CREATE DATABASE /*!32312 IF NOT EXISTS*/ `CLICFieldMap4TeslaNoQuad_20`;
USE CLICFieldMap4TeslaNoQuad_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: CLICFieldMap4TeslaNoQuad_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerRef` varchar(32) default NULL,
  `rOuterRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (5,0,6985,0,6985,1.09149486,'ILD_00_Brho_Bz','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:18
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `CaliceEcal03`;
USE CaliceEcal03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: CaliceEcal03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,0,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,12,2.5,'center'),(3,17,2.5,'center'),(4,22,2.5,'center'),(5,27,2.5,'center'),(6,7,2.5,'center'),(7,12,2.5,'center'),(8,17,2.5,'center'),(9,22,2.5,'center'),(10,27,2.5,'center'),(11,7,2.5,'center'),(12,12,2.5,'center'),(13,17,2.5,'center'),(14,22,2.5,'center'),(15,27,2.5,'center'),(16,7,2.5,'right'),(17,12,2.5,'right'),(18,17,2.5,'right'),(19,22,2.5,'right'),(20,27,2.5,'right'),(21,7,2.5,'right'),(22,12,2.5,'right'),(23,17,2.5,'right'),(24,22,2.5,'right'),(25,27,2.5,'right'),(26,7,2.5,'right'),(27,12,2.5,'right'),(28,17,2.5,'right'),(29,22,2.5,'right'),(30,27,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:20
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `Clic500TubeX01_20`;
USE Clic500TubeX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: Clic500TubeX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,135,23.5,23.5,24,24,'beryllium','IPInnerTube','','','','','',''),(0,135,208,23.5,23.5,24.696,24.696,'beryllium','IPOuterTube','','','','','',''),(0,208,238.33,23.5,23.5,24,27.5,'iron','CylinderConeConnect','','','','','',''),(0,238.33,2080,23.5,235.2,27.5,240,'iron','IPOuterBulge','','','','','',''),(0,2080,2645,235.2,235.2,240,240,'iron','IPOuterLink','','','','','',''),(3,2645,2646,0,98,240,240,'iron','LumiCalFront','','','','','',''),(7,2646,3170,98,98,99,99,'iron','LumiCalInner','','','','','',''),(5,3170,3171,2.7,31,99,99,'iron','BeamCalFront','','','','','',''),(2,3171,3500,31,31,32,32,'iron','BeamCalInnerDnstream1','','','','','',''),(2,3500,4000,31,39,32,40,'iron','BehindBeamCalDnstream2','','','','','',''),(2,4000,7000,39,69,40,70,'iron','BehindBeamCalDnstream3','','','','','',''),(2,7000,12500,69,124,70,125,'iron','BeamCalInnerDnstream4','','','','','',''),(12,3171,3500,2.7,2.7,3.7,3.7,'iron','BeamCalInnerUpstream','','','','','',''),(1,3500,4000,2.7,2.7,3.7,3.7,'iron','MainUpstream1','','','','','',''),(1,4000,6000,2.7,2.7,3.7,3.7,'iron','MainUpstream2','','','','','',''),(1,6000,8000,2.7,2.7,3.7,3.7,'iron','MainUpstream3','','','','','',''),(1,8000,10000,2.7,2.7,3.7,3.7,'iron','MainUpstream4','','','','','',''),(1,10000,12500,2.7,2.7,3.7,3.7,'iron','MainUpstream5','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:21
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `Clic500Vxd01`;
USE Clic500Vxd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: Clic500Vxd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,30.7,0);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,25,130,11.3,12,0,135,1),(2,25,130,11.3,12,0,135,1),(3,42,130,11.3,12,0,135,1),(4,42,130,11.3,12,0,135,1),(5,58,130,11.3,20,0,135,1),(6,58,130,11.3,20,0,135,1);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.6,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,134,0.49392,29,14.5,40,0.28224,1,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:22
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ClicTubeX01_20`;
USE ClicTubeX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ClicTubeX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,135,29.4,29.4,30,30,'beryllium','IPInnerTube','','','','','',''),(0,135,260,29.4,29.4,30.696,30.696,'beryllium','IPOuterTube','','','','','',''),(0,260,289.47,29.4,29.4,30,33.4,'iron','CylinderConeConnect','','','','','',''),(0,289.47,2080,29.4,235.2,33.4,240,'iron','IPOuterBulge','','','','','',''),(0,2080,2645,235.2,235.2,240,240,'iron','IPOuterLink','','','','','',''),(3,2645,2646,0,98,240,240,'iron','LumiCalFront','','','','','',''),(7,2646,3170,98,98,99,99,'iron','LumiCalInner','','','','','',''),(5,3170,3171,2.7,31,99,99,'iron','BeamCalFront','','','','','',''),(2,3171,3500,31,31,32,32,'iron','BeamCalInnerDnstream1','','','','','',''),(2,3500,4000,31,39,32,40,'iron','BehindBeamCalDnstream2','','','','','',''),(2,4000,7000,39,69,40,70,'iron','BehindBeamCalDnstream3','','','','','',''),(2,7000,12500,69,124,70,125,'iron','BeamCalInnerDnstream4','','','','','',''),(12,3171,3500,2.7,2.7,3.7,3.7,'iron','BeamCalInnerUpstream','','','','','',''),(1,3500,4000,2.7,2.7,3.7,3.7,'iron','MainUpstream1','','','','','',''),(1,4000,6000,2.7,2.7,3.7,3.7,'iron','MainUpstream2','','','','','',''),(1,6000,8000,2.7,2.7,3.7,3.7,'iron','MainUpstream3','','','','','',''),(1,8000,10000,2.7,2.7,3.7,3.7,'iron','MainUpstream4','','','','','',''),(1,10000,12500,2.7,2.7,3.7,3.7,'iron','MainUpstream5','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ClicVxd01`;
USE ClicVxd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ClicVxd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,30.7,0);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,31,130,11.3,12,0,135,1),(2,31,130,11.3,12,0,135,1),(3,44,130,11.3,12,0,135,1),(4,44,130,11.3,12,0,135,1),(5,58,130,11.3,20,0,135,1),(6,58,130,11.3,20,0,135,1);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,30.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,134,0.49392,35,14.5,40,0.28224,1,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `HcalFeRPC`;
USE HcalFeRPC;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: HcalFeRPC
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,13,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `id` tinyint(4) NOT NULL default '0',
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL,
  `radius` float default NULL,
  `divide` char(80) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (0,1000,1000,1000,796.1,213.9,106.3,10,10,0.8,'false');
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  `module_theta_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,1,0,0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,980),(2,-459.25,980),(3,-434.75,980),(4,-410.25,980),(5,-385.75,980),(6,-361.25,980),(7,-336.75,980),(8,-312.25,980),(9,-287.75,980),(10,-263.25,980),(11,-238.75,980),(12,-214.25,980),(13,-189.75,980),(14,-165.25,980),(15,-140.75,980),(16,-116.25,980),(17,-91.75,980),(18,-67.25,980),(19,-42.75,980),(20,-18.25,980),(21,6.25,980),(22,30.75,980),(23,55.25,980),(24,79.75,980),(25,104.25,980),(26,128.75,980),(27,153.25,980),(28,177.75,980),(29,202.25,980),(30,226.75,980),(31,251.25,980),(32,275.75,980),(33,300.25,980),(34,324.75,980),(35,349.25,980),(36,373.75,980),(37,398.25,980),(38,422.75,980),(39,447.25,980),(40,471.75,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `id` tinyint(4) NOT NULL default '0',
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (0,1000,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'RPC1');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:29
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `LumiCalP00`;
USE LumiCalP00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: LumiCalP00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,280,15,24,30,3050,0,3.5,1,0.5,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:29
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `LumiCalS00`;
USE LumiCalS00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: LumiCalS00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('strip',80,280,64,120,30,3050,0,3.5,1,0.5,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `MidiTPC`;
USE MidiTPC;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: MidiTPC
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `material` char(50) NOT NULL default '',
  `treshold` float NOT NULL default '0',
  `step` float NOT NULL default '0',
  `radius` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  `shift` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES ('TDR_gas',32,1,135,334,126);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P55`;
USE P55;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P55
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `dead_w_dimx` double default NULL,
  `x_offset_rate` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (11,11,5,5,0.5,3,2,0.1,0.2,0.2,0,0.45,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,90,1.57079633);
UNLOCK TABLES;

--
-- Table structure for table `w_plates`
--

DROP TABLE IF EXISTS `w_plates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_plates` (
  `n_plates` int(3) default NULL,
  `w_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_plates`
--

LOCK TABLES `w_plates` WRITE;
INSERT INTO `w_plates` VALUES (10,1.4),(10,2.8),(10,4.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:31
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P55EcalLike`;
USE P55EcalLike;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P55EcalLike
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `dead_w_dimx` double default NULL,
  `x_offset_rate` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (11,11,5,5,0.5,3,2,0.1,0.2,0.2,0,0.45,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,90,0.78539816);
UNLOCK TABLES;

--
-- Table structure for table `w_plates`
--

DROP TABLE IF EXISTS `w_plates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_plates` (
  `n_plates` int(3) default NULL,
  `w_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_plates`
--

LOCK TABLES `w_plates` WRITE;
INSERT INTO `w_plates` VALUES (30,1.4),(10,4.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P55INC`;
USE P55INC;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P55INC
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `dead_w_dimx` double default NULL,
  `x_offset_rate` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (11,11,5,5,0.5,3,2,0.1,0.2,0.2,0,0.45,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,90,0.78539816);
UNLOCK TABLES;

--
-- Table structure for table `w_plates`
--

DROP TABLE IF EXISTS `w_plates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_plates` (
  `n_plates` int(3) default NULL,
  `w_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_plates`
--

LOCK TABLES `w_plates` WRITE;
INSERT INTO `w_plates` VALUES (10,1.4),(10,2.8),(10,4.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:33
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66HV14`;
USE P66HV14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66HV14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  `start_layer_number` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,5,2,0.15,0,0.1,0.5,0.525,0.025,2.4,0.425,0,0,0,0.1,0.075,0.3,0.45,3,1.57079633,1.4,50,0,36.55,0,0);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,1);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:34
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66HV28`;
USE P66HV28;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66HV28
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  `start_layer_number` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,5,2,0.15,0,0.1,0.5,0.525,0.025,2.4,0.425,0,0,0,0.1,0.075,0.3,0.45,3,1.57079633,1.4,50,0,96.65,0,10);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,2);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:35
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66HV42`;
USE P66HV42;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66HV42
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  `start_layer_number` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,5,2,0.15,0,0.1,0.5,0.525,0.025,2.4,0.425,0,0,0,0.1,0.075,0.3,0.45,3,1.57079633,1.4,50,0,170.75,0,20);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,3);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66S`;
USE P66S;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66S
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `dead_w_dimx` double default NULL,
  `x_offset_rate` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (10.5,10.5,6,6,0.5,3,2,0.1,0.2,0.2,0.6,0.45,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,90,1.57);
UNLOCK TABLES;

--
-- Table structure for table `w_plates`
--

DROP TABLE IF EXISTS `w_plates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_plates` (
  `n_plates` int(3) default NULL,
  `w_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_plates`
--

LOCK TABLES `w_plates` WRITE;
INSERT INTO `w_plates` VALUES (10,1.4),(10,2.8),(10,4.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66WNominal`;
USE P66WNominal;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66WNominal
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,2,2,0.1,0,0.1,1.2,0.525,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,1.57079633,1.4,50,0,236,0);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,1),(2,10,2),(3,10,3);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66WNominal_45`;
USE P66WNominal_45;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66WNominal_45
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,2,2,0.1,0,0.1,1.2,0.525,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,0.78539816,1.4,50,-332.65,236,0);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,1),(2,10,2),(3,10,3);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66Wshape`;
USE P66Wshape;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66Wshape
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,10,10,6,6,1,2,2,0.1,0,0.2,1.2,0.525,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,0.78539816,1.4,50,0,236,0);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,1),(2,10,2),(3,10,3);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=22;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.404),(2,1,1.405),(3,1,1.406),(4,1,1.406),(5,1,1.408),(15,3,1.405),(14,2,1.392),(13,2,1.409),(12,2,1.406),(11,2,1.411),(6,1,1.41),(7,1,1.391),(8,2,1.402),(9,2,1.409),(10,2,1.403),(16,3,1.408),(17,3,1.407),(18,3,1.414),(19,3,1.406),(20,3,1.401),(21,3,1.398);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `P66micro`;
USE P66micro;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: P66micro
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` int(11) NOT NULL default '0',
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(6) default NULL,
  `n_cell_z` int(6) default NULL,
  `garde_size` double default NULL,
  `n_elements_x` int(3) default NULL,
  `multiplicity_waffers` int(3) default NULL,
  `inter_waffer_gap` double default NULL,
  `inter_element_gap` double default NULL,
  `lateral_alveolus_gap` double default NULL,
  `wafer_shift` float default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `cu2_thickness` double default NULL,
  `kapton1_thickness` double default NULL,
  `w_wires_thickness` double default NULL,
  `kapton2_thickness` double default NULL,
  `al_thickness` double default NULL,
  `air_thickness` double default NULL,
  `fiber_thickness` double default NULL,
  `inter_tower_fiber_thickness` double default NULL,
  `n_towers` int(4) default NULL,
  `x_offset_rate` double default NULL,
  `nominal_w_thickness` double NOT NULL default '0',
  `profile_step_size` double NOT NULL default '0',
  `x_center` double NOT NULL default '0',
  `y_center` double NOT NULL default '0',
  `z_center` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,0.01,0.01,60000,60000,0.5,3,1,0.1,0.2,0.2,1.2,0.01,0.025,0.6,0.05,0.4,0.04,0.4,0.1,0.1,0.3,0.45,3,1.57,1.4,50,0,236,0);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_layers` int(3) default NULL,
  `plate_multiplicity` int(2) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,10,1),(2,10,2),(3,10,3);
UNLOCK TABLES;

--
-- Table structure for table `w_profile`
--

DROP TABLE IF EXISTS `w_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_profile` (
  `id` int(11) NOT NULL auto_increment,
  `lane` int(11) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_profile`
--

LOCK TABLES `w_profile` WRITE;
INSERT INTO `w_profile` VALUES (1,1,1.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoCern07`;
USE ProtoCern07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoCern07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,1587.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoCern0806_01`;
USE ProtoCern0806_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoCern0806_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,860.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:46
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoCern0806_02`;
USE ProtoCern0806_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoCern0806_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,860.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `si_layers`
--

DROP TABLE IF EXISTS `si_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `si_layers` (
  `id` int(4) NOT NULL auto_increment,
  `layer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=61;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `si_layers`
--

LOCK TABLES `si_layers` WRITE;
INSERT INTO `si_layers` VALUES (1,0,'center'),(2,0,'center'),(3,0,'center'),(4,0,'center'),(5,0,'center'),(6,0,'center'),(7,0,'center'),(8,0,'center'),(9,0,'center'),(10,0,'center'),(11,0,'center'),(12,0,'center'),(13,0,'center'),(14,0,'center'),(15,0,'center'),(16,0,'center'),(17,0,'center'),(18,0,'center'),(19,0,'center'),(20,0,'center'),(21,0,'center'),(22,0,'center'),(23,0,'center'),(24,0,'center'),(25,0,'center'),(26,0,'center'),(27,0,'center'),(28,0,'center'),(29,0,'center'),(30,0,'center'),(31,0,'right'),(32,0,'right'),(33,0,'right'),(34,0,'right'),(35,0,'right'),(36,0,'right'),(37,0,'right'),(38,0,'right'),(39,0,'right'),(40,0,'right'),(41,0,'right'),(42,0,'right'),(43,0,'right'),(44,0,'right'),(45,0,'right'),(46,0,'right'),(47,0,'right'),(48,0,'right'),(49,0,'right'),(50,0,'right'),(51,0,'right'),(52,0,'right'),(53,0,'right'),(54,0,'right'),(55,0,'right'),(56,0,'right'),(57,0,'right'),(58,0,'right'),(59,0,'right'),(60,0,'right');
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:48
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoCern1006_01`;
USE ProtoCern1006_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoCern1006_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,2155.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoCern1006_02`;
USE ProtoCern1006_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoCern1006_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,2155.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `si_layers`
--

DROP TABLE IF EXISTS `si_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `si_layers` (
  `id` int(4) NOT NULL auto_increment,
  `layer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=61;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `si_layers`
--

LOCK TABLES `si_layers` WRITE;
INSERT INTO `si_layers` VALUES (1,0,'center'),(2,0,'center'),(3,0,'center'),(4,0,'center'),(5,0,'center'),(6,0,'center'),(7,0,'center'),(8,0,'center'),(9,0,'center'),(10,0,'center'),(11,0,'center'),(12,0,'center'),(13,0,'center'),(14,0,'center'),(15,0,'center'),(16,0,'center'),(17,0,'center'),(18,0,'center'),(19,0,'center'),(20,0,'center'),(21,0,'center'),(22,0,'center'),(23,0,'center'),(24,0,'center'),(25,0,'center'),(26,0,'center'),(27,0,'center'),(28,0,'center'),(29,0,'center'),(30,0,'center'),(31,0,'right'),(32,0,'right'),(33,0,'right'),(34,0,'right'),(35,0,'right'),(36,0,'right'),(37,0,'right'),(38,0,'right'),(39,0,'right'),(40,0,'right'),(41,0,'right'),(42,0,'right'),(43,0,'right'),(44,0,'right'),(45,0,'right'),(46,0,'right'),(47,0,'right'),(48,0,'right'),(49,0,'right'),(50,0,'right'),(51,0,'right'),(52,0,'right'),(53,0,'right'),(54,0,'right'),(55,0,'right'),(56,0,'right'),(57,0,'right'),(58,0,'right'),(59,0,'right'),(60,0,'right');
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoDesy0205`;
USE ProtoDesy0205;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoDesy0205
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,0,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,7,2.5,'center'),(3,7,2.5,'center'),(4,7,2.5,'center'),(5,7,2.5,'center'),(6,7,2.5,'center'),(7,7,2.5,'center'),(8,7,2.5,'center'),(9,7,2.5,'center'),(10,7,2.5,'center'),(11,7,2.5,'center'),(12,7,2.5,'center'),(13,7,2.5,'center'),(14,7,2.5,'center'),(15,7,2.5,'center'),(16,7,2.5,'right'),(17,7,2.5,'right'),(18,7,2.5,'right'),(19,7,2.5,'right'),(20,7,2.5,'right'),(21,7,2.5,'right'),(22,7,2.5,'right'),(23,7,2.5,'right'),(24,7,2.5,'right'),(25,7,2.5,'right'),(26,7,2.5,'right'),(27,7,2.5,'right'),(28,7,2.5,'right'),(29,7,2.5,'right'),(30,7,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:55
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoDesy0506`;
USE ProtoDesy0506;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoDesy0506
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,0,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:57
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoDesy0506_01`;
USE ProtoDesy0506_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoDesy0506_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,710.5,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:44:59
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ProtoFnal08`;
USE ProtoFnal08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ProtoFnal08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `alveolus`
--

DROP TABLE IF EXISTS `alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `alveolus` (
  `id` tinyint(4) NOT NULL auto_increment,
  `g10_thickness` float default NULL,
  `g10_x_out` float default NULL,
  `al_g10_gap` float default NULL,
  `al_thickness` float default NULL,
  `endcap_x` float default NULL,
  `upper_waffer_shift` float default NULL,
  `wafer_x_shift` float default NULL,
  `inter_waffer_gap` float default NULL,
  `al_dim_x` float default NULL,
  `al_dim_y` float default NULL,
  `n_waffers_x` tinyint(4) default NULL,
  `n_waffers_y` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `alveolus`
--

LOCK TABLES `alveolus` WRITE;
INSERT INTO `alveolus` VALUES (1,2.1,275,0.575,0.1,14,3,9.8,0.15,326,125.6,5,2);
UNLOCK TABLES;

--
-- Table structure for table `carbon_fiber`
--

DROP TABLE IF EXISTS `carbon_fiber`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carbon_fiber` (
  `id` tinyint(4) NOT NULL auto_increment,
  `inter_tower_fiber_thickness` float default NULL,
  `y_fiber_thickness` float default NULL,
  `deadw_fiber_thickness` float default NULL,
  `exit_fiber_thickness` float default NULL,
  `waffer_fiber_z_thickness` float default NULL,
  `waffer_fiber_y_thickness` float default NULL,
  `inter_deadw_fiber_thickness` float default NULL,
  `deadw_outer_fiber_thickness` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carbon_fiber`
--

LOCK TABLES `carbon_fiber` WRITE;
INSERT INTO `carbon_fiber` VALUES (1,0.4,3,0.3,0.4,0.15,0.3,0.3,0.2);
UNLOCK TABLES;

--
-- Table structure for table `proto`
--

DROP TABLE IF EXISTS `proto`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `proto` (
  `id` tinyint(4) NOT NULL auto_increment,
  `n_towers` tinyint(4) default NULL,
  `inter_structures_gap` float default NULL,
  `x_center` float default NULL,
  `y_center` float default NULL,
  `z_center` float default NULL,
  `struct1_shift` float default NULL,
  `struct2_shift` float default NULL,
  `c_angle_from_steering` varchar(20) NOT NULL default '',
  `ecal_x` float default NULL,
  `al_cf_y_gap` float default NULL,
  `al_cf_z_gap` float default NULL,
  `start_layer_number` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `proto`
--

LOCK TABLES `proto` WRITE;
INSERT INTO `proto` VALUES (1,3,1,0,0,1400,0,0,'true',374.5,0.3,0.2,1);
UNLOCK TABLES;

--
-- Table structure for table `silicon`
--

DROP TABLE IF EXISTS `silicon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `silicon` (
  `id` tinyint(4) NOT NULL auto_increment,
  `si_thickness` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_y` float default NULL,
  `garde_size` float default NULL,
  `n_cell_x` tinyint(4) default NULL,
  `n_cell_y` tinyint(4) default NULL,
  `n_guard_ring_zones` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `silicon`
--

LOCK TABLES `silicon` WRITE;
INSERT INTO `silicon` VALUES (1,0.525,10,10,1,6,6,3);
UNLOCK TABLES;

--
-- Table structure for table `slabs`
--

DROP TABLE IF EXISTS `slabs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `slabs` (
  `id` int(4) NOT NULL auto_increment,
  `slab_shift` float default NULL,
  `waffer_shift` float default NULL,
  `position` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `slabs`
--

LOCK TABLES `slabs` WRITE;
INSERT INTO `slabs` VALUES (1,7,2.5,'center'),(2,8.3,2.5,'center'),(3,9.6,2.5,'center'),(4,10.9,2.5,'center'),(5,12.2,2.5,'center'),(6,7,2.5,'center'),(7,8.3,2.5,'center'),(8,9.6,2.5,'center'),(9,10.9,2.5,'center'),(10,12.2,2.5,'center'),(11,7,2.5,'center'),(12,8.3,2.5,'center'),(13,9.6,2.5,'center'),(14,10.9,2.5,'center'),(15,12.2,2.5,'center'),(16,7,2.5,'right'),(17,8.3,2.5,'right'),(18,9.6,2.5,'right'),(19,10.9,2.5,'right'),(20,12.2,2.5,'right'),(21,7,2.5,'right'),(22,8.3,2.5,'right'),(23,9.6,2.5,'right'),(24,10.9,2.5,'right'),(25,12.2,2.5,'right'),(26,7,2.5,'right'),(27,8.3,2.5,'right'),(28,9.6,2.5,'right'),(29,10.9,2.5,'right'),(30,12.2,2.5,'right');
UNLOCK TABLES;

--
-- Table structure for table `tungsten`
--

DROP TABLE IF EXISTS `tungsten`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tungsten` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wslab_x` float default NULL,
  `wslab_y` float default NULL,
  `deadw_x` float default NULL,
  `deadw_y` float default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tungsten`
--

LOCK TABLES `tungsten` WRITE;
INSERT INTO `tungsten` VALUES (1,326,124.5,124.5,376.6);
UNLOCK TABLES;

--
-- Table structure for table `w_layers`
--

DROP TABLE IF EXISTS `w_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `w_layers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nominal_w_thickness` float default NULL,
  `n_layers` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `w_layers`
--

LOCK TABLES `w_layers` WRITE;
INSERT INTO `w_layers` VALUES (1,1.4,5),(2,2.8,5),(3,4.2,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:01
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SET00`;
USE SET00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SET00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `electronics`
--

DROP TABLE IF EXISTS `electronics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electronics` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electronics`
--

LOCK TABLES `electronics` WRITE;
INSERT INTO `electronics` VALUES (0,1.2,94.5,40);
UNLOCK TABLES;

--
-- Table structure for table `ladder`
--

DROP TABLE IF EXISTS `ladder`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ladder` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  `border_gap` float NOT NULL default '0',
  `vertical_gap` float NOT NULL default '0',
  `pitch` float NOT NULL default '0',
  `n_zseg` int(11) NOT NULL default '0',
  `z_overlap` float NOT NULL default '0',
  `n_ladder_phi` int(11) NOT NULL default '0',
  `n_ladder_z` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ladder`
--

LOCK TABLES `ladder` WRITE;
INSERT INTO `ladder` VALUES (0,0.5,94.5,567,10,3,0.183,6,0.02,110,10);
UNLOCK TABLES;

--
-- Table structure for table `set_envelop`
--

DROP TABLE IF EXISTS `set_envelop`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `set_envelop` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radius` float NOT NULL default '0',
  `outer_radius` float NOT NULL default '0',
  `N_layers` int(11) NOT NULL default '0',
  `fiber_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `set_envelop`
--

LOCK TABLES `set_envelop` WRITE;
INSERT INTO `set_envelop` VALUES (0,1600,1700,3,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SET01`;
USE SET01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SET01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `EST`
--

DROP TABLE IF EXISTS `EST`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `EST` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `EST`
--

LOCK TABLES `EST` WRITE;
INSERT INTO `EST` VALUES (1,1592.5,1500,0.275,1),(2,1587.5,1500,0.275,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:03
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiDBar00`;
USE SiDBar00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiDBar00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `electronics`
--

DROP TABLE IF EXISTS `electronics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electronics` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electronics`
--

LOCK TABLES `electronics` WRITE;
INSERT INTO `electronics` VALUES (0,1.2,10,20);
UNLOCK TABLES;

--
-- Table structure for table `ladder`
--

DROP TABLE IF EXISTS `ladder`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ladder` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  `border_gap` float NOT NULL default '0',
  `vertical_gap` float NOT NULL default '0',
  `pitch` float NOT NULL default '0',
  `n_zseg` int(11) NOT NULL default '0',
  `z_overlap` float NOT NULL default '0',
  `n_ladder_phi` int(11) NOT NULL default '0',
  `n_ladder_z` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ladder`
--

LOCK TABLES `ladder` WRITE;
INSERT INTO `ladder` VALUES (1,0.5,20,200,5,1,260,2,0.02,32,16);
UNLOCK TABLES;

--
-- Table structure for table `sit_envelop`
--

DROP TABLE IF EXISTS `sit_envelop`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit_envelop` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radius` float NOT NULL default '0',
  `outer_radius` float NOT NULL default '0',
  `N_layers` int(11) NOT NULL default '0',
  `fiber_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit_envelop`
--

LOCK TABLES `sit_envelop` WRITE;
INSERT INTO `sit_envelop` VALUES (0,190,1230,5,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:04
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiDFwd00`;
USE SiDFwd00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiDFwd00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thickness` float NOT NULL default '0',
  `cables_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,271,40,205),(2,621,79,467.5),(3,971,117,730),(4,1321,156,1255);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:05
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiEnvTPC01`;
USE SiEnvTPC01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiEnvTPC01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (320,1600,2000,1.16,1.51,20,230,12.44,1.56,86,320,1600,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:05
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiExtBar00`;
USE SiExtBar00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiExtBar00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `electronics`
--

DROP TABLE IF EXISTS `electronics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electronics` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electronics`
--

LOCK TABLES `electronics` WRITE;
INSERT INTO `electronics` VALUES (0,1.2,94.5,40);
UNLOCK TABLES;

--
-- Table structure for table `ladder`
--

DROP TABLE IF EXISTS `ladder`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ladder` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  `border_gap` float NOT NULL default '0',
  `vertical_gap` float NOT NULL default '0',
  `pitch` float NOT NULL default '0',
  `n_zseg` int(11) NOT NULL default '0',
  `z_overlap` float NOT NULL default '0',
  `n_ladder_phi` int(11) NOT NULL default '0',
  `n_ladder_z` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ladder`
--

LOCK TABLES `ladder` WRITE;
INSERT INTO `ladder` VALUES (0,0.5,94.5,567,10,3,0.183,6,0.02,110,10);
UNLOCK TABLES;

--
-- Table structure for table `set_envelop`
--

DROP TABLE IF EXISTS `set_envelop`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `set_envelop` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radius` float NOT NULL default '0',
  `outer_radius` float NOT NULL default '0',
  `N_layers` int(11) NOT NULL default '0',
  `fiber_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `set_envelop`
--

LOCK TABLES `set_envelop` WRITE;
INSERT INTO `set_envelop` VALUES (0,1600,1700,3,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:06
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiExtFwd00`;
USE SiExtFwd00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiExtFwd00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thickness` float NOT NULL default '0',
  `cables_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,2385,320,1600),(2,2485,320,1600),(3,2585,320,1600),(4,2685,320,1600);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:07
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SiIntBar00`;
USE SiIntBar00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SiIntBar00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `electronics`
--

DROP TABLE IF EXISTS `electronics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electronics` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electronics`
--

LOCK TABLES `electronics` WRITE;
INSERT INTO `electronics` VALUES (0,1.2,40,20);
UNLOCK TABLES;

--
-- Table structure for table `ladder`
--

DROP TABLE IF EXISTS `ladder`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ladder` (
  `id` tinyint(4) NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  `width` float NOT NULL default '0',
  `length` float NOT NULL default '0',
  `border_gap` float NOT NULL default '0',
  `vertical_gap` float NOT NULL default '0',
  `pitch` float NOT NULL default '0',
  `n_zseg` int(11) NOT NULL default '0',
  `z_overlap` float NOT NULL default '0',
  `n_ladder_phi` int(11) NOT NULL default '0',
  `n_ladder_z` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ladder`
--

LOCK TABLES `ladder` WRITE;
INSERT INTO `ladder` VALUES (0,0.5,40,76,5,1,65,2,0.02,110,4);
UNLOCK TABLES;

--
-- Table structure for table `sit_envelop`
--

DROP TABLE IF EXISTS `sit_envelop`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit_envelop` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radius` float NOT NULL default '0',
  `outer_radius` float NOT NULL default '0',
  `N_layers` int(11) NOT NULL default '0',
  `fiber_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit_envelop`
--

LOCK TABLES `sit_envelop` WRITE;
INSERT INTO `sit_envelop` VALUES (0,160,500,3,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:08
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SinglehcalFeRPC1`;
USE SinglehcalFeRPC1;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SinglehcalFeRPC1
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,317,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `id` tinyint(4) NOT NULL default '0',
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (0,1000,1000,1000,796.1,213.9,822,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,1,0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,980),(2,-459.25,980),(3,-434.75,980),(4,-410.25,980),(5,-385.75,980),(6,-361.25,980),(7,-336.75,980),(8,-312.25,980),(9,-287.75,980),(10,-263.25,980),(11,-238.75,980),(12,-214.25,980),(13,-189.75,980),(14,-165.25,980),(15,-140.75,980),(16,-116.25,980),(17,-91.75,980),(18,-67.25,980),(19,-42.75,980),(20,-18.25,980),(21,6.25,980),(22,30.75,980),(23,55.25,980),(24,79.75,980),(25,104.25,980),(26,128.75,980),(27,153.25,980),(28,177.75,980),(29,202.25,980),(30,226.75,980),(31,251.25,980),(32,275.75,980),(33,300.25,980),(34,324.75,980),(35,349.25,980),(36,373.75,980),(37,398.25,980),(38,422.75,980),(39,447.25,980),(40,471.75,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `id` tinyint(4) NOT NULL default '0',
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (0,1000,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'RPC1');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:12
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SinglehcalFeRPC2`;
USE SinglehcalFeRPC2;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SinglehcalFeRPC2
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float NOT NULL default '0',
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL,
  PRIMARY KEY  (`barrel_phi_offset`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,211.4,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `id` tinyint(4) NOT NULL default '0',
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (0,1000,1000,1000,796.1,213.9,822,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,1,0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,980),(2,-459.25,980),(3,-434.75,980),(4,-410.25,980),(5,-385.75,980),(6,-361.25,980),(7,-336.75,980),(8,-312.25,980),(9,-287.75,980),(10,-263.25,980),(11,-238.75,980),(12,-214.25,980),(13,-189.75,980),(14,-165.25,980),(15,-140.75,980),(16,-116.25,980),(17,-91.75,980),(18,-67.25,980),(19,-42.75,980),(20,-18.25,980),(21,6.25,980),(22,30.75,980),(23,55.25,980),(24,79.75,980),(25,104.25,980),(26,128.75,980),(27,153.25,980),(28,177.75,980),(29,202.25,980),(30,226.75,980),(31,251.25,980),(32,275.75,980),(33,300.25,980),(34,324.75,980),(35,349.25,980),(36,373.75,980),(37,398.25,980),(38,422.75,980),(39,447.25,980),(40,471.75,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `id` tinyint(4) NOT NULL default '0',
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (0,1000,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'RPC1');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:17
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `SinglehcalFeScintillator`;
USE SinglehcalFeScintillator;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: SinglehcalFeScintillator
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,317,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `id` tinyint(4) NOT NULL default '0',
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (0,1000,1000,1000,796.1,213.9,822,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,1,0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,980),(2,-459.25,980),(3,-434.75,980),(4,-410.25,980),(5,-385.75,980),(6,-361.25,980),(7,-336.75,980),(8,-312.25,980),(9,-287.75,980),(10,-263.25,980),(11,-238.75,980),(12,-214.25,980),(13,-189.75,980),(14,-165.25,980),(15,-140.75,980),(16,-116.25,980),(17,-91.75,980),(18,-67.25,980),(19,-42.75,980),(20,-18.25,980),(21,6.25,980),(22,30.75,980),(23,55.25,980),(24,79.75,980),(25,104.25,980),(26,128.75,980),(27,153.25,980),(28,177.75,980),(29,202.25,980),(30,226.75,980),(31,251.25,980),(32,275.75,980),(33,300.25,980),(34,324.75,980),(35,349.25,980),(36,373.75,980),(37,398.25,980),(38,422.75,980),(39,447.25,980),(40,471.75,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `id` tinyint(4) NOT NULL default '0',
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (0,1000,980);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'scintillator');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:21
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBcatcher00`;
USE TBcatcher00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBcatcher00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher`
--

DROP TABLE IF EXISTS `catcher`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher` (
  `n_layers` int(3) default NULL,
  `layer_start` char(4) default NULL,
  `y_place` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher`
--

LOCK TABLES `catcher` WRITE;
INSERT INTO `catcher` VALUES (6,'x',-802.5);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `cell_width` double default NULL,
  `n_cell` smallint(4) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (100,15);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (5,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:22
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBcatcher02`;
USE TBcatcher02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBcatcher02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '30',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_z` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `y_place` double NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (6,30,30,50,-900);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (5,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBecal00`;
USE TBecal00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBecal00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `n_layers` int(3) default NULL,
  `y_place` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (30,562.5);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(3) default NULL,
  `n_cell_z` int(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (10,10,100,100);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `w_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `air_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (2.5,0.5,0.4,1,0.6);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:24
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBecal02`;
USE TBecal02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBecal02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ecal_virt`
--

DROP TABLE IF EXISTS `ecal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal_virt` (
  `n_layers` smallint(6) NOT NULL default '30',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_z` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `y_place` double NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal_virt`
--

LOCK TABLES `ecal_virt` WRITE;
INSERT INTO `ecal_virt` VALUES (30,100,100,10,660);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `w_thickness` double default NULL,
  `g10_thickness` double default NULL,
  `si_thickness` double default NULL,
  `cu_thickness` double default NULL,
  `air_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (2.5,0.5,0.4,1,0.6);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBfield00`;
USE TBfield00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBfield00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `field_map`
--

DROP TABLE IF EXISTS `field_map`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `field_map` (
  `xmin` float default NULL,
  `xmax` float default NULL,
  `ymin` float default NULL,
  `ymax` float default NULL,
  `zmin` float default NULL,
  `zmax` float default NULL,
  `mag_field_x` float default NULL,
  `mag_field_y` float default NULL,
  `mag_field_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `field_map`
--

LOCK TABLES `field_map` WRITE;
INSERT INTO `field_map` VALUES (-38.6,335.9,-161.175,223.325,1486.15,1688.85,2,0,0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcal00`;
USE TBhcal00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcal00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `n_layers` int(3) default NULL,
  `n_complex` int(3) default NULL,
  `y_place` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (39,34,0);
UNLOCK TABLES;

--
-- Table structure for table `layer_inner`
--

DROP TABLE IF EXISTS `layer_inner`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_inner` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_inner`
--

LOCK TABLES `layer_inner` WRITE;
INSERT INTO `layer_inner` VALUES (30,30,10,10);
UNLOCK TABLES;

--
-- Table structure for table `layer_outer`
--

DROP TABLE IF EXISTS `layer_outer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_outer` (
  `cell_dim_x` double default NULL,
  `cell_dim_z` double default NULL,
  `n_cell_x` int(4) default NULL,
  `n_cell_z` int(4) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_outer`
--

LOCK TABLES `layer_outer` WRITE;
INSERT INTO `layer_outer` VALUES (60,60,11,11);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (5,20);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:27
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcal02`;
USE TBhcal02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcal02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_z` int(3) default NULL,
  `grid_size` double default NULL,
  `y_place` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (39,90,90,10,0);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (5,16,1,2,1,1,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:27
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcal03`;
USE TBhcal03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcal03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `HCAL_cern_2010_absorber_virt`
--

DROP TABLE IF EXISTS `HCAL_cern_2010_absorber_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `HCAL_cern_2010_absorber_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `Octagonal_absorber_inner_radious_front` float default '0',
  `Octagonal_absorber_inner_radious_back` float default '0',
  `Octagonal_absorber_z_front` float default '0',
  `Octagonal_absorber_z_back` float default '0',
  `Octagonal_absorber_outer_radious_front` float default '0',
  `Octagonal_absorber_outer_radious_back` float default '0',
  `Octagonal_absorber_number_of_sides` int(10) default '0',
  `Octagonal_absorber_number_of_layers` int(10) default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `HCAL_cern_2010_absorber_virt`
--

LOCK TABLES `HCAL_cern_2010_absorber_virt` WRITE;
INSERT INTO `HCAL_cern_2010_absorber_virt` VALUES (1,0,0,0,5,406,406,8,2);
UNLOCK TABLES;

--
-- Table structure for table `HCAL_cern_2010_layerthickness_virt`
--

DROP TABLE IF EXISTS `HCAL_cern_2010_layerthickness_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `HCAL_cern_2010_layerthickness_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `tungsten_hthickness` float default '0',
  `steel_support_thickness` float default '0',
  `airgap_hthickness` float default '0',
  `steel_cassette_hthickness` float default '0',
  `cablefibre_mix_hthickness` float default '0',
  `pcb_hthickness` float default '0',
  `foil_hthickness` float default '0',
  `poly_hthickness` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `HCAL_cern_2010_layerthickness_virt`
--

LOCK TABLES `HCAL_cern_2010_layerthickness_virt` WRITE;
INSERT INTO `HCAL_cern_2010_layerthickness_virt` VALUES (1,10,1,1.25,2,1.5,1,0.115,5);
UNLOCK TABLES;

--
-- Table structure for table `HCAL_cern_2010_materials_virt`
--

DROP TABLE IF EXISTS `HCAL_cern_2010_materials_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `HCAL_cern_2010_materials_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nikel_density` float default '0',
  `PCB_density` float default '0',
  `PCB_silicon_2.33_fractiomass` float default '0',
  `PCB_elO_fractionmass` float default '0',
  `PCB_graphite_fractionmass` float default '0',
  `PCB_elH_fractionmass` float default '0',
  `PCB_elBr_fractionmass` float default '0',
  `S235_density` float default '0',
  `S235_iron_fractionmass` float default '0',
  `S235_graphite_fractionmass` float default '0',
  `S235_manganese_fractionmass` float default '0',
  `tungsten_density` float default '0',
  `tungsten_core_density` float default '0',
  `tungsten_core_tungsten_fractionmass` float default '0',
  `tungsten_nikel_fractionmass` float default '0',
  `tungsten_copper_fractionmass` float default '0',
  `PVC_density` float default '0',
  `Polystyrole_density` float default '0',
  `CF_Mix_density` float default '0',
  `CF_MIX_air_fractionmass` float default '0',
  `CF_MIX_PVC_fractionmass` float default '0',
  `CF_MIX_Polystyrole_fractionmass` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `HCAL_cern_2010_materials_virt`
--

LOCK TABLES `HCAL_cern_2010_materials_virt` WRITE;
INSERT INTO `HCAL_cern_2010_materials_virt` VALUES (1,8.907,1.7,0.180774,0.405633,0.278042,0.0684428,0.0671091,7.87,0.9843,0.0017,0.014,17.06,17.67,0.9299,0.0525,0.0176,1.35,1.065,0.12,0.009,0.872,0.119);
UNLOCK TABLES;

--
-- Table structure for table `HCAL_cern_2010_virt`
--

DROP TABLE IF EXISTS `HCAL_cern_2010_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `HCAL_cern_2010_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `HCAL_n_layers` int(10) default '0',
  `HCAL_grid_size` float default '0',
  `HCAL_Layer_X_dimension` float default '0',
  `HCAL_Layer_Y_dimension` float default '0',
  `HCAL_Layer_ncell_x` float default '0',
  `HCAL_Layer_ncell_y` float default '0',
  `Z_position_of_first_HCAL_layer` float default '0',
  `X_position_of_first_HCAL_layer` float default '0',
  `Y_position_of_first_HCAL_layer` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `HCAL_cern_2010_virt`
--

LOCK TABLES `HCAL_cern_2010_virt` WRITE;
INSERT INTO `HCAL_cern_2010_virt` VALUES (1,30,10,1000,1000,100,100,308,0,0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:29
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch03`;
USE TBhcalcatch03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `steel_front_thickness` double NOT NULL default '1',
  `poly_front_thickness` double NOT NULL default '1',
  `tyvek_front_thickness` double NOT NULL default '0.25',
  `poly_active_thickness` double NOT NULL default '5',
  `tyvek_back_thickness` double NOT NULL default '0.25',
  `poly_back_thickness` double NOT NULL default '1',
  `steel_back_thickness` double NOT NULL default '1',
  `steel_absorber_fine_thickness` double NOT NULL default '19.2',
  `steel_absorber_coarse_thickness` double NOT NULL default '76.2'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (1,1,0.25,5,0.25,1,1,19.2,76.2);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,250,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,1,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `z_begin` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (39,90,90,10,5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch04`;
USE TBhcalcatch04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `steel_front_thickness` double NOT NULL default '1',
  `poly_front_thickness` double NOT NULL default '1',
  `tyvek_front_thickness` double NOT NULL default '0.25',
  `poly_active_thickness` double NOT NULL default '5',
  `tyvek_back_thickness` double NOT NULL default '0.25',
  `poly_back_thickness` double NOT NULL default '1',
  `steel_back_thickness` double NOT NULL default '1',
  `steel_absorber_fine_thickness` double NOT NULL default '19.2',
  `steel_absorber_coarse_thickness` double NOT NULL default '76.2'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (1,1,0.25,5,0.25,1,1,19.2,76.2);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,250,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,1,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `z_begin` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (38,90,90,10,655);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch05`;
USE TBhcalcatch05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,637,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (35,90,90,10,0,90,655);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:33
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch05_01`;
USE TBhcalcatch05_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch05_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,637,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (35,90,90,10,0,90,1616);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:35
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch05_02`;
USE TBhcalcatch05_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch05_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,637,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,20);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (35,90,90,10,0,90,1616);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch06`;
USE TBhcalcatch06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,110,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (30,90,90,10,0,0,57);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch06_01`;
USE TBhcalcatch06_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch06_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,110,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (30,90,90,10,0,0,2313);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch06_02`;
USE TBhcalcatch06_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch06_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,110,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,20);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (30,90,90,10,0,0,2313);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch07`;
USE TBhcalcatch07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,333,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (38,90,90,10,0,0,1716);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch07_02`;
USE TBhcalcatch07_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch07_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,333,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,20);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (38,90,90,10,0,0,1716);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:45
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch08`;
USE TBhcalcatch08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,358,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,16);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (38,90,90,10,0,0,1532);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:46
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TBhcalcatch08_02`;
USE TBhcalcatch08_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TBhcalcatch08_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `catcher_layer_thickness`
--

DROP TABLE IF EXISTS `catcher_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_layer_thickness` (
  `air_front_thickness` double default NULL,
  `steel_front_thickness` double default NULL,
  `poly_front_thickness` double default NULL,
  `tyvek_front_thickness` double default NULL,
  `poly_active_thickness` double default NULL,
  `tyvek_back_thickness` double default NULL,
  `poly_back_thickness` double default NULL,
  `steel_back_thickness` double default NULL,
  `air_back_thickness` double default NULL,
  `steel_absorber_fine_thickness` double default NULL,
  `steel_absorber_coarse_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_layer_thickness`
--

LOCK TABLES `catcher_layer_thickness` WRITE;
INSERT INTO `catcher_layer_thickness` VALUES (17.25,1,1,0.25,5,0.25,1,1,5,19.05,101.6);
UNLOCK TABLES;

--
-- Table structure for table `catcher_virt`
--

DROP TABLE IF EXISTS `catcher_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `catcher_virt` (
  `n_layers` smallint(6) NOT NULL default '16',
  `ncell_x` smallint(6) NOT NULL default '100',
  `ncell_y` smallint(6) NOT NULL default '100',
  `grid_size` double NOT NULL default '10',
  `z_gap` double NOT NULL default '0',
  `n_fine_layers` int(11) NOT NULL default '8'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `catcher_virt`
--

LOCK TABLES `catcher_virt` WRITE;
INSERT INTO `catcher_virt` VALUES (16,20,20,50,358,8);
UNLOCK TABLES;

--
-- Table structure for table `hcal_layer_thickness`
--

DROP TABLE IF EXISTS `hcal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL,
  `air_gap` double default NULL,
  `steel_cassette_thickness` double default NULL,
  `foil_thickness` double default NULL,
  `pcb_thickness` double default NULL,
  `cablefibre_mix_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_layer_thickness`
--

LOCK TABLES `hcal_layer_thickness` WRITE;
INSERT INTO `hcal_layer_thickness` VALUES (5,16,2,2,0.115,1,1.5);
UNLOCK TABLES;

--
-- Table structure for table `hcal_termlayer`
--

DROP TABLE IF EXISTS `hcal_termlayer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_termlayer` (
  `n_layer_term` int(3) default NULL,
  `steel_thickness_term` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_termlayer`
--

LOCK TABLES `hcal_termlayer` WRITE;
INSERT INTO `hcal_termlayer` VALUES (1,20);
UNLOCK TABLES;

--
-- Table structure for table `hcal_virt`
--

DROP TABLE IF EXISTS `hcal_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal_virt` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `grid_size` double default NULL,
  `x_begin` double default '0',
  `y_begin` double default '0',
  `z_begin` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal_virt`
--

LOCK TABLES `hcal_virt` WRITE;
INSERT INTO `hcal_virt` VALUES (38,90,90,10,0,0,1532);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:48
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TESLAPROD`;
USE TESLAPROD;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TESLAPROD
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tesla`
--

DROP TABLE IF EXISTS `tesla`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tesla` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `date` date default NULL,
  `author` varchar(20) default NULL,
  `status` varchar(10) default NULL,
  `vmoka` varchar(14) default NULL,
  `vgeant` varchar(20) default NULL,
  `geom` varchar(20) default NULL,
  `descri` varchar(200) default NULL,
  `gene` varchar(20) default NULL,
  `GEVs` float default NULL,
  `nevent` int(11) default NULL,
  `filename` varchar(60) default NULL,
  `tape` varchar(20) NOT NULL default '',
  `tape_index` smallint(6) NOT NULL default '0',
  `size` varchar(120) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=16;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tesla`
--

LOCK TABLES `tesla` WRITE;
INSERT INTO `tesla` VALUES (1,'ww800_barrel','2001-08-10','Mora/Brient','okay','mokka-00-00','geant4.3.2','D08','WW in the Ecal/Hcal Barrel','Phytia',800,2000,'ww800_barrel.tgz','in2p3.wz0003',1,'~700 Mb (~2.5Gb uncompressed)'),(2,'zz800_barrel','2001-08-10','Mora/Brient','okay','mokka-00-00','geant4.3.2','D08','ZZ in the Ecal/Hcal Barrel','Phytia',800,2000,'zz800_barrel.tgz','in2p3.wz0003',2,'~700 Mb (~2.5Gb uncompressed)'),(3,'ww800_barrelHcalWMod','2001-08-24','Mora/Brient/Henri','okay','mokka-00-00','geant4.3.2','HcalWMod','WW in the Ecal/HcalWMod Barrel','Phytia',800,500,'ww800_barrel.tgz','in2p3.wz0003',3,'~132 Mb (~ 550Mb uncompressed)'),(4,'zz800_barrelHcalWMod','2001-08-24','Mora/Brient/Henri','okay','mokka-00-00','geant4.3.2','HcalWMod','ZZ in the Ecal/HcalWMod Barrel','Phytia',800,500,'zz800_barrel.tgz','in2p3.wz0003',4,'~132 Mb (~ 550Mb uncompressed)'),(5,'zenqq','2001-10-06','Mora/Brient','okay','mokka-00-00','geant4-03-01-ref-02','D08','Z -> QQb in barrel','Phytia',11.2,1000,'zenqq.tgz','in2p3.wz0003',5,'~68Mb'),(6,'qq500','2001-11-05','Mora/Brient','okay','mokka-00-00','geant4.3.2','D08','Z -> QQb','Phytia',500,1000,'qq500.tgz','in2p3.wz0003',6,'~ 188Mb'),(7,'pi-_5GeV_D08FeRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08FeRPC1','pi- in vertical direction (0,1,0) to study RPC and Fe as radiator for Hcal.','gun',5,5000,'pi-_5GeV_D08FeRPC1.tgz','in2p3.wz0003',7,'~13 Mb'),(8,'pi-_20GeV_D08FeRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08FeRPC1','pi- in vertical direction (0,1,0) to study RPC and Fe as radiator for Hcal.','gun',20,5000,'pi-_20GeV_D08FeRPC1.tgz','in2p3.wz0003',8,'~31 Mb'),(9,'pi-_50GeV_D08FeRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08FeRPC1','pi- in vertical direction (0,1,0) to study RPC and Fe as radiator for Hcal.','gun',50,3479,'pi-_50GeV_D08FeRPC1.tgz','in2p3.wz0003',9,'~39 Mb'),(10,'pi-_5GeV_D08WModRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08WModRPC1','pi- in vertical direction (0,1,0) to study RPC and WMod as radiator for Hcal.','gun',5,5000,'pi-_5GeV_D08WmodRPC1.tgz','in2p3.wz0003',10,'~13Mb'),(11,'pi-_20GeV_D08WModRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08WModRPC1','pi- in vertical direction (0,1,0) to study RPC and WMod as radiator for Hcal.','gun',20,5000,'pi-_20GeV_D08WmodRPC1.tgz','in2p3.wz0003',11,'~28Mb'),(12,'pi-_50GeV_D08WModRPC1','2002-05-22','Mora de Freitas','OK','mokka-00-06a','04-00-patch-02','D08WModRPC1','pi- in vertical direction (0,1,0) to study RPC and WMod as radiator for Hcal.','gun',50,3264,'pi-_50GeV_D08WmodRPC1.tgz','in2p3.wz0003',12,'~30Mb'),(13,'ww800_noisr2','2002-06-12','Mora de Freitas','OK','mokka-00-07','04-00-patch-02','D08FeRPC1','ww800 without noisy to study RPC and Fe as radiator for Hcal.','phitya',800,1000,'ww800_noisr2.tgz','in2p3.wz0003',13,'~320Mb'),(14,'zenqqD08FeRPC1','2002-06-14','Mora de Freitas','OK','mokka-00-07','04-00-patch-02','D08FeRPC1','zenqq to study RPC and Fe as radiator for Hcal.','phitya',11.2,1000,'zenqqD08FeRPC1.tgz','in2p3.wz0003',14,'~72Mb'),(15,'ZnnH140_500_D08FeRPC1','2002-07-03','Mora de Freitas','OK','mokka-00-07','04-00-patch-02','D08FeRPC1','znn to study RPC and Fe as radiator for Hcal.','phitya',11.2,1000,'ZnnH140_500.tgz','in2p3.wz0003',15,'~140Mb');
UNLOCK TABLES;

--
-- Table structure for table `tmp`
--

DROP TABLE IF EXISTS `tmp`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tmp` (
  `id` int(11) NOT NULL default '0',
  `name` char(40) NOT NULL default '',
  `date` date default NULL,
  `author` char(20) default NULL,
  `status` char(10) default NULL,
  `vmoka` char(14) default NULL,
  `vgeant` char(20) default NULL,
  `geom` char(20) default NULL,
  `descri` char(200) default NULL,
  `gene` char(20) default NULL,
  `GEVs` float default NULL,
  `nevent` int(11) default NULL,
  `filename` char(60) default NULL,
  `tape` char(20) NOT NULL default '',
  `tape_index` smallint(6) NOT NULL default '0',
  `size` char(120) default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tmp`
--

LOCK TABLES `tmp` WRITE;
INSERT INTO `tmp` VALUES (15,'ZnnH140_500_D08FeRPC1','2002-07-03','Mora de Freitas','OK','mokka-00-07','04-00-patch-02','D08FeRPC1','znn to study RPC and Fe as radiator for Hcal.','phitya',11.2,1000,'ZnnH140_500.tgz','in2p3.wz0003',15,'~140Mb');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:49
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB00`;
USE TMP_DB00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB00
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:49
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB01`;
USE TMP_DB01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB01
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:49
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB02`;
USE TMP_DB02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB02
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB03`;
USE TMP_DB03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB03
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB04`;
USE TMP_DB04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB04
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB05`;
USE TMP_DB05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB05
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB06`;
USE TMP_DB06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB06
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB07`;
USE TMP_DB07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB07
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB08`;
USE TMP_DB08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB08
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB09`;
USE TMP_DB09;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB09
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB10`;
USE TMP_DB10;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB10
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB11`;
USE TMP_DB11;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB11
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB12`;
USE TMP_DB12;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB12
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB13`;
USE TMP_DB13;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB13
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB14`;
USE TMP_DB14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB14
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:45:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB15`;
USE TMP_DB15;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB15
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB16`;
USE TMP_DB16;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB16
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:54
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB17`;
USE TMP_DB17;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB17
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:54
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB18`;
USE TMP_DB18;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB18
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:55
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB19`;
USE TMP_DB19;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB19
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:55
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB20`;
USE TMP_DB20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:56
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB21`;
USE TMP_DB21;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB21
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:56
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB22`;
USE TMP_DB22;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB22
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:57
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB23`;
USE TMP_DB23;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB23
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:57
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB24`;
USE TMP_DB24;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB24
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:58
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB25`;
USE TMP_DB25;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB25
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:45:58
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB26`;
USE TMP_DB26;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB26
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:00
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB27`;
USE TMP_DB27;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB27
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3595,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:00
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB28`;
USE TMP_DB28;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB28
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB29`;
USE TMP_DB29;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB29
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:03
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB30`;
USE TMP_DB30;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB30
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:04
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB31`;
USE TMP_DB31;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB31
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:06
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB32`;
USE TMP_DB32;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB32
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3595,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:06
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB33`;
USE TMP_DB33;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB33
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `coil`
--

DROP TABLE IF EXISTS `coil`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `coil` (
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `half_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `coil`
--

LOCK TABLES `coil` WRITE;
INSERT INTO `coil` VALUES (3332.36,4082.36,3872);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:07
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB34`;
USE TMP_DB34;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB34
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:08
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB35`;
USE TMP_DB35;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB35
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:09
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB36`;
USE TMP_DB36;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB36
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,24.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:11
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB37`;
USE TMP_DB37;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB37
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:12
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB38`;
USE TMP_DB38;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB38
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,24.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:13
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB39`;
USE TMP_DB39;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB39
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:46:14
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB40`;
USE TMP_DB40;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB40
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:15
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB41`;
USE TMP_DB41;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB41
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:16
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB42`;
USE TMP_DB42;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB42
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:18
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB43`;
USE TMP_DB43;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB43
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,24.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:19
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB44`;
USE TMP_DB44;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB44
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,24.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:20
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB45`;
USE TMP_DB45;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB45
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:22
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB46`;
USE TMP_DB46;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB46
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB47`;
USE TMP_DB47;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB47
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB48`;
USE TMP_DB48;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB48
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,11,0,150,11),(4,37,125,11,11,0,150,11),(5,58,125,11,17,0,150,11),(6,58,125,11,17,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,145,0.49392,24.3,15.7,20,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TMP_DB49`;
USE TMP_DB49;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TMP_DB49
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `lumical`
--

DROP TABLE IF EXISTS `lumical`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumical` (
  `type` char(80) NOT NULL default '',
  `calo_inner_radius` double default NULL,
  `calo_outer_radius` double default NULL,
  `nstrips_theta` int(3) default NULL,
  `nstrips_phi` int(3) default NULL,
  `n_layers` int(3) default NULL,
  `z_begin` double default NULL,
  `phi_offset` double default NULL,
  `tungsten_thickness` double default NULL,
  `support_thickness` double default NULL,
  `silicon_thickness` double default NULL,
  `layer_gap` double default NULL,
  `crossing_angle` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumical`
--

LOCK TABLES `lumical` WRITE;
INSERT INTO `lumical` VALUES ('pad',80,195.2,64,48,30,2450,0,3.5,0.2,0.32,0.25,14);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `Tmag06`;
USE Tmag06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: Tmag06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tmag`
--

DROP TABLE IF EXISTS `tmag`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tmag` (
  `name` char(100) NOT NULL default '',
  `inner_radius` float default '0',
  `outer_radius` float default '0',
  `material` char(100) NOT NULL default '',
  `z_shift` float NOT NULL default '0',
  `y_shift` float NOT NULL default '0',
  `x_shift` float NOT NULL default '0',
  `z_length` float default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tmag`
--

LOCK TABLES `tmag` WRITE;
INSERT INTO `tmag` VALUES ('wall1',140,143.1,'iron',0,0,0,920),('plug1',143,505,'iron',912.5,0,0,7.5),('wall2',154.5,157.5,'aluminium',0,0,0,885),('plug2',157,462,'aluminium',883.5,0,0,1.5),('wall3',167.5,185,'iron',0,0,0,840),('plug3',185,405,'iron',825,0,0,15),('coil',185,237,'copper',0,0,0,602),('yoke',250,395,'iron',0,0,0,800),('wall4',405,420,'iron',0,0,0,840),('wall5',462,465,'aluminium',0,0,0,885),('wall6',505,520,'iron',0,0,0,920),('pole',185,250,'iron',715,0,0,85),('plug12',143,505,'iron',-912.5,0,0,7.5),('plug22',157,462,'aluminium',-883.5,0,0,1.5),('plug32',185,405,'iron',-825,0,0,15),('pole1',185,250,'iron',-715,0,0,85);
UNLOCK TABLES;

--
-- Table structure for table `trigger`
--

DROP TABLE IF EXISTS `trigger`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `trigger` (
  `name` char(100) NOT NULL default '',
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `material` char(100) NOT NULL default '',
  `x_shift` float NOT NULL default '0',
  `y_shift` float NOT NULL default '0',
  `z_shift` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `trigger`
--

LOCK TABLES `trigger` WRITE;
INSERT INTO `trigger` VALUES ('scint_upper',90,15,545,'polystyrene',0,655,165),('scint_lower',90,15,545,'polystyrene',0,-605,165);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:26
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `TmagField`;
USE TmagField;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: TmagField
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `FieldMap`
--

DROP TABLE IF EXISTS `FieldMap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `FieldMap` (
  `radius` double default '0',
  `z` double default '0',
  `Br` double default '0',
  `Bz` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `FieldMap`
--

LOCK TABLES `FieldMap` WRITE;
INSERT INTO `FieldMap` VALUES (595,940,0.000502023,-0.000646403),(585,940,0.000528508,-0.000664127),(575,940,0.000554992,-0.000685405),(565,940,0.000585564,-0.000706682),(555,940,0.000616135,-0.000732266),(545,940,0.000652259,-0.00075785),(535,940,0.000688383,-0.000788572),(525,940,0.000731785,-0.000819295),(515,940,0.000775188,-0.000856111),(505,940,0.000828194,-0.000892928),(495,940,0.000881199,-0.000936765),(485,940,0.000947303,-0.000980602),(475,940,0.00101341,-0.00103225),(465,940,0.00109706,-0.00108389),(455,940,0.00118071,-0.00114368),(445,940,0.00128792,-0.00120347),(435,940,0.00139512,-0.00127059),(425,940,0.00153345,-0.00133771),(415,940,0.00167178,-0.00140993),(405,940,0.00185008,-0.00148215),(395,940,0.00202837,-0.00155528),(385,940,0.00225762,-0.00162842),(375,940,0.00248688,-0.00169617),(365,940,0.00277582,-0.00176373),(355,940,0.00306936,-0.00181853),(345,940,0.00343149,-0.00187179),(335,940,0.00380505,-0.00190268),(325,940,0.00425794,-0.00192871),(315,940,0.00473246,-0.00191867),(305,940,0.00529713,-0.00189661),(295,940,0.00589787,-0.00181899),(285,940,0.00659751,-0.00171505),(275,940,0.00735211,-0.00152947),(265,940,0.00820809,-0.00129107),(255,940,0.0091401,-0.000939278),(245,940,0.0101469,-0.000489223),(235,940,0.011253,0.000118556),(225,940,0.0124565,0.000859809),(215,940,0.0137029,0.00181234),(205,940,0.0149986,0.00300178),(195,940,0.0162938,0.00434915),(185,940,0.0175889,0.00608383),(175,940,0.0187329,0.00787809),(165,940,0.0198769,0.0101821),(155,940,0.020654,0.0125007),(145,940,0.0214095,0.01518),(135,940,0.0216653,0.0178922),(125,940,0.0218585,0.0207613),(115,940,0.0215108,0.0236557),(105,940,0.0210549,0.0265063),(95,940,0.0200912,0.0293462),(85,940,0.0189824,0.0319775),(75,940,0.0174468,0.0345393),(65,940,0.0157471,0.0367759),(55,940,0.0137272,0.0388693),(45,940,0.0115472,0.0405698),(35,940,0.00916178,0.042048),(25,940,0.00664555,0.0431099),(15,940,0.00552723,0.0438745),(5,940,0,0.0442355),(595,930,0.000484093,-0.000660043),(585,930,0.000508764,-0.000678739),(575,930,0.000533436,-0.000701337),(565,930,0.000561804,-0.000723934),(555,930,0.000590173,-0.000751314),(545,930,0.000623655,-0.000778694),(535,930,0.000657137,-0.000811882),(525,930,0.000697393,-0.00084507),(515,930,0.000737648,-0.000885309),(505,930,0.000786999,-0.000925548),(495,930,0.00083635,-0.000974197),(485,930,0.000898341,-0.00102285),(475,930,0.000960332,-0.00108127),(465,930,0.00103964,-0.00113969),(455,930,0.00111896,-0.00120881),(445,930,0.00122216,-0.00127793),(435,930,0.00132537,-0.00135753),(425,930,0.00146077,-0.00143713),(415,930,0.00159617,-0.00152547),(405,930,0.0017736,-0.00161382),(395,930,0.00195104,-0.00170686),(385,930,0.00218257,-0.0017999),(375,930,0.00241411,-0.00189148),(365,930,0.00270912,-0.00198301),(355,930,0.00300902,-0.00206649),(345,930,0.00338272,-0.002149),(335,930,0.00376873,-0.0022148),(325,930,0.00424187,-0.00227698),(315,930,0.00473876,-0.00230928),(305,930,0.00533749,-0.00233162),(295,930,0.00597695,-0.00230375),(285,930,0.00673194,-0.00225208),(275,930,0.00755111,-0.0021208),(265,930,0.00849369,-0.00193799),(255,930,0.00952881,-0.00163689),(245,930,0.0106601,-0.00123325),(235,930,0.0119205,-0.000655735),(225,930,0.0133126,7.3896e-05),(215,930,0.0147705,0.00104638),(205,930,0.0163037,0.00230402),(195,930,0.0178614,0.00375176),(185,930,0.0194279,0.00568349),(175,930,0.0208419,0.00768968),(165,930,0.022256,0.0103478),(155,930,0.0232391,0.0130246),(145,930,0.0241969,0.0161585),(135,930,0.0245578,0.019334),(125,930,0.0248442,0.0227035),(115,930,0.0244888,0.0261042),(105,930,0.024005,0.0294503),(95,930,0.0229254,0.0327833),(85,930,0.0216754,0.0358655),(75,930,0.0199297,0.038864),(65,930,0.0179933,0.0414772),(55,930,0.0156877,0.0439208),(45,930,0.0131975,0.0459031),(35,930,0.0104717,0.0476248),(25,930,0.00759611,0.0488608),(15,930,0.00631805,0.04975),(5,930,0,0.0501699),(595,920,0.000464623,-0.000673041),(585,920,0.000487206,-0.000692641),(575,920,0.000509788,-0.000716469),(565,920,0.000535575,-0.000740298),(555,920,0.000561361,-0.000769363),(545,920,0.000591676,-0.000798427),(535,920,0.000621991,-0.00083395),(525,920,0.000658338,-0.000869474),(515,920,0.000694685,-0.000913),(505,920,0.000739274,-0.000956526),(495,920,0.000783863,-0.00100986),(485,920,0.000840189,-0.0010632),(475,920,0.000896514,-0.00112831),(465,920,0.000969459,-0.00119342),(455,920,0.00104241,-0.00127188),(445,920,0.00113912,-0.00135034),(435,920,0.00123583,-0.00144263),(425,920,0.0013654,-0.00153492),(415,920,0.00149497,-0.00163987),(405,920,0.00166855,-0.00174482),(395,920,0.00184213,-0.00185844),(385,920,0.00207284,-0.00197206),(375,920,0.00230355,-0.00208815),(365,920,0.00260066,-0.00220433),(355,920,0.00290287,-0.00231741),(345,920,0.00328305,-0.00243013),(335,920,0.00367623,-0.00253243),(325,920,0.00416351,-0.00263246),(315,920,0.00467646,-0.00270982),(305,920,0.00530313,-0.00277962),(295,920,0.0059753,-0.00280599),(285,920,0.00678184,-0.00281178),(275,920,0.00766304,-0.00274184),(265,920,0.00869513,-0.00262291),(255,920,0.0098404,-0.00238269),(245,920,0.0111113,-0.00203737),(235,920,0.0125533,-0.00150334),(225,920,0.0141773,-0.000798696),(215,920,0.0159041,0.000180588),(205,920,0.0177485,0.00149725),(195,920,0.0196629,0.00303882),(185,920,0.0216029,0.00517437),(175,920,0.0233999,0.0074013),(165,920,0.0251968,0.0104456),(155,920,0.0264689,0.0135132),(145,920,0.02771,0.0171453),(135,920,0.0282146,0.0208286),(125,920,0.0286272,0.0247434),(115,920,0.0282611,0.0286955),(105,920,0.0277392,0.032578),(95,920,0.0265076,0.0364437),(85,920,0.0250732,0.0400107),(75,920,0.023057,0.0434781),(65,920,0.020817,0.0464944),(55,920,0.0181485,0.0493122),(45,920,0.0152657,0.0515954),(35,920,0.0121117,0.0535764),(25,920,0.00878503,0.0549978),(15,920,0.00730653,0.0560195),(5,920,0,0.056502),(595,910,0.000444913,-0.000683525),(585,910,0.000465359,-0.000703758),(575,910,0.000485805,-0.000728469),(565,910,0.00050894,-0.000753181),(555,910,0.000532075,-0.000783495),(545,910,0.000559114,-0.00081381),(535,910,0.000586152,-0.000851158),(525,910,0.000618414,-0.000888507),(515,910,0.000650677,-0.00093479),(505,910,0.00069023,-0.000981073),(495,910,0.000729783,-0.00103862),(485,910,0.000780035,-0.00109616),(475,910,0.000830286,-0.00116762),(465,910,0.000896292,-0.00123909),(455,910,0.000962297,-0.00132692),(445,910,0.00105173,-0.00141476),(435,910,0.00114116,-0.00152056),(425,910,0.00126396,-0.00162637),(415,910,0.00138677,-0.0017498),(405,910,0.0015556,-0.00187323),(395,910,0.00172444,-0.00201003),(385,910,0.00195355,-0.00214683),(375,910,0.00218267,-0.00229013),(365,910,0.0024807,-0.00243367),(355,910,0.00278403,-0.00257997),(345,910,0.00316884,-0.00272661),(335,910,0.00356723,-0.00287161),(325,910,0.00406611,-0.00301624),(315,910,0.00459241,-0.00314931),(305,910,0.00524385,-0.00327851),(295,910,0.00594536,-0.00337672),(285,910,0.00680008,-0.00346026),(275,910,0.00773991,-0.00347929),(265,910,0.00885918,-0.0034566),(255,910,0.010113,-0.00331725),(245,910,0.0115243,-0.00307679),(235,910,0.0131527,-0.0026381),(225,910,0.0150193,-0.00201078),(215,910,0.0170323,-0.0010762),(205,910,0.0192125,0.000263498),(195,910,0.0215204,0.00187328),(185,910,0.0238747,0.00423917),(175,910,0.0261032,0.00672138),(165,910,0.0283317,0.0102773),(155,910,0.0299238,0.0138638),(145,910,0.0314785,0.0181644),(135,910,0.0321376,0.02253),(125,910,0.0326848,0.0271663),(115,910,0.0323033,0.0318462),(105,910,0.031736,0.0364245),(95,910,0.0303374,0.0409782),(85,910,0.0287012,0.0451634),(75,910,0.0263929,0.0492256),(65,910,0.0238261,0.052749),(55,910,0.0207689,0.0560352),(45,910,0.0174665,0.0586932),(35,910,0.0138558,0.0609961),(25,910,0.0100489,0.0626469),(15,910,0.00835696,0.063832),(5,910,0,0.0643916),(595,900,0.000424155,-0.000693408),(585,900,0.000442258,-0.000714201),(575,900,0.00046036,-0.000739701),(565,900,0.000480541,-0.0007652),(555,900,0.000500723,-0.000796644),(545,900,0.000524005,-0.000828087),(535,900,0.000547288,-0.000867109),(525,900,0.000574696,-0.00090613),(515,900,0.000602104,-0.000954979),(505,900,0.000635425,-0.00100383),(495,900,0.000668747,-0.00106534),(485,900,0.000711146,-0.00112686),(475,900,0.000753546,-0.00120442),(465,900,0.000810111,-0.00128199),(455,900,0.000866676,-0.00137902),(445,900,0.000945404,-0.00147606),(435,900,0.00102413,-0.00159546),(425,900,0.00113606,-0.00171486),(415,900,0.00124799,-0.00185724),(405,900,0.00140818,-0.00199962),(395,900,0.00156838,-0.00216036),(385,900,0.00179257,-0.0023211),(375,900,0.00201677,-0.00249189),(365,900,0.00231061,-0.00266305),(355,900,0.00260981,-0.00284285),(345,900,0.00299119,-0.00302369),(335,900,0.00338626,-0.00321211),(325,900,0.00388563,-0.00340217),(315,900,0.00441343,-0.00359277),(305,900,0.00507581,-0.00378355),(295,900,0.00579201,-0.00395746),(285,900,0.00668018,-0.00412337),(275,900,0.00766388,-0.00423857),(265,900,0.00886004,-0.00432096),(255,900,0.0102155,-0.00429478),(245,900,0.011771,-0.0041745),(235,900,0.0136065,-0.00385035),(225,900,0.0157624,-0.00332176),(215,900,0.0181368,-0.00245625),(205,900,0.0207606,-0.00111492),(195,900,0.0236216,0.000543624),(185,900,0.0265689,0.00314153),(175,900,0.0294412,0.00588396),(165,900,0.0323135,0.00999913),(155,900,0.0343616,0.0141535),(145,900,0.0363612,0.0191829),(135,900,0.0372221,0.0242919),(125,900,0.0379407,0.0297057),(115,900,0.0375231,0.0351687),(105,900,0.0368784,0.0404895),(95,900,0.0352473,0.0457759),(85,900,0.0333344,0.0506158),(75,900,0.0306397,0.0553068),(65,900,0.0276443,0.0593646),(55,900,0.0240858,0.0631437),(45,900,0.0202457,0.0661955),(35,900,0.0160545,0.068836),(25,900,0.0116398,0.0707274),(15,900,0.0096777,0.0720836),(5,900,0,0.0727241),(595,890,0.000403333,-0.000700346),(585,890,0.000419074,-0.000721344),(575,890,0.000434815,-0.000747166),(565,890,0.000452009,-0.000772989),(555,890,0.000469204,-0.000804968),(545,890,0.00048867,-0.000836948),(535,890,0.000508135,-0.000876896),(525,890,0.00053058,-0.000916845),(515,890,0.000553026,-0.000967324),(505,890,0.00057993,-0.0010178),(495,890,0.000606834,-0.00108214),(485,890,0.000641066,-0.00114649),(475,890,0.000675299,-0.00122891),(465,890,0.000721882,-0.00131133),(455,890,0.000768465,-0.00141671),(445,890,0.000835611,-0.0015221),(435,890,0.000902758,-0.0016555),(425,890,0.00100269,-0.00178891),(415,890,0.00110262,-0.00195253),(405,890,0.00125318,-0.00211615),(395,890,0.00140375,-0.00230451),(385,890,0.00162282,-0.00249286),(375,890,0.0018419,-0.00269255),(365,890,0.00213062,-0.00289265),(355,890,0.00242469,-0.00310729),(345,890,0.00280071,-0.00332367),(335,890,0.00319039,-0.00355907),(325,890,0.00368711,-0.00379862),(315,890,0.00421303,-0.00405574),(305,890,0.00488184,-0.00431873),(295,890,0.00560781,-0.00458718),(285,890,0.0065235,-0.00485821),(275,890,0.00754458,-0.0051048),(265,890,0.00881085,-0.00533556),(255,890,0.010261,-0.00548285),(245,890,0.0119552,-0.00555779),(235,890,0.0139955,-0.00544236),(225,890,0.0164449,-0.00511732),(215,890,0.0191946,-0.00444024),(205,890,0.0222875,-0.00320222),(195,890,0.0257519,-0.00159023),(185,890,0.0293514,0.00124793),(175,890,0.0329464,0.00427472),(165,890,0.0365414,0.009183),(155,890,0.0390835,0.014145),(145,890,0.0415636,0.020198),(135,890,0.0426316,0.0263502),(125,890,0.0435232,0.0328164),(115,890,0.043057,0.0393331),(105,890,0.0423194,0.045625),(95,890,0.040434,0.0518626),(85,890,0.0382208,0.0575367),(75,890,0.0351132,0.063023),(65,890,0.0316617,0.0677493),(55,890,0.0275729,0.0721412),(45,890,0.0231654,0.0756795),(35,890,0.0183631,0.0787354),(25,890,0.0133094,0.0809219),(15,890,0.0110634,0.0824874),(5,890,0,0.0832267),(595,880,0.000382156,-0.000706782),(585,880,0.000395434,-0.000727923),(575,880,0.000408713,-0.000753981),(565,880,0.000422738,-0.000780039),(555,880,0.000436764,-0.000812435),(545,880,0.000452072,-0.000844831),(535,880,0.000467381,-0.000885541),(525,880,0.000484259,-0.000926252),(515,880,0.000501137,-0.000978127),(505,880,0.000520595,-0.00103),(495,880,0.000540054,-0.00109685),(485,880,0.000564366,-0.0011637),(475,880,0.000588678,-0.00125059),(465,880,0.000622272,-0.00133749),(455,880,0.000655866,-0.00145086),(445,880,0.000706556,-0.00156422),(435,880,0.000757246,-0.00171149),(425,880,0.000838944,-0.00185875),(415,880,0.000920642,-0.00204412),(405,880,0.00105609,-0.0022295),(395,880,0.00119153,-0.00244683),(385,880,0.00140437,-0.00266417),(375,880,0.00161722,-0.00289236),(365,880,0.00189564,-0.00312096),(355,880,0.00217911,-0.00336976),(345,880,0.00253904,-0.00362098),(335,880,0.00291172,-0.00390309),(325,880,0.00338846,-0.00419192),(315,880,0.00389357,-0.0045161),(305,880,0.00454385,-0.00485205),(295,880,0.0052522,-0.00521717),(285,880,0.00616249,-0.0055961),(275,880,0.00718497,-0.00597947),(265,880,0.00848365,-0.00636572),(255,880,0.00998949,-0.00669842),(245,880,0.0117923,-0.00698473),(235,880,0.0140253,-0.00710202),(225,880,0.0167906,-0.00701095),(215,880,0.0199936,-0.00656278),(205,880,0.0236966,-0.00547192),(195,880,0.0280432,-0.00395261),(185,880,0.032624,-0.000885053),(175,880,0.0373805,0.0024207),(165,880,0.0421371,0.00820177),(155,880,0.045384,0.0140536),(145,880,0.0485422,0.0212129),(135,880,0.0498472,0.0284912),(125,880,0.0509205,0.0360747),(115,880,0.0503355,0.0437074),(105,880,0.0494189,0.0510184),(95,880,0.0471585,0.0582517),(85,880,0.0445143,0.0647951),(75,880,0.040847,0.0711087),(65,880,0.0367864,0.0765288),(55,880,0.0320058,0.0815558),(45,880,0.0268653,0.0855979),(35,880,0.0212819,0.0890832),(25,880,0.0154166,0.0915748),(15,880,0.0128099,0.0933566),(5,880,0,0.094198),(595,870,0.000361042,-0.000710019),(585,870,0.000371864,-0.0007309),(575,870,0.000382686,-0.000756644),(565,870,0.000393547,-0.000782388),(555,870,0.000404407,-0.000814437),(545,870,0.000415553,-0.000846486),(535,870,0.000426699,-0.000886902),(525,870,0.000437985,-0.000927317),(515,870,0.00044927,-0.000979101),(505,870,0.000461213,-0.00103089),(495,870,0.000473156,-0.00109822),(485,870,0.000487363,-0.00116555),(475,870,0.000501571,-0.00125446),(465,870,0.000521736,-0.00134338),(455,870,0.000541902,-0.0014624),(445,870,0.000575257,-0.00158143),(435,870,0.000608612,-0.00174164),(425,870,0.000670625,-0.00190184),(415,870,0.000732637,-0.00211218),(405,870,0.000851424,-0.00232251),(395,870,0.000970211,-0.00257756),(385,870,0.00117823,-0.0028326),(375,870,0.00138626,-0.00308684),(365,870,0.00165397,-0.00334105),(355,870,0.00192628,-0.00361972),(345,870,0.00226828,-0.00390132),(335,870,0.00262191,-0.0042283),(325,870,0.00307548,-0.00456514),(315,870,0.00355631,-0.00495973),(305,870,0.0041831,-0.00537358),(295,870,0.00486827,-0.00584892),(285,870,0.00576555,-0.00635339),(275,870,0.00678066,-0.00690798),(265,870,0.00810044,-0.00749501),(255,870,0.00964873,-0.0080893),(245,870,0.0115459,-0.00868989),(235,870,0.0139564,-0.00919298),(225,870,0.0170254,-0.0095298),(215,870,0.0206815,-0.00956851),(205,870,0.0250086,-0.00890447),(195,870,0.0303057,-0.00777193),(185,870,0.0359556,-0.00454407),(175,870,0.0420108,-0.000993859),(165,870,0.0480661,0.00616802),(155,870,0.0520523,0.0134331),(145,870,0.0559168,0.0222263),(135,870,0.0574471,0.0311584),(125,870,0.0586856,0.0402741),(115,870,0.0579563,0.0494194),(105,870,0.0568333,0.0580555),(95,870,0.0541692,0.0665687),(85,870,0.0510647,0.0742055),(75,870,0.0468081,0.0815501),(65,870,0.0421085,0.0878251),(55,870,0.0366061,0.0936294),(45,870,0.0307024,0.0982845),(35,870,0.0243076,0.10229),(25,870,0.0176002,0.10515),(15,870,0.0146192,0.107192),(5,870,0,0.108157),(595,860,0.000340395,-0.000712889),(585,860,0.000348811,-0.000733463),(575,860,0.000357227,-0.000758825),(565,860,0.000364946,-0.000784187),(555,860,0.000372666,-0.000815793),(545,860,0.000379609,-0.0008474),(535,860,0.000386552,-0.000887378),(525,860,0.000392061,-0.000927356),(515,860,0.000397569,-0.000978832),(505,860,0.000401477,-0.00103031),(495,860,0.000405384,-0.0010978),(485,860,0.000408115,-0.00116529),(475,860,0.000410845,-0.00125574),(465,860,0.000414317,-0.00134619),(455,860,0.00041779,-0.0014702),(445,860,0.000427288,-0.00159422),(435,860,0.000436786,-0.00176668),(425,860,0.000468326,-0.00193915),(415,860,0.000499866,-0.00217488),(405,860,0.000590579,-0.00241061),(395,860,0.000681291,-0.00270685),(385,860,0.000894965,-0.00300309),(375,860,0.00110864,-0.00328169),(365,860,0.00136255,-0.00355964),(355,860,0.00161956,-0.00386657),(345,860,0.00192997,-0.00417699),(335,860,0.00224928,-0.00454754),(325,860,0.00265612,-0.00493116),(315,860,0.00308683,-0.00539511),(305,860,0.00365328,-0.00588583),(295,860,0.00427403,-0.00647093),(285,860,0.00510171,-0.00710072),(275,860,0.00604434,-0.0078279),(265,860,0.00730119,-0.00861809),(255,860,0.0087937,-0.00948088),(245,860,0.010678,-0.0104066),(235,860,0.0131551,-0.0113175),(225,860,0.0164362,-0.012117),(215,860,0.020545,-0.0126989),(205,860,0.0255996,-0.0125452),(195,860,0.0323536,-0.011901),(185,860,0.0397254,-0.00854779),(175,860,0.0480987,-0.00477781),(165,860,0.056472,0.00391096),(155,860,0.0614522,0.0127403),(145,860,0.0662328,0.0232711),(135,860,0.0679022,0.0339565),(125,860,0.0691827,0.0446675),(115,860,0.0681193,0.0553826),(105,860,0.0665872,0.0653842),(95,860,0.0633053,0.0752136),(85,860,0.0595236,0.0839716),(75,860,0.0544577,0.0923724),(65,860,0.0488979,0.099522),(55,860,0.0424505,0.106121),(45,860,0.0355592,0.111403),(35,860,0.0281272,0.115939),(25,860,0.0203513,0.119176),(15,860,0.0168953,0.121484),(5,860,0,0.122574),(595,850,0.000319874,-0.000712512),(585,850,0.000325905,-0.000732357),(575,850,0.000331935,-0.000756744),(565,850,0.000336541,-0.000781131),(555,850,0.000341148,-0.000811448),(545,850,0.000343923,-0.000841764),(535,850,0.000346698,-0.000880042),(525,850,0.000346474,-0.000918319),(515,850,0.00034625,-0.000967582),(505,850,0.000342166,-0.00101684),(495,850,0.000338081,-0.00108162),(485,850,0.000329334,-0.00114639),(475,850,0.000320587,-0.00123412),(465,850,0.000307216,-0.00132185),(455,850,0.000293844,-0.0014449),(445,850,0.00027886,-0.00156795),(435,850,0.000263876,-0.0017467),(425,850,0.000262973,-0.00192544),(415,850,0.000262071,-0.00219033),(405,850,0.000321014,-0.00245521),(395,850,0.000379958,-0.00282347),(385,850,0.000604675,-0.00319174),(375,850,0.000829392,-0.00347986),(365,850,0.00106929,-0.00376502),(355,850,0.00131036,-0.00408605),(345,850,0.00158759,-0.00441139),(335,850,0.00187084,-0.00481407),(325,850,0.00222847,-0.00523357),(315,850,0.00260639,-0.0057575),(305,850,0.00310845,-0.00631624),(295,850,0.00366018,-0.00700689),(285,850,0.0044112,-0.00776001),(275,850,0.00527295,-0.00867184),(265,850,0.00645392,-0.00968636),(255,850,0.00787432,-0.0108787),(245,850,0.00972344,-0.0122252),(235,850,0.0122363,-0.0137384),(225,850,0.0156891,-0.0153078),(215,850,0.020213,-0.0169307),(205,850,0.025961,-0.0180247),(195,850,0.0342637,-0.0187662),(185,850,0.0434955,-0.0155963),(175,850,0.0544296,-0.0118247),(165,850,0.0653638,-0.000318694),(155,850,0.0713305,0.0114083),(145,850,0.077005,0.0245934),(135,850,0.0787695,0.037911),(125,850,0.0800452,0.0507745),(115,850,0.0786095,0.0635646),(105,850,0.0766313,0.0752885),(95,850,0.0727003,0.086755),(85,850,0.0682113,0.0968807),(75,850,0.0623076,0.10656),(65,850,0.05586,0.114758),(55,850,0.0484403,0.122306),(45,850,0.0405348,0.128331),(35,850,0.0320391,0.133497),(25,850,0.0231681,0.137178),(15,850,0.0192253,0.139799),(5,850,0,0.141037),(595,840,0.00030071,-0.000711922),(585,840,0.000304583,-0.000731009),(575,840,0.000308456,-0.000754382),(565,840,0.000310245,-0.000777755),(555,840,0.000312035,-0.000806722),(545,840,0.00031102,-0.000835689),(535,840,0.000310005,-0.000872176),(525,840,0.000304528,-0.000908664),(515,840,0.000299051,-0.000955567),(505,840,0.000287447,-0.00100247),(495,840,0.000275843,-0.00106428),(485,840,0.000255617,-0.00112609),(475,840,0.000235391,-0.00121064),(465,840,0.000203543,-0.0012952),(455,840,0.000171694,-0.00141641),(445,840,0.000125484,-0.00153763),(435,840,7.92729e-05,-0.00172122),(425,840,2.46421e-05,-0.0019048),(415,840,-2.99888e-05,-0.00219761),(405,840,-4.27173e-05,-0.00249041),(395,840,-5.54457e-05,-0.00294038),(385,840,0.00023856,-0.00339036),(375,840,0.000532566,-0.00368259),(365,840,0.000756182,-0.00396897),(355,840,0.000974384,-0.00430172),(345,840,0.0012013,-0.00464003),(335,840,0.00142966,-0.0050733),(325,840,0.00171135,-0.00552722),(315,840,0.00200758,-0.00610932),(305,840,0.0024015,-0.00673415),(295,840,0.00283449,-0.00752791),(285,840,0.00343277,-0.00840168),(275,840,0.00412287,-0.00949477),(265,840,0.00508819,-0.0107298),(255,840,0.00625991,-0.0122485),(245,840,0.00783267,-0.0140132),(235,840,0.0100493,-0.016133),(225,840,0.0132372,-0.0184913),(215,840,0.0177706,-0.0212014),(205,840,0.0238417,-0.0236953),(195,840,0.0346871,-0.0260451),(185,840,0.0472685,-0.0231059),(175,840,0.0633863,-0.019353),(165,840,0.0795041,-0.0047742),(155,840,0.0863758,0.0101139),(145,840,0.0927037,0.0260442),(135,840,0.0940881,0.0420693),(125,840,0.0948547,0.0571213),(115,840,0.0926319,0.0720164),(105,840,0.0898112,0.0854841),(95,840,0.0848898,0.0986072),(85,840,0.0793683,0.110117),(75,840,0.072321,0.121089),(65,840,0.0646868,0.130349),(55,840,0.0560025,0.138855),(45,840,0.0467932,0.145633),(35,840,0.0369469,0.151435),(25,840,0.026695,0.155566),(15,840,0.0221387,0.158504),(5,840,0,0.159891),(595,830,0.000281663,-0.000708384),(585,830,0.000283401,-0.000726333),(575,830,0.000285139,-0.000748151),(565,830,0.000284142,-0.000769968),(555,830,0.000283145,-0.000796779),(545,830,0.000278385,-0.000823589),(535,830,0.000273626,-0.00085704),(525,830,0.000262965,-0.00089049),(515,830,0.000252303,-0.000933041),(505,830,0.000233282,-0.000975591),(495,830,0.000214261,-0.00103105),(485,830,0.000182717,-0.0010865),(475,830,0.000151173,-0.0011616),(465,830,0.00010107,-0.0012367),(455,830,5.09664e-05,-0.00134417),(445,830,-2.64064e-05,-0.00145163),(435,830,-0.000103779,-0.00162022),(425,830,-0.000213479,-0.00178881),(415,830,-0.000323179,-0.00209255),(405,830,-0.00041813,-0.00239629),(395,830,-0.00051308,-0.00306123),(385,830,-0.000135009,-0.00372617),(375,830,0.000243062,-0.00394796),(365,830,0.000448334,-0.00415334),(355,830,0.000640315,-0.00446504),(345,830,0.000815227,-0.0047895),(335,830,0.000987294,-0.00523215),(325,830,0.00119175,-0.00570049),(315,830,0.00140504,-0.00631584),(305,830,0.00168887,-0.00698018),(295,830,0.00200093,-0.00784351),(285,830,0.00244298,-0.00880108),(275,830,0.00295725,-0.0100289),(265,830,0.00369898,-0.0114316),(255,830,0.0046113,-0.0132331),(245,830,0.00588914,-0.0153803),(235,830,0.00777639,-0.0181644),(225,830,0.0106391,-0.0215732),(215,830,0.0150678,-0.0260067),(205,830,0.0212863,-0.0319925),(195,830,0.0348187,-0.0390131),(185,830,0.0510109,-0.0369544),(175,830,0.0726684,-0.0334989),(165,830,0.094326,-0.0123352),(155,830,0.101978,0.00933445),(145,830,0.108806,0.0292612),(135,830,0.109739,0.0490295),(125,830,0.109934,0.0667672),(115,830,0.10689,0.0841773),(105,830,0.103197,0.0996852),(95,830,0.0972618,0.114734),(85,830,0.0906864,0.12785),(75,830,0.0824752,0.140321),(65,830,0.0736349,0.150811),(55,830,0.0636669,0.160428),(45,830,0.0531349,0.168075),(35,830,0.041919,0.174609),(25,830,0.0302679,0.179258),(15,830,0.0250897,0.18256),(5,830,0,0.18412),(595,820,0.000264812,-0.000704762),(585,820,0.000264817,-0.000721564),(575,820,0.000264823,-0.000741812),(565,820,0.000261622,-0.000762059),(555,820,0.000258421,-0.000786694),(545,820,0.000250764,-0.000811328),(535,820,0.000243107,-0.000841712),(525,820,0.000228532,-0.000872096),(515,820,0.000213957,-0.000910246),(505,820,0.000189452,-0.000948396),(495,820,0.000164946,-0.000997408),(485,820,0.000125079,-0.00104642),(475,820,8.52126e-05,-0.00111186),(465,820,2.0998e-05,-0.0011773),(455,820,-4.32167e-05,-0.00127052),(445,820,-0.000150548,-0.00136373),(435,820,-0.000257879,-0.00151557),(425,820,-0.000447682,-0.00166742),(415,820,-0.000637484,-0.00197534),(405,820,-0.00101158,-0.00228327),(395,820,-0.00138568,-0.00317305),(385,820,-0.000647726,-0.00406283),(375,820,9.02335e-05,-0.00418891),(365,820,0.000238751,-0.00428671),(355,820,0.000341927,-0.00461319),(345,820,0.000433312,-0.00496711),(335,820,0.000522733,-0.00545887),(325,820,0.000625932,-0.00598061),(315,820,0.000732889,-0.00671096),(305,820,0.000870477,-0.00751084),(295,820,0.00102032,-0.00836129),(285,820,0.00124116,-0.00923568),(275,820,0.00150144,-0.0105362),(265,820,0.00187168,-0.0121124),(255,820,0.00232438,-0.0141861),(245,820,0.00296104,-0.0166909),(235,820,0.0039002,-0.020142),(225,820,0.00531356,-0.0245775),(215,820,0.00750614,-0.0306476),(205,820,0.0105893,-0.0403826),(195,820,0.0295054,-0.052561),(185,820,0.054179,-0.0512797),(175,820,0.0880246,-0.0479276),(165,820,0.12187,-0.0199062),(155,820,0.127977,0.00882008),(145,820,0.132453,0.0327316),(135,820,0.131591,0.0562055),(125,820,0.130062,0.0766192),(115,820,0.125541,0.0965393),(105,820,0.120423,0.114091),(95,820,0.11304,0.13107),(85,820,0.105011,0.145799),(75,820,0.0952606,0.159776),(65,820,0.0848487,0.171501),(55,820,0.0732388,0.182233),(45,820,0.0610297,0.190754),(35,820,0.0480947,0.198025),(25,820,0.0346977,0.203194),(15,820,0.0287435,0.206862),(5,820,0,0.208594),(595,810,0.000248009,-0.000698755),(585,810,0.000246293,-0.000714124),(575,810,0.000244576,-0.000732401),(565,810,0.000239184,-0.000750678),(555,810,0.000233792,-0.000772571),(545,810,0.000223257,-0.000794464),(535,810,0.000212722,-0.000820953),(525,810,0.000194267,-0.000847441),(515,810,0.000175811,-0.000879815),(505,810,0.000145877,-0.000912189),(495,810,0.000115943,-0.00095214),(485,810,6.78606e-05,-0.000992092),(475,810,1.97785e-05,-0.00104227),(465,810,-5.83155e-05,-0.00109245),(455,810,-0.000136409,-0.00115693),(445,810,-0.000273049,-0.00122141),(435,810,-0.000409688,-0.00130678),(425,810,-0.00067749,-0.00139214),(415,810,-0.000945292,-0.00151162),(405,810,-0.00159033,-0.00163109),(395,810,-0.00223537,-0.0030275),(385,810,-0.000796002,-0.00442391),(375,810,0.000643371,-0.00373389),(365,810,0.00113843,-0.00296659),(355,810,0.00156085,-0.00432881),(345,810,0.00204155,-0.00594657),(335,810,0.00253196,-0.00762012),(325,810,0.00314456,-0.0093058),(315,810,0.00379048,-0.0124814),(305,810,0.00445695,-0.0161536),(295,810,0.00513163,-0.0146414),(285,810,0.00574726,-0.0106734),(275,810,0.00633008,-0.0102781),(265,810,0.00669737,-0.0121946),(255,810,0.00690303,-0.0142383),(245,810,0.00695535,-0.0163924),(235,810,0.00679733,-0.020589),(225,810,0.00641122,-0.0253703),(215,810,0.00586468,-0.0306002),(205,810,0.0051348,-0.0514213),(195,810,0.0279524,-0.0826366),(185,810,0.0593328,-0.0791911),(175,810,0.104488,-0.0704132),(165,810,0.149643,-0.0277606),(155,810,0.154115,0.0158598),(145,810,0.156194,0.0434253),(135,810,0.153529,0.0695312),(125,810,0.150272,0.0923456),(115,810,0.144271,0.114629),(105,810,0.137721,0.13432),(95,810,0.128885,0.153386),(85,810,0.119395,0.169907),(75,810,0.108099,0.18558),(65,810,0.0961085,0.198699),(55,810,0.0828493,0.210694),(45,810,0.0689559,0.220199),(35,810,0.0542946,0.228299),(25,810,0.0391447,0.234051),(15,810,0.0324115,0.238128),(5,810,0,0.240053),(595,800,0.000234074,-0.000692748),(585,800,0.000231172,-0.000706684),(575,800,0.00022827,-0.000722991),(565,800,0.000221454,-0.000739297),(555,800,0.000214637,-0.000758448),(545,800,0.000202384,-0.0007776),(535,800,0.000190132,-0.000800193),(525,800,0.000169673,-0.000822787),(515,800,0.000149213,-0.000849384),(505,800,0.000117131,-0.000875982),(495,800,8.5048e-05,-0.000906873),(485,800,3.4956e-05,-0.000937764),(475,800,-1.5136e-05,-0.000972679),(465,800,-9.36492e-05,-0.00100759),(455,800,-0.000172162,-0.00104334),(445,800,-0.000300368,-0.0010791),(435,800,-0.000428574,-0.00109798),(425,800,-0.000652447,-0.00111687),(415,800,-0.00087632,-0.00104789),(405,800,-0.00131617,-0.000978911),(395,800,-0.00175602,-0.00288195),(385,800,0.0201933,-0.00478499),(375,800,0.0421425,-0.00327887),(365,800,0.0663754,-0.00164648),(355,800,0.0907839,-0.00404443),(345,800,0.119079,-0.00692602),(335,800,0.148021,-0.00978136),(325,800,0.184561,-0.012631),(315,800,0.223173,-0.0182518),(305,800,0.263526,-0.0247963),(295,800,0.304575,-0.0209214),(285,800,0.341313,-0.0121111),(275,800,0.375656,-0.01002),(265,800,0.397397,-0.0122768),(255,800,0.409684,-0.0142906),(245,800,0.41245,-0.0160939),(235,800,0.402547,-0.0210359),(225,800,0.380056,-0.026163),(215,800,0.347597,-0.0305529),(205,800,0.303747,-0.06246),(195,800,0.244499,-0.112712),(185,800,0.179652,-0.107103),(175,800,0.185154,-0.0928989),(165,800,0.190655,-0.0356151),(155,800,0.188297,0.0228996),(145,800,0.185477,0.0541189),(135,800,0.180498,0.0828569),(125,800,0.17525,0.108072),(115,800,0.1675,0.132719),(105,800,0.15925,0.15455),(95,800,0.148605,0.175701),(85,800,0.137275,0.194015),(75,800,0.124023,0.211383),(65,800,0.110032,0.225897),(55,800,0.0947022,0.239154),(45,800,0.0787025,0.249645),(35,800,0.0619015,0.258572),(25,800,0.0445906,0.264908),(15,800,0.0368968,0.269394),(5,800,0,0.271512),(595,790,0.000220139,-0.000685046),(585,790,0.000216052,-0.000697397),(575,790,0.000211965,-0.000711573),(565,790,0.000203723,-0.000725748),(555,790,0.000195482,-0.000741965),(545,790,0.000181512,-0.000758182),(535,790,0.000167541,-0.000776636),(525,790,0.000145078,-0.00079509),(515,790,0.000122616,-0.000815756),(505,790,8.83844e-05,-0.000836422),(495,790,5.41532e-05,-0.000858656),(485,790,2.05132e-06,-0.00088089),(475,790,-5.00506e-05,-0.000902823),(465,790,-0.000128983,-0.000924756),(455,790,-0.000207915,-0.000940149),(445,790,-0.000327688,-0.000955543),(435,790,-0.00044746,-0.000946663),(425,790,-0.000627403,-0.000937782),(415,790,-0.000807347,-0.0008478),(405,790,-0.00104201,-0.000757818),(395,790,-0.00127667,-0.0265433),(385,790,0.0411825,-0.0523288),(375,790,0.0836417,-0.0520224),(365,790,0.131612,-0.0507496),(355,790,0.180007,-0.054398),(345,790,0.236116,-0.058637),(335,790,0.29351,-0.0660657),(325,790,0.365978,-0.0741877),(315,790,0.442556,-0.0809659),(305,790,0.522595,-0.0872962),(295,790,0.604018,-0.0754563),(285,790,0.676879,-0.0550096),(275,790,0.744983,-0.0340955),(265,790,0.788096,-0.012879),(255,790,0.812465,0.00952008),(245,790,0.817945,0.032944),(235,790,0.798296,0.0538693),(225,790,0.753701,0.0735223),(215,790,0.68933,0.0915125),(205,790,0.602359,0.0884799),(195,790,0.461046,0.0714321),(185,790,0.299971,0.0141806),(175,790,0.26582,-0.0492562),(165,790,0.231668,-0.00607447),(155,790,0.222479,0.0401535),(145,790,0.214759,0.0720822),(135,790,0.207467,0.102711),(125,790,0.200229,0.130538),(115,790,0.19073,0.157914),(105,790,0.180779,0.182269),(95,790,0.168324,0.205895),(85,790,0.155154,0.226299),(75,790,0.139947,0.245629),(65,790,0.123956,0.261726),(55,790,0.106555,0.276401),(45,790,0.0884491,0.287984),(35,790,0.0695084,0.29782),(25,790,0.0500364,0.304792),(15,790,0.0413822,0.309719),(5,790,0,0.312045),(595,780,0.000209361,-0.000677344),(585,780,0.000204632,-0.00068811),(575,780,0.000199903,-0.000700155),(565,780,0.00019104,-0.000712199),(555,780,0.000182177,-0.000725481),(545,780,0.000167685,-0.000738763),(535,780,0.000153194,-0.000753078),(525,780,0.000130514,-0.000767393),(515,780,0.000107834,-0.000782128),(505,780,7.41713e-05,-0.000796863),(495,780,4.05085e-05,-0.00081044),(485,780,-9.29711e-06,-0.000824017),(475,780,-5.91027e-05,-0.000832968),(465,780,-0.000131106,-0.000841918),(455,780,-0.00020311,-0.000836954),(445,780,-0.00030707,-0.000831989),(435,780,-0.00041103,-0.000795342),(425,780,-0.000553778,-0.000758694),(415,780,-0.000696527,-0.00064771),(405,780,-0.000858931,-0.000536726),(395,780,-0.00102133,-0.0502047),(385,780,0.0501083,-0.0998726),(375,780,0.101238,-0.100766),(365,780,0.156968,-0.0998527),(355,780,0.213052,-0.104752),(345,780,0.274468,-0.110348),(335,780,0.336773,-0.12235),(325,780,0.410178,-0.135744),(315,780,0.48661,-0.14368),(305,780,0.569862,-0.149796),(295,780,0.655841,-0.129991),(285,780,0.734537,-0.0979081),(275,780,0.809186,-0.0581709),(265,780,0.85958,-0.0134812),(255,780,0.891781,0.0333307),(245,780,0.901776,0.081982),(235,780,0.881625,0.128775),(225,780,0.829709,0.173208),(215,780,0.753182,0.213578),(205,780,0.648527,0.23942),(195,780,0.490138,0.255576),(185,780,0.312208,0.135464),(175,780,0.287136,-0.00561343),(165,780,0.262063,0.0234662),(155,780,0.254116,0.0574074),(145,780,0.247177,0.0900455),(135,780,0.238925,0.122565),(125,780,0.230508,0.153005),(115,780,0.219191,0.183109),(105,780,0.207293,0.209988),(95,780,0.192588,0.236088),(85,780,0.17708,0.258582),(75,780,0.159398,0.279874),(65,780,0.14088,0.297556),(55,780,0.120903,0.313648),(45,780,0.100197,0.326324),(35,780,0.0786482,0.337068),(25,780,0.0565624,0.344676),(15,780,0.0467465,0.350044),(5,780,0,0.352579),(595,770,0.000198793,-0.000669052),(585,770,0.000193459,-0.000678245),(575,770,0.000188125,-0.000688212),(565,770,0.000178693,-0.000698178),(555,770,0.000169261,-0.000708684),(545,770,0.000154329,-0.000719191),(535,770,0.000139397,-0.000729761),(525,770,0.000116619,-0.000740331),(515,770,9.38406e-05,-0.000750037),(505,770,6.09271e-05,-0.000759743),(495,770,2.80137e-05,-0.000766429),(485,770,-1.92085e-05,-0.000773116),(475,770,-6.64306e-05,-0.000772934),(465,770,-0.000131016,-0.000772752),(455,770,-0.0001956,-0.000757146),(445,770,-0.000283256,-0.00074154),(435,770,-0.000370911,-0.000694959),(425,770,-0.000476915,-0.000648379),(415,770,-0.000582918,-0.000541079),(405,770,-0.000681926,-0.000433779),(395,770,-0.000780933,-0.0793471),(385,770,0.0582299,-0.15826),(375,770,0.117241,-0.160186),(365,770,0.179665,-0.159261),(355,770,0.242352,-0.162133),(345,770,0.307575,-0.165461),(335,770,0.37322,-0.178289),(325,770,0.44523,-0.193182),(315,770,0.518976,-0.205688),(305,770,0.603009,-0.2174),(295,770,0.691157,-0.192726),(285,770,0.773669,-0.150818),(275,770,0.853049,-0.0930092),(265,770,0.909783,-0.0249128),(255,770,0.949532,0.0486957),(245,770,0.964164,0.127081),(235,770,0.944125,0.208353),(225,770,0.885874,0.287912),(215,770,0.798508,0.363025),(205,770,0.677866,0.423923),(195,770,0.506733,0.475345),(185,770,0.317239,0.263707),(175,770,0.304495,0.0115974),(165,770,0.291751,0.0381852),(155,770,0.285584,0.0727358),(145,770,0.279804,0.10988),(135,770,0.270681,0.147261),(125,770,0.261141,0.181804),(115,770,0.248,0.215889),(105,770,0.234139,0.246011),(95,770,0.217154,0.275176),(85,770,0.199276,0.300103),(75,770,0.179085,0.323618),(65,770,0.158004,0.343029),(55,770,0.135418,0.360633),(45,770,0.112079,0.374448),(35,770,0.0878903,0.386122),(25,770,0.0631604,0.394373),(15,770,0.0521693,0.400181),(5,770,0,0.402923),(595,760,0.000190938,-0.000660676),(585,760,0.000185429,-0.000668298),(575,760,0.000179921,-0.000676194),(565,760,0.000170512,-0.000684089),(555,760,0.000161103,-0.000691842),(545,760,0.000146534,-0.000699596),(535,760,0.000131965,-0.000706478),(525,760,0.000110136,-0.000713359),(515,760,8.8307e-05,-0.000718166),(505,760,5.76455e-05,-0.000722972),(495,760,2.6984e-05,-0.00072302),(485,760,-1.59786e-05,-0.000723067),(475,760,-5.89412e-05,-0.000714303),(465,760,-0.000115527,-0.00070554),(455,760,-0.000172113,-0.00068068),(445,760,-0.000245078,-0.000655819),(435,760,-0.000318043,-0.000601854),(425,760,-0.000399898,-0.000547888),(415,760,-0.000481753,-0.000447799),(405,760,-0.000550115,-0.00034771),(395,760,-0.000618478,-0.109273),(385,760,0.0665556,-0.218197),(375,760,0.13373,-0.221132),(365,760,0.204881,-0.220141),(355,760,0.276338,-0.220518),(345,760,0.351782,-0.22106),(335,760,0.427892,-0.234178),(325,760,0.508365,-0.25003),(315,760,0.590028,-0.267596),(305,760,0.677264,-0.285732),(295,760,0.766727,-0.256632),(285,760,0.849367,-0.205157),(275,760,0.928214,-0.129385),(265,760,0.983136,-0.0378914),(255,760,1.02011,0.0628541),(245,760,1.03095,0.171618),(235,760,1.00568,0.288599),(225,760,0.940495,0.404761),(215,760,0.845375,0.516384),(205,760,0.716047,0.613222),(195,760,0.541469,0.700204),(185,760,0.350436,0.392944),(175,760,0.3425,0.0250323),(165,760,0.334564,0.0507869),(155,760,0.328113,0.0877892),(145,760,0.32175,0.129982),(135,760,0.310723,0.172648),(125,760,0.299114,0.211507),(115,760,0.283284,0.249753),(105,760,0.266611,0.28322),(95,760,0.246576,0.315534),(85,760,0.225581,0.342944),(75,760,0.202228,0.368719),(65,760,0.177967,0.389879),(55,760,0.152234,0.409009),(45,760,0.125764,0.423971),(35,760,0.0984885,0.436576),(25,760,0.0707012,0.445472),(15,760,0.0583512,0.451719),(5,760,0,0.454669),(595,750,0.000183709,-0.000652486),(585,750,0.000178126,-0.00065866),(575,750,0.000172542,-0.000664685),(565,750,0.000163292,-0.000670711),(555,750,0.000154042,-0.000676038),(545,750,0.000140022,-0.000681366),(535,750,0.000126002,-0.000685094),(525,750,0.000105364,-0.000688823),(515,750,8.47257e-05,-0.000689675),(505,750,5.66629e-05,-0.000690527),(495,750,2.86e-05,-0.000685867),(485,750,-9.71623e-06,-0.000681208),(475,750,-4.80325e-05,-0.000666831),(465,750,-9.64853e-05,-0.000652454),(455,750,-0.000144938,-0.000622552),(445,750,-0.000203586,-0.00059265),(435,750,-0.000262233,-0.000536947),(425,750,-0.000322847,-0.000481244),(415,750,-0.00038346,-0.000389712),(405,750,-0.000428735,-0.00029818),(395,750,-0.00047401,-0.144199),(385,750,0.0749285,-0.2881),(375,750,0.150331,-0.293544),(365,750,0.230678,-0.293861),(355,750,0.311405,-0.293557),(345,750,0.398552,-0.293179),(335,750,0.486769,-0.304079),(325,750,0.57798,-0.317431),(315,750,0.670009,-0.334075),(305,750,0.761004,-0.351816),(295,750,0.851587,-0.315185),(285,750,0.933503,-0.252799),(275,750,1.0106,-0.156799),(265,750,1.06183,-0.0390501),(255,750,1.09365,0.090452),(245,750,1.09876,0.23014),(235,750,1.06702,0.384412),(225,750,0.99476,0.538708),(215,750,0.892599,0.687905),(205,750,0.756269,0.818097),(195,750,0.580391,0.935618),(185,750,0.390132,0.526008),(175,750,0.385269,0.0353005),(165,750,0.380406,0.0633872),(155,750,0.373195,0.106297),(145,750,0.365846,0.155454),(135,750,0.352677,0.20518),(125,750,0.338781,0.249433),(115,750,0.320063,0.292802),(105,750,0.30038,0.330107),(95,750,0.277119,0.365949),(85,750,0.252835,0.395984),(75,750,0.226168,0.424083),(65,750,0.198586,0.446968),(55,750,0.169581,0.467559),(45,750,0.139864,0.483587),(35,750,0.1094,0.497037),(25,750,0.0784595,0.50651),(15,750,0.0647083,0.513142),(5,750,0,0.516274),(595,740,0.000178535,-0.000644358),(585,740,0.000173167,-0.000649124),(575,740,0.000167799,-0.000653347),(565,740,0.000159079,-0.00065757),(555,740,0.00015036,-0.00066058),(545,740,0.000137375,-0.000663591),(535,740,0.00012439,-0.000664344),(525,740,0.000105425,-0.000665097),(515,740,8.64609e-05,-0.00066231),(505,740,6.13037e-05,-0.000659523),(495,740,3.61464e-05,-0.000650801),(485,740,2.88925e-06,-0.000642078),(475,740,-3.03679e-05,-0.000623077),(465,740,-7.14094e-05,-0.000604076),(455,740,-0.000112451,-0.000570537),(445,740,-0.000159541,-0.000536998),(435,740,-0.000206632,-0.00048144),(425,740,-0.000252483,-0.000425881),(415,740,-0.000298333,-0.000343355),(405,740,-0.000329317,-0.000260829),(395,740,-0.000360302,-0.180793),(385,740,0.0822129,-0.361324),(375,740,0.164786,-0.369779),(365,740,0.25242,-0.371861),(355,740,0.340444,-0.37148),(345,740,0.436668,-0.370804),(335,740,0.534259,-0.37865),(325,740,0.636569,-0.388349),(315,740,0.740166,-0.402078),(305,740,0.838593,-0.41715),(295,740,0.934952,-0.371953),(285,740,1.01778,-0.298207),(275,740,1.0931,-0.181226),(265,740,1.13788,-0.0362687),(255,740,1.15976,0.12253),(245,740,1.1518,0.293324),(235,740,1.10499,0.485413),(225,740,1.02211,0.678353),(215,740,0.915714,0.865481),(205,740,0.782446,1.02816),(195,740,0.620002,1.17455),(185,740,0.44695,0.660347),(175,740,0.443781,0.0445131),(165,740,0.440611,0.075987),(155,740,0.431136,0.125955),(145,740,0.42129,0.182717),(135,740,0.404416,0.240095),(125,740,0.386664,0.290099),(115,740,0.363735,0.338914),(105,740,0.33977,0.38022),(95,740,0.312276,0.419715),(85,740,0.283774,0.452422),(75,740,0.253071,0.482868),(65,740,0.221522,0.50747),(55,740,0.188735,0.5295),(45,740,0.155329,0.546569),(35,740,0.121308,0.560834),(25,740,0.0868957,0.570861),(15,740,0.0716015,0.577861),(5,740,0,0.581166),(595,730,0.000174296,-0.000636758),(585,730,0.000169274,-0.000640248),(575,730,0.000164253,-0.00064287),(565,730,0.000156234,-0.000645493),(555,730,0.000148215,-0.000646536),(545,730,0.000136485,-0.000647579),(535,730,0.000124755,-0.000645917),(525,730,0.000107684,-0.000644254),(515,730,9.06128e-05,-0.000638585),(505,730,6.85006e-05,-0.000632916),(495,730,4.63883e-05,-0.00062108),(485,730,1.83779e-05,-0.000609243),(475,730,-9.63244e-06,-0.000587485),(465,730,-4.35907e-05,-0.000565726),(455,730,-7.75489e-05,-0.000530334),(445,730,-0.000114338,-0.000494942),(435,730,-0.000151126,-0.000440802),(425,730,-0.000185158,-0.000386663),(415,730,-0.000219191,-0.00031162),(405,730,-0.000239883,-0.000236578),(395,730,-0.000260575,-0.221221),(385,730,0.0890025,-0.442205),(375,730,0.178265,-0.453563),(365,730,0.27232,-0.457157),(355,730,0.366743,-0.457888),(345,730,0.470851,-0.458275),(335,730,0.576573,-0.46532),(325,730,0.690146,-0.473813),(315,730,0.805859,-0.481524),(305,730,0.913386,-0.488975),(295,730,1.01764,-0.429733),(285,730,1.10213,-0.338901),(275,730,1.17563,-0.195356),(265,730,1.21272,-0.017705),(255,730,1.22249,0.176827),(245,730,1.19813,0.38599),(235,730,1.13232,0.610962),(225,730,1.03722,0.83244),(215,730,0.927872,1.04135),(205,730,0.802239,1.22387),(195,730,0.659927,1.3888),(185,730,0.511549,0.780466),(175,730,0.509448,0.0531679),(165,730,0.507346,0.0917021),(155,730,0.494923,0.152117),(145,730,0.481892,0.218275),(135,730,0.460603,0.284955),(125,730,0.438282,0.341379),(115,730,0.41054,0.396149),(105,730,0.381715,0.441501),(95,730,0.349531,0.48458),(85,730,0.316388,0.519736),(75,730,0.28132,0.552251),(65,730,0.245512,0.578281),(55,730,0.208711,0.601458),(45,730,0.171413,0.619322),(35,730,0.133669,0.634182),(25,730,0.0956401,0.644604),(15,730,0.0787384,0.651855),(5,730,0,0.655279),(595,720,0.000171491,-0.000629476),(585,720,0.000166982,-0.000631767),(575,720,0.000162474,-0.00063291),(565,720,0.000155324,-0.000634054),(555,720,0.000148174,-0.000633339),(545,720,0.000137889,-0.000632625),(535,720,0.000127603,-0.000628882),(525,720,0.000112635,-0.00062514),(515,720,9.7666e-05,-0.000617043),(505,720,7.86711e-05,-0.000608946),(495,720,5.96762e-05,-0.000594566),(485,720,3.63684e-05,-0.000580185),(475,720,1.30606e-05,-0.000556789),(465,720,-1.43254e-05,-0.000533392),(455,720,-4.17114e-05,-0.000497218),(445,720,-6.99718e-05,-0.000461044),(435,720,-9.82323e-05,-0.000409087),(425,720,-0.000123064,-0.000357131),(415,720,-0.000147895,-0.00028866),(405,720,-0.000160908,-0.000220188),(395,720,-0.000173921,-0.263949),(385,720,0.0939357,-0.527678),(375,720,0.188045,-0.541876),(365,720,0.286926,-0.546831),(355,720,0.386174,-0.549387),(345,720,0.495315,-0.551655),(335,720,0.606105,-0.55925),(325,720,0.725925,-0.568003),(315,720,0.848209,-0.567836),(305,720,0.962191,-0.564694),(295,720,1.07285,-0.488121),(285,720,1.1588,-0.376764),(275,720,1.23103,-0.203309),(265,720,1.26587,0.0103281),(255,720,1.27267,0.244457),(245,720,1.24563,0.496345),(235,720,1.17869,0.751241),(225,720,1.08752,0.995192),(215,720,0.983576,1.21619),(205,720,0.865031,1.41096),(195,720,0.732982,1.58824),(185,720,0.596023,0.892053),(175,720,0.59393,0.061488),(165,720,0.591838,0.109287),(155,720,0.573927,0.182181),(145,720,0.555086,0.258811),(135,720,0.527008,0.335781),(125,720,0.497775,0.399027),(115,720,0.463513,0.46006),(105,720,0.428245,0.509483),(95,720,0.390279,0.556105),(85,720,0.351543,0.593574),(75,720,0.311453,0.627991),(65,720,0.270844,0.655279),(55,720,0.229651,0.679428),(45,720,0.188166,0.697938),(35,720,0.146483,0.713261),(25,720,0.104675,0.723981),(15,720,0.0860931,0.731414),(5,720,0,0.734924),(595,710,0.0001698,-0.000622839),(585,710,0.000165934,-0.000624063),(575,710,0.000162069,-0.000623914),(565,710,0.000155919,-0.000623764),(555,710,0.00014977,-0.000621541),(545,710,0.000141076,-0.000619318),(535,710,0.000132382,-0.000613862),(525,710,0.000119679,-0.000608407),(515,710,0.000106976,-0.000598459),(505,710,9.11545e-05,-0.000588511),(495,710,7.53333e-05,-0.000572233),(485,710,5.63047e-05,-0.000555955),(475,710,3.72762e-05,-0.000531481),(465,710,1.60651e-05,-0.000507006),(455,710,-5.14611e-06,-0.000470818),(445,710,-2.62581e-05,-0.000434629),(435,710,-4.737e-05,-0.000385048),(425,710,-6.50369e-05,-0.000335468),(415,710,-8.27037e-05,-0.000272612),(405,710,-9.00694e-05,-0.000209756),(395,710,-9.74351e-05,-0.308463),(385,710,0.0974251,-0.616716),(375,710,0.194948,-0.633783),(365,710,0.297416,-0.640064),(355,710,0.400265,-0.644439),(345,710,0.51222,-0.648585),(335,710,0.625694,-0.656763),(325,710,0.747862,-0.665819),(315,710,0.872401,-0.657935),(305,710,0.990782,-0.644404),(295,710,1.1067,-0.54764),(285,710,1.19396,-0.41145),(275,710,1.26531,-0.208396),(265,710,1.30214,0.0379224),(255,710,1.31309,0.30827),(245,710,1.29404,0.599443),(235,710,1.23985,0.88063),(225,710,1.16518,1.14717),(215,710,1.07315,1.38794),(205,710,0.961266,1.60095),(195,710,0.831806,1.79547),(185,710,0.695953,1.009),(175,710,0.693047,0.0716232),(165,710,0.69014,0.133053),(155,710,0.664768,0.223019),(145,710,0.638074,0.311537),(135,710,0.60136,0.399922),(125,710,0.563395,0.469834),(115,710,0.521283,0.536766),(105,710,0.478343,0.589605),(95,710,0.433744,0.639041),(85,710,0.388672,0.678133),(75,710,0.343051,0.713775),(65,710,0.29722,0.741757),(55,710,0.251341,0.766367),(45,710,0.205438,0.785128),(35,710,0.15965,0.800583),(25,710,0.113935,0.811371),(15,710,0.093617,0.818825),(5,710,0,0.822345),(595,700,0.000168978,-0.000616848),(585,700,0.000165836,-0.000617138),(575,700,0.000162694,-0.000615881),(565,700,0.000157615,-0.000614624),(555,700,0.000152537,-0.000611141),(545,700,0.000145475,-0.000607659),(535,700,0.000138413,-0.000600857),(525,700,0.000127942,-0.000594055),(515,700,0.00011747,-0.000582832),(505,700,0.000104811,-0.00057161),(495,700,9.21514e-05,-0.000554081),(485,700,7.70619e-05,-0.000536552),(475,700,6.19725e-05,-0.000511561),(465,700,4.63458e-05,-0.00048657),(455,700,3.07192e-05,-0.000451134),(445,700,1.59121e-05,-0.000415697),(435,700,1.10496e-06,-0.000368685),(425,700,-1.03709e-05,-0.000321673),(415,700,-2.18467e-05,-0.000263477),(405,700,-2.42648e-05,-0.00020528),(395,700,-2.66829e-05,-0.354762),(385,700,0.0975473,-0.709318),(375,700,0.195121,-0.729283),(365,700,0.297907,-0.736856),(355,700,0.401093,-0.743044),(345,700,0.51262,-0.749065),(335,700,0.625537,-0.75786),(325,700,0.746374,-0.767258),(315,700,0.86937,-0.751821),(305,700,0.988695,-0.728105),(295,700,1.10655,-0.608292),(285,700,1.19981,-0.442959),(275,700,1.27941,-0.210619),(265,700,1.33153,0.0650778),(255,700,1.36304,0.368267),(245,700,1.36666,0.695282),(235,700,1.33654,0.999129),(225,700,1.28302,1.28837),(215,700,1.20425,1.55659),(205,700,1.09664,1.79385),(195,700,0.966066,2.01048),(185,700,0.827144,1.13132),(175,700,0.819224,0.0835734),(165,700,0.811304,0.163),(155,700,0.773197,0.274632),(145,700,0.733314,0.376451),(135,700,0.684556,0.477378),(125,700,0.63469,0.5538),(115,700,0.582901,0.626269),(105,700,0.530728,0.681866),(95,700,0.478608,0.73339),(85,700,0.426503,0.773413),(75,700,0.374962,0.809602),(65,700,0.323639,0.837715),(55,700,0.272939,0.862274),(45,700,0.222552,0.880891),(35,700,0.172649,0.896148),(25,700,0.123054,0.906772),(15,700,0.101012,0.914088),(5,700,0,0.917543),(595,690,0.000169271,-0.00061144),(585,690,0.000166957,-0.000610887),(575,690,0.000164643,-0.000608655),(565,690,0.000160725,-0.000606423),(555,690,0.000156807,-0.000601867),(545,690,0.000151431,-0.00059731),(535,690,0.000146055,-0.00058938),(525,690,0.000137772,-0.00058145),(515,690,0.000129489,-0.000569201),(505,690,0.000119976,-0.000556952),(495,690,0.000110463,-0.000538598),(485,690,9.88746e-05,-0.000520244),(475,690,8.72866e-05,-0.000494992),(465,690,7.64856e-05,-0.00046974),(455,690,6.56846e-05,-0.000435243),(445,690,5.60976e-05,-0.000400745),(435,690,4.65105e-05,-0.000356265),(425,690,3.99738e-05,-0.000311784),(415,690,3.34371e-05,-0.000257786),(405,690,3.50674e-05,-0.000203788),(395,690,3.66976e-05,-0.399187),(385,690,0.0933404,-0.798171),(375,690,0.186644,-0.820878),(365,690,0.285541,-0.82965),(355,690,0.384869,-0.837907),(345,690,0.491797,-0.846104),(335,690,0.599991,-0.855521),(325,690,0.714766,-0.865204),(315,690,0.831337,-0.843727),(305,690,0.947163,-0.811864),(295,690,1.06269,-0.674968),(285,690,1.16797,-0.48832),(275,690,1.26756,-0.233807),(265,690,1.35206,0.0646191),(255,690,1.42523,0.398473),(245,690,1.47042,0.763032),(235,690,1.47891,1.09681),(225,690,1.4525,1.41905),(215,690,1.38875,1.72904),(205,690,1.28233,1.99996),(195,690,1.14589,2.24481),(185,690,0.998525,1.26908),(175,690,0.980194,0.105571),(165,690,0.961862,0.20715),(155,690,0.90424,0.344875),(145,690,0.844307,0.459301),(135,690,0.779122,0.571609),(125,690,0.713282,0.652784),(115,690,0.649466,0.728936),(105,690,0.586055,0.78578),(95,690,0.52527,0.837963),(85,690,0.465236,0.877842),(75,690,0.407276,0.91362),(65,690,0.350113,0.941153),(55,690,0.29442,0.965057),(45,690,0.239462,0.983086),(35,690,0.185432,0.997794),(25,690,0.131992,1.00801),(15,690,0.108241,1.01503),(5,690,0,1.01834),(595,680,0.000170025,-0.000607003),(585,680,0.000168558,-0.000605757),(575,680,0.000167092,-0.000602773),(565,680,0.000164338,-0.000599788),(555,680,0.000161584,-0.000594467),(545,680,0.000157896,-0.000589147),(535,680,0.000154208,-0.000580452),(525,680,0.000148061,-0.000571757),(515,680,0.000141914,-0.000558896),(505,680,0.000135381,-0.000546034),(495,680,0.000128849,-0.000527565),(485,680,0.00012067,-0.000509096),(475,680,0.000112491,-0.000484009),(465,680,0.000106156,-0.000458922),(455,680,9.98211e-05,-0.000425673),(445,680,9.50492e-05,-0.000392425),(435,680,9.02774e-05,-0.000350414),(425,680,8.83597e-05,-0.000308404),(415,680,8.64419e-05,-0.000257835),(405,680,9.19226e-05,-0.000207266),(395,680,9.74032e-05,-0.440491),(385,680,0.0878983,-0.880774),(375,680,0.175699,-0.905963),(365,680,0.26936,-0.915779),(355,680,0.363471,-0.926536),(345,680,0.464211,-0.937406),(335,680,0.566054,-0.947455),(325,680,0.672819,-0.957326),(315,680,0.780925,-0.932333),(305,680,0.892079,-0.895719),(295,680,1.00445,-0.751684),(285,680,1.12343,-0.556767),(275,680,1.24607,-0.291935),(265,680,1.36984,0.0181367),(255,680,1.49446,0.37903),(245,680,1.5936,0.783968),(235,680,1.65398,1.15981),(225,680,1.66126,1.53218),(215,680,1.61675,1.90785),(205,680,1.51306,2.22807),(195,680,1.38805,2.51133),(185,680,1.25528,1.43259),(175,680,1.1978,0.144314),(165,680,1.14032,0.274971),(155,680,1.05238,0.446169),(145,680,0.962656,0.572045),(135,680,0.87742,0.6938),(125,680,0.792745,0.776798),(115,680,0.715801,0.853544),(105,680,0.640403,0.909115),(95,680,0.570717,0.959575),(85,680,0.502662,0.997519),(75,680,0.438337,1.03129),(65,680,0.375447,1.05706),(55,680,0.314911,1.0793),(45,680,0.255553,1.096),(35,680,0.197574,1.10958),(25,680,0.140471,1.11899),(15,680,0.115093,1.12544),(5,680,0,1.12848),(595,670,0.00017179,-0.000602999),(585,670,0.000171216,-0.000601126),(575,670,0.000170642,-0.000597464),(565,670,0.000169058,-0.000593801),(555,670,0.000167474,-0.000587813),(545,670,0.000165478,-0.000581825),(535,670,0.000163481,-0.000572505),(525,670,0.000159359,-0.000563186),(515,670,0.000155236,-0.000549828),(505,670,0.000151318,-0.00053647),(495,670,0.0001474,-0.000518008),(485,670,0.000142427,-0.000499545),(475,670,0.000137454,-0.000474774),(465,670,0.000134794,-0.000450003),(455,670,0.000132134,-0.000418066),(445,670,0.000131286,-0.00038613),(435,670,0.000130439,-0.000346565),(425,670,0.000132436,-0.000307),(415,670,0.000134433,-0.000259772),(405,670,0.000143328,-0.000212544),(395,670,0.000152224,-0.479749),(385,670,0.079739,-0.959285),(375,670,0.159326,-0.987022),(365,670,0.244782,-0.998026),(355,670,0.330689,-1.01107),(345,670,0.421745,-1.02435),(335,670,0.513659,-1.03444),(325,670,0.608122,-1.04384),(315,670,0.703281,-1.01691),(305,670,0.807183,-0.977867),(295,670,0.914582,-0.83352),(285,670,1.05093,-0.639294),(275,670,1.20337,-0.373669),(265,670,1.38159,-0.0618458),(255,670,1.57916,0.319808),(245,670,1.75947,0.761982),(235,670,1.90101,1.19344),(225,670,1.95643,1.63215),(215,670,1.94045,2.08913),(205,670,1.84286,2.4556),(195,670,1.76734,2.76171),(185,670,1.69986,1.61265),(175,670,1.54,0.239714),(165,670,1.38015,0.387677),(155,670,1.23814,0.579094),(145,670,1.09719,0.709023),(135,670,0.983926,0.833363),(125,670,0.874124,0.914462),(115,670,0.781632,0.988587),(105,670,0.692601,1.04098),(95,670,0.61349,1.08812),(85,670,0.537212,1.12309),(75,670,0.466644,1.15402),(65,670,0.398271,1.17744),(55,670,0.333224,1.19755),(45,670,0.269841,1.21261),(35,670,0.208303,1.2248),(25,670,0.147941,1.23324),(15,670,0.121113,1.23901),(5,670,0,1.24173),(595,660,0.000173727,-0.000600296),(585,660,0.00017405,-0.000597992),(575,660,0.000174373,-0.000593875),(565,660,0.000173944,-0.000589757),(555,660,0.000173516,-0.000583393),(545,660,0.000173175,-0.000577029),(535,660,0.000172834,-0.000567505),(525,660,0.000170725,-0.000557982),(515,660,0.000168617,-0.000544475),(505,660,0.000167211,-0.000530969),(495,660,0.000165804,-0.000512879),(485,660,0.000163958,-0.000494789),(475,660,0.000162111,-0.000470783),(465,660,0.000162979,-0.000446778),(455,660,0.000163847,-0.000416346),(445,660,0.000166751,-0.000385914),(435,660,0.000169655,-0.000348721),(425,660,0.000175428,-0.000311528),(415,660,0.000181201,-0.000267374),(405,660,0.000193473,-0.000223219),(395,660,0.000205746,-0.51287),(385,660,0.0714463,-1.02552),(375,660,0.142687,-1.056),(365,660,0.219645,-1.06863),(355,660,0.297043,-1.0833),(345,660,0.377703,-1.09821),(335,660,0.458906,-1.10659),(325,660,0.540678,-1.11354),(315,660,0.622605,-1.0894),(305,660,0.717967,-1.0549),(295,660,0.818701,-0.930715),(285,660,0.968147,-0.764056),(275,660,1.14466,-0.52622),(265,660,1.37667,-0.242329),(255,660,1.65031,0.141253),(245,660,1.92485,0.611232),(235,660,2.16807,1.13895),(225,660,2.28244,1.69263),(215,660,2.29765,2.27787),(205,660,2.19955,2.68138),(195,660,2.16495,2.96373),(185,660,2.15344,1.84238),(175,660,1.88294,0.505087),(165,660,1.61244,0.635039),(155,660,1.41628,0.806913),(145,660,1.2245,0.918708),(135,660,1.08425,1.02504),(125,660,0.950431,1.09308),(115,660,0.843247,1.15494),(105,660,0.74139,1.19841),(95,660,0.653444,1.23745),(85,660,0.569473,1.26637),(75,660,0.493069,1.29191),(65,660,0.419576,1.31125),(55,660,0.350317,1.32785),(45,660,0.283176,1.34028),(35,660,0.218317,1.35034),(25,660,0.154911,1.3573),(15,660,0.126731,1.36207),(5,660,0,1.36431),(595,650,0.000176407,-0.000597806),(585,650,0.000177647,-0.000595099),(575,650,0.000178888,-0.000590562),(565,650,0.000179549,-0.000586025),(555,650,0.000180211,-0.000579313),(545,650,0.00018137,-0.000572602),(535,650,0.000182529,-0.00056292),(525,650,0.000182391,-0.000553239),(515,650,0.000182252,-0.000539648),(505,650,0.000182912,-0.000526057),(495,650,0.000183573,-0.000508373),(485,650,0.000184509,-0.00049069),(475,650,0.000185446,-0.0004675),(465,650,0.000189203,-0.000444311),(455,650,0.000192961,-0.000415413),(445,650,0.000198865,-0.000386516),(435,650,0.000204768,-0.000351682),(425,650,0.000213719,-0.000316847),(415,650,0.00022267,-0.000275759),(405,650,0.000238154,-0.00023467),(395,650,0.000253639,-0.5452),(385,650,0.0625757,-1.09016),(375,650,0.124898,-1.12324),(365,650,0.192089,-1.13735),(355,650,0.259654,-1.15309),(345,650,0.326825,-1.16902),(335,650,0.393931,-1.17561),(325,650,0.461324,-1.18016),(315,650,0.528794,-1.15903),(305,650,0.610032,-1.12934),(295,650,0.696776,-1.02662),(285,650,0.840762,-0.889314),(275,650,1.01655,-0.68687),(265,650,1.29947,-0.44228),(255,650,1.66275,-0.0715716),(245,650,2.08805,0.40844),(235,650,2.52192,1.04713),(225,650,2.74203,1.73734),(215,650,2.80003,2.47459),(205,650,2.67276,2.91834),(195,650,2.64189,3.16642),(185,650,2.64607,2.0931),(175,650,2.22905,0.816492),(165,650,1.81203,0.91473),(155,650,1.56139,1.05225),(145,650,1.32053,1.14042),(135,650,1.15776,1.22411),(125,650,1.00476,1.27709),(115,650,0.886599,1.32511),(105,650,0.775409,1.35885),(95,650,0.681187,1.38914),(85,650,0.591812,1.41161),(75,650,0.51134,1.43147),(65,650,0.434293,1.44652),(55,650,0.362119,1.45946),(45,650,0.292381,1.46914),(35,650,0.225229,1.47699),(25,650,0.159724,1.48242),(15,650,0.13061,1.48614),(5,650,0,1.4879),(595,640,0.000179115,-0.000596814),(585,640,0.00018127,-0.000593897),(575,640,0.000183426,-0.000589182),(565,640,0.000185176,-0.000584466),(555,640,0.000186925,-0.000577612),(545,640,0.000189564,-0.000570757),(535,640,0.000192203,-0.000561242),(525,640,0.000194021,-0.000551726),(515,640,0.000195838,-0.000538503),(505,640,0.000198547,-0.00052528),(495,640,0.000201255,-0.000508237),(485,640,0.000204941,-0.000491194),(475,640,0.000208626,-0.00046917),(465,640,0.000215235,-0.000447147),(455,640,0.000221844,-0.000419994),(445,640,0.000230712,-0.00039284),(435,640,0.000239581,-0.000360273),(425,640,0.00025166,-0.000327705),(415,640,0.000263739,-0.000289628),(405,640,0.000282345,-0.00025155),(395,640,0.000300951,-0.571987),(385,640,0.0539247,-1.14372),(375,640,0.107548,-1.17827),(365,640,0.165163,-1.19292),(355,640,0.223085,-1.20578),(345,640,0.277175,-1.21844),(335,640,0.330627,-1.22272),(325,640,0.384057,-1.22519),(315,640,0.437481,-1.20862),(305,640,0.504539,-1.18571),(295,640,0.577051,-1.11354),(285,640,0.713158,-1.01805),(275,640,0.884595,-0.904211),(265,640,1.20655,-0.778511),(255,640,1.64139,-0.524277),(245,640,2.19003,-0.158647),(235,640,2.78289,0.694012),(225,640,3.09747,1.67161),(215,640,3.20169,2.72718),(205,640,3.06551,3.23359),(195,640,3.05036,3.3739),(185,640,3.07921,2.49074),(175,640,2.53509,1.45013),(165,640,1.99097,1.42072),(155,640,1.69255,1.4202),(145,640,1.40858,1.44637),(135,640,1.2257,1.47496),(125,640,1.05546,1.49887),(115,640,0.927274,1.52202),(105,640,0.807505,1.54027),(95,640,0.707445,1.55733),(85,640,0.613016,1.57064),(75,640,0.528716,1.58269),(65,640,0.448311,1.59204),(55,640,0.373372,1.6002),(45,640,0.301166,1.60637),(35,640,0.23183,1.61142),(25,640,0.164321,1.61494),(15,640,0.134316,1.61735),(5,640,0,1.6185),(595,630,0.000182241,-0.000595822),(585,630,0.00018528,-0.000592695),(575,630,0.000188319,-0.000587802),(565,630,0.000191121,-0.000582908),(555,630,0.000193923,-0.00057591),(545,630,0.000197738,-0.000568912),(535,630,0.000201553,-0.000559563),(525,630,0.000205123,-0.000550213),(515,630,0.000208693,-0.000537358),(505,630,0.000213175,-0.000524502),(495,630,0.000217657,-0.0005081),(485,630,0.00022357,-0.000491698),(475,630,0.000229482,-0.000470841),(465,630,0.000238368,-0.000449984),(455,630,0.000247254,-0.000424574),(445,630,0.000258567,-0.000399164),(435,630,0.000269881,-0.000368864),(425,630,0.000284343,-0.000338563),(415,630,0.000298805,-0.000303497),(405,630,0.000319182,-0.00026843),(395,630,0.000339558,-0.598775),(385,630,0.0485685,-1.19728),(375,630,0.0967975,-1.2333),(365,630,0.147704,-1.24848),(355,630,0.198816,-1.25848),(345,630,0.245927,-1.26785),(335,630,0.29237,-1.26984),(325,630,0.338102,-1.27022),(315,630,0.38364,-1.25822),(305,630,0.435681,-1.24208),(295,630,0.490322,-1.20046),(285,630,0.582274,-1.14678),(275,630,0.694953,-1.12155),(265,630,0.877654,-1.11474),(255,630,1.11287,-0.976983),(245,630,1.37365,-0.725734),(235,630,1.65069,0.340893),(225,630,1.89051,1.60587),(215,630,2.09251,2.97977),(205,630,2.25128,3.54885),(195,630,2.43172,3.58138),(185,630,2.62003,2.88838),(175,630,2.24009,2.08376),(165,630,1.86014,1.92671),(155,630,1.61459,1.78815),(145,630,1.37694,1.75231),(135,630,1.20992,1.72582),(125,630,1.05172,1.72065),(115,630,0.927805,1.71893),(105,630,0.810741,1.72169),(95,630,0.711437,1.72552),(85,630,0.617207,1.72967),(75,630,0.532657,1.73391),(65,630,0.45183,1.73756),(55,630,0.376386,1.74093),(45,630,0.303635,1.7436),(35,630,0.233749,1.74585),(25,630,0.165687,1.74745),(15,630,0.135437,1.74857),(5,630,0,1.7491),(595,620,0.000185368,-0.000596423),(585,620,0.00018929,-0.000593299),(575,620,0.000193212,-0.000588521),(565,620,0.000197066,-0.000583743),(555,620,0.000200921,-0.000576974),(545,620,0.000205911,-0.000570205),(535,620,0.000210902,-0.000561237),(525,620,0.000216225,-0.000552268),(515,620,0.000221549,-0.000540103),(505,620,0.000227804,-0.000527937),(495,620,0.000234059,-0.000512516),(485,620,0.000242199,-0.000497095),(475,620,0.000250339,-0.000477615),(465,620,0.000261501,-0.000458135),(455,620,0.000272663,-0.000434532),(445,620,0.000286422,-0.000410929),(435,620,0.000300181,-0.00038285),(425,620,0.000317026,-0.000354771),(415,620,0.000333871,-0.000322145),(405,620,0.000356018,-0.000289519),(395,620,0.000378166,-0.620276),(385,620,0.0432123,-1.24026),(375,620,0.0860464,-1.27564),(365,620,0.130244,-1.28937),(355,620,0.174547,-1.29521),(345,620,0.214678,-1.3001),(335,620,0.254114,-1.29935),(325,620,0.292148,-1.29737),(315,620,0.3298,-1.28223),(305,620,0.366822,-1.26269),(295,620,0.403593,-1.21787),(285,620,0.45139,-1.16109),(275,620,0.505312,-1.10954),(265,620,0.54876,-1.06138),(255,620,0.584354,-0.850474),(245,620,0.557273,-0.498531),(235,620,0.518484,0.373261),(225,620,0.68356,1.39485),(215,620,0.983336,2.53255),(205,620,1.43705,3.08553),(195,620,1.81308,3.24869),(185,620,2.16085,2.83599),(175,620,1.94508,2.3347),(165,620,1.72932,2.18685),(155,620,1.53663,2.0491),(145,620,1.34529,1.99578),(135,620,1.19413,1.95013),(125,620,1.04799,1.92872),(115,620,0.928336,1.91122),(105,620,0.813977,1.90205),(95,620,0.715429,1.89489),(85,620,0.621398,1.8908),(75,620,0.536598,1.88772),(65,620,0.455349,1.88584),(55,620,0.379401,1.88448),(45,620,0.306104,1.88363),(35,620,0.235669,1.88305),(25,620,0.167053,1.88269),(15,620,0.136558,1.88248),(5,620,0,1.88238),(595,610,0.000188492,-0.000597025),(585,610,0.000193202,-0.000593902),(575,610,0.000197912,-0.00058924),(565,610,0.000202722,-0.000584578),(555,610,0.000207533,-0.000578038),(545,610,0.000213574,-0.000571498),(535,610,0.000219615,-0.00056291),(525,610,0.00022643,-0.000554323),(515,610,0.000233246,-0.000542848),(505,610,0.000241028,-0.000531372),(495,610,0.00024881,-0.000516933),(485,610,0.000258847,-0.000502493),(475,610,0.000268884,-0.000484389),(465,610,0.000281961,-0.000466285),(455,610,0.000295038,-0.000444489),(445,610,0.000310895,-0.000422693),(435,610,0.000326752,-0.000396836),(425,610,0.000345794,-0.000370978),(415,610,0.000364835,-0.000340793),(405,610,0.000389023,-0.000310607),(395,610,0.000413211,-0.641778),(385,610,0.0397688,-1.28324),(375,610,0.0791244,-1.31799),(365,610,0.119382,-1.33027),(355,610,0.15971,-1.33195),(345,610,0.197138,-1.33236),(335,610,0.234082,-1.32886),(325,610,0.27029,-1.32452),(315,610,0.306296,-1.30623),(305,610,0.341349,-1.2833),(295,610,0.376019,-1.23529),(285,610,0.414635,-1.17539),(275,610,0.455441,-1.09752),(265,610,0.472599,-1.00801),(255,610,0.472021,-0.723965),(245,610,0.383306,-0.271329),(235,610,0.269434,0.405628),(225,610,0.407478,1.18383),(215,610,0.702048,2.08533),(205,610,1.17551,2.62221),(195,610,1.54227,2.91599),(185,610,1.87023,2.7836),(175,610,1.73238,2.58563),(165,610,1.59453,2.447),(155,610,1.43915,2.31005),(145,610,1.28274,2.23924),(135,610,1.14862,2.17445),(125,610,1.01729,2.13679),(115,610,0.905617,2.10351),(105,610,0.797876,2.08241),(95,610,0.703284,2.06427),(85,610,0.612449,2.05193),(75,610,0.529764,2.04152),(65,610,0.450212,2.03412),(55,610,0.375501,2.02803),(45,610,0.303211,2.02366),(35,610,0.233579,2.02025),(25,610,0.16564,2.01793),(15,610,0.135445,2.01639),(5,610,0,2.01567),(595,600,0.000191614,-0.000597952),(585,600,0.000197048,-0.000594859),(575,600,0.000202482,-0.000590343),(565,600,0.000208185,-0.000585827),(555,600,0.000213888,-0.000579548),(545,600,0.000220895,-0.000573269),(535,600,0.000227903,-0.000565101),(525,600,0.000236037,-0.000556933),(515,600,0.000244171,-0.000546191),(505,600,0.000253317,-0.000535449),(495,600,0.000262462,-0.000522025),(485,600,0.000274175,-0.000508601),(475,600,0.000285887,-0.000491916),(465,600,0.000300638,-0.00047523),(455,600,0.000315389,-0.000455277),(445,600,0.000333113,-0.000435323),(435,600,0.000350836,-0.000411721),(425,600,0.000371951,-0.00038812),(415,600,0.000393065,-0.000360416),(405,600,0.000419474,-0.000332712),(395,600,0.000445882,-0.662663),(385,600,0.0376004,-1.32499),(375,600,0.074755,-1.3591),(365,600,0.112918,-1.36994),(355,600,0.151159,-1.3679),(345,600,0.188736,-1.36431),(335,600,0.226201,-1.35836),(325,600,0.264496,-1.35188),(315,600,0.303017,-1.33144),(305,600,0.344798,-1.30634),(295,600,0.387882,-1.25672),(285,600,0.440632,-1.1955),(275,600,0.498752,-1.09875),(265,600,0.564927,-0.979023),(255,600,0.637143,-0.63336),(245,600,0.637612,-0.0918889),(235,600,0.609154,0.418432),(225,600,0.751976,0.992721),(215,600,0.972687,1.70594),(205,600,1.28241,2.23842),(195,600,1.50334,2.6504),(185,600,1.69198,2.7599),(175,600,1.57454,2.82286),(165,600,1.4571,2.6921),(155,600,1.32867,2.55579),(145,600,1.19959,2.4701),(135,600,1.0833,2.38901),(125,600,0.96861,2.3371),(115,600,0.867399,2.2899),(105,600,0.768884,2.25808),(95,600,0.680382,2.22997),(85,600,0.594741,2.21006),(75,600,0.515745,2.19288),(65,600,0.439306,2.18032),(55,600,0.366993,2.1698),(45,600,0.296742,2.16212),(35,600,0.228818,2.15603),(25,600,0.162374,2.15186),(15,600,0.132844,2.14906),(5,600,0,2.14773),(595,590,0.000194679,-0.000600178),(585,590,0.000200813,-0.00059723),(575,590,0.000206947,-0.000592981),(565,590,0.000213518,-0.000588733),(555,590,0.00022009,-0.000582844),(545,590,0.000228026,-0.000576955),(535,590,0.000235962,-0.000569358),(525,590,0.000245351,-0.000561761),(515,590,0.000254739,-0.000551924),(505,590,0.000265199,-0.000542088),(495,590,0.000275658,-0.00052982),(485,590,0.000288961,-0.000517551),(475,590,0.000302265,-0.000502452),(465,590,0.000318611,-0.000487353),(455,590,0.000334957,-0.000469383),(445,590,0.000354466,-0.000451412),(435,590,0.000373975,-0.000430204),(425,590,0.000397114,-0.000408996),(415,590,0.000420252,-0.000383938),(405,590,0.00044879,-0.00035888),(395,590,0.000477328,-0.681083),(385,590,0.0354938,-1.36181),(375,590,0.0705104,-1.39524),(365,590,0.106721,-1.4047),(355,590,0.143023,-1.40071),(345,590,0.180872,-1.3951),(335,590,0.218979,-1.38779),(325,590,0.259385,-1.38012),(315,590,0.300419,-1.36144),(305,590,0.348236,-1.33908),(295,590,0.398766,-1.29425),(285,590,0.463661,-1.23879),(275,590,0.536537,-1.15299),(265,590,0.643251,-1.04757),(255,590,0.775343,-0.686369),(245,590,0.848046,-0.1035),(235,590,0.885449,0.35298),(225,590,1.01922,0.88129),(215,590,1.16787,1.59787),(205,590,1.33351,2.17277),(195,590,1.43294,2.65323),(185,590,1.50828,2.851),(175,590,1.4139,3.00527),(165,590,1.31951,2.87702),(155,590,1.21729,2.74069),(145,590,1.11462,2.65053),(135,590,1.01578,2.56456),(125,590,0.917429,2.50641),(115,590,0.826728,2.45275),(105,590,0.737558,2.41496),(95,590,0.655363,2.381),(85,590,0.575161,2.3562),(75,590,0.500107,2.33445),(65,590,0.427033,2.31824),(55,590,0.357353,2.30448),(45,590,0.28937,2.2943),(35,590,0.223367,2.28614),(25,590,0.158624,2.28053),(15,590,0.129849,2.27673),(5,590,0,2.27494),(595,580,0.00019751,-0.000602633),(585,580,0.000204244,-0.00059985),(575,580,0.000210978,-0.000595889),(565,580,0.000218322,-0.000591929),(555,580,0.000225665,-0.000586458),(545,580,0.000234378,-0.000580986),(535,580,0.000243091,-0.000573981),(525,580,0.000253467,-0.000566975),(515,580,0.000263842,-0.000558061),(505,580,0.00027542,-0.000549147),(495,580,0.000286998,-0.000538056),(485,580,0.00030154,-0.000526964),(475,580,0.000316082,-0.00051346),(465,580,0.000333704,-0.000499956),(455,580,0.000351326,-0.000483985),(445,580,0.000372287,-0.000468015),(435,580,0.000393247,-0.000449233),(425,580,0.000418212,-0.000430451),(415,580,0.000443178,-0.000408065),(405,580,0.000473476,-0.00038568),(395,580,0.000503775,-0.699166),(385,580,0.0336395,-1.39795),(375,580,0.0667752,-1.43078),(365,580,0.101612,-1.43895),(355,580,0.13658,-1.43333),(345,580,0.175209,-1.42605),(335,580,0.214449,-1.41759),(325,580,0.257063,-1.40887),(315,580,0.300597,-1.39191),(305,580,0.351625,-1.37221),(295,580,0.405651,-1.33239),(285,580,0.474564,-1.28303),(275,580,0.551748,-1.20874),(265,580,0.664372,-1.11833),(255,580,0.803577,-0.741001),(245,580,0.879272,-0.115015),(235,580,0.902671,0.301685),(225,580,0.970914,0.793779),(215,580,1.05482,1.51053),(205,580,1.15663,2.11868),(195,580,1.23393,2.65444),(185,580,1.30232,2.9325),(175,580,1.2418,3.17092),(165,580,1.18129,3.04769),(155,580,1.10229,2.91413),(145,580,1.0222,2.8213),(135,580,0.939296,2.73219),(125,580,0.856039,2.66904),(115,580,0.776042,2.61009),(105,580,0.696696,2.56716),(95,580,0.621697,2.5281),(85,580,0.547941,2.49895),(75,580,0.477853,2.47311),(65,580,0.409176,2.45358),(55,580,0.343095,2.43684),(45,580,0.27831,2.42437),(35,580,0.2151,2.41431),(25,580,0.152892,2.40737),(15,580,0.125244,2.40264),(5,580,0,2.40041),(595,570,0.000200245,-0.000606035),(585,570,0.000207556,-0.000603505),(575,570,0.000214866,-0.000599921),(565,570,0.000222952,-0.000596337),(555,570,0.000231037,-0.000591397),(545,570,0.0002405,-0.000586457),(535,570,0.000249962,-0.000580129),(525,570,0.000261265,-0.000573802),(515,570,0.000272568,-0.00056588),(505,570,0.000285212,-0.000557958),(495,570,0.000297855,-0.000548132),(485,570,0.000313567,-0.000538307),(475,570,0.000329278,-0.000526435),(465,570,0.000348093,-0.000514563),(455,570,0.000366907,-0.00050066),(445,570,0.000389225,-0.000486758),(435,570,0.000411543,-0.000470537),(425,570,0.000438293,-0.000454316),(415,570,0.000465042,-0.000434715),(405,570,0.000497226,-0.000415113),(395,570,0.00052941,-0.715847),(385,570,0.0318183,-1.43128),(375,570,0.0631072,-1.4638),(365,570,0.0965794,-1.47103),(355,570,0.13022,-1.46516),(345,570,0.169318,-1.45771),(335,570,0.209325,-1.44888),(325,570,0.253404,-1.43974),(315,570,0.298593,-1.4244),(305,570,0.351617,-1.40699),(295,570,0.407777,-1.37303),(285,570,0.47893,-1.33122),(275,570,0.558414,-1.2708),(265,570,0.673321,-1.19833),(255,570,0.814794,-0.802403),(245,570,0.891017,-0.126132),(235,570,0.903616,0.309464),(225,570,0.922715,0.806076),(215,570,0.955743,1.50967),(205,570,1.00469,2.11278),(195,570,1.05706,2.64891),(185,570,1.11068,2.974),(175,570,1.07973,3.26664),(165,570,1.04878,3.15889),(155,570,0.990956,3.03971),(145,570,0.931548,2.95181),(135,570,0.863622,2.86676),(125,570,0.794631,2.80383),(115,570,0.724959,2.74446),(105,570,0.655151,2.69987),(95,570,0.587256,2.65886),(85,570,0.519907,2.62759),(75,570,0.454822,2.59959),(65,570,0.390608,2.57815),(55,570,0.328215,2.5596),(45,570,0.266733,2.54567),(35,570,0.206426,2.53436),(25,570,0.146868,2.52652),(15,570,0.120398,2.52116),(5,570,0,2.51862),(595,560,0.000202569,-0.000609602),(585,560,0.000210356,-0.000607337),(575,560,0.000218143,-0.000604138),(565,560,0.000226844,-0.00060094),(555,560,0.000235544,-0.000596547),(545,560,0.000245642,-0.000592154),(535,560,0.00025574,-0.000586522),(525,560,0.000267711,-0.00058089),(515,560,0.000279682,-0.000573964),(505,560,0.000293166,-0.000567037),(495,560,0.000306651,-0.000558494),(485,560,0.000323237,-0.000549952),(475,560,0.000339823,-0.000539735),(465,560,0.000359476,-0.000529518),(455,560,0.000379129,-0.000517709),(445,560,0.000402404,-0.0005059),(435,560,0.00042568,-0.000492291),(425,560,0.000454029,-0.000478682),(415,560,0.000482378,-0.000462024),(405,560,0.000516983,-0.000445365),(395,560,0.000551588,-0.732035),(385,560,0.0301383,-1.46362),(375,560,0.0597251,-1.49593),(365,560,0.0918717,-1.50233),(355,560,0.124215,-1.49641),(345,560,0.16245,-1.48902),(335,560,0.201665,-1.4798),(325,560,0.244042,-1.47017),(315,560,0.287282,-1.45619),(305,560,0.337127,-1.44075),(295,560,0.389616,-1.41236),(285,560,0.455432,-1.37781),(275,560,0.528653,-1.33018),(265,560,0.630373,-1.27408),(255,560,0.753469,-0.860301),(245,560,0.819708,-0.136544),(235,560,0.835174,0.312247),(225,560,0.874976,0.811378),(215,560,0.916206,1.50823),(205,560,0.95907,2.11336),(195,560,0.974575,2.65734),(185,560,0.98013,3.02054),(175,560,0.9604,3.35594),(165,560,0.94067,3.26329),(155,560,0.895296,3.15842),(145,560,0.848413,3.07589),(135,560,0.79141,2.99539),(125,560,0.733142,2.93322),(115,560,0.672185,2.87401),(105,560,0.610691,2.82825),(95,560,0.549504,2.78574),(85,560,0.488404,2.75275),(75,560,0.428479,2.72292),(65,560,0.369007,2.69983),(55,560,0.310688,2.6797),(45,560,0.252946,2.66449),(35,560,0.196013,2.65207),(25,560,0.139595,2.64343),(15,560,0.114521,2.6375),(5,560,0,2.6347),(595,550,0.000204777,-0.000613881),(585,550,0.00021302,-0.000611931),(575,550,0.000221264,-0.000609162),(565,550,0.000230544,-0.000606393),(555,550,0.000239825,-0.000602614),(545,550,0.000250529,-0.000598835),(535,550,0.000261234,-0.000593978),(525,550,0.00027383,-0.000589121),(515,550,0.000286427,-0.000583201),(505,550,0.000300686,-0.000577282),(495,550,0.000314946,-0.000570097),(485,550,0.000332334,-0.000562912),(475,550,0.000349722,-0.000554452),(465,550,0.00037013,-0.000545991),(455,550,0.000390538,-0.000536388),(445,550,0.000414657,-0.000526785),(435,550,0.000438776,-0.000516009),(425,550,0.000468577,-0.000505233),(415,550,0.000498377,-0.000492208),(405,550,0.000535285,-0.000479183),(395,550,0.000572194,-0.746069),(385,550,0.0284758,-1.49166),(375,550,0.0563795,-1.52416),(365,550,0.0870823,-1.53025),(355,550,0.118001,-1.52519),(345,550,0.154856,-1.51879),(335,550,0.192702,-1.5091),(325,550,0.232885,-1.4987),(315,550,0.273705,-1.48496),(305,550,0.320226,-1.47011),(295,550,0.369028,-1.44597),(285,550,0.42958,-1.41745),(275,550,0.49666,-1.37791),(265,550,0.585786,-1.33124),(255,550,0.691448,-0.902938),(245,550,0.748198,-0.143885),(235,550,0.765173,0.293267),(225,550,0.818706,0.786198),(215,550,0.864522,1.5043),(205,550,0.901518,2.14219),(195,550,0.889302,2.72661),(185,550,0.859191,3.08902),(175,550,0.848511,3.41728),(165,550,0.837832,3.33805),(155,550,0.80355,3.24719),(145,550,0.767879,3.17195),(135,550,0.721007,3.09812),(125,550,0.672735,3.03913),(115,550,0.620068,2.98253),(105,550,0.566522,2.93774),(95,550,0.511837,2.8958),(85,550,0.456827,2.8627),(75,550,0.401986,2.83256),(65,550,0.34721,2.80898),(55,550,0.292958,2.78828),(45,550,0.238969,2.77254),(35,550,0.185439,2.75961),(25,550,0.1322,2.75059),(15,550,0.108539,2.74438),(5,550,0,2.74145),(595,540,0.000206469,-0.000618294),(585,540,0.000215076,-0.000616666),(575,540,0.000223683,-0.000614329),(565,540,0.000233392,-0.000611993),(555,540,0.000243101,-0.000608827),(545,540,0.000254282,-0.000605662),(535,540,0.000265462,-0.000601584),(525,540,0.000278493,-0.000597505),(515,540,0.000291523,-0.000592588),(505,540,0.000306269,-0.000587671),(495,540,0.000321014,-0.000581831),(485,540,0.000338879,-0.00057599),(475,540,0.000356744,-0.00056928),(465,540,0.000377539,-0.00056257),(455,540,0.000398334,-0.00055519),(445,540,0.000422784,-0.000547809),(435,540,0.000447234,-0.000539924),(425,540,0.000477828,-0.000532038),(415,540,0.000508422,-0.000522854),(405,540,0.000547108,-0.00051367),(395,540,0.000585794,-0.759565),(385,540,0.0268911,-1.51862),(375,540,0.0531964,-1.55133),(365,540,0.081929,-1.55715),(355,540,0.110848,-1.55286),(345,540,0.144034,-1.54737),(335,540,0.17793,-1.53732),(325,540,0.213724,-1.52627),(315,540,0.250036,-1.51309),(305,540,0.292586,-1.49919),(295,540,0.33763,-1.47923),(285,540,0.393243,-1.45641),(275,540,0.454726,-1.4243),(265,540,0.533895,-1.38618),(255,540,0.62633,-0.943715),(245,540,0.675792,-0.150812),(235,540,0.688226,0.27726),(225,540,0.724438,0.76515),(215,540,0.758727,1.50144),(205,540,0.790821,2.16849),(195,540,0.791633,2.7894),(185,540,0.781069,3.15306),(175,540,0.76978,3.47715),(165,540,0.758491,3.41034),(155,540,0.72924,3.33237),(145,540,0.698931,3.26414),(135,540,0.658662,3.1968),(125,540,0.617148,3.14108),(115,540,0.570872,3.08723),(105,540,0.523644,3.04362),(95,540,0.474553,3.00247),(85,540,0.424928,2.96949),(75,540,0.374828,2.93924),(65,540,0.324544,2.91533),(55,540,0.274327,2.89422),(45,540,0.224143,2.87807),(35,540,0.174144,2.86474),(25,540,0.124262,2.85542),(15,540,0.102092,2.84897),(5,540,0,2.84593),(595,530,0.000208037,-0.000623315),(585,530,0.00021699,-0.000622037),(575,530,0.000225943,-0.000620148),(565,530,0.000236052,-0.000618259),(555,530,0.00024616,-0.000615705),(545,530,0.000257782,-0.000613151),(535,530,0.000269405,-0.000609872),(525,530,0.000282838,-0.000606594),(515,530,0.000296271,-0.000602658),(505,530,0.00031145,-0.000598722),(495,530,0.000326629,-0.000594163),(485,530,0.000344892,-0.000589604),(475,530,0.000363154,-0.000584617),(465,530,0.000384233,-0.00057963),(455,530,0.000405313,-0.000574552),(445,530,0.000429944,-0.000569474),(435,530,0.000454575,-0.000564736),(425,530,0.000485672,-0.000559999),(415,530,0.000516768,-0.000555604),(405,530,0.000556666,-0.000551209),(395,530,0.000596564,-0.770611),(385,530,0.0253646,-1.54067),(375,530,0.0501326,-1.57365),(365,530,0.0768538,-1.57933),(355,530,0.103725,-1.57551),(345,530,0.133214,-1.57055),(335,530,0.163138,-1.56054),(325,530,0.194819,-1.54944),(315,530,0.226979,-1.53825),(305,530,0.265806,-1.52704),(295,530,0.307299,-1.51084),(285,530,0.358248,-1.4923),(275,530,0.414451,-1.46461),(265,530,0.485009,-1.431),(255,530,0.566334,-0.976025),(245,530,0.609701,-0.155855),(235,530,0.61797,0.274798),(225,530,0.637685,0.762925),(215,530,0.660508,1.50348),(205,530,0.686881,2.1833),(195,530,0.699138,2.82265),(185,530,0.706263,3.19688),(175,530,0.694097,3.53031),(165,530,0.681932,3.47136),(155,530,0.657337,3.40119),(145,530,0.632012,3.33875),(135,530,0.597968,3.27701),(125,530,0.562834,3.22501),(115,530,0.522657,3.17458),(105,530,0.481471,3.13309),(95,530,0.437778,3.09375),(85,530,0.393369,3.06185),(75,530,0.347896,3.03242),(65,530,0.302014,3.00897),(55,530,0.255774,2.98815),(45,530,0.209355,2.97216),(35,530,0.162864,2.95888),(25,530,0.116327,2.94959),(15,530,0.0956435,2.94314),(5,530,0,2.94009),(595,520,0.000209027,-0.000628429),(585,520,0.000218243,-0.000627502),(575,520,0.000227458,-0.000626062),(565,520,0.000237833,-0.000624622),(555,520,0.000248208,-0.000622672),(545,520,0.000260111,-0.000620721),(535,520,0.000272014,-0.000618236),(525,520,0.000285705,-0.000615751),(515,520,0.000299396,-0.000612789),(505,520,0.000314764,-0.000609828),(495,520,0.000330132,-0.000606531),(485,520,0.000348423,-0.000603233),(475,520,0.000366714,-0.000599925),(465,520,0.000387601,-0.000596616),(455,520,0.000408487,-0.000593778),(445,520,0.000432596,-0.000590941),(435,520,0.000456704,-0.000589281),(425,520,0.000486954,-0.000587621),(415,520,0.000517203,-0.000587954),(405,520,0.000555671,-0.000588287),(395,520,0.000594138,-0.781455),(385,520,0.0241097,-1.56232),(375,520,0.0476254,-1.59548),(365,520,0.0721434,-1.60095),(355,520,0.0967386,-1.59749),(345,520,0.122405,-1.59295),(335,520,0.148251,-1.58326),(325,520,0.177104,-1.57244),(315,520,0.206777,-1.56341),(305,520,0.243038,-1.55496),(295,520,0.281935,-1.54244),(285,520,0.329511,-1.52799),(275,520,0.381909,-1.50503),(265,520,0.450127,-1.47657),(255,520,0.53021,-1.00911),(245,520,0.573033,-0.161193),(235,520,0.578897,0.274089),(225,520,0.585961,0.76374),(215,520,0.597587,1.50776),(205,520,0.614428,2.19779),(195,520,0.63076,2.85183),(185,520,0.646908,3.23789),(175,520,0.63262,3.58272),(165,520,0.618333,3.5308),(155,520,0.596658,3.46755),(145,520,0.574548,3.41062),(135,520,0.54497,3.35427),(125,520,0.514457,3.30597),(115,520,0.479012,3.25897),(105,520,0.442579,3.21967),(95,520,0.403382,3.18224),(85,520,0.363395,3.1515),(75,520,0.322023,3.123),(65,520,0.280117,3.10011),(55,520,0.237586,3.07968),(45,520,0.194743,3.0639),(35,520,0.151653,3.05075),(25,520,0.108406,3.04153),(15,520,0.0891847,3.0351),(5,520,0,3.03206),(595,510,0.000209895,-0.000633985),(585,510,0.000219357,-0.000633413),(575,510,0.00022882,-0.000632426),(565,510,0.000239441,-0.000631439),(555,510,0.000250061,-0.00063006),(545,510,0.000262214,-0.000628681),(535,510,0.000274366,-0.000626955),(525,510,0.000288282,-0.000625229),(515,510,0.000302198,-0.000623215),(505,510,0.000317717,-0.0006212),(495,510,0.000333237,-0.000619066),(485,510,0.000351505,-0.000616931),(475,510,0.000369774,-0.000615089),(465,510,0.000390386,-0.000613246),(455,510,0.000410998,-0.000612355),(445,510,0.000434448,-0.000611464),(435,510,0.000457899,-0.000612549),(425,510,0.000487013,-0.000613634),(415,510,0.000516126,-0.000618397),(405,510,0.000552548,-0.000623161),(395,510,0.000588969,-0.791334),(385,510,0.0229256,-1.58204),(375,510,0.0452623,-1.61502),(365,510,0.0677064,-1.61993),(355,510,0.0901588,-1.61632),(345,510,0.112381,-1.61168),(335,510,0.134564,-1.60355),(325,510,0.160854,-1.59467),(315,510,0.188263,-1.58852),(305,510,0.221893,-1.58327),(295,510,0.258011,-1.57397),(285,510,0.301994,-1.56274),(275,510,0.350347,-1.54601),(265,510,0.414958,-1.52571),(255,510,0.491763,-1.04593),(245,510,0.532923,-0.167933),(235,510,0.536623,0.281741),(225,510,0.53306,0.779047),(215,510,0.534299,1.52279),(205,510,0.541025,2.21076),(195,510,0.559997,2.86156),(185,510,0.58342,3.26552),(175,510,0.569463,3.63151),(165,510,0.555505,3.58276),(155,510,0.537154,3.52216),(145,510,0.518544,3.46947),(135,510,0.493329,3.41749),(125,510,0.467288,3.37278),(115,510,0.43639,3.32924),(105,510,0.40452,3.29248),(95,510,0.369661,3.25736),(85,510,0.333948,3.22828),(75,510,0.296561,3.2012),(65,510,0.258531,3.1793),(55,510,0.219634,3.15969),(45,510,0.180303,3.14448),(35,510,0.140564,3.13176),(25,510,0.100565,3.12281),(15,510,0.0827876,3.11657),(5,510,0,3.11362),(595,500,0.000210169,-0.000639599),(585,500,0.000219799,-0.000639386),(575,500,0.00022943,-0.000638852),(565,500,0.000240197,-0.000638318),(555,500,0.000250963,-0.000637505),(545,500,0.000263212,-0.000636693),(535,500,0.000275461,-0.000635709),(525,500,0.000289442,-0.000634726),(515,500,0.000303423,-0.000633633),(505,500,0.000318912,-0.000632539),(495,500,0.000334401,-0.000631533),(485,500,0.000352398,-0.000630526),(475,500,0.000370395,-0.000630091),(465,500,0.000390332,-0.000629656),(455,500,0.000410268,-0.000630599),(445,500,0.000432397,-0.000631542),(435,500,0.000454525,-0.000635167),(425,500,0.000481098,-0.000638793),(415,500,0.00050767,-0.000647578),(405,500,0.000539034,-0.000656363),(395,500,0.000570399,-0.801256),(385,500,0.0220868,-1.60186),(375,500,0.0436033,-1.63465),(365,500,0.0646042,-1.639),(355,500,0.0855655,-1.63525),(345,500,0.106181,-1.63053),(335,500,0.12674,-1.62401),(325,500,0.15176,-1.6171),(315,500,0.177996,-1.61348),(305,500,0.20867,-1.61094),(295,500,0.241118,-1.60454),(285,500,0.280433,-1.59631),(275,500,0.323562,-1.58504),(265,500,0.378382,-1.57181),(255,500,0.44197,-1.08025),(245,500,0.476,-0.174123),(235,500,0.478717,0.29007),(225,500,0.474413,0.795728),(215,500,0.469213,1.54029),(205,500,0.462988,2.22492),(195,500,0.477586,2.86961),(185,500,0.499756,3.28955),(175,500,0.498099,3.67493),(165,500,0.496442,3.63056),(155,500,0.48339,3.57391),(145,500,0.469667,3.52573),(135,500,0.448316,3.47833),(125,500,0.426012,3.43726),(115,500,0.398763,3.39721),(105,500,0.370526,3.36301),(95,500,0.339233,3.33024),(85,500,0.307068,3.30283),(75,500,0.273111,3.27721),(65,500,0.238466,3.25635),(55,500,0.202829,3.23759),(45,500,0.166697,3.22299),(35,500,0.130065,3.21073),(25,500,0.093114,3.20209),(15,500,0.0766916,3.19604),(5,500,0,3.19319),(595,490,0.000210322,-0.000645506),(585,490,0.000220106,-0.000645663),(575,490,0.000229891,-0.000645585),(565,490,0.00024079,-0.000645507),(555,490,0.000251689,-0.000645235),(545,490,0.000264014,-0.000644962),(535,490,0.00027634,-0.000644637),(525,490,0.000290364,-0.000644313),(515,490,0.000304388,-0.000644014),(505,490,0.000319821,-0.000643715),(495,490,0.000335254,-0.000643661),(485,490,0.000352953,-0.000643607),(475,490,0.000370652,-0.000644285),(465,490,0.000389886,-0.000644964),(455,490,0.00040912,-0.00064718),(445,490,0.000429888,-0.000649397),(435,490,0.000450656,-0.000654541),(425,490,0.000474611,-0.000659686),(415,490,0.000498567,-0.000670445),(405,490,0.000524745,-0.000681204),(395,490,0.000550922,-0.811395),(385,490,0.0212038,-1.62211),(375,490,0.0418567,-1.65473),(365,490,0.0614735,-1.65853),(355,490,0.0810105,-1.65472),(345,490,0.100256,-1.65),(335,490,0.119452,-1.64529),(325,490,0.14321,-1.64057),(315,490,0.168213,-1.6377),(305,490,0.195972,-1.63544),(295,490,0.224834,-1.63035),(285,490,0.25974,-1.62392),(275,490,0.298004,-1.61434),(265,490,0.344028,-1.60274),(255,490,0.395872,-1.10208),(245,490,0.423587,-0.177559),(235,490,0.425841,0.301782),(225,490,0.422757,0.81927),(215,490,0.414609,1.57017),(205,490,0.400673,2.24506),(195,490,0.408821,2.86926),(185,490,0.425,3.29561),(175,490,0.432968,3.69153),(165,490,0.440936,3.65756),(155,490,0.432306,3.61131),(145,490,0.4227,3.56911),(135,490,0.404852,3.52727),(125,490,0.385973,3.49009),(115,490,0.362169,3.45365),(105,490,0.33738,3.42215),(95,490,0.309513,3.39184),(85,490,0.280766,3.36629),(75,490,0.250135,3.34232),(65,490,0.218779,3.3227),(55,490,0.186325,3.305),(45,490,0.153322,3.29117),(35,490,0.119736,3.27954),(25,490,0.0857806,3.27133),(15,490,0.0706892,3.26556),(5,490,0,3.26284),(595,480,0.000209855,-0.000651439),(585,480,0.000219722,-0.000651965),(575,480,0.000229588,-0.000652342),(565,480,0.000240549,-0.000652719),(555,480,0.000251509,-0.000652982),(545,480,0.000263814,-0.000653245),(535,480,0.000276118,-0.000653568),(525,480,0.000290069,-0.000653891),(515,480,0.00030402,-0.000654366),(505,480,0.000319262,-0.000654841),(495,480,0.000334504,-0.000655699),(485,480,0.000351773,-0.000656557),(475,480,0.000369041,-0.000658281),(465,480,0.000387437,-0.000660004),(455,480,0.000405834,-0.000663374),(445,480,0.000425038,-0.000666744),(435,480,0.000444242,-0.000673183),(425,480,0.000465196,-0.000679622),(415,480,0.00048615,-0.000691897),(405,480,0.000506477,-0.000704173),(395,480,0.000526803,-0.82142),(385,480,0.0200942,-1.64214),(375,480,0.0396616,-1.67468),(365,480,0.0581966,-1.67803),(355,480,0.0766523,-1.67431),(345,480,0.0957301,-1.66974),(335,480,0.114912,-1.6667),(325,480,0.137452,-1.664),(315,480,0.160908,-1.66165),(305,480,0.185967,-1.65941),(295,480,0.211668,-1.65552),(285,480,0.243496,-1.65084),(275,480,0.278727,-1.64294),(265,480,0.321053,-1.63295),(255,480,0.368699,-1.12342),(245,480,0.394281,-0.180959),(235,480,0.39873,0.311388),(225,480,0.406912,0.838856),(215,480,0.413701,1.59543),(205,480,0.418899,2.26559),(195,480,0.409957,2.87814),(185,480,0.395874,3.30771),(175,480,0.399759,3.70913),(165,480,0.403644,3.68464),(155,480,0.394953,3.64797),(145,480,0.385522,3.61139),(135,480,0.369321,3.57482),(125,480,0.352274,3.54138),(115,480,0.330863,3.50845),(105,480,0.30858,3.47958),(95,480,0.283413,3.45169),(85,480,0.257422,3.42797),(75,480,0.229582,3.40565),(65,480,0.201031,3.38728),(55,480,0.17136,3.37064),(45,480,0.141129,3.3576),(35,480,0.110284,3.3466),(25,480,0.0790486,3.33882),(15,480,0.0651662,3.33335),(5,480,0,3.33077),(595,470,0.000209273,-0.000657512),(585,470,0.000219209,-0.000658402),(575,470,0.000229146,-0.000659224),(565,470,0.000240157,-0.000660045),(555,470,0.000251168,-0.000660821),(545,470,0.000263439,-0.000661598),(535,470,0.00027571,-0.000662511),(525,470,0.000289577,-0.000663424),(515,470,0.000303443,-0.000664565),(505,470,0.00031849,-0.000665706),(495,470,0.000333536,-0.000667262),(485,470,0.000350374,-0.000668817),(475,470,0.000367213,-0.000671232),(465,470,0.000384798,-0.000673646),(455,470,0.000402384,-0.000677536),(445,470,0.000420087,-0.000681425),(435,470,0.000437791,-0.000687976),(425,470,0.000455902,-0.000694527),(415,470,0.000474012,-0.000705917),(405,470,0.000488866,-0.000717306),(395,470,0.00050372,-0.830844),(385,470,0.01886,-1.66097),(375,470,0.0372162,-1.69395),(365,470,0.0546474,-1.69741),(355,470,0.0720074,-1.69451),(345,470,0.0908641,-1.69084),(335,470,0.10997,-1.68886),(325,470,0.131238,-1.68723),(315,470,0.153096,-1.68416),(305,470,0.175593,-1.68061),(295,470,0.198344,-1.67732),(285,470,0.227157,-1.67415),(275,470,0.259337,-1.6678),(265,470,0.297913,-1.65938),(255,470,0.341287,-1.14223),(245,470,0.364653,-0.184171),(235,470,0.370693,0.309934),(225,470,0.387462,0.837671),(215,470,0.405895,1.59642),(205,470,0.426229,2.28824),(195,470,0.40583,2.93545),(185,470,0.37062,3.35149),(175,470,0.369353,3.73197),(165,470,0.368086,3.71207),(155,470,0.359037,3.68073),(145,470,0.34953,3.64797),(135,470,0.334838,3.61509),(125,470,0.319497,3.58463),(115,470,0.300374,3.55456),(105,470,0.280495,3.52802),(95,470,0.257935,3.50233),(85,470,0.234609,3.48037),(75,470,0.20948,3.45966),(65,470,0.183657,3.44255),(55,470,0.1567,3.42703),(45,470,0.129177,3.41483),(35,470,0.101014,3.40451),(25,470,0.0724442,3.39721),(15,470,0.0597464,3.39207),(5,470,0,3.38964),(595,460,0.000208074,-0.000663586),(585,460,0.000218011,-0.000664839),(575,460,0.000227948,-0.000666102),(565,460,0.000238953,-0.000667364),(555,460,0.000249957,-0.000668648),(545,460,0.000262127,-0.000669933),(535,460,0.000274297,-0.000671424),(525,460,0.000288017,-0.000672915),(515,460,0.000301738,-0.000674705),(505,460,0.000316564,-0.000676495),(495,460,0.00033139,-0.000678725),(485,460,0.000347802,-0.000680954),(475,460,0.000364214,-0.000684016),(465,460,0.000381134,-0.000687077),(455,460,0.000398054,-0.000691412),(445,460,0.000414599,-0.000695747),(435,460,0.000431145,-0.000702276),(425,460,0.000447259,-0.000708805),(415,460,0.000463373,-0.000719082),(405,460,0.000474796,-0.000729359),(395,460,0.000486219,-0.839917),(385,460,0.0169552,-1.6791),(375,460,0.0334242,-1.71263),(365,460,0.0496318,-1.71632),(355,460,0.0658193,-1.71432),(345,460,0.0841645,-1.71164),(335,460,0.102869,-1.71061),(325,460,0.122578,-1.70994),(315,460,0.14256,-1.70625),(305,460,0.163227,-1.70155),(295,460,0.184169,-1.69878),(285,460,0.210309,-1.69693),(275,460,0.239337,-1.69204),(265,460,0.273889,-1.6852),(255,460,0.312582,-1.16061),(245,460,0.333296,-0.187311),(235,460,0.337671,0.30832),(225,460,0.348612,0.836322),(215,460,0.360955,1.59766),(205,460,0.374901,2.30788),(195,460,0.373371,2.98403),(185,460,0.366213,3.39136),(175,460,0.354039,3.75733),(165,460,0.341864,3.74083),(155,460,0.330858,3.7134),(145,460,0.319921,3.68399),(135,460,0.305991,3.6544),(125,460,0.291687,3.62676),(115,460,0.274281,3.59943),(105,460,0.256254,3.57515),(95,460,0.235802,3.5516),(85,460,0.214656,3.53137),(75,460,0.191804,3.51225),(65,460,0.168296,3.49638),(55,460,0.143686,3.48196),(45,460,0.118524,3.47059),(35,460,0.0927274,3.46096),(25,460,0.0665264,3.45414),(15,460,0.0548815,3.44933),(5,460,0,3.44706),(595,450,0.000206769,-0.000669672),(585,450,0.000216696,-0.000671276),(575,450,0.000226623,-0.00067296),(565,450,0.000237613,-0.000674644),(555,450,0.000248602,-0.000676408),(545,450,0.000260666,-0.000678171),(535,450,0.000272729,-0.00068017),(525,450,0.000286298,-0.000682169),(515,450,0.000299866,-0.000684514),(505,450,0.000314473,-0.00068686),(495,450,0.000329081,-0.000689635),(485,450,0.000345086,-0.000692409),(475,450,0.000361092,-0.000695878),(465,450,0.000377403,-0.000699346),(455,450,0.000393714,-0.000703713),(445,450,0.000409221,-0.000708081),(435,450,0.000424728,-0.000713849),(425,450,0.000439086,-0.000719616),(415,450,0.000453444,-0.000727533),(405,450,0.000461972,-0.000735449),(395,450,0.000470499,-0.847048),(385,450,0.015019,-1.69336),(375,450,0.0295674,-1.72806),(365,450,0.0445286,-1.73269),(355,450,0.0595214,-1.73203),(345,450,0.0771784,-1.73073),(335,450,0.0952794,-1.73016),(325,450,0.113386,-1.72975),(315,450,0.131495,-1.72596),(305,450,0.150398,-1.72105),(295,450,0.169618,-1.71836),(285,450,0.193114,-1.71672),(275,450,0.218987,-1.71289),(265,450,0.249373,-1.70763),(255,450,0.283145,-1.17666),(245,450,0.301119,-0.190053),(235,450,0.303509,0.30582),(225,450,0.306753,0.834073),(215,450,0.312873,1.60028),(205,450,0.322281,2.31086),(195,450,0.336781,2.98435),(185,450,0.353134,3.40961),(175,450,0.333694,3.79667),(165,450,0.314255,3.77693),(155,450,0.302202,3.74556),(145,450,0.290583,3.7169),(135,450,0.277606,3.68849),(125,450,0.264459,3.66273),(115,450,0.24877,3.6374),(105,450,0.232572,3.61499),(95,450,0.214179,3.59328),(85,450,0.195158,3.5746),(75,450,0.174525,3.55693),(65,450,0.153273,3.54225),(55,450,0.130952,3.52888),(45,450,0.108097,3.51833),(35,450,0.0846135,3.50938),(25,450,0.0607306,3.50303),(15,450,0.050116,3.49855),(5,450,0,3.49643),(595,440,0.000204866,-0.000675749),(585,440,0.000214721,-0.000677698),(575,440,0.000224576,-0.000679799),(565,440,0.000235502,-0.000681901),(555,440,0.000246429,-0.000684141),(545,440,0.000258359,-0.00068638),(535,440,0.000270289,-0.000688882),(525,440,0.000283668,-0.000691385),(515,440,0.000297047,-0.000694274),(505,440,0.000311445,-0.000697164),(495,440,0.000325844,-0.000700471),(485,440,0.000341559,-0.000703777),(475,440,0.000357273,-0.000707644),(465,440,0.000373296,-0.000711511),(455,440,0.000389318,-0.000715908),(445,440,0.000404461,-0.000720305),(435,440,0.000419603,-0.000725314),(425,440,0.000433571,-0.000730323),(415,440,0.00044754,-0.000735921),(405,440,0.000456207,-0.000741519),(395,440,0.000464875,-0.8538),(385,440,0.0129045,-1.70686),(375,440,0.0253441,-1.74275),(365,440,0.038929,-1.74838),(355,440,0.052602,-1.74896),(345,440,0.0685685,-1.74893),(335,440,0.0849172,-1.7488),(325,440,0.101187,-1.74864),(315,440,0.117436,-1.74494),(305,440,0.134937,-1.74005),(295,440,0.15294,-1.7374),(285,440,0.173958,-1.7358),(275,440,0.19665,-1.73271),(265,440,0.222076,-1.72866),(255,440,0.249552,-1.19159),(245,440,0.264291,-0.192571),(235,440,0.262883,0.307287),(225,440,0.247848,0.83697),(215,440,0.246989,1.60248),(205,440,0.262333,2.31203),(195,440,0.276786,2.98428),(185,440,0.290913,3.42562),(175,440,0.284849,3.83144),(165,440,0.278785,3.80981),(155,440,0.270839,3.77596),(145,440,0.262782,3.74841),(135,440,0.251835,3.72144),(125,440,0.240527,3.69761),(115,440,0.226556,3.6743),(105,440,0.212053,3.65374),(95,440,0.195444,3.63385),(85,440,0.178233,3.6167),(75,440,0.159491,3.60047),(65,440,0.140161,3.58695),(55,440,0.11981,3.57462),(45,440,0.0989475,3.56488),(35,440,0.0774797,3.55659),(25,440,0.0556264,3.55072),(15,440,0.0459138,3.54656),(5,440,0,3.5446),(595,430,0.000202873,-0.000681775),(585,430,0.000212645,-0.000684036),(575,430,0.000222417,-0.000686529),(565,430,0.000233271,-0.000689022),(555,430,0.000244125,-0.00069172),(545,430,0.000255919,-0.000694419),(535,430,0.000267714,-0.000697399),(525,430,0.000280902,-0.000700379),(515,430,0.00029409,-0.000703747),(505,430,0.000308283,-0.000707114),(495,430,0.000322476,-0.000710876),(485,430,0.000337916,-0.000714638),(475,430,0.000353356,-0.000718852),(465,430,0.000369137,-0.000723066),(455,430,0.000384919,-0.000727478),(445,430,0.000399806,-0.000731889),(435,430,0.000414694,-0.000736157),(425,430,0.000428463,-0.000740424),(415,430,0.000442232,-0.00074395),(405,430,0.000451396,-0.000747476),(395,430,0.00046056,-0.858338),(385,430,0.0108909,-1.71593),(375,430,0.0213213,-1.7532),(365,430,0.0335147,-1.7601),(355,430,0.0458437,-1.76134),(345,430,0.0600739,-1.7619),(335,430,0.074621,-1.76211),(325,430,0.0890747,-1.76225),(315,430,0.103503,-1.75962),(305,430,0.119622,-1.75607),(295,430,0.136417,-1.75324),(285,430,0.155167,-1.75074),(275,430,0.175004,-1.74662),(265,430,0.196045,-1.74146),(255,430,0.21799,-1.20001),(245,430,0.229848,-0.193785),(235,430,0.226248,0.331832),(225,430,0.201157,0.869811),(215,430,0.195187,1.60214),(205,430,0.211069,2.30262),(195,430,0.223625,2.98187),(185,430,0.234971,3.42865),(175,430,0.240065,3.83967),(165,430,0.245159,3.824),(155,430,0.240794,3.79613),(145,430,0.235873,3.77178),(135,430,0.226808,3.74774),(125,430,0.217225,3.72615),(115,430,0.204903,3.70496),(105,430,0.192033,3.68617),(95,430,0.177154,3.66797),(85,430,0.161701,3.65223),(75,430,0.1448,3.63732),(65,430,0.127343,3.62487),(55,430,0.108913,3.61351),(45,430,0.0899978,3.60451),(35,430,0.0704999,3.59686),(25,430,0.0506314,3.59143),(15,430,0.041801,3.58759),(5,430,0,3.58577),(595,420,0.000200344,-0.000687792),(585,420,0.000209967,-0.000690363),(575,420,0.00021959,-0.000693241),(565,420,0.000230311,-0.000696118),(555,420,0.000241032,-0.00069927),(545,420,0.000252681,-0.000702423),(535,420,0.000264331,-0.000705879),(525,420,0.000277321,-0.000709336),(515,420,0.000290312,-0.000713183),(505,420,0.000304315,-0.00071703),(495,420,0.000318319,-0.000721251),(485,420,0.000333582,-0.000725472),(475,420,0.000348845,-0.000730048),(465,420,0.000364671,-0.000734623),(455,420,0.000380496,-0.000739097),(445,420,0.000395783,-0.000743571),(435,420,0.000411071,-0.000747206),(425,420,0.00042578,-0.000750841),(415,420,0.00044049,-0.000752511),(405,420,0.000452279,-0.000754181),(395,420,0.000464067,-0.862636),(385,420,0.00948025,-1.72452),(375,420,0.0184964,-1.7631),(365,420,0.0292072,-1.77118),(355,420,0.0400483,-1.77298),(345,420,0.0522686,-1.77402),(335,420,0.0647187,-1.77458),(325,420,0.0774807,-1.77505),(315,420,0.0903278,-1.77354),(305,420,0.105171,-1.77139),(295,420,0.120813,-1.76853),(285,420,0.138567,-1.76533),(275,420,0.157495,-1.76036),(265,420,0.17759,-1.75424),(255,420,0.198559,-1.20846),(245,420,0.209666,-0.194973),(235,420,0.213462,0.349168),(225,420,0.227471,0.894095),(215,420,0.227545,1.60625),(205,420,0.211696,2.29979),(195,420,0.211312,2.98094),(185,420,0.216551,3.43221),(175,420,0.219556,3.84811),(165,420,0.222561,3.83803),(155,420,0.218633,3.81579),(145,420,0.214296,3.79452),(135,420,0.206224,3.77334),(125,420,0.197684,3.75394),(115,420,0.186595,3.73483),(105,420,0.174996,3.71778),(95,420,0.161525,3.70123),(85,420,0.147519,3.68688),(75,420,0.132161,3.67326),(65,420,0.116283,3.66186),(55,420,0.0994903,3.65145),(45,420,0.082241,3.6432),(35,420,0.0644406,3.63617),(25,420,0.0462895,3.63117),(15,420,0.0382224,3.62763),(5,420,0,3.62596),(595,410,0.000197734,-0.00069376),(585,410,0.000207202,-0.000696625),(575,410,0.00021667,-0.000699845),(565,410,0.000227247,-0.000703065),(555,410,0.000237823,-0.000706637),(545,410,0.000249321,-0.000710209),(535,410,0.000260818,-0.000714135),(525,410,0.000273608,-0.00071806),(515,410,0.000286399,-0.000722397),(505,410,0.000300214,-0.000726735),(495,410,0.00031403,-0.000731438),(485,410,0.000329121,-0.000736141),(475,410,0.000344212,-0.000741164),(465,410,0.000360093,-0.000746187),(455,410,0.000375974,-0.000751022),(445,410,0.000391705,-0.000755857),(435,410,0.000407437,-0.000759528),(425,410,0.000423165,-0.000763198),(415,410,0.000438894,-0.000764338),(405,410,0.000453392,-0.000765478),(395,410,0.000467891,-0.865454),(385,410,0.00817744,-1.73014),(375,410,0.015887,-1.76955),(365,410,0.025147,-1.7784),(355,410,0.0345264,-1.78006),(345,410,0.0448181,-1.78087),(335,410,0.055262,-1.78184),(325,410,0.066383,-1.78285),(315,410,0.0776888,-1.78277),(305,410,0.0912347,-1.78234),(295,410,0.105677,-1.78042),(285,410,0.122439,-1.7778),(275,410,0.140492,-1.77302),(265,410,0.160163,-1.76685),(255,410,0.181048,-1.21701),(245,410,0.191971,-0.196001),(235,410,0.201488,0.32222),(225,410,0.245232,0.865825),(215,410,0.250512,1.63765),(205,410,0.211835,2.33738),(195,410,0.200433,2.98905),(185,410,0.19895,3.43897),(175,410,0.199914,3.85786),(165,410,0.200878,3.85112),(155,410,0.197266,3.83222),(145,410,0.193384,3.81341),(135,410,0.186225,3.7946),(125,410,0.178656,3.7771),(115,410,0.168746,3.75981),(105,410,0.158369,3.74429),(95,410,0.146264,3.7292),(85,410,0.133665,3.71607),(75,410,0.119809,3.7036),(65,410,0.105469,3.69315),(55,410,0.0902753,3.68359),(45,410,0.0746536,3.67601),(35,410,0.0585126,3.66954),(25,410,0.0420412,3.66494),(15,410,0.0347205,3.66168),(5,410,0,3.66015),(595,400,0.000194614,-0.000699706),(585,400,0.000203883,-0.000702863),(575,400,0.000213152,-0.000706424),(565,400,0.00022352,-0.000709984),(555,400,0.000233888,-0.000713973),(545,400,0.000245187,-0.000717962),(535,400,0.000256486,-0.000722355),(525,400,0.000269061,-0.000726748),(515,400,0.000281637,-0.00073158),(505,400,0.000295273,-0.000736412),(495,400,0.000308909,-0.000741614),(485,400,0.000323855,-0.000746815),(475,400,0.000338801,-0.000752314),(465,400,0.000354813,-0.000757812),(455,400,0.000370826,-0.000763067),(445,400,0.00038728,-0.000768321),(435,400,0.000403735,-0.000772158),(425,400,0.000420974,-0.000775995),(415,400,0.000438213,-0.000776851),(405,400,0.000455962,-0.000777708),(395,400,0.000473711,-0.868144),(385,400,0.00755591,-1.73551),(375,400,0.0146381,-1.77566),(365,400,0.0226494,-1.78518),(355,400,0.0307322,-1.78669),(345,400,0.0396096,-1.78724),(335,400,0.0486194,-1.78859),(325,400,0.0584202,-1.79012),(315,400,0.0684368,-1.79137),(305,400,0.0805483,-1.79254),(295,400,0.0934979,-1.79166),(285,400,0.109297,-1.78983),(275,400,0.126678,-1.78578),(265,400,0.149232,-1.78029),(255,400,0.175665,-1.22643),(245,400,0.189994,-0.19733),(235,400,0.194639,0.3005),(225,400,0.208966,0.843516),(215,400,0.21415,1.66442),(205,400,0.208886,2.37115),(195,400,0.198616,3.00176),(185,400,0.186527,3.44917),(175,400,0.185752,3.86838),(165,400,0.184977,3.86452),(155,400,0.180922,3.84857),(145,400,0.176675,3.83203),(135,400,0.169924,3.81544),(125,400,0.16286,3.79975),(115,400,0.153799,3.78422),(105,400,0.144338,3.77018),(95,400,0.133327,3.75651),(85,400,0.121872,3.74458),(75,400,0.109266,3.73324),(65,400,0.0962164,3.72371),(55,400,0.0823747,3.71498),(45,400,0.0681369,3.70806),(35,400,0.0534146,3.70214),(25,400,0.0383839,3.69794),(15,400,0.0317036,3.69495),(5,400,0,3.69354),(595,390,0.000191422,-0.000705509),(585,390,0.000200485,-0.000708945),(575,390,0.000209549,-0.000712832),(565,390,0.000219699,-0.00071672),(555,390,0.000229848,-0.000721107),(545,390,0.000240941,-0.000725495),(535,390,0.000252034,-0.000730348),(525,390,0.000264386,-0.000735202),(515,390,0.000276737,-0.000740558),(505,390,0.000290184,-0.000745914),(495,390,0.000303631,-0.000751721),(485,390,0.000318425,-0.000757528),(475,390,0.000333218,-0.000763683),(465,390,0.000349344,-0.000769839),(455,390,0.00036547,-0.00077589),(445,390,0.000382619,-0.000781941),(435,390,0.000399768,-0.000786793),(425,390,0.000418478,-0.000791646),(415,390,0.000437188,-0.000793822),(405,390,0.000458076,-0.000795998),(395,390,0.000478964,-0.870009),(385,390,0.00698093,-1.73922),(375,390,0.0134829,-1.77952),(365,390,0.0203157,-1.78911),(355,390,0.027174,-1.79034),(345,390,0.0347212,-1.79056),(335,390,0.0423832,-1.7921),(325,390,0.0509139,-1.79393),(315,390,0.0596815,-1.79588),(305,390,0.0703649,-1.79787),(295,390,0.0818146,-1.79872),(285,390,0.0963465,-1.79904),(275,390,0.112591,-1.79915),(265,390,0.136224,-1.79912),(255,390,0.1654,-1.2415),(245,390,0.181508,-0.200616),(235,390,0.182212,0.312758),(225,390,0.173564,0.859956),(215,390,0.179473,1.66098),(205,390,0.202021,2.38004),(195,390,0.193642,3.04446),(185,390,0.174017,3.48167),(175,390,0.171591,3.88392),(165,390,0.169166,3.87994),(155,390,0.164771,3.86436),(145,390,0.160261,3.84893),(135,390,0.153943,3.83351),(125,390,0.1474,3.81911),(115,390,0.139176,3.80487),(105,390,0.130615,3.79203),(95,390,0.120674,3.77952),(85,390,0.110339,3.76861),(75,390,0.098953,3.75823),(65,390,0.0871636,3.7495),(55,390,0.0746441,3.74151),(45,390,0.0617596,3.73515),(35,390,0.048425,3.72973),(25,390,0.0348042,3.72587),(15,390,0.0287505,3.72313),(5,390,0,3.72184),(595,380,0.000187741,-0.000711269),(585,380,0.000196557,-0.000714981),(575,380,0.000205372,-0.000719193),(565,380,0.000215242,-0.000723404),(555,380,0.000225112,-0.000728187),(545,380,0.000235943,-0.000732971),(535,380,0.000246773,-0.000738285),(525,380,0.000258847,-0.000743599),(515,380,0.000270922,-0.000749481),(505,380,0.00028411,-0.000755364),(495,380,0.000297298,-0.000761788),(485,380,0.000311892,-0.000768212),(475,380,0.000326486,-0.000775054),(465,380,0.000342604,-0.000781895),(455,380,0.000358722,-0.000788792),(445,380,0.000376372,-0.000795688),(435,380,0.000394023,-0.000801649),(425,380,0.00041394,-0.000807609),(415,380,0.000433857,-0.000811276),(405,380,0.00045714,-0.000814942),(395,380,0.000480423,-0.871838),(385,380,0.00671742,-1.74286),(375,380,0.0129544,-1.78326),(365,380,0.019079,-1.7929),(355,380,0.0251949,-1.79386),(345,380,0.0319753,-1.79377),(335,380,0.0388664,-1.79545),(325,380,0.0464626,-1.79752),(315,380,0.054251,-1.80004),(305,380,0.0635475,-1.80271),(295,380,0.0734472,-1.80506),(285,380,0.0846873,-1.80725),(275,380,0.0966721,-1.81067),(265,380,0.109321,-1.81488),(255,380,0.122467,-1.25396),(245,380,0.12947,-0.203256),(235,380,0.132455,0.320953),(225,380,0.14394,0.87054),(215,380,0.156075,1.65671),(205,380,0.168952,2.3873),(195,380,0.16754,3.08084),(185,380,0.160931,3.5102),(175,380,0.157447,3.89891),(165,380,0.153963,3.89493),(155,380,0.149909,3.87973),(145,380,0.145821,3.8654),(135,380,0.140106,3.85115),(125,380,0.134188,3.83801),(115,380,0.126728,3.82504),(105,380,0.118959,3.81337),(95,380,0.109927,3.80202),(85,380,0.100535,3.7921),(75,380,0.0901783,3.78266),(65,380,0.0794513,3.77472),(55,380,0.0680513,3.76744),(45,380,0.0563147,3.76165),(35,380,0.0441616,3.7567),(25,380,0.0317433,3.75319),(15,380,0.0262241,3.75069),(5,380,0,3.74951),(595,370,0.000183996,-0.000716735),(585,370,0.000192559,-0.000720708),(575,370,0.000201121,-0.00072522),(565,370,0.000210702,-0.000729733),(555,370,0.000220283,-0.000734892),(545,370,0.000230841,-0.000740051),(535,370,0.000241399,-0.000745828),(525,370,0.000253186,-0.000751606),(515,370,0.000264973,-0.000758031),(505,370,0.000277882,-0.000764456),(495,370,0.000290792,-0.000771579),(485,370,0.000305164,-0.000778703),(475,370,0.000319536,-0.000786431),(465,370,0.000335609,-0.000794158),(455,370,0.000351683,-0.000802232),(445,370,0.000369764,-0.000810306),(435,370,0.000387846,-0.000818018),(425,370,0.000408856,-0.00082573),(415,370,0.000429867,-0.000832063),(405,370,0.000455347,-0.000838396),(395,370,0.000480828,-0.873415),(385,370,0.00646486,-1.74599),(375,370,0.0124489,-1.78627),(365,370,0.0179117,-1.79571),(355,370,0.0233345,-1.79652),(345,370,0.0293952,-1.79629),(335,370,0.0355623,-1.79775),(325,370,0.042297,-1.79958),(315,370,0.0491866,-1.80182),(305,370,0.0572563,-1.8042),(295,370,0.0657979,-1.80642),(285,370,0.0742541,-1.80857),(275,370,0.082663,-1.80941),(265,370,0.0864547,-1.80941),(255,370,0.0867834,-1.24849),(245,370,0.0865303,-0.20143),(235,370,0.0906176,0.301132),(225,370,0.114394,0.840758),(215,370,0.129468,1.64669),(205,370,0.134597,2.38331),(195,370,0.140301,3.07373),(185,370,0.146214,3.51137),(175,370,0.142523,3.91012),(165,370,0.138831,3.90688),(155,370,0.135241,3.89215),(145,370,0.131656,3.87892),(135,370,0.12655,3.86582),(125,370,0.121254,3.8538),(115,370,0.114543,3.84195),(105,370,0.10755,3.83129),(95,370,0.0994073,3.82091),(85,370,0.0909368,3.81184),(75,370,0.0815873,3.80321),(65,370,0.0718997,3.79595),(55,370,0.0615952,3.78929),(45,370,0.0509824,3.78399),(35,370,0.0399859,3.77946),(25,370,0.0287454,3.77624),(15,370,0.0237496,3.77395),(5,370,0,3.77287),(595,360,0.000179795,-0.000722156),(585,360,0.000188072,-0.000726387),(575,360,0.000196348,-0.000731196),(565,360,0.000205571,-0.000736004),(555,360,0.000214794,-0.000741532),(545,360,0.000225006,-0.00074706),(535,360,0.000235219,-0.000753296),(525,360,0.000246646,-0.000759533),(515,360,0.000258072,-0.000766499),(505,360,0.000270561,-0.000773464),(495,360,0.000283049,-0.000781288),(485,360,0.00029704,-0.000789112),(475,360,0.000311031,-0.000797737),(465,360,0.000326802,-0.000806361),(455,360,0.000342573,-0.000815637),(445,360,0.000360586,-0.000824912),(435,360,0.000378599,-0.000834414),(425,360,0.000399894,-0.000843915),(415,360,0.00042119,-0.000852978),(405,360,0.000447464,-0.000862041),(395,360,0.000473737,-0.875056),(385,360,0.00629008,-1.74925),(375,360,0.0121064,-1.78939),(365,360,0.0172382,-1.79864),(355,360,0.0223174,-1.79931),(345,360,0.0279939,-1.79894),(335,360,0.03377,-1.80017),(325,360,0.0401635,-1.80175),(315,360,0.0467254,-1.80372),(305,360,0.0547056,-1.80581),(295,360,0.0632532,-1.80796),(285,360,0.0725358,-1.81014),(275,360,0.0822266,-1.8089),(265,360,0.092286,-1.80546),(255,360,0.102622,-1.24437),(245,360,0.108261,-0.199983),(235,360,0.105077,0.28851),(225,360,0.0853906,0.82123),(215,360,0.0800475,1.6386),(205,360,0.091096,2.37821),(195,360,0.104983,3.06598),(185,360,0.119903,3.51157),(175,360,0.122049,3.9199),(165,360,0.124195,3.91785),(155,360,0.121951,3.90408),(145,360,0.119449,3.89202),(135,360,0.114992,3.88013),(125,360,0.11029,3.86922),(115,360,0.104226,3.85848),(105,360,0.097891,3.84881),(95,360,0.0904981,3.8394),(85,360,0.082803,3.83117),(75,360,0.0743016,3.82333),(65,360,0.0654901,3.81673),(55,360,0.0561118,3.81067),(45,360,0.04645,3.80586),(35,360,0.0364348,3.80173),(25,360,0.0261948,3.7988),(15,360,0.0216436,3.79672),(5,360,0,3.79573),(595,350,0.000175536,-0.00072724),(585,350,0.000183525,-0.000731718),(575,350,0.000191513,-0.000736788),(565,350,0.000200371,-0.000741859),(555,350,0.00020923,-0.000747703),(545,350,0.000219084,-0.000753548),(535,350,0.000228938,-0.000760207),(525,350,0.000239993,-0.000766866),(515,350,0.000251047,-0.000774366),(505,350,0.000263095,-0.000781866),(495,350,0.000275143,-0.000790393),(485,350,0.00028872,-0.000798921),(475,350,0.000302297,-0.000808524),(465,350,0.000317719,-0.000818127),(455,350,0.000333141,-0.000828781),(445,350,0.000351004,-0.000839434),(435,350,0.000368866,-0.000851001),(425,350,0.000390315,-0.000862569),(415,350,0.000411764,-0.000874826),(405,350,0.00043862,-0.000887083),(395,350,0.000465475,-0.877161),(385,350,0.00610906,-1.75344),(375,350,0.0117526,-1.79341),(365,350,0.0165591,-1.80241),(355,350,0.0213012,-1.80301),(345,350,0.0265987,-1.80261),(335,350,0.0319887,-1.80352),(325,350,0.0380507,-1.80472),(315,350,0.044296,-1.80642),(305,350,0.0521428,-1.8083),(295,350,0.0606301,-1.81079),(285,350,0.07057,-1.81356),(275,350,0.0813169,-1.81392),(265,350,0.0968445,-1.81273),(255,350,0.115958,-1.25025),(245,350,0.12675,-0.201323),(235,350,0.118101,0.328689),(225,350,0.064972,0.876911),(215,350,0.0431518,1.6447),(205,350,0.0571129,2.365),(195,350,0.0769501,3.05365),(185,350,0.0989241,3.50467),(175,350,0.104825,3.91914),(165,350,0.110726,3.92163),(155,350,0.1094,3.91235),(145,350,0.107648,3.90212),(135,350,0.103746,3.8918),(125,350,0.0995753,3.88199),(115,350,0.0941309,3.87227),(105,350,0.0884318,3.86347),(95,350,0.0817698,3.85489),(85,350,0.0748327,3.84737),(75,350,0.0671616,3.84021),(65,350,0.0592083,3.83418),(55,350,0.0507372,3.82865),(45,350,0.0420074,3.82424),(35,350,0.0329539,3.82047),(25,350,0.0236945,3.81779),(15,350,0.0195792,3.81588),(5,350,0,3.81498),(595,340,0.000170839,-0.000732279),(585,340,0.000178523,-0.000737),(575,340,0.000186207,-0.000742328),(565,340,0.000194655,-0.000747656),(555,340,0.000203104,-0.000753811),(545,340,0.000212501,-0.000759966),(535,340,0.000221898,-0.000767039),(525,340,0.000232485,-0.000774112),(515,340,0.000243073,-0.00078214),(505,340,0.000254534,-0.000790168),(495,340,0.000265996,-0.00079939),(485,340,0.000278909,-0.000808613),(475,340,0.000291823,-0.000819187),(465,340,0.000306544,-0.00082976),(455,340,0.000321266,-0.000841785),(445,340,0.000338364,-0.00085381),(435,340,0.000355461,-0.000867432),(425,340,0.000376067,-0.000881055),(415,340,0.000396672,-0.000896478),(405,340,0.000422509,-0.0009119),(395,340,0.000448345,-0.879343),(385,340,0.00588076,-1.75777),(375,340,0.0113132,-1.79758),(365,340,0.0158373,-1.80632),(355,340,0.0202915,-1.80687),(345,340,0.0252491,-1.80643),(335,340,0.0302906,-1.80703),(325,340,0.0360956,-1.80785),(315,340,0.0421088,-1.8093),(305,340,0.0494874,-1.81095),(295,340,0.0574123,-1.81375),(285,340,0.0667312,-1.81708),(275,340,0.0768245,-1.81909),(265,340,0.0917653,-1.82025),(255,340,0.110342,-1.25634),(245,340,0.120698,-0.202715),(235,340,0.120263,0.362603),(225,340,0.109549,0.92457),(215,340,0.101086,1.65218),(205,340,0.095194,2.35531),(195,340,0.104069,3.04211),(185,340,0.118315,3.49916),(175,340,0.112207,3.92087),(165,340,0.106098,3.92687),(155,340,0.102437,3.92098),(145,340,0.0989189,3.91228),(135,340,0.0948697,3.90333),(125,340,0.0907542,3.89455),(115,340,0.0857107,3.8858),(105,340,0.0804816,3.87784),(95,340,0.0744116,3.87007),(85,340,0.0681013,3.86325),(75,340,0.0611253,3.85676),(65,340,0.0538933,3.85128),(55,340,0.0461874,3.84626),(45,340,0.0382445,3.84226),(35,340,0.0300045,3.83883),(25,340,0.0215754,3.83639),(15,340,0.0178291,3.83466),(5,340,0,3.83384),(595,330,0.000166095,-0.000736969),(585,330,0.000173473,-0.000741901),(575,330,0.00018085,-0.000747458),(565,330,0.000188886,-0.000753015),(555,330,0.000196922,-0.000759424),(545,330,0.000205852,-0.000765834),(535,330,0.000214782,-0.000773252),(525,330,0.000224887,-0.00078067),(515,330,0.000234992,-0.000789177),(505,330,0.00024585,-0.000797685),(495,330,0.000256708,-0.000807543),(485,330,0.000268929,-0.000817402),(475,330,0.00028115,-0.000828876),(465,330,0.000295125,-0.000840351),(455,330,0.0003091,-0.000853695),(445,330,0.000325361,-0.000867039),(435,330,0.000341621,-0.000882637),(425,330,0.000361276,-0.000898235),(415,330,0.000380931,-0.000916599),(405,330,0.000405596,-0.000934963),(395,330,0.000430262,-0.882127),(385,330,0.00562305,-1.76332),(375,330,0.0108158,-1.80292),(365,330,0.0150461,-1.81135),(355,330,0.0192023,-1.81186),(345,330,0.0238101,-1.81143),(335,330,0.0284933,-1.81178),(325,330,0.0340207,-1.81231),(315,330,0.0397784,-1.81346),(305,330,0.0466283,-1.81481),(295,330,0.053915,-1.81774),(285,330,0.062398,-1.82141),(275,330,0.0715455,-1.82545),(265,330,0.0850162,-1.82972),(255,330,0.101729,-1.26408),(245,330,0.110929,-0.20451),(235,330,0.117592,0.347505),(225,330,0.144166,0.909468),(215,330,0.148372,1.67047),(205,330,0.127013,2.3731),(195,330,0.12507,3.03683),(185,330,0.130188,3.50454),(175,330,0.115169,3.9421),(165,330,0.10015,3.94348),(155,330,0.0948259,3.93239),(145,330,0.090072,3.92301),(135,330,0.0860136,3.91379),(125,330,0.0820422,3.90546),(115,330,0.0774211,3.89727),(105,330,0.0726701,3.88993),(95,330,0.0671871,3.88279),(85,330,0.0614949,3.87655),(75,330,0.0552021,3.87062),(65,330,0.0486782,3.86561),(55,330,0.0417232,3.86102),(45,330,0.0345524,3.85736),(35,330,0.0271106,3.85423),(25,330,0.0194961,3.85201),(15,330,0.0161119,3.85042),(5,330,0,3.84967),(595,320,0.000160974,-0.000741602),(585,320,0.000168031,-0.000746741),(575,320,0.000175088,-0.000752522),(565,320,0.000182686,-0.000758304),(555,320,0.000190284,-0.000764963),(545,320,0.000198671,-0.000771623),(535,320,0.000207058,-0.000779375),(525,320,0.000216556,-0.000787126),(515,320,0.000226055,-0.000796103),(505,320,0.000236169,-0.000805079),(495,320,0.000246283,-0.00081556),(485,320,0.000257577,-0.000826041),(475,320,0.000268871,-0.000838396),(465,320,0.000281724,-0.000850752),(455,320,0.000294578,-0.000865385),(445,320,0.000309419,-0.000880019),(435,320,0.00032426,-0.000897549),(425,320,0.0003421,-0.000915079),(415,320,0.000359939,-0.000936316),(405,320,0.0003822,-0.000957552),(395,320,0.000404461,-0.884902),(385,320,0.0051274,-1.76885),(375,320,0.00985034,-1.80826),(365,320,0.0136942,-1.8164),(355,320,0.0174704,-1.81688),(345,320,0.0216483,-1.81644),(335,320,0.0258932,-1.81656),(325,320,0.0309771,-1.81681),(315,320,0.0362897,-1.81764),(305,320,0.0421198,-1.81867),(295,320,0.0481568,-1.82159),(285,320,0.0540654,-1.8254),(275,320,0.0599026,-1.83086),(265,320,0.064756,-1.8374),(255,320,0.0688715,-1.27025),(245,320,0.0710837,-0.20591),(235,320,0.0758086,0.333061),(225,320,0.098197,0.894304),(215,320,0.109509,1.68551),(205,320,0.108163,2.39009),(195,320,0.0965673,3.03691),(185,320,0.0812444,3.51175),(175,320,0.0823815,3.96013),(165,320,0.0835187,3.95797),(155,320,0.081974,3.94294),(145,320,0.0802715,3.93319),(135,320,0.0773205,3.92391),(125,320,0.0742136,3.91608),(115,320,0.0701892,3.90849),(105,320,0.0659815,3.90177),(95,320,0.061045,3.89527),(85,320,0.0559004,3.8896),(75,320,0.0501942,3.88421),(65,320,0.044272,3.87967),(55,320,0.0379521,3.8755),(45,320,0.0314334,3.87218),(35,320,0.0246656,3.86934),(25,320,0.0177393,3.86732),(15,320,0.0146609,3.86588),(5,320,0,3.8652),(595,310,0.00015582,-0.000745767),(585,310,0.000162553,-0.000751062),(575,310,0.000169286,-0.000757039),(565,310,0.000176445,-0.000763017),(555,310,0.000183603,-0.000769881),(545,310,0.000191443,-0.000776745),(535,310,0.000199283,-0.000784743),(525,310,0.000208162,-0.000792741),(515,310,0.000217041,-0.00080209),(505,310,0.000226395,-0.000811438),(495,310,0.00023575,-0.000822434),(485,310,0.000246098,-0.000833431),(475,310,0.000256445,-0.000846496),(465,310,0.000268142,-0.00085956),(455,310,0.000279839,-0.000875237),(445,310,0.000293206,-0.000890914),(435,310,0.000306572,-0.000910018),(425,310,0.000322523,-0.000929122),(415,310,0.000338473,-0.00095265),(405,310,0.000358246,-0.000976178),(395,310,0.000378019,-0.887597),(385,310,0.00460534,-1.77422),(375,310,0.00883267,-1.81357),(365,310,0.0122863,-1.82154),(355,310,0.0156805,-1.82203),(345,310,0.0194294,-1.82161),(335,310,0.0232375,-1.82161),(325,310,0.0278857,-1.82169),(315,310,0.032763,-1.82205),(305,310,0.0376637,-1.8225),(295,310,0.0425737,-1.8242),(285,310,0.0462857,-1.82649),(275,310,0.049332,-1.82837),(265,310,0.0470829,-1.83),(255,310,0.0408621,-1.26328),(245,310,0.0373431,-0.204008),(235,310,0.0401238,0.324091),(225,310,0.0572966,0.878609),(215,310,0.07386,1.67344),(205,310,0.0897269,2.40031),(195,310,0.0709681,3.08189),(185,310,0.0396181,3.53428),(175,310,0.0540165,3.95142),(165,310,0.0684148,3.9548),(155,310,0.0700262,3.94636),(145,310,0.0708854,3.93875),(135,310,0.0689068,3.93121),(125,310,0.0665735,3.92434),(115,310,0.0631113,3.91758),(105,310,0.0594233,3.91151),(95,310,0.0550184,3.90562),(85,310,0.0504086,3.90046),(75,310,0.0452772,3.89554),(65,310,0.0399452,3.8914),(55,310,0.0342488,3.8876),(45,310,0.0283702,3.88457),(35,310,0.0222643,3.88198),(25,310,0.0160138,3.88013),(15,310,0.0132358,3.87882),(5,310,0,3.8782),(595,300,0.000150385,-0.000749867),(585,300,0.000156761,-0.000755311),(575,300,0.000163137,-0.000761478),(565,300,0.000169847,-0.000767644),(555,300,0.000176556,-0.000774706),(545,300,0.000183812,-0.000781769),(535,300,0.000191068,-0.000790002),(525,300,0.000199213,-0.000798236),(515,300,0.000207359,-0.000807939),(505,300,0.000215822,-0.000817641),(495,300,0.000224286,-0.000829131),(485,300,0.000233515,-0.000840621),(475,300,0.000242744,-0.000854366),(465,300,0.000252984,-0.00086811),(455,300,0.000263223,-0.000884785),(445,300,0.00027464,-0.00090146),(435,300,0.000286057,-0.000922072),(425,300,0.000299471,-0.000942684),(415,300,0.000312885,-0.000968421),(405,300,0.000329447,-0.000994157),(395,300,0.00034601,-0.890184),(385,300,0.00385417,-1.77937),(375,300,0.00736233,-1.8187),(365,300,0.0103933,-1.82655),(355,300,0.0133875,-1.82705),(345,300,0.0167155,-1.82667),(335,300,0.0200992,-1.82657),(325,300,0.0243801,-1.82653),(315,300,0.0289058,-1.82649),(305,300,0.0336623,-1.82644),(295,300,0.038511,-1.82706),(285,300,0.0433046,-1.82799),(275,300,0.0480675,-1.82678),(265,300,0.05186,-1.8242),(255,300,0.0549247,-1.25769),(245,300,0.0565711,-0.20245),(235,300,0.0573582,0.316627),(225,300,0.0603812,0.865369),(215,300,0.0660935,1.66267),(205,300,0.0748792,2.40873),(195,300,0.0705662,3.12063),(185,300,0.0614901,3.55402),(175,300,0.064028,3.94457),(165,300,0.0665659,3.95278),(155,300,0.0659241,3.95007),(145,300,0.0650952,3.94438),(135,300,0.0629169,3.93843),(125,300,0.0605699,3.93247),(115,300,0.0573689,3.92652),(105,300,0.0539971,3.92108),(95,300,0.0499932,3.91578),(85,300,0.0458088,3.91112),(75,300,0.0411498,3.90667),(65,300,0.0363082,3.90293),(55,300,0.0311333,3.89948),(45,300,0.0257917,3.89674),(35,300,0.0202422,3.89439),(25,300,0.0145605,3.89272),(15,300,0.0120353,3.89153),(5,300,0,3.89096),(595,290,0.000144934,-0.000753382),(585,290,0.000150948,-0.000758909),(575,290,0.000156963,-0.000765203),(565,290,0.000163222,-0.000771496),(555,290,0.000169481,-0.000778702),(545,290,0.000176153,-0.000785908),(535,290,0.000182825,-0.000794281),(525,290,0.000190232,-0.000802653),(515,290,0.000197639,-0.000812548),(505,290,0.000205202,-0.000822442),(495,290,0.000212765,-0.00083423),(485,290,0.000220864,-0.000846017),(475,290,0.000228963,-0.000860174),(465,290,0.000237727,-0.000874331),(455,290,0.000246491,-0.000891601),(445,290,0.000255927,-0.000908871),(435,290,0.000265363,-0.0009304),(425,290,0.000276188,-0.00095193),(415,290,0.000287013,-0.000979121),(405,290,0.000300289,-0.00100631),(395,290,0.000313565,-0.891796),(385,290,0.00310367,-1.78259),(375,290,0.00589377,-1.8222),(365,290,0.00850868,-1.83029),(355,290,0.0111101,-1.83095),(345,290,0.0140252,-1.83071),(335,290,0.0169925,-1.83079),(325,290,0.0209033,-1.83094),(315,290,0.0250712,-1.83111),(305,290,0.0296636,-1.83128),(295,290,0.0344258,-1.83208),(285,290,0.0401903,-1.83317),(275,290,0.0465118,-1.83331),(265,290,0.0557202,-1.83284),(255,290,0.0670938,-1.26449),(245,290,0.0733482,-0.203984),(235,290,0.0721522,0.322717),(225,290,0.0616312,0.874221),(215,290,0.056722,1.66373),(205,290,0.0582263,2.40093),(195,290,0.0676177,3.10324),(185,290,0.0798771,3.54862),(175,290,0.0720559,3.95447),(165,290,0.0642346,3.9611),(155,290,0.0616271,3.95633),(145,290,0.0593263,3.95069),(135,290,0.056995,3.94497),(125,290,0.0546599,3.93948),(115,290,0.0517219,3.93403),(105,290,0.0486633,3.92908),(95,290,0.0450541,3.92424),(85,290,0.0412876,3.92),(75,290,0.0370926,3.91595),(65,290,0.0327329,3.91253),(55,290,0.0280705,3.90939),(45,290,0.0232567,3.90689),(35,290,0.0182541,3.90474),(25,290,0.0131316,3.90322),(15,290,0.0108548,3.90213),(5,290,0,3.90162),(595,280,0.000139329,-0.000756851),(585,280,0.000144939,-0.000762455),(575,280,0.000150549,-0.000768865),(565,280,0.000156346,-0.000775276),(555,280,0.000162143,-0.000782616),(545,280,0.000168234,-0.000789956),(535,280,0.000174324,-0.000798455),(525,280,0.000180947,-0.000806953),(515,280,0.000187571,-0.000817019),(505,280,0.00019414,-0.000827085),(495,280,0.00020071,-0.000839139),(485,280,0.000207571,-0.000851193),(475,280,0.000214431,-0.000865723),(465,280,0.000221556,-0.000880252),(455,280,0.000228682,-0.000898061),(445,280,0.00023584,-0.000915871),(435,280,0.000242998,-0.000938236),(425,280,0.00025075,-0.000960601),(415,280,0.000258501,-0.000989133),(405,280,0.000267774,-0.00101766),(395,280,0.000277047,-0.893279),(385,280,0.00235942,-1.78554),(375,280,0.00444179,-1.82547),(365,280,0.00670328,-1.83383),(355,280,0.00897854,-1.83465),(345,280,0.0115554,-1.83457),(335,280,0.0141824,-1.83485),(325,280,0.0176946,-1.83521),(315,280,0.021448,-1.83563),(305,280,0.0256917,-1.83607),(295,280,0.0301313,-1.8371),(285,280,0.0358325,-1.83841),(275,280,0.0422344,-1.83988),(265,280,0.0510112,-1.84144),(255,280,0.0615692,-1.27123),(245,280,0.0672225,-0.205467),(235,280,0.0641407,0.329599),(225,280,0.0457371,0.884463),(215,280,0.032353,1.66623),(205,280,0.0247053,2.3937),(195,280,0.0408716,3.08498),(185,280,0.0656976,3.54236),(175,280,0.0615461,3.96375),(165,280,0.0573946,3.96903),(155,280,0.0555092,3.96242),(145,280,0.0537571,3.95686),(135,280,0.0517096,3.95139),(125,280,0.0496253,3.94637),(115,280,0.046967,3.94142),(105,280,0.0441939,3.93693),(95,280,0.0409187,3.93256),(85,280,0.0375001,3.92873),(75,280,0.0336918,3.92507),(65,280,0.0297336,3.92197),(55,280,0.0254996,3.91913),(45,280,0.0211277,3.91686),(35,280,0.0165839,3.91492),(25,280,0.0119307,3.91354),(15,280,0.00986266,3.91256),(5,280,0,3.91209),(595,270,0.000133724,-0.000759883),(585,270,0.000138927,-0.000765487),(575,270,0.000144131,-0.000771923),(565,270,0.000149465,-0.000778358),(555,270,0.000154799,-0.000785734),(545,270,0.00016031,-0.00079311),(535,270,0.000165822,-0.000801616),(525,270,0.000171665,-0.000810122),(515,270,0.000177508,-0.000820156),(505,270,0.000183085,-0.00083019),(495,270,0.000188662,-0.00084221),(485,270,0.000194282,-0.000854229),(475,270,0.000199902,-0.000868742),(465,270,0.000205388,-0.000883254),(455,270,0.000210873,-0.000901063),(445,270,0.000215749,-0.000918871),(435,270,0.000220625,-0.000941284),(425,270,0.000225286,-0.000963697),(415,270,0.000229947,-0.000992463),(405,270,0.000235166,-0.00102123),(395,270,0.000240384,-0.893512),(385,270,0.00162599,-1.786),(375,270,0.0030116,-1.82645),(365,270,0.00491927,-1.83534),(355,270,0.00686709,-1.83644),(345,270,0.00911917,-1.8366),(335,270,0.011422,-1.8373),(325,270,0.0145427,-1.83811),(315,270,0.0178864,-1.83923),(305,270,0.0217505,-1.84045),(295,270,0.0258227,-1.84219),(285,270,0.0313524,-1.84418),(275,270,0.0376917,-1.84678),(265,270,0.0458797,-1.84978),(255,270,0.0554542,-1.27743),(245,270,0.0604388,-0.206457),(235,270,0.056175,0.344187),(225,270,0.0332778,0.908211),(215,270,0.014127,1.68264),(205,270,-0.000742198,2.39209),(195,270,0.0191792,3.0582),(185,270,0.0517518,3.52776),(175,270,0.0511825,3.96709),(165,270,0.0506132,3.97315),(155,270,0.0494559,3.96684),(145,270,0.048264,3.9617),(135,270,0.0465023,3.95666),(125,270,0.0446693,3.95207),(115,270,0.0422872,3.94755),(105,270,0.0397953,3.94347),(95,270,0.0368488,3.93948),(85,270,0.0337724,3.93598),(75,270,0.0303445,3.93265),(65,270,0.0267814,3.92982),(55,270,0.0229691,3.92723),(45,270,0.0190321,3.92516),(35,270,0.0149398,3.92339),(25,270,0.0107487,3.92213),(15,270,0.00888599,3.92123),(5,270,0,3.92081),(595,260,0.000128119,-0.000762883),(585,260,0.000132896,-0.000768484),(575,260,0.000137673,-0.000774936),(565,260,0.000142532,-0.000781387),(555,260,0.00014739,-0.000788787),(545,260,0.00015235,-0.000796187),(535,260,0.00015731,-0.000804687),(525,260,0.000162407,-0.000813187),(515,260,0.000167503,-0.000823172),(505,260,0.000172087,-0.000833156),(495,260,0.000176671,-0.000845114),(485,260,0.000181039,-0.000857071),(475,260,0.000185406,-0.000871526),(465,260,0.000189236,-0.000885981),(455,260,0.000193065,-0.000903733),(445,260,0.000195617,-0.000921486),(435,260,0.000198168,-0.000943868),(425,260,0.000199567,-0.000966249),(415,260,0.000200966,-0.00099513),(405,260,0.000201612,-0.00102401),(395,260,0.000202258,-0.893711),(385,260,0.001002,-1.7864),(375,260,0.00180175,-1.82735),(365,260,0.00335161,-1.83676),(355,260,0.00495917,-1.83815),(345,260,0.00702312,-1.83857),(335,260,0.00916313,-1.83966),(325,260,0.011965,-1.84091),(315,260,0.0149473,-1.8427),(305,260,0.018121,-1.84468),(295,260,0.0213712,-1.8471),(285,260,0.0256365,-1.84972),(275,260,0.0304658,-1.85338),(265,260,0.036475,-1.85772),(255,260,0.0433693,-1.28334),(245,260,0.0470016,-0.207406),(235,260,0.0486729,0.355939),(225,260,0.0555484,0.92761),(215,260,0.0580149,1.69685),(205,260,0.0554427,2.39181),(195,260,0.048585,3.03725),(185,260,0.0401689,3.51641),(175,260,0.0422961,3.96998),(165,260,0.0444234,3.97691),(155,260,0.0440554,3.97108),(145,260,0.0435407,3.9664),(135,260,0.0420833,3.96182),(125,260,0.040508,3.95767),(115,260,0.0383676,3.95359),(105,260,0.036114,3.94989),(95,260,0.0334418,3.94629),(85,260,0.0306499,3.94313),(75,260,0.0275392,3.9401),(65,260,0.024306,3.93755),(55,260,0.0208465,3.9352),(45,260,0.0172739,3.93333),(35,260,0.0135601,3.93173),(25,260,0.00975665,3.93058),(15,260,0.00806621,3.92977),(5,260,0,3.92939),(595,250,0.00012252,-0.000765548),(585,250,0.000126875,-0.000771112),(575,250,0.00013123,-0.000777484),(565,250,0.000135614,-0.000783856),(555,250,0.000139998,-0.000791155),(545,250,0.00014441,-0.000798454),(535,250,0.000148822,-0.000806812),(525,250,0.00015318,-0.000815169),(515,250,0.000157538,-0.000824917),(505,250,0.00016114,-0.000834664),(495,250,0.000164741,-0.000846262),(485,250,0.000167866,-0.00085786),(475,250,0.000170991,-0.000871829),(465,250,0.000173178,-0.000885797),(455,250,0.000175364,-0.000902914),(445,250,0.00017561,-0.00092003),(435,250,0.000175856,-0.000941552),(425,250,0.000174018,-0.000963074),(415,250,0.000172179,-0.000990797),(405,250,0.000168278,-0.00101852),(395,250,0.000164376,-0.893555),(385,250,0.000395109,-1.78609),(375,250,0.000625842,-1.82751),(365,250,0.00180981,-1.83741),(355,250,0.00306711,-1.83909),(345,250,0.00494792,-1.83978),(335,250,0.00693264,-1.84116),(325,250,0.00943645,-1.8427),(315,250,0.0120818,-1.84493),(305,250,0.0145938,-1.84739),(295,250,0.0170524,-1.85007),(285,250,0.0200803,-1.85285),(275,250,0.0234244,-1.85678),(265,250,0.0272054,-1.86147),(255,250,0.0313139,-1.28607),(245,250,0.0335207,-0.207924),(235,250,0.0403849,0.337816),(225,250,0.0734853,0.901188),(215,250,0.095277,1.68773),(205,250,0.104144,2.40557),(195,250,0.074167,3.07761),(185,250,0.0300641,3.53915),(175,250,0.0343648,3.9683),(165,250,0.0386656,3.9769),(155,250,0.0389331,3.97347),(145,250,0.0389634,3.96971),(135,250,0.0377693,3.96592),(125,250,0.036422,3.96224),(115,250,0.0345114,3.95857),(105,250,0.0324881,3.95522),(95,250,0.0300846,3.95194),(85,250,0.0275724,3.94905),(75,250,0.0247743,3.94629),(65,250,0.0218663,3.94396),(55,250,0.0187545,3.94181),(45,250,0.015541,3.9401),(35,250,0.0122004,3.93864),(25,250,0.0087789,3.93759),(15,250,0.00725826,3.93685),(5,250,0,3.9365),(595,240,0.000116992,-0.000768162),(585,240,0.000120964,-0.000773688),(575,240,0.000124936,-0.000779976),(565,240,0.000128864,-0.000786264),(555,240,0.000132793,-0.000793453),(545,240,0.000136696,-0.000800642),(535,240,0.000140599,-0.000808846),(525,240,0.000144304,-0.000817049),(515,240,0.000148009,-0.000826547),(505,240,0.000150741,-0.000836045),(495,240,0.000153473,-0.000847265),(485,240,0.000155471,-0.000858485),(475,240,0.00015747,-0.000871938),(465,240,0.000158151,-0.00088539),(455,240,0.000158832,-0.000901827),(445,240,0.000156982,-0.000918264),(435,240,0.000155131,-0.000938863),(425,240,0.000150327,-0.000959462),(415,240,0.000145522,-0.000985939),(405,240,0.000137351,-0.00101242),(395,240,0.00012918,-0.893462),(385,240,-2.37117e-05,-1.78591),(375,240,-0.000176603,-1.8278),(365,240,0.000552581,-1.83818),(355,240,0.00134962,-1.84017),(345,240,0.00310209,-1.84114),(335,240,0.0050138,-1.84279),(325,240,0.00744849,-1.84458),(315,240,0.0100258,-1.8472),(305,240,0.0121918,-1.8501),(295,240,0.0141932,-1.85297),(285,240,0.0162796,-1.85584),(275,240,0.0184131,-1.85989),(265,240,0.0194207,-1.86471),(255,240,0.0195836,-1.28836),(245,240,0.0195596,-0.208333),(235,240,0.0234511,0.320787),(225,240,0.0437524,0.876184),(215,240,0.0596554,1.67857),(205,240,0.0705319,2.41791),(195,240,0.0576882,3.1152),(185,240,0.0362189,3.56057),(175,240,0.0369392,3.96719),(165,240,0.0376595,3.97726),(155,240,0.0368703,3.976),(145,240,0.0359922,3.97307),(135,240,0.0346093,3.97),(125,240,0.0331632,3.96676),(115,240,0.0313534,3.9635),(105,240,0.0294707,3.96047),(95,240,0.0272757,3.9575),(85,240,0.0249913,3.95488),(75,240,0.0224534,3.95238),(65,240,0.0198181,3.95027),(55,240,0.0169984,3.94832),(45,240,0.0140866,3.94677),(35,240,0.0110593,3.94545),(25,240,0.00795854,3.9445),(15,240,0.00658044,3.94383),(5,240,0,3.94351),(595,230,0.000111472,-0.000770192),(585,230,0.000115067,-0.000775662),(575,230,0.000118663,-0.000781812),(565,230,0.000122142,-0.000787962),(555,230,0.000125621,-0.000794938),(545,230,0.00012902,-0.000801913),(535,230,0.000132419,-0.000809833),(525,230,0.000135479,-0.000817754),(515,230,0.000138539,-0.000826858),(505,230,0.000140417,-0.000835962),(495,230,0.000142294,-0.000846594),(485,230,0.000143188,-0.000857225),(475,230,0.000144081,-0.000869819),(465,230,0.000143282,-0.000882413),(455,230,0.000142483,-0.000897663),(445,230,0.00013857,-0.000912913),(435,230,0.000134657,-0.000931873),(425,230,0.000126936,-0.000950834),(415,230,0.000119215,-0.000975037),(405,230,0.000106845,-0.00099924),(395,230,9.4474e-05,-0.894092),(385,230,-0.000410613,-1.78719),(375,230,-0.0009157,-1.82952),(365,230,-0.00063262,-1.84035),(355,230,-0.000288911,-1.84276),(345,230,0.0013222,-1.84414),(335,230,0.00314454,-1.84582),(325,230,0.00551742,-1.84756),(315,230,0.00804043,-1.85002),(305,230,0.00990904,-1.85272),(295,230,0.0115159,-1.85506),(285,230,0.0128025,-1.85723),(275,230,0.0139111,-1.85962),(265,230,0.0126748,-1.86214),(255,230,0.00967985,-1.2857),(245,230,0.00786591,-0.207491),(235,230,0.00889563,0.316344),(225,230,0.0165757,0.867495),(215,230,0.0263763,1.66894),(205,230,0.0386003,2.41376),(195,230,0.0420258,3.12083),(185,230,0.042252,3.56682),(175,230,0.0394004,3.97265),(165,230,0.0365487,3.98204),(155,230,0.0347455,3.9801),(145,230,0.033004,3.97705),(135,230,0.0314534,3.97389),(125,230,0.0299266,3.97078),(115,230,0.028224,3.96769),(105,230,0.0264863,3.96487),(95,230,0.0244997,3.96212),(85,230,0.0224421,3.95971),(75,230,0.0201621,3.95742),(65,230,0.0177965,3.95548),(55,230,0.0152653,3.9537),(45,230,0.0126513,3.95228),(35,230,0.00993324,3.95107),(25,230,0.00714901,3.95021),(15,230,0.00591158,3.94959),(5,230,0,3.9493),(595,220,0.000106053,-0.000772186),(585,220,0.000109347,-0.000777599),(575,220,0.000112641,-0.000783609),(565,220,0.000115742,-0.00078962),(555,220,0.000118843,-0.000796378),(545,220,0.000121802,-0.000803136),(535,220,0.000124761,-0.000810764),(525,220,0.000127281,-0.000818392),(515,220,0.0001298,-0.000827092),(505,220,0.000131004,-0.000835792),(495,220,0.000132208,-0.00084582),(485,220,0.000132246,-0.000855848),(475,220,0.000132283,-0.000867561),(465,220,0.000130308,-0.000879274),(455,220,0.000128333,-0.000893302),(445,220,0.000122774,-0.000907329),(435,220,0.000117215,-0.0009246),(425,220,0.000107167,-0.00094187),(415,220,9.71194e-05,-0.000963728),(405,220,8.14005e-05,-0.000985585),(395,220,6.56816e-05,-0.894746),(385,220,-0.000413093,-1.78851),(375,220,-0.000891869,-1.83129),(365,220,-0.000950323,-1.84255),(355,220,-0.000976445,-1.84539),(345,220,0.000336418,-1.84721),(335,220,0.00187244,-1.84893),(325,220,0.00427143,-1.85064),(315,220,0.00690576,-1.85295),(305,220,0.00906308,-1.85546),(295,220,0.0110296,-1.85728),(285,220,0.013223,-1.85878),(275,220,0.0155425,-1.8597),(265,220,0.0184408,-1.86024),(255,220,0.0217733,-1.28362),(245,220,0.0234789,-0.206806),(235,220,0.0229825,0.312594),(225,220,0.0201858,0.860012),(215,220,0.0213088,1.6602),(205,220,0.0269116,2.40955),(195,220,0.0361955,3.12499),(185,220,0.0468181,3.57237),(175,220,0.040497,3.97852),(165,220,0.0341759,3.98705),(155,220,0.0318758,3.98422),(145,220,0.0298123,3.98099),(135,220,0.0283471,3.97773),(125,220,0.0269568,3.97475),(115,220,0.02544,3.97181),(105,220,0.0238979,3.9692),(95,220,0.0221214,3.96667),(85,220,0.0202779,3.96447),(75,220,0.018226,3.96238),(65,220,0.016094,3.96062),(55,220,0.0138085,3.959),(45,220,0.0114463,3.95772),(35,220,0.00898849,3.95662),(25,220,0.00646996,3.95583),(15,220,0.00535061,3.95527),(5,220,0,3.95501),(595,210,0.000100645,-0.000773723),(585,210,0.000103643,-0.000779057),(575,210,0.000106641,-0.00078491),(565,210,0.000109372,-0.000790762),(555,210,0.000112103,-0.000797249),(545,210,0.000114631,-0.000803736),(535,210,0.000117159,-0.000810969),(525,210,0.000119148,-0.000818202),(515,210,0.000121137,-0.000826358),(505,210,0.000121685,-0.000834514),(495,210,0.000122233,-0.000843751),(485,210,0.00012144,-0.000852989),(475,210,0.000120648,-0.000863538),(465,210,0.000117533,-0.000874088),(455,210,0.000114417,-0.00088645),(445,210,0.000107259,-0.000898813),(435,210,0.000100102,-0.00091374),(425,210,8.77906e-05,-0.000928667),(415,210,7.54797e-05,-0.000947277),(405,210,5.64903e-05,-0.000965887),(395,210,3.7501e-05,-0.895683),(385,210,-0.000389103,-1.7904),(375,210,-0.000815706,-1.83353),(365,210,-0.00118842,-1.84512),(355,210,-0.00155698,-1.84857),(345,210,-0.0005481,-1.85106),(335,210,0.000690356,-1.85307),(325,210,0.0031098,-1.85497),(315,210,0.00585133,-1.85718),(305,210,0.00828377,-1.8595),(295,210,0.0105926,-1.86111),(285,210,0.0135865,-1.8624),(275,210,0.0169611,-1.86435),(265,210,0.0234695,-1.86674),(255,210,0.0323282,-1.28886),(245,210,0.037113,-0.20809),(235,210,0.0351793,0.317599),(225,210,0.0226678,0.867774),(215,210,0.0153586,1.66283),(205,210,0.0139948,2.40448),(195,210,0.0284788,3.11053),(185,210,0.0487256,3.56908),(175,210,0.0399837,3.98956),(165,210,0.0312418,3.99501),(155,210,0.0287034,3.9886),(145,210,0.02653,3.98464),(135,210,0.0252097,3.9809),(125,210,0.0239962,3.97795),(115,210,0.0226766,3.97513),(105,210,0.0213358,3.9727),(95,210,0.0197697,3.97036),(85,210,0.0181392,3.96834),(75,210,0.0163133,3.96643),(65,210,0.0144122,3.96482),(55,210,0.0123694,3.96335),(45,210,0.0102559,3.96218),(35,210,0.00805524,3.96117),(25,210,0.00579916,3.96046),(15,210,0.00479646,3.95995),(5,210,0,3.95971),(595,200,9.5383e-05,-0.000775247),(585,200,9.81565e-05,-0.000780501),(575,200,0.00010093,-0.000786196),(565,200,0.000103399,-0.000791892),(555,200,0.000105869,-0.000798108),(545,200,0.000108081,-0.000804324),(535,200,0.000110292,-0.000811159),(525,200,0.000111892,-0.000817994),(515,200,0.000113492,-0.000825599),(505,200,0.000113613,-0.000833205),(495,200,0.000113734,-0.000841642),(485,200,0.000112459,-0.000850078),(475,200,0.000111185,-0.000859449),(465,200,0.000107397,-0.00086882),(455,200,0.000103608,-0.000879495),(445,200,9.5483e-05,-0.00089017),(435,200,8.73575e-05,-0.000902716),(425,200,7.3628e-05,-0.000915263),(415,200,5.98985e-05,-0.000930565),(405,200,3.86736e-05,-0.000945866),(395,200,1.74487e-05,-0.896579),(385,200,-1.34243e-05,-1.79221),(375,200,-4.42972e-05,-1.83565),(365,200,-0.000368843,-1.84753),(355,200,-0.00071598,-1.8516),(345,200,-8.72572e-05,-1.85473),(335,200,0.000704109,-1.85705),(325,200,0.00306896,-1.85919),(315,200,0.00586295,-1.86133),(305,200,0.00838992,-1.86346),(295,200,0.0108101,-1.86483),(285,200,0.0131924,-1.86583),(275,200,0.0155536,-1.86861),(265,200,0.0187022,-1.87253),(255,200,0.0224415,-1.29349),(245,200,0.0244551,-0.209222),(235,200,0.0222651,0.322876),(225,200,0.010164,0.876114),(215,200,-0.00231857,1.66652),(205,200,-0.0152371,2.40004),(195,200,-0.00429955,3.09563),(185,200,0.0153129,3.56472),(175,200,0.0180821,3.99896),(165,200,0.0208513,4.0019),(155,200,0.0215101,3.99253),(145,200,0.0220447,3.98801),(135,200,0.0216584,3.98393),(125,200,0.021157,3.98105),(115,200,0.0201872,3.97837),(105,200,0.0191236,3.97613),(95,200,0.0177725,3.974),(85,200,0.0163392,3.97217),(75,200,0.0147095,3.97043),(65,200,0.0130043,3.96898),(55,200,0.0111657,3.96764),(45,200,0.00926038,3.96658),(35,200,0.00727474,3.96567),(25,200,0.00523798,3.96502),(15,200,0.00433275,3.96456),(5,200,0,3.96434),(595,190,9.01334e-05,-0.000776588),(585,190,9.26863e-05,-0.000781749),(575,190,9.52392e-05,-0.000787291),(565,190,9.74541e-05,-0.000792833),(555,190,9.9669e-05,-0.000798779),(545,190,0.000101575,-0.000804726),(535,190,0.00010348,-0.000811135),(525,190,0.000104704,-0.000817544),(515,190,0.000105929,-0.000824506),(505,190,0.000105642,-0.000831468),(495,190,0.000105355,-0.000838956),(485,190,0.000103627,-0.000846444),(475,190,0.000101898,-0.000854431),(465,190,9.74762e-05,-0.000862418),(455,190,9.30541e-05,-0.000871089),(445,190,8.40188e-05,-0.00087976),(435,190,7.49835e-05,-0.000889398),(425,190,5.99148e-05,-0.000899037),(415,190,4.48461e-05,-0.00091018),(405,190,2.14891e-05,-0.000921324),(395,190,-1.86797e-06,-0.896892),(385,190,0.000365061,-1.79286),(375,190,0.00073199,-1.83614),(365,190,0.00048273,-1.84784),(355,190,0.000186071,-1.8523),(345,190,0.000458512,-1.85588),(335,190,0.000825804,-1.8589),(325,190,0.00314029,-1.86179),(315,190,0.00598584,-1.86414),(305,190,0.00861539,-1.8663),(295,190,0.0111585,-1.86687),(285,190,0.0129841,-1.86669),(275,190,0.0144109,-1.86727),(265,190,0.0144943,-1.86833),(255,190,0.0135702,-1.28954),(245,190,0.0130679,-0.208212),(235,190,0.010812,0.331945),(225,190,-0.000145787,0.89257),(215,190,-0.0164805,1.68514),(205,190,-0.0389602,2.40441),(195,190,-0.0323998,3.07482),(185,190,-0.0152794,3.54536),(175,190,-0.00202097,3.98516),(165,190,0.0112375,3.99377),(155,190,0.0147981,3.99006),(145,190,0.0177884,3.98746),(135,190,0.0182514,3.98496),(125,190,0.0183985,3.98278),(115,190,0.0177533,3.98064),(105,190,0.0169495,3.97873),(95,190,0.0158049,3.97687),(85,190,0.0145629,3.97523),(75,190,0.0131255,3.97367),(65,190,0.0116129,3.97235),(55,190,0.00997565,3.97114),(45,190,0.00827606,3.97017),(35,190,0.00650293,3.96934),(25,190,0.004683,3.96875),(15,190,0.00387414,3.96833),(5,190,0,3.96813),(595,180,8.50627e-05,-0.00077791),(585,180,8.74546e-05,-0.000782975),(575,180,8.98466e-05,-0.000788363),(565,180,9.19113e-05,-0.000793751),(555,180,9.39761e-05,-0.000799428),(545,180,9.57253e-05,-0.000805106),(535,180,9.74746e-05,-0.000811091),(525,180,9.85213e-05,-0.000817077),(515,180,9.9568e-05,-0.000823397),(505,180,9.91631e-05,-0.000829717),(495,180,9.87582e-05,-0.000836256),(485,180,9.69848e-05,-0.000842796),(475,180,9.52114e-05,-0.000849399),(465,180,9.07396e-05,-0.000856003),(455,180,8.62677e-05,-0.000862668),(445,180,7.7175e-05,-0.000869333),(435,180,6.80823e-05,-0.000876056),(425,180,5.28478e-05,-0.000882778),(415,180,3.76133e-05,-0.00088974),(405,180,1.36545e-05,-0.000896702),(395,180,-1.03043e-05,-0.897183),(385,180,0.000785062,-1.79347),(375,180,0.00158043,-1.83658),(365,180,0.00180758,-1.8481),(355,180,0.00199101,-1.85291),(345,180,0.0022603,-1.85691),(335,180,0.0025439,-1.86062),(325,180,0.00487056,-1.86426),(315,180,0.00775442,-1.86683),(305,180,0.0106054,-1.86904),(295,180,0.0134431,-1.86883),(285,180,0.0155248,-1.86748),(275,180,0.0171863,-1.86593),(265,180,0.0185593,-1.86423),(255,180,0.019716,-1.2857),(245,180,0.0204736,-0.207247),(235,180,0.0209657,0.340237),(225,180,0.0219929,0.907598),(215,180,0.0213468,1.70212),(205,180,0.0187884,2.40908),(195,180,0.00868684,3.05766),(185,180,-0.00415774,3.52854),(175,180,0.00447573,3.97207),(165,180,0.0131092,3.98606),(155,180,0.0152057,3.98777),(145,180,0.0169178,3.98701),(135,180,0.0169783,3.98602),(125,180,0.0168323,3.98451),(115,180,0.0161407,3.9829),(105,180,0.0153399,3.9813),(95,180,0.0142761,3.9797),(85,180,0.013137,3.97826),(75,180,0.0118333,3.97687),(65,180,0.0104662,3.97569),(55,180,0.00898932,3.97459),(45,180,0.00745747,3.97372),(35,180,0.00585964,3.97297),(25,180,0.00421982,3.97244),(15,180,0.00349101,3.97206),(5,180,0,3.97188),(595,170,8.00059e-05,-0.000778931),(585,170,8.22394e-05,-0.000783873),(575,170,8.44728e-05,-0.000789089),(565,170,8.63925e-05,-0.000794304),(555,170,8.83121e-05,-0.000799729),(545,170,8.99128e-05,-0.000805154),(535,170,9.15136e-05,-0.000810744),(525,170,9.23957e-05,-0.000816334),(515,170,9.32778e-05,-0.000822037),(505,170,9.27735e-05,-0.000827739),(495,170,9.22693e-05,-0.000833331),(485,170,9.04755e-05,-0.000838922),(475,170,8.86817e-05,-0.000844144),(465,170,8.41965e-05,-0.000849366),(455,170,7.97112e-05,-0.000854009),(445,170,7.06191e-05,-0.000858652),(435,170,6.1527e-05,-0.000862328),(425,170,4.62123e-05,-0.000866004),(415,170,3.08976e-05,-0.000868417),(405,170,6.4656e-06,-0.000870829),(395,170,-1.79664e-05,-0.897123),(385,170,0.00120346,-1.79338),(375,170,0.00242489,-1.83616),(365,170,0.00315178,-1.84734),(355,170,0.00384063,-1.85207),(345,170,0.00414237,-1.85603),(335,170,0.00437959,-1.86034),(325,170,0.00671058,-1.86473),(315,170,0.00961259,-1.86766),(305,170,0.0126454,-1.87012),(295,170,0.0157305,-1.86943),(285,170,0.0180274,-1.86725),(275,170,0.0198862,-1.86463),(265,170,0.0224305,-1.86173),(255,170,0.025489,-1.28362),(245,170,0.0273947,-0.206995),(235,170,0.0304035,0.336361),(225,170,0.0424355,0.900255),(215,170,0.0562734,1.69344),(205,170,0.0721751,2.41842),(195,170,0.04744,3.09794),(185,170,0.00792783,3.55146),(175,170,0.011558,3.9702),(165,170,0.0151881,3.98509),(155,170,0.0157363,3.98844),(145,170,0.0161032,3.98821),(135,170,0.0157427,3.98765),(125,170,0.0152912,3.98636),(115,170,0.0145486,3.98496),(105,170,0.0137478,3.98352),(95,170,0.0127629,3.98207),(85,170,0.0117253,3.98076),(75,170,0.0105538,3.97949),(65,170,0.00933071,3.97841),(55,170,0.00801251,3.97741),(45,170,0.00664676,3.97661),(35,170,0.00522253,3.97592),(25,170,0.00376108,3.97543),(15,170,0.00311154,3.97508),(5,170,0,3.97492),(595,160,7.5179e-05,-0.000779953),(585,160,7.72968e-05,-0.000784774),(575,160,7.94147e-05,-0.00078982),(565,160,8.12713e-05,-0.000794865),(555,160,8.31279e-05,-0.000800041),(545,160,8.47113e-05,-0.000805217),(535,160,8.62948e-05,-0.000810417),(525,160,8.72296e-05,-0.000815617),(515,160,8.81644e-05,-0.000820711),(505,160,8.78699e-05,-0.000825804),(495,160,8.75753e-05,-0.000830458),(485,160,8.61714e-05,-0.000835111),(475,160,8.47675e-05,-0.000838964),(465,160,8.08757e-05,-0.000842817),(455,160,7.69838e-05,-0.000845452),(445,160,6.88565e-05,-0.000848087),(435,160,6.07291e-05,-0.000848732),(425,160,4.67597e-05,-0.000849378),(415,160,3.27903e-05,-0.000847257),(405,160,1.0025e-05,-0.000845136),(395,160,-1.27404e-05,-0.897037),(385,160,0.00159524,-1.79323),(375,160,0.00320322,-1.83571),(365,160,0.00481826,-1.84656),(355,160,0.00643385,-1.85121),(345,160,0.00736076,-1.85511),(335,160,0.00817288,-1.85998),(325,160,0.0103776,-1.86506),(315,160,0.0129622,-1.86834),(305,160,0.0155188,-1.87102),(295,160,0.0180643,-1.86985),(285,160,0.0198961,-1.86687),(275,160,0.0213313,-1.86322),(265,160,0.0230768,-1.85914),(255,160,0.0250551,-1.28149),(245,160,0.0262496,-0.206735),(235,160,0.0279222,0.332449),(225,160,0.034643,0.892906),(215,160,0.0429113,1.68493),(205,160,0.0529481,2.42684),(195,160,0.047347,3.13533),(185,160,0.0360594,3.57321),(175,160,0.0283881,3.96945),(165,160,0.0207169,3.98486),(155,160,0.0183143,3.9894),(145,160,0.0162216,3.98956),(135,160,0.0151323,3.98933),(125,160,0.0141685,3.98824),(115,160,0.0132989,3.98702),(105,160,0.0124481,3.98573),(95,160,0.0115108,3.98442),(85,160,0.0105488,3.98323),(75,160,0.0094841,3.98208),(65,160,0.00837994,3.98109),(55,160,0.00719402,3.98019),(45,160,0.00596722,3.97946),(35,160,0.00468827,3.97884),(25,160,0.00337614,3.97839),(15,160,0.00279297,3.97808),(5,160,0,3.97793),(595,150,7.0362e-05,-0.000781007),(585,150,7.2366e-05,-0.000785731),(575,150,7.43701e-05,-0.000790644),(565,150,7.61661e-05,-0.000795556),(555,150,7.79621e-05,-0.000800547),(545,150,7.95334e-05,-0.000805538),(535,150,8.11046e-05,-0.000810454),(525,150,8.21014e-05,-0.00081537),(515,150,8.30982e-05,-0.000819991),(505,150,8.30277e-05,-0.000824611),(495,150,8.29572e-05,-0.00082851),(485,150,8.19624e-05,-0.000832409),(475,150,8.09676e-05,-0.000835123),(465,150,7.77e-05,-0.000837837),(455,150,7.44325e-05,-0.000838716),(445,150,6.73204e-05,-0.000839596),(435,150,6.02083e-05,-0.000837481),(425,150,4.76586e-05,-0.000835366),(415,150,3.51088e-05,-0.000829004),(405,150,1.41228e-05,-0.000822641),(395,150,-6.86325e-06,-0.896485),(385,150,0.00199921,-1.79215),(375,150,0.00400529,-1.83461),(365,150,0.00651113,-1.84547),(355,150,0.0090554,-1.84981),(345,150,0.0106175,-1.85337),(335,150,0.0120159,-1.85811),(325,150,0.0140956,-1.8631),(315,150,0.016361,-1.86622),(305,150,0.018406,-1.86871),(295,150,0.0203628,-1.8673),(285,150,0.0216509,-1.86405),(275,150,0.0225674,-1.85989),(265,150,0.0233869,-1.85515),(255,150,0.0241337,-1.27855),(245,150,0.0245508,-0.206346),(235,150,0.0247771,0.327911),(225,150,0.0255587,0.885458),(215,150,0.0282072,1.67945),(205,150,0.0329891,2.41874),(195,150,0.0455732,3.12156),(185,150,0.0609944,3.57431),(175,150,0.0432414,3.98859),(165,150,0.0254883,3.99783),(155,150,0.0204514,3.99549),(145,150,0.0161624,3.99373),(135,150,0.0144265,3.99202),(125,150,0.0130096,3.9905),(115,150,0.0120342,3.98902),(105,150,0.011147,3.98769),(95,150,0.0102625,3.98639),(85,150,0.00937861,3.98526),(75,150,0.00842146,3.98418),(65,150,0.00743611,3.98327),(55,150,0.00638182,3.98243),(45,150,0.00529304,3.98176),(35,150,0.00415831,3.98118),(25,150,0.00299432,3.98078),(15,150,0.00247699,3.98048),(5,150,0,3.98035),(595,140,6.57315e-05,-0.00078205),(585,140,6.76579e-05,-0.000786679),(575,140,6.95843e-05,-0.000791463),(565,140,7.13664e-05,-0.000796246),(555,140,7.31485e-05,-0.000801056),(545,140,7.48033e-05,-0.000805866),(535,140,7.64581e-05,-0.000810506),(525,140,7.76937e-05,-0.000815145),(515,140,7.89292e-05,-0.000819303),(505,140,7.9354e-05,-0.000823461),(495,140,7.97787e-05,-0.000826623),(485,140,7.95586e-05,-0.000829785),(475,140,7.93384e-05,-0.000831383),(465,140,7.72825e-05,-0.00083298),(455,140,7.52265e-05,-0.000832135),(445,140,7.00903e-05,-0.000831289),(435,140,6.49541e-05,-0.000826454),(425,140,5.52354e-05,-0.000821618),(415,140,4.55168e-05,-0.000811066),(405,140,2.84509e-05,-0.000800514),(395,140,1.13849e-05,-0.89595),(385,140,0.00263489,-1.7911),(375,140,0.00525839,-1.83355),(365,140,0.00870515,-1.84441),(355,140,0.0122152,-1.84844),(345,140,0.0146033,-1.85164),(335,140,0.0168044,-1.8562),(325,140,0.0187801,-1.86105),(315,140,0.0206943,-1.86395),(305,140,0.0215536,-1.8662),(295,140,0.0219908,-1.86452),(285,140,0.0212416,-1.86097),(275,140,0.0198332,-1.85626),(265,140,0.0173091,-1.85078),(255,140,0.0139483,-1.27533),(245,140,0.0123339,-0.205901),(235,140,0.00902137,0.324648),(225,140,-0.00806938,0.879685),(215,140,-0.0119953,1.67389),(205,140,-0.000875569,2.41015),(195,140,0.0118645,3.10777),(185,140,0.0251938,3.57485),(175,140,0.0205327,4.00645),(165,140,0.0158717,4.00996),(155,140,0.0142127,4.00124),(145,140,0.0127303,3.99769),(135,140,0.0119061,3.99461),(125,140,0.0111641,3.99269),(115,140,0.0104856,3.99097),(105,140,0.00981995,3.98961),(95,140,0.00908492,3.98834),(85,140,0.00833009,3.98727),(75,140,0.00749296,3.98626),(65,140,0.00662418,3.98541),(55,140,0.00568914,3.98464),(45,140,0.00472097,3.98403),(35,140,0.00370997,3.98351),(25,140,0.00267172,3.98313),(15,140,0.00221027,3.98287),(5,140,0,3.98274),(595,130,6.11045e-05,-0.000782862),(585,130,6.2954e-05,-0.000787452),(575,130,6.48036e-05,-0.000792178),(565,130,6.6573e-05,-0.000796904),(555,130,6.83424e-05,-0.000801627),(545,130,7.00829e-05,-0.00080635),(535,130,7.18235e-05,-0.000810856),(525,130,7.33019e-05,-0.000815361),(515,130,7.47804e-05,-0.000819284),(505,130,7.57071e-05,-0.000823206),(495,130,7.66338e-05,-0.000825981),(485,130,7.71995e-05,-0.000828756),(475,130,7.77651e-05,-0.000829713),(465,130,7.69417e-05,-0.000830671),(455,130,7.61182e-05,-0.000828699),(445,130,7.29921e-05,-0.000826728),(435,130,6.98659e-05,-0.000819985),(425,130,6.30309e-05,-0.000813243),(415,130,5.6196e-05,-0.000799572),(405,130,4.3127e-05,-0.000785902),(395,130,3.0058e-05,-0.89579),(385,130,0.00327731,-1.79079),(375,130,0.00652456,-1.83325),(365,130,0.0108923,-1.84413),(355,130,0.0153462,-1.84756),(345,130,0.0185469,-1.85009),(335,130,0.0215387,-1.85353),(325,130,0.0234232,-1.85716),(315,130,0.0250058,-1.85873),(305,130,0.0247092,-1.85961),(295,130,0.0236609,-1.85704),(285,130,0.0209185,-1.85285),(275,130,0.0172351,-1.84648),(265,130,0.0114919,-1.8387),(255,130,0.00420405,-1.26621),(245,130,0.000637775,-0.204313),(235,130,-0.00573383,0.347451),(225,130,-0.0382132,0.908149),(215,130,-0.0481515,1.66676),(205,130,-0.0323285,2.39151),(195,130,-0.0199915,3.09368),(185,130,-0.00892206,3.56373),(175,130,-0.00115738,3.99808),(165,130,0.00660729,4.00519),(155,130,0.00817524,4.0001),(145,130,0.00937868,3.99755),(135,130,0.0094324,3.99524),(125,130,0.00934241,3.99364),(115,130,0.00895325,3.99214),(105,130,0.00850425,3.99093),(95,130,0.00791661,3.98977),(85,130,0.00728935,3.98879),(75,130,0.0065712,3.98787),(65,130,0.00581809,3.98709),(55,130,0.00500143,3.98639),(45,130,0.00415299,3.98583),(35,130,0.00326484,3.98535),(25,130,0.00235142,3.985),(15,130,0.00194545,3.98476),(5,130,0,3.98465),(595,120,5.6553e-05,-0.000783678),(585,120,5.83451e-05,-0.00078823),(575,120,6.01372e-05,-0.000792901),(565,120,6.19191e-05,-0.000797572),(555,120,6.37009e-05,-0.000802211),(545,120,6.5576e-05,-0.000806851),(535,120,6.7451e-05,-0.000811228),(525,120,6.92649e-05,-0.000815606),(515,120,7.10788e-05,-0.000819305),(505,120,7.26541e-05,-0.000823004),(495,120,7.42293e-05,-0.000825412),(485,120,7.58268e-05,-0.00082782),(475,120,7.74243e-05,-0.000828166),(465,120,7.82964e-05,-0.000828512),(455,120,7.91686e-05,-0.000825456),(445,120,7.8807e-05,-0.0008224),(435,120,7.84453e-05,-0.000813807),(425,120,7.56529e-05,-0.000805214),(415,120,7.28604e-05,-0.000788492),(405,120,6.54869e-05,-0.000771771),(395,120,5.81134e-05,-0.895678),(385,120,0.00406867,-1.79058),(375,120,0.00807923,-1.83303),(365,120,0.0129276,-1.8439),(355,120,0.0178403,-1.84672),(345,120,0.0215577,-1.84857),(335,120,0.0250758,-1.85087),(325,120,0.0271515,-1.85326),(315,120,0.0288339,-1.85346),(305,120,0.0280412,-1.85293),(295,120,0.0262586,-1.84946),(285,120,0.0224984,-1.84461),(275,120,0.0176394,-1.83663),(265,120,0.0114275,-1.82662),(255,120,0.00420089,-1.25712),(245,120,0.000441379,-0.202722),(235,120,0.00160043,0.368205),(225,120,0.0085653,0.934195),(215,120,0.00502002,1.66095),(205,120,-0.0105369,2.37481),(195,120,-0.0109454,3.08008),(185,120,-0.00584537,3.55287),(175,120,-0.000362177,3.98989),(165,120,0.00512102,4.00051),(155,120,0.00658011,3.99896),(145,120,0.00780248,3.99741),(135,120,0.00799017,3.99586),(125,120,0.00804852,3.99456),(115,120,0.00777739,3.9933),(105,120,0.00744036,3.99222),(95,120,0.00695214,3.99119),(85,120,0.00642072,3.9903),(75,120,0.00579835,3.98946),(65,120,0.005141,3.98876),(55,120,0.0044233,3.98812),(45,120,0.00367542,3.98761),(35,120,0.00289049,3.98717),(25,120,0.00208197,3.98686),(15,120,0.00172262,3.98663),(5,120,0,3.98653),(595,110,5.2002e-05,-0.000784593),(585,110,5.37366e-05,-0.000789138),(575,110,5.54712e-05,-0.000793798),(565,110,5.72655e-05,-0.000798458),(555,110,5.90597e-05,-0.000803096),(545,110,6.10682e-05,-0.000807734),(535,110,6.30767e-05,-0.000812134),(525,110,6.52245e-05,-0.000816533),(515,110,6.73723e-05,-0.000820303),(505,110,6.95944e-05,-0.000824073),(495,110,7.18166e-05,-0.000826594),(485,110,7.44469e-05,-0.000829116),(475,110,7.70773e-05,-0.000829544),(465,110,7.96518e-05,-0.000829972),(455,110,8.22263e-05,-0.000826817),(445,110,8.46434e-05,-0.000823661),(435,110,8.70604e-05,-0.000814578),(425,110,8.83456e-05,-0.000805494),(415,110,8.96308e-05,-0.000787334),(405,110,8.80319e-05,-0.000769173),(395,110,8.64331e-05,-0.896721),(385,110,0.00485416,-1.79267),(375,110,0.00962188,-1.83466),(365,110,0.0149259,-1.84501),(355,110,0.0202712,-1.84689),(345,110,0.0244626,-1.84776),(335,110,0.0284617,-1.84845),(325,110,0.0306953,-1.84911),(315,110,0.0324474,-1.84713),(305,110,0.0311586,-1.84426),(295,110,0.0286534,-1.83933),(285,110,0.0239208,-1.83341),(275,110,0.0179508,-1.82489),(265,110,0.0114519,-1.81467),(255,110,0.0045565,-1.2487),(245,110,0.000768891,-0.201057),(235,110,0.00900429,0.339787),(225,110,0.0529004,0.902194),(215,110,0.0555229,1.68659),(205,110,0.0109754,2.40462),(195,110,-0.00166138,3.0784),(185,110,-0.00269429,3.54786),(175,110,0.000523076,3.98589),(165,110,0.00374044,3.99795),(155,110,0.00506327,3.99785),(145,110,0.00627466,3.99698),(135,110,0.00658165,3.99604),(125,110,0.00677559,3.99505),(115,110,0.00661666,3.99405),(105,110,0.00638715,3.99312),(95,110,0.00599601,3.99222),(85,110,0.0055587,3.99143),(75,110,0.00503095,3.99067),(65,110,0.00446842,3.99004),(55,110,0.00384889,3.98945),(45,110,0.00320085,3.98898),(35,110,0.00251845,3.98858),(25,110,0.00181416,3.9883),(15,110,0.00150115,3.9881),(5,110,0,3.988),(595,100,4.74648e-05,-0.000785499),(585,100,4.91406e-05,-0.000790038),(575,100,5.08165e-05,-0.000794688),(565,100,5.26208e-05,-0.000799339),(555,100,5.44251e-05,-0.00080398),(545,100,5.65399e-05,-0.00080862),(535,100,5.86546e-05,-0.000813047),(525,100,6.10963e-05,-0.000817473),(515,100,6.3538e-05,-0.000821323),(505,100,6.6362e-05,-0.000825172),(495,100,6.91861e-05,-0.000827822),(485,100,7.28774e-05,-0.000830472),(475,100,7.65687e-05,-0.000831008),(465,100,8.10234e-05,-0.000831544),(455,100,8.54782e-05,-0.000828333),(445,100,9.10452e-05,-0.000825122),(435,100,9.66121e-05,-0.000815617),(425,100,0.000102898,-0.000806112),(415,100,0.000109185,-0.000786605),(405,100,0.000115441,-0.000767097),(395,100,0.000121697,-0.897802),(385,100,0.00548536,-1.79484),(375,100,0.010849,-1.83634),(365,100,0.015955,-1.84616),(355,100,0.0210412,-1.8471),(345,100,0.0245869,-1.84696),(335,100,0.0278758,-1.84605),(325,100,0.0293922,-1.84497),(315,100,0.0304252,-1.84082),(305,100,0.0286342,-1.83566),(295,100,0.0257136,-1.82931),(285,100,0.0212071,-1.82239),(275,100,0.0158196,-1.81346),(265,100,0.0138116,-1.80323),(255,100,0.0143382,-1.24069),(245,100,0.0148609,-0.199498),(235,100,0.0182367,0.312679),(225,100,0.0330412,0.871696),(215,100,0.0359133,1.71111),(205,100,0.0251484,2.43351),(195,100,0.0138728,3.07792),(185,100,0.00241147,3.54377),(175,100,0.00377407,3.98216),(165,100,0.00513667,3.99556),(155,100,0.00560366,3.99682),(145,100,0.00601797,3.9966),(135,100,0.00605899,3.99624),(125,100,0.00605334,3.99554),(115,100,0.00585336,3.99479),(105,100,0.0056145,3.99402),(95,100,0.00525912,3.99325),(85,100,0.00487043,3.99255),(75,100,0.00440687,3.99188),(65,100,0.0039145,3.9913),(55,100,0.00337227,3.99077),(45,100,0.00280511,3.99035),(35,100,0.00220721,3.98999),(25,100,0.00158975,3.98973),(15,100,0.00131532,3.98954),(5,100,0,3.98946),(595,90,4.29264e-05,-0.000786125),(585,90,4.45427e-05,-0.000790681),(575,90,4.61591e-05,-0.000795381),(565,90,4.79716e-05,-0.000800082),(555,90,4.97842e-05,-0.000804824),(545,90,5.20026e-05,-0.000809567),(535,90,5.42211e-05,-0.000814185),(525,90,5.69523e-05,-0.000818804),(515,90,5.96835e-05,-0.000822988),(505,90,6.3103e-05,-0.000827171),(495,90,6.65224e-05,-0.000830371),(485,90,7.12657e-05,-0.000833571),(475,90,7.60091e-05,-0.000834955),(465,90,8.23326e-05,-0.00083634),(455,90,8.86562e-05,-0.000834358),(445,90,9.7363e-05,-0.000832376),(435,90,0.00010607,-0.000824437),(425,90,0.000117364,-0.000816498),(415,90,0.000128658,-0.000798333),(405,90,0.000142824,-0.000780168),(395,90,0.000156991,-0.900007),(385,90,0.00606207,-1.79923),(375,90,0.0119671,-1.83982),(365,90,0.0168255,-1.84861),(355,90,0.0216033,-1.84824),(345,90,0.0244634,-1.84678),(335,90,0.0270039,-1.84408),(325,90,0.0277697,-1.84111),(315,90,0.0280516,-1.83545),(305,90,0.0257552,-1.82888),(295,90,0.0224275,-1.8226),(285,90,0.0181309,-1.81646),(275,90,0.0132961,-1.81113),(265,90,0.0154468,-1.80632),(255,90,0.0228367,-1.24488),(245,90,0.0273402,-0.201021),(235,90,0.0260741,0.323576),(225,90,0.0132747,0.884808),(215,90,0.0165889,1.70258),(205,90,0.0383189,2.43564),(195,90,0.0285824,3.11222),(185,90,0.00740357,3.56632),(175,90,0.00693336,3.98619),(165,90,0.00646314,3.99797),(155,90,0.00610018,3.99808),(145,90,0.00574353,3.99754),(135,90,0.00552818,3.99694),(125,90,0.00533049,3.99622),(115,90,0.00509188,3.99548),(105,90,0.00484509,3.99476),(95,90,0.00452571,3.99404),(85,90,0.0041856,3.9934),(75,90,0.00378594,3.99278),(65,90,0.00336337,3.99226),(55,90,0.00289804,3.99178),(45,90,0.00241133,3.99139),(35,90,0.00189751,3.99105),(25,90,0.00136643,3.99081),(15,90,0.00113039,3.99064),(5,90,0,3.99056),(595,80,3.8353e-05,-0.000786743),(585,80,3.98822e-05,-0.000791316),(575,80,4.14114e-05,-0.000796068),(565,80,4.31773e-05,-0.00080082),(555,80,4.49432e-05,-0.000805667),(545,80,4.71796e-05,-0.000810514),(535,80,4.9416e-05,-0.000815329),(525,80,5.22957e-05,-0.000820145),(515,80,5.51754e-05,-0.000824671),(505,80,5.89811e-05,-0.000829196),(495,80,6.27867e-05,-0.000832959),(485,80,6.82923e-05,-0.000836722),(475,80,7.3798e-05,-0.000838979),(465,80,8.16216e-05,-0.000841236),(455,80,8.94452e-05,-0.000840522),(445,80,0.000100965,-0.000839809),(435,80,0.000112485,-0.000833506),(425,80,0.000129,-0.000827202),(415,80,0.000145514,-0.000810499),(405,80,0.000169392,-0.000793797),(395,80,0.000193269,-0.902204),(385,80,0.00487689,-1.80361),(375,80,0.00956052,-1.84327),(365,80,0.0125665,-1.85101),(355,80,0.0154434,-1.84936),(345,80,0.0163292,-1.84659),(335,80,0.0168832,-1.84213),(325,80,0.01582,-1.8373),(315,80,0.0143159,-1.83014),(305,80,0.0114106,-1.82221),(295,80,0.0079448,-1.81601),(285,80,0.00333268,-1.81062),(275,80,-0.00191629,-1.80874),(265,80,-0.00634445,-1.80914),(255,80,-0.010157,-1.24879),(245,80,-0.0123213,-0.202452),(235,80,-0.011194,0.333613),(225,80,-0.00349335,0.896689),(215,80,0.00648807,1.69388),(205,80,0.0190761,2.43744),(195,80,0.0166316,3.14523),(185,80,0.00872079,3.58807),(175,80,0.0071275,3.99015),(165,80,0.0055342,4.00034),(155,80,0.0051784,3.99933),(145,80,0.00489539,3.99847),(135,80,0.00473416,3.99763),(125,80,0.00458816,3.99689),(115,80,0.00438945,3.99616),(105,80,0.0041802,3.99549),(95,80,0.00390531,3.99483),(85,80,0.00361166,3.99425),(75,80,0.00326675,3.99369),(65,80,0.00290212,3.99321),(55,80,0.00250067,3.99277),(45,80,0.00208081,3.99241),(35,80,0.00163724,3.99211),(25,80,0.00117858,3.99189),(15,80,0.000974727,3.99174),(5,80,0,3.99166),(595,70,3.3777e-05,-0.000787033),(585,70,3.52178e-05,-0.000791661),(575,70,3.66586e-05,-0.000796524),(565,70,3.83756e-05,-0.000801387),(555,70,4.00926e-05,-0.000806437),(545,70,4.23432e-05,-0.000811486),(535,70,4.45938e-05,-0.00081667),(525,70,4.76159e-05,-0.000821853),(515,70,5.0638e-05,-0.000827004),(505,70,5.48198e-05,-0.000832156),(495,70,5.90017e-05,-0.000836969),(485,70,6.52539e-05,-0.000841782),(475,70,7.15061e-05,-0.000845766),(465,70,8.08059e-05,-0.00084975),(455,70,9.01057e-05,-0.00085178),(445,70,0.000104406,-0.000853809),(435,70,0.000118706,-0.000851649),(425,70,0.000140402,-0.000849489),(415,70,0.000162097,-0.000838634),(405,70,0.000195664,-0.000827779),(395,70,0.00022923,-0.904092),(385,70,0.00364285,-1.80736),(375,70,0.00705647,-1.84553),(365,70,0.00819242,-1.85167),(355,70,0.00915315,-1.84931),(345,70,0.00807492,-1.84594),(335,70,0.00665686,-1.84063),(325,70,0.00379414,-1.8349),(315,70,0.000537427,-1.82744),(305,70,-0.00293832,-1.8194),(295,70,-0.00650167,-1.81337),(285,70,-0.011339,-1.8083),(275,70,-0.0168841,-1.80472),(265,70,-0.0274837,-1.80212),(255,70,-0.0418741,-1.24265),(245,70,-0.0503465,-0.200564),(235,70,-0.0470462,0.31225),(225,70,-0.0203272,0.863615),(215,70,-0.00429216,1.67888),(205,70,-0.000467541,2.42711),(195,70,0.00441263,3.13063),(185,70,0.00967665,3.58063),(175,70,0.00712046,3.99163),(165,70,0.00456427,4.0014),(155,70,0.00423951,3.9997),(145,70,0.00404601,3.9988),(135,70,0.00394168,3.99797),(125,70,0.0038485,3.99728),(115,70,0.00368974,3.99661),(105,70,0.00351788,3.99599),(95,70,0.00328725,3.99539),(85,70,0.00303984,3.99486),(75,70,0.00274943,3.99434),(65,70,0.00244249,3.9939),(55,70,0.00210468,3.99349),(45,70,0.00175143,3.99316),(35,70,0.00137786,3.99288),(25,70,0.000991375,3.99268),(15,70,0.000819602,3.99254),(5,70,0,3.99247),(595,60,2.90945e-05,-0.000787329),(585,60,3.0393e-05,-0.000792013),(575,60,3.16915e-05,-0.000796986),(565,60,3.32663e-05,-0.000801959),(555,60,3.4841e-05,-0.000807211),(545,60,3.69464e-05,-0.000812463),(535,60,3.90517e-05,-0.000818014),(525,60,4.19599e-05,-0.000823564),(515,60,4.48681e-05,-0.000829343),(505,60,4.90138e-05,-0.000835121),(495,60,5.31595e-05,-0.000840987),(485,60,5.94949e-05,-0.000846853),(475,60,6.58303e-05,-0.000852571),(465,60,7.5608e-05,-0.000858288),(455,60,8.53856e-05,-0.000863078),(445,60,0.000101098,-0.000867868),(435,60,0.00011681,-0.000869897),(425,60,0.000142016,-0.000871927),(415,60,0.000167222,-0.00086703),(405,60,0.000209579,-0.000862134),(395,60,0.000251937,-0.905954),(385,60,0.000363322,-1.81105),(375,60,0.000474707,-1.84778),(365,60,-0.000995773,-1.85235),(355,60,-0.00258794,-1.84931),(345,60,-0.00520322,-1.84535),(335,60,-0.00798903,-1.83921),(325,60,-0.0114211,-1.83261),(315,60,-0.0150293,-1.82487),(305,60,-0.0174656,-1.81676),(295,60,-0.0194331,-1.81094),(285,60,-0.0207151,-1.8062),(275,60,-0.0216164,-1.80103),(265,60,-0.021332,-1.79558),(255,60,-0.0201585,-1.2369),(245,60,-0.0198813,-0.198766),(235,60,-0.0236331,0.29208),(225,60,-0.039915,0.832239),(215,60,-0.0435084,1.66418),(205,60,-0.0326005,2.41658),(195,60,-0.0190308,3.11594),(185,60,-0.00449317,3.57306),(175,60,-0.00130714,3.9929),(165,60,0.00187888,4.00233),(155,60,0.00258483,4.00003),(145,60,0.00314489,3.99911),(135,60,0.00321359,3.9983),(125,60,0.00322085,3.99767),(115,60,0.00310446,3.99706),(105,60,0.00296333,3.9965),(95,60,0.00276773,3.99595),(85,60,0.00255657,3.99546),(75,60,0.00231052,3.99499),(65,60,0.00205104,3.99458),(55,60,0.00176658,3.99421),(45,60,0.00146963,3.99391),(35,60,0.00115583,3.99365),(25,60,0.000831321,3.99346),(15,60,0.000687093,3.99333),(5,60,0,3.99327),(595,50,2.44115e-05,-0.000787962),(585,50,2.55666e-05,-0.00079266),(575,50,2.67217e-05,-0.000797713),(565,50,2.81525e-05,-0.000802766),(555,50,2.95833e-05,-0.000808204),(545,50,3.15405e-05,-0.000813642),(535,50,3.34977e-05,-0.000819551),(525,50,3.62868e-05,-0.00082546),(515,50,3.9076e-05,-0.000831909),(505,50,4.31767e-05,-0.000838358),(495,50,4.72775e-05,-0.00084541),(485,50,5.36817e-05,-0.000852463),(475,50,6.00859e-05,-0.000860233),(465,50,7.03153e-05,-0.000868004),(455,50,8.05448e-05,-0.000876403),(445,50,9.76215e-05,-0.000884802),(435,50,0.000114698,-0.000893288),(425,50,0.000143332,-0.000901775),(415,50,0.000171966,-0.000908272),(405,50,0.000222998,-0.000914769),(395,50,0.000274031,-0.906498),(385,50,-0.00289765,-1.81208),(375,50,-0.00606933,-1.84904),(365,50,-0.0101086,-1.85383),(355,50,-0.0142147,-1.85109),(345,50,-0.0183468,-1.84745),(335,50,-0.0224833,-1.84164),(325,50,-0.0264718,-1.83536),(315,50,-0.0304199,-1.82898),(305,50,-0.031824,-1.82255),(295,50,-0.0322105,-1.81842),(285,50,-0.0299834,-1.81538),(275,50,-0.0263043,-1.81358),(265,50,-0.0153096,-1.81259),(255,50,0.00117179,-1.25023),(245,50,0.0100529,-0.201351),(235,50,-0.000493869,0.33037),(225,50,-0.0583511,0.884025),(215,50,-0.0809908,1.66407),(205,50,-0.063382,2.39631),(195,50,-0.0414406,3.09668),(185,50,-0.0179237,3.55866),(175,50,-0.00929632,3.98398),(165,50,-0.00066896,3.99707),(155,50,0.00100541,3.99839),(145,50,0.00227078,3.99836),(135,50,0.00249983,3.9982),(125,50,0.00259934,3.99778),(115,50,0.00252269,3.99731),(105,50,0.00241081,3.99682),(95,50,0.00224966,3.99633),(85,50,0.00207443,3.99587),(75,50,0.00187254,3.99543),(65,50,0.00166039,3.99505),(55,50,0.00142916,3.9947),(45,50,0.00118838,3.99441),(35,50,0.000934238,3.99417),(25,50,0.000671585,3.99399),(15,50,0.00055485,3.99387),(5,50,0,3.99381),(595,40,1.96978e-05,-0.000788599),(585,40,2.06432e-05,-0.000793315),(575,40,2.15885e-05,-0.000798448),(565,40,2.27756e-05,-0.000803582),(555,40,2.39628e-05,-0.000809207),(545,40,2.55989e-05,-0.000814832),(535,40,2.72351e-05,-0.0008211),(525,40,2.96015e-05,-0.000827368),(515,40,3.19678e-05,-0.000834486),(505,40,3.55112e-05,-0.000841604),(495,40,3.90546e-05,-0.00084984),(485,40,4.4672e-05,-0.000858076),(475,40,5.02894e-05,-0.000867893),(465,40,5.94378e-05,-0.000877711),(455,40,6.85862e-05,-0.000889709),(445,40,8.42118e-05,-0.000901708),(435,40,9.98373e-05,-0.00091664),(425,40,0.000127032,-0.000931571),(415,40,0.000154227,-0.000949467),(405,40,0.000207101,-0.000967363),(395,40,0.000259976,-0.907021),(385,40,-0.00506359,-1.81307),(375,40,-0.0103872,-1.85027),(365,40,-0.0147763,-1.85529),(355,40,-0.0190936,-1.85286),(345,40,-0.0235506,-1.84953),(335,40,-0.0280308,-1.84406),(325,40,-0.031818,-1.83812),(315,40,-0.0354163,-1.83309),(305,40,-0.0362183,-1.82837),(295,40,-0.0359019,-1.82595),(285,40,-0.0328886,-1.82462),(275,40,-0.0283771,-1.82622),(265,40,-0.016913,-1.8297),(255,40,-0.000234321,-1.26363),(245,40,0.00865817,-0.203952),(235,40,0.00648127,0.367921),(225,40,-0.00882853,0.934847),(215,40,-0.0161777,1.66405),(205,40,-0.0144289,2.3764),(195,40,-0.00286647,3.07753),(185,40,0.0122645,3.54447),(175,40,0.00858168,3.97538),(165,40,0.00489884,3.99202),(155,40,0.00386631,3.99682),(145,40,0.00298969,3.99765),(135,40,0.00263219,3.99811),(125,40,0.00233958,3.9979),(115,40,0.00214881,3.99757),(105,40,0.00197842,3.99715),(95,40,0.00181719,3.9967),(85,40,0.00165859,3.99628),(75,40,0.00148961,3.99587),(65,40,0.00131663,3.99551),(55,40,0.0011313,3.99518),(45,40,0.00093978,3.99492),(35,40,0.000738353,3.99469),(25,40,0.000530618,3.99452),(15,40,0.000438292,3.99441),(5,40,0,3.99435),(595,30,1.49813e-05,-0.000789591),(585,30,1.57165e-05,-0.000794449),(575,30,1.64517e-05,-0.000799768),(565,30,1.73943e-05,-0.000805087),(555,30,1.8337e-05,-0.000810972),(545,30,1.9651e-05,-0.000816858),(535,30,2.0965e-05,-0.000823504),(525,30,2.29065e-05,-0.00083015),(515,30,2.4848e-05,-0.000837846),(505,30,2.78304e-05,-0.000845543),(495,30,3.08127e-05,-0.000854723),(485,30,3.56367e-05,-0.000863903),(475,30,4.04607e-05,-0.000875325),(465,30,4.85151e-05,-0.000886748),(455,30,5.65695e-05,-0.00090164),(445,30,7.07168e-05,-0.000916532),(435,30,8.48642e-05,-0.000937069),(425,30,0.000110558,-0.000957606),(415,30,0.000136252,-0.000987233),(405,30,0.000190797,-0.00101686),(395,30,0.000245342,-0.906032),(385,30,-0.00718915,-1.81105),(375,30,-0.0146237,-1.8497),(365,30,-0.0193453,-1.85626),(355,30,-0.0238583,-1.85387),(345,30,-0.0286251,-1.85042),(335,30,-0.0334343,-1.84576),(325,30,-0.0370144,-1.84084),(315,30,-0.0402593,-1.83813),(305,30,-0.0404688,-1.83616),(295,30,-0.0394642,-1.83705),(285,30,-0.0356987,-1.8393),(275,30,-0.0303995,-1.84518),(265,30,-0.018594,-1.8534),(255,30,-0.0019088,-1.28179),(245,30,0.00689058,-0.207646),(235,30,0.0129648,0.350792),(225,30,0.0396814,0.914343),(215,30,0.0476016,1.67013),(205,30,0.03404,2.38303),(195,30,0.035214,3.06733),(185,30,0.0417464,3.54476),(175,30,0.0260382,3.99037),(165,30,0.01033,4.00156),(155,30,0.00665177,4.00034),(145,30,0.0036812,3.99966),(135,30,0.00275022,3.99903),(125,30,0.0020742,3.99848),(115,30,0.00177219,3.99794),(105,30,0.00154498,3.99745),(95,30,0.00138434,3.99697),(85,30,0.00124271,3.99655),(75,30,0.00110678,3.99614),(65,30,0.000973044,3.99579),(55,30,0.000833615,3.99547),(45,30,0.000691342,3.99521),(35,30,0.000542604,3.99499),(25,30,0.000389751,3.99483),(15,30,0.000321817,3.99472),(5,30,0,3.99467),(595,20,9.98267e-06,-0.00079058),(585,20,1.04665e-05,-0.000795578),(575,20,1.09502e-05,-0.000801082),(565,20,1.15712e-05,-0.000806585),(555,20,1.21921e-05,-0.000812728),(545,20,1.30674e-05,-0.000818872),(535,20,1.39428e-05,-0.000825893),(525,20,1.52588e-05,-0.000832915),(515,20,1.65749e-05,-0.000841186),(505,20,1.86346e-05,-0.000849457),(495,20,2.06943e-05,-0.000859577),(485,20,2.40695e-05,-0.000869696),(475,20,2.74447e-05,-0.000882717),(465,20,3.3123e-05,-0.000895739),(455,20,3.88013e-05,-0.000913516),(445,20,4.87826e-05,-0.000931294),(435,20,5.87639e-05,-0.000957419),(425,20,7.68674e-05,-0.000983545),(415,20,9.49709e-05,-0.00102487),(405,20,0.000134137,-0.00106619),(395,20,0.000173303,-0.905047),(385,20,-0.00531703,-1.80903),(375,20,-0.0108074,-1.84913),(365,20,-0.0141438,-1.85723),(355,20,-0.0173146,-1.85489),(345,20,-0.0209104,-1.85131),(335,20,-0.024577,-1.84746),(325,20,-0.0273644,-1.84355),(315,20,-0.029912,-1.84315),(305,20,-0.0304758,-1.8439),(295,20,-0.0302463,-1.84808),(285,20,-0.0290933,-1.85388),(275,20,-0.0274274,-1.86399),(265,20,-0.0279639,-1.87687),(255,20,-0.0301522,-1.29975),(245,20,-0.0317891,-0.211293),(235,20,-0.0292233,0.33375),(225,20,-0.0120531,0.89384),(215,20,0.00902405,1.67582),(205,20,0.0345664,2.38947),(195,20,0.0244219,3.05757),(185,20,0.00130035,3.54525),(175,20,0.00176621,4.00517),(165,20,0.00223207,4.01098),(155,20,0.00196736,4.00382),(145,20,0.00165969,4.00165),(135,20,0.00144983,3.99993),(125,20,0.0012522,3.99905),(115,20,0.00112353,3.99831),(105,20,0.00100865,3.99776),(95,20,0.000913398,3.99725),(85,20,0.000823749,3.99681),(75,20,0.000734891,3.99641),(65,20,0.000646337,3.99607),(55,20,0.000553801,3.99576),(45,20,0.000459274,3.99551),(35,20,0.000360413,3.9953),(25,20,0.000258793,3.99514),(15,20,0.000213629,3.99504),(5,20,0,3.99498),(595,10,4.98408e-06,-0.000791043),(585,10,5.21654e-06,-0.000796034),(575,10,5.44899e-06,-0.00080151),(565,10,5.74829e-06,-0.000806986),(555,10,6.04759e-06,-0.000813082),(545,10,6.48426e-06,-0.000819177),(535,10,6.92093e-06,-0.000826149),(525,10,7.61126e-06,-0.00083312),(515,10,8.30159e-06,-0.000841406),(505,10,9.43795e-06,-0.000849692),(495,10,1.05743e-05,-0.000860039),(485,10,1.24992e-05,-0.000870386),(475,10,1.44241e-05,-0.000884109),(465,10,1.77232e-05,-0.000897832),(455,10,2.10222e-05,-0.000917231),(445,10,2.6832e-05,-0.000936631),(435,10,3.26418e-05,-0.000966015),(425,10,4.31451e-05,-0.000995399),(415,10,5.36485e-05,-0.00104288),(405,10,7.74078e-05,-0.00109037),(395,10,0.000101167,-0.904667),(385,10,-0.00343967,-1.80824),(375,10,-0.00698052,-1.84951),(365,10,-0.00892986,-1.85883),(355,10,-0.0107568,-1.85649),(345,10,-0.0131774,-1.85275),(335,10,-0.015697,-1.84909),(325,10,-0.0176876,-1.84544),(315,10,-0.019534,-1.84538),(305,10,-0.020448,-1.84651),(295,10,-0.020989,-1.85052),(285,10,-0.0224351,-1.8559),(275,10,-0.0243839,-1.86078),(265,10,-0.0371786,-1.86535),(255,10,-0.0581078,-1.28855),(245,10,-0.0701061,-0.207893),(235,10,-0.071034,0.329577),(225,10,-0.0634039,0.873643),(215,10,-0.0293271,1.62261),(205,10,0.0349744,2.36965),(195,10,0.0136203,3.11539),(185,10,-0.0388812,3.5756),(175,10,-0.0223503,3.99189),(165,10,-0.00581946,4.00235),(155,10,-0.00269245,4.00122),(145,10,-0.000353906,4.00039),(135,10,0.000153264,3.99957),(125,10,0.000431512,3.99894),(115,10,0.000475455,3.99833),(105,10,0.000472536,3.99781),(95,10,0.00044255,3.99732),(85,10,0.000404831,3.9969),(75,10,0.000363027,3.9965),(65,10,0.000319653,3.99616),(55,10,0.000274005,3.99585),(45,10,0.000227222,3.99561),(35,10,0.000178234,3.9954),(25,10,0.000127845,3.99525),(15,10,0.00010545,3.99514),(5,10,0,3.99509),(595,0,0,-0.000791506),(585,0,0,-0.00079649),(575,0,0,-0.000801939),(565,0,0,-0.000807388),(555,0,0,-0.000813435),(545,0,0,-0.000819483),(535,0,0,-0.000826404),(525,0,0,-0.000833325),(515,0,0,-0.000841626),(505,0,0,-0.000849928),(495,0,0,-0.000860502),(485,0,0,-0.000871076),(475,0,0,-0.000885501),(465,0,0,-0.000899925),(455,0,0,-0.000920947),(445,0,0,-0.000941969),(435,0,0,-0.000974611),(425,0,0,-0.00100725),(415,0,0,-0.0010609),(405,0,0,-0.00111455),(395,0,0,-0.904286),(385,0,0,-1.80746),(375,0,0,-1.84989),(365,0,0,-1.86043),(355,0,0,-1.85809),(345,0,0,-1.8542),(335,0,0,-1.85071),(325,0,0,-1.84732),(315,0,0,-1.84761),(305,0,0,-1.84912),(295,0,0,-1.85296),(285,0,0,-1.85791),(275,0,0,-1.85758),(265,0,0,-1.85383),(255,0,0,-1.27735),(245,0,0,-0.204492),(235,0,0,0.325404),(225,0,0,0.853445),(215,0,0,1.56941),(205,0,0,2.34982),(195,0,0,3.17321),(185,0,0,3.60596),(175,0,0,3.97861),(165,0,0,3.99373),(155,0,0,3.99863),(145,0,0,3.99912),(135,0,0,3.99921),(125,0,0,3.99882),(115,0,0,3.99834),(105,0,0,3.99787),(95,0,0,3.99739),(85,0,0,3.99698),(75,0,0,3.99659),(65,0,0,3.99625),(55,0,0,3.99595),(45,0,0,3.9957),(35,0,0,3.9955),(25,0,0,3.99535),(15,0,0,3.99524),(5,0,0,3.99519);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:27
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `backup`;
USE backup;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: backup
-- ------------------------------------------------------
-- Server version	5.0.77-log



-- Dump completed on 2012-01-20 15:46:27
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX01_0`;
USE beamcalX01_0;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX01_0
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (15,100,180,360,6,0,3450);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:28
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX01_02`;
USE beamcalX01_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX01_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,100,180,360,6,0,3450);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:28
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX01_14`;
USE beamcalX01_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX01_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3450);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:29
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX01_20`;
USE beamcalX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,165,195,330,8,88,3450);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX02_0`;
USE beamcalX02_0;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX02_0
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3500,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX02_02`;
USE beamcalX02_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX02_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3500,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:31
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX02_14`;
USE beamcalX02_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX02_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,67,3500,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:31
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX02_20`;
USE beamcalX02_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX02_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `Rinner` double default NULL,
  `Router` double default NULL,
  `sPhi` double default NULL,
  `dPhi` double default NULL,
  `nWafers` double default NULL,
  `BPmaxR` double default NULL,
  `zStart` double default NULL,
  `LHcal_Bcal_clr` double default NULL,
  `dAbsorber` double default NULL,
  `dSensor` double default NULL,
  `dAirgap` double default NULL,
  `dElboard` double default NULL,
  `dElectrMet` double default NULL,
  `nLayers` double default NULL,
  `Segm` double default NULL,
  `dGraphite` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (20,150,200,320,8,90,3500,390,3.5,0.3004,0.05,0.15,0.0004,30,8,100);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `beamcalX08`;
USE beamcalX08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: beamcalX08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `globalName` varchar(100) default '',
  `beamcalvalue` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES ('dSensor',0.3004),('dAirgap',0.05),('dElboard',0.15),('dElectrMet',0.0004);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clic_maskX04_20`;
USE clic_maskX04_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clic_maskX04_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('magnets',1,0.5,0.2,'-'),('pumps',0.8,0.8,0.8,'w'),('support',0.2,0.6,0.2,'w');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_inner_radius','lhcalInnerR',95),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (3,3900,5000,17,20,100,100,'iron','QD0Double','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `pumps`
--

DROP TABLE IF EXISTS `pumps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pumps` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pumps`
--

LOCK TABLES `pumps` WRITE;
INSERT INTO `pumps` VALUES (2,3180,3280,90,90,105,105,'iron','pumpStation1','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,105,105,125,125,'iron','pumpStation2','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,125,125,145,145,'iron','pumpStation3','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,145,145,165,165,'iron','pumpStation4','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,165,165,185,185,'iron','pumpStation5','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (3,2535,2565,0,95,330,330,'iron','SupportLhcalFront','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(3,3115,3165,0,95,290,290,'iron','SupportLhcalEnd','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(0,3165,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,165,220,220,'iron','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:34
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clic_tubeX05_20`;
USE clic_tubeX05_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clic_tubeX05_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',31),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100),('Lcal_z_begin','lcalBegin',2342.4);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,230,29.5,29.5,30,30,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,29.5,183,30,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(7,2260,3369,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','lhcalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(5,3369,3370,14,17,79.5,79.5,'iron','BeamCalFront','lhcalEnd','lhcalEnd','','','lcalInnerR','lcalInnerR'),(2,3370,4300,17,17,18,18,'iron','BeamCalInnerDnstream','lhcalEnd','','','','',''),(12,3370,4049,14,14,15,15,'iron','BeamCalInnerUpstream','lhcalEnd','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(2,4300,5999,17,17,18,18,'iron','BeamCalInnerDnstream2','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:35
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clic_vxd06`;
USE clic_vxd06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clic_vxd06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,30.7,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,31,125,11,12,0,150,11),(2,31,125,11,12,0,150,11),(3,44,125,11,12,0,150,11),(4,44,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,30.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,30.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clicftd01`;
USE clicftd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clicftd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `ftd1_vtx3_distance_z` double default NULL,
  `ftd7_ecal_distance_z` double default NULL,
  `ftd1_sit1_radial_diff` double default NULL,
  `ftd2_sit1_radial_diff` double default NULL,
  `ftd3_sit2_radial_diff` double default NULL,
  `ftd4to7_tpc_radial_gap` double default NULL,
  `beamtube_clearance` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `outer_cylinder_total_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (95,582,-63,-63,-134,9,2,0.08,0.1,1);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `disk_si_thickness` double default NULL,
  `disk_support_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (2,0.06808,0.05,0.076),(2,0.06894,0.05,0.076),(2,0.08809,0.05,0.076),(2,0.08893,0.05,0.076),(2,0.10851,0.05,0.076),(2,0.10936,0.05,0.076),(3,0.1626,0.275,1.136),(4,0.283,0.275,1.136),(4,0.4536,0.275,1.136),(4,0.6243,0.275,1.136),(7,0,0.275,1.136);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clicmaskX01_20`;
USE clicmaskX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clicmaskX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('magnets',1,0.5,0.2,'-'),('pumps',0.8,0.8,0.8,'w'),('antisolenoid',1,0.5,0,'s'),('support',0.2,0.6,0.2,'w'),('kicker',0.1,0.8,0.8,'w'),('bpm',0.5,0.8,1,'w');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2500),('LHcal_inner_radius','lhcalInnerR',132),('LHcal_zend','lhcalEnd',2600);
UNLOCK TABLES;

--
-- Table structure for table `antisolenoid`
--

DROP TABLE IF EXISTS `antisolenoid`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `antisolenoid` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `antisolenoid`
--

LOCK TABLES `antisolenoid` WRITE;
INSERT INTO `antisolenoid` VALUES (0,4256,7235,401,401,685,685,'iron','','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `bpm`
--

DROP TABLE IF EXISTS `bpm`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `bpm` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `bpm`
--

LOCK TABLES `bpm` WRITE;
INSERT INTO `bpm` VALUES (2,3480,3570,35,35,54,54,'iron','BPM','lhcalEnd','lhcalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `kicker`
--

DROP TABLE IF EXISTS `kicker`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `kicker` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `kicker`
--

LOCK TABLES `kicker` WRITE;
INSERT INTO `kicker` VALUES (1,3580,3880,4,4,25,25,'iron','lhcalEnd','lhcalEnd','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4256,6965,3.83,3.83,35,35,'iron','QD0','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `pumps`
--

DROP TABLE IF EXISTS `pumps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pumps` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pumps`
--

LOCK TABLES `pumps` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (3,2835,2875,0,100,400,400,'tungsten','SupportLhcalEnd','','','','lhcalinnerR','',''),(0,2875,7500,300,300,400,400,'iron','SupportMain','','','','','',''),(3,3181,3461,0,165,299.99,299.99,'iron','SupportBeamCal','lhcalEnd','lhcalEnd','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clictpc01`;
USE clictpc01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clictpc01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default NULL,
  `cathode_cupper` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,0.12,0.05,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(3.964,'TDR_gas'),(0.05,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'copper'),(1,'kapton'),(3,'aluminium');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default NULL,
  `endplate_end_g10_percent` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `clicyoke01`;
USE clicyoke01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: clicyoke01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `muon`
--

DROP TABLE IF EXISTS `muon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `muon` (
  `cell_size` float NOT NULL default '0',
  `Hcal_plug_gap` float NOT NULL default '0',
  `iron_thickness` float NOT NULL default '0',
  `layer_thickness` float NOT NULL default '0',
  `number_of_layers` int(11) NOT NULL default '0',
  `barrel_endcap_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `muon`
--

LOCK TABLES `muon` WRITE;
INSERT INTO `muon` VALUES (30,1,100,40,18,25);
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `materials` varchar(100) default '',
  `thickness` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES ('copper',0.5),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05),('mylar',0.2),('pyrex',2),('RPCGAS1',2),('pyrex',2),('mylar',0.2),('copper',0.05),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05);
UNLOCK TABLES;

--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `symmetry` int(11) default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (12);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:42
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `coil00`;
USE coil00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: coil00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `coil`
--

DROP TABLE IF EXISTS `coil`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `coil` (
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `half_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `coil`
--

LOCK TABLES `coil` WRITE;
INSERT INTO `coil` VALUES (3000,3850,5250);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:42
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch00`;
USE dch00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  `z_place4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-500,-1500,-2500,-3500);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,88,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch01`;
USE dch01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  `z_place4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-660,-1760,-2670,-3770);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,88,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:44
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch01_01`;
USE dch01_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch01_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  `z_place4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-50,-1150,-2060,-3160);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,88,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:45
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch01_01_XY`;
USE dch01_01_XY;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch01_01_XY
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_placeX1` float default '0',
  `z_placeX2` float default '0',
  `z_placeX3` float default '0',
  `z_placeX4` float default '0',
  `z_placeY1` float default '0',
  `z_placeY2` float default '0',
  `z_placeY3` float default '0',
  `z_placeY4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-72,-1172,-2082,-3182,-28,-1128,-2038,-3138);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,44,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:46
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch01_XY`;
USE dch01_XY;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch01_XY
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_placeX1` float default '0',
  `z_placeX2` float default '0',
  `z_placeX3` float default '0',
  `z_placeX4` float default '0',
  `z_placeY1` float default '0',
  `z_placeY2` float default '0',
  `z_placeY3` float default '0',
  `z_placeY4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-682,-1782,-2692,-3792,-638,-1738,-2648,-3748);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,44,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:47
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch02`;
USE dch02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,100,100,-789,-1440,-3288);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.025,0.025,44,0.0015);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:47
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch02_01`;
USE dch02_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch02_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,100,100,-29,-680,-2528);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.025,0.025,44,0.0015);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:48
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch03`;
USE dch03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,100,100,-2084,-2735,-4583);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.025,0.025,44,0.0015);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:49
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch03_01`;
USE dch03_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch03_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,100,100,-29,-680,-2528);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.025,0.025,44,0.0015);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch04`;
USE dch04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_place1` float default '0',
  `z_place2` float default '0',
  `z_place3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,108,108,-2572,-699,-29);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,44,0.0015);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch05`;
USE dch05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_placeX1` float default '0',
  `z_placeX2` float default '0',
  `z_placeX3` float default '0',
  `z_placeY1` float default '0',
  `z_placeY2` float default '0',
  `z_placeY3` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,100,100,-43.5,-713.5,-2586.5,-14.5,-684.5,-2557.5);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,29,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch06`;
USE dch06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `dch_virt`
--

DROP TABLE IF EXISTS `dch_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `dch_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `dch_dim_x` float default '0',
  `dch_dim_y` float default '0',
  `z_placeX1` float default '0',
  `z_placeX2` float default '0',
  `z_placeX3` float default '0',
  `z_placeX4` float default '0',
  `z_placeY1` float default '0',
  `z_placeY2` float default '0',
  `z_placeY3` float default '0',
  `z_placeY4` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `dch_virt`
--

LOCK TABLES `dch_virt` WRITE;
INSERT INTO `dch_virt` VALUES (1,72,72,-66,-1062,-2139,-3127,-22,-1018,-2095,-3083);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` tinyint(4) NOT NULL auto_increment,
  `winfront_thickness` float default '0',
  `winback_thickness` float default '0',
  `dch_thickness` float default '0',
  `gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.02,0.02,44,1.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dch07`;
USE dch07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: dch07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `wch_cern_2010_layerthickness_virt`
--

DROP TABLE IF EXISTS `wch_cern_2010_layerthickness_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `wch_cern_2010_layerthickness_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wirechamber_kapton_windowback_hthickness` float default '0',
  `wirechamber_kapton_windowfront_hthickness` float default '0',
  `wirechamber_thickness` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `wch_cern_2010_layerthickness_virt`
--

LOCK TABLES `wch_cern_2010_layerthickness_virt` WRITE;
INSERT INTO `wch_cern_2010_layerthickness_virt` VALUES (1,0.025,0.025,56);
UNLOCK TABLES;

--
-- Table structure for table `wch_cern_2010_materials_virt`
--

DROP TABLE IF EXISTS `wch_cern_2010_materials_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `wch_cern_2010_materials_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `Wire_chambers_CO2_density` float default '0',
  `Wire_chambers_ArCON2_density` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `wch_cern_2010_materials_virt`
--

LOCK TABLES `wch_cern_2010_materials_virt` WRITE;
INSERT INTO `wch_cern_2010_materials_virt` VALUES (1,0.00198,0.001821);
UNLOCK TABLES;

--
-- Table structure for table `wch_cern_2010_virt`
--

DROP TABLE IF EXISTS `wch_cern_2010_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `wch_cern_2010_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `wirechamber_z_placeX1` float default '0',
  `wirechamber_z_placeX2` float default '0',
  `wirechamber_z_placeX3` float default '0',
  `wirechamber_z_placeY1` float default '0',
  `wirechamber_z_placeY2` float default '0',
  `wirechamber_z_placeY3` float default '0',
  `wirechamber_X_dimension` float default '0',
  `wirechamber_Y_dimension` float default '0',
  `wirechamber_gas_pressure` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `wch_cern_2010_virt`
--

LOCK TABLES `wch_cern_2010_virt` WRITE;
INSERT INTO `wch_cern_2010_virt` VALUES (1,-18,-411,-659,-33,-426,-674,110,110,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal01`;
USE ecal01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2164),(2,-1082),(3,0),(4,1082),(5,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1080,131.522,1792,1079.8,2.1,1079.8,0,10,10.0916);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2911,0),(2,-2911,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_dim_xy` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `al_front_plate_dim_z` float default NULL,
  `al_back_plate_dim_z` float default NULL,
  `al_front_plate_z_offset` float default NULL,
  `al_back_plate_z_offset` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,3870,600,5,20,2806.5,3028,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:46:57
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal01j`;
USE ecal01j;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal01j
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2164),(2,-1082),(3,0),(4,1082),(5,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1080,131.522,1792,1079.8,2.1,1079.8,0,10,10.0916);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2911,0),(2,-2911,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_dim_xy` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `al_front_plate_dim_z` float default NULL,
  `al_back_plate_dim_z` float default NULL,
  `al_front_plate_z_offset` float default NULL,
  `al_back_plate_z_offset` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,723.126,1162.87,1620.3,810.149,2184.8,1584.8,2.1,2184.8,1584.8,1,3870,739.748,5,20,2806.5,3028,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:01
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal02`;
USE ecal02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1092,131.522,1792,1091.8,2.1,1091.8,0,10,10.0165);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2924,0),(2,-2924,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:05
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal02j`;
USE ecal02j;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal02j
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1092,131.522,1792,1091.8,2.1,1091.8,0,10,10.0165);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2924,0),(2,-2924,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,674.865,1211.14,1660.28,830.14,2184.8,1584.8,2.1,2184.8,1584.8,1,836.27,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:08
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal03`;
USE ecal03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-1786),(2,-893),(3,0),(4,893),(5,1786);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,892,131.522,1792,891.8,2.1,891.8,0,10,10.0202);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2424,0),(2,-2424,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:12
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal04`;
USE ecal04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1092,131.522,1792,1091.8,2.1,1091.8,0,10,10.031);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,6,6,1,0.15,3);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2924,0),(2,-2924,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:16
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal05`;
USE ecal05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1092,131.522,1792,1091.8,2.1,1091.8,0,1,1.00106);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,6,6,1,0.15,3,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2924,0),(2,-2924,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:20
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal06`;
USE ecal06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-70.25,1603.62,-72.35,0,2.1,-1.8077,1600),(2,-66.05,1595.22,-68.15,0,2.1,-2.6077,1590),(3,-61.85,1586.82,-63.95,0,2.1,-3.4078,1580),(4,-57.65,1578.42,-59.75,0,2.1,-4.2078,1570),(5,-53.45,1570.02,-55.55,0,2.1,-0.0078,1570),(6,-49.25,1561.62,-51.35,0,2.1,-0.8077,1560),(7,-45.05,1553.22,-47.15,0,2.1,-1.6077,1550),(8,-40.85,1544.82,-42.95,0,2.1,-2.4078,1540),(9,-36.65,1536.42,-38.75,0,2.1,-3.2078,1530),(10,-32.45,1528.02,-34.55,0,2.1,-4.0078,1520),(11,-28.25,1519.62,-30.35,0,2.1,-4.8077,1510),(12,-24.05,1511.22,-26.15,0,2.1,-0.6077,1510),(13,-19.85,1502.82,-21.95,0,2.1,-1.4078,1500),(14,-15.65,1494.42,-17.75,0,2.1,-2.2078,1490),(15,-11.45,1486.02,-13.55,0,2.1,-3.0078,1480),(16,-7.25,1477.62,-9.35,0,2.1,-3.8077,1470),(17,-3.05,1469.22,-5.15,0,2.1,-4.6077,1460),(18,1.15,1460.82,-0.95,0,2.1,-0.4078,1460),(19,5.35,1452.42,3.25,0,2.1,-1.2078,1450),(20,9.55,1444.02,7.45,0,2.1,-2.0078,1440),(21,15.85,1431.42,12.7,0,4.2,-0.7078,1430),(22,22.15,1418.82,19,0,4.2,-4.4078,1410),(23,28.45,1406.22,25.3,0,4.2,-3.1077,1400),(24,34.75,1393.62,31.6,0,4.2,-1.8077,1390),(25,41.05,1381.02,37.9,0,4.2,-0.5078,1380),(26,47.35,1368.42,44.2,0,4.2,-4.2078,1360),(27,53.65,1355.82,50.5,0,4.2,-2.9078,1350),(28,59.95,1343.22,56.8,0,4.2,-1.6077,1340),(29,66.25,1330.62,63.1,0,4.2,-0.3077,1330),(30,72.55,1318.02,69.4,0,4.2,-4.0078,1310);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1612.22,1318.22,147,1092,105.359,1773.5,1091.8,1.7,1091.8,0,1,1.00024);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1607.42),(2,1599.02),(3,1590.62),(4,1582.22),(5,1573.82),(6,1565.42),(7,1557.02),(8,1548.62),(9,1540.22),(10,1531.82),(11,1523.42),(12,1515.02),(13,1506.62),(14,1498.22),(15,1489.82),(16,1481.42),(17,1473.02),(18,1464.62),(19,1456.22),(20,1447.82),(21,1435.22),(22,1422.62),(23,1410.02),(24,1397.42),(25,1384.82),(26,1372.22),(27,1359.62),(28,1347.02),(29,1334.42),(30,1321.82);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.6,60,60,1,0.15,3,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2905.5,0),(2,-2905.5,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-72.35,2.1,-70.25),(2,-68.15,2.1,-66.05),(3,-63.95,2.1,-61.85),(4,-59.75,2.1,-57.65),(5,-55.55,2.1,-53.45),(6,-51.35,2.1,-49.25),(7,-47.15,2.1,-45.05),(8,-42.95,2.1,-40.85),(9,-38.75,2.1,-36.65),(10,-34.55,2.1,-32.45),(11,-30.35,2.1,-28.25),(12,-26.15,2.1,-24.05),(13,-21.95,2.1,-19.85),(14,-17.75,2.1,-15.65),(15,-13.55,2.1,-11.45),(16,-9.35,2.1,-7.25),(17,-5.15,2.1,-3.05),(18,-0.95,2.1,1.15),(19,3.25,2.1,5.35),(20,7.45,2.1,9.55),(21,12.7,4.2,15.85),(22,19,4.2,22.15),(23,25.3,4.2,28.45),(24,31.6,4.2,34.75),(25,37.9,4.2,41.05),(26,44.2,4.2,47.35),(27,50.5,4.2,53.65),(28,56.8,4.2,59.95),(29,63.1,4.2,66.25),(30,69.4,4.2,72.55);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,147,793,1093,1562.41,781.207,2184.8,1584.8,1.7,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:24
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal07`;
USE ecal07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-94.19,1672.37,-96.92,0,3.36,-1.186,1670),(2,-88.73,1661.45,-91.46,0,3.36,-0.726,1660),(3,-83.27,1650.53,-86,0,3.36,-0.2659,1650),(4,-77.81,1639.61,-80.54,0,3.36,-4.806,1630),(5,-72.35,1628.69,-75.08,0,3.36,-4.3459,1620),(6,-66.89,1617.77,-69.62,0,3.36,-3.8859,1610),(7,-61.43,1606.85,-64.16,0,3.36,-3.426,1600),(8,-55.97,1595.93,-58.7,0,3.36,-2.9659,1590),(9,-50.51,1585.01,-53.24,0,3.36,-2.5059,1580),(10,-45.05,1574.09,-47.78,0,3.36,-2.046,1570),(11,-39.59,1563.17,-42.32,0,3.36,-1.5859,1560),(12,-34.13,1552.25,-36.86,0,3.36,-1.126,1550),(13,-28.67,1541.33,-31.4,0,3.36,-0.666,1540),(14,-23.21,1530.41,-25.94,0,3.36,-0.2059,1530),(15,-17.75,1519.49,-20.48,0,3.36,-4.746,1510),(16,-12.29,1508.57,-15.02,0,3.36,-4.2859,1500),(17,-6.83,1497.65,-9.56,0,3.36,-3.8259,1490),(18,-1.37,1486.73,-4.1,0,3.36,-3.366,1480),(19,4.09,1475.81,1.36,0,3.36,-2.9059,1470),(20,9.55,1464.89,6.82,0,3.36,-2.4459,1460),(21,18.37,1447.25,13.96,0,6.72,-3.626,1440),(22,27.19,1429.61,22.78,0,6.72,-4.806,1420),(23,36.01,1411.97,31.6,0,6.72,-0.986,1410),(24,44.83,1394.33,40.42,0,6.72,-2.166,1390),(25,53.65,1376.69,49.24,0,6.72,-3.3459,1370),(26,62.47,1359.05,58.06,0,6.72,-4.5259,1350),(27,71.29,1341.41,66.88,0,6.72,-0.7059,1340),(28,80.11,1323.77,75.7,0,6.72,-1.8859,1320),(29,88.93,1306.13,84.52,0,6.72,-3.066,1300),(30,97.75,1288.49,93.34,0,6.72,-4.246,1280);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1683.49,1288.69,197.4,1092,140.997,1798.7,1091.8,1.7,1091.8,0,1,1.0007);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1676.17),(2,1665.25),(3,1654.33),(4,1643.41),(5,1632.49),(6,1621.57),(7,1610.65),(8,1599.73),(9,1588.81),(10,1577.89),(11,1566.97),(12,1556.05),(13,1545.13),(14,1534.21),(15,1523.29),(16,1512.37),(17,1501.45),(18,1490.53),(19,1479.61),(20,1468.69),(21,1451.05),(22,1433.41),(23,1415.77),(24,1398.13),(25,1380.49),(26,1362.85),(27,1345.21),(28,1327.57),(29,1309.93),(30,1292.29);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.6,6,6,1,0.15,3,'lead');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2930.7,0),(2,-2930.7,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-96.92,3.36,-94.19),(2,-91.46,3.36,-88.73),(3,-86,3.36,-83.27),(4,-80.54,3.36,-77.81),(5,-75.08,3.36,-72.35),(6,-69.62,3.36,-66.89),(7,-64.16,3.36,-61.43),(8,-58.7,3.36,-55.97),(9,-53.24,3.36,-50.51),(10,-47.78,3.36,-45.05),(11,-42.32,3.36,-39.59),(12,-36.86,3.36,-34.13),(13,-31.4,3.36,-28.67),(14,-25.94,3.36,-23.21),(15,-20.48,3.36,-17.75),(16,-15.02,3.36,-12.29),(17,-9.56,3.36,-6.83),(18,-4.1,3.36,-1.37),(19,1.36,3.36,4.09),(20,6.82,3.36,9.55),(21,13.96,6.72,18.37),(22,22.78,6.72,27.19),(23,31.6,6.72,36.01),(24,40.42,6.72,44.83),(25,49.24,6.72,53.65),(26,58.06,6.72,62.47),(27,66.88,6.72,71.29),(28,75.7,6.72,80.11),(29,84.52,6.72,88.93),(30,93.34,6.72,97.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,197.4,793,1093,1562.41,781.207,2184.8,1584.8,1.7,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:28
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal08`;
USE ecal08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-89.25,1656.54,-91.2,0,1.4,-3.2707,1650),(2,-85.35,1648.74,-87.3,0,1.4,-4.3707,1640),(3,-81.45,1640.94,-83.4,0,1.4,-0.4707,1640),(4,-77.55,1633.14,-79.5,0,1.4,-1.5707,1630),(5,-73.65,1625.34,-75.6,0,1.4,-2.6707,1620),(6,-69.75,1617.54,-71.7,0,1.4,-3.7707,1610),(7,-65.85,1609.74,-67.8,0,1.4,-4.8707,1600),(8,-61.95,1601.94,-63.9,0,1.4,-0.9707,1600),(9,-58.05,1594.14,-60,0,1.4,-2.0707,1590),(10,-54.15,1586.34,-56.1,0,1.4,-3.1707,1580),(11,-50.25,1578.54,-52.2,0,1.4,-4.2707,1570),(12,-46.35,1570.74,-48.3,0,1.4,-0.3707,1570),(13,-42.45,1562.94,-44.4,0,1.4,-1.4707,1560),(14,-38.55,1555.14,-40.5,0,1.4,-2.5707,1550),(15,-34.65,1547.34,-36.6,0,1.4,-3.6707,1540),(16,-30.75,1539.54,-32.7,0,1.4,-4.7707,1530),(17,-26.85,1531.74,-28.8,0,1.4,-0.8707,1530),(18,-22.95,1523.94,-24.9,0,1.4,-1.9707,1520),(19,-19.05,1516.14,-21,0,1.4,-3.0707,1510),(20,-15.15,1508.34,-17.1,0,1.4,-4.1707,1500),(21,-11.25,1500.54,-13.2,0,1.4,-0.2707,1500),(22,-7.35,1492.74,-9.3,0,1.4,-1.3707,1490),(23,-3.45,1484.94,-5.4,0,1.4,-2.4707,1480),(24,0.45,1477.14,-1.5,0,1.4,-3.5707,1470),(25,4.35,1469.34,2.4,0,1.4,-4.6707,1460),(26,8.25,1461.54,6.3,0,1.4,-0.7707,1460),(27,12.15,1453.74,10.2,0,1.4,-1.8707,1450),(28,16.05,1445.94,14.1,0,1.4,-2.9707,1440),(29,19.95,1438.14,18,0,1.4,-4.0707,1430),(30,23.85,1430.34,21.9,0,1.4,-0.1707,1430),(31,30.55,1416.94,27.2,0,4.2,-3.4707,1410),(32,37.25,1403.54,33.9,0,4.2,-1.7707,1400),(33,43.95,1390.14,40.6,0,4.2,-0.0707,1390),(34,50.65,1376.74,47.3,0,4.2,-3.3707,1370),(35,57.35,1363.34,54,0,4.2,-1.6707,1360),(36,64.05,1349.94,60.7,0,4.2,-4.9707,1340),(37,70.75,1336.54,67.4,0,4.2,-3.2707,1330),(38,77.45,1323.14,74.1,0,4.2,-1.5707,1320),(39,84.15,1309.74,80.8,0,4.2,-4.8707,1300),(40,90.85,1296.34,87.5,0,4.2,-3.1707,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1664.54,1296.54,184,1092,131.522,1792,1091.8,2.1,1091.8,0,3,3.00771);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30),(0,31,31),(0,32,32),(0,33,33),(0,34,34),(0,35,35),(0,36,36),(0,37,37),(0,38,38),(0,39,39),(0,40,40);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1661.14),(2,1653.34),(3,1645.54),(4,1637.74),(5,1629.94),(6,1622.14),(7,1614.34),(8,1606.54),(9,1598.74),(10,1590.94),(11,1583.14),(12,1575.34),(13,1567.54),(14,1559.74),(15,1551.94),(16,1544.14),(17,1536.34),(18,1528.54),(19,1520.74),(20,1512.94),(21,1505.14),(22,1497.34),(23,1489.54),(24,1481.74),(25,1473.94),(26,1466.14),(27,1458.34),(28,1450.54),(29,1442.74),(30,1434.94),(31,1421.54),(32,1408.14),(33,1394.74),(34,1381.34),(35,1367.94),(36,1354.54),(37,1341.14),(38,1327.74),(39,1314.34),(40,1300.94);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,6,6,1,0.15,3,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2924,0),(2,-2924,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-91.2,1.4,-89.25),(2,-87.3,1.4,-85.35),(3,-83.4,1.4,-81.45),(4,-79.5,1.4,-77.55),(5,-75.6,1.4,-73.65),(6,-71.7,1.4,-69.75),(7,-67.8,1.4,-65.85),(8,-63.9,1.4,-61.95),(9,-60,1.4,-58.05),(10,-56.1,1.4,-54.15),(11,-52.2,1.4,-50.25),(12,-48.3,1.4,-46.35),(13,-44.4,1.4,-42.45),(14,-40.5,1.4,-38.55),(15,-36.6,1.4,-34.65),(16,-32.7,1.4,-30.75),(17,-28.8,1.4,-26.85),(18,-24.9,1.4,-22.95),(19,-21,1.4,-19.05),(20,-17.1,1.4,-15.15),(21,-13.2,1.4,-11.25),(22,-9.3,1.4,-7.35),(23,-5.4,1.4,-3.45),(24,-1.5,1.4,0.45),(25,2.4,1.4,4.35),(26,6.3,1.4,8.25),(27,10.2,1.4,12.15),(28,14.1,1.4,16.05),(29,18,1.4,19.95),(30,21.9,1.4,23.85),(31,27.2,4.2,30.55),(32,33.9,4.2,37.25),(33,40.6,4.2,43.95),(34,47.3,4.2,50.65),(35,54,4.2,57.35),(36,60.7,4.2,64.05),(37,67.4,4.2,70.75),(38,74.1,4.2,77.45),(39,80.8,4.2,84.15),(40,87.5,4.2,90.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,184,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:31
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ecal20`;
USE ecal20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ecal20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=21;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-62.85,1583.03,-65.5,0,2.8,-1.5153,1580),(2,-57.55,1572.43,-60.2,0,2.8,-1.2153,1570),(3,-52.25,1561.83,-54.9,0,2.8,-0.9153,1560),(4,-46.95,1551.23,-49.6,0,2.8,-0.6154,1550),(5,-41.65,1540.63,-44.3,0,2.8,-0.3154,1540),(6,-36.35,1530.03,-39,0,2.8,-0.0153,1530),(7,-31.05,1519.43,-33.7,0,2.8,-4.7153,1510),(8,-25.75,1508.83,-28.4,0,2.8,-4.4153,1500),(9,-20.45,1498.23,-23.1,0,2.8,-4.1154,1490),(10,-15.15,1487.63,-17.8,0,2.8,-3.8154,1480),(11,-9.85,1477.03,-12.5,0,2.8,-3.5153,1470),(12,-4.55,1466.43,-7.2,0,2.8,-3.2153,1460),(13,0.75,1455.83,-1.9,0,2.8,-2.9153,1450),(14,6.05,1445.23,3.4,0,2.8,-2.6154,1440),(15,11.35,1434.63,8.7,0,2.8,-2.3154,1430),(16,22.25,1412.83,16.8,0,8.4,-1.4153,1410),(17,33.15,1391.03,27.7,0,8.4,-0.5153,1390),(18,44.05,1369.23,38.6,0,8.4,-4.6154,1360),(19,54.95,1347.43,49.5,0,8.4,-3.7153,1340),(20,65.85,1325.63,60.4,0,8.4,-2.8154,1320);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1593.83,1325.83,134,1092,96.1665,1767,1091.8,2.1,1091.8,0,10,10.0165);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=21;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1587.63),(2,1577.03),(3,1566.43),(4,1555.83),(5,1545.23),(6,1534.63),(7,1524.03),(8,1513.43),(9,1502.83),(10,1492.23),(11,1481.63),(12,1471.03),(13,1460.43),(14,1449.83),(15,1439.23),(16,1417.43),(17,1395.63),(18,1373.83),(19,1352.03),(20,1330.23);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `radiator` char(80) default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.8,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2899,0),(2,-2899,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=21;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-65.5,2.8,-62.85),(2,-60.2,2.8,-57.55),(3,-54.9,2.8,-52.25),(4,-49.6,2.8,-46.95),(5,-44.3,2.8,-41.65),(6,-39,2.8,-36.35),(7,-33.7,2.8,-31.05),(8,-28.4,2.8,-25.75),(9,-23.1,2.8,-20.45),(10,-17.8,2.8,-15.15),(11,-12.5,2.8,-9.85),(12,-7.2,2.8,-4.55),(13,-1.9,2.8,0.75),(14,3.4,2.8,6.05),(15,8.7,2.8,11.35),(16,16.8,8.4,22.25),(17,27.7,8.4,33.15),(18,38.6,8.4,44.05),(19,49.5,8.4,54.95),(20,60.4,8.4,65.85);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,134,793,1093,1562.41,781.207,2184.8,1584.8,2.1,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:35
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `etd00`;
USE etd00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: etd00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `drInnerGap` double default NULL,
  `drOuterGap` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (0,90);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `etd01`;
USE etd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: etd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ETD`
--

DROP TABLE IF EXISTS `ETD`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ETD` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=4;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ETD`
--

LOCK TABLES `ETD` WRITE;
INSERT INTO `ETD` VALUES (1,305,2368,0.275,1),(2,305,2368,0.275,1),(3,305,2368,0.275,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `etd03`;
USE etd03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: etd03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ETD`
--

DROP TABLE IF EXISTS `ETD`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ETD` (
  `etd3_ecalendcap_distance_z` float NOT NULL default '0',
  `etd_ecalplug_radial_clearance` float NOT NULL default '0',
  `etd_tpcOuterR_radial_diff` float NOT NULL default '0',
  `layer_separation_z` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ETD`
--

LOCK TABLES `ETD` WRITE;
INSERT INTO `ETD` VALUES (20,5,14.7,2,0.275,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc00`;
USE fc00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,100,5,5,100,5,-2197.5,-2182.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc00_01`;
USE fc00_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc00_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,100,5,5,100,5,-1587.5,-1572.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc01`;
USE fc01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,30,30,200,200,15,-3872.5,-1285.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc01_01`;
USE fc01_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc01_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,30,30,200,200,15,-3112.5,-525.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc02`;
USE fc02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,30,30,200,200,15,-578.5,-2580.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fc02_01`;
USE fc02_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fc02_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `fc_virt`
--

DROP TABLE IF EXISTS `fc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `fc_dim_x1` double NOT NULL default '0',
  `fc_dim_y1` double NOT NULL default '0',
  `fc_dim_x2` double NOT NULL default '0',
  `fc_dim_y2` double NOT NULL default '0',
  `fc_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fc_virt`
--

LOCK TABLES `fc_virt` WRITE;
INSERT INTO `fc_virt` VALUES (1,30,30,200,200,15,1476.5,-525.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `field00`;
USE field00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: field00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `field_map`
--

DROP TABLE IF EXISTS `field_map`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `field_map` (
  `zmin` float default NULL,
  `zmax` float default NULL,
  `rmin` float default NULL,
  `rmax` float default NULL,
  `mag_field_x` float default NULL,
  `mag_field_y` float default NULL,
  `mag_field_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `field_map`
--

LOCK TABLES `field_map` WRITE;
INSERT INTO `field_map` VALUES (0,5000,0,3200,0,0,4);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `field01`;
USE field01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: field01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `field_map`
--

DROP TABLE IF EXISTS `field_map`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `field_map` (
  `zmin` float default NULL,
  `zmax` float default NULL,
  `rmin` float default NULL,
  `rmax` float default NULL,
  `mag_field_x` float default NULL,
  `mag_field_y` float default NULL,
  `mag_field_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `field_map`
--

LOCK TABLES `field_map` WRITE;
INSERT INTO `field_map` VALUES (0,5000,0,3200,0,0,4),(0,5000,3200,6000,0,0,-2.52);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX00LDCv2`;
USE fieldX00LDCv2;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX00LDCv2
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `LDC_z_Bz_BxDID`
--

DROP TABLE IF EXISTS `LDC_z_Bz_BxDID`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDC_z_Bz_BxDID` (
  `z` double default NULL,
  `Bz` double default NULL,
  `Bx` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDC_z_Bz_BxDID`
--

LOCK TABLES `LDC_z_Bz_BxDID` WRITE;
INSERT INTO `LDC_z_Bz_BxDID` VALUES (0,4,0),(0.01,4,-0.00050477562),(0.02,4,-0.0010095248),(0.03,4,-0.0015142212),(0.04,4,-0.0020188384),(0.05,4,-0.00252335),(0.06,4,-0.0030277295),(0.07,4,-0.0035319507),(0.08,4,-0.0040359871),(0.09,4,-0.0045398124),(0.1,4,-0.0050434001),(0.11,4,-0.0055467241),(0.12,4,-0.0060497579),(0.13,4,-0.0065524752),(0.14,4,-0.0070548498),(0.15,4,-0.0075568553),(0.16,4,-0.0080584656),(0.17,4,-0.0085596543),(0.18,4,-0.0090603954),(0.19,4,-0.0095606625),(0.2,4,-0.01006043),(0.21,4,-0.010559671),(0.22,4,-0.011058359),(0.23,4,-0.01155647),(0.24,4,-0.012053976),(0.25,4,-0.012550851),(0.26,4,-0.013047071),(0.27,4,-0.013542608),(0.28,4,-0.014037437),(0.29,4,-0.014531532),(0.3,4,-0.015024868),(0.31,4,-0.015517418),(0.32,4,-0.016009156),(0.33,4,-0.016500058),(0.34,4,-0.016990098),(0.35,4,-0.017479249),(0.36,4,-0.017967487),(0.37,4,-0.018454785),(0.38,4,-0.01894112),(0.39,4,-0.019426464),(0.4,4,-0.019910794),(0.41,4,-0.020394083),(0.42,4,-0.020876307),(0.43,4,-0.02135744),(0.44,4,-0.021837458),(0.45,4,-0.022316335),(0.46,4,-0.022794046),(0.47,4,-0.023270567),(0.48,4,-0.023745873),(0.49,4,-0.024219939),(0.5,4,-0.024692741),(0.51,4,-0.025164254),(0.52,4,-0.025634453),(0.53,4,-0.026103314),(0.54,4,-0.026570813),(0.55,4,-0.027036926),(0.56,4,-0.027501628),(0.57,4,-0.027964895),(0.58,4,-0.028426704),(0.59,4,-0.02888703),(0.6,4,-0.02934585),(0.61,4,-0.029803139),(0.62,4,-0.030258875),(0.63,4,-0.030713034),(0.64,4,-0.031165592),(0.65,4,-0.031616526),(0.66,4,-0.032065813),(0.67,4,-0.032513429),(0.68,4,-0.032959352),(0.69,4,-0.033403559),(0.7,4,-0.033846026),(0.71,4,-0.034286732),(0.72,4,-0.034725653),(0.73,4,-0.035162767),(0.74,4,-0.035598052),(0.75,4,-0.036031485),(0.76,4,-0.036463044),(0.77,4,-0.036892708),(0.78,4,-0.037320453),(0.79,4,-0.037746259),(0.8,4,-0.038170104),(0.81,4,-0.038591966),(0.82,4,-0.039011824),(0.83,4,-0.039429656),(0.84,4,-0.039845442),(0.85,4,-0.04025916),(0.86,4,-0.040670789),(0.87,4,-0.041080309),(0.88,4,-0.041487699),(0.89,4,-0.041892938),(0.9,4,-0.042296006),(0.91,4,-0.042696883),(0.92,4,-0.043095549),(0.93,4,-0.043491983),(0.94,4,-0.043886167),(0.95,4,-0.04427808),(0.96,4,-0.044667702),(0.97,4,-0.045055016),(0.98,4,-0.04544),(0.99,4,-0.045822637),(1,4,-0.046202907),(1.01,4,-0.046580792),(1.02,4,-0.046956273),(1.03,4,-0.047329332),(1.04,4,-0.04769995),(1.05,4,-0.048068109),(1.06,4,-0.048433792),(1.07,4,-0.04879698),(1.08,4,-0.049157657),(1.09,4,-0.049515804),(1.1,4,-0.049871404),(1.11,4,-0.050224441),(1.12,4,-0.050574897),(1.13,4,-0.050922756),(1.14,4,-0.051268),(1.15,4,-0.051610615),(1.16,4,-0.051950583),(1.17,4,-0.052287888),(1.18,4,-0.052622516),(1.19,4,-0.052954449),(1.2,4,-0.053283673),(1.21,4,-0.053610172),(1.22,4,-0.053933931),(1.23,4,-0.054254936),(1.24,4,-0.054573172),(1.25,4,-0.054888623),(1.26,4,-0.055201277),(1.27,4,-0.055511118),(1.28,4,-0.055818133),(1.29,4,-0.056122308),(1.3,4,-0.05642363),(1.31,4,-0.056722085),(1.32,4,-0.057017661),(1.33,4,-0.057310343),(1.34,4,-0.05760012),(1.35,4,-0.05788698),(1.36,4,-0.058170909),(1.37,4,-0.058451896),(1.38,4,-0.058729929),(1.39,4,-0.059004996),(1.4,4,-0.059277086),(1.41,4,-0.059546188),(1.42,4,-0.05981229),(1.43,4,-0.060075383),(1.44,4,-0.060335454),(1.45,4,-0.060592495),(1.46,4,-0.060846495),(1.47,4,-0.061097443),(1.48,4,-0.061345331),(1.49,4,-0.061590149),(1.5,4,-0.061831887),(1.51,4,-0.062070537),(1.52,4,-0.06230609),(1.53,4,-0.062538537),(1.54,4,-0.062767871),(1.55,4,-0.062994082),(1.56,4,-0.063217164),(1.57,4,-0.063437108),(1.58,4,-0.063653907),(1.59,4,-0.063867555),(1.6,4,-0.064078043),(1.61,4.0000001,-0.064285366),(1.62,4.0000002,-0.064489517),(1.63,4.0000003,-0.06469049),(1.64,4.0000005,-0.064888279),(1.65,4.0000006,-0.065082878),(1.66,4.0000008,-0.065274282),(1.67,4.000001,-0.065462486),(1.68,4.0000011,-0.065647484),(1.69,4.0000012,-0.065829272),(1.7,4.0000012,-0.066007845),(1.71,4.0000011,-0.066183199),(1.72,4.0000009,-0.066355331),(1.73,4.0000006,-0.066524236),(1.74,4.0000002,-0.06668991),(1.75,3.9999998,-0.066852351),(1.76,3.9999995,-0.067011556),(1.77,3.9999993,-0.067167521),(1.78,3.9999993,-0.067320244),(1.79,3.9999997,-0.067469724),(1.8,4.0000005,-0.067615957),(1.81,4.0000017,-0.067758943),(1.82,4.0000033,-0.067898679),(1.83,4.0000051,-0.068035164),(1.84,4.0000069,-0.068168398),(1.85,4.0000084,-0.068298379),(1.86,4.0000094,-0.068425107),(1.87,4.0000095,-0.068548582),(1.88,4.0000083,-0.068668804),(1.89,4.0000056,-0.068785772),(1.9,4.0000013,-0.068899488),(1.91,3.9999956,-0.069009952),(1.92,3.9999889,-0.069117166),(1.93,3.9999819,-0.069221129),(1.94,3.9999757,-0.069321845),(1.95,3.9999714,-0.069419314),(1.96,3.9999704,-0.069513538),(1.97,3.999974,-0.06960452),(1.98,3.999983,-0.069692263),(1.99,3.9999978,-0.069776768),(2,4.0000182,-0.06985804),(2.01,4.0000425,-0.069936081),(2.02,4.0000683,-0.070010894),(2.03,4.0000918,-0.070082484),(2.04,4.0001084,-0.070150855),(2.05,4.0001124,-0.07021601),(2.06,4.0000978,-0.070277954),(2.07,4.0000586,-0.070336693),(2.08,3.9999897,-0.07039223),(2.09,3.9998867,-0.070444571),(2.1,3.9997473,-0.070493723),(2.11,3.9995709,-0.070539689),(2.12,3.999359,-0.070582477),(2.13,3.9991148,-0.070622092),(2.14,3.9988432,-0.070658542),(2.15,3.9985498,-0.070691832),(2.16,3.998241,-0.070721969),(2.17,3.9979228,-0.070748962),(2.18,3.9976008,-0.070772817),(2.19,3.9972795,-0.070793542),(2.2,3.9969624,-0.070811145),(2.21,3.9966513,-0.070825634),(2.22,3.9963472,-0.070837017),(2.23,3.9960495,-0.070845304),(2.24,3.9957567,-0.070850502),(2.25,3.9954666,-0.070852622),(2.26,3.9951765,-0.070851672),(2.27,3.9948839,-0.070847662),(2.28,3.9945867,-0.070840602),(2.29,3.9942835,-0.070830501),(2.3,3.993974,-0.070817371),(2.31,3.9936594,-0.070801221),(2.32,3.9933421,-0.070782062),(2.33,3.9930259,-0.070759906),(2.34,3.9927159,-0.070734763),(2.35,3.9924179,-0.070706645),(2.36,3.9921382,-0.070675564),(2.37,3.9918828,-0.070641531),(2.38,3.9916572,-0.070604558),(2.39,3.9914655,-0.070564657),(2.4,3.9913102,-0.070521842),(2.41,3.9911917,-0.070476125),(2.42,3.9911087,-0.070427518),(2.43,3.9910578,-0.070376035),(2.44,3.9910344,-0.07032169),(2.45,3.991033,-0.070264495),(2.46,3.9910476,-0.070204465),(2.47,3.9910725,-0.070141614),(2.48,3.9911024,-0.070075955),(2.49,3.9911332,-0.070007503),(2.5,3.9911616,-0.069936273),(2.51,3.9911855,-0.069862279),(2.52,3.9912038,-0.069785536),(2.53,3.9912162,-0.069706061),(2.54,3.9912234,-0.069623867),(2.55,3.9912262,-0.06953897),(2.56,3.9912259,-0.069451387),(2.57,3.9912235,-0.069361133),(2.58,3.9912201,-0.069268224),(2.59,3.9912163,-0.069172677),(2.6,3.9912126,-0.069074507),(2.61,3.9912089,-0.068973733),(2.62,3.9912052,-0.068870369),(2.63,3.9912011,-0.068764435),(2.64,3.9911965,-0.068655946),(2.65,3.9911911,-0.06854492),(2.66,3.9911853,-0.068431374),(2.67,3.9911794,-0.068315327),(2.68,3.9911742,-0.068196796),(2.69,3.9911704,-0.068075799),(2.7,3.9911691,-0.067952354),(2.71,3.9911709,-0.06782648),(2.72,3.9911762,-0.067698194),(2.73,3.9911843,-0.067567517),(2.74,3.9911936,-0.067434466),(2.75,3.9912015,-0.06729906),(2.76,3.9912038,-0.067161319),(2.77,3.9911957,-0.067021261),(2.78,3.9911715,-0.066878907),(2.79,3.9911259,-0.066734275),(2.8,3.9910537,-0.066587385),(2.81,3.9909512,-0.066438258),(2.82,3.9908163,-0.066286912),(2.83,3.9906485,-0.066133368),(2.84,3.9904497,-0.065977646),(2.85,3.9902231,-0.065819766),(2.86,3.9899737,-0.065659749),(2.87,3.989707,-0.065497615),(2.88,3.9894287,-0.065333385),(2.89,3.9891443,-0.065167079),(2.9,3.9888578,-0.064998719),(2.91,3.9885722,-0.064828325),(2.92,3.9882882,-0.064655919),(2.93,3.9880052,-0.064481521),(2.94,3.9877205,-0.064305153),(2.95,3.9874299,-0.064126837),(2.96,3.9871285,-0.063946592),(2.97,3.9868102,-0.063764442),(2.98,3.9864691,-0.063580408),(2.99,3.9860996,-0.063394511),(3,3.985697,-0.063206774),(3.01,3.9852575,-0.063017218),(3.02,3.9847792,-0.062825865),(3.03,3.9842615,-0.062632737),(3.04,3.9837059,-0.062437856),(3.05,3.9831151,-0.062241245),(3.06,3.982493,-0.062042926),(3.07,3.9818442,-0.06184292),(3.08,3.981173,-0.061641251),(3.09,3.9804827,-0.061437941),(3.1,3.9797753,-0.061233012),(3.11,3.9790503,-0.061026486),(3.12,3.9783052,-0.060818387),(3.13,3.977535,-0.060608737),(3.14,3.9767324,-0.060397559),(3.15,3.9758887,-0.060184874),(3.16,3.9749944,-0.059970707),(3.17,3.9740396,-0.05975508),(3.18,3.9730153,-0.059538015),(3.19,3.9719139,-0.059319536),(3.2,3.97073,-0.059099665),(3.21,3.9694612,-0.058878426),(3.22,3.968108,-0.058655841),(3.23,3.9666744,-0.058431932),(3.24,3.9651676,-0.058206724),(3.25,3.9635971,-0.057980239),(3.26,3.9619749,-0.0577525),(3.27,3.9603137,-0.05752353),(3.28,3.9586262,-0.057293351),(3.29,3.956924,-0.057061988),(3.3,3.9552166,-0.056829463),(3.31,3.9535106,-0.056595798),(3.32,3.9518096,-0.056361018),(3.33,3.9501137,-0.056125144),(3.34,3.9484204,-0.0558882),(3.35,3.9467247,-0.055650209),(3.36,3.9450199,-0.055411193),(3.37,3.9432993,-0.055171176),(3.38,3.9415565,-0.054930181),(3.39,3.9397865,-0.05468823),(3.4,3.9379866,-0.054445346),(3.41,3.9361564,-0.054201552),(3.42,3.934298,-0.05395687),(3.43,3.9324154,-0.053711324),(3.44,3.930514,-0.053464937),(3.45,3.9286,-0.053217729),(3.46,3.9266796,-0.052969726),(3.47,3.9247583,-0.052720948),(3.48,3.9228405,-0.052471419),(3.49,3.9209286,-0.05222116),(3.5,3.919023,-0.051970195),(3.51,3.9171212,-0.051718546),(3.52,3.9152179,-0.051466234),(3.53,3.9133037,-0.051213283),(3.54,3.9113659,-0.050959714),(3.55,3.9093878,-0.050705549),(3.56,3.9073497,-0.050450811),(3.57,3.9052299,-0.050195522),(3.58,3.9030061,-0.049939702),(3.59,3.9006577,-0.049683375),(3.6,3.8981681,-0.049426562),(3.61,3.8955265,-0.049169284),(3.62,3.8927288,-0.048911564),(3.63,3.8897781,-0.048653422),(3.64,3.8866832,-0.04839488),(3.65,3.8834561,-0.048135959),(3.66,3.8801091,-0.047876681),(3.67,3.8766516,-0.047617066),(3.68,3.8730874,-0.047357136),(3.69,3.8694141,-0.047096912),(3.7,3.8656227,-0.046836414),(3.71,3.8617006,-0.046575664),(3.72,3.8576337,-0.046314681),(3.73,3.8534095,-0.046053487),(3.74,3.849019,-0.045792101),(3.75,3.8444565,-0.045530545),(3.76,3.8397179,-0.045268838),(3.77,3.834796,-0.045007),(3.78,3.8296767,-0.044745051),(3.79,3.8243354,-0.044483012),(3.8,3.8187384,-0.044220901),(3.81,3.8128472,-0.043958739),(3.82,3.8066272,-0.043696545),(3.83,3.8000569,-0.043434338),(3.84,3.7931326,-0.043172138),(3.85,3.7858665,-0.042909964),(3.86,3.7782784,-0.042647834),(3.87,3.7703828,-0.042385768),(3.88,3.7621789,-0.042123784),(3.89,3.7536477,-0.041861901),(3.9,3.7447589,-0.041600136),(3.91,3.7354839,-0.04133851),(3.92,3.7258075,-0.041077039),(3.93,3.7157333,-0.040815742),(3.94,3.7052785,-0.040554637),(3.95,3.6944623,-0.04029374),(3.96,3.683293,-0.040033071),(3.97,3.6717616,-0.039772646),(3.98,3.6598438,-0.039512483),(3.99,3.6475101,-0.039252599),(4,3.6347365,-0.03899301),(4.01,3.6215129,-0.038721632),(4.02,3.6078462,-0.038426725),(4.03,3.5937572,-0.038108856),(4.04,3.5792763,-0.037768634),(4.05,3.5644392,-0.037406706),(4.06,3.5492842,-0.037023756),(4.07,3.5338517,-0.036620504),(4.08,3.5181828,-0.036197701),(4.09,3.5023176,-0.035756127),(4.1,3.4862904,-0.035296594),(4.11,3.4701226,-0.034819934),(4.12,3.4538159,-0.034327005),(4.13,3.4373468,-0.033818684),(4.14,3.4206679,-0.033295867),(4.15,3.4037161,-0.032759463),(4.16,3.3864272,-0.032210394),(4.17,3.3687522,-0.031649593),(4.18,3.3506687,-0.031077999),(4.19,3.3321829,-0.030496556),(4.2,3.3133194,-0.029906209),(4.21,3.2941052,-0.029307903),(4.22,3.2745535,-0.028702582),(4.23,3.2546574,-0.028091181),(4.24,3.2343938,-0.027474629),(4.25,3.2137374,-0.026853847),(4.26,3.1926753,-0.026229741),(4.27,3.1712173,-0.025603204),(4.28,3.1493989,-0.024975112),(4.29,3.1272771,-0.024346323),(4.3,3.1049225,-0.023717677),(4.31,3.0824096,-0.023089988),(4.32,3.0598038,-0.022464052),(4.33,3.0371462,-0.021840637),(4.34,3.0144393,-0.021220485),(4.35,2.9916403,-0.020604313),(4.36,2.9686666,-0.019992806),(4.37,2.9454165,-0.019386624),(4.38,2.9217964,-0.018786395),(4.39,2.8977461,-0.018192714),(4.4,2.8732516,-0.017606148),(4.41,2.8483428,-0.01702723),(4.42,2.8230783,-0.016456461),(4.43,2.7975265,-0.015894311),(4.44,2.771748,-0.015341215),(4.45,2.7457875,-0.014797577),(4.46,2.7196741,-0.014263767),(4.47,2.6934309,-0.013740125),(4.48,2.667089,-0.013226956),(4.49,2.6406996,-0.012724535),(4.5,2.6143399,-0.012233106),(4.51,2.5881104,-0.011752881),(4.52,2.5621246,-0.011284043),(4.53,2.5364955,-0.010826744),(4.54,2.5113238,-0.010381111),(4.55,2.48669,-0.0099472389),(4.56,2.4626511,-0.0095251989),(4.57,2.4392388,-0.0091150348),(4.58,2.4164593,-0.008716766),(4.59,2.3942917,-0.0083303876),(4.6,2.3726886,-0.0079558724),(4.61,2.3515829,-0.0075931709),(4.62,2.3309016,-0.0072422132),(4.63,2.310587,-0.0069029098),(4.64,2.2906184,-0.0065751529),(4.65,2.2710237,-0.0062588174),(4.66,2.2518749,-0.0059537618),(4.67,2.2332674,-0.00565983),(4.68,2.2152905,-0.0053768519),(4.69,2.1980023,-0.0051046447),(4.7,2.1814179,-0.0048430138),(4.71,2.1655153,-0.0045917543),(4.72,2.1502516,-0.0043506518),(4.73,2.1355848,-0.0041194834),(4.74,2.1214896,-0.0038980187),(4.75,2.1079639,-0.0036860212),(4.76,2.095024,-0.0034832486),(4.77,2.0826909,-0.0032894542),(4.78,2.070973,-0.0031043877),(4.79,2.0598515,-0.0029277959),(4.8,2.0492738,-0.0027594235),(4.81,2.0391576,-0.0025990142),(4.82,2.0294023,-0.002446311),(4.83,2.0199038,-0.0023010571),(4.84,2.010568,-0.0021629967),(4.85,2.0013191,-0.0020318751),(4.86,1.9921033,-0.00190744),(4.87,1.9828889,-0.0017894414),(4.88,1.9736642,-0.0016776323),(4.89,1.9644334,-0.0015717693),(4.9,1.9552118,-0.0014716126),(4.91,1.9460192,-0.001376927),(4.92,1.9368734,-0.0012874815),(4.93,1.9277839,-0.0012030504),(4.94,1.9187488,-0.0011234126),(4.95,1.909755,-0.0010483529),(4.96,1.9007818,-0.00097766114),(4.97,1.8918076,-0.00091113328),(4.98,1.8828168,-0.00084857093),(4.99,1.8738058,-0.0007897817),(5,1.8647852,-0.00073457926),(5.01,1.8557793,-0.00068278337),(5.02,1.8468217,-0.00063421992),(5.03,1.8379497,-0.00058872095),(5.04,1.8291984,-0.00054612463),(5.05,1.8205957,-0.00050627526),(5.06,1.8121595,-0.00046902319),(5.07,1.8038974,-0.00043422475),(5.08,1.7958079,-0.00040174224),(5.09,1.7878831,-0.00037144376),(5.1,1.7801109,-0.00034320317),(5.11,1.7724786,-0.00031689994),(5.12,1.7649743,-0.00029241906),(5.13,1.7575885,-0.00026965087),(5.14,1.7503146,-0.00024849098),(5.15,1.7431484,-0.00022884006),(5.16,1.7360876,-0.00021060376),(5.17,1.7291304,-0.00019369251),(5.18,1.7222749,-0.00017802137),(5.19,1.7155176,-0.00016350992),(5.2,1.7088533,-0.00015008202),(5.21,1.7022746,-0.00013766574),(5.22,1.6957728,-0.00012619312),(5.23,1.6893385,-0.00011560007),(5.24,1.6829627,-0.00010582619),(5.25,1.676638,-9.6814586e-05),(5.26,1.6703593,-8.8511774e-05),(5.27,1.6641242,-8.0867478e-05),(5.28,1.6579323,-7.3834503e-05),(5.29,1.651784,-6.7368582e-05),(5.3,1.6456794,-6.1428237e-05),(5.31,1.6396165,-5.5974638e-05),(5.32,1.6335903,-5.0971465e-05),(5.33,1.6275931,-4.6384783e-05),(5.34,1.6216147,-4.2182909e-05),(5.35,1.6156443,-3.8336292e-05),(5.36,1.6096727,-3.4817393e-05),(5.37,1.6036934,-3.1600575e-05),(5.38,1.5977049,-2.8661986e-05),(5.39,1.5917103,-2.5979461e-05),(5.4,1.5857169,-2.3532419e-05),(5.41,1.5797347,-2.1301764e-05),(5.42,1.5737737,-1.9269796e-05),(5.43,1.5678429,-1.7420124e-05),(5.44,1.5619476,-1.5737578e-05),(5.45,1.5560897,-1.4208136e-05),(5.46,1.5502678,-1.2818844e-05),(5.47,1.5444784,-1.1557747e-05),(5.48,1.538718,-1.0413819e-05),(5.49,1.5329847,-9.376903e-06),(5.5,1.5272791,-8.437647e-06),(5.51,1.5216059,-7.5874494e-06),(5.52,1.5159728,-6.8184051e-06),(5.53,1.5103899,-6.1232546e-06),(5.54,1.5048686,-5.4953373e-06),(5.55,1.4994193,-4.9285472e-06),(5.56,1.4940511,-4.4172909e-06),(5.57,1.4887703,-3.9564492e-06),(5.58,1.4835803,-3.5413407e-06),(5.59,1.4784822,-3.1676875e-06),(5.6,1.4734751,-2.831584e-06),(5.61,1.4685565,-2.5294674e-06),(5.62,1.4637228,-2.2580898e-06),(5.63,1.458969,-2.0144933e-06),(5.64,1.4542883,-1.7959861e-06),(5.65,1.4496712,-1.6001201e-06),(5.66,1.4451052,-1.4246713e-06),(5.67,1.4405745,-1.2676205e-06),(5.68,1.436061,-1.1271361e-06),(5.69,1.4315448,-1.0015575e-06),(5.7,1.4270069,-8.8938116e-07),(5.71,1.4224303,-7.8924607e-07),(5.72,1.417802,-6.9992161e-07),(5.73,1.4131134,-6.2029581e-07),(5.74,1.4083602,-5.4936471e-07),(5.75,1.4035413,-4.8622259e-07),(5.76,1.3986576,-4.3005298e-07),(5.77,1.3937105,-3.8012046e-07),(5.78,1.3887001,-3.3576312e-07),(5.79,1.3836253,-2.9638565e-07),(5.8,1.378483,-2.6145311e-07),(5.81,1.3732687,-2.3048512e-07),(5.82,1.3679771,-2.0305067e-07),(5.83,1.3626026,-1.7876331e-07),(5.84,1.35714,-1.5727684e-07),(5.85,1.3515846,-1.3828135e-07),(5.86,1.3459324,-1.2149961e-07),(5.87,1.3401798,-1.0668382e-07),(5.88,1.3343238,-9.361268e-08),(5.89,1.3283623,-8.2088668e-08),(5.9,1.3222944,-7.1935648e-08),(5.91,1.316121,-6.299666e-08),(5.92,1.3098451,-5.5131944e-08),(5.93,1.303472,-4.8217145e-08),(5.94,1.2970088,-4.2141703e-08),(5.95,1.2904638,-3.6807395e-08),(5.96,1.2838453,-3.2127022e-08),(5.97,1.2771612,-2.8023235e-08),(5.98,1.2704178,-2.4427468e-08),(5.99,1.2636197,-2.1278991e-08),(6,1.2567701,-1.8524053e-08),(6.01,1.2498715,-1.6115113e-08),(6.02,1.2429263,-1.401016e-08),(6.03,1.2359378,-1.2172092e-08),(6.04,1.2289104,-1.0568168e-08),(6.05,1.2218497,-9.1695193e-09),(6.06,1.2147625,-7.9507081e-09),(6.07,1.2076557,-6.8893367e-09),(6.08,1.2005364,-5.9656996e-09),(6.09,1.1934107,-5.1624721e-09),(6.1,1.1862834,-4.464434e-09),(6.11,1.1791574,-3.8582242e-09),(6.12,1.1720333,-3.3321217e-09),(6.13,1.1649083,-2.8758525e-09),(6.14,1.1577768,-2.4804171e-09),(6.15,1.1506291,-2.1379382e-09),(6.16,1.1434521,-1.8415264e-09),(6.17,1.1362296,-1.5851599e-09),(6.18,1.128943,-1.3635797e-09),(6.19,1.1215727,-1.1721962e-09),(6.2,1.114099,-1.0070069e-09),(6.21,1.1065042,-8.645237e-10),(6.22,1.0987737,-7.4170922e-10),(6.23,1.0908979,-6.3592043e-10),(6.24,1.0828726,-5.4485908e-10),(6.25,1.0746999,-4.6652823e-10),(6.26,1.066388,-3.9919397e-10),(6.27,1.0579503,-3.4135191e-10),(6.28,1.049404,-2.9169769e-10),(6.29,1.0407685,-2.4910128e-10),(6.3,1.0320633,-2.1258432e-10),(6.31,1.0233065,-1.8130042e-10),(6.32,1.0145137,-1.5451785e-10),(6.33,1.005697,-1.3160453e-10),(6.34,0.99686496,-1.1201477e-10),(6.35,0.9880219,-9.5277863e-11),(6.36,0.97916737,-8.0988066e-11),(6.37,0.97029549,-6.8795864e-11),(6.38,0.96139461,-5.8400412e-11),(6.39,0.9524481,-4.9542939e-11),(6.4,0.94343647,-4.2001026e-11),(6.41,0.93434104,-3.5583634e-11),(6.42,0.92514824,-3.0126797e-11),(6.43,0.91585318,-2.5489886e-11),(6.44,0.90646129,-2.1552373e-11),(6.45,0.89698691,-1.8211031e-11),(6.46,0.88744945,-1.5377518e-11),(6.47,0.87786807,-1.297628e-11),(6.48,0.86825716,-1.0942749e-11),(6.49,0.85862416,-9.2217828e-12),(6.5,0.84897065,-7.7663256e-12),(6.51,0.83929599,-6.5362483e-12),(6.52,0.82960208,-5.4973544e-12),(6.53,0.81989678,-4.6205232e-12),(6.54,0.81019474,-3.8809748e-12),(6.55,0.80051485,-3.2576372e-12),(6.56,0.79087516,-2.7326048e-12),(6.57,0.78128717,-2.2906734e-12),(6.58,0.77175128,-1.9189415e-12),(6.59,0.76225511,-1.6064697e-12),(6.6,0.7527751,-1.3439885e-12),(6.61,0.74328089,-1.1236492e-12),(6.62,0.73374126,-9.3881105e-13),(6.63,0.72412996,-7.8385879e-13),(6.64,0.71443014,-6.5404809e-13),(6.65,0.70463669,-5.4537313e-13),(6.66,0.69475643,-4.5445406e-13),(6.67,0.68480657,-3.7844123e-13),(6.68,0.6748121,-3.1493367e-13),(6.69,0.66480241,-2.6190991e-13),(6.7,0.65480759,-2.1766919e-13),(6.71,0.64485463,-1.8078158e-13),(6.72,0.63496379,-1.5004571e-13),(6.73,0.62514619,-1.2445294e-13),(6.74,0.61540291,-1.0315705e-13),(6.75,0.60572648,-8.5448585e-14),(6.76,0.59610419,-7.0733148e-14),(6.77,0.58652243,-5.8513123e-14),(6.78,0.57697073,-4.8372188e-14),(6.79,0.56744404,-3.9962289e-14),(6.8,0.55794304,-3.2992645e-14),(6.81,0.54847238,-2.7220499e-14),(6.82,0.53903833,-2.2443325e-14),(6.83,0.52964681,-1.8492279e-14),(6.84,0.52030282,-1.5226702e-14),(6.85,0.51101138,-1.2529491e-14),(6.86,0.5017793,-1.0303224e-14),(6.87,0.49261658,-8.4669109e-15),(6.88,0.48353666,-6.9532683e-15),(6.89,0.47455489,-5.7064382e-15),(6.9,0.46568574,-4.6800813e-15),(6.91,0.45693966,-3.835781e-15),(6.92,0.44832083,-3.1417118e-15),(6.93,0.43982674,-2.5715265e-15),(6.94,0.43144989,-2.1034287e-15),(6.95,0.42318099,-1.7193992e-15),(6.96,0.41501254,-1.4045518e-15),(6.97,0.40694163,-1.1465973e-15),(6.98,0.39897091,-9.3539748e-16),(6.99,0.39110763,-7.6259435e-16),(7,0.38336112,-6.2130248e-16),(7.01,0.37573994,-5.0585342e-16),(7.02,0.36824947,-4.1158393e-16),(7.03,0.36089101,-3.3466032e-16),(7.04,0.3536626,-2.7193314e-16),(7.05,0.34656116,-2.2081682e-16),(7.06,0.33958525,-1.791902e-16),(7.07,0.33273735,-1.4531434e-16),(7.08,0.32602476,-1.177646e-16),(7.09,0.31945844,-9.5374691e-17),(7.1,0.31304996,-7.7190457e-17),(7.11,0.30680717,-6.2431844e-17),(7.12,0.30072979,-5.0461574e-17),(7.13,0.29480634,-4.0759374e-17),(7.14,0.28901342,-3.2900787e-17),(7.15,0.2833181,-2.6539769e-17),(7.16,0.27768292,-2.1394398e-17),(7.17,0.27207268,-1.723515e-17),(7.18,0.26646117,-1.3875292e-17),(7.19,0.26083638,-1.1163008e-17),(7.2,0.25520268,-8.974958e-18),(7.21,0.24957928,-7.2110029e-18),(7.22,0.24399548,-5.7898987e-18),(7.23,0.23848366,-4.6457765e-18),(7.24,0.23307208,-3.7252696e-18),(7.25,0.22777895,-2.9851706e-18),(7.26,0.2226095,-2.3905215e-18),(7.27,0.21755616,-1.9130582e-18),(7.28,0.21260174,-1.5299448e-18),(7.29,0.20772433,-1.2227435e-18),(7.3,0.20290252,-9.7657818e-19),(7.31,0.19811979,-7.7945437e-19),(7.32,0.19336711,-6.2170793e-19),(7.33,0.18864345,-4.9555761e-19),(7.34,0.18395462,-3.9474252e-19),(7.35,0.17931078,-3.1422859e-19),(7.36,0.17472361,-2.4997093e-19),(7.37,0.1702036,-1.9872172e-19),(7.38,0.16575825,-1.5787494e-19),(7.39,0.1613911,-1.2534097e-19),(7.4,0.15710203,-9.9445449e-20),(7.41,0.15288827,-7.8847657e-20),(7.42,0.1487459,-6.2474771e-20),(7.43,0.14467152,-4.9468935e-20),(7.44,0.1406634,-3.9144654e-20),(7.45,0.13672203,-3.0954539e-20),(7.46,0.1328496,-2.446179e-20),(7.47,0.1290488,-1.9318087e-20),(7.48,0.12532094,-1.5245862e-20),(7.49,0.12166416,-1.202408e-20),(7.5,0.1180722,-9.4768432e-21),(7.51,0.11453426,-7.4642733e-21),(7.52,0.11103591,-5.8752094e-21),(7.53,0.10756112,-4.6213743e-21),(7.54,0.10409467,-3.6327116e-21),(7.55,0.10062456,-2.8536629e-21),(7.56,0.097143811,-2.240198e-21),(7.57,0.0936513,-1.7574464e-21),(7.58,0.090151637,-1.3778114e-21),(7.59,0.08665407,-1.0794671e-21),(7.6,0.083170733,-8.4516399e-22),(7.61,0.07971459,-6.6127871e-22),(7.62,0.076297478,-5.1705895e-22),(7.63,0.072928608,-4.0402434e-22),(7.64,0.069613761,-3.1549099e-22),(7.65,0.066355299,-2.461945e-22),(7.66,0.063152876,-1.9199135e-22),(7.67,0.060004664,-1.4962251e-22),(7.68,0.056908779,-1.1652636e-22),(7.69,0.053864625,-9.0690822e-23),(7.7,0.0508739,-7.0536587e-23),(7.71,0.047941124,-5.4824855e-23),(7.72,0.045073636,-4.258459e-23),(7.73,0.042281122,-3.305517e-23),(7.74,0.039574778,-2.5641194e-23),(7.75,0.036966308,-1.9876917e-23),(7.76,0.034466909,-1.5398263e-23),(7.77,0.032086425,-1.1920826e-23),(7.78,0.029832752,-9.2225902e-24),(7.79,0.027711545,-7.1303589e-24),(7.8,0.025726181,-5.5091143e-24),(7.81,0.023877912,-4.2536729e-24),(7.82,0.022166116,-3.2821492e-24),(7.83,0.020588577,-2.5308386e-24),(7.84,0.019141717,-1.950215e-24),(7.85,0.017820787,-1.5018012e-24),(7.86,0.016620001,-1.1557245e-24),(7.87,0.015532643,-8.8880823e-25),(7.88,0.014551189,-6.830834e-25),(7.89,0.013667447,-5.2462779e-25),(7.9,0.012872753,-4.0266209e-25),(7.91,0.012158191,-3.0884608e-25),(7.92,0.011514837,-2.3673111e-25),(7.93,0.01093398,-1.8133451e-25),(7.94,0.010407312,-1.3880896e-25),(7.95,0.0099270638,-1.0618579e-25),(7.96,0.0094860915,-8.1175913e-26),(7.97,0.0090779201,-6.2015443e-26),(7.98,0.0086967562,-4.7346121e-26),(7.99,0.0083374818,-3.6122752e-26),(8,0.0079956367,-2.7541597e-26),(8.01,0.0076673963,-2.0985016e-26),(8.02,0.007349547,-1.5978696e-26),(8.03,0.0070394638,-1.2158647e-26),(8.04,0.0067350908,-9.2457261e-27),(8.05,0.0064349239,-7.0260084e-27),(8.06,0.0061379932,-5.3356603e-27),(8.07,0.0058438376,-4.049296e-27),(8.08,0.0055524653,-3.0710207e-27),(8.09,0.0052642951,-2.3275436e-27),(8.1,0.0049800769,-1.7628881e-27),(8.11,0.0047007963,-1.3343309e-27),(8.12,0.0044275741,-1.0092858e-27),(8.13,0.0041615711,-7.6291585e-28),(8.14,0.0039039084,-5.763031e-28),(8.15,0.0036556103,-4.3504794e-28),(8.16,0.0034175673,-3.2819739e-28),(8.17,0.0031905175,-2.4742579e-28),(8.18,0.0029750413,-1.864089e-28),(8.19,0.0027715625,-1.4034604e-28),(8.2,0.0025803554,-1.0559552e-28),(8.21,0.0024015526,-7.9396741e-29),(8.22,0.0022351544,-5.9658411e-29),(8.23,0.002081037,-4.4797369e-29),(8.24,0.0019389599,-3.3615933e-29),(8.25,0.0018085714,-2.5208653e-29),(8.26,0.0016894141,-1.8891478e-29),(8.27,0.0015809319,-1.4147967e-29),(8.28,0.0014824792,-1.0588489e-29),(8.29,0.0013933355,-7.9192805e-30),(8.3,0.0013127236,-5.9190129e-30),(8.31,0.0012398328,-4.4210421e-30),(8.32,0.0011738426,-3.2999839e-30),(8.33,0.0011139452,-2.4615621e-30),(8.34,0.0010593646,-1.8349388e-30),(8.35,0.0010093701,-1.3669234e-30),(8.36,0.00096328525,-1.0176034e-30),(8.37,0.00092049201,-7.570503e-31),(8.38,0.00088043274,-5.628371e-31),(8.39,0.00084260986,-4.1816963e-31),(8.4,0.00080658485,-3.104803e-31),(8.41,0.00077197679,-2.3037079e-31),(8.42,0.00073846076,-1.7081757e-31),(8.43,0.00070576643,-1.2657545e-31),(8.44,0.00067367675,-9.3729906e-32),(8.45,0.0006420268,-6.9361532e-32),(8.46,0.00061070242,-5.1294517e-32),(8.47,0.00057963809,-3.790836e-32),(8.48,0.00054881354,-2.7996956e-32),(8.49,0.00051824857,-2.066324e-32),(8.5,0.00048799605,-1.524045e-32),(8.51,0.00045813359,-1.1233341e-32),(8.52,0.00042875464,-8.2743111e-33),(8.53,0.00039996014,-6.0906903e-33),(8.54,0.00037185152,-4.4803605e-33),(8.55,0.00034452563,-3.2936023e-33),(8.56,0.00031807142,-2.4195863e-33),(8.57,0.00029256826,-1.7763267e-33),(8.58,0.0002680851,-1.3032157e-33),(8.59,0.00024468033,-9.5547989e-34),(8.6,0.00022240183,-7.0006527e-34),(8.61,0.00020128708,-5.1258662e-34),(8.62,0.00018136336,-3.7506605e-34),(8.63,0.00016264784,-2.7425843e-34),(8.64,0.00014514777,-2.0041211e-34),(8.65,0.00012886053,-1.4635234e-34),(8.66,0.0001137739,-1.0680391e-34),(8.67,9.9866356e-05,-7.789083e-35),(8.68,8.7107665e-05,-5.6767173e-35),(8.69,7.5459774e-05,-4.1344709e-35),(8.7,6.4878025e-05,-3.0092228e-35),(8.71,5.5312606e-05,-2.1887718e-35),(8.72,4.6710093e-05,-1.5909566e-35),(8.73,3.9014901e-05,-1.1556543e-35),(8.74,3.21705e-05,-8.3889819e-36),(8.75,2.6120306e-05,-6.0855846e-36),(8.76,2.0808277e-05,-4.4117111e-36),(8.77,1.6179269e-05,-3.1961235e-36),(8.78,1.2179273e-05,-2.3139382e-36),(8.79,0,-1.6741396e-36),(8.8,0,-1.2104401e-36),(8.81,0,-8.7459434e-37),(8.82,0,-6.3151217e-37),(8.83,0,-4.5568895e-37),(8.84,0,-3.2859956e-37),(8.85,0,-2.3679752e-37),(8.86,0,-1.7052931e-37),(8.87,0,-1.2272488e-37),(8.88,0,-8.8262844e-38),(8.89,0,-6.3435871e-38),(8.9,0,-4.5562085e-38),(8.91,0,-3.2702727e-38),(8.92,0,-2.3457193e-38),(8.93,0,-1.6814339e-38),(8.94,0,-1.204468e-38),(8.95,0,-8.6222853e-39),(8.96,0,-6.1682393e-39),(8.97,0,-4.4097272e-39),(8.98,0,-3.1504596e-39),(8.99,0,-2.2493021e-39),(9,0,-1.6048459e-39),(9.01,0,-1.1442754e-39),(9.02,0,-8.1534134e-40),(9.03,0,-5.8057728e-40),(9.04,0,-4.1313528e-40),(9.05,0,-2.9378945e-40),(9.06,0,-2.0878139e-40),(9.07,0,-1.4827196e-40),(9.08,0,-1.0522961e-40),(9.09,0,-7.463259e-41),(9.1,0,-5.2896965e-41),(9.11,0,-3.7466631e-41),(9.12,0,-2.6519797e-41),(9.13,0,-1.8758902e-41),(9.14,0,-1.3260389e-41),(9.15,0,-9.3673509e-42),(9.16,0,-6.6128543e-42),(9.17,0,-4.6652269e-42),(9.18,0,-3.289033e-42),(9.19,0,-2.317263e-42),(9.2,0,-1.6315263e-42),(9.21,0,-1.147954e-42),(9.22,0,-8.0717278e-43),(9.23,0,-5.6717904e-43),(9.24,0,-3.9827723e-43),(9.25,0,-2.7948752e-43),(9.26,0,-1.9599771e-43),(9.27,0,-1.3735713e-43),(9.28,0,-9.6197335e-44),(9.29,0,-6.7326572e-44),(9.3,0,-4.708923e-44),(9.31,0,-3.2913064e-44),(9.32,0,-2.2989348e-44),(9.33,0,-1.6047102e-44),(9.34,0,-1.1193817e-44),(9.35,0,-7.8031757e-45),(9.36,0,-5.4359593e-45),(9.37,0,-3.7843616e-45),(9.38,0,-2.632817e-45),(9.39,0,-1.8304603e-45),(9.4,0,-1.2717788e-45),(9.41,0,-8.8302796e-46),(9.42,0,-6.1270148e-46),(9.43,0,-4.2484941e-46),(9.44,0,-2.9439654e-46),(9.45,0,-2.0386468e-46),(9.46,0,-1.4107916e-46),(9.47,0,-9.7565294e-47),(9.48,0,-6.742787e-47),(9.49,0,-4.6568807e-47),(9.5,0,-3.2141222e-47),(9.51,0,-2.2168752e-47),(9.52,0,-1.5280294e-47),(9.53,0,-1.0525282e-47),(9.54,0,-7.2451498e-48),(9.55,0,-4.9839374e-48),(9.56,0,-3.4261737e-48),(9.57,0,-2.353736e-48),(9.58,0,-1.615912e-48),(9.59,0,-1.1086367e-48),(9.6,0,-7.6010285e-49),(9.61,0,-5.207953e-49),(9.62,0,-3.5659341e-49),(9.63,0,-2.4400075e-49),(9.64,0,-1.6684783e-49),(9.65,0,-1.1401488e-49),(9.66,0,-7.7859943e-50),(9.67,0,-5.3134695e-50),(9.68,0,-3.6237136e-50),(9.69,0,-2.4696824e-50),(9.7,0,-1.6820539e-50),(9.71,0,-1.1448544e-50),(9.72,0,-7.787036e-51),(9.73,0,-5.2930459e-51),(9.74,0,-3.5954287e-51),(9.75,0,-2.4406599e-51),(9.76,0,-1.6556762e-51),(9.77,0,-1.1224192e-51),(9.78,0,-7.6040738e-52),(9.79,0,-5.1481253e-52),(9.8,0,-3.4830799e-52),(9.81,0,-2.3549913e-52),(9.82,0,-1.5912071e-52),(9.83,0,-1.0744239e-52),(9.84,0,-7.2499693e-53),(9.85,0,-4.8888668e-53),(9.86,0,-3.2945172e-53),(9.87,0,-2.2186402e-53),(9.88,0,-1.4931159e-53),(9.89,0,-1.0041803e-53),(9.9,0,-6.7490305e-54),(9.91,0,-4.5329677e-54),(9.92,0,-3.0425336e-54),(9.93,0,-2.0407963e-54),(9.94,0,-1.3679665e-54),(9.95,0,-9.16353e-55),(9.96,0,-6.1342527e-55),(9.97,0,-4.1036663e-55),(9.98,0,-2.7434303e-55),(9.99,0,-1.8328517e-55),(10,0,0);
UNLOCK TABLES;

--
-- Table structure for table `LDC_z_Bz_BxDID14`
--

DROP TABLE IF EXISTS `LDC_z_Bz_BxDID14`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDC_z_Bz_BxDID14` (
  `z` double default NULL,
  `Bz` double default NULL,
  `Bx` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDC_z_Bz_BxDID14`
--

LOCK TABLES `LDC_z_Bz_BxDID14` WRITE;
INSERT INTO `LDC_z_Bz_BxDID14` VALUES (0,0,4),(0.01,-1.0694008e-05,4),(0.02,-2.1352443e-05,4),(0.03,-3.1939744e-05,4),(0.04,-4.2420374e-05,4),(0.05,-5.2758827e-05,4),(0.06,-6.2919648e-05,4),(0.07,-7.2867436e-05,4),(0.08,-8.2566861e-05,4),(0.09,-9.1982672e-05,4),(0.1,-0.00010107971,4),(0.11,-0.00010982293,4),(0.12,-0.00011817737,4),(0.13,-0.00012610824,4),(0.14,-0.00013358085,4),(0.15,-0.00014056068,4),(0.16,-0.00014701335,4),(0.17,-0.00015290468,4),(0.18,-0.00015820063,4),(0.19,-0.0001628674,4),(0.2,-0.00016687137,4),(0.21,-0.00017017912,4),(0.22,-0.00017275749,4),(0.23,-0.00017457352,4),(0.24,-0.00017559453,4),(0.25,-0.00017578807,4),(0.26,-0.00017512198,4),(0.27,-0.00017356436,4),(0.28,-0.00017108361,4),(0.29,-0.00016764843,4),(0.3,-0.00016322781,4),(0.31,-0.00015779108,4),(0.32,-0.00015130789,4),(0.33,-0.00014374823,4),(0.34,-0.00013508243,4),(0.35,-0.00012528119,4),(0.36,-0.00011431557,4),(0.37,-0.000102157,4),(0.38,-8.8777298e-05,4),(0.39,-7.4148687e-05,4),(0.4,-5.8243778e-05,4),(0.41,-4.1035601e-05,4),(0.42,-2.2497603e-05,4),(0.43,-2.6036607e-06,4),(0.44,1.8671914e-05,4),(0.45,4.1354364e-05,4),(0.46,6.5468479e-05,4),(0.47,9.103859e-05,4),(0.48,0.00011808856,4),(0.49,0.00014664177,4),(0.5,0.00017672113,4),(0.51,0.00020834905,4),(0.52,0.00024154745,4),(0.53,0.00027633774,4),(0.54,0.00031274082,4),(0.55,0.00035077709,4),(0.56,0.0003904664,4),(0.57,0.00043182808,4),(0.58,0.00047488095,4),(0.59,0.00051964325,4),(0.6,0.00056613269,4),(0.61,0.00061436645,4),(0.62,0.00066436111,4),(0.63,0.00071613272,4),(0.64,0.00076969675,4),(0.65,0.00082506812,4),(0.66,0.00088226113,4),(0.67,0.00094128955,4),(0.68,0.0010021665,4),(0.69,0.0010649047,4),(0.7,0.0011295159,4),(0.71,0.0011960116,4),(0.72,0.0012644027,4),(0.73,0.0013346992,4),(0.74,0.0014069108,4),(0.75,0.0014810465,4),(0.76,0.0015571146,4),(0.77,0.0016351228,4),(0.78,0.0017150784,4),(0.79,0.0017969878,4),(0.8,0.001880857,4),(0.81,0.0019666912,4),(0.82,0.0020544951,4),(0.83,0.0021442728,4),(0.84,0.0022360277,4),(0.85,0.0023297626,4),(0.86,0.0024254797,4),(0.87,0.0025231806,4),(0.88,0.0026228661,4),(0.89,0.0027245367,4),(0.9,0.0028281919,4),(0.91,0.0029338309,4),(0.92,0.0030414521,4),(0.93,0.0031510534,4),(0.94,0.0032626319,4),(0.95,0.0033761843,4),(0.96,0.0034917065,4),(0.97,0.0036091939,4),(0.98,0.0037286413,4),(0.99,0.0038500427,4),(1,0.0039733917,4),(1.01,0.0040986812,4),(1.02,0.0042259036,4),(1.03,0.0043550506,4),(1.04,0.0044861133,4),(1.05,0.0046190823,4),(1.06,0.0047539474,4),(1.07,0.004890698,4),(1.08,0.005029323,4),(1.09,0.0051698104,4),(1.1,0.005312148,4),(1.11,0.0054563227,4),(1.12,0.0056023211,4),(1.13,0.0057501291,4),(1.14,0.0058997319,4),(1.15,0.0060511146,4),(1.16,0.0062042612,4),(1.17,0.0063591556,4),(1.18,0.006515781,4),(1.19,0.0066741199,4),(1.2,0.0068341545,4),(1.21,0.0069958665,4),(1.22,0.007159237,4),(1.23,0.0073242465,4),(1.24,0.0074908751,4),(1.25,0.0076591025,4),(1.26,0.0078289077,4),(1.27,0.0080002695,4),(1.28,0.008173166,4),(1.29,0.0083475748,4),(1.3,0.0085234732,4),(1.31,0.0087008381,4),(1.32,0.0088796457,4),(1.33,0.009059872,4),(1.34,0.0092414924,4),(1.35,0.009424482,4),(1.36,0.0096088155,4),(1.37,0.009794467,4),(1.38,0.0099814105,4),(1.39,0.010169619,4),(1.4,0.010359067,4),(1.41,0.010549725,4),(1.42,0.010741567,4),(1.43,0.010934564,4),(1.44,0.011128689,4),(1.45,0.011323912,4),(1.46,0.011520204,4),(1.47,0.011717536,4),(1.48,0.011915878,4),(1.49,0.012115201,4),(1.5,0.012315474,4),(1.51,0.012516666,4),(1.52,0.012718748,4),(1.53,0.012921686,4),(1.54,0.013125451,4),(1.55,0.01333001,4),(1.56,0.013535333,4),(1.57,0.013741385,4),(1.58,0.013948137,4),(1.59,0.014155554,4),(1.6,0.014363604,4),(1.61,0.014572255,4.0000001),(1.62,0.014781473,4.0000002),(1.63,0.014991224,4.0000003),(1.64,0.015201477,4.0000005),(1.65,0.015412196,4.0000006),(1.66,0.015623348,4.0000008),(1.67,0.0158349,4.000001),(1.68,0.016046817,4.0000011),(1.69,0.016259066,4.0000012),(1.7,0.016471611,4.0000012),(1.71,0.01668442,4.0000011),(1.72,0.016897457,4.0000009),(1.73,0.017110687,4.0000006),(1.74,0.017324078,4.0000002),(1.75,0.017537593,3.9999998),(1.76,0.017751198,3.9999995),(1.77,0.017964859,3.9999993),(1.78,0.01817854,3.9999993),(1.79,0.018392208,3.9999997),(1.8,0.018605827,4.0000005),(1.81,0.018819363,4.0000017),(1.82,0.01903278,4.0000033),(1.83,0.019246045,4.0000051),(1.84,0.019459122,4.0000069),(1.85,0.019671977,4.0000084),(1.86,0.019884575,4.0000094),(1.87,0.020096882,4.0000095),(1.88,0.020308863,4.0000083),(1.89,0.020520484,4.0000056),(1.9,0.02073171,4.0000013),(1.91,0.020942507,3.9999956),(1.92,0.021152842,3.9999889),(1.93,0.021362679,3.9999819),(1.94,0.021571985,3.9999757),(1.95,0.021780726,3.9999714),(1.96,0.021988869,3.9999704),(1.97,0.02219638,3.999974),(1.98,0.022403225,3.999983),(1.99,0.022609371,3.9999978),(2,0.022814786,4.0000182),(2.01,0.023019436,4.0000425),(2.02,0.023223289,4.0000683),(2.03,0.023426312,4.0000918),(2.04,0.023628473,4.0001084),(2.05,0.023829739,4.0001124),(2.06,0.024030079,4.0000978),(2.07,0.024229461,4.0000586),(2.08,0.024427854,3.9999897),(2.09,0.024625226,3.9998867),(2.1,0.024821546,3.9997473),(2.11,0.025016784,3.9995709),(2.12,0.02521091,3.999359),(2.13,0.025403892,3.9991148),(2.14,0.0255957,3.9988432),(2.15,0.025786307,3.9985498),(2.16,0.025975681,3.998241),(2.17,0.026163793,3.9979228),(2.18,0.026350616,3.9976008),(2.19,0.02653612,3.9972795),(2.2,0.026720278,3.9969624),(2.21,0.02690306,3.9966513),(2.22,0.027084441,3.9963472),(2.23,0.027264392,3.9960495),(2.24,0.027442886,3.9957567),(2.25,0.027619898,3.9954666),(2.26,0.0277954,3.9951765),(2.27,0.027969367,3.9948839),(2.28,0.028141773,3.9945867),(2.29,0.028312594,3.9942835),(2.3,0.028481804,3.993974),(2.31,0.028649378,3.9936594),(2.32,0.028815294,3.9933421),(2.33,0.028979526,3.9930259),(2.34,0.029142052,3.9927159),(2.35,0.029302849,3.9924179),(2.36,0.029461894,3.9921382),(2.37,0.029619165,3.9918828),(2.38,0.02977464,3.9916572),(2.39,0.029928298,3.9914655),(2.4,0.030080118,3.9913102),(2.41,0.030230079,3.9911917),(2.42,0.030378161,3.9911087),(2.43,0.030524345,3.9910578),(2.44,0.03066861,3.9910344),(2.45,0.030810939,3.991033),(2.46,0.030951312,3.9910476),(2.47,0.031089712,3.9910725),(2.48,0.03122612,3.9911024),(2.49,0.03136052,3.9911332),(2.5,0.031492895,3.9911616),(2.51,0.031623228,3.9911855),(2.52,0.031751504,3.9912038),(2.53,0.031877707,3.9912162),(2.54,0.032001821,3.9912234),(2.55,0.032123833,3.9912262),(2.56,0.032243728,3.9912259),(2.57,0.032361493,3.9912235),(2.58,0.032477113,3.9912201),(2.59,0.032590577,3.9912163),(2.6,0.032701872,3.9912126),(2.61,0.032810985,3.9912089),(2.62,0.032917905,3.9912052),(2.63,0.033022622,3.9912011),(2.64,0.033125125,3.9911965),(2.65,0.033225402,3.9911911),(2.66,0.033323446,3.9911853),(2.67,0.033419246,3.9911794),(2.68,0.033512793,3.9911742),(2.69,0.033604079,3.9911704),(2.7,0.033693097,3.9911691),(2.71,0.033779838,3.9911709),(2.72,0.033864296,3.9911762),(2.73,0.033946463,3.9911843),(2.74,0.034026334,3.9911936),(2.75,0.034103904,3.9912015),(2.76,0.034179166,3.9912038),(2.77,0.034252116,3.9911957),(2.78,0.034322749,3.9911715),(2.79,0.034391062,3.9911259),(2.8,0.03445705,3.9910537),(2.81,0.034520712,3.9909512),(2.82,0.034582043,3.9908163),(2.83,0.034641042,3.9906485),(2.84,0.034697707,3.9904497),(2.85,0.034752037,3.9902231),(2.86,0.034804031,3.9899737),(2.87,0.034853687,3.989707),(2.88,0.034901006,3.9894287),(2.89,0.034945989,3.9891443),(2.9,0.034988635,3.9888578),(2.91,0.035028947,3.9885722),(2.92,0.035066925,3.9882882),(2.93,0.035102571,3.9880052),(2.94,0.035135888,3.9877205),(2.95,0.035166879,3.9874299),(2.96,0.035195546,3.9871285),(2.97,0.035221893,3.9868102),(2.98,0.035245925,3.9864691),(2.99,0.035267644,3.9860996),(3,0.035287057,3.985697),(3.01,0.035304167,3.9852575),(3.02,0.035318981,3.9847792),(3.03,0.035331505,3.9842615),(3.04,0.035341744,3.9837059),(3.05,0.035349704,3.9831151),(3.06,0.035355394,3.982493),(3.07,0.03535882,3.9818442),(3.08,0.03535999,3.981173),(3.09,0.035358912,3.9804827),(3.1,0.035355593,3.9797753),(3.11,0.035350044,3.9790503),(3.12,0.035342272,3.9783052),(3.13,0.035332287,3.977535),(3.14,0.035320099,3.9767324),(3.15,0.035305718,3.9758887),(3.16,0.035289154,3.9749944),(3.17,0.035270418,3.9740396),(3.18,0.03524952,3.9730153),(3.19,0.035226472,3.9719139),(3.2,0.035201285,3.97073),(3.21,0.035173972,3.9694612),(3.22,0.035144544,3.968108),(3.23,0.035113014,3.9666744),(3.24,0.035079395,3.9651676),(3.25,0.035043699,3.9635971),(3.26,0.03500594,3.9619749),(3.27,0.034966131,3.9603137),(3.28,0.034924287,3.9586262),(3.29,0.034880421,3.956924),(3.3,0.034834547,3.9552166),(3.31,0.034786681,3.9535106),(3.32,0.034736836,3.9518096),(3.33,0.034685028,3.9501137),(3.34,0.034631273,3.9484204),(3.35,0.034575586,3.9467247),(3.36,0.034517982,3.9450199),(3.37,0.034458478,3.9432993),(3.38,0.034397089,3.9415565),(3.39,0.034333833,3.9397865),(3.4,0.034268725,3.9379866),(3.41,0.034201783,3.9361564),(3.42,0.034133023,3.934298),(3.43,0.034062463,3.9324154),(3.44,0.033990121,3.930514),(3.45,0.033916013,3.9286),(3.46,0.033840157,3.9266796),(3.47,0.033762572,3.9247583),(3.48,0.033683274,3.9228405),(3.49,0.033602284,3.9209286),(3.5,0.033519619,3.919023),(3.51,0.033435297,3.9171212),(3.52,0.033349337,3.9152179),(3.53,0.033261758,3.9133037),(3.54,0.033172579,3.9113659),(3.55,0.033081819,3.9093878),(3.56,0.032989497,3.9073497),(3.57,0.032895633,3.9052299),(3.58,0.032800246,3.9030061),(3.59,0.032703355,3.9006577),(3.6,0.032604981,3.8981681),(3.61,0.032505142,3.8955265),(3.62,0.032403859,3.8927288),(3.63,0.032301152,3.8897781),(3.64,0.032197041,3.8866832),(3.65,0.032091545,3.8834561),(3.66,0.031984685,3.8801091),(3.67,0.031876482,3.8766516),(3.68,0.031766955,3.8730874),(3.69,0.031656125,3.8694141),(3.7,0.031544012,3.8656227),(3.71,0.031430637,3.8617006),(3.72,0.031316021,3.8576337),(3.73,0.031200183,3.8534095),(3.74,0.031083145,3.849019),(3.75,0.030964927,3.8444565),(3.76,0.03084555,3.8397179),(3.77,0.030725035,3.834796),(3.78,0.030603401,3.8296767),(3.79,0.030480671,3.8243354),(3.8,0.030356864,3.8187384),(3.81,0.030232002,3.8128472),(3.82,0.030106106,3.8066272),(3.83,0.029979195,3.8000569),(3.84,0.029851291,3.7931326),(3.85,0.029722414,3.7858665),(3.86,0.029592586,3.7782784),(3.87,0.029461826,3.7703828),(3.88,0.029330156,3.7621789),(3.89,0.029197597,3.7536477),(3.9,0.029064168,3.7447589),(3.91,0.028929891,3.7354839),(3.92,0.028794785,3.7258075),(3.93,0.028658873,3.7157333),(3.94,0.028522173,3.7052785),(3.95,0.028384707,3.6944623),(3.96,0.028246495,3.683293),(3.97,0.028107556,3.6717616),(3.98,0.027967913,3.6598438),(3.99,0.027827583,3.6475101),(4,0.027686589,3.6347365),(4.01,0.027536343,3.6215129),(4.02,0.027368452,3.6078462),(4.03,0.027183254,3.5937572),(4.04,0.026981115,3.5792763),(4.05,0.026762437,3.5644392),(4.06,0.026527649,3.5492842),(4.07,0.02627721,3.5338517),(4.08,0.026011606,3.5181828),(4.09,0.025731349,3.5023176),(4.1,0.025436974,3.4862904),(4.11,0.025129039,3.4701226),(4.12,0.024808123,3.4538159),(4.13,0.024474824,3.4373468),(4.14,0.024129754,3.4206679),(4.15,0.023773544,3.4037161),(4.16,0.023406836,3.3864272),(4.17,0.023030283,3.3687522),(4.18,0.022644548,3.3506687),(4.19,0.022250302,3.3321829),(4.2,0.021848219,3.3133194),(4.21,0.02143898,3.2941052),(4.22,0.021023265,3.2745535),(4.23,0.020601755,3.2546574),(4.24,0.020175129,3.2343938),(4.25,0.019744062,3.2137374),(4.26,0.019309223,3.1926753),(4.27,0.018871275,3.1712173),(4.28,0.018430871,3.1493989),(4.29,0.017988656,3.1272771),(4.3,0.01754526,3.1049225),(4.31,0.017101303,3.0824096),(4.32,0.016657389,3.0598038),(4.33,0.016214106,3.0371462),(4.34,0.015772025,3.0144393),(4.35,0.015331701,2.9916403),(4.36,0.014893668,2.9686666),(4.37,0.014458442,2.9454165),(4.38,0.014026517,2.9217964),(4.39,0.013598367,2.8977461),(4.4,0.013174442,2.8732516),(4.41,0.012755173,2.8483428),(4.42,0.012340964,2.8230783),(4.43,0.011932199,2.7975265),(4.44,0.011529239,2.771748),(4.45,0.011132418,2.7457875),(4.46,0.010742049,2.7196741),(4.47,0.010358421,2.6934309),(4.48,0.0099817995,2.667089),(4.49,0.009612425,2.6406996),(4.5,0.0092505163,2.6143399),(4.51,0.0088962688,2.5881104),(4.52,0.0085498553,2.5621246),(4.53,0.0082114264,2.5364955),(4.54,0.0078811111,2.5113238),(4.55,0.007559017,2.48669),(4.56,0.0072452312,2.4626511),(4.57,0.0069398209,2.4392388),(4.58,0.0066428338,2.4164593),(4.59,0.006354299,2.3942917),(4.6,0.0060742278,2.3726886),(4.61,0.0058026142,2.3515829),(4.62,0.0055394359,2.3309016),(4.63,0.0052846548,2.310587),(4.64,0.0050382183,2.2906184),(4.65,0.0048000596,2.2710237),(4.66,0.004570099,2.2518749),(4.67,0.0043482442,2.2332674),(4.68,0.0041343917,2.2152905),(4.69,0.0039284272,2.1980023),(4.7,0.0037302267,2.1814179),(4.71,0.003539657,2.1655153),(4.72,0.003356577,2.1502516),(4.73,0.0031808379,2.1355848),(4.74,0.0030122845,2.1214896),(4.75,0.0028507555,2.1079639),(4.76,0.0026960847,2.095024),(4.77,0.0025481012,2.0826909),(4.78,0.0024066305,2.070973),(4.79,0.0022714951,2.0598515),(4.8,0.0021425149,2.0492738),(4.81,0.002019508,2.0391576),(4.82,0.0019022913,2.0294023),(4.83,0.0017906808,2.0199038),(4.84,0.0016844924,2.010568),(4.85,0.0015835425,2.0013191),(4.86,0.001487648,1.9921033),(4.87,0.0013966271,1.9828889),(4.88,0.0013102995,1.9736642),(4.89,0.0012284869,1.9644334),(4.9,0.0011510133,1.9552118),(4.91,0.0010777054,1.9460192),(4.92,0.0010083928,1.9368734),(4.93,0.00094290795,1.9277839),(4.94,0.00088108707,1.9187488),(4.95,0.00082276979,1.909755),(4.96,0.00076779952,1.9007818),(4.97,0.00071602363,1.8918076),(4.98,0.00066729352,1.8828168),(4.99,0.00062146477,1.8738058),(5,0.00057839722,1.8647852),(5.01,0.00053795502,1.8557793),(5.02,0.00050000673,1.8468217),(5.03,0.00046442529,1.8379497),(5.04,0.00043108808,1.8291984),(5.05,0.00039987692,1.8205957),(5.06,0.00037067803,1.8121595),(5.07,0.00034338203,1.8038974),(5.08,0.00031788387,1.7958079),(5.09,0.00029408282,1.7878831),(5.1,0.00027188239,1.7801109),(5.11,0.00025119025,1.7724786),(5.12,0.00023191816,1.7649743),(5.13,0.0002139819,1.7575885),(5.14,0.00019730117,1.7503146),(5.15,0.00018179947,1.7431484),(5.16,0.00016740404,1.7360876),(5.17,0.00015404571,1.7291304),(5.18,0.00014165884,1.7222749),(5.19,0.00013018116,1.7155176),(5.2,0.00011955371,1.7088533),(5.21,0.00010972065,1.7022746),(5.22,0.00010062924,1.6957728),(5.23,9.2229623e-05,1.6893385),(5.24,8.44748e-05,1.6829627),(5.25,7.7320457e-05,1.676638),(5.26,7.0724871e-05,1.6703593),(5.27,6.4648797e-05,1.6641242),(5.28,5.9055354e-05,1.6579323),(5.29,5.3909917e-05,1.651784),(5.3,4.9180011e-05,1.6456794),(5.31,4.4835206e-05,1.6396165),(5.32,4.0847015e-05,1.6335903),(5.33,3.7188793e-05,1.6275931),(5.34,3.3835647e-05,1.6216147),(5.35,3.0764334e-05,1.6156443),(5.36,2.795318e-05,1.6096727),(5.37,2.5381986e-05,1.6036934),(5.38,2.3031947e-05,1.5977049),(5.39,2.0885574e-05,1.5917103),(5.4,1.8926612e-05,1.5857169),(5.41,1.713997e-05,1.5797347),(5.42,1.551165e-05,1.5737737),(5.43,1.4028676e-05,1.5678429),(5.44,1.2679033e-05,1.5619476),(5.45,1.1451605e-05,1.5560897),(5.46,1.0336116e-05,1.5502678),(5.47,9.3230749e-06,1.5444784),(5.48,8.4037244e-06,1.538718),(5.49,7.5699891e-06,1.5329847),(5.5,6.8144302e-06,1.5272791),(5.51,6.1302006e-06,1.5216059),(5.52,5.5110036e-06,1.5159728),(5.53,4.951053e-06,1.5103899),(5.54,4.4450365e-06,1.5048686),(5.55,3.9880812e-06,1.4994193),(5.56,3.5757205e-06,1.4940511),(5.57,3.2038639e-06,1.4887703),(5.58,2.8687683e-06,1.4835803),(5.59,2.5670116e-06,1.4784822),(5.6,2.2954675e-06,1.4734751),(5.61,2.0512823e-06,1.4685565),(5.62,1.8318532e-06,1.4637228),(5.63,1.6348086e-06,1.458969),(5.64,1.4579887e-06,1.4542883),(5.65,1.2994285e-06,1.4496712),(5.66,1.1573418e-06,1.4451052),(5.67,1.030106e-06,1.4405745),(5.68,9.1624842e-07,1.436061),(5.69,8.1443345e-07,1.4315448),(5.7,7.2345084e-07,1.4270069),(5.71,6.4220475e-07,1.4224303),(5.72,5.6970375e-07,1.417802),(5.73,5.0505157e-07,1.4131134),(5.74,4.4743862e-07,1.4083602),(5.75,3.9613418e-07,1.4035413),(5.76,3.5047923e-07,1.3986576),(5.77,3.0987987e-07,1.3937105),(5.78,2.7380135e-07,1.3887001),(5.79,2.417625e-07,1.3836253),(5.8,2.1333075e-07,1.378483),(5.81,1.8811747e-07,1.3732687),(5.82,1.6577383e-07,1.3679771),(5.83,1.4598693e-07,1.3626026),(5.84,1.2847634e-07,1.35714),(5.85,1.1299092e-07,1.3515846),(5.86,9.9305924e-08,1.3459324),(5.87,8.7220377e-08,1.3401798),(5.88,7.6554722e-08,1.3343238),(5.89,6.7148641e-08,1.3283623),(5.9,5.8859113e-08,1.3222944),(5.91,5.1558638e-08,1.316121),(5.92,4.5133645e-08,1.3098451),(5.93,3.9483046e-08,1.303472),(5.94,3.4516929e-08,1.2970088),(5.95,3.0155388e-08,1.2904638),(5.96,2.632746e-08,1.2838453),(5.97,2.2970175e-08,1.2771612),(5.98,2.0027694e-08,1.2704178),(5.99,1.7450541e-08,1.2636197),(6,1.519491e-08,1.2567701),(6.01,1.3222047e-08,1.2498715),(6.02,1.149769e-08,1.2429263),(6.03,9.9915719e-09,1.2359378),(6.04,8.6769756e-09,1.2289104),(6.05,7.5303348e-09,1.2218497),(6.06,6.5308775e-09,1.2147625),(6.07,5.6603092e-09,1.2076557),(6.08,4.9025286e-09,1.2005364),(6.09,4.2433757e-09,1.1934107),(6.1,3.6704069e-09,1.1862834),(6.11,3.172695e-09,1.1791574),(6.12,2.7406516e-09,1.1720333),(6.13,2.3658692e-09,1.1649083),(6.14,2.0409813e-09,1.1577768),(6.15,1.7595384e-09,1.1506291),(6.16,1.5158976e-09,1.1434521),(6.17,1.3051259e-09,1.1362296),(6.18,1.1229137e-09,1.128943),(6.19,9.654989e-10,1.1215727),(6.2,8.2959977e-10,1.114099),(6.21,7.1235571e-10,1.1065042),(6.22,6.1127501e-10,1.0987737),(6.23,5.2418891e-10,1.0908979),(6.24,4.492111e-10,1.0828726),(6.25,3.8470213e-10,1.0746999),(6.26,3.2923816e-10,1.066388),(6.27,2.8158352e-10,1.0579503),(6.28,2.4066657e-10,1.049404),(6.29,2.0555867e-10,1.0407685),(6.3,1.7545563e-10,1.0320633),(6.31,1.4966158e-10,1.0233065),(6.32,1.2757478e-10,1.0145137),(6.33,1.086753e-10,1.005697),(6.34,9.2514195e-11,0.99686496),(6.35,7.8704111e-11,0.9880219),(6.36,6.6911071e-11,0.97916737),(6.37,5.6847329e-11,0.97029549),(6.38,4.8265152e-11,0.96139461),(6.39,4.0951407e-11,0.9524481),(6.4,3.4722862e-11,0.94343647),(6.41,2.9422105e-11,0.93434104),(6.42,2.4914003e-11,0.92514824),(6.43,2.1082633e-11,0.91585318),(6.44,1.782862e-11,0.90646129),(6.45,1.5066839e-11,0.89698691),(6.46,1.2724425e-11,0.88744945),(6.47,1.0739047e-11,0.87786807),(6.48,9.0574275e-12,0.86825716),(6.49,7.6340602e-12,0.85862416),(6.5,6.4301021e-12,0.84897065),(6.51,5.4124232e-12,0.83929599),(6.52,4.5527857e-12,0.82960208),(6.53,3.8271392e-12,0.81989678),(6.54,3.2150142e-12,0.81019474),(6.55,2.6990016e-12,0.80051485),(6.56,2.2643053e-12,0.79087516),(6.57,1.8983593e-12,0.78128717),(6.58,1.5904993e-12,0.77175128),(6.59,1.3316808e-12,0.76225511),(6.6,1.1142391e-12,0.7527751),(6.61,9.3168328e-13,0.74328089),(6.62,7.7852007e-13,0.73374126),(6.63,6.5010417e-13,0.72412996),(6.64,5.4250996e-13,0.71443014),(6.65,4.5242241e-13,0.70463669),(6.66,3.7704409e-13,0.69475643),(6.67,3.1401601e-13,0.68480657),(6.68,2.6135036e-13,0.6748121),(6.69,2.1737322e-13,0.66480241),(6.7,1.8067607e-13,0.65480759),(6.71,1.5007448e-13,0.64485463),(6.72,1.2457323e-13,0.63496379),(6.73,1.0333663e-13,0.62514619),(6.74,8.5663432e-14,0.61540291),(6.75,7.0965672e-14,0.60572648),(6.76,5.8750671e-14,0.59610419),(6.77,4.8605901e-14,0.58652243),(6.78,4.018619e-14,0.57697073),(6.79,3.3202925e-14,0.56744404),(6.8,2.7414954e-14,0.55794304),(6.81,2.2620925e-14,0.54847238),(6.82,1.8652837e-14,0.53903833),(6.83,1.537061e-14,0.52964681),(6.84,1.265753e-14,0.52030282),(6.85,1.0416421e-14,0.51101138),(6.86,8.5664282e-15,0.5017793),(6.87,7.040325e-15,0.49261658),(6.88,5.7822562e-15,0.48353666),(6.89,4.745846e-15,0.47455489),(6.9,3.8926167e-15,0.46568574),(6.91,3.1906659e-15,0.45693966),(6.92,2.6135615e-15,0.44832083),(6.93,2.1394188e-15,0.43982674),(6.94,1.7501312e-15,0.43144989),(6.95,1.430728e-15,0.42318099),(6.96,1.1688406e-15,0.41501254),(6.97,9.5425661e-16,0.40694163),(6.98,7.7855049e-16,0.39897091),(6.99,6.3477541e-16,0.39110763),(7,5.1720786e-16,0.38336112),(7.01,4.2113549e-16,0.37573994),(7.02,3.4268121e-16,0.36824947),(7.03,2.7865732e-16,0.36089101),(7.04,2.2644479e-16,0.3536626),(7.05,1.838933e-16,0.34656116),(7.06,1.4923862e-16,0.33958525),(7.07,1.2103424e-16,0.33273735),(7.08,9.8095032e-17,0.32602476),(7.09,7.9450656e-17,0.31945844),(7.1,6.4307213e-17,0.31304996),(7.11,5.20156e-17,0.30680717),(7.12,4.2045475e-17,0.30072979),(7.13,3.3963829e-17,0.29480634),(7.14,2.7417367e-17,0.28901342),(7.15,2.2118038e-17,0.2833181),(7.16,1.7831142e-17,0.27768292),(7.17,1.436559e-17,0.27207268),(7.18,1.1565902e-17,0.26646117),(7.19,9.3056618e-18,0.26083638),(7.2,7.4821562e-18,0.25520268),(7.21,6.0119867e-18,0.24957928),(7.22,4.8274856e-18,0.24399548),(7.23,3.8737867e-18,0.23848366),(7.24,3.1064342e-18,0.23307208),(7.25,2.4894325e-18,0.22777895),(7.26,1.9936563e-18,0.2226095),(7.27,1.5955557e-18,0.21755616),(7.28,1.276102e-18,0.21260174),(7.29,1.0199304e-18,0.20772433),(7.3,8.146432e-19,0.20290252),(7.31,6.502436e-19,0.19811979),(7.32,5.1867639e-19,0.19336711),(7.33,4.1345535e-19,0.18864345),(7.34,3.2936125e-19,0.18395462),(7.35,2.6219725e-19,0.17931078),(7.36,2.0859097e-19,0.17472361),(7.37,1.658344e-19,0.1702036),(7.38,1.3175451e-19,0.16575825),(7.39,1.0460878e-19,0.1613911),(7.4,8.300084e-20,0.15710203),(7.41,6.5812533e-20,0.15288827),(7.42,5.2149059e-20,0.1487459),(7.43,4.1294869e-20,0.14467152),(7.44,3.267815e-20,0.1406634),(7.45,2.5842266e-20,0.13672203),(7.46,2.0422808e-20,0.1328496),(7.47,1.6129172e-20,0.1290488),(7.48,1.2729767e-20,0.12532094),(7.49,1.0040159e-20,0.12166416),(7.5,7.9135702e-21,0.1180722),(7.51,6.2332722e-21,0.11453426),(7.52,4.9064963e-21,0.11103591),(7.53,3.8595672e-21,0.10756112),(7.54,3.0340134e-21,0.10409467),(7.55,2.3834615e-21,0.10062456),(7.56,1.8711583e-21,0.097143811),(7.57,1.4679954e-21,0.0936513),(7.58,1.1509344e-21,0.090151637),(7.59,9.0175435e-22,0.08665407),(7.6,7.0605357e-22,0.083170733),(7.61,5.5245742e-22,0.07971459),(7.62,4.3198804e-22,0.076297478),(7.63,3.3756421e-22,0.072928608),(7.64,2.636045e-22,0.069613761),(7.65,2.0571265e-22,0.066355299),(7.66,1.6042828e-22,0.063152876),(7.67,1.2502953e-22,0.060004664),(7.68,9.7376919e-23,0.056908779),(7.69,7.5789879e-23,0.053864625),(7.7,5.8949232e-23,0.0508739),(7.71,4.5820185e-23,0.047941124),(7.72,3.5591581e-23,0.045073636),(7.73,2.7628002e-23,0.042281122),(7.74,2.1432036e-23,0.039574778),(7.75,1.661457e-23,0.036966308),(7.76,1.2871423e-23,0.034466909),(7.77,9.9649646e-24,0.032086425),(7.78,7.7096863e-24,0.029832752),(7.79,5.9608667e-24,0.027711545),(7.8,4.605681e-24,0.025726181),(7.81,3.5562317e-24,0.023877912),(7.82,2.7440878e-24,0.022166116),(7.83,2.1160099e-24,0.020588577),(7.84,1.6306064e-24,0.019141717),(7.85,1.2557186e-24,0.017820787),(7.86,9.6637852e-25,0.016620001),(7.87,7.4321412e-25,0.015532643),(7.88,5.7120551e-25,0.014551189),(7.89,4.3871508e-25,0.013667447),(7.9,3.3673208e-25,0.012872753),(7.91,2.5828439e-25,0.012158191),(7.92,1.9798103e-25,0.011514837),(7.93,1.516564e-25,0.01093398),(7.94,1.1609396e-25,0.010407312),(7.95,8.8811719e-26,0.0099270638),(7.96,6.7895761e-26,0.0094860915),(7.97,5.1871259e-26,0.0090779201),(7.98,3.9602506e-26,0.0086967562),(7.99,3.0215534e-26,0.0083374818),(8,2.3038257e-26,0.0079956367),(8.01,1.7554187e-26,0.0076673963),(8.02,1.336668e-26,0.007349547),(8.03,1.0171339e-26,0.0070394638),(8.04,7.7347168e-27,0.0067350908),(8.05,5.8779036e-27,0.0064349239),(8.06,4.4638772e-27,0.0061379932),(8.07,3.3877687e-27,0.0058438376),(8.08,2.5693721e-27,0.0055524653),(8.09,1.9473857e-27,0.0052642951),(8.1,1.4749887e-27,0.0049800769),(8.11,1.1164445e-27,0.0047007963),(8.12,8.4449547e-28,0.0044275741),(8.13,6.3836525e-28,0.0041615711),(8.14,4.8222851e-28,0.0039039084),(8.15,3.6403928e-28,0.0036556103),(8.16,2.7463466e-28,0.0034175673),(8.17,2.070495e-28,0.0031905175),(8.18,1.5599286e-28,0.0029750413),(8.19,1.1744838e-28,0.0027715625),(8.2,8.836922e-29,0.0025803554),(8.21,6.6445681e-29,0.0024015526),(8.22,4.9928005e-29,0.0022351544),(8.23,3.749155e-29,0.002081037),(8.24,2.8134182e-29,0.0019389599),(8.25,2.1098273e-29,0.0018085714),(8.26,1.5811434e-29,0.0016894141),(8.27,1.1841516e-29,0.0015809319),(8.28,8.8624766e-30,0.0014824792),(8.29,6.6284898e-30,0.0013933355),(8.3,4.95434e-30,0.0013127236),(8.31,3.700571e-30,0.0012398328),(8.32,2.7622526e-30,0.0011738426),(8.33,2.0604864e-30,0.0011139452),(8.34,1.535988e-30,0.0010593646),(8.35,1.1442413e-30,0.0010093701),(8.36,8.518421e-31,0.00096328525),(8.37,6.3374173e-31,0.00092049201),(8.38,4.7116955e-31,0.00088043274),(8.39,3.5006915e-31,0.00084260986),(8.4,2.5992148e-31,0.00080658485),(8.41,1.9286002e-31,0.00077197679),(8.42,1.430059e-31,0.00073846076),(8.43,1.0596865e-31,0.00070576643),(8.44,7.8471606e-32,0.00067367675),(8.45,5.8071012e-32,0.0006420268),(8.46,4.2945528e-32,0.00061070242),(8.47,3.1738631e-32,0.00057963809),(8.48,2.3440677e-32,0.00054881354),(8.49,1.7300705e-32,0.00051824857),(8.5,1.2760543e-32,0.00048799605),(8.51,9.405593e-33,0.00045813359),(8.52,6.9281123e-33,0.00042875464),(8.53,5.0998259e-33,0.00039996014),(8.54,3.7515218e-33,0.00037185152),(8.55,2.7578541e-33,0.00034452563),(8.56,2.0260343e-33,0.00031807142),(8.57,1.4874213e-33,0.00029256826),(8.58,1.0912716e-33,0.0002680851),(8.59,8.0009844e-34,0.00024468033),(8.6,5.8622682e-34,0.00022240183),(8.61,4.2923944e-34,0.00020128708),(8.62,3.1408359e-34,0.00018136336),(8.63,2.2966909e-34,0.00016264784),(8.64,1.6783075e-34,0.00014514777),(8.65,1.2256097e-34,0.00012886053),(8.66,8.9442626e-35,0.0001137739),(8.67,6.5230178e-35,9.9866356e-05),(8.68,4.7540557e-35,8.7107665e-05),(8.69,3.4625148e-35,7.5459774e-05),(8.7,2.5201749e-35,6.4878025e-05),(8.71,1.83308e-35,5.5312606e-05),(8.72,1.3324282e-35,4.6710093e-05),(8.73,9.6787189e-36,3.9014901e-05),(8.74,7.0259265e-36,3.21705e-05),(8.75,5.0968401e-36,2.6120306e-05),(8.76,3.694963e-36,2.0808277e-05),(8.77,2.6768918e-36,1.6179269e-05),(8.78,1.9380422e-36,1.2179273e-05),(8.79,1.4021914e-36,0),(8.8,1.0138251e-36,0),(8.81,7.325384e-37,0),(8.82,5.289437e-37,0),(8.83,3.8168067e-37,0),(8.84,2.7523429e-37,0),(8.85,1.9834285e-37,0),(8.86,1.428375e-37,0),(8.87,1.0279679e-37,0),(8.88,7.3931332e-38,0),(8.89,5.3136039e-38,0),(8.9,3.8164665e-38,0),(8.91,2.7393365e-38,0),(8.92,1.9649024e-38,0),(8.93,1.4084719e-38,0),(8.94,1.008944e-38,0),(8.95,7.2226669e-39,0),(8.96,5.1670152e-39,0),(8.97,3.6939716e-39,0),(8.98,2.6391192e-39,0),(8.99,1.8842394e-39,0),(9,1.3443885e-39,0),(9.01,9.5857289e-40,0),(9.02,6.8302581e-40,0),(9.03,4.8636324e-40,0),(9.04,3.4609553e-40,0),(9.05,2.4611772e-40,0),(9.06,1.7490467e-40,0),(9.07,1.2421428e-40,0),(9.08,8.8156289e-41,0),(9.09,6.2523989e-41,0),(9.1,4.4315097e-41,0),(9.11,3.1388341e-41,0),(9.12,2.2217574e-41,0),(9.13,1.5715802e-41,0),(9.14,1.1109334e-41,0),(9.15,7.8478582e-42,0),(9.16,5.5402054e-42,0),(9.17,3.9085192e-42,0),(9.18,2.755562e-42,0),(9.19,1.9414214e-42,0),(9.2,1.3669134e-42,0),(9.21,9.6177567e-43,0),(9.22,6.7626699e-43,0),(9.23,4.7519754e-43,0),(9.24,3.3368897e-43,0),(9.25,2.341645e-43,0),(9.26,1.6421465e-43,0),(9.27,1.1508384e-43,0),(9.28,8.0598772e-44,0),(9.29,5.6409731e-44,0),(9.3,3.945402e-44,0),(9.31,2.757656e-44,0),(9.32,1.926196e-44,0),(9.33,1.3445364e-44,0),(9.34,9.3789927e-45,0),(9.35,6.5380978e-45,0),(9.36,4.5546832e-45,0),(9.37,3.1708561e-45,0),(9.38,2.2060051e-45,0),(9.39,1.533727e-45,0),(9.4,1.0656172e-45,0),(9.41,7.3988796e-46,0),(9.42,5.1338403e-46,0),(9.43,3.5598374e-46,0),(9.44,2.4667753e-46,0),(9.45,1.7082075e-46,0),(9.46,1.1821247e-46,0),(9.47,8.1751834e-47,0),(9.48,5.6499325e-47,0),(9.49,3.9021203e-47,0),(9.5,2.6932058e-47,0),(9.51,1.8575906e-47,0),(9.52,1.2803893e-47,0),(9.53,8.8195338e-48,0),(9.54,6.071009e-48,0),(9.55,4.1762611e-48,0),(9.56,2.8709525e-48,0),(9.57,1.9723129e-48,0),(9.58,1.354058e-48,0),(9.59,9.2898816e-49,0),(9.6,6.3693449e-49,0),(9.61,4.3640627e-49,0),(9.62,2.9881236e-49,0),(9.63,2.0446453e-49,0),(9.64,1.3981333e-49,0),(9.65,9.5541266e-50,0),(9.66,6.5244632e-50,0),(9.67,4.4525648e-50,0),(9.68,3.0365973e-50,0),(9.69,2.0695495e-50,0),(9.7,1.4095351e-50,0),(9.71,9.5937272e-51,0),(9.72,6.5254526e-51,0),(9.73,4.4355268e-51,0),(9.74,3.0129468e-51,0),(9.75,2.045263e-51,0),(9.76,1.3874539e-51,0),(9.77,9.4058808e-52,0),(9.78,6.3722357e-52,0),(9.79,4.3141549e-52,0),(9.8,2.9188452e-52,0),(9.81,1.9735043e-52,0),(9.82,1.3334494e-52,0),(9.83,9.0038129e-53,0),(9.84,6.0755878e-53,0),(9.85,4.0969554e-53,0),(9.86,2.7608676e-53,0),(9.87,1.8592671e-53,0),(9.88,1.2512652e-53,0),(9.89,8.4152773e-54,0),(9.9,5.6558673e-54,0),(9.91,3.7987572e-54,0),(9.92,2.5497355e-54,0),(9.93,1.7102533e-54,0),(9.94,1.146402e-54,0),(9.95,7.6793637e-55,0),(9.96,5.1407351e-55,0),(9.97,3.4390324e-55,0),(9.98,2.2991072e-55,0),(9.99,1.5360079e-55,0),(10,0,0),(10.01,0,0),(10.02,0,0),(10.03,0,0),(10.04,0,0),(10.05,0,0),(10.06,0,0),(10.07,0,0),(10.08,0,0),(10.09,0,0),(10.1,0,0),(10.11,0,0),(10.12,0,0),(10.13,0,0),(10.14,0,0),(10.15,0,0),(10.16,0,0),(10.17,0,0),(10.18,0,0),(10.19,0,0),(10.2,0,0),(10.21,0,0),(10.22,0,0),(10.23,0,0),(10.24,0,0),(10.25,0,0),(10.26,0,0),(10.27,0,0),(10.28,0,0),(10.29,0,0),(10.3,0,0),(10.31,0,0),(10.32,0,0),(10.33,0,0),(10.34,0,0),(10.35,0,0),(10.36,0,0),(10.37,0,0),(10.38,0,0),(10.39,0,0),(10.4,0,0),(10.41,0,0),(10.42,0,0),(10.43,0,0),(10.44,0,0),(10.45,0,0),(10.46,0,0),(10.47,0,0),(10.48,0,0),(10.49,0,0),(10.5,0,0),(10.51,0,0),(10.52,0,0),(10.53,0,0),(10.54,0,0),(10.55,0,0),(10.56,0,0),(10.57,0,0),(10.58,0,0),(10.59,0,0),(10.6,0,0),(10.61,0,0),(10.62,0,0),(10.63,0,0),(10.64,0,0),(10.65,0,0),(10.66,0,0),(10.67,0,0),(10.68,0,0),(10.69,0,0),(10.7,0,0),(10.71,0,0),(10.72,0,0),(10.73,0,0),(10.74,0,0),(10.75,0,0),(10.76,0,0),(10.77,0,0),(10.78,0,0),(10.79,0,0),(10.8,0,0),(10.81,0,0),(10.82,0,0),(10.83,0,0),(10.84,0,0),(10.85,0,0),(10.86,0,0),(10.87,0,0),(10.88,0,0),(10.89,0,0),(10.9,0,0),(10.91,0,0),(10.92,0,0),(10.93,0,0),(10.94,0,0),(10.95,0,0),(10.96,0,0),(10.97,0,0),(10.98,0,0),(10.99,0,0),(11,0,0),(11.01,0,0),(11.02,0,0),(11.03,0,0),(11.04,0,0),(11.05,0,0),(11.06,0,0),(11.07,0,0),(11.08,0,0),(11.09,0,0),(11.1,0,0),(11.11,0,0),(11.12,0,0),(11.13,0,0),(11.14,0,0),(11.15,0,0),(11.16,0,0),(11.17,0,0),(11.18,0,0),(11.19,0,0),(11.2,0,0),(11.21,0,0),(11.22,0,0),(11.23,0,0),(11.24,0,0),(11.25,0,0),(11.26,0,0),(11.27,0,0),(11.28,0,0),(11.29,0,0),(11.3,0,0),(11.31,0,0),(11.32,0,0),(11.33,0,0),(11.34,0,0),(11.35,0,0),(11.36,0,0),(11.37,0,0),(11.38,0,0),(11.39,0,0),(11.4,0,0),(11.41,0,0),(11.42,0,0),(11.43,0,0),(11.44,0,0),(11.45,0,0),(11.46,0,0),(11.47,0,0),(11.48,0,0),(11.49,0,0),(11.5,0,0),(11.51,0,0),(11.52,0,0),(11.53,0,0),(11.54,0,0),(11.55,0,0),(11.56,0,0),(11.57,0,0),(11.58,0,0),(11.59,0,0),(11.6,0,0),(11.61,0,0),(11.62,0,0),(11.63,0,0),(11.64,0,0),(11.65,0,0),(11.66,0,0),(11.67,0,0),(11.68,0,0),(11.69,0,0),(11.7,0,0),(11.71,0,0),(11.72,0,0),(11.73,0,0),(11.74,0,0),(11.75,0,0),(11.76,0,0),(11.77,0,0),(11.78,0,0),(11.79,0,0),(11.8,0,0),(11.81,0,0),(11.82,0,0),(11.83,0,0),(11.84,0,0),(11.85,0,0),(11.86,0,0),(11.87,0,0),(11.88,0,0),(11.89,0,0),(11.9,0,0),(11.91,0,0),(11.92,0,0),(11.93,0,0),(11.94,0,0),(11.95,0,0),(11.96,0,0),(11.97,0,0),(11.98,0,0),(11.99,0,0),(12,0,0),(12.01,0,0),(12.02,0,0),(12.03,0,0),(12.04,0,0),(12.05,0,0),(12.06,0,0),(12.07,0,0),(12.08,0,0),(12.09,0,0),(12.1,0,0),(12.11,0,0),(12.12,0,0),(12.13,0,0),(12.14,0,0),(12.15,0,0),(12.16,0,0),(12.17,0,0),(12.18,0,0),(12.19,0,0),(12.2,0,0),(12.21,0,0),(12.22,0,0),(12.23,0,0),(12.24,0,0),(12.25,0,0),(12.26,0,0),(12.27,0,0),(12.28,0,0),(12.29,0,0),(12.3,0,0),(12.31,0,0),(12.32,0,0),(12.33,0,0),(12.34,0,0),(12.35,0,0),(12.36,0,0),(12.37,0,0),(12.38,0,0),(12.39,0,0),(12.4,0,0),(12.41,0,0),(12.42,0,0),(12.43,0,0),(12.44,0,0),(12.45,0,0),(12.46,0,0),(12.47,0,0),(12.48,0,0),(12.49,0,0),(12.5,0,0),(12.51,0,0),(12.52,0,0),(12.53,0,0),(12.54,0,0),(12.55,0,0),(12.56,0,0),(12.57,0,0),(12.58,0,0),(12.59,0,0),(12.6,0,0),(12.61,0,0),(12.62,0,0),(12.63,0,0),(12.64,0,0),(12.65,0,0),(12.66,0,0),(12.67,0,0),(12.68,0,0),(12.69,0,0),(12.7,0,0),(12.71,0,0),(12.72,0,0),(12.73,0,0),(12.74,0,0),(12.75,0,0),(12.76,0,0),(12.77,0,0),(12.78,0,0),(12.79,0,0),(12.8,0,0),(12.81,0,0),(12.82,0,0),(12.83,0,0),(12.84,0,0),(12.85,0,0),(12.86,0,0),(12.87,0,0),(12.88,0,0),(12.89,0,0),(12.9,0,0),(12.91,0,0),(12.92,0,0),(12.93,0,0),(12.94,0,0),(12.95,0,0),(12.96,0,0),(12.97,0,0),(12.98,0,0),(12.99,0,0),(13,0,0),(13.01,0,0),(13.02,0,0),(13.03,0,0),(13.04,0,0),(13.05,0,0),(13.06,0,0),(13.07,0,0),(13.08,0,0),(13.09,0,0),(13.1,0,0),(13.11,0,0),(13.12,0,0),(13.13,0,0),(13.14,0,0),(13.15,0,0),(13.16,0,0),(13.17,0,0),(13.18,0,0),(13.19,0,0),(13.2,0,0),(13.21,0,0),(13.22,0,0),(13.23,0,0),(13.24,0,0),(13.25,0,0),(13.26,0,0),(13.27,0,0),(13.28,0,0),(13.29,0,0),(13.3,0,0),(13.31,0,0),(13.32,0,0),(13.33,0,0),(13.34,0,0),(13.35,0,0),(13.36,0,0),(13.37,0,0),(13.38,0,0),(13.39,0,0),(13.4,0,0),(13.41,0,0),(13.42,0,0),(13.43,0,0),(13.44,0,0),(13.45,0,0),(13.46,0,0),(13.47,0,0),(13.48,0,0),(13.49,0,0),(13.5,0,0),(13.51,0,0),(13.52,0,0),(13.53,0,0),(13.54,0,0),(13.55,0,0),(13.56,0,0),(13.57,0,0),(13.58,0,0),(13.59,0,0),(13.6,0,0),(13.61,0,0),(13.62,0,0),(13.63,0,0),(13.64,0,0),(13.65,0,0),(13.66,0,0),(13.67,0,0),(13.68,0,0),(13.69,0,0),(13.7,0,0),(13.71,0,0),(13.72,0,0),(13.73,0,0),(13.74,0,0),(13.75,0,0),(13.76,0,0),(13.77,0,0),(13.78,0,0),(13.79,0,0),(13.8,0,0),(13.81,0,0),(13.82,0,0),(13.83,0,0),(13.84,0,0),(13.85,0,0),(13.86,0,0),(13.87,0,0),(13.88,0,0),(13.89,0,0),(13.9,0,0),(13.91,0,0),(13.92,0,0),(13.93,0,0),(13.94,0,0),(13.95,0,0),(13.96,0,0),(13.97,0,0),(13.98,0,0),(13.99,0,0),(14,0,0),(14.01,0,0),(14.02,0,0),(14.03,0,0),(14.04,0,0),(14.05,0,0),(14.06,0,0),(14.07,0,0),(14.08,0,0),(14.09,0,0),(14.1,0,0),(14.11,0,0),(14.12,0,0),(14.13,0,0),(14.14,0,0),(14.15,0,0),(14.16,0,0),(14.17,0,0),(14.18,0,0),(14.19,0,0),(14.2,0,0),(14.21,0,0),(14.22,0,0),(14.23,0,0),(14.24,0,0),(14.25,0,0),(14.26,0,0),(14.27,0,0),(14.28,0,0),(14.29,0,0),(14.3,0,0),(14.31,0,0),(14.32,0,0),(14.33,0,0),(14.34,0,0),(14.35,0,0),(14.36,0,0),(14.37,0,0),(14.38,0,0),(14.39,0,0),(14.4,0,0),(14.41,0,0),(14.42,0,0),(14.43,0,0),(14.44,0,0),(14.45,0,0),(14.46,0,0),(14.47,0,0),(14.48,0,0),(14.49,0,0),(14.5,0,0),(14.51,0,0),(14.52,0,0),(14.53,0,0),(14.54,0,0),(14.55,0,0),(14.56,0,0),(14.57,0,0),(14.58,0,0),(14.59,0,0),(14.6,0,0),(14.61,0,0),(14.62,0,0),(14.63,0,0),(14.64,0,0),(14.65,0,0),(14.66,0,0),(14.67,0,0),(14.68,0,0),(14.69,0,0),(14.7,0,0),(14.71,0,0),(14.72,0,0),(14.73,0,0),(14.74,0,0),(14.75,0,0),(14.76,0,0),(14.77,0,0),(14.78,0,0),(14.79,0,0),(14.8,0,0),(14.81,0,0),(14.82,0,0),(14.83,0,0),(14.84,0,0),(14.85,0,0),(14.86,0,0),(14.87,0,0),(14.88,0,0),(14.89,0,0),(14.9,0,0),(14.91,0,0),(14.92,0,0),(14.93,0,0),(14.94,0,0),(14.95,0,0),(14.96,0,0),(14.97,0,0),(14.98,0,0),(14.99,0,0),(15,0,0),(15.01,0,0),(15.02,0,0),(15.03,0,0),(15.04,0,0),(15.05,0,0),(15.06,0,0),(15.07,0,0),(15.08,0,0),(15.09,0,0),(15.1,0,0),(15.11,0,0),(15.12,0,0),(15.13,0,0),(15.14,0,0),(15.15,0,0),(15.16,0,0),(15.17,0,0),(15.18,0,0),(15.19,0,0),(15.2,0,0),(15.21,0,0),(15.22,0,0),(15.23,0,0),(15.24,0,0),(15.25,0,0),(15.26,0,0),(15.27,0,0),(15.28,0,0),(15.29,0,0),(15.3,0,0),(15.31,0,0),(15.32,0,0),(15.33,0,0),(15.34,0,0),(15.35,0,0),(15.36,0,0),(15.37,0,0),(15.38,0,0),(15.39,0,0),(15.4,0,0),(15.41,0,0),(15.42,0,0),(15.43,0,0),(15.44,0,0),(15.45,0,0),(15.46,0,0),(15.47,0,0),(15.48,0,0),(15.49,0,0),(15.5,0,0),(15.51,0,0),(15.52,0,0),(15.53,0,0),(15.54,0,0),(15.55,0,0),(15.56,0,0),(15.57,0,0),(15.58,0,0),(15.59,0,0),(15.6,0,0),(15.61,0,0),(15.62,0,0),(15.63,0,0),(15.64,0,0),(15.65,0,0),(15.66,0,0),(15.67,0,0),(15.68,0,0),(15.69,0,0),(15.7,0,0),(15.71,0,0),(15.72,0,0),(15.73,0,0),(15.74,0,0),(15.75,0,0),(15.76,0,0),(15.77,0,0),(15.78,0,0),(15.79,0,0),(15.8,0,0),(15.81,0,0),(15.82,0,0),(15.83,0,0),(15.84,0,0),(15.85,0,0),(15.86,0,0),(15.87,0,0),(15.88,0,0),(15.89,0,0),(15.9,0,0),(15.91,0,0),(15.92,0,0),(15.93,0,0),(15.94,0,0),(15.95,0,0),(15.96,0,0),(15.97,0,0),(15.98,0,0),(15.99,0,0),(16,0,0),(16.01,0,0),(16.02,0,0),(16.03,0,0),(16.04,0,0),(16.05,0,0),(16.06,0,0),(16.07,0,0),(16.08,0,0),(16.09,0,0),(16.1,0,0),(16.11,0,0),(16.12,0,0),(16.13,0,0),(16.14,0,0),(16.15,0,0),(16.16,0,0),(16.17,0,0),(16.18,0,0),(16.19,0,0),(16.2,0,0),(16.21,0,0),(16.22,0,0),(16.23,0,0),(16.24,0,0),(16.25,0,0),(16.26,0,0),(16.27,0,0),(16.28,0,0),(16.29,0,0),(16.3,0,0),(16.31,0,0),(16.32,0,0),(16.33,0,0),(16.34,0,0),(16.35,0,0),(16.36,0,0),(16.37,0,0),(16.38,0,0),(16.39,0,0),(16.4,0,0),(16.41,0,0),(16.42,0,0),(16.43,0,0),(16.44,0,0),(16.45,0,0),(16.46,0,0),(16.47,0,0),(16.48,0,0),(16.49,0,0),(16.5,0,0),(16.51,0,0),(16.52,0,0),(16.53,0,0),(16.54,0,0),(16.55,0,0),(16.56,0,0),(16.57,0,0),(16.58,0,0),(16.59,0,0),(16.6,0,0),(16.61,0,0),(16.62,0,0),(16.63,0,0),(16.64,0,0),(16.65,0,0),(16.66,0,0),(16.67,0,0),(16.68,0,0),(16.69,0,0),(16.7,0,0),(16.71,0,0),(16.72,0,0);
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (0,4050,5750,0,24,250,NULL),(0,6750,7800,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `magnetic14`
--

DROP TABLE IF EXISTS `magnetic14`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic14` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic14`
--

LOCK TABLES `magnetic14` WRITE;
INSERT INTO `magnetic14` VALUES (1,4050,5750,0,24,250,NULL),(1,6750,7800,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID14'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `magnetic2`
--

DROP TABLE IF EXISTS `magnetic2`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic2` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic2`
--

LOCK TABLES `magnetic2` WRITE;
INSERT INTO `magnetic2` VALUES (1,4050,5750,0,24,250,NULL),(1,6750,7800,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX00Stahl`;
USE fieldX00Stahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX00Stahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `LDC_z_Bz_BxDID`
--

DROP TABLE IF EXISTS `LDC_z_Bz_BxDID`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDC_z_Bz_BxDID` (
  `z` double default NULL,
  `Bz` double default NULL,
  `Bx` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDC_z_Bz_BxDID`
--

LOCK TABLES `LDC_z_Bz_BxDID` WRITE;
INSERT INTO `LDC_z_Bz_BxDID` VALUES (0,4,0),(0.01,4,-0.00050477562),(0.02,4,-0.0010095248),(0.03,4,-0.0015142212),(0.04,4,-0.0020188384),(0.05,4,-0.00252335),(0.06,4,-0.0030277295),(0.07,4,-0.0035319507),(0.08,4,-0.0040359871),(0.09,4,-0.0045398124),(0.1,4,-0.0050434001),(0.11,4,-0.0055467241),(0.12,4,-0.0060497579),(0.13,4,-0.0065524752),(0.14,4,-0.0070548498),(0.15,4,-0.0075568553),(0.16,4,-0.0080584656),(0.17,4,-0.0085596543),(0.18,4,-0.0090603954),(0.19,4,-0.0095606625),(0.2,4,-0.01006043),(0.21,4,-0.010559671),(0.22,4,-0.011058359),(0.23,4,-0.01155647),(0.24,4,-0.012053976),(0.25,4,-0.012550851),(0.26,4,-0.013047071),(0.27,4,-0.013542608),(0.28,4,-0.014037437),(0.29,4,-0.014531532),(0.3,4,-0.015024868),(0.31,4,-0.015517418),(0.32,4,-0.016009156),(0.33,4,-0.016500058),(0.34,4,-0.016990098),(0.35,4,-0.017479249),(0.36,4,-0.017967487),(0.37,4,-0.018454785),(0.38,4,-0.01894112),(0.39,4,-0.019426464),(0.4,4,-0.019910794),(0.41,4,-0.020394083),(0.42,4,-0.020876307),(0.43,4,-0.02135744),(0.44,4,-0.021837458),(0.45,4,-0.022316335),(0.46,4,-0.022794046),(0.47,4,-0.023270567),(0.48,4,-0.023745873),(0.49,4,-0.024219939),(0.5,4,-0.024692741),(0.51,4,-0.025164254),(0.52,4,-0.025634453),(0.53,4,-0.026103314),(0.54,4,-0.026570813),(0.55,4,-0.027036926),(0.56,4,-0.027501628),(0.57,4,-0.027964895),(0.58,4,-0.028426704),(0.59,4,-0.02888703),(0.6,4,-0.02934585),(0.61,4,-0.029803139),(0.62,4,-0.030258875),(0.63,4,-0.030713034),(0.64,4,-0.031165592),(0.65,4,-0.031616526),(0.66,4,-0.032065813),(0.67,4,-0.032513429),(0.68,4,-0.032959352),(0.69,4,-0.033403559),(0.7,4,-0.033846026),(0.71,4,-0.034286732),(0.72,4,-0.034725653),(0.73,4,-0.035162767),(0.74,4,-0.035598052),(0.75,4,-0.036031485),(0.76,4,-0.036463044),(0.77,4,-0.036892708),(0.78,4,-0.037320453),(0.79,4,-0.037746259),(0.8,4,-0.038170104),(0.81,4,-0.038591966),(0.82,4,-0.039011824),(0.83,4,-0.039429656),(0.84,4,-0.039845442),(0.85,4,-0.04025916),(0.86,4,-0.040670789),(0.87,4,-0.041080309),(0.88,4,-0.041487699),(0.89,4,-0.041892938),(0.9,4,-0.042296006),(0.91,4,-0.042696883),(0.92,4,-0.043095549),(0.93,4,-0.043491983),(0.94,4,-0.043886167),(0.95,4,-0.04427808),(0.96,4,-0.044667702),(0.97,4,-0.045055016),(0.98,4,-0.04544),(0.99,4,-0.045822637),(1,4,-0.046202907),(1.01,4,-0.046580792),(1.02,4,-0.046956273),(1.03,4,-0.047329332),(1.04,4,-0.04769995),(1.05,4,-0.048068109),(1.06,4,-0.048433792),(1.07,4,-0.04879698),(1.08,4,-0.049157657),(1.09,4,-0.049515804),(1.1,4,-0.049871404),(1.11,4,-0.050224441),(1.12,4,-0.050574897),(1.13,4,-0.050922756),(1.14,4,-0.051268),(1.15,4,-0.051610615),(1.16,4,-0.051950583),(1.17,4,-0.052287888),(1.18,4,-0.052622516),(1.19,4,-0.052954449),(1.2,4,-0.053283673),(1.21,4,-0.053610172),(1.22,4,-0.053933931),(1.23,4,-0.054254936),(1.24,4,-0.054573172),(1.25,4,-0.054888623),(1.26,4,-0.055201277),(1.27,4,-0.055511118),(1.28,4,-0.055818133),(1.29,4,-0.056122308),(1.3,4,-0.05642363),(1.31,4,-0.056722085),(1.32,4,-0.057017661),(1.33,4,-0.057310343),(1.34,4,-0.05760012),(1.35,4,-0.05788698),(1.36,4,-0.058170909),(1.37,4,-0.058451896),(1.38,4,-0.058729929),(1.39,4,-0.059004996),(1.4,4,-0.059277086),(1.41,4,-0.059546188),(1.42,4,-0.05981229),(1.43,4,-0.060075383),(1.44,4,-0.060335454),(1.45,4,-0.060592495),(1.46,4,-0.060846495),(1.47,4,-0.061097443),(1.48,4,-0.061345331),(1.49,4,-0.061590149),(1.5,4,-0.061831887),(1.51,4,-0.062070537),(1.52,4,-0.06230609),(1.53,4,-0.062538537),(1.54,4,-0.062767871),(1.55,4,-0.062994082),(1.56,4,-0.063217164),(1.57,4,-0.063437108),(1.58,4,-0.063653907),(1.59,4,-0.063867555),(1.6,4,-0.064078043),(1.61,4.0000001,-0.064285366),(1.62,4.0000002,-0.064489517),(1.63,4.0000003,-0.06469049),(1.64,4.0000005,-0.064888279),(1.65,4.0000006,-0.065082878),(1.66,4.0000008,-0.065274282),(1.67,4.000001,-0.065462486),(1.68,4.0000011,-0.065647484),(1.69,4.0000012,-0.065829272),(1.7,4.0000012,-0.066007845),(1.71,4.0000011,-0.066183199),(1.72,4.0000009,-0.066355331),(1.73,4.0000006,-0.066524236),(1.74,4.0000002,-0.06668991),(1.75,3.9999998,-0.066852351),(1.76,3.9999995,-0.067011556),(1.77,3.9999993,-0.067167521),(1.78,3.9999993,-0.067320244),(1.79,3.9999997,-0.067469724),(1.8,4.0000005,-0.067615957),(1.81,4.0000017,-0.067758943),(1.82,4.0000033,-0.067898679),(1.83,4.0000051,-0.068035164),(1.84,4.0000069,-0.068168398),(1.85,4.0000084,-0.068298379),(1.86,4.0000094,-0.068425107),(1.87,4.0000095,-0.068548582),(1.88,4.0000083,-0.068668804),(1.89,4.0000056,-0.068785772),(1.9,4.0000013,-0.068899488),(1.91,3.9999956,-0.069009952),(1.92,3.9999889,-0.069117166),(1.93,3.9999819,-0.069221129),(1.94,3.9999757,-0.069321845),(1.95,3.9999714,-0.069419314),(1.96,3.9999704,-0.069513538),(1.97,3.999974,-0.06960452),(1.98,3.999983,-0.069692263),(1.99,3.9999978,-0.069776768),(2,4.0000182,-0.06985804),(2.01,4.0000425,-0.069936081),(2.02,4.0000683,-0.070010894),(2.03,4.0000918,-0.070082484),(2.04,4.0001084,-0.070150855),(2.05,4.0001124,-0.07021601),(2.06,4.0000978,-0.070277954),(2.07,4.0000586,-0.070336693),(2.08,3.9999897,-0.07039223),(2.09,3.9998867,-0.070444571),(2.1,3.9997473,-0.070493723),(2.11,3.9995709,-0.070539689),(2.12,3.999359,-0.070582477),(2.13,3.9991148,-0.070622092),(2.14,3.9988432,-0.070658542),(2.15,3.9985498,-0.070691832),(2.16,3.998241,-0.070721969),(2.17,3.9979228,-0.070748962),(2.18,3.9976008,-0.070772817),(2.19,3.9972795,-0.070793542),(2.2,3.9969624,-0.070811145),(2.21,3.9966513,-0.070825634),(2.22,3.9963472,-0.070837017),(2.23,3.9960495,-0.070845304),(2.24,3.9957567,-0.070850502),(2.25,3.9954666,-0.070852622),(2.26,3.9951765,-0.070851672),(2.27,3.9948839,-0.070847662),(2.28,3.9945867,-0.070840602),(2.29,3.9942835,-0.070830501),(2.3,3.993974,-0.070817371),(2.31,3.9936594,-0.070801221),(2.32,3.9933421,-0.070782062),(2.33,3.9930259,-0.070759906),(2.34,3.9927159,-0.070734763),(2.35,3.9924179,-0.070706645),(2.36,3.9921382,-0.070675564),(2.37,3.9918828,-0.070641531),(2.38,3.9916572,-0.070604558),(2.39,3.9914655,-0.070564657),(2.4,3.9913102,-0.070521842),(2.41,3.9911917,-0.070476125),(2.42,3.9911087,-0.070427518),(2.43,3.9910578,-0.070376035),(2.44,3.9910344,-0.07032169),(2.45,3.991033,-0.070264495),(2.46,3.9910476,-0.070204465),(2.47,3.9910725,-0.070141614),(2.48,3.9911024,-0.070075955),(2.49,3.9911332,-0.070007503),(2.5,3.9911616,-0.069936273),(2.51,3.9911855,-0.069862279),(2.52,3.9912038,-0.069785536),(2.53,3.9912162,-0.069706061),(2.54,3.9912234,-0.069623867),(2.55,3.9912262,-0.06953897),(2.56,3.9912259,-0.069451387),(2.57,3.9912235,-0.069361133),(2.58,3.9912201,-0.069268224),(2.59,3.9912163,-0.069172677),(2.6,3.9912126,-0.069074507),(2.61,3.9912089,-0.068973733),(2.62,3.9912052,-0.068870369),(2.63,3.9912011,-0.068764435),(2.64,3.9911965,-0.068655946),(2.65,3.9911911,-0.06854492),(2.66,3.9911853,-0.068431374),(2.67,3.9911794,-0.068315327),(2.68,3.9911742,-0.068196796),(2.69,3.9911704,-0.068075799),(2.7,3.9911691,-0.067952354),(2.71,3.9911709,-0.06782648),(2.72,3.9911762,-0.067698194),(2.73,3.9911843,-0.067567517),(2.74,3.9911936,-0.067434466),(2.75,3.9912015,-0.06729906),(2.76,3.9912038,-0.067161319),(2.77,3.9911957,-0.067021261),(2.78,3.9911715,-0.066878907),(2.79,3.9911259,-0.066734275),(2.8,3.9910537,-0.066587385),(2.81,3.9909512,-0.066438258),(2.82,3.9908163,-0.066286912),(2.83,3.9906485,-0.066133368),(2.84,3.9904497,-0.065977646),(2.85,3.9902231,-0.065819766),(2.86,3.9899737,-0.065659749),(2.87,3.989707,-0.065497615),(2.88,3.9894287,-0.065333385),(2.89,3.9891443,-0.065167079),(2.9,3.9888578,-0.064998719),(2.91,3.9885722,-0.064828325),(2.92,3.9882882,-0.064655919),(2.93,3.9880052,-0.064481521),(2.94,3.9877205,-0.064305153),(2.95,3.9874299,-0.064126837),(2.96,3.9871285,-0.063946592),(2.97,3.9868102,-0.063764442),(2.98,3.9864691,-0.063580408),(2.99,3.9860996,-0.063394511),(3,3.985697,-0.063206774),(3.01,3.9852575,-0.063017218),(3.02,3.9847792,-0.062825865),(3.03,3.9842615,-0.062632737),(3.04,3.9837059,-0.062437856),(3.05,3.9831151,-0.062241245),(3.06,3.982493,-0.062042926),(3.07,3.9818442,-0.06184292),(3.08,3.981173,-0.061641251),(3.09,3.9804827,-0.061437941),(3.1,3.9797753,-0.061233012),(3.11,3.9790503,-0.061026486),(3.12,3.9783052,-0.060818387),(3.13,3.977535,-0.060608737),(3.14,3.9767324,-0.060397559),(3.15,3.9758887,-0.060184874),(3.16,3.9749944,-0.059970707),(3.17,3.9740396,-0.05975508),(3.18,3.9730153,-0.059538015),(3.19,3.9719139,-0.059319536),(3.2,3.97073,-0.059099665),(3.21,3.9694612,-0.058878426),(3.22,3.968108,-0.058655841),(3.23,3.9666744,-0.058431932),(3.24,3.9651676,-0.058206724),(3.25,3.9635971,-0.057980239),(3.26,3.9619749,-0.0577525),(3.27,3.9603137,-0.05752353),(3.28,3.9586262,-0.057293351),(3.29,3.956924,-0.057061988),(3.3,3.9552166,-0.056829463),(3.31,3.9535106,-0.056595798),(3.32,3.9518096,-0.056361018),(3.33,3.9501137,-0.056125144),(3.34,3.9484204,-0.0558882),(3.35,3.9467247,-0.055650209),(3.36,3.9450199,-0.055411193),(3.37,3.9432993,-0.055171176),(3.38,3.9415565,-0.054930181),(3.39,3.9397865,-0.05468823),(3.4,3.9379866,-0.054445346),(3.41,3.9361564,-0.054201552),(3.42,3.934298,-0.05395687),(3.43,3.9324154,-0.053711324),(3.44,3.930514,-0.053464937),(3.45,3.9286,-0.053217729),(3.46,3.9266796,-0.052969726),(3.47,3.9247583,-0.052720948),(3.48,3.9228405,-0.052471419),(3.49,3.9209286,-0.05222116),(3.5,3.919023,-0.051970195),(3.51,3.9171212,-0.051718546),(3.52,3.9152179,-0.051466234),(3.53,3.9133037,-0.051213283),(3.54,3.9113659,-0.050959714),(3.55,3.9093878,-0.050705549),(3.56,3.9073497,-0.050450811),(3.57,3.9052299,-0.050195522),(3.58,3.9030061,-0.049939702),(3.59,3.9006577,-0.049683375),(3.6,3.8981681,-0.049426562),(3.61,3.8955265,-0.049169284),(3.62,3.8927288,-0.048911564),(3.63,3.8897781,-0.048653422),(3.64,3.8866832,-0.04839488),(3.65,3.8834561,-0.048135959),(3.66,3.8801091,-0.047876681),(3.67,3.8766516,-0.047617066),(3.68,3.8730874,-0.047357136),(3.69,3.8694141,-0.047096912),(3.7,3.8656227,-0.046836414),(3.71,3.8617006,-0.046575664),(3.72,3.8576337,-0.046314681),(3.73,3.8534095,-0.046053487),(3.74,3.849019,-0.045792101),(3.75,3.8444565,-0.045530545),(3.76,3.8397179,-0.045268838),(3.77,3.834796,-0.045007),(3.78,3.8296767,-0.044745051),(3.79,3.8243354,-0.044483012),(3.8,3.8187384,-0.044220901),(3.81,3.8128472,-0.043958739),(3.82,3.8066272,-0.043696545),(3.83,3.8000569,-0.043434338),(3.84,3.7931326,-0.043172138),(3.85,3.7858665,-0.042909964),(3.86,3.7782784,-0.042647834),(3.87,3.7703828,-0.042385768),(3.88,3.7621789,-0.042123784),(3.89,3.7536477,-0.041861901),(3.9,3.7447589,-0.041600136),(3.91,3.7354839,-0.04133851),(3.92,3.7258075,-0.041077039),(3.93,3.7157333,-0.040815742),(3.94,3.7052785,-0.040554637),(3.95,3.6944623,-0.04029374),(3.96,3.683293,-0.040033071),(3.97,3.6717616,-0.039772646),(3.98,3.6598438,-0.039512483),(3.99,3.6475101,-0.039252599),(4,3.6347365,-0.03899301),(4.01,3.6215129,-0.038721632),(4.02,3.6078462,-0.038426725),(4.03,3.5937572,-0.038108856),(4.04,3.5792763,-0.037768634),(4.05,3.5644392,-0.037406706),(4.06,3.5492842,-0.037023756),(4.07,3.5338517,-0.036620504),(4.08,3.5181828,-0.036197701),(4.09,3.5023176,-0.035756127),(4.1,3.4862904,-0.035296594),(4.11,3.4701226,-0.034819934),(4.12,3.4538159,-0.034327005),(4.13,3.4373468,-0.033818684),(4.14,3.4206679,-0.033295867),(4.15,3.4037161,-0.032759463),(4.16,3.3864272,-0.032210394),(4.17,3.3687522,-0.031649593),(4.18,3.3506687,-0.031077999),(4.19,3.3321829,-0.030496556),(4.2,3.3133194,-0.029906209),(4.21,3.2941052,-0.029307903),(4.22,3.2745535,-0.028702582),(4.23,3.2546574,-0.028091181),(4.24,3.2343938,-0.027474629),(4.25,3.2137374,-0.026853847),(4.26,3.1926753,-0.026229741),(4.27,3.1712173,-0.025603204),(4.28,3.1493989,-0.024975112),(4.29,3.1272771,-0.024346323),(4.3,3.1049225,-0.023717677),(4.31,3.0824096,-0.023089988),(4.32,3.0598038,-0.022464052),(4.33,3.0371462,-0.021840637),(4.34,3.0144393,-0.021220485),(4.35,2.9916403,-0.020604313),(4.36,2.9686666,-0.019992806),(4.37,2.9454165,-0.019386624),(4.38,2.9217964,-0.018786395),(4.39,2.8977461,-0.018192714),(4.4,2.8732516,-0.017606148),(4.41,2.8483428,-0.01702723),(4.42,2.8230783,-0.016456461),(4.43,2.7975265,-0.015894311),(4.44,2.771748,-0.015341215),(4.45,2.7457875,-0.014797577),(4.46,2.7196741,-0.014263767),(4.47,2.6934309,-0.013740125),(4.48,2.667089,-0.013226956),(4.49,2.6406996,-0.012724535),(4.5,2.6143399,-0.012233106),(4.51,2.5881104,-0.011752881),(4.52,2.5621246,-0.011284043),(4.53,2.5364955,-0.010826744),(4.54,2.5113238,-0.010381111),(4.55,2.48669,-0.0099472389),(4.56,2.4626511,-0.0095251989),(4.57,2.4392388,-0.0091150348),(4.58,2.4164593,-0.008716766),(4.59,2.3942917,-0.0083303876),(4.6,2.3726886,-0.0079558724),(4.61,2.3515829,-0.0075931709),(4.62,2.3309016,-0.0072422132),(4.63,2.310587,-0.0069029098),(4.64,2.2906184,-0.0065751529),(4.65,2.2710237,-0.0062588174),(4.66,2.2518749,-0.0059537618),(4.67,2.2332674,-0.00565983),(4.68,2.2152905,-0.0053768519),(4.69,2.1980023,-0.0051046447),(4.7,2.1814179,-0.0048430138),(4.71,2.1655153,-0.0045917543),(4.72,2.1502516,-0.0043506518),(4.73,2.1355848,-0.0041194834),(4.74,2.1214896,-0.0038980187),(4.75,2.1079639,-0.0036860212),(4.76,2.095024,-0.0034832486),(4.77,2.0826909,-0.0032894542),(4.78,2.070973,-0.0031043877),(4.79,2.0598515,-0.0029277959),(4.8,2.0492738,-0.0027594235),(4.81,2.0391576,-0.0025990142),(4.82,2.0294023,-0.002446311),(4.83,2.0199038,-0.0023010571),(4.84,2.010568,-0.0021629967),(4.85,2.0013191,-0.0020318751),(4.86,1.9921033,-0.00190744),(4.87,1.9828889,-0.0017894414),(4.88,1.9736642,-0.0016776323),(4.89,1.9644334,-0.0015717693),(4.9,1.9552118,-0.0014716126),(4.91,1.9460192,-0.001376927),(4.92,1.9368734,-0.0012874815),(4.93,1.9277839,-0.0012030504),(4.94,1.9187488,-0.0011234126),(4.95,1.909755,-0.0010483529),(4.96,1.9007818,-0.00097766114),(4.97,1.8918076,-0.00091113328),(4.98,1.8828168,-0.00084857093),(4.99,1.8738058,-0.0007897817),(5,1.8647852,-0.00073457926),(5.01,1.8557793,-0.00068278337),(5.02,1.8468217,-0.00063421992),(5.03,1.8379497,-0.00058872095),(5.04,1.8291984,-0.00054612463),(5.05,1.8205957,-0.00050627526),(5.06,1.8121595,-0.00046902319),(5.07,1.8038974,-0.00043422475),(5.08,1.7958079,-0.00040174224),(5.09,1.7878831,-0.00037144376),(5.1,1.7801109,-0.00034320317),(5.11,1.7724786,-0.00031689994),(5.12,1.7649743,-0.00029241906),(5.13,1.7575885,-0.00026965087),(5.14,1.7503146,-0.00024849098),(5.15,1.7431484,-0.00022884006),(5.16,1.7360876,-0.00021060376),(5.17,1.7291304,-0.00019369251),(5.18,1.7222749,-0.00017802137),(5.19,1.7155176,-0.00016350992),(5.2,1.7088533,-0.00015008202),(5.21,1.7022746,-0.00013766574),(5.22,1.6957728,-0.00012619312),(5.23,1.6893385,-0.00011560007),(5.24,1.6829627,-0.00010582619),(5.25,1.676638,-9.6814586e-05),(5.26,1.6703593,-8.8511774e-05),(5.27,1.6641242,-8.0867478e-05),(5.28,1.6579323,-7.3834503e-05),(5.29,1.651784,-6.7368582e-05),(5.3,1.6456794,-6.1428237e-05),(5.31,1.6396165,-5.5974638e-05),(5.32,1.6335903,-5.0971465e-05),(5.33,1.6275931,-4.6384783e-05),(5.34,1.6216147,-4.2182909e-05),(5.35,1.6156443,-3.8336292e-05),(5.36,1.6096727,-3.4817393e-05),(5.37,1.6036934,-3.1600575e-05),(5.38,1.5977049,-2.8661986e-05),(5.39,1.5917103,-2.5979461e-05),(5.4,1.5857169,-2.3532419e-05),(5.41,1.5797347,-2.1301764e-05),(5.42,1.5737737,-1.9269796e-05),(5.43,1.5678429,-1.7420124e-05),(5.44,1.5619476,-1.5737578e-05),(5.45,1.5560897,-1.4208136e-05),(5.46,1.5502678,-1.2818844e-05),(5.47,1.5444784,-1.1557747e-05),(5.48,1.538718,-1.0413819e-05),(5.49,1.5329847,-9.376903e-06),(5.5,1.5272791,-8.437647e-06),(5.51,1.5216059,-7.5874494e-06),(5.52,1.5159728,-6.8184051e-06),(5.53,1.5103899,-6.1232546e-06),(5.54,1.5048686,-5.4953373e-06),(5.55,1.4994193,-4.9285472e-06),(5.56,1.4940511,-4.4172909e-06),(5.57,1.4887703,-3.9564492e-06),(5.58,1.4835803,-3.5413407e-06),(5.59,1.4784822,-3.1676875e-06),(5.6,1.4734751,-2.831584e-06),(5.61,1.4685565,-2.5294674e-06),(5.62,1.4637228,-2.2580898e-06),(5.63,1.458969,-2.0144933e-06),(5.64,1.4542883,-1.7959861e-06),(5.65,1.4496712,-1.6001201e-06),(5.66,1.4451052,-1.4246713e-06),(5.67,1.4405745,-1.2676205e-06),(5.68,1.436061,-1.1271361e-06),(5.69,1.4315448,-1.0015575e-06),(5.7,1.4270069,-8.8938116e-07),(5.71,1.4224303,-7.8924607e-07),(5.72,1.417802,-6.9992161e-07),(5.73,1.4131134,-6.2029581e-07),(5.74,1.4083602,-5.4936471e-07),(5.75,1.4035413,-4.8622259e-07),(5.76,1.3986576,-4.3005298e-07),(5.77,1.3937105,-3.8012046e-07),(5.78,1.3887001,-3.3576312e-07),(5.79,1.3836253,-2.9638565e-07),(5.8,1.378483,-2.6145311e-07),(5.81,1.3732687,-2.3048512e-07),(5.82,1.3679771,-2.0305067e-07),(5.83,1.3626026,-1.7876331e-07),(5.84,1.35714,-1.5727684e-07),(5.85,1.3515846,-1.3828135e-07),(5.86,1.3459324,-1.2149961e-07),(5.87,1.3401798,-1.0668382e-07),(5.88,1.3343238,-9.361268e-08),(5.89,1.3283623,-8.2088668e-08),(5.9,1.3222944,-7.1935648e-08),(5.91,1.316121,-6.299666e-08),(5.92,1.3098451,-5.5131944e-08),(5.93,1.303472,-4.8217145e-08),(5.94,1.2970088,-4.2141703e-08),(5.95,1.2904638,-3.6807395e-08),(5.96,1.2838453,-3.2127022e-08),(5.97,1.2771612,-2.8023235e-08),(5.98,1.2704178,-2.4427468e-08),(5.99,1.2636197,-2.1278991e-08),(6,1.2567701,-1.8524053e-08),(6.01,1.2498715,-1.6115113e-08),(6.02,1.2429263,-1.401016e-08),(6.03,1.2359378,-1.2172092e-08),(6.04,1.2289104,-1.0568168e-08),(6.05,1.2218497,-9.1695193e-09),(6.06,1.2147625,-7.9507081e-09),(6.07,1.2076557,-6.8893367e-09),(6.08,1.2005364,-5.9656996e-09),(6.09,1.1934107,-5.1624721e-09),(6.1,1.1862834,-4.464434e-09),(6.11,1.1791574,-3.8582242e-09),(6.12,1.1720333,-3.3321217e-09),(6.13,1.1649083,-2.8758525e-09),(6.14,1.1577768,-2.4804171e-09),(6.15,1.1506291,-2.1379382e-09),(6.16,1.1434521,-1.8415264e-09),(6.17,1.1362296,-1.5851599e-09),(6.18,1.128943,-1.3635797e-09),(6.19,1.1215727,-1.1721962e-09),(6.2,1.114099,-1.0070069e-09),(6.21,1.1065042,-8.645237e-10),(6.22,1.0987737,-7.4170922e-10),(6.23,1.0908979,-6.3592043e-10),(6.24,1.0828726,-5.4485908e-10),(6.25,1.0746999,-4.6652823e-10),(6.26,1.066388,-3.9919397e-10),(6.27,1.0579503,-3.4135191e-10),(6.28,1.049404,-2.9169769e-10),(6.29,1.0407685,-2.4910128e-10),(6.3,1.0320633,-2.1258432e-10),(6.31,1.0233065,-1.8130042e-10),(6.32,1.0145137,-1.5451785e-10),(6.33,1.005697,-1.3160453e-10),(6.34,0.99686496,-1.1201477e-10),(6.35,0.9880219,-9.5277863e-11),(6.36,0.97916737,-8.0988066e-11),(6.37,0.97029549,-6.8795864e-11),(6.38,0.96139461,-5.8400412e-11),(6.39,0.9524481,-4.9542939e-11),(6.4,0.94343647,-4.2001026e-11),(6.41,0.93434104,-3.5583634e-11),(6.42,0.92514824,-3.0126797e-11),(6.43,0.91585318,-2.5489886e-11),(6.44,0.90646129,-2.1552373e-11),(6.45,0.89698691,-1.8211031e-11),(6.46,0.88744945,-1.5377518e-11),(6.47,0.87786807,-1.297628e-11),(6.48,0.86825716,-1.0942749e-11),(6.49,0.85862416,-9.2217828e-12),(6.5,0.84897065,-7.7663256e-12),(6.51,0.83929599,-6.5362483e-12),(6.52,0.82960208,-5.4973544e-12),(6.53,0.81989678,-4.6205232e-12),(6.54,0.81019474,-3.8809748e-12),(6.55,0.80051485,-3.2576372e-12),(6.56,0.79087516,-2.7326048e-12),(6.57,0.78128717,-2.2906734e-12),(6.58,0.77175128,-1.9189415e-12),(6.59,0.76225511,-1.6064697e-12),(6.6,0.7527751,-1.3439885e-12),(6.61,0.74328089,-1.1236492e-12),(6.62,0.73374126,-9.3881105e-13),(6.63,0.72412996,-7.8385879e-13),(6.64,0.71443014,-6.5404809e-13),(6.65,0.70463669,-5.4537313e-13),(6.66,0.69475643,-4.5445406e-13),(6.67,0.68480657,-3.7844123e-13),(6.68,0.6748121,-3.1493367e-13),(6.69,0.66480241,-2.6190991e-13),(6.7,0.65480759,-2.1766919e-13),(6.71,0.64485463,-1.8078158e-13),(6.72,0.63496379,-1.5004571e-13),(6.73,0.62514619,-1.2445294e-13),(6.74,0.61540291,-1.0315705e-13),(6.75,0.60572648,-8.5448585e-14),(6.76,0.59610419,-7.0733148e-14),(6.77,0.58652243,-5.8513123e-14),(6.78,0.57697073,-4.8372188e-14),(6.79,0.56744404,-3.9962289e-14),(6.8,0.55794304,-3.2992645e-14),(6.81,0.54847238,-2.7220499e-14),(6.82,0.53903833,-2.2443325e-14),(6.83,0.52964681,-1.8492279e-14),(6.84,0.52030282,-1.5226702e-14),(6.85,0.51101138,-1.2529491e-14),(6.86,0.5017793,-1.0303224e-14),(6.87,0.49261658,-8.4669109e-15),(6.88,0.48353666,-6.9532683e-15),(6.89,0.47455489,-5.7064382e-15),(6.9,0.46568574,-4.6800813e-15),(6.91,0.45693966,-3.835781e-15),(6.92,0.44832083,-3.1417118e-15),(6.93,0.43982674,-2.5715265e-15),(6.94,0.43144989,-2.1034287e-15),(6.95,0.42318099,-1.7193992e-15),(6.96,0.41501254,-1.4045518e-15),(6.97,0.40694163,-1.1465973e-15),(6.98,0.39897091,-9.3539748e-16),(6.99,0.39110763,-7.6259435e-16),(7,0.38336112,-6.2130248e-16),(7.01,0.37573994,-5.0585342e-16),(7.02,0.36824947,-4.1158393e-16),(7.03,0.36089101,-3.3466032e-16),(7.04,0.3536626,-2.7193314e-16),(7.05,0.34656116,-2.2081682e-16),(7.06,0.33958525,-1.791902e-16),(7.07,0.33273735,-1.4531434e-16),(7.08,0.32602476,-1.177646e-16),(7.09,0.31945844,-9.5374691e-17),(7.1,0.31304996,-7.7190457e-17),(7.11,0.30680717,-6.2431844e-17),(7.12,0.30072979,-5.0461574e-17),(7.13,0.29480634,-4.0759374e-17),(7.14,0.28901342,-3.2900787e-17),(7.15,0.2833181,-2.6539769e-17),(7.16,0.27768292,-2.1394398e-17),(7.17,0.27207268,-1.723515e-17),(7.18,0.26646117,-1.3875292e-17),(7.19,0.26083638,-1.1163008e-17),(7.2,0.25520268,-8.974958e-18),(7.21,0.24957928,-7.2110029e-18),(7.22,0.24399548,-5.7898987e-18),(7.23,0.23848366,-4.6457765e-18),(7.24,0.23307208,-3.7252696e-18),(7.25,0.22777895,-2.9851706e-18),(7.26,0.2226095,-2.3905215e-18),(7.27,0.21755616,-1.9130582e-18),(7.28,0.21260174,-1.5299448e-18),(7.29,0.20772433,-1.2227435e-18),(7.3,0.20290252,-9.7657818e-19),(7.31,0.19811979,-7.7945437e-19),(7.32,0.19336711,-6.2170793e-19),(7.33,0.18864345,-4.9555761e-19),(7.34,0.18395462,-3.9474252e-19),(7.35,0.17931078,-3.1422859e-19),(7.36,0.17472361,-2.4997093e-19),(7.37,0.1702036,-1.9872172e-19),(7.38,0.16575825,-1.5787494e-19),(7.39,0.1613911,-1.2534097e-19),(7.4,0.15710203,-9.9445449e-20),(7.41,0.15288827,-7.8847657e-20),(7.42,0.1487459,-6.2474771e-20),(7.43,0.14467152,-4.9468935e-20),(7.44,0.1406634,-3.9144654e-20),(7.45,0.13672203,-3.0954539e-20),(7.46,0.1328496,-2.446179e-20),(7.47,0.1290488,-1.9318087e-20),(7.48,0.12532094,-1.5245862e-20),(7.49,0.12166416,-1.202408e-20),(7.5,0.1180722,-9.4768432e-21),(7.51,0.11453426,-7.4642733e-21),(7.52,0.11103591,-5.8752094e-21),(7.53,0.10756112,-4.6213743e-21),(7.54,0.10409467,-3.6327116e-21),(7.55,0.10062456,-2.8536629e-21),(7.56,0.097143811,-2.240198e-21),(7.57,0.0936513,-1.7574464e-21),(7.58,0.090151637,-1.3778114e-21),(7.59,0.08665407,-1.0794671e-21),(7.6,0.083170733,-8.4516399e-22),(7.61,0.07971459,-6.6127871e-22),(7.62,0.076297478,-5.1705895e-22),(7.63,0.072928608,-4.0402434e-22),(7.64,0.069613761,-3.1549099e-22),(7.65,0.066355299,-2.461945e-22),(7.66,0.063152876,-1.9199135e-22),(7.67,0.060004664,-1.4962251e-22),(7.68,0.056908779,-1.1652636e-22),(7.69,0.053864625,-9.0690822e-23),(7.7,0.0508739,-7.0536587e-23),(7.71,0.047941124,-5.4824855e-23),(7.72,0.045073636,-4.258459e-23),(7.73,0.042281122,-3.305517e-23),(7.74,0.039574778,-2.5641194e-23),(7.75,0.036966308,-1.9876917e-23),(7.76,0.034466909,-1.5398263e-23),(7.77,0.032086425,-1.1920826e-23),(7.78,0.029832752,-9.2225902e-24),(7.79,0.027711545,-7.1303589e-24),(7.8,0.025726181,-5.5091143e-24),(7.81,0.023877912,-4.2536729e-24),(7.82,0.022166116,-3.2821492e-24),(7.83,0.020588577,-2.5308386e-24),(7.84,0.019141717,-1.950215e-24),(7.85,0.017820787,-1.5018012e-24),(7.86,0.016620001,-1.1557245e-24),(7.87,0.015532643,-8.8880823e-25),(7.88,0.014551189,-6.830834e-25),(7.89,0.013667447,-5.2462779e-25),(7.9,0.012872753,-4.0266209e-25),(7.91,0.012158191,-3.0884608e-25),(7.92,0.011514837,-2.3673111e-25),(7.93,0.01093398,-1.8133451e-25),(7.94,0.010407312,-1.3880896e-25),(7.95,0.0099270638,-1.0618579e-25),(7.96,0.0094860915,-8.1175913e-26),(7.97,0.0090779201,-6.2015443e-26),(7.98,0.0086967562,-4.7346121e-26),(7.99,0.0083374818,-3.6122752e-26),(8,0.0079956367,-2.7541597e-26),(8.01,0.0076673963,-2.0985016e-26),(8.02,0.007349547,-1.5978696e-26),(8.03,0.0070394638,-1.2158647e-26),(8.04,0.0067350908,-9.2457261e-27),(8.05,0.0064349239,-7.0260084e-27),(8.06,0.0061379932,-5.3356603e-27),(8.07,0.0058438376,-4.049296e-27),(8.08,0.0055524653,-3.0710207e-27),(8.09,0.0052642951,-2.3275436e-27),(8.1,0.0049800769,-1.7628881e-27),(8.11,0.0047007963,-1.3343309e-27),(8.12,0.0044275741,-1.0092858e-27),(8.13,0.0041615711,-7.6291585e-28),(8.14,0.0039039084,-5.763031e-28),(8.15,0.0036556103,-4.3504794e-28),(8.16,0.0034175673,-3.2819739e-28),(8.17,0.0031905175,-2.4742579e-28),(8.18,0.0029750413,-1.864089e-28),(8.19,0.0027715625,-1.4034604e-28),(8.2,0.0025803554,-1.0559552e-28),(8.21,0.0024015526,-7.9396741e-29),(8.22,0.0022351544,-5.9658411e-29),(8.23,0.002081037,-4.4797369e-29),(8.24,0.0019389599,-3.3615933e-29),(8.25,0.0018085714,-2.5208653e-29),(8.26,0.0016894141,-1.8891478e-29),(8.27,0.0015809319,-1.4147967e-29),(8.28,0.0014824792,-1.0588489e-29),(8.29,0.0013933355,-7.9192805e-30),(8.3,0.0013127236,-5.9190129e-30),(8.31,0.0012398328,-4.4210421e-30),(8.32,0.0011738426,-3.2999839e-30),(8.33,0.0011139452,-2.4615621e-30),(8.34,0.0010593646,-1.8349388e-30),(8.35,0.0010093701,-1.3669234e-30),(8.36,0.00096328525,-1.0176034e-30),(8.37,0.00092049201,-7.570503e-31),(8.38,0.00088043274,-5.628371e-31),(8.39,0.00084260986,-4.1816963e-31),(8.4,0.00080658485,-3.104803e-31),(8.41,0.00077197679,-2.3037079e-31),(8.42,0.00073846076,-1.7081757e-31),(8.43,0.00070576643,-1.2657545e-31),(8.44,0.00067367675,-9.3729906e-32),(8.45,0.0006420268,-6.9361532e-32),(8.46,0.00061070242,-5.1294517e-32),(8.47,0.00057963809,-3.790836e-32),(8.48,0.00054881354,-2.7996956e-32),(8.49,0.00051824857,-2.066324e-32),(8.5,0.00048799605,-1.524045e-32),(8.51,0.00045813359,-1.1233341e-32),(8.52,0.00042875464,-8.2743111e-33),(8.53,0.00039996014,-6.0906903e-33),(8.54,0.00037185152,-4.4803605e-33),(8.55,0.00034452563,-3.2936023e-33),(8.56,0.00031807142,-2.4195863e-33),(8.57,0.00029256826,-1.7763267e-33),(8.58,0.0002680851,-1.3032157e-33),(8.59,0.00024468033,-9.5547989e-34),(8.6,0.00022240183,-7.0006527e-34),(8.61,0.00020128708,-5.1258662e-34),(8.62,0.00018136336,-3.7506605e-34),(8.63,0.00016264784,-2.7425843e-34),(8.64,0.00014514777,-2.0041211e-34),(8.65,0.00012886053,-1.4635234e-34),(8.66,0.0001137739,-1.0680391e-34),(8.67,9.9866356e-05,-7.789083e-35),(8.68,8.7107665e-05,-5.6767173e-35),(8.69,7.5459774e-05,-4.1344709e-35),(8.7,6.4878025e-05,-3.0092228e-35),(8.71,5.5312606e-05,-2.1887718e-35),(8.72,4.6710093e-05,-1.5909566e-35),(8.73,3.9014901e-05,-1.1556543e-35),(8.74,3.21705e-05,-8.3889819e-36),(8.75,2.6120306e-05,-6.0855846e-36),(8.76,2.0808277e-05,-4.4117111e-36),(8.77,1.6179269e-05,-3.1961235e-36),(8.78,1.2179273e-05,-2.3139382e-36),(8.79,0,-1.6741396e-36),(8.8,0,-1.2104401e-36),(8.81,0,-8.7459434e-37),(8.82,0,-6.3151217e-37),(8.83,0,-4.5568895e-37),(8.84,0,-3.2859956e-37),(8.85,0,-2.3679752e-37),(8.86,0,-1.7052931e-37),(8.87,0,-1.2272488e-37),(8.88,0,-8.8262844e-38),(8.89,0,-6.3435871e-38),(8.9,0,-4.5562085e-38),(8.91,0,-3.2702727e-38),(8.92,0,-2.3457193e-38),(8.93,0,-1.6814339e-38),(8.94,0,-1.204468e-38),(8.95,0,-8.6222853e-39),(8.96,0,-6.1682393e-39),(8.97,0,-4.4097272e-39),(8.98,0,-3.1504596e-39),(8.99,0,-2.2493021e-39),(9,0,-1.6048459e-39),(9.01,0,-1.1442754e-39),(9.02,0,-8.1534134e-40),(9.03,0,-5.8057728e-40),(9.04,0,-4.1313528e-40),(9.05,0,-2.9378945e-40),(9.06,0,-2.0878139e-40),(9.07,0,-1.4827196e-40),(9.08,0,-1.0522961e-40),(9.09,0,-7.463259e-41),(9.1,0,-5.2896965e-41),(9.11,0,-3.7466631e-41),(9.12,0,-2.6519797e-41),(9.13,0,-1.8758902e-41),(9.14,0,-1.3260389e-41),(9.15,0,-9.3673509e-42),(9.16,0,-6.6128543e-42),(9.17,0,-4.6652269e-42),(9.18,0,-3.289033e-42),(9.19,0,-2.317263e-42),(9.2,0,-1.6315263e-42),(9.21,0,-1.147954e-42),(9.22,0,-8.0717278e-43),(9.23,0,-5.6717904e-43),(9.24,0,-3.9827723e-43),(9.25,0,-2.7948752e-43),(9.26,0,-1.9599771e-43),(9.27,0,-1.3735713e-43),(9.28,0,-9.6197335e-44),(9.29,0,-6.7326572e-44),(9.3,0,-4.708923e-44),(9.31,0,-3.2913064e-44),(9.32,0,-2.2989348e-44),(9.33,0,-1.6047102e-44),(9.34,0,-1.1193817e-44),(9.35,0,-7.8031757e-45),(9.36,0,-5.4359593e-45),(9.37,0,-3.7843616e-45),(9.38,0,-2.632817e-45),(9.39,0,-1.8304603e-45),(9.4,0,-1.2717788e-45),(9.41,0,-8.8302796e-46),(9.42,0,-6.1270148e-46),(9.43,0,-4.2484941e-46),(9.44,0,-2.9439654e-46),(9.45,0,-2.0386468e-46),(9.46,0,-1.4107916e-46),(9.47,0,-9.7565294e-47),(9.48,0,-6.742787e-47),(9.49,0,-4.6568807e-47),(9.5,0,-3.2141222e-47),(9.51,0,-2.2168752e-47),(9.52,0,-1.5280294e-47),(9.53,0,-1.0525282e-47),(9.54,0,-7.2451498e-48),(9.55,0,-4.9839374e-48),(9.56,0,-3.4261737e-48),(9.57,0,-2.353736e-48),(9.58,0,-1.615912e-48),(9.59,0,-1.1086367e-48),(9.6,0,-7.6010285e-49),(9.61,0,-5.207953e-49),(9.62,0,-3.5659341e-49),(9.63,0,-2.4400075e-49),(9.64,0,-1.6684783e-49),(9.65,0,-1.1401488e-49),(9.66,0,-7.7859943e-50),(9.67,0,-5.3134695e-50),(9.68,0,-3.6237136e-50),(9.69,0,-2.4696824e-50),(9.7,0,-1.6820539e-50),(9.71,0,-1.1448544e-50),(9.72,0,-7.787036e-51),(9.73,0,-5.2930459e-51),(9.74,0,-3.5954287e-51),(9.75,0,-2.4406599e-51),(9.76,0,-1.6556762e-51),(9.77,0,-1.1224192e-51),(9.78,0,-7.6040738e-52),(9.79,0,-5.1481253e-52),(9.8,0,-3.4830799e-52),(9.81,0,-2.3549913e-52),(9.82,0,-1.5912071e-52),(9.83,0,-1.0744239e-52),(9.84,0,-7.2499693e-53),(9.85,0,-4.8888668e-53),(9.86,0,-3.2945172e-53),(9.87,0,-2.2186402e-53),(9.88,0,-1.4931159e-53),(9.89,0,-1.0041803e-53),(9.9,0,-6.7490305e-54),(9.91,0,-4.5329677e-54),(9.92,0,-3.0425336e-54),(9.93,0,-2.0407963e-54),(9.94,0,-1.3679665e-54),(9.95,0,-9.16353e-55),(9.96,0,-6.1342527e-55),(9.97,0,-4.1036663e-55),(9.98,0,-2.7434303e-55),(9.99,0,-1.8328517e-55),(10,0,0);
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (0,4050,5750,0,24,250,NULL),(0,6750,7800,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:44
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX00TDR`;
USE fieldX00TDR;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX00TDR
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `LDC_z_Bz_BxDID`
--

DROP TABLE IF EXISTS `LDC_z_Bz_BxDID`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDC_z_Bz_BxDID` (
  `z` double default NULL,
  `Bz` double default NULL,
  `Bx` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDC_z_Bz_BxDID`
--

LOCK TABLES `LDC_z_Bz_BxDID` WRITE;
INSERT INTO `LDC_z_Bz_BxDID` VALUES (0,4,0),(0.01,4,-0.00050477562),(0.02,4,-0.0010095248),(0.03,4,-0.0015142212),(0.04,4,-0.0020188384),(0.05,4,-0.00252335),(0.06,4,-0.0030277295),(0.07,4,-0.0035319507),(0.08,4,-0.0040359871),(0.09,4,-0.0045398124),(0.1,4,-0.0050434001),(0.11,4,-0.0055467241),(0.12,4,-0.0060497579),(0.13,4,-0.0065524752),(0.14,4,-0.0070548498),(0.15,4,-0.0075568553),(0.16,4,-0.0080584656),(0.17,4,-0.0085596543),(0.18,4,-0.0090603954),(0.19,4,-0.0095606625),(0.2,4,-0.01006043),(0.21,4,-0.010559671),(0.22,4,-0.011058359),(0.23,4,-0.01155647),(0.24,4,-0.012053976),(0.25,4,-0.012550851),(0.26,4,-0.013047071),(0.27,4,-0.013542608),(0.28,4,-0.014037437),(0.29,4,-0.014531532),(0.3,4,-0.015024868),(0.31,4,-0.015517418),(0.32,4,-0.016009156),(0.33,4,-0.016500058),(0.34,4,-0.016990098),(0.35,4,-0.017479249),(0.36,4,-0.017967487),(0.37,4,-0.018454785),(0.38,4,-0.01894112),(0.39,4,-0.019426464),(0.4,4,-0.019910794),(0.41,4,-0.020394083),(0.42,4,-0.020876307),(0.43,4,-0.02135744),(0.44,4,-0.021837458),(0.45,4,-0.022316335),(0.46,4,-0.022794046),(0.47,4,-0.023270567),(0.48,4,-0.023745873),(0.49,4,-0.024219939),(0.5,4,-0.024692741),(0.51,4,-0.025164254),(0.52,4,-0.025634453),(0.53,4,-0.026103314),(0.54,4,-0.026570813),(0.55,4,-0.027036926),(0.56,4,-0.027501628),(0.57,4,-0.027964895),(0.58,4,-0.028426704),(0.59,4,-0.02888703),(0.6,4,-0.02934585),(0.61,4,-0.029803139),(0.62,4,-0.030258875),(0.63,4,-0.030713034),(0.64,4,-0.031165592),(0.65,4,-0.031616526),(0.66,4,-0.032065813),(0.67,4,-0.032513429),(0.68,4,-0.032959352),(0.69,4,-0.033403559),(0.7,4,-0.033846026),(0.71,4,-0.034286732),(0.72,4,-0.034725653),(0.73,4,-0.035162767),(0.74,4,-0.035598052),(0.75,4,-0.036031485),(0.76,4,-0.036463044),(0.77,4,-0.036892708),(0.78,4,-0.037320453),(0.79,4,-0.037746259),(0.8,4,-0.038170104),(0.81,4,-0.038591966),(0.82,4,-0.039011824),(0.83,4,-0.039429656),(0.84,4,-0.039845442),(0.85,4,-0.04025916),(0.86,4,-0.040670789),(0.87,4,-0.041080309),(0.88,4,-0.041487699),(0.89,4,-0.041892938),(0.9,4,-0.042296006),(0.91,4,-0.042696883),(0.92,4,-0.043095549),(0.93,4,-0.043491983),(0.94,4,-0.043886167),(0.95,4,-0.04427808),(0.96,4,-0.044667702),(0.97,4,-0.045055016),(0.98,4,-0.04544),(0.99,4,-0.045822637),(1,4,-0.046202907),(1.01,4,-0.046580792),(1.02,4,-0.046956273),(1.03,4,-0.047329332),(1.04,4,-0.04769995),(1.05,4,-0.048068109),(1.06,4,-0.048433792),(1.07,4,-0.04879698),(1.08,4,-0.049157657),(1.09,4,-0.049515804),(1.1,4,-0.049871404),(1.11,4,-0.050224441),(1.12,4,-0.050574897),(1.13,4,-0.050922756),(1.14,4,-0.051268),(1.15,4,-0.051610615),(1.16,4,-0.051950583),(1.17,4,-0.052287888),(1.18,4,-0.052622516),(1.19,4,-0.052954449),(1.2,4,-0.053283673),(1.21,4,-0.053610172),(1.22,4,-0.053933931),(1.23,4,-0.054254936),(1.24,4,-0.054573172),(1.25,4,-0.054888623),(1.26,4,-0.055201277),(1.27,4,-0.055511118),(1.28,4,-0.055818133),(1.29,4,-0.056122308),(1.3,4,-0.05642363),(1.31,4,-0.056722085),(1.32,4,-0.057017661),(1.33,4,-0.057310343),(1.34,4,-0.05760012),(1.35,4,-0.05788698),(1.36,4,-0.058170909),(1.37,4,-0.058451896),(1.38,4,-0.058729929),(1.39,4,-0.059004996),(1.4,4,-0.059277086),(1.41,4,-0.059546188),(1.42,4,-0.05981229),(1.43,4,-0.060075383),(1.44,4,-0.060335454),(1.45,4,-0.060592495),(1.46,4,-0.060846495),(1.47,4,-0.061097443),(1.48,4,-0.061345331),(1.49,4,-0.061590149),(1.5,4,-0.061831887),(1.51,4,-0.062070537),(1.52,4,-0.06230609),(1.53,4,-0.062538537),(1.54,4,-0.062767871),(1.55,4,-0.062994082),(1.56,4,-0.063217164),(1.57,4,-0.063437108),(1.58,4,-0.063653907),(1.59,4,-0.063867555),(1.6,4,-0.064078043),(1.61,4.0000001,-0.064285366),(1.62,4.0000002,-0.064489517),(1.63,4.0000003,-0.06469049),(1.64,4.0000005,-0.064888279),(1.65,4.0000006,-0.065082878),(1.66,4.0000008,-0.065274282),(1.67,4.000001,-0.065462486),(1.68,4.0000011,-0.065647484),(1.69,4.0000012,-0.065829272),(1.7,4.0000012,-0.066007845),(1.71,4.0000011,-0.066183199),(1.72,4.0000009,-0.066355331),(1.73,4.0000006,-0.066524236),(1.74,4.0000002,-0.06668991),(1.75,3.9999998,-0.066852351),(1.76,3.9999995,-0.067011556),(1.77,3.9999993,-0.067167521),(1.78,3.9999993,-0.067320244),(1.79,3.9999997,-0.067469724),(1.8,4.0000005,-0.067615957),(1.81,4.0000017,-0.067758943),(1.82,4.0000033,-0.067898679),(1.83,4.0000051,-0.068035164),(1.84,4.0000069,-0.068168398),(1.85,4.0000084,-0.068298379),(1.86,4.0000094,-0.068425107),(1.87,4.0000095,-0.068548582),(1.88,4.0000083,-0.068668804),(1.89,4.0000056,-0.068785772),(1.9,4.0000013,-0.068899488),(1.91,3.9999956,-0.069009952),(1.92,3.9999889,-0.069117166),(1.93,3.9999819,-0.069221129),(1.94,3.9999757,-0.069321845),(1.95,3.9999714,-0.069419314),(1.96,3.9999704,-0.069513538),(1.97,3.999974,-0.06960452),(1.98,3.999983,-0.069692263),(1.99,3.9999978,-0.069776768),(2,4.0000182,-0.06985804),(2.01,4.0000425,-0.069936081),(2.02,4.0000683,-0.070010894),(2.03,4.0000918,-0.070082484),(2.04,4.0001084,-0.070150855),(2.05,4.0001124,-0.07021601),(2.06,4.0000978,-0.070277954),(2.07,4.0000586,-0.070336693),(2.08,3.9999897,-0.07039223),(2.09,3.9998867,-0.070444571),(2.1,3.9997473,-0.070493723),(2.11,3.9995709,-0.070539689),(2.12,3.999359,-0.070582477),(2.13,3.9991148,-0.070622092),(2.14,3.9988432,-0.070658542),(2.15,3.9985498,-0.070691832),(2.16,3.998241,-0.070721969),(2.17,3.9979228,-0.070748962),(2.18,3.9976008,-0.070772817),(2.19,3.9972795,-0.070793542),(2.2,3.9969624,-0.070811145),(2.21,3.9966513,-0.070825634),(2.22,3.9963472,-0.070837017),(2.23,3.9960495,-0.070845304),(2.24,3.9957567,-0.070850502),(2.25,3.9954666,-0.070852622),(2.26,3.9951765,-0.070851672),(2.27,3.9948839,-0.070847662),(2.28,3.9945867,-0.070840602),(2.29,3.9942835,-0.070830501),(2.3,3.993974,-0.070817371),(2.31,3.9936594,-0.070801221),(2.32,3.9933421,-0.070782062),(2.33,3.9930259,-0.070759906),(2.34,3.9927159,-0.070734763),(2.35,3.9924179,-0.070706645),(2.36,3.9921382,-0.070675564),(2.37,3.9918828,-0.070641531),(2.38,3.9916572,-0.070604558),(2.39,3.9914655,-0.070564657),(2.4,3.9913102,-0.070521842),(2.41,3.9911917,-0.070476125),(2.42,3.9911087,-0.070427518),(2.43,3.9910578,-0.070376035),(2.44,3.9910344,-0.07032169),(2.45,3.991033,-0.070264495),(2.46,3.9910476,-0.070204465),(2.47,3.9910725,-0.070141614),(2.48,3.9911024,-0.070075955),(2.49,3.9911332,-0.070007503),(2.5,3.9911616,-0.069936273),(2.51,3.9911855,-0.069862279),(2.52,3.9912038,-0.069785536),(2.53,3.9912162,-0.069706061),(2.54,3.9912234,-0.069623867),(2.55,3.9912262,-0.06953897),(2.56,3.9912259,-0.069451387),(2.57,3.9912235,-0.069361133),(2.58,3.9912201,-0.069268224),(2.59,3.9912163,-0.069172677),(2.6,3.9912126,-0.069074507),(2.61,3.9912089,-0.068973733),(2.62,3.9912052,-0.068870369),(2.63,3.9912011,-0.068764435),(2.64,3.9911965,-0.068655946),(2.65,3.9911911,-0.06854492),(2.66,3.9911853,-0.068431374),(2.67,3.9911794,-0.068315327),(2.68,3.9911742,-0.068196796),(2.69,3.9911704,-0.068075799),(2.7,3.9911691,-0.067952354),(2.71,3.9911709,-0.06782648),(2.72,3.9911762,-0.067698194),(2.73,3.9911843,-0.067567517),(2.74,3.9911936,-0.067434466),(2.75,3.9912015,-0.06729906),(2.76,3.9912038,-0.067161319),(2.77,3.9911957,-0.067021261),(2.78,3.9911715,-0.066878907),(2.79,3.9911259,-0.066734275),(2.8,3.9910537,-0.066587385),(2.81,3.9909512,-0.066438258),(2.82,3.9908163,-0.066286912),(2.83,3.9906485,-0.066133368),(2.84,3.9904497,-0.065977646),(2.85,3.9902231,-0.065819766),(2.86,3.9899737,-0.065659749),(2.87,3.989707,-0.065497615),(2.88,3.9894287,-0.065333385),(2.89,3.9891443,-0.065167079),(2.9,3.9888578,-0.064998719),(2.91,3.9885722,-0.064828325),(2.92,3.9882882,-0.064655919),(2.93,3.9880052,-0.064481521),(2.94,3.9877205,-0.064305153),(2.95,3.9874299,-0.064126837),(2.96,3.9871285,-0.063946592),(2.97,3.9868102,-0.063764442),(2.98,3.9864691,-0.063580408),(2.99,3.9860996,-0.063394511),(3,3.985697,-0.063206774),(3.01,3.9852575,-0.063017218),(3.02,3.9847792,-0.062825865),(3.03,3.9842615,-0.062632737),(3.04,3.9837059,-0.062437856),(3.05,3.9831151,-0.062241245),(3.06,3.982493,-0.062042926),(3.07,3.9818442,-0.06184292),(3.08,3.981173,-0.061641251),(3.09,3.9804827,-0.061437941),(3.1,3.9797753,-0.061233012),(3.11,3.9790503,-0.061026486),(3.12,3.9783052,-0.060818387),(3.13,3.977535,-0.060608737),(3.14,3.9767324,-0.060397559),(3.15,3.9758887,-0.060184874),(3.16,3.9749944,-0.059970707),(3.17,3.9740396,-0.05975508),(3.18,3.9730153,-0.059538015),(3.19,3.9719139,-0.059319536),(3.2,3.97073,-0.059099665),(3.21,3.9694612,-0.058878426),(3.22,3.968108,-0.058655841),(3.23,3.9666744,-0.058431932),(3.24,3.9651676,-0.058206724),(3.25,3.9635971,-0.057980239),(3.26,3.9619749,-0.0577525),(3.27,3.9603137,-0.05752353),(3.28,3.9586262,-0.057293351),(3.29,3.956924,-0.057061988),(3.3,3.9552166,-0.056829463),(3.31,3.9535106,-0.056595798),(3.32,3.9518096,-0.056361018),(3.33,3.9501137,-0.056125144),(3.34,3.9484204,-0.0558882),(3.35,3.9467247,-0.055650209),(3.36,3.9450199,-0.055411193),(3.37,3.9432993,-0.055171176),(3.38,3.9415565,-0.054930181),(3.39,3.9397865,-0.05468823),(3.4,3.9379866,-0.054445346),(3.41,3.9361564,-0.054201552),(3.42,3.934298,-0.05395687),(3.43,3.9324154,-0.053711324),(3.44,3.930514,-0.053464937),(3.45,3.9286,-0.053217729),(3.46,3.9266796,-0.052969726),(3.47,3.9247583,-0.052720948),(3.48,3.9228405,-0.052471419),(3.49,3.9209286,-0.05222116),(3.5,3.919023,-0.051970195),(3.51,3.9171212,-0.051718546),(3.52,3.9152179,-0.051466234),(3.53,3.9133037,-0.051213283),(3.54,3.9113659,-0.050959714),(3.55,3.9093878,-0.050705549),(3.56,3.9073497,-0.050450811),(3.57,3.9052299,-0.050195522),(3.58,3.9030061,-0.049939702),(3.59,3.9006577,-0.049683375),(3.6,3.8981681,-0.049426562),(3.61,3.8955265,-0.049169284),(3.62,3.8927288,-0.048911564),(3.63,3.8897781,-0.048653422),(3.64,3.8866832,-0.04839488),(3.65,3.8834561,-0.048135959),(3.66,3.8801091,-0.047876681),(3.67,3.8766516,-0.047617066),(3.68,3.8730874,-0.047357136),(3.69,3.8694141,-0.047096912),(3.7,3.8656227,-0.046836414),(3.71,3.8617006,-0.046575664),(3.72,3.8576337,-0.046314681),(3.73,3.8534095,-0.046053487),(3.74,3.849019,-0.045792101),(3.75,3.8444565,-0.045530545),(3.76,3.8397179,-0.045268838),(3.77,3.834796,-0.045007),(3.78,3.8296767,-0.044745051),(3.79,3.8243354,-0.044483012),(3.8,3.8187384,-0.044220901),(3.81,3.8128472,-0.043958739),(3.82,3.8066272,-0.043696545),(3.83,3.8000569,-0.043434338),(3.84,3.7931326,-0.043172138),(3.85,3.7858665,-0.042909964),(3.86,3.7782784,-0.042647834),(3.87,3.7703828,-0.042385768),(3.88,3.7621789,-0.042123784),(3.89,3.7536477,-0.041861901),(3.9,3.7447589,-0.041600136),(3.91,3.7354839,-0.04133851),(3.92,3.7258075,-0.041077039),(3.93,3.7157333,-0.040815742),(3.94,3.7052785,-0.040554637),(3.95,3.6944623,-0.04029374),(3.96,3.683293,-0.040033071),(3.97,3.6717616,-0.039772646),(3.98,3.6598438,-0.039512483),(3.99,3.6475101,-0.039252599),(4,3.6347365,-0.03899301),(4.01,3.6215129,-0.038721632),(4.02,3.6078462,-0.038426725),(4.03,3.5937572,-0.038108856),(4.04,3.5792763,-0.037768634),(4.05,3.5644392,-0.037406706),(4.06,3.5492842,-0.037023756),(4.07,3.5338517,-0.036620504),(4.08,3.5181828,-0.036197701),(4.09,3.5023176,-0.035756127),(4.1,3.4862904,-0.035296594),(4.11,3.4701226,-0.034819934),(4.12,3.4538159,-0.034327005),(4.13,3.4373468,-0.033818684),(4.14,3.4206679,-0.033295867),(4.15,3.4037161,-0.032759463),(4.16,3.3864272,-0.032210394),(4.17,3.3687522,-0.031649593),(4.18,3.3506687,-0.031077999),(4.19,3.3321829,-0.030496556),(4.2,3.3133194,-0.029906209),(4.21,3.2941052,-0.029307903),(4.22,3.2745535,-0.028702582),(4.23,3.2546574,-0.028091181),(4.24,3.2343938,-0.027474629),(4.25,3.2137374,-0.026853847),(4.26,3.1926753,-0.026229741),(4.27,3.1712173,-0.025603204),(4.28,3.1493989,-0.024975112),(4.29,3.1272771,-0.024346323),(4.3,3.1049225,-0.023717677),(4.31,3.0824096,-0.023089988),(4.32,3.0598038,-0.022464052),(4.33,3.0371462,-0.021840637),(4.34,3.0144393,-0.021220485),(4.35,2.9916403,-0.020604313),(4.36,2.9686666,-0.019992806),(4.37,2.9454165,-0.019386624),(4.38,2.9217964,-0.018786395),(4.39,2.8977461,-0.018192714),(4.4,2.8732516,-0.017606148),(4.41,2.8483428,-0.01702723),(4.42,2.8230783,-0.016456461),(4.43,2.7975265,-0.015894311),(4.44,2.771748,-0.015341215),(4.45,2.7457875,-0.014797577),(4.46,2.7196741,-0.014263767),(4.47,2.6934309,-0.013740125),(4.48,2.667089,-0.013226956),(4.49,2.6406996,-0.012724535),(4.5,2.6143399,-0.012233106),(4.51,2.5881104,-0.011752881),(4.52,2.5621246,-0.011284043),(4.53,2.5364955,-0.010826744),(4.54,2.5113238,-0.010381111),(4.55,2.48669,-0.0099472389),(4.56,2.4626511,-0.0095251989),(4.57,2.4392388,-0.0091150348),(4.58,2.4164593,-0.008716766),(4.59,2.3942917,-0.0083303876),(4.6,2.3726886,-0.0079558724),(4.61,2.3515829,-0.0075931709),(4.62,2.3309016,-0.0072422132),(4.63,2.310587,-0.0069029098),(4.64,2.2906184,-0.0065751529),(4.65,2.2710237,-0.0062588174),(4.66,2.2518749,-0.0059537618),(4.67,2.2332674,-0.00565983),(4.68,2.2152905,-0.0053768519),(4.69,2.1980023,-0.0051046447),(4.7,2.1814179,-0.0048430138),(4.71,2.1655153,-0.0045917543),(4.72,2.1502516,-0.0043506518),(4.73,2.1355848,-0.0041194834),(4.74,2.1214896,-0.0038980187),(4.75,2.1079639,-0.0036860212),(4.76,2.095024,-0.0034832486),(4.77,2.0826909,-0.0032894542),(4.78,2.070973,-0.0031043877),(4.79,2.0598515,-0.0029277959),(4.8,2.0492738,-0.0027594235),(4.81,2.0391576,-0.0025990142),(4.82,2.0294023,-0.002446311),(4.83,2.0199038,-0.0023010571),(4.84,2.010568,-0.0021629967),(4.85,2.0013191,-0.0020318751),(4.86,1.9921033,-0.00190744),(4.87,1.9828889,-0.0017894414),(4.88,1.9736642,-0.0016776323),(4.89,1.9644334,-0.0015717693),(4.9,1.9552118,-0.0014716126),(4.91,1.9460192,-0.001376927),(4.92,1.9368734,-0.0012874815),(4.93,1.9277839,-0.0012030504),(4.94,1.9187488,-0.0011234126),(4.95,1.909755,-0.0010483529),(4.96,1.9007818,-0.00097766114),(4.97,1.8918076,-0.00091113328),(4.98,1.8828168,-0.00084857093),(4.99,1.8738058,-0.0007897817),(5,1.8647852,-0.00073457926),(5.01,1.8557793,-0.00068278337),(5.02,1.8468217,-0.00063421992),(5.03,1.8379497,-0.00058872095),(5.04,1.8291984,-0.00054612463),(5.05,1.8205957,-0.00050627526),(5.06,1.8121595,-0.00046902319),(5.07,1.8038974,-0.00043422475),(5.08,1.7958079,-0.00040174224),(5.09,1.7878831,-0.00037144376),(5.1,1.7801109,-0.00034320317),(5.11,1.7724786,-0.00031689994),(5.12,1.7649743,-0.00029241906),(5.13,1.7575885,-0.00026965087),(5.14,1.7503146,-0.00024849098),(5.15,1.7431484,-0.00022884006),(5.16,1.7360876,-0.00021060376),(5.17,1.7291304,-0.00019369251),(5.18,1.7222749,-0.00017802137),(5.19,1.7155176,-0.00016350992),(5.2,1.7088533,-0.00015008202),(5.21,1.7022746,-0.00013766574),(5.22,1.6957728,-0.00012619312),(5.23,1.6893385,-0.00011560007),(5.24,1.6829627,-0.00010582619),(5.25,1.676638,-9.6814586e-05),(5.26,1.6703593,-8.8511774e-05),(5.27,1.6641242,-8.0867478e-05),(5.28,1.6579323,-7.3834503e-05),(5.29,1.651784,-6.7368582e-05),(5.3,1.6456794,-6.1428237e-05),(5.31,1.6396165,-5.5974638e-05),(5.32,1.6335903,-5.0971465e-05),(5.33,1.6275931,-4.6384783e-05),(5.34,1.6216147,-4.2182909e-05),(5.35,1.6156443,-3.8336292e-05),(5.36,1.6096727,-3.4817393e-05),(5.37,1.6036934,-3.1600575e-05),(5.38,1.5977049,-2.8661986e-05),(5.39,1.5917103,-2.5979461e-05),(5.4,1.5857169,-2.3532419e-05),(5.41,1.5797347,-2.1301764e-05),(5.42,1.5737737,-1.9269796e-05),(5.43,1.5678429,-1.7420124e-05),(5.44,1.5619476,-1.5737578e-05),(5.45,1.5560897,-1.4208136e-05),(5.46,1.5502678,-1.2818844e-05),(5.47,1.5444784,-1.1557747e-05),(5.48,1.538718,-1.0413819e-05),(5.49,1.5329847,-9.376903e-06),(5.5,1.5272791,-8.437647e-06),(5.51,1.5216059,-7.5874494e-06),(5.52,1.5159728,-6.8184051e-06),(5.53,1.5103899,-6.1232546e-06),(5.54,1.5048686,-5.4953373e-06),(5.55,1.4994193,-4.9285472e-06),(5.56,1.4940511,-4.4172909e-06),(5.57,1.4887703,-3.9564492e-06),(5.58,1.4835803,-3.5413407e-06),(5.59,1.4784822,-3.1676875e-06),(5.6,1.4734751,-2.831584e-06),(5.61,1.4685565,-2.5294674e-06),(5.62,1.4637228,-2.2580898e-06),(5.63,1.458969,-2.0144933e-06),(5.64,1.4542883,-1.7959861e-06),(5.65,1.4496712,-1.6001201e-06),(5.66,1.4451052,-1.4246713e-06),(5.67,1.4405745,-1.2676205e-06),(5.68,1.436061,-1.1271361e-06),(5.69,1.4315448,-1.0015575e-06),(5.7,1.4270069,-8.8938116e-07),(5.71,1.4224303,-7.8924607e-07),(5.72,1.417802,-6.9992161e-07),(5.73,1.4131134,-6.2029581e-07),(5.74,1.4083602,-5.4936471e-07),(5.75,1.4035413,-4.8622259e-07),(5.76,1.3986576,-4.3005298e-07),(5.77,1.3937105,-3.8012046e-07),(5.78,1.3887001,-3.3576312e-07),(5.79,1.3836253,-2.9638565e-07),(5.8,1.378483,-2.6145311e-07),(5.81,1.3732687,-2.3048512e-07),(5.82,1.3679771,-2.0305067e-07),(5.83,1.3626026,-1.7876331e-07),(5.84,1.35714,-1.5727684e-07),(5.85,1.3515846,-1.3828135e-07),(5.86,1.3459324,-1.2149961e-07),(5.87,1.3401798,-1.0668382e-07),(5.88,1.3343238,-9.361268e-08),(5.89,1.3283623,-8.2088668e-08),(5.9,1.3222944,-7.1935648e-08),(5.91,1.316121,-6.299666e-08),(5.92,1.3098451,-5.5131944e-08),(5.93,1.303472,-4.8217145e-08),(5.94,1.2970088,-4.2141703e-08),(5.95,1.2904638,-3.6807395e-08),(5.96,1.2838453,-3.2127022e-08),(5.97,1.2771612,-2.8023235e-08),(5.98,1.2704178,-2.4427468e-08),(5.99,1.2636197,-2.1278991e-08),(6,1.2567701,-1.8524053e-08),(6.01,1.2498715,-1.6115113e-08),(6.02,1.2429263,-1.401016e-08),(6.03,1.2359378,-1.2172092e-08),(6.04,1.2289104,-1.0568168e-08),(6.05,1.2218497,-9.1695193e-09),(6.06,1.2147625,-7.9507081e-09),(6.07,1.2076557,-6.8893367e-09),(6.08,1.2005364,-5.9656996e-09),(6.09,1.1934107,-5.1624721e-09),(6.1,1.1862834,-4.464434e-09),(6.11,1.1791574,-3.8582242e-09),(6.12,1.1720333,-3.3321217e-09),(6.13,1.1649083,-2.8758525e-09),(6.14,1.1577768,-2.4804171e-09),(6.15,1.1506291,-2.1379382e-09),(6.16,1.1434521,-1.8415264e-09),(6.17,1.1362296,-1.5851599e-09),(6.18,1.128943,-1.3635797e-09),(6.19,1.1215727,-1.1721962e-09),(6.2,1.114099,-1.0070069e-09),(6.21,1.1065042,-8.645237e-10),(6.22,1.0987737,-7.4170922e-10),(6.23,1.0908979,-6.3592043e-10),(6.24,1.0828726,-5.4485908e-10),(6.25,1.0746999,-4.6652823e-10),(6.26,1.066388,-3.9919397e-10),(6.27,1.0579503,-3.4135191e-10),(6.28,1.049404,-2.9169769e-10),(6.29,1.0407685,-2.4910128e-10),(6.3,1.0320633,-2.1258432e-10),(6.31,1.0233065,-1.8130042e-10),(6.32,1.0145137,-1.5451785e-10),(6.33,1.005697,-1.3160453e-10),(6.34,0.99686496,-1.1201477e-10),(6.35,0.9880219,-9.5277863e-11),(6.36,0.97916737,-8.0988066e-11),(6.37,0.97029549,-6.8795864e-11),(6.38,0.96139461,-5.8400412e-11),(6.39,0.9524481,-4.9542939e-11),(6.4,0.94343647,-4.2001026e-11),(6.41,0.93434104,-3.5583634e-11),(6.42,0.92514824,-3.0126797e-11),(6.43,0.91585318,-2.5489886e-11),(6.44,0.90646129,-2.1552373e-11),(6.45,0.89698691,-1.8211031e-11),(6.46,0.88744945,-1.5377518e-11),(6.47,0.87786807,-1.297628e-11),(6.48,0.86825716,-1.0942749e-11),(6.49,0.85862416,-9.2217828e-12),(6.5,0.84897065,-7.7663256e-12),(6.51,0.83929599,-6.5362483e-12),(6.52,0.82960208,-5.4973544e-12),(6.53,0.81989678,-4.6205232e-12),(6.54,0.81019474,-3.8809748e-12),(6.55,0.80051485,-3.2576372e-12),(6.56,0.79087516,-2.7326048e-12),(6.57,0.78128717,-2.2906734e-12),(6.58,0.77175128,-1.9189415e-12),(6.59,0.76225511,-1.6064697e-12),(6.6,0.7527751,-1.3439885e-12),(6.61,0.74328089,-1.1236492e-12),(6.62,0.73374126,-9.3881105e-13),(6.63,0.72412996,-7.8385879e-13),(6.64,0.71443014,-6.5404809e-13),(6.65,0.70463669,-5.4537313e-13),(6.66,0.69475643,-4.5445406e-13),(6.67,0.68480657,-3.7844123e-13),(6.68,0.6748121,-3.1493367e-13),(6.69,0.66480241,-2.6190991e-13),(6.7,0.65480759,-2.1766919e-13),(6.71,0.64485463,-1.8078158e-13),(6.72,0.63496379,-1.5004571e-13),(6.73,0.62514619,-1.2445294e-13),(6.74,0.61540291,-1.0315705e-13),(6.75,0.60572648,-8.5448585e-14),(6.76,0.59610419,-7.0733148e-14),(6.77,0.58652243,-5.8513123e-14),(6.78,0.57697073,-4.8372188e-14),(6.79,0.56744404,-3.9962289e-14),(6.8,0.55794304,-3.2992645e-14),(6.81,0.54847238,-2.7220499e-14),(6.82,0.53903833,-2.2443325e-14),(6.83,0.52964681,-1.8492279e-14),(6.84,0.52030282,-1.5226702e-14),(6.85,0.51101138,-1.2529491e-14),(6.86,0.5017793,-1.0303224e-14),(6.87,0.49261658,-8.4669109e-15),(6.88,0.48353666,-6.9532683e-15),(6.89,0.47455489,-5.7064382e-15),(6.9,0.46568574,-4.6800813e-15),(6.91,0.45693966,-3.835781e-15),(6.92,0.44832083,-3.1417118e-15),(6.93,0.43982674,-2.5715265e-15),(6.94,0.43144989,-2.1034287e-15),(6.95,0.42318099,-1.7193992e-15),(6.96,0.41501254,-1.4045518e-15),(6.97,0.40694163,-1.1465973e-15),(6.98,0.39897091,-9.3539748e-16),(6.99,0.39110763,-7.6259435e-16),(7,0.38336112,-6.2130248e-16),(7.01,0.37573994,-5.0585342e-16),(7.02,0.36824947,-4.1158393e-16),(7.03,0.36089101,-3.3466032e-16),(7.04,0.3536626,-2.7193314e-16),(7.05,0.34656116,-2.2081682e-16),(7.06,0.33958525,-1.791902e-16),(7.07,0.33273735,-1.4531434e-16),(7.08,0.32602476,-1.177646e-16),(7.09,0.31945844,-9.5374691e-17),(7.1,0.31304996,-7.7190457e-17),(7.11,0.30680717,-6.2431844e-17),(7.12,0.30072979,-5.0461574e-17),(7.13,0.29480634,-4.0759374e-17),(7.14,0.28901342,-3.2900787e-17),(7.15,0.2833181,-2.6539769e-17),(7.16,0.27768292,-2.1394398e-17),(7.17,0.27207268,-1.723515e-17),(7.18,0.26646117,-1.3875292e-17),(7.19,0.26083638,-1.1163008e-17),(7.2,0.25520268,-8.974958e-18),(7.21,0.24957928,-7.2110029e-18),(7.22,0.24399548,-5.7898987e-18),(7.23,0.23848366,-4.6457765e-18),(7.24,0.23307208,-3.7252696e-18),(7.25,0.22777895,-2.9851706e-18),(7.26,0.2226095,-2.3905215e-18),(7.27,0.21755616,-1.9130582e-18),(7.28,0.21260174,-1.5299448e-18),(7.29,0.20772433,-1.2227435e-18),(7.3,0.20290252,-9.7657818e-19),(7.31,0.19811979,-7.7945437e-19),(7.32,0.19336711,-6.2170793e-19),(7.33,0.18864345,-4.9555761e-19),(7.34,0.18395462,-3.9474252e-19),(7.35,0.17931078,-3.1422859e-19),(7.36,0.17472361,-2.4997093e-19),(7.37,0.1702036,-1.9872172e-19),(7.38,0.16575825,-1.5787494e-19),(7.39,0.1613911,-1.2534097e-19),(7.4,0.15710203,-9.9445449e-20),(7.41,0.15288827,-7.8847657e-20),(7.42,0.1487459,-6.2474771e-20),(7.43,0.14467152,-4.9468935e-20),(7.44,0.1406634,-3.9144654e-20),(7.45,0.13672203,-3.0954539e-20),(7.46,0.1328496,-2.446179e-20),(7.47,0.1290488,-1.9318087e-20),(7.48,0.12532094,-1.5245862e-20),(7.49,0.12166416,-1.202408e-20),(7.5,0.1180722,-9.4768432e-21),(7.51,0.11453426,-7.4642733e-21),(7.52,0.11103591,-5.8752094e-21),(7.53,0.10756112,-4.6213743e-21),(7.54,0.10409467,-3.6327116e-21),(7.55,0.10062456,-2.8536629e-21),(7.56,0.097143811,-2.240198e-21),(7.57,0.0936513,-1.7574464e-21),(7.58,0.090151637,-1.3778114e-21),(7.59,0.08665407,-1.0794671e-21),(7.6,0.083170733,-8.4516399e-22),(7.61,0.07971459,-6.6127871e-22),(7.62,0.076297478,-5.1705895e-22),(7.63,0.072928608,-4.0402434e-22),(7.64,0.069613761,-3.1549099e-22),(7.65,0.066355299,-2.461945e-22),(7.66,0.063152876,-1.9199135e-22),(7.67,0.060004664,-1.4962251e-22),(7.68,0.056908779,-1.1652636e-22),(7.69,0.053864625,-9.0690822e-23),(7.7,0.0508739,-7.0536587e-23),(7.71,0.047941124,-5.4824855e-23),(7.72,0.045073636,-4.258459e-23),(7.73,0.042281122,-3.305517e-23),(7.74,0.039574778,-2.5641194e-23),(7.75,0.036966308,-1.9876917e-23),(7.76,0.034466909,-1.5398263e-23),(7.77,0.032086425,-1.1920826e-23),(7.78,0.029832752,-9.2225902e-24),(7.79,0.027711545,-7.1303589e-24),(7.8,0.025726181,-5.5091143e-24),(7.81,0.023877912,-4.2536729e-24),(7.82,0.022166116,-3.2821492e-24),(7.83,0.020588577,-2.5308386e-24),(7.84,0.019141717,-1.950215e-24),(7.85,0.017820787,-1.5018012e-24),(7.86,0.016620001,-1.1557245e-24),(7.87,0.015532643,-8.8880823e-25),(7.88,0.014551189,-6.830834e-25),(7.89,0.013667447,-5.2462779e-25),(7.9,0.012872753,-4.0266209e-25),(7.91,0.012158191,-3.0884608e-25),(7.92,0.011514837,-2.3673111e-25),(7.93,0.01093398,-1.8133451e-25),(7.94,0.010407312,-1.3880896e-25),(7.95,0.0099270638,-1.0618579e-25),(7.96,0.0094860915,-8.1175913e-26),(7.97,0.0090779201,-6.2015443e-26),(7.98,0.0086967562,-4.7346121e-26),(7.99,0.0083374818,-3.6122752e-26),(8,0.0079956367,-2.7541597e-26),(8.01,0.0076673963,-2.0985016e-26),(8.02,0.007349547,-1.5978696e-26),(8.03,0.0070394638,-1.2158647e-26),(8.04,0.0067350908,-9.2457261e-27),(8.05,0.0064349239,-7.0260084e-27),(8.06,0.0061379932,-5.3356603e-27),(8.07,0.0058438376,-4.049296e-27),(8.08,0.0055524653,-3.0710207e-27),(8.09,0.0052642951,-2.3275436e-27),(8.1,0.0049800769,-1.7628881e-27),(8.11,0.0047007963,-1.3343309e-27),(8.12,0.0044275741,-1.0092858e-27),(8.13,0.0041615711,-7.6291585e-28),(8.14,0.0039039084,-5.763031e-28),(8.15,0.0036556103,-4.3504794e-28),(8.16,0.0034175673,-3.2819739e-28),(8.17,0.0031905175,-2.4742579e-28),(8.18,0.0029750413,-1.864089e-28),(8.19,0.0027715625,-1.4034604e-28),(8.2,0.0025803554,-1.0559552e-28),(8.21,0.0024015526,-7.9396741e-29),(8.22,0.0022351544,-5.9658411e-29),(8.23,0.002081037,-4.4797369e-29),(8.24,0.0019389599,-3.3615933e-29),(8.25,0.0018085714,-2.5208653e-29),(8.26,0.0016894141,-1.8891478e-29),(8.27,0.0015809319,-1.4147967e-29),(8.28,0.0014824792,-1.0588489e-29),(8.29,0.0013933355,-7.9192805e-30),(8.3,0.0013127236,-5.9190129e-30),(8.31,0.0012398328,-4.4210421e-30),(8.32,0.0011738426,-3.2999839e-30),(8.33,0.0011139452,-2.4615621e-30),(8.34,0.0010593646,-1.8349388e-30),(8.35,0.0010093701,-1.3669234e-30),(8.36,0.00096328525,-1.0176034e-30),(8.37,0.00092049201,-7.570503e-31),(8.38,0.00088043274,-5.628371e-31),(8.39,0.00084260986,-4.1816963e-31),(8.4,0.00080658485,-3.104803e-31),(8.41,0.00077197679,-2.3037079e-31),(8.42,0.00073846076,-1.7081757e-31),(8.43,0.00070576643,-1.2657545e-31),(8.44,0.00067367675,-9.3729906e-32),(8.45,0.0006420268,-6.9361532e-32),(8.46,0.00061070242,-5.1294517e-32),(8.47,0.00057963809,-3.790836e-32),(8.48,0.00054881354,-2.7996956e-32),(8.49,0.00051824857,-2.066324e-32),(8.5,0.00048799605,-1.524045e-32),(8.51,0.00045813359,-1.1233341e-32),(8.52,0.00042875464,-8.2743111e-33),(8.53,0.00039996014,-6.0906903e-33),(8.54,0.00037185152,-4.4803605e-33),(8.55,0.00034452563,-3.2936023e-33),(8.56,0.00031807142,-2.4195863e-33),(8.57,0.00029256826,-1.7763267e-33),(8.58,0.0002680851,-1.3032157e-33),(8.59,0.00024468033,-9.5547989e-34),(8.6,0.00022240183,-7.0006527e-34),(8.61,0.00020128708,-5.1258662e-34),(8.62,0.00018136336,-3.7506605e-34),(8.63,0.00016264784,-2.7425843e-34),(8.64,0.00014514777,-2.0041211e-34),(8.65,0.00012886053,-1.4635234e-34),(8.66,0.0001137739,-1.0680391e-34),(8.67,9.9866356e-05,-7.789083e-35),(8.68,8.7107665e-05,-5.6767173e-35),(8.69,7.5459774e-05,-4.1344709e-35),(8.7,6.4878025e-05,-3.0092228e-35),(8.71,5.5312606e-05,-2.1887718e-35),(8.72,4.6710093e-05,-1.5909566e-35),(8.73,3.9014901e-05,-1.1556543e-35),(8.74,3.21705e-05,-8.3889819e-36),(8.75,2.6120306e-05,-6.0855846e-36),(8.76,2.0808277e-05,-4.4117111e-36),(8.77,1.6179269e-05,-3.1961235e-36),(8.78,1.2179273e-05,-2.3139382e-36),(8.79,0,-1.6741396e-36),(8.8,0,-1.2104401e-36),(8.81,0,-8.7459434e-37),(8.82,0,-6.3151217e-37),(8.83,0,-4.5568895e-37),(8.84,0,-3.2859956e-37),(8.85,0,-2.3679752e-37),(8.86,0,-1.7052931e-37),(8.87,0,-1.2272488e-37),(8.88,0,-8.8262844e-38),(8.89,0,-6.3435871e-38),(8.9,0,-4.5562085e-38),(8.91,0,-3.2702727e-38),(8.92,0,-2.3457193e-38),(8.93,0,-1.6814339e-38),(8.94,0,-1.204468e-38),(8.95,0,-8.6222853e-39),(8.96,0,-6.1682393e-39),(8.97,0,-4.4097272e-39),(8.98,0,-3.1504596e-39),(8.99,0,-2.2493021e-39),(9,0,-1.6048459e-39),(9.01,0,-1.1442754e-39),(9.02,0,-8.1534134e-40),(9.03,0,-5.8057728e-40),(9.04,0,-4.1313528e-40),(9.05,0,-2.9378945e-40),(9.06,0,-2.0878139e-40),(9.07,0,-1.4827196e-40),(9.08,0,-1.0522961e-40),(9.09,0,-7.463259e-41),(9.1,0,-5.2896965e-41),(9.11,0,-3.7466631e-41),(9.12,0,-2.6519797e-41),(9.13,0,-1.8758902e-41),(9.14,0,-1.3260389e-41),(9.15,0,-9.3673509e-42),(9.16,0,-6.6128543e-42),(9.17,0,-4.6652269e-42),(9.18,0,-3.289033e-42),(9.19,0,-2.317263e-42),(9.2,0,-1.6315263e-42),(9.21,0,-1.147954e-42),(9.22,0,-8.0717278e-43),(9.23,0,-5.6717904e-43),(9.24,0,-3.9827723e-43),(9.25,0,-2.7948752e-43),(9.26,0,-1.9599771e-43),(9.27,0,-1.3735713e-43),(9.28,0,-9.6197335e-44),(9.29,0,-6.7326572e-44),(9.3,0,-4.708923e-44),(9.31,0,-3.2913064e-44),(9.32,0,-2.2989348e-44),(9.33,0,-1.6047102e-44),(9.34,0,-1.1193817e-44),(9.35,0,-7.8031757e-45),(9.36,0,-5.4359593e-45),(9.37,0,-3.7843616e-45),(9.38,0,-2.632817e-45),(9.39,0,-1.8304603e-45),(9.4,0,-1.2717788e-45),(9.41,0,-8.8302796e-46),(9.42,0,-6.1270148e-46),(9.43,0,-4.2484941e-46),(9.44,0,-2.9439654e-46),(9.45,0,-2.0386468e-46),(9.46,0,-1.4107916e-46),(9.47,0,-9.7565294e-47),(9.48,0,-6.742787e-47),(9.49,0,-4.6568807e-47),(9.5,0,-3.2141222e-47),(9.51,0,-2.2168752e-47),(9.52,0,-1.5280294e-47),(9.53,0,-1.0525282e-47),(9.54,0,-7.2451498e-48),(9.55,0,-4.9839374e-48),(9.56,0,-3.4261737e-48),(9.57,0,-2.353736e-48),(9.58,0,-1.615912e-48),(9.59,0,-1.1086367e-48),(9.6,0,-7.6010285e-49),(9.61,0,-5.207953e-49),(9.62,0,-3.5659341e-49),(9.63,0,-2.4400075e-49),(9.64,0,-1.6684783e-49),(9.65,0,-1.1401488e-49),(9.66,0,-7.7859943e-50),(9.67,0,-5.3134695e-50),(9.68,0,-3.6237136e-50),(9.69,0,-2.4696824e-50),(9.7,0,-1.6820539e-50),(9.71,0,-1.1448544e-50),(9.72,0,-7.787036e-51),(9.73,0,-5.2930459e-51),(9.74,0,-3.5954287e-51),(9.75,0,-2.4406599e-51),(9.76,0,-1.6556762e-51),(9.77,0,-1.1224192e-51),(9.78,0,-7.6040738e-52),(9.79,0,-5.1481253e-52),(9.8,0,-3.4830799e-52),(9.81,0,-2.3549913e-52),(9.82,0,-1.5912071e-52),(9.83,0,-1.0744239e-52),(9.84,0,-7.2499693e-53),(9.85,0,-4.8888668e-53),(9.86,0,-3.2945172e-53),(9.87,0,-2.2186402e-53),(9.88,0,-1.4931159e-53),(9.89,0,-1.0041803e-53),(9.9,0,-6.7490305e-54),(9.91,0,-4.5329677e-54),(9.92,0,-3.0425336e-54),(9.93,0,-2.0407963e-54),(9.94,0,-1.3679665e-54),(9.95,0,-9.16353e-55),(9.96,0,-6.1342527e-55),(9.97,0,-4.1036663e-55),(9.98,0,-2.7434303e-55),(9.99,0,-1.8328517e-55),(10,0,0);
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (0,3000,4700,0,24,250,NULL),(0,5700,6750,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:46
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX00XStahl`;
USE fieldX00XStahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX00XStahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `LDC_z_Bz_BxDID`
--

DROP TABLE IF EXISTS `LDC_z_Bz_BxDID`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDC_z_Bz_BxDID` (
  `z` double default NULL,
  `Bz` double default NULL,
  `Bx` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDC_z_Bz_BxDID`
--

LOCK TABLES `LDC_z_Bz_BxDID` WRITE;
INSERT INTO `LDC_z_Bz_BxDID` VALUES (0,4,0),(0.01,4,-0.00050477562),(0.02,4,-0.0010095248),(0.03,4,-0.0015142212),(0.04,4,-0.0020188384),(0.05,4,-0.00252335),(0.06,4,-0.0030277295),(0.07,4,-0.0035319507),(0.08,4,-0.0040359871),(0.09,4,-0.0045398124),(0.1,4,-0.0050434001),(0.11,4,-0.0055467241),(0.12,4,-0.0060497579),(0.13,4,-0.0065524752),(0.14,4,-0.0070548498),(0.15,4,-0.0075568553),(0.16,4,-0.0080584656),(0.17,4,-0.0085596543),(0.18,4,-0.0090603954),(0.19,4,-0.0095606625),(0.2,4,-0.01006043),(0.21,4,-0.010559671),(0.22,4,-0.011058359),(0.23,4,-0.01155647),(0.24,4,-0.012053976),(0.25,4,-0.012550851),(0.26,4,-0.013047071),(0.27,4,-0.013542608),(0.28,4,-0.014037437),(0.29,4,-0.014531532),(0.3,4,-0.015024868),(0.31,4,-0.015517418),(0.32,4,-0.016009156),(0.33,4,-0.016500058),(0.34,4,-0.016990098),(0.35,4,-0.017479249),(0.36,4,-0.017967487),(0.37,4,-0.018454785),(0.38,4,-0.01894112),(0.39,4,-0.019426464),(0.4,4,-0.019910794),(0.41,4,-0.020394083),(0.42,4,-0.020876307),(0.43,4,-0.02135744),(0.44,4,-0.021837458),(0.45,4,-0.022316335),(0.46,4,-0.022794046),(0.47,4,-0.023270567),(0.48,4,-0.023745873),(0.49,4,-0.024219939),(0.5,4,-0.024692741),(0.51,4,-0.025164254),(0.52,4,-0.025634453),(0.53,4,-0.026103314),(0.54,4,-0.026570813),(0.55,4,-0.027036926),(0.56,4,-0.027501628),(0.57,4,-0.027964895),(0.58,4,-0.028426704),(0.59,4,-0.02888703),(0.6,4,-0.02934585),(0.61,4,-0.029803139),(0.62,4,-0.030258875),(0.63,4,-0.030713034),(0.64,4,-0.031165592),(0.65,4,-0.031616526),(0.66,4,-0.032065813),(0.67,4,-0.032513429),(0.68,4,-0.032959352),(0.69,4,-0.033403559),(0.7,4,-0.033846026),(0.71,4,-0.034286732),(0.72,4,-0.034725653),(0.73,4,-0.035162767),(0.74,4,-0.035598052),(0.75,4,-0.036031485),(0.76,4,-0.036463044),(0.77,4,-0.036892708),(0.78,4,-0.037320453),(0.79,4,-0.037746259),(0.8,4,-0.038170104),(0.81,4,-0.038591966),(0.82,4,-0.039011824),(0.83,4,-0.039429656),(0.84,4,-0.039845442),(0.85,4,-0.04025916),(0.86,4,-0.040670789),(0.87,4,-0.041080309),(0.88,4,-0.041487699),(0.89,4,-0.041892938),(0.9,4,-0.042296006),(0.91,4,-0.042696883),(0.92,4,-0.043095549),(0.93,4,-0.043491983),(0.94,4,-0.043886167),(0.95,4,-0.04427808),(0.96,4,-0.044667702),(0.97,4,-0.045055016),(0.98,4,-0.04544),(0.99,4,-0.045822637),(1,4,-0.046202907),(1.01,4,-0.046580792),(1.02,4,-0.046956273),(1.03,4,-0.047329332),(1.04,4,-0.04769995),(1.05,4,-0.048068109),(1.06,4,-0.048433792),(1.07,4,-0.04879698),(1.08,4,-0.049157657),(1.09,4,-0.049515804),(1.1,4,-0.049871404),(1.11,4,-0.050224441),(1.12,4,-0.050574897),(1.13,4,-0.050922756),(1.14,4,-0.051268),(1.15,4,-0.051610615),(1.16,4,-0.051950583),(1.17,4,-0.052287888),(1.18,4,-0.052622516),(1.19,4,-0.052954449),(1.2,4,-0.053283673),(1.21,4,-0.053610172),(1.22,4,-0.053933931),(1.23,4,-0.054254936),(1.24,4,-0.054573172),(1.25,4,-0.054888623),(1.26,4,-0.055201277),(1.27,4,-0.055511118),(1.28,4,-0.055818133),(1.29,4,-0.056122308),(1.3,4,-0.05642363),(1.31,4,-0.056722085),(1.32,4,-0.057017661),(1.33,4,-0.057310343),(1.34,4,-0.05760012),(1.35,4,-0.05788698),(1.36,4,-0.058170909),(1.37,4,-0.058451896),(1.38,4,-0.058729929),(1.39,4,-0.059004996),(1.4,4,-0.059277086),(1.41,4,-0.059546188),(1.42,4,-0.05981229),(1.43,4,-0.060075383),(1.44,4,-0.060335454),(1.45,4,-0.060592495),(1.46,4,-0.060846495),(1.47,4,-0.061097443),(1.48,4,-0.061345331),(1.49,4,-0.061590149),(1.5,4,-0.061831887),(1.51,4,-0.062070537),(1.52,4,-0.06230609),(1.53,4,-0.062538537),(1.54,4,-0.062767871),(1.55,4,-0.062994082),(1.56,4,-0.063217164),(1.57,4,-0.063437108),(1.58,4,-0.063653907),(1.59,4,-0.063867555),(1.6,4,-0.064078043),(1.61,4.0000001,-0.064285366),(1.62,4.0000002,-0.064489517),(1.63,4.0000003,-0.06469049),(1.64,4.0000005,-0.064888279),(1.65,4.0000006,-0.065082878),(1.66,4.0000008,-0.065274282),(1.67,4.000001,-0.065462486),(1.68,4.0000011,-0.065647484),(1.69,4.0000012,-0.065829272),(1.7,4.0000012,-0.066007845),(1.71,4.0000011,-0.066183199),(1.72,4.0000009,-0.066355331),(1.73,4.0000006,-0.066524236),(1.74,4.0000002,-0.06668991),(1.75,3.9999998,-0.066852351),(1.76,3.9999995,-0.067011556),(1.77,3.9999993,-0.067167521),(1.78,3.9999993,-0.067320244),(1.79,3.9999997,-0.067469724),(1.8,4.0000005,-0.067615957),(1.81,4.0000017,-0.067758943),(1.82,4.0000033,-0.067898679),(1.83,4.0000051,-0.068035164),(1.84,4.0000069,-0.068168398),(1.85,4.0000084,-0.068298379),(1.86,4.0000094,-0.068425107),(1.87,4.0000095,-0.068548582),(1.88,4.0000083,-0.068668804),(1.89,4.0000056,-0.068785772),(1.9,4.0000013,-0.068899488),(1.91,3.9999956,-0.069009952),(1.92,3.9999889,-0.069117166),(1.93,3.9999819,-0.069221129),(1.94,3.9999757,-0.069321845),(1.95,3.9999714,-0.069419314),(1.96,3.9999704,-0.069513538),(1.97,3.999974,-0.06960452),(1.98,3.999983,-0.069692263),(1.99,3.9999978,-0.069776768),(2,4.0000182,-0.06985804),(2.01,4.0000425,-0.069936081),(2.02,4.0000683,-0.070010894),(2.03,4.0000918,-0.070082484),(2.04,4.0001084,-0.070150855),(2.05,4.0001124,-0.07021601),(2.06,4.0000978,-0.070277954),(2.07,4.0000586,-0.070336693),(2.08,3.9999897,-0.07039223),(2.09,3.9998867,-0.070444571),(2.1,3.9997473,-0.070493723),(2.11,3.9995709,-0.070539689),(2.12,3.999359,-0.070582477),(2.13,3.9991148,-0.070622092),(2.14,3.9988432,-0.070658542),(2.15,3.9985498,-0.070691832),(2.16,3.998241,-0.070721969),(2.17,3.9979228,-0.070748962),(2.18,3.9976008,-0.070772817),(2.19,3.9972795,-0.070793542),(2.2,3.9969624,-0.070811145),(2.21,3.9966513,-0.070825634),(2.22,3.9963472,-0.070837017),(2.23,3.9960495,-0.070845304),(2.24,3.9957567,-0.070850502),(2.25,3.9954666,-0.070852622),(2.26,3.9951765,-0.070851672),(2.27,3.9948839,-0.070847662),(2.28,3.9945867,-0.070840602),(2.29,3.9942835,-0.070830501),(2.3,3.993974,-0.070817371),(2.31,3.9936594,-0.070801221),(2.32,3.9933421,-0.070782062),(2.33,3.9930259,-0.070759906),(2.34,3.9927159,-0.070734763),(2.35,3.9924179,-0.070706645),(2.36,3.9921382,-0.070675564),(2.37,3.9918828,-0.070641531),(2.38,3.9916572,-0.070604558),(2.39,3.9914655,-0.070564657),(2.4,3.9913102,-0.070521842),(2.41,3.9911917,-0.070476125),(2.42,3.9911087,-0.070427518),(2.43,3.9910578,-0.070376035),(2.44,3.9910344,-0.07032169),(2.45,3.991033,-0.070264495),(2.46,3.9910476,-0.070204465),(2.47,3.9910725,-0.070141614),(2.48,3.9911024,-0.070075955),(2.49,3.9911332,-0.070007503),(2.5,3.9911616,-0.069936273),(2.51,3.9911855,-0.069862279),(2.52,3.9912038,-0.069785536),(2.53,3.9912162,-0.069706061),(2.54,3.9912234,-0.069623867),(2.55,3.9912262,-0.06953897),(2.56,3.9912259,-0.069451387),(2.57,3.9912235,-0.069361133),(2.58,3.9912201,-0.069268224),(2.59,3.9912163,-0.069172677),(2.6,3.9912126,-0.069074507),(2.61,3.9912089,-0.068973733),(2.62,3.9912052,-0.068870369),(2.63,3.9912011,-0.068764435),(2.64,3.9911965,-0.068655946),(2.65,3.9911911,-0.06854492),(2.66,3.9911853,-0.068431374),(2.67,3.9911794,-0.068315327),(2.68,3.9911742,-0.068196796),(2.69,3.9911704,-0.068075799),(2.7,3.9911691,-0.067952354),(2.71,3.9911709,-0.06782648),(2.72,3.9911762,-0.067698194),(2.73,3.9911843,-0.067567517),(2.74,3.9911936,-0.067434466),(2.75,3.9912015,-0.06729906),(2.76,3.9912038,-0.067161319),(2.77,3.9911957,-0.067021261),(2.78,3.9911715,-0.066878907),(2.79,3.9911259,-0.066734275),(2.8,3.9910537,-0.066587385),(2.81,3.9909512,-0.066438258),(2.82,3.9908163,-0.066286912),(2.83,3.9906485,-0.066133368),(2.84,3.9904497,-0.065977646),(2.85,3.9902231,-0.065819766),(2.86,3.9899737,-0.065659749),(2.87,3.989707,-0.065497615),(2.88,3.9894287,-0.065333385),(2.89,3.9891443,-0.065167079),(2.9,3.9888578,-0.064998719),(2.91,3.9885722,-0.064828325),(2.92,3.9882882,-0.064655919),(2.93,3.9880052,-0.064481521),(2.94,3.9877205,-0.064305153),(2.95,3.9874299,-0.064126837),(2.96,3.9871285,-0.063946592),(2.97,3.9868102,-0.063764442),(2.98,3.9864691,-0.063580408),(2.99,3.9860996,-0.063394511),(3,3.985697,-0.063206774),(3.01,3.9852575,-0.063017218),(3.02,3.9847792,-0.062825865),(3.03,3.9842615,-0.062632737),(3.04,3.9837059,-0.062437856),(3.05,3.9831151,-0.062241245),(3.06,3.982493,-0.062042926),(3.07,3.9818442,-0.06184292),(3.08,3.981173,-0.061641251),(3.09,3.9804827,-0.061437941),(3.1,3.9797753,-0.061233012),(3.11,3.9790503,-0.061026486),(3.12,3.9783052,-0.060818387),(3.13,3.977535,-0.060608737),(3.14,3.9767324,-0.060397559),(3.15,3.9758887,-0.060184874),(3.16,3.9749944,-0.059970707),(3.17,3.9740396,-0.05975508),(3.18,3.9730153,-0.059538015),(3.19,3.9719139,-0.059319536),(3.2,3.97073,-0.059099665),(3.21,3.9694612,-0.058878426),(3.22,3.968108,-0.058655841),(3.23,3.9666744,-0.058431932),(3.24,3.9651676,-0.058206724),(3.25,3.9635971,-0.057980239),(3.26,3.9619749,-0.0577525),(3.27,3.9603137,-0.05752353),(3.28,3.9586262,-0.057293351),(3.29,3.956924,-0.057061988),(3.3,3.9552166,-0.056829463),(3.31,3.9535106,-0.056595798),(3.32,3.9518096,-0.056361018),(3.33,3.9501137,-0.056125144),(3.34,3.9484204,-0.0558882),(3.35,3.9467247,-0.055650209),(3.36,3.9450199,-0.055411193),(3.37,3.9432993,-0.055171176),(3.38,3.9415565,-0.054930181),(3.39,3.9397865,-0.05468823),(3.4,3.9379866,-0.054445346),(3.41,3.9361564,-0.054201552),(3.42,3.934298,-0.05395687),(3.43,3.9324154,-0.053711324),(3.44,3.930514,-0.053464937),(3.45,3.9286,-0.053217729),(3.46,3.9266796,-0.052969726),(3.47,3.9247583,-0.052720948),(3.48,3.9228405,-0.052471419),(3.49,3.9209286,-0.05222116),(3.5,3.919023,-0.051970195),(3.51,3.9171212,-0.051718546),(3.52,3.9152179,-0.051466234),(3.53,3.9133037,-0.051213283),(3.54,3.9113659,-0.050959714),(3.55,3.9093878,-0.050705549),(3.56,3.9073497,-0.050450811),(3.57,3.9052299,-0.050195522),(3.58,3.9030061,-0.049939702),(3.59,3.9006577,-0.049683375),(3.6,3.8981681,-0.049426562),(3.61,3.8955265,-0.049169284),(3.62,3.8927288,-0.048911564),(3.63,3.8897781,-0.048653422),(3.64,3.8866832,-0.04839488),(3.65,3.8834561,-0.048135959),(3.66,3.8801091,-0.047876681),(3.67,3.8766516,-0.047617066),(3.68,3.8730874,-0.047357136),(3.69,3.8694141,-0.047096912),(3.7,3.8656227,-0.046836414),(3.71,3.8617006,-0.046575664),(3.72,3.8576337,-0.046314681),(3.73,3.8534095,-0.046053487),(3.74,3.849019,-0.045792101),(3.75,3.8444565,-0.045530545),(3.76,3.8397179,-0.045268838),(3.77,3.834796,-0.045007),(3.78,3.8296767,-0.044745051),(3.79,3.8243354,-0.044483012),(3.8,3.8187384,-0.044220901),(3.81,3.8128472,-0.043958739),(3.82,3.8066272,-0.043696545),(3.83,3.8000569,-0.043434338),(3.84,3.7931326,-0.043172138),(3.85,3.7858665,-0.042909964),(3.86,3.7782784,-0.042647834),(3.87,3.7703828,-0.042385768),(3.88,3.7621789,-0.042123784),(3.89,3.7536477,-0.041861901),(3.9,3.7447589,-0.041600136),(3.91,3.7354839,-0.04133851),(3.92,3.7258075,-0.041077039),(3.93,3.7157333,-0.040815742),(3.94,3.7052785,-0.040554637),(3.95,3.6944623,-0.04029374),(3.96,3.683293,-0.040033071),(3.97,3.6717616,-0.039772646),(3.98,3.6598438,-0.039512483),(3.99,3.6475101,-0.039252599),(4,3.6347365,-0.03899301),(4.01,3.6215129,-0.038721632),(4.02,3.6078462,-0.038426725),(4.03,3.5937572,-0.038108856),(4.04,3.5792763,-0.037768634),(4.05,3.5644392,-0.037406706),(4.06,3.5492842,-0.037023756),(4.07,3.5338517,-0.036620504),(4.08,3.5181828,-0.036197701),(4.09,3.5023176,-0.035756127),(4.1,3.4862904,-0.035296594),(4.11,3.4701226,-0.034819934),(4.12,3.4538159,-0.034327005),(4.13,3.4373468,-0.033818684),(4.14,3.4206679,-0.033295867),(4.15,3.4037161,-0.032759463),(4.16,3.3864272,-0.032210394),(4.17,3.3687522,-0.031649593),(4.18,3.3506687,-0.031077999),(4.19,3.3321829,-0.030496556),(4.2,3.3133194,-0.029906209),(4.21,3.2941052,-0.029307903),(4.22,3.2745535,-0.028702582),(4.23,3.2546574,-0.028091181),(4.24,3.2343938,-0.027474629),(4.25,3.2137374,-0.026853847),(4.26,3.1926753,-0.026229741),(4.27,3.1712173,-0.025603204),(4.28,3.1493989,-0.024975112),(4.29,3.1272771,-0.024346323),(4.3,3.1049225,-0.023717677),(4.31,3.0824096,-0.023089988),(4.32,3.0598038,-0.022464052),(4.33,3.0371462,-0.021840637),(4.34,3.0144393,-0.021220485),(4.35,2.9916403,-0.020604313),(4.36,2.9686666,-0.019992806),(4.37,2.9454165,-0.019386624),(4.38,2.9217964,-0.018786395),(4.39,2.8977461,-0.018192714),(4.4,2.8732516,-0.017606148),(4.41,2.8483428,-0.01702723),(4.42,2.8230783,-0.016456461),(4.43,2.7975265,-0.015894311),(4.44,2.771748,-0.015341215),(4.45,2.7457875,-0.014797577),(4.46,2.7196741,-0.014263767),(4.47,2.6934309,-0.013740125),(4.48,2.667089,-0.013226956),(4.49,2.6406996,-0.012724535),(4.5,2.6143399,-0.012233106),(4.51,2.5881104,-0.011752881),(4.52,2.5621246,-0.011284043),(4.53,2.5364955,-0.010826744),(4.54,2.5113238,-0.010381111),(4.55,2.48669,-0.0099472389),(4.56,2.4626511,-0.0095251989),(4.57,2.4392388,-0.0091150348),(4.58,2.4164593,-0.008716766),(4.59,2.3942917,-0.0083303876),(4.6,2.3726886,-0.0079558724),(4.61,2.3515829,-0.0075931709),(4.62,2.3309016,-0.0072422132),(4.63,2.310587,-0.0069029098),(4.64,2.2906184,-0.0065751529),(4.65,2.2710237,-0.0062588174),(4.66,2.2518749,-0.0059537618),(4.67,2.2332674,-0.00565983),(4.68,2.2152905,-0.0053768519),(4.69,2.1980023,-0.0051046447),(4.7,2.1814179,-0.0048430138),(4.71,2.1655153,-0.0045917543),(4.72,2.1502516,-0.0043506518),(4.73,2.1355848,-0.0041194834),(4.74,2.1214896,-0.0038980187),(4.75,2.1079639,-0.0036860212),(4.76,2.095024,-0.0034832486),(4.77,2.0826909,-0.0032894542),(4.78,2.070973,-0.0031043877),(4.79,2.0598515,-0.0029277959),(4.8,2.0492738,-0.0027594235),(4.81,2.0391576,-0.0025990142),(4.82,2.0294023,-0.002446311),(4.83,2.0199038,-0.0023010571),(4.84,2.010568,-0.0021629967),(4.85,2.0013191,-0.0020318751),(4.86,1.9921033,-0.00190744),(4.87,1.9828889,-0.0017894414),(4.88,1.9736642,-0.0016776323),(4.89,1.9644334,-0.0015717693),(4.9,1.9552118,-0.0014716126),(4.91,1.9460192,-0.001376927),(4.92,1.9368734,-0.0012874815),(4.93,1.9277839,-0.0012030504),(4.94,1.9187488,-0.0011234126),(4.95,1.909755,-0.0010483529),(4.96,1.9007818,-0.00097766114),(4.97,1.8918076,-0.00091113328),(4.98,1.8828168,-0.00084857093),(4.99,1.8738058,-0.0007897817),(5,1.8647852,-0.00073457926),(5.01,1.8557793,-0.00068278337),(5.02,1.8468217,-0.00063421992),(5.03,1.8379497,-0.00058872095),(5.04,1.8291984,-0.00054612463),(5.05,1.8205957,-0.00050627526),(5.06,1.8121595,-0.00046902319),(5.07,1.8038974,-0.00043422475),(5.08,1.7958079,-0.00040174224),(5.09,1.7878831,-0.00037144376),(5.1,1.7801109,-0.00034320317),(5.11,1.7724786,-0.00031689994),(5.12,1.7649743,-0.00029241906),(5.13,1.7575885,-0.00026965087),(5.14,1.7503146,-0.00024849098),(5.15,1.7431484,-0.00022884006),(5.16,1.7360876,-0.00021060376),(5.17,1.7291304,-0.00019369251),(5.18,1.7222749,-0.00017802137),(5.19,1.7155176,-0.00016350992),(5.2,1.7088533,-0.00015008202),(5.21,1.7022746,-0.00013766574),(5.22,1.6957728,-0.00012619312),(5.23,1.6893385,-0.00011560007),(5.24,1.6829627,-0.00010582619),(5.25,1.676638,-9.6814586e-05),(5.26,1.6703593,-8.8511774e-05),(5.27,1.6641242,-8.0867478e-05),(5.28,1.6579323,-7.3834503e-05),(5.29,1.651784,-6.7368582e-05),(5.3,1.6456794,-6.1428237e-05),(5.31,1.6396165,-5.5974638e-05),(5.32,1.6335903,-5.0971465e-05),(5.33,1.6275931,-4.6384783e-05),(5.34,1.6216147,-4.2182909e-05),(5.35,1.6156443,-3.8336292e-05),(5.36,1.6096727,-3.4817393e-05),(5.37,1.6036934,-3.1600575e-05),(5.38,1.5977049,-2.8661986e-05),(5.39,1.5917103,-2.5979461e-05),(5.4,1.5857169,-2.3532419e-05),(5.41,1.5797347,-2.1301764e-05),(5.42,1.5737737,-1.9269796e-05),(5.43,1.5678429,-1.7420124e-05),(5.44,1.5619476,-1.5737578e-05),(5.45,1.5560897,-1.4208136e-05),(5.46,1.5502678,-1.2818844e-05),(5.47,1.5444784,-1.1557747e-05),(5.48,1.538718,-1.0413819e-05),(5.49,1.5329847,-9.376903e-06),(5.5,1.5272791,-8.437647e-06),(5.51,1.5216059,-7.5874494e-06),(5.52,1.5159728,-6.8184051e-06),(5.53,1.5103899,-6.1232546e-06),(5.54,1.5048686,-5.4953373e-06),(5.55,1.4994193,-4.9285472e-06),(5.56,1.4940511,-4.4172909e-06),(5.57,1.4887703,-3.9564492e-06),(5.58,1.4835803,-3.5413407e-06),(5.59,1.4784822,-3.1676875e-06),(5.6,1.4734751,-2.831584e-06),(5.61,1.4685565,-2.5294674e-06),(5.62,1.4637228,-2.2580898e-06),(5.63,1.458969,-2.0144933e-06),(5.64,1.4542883,-1.7959861e-06),(5.65,1.4496712,-1.6001201e-06),(5.66,1.4451052,-1.4246713e-06),(5.67,1.4405745,-1.2676205e-06),(5.68,1.436061,-1.1271361e-06),(5.69,1.4315448,-1.0015575e-06),(5.7,1.4270069,-8.8938116e-07),(5.71,1.4224303,-7.8924607e-07),(5.72,1.417802,-6.9992161e-07),(5.73,1.4131134,-6.2029581e-07),(5.74,1.4083602,-5.4936471e-07),(5.75,1.4035413,-4.8622259e-07),(5.76,1.3986576,-4.3005298e-07),(5.77,1.3937105,-3.8012046e-07),(5.78,1.3887001,-3.3576312e-07),(5.79,1.3836253,-2.9638565e-07),(5.8,1.378483,-2.6145311e-07),(5.81,1.3732687,-2.3048512e-07),(5.82,1.3679771,-2.0305067e-07),(5.83,1.3626026,-1.7876331e-07),(5.84,1.35714,-1.5727684e-07),(5.85,1.3515846,-1.3828135e-07),(5.86,1.3459324,-1.2149961e-07),(5.87,1.3401798,-1.0668382e-07),(5.88,1.3343238,-9.361268e-08),(5.89,1.3283623,-8.2088668e-08),(5.9,1.3222944,-7.1935648e-08),(5.91,1.316121,-6.299666e-08),(5.92,1.3098451,-5.5131944e-08),(5.93,1.303472,-4.8217145e-08),(5.94,1.2970088,-4.2141703e-08),(5.95,1.2904638,-3.6807395e-08),(5.96,1.2838453,-3.2127022e-08),(5.97,1.2771612,-2.8023235e-08),(5.98,1.2704178,-2.4427468e-08),(5.99,1.2636197,-2.1278991e-08),(6,1.2567701,-1.8524053e-08),(6.01,1.2498715,-1.6115113e-08),(6.02,1.2429263,-1.401016e-08),(6.03,1.2359378,-1.2172092e-08),(6.04,1.2289104,-1.0568168e-08),(6.05,1.2218497,-9.1695193e-09),(6.06,1.2147625,-7.9507081e-09),(6.07,1.2076557,-6.8893367e-09),(6.08,1.2005364,-5.9656996e-09),(6.09,1.1934107,-5.1624721e-09),(6.1,1.1862834,-4.464434e-09),(6.11,1.1791574,-3.8582242e-09),(6.12,1.1720333,-3.3321217e-09),(6.13,1.1649083,-2.8758525e-09),(6.14,1.1577768,-2.4804171e-09),(6.15,1.1506291,-2.1379382e-09),(6.16,1.1434521,-1.8415264e-09),(6.17,1.1362296,-1.5851599e-09),(6.18,1.128943,-1.3635797e-09),(6.19,1.1215727,-1.1721962e-09),(6.2,1.114099,-1.0070069e-09),(6.21,1.1065042,-8.645237e-10),(6.22,1.0987737,-7.4170922e-10),(6.23,1.0908979,-6.3592043e-10),(6.24,1.0828726,-5.4485908e-10),(6.25,1.0746999,-4.6652823e-10),(6.26,1.066388,-3.9919397e-10),(6.27,1.0579503,-3.4135191e-10),(6.28,1.049404,-2.9169769e-10),(6.29,1.0407685,-2.4910128e-10),(6.3,1.0320633,-2.1258432e-10),(6.31,1.0233065,-1.8130042e-10),(6.32,1.0145137,-1.5451785e-10),(6.33,1.005697,-1.3160453e-10),(6.34,0.99686496,-1.1201477e-10),(6.35,0.9880219,-9.5277863e-11),(6.36,0.97916737,-8.0988066e-11),(6.37,0.97029549,-6.8795864e-11),(6.38,0.96139461,-5.8400412e-11),(6.39,0.9524481,-4.9542939e-11),(6.4,0.94343647,-4.2001026e-11),(6.41,0.93434104,-3.5583634e-11),(6.42,0.92514824,-3.0126797e-11),(6.43,0.91585318,-2.5489886e-11),(6.44,0.90646129,-2.1552373e-11),(6.45,0.89698691,-1.8211031e-11),(6.46,0.88744945,-1.5377518e-11),(6.47,0.87786807,-1.297628e-11),(6.48,0.86825716,-1.0942749e-11),(6.49,0.85862416,-9.2217828e-12),(6.5,0.84897065,-7.7663256e-12),(6.51,0.83929599,-6.5362483e-12),(6.52,0.82960208,-5.4973544e-12),(6.53,0.81989678,-4.6205232e-12),(6.54,0.81019474,-3.8809748e-12),(6.55,0.80051485,-3.2576372e-12),(6.56,0.79087516,-2.7326048e-12),(6.57,0.78128717,-2.2906734e-12),(6.58,0.77175128,-1.9189415e-12),(6.59,0.76225511,-1.6064697e-12),(6.6,0.7527751,-1.3439885e-12),(6.61,0.74328089,-1.1236492e-12),(6.62,0.73374126,-9.3881105e-13),(6.63,0.72412996,-7.8385879e-13),(6.64,0.71443014,-6.5404809e-13),(6.65,0.70463669,-5.4537313e-13),(6.66,0.69475643,-4.5445406e-13),(6.67,0.68480657,-3.7844123e-13),(6.68,0.6748121,-3.1493367e-13),(6.69,0.66480241,-2.6190991e-13),(6.7,0.65480759,-2.1766919e-13),(6.71,0.64485463,-1.8078158e-13),(6.72,0.63496379,-1.5004571e-13),(6.73,0.62514619,-1.2445294e-13),(6.74,0.61540291,-1.0315705e-13),(6.75,0.60572648,-8.5448585e-14),(6.76,0.59610419,-7.0733148e-14),(6.77,0.58652243,-5.8513123e-14),(6.78,0.57697073,-4.8372188e-14),(6.79,0.56744404,-3.9962289e-14),(6.8,0.55794304,-3.2992645e-14),(6.81,0.54847238,-2.7220499e-14),(6.82,0.53903833,-2.2443325e-14),(6.83,0.52964681,-1.8492279e-14),(6.84,0.52030282,-1.5226702e-14),(6.85,0.51101138,-1.2529491e-14),(6.86,0.5017793,-1.0303224e-14),(6.87,0.49261658,-8.4669109e-15),(6.88,0.48353666,-6.9532683e-15),(6.89,0.47455489,-5.7064382e-15),(6.9,0.46568574,-4.6800813e-15),(6.91,0.45693966,-3.835781e-15),(6.92,0.44832083,-3.1417118e-15),(6.93,0.43982674,-2.5715265e-15),(6.94,0.43144989,-2.1034287e-15),(6.95,0.42318099,-1.7193992e-15),(6.96,0.41501254,-1.4045518e-15),(6.97,0.40694163,-1.1465973e-15),(6.98,0.39897091,-9.3539748e-16),(6.99,0.39110763,-7.6259435e-16),(7,0.38336112,-6.2130248e-16),(7.01,0.37573994,-5.0585342e-16),(7.02,0.36824947,-4.1158393e-16),(7.03,0.36089101,-3.3466032e-16),(7.04,0.3536626,-2.7193314e-16),(7.05,0.34656116,-2.2081682e-16),(7.06,0.33958525,-1.791902e-16),(7.07,0.33273735,-1.4531434e-16),(7.08,0.32602476,-1.177646e-16),(7.09,0.31945844,-9.5374691e-17),(7.1,0.31304996,-7.7190457e-17),(7.11,0.30680717,-6.2431844e-17),(7.12,0.30072979,-5.0461574e-17),(7.13,0.29480634,-4.0759374e-17),(7.14,0.28901342,-3.2900787e-17),(7.15,0.2833181,-2.6539769e-17),(7.16,0.27768292,-2.1394398e-17),(7.17,0.27207268,-1.723515e-17),(7.18,0.26646117,-1.3875292e-17),(7.19,0.26083638,-1.1163008e-17),(7.2,0.25520268,-8.974958e-18),(7.21,0.24957928,-7.2110029e-18),(7.22,0.24399548,-5.7898987e-18),(7.23,0.23848366,-4.6457765e-18),(7.24,0.23307208,-3.7252696e-18),(7.25,0.22777895,-2.9851706e-18),(7.26,0.2226095,-2.3905215e-18),(7.27,0.21755616,-1.9130582e-18),(7.28,0.21260174,-1.5299448e-18),(7.29,0.20772433,-1.2227435e-18),(7.3,0.20290252,-9.7657818e-19),(7.31,0.19811979,-7.7945437e-19),(7.32,0.19336711,-6.2170793e-19),(7.33,0.18864345,-4.9555761e-19),(7.34,0.18395462,-3.9474252e-19),(7.35,0.17931078,-3.1422859e-19),(7.36,0.17472361,-2.4997093e-19),(7.37,0.1702036,-1.9872172e-19),(7.38,0.16575825,-1.5787494e-19),(7.39,0.1613911,-1.2534097e-19),(7.4,0.15710203,-9.9445449e-20),(7.41,0.15288827,-7.8847657e-20),(7.42,0.1487459,-6.2474771e-20),(7.43,0.14467152,-4.9468935e-20),(7.44,0.1406634,-3.9144654e-20),(7.45,0.13672203,-3.0954539e-20),(7.46,0.1328496,-2.446179e-20),(7.47,0.1290488,-1.9318087e-20),(7.48,0.12532094,-1.5245862e-20),(7.49,0.12166416,-1.202408e-20),(7.5,0.1180722,-9.4768432e-21),(7.51,0.11453426,-7.4642733e-21),(7.52,0.11103591,-5.8752094e-21),(7.53,0.10756112,-4.6213743e-21),(7.54,0.10409467,-3.6327116e-21),(7.55,0.10062456,-2.8536629e-21),(7.56,0.097143811,-2.240198e-21),(7.57,0.0936513,-1.7574464e-21),(7.58,0.090151637,-1.3778114e-21),(7.59,0.08665407,-1.0794671e-21),(7.6,0.083170733,-8.4516399e-22),(7.61,0.07971459,-6.6127871e-22),(7.62,0.076297478,-5.1705895e-22),(7.63,0.072928608,-4.0402434e-22),(7.64,0.069613761,-3.1549099e-22),(7.65,0.066355299,-2.461945e-22),(7.66,0.063152876,-1.9199135e-22),(7.67,0.060004664,-1.4962251e-22),(7.68,0.056908779,-1.1652636e-22),(7.69,0.053864625,-9.0690822e-23),(7.7,0.0508739,-7.0536587e-23),(7.71,0.047941124,-5.4824855e-23),(7.72,0.045073636,-4.258459e-23),(7.73,0.042281122,-3.305517e-23),(7.74,0.039574778,-2.5641194e-23),(7.75,0.036966308,-1.9876917e-23),(7.76,0.034466909,-1.5398263e-23),(7.77,0.032086425,-1.1920826e-23),(7.78,0.029832752,-9.2225902e-24),(7.79,0.027711545,-7.1303589e-24),(7.8,0.025726181,-5.5091143e-24),(7.81,0.023877912,-4.2536729e-24),(7.82,0.022166116,-3.2821492e-24),(7.83,0.020588577,-2.5308386e-24),(7.84,0.019141717,-1.950215e-24),(7.85,0.017820787,-1.5018012e-24),(7.86,0.016620001,-1.1557245e-24),(7.87,0.015532643,-8.8880823e-25),(7.88,0.014551189,-6.830834e-25),(7.89,0.013667447,-5.2462779e-25),(7.9,0.012872753,-4.0266209e-25),(7.91,0.012158191,-3.0884608e-25),(7.92,0.011514837,-2.3673111e-25),(7.93,0.01093398,-1.8133451e-25),(7.94,0.010407312,-1.3880896e-25),(7.95,0.0099270638,-1.0618579e-25),(7.96,0.0094860915,-8.1175913e-26),(7.97,0.0090779201,-6.2015443e-26),(7.98,0.0086967562,-4.7346121e-26),(7.99,0.0083374818,-3.6122752e-26),(8,0.0079956367,-2.7541597e-26),(8.01,0.0076673963,-2.0985016e-26),(8.02,0.007349547,-1.5978696e-26),(8.03,0.0070394638,-1.2158647e-26),(8.04,0.0067350908,-9.2457261e-27),(8.05,0.0064349239,-7.0260084e-27),(8.06,0.0061379932,-5.3356603e-27),(8.07,0.0058438376,-4.049296e-27),(8.08,0.0055524653,-3.0710207e-27),(8.09,0.0052642951,-2.3275436e-27),(8.1,0.0049800769,-1.7628881e-27),(8.11,0.0047007963,-1.3343309e-27),(8.12,0.0044275741,-1.0092858e-27),(8.13,0.0041615711,-7.6291585e-28),(8.14,0.0039039084,-5.763031e-28),(8.15,0.0036556103,-4.3504794e-28),(8.16,0.0034175673,-3.2819739e-28),(8.17,0.0031905175,-2.4742579e-28),(8.18,0.0029750413,-1.864089e-28),(8.19,0.0027715625,-1.4034604e-28),(8.2,0.0025803554,-1.0559552e-28),(8.21,0.0024015526,-7.9396741e-29),(8.22,0.0022351544,-5.9658411e-29),(8.23,0.002081037,-4.4797369e-29),(8.24,0.0019389599,-3.3615933e-29),(8.25,0.0018085714,-2.5208653e-29),(8.26,0.0016894141,-1.8891478e-29),(8.27,0.0015809319,-1.4147967e-29),(8.28,0.0014824792,-1.0588489e-29),(8.29,0.0013933355,-7.9192805e-30),(8.3,0.0013127236,-5.9190129e-30),(8.31,0.0012398328,-4.4210421e-30),(8.32,0.0011738426,-3.2999839e-30),(8.33,0.0011139452,-2.4615621e-30),(8.34,0.0010593646,-1.8349388e-30),(8.35,0.0010093701,-1.3669234e-30),(8.36,0.00096328525,-1.0176034e-30),(8.37,0.00092049201,-7.570503e-31),(8.38,0.00088043274,-5.628371e-31),(8.39,0.00084260986,-4.1816963e-31),(8.4,0.00080658485,-3.104803e-31),(8.41,0.00077197679,-2.3037079e-31),(8.42,0.00073846076,-1.7081757e-31),(8.43,0.00070576643,-1.2657545e-31),(8.44,0.00067367675,-9.3729906e-32),(8.45,0.0006420268,-6.9361532e-32),(8.46,0.00061070242,-5.1294517e-32),(8.47,0.00057963809,-3.790836e-32),(8.48,0.00054881354,-2.7996956e-32),(8.49,0.00051824857,-2.066324e-32),(8.5,0.00048799605,-1.524045e-32),(8.51,0.00045813359,-1.1233341e-32),(8.52,0.00042875464,-8.2743111e-33),(8.53,0.00039996014,-6.0906903e-33),(8.54,0.00037185152,-4.4803605e-33),(8.55,0.00034452563,-3.2936023e-33),(8.56,0.00031807142,-2.4195863e-33),(8.57,0.00029256826,-1.7763267e-33),(8.58,0.0002680851,-1.3032157e-33),(8.59,0.00024468033,-9.5547989e-34),(8.6,0.00022240183,-7.0006527e-34),(8.61,0.00020128708,-5.1258662e-34),(8.62,0.00018136336,-3.7506605e-34),(8.63,0.00016264784,-2.7425843e-34),(8.64,0.00014514777,-2.0041211e-34),(8.65,0.00012886053,-1.4635234e-34),(8.66,0.0001137739,-1.0680391e-34),(8.67,9.9866356e-05,-7.789083e-35),(8.68,8.7107665e-05,-5.6767173e-35),(8.69,7.5459774e-05,-4.1344709e-35),(8.7,6.4878025e-05,-3.0092228e-35),(8.71,5.5312606e-05,-2.1887718e-35),(8.72,4.6710093e-05,-1.5909566e-35),(8.73,3.9014901e-05,-1.1556543e-35),(8.74,3.21705e-05,-8.3889819e-36),(8.75,2.6120306e-05,-6.0855846e-36),(8.76,2.0808277e-05,-4.4117111e-36),(8.77,1.6179269e-05,-3.1961235e-36),(8.78,1.2179273e-05,-2.3139382e-36),(8.79,0,-1.6741396e-36),(8.8,0,-1.2104401e-36),(8.81,0,-8.7459434e-37),(8.82,0,-6.3151217e-37),(8.83,0,-4.5568895e-37),(8.84,0,-3.2859956e-37),(8.85,0,-2.3679752e-37),(8.86,0,-1.7052931e-37),(8.87,0,-1.2272488e-37),(8.88,0,-8.8262844e-38),(8.89,0,-6.3435871e-38),(8.9,0,-4.5562085e-38),(8.91,0,-3.2702727e-38),(8.92,0,-2.3457193e-38),(8.93,0,-1.6814339e-38),(8.94,0,-1.204468e-38),(8.95,0,-8.6222853e-39),(8.96,0,-6.1682393e-39),(8.97,0,-4.4097272e-39),(8.98,0,-3.1504596e-39),(8.99,0,-2.2493021e-39),(9,0,-1.6048459e-39),(9.01,0,-1.1442754e-39),(9.02,0,-8.1534134e-40),(9.03,0,-5.8057728e-40),(9.04,0,-4.1313528e-40),(9.05,0,-2.9378945e-40),(9.06,0,-2.0878139e-40),(9.07,0,-1.4827196e-40),(9.08,0,-1.0522961e-40),(9.09,0,-7.463259e-41),(9.1,0,-5.2896965e-41),(9.11,0,-3.7466631e-41),(9.12,0,-2.6519797e-41),(9.13,0,-1.8758902e-41),(9.14,0,-1.3260389e-41),(9.15,0,-9.3673509e-42),(9.16,0,-6.6128543e-42),(9.17,0,-4.6652269e-42),(9.18,0,-3.289033e-42),(9.19,0,-2.317263e-42),(9.2,0,-1.6315263e-42),(9.21,0,-1.147954e-42),(9.22,0,-8.0717278e-43),(9.23,0,-5.6717904e-43),(9.24,0,-3.9827723e-43),(9.25,0,-2.7948752e-43),(9.26,0,-1.9599771e-43),(9.27,0,-1.3735713e-43),(9.28,0,-9.6197335e-44),(9.29,0,-6.7326572e-44),(9.3,0,-4.708923e-44),(9.31,0,-3.2913064e-44),(9.32,0,-2.2989348e-44),(9.33,0,-1.6047102e-44),(9.34,0,-1.1193817e-44),(9.35,0,-7.8031757e-45),(9.36,0,-5.4359593e-45),(9.37,0,-3.7843616e-45),(9.38,0,-2.632817e-45),(9.39,0,-1.8304603e-45),(9.4,0,-1.2717788e-45),(9.41,0,-8.8302796e-46),(9.42,0,-6.1270148e-46),(9.43,0,-4.2484941e-46),(9.44,0,-2.9439654e-46),(9.45,0,-2.0386468e-46),(9.46,0,-1.4107916e-46),(9.47,0,-9.7565294e-47),(9.48,0,-6.742787e-47),(9.49,0,-4.6568807e-47),(9.5,0,-3.2141222e-47),(9.51,0,-2.2168752e-47),(9.52,0,-1.5280294e-47),(9.53,0,-1.0525282e-47),(9.54,0,-7.2451498e-48),(9.55,0,-4.9839374e-48),(9.56,0,-3.4261737e-48),(9.57,0,-2.353736e-48),(9.58,0,-1.615912e-48),(9.59,0,-1.1086367e-48),(9.6,0,-7.6010285e-49),(9.61,0,-5.207953e-49),(9.62,0,-3.5659341e-49),(9.63,0,-2.4400075e-49),(9.64,0,-1.6684783e-49),(9.65,0,-1.1401488e-49),(9.66,0,-7.7859943e-50),(9.67,0,-5.3134695e-50),(9.68,0,-3.6237136e-50),(9.69,0,-2.4696824e-50),(9.7,0,-1.6820539e-50),(9.71,0,-1.1448544e-50),(9.72,0,-7.787036e-51),(9.73,0,-5.2930459e-51),(9.74,0,-3.5954287e-51),(9.75,0,-2.4406599e-51),(9.76,0,-1.6556762e-51),(9.77,0,-1.1224192e-51),(9.78,0,-7.6040738e-52),(9.79,0,-5.1481253e-52),(9.8,0,-3.4830799e-52),(9.81,0,-2.3549913e-52),(9.82,0,-1.5912071e-52),(9.83,0,-1.0744239e-52),(9.84,0,-7.2499693e-53),(9.85,0,-4.8888668e-53),(9.86,0,-3.2945172e-53),(9.87,0,-2.2186402e-53),(9.88,0,-1.4931159e-53),(9.89,0,-1.0041803e-53),(9.9,0,-6.7490305e-54),(9.91,0,-4.5329677e-54),(9.92,0,-3.0425336e-54),(9.93,0,-2.0407963e-54),(9.94,0,-1.3679665e-54),(9.95,0,-9.16353e-55),(9.96,0,-6.1342527e-55),(9.97,0,-4.1036663e-55),(9.98,0,-2.7434303e-55),(9.99,0,-1.8328517e-55),(10,0,0);
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(255) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (1,4050,5750,0,24,250,NULL),(1,6750,7800,0,24,-250,NULL),(5,0,10000,0,3200,NULL,'LDC_z_Bz_BxDID'),(3,0,5000,3200,6000,-2.52,NULL);
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',20);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:47
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX01_02`;
USE fieldX01_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX01_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerRef` varchar(32) default NULL,
  `rOuterRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (0,4050,6550,0,35,-40,NULL,'','','',''),(5,0,10000,0,3200,1,'LDCv2_z_Bz','','','',''),(3,0,5000,3200,6000,-2.52,NULL,'','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:48
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX01_14`;
USE fieldX01_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX01_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerRef` varchar(32) default NULL,
  `rOuterRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (1,4050,6250,0,10,-65,NULL,'','','',''),(1,8350,10350,0,10,40,NULL,'','','',''),(2,6000,7640,0,18,-85,NULL,'','','',''),(2,7940,9580,0,24,-50,NULL,'','','',''),(2,9880,11500,0,30,40,NULL,'','','',''),(5,0,10000,0,3200,1,'LDCv2_z_Bz','','','',''),(6,0,10000,0,3200,1,'DID14_01_z_Bx','','','',''),(3,0,5000,3200,6000,-2.52,NULL,'','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:48
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX01_20`;
USE fieldX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerRef` varchar(32) default NULL,
  `rOuterRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (1,4050,6250,0,10,-65,NULL,'','','',''),(1,8350,10350,0,10,40,NULL,'','','',''),(2,6000,7640,0,18,-85,NULL,'','','',''),(2,7940,9580,0,24,-50,NULL,'','','',''),(2,9880,11500,0,30,40,NULL,'','','',''),(5,0,10000,0,3200,1,'LDCv2_z_Bz','','','',''),(6,0,10000,0,3200,-0.5,'DID20_01_z_Bx','','','',''),(3,0,5000,3200,6000,-2.52,NULL,'','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:49
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldX02_14`;
USE fieldX02_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldX02_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnetic`
--

DROP TABLE IF EXISTS `magnetic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetic` (
  `fieldType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInner` double default NULL,
  `rOuter` double default NULL,
  `fieldValue` double default NULL,
  `fieldData` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerRef` varchar(32) default NULL,
  `rOuterRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetic`
--

LOCK TABLES `magnetic` WRITE;
INSERT INTO `magnetic` VALUES (1,4050,6250,0,10,-65,NULL,'','','',''),(1,8350,10350,0,10,40,NULL,'','','',''),(2,6000,7640,0,18,-85,NULL,'','','',''),(2,7940,9580,0,24,-50,NULL,'','','',''),(2,9880,11500,0,30,40,NULL,'','','',''),(5,0,6985,0,6985,0.955058,'ILD_00_Brho_Bz','','','',''),(6,0,10000,0,3815,1.1,'DID14_01_z_Bx','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `fieldmaps00`;
USE fieldmaps00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: fieldmaps00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `DID14_01_z_Bx`
--

DROP TABLE IF EXISTS `DID14_01_z_Bx`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `DID14_01_z_Bx` (
  `z` double default NULL,
  `B` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `DID14_01_z_Bx`
--

LOCK TABLES `DID14_01_z_Bx` WRITE;
INSERT INTO `DID14_01_z_Bx` VALUES (0,0),(0.01,-1.0694008e-05),(0.02,-2.1352443e-05),(0.03,-3.1939744e-05),(0.04,-4.2420374e-05),(0.05,-5.2758827e-05),(0.06,-6.2919648e-05),(0.07,-7.2867436e-05),(0.08,-8.2566861e-05),(0.09,-9.1982672e-05),(0.1,-0.00010107971),(0.11,-0.00010982293),(0.12,-0.00011817737),(0.13,-0.00012610824),(0.14,-0.00013358085),(0.15,-0.00014056068),(0.16,-0.00014701335),(0.17,-0.00015290468),(0.18,-0.00015820063),(0.19,-0.0001628674),(0.2,-0.00016687137),(0.21,-0.00017017912),(0.22,-0.00017275749),(0.23,-0.00017457352),(0.24,-0.00017559453),(0.25,-0.00017578807),(0.26,-0.00017512198),(0.27,-0.00017356436),(0.28,-0.00017108361),(0.29,-0.00016764843),(0.3,-0.00016322781),(0.31,-0.00015779108),(0.32,-0.00015130789),(0.33,-0.00014374823),(0.34,-0.00013508243),(0.35,-0.00012528119),(0.36,-0.00011431557),(0.37,-0.000102157),(0.38,-8.8777298e-05),(0.39,-7.4148687e-05),(0.4,-5.8243778e-05),(0.41,-4.1035601e-05),(0.42,-2.2497603e-05),(0.43,-2.6036607e-06),(0.44,1.8671914e-05),(0.45,4.1354364e-05),(0.46,6.5468479e-05),(0.47,9.103859e-05),(0.48,0.00011808856),(0.49,0.00014664177),(0.5,0.00017672113),(0.51,0.00020834905),(0.52,0.00024154745),(0.53,0.00027633774),(0.54,0.00031274082),(0.55,0.00035077709),(0.56,0.0003904664),(0.57,0.00043182808),(0.58,0.00047488095),(0.59,0.00051964325),(0.6,0.00056613269),(0.61,0.00061436645),(0.62,0.00066436111),(0.63,0.00071613272),(0.64,0.00076969675),(0.65,0.00082506812),(0.66,0.00088226113),(0.67,0.00094128955),(0.68,0.0010021665),(0.69,0.0010649047),(0.7,0.0011295159),(0.71,0.0011960116),(0.72,0.0012644027),(0.73,0.0013346992),(0.74,0.0014069108),(0.75,0.0014810465),(0.76,0.0015571146),(0.77,0.0016351228),(0.78,0.0017150784),(0.79,0.0017969878),(0.8,0.001880857),(0.81,0.0019666912),(0.82,0.0020544951),(0.83,0.0021442728),(0.84,0.0022360277),(0.85,0.0023297626),(0.86,0.0024254797),(0.87,0.0025231806),(0.88,0.0026228661),(0.89,0.0027245367),(0.9,0.0028281919),(0.91,0.0029338309),(0.92,0.0030414521),(0.93,0.0031510534),(0.94,0.0032626319),(0.95,0.0033761843),(0.96,0.0034917065),(0.97,0.0036091939),(0.98,0.0037286413),(0.99,0.0038500427),(1,0.0039733917),(1.01,0.0040986812),(1.02,0.0042259036),(1.03,0.0043550506),(1.04,0.0044861133),(1.05,0.0046190823),(1.06,0.0047539474),(1.07,0.004890698),(1.08,0.005029323),(1.09,0.0051698104),(1.1,0.005312148),(1.11,0.0054563227),(1.12,0.0056023211),(1.13,0.0057501291),(1.14,0.0058997319),(1.15,0.0060511146),(1.16,0.0062042612),(1.17,0.0063591556),(1.18,0.006515781),(1.19,0.0066741199),(1.2,0.0068341545),(1.21,0.0069958665),(1.22,0.007159237),(1.23,0.0073242465),(1.24,0.0074908751),(1.25,0.0076591025),(1.26,0.0078289077),(1.27,0.0080002695),(1.28,0.008173166),(1.29,0.0083475748),(1.3,0.0085234732),(1.31,0.0087008381),(1.32,0.0088796457),(1.33,0.009059872),(1.34,0.0092414924),(1.35,0.009424482),(1.36,0.0096088155),(1.37,0.009794467),(1.38,0.0099814105),(1.39,0.010169619),(1.4,0.010359067),(1.41,0.010549725),(1.42,0.010741567),(1.43,0.010934564),(1.44,0.011128689),(1.45,0.011323912),(1.46,0.011520204),(1.47,0.011717536),(1.48,0.011915878),(1.49,0.012115201),(1.5,0.012315474),(1.51,0.012516666),(1.52,0.012718748),(1.53,0.012921686),(1.54,0.013125451),(1.55,0.01333001),(1.56,0.013535333),(1.57,0.013741385),(1.58,0.013948137),(1.59,0.014155554),(1.6,0.014363604),(1.61,0.014572255),(1.62,0.014781473),(1.63,0.014991224),(1.64,0.015201477),(1.65,0.015412196),(1.66,0.015623348),(1.67,0.0158349),(1.68,0.016046817),(1.69,0.016259066),(1.7,0.016471611),(1.71,0.01668442),(1.72,0.016897457),(1.73,0.017110687),(1.74,0.017324078),(1.75,0.017537593),(1.76,0.017751198),(1.77,0.017964859),(1.78,0.01817854),(1.79,0.018392208),(1.8,0.018605827),(1.81,0.018819363),(1.82,0.01903278),(1.83,0.019246045),(1.84,0.019459122),(1.85,0.019671977),(1.86,0.019884575),(1.87,0.020096882),(1.88,0.020308863),(1.89,0.020520484),(1.9,0.02073171),(1.91,0.020942507),(1.92,0.021152842),(1.93,0.021362679),(1.94,0.021571985),(1.95,0.021780726),(1.96,0.021988869),(1.97,0.02219638),(1.98,0.022403225),(1.99,0.022609371),(2,0.022814786),(2.01,0.023019436),(2.02,0.023223289),(2.03,0.023426312),(2.04,0.023628473),(2.05,0.023829739),(2.06,0.024030079),(2.07,0.024229461),(2.08,0.024427854),(2.09,0.024625226),(2.1,0.024821546),(2.11,0.025016784),(2.12,0.02521091),(2.13,0.025403892),(2.14,0.0255957),(2.15,0.025786307),(2.16,0.025975681),(2.17,0.026163793),(2.18,0.026350616),(2.19,0.02653612),(2.2,0.026720278),(2.21,0.02690306),(2.22,0.027084441),(2.23,0.027264392),(2.24,0.027442886),(2.25,0.027619898),(2.26,0.0277954),(2.27,0.027969367),(2.28,0.028141773),(2.29,0.028312594),(2.3,0.028481804),(2.31,0.028649378),(2.32,0.028815294),(2.33,0.028979526),(2.34,0.029142052),(2.35,0.029302849),(2.36,0.029461894),(2.37,0.029619165),(2.38,0.02977464),(2.39,0.029928298),(2.4,0.030080118),(2.41,0.030230079),(2.42,0.030378161),(2.43,0.030524345),(2.44,0.03066861),(2.45,0.030810939),(2.46,0.030951312),(2.47,0.031089712),(2.48,0.03122612),(2.49,0.03136052),(2.5,0.031492895),(2.51,0.031623228),(2.52,0.031751504),(2.53,0.031877707),(2.54,0.032001821),(2.55,0.032123833),(2.56,0.032243728),(2.57,0.032361493),(2.58,0.032477113),(2.59,0.032590577),(2.6,0.032701872),(2.61,0.032810985),(2.62,0.032917905),(2.63,0.033022622),(2.64,0.033125125),(2.65,0.033225402),(2.66,0.033323446),(2.67,0.033419246),(2.68,0.033512793),(2.69,0.033604079),(2.7,0.033693097),(2.71,0.033779838),(2.72,0.033864296),(2.73,0.033946463),(2.74,0.034026334),(2.75,0.034103904),(2.76,0.034179166),(2.77,0.034252116),(2.78,0.034322749),(2.79,0.034391062),(2.8,0.03445705),(2.81,0.034520712),(2.82,0.034582043),(2.83,0.034641042),(2.84,0.034697707),(2.85,0.034752037),(2.86,0.034804031),(2.87,0.034853687),(2.88,0.034901006),(2.89,0.034945989),(2.9,0.034988635),(2.91,0.035028947),(2.92,0.035066925),(2.93,0.035102571),(2.94,0.035135888),(2.95,0.035166879),(2.96,0.035195546),(2.97,0.035221893),(2.98,0.035245925),(2.99,0.035267644),(3,0.035287057),(3.01,0.035304167),(3.02,0.035318981),(3.03,0.035331505),(3.04,0.035341744),(3.05,0.035349704),(3.06,0.035355394),(3.07,0.03535882),(3.08,0.03535999),(3.09,0.035358912),(3.1,0.035355593),(3.11,0.035350044),(3.12,0.035342272),(3.13,0.035332287),(3.14,0.035320099),(3.15,0.035305718),(3.16,0.035289154),(3.17,0.035270418),(3.18,0.03524952),(3.19,0.035226472),(3.2,0.035201285),(3.21,0.035173972),(3.22,0.035144544),(3.23,0.035113014),(3.24,0.035079395),(3.25,0.035043699),(3.26,0.03500594),(3.27,0.034966131),(3.28,0.034924287),(3.29,0.034880421),(3.3,0.034834547),(3.31,0.034786681),(3.32,0.034736836),(3.33,0.034685028),(3.34,0.034631273),(3.35,0.034575586),(3.36,0.034517982),(3.37,0.034458478),(3.38,0.034397089),(3.39,0.034333833),(3.4,0.034268725),(3.41,0.034201783),(3.42,0.034133023),(3.43,0.034062463),(3.44,0.033990121),(3.45,0.033916013),(3.46,0.033840157),(3.47,0.033762572),(3.48,0.033683274),(3.49,0.033602284),(3.5,0.033519619),(3.51,0.033435297),(3.52,0.033349337),(3.53,0.033261758),(3.54,0.033172579),(3.55,0.033081819),(3.56,0.032989497),(3.57,0.032895633),(3.58,0.032800246),(3.59,0.032703355),(3.6,0.032604981),(3.61,0.032505142),(3.62,0.032403859),(3.63,0.032301152),(3.64,0.032197041),(3.65,0.032091545),(3.66,0.031984685),(3.67,0.031876482),(3.68,0.031766955),(3.69,0.031656125),(3.7,0.031544012),(3.71,0.031430637),(3.72,0.031316021),(3.73,0.031200183),(3.74,0.031083145),(3.75,0.030964927),(3.76,0.03084555),(3.77,0.030725035),(3.78,0.030603401),(3.79,0.030480671),(3.8,0.030356864),(3.81,0.030232002),(3.82,0.030106106),(3.83,0.029979195),(3.84,0.029851291),(3.85,0.029722414),(3.86,0.029592586),(3.87,0.029461826),(3.88,0.029330156),(3.89,0.029197597),(3.9,0.029064168),(3.91,0.028929891),(3.92,0.028794785),(3.93,0.028658873),(3.94,0.028522173),(3.95,0.028384707),(3.96,0.028246495),(3.97,0.028107556),(3.98,0.027967913),(3.99,0.027827583),(4,0.027686589),(4.01,0.027536343),(4.02,0.027368452),(4.03,0.027183254),(4.04,0.026981115),(4.05,0.026762437),(4.06,0.026527649),(4.07,0.02627721),(4.08,0.026011606),(4.09,0.025731349),(4.1,0.025436974),(4.11,0.025129039),(4.12,0.024808123),(4.13,0.024474824),(4.14,0.024129754),(4.15,0.023773544),(4.16,0.023406836),(4.17,0.023030283),(4.18,0.022644548),(4.19,0.022250302),(4.2,0.021848219),(4.21,0.02143898),(4.22,0.021023265),(4.23,0.020601755),(4.24,0.020175129),(4.25,0.019744062),(4.26,0.019309223),(4.27,0.018871275),(4.28,0.018430871),(4.29,0.017988656),(4.3,0.01754526),(4.31,0.017101303),(4.32,0.016657389),(4.33,0.016214106),(4.34,0.015772025),(4.35,0.015331701),(4.36,0.014893668),(4.37,0.014458442),(4.38,0.014026517),(4.39,0.013598367),(4.4,0.013174442),(4.41,0.012755173),(4.42,0.012340964),(4.43,0.011932199),(4.44,0.011529239),(4.45,0.011132418),(4.46,0.010742049),(4.47,0.010358421),(4.48,0.0099817995),(4.49,0.009612425),(4.5,0.0092505163),(4.51,0.0088962688),(4.52,0.0085498553),(4.53,0.0082114264),(4.54,0.0078811111),(4.55,0.007559017),(4.56,0.0072452312),(4.57,0.0069398209),(4.58,0.0066428338),(4.59,0.006354299),(4.6,0.0060742278),(4.61,0.0058026142),(4.62,0.0055394359),(4.63,0.0052846548),(4.64,0.0050382183),(4.65,0.0048000596),(4.66,0.004570099),(4.67,0.0043482442),(4.68,0.0041343917),(4.69,0.0039284272),(4.7,0.0037302267),(4.71,0.003539657),(4.72,0.003356577),(4.73,0.0031808379),(4.74,0.0030122845),(4.75,0.0028507555),(4.76,0.0026960847),(4.77,0.0025481012),(4.78,0.0024066305),(4.79,0.0022714951),(4.8,0.0021425149),(4.81,0.002019508),(4.82,0.0019022913),(4.83,0.0017906808),(4.84,0.0016844924),(4.85,0.0015835425),(4.86,0.001487648),(4.87,0.0013966271),(4.88,0.0013102995),(4.89,0.0012284869),(4.9,0.0011510133),(4.91,0.0010777054),(4.92,0.0010083928),(4.93,0.00094290795),(4.94,0.00088108707),(4.95,0.00082276979),(4.96,0.00076779952),(4.97,0.00071602363),(4.98,0.00066729352),(4.99,0.00062146477),(5,0.00057839722),(5.01,0.00053795502),(5.02,0.00050000673),(5.03,0.00046442529),(5.04,0.00043108808),(5.05,0.00039987692),(5.06,0.00037067803),(5.07,0.00034338203),(5.08,0.00031788387),(5.09,0.00029408282),(5.1,0.00027188239),(5.11,0.00025119025),(5.12,0.00023191816),(5.13,0.0002139819),(5.14,0.00019730117),(5.15,0.00018179947),(5.16,0.00016740404),(5.17,0.00015404571),(5.18,0.00014165884),(5.19,0.00013018116),(5.2,0.00011955371),(5.21,0.00010972065),(5.22,0.00010062924),(5.23,9.2229623e-05),(5.24,8.44748e-05),(5.25,7.7320457e-05),(5.26,7.0724871e-05),(5.27,6.4648797e-05),(5.28,5.9055354e-05),(5.29,5.3909917e-05),(5.3,4.9180011e-05),(5.31,4.4835206e-05),(5.32,4.0847015e-05),(5.33,3.7188793e-05),(5.34,3.3835647e-05),(5.35,3.0764334e-05),(5.36,2.795318e-05),(5.37,2.5381986e-05),(5.38,2.3031947e-05),(5.39,2.0885574e-05),(5.4,1.8926612e-05),(5.41,1.713997e-05),(5.42,1.551165e-05),(5.43,1.4028676e-05),(5.44,1.2679033e-05),(5.45,1.1451605e-05),(5.46,1.0336116e-05),(5.47,9.3230749e-06),(5.48,8.4037244e-06),(5.49,7.5699891e-06),(5.5,6.8144302e-06),(5.51,6.1302006e-06),(5.52,5.5110036e-06),(5.53,4.951053e-06),(5.54,4.4450365e-06),(5.55,3.9880812e-06),(5.56,3.5757205e-06),(5.57,3.2038639e-06),(5.58,2.8687683e-06),(5.59,2.5670116e-06),(5.6,2.2954675e-06),(5.61,2.0512823e-06),(5.62,1.8318532e-06),(5.63,1.6348086e-06),(5.64,1.4579887e-06),(5.65,1.2994285e-06),(5.66,1.1573418e-06),(5.67,1.030106e-06),(5.68,9.1624842e-07),(5.69,8.1443345e-07),(5.7,7.2345084e-07),(5.71,6.4220475e-07),(5.72,5.6970375e-07),(5.73,5.0505157e-07),(5.74,4.4743862e-07),(5.75,3.9613418e-07),(5.76,3.5047923e-07),(5.77,3.0987987e-07),(5.78,2.7380135e-07),(5.79,2.417625e-07),(5.8,2.1333075e-07),(5.81,1.8811747e-07),(5.82,1.6577383e-07),(5.83,1.4598693e-07),(5.84,1.2847634e-07),(5.85,1.1299092e-07),(5.86,9.9305924e-08),(5.87,8.7220377e-08),(5.88,7.6554722e-08),(5.89,6.7148641e-08),(5.9,5.8859113e-08),(5.91,5.1558638e-08),(5.92,4.5133645e-08),(5.93,3.9483046e-08),(5.94,3.4516929e-08),(5.95,3.0155388e-08),(5.96,2.632746e-08),(5.97,2.2970175e-08),(5.98,2.0027694e-08),(5.99,1.7450541e-08),(6,1.519491e-08),(6.01,1.3222047e-08),(6.02,1.149769e-08),(6.03,9.9915719e-09),(6.04,8.6769756e-09),(6.05,7.5303348e-09),(6.06,6.5308775e-09),(6.07,5.6603092e-09),(6.08,4.9025286e-09),(6.09,4.2433757e-09),(6.1,3.6704069e-09),(6.11,3.172695e-09),(6.12,2.7406516e-09),(6.13,2.3658692e-09),(6.14,2.0409813e-09),(6.15,1.7595384e-09),(6.16,1.5158976e-09),(6.17,1.3051259e-09),(6.18,1.1229137e-09),(6.19,9.654989e-10),(6.2,8.2959977e-10),(6.21,7.1235571e-10),(6.22,6.1127501e-10),(6.23,5.2418891e-10),(6.24,4.492111e-10),(6.25,3.8470213e-10),(6.26,3.2923816e-10),(6.27,2.8158352e-10),(6.28,2.4066657e-10),(6.29,2.0555867e-10),(6.3,1.7545563e-10),(6.31,1.4966158e-10),(6.32,1.2757478e-10),(6.33,1.086753e-10),(6.34,9.2514195e-11),(6.35,7.8704111e-11),(6.36,6.6911071e-11),(6.37,5.6847329e-11),(6.38,4.8265152e-11),(6.39,4.0951407e-11),(6.4,3.4722862e-11),(6.41,2.9422105e-11),(6.42,2.4914003e-11),(6.43,2.1082633e-11),(6.44,1.782862e-11),(6.45,1.5066839e-11),(6.46,1.2724425e-11),(6.47,1.0739047e-11),(6.48,9.0574275e-12),(6.49,7.6340602e-12),(6.5,6.4301021e-12),(6.51,5.4124232e-12),(6.52,4.5527857e-12),(6.53,3.8271392e-12),(6.54,3.2150142e-12),(6.55,2.6990016e-12),(6.56,2.2643053e-12),(6.57,1.8983593e-12),(6.58,1.5904993e-12),(6.59,1.3316808e-12),(6.6,1.1142391e-12),(6.61,9.3168328e-13),(6.62,7.7852007e-13),(6.63,6.5010417e-13),(6.64,5.4250996e-13),(6.65,4.5242241e-13),(6.66,3.7704409e-13),(6.67,3.1401601e-13),(6.68,2.6135036e-13),(6.69,2.1737322e-13),(6.7,1.8067607e-13),(6.71,1.5007448e-13),(6.72,1.2457323e-13),(6.73,1.0333663e-13),(6.74,8.5663432e-14),(6.75,7.0965672e-14),(6.76,5.8750671e-14),(6.77,4.8605901e-14),(6.78,4.018619e-14),(6.79,3.3202925e-14),(6.8,2.7414954e-14),(6.81,2.2620925e-14),(6.82,1.8652837e-14),(6.83,1.537061e-14),(6.84,1.265753e-14),(6.85,1.0416421e-14),(6.86,8.5664282e-15),(6.87,7.040325e-15),(6.88,5.7822562e-15),(6.89,4.745846e-15),(6.9,3.8926167e-15),(6.91,3.1906659e-15),(6.92,2.6135615e-15),(6.93,2.1394188e-15),(6.94,1.7501312e-15),(6.95,1.430728e-15),(6.96,1.1688406e-15),(6.97,9.5425661e-16),(6.98,7.7855049e-16),(6.99,6.3477541e-16),(7,5.1720786e-16),(7.01,4.2113549e-16),(7.02,3.4268121e-16),(7.03,2.7865732e-16),(7.04,2.2644479e-16),(7.05,1.838933e-16),(7.06,1.4923862e-16),(7.07,1.2103424e-16),(7.08,9.8095032e-17),(7.09,7.9450656e-17),(7.1,6.4307213e-17),(7.11,5.20156e-17),(7.12,4.2045475e-17),(7.13,3.3963829e-17),(7.14,2.7417367e-17),(7.15,2.2118038e-17),(7.16,1.7831142e-17),(7.17,1.436559e-17),(7.18,1.1565902e-17),(7.19,9.3056618e-18),(7.2,7.4821562e-18),(7.21,6.0119867e-18),(7.22,4.8274856e-18),(7.23,3.8737867e-18),(7.24,3.1064342e-18),(7.25,2.4894325e-18),(7.26,1.9936563e-18),(7.27,1.5955557e-18),(7.28,1.276102e-18),(7.29,1.0199304e-18),(7.3,8.146432e-19),(7.31,6.502436e-19),(7.32,5.1867639e-19),(7.33,4.1345535e-19),(7.34,3.2936125e-19),(7.35,2.6219725e-19),(7.36,2.0859097e-19),(7.37,1.658344e-19),(7.38,1.3175451e-19),(7.39,1.0460878e-19),(7.4,8.300084e-20),(7.41,6.5812533e-20),(7.42,5.2149059e-20),(7.43,4.1294869e-20),(7.44,3.267815e-20),(7.45,2.5842266e-20),(7.46,2.0422808e-20),(7.47,1.6129172e-20),(7.48,1.2729767e-20),(7.49,1.0040159e-20),(7.5,7.9135702e-21),(7.51,6.2332722e-21),(7.52,4.9064963e-21),(7.53,3.8595672e-21),(7.54,3.0340134e-21),(7.55,2.3834615e-21),(7.56,1.8711583e-21),(7.57,1.4679954e-21),(7.58,1.1509344e-21),(7.59,9.0175435e-22),(7.6,7.0605357e-22),(7.61,5.5245742e-22),(7.62,4.3198804e-22),(7.63,3.3756421e-22),(7.64,2.636045e-22),(7.65,2.0571265e-22),(7.66,1.6042828e-22),(7.67,1.2502953e-22),(7.68,9.7376919e-23),(7.69,7.5789879e-23),(7.7,5.8949232e-23),(7.71,4.5820185e-23),(7.72,3.5591581e-23),(7.73,2.7628002e-23),(7.74,2.1432036e-23),(7.75,1.661457e-23),(7.76,1.2871423e-23),(7.77,9.9649646e-24),(7.78,7.7096863e-24),(7.79,5.9608667e-24),(7.8,4.605681e-24),(7.81,3.5562317e-24),(7.82,2.7440878e-24),(7.83,2.1160099e-24),(7.84,1.6306064e-24),(7.85,1.2557186e-24),(7.86,9.6637852e-25),(7.87,7.4321412e-25),(7.88,5.7120551e-25),(7.89,4.3871508e-25),(7.9,3.3673208e-25),(7.91,2.5828439e-25),(7.92,1.9798103e-25),(7.93,1.516564e-25),(7.94,1.1609396e-25),(7.95,8.8811719e-26),(7.96,6.7895761e-26),(7.97,5.1871259e-26),(7.98,3.9602506e-26),(7.99,3.0215534e-26),(8,2.3038257e-26),(8.01,1.7554187e-26),(8.02,1.336668e-26),(8.03,1.0171339e-26),(8.04,7.7347168e-27),(8.05,5.8779036e-27),(8.06,4.4638772e-27),(8.07,3.3877687e-27),(8.08,2.5693721e-27),(8.09,1.9473857e-27),(8.1,1.4749887e-27),(8.11,1.1164445e-27),(8.12,8.4449547e-28),(8.13,6.3836525e-28),(8.14,4.8222851e-28),(8.15,3.6403928e-28),(8.16,2.7463466e-28),(8.17,2.070495e-28),(8.18,1.5599286e-28),(8.19,1.1744838e-28),(8.2,8.836922e-29),(8.21,6.6445681e-29),(8.22,4.9928005e-29),(8.23,3.749155e-29),(8.24,2.8134182e-29),(8.25,2.1098273e-29),(8.26,1.5811434e-29),(8.27,1.1841516e-29),(8.28,8.8624766e-30),(8.29,6.6284898e-30),(8.3,4.95434e-30),(8.31,3.700571e-30),(8.32,2.7622526e-30),(8.33,2.0604864e-30),(8.34,1.535988e-30),(8.35,1.1442413e-30),(8.36,8.518421e-31),(8.37,6.3374173e-31),(8.38,4.7116955e-31),(8.39,3.5006915e-31),(8.4,2.5992148e-31),(8.41,1.9286002e-31),(8.42,1.430059e-31),(8.43,1.0596865e-31),(8.44,7.8471606e-32),(8.45,5.8071012e-32),(8.46,4.2945528e-32),(8.47,3.1738631e-32),(8.48,2.3440677e-32),(8.49,1.7300705e-32),(8.5,1.2760543e-32),(8.51,9.405593e-33),(8.52,6.9281123e-33),(8.53,5.0998259e-33),(8.54,3.7515218e-33),(8.55,2.7578541e-33),(8.56,2.0260343e-33),(8.57,1.4874213e-33),(8.58,1.0912716e-33),(8.59,8.0009844e-34),(8.6,5.8622682e-34),(8.61,4.2923944e-34),(8.62,3.1408359e-34),(8.63,2.2966909e-34),(8.64,1.6783075e-34),(8.65,1.2256097e-34),(8.66,8.9442626e-35),(8.67,6.5230178e-35),(8.68,4.7540557e-35),(8.69,3.4625148e-35),(8.7,2.5201749e-35),(8.71,1.83308e-35),(8.72,1.3324282e-35),(8.73,9.6787189e-36),(8.74,7.0259265e-36),(8.75,5.0968401e-36),(8.76,3.694963e-36),(8.77,2.6768918e-36),(8.78,1.9380422e-36),(8.79,1.4021914e-36),(8.8,1.0138251e-36),(8.81,7.325384e-37),(8.82,5.289437e-37),(8.83,3.8168067e-37),(8.84,2.7523429e-37),(8.85,1.9834285e-37),(8.86,1.428375e-37),(8.87,1.0279679e-37),(8.88,7.3931332e-38),(8.89,5.3136039e-38),(8.9,3.8164665e-38),(8.91,2.7393365e-38),(8.92,1.9649024e-38),(8.93,1.4084719e-38),(8.94,1.008944e-38),(8.95,7.2226669e-39),(8.96,5.1670152e-39),(8.97,3.6939716e-39),(8.98,2.6391192e-39),(8.99,1.8842394e-39),(9,1.3443885e-39),(9.01,9.5857289e-40),(9.02,6.8302581e-40),(9.03,4.8636324e-40),(9.04,3.4609553e-40),(9.05,2.4611772e-40),(9.06,1.7490467e-40),(9.07,1.2421428e-40),(9.08,8.8156289e-41),(9.09,6.2523989e-41),(9.1,4.4315097e-41),(9.11,3.1388341e-41),(9.12,2.2217574e-41),(9.13,1.5715802e-41),(9.14,1.1109334e-41),(9.15,7.8478582e-42),(9.16,5.5402054e-42),(9.17,3.9085192e-42),(9.18,2.755562e-42),(9.19,1.9414214e-42),(9.2,1.3669134e-42),(9.21,9.6177567e-43),(9.22,6.7626699e-43),(9.23,4.7519754e-43),(9.24,3.3368897e-43),(9.25,2.341645e-43),(9.26,1.6421465e-43),(9.27,1.1508384e-43),(9.28,8.0598772e-44),(9.29,5.6409731e-44),(9.3,3.945402e-44),(9.31,2.757656e-44),(9.32,1.926196e-44),(9.33,1.3445364e-44),(9.34,9.3789927e-45),(9.35,6.5380978e-45),(9.36,4.5546832e-45),(9.37,3.1708561e-45),(9.38,2.2060051e-45),(9.39,1.533727e-45),(9.4,1.0656172e-45),(9.41,7.3988796e-46),(9.42,5.1338403e-46),(9.43,3.5598374e-46),(9.44,2.4667753e-46),(9.45,1.7082075e-46),(9.46,1.1821247e-46),(9.47,8.1751834e-47),(9.48,5.6499325e-47),(9.49,3.9021203e-47),(9.5,2.6932058e-47),(9.51,1.8575906e-47),(9.52,1.2803893e-47),(9.53,8.8195338e-48),(9.54,6.071009e-48),(9.55,4.1762611e-48),(9.56,2.8709525e-48),(9.57,1.9723129e-48),(9.58,1.354058e-48),(9.59,9.2898816e-49),(9.6,6.3693449e-49),(9.61,4.3640627e-49),(9.62,2.9881236e-49),(9.63,2.0446453e-49),(9.64,1.3981333e-49),(9.65,9.5541266e-50),(9.66,6.5244632e-50),(9.67,4.4525648e-50),(9.68,3.0365973e-50),(9.69,2.0695495e-50),(9.7,1.4095351e-50),(9.71,9.5937272e-51),(9.72,6.5254526e-51),(9.73,4.4355268e-51),(9.74,3.0129468e-51),(9.75,2.045263e-51),(9.76,1.3874539e-51),(9.77,9.4058808e-52),(9.78,6.3722357e-52),(9.79,4.3141549e-52),(9.8,2.9188452e-52),(9.81,1.9735043e-52),(9.82,1.3334494e-52),(9.83,9.0038129e-53),(9.84,6.0755878e-53),(9.85,4.0969554e-53),(9.86,2.7608676e-53),(9.87,1.8592671e-53),(9.88,1.2512652e-53),(9.89,8.4152773e-54),(9.9,5.6558673e-54),(9.91,3.7987572e-54),(9.92,2.5497355e-54),(9.93,1.7102533e-54),(9.94,1.146402e-54),(9.95,7.6793637e-55),(9.96,5.1407351e-55),(9.97,3.4390324e-55),(9.98,2.2991072e-55),(9.99,1.5360079e-55),(10,0);
UNLOCK TABLES;

--
-- Table structure for table `DID20_01_z_Bx`
--

DROP TABLE IF EXISTS `DID20_01_z_Bx`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `DID20_01_z_Bx` (
  `z` double default NULL,
  `B` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `DID20_01_z_Bx`
--

LOCK TABLES `DID20_01_z_Bx` WRITE;
INSERT INTO `DID20_01_z_Bx` VALUES (0,0),(0.01,-0.00050477562),(0.02,-0.0010095248),(0.03,-0.0015142212),(0.04,-0.0020188384),(0.05,-0.00252335),(0.06,-0.0030277295),(0.07,-0.0035319507),(0.08,-0.0040359871),(0.09,-0.0045398124),(0.1,-0.0050434001),(0.11,-0.0055467241),(0.12,-0.0060497579),(0.13,-0.0065524752),(0.14,-0.0070548498),(0.15,-0.0075568553),(0.16,-0.0080584656),(0.17,-0.0085596543),(0.18,-0.0090603954),(0.19,-0.0095606625),(0.2,-0.01006043),(0.21,-0.010559671),(0.22,-0.011058359),(0.23,-0.01155647),(0.24,-0.012053976),(0.25,-0.012550851),(0.26,-0.013047071),(0.27,-0.013542608),(0.28,-0.014037437),(0.29,-0.014531532),(0.3,-0.015024868),(0.31,-0.015517418),(0.32,-0.016009156),(0.33,-0.016500058),(0.34,-0.016990098),(0.35,-0.017479249),(0.36,-0.017967487),(0.37,-0.018454785),(0.38,-0.01894112),(0.39,-0.019426464),(0.4,-0.019910794),(0.41,-0.020394083),(0.42,-0.020876307),(0.43,-0.02135744),(0.44,-0.021837458),(0.45,-0.022316335),(0.46,-0.022794046),(0.47,-0.023270567),(0.48,-0.023745873),(0.49,-0.024219939),(0.5,-0.024692741),(0.51,-0.025164254),(0.52,-0.025634453),(0.53,-0.026103314),(0.54,-0.026570813),(0.55,-0.027036926),(0.56,-0.027501628),(0.57,-0.027964895),(0.58,-0.028426704),(0.59,-0.02888703),(0.6,-0.02934585),(0.61,-0.029803139),(0.62,-0.030258875),(0.63,-0.030713034),(0.64,-0.031165592),(0.65,-0.031616526),(0.66,-0.032065813),(0.67,-0.032513429),(0.68,-0.032959352),(0.69,-0.033403559),(0.7,-0.033846026),(0.71,-0.034286732),(0.72,-0.034725653),(0.73,-0.035162767),(0.74,-0.035598052),(0.75,-0.036031485),(0.76,-0.036463044),(0.77,-0.036892708),(0.78,-0.037320453),(0.79,-0.037746259),(0.8,-0.038170104),(0.81,-0.038591966),(0.82,-0.039011824),(0.83,-0.039429656),(0.84,-0.039845442),(0.85,-0.04025916),(0.86,-0.040670789),(0.87,-0.041080309),(0.88,-0.041487699),(0.89,-0.041892938),(0.9,-0.042296006),(0.91,-0.042696883),(0.92,-0.043095549),(0.93,-0.043491983),(0.94,-0.043886167),(0.95,-0.04427808),(0.96,-0.044667702),(0.97,-0.045055016),(0.98,-0.04544),(0.99,-0.045822637),(1,-0.046202907),(1.01,-0.046580792),(1.02,-0.046956273),(1.03,-0.047329332),(1.04,-0.04769995),(1.05,-0.048068109),(1.06,-0.048433792),(1.07,-0.04879698),(1.08,-0.049157657),(1.09,-0.049515804),(1.1,-0.049871404),(1.11,-0.050224441),(1.12,-0.050574897),(1.13,-0.050922756),(1.14,-0.051268),(1.15,-0.051610615),(1.16,-0.051950583),(1.17,-0.052287888),(1.18,-0.052622516),(1.19,-0.052954449),(1.2,-0.053283673),(1.21,-0.053610172),(1.22,-0.053933931),(1.23,-0.054254936),(1.24,-0.054573172),(1.25,-0.054888623),(1.26,-0.055201277),(1.27,-0.055511118),(1.28,-0.055818133),(1.29,-0.056122308),(1.3,-0.05642363),(1.31,-0.056722085),(1.32,-0.057017661),(1.33,-0.057310343),(1.34,-0.05760012),(1.35,-0.05788698),(1.36,-0.058170909),(1.37,-0.058451896),(1.38,-0.058729929),(1.39,-0.059004996),(1.4,-0.059277086),(1.41,-0.059546188),(1.42,-0.05981229),(1.43,-0.060075383),(1.44,-0.060335454),(1.45,-0.060592495),(1.46,-0.060846495),(1.47,-0.061097443),(1.48,-0.061345331),(1.49,-0.061590149),(1.5,-0.061831887),(1.51,-0.062070537),(1.52,-0.06230609),(1.53,-0.062538537),(1.54,-0.062767871),(1.55,-0.062994082),(1.56,-0.063217164),(1.57,-0.063437108),(1.58,-0.063653907),(1.59,-0.063867555),(1.6,-0.064078043),(1.61,-0.064285366),(1.62,-0.064489517),(1.63,-0.06469049),(1.64,-0.064888279),(1.65,-0.065082878),(1.66,-0.065274282),(1.67,-0.065462486),(1.68,-0.065647484),(1.69,-0.065829272),(1.7,-0.066007845),(1.71,-0.066183199),(1.72,-0.066355331),(1.73,-0.066524236),(1.74,-0.06668991),(1.75,-0.066852351),(1.76,-0.067011556),(1.77,-0.067167521),(1.78,-0.067320244),(1.79,-0.067469724),(1.8,-0.067615957),(1.81,-0.067758943),(1.82,-0.067898679),(1.83,-0.068035164),(1.84,-0.068168398),(1.85,-0.068298379),(1.86,-0.068425107),(1.87,-0.068548582),(1.88,-0.068668804),(1.89,-0.068785772),(1.9,-0.068899488),(1.91,-0.069009952),(1.92,-0.069117166),(1.93,-0.069221129),(1.94,-0.069321845),(1.95,-0.069419314),(1.96,-0.069513538),(1.97,-0.06960452),(1.98,-0.069692263),(1.99,-0.069776768),(2,-0.06985804),(2.01,-0.069936081),(2.02,-0.070010894),(2.03,-0.070082484),(2.04,-0.070150855),(2.05,-0.07021601),(2.06,-0.070277954),(2.07,-0.070336693),(2.08,-0.07039223),(2.09,-0.070444571),(2.1,-0.070493723),(2.11,-0.070539689),(2.12,-0.070582477),(2.13,-0.070622092),(2.14,-0.070658542),(2.15,-0.070691832),(2.16,-0.070721969),(2.17,-0.070748962),(2.18,-0.070772817),(2.19,-0.070793542),(2.2,-0.070811145),(2.21,-0.070825634),(2.22,-0.070837017),(2.23,-0.070845304),(2.24,-0.070850502),(2.25,-0.070852622),(2.26,-0.070851672),(2.27,-0.070847662),(2.28,-0.070840602),(2.29,-0.070830501),(2.3,-0.070817371),(2.31,-0.070801221),(2.32,-0.070782062),(2.33,-0.070759906),(2.34,-0.070734763),(2.35,-0.070706645),(2.36,-0.070675564),(2.37,-0.070641531),(2.38,-0.070604558),(2.39,-0.070564657),(2.4,-0.070521842),(2.41,-0.070476125),(2.42,-0.070427518),(2.43,-0.070376035),(2.44,-0.07032169),(2.45,-0.070264495),(2.46,-0.070204465),(2.47,-0.070141614),(2.48,-0.070075955),(2.49,-0.070007503),(2.5,-0.069936273),(2.51,-0.069862279),(2.52,-0.069785536),(2.53,-0.069706061),(2.54,-0.069623867),(2.55,-0.06953897),(2.56,-0.069451387),(2.57,-0.069361133),(2.58,-0.069268224),(2.59,-0.069172677),(2.6,-0.069074507),(2.61,-0.068973733),(2.62,-0.068870369),(2.63,-0.068764435),(2.64,-0.068655946),(2.65,-0.06854492),(2.66,-0.068431374),(2.67,-0.068315327),(2.68,-0.068196796),(2.69,-0.068075799),(2.7,-0.067952354),(2.71,-0.06782648),(2.72,-0.067698194),(2.73,-0.067567517),(2.74,-0.067434466),(2.75,-0.06729906),(2.76,-0.067161319),(2.77,-0.067021261),(2.78,-0.066878907),(2.79,-0.066734275),(2.8,-0.066587385),(2.81,-0.066438258),(2.82,-0.066286912),(2.83,-0.066133368),(2.84,-0.065977646),(2.85,-0.065819766),(2.86,-0.065659749),(2.87,-0.065497615),(2.88,-0.065333385),(2.89,-0.065167079),(2.9,-0.064998719),(2.91,-0.064828325),(2.92,-0.064655919),(2.93,-0.064481521),(2.94,-0.064305153),(2.95,-0.064126837),(2.96,-0.063946592),(2.97,-0.063764442),(2.98,-0.063580408),(2.99,-0.063394511),(3,-0.063206774),(3.01,-0.063017218),(3.02,-0.062825865),(3.03,-0.062632737),(3.04,-0.062437856),(3.05,-0.062241245),(3.06,-0.062042926),(3.07,-0.06184292),(3.08,-0.061641251),(3.09,-0.061437941),(3.1,-0.061233012),(3.11,-0.061026486),(3.12,-0.060818387),(3.13,-0.060608737),(3.14,-0.060397559),(3.15,-0.060184874),(3.16,-0.059970707),(3.17,-0.05975508),(3.18,-0.059538015),(3.19,-0.059319536),(3.2,-0.059099665),(3.21,-0.058878426),(3.22,-0.058655841),(3.23,-0.058431932),(3.24,-0.058206724),(3.25,-0.057980239),(3.26,-0.0577525),(3.27,-0.05752353),(3.28,-0.057293351),(3.29,-0.057061988),(3.3,-0.056829463),(3.31,-0.056595798),(3.32,-0.056361018),(3.33,-0.056125144),(3.34,-0.0558882),(3.35,-0.055650209),(3.36,-0.055411193),(3.37,-0.055171176),(3.38,-0.054930181),(3.39,-0.05468823),(3.4,-0.054445346),(3.41,-0.054201552),(3.42,-0.05395687),(3.43,-0.053711324),(3.44,-0.053464937),(3.45,-0.053217729),(3.46,-0.052969726),(3.47,-0.052720948),(3.48,-0.052471419),(3.49,-0.05222116),(3.5,-0.051970195),(3.51,-0.051718546),(3.52,-0.051466234),(3.53,-0.051213283),(3.54,-0.050959714),(3.55,-0.050705549),(3.56,-0.050450811),(3.57,-0.050195522),(3.58,-0.049939702),(3.59,-0.049683375),(3.6,-0.049426562),(3.61,-0.049169284),(3.62,-0.048911564),(3.63,-0.048653422),(3.64,-0.04839488),(3.65,-0.048135959),(3.66,-0.047876681),(3.67,-0.047617066),(3.68,-0.047357136),(3.69,-0.047096912),(3.7,-0.046836414),(3.71,-0.046575664),(3.72,-0.046314681),(3.73,-0.046053487),(3.74,-0.045792101),(3.75,-0.045530545),(3.76,-0.045268838),(3.77,-0.045007),(3.78,-0.044745051),(3.79,-0.044483012),(3.8,-0.044220901),(3.81,-0.043958739),(3.82,-0.043696545),(3.83,-0.043434338),(3.84,-0.043172138),(3.85,-0.042909964),(3.86,-0.042647834),(3.87,-0.042385768),(3.88,-0.042123784),(3.89,-0.041861901),(3.9,-0.041600136),(3.91,-0.04133851),(3.92,-0.041077039),(3.93,-0.040815742),(3.94,-0.040554637),(3.95,-0.04029374),(3.96,-0.040033071),(3.97,-0.039772646),(3.98,-0.039512483),(3.99,-0.039252599),(4,-0.03899301),(4.01,-0.038721632),(4.02,-0.038426725),(4.03,-0.038108856),(4.04,-0.037768634),(4.05,-0.037406706),(4.06,-0.037023756),(4.07,-0.036620504),(4.08,-0.036197701),(4.09,-0.035756127),(4.1,-0.035296594),(4.11,-0.034819934),(4.12,-0.034327005),(4.13,-0.033818684),(4.14,-0.033295867),(4.15,-0.032759463),(4.16,-0.032210394),(4.17,-0.031649593),(4.18,-0.031077999),(4.19,-0.030496556),(4.2,-0.029906209),(4.21,-0.029307903),(4.22,-0.028702582),(4.23,-0.028091181),(4.24,-0.027474629),(4.25,-0.026853847),(4.26,-0.026229741),(4.27,-0.025603204),(4.28,-0.024975112),(4.29,-0.024346323),(4.3,-0.023717677),(4.31,-0.023089988),(4.32,-0.022464052),(4.33,-0.021840637),(4.34,-0.021220485),(4.35,-0.020604313),(4.36,-0.019992806),(4.37,-0.019386624),(4.38,-0.018786395),(4.39,-0.018192714),(4.4,-0.017606148),(4.41,-0.01702723),(4.42,-0.016456461),(4.43,-0.015894311),(4.44,-0.015341215),(4.45,-0.014797577),(4.46,-0.014263767),(4.47,-0.013740125),(4.48,-0.013226956),(4.49,-0.012724535),(4.5,-0.012233106),(4.51,-0.011752881),(4.52,-0.011284043),(4.53,-0.010826744),(4.54,-0.010381111),(4.55,-0.0099472389),(4.56,-0.0095251989),(4.57,-0.0091150348),(4.58,-0.008716766),(4.59,-0.0083303876),(4.6,-0.0079558724),(4.61,-0.0075931709),(4.62,-0.0072422132),(4.63,-0.0069029098),(4.64,-0.0065751529),(4.65,-0.0062588174),(4.66,-0.0059537618),(4.67,-0.00565983),(4.68,-0.0053768519),(4.69,-0.0051046447),(4.7,-0.0048430138),(4.71,-0.0045917543),(4.72,-0.0043506518),(4.73,-0.0041194834),(4.74,-0.0038980187),(4.75,-0.0036860212),(4.76,-0.0034832486),(4.77,-0.0032894542),(4.78,-0.0031043877),(4.79,-0.0029277959),(4.8,-0.0027594235),(4.81,-0.0025990142),(4.82,-0.002446311),(4.83,-0.0023010571),(4.84,-0.0021629967),(4.85,-0.0020318751),(4.86,-0.00190744),(4.87,-0.0017894414),(4.88,-0.0016776323),(4.89,-0.0015717693),(4.9,-0.0014716126),(4.91,-0.001376927),(4.92,-0.0012874815),(4.93,-0.0012030504),(4.94,-0.0011234126),(4.95,-0.0010483529),(4.96,-0.00097766114),(4.97,-0.00091113328),(4.98,-0.00084857093),(4.99,-0.0007897817),(5,-0.00073457926),(5.01,-0.00068278337),(5.02,-0.00063421992),(5.03,-0.00058872095),(5.04,-0.00054612463),(5.05,-0.00050627526),(5.06,-0.00046902319),(5.07,-0.00043422475),(5.08,-0.00040174224),(5.09,-0.00037144376),(5.1,-0.00034320317),(5.11,-0.00031689994),(5.12,-0.00029241906),(5.13,-0.00026965087),(5.14,-0.00024849098),(5.15,-0.00022884006),(5.16,-0.00021060376),(5.17,-0.00019369251),(5.18,-0.00017802137),(5.19,-0.00016350992),(5.2,-0.00015008202),(5.21,-0.00013766574),(5.22,-0.00012619312),(5.23,-0.00011560007),(5.24,-0.00010582619),(5.25,-9.6814586e-05),(5.26,-8.8511774e-05),(5.27,-8.0867478e-05),(5.28,-7.3834503e-05),(5.29,-6.7368582e-05),(5.3,-6.1428237e-05),(5.31,-5.5974638e-05),(5.32,-5.0971465e-05),(5.33,-4.6384783e-05),(5.34,-4.2182909e-05),(5.35,-3.8336292e-05),(5.36,-3.4817393e-05),(5.37,-3.1600575e-05),(5.38,-2.8661986e-05),(5.39,-2.5979461e-05),(5.4,-2.3532419e-05),(5.41,-2.1301764e-05),(5.42,-1.9269796e-05),(5.43,-1.7420124e-05),(5.44,-1.5737578e-05),(5.45,-1.4208136e-05),(5.46,-1.2818844e-05),(5.47,-1.1557747e-05),(5.48,-1.0413819e-05),(5.49,-9.376903e-06),(5.5,-8.437647e-06),(5.51,-7.5874494e-06),(5.52,-6.8184051e-06),(5.53,-6.1232546e-06),(5.54,-5.4953373e-06),(5.55,-4.9285472e-06),(5.56,-4.4172909e-06),(5.57,-3.9564492e-06),(5.58,-3.5413407e-06),(5.59,-3.1676875e-06),(5.6,-2.831584e-06),(5.61,-2.5294674e-06),(5.62,-2.2580898e-06),(5.63,-2.0144933e-06),(5.64,-1.7959861e-06),(5.65,-1.6001201e-06),(5.66,-1.4246713e-06),(5.67,-1.2676205e-06),(5.68,-1.1271361e-06),(5.69,-1.0015575e-06),(5.7,-8.8938116e-07),(5.71,-7.8924607e-07),(5.72,-6.9992161e-07),(5.73,-6.2029581e-07),(5.74,-5.4936471e-07),(5.75,-4.8622259e-07),(5.76,-4.3005298e-07),(5.77,-3.8012046e-07),(5.78,-3.3576312e-07),(5.79,-2.9638565e-07),(5.8,-2.6145311e-07),(5.81,-2.3048512e-07),(5.82,-2.0305067e-07),(5.83,-1.7876331e-07),(5.84,-1.5727684e-07),(5.85,-1.3828135e-07),(5.86,-1.2149961e-07),(5.87,-1.0668382e-07),(5.88,-9.361268e-08),(5.89,-8.2088668e-08),(5.9,-7.1935648e-08),(5.91,-6.299666e-08),(5.92,-5.5131944e-08),(5.93,-4.8217145e-08),(5.94,-4.2141703e-08),(5.95,-3.6807395e-08),(5.96,-3.2127022e-08),(5.97,-2.8023235e-08),(5.98,-2.4427468e-08),(5.99,-2.1278991e-08),(6,-1.8524053e-08),(6.01,-1.6115113e-08),(6.02,-1.401016e-08),(6.03,-1.2172092e-08),(6.04,-1.0568168e-08),(6.05,-9.1695193e-09),(6.06,-7.9507081e-09),(6.07,-6.8893367e-09),(6.08,-5.9656996e-09),(6.09,-5.1624721e-09),(6.1,-4.464434e-09),(6.11,-3.8582242e-09),(6.12,-3.3321217e-09),(6.13,-2.8758525e-09),(6.14,-2.4804171e-09),(6.15,-2.1379382e-09),(6.16,-1.8415264e-09),(6.17,-1.5851599e-09),(6.18,-1.3635797e-09),(6.19,-1.1721962e-09),(6.2,-1.0070069e-09),(6.21,-8.645237e-10),(6.22,-7.4170922e-10),(6.23,-6.3592043e-10),(6.24,-5.4485908e-10),(6.25,-4.6652823e-10),(6.26,-3.9919397e-10),(6.27,-3.4135191e-10),(6.28,-2.9169769e-10),(6.29,-2.4910128e-10),(6.3,-2.1258432e-10),(6.31,-1.8130042e-10),(6.32,-1.5451785e-10),(6.33,-1.3160453e-10),(6.34,-1.1201477e-10),(6.35,-9.5277863e-11),(6.36,-8.0988066e-11),(6.37,-6.8795864e-11),(6.38,-5.8400412e-11),(6.39,-4.9542939e-11),(6.4,-4.2001026e-11),(6.41,-3.5583634e-11),(6.42,-3.0126797e-11),(6.43,-2.5489886e-11),(6.44,-2.1552373e-11),(6.45,-1.8211031e-11),(6.46,-1.5377518e-11),(6.47,-1.297628e-11),(6.48,-1.0942749e-11),(6.49,-9.2217828e-12),(6.5,-7.7663256e-12),(6.51,-6.5362483e-12),(6.52,-5.4973544e-12),(6.53,-4.6205232e-12),(6.54,-3.8809748e-12),(6.55,-3.2576372e-12),(6.56,-2.7326048e-12),(6.57,-2.2906734e-12),(6.58,-1.9189415e-12),(6.59,-1.6064697e-12),(6.6,-1.3439885e-12),(6.61,-1.1236492e-12),(6.62,-9.3881105e-13),(6.63,-7.8385879e-13),(6.64,-6.5404809e-13),(6.65,-5.4537313e-13),(6.66,-4.5445406e-13),(6.67,-3.7844123e-13),(6.68,-3.1493367e-13),(6.69,-2.6190991e-13),(6.7,-2.1766919e-13),(6.71,-1.8078158e-13),(6.72,-1.5004571e-13),(6.73,-1.2445294e-13),(6.74,-1.0315705e-13),(6.75,-8.5448585e-14),(6.76,-7.0733148e-14),(6.77,-5.8513123e-14),(6.78,-4.8372188e-14),(6.79,-3.9962289e-14),(6.8,-3.2992645e-14),(6.81,-2.7220499e-14),(6.82,-2.2443325e-14),(6.83,-1.8492279e-14),(6.84,-1.5226702e-14),(6.85,-1.2529491e-14),(6.86,-1.0303224e-14),(6.87,-8.4669109e-15),(6.88,-6.9532683e-15),(6.89,-5.7064382e-15),(6.9,-4.6800813e-15),(6.91,-3.835781e-15),(6.92,-3.1417118e-15),(6.93,-2.5715265e-15),(6.94,-2.1034287e-15),(6.95,-1.7193992e-15),(6.96,-1.4045518e-15),(6.97,-1.1465973e-15),(6.98,-9.3539748e-16),(6.99,-7.6259435e-16),(7,-6.2130248e-16),(7.01,-5.0585342e-16),(7.02,-4.1158393e-16),(7.03,-3.3466032e-16),(7.04,-2.7193314e-16),(7.05,-2.2081682e-16),(7.06,-1.791902e-16),(7.07,-1.4531434e-16),(7.08,-1.177646e-16),(7.09,-9.5374691e-17),(7.1,-7.7190457e-17),(7.11,-6.2431844e-17),(7.12,-5.0461574e-17),(7.13,-4.0759374e-17),(7.14,-3.2900787e-17),(7.15,-2.6539769e-17),(7.16,-2.1394398e-17),(7.17,-1.723515e-17),(7.18,-1.3875292e-17),(7.19,-1.1163008e-17),(7.2,-8.974958e-18),(7.21,-7.2110029e-18),(7.22,-5.7898987e-18),(7.23,-4.6457765e-18),(7.24,-3.7252696e-18),(7.25,-2.9851706e-18),(7.26,-2.3905215e-18),(7.27,-1.9130582e-18),(7.28,-1.5299448e-18),(7.29,-1.2227435e-18),(7.3,-9.7657818e-19),(7.31,-7.7945437e-19),(7.32,-6.2170793e-19),(7.33,-4.9555761e-19),(7.34,-3.9474252e-19),(7.35,-3.1422859e-19),(7.36,-2.4997093e-19),(7.37,-1.9872172e-19),(7.38,-1.5787494e-19),(7.39,-1.2534097e-19),(7.4,-9.9445449e-20),(7.41,-7.8847657e-20),(7.42,-6.2474771e-20),(7.43,-4.9468935e-20),(7.44,-3.9144654e-20),(7.45,-3.0954539e-20),(7.46,-2.446179e-20),(7.47,-1.9318087e-20),(7.48,-1.5245862e-20),(7.49,-1.202408e-20),(7.5,-9.4768432e-21),(7.51,-7.4642733e-21),(7.52,-5.8752094e-21),(7.53,-4.6213743e-21),(7.54,-3.6327116e-21),(7.55,-2.8536629e-21),(7.56,-2.240198e-21),(7.57,-1.7574464e-21),(7.58,-1.3778114e-21),(7.59,-1.0794671e-21),(7.6,-8.4516399e-22),(7.61,-6.6127871e-22),(7.62,-5.1705895e-22),(7.63,-4.0402434e-22),(7.64,-3.1549099e-22),(7.65,-2.461945e-22),(7.66,-1.9199135e-22),(7.67,-1.4962251e-22),(7.68,-1.1652636e-22),(7.69,-9.0690822e-23),(7.7,-7.0536587e-23),(7.71,-5.4824855e-23),(7.72,-4.258459e-23),(7.73,-3.305517e-23),(7.74,-2.5641194e-23),(7.75,-1.9876917e-23),(7.76,-1.5398263e-23),(7.77,-1.1920826e-23),(7.78,-9.2225902e-24),(7.79,-7.1303589e-24),(7.8,-5.5091143e-24),(7.81,-4.2536729e-24),(7.82,-3.2821492e-24),(7.83,-2.5308386e-24),(7.84,-1.950215e-24),(7.85,-1.5018012e-24),(7.86,-1.1557245e-24),(7.87,-8.8880823e-25),(7.88,-6.830834e-25),(7.89,-5.2462779e-25),(7.9,-4.0266209e-25),(7.91,-3.0884608e-25),(7.92,-2.3673111e-25),(7.93,-1.8133451e-25),(7.94,-1.3880896e-25),(7.95,-1.0618579e-25),(7.96,-8.1175913e-26),(7.97,-6.2015443e-26),(7.98,-4.7346121e-26),(7.99,-3.6122752e-26),(8,-2.7541597e-26),(8.01,-2.0985016e-26),(8.02,-1.5978696e-26),(8.03,-1.2158647e-26),(8.04,-9.2457261e-27),(8.05,-7.0260084e-27),(8.06,-5.3356603e-27),(8.07,-4.049296e-27),(8.08,-3.0710207e-27),(8.09,-2.3275436e-27),(8.1,-1.7628881e-27),(8.11,-1.3343309e-27),(8.12,-1.0092858e-27),(8.13,-7.6291585e-28),(8.14,-5.763031e-28),(8.15,-4.3504794e-28),(8.16,-3.2819739e-28),(8.17,-2.4742579e-28),(8.18,-1.864089e-28),(8.19,-1.4034604e-28),(8.2,-1.0559552e-28),(8.21,-7.9396741e-29),(8.22,-5.9658411e-29),(8.23,-4.4797369e-29),(8.24,-3.3615933e-29),(8.25,-2.5208653e-29),(8.26,-1.8891478e-29),(8.27,-1.4147967e-29),(8.28,-1.0588489e-29),(8.29,-7.9192805e-30),(8.3,-5.9190129e-30),(8.31,-4.4210421e-30),(8.32,-3.2999839e-30),(8.33,-2.4615621e-30),(8.34,-1.8349388e-30),(8.35,-1.3669234e-30),(8.36,-1.0176034e-30),(8.37,-7.570503e-31),(8.38,-5.628371e-31),(8.39,-4.1816963e-31),(8.4,-3.104803e-31),(8.41,-2.3037079e-31),(8.42,-1.7081757e-31),(8.43,-1.2657545e-31),(8.44,-9.3729906e-32),(8.45,-6.9361532e-32),(8.46,-5.1294517e-32),(8.47,-3.790836e-32),(8.48,-2.7996956e-32),(8.49,-2.066324e-32),(8.5,-1.524045e-32),(8.51,-1.1233341e-32),(8.52,-8.2743111e-33),(8.53,-6.0906903e-33),(8.54,-4.4803605e-33),(8.55,-3.2936023e-33),(8.56,-2.4195863e-33),(8.57,-1.7763267e-33),(8.58,-1.3032157e-33),(8.59,-9.5547989e-34),(8.6,-7.0006527e-34),(8.61,-5.1258662e-34),(8.62,-3.7506605e-34),(8.63,-2.7425843e-34),(8.64,-2.0041211e-34),(8.65,-1.4635234e-34),(8.66,-1.0680391e-34),(8.67,-7.789083e-35),(8.68,-5.6767173e-35),(8.69,-4.1344709e-35),(8.7,-3.0092228e-35),(8.71,-2.1887718e-35),(8.72,-1.5909566e-35),(8.73,-1.1556543e-35),(8.74,-8.3889819e-36),(8.75,-6.0855846e-36),(8.76,-4.4117111e-36),(8.77,-3.1961235e-36),(8.78,-2.3139382e-36),(8.79,-1.6741396e-36),(8.8,-1.2104401e-36),(8.81,-8.7459434e-37),(8.82,-6.3151217e-37),(8.83,-4.5568895e-37),(8.84,-3.2859956e-37),(8.85,-2.3679752e-37),(8.86,-1.7052931e-37),(8.87,-1.2272488e-37),(8.88,-8.8262844e-38),(8.89,-6.3435871e-38),(8.9,-4.5562085e-38),(8.91,-3.2702727e-38),(8.92,-2.3457193e-38),(8.93,-1.6814339e-38),(8.94,-1.204468e-38),(8.95,-8.6222853e-39),(8.96,-6.1682393e-39),(8.97,-4.4097272e-39),(8.98,-3.1504596e-39),(8.99,-2.2493021e-39),(9,-1.6048459e-39),(9.01,-1.1442754e-39),(9.02,-8.1534134e-40),(9.03,-5.8057728e-40),(9.04,-4.1313528e-40),(9.05,-2.9378945e-40),(9.06,-2.0878139e-40),(9.07,-1.4827196e-40),(9.08,-1.0522961e-40),(9.09,-7.463259e-41),(9.1,-5.2896965e-41),(9.11,-3.7466631e-41),(9.12,-2.6519797e-41),(9.13,-1.8758902e-41),(9.14,-1.3260389e-41),(9.15,-9.3673509e-42),(9.16,-6.6128543e-42),(9.17,-4.6652269e-42),(9.18,-3.289033e-42),(9.19,-2.317263e-42),(9.2,-1.6315263e-42),(9.21,-1.147954e-42),(9.22,-8.0717278e-43),(9.23,-5.6717904e-43),(9.24,-3.9827723e-43),(9.25,-2.7948752e-43),(9.26,-1.9599771e-43),(9.27,-1.3735713e-43),(9.28,-9.6197335e-44),(9.29,-6.7326572e-44),(9.3,-4.708923e-44),(9.31,-3.2913064e-44),(9.32,-2.2989348e-44),(9.33,-1.6047102e-44),(9.34,-1.1193817e-44),(9.35,-7.8031757e-45),(9.36,-5.4359593e-45),(9.37,-3.7843616e-45),(9.38,-2.632817e-45),(9.39,-1.8304603e-45),(9.4,-1.2717788e-45),(9.41,-8.8302796e-46),(9.42,-6.1270148e-46),(9.43,-4.2484941e-46),(9.44,-2.9439654e-46),(9.45,-2.0386468e-46),(9.46,-1.4107916e-46),(9.47,-9.7565294e-47),(9.48,-6.742787e-47),(9.49,-4.6568807e-47),(9.5,-3.2141222e-47),(9.51,-2.2168752e-47),(9.52,-1.5280294e-47),(9.53,-1.0525282e-47),(9.54,-7.2451498e-48),(9.55,-4.9839374e-48),(9.56,-3.4261737e-48),(9.57,-2.353736e-48),(9.58,-1.615912e-48),(9.59,-1.1086367e-48),(9.6,-7.6010285e-49),(9.61,-5.207953e-49),(9.62,-3.5659341e-49),(9.63,-2.4400075e-49),(9.64,-1.6684783e-49),(9.65,-1.1401488e-49),(9.66,-7.7859943e-50),(9.67,-5.3134695e-50),(9.68,-3.6237136e-50),(9.69,-2.4696824e-50),(9.7,-1.6820539e-50),(9.71,-1.1448544e-50),(9.72,-7.787036e-51),(9.73,-5.2930459e-51),(9.74,-3.5954287e-51),(9.75,-2.4406599e-51),(9.76,-1.6556762e-51),(9.77,-1.1224192e-51),(9.78,-7.6040738e-52),(9.79,-5.1481253e-52),(9.8,-3.4830799e-52),(9.81,-2.3549913e-52),(9.82,-1.5912071e-52),(9.83,-1.0744239e-52),(9.84,-7.2499693e-53),(9.85,-4.8888668e-53),(9.86,-3.2945172e-53),(9.87,-2.2186402e-53),(9.88,-1.4931159e-53),(9.89,-1.0041803e-53),(9.9,-6.7490305e-54),(9.91,-4.5329677e-54),(9.92,-3.0425336e-54),(9.93,-2.0407963e-54),(9.94,-1.3679665e-54),(9.95,-9.16353e-55),(9.96,-6.1342527e-55),(9.97,-4.1036663e-55),(9.98,-2.7434303e-55),(9.99,-1.8328517e-55),(10,0);
UNLOCK TABLES;

--
-- Table structure for table `ILD_00_Brho_Bz`
--

DROP TABLE IF EXISTS `ILD_00_Brho_Bz`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ILD_00_Brho_Bz` (
  `rho_mm` double default NULL,
  `z_mm` double default NULL,
  `Brho` double default NULL,
  `Bz` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ILD_00_Brho_Bz`
--

LOCK TABLES `ILD_00_Brho_Bz` WRITE;
INSERT INTO `ILD_00_Brho_Bz` VALUES (5,5,1e-06,3.6647),(5,15,1e-06,3.6647),(5,25,1e-06,3.6647),(5,35,1e-06,3.6646),(5,45,3e-06,3.6646),(5,55,3e-06,3.6646),(5,65,3e-06,3.6646),(5,75,3e-06,3.6646),(5,85,5e-06,3.6646),(5,95,5e-06,3.6646),(5,105,5e-06,3.6645),(5,115,5e-06,3.6645),(5,125,7e-06,3.6645),(5,135,7e-06,3.6645),(5,145,7e-06,3.6644),(5,155,7e-06,3.6644),(5,165,9e-06,3.6644),(5,175,9e-06,3.6643),(5,185,9e-06,3.6643),(5,195,9e-06,3.6642),(5,205,1.1e-05,3.6642),(5,215,1.1e-05,3.6642),(5,225,1.1e-05,3.6641),(5,235,1.1e-05,3.6641),(5,245,1.4e-05,3.664),(5,255,1.4e-05,3.664),(5,265,1.4e-05,3.6639),(5,275,1.4e-05,3.6638),(5,285,1.6e-05,3.6638),(5,295,1.6e-05,3.6637),(5,305,1.6e-05,3.6636),(5,315,1.6e-05,3.6636),(5,325,1.8e-05,3.6635),(5,335,1.8e-05,3.6634),(5,345,1.8e-05,3.6634),(5,355,1.8e-05,3.6633),(5,365,2e-05,3.6632),(5,375,2e-05,3.6631),(5,385,2e-05,3.663),(5,395,2e-05,3.663),(5,405,2.2e-05,3.6629),(5,415,2.2e-05,3.6628),(5,425,2.2e-05,3.6627),(5,435,2.2e-05,3.6626),(5,445,2.5e-05,3.6625),(5,455,2.5e-05,3.6624),(5,465,2.5e-05,3.6623),(5,475,2.5e-05,3.6622),(5,485,2.7e-05,3.6621),(5,495,2.7e-05,3.662),(5,505,2.7e-05,3.6618),(5,515,2.9e-05,3.6617),(5,525,2.9e-05,3.6616),(5,535,2.9e-05,3.6615),(5,545,2.9e-05,3.6614),(5,555,3.2e-05,3.6612),(5,565,3.2e-05,3.6611),(5,575,3.2e-05,3.661),(5,585,3.2e-05,3.6609),(5,595,3.4e-05,3.6607),(5,605,3.4e-05,3.6606),(5,615,3.4e-05,3.6604),(5,625,3.4e-05,3.6603),(5,635,3.7e-05,3.6602),(5,645,3.7e-05,3.66),(5,655,3.7e-05,3.6599),(5,665,3.7e-05,3.6597),(5,675,3.9e-05,3.6596),(5,685,3.9e-05,3.6594),(5,695,3.9e-05,3.6592),(5,705,3.9e-05,3.6591),(5,715,4.2e-05,3.6589),(5,725,4.2e-05,3.6587),(5,735,4.2e-05,3.6586),(5,745,4.2e-05,3.6584),(5,755,4.4e-05,3.6582),(5,765,4.4e-05,3.658),(5,775,4.4e-05,3.6579),(5,785,4.4e-05,3.6577),(5,795,4.7e-05,3.6575),(5,805,4.7e-05,3.6573),(5,815,4.7e-05,3.6571),(5,825,4.7e-05,3.6569),(5,835,5e-05,3.6567),(5,845,5e-05,3.6565),(5,855,5e-05,3.6563),(5,865,5e-05,3.6561),(5,875,5.3e-05,3.6559),(5,885,5.3e-05,3.6557),(5,895,5.3e-05,3.6555),(5,905,5.3e-05,3.6552),(5,915,5.5e-05,3.655),(5,925,5.5e-05,3.6548),(5,935,5.5e-05,3.6546),(5,945,5.5e-05,3.6543),(5,955,5.8e-05,3.6541),(5,965,5.8e-05,3.6539),(5,975,5.8e-05,3.6536),(5,985,5.8e-05,3.6534),(5,995,6.1e-05,3.6531),(5,1005,6.1e-05,3.6529),(5,1015,6.1e-05,3.6526),(5,1025,6.1e-05,3.6524),(5,1035,6.4e-05,3.6521),(5,1045,6.4e-05,3.6519),(5,1055,6.4e-05,3.6516),(5,1065,6.4e-05,3.6513),(5,1075,6.8e-05,3.6511),(5,1085,6.8e-05,3.6508),(5,1095,6.8e-05,3.6505),(5,1105,6.8e-05,3.6502),(5,1115,7.1e-05,3.6499),(5,1125,7.1e-05,3.6497),(5,1135,7.1e-05,3.6494),(5,1145,7.1e-05,3.6491),(5,1155,7.4e-05,3.6488),(5,1165,7.4e-05,3.6485),(5,1175,7.4e-05,3.6482),(5,1185,7.4e-05,3.6479),(5,1195,7.7e-05,3.6475),(5,1205,7.7e-05,3.6472),(5,1215,7.7e-05,3.6469),(5,1225,7.7e-05,3.6466),(5,1235,8.1e-05,3.6463),(5,1245,8.1e-05,3.6459),(5,1255,8.1e-05,3.6456),(5,1265,8.1e-05,3.6453),(5,1275,8.4e-05,3.6449),(5,1285,8.4e-05,3.6446),(5,1295,8.4e-05,3.6442),(5,1305,8.4e-05,3.6439),(5,1315,8.8e-05,3.6435),(5,1325,8.8e-05,3.6432),(5,1335,8.8e-05,3.6428),(5,1345,8.8e-05,3.6424),(5,1355,9.2e-05,3.6421),(5,1365,9.2e-05,3.6417),(5,1375,9.2e-05,3.6413),(5,1385,9.2e-05,3.6409),(5,1395,9.5e-05,3.6406),(5,1405,9.5e-05,3.6402),(5,1415,9.5e-05,3.6398),(5,1425,9.5e-05,3.6394),(5,1435,9.9e-05,3.639),(5,1445,9.9e-05,3.6386),(5,1455,9.9e-05,3.6382),(5,1465,9.9e-05,3.6378),(5,1475,0.000103,3.6373),(5,1485,0.000103,3.6369),(5,1495,0.000103,3.6365),(5,1505,0.000107,3.6361),(5,1515,0.000107,3.6356),(5,1525,0.000107,3.6352),(5,1535,0.000107,3.6347),(5,1545,0.000111,3.6343),(5,1555,0.000111,3.6338),(5,1565,0.000111,3.6334),(5,1575,0.000111,3.6329),(5,1585,0.000115,3.6325),(5,1595,0.000115,3.632),(5,1605,0.000115,3.6315),(5,1615,0.000115,3.631),(5,1625,0.00012,3.6306),(5,1635,0.00012,3.6301),(5,1645,0.00012,3.6296),(5,1655,0.00012,3.6291),(5,1665,0.000124,3.6286),(5,1675,0.000124,3.6281),(5,1685,0.000124,3.6276),(5,1695,0.000124,3.6271),(5,1705,0.000129,3.6266),(5,1715,0.000129,3.626),(5,1725,0.000129,3.6255),(5,1735,0.000129,3.625),(5,1745,0.000133,3.6244),(5,1755,0.000133,3.6239),(5,1765,0.000133,3.6234),(5,1775,0.000133,3.6228),(5,1785,0.000138,3.6223),(5,1795,0.000138,3.6217),(5,1805,0.000138,3.6211),(5,1815,0.000138,3.6206),(5,1825,0.000143,3.62),(5,1835,0.000143,3.6194),(5,1845,0.000143,3.6188),(5,1855,0.000143,3.6182),(5,1865,0.000147,3.6177),(5,1875,0.000147,3.617),(5,1885,0.000147,3.6164),(5,1895,0.000147,3.6158),(5,1905,0.000152,3.6152),(5,1915,0.000152,3.6146),(5,1925,0.000152,3.614),(5,1935,0.000152,3.6134),(5,1945,0.000157,3.6127),(5,1955,0.000157,3.6121),(5,1965,0.000157,3.6114),(5,1975,0.000157,3.6108),(5,1985,0.000162,3.6101),(5,1995,0.000162,3.6095),(5,2005,0.000162,3.6088),(5,2015,0.000162,3.6081),(5,2025,0.000167,3.6075),(5,2035,0.000167,3.6068),(5,2045,0.000167,3.6061),(5,2055,0.000167,3.6054),(5,2065,0.000173,3.6047),(5,2075,0.000173,3.604),(5,2085,0.000173,3.6033),(5,2095,0.000173,3.6026),(5,2105,0.000178,3.6019),(5,2115,0.000178,3.6012),(5,2125,0.000178,3.6004),(5,2135,0.000178,3.5997),(5,2145,0.000183,3.599),(5,2155,0.000183,3.5982),(5,2165,0.000183,3.5975),(5,2175,0.000183,3.5967),(5,2185,0.000189,3.5959),(5,2195,0.000189,3.5952),(5,2205,0.000189,3.5944),(5,2215,0.000189,3.5936),(5,2225,0.000195,3.5928),(5,2235,0.000195,3.592),(5,2245,0.000195,3.5912),(5,2255,0.000195,3.5904),(5,2265,0.0002,3.5896),(5,2275,0.0002,3.5888),(5,2285,0.0002,3.588),(5,2295,0.0002,3.5872),(5,2305,0.000206,3.5863),(5,2315,0.000206,3.5855),(5,2325,0.000206,3.5847),(5,2335,0.000206,3.5838),(5,2345,0.000212,3.583),(5,2355,0.000212,3.5821),(5,2365,0.000212,3.5812),(5,2375,0.000212,3.5804),(5,2385,0.000219,3.5795),(5,2395,0.000219,3.5786),(5,2405,0.000219,3.5777),(5,2415,0.000219,3.5768),(5,2425,0.000225,3.5759),(5,2435,0.000225,3.575),(5,2445,0.000225,3.5741),(5,2455,0.000225,3.5732),(5,2465,0.000232,3.5722),(5,2475,0.000232,3.5713),(5,2485,0.000232,3.5703),(5,2495,0.000232,3.5694),(5,2505,0.000239,3.5684),(5,2515,0.000239,3.5675),(5,2525,0.000239,3.5665),(5,2535,0.000246,3.5655),(5,2545,0.000246,3.5645),(5,2555,0.000246,3.5635),(5,2565,0.000246,3.5625),(5,2575,0.000254,3.5616),(5,2585,0.000254,3.5605),(5,2595,0.000254,3.5595),(5,2605,0.000254,3.5585),(5,2615,0.000262,3.5575),(5,2625,0.000262,3.5564),(5,2635,0.000262,3.5554),(5,2645,0.000262,3.5543),(5,2655,0.00027,3.5533),(5,2665,0.00027,3.5522),(5,2675,0.00027,3.5511),(5,2685,0.00027,3.55),(5,2695,0.000279,3.5489),(5,2705,0.000279,3.5478),(5,2715,0.000279,3.5467),(5,2725,0.000279,3.5456),(5,2735,0.000289,3.5445),(5,2745,0.000289,3.5433),(5,2755,0.000289,3.5422),(5,2765,0.000289,3.541),(5,2775,0.000299,3.5399),(5,2785,0.000299,3.5387),(5,2795,0.000299,3.5375),(5,2805,0.000299,3.5364),(5,2815,0.000311,3.5352),(5,2825,0.000311,3.5339),(5,2835,0.000311,3.5327),(5,2845,0.000311,3.5315),(5,2855,0.000323,3.5303),(5,2865,0.000323,3.529),(5,2875,0.000323,3.5278),(5,2885,0.000323,3.5265),(5,2895,0.000337,3.5252),(5,2905,0.000337,3.5239),(5,2915,0.000337,3.5226),(5,2925,0.000337,3.5213),(5,2935,0.000353,3.52),(5,2945,0.000353,3.5187),(5,2955,0.000353,3.5173),(5,2965,0.000353,3.516),(5,2975,0.00037,3.5146),(5,2985,0.00037,3.5132),(5,2995,0.00037,3.5118),(5,3005,0.00037,3.5104),(5,3015,0.000389,3.509),(5,3025,0.000389,3.5075),(5,3035,0.000389,3.5061),(5,3045,0.000389,3.5046),(5,3055,0.000412,3.5031),(5,3065,0.000412,3.5016),(5,3075,0.000412,3.5001),(5,3085,0.000412,3.4985),(5,3095,0.000437,3.497),(5,3105,0.000437,3.4954),(5,3115,0.000437,3.4938),(5,3125,0.000437,3.4922),(5,3135,0.000467,3.4906),(5,3145,0.000467,3.4889),(5,3155,0.000467,3.4872),(5,3165,0.000467,3.4855),(5,3175,0.000501,3.4838),(5,3185,0.000501,3.482),(5,3195,0.000501,3.4803),(5,3205,0.000501,3.4785),(5,3215,0.000541,3.4767),(5,3225,0.000541,3.4748),(5,3235,0.000541,3.4729),(5,3245,0.000541,3.471),(5,3255,0.000588,3.4691),(5,3265,0.000588,3.4671),(5,3275,0.000588,3.4651),(5,3285,0.000588,3.4631),(5,3295,0.000644,3.461),(5,3305,0.000644,3.4588),(5,3315,0.000644,3.4567),(5,3325,0.000644,3.4545),(5,3335,0.000712,3.4522),(5,3345,0.000712,3.4499),(5,3355,0.000712,3.4476),(5,3365,0.000712,3.4453),(5,3375,0.000792,3.4428),(5,3385,0.000792,3.4403),(5,3395,0.000792,3.4377),(5,3405,0.000792,3.4352),(5,3415,0.00089,3.4325),(5,3425,0.00089,3.4297),(5,3435,0.00089,3.427),(5,3445,0.00089,3.4242),(5,3455,0.001009,3.4212),(5,3465,0.001009,3.4181),(5,3475,0.001009,3.4151),(5,3485,0.001009,3.412),(5,3495,0.001154,3.4086),(5,3505,0.001154,3.4052),(5,3515,0.001154,3.4018),(5,3525,0.001334,3.3984),(5,3535,0.001334,3.3945),(5,3545,0.001334,3.3907),(5,3555,0.001334,3.3869),(5,3565,0.001556,3.383),(5,3575,0.001556,3.3786),(5,3585,0.001556,3.3743),(5,3595,0.001556,3.3699),(5,3605,0.001832,3.3655),(5,3615,0.001832,3.3605),(5,3625,0.001832,3.355469),(5,3635,0.001832,3.3505),(5,3645,0.002176,3.3453),(5,3655,0.002176,3.3395),(5,3665,0.002176,3.3337),(5,3675,0.002176,3.3279),(5,3685,0.002604,3.3219),(5,3695,0.002604,3.3151),(5,3705,0.002604,3.3084),(5,3715,0.002604,3.3016),(5,3725,0.003132,3.2945),(5,3735,0.003132,3.2865),(5,3745,0.003132,3.2785),(5,3755,0.003132,3.2705),(5,3765,0.003775,3.2621),(5,3775,0.003775,3.2526),(5,3785,0.003775,3.2432),(5,3795,0.003775,3.2337),(5,3805,0.004529,3.2237),(5,3815,0.004529,3.2125),(5,3825,0.004529,3.2013),(5,3835,0.004529,3.1902),(5,3845,0.005357,3.1783),(5,3855,0.005357,3.1652),(5,3865,0.005357,3.1521),(5,3875,0.005357,3.139),(5,3885,0.00614,3.1252),(5,3895,0.00614,3.1102),(5,3905,0.00614,3.0952),(5,3915,0.00614,3.0803),(5,3925,0.009774,3.0606),(5,3935,0.009774,3.0345),(5,3945,0.009774,3.0083),(5,3955,0.009774,2.9822),(5,3965,0.012218,2.9532),(5,3975,0.012218,2.9209),(5,3985,0.012218,2.8885),(5,3995,0.012218,2.8561),(5,4005,0.010679,2.8261),(5,4015,0.010679,2.7984),(5,4025,0.010679,2.7707),(5,4035,0.008456,2.7448),(5,4045,0.008456,2.7227),(5,4055,0.008456,2.7007),(5,4065,0.005819,2.6795),(5,4075,0.005819,2.6639),(5,4085,0.005819,2.6483),(5,4095,0.005819,2.6328),(5,4105,0.003562,2.6227),(5,4115,0.003562,2.6128),(5,4125,0.003562,2.603),(5,4135,0.001678,2.5974),(5,4145,0.001678,2.593),(5,4155,0.001678,2.5886),(5,4165,0.00155,2.5839),(5,4175,0.00155,2.5791),(5,4185,0.00155,2.5742),(5,4195,0.002509,2.5682),(5,4205,0.002509,2.5604),(5,4215,0.002509,2.5527),(5,4225,0.001954,2.5456),(5,4235,0.001954,2.5403),(5,4245,0.001954,2.535),(5,4255,0.001785,2.5298),(5,4265,0.001785,2.5257),(5,4275,0.001785,2.5216),(5,4285,0.001785,2.5175),(5,4295,0.001435,2.5143),(5,4305,0.001435,2.5111),(5,4315,0.001435,2.508),(5,4325,0.006394,2.4947),(5,4335,0.006394,2.4773),(5,4345,0.006394,2.4599),(5,4355,0.005354,2.4443),(5,4365,0.005354,2.4302),(5,4375,0.005354,2.4161),(5,4385,0.003718,2.4039),(5,4395,0.003718,2.3948),(5,4405,0.003718,2.3857),(5,4415,0.001761,2.3777),(5,4425,0.001761,2.3742),(5,4435,0.001761,2.3708),(5,4445,0.003114,2.3673),(5,4455,0.003114,2.3586),(5,4465,0.003114,2.3499),(5,4475,0.003114,2.3413),(5,4485,0.004579,2.3293),(5,4495,0.004579,2.3167),(5,4505,0.004579,2.3041),(5,4515,0.001947,2.2961),(5,4525,0.001947,2.2906),(5,4535,0.001947,2.2851),(5,4545,-0.000997,2.2834),(5,4555,-0.000997,2.2857),(5,4565,-0.000997,2.288),(5,4575,0.000571,2.2892),(5,4585,0.000571,2.2874),(5,4595,0.000571,2.2856),(5,4605,0.002145,2.2832),(5,4615,0.002145,2.2765),(5,4625,0.002145,2.2697),(5,4635,0.002145,2.2629),(5,4645,0.001021,2.2589),(5,4655,0.001021,2.2551),(5,4665,0.001021,2.2513),(5,4675,-0.000827,2.2518),(5,4685,-0.000827,2.2538),(5,4695,-0.000827,2.2557),(5,4705,-0.000372,2.2575),(5,4715,-0.000372,2.2591),(5,4725,-0.000372,2.2608),(5,4735,0.003984,2.2572),(5,4745,0.003984,2.2457),(5,4755,0.003984,2.2343),(5,4765,0.002385,2.2236),(5,4775,0.002385,2.2159),(5,4785,0.002385,2.2081),(5,4795,-0.002004,2.2009),(5,4805,-0.002004,2.2044),(5,4815,-0.002004,2.2079),(5,4825,-0.002004,2.2114),(5,4835,-0.003604,2.2193),(5,4845,-0.003604,2.2279),(5,4855,-0.003604,2.2365),(5,4865,0.001958,2.2349),(5,4875,0.001958,2.2286),(5,4885,0.001958,2.2224),(5,4895,0.005677,2.2108),(5,4905,0.005677,2.194),(5,4915,0.005677,2.1773),(5,4925,0.001873,2.1641),(5,4935,0.001873,2.158),(5,4945,0.001873,2.152),(5,4955,-0.001817,2.1475),(5,4965,-0.001817,2.1517),(5,4975,-0.001817,2.1558),(5,4985,-0.001817,2.16),(5,4995,-0.000747,2.162),(5,5005,-0.000747,2.164),(5,5015,-0.000747,2.1659),(5,5025,-0.001762,2.167),(5,5035,-0.001762,2.168),(5,5045,-0.001762,2.1689),(5,5055,-0.007807,2.1781),(5,5065,-0.007807,2.1924),(5,5075,-0.007807,2.2068),(5,5085,-0.012936,2.2267),(5,5095,-0.012936,2.2537),(5,5105,-0.012936,2.2807),(5,5115,-0.008326,2.3055),(5,5125,-0.008326,2.3241),(5,5135,-0.008326,2.3428),(5,5145,0.004487,2.3587),(5,5155,0.004487,2.3462),(5,5165,0.004487,2.3337),(5,5175,0.004487,2.3212),(5,5185,0.009587,2.2965),(5,5195,0.009587,2.2704),(5,5205,0.009587,2.2444),(5,5215,0.004923,2.2266),(5,5225,0.004923,2.2119),(5,5235,0.004923,2.1972),(5,5245,-0.0013,2.1907),(5,5255,-0.0013,2.1909),(5,5265,-0.0013,2.1912),(5,5275,0.000335,2.191),(5,5285,0.000335,2.1901),(5,5295,0.000335,2.1891),(5,5305,0.002399,2.1867),(5,5315,0.002399,2.1785),(5,5325,0.002399,2.1703),(5,5335,-0.00307,2.1622),(5,5345,-0.00307,2.1659),(5,5355,-0.00307,2.1697),(5,5365,-0.00307,2.1734),(5,5375,-0.011879,2.1938),(5,5385,-0.011879,2.2175),(5,5395,-0.011879,2.2411),(5,5405,-0.004498,2.2556),(5,5415,-0.004498,2.2652),(5,5425,-0.004498,2.2749),(5,5435,0.011393,2.2657),(5,5445,0.011393,2.236),(5,5455,0.011393,2.2063),(5,5465,0.017696,2.1723),(5,5475,0.017696,2.1281),(5,5485,0.017696,2.0839),(5,5495,0.017079,2.0399),(5,5505,0.017079,1.9976),(5,5515,0.017079,1.9552),(5,5525,0.017079,1.9129),(5,5535,0.015139,1.875),(5,5545,0.015139,1.8374),(5,5555,0.015139,1.7997),(5,5565,0.012407,1.7663),(5,5575,0.012407,1.7342),(5,5585,0.012407,1.702),(5,5595,0.009604,1.6732),(5,5605,0.009604,1.6465),(5,5615,0.009604,1.6199),(5,5625,0.007181,1.5951),(5,5635,0.007181,1.5729),(5,5645,0.007181,1.5507),(5,5655,0.005317,1.5292),(5,5665,0.005317,1.5102),(5,5675,0.005317,1.4911),(5,5685,0.003919,1.4722),(5,5695,0.003919,1.4555),(5,5705,0.003919,1.4388),(5,5715,0.003919,1.4221),(5,5725,0.002817,1.4067),(5,5735,0.002817,1.3914),(5,5745,0.002817,1.3762),(5,5755,0.001872,1.3618),(5,5765,0.001872,1.3477),(5,5775,0.001872,1.3336),(5,5785,0.000936,1.3201),(5,5795,0.000936,1.3071),(5,5805,0.000936,1.2941),(5,5815,-7.3e-05,1.2815),(5,5825,-7.3e-05,1.2696),(5,5835,-7.3e-05,1.2578),(5,5845,-0.001202,1.2463),(5,5855,-0.001202,1.236),(5,5865,-0.001202,1.2258),(5,5875,-0.001202,1.2155),(5,5885,-0.002472,1.2072),(5,5895,-0.002472,1.1988),(5,5905,-0.002472,1.1905),(5,5915,-0.003799,1.1838),(5,5925,-0.003799,1.1776),(5,5935,-0.003799,1.1713),(5,5945,-0.004992,1.1663),(5,5955,-0.004992,1.162),(5,5965,-0.004992,1.1578),(5,5975,-0.005708,1.154),(5,5985,-0.005708,1.1509),(5,5995,-0.005708,1.1478),(5,6005,-0.000708,1.1455),(5,6015,-0.000708,1.1453),(5,6025,-0.000708,1.1451),(5,6035,0.006255,1.1429),(5,6045,0.006255,1.1219),(5,6055,0.006255,1.1009),(5,6065,0.006255,1.0798),(5,6075,0.008223,1.052),(5,6085,0.008223,1.0235),(5,6095,0.008223,0.99503),(5,6105,0.00789,0.96869),(5,6115,0.00789,0.94312),(5,6125,0.00789,0.91754),(5,6135,0.007169,0.89252),(5,6145,0.007169,0.86793),(5,6155,0.007169,0.84334),(5,6165,0.006364,0.8193),(5,6175,0.006364,0.79614),(5,6185,0.006364,0.77297),(5,6195,0.005609,0.75002),(5,6205,0.005609,0.72787),(5,6215,0.005609,0.70572),(5,6225,0.005039,0.6836),(5,6235,0.005039,0.66261),(5,6245,0.005039,0.64163),(5,6255,0.005039,0.62064),(5,6265,0.004614,0.6009),(5,6275,0.004614,0.58138),(5,6285,0.004614,0.56186),(5,6295,0.004234,0.54272),(5,6305,0.004234,0.52376),(5,6315,0.004234,0.5048),(5,6325,0.003927,0.48618),(5,6335,0.003927,0.46791),(5,6345,0.003927,0.44965),(5,6355,0.003659,0.43155),(5,6365,0.003659,0.41384),(5,6375,0.003659,0.39612),(5,6385,0.003429,0.37845),(5,6395,0.003429,0.36106),(5,6405,0.003429,0.34367),(5,6415,0.003429,0.32628),(5,6425,0.003262,0.30918),(5,6435,0.003262,0.29209),(5,6445,0.003262,0.27501),(5,6455,0.003156,0.25814),(5,6465,0.003156,0.24134),(5,6475,0.003156,0.22454),(5,6485,0.003084,0.20788),(5,6495,0.003084,0.19132),(5,6505,0.003084,0.17476),(5,6515,0.00303,0.15826),(5,6525,0.00303,0.14185),(5,6535,0.00303,0.12543),(5,6545,0.002992,0.10904),(5,6555,0.002992,0.092716),(5,6565,0.002992,0.076388),(5,6575,0.002967,0.060064),(5,6585,0.002967,0.043776),(5,6595,0.002967,0.027489),(5,6605,0.002967,0.011201),(5,6615,1e-06,0.009366),(5,6625,1e-06,0.009387),(5,6635,1e-06,0.009409),(5,6645,1e-06,0.009411),(5,6655,1e-06,0.009405),(5,6665,1e-06,0.0094),(5,6675,1e-06,0.009395),(5,6685,1e-06,0.00939),(5,6695,1e-06,0.009385),(5,6705,1e-06,0.009381),(5,6715,1e-06,0.009376),(5,6725,1e-06,0.00937),(5,6735,1e-06,0.009365),(5,6745,1e-06,0.009359),(5,6755,1e-06,0.009352),(5,6765,1e-06,0.009346),(5,6775,1e-06,0.00934),(5,6785,1e-06,0.009335),(5,6795,1e-06,0.00933),(5,6805,1e-06,0.009324),(5,6815,1e-06,0.009319),(5,6825,1e-06,0.009313),(5,6835,1e-06,0.009307),(5,6845,1e-06,0.009301),(5,6855,1e-06,0.009295),(5,6865,1e-06,0.009289),(5,6875,1e-06,0.009283),(5,6885,1e-06,0.009277),(5,6895,1e-06,0.009271),(5,6905,1e-06,0.009264),(5,6915,1e-06,0.009258),(5,6925,2e-06,0.009252),(5,6935,2e-06,0.009246),(5,6945,2e-06,0.009239),(5,6955,2e-06,0.009233),(5,6965,2e-06,0.009227),(5,6975,2e-06,0.00922),(5,6985,2e-06,0.009214),(15,5,3e-06,3.6647),(15,15,3e-06,3.6647),(15,25,3e-06,3.6647),(15,35,3e-06,3.6646),(15,45,9e-06,3.6646),(15,55,9e-06,3.6646),(15,65,9e-06,3.6646),(15,75,9e-06,3.6646),(15,85,1.5e-05,3.6646),(15,95,1.5e-05,3.6646),(15,105,1.5e-05,3.6645),(15,115,1.5e-05,3.6645),(15,125,2.2e-05,3.6645),(15,135,2.2e-05,3.6645),(15,145,2.2e-05,3.6644),(15,155,2.2e-05,3.6644),(15,165,2.8e-05,3.6644),(15,175,2.8e-05,3.6643),(15,185,2.8e-05,3.6643),(15,195,2.8e-05,3.6642),(15,205,3.4e-05,3.6642),(15,215,3.4e-05,3.6642),(15,225,3.4e-05,3.6641),(15,235,3.4e-05,3.6641),(15,245,4.1e-05,3.664),(15,255,4.1e-05,3.664),(15,265,4.1e-05,3.6639),(15,275,4.1e-05,3.6638),(15,285,4.8e-05,3.6638),(15,295,4.8e-05,3.6637),(15,305,4.8e-05,3.6636),(15,315,4.8e-05,3.6636),(15,325,5.4e-05,3.6635),(15,335,5.4e-05,3.6634),(15,345,5.4e-05,3.6634),(15,355,5.4e-05,3.6633),(15,365,6.1e-05,3.6632),(15,375,6.1e-05,3.6631),(15,385,6.1e-05,3.663),(15,395,6.1e-05,3.663),(15,405,6.7e-05,3.6629),(15,415,6.7e-05,3.6628),(15,425,6.7e-05,3.6627),(15,435,6.7e-05,3.6626),(15,445,7.4e-05,3.6625),(15,455,7.4e-05,3.6624),(15,465,7.4e-05,3.6623),(15,475,7.4e-05,3.6622),(15,485,8.1e-05,3.6621),(15,495,8.1e-05,3.662),(15,505,8.1e-05,3.6618),(15,515,8.8e-05,3.6617),(15,525,8.8e-05,3.6616),(15,535,8.8e-05,3.6615),(15,545,8.8e-05,3.6614),(15,555,9.5e-05,3.6612),(15,565,9.5e-05,3.6611),(15,575,9.5e-05,3.661),(15,585,9.5e-05,3.6609),(15,595,0.000102,3.6607),(15,605,0.000102,3.6606),(15,615,0.000102,3.6604),(15,625,0.000102,3.6603),(15,635,0.00011,3.6602),(15,645,0.00011,3.66),(15,655,0.00011,3.6599),(15,665,0.00011,3.6597),(15,675,0.000117,3.6596),(15,685,0.000117,3.6594),(15,695,0.000117,3.6592),(15,705,0.000117,3.6591),(15,715,0.000125,3.6589),(15,725,0.000125,3.6587),(15,735,0.000125,3.6586),(15,745,0.000125,3.6584),(15,755,0.000133,3.6582),(15,765,0.000133,3.658),(15,775,0.000133,3.6579),(15,785,0.000133,3.6577),(15,795,0.000141,3.6575),(15,805,0.000141,3.6573),(15,815,0.000141,3.6571),(15,825,0.000141,3.6569),(15,835,0.000149,3.6567),(15,845,0.000149,3.6565),(15,855,0.000149,3.6563),(15,865,0.000149,3.6561),(15,875,0.000158,3.6559),(15,885,0.000158,3.6557),(15,895,0.000158,3.6555),(15,905,0.000158,3.6552),(15,915,0.000166,3.655),(15,925,0.000166,3.6548),(15,935,0.000166,3.6546),(15,945,0.000166,3.6543),(15,955,0.000175,3.6541),(15,965,0.000175,3.6539),(15,975,0.000175,3.6536),(15,985,0.000175,3.6534),(15,995,0.000184,3.6531),(15,1005,0.000184,3.6529),(15,1015,0.000184,3.6526),(15,1025,0.000184,3.6524),(15,1035,0.000193,3.6521),(15,1045,0.000193,3.6519),(15,1055,0.000193,3.6516),(15,1065,0.000193,3.6513),(15,1075,0.000203,3.6511),(15,1085,0.000203,3.6508),(15,1095,0.000203,3.6505),(15,1105,0.000203,3.6502),(15,1115,0.000212,3.6499),(15,1125,0.000212,3.6497),(15,1135,0.000212,3.6494),(15,1145,0.000212,3.6491),(15,1155,0.000222,3.6488),(15,1165,0.000222,3.6485),(15,1175,0.000222,3.6482),(15,1185,0.000222,3.6479),(15,1195,0.000232,3.6475),(15,1205,0.000232,3.6472),(15,1215,0.000232,3.6469),(15,1225,0.000232,3.6466),(15,1235,0.000243,3.6463),(15,1245,0.000243,3.6459),(15,1255,0.000243,3.6456),(15,1265,0.000243,3.6453),(15,1275,0.000253,3.6449),(15,1285,0.000253,3.6446),(15,1295,0.000253,3.6442),(15,1305,0.000253,3.6439),(15,1315,0.000264,3.6435),(15,1325,0.000264,3.6432),(15,1335,0.000264,3.6428),(15,1345,0.000264,3.6424),(15,1355,0.000275,3.6421),(15,1365,0.000275,3.6417),(15,1375,0.000275,3.6413),(15,1385,0.000275,3.6409),(15,1395,0.000286,3.6406),(15,1405,0.000286,3.6402),(15,1415,0.000286,3.6398),(15,1425,0.000286,3.6394),(15,1435,0.000298,3.639),(15,1445,0.000298,3.6386),(15,1455,0.000298,3.6382),(15,1465,0.000298,3.6378),(15,1475,0.00031,3.6373),(15,1485,0.00031,3.6369),(15,1495,0.00031,3.6365),(15,1505,0.000322,3.6361),(15,1515,0.000322,3.6356),(15,1525,0.000322,3.6352),(15,1535,0.000322,3.6347),(15,1545,0.000334,3.6343),(15,1555,0.000334,3.6338),(15,1565,0.000334,3.6334),(15,1575,0.000334,3.6329),(15,1585,0.000346,3.6325),(15,1595,0.000346,3.632),(15,1605,0.000346,3.6315),(15,1615,0.000346,3.631),(15,1625,0.000359,3.6306),(15,1635,0.000359,3.6301),(15,1645,0.000359,3.6296),(15,1655,0.000359,3.6291),(15,1665,0.000372,3.6286),(15,1675,0.000372,3.6281),(15,1685,0.000372,3.6276),(15,1695,0.000372,3.6271),(15,1705,0.000386,3.6266),(15,1715,0.000386,3.626),(15,1725,0.000386,3.6255),(15,1735,0.000386,3.625),(15,1745,0.0004,3.6244),(15,1755,0.0004,3.6239),(15,1765,0.0004,3.6234),(15,1775,0.0004,3.6228),(15,1785,0.000414,3.6223),(15,1795,0.000414,3.6217),(15,1805,0.000414,3.6211),(15,1815,0.000414,3.6206),(15,1825,0.000428,3.62),(15,1835,0.000428,3.6194),(15,1845,0.000428,3.6188),(15,1855,0.000428,3.6182),(15,1865,0.000442,3.6177),(15,1875,0.000442,3.617),(15,1885,0.000442,3.6164),(15,1895,0.000442,3.6158),(15,1905,0.000456,3.6152),(15,1915,0.000456,3.6146),(15,1925,0.000456,3.614),(15,1935,0.000456,3.6134),(15,1945,0.000471,3.6127),(15,1955,0.000471,3.6121),(15,1965,0.000471,3.6114),(15,1975,0.000471,3.6108),(15,1985,0.000486,3.6101),(15,1995,0.000486,3.6095),(15,2005,0.000486,3.6088),(15,2015,0.000486,3.6081),(15,2025,0.000502,3.6075),(15,2035,0.000502,3.6068),(15,2045,0.000502,3.6061),(15,2055,0.000502,3.6054),(15,2065,0.000518,3.6047),(15,2075,0.000518,3.604),(15,2085,0.000518,3.6033),(15,2095,0.000518,3.6026),(15,2105,0.000534,3.6019),(15,2115,0.000534,3.6012),(15,2125,0.000534,3.6004),(15,2135,0.000534,3.5997),(15,2145,0.00055,3.599),(15,2155,0.00055,3.5982),(15,2165,0.00055,3.5975),(15,2175,0.00055,3.5967),(15,2185,0.000567,3.5959),(15,2195,0.000567,3.5952),(15,2205,0.000567,3.5944),(15,2215,0.000567,3.5936),(15,2225,0.000584,3.5928),(15,2235,0.000584,3.592),(15,2245,0.000584,3.5912),(15,2255,0.000584,3.5904),(15,2265,0.000601,3.5896),(15,2275,0.000601,3.5888),(15,2285,0.000601,3.588),(15,2295,0.000601,3.5872),(15,2305,0.000619,3.5863),(15,2315,0.000619,3.5855),(15,2325,0.000619,3.5847),(15,2335,0.000619,3.5838),(15,2345,0.000637,3.583),(15,2355,0.000637,3.5821),(15,2365,0.000637,3.5812),(15,2375,0.000637,3.5804),(15,2385,0.000656,3.5795),(15,2395,0.000656,3.5786),(15,2405,0.000656,3.5777),(15,2415,0.000656,3.5768),(15,2425,0.000676,3.5759),(15,2435,0.000676,3.575),(15,2445,0.000676,3.5741),(15,2455,0.000676,3.5732),(15,2465,0.000696,3.5722),(15,2475,0.000696,3.5713),(15,2485,0.000696,3.5703),(15,2495,0.000696,3.5694),(15,2505,0.000717,3.5684),(15,2515,0.000717,3.5675),(15,2525,0.000717,3.5665),(15,2535,0.000738,3.5655),(15,2545,0.000738,3.5645),(15,2555,0.000738,3.5635),(15,2565,0.000738,3.5625),(15,2575,0.000761,3.5616),(15,2585,0.000761,3.5605),(15,2595,0.000761,3.5595),(15,2605,0.000761,3.5585),(15,2615,0.000785,3.5575),(15,2625,0.000785,3.5564),(15,2635,0.000785,3.5554),(15,2645,0.000785,3.5543),(15,2655,0.00081,3.5533),(15,2665,0.00081,3.5522),(15,2675,0.00081,3.5511),(15,2685,0.00081,3.55),(15,2695,0.000838,3.5489),(15,2705,0.000838,3.5478),(15,2715,0.000838,3.5467),(15,2725,0.000838,3.5456),(15,2735,0.000867,3.5445),(15,2745,0.000867,3.5433),(15,2755,0.000867,3.5422),(15,2765,0.000867,3.541),(15,2775,0.000898,3.5399),(15,2785,0.000898,3.5387),(15,2795,0.000898,3.5375),(15,2805,0.000898,3.5364),(15,2815,0.000933,3.5352),(15,2825,0.000933,3.5339),(15,2835,0.000933,3.5327),(15,2845,0.000933,3.5315),(15,2855,0.00097,3.5303),(15,2865,0.00097,3.529),(15,2875,0.00097,3.5278),(15,2885,0.00097,3.5265),(15,2895,0.001012,3.5252),(15,2905,0.001012,3.5239),(15,2915,0.001012,3.5226),(15,2925,0.001012,3.5213),(15,2935,0.001058,3.52),(15,2945,0.001058,3.5187),(15,2955,0.001058,3.5173),(15,2965,0.001058,3.516),(15,2975,0.00111,3.5146),(15,2985,0.00111,3.5132),(15,2995,0.00111,3.5118),(15,3005,0.00111,3.5104),(15,3015,0.001168,3.509),(15,3025,0.001168,3.5075),(15,3035,0.001168,3.5061),(15,3045,0.001168,3.5046),(15,3055,0.001235,3.5031),(15,3065,0.001235,3.5016),(15,3075,0.001235,3.5001),(15,3085,0.001235,3.4985),(15,3095,0.001311,3.497),(15,3105,0.001311,3.4954),(15,3115,0.001311,3.4938),(15,3125,0.001311,3.4922),(15,3135,0.0014,3.4906),(15,3145,0.0014,3.4889),(15,3155,0.0014,3.4872),(15,3165,0.0014,3.4855),(15,3175,0.001502,3.4838),(15,3185,0.001502,3.482),(15,3195,0.001502,3.4803),(15,3205,0.001502,3.4785),(15,3215,0.001623,3.4767),(15,3225,0.001623,3.4748),(15,3235,0.001623,3.4729),(15,3245,0.001623,3.471),(15,3255,0.001765,3.4691),(15,3265,0.001765,3.4671),(15,3275,0.001765,3.4651),(15,3285,0.001765,3.4631),(15,3295,0.001933,3.461),(15,3305,0.001933,3.4588),(15,3315,0.001933,3.4567),(15,3325,0.001933,3.4545),(15,3335,0.002135,3.4522),(15,3345,0.002135,3.4499),(15,3355,0.002135,3.4476),(15,3365,0.002135,3.4453),(15,3375,0.002377,3.4428),(15,3385,0.002377,3.4403),(15,3395,0.002377,3.4377),(15,3405,0.002377,3.4352),(15,3415,0.00267,3.4325),(15,3425,0.00267,3.4297),(15,3435,0.00267,3.427),(15,3445,0.00267,3.4242),(15,3455,0.003027,3.4212),(15,3465,0.003027,3.4181),(15,3475,0.003027,3.4151),(15,3485,0.003027,3.412),(15,3495,0.003463,3.4086),(15,3505,0.003463,3.4052),(15,3515,0.003463,3.4018),(15,3525,0.004002,3.3984),(15,3535,0.004002,3.3945),(15,3545,0.004002,3.3907),(15,3555,0.004002,3.3869),(15,3565,0.004668,3.383),(15,3575,0.004668,3.3786),(15,3585,0.004668,3.3743),(15,3595,0.004668,3.3699),(15,3605,0.005497,3.3655),(15,3615,0.005497,3.3605),(15,3625,0.005497,3.355469),(15,3635,0.005497,3.3505),(15,3645,0.006528,3.3453),(15,3655,0.006528,3.3395),(15,3665,0.006528,3.3337),(15,3675,0.006528,3.3279),(15,3685,0.007812,3.3219),(15,3695,0.007812,3.3151),(15,3705,0.007812,3.3084),(15,3715,0.007812,3.3016),(15,3725,0.009397,3.2945),(15,3735,0.009397,3.2865),(15,3745,0.009397,3.2785),(15,3755,0.009397,3.2705),(15,3765,0.011324,3.2621),(15,3775,0.011324,3.2526),(15,3785,0.011324,3.2432),(15,3795,0.011324,3.2337),(15,3805,0.013588,3.2237),(15,3815,0.013588,3.2125),(15,3825,0.013588,3.2013),(15,3835,0.013588,3.1902),(15,3845,0.016071,3.1783),(15,3855,0.016071,3.1652),(15,3865,0.016071,3.1521),(15,3875,0.016071,3.139),(15,3885,0.018419,3.1252),(15,3895,0.018419,3.1102),(15,3905,0.018419,3.0952),(15,3915,0.018419,3.0803),(15,3925,0.029323,3.0606),(15,3935,0.029323,3.0345),(15,3945,0.029323,3.0083),(15,3955,0.029323,2.9822),(15,3965,0.036654,2.9532),(15,3975,0.036654,2.9209),(15,3985,0.036654,2.8885),(15,3995,0.036654,2.8561),(15,4005,0.032036,2.8261),(15,4015,0.032036,2.7984),(15,4025,0.032036,2.7707),(15,4035,0.025368,2.7448),(15,4045,0.025368,2.7227),(15,4055,0.025368,2.7007),(15,4065,0.017457,2.6795),(15,4075,0.017457,2.6639),(15,4085,0.017457,2.6483),(15,4095,0.017457,2.6328),(15,4105,0.010686,2.6227),(15,4115,0.010686,2.6128),(15,4125,0.010686,2.603),(15,4135,0.005035,2.5974),(15,4145,0.005035,2.593),(15,4155,0.005035,2.5886),(15,4165,0.004651,2.5839),(15,4175,0.004651,2.5791),(15,4185,0.004651,2.5742),(15,4195,0.007526,2.5682),(15,4205,0.007526,2.5604),(15,4215,0.007526,2.5527),(15,4225,0.005863,2.5456),(15,4235,0.005863,2.5403),(15,4245,0.005863,2.535),(15,4255,0.005357,2.5298),(15,4265,0.005357,2.5257),(15,4275,0.005357,2.5216),(15,4285,0.005357,2.5175),(15,4295,0.004305,2.5143),(15,4305,0.004305,2.5111),(15,4315,0.004305,2.508),(15,4325,0.019183,2.4947),(15,4335,0.019183,2.4773),(15,4345,0.019183,2.4599),(15,4355,0.016063,2.4443),(15,4365,0.016063,2.4302),(15,4375,0.016063,2.4161),(15,4385,0.011153,2.4039),(15,4395,0.011153,2.3948),(15,4405,0.011153,2.3857),(15,4415,0.005284,2.3777),(15,4425,0.005284,2.3742),(15,4435,0.005284,2.3708),(15,4445,0.009342,2.3673),(15,4455,0.009342,2.3586),(15,4465,0.009342,2.3499),(15,4475,0.009342,2.3413),(15,4485,0.013738,2.3293),(15,4495,0.013738,2.3167),(15,4505,0.013738,2.3041),(15,4515,0.00584,2.2961),(15,4525,0.00584,2.2906),(15,4535,0.00584,2.2851),(15,4545,-0.00299,2.2834),(15,4555,-0.00299,2.2857),(15,4565,-0.00299,2.288),(15,4575,0.001712,2.2892),(15,4585,0.001712,2.2874),(15,4595,0.001712,2.2856),(15,4605,0.006435,2.2832),(15,4615,0.006435,2.2765),(15,4625,0.006435,2.2697),(15,4635,0.006435,2.2629),(15,4645,0.003064,2.2589),(15,4655,0.003064,2.2551),(15,4665,0.003064,2.2513),(15,4675,-0.002482,2.2518),(15,4685,-0.002482,2.2538),(15,4695,-0.002482,2.2557),(15,4705,-0.001116,2.2575),(15,4715,-0.001116,2.2591),(15,4725,-0.001116,2.2608),(15,4735,0.011953,2.2572),(15,4745,0.011953,2.2457),(15,4755,0.011953,2.2343),(15,4765,0.007155,2.2236),(15,4775,0.007155,2.2159),(15,4785,0.007155,2.2081),(15,4795,-0.006013,2.2009),(15,4805,-0.006013,2.2044),(15,4815,-0.006013,2.2079),(15,4825,-0.006013,2.2114),(15,4835,-0.010813,2.2193),(15,4845,-0.010813,2.2279),(15,4855,-0.010813,2.2365),(15,4865,0.005873,2.2349),(15,4875,0.005873,2.2286),(15,4885,0.005873,2.2224),(15,4895,0.017031,2.2108),(15,4905,0.017031,2.194),(15,4915,0.017031,2.1773),(15,4925,0.005619,2.1641),(15,4935,0.005619,2.158),(15,4945,0.005619,2.152),(15,4955,-0.005452,2.1475),(15,4965,-0.005452,2.1517),(15,4975,-0.005452,2.1558),(15,4985,-0.005452,2.16),(15,4995,-0.002242,2.162),(15,5005,-0.002242,2.164),(15,5015,-0.002242,2.1659),(15,5025,-0.005286,2.167),(15,5035,-0.005286,2.168),(15,5045,-0.005286,2.1689),(15,5055,-0.023421,2.1781),(15,5065,-0.023421,2.1924),(15,5075,-0.023421,2.2068),(15,5085,-0.038808,2.2267),(15,5095,-0.038808,2.2537),(15,5105,-0.038808,2.2807),(15,5115,-0.024978,2.3055),(15,5125,-0.024978,2.3241),(15,5135,-0.024978,2.3428),(15,5145,0.013461,2.3587),(15,5155,0.013461,2.3462),(15,5165,0.013461,2.3337),(15,5175,0.013461,2.3212),(15,5185,0.028762,2.2965),(15,5195,0.028762,2.2704),(15,5205,0.028762,2.2444),(15,5215,0.014769,2.2266),(15,5225,0.014769,2.2119),(15,5235,0.014769,2.1972),(15,5245,-0.003899,2.1907),(15,5255,-0.003899,2.1909),(15,5265,-0.003899,2.1912),(15,5275,0.001006,2.191),(15,5285,0.001006,2.1901),(15,5295,0.001006,2.1891),(15,5305,0.007198,2.1867),(15,5315,0.007198,2.1785),(15,5325,0.007198,2.1703),(15,5335,-0.009209,2.1622),(15,5345,-0.009209,2.1659),(15,5355,-0.009209,2.1697),(15,5365,-0.009209,2.1734),(15,5375,-0.035637,2.1938),(15,5385,-0.035637,2.2175),(15,5395,-0.035637,2.2411),(15,5405,-0.013494,2.2556),(15,5415,-0.013494,2.2652),(15,5425,-0.013494,2.2749),(15,5435,0.034178,2.2657),(15,5445,0.034178,2.236),(15,5455,0.034178,2.2063),(15,5465,0.053088,2.1723),(15,5475,0.053088,2.1281),(15,5485,0.053088,2.0839),(15,5495,0.051238,2.0399),(15,5505,0.051238,1.9976),(15,5515,0.051238,1.9552),(15,5525,0.051238,1.9129),(15,5535,0.045417,1.875),(15,5545,0.045417,1.8374),(15,5555,0.045417,1.7997),(15,5565,0.037222,1.7663),(15,5575,0.037222,1.7342),(15,5585,0.037222,1.702),(15,5595,0.028812,1.6732),(15,5605,0.028812,1.6465),(15,5615,0.028812,1.6199),(15,5625,0.021543,1.5951),(15,5635,0.021543,1.5729),(15,5645,0.021543,1.5507),(15,5655,0.01595,1.5292),(15,5665,0.01595,1.5102),(15,5675,0.01595,1.4911),(15,5685,0.011756,1.4722),(15,5695,0.011756,1.4555),(15,5705,0.011756,1.4388),(15,5715,0.011756,1.4221),(15,5725,0.008451,1.4067),(15,5735,0.008451,1.3914),(15,5745,0.008451,1.3762),(15,5755,0.005615,1.3618),(15,5765,0.005615,1.3477),(15,5775,0.005615,1.3336),(15,5785,0.002808,1.3201),(15,5795,0.002808,1.3071),(15,5805,0.002808,1.2941),(15,5815,-0.000218,1.2815),(15,5825,-0.000218,1.2696),(15,5835,-0.000218,1.2578),(15,5845,-0.003605,1.2463),(15,5855,-0.003605,1.236),(15,5865,-0.003605,1.2258),(15,5875,-0.003605,1.2155),(15,5885,-0.007416,1.2072),(15,5895,-0.007416,1.1988),(15,5905,-0.007416,1.1905),(15,5915,-0.011397,1.1838),(15,5925,-0.011397,1.1776),(15,5935,-0.011397,1.1713),(15,5945,-0.014975,1.1663),(15,5955,-0.014975,1.162),(15,5965,-0.014975,1.1578),(15,5975,-0.017123,1.154),(15,5985,-0.017123,1.1509),(15,5995,-0.017123,1.1478),(15,6005,-0.002124,1.1455),(15,6015,-0.002124,1.1453),(15,6025,-0.002124,1.1451),(15,6035,0.018764,1.1429),(15,6045,0.018764,1.1219),(15,6055,0.018764,1.1009),(15,6065,0.018764,1.0798),(15,6075,0.024669,1.052),(15,6085,0.024669,1.0235),(15,6095,0.024669,0.99503),(15,6105,0.023671,0.96869),(15,6115,0.023671,0.94312),(15,6125,0.023671,0.91754),(15,6135,0.021508,0.89252),(15,6145,0.021508,0.86793),(15,6155,0.021508,0.84334),(15,6165,0.019092,0.8193),(15,6175,0.019092,0.79614),(15,6185,0.019092,0.77297),(15,6195,0.016826,0.75002),(15,6205,0.016826,0.72787),(15,6215,0.016826,0.70572),(15,6225,0.015119,0.6836),(15,6235,0.015119,0.66261),(15,6245,0.015119,0.64163),(15,6255,0.015119,0.62064),(15,6265,0.013841,0.6009),(15,6275,0.013841,0.58138),(15,6285,0.013841,0.56186),(15,6295,0.012701,0.54272),(15,6305,0.012701,0.52376),(15,6315,0.012701,0.5048),(15,6325,0.011779,0.48618),(15,6335,0.011779,0.46791),(15,6345,0.011779,0.44965),(15,6355,0.010978,0.43155),(15,6365,0.010978,0.41384),(15,6375,0.010978,0.39612),(15,6385,0.010288,0.37845),(15,6395,0.010288,0.36106),(15,6405,0.010288,0.34367),(15,6415,0.010288,0.32628),(15,6425,0.009787,0.30918),(15,6435,0.009787,0.29209),(15,6445,0.009787,0.27501),(15,6455,0.009467,0.25814),(15,6465,0.009467,0.24134),(15,6475,0.009467,0.22454),(15,6485,0.009251,0.20788),(15,6495,0.009251,0.19132),(15,6505,0.009251,0.17476),(15,6515,0.00909,0.15826),(15,6525,0.00909,0.14185),(15,6535,0.00909,0.12543),(15,6545,0.008975,0.10904),(15,6555,0.008975,0.092716),(15,6565,0.008975,0.076388),(15,6575,0.008902,0.060064),(15,6585,0.008902,0.043776),(15,6595,0.008902,0.027489),(15,6605,0.008902,0.011201),(15,6615,4e-06,0.009366),(15,6625,4e-06,0.009387),(15,6635,4e-06,0.009409),(15,6645,4e-06,0.009411),(15,6655,4e-06,0.009405),(15,6665,4e-06,0.0094),(15,6675,4e-06,0.009395),(15,6685,4e-06,0.00939),(15,6695,4e-06,0.009385),(15,6705,4e-06,0.009381),(15,6715,4e-06,0.009376),(15,6725,4e-06,0.00937),(15,6735,4e-06,0.009365),(15,6745,4e-06,0.009359),(15,6755,4e-06,0.009352),(15,6765,4e-06,0.009346),(15,6775,4e-06,0.00934),(15,6785,4e-06,0.009335),(15,6795,4e-06,0.00933),(15,6805,4e-06,0.009324),(15,6815,4e-06,0.009319),(15,6825,4e-06,0.009313),(15,6835,4e-06,0.009307),(15,6845,4e-06,0.009301),(15,6855,4e-06,0.009295),(15,6865,4e-06,0.009289),(15,6875,4e-06,0.009283),(15,6885,4e-06,0.009277),(15,6895,4e-06,0.009271),(15,6905,4e-06,0.009264),(15,6915,4e-06,0.009258),(15,6925,5e-06,0.009252),(15,6935,5e-06,0.009246),(15,6945,5e-06,0.009239),(15,6955,5e-06,0.009233),(15,6965,5e-06,0.009227),(15,6975,5e-06,0.00922),(15,6985,5e-06,0.009214),(25,5,5e-06,3.6647),(25,15,5e-06,3.6647),(25,25,5e-06,3.6647),(25,35,5e-06,3.6646),(25,45,1.6e-05,3.6646),(25,55,1.6e-05,3.6646),(25,65,1.6e-05,3.6646),(25,75,1.6e-05,3.6646),(25,85,2.6e-05,3.6646),(25,95,2.6e-05,3.6646),(25,105,2.6e-05,3.6645),(25,115,2.6e-05,3.6645),(25,125,3.6e-05,3.6645),(25,135,3.6e-05,3.6645),(25,145,3.6e-05,3.6644),(25,155,3.6e-05,3.6644),(25,165,4.7e-05,3.6644),(25,175,4.7e-05,3.6643),(25,185,4.7e-05,3.6643),(25,195,4.7e-05,3.6643),(25,205,5.7e-05,3.6642),(25,215,5.7e-05,3.6642),(25,225,5.7e-05,3.6641),(25,235,5.7e-05,3.6641),(25,245,6.8e-05,3.664),(25,255,6.8e-05,3.664),(25,265,6.8e-05,3.6639),(25,275,6.8e-05,3.6638),(25,285,7.9e-05,3.6638),(25,295,7.9e-05,3.6637),(25,305,7.9e-05,3.6636),(25,315,7.9e-05,3.6636),(25,325,9e-05,3.6635),(25,335,9e-05,3.6634),(25,345,9e-05,3.6634),(25,355,9e-05,3.6633),(25,365,0.000101,3.6632),(25,375,0.000101,3.6631),(25,385,0.000101,3.663),(25,395,0.000101,3.663),(25,405,0.000112,3.6629),(25,415,0.000112,3.6628),(25,425,0.000112,3.6627),(25,435,0.000112,3.6626),(25,445,0.000124,3.6625),(25,455,0.000124,3.6624),(25,465,0.000124,3.6623),(25,475,0.000124,3.6622),(25,485,0.000135,3.6621),(25,495,0.000135,3.662),(25,505,0.000135,3.6618),(25,515,0.000146,3.6617),(25,525,0.000146,3.6616),(25,535,0.000146,3.6615),(25,545,0.000146,3.6614),(25,555,0.000158,3.6613),(25,565,0.000158,3.6611),(25,575,0.000158,3.661),(25,585,0.000158,3.6609),(25,595,0.000171,3.6607),(25,605,0.000171,3.6606),(25,615,0.000171,3.6604),(25,625,0.000171,3.6603),(25,635,0.000183,3.6602),(25,645,0.000183,3.66),(25,655,0.000183,3.6599),(25,665,0.000183,3.6597),(25,675,0.000196,3.6596),(25,685,0.000196,3.6594),(25,695,0.000196,3.6592),(25,705,0.000196,3.6591),(25,715,0.000209,3.6589),(25,725,0.000209,3.6587),(25,735,0.000209,3.6586),(25,745,0.000209,3.6584),(25,755,0.000222,3.6582),(25,765,0.000222,3.658),(25,775,0.000222,3.6579),(25,785,0.000222,3.6577),(25,795,0.000235,3.6575),(25,805,0.000235,3.6573),(25,815,0.000235,3.6571),(25,825,0.000235,3.6569),(25,835,0.000249,3.6567),(25,845,0.000249,3.6565),(25,855,0.000249,3.6563),(25,865,0.000249,3.6561),(25,875,0.000263,3.6559),(25,885,0.000263,3.6557),(25,895,0.000263,3.6555),(25,905,0.000263,3.6552),(25,915,0.000277,3.655),(25,925,0.000277,3.6548),(25,935,0.000277,3.6546),(25,945,0.000277,3.6543),(25,955,0.000292,3.6541),(25,965,0.000292,3.6539),(25,975,0.000292,3.6536),(25,985,0.000292,3.6534),(25,995,0.000307,3.6531),(25,1005,0.000307,3.6529),(25,1015,0.000307,3.6526),(25,1025,0.000307,3.6524),(25,1035,0.000322,3.6521),(25,1045,0.000322,3.6519),(25,1055,0.000322,3.6516),(25,1065,0.000322,3.6513),(25,1075,0.000338,3.6511),(25,1085,0.000338,3.6508),(25,1095,0.000338,3.6505),(25,1105,0.000338,3.6502),(25,1115,0.000354,3.65),(25,1125,0.000354,3.6497),(25,1135,0.000354,3.6494),(25,1145,0.000354,3.6491),(25,1155,0.00037,3.6488),(25,1165,0.00037,3.6485),(25,1175,0.00037,3.6482),(25,1185,0.00037,3.6479),(25,1195,0.000387,3.6476),(25,1205,0.000387,3.6472),(25,1215,0.000387,3.6469),(25,1225,0.000387,3.6466),(25,1235,0.000404,3.6463),(25,1245,0.000404,3.6459),(25,1255,0.000404,3.6456),(25,1265,0.000404,3.6453),(25,1275,0.000422,3.6449),(25,1285,0.000422,3.6446),(25,1295,0.000422,3.6442),(25,1305,0.000422,3.6439),(25,1315,0.00044,3.6435),(25,1325,0.00044,3.6432),(25,1335,0.00044,3.6428),(25,1345,0.00044,3.6425),(25,1355,0.000459,3.6421),(25,1365,0.000459,3.6417),(25,1375,0.000459,3.6413),(25,1385,0.000459,3.641),(25,1395,0.000477,3.6406),(25,1405,0.000477,3.6402),(25,1415,0.000477,3.6398),(25,1425,0.000477,3.6394),(25,1435,0.000497,3.639),(25,1445,0.000497,3.6386),(25,1455,0.000497,3.6382),(25,1465,0.000497,3.6378),(25,1475,0.000516,3.6373),(25,1485,0.000516,3.6369),(25,1495,0.000516,3.6365),(25,1505,0.000537,3.6361),(25,1515,0.000537,3.6356),(25,1525,0.000537,3.6352),(25,1535,0.000537,3.6347),(25,1545,0.000557,3.6343),(25,1555,0.000557,3.6338),(25,1565,0.000557,3.6334),(25,1575,0.000557,3.6329),(25,1585,0.000577,3.6325),(25,1595,0.000577,3.632),(25,1605,0.000577,3.6315),(25,1615,0.000577,3.6311),(25,1625,0.000599,3.6306),(25,1635,0.000599,3.6301),(25,1645,0.000599,3.6296),(25,1655,0.000599,3.6291),(25,1665,0.000621,3.6286),(25,1675,0.000621,3.6281),(25,1685,0.000621,3.6276),(25,1695,0.000621,3.6271),(25,1705,0.000643,3.6266),(25,1715,0.000643,3.626),(25,1725,0.000643,3.6255),(25,1735,0.000643,3.625),(25,1745,0.000666,3.6245),(25,1755,0.000666,3.6239),(25,1765,0.000666,3.6234),(25,1775,0.000666,3.6228),(25,1785,0.000689,3.6223),(25,1795,0.000689,3.6217),(25,1805,0.000689,3.6211),(25,1815,0.000689,3.6206),(25,1825,0.000713,3.62),(25,1835,0.000713,3.6194),(25,1845,0.000713,3.6188),(25,1855,0.000713,3.6182),(25,1865,0.000736,3.6177),(25,1875,0.000736,3.6171),(25,1885,0.000736,3.6164),(25,1895,0.000736,3.6158),(25,1905,0.000761,3.6152),(25,1915,0.000761,3.6146),(25,1925,0.000761,3.614),(25,1935,0.000761,3.6134),(25,1945,0.000785,3.6127),(25,1955,0.000785,3.6121),(25,1965,0.000785,3.6114),(25,1975,0.000785,3.6108),(25,1985,0.000811,3.6101),(25,1995,0.000811,3.6095),(25,2005,0.000811,3.6088),(25,2015,0.000811,3.6082),(25,2025,0.000837,3.6075),(25,2035,0.000837,3.6068),(25,2045,0.000837,3.6061),(25,2055,0.000837,3.6054),(25,2065,0.000863,3.6047),(25,2075,0.000863,3.604),(25,2085,0.000863,3.6033),(25,2095,0.000863,3.6026),(25,2105,0.000889,3.6019),(25,2115,0.000889,3.6012),(25,2125,0.000889,3.6004),(25,2135,0.000889,3.5997),(25,2145,0.000917,3.599),(25,2155,0.000917,3.5982),(25,2165,0.000917,3.5975),(25,2175,0.000917,3.5967),(25,2185,0.000945,3.5959),(25,2195,0.000945,3.5952),(25,2205,0.000945,3.5944),(25,2215,0.000945,3.5936),(25,2225,0.000973,3.5928),(25,2235,0.000973,3.592),(25,2245,0.000973,3.5913),(25,2255,0.000973,3.5905),(25,2265,0.001002,3.5896),(25,2275,0.001002,3.5888),(25,2285,0.001002,3.588),(25,2295,0.001002,3.5872),(25,2305,0.001032,3.5864),(25,2315,0.001032,3.5855),(25,2325,0.001032,3.5847),(25,2335,0.001032,3.5838),(25,2345,0.001062,3.583),(25,2355,0.001062,3.5821),(25,2365,0.001062,3.5812),(25,2375,0.001062,3.5804),(25,2385,0.001094,3.5795),(25,2395,0.001094,3.5786),(25,2405,0.001094,3.5777),(25,2415,0.001094,3.5768),(25,2425,0.001126,3.5759),(25,2435,0.001126,3.575),(25,2445,0.001126,3.5741),(25,2455,0.001126,3.5732),(25,2465,0.00116,3.5722),(25,2475,0.00116,3.5713),(25,2485,0.00116,3.5703),(25,2495,0.00116,3.5694),(25,2505,0.001195,3.5684),(25,2515,0.001195,3.5675),(25,2525,0.001195,3.5665),(25,2535,0.001231,3.5655),(25,2545,0.001231,3.5645),(25,2555,0.001231,3.5636),(25,2565,0.001231,3.5626),(25,2575,0.001269,3.5616),(25,2585,0.001269,3.5605),(25,2595,0.001269,3.5595),(25,2605,0.001269,3.5585),(25,2615,0.001308,3.5575),(25,2625,0.001308,3.5564),(25,2635,0.001308,3.5554),(25,2645,0.001308,3.5543),(25,2655,0.001351,3.5533),(25,2665,0.001351,3.5522),(25,2675,0.001351,3.5511),(25,2685,0.001351,3.55),(25,2695,0.001396,3.5489),(25,2705,0.001396,3.5478),(25,2715,0.001396,3.5467),(25,2725,0.001396,3.5456),(25,2735,0.001445,3.5445),(25,2745,0.001445,3.5433),(25,2755,0.001445,3.5422),(25,2765,0.001445,3.5411),(25,2775,0.001497,3.5399),(25,2785,0.001497,3.5387),(25,2795,0.001497,3.5375),(25,2805,0.001497,3.5364),(25,2815,0.001554,3.5352),(25,2825,0.001554,3.534),(25,2835,0.001554,3.5327),(25,2845,0.001554,3.5315),(25,2855,0.001617,3.5303),(25,2865,0.001617,3.529),(25,2875,0.001617,3.5278),(25,2885,0.001617,3.5265),(25,2895,0.001686,3.5253),(25,2905,0.001686,3.524),(25,2915,0.001686,3.5227),(25,2925,0.001686,3.5214),(25,2935,0.001763,3.52),(25,2945,0.001763,3.5187),(25,2955,0.001763,3.5173),(25,2965,0.001763,3.516),(25,2975,0.001849,3.5146),(25,2985,0.001849,3.5132),(25,2995,0.001849,3.5118),(25,3005,0.001849,3.5104),(25,3015,0.001947,3.509),(25,3025,0.001947,3.5075),(25,3035,0.001947,3.5061),(25,3045,0.001947,3.5046),(25,3055,0.002059,3.5031),(25,3065,0.002059,3.5016),(25,3075,0.002059,3.5001),(25,3085,0.002059,3.4986),(25,3095,0.002186,3.497),(25,3105,0.002186,3.4954),(25,3115,0.002186,3.4938),(25,3125,0.002186,3.4922),(25,3135,0.002333,3.4906),(25,3145,0.002333,3.4889),(25,3155,0.002333,3.4873),(25,3165,0.002333,3.4856),(25,3175,0.002504,3.4838),(25,3185,0.002504,3.4821),(25,3195,0.002504,3.4803),(25,3205,0.002504,3.4785),(25,3215,0.002704,3.4767),(25,3225,0.002704,3.4748),(25,3235,0.002704,3.473),(25,3245,0.002704,3.4711),(25,3255,0.002941,3.4691),(25,3265,0.002941,3.4671),(25,3275,0.002941,3.4651),(25,3285,0.002941,3.4631),(25,3295,0.003222,3.461),(25,3305,0.003222,3.4589),(25,3315,0.003222,3.4567),(25,3325,0.003222,3.4546),(25,3335,0.003558,3.4523),(25,3345,0.003558,3.45),(25,3355,0.003558,3.4477),(25,3365,0.003558,3.4454),(25,3375,0.003961,3.4429),(25,3385,0.003961,3.4404),(25,3395,0.003961,3.4379),(25,3405,0.003961,3.4353),(25,3415,0.00445,3.4326),(25,3425,0.00445,3.4299),(25,3435,0.00445,3.4271),(25,3445,0.00445,3.4243),(25,3455,0.005044,3.4213),(25,3465,0.005044,3.4183),(25,3475,0.005044,3.4152),(25,3485,0.005044,3.4122),(25,3495,0.005772,3.4088),(25,3505,0.005772,3.4054),(25,3515,0.005772,3.402),(25,3525,0.006669,3.3986),(25,3535,0.006669,3.3948),(25,3545,0.006669,3.391),(25,3555,0.006669,3.3871),(25,3565,0.00778,3.3833),(25,3575,0.00778,3.3789),(25,3585,0.00778,3.3746),(25,3595,0.00778,3.3702),(25,3605,0.009161,3.3658),(25,3615,0.009161,3.3608),(25,3625,0.009161,3.3559),(25,3635,0.009161,3.3509),(25,3645,0.010881,3.3458),(25,3655,0.010881,3.34),(25,3665,0.010881,3.3342),(25,3675,0.010881,3.3284),(25,3685,0.013019,3.3225),(25,3695,0.013019,3.3157),(25,3705,0.013019,3.3089),(25,3715,0.013019,3.3022),(25,3725,0.015662,3.2952),(25,3735,0.015662,3.2872),(25,3745,0.015662,3.2792),(25,3755,0.015662,3.2713),(25,3765,0.018874,3.2629),(25,3775,0.018874,3.2535),(25,3785,0.018874,3.2441),(25,3795,0.018874,3.2346),(25,3805,0.022647,3.2247),(25,3815,0.022647,3.2135),(25,3825,0.022647,3.2023),(25,3835,0.022647,3.1912),(25,3845,0.026785,3.1793),(25,3855,0.026785,3.1662),(25,3865,0.026785,3.1531),(25,3875,0.026785,3.14),(25,3885,0.030699,3.1261),(25,3895,0.030699,3.1111),(25,3905,0.030699,3.096),(25,3915,0.030699,3.0809),(25,3925,0.048872,3.0611),(25,3935,0.048872,3.0347),(25,3945,0.048872,3.0083),(25,3955,0.048872,2.9818),(25,3965,0.061091,2.9526),(25,3975,0.061091,2.92),(25,3985,0.061091,2.8875),(25,3995,0.061091,2.8549),(25,4005,0.053393,2.8247),(25,4015,0.053393,2.7969),(25,4025,0.053393,2.7692),(25,4035,0.04228,2.7432),(25,4045,0.04228,2.7212),(25,4055,0.04228,2.6992),(25,4065,0.029095,2.6782),(25,4075,0.029095,2.6627),(25,4085,0.029095,2.6472),(25,4095,0.029095,2.6318),(25,4105,0.017809,2.6219),(25,4115,0.017809,2.6123),(25,4125,0.017809,2.6027),(25,4135,0.008391,2.5973),(25,4145,0.008391,2.5931),(25,4155,0.008391,2.5889),(25,4165,0.007752,2.5843),(25,4175,0.007752,2.5794),(25,4185,0.007752,2.5745),(25,4195,0.012544,2.5683),(25,4205,0.012544,2.5605),(25,4215,0.012544,2.5528),(25,4225,0.009772,2.5456),(25,4235,0.009772,2.5404),(25,4245,0.009772,2.5353),(25,4255,0.008928,2.5302),(25,4265,0.008928,2.5263),(25,4275,0.008928,2.5224),(25,4285,0.008928,2.5186),(25,4295,0.007175,2.5154),(25,4305,0.007175,2.5124),(25,4315,0.007175,2.5093),(25,4325,0.031972,2.4956),(25,4335,0.031972,2.4778),(25,4345,0.031972,2.46),(25,4355,0.026772,2.4441),(25,4365,0.026772,2.4299),(25,4375,0.026772,2.4157),(25,4385,0.018589,2.4034),(25,4395,0.018589,2.3945),(25,4405,0.018589,2.3856),(25,4415,0.008806,2.3778),(25,4425,0.008806,2.3745),(25,4435,0.008806,2.3713),(25,4445,0.01557,2.3681),(25,4455,0.01557,2.3592),(25,4465,0.01557,2.3503),(25,4475,0.01557,2.3414),(25,4485,0.022897,2.3292),(25,4495,0.022897,2.3163),(25,4505,0.022897,2.3035),(25,4515,0.009733,2.2955),(25,4525,0.009733,2.2901),(25,4535,0.009733,2.2848),(25,4545,-0.004983,2.2833),(25,4555,-0.004983,2.2862),(25,4565,-0.004983,2.289),(25,4575,0.002854,2.2904),(25,4585,0.002854,2.2885),(25,4595,0.002854,2.2867),(25,4605,0.010725,2.2842),(25,4615,0.010725,2.2771),(25,4625,0.010725,2.2699),(25,4635,0.010725,2.2628),(25,4645,0.005107,2.2587),(25,4655,0.005107,2.2548),(25,4665,0.005107,2.2509),(25,4675,-0.004137,2.2517),(25,4685,-0.004137,2.254),(25,4695,-0.004137,2.2564),(25,4705,-0.00186,2.2585),(25,4715,-0.00186,2.2604),(25,4725,-0.00186,2.2623),(25,4735,0.019922,2.2587),(25,4745,0.019922,2.2467),(25,4755,0.019922,2.2347),(25,4765,0.011924,2.2235),(25,4775,0.011924,2.2155),(25,4785,0.011924,2.2075),(25,4795,-0.010021,2.1999),(25,4805,-0.010021,2.2039),(25,4815,-0.010021,2.2078),(25,4825,-0.010021,2.2117),(25,4835,-0.018021,2.2202),(25,4845,-0.018021,2.2294),(25,4855,-0.018021,2.2386),(25,4865,0.009788,2.237),(25,4875,0.009788,2.2304),(25,4885,0.009788,2.2238),(25,4895,0.028385,2.2116),(25,4905,0.028385,2.1942),(25,4915,0.028385,2.1767),(25,4925,0.009365,2.163),(25,4935,0.009365,2.1569),(25,4945,0.009365,2.1508),(25,4955,-0.009086,2.1464),(25,4965,-0.009086,2.1511),(25,4975,-0.009086,2.1558),(25,4985,-0.009086,2.1604),(25,4995,-0.003736,2.1626),(25,5005,-0.003736,2.1647),(25,5015,-0.003736,2.1668),(25,5025,-0.00881,2.1675),(25,5035,-0.00881,2.1678),(25,5045,-0.00881,2.1681),(25,5055,-0.039035,2.1769),(25,5065,-0.039035,2.1911),(25,5075,-0.039035,2.2053),(25,5085,-0.06468,2.2253),(25,5095,-0.06468,2.2529),(25,5105,-0.06468,2.2805),(25,5115,-0.041629,2.3059),(25,5125,-0.041629,2.3251),(25,5135,-0.041629,2.3443),(25,5145,0.022435,2.3608),(25,5155,0.022435,2.3478),(25,5165,0.022435,2.3348),(25,5175,0.022435,2.3218),(25,5185,0.047936,2.2963),(25,5195,0.047936,2.2695),(25,5205,0.047936,2.2427),(25,5215,0.024615,2.2247),(25,5225,0.024615,2.2101),(25,5235,0.024615,2.1954),(25,5245,-0.006498,2.1893),(25,5255,-0.006498,2.1903),(25,5265,-0.006498,2.1913),(25,5275,0.001677,2.1916),(25,5285,0.001677,2.1905),(25,5295,0.001677,2.1895),(25,5305,0.011997,2.1868),(25,5315,0.011997,2.1778),(25,5325,0.011997,2.1688),(25,5335,-0.015349,2.16),(25,5345,-0.015349,2.1634),(25,5355,-0.015349,2.1669),(25,5365,-0.015349,2.1704),(25,5375,-0.059396,2.1914),(25,5385,-0.059396,2.2159),(25,5395,-0.059396,2.2403),(25,5405,-0.022489,2.2553),(25,5415,-0.022489,2.2654),(25,5425,-0.022489,2.2754),(25,5435,0.056964,2.2661),(25,5445,0.056964,2.2358),(25,5455,0.056964,2.2056),(25,5465,0.08848,2.1709),(25,5475,0.08848,2.1262),(25,5485,0.08848,2.0814),(25,5495,0.085397,2.037),(25,5505,0.085397,1.9945),(25,5515,0.085397,1.9521),(25,5525,0.085397,1.9096),(25,5535,0.075695,1.8718),(25,5545,0.075695,1.8343),(25,5555,0.075695,1.7968),(25,5565,0.062037,1.7636),(25,5575,0.062037,1.7317),(25,5585,0.062037,1.6998),(25,5595,0.04802,1.6711),(25,5605,0.04802,1.6447),(25,5615,0.04802,1.6183),(25,5625,0.035906,1.5937),(25,5635,0.035906,1.5717),(25,5645,0.035906,1.5497),(25,5655,0.026583,1.5284),(25,5665,0.026583,1.5095),(25,5675,0.026583,1.4905),(25,5685,0.019593,1.4717),(25,5695,0.019593,1.4551),(25,5705,0.019593,1.4384),(25,5715,0.019593,1.4218),(25,5725,0.014085,1.4064),(25,5735,0.014085,1.3911),(25,5745,0.014085,1.3759),(25,5755,0.009358,1.3614),(25,5765,0.009358,1.3473),(25,5775,0.009358,1.3332),(25,5785,0.004681,1.3196),(25,5795,0.004681,1.3066),(25,5805,0.004681,1.2936),(25,5815,-0.000364,1.2809),(25,5825,-0.000364,1.2691),(25,5835,-0.000364,1.2572),(25,5845,-0.006009,1.2456),(25,5855,-0.006009,1.2352),(25,5865,-0.006009,1.2249),(25,5875,-0.006009,1.2146),(25,5885,-0.012359,1.2062),(25,5895,-0.012359,1.1978),(25,5905,-0.012359,1.1894),(25,5915,-0.018995,1.1827),(25,5925,-0.018995,1.1765),(25,5935,-0.018995,1.1702),(25,5945,-0.024958,1.1653),(25,5955,-0.024958,1.1611),(25,5965,-0.024958,1.1569),(25,5975,-0.028538,1.1533),(25,5985,-0.028538,1.1505),(25,5995,-0.028538,1.1476),(25,6005,-0.003541,1.1455),(25,6015,-0.003541,1.1453),(25,6025,-0.003541,1.1451),(25,6035,0.031273,1.1429),(25,6045,0.031273,1.1217),(25,6055,0.031273,1.1006),(25,6065,0.031273,1.0794),(25,6075,0.041114,1.0514),(25,6085,0.041114,1.0228),(25,6095,0.041114,0.99418),(25,6105,0.039452,0.96771),(25,6115,0.039452,0.942),(25,6125,0.039452,0.91629),(25,6135,0.035847,0.8912),(25,6145,0.035847,0.8666),(25,6155,0.035847,0.842),(25,6165,0.03182,0.81796),(25,6175,0.03182,0.79484),(25,6185,0.03182,0.77171),(25,6195,0.028043,0.7488),(25,6205,0.028043,0.72674),(25,6215,0.028043,0.70469),(25,6225,0.025198,0.68266),(25,6235,0.025198,0.66174),(25,6245,0.025198,0.64083),(25,6255,0.025198,0.61991),(25,6265,0.023068,0.6002),(25,6275,0.023068,0.5807),(25,6285,0.023068,0.56121),(25,6295,0.021169,0.54209),(25,6305,0.021169,0.52317),(25,6315,0.021169,0.50425),(25,6325,0.019632,0.48566),(25,6335,0.019632,0.46742),(25,6345,0.019632,0.44917),(25,6355,0.018296,0.43109),(25,6365,0.018296,0.4134),(25,6375,0.018296,0.39571),(25,6385,0.017146,0.37806),(25,6395,0.017146,0.3607),(25,6405,0.017146,0.34334),(25,6415,0.017146,0.32599),(25,6425,0.016312,0.30892),(25,6435,0.016312,0.29186),(25,6445,0.016312,0.2748),(25,6455,0.015779,0.25796),(25,6465,0.015779,0.24118),(25,6475,0.015779,0.22439),(25,6485,0.015418,0.20775),(25,6495,0.015418,0.1912),(25,6505,0.015418,0.17465),(25,6515,0.015149,0.15816),(25,6525,0.015149,0.14176),(25,6535,0.015149,0.12535),(25,6545,0.014958,0.10897),(25,6555,0.014958,0.092654),(25,6565,0.014958,0.076336),(25,6575,0.014837,0.06002),(25,6585,0.014837,0.043734),(25,6595,0.014837,0.027447),(25,6605,0.014837,0.011161),(25,6615,6e-06,0.009337),(25,6625,6e-06,0.009371),(25,6635,6e-06,0.009405),(25,6645,7e-06,0.009411),(25,6655,7e-06,0.009406),(25,6665,7e-06,0.0094),(25,6675,7e-06,0.009395),(25,6685,7e-06,0.00939),(25,6695,7e-06,0.009385),(25,6705,7e-06,0.00938),(25,6715,7e-06,0.009375),(25,6725,7e-06,0.00937),(25,6735,6e-06,0.009365),(25,6745,6e-06,0.009359),(25,6755,6e-06,0.009352),(25,6765,6e-06,0.009346),(25,6775,7e-06,0.00934),(25,6785,7e-06,0.009335),(25,6795,7e-06,0.00933),(25,6805,7e-06,0.009324),(25,6815,7e-06,0.009319),(25,6825,7e-06,0.009313),(25,6835,7e-06,0.009307),(25,6845,7e-06,0.009301),(25,6855,7e-06,0.009295),(25,6865,7e-06,0.009289),(25,6875,7e-06,0.009283),(25,6885,7e-06,0.009277),(25,6895,7e-06,0.009271),(25,6905,7e-06,0.009265),(25,6915,7e-06,0.009258),(25,6925,8e-06,0.009252),(25,6935,8e-06,0.009246),(25,6945,8e-06,0.009239),(25,6955,8e-06,0.009233),(25,6965,8e-06,0.009227),(25,6975,8e-06,0.00922),(25,6985,8e-06,0.009214),(35,5,7e-06,3.6647),(35,15,7e-06,3.6647),(35,25,7e-06,3.6647),(35,35,7e-06,3.6647),(35,45,2.2e-05,3.6646),(35,55,2.2e-05,3.6646),(35,65,2.2e-05,3.6646),(35,75,2.2e-05,3.6646),(35,85,3.6e-05,3.6646),(35,95,3.6e-05,3.6646),(35,105,3.6e-05,3.6645),(35,115,3.6e-05,3.6645),(35,125,5.1e-05,3.6645),(35,135,5.1e-05,3.6645),(35,145,5.1e-05,3.6644),(35,155,5.1e-05,3.6644),(35,165,6.5e-05,3.6644),(35,175,6.5e-05,3.6643),(35,185,6.5e-05,3.6643),(35,195,6.5e-05,3.6643),(35,205,8e-05,3.6642),(35,215,8e-05,3.6642),(35,225,8e-05,3.6641),(35,235,8e-05,3.6641),(35,245,9.5e-05,3.664),(35,255,9.5e-05,3.664),(35,265,9.5e-05,3.6639),(35,275,9.5e-05,3.6638),(35,285,0.000111,3.6638),(35,295,0.000111,3.6637),(35,305,0.000111,3.6637),(35,315,0.000111,3.6636),(35,325,0.000127,3.6635),(35,335,0.000127,3.6634),(35,345,0.000127,3.6634),(35,355,0.000127,3.6633),(35,365,0.000142,3.6632),(35,375,0.000142,3.6631),(35,385,0.000142,3.663),(35,395,0.000142,3.663),(35,405,0.000157,3.6629),(35,415,0.000157,3.6628),(35,425,0.000157,3.6627),(35,435,0.000157,3.6626),(35,445,0.000173,3.6625),(35,455,0.000173,3.6624),(35,465,0.000173,3.6623),(35,475,0.000173,3.6622),(35,485,0.000189,3.6621),(35,495,0.000189,3.662),(35,505,0.000189,3.6619),(35,515,0.000205,3.6617),(35,525,0.000205,3.6616),(35,535,0.000205,3.6615),(35,545,0.000205,3.6614),(35,555,0.000222,3.6613),(35,565,0.000222,3.6611),(35,575,0.000222,3.661),(35,585,0.000222,3.6609),(35,595,0.000239,3.6607),(35,605,0.000239,3.6606),(35,615,0.000239,3.6605),(35,625,0.000239,3.6603),(35,635,0.000256,3.6602),(35,645,0.000256,3.66),(35,655,0.000256,3.6599),(35,665,0.000256,3.6597),(35,675,0.000274,3.6596),(35,685,0.000274,3.6594),(35,695,0.000274,3.6592),(35,705,0.000274,3.6591),(35,715,0.000292,3.6589),(35,725,0.000292,3.6587),(35,735,0.000292,3.6586),(35,745,0.000292,3.6584),(35,755,0.00031,3.6582),(35,765,0.00031,3.658),(35,775,0.00031,3.6579),(35,785,0.00031,3.6577),(35,795,0.000329,3.6575),(35,805,0.000329,3.6573),(35,815,0.000329,3.6571),(35,825,0.000329,3.6569),(35,835,0.000348,3.6567),(35,845,0.000348,3.6565),(35,855,0.000348,3.6563),(35,865,0.000348,3.6561),(35,875,0.000368,3.6559),(35,885,0.000368,3.6557),(35,895,0.000368,3.6555),(35,905,0.000368,3.6553),(35,915,0.000388,3.655),(35,925,0.000388,3.6548),(35,935,0.000388,3.6546),(35,945,0.000388,3.6543),(35,955,0.000409,3.6541),(35,965,0.000409,3.6539),(35,975,0.000409,3.6536),(35,985,0.000409,3.6534),(35,995,0.00043,3.6532),(35,1005,0.00043,3.6529),(35,1015,0.00043,3.6526),(35,1025,0.00043,3.6524),(35,1035,0.000451,3.6521),(35,1045,0.000451,3.6519),(35,1055,0.000451,3.6516),(35,1065,0.000451,3.6513),(35,1075,0.000473,3.6511),(35,1085,0.000473,3.6508),(35,1095,0.000473,3.6505),(35,1105,0.000473,3.6502),(35,1115,0.000495,3.65),(35,1125,0.000495,3.6497),(35,1135,0.000495,3.6494),(35,1145,0.000495,3.6491),(35,1155,0.000518,3.6488),(35,1165,0.000518,3.6485),(35,1175,0.000518,3.6482),(35,1185,0.000518,3.6479),(35,1195,0.000542,3.6476),(35,1205,0.000542,3.6472),(35,1215,0.000542,3.6469),(35,1225,0.000542,3.6466),(35,1235,0.000566,3.6463),(35,1245,0.000566,3.6459),(35,1255,0.000566,3.6456),(35,1265,0.000566,3.6453),(35,1275,0.000591,3.6449),(35,1285,0.000591,3.6446),(35,1295,0.000591,3.6442),(35,1305,0.000591,3.6439),(35,1315,0.000616,3.6435),(35,1325,0.000616,3.6432),(35,1335,0.000616,3.6428),(35,1345,0.000616,3.6425),(35,1355,0.000642,3.6421),(35,1365,0.000642,3.6417),(35,1375,0.000642,3.6413),(35,1385,0.000642,3.641),(35,1395,0.000668,3.6406),(35,1405,0.000668,3.6402),(35,1415,0.000668,3.6398),(35,1425,0.000668,3.6394),(35,1435,0.000695,3.639),(35,1445,0.000695,3.6386),(35,1455,0.000695,3.6382),(35,1465,0.000695,3.6378),(35,1475,0.000723,3.6373),(35,1485,0.000723,3.6369),(35,1495,0.000723,3.6365),(35,1505,0.000751,3.6361),(35,1515,0.000751,3.6356),(35,1525,0.000751,3.6352),(35,1535,0.000751,3.6348),(35,1545,0.00078,3.6343),(35,1555,0.00078,3.6339),(35,1565,0.00078,3.6334),(35,1575,0.00078,3.6329),(35,1585,0.000808,3.6325),(35,1595,0.000808,3.632),(35,1605,0.000808,3.6315),(35,1615,0.000808,3.6311),(35,1625,0.000838,3.6306),(35,1635,0.000838,3.6301),(35,1645,0.000838,3.6296),(35,1655,0.000838,3.6291),(35,1665,0.000869,3.6286),(35,1675,0.000869,3.6281),(35,1685,0.000869,3.6276),(35,1695,0.000869,3.6271),(35,1705,0.000901,3.6266),(35,1715,0.000901,3.6261),(35,1725,0.000901,3.6255),(35,1735,0.000901,3.625),(35,1745,0.000933,3.6245),(35,1755,0.000933,3.6239),(35,1765,0.000933,3.6234),(35,1775,0.000933,3.6228),(35,1785,0.000965,3.6223),(35,1795,0.000965,3.6217),(35,1805,0.000965,3.6211),(35,1815,0.000965,3.6206),(35,1825,0.000998,3.62),(35,1835,0.000998,3.6194),(35,1845,0.000998,3.6188),(35,1855,0.000998,3.6183),(35,1865,0.001031,3.6177),(35,1875,0.001031,3.6171),(35,1885,0.001031,3.6165),(35,1895,0.001031,3.6159),(35,1905,0.001065,3.6152),(35,1915,0.001065,3.6146),(35,1925,0.001065,3.614),(35,1935,0.001065,3.6134),(35,1945,0.0011,3.6127),(35,1955,0.0011,3.6121),(35,1965,0.0011,3.6115),(35,1975,0.0011,3.6108),(35,1985,0.001135,3.6102),(35,1995,0.001135,3.6095),(35,2005,0.001135,3.6088),(35,2015,0.001135,3.6082),(35,2025,0.001171,3.6075),(35,2035,0.001171,3.6068),(35,2045,0.001171,3.6061),(35,2055,0.001171,3.6054),(35,2065,0.001208,3.6047),(35,2075,0.001208,3.604),(35,2085,0.001208,3.6033),(35,2095,0.001208,3.6026),(35,2105,0.001245,3.6019),(35,2115,0.001245,3.6012),(35,2125,0.001245,3.6004),(35,2135,0.001245,3.5997),(35,2145,0.001283,3.599),(35,2155,0.001283,3.5982),(35,2165,0.001283,3.5975),(35,2175,0.001283,3.5967),(35,2185,0.001323,3.596),(35,2195,0.001323,3.5952),(35,2205,0.001323,3.5944),(35,2215,0.001323,3.5936),(35,2225,0.001362,3.5929),(35,2235,0.001362,3.5921),(35,2245,0.001362,3.5913),(35,2255,0.001362,3.5905),(35,2265,0.001403,3.5897),(35,2275,0.001403,3.5888),(35,2285,0.001403,3.588),(35,2295,0.001403,3.5872),(35,2305,0.001444,3.5864),(35,2315,0.001444,3.5855),(35,2325,0.001444,3.5847),(35,2335,0.001444,3.5838),(35,2345,0.001487,3.583),(35,2355,0.001487,3.5821),(35,2365,0.001487,3.5812),(35,2375,0.001487,3.5804),(35,2385,0.001531,3.5795),(35,2395,0.001531,3.5786),(35,2405,0.001531,3.5777),(35,2415,0.001531,3.5768),(35,2425,0.001576,3.5759),(35,2435,0.001576,3.575),(35,2445,0.001576,3.5741),(35,2455,0.001576,3.5732),(35,2465,0.001623,3.5722),(35,2475,0.001623,3.5713),(35,2485,0.001623,3.5704),(35,2495,0.001623,3.5694),(35,2505,0.001672,3.5684),(35,2515,0.001672,3.5675),(35,2525,0.001672,3.5665),(35,2535,0.001723,3.5655),(35,2545,0.001723,3.5646),(35,2555,0.001723,3.5636),(35,2565,0.001723,3.5626),(35,2575,0.001776,3.5616),(35,2585,0.001776,3.5606),(35,2595,0.001776,3.5595),(35,2605,0.001776,3.5585),(35,2615,0.001832,3.5575),(35,2625,0.001832,3.5564),(35,2635,0.001832,3.5554),(35,2645,0.001832,3.5543),(35,2655,0.001891,3.5533),(35,2665,0.001891,3.5522),(35,2675,0.001891,3.5511),(35,2685,0.001891,3.55),(35,2695,0.001955,3.549),(35,2705,0.001955,3.5479),(35,2715,0.001955,3.5467),(35,2725,0.001955,3.5456),(35,2735,0.002023,3.5445),(35,2745,0.002023,3.5434),(35,2755,0.002023,3.5422),(35,2765,0.002023,3.5411),(35,2775,0.002096,3.5399),(35,2785,0.002096,3.5387),(35,2795,0.002096,3.5376),(35,2805,0.002096,3.5364),(35,2815,0.002176,3.5352),(35,2825,0.002176,3.534),(35,2835,0.002176,3.5328),(35,2845,0.002176,3.5316),(35,2855,0.002264,3.5303),(35,2865,0.002264,3.5291),(35,2875,0.002264,3.5278),(35,2885,0.002264,3.5266),(35,2895,0.002361,3.5253),(35,2905,0.002361,3.524),(35,2915,0.002361,3.5227),(35,2925,0.002361,3.5214),(35,2935,0.002468,3.5201),(35,2945,0.002468,3.5187),(35,2955,0.002468,3.5174),(35,2965,0.002468,3.516),(35,2975,0.002589,3.5147),(35,2985,0.002589,3.5133),(35,2995,0.002589,3.5119),(35,3005,0.002589,3.5105),(35,3015,0.002726,3.509),(35,3025,0.002726,3.5076),(35,3035,0.002726,3.5061),(35,3045,0.002726,3.5047),(35,3055,0.002882,3.5032),(35,3065,0.002882,3.5017),(35,3075,0.002882,3.5001),(35,3085,0.002882,3.4986),(35,3095,0.00306,3.4971),(35,3105,0.00306,3.4955),(35,3115,0.00306,3.4939),(35,3125,0.00306,3.4923),(35,3135,0.003266,3.4907),(35,3145,0.003266,3.489),(35,3155,0.003266,3.4873),(35,3165,0.003266,3.4856),(35,3175,0.003506,3.4839),(35,3185,0.003506,3.4821),(35,3195,0.003506,3.4804),(35,3205,0.003506,3.4786),(35,3215,0.003786,3.4768),(35,3225,0.003786,3.4749),(35,3235,0.003786,3.473),(35,3245,0.003786,3.4712),(35,3255,0.004117,3.4692),(35,3265,0.004117,3.4672),(35,3275,0.004117,3.4652),(35,3285,0.004117,3.4632),(35,3295,0.004511,3.4611),(35,3305,0.004511,3.459),(35,3315,0.004511,3.4569),(35,3325,0.004511,3.4547),(35,3335,0.004981,3.4524),(35,3345,0.004981,3.4501),(35,3355,0.004981,3.4478),(35,3365,0.004981,3.4455),(35,3375,0.005546,3.443),(35,3385,0.005546,3.4405),(35,3395,0.005546,3.438),(35,3405,0.005546,3.4355),(35,3415,0.006229,3.4328),(35,3425,0.006229,3.4301),(35,3435,0.006229,3.4273),(35,3445,0.006229,3.4246),(35,3455,0.007062,3.4215),(35,3465,0.007062,3.4185),(35,3475,0.007062,3.4155),(35,3485,0.007062,3.4125),(35,3495,0.008081,3.4091),(35,3505,0.008081,3.4057),(35,3515,0.008081,3.4023),(35,3525,0.009337,3.3989),(35,3535,0.009337,3.3951),(35,3545,0.009337,3.3913),(35,3555,0.009337,3.3875),(35,3565,0.010893,3.3837),(35,3575,0.010893,3.3794),(35,3585,0.010893,3.375),(35,3595,0.010893,3.3707),(35,3605,0.012826,3.3663),(35,3615,0.012826,3.3614),(35,3625,0.012826,3.3564),(35,3635,0.012826,3.3515),(35,3645,0.015233,3.3464),(35,3655,0.015233,3.3407),(35,3665,0.015233,3.3349),(35,3675,0.015233,3.3292),(35,3685,0.018227,3.3233),(35,3695,0.018227,3.3166),(35,3705,0.018227,3.3098),(35,3715,0.018227,3.3031),(35,3725,0.021927,3.2961),(35,3735,0.021927,3.2882),(35,3745,0.021927,3.2803),(35,3755,0.021927,3.2724),(35,3765,0.026423,3.2641),(35,3775,0.026423,3.2547),(35,3785,0.026423,3.2454),(35,3795,0.026423,3.236),(35,3805,0.031706,3.2261),(35,3815,0.031706,3.2149),(35,3825,0.031706,3.2038),(35,3835,0.031706,3.1927),(35,3845,0.0375,3.1809),(35,3855,0.0375,3.1677),(35,3865,0.0375,3.1546),(35,3875,0.0375,3.1414),(35,3885,0.042978,3.1275),(35,3895,0.042978,3.1123),(35,3905,0.042978,3.0971),(35,3915,0.042978,3.0819),(35,3925,0.068421,3.0618),(35,3935,0.068421,3.035),(35,3945,0.068421,3.0081),(35,3955,0.068421,2.9813),(35,3965,0.085527,2.9517),(35,3975,0.085527,2.9188),(35,3985,0.085527,2.8859),(35,3995,0.085527,2.853),(35,4005,0.07475,2.8227),(35,4015,0.07475,2.7948),(35,4025,0.07475,2.7669),(35,4035,0.059192,2.741),(35,4045,0.059192,2.719),(35,4055,0.059192,2.6971),(35,4065,0.040733,2.6761),(35,4075,0.040733,2.6609),(35,4085,0.040733,2.6456),(35,4095,0.040733,2.6303),(35,4105,0.024933,2.6208),(35,4115,0.024933,2.6115),(35,4125,0.024933,2.6022),(35,4135,0.011748,2.5972),(35,4145,0.011748,2.5933),(35,4155,0.011748,2.5894),(35,4165,0.010852,2.5848),(35,4175,0.010852,2.5798),(35,4185,0.010852,2.5748),(35,4195,0.017562,2.5686),(35,4205,0.017562,2.5607),(35,4215,0.017562,2.5528),(35,4225,0.01368,2.5456),(35,4235,0.01368,2.5407),(35,4245,0.01368,2.5357),(35,4255,0.012499,2.5308),(35,4265,0.012499,2.5272),(35,4275,0.012499,2.5237),(35,4285,0.012499,2.5202),(35,4295,0.010044,2.5171),(35,4305,0.010044,2.5142),(35,4315,0.010044,2.5112),(35,4325,0.044761,2.4971),(35,4335,0.044761,2.4786),(35,4345,0.044761,2.4602),(35,4355,0.037481,2.4439),(35,4365,0.037481,2.4294),(35,4375,0.037481,2.4149),(35,4385,0.026024,2.4026),(35,4395,0.026024,2.394),(35,4405,0.026024,2.3854),(35,4415,0.012328,2.3779),(35,4425,0.012328,2.375),(35,4435,0.012328,2.3721),(35,4445,0.021799,2.3692),(35,4455,0.021799,2.36),(35,4465,0.021799,2.3508),(35,4475,0.021799,2.3416),(35,4485,0.032056,2.329),(35,4495,0.032056,2.3158),(35,4505,0.032056,2.3025),(35,4515,0.013626,2.2946),(35,4525,0.013626,2.2894),(35,4535,0.013626,2.2843),(35,4545,-0.006977,2.2833),(35,4555,-0.006977,2.2868),(35,4565,-0.006977,2.2904),(35,4575,0.003995,2.2923),(35,4585,0.003995,2.2903),(35,4595,0.003995,2.2883),(35,4605,0.015016,2.2856),(35,4615,0.015016,2.2779),(35,4625,0.015016,2.2703),(35,4635,0.015016,2.2626),(35,4645,0.00715,2.2583),(35,4655,0.00715,2.2543),(35,4665,0.00715,2.2502),(35,4675,-0.005791,2.2515),(35,4685,-0.005791,2.2544),(35,4695,-0.005791,2.2574),(35,4705,-0.002603,2.26),(35,4715,-0.002603,2.2623),(35,4725,-0.002603,2.2647),(35,4735,0.02789,2.2609),(35,4745,0.02789,2.2481),(35,4755,0.02789,2.2353),(35,4765,0.016694,2.2234),(35,4775,0.016694,2.2149),(35,4785,0.016694,2.2064),(35,4795,-0.014029,2.1985),(35,4805,-0.014029,2.203),(35,4815,-0.014029,2.2075),(35,4825,-0.014029,2.212),(35,4835,-0.02523,2.2215),(35,4845,-0.02523,2.2316),(35,4855,-0.02523,2.2418),(35,4865,0.013704,2.2401),(35,4875,0.013704,2.233),(35,4885,0.013704,2.2259),(35,4895,0.039739,2.2129),(35,4905,0.039739,2.1943),(35,4915,0.039739,2.1758),(35,4925,0.013111,2.1613),(35,4935,0.013111,2.1552),(35,4945,0.013111,2.1491),(35,4955,-0.012721,2.1447),(35,4965,-0.012721,2.1502),(35,4975,-0.012721,2.1556),(35,4985,-0.012721,2.1611),(35,4995,-0.00523,2.1635),(35,5005,-0.00523,2.1659),(35,5015,-0.00523,2.1682),(35,5025,-0.012334,2.1682),(35,5035,-0.012334,2.1675),(35,5045,-0.012334,2.1668),(35,5055,-0.054649,2.1752),(35,5065,-0.054649,2.1891),(35,5075,-0.054649,2.203),(35,5085,-0.090552,2.2233),(35,5095,-0.090552,2.2517),(35,5105,-0.090552,2.2801),(35,5115,-0.058281,2.3064),(35,5125,-0.058281,2.3265),(35,5135,-0.058281,2.3466),(35,5145,0.031409,2.3639),(35,5155,0.031409,2.3501),(35,5165,0.031409,2.3364),(35,5175,0.031409,2.3226),(35,5185,0.067111,2.2961),(35,5195,0.067111,2.2682),(35,5205,0.067111,2.2402),(35,5215,0.034462,2.222),(35,5225,0.034462,2.2073),(35,5235,0.034462,2.1927),(35,5245,-0.009098,2.1873),(35,5255,-0.009098,2.1894),(35,5265,-0.009098,2.1915),(35,5275,0.002348,2.1924),(35,5285,0.002348,2.1912),(35,5295,0.002348,2.19),(35,5305,0.016795,2.187),(35,5315,0.016795,2.1768),(35,5325,0.016795,2.1666),(35,5335,-0.021488,2.1566),(35,5345,-0.021488,2.1597),(35,5355,-0.021488,2.1628),(35,5365,-0.021488,2.166),(35,5375,-0.083154,2.1879),(35,5385,-0.083154,2.2135),(35,5395,-0.083154,2.2391),(35,5405,-0.031485,2.2549),(35,5415,-0.031485,2.2655),(35,5425,-0.031485,2.2761),(35,5435,0.079749,2.2667),(35,5445,0.079749,2.2356),(35,5455,0.079749,2.2044),(35,5465,0.12387,2.1689),(35,5475,0.12387,2.1234),(35,5485,0.12387,2.0778),(35,5495,0.11956,2.0327),(35,5505,0.11956,1.99),(35,5515,0.11956,1.9473),(35,5525,0.11956,1.9046),(35,5535,0.10597,1.867),(35,5545,0.10597,1.8297),(35,5555,0.10597,1.7924),(35,5565,0.086852,1.7595),(35,5575,0.086852,1.7279),(35,5585,0.086852,1.6964),(35,5595,0.067228,1.6681),(35,5605,0.067228,1.642),(35,5615,0.067228,1.6159),(35,5625,0.050268,1.5917),(35,5635,0.050268,1.5699),(35,5645,0.050268,1.5482),(35,5655,0.037217,1.5272),(35,5665,0.037217,1.5084),(35,5675,0.037217,1.4896),(35,5685,0.02743,1.471),(35,5695,0.02743,1.4544),(35,5705,0.02743,1.4378),(35,5715,0.02743,1.4212),(35,5725,0.019719,1.4059),(35,5735,0.019719,1.3906),(35,5745,0.019719,1.3754),(35,5755,0.013102,1.361),(35,5765,0.013102,1.3468),(35,5775,0.013102,1.3326),(35,5785,0.006553,1.319),(35,5795,0.006553,1.3059),(35,5805,0.006553,1.2928),(35,5815,-0.000509,1.2801),(35,5825,-0.000509,1.2682),(35,5835,-0.000509,1.2562),(35,5845,-0.008412,1.2445),(35,5855,-0.008412,1.2341),(35,5865,-0.008412,1.2237),(35,5875,-0.008412,1.2132),(35,5885,-0.017303,1.2047),(35,5895,-0.017303,1.1963),(35,5905,-0.017303,1.1878),(35,5915,-0.026592,1.1811),(35,5925,-0.026592,1.1748),(35,5935,-0.026592,1.1685),(35,5945,-0.034941,1.1637),(35,5955,-0.034941,1.1597),(35,5965,-0.034941,1.1556),(35,5975,-0.039954,1.1523),(35,5985,-0.039954,1.1498),(35,5995,-0.039954,1.1472),(35,6005,-0.004957,1.1454),(35,6015,-0.004957,1.1452),(35,6025,-0.004957,1.1451),(35,6035,0.043782,1.1429),(35,6045,0.043782,1.1215),(35,6055,0.043782,1.1001),(35,6065,0.043782,1.0788),(35,6075,0.05756,1.0506),(35,6085,0.05756,1.0217),(35,6095,0.05756,0.99291),(35,6105,0.055233,0.96624),(35,6115,0.055233,0.94033),(35,6125,0.055233,0.91442),(35,6135,0.050185,0.88923),(35,6145,0.050185,0.86461),(35,6155,0.050185,0.83999),(35,6165,0.044548,0.81596),(35,6175,0.044548,0.79289),(35,6185,0.044548,0.76981),(35,6195,0.03926,0.74697),(35,6205,0.03926,0.72506),(35,6215,0.03926,0.70314),(35,6225,0.035277,0.68125),(35,6235,0.035277,0.66044),(35,6245,0.035277,0.63963),(35,6255,0.035277,0.61882),(35,6265,0.032295,0.59915),(35,6275,0.032295,0.57969),(35,6285,0.032295,0.56023),(35,6295,0.029636,0.54116),(35,6305,0.029636,0.5223),(35,6315,0.029636,0.50343),(35,6325,0.027485,0.48488),(35,6335,0.027485,0.46667),(35,6345,0.027485,0.44845),(35,6355,0.025615,0.43041),(35,6365,0.025615,0.41275),(35,6375,0.025615,0.39508),(35,6385,0.024004,0.37747),(35,6395,0.024004,0.36016),(35,6405,0.024004,0.34285),(35,6415,0.024004,0.32554),(35,6425,0.022837,0.30852),(35,6435,0.022837,0.29151),(35,6445,0.022837,0.2745),(35,6455,0.02209,0.25769),(35,6465,0.02209,0.24093),(35,6475,0.02209,0.22418),(35,6485,0.021586,0.20755),(35,6495,0.021586,0.19102),(35,6505,0.021586,0.17448),(35,6515,0.021209,0.15801),(35,6525,0.021209,0.14162),(35,6535,0.021209,0.12524),(35,6545,0.020941,0.10887),(35,6555,0.020941,0.092563),(35,6565,0.020941,0.076258),(35,6575,0.020771,0.059954),(35,6585,0.020771,0.04367),(35,6595,0.020771,0.027385),(35,6605,0.020771,0.011101),(35,6615,8e-06,0.009294),(35,6625,8e-06,0.009347),(35,6635,8e-06,0.0094),(35,6645,1e-05,0.009412),(35,6655,1e-05,0.009406),(35,6665,1e-05,0.0094),(35,6675,1e-05,0.009395),(35,6685,1e-05,0.00939),(35,6695,1e-05,0.009385),(35,6705,9e-06,0.00938),(35,6715,9e-06,0.009375),(35,6725,9e-06,0.00937),(35,6735,9e-06,0.009365),(35,6745,9e-06,0.009359),(35,6755,9e-06,0.009352),(35,6765,9e-06,0.009346),(35,6775,1e-05,0.009341),(35,6785,1e-05,0.009335),(35,6795,1e-05,0.00933),(35,6805,1e-05,0.009324),(35,6815,1e-05,0.009319),(35,6825,1e-05,0.009313),(35,6835,1e-05,0.009307),(35,6845,1e-05,0.009301),(35,6855,1e-05,0.009295),(35,6865,1e-05,0.009289),(35,6875,1e-05,0.009283),(35,6885,1e-05,0.009277),(35,6895,1e-05,0.009271),(35,6905,1e-05,0.009265),(35,6915,1e-05,0.009258),(35,6925,1.1e-05,0.009252),(35,6935,1.1e-05,0.009246),(35,6945,1.1e-05,0.009239),(35,6955,1.1e-05,0.009233),(35,6965,1.1e-05,0.009227),(35,6975,1.1e-05,0.009221),(35,6985,1.1e-05,0.009214),(45,5,2e-06,3.6647),(45,15,7e-06,3.6647),(45,25,1.2e-05,3.6647),(45,35,1.7e-05,3.6647),(45,45,2.1e-05,3.6646),(45,55,2.6e-05,3.6646),(45,65,3.1e-05,3.6646),(45,75,3.6e-05,3.6646),(45,85,4e-05,3.6646),(45,95,4.5e-05,3.6646),(45,105,4.9e-05,3.6645),(45,115,5.4e-05,3.6645),(45,125,5.9e-05,3.6645),(45,135,6.4e-05,3.6645),(45,145,6.9e-05,3.6644),(45,155,7.3e-05,3.6644),(45,165,7.8e-05,3.6644),(45,175,8.3e-05,3.6643),(45,185,8.8e-05,3.6643),(45,195,9.2e-05,3.6643),(45,205,9.7e-05,3.6642),(45,215,0.000102,3.6642),(45,225,0.000107,3.6641),(45,235,0.000112,3.6641),(45,245,0.000117,3.664),(45,255,0.000121,3.664),(45,265,0.000126,3.6639),(45,275,0.000131,3.6638),(45,285,0.000137,3.6638),(45,295,0.000142,3.6637),(45,305,0.000147,3.6637),(45,315,0.000152,3.6636),(45,325,0.000157,3.6635),(45,335,0.000162,3.6634),(45,345,0.000167,3.6634),(45,355,0.000172,3.6633),(45,365,0.000177,3.6632),(45,375,0.000181,3.6631),(45,385,0.000187,3.663),(45,395,0.000192,3.663),(45,405,0.000197,3.6629),(45,415,0.000202,3.6628),(45,425,0.000207,3.6627),(45,435,0.000212,3.6626),(45,445,0.000217,3.6625),(45,455,0.000222,3.6624),(45,465,0.000228,3.6623),(45,475,0.000233,3.6622),(45,485,0.000238,3.6621),(45,495,0.000243,3.662),(45,505,0.000248,3.6619),(45,515,0.000253,3.6617),(45,525,0.000259,3.6616),(45,535,0.000264,3.6615),(45,545,0.000269,3.6614),(45,555,0.000275,3.6613),(45,565,0.00028,3.6611),(45,575,0.000286,3.661),(45,585,0.000291,3.6609),(45,595,0.000297,3.6607),(45,605,0.000302,3.6606),(45,615,0.000308,3.6605),(45,625,0.000314,3.6603),(45,635,0.000319,3.6602),(45,645,0.000325,3.66),(45,655,0.000331,3.6599),(45,665,0.000336,3.6597),(45,675,0.000342,3.6596),(45,685,0.000348,3.6594),(45,695,0.000353,3.6592),(45,705,0.000359,3.6591),(45,715,0.000365,3.6589),(45,725,0.000371,3.6588),(45,735,0.000377,3.6586),(45,745,0.000383,3.6584),(45,755,0.000389,3.6582),(45,765,0.000395,3.6581),(45,775,0.000401,3.6579),(45,785,0.000407,3.6577),(45,795,0.000413,3.6575),(45,805,0.000419,3.6573),(45,815,0.000425,3.6571),(45,825,0.000431,3.6569),(45,835,0.000438,3.6567),(45,845,0.000444,3.6565),(45,855,0.00045,3.6563),(45,865,0.000456,3.6561),(45,875,0.000463,3.6559),(45,885,0.000469,3.6557),(45,895,0.000475,3.6555),(45,905,0.000482,3.6553),(45,915,0.000488,3.655),(45,925,0.000495,3.6548),(45,935,0.000502,3.6546),(45,945,0.000508,3.6544),(45,955,0.000515,3.6541),(45,965,0.000522,3.6539),(45,975,0.000529,3.6536),(45,985,0.000535,3.6534),(45,995,0.000542,3.6532),(45,1005,0.000549,3.6529),(45,1015,0.000556,3.6527),(45,1025,0.000563,3.6524),(45,1035,0.00057,3.6521),(45,1045,0.000577,3.6519),(45,1055,0.000584,3.6516),(45,1065,0.000591,3.6514),(45,1075,0.000598,3.6511),(45,1085,0.000605,3.6508),(45,1095,0.000612,3.6505),(45,1105,0.000619,3.6502),(45,1115,0.000627,3.65),(45,1125,0.000634,3.6497),(45,1135,0.000642,3.6494),(45,1145,0.000649,3.6491),(45,1155,0.000657,3.6488),(45,1165,0.000664,3.6485),(45,1175,0.000672,3.6482),(45,1185,0.000679,3.6479),(45,1195,0.000687,3.6476),(45,1205,0.000695,3.6472),(45,1215,0.000702,3.6469),(45,1225,0.00071,3.6466),(45,1235,0.000718,3.6463),(45,1245,0.000726,3.646),(45,1255,0.000734,3.6456),(45,1265,0.000742,3.6453),(45,1275,0.00075,3.6449),(45,1285,0.000758,3.6446),(45,1295,0.000766,3.6443),(45,1305,0.000774,3.6439),(45,1315,0.000783,3.6435),(45,1325,0.000791,3.6432),(45,1335,0.000799,3.6428),(45,1345,0.000808,3.6425),(45,1355,0.000816,3.6421),(45,1365,0.000824,3.6417),(45,1375,0.000833,3.6413),(45,1385,0.000841,3.641),(45,1395,0.00085,3.6406),(45,1405,0.000858,3.6402),(45,1415,0.000867,3.6398),(45,1425,0.000876,3.6394),(45,1435,0.000885,3.639),(45,1445,0.000893,3.6386),(45,1455,0.000902,3.6382),(45,1465,0.000911,3.6378),(45,1475,0.00092,3.6374),(45,1485,0.000929,3.6369),(45,1495,0.000938,3.6365),(45,1505,0.000948,3.6361),(45,1515,0.000957,3.6356),(45,1525,0.000966,3.6352),(45,1535,0.000975,3.6348),(45,1545,0.000984,3.6343),(45,1555,0.000994,3.6339),(45,1565,0.001003,3.6334),(45,1575,0.001012,3.6329),(45,1585,0.001022,3.6325),(45,1595,0.001031,3.632),(45,1605,0.00104,3.6315),(45,1615,0.00105,3.6311),(45,1625,0.00106,3.6306),(45,1635,0.001069,3.6301),(45,1645,0.001079,3.6296),(45,1655,0.001089,3.6291),(45,1665,0.001099,3.6286),(45,1675,0.001109,3.6281),(45,1685,0.001119,3.6276),(45,1695,0.001129,3.6271),(45,1705,0.00114,3.6266),(45,1715,0.00115,3.6261),(45,1725,0.00116,3.6255),(45,1735,0.001171,3.625),(45,1745,0.001181,3.6245),(45,1755,0.001191,3.6239),(45,1765,0.001202,3.6234),(45,1775,0.001212,3.6228),(45,1785,0.001223,3.6223),(45,1795,0.001233,3.6217),(45,1805,0.001244,3.6212),(45,1815,0.001254,3.6206),(45,1825,0.001265,3.62),(45,1835,0.001276,3.6194),(45,1845,0.001286,3.6188),(45,1855,0.001297,3.6183),(45,1865,0.001308,3.6177),(45,1875,0.001319,3.6171),(45,1885,0.00133,3.6165),(45,1895,0.001341,3.6159),(45,1905,0.001352,3.6153),(45,1915,0.001363,3.6146),(45,1925,0.001374,3.614),(45,1935,0.001385,3.6134),(45,1945,0.001396,3.6127),(45,1955,0.001408,3.6121),(45,1965,0.001419,3.6115),(45,1975,0.001431,3.6108),(45,1985,0.001442,3.6102),(45,1995,0.001454,3.6095),(45,2005,0.001465,3.6088),(45,2015,0.001477,3.6082),(45,2025,0.001489,3.6075),(45,2035,0.0015,3.6068),(45,2045,0.001512,3.6061),(45,2055,0.001524,3.6054),(45,2065,0.001536,3.6047),(45,2075,0.001548,3.604),(45,2085,0.00156,3.6033),(45,2095,0.001572,3.6026),(45,2105,0.001584,3.6019),(45,2115,0.001596,3.6012),(45,2125,0.001609,3.6005),(45,2135,0.001621,3.5997),(45,2145,0.001633,3.599),(45,2155,0.001646,3.5982),(45,2165,0.001658,3.5975),(45,2175,0.001671,3.5967),(45,2185,0.001684,3.596),(45,2195,0.001696,3.5952),(45,2205,0.001709,3.5944),(45,2215,0.001722,3.5936),(45,2225,0.001735,3.5929),(45,2235,0.001748,3.5921),(45,2245,0.001761,3.5913),(45,2255,0.001774,3.5905),(45,2265,0.001788,3.5897),(45,2275,0.001801,3.5888),(45,2285,0.001814,3.588),(45,2295,0.001827,3.5872),(45,2305,0.001841,3.5864),(45,2315,0.001854,3.5855),(45,2325,0.001868,3.5847),(45,2335,0.001882,3.5839),(45,2345,0.001896,3.583),(45,2355,0.001909,3.5821),(45,2365,0.001924,3.5813),(45,2375,0.001938,3.5804),(45,2385,0.001952,3.5795),(45,2395,0.001966,3.5786),(45,2405,0.001981,3.5777),(45,2415,0.001996,3.5768),(45,2425,0.002011,3.5759),(45,2435,0.002025,3.575),(45,2445,0.002041,3.5741),(45,2455,0.002056,3.5732),(45,2465,0.002071,3.5722),(45,2475,0.002087,3.5713),(45,2485,0.002103,3.5704),(45,2495,0.002118,3.5694),(45,2505,0.002134,3.5685),(45,2515,0.00215,3.5675),(45,2525,0.002167,3.5665),(45,2535,0.002183,3.5656),(45,2545,0.002199,3.5646),(45,2555,0.002216,3.5636),(45,2565,0.002233,3.5626),(45,2575,0.00225,3.5616),(45,2585,0.002267,3.5606),(45,2595,0.002285,3.5595),(45,2605,0.002303,3.5585),(45,2615,0.002321,3.5575),(45,2625,0.002339,3.5565),(45,2635,0.002357,3.5554),(45,2645,0.002377,3.5544),(45,2655,0.002396,3.5533),(45,2665,0.002415,3.5522),(45,2675,0.002434,3.5511),(45,2685,0.002455,3.5501),(45,2695,0.002476,3.549),(45,2705,0.002496,3.5479),(45,2715,0.002517,3.5468),(45,2725,0.002539,3.5456),(45,2735,0.002561,3.5445),(45,2745,0.002583,3.5434),(45,2755,0.002606,3.5422),(45,2765,0.00263,3.5411),(45,2775,0.002654,3.5399),(45,2785,0.002677,3.5388),(45,2795,0.002702,3.5376),(45,2805,0.002728,3.5364),(45,2815,0.002754,3.5352),(45,2825,0.002779,3.534),(45,2835,0.002806,3.5328),(45,2845,0.002835,3.5316),(45,2855,0.002863,3.5303),(45,2865,0.002891,3.5291),(45,2875,0.002921,3.5278),(45,2885,0.002952,3.5266),(45,2895,0.002983,3.5253),(45,2905,0.003015,3.524),(45,2915,0.003047,3.5227),(45,2925,0.003082,3.5214),(45,2935,0.003117,3.5201),(45,2945,0.003152,3.5187),(45,2955,0.003189,3.5174),(45,2965,0.003228,3.5161),(45,2975,0.003267,3.5147),(45,2985,0.003306,3.5133),(45,2995,0.003348,3.5119),(45,3005,0.003392,3.5105),(45,3015,0.003436,3.5091),(45,3025,0.003481,3.5076),(45,3035,0.003528,3.5062),(45,3045,0.003579,3.5047),(45,3055,0.003629,3.5032),(45,3065,0.003679,3.5017),(45,3075,0.003734,3.5002),(45,3085,0.003792,3.4987),(45,3095,0.003849,3.4971),(45,3105,0.003907,3.4955),(45,3115,0.00397,3.4939),(45,3125,0.004037,3.4924),(45,3135,0.004103,3.4907),(45,3145,0.00417,3.489),(45,3155,0.004243,3.4874),(45,3165,0.004321,3.4857),(45,3175,0.004398,3.484),(45,3185,0.004476,3.4822),(45,3195,0.004562,3.4805),(45,3205,0.004653,3.4787),(45,3215,0.004744,3.4769),(45,3225,0.004835,3.475),(45,3235,0.004937,3.4731),(45,3245,0.005044,3.4713),(45,3255,0.005151,3.4693),(45,3265,0.005258,3.4673),(45,3275,0.00538,3.4653),(45,3285,0.005507,3.4633),(45,3295,0.005634,3.4612),(45,3305,0.005761,3.4591),(45,3315,0.005908,3.457),(45,3325,0.00606,3.4548),(45,3335,0.006211,3.4526),(45,3345,0.006363,3.4503),(45,3355,0.006541,3.448),(45,3365,0.006723,3.4457),(45,3375,0.006905,3.4432),(45,3385,0.007088,3.4407),(45,3395,0.007304,3.4382),(45,3405,0.007524,3.4357),(45,3415,0.007745,3.433),(45,3425,0.007965,3.4303),(45,3435,0.00823,3.4275),(45,3445,0.008498,3.4248),(45,3455,0.008767,3.4218),(45,3465,0.009035,3.4188),(45,3475,0.009362,3.4157),(45,3485,0.00969,3.4127),(45,3495,0.010019,3.4094),(45,3505,0.010348,3.406),(45,3515,0.010752,3.4026),(45,3525,0.011157,3.3993),(45,3535,0.011562,3.3955),(45,3545,0.011971,3.3917),(45,3555,0.012472,3.3879),(45,3565,0.012973,3.3841),(45,3575,0.013474,3.3798),(45,3585,0.013986,3.3755),(45,3595,0.014609,3.3712),(45,3605,0.015232,3.3669),(45,3615,0.015855,3.3619),(45,3625,0.016496,3.357),(45,3635,0.017273,3.3521),(45,3645,0.018049,3.3471),(45,3655,0.018825,3.3413),(45,3665,0.019632,3.3356),(45,3675,0.020599,3.3299),(45,3685,0.021565,3.3241),(45,3695,0.022532,3.3174),(45,3705,0.023545,3.3107),(45,3715,0.024742,3.3041),(45,3725,0.025939,3.2971),(45,3735,0.027136,3.2893),(45,3745,0.028397,3.2814),(45,3755,0.029858,3.2736),(45,3765,0.031319,3.2653),(45,3775,0.03278,3.256),(45,3785,0.034317,3.2467),(45,3795,0.036047,3.2373),(45,3805,0.037777,3.2275),(45,3815,0.039507,3.2164),(45,3825,0.0413,3.2053),(45,3835,0.043225,3.1942),(45,3845,0.04515,3.1824),(45,3855,0.047074,3.1692),(45,3865,0.048978,3.1561),(45,3875,0.050846,3.1429),(45,3885,0.052714,3.1289),(45,3895,0.054582,3.1136),(45,3905,0.059107,3.0982),(45,3915,0.067602,3.0829),(45,3925,0.076096,3.0626),(45,3935,0.084591,3.0353),(45,3945,0.091753,3.008),(45,3955,0.097222,2.9807),(45,3965,0.10269,2.9507),(45,3975,0.10816,2.9176),(45,3985,0.10904,2.8844),(45,3995,0.10497,2.8512),(45,4005,0.10089,2.8206),(45,4015,0.096808,2.7926),(45,4025,0.090569,2.7647),(45,4035,0.084118,2.7387),(45,4045,0.077668,2.7168),(45,4055,0.070375,2.695),(45,4065,0.062773,2.6741),(45,4075,0.055172,2.659),(45,4085,0.048167,2.6439),(45,4095,0.04164,2.6289),(45,4105,0.035113,2.6197),(45,4115,0.029044,2.6108),(45,4125,0.023736,2.6018),(45,4135,0.018427,2.5971),(45,4145,0.014176,2.5935),(45,4155,0.01421,2.5899),(45,4165,0.014243,2.5854),(45,4175,0.01433,2.5803),(45,4185,0.01704,2.5751),(45,4195,0.01975,2.5688),(45,4205,0.022461,2.5608),(45,4215,0.021335,2.5528),(45,4225,0.019487,2.5457),(45,4235,0.01764,2.5409),(45,4245,0.016602,2.5361),(45,4255,0.015976,2.5314),(45,4265,0.01535,2.5282),(45,4275,0.014673,2.525),(45,4285,0.013941,2.5218),(45,4295,0.013209,2.5189),(45,4305,0.017225,2.516),(45,4315,0.031963,2.513),(45,4325,0.046701,2.4985),(45,4335,0.059113,2.4794),(45,4345,0.055782,2.4604),(45,4355,0.052451,2.4436),(45,4365,0.04912,2.4289),(45,4375,0.044053,2.4142),(45,4385,0.038896,2.4018),(45,4395,0.033738,2.3935),(45,4405,0.028255,2.3853),(45,4415,0.022675,2.378),(45,4425,0.017095,2.3755),(45,4435,0.017486,2.3729),(45,4445,0.021957,2.3703),(45,4455,0.026428,2.3608),(45,4465,0.030785,2.3513),(45,4475,0.034981,2.3417),(45,4485,0.039178,2.3288),(45,4495,0.040469,2.3152),(45,4505,0.032441,2.3016),(45,4515,0.024412,2.2936),(45,4525,0.016335,2.2887),(45,4535,0.007509,2.2838),(45,4545,-0.001317,2.2833),(45,4555,-0.010144,2.2875),(45,4565,-0.006548,2.2918),(45,4575,-0.001277,2.2942),(45,4585,0.003994,2.292),(45,4595,0.008969,2.2899),(45,4605,0.013818,2.287),(45,4615,0.018667,2.2788),(45,4625,0.019101,2.2706),(45,4635,0.015536,2.2624),(45,4645,0.011972,2.2579),(45,4655,0.007569,2.2537),(45,4665,0.001588,2.2495),(45,4675,-0.004394,2.2512),(45,4685,-0.009115,2.2548),(45,4695,-0.007611,2.2584),(45,4705,-0.006107,2.2615),(45,4715,-0.004603,2.2642),(45,4725,0.008793,2.267),(45,4735,0.022308,2.2632),(45,4745,0.035823,2.2495),(45,4755,0.034395,2.2359),(45,4765,0.029506,2.2233),(45,4775,0.024616,2.2143),(45,4785,0.014306,2.2054),(45,4795,0.000862,2.1971),(45,4805,-0.012583,2.2022),(45,4815,-0.022122,2.2073),(45,4825,-0.026991,2.2124),(45,4835,-0.031861,2.2227),(45,4845,-0.03062,2.2339),(45,4855,-0.013451,2.245),(45,4865,0.003718,2.2432),(45,4875,0.020288,2.2356),(45,4885,0.031406,2.228),(45,4895,0.042524,2.2142),(45,4905,0.053643,2.1945),(45,4915,0.043639,2.1748),(45,4925,0.031819,2.1596),(45,4935,0.019999,2.1535),(45,4945,0.008624,2.1473),(45,4955,-0.002597,2.1431),(45,4965,-0.013818,2.1493),(45,4975,-0.016711,2.1555),(45,4985,-0.013176,2.1617),(45,4995,-0.00964,2.1644),(45,5005,-0.008142,2.167),(45,5015,-0.009885,2.1696),(45,5025,-0.011628,2.1688),(45,5035,-0.016706,2.1672),(45,5045,-0.034487,2.1656),(45,5055,-0.052269,2.1734),(45,5065,-0.069987,2.187),(45,5075,-0.085617,2.2007),(45,5085,-0.10125,2.2212),(45,5095,-0.11688,2.2505),(45,5105,-0.1081,2.2798),(45,5115,-0.095068,2.3069),(45,5125,-0.082035,2.3279),(45,5135,-0.052255,2.3489),(45,5145,-0.014349,2.3669),(45,5155,0.023558,2.3524),(45,5165,0.050029,2.338),(45,5175,0.064838,2.3235),(45,5185,0.079646,2.2958),(45,5195,0.085217,2.2668),(45,5205,0.070871,2.2378),(45,5215,0.056525,2.2192),(45,5225,0.04158,2.2046),(45,5235,0.022912,2.19),(45,5245,0.004244,2.1852),(45,5255,-0.014424,2.1885),(45,5265,-0.009529,2.1917),(45,5275,-0.003661,2.1932),(45,5285,0.002206,2.1919),(45,5295,0.008835,2.1905),(45,5305,0.015677,2.1872),(45,5315,0.022519,2.1758),(45,5325,0.015376,2.1644),(45,5335,-0.000937,2.1532),(45,5345,-0.01725,2.156),(45,5355,-0.037876,2.1587),(45,5365,-0.06432,2.1615),(45,5375,-0.090763,2.1844),(45,5385,-0.10534,2.2112),(45,5395,-0.083825,2.2379),(45,5405,-0.062313,2.2545),(45,5415,-0.039074,2.2657),(45,5425,0.007366,2.2769),(45,5435,0.053806,2.2673),(45,5445,0.10025,2.2353),(45,5455,0.12119,2.2032),(45,5465,0.13901,2.1669),(45,5475,0.15683,2.1206),(45,5485,0.16031,2.0742),(45,5495,0.15801,2.0283),(45,5505,0.15571,1.9854),(45,5515,0.15147,1.9426),(45,5525,0.14555,1.8997),(45,5535,0.13962,1.8622),(45,5545,0.13298,1.8251),(45,5555,0.12504,1.788),(45,5565,0.1171,1.7554),(45,5575,0.10917,1.7242),(45,5585,0.10125,1.693),(45,5595,0.093334,1.665),(45,5605,0.085416,1.6393),(45,5615,0.078663,1.6136),(45,5625,0.071911,1.5896),(45,5635,0.065159,1.5682),(45,5645,0.059671,1.5468),(45,5655,0.054459,1.526),(45,5665,0.049246,1.5074),(45,5675,0.044878,1.4888),(45,5685,0.040979,1.4703),(45,5695,0.037079,1.4538),(45,5705,0.033568,1.4372),(45,5715,0.030503,1.4207),(45,5725,0.027439,1.4054),(45,5735,0.024498,1.3902),(45,5745,0.021865,1.375),(45,5755,0.019232,1.3605),(45,5765,0.016601,1.3463),(45,5775,0.013997,1.3321),(45,5785,0.011392,1.3184),(45,5795,0.008787,1.3052),(45,5805,0.005964,1.2921),(45,5815,0.003125,1.2793),(45,5825,0.000287,1.2673),(45,5835,-0.002825,1.2552),(45,5845,-0.006026,1.2435),(45,5855,-0.009227,1.2329),(45,5865,-0.012668,1.2224),(45,5875,-0.016287,1.2118),(45,5885,-0.019907,1.2033),(45,5895,-0.023615,1.1947),(45,5905,-0.027459,1.1862),(45,5915,-0.031303,1.1794),(45,5925,-0.035086,1.1731),(45,5935,-0.038649,1.1669),(45,5945,-0.042213,1.1621),(45,5955,-0.045724,1.1582),(45,5965,-0.047979,1.1544),(45,5975,-0.050234,1.1513),(45,5985,-0.052489,1.1491),(45,5995,-0.040275,1.1469),(45,6005,-0.025731,1.1453),(45,6015,-0.011188,1.1451),(45,6025,0.007286,1.145),(45,6035,0.027584,1.1429),(45,6045,0.047882,1.1213),(45,6055,0.060628,1.0997),(45,6065,0.06597,1.0781),(45,6075,0.071313,1.0497),(45,6085,0.074512,1.0207),(45,6095,0.073294,0.99164),(45,6105,0.072076,0.96477),(45,6115,0.070719,0.93866),(45,6125,0.068569,0.91254),(45,6135,0.066418,0.88726),(45,6145,0.064268,0.86262),(45,6155,0.062014,0.83799),(45,6165,0.059757,0.81396),(45,6175,0.0575,0.79094),(45,6185,0.055405,0.76792),(45,6195,0.053352,0.74515),(45,6205,0.051299,0.72337),(45,6215,0.049499,0.7016),(45,6225,0.047857,0.67985),(45,6235,0.046215,0.65914),(45,6245,0.04475,0.63843),(45,6255,0.043513,0.61773),(45,6265,0.042277,0.5981),(45,6275,0.041083,0.57867),(45,6285,0.040007,0.55925),(45,6295,0.038932,0.54023),(45,6305,0.037873,0.52142),(45,6315,0.037004,0.50261),(45,6325,0.036135,0.4841),(45,6335,0.035265,0.46592),(45,6345,0.034533,0.44774),(45,6355,0.033816,0.42973),(45,6365,0.033099,0.41209),(45,6375,0.032464,0.39446),(45,6385,0.031861,0.37688),(45,6395,0.031257,0.35962),(45,6405,0.030733,0.34236),(45,6415,0.030275,0.3251),(45,6425,0.029817,0.30812),(45,6435,0.02941,0.29116),(45,6445,0.029088,0.27419),(45,6455,0.028767,0.25741),(45,6465,0.028463,0.24069),(45,6475,0.028234,0.22396),(45,6485,0.028004,0.20736),(45,6495,0.027775,0.19084),(45,6505,0.027603,0.17432),(45,6515,0.02743,0.15786),(45,6525,0.027258,0.14149),(45,6535,0.02713,0.12512),(45,6545,0.027011,0.10876),(45,6555,0.026892,0.092471),(45,6565,0.026809,0.07618),(45,6575,0.026745,0.059889),(45,6585,0.026681,0.043606),(45,6595,0.022665,0.027323),(45,6605,0.014284,0.01104),(45,6615,0.005903,0.009251),(45,6625,1.1e-05,0.009323),(45,6635,1.1e-05,0.009395),(45,6645,1.1e-05,0.009412),(45,6655,1.2e-05,0.009406),(45,6665,1.2e-05,0.0094),(45,6675,1.2e-05,0.009395),(45,6685,1.2e-05,0.00939),(45,6695,1.2e-05,0.009385),(45,6705,1.2e-05,0.00938),(45,6715,1.2e-05,0.009375),(45,6725,1.2e-05,0.00937),(45,6735,1.2e-05,0.009364),(45,6745,1.2e-05,0.009359),(45,6755,1.2e-05,0.009352),(45,6765,1.2e-05,0.009347),(45,6775,1.2e-05,0.009341),(45,6785,1.2e-05,0.009336),(45,6795,1.3e-05,0.00933),(45,6805,1.3e-05,0.009324),(45,6815,1.3e-05,0.009319),(45,6825,1.3e-05,0.009313),(45,6835,1.3e-05,0.009307),(45,6845,1.3e-05,0.009301),(45,6855,1.3e-05,0.009295),(45,6865,1.3e-05,0.009289),(45,6875,1.3e-05,0.009283),(45,6885,1.3e-05,0.009277),(45,6895,1.3e-05,0.009271),(45,6905,1.3e-05,0.009265),(45,6915,1.3e-05,0.009258),(45,6925,1.3e-05,0.009252),(45,6935,1.3e-05,0.009246),(45,6945,1.4e-05,0.00924),(45,6955,1.4e-05,0.009233),(45,6965,1.4e-05,0.009227),(45,6975,1.4e-05,0.009221),(45,6985,1.4e-05,0.009214),(55,5,3e-06,3.6647),(55,15,9e-06,3.6647),(55,25,1.4e-05,3.6647),(55,35,2e-05,3.6647),(55,45,2.6e-05,3.6647),(55,55,3.2e-05,3.6646),(55,65,3.8e-05,3.6646),(55,75,4.4e-05,3.6646),(55,85,4.9e-05,3.6646),(55,95,5.5e-05,3.6646),(55,105,6.1e-05,3.6646),(55,115,6.6e-05,3.6645),(55,125,7.2e-05,3.6645),(55,135,7.8e-05,3.6645),(55,145,8.4e-05,3.6644),(55,155,9e-05,3.6644),(55,165,9.6e-05,3.6644),(55,175,0.000101,3.6643),(55,185,0.000107,3.6643),(55,195,0.000113,3.6643),(55,205,0.000119,3.6642),(55,215,0.000125,3.6642),(55,225,0.000131,3.6641),(55,235,0.000137,3.6641),(55,245,0.000143,3.664),(55,255,0.000149,3.664),(55,265,0.000155,3.6639),(55,275,0.000161,3.6639),(55,285,0.000167,3.6638),(55,295,0.000173,3.6637),(55,305,0.000179,3.6637),(55,315,0.000185,3.6636),(55,325,0.000191,3.6635),(55,335,0.000197,3.6634),(55,345,0.000203,3.6634),(55,355,0.000209,3.6633),(55,365,0.000216,3.6632),(55,375,0.000222,3.6631),(55,385,0.000228,3.6631),(55,395,0.000234,3.663),(55,405,0.00024,3.6629),(55,415,0.000247,3.6628),(55,425,0.000253,3.6627),(55,435,0.000259,3.6626),(55,445,0.000266,3.6625),(55,455,0.000272,3.6624),(55,465,0.000278,3.6623),(55,475,0.000285,3.6622),(55,485,0.000291,3.6621),(55,495,0.000297,3.662),(55,505,0.000304,3.6619),(55,515,0.00031,3.6617),(55,525,0.000316,3.6616),(55,535,0.000323,3.6615),(55,545,0.000329,3.6614),(55,555,0.000336,3.6613),(55,565,0.000343,3.6611),(55,575,0.000349,3.661),(55,585,0.000356,3.6609),(55,595,0.000363,3.6607),(55,605,0.00037,3.6606),(55,615,0.000376,3.6605),(55,625,0.000383,3.6603),(55,635,0.00039,3.6602),(55,645,0.000397,3.66),(55,655,0.000404,3.6599),(55,665,0.000411,3.6597),(55,675,0.000418,3.6596),(55,685,0.000425,3.6594),(55,695,0.000432,3.6593),(55,705,0.000439,3.6591),(55,715,0.000446,3.6589),(55,725,0.000453,3.6588),(55,735,0.000461,3.6586),(55,745,0.000468,3.6584),(55,755,0.000475,3.6582),(55,765,0.000482,3.6581),(55,775,0.00049,3.6579),(55,785,0.000497,3.6577),(55,795,0.000505,3.6575),(55,805,0.000512,3.6573),(55,815,0.00052,3.6571),(55,825,0.000527,3.6569),(55,835,0.000535,3.6567),(55,845,0.000543,3.6565),(55,855,0.00055,3.6563),(55,865,0.000558,3.6561),(55,875,0.000566,3.6559),(55,885,0.000573,3.6557),(55,895,0.000581,3.6555),(55,905,0.000589,3.6553),(55,915,0.000597,3.655),(55,925,0.000605,3.6548),(55,935,0.000613,3.6546),(55,945,0.000621,3.6544),(55,955,0.000629,3.6541),(55,965,0.000638,3.6539),(55,975,0.000646,3.6536),(55,985,0.000654,3.6534),(55,995,0.000663,3.6532),(55,1005,0.000671,3.6529),(55,1015,0.000679,3.6527),(55,1025,0.000688,3.6524),(55,1035,0.000696,3.6521),(55,1045,0.000705,3.6519),(55,1055,0.000713,3.6516),(55,1065,0.000722,3.6514),(55,1075,0.000731,3.6511),(55,1085,0.000739,3.6508),(55,1095,0.000748,3.6505),(55,1105,0.000757,3.6503),(55,1115,0.000766,3.65),(55,1125,0.000775,3.6497),(55,1135,0.000784,3.6494),(55,1145,0.000793,3.6491),(55,1155,0.000802,3.6488),(55,1165,0.000812,3.6485),(55,1175,0.000821,3.6482),(55,1185,0.00083,3.6479),(55,1195,0.00084,3.6476),(55,1205,0.000849,3.6473),(55,1215,0.000858,3.6469),(55,1225,0.000868,3.6466),(55,1235,0.000878,3.6463),(55,1245,0.000887,3.646),(55,1255,0.000897,3.6456),(55,1265,0.000907,3.6453),(55,1275,0.000917,3.645),(55,1285,0.000926,3.6446),(55,1295,0.000936,3.6443),(55,1305,0.000946,3.6439),(55,1315,0.000957,3.6436),(55,1325,0.000967,3.6432),(55,1335,0.000977,3.6428),(55,1345,0.000987,3.6425),(55,1355,0.000997,3.6421),(55,1365,0.001008,3.6417),(55,1375,0.001018,3.6413),(55,1385,0.001028,3.641),(55,1395,0.001039,3.6406),(55,1405,0.001049,3.6402),(55,1415,0.00106,3.6398),(55,1425,0.00107,3.6394),(55,1435,0.001081,3.639),(55,1445,0.001092,3.6386),(55,1455,0.001103,3.6382),(55,1465,0.001114,3.6378),(55,1475,0.001125,3.6374),(55,1485,0.001136,3.6369),(55,1495,0.001147,3.6365),(55,1505,0.001158,3.6361),(55,1515,0.001169,3.6356),(55,1525,0.00118,3.6352),(55,1535,0.001192,3.6348),(55,1545,0.001203,3.6343),(55,1555,0.001215,3.6339),(55,1565,0.001226,3.6334),(55,1575,0.001237,3.633),(55,1585,0.001249,3.6325),(55,1595,0.00126,3.632),(55,1605,0.001272,3.6316),(55,1615,0.001284,3.6311),(55,1625,0.001295,3.6306),(55,1635,0.001307,3.6301),(55,1645,0.001319,3.6296),(55,1655,0.001331,3.6291),(55,1665,0.001343,3.6286),(55,1675,0.001355,3.6281),(55,1685,0.001368,3.6276),(55,1695,0.00138,3.6271),(55,1705,0.001393,3.6266),(55,1715,0.001405,3.6261),(55,1725,0.001418,3.6255),(55,1735,0.00143,3.625),(55,1745,0.001443,3.6245),(55,1755,0.001456,3.6239),(55,1765,0.001468,3.6234),(55,1775,0.001481,3.6228),(55,1785,0.001494,3.6223),(55,1795,0.001507,3.6217),(55,1805,0.00152,3.6212),(55,1815,0.001533,3.6206),(55,1825,0.001546,3.62),(55,1835,0.001559,3.6194),(55,1845,0.001572,3.6189),(55,1855,0.001586,3.6183),(55,1865,0.001599,3.6177),(55,1875,0.001612,3.6171),(55,1885,0.001625,3.6165),(55,1895,0.001639,3.6159),(55,1905,0.001652,3.6153),(55,1915,0.001666,3.6146),(55,1925,0.00168,3.614),(55,1935,0.001693,3.6134),(55,1945,0.001707,3.6128),(55,1955,0.001721,3.6121),(55,1965,0.001735,3.6115),(55,1975,0.001749,3.6108),(55,1985,0.001763,3.6102),(55,1995,0.001777,3.6095),(55,2005,0.001791,3.6088),(55,2015,0.001805,3.6082),(55,2025,0.001819,3.6075),(55,2035,0.001834,3.6068),(55,2045,0.001848,3.6061),(55,2055,0.001863,3.6055),(55,2065,0.001877,3.6048),(55,2075,0.001892,3.604),(55,2085,0.001907,3.6033),(55,2095,0.001922,3.6026),(55,2105,0.001936,3.6019),(55,2115,0.001951,3.6012),(55,2125,0.001966,3.6005),(55,2135,0.001981,3.5997),(55,2145,0.001996,3.599),(55,2155,0.002011,3.5982),(55,2165,0.002027,3.5975),(55,2175,0.002042,3.5967),(55,2185,0.002058,3.596),(55,2195,0.002073,3.5952),(55,2205,0.002089,3.5944),(55,2215,0.002105,3.5937),(55,2225,0.00212,3.5929),(55,2235,0.002136,3.5921),(55,2245,0.002152,3.5913),(55,2255,0.002168,3.5905),(55,2265,0.002184,3.5897),(55,2275,0.002201,3.5889),(55,2285,0.002217,3.588),(55,2295,0.002233,3.5872),(55,2305,0.00225,3.5864),(55,2315,0.002266,3.5855),(55,2325,0.002283,3.5847),(55,2335,0.0023,3.5839),(55,2345,0.002317,3.583),(55,2355,0.002334,3.5821),(55,2365,0.002351,3.5813),(55,2375,0.002368,3.5804),(55,2385,0.002386,3.5795),(55,2395,0.002403,3.5786),(55,2405,0.002421,3.5777),(55,2415,0.002439,3.5769),(55,2425,0.002457,3.5759),(55,2435,0.002475,3.575),(55,2445,0.002494,3.5741),(55,2455,0.002513,3.5732),(55,2465,0.002531,3.5723),(55,2475,0.00255,3.5713),(55,2485,0.002569,3.5704),(55,2495,0.002589,3.5694),(55,2505,0.002608,3.5685),(55,2515,0.002628,3.5675),(55,2525,0.002648,3.5665),(55,2535,0.002668,3.5656),(55,2545,0.002688,3.5646),(55,2555,0.002708,3.5636),(55,2565,0.002729,3.5626),(55,2575,0.00275,3.5616),(55,2585,0.002771,3.5606),(55,2595,0.002792,3.5596),(55,2605,0.002814,3.5585),(55,2615,0.002836,3.5575),(55,2625,0.002859,3.5565),(55,2635,0.002881,3.5554),(55,2645,0.002904,3.5544),(55,2655,0.002928,3.5533),(55,2665,0.002951,3.5522),(55,2675,0.002975,3.5512),(55,2685,0.003,3.5501),(55,2695,0.003025,3.549),(55,2705,0.00305,3.5479),(55,2715,0.003076,3.5468),(55,2725,0.003103,3.5457),(55,2735,0.00313,3.5445),(55,2745,0.003157,3.5434),(55,2755,0.003184,3.5423),(55,2765,0.003213,3.5411),(55,2775,0.003242,3.54),(55,2785,0.003271,3.5388),(55,2795,0.003301,3.5376),(55,2805,0.003333,3.5364),(55,2815,0.003364,3.5352),(55,2825,0.003396,3.534),(55,2835,0.003428,3.5328),(55,2845,0.003463,3.5316),(55,2855,0.003498,3.5304),(55,2865,0.003532,3.5291),(55,2875,0.003568,3.5279),(55,2885,0.003606,3.5266),(55,2895,0.003645,3.5253),(55,2905,0.003683,3.524),(55,2915,0.003723,3.5227),(55,2925,0.003765,3.5214),(55,2935,0.003808,3.5201),(55,2945,0.00385,3.5188),(55,2955,0.003895,3.5174),(55,2965,0.003943,3.5161),(55,2975,0.00399,3.5147),(55,2985,0.004038,3.5133),(55,2995,0.004089,3.5119),(55,3005,0.004143,3.5105),(55,3015,0.004197,3.5091),(55,3025,0.004251,3.5077),(55,3035,0.004308,3.5062),(55,3045,0.00437,3.5048),(55,3055,0.004431,3.5033),(55,3065,0.004493,3.5017),(55,3075,0.004559,3.5002),(55,3085,0.00463,3.4987),(55,3095,0.0047,3.4972),(55,3105,0.00477,3.4956),(55,3115,0.004847,3.494),(55,3125,0.004928,3.4924),(55,3135,0.005009,3.4908),(55,3145,0.005091,3.4891),(55,3155,0.00518,3.4874),(55,3165,0.005275,3.4858),(55,3175,0.005369,3.484),(55,3185,0.005463,3.4823),(55,3195,0.005569,3.4805),(55,3205,0.005679,3.4788),(55,3215,0.00579,3.4769),(55,3225,0.0059,3.4751),(55,3235,0.006025,3.4732),(55,3245,0.006155,3.4713),(55,3255,0.006285,3.4694),(55,3265,0.006416,3.4674),(55,3275,0.006564,3.4654),(55,3285,0.006719,3.4634),(55,3295,0.006873,3.4613),(55,3305,0.007028,3.4592),(55,3315,0.007207,3.4571),(55,3325,0.007391,3.455),(55,3335,0.007576,3.4527),(55,3345,0.00776,3.4504),(55,3355,0.007976,3.4481),(55,3365,0.008198,3.4458),(55,3375,0.00842,3.4434),(55,3385,0.008641,3.4409),(55,3395,0.008904,3.4384),(55,3405,0.009172,3.4359),(55,3415,0.00944,3.4332),(55,3425,0.009709,3.4305),(55,3435,0.01003,3.4277),(55,3445,0.010357,3.425),(55,3455,0.010683,3.422),(55,3465,0.011009,3.419),(55,3475,0.011406,3.416),(55,3485,0.011805,3.413),(55,3495,0.012204,3.4096),(55,3505,0.012604,3.4063),(55,3515,0.013096,3.403),(55,3525,0.013588,3.3996),(55,3535,0.014079,3.3958),(55,3545,0.014576,3.3921),(55,3555,0.015185,3.3883),(55,3565,0.015794,3.3845),(55,3575,0.016402,3.3802),(55,3585,0.017024,3.376),(55,3595,0.017781,3.3717),(55,3605,0.018537,3.3674),(55,3615,0.019294,3.3625),(55,3625,0.020074,3.3576),(55,3635,0.021018,3.3527),(55,3645,0.021961,3.3477),(55,3655,0.022904,3.342),(55,3665,0.023886,3.3364),(55,3675,0.025062,3.3307),(55,3685,0.026238,3.3249),(55,3695,0.027414,3.3183),(55,3705,0.028647,3.3116),(55,3715,0.030106,3.305),(55,3725,0.031565,3.2981),(55,3735,0.033024,3.2903),(55,3745,0.034563,3.2825),(55,3755,0.03635,3.2747),(55,3765,0.038137,3.2665),(55,3775,0.039924,3.2573),(55,3785,0.041808,3.248),(55,3795,0.043937,3.2387),(55,3805,0.046066,3.2289),(55,3815,0.048196,3.2178),(55,3825,0.05041,3.2068),(55,3835,0.052805,3.1957),(55,3845,0.0552,3.1839),(55,3855,0.057595,3.1707),(55,3865,0.059981,3.1576),(55,3875,0.062351,3.1444),(55,3885,0.064721,3.1303),(55,3895,0.067091,3.1149),(55,3905,0.072766,3.0994),(55,3915,0.083376,3.0839),(55,3925,0.093987,3.0633),(55,3935,0.1046,3.0356),(55,3945,0.11344,3.0079),(55,3955,0.12004,2.9802),(55,3965,0.12665,2.9498),(55,3975,0.13325,2.9163),(55,3985,0.1342,2.8828),(55,3995,0.12902,2.8493),(55,4005,0.12384,2.8185),(55,4015,0.11866,2.7905),(55,4025,0.11088,2.7624),(55,4035,0.10285,2.7364),(55,4045,0.094812,2.7146),(55,4055,0.085762,2.6928),(55,4065,0.076342,2.672),(55,4075,0.066921,2.6571),(55,4085,0.058228,2.6423),(55,4095,0.050119,2.6274),(55,4105,0.04201,2.6186),(55,4115,0.03452,2.61),(55,4125,0.028056,2.6014),(55,4135,0.021592,2.5969),(55,4145,0.016492,2.5937),(55,4155,0.016919,2.5904),(55,4165,0.017345,2.5859),(55,4175,0.017829,2.5807),(55,4185,0.021138,2.5755),(55,4195,0.024446,2.569),(55,4205,0.027755,2.561),(55,4215,0.026151,2.5529),(55,4225,0.023623,2.5457),(55,4235,0.021095,2.5411),(55,4245,0.01964,2.5365),(55,4255,0.018731,2.532),(55,4265,0.017821,2.5291),(55,4275,0.017042,2.5263),(55,4285,0.016402,2.5235),(55,4295,0.015761,2.5206),(55,4305,0.021053,2.5178),(55,4315,0.039741,2.5149),(55,4325,0.058429,2.5),(55,4335,0.074139,2.4802),(55,4345,0.069693,2.4605),(55,4355,0.065246,2.4434),(55,4365,0.0608,2.4284),(55,4375,0.054105,2.4134),(55,4385,0.047292,2.401),(55,4395,0.04048,2.393),(55,4405,0.033632,2.3851),(55,4415,0.026774,2.3782),(55,4425,0.019917,2.376),(55,4435,0.020748,2.3738),(55,4445,0.026836,2.3715),(55,4455,0.032923,2.3616),(55,4465,0.038631,2.3518),(55,4475,0.043806,2.3419),(55,4485,0.048981,2.3286),(55,4495,0.050462,2.3146),(55,4505,0.040091,2.3007),(55,4515,0.02972,2.2927),(55,4525,0.019296,2.288),(55,4535,0.008029,2.2833),(55,4545,-0.003237,2.2832),(55,4555,-0.014503,2.2882),(55,4565,-0.009451,2.2932),(55,4575,-0.002199,2.2961),(55,4585,0.005053,2.2938),(55,4595,0.011641,2.2915),(55,4605,0.017948,2.2885),(55,4615,0.024256,2.2797),(55,4625,0.024772,2.271),(55,4635,0.020042,2.2622),(55,4645,0.015313,2.2576),(55,4655,0.009437,2.2532),(55,4665,0.0014,2.2489),(55,4675,-0.006637,2.251),(55,4685,-0.012976,2.2552),(55,4695,-0.010929,2.2594),(55,4705,-0.008882,2.263),(55,4715,-0.006835,2.2662),(55,4725,0.010676,2.2693),(55,4735,0.028341,2.2654),(55,4745,0.046006,2.2509),(55,4755,0.044193,2.2365),(55,4765,0.037866,2.2231),(55,4775,0.031539,2.2138),(55,4785,0.018183,2.2044),(55,4795,0.000763,2.1957),(55,4805,-0.016657,2.2014),(55,4815,-0.029003,2.2071),(55,4825,-0.035285,2.2128),(55,4835,-0.041566,2.224),(55,4845,-0.039905,2.2361),(55,4855,-0.01754,2.2482),(55,4865,0.004825,2.2464),(55,4875,0.026378,2.2383),(55,4885,0.040537,2.2301),(55,4895,0.054696,2.2155),(55,4905,0.068855,2.1947),(55,4915,0.055735,2.1739),(55,4925,0.040269,2.158),(55,4935,0.024802,2.1518),(55,4945,0.010079,2.1456),(55,4955,-0.004385,2.1414),(55,4965,-0.01885,2.1484),(55,4975,-0.022435,2.1554),(55,4985,-0.017622,2.1624),(55,4995,-0.012809,2.1653),(55,5005,-0.010251,2.1682),(55,5015,-0.011281,2.171),(55,5025,-0.012311,2.1695),(55,5035,-0.01778,2.167),(55,5045,-0.040159,2.1644),(55,5055,-0.062538,2.1717),(55,5065,-0.084852,2.185),(55,5075,-0.10503,2.1983),(55,5085,-0.12521,2.2191),(55,5095,-0.14539,2.2492),(55,5105,-0.13484,2.2794),(55,5115,-0.11893,2.3074),(55,5125,-0.10302,2.3293),(55,5135,-0.065571,2.3512),(55,5145,-0.017661,2.37),(55,5155,0.030249,2.3548),(55,5165,0.063576,2.3395),(55,5175,0.082031,2.3243),(55,5185,0.10048,2.2956),(55,5195,0.10719,2.2654),(55,5205,0.088545,2.2353),(55,5215,0.069904,2.2164),(55,5225,0.050543,2.2019),(55,5235,0.026708,2.1873),(55,5245,0.002872,2.1832),(55,5255,-0.020963,2.1875),(55,5265,-0.013863,2.1919),(55,5275,-0.005488,2.1941),(55,5285,0.002887,2.1926),(55,5295,0.012011,2.191),(55,5305,0.021343,2.1874),(55,5315,0.030676,2.1748),(55,5325,0.021844,2.1622),(55,5335,0.001102,2.1498),(55,5345,-0.01964,2.1522),(55,5355,-0.045932,2.1546),(55,5365,-0.079708,2.157),(55,5375,-0.11348,2.1808),(55,5385,-0.13225,2.2088),(55,5395,-0.10536,2.2367),(55,5405,-0.078475,2.254),(55,5415,-0.049422,2.2658),(55,5425,0.00874,2.2776),(55,5435,0.066903,2.2679),(55,5445,0.12507,2.235),(55,5455,0.15079,2.2021),(55,5465,0.17254,2.1649),(55,5475,0.1943,2.1177),(55,5485,0.19816,2.0706),(55,5495,0.19481,2.024),(55,5505,0.19146,1.9809),(55,5515,0.18581,1.9378),(55,5525,0.17815,1.8947),(55,5535,0.17048,1.8574),(55,5545,0.16203,1.8205),(55,5555,0.15213,1.7836),(55,5565,0.14223,1.7513),(55,5575,0.13238,1.7204),(55,5585,0.12272,1.6896),(55,5595,0.11306,1.662),(55,5605,0.1034,1.6366),(55,5615,0.095257,1.6112),(55,5625,0.08711,1.5876),(55,5635,0.078963,1.5664),(55,5645,0.072329,1.5453),(55,5655,0.066023,1.5248),(55,5665,0.059717,1.5063),(55,5675,0.054439,1.4879),(55,5685,0.049731,1.4696),(55,5695,0.045022,1.4531),(55,5705,0.040786,1.4367),(55,5715,0.037094,1.4202),(55,5725,0.033402,1.4049),(55,5735,0.029858,1.3897),(55,5745,0.026682,1.3745),(55,5755,0.023506,1.36),(55,5765,0.020334,1.3457),(55,5775,0.017194,1.3315),(55,5785,0.014053,1.3178),(55,5795,0.010912,1.3046),(55,5805,0.007482,1.2913),(55,5815,0.00403,1.2785),(55,5825,0.000578,1.2664),(55,5835,-0.003223,1.2543),(55,5845,-0.00714,1.2424),(55,5855,-0.011056,1.2317),(55,5865,-0.015276,1.2211),(55,5875,-0.019721,1.2105),(55,5885,-0.024166,1.2018),(55,5895,-0.028745,1.1932),(55,5905,-0.033528,1.1845),(55,5915,-0.03831,1.1778),(55,5925,-0.043039,1.1715),(55,5935,-0.047575,1.1652),(55,5945,-0.052111,1.1605),(55,5955,-0.056585,1.1568),(55,5965,-0.059562,1.1531),(55,5975,-0.06254,1.1502),(55,5985,-0.065517,1.1484),(55,5995,-0.050295,1.1465),(55,6005,-0.032145,1.1452),(55,6015,-0.013994,1.1451),(55,6025,0.00909,1.145),(55,6035,0.034464,1.1429),(55,6045,0.059837,1.1211),(55,6055,0.075582,1.0993),(55,6065,0.081887,1.0775),(55,6075,0.088191,1.0488),(55,6085,0.091862,1.0196),(55,6095,0.090104,0.99036),(55,6105,0.088346,0.96328),(55,6115,0.086443,0.93697),(55,6125,0.083709,0.91066),(55,6135,0.080975,0.88528),(55,6145,0.078241,0.86062),(55,6155,0.075505,0.83597),(55,6165,0.07277,0.81196),(55,6175,0.070034,0.78899),(55,6185,0.067544,0.76602),(55,6195,0.06512,0.74332),(55,6205,0.062695,0.72168),(55,6215,0.060508,0.70004),(55,6225,0.058472,0.67843),(55,6235,0.056436,0.65783),(55,6245,0.054616,0.63723),(55,6255,0.053076,0.61663),(55,6265,0.051536,0.59705),(55,6275,0.050055,0.57766),(55,6285,0.04874,0.55826),(55,6295,0.047426,0.5393),(55,6305,0.046132,0.52054),(55,6315,0.04507,0.50178),(55,6325,0.044009,0.48332),(55,6335,0.042947,0.46517),(55,6345,0.042087,0.44702),(55,6355,0.041249,0.42904),(55,6365,0.040411,0.41144),(55,6375,0.039679,0.39383),(55,6385,0.038989,0.37628),(55,6395,0.038298,0.35907),(55,6405,0.037687,0.34186),(55,6415,0.037141,0.32465),(55,6425,0.036596,0.30772),(55,6435,0.036099,0.2908),(55,6445,0.035688,0.27389),(55,6455,0.035277,0.25714),(55,6465,0.034885,0.24044),(55,6475,0.03458,0.22374),(55,6485,0.034275,0.20716),(55,6495,0.03397,0.19066),(55,6505,0.03374,0.17416),(55,6515,0.03351,0.15771),(55,6525,0.03328,0.14135),(55,6535,0.033111,0.125),(55,6545,0.032956,0.10866),(55,6555,0.0328,0.092379),(55,6565,0.032698,0.076101),(55,6575,0.032625,0.059823),(55,6585,0.032551,0.043542),(55,6595,0.027653,0.027262),(55,6605,0.017428,0.010981),(55,6615,0.007202,0.009208),(55,6625,1.3e-05,0.009299),(55,6635,1.4e-05,0.00939),(55,6645,1.4e-05,0.009412),(55,6655,1.4e-05,0.009406),(55,6665,1.4e-05,0.0094),(55,6675,1.4e-05,0.009395),(55,6685,1.4e-05,0.00939),(55,6695,1.4e-05,0.009385),(55,6705,1.4e-05,0.00938),(55,6715,1.5e-05,0.009375),(55,6725,1.5e-05,0.00937),(55,6735,1.5e-05,0.009364),(55,6745,1.4e-05,0.009359),(55,6755,1.4e-05,0.009353),(55,6765,1.5e-05,0.009347),(55,6775,1.5e-05,0.009341),(55,6785,1.5e-05,0.009336),(55,6795,1.5e-05,0.00933),(55,6805,1.5e-05,0.009324),(55,6815,1.5e-05,0.009319),(55,6825,1.5e-05,0.009313),(55,6835,1.5e-05,0.009307),(55,6845,1.5e-05,0.009301),(55,6855,1.5e-05,0.009295),(55,6865,1.6e-05,0.009289),(55,6875,1.6e-05,0.009283),(55,6885,1.6e-05,0.009277),(55,6895,1.6e-05,0.009271),(55,6905,1.6e-05,0.009265),(55,6915,1.6e-05,0.009259),(55,6925,1.6e-05,0.009252),(55,6935,1.6e-05,0.009246),(55,6945,1.7e-05,0.00924),(55,6955,1.7e-05,0.009233),(55,6965,1.7e-05,0.009227),(55,6975,1.7e-05,0.009221),(55,6985,1.7e-05,0.009215),(65,5,3e-06,3.6647),(65,15,1e-05,3.6647),(65,25,1.7e-05,3.6647),(65,35,2.4e-05,3.6647),(65,45,3.1e-05,3.6647),(65,55,3.8e-05,3.6646),(65,65,4.5e-05,3.6646),(65,75,5.2e-05,3.6646),(65,85,5.8e-05,3.6646),(65,95,6.5e-05,3.6646),(65,105,7.2e-05,3.6646),(65,115,7.9e-05,3.6645),(65,125,8.6e-05,3.6645),(65,135,9.2e-05,3.6645),(65,145,9.9e-05,3.6645),(65,155,0.000106,3.6644),(65,165,0.000113,3.6644),(65,175,0.00012,3.6643),(65,185,0.000127,3.6643),(65,195,0.000134,3.6643),(65,205,0.000141,3.6642),(65,215,0.000148,3.6642),(65,225,0.000155,3.6641),(65,235,0.000162,3.6641),(65,245,0.000169,3.664),(65,255,0.000176,3.664),(65,265,0.000183,3.6639),(65,275,0.00019,3.6639),(65,285,0.000197,3.6638),(65,295,0.000204,3.6637),(65,305,0.000211,3.6637),(65,315,0.000218,3.6636),(65,325,0.000226,3.6635),(65,335,0.000233,3.6635),(65,345,0.00024,3.6634),(65,355,0.000247,3.6633),(65,365,0.000255,3.6632),(65,375,0.000262,3.6631),(65,385,0.000269,3.6631),(65,395,0.000277,3.663),(65,405,0.000284,3.6629),(65,415,0.000291,3.6628),(65,425,0.000299,3.6627),(65,435,0.000306,3.6626),(65,445,0.000314,3.6625),(65,455,0.000321,3.6624),(65,465,0.000329,3.6623),(65,475,0.000336,3.6622),(65,485,0.000344,3.6621),(65,495,0.000352,3.662),(65,505,0.000359,3.6619),(65,515,0.000367,3.6618),(65,525,0.000374,3.6616),(65,535,0.000382,3.6615),(65,545,0.000389,3.6614),(65,555,0.000397,3.6613),(65,565,0.000405,3.6611),(65,575,0.000413,3.661),(65,585,0.000421,3.6609),(65,595,0.000429,3.6608),(65,605,0.000437,3.6606),(65,615,0.000445,3.6605),(65,625,0.000453,3.6603),(65,635,0.000461,3.6602),(65,645,0.000469,3.66),(65,655,0.000478,3.6599),(65,665,0.000486,3.6597),(65,675,0.000494,3.6596),(65,685,0.000502,3.6594),(65,695,0.000511,3.6593),(65,705,0.000519,3.6591),(65,715,0.000527,3.6589),(65,725,0.000536,3.6588),(65,735,0.000544,3.6586),(65,745,0.000553,3.6584),(65,755,0.000561,3.6583),(65,765,0.00057,3.6581),(65,775,0.000579,3.6579),(65,785,0.000588,3.6577),(65,795,0.000596,3.6575),(65,805,0.000605,3.6573),(65,815,0.000614,3.6571),(65,825,0.000623,3.6569),(65,835,0.000632,3.6567),(65,845,0.000641,3.6565),(65,855,0.00065,3.6563),(65,865,0.000659,3.6561),(65,875,0.000669,3.6559),(65,885,0.000678,3.6557),(65,895,0.000687,3.6555),(65,905,0.000696,3.6553),(65,915,0.000706,3.6551),(65,925,0.000715,3.6548),(65,935,0.000724,3.6546),(65,945,0.000734,3.6544),(65,955,0.000744,3.6541),(65,965,0.000754,3.6539),(65,975,0.000763,3.6537),(65,985,0.000773,3.6534),(65,995,0.000783,3.6532),(65,1005,0.000793,3.6529),(65,1015,0.000803,3.6527),(65,1025,0.000813,3.6524),(65,1035,0.000823,3.6522),(65,1045,0.000833,3.6519),(65,1055,0.000843,3.6516),(65,1065,0.000853,3.6514),(65,1075,0.000863,3.6511),(65,1085,0.000874,3.6508),(65,1095,0.000884,3.6505),(65,1105,0.000895,3.6503),(65,1115,0.000905,3.65),(65,1125,0.000916,3.6497),(65,1135,0.000927,3.6494),(65,1145,0.000937,3.6491),(65,1155,0.000948,3.6488),(65,1165,0.000959,3.6485),(65,1175,0.00097,3.6482),(65,1185,0.000981,3.6479),(65,1195,0.000992,3.6476),(65,1205,0.001003,3.6473),(65,1215,0.001014,3.6469),(65,1225,0.001026,3.6466),(65,1235,0.001037,3.6463),(65,1245,0.001048,3.646),(65,1255,0.00106,3.6456),(65,1265,0.001071,3.6453),(65,1275,0.001083,3.645),(65,1285,0.001095,3.6446),(65,1295,0.001107,3.6443),(65,1305,0.001118,3.6439),(65,1315,0.00113,3.6436),(65,1325,0.001142,3.6432),(65,1335,0.001154,3.6428),(65,1345,0.001167,3.6425),(65,1355,0.001179,3.6421),(65,1365,0.001191,3.6417),(65,1375,0.001203,3.6414),(65,1385,0.001215,3.641),(65,1395,0.001228,3.6406),(65,1405,0.00124,3.6402),(65,1415,0.001252,3.6398),(65,1425,0.001265,3.6394),(65,1435,0.001278,3.639),(65,1445,0.00129,3.6386),(65,1455,0.001303,3.6382),(65,1465,0.001316,3.6378),(65,1475,0.001329,3.6374),(65,1485,0.001342,3.6369),(65,1495,0.001355,3.6365),(65,1505,0.001368,3.6361),(65,1515,0.001382,3.6357),(65,1525,0.001395,3.6352),(65,1535,0.001409,3.6348),(65,1545,0.001422,3.6343),(65,1555,0.001435,3.6339),(65,1565,0.001449,3.6334),(65,1575,0.001463,3.633),(65,1585,0.001476,3.6325),(65,1595,0.00149,3.632),(65,1605,0.001503,3.6316),(65,1615,0.001517,3.6311),(65,1625,0.001531,3.6306),(65,1635,0.001545,3.6301),(65,1645,0.001559,3.6296),(65,1655,0.001573,3.6291),(65,1665,0.001588,3.6287),(65,1675,0.001602,3.6281),(65,1685,0.001616,3.6276),(65,1695,0.001631,3.6271),(65,1705,0.001646,3.6266),(65,1715,0.00166,3.6261),(65,1725,0.001675,3.6256),(65,1735,0.00169,3.625),(65,1745,0.001705,3.6245),(65,1755,0.00172,3.624),(65,1765,0.001735,3.6234),(65,1775,0.001751,3.6229),(65,1785,0.001766,3.6223),(65,1795,0.001781,3.6217),(65,1805,0.001796,3.6212),(65,1815,0.001812,3.6206),(65,1825,0.001827,3.62),(65,1835,0.001842,3.6195),(65,1845,0.001858,3.6189),(65,1855,0.001874,3.6183),(65,1865,0.001889,3.6177),(65,1875,0.001905,3.6171),(65,1885,0.001921,3.6165),(65,1895,0.001937,3.6159),(65,1905,0.001953,3.6153),(65,1915,0.001969,3.6147),(65,1925,0.001985,3.614),(65,1935,0.002001,3.6134),(65,1945,0.002018,3.6128),(65,1955,0.002034,3.6121),(65,1965,0.00205,3.6115),(65,1975,0.002067,3.6108),(65,1985,0.002083,3.6102),(65,1995,0.0021,3.6095),(65,2005,0.002116,3.6089),(65,2015,0.002133,3.6082),(65,2025,0.00215,3.6075),(65,2035,0.002167,3.6068),(65,2045,0.002184,3.6062),(65,2055,0.002201,3.6055),(65,2065,0.002219,3.6048),(65,2075,0.002236,3.6041),(65,2085,0.002253,3.6034),(65,2095,0.002271,3.6027),(65,2105,0.002288,3.6019),(65,2115,0.002306,3.6012),(65,2125,0.002323,3.6005),(65,2135,0.002341,3.5998),(65,2145,0.002359,3.599),(65,2155,0.002377,3.5983),(65,2165,0.002395,3.5975),(65,2175,0.002413,3.5968),(65,2185,0.002432,3.596),(65,2195,0.00245,3.5952),(65,2205,0.002469,3.5945),(65,2215,0.002487,3.5937),(65,2225,0.002506,3.5929),(65,2235,0.002524,3.5921),(65,2245,0.002544,3.5913),(65,2255,0.002563,3.5905),(65,2265,0.002582,3.5897),(65,2275,0.002601,3.5889),(65,2285,0.00262,3.5881),(65,2295,0.002639,3.5872),(65,2305,0.002659,3.5864),(65,2315,0.002678,3.5856),(65,2325,0.002698,3.5847),(65,2335,0.002718,3.5839),(65,2345,0.002738,3.583),(65,2355,0.002758,3.5822),(65,2365,0.002778,3.5813),(65,2375,0.002799,3.5804),(65,2385,0.002819,3.5795),(65,2395,0.00284,3.5787),(65,2405,0.002861,3.5778),(65,2415,0.002883,3.5769),(65,2425,0.002904,3.576),(65,2435,0.002925,3.5751),(65,2445,0.002947,3.5741),(65,2455,0.002969,3.5732),(65,2465,0.002991,3.5723),(65,2475,0.003013,3.5713),(65,2485,0.003036,3.5704),(65,2495,0.003059,3.5695),(65,2505,0.003082,3.5685),(65,2515,0.003105,3.5675),(65,2525,0.003129,3.5666),(65,2535,0.003152,3.5656),(65,2545,0.003176,3.5646),(65,2555,0.0032,3.5636),(65,2565,0.003225,3.5626),(65,2575,0.00325,3.5616),(65,2585,0.003275,3.5606),(65,2595,0.0033,3.5596),(65,2605,0.003326,3.5586),(65,2615,0.003352,3.5575),(65,2625,0.003378,3.5565),(65,2635,0.003404,3.5555),(65,2645,0.003432,3.5544),(65,2655,0.00346,3.5534),(65,2665,0.003488,3.5523),(65,2675,0.003516,3.5512),(65,2685,0.003545,3.5501),(65,2695,0.003575,3.549),(65,2705,0.003604,3.5479),(65,2715,0.003634,3.5468),(65,2725,0.003666,3.5457),(65,2735,0.003698,3.5446),(65,2745,0.00373,3.5434),(65,2755,0.003762,3.5423),(65,2765,0.003797,3.5412),(65,2775,0.003831,3.54),(65,2785,0.003865,3.5388),(65,2795,0.0039,3.5377),(65,2805,0.003938,3.5365),(65,2815,0.003975,3.5353),(65,2825,0.004012,3.5341),(65,2835,0.004051,3.5329),(65,2845,0.004092,3.5316),(65,2855,0.004132,3.5304),(65,2865,0.004173,3.5292),(65,2875,0.004216,3.5279),(65,2885,0.004261,3.5267),(65,2895,0.004306,3.5254),(65,2905,0.004351,3.5241),(65,2915,0.004398,3.5228),(65,2925,0.004448,3.5215),(65,2935,0.004499,3.5202),(65,2945,0.004549,3.5188),(65,2955,0.004601,3.5175),(65,2965,0.004658,3.5162),(65,2975,0.004714,3.5148),(65,2985,0.00477,3.5134),(65,2995,0.00483,3.512),(65,3005,0.004894,3.5106),(65,3015,0.004957,3.5092),(65,3025,0.005021,3.5077),(65,3035,0.005089,3.5063),(65,3045,0.005161,3.5048),(65,3055,0.005234,3.5033),(65,3065,0.005306,3.5018),(65,3075,0.005385,3.5003),(65,3085,0.005468,3.4988),(65,3095,0.005551,3.4973),(65,3105,0.005634,3.4957),(65,3115,0.005724,3.4941),(65,3125,0.00582,3.4925),(65,3135,0.005916,3.4909),(65,3145,0.006011,3.4892),(65,3155,0.006117,3.4876),(65,3165,0.006228,3.4859),(65,3175,0.00634,3.4842),(65,3185,0.006451,3.4824),(65,3195,0.006575,3.4807),(65,3205,0.006705,3.4789),(65,3215,0.006836,3.4771),(65,3225,0.006966,3.4752),(65,3235,0.007113,3.4734),(65,3245,0.007266,3.4715),(65,3255,0.00742,3.4696),(65,3265,0.007573,3.4676),(65,3275,0.007749,3.4656),(65,3285,0.007931,3.4636),(65,3295,0.008113,3.4616),(65,3305,0.008295,3.4594),(65,3315,0.008505,3.4573),(65,3325,0.008723,3.4552),(65,3335,0.00894,3.453),(65,3345,0.009157,3.4507),(65,3355,0.009412,3.4484),(65,3365,0.009673,3.4461),(65,3375,0.009934,3.4437),(65,3385,0.010195,3.4412),(65,3395,0.010505,3.4387),(65,3405,0.01082,3.4362),(65,3415,0.011136,3.4336),(65,3425,0.011452,3.4308),(65,3435,0.011831,3.4281),(65,3445,0.012215,3.4254),(65,3455,0.012599,3.4225),(65,3465,0.012983,3.4195),(65,3475,0.01345,3.4165),(65,3485,0.01392,3.4135),(65,3495,0.01439,3.4102),(65,3505,0.01486,3.4069),(65,3515,0.015439,3.4036),(65,3525,0.016018,3.4002),(65,3535,0.016597,3.3965),(65,3545,0.017181,3.3928),(65,3555,0.017898,3.3891),(65,3565,0.018614,3.3853),(65,3575,0.019331,3.3811),(65,3585,0.020062,3.3769),(65,3595,0.020952,3.3727),(65,3605,0.021843,3.3684),(65,3615,0.022734,3.3636),(65,3625,0.023652,3.3587),(65,3635,0.024763,3.3539),(65,3645,0.025873,3.349),(65,3655,0.026984,3.3434),(65,3665,0.02814,3.3378),(65,3675,0.029525,3.3322),(65,3685,0.03091,3.3264),(65,3695,0.032296,3.3199),(65,3705,0.033749,3.3134),(65,3715,0.03547,3.3069),(65,3725,0.037191,3.3001),(65,3735,0.038913,3.2924),(65,3745,0.040729,3.2847),(65,3755,0.042842,3.277),(65,3765,0.044955,3.2689),(65,3775,0.047068,3.2598),(65,3785,0.049299,3.2506),(65,3795,0.051827,3.2415),(65,3805,0.054355,3.2318),(65,3815,0.056884,3.2208),(65,3825,0.05952,3.2098),(65,3835,0.062386,3.1989),(65,3845,0.065251,3.1872),(65,3855,0.068116,3.174),(65,3865,0.070984,3.1608),(65,3875,0.073856,3.1477),(65,3885,0.076728,3.1335),(65,3895,0.0796,3.1178),(65,3905,0.086424,3.1021),(65,3915,0.09915,3.0864),(65,3925,0.11188,3.0652),(65,3935,0.1246,3.0364),(65,3945,0.13513,3.0076),(65,3955,0.14287,2.9788),(65,3965,0.1506,2.9476),(65,3975,0.15834,2.9135),(65,3985,0.15935,2.8794),(65,3995,0.15307,2.8452),(65,4005,0.1468,2.8141),(65,4015,0.14052,2.786),(65,4025,0.1312,2.7578),(65,4035,0.12158,2.7318),(65,4045,0.11196,2.7102),(65,4055,0.10115,2.6885),(65,4065,0.08991,2.6679),(65,4075,0.07867,2.6534),(65,4085,0.068289,2.639),(65,4095,0.058598,2.6245),(65,4105,0.048907,2.6164),(65,4115,0.039995,2.6085),(65,4125,0.032376,2.6006),(65,4135,0.024757,2.597),(65,4145,0.018809,2.5946),(65,4155,0.019628,2.5923),(65,4165,0.020447,2.5878),(65,4175,0.021328,2.582),(65,4185,0.025235,2.5763),(65,4195,0.029142,2.5694),(65,4205,0.03305,2.561),(65,4215,0.030968,2.5525),(65,4225,0.027759,2.5452),(65,4235,0.02455,2.5411),(65,4245,0.022678,2.537),(65,4255,0.021485,2.533),(65,4265,0.020293,2.5311),(65,4275,0.019412,2.5292),(65,4285,0.018863,2.5274),(65,4295,0.018314,2.5249),(65,4305,0.024881,2.5223),(65,4315,0.04752,2.5198),(65,4325,0.070158,2.5037),(65,4335,0.089166,2.4823),(65,4345,0.083604,2.4609),(65,4355,0.078041,2.4426),(65,4365,0.072479,2.4271),(65,4375,0.064156,2.4116),(65,4385,0.055689,2.3991),(65,4395,0.047222,2.3919),(65,4405,0.03901,2.3848),(65,4415,0.030874,2.3787),(65,4425,0.022738,2.3776),(65,4435,0.024011,2.3764),(65,4445,0.031714,2.3752),(65,4455,0.039418,2.3643),(65,4465,0.046476,2.3534),(65,4475,0.05263,2.3425),(65,4485,0.058784,2.3282),(65,4495,0.060454,2.3133),(65,4505,0.047741,2.2983),(65,4515,0.035028,2.2904),(65,4525,0.022256,2.2863),(65,4535,0.008549,2.2822),(65,4545,-0.005157,2.2833),(65,4555,-0.018863,2.2902),(65,4565,-0.012355,2.2971),(65,4575,-0.003122,2.3011),(65,4585,0.006111,2.2984),(65,4595,0.014313,2.2956),(65,4605,0.022079,2.292),(65,4615,0.029845,2.2819),(65,4625,0.030442,2.2717),(65,4635,0.024548,2.2616),(65,4645,0.018654,2.2565),(65,4655,0.011305,2.2516),(65,4665,0.001213,2.2468),(65,4675,-0.00888,2.25),(65,4685,-0.016838,2.2558),(65,4695,-0.014247,2.2615),(65,4705,-0.011657,2.2665),(65,4715,-0.009066,2.2709),(65,4725,0.012559,2.2753),(65,4735,0.034374,2.2713),(65,4745,0.05619,2.2547),(65,4755,0.053991,2.2382),(65,4765,0.046226,2.2229),(65,4775,0.038462,2.2125),(65,4785,0.022061,2.202),(65,4795,0.000665,2.1923),(65,4805,-0.02073,2.1993),(65,4815,-0.035885,2.2064),(65,4825,-0.043578,2.2135),(65,4835,-0.051271,2.227),(65,4845,-0.04919,2.2415),(65,4855,-0.021629,2.256),(65,4865,0.005933,2.2539),(65,4875,0.032468,2.2443),(65,4885,0.049668,2.2348),(65,4895,0.066868,2.2182),(65,4905,0.084068,2.1948),(65,4915,0.067831,2.1715),(65,4925,0.048718,2.1538),(65,4935,0.029605,2.1477),(65,4945,0.011535,2.1416),(65,4955,-0.006174,2.1377),(65,4965,-0.023882,2.1465),(65,4975,-0.02816,2.1553),(65,4985,-0.022069,2.1642),(65,4995,-0.015977,2.1679),(65,5005,-0.012361,2.1714),(65,5015,-0.012677,2.175),(65,5025,-0.012994,2.1718),(65,5035,-0.018854,2.1669),(65,5045,-0.04583,2.1621),(65,5055,-0.072807,2.1679),(65,5065,-0.099716,2.1804),(65,5075,-0.12444,2.1929),(65,5085,-0.14917,2.214),(65,5095,-0.1739,2.246),(65,5105,-0.16158,2.2779),(65,5115,-0.1428,2.3078),(65,5125,-0.12401,2.332),(65,5135,-0.078887,2.3561),(65,5145,-0.020974,2.3768),(65,5155,0.036939,2.3596),(65,5165,0.077123,2.3425),(65,5175,0.099224,2.3253),(65,5185,0.12132,2.2942),(65,5195,0.12916,2.2617),(65,5205,0.10622,2.2291),(65,5215,0.083283,2.2099),(65,5225,0.059506,2.1957),(65,5235,0.030504,2.1815),(65,5245,0.001501,2.1789),(65,5255,-0.027502,2.1859),(65,5265,-0.018198,2.1928),(65,5275,-0.007315,2.1964),(65,5285,0.003568,2.1943),(65,5295,0.015186,2.1922),(65,5305,0.027009,2.1876),(65,5315,0.038832,2.1722),(65,5325,0.028312,2.1569),(65,5335,0.003141,2.1418),(65,5345,-0.02203,2.1435),(65,5355,-0.053987,2.1452),(65,5365,-0.095096,2.147),(65,5375,-0.13621,2.1728),(65,5385,-0.15916,2.2033),(65,5395,-0.1269,2.2338),(65,5405,-0.094637,2.2528),(65,5415,-0.059771,2.266),(65,5425,0.010114,2.2792),(65,5435,0.079999,2.2692),(65,5445,0.14988,2.2341),(65,5455,0.18039,2.199),(65,5465,0.20608,2.1598),(65,5475,0.23177,2.1111),(65,5485,0.23601,2.0623),(65,5495,0.23161,2.0143),(65,5505,0.22721,1.9711),(65,5515,0.22014,1.9278),(65,5525,0.21075,1.8846),(65,5535,0.20135,1.8479),(65,5545,0.19107,1.8115),(65,5555,0.17922,1.7752),(65,5565,0.16736,1.7437),(65,5575,0.15559,1.7136),(65,5585,0.14419,1.6835),(65,5595,0.13279,1.6566),(65,5605,0.12139,1.6319),(65,5615,0.11185,1.6072),(65,5625,0.10231,1.5841),(65,5635,0.092767,1.5634),(65,5645,0.084986,1.5427),(65,5655,0.077587,1.5226),(65,5665,0.070188,1.5044),(65,5675,0.064,1.4863),(65,5685,0.058482,1.4682),(65,5695,0.052965,1.4519),(65,5705,0.048005,1.4356),(65,5715,0.043685,1.4192),(65,5725,0.039365,1.4039),(65,5735,0.035218,1.3888),(65,5745,0.031499,1.3736),(65,5755,0.027781,1.359),(65,5765,0.024067,1.3447),(65,5775,0.020391,1.3304),(65,5785,0.016714,1.3166),(65,5795,0.013038,1.3032),(65,5805,0.009,1.2898),(65,5815,0.004935,1.2768),(65,5825,0.00087,1.2645),(65,5835,-0.003622,1.2523),(65,5845,-0.008253,1.2402),(65,5855,-0.012885,1.2293),(65,5865,-0.017884,1.2185),(65,5875,-0.023155,1.2076),(65,5885,-0.028426,1.1987),(65,5895,-0.033876,1.1899),(65,5905,-0.039597,1.181),(65,5915,-0.045318,1.1741),(65,5925,-0.050992,1.1677),(65,5935,-0.056501,1.1613),(65,5945,-0.062009,1.1567),(65,5955,-0.067446,1.1532),(65,5965,-0.071145,1.1498),(65,5975,-0.074845,1.1474),(65,5985,-0.078544,1.1464),(65,5995,-0.060316,1.1454),(65,6005,-0.038558,1.1447),(65,6015,-0.016801,1.1448),(65,6025,0.010894,1.1449),(65,6035,0.041343,1.1429),(65,6045,0.071793,1.1201),(65,6055,0.090536,1.0973),(65,6065,0.097803,1.0745),(65,6075,0.10507,1.0456),(65,6085,0.10921,1.0161),(65,6095,0.10691,0.98667),(65,6105,0.10462,0.95941),(65,6115,0.10217,0.93294),(65,6125,0.09885,0.90646),(65,6135,0.095532,0.88108),(65,6145,0.092215,0.85655),(65,6155,0.088997,0.83203),(65,6165,0.085782,0.80817),(65,6175,0.082568,0.78537),(65,6185,0.079684,0.76258),(65,6195,0.076887,0.74005),(65,6205,0.07409,0.71852),(65,6215,0.071518,0.697),(65,6225,0.069087,0.6755),(65,6235,0.066657,0.65511),(65,6245,0.064482,0.63471),(65,6255,0.062638,0.61432),(65,6265,0.060795,0.59487),(65,6275,0.059026,0.57558),(65,6285,0.057473,0.5563),(65,6295,0.05592,0.53744),(65,6305,0.054391,0.51879),(65,6315,0.053137,0.50015),(65,6325,0.051883,0.4818),(65,6335,0.050629,0.46377),(65,6345,0.049641,0.44573),(65,6355,0.048682,0.42785),(65,6365,0.047723,0.41032),(65,6375,0.046895,0.39279),(65,6385,0.046117,0.37531),(65,6395,0.045339,0.35815),(65,6405,0.04464,0.34099),(65,6415,0.044007,0.32383),(65,6425,0.043374,0.30694),(65,6435,0.042789,0.29008),(65,6445,0.042288,0.27321),(65,6455,0.041786,0.25651),(65,6465,0.041308,0.23985),(65,6475,0.040926,0.2232),(65,6485,0.040545,0.20666),(65,6495,0.040165,0.1902),(65,6505,0.039877,0.17374),(65,6515,0.039589,0.15734),(65,6525,0.039301,0.14102),(65,6535,0.039093,0.1247),(65,6545,0.0389,0.10841),(65,6555,0.038708,0.092176),(65,6565,0.038587,0.075946),(65,6575,0.038504,0.059718),(65,6585,0.038421,0.04351),(65,6595,0.032642,0.027303),(65,6605,0.020571,0.011095),(65,6615,0.008501,0.009296),(65,6625,1.6e-05,0.009348),(65,6635,1.6e-05,0.009401),(65,6645,1.6e-05,0.009412),(65,6655,1.6e-05,0.009406),(65,6665,1.6e-05,0.0094),(65,6675,1.6e-05,0.009395),(65,6685,1.6e-05,0.00939),(65,6695,1.6e-05,0.009385),(65,6705,1.7e-05,0.00938),(65,6715,1.7e-05,0.009375),(65,6725,1.7e-05,0.00937),(65,6735,1.7e-05,0.009364),(65,6745,1.7e-05,0.009358),(65,6755,1.7e-05,0.009353),(65,6765,1.7e-05,0.009347),(65,6775,1.7e-05,0.009341),(65,6785,1.7e-05,0.009336),(65,6795,1.7e-05,0.00933),(65,6805,1.8e-05,0.009325),(65,6815,1.8e-05,0.009319),(65,6825,1.8e-05,0.009313),(65,6835,1.8e-05,0.009307),(65,6845,1.8e-05,0.009301),(65,6855,1.8e-05,0.009295),(65,6865,1.8e-05,0.009289),(65,6875,1.8e-05,0.009283),(65,6885,1.9e-05,0.009277),(65,6895,1.9e-05,0.009271),(65,6905,1.9e-05,0.009265),(65,6915,1.9e-05,0.009259),(65,6925,1.9e-05,0.009253),(65,6935,1.9e-05,0.009246),(65,6945,2e-05,0.00924),(65,6955,2e-05,0.009234),(65,6965,2e-05,0.009227),(65,6975,2e-05,0.009221),(65,6985,2e-05,0.009215),(75,5,4e-06,3.6647),(75,15,1.2e-05,3.6647),(75,25,2e-05,3.6647),(75,35,2.8e-05,3.6647),(75,45,3.6e-05,3.6647),(75,55,4.4e-05,3.6647),(75,65,5.2e-05,3.6646),(75,75,6e-05,3.6646),(75,85,6.7e-05,3.6646),(75,95,7.5e-05,3.6646),(75,105,8.3e-05,3.6646),(75,115,9.1e-05,3.6645),(75,125,9.9e-05,3.6645),(75,135,0.000107,3.6645),(75,145,0.000115,3.6645),(75,155,0.000123,3.6644),(75,165,0.000131,3.6644),(75,175,0.000138,3.6644),(75,185,0.000146,3.6643),(75,195,0.000155,3.6643),(75,205,0.000163,3.6642),(75,215,0.000171,3.6642),(75,225,0.000179,3.6641),(75,235,0.000187,3.6641),(75,245,0.000195,3.664),(75,255,0.000203,3.664),(75,265,0.000211,3.6639),(75,275,0.000219,3.6639),(75,285,0.000227,3.6638),(75,295,0.000235,3.6637),(75,305,0.000244,3.6637),(75,315,0.000252,3.6636),(75,325,0.00026,3.6635),(75,335,0.000269,3.6635),(75,345,0.000277,3.6634),(75,355,0.000285,3.6633),(75,365,0.000294,3.6632),(75,375,0.000302,3.6632),(75,385,0.000311,3.6631),(75,395,0.000319,3.663),(75,405,0.000328,3.6629),(75,415,0.000336,3.6628),(75,425,0.000345,3.6627),(75,435,0.000353,3.6626),(75,445,0.000362,3.6625),(75,455,0.000371,3.6624),(75,465,0.000379,3.6623),(75,475,0.000388,3.6622),(75,485,0.000397,3.6621),(75,495,0.000406,3.662),(75,505,0.000414,3.6619),(75,515,0.000423,3.6618),(75,525,0.000432,3.6616),(75,535,0.000441,3.6615),(75,545,0.00045,3.6614),(75,555,0.000459,3.6613),(75,565,0.000467,3.6612),(75,575,0.000476,3.661),(75,585,0.000486,3.6609),(75,595,0.000495,3.6608),(75,605,0.000504,3.6606),(75,615,0.000513,3.6605),(75,625,0.000523,3.6603),(75,635,0.000532,3.6602),(75,645,0.000542,3.66),(75,655,0.000551,3.6599),(75,665,0.000561,3.6597),(75,675,0.00057,3.6596),(75,685,0.00058,3.6594),(75,695,0.000589,3.6593),(75,705,0.000599,3.6591),(75,715,0.000609,3.6589),(75,725,0.000618,3.6588),(75,735,0.000628,3.6586),(75,745,0.000638,3.6584),(75,755,0.000648,3.6583),(75,765,0.000658,3.6581),(75,775,0.000668,3.6579),(75,785,0.000678,3.6577),(75,795,0.000688,3.6575),(75,805,0.000698,3.6573),(75,815,0.000708,3.6571),(75,825,0.000719,3.657),(75,835,0.000729,3.6568),(75,845,0.00074,3.6565),(75,855,0.00075,3.6563),(75,865,0.000761,3.6561),(75,875,0.000771,3.6559),(75,885,0.000782,3.6557),(75,895,0.000793,3.6555),(75,905,0.000803,3.6553),(75,915,0.000814,3.6551),(75,925,0.000825,3.6548),(75,935,0.000836,3.6546),(75,945,0.000847,3.6544),(75,955,0.000858,3.6541),(75,965,0.000869,3.6539),(75,975,0.000881,3.6537),(75,985,0.000892,3.6534),(75,995,0.000903,3.6532),(75,1005,0.000915,3.6529),(75,1015,0.000926,3.6527),(75,1025,0.000938,3.6524),(75,1035,0.000949,3.6522),(75,1045,0.000961,3.6519),(75,1055,0.000973,3.6516),(75,1065,0.000984,3.6514),(75,1075,0.000996,3.6511),(75,1085,0.001008,3.6508),(75,1095,0.00102,3.6506),(75,1105,0.001032,3.6503),(75,1115,0.001045,3.65),(75,1125,0.001057,3.6497),(75,1135,0.001069,3.6494),(75,1145,0.001081,3.6491),(75,1155,0.001094,3.6488),(75,1165,0.001107,3.6485),(75,1175,0.001119,3.6482),(75,1185,0.001132,3.6479),(75,1195,0.001145,3.6476),(75,1205,0.001157,3.6473),(75,1215,0.00117,3.647),(75,1225,0.001183,3.6466),(75,1235,0.001197,3.6463),(75,1245,0.00121,3.646),(75,1255,0.001223,3.6457),(75,1265,0.001236,3.6453),(75,1275,0.00125,3.645),(75,1285,0.001263,3.6446),(75,1295,0.001277,3.6443),(75,1305,0.00129,3.6439),(75,1315,0.001304,3.6436),(75,1325,0.001318,3.6432),(75,1335,0.001332,3.6429),(75,1345,0.001346,3.6425),(75,1355,0.00136,3.6421),(75,1365,0.001374,3.6418),(75,1375,0.001388,3.6414),(75,1385,0.001402,3.641),(75,1395,0.001417,3.6406),(75,1405,0.001431,3.6402),(75,1415,0.001445,3.6398),(75,1425,0.00146,3.6394),(75,1435,0.001474,3.639),(75,1445,0.001489,3.6386),(75,1455,0.001504,3.6382),(75,1465,0.001519,3.6378),(75,1475,0.001533,3.6374),(75,1485,0.001548,3.637),(75,1495,0.001564,3.6365),(75,1505,0.001579,3.6361),(75,1515,0.001594,3.6357),(75,1525,0.00161,3.6352),(75,1535,0.001625,3.6348),(75,1545,0.001641,3.6344),(75,1555,0.001656,3.6339),(75,1565,0.001672,3.6334),(75,1575,0.001687,3.633),(75,1585,0.001703,3.6325),(75,1595,0.001719,3.6321),(75,1605,0.001735,3.6316),(75,1615,0.001751,3.6311),(75,1625,0.001767,3.6306),(75,1635,0.001783,3.6301),(75,1645,0.001799,3.6297),(75,1655,0.001815,3.6292),(75,1665,0.001832,3.6287),(75,1675,0.001848,3.6282),(75,1685,0.001865,3.6276),(75,1695,0.001882,3.6271),(75,1705,0.001899,3.6266),(75,1715,0.001916,3.6261),(75,1725,0.001933,3.6256),(75,1735,0.00195,3.625),(75,1745,0.001967,3.6245),(75,1755,0.001985,3.624),(75,1765,0.002002,3.6234),(75,1775,0.00202,3.6229),(75,1785,0.002037,3.6223),(75,1795,0.002055,3.6218),(75,1805,0.002072,3.6212),(75,1815,0.00209,3.6206),(75,1825,0.002108,3.6201),(75,1835,0.002126,3.6195),(75,1845,0.002144,3.6189),(75,1855,0.002162,3.6183),(75,1865,0.00218,3.6177),(75,1875,0.002198,3.6171),(75,1885,0.002216,3.6165),(75,1895,0.002235,3.6159),(75,1905,0.002253,3.6153),(75,1915,0.002272,3.6147),(75,1925,0.00229,3.6141),(75,1935,0.002309,3.6134),(75,1945,0.002328,3.6128),(75,1955,0.002347,3.6122),(75,1965,0.002365,3.6115),(75,1975,0.002385,3.6109),(75,1985,0.002404,3.6102),(75,1995,0.002423,3.6095),(75,2005,0.002442,3.6089),(75,2015,0.002462,3.6082),(75,2025,0.002481,3.6075),(75,2035,0.002501,3.6069),(75,2045,0.00252,3.6062),(75,2055,0.00254,3.6055),(75,2065,0.00256,3.6048),(75,2075,0.00258,3.6041),(75,2085,0.0026,3.6034),(75,2095,0.00262,3.6027),(75,2105,0.00264,3.602),(75,2115,0.00266,3.6012),(75,2125,0.002681,3.6005),(75,2135,0.002701,3.5998),(75,2145,0.002722,3.599),(75,2155,0.002742,3.5983),(75,2165,0.002763,3.5975),(75,2175,0.002784,3.5968),(75,2185,0.002805,3.596),(75,2195,0.002827,3.5952),(75,2205,0.002848,3.5945),(75,2215,0.00287,3.5937),(75,2225,0.002891,3.5929),(75,2235,0.002913,3.5921),(75,2245,0.002935,3.5913),(75,2255,0.002957,3.5905),(75,2265,0.002979,3.5897),(75,2275,0.003001,3.5889),(75,2285,0.003023,3.5881),(75,2295,0.003045,3.5873),(75,2305,0.003068,3.5864),(75,2315,0.00309,3.5856),(75,2325,0.003113,3.5847),(75,2335,0.003136,3.5839),(75,2345,0.003159,3.583),(75,2355,0.003182,3.5822),(75,2365,0.003206,3.5813),(75,2375,0.003229,3.5805),(75,2385,0.003253,3.5796),(75,2395,0.003277,3.5787),(75,2405,0.003301,3.5778),(75,2415,0.003326,3.5769),(75,2425,0.00335,3.576),(75,2435,0.003375,3.5751),(75,2445,0.0034,3.5742),(75,2455,0.003426,3.5732),(75,2465,0.003451,3.5723),(75,2475,0.003477,3.5714),(75,2485,0.003503,3.5704),(75,2495,0.003529,3.5695),(75,2505,0.003556,3.5685),(75,2515,0.003582,3.5676),(75,2525,0.00361,3.5666),(75,2535,0.003637,3.5656),(75,2545,0.003664,3.5646),(75,2555,0.003692,3.5636),(75,2565,0.003721,3.5627),(75,2575,0.003749,3.5617),(75,2585,0.003778,3.5606),(75,2595,0.003807,3.5596),(75,2605,0.003837,3.5586),(75,2615,0.003867,3.5576),(75,2625,0.003897,3.5565),(75,2635,0.003928,3.5555),(75,2645,0.00396,3.5544),(75,2655,0.003992,3.5534),(75,2665,0.004024,3.5523),(75,2675,0.004056,3.5512),(75,2685,0.00409,3.5501),(75,2695,0.004124,3.5491),(75,2705,0.004158,3.548),(75,2715,0.004193,3.5468),(75,2725,0.004229,3.5457),(75,2735,0.004266,3.5446),(75,2745,0.004303,3.5435),(75,2755,0.00434,3.5423),(75,2765,0.00438,3.5412),(75,2775,0.004419,3.54),(75,2785,0.004459,3.5389),(75,2795,0.004499,3.5377),(75,2805,0.004542,3.5365),(75,2815,0.004585,3.5353),(75,2825,0.004628,3.5341),(75,2835,0.004672,3.5329),(75,2845,0.004719,3.5317),(75,2855,0.004767,3.5305),(75,2865,0.004814,3.5292),(75,2875,0.004863,3.528),(75,2885,0.004915,3.5267),(75,2895,0.004967,3.5254),(75,2905,0.005019,3.5241),(75,2915,0.005073,3.5228),(75,2925,0.005131,3.5216),(75,2935,0.005188,3.5202),(75,2945,0.005246,3.5189),(75,2955,0.005307,3.5176),(75,2965,0.005372,3.5162),(75,2975,0.005436,3.5148),(75,2985,0.005501,3.5135),(75,2995,0.00557,3.5121),(75,3005,0.005643,3.5107),(75,3015,0.005716,3.5093),(75,3025,0.005789,3.5078),(75,3035,0.005868,3.5064),(75,3045,0.005951,3.5049),(75,3055,0.006035,3.5034),(75,3065,0.006118,3.5019),(75,3075,0.006208,3.5004),(75,3085,0.006304,3.4989),(75,3095,0.006399,3.4974),(75,3105,0.006495,3.4958),(75,3115,0.006599,3.4942),(75,3125,0.00671,3.4926),(75,3135,0.00682,3.491),(75,3145,0.00693,3.4893),(75,3155,0.007051,3.4877),(75,3165,0.007179,3.486),(75,3175,0.007307,3.4843),(75,3185,0.007436,3.4826),(75,3195,0.007579,3.4808),(75,3205,0.007728,3.4791),(75,3215,0.007878,3.4772),(75,3225,0.008028,3.4754),(75,3235,0.008197,3.4735),(75,3245,0.008374,3.4717),(75,3255,0.00855,3.4698),(75,3265,0.008726,3.4678),(75,3275,0.008928,3.4658),(75,3285,0.009137,3.4638),(75,3295,0.009347,3.4618),(75,3305,0.009556,3.4597),(75,3315,0.009798,3.4576),(75,3325,0.010048,3.4555),(75,3335,0.010298,3.4532),(75,3345,0.010548,3.4509),(75,3355,0.01084,3.4487),(75,3365,0.01114,3.4464),(75,3375,0.01144,3.444),(75,3385,0.01174,3.4415),(75,3395,0.012096,3.4391),(75,3405,0.012458,3.4366),(75,3415,0.012821,3.4339),(75,3425,0.013184,3.4312),(75,3435,0.013619,3.4286),(75,3445,0.01406,3.4259),(75,3455,0.014501,3.4229),(75,3465,0.014942,3.42),(75,3475,0.015479,3.417),(75,3485,0.016019,3.414),(75,3495,0.016558,3.4108),(75,3505,0.017099,3.4075),(75,3515,0.017763,3.4042),(75,3525,0.018428,3.4009),(75,3535,0.019092,3.3972),(75,3545,0.019764,3.3935),(75,3555,0.020586,3.3898),(75,3565,0.021409,3.3861),(75,3575,0.022231,3.382),(75,3585,0.023071,3.3778),(75,3595,0.024093,3.3736),(75,3605,0.025116,3.3694),(75,3615,0.026139,3.3646),(75,3625,0.027193,3.3599),(75,3635,0.028468,3.3551),(75,3645,0.029744,3.3502),(75,3655,0.03102,3.3447),(75,3665,0.032347,3.3392),(75,3675,0.033939,3.3337),(75,3685,0.035531,3.328),(75,3695,0.037124,3.3216),(75,3705,0.038795,3.3152),(75,3715,0.040775,3.3087),(75,3725,0.042756,3.3021),(75,3735,0.044737,3.2945),(75,3745,0.046829,3.2869),(75,3755,0.049267,3.2793),(75,3765,0.051705,3.2714),(75,3775,0.054144,3.2623),(75,3785,0.056721,3.2533),(75,3795,0.059652,3.2443),(75,3805,0.062583,3.2347),(75,3815,0.065514,3.2238),(75,3825,0.068581,3.2129),(75,3835,0.071931,3.2021),(75,3845,0.075282,3.1904),(75,3855,0.078632,3.1773),(75,3865,0.082006,3.1641),(75,3875,0.085421,3.1509),(75,3885,0.088835,3.1367),(75,3895,0.092249,3.1208),(75,3905,0.1003,3.1048),(75,3915,0.11528,3.0889),(75,3925,0.13026,3.0671),(75,3935,0.14525,3.0372),(75,3945,0.1575,3.0073),(75,3955,0.1663,2.9774),(75,3965,0.1751,2.9453),(75,3975,0.18389,2.9106),(75,3985,0.18488,2.8759),(75,3995,0.17741,2.8412),(75,4005,0.16994,2.8097),(75,4015,0.16247,2.7815),(75,4025,0.15155,2.7532),(75,4035,0.14029,2.7272),(75,4045,0.12903,2.7057),(75,4055,0.11642,2.6842),(75,4065,0.10331,2.6638),(75,4075,0.090209,2.6497),(75,4085,0.078081,2.6356),(75,4095,0.066736,2.6215),(75,4105,0.055391,2.6141),(75,4115,0.045001,2.607),(75,4125,0.036194,2.5998),(75,4135,0.027387,2.5971),(75,4145,0.020621,2.5956),(75,4155,0.022118,2.5941),(75,4165,0.023616,2.5897),(75,4175,0.025172,2.5834),(75,4185,0.029639,2.5771),(75,4195,0.034107,2.5697),(75,4205,0.038574,2.561),(75,4215,0.035867,2.5522),(75,4225,0.03181,2.5447),(75,4235,0.027753,2.5411),(75,4245,0.025347,2.5375),(75,4255,0.023779,2.534),(75,4265,0.022211,2.5331),(75,4275,0.021245,2.5322),(75,4285,0.020916,2.5312),(75,4295,0.020588,2.5291),(75,4305,0.028645,2.5269),(75,4315,0.055636,2.5246),(75,4325,0.082628,2.5074),(75,4335,0.10526,2.4843),(75,4345,0.098354,2.4612),(75,4355,0.091451,2.4419),(75,4365,0.084548,2.4258),(75,4375,0.074321,2.4097),(75,4385,0.06392,2.3971),(75,4395,0.05352,2.3908),(75,4405,0.043841,2.3844),(75,4415,0.034375,2.3792),(75,4425,0.024909,2.3792),(75,4435,0.026853,2.3791),(75,4445,0.036595,2.3789),(75,4455,0.046336,2.367),(75,4465,0.054986,2.355),(75,4475,0.062102,2.3431),(75,4485,0.069218,2.3278),(75,4495,0.070993,2.3119),(75,4505,0.05563,2.296),(75,4515,0.040267,2.2881),(75,4525,0.024841,2.2846),(75,4535,0.008426,2.281),(75,4545,-0.007989,2.2833),(75,4555,-0.024404,2.2921),(75,4565,-0.016054,2.3009),(75,4575,-0.004365,2.3062),(75,4585,0.007324,2.303),(75,4595,0.017412,2.2997),(75,4605,0.026822,2.2956),(75,4615,0.036232,2.284),(75,4625,0.036901,2.2725),(75,4635,0.029653,2.261),(75,4645,0.022405,2.2553),(75,4655,0.013321,2.2501),(75,4665,0.000776,2.2448),(75,4675,-0.011769,2.249),(75,4685,-0.021666,2.2563),(75,4695,-0.018478,2.2636),(75,4705,-0.015289,2.2699),(75,4715,-0.012101,2.2756),(75,4725,0.014306,2.2812),(75,4735,0.040946,2.2772),(75,4745,0.067585,2.2585),(75,4755,0.064963,2.2398),(75,4765,0.055561,2.2227),(75,4775,0.046158,2.2111),(75,4785,0.026321,2.1996),(75,4795,0.00045,2.1888),(75,4805,-0.025421,2.1973),(75,4815,-0.04375,2.2058),(75,4825,-0.053061,2.2142),(75,4835,-0.062371,2.23),(75,4845,-0.059803,2.2469),(75,4855,-0.026268,2.2638),(75,4865,0.007266,2.2615),(75,4875,0.039506,2.2504),(75,4885,0.05997,2.2394),(75,4895,0.080435,2.2208),(75,4905,0.1009,2.1949),(75,4915,0.081079,2.169),(75,4925,0.057793,2.1497),(75,4935,0.034508,2.1436),(75,4945,0.012688,2.1375),(75,4955,-0.008624,2.134),(75,4965,-0.029935,2.1446),(75,4975,-0.034935,2.1553),(75,4985,-0.027344,2.166),(75,4995,-0.019753,2.1704),(75,5005,-0.014705,2.1747),(75,5015,-0.013702,2.1791),(75,5025,-0.012698,2.1742),(75,5035,-0.018532,2.1669),(75,5045,-0.050412,2.1597),(75,5055,-0.082293,2.1642),(75,5065,-0.11411,2.1758),(75,5075,-0.14392,2.1875),(75,5085,-0.17373,2.2089),(75,5095,-0.20354,2.2427),(75,5105,-0.18959,2.2764),(75,5115,-0.16801,2.3083),(75,5125,-0.14643,2.3346),(75,5135,-0.093085,2.361),(75,5145,-0.024326,2.3835),(75,5155,0.044434,2.3644),(75,5165,0.091946,2.3454),(75,5175,0.11779,2.3263),(75,5185,0.14363,2.2929),(75,5195,0.15248,2.258),(75,5205,0.1247,2.223),(75,5215,0.096909,2.2034),(75,5225,0.068175,2.1896),(75,5235,0.033552,2.1757),(75,5245,-0.001072,2.1747),(75,5255,-0.035695,2.1842),(75,5265,-0.023588,2.1938),(75,5275,-0.009555,2.1988),(75,5285,0.004478,2.1961),(75,5295,0.019072,2.1934),(75,5305,0.033821,2.1878),(75,5315,0.048571,2.1697),(75,5325,0.036277,2.1515),(75,5335,0.006249,2.1337),(75,5345,-0.023778,2.1348),(75,5355,-0.061923,2.1359),(75,5365,-0.11102,2.1369),(75,5375,-0.16011,2.1648),(75,5385,-0.18768,2.1978),(75,5395,-0.1498,2.2308),(75,5405,-0.11192,2.2516),(75,5415,-0.070962,2.2662),(75,5425,0.011377,2.2807),(75,5435,0.093715,2.2704),(75,5445,0.17605,2.2332),(75,5455,0.21131,2.196),(75,5465,0.24081,2.1548),(75,5475,0.27032,2.1044),(75,5485,0.27469,2.0541),(75,5495,0.26895,2.0046),(75,5505,0.26321,1.9612),(75,5515,0.25451,1.9179),(75,5525,0.24322,1.8746),(75,5535,0.23194,1.8384),(75,5545,0.21975,1.8026),(75,5555,0.20591,1.7668),(75,5565,0.19206,1.736),(75,5575,0.17834,1.7067),(75,5585,0.16522,1.6775),(75,5595,0.15209,1.6512),(75,5605,0.13897,1.6272),(75,5615,0.12806,1.6031),(75,5625,0.11716,1.5806),(75,5635,0.10626,1.5603),(75,5645,0.097368,1.54),(75,5655,0.088918,1.5203),(75,5665,0.080468,1.5025),(75,5675,0.073404,1.4846),(75,5685,0.067106,1.4669),(75,5695,0.060809,1.4507),(75,5705,0.05515,1.4345),(75,5715,0.050223,1.4183),(75,5725,0.045296,1.403),(75,5735,0.040565,1.3879),(75,5745,0.036318,1.3727),(75,5755,0.032072,1.3581),(75,5765,0.027831,1.3437),(75,5775,0.023631,1.3293),(75,5785,0.019432,1.3154),(75,5795,0.015233,1.3019),(75,5805,0.010601,1.2883),(75,5815,0.005938,1.2752),(75,5825,0.001274,1.2627),(75,5835,-0.003898,1.2502),(75,5845,-0.009237,1.238),(75,5855,-0.014576,1.2269),(75,5865,-0.020354,1.2158),(75,5875,-0.026457,1.2048),(75,5885,-0.032559,1.1957),(75,5895,-0.038893,1.1866),(75,5905,-0.045578,1.1775),(75,5915,-0.052263,1.1705),(75,5925,-0.058917,1.164),(75,5935,-0.06546,1.1574),(75,5945,-0.072004,1.1529),(75,5955,-0.078469,1.1497),(75,5965,-0.083018,1.1464),(75,5975,-0.087568,1.1446),(75,5985,-0.092117,1.1444),(75,5995,-0.070777,1.1443),(75,6005,-0.045269,1.1443),(75,6015,-0.019762,1.1445),(75,6025,0.012703,1.1448),(75,6035,0.048394,1.1428),(75,6045,0.084085,1.1191),(75,6055,0.1059,1.0953),(75,6065,0.1141,1.0716),(75,6075,0.12231,1.0424),(75,6085,0.12688,1.0127),(75,6095,0.12395,0.98299),(75,6105,0.12102,0.95554),(75,6115,0.11794,0.92891),(75,6125,0.11401,0.90227),(75,6135,0.11008,0.87688),(75,6145,0.10615,0.85249),(75,6155,0.10243,0.82809),(75,6165,0.098719,0.80437),(75,6175,0.095007,0.78176),(75,6185,0.09171,0.75915),(75,6195,0.088523,0.73678),(75,6205,0.085336,0.71536),(75,6215,0.082378,0.69395),(75,6225,0.079565,0.67257),(75,6235,0.076752,0.65238),(75,6245,0.07423,0.6322),(75,6255,0.072087,0.61201),(75,6265,0.069944,0.59268),(75,6275,0.067893,0.57351),(75,6285,0.066109,0.55434),(75,6295,0.064326,0.53559),(75,6305,0.06257,0.51705),(75,6315,0.061132,0.49851),(75,6325,0.059695,0.48028),(75,6335,0.058257,0.46236),(75,6345,0.057141,0.44444),(75,6355,0.056059,0.42666),(75,6365,0.054978,0.4092),(75,6375,0.054051,0.39174),(75,6385,0.053182,0.37433),(75,6395,0.052314,0.35722),(75,6405,0.051527,0.34011),(75,6415,0.050807,0.323),(75,6425,0.050088,0.30617),(75,6435,0.049417,0.28935),(75,6445,0.048831,0.27252),(75,6455,0.048244,0.25587),(75,6465,0.047683,0.23927),(75,6475,0.047231,0.22266),(75,6485,0.046779,0.20617),(75,6495,0.046328,0.18974),(75,6505,0.045986,0.17332),(75,6515,0.045644,0.15696),(75,6525,0.045303,0.14068),(75,6535,0.045055,0.12441),(75,6545,0.044827,0.10815),(75,6555,0.044599,0.091973),(75,6565,0.044455,0.075791),(75,6575,0.044356,0.059612),(75,6585,0.044257,0.043478),(75,6595,0.037598,0.027343),(75,6605,0.023695,0.011209),(75,6615,0.009792,0.009384),(75,6625,1.8e-05,0.009398),(75,6635,1.8e-05,0.009412),(75,6645,1.8e-05,0.009412),(75,6655,1.8e-05,0.009406),(75,6665,1.8e-05,0.0094),(75,6675,1.8e-05,0.009395),(75,6685,1.8e-05,0.009391),(75,6695,1.8e-05,0.009386),(75,6705,1.9e-05,0.009381),(75,6715,2e-05,0.009376),(75,6725,2e-05,0.00937),(75,6735,2e-05,0.009364),(75,6745,2e-05,0.009358),(75,6755,2e-05,0.009352),(75,6765,2e-05,0.009347),(75,6775,2e-05,0.009341),(75,6785,2e-05,0.009336),(75,6795,2e-05,0.009331),(75,6805,2e-05,0.009325),(75,6815,2e-05,0.009319),(75,6825,2e-05,0.009313),(75,6835,2e-05,0.009307),(75,6845,2.1e-05,0.009301),(75,6855,2.1e-05,0.009295),(75,6865,2.1e-05,0.009289),(75,6875,2.1e-05,0.009283),(75,6885,2.1e-05,0.009277),(75,6895,2.2e-05,0.009271),(75,6905,2.2e-05,0.009265),(75,6915,2.2e-05,0.009259),(75,6925,2.2e-05,0.009253),(75,6935,2.2e-05,0.009246),(75,6945,2.3e-05,0.00924),(75,6955,2.3e-05,0.009234),(75,6965,2.3e-05,0.009227),(75,6975,2.3e-05,0.009221),(75,6985,2.3e-05,0.009215),(85,5,4e-06,3.6647),(85,15,1.3e-05,3.6647),(85,25,2.2e-05,3.6647),(85,35,3.1e-05,3.6647),(85,45,4e-05,3.6647),(85,55,4.9e-05,3.6647),(85,65,5.8e-05,3.6646),(85,75,6.7e-05,3.6646),(85,85,7.6e-05,3.6646),(85,95,8.5e-05,3.6646),(85,105,9.4e-05,3.6646),(85,115,0.000103,3.6646),(85,125,0.000112,3.6645),(85,135,0.000121,3.6645),(85,145,0.00013,3.6645),(85,155,0.000139,3.6644),(85,165,0.000148,3.6644),(85,175,0.000157,3.6644),(85,185,0.000166,3.6643),(85,195,0.000175,3.6643),(85,205,0.000184,3.6642),(85,215,0.000193,3.6642),(85,225,0.000202,3.6641),(85,235,0.000212,3.6641),(85,245,0.000221,3.664),(85,255,0.00023,3.664),(85,265,0.000239,3.6639),(85,275,0.000248,3.6639),(85,285,0.000257,3.6638),(85,295,0.000267,3.6637),(85,305,0.000276,3.6637),(85,315,0.000285,3.6636),(85,325,0.000295,3.6635),(85,335,0.000304,3.6635),(85,345,0.000314,3.6634),(85,355,0.000323,3.6633),(85,365,0.000333,3.6632),(85,375,0.000342,3.6632),(85,385,0.000352,3.6631),(85,395,0.000361,3.663),(85,405,0.000371,3.6629),(85,415,0.000381,3.6628),(85,425,0.000391,3.6627),(85,435,0.0004,3.6626),(85,445,0.00041,3.6625),(85,455,0.00042,3.6624),(85,465,0.00043,3.6623),(85,475,0.00044,3.6622),(85,485,0.00045,3.6621),(85,495,0.00046,3.662),(85,505,0.00047,3.6619),(85,515,0.00048,3.6618),(85,525,0.00049,3.6617),(85,535,0.0005,3.6615),(85,545,0.00051,3.6614),(85,555,0.00052,3.6613),(85,565,0.00053,3.6612),(85,575,0.00054,3.661),(85,585,0.00055,3.6609),(85,595,0.000561,3.6608),(85,605,0.000571,3.6606),(85,615,0.000582,3.6605),(85,625,0.000592,3.6603),(85,635,0.000603,3.6602),(85,645,0.000613,3.6601),(85,655,0.000624,3.6599),(85,665,0.000635,3.6598),(85,675,0.000646,3.6596),(85,685,0.000657,3.6594),(85,695,0.000668,3.6593),(85,705,0.000679,3.6591),(85,715,0.00069,3.659),(85,725,0.000701,3.6588),(85,735,0.000712,3.6586),(85,745,0.000723,3.6584),(85,755,0.000734,3.6583),(85,765,0.000745,3.6581),(85,775,0.000757,3.6579),(85,785,0.000768,3.6577),(85,795,0.00078,3.6575),(85,805,0.000791,3.6573),(85,815,0.000803,3.6572),(85,825,0.000815,3.657),(85,835,0.000826,3.6568),(85,845,0.000838,3.6566),(85,855,0.00085,3.6564),(85,865,0.000862,3.6562),(85,875,0.000874,3.6559),(85,885,0.000886,3.6557),(85,895,0.000898,3.6555),(85,905,0.00091,3.6553),(85,915,0.000923,3.6551),(85,925,0.000935,3.6548),(85,935,0.000947,3.6546),(85,945,0.00096,3.6544),(85,955,0.000972,3.6542),(85,965,0.000985,3.6539),(85,975,0.000998,3.6537),(85,985,0.001011,3.6534),(85,995,0.001024,3.6532),(85,1005,0.001036,3.6529),(85,1015,0.001049,3.6527),(85,1025,0.001063,3.6524),(85,1035,0.001076,3.6522),(85,1045,0.001089,3.6519),(85,1055,0.001102,3.6517),(85,1065,0.001115,3.6514),(85,1075,0.001129,3.6511),(85,1085,0.001142,3.6508),(85,1095,0.001156,3.6506),(85,1105,0.00117,3.6503),(85,1115,0.001184,3.65),(85,1125,0.001197,3.6497),(85,1135,0.001211,3.6494),(85,1145,0.001226,3.6491),(85,1155,0.00124,3.6488),(85,1165,0.001254,3.6485),(85,1175,0.001268,3.6482),(85,1185,0.001283,3.6479),(85,1195,0.001297,3.6476),(85,1205,0.001312,3.6473),(85,1215,0.001326,3.647),(85,1225,0.001341,3.6467),(85,1235,0.001356,3.6463),(85,1245,0.001371,3.646),(85,1255,0.001386,3.6457),(85,1265,0.001401,3.6453),(85,1275,0.001416,3.645),(85,1285,0.001431,3.6446),(85,1295,0.001447,3.6443),(85,1305,0.001462,3.644),(85,1315,0.001478,3.6436),(85,1325,0.001493,3.6432),(85,1335,0.001509,3.6429),(85,1345,0.001525,3.6425),(85,1355,0.001541,3.6421),(85,1365,0.001557,3.6418),(85,1375,0.001573,3.6414),(85,1385,0.001589,3.641),(85,1395,0.001605,3.6406),(85,1405,0.001621,3.6402),(85,1415,0.001638,3.6398),(85,1425,0.001654,3.6395),(85,1435,0.00167,3.639),(85,1445,0.001687,3.6386),(85,1455,0.001704,3.6382),(85,1465,0.001721,3.6378),(85,1475,0.001737,3.6374),(85,1485,0.001754,3.637),(85,1495,0.001772,3.6366),(85,1505,0.001789,3.6361),(85,1515,0.001806,3.6357),(85,1525,0.001824,3.6353),(85,1535,0.001841,3.6348),(85,1545,0.001859,3.6344),(85,1555,0.001877,3.6339),(85,1565,0.001894,3.6335),(85,1575,0.001912,3.633),(85,1585,0.00193,3.6325),(85,1595,0.001948,3.6321),(85,1605,0.001966,3.6316),(85,1615,0.001984,3.6311),(85,1625,0.002002,3.6307),(85,1635,0.002021,3.6302),(85,1645,0.002039,3.6297),(85,1655,0.002057,3.6292),(85,1665,0.002076,3.6287),(85,1675,0.002095,3.6282),(85,1685,0.002113,3.6277),(85,1695,0.002132,3.6272),(85,1705,0.002152,3.6266),(85,1715,0.002171,3.6261),(85,1725,0.00219,3.6256),(85,1735,0.00221,3.6251),(85,1745,0.002229,3.6245),(85,1755,0.002249,3.624),(85,1765,0.002268,3.6234),(85,1775,0.002288,3.6229),(85,1785,0.002308,3.6223),(85,1795,0.002328,3.6218),(85,1805,0.002348,3.6212),(85,1815,0.002368,3.6206),(85,1825,0.002389,3.6201),(85,1835,0.002409,3.6195),(85,1845,0.002429,3.6189),(85,1855,0.00245,3.6183),(85,1865,0.00247,3.6177),(85,1875,0.002491,3.6171),(85,1885,0.002511,3.6165),(85,1895,0.002532,3.6159),(85,1905,0.002553,3.6153),(85,1915,0.002574,3.6147),(85,1925,0.002595,3.6141),(85,1935,0.002617,3.6134),(85,1945,0.002638,3.6128),(85,1955,0.002659,3.6122),(85,1965,0.002681,3.6115),(85,1975,0.002702,3.6109),(85,1985,0.002724,3.6102),(85,1995,0.002746,3.6096),(85,2005,0.002767,3.6089),(85,2015,0.002789,3.6082),(85,2025,0.002812,3.6076),(85,2035,0.002834,3.6069),(85,2045,0.002856,3.6062),(85,2055,0.002878,3.6055),(85,2065,0.002901,3.6048),(85,2075,0.002923,3.6041),(85,2085,0.002946,3.6034),(85,2095,0.002969,3.6027),(85,2105,0.002992,3.602),(85,2115,0.003015,3.6012),(85,2125,0.003038,3.6005),(85,2135,0.003061,3.5998),(85,2145,0.003084,3.5991),(85,2155,0.003108,3.5983),(85,2165,0.003131,3.5976),(85,2175,0.003155,3.5968),(85,2185,0.003179,3.596),(85,2195,0.003203,3.5953),(85,2205,0.003227,3.5945),(85,2215,0.003252,3.5937),(85,2225,0.003276,3.5929),(85,2235,0.003301,3.5921),(85,2245,0.003325,3.5913),(85,2255,0.00335,3.5906),(85,2265,0.003375,3.5897),(85,2275,0.0034,3.5889),(85,2285,0.003425,3.5881),(85,2295,0.003451,3.5873),(85,2305,0.003476,3.5865),(85,2315,0.003502,3.5856),(85,2325,0.003527,3.5848),(85,2335,0.003554,3.5839),(85,2345,0.00358,3.5831),(85,2355,0.003606,3.5822),(85,2365,0.003632,3.5813),(85,2375,0.003659,3.5805),(85,2385,0.003686,3.5796),(85,2395,0.003713,3.5787),(85,2405,0.003741,3.5778),(85,2415,0.003769,3.5769),(85,2425,0.003796,3.576),(85,2435,0.003824,3.5751),(85,2445,0.003853,3.5742),(85,2455,0.003882,3.5733),(85,2465,0.00391,3.5723),(85,2475,0.003939,3.5714),(85,2485,0.003969,3.5705),(85,2495,0.003999,3.5695),(85,2505,0.004029,3.5686),(85,2515,0.004059,3.5676),(85,2525,0.00409,3.5666),(85,2535,0.004121,3.5657),(85,2545,0.004152,3.5647),(85,2555,0.004183,3.5637),(85,2565,0.004215,3.5627),(85,2575,0.004248,3.5617),(85,2585,0.00428,3.5607),(85,2595,0.004313,3.5597),(85,2605,0.004347,3.5586),(85,2615,0.004381,3.5576),(85,2625,0.004416,3.5566),(85,2635,0.00445,3.5555),(85,2645,0.004486,3.5545),(85,2655,0.004522,3.5534),(85,2665,0.004558,3.5523),(85,2675,0.004595,3.5513),(85,2685,0.004633,3.5502),(85,2695,0.004672,3.5491),(85,2705,0.00471,3.548),(85,2715,0.00475,3.5469),(85,2725,0.004791,3.5458),(85,2735,0.004832,3.5447),(85,2745,0.004874,3.5435),(85,2755,0.004916,3.5424),(85,2765,0.004961,3.5412),(85,2775,0.005005,3.5401),(85,2785,0.00505,3.5389),(85,2795,0.005096,3.5377),(85,2805,0.005144,3.5366),(85,2815,0.005193,3.5354),(85,2825,0.005241,3.5342),(85,2835,0.005291,3.5329),(85,2845,0.005345,3.5317),(85,2855,0.005398,3.5305),(85,2865,0.005451,3.5293),(85,2875,0.005506,3.528),(85,2885,0.005565,3.5268),(85,2895,0.005623,3.5255),(85,2905,0.005682,3.5242),(85,2915,0.005743,3.5229),(85,2925,0.005809,3.5216),(85,2935,0.005874,3.5203),(85,2945,0.005939,3.519),(85,2955,0.006008,3.5176),(85,2965,0.006081,3.5163),(85,2975,0.006154,3.5149),(85,2985,0.006227,3.5135),(85,2995,0.006304,3.5121),(85,3005,0.006387,3.5107),(85,3015,0.006469,3.5093),(85,3025,0.006552,3.5079),(85,3035,0.00664,3.5064),(85,3045,0.006734,3.505),(85,3055,0.006828,3.5035),(85,3065,0.006922,3.502),(85,3075,0.007024,3.5005),(85,3085,0.007131,3.499),(85,3095,0.007239,3.4974),(85,3105,0.007347,3.4959),(85,3115,0.007464,3.4943),(85,3125,0.007588,3.4927),(85,3135,0.007712,3.4911),(85,3145,0.007836,3.4894),(85,3155,0.007973,3.4878),(85,3165,0.008117,3.4861),(85,3175,0.008261,3.4844),(85,3185,0.008406,3.4827),(85,3195,0.008566,3.4809),(85,3205,0.008735,3.4792),(85,3215,0.008904,3.4774),(85,3225,0.009072,3.4755),(85,3235,0.009262,3.4737),(85,3245,0.009461,3.4719),(85,3255,0.009659,3.4699),(85,3265,0.009858,3.468),(85,3275,0.010084,3.466),(85,3285,0.01032,3.4641),(85,3295,0.010555,3.462),(85,3305,0.01079,3.4599),(85,3315,0.011062,3.4578),(85,3325,0.011343,3.4557),(85,3335,0.011623,3.4535),(85,3345,0.011904,3.4512),(85,3355,0.012232,3.449),(85,3365,0.012569,3.4467),(85,3375,0.012906,3.4443),(85,3385,0.013243,3.4418),(85,3395,0.013642,3.4394),(85,3405,0.014049,3.4369),(85,3415,0.014455,3.4343),(85,3425,0.014862,3.4316),(85,3435,0.01535,3.429),(85,3445,0.015845,3.4263),(85,3455,0.01634,3.4234),(85,3465,0.016834,3.4204),(85,3475,0.017436,3.4175),(85,3485,0.018041,3.4146),(85,3495,0.018646,3.4113),(85,3505,0.019251,3.4081),(85,3515,0.019996,3.4048),(85,3525,0.02074,3.4015),(85,3535,0.021485,3.3979),(85,3545,0.022237,3.3943),(85,3555,0.023158,3.3906),(85,3565,0.024079,3.3869),(85,3575,0.025,3.3828),(85,3585,0.02594,3.3787),(85,3595,0.027086,3.3746),(85,3605,0.028231,3.3704),(85,3615,0.029376,3.3657),(85,3625,0.030557,3.361),(85,3635,0.031986,3.3563),(85,3645,0.033416,3.3515),(85,3655,0.034845,3.346),(85,3665,0.036333,3.3406),(85,3675,0.03812,3.3352),(85,3685,0.039906,3.3296),(85,3695,0.041693,3.3233),(85,3705,0.043569,3.3169),(85,3715,0.045798,3.3106),(85,3725,0.048027,3.304),(85,3735,0.050257,3.2966),(85,3745,0.052614,3.2891),(85,3755,0.055373,3.2816),(85,3765,0.058132,3.2738),(85,3775,0.060892,3.2649),(85,3785,0.063818,3.2559),(85,3795,0.067169,3.247),(85,3805,0.070521,3.2376),(85,3815,0.073872,3.2268),(85,3825,0.077403,3.216),(85,3835,0.081311,3.2053),(85,3845,0.085219,3.1937),(85,3855,0.089127,3.1805),(85,3865,0.093123,3.1674),(85,3875,0.097271,3.1542),(85,3885,0.10142,3.1399),(85,3895,0.10557,3.1237),(85,3905,0.11523,3.1075),(85,3915,0.13313,3.0913),(85,3925,0.15103,3.0689),(85,3935,0.16892,3.038),(85,3945,0.18312,3.007),(85,3955,0.19263,2.9761),(85,3965,0.20214,2.9431),(85,3975,0.21165,2.9078),(85,3985,0.21222,2.8724),(85,3995,0.20311,2.8371),(85,4005,0.194,2.8053),(85,4015,0.18489,2.7769),(85,4025,0.17208,2.7486),(85,4035,0.15891,2.7225),(85,4045,0.14574,2.7013),(85,4055,0.1311,2.68),(85,4065,0.11593,2.6598),(85,4075,0.10075,2.646),(85,4085,0.08659,2.6323),(85,4095,0.073248,2.6186),(85,4105,0.059906,2.6119),(85,4115,0.047765,2.6055),(85,4125,0.037615,2.5991),(85,4135,0.027464,2.5972),(85,4145,0.020024,2.5966),(85,4155,0.023561,2.596),(85,4165,0.027099,2.5916),(85,4175,0.030662,2.5847),(85,4185,0.035507,2.5779),(85,4195,0.040352,2.5701),(85,4205,0.045197,2.561),(85,4215,0.041164,2.5519),(85,4225,0.03546,2.5443),(85,4235,0.029756,2.5411),(85,4245,0.026256,2.538),(85,4255,0.023875,2.5351),(85,4265,0.021493,2.5351),(85,4275,0.020514,2.5351),(85,4285,0.021024,2.5351),(85,4295,0.021534,2.5334),(85,4305,0.032099,2.5314),(85,4315,0.065368,2.5295),(85,4325,0.098636,2.5111),(85,4335,0.12642,2.4863),(85,4345,0.11711,2.4615),(85,4355,0.10779,2.4411),(85,4365,0.098474,2.4244),(85,4375,0.085027,2.4078),(85,4385,0.071364,2.3951),(85,4395,0.057702,2.3896),(85,4405,0.046063,2.3841),(85,4415,0.03502,2.3798),(85,4425,0.023977,2.3807),(85,4435,0.027689,2.3817),(85,4445,0.041484,2.3826),(85,4455,0.055278,2.3696),(85,4465,0.066664,2.3566),(85,4475,0.074667,2.3436),(85,4485,0.082669,2.3274),(85,4495,0.084141,2.3106),(85,4505,0.064658,2.2937),(85,4515,0.045176,2.2858),(85,4525,0.025639,2.2829),(85,4535,0.005231,2.2799),(85,4545,-0.015177,2.2833),(85,4555,-0.035585,2.294),(85,4565,-0.023548,2.3047),(85,4575,-0.007137,2.3112),(85,4585,0.009274,2.3075),(85,4595,0.022544,2.3039),(85,4605,0.034487,2.2991),(85,4615,0.04643,2.2862),(85,4625,0.047119,2.2733),(85,4635,0.037616,2.2604),(85,4645,0.028113,2.2542),(85,4655,0.016048,2.2485),(85,4665,-0.000846,2.2428),(85,4675,-0.01774,2.2481),(85,4685,-0.031109,2.2569),(85,4695,-0.027061,2.2657),(85,4705,-0.023012,2.2734),(85,4715,-0.018964,2.2803),(85,4725,0.015409,2.2872),(85,4735,0.050086,2.283),(85,4745,0.084762,2.2623),(85,4755,0.081543,2.2415),(85,4765,0.069542,2.2225),(85,4775,0.057542,2.2098),(85,4785,0.032405,2.1971),(85,4795,-0.000327,2.1854),(85,4805,-0.033058,2.1953),(85,4815,-0.056307,2.2051),(85,4825,-0.068216,2.2149),(85,4835,-0.080126,2.233),(85,4845,-0.076752,2.2522),(85,4855,-0.033539,2.2715),(85,4865,0.009675,2.269),(85,4875,0.051065,2.2565),(85,4885,0.07586,2.2441),(85,4895,0.10065,2.2235),(85,4905,0.12545,2.195),(85,4915,0.099819,2.1665),(85,4925,0.069851,2.1455),(85,4935,0.039883,2.1395),(85,4945,0.012396,2.1335),(85,4955,-0.014231,2.1303),(85,4965,-0.040858,2.1428),(85,4975,-0.046728,2.1553),(85,4985,-0.036575,2.1677),(85,4995,-0.026423,2.173),(85,5005,-0.018174,2.178),(85,5015,-0.012953,2.1831),(85,5025,-0.007732,2.1765),(85,5035,-0.011549,2.1669),(85,5045,-0.049799,2.1574),(85,5055,-0.088048,2.1604),(85,5065,-0.12627,2.1712),(85,5075,-0.16371,2.1821),(85,5085,-0.20114,2.2038),(85,5095,-0.23858,2.2394),(85,5105,-0.22369,2.2749),(85,5115,-0.19967,2.3087),(85,5125,-0.17565,2.3373),(85,5135,-0.11149,2.3659),(85,5145,-0.027866,2.3903),(85,5155,0.055763,2.3693),(85,5165,0.11286,2.3483),(85,5175,0.1429,2.3273),(85,5185,0.17295,2.2915),(85,5195,0.18229,2.2542),(85,5205,0.147,2.2169),(85,5215,0.11171,2.1969),(85,5225,0.07544,2.1834),(85,5235,0.033032,2.1699),(85,5245,-0.009376,2.1705),(85,5255,-0.051784,2.1826),(85,5265,-0.034016,2.1947),(85,5275,-0.013766,2.2012),(85,5285,0.006484,2.1979),(85,5295,0.026347,2.1946),(85,5305,0.046101,2.188),(85,5315,0.065856,2.1671),(85,5325,0.051381,2.1462),(85,5335,0.014459,2.1257),(85,5345,-0.022463,2.1261),(85,5355,-0.069292,2.1265),(85,5365,-0.12948,2.1269),(85,5375,-0.18967,2.1567),(85,5385,-0.22391,2.1923),(85,5395,-0.17924,2.2278),(85,5405,-0.13456,2.2505),(85,5415,-0.086175,2.2663),(85,5425,0.012104,2.2822),(85,5435,0.11038,2.2716),(85,5445,0.20866,2.2323),(85,5455,0.24853,2.1929),(85,5465,0.28126,2.1498),(85,5475,0.31399,2.0978),(85,5485,0.31733,2.0458),(85,5495,0.30885,1.9949),(85,5505,0.30036,1.9514),(85,5515,0.28899,1.908),(85,5525,0.27513,1.8645),(85,5535,0.26127,1.8288),(85,5545,0.24665,1.7936),(85,5555,0.23067,1.7584),(85,5565,0.21469,1.7284),(85,5575,0.19892,1.6999),(85,5585,0.18414,1.6714),(85,5595,0.16935,1.6459),(85,5605,0.15457,1.6224),(85,5615,0.14246,1.599),(85,5625,0.13035,1.5771),(85,5635,0.11824,1.5572),(85,5645,0.10844,1.5374),(85,5655,0.099137,1.5181),(85,5665,0.089837,1.5006),(85,5675,0.082057,1.483),(85,5685,0.07512,1.4655),(85,5695,0.068182,1.4495),(85,5705,0.061944,1.4334),(85,5715,0.05651,1.4173),(85,5725,0.051076,1.4021),(85,5735,0.045851,1.387),(85,5745,0.041146,1.3718),(85,5755,0.03644,1.3572),(85,5765,0.031739,1.3427),(85,5775,0.027079,1.3283),(85,5785,0.022418,1.3142),(85,5795,0.017757,1.3005),(85,5805,0.012601,1.2869),(85,5815,0.007408,1.2735),(85,5825,0.002214,1.2609),(85,5835,-0.003592,1.2482),(85,5845,-0.0096,1.2358),(85,5855,-0.015608,1.2245),(85,5865,-0.022164,1.2132),(85,5875,-0.029126,1.2019),(85,5885,-0.036088,1.1926),(85,5895,-0.04337,1.1833),(85,5905,-0.051141,1.174),(85,5915,-0.058911,1.1669),(85,5925,-0.066705,1.1602),(85,5935,-0.074583,1.1535),(85,5945,-0.082461,1.1492),(85,5955,-0.090265,1.1461),(85,5965,-0.096274,1.1431),(85,5975,-0.10228,1.1418),(85,5985,-0.10829,1.1425),(85,5995,-0.083338,1.1432),(85,6005,-0.0534,1.1438),(85,6015,-0.023463,1.1443),(85,6025,0.01453,1.1447),(85,6035,0.05626,1.1428),(85,6045,0.097989,1.1181),(85,6055,0.12321,1.0934),(85,6065,0.13224,1.0687),(85,6075,0.14127,1.0392),(85,6085,0.14605,1.0092),(85,6095,0.14205,0.9793),(85,6105,0.13806,0.95167),(85,6115,0.13396,0.92487),(85,6125,0.12927,0.89807),(85,6135,0.12458,0.87269),(85,6145,0.11989,0.84842),(85,6155,0.11558,0.82415),(85,6165,0.11129,0.80058),(85,6175,0.10699,0.77815),(85,6185,0.1032,0.75571),(85,6195,0.099531,0.73351),(85,6205,0.095866,0.7122),(85,6215,0.092524,0.6909),(85,6225,0.089385,0.66964),(85,6235,0.086246,0.64966),(85,6245,0.083418,0.62968),(85,6255,0.080992,0.60971),(85,6265,0.078566,0.5905),(85,6275,0.076256,0.57144),(85,6285,0.074282,0.55237),(85,6295,0.072308,0.53373),(85,6305,0.070365,0.51531),(85,6315,0.068787,0.49688),(85,6325,0.067209,0.47876),(85,6335,0.065631,0.46095),(85,6345,0.064384,0.44315),(85,6355,0.063174,0.42548),(85,6365,0.061963,0.40809),(85,6375,0.060923,0.3907),(85,6385,0.059948,0.37335),(85,6395,0.058972,0.35629),(85,6405,0.058093,0.33924),(85,6415,0.057294,0.32218),(85,6425,0.056495,0.30539),(85,6435,0.055751,0.28862),(85,6445,0.055103,0.27184),(85,6455,0.054456,0.25523),(85,6465,0.053836,0.23868),(85,6475,0.053335,0.22212),(85,6485,0.052834,0.20567),(85,6495,0.052334,0.18929),(85,6505,0.051958,0.17291),(85,6515,0.051583,0.15658),(85,6525,0.051207,0.14035),(85,6535,0.050928,0.12411),(85,6545,0.050668,0.1079),(85,6555,0.050408,0.09177),(85,6565,0.050222,0.075636),(85,6575,0.050077,0.059507),(85,6585,0.049931,0.043446),(85,6595,0.042403,0.027384),(85,6605,0.026723,0.011323),(85,6615,0.011043,0.009472),(85,6625,2.1e-05,0.009447),(85,6635,2e-05,0.009423),(85,6645,2e-05,0.009412),(85,6655,2e-05,0.009406),(85,6665,2e-05,0.0094),(85,6675,2.1e-05,0.009395),(85,6685,2.1e-05,0.009391),(85,6695,2.1e-05,0.009387),(85,6705,2.2e-05,0.009382),(85,6715,2.2e-05,0.009376),(85,6725,2.2e-05,0.00937),(85,6735,2.2e-05,0.009364),(85,6745,2.2e-05,0.009358),(85,6755,2.2e-05,0.009352),(85,6765,2.2e-05,0.009346),(85,6775,2.2e-05,0.009341),(85,6785,2.2e-05,0.009336),(85,6795,2.2e-05,0.009331),(85,6805,2.3e-05,0.009325),(85,6815,2.3e-05,0.009319),(85,6825,2.3e-05,0.009313),(85,6835,2.3e-05,0.009307),(85,6845,2.3e-05,0.009301),(85,6855,2.4e-05,0.009295),(85,6865,2.4e-05,0.009289),(85,6875,2.4e-05,0.009284),(85,6885,2.4e-05,0.009277),(85,6895,2.4e-05,0.009271),(85,6905,2.5e-05,0.009265),(85,6915,2.5e-05,0.009259),(85,6925,2.5e-05,0.009253),(85,6935,2.5e-05,0.009247),(85,6945,2.6e-05,0.00924),(85,6955,2.6e-05,0.009234),(85,6965,2.6e-05,0.009228),(85,6975,2.6e-05,0.009221),(85,6985,2.6e-05,0.009215),(95,5,5e-06,3.6647),(95,15,1.5e-05,3.6647),(95,25,2.5e-05,3.6647),(95,35,3.5e-05,3.6647),(95,45,4.5e-05,3.6647),(95,55,5.5e-05,3.6647),(95,65,6.5e-05,3.6647),(95,75,7.5e-05,3.6646),(95,85,8.5e-05,3.6646),(95,95,9.5e-05,3.6646),(95,105,0.000105,3.6646),(95,115,0.000115,3.6646),(95,125,0.000126,3.6645),(95,135,0.000136,3.6645),(95,145,0.000146,3.6645),(95,155,0.000156,3.6644),(95,165,0.000166,3.6644),(95,175,0.000176,3.6644),(95,185,0.000186,3.6643),(95,195,0.000196,3.6643),(95,205,0.000206,3.6643),(95,215,0.000216,3.6642),(95,225,0.000226,3.6642),(95,235,0.000236,3.6641),(95,245,0.000247,3.6641),(95,255,0.000257,3.664),(95,265,0.000267,3.6639),(95,275,0.000277,3.6639),(95,285,0.000288,3.6638),(95,295,0.000298,3.6638),(95,305,0.000308,3.6637),(95,315,0.000319,3.6636),(95,325,0.000329,3.6636),(95,335,0.00034,3.6635),(95,345,0.00035,3.6634),(95,355,0.000361,3.6633),(95,365,0.000372,3.6633),(95,375,0.000382,3.6632),(95,385,0.000393,3.6631),(95,395,0.000404,3.663),(95,405,0.000415,3.6629),(95,415,0.000425,3.6628),(95,425,0.000436,3.6627),(95,435,0.000447,3.6626),(95,445,0.000458,3.6625),(95,455,0.000469,3.6624),(95,465,0.00048,3.6623),(95,475,0.000492,3.6622),(95,485,0.000503,3.6621),(95,495,0.000514,3.662),(95,505,0.000525,3.6619),(95,515,0.000536,3.6618),(95,525,0.000547,3.6617),(95,535,0.000558,3.6615),(95,545,0.00057,3.6614),(95,555,0.000581,3.6613),(95,565,0.000592,3.6612),(95,575,0.000604,3.661),(95,585,0.000615,3.6609),(95,595,0.000627,3.6608),(95,605,0.000638,3.6606),(95,615,0.00065,3.6605),(95,625,0.000662,3.6604),(95,635,0.000674,3.6602),(95,645,0.000685,3.6601),(95,655,0.000697,3.6599),(95,665,0.00071,3.6598),(95,675,0.000722,3.6596),(95,685,0.000734,3.6595),(95,695,0.000746,3.6593),(95,705,0.000758,3.6591),(95,715,0.000771,3.659),(95,725,0.000783,3.6588),(95,735,0.000795,3.6586),(95,745,0.000808,3.6585),(95,755,0.00082,3.6583),(95,765,0.000833,3.6581),(95,775,0.000845,3.6579),(95,785,0.000858,3.6577),(95,795,0.000871,3.6576),(95,805,0.000884,3.6574),(95,815,0.000897,3.6572),(95,825,0.00091,3.657),(95,835,0.000923,3.6568),(95,845,0.000937,3.6566),(95,855,0.00095,3.6564),(95,865,0.000963,3.6562),(95,875,0.000977,3.656),(95,885,0.00099,3.6557),(95,895,0.001004,3.6555),(95,905,0.001017,3.6553),(95,915,0.001031,3.6551),(95,925,0.001045,3.6549),(95,935,0.001058,3.6546),(95,945,0.001072,3.6544),(95,955,0.001087,3.6542),(95,965,0.001101,3.6539),(95,975,0.001115,3.6537),(95,985,0.001129,3.6535),(95,995,0.001144,3.6532),(95,1005,0.001158,3.653),(95,1015,0.001173,3.6527),(95,1025,0.001187,3.6525),(95,1035,0.001202,3.6522),(95,1045,0.001217,3.6519),(95,1055,0.001232,3.6517),(95,1065,0.001247,3.6514),(95,1075,0.001262,3.6511),(95,1085,0.001277,3.6509),(95,1095,0.001292,3.6506),(95,1105,0.001307,3.6503),(95,1115,0.001323,3.65),(95,1125,0.001338,3.6497),(95,1135,0.001354,3.6494),(95,1145,0.00137,3.6491),(95,1155,0.001385,3.6488),(95,1165,0.001401,3.6485),(95,1175,0.001417,3.6482),(95,1185,0.001433,3.6479),(95,1195,0.00145,3.6476),(95,1205,0.001466,3.6473),(95,1215,0.001482,3.647),(95,1225,0.001499,3.6467),(95,1235,0.001515,3.6463),(95,1245,0.001532,3.646),(95,1255,0.001548,3.6457),(95,1265,0.001565,3.6454),(95,1275,0.001582,3.645),(95,1285,0.001599,3.6447),(95,1295,0.001616,3.6443),(95,1305,0.001634,3.644),(95,1315,0.001651,3.6436),(95,1325,0.001669,3.6433),(95,1335,0.001686,3.6429),(95,1345,0.001704,3.6425),(95,1355,0.001722,3.6422),(95,1365,0.001739,3.6418),(95,1375,0.001757,3.6414),(95,1385,0.001775,3.641),(95,1395,0.001794,3.6406),(95,1405,0.001812,3.6402),(95,1415,0.00183,3.6399),(95,1425,0.001848,3.6395),(95,1435,0.001867,3.6391),(95,1445,0.001885,3.6387),(95,1455,0.001904,3.6382),(95,1465,0.001923,3.6378),(95,1475,0.001942,3.6374),(95,1485,0.001961,3.637),(95,1495,0.00198,3.6366),(95,1505,0.001999,3.6362),(95,1515,0.002019,3.6357),(95,1525,0.002038,3.6353),(95,1535,0.002058,3.6348),(95,1545,0.002077,3.6344),(95,1555,0.002097,3.6339),(95,1565,0.002117,3.6335),(95,1575,0.002137,3.633),(95,1585,0.002157,3.6326),(95,1595,0.002177,3.6321),(95,1605,0.002197,3.6316),(95,1615,0.002218,3.6311),(95,1625,0.002238,3.6307),(95,1635,0.002258,3.6302),(95,1645,0.002279,3.6297),(95,1655,0.002299,3.6292),(95,1665,0.00232,3.6287),(95,1675,0.002341,3.6282),(95,1685,0.002362,3.6277),(95,1695,0.002383,3.6272),(95,1705,0.002405,3.6267),(95,1715,0.002426,3.6261),(95,1725,0.002447,3.6256),(95,1735,0.002469,3.6251),(95,1745,0.002491,3.6246),(95,1755,0.002513,3.624),(95,1765,0.002535,3.6235),(95,1775,0.002557,3.6229),(95,1785,0.002579,3.6224),(95,1795,0.002602,3.6218),(95,1805,0.002624,3.6212),(95,1815,0.002647,3.6207),(95,1825,0.002669,3.6201),(95,1835,0.002692,3.6195),(95,1845,0.002715,3.6189),(95,1855,0.002738,3.6183),(95,1865,0.00276,3.6178),(95,1875,0.002783,3.6172),(95,1885,0.002807,3.6166),(95,1895,0.00283,3.6159),(95,1905,0.002853,3.6153),(95,1915,0.002877,3.6147),(95,1925,0.0029,3.6141),(95,1935,0.002924,3.6135),(95,1945,0.002948,3.6128),(95,1955,0.002972,3.6122),(95,1965,0.002996,3.6115),(95,1975,0.00302,3.6109),(95,1985,0.003044,3.6103),(95,1995,0.003068,3.6096),(95,2005,0.003093,3.6089),(95,2015,0.003117,3.6083),(95,2025,0.003142,3.6076),(95,2035,0.003167,3.6069),(95,2045,0.003191,3.6062),(95,2055,0.003217,3.6055),(95,2065,0.003242,3.6048),(95,2075,0.003267,3.6041),(95,2085,0.003292,3.6034),(95,2095,0.003318,3.6027),(95,2105,0.003343,3.602),(95,2115,0.003369,3.6013),(95,2125,0.003395,3.6005),(95,2135,0.003421,3.5998),(95,2145,0.003447,3.5991),(95,2155,0.003473,3.5983),(95,2165,0.003499,3.5976),(95,2175,0.003526,3.5968),(95,2185,0.003553,3.5961),(95,2195,0.003579,3.5953),(95,2205,0.003606,3.5945),(95,2215,0.003634,3.5937),(95,2225,0.003661,3.593),(95,2235,0.003688,3.5922),(95,2245,0.003716,3.5914),(95,2255,0.003744,3.5906),(95,2265,0.003772,3.5898),(95,2275,0.0038,3.5889),(95,2285,0.003828,3.5881),(95,2295,0.003856,3.5873),(95,2305,0.003885,3.5865),(95,2315,0.003913,3.5856),(95,2325,0.003942,3.5848),(95,2335,0.003971,3.584),(95,2345,0.004,3.5831),(95,2355,0.00403,3.5822),(95,2365,0.004059,3.5814),(95,2375,0.004089,3.5805),(95,2385,0.004119,3.5796),(95,2395,0.00415,3.5787),(95,2405,0.00418,3.5778),(95,2415,0.004211,3.577),(95,2425,0.004242,3.576),(95,2435,0.004273,3.5751),(95,2445,0.004305,3.5742),(95,2455,0.004338,3.5733),(95,2465,0.00437,3.5724),(95,2475,0.004402,3.5714),(95,2485,0.004435,3.5705),(95,2495,0.004468,3.5695),(95,2505,0.004502,3.5686),(95,2515,0.004535,3.5676),(95,2525,0.00457,3.5667),(95,2535,0.004604,3.5657),(95,2545,0.004639,3.5647),(95,2555,0.004674,3.5637),(95,2565,0.00471,3.5627),(95,2575,0.004746,3.5617),(95,2585,0.004783,3.5607),(95,2595,0.004819,3.5597),(95,2605,0.004857,3.5587),(95,2615,0.004895,3.5576),(95,2625,0.004934,3.5566),(95,2635,0.004972,3.5555),(95,2645,0.005012,3.5545),(95,2655,0.005053,3.5534),(95,2665,0.005093,3.5524),(95,2675,0.005134,3.5513),(95,2685,0.005177,3.5502),(95,2695,0.00522,3.5491),(95,2705,0.005263,3.548),(95,2715,0.005306,3.5469),(95,2725,0.005352,3.5458),(95,2735,0.005398,3.5447),(95,2745,0.005445,3.5436),(95,2755,0.005492,3.5424),(95,2765,0.005542,3.5413),(95,2775,0.005591,3.5401),(95,2785,0.005641,3.539),(95,2795,0.005692,3.5378),(95,2805,0.005746,3.5366),(95,2815,0.0058,3.5354),(95,2825,0.005854,3.5342),(95,2835,0.00591,3.533),(95,2845,0.005969,3.5318),(95,2855,0.006029,3.5306),(95,2865,0.006088,3.5293),(95,2875,0.006149,3.5281),(95,2885,0.006215,3.5268),(95,2895,0.00628,3.5255),(95,2905,0.006346,3.5243),(95,2915,0.006414,3.523),(95,2925,0.006487,3.5217),(95,2935,0.006559,3.5204),(95,2945,0.006632,3.519),(95,2955,0.006708,3.5177),(95,2965,0.00679,3.5163),(95,2975,0.006871,3.515),(95,2985,0.006952,3.5136),(95,2995,0.007038,3.5122),(95,3005,0.00713,3.5108),(95,3015,0.007222,3.5094),(95,3025,0.007314,3.508),(95,3035,0.007412,3.5065),(95,3045,0.007517,3.5051),(95,3055,0.007621,3.5036),(95,3065,0.007726,3.5021),(95,3075,0.007839,3.5006),(95,3085,0.007959,3.4991),(95,3095,0.008079,3.4976),(95,3105,0.008198,3.496),(95,3115,0.008329,3.4944),(95,3125,0.008467,3.4928),(95,3135,0.008605,3.4912),(95,3145,0.008743,3.4896),(95,3155,0.008895,3.4879),(95,3165,0.009055,3.4863),(95,3175,0.009215,3.4846),(95,3185,0.009376,3.4828),(95,3195,0.009555,3.4811),(95,3205,0.009742,3.4794),(95,3215,0.009929,3.4776),(95,3225,0.010116,3.4757),(95,3235,0.010328,3.4739),(95,3245,0.010548,3.4721),(95,3255,0.010769,3.4701),(95,3265,0.010989,3.4682),(95,3275,0.011241,3.4662),(95,3285,0.011502,3.4643),(95,3295,0.011763,3.4622),(95,3305,0.012024,3.4601),(95,3315,0.012326,3.4581),(95,3325,0.012637,3.456),(95,3335,0.012949,3.4538),(95,3345,0.01326,3.4515),(95,3355,0.013624,3.4493),(95,3365,0.013998,3.447),(95,3375,0.014372,3.4446),(95,3385,0.014745,3.4422),(95,3395,0.015188,3.4398),(95,3405,0.015639,3.4374),(95,3415,0.01609,3.4347),(95,3425,0.016541,3.4321),(95,3435,0.017082,3.4294),(95,3445,0.01763,3.4268),(95,3455,0.018178,3.4239),(95,3465,0.018727,3.421),(95,3475,0.019393,3.4181),(95,3485,0.020063,3.4152),(95,3495,0.020733,3.412),(95,3505,0.021404,3.4087),(95,3515,0.022228,3.4055),(95,3525,0.023053,3.4023),(95,3535,0.023877,3.3987),(95,3545,0.02471,3.3951),(95,3555,0.02573,3.3915),(95,3565,0.02675,3.3879),(95,3575,0.027769,3.3838),(95,3585,0.02881,3.3797),(95,3595,0.030078,3.3757),(95,3605,0.031346,3.3716),(95,3615,0.032614,3.3669),(95,3625,0.033921,3.3623),(95,3635,0.035504,3.3577),(95,3645,0.037087,3.3529),(95,3655,0.038671,3.3476),(95,3665,0.040319,3.3423),(95,3675,0.0423,3.3369),(95,3685,0.044281,3.3314),(95,3695,0.046262,3.3252),(95,3705,0.048344,3.319),(95,3715,0.050821,3.3128),(95,3725,0.053299,3.3063),(95,3735,0.055776,3.299),(95,3745,0.0584,3.2916),(95,3755,0.06148,3.2843),(95,3765,0.06456,3.2766),(95,3775,0.067639,3.2678),(95,3785,0.070915,3.2591),(95,3795,0.074686,3.2503),(95,3805,0.078458,3.241),(95,3815,0.08223,3.2304),(95,3825,0.086225,3.2197),(95,3835,0.09069,3.2091),(95,3845,0.095156,3.1977),(95,3855,0.099622,3.1846),(95,3865,0.10424,3.1715),(95,3875,0.10912,3.1584),(95,3885,0.11401,3.144),(95,3895,0.11889,3.1276),(95,3905,0.13016,3.1112),(95,3915,0.15097,3.0948),(95,3925,0.17179,3.0716),(95,3935,0.1926,3.0391),(95,3945,0.20875,3.0065),(95,3955,0.21897,2.974),(95,3965,0.22919,2.9398),(95,3975,0.23941,2.9039),(95,3985,0.23955,2.8679),(95,3995,0.2288,2.8319),(95,4005,0.21805,2.7997),(95,4015,0.2073,2.7714),(95,4025,0.19261,2.7431),(95,4035,0.17753,2.7171),(95,4045,0.16246,2.696),(95,4055,0.14579,2.6749),(95,4065,0.12854,2.655),(95,4075,0.11129,2.6417),(95,4085,0.095099,2.6284),(95,4095,0.07976,2.6151),(95,4105,0.064421,2.6092),(95,4115,0.050529,2.6036),(95,4125,0.039035,2.5981),(95,4135,0.027541,2.5976),(95,4145,0.019428,2.5985),(95,4155,0.025005,2.5994),(95,4165,0.030582,2.5949),(95,4175,0.036151,2.5869),(95,4185,0.041374,2.5789),(95,4195,0.046597,2.5702),(95,4205,0.05182,2.5606),(95,4215,0.046461,2.551),(95,4225,0.03911,2.5432),(95,4235,0.03176,2.5407),(95,4245,0.027166,2.5382),(95,4255,0.02397,2.536),(95,4265,0.020775,2.5374),(95,4275,0.019784,2.5388),(95,4285,0.021132,2.5401),(95,4295,0.022481,2.5391),(95,4305,0.035553,2.5378),(95,4315,0.075099,2.5365),(95,4325,0.11464,2.5165),(95,4335,0.14759,2.4892),(95,4345,0.13586,2.4618),(95,4355,0.12413,2.4399),(95,4365,0.1124,2.4225),(95,4375,0.095733,2.4052),(95,4385,0.078809,2.3925),(95,4395,0.061884,2.388),(95,4405,0.048285,2.3836),(95,4415,0.035665,2.3805),(95,4425,0.023046,2.3832),(95,4435,0.028525,2.386),(95,4445,0.046372,2.3888),(95,4455,0.06422,2.3739),(95,4465,0.078342,2.3591),(95,4475,0.087231,2.3442),(95,4485,0.09612,2.3267),(95,4495,0.097288,2.3087),(95,4505,0.073687,2.2906),(95,4515,0.050086,2.2828),(95,4525,0.026437,2.2805),(95,4535,0.002036,2.2783),(95,4545,-0.022365,2.2834),(95,4555,-0.046765,2.2969),(95,4565,-0.031042,2.3104),(95,4575,-0.009909,2.3186),(95,4585,0.011224,2.3141),(95,4595,0.027677,2.3095),(95,4605,0.042152,2.3038),(95,4615,0.056628,2.2891),(95,4625,0.057337,2.2743),(95,4635,0.045579,2.2595),(95,4645,0.03382,2.2526),(95,4655,0.018775,2.2462),(95,4665,-0.002468,2.2398),(95,4675,-0.023711,2.2463),(95,4685,-0.040552,2.257),(95,4695,-0.035644,2.2676),(95,4705,-0.030735,2.2774),(95,4715,-0.025827,2.2865),(95,4725,0.016512,2.2956),(95,4735,0.059226,2.2914),(95,4745,0.10194,2.2676),(95,4755,0.098123,2.2437),(95,4765,0.083524,2.2221),(95,4775,0.068925,2.208),(95,4785,0.038489,2.1939),(95,4795,-0.001103,2.181),(95,4805,-0.040695,2.1924),(95,4815,-0.068863,2.2039),(95,4825,-0.083372,2.2153),(95,4835,-0.09788,2.2365),(95,4845,-0.093702,2.2593),(95,4855,-0.040809,2.2821),(95,4865,0.012085,2.279),(95,4875,0.062624,2.264),(95,4885,0.091749,2.2491),(95,4895,0.12087,2.2258),(95,4905,0.15,2.1943),(95,4915,0.11856,2.1629),(95,4925,0.081909,2.14),(95,4935,0.045258,2.1342),(95,4945,0.012104,2.1283),(95,4955,-0.019838,2.1257),(95,4965,-0.051781,2.1405),(95,4975,-0.058521,2.1553),(95,4985,-0.045807,2.1701),(95,4995,-0.033093,2.1766),(95,5005,-0.021643,2.1829),(95,5015,-0.012205,2.1892),(95,5025,-0.002767,2.1803),(95,5035,-0.004567,2.1675),(95,5045,-0.049185,2.1546),(95,5055,-0.093803,2.1557),(95,5065,-0.13843,2.1653),(95,5075,-0.18349,2.1749),(95,5085,-0.22855,2.1968),(95,5095,-0.27361,2.2342),(95,5105,-0.25778,2.2717),(95,5115,-0.23132,2.3076),(95,5125,-0.20486,2.3396),(95,5135,-0.1299,2.3715),(95,5145,-0.031406,2.3987),(95,5155,0.067091,2.3748),(95,5165,0.13378,2.3508),(95,5175,0.16802,2.3268),(95,5185,0.20226,2.2884),(95,5195,0.2121,2.2485),(95,5205,0.16931,2.2086),(95,5215,0.12652,2.1884),(95,5225,0.082705,2.1755),(95,5235,0.032512,2.1626),(95,5245,-0.017681,2.1654),(95,5255,-0.067873,2.181),(95,5265,-0.044443,2.1967),(95,5275,-0.017977,2.2048),(95,5285,0.008489,2.2003),(95,5295,0.033621,2.1957),(95,5305,0.058382,2.1874),(95,5315,0.083142,2.1632),(95,5325,0.066485,2.1391),(95,5335,0.022669,2.1152),(95,5345,-0.021148,2.115),(95,5355,-0.07666,2.1147),(95,5365,-0.14795,2.1144),(95,5375,-0.21924,2.1463),(95,5385,-0.26014,2.1845),(95,5395,-0.20867,2.2228),(95,5405,-0.1572,2.2477),(95,5415,-0.10139,2.2658),(95,5425,0.012832,2.2839),(95,5435,0.12705,2.2729),(95,5445,0.24127,2.2303),(95,5455,0.28575,2.1877),(95,5465,0.32171,2.1418),(95,5475,0.35766,2.0882),(95,5485,0.35998,2.0347),(95,5495,0.34874,1.9824),(95,5505,0.3375,1.9392),(95,5515,0.32348,1.8959),(95,5525,0.30704,1.8527),(95,5535,0.29059,1.8178),(95,5545,0.27355,1.7834),(95,5555,0.25544,1.749),(95,5565,0.23732,1.7198),(95,5575,0.2195,1.6922),(95,5585,0.20306,1.6647),(95,5595,0.18661,1.6399),(95,5605,0.17017,1.6172),(95,5615,0.15685,1.5945),(95,5625,0.14354,1.5732),(95,5635,0.13022,1.5539),(95,5645,0.11951,1.5346),(95,5655,0.10936,1.5157),(95,5665,0.099205,1.4985),(95,5675,0.09071,1.4812),(95,5685,0.083133,1.4641),(95,5695,0.075555,1.4481),(95,5705,0.068739,1.4322),(95,5715,0.062798,1.4162),(95,5725,0.056856,1.401),(95,5735,0.051138,1.3859),(95,5745,0.045973,1.3708),(95,5755,0.040808,1.3561),(95,5765,0.035648,1.3416),(95,5775,0.030526,1.327),(95,5785,0.025403,1.3128),(95,5795,0.020281,1.299),(95,5805,0.0146,1.2851),(95,5815,0.008877,1.2716),(95,5825,0.003155,1.2587),(95,5835,-0.003286,1.2459),(95,5845,-0.009963,1.2332),(95,5855,-0.01664,1.2217),(95,5865,-0.023974,1.2101),(95,5875,-0.031795,1.1985),(95,5885,-0.039616,1.1889),(95,5895,-0.047848,1.1794),(95,5905,-0.056704,1.1698),(95,5915,-0.06556,1.1624),(95,5925,-0.074494,1.1555),(95,5935,-0.083706,1.1486),(95,5945,-0.092918,1.1443),(95,5955,-0.10206,1.1414),(95,5965,-0.10953,1.1385),(95,5975,-0.117,1.1377),(95,5985,-0.12447,1.1394),(95,5995,-0.095899,1.1412),(95,6005,-0.061531,1.1427),(95,6015,-0.027163,1.1436),(95,6025,0.016358,1.1444),(95,6035,0.064125,1.1427),(95,6045,0.11189,1.1167),(95,6055,0.14052,1.0906),(95,6065,0.15038,1.0646),(95,6075,0.16024,1.0347),(95,6085,0.16522,1.0045),(95,6095,0.16016,0.97426),(95,6105,0.1551,0.94654),(95,6115,0.14998,0.91972),(95,6125,0.14453,0.89289),(95,6135,0.13908,0.8676),(95,6145,0.13364,0.84353),(95,6155,0.12874,0.81945),(95,6165,0.12386,0.79609),(95,6175,0.11898,0.77387),(95,6185,0.11468,0.75164),(95,6195,0.11054,0.72964),(95,6205,0.1064,0.70851),(95,6215,0.10267,0.68738),(95,6225,0.099205,0.66628),(95,6235,0.095741,0.64653),(95,6245,0.092606,0.62678),(95,6255,0.089898,0.60702),(95,6265,0.087189,0.58797),(95,6275,0.08462,0.56905),(95,6285,0.082455,0.55013),(95,6295,0.08029,0.53163),(95,6305,0.07816,0.51333),(95,6315,0.076442,0.49503),(95,6325,0.074723,0.47704),(95,6335,0.073005,0.45935),(95,6345,0.071628,0.44167),(95,6355,0.070288,0.42411),(95,6365,0.068948,0.4068),(95,6375,0.067795,0.38949),(95,6385,0.066713,0.37222),(95,6395,0.065631,0.35523),(95,6405,0.06466,0.33823),(95,6415,0.063781,0.32124),(95,6425,0.062902,0.30451),(95,6435,0.062085,0.28779),(95,6445,0.061376,0.27106),(95,6455,0.060667,0.25451),(95,6465,0.059988,0.23801),(95,6475,0.059439,0.22151),(95,6485,0.058889,0.2051),(95,6495,0.058341,0.18877),(95,6505,0.057931,0.17243),(95,6515,0.057521,0.15616),(95,6525,0.057111,0.13997),(95,6535,0.0568,0.12377),(95,6545,0.056508,0.10761),(95,6555,0.056217,0.091515),(95,6565,0.05599,0.075424),(95,6575,0.055797,0.05934),(95,6585,0.055604,0.043347),(95,6595,0.047207,0.027354),(95,6605,0.029751,0.011362),(95,6615,0.012294,0.009506),(95,6625,2.3e-05,0.009466),(95,6635,2.3e-05,0.009427),(95,6645,2.3e-05,0.009411),(95,6655,2.3e-05,0.009406),(95,6665,2.3e-05,0.0094),(95,6675,2.3e-05,0.009396),(95,6685,2.4e-05,0.009391),(95,6695,2.4e-05,0.009387),(95,6705,2.4e-05,0.009382),(95,6715,2.4e-05,0.009376),(95,6725,2.4e-05,0.00937),(95,6735,2.4e-05,0.009364),(95,6745,2.4e-05,0.009358),(95,6755,2.4e-05,0.009352),(95,6765,2.4e-05,0.009347),(95,6775,2.5e-05,0.009341),(95,6785,2.5e-05,0.009336),(95,6795,2.5e-05,0.009331),(95,6805,2.5e-05,0.009325),(95,6815,2.6e-05,0.009319),(95,6825,2.6e-05,0.009313),(95,6835,2.6e-05,0.009307),(95,6845,2.6e-05,0.009302),(95,6855,2.6e-05,0.009296),(95,6865,2.7e-05,0.00929),(95,6875,2.7e-05,0.009284),(95,6885,2.7e-05,0.009278),(95,6895,2.7e-05,0.009272),(95,6905,2.8e-05,0.009265),(95,6915,2.8e-05,0.009259),(95,6925,2.8e-05,0.009253),(95,6935,2.8e-05,0.009247),(95,6945,2.8e-05,0.009241),(95,6955,2.9e-05,0.009234),(95,6965,2.9e-05,0.009228),(95,6975,2.9e-05,0.009222),(95,6985,2.9e-05,0.009215),(105,5,6e-06,3.6647),(105,15,1.7e-05,3.6647),(105,25,2.8e-05,3.6647),(105,35,3.9e-05,3.6647),(105,45,5e-05,3.6647),(105,55,6.1e-05,3.6647),(105,65,7.2e-05,3.6647),(105,75,8.3e-05,3.6647),(105,85,9.4e-05,3.6646),(105,95,0.000106,3.6646),(105,105,0.000117,3.6646),(105,115,0.000128,3.6646),(105,125,0.000139,3.6645),(105,135,0.00015,3.6645),(105,145,0.000161,3.6645),(105,155,0.000172,3.6645),(105,165,0.000183,3.6644),(105,175,0.000194,3.6644),(105,185,0.000205,3.6643),(105,195,0.000216,3.6643),(105,205,0.000228,3.6643),(105,215,0.000239,3.6642),(105,225,0.00025,3.6642),(105,235,0.000261,3.6641),(105,245,0.000273,3.6641),(105,255,0.000284,3.664),(105,265,0.000295,3.664),(105,275,0.000307,3.6639),(105,285,0.000318,3.6638),(105,295,0.000329,3.6638),(105,305,0.000341,3.6637),(105,315,0.000352,3.6636),(105,325,0.000364,3.6636),(105,335,0.000375,3.6635),(105,345,0.000387,3.6634),(105,355,0.000399,3.6633),(105,365,0.000411,3.6633),(105,375,0.000422,3.6632),(105,385,0.000434,3.6631),(105,395,0.000446,3.663),(105,405,0.000458,3.6629),(105,415,0.00047,3.6628),(105,425,0.000482,3.6627),(105,435,0.000494,3.6626),(105,445,0.000506,3.6625),(105,455,0.000519,3.6624),(105,465,0.000531,3.6623),(105,475,0.000543,3.6622),(105,485,0.000556,3.6621),(105,495,0.000568,3.662),(105,505,0.00058,3.6619),(105,515,0.000593,3.6618),(105,525,0.000605,3.6617),(105,535,0.000617,3.6616),(105,545,0.00063,3.6614),(105,555,0.000642,3.6613),(105,565,0.000655,3.6612),(105,575,0.000667,3.6611),(105,585,0.00068,3.6609),(105,595,0.000693,3.6608),(105,605,0.000705,3.6607),(105,615,0.000718,3.6605),(105,625,0.000731,3.6604),(105,635,0.000744,3.6602),(105,645,0.000757,3.6601),(105,655,0.000771,3.6599),(105,665,0.000784,3.6598),(105,675,0.000797,3.6596),(105,685,0.000811,3.6595),(105,695,0.000824,3.6593),(105,705,0.000838,3.6591),(105,715,0.000852,3.659),(105,725,0.000865,3.6588),(105,735,0.000879,3.6586),(105,745,0.000893,3.6585),(105,755,0.000907,3.6583),(105,765,0.00092,3.6581),(105,775,0.000934,3.6579),(105,785,0.000949,3.6578),(105,795,0.000963,3.6576),(105,805,0.000977,3.6574),(105,815,0.000991,3.6572),(105,825,0.001006,3.657),(105,835,0.001021,3.6568),(105,845,0.001035,3.6566),(105,855,0.00105,3.6564),(105,865,0.001065,3.6562),(105,875,0.001079,3.656),(105,885,0.001094,3.6558),(105,895,0.001109,3.6555),(105,905,0.001124,3.6553),(105,915,0.001139,3.6551),(105,925,0.001154,3.6549),(105,935,0.00117,3.6546),(105,945,0.001185,3.6544),(105,955,0.001201,3.6542),(105,965,0.001216,3.654),(105,975,0.001232,3.6537),(105,985,0.001248,3.6535),(105,995,0.001264,3.6532),(105,1005,0.00128,3.653),(105,1015,0.001296,3.6527),(105,1025,0.001312,3.6525),(105,1035,0.001328,3.6522),(105,1045,0.001345,3.6519),(105,1055,0.001361,3.6517),(105,1065,0.001378,3.6514),(105,1075,0.001394,3.6512),(105,1085,0.001411,3.6509),(105,1095,0.001428,3.6506),(105,1105,0.001445,3.6503),(105,1115,0.001462,3.65),(105,1125,0.001479,3.6497),(105,1135,0.001496,3.6495),(105,1145,0.001514,3.6492),(105,1155,0.001531,3.6489),(105,1165,0.001549,3.6486),(105,1175,0.001566,3.6483),(105,1185,0.001584,3.648),(105,1195,0.001602,3.6476),(105,1205,0.00162,3.6473),(105,1215,0.001638,3.647),(105,1225,0.001656,3.6467),(105,1235,0.001674,3.6464),(105,1245,0.001693,3.646),(105,1255,0.001711,3.6457),(105,1265,0.00173,3.6454),(105,1275,0.001749,3.645),(105,1285,0.001767,3.6447),(105,1295,0.001786,3.6443),(105,1305,0.001806,3.644),(105,1315,0.001825,3.6436),(105,1325,0.001844,3.6433),(105,1335,0.001863,3.6429),(105,1345,0.001883,3.6426),(105,1355,0.001903,3.6422),(105,1365,0.001922,3.6418),(105,1375,0.001942,3.6414),(105,1385,0.001962,3.6411),(105,1395,0.001982,3.6407),(105,1405,0.002002,3.6403),(105,1415,0.002022,3.6399),(105,1425,0.002043,3.6395),(105,1435,0.002063,3.6391),(105,1445,0.002083,3.6387),(105,1455,0.002104,3.6383),(105,1465,0.002125,3.6379),(105,1475,0.002146,3.6374),(105,1485,0.002167,3.637),(105,1495,0.002188,3.6366),(105,1505,0.002209,3.6362),(105,1515,0.002231,3.6357),(105,1525,0.002252,3.6353),(105,1535,0.002274,3.6349),(105,1545,0.002296,3.6344),(105,1555,0.002318,3.634),(105,1565,0.00234,3.6335),(105,1575,0.002362,3.633),(105,1585,0.002384,3.6326),(105,1595,0.002406,3.6321),(105,1605,0.002429,3.6316),(105,1615,0.002451,3.6312),(105,1625,0.002474,3.6307),(105,1635,0.002496,3.6302),(105,1645,0.002519,3.6297),(105,1655,0.002542,3.6292),(105,1665,0.002564,3.6287),(105,1675,0.002587,3.6282),(105,1685,0.00261,3.6277),(105,1695,0.002634,3.6272),(105,1705,0.002658,3.6267),(105,1715,0.002681,3.6262),(105,1725,0.002705,3.6256),(105,1735,0.002729,3.6251),(105,1745,0.002753,3.6246),(105,1755,0.002777,3.624),(105,1765,0.002801,3.6235),(105,1775,0.002826,3.6229),(105,1785,0.002851,3.6224),(105,1795,0.002875,3.6218),(105,1805,0.0029,3.6213),(105,1815,0.002925,3.6207),(105,1825,0.00295,3.6201),(105,1835,0.002975,3.6195),(105,1845,0.003,3.619),(105,1855,0.003025,3.6184),(105,1865,0.003051,3.6178),(105,1875,0.003076,3.6172),(105,1885,0.003102,3.6166),(105,1895,0.003128,3.616),(105,1905,0.003154,3.6154),(105,1915,0.003179,3.6147),(105,1925,0.003205,3.6141),(105,1935,0.003232,3.6135),(105,1945,0.003258,3.6129),(105,1955,0.003284,3.6122),(105,1965,0.003311,3.6116),(105,1975,0.003338,3.6109),(105,1985,0.003364,3.6103),(105,1995,0.003391,3.6096),(105,2005,0.003418,3.609),(105,2015,0.003445,3.6083),(105,2025,0.003472,3.6076),(105,2035,0.0035,3.6069),(105,2045,0.003527,3.6062),(105,2055,0.003555,3.6056),(105,2065,0.003583,3.6049),(105,2075,0.00361,3.6042),(105,2085,0.003638,3.6035),(105,2095,0.003667,3.6027),(105,2105,0.003695,3.602),(105,2115,0.003723,3.6013),(105,2125,0.003752,3.6006),(105,2135,0.003781,3.5998),(105,2145,0.003809,3.5991),(105,2155,0.003838,3.5984),(105,2165,0.003867,3.5976),(105,2175,0.003897,3.5969),(105,2185,0.003926,3.5961),(105,2195,0.003956,3.5953),(105,2205,0.003986,3.5946),(105,2215,0.004016,3.5938),(105,2225,0.004046,3.593),(105,2235,0.004076,3.5922),(105,2245,0.004107,3.5914),(105,2255,0.004138,3.5906),(105,2265,0.004168,3.5898),(105,2275,0.004199,3.589),(105,2285,0.00423,3.5882),(105,2295,0.004262,3.5873),(105,2305,0.004293,3.5865),(105,2315,0.004325,3.5857),(105,2325,0.004357,3.5848),(105,2335,0.004389,3.584),(105,2345,0.004421,3.5831),(105,2355,0.004453,3.5823),(105,2365,0.004486,3.5814),(105,2375,0.00452,3.5805),(105,2385,0.004553,3.5797),(105,2395,0.004586,3.5788),(105,2405,0.00462,3.5779),(105,2415,0.004654,3.577),(105,2425,0.004688,3.5761),(105,2435,0.004723,3.5752),(105,2445,0.004758,3.5743),(105,2455,0.004793,3.5733),(105,2465,0.004829,3.5724),(105,2475,0.004864,3.5715),(105,2485,0.004901,3.5705),(105,2495,0.004938,3.5696),(105,2505,0.004975,3.5686),(105,2515,0.005011,3.5677),(105,2525,0.00505,3.5667),(105,2535,0.005088,3.5657),(105,2545,0.005126,3.5647),(105,2555,0.005165,3.5637),(105,2565,0.005205,3.5628),(105,2575,0.005245,3.5618),(105,2585,0.005285,3.5607),(105,2595,0.005325,3.5597),(105,2605,0.005367,3.5587),(105,2615,0.00541,3.5577),(105,2625,0.005452,3.556641),(105,2635,0.005494,3.5556),(105,2645,0.005539,3.5545),(105,2655,0.005583,3.5535),(105,2665,0.005628,3.5524),(105,2675,0.005673,3.5513),(105,2685,0.00572,3.5503),(105,2695,0.005768,3.5492),(105,2705,0.005815,3.5481),(105,2715,0.005863,3.547),(105,2725,0.005914,3.5459),(105,2735,0.005965,3.5448),(105,2745,0.006016,3.5436),(105,2755,0.006068,3.5425),(105,2765,0.006123,3.5413),(105,2775,0.006177,3.5402),(105,2785,0.006232,3.539),(105,2795,0.006289,3.5378),(105,2805,0.006348,3.5367),(105,2815,0.006408,3.5355),(105,2825,0.006468,3.5343),(105,2835,0.006529,3.5331),(105,2845,0.006594,3.5319),(105,2855,0.00666,3.5306),(105,2865,0.006725,3.5294),(105,2875,0.006793,3.5281),(105,2885,0.006865,3.5269),(105,2895,0.006937,3.5256),(105,2905,0.007009,3.5243),(105,2915,0.007084,3.523),(105,2925,0.007164,3.5218),(105,2935,0.007245,3.5204),(105,2945,0.007325,3.5191),(105,2955,0.007409,3.5178),(105,2965,0.007498,3.5164),(105,2975,0.007588,3.5151),(105,2985,0.007678,3.5137),(105,2995,0.007773,3.5123),(105,3005,0.007874,3.5109),(105,3015,0.007975,3.5095),(105,3025,0.008076,3.5081),(105,3035,0.008185,3.5066),(105,3045,0.0083,3.5052),(105,3055,0.008415,3.5037),(105,3065,0.00853,3.5022),(105,3075,0.008654,3.5007),(105,3085,0.008786,3.4992),(105,3095,0.008918,3.4977),(105,3105,0.00905,3.4961),(105,3115,0.009194,3.4946),(105,3125,0.009346,3.493),(105,3135,0.009498,3.4914),(105,3145,0.009649,3.4897),(105,3155,0.009817,3.4881),(105,3165,0.009993,3.4865),(105,3175,0.01017,3.4848),(105,3185,0.010346,3.483),(105,3195,0.010543,3.4813),(105,3205,0.010749,3.4796),(105,3215,0.010955,3.4778),(105,3225,0.011161,3.476),(105,3235,0.011393,3.4741),(105,3245,0.011636,3.4723),(105,3255,0.011878,3.4704),(105,3265,0.012121,3.4685),(105,3275,0.012397,3.4665),(105,3285,0.012684,3.4646),(105,3295,0.012971,3.4625),(105,3305,0.013259,3.4605),(105,3315,0.01359,3.4584),(105,3325,0.013932,3.4563),(105,3335,0.014275,3.4541),(105,3345,0.014617,3.4519),(105,3355,0.015017,3.4497),(105,3365,0.015427,3.4475),(105,3375,0.015838,3.4451),(105,3385,0.016248,3.4427),(105,3395,0.016734,3.4403),(105,3405,0.017229,3.4379),(105,3415,0.017724,3.4353),(105,3425,0.01822,3.4327),(105,3435,0.018814,3.43),(105,3445,0.019415,3.4274),(105,3455,0.020017,3.4246),(105,3465,0.020619,3.4217),(105,3475,0.02135,3.4188),(105,3485,0.022085,3.416),(105,3495,0.02282,3.4128),(105,3505,0.023557,3.4096),(105,3515,0.024461,3.4064),(105,3525,0.025365,3.4032),(105,3535,0.026269,3.3997),(105,3545,0.027183,3.3962),(105,3555,0.028302,3.3926),(105,3565,0.02942,3.389),(105,3575,0.030538,3.3851),(105,3585,0.03168,3.3811),(105,3595,0.03307,3.3771),(105,3605,0.034461,3.373),(105,3615,0.035852,3.3685),(105,3625,0.037285,3.3639),(105,3635,0.039022,3.3594),(105,3645,0.040759,3.3548),(105,3655,0.042496,3.3495),(105,3665,0.044305,3.3443),(105,3675,0.04648,3.3391),(105,3685,0.048656,3.3337),(105,3695,0.050831,3.3276),(105,3705,0.053119,3.3216),(105,3715,0.055844,3.3155),(105,3725,0.05857,3.3092),(105,3735,0.061296,3.302),(105,3745,0.064185,3.2949),(105,3755,0.067586,3.2877),(105,3765,0.070987,3.2802),(105,3775,0.074387,3.2717),(105,3785,0.078011,3.2631),(105,3795,0.082203,3.2546),(105,3805,0.086395,3.2454),(105,3815,0.090587,3.2351),(105,3825,0.095047,3.2247),(105,3835,0.10007,3.2143),(105,3845,0.10509,3.203),(105,3855,0.11012,3.1901),(105,3865,0.11536,3.1772),(105,3875,0.12097,3.1643),(105,3885,0.12659,3.15),(105,3895,0.13221,3.1334),(105,3905,0.14509,3.1169),(105,3915,0.16882,3.1003),(105,3925,0.19255,3.0759),(105,3935,0.21628,3.0407),(105,3945,0.23437,3.0055),(105,3955,0.2453,2.9704),(105,3965,0.25623,2.9345),(105,3975,0.26716,2.8979),(105,3985,0.26689,2.8612),(105,3995,0.2545,2.8245),(105,4005,0.2421,2.7921),(105,4015,0.22971,2.7639),(105,4025,0.21314,2.7357),(105,4035,0.19616,2.7099),(105,4045,0.17918,2.6892),(105,4055,0.16048,2.6685),(105,4065,0.14115,2.649),(105,4075,0.12183,2.6361),(105,4085,0.10361,2.6233),(105,4095,0.086272,2.6104),(105,4105,0.068936,2.6056),(105,4115,0.053293,2.6011),(105,4125,0.040456,2.5967),(105,4135,0.027619,2.5985),(105,4145,0.018831,2.6021),(105,4155,0.026448,2.6057),(105,4165,0.034064,2.6009),(105,4175,0.041641,2.5906),(105,4185,0.047242,2.5803),(105,4195,0.052842,2.57),(105,4205,0.058442,2.5596),(105,4215,0.051757,2.5493),(105,4225,0.04276,2.5411),(105,4235,0.033763,2.5396),(105,4245,0.028075,2.538),(105,4255,0.024066,2.5368),(105,4265,0.020056,2.5403),(105,4275,0.019053,2.5438),(105,4285,0.02124,2.5473),(105,4295,0.023427,2.5477),(105,4305,0.039008,2.5476),(105,4315,0.084831,2.5476),(105,4325,0.13065,2.525),(105,4335,0.16876,2.4935),(105,4345,0.15461,2.462),(105,4355,0.14047,2.4377),(105,4365,0.12633,2.4194),(105,4375,0.10644,2.4011),(105,4385,0.086253,2.3884),(105,4395,0.066067,2.3856),(105,4405,0.050506,2.3827),(105,4415,0.03631,2.3814),(105,4425,0.022114,2.3875),(105,4435,0.029361,2.3936),(105,4445,0.051261,2.3995),(105,4455,0.073162,2.3813),(105,4465,0.09002,2.3631),(105,4475,0.099795,2.3449),(105,4485,0.10957,2.3254),(105,4495,0.11044,2.3057),(105,4505,0.082716,2.2859),(105,4515,0.054995,2.2782),(105,4525,0.027235,2.277),(105,4535,-0.001159,2.2758),(105,4545,-0.029552,2.2836),(105,4555,-0.057946,2.3016),(105,4565,-0.038536,2.3195),(105,4575,-0.012681,2.3305),(105,4585,0.013173,2.3243),(105,4595,0.032809,2.3182),(105,4605,0.049818,2.3108),(105,4615,0.066826,2.2932),(105,4625,0.067555,2.2756),(105,4635,0.053542,2.2581),(105,4645,0.039528,2.25),(105,4655,0.021502,2.2425),(105,4665,-0.00409,2.2351),(105,4675,-0.029681,2.2432),(105,4685,-0.049995,2.2563),(105,4695,-0.044227,2.2694),(105,4705,-0.038458,2.2825),(105,4715,-0.03269,2.2955),(105,4725,0.017615,2.3085),(105,4735,0.068366,2.3048),(105,4745,0.11912,2.2759),(105,4755,0.1147,2.247),(105,4765,0.097505,2.2211),(105,4775,0.080308,2.2052),(105,4785,0.044573,2.1892),(105,4795,-0.001879,2.1746),(105,4805,-0.048332,2.1881),(105,4815,-0.081419,2.2015),(105,4825,-0.098527,2.2149),(105,4835,-0.11564,2.2413),(105,4845,-0.11065,2.2697),(105,4855,-0.048079,2.2981),(105,4865,0.014494,2.2936),(105,4875,0.074184,2.2742),(105,4885,0.10764,2.2549),(105,4895,0.14109,2.2274),(105,4905,0.17455,2.1923),(105,4915,0.1373,2.1571),(105,4925,0.093966,2.1318),(105,4935,0.050634,2.1265),(105,4945,0.011812,2.1211),(105,4955,-0.025446,2.1194),(105,4965,-0.062703,2.1375),(105,4975,-0.070314,2.1555),(105,4985,-0.055038,2.1736),(105,4995,-0.039762,2.1823),(105,5005,-0.025112,2.1909),(105,5015,-0.011456,2.1995),(105,5025,0.002199,2.1869),(105,5035,0.002415,2.1691),(105,5045,-0.048571,2.1512),(105,5055,-0.099558,2.1491),(105,5065,-0.15059,2.1568),(105,5075,-0.20328,2.1645),(105,5085,-0.25597,2.1861),(105,5095,-0.30865,2.2255),(105,5105,-0.29187,2.2649),(105,5115,-0.26298,2.3038),(105,5125,-0.23408,2.3412),(105,5135,-0.14831,2.3787),(105,5145,-0.034947,2.4105),(105,5155,0.07842,2.3814),(105,5165,0.15469,2.3524),(105,5175,0.19314,2.3233),(105,5185,0.23158,2.2818),(105,5195,0.24191,2.2389),(105,5205,0.19162,2.1961),(105,5215,0.14133,2.1759),(105,5225,0.089969,2.1643),(105,5235,0.031992,2.1527),(105,5245,-0.025985,2.1589),(105,5255,-0.083963,2.1797),(105,5265,-0.05487,2.2005),(105,5275,-0.022188,2.2109),(105,5285,0.010495,2.2037),(105,5295,0.040896,2.1966),(105,5305,0.070662,2.1854),(105,5315,0.10043,2.1569),(105,5325,0.081589,2.1284),(105,5335,0.030878,2.1003),(105,5345,-0.019832,2.0992),(105,5355,-0.084028,2.0982),(105,5365,-0.16641,2.0971),(105,5375,-0.2488,2.1314),(105,5385,-0.29637,2.1725),(105,5395,-0.23811,2.2136),(105,5405,-0.17985,2.242),(105,5415,-0.1166,2.2639),(105,5425,0.01356,2.2858),(105,5435,0.14372,2.2741),(105,5445,0.27388,2.2261),(105,5455,0.32297,2.1782),(105,5465,0.36215,2.128),(105,5475,0.40134,2.073),(105,5485,0.40262,2.018),(105,5495,0.38863,1.9645),(105,5505,0.37465,1.9222),(105,5515,0.35797,1.8799),(105,5525,0.33894,1.8375),(105,5535,0.31992,1.8039),(105,5545,0.30045,1.7707),(105,5555,0.2802,1.7375),(105,5565,0.25995,1.7095),(105,5575,0.24008,1.6831),(105,5585,0.22198,1.6566),(105,5595,0.20387,1.6329),(105,5605,0.18577,1.6111),(105,5615,0.17125,1.5893),(105,5625,0.15672,1.5688),(105,5635,0.1422,1.55),(105,5645,0.13058,1.5313),(105,5655,0.11957,1.5129),(105,5665,0.10857,1.496),(105,5675,0.099364,1.4791),(105,5685,0.091146,1.4623),(105,5695,0.082928,1.4465),(105,5705,0.075534,1.4307),(105,5715,0.069085,1.4149),(105,5725,0.062636,1.3997),(105,5735,0.056424,1.3846),(105,5745,0.0508,1.3695),(105,5755,0.045177,1.3547),(105,5765,0.039557,1.3401),(105,5775,0.033973,1.3254),(105,5785,0.028389,1.3111),(105,5795,0.022805,1.297),(105,5805,0.016599,1.283),(105,5815,0.010347,1.2692),(105,5825,0.004095,1.256),(105,5835,-0.00298,1.2429),(105,5845,-0.010326,1.2299),(105,5855,-0.017672,1.218),(105,5865,-0.025784,1.206),(105,5875,-0.034465,1.1941),(105,5885,-0.043145,1.1841),(105,5895,-0.052325,1.1741),(105,5905,-0.062267,1.1641),(105,5915,-0.072209,1.1563),(105,5925,-0.082282,1.1491),(105,5935,-0.092828,1.1418),(105,5945,-0.10337,1.1372),(105,5955,-0.11386,1.1342),(105,5965,-0.12279,1.1312),(105,5975,-0.13171,1.131),(105,5985,-0.14064,1.1342),(105,5995,-0.10846,1.1374),(105,6005,-0.069662,1.1402),(105,6015,-0.030864,1.142),(105,6025,0.018186,1.1437),(105,6035,0.071991,1.1426),(105,6045,0.1258,1.1145),(105,6055,0.15783,1.0864),(105,6065,0.16852,1.0583),(105,6075,0.1792,1.0279),(105,6085,0.18439,0.99724),(105,6095,0.17826,0.96662),(105,6105,0.17213,0.93898),(105,6115,0.16599,0.91239),(105,6125,0.15979,0.88581),(105,6135,0.15358,0.86081),(105,6145,0.14738,0.83705),(105,6155,0.14189,0.81329),(105,6165,0.13643,0.79023),(105,6175,0.13097,0.76829),(105,6185,0.12617,0.74636),(105,6195,0.12155,0.72464),(105,6205,0.11692,0.70379),(105,6215,0.11281,0.68294),(105,6225,0.10903,0.66212),(105,6235,0.10524,0.64261),(105,6245,0.10179,0.62311),(105,6255,0.098803,0.60361),(105,6265,0.095811,0.58478),(105,6275,0.092984,0.56607),(105,6285,0.090628,0.54737),(105,6295,0.088272,0.52905),(105,6305,0.085956,0.51091),(105,6315,0.084097,0.49278),(105,6325,0.082238,0.47494),(105,6335,0.080379,0.45738),(105,6345,0.078871,0.43983),(105,6355,0.077402,0.42239),(105,6365,0.075933,0.40518),(105,6375,0.074667,0.38797),(105,6385,0.073478,0.3708),(105,6395,0.072289,0.35389),(105,6405,0.071226,0.33698),(105,6415,0.070267,0.32007),(105,6425,0.069309,0.30341),(105,6435,0.068419,0.28676),(105,6445,0.067649,0.27011),(105,6455,0.066879,0.25362),(105,6465,0.066141,0.23718),(105,6475,0.065542,0.22075),(105,6485,0.064944,0.20441),(105,6495,0.064347,0.18813),(105,6505,0.063903,0.17185),(105,6515,0.063459,0.15563),(105,6525,0.063015,0.13949),(105,6535,0.062672,0.12334),(105,6545,0.062349,0.10722),(105,6555,0.062026,0.091159),(105,6565,0.061757,0.075102),(105,6575,0.061517,0.059052),(105,6585,0.061278,0.04312),(105,6595,0.052011,0.027188),(105,6605,0.032778,0.011256),(105,6615,0.013545,0.009434),(105,6625,2.5e-05,0.009426),(105,6635,2.5e-05,0.009418),(105,6645,2.5e-05,0.009412),(105,6655,2.6e-05,0.009406),(105,6665,2.6e-05,0.009401),(105,6675,2.6e-05,0.009396),(105,6685,2.7e-05,0.009391),(105,6695,2.7e-05,0.009387),(105,6705,2.6e-05,0.009382),(105,6715,2.6e-05,0.009376),(105,6725,2.6e-05,0.00937),(105,6735,2.6e-05,0.009364),(105,6745,2.6e-05,0.009359),(105,6755,2.7e-05,0.009353),(105,6765,2.7e-05,0.009347),(105,6775,2.7e-05,0.009342),(105,6785,2.7e-05,0.009336),(105,6795,2.8e-05,0.009331),(105,6805,2.8e-05,0.009325),(105,6815,2.8e-05,0.009319),(105,6825,2.8e-05,0.009314),(105,6835,2.9e-05,0.009308),(105,6845,2.9e-05,0.009302),(105,6855,2.9e-05,0.009296),(105,6865,2.9e-05,0.00929),(105,6875,3e-05,0.009284),(105,6885,3e-05,0.009278),(105,6895,3e-05,0.009272),(105,6905,3e-05,0.009266),(105,6915,3.1e-05,0.00926),(105,6925,3.1e-05,0.009253),(105,6935,3.1e-05,0.009247),(105,6945,3.1e-05,0.009241),(105,6955,3.2e-05,0.009234),(105,6965,3.2e-05,0.009228),(105,6975,3.2e-05,0.009222),(105,6985,3.2e-05,0.009215),(115,5,6e-06,3.6647),(115,15,1.8e-05,3.6647),(115,25,3e-05,3.6647),(115,35,4.2e-05,3.6647),(115,45,5.5e-05,3.6647),(115,55,6.7e-05,3.6647),(115,65,7.9e-05,3.6647),(115,75,9.1e-05,3.6647),(115,85,0.000103,3.6647),(115,95,0.000116,3.6646),(115,105,0.000128,3.6646),(115,115,0.00014,3.6646),(115,125,0.000152,3.6646),(115,135,0.000164,3.6645),(115,145,0.000176,3.6645),(115,155,0.000189,3.6645),(115,165,0.000201,3.6644),(115,175,0.000213,3.6644),(115,185,0.000225,3.6644),(115,195,0.000237,3.6643),(115,205,0.000249,3.6643),(115,215,0.000261,3.6642),(115,225,0.000274,3.6642),(115,235,0.000286,3.6641),(115,245,0.000299,3.6641),(115,255,0.000311,3.664),(115,265,0.000323,3.664),(115,275,0.000336,3.6639),(115,285,0.000348,3.6638),(115,295,0.00036,3.6638),(115,305,0.000373,3.6637),(115,315,0.000386,3.6637),(115,325,0.000398,3.6636),(115,335,0.000411,3.6635),(115,345,0.000424,3.6634),(115,355,0.000437,3.6634),(115,365,0.00045,3.6633),(115,375,0.000462,3.6632),(115,385,0.000475,3.6631),(115,395,0.000488,3.663),(115,405,0.000501,3.6629),(115,415,0.000515,3.6628),(115,425,0.000528,3.6628),(115,435,0.000541,3.6627),(115,445,0.000554,3.6626),(115,455,0.000568,3.6625),(115,465,0.000581,3.6624),(115,475,0.000595,3.6623),(115,485,0.000608,3.6621),(115,495,0.000622,3.662),(115,505,0.000635,3.6619),(115,515,0.000649,3.6618),(115,525,0.000662,3.6617),(115,535,0.000676,3.6616),(115,545,0.00069,3.6614),(115,555,0.000703,3.6613),(115,565,0.000717,3.6612),(115,575,0.000731,3.6611),(115,585,0.000745,3.6609),(115,595,0.000758,3.6608),(115,605,0.000772,3.6607),(115,615,0.000786,3.6605),(115,625,0.000801,3.6604),(115,635,0.000815,3.6602),(115,645,0.000829,3.6601),(115,655,0.000844,3.6599),(115,665,0.000858,3.6598),(115,675,0.000873,3.6596),(115,685,0.000888,3.6595),(115,695,0.000903,3.6593),(115,705,0.000918,3.6592),(115,715,0.000932,3.659),(115,725,0.000947,3.6588),(115,735,0.000962,3.6587),(115,745,0.000978,3.6585),(115,755,0.000993,3.6583),(115,765,0.001008,3.6581),(115,775,0.001023,3.6579),(115,785,0.001039,3.6578),(115,795,0.001054,3.6576),(115,805,0.00107,3.6574),(115,815,0.001086,3.6572),(115,825,0.001102,3.657),(115,835,0.001118,3.6568),(115,845,0.001133,3.6566),(115,855,0.001149,3.6564),(115,865,0.001166,3.6562),(115,875,0.001182,3.656),(115,885,0.001198,3.6558),(115,895,0.001214,3.6556),(115,905,0.001231,3.6553),(115,915,0.001247,3.6551),(115,925,0.001264,3.6549),(115,935,0.001281,3.6547),(115,945,0.001298,3.6544),(115,955,0.001315,3.6542),(115,965,0.001332,3.654),(115,975,0.001349,3.6537),(115,985,0.001366,3.6535),(115,995,0.001384,3.6532),(115,1005,0.001401,3.653),(115,1015,0.001419,3.6527),(115,1025,0.001437,3.6525),(115,1035,0.001455,3.6522),(115,1045,0.001472,3.652),(115,1055,0.001491,3.6517),(115,1065,0.001509,3.6514),(115,1075,0.001527,3.6512),(115,1085,0.001545,3.6509),(115,1095,0.001564,3.6506),(115,1105,0.001582,3.6503),(115,1115,0.001601,3.6501),(115,1125,0.001619,3.6498),(115,1135,0.001638,3.6495),(115,1145,0.001657,3.6492),(115,1155,0.001677,3.6489),(115,1165,0.001696,3.6486),(115,1175,0.001715,3.6483),(115,1185,0.001735,3.648),(115,1195,0.001754,3.6477),(115,1205,0.001774,3.6473),(115,1215,0.001794,3.647),(115,1225,0.001814,3.6467),(115,1235,0.001834,3.6464),(115,1245,0.001854,3.6461),(115,1255,0.001874,3.6457),(115,1265,0.001894,3.6454),(115,1275,0.001915,3.645),(115,1285,0.001935,3.6447),(115,1295,0.001956,3.6444),(115,1305,0.001977,3.644),(115,1315,0.001998,3.6437),(115,1325,0.002019,3.6433),(115,1335,0.00204,3.6429),(115,1345,0.002062,3.6426),(115,1355,0.002083,3.6422),(115,1365,0.002105,3.6418),(115,1375,0.002127,3.6414),(115,1385,0.002149,3.6411),(115,1395,0.002171,3.6407),(115,1405,0.002192,3.6403),(115,1415,0.002215,3.6399),(115,1425,0.002237,3.6395),(115,1435,0.002259,3.6391),(115,1445,0.002281,3.6387),(115,1455,0.002304,3.6383),(115,1465,0.002327,3.6379),(115,1475,0.00235,3.6375),(115,1485,0.002373,3.637),(115,1495,0.002396,3.6366),(115,1505,0.002419,3.6362),(115,1515,0.002443,3.6358),(115,1525,0.002466,3.6353),(115,1535,0.00249,3.6349),(115,1545,0.002514,3.6344),(115,1555,0.002538,3.634),(115,1565,0.002562,3.6335),(115,1575,0.002586,3.6331),(115,1585,0.002611,3.6326),(115,1595,0.002635,3.6321),(115,1605,0.002659,3.6317),(115,1615,0.002684,3.6312),(115,1625,0.002709,3.6307),(115,1635,0.002734,3.6302),(115,1645,0.002758,3.6297),(115,1655,0.002783,3.6292),(115,1665,0.002809,3.6288),(115,1675,0.002834,3.6282),(115,1685,0.002859,3.6277),(115,1695,0.002885,3.6272),(115,1705,0.00291,3.6267),(115,1715,0.002936,3.6262),(115,1725,0.002962,3.6257),(115,1735,0.002988,3.6251),(115,1745,0.003015,3.6246),(115,1755,0.003041,3.6241),(115,1765,0.003068,3.6235),(115,1775,0.003095,3.623),(115,1785,0.003122,3.6224),(115,1795,0.003148,3.6218),(115,1805,0.003175,3.6213),(115,1815,0.003203,3.6207),(115,1825,0.00323,3.6202),(115,1835,0.003258,3.6196),(115,1845,0.003285,3.619),(115,1855,0.003313,3.6184),(115,1865,0.003341,3.6178),(115,1875,0.003369,3.6172),(115,1885,0.003397,3.6166),(115,1895,0.003425,3.616),(115,1905,0.003453,3.6154),(115,1915,0.003482,3.6148),(115,1925,0.00351,3.6141),(115,1935,0.003539,3.6135),(115,1945,0.003568,3.6129),(115,1955,0.003597,3.6122),(115,1965,0.003626,3.6116),(115,1975,0.003655,3.611),(115,1985,0.003684,3.6103),(115,1995,0.003714,3.6096),(115,2005,0.003743,3.609),(115,2015,0.003773,3.6083),(115,2025,0.003803,3.6076),(115,2035,0.003833,3.607),(115,2045,0.003863,3.6063),(115,2055,0.003893,3.6056),(115,2065,0.003923,3.6049),(115,2075,0.003954,3.6042),(115,2085,0.003985,3.6035),(115,2095,0.004015,3.6028),(115,2105,0.004046,3.6021),(115,2115,0.004077,3.6013),(115,2125,0.004109,3.6006),(115,2135,0.00414,3.5999),(115,2145,0.004172,3.5991),(115,2155,0.004203,3.5984),(115,2165,0.004235,3.5976),(115,2175,0.004267,3.5969),(115,2185,0.0043,3.5961),(115,2195,0.004332,3.5954),(115,2205,0.004365,3.5946),(115,2215,0.004398,3.5938),(115,2225,0.004431,3.593),(115,2235,0.004464,3.5922),(115,2245,0.004497,3.5914),(115,2255,0.004531,3.5906),(115,2265,0.004565,3.5898),(115,2275,0.004598,3.589),(115,2285,0.004633,3.5882),(115,2295,0.004667,3.5874),(115,2305,0.004702,3.5865),(115,2315,0.004736,3.5857),(115,2325,0.004771,3.5849),(115,2335,0.004806,3.584),(115,2345,0.004842,3.5832),(115,2355,0.004877,3.5823),(115,2365,0.004913,3.5814),(115,2375,0.004949,3.5806),(115,2385,0.004986,3.5797),(115,2395,0.005022,3.5788),(115,2405,0.005059,3.5779),(115,2415,0.005097,3.577),(115,2425,0.005134,3.5761),(115,2435,0.005171,3.5752),(115,2445,0.00521,3.5743),(115,2455,0.005249,3.5734),(115,2465,0.005288,3.5724),(115,2475,0.005326,3.5715),(115,2485,0.005366,3.5706),(115,2495,0.005407,3.5696),(115,2505,0.005447,3.5687),(115,2515,0.005487,3.5677),(115,2525,0.005529,3.5667),(115,2535,0.005571,3.5658),(115,2545,0.005613,3.5648),(115,2555,0.005655,3.5638),(115,2565,0.005699,3.5628),(115,2575,0.005743,3.5618),(115,2585,0.005786,3.5608),(115,2595,0.00583,3.5598),(115,2605,0.005877,3.5588),(115,2615,0.005923,3.5577),(115,2625,0.005969,3.5567),(115,2635,0.006015,3.5556),(115,2645,0.006064,3.5546),(115,2655,0.006112,3.5535),(115,2665,0.006161,3.5525),(115,2675,0.00621,3.5514),(115,2685,0.006262,3.5503),(115,2695,0.006314,3.5492),(115,2705,0.006366,3.5481),(115,2715,0.006418,3.547),(115,2725,0.006474,3.5459),(115,2735,0.006529,3.5448),(115,2745,0.006585,3.5437),(115,2755,0.006642,3.5425),(115,2765,0.006702,3.5414),(115,2775,0.006762,3.5402),(115,2785,0.006822,3.5391),(115,2795,0.006883,3.5379),(115,2805,0.006948,3.5367),(115,2815,0.007013,3.5355),(115,2825,0.007078,3.5343),(115,2835,0.007146,3.5331),(115,2845,0.007217,3.5319),(115,2855,0.007288,3.5307),(115,2865,0.007359,3.5295),(115,2875,0.007434,3.5282),(115,2885,0.007512,3.527),(115,2895,0.007591,3.5257),(115,2905,0.007669,3.5244),(115,2915,0.007751,3.5231),(115,2925,0.007839,3.5218),(115,2935,0.007926,3.5205),(115,2945,0.008013,3.5192),(115,2955,0.008105,3.5179),(115,2965,0.008203,3.5165),(115,2975,0.008301,3.5152),(115,2985,0.008398,3.5138),(115,2995,0.008502,3.5124),(115,3005,0.008612,3.511),(115,3015,0.008722,3.5096),(115,3025,0.008833,3.5082),(115,3035,0.008951,3.5068),(115,3045,0.009076,3.5053),(115,3055,0.009201,3.5039),(115,3065,0.009327,3.5024),(115,3075,0.009462,3.5009),(115,3085,0.009606,3.4994),(115,3095,0.009749,3.4978),(115,3105,0.009893,3.4963),(115,3115,0.01005,3.4947),(115,3125,0.010215,3.4932),(115,3135,0.01038,3.4916),(115,3145,0.010546,3.4899),(115,3155,0.010728,3.4883),(115,3165,0.01092,3.4866),(115,3175,0.011111,3.485),(115,3185,0.011303,3.4832),(115,3195,0.011517,3.4815),(115,3205,0.011741,3.4798),(115,3215,0.011965,3.478),(115,3225,0.012189,3.4762),(115,3235,0.012442,3.4744),(115,3245,0.012706,3.4726),(115,3255,0.012969,3.4707),(115,3265,0.013233,3.4687),(115,3275,0.013533,3.4668),(115,3285,0.013845,3.4649),(115,3295,0.014157,3.4629),(115,3305,0.014469,3.4608),(115,3315,0.014829,3.4587),(115,3325,0.0152,3.4567),(115,3335,0.015572,3.4545),(115,3345,0.015943,3.4523),(115,3355,0.016377,3.4501),(115,3365,0.016823,3.4479),(115,3375,0.017268,3.4455),(115,3385,0.017713,3.4431),(115,3395,0.01824,3.4408),(115,3405,0.018777,3.4384),(115,3415,0.019314,3.4358),(115,3425,0.019851,3.4332),(115,3435,0.020495,3.4306),(115,3445,0.021147,3.428),(115,3455,0.021799,3.4252),(115,3465,0.022451,3.4224),(115,3475,0.023243,3.4196),(115,3485,0.024039,3.4167),(115,3495,0.024836,3.4136),(115,3505,0.025633,3.4105),(115,3515,0.026612,3.4073),(115,3525,0.027591,3.4042),(115,3535,0.02857,3.4007),(115,3545,0.029559,3.3972),(115,3555,0.03077,3.3937),(115,3565,0.03198,3.3902),(115,3575,0.03319,3.3863),(115,3585,0.034425,3.3824),(115,3595,0.03593,3.3785),(115,3605,0.037435,3.3745),(115,3615,0.038939,3.37),(115,3625,0.04049,3.3656),(115,3635,0.04237,3.3611),(115,3645,0.04425,3.3566),(115,3655,0.04613,3.3515),(115,3665,0.048088,3.3464),(115,3675,0.050445,3.3413),(115,3685,0.052802,3.336),(115,3695,0.055159,3.3301),(115,3705,0.057638,3.3242),(115,3715,0.060597,3.3182),(115,3725,0.063556,3.3121),(115,3735,0.066515,3.3051),(115,3745,0.069656,3.2981),(115,3755,0.073364,3.2912),(115,3765,0.077072,3.2838),(115,3775,0.080779,3.2755),(115,3785,0.084741,3.2671),(115,3795,0.089348,3.2588),(115,3805,0.093955,3.2499),(115,3815,0.098562,3.2397),(115,3825,0.10349,3.2296),(115,3835,0.1091,3.2194),(115,3845,0.11471,3.2084),(115,3855,0.12032,3.1956),(115,3865,0.12625,3.1829),(115,3875,0.13276,3.1701),(115,3885,0.13927,3.1559),(115,3895,0.14578,3.1392),(115,3905,0.16083,3.1225),(115,3915,0.18866,3.1058),(115,3925,0.21649,3.0802),(115,3935,0.24432,3.0424),(115,3945,0.26462,3.0046),(115,3955,0.27535,2.9668),(115,3965,0.28609,2.9292),(115,3975,0.29682,2.8919),(115,3985,0.29545,2.8545),(115,3995,0.28097,2.8172),(115,4005,0.26649,2.7845),(115,4015,0.25201,2.7564),(115,4025,0.23339,2.7284),(115,4035,0.21436,2.7028),(115,4045,0.19534,2.6825),(115,4055,0.17452,2.6621),(115,4065,0.15306,2.6429),(115,4075,0.13159,2.6305),(115,4085,0.11109,2.6181),(115,4095,0.091381,2.6057),(115,4105,0.07167,2.602),(115,4115,0.053681,2.5986),(115,4125,0.038548,2.5952),(115,4135,0.023415,2.5995),(115,4145,0.013774,2.6058),(115,4155,0.026373,2.6121),(115,4165,0.038973,2.6069),(115,4175,0.051423,2.5943),(115,4185,0.056498,2.5817),(115,4195,0.061572,2.5697),(115,4205,0.066647,2.5586),(115,4215,0.057653,2.5475),(115,4225,0.046011,2.5391),(115,4235,0.03437,2.5384),(115,4245,0.026784,2.5378),(115,4255,0.021256,2.5376),(115,4265,0.015728,2.5433),(115,4275,0.014596,2.5489),(115,4285,0.018128,2.5545),(115,4295,0.021661,2.5562),(115,4305,0.041085,2.5574),(115,4315,0.096394,2.5587),(115,4325,0.1517,2.5334),(115,4335,0.19751,2.4978),(115,4345,0.17904,2.4622),(115,4355,0.16057,2.4354),(115,4365,0.14209,2.4163),(115,4375,0.1175,2.3971),(115,4385,0.092591,2.3844),(115,4395,0.067679,2.3831),(115,4405,0.049049,2.3818),(115,4415,0.03227,2.3824),(115,4425,0.015491,2.3918),(115,4435,0.026426,2.4011),(115,4445,0.056301,2.4103),(115,4455,0.086176,2.3887),(115,4465,0.10764,2.3671),(115,4475,0.11729,2.3455),(115,4485,0.12694,2.324),(115,4495,0.12635,2.3027),(115,4505,0.092907,2.2813),(115,4515,0.059461,2.2736),(115,4525,0.025956,2.2735),(115,4535,-0.008471,2.2733),(115,4545,-0.042899,2.2837),(115,4555,-0.077327,2.3062),(115,4565,-0.051302,2.3287),(115,4575,-0.017128,2.3423),(115,4585,0.017047,2.3346),(115,4595,0.041431,2.3268),(115,4605,0.06168,2.3177),(115,4615,0.081928,2.2973),(115,4625,0.082478,2.277),(115,4635,0.065189,2.2566),(115,4645,0.047899,2.2473),(115,4655,0.025499,2.2388),(115,4665,-0.006537,2.2303),(115,4675,-0.038573,2.24),(115,4685,-0.064246,2.2556),(115,4695,-0.058474,2.2712),(115,4705,-0.052702,2.2876),(115,4715,-0.046929,2.3045),(115,4725,0.016561,2.3215),(115,4735,0.080629,2.3181),(115,4745,0.1447,2.2842),(115,4755,0.13915,2.2503),(115,4765,0.11748,2.22),(115,4775,0.095798,2.2023),(115,4785,0.052623,2.1846),(115,4795,-0.002981,2.1683),(115,4805,-0.058586,2.1837),(115,4815,-0.098797,2.1992),(115,4825,-0.1206,2.2146),(115,4835,-0.14241,2.2461),(115,4845,-0.13649,2.2801),(115,4855,-0.058299,2.314),(115,4865,0.019892,2.3082),(115,4875,0.094044,2.2844),(115,4885,0.13143,2.2606),(115,4895,0.16883,2.2291),(115,4905,0.20622,2.1902),(115,4915,0.16079,2.1512),(115,4925,0.10824,2.1236),(115,4935,0.055694,2.1188),(115,4945,0.009348,2.114),(115,4955,-0.034849,2.1131),(115,4965,-0.079045,2.1344),(115,4975,-0.087895,2.1557),(115,4985,-0.069461,2.177),(115,4995,-0.051026,2.1881),(115,5005,-0.031155,2.1989),(115,5015,-0.009002,2.2097),(115,5025,0.013151,2.1936),(115,5035,0.018382,2.1707),(115,5045,-0.040854,2.1477),(115,5055,-0.10009,2.1425),(115,5065,-0.15943,2.1483),(115,5075,-0.22206,2.154),(115,5085,-0.28469,2.1755),(115,5095,-0.34732,2.2168),(115,5105,-0.33169,2.2582),(115,5115,-0.3024,2.3),(115,5125,-0.27312,2.3429),(115,5135,-0.17296,2.3858),(115,5145,-0.038409,2.4223),(115,5155,0.09614,2.3881),(115,5165,0.18456,2.354),(115,5175,0.22595,2.3198),(115,5185,0.26733,2.2751),(115,5195,0.27649,2.2293),(115,5205,0.21619,2.1835),(115,5215,0.15588,2.1635),(115,5225,0.094499,2.1531),(115,5235,0.026393,2.1427),(115,5245,-0.041712,2.1523),(115,5255,-0.10982,2.1783),(115,5265,-0.070706,2.2043),(115,5275,-0.027174,2.217),(115,5285,0.016358,2.2072),(115,5295,0.053827,2.1975),(115,5305,0.089608,2.1833),(115,5315,0.12539,2.1505),(115,5325,0.10347,2.1177),(115,5335,0.043727,2.0854),(115,5345,-0.01602,2.0835),(115,5355,-0.091067,2.0817),(115,5365,-0.18675,2.0799),(115,5375,-0.28244,2.1164),(115,5385,-0.33845,2.1604),(115,5395,-0.27386,2.2044),(115,5405,-0.20926,2.2363),(115,5415,-0.13864,2.262),(115,5425,0.012976,2.2877),(115,5435,0.16459,2.2754),(115,5445,0.31621,2.222),(115,5455,0.36845,2.1686),(115,5465,0.40854,2.1143),(115,5475,0.44863,2.0578),(115,5485,0.44724,2.0013),(115,5495,0.42914,1.9466),(115,5505,0.41103,1.9052),(115,5515,0.3909,1.8638),(115,5525,0.369,1.8224),(115,5535,0.34711,1.7899),(115,5545,0.32505,1.758),(115,5555,0.30271,1.7261),(115,5565,0.28038,1.6992),(115,5575,0.25853,1.6739),(115,5585,0.23893,1.6486),(115,5595,0.21933,1.6259),(115,5605,0.19973,1.605),(115,5615,0.18417,1.5841),(115,5625,0.16861,1.5643),(115,5635,0.15305,1.5461),(115,5645,0.14065,1.528),(115,5655,0.12894,1.5102),(115,5665,0.11723,1.4936),(115,5675,0.10743,1.477),(115,5685,0.098691,1.4605),(115,5695,0.08995,1.4449),(115,5705,0.08208,1.4292),(115,5715,0.075212,1.4135),(115,5725,0.068343,1.3984),(115,5735,0.061719,1.3833),(115,5745,0.0557,1.3682),(115,5755,0.049681,1.3533),(115,5765,0.043664,1.3386),(115,5775,0.037655,1.3239),(115,5785,0.031647,1.3094),(115,5795,0.025638,1.2951),(115,5805,0.018937,1.2808),(115,5815,0.012184,1.2668),(115,5825,0.005431,1.2533),(115,5835,-0.002242,1.2398),(115,5845,-0.010217,1.2266),(115,5855,-0.018192,1.2142),(115,5865,-0.02704,1.2019),(115,5875,-0.036536,1.1896),(115,5885,-0.046031,1.1792),(115,5895,-0.056137,1.1688),(115,5905,-0.067173,1.1584),(115,5915,-0.078208,1.1502),(115,5925,-0.089468,1.1426),(115,5935,-0.10153,1.135),(115,5945,-0.11359,1.1302),(115,5955,-0.12562,1.1271),(115,5965,-0.13689,1.124),(115,5975,-0.14816,1.1244),(115,5985,-0.15943,1.129),(115,5995,-0.12345,1.1337),(115,6005,-0.079861,1.1378),(115,6015,-0.036275,1.1404),(115,6025,0.019536,1.143),(115,6035,0.081016,1.1425),(115,6045,0.1425,1.1123),(115,6055,0.17828,1.0821),(115,6065,0.18888,1.052),(115,6075,0.19947,1.021),(115,6085,0.20416,0.98999),(115,6095,0.19667,0.95898),(115,6105,0.18918,0.93141),(115,6115,0.18176,0.90507),(115,6125,0.17471,0.87873),(115,6135,0.16766,0.85402),(115,6145,0.16061,0.83058),(115,6155,0.15454,0.80714),(115,6165,0.1485,0.78438),(115,6175,0.14245,0.76272),(115,6185,0.13719,0.74107),(115,6195,0.13213,0.71964),(115,6205,0.12707,0.69906),(115,6215,0.12261,0.67849),(115,6225,0.11852,0.65795),(115,6235,0.11444,0.6387),(115,6245,0.11073,0.61945),(115,6255,0.10749,0.6002),(115,6265,0.10425,0.58159),(115,6275,0.10119,0.5631),(115,6285,0.098645,0.5446),(115,6295,0.096097,0.52646),(115,6305,0.093591,0.5085),(115,6315,0.091581,0.49053),(115,6325,0.089571,0.47284),(115,6335,0.08756,0.45541),(115,6345,0.085924,0.43799),(115,6355,0.08433,0.42067),(115,6365,0.082735,0.40356),(115,6375,0.081365,0.38645),(115,6385,0.080082,0.36937),(115,6395,0.078799,0.35255),(115,6405,0.077655,0.33573),(115,6415,0.076629,0.3189),(115,6425,0.075602,0.30231),(115,6435,0.074651,0.28573),(115,6445,0.07383,0.26915),(115,6455,0.07301,0.25273),(115,6465,0.072223,0.23636),(115,6475,0.071582,0.21999),(115,6485,0.070942,0.20371),(115,6495,0.070302,0.18749),(115,6505,0.069824,0.17127),(115,6515,0.069345,0.15511),(115,6525,0.068866,0.13901),(115,6535,0.06849,0.12291),(115,6545,0.068134,0.10683),(115,6555,0.067779,0.090804),(115,6565,0.067484,0.07478),(115,6575,0.067222,0.058765),(115,6585,0.06696,0.042893),(115,6595,0.056834,0.027022),(115,6605,0.035818,0.01115),(115,6615,0.014801,0.009363),(115,6625,2.7e-05,0.009386),(115,6635,2.7e-05,0.009409),(115,6645,2.8e-05,0.009412),(115,6655,2.8e-05,0.009407),(115,6665,2.8e-05,0.009401),(115,6675,2.9e-05,0.009396),(115,6685,2.9e-05,0.009392),(115,6695,2.9e-05,0.009387),(115,6705,2.9e-05,0.009382),(115,6715,2.9e-05,0.009376),(115,6725,2.9e-05,0.00937),(115,6735,2.9e-05,0.009364),(115,6745,2.9e-05,0.009359),(115,6755,2.9e-05,0.009353),(115,6765,2.9e-05,0.009347),(115,6775,3e-05,0.009342),(115,6785,3e-05,0.009337),(115,6795,3e-05,0.009331),(115,6805,3.1e-05,0.009326),(115,6815,3.1e-05,0.00932),(115,6825,3.1e-05,0.009314),(115,6835,3.1e-05,0.009308),(115,6845,3.2e-05,0.009302),(115,6855,3.2e-05,0.009296),(115,6865,3.2e-05,0.00929),(115,6875,3.3e-05,0.009284),(115,6885,3.3e-05,0.009278),(115,6895,3.3e-05,0.009272),(115,6905,3.3e-05,0.009266),(115,6915,3.4e-05,0.00926),(115,6925,3.4e-05,0.009254),(115,6935,3.4e-05,0.009247),(115,6945,3.4e-05,0.009241),(115,6955,3.5e-05,0.009235),(115,6965,3.5e-05,0.009228),(115,6975,3.5e-05,0.009222),(115,6985,3.5e-05,0.009216),(125,5,7e-06,3.6647),(125,15,2e-05,3.6647),(125,25,3.3e-05,3.6647),(125,35,4.6e-05,3.6647),(125,45,5.9e-05,3.6647),(125,55,7.3e-05,3.6647),(125,65,8.6e-05,3.6647),(125,75,9.9e-05,3.6647),(125,85,0.000112,3.6647),(125,95,0.000126,3.6646),(125,105,0.000139,3.6646),(125,115,0.000152,3.6646),(125,125,0.000165,3.6646),(125,135,0.000178,3.6645),(125,145,0.000192,3.6645),(125,155,0.000205,3.6645),(125,165,0.000218,3.6644),(125,175,0.000231,3.6644),(125,185,0.000244,3.6644),(125,195,0.000258,3.6643),(125,205,0.000271,3.6643),(125,215,0.000284,3.6642),(125,225,0.000297,3.6642),(125,235,0.000311,3.6641),(125,245,0.000324,3.6641),(125,255,0.000338,3.664),(125,265,0.000351,3.664),(125,275,0.000365,3.6639),(125,285,0.000378,3.6639),(125,295,0.000392,3.6638),(125,305,0.000406,3.6637),(125,315,0.000419,3.6637),(125,325,0.000433,3.6636),(125,335,0.000447,3.6635),(125,345,0.000461,3.6634),(125,355,0.000475,3.6634),(125,365,0.000489,3.6633),(125,375,0.000503,3.6632),(125,385,0.000517,3.6631),(125,395,0.000531,3.663),(125,405,0.000545,3.6629),(125,415,0.000559,3.6629),(125,425,0.000573,3.6628),(125,435,0.000588,3.6627),(125,445,0.000602,3.6626),(125,455,0.000617,3.6625),(125,465,0.000631,3.6624),(125,475,0.000646,3.6623),(125,485,0.000661,3.6622),(125,495,0.000675,3.662),(125,505,0.00069,3.6619),(125,515,0.000705,3.6618),(125,525,0.00072,3.6617),(125,535,0.000734,3.6616),(125,545,0.000749,3.6615),(125,555,0.000764,3.6613),(125,565,0.000779,3.6612),(125,575,0.000794,3.6611),(125,585,0.000809,3.661),(125,595,0.000824,3.6608),(125,605,0.000839,3.6607),(125,615,0.000855,3.6605),(125,625,0.00087,3.6604),(125,635,0.000886,3.6603),(125,645,0.000901,3.6601),(125,655,0.000917,3.66),(125,665,0.000933,3.6598),(125,675,0.000949,3.6597),(125,685,0.000965,3.6595),(125,695,0.000981,3.6593),(125,705,0.000997,3.6592),(125,715,0.001013,3.659),(125,725,0.001029,3.6588),(125,735,0.001046,3.6587),(125,745,0.001062,3.6585),(125,755,0.001079,3.6583),(125,765,0.001095,3.6581),(125,775,0.001112,3.658),(125,785,0.001129,3.6578),(125,795,0.001146,3.6576),(125,805,0.001162,3.6574),(125,815,0.001179,3.6572),(125,825,0.001197,3.657),(125,835,0.001214,3.6568),(125,845,0.001232,3.6566),(125,855,0.001249,3.6564),(125,865,0.001267,3.6562),(125,875,0.001284,3.656),(125,885,0.001302,3.6558),(125,895,0.00132,3.6556),(125,905,0.001338,3.6554),(125,915,0.001356,3.6551),(125,925,0.001374,3.6549),(125,935,0.001392,3.6547),(125,945,0.00141,3.6545),(125,955,0.001429,3.6542),(125,965,0.001447,3.654),(125,975,0.001466,3.6537),(125,985,0.001485,3.6535),(125,995,0.001504,3.6533),(125,1005,0.001523,3.653),(125,1015,0.001542,3.6528),(125,1025,0.001561,3.6525),(125,1035,0.001581,3.6522),(125,1045,0.0016,3.652),(125,1055,0.00162,3.6517),(125,1065,0.001639,3.6515),(125,1075,0.001659,3.6512),(125,1085,0.001679,3.6509),(125,1095,0.001699,3.6506),(125,1105,0.001719,3.6504),(125,1115,0.001739,3.6501),(125,1125,0.00176,3.6498),(125,1135,0.00178,3.6495),(125,1145,0.001801,3.6492),(125,1155,0.001822,3.6489),(125,1165,0.001843,3.6486),(125,1175,0.001864,3.6483),(125,1185,0.001885,3.648),(125,1195,0.001906,3.6477),(125,1205,0.001928,3.6474),(125,1215,0.001949,3.647),(125,1225,0.001971,3.6467),(125,1235,0.001993,3.6464),(125,1245,0.002014,3.6461),(125,1255,0.002037,3.6457),(125,1265,0.002059,3.6454),(125,1275,0.002081,3.6451),(125,1285,0.002103,3.6447),(125,1295,0.002126,3.6444),(125,1305,0.002148,3.644),(125,1315,0.002171,3.6437),(125,1325,0.002194,3.6433),(125,1335,0.002217,3.643),(125,1345,0.002241,3.6426),(125,1355,0.002264,3.6422),(125,1365,0.002287,3.6418),(125,1375,0.002311,3.6415),(125,1385,0.002335,3.6411),(125,1395,0.002359,3.6407),(125,1405,0.002383,3.6403),(125,1415,0.002407,3.6399),(125,1425,0.002431,3.6395),(125,1435,0.002455,3.6391),(125,1445,0.002479,3.6387),(125,1455,0.002504,3.6383),(125,1465,0.002529,3.6379),(125,1475,0.002554,3.6375),(125,1485,0.002578,3.6371),(125,1495,0.002604,3.6366),(125,1505,0.002629,3.6362),(125,1515,0.002655,3.6358),(125,1525,0.00268,3.6353),(125,1535,0.002706,3.6349),(125,1545,0.002732,3.6345),(125,1555,0.002758,3.634),(125,1565,0.002784,3.6335),(125,1575,0.002811,3.6331),(125,1585,0.002837,3.6326),(125,1595,0.002864,3.6322),(125,1605,0.00289,3.6317),(125,1615,0.002917,3.6312),(125,1625,0.002944,3.6307),(125,1635,0.002971,3.6302),(125,1645,0.002998,3.6298),(125,1655,0.003025,3.6293),(125,1665,0.003053,3.6288),(125,1675,0.00308,3.6283),(125,1685,0.003107,3.6278),(125,1695,0.003135,3.6272),(125,1705,0.003163,3.6267),(125,1715,0.003191,3.6262),(125,1725,0.003219,3.6257),(125,1735,0.003248,3.6252),(125,1745,0.003276,3.6246),(125,1755,0.003305,3.6241),(125,1765,0.003334,3.6235),(125,1775,0.003363,3.623),(125,1785,0.003392,3.6224),(125,1795,0.003422,3.6219),(125,1805,0.003451,3.6213),(125,1815,0.003481,3.6207),(125,1825,0.00351,3.6202),(125,1835,0.00354,3.6196),(125,1845,0.00357,3.619),(125,1855,0.0036,3.6184),(125,1865,0.003631,3.6178),(125,1875,0.003661,3.6172),(125,1885,0.003691,3.6166),(125,1895,0.003722,3.616),(125,1905,0.003753,3.6154),(125,1915,0.003784,3.6148),(125,1925,0.003815,3.6142),(125,1935,0.003846,3.6135),(125,1945,0.003877,3.6129),(125,1955,0.003909,3.6123),(125,1965,0.00394,3.6116),(125,1975,0.003972,3.611),(125,1985,0.004004,3.6103),(125,1995,0.004036,3.6097),(125,2005,0.004068,3.609),(125,2015,0.004101,3.6083),(125,2025,0.004133,3.6077),(125,2035,0.004165,3.607),(125,2045,0.004198,3.6063),(125,2055,0.004231,3.6056),(125,2065,0.004264,3.6049),(125,2075,0.004297,3.6042),(125,2085,0.004331,3.6035),(125,2095,0.004364,3.6028),(125,2105,0.004398,3.6021),(125,2115,0.004431,3.6014),(125,2125,0.004465,3.6006),(125,2135,0.0045,3.5999),(125,2145,0.004534,3.5992),(125,2155,0.004568,3.5984),(125,2165,0.004603,3.5977),(125,2175,0.004638,3.5969),(125,2185,0.004673,3.5962),(125,2195,0.004708,3.5954),(125,2205,0.004744,3.5946),(125,2215,0.004779,3.5938),(125,2225,0.004815,3.5931),(125,2235,0.004851,3.5923),(125,2245,0.004888,3.5915),(125,2255,0.004924,3.5907),(125,2265,0.004961,3.5899),(125,2275,0.004998,3.589),(125,2285,0.005035,3.5882),(125,2295,0.005072,3.5874),(125,2305,0.00511,3.5866),(125,2315,0.005147,3.5857),(125,2325,0.005185,3.5849),(125,2335,0.005223,3.5841),(125,2345,0.005262,3.5832),(125,2355,0.0053,3.5823),(125,2365,0.005339,3.5815),(125,2375,0.005378,3.5806),(125,2385,0.005418,3.5797),(125,2395,0.005457,3.5788),(125,2405,0.005498,3.5779),(125,2415,0.005538,3.5771),(125,2425,0.005579,3.5762),(125,2435,0.00562,3.5752),(125,2445,0.005662,3.5743),(125,2455,0.005704,3.5734),(125,2465,0.005746,3.5725),(125,2475,0.005788,3.5715),(125,2485,0.005831,3.5706),(125,2495,0.005875,3.5697),(125,2505,0.005919,3.5687),(125,2515,0.005962,3.5677),(125,2525,0.006008,3.5668),(125,2535,0.006053,3.5658),(125,2545,0.006099,3.5648),(125,2555,0.006144,3.5638),(125,2565,0.006192,3.5628),(125,2575,0.006239,3.5618),(125,2585,0.006287,3.5608),(125,2595,0.006335,3.5598),(125,2605,0.006385,3.5588),(125,2615,0.006435,3.5578),(125,2625,0.006485,3.5567),(125,2635,0.006535,3.5557),(125,2645,0.006588,3.5546),(125,2655,0.006641,3.5536),(125,2665,0.006694,3.5525),(125,2675,0.006747,3.5514),(125,2685,0.006803,3.5504),(125,2695,0.006859,3.5493),(125,2705,0.006915,3.5482),(125,2715,0.006972,3.5471),(125,2725,0.007032,3.546),(125,2735,0.007093,3.5449),(125,2745,0.007153,3.5437),(125,2755,0.007214,3.5426),(125,2765,0.007279,3.5414),(125,2775,0.007344,3.5403),(125,2785,0.007409,3.5391),(125,2795,0.007476,3.538),(125,2805,0.007546,3.5368),(125,2815,0.007617,3.5356),(125,2825,0.007687,3.5344),(125,2835,0.00776,3.5332),(125,2845,0.007837,3.532),(125,2855,0.007914,3.5308),(125,2865,0.007991,3.5295),(125,2875,0.008071,3.5283),(125,2885,0.008156,3.527),(125,2895,0.008241,3.5258),(125,2905,0.008326,3.5245),(125,2915,0.008415,3.5232),(125,2925,0.00851,3.5219),(125,2935,0.008604,3.5206),(125,2945,0.008698,3.5193),(125,2955,0.008798,3.518),(125,2965,0.008903,3.5166),(125,2975,0.009009,3.5153),(125,2985,0.009114,3.5139),(125,2995,0.009227,3.5125),(125,3005,0.009346,3.5111),(125,3015,0.009465,3.5097),(125,3025,0.009584,3.5083),(125,3035,0.009711,3.5069),(125,3045,0.009846,3.5054),(125,3055,0.009982,3.504),(125,3065,0.010117,3.5025),(125,3075,0.010263,3.501),(125,3085,0.010418,3.4995),(125,3095,0.010573,3.498),(125,3105,0.010728,3.4964),(125,3115,0.010897,3.4949),(125,3125,0.011075,3.4933),(125,3135,0.011253,3.4917),(125,3145,0.011432,3.4901),(125,3155,0.011628,3.4885),(125,3165,0.011835,3.4868),(125,3175,0.012042,3.4851),(125,3185,0.012248,3.4834),(125,3195,0.012479,3.4817),(125,3205,0.01272,3.48),(125,3215,0.012962,3.4782),(125,3225,0.013203,3.4764),(125,3235,0.013475,3.4746),(125,3245,0.013759,3.4728),(125,3255,0.014042,3.4709),(125,3265,0.014326,3.469),(125,3275,0.014649,3.4671),(125,3285,0.014985,3.4652),(125,3295,0.01532,3.4632),(125,3305,0.015656,3.4611),(125,3315,0.016043,3.4591),(125,3325,0.016442,3.457),(125,3335,0.016842,3.4549),(125,3345,0.017241,3.4527),(125,3355,0.017707,3.4505),(125,3365,0.018186,3.4483),(125,3375,0.018664,3.446),(125,3385,0.019143,3.4436),(125,3395,0.019708,3.4413),(125,3405,0.020285,3.4389),(125,3415,0.020861,3.4364),(125,3425,0.021438,3.4338),(125,3435,0.022128,3.4312),(125,3445,0.022828,3.4287),(125,3455,0.023527,3.4259),(125,3465,0.024227,3.4231),(125,3475,0.025075,3.4203),(125,3485,0.025929,3.4175),(125,3495,0.026783,3.4144),(125,3505,0.027637,3.4113),(125,3515,0.028686,3.4082),(125,3525,0.029734,3.4051),(125,3535,0.030783,3.4017),(125,3545,0.031843,3.3983),(125,3555,0.033138,3.3948),(125,3565,0.034434,3.3914),(125,3575,0.035729,3.3875),(125,3585,0.037052,3.3837),(125,3595,0.038662,3.3798),(125,3605,0.040272,3.3759),(125,3615,0.041883,3.3716),(125,3625,0.043543,3.3672),(125,3635,0.045555,3.3629),(125,3645,0.047568,3.3584),(125,3655,0.04958,3.3534),(125,3665,0.051676,3.3484),(125,3675,0.054202,3.3434),(125,3685,0.056727,3.3383),(125,3695,0.059253,3.3325),(125,3705,0.061911,3.3268),(125,3715,0.06509,3.321),(125,3725,0.068268,3.315),(125,3735,0.071447,3.3082),(125,3745,0.074825,3.3014),(125,3755,0.078827,3.2946),(125,3765,0.082828,3.2874),(125,3775,0.086829,3.2793),(125,3785,0.091117,3.2712),(125,3795,0.096134,3.2631),(125,3805,0.10115,3.2544),(125,3815,0.10617,3.2444),(125,3825,0.11157,3.2345),(125,3835,0.1178,3.2246),(125,3845,0.12402,3.2137),(125,3855,0.13024,3.2011),(125,3865,0.13694,3.1886),(125,3875,0.14449,3.176),(125,3885,0.15204,3.1618),(125,3895,0.15958,3.1449),(125,3905,0.17736,3.1281),(125,3915,0.21042,3.1112),(125,3925,0.24349,3.0844),(125,3935,0.27655,3.044),(125,3945,0.2993,3.0036),(125,3955,0.30897,2.9632),(125,3965,0.31864,2.9239),(125,3975,0.32831,2.8859),(125,3985,0.32518,2.8478),(125,3995,0.30818,2.8098),(125,4005,0.29119,2.7769),(125,4015,0.2742,2.7489),(125,4025,0.25337,2.721),(125,4035,0.23217,2.6957),(125,4045,0.21097,2.6757),(125,4055,0.18795,2.6557),(125,4065,0.16427,2.6369),(125,4075,0.14059,2.6249),(125,4085,0.11759,2.613),(125,4095,0.095142,2.6011),(125,4105,0.07269,2.5984),(125,4115,0.051784,2.5961),(125,4125,0.033441,2.5938),(125,4135,0.015098,2.6004),(125,4145,0.004428,2.6094),(125,4155,0.02484,2.6184),(125,4165,0.045251,2.6128),(125,4175,0.065331,2.598),(125,4185,0.069011,2.5831),(125,4195,0.072692,2.5695),(125,4205,0.076372,2.5576),(125,4215,0.064125,2.5458),(125,4225,0.04888,2.537),(125,4235,0.033634,2.5373),(125,4245,0.023378,2.5376),(125,4255,0.015654,2.5384),(125,4265,0.007929,2.5462),(125,4275,0.006556,2.554),(125,4285,0.011921,2.5617),(125,4295,0.017287,2.5648),(125,4305,0.04184,2.5673),(125,4315,0.10972,2.5698),(125,4325,0.1776,2.5419),(125,4335,0.23357,2.5021),(125,4345,0.20892,2.4624),(125,4355,0.18428,2.4332),(125,4365,0.15963,2.4132),(125,4375,0.12891,2.3931),(125,4385,0.097865,2.3804),(125,4395,0.066823,2.3806),(125,4405,0.044054,2.3809),(125,4415,0.023725,2.3834),(125,4425,0.003397,2.396),(125,4435,0.019867,2.4086),(125,4445,0.061486,2.421),(125,4455,0.1031,2.3961),(125,4465,0.13098,2.3711),(125,4475,0.13953,2.3461),(125,4485,0.14809,2.3227),(125,4495,0.14493,2.2997),(125,4505,0.10422,2.2766),(125,4515,0.0635,2.2691),(125,4525,0.022682,2.2699),(125,4535,-0.019742,2.2708),(125,4545,-0.062165,2.2839),(125,4555,-0.10459,2.3109),(125,4565,-0.069136,2.3378),(125,4575,-0.023183,2.3542),(125,4585,0.02277,2.3448),(125,4595,0.053408,2.3355),(125,4605,0.077576,2.3246),(125,4615,0.10174,2.3015),(125,4625,0.10192,2.2783),(125,4635,0.080377,2.2552),(125,4645,0.058831,2.2447),(125,4655,0.030718,2.2351),(125,4665,-0.009777,2.2255),(125,4675,-0.050273,2.2369),(125,4685,-0.083119,2.2549),(125,4695,-0.078165,2.273),(125,4705,-0.073212,2.2927),(125,4715,-0.068258,2.3136),(125,4725,0.013434,2.3345),(125,4735,0.095895,2.3314),(125,4745,0.17836,2.2925),(125,4755,0.17117,2.2536),(125,4765,0.1432,2.219),(125,4775,0.11523,2.1995),(125,4785,0.062562,2.1799),(125,4795,-0.004397,2.1619),(125,4805,-0.071355,2.1794),(125,4815,-0.12081,2.1968),(125,4825,-0.14933,2.2143),(125,4835,-0.17785,2.2509),(125,4845,-0.17087,2.2904),(125,4855,-0.071354,2.3299),(125,4865,0.028164,2.3228),(125,4875,0.12188,2.2946),(125,4885,0.16283,2.2664),(125,4895,0.20378,2.2308),(125,4905,0.24472,2.1881),(125,4915,0.18885,2.1454),(125,4925,0.12465,2.1154),(125,4935,0.060453,2.1111),(125,4945,0.004795,2.1068),(125,4955,-0.0479,2.1069),(125,4965,-0.1006,2.1314),(125,4975,-0.11104,2.1559),(125,4985,-0.088873,2.1805),(125,4995,-0.066704,2.1938),(125,5005,-0.039672,2.2069),(125,5015,-0.004908,2.22),(125,5025,0.029855,2.2003),(125,5035,0.042984,2.1723),(125,5045,-0.026309,2.1443),(125,5055,-0.095603,2.1359),(125,5065,-0.16506,2.1398),(125,5075,-0.23987,2.1436),(125,5085,-0.31468,2.1648),(125,5095,-0.38949,2.2081),(125,5105,-0.37701,2.2515),(125,5115,-0.3493,2.2961),(125,5125,-0.32159,2.3446),(125,5135,-0.2036,2.393),(125,5145,-0.041797,2.4341),(125,5155,0.12,2.3948),(125,5165,0.22304,2.3556),(125,5175,0.26615,2.3163),(125,5185,0.30926,2.2685),(125,5195,0.31566,2.2197),(125,5205,0.24293,2.171),(125,5215,0.1702,2.1511),(125,5225,0.096399,2.1419),(125,5235,0.015913,2.1328),(125,5245,-0.064573,2.1458),(125,5255,-0.14506,2.1769),(125,5265,-0.09174,2.2081),(125,5275,-0.032905,2.2231),(125,5285,0.02593,2.2107),(125,5295,0.072195,2.1984),(125,5305,0.11496,2.1813),(125,5315,0.15773,2.1441),(125,5325,0.13188,2.107),(125,5335,0.061034,2.0704),(125,5345,-0.009809,2.0678),(125,5355,-0.09779,2.0652),(125,5365,-0.20889,2.0626),(125,5375,-0.31999,2.1014),(125,5385,-0.38615,2.1483),(125,5395,-0.31567,2.1952),(125,5405,-0.2452,2.2306),(125,5415,-0.16724,2.2601),(125,5425,0.011133,2.2896),(125,5435,0.18951,2.2767),(125,5445,0.36789,2.2179),(125,5455,0.42186,2.1591),(125,5465,0.46064,2.1006),(125,5475,0.49941,2.0426),(125,5485,0.49376,1.9846),(125,5495,0.47022,1.9287),(125,5505,0.44668,1.8882),(125,5515,0.42234,1.8477),(125,5525,0.39729,1.8072),(125,5535,0.37224,1.776),(125,5545,0.34744,1.7453),(125,5555,0.32306,1.7146),(125,5565,0.29868,1.6889),(125,5575,0.27492,1.6648),(125,5585,0.25399,1.6406),(125,5595,0.23305,1.6189),(125,5605,0.21212,1.5989),(125,5615,0.19568,1.5789),(125,5625,0.17923,1.5599),(125,5635,0.16279,1.5423),(125,5645,0.14977,1.5247),(125,5655,0.13749,1.5074),(125,5665,0.1252,1.4912),(125,5675,0.11494,1.4749),(125,5685,0.10578,1.4587),(125,5695,0.096633,1.4432),(125,5705,0.088388,1.4277),(125,5715,0.081184,1.4122),(125,5725,0.073981,1.397),(125,5735,0.067022,1.3819),(125,5745,0.06067,1.3668),(125,5755,0.054318,1.3519),(125,5765,0.047961,1.3371),(125,5775,0.041564,1.3223),(125,5785,0.035167,1.3076),(125,5795,0.02877,1.2931),(125,5805,0.021601,1.2786),(125,5815,0.014374,1.2644),(125,5825,0.007147,1.2506),(125,5835,-0.001088,1.2368),(125,5845,-0.009654,1.2232),(125,5855,-0.01822,1.2105),(125,5865,-0.027764,1.1978),(125,5875,-0.038032,1.1852),(125,5885,-0.048301,1.1743),(125,5895,-0.059309,1.1635),(125,5905,-0.071447,1.1527),(125,5915,-0.083584,1.1442),(125,5925,-0.096073,1.1362),(125,5935,-0.10982,1.1282),(125,5945,-0.12358,1.1232),(125,5955,-0.13735,1.12),(125,5965,-0.15181,1.1167),(125,5975,-0.16627,1.1177),(125,5985,-0.18073,1.1238),(125,5995,-0.14077,1.1299),(125,6005,-0.092048,1.1353),(125,6015,-0.04333,1.1388),(125,6025,0.020425,1.1422),(125,6035,0.091154,1.1423),(125,6045,0.16188,1.1101),(125,6055,0.20176,1.0779),(125,6065,0.21137,1.0456),(125,6075,0.22099,1.0142),(125,6085,0.22449,0.98274),(125,6095,0.21537,0.95133),(125,6105,0.20625,0.92385),(125,6115,0.1973,0.89775),(125,6125,0.18932,0.87165),(125,6135,0.18134,0.84722),(125,6145,0.17336,0.8241),(125,6155,0.1667,0.80098),(125,6165,0.16008,0.77852),(125,6175,0.15346,0.75715),(125,6185,0.14776,0.73578),(125,6195,0.1423,0.71463),(125,6205,0.13684,0.69434),(125,6215,0.13207,0.67404),(125,6225,0.12772,0.65378),(125,6235,0.12337,0.63478),(125,6245,0.11941,0.61579),(125,6255,0.11597,0.59679),(125,6265,0.11252,0.5784),(125,6275,0.10926,0.56012),(125,6285,0.10651,0.54183),(125,6295,0.10377,0.52388),(125,6305,0.10107,0.50608),(125,6315,0.098901,0.48828),(125,6325,0.096729,0.47074),(125,6335,0.094557,0.45344),(125,6345,0.092795,0.43615),(125,6355,0.091078,0.41895),(125,6365,0.089361,0.40194),(125,6375,0.087898,0.38493),(125,6385,0.086531,0.36795),(125,6395,0.085165,0.35121),(125,6405,0.083953,0.33447),(125,6415,0.082869,0.31773),(125,6425,0.081785,0.30121),(125,6435,0.080784,0.2847),(125,6445,0.079923,0.2682),(125,6455,0.079063,0.25184),(125,6465,0.078237,0.23553),(125,6475,0.07756,0.21922),(125,6485,0.076884,0.20301),(125,6495,0.076208,0.18685),(125,6505,0.075694,0.17069),(125,6515,0.07518,0.15458),(125,6525,0.074665,0.13853),(125,6535,0.074255,0.12248),(125,6545,0.073866,0.10644),(125,6555,0.073477,0.090449),(125,6565,0.073172,0.074457),(125,6575,0.072911,0.058478),(125,6585,0.07265,0.042667),(125,6595,0.061675,0.026855),(125,6605,0.038868,0.011044),(125,6615,0.016062,0.009291),(125,6625,3e-05,0.009346),(125,6635,2.9e-05,0.0094),(125,6645,2.9e-05,0.009412),(125,6655,2.9e-05,0.009407),(125,6665,3e-05,0.009402),(125,6675,3e-05,0.009397),(125,6685,3.1e-05,0.009392),(125,6695,3.1e-05,0.009387),(125,6705,3.1e-05,0.009381),(125,6715,3.1e-05,0.009376),(125,6725,3.1e-05,0.00937),(125,6735,3.1e-05,0.009364),(125,6745,3.1e-05,0.009359),(125,6755,3.2e-05,0.009353),(125,6765,3.2e-05,0.009348),(125,6775,3.3e-05,0.009342),(125,6785,3.3e-05,0.009337),(125,6795,3.3e-05,0.009332),(125,6805,3.3e-05,0.009326),(125,6815,3.4e-05,0.00932),(125,6825,3.4e-05,0.009314),(125,6835,3.4e-05,0.009308),(125,6845,3.5e-05,0.009302),(125,6855,3.5e-05,0.009296),(125,6865,3.5e-05,0.009291),(125,6875,3.6e-05,0.009284),(125,6885,3.6e-05,0.009279),(125,6895,3.6e-05,0.009272),(125,6905,3.6e-05,0.009266),(125,6915,3.7e-05,0.00926),(125,6925,3.7e-05,0.009254),(125,6935,3.7e-05,0.009248),(125,6945,3.7e-05,0.009241),(125,6955,3.8e-05,0.009235),(125,6965,3.8e-05,0.009229),(125,6975,3.8e-05,0.009222),(125,6985,3.8e-05,0.009216),(135,5,7e-06,3.6648),(135,15,2.2e-05,3.6648),(135,25,3.6e-05,3.6647),(135,35,5e-05,3.6647),(135,45,6.4e-05,3.6647),(135,55,7.8e-05,3.6647),(135,65,9.3e-05,3.6647),(135,75,0.000107,3.6647),(135,85,0.000121,3.6647),(135,95,0.000135,3.6647),(135,105,0.00015,3.6646),(135,115,0.000164,3.6646),(135,125,0.000178,3.6646),(135,135,0.000192,3.6646),(135,145,0.000207,3.6645),(135,155,0.000221,3.6645),(135,165,0.000235,3.6645),(135,175,0.00025,3.6644),(135,185,0.000264,3.6644),(135,195,0.000278,3.6643),(135,205,0.000292,3.6643),(135,215,0.000306,3.6643),(135,225,0.000321,3.6642),(135,235,0.000335,3.6642),(135,245,0.00035,3.6641),(135,255,0.000365,3.664),(135,265,0.000379,3.664),(135,275,0.000394,3.6639),(135,285,0.000409,3.6639),(135,295,0.000423,3.6638),(135,305,0.000438,3.6637),(135,315,0.000453,3.6637),(135,325,0.000468,3.6636),(135,335,0.000483,3.6635),(135,345,0.000498,3.6635),(135,355,0.000513,3.6634),(135,365,0.000528,3.6633),(135,375,0.000543,3.6632),(135,385,0.000558,3.6631),(135,395,0.000573,3.6631),(135,405,0.000588,3.663),(135,415,0.000604,3.6629),(135,425,0.000619,3.6628),(135,435,0.000635,3.6627),(135,445,0.00065,3.6626),(135,455,0.000666,3.6625),(135,465,0.000681,3.6624),(135,475,0.000697,3.6623),(135,485,0.000713,3.6622),(135,495,0.000729,3.6621),(135,505,0.000745,3.6619),(135,515,0.000761,3.6618),(135,525,0.000777,3.6617),(135,535,0.000793,3.6616),(135,545,0.000809,3.6615),(135,555,0.000825,3.6614),(135,565,0.000841,3.6612),(135,575,0.000857,3.6611),(135,585,0.000874,3.661),(135,595,0.00089,3.6608),(135,605,0.000906,3.6607),(135,615,0.000923,3.6606),(135,625,0.00094,3.6604),(135,635,0.000956,3.6603),(135,645,0.000973,3.6601),(135,655,0.00099,3.66),(135,665,0.001007,3.6598),(135,675,0.001025,3.6597),(135,685,0.001042,3.6595),(135,695,0.001059,3.6594),(135,705,0.001076,3.6592),(135,715,0.001094,3.659),(135,725,0.001112,3.6589),(135,735,0.001129,3.6587),(135,745,0.001147,3.6585),(135,755,0.001165,3.6583),(135,765,0.001182,3.6582),(135,775,0.0012,3.658),(135,785,0.001219,3.6578),(135,795,0.001237,3.6576),(135,805,0.001255,3.6574),(135,815,0.001274,3.6572),(135,825,0.001292,3.657),(135,835,0.001311,3.6568),(135,845,0.00133,3.6566),(135,855,0.001349,3.6564),(135,865,0.001368,3.6562),(135,875,0.001387,3.656),(135,885,0.001406,3.6558),(135,895,0.001425,3.6556),(135,905,0.001444,3.6554),(135,915,0.001464,3.6552),(135,925,0.001483,3.6549),(135,935,0.001503,3.6547),(135,945,0.001523,3.6545),(135,955,0.001543,3.6542),(135,965,0.001563,3.654),(135,975,0.001583,3.6538),(135,985,0.001603,3.6535),(135,995,0.001624,3.6533),(135,1005,0.001644,3.653),(135,1015,0.001665,3.6528),(135,1025,0.001686,3.6525),(135,1035,0.001707,3.6523),(135,1045,0.001728,3.652),(135,1055,0.001749,3.6517),(135,1065,0.00177,3.6515),(135,1075,0.001792,3.6512),(135,1085,0.001813,3.6509),(135,1095,0.001835,3.6507),(135,1105,0.001856,3.6504),(135,1115,0.001878,3.6501),(135,1125,0.0019,3.6498),(135,1135,0.001922,3.6495),(135,1145,0.001945,3.6492),(135,1155,0.001967,3.6489),(135,1165,0.00199,3.6486),(135,1175,0.002013,3.6483),(135,1185,0.002036,3.648),(135,1195,0.002059,3.6477),(135,1205,0.002082,3.6474),(135,1215,0.002105,3.6471),(135,1225,0.002128,3.6468),(135,1235,0.002152,3.6464),(135,1245,0.002175,3.6461),(135,1255,0.002199,3.6458),(135,1265,0.002223,3.6454),(135,1275,0.002247,3.6451),(135,1285,0.002271,3.6447),(135,1295,0.002295,3.6444),(135,1305,0.00232,3.6441),(135,1315,0.002344,3.6437),(135,1325,0.002369,3.6433),(135,1335,0.002394,3.643),(135,1345,0.00242,3.6426),(135,1355,0.002445,3.6422),(135,1365,0.00247,3.6419),(135,1375,0.002496,3.6415),(135,1385,0.002521,3.6411),(135,1395,0.002547,3.6407),(135,1405,0.002573,3.6403),(135,1415,0.002599,3.6399),(135,1425,0.002625,3.6396),(135,1435,0.002651,3.6392),(135,1445,0.002677,3.6387),(135,1455,0.002704,3.6383),(135,1465,0.002731,3.6379),(135,1475,0.002758,3.6375),(135,1485,0.002784,3.6371),(135,1495,0.002812,3.6367),(135,1505,0.002839,3.6362),(135,1515,0.002867,3.6358),(135,1525,0.002894,3.6354),(135,1535,0.002922,3.6349),(135,1545,0.00295,3.6345),(135,1555,0.002978,3.634),(135,1565,0.003006,3.6336),(135,1575,0.003035,3.6331),(135,1585,0.003064,3.6327),(135,1595,0.003092,3.6322),(135,1605,0.003121,3.6317),(135,1615,0.00315,3.6312),(135,1625,0.003179,3.6308),(135,1635,0.003208,3.6303),(135,1645,0.003237,3.6298),(135,1655,0.003267,3.6293),(135,1665,0.003296,3.6288),(135,1675,0.003326,3.6283),(135,1685,0.003356,3.6278),(135,1695,0.003386,3.6273),(135,1705,0.003416,3.6268),(135,1715,0.003446,3.6262),(135,1725,0.003476,3.6257),(135,1735,0.003507,3.6252),(135,1745,0.003538,3.6247),(135,1755,0.003569,3.6241),(135,1765,0.0036,3.6236),(135,1775,0.003632,3.623),(135,1785,0.003663,3.6225),(135,1795,0.003695,3.6219),(135,1805,0.003726,3.6213),(135,1815,0.003759,3.6208),(135,1825,0.003791,3.6202),(135,1835,0.003823,3.6196),(135,1845,0.003855,3.619),(135,1855,0.003888,3.6185),(135,1865,0.00392,3.6179),(135,1875,0.003953,3.6173),(135,1885,0.003986,3.6167),(135,1895,0.004019,3.6161),(135,1905,0.004052,3.6155),(135,1915,0.004086,3.6148),(135,1925,0.004119,3.6142),(135,1935,0.004153,3.6136),(135,1945,0.004187,3.613),(135,1955,0.004221,3.6123),(135,1965,0.004255,3.6117),(135,1975,0.00429,3.611),(135,1985,0.004324,3.6104),(135,1995,0.004359,3.6097),(135,2005,0.004393,3.609),(135,2015,0.004428,3.6084),(135,2025,0.004463,3.6077),(135,2035,0.004498,3.607),(135,2045,0.004534,3.6063),(135,2055,0.004569,3.6057),(135,2065,0.004605,3.605),(135,2075,0.004641,3.6043),(135,2085,0.004677,3.6035),(135,2095,0.004713,3.6028),(135,2105,0.004749,3.6021),(135,2115,0.004786,3.6014),(135,2125,0.004822,3.6007),(135,2135,0.004859,3.5999),(135,2145,0.004896,3.5992),(135,2155,0.004933,3.5985),(135,2165,0.004971,3.5977),(135,2175,0.005009,3.597),(135,2185,0.005046,3.5962),(135,2195,0.005084,3.5954),(135,2205,0.005123,3.5947),(135,2215,0.005161,3.5939),(135,2225,0.0052,3.5931),(135,2235,0.005239,3.5923),(135,2245,0.005278,3.5915),(135,2255,0.005317,3.5907),(135,2265,0.005357,3.5899),(135,2275,0.005397,3.5891),(135,2285,0.005437,3.5883),(135,2295,0.005477,3.5875),(135,2305,0.005517,3.5866),(135,2315,0.005558,3.5858),(135,2325,0.005599,3.5849),(135,2335,0.00564,3.5841),(135,2345,0.005682,3.5832),(135,2355,0.005723,3.5824),(135,2365,0.005765,3.5815),(135,2375,0.005808,3.5807),(135,2385,0.00585,3.5798),(135,2395,0.005893,3.5789),(135,2405,0.005936,3.578),(135,2415,0.00598,3.5771),(135,2425,0.006024,3.5762),(135,2435,0.006068,3.5753),(135,2445,0.006113,3.5744),(135,2455,0.006159,3.5735),(135,2465,0.006204,3.5725),(135,2475,0.006249,3.5716),(135,2485,0.006296,3.5706),(135,2495,0.006343,3.5697),(135,2505,0.006391,3.5687),(135,2515,0.006438,3.5678),(135,2525,0.006487,3.5668),(135,2535,0.006536,3.5659),(135,2545,0.006585,3.5649),(135,2555,0.006634,3.5639),(135,2565,0.006685,3.5629),(135,2575,0.006736,3.5619),(135,2585,0.006788,3.5609),(135,2595,0.006839,3.5599),(135,2605,0.006893,3.5588),(135,2615,0.006947,3.5578),(135,2625,0.007001,3.5568),(135,2635,0.007055,3.5557),(135,2645,0.007112,3.5547),(135,2655,0.007169,3.5536),(135,2665,0.007226,3.5526),(135,2675,0.007284,3.5515),(135,2685,0.007344,3.5504),(135,2695,0.007404,3.5493),(135,2705,0.007465,3.5482),(135,2715,0.007526,3.5471),(135,2725,0.007591,3.546),(135,2735,0.007656,3.5449),(135,2745,0.007721,3.5438),(135,2755,0.007787,3.5427),(135,2765,0.007857,3.5415),(135,2775,0.007927,3.5404),(135,2785,0.007997,3.5392),(135,2795,0.008068,3.538),(135,2805,0.008144,3.5369),(135,2815,0.00822,3.5357),(135,2825,0.008296,3.5345),(135,2835,0.008374,3.5333),(135,2845,0.008457,3.5321),(135,2855,0.00854,3.5309),(135,2865,0.008623,3.5296),(135,2875,0.008709,3.5284),(135,2885,0.008801,3.5271),(135,2895,0.008892,3.5259),(135,2905,0.008984,3.5246),(135,2915,0.009079,3.5233),(135,2925,0.00918,3.522),(135,2935,0.009282,3.5207),(135,2945,0.009383,3.5194),(135,2955,0.00949,3.5181),(135,2965,0.009604,3.5167),(135,2975,0.009717,3.5154),(135,2985,0.009831,3.514),(135,2995,0.009951,3.5126),(135,3005,0.010079,3.5113),(135,3015,0.010207,3.5099),(135,3025,0.010335,3.5084),(135,3035,0.010472,3.507),(135,3045,0.010617,3.5056),(135,3055,0.010762,3.5041),(135,3065,0.010907,3.5026),(135,3075,0.011064,3.5012),(135,3085,0.011231,3.4997),(135,3095,0.011397,3.4982),(135,3105,0.011563,3.4966),(135,3115,0.011744,3.4951),(135,3125,0.011935,3.4935),(135,3135,0.012127,3.4919),(135,3145,0.012318,3.4903),(135,3155,0.012529,3.4887),(135,3165,0.01275,3.487),(135,3175,0.012972,3.4854),(135,3185,0.013194,3.4837),(135,3195,0.013441,3.482),(135,3205,0.013699,3.4803),(135,3215,0.013958,3.4785),(135,3225,0.014217,3.4767),(135,3235,0.014508,3.4749),(135,3245,0.014812,3.4731),(135,3255,0.015116,3.4712),(135,3265,0.015419,3.4693),(135,3275,0.015766,3.4674),(135,3285,0.016125,3.4655),(135,3295,0.016484,3.4635),(135,3305,0.016843,3.4615),(135,3315,0.017257,3.4595),(135,3325,0.017685,3.4575),(135,3335,0.018112,3.4553),(135,3345,0.018539,3.4532),(135,3355,0.019038,3.451),(135,3365,0.019549,3.4488),(135,3375,0.020061,3.4465),(135,3385,0.020572,3.4442),(135,3395,0.021176,3.4418),(135,3405,0.021792,3.4395),(135,3415,0.022408,3.437),(135,3425,0.023024,3.4345),(135,3435,0.023762,3.4319),(135,3445,0.024508,3.4294),(135,3455,0.025255,3.4267),(135,3465,0.026002,3.4239),(135,3475,0.026907,3.4212),(135,3485,0.027818,3.4184),(135,3495,0.028729,3.4154),(135,3505,0.029641,3.4123),(135,3515,0.030759,3.4093),(135,3525,0.031878,3.4063),(135,3535,0.032996,3.4029),(135,3545,0.034126,3.3995),(135,3555,0.035507,3.3962),(135,3565,0.036888,3.3928),(135,3575,0.038269,3.389),(135,3585,0.039678,3.3852),(135,3595,0.041394,3.3815),(135,3605,0.04311,3.3777),(135,3615,0.044826,3.3734),(135,3625,0.046596,3.3692),(135,3635,0.04874,3.3649),(135,3645,0.050885,3.3606),(135,3655,0.05303,3.3557),(135,3665,0.055265,3.3509),(135,3675,0.057959,3.346),(135,3685,0.060653,3.341),(135,3695,0.063348,3.3354),(135,3705,0.066185,3.3298),(135,3715,0.069583,3.3242),(135,3725,0.072981,3.3184),(135,3735,0.076379,3.3118),(135,3745,0.079994,3.3053),(135,3755,0.084289,3.2987),(135,3765,0.088584,3.2918),(135,3775,0.092879,3.284),(135,3785,0.097493,3.2761),(135,3795,0.10292,3.2683),(135,3805,0.10835,3.2599),(135,3815,0.11377,3.2503),(135,3825,0.11965,3.2407),(135,3835,0.12649,3.2311),(135,3845,0.13333,3.2207),(135,3855,0.14016,3.2086),(135,3865,0.14763,3.1964),(135,3875,0.15622,3.1843),(135,3885,0.1648,3.1706),(135,3895,0.17339,3.1543),(135,3905,0.19389,3.1381),(135,3915,0.23219,3.1218),(135,3925,0.27048,3.0953),(135,3935,0.30878,3.0547),(135,3945,0.33399,3.0142),(135,3955,0.3426,2.9736),(135,3965,0.3512,2.9343),(135,3975,0.3598,2.8964),(135,3985,0.35491,2.8585),(135,3995,0.3354,2.8206),(135,4005,0.3159,2.7881),(135,4015,0.29639,2.7608),(135,4025,0.27336,2.7335),(135,4035,0.24998,2.7088),(135,4045,0.2266,2.6895),(135,4055,0.20138,2.6702),(135,4065,0.17549,2.652),(135,4075,0.1496,2.6406),(135,4085,0.12409,2.6292),(135,4095,0.098902,2.6177),(135,4105,0.07371,2.6155),(135,4115,0.049887,2.6136),(135,4125,0.028334,2.6117),(135,4135,0.006781,2.6187),(135,4145,-0.004917,2.6282),(135,4155,0.023306,2.6377),(135,4165,0.051529,2.6321),(135,4175,0.079238,2.6168),(135,4185,0.081525,2.6016),(135,4195,0.083811,2.5877),(135,4205,0.086098,2.5756),(135,4215,0.070596,2.5635),(135,4225,0.051748,2.5546),(135,4235,0.032899,2.5554),(135,4245,0.019972,2.5561),(135,4255,0.010052,2.5574),(135,4265,0.000131,2.5659),(135,4275,-0.001485,2.5744),(135,4285,0.005714,2.5828),(135,4295,0.012913,2.5864),(135,4305,0.042594,2.5894),(135,4315,0.12304,2.5924),(135,4325,0.20349,2.5638),(135,4335,0.26962,2.5229),(135,4345,0.2388,2.4819),(135,4355,0.20799,2.4521),(135,4365,0.17717,2.4318),(135,4375,0.14031,2.4115),(135,4385,0.10314,2.3989),(135,4395,0.065966,2.4),(135,4405,0.03906,2.4011),(135,4415,0.015181,2.4046),(135,4425,-0.008698,2.4184),(135,4435,0.013308,2.4322),(135,4445,0.066671,2.4458),(135,4455,0.12003,2.42),(135,4465,0.15431,2.3943),(135,4475,0.16177,2.3685),(135,4485,0.16923,2.3443),(135,4495,0.16351,2.3205),(135,4505,0.11553,2.2966),(135,4515,0.06754,2.289),(135,4525,0.019408,2.2901),(135,4535,-0.031012,2.2912),(135,4545,-0.081432,2.3051),(135,4555,-0.13185,2.3332),(135,4565,-0.086969,2.3614),(135,4575,-0.029238,2.3785),(135,4585,0.028492,2.3689),(135,4595,0.065385,2.3592),(135,4605,0.093473,2.348),(135,4615,0.12156,2.3238),(135,4625,0.12137,2.2997),(135,4635,0.095566,2.2755),(135,4645,0.069763,2.2647),(135,4655,0.035937,2.2547),(135,4665,-0.013018,2.2448),(135,4675,-0.061973,2.2573),(135,4685,-0.10199,2.2771),(135,4695,-0.097857,2.2968),(135,4705,-0.093722,2.318),(135,4715,-0.089587,2.3404),(135,4725,0.010308,2.3627),(135,4735,0.11116,2.3598),(135,4745,0.21201,2.3193),(135,4755,0.20318,2.2788),(135,4765,0.16893,2.2428),(135,4775,0.13467,2.2224),(135,4785,0.0725,2.2019),(135,4795,-0.005812,2.1832),(135,4805,-0.084124,2.2015),(135,4815,-0.14282,2.2199),(135,4825,-0.17805,2.2382),(135,4835,-0.21329,2.2766),(135,4845,-0.20525,2.3182),(135,4855,-0.084409,2.3598),(135,4865,0.036436,2.3524),(135,4875,0.14972,2.3228),(135,4885,0.19422,2.2932),(135,4895,0.23873,2.2558),(135,4905,0.28323,2.2108),(135,4915,0.21691,2.1658),(135,4925,0.14106,2.1342),(135,4935,0.065211,2.1296),(135,4945,0.000243,2.125),(135,4955,-0.060952,2.125),(135,4965,-0.12215,2.1508),(135,4975,-0.13419,2.1765),(135,4985,-0.10829,2.2022),(135,4995,-0.082383,2.2158),(135,5005,-0.048189,2.229),(135,5015,-0.000815,2.2423),(135,5025,0.04656,2.2219),(135,5035,0.067587,2.1929),(135,5045,-0.011765,2.1639),(135,5055,-0.091116,2.1547),(135,5065,-0.17069,2.1575),(135,5075,-0.25768,2.1604),(135,5085,-0.34467,2.1811),(135,5095,-0.43166,2.2242),(135,5105,-0.42233,2.2674),(135,5115,-0.39619,2.3121),(135,5125,-0.37006,2.3612),(135,5135,-0.23423,2.4103),(135,5145,-0.045184,2.4518),(135,5155,0.14387,2.4118),(135,5165,0.26152,2.3718),(135,5175,0.30635,2.3318),(135,5185,0.35119,2.2834),(135,5195,0.35484,2.2341),(135,5205,0.26968,2.1848),(135,5215,0.18452,2.165),(135,5225,0.098298,2.1561),(135,5235,0.005432,2.1473),(135,5245,-0.087434,2.1609),(135,5255,-0.1803,2.1931),(135,5265,-0.11277,2.2253),(135,5275,-0.038637,2.2412),(135,5285,0.035501,2.2296),(135,5295,0.090563,2.218),(135,5305,0.14031,2.201),(135,5315,0.19006,2.162),(135,5325,0.16028,2.1229),(135,5335,0.078341,2.0844),(135,5345,-0.003597,2.0804),(135,5355,-0.10451,2.0765),(135,5365,-0.23103,2.0725),(135,5375,-0.35755,2.1101),(135,5385,-0.43385,2.1558),(135,5395,-0.35749,2.2014),(135,5405,-0.28113,2.2364),(135,5415,-0.19585,2.2658),(135,5425,0.009289,2.2951),(135,5435,0.21443,2.282),(135,5445,0.41956,2.2229),(135,5455,0.47528,2.1638),(135,5465,0.51274,2.1052),(135,5475,0.55019,2.0476),(135,5485,0.54029,1.9899),(135,5495,0.51131,1.9346),(135,5505,0.48233,1.895),(135,5515,0.45377,1.8555),(135,5525,0.42558,1.816),(135,5535,0.39738,1.7858),(135,5545,0.36982,1.7561),(135,5555,0.3434,1.7265),(135,5565,0.31699,1.7017),(135,5575,0.29131,1.6785),(135,5585,0.26904,1.6553),(135,5595,0.24677,1.6343),(135,5605,0.2245,1.615),(135,5615,0.20718,1.5956),(135,5625,0.18986,1.5771),(135,5635,0.17254,1.5598),(135,5645,0.15889,1.5426),(135,5655,0.14603,1.5256),(135,5665,0.13318,1.5094),(135,5675,0.12244,1.4933),(135,5685,0.11288,1.4772),(135,5695,0.10332,1.4616),(135,5705,0.094695,1.4459),(135,5715,0.087157,1.4303),(135,5725,0.079618,1.4149),(135,5735,0.072325,1.3996),(135,5745,0.065639,1.3842),(135,5755,0.058954,1.369),(135,5765,0.052258,1.3538),(135,5775,0.045472,1.3386),(135,5785,0.038687,1.3235),(135,5795,0.031902,1.3085),(135,5805,0.024265,1.2935),(135,5815,0.016564,1.2787),(135,5825,0.008863,1.2644),(135,5835,6.6e-05,1.25),(135,5845,-0.009091,1.2359),(135,5855,-0.018249,1.2225),(135,5865,-0.028488,1.2091),(135,5875,-0.039529,1.1958),(135,5885,-0.05057,1.1842),(135,5895,-0.062482,1.1727),(135,5905,-0.075721,1.1611),(135,5915,-0.08896,1.1518),(135,5925,-0.10268,1.143),(135,5935,-0.11812,1.1342),(135,5945,-0.13356,1.1284),(135,5955,-0.14909,1.1244),(135,5965,-0.16673,1.1203),(135,5975,-0.18438,1.1204),(135,5985,-0.20202,1.1257),(135,5995,-0.15808,1.1309),(135,6005,-0.10423,1.1356),(135,6015,-0.050385,1.139),(135,6025,0.021314,1.1424),(135,6035,0.10129,1.1425),(135,6045,0.18127,1.1105),(135,6055,0.22523,1.0786),(135,6065,0.23387,1.0466),(135,6075,0.24251,1.0155),(135,6085,0.24482,0.98436),(135,6095,0.23406,0.95326),(135,6105,0.22331,0.92603),(135,6115,0.21283,0.90017),(135,6125,0.20392,0.87432),(135,6135,0.19501,0.85011),(135,6145,0.1861,0.82719),(135,6155,0.17886,0.80428),(135,6165,0.17167,0.78199),(135,6175,0.16447,0.76072),(135,6185,0.15834,0.73946),(135,6195,0.15248,0.71841),(135,6205,0.14662,0.69821),(135,6215,0.14152,0.67801),(135,6225,0.13691,0.65785),(135,6235,0.13229,0.63888),(135,6245,0.1281,0.61992),(135,6255,0.12444,0.60096),(135,6265,0.12079,0.58255),(135,6275,0.11732,0.56424),(135,6285,0.11438,0.54593),(135,6295,0.11144,0.52794),(135,6305,0.10855,0.51009),(135,6315,0.10622,0.49225),(135,6325,0.10389,0.47464),(135,6335,0.10155,0.45727),(135,6345,0.099666,0.43991),(135,6355,0.097827,0.42263),(135,6365,0.095987,0.40551),(135,6375,0.09443,0.3884),(135,6385,0.092981,0.37132),(135,6395,0.091531,0.35446),(135,6405,0.09025,0.3376),(135,6415,0.089109,0.32074),(135,6425,0.087969,0.30408),(135,6435,0.086916,0.28743),(135,6445,0.086016,0.27079),(135,6455,0.085116,0.25428),(135,6465,0.084252,0.23782),(135,6475,0.083539,0.22135),(135,6485,0.082826,0.20498),(135,6495,0.082114,0.18866),(135,6505,0.081564,0.17234),(135,6515,0.081014,0.15607),(135,6525,0.080464,0.13984),(135,6535,0.08002,0.12362),(135,6545,0.079598,0.10742),(135,6555,0.079175,0.09127),(135,6565,0.078859,0.075123),(135,6575,0.0786,0.058988),(135,6585,0.078341,0.043028),(135,6595,0.066515,0.027069),(135,6605,0.041919,0.011109),(135,6615,0.017323,0.009326),(135,6625,3.2e-05,0.009365),(135,6635,3.1e-05,0.009404),(135,6645,3.1e-05,0.009412),(135,6655,3.1e-05,0.009407),(135,6665,3.1e-05,0.009402),(135,6675,3.2e-05,0.009397),(135,6685,3.2e-05,0.009392),(135,6695,3.3e-05,0.009387),(135,6705,3.3e-05,0.009382),(135,6715,3.3e-05,0.009376),(135,6725,3.3e-05,0.00937),(135,6735,3.4e-05,0.009365),(135,6745,3.4e-05,0.009359),(135,6755,3.4e-05,0.009354),(135,6765,3.5e-05,0.009348),(135,6775,3.5e-05,0.009343),(135,6785,3.6e-05,0.009337),(135,6795,3.6e-05,0.009332),(135,6805,3.6e-05,0.009326),(135,6815,3.7e-05,0.00932),(135,6825,3.7e-05,0.009314),(135,6835,3.7e-05,0.009309),(135,6845,3.8e-05,0.009303),(135,6855,3.8e-05,0.009297),(135,6865,3.8e-05,0.009291),(135,6875,3.9e-05,0.009285),(135,6885,3.9e-05,0.009279),(135,6895,3.9e-05,0.009273),(135,6905,4e-05,0.009267),(135,6915,4e-05,0.00926),(135,6925,4e-05,0.009254),(135,6935,4e-05,0.009248),(135,6945,4.1e-05,0.009242),(135,6955,4.1e-05,0.009235),(135,6965,4.1e-05,0.009229),(135,6975,4.1e-05,0.009223),(135,6985,4.2e-05,0.009216),(145,5,8e-06,3.6648),(145,15,2.3e-05,3.6648),(145,25,3.9e-05,3.6648),(145,35,5.4e-05,3.6648),(145,45,6.9e-05,3.6647),(145,55,8.4e-05,3.6647),(145,65,0.0001,3.6647),(145,75,0.000115,3.6647),(145,85,0.00013,3.6647),(145,95,0.000145,3.6647),(145,105,0.000161,3.6646),(145,115,0.000176,3.6646),(145,125,0.000191,3.6646),(145,135,0.000207,3.6646),(145,145,0.000222,3.6645),(145,155,0.000237,3.6645),(145,165,0.000253,3.6645),(145,175,0.000268,3.6644),(145,185,0.000283,3.6644),(145,195,0.000299,3.6644),(145,205,0.000314,3.6643),(145,215,0.000329,3.6643),(145,225,0.000344,3.6642),(145,235,0.00036,3.6642),(145,245,0.000376,3.6641),(145,255,0.000391,3.6641),(145,265,0.000407,3.664),(145,275,0.000423,3.664),(145,285,0.000439,3.6639),(145,295,0.000455,3.6638),(145,305,0.000471,3.6638),(145,315,0.000487,3.6637),(145,325,0.000503,3.6636),(145,335,0.000519,3.6635),(145,345,0.000535,3.6635),(145,355,0.000551,3.6634),(145,365,0.000567,3.6633),(145,375,0.000583,3.6632),(145,385,0.000599,3.6632),(145,395,0.000616,3.6631),(145,405,0.000632,3.663),(145,415,0.000648,3.6629),(145,425,0.000665,3.6628),(145,435,0.000681,3.6627),(145,445,0.000698,3.6626),(145,455,0.000715,3.6625),(145,465,0.000732,3.6624),(145,475,0.000749,3.6623),(145,485,0.000766,3.6622),(145,495,0.000783,3.6621),(145,505,0.0008,3.662),(145,515,0.000817,3.6619),(145,525,0.000834,3.6617),(145,535,0.000851,3.6616),(145,545,0.000869,3.6615),(145,555,0.000886,3.6614),(145,565,0.000903,3.6612),(145,575,0.000921,3.6611),(145,585,0.000938,3.661),(145,595,0.000956,3.6609),(145,605,0.000973,3.6607),(145,615,0.000991,3.6606),(145,625,0.001009,3.6604),(145,635,0.001027,3.6603),(145,645,0.001045,3.6601),(145,655,0.001063,3.66),(145,665,0.001082,3.6598),(145,675,0.0011,3.6597),(145,685,0.001119,3.6595),(145,695,0.001137,3.6594),(145,705,0.001156,3.6592),(145,715,0.001175,3.659),(145,725,0.001193,3.6589),(145,735,0.001212,3.6587),(145,745,0.001231,3.6585),(145,755,0.001251,3.6584),(145,765,0.00127,3.6582),(145,775,0.001289,3.658),(145,785,0.001309,3.6578),(145,795,0.001328,3.6576),(145,805,0.001348,3.6574),(145,815,0.001368,3.6572),(145,825,0.001388,3.6571),(145,835,0.001408,3.6569),(145,845,0.001428,3.6567),(145,855,0.001448,3.6565),(145,865,0.001469,3.6562),(145,875,0.001489,3.656),(145,885,0.00151,3.6558),(145,895,0.00153,3.6556),(145,905,0.001551,3.6554),(145,915,0.001572,3.6552),(145,925,0.001593,3.6549),(145,935,0.001614,3.6547),(145,945,0.001635,3.6545),(145,955,0.001657,3.6543),(145,965,0.001678,3.654),(145,975,0.0017,3.6538),(145,985,0.001722,3.6535),(145,995,0.001744,3.6533),(145,1005,0.001766,3.6531),(145,1015,0.001788,3.6528),(145,1025,0.00181,3.6525),(145,1035,0.001833,3.6523),(145,1045,0.001855,3.652),(145,1055,0.001878,3.6518),(145,1065,0.001901,3.6515),(145,1075,0.001924,3.6512),(145,1085,0.001947,3.651),(145,1095,0.00197,3.6507),(145,1105,0.001994,3.6504),(145,1115,0.002017,3.6501),(145,1125,0.002041,3.6498),(145,1135,0.002064,3.6495),(145,1145,0.002089,3.6492),(145,1155,0.002113,3.649),(145,1165,0.002137,3.6486),(145,1175,0.002161,3.6483),(145,1185,0.002186,3.648),(145,1195,0.002211,3.6477),(145,1205,0.002235,3.6474),(145,1215,0.00226,3.6471),(145,1225,0.002286,3.6468),(145,1235,0.002311,3.6465),(145,1245,0.002336,3.6461),(145,1255,0.002362,3.6458),(145,1265,0.002387,3.6455),(145,1275,0.002413,3.6451),(145,1285,0.002439,3.6448),(145,1295,0.002465,3.6444),(145,1305,0.002491,3.6441),(145,1315,0.002518,3.6437),(145,1325,0.002544,3.6434),(145,1335,0.002571,3.643),(145,1345,0.002598,3.6426),(145,1355,0.002625,3.6423),(145,1365,0.002652,3.6419),(145,1375,0.00268,3.6415),(145,1385,0.002708,3.6411),(145,1395,0.002735,3.6408),(145,1405,0.002763,3.6404),(145,1415,0.002791,3.64),(145,1425,0.002819,3.6396),(145,1435,0.002847,3.6392),(145,1445,0.002875,3.6388),(145,1455,0.002904,3.6384),(145,1465,0.002933,3.638),(145,1475,0.002962,3.6375),(145,1485,0.00299,3.6371),(145,1495,0.00302,3.6367),(145,1505,0.003049,3.6363),(145,1515,0.003078,3.6358),(145,1525,0.003108,3.6354),(145,1535,0.003138,3.635),(145,1545,0.003168,3.6345),(145,1555,0.003198,3.6341),(145,1565,0.003229,3.6336),(145,1575,0.003259,3.6332),(145,1585,0.00329,3.6327),(145,1595,0.003321,3.6322),(145,1605,0.003352,3.6317),(145,1615,0.003383,3.6313),(145,1625,0.003414,3.6308),(145,1635,0.003446,3.6303),(145,1645,0.003477,3.6298),(145,1655,0.003509,3.6293),(145,1665,0.00354,3.6288),(145,1675,0.003572,3.6283),(145,1685,0.003604,3.6278),(145,1695,0.003636,3.6273),(145,1705,0.003669,3.6268),(145,1715,0.003701,3.6263),(145,1725,0.003734,3.6257),(145,1735,0.003767,3.6252),(145,1745,0.0038,3.6247),(145,1755,0.003833,3.6241),(145,1765,0.003866,3.6236),(145,1775,0.0039,3.6231),(145,1785,0.003934,3.6225),(145,1795,0.003968,3.6219),(145,1805,0.004002,3.6214),(145,1815,0.004036,3.6208),(145,1825,0.004071,3.6202),(145,1835,0.004105,3.6197),(145,1845,0.00414,3.6191),(145,1855,0.004175,3.6185),(145,1865,0.00421,3.6179),(145,1875,0.004245,3.6173),(145,1885,0.004281,3.6167),(145,1895,0.004316,3.6161),(145,1905,0.004352,3.6155),(145,1915,0.004388,3.6149),(145,1925,0.004424,3.6142),(145,1935,0.00446,3.6136),(145,1945,0.004497,3.613),(145,1955,0.004533,3.6123),(145,1965,0.00457,3.6117),(145,1975,0.004607,3.6111),(145,1985,0.004644,3.6104),(145,1995,0.004681,3.6097),(145,2005,0.004718,3.6091),(145,2015,0.004756,3.6084),(145,2025,0.004794,3.6077),(145,2035,0.004831,3.6071),(145,2045,0.004869,3.6064),(145,2055,0.004908,3.6057),(145,2065,0.004946,3.605),(145,2075,0.004984,3.6043),(145,2085,0.005023,3.6036),(145,2095,0.005062,3.6029),(145,2105,0.005101,3.6022),(145,2115,0.00514,3.6014),(145,2125,0.005179,3.6007),(145,2135,0.005219,3.6),(145,2145,0.005259,3.5992),(145,2155,0.005298,3.5985),(145,2165,0.005339,3.5977),(145,2175,0.005379,3.597),(145,2185,0.00542,3.5962),(145,2195,0.00546,3.5955),(145,2205,0.005502,3.5947),(145,2215,0.005543,3.5939),(145,2225,0.005585,3.5931),(145,2235,0.005626,3.5923),(145,2245,0.005668,3.5915),(145,2255,0.005711,3.5908),(145,2265,0.005753,3.5899),(145,2275,0.005796,3.5891),(145,2285,0.005839,3.5883),(145,2295,0.005882,3.5875),(145,2305,0.005926,3.5867),(145,2315,0.005969,3.5858),(145,2325,0.006013,3.585),(145,2335,0.006057,3.5841),(145,2345,0.006102,3.5833),(145,2355,0.006146,3.5824),(145,2365,0.006192,3.5816),(145,2375,0.006237,3.5807),(145,2385,0.006283,3.5798),(145,2395,0.006328,3.5789),(145,2405,0.006375,3.578),(145,2415,0.006422,3.5772),(145,2425,0.006469,3.5762),(145,2435,0.006516,3.5753),(145,2445,0.006565,3.5744),(145,2455,0.006614,3.5735),(145,2465,0.006662,3.5726),(145,2475,0.006711,3.5716),(145,2485,0.006761,3.5707),(145,2495,0.006812,3.5698),(145,2505,0.006862,3.5688),(145,2515,0.006913,3.5678),(145,2525,0.006965,3.5669),(145,2535,0.007018,3.5659),(145,2545,0.00707,3.5649),(145,2555,0.007123,3.5639),(145,2565,0.007178,3.5629),(145,2575,0.007233,3.562),(145,2585,0.007288,3.5609),(145,2595,0.007344,3.5599),(145,2605,0.007401,3.5589),(145,2615,0.007459,3.5579),(145,2625,0.007517,3.5568),(145,2635,0.007575,3.5558),(145,2645,0.007636,3.5548),(145,2655,0.007697,3.5537),(145,2665,0.007758,3.5526),(145,2675,0.00782,3.5516),(145,2685,0.007885,3.5505),(145,2695,0.00795,3.5494),(145,2705,0.008015,3.5483),(145,2715,0.00808,3.5472),(145,2725,0.00815,3.5461),(145,2735,0.008219,3.545),(145,2745,0.008289,3.5439),(145,2755,0.008359,3.5427),(145,2765,0.008434,3.5416),(145,2775,0.008509,3.5404),(145,2785,0.008584,3.5393),(145,2795,0.008661,3.5381),(145,2805,0.008742,3.5369),(145,2815,0.008823,3.5358),(145,2825,0.008905,3.5346),(145,2835,0.008988,3.5334),(145,2845,0.009077,3.5322),(145,2855,0.009166,3.5309),(145,2865,0.009255,3.5297),(145,2875,0.009347,3.5285),(145,2885,0.009445,3.5272),(145,2895,0.009543,3.526),(145,2905,0.009641,3.5247),(145,2915,0.009743,3.5234),(145,2925,0.009851,3.5221),(145,2935,0.00996,3.5208),(145,2945,0.010069,3.5195),(145,2955,0.010183,3.5182),(145,2965,0.010304,3.5169),(145,2975,0.010426,3.5155),(145,2985,0.010547,3.5141),(145,2995,0.010676,3.5128),(145,3005,0.010812,3.5114),(145,3015,0.010949,3.51),(145,3025,0.011086,3.5086),(145,3035,0.011232,3.5072),(145,3045,0.011387,3.5057),(145,3055,0.011543,3.5043),(145,3065,0.011698,3.5028),(145,3075,0.011866,3.5013),(145,3085,0.012043,3.4999),(145,3095,0.01222,3.4983),(145,3105,0.012398,3.4968),(145,3115,0.012592,3.4953),(145,3125,0.012796,3.4937),(145,3135,0.013,3.4921),(145,3145,0.013204,3.4905),(145,3155,0.013429,3.4889),(145,3165,0.013666,3.4873),(145,3175,0.013902,3.4856),(145,3185,0.014139,3.4839),(145,3195,0.014402,3.4822),(145,3205,0.014678,3.4805),(145,3215,0.014954,3.4788),(145,3225,0.01523,3.477),(145,3235,0.015541,3.4752),(145,3245,0.015865,3.4734),(145,3255,0.016189,3.4716),(145,3265,0.016513,3.4697),(145,3275,0.016882,3.4678),(145,3285,0.017265,3.4659),(145,3295,0.017648,3.4639),(145,3305,0.01803,3.4619),(145,3315,0.018472,3.4599),(145,3325,0.018927,3.4579),(145,3335,0.019382,3.4558),(145,3345,0.019837,3.4537),(145,3355,0.020368,3.4515),(145,3365,0.020912,3.4494),(145,3375,0.021457,3.4471),(145,3385,0.022001,3.4448),(145,3395,0.022644,3.4425),(145,3405,0.0233,3.4402),(145,3415,0.023955,3.4377),(145,3425,0.024611,3.4352),(145,3435,0.025395,3.4327),(145,3445,0.026189,3.4302),(145,3455,0.026983,3.4275),(145,3465,0.027777,3.4248),(145,3475,0.028739,3.4221),(145,3485,0.029708,3.4194),(145,3495,0.030676,3.4164),(145,3505,0.031645,3.4134),(145,3515,0.032833,3.4104),(145,3525,0.034021,3.4075),(145,3535,0.035209,3.4042),(145,3545,0.036409,3.4009),(145,3555,0.037875,3.3976),(145,3565,0.039342,3.3943),(145,3575,0.040808,3.3906),(145,3585,0.042304,3.3869),(145,3595,0.044126,3.3832),(145,3605,0.045948,3.3795),(145,3615,0.04777,3.3754),(145,3625,0.049648,3.3712),(145,3635,0.051925,3.3671),(145,3645,0.054203,3.3629),(145,3655,0.05648,3.3582),(145,3665,0.058853,3.3535),(145,3675,0.061716,3.3488),(145,3685,0.064579,3.344),(145,3695,0.067442,3.3385),(145,3705,0.070458,3.3331),(145,3715,0.074075,3.3277),(145,3725,0.077693,3.3221),(145,3735,0.08131,3.3158),(145,3745,0.085163,3.3095),(145,3755,0.089752,3.3031),(145,3765,0.09434,3.2965),(145,3775,0.098929,3.289),(145,3785,0.10387,3.2815),(145,3795,0.10971,3.2739),(145,3805,0.11554,3.2659),(145,3815,0.12138,3.2568),(145,3825,0.12774,3.2476),(145,3835,0.13518,3.2384),(145,3845,0.14263,3.2284),(145,3855,0.15008,3.2169),(145,3865,0.15832,3.2053),(145,3875,0.16795,3.1937),(145,3885,0.17757,3.1807),(145,3895,0.1872,3.1654),(145,3905,0.21042,3.1501),(145,3915,0.25395,3.1348),(145,3925,0.29748,3.1093),(145,3935,0.34101,3.0698),(145,3945,0.36868,3.0302),(145,3955,0.37622,2.9907),(145,3965,0.38376,2.9522),(145,3975,0.39129,2.9148),(145,3985,0.38464,2.8775),(145,3995,0.36262,2.8401),(145,4005,0.3406,2.8082),(145,4015,0.31858,2.7818),(145,4025,0.29334,2.7554),(145,4035,0.26779,2.7316),(145,4045,0.24224,2.7131),(145,4055,0.21481,2.6946),(145,4065,0.18671,2.6771),(145,4075,0.1586,2.6663),(145,4085,0.13059,2.6554),(145,4095,0.10266,2.6445),(145,4105,0.07473,2.6424),(145,4115,0.04799,2.6405),(145,4125,0.023227,2.6387),(145,4135,-0.001537,2.6453),(145,4145,-0.014262,2.6542),(145,4155,0.021772,2.6631),(145,4165,0.057807,2.6576),(145,4175,0.093146,2.6429),(145,4185,0.094038,2.6282),(145,4195,0.094931,2.6146),(145,4205,0.095823,2.6025),(145,4215,0.077068,2.5904),(145,4225,0.054616,2.5816),(145,4235,0.032163,2.5826),(145,4245,0.016567,2.5835),(145,4255,0.00445,2.585),(145,4265,-0.007668,2.5935),(145,4275,-0.009525,2.602),(145,4285,-0.000493,2.6106),(145,4295,0.008539,2.6143),(145,4305,0.043348,2.6174),(145,4315,0.13637,2.6205),(145,4325,0.22938,2.5922),(145,4335,0.30567,2.5514),(145,4345,0.26868,2.5106),(145,4355,0.2317,2.4809),(145,4365,0.19471,2.4607),(145,4375,0.15172,2.4405),(145,4385,0.10841,2.4281),(145,4395,0.065109,2.4298),(145,4405,0.034065,2.4314),(145,4415,0.006637,2.4353),(145,4425,-0.020792,2.4493),(145,4435,0.00675,2.4634),(145,4445,0.071856,2.4773),(145,4455,0.13696,2.4519),(145,4465,0.17764,2.4266),(145,4475,0.18401,2.4012),(145,4485,0.19037,2.3768),(145,4495,0.18209,2.3526),(145,4505,0.12684,2.3284),(145,4515,0.071579,2.3205),(145,4525,0.016134,2.3216),(145,4535,-0.042282,2.3226),(145,4545,-0.1007,2.3362),(145,4555,-0.15911,2.364),(145,4565,-0.1048,2.3918),(145,4575,-0.035294,2.4087),(145,4585,0.034215,2.3994),(145,4595,0.077361,2.3902),(145,4605,0.10937,2.3792),(145,4615,0.14138,2.3549),(145,4625,0.14081,2.3305),(145,4635,0.11075,2.3062),(145,4645,0.080694,2.2954),(145,4655,0.041156,2.2854),(145,4665,-0.016258,2.2755),(145,4675,-0.073672,2.289),(145,4685,-0.12086,2.3101),(145,4695,-0.11755,2.3311),(145,4705,-0.11423,2.353),(145,4715,-0.11092,2.3756),(145,4725,0.007181,2.3982),(145,4735,0.12643,2.3954),(145,4745,0.24567,2.3549),(145,4755,0.23519,2.3144),(145,4765,0.19465,2.2783),(145,4775,0.15411,2.2575),(145,4785,0.082439,2.2366),(145,4795,-0.007227,2.2176),(145,4805,-0.096893,2.2362),(145,4815,-0.16483,2.2549),(145,4825,-0.20678,2.2736),(145,4835,-0.24873,2.3124),(145,4845,-0.23963,2.3542),(145,4855,-0.097464,2.3961),(145,4865,0.044707,2.389),(145,4875,0.17756,2.3595),(145,4885,0.22562,2.3301),(145,4895,0.27368,2.2919),(145,4905,0.32174,2.2453),(145,4915,0.24497,2.1987),(145,4925,0.15747,2.1658),(145,4935,0.069969,2.1605),(145,4945,-0.004309,2.1553),(145,4955,-0.074004,2.1548),(145,4965,-0.1437,2.1808),(145,4975,-0.15733,2.2068),(145,4985,-0.1277,2.2327),(145,4995,-0.098061,2.2455),(145,5005,-0.056706,2.2579),(145,5015,0.003279,2.2703),(145,5025,0.063264,2.2506),(145,5035,0.092189,2.2226),(145,5045,0.00278,2.1946),(145,5055,-0.086629,2.1854),(145,5065,-0.17633,2.1878),(145,5075,-0.27549,2.1902),(145,5085,-0.37466,2.21),(145,5095,-0.47383,2.2521),(145,5105,-0.46764,2.2941),(145,5115,-0.44309,2.3376),(145,5125,-0.41853,2.385),(145,5135,-0.26487,2.4323),(145,5145,-0.048571,2.4724),(145,5155,0.16773,2.4337),(145,5165,0.3,2.395),(145,5175,0.34656,2.3563),(145,5185,0.39312,2.3085),(145,5195,0.39401,2.2599),(145,5205,0.29643,2.2112),(145,5215,0.19884,2.1914),(145,5225,0.1002,2.1823),(145,5235,-0.005048,2.1733),(145,5245,-0.11029,2.1864),(145,5255,-0.21554,2.2177),(145,5265,-0.13381,2.2489),(145,5275,-0.044368,2.2651),(145,5285,0.045072,2.2557),(145,5295,0.10893,2.2464),(145,5305,0.16567,2.2312),(145,5315,0.2224,2.1913),(145,5325,0.18868,2.1515),(145,5335,0.095649,2.1121),(145,5345,0.002615,2.1065),(145,5355,-0.11124,2.101),(145,5365,-0.25317,2.0954),(145,5375,-0.3951,2.13),(145,5385,-0.48155,2.1725),(145,5395,-0.39931,2.215),(145,5405,-0.31706,2.2476),(145,5415,-0.22445,2.275),(145,5425,0.007446,2.3024),(145,5435,0.23934,2.2893),(145,5445,0.47124,2.2323),(145,5455,0.52869,2.1753),(145,5465,0.56483,2.1185),(145,5475,0.60097,2.0621),(145,5485,0.58681,2.0058),(145,5495,0.5524,1.9517),(145,5505,0.51798,1.9132),(145,5515,0.48521,1.8746),(145,5525,0.45386,1.836),(145,5535,0.42252,1.8068),(145,5545,0.3922,1.7781),(145,5555,0.36375,1.7494),(145,5565,0.33529,1.7256),(145,5575,0.3077,1.7032),(145,5585,0.2841,1.6807),(145,5595,0.2605,1.6604),(145,5605,0.23689,1.6416),(145,5615,0.21869,1.6227),(145,5625,0.20049,1.6046),(145,5635,0.18229,1.5876),(145,5645,0.16801,1.5706),(145,5655,0.15458,1.5537),(145,5665,0.14115,1.5375),(145,5675,0.12995,1.5214),(145,5685,0.11997,1.5052),(145,5695,0.11,1.4894),(145,5705,0.101,1.4735),(145,5715,0.093129,1.4577),(145,5725,0.085255,1.4419),(145,5735,0.077627,1.4262),(145,5745,0.070609,1.4104),(145,5755,0.06359,1.3947),(145,5765,0.056555,1.379),(145,5775,0.049381,1.3633),(145,5785,0.042207,1.3477),(145,5795,0.035033,1.3321),(145,5805,0.026928,1.3165),(145,5815,0.018754,1.3011),(145,5825,0.010579,1.286),(145,5835,0.00122,1.271),(145,5845,-0.008528,1.2561),(145,5855,-0.018277,1.2419),(145,5865,-0.029212,1.2277),(145,5875,-0.041026,1.2136),(145,5885,-0.052839,1.2011),(145,5895,-0.065654,1.1886),(145,5905,-0.079995,1.1762),(145,5915,-0.094335,1.1659),(145,5925,-0.10928,1.1562),(145,5935,-0.12641,1.1465),(145,5945,-0.14355,1.1395),(145,5955,-0.16082,1.1343),(145,5965,-0.18165,1.129),(145,5975,-0.20249,1.1276),(145,5985,-0.22332,1.1309),(145,5995,-0.1754,1.1342),(145,6005,-0.11642,1.1374),(145,6015,-0.057441,1.1402),(145,6025,0.022204,1.143),(145,6035,0.11143,1.1427),(145,6045,0.20066,1.1122),(145,6055,0.2487,1.0816),(145,6065,0.25637,1.0511),(145,6075,0.26403,1.0206),(145,6085,0.26515,0.99017),(145,6095,0.25276,0.95972),(145,6105,0.24037,0.93283),(145,6115,0.22836,0.90722),(145,6125,0.21852,0.8816),(145,6135,0.20868,0.85758),(145,6145,0.19885,0.83482),(145,6155,0.19102,0.81207),(145,6165,0.18325,0.78988),(145,6175,0.17548,0.76863),(145,6185,0.16891,0.74738),(145,6195,0.16265,0.72634),(145,6205,0.15639,0.70616),(145,6215,0.15098,0.68598),(145,6225,0.1461,0.66582),(145,6235,0.14122,0.64679),(145,6245,0.13678,0.62775),(145,6255,0.13292,0.60872),(145,6265,0.12906,0.59018),(145,6275,0.12538,0.57174),(145,6285,0.12225,0.55329),(145,6295,0.11912,0.53515),(145,6305,0.11604,0.51715),(145,6315,0.11354,0.49916),(145,6325,0.11105,0.48139),(145,6335,0.10855,0.46386),(145,6345,0.10654,0.44632),(145,6355,0.10458,0.42886),(145,6365,0.10261,0.41156),(145,6375,0.10096,0.39425),(145,6385,0.09943,0.37697),(145,6395,0.097898,0.35989),(145,6405,0.096547,0.34281),(145,6415,0.09535,0.32573),(145,6425,0.094152,0.30884),(145,6435,0.093049,0.29195),(145,6445,0.092109,0.27506),(145,6455,0.09117,0.2583),(145,6465,0.090266,0.24158),(145,6475,0.089517,0.22486),(145,6485,0.088768,0.20822),(145,6495,0.08802,0.19164),(145,6505,0.087435,0.17505),(145,6515,0.086849,0.15851),(145,6525,0.086263,0.14201),(145,6535,0.085785,0.12552),(145,6545,0.085329,0.10904),(145,6555,0.084873,0.092651),(145,6565,0.084547,0.076257),(145,6575,0.084289,0.059875),(145,6585,0.084031,0.043669),(145,6595,0.071356,0.027462),(145,6605,0.04497,0.011256),(145,6615,0.018583,0.009411),(145,6625,3.4e-05,0.009413),(145,6635,3.4e-05,0.009414),(145,6645,3.3e-05,0.009412),(145,6655,3.2e-05,0.009407),(145,6665,3.3e-05,0.009402),(145,6675,3.4e-05,0.009398),(145,6685,3.4e-05,0.009392),(145,6695,3.5e-05,0.009387),(145,6705,3.5e-05,0.009382),(145,6715,3.5e-05,0.009376),(145,6725,3.6e-05,0.009371),(145,6735,3.6e-05,0.009365),(145,6745,3.6e-05,0.00936),(145,6755,3.7e-05,0.009354),(145,6765,3.7e-05,0.009349),(145,6775,3.8e-05,0.009343),(145,6785,3.9e-05,0.009338),(145,6795,3.9e-05,0.009332),(145,6805,3.9e-05,0.009326),(145,6815,3.9e-05,0.009321),(145,6825,4e-05,0.009315),(145,6835,4e-05,0.009309),(145,6845,4.1e-05,0.009303),(145,6855,4.1e-05,0.009297),(145,6865,4.1e-05,0.009291),(145,6875,4.2e-05,0.009285),(145,6885,4.2e-05,0.009279),(145,6895,4.2e-05,0.009273),(145,6905,4.3e-05,0.009267),(145,6915,4.3e-05,0.009261),(145,6925,4.3e-05,0.009254),(145,6935,4.3e-05,0.009248),(145,6945,4.4e-05,0.009242),(145,6955,4.4e-05,0.009236),(145,6965,4.4e-05,0.009229),(145,6975,4.4e-05,0.009223),(145,6985,4.5e-05,0.009216),(155,5,8e-06,3.6648),(155,15,2.5e-05,3.6648),(155,25,4.1e-05,3.6648),(155,35,5.7e-05,3.6648),(155,45,7.4e-05,3.6648),(155,55,9e-05,3.6648),(155,65,0.000106,3.6647),(155,75,0.000123,3.6647),(155,85,0.000139,3.6647),(155,95,0.000155,3.6647),(155,105,0.000172,3.6647),(155,115,0.000188,3.6646),(155,125,0.000204,3.6646),(155,135,0.000221,3.6646),(155,145,0.000237,3.6646),(155,155,0.000254,3.6645),(155,165,0.00027,3.6645),(155,175,0.000287,3.6645),(155,185,0.000303,3.6644),(155,195,0.000319,3.6644),(155,205,0.000336,3.6643),(155,215,0.000352,3.6643),(155,225,0.000368,3.6642),(155,235,0.000385,3.6642),(155,245,0.000402,3.6641),(155,255,0.000418,3.6641),(155,265,0.000435,3.664),(155,275,0.000452,3.664),(155,285,0.000469,3.6639),(155,295,0.000486,3.6638),(155,305,0.000503,3.6638),(155,315,0.00052,3.6637),(155,325,0.000537,3.6636),(155,335,0.000554,3.6636),(155,345,0.000571,3.6635),(155,355,0.000589,3.6634),(155,365,0.000606,3.6633),(155,375,0.000623,3.6633),(155,385,0.00064,3.6632),(155,395,0.000658,3.6631),(155,405,0.000675,3.663),(155,415,0.000693,3.6629),(155,425,0.00071,3.6628),(155,435,0.000728,3.6627),(155,445,0.000746,3.6626),(155,455,0.000763,3.6625),(155,465,0.000782,3.6624),(155,475,0.0008,3.6623),(155,485,0.000818,3.6622),(155,495,0.000836,3.6621),(155,505,0.000854,3.662),(155,515,0.000873,3.6619),(155,525,0.000891,3.6618),(155,535,0.00091,3.6616),(155,545,0.000928,3.6615),(155,555,0.000947,3.6614),(155,565,0.000965,3.6613),(155,575,0.000984,3.6611),(155,585,0.001002,3.661),(155,595,0.001021,3.6609),(155,605,0.00104,3.6607),(155,615,0.001059,3.6606),(155,625,0.001078,3.6605),(155,635,0.001098,3.6603),(155,645,0.001117,3.6602),(155,655,0.001136,3.66),(155,665,0.001156,3.6599),(155,675,0.001176,3.6597),(155,685,0.001195,3.6596),(155,695,0.001215,3.6594),(155,705,0.001235,3.6592),(155,715,0.001255,3.6591),(155,725,0.001275,3.6589),(155,735,0.001296,3.6587),(155,745,0.001316,3.6586),(155,755,0.001337,3.6584),(155,765,0.001357,3.6582),(155,775,0.001378,3.658),(155,785,0.001399,3.6578),(155,795,0.001419,3.6577),(155,805,0.00144,3.6575),(155,815,0.001461,3.6573),(155,825,0.001483,3.6571),(155,835,0.001504,3.6569),(155,845,0.001526,3.6567),(155,855,0.001547,3.6565),(155,865,0.001569,3.6563),(155,875,0.001591,3.6561),(155,885,0.001613,3.6558),(155,895,0.001635,3.6556),(155,905,0.001658,3.6554),(155,915,0.00168,3.6552),(155,925,0.001702,3.655),(155,935,0.001725,3.6547),(155,945,0.001748,3.6545),(155,955,0.00177,3.6543),(155,965,0.001793,3.654),(155,975,0.001816,3.6538),(155,985,0.00184,3.6536),(155,995,0.001863,3.6533),(155,1005,0.001887,3.6531),(155,1015,0.001911,3.6528),(155,1025,0.001935,3.6526),(155,1035,0.001959,3.6523),(155,1045,0.001983,3.6521),(155,1055,0.002007,3.6518),(155,1065,0.002032,3.6515),(155,1075,0.002056,3.6513),(155,1085,0.002081,3.651),(155,1095,0.002106,3.6507),(155,1105,0.002131,3.6504),(155,1115,0.002156,3.6501),(155,1125,0.002181,3.6499),(155,1135,0.002206,3.6496),(155,1145,0.002232,3.6493),(155,1155,0.002258,3.649),(155,1165,0.002284,3.6487),(155,1175,0.00231,3.6484),(155,1185,0.002336,3.6481),(155,1195,0.002363,3.6478),(155,1205,0.002389,3.6474),(155,1215,0.002416,3.6471),(155,1225,0.002443,3.6468),(155,1235,0.00247,3.6465),(155,1245,0.002497,3.6461),(155,1255,0.002524,3.6458),(155,1265,0.002551,3.6455),(155,1275,0.002579,3.6451),(155,1285,0.002606,3.6448),(155,1295,0.002635,3.6445),(155,1305,0.002663,3.6441),(155,1315,0.002691,3.6438),(155,1325,0.002719,3.6434),(155,1335,0.002748,3.643),(155,1345,0.002777,3.6427),(155,1355,0.002806,3.6423),(155,1365,0.002835,3.6419),(155,1375,0.002864,3.6415),(155,1385,0.002894,3.6412),(155,1395,0.002923,3.6408),(155,1405,0.002953,3.6404),(155,1415,0.002983,3.64),(155,1425,0.003013,3.6396),(155,1435,0.003043,3.6392),(155,1445,0.003073,3.6388),(155,1455,0.003104,3.6384),(155,1465,0.003134,3.638),(155,1475,0.003165,3.6376),(155,1485,0.003196,3.6371),(155,1495,0.003227,3.6367),(155,1505,0.003259,3.6363),(155,1515,0.00329,3.6359),(155,1525,0.003321,3.6354),(155,1535,0.003354,3.635),(155,1545,0.003386,3.6345),(155,1555,0.003418,3.6341),(155,1565,0.00345,3.6336),(155,1575,0.003483,3.6332),(155,1585,0.003516,3.6327),(155,1595,0.003549,3.6323),(155,1605,0.003582,3.6318),(155,1615,0.003615,3.6313),(155,1625,0.003649,3.6308),(155,1635,0.003682,3.6303),(155,1645,0.003716,3.6299),(155,1655,0.00375,3.6294),(155,1665,0.003784,3.6289),(155,1675,0.003818,3.6284),(155,1685,0.003852,3.6279),(155,1695,0.003887,3.6273),(155,1705,0.003921,3.6268),(155,1715,0.003956,3.6263),(155,1725,0.003991,3.6258),(155,1735,0.004026,3.6253),(155,1745,0.004062,3.6247),(155,1755,0.004097,3.6242),(155,1765,0.004132,3.6236),(155,1775,0.004169,3.6231),(155,1785,0.004205,3.6225),(155,1795,0.004241,3.622),(155,1805,0.004277,3.6214),(155,1815,0.004314,3.6208),(155,1825,0.004351,3.6203),(155,1835,0.004388,3.6197),(155,1845,0.004425,3.6191),(155,1855,0.004462,3.6185),(155,1865,0.0045,3.6179),(155,1875,0.004537,3.6173),(155,1885,0.004575,3.6167),(155,1895,0.004613,3.6161),(155,1905,0.004652,3.6155),(155,1915,0.00469,3.6149),(155,1925,0.004728,3.6143),(155,1935,0.004767,3.6137),(155,1945,0.004806,3.613),(155,1955,0.004845,3.6124),(155,1965,0.004884,3.6117),(155,1975,0.004924,3.6111),(155,1985,0.004963,3.6104),(155,1995,0.005003,3.6098),(155,2005,0.005043,3.6091),(155,2015,0.005083,3.6085),(155,2025,0.005123,3.6078),(155,2035,0.005164,3.6071),(155,2045,0.005204,3.6064),(155,2055,0.005245,3.6057),(155,2065,0.005286,3.605),(155,2075,0.005327,3.6043),(155,2085,0.005369,3.6036),(155,2095,0.00541,3.6029),(155,2105,0.005452,3.6022),(155,2115,0.005494,3.6015),(155,2125,0.005536,3.6008),(155,2135,0.005578,3.6),(155,2145,0.005621,3.5993),(155,2155,0.005663,3.5985),(155,2165,0.005706,3.5978),(155,2175,0.005749,3.597),(155,2185,0.005793,3.5963),(155,2195,0.005836,3.5955),(155,2205,0.00588,3.5947),(155,2215,0.005924,3.594),(155,2225,0.005968,3.5932),(155,2235,0.006013,3.5924),(155,2245,0.006058,3.5916),(155,2255,0.006103,3.5908),(155,2265,0.006149,3.59),(155,2275,0.006194,3.5892),(155,2285,0.00624,3.5884),(155,2295,0.006286,3.5875),(155,2305,0.006333,3.5867),(155,2315,0.006379,3.5859),(155,2325,0.006426,3.585),(155,2335,0.006474,3.5842),(155,2345,0.006521,3.5833),(155,2355,0.006568,3.5825),(155,2365,0.006617,3.5816),(155,2375,0.006666,3.5807),(155,2385,0.006714,3.5799),(155,2395,0.006763,3.579),(155,2405,0.006813,3.5781),(155,2415,0.006863,3.5772),(155,2425,0.006913,3.5763),(155,2435,0.006964,3.5754),(155,2445,0.007015,3.5745),(155,2455,0.007067,3.5736),(155,2465,0.007119,3.5726),(155,2475,0.007171,3.5717),(155,2485,0.007225,3.5707),(155,2495,0.007279,3.5698),(155,2505,0.007333,3.5689),(155,2515,0.007387,3.5679),(155,2525,0.007443,3.5669),(155,2535,0.007499,3.566),(155,2545,0.007555,3.565),(155,2555,0.007611,3.564),(155,2565,0.00767,3.563),(155,2575,0.007728,3.562),(155,2585,0.007787,3.561),(155,2595,0.007846,3.56),(155,2605,0.007907,3.559),(155,2615,0.007969,3.5579),(155,2625,0.008031,3.5569),(155,2635,0.008093,3.5559),(155,2645,0.008158,3.5548),(155,2655,0.008223,3.5538),(155,2665,0.008288,3.5527),(155,2675,0.008354,3.5516),(155,2685,0.008423,3.5506),(155,2695,0.008492,3.5495),(155,2705,0.008561,3.5484),(155,2715,0.008631,3.5473),(155,2725,0.008705,3.5462),(155,2735,0.008779,3.5451),(155,2745,0.008853,3.5439),(155,2755,0.008928,3.5428),(155,2765,0.009008,3.5417),(155,2775,0.009088,3.5405),(155,2785,0.009167,3.5394),(155,2795,0.009249,3.5382),(155,2805,0.009335,3.537),(155,2815,0.009422,3.5358),(155,2825,0.009508,3.5346),(155,2835,0.009597,3.5334),(155,2845,0.009692,3.5322),(155,2855,0.009786,3.531),(155,2865,0.009881,3.5298),(155,2875,0.009979,3.5286),(155,2885,0.010083,3.5273),(155,2895,0.010186,3.5261),(155,2905,0.01029,3.5248),(155,2915,0.010399,3.5235),(155,2925,0.010514,3.5222),(155,2935,0.01063,3.5209),(155,2945,0.010745,3.5196),(155,2955,0.010866,3.5183),(155,2965,0.010995,3.517),(155,2975,0.011124,3.5156),(155,2985,0.011253,3.5143),(155,2995,0.011389,3.5129),(155,3005,0.011534,3.5115),(155,3015,0.011679,3.5101),(155,3025,0.011824,3.5087),(155,3035,0.01198,3.5073),(155,3045,0.012144,3.5059),(155,3055,0.012308,3.5044),(155,3065,0.012473,3.503),(155,3075,0.012651,3.5015),(155,3085,0.012839,3.5),(155,3095,0.013027,3.4985),(155,3105,0.013214,3.497),(155,3115,0.01342,3.4954),(155,3125,0.013636,3.4939),(155,3135,0.013852,3.4923),(155,3145,0.014068,3.4907),(155,3155,0.014306,3.4891),(155,3165,0.014556,3.4875),(155,3175,0.014806,3.4859),(155,3185,0.015057,3.4842),(155,3195,0.015335,3.4825),(155,3205,0.015627,3.4808),(155,3215,0.015919,3.4791),(155,3225,0.01621,3.4773),(155,3235,0.016539,3.4755),(155,3245,0.016881,3.4738),(155,3255,0.017223,3.4719),(155,3265,0.017565,3.47),(155,3275,0.017955,3.4682),(155,3285,0.018359,3.4663),(155,3295,0.018763,3.4643),(155,3305,0.019167,3.4624),(155,3315,0.019632,3.4604),(155,3325,0.020112,3.4584),(155,3335,0.020592,3.4563),(155,3345,0.021072,3.4542),(155,3355,0.021631,3.452),(155,3365,0.022205,3.4499),(155,3375,0.022778,3.4477),(155,3385,0.023352,3.4454),(155,3395,0.024029,3.4431),(155,3405,0.024719,3.4408),(155,3415,0.025409,3.4384),(155,3425,0.026098,3.4359),(155,3435,0.026923,3.4335),(155,3445,0.027758,3.431),(155,3455,0.028593,3.4284),(155,3465,0.029428,3.4257),(155,3475,0.030438,3.423),(155,3485,0.031455,3.4203),(155,3495,0.032472,3.4174),(155,3505,0.03349,3.4145),(155,3515,0.034737,3.4116),(155,3525,0.035983,3.4087),(155,3535,0.03723,3.4054),(155,3545,0.038489,3.4022),(155,3555,0.040027,3.399),(155,3565,0.041564,3.3957),(155,3575,0.043102,3.3922),(155,3585,0.044671,3.3886),(155,3595,0.04658,3.385),(155,3605,0.048489,3.3814),(155,3615,0.050398,3.3773),(155,3625,0.052365,3.3733),(155,3635,0.054751,3.3693),(155,3645,0.057136,3.3652),(155,3655,0.059522,3.3607),(155,3665,0.062007,3.3561),(155,3675,0.065007,3.3516),(155,3685,0.068007,3.3469),(155,3695,0.071007,3.3417),(155,3705,0.074169,3.3364),(155,3715,0.077964,3.3312),(155,3725,0.08176,3.3258),(155,3735,0.085555,3.3197),(155,3745,0.089602,3.3137),(155,3755,0.094431,3.3076),(155,3765,0.09926,3.3012),(155,3775,0.10409,3.294),(155,3785,0.1093,3.2868),(155,3795,0.11548,3.2796),(155,3805,0.12165,3.272),(155,3815,0.12783,3.2632),(155,3825,0.13458,3.2544),(155,3835,0.14252,3.2457),(155,3845,0.15047,3.2362),(155,3855,0.15842,3.2252),(155,3865,0.16724,3.2142),(155,3875,0.17762,3.2032),(155,3885,0.18799,3.1909),(155,3895,0.19836,3.1765),(155,3905,0.22412,3.1622),(155,3915,0.27287,3.1478),(155,3925,0.32161,3.1233),(155,3935,0.37036,3.0848),(155,3945,0.40066,3.0463),(155,3955,0.40753,3.0078),(155,3965,0.41441,2.97),(155,3975,0.42128,2.9332),(155,3985,0.41292,2.8964),(155,3995,0.38806,2.8596),(155,4005,0.3632,2.8284),(155,4015,0.33834,2.8029),(155,4025,0.3109,2.7773),(155,4035,0.28321,2.7543),(155,4045,0.25552,2.7366),(155,4055,0.22607,2.7189),(155,4065,0.19599,2.7023),(155,4075,0.1659,2.6919),(155,4085,0.13573,2.6816),(155,4095,0.10549,2.6713),(155,4105,0.075244,2.6692),(155,4115,0.046088,2.6675),(155,4125,0.018734,2.6657),(155,4135,-0.00862,2.6719),(155,4145,-0.022087,2.6802),(155,4155,0.020696,2.6885),(155,4165,0.063478,2.6832),(155,4175,0.10541,2.669),(155,4185,0.10545,2.6549),(155,4195,0.10548,2.6416),(155,4205,0.10551,2.6295),(155,4215,0.083405,2.6174),(155,4225,0.057135,2.6086),(155,4235,0.030865,2.6098),(155,4245,0.012628,2.6109),(155,4255,-0.001534,2.6126),(155,4265,-0.015696,2.6212),(155,4275,-0.017759,2.6297),(155,4285,-0.006985,2.6383),(155,4295,0.00379,2.6421),(155,4305,0.043673,2.6454),(155,4315,0.14928,2.6487),(155,4325,0.25489,2.6205),(155,4335,0.34136,2.5799),(155,4345,0.29828,2.5393),(155,4355,0.2552,2.5098),(155,4365,0.21211,2.4896),(155,4375,0.16256,2.4695),(155,4385,0.11267,2.4574),(155,4395,0.062783,2.4595),(155,4405,0.027689,2.4616),(155,4415,-0.003043,2.466),(155,4425,-0.033775,2.4803),(155,4435,-0.000677,2.4946),(155,4445,0.076041,2.5087),(155,4455,0.15276,2.4838),(155,4465,0.20009,2.4589),(155,4475,0.20613,2.4339),(155,4485,0.21218,2.4093),(155,4495,0.20185,2.3847),(155,4505,0.13899,2.3601),(155,4515,0.07613,2.3521),(155,4525,0.013071,2.353),(155,4535,-0.053119,2.354),(155,4545,-0.11931,2.3674),(155,4555,-0.1855,2.3947),(155,4565,-0.12226,2.4221),(155,4575,-0.041583,2.4389),(155,4585,0.039099,2.43),(155,4595,0.088688,2.4211),(155,4605,0.12514,2.4104),(155,4615,0.16159,2.3859),(155,4625,0.1608,2.3614),(155,4635,0.12627,2.3369),(155,4645,0.091746,2.326),(155,4655,0.04589,2.3161),(155,4665,-0.021332,2.3061),(155,4675,-0.088553,2.3207),(155,4685,-0.14386,2.343),(155,4695,-0.14027,2.3654),(155,4705,-0.13668,2.388),(155,4715,-0.13309,2.4108),(155,4725,0.003519,2.4336),(155,4735,0.14146,2.431),(155,4745,0.2794,2.3905),(155,4755,0.26757,2.35),(155,4765,0.22105,2.3138),(155,4775,0.17453,2.2926),(155,4785,0.092976,2.2714),(155,4795,-0.008826,2.2519),(155,4805,-0.11063,2.2709),(155,4815,-0.18823,2.2899),(155,4825,-0.23691,2.3089),(155,4835,-0.28559,2.3481),(155,4845,-0.27534,2.3903),(155,4855,-0.1115,2.4325),(155,4865,0.052335,2.4256),(155,4875,0.20523,2.3963),(155,4885,0.25855,2.367),(155,4895,0.31188,2.3281),(155,4905,0.3652,2.2798),(155,4915,0.27719,2.2316),(155,4925,0.17702,2.1974),(155,4935,0.076845,2.1915),(155,4945,-0.007676,2.1856),(155,4955,-0.086772,2.1846),(155,4965,-0.16587,2.2108),(155,4975,-0.18087,2.237),(155,4985,-0.1464,2.2632),(155,4995,-0.11193,2.2752),(155,5005,-0.063431,2.2868),(155,5015,0.007386,2.2984),(155,5025,0.078203,2.2792),(155,5035,0.11389,2.2522),(155,5045,0.015731,2.2252),(155,5055,-0.082427,2.2161),(155,5065,-0.18096,2.218),(155,5075,-0.29176,2.2199),(155,5085,-0.40257,2.239),(155,5095,-0.51337,2.2799),(155,5105,-0.50973,2.3209),(155,5115,-0.48612,2.363),(155,5125,-0.46252,2.4087),(155,5135,-0.29263,2.4544),(155,5145,-0.051764,2.4931),(155,5155,0.1891,2.4556),(155,5165,0.33493,2.4182),(155,5175,0.38383,2.3807),(155,5185,0.43272,2.3337),(155,5195,0.43147,2.2856),(155,5205,0.32209,2.2375),(155,5215,0.21271,2.2178),(155,5225,0.10228,2.2086),(155,5235,-0.014669,2.1994),(155,5245,-0.13162,2.2119),(155,5255,-0.24856,2.2422),(155,5265,-0.15541,2.2725),(155,5275,-0.053595,2.2889),(155,5285,0.04822,2.2819),(155,5295,0.12259,2.2749),(155,5305,0.18931,2.2613),(155,5315,0.25603,2.2207),(155,5325,0.21996,2.18),(155,5335,0.11648,2.1398),(155,5345,0.01301,2.1326),(155,5355,-0.11282,2.1254),(155,5365,-0.26881,2.1182),(155,5375,-0.4248,2.15),(155,5385,-0.52062,2.1893),(155,5395,-0.43349,2.2286),(155,5405,-0.34636,2.2588),(155,5415,-0.24761,2.2843),(155,5425,0.00738,2.3097),(155,5435,0.26237,2.2966),(155,5445,0.51735,2.2417),(155,5455,0.57679,2.1867),(155,5465,0.61232,2.1318),(155,5475,0.64786,2.0767),(155,5485,0.62985,2.0217),(155,5495,0.59026,1.9688),(155,5505,0.55068,1.9313),(155,5515,0.51382,1.8937),(155,5525,0.47933,1.8561),(155,5535,0.44483,1.8278),(155,5545,0.4118,1.8001),(155,5555,0.3814,1.7724),(155,5565,0.351,1.7494),(155,5575,0.32162,1.7278),(155,5585,0.29693,1.7062),(155,5595,0.27224,1.6865),(155,5605,0.24754,1.6682),(155,5615,0.22877,1.6498),(155,5625,0.21,1.6321),(155,5635,0.19123,1.6153),(155,5645,0.17658,1.5985),(155,5655,0.16282,1.5819),(155,5665,0.14906,1.5656),(155,5675,0.13759,1.5494),(155,5685,0.12739,1.5332),(155,5695,0.11718,1.5172),(155,5705,0.10797,1.5011),(155,5715,0.099888,1.485),(155,5725,0.091807,1.4689),(155,5735,0.083968,1.4528),(155,5745,0.076731,1.4367),(155,5755,0.069493,1.4205),(155,5765,0.062234,1.4043),(155,5775,0.054799,1.3881),(155,5785,0.047364,1.3719),(155,5795,0.03993,1.3557),(155,5805,0.031479,1.3394),(155,5815,0.022953,1.3234),(155,5825,0.014427,1.3076),(155,5835,0.004592,1.2919),(155,5845,-0.005672,1.2763),(155,5855,-0.015937,1.2613),(155,5865,-0.027512,1.2463),(155,5875,-0.040057,1.2314),(155,5885,-0.052602,1.218),(155,5895,-0.066273,1.2046),(155,5905,-0.081661,1.1912),(155,5915,-0.097049,1.18),(155,5925,-0.11315,1.1694),(155,5935,-0.13181,1.1587),(155,5945,-0.15047,1.1507),(155,5955,-0.16932,1.1442),(155,5965,-0.19259,1.1377),(155,5975,-0.21586,1.1347),(155,5985,-0.23914,1.1361),(155,5995,-0.18823,1.1374),(155,6005,-0.12538,1.1391),(155,6015,-0.062537,1.1414),(155,6025,0.0236,1.1437),(155,6035,0.12054,1.143),(155,6045,0.21748,1.1139),(155,6055,0.26911,1.0847),(155,6065,0.27632,1.0555),(155,6075,0.28353,1.0258),(155,6085,0.28388,0.99598),(155,6095,0.27011,0.96618),(155,6105,0.25634,0.93964),(155,6115,0.24303,0.91426),(155,6125,0.23243,0.88888),(155,6135,0.22182,0.86506),(155,6145,0.21121,0.84246),(155,6155,0.20286,0.81985),(155,6165,0.19457,0.79777),(155,6175,0.18629,0.77654),(155,6185,0.17935,0.7553),(155,6195,0.17275,0.73428),(155,6205,0.16615,0.71411),(155,6215,0.16045,0.69394),(155,6225,0.15532,0.67379),(155,6235,0.15018,0.65469),(155,6245,0.14552,0.63559),(155,6255,0.14147,0.61648),(155,6265,0.13742,0.59782),(155,6275,0.13357,0.57923),(155,6285,0.13032,0.56065),(155,6295,0.12706,0.54236),(155,6305,0.12386,0.52421),(155,6315,0.12127,0.50607),(155,6325,0.11867,0.48814),(155,6335,0.11608,0.47044),(155,6345,0.11397,0.45274),(155,6355,0.11192,0.4351),(155,6365,0.10987,0.4176),(155,6375,0.10814,0.4001),(155,6385,0.10654,0.38262),(155,6395,0.10493,0.36532),(155,6405,0.10352,0.34802),(155,6415,0.10227,0.33072),(155,6425,0.10102,0.31359),(155,6435,0.099866,0.29646),(155,6445,0.098891,0.27933),(155,6455,0.097916,0.26232),(155,6465,0.09698,0.24534),(155,6475,0.096209,0.22836),(155,6485,0.095438,0.21146),(155,6495,0.094668,0.19461),(155,6505,0.094062,0.17776),(155,6515,0.093455,0.16095),(155,6525,0.092849,0.14418),(155,6535,0.09234,0.12741),(155,6545,0.091851,0.11067),(155,6555,0.091361,0.094031),(155,6565,0.090991,0.077391),(155,6575,0.090683,0.060763),(155,6585,0.090376,0.044309),(155,6595,0.07673,0.027856),(155,6605,0.048356,0.011402),(155,6615,0.019981,0.009497),(155,6625,3.5e-05,0.009461),(155,6635,3.5e-05,0.009425),(155,6645,3.4e-05,0.009411),(155,6655,3.4e-05,0.009407),(155,6665,3.5e-05,0.009403),(155,6675,3.6e-05,0.009398),(155,6685,3.6e-05,0.009393),(155,6695,3.7e-05,0.009388),(155,6705,3.7e-05,0.009382),(155,6715,3.8e-05,0.009377),(155,6725,3.8e-05,0.009371),(155,6735,3.8e-05,0.009366),(155,6745,3.9e-05,0.00936),(155,6755,3.9e-05,0.009355),(155,6765,4e-05,0.009349),(155,6775,4.1e-05,0.009344),(155,6785,4.1e-05,0.009338),(155,6795,4.1e-05,0.009333),(155,6805,4.2e-05,0.009327),(155,6815,4.2e-05,0.009321),(155,6825,4.3e-05,0.009315),(155,6835,4.3e-05,0.009309),(155,6845,4.3e-05,0.009303),(155,6855,4.4e-05,0.009298),(155,6865,4.4e-05,0.009291),(155,6875,4.5e-05,0.009286),(155,6885,4.5e-05,0.009279),(155,6895,4.5e-05,0.009273),(155,6905,4.6e-05,0.009267),(155,6915,4.6e-05,0.009261),(155,6925,4.6e-05,0.009255),(155,6935,4.6e-05,0.009248),(155,6945,4.7e-05,0.009242),(155,6955,4.7e-05,0.009236),(155,6965,4.7e-05,0.009229),(155,6975,4.8e-05,0.009223),(155,6985,4.8e-05,0.009217),(165,5,9e-06,3.6648),(165,15,2.6e-05,3.6648),(165,25,4.4e-05,3.6648),(165,35,6.1e-05,3.6648),(165,45,7.8e-05,3.6648),(165,55,9.6e-05,3.6648),(165,65,0.000113,3.6648),(165,75,0.00013,3.6647),(165,85,0.000148,3.6647),(165,95,0.000165,3.6647),(165,105,0.000183,3.6647),(165,115,0.0002,3.6647),(165,125,0.000217,3.6646),(165,135,0.000235,3.6646),(165,145,0.000252,3.6646),(165,155,0.00027,3.6645),(165,165,0.000287,3.6645),(165,175,0.000305,3.6645),(165,185,0.000323,3.6644),(165,195,0.00034,3.6644),(165,205,0.000357,3.6643),(165,215,0.000375,3.6643),(165,225,0.000392,3.6643),(165,235,0.00041,3.6642),(165,245,0.000428,3.6642),(165,255,0.000445,3.6641),(165,265,0.000463,3.664),(165,275,0.000481,3.664),(165,285,0.000499,3.6639),(165,295,0.000517,3.6639),(165,305,0.000535,3.6638),(165,315,0.000553,3.6637),(165,325,0.000572,3.6637),(165,335,0.00059,3.6636),(165,345,0.000608,3.6635),(165,355,0.000626,3.6634),(165,365,0.000645,3.6634),(165,375,0.000663,3.6633),(165,385,0.000682,3.6632),(165,395,0.0007,3.6631),(165,405,0.000719,3.663),(165,415,0.000737,3.6629),(165,425,0.000756,3.6628),(165,435,0.000775,3.6627),(165,445,0.000793,3.6626),(165,455,0.000812,3.6625),(165,465,0.000832,3.6624),(165,475,0.000851,3.6623),(165,485,0.00087,3.6622),(165,495,0.000889,3.6621),(165,505,0.000909,3.662),(165,515,0.000929,3.6619),(165,525,0.000948,3.6618),(165,535,0.000968,3.6617),(165,545,0.000988,3.6615),(165,555,0.001007,3.6614),(165,565,0.001027,3.6613),(165,575,0.001047,3.6612),(165,585,0.001067,3.661),(165,595,0.001087,3.6609),(165,605,0.001107,3.6608),(165,615,0.001127,3.6606),(165,625,0.001148,3.6605),(165,635,0.001168,3.6603),(165,645,0.001189,3.6602),(165,655,0.001209,3.66),(165,665,0.00123,3.6599),(165,675,0.001251,3.6597),(165,685,0.001272,3.6596),(165,695,0.001293,3.6594),(165,705,0.001314,3.6592),(165,715,0.001336,3.6591),(165,725,0.001357,3.6589),(165,735,0.001379,3.6587),(165,745,0.001401,3.6586),(165,755,0.001422,3.6584),(165,765,0.001444,3.6582),(165,775,0.001466,3.658),(165,785,0.001488,3.6579),(165,795,0.001511,3.6577),(165,805,0.001533,3.6575),(165,815,0.001555,3.6573),(165,825,0.001578,3.6571),(165,835,0.001601,3.6569),(165,845,0.001624,3.6567),(165,855,0.001647,3.6565),(165,865,0.00167,3.6563),(165,875,0.001693,3.6561),(165,885,0.001717,3.6559),(165,895,0.00174,3.6557),(165,905,0.001764,3.6554),(165,915,0.001788,3.6552),(165,925,0.001812,3.655),(165,935,0.001836,3.6548),(165,945,0.00186,3.6545),(165,955,0.001884,3.6543),(165,965,0.001909,3.6541),(165,975,0.001933,3.6538),(165,985,0.001958,3.6536),(165,995,0.001983,3.6533),(165,1005,0.002008,3.6531),(165,1015,0.002033,3.6528),(165,1025,0.002059,3.6526),(165,1035,0.002085,3.6523),(165,1045,0.00211,3.6521),(165,1055,0.002136,3.6518),(165,1065,0.002162,3.6515),(165,1075,0.002188,3.6513),(165,1085,0.002214,3.651),(165,1095,0.002241,3.6507),(165,1105,0.002267,3.6504),(165,1115,0.002294,3.6502),(165,1125,0.002321,3.6499),(165,1135,0.002348,3.6496),(165,1145,0.002375,3.6493),(165,1155,0.002403,3.649),(165,1165,0.00243,3.6487),(165,1175,0.002458,3.6484),(165,1185,0.002486,3.6481),(165,1195,0.002514,3.6478),(165,1205,0.002542,3.6475),(165,1215,0.002571,3.6471),(165,1225,0.0026,3.6468),(165,1235,0.002628,3.6465),(165,1245,0.002657,3.6462),(165,1255,0.002686,3.6458),(165,1265,0.002716,3.6455),(165,1275,0.002745,3.6452),(165,1285,0.002774,3.6448),(165,1295,0.002804,3.6445),(165,1305,0.002834,3.6441),(165,1315,0.002864,3.6438),(165,1325,0.002894,3.6434),(165,1335,0.002924,3.6431),(165,1345,0.002955,3.6427),(165,1355,0.002986,3.6423),(165,1365,0.003017,3.642),(165,1375,0.003048,3.6416),(165,1385,0.00308,3.6412),(165,1395,0.003111,3.6408),(165,1405,0.003142,3.6404),(165,1415,0.003174,3.64),(165,1425,0.003207,3.6396),(165,1435,0.003239,3.6392),(165,1445,0.003271,3.6388),(165,1455,0.003303,3.6384),(165,1465,0.003336,3.638),(165,1475,0.003369,3.6376),(165,1485,0.003401,3.6372),(165,1495,0.003435,3.6368),(165,1505,0.003468,3.6363),(165,1515,0.003502,3.6359),(165,1525,0.003535,3.6355),(165,1535,0.003569,3.635),(165,1545,0.003603,3.6346),(165,1555,0.003638,3.6341),(165,1565,0.003672,3.6337),(165,1575,0.003707,3.6332),(165,1585,0.003742,3.6328),(165,1595,0.003777,3.6323),(165,1605,0.003812,3.6318),(165,1615,0.003848,3.6313),(165,1625,0.003883,3.6309),(165,1635,0.003919,3.6304),(165,1645,0.003955,3.6299),(165,1655,0.003991,3.6294),(165,1665,0.004027,3.6289),(165,1675,0.004064,3.6284),(165,1685,0.0041,3.6279),(165,1695,0.004137,3.6274),(165,1705,0.004174,3.6269),(165,1715,0.004211,3.6263),(165,1725,0.004248,3.6258),(165,1735,0.004285,3.6253),(165,1745,0.004323,3.6248),(165,1755,0.004361,3.6242),(165,1765,0.004399,3.6237),(165,1775,0.004437,3.6231),(165,1785,0.004476,3.6226),(165,1795,0.004514,3.622),(165,1805,0.004553,3.6214),(165,1815,0.004592,3.6209),(165,1825,0.004631,3.6203),(165,1835,0.00467,3.6197),(165,1845,0.00471,3.6191),(165,1855,0.00475,3.6186),(165,1865,0.004789,3.618),(165,1875,0.004829,3.6174),(165,1885,0.004869,3.6168),(165,1895,0.00491,3.6162),(165,1905,0.004951,3.6156),(165,1915,0.004992,3.6149),(165,1925,0.005032,3.6143),(165,1935,0.005074,3.6137),(165,1945,0.005115,3.6131),(165,1955,0.005157,3.6124),(165,1965,0.005198,3.6118),(165,1975,0.005241,3.6111),(165,1985,0.005283,3.6105),(165,1995,0.005325,3.6098),(165,2005,0.005367,3.6092),(165,2015,0.00541,3.6085),(165,2025,0.005453,3.6078),(165,2035,0.005496,3.6071),(165,2045,0.005539,3.6065),(165,2055,0.005583,3.6058),(165,2065,0.005627,3.6051),(165,2075,0.00567,3.6044),(165,2085,0.005714,3.6037),(165,2095,0.005759,3.603),(165,2105,0.005803,3.6022),(165,2115,0.005847,3.6015),(165,2125,0.005892,3.6008),(165,2135,0.005937,3.6001),(165,2145,0.005982,3.5993),(165,2155,0.006028,3.5986),(165,2165,0.006073,3.5978),(165,2175,0.006119,3.5971),(165,2185,0.006165,3.5963),(165,2195,0.006212,3.5955),(165,2205,0.006258,3.5948),(165,2215,0.006305,3.594),(165,2225,0.006352,3.5932),(165,2235,0.0064,3.5924),(165,2245,0.006448,3.5916),(165,2255,0.006496,3.5908),(165,2265,0.006544,3.59),(165,2275,0.006592,3.5892),(165,2285,0.006641,3.5884),(165,2295,0.006691,3.5876),(165,2305,0.00674,3.5868),(165,2315,0.006789,3.5859),(165,2325,0.006839,3.5851),(165,2335,0.00689,3.5842),(165,2345,0.00694,3.5834),(165,2355,0.006991,3.5825),(165,2365,0.007042,3.5817),(165,2375,0.007094,3.5808),(165,2385,0.007146,3.5799),(165,2395,0.007197,3.579),(165,2405,0.007251,3.5781),(165,2415,0.007304,3.5772),(165,2425,0.007357,3.5763),(165,2435,0.007411,3.5754),(165,2445,0.007466,3.5745),(165,2455,0.007521,3.5736),(165,2465,0.007576,3.5727),(165,2475,0.007631,3.5717),(165,2485,0.007689,3.5708),(165,2495,0.007746,3.5699),(165,2505,0.007803,3.5689),(165,2515,0.00786,3.5679),(165,2525,0.00792,3.567),(165,2535,0.007979,3.566),(165,2545,0.008039,3.565),(165,2555,0.008098,3.564),(165,2565,0.008161,3.5631),(165,2575,0.008223,3.5621),(165,2585,0.008285,3.5611),(165,2595,0.008348,3.56),(165,2605,0.008413,3.559),(165,2615,0.008479,3.558),(165,2625,0.008544,3.557),(165,2635,0.00861,3.5559),(165,2645,0.008679,3.5549),(165,2655,0.008748,3.5538),(165,2665,0.008817,3.5528),(165,2675,0.008887,3.5517),(165,2685,0.00896,3.5506),(165,2695,0.009034,3.5495),(165,2705,0.009107,3.5484),(165,2715,0.009181,3.5473),(165,2725,0.00926,3.5462),(165,2735,0.009338,3.5451),(165,2745,0.009416,3.544),(165,2755,0.009496,3.5429),(165,2765,0.009581,3.5417),(165,2775,0.009665,3.5406),(165,2785,0.00975,3.5394),(165,2795,0.009836,3.5383),(165,2805,0.009928,3.5371),(165,2815,0.010019,3.5359),(165,2825,0.010111,3.5347),(165,2835,0.010205,3.5335),(165,2845,0.010305,3.5323),(165,2855,0.010405,3.5311),(165,2865,0.010505,3.5299),(165,2875,0.010609,3.5287),(165,2885,0.010719,3.5274),(165,2895,0.010829,3.5262),(165,2905,0.010939,3.5249),(165,2915,0.011054,3.5236),(165,2925,0.011176,3.5223),(165,2935,0.011298,3.5211),(165,2945,0.01142,3.5197),(165,2955,0.011548,3.5184),(165,2965,0.011684,3.5171),(165,2975,0.01182,3.5158),(165,2985,0.011957,3.5144),(165,2995,0.012101,3.513),(165,3005,0.012254,3.5117),(165,3015,0.012407,3.5103),(165,3025,0.01256,3.5089),(165,3035,0.012724,3.5075),(165,3045,0.012898,3.506),(165,3055,0.013072,3.5046),(165,3065,0.013245,3.5031),(165,3075,0.013433,3.5017),(165,3085,0.013631,3.5002),(165,3095,0.013829,3.4987),(165,3105,0.014028,3.4972),(165,3115,0.014244,3.4956),(165,3125,0.014472,3.4941),(165,3135,0.0147,3.4925),(165,3145,0.014928,3.491),(165,3155,0.015179,3.4894),(165,3165,0.015442,3.4878),(165,3175,0.015706,3.4861),(165,3185,0.01597,3.4844),(165,3195,0.016263,3.4828),(165,3205,0.01657,3.4811),(165,3215,0.016877,3.4794),(165,3225,0.017184,3.4776),(165,3235,0.01753,3.4758),(165,3245,0.01789,3.4741),(165,3255,0.01825,3.4723),(165,3265,0.01861,3.4704),(165,3275,0.01902,3.4685),(165,3285,0.019444,3.4667),(165,3295,0.019869,3.4647),(165,3305,0.020294,3.4628),(165,3315,0.020783,3.4608),(165,3325,0.021287,3.4588),(165,3335,0.021791,3.4568),(165,3345,0.022295,3.4547),(165,3355,0.022882,3.4526),(165,3365,0.023484,3.4505),(165,3375,0.024086,3.4482),(165,3385,0.024688,3.446),(165,3395,0.025398,3.4437),(165,3405,0.026121,3.4415),(165,3415,0.026845,3.4391),(165,3425,0.027568,3.4367),(165,3435,0.028431,3.4342),(165,3445,0.029306,3.4318),(165,3455,0.030181,3.4292),(165,3465,0.031056,3.4266),(165,3475,0.032113,3.424),(165,3485,0.033177,3.4213),(165,3495,0.034242,3.4185),(165,3505,0.035307,3.4156),(165,3515,0.03661,3.4127),(165,3525,0.037913,3.4099),(165,3535,0.039217,3.4067),(165,3545,0.040533,3.4036),(165,3555,0.042139,3.4004),(165,3565,0.043745,3.3972),(165,3575,0.045351,3.3937),(165,3585,0.04699,3.3902),(165,3595,0.048983,3.3868),(165,3605,0.050975,3.3832),(165,3615,0.052968,3.3793),(165,3625,0.055022,3.3754),(165,3635,0.057511,3.3715),(165,3645,0.06,3.3675),(165,3655,0.062489,3.3631),(165,3665,0.065083,3.3587),(165,3675,0.068214,3.3543),(165,3685,0.071345,3.3498),(165,3695,0.074476,3.3448),(165,3705,0.077777,3.3398),(165,3715,0.081743,3.3347),(165,3725,0.08571,3.3295),(165,3735,0.089676,3.3237),(165,3745,0.093908,3.3179),(165,3755,0.098968,3.3121),(165,3765,0.10403,3.306),(165,3775,0.10909,3.2991),(165,3785,0.11456,3.2922),(165,3795,0.12106,3.2853),(165,3805,0.12756,3.278),(165,3815,0.13407,3.2697),(165,3825,0.14119,3.2613),(165,3835,0.14962,3.253),(165,3845,0.15804,3.2439),(165,3855,0.16647,3.2335),(165,3865,0.17585,3.2231),(165,3875,0.18691,3.2126),(165,3885,0.19798,3.2011),(165,3895,0.20904,3.1877),(165,3905,0.2373,3.1743),(165,3915,0.29127,3.1609),(165,3925,0.34523,3.1374),(165,3935,0.39919,3.0999),(165,3945,0.43214,3.0625),(165,3955,0.43843,3.0251),(165,3965,0.44471,2.9881),(165,3975,0.451,2.9519),(165,3985,0.44093,2.9156),(165,3995,0.41317,2.8793),(165,4005,0.38541,2.8488),(165,4015,0.35765,2.8242),(165,4025,0.32801,2.7996),(165,4035,0.29819,2.7774),(165,4045,0.26837,2.7605),(165,4055,0.23694,2.7436),(165,4065,0.20492,2.7278),(165,4075,0.17289,2.718),(165,4085,0.14062,2.7082),(165,4095,0.10814,2.6984),(165,4105,0.075666,2.6964),(165,4115,0.044184,2.6947),(165,4125,0.014352,2.693),(165,4135,-0.01548,2.6987),(165,4145,-0.029637,2.7064),(165,4155,0.019701,2.7141),(165,4165,0.06904,2.7089),(165,4175,0.11739,2.6953),(165,4185,0.11665,2.6818),(165,4195,0.11592,2.6688),(165,4205,0.11519,2.6567),(165,4215,0.089718,2.6446),(165,4225,0.059592,2.6359),(165,4235,0.029466,2.6373),(165,4245,0.008592,2.6386),(165,4255,-0.007587,2.6405),(165,4265,-0.023765,2.6491),(165,4275,-0.026029,2.6576),(165,4285,-0.013528,2.6662),(165,4295,-0.001026,2.6701),(165,4305,0.043919,2.6735),(165,4315,0.16212,2.677),(165,4325,0.28032,2.649),(165,4335,0.37698,2.6087),(165,4345,0.32782,2.5683),(165,4355,0.27866,2.5389),(165,4365,0.22949,2.5189),(165,4375,0.1733,2.4989),(165,4385,0.11675,2.487),(165,4395,0.060191,2.4896),(165,4405,0.021062,2.4923),(165,4415,-0.012929,2.4971),(165,4425,-0.04692,2.5115),(165,4435,-0.008261,2.526),(165,4445,0.080044,2.5403),(165,4455,0.16835,2.5159),(165,4465,0.22238,2.4915),(165,4475,0.22824,2.467),(165,4485,0.23411,2.4422),(165,4495,0.22182,2.4172),(165,4505,0.1513,2.3923),(165,4515,0.080774,2.384),(165,4525,0.010046,2.3849),(165,4535,-0.063877,2.3857),(165,4545,-0.1378,2.3988),(165,4555,-0.21172,2.4258),(165,4565,-0.13966,2.4528),(165,4575,-0.047915,2.4693),(165,4585,0.04383,2.4608),(165,4595,0.099897,2.4522),(165,4605,0.14089,2.4418),(165,4615,0.18188,2.4172),(165,4625,0.18088,2.3926),(165,4635,0.14185,2.3679),(165,4645,0.10282,2.3571),(165,4655,0.050536,2.3471),(165,4665,-0.026737,2.3372),(165,4675,-0.10401,2.3527),(165,4685,-0.16759,2.3764),(165,4695,-0.16353,2.4001),(165,4705,-0.15947,2.4233),(165,4715,-0.15541,2.4463),(165,4725,-0.00024,2.4693),(165,4735,0.15645,2.4668),(165,4745,0.31313,2.4264),(165,4755,0.30002,2.3859),(165,4765,0.24757,2.3497),(165,4775,0.19512,2.3281),(165,4785,0.10362,2.3065),(165,4795,-0.010458,2.2868),(165,4805,-0.12454,2.3061),(165,4815,-0.21189,2.3254),(165,4825,-0.26729,2.3447),(165,4835,-0.3227,2.3841),(165,4845,-0.31129,2.4266),(165,4855,-0.12572,2.4691),(165,4865,0.059846,2.4623),(165,4875,0.23287,2.4332),(165,4885,0.29177,2.4042),(165,4895,0.35067,2.3646),(165,4905,0.40956,2.3147),(165,4915,0.31015,2.2649),(165,4925,0.19713,2.2295),(165,4935,0.084105,2.2229),(165,4945,-0.010828,2.2163),(165,4955,-0.099489,2.2147),(165,4965,-0.18815,2.2412),(165,4975,-0.20448,2.2676),(165,4985,-0.16498,2.294),(165,4995,-0.12548,2.3051),(165,5005,-0.06983,2.3159),(165,5015,0.011495,2.3267),(165,5025,0.092821,2.3081),(165,5035,0.13506,2.2822),(165,5045,0.028392,2.2562),(165,5055,-0.078276,2.2472),(165,5065,-0.18541,2.2486),(165,5075,-0.30775,2.2501),(165,5085,-0.43009,2.2684),(165,5095,-0.55243,2.3081),(165,5105,-0.55122,2.3479),(165,5115,-0.52846,2.3887),(165,5125,-0.50569,2.4326),(165,5135,-0.31987,2.4765),(165,5145,-0.054922,2.5137),(165,5155,0.21003,2.4776),(165,5165,0.36923,2.4415),(165,5175,0.42057,2.4055),(165,5185,0.47191,2.3591),(165,5195,0.46862,2.3117),(165,5205,0.34756,2.2642),(165,5215,0.22649,2.2445),(165,5225,0.10439,2.2351),(165,5235,-0.024134,2.2258),(165,5245,-0.15266,2.2377),(165,5255,-0.28118,2.2669),(165,5265,-0.17711,2.2962),(165,5275,-0.063455,2.3129),(165,5285,0.050203,2.3082),(165,5295,0.13538,2.3034),(165,5305,0.21264,2.2916),(165,5315,0.28989,2.2503),(165,5325,0.25175,2.2089),(165,5335,0.13796,2.168),(165,5345,0.024164,2.1591),(165,5355,-0.11347,2.1503),(165,5365,-0.28328,2.1415),(165,5375,-0.45308,2.1702),(165,5385,-0.55812,2.2063),(165,5395,-0.46629,2.2424),(165,5405,-0.37446,2.2702),(165,5415,-0.26978,2.2936),(165,5425,0.007636,2.3171),(165,5435,0.28505,2.3039),(165,5445,0.56246,2.2512),(165,5455,0.62392,2.1984),(165,5465,0.65898,2.1453),(165,5475,0.69404,2.0916),(165,5485,0.67224,2.0379),(165,5495,0.62755,1.9863),(165,5505,0.58285,1.9497),(165,5515,0.54192,1.9131),(165,5525,0.50427,1.8765),(165,5535,0.46663,1.8492),(165,5545,0.43088,1.8224),(165,5555,0.39856,1.7957),(165,5565,0.36624,1.7735),(165,5575,0.33509,1.7527),(165,5585,0.30935,1.732),(165,5595,0.28362,1.713),(165,5605,0.25788,1.6951),(165,5615,0.2386,1.6773),(165,5625,0.21931,1.66),(165,5635,0.20003,1.6434),(165,5645,0.18505,1.6268),(165,5655,0.171,1.6103),(165,5665,0.15696,1.594),(165,5675,0.14526,1.5778),(165,5685,0.13486,1.5615),(165,5695,0.12446,1.5453),(165,5705,0.11506,1.529),(165,5715,0.10679,1.5127),(165,5725,0.098524,1.4962),(165,5735,0.090497,1.4797),(165,5745,0.083061,1.4632),(165,5755,0.075626,1.4465),(165,5765,0.068164,1.4298),(165,5775,0.060491,1.4131),(165,5785,0.052819,1.3963),(165,5795,0.045146,1.3795),(165,5805,0.036372,1.3627),(165,5815,0.027517,1.3459),(165,5825,0.018661,1.3295),(165,5835,0.008367,1.313),(165,5845,-0.002401,1.2967),(165,5855,-0.013169,1.2809),(165,5865,-0.025373,1.2651),(165,5875,-0.038641,1.2494),(165,5885,-0.05191,1.2351),(165,5895,-0.066429,1.2208),(165,5905,-0.082855,1.2065),(165,5915,-0.09928,1.1943),(165,5925,-0.11652,1.1827),(165,5935,-0.13668,1.1711),(165,5945,-0.15684,1.1619),(165,5955,-0.17722,1.1542),(165,5965,-0.2028,1.1465),(165,5975,-0.22838,1.142),(165,5985,-0.25396,1.1414),(165,5995,-0.20024,1.1408),(165,6005,-0.13376,1.1408),(165,6015,-0.067278,1.1426),(165,6025,0.025088,1.1443),(165,6035,0.12946,1.1433),(165,6045,0.23383,1.1155),(165,6055,0.28896,1.0878),(165,6065,0.29581,1.0601),(165,6075,0.30266,1.0311),(165,6085,0.30233,1.0019),(165,6095,0.28722,0.97276),(165,6105,0.27211,0.94657),(165,6115,0.25756,0.92144),(165,6125,0.2462,0.8963),(165,6135,0.23485,0.87267),(165,6145,0.2235,0.85022),(165,6155,0.21464,0.82777),(165,6165,0.20585,0.80579),(165,6175,0.19707,0.78457),(165,6185,0.18975,0.76335),(165,6195,0.18283,0.74234),(165,6205,0.1759,0.72218),(165,6215,0.16992,0.70202),(165,6225,0.16454,0.68188),(165,6235,0.15915,0.6627),(165,6245,0.15427,0.64353),(165,6255,0.15004,0.62435),(165,6265,0.1458,0.60556),(165,6275,0.14179,0.58683),(165,6285,0.13843,0.5681),(165,6295,0.13506,0.54966),(165,6305,0.13175,0.53136),(165,6315,0.12907,0.51306),(165,6325,0.12639,0.49498),(165,6335,0.12371,0.4771),(165,6345,0.12151,0.45923),(165,6355,0.11938,0.44141),(165,6365,0.11724,0.42371),(165,6375,0.11544,0.40602),(165,6385,0.11377,0.38834),(165,6395,0.11209,0.37082),(165,6405,0.11062,0.3533),(165,6415,0.10931,0.33577),(165,6425,0.10801,0.3184),(165,6435,0.10681,0.30103),(165,6445,0.1058,0.28365),(165,6455,0.10479,0.26638),(165,6465,0.10382,0.24914),(165,6475,0.10303,0.2319),(165,6485,0.10224,0.21473),(165,6495,0.10145,0.19762),(165,6505,0.10083,0.1805),(165,6515,0.1002,0.16342),(165,6525,0.099577,0.14637),(165,6535,0.099038,0.12933),(165,6545,0.098515,0.11232),(165,6555,0.097993,0.095427),(165,6565,0.097572,0.078537),(165,6575,0.097205,0.061659),(165,6585,0.096839,0.044954),(165,6595,0.0822,0.02825),(165,6605,0.051802,0.011546),(165,6615,0.021404,0.00958),(165,6625,3.6e-05,0.009507),(165,6635,3.6e-05,0.009435),(165,6645,3.6e-05,0.009411),(165,6655,3.6e-05,0.009407),(165,6665,3.7e-05,0.009403),(165,6675,3.8e-05,0.009399),(165,6685,3.9e-05,0.009394),(165,6695,3.9e-05,0.009388),(165,6705,3.9e-05,0.009383),(165,6715,4e-05,0.009377),(165,6725,4e-05,0.009371),(165,6735,4.1e-05,0.009366),(165,6745,4.1e-05,0.009361),(165,6755,4.2e-05,0.009355),(165,6765,4.3e-05,0.00935),(165,6775,4.3e-05,0.009344),(165,6785,4.4e-05,0.009339),(165,6795,4.4e-05,0.009333),(165,6805,4.4e-05,0.009327),(165,6815,4.5e-05,0.009321),(165,6825,4.5e-05,0.009316),(165,6835,4.6e-05,0.00931),(165,6845,4.6e-05,0.009304),(165,6855,4.7e-05,0.009298),(165,6865,4.7e-05,0.009292),(165,6875,4.7e-05,0.009286),(165,6885,4.8e-05,0.00928),(165,6895,4.8e-05,0.009274),(165,6905,4.8e-05,0.009267),(165,6915,4.9e-05,0.009261),(165,6925,4.9e-05,0.009255),(165,6935,4.9e-05,0.009249),(165,6945,5e-05,0.009242),(165,6955,5e-05,0.009236),(165,6965,5e-05,0.00923),(165,6975,5.1e-05,0.009223),(165,6985,5.1e-05,0.009217),(175,5,9e-06,3.6648),(175,15,2.8e-05,3.6648),(175,25,4.6e-05,3.6648),(175,35,6.4e-05,3.6648),(175,45,8.3e-05,3.6648),(175,55,0.000101,3.6648),(175,65,0.00012,3.6648),(175,75,0.000138,3.6648),(175,85,0.000157,3.6647),(175,95,0.000175,3.6647),(175,105,0.000193,3.6647),(175,115,0.000212,3.6647),(175,125,0.00023,3.6647),(175,135,0.000249,3.6646),(175,145,0.000267,3.6646),(175,155,0.000286,3.6646),(175,165,0.000305,3.6645),(175,175,0.000324,3.6645),(175,185,0.000342,3.6644),(175,195,0.000361,3.6644),(175,205,0.000379,3.6644),(175,215,0.000398,3.6643),(175,225,0.000416,3.6643),(175,235,0.000435,3.6642),(175,245,0.000454,3.6642),(175,255,0.000472,3.6641),(175,265,0.000491,3.6641),(175,275,0.00051,3.664),(175,285,0.000529,3.6639),(175,295,0.000548,3.6639),(175,305,0.000568,3.6638),(175,315,0.000587,3.6637),(175,325,0.000606,3.6637),(175,335,0.000625,3.6636),(175,345,0.000645,3.6635),(175,355,0.000664,3.6635),(175,365,0.000684,3.6634),(175,375,0.000703,3.6633),(175,385,0.000723,3.6632),(175,395,0.000742,3.6631),(175,405,0.000762,3.663),(175,415,0.000781,3.6629),(175,425,0.000801,3.6629),(175,435,0.000821,3.6628),(175,445,0.000841,3.6627),(175,455,0.000861,3.6626),(175,465,0.000882,3.6625),(175,475,0.000902,3.6624),(175,485,0.000922,3.6622),(175,495,0.000943,3.6621),(175,505,0.000964,3.662),(175,515,0.000984,3.6619),(175,525,0.001005,3.6618),(175,535,0.001026,3.6617),(175,545,0.001047,3.6616),(175,555,0.001068,3.6614),(175,565,0.001089,3.6613),(175,575,0.00111,3.6612),(175,585,0.001131,3.661),(175,595,0.001153,3.6609),(175,605,0.001174,3.6608),(175,615,0.001195,3.6606),(175,625,0.001217,3.6605),(175,635,0.001239,3.6604),(175,645,0.00126,3.6602),(175,655,0.001282,3.6601),(175,665,0.001304,3.6599),(175,675,0.001326,3.6598),(175,685,0.001349,3.6596),(175,695,0.001371,3.6594),(175,705,0.001394,3.6593),(175,715,0.001417,3.6591),(175,725,0.001439,3.6589),(175,735,0.001462,3.6588),(175,745,0.001485,3.6586),(175,755,0.001508,3.6584),(175,765,0.001531,3.6582),(175,775,0.001555,3.6581),(175,785,0.001578,3.6579),(175,795,0.001602,3.6577),(175,805,0.001625,3.6575),(175,815,0.001649,3.6573),(175,825,0.001673,3.6571),(175,835,0.001698,3.6569),(175,845,0.001722,3.6567),(175,855,0.001746,3.6565),(175,865,0.001771,3.6563),(175,875,0.001796,3.6561),(175,885,0.00182,3.6559),(175,895,0.001845,3.6557),(175,905,0.001871,3.6555),(175,915,0.001896,3.6552),(175,925,0.001921,3.655),(175,935,0.001947,3.6548),(175,945,0.001972,3.6546),(175,955,0.001998,3.6543),(175,965,0.002024,3.6541),(175,975,0.00205,3.6539),(175,985,0.002076,3.6536),(175,995,0.002103,3.6534),(175,1005,0.002129,3.6531),(175,1015,0.002156,3.6529),(175,1025,0.002183,3.6526),(175,1035,0.00221,3.6524),(175,1045,0.002237,3.6521),(175,1055,0.002265,3.6518),(175,1065,0.002293,3.6516),(175,1075,0.00232,3.6513),(175,1085,0.002348,3.651),(175,1095,0.002376,3.6508),(175,1105,0.002404,3.6505),(175,1115,0.002433,3.6502),(175,1125,0.002461,3.6499),(175,1135,0.00249,3.6496),(175,1145,0.002519,3.6493),(175,1155,0.002548,3.649),(175,1165,0.002577,3.6487),(175,1175,0.002606,3.6484),(175,1185,0.002636,3.6481),(175,1195,0.002666,3.6478),(175,1205,0.002696,3.6475),(175,1215,0.002726,3.6472),(175,1225,0.002757,3.6469),(175,1235,0.002787,3.6465),(175,1245,0.002818,3.6462),(175,1255,0.002848,3.6459),(175,1265,0.00288,3.6455),(175,1275,0.00291,3.6452),(175,1285,0.002942,3.6449),(175,1295,0.002973,3.6445),(175,1305,0.003005,3.6442),(175,1315,0.003037,3.6438),(175,1325,0.003068,3.6435),(175,1335,0.003101,3.6431),(175,1345,0.003134,3.6427),(175,1355,0.003166,3.6424),(175,1365,0.003199,3.642),(175,1375,0.003232,3.6416),(175,1385,0.003265,3.6412),(175,1395,0.003299,3.6408),(175,1405,0.003332,3.6405),(175,1415,0.003366,3.6401),(175,1425,0.0034,3.6397),(175,1435,0.003434,3.6393),(175,1445,0.003468,3.6389),(175,1455,0.003503,3.6385),(175,1465,0.003538,3.6381),(175,1475,0.003572,3.6376),(175,1485,0.003607,3.6372),(175,1495,0.003642,3.6368),(175,1505,0.003678,3.6364),(175,1515,0.003713,3.6359),(175,1525,0.003749,3.6355),(175,1535,0.003785,3.6351),(175,1545,0.003821,3.6346),(175,1555,0.003857,3.6342),(175,1565,0.003894,3.6337),(175,1575,0.003931,3.6333),(175,1585,0.003968,3.6328),(175,1595,0.004005,3.6323),(175,1605,0.004042,3.6318),(175,1615,0.00408,3.6314),(175,1625,0.004118,3.6309),(175,1635,0.004156,3.6304),(175,1645,0.004194,3.6299),(175,1655,0.004232,3.6294),(175,1665,0.004271,3.6289),(175,1675,0.004309,3.6284),(175,1685,0.004348,3.6279),(175,1695,0.004387,3.6274),(175,1705,0.004426,3.6269),(175,1715,0.004465,3.6264),(175,1725,0.004505,3.6259),(175,1735,0.004545,3.6253),(175,1745,0.004585,3.6248),(175,1755,0.004625,3.6243),(175,1765,0.004665,3.6237),(175,1775,0.004705,3.6232),(175,1785,0.004746,3.6226),(175,1795,0.004787,3.6221),(175,1805,0.004828,3.6215),(175,1815,0.004869,3.6209),(175,1825,0.004911,3.6204),(175,1835,0.004953,3.6198),(175,1845,0.004994,3.6192),(175,1855,0.005037,3.6186),(175,1865,0.005079,3.618),(175,1875,0.005121,3.6174),(175,1885,0.005164,3.6168),(175,1895,0.005207,3.6162),(175,1905,0.00525,3.6156),(175,1915,0.005293,3.615),(175,1925,0.005337,3.6144),(175,1935,0.005381,3.6137),(175,1945,0.005424,3.6131),(175,1955,0.005468,3.6125),(175,1965,0.005513,3.6118),(175,1975,0.005557,3.6112),(175,1985,0.005602,3.6105),(175,1995,0.005647,3.6099),(175,2005,0.005692,3.6092),(175,2015,0.005738,3.6085),(175,2025,0.005783,3.6079),(175,2035,0.005828,3.6072),(175,2045,0.005874,3.6065),(175,2055,0.005921,3.6058),(175,2065,0.005967,3.6051),(175,2075,0.006013,3.6044),(175,2085,0.00606,3.6037),(175,2095,0.006107,3.603),(175,2105,0.006154,3.6023),(175,2115,0.006201,3.6016),(175,2125,0.006249,3.6008),(175,2135,0.006297,3.6001),(175,2145,0.006344,3.5994),(175,2155,0.006392,3.5986),(175,2165,0.006441,3.5979),(175,2175,0.006489,3.5971),(175,2185,0.006538,3.5964),(175,2195,0.006587,3.5956),(175,2205,0.006637,3.5948),(175,2215,0.006686,3.5941),(175,2225,0.006736,3.5933),(175,2235,0.006786,3.5925),(175,2245,0.006837,3.5917),(175,2255,0.006888,3.5909),(175,2265,0.006939,3.5901),(175,2275,0.00699,3.5893),(175,2285,0.007042,3.5885),(175,2295,0.007095,3.5876),(175,2305,0.007147,3.5868),(175,2315,0.007199,3.586),(175,2325,0.007252,3.5851),(175,2335,0.007306,3.5843),(175,2345,0.007359,3.5834),(175,2355,0.007413,3.5826),(175,2365,0.007468,3.5817),(175,2375,0.007522,3.5808),(175,2385,0.007577,3.58),(175,2395,0.007632,3.5791),(175,2405,0.007688,3.5782),(175,2415,0.007745,3.5773),(175,2425,0.007801,3.5764),(175,2435,0.007858,3.5755),(175,2445,0.007916,3.5746),(175,2455,0.007975,3.5737),(175,2465,0.008033,3.5727),(175,2475,0.008091,3.5718),(175,2485,0.008152,3.5709),(175,2495,0.008212,3.5699),(175,2505,0.008273,3.569),(175,2515,0.008334,3.568),(175,2525,0.008397,3.567),(175,2535,0.00846,3.5661),(175,2545,0.008523,3.5651),(175,2555,0.008586,3.5641),(175,2565,0.008652,3.5631),(175,2575,0.008718,3.5621),(175,2585,0.008784,3.5611),(175,2595,0.00885,3.5601),(175,2605,0.008919,3.5591),(175,2615,0.008988,3.5581),(175,2625,0.009057,3.557),(175,2635,0.009127,3.556),(175,2645,0.0092,3.555),(175,2655,0.009273,3.5539),(175,2665,0.009347,3.5528),(175,2675,0.00942,3.5518),(175,2685,0.009498,3.5507),(175,2695,0.009575,3.5496),(175,2705,0.009653,3.5485),(175,2715,0.009731,3.5474),(175,2725,0.009814,3.5463),(175,2735,0.009897,3.5452),(175,2745,0.00998,3.5441),(175,2755,0.010064,3.543),(175,2765,0.010154,3.5418),(175,2775,0.010243,3.5407),(175,2785,0.010332,3.5395),(175,2795,0.010423,3.5384),(175,2805,0.01052,3.5372),(175,2815,0.010617,3.536),(175,2825,0.010714,3.5348),(175,2835,0.010813,3.5336),(175,2845,0.010919,3.5324),(175,2855,0.011024,3.5312),(175,2865,0.01113,3.53),(175,2875,0.011239,3.5288),(175,2885,0.011355,3.5275),(175,2895,0.011471,3.5263),(175,2905,0.011587,3.525),(175,2915,0.011709,3.5237),(175,2925,0.011837,3.5225),(175,2935,0.011966,3.5212),(175,2945,0.012094,3.5199),(175,2955,0.01223,3.5186),(175,2965,0.012373,3.5172),(175,2975,0.012517,3.5159),(175,2985,0.01266,3.5146),(175,2995,0.012813,3.5132),(175,3005,0.012974,3.5118),(175,3015,0.013135,3.5105),(175,3025,0.013297,3.5091),(175,3035,0.013469,3.5076),(175,3045,0.013652,3.5062),(175,3055,0.013835,3.5048),(175,3065,0.014018,3.5033),(175,3075,0.014215,3.5019),(175,3085,0.014424,3.5004),(175,3095,0.014632,3.4989),(175,3105,0.014841,3.4974),(175,3115,0.015069,3.4959),(175,3125,0.015308,3.4944),(175,3135,0.015548,3.4928),(175,3145,0.015788,3.4912),(175,3155,0.016051,3.4896),(175,3165,0.016329,3.488),(175,3175,0.016606,3.4864),(175,3185,0.016883,3.4847),(175,3195,0.017191,3.4831),(175,3205,0.017513,3.4814),(175,3215,0.017836,3.4797),(175,3225,0.018158,3.478),(175,3235,0.018521,3.4762),(175,3245,0.018899,3.4745),(175,3255,0.019277,3.4727),(175,3265,0.019655,3.4708),(175,3275,0.020085,3.469),(175,3285,0.02053,3.4671),(175,3295,0.020975,3.4652),(175,3305,0.021421,3.4633),(175,3315,0.021933,3.4613),(175,3325,0.022461,3.4594),(175,3335,0.02299,3.4573),(175,3345,0.023518,3.4553),(175,3355,0.024133,3.4532),(175,3365,0.024763,3.4511),(175,3375,0.025394,3.4489),(175,3385,0.026024,3.4467),(175,3395,0.026767,3.4445),(175,3405,0.027524,3.4423),(175,3415,0.028281,3.4399),(175,3425,0.029038,3.4375),(175,3435,0.02994,3.4351),(175,3445,0.030855,3.4328),(175,3455,0.031769,3.4302),(175,3465,0.032683,3.4276),(175,3475,0.033788,3.4251),(175,3485,0.034899,3.4225),(175,3495,0.036011,3.4197),(175,3505,0.037124,3.4169),(175,3515,0.038483,3.4141),(175,3525,0.039843,3.4113),(175,3535,0.041203,3.4082),(175,3545,0.042577,3.4051),(175,3555,0.044252,3.4021),(175,3565,0.045926,3.399),(175,3575,0.047601,3.3956),(175,3585,0.049309,3.3922),(175,3595,0.051385,3.3888),(175,3605,0.053462,3.3854),(175,3615,0.055538,3.3816),(175,3625,0.057678,3.3778),(175,3635,0.060271,3.3741),(175,3645,0.062864,3.3702),(175,3655,0.065457,3.366),(175,3665,0.068159,3.3618),(175,3675,0.071421,3.3576),(175,3685,0.074683,3.3532),(175,3695,0.077945,3.3484),(175,3705,0.081385,3.3436),(175,3715,0.085522,3.3388),(175,3725,0.089659,3.3339),(175,3735,0.093797,3.3284),(175,3745,0.098214,3.3228),(175,3755,0.10351,3.3173),(175,3765,0.1088,3.3115),(175,3775,0.11409,3.3051),(175,3785,0.11981,3.2986),(175,3795,0.12664,3.2921),(175,3805,0.13348,3.2853),(175,3815,0.14031,3.2775),(175,3825,0.1478,3.2697),(175,3835,0.15671,3.2619),(175,3845,0.16562,3.2535),(175,3855,0.17452,3.2438),(175,3865,0.18446,3.2341),(175,3875,0.19621,3.2245),(175,3885,0.20796,3.2138),(175,3895,0.21972,3.2015),(175,3905,0.25049,3.1891),(175,3915,0.30967,3.1768),(175,3925,0.36884,3.1556),(175,3935,0.42802,3.1222),(175,3945,0.46363,3.0887),(175,3955,0.46933,3.0553),(175,3965,0.47502,3.0214),(175,3975,0.48072,2.9869),(175,3985,0.46895,2.9524),(175,3995,0.43829,2.9178),(175,4005,0.40763,2.8891),(175,4015,0.37697,2.866),(175,4025,0.34513,2.8429),(175,4035,0.31318,2.8222),(175,4045,0.28123,2.8064),(175,4055,0.24781,2.7906),(175,4065,0.21385,2.7757),(175,4075,0.17989,2.7666),(175,4085,0.14551,2.7575),(175,4095,0.1108,2.7484),(175,4105,0.076087,2.7459),(175,4115,0.04228,2.7435),(175,4125,0.00997,2.7412),(175,4135,-0.02234,2.744),(175,4145,-0.037186,2.7482),(175,4155,0.018707,2.7524),(175,4165,0.074601,2.7476),(175,4175,0.12936,2.737),(175,4185,0.12786,2.7264),(175,4195,0.12636,2.7155),(175,4205,0.12487,2.7041),(175,4215,0.096031,2.6928),(175,4225,0.062048,2.6845),(175,4235,0.028066,2.6854),(175,4245,0.004556,2.6862),(175,4255,-0.013639,2.6875),(175,4265,-0.031834,2.6944),(175,4275,-0.034299,2.7013),(175,4285,-0.020071,2.7082),(175,4295,-0.005842,2.7108),(175,4305,0.044165,2.7129),(175,4315,0.17496,2.715),(175,4325,0.30576,2.6899),(175,4335,0.41261,2.6542),(175,4345,0.35736,2.6185),(175,4355,0.30212,2.5917),(175,4365,0.24687,2.5727),(175,4375,0.18404,2.5537),(175,4385,0.12082,2.5423),(175,4395,0.0576,2.5445),(175,4405,0.014435,2.5467),(175,4415,-0.022815,2.5506),(175,4425,-0.060064,2.5621),(175,4435,-0.015845,2.5736),(175,4445,0.084047,2.585),(175,4455,0.18394,2.5645),(175,4465,0.24466,2.544),(175,4475,0.25035,2.5234),(175,4485,0.25604,2.5001),(175,4495,0.2418,2.4762),(175,4505,0.16361,2.4522),(175,4515,0.085417,2.4438),(175,4525,0.007021,2.4437),(175,4535,-0.074635,2.4436),(175,4545,-0.15629,2.454),(175,4555,-0.23795,2.4761),(175,4565,-0.15705,2.4983),(175,4575,-0.054246,2.512),(175,4585,0.048562,2.5052),(175,4595,0.11111,2.4984),(175,4605,0.15664,2.4899),(175,4615,0.20217,2.4676),(175,4625,0.20096,2.4454),(175,4635,0.15743,2.4232),(175,4645,0.11389,2.4134),(175,4655,0.055182,2.4046),(175,4665,-0.032143,2.3957),(175,4675,-0.11947,2.4113),(175,4685,-0.19133,2.4348),(175,4695,-0.1868,2.4583),(175,4705,-0.18227,2.4793),(175,4715,-0.17774,2.4985),(175,4725,-0.003999,2.5177),(175,4735,0.17143,2.515),(175,4745,0.34686,2.4797),(175,4755,0.33247,2.4443),(175,4765,0.2741,2.4122),(175,4775,0.21572,2.3917),(175,4785,0.11427,2.3711),(175,4795,-0.012091,2.3522),(175,4805,-0.13845,2.3701),(175,4815,-0.23555,2.3879),(175,4825,-0.29768,2.4057),(175,4835,-0.35981,2.4402),(175,4845,-0.34724,2.4773),(175,4855,-0.13994,2.5143),(175,4865,0.067357,2.5092),(175,4875,0.26051,2.4849),(175,4885,0.32498,2.4607),(175,4895,0.38945,2.424),(175,4905,0.45392,2.3753),(175,4915,0.34312,2.3267),(175,4925,0.21724,2.2915),(175,4935,0.091364,2.2837),(175,4945,-0.01398,2.2759),(175,4955,-0.11221,2.2729),(175,4965,-0.21043,2.2967),(175,4975,-0.22809,2.3205),(175,4985,-0.18356,2.3442),(175,4995,-0.13903,2.3523),(175,5005,-0.07623,2.36),(175,5015,0.015605,2.3677),(175,5025,0.10744,2.3524),(175,5035,0.15623,2.3313),(175,5045,0.041054,2.3101),(175,5055,-0.074125,2.303),(175,5065,-0.18986,2.3044),(175,5075,-0.32374,2.3059),(175,5085,-0.45762,2.3227),(175,5095,-0.5915,2.3589),(175,5105,-0.59272,2.395),(175,5115,-0.57079,2.4313),(175,5125,-0.54887,2.4677),(175,5135,-0.34711,2.5041),(175,5145,-0.05808,2.5349),(175,5155,0.23095,2.5055),(175,5165,0.40352,2.476),(175,5175,0.45731,2.4466),(175,5185,0.51109,2.4035),(175,5195,0.50578,2.359),(175,5205,0.37302,2.3145),(175,5215,0.24027,2.2947),(175,5225,0.1065,2.2841),(175,5235,-0.033599,2.2736),(175,5245,-0.1737,2.2817),(175,5255,-0.3138,2.305),(175,5265,-0.19882,2.3284),(175,5275,-0.073316,2.3427),(175,5285,0.052186,2.3418),(175,5295,0.14818,2.3409),(175,5305,0.23597,2.3332),(175,5315,0.32375,2.2967),(175,5325,0.28355,2.2602),(175,5335,0.15944,2.2241),(175,5345,0.035318,2.2129),(175,5355,-0.11413,2.2018),(175,5365,-0.29774,2.1906),(175,5375,-0.48135,2.2133),(175,5385,-0.59563,2.2425),(175,5395,-0.4991,2.2718),(175,5405,-0.40256,2.2929),(175,5415,-0.29195,2.3097),(175,5425,0.007893,2.3265),(175,5435,0.30773,2.3135),(175,5445,0.60757,2.2681),(175,5455,0.67105,2.2227),(175,5465,0.70564,2.1756),(175,5475,0.74023,2.1247),(175,5485,0.71464,2.0739),(175,5495,0.66483,2.0249),(175,5505,0.61501,1.9895),(175,5515,0.57002,1.9541),(175,5525,0.52922,1.9187),(175,5535,0.48843,1.8924),(175,5545,0.44997,1.8666),(175,5555,0.41572,1.8409),(175,5565,0.38148,1.8196),(175,5575,0.34856,1.7996),(175,5585,0.32178,1.7796),(175,5595,0.295,1.761),(175,5605,0.26822,1.7435),(175,5615,0.24842,1.726),(175,5625,0.22862,1.7088),(175,5635,0.20882,1.6921),(175,5645,0.19352,1.6755),(175,5655,0.17919,1.6588),(175,5665,0.16486,1.6423),(175,5675,0.15293,1.6257),(175,5685,0.14234,1.6091),(175,5695,0.13174,1.5923),(175,5705,0.12214,1.5755),(175,5715,0.11369,1.5587),(175,5725,0.10524,1.5416),(175,5735,0.097026,1.5245),(175,5745,0.089392,1.5073),(175,5755,0.081758,1.49),(175,5765,0.074094,1.4725),(175,5775,0.066183,1.4551),(175,5785,0.058273,1.4374),(175,5795,0.050362,1.4197),(175,5805,0.041265,1.4019),(175,5815,0.03208,1.3843),(175,5825,0.022895,1.3667),(175,5835,0.012141,1.3492),(175,5845,0.00087,1.3318),(175,5855,-0.0104,1.3149),(175,5865,-0.023234,1.2979),(175,5875,-0.037226,1.281),(175,5885,-0.051218,1.2653),(175,5895,-0.066585,1.2497),(175,5905,-0.084048,1.2341),(175,5915,-0.10151,1.2205),(175,5925,-0.11989,1.2075),(175,5935,-0.14155,1.1944),(175,5945,-0.16321,1.1836),(175,5955,-0.18512,1.174),(175,5965,-0.21301,1.1645),(175,5975,-0.2409,1.1574),(175,5985,-0.26878,1.153),(175,5995,-0.21225,1.1487),(175,6005,-0.14214,1.1456),(175,6015,-0.072018,1.1457),(175,6025,0.026576,1.1459),(175,6035,0.13838,1.1437),(175,6045,0.25018,1.1195),(175,6055,0.30881,1.0953),(175,6065,0.3153,1.0711),(175,6075,0.32178,1.0434),(175,6085,0.32078,1.0155),(175,6095,0.30433,0.98753),(175,6105,0.28788,0.96192),(175,6115,0.27208,0.93716),(175,6125,0.25998,0.9124),(175,6135,0.24789,0.88896),(175,6145,0.23579,0.86658),(175,6155,0.22642,0.8442),(175,6165,0.21713,0.82222),(175,6175,0.20784,0.80091),(175,6185,0.20016,0.7796),(175,6195,0.19291,0.75849),(175,6205,0.18566,0.73816),(175,6215,0.17939,0.71782),(175,6225,0.17376,0.69751),(175,6235,0.16812,0.67809),(175,6245,0.16302,0.65868),(175,6255,0.1586,0.63926),(175,6265,0.15419,0.62017),(175,6275,0.15001,0.60115),(175,6285,0.14653,0.58213),(175,6295,0.14305,0.56335),(175,6305,0.13963,0.5447),(175,6315,0.13686,0.52605),(175,6325,0.1341,0.50759),(175,6335,0.13133,0.48932),(175,6345,0.12906,0.47106),(175,6355,0.12683,0.45285),(175,6365,0.12461,0.43475),(175,6375,0.12274,0.41666),(175,6385,0.12099,0.39858),(175,6395,0.11925,0.38064),(175,6405,0.11772,0.36269),(175,6415,0.11636,0.34475),(175,6425,0.11499,0.32694),(175,6435,0.11375,0.30914),(175,6445,0.1127,0.29133),(175,6455,0.11166,0.27361),(175,6465,0.11066,0.25591),(175,6475,0.10985,0.23821),(175,6485,0.10904,0.22058),(175,6495,0.10823,0.20299),(175,6505,0.10759,0.1854),(175,6515,0.10695,0.16782),(175,6525,0.10631,0.15027),(175,6535,0.10574,0.13272),(175,6545,0.10518,0.11521),(175,6555,0.10462,0.097838),(175,6565,0.10415,0.080462),(175,6575,0.10373,0.063097),(175,6585,0.1033,0.045897),(175,6595,0.08767,0.028697),(175,6605,0.055249,0.011497),(175,6615,0.022827,0.009504),(175,6625,3.6e-05,0.009465),(175,6635,3.7e-05,0.009426),(175,6645,3.8e-05,0.009412),(175,6655,3.8e-05,0.009408),(175,6665,3.9e-05,0.009404),(175,6675,4e-05,0.0094),(175,6685,4.1e-05,0.009394),(175,6695,4.1e-05,0.009389),(175,6705,4.2e-05,0.009383),(175,6715,4.2e-05,0.009378),(175,6725,4.3e-05,0.009372),(175,6735,4.3e-05,0.009367),(175,6745,4.4e-05,0.009361),(175,6755,4.4e-05,0.009356),(175,6765,4.5e-05,0.00935),(175,6775,4.6e-05,0.009345),(175,6785,4.6e-05,0.009339),(175,6795,4.7e-05,0.009333),(175,6805,4.7e-05,0.009328),(175,6815,4.8e-05,0.009322),(175,6825,4.8e-05,0.009316),(175,6835,4.8e-05,0.00931),(175,6845,4.9e-05,0.009304),(175,6855,4.9e-05,0.009298),(175,6865,5e-05,0.009292),(175,6875,5e-05,0.009286),(175,6885,5.1e-05,0.00928),(175,6895,5.1e-05,0.009274),(175,6905,5.1e-05,0.009268),(175,6915,5.2e-05,0.009262),(175,6925,5.2e-05,0.009255),(175,6935,5.2e-05,0.009249),(175,6945,5.3e-05,0.009243),(175,6955,5.3e-05,0.009236),(175,6965,5.3e-05,0.00923),(175,6975,5.4e-05,0.009224),(175,6985,5.4e-05,0.009217),(185,5,1e-05,3.6648),(185,15,2.9e-05,3.6648),(185,25,4.9e-05,3.6648),(185,35,6.8e-05,3.6648),(185,45,8.7e-05,3.6648),(185,55,0.000107,3.6648),(185,65,0.000126,3.6648),(185,75,0.000146,3.6648),(185,85,0.000165,3.6648),(185,95,0.000185,3.6647),(185,105,0.000204,3.6647),(185,115,0.000224,3.6647),(185,125,0.000243,3.6647),(185,135,0.000263,3.6646),(185,145,0.000282,3.6646),(185,155,0.000302,3.6646),(185,165,0.000322,3.6645),(185,175,0.000342,3.6645),(185,185,0.000362,3.6645),(185,195,0.000381,3.6644),(185,205,0.000401,3.6644),(185,215,0.00042,3.6643),(185,225,0.00044,3.6643),(185,235,0.00046,3.6642),(185,245,0.00048,3.6642),(185,255,0.000499,3.6641),(185,265,0.000519,3.6641),(185,275,0.000539,3.664),(185,285,0.000559,3.664),(185,295,0.00058,3.6639),(185,305,0.0006,3.6638),(185,315,0.00062,3.6638),(185,325,0.00064,3.6637),(185,335,0.000661,3.6636),(185,345,0.000681,3.6635),(185,355,0.000702,3.6635),(185,365,0.000722,3.6634),(185,375,0.000743,3.6633),(185,385,0.000764,3.6632),(185,395,0.000784,3.6631),(185,405,0.000805,3.6631),(185,415,0.000826,3.663),(185,425,0.000847,3.6629),(185,435,0.000868,3.6628),(185,445,0.000889,3.6627),(185,455,0.00091,3.6626),(185,465,0.000932,3.6625),(185,475,0.000953,3.6624),(185,485,0.000975,3.6623),(185,495,0.000996,3.6622),(185,505,0.001018,3.662),(185,515,0.00104,3.6619),(185,525,0.001062,3.6618),(185,535,0.001084,3.6617),(185,545,0.001106,3.6616),(185,555,0.001129,3.6615),(185,565,0.001151,3.6613),(185,575,0.001173,3.6612),(185,585,0.001196,3.6611),(185,595,0.001218,3.6609),(185,605,0.001241,3.6608),(185,615,0.001263,3.6607),(185,625,0.001286,3.6605),(185,635,0.001309,3.6604),(185,645,0.001332,3.6602),(185,655,0.001355,3.6601),(185,665,0.001378,3.6599),(185,675,0.001402,3.6598),(185,685,0.001425,3.6596),(185,695,0.001449,3.6595),(185,705,0.001473,3.6593),(185,715,0.001497,3.6591),(185,725,0.001521,3.659),(185,735,0.001545,3.6588),(185,745,0.00157,3.6586),(185,755,0.001594,3.6585),(185,765,0.001618,3.6583),(185,775,0.001643,3.6581),(185,785,0.001668,3.6579),(185,795,0.001693,3.6577),(185,805,0.001718,3.6575),(185,815,0.001743,3.6573),(185,825,0.001769,3.6571),(185,835,0.001794,3.657),(185,845,0.00182,3.6567),(185,855,0.001845,3.6565),(185,865,0.001871,3.6563),(185,875,0.001898,3.6561),(185,885,0.001924,3.6559),(185,895,0.00195,3.6557),(185,905,0.001977,3.6555),(185,915,0.002004,3.6553),(185,925,0.00203,3.655),(185,935,0.002057,3.6548),(185,945,0.002084,3.6546),(185,955,0.002112,3.6544),(185,965,0.002139,3.6541),(185,975,0.002167,3.6539),(185,985,0.002195,3.6536),(185,995,0.002223,3.6534),(185,1005,0.00225,3.6532),(185,1015,0.002279,3.6529),(185,1025,0.002308,3.6527),(185,1035,0.002336,3.6524),(185,1045,0.002365,3.6521),(185,1055,0.002394,3.6519),(185,1065,0.002423,3.6516),(185,1075,0.002452,3.6513),(185,1085,0.002482,3.6511),(185,1095,0.002511,3.6508),(185,1105,0.002541,3.6505),(185,1115,0.002571,3.6502),(185,1125,0.002601,3.6499),(185,1135,0.002631,3.6496),(185,1145,0.002662,3.6494),(185,1155,0.002693,3.6491),(185,1165,0.002723,3.6488),(185,1175,0.002755,3.6485),(185,1185,0.002786,3.6482),(185,1195,0.002818,3.6478),(185,1205,0.002849,3.6475),(185,1215,0.002881,3.6472),(185,1225,0.002913,3.6469),(185,1235,0.002946,3.6466),(185,1245,0.002978,3.6462),(185,1255,0.003011,3.6459),(185,1265,0.003043,3.6456),(185,1275,0.003076,3.6452),(185,1285,0.003109,3.6449),(185,1295,0.003142,3.6445),(185,1305,0.003176,3.6442),(185,1315,0.00321,3.6438),(185,1325,0.003243,3.6435),(185,1335,0.003277,3.6431),(185,1345,0.003312,3.6428),(185,1355,0.003346,3.6424),(185,1365,0.003381,3.642),(185,1375,0.003416,3.6416),(185,1385,0.003451,3.6413),(185,1395,0.003486,3.6409),(185,1405,0.003522,3.6405),(185,1415,0.003558,3.6401),(185,1425,0.003594,3.6397),(185,1435,0.00363,3.6393),(185,1445,0.003666,3.6389),(185,1455,0.003702,3.6385),(185,1465,0.003739,3.6381),(185,1475,0.003776,3.6377),(185,1485,0.003812,3.6373),(185,1495,0.00385,3.6368),(185,1505,0.003887,3.6364),(185,1515,0.003925,3.636),(185,1525,0.003962,3.6355),(185,1535,0.004,3.6351),(185,1545,0.004039,3.6347),(185,1555,0.004077,3.6342),(185,1565,0.004116,3.6337),(185,1575,0.004155,3.6333),(185,1585,0.004194,3.6328),(185,1595,0.004233,3.6324),(185,1605,0.004273,3.6319),(185,1615,0.004313,3.6314),(185,1625,0.004353,3.6309),(185,1635,0.004393,3.6305),(185,1645,0.004433,3.63),(185,1655,0.004474,3.6295),(185,1665,0.004514,3.629),(185,1675,0.004555,3.6285),(185,1685,0.004596,3.628),(185,1695,0.004637,3.6275),(185,1705,0.004679,3.6269),(185,1715,0.00472,3.6264),(185,1725,0.004762,3.6259),(185,1735,0.004804,3.6254),(185,1745,0.004846,3.6248),(185,1755,0.004888,3.6243),(185,1765,0.004931,3.6238),(185,1775,0.004974,3.6232),(185,1785,0.005017,3.6227),(185,1795,0.00506,3.6221),(185,1805,0.005103,3.6215),(185,1815,0.005147,3.621),(185,1825,0.005191,3.6204),(185,1835,0.005235,3.6198),(185,1845,0.005279,3.6192),(185,1855,0.005324,3.6187),(185,1865,0.005368,3.6181),(185,1875,0.005413,3.6175),(185,1885,0.005458,3.6169),(185,1895,0.005504,3.6163),(185,1905,0.005549,3.6157),(185,1915,0.005595,3.615),(185,1925,0.005641,3.6144),(185,1935,0.005687,3.6138),(185,1945,0.005734,3.6132),(185,1955,0.00578,3.6125),(185,1965,0.005827,3.6119),(185,1975,0.005874,3.6112),(185,1985,0.005921,3.6106),(185,1995,0.005969,3.6099),(185,2005,0.006016,3.6093),(185,2015,0.006064,3.6086),(185,2025,0.006112,3.6079),(185,2035,0.006161,3.6072),(185,2045,0.006209,3.6066),(185,2055,0.006258,3.6059),(185,2065,0.006307,3.6052),(185,2075,0.006356,3.6045),(185,2085,0.006405,3.6038),(185,2095,0.006455,3.6031),(185,2105,0.006505,3.6023),(185,2115,0.006555,3.6016),(185,2125,0.006605,3.6009),(185,2135,0.006655,3.6002),(185,2145,0.006706,3.5994),(185,2155,0.006757,3.5987),(185,2165,0.006808,3.5979),(185,2175,0.006859,3.5972),(185,2185,0.006911,3.5964),(185,2195,0.006962,3.5956),(185,2205,0.007015,3.5949),(185,2215,0.007067,3.5941),(185,2225,0.00712,3.5933),(185,2235,0.007173,3.5925),(185,2245,0.007227,3.5917),(185,2255,0.00728,3.5909),(185,2265,0.007334,3.5901),(185,2275,0.007388,3.5893),(185,2285,0.007443,3.5885),(185,2295,0.007499,3.5877),(185,2305,0.007554,3.5869),(185,2315,0.007609,3.586),(185,2325,0.007665,3.5852),(185,2335,0.007722,3.5843),(185,2345,0.007778,3.5835),(185,2355,0.007835,3.5826),(185,2365,0.007892,3.5818),(185,2375,0.00795,3.5809),(185,2385,0.008008,3.58),(185,2395,0.008066,3.5791),(185,2405,0.008126,3.5783),(185,2415,0.008185,3.5774),(185,2425,0.008245,3.5765),(185,2435,0.008305,3.5755),(185,2445,0.008366,3.5746),(185,2455,0.008428,3.5737),(185,2465,0.00849,3.5728),(185,2475,0.008551,3.5719),(185,2485,0.008615,3.5709),(185,2495,0.008679,3.57),(185,2505,0.008743,3.569),(185,2515,0.008807,3.5681),(185,2525,0.008873,3.5671),(185,2535,0.00894,3.5661),(185,2545,0.009006,3.5652),(185,2555,0.009073,3.5642),(185,2565,0.009142,3.5632),(185,2575,0.009212,3.5622),(185,2585,0.009281,3.5612),(185,2595,0.009351,3.5602),(185,2605,0.009424,3.5592),(185,2615,0.009497,3.5582),(185,2625,0.00957,3.5571),(185,2635,0.009644,3.5561),(185,2645,0.009721,3.555),(185,2655,0.009798,3.554),(185,2665,0.009875,3.5529),(185,2675,0.009953,3.5518),(185,2685,0.010035,3.5508),(185,2695,0.010116,3.5497),(185,2705,0.010198,3.5486),(185,2715,0.010281,3.5475),(185,2725,0.010368,3.5464),(185,2735,0.010455,3.5453),(185,2745,0.010542,3.5442),(185,2755,0.010631,3.5431),(185,2765,0.010725,3.5419),(185,2775,0.010819,3.5408),(185,2785,0.010913,3.5396),(185,2795,0.011009,3.5385),(185,2805,0.011111,3.5373),(185,2815,0.011213,3.5361),(185,2825,0.011315,3.5349),(185,2835,0.01142,3.5337),(185,2845,0.011531,3.5326),(185,2855,0.011642,3.5313),(185,2865,0.011753,3.5301),(185,2875,0.011868,3.5289),(185,2885,0.01199,3.5277),(185,2895,0.012112,3.5264),(185,2905,0.012234,3.5251),(185,2915,0.012362,3.5239),(185,2925,0.012497,3.5226),(185,2935,0.012632,3.5213),(185,2945,0.012767,3.52),(185,2955,0.012909,3.5187),(185,2965,0.01306,3.5174),(185,2975,0.013211,3.5161),(185,2985,0.013361,3.5147),(185,2995,0.013521,3.5134),(185,3005,0.013691,3.512),(185,3015,0.01386,3.5106),(185,3025,0.01403,3.5092),(185,3035,0.014211,3.5078),(185,3045,0.014403,3.5064),(185,3055,0.014594,3.505),(185,3065,0.014786,3.5035),(185,3075,0.014993,3.5021),(185,3085,0.015212,3.5006),(185,3095,0.015431,3.4991),(185,3105,0.01565,3.4976),(185,3115,0.015888,3.4961),(185,3125,0.016139,3.4946),(185,3135,0.01639,3.4931),(185,3145,0.016642,3.4915),(185,3155,0.016918,3.4899),(185,3165,0.017208,3.4883),(185,3175,0.017499,3.4867),(185,3185,0.017789,3.4851),(185,3195,0.018111,3.4834),(185,3205,0.018449,3.4818),(185,3215,0.018787,3.4801),(185,3225,0.019124,3.4783),(185,3235,0.019504,3.4766),(185,3245,0.019899,3.4749),(185,3255,0.020294,3.4731),(185,3265,0.020689,3.4712),(185,3275,0.021139,3.4694),(185,3285,0.021604,3.4676),(185,3295,0.02207,3.4657),(185,3305,0.022535,3.4638),(185,3315,0.02307,3.4618),(185,3325,0.023622,3.4599),(185,3335,0.024174,3.4579),(185,3345,0.024725,3.4559),(185,3355,0.025367,3.4538),(185,3365,0.026025,3.4518),(185,3375,0.026683,3.4496),(185,3385,0.027341,3.4474),(185,3395,0.028115,3.4452),(185,3405,0.028904,3.4431),(185,3415,0.029693,3.4407),(185,3425,0.030482,3.4384),(185,3435,0.031423,3.436),(185,3445,0.032375,3.4337),(185,3455,0.033328,3.4312),(185,3465,0.03428,3.4287),(185,3475,0.03543,3.4261),(185,3485,0.036586,3.4236),(185,3495,0.037743,3.4209),(185,3505,0.038901,3.4182),(185,3515,0.040315,3.4154),(185,3525,0.041728,3.4127),(185,3535,0.043142,3.4097),(185,3545,0.04457,3.4067),(185,3555,0.04631,3.4037),(185,3565,0.04805,3.4007),(185,3575,0.049789,3.3974),(185,3585,0.051564,3.3941),(185,3595,0.053719,3.3909),(185,3605,0.055874,3.3875),(185,3615,0.058029,3.3839),(185,3625,0.060251,3.3803),(185,3635,0.062941,3.3766),(185,3645,0.065631,3.3729),(185,3655,0.068321,3.3689),(185,3665,0.071124,3.3648),(185,3675,0.074509,3.3608),(185,3685,0.077894,3.3566),(185,3695,0.081278,3.3521),(185,3705,0.084848,3.3475),(185,3715,0.089144,3.3429),(185,3725,0.09344,3.3382),(185,3735,0.097736,3.333),(185,3745,0.10232,3.3278),(185,3755,0.10783,3.3226),(185,3765,0.11334,3.3171),(185,3775,0.11884,3.3111),(185,3785,0.12481,3.305),(185,3795,0.13194,3.2989),(185,3805,0.13908,3.2925),(185,3815,0.14621,3.2853),(185,3825,0.15406,3.2781),(185,3835,0.16341,3.2708),(185,3845,0.17276,3.263),(185,3855,0.18211,3.2541),(185,3865,0.19256,3.2452),(185,3875,0.20495,3.2363),(185,3885,0.21735,3.2265),(185,3895,0.22974,3.2153),(185,3905,0.26279,3.204),(185,3915,0.3267,3.1927),(185,3925,0.39061,3.1738),(185,3935,0.45451,3.1444),(185,3945,0.49268,3.115),(185,3955,0.49816,3.0855),(185,3965,0.50364,3.0546),(185,3975,0.50912,3.0218),(185,3985,0.49587,2.9891),(185,3995,0.46234,2.9564),(185,4005,0.42881,2.9293),(185,4015,0.39528,2.9078),(185,4025,0.36133,2.8863),(185,4035,0.32735,2.867),(185,4045,0.29336,2.8523),(185,4055,0.25804,2.8376),(185,4065,0.22222,2.8237),(185,4075,0.1864,2.8153),(185,4085,0.15011,2.8069),(185,4095,0.11343,2.7985),(185,4105,0.076761,2.7953),(185,4115,0.041022,2.7923),(185,4125,0.006831,2.7894),(185,4135,-0.02736,2.7893),(185,4145,-0.042684,2.79),(185,4155,0.018418,2.7907),(185,4165,0.079519,2.7864),(185,4175,0.13938,2.7787),(185,4185,0.13758,2.7711),(185,4195,0.13578,2.7621),(185,4205,0.13399,2.7515),(185,4215,0.10207,2.7409),(185,4225,0.064483,2.7331),(185,4235,0.026897,2.7334),(185,4245,0.001002,2.7338),(185,4255,-0.01896,2.7346),(185,4265,-0.038922,2.7398),(185,4275,-0.041493,2.745),(185,4285,-0.02561,2.7502),(185,4295,-0.009726,2.7515),(185,4305,0.044917,2.7522),(185,4315,0.18708,2.753),(185,4325,0.32924,2.7309),(185,4335,0.44531,2.6997),(185,4345,0.38472,2.6686),(185,4355,0.32414,2.6445),(185,4365,0.26356,2.6265),(185,4375,0.19441,2.6085),(185,4385,0.12481,2.5977),(185,4395,0.055214,2.5994),(185,4405,0.008497,2.6012),(185,4415,-0.031474,2.6042),(185,4425,-0.071444,2.6127),(185,4435,-0.022303,2.6213),(185,4445,0.087734,2.6296),(185,4455,0.19777,2.6131),(185,4465,0.2646,2.5965),(185,4475,0.27072,2.5799),(185,4485,0.27684,2.5581),(185,4495,0.2612,2.5351),(185,4505,0.17574,2.5122),(185,4515,0.090284,2.5035),(185,4525,0.00464,2.5025),(185,4535,-0.083954,2.5014),(185,4545,-0.17255,2.5091),(185,4555,-0.26114,2.5265),(185,4565,-0.17252,2.5439),(185,4575,-0.060001,2.5547),(185,4585,0.052515,2.5497),(185,4595,0.12105,2.5447),(185,4605,0.171,2.538),(185,4615,0.22095,2.5181),(185,4625,0.21962,2.4982),(185,4635,0.17185,2.4784),(185,4645,0.12407,2.4698),(185,4655,0.059193,2.462),(185,4665,-0.037939,2.4542),(185,4675,-0.13507,2.4699),(185,4685,-0.21488,2.4932),(185,4695,-0.20912,2.5165),(185,4705,-0.20335,2.5353),(185,4715,-0.19759,2.5507),(185,4725,-0.007102,2.5662),(185,4735,0.18523,2.5633),(185,4745,0.37757,2.533),(185,4755,0.36223,2.5027),(185,4765,0.29876,2.4748),(185,4775,0.23529,2.4552),(185,4785,0.12452,2.4357),(185,4795,-0.013611,2.4177),(185,4805,-0.15174,2.434),(185,4815,-0.25794,2.4504),(185,4825,-0.32597,2.4667),(185,4835,-0.394,2.4963),(185,4845,-0.38025,2.5279),(185,4855,-0.15334,2.5596),(185,4865,0.073573,2.5561),(185,4875,0.28503,2.5366),(185,4885,0.35584,2.5172),(185,4895,0.42665,2.4834),(185,4905,0.49746,2.4359),(185,4915,0.37577,2.3884),(185,4925,0.23751,2.3536),(185,4935,0.099261,2.3446),(185,4945,-0.016151,2.3355),(185,4955,-0.12365,2.3311),(185,4965,-0.23114,2.3522),(185,4975,-0.24994,2.3733),(185,4985,-0.20027,2.3944),(185,4995,-0.1506,2.3995),(185,5005,-0.08124,2.4041),(185,5015,0.019434,2.4088),(185,5025,0.12011,2.3967),(185,5035,0.17434,2.3804),(185,5045,0.051637,2.3641),(185,5055,-0.071066,2.3588),(185,5065,-0.19442,2.3603),(185,5075,-0.33911,2.3617),(185,5085,-0.4838,2.3769),(185,5095,-0.62849,2.4096),(185,5105,-0.63131,2.4422),(185,5115,-0.60938,2.4738),(185,5125,-0.58745,2.5027),(185,5135,-0.37144,2.5316),(185,5145,-0.06125,2.5562),(185,5155,0.24894,2.5333),(185,5165,0.43378,2.5105),(185,5175,0.49076,2.4876),(185,5185,0.54775,2.4479),(185,5195,0.54119,2.4063),(185,5205,0.39759,2.3648),(185,5215,0.254,2.3449),(185,5225,0.10942,2.3331),(185,5235,-0.041275,2.3214),(185,5245,-0.19197,2.3257),(185,5255,-0.34267,2.3431),(185,5265,-0.21865,2.3605),(185,5275,-0.083302,2.3725),(185,5285,0.052046,2.3755),(185,5295,0.15824,2.3784),(185,5305,0.25632,2.3747),(185,5315,0.3544,2.3431),(185,5325,0.31295,2.3115),(185,5335,0.18,2.2802),(185,5345,0.047056,2.2667),(185,5355,-0.11296,2.2532),(185,5365,-0.30948,2.2397),(185,5375,-0.506,2.2563),(185,5385,-0.62882,2.2788),(185,5395,-0.52757,2.3012),(185,5405,-0.42632,2.3156),(185,5415,-0.30996,2.3258),(185,5425,0.009401,2.336),(185,5435,0.32876,2.323),(185,5445,0.64812,2.285),(185,5455,0.71415,2.2469),(185,5465,0.74922,2.2059),(185,5475,0.78429,2.1579),(185,5485,0.75544,2.1099),(185,5495,0.70085,2.0636),(185,5505,0.64626,2.0293),(185,5515,0.59737,1.995),(185,5525,0.55345,1.9608),(185,5535,0.50952,1.9356),(185,5545,0.46838,1.9109),(185,5555,0.43228,1.8862),(185,5565,0.39618,1.8657),(185,5575,0.36157,1.8464),(185,5585,0.33384,1.8272),(185,5595,0.30611,1.8091),(185,5605,0.27838,1.7919),(185,5615,0.25813,1.7746),(185,5625,0.23789,1.7576),(185,5635,0.21764,1.7409),(185,5645,0.20206,1.7241),(185,5655,0.1875,1.7074),(185,5665,0.17293,1.6905),(185,5675,0.16082,1.6736),(185,5685,0.15006,1.6567),(185,5695,0.13931,1.6394),(185,5705,0.12955,1.6221),(185,5715,0.12095,1.6048),(185,5725,0.11235,1.5871),(185,5735,0.10398,1.5693),(185,5745,0.096176,1.5515),(185,5755,0.088372,1.5334),(185,5765,0.080533,1.5152),(185,5775,0.072406,1.497),(185,5785,0.06428,1.4785),(185,5795,0.056153,1.4599),(185,5805,0.046757,1.4412),(185,5815,0.037267,1.4226),(185,5825,0.027777,1.404),(185,5835,0.016591,1.3854),(185,5845,0.004848,1.3669),(185,5855,-0.006895,1.3488),(185,5865,-0.020331,1.3307),(185,5875,-0.035023,1.3126),(185,5885,-0.049714,1.2956),(185,5895,-0.065904,1.2787),(185,5905,-0.084378,1.2617),(185,5915,-0.10285,1.2467),(185,5925,-0.12233,1.2322),(185,5935,-0.14543,1.2177),(185,5945,-0.16853,1.2052),(185,5955,-0.1919,1.1939),(185,5965,-0.22168,1.1826),(185,5975,-0.25147,1.1727),(185,5985,-0.28126,1.1647),(185,5995,-0.22223,1.1566),(185,6005,-0.14892,1.1503),(185,6015,-0.075597,1.1489),(185,6025,0.028362,1.1475),(185,6035,0.14653,1.1442),(185,6045,0.2647,1.1235),(185,6055,0.32654,1.1028),(185,6065,0.33314,1.0821),(185,6075,0.33974,1.0558),(185,6085,0.33844,1.029),(185,6095,0.32086,1.0023),(185,6105,0.30327,0.97728),(185,6115,0.28641,0.95289),(185,6125,0.27363,0.9285),(185,6135,0.26086,0.90526),(185,6145,0.24808,0.88294),(185,6155,0.23823,0.86062),(185,6165,0.22847,0.83865),(185,6175,0.21871,0.81726),(185,6185,0.21069,0.79586),(185,6195,0.20313,0.77464),(185,6205,0.19557,0.75413),(185,6215,0.18904,0.73363),(185,6225,0.18317,0.71314),(185,6235,0.1773,0.69348),(185,6245,0.17199,0.67382),(185,6255,0.16739,0.65417),(185,6265,0.1628,0.63479),(185,6275,0.15847,0.61547),(185,6285,0.15488,0.59615),(185,6295,0.15129,0.57704),(185,6305,0.14776,0.55804),(185,6315,0.14491,0.53903),(185,6325,0.14205,0.5202),(185,6335,0.1392,0.50155),(185,6345,0.13685,0.48289),(185,6355,0.13455,0.46429),(185,6365,0.13224,0.44579),(185,6375,0.1303,0.4273),(185,6385,0.12849,0.40882),(185,6395,0.12668,0.39046),(185,6405,0.12509,0.37209),(185,6415,0.12368,0.35373),(185,6425,0.12226,0.33548),(185,6435,0.12097,0.31725),(185,6445,0.11989,0.29901),(185,6455,0.11881,0.28084),(185,6465,0.11778,0.26268),(185,6475,0.11696,0.24453),(185,6485,0.11613,0.22642),(185,6495,0.1153,0.20836),(185,6505,0.11464,0.19029),(185,6515,0.11399,0.17223),(185,6525,0.11333,0.15417),(185,6535,0.11274,0.13612),(185,6545,0.11216,0.11811),(185,6555,0.11159,0.10025),(185,6565,0.11108,0.082387),(185,6575,0.11061,0.064535),(185,6585,0.11013,0.046839),(185,6595,0.09346,0.029144),(185,6605,0.058897,0.011448),(185,6615,0.024334,0.009428),(185,6625,3.7e-05,0.009423),(185,6635,3.8e-05,0.009417),(185,6645,3.9e-05,0.009413),(185,6655,4e-05,0.009409),(185,6665,4.1e-05,0.009405),(185,6675,4.2e-05,0.0094),(185,6685,4.3e-05,0.009395),(185,6695,4.3e-05,0.009389),(185,6705,4.4e-05,0.009384),(185,6715,4.5e-05,0.009378),(185,6725,4.5e-05,0.009373),(185,6735,4.6e-05,0.009367),(185,6745,4.6e-05,0.009362),(185,6755,4.7e-05,0.009356),(185,6765,4.8e-05,0.009351),(185,6775,4.8e-05,0.009345),(185,6785,4.9e-05,0.00934),(185,6795,4.9e-05,0.009334),(185,6805,5e-05,0.009328),(185,6815,5e-05,0.009322),(185,6825,5.1e-05,0.009317),(185,6835,5.1e-05,0.009311),(185,6845,5.2e-05,0.009305),(185,6855,5.2e-05,0.009299),(185,6865,5.3e-05,0.009293),(185,6875,5.3e-05,0.009287),(185,6885,5.3e-05,0.009281),(185,6895,5.4e-05,0.009274),(185,6905,5.4e-05,0.009268),(185,6915,5.5e-05,0.009262),(185,6925,5.5e-05,0.009256),(185,6935,5.5e-05,0.009249),(185,6945,5.6e-05,0.009243),(185,6955,5.6e-05,0.009237),(185,6965,5.6e-05,0.00923),(185,6975,5.7e-05,0.009224),(185,6985,5.7e-05,0.009217),(195,5,1e-05,3.6649),(195,15,3.1e-05,3.6649),(195,25,5.1e-05,3.6649),(195,35,7.2e-05,3.6648),(195,45,9.2e-05,3.6648),(195,55,0.000113,3.6648),(195,65,0.000133,3.6648),(195,75,0.000154,3.6648),(195,85,0.000174,3.6648),(195,95,0.000195,3.6648),(195,105,0.000215,3.6647),(195,115,0.000236,3.6647),(195,125,0.000256,3.6647),(195,135,0.000277,3.6647),(195,145,0.000298,3.6646),(195,155,0.000318,3.6646),(195,165,0.000339,3.6646),(195,175,0.00036,3.6645),(195,185,0.000381,3.6645),(195,195,0.000402,3.6644),(195,205,0.000422,3.6644),(195,215,0.000443,3.6644),(195,225,0.000464,3.6643),(195,235,0.000485,3.6643),(195,245,0.000505,3.6642),(195,255,0.000526,3.6642),(195,265,0.000547,3.6641),(195,275,0.000568,3.664),(195,285,0.00059,3.664),(195,295,0.000611,3.6639),(195,305,0.000632,3.6639),(195,315,0.000653,3.6638),(195,325,0.000675,3.6637),(195,335,0.000696,3.6636),(195,345,0.000718,3.6636),(195,355,0.00074,3.6635),(195,365,0.000761,3.6634),(195,375,0.000783,3.6633),(195,385,0.000805,3.6632),(195,395,0.000827,3.6632),(195,405,0.000848,3.6631),(195,415,0.00087,3.663),(195,425,0.000892,3.6629),(195,435,0.000915,3.6628),(195,445,0.000937,3.6627),(195,455,0.000959,3.6626),(195,465,0.000982,3.6625),(195,475,0.001004,3.6624),(195,485,0.001027,3.6623),(195,495,0.00105,3.6622),(195,505,0.001073,3.6621),(195,515,0.001096,3.662),(195,525,0.001119,3.6618),(195,535,0.001142,3.6617),(195,545,0.001166,3.6616),(195,555,0.001189,3.6615),(195,565,0.001213,3.6613),(195,575,0.001236,3.6612),(195,585,0.00126,3.6611),(195,595,0.001283,3.661),(195,605,0.001307,3.6608),(195,615,0.001331,3.6607),(195,625,0.001355,3.6605),(195,635,0.001379,3.6604),(195,645,0.001403,3.6602),(195,655,0.001427,3.6601),(195,665,0.001452,3.66),(195,675,0.001477,3.6598),(195,685,0.001502,3.6596),(195,695,0.001527,3.6595),(195,705,0.001552,3.6593),(195,715,0.001577,3.6592),(195,725,0.001602,3.659),(195,735,0.001628,3.6588),(195,745,0.001654,3.6586),(195,755,0.00168,3.6585),(195,765,0.001705,3.6583),(195,775,0.001731,3.6581),(195,785,0.001757,3.6579),(195,795,0.001784,3.6577),(195,805,0.00181,3.6576),(195,815,0.001836,3.6574),(195,825,0.001863,3.6572),(195,835,0.00189,3.657),(195,845,0.001917,3.6568),(195,855,0.001944,3.6566),(195,865,0.001972,3.6564),(195,875,0.001999,3.6562),(195,885,0.002027,3.6559),(195,895,0.002055,3.6557),(195,905,0.002083,3.6555),(195,915,0.002111,3.6553),(195,925,0.002139,3.6551),(195,935,0.002168,3.6548),(195,945,0.002196,3.6546),(195,955,0.002225,3.6544),(195,965,0.002254,3.6542),(195,975,0.002283,3.6539),(195,985,0.002312,3.6537),(195,995,0.002342,3.6534),(195,1005,0.002371,3.6532),(195,1015,0.002401,3.6529),(195,1025,0.002431,3.6527),(195,1035,0.002462,3.6524),(195,1045,0.002492,3.6522),(195,1055,0.002522,3.6519),(195,1065,0.002553,3.6516),(195,1075,0.002584,3.6514),(195,1085,0.002615,3.6511),(195,1095,0.002646,3.6508),(195,1105,0.002678,3.6505),(195,1115,0.002709,3.6503),(195,1125,0.002741,3.65),(195,1135,0.002773,3.6497),(195,1145,0.002805,3.6494),(195,1155,0.002837,3.6491),(195,1165,0.00287,3.6488),(195,1175,0.002903,3.6485),(195,1185,0.002936,3.6482),(195,1195,0.002969,3.6479),(195,1205,0.003002,3.6476),(195,1215,0.003036,3.6472),(195,1225,0.00307,3.6469),(195,1235,0.003104,3.6466),(195,1245,0.003138,3.6463),(195,1255,0.003172,3.6459),(195,1265,0.003207,3.6456),(195,1275,0.003241,3.6453),(195,1285,0.003276,3.6449),(195,1295,0.003311,3.6446),(195,1305,0.003347,3.6442),(195,1315,0.003382,3.6439),(195,1325,0.003417,3.6435),(195,1335,0.003453,3.6432),(195,1345,0.00349,3.6428),(195,1355,0.003526,3.6424),(195,1365,0.003562,3.6421),(195,1375,0.003599,3.6417),(195,1385,0.003636,3.6413),(195,1395,0.003674,3.6409),(195,1405,0.003711,3.6405),(195,1415,0.003749,3.6401),(195,1425,0.003787,3.6397),(195,1435,0.003825,3.6393),(195,1445,0.003863,3.6389),(195,1455,0.003901,3.6385),(195,1465,0.00394,3.6381),(195,1475,0.003979,3.6377),(195,1485,0.004017,3.6373),(195,1495,0.004057,3.6369),(195,1505,0.004096,3.6364),(195,1515,0.004136,3.636),(195,1525,0.004175,3.6356),(195,1535,0.004216,3.6351),(195,1545,0.004256,3.6347),(195,1555,0.004296,3.6342),(195,1565,0.004337,3.6338),(195,1575,0.004378,3.6333),(195,1585,0.004419,3.6329),(195,1595,0.004461,3.6324),(195,1605,0.004502,3.6319),(195,1615,0.004544,3.6315),(195,1625,0.004587,3.631),(195,1635,0.004629,3.6305),(195,1645,0.004671,3.63),(195,1655,0.004714,3.6295),(195,1665,0.004757,3.629),(195,1675,0.0048,3.6285),(195,1685,0.004843,3.628),(195,1695,0.004887,3.6275),(195,1705,0.00493,3.627),(195,1715,0.004974,3.6265),(195,1725,0.005018,3.6259),(195,1735,0.005062,3.6254),(195,1745,0.005107,3.6249),(195,1755,0.005151,3.6243),(195,1765,0.005196,3.6238),(195,1775,0.005242,3.6233),(195,1785,0.005287,3.6227),(195,1795,0.005332,3.6221),(195,1805,0.005378,3.6216),(195,1815,0.005424,3.621),(195,1825,0.00547,3.6204),(195,1835,0.005517,3.6199),(195,1845,0.005563,3.6193),(195,1855,0.00561,3.6187),(195,1865,0.005658,3.6181),(195,1875,0.005705,3.6175),(195,1885,0.005752,3.6169),(195,1895,0.0058,3.6163),(195,1905,0.005848,3.6157),(195,1915,0.005896,3.6151),(195,1925,0.005944,3.6145),(195,1935,0.005993,3.6138),(195,1945,0.006042,3.6132),(195,1955,0.006091,3.6126),(195,1965,0.00614,3.6119),(195,1975,0.00619,3.6113),(195,1985,0.00624,3.6106),(195,1995,0.00629,3.61),(195,2005,0.00634,3.6093),(195,2015,0.006391,3.6086),(195,2025,0.006441,3.608),(195,2035,0.006492,3.6073),(195,2045,0.006543,3.6066),(195,2055,0.006595,3.6059),(195,2065,0.006646,3.6052),(195,2075,0.006698,3.6045),(195,2085,0.00675,3.6038),(195,2095,0.006802,3.6031),(195,2105,0.006855,3.6024),(195,2115,0.006907,3.6017),(195,2125,0.00696,3.6009),(195,2135,0.007013,3.6002),(195,2145,0.007067,3.5995),(195,2155,0.00712,3.5987),(195,2165,0.007174,3.598),(195,2175,0.007228,3.5972),(195,2185,0.007283,3.5965),(195,2195,0.007337,3.5957),(195,2205,0.007392,3.5949),(195,2215,0.007448,3.5942),(195,2225,0.007503,3.5934),(195,2235,0.007559,3.5926),(195,2245,0.007615,3.5918),(195,2255,0.007672,3.591),(195,2265,0.007729,3.5902),(195,2275,0.007785,3.5894),(195,2285,0.007843,3.5886),(195,2295,0.007902,3.5877),(195,2305,0.00796,3.5869),(195,2315,0.008018,3.5861),(195,2325,0.008077,3.5852),(195,2335,0.008136,3.5844),(195,2345,0.008196,3.5835),(195,2355,0.008256,3.5827),(195,2365,0.008316,3.5818),(195,2375,0.008377,3.581),(195,2385,0.008438,3.5801),(195,2395,0.008499,3.5792),(195,2405,0.008562,3.5783),(195,2415,0.008625,3.5774),(195,2425,0.008687,3.5765),(195,2435,0.00875,3.5756),(195,2445,0.008815,3.5747),(195,2455,0.00888,3.5738),(195,2465,0.008945,3.5729),(195,2475,0.00901,3.5719),(195,2485,0.009077,3.571),(195,2495,0.009144,3.5701),(195,2505,0.009211,3.5691),(195,2515,0.009278,3.5681),(195,2525,0.009348,3.5672),(195,2535,0.009418,3.5662),(195,2545,0.009488,3.5652),(195,2555,0.009558,3.5642),(195,2565,0.009631,3.5633),(195,2575,0.009704,3.5623),(195,2585,0.009777,3.5613),(195,2595,0.009851,3.5602),(195,2605,0.009927,3.5592),(195,2615,0.010004,3.5582),(195,2625,0.010081,3.5572),(195,2635,0.010158,3.5561),(195,2645,0.010239,3.5551),(195,2655,0.01032,3.5541),(195,2665,0.010401,3.553),(195,2675,0.010482,3.5519),(195,2685,0.010568,3.5509),(195,2695,0.010654,3.5498),(195,2705,0.010739,3.5487),(195,2715,0.010826,3.5476),(195,2725,0.010918,3.5465),(195,2735,0.011009,3.5454),(195,2745,0.011101,3.5443),(195,2755,0.011194,3.5431),(195,2765,0.011293,3.542),(195,2775,0.011391,3.5409),(195,2785,0.01149,3.5397),(195,2795,0.01159,3.5386),(195,2805,0.011697,3.5374),(195,2815,0.011804,3.5362),(195,2825,0.01191,3.535),(195,2835,0.01202,3.5339),(195,2845,0.012137,3.5327),(195,2855,0.012253,3.5315),(195,2865,0.012369,3.5302),(195,2875,0.01249,3.529),(195,2885,0.012617,3.5278),(195,2895,0.012745,3.5265),(195,2905,0.012873,3.5253),(195,2915,0.013006,3.524),(195,2925,0.013147,3.5227),(195,2935,0.013288,3.5215),(195,2945,0.01343,3.5202),(195,2955,0.013578,3.5188),(195,2965,0.013736,3.5175),(195,2975,0.013893,3.5162),(195,2985,0.014051,3.5149),(195,2995,0.014218,3.5135),(195,3005,0.014394,3.5122),(195,3015,0.014571,3.5108),(195,3025,0.014748,3.5094),(195,3035,0.014937,3.508),(195,3045,0.015137,3.5066),(195,3055,0.015337,3.5052),(195,3065,0.015538,3.5037),(195,3075,0.015753,3.5023),(195,3085,0.015981,3.5008),(195,3095,0.016209,3.4994),(195,3105,0.016437,3.4979),(195,3115,0.016686,3.4964),(195,3125,0.016947,3.4949),(195,3135,0.017209,3.4933),(195,3145,0.01747,3.4917),(195,3155,0.017758,3.4902),(195,3165,0.01806,3.4886),(195,3175,0.018362,3.487),(195,3185,0.018664,3.4854),(195,3195,0.019,3.4837),(195,3205,0.01935,3.4821),(195,3215,0.019701,3.4804),(195,3225,0.020052,3.4787),(195,3235,0.020446,3.477),(195,3245,0.020857,3.4753),(195,3255,0.021267,3.4735),(195,3265,0.021678,3.4717),(195,3275,0.022144,3.4699),(195,3285,0.022627,3.4681),(195,3295,0.02311,3.4662),(195,3305,0.023592,3.4643),(195,3315,0.024147,3.4624),(195,3325,0.024719,3.4605),(195,3335,0.02529,3.4585),(195,3345,0.025862,3.4565),(195,3355,0.026526,3.4544),(195,3365,0.027207,3.4524),(195,3375,0.027888,3.4503),(195,3385,0.028569,3.4481),(195,3395,0.029369,3.446),(195,3405,0.030185,3.4438),(195,3415,0.031001,3.4416),(195,3425,0.031817,3.4393),(195,3435,0.032788,3.437),(195,3445,0.033771,3.4347),(195,3455,0.034754,3.4322),(195,3465,0.035738,3.4297),(195,3475,0.036923,3.4272),(195,3485,0.038116,3.4248),(195,3495,0.039308,3.4221),(195,3505,0.040502,3.4194),(195,3515,0.041958,3.4168),(195,3525,0.043413,3.4141),(195,3535,0.044869,3.4112),(195,3545,0.046339,3.4083),(195,3555,0.048128,3.4054),(195,3565,0.049916,3.4024),(195,3575,0.051705,3.3993),(195,3585,0.053529,3.3961),(195,3595,0.055742,3.3929),(195,3605,0.057955,3.3897),(195,3615,0.060168,3.3862),(195,3625,0.062448,3.3827),(195,3635,0.065207,3.3792),(195,3645,0.067966,3.3756),(195,3655,0.070725,3.3718),(195,3665,0.073599,3.3679),(195,3675,0.077067,3.364),(195,3685,0.080536,3.3601),(195,3695,0.084004,3.3557),(195,3705,0.087661,3.3514),(195,3715,0.092062,3.347),(195,3725,0.096463,3.3426),(195,3735,0.10086,3.3377),(195,3745,0.10557,3.3327),(195,3755,0.11121,3.3278),(195,3765,0.11686,3.3227),(195,3775,0.1225,3.3171),(195,3785,0.12862,3.3114),(195,3795,0.13595,3.3058),(195,3805,0.14328,3.2998),(195,3815,0.15061,3.2931),(195,3825,0.15869,3.2864),(195,3835,0.16834,3.2798),(195,3845,0.17798,3.2726),(195,3855,0.18763,3.2645),(195,3865,0.19842,3.2563),(195,3875,0.21123,3.2482),(195,3885,0.22404,3.2392),(195,3895,0.23686,3.229),(195,3905,0.27119,3.2189),(195,3915,0.33765,3.2087),(195,3925,0.40411,3.1921),(195,3935,0.47058,3.1666),(195,3945,0.51082,3.1412),(195,3955,0.51778,3.1158),(195,3965,0.52473,3.0878),(195,3975,0.53168,3.0568),(195,3985,0.51788,3.0259),(195,3995,0.48162,2.9949),(195,4005,0.44536,2.9695),(195,4015,0.4091,2.9496),(195,4025,0.37346,2.9297),(195,4035,0.33787,2.9118),(195,4045,0.30228,2.8981),(195,4055,0.26542,2.8845),(195,4065,0.2281,2.8717),(195,4075,0.19078,2.864),(195,4085,0.1534,2.8562),(195,4095,0.11598,2.8485),(195,4105,0.078557,2.8448),(195,4115,0.042644,2.8411),(195,4125,0.009234,2.8375),(195,4135,-0.024176,2.8346),(195,4145,-0.039032,2.8318),(195,4155,0.02127,2.8291),(195,4165,0.081571,2.8251),(195,4175,0.14068,2.8204),(195,4185,0.14065,2.8157),(195,4195,0.14063,2.8088),(195,4205,0.1406,2.7989),(195,4215,0.10688,2.789),(195,4225,0.066819,2.7816),(195,4235,0.026757,2.7815),(195,4245,-0.000404,2.7814),(195,4255,-0.021019,2.7816),(195,4265,-0.041633,2.7851),(195,4275,-0.043892,2.7887),(195,4285,-0.026672,2.7922),(195,4295,-0.009453,2.7921),(195,4305,0.047924,2.7916),(195,4315,0.19598,2.791),(195,4325,0.34403,2.7718),(195,4335,0.46497,2.7453),(195,4345,0.40236,2.7187),(195,4355,0.33975,2.6973),(195,4365,0.27714,2.6804),(195,4375,0.20307,2.6634),(195,4385,0.12841,2.653),(195,4395,0.053747,2.6544),(195,4405,0.005628,2.6557),(195,4415,-0.034663,2.6578),(195,4425,-0.074955,2.6633),(195,4435,-0.02374,2.6689),(195,4445,0.09001,2.6743),(195,4455,0.20376,2.6616),(195,4465,0.27407,2.649),(195,4475,0.28334,2.6363),(195,4485,0.29261,2.616),(195,4495,0.27806,2.5941),(195,4505,0.1871,2.5722),(195,4515,0.096148,2.5632),(195,4525,0.005131,2.5612),(195,4535,-0.08685,2.5593),(195,4545,-0.17883,2.5642),(195,4555,-0.27081,2.5768),(195,4565,-0.17936,2.5894),(195,4575,-0.063183,2.5974),(195,4585,0.052996,2.5942),(195,4595,0.12536,2.5909),(195,4605,0.1792,2.5861),(195,4615,0.23305,2.5686),(195,4625,0.23196,2.5511),(195,4635,0.18111,2.5336),(195,4645,0.13027,2.5261),(195,4655,0.060367,2.5194),(195,4665,-0.045477,2.5126),(195,4675,-0.15132,2.5285),(195,4685,-0.2376,2.5516),(195,4695,-0.22721,2.5747),(195,4705,-0.21681,2.5912),(195,4715,-0.20642,2.6029),(195,4725,-0.007281,2.6146),(195,4735,0.19375,2.6115),(195,4745,0.39478,2.5863),(195,4755,0.37996,2.561),(195,4765,0.31514,2.5373),(195,4775,0.25031,2.5188),(195,4785,0.13301,2.5002),(195,4795,-0.014635,2.4832),(195,4805,-0.16227,2.498),(195,4815,-0.27466,2.5129),(195,4825,-0.34491,2.5277),(195,4835,-0.41515,2.5524),(195,4845,-0.40018,2.5786),(195,4855,-0.16308,2.6048),(195,4865,0.074017,2.6029),(195,4875,0.29562,2.5883),(195,4885,0.37618,2.5737),(195,4895,0.45675,2.5428),(195,4905,0.53731,2.4965),(195,4915,0.40697,2.4501),(195,4925,0.25848,2.4157),(195,4935,0.11,2.4054),(195,4945,-0.013951,2.3952),(195,4955,-0.1294,2.3893),(195,4965,-0.24484,2.4078),(195,4975,-0.26394,2.4262),(195,4985,-0.20867,2.4447),(195,4995,-0.1534,2.4467),(195,5005,-0.080059,2.4482),(195,5015,0.022015,2.4498),(195,5025,0.12409,2.441),(195,5035,0.17878,2.4295),(195,5045,0.052954,2.418),(195,5055,-0.072873,2.4146),(195,5065,-0.19948,2.4161),(195,5075,-0.35174,2.4176),(195,5085,-0.504,2.4312),(195,5095,-0.65626,2.4603),(195,5105,-0.65697,2.4893),(195,5115,-0.63123,2.5164),(195,5125,-0.6055,2.5378),(195,5135,-0.38279,2.5592),(195,5145,-0.064475,2.5774),(195,5155,0.25383,2.5612),(195,5165,0.44603,2.545),(195,5175,0.50959,2.5287),(195,5185,0.57315,2.4922),(195,5195,0.56883,2.4536),(195,5205,0.41816,2.415),(195,5215,0.26749,2.3951),(195,5225,0.11596,2.3821),(195,5235,-0.04097,2.3692),(195,5245,-0.1979,2.3697),(195,5255,-0.35482,2.3811),(195,5265,-0.23014,2.3926),(195,5275,-0.093852,2.4024),(195,5285,0.042439,2.4091),(195,5295,0.15608,2.4159),(195,5305,0.26341,2.4162),(195,5315,0.37075,2.3895),(195,5325,0.33165,2.3628),(195,5335,0.19652,2.3363),(195,5345,0.061393,2.3205),(195,5355,-0.10366,2.3047),(195,5365,-0.30907,2.2888),(195,5375,-0.51447,2.2994),(195,5385,-0.6428,2.315),(195,5395,-0.53675,2.3307),(195,5405,-0.4307,2.3384),(195,5415,-0.30942,2.3419),(195,5425,0.016492,2.3455),(195,5435,0.3424,2.3326),(195,5445,0.66832,2.3019),(195,5455,0.73928,2.2712),(195,5465,0.77908,2.2361),(195,5475,0.81888,2.191),(195,5485,0.78909,2.1458),(195,5495,0.73126,2.1022),(195,5505,0.67343,2.0691),(195,5515,0.6214,2.036),(195,5525,0.57442,2.0029),(195,5535,0.52743,1.9787),(195,5545,0.48378,1.9551),(195,5555,0.44614,1.9314),(195,5565,0.4085,1.9117),(195,5575,0.37253,1.8933),(195,5585,0.34425,1.8748),(195,5595,0.31598,1.8572),(195,5605,0.2877,1.8402),(195,5615,0.26733,1.8233),(195,5625,0.24695,1.8064),(195,5635,0.22658,1.7896),(195,5645,0.21096,1.7728),(195,5655,0.19637,1.7559),(195,5665,0.18178,1.7387),(195,5675,0.16966,1.7215),(195,5685,0.15891,1.7042),(195,5695,0.14816,1.6865),(195,5705,0.13841,1.6687),(195,5715,0.12981,1.6509),(195,5725,0.12121,1.6325),(195,5735,0.11283,1.6141),(195,5745,0.10498,1.5957),(195,5755,0.097135,1.5768),(195,5765,0.089244,1.5579),(195,5775,0.080998,1.5389),(195,5785,0.072753,1.5196),(195,5795,0.064507,1.5),(195,5805,0.054919,1.4805),(195,5815,0.045231,1.4609),(195,5825,0.035543,1.4413),(195,5835,0.024055,1.4216),(195,5845,0.011976,1.4021),(195,5855,-0.000104,1.3828),(195,5865,-0.014023,1.3635),(195,5875,-0.029306,1.3442),(195,5885,-0.044589,1.3259),(195,5895,-0.06149,1.3076),(195,5905,-0.080858,1.2893),(195,5915,-0.10023,1.2729),(195,5925,-0.12066,1.2569),(195,5935,-0.14491,1.241),(195,5945,-0.16916,1.2268),(195,5955,-0.19363,1.2137),(195,5965,-0.22351,1.2006),(195,5975,-0.25338,1.1881),(195,5985,-0.28326,1.1763),(195,5995,-0.22316,1.1645),(195,6005,-0.14857,1.1551),(195,6015,-0.073993,1.1521),(195,6025,0.031477,1.149),(195,6035,0.15127,1.1447),(195,6045,0.27107,1.1275),(195,6055,0.33483,1.1102),(195,6065,0.34365,1.093),(195,6075,0.35247,1.0682),(195,6085,0.3526,1.0426),(195,6095,0.3348,1.0171),(195,6105,0.317,0.99263),(195,6115,0.29989,0.96861),(195,6125,0.28671,0.94459),(195,6135,0.27353,0.92156),(195,6145,0.26035,0.89931),(195,6155,0.25018,0.87705),(195,6165,0.24011,0.85509),(195,6175,0.23003,0.8336),(195,6185,0.22176,0.81211),(195,6195,0.21397,0.79079),(195,6205,0.20618,0.77011),(195,6215,0.19947,0.74943),(195,6225,0.19344,0.72877),(195,6235,0.18741,0.70887),(195,6245,0.18194,0.68897),(195,6255,0.17721,0.66907),(195,6265,0.17248,0.64941),(195,6275,0.16801,0.6298),(195,6285,0.16431,0.61018),(195,6295,0.1606,0.59073),(195,6305,0.15696,0.57137),(195,6315,0.15403,0.55202),(195,6325,0.1511,0.53281),(195,6335,0.14817,0.51377),(195,6345,0.14575,0.49472),(195,6355,0.1434,0.47573),(195,6365,0.14104,0.45683),(195,6375,0.13904,0.43794),(195,6385,0.13718,0.41906),(195,6395,0.13532,0.40028),(195,6405,0.13368,0.38149),(195,6415,0.13223,0.3627),(195,6425,0.13078,0.34403),(195,6435,0.12945,0.32536),(195,6445,0.12834,0.30669),(195,6455,0.12723,0.28806),(195,6465,0.12616,0.26945),(195,6475,0.12532,0.25084),(195,6485,0.12448,0.23227),(195,6495,0.12364,0.21373),(195,6505,0.12299,0.19518),(195,6515,0.12233,0.17663),(195,6525,0.12168,0.15807),(195,6535,0.12112,0.13952),(195,6545,0.12058,0.12101),(195,6555,0.12004,0.10266),(195,6565,0.11955,0.084312),(195,6575,0.11908,0.065973),(195,6585,0.11862,0.047782),(195,6595,0.10068,0.029591),(195,6605,0.063444,0.011399),(195,6615,0.026213,0.009353),(195,6625,4e-05,0.009381),(195,6635,4.1e-05,0.009409),(195,6645,4.2e-05,0.009414),(195,6655,4.3e-05,0.00941),(195,6665,4.4e-05,0.009406),(195,6675,4.5e-05,0.009401),(195,6685,4.5e-05,0.009396),(195,6695,4.6e-05,0.00939),(195,6705,4.6e-05,0.009385),(195,6715,4.7e-05,0.009379),(195,6725,4.8e-05,0.009373),(195,6735,4.8e-05,0.009368),(195,6745,4.9e-05,0.009362),(195,6755,5e-05,0.009357),(195,6765,5e-05,0.009352),(195,6775,5.1e-05,0.009346),(195,6785,5.1e-05,0.00934),(195,6795,5.2e-05,0.009335),(195,6805,5.2e-05,0.009329),(195,6815,5.3e-05,0.009323),(195,6825,5.4e-05,0.009317),(195,6835,5.4e-05,0.009311),(195,6845,5.4e-05,0.009305),(195,6855,5.5e-05,0.009299),(195,6865,5.5e-05,0.009293),(195,6875,5.6e-05,0.009287),(195,6885,5.6e-05,0.009281),(195,6895,5.7e-05,0.009275),(195,6905,5.7e-05,0.009269),(195,6915,5.8e-05,0.009262),(195,6925,5.8e-05,0.009256),(195,6935,5.8e-05,0.00925),(195,6945,5.9e-05,0.009243),(195,6955,5.9e-05,0.009237),(195,6965,6e-05,0.009231),(195,6975,6e-05,0.009224),(195,6985,6e-05,0.009218),(205,5,1.1e-05,3.6649),(205,15,3.2e-05,3.6649),(205,25,5.4e-05,3.6649),(205,35,7.5e-05,3.6649),(205,45,9.7e-05,3.6649),(205,55,0.000118,3.6648),(205,65,0.00014,3.6648),(205,75,0.000161,3.6648),(205,85,0.000183,3.6648),(205,95,0.000205,3.6648),(205,105,0.000226,3.6648),(205,115,0.000248,3.6647),(205,125,0.000269,3.6647),(205,135,0.000291,3.6647),(205,145,0.000313,3.6647),(205,155,0.000334,3.6646),(205,165,0.000356,3.6646),(205,175,0.000378,3.6645),(205,185,0.0004,3.6645),(205,195,0.000422,3.6645),(205,205,0.000444,3.6644),(205,215,0.000466,3.6644),(205,225,0.000488,3.6643),(205,235,0.000509,3.6643),(205,245,0.000531,3.6642),(205,255,0.000553,3.6642),(205,265,0.000575,3.6641),(205,275,0.000597,3.6641),(205,285,0.00062,3.664),(205,295,0.000642,3.6639),(205,305,0.000664,3.6639),(205,315,0.000687,3.6638),(205,325,0.000709,3.6637),(205,335,0.000732,3.6637),(205,345,0.000754,3.6636),(205,355,0.000777,3.6635),(205,365,0.0008,3.6634),(205,375,0.000823,3.6634),(205,385,0.000846,3.6633),(205,395,0.000869,3.6632),(205,405,0.000892,3.6631),(205,415,0.000915,3.663),(205,425,0.000938,3.6629),(205,435,0.000961,3.6628),(205,445,0.000984,3.6627),(205,455,0.001008,3.6626),(205,465,0.001032,3.6625),(205,475,0.001055,3.6624),(205,485,0.001079,3.6623),(205,495,0.001103,3.6622),(205,505,0.001127,3.6621),(205,515,0.001152,3.662),(205,525,0.001176,3.6619),(205,535,0.0012,3.6617),(205,545,0.001225,3.6616),(205,555,0.001249,3.6615),(205,565,0.001274,3.6614),(205,575,0.001299,3.6612),(205,585,0.001324,3.6611),(205,595,0.001349,3.661),(205,605,0.001374,3.6608),(205,615,0.001399,3.6607),(205,625,0.001424,3.6606),(205,635,0.001449,3.6604),(205,645,0.001475,3.6603),(205,655,0.0015,3.6601),(205,665,0.001526,3.66),(205,675,0.001552,3.6598),(205,685,0.001578,3.6597),(205,695,0.001604,3.6595),(205,705,0.001631,3.6593),(205,715,0.001657,3.6592),(205,725,0.001684,3.659),(205,735,0.001711,3.6588),(205,745,0.001738,3.6587),(205,755,0.001765,3.6585),(205,765,0.001792,3.6583),(205,775,0.001819,3.6581),(205,785,0.001847,3.658),(205,795,0.001874,3.6578),(205,805,0.001902,3.6576),(205,815,0.00193,3.6574),(205,825,0.001958,3.6572),(205,835,0.001986,3.657),(205,845,0.002015,3.6568),(205,855,0.002043,3.6566),(205,865,0.002072,3.6564),(205,875,0.002101,3.6562),(205,885,0.00213,3.656),(205,895,0.002159,3.6558),(205,905,0.002189,3.6555),(205,915,0.002218,3.6553),(205,925,0.002248,3.6551),(205,935,0.002278,3.6549),(205,945,0.002308,3.6546),(205,955,0.002338,3.6544),(205,965,0.002369,3.6542),(205,975,0.002399,3.6539),(205,985,0.00243,3.6537),(205,995,0.002461,3.6535),(205,1005,0.002492,3.6532),(205,1015,0.002523,3.653),(205,1025,0.002555,3.6527),(205,1035,0.002587,3.6525),(205,1045,0.002619,3.6522),(205,1055,0.002651,3.6519),(205,1065,0.002683,3.6517),(205,1075,0.002716,3.6514),(205,1085,0.002748,3.6511),(205,1095,0.002781,3.6508),(205,1105,0.002814,3.6506),(205,1115,0.002847,3.6503),(205,1125,0.00288,3.65),(205,1135,0.002914,3.6497),(205,1145,0.002948,3.6494),(205,1155,0.002982,3.6491),(205,1165,0.003016,3.6488),(205,1175,0.00305,3.6485),(205,1185,0.003085,3.6482),(205,1195,0.00312,3.6479),(205,1205,0.003155,3.6476),(205,1215,0.00319,3.6473),(205,1225,0.003226,3.647),(205,1235,0.003262,3.6466),(205,1245,0.003297,3.6463),(205,1255,0.003334,3.646),(205,1265,0.00337,3.6456),(205,1275,0.003406,3.6453),(205,1285,0.003443,3.645),(205,1295,0.00348,3.6446),(205,1305,0.003517,3.6443),(205,1315,0.003554,3.6439),(205,1325,0.003592,3.6436),(205,1335,0.003629,3.6432),(205,1345,0.003668,3.6428),(205,1355,0.003706,3.6425),(205,1365,0.003744,3.6421),(205,1375,0.003783,3.6417),(205,1385,0.003822,3.6413),(205,1395,0.003861,3.641),(205,1405,0.0039,3.6406),(205,1415,0.00394,3.6402),(205,1425,0.00398,3.6398),(205,1435,0.004019,3.6394),(205,1445,0.004059,3.639),(205,1455,0.0041,3.6386),(205,1465,0.004141,3.6382),(205,1475,0.004181,3.6377),(205,1485,0.004222,3.6373),(205,1495,0.004264,3.6369),(205,1505,0.004305,3.6365),(205,1515,0.004347,3.636),(205,1525,0.004388,3.6356),(205,1535,0.004431,3.6352),(205,1545,0.004473,3.6347),(205,1555,0.004516,3.6343),(205,1565,0.004558,3.6338),(205,1575,0.004601,3.6334),(205,1585,0.004645,3.6329),(205,1595,0.004688,3.6324),(205,1605,0.004732,3.632),(205,1615,0.004776,3.6315),(205,1625,0.004821,3.631),(205,1635,0.004865,3.6305),(205,1645,0.004909,3.63),(205,1655,0.004954,3.6296),(205,1665,0.005,3.6291),(205,1675,0.005045,3.6286),(205,1685,0.00509,3.6281),(205,1695,0.005136,3.6275),(205,1705,0.005182,3.627),(205,1715,0.005228,3.6265),(205,1725,0.005274,3.626),(205,1735,0.005321,3.6255),(205,1745,0.005368,3.6249),(205,1755,0.005415,3.6244),(205,1765,0.005462,3.6238),(205,1775,0.005509,3.6233),(205,1785,0.005557,3.6227),(205,1795,0.005605,3.6222),(205,1805,0.005653,3.6216),(205,1815,0.005701,3.6211),(205,1825,0.00575,3.6205),(205,1835,0.005799,3.6199),(205,1845,0.005848,3.6193),(205,1855,0.005897,3.6187),(205,1865,0.005947,3.6182),(205,1875,0.005996,3.6176),(205,1885,0.006046,3.617),(205,1895,0.006096,3.6164),(205,1905,0.006147,3.6157),(205,1915,0.006197,3.6151),(205,1925,0.006248,3.6145),(205,1935,0.006299,3.6139),(205,1945,0.00635,3.6133),(205,1955,0.006402,3.6126),(205,1965,0.006454,3.612),(205,1975,0.006506,3.6113),(205,1985,0.006558,3.6107),(205,1995,0.006611,3.61),(205,2005,0.006663,3.6094),(205,2015,0.006717,3.6087),(205,2025,0.00677,3.608),(205,2035,0.006823,3.6073),(205,2045,0.006877,3.6066),(205,2055,0.006931,3.606),(205,2065,0.006985,3.6053),(205,2075,0.007039,3.6046),(205,2085,0.007094,3.6039),(205,2095,0.007149,3.6032),(205,2105,0.007204,3.6024),(205,2115,0.00726,3.6017),(205,2125,0.007315,3.601),(205,2135,0.007371,3.6003),(205,2145,0.007428,3.5995),(205,2155,0.007484,3.5988),(205,2165,0.00754,3.598),(205,2175,0.007597,3.5973),(205,2185,0.007654,3.5965),(205,2195,0.007712,3.5958),(205,2205,0.00777,3.595),(205,2215,0.007828,3.5942),(205,2225,0.007886,3.5934),(205,2235,0.007944,3.5926),(205,2245,0.008004,3.5919),(205,2255,0.008063,3.5911),(205,2265,0.008123,3.5902),(205,2275,0.008183,3.5894),(205,2285,0.008243,3.5886),(205,2295,0.008304,3.5878),(205,2305,0.008365,3.587),(205,2315,0.008426,3.5861),(205,2325,0.008489,3.5853),(205,2335,0.008551,3.5845),(205,2345,0.008614,3.5836),(205,2355,0.008676,3.5827),(205,2365,0.00874,3.5819),(205,2375,0.008804,3.581),(205,2385,0.008868,3.5801),(205,2395,0.008932,3.5793),(205,2405,0.008998,3.5784),(205,2415,0.009064,3.5775),(205,2425,0.00913,3.5766),(205,2435,0.009196,3.5757),(205,2445,0.009263,3.5748),(205,2455,0.009332,3.5739),(205,2465,0.0094,3.5729),(205,2475,0.009468,3.572),(205,2485,0.009538,3.5711),(205,2495,0.009609,3.5701),(205,2505,0.009679,3.5692),(205,2515,0.00975,3.5682),(205,2525,0.009823,3.5672),(205,2535,0.009897,3.5663),(205,2545,0.00997,3.5653),(205,2555,0.010043,3.5643),(205,2565,0.01012,3.5633),(205,2575,0.010196,3.5623),(205,2585,0.010273,3.5613),(205,2595,0.01035,3.5603),(205,2605,0.01043,3.5593),(205,2615,0.01051,3.5583),(205,2625,0.010591,3.5573),(205,2635,0.010672,3.5562),(205,2645,0.010757,3.5552),(205,2655,0.010841,3.5541),(205,2665,0.010926,3.5531),(205,2675,0.011012,3.552),(205,2685,0.011101,3.5509),(205,2695,0.011191,3.5499),(205,2705,0.011281,3.5488),(205,2715,0.011372,3.5477),(205,2725,0.011468,3.5466),(205,2735,0.011564,3.5455),(205,2745,0.011659,3.5444),(205,2755,0.011757,3.5432),(205,2765,0.01186,3.5421),(205,2775,0.011963,3.541),(205,2785,0.012066,3.5398),(205,2795,0.012171,3.5387),(205,2805,0.012283,3.5375),(205,2815,0.012394,3.5363),(205,2825,0.012506,3.5352),(205,2835,0.012621,3.534),(205,2845,0.012742,3.5328),(205,2855,0.012864,3.5316),(205,2865,0.012985,3.5304),(205,2875,0.013111,3.5291),(205,2885,0.013244,3.5279),(205,2895,0.013378,3.5267),(205,2905,0.013511,3.5254),(205,2915,0.01365,3.5241),(205,2925,0.013797,3.5229),(205,2935,0.013945,3.5216),(205,2945,0.014092,3.5203),(205,2955,0.014247,3.519),(205,2965,0.014411,3.5177),(205,2975,0.014576,3.5164),(205,2985,0.01474,3.515),(205,2995,0.014914,3.5137),(205,3005,0.015098,3.5123),(205,3015,0.015283,3.511),(205,3025,0.015467,3.5096),(205,3035,0.015664,3.5082),(205,3045,0.015872,3.5068),(205,3055,0.01608,3.5054),(205,3065,0.016289,3.504),(205,3075,0.016514,3.5025),(205,3085,0.016751,3.5011),(205,3095,0.016988,3.4996),(205,3105,0.017225,3.4981),(205,3115,0.017483,3.4966),(205,3125,0.017755,3.4951),(205,3135,0.018027,3.4936),(205,3145,0.018299,3.492),(205,3155,0.018598,3.4905),(205,3165,0.018912,3.4889),(205,3175,0.019226,3.4873),(205,3185,0.019539,3.4857),(205,3195,0.019888,3.4841),(205,3205,0.020252,3.4824),(205,3215,0.020616,3.4808),(205,3225,0.02098,3.4791),(205,3235,0.021389,3.4774),(205,3245,0.021815,3.4757),(205,3255,0.02224,3.4739),(205,3265,0.022666,3.4721),(205,3275,0.023149,3.4703),(205,3285,0.023649,3.4685),(205,3295,0.024149,3.4667),(205,3305,0.02465,3.4648),(205,3315,0.025224,3.4629),(205,3325,0.025816,3.461),(205,3335,0.026407,3.4591),(205,3345,0.026999,3.4571),(205,3355,0.027686,3.4551),(205,3365,0.02839,3.4531),(205,3375,0.029093,3.451),(205,3385,0.029797,3.4489),(205,3395,0.030624,3.4468),(205,3405,0.031466,3.4447),(205,3415,0.032309,3.4424),(205,3425,0.033151,3.4402),(205,3435,0.034153,3.4379),(205,3445,0.035167,3.4356),(205,3455,0.036181,3.4332),(205,3465,0.037196,3.4308),(205,3475,0.038417,3.4284),(205,3485,0.039645,3.426),(205,3495,0.040873,3.4234),(205,3505,0.042103,3.4208),(205,3515,0.043601,3.4182),(205,3525,0.045098,3.4155),(205,3535,0.046595,3.4127),(205,3545,0.048108,3.4099),(205,3555,0.049945,3.4071),(205,3565,0.051783,3.4042),(205,3575,0.05362,3.4012),(205,3585,0.055494,3.3981),(205,3595,0.057765,3.395),(205,3605,0.060035,3.3919),(205,3615,0.062306,3.3886),(205,3625,0.064645,3.3852),(205,3635,0.067473,3.3818),(205,3645,0.070301,3.3784),(205,3655,0.073128,3.3747),(205,3665,0.076074,3.371),(205,3675,0.079626,3.3673),(205,3685,0.083178,3.3636),(205,3695,0.086729,3.3595),(205,3705,0.090475,3.3554),(205,3715,0.094981,3.3513),(205,3725,0.099487,3.347),(205,3735,0.10399,3.3425),(205,3745,0.10881,3.3379),(205,3755,0.11459,3.3333),(205,3765,0.12038,3.3285),(205,3775,0.12616,3.3233),(205,3785,0.13244,3.318),(205,3795,0.13997,3.3128),(205,3805,0.14749,3.3073),(205,3815,0.15502,3.3012),(205,3825,0.16332,3.2951),(205,3835,0.17326,3.2891),(205,3845,0.1832,3.2825),(205,3855,0.19314,3.2752),(205,3865,0.20427,3.2679),(205,3875,0.21751,3.2605),(205,3885,0.23074,3.2525),(205,3895,0.24397,3.2433),(205,3905,0.27958,3.2341),(205,3915,0.3486,3.225),(205,3925,0.41762,3.2092),(205,3935,0.48665,3.1843),(205,3945,0.52897,3.1594),(205,3955,0.53739,3.1346),(205,3965,0.54582,3.1075),(205,3975,0.55424,3.0779),(205,3985,0.5399,3.0483),(205,3995,0.50091,3.0187),(205,4005,0.46192,2.9949),(205,4015,0.42293,2.9769),(205,4025,0.38558,2.9588),(205,4035,0.34839,2.9428),(205,4045,0.3112,2.9312),(205,4055,0.27281,2.9196),(205,4065,0.23399,2.9086),(205,4075,0.19516,2.9015),(205,4085,0.1567,2.8944),(205,4095,0.11852,2.8874),(205,4105,0.080353,2.8834),(205,4115,0.044266,2.8796),(205,4125,0.011637,2.8758),(205,4135,-0.020992,2.8723),(205,4145,-0.03538,2.869),(205,4155,0.024122,2.8656),(205,4165,0.083623,2.8615),(205,4175,0.14198,2.8571),(205,4185,0.14373,2.8527),(205,4195,0.14547,2.8459),(205,4205,0.14722,2.836),(205,4215,0.1117,2.8262),(205,4225,0.069156,2.8189),(205,4235,0.026616,2.8189),(205,4245,-0.001811,2.8189),(205,4255,-0.023078,2.8192),(205,4265,-0.044345,2.8227),(205,4275,-0.046291,2.8263),(205,4285,-0.027735,2.8298),(205,4295,-0.009179,2.8298),(205,4305,0.050931,2.8293),(205,4315,0.20487,2.8289),(205,4325,0.35882,2.8106),(205,4335,0.48462,2.7853),(205,4345,0.41999,2.7599),(205,4355,0.35535,2.7394),(205,4365,0.29072,2.7228),(205,4375,0.21174,2.7062),(205,4385,0.13201,2.6963),(205,4395,0.052281,2.6981),(205,4405,0.00276,2.6999),(205,4415,-0.037853,2.7024),(205,4425,-0.078466,2.7081),(205,4435,-0.025176,2.7139),(205,4445,0.092286,2.7196),(205,4455,0.20975,2.7073),(205,4465,0.28353,2.6951),(205,4475,0.29595,2.6829),(205,4485,0.30837,2.6627),(205,4495,0.29492,2.6409),(205,4505,0.19847,2.6191),(205,4515,0.10201,2.6101),(205,4525,0.005622,2.608),(205,4535,-0.089745,2.6059),(205,4545,-0.18511,2.6102),(205,4555,-0.28048,2.6216),(205,4565,-0.18621,2.633),(205,4575,-0.066364,2.6402),(205,4585,0.053477,2.6371),(205,4595,0.12966,2.634),(205,4605,0.1874,2.6293),(205,4615,0.24514,2.6122),(205,4625,0.24429,2.5951),(205,4635,0.19038,2.578),(205,4645,0.13647,2.5708),(205,4655,0.061542,2.5642),(205,4665,-0.053015,2.5577),(205,4675,-0.16757,2.5742),(205,4685,-0.26032,2.598),(205,4695,-0.2453,2.6219),(205,4705,-0.23027,2.6386),(205,4715,-0.21525,2.6499),(205,4725,-0.007461,2.6613),(205,4735,0.20226,2.6585),(205,4745,0.41198,2.6343),(205,4755,0.3977,2.6102),(205,4765,0.33151,2.5873),(205,4775,0.26532,2.569),(205,4785,0.14149,2.5507),(205,4795,-0.015658,2.5338),(205,4805,-0.17281,2.5478),(205,4815,-0.29139,2.5618),(205,4825,-0.36384,2.5758),(205,4835,-0.4363,2.5991),(205,4845,-0.42011,2.6238),(205,4855,-0.17283,2.6485),(205,4865,0.074461,2.6469),(205,4875,0.3062,2.6334),(205,4885,0.39652,2.62),(205,4895,0.48685,2.5896),(205,4905,0.57717,2.5431),(205,4915,0.43817,2.4965),(205,4925,0.27946,2.4618),(205,4935,0.12074,2.4508),(205,4945,-0.01175,2.4398),(205,4955,-0.13515,2.4332),(205,4965,-0.25854,2.4511),(205,4975,-0.27795,2.4691),(205,4985,-0.21707,2.487),(205,4995,-0.1562,2.4883),(205,5005,-0.078878,2.4892),(205,5015,0.024596,2.49),(205,5025,0.12807,2.4816),(205,5035,0.18322,2.4707),(205,5045,0.05427,2.4598),(205,5055,-0.07468,2.4558),(205,5065,-0.20455,2.4561),(205,5075,-0.36437,2.4563),(205,5085,-0.5242,2.468),(205,5095,-0.68403,2.4944),(205,5105,-0.68262,2.5207),(205,5115,-0.65309,2.545),(205,5125,-0.62356,2.5634),(205,5135,-0.39413,2.5818),(205,5145,-0.067701,2.5976),(205,5155,0.25873,2.5834),(205,5165,0.45828,2.5693),(205,5175,0.52841,2.5551),(205,5185,0.59855,2.5201),(205,5195,0.59648,2.4829),(205,5205,0.43873,2.4456),(205,5215,0.28098,2.426),(205,5225,0.12249,2.4129),(205,5235,-0.040664,2.3998),(205,5245,-0.20382,2.3992),(205,5255,-0.36697,2.4087),(205,5265,-0.24163,2.4183),(205,5275,-0.1044,2.4274),(205,5285,0.032831,2.4355),(205,5295,0.15392,2.4436),(205,5305,0.27051,2.4452),(205,5315,0.3871,2.4197),(205,5325,0.35034,2.3942),(205,5335,0.21304,2.3688),(205,5345,0.07573,2.3514),(205,5355,-0.094354,2.334),(205,5365,-0.30865,2.3167),(205,5375,-0.52295,2.3234),(205,5385,-0.65677,2.3348),(205,5395,-0.54593,2.3462),(205,5405,-0.43508,2.3507),(205,5415,-0.30888,2.3516),(205,5425,0.023583,2.3525),(205,5435,0.35605,2.3397),(205,5445,0.68852,2.312),(205,5455,0.76441,2.2844),(205,5465,0.80895,2.2522),(205,5475,0.85348,2.2094),(205,5485,0.82274,2.1667),(205,5495,0.76167,2.1253),(205,5505,0.7006,2.0942),(205,5515,0.64543,2.063),(205,5525,0.59539,2.0318),(205,5535,0.54535,2.0092),(205,5545,0.49918,1.987),(205,5555,0.46,1.9649),(205,5565,0.42082,1.9463),(205,5575,0.38349,1.9287),(205,5585,0.35467,1.9111),(205,5595,0.32585,1.8941),(205,5605,0.29703,1.8775),(205,5615,0.27652,1.8609),(205,5625,0.25602,1.8442),(205,5635,0.23551,1.8274),(205,5645,0.21985,1.8106),(205,5655,0.20524,1.7937),(205,5665,0.19062,1.7762),(205,5675,0.1785,1.7588),(205,5685,0.16775,1.7413),(205,5695,0.15701,1.7231),(205,5705,0.14726,1.7049),(205,5715,0.13867,1.6867),(205,5725,0.13007,1.6678),(205,5735,0.12168,1.6488),(205,5745,0.11379,1.6298),(205,5755,0.1059,1.6104),(205,5765,0.097955,1.5907),(205,5775,0.08959,1.5711),(205,5785,0.081226,1.551),(205,5795,0.072861,1.5306),(205,5805,0.06308,1.5102),(205,5815,0.053195,1.4897),(205,5825,0.043309,1.4691),(205,5835,0.031519,1.4485),(205,5845,0.019103,1.4279),(205,5855,0.006687,1.4074),(205,5865,-0.007715,1.387),(205,5875,-0.023589,1.3665),(205,5885,-0.039464,1.3469),(205,5895,-0.057076,1.3272),(205,5905,-0.077337,1.3075),(205,5915,-0.097598,1.2896),(205,5925,-0.11898,1.2721),(205,5935,-0.14438,1.2545),(205,5945,-0.16978,1.2388),(205,5955,-0.19537,1.224),(205,5965,-0.22533,1.2092),(205,5975,-0.25529,1.1949),(205,5985,-0.28525,1.1813),(205,5995,-0.22408,1.1676),(205,6005,-0.14823,1.1567),(205,6015,-0.072389,1.1531),(205,6025,0.034591,1.1496),(205,6035,0.15601,1.145),(205,6045,0.27743,1.1292),(205,6055,0.34312,1.1135),(205,6065,0.35416,1.0978),(205,6075,0.36521,1.0739),(205,6085,0.36676,1.0492),(205,6095,0.34874,1.0246),(205,6105,0.33073,1.0008),(205,6115,0.31337,0.97733),(205,6125,0.29979,0.95387),(205,6135,0.2862,0.93123),(205,6145,0.27262,0.90924),(205,6155,0.26213,0.88725),(205,6165,0.25174,0.86549),(205,6175,0.24135,0.8441),(205,6185,0.23283,0.82271),(205,6195,0.22481,0.80147),(205,6205,0.21679,0.78079),(205,6215,0.20989,0.76011),(205,6225,0.2037,0.73945),(205,6235,0.19751,0.71945),(205,6245,0.1919,0.69945),(205,6255,0.18703,0.67945),(205,6265,0.18215,0.65965),(205,6275,0.17755,0.63988),(205,6285,0.17373,0.62011),(205,6295,0.16991,0.60047),(205,6305,0.16615,0.58091),(205,6315,0.16315,0.56134),(205,6325,0.16014,0.5419),(205,6335,0.15714,0.5226),(205,6345,0.15466,0.5033),(205,6355,0.15225,0.48404),(205,6365,0.14983,0.46487),(205,6375,0.14778,0.44571),(205,6385,0.14587,0.42655),(205,6395,0.14395,0.40747),(205,6405,0.14227,0.3884),(205,6415,0.14078,0.36932),(205,6425,0.1393,0.35033),(205,6435,0.13793,0.33135),(205,6445,0.13679,0.31236),(205,6455,0.13564,0.29341),(205,6465,0.13454,0.27448),(205,6475,0.13369,0.25554),(205,6485,0.13284,0.23662),(205,6495,0.13198,0.21773),(205,6505,0.13133,0.19883),(205,6515,0.13068,0.17992),(205,6525,0.13002,0.16099),(205,6535,0.1295,0.14206),(205,6545,0.129,0.12318),(205,6555,0.1285,0.10444),(205,6565,0.12802,0.085711),(205,6575,0.12756,0.066986),(205,6585,0.1271,0.048388),(205,6595,0.10789,0.029789),(205,6605,0.067992,0.01119),(205,6615,0.028092,0.009169),(205,6625,4.3e-05,0.009277),(205,6635,4.4e-05,0.009386),(205,6645,4.5e-05,0.009415),(205,6655,4.5e-05,0.009411),(205,6665,4.6e-05,0.009407),(205,6675,4.7e-05,0.009402),(205,6685,4.8e-05,0.009396),(205,6695,4.8e-05,0.009391),(205,6705,4.9e-05,0.009385),(205,6715,5e-05,0.00938),(205,6725,5e-05,0.009374),(205,6735,5.1e-05,0.009369),(205,6745,5.2e-05,0.009363),(205,6755,5.2e-05,0.009358),(205,6765,5.3e-05,0.009352),(205,6775,5.4e-05,0.009346),(205,6785,5.4e-05,0.009341),(205,6795,5.5e-05,0.009335),(205,6805,5.5e-05,0.009329),(205,6815,5.6e-05,0.009323),(205,6825,5.6e-05,0.009317),(205,6835,5.7e-05,0.009312),(205,6845,5.7e-05,0.009306),(205,6855,5.8e-05,0.0093),(205,6865,5.8e-05,0.009294),(205,6875,5.9e-05,0.009288),(205,6885,5.9e-05,0.009281),(205,6895,6e-05,0.009275),(205,6905,6e-05,0.009269),(205,6915,6.1e-05,0.009263),(205,6925,6.1e-05,0.009256),(205,6935,6.1e-05,0.00925),(205,6945,6.2e-05,0.009244),(205,6955,6.2e-05,0.009237),(205,6965,6.3e-05,0.009231),(205,6975,6.3e-05,0.009225),(205,6985,6.3e-05,0.009218),(215,5,1.1e-05,3.6649),(215,15,3.4e-05,3.6649),(215,25,5.6e-05,3.6649),(215,35,7.9e-05,3.6649),(215,45,0.000101,3.6649),(215,55,0.000124,3.6649),(215,65,0.000147,3.6649),(215,75,0.000169,3.6648),(215,85,0.000192,3.6648),(215,95,0.000214,3.6648),(215,105,0.000237,3.6648),(215,115,0.00026,3.6648),(215,125,0.000282,3.6647),(215,135,0.000305,3.6647),(215,145,0.000328,3.6647),(215,155,0.00035,3.6646),(215,165,0.000373,3.6646),(215,175,0.000396,3.6646),(215,185,0.000419,3.6645),(215,195,0.000442,3.6645),(215,205,0.000465,3.6644),(215,215,0.000488,3.6644),(215,225,0.000511,3.6644),(215,235,0.000534,3.6643),(215,245,0.000557,3.6643),(215,255,0.00058,3.6642),(215,265,0.000603,3.6641),(215,275,0.000626,3.6641),(215,285,0.00065,3.664),(215,295,0.000673,3.664),(215,305,0.000697,3.6639),(215,315,0.00072,3.6638),(215,325,0.000744,3.6638),(215,335,0.000767,3.6637),(215,345,0.000791,3.6636),(215,355,0.000815,3.6635),(215,365,0.000839,3.6635),(215,375,0.000863,3.6634),(215,385,0.000887,3.6633),(215,395,0.000911,3.6632),(215,405,0.000935,3.6631),(215,415,0.000959,3.663),(215,425,0.000983,3.6629),(215,435,0.001008,3.6628),(215,445,0.001032,3.6627),(215,455,0.001057,3.6626),(215,465,0.001081,3.6625),(215,475,0.001107,3.6624),(215,485,0.001131,3.6623),(215,495,0.001156,3.6622),(215,505,0.001182,3.6621),(215,515,0.001207,3.662),(215,525,0.001233,3.6619),(215,535,0.001258,3.6618),(215,545,0.001284,3.6616),(215,555,0.00131,3.6615),(215,565,0.001336,3.6614),(215,575,0.001362,3.6613),(215,585,0.001388,3.6611),(215,595,0.001414,3.661),(215,605,0.00144,3.6609),(215,615,0.001466,3.6607),(215,625,0.001493,3.6606),(215,635,0.00152,3.6605),(215,645,0.001546,3.6603),(215,655,0.001573,3.6602),(215,665,0.0016,3.66),(215,675,0.001627,3.6599),(215,685,0.001655,3.6597),(215,695,0.001682,3.6595),(215,705,0.00171,3.6594),(215,715,0.001738,3.6592),(215,725,0.001765,3.659),(215,735,0.001793,3.6589),(215,745,0.001822,3.6587),(215,755,0.00185,3.6585),(215,765,0.001879,3.6583),(215,775,0.001907,3.6582),(215,785,0.001936,3.658),(215,795,0.001965,3.6578),(215,805,0.001994,3.6576),(215,815,0.002023,3.6574),(215,825,0.002053,3.6572),(215,835,0.002083,3.657),(215,845,0.002112,3.6568),(215,855,0.002142,3.6566),(215,865,0.002172,3.6564),(215,875,0.002203,3.6562),(215,885,0.002233,3.656),(215,895,0.002264,3.6558),(215,905,0.002295,3.6556),(215,915,0.002326,3.6554),(215,925,0.002357,3.6551),(215,935,0.002388,3.6549),(215,945,0.00242,3.6547),(215,955,0.002452,3.6544),(215,965,0.002483,3.6542),(215,975,0.002515,3.654),(215,985,0.002548,3.6537),(215,995,0.00258,3.6535),(215,1005,0.002613,3.6532),(215,1015,0.002646,3.653),(215,1025,0.002679,3.6527),(215,1035,0.002712,3.6525),(215,1045,0.002745,3.6522),(215,1055,0.002779,3.652),(215,1065,0.002813,3.6517),(215,1075,0.002847,3.6514),(215,1085,0.002881,3.6512),(215,1095,0.002916,3.6509),(215,1105,0.00295,3.6506),(215,1115,0.002985,3.6503),(215,1125,0.00302,3.65),(215,1135,0.003055,3.6497),(215,1145,0.003091,3.6495),(215,1155,0.003126,3.6492),(215,1165,0.003162,3.6489),(215,1175,0.003198,3.6486),(215,1185,0.003234,3.6483),(215,1195,0.003271,3.6479),(215,1205,0.003308,3.6476),(215,1215,0.003345,3.6473),(215,1225,0.003382,3.647),(215,1235,0.00342,3.6467),(215,1245,0.003457,3.6463),(215,1255,0.003495,3.646),(215,1265,0.003534,3.6457),(215,1275,0.003572,3.6453),(215,1285,0.00361,3.645),(215,1295,0.003649,3.6447),(215,1305,0.003688,3.6443),(215,1315,0.003727,3.644),(215,1325,0.003766,3.6436),(215,1335,0.003805,3.6432),(215,1345,0.003845,3.6429),(215,1355,0.003885,3.6425),(215,1365,0.003925,3.6421),(215,1375,0.003966,3.6418),(215,1385,0.004007,3.6414),(215,1395,0.004048,3.641),(215,1405,0.004089,3.6406),(215,1415,0.004131,3.6402),(215,1425,0.004172,3.6398),(215,1435,0.004214,3.6394),(215,1445,0.004256,3.639),(215,1455,0.004299,3.6386),(215,1465,0.004342,3.6382),(215,1475,0.004384,3.6378),(215,1485,0.004427,3.6374),(215,1495,0.00447,3.637),(215,1505,0.004514,3.6365),(215,1515,0.004558,3.6361),(215,1525,0.004601,3.6357),(215,1535,0.004646,3.6352),(215,1545,0.00469,3.6348),(215,1555,0.004735,3.6343),(215,1565,0.004779,3.6339),(215,1575,0.004825,3.6334),(215,1585,0.00487,3.633),(215,1595,0.004916,3.6325),(215,1605,0.004961,3.632),(215,1615,0.005008,3.6315),(215,1625,0.005054,3.6311),(215,1635,0.005101,3.6306),(215,1645,0.005148,3.6301),(215,1655,0.005195,3.6296),(215,1665,0.005242,3.6291),(215,1675,0.00529,3.6286),(215,1685,0.005337,3.6281),(215,1695,0.005386,3.6276),(215,1705,0.005434,3.6271),(215,1715,0.005482,3.6266),(215,1725,0.00553,3.626),(215,1735,0.00558,3.6255),(215,1745,0.005629,3.625),(215,1755,0.005678,3.6244),(215,1765,0.005727,3.6239),(215,1775,0.005777,3.6233),(215,1785,0.005827,3.6228),(215,1795,0.005877,3.6222),(215,1805,0.005928,3.6217),(215,1815,0.005979,3.6211),(215,1825,0.00603,3.6205),(215,1835,0.006081,3.62),(215,1845,0.006132,3.6194),(215,1855,0.006184,3.6188),(215,1865,0.006236,3.6182),(215,1875,0.006287,3.6176),(215,1885,0.00634,3.617),(215,1895,0.006392,3.6164),(215,1905,0.006445,3.6158),(215,1915,0.006498,3.6152),(215,1925,0.006551,3.6146),(215,1935,0.006605,3.6139),(215,1945,0.006659,3.6133),(215,1955,0.006713,3.6127),(215,1965,0.006767,3.612),(215,1975,0.006822,3.6114),(215,1985,0.006877,3.6107),(215,1995,0.006932,3.6101),(215,2005,0.006987,3.6094),(215,2015,0.007043,3.6087),(215,2025,0.007099,3.6081),(215,2035,0.007154,3.6074),(215,2045,0.007211,3.6067),(215,2055,0.007268,3.606),(215,2065,0.007325,3.6053),(215,2075,0.007381,3.6046),(215,2085,0.007439,3.6039),(215,2095,0.007497,3.6032),(215,2105,0.007554,3.6025),(215,2115,0.007612,3.6018),(215,2125,0.007671,3.6011),(215,2135,0.00773,3.6003),(215,2145,0.007788,3.5996),(215,2155,0.007847,3.5988),(215,2165,0.007907,3.5981),(215,2175,0.007966,3.5973),(215,2185,0.008026,3.5966),(215,2195,0.008086,3.5958),(215,2205,0.008147,3.595),(215,2215,0.008208,3.5943),(215,2225,0.008269,3.5935),(215,2235,0.00833,3.5927),(215,2245,0.008392,3.5919),(215,2255,0.008455,3.5911),(215,2265,0.008517,3.5903),(215,2275,0.00858,3.5895),(215,2285,0.008643,3.5887),(215,2295,0.008707,3.5879),(215,2305,0.008771,3.587),(215,2315,0.008835,3.5862),(215,2325,0.008901,3.5854),(215,2335,0.008966,3.5845),(215,2345,0.009031,3.5837),(215,2355,0.009097,3.5828),(215,2365,0.009164,3.582),(215,2375,0.009231,3.5811),(215,2385,0.009298,3.5802),(215,2395,0.009365,3.5793),(215,2405,0.009434,3.5784),(215,2415,0.009503,3.5776),(215,2425,0.009572,3.5767),(215,2435,0.009641,3.5757),(215,2445,0.009712,3.5748),(215,2455,0.009784,3.5739),(215,2465,0.009855,3.573),(215,2475,0.009926,3.5721),(215,2485,0.01,3.5711),(215,2495,0.010074,3.5702),(215,2505,0.010147,3.5692),(215,2515,0.010221,3.5683),(215,2525,0.010298,3.5673),(215,2535,0.010375,3.5664),(215,2545,0.010452,3.5654),(215,2555,0.010528,3.5644),(215,2565,0.010608,3.5634),(215,2575,0.010689,3.5624),(215,2585,0.010769,3.5614),(215,2595,0.010849,3.5604),(215,2605,0.010933,3.5594),(215,2615,0.011017,3.5584),(215,2625,0.011101,3.5573),(215,2635,0.011186,3.5563),(215,2645,0.011274,3.5553),(215,2655,0.011363,3.5542),(215,2665,0.011452,3.5532),(215,2675,0.011541,3.5521),(215,2685,0.011635,3.551),(215,2695,0.011729,3.55),(215,2705,0.011823,3.5489),(215,2715,0.011918,3.5478),(215,2725,0.012018,3.5467),(215,2735,0.012118,3.5456),(215,2745,0.012218,3.5445),(215,2755,0.01232,3.5433),(215,2765,0.012427,3.5422),(215,2775,0.012535,3.5411),(215,2785,0.012642,3.5399),(215,2795,0.012752,3.5388),(215,2805,0.012869,3.5376),(215,2815,0.012985,3.5365),(215,2825,0.013101,3.5353),(215,2835,0.013221,3.5341),(215,2845,0.013348,3.5329),(215,2855,0.013475,3.5317),(215,2865,0.013601,3.5305),(215,2875,0.013733,3.5293),(215,2885,0.013871,3.528),(215,2895,0.01401,3.5268),(215,2905,0.014149,3.5255),(215,2915,0.014294,3.5243),(215,2925,0.014448,3.523),(215,2935,0.014601,3.5218),(215,2945,0.014755,3.5205),(215,2955,0.014916,3.5192),(215,2965,0.015087,3.5179),(215,2975,0.015258,3.5166),(215,2985,0.015429,3.5152),(215,2995,0.01561,3.5139),(215,3005,0.015802,3.5125),(215,3015,0.015994,3.5112),(215,3025,0.016185,3.5098),(215,3035,0.01639,3.5084),(215,3045,0.016607,3.507),(215,3055,0.016823,3.5056),(215,3065,0.01704,3.5042),(215,3075,0.017274,3.5028),(215,3085,0.01752,3.5013),(215,3095,0.017766,3.4999),(215,3105,0.018013,3.4984),(215,3115,0.018281,3.4969),(215,3125,0.018563,3.4954),(215,3135,0.018846,3.4939),(215,3145,0.019128,3.4923),(215,3155,0.019438,3.4908),(215,3165,0.019764,3.4892),(215,3175,0.020089,3.4877),(215,3185,0.020415,3.486),(215,3195,0.020776,3.4844),(215,3205,0.021153,3.4828),(215,3215,0.021531,3.4812),(215,3225,0.021908,3.4795),(215,3235,0.022332,3.4778),(215,3245,0.022773,3.4761),(215,3255,0.023213,3.4744),(215,3265,0.023654,3.4726),(215,3275,0.024154,3.4708),(215,3285,0.024672,3.4691),(215,3295,0.025189,3.4672),(215,3305,0.025707,3.4654),(215,3315,0.026301,3.4635),(215,3325,0.026912,3.4617),(215,3335,0.027524,3.4597),(215,3345,0.028136,3.4578),(215,3355,0.028845,3.4558),(215,3365,0.029572,3.4538),(215,3375,0.030299,3.4518),(215,3385,0.031026,3.4497),(215,3395,0.031879,3.4476),(215,3405,0.032748,3.4455),(215,3415,0.033617,3.4433),(215,3425,0.034486,3.4411),(215,3435,0.035518,3.4389),(215,3445,0.036563,3.4367),(215,3455,0.037608,3.4343),(215,3465,0.038653,3.432),(215,3475,0.03991,3.4296),(215,3485,0.041174,3.4273),(215,3495,0.042439,3.4247),(215,3505,0.043704,3.4222),(215,3515,0.045244,3.4196),(215,3525,0.046783,3.4171),(215,3535,0.048322,3.4144),(215,3545,0.049877,3.4116),(215,3555,0.051763,3.4089),(215,3565,0.053649,3.4062),(215,3575,0.055536,3.4032),(215,3585,0.057459,3.4002),(215,3595,0.059788,3.3973),(215,3605,0.062116,3.3943),(215,3615,0.064444,3.3911),(215,3625,0.066843,3.3879),(215,3635,0.069739,3.3847),(215,3645,0.072635,3.3814),(215,3655,0.075532,3.3779),(215,3665,0.078549,3.3744),(215,3675,0.082184,3.3709),(215,3685,0.08582,3.3673),(215,3695,0.089455,3.3634),(215,3705,0.093288,3.3596),(215,3715,0.0979,3.3557),(215,3725,0.10251,3.3518),(215,3735,0.10712,3.3475),(215,3745,0.11205,3.3433),(215,3755,0.11798,3.339),(215,3765,0.1239,3.3346),(215,3775,0.12982,3.3298),(215,3785,0.13625,3.3251),(215,3795,0.14398,3.3203),(215,3805,0.1517,3.3153),(215,3815,0.15943,3.3099),(215,3825,0.16796,3.3045),(215,3835,0.17819,3.299),(215,3845,0.18843,3.2932),(215,3855,0.19866,3.2868),(215,3865,0.21013,3.2803),(215,3875,0.22378,3.2738),(215,3885,0.23743,3.2667),(215,3895,0.25109,3.2585),(215,3905,0.28797,3.2502),(215,3915,0.35955,3.242),(215,3925,0.43113,3.2243),(215,3935,0.50271,3.1936),(215,3945,0.54712,3.1629),(215,3955,0.55701,3.1322),(215,3965,0.56691,3.1023),(215,3975,0.5768,3.0734),(215,3985,0.56191,3.0444),(215,3995,0.52019,3.0154),(215,4005,0.47847,2.9931),(215,4015,0.43675,2.9774),(215,4025,0.3977,2.9618),(215,4035,0.35891,2.9486),(215,4045,0.32012,2.9407),(215,4055,0.2802,2.9327),(215,4065,0.23987,2.9249),(215,4075,0.19954,2.9185),(215,4085,0.15999,2.912),(215,4095,0.12107,2.9056),(215,4105,0.082149,2.9022),(215,4115,0.045889,2.899),(215,4125,0.01404,2.8958),(215,4135,-0.017808,2.8962),(215,4145,-0.031728,2.8975),(215,4155,0.026974,2.8988),(215,4165,0.085675,2.8937),(215,4175,0.14328,2.8845),(215,4185,0.1468,2.8754),(215,4195,0.15032,2.8654),(215,4205,0.15384,2.8543),(215,4215,0.11651,2.8432),(215,4225,0.071492,2.8352),(215,4235,0.026476,2.8365),(215,4245,-0.003218,2.8378),(215,4255,-0.025137,2.8395),(215,4265,-0.047056,2.846),(215,4275,-0.04869,2.8526),(215,4285,-0.028798,2.8591),(215,4295,-0.008906,2.8618),(215,4305,0.053939,2.8641),(215,4315,0.21377,2.8664),(215,4325,0.3736,2.8453),(215,4335,0.50428,2.815),(215,4345,0.43762,2.7847),(215,4355,0.37096,2.7615),(215,4365,0.3043,2.7443),(215,4375,0.2204,2.727),(215,4385,0.13561,2.7174),(215,4395,0.050815,2.7212),(215,4405,-0.000108,2.7249),(215,4415,-0.041043,2.7302),(215,4425,-0.081977,2.7421),(215,4435,-0.026612,2.7541),(215,4445,0.094562,2.7659),(215,4455,0.21574,2.7477),(215,4465,0.293,2.7295),(215,4475,0.30857,2.7112),(215,4485,0.32414,2.6887),(215,4495,0.31178,2.6653),(215,4505,0.20983,2.6418),(215,4515,0.10788,2.6332),(215,4525,0.006114,2.6326),(215,4535,-0.092641,2.632),(215,4545,-0.1914,2.6395),(215,4555,-0.29015,2.6563),(215,4565,-0.19305,2.673),(215,4575,-0.069546,2.6831),(215,4585,0.053959,2.6771),(215,4595,0.13397,2.671),(215,4605,0.1956,2.6633),(215,4615,0.25723,2.6431),(215,4625,0.25662,2.6229),(215,4635,0.19964,2.6026),(215,4645,0.14267,2.5939),(215,4655,0.062716,2.5859),(215,4665,-0.060553,2.5779),(215,4675,-0.18382,2.596),(215,4685,-0.28304,2.6224),(215,4695,-0.26339,2.6488),(215,4705,-0.24374,2.67),(215,4715,-0.22408,2.6874),(215,4725,-0.00764,2.7049),(215,4735,0.21077,2.7031),(215,4745,0.42919,2.6727),(215,4755,0.41544,2.6422),(215,4765,0.34789,2.6142),(215,4775,0.28034,2.5946),(215,4785,0.14998,2.575),(215,4795,-0.016681,2.557),(215,4805,-0.18334,2.5714),(215,4815,-0.30811,2.5858),(215,4825,-0.38278,2.6002),(215,4835,-0.45745,2.6284),(215,4845,-0.44004,2.6587),(215,4855,-0.18257,2.689),(215,4865,0.074904,2.6854),(215,4875,0.31679,2.6664),(215,4885,0.41687,2.6474),(215,4895,0.51694,2.613),(215,4905,0.61702,2.5639),(215,4915,0.46938,2.5149),(215,4925,0.30043,2.4784),(215,4935,0.13148,2.4676),(215,4945,-0.00955,2.4567),(215,4955,-0.1409,2.4508),(215,4965,-0.27224,2.4722),(215,4975,-0.29195,2.4935),(215,4985,-0.22547,2.5148),(215,4995,-0.159,2.5197),(215,5005,-0.077696,2.5242),(215,5015,0.027177,2.5287),(215,5025,0.13205,2.5153),(215,5035,0.18766,2.4973),(215,5045,0.055587,2.4792),(215,5055,-0.076487,2.4703),(215,5065,-0.20961,2.4669),(215,5075,-0.37701,2.4634),(215,5085,-0.5444,2.4726),(215,5095,-0.7118,2.4977),(215,5105,-0.70828,2.5229),(215,5115,-0.67495,2.5477),(215,5125,-0.64161,2.5715),(215,5135,-0.40548,2.5954),(215,5145,-0.070926,2.6155),(215,5155,0.26363,2.5951),(215,5165,0.47053,2.5747),(215,5175,0.54723,2.5543),(215,5185,0.62394,2.5174),(215,5195,0.62412,2.4787),(215,5205,0.4593,2.44),(215,5215,0.29448,2.4213),(215,5225,0.12902,2.41),(215,5235,-0.040359,2.3987),(215,5245,-0.20974,2.4019),(215,5255,-0.37912,2.417),(215,5265,-0.25312,2.4322),(215,5275,-0.11495,2.4435),(215,5285,0.023223,2.4483),(215,5295,0.15175,2.4531),(215,5305,0.2776,2.4509),(215,5315,0.40344,2.4198),(215,5325,0.36904,2.3886),(215,5335,0.22955,2.3577),(215,5345,0.090067,2.3402),(215,5355,-0.085053,2.3227),(215,5365,-0.30824,2.3052),(215,5375,-0.53142,2.3123),(215,5385,-0.67074,2.3242),(215,5395,-0.5551,2.3361),(215,5405,-0.43947,2.3438),(215,5415,-0.30835,2.3495),(215,5425,0.030674,2.3551),(215,5435,0.3697,2.3424),(215,5445,0.70872,2.3098),(215,5455,0.78954,2.2772),(215,5465,0.83881,2.242),(215,5475,0.88808,2.2007),(215,5485,0.85638,2.1595),(215,5495,0.79208,2.1199),(215,5505,0.72777,2.0921),(215,5515,0.66946,2.0643),(215,5525,0.61636,2.0365),(215,5535,0.56326,2.0162),(215,5545,0.51458,1.9964),(215,5555,0.47386,1.9766),(215,5565,0.43315,1.9594),(215,5575,0.39446,1.943),(215,5585,0.36509,1.9266),(215,5595,0.33572,1.9104),(215,5605,0.30636,1.8943),(215,5615,0.28572,1.8782),(215,5625,0.26508,1.8619),(215,5635,0.24445,1.8452),(215,5645,0.22874,1.8285),(215,5655,0.2141,1.8116),(215,5665,0.19947,1.7941),(215,5675,0.18734,1.7766),(215,5685,0.1766,1.759),(215,5695,0.16586,1.7405),(215,5705,0.15612,1.7221),(215,5715,0.14752,1.7037),(215,5725,0.13893,1.6844),(215,5735,0.13053,1.665),(215,5745,0.12259,1.6456),(215,5755,0.11466,1.6256),(215,5765,0.10667,1.6054),(215,5775,0.098183,1.5852),(215,5785,0.089699,1.5645),(215,5795,0.081215,1.5434),(215,5805,0.071242,1.5223),(215,5815,0.061159,1.5011),(215,5825,0.051075,1.4795),(215,5835,0.038983,1.458),(215,5845,0.026231,1.4365),(215,5855,0.013478,1.4149),(215,5865,-0.001407,1.3933),(215,5875,-0.017873,1.3717),(215,5885,-0.034339,1.3506),(215,5895,-0.052662,1.3295),(215,5905,-0.073816,1.3084),(215,5915,-0.094971,1.2888),(215,5925,-0.1173,1.2695),(215,5935,-0.14386,1.2502),(215,5945,-0.17041,1.2329),(215,5955,-0.1971,1.2167),(215,5965,-0.22715,1.2005),(215,5975,-0.2572,1.1861),(215,5985,-0.28725,1.1739),(215,5995,-0.225,1.1617),(215,6005,-0.14789,1.1523),(215,6015,-0.070785,1.1504),(215,6025,0.037706,1.1484),(215,6035,0.16075,1.1449),(215,6045,0.2838,1.127),(215,6055,0.35141,1.1091),(215,6065,0.36468,1.0913),(215,6075,0.37794,1.0674),(215,6085,0.38091,1.0431),(215,6095,0.36268,1.0187),(215,6105,0.34445,0.99569),(215,6115,0.32685,0.97312),(215,6125,0.31286,0.95054),(215,6135,0.29888,0.92866),(215,6145,0.28489,0.90731),(215,6155,0.27409,0.88597),(215,6165,0.26338,0.86478),(215,6175,0.25267,0.84383),(215,6185,0.2439,0.82288),(215,6195,0.23565,0.80205),(215,6205,0.2274,0.78169),(215,6215,0.22031,0.76133),(215,6225,0.21397,0.74098),(215,6235,0.20762,0.72115),(215,6245,0.20186,0.70132),(215,6255,0.19684,0.68149),(215,6265,0.19183,0.6618),(215,6275,0.18709,0.64214),(215,6285,0.18316,0.62248),(215,6295,0.17922,0.60292),(215,6305,0.17535,0.58341),(215,6315,0.17227,0.5639),(215,6325,0.16919,0.54449),(215,6335,0.1661,0.52518),(215,6345,0.16357,0.50586),(215,6355,0.1611,0.48658),(215,6365,0.15863,0.46738),(215,6375,0.15652,0.44817),(215,6385,0.15456,0.42897),(215,6395,0.15259,0.40984),(215,6405,0.15086,0.3907),(215,6415,0.14934,0.37157),(215,6425,0.14781,0.35249),(215,6435,0.14641,0.33342),(215,6445,0.14523,0.31435),(215,6455,0.14405,0.29531),(215,6465,0.14293,0.27628),(215,6475,0.14206,0.25725),(215,6485,0.14119,0.23823),(215,6495,0.14032,0.2192),(215,6505,0.13967,0.20018),(215,6515,0.13902,0.18115),(215,6525,0.13837,0.16209),(215,6535,0.13788,0.14302),(215,6545,0.13741,0.124),(215,6555,0.13695,0.10507),(215,6565,0.13649,0.086138),(215,6575,0.13603,0.067215),(215,6585,0.13558,0.048372),(215,6595,0.11511,0.029529),(215,6605,0.072539,0.010686),(215,6615,0.02997,0.008785),(215,6625,4.6e-05,0.009062),(215,6635,4.6e-05,0.009338),(215,6645,4.7e-05,0.009416),(215,6655,4.8e-05,0.009412),(215,6665,4.9e-05,0.009408),(215,6675,4.9e-05,0.009403),(215,6685,5e-05,0.009397),(215,6695,5.1e-05,0.009391),(215,6705,5.1e-05,0.009386),(215,6715,5.2e-05,0.00938),(215,6725,5.3e-05,0.009375),(215,6735,5.4e-05,0.009369),(215,6745,5.4e-05,0.009364),(215,6755,5.5e-05,0.009358),(215,6765,5.6e-05,0.009353),(215,6775,5.6e-05,0.009347),(215,6785,5.7e-05,0.009341),(215,6795,5.7e-05,0.009336),(215,6805,5.8e-05,0.00933),(215,6815,5.9e-05,0.009324),(215,6825,5.9e-05,0.009318),(215,6835,6e-05,0.009312),(215,6845,6e-05,0.009306),(215,6855,6.1e-05,0.0093),(215,6865,6.1e-05,0.009294),(215,6875,6.2e-05,0.009288),(215,6885,6.2e-05,0.009282),(215,6895,6.3e-05,0.009276),(215,6905,6.3e-05,0.009269),(215,6915,6.4e-05,0.009263),(215,6925,6.4e-05,0.009257),(215,6935,6.4e-05,0.009251),(215,6945,6.5e-05,0.009244),(215,6955,6.5e-05,0.009238),(215,6965,6.6e-05,0.009232),(215,6975,6.6e-05,0.009225),(215,6985,6.6e-05,0.009218),(225,5,1.2e-05,3.6649),(225,15,3.5e-05,3.6649),(225,25,5.9e-05,3.6649),(225,35,8.2e-05,3.6649),(225,45,0.000106,3.6649),(225,55,0.00013,3.6649),(225,65,0.000153,3.6649),(225,75,0.000177,3.6649),(225,85,0.000201,3.6648),(225,95,0.000224,3.6648),(225,105,0.000248,3.6648),(225,115,0.000272,3.6648),(225,125,0.000295,3.6648),(225,135,0.000319,3.6647),(225,145,0.000343,3.6647),(225,155,0.000367,3.6647),(225,165,0.00039,3.6646),(225,175,0.000414,3.6646),(225,185,0.000438,3.6646),(225,195,0.000462,3.6645),(225,205,0.000487,3.6645),(225,215,0.000511,3.6644),(225,225,0.000535,3.6644),(225,235,0.000559,3.6643),(225,245,0.000583,3.6643),(225,255,0.000607,3.6642),(225,265,0.000631,3.6642),(225,275,0.000655,3.6641),(225,285,0.00068,3.6641),(225,295,0.000704,3.664),(225,305,0.000729,3.6639),(225,315,0.000753,3.6639),(225,325,0.000778,3.6638),(225,335,0.000802,3.6637),(225,345,0.000827,3.6636),(225,355,0.000852,3.6636),(225,365,0.000877,3.6635),(225,375,0.000902,3.6634),(225,385,0.000928,3.6633),(225,395,0.000953,3.6632),(225,405,0.000978,3.6631),(225,415,0.001003,3.6631),(225,425,0.001029,3.663),(225,435,0.001054,3.6629),(225,445,0.00108,3.6628),(225,455,0.001105,3.6627),(225,465,0.001131,3.6626),(225,475,0.001157,3.6625),(225,485,0.001184,3.6624),(225,495,0.00121,3.6623),(225,505,0.001236,3.6621),(225,515,0.001263,3.662),(225,525,0.001289,3.6619),(225,535,0.001316,3.6618),(225,545,0.001343,3.6617),(225,555,0.00137,3.6616),(225,565,0.001397,3.6614),(225,575,0.001424,3.6613),(225,585,0.001452,3.6612),(225,595,0.001479,3.661),(225,605,0.001506,3.6609),(225,615,0.001534,3.6608),(225,625,0.001562,3.6606),(225,635,0.001589,3.6605),(225,645,0.001617,3.6603),(225,655,0.001645,3.6602),(225,665,0.001674,3.66),(225,675,0.001702,3.6599),(225,685,0.001731,3.6597),(225,695,0.001759,3.6596),(225,705,0.001788,3.6594),(225,715,0.001818,3.6592),(225,725,0.001847,3.6591),(225,735,0.001876,3.6589),(225,745,0.001906,3.6587),(225,755,0.001935,3.6586),(225,765,0.001965,3.6584),(225,775,0.001995,3.6582),(225,785,0.002025,3.658),(225,795,0.002056,3.6578),(225,805,0.002086,3.6576),(225,815,0.002116,3.6575),(225,825,0.002148,3.6573),(225,835,0.002178,3.6571),(225,845,0.00221,3.6569),(225,855,0.002241,3.6567),(225,865,0.002273,3.6565),(225,875,0.002304,3.6563),(225,885,0.002336,3.656),(225,895,0.002368,3.6558),(225,905,0.002401,3.6556),(225,915,0.002433,3.6554),(225,925,0.002465,3.6552),(225,935,0.002498,3.6549),(225,945,0.002531,3.6547),(225,955,0.002565,3.6545),(225,965,0.002598,3.6542),(225,975,0.002631,3.654),(225,985,0.002665,3.6538),(225,995,0.002699,3.6535),(225,1005,0.002733,3.6533),(225,1015,0.002768,3.653),(225,1025,0.002802,3.6528),(225,1035,0.002837,3.6525),(225,1045,0.002872,3.6523),(225,1055,0.002907,3.652),(225,1065,0.002943,3.6517),(225,1075,0.002978,3.6515),(225,1085,0.003014,3.6512),(225,1095,0.00305,3.6509),(225,1105,0.003086,3.6506),(225,1115,0.003123,3.6504),(225,1125,0.003159,3.6501),(225,1135,0.003196,3.6498),(225,1145,0.003233,3.6495),(225,1155,0.00327,3.6492),(225,1165,0.003308,3.6489),(225,1175,0.003345,3.6486),(225,1185,0.003384,3.6483),(225,1195,0.003422,3.648),(225,1205,0.00346,3.6477),(225,1215,0.003499,3.6474),(225,1225,0.003538,3.647),(225,1235,0.003577,3.6467),(225,1245,0.003617,3.6464),(225,1255,0.003656,3.6461),(225,1265,0.003696,3.6457),(225,1275,0.003736,3.6454),(225,1285,0.003776,3.645),(225,1295,0.003817,3.6447),(225,1305,0.003858,3.6443),(225,1315,0.003899,3.644),(225,1325,0.00394,3.6436),(225,1335,0.003981,3.6433),(225,1345,0.004023,3.6429),(225,1355,0.004065,3.6425),(225,1365,0.004106,3.6422),(225,1375,0.004149,3.6418),(225,1385,0.004192,3.6414),(225,1395,0.004235,3.641),(225,1405,0.004278,3.6407),(225,1415,0.004321,3.6403),(225,1425,0.004365,3.6399),(225,1435,0.004409,3.6395),(225,1445,0.004453,3.6391),(225,1455,0.004497,3.6387),(225,1465,0.004542,3.6383),(225,1475,0.004587,3.6378),(225,1485,0.004632,3.6374),(225,1495,0.004677,3.637),(225,1505,0.004723,3.6366),(225,1515,0.004768,3.6361),(225,1525,0.004814,3.6357),(225,1535,0.004861,3.6353),(225,1545,0.004907,3.6348),(225,1555,0.004954,3.6344),(225,1565,0.005,3.6339),(225,1575,0.005048,3.6335),(225,1585,0.005096,3.633),(225,1595,0.005143,3.6325),(225,1605,0.005191,3.6321),(225,1615,0.00524,3.6316),(225,1625,0.005288,3.6311),(225,1635,0.005337,3.6306),(225,1645,0.005385,3.6301),(225,1655,0.005435,3.6297),(225,1665,0.005485,3.6292),(225,1675,0.005534,3.6287),(225,1685,0.005584,3.6281),(225,1695,0.005635,3.6276),(225,1705,0.005685,3.6271),(225,1715,0.005736,3.6266),(225,1725,0.005786,3.6261),(225,1735,0.005838,3.6256),(225,1745,0.005889,3.625),(225,1755,0.005941,3.6245),(225,1765,0.005992,3.6239),(225,1775,0.006045,3.6234),(225,1785,0.006097,3.6229),(225,1795,0.006149,3.6223),(225,1805,0.006202,3.6217),(225,1815,0.006255,3.6212),(225,1825,0.006309,3.6206),(225,1835,0.006362,3.62),(225,1845,0.006416,3.6194),(225,1855,0.00647,3.6189),(225,1865,0.006524,3.6183),(225,1875,0.006579,3.6177),(225,1885,0.006633,3.6171),(225,1895,0.006688,3.6165),(225,1905,0.006744,3.6159),(225,1915,0.006799,3.6152),(225,1925,0.006855,3.6146),(225,1935,0.006911,3.614),(225,1945,0.006967,3.6134),(225,1955,0.007023,3.6127),(225,1965,0.00708,3.6121),(225,1975,0.007137,3.6114),(225,1985,0.007195,3.6108),(225,1995,0.007252,3.6101),(225,2005,0.00731,3.6095),(225,2015,0.007369,3.6088),(225,2025,0.007427,3.6081),(225,2035,0.007485,3.6074),(225,2045,0.007544,3.6068),(225,2055,0.007604,3.6061),(225,2065,0.007663,3.6054),(225,2075,0.007723,3.6047),(225,2085,0.007783,3.604),(225,2095,0.007843,3.6033),(225,2105,0.007904,3.6026),(225,2115,0.007964,3.6018),(225,2125,0.008026,3.6011),(225,2135,0.008087,3.6004),(225,2145,0.008149,3.5996),(225,2155,0.00821,3.5989),(225,2165,0.008273,3.5982),(225,2175,0.008335,3.5974),(225,2185,0.008398,3.5966),(225,2195,0.00846,3.5959),(225,2205,0.008524,3.5951),(225,2215,0.008588,3.5943),(225,2225,0.008651,3.5936),(225,2235,0.008715,3.5928),(225,2245,0.00878,3.592),(225,2255,0.008846,3.5912),(225,2265,0.008911,3.5904),(225,2275,0.008976,3.5896),(225,2285,0.009043,3.5888),(225,2295,0.00911,3.5879),(225,2305,0.009177,3.5871),(225,2315,0.009243,3.5863),(225,2325,0.009312,3.5854),(225,2335,0.00938,3.5846),(225,2345,0.009449,3.5837),(225,2355,0.009517,3.5829),(225,2365,0.009587,3.582),(225,2375,0.009657,3.5812),(225,2385,0.009727,3.5803),(225,2395,0.009798,3.5794),(225,2405,0.009869,3.5785),(225,2415,0.009942,3.5776),(225,2425,0.010014,3.5767),(225,2435,0.010086,3.5758),(225,2445,0.01016,3.5749),(225,2455,0.010235,3.574),(225,2465,0.010309,3.5731),(225,2475,0.010383,3.5721),(225,2485,0.01046,3.5712),(225,2495,0.010538,3.5703),(225,2505,0.010615,3.5693),(225,2515,0.010692,3.5684),(225,2525,0.010772,3.5674),(225,2535,0.010852,3.5664),(225,2545,0.010932,3.5655),(225,2555,0.011012,3.5645),(225,2565,0.011096,3.5635),(225,2575,0.011179,3.5625),(225,2585,0.011263,3.5615),(225,2595,0.011347,3.5605),(225,2605,0.011434,3.5595),(225,2615,0.011522,3.5585),(225,2625,0.01161,3.5574),(225,2635,0.011698,3.5564),(225,2645,0.01179,3.5554),(225,2655,0.011883,3.5543),(225,2665,0.011975,3.5533),(225,2675,0.012068,3.5522),(225,2685,0.012166,3.5511),(225,2695,0.012264,3.5501),(225,2705,0.012362,3.549),(225,2715,0.012461,3.5479),(225,2725,0.012565,3.5468),(225,2735,0.012669,3.5457),(225,2745,0.012773,3.5446),(225,2755,0.01288,3.5435),(225,2765,0.012991,3.5423),(225,2775,0.013103,3.5412),(225,2785,0.013215,3.54),(225,2795,0.01333,3.5389),(225,2805,0.013451,3.5377),(225,2815,0.013572,3.5366),(225,2825,0.013693,3.5354),(225,2835,0.013817,3.5342),(225,2845,0.013949,3.533),(225,2855,0.014081,3.5318),(225,2865,0.014212,3.5306),(225,2875,0.014349,3.5294),(225,2885,0.014493,3.5282),(225,2895,0.014637,3.5269),(225,2905,0.014782,3.5257),(225,2915,0.014932,3.5244),(225,2925,0.015092,3.5232),(225,2935,0.015251,3.5219),(225,2945,0.01541,3.5206),(225,2955,0.015578,3.5193),(225,2965,0.015755,3.518),(225,2975,0.015932,3.5167),(225,2985,0.01611,3.5154),(225,2995,0.016297,3.5141),(225,3005,0.016496,3.5127),(225,3015,0.016695,3.5114),(225,3025,0.016894,3.51),(225,3035,0.017106,3.5086),(225,3045,0.01733,3.5072),(225,3055,0.017555,3.5058),(225,3065,0.017779,3.5044),(225,3075,0.018021,3.503),(225,3085,0.018276,3.5016),(225,3095,0.018531,3.5001),(225,3105,0.018786,3.4986),(225,3115,0.019063,3.4972),(225,3125,0.019355,3.4957),(225,3135,0.019647,3.4942),(225,3145,0.019939,3.4926),(225,3155,0.020259,3.4911),(225,3165,0.020595,3.4896),(225,3175,0.020932,3.488),(225,3185,0.021268,3.4864),(225,3195,0.021641,3.4848),(225,3205,0.02203,3.4832),(225,3215,0.02242,3.4816),(225,3225,0.02281,3.4799),(225,3235,0.023246,3.4782),(225,3245,0.023701,3.4765),(225,3255,0.024155,3.4748),(225,3265,0.02461,3.4731),(225,3275,0.025124,3.4713),(225,3285,0.025658,3.4696),(225,3295,0.026191,3.4678),(225,3305,0.026724,3.4659),(225,3315,0.027335,3.4641),(225,3325,0.027964,3.4623),(225,3335,0.028593,3.4604),(225,3345,0.029223,3.4584),(225,3355,0.029952,3.4565),(225,3365,0.030698,3.4546),(225,3375,0.031445,3.4525),(225,3385,0.032192,3.4505),(225,3395,0.033068,3.4485),(225,3405,0.03396,3.4464),(225,3415,0.034852,3.4443),(225,3425,0.035744,3.4421),(225,3435,0.036801,3.4399),(225,3445,0.037873,3.4378),(225,3455,0.038944,3.4355),(225,3465,0.040015,3.4331),(225,3475,0.041301,3.4308),(225,3485,0.042595,3.4285),(225,3495,0.043889,3.4261),(225,3505,0.045184,3.4236),(225,3515,0.046757,3.4211),(225,3525,0.04833,3.4187),(225,3535,0.049903,3.416),(225,3545,0.051492,3.4134),(225,3555,0.053416,3.4107),(225,3565,0.055341,3.4081),(225,3575,0.057265,3.4052),(225,3585,0.059227,3.4024),(225,3595,0.061599,3.3995),(225,3605,0.06397,3.3967),(225,3615,0.066342,3.3936),(225,3625,0.068784,3.3905),(225,3635,0.07173,3.3875),(225,3645,0.074675,3.3844),(225,3655,0.07762,3.381),(225,3665,0.080688,3.3777),(225,3675,0.084379,3.3744),(225,3685,0.088071,3.371),(225,3695,0.091762,3.3674),(225,3705,0.095653,3.3638),(225,3715,0.10033,3.3602),(225,3725,0.10501,3.3565),(225,3735,0.10968,3.3526),(225,3745,0.11468,3.3487),(225,3755,0.12069,3.3447),(225,3765,0.12669,3.3407),(225,3775,0.1327,3.3364),(225,3785,0.13922,3.3321),(225,3795,0.14705,3.3278),(225,3805,0.15489,3.3234),(225,3815,0.16273,3.3186),(225,3825,0.1714,3.3138),(225,3835,0.18182,3.309),(225,3845,0.19224,3.3039),(225,3855,0.20266,3.2983),(225,3865,0.21439,3.2927),(225,3875,0.22845,3.2872),(225,3885,0.2425,3.2809),(225,3895,0.25655,3.2736),(225,3905,0.29601,3.2663),(225,3915,0.37342,3.2589),(225,3925,0.45084,3.2394),(225,3935,0.52825,3.2029),(225,3945,0.57521,3.1664),(225,3955,0.58349,3.1299),(225,3965,0.59177,3.0972),(225,3975,0.60005,3.0688),(225,3985,0.58254,3.0404),(225,3995,0.53711,3.012),(225,4005,0.49168,2.9912),(225,4015,0.44625,2.978),(225,4025,0.4047,2.9648),(225,4035,0.36353,2.9544),(225,4045,0.32236,2.9501),(225,4055,0.28203,2.9458),(225,4065,0.242,2.9413),(225,4075,0.20197,2.9355),(225,4085,0.16214,2.9296),(225,4095,0.12246,2.9238),(225,4105,0.082789,2.9211),(225,4115,0.045426,2.9184),(225,4125,0.011897,2.9158),(225,4135,-0.021632,2.92),(225,4145,-0.035936,2.926),(225,4155,0.02763,2.932),(225,4165,0.091196,2.9259),(225,4175,0.15357,2.912),(225,4185,0.15679,2.8981),(225,4195,0.16002,2.8849),(225,4205,0.16325,2.8725),(225,4215,0.12248,2.8601),(225,4225,0.073436,2.8515),(225,4235,0.024391,2.8541),(225,4245,-0.007783,2.8567),(225,4255,-0.031397,2.8598),(225,4265,-0.055012,2.8693),(225,4275,-0.056781,2.8789),(225,4285,-0.03537,2.8884),(225,4295,-0.013958,2.8939),(225,4305,0.053186,2.899),(225,4315,0.2236,2.904),(225,4325,0.39401,2.8801),(225,4335,0.5333,2.8448),(225,4345,0.46198,2.8095),(225,4355,0.39067,2.7836),(225,4365,0.31935,2.7657),(225,4375,0.22886,2.7478),(225,4385,0.13737,2.7385),(225,4395,0.045885,2.7442),(225,4405,-0.008769,2.75),(225,4415,-0.052561,2.758),(225,4425,-0.096354,2.7762),(225,4435,-0.035561,2.7944),(225,4445,0.096702,2.8123),(225,4455,0.22897,2.7881),(225,4465,0.31291,2.7638),(225,4475,0.32899,2.7396),(225,4485,0.34506,2.7147),(225,4495,0.33133,2.6896),(225,4505,0.22198,2.6646),(225,4515,0.11264,2.6563),(225,4525,0.003585,2.6571),(225,4535,-0.10094,2.658),(225,4545,-0.20547,2.6688),(225,4555,-0.31,2.6909),(225,4565,-0.20589,2.713),(225,4575,-0.07365,2.726),(225,4585,0.058587,2.717),(225,4595,0.14403,2.708),(225,4605,0.2097,2.6974),(225,4615,0.27537,2.674),(225,4625,0.2745,2.6506),(225,4635,0.21336,2.6272),(225,4645,0.15223,2.6169),(225,4655,0.065693,2.6076),(225,4665,-0.068731,2.5982),(225,4675,-0.20316,2.6178),(225,4685,-0.31121,2.6467),(225,4695,-0.28899,2.6757),(225,4705,-0.26678,2.7014),(225,4715,-0.24456,2.7249),(225,4725,-0.01209,2.7484),(225,4735,0.22248,2.7477),(225,4745,0.45705,2.711),(225,4755,0.44274,2.6743),(225,4765,0.37075,2.6411),(225,4775,0.29876,2.6203),(225,4785,0.16006,2.5994),(225,4795,-0.017205,2.5801),(225,4805,-0.19447,2.595),(225,4815,-0.32745,2.6098),(225,4825,-0.40748,2.6246),(225,4835,-0.4875,2.6577),(225,4845,-0.46923,2.6937),(225,4855,-0.19471,2.7296),(225,4865,0.079818,2.724),(225,4875,0.33785,2.6994),(225,4885,0.44588,2.6748),(225,4895,0.5539,2.6365),(225,4905,0.66193,2.5848),(225,4915,0.50392,2.5332),(225,4925,0.32303,2.4951),(225,4935,0.14215,2.4844),(225,4945,-0.009328,2.4737),(225,4955,-0.1506,2.4684),(225,4965,-0.29188,2.4932),(225,4975,-0.31278,2.5179),(225,4985,-0.24075,2.5427),(225,4995,-0.16872,2.5512),(225,5005,-0.080981,2.5593),(225,5015,0.031734,2.5674),(225,5025,0.14445,2.549),(225,5035,0.20516,2.5238),(225,5045,0.067756,2.4987),(225,5055,-0.069651,2.4847),(225,5065,-0.20822,2.4776),(225,5075,-0.38474,2.4706),(225,5085,-0.56126,2.4772),(225,5095,-0.73778,2.5011),(225,5105,-0.7357,2.525),(225,5115,-0.70246,2.5504),(225,5125,-0.66922,2.5797),(225,5135,-0.42282,2.6089),(225,5145,-0.072978,2.6335),(225,5155,0.27687,2.6069),(225,5165,0.4933,2.5802),(225,5175,0.57365,2.5536),(225,5185,0.65401,2.5147),(225,5195,0.65379,2.4746),(225,5205,0.47983,2.4344),(225,5215,0.30587,2.4166),(225,5225,0.13135,2.407),(225,5235,-0.046575,2.3975),(225,5245,-0.2245,2.4046),(225,5255,-0.40243,2.4253),(225,5265,-0.27057,2.446),(225,5275,-0.12593,2.4596),(225,5285,0.01871,2.4611),(225,5295,0.15699,2.4626),(225,5305,0.2935,2.4567),(225,5315,0.43001,2.4199),(225,5325,0.39643,2.3831),(225,5335,0.25131,2.3466),(225,5345,0.10619,2.329),(225,5355,-0.076156,2.3114),(225,5365,-0.30872,2.2938),(225,5375,-0.54129,2.3012),(225,5385,-0.68707,2.3136),(225,5395,-0.569,2.3259),(225,5405,-0.45094,2.337),(225,5415,-0.31669,2.3473),(225,5425,0.034826,2.3577),(225,5435,0.38634,2.3451),(225,5445,0.73786,2.3075),(225,5455,0.82083,2.27),(225,5465,0.87098,2.2318),(225,5475,0.92113,2.1921),(225,5485,0.88655,2.1524),(225,5495,0.81786,2.1145),(225,5505,0.74916,2.0901),(225,5515,0.68748,2.0656),(225,5525,0.6319,2.0411),(225,5535,0.57632,2.0233),(225,5545,0.52573,2.0058),(225,5555,0.48416,1.9884),(225,5565,0.44259,1.9726),(225,5575,0.40318,1.9574),(225,5585,0.37369,1.9422),(225,5595,0.3442,1.9267),(225,5605,0.31471,1.9111),(225,5615,0.29417,1.8955),(225,5625,0.27363,1.8795),(225,5635,0.25309,1.8629),(225,5645,0.2375,1.8463),(225,5655,0.22298,1.8295),(225,5665,0.20846,1.8119),(225,5675,0.19643,1.7943),(225,5685,0.18579,1.7767),(225,5695,0.17514,1.758),(225,5705,0.16549,1.7393),(225,5715,0.15696,1.7206),(225,5725,0.14844,1.7009),(225,5735,0.1401,1.6811),(225,5745,0.13221,1.6613),(225,5755,0.12432,1.6408),(225,5765,0.11636,1.6201),(225,5775,0.10786,1.5993),(225,5785,0.099353,1.5781),(225,5795,0.09085,1.5563),(225,5805,0.080798,1.5345),(225,5815,0.07063,1.5125),(225,5825,0.060461,1.49),(225,5835,0.048206,1.4676),(225,5845,0.035264,1.4451),(225,5855,0.022322,1.4223),(225,5865,0.007117,1.3995),(225,5875,-0.009765,1.3768),(225,5885,-0.026648,1.3543),(225,5895,-0.045524,1.3317),(225,5905,-0.06744,1.3092),(225,5915,-0.089355,1.2879),(225,5925,-0.11257,1.2669),(225,5935,-0.14046,1.2458),(225,5945,-0.16835,1.227),(225,5955,-0.19639,1.2093),(225,5965,-0.22828,1.1917),(225,5975,-0.26017,1.1773),(225,5985,-0.29205,1.1666),(225,5995,-0.22895,1.1559),(225,6005,-0.15056,1.148),(225,6015,-0.072177,1.1476),(225,6025,0.039435,1.1471),(225,6035,0.16646,1.1448),(225,6045,0.29348,1.1248),(225,6055,0.36338,1.1047),(225,6065,0.37727,1.0847),(225,6075,0.39116,1.061),(225,6085,0.39439,1.0369),(225,6095,0.37564,1.0129),(225,6105,0.3569,0.99059),(225,6115,0.33881,0.9689),(225,6125,0.32448,0.94722),(225,6135,0.31015,0.92609),(225,6145,0.29583,0.90539),(225,6155,0.28481,0.88469),(225,6165,0.27389,0.86407),(225,6175,0.26297,0.84356),(225,6185,0.25406,0.82305),(225,6195,0.24567,0.80263),(225,6205,0.23729,0.78259),(225,6215,0.2301,0.76255),(225,6225,0.22367,0.74251),(225,6235,0.21724,0.72285),(225,6245,0.21139,0.70318),(225,6255,0.20631,0.68352),(225,6265,0.20123,0.66395),(225,6275,0.19643,0.6444),(225,6285,0.19244,0.62485),(225,6295,0.18844,0.60537),(225,6305,0.18452,0.58592),(225,6315,0.18139,0.56647),(225,6325,0.17826,0.54708),(225,6335,0.17513,0.52775),(225,6345,0.17256,0.50843),(225,6355,0.17005,0.48913),(225,6365,0.16754,0.46988),(225,6375,0.1654,0.45063),(225,6385,0.1634,0.43139),(225,6395,0.1614,0.4122),(225,6405,0.15965,0.39301),(225,6415,0.15809,0.37382),(225,6425,0.15654,0.35466),(225,6435,0.15511,0.3355),(225,6445,0.1539,0.31634),(225,6455,0.15269,0.29721),(225,6465,0.15154,0.27809),(225,6475,0.15065,0.25896),(225,6485,0.14977,0.23983),(225,6495,0.14888,0.22068),(225,6505,0.14823,0.20154),(225,6515,0.14758,0.18237),(225,6525,0.14693,0.16318),(225,6535,0.14647,0.14399),(225,6545,0.14605,0.12481),(225,6555,0.14563,0.10569),(225,6565,0.14523,0.086566),(225,6575,0.14485,0.067444),(225,6585,0.14447,0.048356),(225,6595,0.1227,0.029269),(225,6605,0.077324,0.010181),(225,6615,0.031947,0.008401),(225,6625,4.8e-05,0.008846),(225,6635,4.8e-05,0.00929),(225,6645,4.9e-05,0.009416),(225,6655,5e-05,0.009412),(225,6665,5.1e-05,0.009408),(225,6675,5.2e-05,0.009403),(225,6685,5.2e-05,0.009398),(225,6695,5.3e-05,0.009392),(225,6705,5.4e-05,0.009386),(225,6715,5.5e-05,0.009381),(225,6725,5.5e-05,0.009376),(225,6735,5.6e-05,0.00937),(225,6745,5.7e-05,0.009365),(225,6755,5.8e-05,0.009359),(225,6765,5.8e-05,0.009353),(225,6775,5.9e-05,0.009348),(225,6785,5.9e-05,0.009342),(225,6795,6e-05,0.009336),(225,6805,6.1e-05,0.00933),(225,6815,6.1e-05,0.009324),(225,6825,6.2e-05,0.009319),(225,6835,6.2e-05,0.009313),(225,6845,6.3e-05,0.009307),(225,6855,6.4e-05,0.009301),(225,6865,6.4e-05,0.009295),(225,6875,6.5e-05,0.009289),(225,6885,6.5e-05,0.009283),(225,6895,6.6e-05,0.009276),(225,6905,6.6e-05,0.00927),(225,6915,6.7e-05,0.009264),(225,6925,6.7e-05,0.009257),(225,6935,6.7e-05,0.009251),(225,6945,6.8e-05,0.009245),(225,6955,6.8e-05,0.009238),(225,6965,6.9e-05,0.009232),(225,6975,6.9e-05,0.009225),(225,6985,7e-05,0.009219),(235,5,1.2e-05,3.6649),(235,15,3.7e-05,3.6649),(235,25,6.1e-05,3.6649),(235,35,8.6e-05,3.6649),(235,45,0.000111,3.6649),(235,55,0.000135,3.6649),(235,65,0.00016,3.6649),(235,75,0.000185,3.6649),(235,85,0.00021,3.6649),(235,95,0.000234,3.6648),(235,105,0.000259,3.6648),(235,115,0.000284,3.6648),(235,125,0.000309,3.6648),(235,135,0.000333,3.6648),(235,145,0.000358,3.6647),(235,155,0.000383,3.6647),(235,165,0.000408,3.6647),(235,175,0.000433,3.6646),(235,185,0.000458,3.6646),(235,195,0.000483,3.6645),(235,205,0.000508,3.6645),(235,215,0.000533,3.6644),(235,225,0.000558,3.6644),(235,235,0.000583,3.6644),(235,245,0.000608,3.6643),(235,255,0.000633,3.6642),(235,265,0.000659,3.6642),(235,275,0.000684,3.6641),(235,285,0.000709,3.6641),(235,295,0.000735,3.664),(235,305,0.000761,3.6639),(235,315,0.000786,3.6639),(235,325,0.000812,3.6638),(235,335,0.000838,3.6637),(235,345,0.000864,3.6637),(235,355,0.00089,3.6636),(235,365,0.000916,3.6635),(235,375,0.000942,3.6634),(235,385,0.000968,3.6633),(235,395,0.000995,3.6633),(235,405,0.001021,3.6632),(235,415,0.001047,3.6631),(235,425,0.001074,3.663),(235,435,0.001101,3.6629),(235,445,0.001127,3.6628),(235,455,0.001154,3.6627),(235,465,0.001181,3.6626),(235,475,0.001208,3.6625),(235,485,0.001236,3.6624),(235,495,0.001263,3.6623),(235,505,0.00129,3.6622),(235,515,0.001318,3.6621),(235,525,0.001346,3.6619),(235,535,0.001374,3.6618),(235,545,0.001402,3.6617),(235,555,0.00143,3.6616),(235,565,0.001458,3.6614),(235,575,0.001487,3.6613),(235,585,0.001515,3.6612),(235,595,0.001544,3.6611),(235,605,0.001572,3.6609),(235,615,0.001601,3.6608),(235,625,0.00163,3.6606),(235,635,0.001659,3.6605),(235,645,0.001688,3.6604),(235,655,0.001717,3.6602),(235,665,0.001747,3.6601),(235,675,0.001777,3.6599),(235,685,0.001807,3.6597),(235,695,0.001836,3.6596),(235,705,0.001867,3.6594),(235,715,0.001897,3.6593),(235,725,0.001928,3.6591),(235,735,0.001958,3.6589),(235,745,0.001989,3.6588),(235,755,0.00202,3.6586),(235,765,0.002051,3.6584),(235,775,0.002083,3.6582),(235,785,0.002114,3.658),(235,795,0.002146,3.6579),(235,805,0.002178,3.6577),(235,815,0.002209,3.6575),(235,825,0.002242,3.6573),(235,835,0.002274,3.6571),(235,845,0.002306,3.6569),(235,855,0.002339,3.6567),(235,865,0.002372,3.6565),(235,875,0.002405,3.6563),(235,885,0.002439,3.6561),(235,895,0.002472,3.6559),(235,905,0.002506,3.6556),(235,915,0.00254,3.6554),(235,925,0.002574,3.6552),(235,935,0.002608,3.655),(235,945,0.002643,3.6547),(235,955,0.002677,3.6545),(235,965,0.002712,3.6543),(235,975,0.002747,3.654),(235,985,0.002782,3.6538),(235,995,0.002818,3.6536),(235,1005,0.002853,3.6533),(235,1015,0.002889,3.6531),(235,1025,0.002926,3.6528),(235,1035,0.002962,3.6526),(235,1045,0.002998,3.6523),(235,1055,0.003035,3.652),(235,1065,0.003072,3.6518),(235,1075,0.003109,3.6515),(235,1085,0.003146,3.6512),(235,1095,0.003184,3.651),(235,1105,0.003222,3.6507),(235,1115,0.00326,3.6504),(235,1125,0.003298,3.6501),(235,1135,0.003337,3.6498),(235,1145,0.003375,3.6495),(235,1155,0.003414,3.6492),(235,1165,0.003453,3.6489),(235,1175,0.003493,3.6486),(235,1185,0.003533,3.6483),(235,1195,0.003572,3.648),(235,1205,0.003612,3.6477),(235,1215,0.003653,3.6474),(235,1225,0.003694,3.6471),(235,1235,0.003735,3.6467),(235,1245,0.003776,3.6464),(235,1255,0.003817,3.6461),(235,1265,0.003859,3.6458),(235,1275,0.003901,3.6454),(235,1285,0.003943,3.6451),(235,1295,0.003985,3.6447),(235,1305,0.004028,3.6444),(235,1315,0.004071,3.644),(235,1325,0.004113,3.6437),(235,1335,0.004157,3.6433),(235,1345,0.0042,3.643),(235,1355,0.004244,3.6426),(235,1365,0.004287,3.6422),(235,1375,0.004332,3.6418),(235,1385,0.004377,3.6415),(235,1395,0.004421,3.6411),(235,1405,0.004466,3.6407),(235,1415,0.004512,3.6403),(235,1425,0.004557,3.6399),(235,1435,0.004603,3.6395),(235,1445,0.004649,3.6391),(235,1455,0.004696,3.6387),(235,1465,0.004742,3.6383),(235,1475,0.004789,3.6379),(235,1485,0.004836,3.6375),(235,1495,0.004883,3.637),(235,1505,0.004931,3.6366),(235,1515,0.004979,3.6362),(235,1525,0.005026,3.6357),(235,1535,0.005075,3.6353),(235,1545,0.005124,3.6349),(235,1555,0.005172,3.6344),(235,1565,0.005221,3.634),(235,1575,0.005271,3.6335),(235,1585,0.00532,3.6331),(235,1595,0.00537,3.6326),(235,1605,0.00542,3.6321),(235,1615,0.005471,3.6316),(235,1625,0.005521,3.6312),(235,1635,0.005572,3.6307),(235,1645,0.005623,3.6302),(235,1655,0.005675,3.6297),(235,1665,0.005727,3.6292),(235,1675,0.005778,3.6287),(235,1685,0.00583,3.6282),(235,1695,0.005883,3.6277),(235,1705,0.005936,3.6272),(235,1715,0.005989,3.6267),(235,1725,0.006042,3.6261),(235,1735,0.006096,3.6256),(235,1745,0.006149,3.6251),(235,1755,0.006203,3.6245),(235,1765,0.006257,3.624),(235,1775,0.006312,3.6234),(235,1785,0.006366,3.6229),(235,1795,0.006421,3.6223),(235,1805,0.006476,3.6218),(235,1815,0.006532,3.6212),(235,1825,0.006588,3.6206),(235,1835,0.006643,3.6201),(235,1845,0.006699,3.6195),(235,1855,0.006756,3.6189),(235,1865,0.006813,3.6183),(235,1875,0.006869,3.6177),(235,1885,0.006927,3.6171),(235,1895,0.006984,3.6165),(235,1905,0.007042,3.6159),(235,1915,0.007099,3.6153),(235,1925,0.007158,3.6147),(235,1935,0.007216,3.614),(235,1945,0.007275,3.6134),(235,1955,0.007334,3.6128),(235,1965,0.007393,3.6121),(235,1975,0.007453,3.6115),(235,1985,0.007513,3.6108),(235,1995,0.007573,3.6102),(235,2005,0.007633,3.6095),(235,2015,0.007694,3.6089),(235,2025,0.007755,3.6082),(235,2035,0.007816,3.6075),(235,2045,0.007878,3.6068),(235,2055,0.00794,3.6061),(235,2065,0.008002,3.6054),(235,2075,0.008064,3.6047),(235,2085,0.008127,3.604),(235,2095,0.00819,3.6033),(235,2105,0.008253,3.6026),(235,2115,0.008316,3.6019),(235,2125,0.00838,3.6012),(235,2135,0.008445,3.6004),(235,2145,0.008509,3.5997),(235,2155,0.008573,3.599),(235,2165,0.008638,3.5982),(235,2175,0.008703,3.5975),(235,2185,0.008769,3.5967),(235,2195,0.008834,3.5959),(235,2205,0.008901,3.5952),(235,2215,0.008967,3.5944),(235,2225,0.009034,3.5936),(235,2235,0.0091,3.5928),(235,2245,0.009168,3.592),(235,2255,0.009236,3.5913),(235,2265,0.009305,3.5904),(235,2275,0.009373,3.5896),(235,2285,0.009442,3.5888),(235,2295,0.009512,3.588),(235,2305,0.009582,3.5872),(235,2315,0.009651,3.5863),(235,2325,0.009723,3.5855),(235,2335,0.009794,3.5847),(235,2345,0.009865,3.5838),(235,2355,0.009937,3.5829),(235,2365,0.01001,3.5821),(235,2375,0.010083,3.5812),(235,2385,0.010156,3.5803),(235,2395,0.010229,3.5795),(235,2405,0.010304,3.5786),(235,2415,0.010379,3.5777),(235,2425,0.010455,3.5768),(235,2435,0.01053,3.5759),(235,2445,0.010607,3.575),(235,2455,0.010685,3.5741),(235,2465,0.010762,3.5731),(235,2475,0.01084,3.5722),(235,2485,0.01092,3.5713),(235,2495,0.011,3.5703),(235,2505,0.011081,3.5694),(235,2515,0.011161,3.5684),(235,2525,0.011245,3.5675),(235,2535,0.011328,3.5665),(235,2545,0.011411,3.5655),(235,2555,0.011495,3.5646),(235,2565,0.011582,3.5636),(235,2575,0.011669,3.5626),(235,2585,0.011756,3.5616),(235,2595,0.011843,3.5606),(235,2605,0.011934,3.5596),(235,2615,0.012025,3.5586),(235,2625,0.012116,3.5575),(235,2635,0.012208,3.5565),(235,2645,0.012304,3.5555),(235,2655,0.0124,3.5544),(235,2665,0.012496,3.5534),(235,2675,0.012593,3.5523),(235,2685,0.012695,3.5512),(235,2695,0.012797,3.5502),(235,2705,0.012898,3.5491),(235,2715,0.013001,3.548),(235,2725,0.01311,3.5469),(235,2735,0.013218,3.5458),(235,2745,0.013326,3.5447),(235,2755,0.013436,3.5436),(235,2765,0.013553,3.5424),(235,2775,0.013669,3.5413),(235,2785,0.013785,3.5402),(235,2795,0.013904,3.539),(235,2805,0.014029,3.5379),(235,2815,0.014154,3.5367),(235,2825,0.01428,3.5355),(235,2835,0.014409,3.5343),(235,2845,0.014546,3.5332),(235,2855,0.014682,3.532),(235,2865,0.014819,3.5308),(235,2875,0.01496,3.5295),(235,2885,0.01511,3.5283),(235,2895,0.015259,3.5271),(235,2905,0.015409,3.5258),(235,2915,0.015565,3.5246),(235,2925,0.015729,3.5233),(235,2935,0.015894,3.5221),(235,2945,0.016059,3.5208),(235,2955,0.016233,3.5195),(235,2965,0.016416,3.5182),(235,2975,0.016599,3.5169),(235,2985,0.016783,3.5156),(235,2995,0.016977,3.5143),(235,3005,0.017182,3.5129),(235,3015,0.017387,3.5116),(235,3025,0.017593,3.5102),(235,3035,0.017812,3.5088),(235,3045,0.018043,3.5075),(235,3055,0.018275,3.5061),(235,3065,0.018506,3.5047),(235,3075,0.018756,3.5032),(235,3085,0.019019,3.5018),(235,3095,0.019282,3.5004),(235,3105,0.019545,3.4989),(235,3115,0.019831,3.4974),(235,3125,0.020131,3.496),(235,3135,0.020432,3.4945),(235,3145,0.020733,3.4929),(235,3155,0.021063,3.4914),(235,3165,0.021409,3.4899),(235,3175,0.021755,3.4883),(235,3185,0.022101,3.4867),(235,3195,0.022484,3.4852),(235,3205,0.022885,3.4836),(235,3215,0.023285,3.4819),(235,3225,0.023686,3.4803),(235,3235,0.024134,3.4786),(235,3245,0.024601,3.477),(235,3255,0.025068,3.4753),(235,3265,0.025534,3.4736),(235,3275,0.026063,3.4718),(235,3285,0.02661,3.4701),(235,3295,0.027157,3.4683),(235,3305,0.027704,3.4665),(235,3315,0.028329,3.4647),(235,3325,0.028974,3.4629),(235,3335,0.029619,3.461),(235,3345,0.030264,3.4591),(235,3355,0.031009,3.4572),(235,3365,0.031774,3.4553),(235,3375,0.032538,3.4533),(235,3385,0.033302,3.4513),(235,3395,0.034197,3.4493),(235,3405,0.035108,3.4473),(235,3415,0.036019,3.4452),(235,3425,0.03693,3.4431),(235,3435,0.038009,3.4409),(235,3445,0.039102,3.4388),(235,3455,0.040195,3.4366),(235,3465,0.041287,3.4343),(235,3475,0.042597,3.4321),(235,3485,0.043915,3.4298),(235,3495,0.045233,3.4274),(235,3505,0.046552,3.425),(235,3515,0.048151,3.4226),(235,3525,0.04975,3.4202),(235,3535,0.051349,3.4177),(235,3545,0.052964,3.4151),(235,3555,0.054917,3.4126),(235,3565,0.056869,3.41),(235,3575,0.058822,3.4073),(235,3585,0.060813,3.4045),(235,3595,0.063214,3.4018),(235,3605,0.065615,3.399),(235,3615,0.068017,3.3961),(235,3625,0.070489,3.3932),(235,3635,0.073466,3.3903),(235,3645,0.076442,3.3873),(235,3655,0.079418,3.3842),(235,3665,0.082516,3.381),(235,3675,0.086238,3.3779),(235,3685,0.08996,3.3747),(235,3695,0.093682,3.3714),(235,3705,0.097604,3.368),(235,3715,0.10231,3.3647),(235,3725,0.10702,3.3613),(235,3735,0.11172,3.3577),(235,3745,0.11675,3.3541),(235,3755,0.12278,3.3505),(235,3765,0.12881,3.3468),(235,3775,0.13484,3.343),(235,3785,0.1414,3.3391),(235,3795,0.14927,3.3353),(235,3805,0.15713,3.3314),(235,3815,0.165,3.3272),(235,3825,0.17372,3.3231),(235,3835,0.18423,3.3189),(235,3845,0.19474,3.3146),(235,3855,0.20525,3.3099),(235,3865,0.21718,3.3052),(235,3875,0.23162,3.3005),(235,3885,0.24605,3.2951),(235,3895,0.26049,3.2887),(235,3905,0.30373,3.2823),(235,3915,0.39,3.2759),(235,3925,0.47627,3.2544),(235,3935,0.56253,3.2122),(235,3945,0.61248,3.1699),(235,3955,0.6163,3.1276),(235,3965,0.62012,3.092),(235,3975,0.62394,3.0642),(235,3985,0.60189,3.0364),(235,3995,0.55184,3.0087),(235,4005,0.50179,2.9894),(235,4015,0.45174,2.9785),(235,4025,0.40696,2.9677),(235,4035,0.36269,2.9602),(235,4045,0.31843,2.9595),(235,4055,0.27871,2.9589),(235,4065,0.24066,2.9576),(235,4075,0.2026,2.9524),(235,4085,0.16323,2.9472),(235,4095,0.12279,2.942),(235,4105,0.08236,2.9399),(235,4115,0.043037,2.9379),(235,4125,0.005554,2.9358),(235,4135,-0.031929,2.9438),(235,4145,-0.047405,2.9545),(235,4155,0.026257,2.9652),(235,4165,0.09992,2.958),(235,4175,0.17214,2.9395),(235,4185,0.17318,2.9209),(235,4195,0.17421,2.9044),(235,4205,0.17524,2.8907),(235,4215,0.12952,2.8771),(235,4225,0.075017,2.8678),(235,4235,0.02051,2.8717),(235,4245,-0.015267,2.8756),(235,4255,-0.041539,2.8801),(235,4265,-0.067812,2.8927),(235,4275,-0.070131,2.9052),(235,4285,-0.047031,2.9178),(235,4295,-0.023931,2.926),(235,4305,0.048959,2.9338),(235,4315,0.23428,2.9415),(235,4325,0.4196,2.9148),(235,4335,0.57097,2.8745),(235,4345,0.49256,2.8342),(235,4355,0.41416,2.8057),(235,4365,0.33575,2.7872),(235,4375,0.23712,2.7686),(235,4385,0.13744,2.7596),(235,4395,0.037756,2.7673),(235,4405,-0.022781,2.775),(235,4415,-0.071774,2.7858),(235,4425,-0.12077,2.8102),(235,4435,-0.051451,2.8346),(235,4445,0.098717,2.8587),(235,4455,0.24888,2.8284),(235,4465,0.34248,2.7982),(235,4475,0.35661,2.7679),(235,4485,0.37074,2.7406),(235,4495,0.35336,2.714),(235,4505,0.23487,2.6873),(235,4515,0.11639,2.6795),(235,4525,-0.001733,2.6817),(235,4535,-0.11424,2.684),(235,4545,-0.22674,2.6981),(235,4555,-0.33924,2.7256),(235,4565,-0.22426,2.753),(235,4575,-0.078605,2.769),(235,4585,0.067046,2.757),(235,4595,0.15941,2.7451),(235,4605,0.22926,2.7314),(235,4615,0.29911,2.7049),(235,4625,0.29751,2.6784),(235,4635,0.2312,2.6518),(235,4645,0.16489,2.64),(235,4655,0.070335,2.6292),(235,4665,-0.0775,2.6184),(235,4675,-0.22533,2.6396),(235,4685,-0.34444,2.6711),(235,4695,-0.32155,2.7025),(235,4705,-0.29866,2.7329),(235,4715,-0.27578,2.7624),(235,4725,-0.020484,2.7919),(235,4735,0.23714,2.7924),(235,4745,0.49476,2.7494),(235,4755,0.47887,2.7064),(235,4765,0.39961,2.668),(235,4775,0.32034,2.6459),(235,4785,0.17162,2.6238),(235,4795,-0.017267,2.6033),(235,4805,-0.20615,2.6185),(235,4815,-0.34921,2.6337),(235,4825,-0.43749,2.649),(235,4835,-0.52576,2.687),(235,4845,-0.50697,2.7286),(235,4855,-0.20905,2.7702),(235,4865,0.088862,2.7625),(235,4875,0.3686,2.7324),(235,4885,0.4829,2.7023),(235,4895,0.5972,2.6599),(235,4905,0.7115,2.6057),(235,4915,0.54155,2.5515),(235,4925,0.34715,2.5118),(235,4935,0.15275,2.5012),(235,4945,-0.010932,2.4906),(235,4955,-0.16397,2.486),(235,4965,-0.317,2.5142),(235,4975,-0.33991,2.5423),(235,4985,-0.26238,2.5705),(235,4995,-0.18484,2.5826),(235,5005,-0.088393,2.5944),(235,5015,0.038117,2.6061),(235,5025,0.16463,2.5827),(235,5035,0.23473,2.5504),(235,5045,0.08995,2.5181),(235,5055,-0.054832,2.4991),(235,5065,-0.20087,2.4884),(235,5075,-0.38795,2.4777),(235,5085,-0.57503,2.4818),(235,5095,-0.76211,2.5045),(235,5105,-0.76475,2.5272),(235,5115,-0.73521,2.5531),(235,5125,-0.70566,2.5878),(235,5135,-0.44571,2.6225),(235,5145,-0.073946,2.6515),(235,5155,0.29782,2.6186),(235,5165,0.52579,2.5857),(235,5175,0.60709,2.5528),(235,5185,0.6884,2.512),(235,5195,0.68532,2.4704),(235,5205,0.50032,2.4288),(235,5215,0.31531,2.4118),(235,5225,0.12981,2.4041),(235,5235,-0.058816,2.3964),(235,5245,-0.24744,2.4074),(235,5255,-0.43607,2.4336),(235,5265,-0.29351,2.4599),(235,5275,-0.1373,2.4757),(235,5285,0.018905,2.4739),(235,5295,0.16907,2.4721),(235,5305,0.31755,2.4625),(235,5315,0.46603,2.4201),(235,5325,0.43186,2.3776),(235,5335,0.27791,2.3355),(235,5345,0.12397,2.3178),(235,5355,-0.067633,2.3001),(235,5365,-0.31004,2.2823),(235,5375,-0.55245,2.2902),(235,5385,-0.70557,2.303),(235,5395,-0.58726,2.3158),(235,5405,-0.46895,2.3301),(235,5415,-0.33324,2.3452),(235,5425,0.036262,2.3603),(235,5435,0.40576,2.3478),(235,5445,0.77526,2.3053),(235,5455,0.85781,2.2628),(235,5465,0.90527,2.2216),(235,5475,0.95274,2.1834),(235,5485,0.91351,2.1452),(235,5495,0.83936,2.1091),(235,5505,0.76522,2.088),(235,5515,0.69995,2.0669),(235,5525,0.64242,2.0458),(235,5535,0.58488,2.0304),(235,5545,0.53296,2.0152),(235,5555,0.49117,2.0001),(235,5565,0.44938,1.9858),(235,5575,0.40983,1.9717),(235,5585,0.38061,1.9577),(235,5595,0.35139,1.943),(235,5605,0.32217,1.9279),(235,5615,0.30193,1.9128),(235,5625,0.2817,1.8971),(235,5635,0.26147,1.8806),(235,5645,0.24613,1.8641),(235,5655,0.23186,1.8474),(235,5665,0.21759,1.8297),(235,5675,0.20576,1.8121),(235,5685,0.19529,1.7943),(235,5695,0.18482,1.7754),(235,5705,0.17533,1.7565),(235,5715,0.16694,1.7376),(235,5725,0.15856,1.7175),(235,5735,0.15035,1.6973),(235,5745,0.14258,1.677),(235,5755,0.1348,1.6561),(235,5765,0.12696,1.6348),(235,5775,0.11853,1.6135),(235,5785,0.1101,1.5916),(235,5795,0.10167,1.5691),(235,5805,0.091641,1.5466),(235,5815,0.081493,1.5238),(235,5825,0.071345,1.5005),(235,5835,0.059054,1.4771),(235,5845,0.046058,1.4537),(235,5855,0.033063,1.4298),(235,5865,0.017688,1.4058),(235,5875,0.00055,1.3819),(235,5885,-0.016588,1.358),(235,5895,-0.035871,1.334),(235,5905,-0.058425,1.3101),(235,5915,-0.080978,1.287),(235,5925,-0.10502,1.2643),(235,5935,-0.13441,1.2415),(235,5945,-0.1638,1.2211),(235,5955,-0.19343,1.202),(235,5965,-0.22876,1.183),(235,5975,-0.2641,1.1684),(235,5985,-0.29944,1.1593),(235,5995,-0.2357,1.1501),(235,6005,-0.15602,1.1437),(235,6015,-0.076337,1.1448),(235,6025,0.039885,1.1458),(235,6035,0.17305,1.1447),(235,6045,0.30622,1.1225),(235,6055,0.37874,1.1003),(235,6065,0.39178,1.0781),(235,6075,0.40482,1.0545),(235,6085,0.40722,1.0308),(235,6095,0.38769,1.007),(235,6105,0.36817,0.98548),(235,6115,0.34937,0.96469),(235,6125,0.33475,0.94389),(235,6135,0.32014,0.92352),(235,6145,0.30553,0.90346),(235,6155,0.29439,0.88341),(235,6165,0.28337,0.86335),(235,6175,0.27234,0.84328),(235,6185,0.26337,0.82322),(235,6195,0.25494,0.80322),(235,6205,0.24652,0.78349),(235,6215,0.2393,0.76377),(235,6225,0.23285,0.74405),(235,6235,0.2264,0.72455),(235,6245,0.22054,0.70505),(235,6255,0.21547,0.68555),(235,6265,0.21039,0.6661),(235,6275,0.20559,0.64666),(235,6285,0.20159,0.62723),(235,6295,0.19759,0.60782),(235,6305,0.19365,0.58842),(235,6315,0.1905,0.56903),(235,6325,0.18735,0.54967),(235,6335,0.1842,0.53033),(235,6345,0.18162,0.511),(235,6355,0.1791,0.49167),(235,6365,0.17657,0.47239),(235,6375,0.17442,0.4531),(235,6385,0.1724,0.43381),(235,6395,0.17038,0.41457),(235,6405,0.1686,0.39532),(235,6415,0.16703,0.37607),(235,6425,0.16546,0.35682),(235,6435,0.16401,0.33758),(235,6445,0.16277,0.31833),(235,6455,0.16154,0.29911),(235,6465,0.16036,0.27989),(235,6475,0.15946,0.26068),(235,6485,0.15855,0.24143),(235,6495,0.15765,0.22216),(235,6505,0.15699,0.20289),(235,6515,0.15634,0.1836),(235,6525,0.15568,0.16428),(235,6535,0.15526,0.14496),(235,6545,0.15489,0.12563),(235,6555,0.15452,0.10631),(235,6565,0.15423,0.086993),(235,6575,0.15398,0.067672),(235,6585,0.15373,0.048341),(235,6595,0.13064,0.029009),(235,6605,0.082328,0.009677),(235,6615,0.034013,0.008018),(235,6625,4.9e-05,0.00863),(235,6635,5e-05,0.009241),(235,6645,5.1e-05,0.009417),(235,6655,5.2e-05,0.009413),(235,6665,5.3e-05,0.009409),(235,6675,5.4e-05,0.009404),(235,6685,5.5e-05,0.009398),(235,6695,5.6e-05,0.009393),(235,6705,5.6e-05,0.009387),(235,6715,5.7e-05,0.009382),(235,6725,5.8e-05,0.009376),(235,6735,5.9e-05,0.009371),(235,6745,5.9e-05,0.009365),(235,6755,6e-05,0.00936),(235,6765,6.1e-05,0.009354),(235,6775,6.2e-05,0.009348),(235,6785,6.2e-05,0.009343),(235,6795,6.3e-05,0.009337),(235,6805,6.4e-05,0.009331),(235,6815,6.4e-05,0.009325),(235,6825,6.5e-05,0.009319),(235,6835,6.5e-05,0.009313),(235,6845,6.6e-05,0.009307),(235,6855,6.6e-05,0.009301),(235,6865,6.7e-05,0.009295),(235,6875,6.8e-05,0.009289),(235,6885,6.8e-05,0.009283),(235,6895,6.9e-05,0.009277),(235,6905,6.9e-05,0.00927),(235,6915,7e-05,0.009264),(235,6925,7e-05,0.009258),(235,6935,7e-05,0.009251),(235,6945,7.1e-05,0.009245),(235,6955,7.1e-05,0.009239),(235,6965,7.2e-05,0.009232),(235,6975,7.2e-05,0.009226),(235,6985,7.3e-05,0.009219),(245,5,1.3e-05,3.665),(245,15,3.8e-05,3.665),(245,25,6.4e-05,3.665),(245,35,9e-05,3.665),(245,45,0.000115,3.665),(245,55,0.000141,3.6649),(245,65,0.000167,3.6649),(245,75,0.000193,3.6649),(245,85,0.000218,3.6649),(245,95,0.000244,3.6649),(245,105,0.00027,3.6649),(245,115,0.000296,3.6648),(245,125,0.000322,3.6648),(245,135,0.000348,3.6648),(245,145,0.000373,3.6647),(245,155,0.000399,3.6647),(245,165,0.000425,3.6647),(245,175,0.000451,3.6646),(245,185,0.000477,3.6646),(245,195,0.000503,3.6646),(245,205,0.000529,3.6645),(245,215,0.000556,3.6645),(245,225,0.000582,3.6644),(245,235,0.000608,3.6644),(245,245,0.000634,3.6643),(245,255,0.00066,3.6643),(245,265,0.000686,3.6642),(245,275,0.000713,3.6642),(245,285,0.000739,3.6641),(245,295,0.000766,3.664),(245,305,0.000792,3.664),(245,315,0.000819,3.6639),(245,325,0.000846,3.6638),(245,335,0.000873,3.6638),(245,345,0.0009,3.6637),(245,355,0.000927,3.6636),(245,365,0.000954,3.6635),(245,375,0.000981,3.6635),(245,385,0.001009,3.6634),(245,395,0.001036,3.6633),(245,405,0.001064,3.6632),(245,415,0.001091,3.6631),(245,425,0.001119,3.663),(245,435,0.001147,3.6629),(245,445,0.001175,3.6628),(245,455,0.001203,3.6627),(245,465,0.001231,3.6626),(245,475,0.001259,3.6625),(245,485,0.001287,3.6624),(245,495,0.001316,3.6623),(245,505,0.001345,3.6622),(245,515,0.001373,3.6621),(245,525,0.001402,3.662),(245,535,0.001431,3.6618),(245,545,0.001461,3.6617),(245,555,0.00149,3.6616),(245,565,0.00152,3.6615),(245,575,0.001549,3.6614),(245,585,0.001579,3.6612),(245,595,0.001609,3.6611),(245,605,0.001638,3.661),(245,615,0.001668,3.6608),(245,625,0.001699,3.6607),(245,635,0.001729,3.6605),(245,645,0.001759,3.6604),(245,655,0.00179,3.6602),(245,665,0.001821,3.6601),(245,675,0.001852,3.6599),(245,685,0.001882,3.6598),(245,695,0.001914,3.6596),(245,705,0.001945,3.6595),(245,715,0.001977,3.6593),(245,725,0.002009,3.6591),(245,735,0.00204,3.659),(245,745,0.002073,3.6588),(245,755,0.002105,3.6586),(245,765,0.002138,3.6584),(245,775,0.00217,3.6583),(245,785,0.002203,3.6581),(245,795,0.002236,3.6579),(245,805,0.002269,3.6577),(245,815,0.002302,3.6575),(245,825,0.002336,3.6573),(245,835,0.00237,3.6571),(245,845,0.002403,3.6569),(245,855,0.002437,3.6567),(245,865,0.002472,3.6565),(245,875,0.002507,3.6563),(245,885,0.002541,3.6561),(245,895,0.002576,3.6559),(245,905,0.002611,3.6557),(245,915,0.002647,3.6555),(245,925,0.002682,3.6552),(245,935,0.002718,3.655),(245,945,0.002754,3.6548),(245,955,0.00279,3.6546),(245,965,0.002826,3.6543),(245,975,0.002863,3.6541),(245,985,0.0029,3.6538),(245,995,0.002936,3.6536),(245,1005,0.002973,3.6533),(245,1015,0.003011,3.6531),(245,1025,0.003049,3.6528),(245,1035,0.003086,3.6526),(245,1045,0.003124,3.6523),(245,1055,0.003163,3.6521),(245,1065,0.003201,3.6518),(245,1075,0.00324,3.6515),(245,1085,0.003279,3.6513),(245,1095,0.003318,3.651),(245,1105,0.003358,3.6507),(245,1115,0.003397,3.6504),(245,1125,0.003437,3.6501),(245,1135,0.003477,3.6499),(245,1145,0.003517,3.6496),(245,1155,0.003558,3.6493),(245,1165,0.003599,3.649),(245,1175,0.00364,3.6487),(245,1185,0.003681,3.6484),(245,1195,0.003723,3.6481),(245,1205,0.003764,3.6477),(245,1215,0.003807,3.6474),(245,1225,0.003849,3.6471),(245,1235,0.003892,3.6468),(245,1245,0.003935,3.6465),(245,1255,0.003978,3.6461),(245,1265,0.004022,3.6458),(245,1275,0.004065,3.6455),(245,1285,0.004109,3.6451),(245,1295,0.004153,3.6448),(245,1305,0.004198,3.6444),(245,1315,0.004242,3.6441),(245,1325,0.004287,3.6437),(245,1335,0.004332,3.6434),(245,1345,0.004378,3.643),(245,1355,0.004423,3.6426),(245,1365,0.004468,3.6423),(245,1375,0.004515,3.6419),(245,1385,0.004561,3.6415),(245,1395,0.004608,3.6411),(245,1405,0.004655,3.6407),(245,1415,0.004702,3.6404),(245,1425,0.00475,3.64),(245,1435,0.004798,3.6396),(245,1445,0.004845,3.6392),(245,1455,0.004894,3.6388),(245,1465,0.004943,3.6383),(245,1475,0.004991,3.6379),(245,1485,0.00504,3.6375),(245,1495,0.00509,3.6371),(245,1505,0.005139,3.6367),(245,1515,0.005189,3.6362),(245,1525,0.005239,3.6358),(245,1535,0.005289,3.6354),(245,1545,0.00534,3.6349),(245,1555,0.005391,3.6345),(245,1565,0.005442,3.634),(245,1575,0.005493,3.6336),(245,1585,0.005545,3.6331),(245,1595,0.005597,3.6326),(245,1605,0.005649,3.6322),(245,1615,0.005702,3.6317),(245,1625,0.005755,3.6312),(245,1635,0.005808,3.6307),(245,1645,0.005861,3.6302),(245,1655,0.005915,3.6298),(245,1665,0.005969,3.6293),(245,1675,0.006023,3.6288),(245,1685,0.006077,3.6283),(245,1695,0.006132,3.6277),(245,1705,0.006187,3.6272),(245,1715,0.006242,3.6267),(245,1725,0.006297,3.6262),(245,1735,0.006353,3.6257),(245,1745,0.006409,3.6251),(245,1755,0.006465,3.6246),(245,1765,0.006522,3.624),(245,1775,0.006579,3.6235),(245,1785,0.006636,3.623),(245,1795,0.006693,3.6224),(245,1805,0.00675,3.6218),(245,1815,0.006808,3.6213),(245,1825,0.006867,3.6207),(245,1835,0.006925,3.6201),(245,1845,0.006983,3.6195),(245,1855,0.007042,3.619),(245,1865,0.007101,3.6184),(245,1875,0.00716,3.6178),(245,1885,0.00722,3.6172),(245,1895,0.00728,3.6166),(245,1905,0.00734,3.616),(245,1915,0.0074,3.6153),(245,1925,0.007461,3.6147),(245,1935,0.007522,3.6141),(245,1945,0.007583,3.6135),(245,1955,0.007644,3.6128),(245,1965,0.007706,3.6122),(245,1975,0.007769,3.6116),(245,1985,0.007831,3.6109),(245,1995,0.007893,3.6102),(245,2005,0.007956,3.6096),(245,2015,0.00802,3.6089),(245,2025,0.008083,3.6083),(245,2035,0.008147,3.6076),(245,2045,0.008211,3.6069),(245,2055,0.008276,3.6062),(245,2065,0.008341,3.6055),(245,2075,0.008405,3.6048),(245,2085,0.008471,3.6041),(245,2095,0.008536,3.6034),(245,2105,0.008602,3.6027),(245,2115,0.008668,3.602),(245,2125,0.008735,3.6012),(245,2135,0.008802,3.6005),(245,2145,0.008869,3.5998),(245,2155,0.008936,3.599),(245,2165,0.009004,3.5983),(245,2175,0.009072,3.5975),(245,2185,0.00914,3.5968),(245,2195,0.009208,3.596),(245,2205,0.009277,3.5952),(245,2215,0.009347,3.5945),(245,2225,0.009416,3.5937),(245,2235,0.009485,3.5929),(245,2245,0.009556,3.5921),(245,2255,0.009627,3.5913),(245,2265,0.009698,3.5905),(245,2275,0.009769,3.5897),(245,2285,0.009841,3.5889),(245,2295,0.009914,3.5881),(245,2305,0.009987,3.5872),(245,2315,0.010059,3.5864),(245,2325,0.010133,3.5856),(245,2335,0.010208,3.5847),(245,2345,0.010282,3.5839),(245,2355,0.010356,3.583),(245,2365,0.010432,3.5822),(245,2375,0.010509,3.5813),(245,2385,0.010585,3.5804),(245,2395,0.010661,3.5795),(245,2405,0.010739,3.5787),(245,2415,0.010817,3.5778),(245,2425,0.010896,3.5769),(245,2435,0.010974,3.576),(245,2445,0.011054,3.5751),(245,2455,0.011135,3.5742),(245,2465,0.011216,3.5732),(245,2475,0.011296,3.5723),(245,2485,0.01138,3.5714),(245,2495,0.011463,3.5704),(245,2505,0.011547,3.5695),(245,2515,0.011631,3.5685),(245,2525,0.011717,3.5676),(245,2535,0.011804,3.5666),(245,2545,0.011891,3.5656),(245,2555,0.011978,3.5646),(245,2565,0.012068,3.5637),(245,2575,0.012158,3.5627),(245,2585,0.012249,3.5617),(245,2595,0.012339,3.5607),(245,2605,0.012434,3.5597),(245,2615,0.012529,3.5587),(245,2625,0.012623,3.5576),(245,2635,0.012719,3.5566),(245,2645,0.012818,3.5556),(245,2655,0.012918,3.5545),(245,2665,0.013018,3.5535),(245,2675,0.013118,3.5524),(245,2685,0.013224,3.5513),(245,2695,0.01333,3.5503),(245,2705,0.013435,3.5492),(245,2715,0.013542,3.5481),(245,2725,0.013654,3.547),(245,2735,0.013767,3.5459),(245,2745,0.013879,3.5448),(245,2755,0.013993,3.5437),(245,2765,0.014114,3.5426),(245,2775,0.014234,3.5414),(245,2785,0.014354,3.5403),(245,2795,0.014477,3.5391),(245,2805,0.014607,3.538),(245,2815,0.014737,3.5368),(245,2825,0.014867,3.5357),(245,2835,0.015001,3.5345),(245,2845,0.015142,3.5333),(245,2855,0.015284,3.5321),(245,2865,0.015425,3.5309),(245,2875,0.015571,3.5297),(245,2885,0.015726,3.5285),(245,2895,0.015881,3.5272),(245,2905,0.016036,3.526),(245,2915,0.016197,3.5248),(245,2925,0.016367,3.5235),(245,2935,0.016538,3.5222),(245,2945,0.016708,3.521),(245,2955,0.016887,3.5197),(245,2965,0.017077,3.5184),(245,2975,0.017266,3.5171),(245,2985,0.017455,3.5158),(245,2995,0.017656,3.5145),(245,3005,0.017868,3.5131),(245,3015,0.01808,3.5118),(245,3025,0.018292,3.5104),(245,3035,0.018518,3.5091),(245,3045,0.018756,3.5077),(245,3055,0.018995,3.5063),(245,3065,0.019234,3.5049),(245,3075,0.019491,3.5035),(245,3085,0.019762,3.5021),(245,3095,0.020033,3.5006),(245,3105,0.020304,3.4992),(245,3115,0.020598,3.4977),(245,3125,0.020908,3.4963),(245,3135,0.021217,3.4948),(245,3145,0.021527,3.4933),(245,3155,0.021866,3.4918),(245,3165,0.022222,3.4902),(245,3175,0.022578,3.4887),(245,3185,0.022933,3.4871),(245,3195,0.023328,3.4856),(245,3205,0.023739,3.484),(245,3215,0.024151,3.4824),(245,3225,0.024562,3.4807),(245,3235,0.025023,3.4791),(245,3245,0.025502,3.4775),(245,3255,0.025981,3.4758),(245,3265,0.026459,3.4741),(245,3275,0.027001,3.4724),(245,3285,0.027562,3.4707),(245,3295,0.028122,3.4689),(245,3305,0.028683,3.4671),(245,3315,0.029324,3.4653),(245,3325,0.029984,3.4635),(245,3335,0.030644,3.4617),(245,3345,0.031304,3.4598),(245,3355,0.032067,3.4579),(245,3365,0.032849,3.4561),(245,3375,0.03363,3.4541),(245,3385,0.034412,3.4522),(245,3395,0.035326,3.4502),(245,3405,0.036256,3.4482),(245,3415,0.037187,3.4461),(245,3425,0.038117,3.4441),(245,3435,0.039218,3.442),(245,3445,0.040332,3.4399),(245,3455,0.041446,3.4377),(245,3465,0.04256,3.4355),(245,3475,0.043894,3.4333),(245,3485,0.045235,3.4312),(245,3495,0.046577,3.4288),(245,3505,0.04792,3.4265),(245,3515,0.049545,3.4242),(245,3525,0.05117,3.4219),(245,3535,0.052795,3.4194),(245,3545,0.054436,3.4169),(245,3555,0.056417,3.4145),(245,3565,0.058398,3.412),(245,3575,0.060379,3.4094),(245,3585,0.062398,3.4067),(245,3595,0.064829,3.4041),(245,3605,0.067261,3.4015),(245,3615,0.069692,3.3987),(245,3625,0.072194,3.3959),(245,3635,0.075202,3.3931),(245,3645,0.078209,3.3903),(245,3655,0.081216,3.3874),(245,3665,0.084345,3.3845),(245,3675,0.088097,3.3815),(245,3685,0.09185,3.3785),(245,3695,0.095603,3.3754),(245,3705,0.099555,3.3723),(245,3715,0.10429,3.3692),(245,3725,0.10902,3.3661),(245,3735,0.11376,3.3628),(245,3745,0.11882,3.3596),(245,3755,0.12487,3.3563),(245,3765,0.13093,3.353),(245,3775,0.13699,3.3496),(245,3785,0.14357,3.3463),(245,3795,0.15148,3.3429),(245,3805,0.15938,3.3395),(245,3815,0.16728,3.336),(245,3825,0.17605,3.3325),(245,3835,0.18665,3.3291),(245,3845,0.19725,3.3255),(245,3855,0.20784,3.3219),(245,3865,0.21997,3.3183),(245,3875,0.23479,3.3146),(245,3885,0.24961,3.3107),(245,3895,0.26443,3.3061),(245,3905,0.31145,3.3016),(245,3915,0.40657,3.2971),(245,3925,0.5017,3.2786),(245,3935,0.59682,3.2409),(245,3945,0.64975,3.2031),(245,3955,0.64911,3.1654),(245,3965,0.64847,3.1338),(245,3975,0.64783,3.1093),(245,3985,0.62124,3.0849),(245,3995,0.56657,3.0604),(245,4005,0.5119,3.0434),(245,4015,0.45723,3.0338),(245,4025,0.40922,3.0242),(245,4035,0.36186,3.0171),(245,4045,0.3145,3.0153),(245,4055,0.2754,3.0135),(245,4065,0.23931,3.0111),(245,4075,0.20323,3.0053),(245,4085,0.16431,2.9995),(245,4095,0.12312,2.9938),(245,4105,0.081931,2.9907),(245,4115,0.040648,2.9877),(245,4125,-0.000789,2.9848),(245,4135,-0.042227,2.9917),(245,4145,-0.058875,3.0013),(245,4155,0.024885,3.011),(245,4165,0.10864,3.0036),(245,4175,0.19072,2.9854),(245,4185,0.18956,2.9671),(245,4195,0.18839,2.9513),(245,4205,0.18722,2.9387),(245,4215,0.13657,2.926),(245,4225,0.076599,2.9175),(245,4235,0.016629,2.9212),(245,4245,-0.022751,2.9248),(245,4255,-0.051682,2.9291),(245,4265,-0.080612,2.9405),(245,4275,-0.083481,2.952),(245,4285,-0.058692,2.9635),(245,4295,-0.033904,2.9715),(245,4305,0.044733,2.9791),(245,4315,0.24496,2.9868),(245,4325,0.44519,2.9626),(245,4335,0.60864,2.9259),(245,4345,0.52314,2.8892),(245,4355,0.43765,2.8631),(245,4365,0.35215,2.846),(245,4375,0.24538,2.8289),(245,4385,0.1375,2.8204),(245,4395,0.029627,2.8268),(245,4405,-0.036793,2.8333),(245,4415,-0.090987,2.8429),(245,4425,-0.14518,2.8666),(245,4435,-0.067341,2.8903),(245,4445,0.10073,2.9137),(245,4455,0.2688,2.8843),(245,4465,0.37205,2.8548),(245,4475,0.38424,2.8254),(245,4485,0.39642,2.8003),(245,4495,0.37539,2.7762),(245,4505,0.24777,2.752),(245,4515,0.12014,2.7448),(245,4525,-0.007052,2.7467),(245,4535,-0.12753,2.7487),(245,4545,-0.24801,2.761),(245,4555,-0.36848,2.7851),(245,4565,-0.24263,2.8092),(245,4575,-0.083561,2.8229),(245,4585,0.075504,2.8114),(245,4595,0.17479,2.7999),(245,4605,0.24882,2.787),(245,4615,0.32285,2.763),(245,4625,0.32052,2.739),(245,4635,0.24904,2.7151),(245,4645,0.17756,2.7034),(245,4655,0.074977,2.6925),(245,4665,-0.086268,2.6817),(245,4675,-0.24751,2.7001),(245,4685,-0.37766,2.7279),(245,4695,-0.35411,2.7557),(245,4705,-0.33055,2.7842),(245,4715,-0.307,2.8131),(245,4725,-0.028878,2.842),(245,4735,0.25179,2.8434),(245,4745,0.53247,2.8038),(245,4755,0.51501,2.7642),(245,4765,0.42846,2.7289),(245,4775,0.34192,2.709),(245,4785,0.18317,2.689),(245,4795,-0.01733,2.6705),(245,4805,-0.21783,2.6821),(245,4815,-0.37097,2.6936),(245,4825,-0.4675,2.7052),(245,4835,-0.56403,2.7387),(245,4845,-0.54471,2.7755),(245,4855,-0.2234,2.8124),(245,4865,0.097906,2.8038),(245,4875,0.39934,2.7745),(245,4885,0.51992,2.7452),(245,4895,0.6405,2.7059),(245,4905,0.76108,2.657),(245,4915,0.57918,2.6082),(245,4925,0.37127,2.5722),(245,4935,0.16336,2.5624),(245,4945,-0.012537,2.5526),(245,4955,-0.17733,2.5481),(245,4965,-0.34213,2.5732),(245,4975,-0.36705,2.5983),(245,4985,-0.28401,2.6234),(245,4995,-0.20096,2.6345),(245,5005,-0.095805,2.6452),(245,5015,0.044499,2.656),(245,5025,0.1848,2.6331),(245,5035,0.2643,2.6017),(245,5045,0.11214,2.5704),(245,5055,-0.040013,2.5505),(245,5065,-0.19352,2.5379),(245,5075,-0.39116,2.5252),(245,5085,-0.5888,2.5253),(245,5095,-0.78645,2.5416),(245,5105,-0.7938,2.5579),(245,5115,-0.76795,2.5783),(245,5125,-0.7421,2.61),(245,5135,-0.4686,2.6417),(245,5145,-0.074914,2.668),(245,5155,0.31877,2.6358),(245,5165,0.55828,2.6036),(245,5175,0.64053,2.5713),(245,5185,0.72278,2.5341),(245,5195,0.71686,2.4963),(245,5205,0.52081,2.4586),(245,5215,0.32476,2.4426),(245,5225,0.12826,2.4347),(245,5235,-0.071056,2.4268),(245,5245,-0.27038,2.4357),(245,5255,-0.4697,2.4585),(245,5265,-0.31646,2.4814),(245,5275,-0.14868,2.4951),(245,5285,0.019099,2.4936),(245,5295,0.18114,2.492),(245,5305,0.34159,2.4831),(245,5315,0.50204,2.4436),(245,5325,0.46728,2.404),(245,5335,0.30452,2.3647),(245,5345,0.14175,2.3458),(245,5355,-0.059111,2.3268),(245,5365,-0.31136,2.3078),(245,5375,-0.5636,2.3096),(245,5385,-0.72407,2.3155),(245,5395,-0.60552,2.3213),(245,5405,-0.48697,2.3335),(245,5415,-0.34979,2.349),(245,5425,0.037699,2.3645),(245,5435,0.42518,2.3535),(245,5445,0.81267,2.3138),(245,5455,0.89478,2.2742),(245,5465,0.93957,2.2364),(245,5475,0.98436,2.2029),(245,5485,0.94047,2.1695),(245,5495,0.86087,2.138),(245,5505,0.78127,2.1203),(245,5515,0.71242,2.1027),(245,5525,0.65293,2.085),(245,5535,0.59345,2.0714),(245,5545,0.54019,2.0579),(245,5555,0.49817,2.0444),(245,5565,0.45616,2.031),(245,5575,0.41648,2.0175),(245,5585,0.38753,2.0039),(245,5595,0.35857,1.9895),(245,5605,0.32962,1.9745),(245,5615,0.3097,1.9594),(245,5625,0.28977,1.9437),(245,5635,0.26985,1.9269),(245,5645,0.25477,1.9102),(245,5655,0.24074,1.8932),(245,5665,0.22671,1.8751),(245,5675,0.21509,1.857),(245,5685,0.2048,1.8388),(245,5695,0.1945,1.8193),(245,5705,0.18517,1.7998),(245,5715,0.17692,1.7803),(245,5725,0.16868,1.7595),(245,5735,0.1606,1.7385),(245,5745,0.15295,1.7176),(245,5755,0.14529,1.6957),(245,5765,0.13756,1.6735),(245,5775,0.1292,1.6513),(245,5785,0.12084,1.6284),(245,5795,0.11249,1.6048),(245,5805,0.10248,1.5812),(245,5815,0.092356,1.5573),(245,5825,0.082228,1.5326),(245,5835,0.069902,1.508),(245,5845,0.056853,1.4831),(245,5855,0.043803,1.4576),(245,5865,0.028259,1.432),(245,5875,0.010866,1.4064),(245,5885,-0.006528,1.3805),(245,5895,-0.026217,1.3545),(245,5905,-0.049409,1.3285),(245,5915,-0.072601,1.303),(245,5925,-0.097471,1.2777),(245,5935,-0.12836,1.2523),(245,5945,-0.15925,1.2291),(245,5955,-0.19046,1.2073),(245,5965,-0.22925,1.1854),(245,5975,-0.26804,1.1687),(245,5985,-0.30683,1.1583),(245,5995,-0.24245,1.1478),(245,6005,-0.16148,1.1408),(245,6015,-0.080496,1.1429),(245,6025,0.040335,1.145),(245,6035,0.17965,1.145),(245,6045,0.31897,1.124),(245,6055,0.39409,1.103),(245,6065,0.40629,1.082),(245,6075,0.41848,1.0597),(245,6085,0.42006,1.0372),(245,6095,0.39975,1.0147),(245,6105,0.37943,0.99402),(245,6115,0.35993,0.97405),(245,6125,0.34503,0.95408),(245,6135,0.33013,0.93431),(245,6145,0.31523,0.91469),(245,6155,0.30398,0.89507),(245,6165,0.29284,0.87535),(245,6175,0.28171,0.85546),(245,6185,0.27268,0.83557),(245,6195,0.26421,0.81572),(245,6205,0.25574,0.79602),(245,6215,0.2485,0.77633),(245,6225,0.24203,0.75664),(245,6235,0.23556,0.73703),(245,6245,0.22969,0.71742),(245,6255,0.22462,0.69781),(245,6265,0.21955,0.67818),(245,6275,0.21475,0.65856),(245,6285,0.21074,0.63893),(245,6295,0.20673,0.6193),(245,6305,0.20279,0.59966),(245,6315,0.19962,0.58003),(245,6325,0.19645,0.56039),(245,6335,0.19328,0.54076),(245,6345,0.19068,0.52113),(245,6355,0.18814,0.5015),(245,6365,0.18561,0.48188),(245,6375,0.18343,0.46226),(245,6385,0.18139,0.44265),(245,6395,0.17936,0.42305),(245,6405,0.17756,0.40346),(245,6415,0.17597,0.38387),(245,6425,0.17437,0.36425),(245,6435,0.1729,0.34462),(245,6445,0.17164,0.325),(245,6455,0.17039,0.3054),(245,6465,0.16919,0.28581),(245,6475,0.16826,0.26622),(245,6485,0.16734,0.24658),(245,6495,0.16641,0.22691),(245,6505,0.16575,0.20725),(245,6515,0.16509,0.18757),(245,6525,0.16443,0.16787),(245,6535,0.16405,0.14817),(245,6545,0.16373,0.12846),(245,6555,0.16341,0.10873),(245,6565,0.16322,0.088993),(245,6575,0.16311,0.069258),(245,6585,0.163,0.04952),(245,6595,0.13858,0.029783),(245,6605,0.087332,0.010045),(245,6615,0.03608,0.00825),(245,6625,5.1e-05,0.008761),(245,6635,5.2e-05,0.009272),(245,6645,5.3e-05,0.009418),(245,6655,5.4e-05,0.009414),(245,6665,5.5e-05,0.00941),(245,6675,5.6e-05,0.009405),(245,6685,5.7e-05,0.009399),(245,6695,5.8e-05,0.009393),(245,6705,5.9e-05,0.009388),(245,6715,6e-05,0.009383),(245,6725,6e-05,0.009377),(245,6735,6.1e-05,0.009372),(245,6745,6.2e-05,0.009366),(245,6755,6.3e-05,0.00936),(245,6765,6.3e-05,0.009355),(245,6775,6.4e-05,0.009349),(245,6785,6.5e-05,0.009343),(245,6795,6.6e-05,0.009338),(245,6805,6.6e-05,0.009332),(245,6815,6.7e-05,0.009326),(245,6825,6.8e-05,0.00932),(245,6835,6.8e-05,0.009314),(245,6845,6.9e-05,0.009308),(245,6855,6.9e-05,0.009302),(245,6865,7e-05,0.009296),(245,6875,7e-05,0.00929),(245,6885,7.1e-05,0.009284),(245,6895,7.1e-05,0.009277),(245,6905,7.2e-05,0.009271),(245,6915,7.3e-05,0.009265),(245,6925,7.3e-05,0.009258),(245,6935,7.4e-05,0.009252),(245,6945,7.4e-05,0.009246),(245,6955,7.5e-05,0.009239),(245,6965,7.5e-05,0.009233),(245,6975,7.6e-05,0.009226),(245,6985,7.6e-05,0.00922),(255,5,1.3e-05,3.665),(255,15,4e-05,3.665),(255,25,6.7e-05,3.665),(255,35,9.3e-05,3.665),(255,45,0.00012,3.665),(255,55,0.000147,3.665),(255,65,0.000174,3.665),(255,75,0.0002,3.6649),(255,85,0.000227,3.6649),(255,95,0.000254,3.6649),(255,105,0.000281,3.6649),(255,115,0.000308,3.6649),(255,125,0.000335,3.6648),(255,135,0.000362,3.6648),(255,145,0.000389,3.6648),(255,155,0.000416,3.6647),(255,165,0.000442,3.6647),(255,175,0.000469,3.6647),(255,185,0.000496,3.6646),(255,195,0.000524,3.6646),(255,205,0.000551,3.6646),(255,215,0.000578,3.6645),(255,225,0.000605,3.6645),(255,235,0.000632,3.6644),(255,245,0.00066,3.6644),(255,255,0.000687,3.6643),(255,265,0.000714,3.6642),(255,275,0.000742,3.6642),(255,285,0.000769,3.6641),(255,295,0.000797,3.6641),(255,305,0.000824,3.664),(255,315,0.000852,3.6639),(255,325,0.00088,3.6639),(255,335,0.000908,3.6638),(255,345,0.000936,3.6637),(255,355,0.000965,3.6636),(255,365,0.000993,3.6636),(255,375,0.001021,3.6635),(255,385,0.00105,3.6634),(255,395,0.001078,3.6633),(255,405,0.001107,3.6632),(255,415,0.001136,3.6631),(255,425,0.001164,3.663),(255,435,0.001193,3.663),(255,445,0.001222,3.6629),(255,455,0.001251,3.6628),(255,465,0.001281,3.6627),(255,475,0.00131,3.6626),(255,485,0.001339,3.6624),(255,495,0.001369,3.6623),(255,505,0.001399,3.6622),(255,515,0.001429,3.6621),(255,525,0.001459,3.662),(255,535,0.001489,3.6619),(255,545,0.00152,3.6618),(255,555,0.00155,3.6616),(255,565,0.001581,3.6615),(255,575,0.001611,3.6614),(255,585,0.001642,3.6613),(255,595,0.001673,3.6611),(255,605,0.001704,3.661),(255,615,0.001736,3.6608),(255,625,0.001767,3.6607),(255,635,0.001799,3.6606),(255,645,0.00183,3.6604),(255,655,0.001862,3.6603),(255,665,0.001894,3.6601),(255,675,0.001926,3.66),(255,685,0.001958,3.6598),(255,695,0.001991,3.6597),(255,705,0.002024,3.6595),(255,715,0.002057,3.6593),(255,725,0.00209,3.6592),(255,735,0.002123,3.659),(255,745,0.002156,3.6588),(255,755,0.00219,3.6587),(255,765,0.002224,3.6585),(255,775,0.002257,3.6583),(255,785,0.002292,3.6581),(255,795,0.002326,3.6579),(255,805,0.002361,3.6577),(255,815,0.002395,3.6575),(255,825,0.00243,3.6574),(255,835,0.002465,3.6572),(255,845,0.0025,3.657),(255,855,0.002536,3.6568),(255,865,0.002572,3.6566),(255,875,0.002608,3.6564),(255,885,0.002644,3.6561),(255,895,0.00268,3.6559),(255,905,0.002717,3.6557),(255,915,0.002753,3.6555),(255,925,0.00279,3.6553),(255,935,0.002827,3.655),(255,945,0.002865,3.6548),(255,955,0.002903,3.6546),(255,965,0.00294,3.6544),(255,975,0.002978,3.6541),(255,985,0.003017,3.6539),(255,995,0.003055,3.6536),(255,1005,0.003093,3.6534),(255,1015,0.003132,3.6531),(255,1025,0.003172,3.6529),(255,1035,0.003211,3.6526),(255,1045,0.003251,3.6524),(255,1055,0.003291,3.6521),(255,1065,0.003331,3.6518),(255,1075,0.003371,3.6516),(255,1085,0.003412,3.6513),(255,1095,0.003452,3.651),(255,1105,0.003494,3.6508),(255,1115,0.003535,3.6505),(255,1125,0.003576,3.6502),(255,1135,0.003618,3.6499),(255,1145,0.00366,3.6496),(255,1155,0.003702,3.6493),(255,1165,0.003744,3.649),(255,1175,0.003787,3.6487),(255,1185,0.00383,3.6484),(255,1195,0.003873,3.6481),(255,1205,0.003916,3.6478),(255,1215,0.00396,3.6475),(255,1225,0.004005,3.6472),(255,1235,0.004049,3.6468),(255,1245,0.004094,3.6465),(255,1255,0.004139,3.6462),(255,1265,0.004184,3.6458),(255,1275,0.00423,3.6455),(255,1285,0.004275,3.6452),(255,1295,0.004321,3.6448),(255,1305,0.004367,3.6445),(255,1315,0.004414,3.6441),(255,1325,0.00446,3.6438),(255,1335,0.004507,3.6434),(255,1345,0.004555,3.6431),(255,1355,0.004602,3.6427),(255,1365,0.004649,3.6423),(255,1375,0.004698,3.6419),(255,1385,0.004746,3.6416),(255,1395,0.004795,3.6412),(255,1405,0.004843,3.6408),(255,1415,0.004893,3.6404),(255,1425,0.004942,3.64),(255,1435,0.004992,3.6396),(255,1445,0.005041,3.6392),(255,1455,0.005092,3.6388),(255,1465,0.005143,3.6384),(255,1475,0.005194,3.638),(255,1485,0.005244,3.6376),(255,1495,0.005296,3.6371),(255,1505,0.005348,3.6367),(255,1515,0.005399,3.6363),(255,1525,0.005451,3.6358),(255,1535,0.005504,3.6354),(255,1545,0.005557,3.635),(255,1555,0.005609,3.6345),(255,1565,0.005662,3.6341),(255,1575,0.005716,3.6336),(255,1585,0.00577,3.6332),(255,1595,0.005824,3.6327),(255,1605,0.005878,3.6322),(255,1615,0.005933,3.6317),(255,1625,0.005988,3.6313),(255,1635,0.006043,3.6308),(255,1645,0.006098,3.6303),(255,1655,0.006155,3.6298),(255,1665,0.006211,3.6293),(255,1675,0.006267,3.6288),(255,1685,0.006323,3.6283),(255,1695,0.006381,3.6278),(255,1705,0.006438,3.6273),(255,1715,0.006495,3.6268),(255,1725,0.006553,3.6262),(255,1735,0.006611,3.6257),(255,1745,0.006669,3.6252),(255,1755,0.006728,3.6247),(255,1765,0.006786,3.6241),(255,1775,0.006846,3.6236),(255,1785,0.006905,3.623),(255,1795,0.006965,3.6225),(255,1805,0.007024,3.6219),(255,1815,0.007085,3.6213),(255,1825,0.007145,3.6208),(255,1835,0.007206,3.6202),(255,1845,0.007267,3.6196),(255,1855,0.007328,3.619),(255,1865,0.00739,3.6184),(255,1875,0.007451,3.6178),(255,1885,0.007513,3.6172),(255,1895,0.007576,3.6166),(255,1905,0.007638,3.616),(255,1915,0.007701,3.6154),(255,1925,0.007764,3.6148),(255,1935,0.007827,3.6142),(255,1945,0.007891,3.6135),(255,1955,0.007955,3.6129),(255,1965,0.008019,3.6123),(255,1975,0.008084,3.6116),(255,1985,0.008149,3.611),(255,1995,0.008214,3.6103),(255,2005,0.008279,3.6096),(255,2015,0.008345,3.609),(255,2025,0.008412,3.6083),(255,2035,0.008478,3.6076),(255,2045,0.008544,3.607),(255,2055,0.008612,3.6063),(255,2065,0.008679,3.6056),(255,2075,0.008746,3.6049),(255,2085,0.008814,3.6042),(255,2095,0.008883,3.6035),(255,2105,0.008951,3.6028),(255,2115,0.00902,3.602),(255,2125,0.009089,3.6013),(255,2135,0.009159,3.6006),(255,2145,0.009229,3.5998),(255,2155,0.009299,3.5991),(255,2165,0.009369,3.5984),(255,2175,0.00944,3.5976),(255,2185,0.009511,3.5968),(255,2195,0.009582,3.5961),(255,2205,0.009654,3.5953),(255,2215,0.009726,3.5945),(255,2225,0.009798,3.5938),(255,2235,0.009871,3.593),(255,2245,0.009944,3.5922),(255,2255,0.010018,3.5914),(255,2265,0.010092,3.5906),(255,2275,0.010165,3.5898),(255,2285,0.010241,3.589),(255,2295,0.010316,3.5882),(255,2305,0.010392,3.5873),(255,2315,0.010467,3.5865),(255,2325,0.010544,3.5856),(255,2335,0.010621,3.5848),(255,2345,0.010699,3.584),(255,2355,0.010776,3.5831),(255,2365,0.010855,3.5822),(255,2375,0.010934,3.5814),(255,2385,0.011013,3.5805),(255,2395,0.011093,3.5796),(255,2405,0.011174,3.5787),(255,2415,0.011255,3.5779),(255,2425,0.011336,3.577),(255,2435,0.011418,3.576),(255,2445,0.011502,3.5751),(255,2455,0.011585,3.5742),(255,2465,0.011669,3.5733),(255,2475,0.011753,3.5724),(255,2485,0.01184,3.5714),(255,2495,0.011926,3.5705),(255,2505,0.012013,3.5696),(255,2515,0.0121,3.5686),(255,2525,0.01219,3.5677),(255,2535,0.01228,3.5667),(255,2545,0.01237,3.5657),(255,2555,0.01246,3.5647),(255,2565,0.012554,3.5638),(255,2575,0.012648,3.5628),(255,2585,0.012741,3.5618),(255,2595,0.012836,3.5608),(255,2605,0.012934,3.5598),(255,2615,0.013032,3.5588),(255,2625,0.01313,3.5577),(255,2635,0.013229,3.5567),(255,2645,0.013332,3.5557),(255,2655,0.013436,3.5546),(255,2665,0.013539,3.5536),(255,2675,0.013644,3.5525),(255,2685,0.013753,3.5514),(255,2695,0.013862,3.5504),(255,2705,0.013972,3.5493),(255,2715,0.014083,3.5482),(255,2725,0.014199,3.5471),(255,2735,0.014315,3.546),(255,2745,0.014432,3.5449),(255,2755,0.01455,3.5438),(255,2765,0.014675,3.5427),(255,2775,0.014799,3.5416),(255,2785,0.014924,3.5404),(255,2795,0.015051,3.5393),(255,2805,0.015186,3.5381),(255,2815,0.01532,3.537),(255,2825,0.015455,3.5358),(255,2835,0.015593,3.5346),(255,2845,0.015739,3.5334),(255,2855,0.015885,3.5323),(255,2865,0.016032,3.531),(255,2875,0.016183,3.5298),(255,2885,0.016343,3.5286),(255,2895,0.016503,3.5274),(255,2905,0.016662,3.5262),(255,2915,0.016829,3.5249),(255,2925,0.017005,3.5237),(255,2935,0.017181,3.5224),(255,2945,0.017357,3.5211),(255,2955,0.017542,3.5199),(255,2965,0.017737,3.5186),(255,2975,0.017933,3.5173),(255,2985,0.018128,3.516),(255,2995,0.018335,3.5147),(255,3005,0.018553,3.5134),(255,3015,0.018772,3.512),(255,3025,0.01899,3.5107),(255,3035,0.019223,3.5093),(255,3045,0.019469,3.5079),(255,3055,0.019715,3.5066),(255,3065,0.019961,3.5052),(255,3075,0.020226,3.5038),(255,3085,0.020505,3.5024),(255,3095,0.020784,3.5009),(255,3105,0.021063,3.4995),(255,3115,0.021366,3.498),(255,3125,0.021684,3.4966),(255,3135,0.022002,3.4951),(255,3145,0.02232,3.4936),(255,3155,0.022669,3.4921),(255,3165,0.023035,3.4906),(255,3175,0.023401,3.4891),(255,3185,0.023766,3.4875),(255,3195,0.024171,3.486),(255,3205,0.024594,3.4844),(255,3215,0.025016,3.4828),(255,3225,0.025438,3.4812),(255,3235,0.025911,3.4796),(255,3245,0.026402,3.478),(255,3255,0.026893,3.4763),(255,3265,0.027384,3.4746),(255,3275,0.027939,3.4729),(255,3285,0.028514,3.4712),(255,3295,0.029088,3.4695),(255,3305,0.029663,3.4677),(255,3315,0.030319,3.466),(255,3325,0.030994,3.4642),(255,3335,0.03167,3.4624),(255,3345,0.032345,3.4606),(255,3355,0.033125,3.4587),(255,3365,0.033924,3.4569),(255,3375,0.034723,3.455),(255,3385,0.035522,3.453),(255,3395,0.036454,3.4511),(255,3405,0.037404,3.4492),(255,3415,0.038354,3.4471),(255,3425,0.039304,3.4451),(255,3435,0.040426,3.4431),(255,3445,0.041561,3.4411),(255,3455,0.042697,3.4389),(255,3465,0.043833,3.4368),(255,3475,0.04519,3.4347),(255,3485,0.046556,3.4325),(255,3495,0.047921,3.4303),(255,3505,0.049288,3.428),(255,3515,0.050939,3.4258),(255,3525,0.05259,3.4235),(255,3535,0.054242,3.4211),(255,3545,0.055909,3.4188),(255,3555,0.057918,3.4164),(255,3565,0.059927,3.414),(255,3575,0.061936,3.4115),(255,3585,0.063983,3.409),(255,3595,0.066445,3.4065),(255,3605,0.068906,3.404),(255,3615,0.071367,3.4013),(255,3625,0.0739,3.3987),(255,3635,0.076938,3.3961),(255,3645,0.079975,3.3934),(255,3655,0.083013,3.3907),(255,3665,0.086173,3.3879),(255,3675,0.089956,3.3851),(255,3685,0.09374,3.3824),(255,3695,0.097523,3.3795),(255,3705,0.10151,3.3766),(255,3715,0.10627,3.3738),(255,3725,0.11103,3.3709),(255,3735,0.1158,3.368),(255,3745,0.12088,3.3651),(255,3755,0.12697,3.3621),(255,3765,0.13306,3.3592),(255,3775,0.13914,3.3563),(255,3785,0.14575,3.3534),(255,3795,0.15369,3.3505),(255,3805,0.16162,3.3476),(255,3815,0.16956,3.3449),(255,3825,0.17838,3.3421),(255,3835,0.18907,3.3393),(255,3845,0.19975,3.3366),(255,3855,0.21044,3.3341),(255,3865,0.22275,3.3317),(255,3875,0.23796,3.3292),(255,3885,0.25317,3.3268),(255,3895,0.26837,3.3246),(255,3905,0.31917,3.3224),(255,3915,0.42315,3.3202),(255,3925,0.52713,3.3069),(255,3935,0.6311,3.2784),(255,3945,0.68702,3.2499),(255,3955,0.68192,3.2214),(255,3965,0.67682,3.1969),(255,3975,0.67172,3.177),(255,3985,0.6406,3.1571),(255,3995,0.58131,3.1372),(255,4005,0.52202,3.1228),(255,4015,0.46273,3.1139),(255,4025,0.41148,3.105),(255,4035,0.36102,3.0973),(255,4045,0.31056,3.0921),(255,4055,0.27208,3.0868),(255,4065,0.23797,3.0813),(255,4075,0.20386,3.0744),(255,4085,0.1654,3.0676),(255,4095,0.12345,3.0607),(255,4105,0.081502,3.056),(255,4115,0.038259,3.0514),(255,4125,-0.007133,3.0468),(255,4135,-0.052524,3.0505),(255,4145,-0.070345,3.0565),(255,4155,0.023513,3.0625),(255,4165,0.11737,3.0553),(255,4175,0.2093,3.0396),(255,4185,0.20594,3.024),(255,4195,0.20258,3.0106),(255,4205,0.19921,3),(255,4215,0.14361,2.9895),(255,4225,0.07818,2.9824),(255,4235,0.012747,2.9851),(255,4245,-0.030234,2.9879),(255,4255,-0.061824,2.9911),(255,4265,-0.093413,2.9996),(255,4275,-0.096831,3.0081),(255,4285,-0.070353,3.0166),(255,4295,-0.043876,3.0231),(255,4305,0.040506,3.0293),(255,4315,0.25564,3.0356),(255,4325,0.47078,3.0163),(255,4335,0.6463,2.9871),(255,4345,0.55372,2.9578),(255,4355,0.46114,2.9364),(255,4365,0.36855,2.9218),(255,4375,0.25364,2.9071),(255,4385,0.13757,2.8991),(255,4395,0.021498,2.9029),(255,4405,-0.050805,2.9066),(255,4415,-0.1102,2.9133),(255,4425,-0.1696,2.9331),(255,4435,-0.08323,2.953),(255,4445,0.10275,2.9726),(255,4455,0.28872,2.9471),(255,4465,0.40162,2.9216),(255,4475,0.41186,2.8961),(255,4485,0.4221,2.8753),(255,4495,0.39742,2.8555),(255,4505,0.26066,2.8357),(255,4515,0.1239,2.8292),(255,4525,-0.01237,2.8301),(255,4535,-0.14082,2.8309),(255,4545,-0.26927,2.8392),(255,4555,-0.39773,2.8559),(255,4565,-0.261,2.8726),(255,4575,-0.088516,2.8817),(255,4585,0.083963,2.8723),(255,4595,0.19017,2.8628),(255,4605,0.26838,2.8523),(255,4615,0.34658,2.8335),(255,4625,0.34353,2.8146),(255,4635,0.26688,2.7958),(255,4645,0.19023,2.785),(255,4655,0.079619,2.7747),(255,4665,-0.095037,2.7645),(255,4675,-0.26969,2.7782),(255,4685,-0.41088,2.7995),(255,4695,-0.38666,2.8209),(255,4705,-0.36244,2.8445),(255,4715,-0.33823,2.8698),(255,4725,-0.037272,2.895),(255,4735,0.26645,2.8974),(255,4745,0.57018,2.8655),(255,4755,0.55115,2.8337),(255,4765,0.45732,2.8053),(255,4775,0.3635,2.7891),(255,4785,0.19472,2.7728),(255,4795,-0.017392,2.7576),(255,4805,-0.2295,2.7637),(255,4815,-0.39273,2.7698),(255,4825,-0.49751,2.7759),(255,4835,-0.60229,2.8005),(255,4845,-0.58245,2.8279),(255,4855,-0.23775,2.8553),(255,4865,0.10695,2.8463),(255,4875,0.43008,2.8207),(255,4885,0.55694,2.7951),(255,4895,0.6838,2.7622),(255,4905,0.81066,2.7222),(255,4915,0.61681,2.6823),(255,4925,0.39539,2.6526),(255,4935,0.17396,2.6437),(255,4945,-0.014142,2.6349),(255,4955,-0.19069,2.6303),(255,4965,-0.36725,2.6494),(255,4975,-0.39419,2.6685),(255,4985,-0.30563,2.6876),(255,4995,-0.21708,2.6956),(255,5005,-0.10322,2.7032),(255,5015,0.050882,2.7108),(255,5025,0.20498,2.6911),(255,5035,0.29387,2.6643),(255,5045,0.13434,2.6376),(255,5055,-0.025193,2.6187),(255,5065,-0.18617,2.6048),(255,5075,-0.39437,2.5908),(255,5085,-0.60258,2.5864),(255,5095,-0.81078,2.594),(255,5105,-0.82284,2.6016),(255,5115,-0.80069,2.6138),(255,5125,-0.77854,2.6386),(255,5135,-0.49149,2.6635),(255,5145,-0.075882,2.6839),(255,5155,0.33973,2.6554),(255,5165,0.59077,2.627),(255,5175,0.67397,2.5985),(255,5185,0.75717,2.5674),(255,5195,0.74839,2.5359),(255,5205,0.5413,2.5044),(255,5215,0.33421,2.4893),(255,5225,0.12672,2.4804),(255,5235,-0.083297,2.4714),(255,5245,-0.29331,2.4757),(255,5255,-0.50333,2.491),(255,5265,-0.3394,2.5063),(255,5275,-0.16005,2.516),(255,5285,0.019293,2.5163),(255,5295,0.19322,2.5166),(255,5305,0.36564,2.5105),(255,5315,0.53805,2.4777),(255,5325,0.50271,2.4449),(255,5335,0.33112,2.4122),(255,5345,0.15953,2.3915),(255,5355,-0.050588,2.3708),(255,5365,-0.31267,2.3501),(255,5375,-0.57476,2.3429),(255,5385,-0.74257,2.3384),(255,5395,-0.62378,2.334),(255,5405,-0.50499,2.3416),(255,5415,-0.36633,2.3555),(255,5425,0.039136,2.3695),(255,5435,0.4446,2.3607),(255,5445,0.85007,2.3273),(255,5455,0.93176,2.2939),(255,5465,0.97386,2.2624),(255,5475,1.016,2.2352),(255,5485,0.96743,2.208),(255,5495,0.88238,2.1824),(255,5505,0.79732,2.1682),(255,5515,0.72489,2.1541),(255,5525,0.66345,2.1399),(255,5535,0.60201,2.1277),(255,5545,0.54742,2.1156),(255,5555,0.50518,2.1036),(255,5565,0.46295,2.0906),(255,5575,0.42313,2.0774),(255,5585,0.39445,2.0641),(255,5595,0.36576,2.0497),(255,5605,0.33708,2.0345),(255,5615,0.31746,2.0193),(255,5625,0.29784,2.0033),(255,5635,0.27822,1.9862),(255,5645,0.2634,1.9691),(255,5655,0.24962,1.9516),(255,5665,0.23584,1.9329),(255,5675,0.22442,1.9142),(255,5685,0.2143,1.8955),(255,5695,0.20419,1.8753),(255,5705,0.19501,1.855),(255,5715,0.1869,1.8348),(255,5725,0.1788,1.8131),(255,5735,0.17085,1.7912),(255,5745,0.16332,1.7693),(255,5755,0.15578,1.7465),(255,5765,0.14816,1.7232),(255,5775,0.13987,1.6999),(255,5785,0.13159,1.6758),(255,5795,0.12331,1.6509),(255,5805,0.11333,1.6261),(255,5815,0.10322,1.6008),(255,5825,0.093111,1.5746),(255,5835,0.08075,1.5484),(255,5845,0.067647,1.5221),(255,5855,0.054544,1.4946),(255,5865,0.03883,1.4672),(255,5875,0.021182,1.4397),(255,5885,0.003533,1.4114),(255,5895,-0.016564,1.3832),(255,5905,-0.040394,1.3549),(255,5915,-0.064225,1.3266),(255,5925,-0.08992,1.2983),(255,5935,-0.12231,1.27),(255,5945,-0.15471,1.2436),(255,5955,-0.18749,1.2182),(255,5965,-0.22973,1.1929),(255,5975,-0.27198,1.1731),(255,5985,-0.31422,1.1602),(255,5995,-0.24921,1.1472),(255,6005,-0.16693,1.1386),(255,6015,-0.084656,1.1415),(255,6025,0.040785,1.1444),(255,6035,0.18625,1.1454),(255,6045,0.33171,1.1272),(255,6055,0.40945,1.109),(255,6065,0.4208,1.0907),(255,6075,0.43215,1.0701),(255,6085,0.43289,1.0492),(255,6095,0.4118,1.0284),(255,6105,0.3907,1.0087),(255,6115,0.37048,0.98956),(255,6125,0.3553,0.97039),(255,6135,0.34011,0.95116),(255,6145,0.32492,0.93188),(255,6155,0.31356,0.91261),(255,6165,0.30232,0.89312),(255,6175,0.29107,0.87328),(255,6185,0.28199,0.85344),(255,6195,0.27348,0.83361),(255,6205,0.26497,0.81382),(255,6215,0.2577,0.79403),(255,6225,0.25121,0.77424),(255,6235,0.24472,0.75439),(255,6245,0.23884,0.73455),(255,6255,0.23377,0.7147),(255,6265,0.22871,0.69476),(255,6275,0.22391,0.67481),(255,6285,0.21989,0.65486),(255,6295,0.21587,0.63487),(255,6305,0.21192,0.61486),(255,6315,0.20873,0.59484),(255,6325,0.20554,0.57481),(255,6335,0.20235,0.55475),(255,6345,0.19974,0.5347),(255,6355,0.19719,0.51463),(255,6365,0.19464,0.49455),(255,6375,0.19244,0.47447),(255,6385,0.19039,0.45439),(255,6395,0.18833,0.43432),(255,6405,0.18652,0.41425),(255,6415,0.1849,0.39418),(255,6425,0.18329,0.37405),(255,6435,0.1818,0.35392),(255,6445,0.18052,0.33379),(255,6455,0.17924,0.31369),(255,6465,0.17802,0.29359),(255,6475,0.17707,0.27349),(255,6485,0.17612,0.25334),(255,6495,0.17518,0.23315),(255,6505,0.17451,0.21297),(255,6515,0.17385,0.19278),(255,6525,0.17318,0.17259),(255,6535,0.17284,0.1524),(255,6545,0.17257,0.1322),(255,6555,0.1723,0.11195),(255,6565,0.17222,0.091705),(255,6575,0.17224,0.071459),(255,6585,0.17227,0.051242),(255,6595,0.14653,0.031025),(255,6605,0.092336,0.010808),(255,6615,0.038146,0.008761),(255,6625,5.2e-05,0.00905),(255,6635,5.4e-05,0.009338),(255,6645,5.5e-05,0.00942),(255,6655,5.6e-05,0.009415),(255,6665,5.7e-05,0.009411),(255,6675,5.8e-05,0.009406),(255,6685,5.9e-05,0.0094),(255,6695,6e-05,0.009394),(255,6705,6.1e-05,0.009389),(255,6715,6.2e-05,0.009383),(255,6725,6.3e-05,0.009378),(255,6735,6.4e-05,0.009373),(255,6745,6.4e-05,0.009367),(255,6755,6.5e-05,0.009361),(255,6765,6.6e-05,0.009355),(255,6775,6.7e-05,0.00935),(255,6785,6.8e-05,0.009344),(255,6795,6.8e-05,0.009338),(255,6805,6.9e-05,0.009332),(255,6815,7e-05,0.009326),(255,6825,7e-05,0.00932),(255,6835,7.1e-05,0.009314),(255,6845,7.2e-05,0.009308),(255,6855,7.2e-05,0.009302),(255,6865,7.3e-05,0.009296),(255,6875,7.3e-05,0.00929),(255,6885,7.4e-05,0.009284),(255,6895,7.4e-05,0.009278),(255,6905,7.5e-05,0.009272),(255,6915,7.5e-05,0.009265),(255,6925,7.6e-05,0.009259),(255,6935,7.7e-05,0.009253),(255,6945,7.7e-05,0.009246),(255,6955,7.8e-05,0.00924),(255,6965,7.8e-05,0.009233),(255,6975,7.9e-05,0.009227),(255,6985,7.9e-05,0.00922),(265,5,1.4e-05,3.665),(265,15,4.1e-05,3.665),(265,25,6.9e-05,3.665),(265,35,9.7e-05,3.665),(265,45,0.000124,3.665),(265,55,0.000152,3.665),(265,65,0.00018,3.665),(265,75,0.000208,3.665),(265,85,0.000236,3.665),(265,95,0.000264,3.6649),(265,105,0.000292,3.6649),(265,115,0.00032,3.6649),(265,125,0.000347,3.6649),(265,135,0.000375,3.6648),(265,145,0.000403,3.6648),(265,155,0.000431,3.6648),(265,165,0.000459,3.6647),(265,175,0.000487,3.6647),(265,185,0.000515,3.6647),(265,195,0.000544,3.6646),(265,205,0.000572,3.6646),(265,215,0.0006,3.6645),(265,225,0.000628,3.6645),(265,235,0.000657,3.6644),(265,245,0.000685,3.6644),(265,255,0.000713,3.6643),(265,265,0.000742,3.6643),(265,275,0.00077,3.6642),(265,285,0.000799,3.6642),(265,295,0.000827,3.6641),(265,305,0.000856,3.664),(265,315,0.000885,3.664),(265,325,0.000914,3.6639),(265,335,0.000943,3.6638),(265,345,0.000972,3.6637),(265,355,0.001002,3.6637),(265,365,0.001031,3.6636),(265,375,0.00106,3.6635),(265,385,0.00109,3.6634),(265,395,0.00112,3.6633),(265,405,0.001149,3.6633),(265,415,0.001179,3.6632),(265,425,0.001209,3.6631),(265,435,0.001239,3.663),(265,445,0.00127,3.6629),(265,455,0.0013,3.6628),(265,465,0.00133,3.6627),(265,475,0.001361,3.6626),(265,485,0.001391,3.6625),(265,495,0.001422,3.6624),(265,505,0.001453,3.6623),(265,515,0.001484,3.6621),(265,525,0.001515,3.662),(265,535,0.001546,3.6619),(265,545,0.001578,3.6618),(265,555,0.00161,3.6617),(265,565,0.001641,3.6615),(265,575,0.001673,3.6614),(265,585,0.001705,3.6613),(265,595,0.001738,3.6612),(265,605,0.00177,3.661),(265,615,0.001802,3.6609),(265,625,0.001835,3.6607),(265,635,0.001868,3.6606),(265,645,0.001901,3.6605),(265,655,0.001934,3.6603),(265,665,0.001967,3.6602),(265,675,0.002,3.66),(265,685,0.002034,3.6598),(265,695,0.002067,3.6597),(265,705,0.002102,3.6595),(265,715,0.002136,3.6594),(265,725,0.00217,3.6592),(265,735,0.002204,3.659),(265,745,0.00224,3.6589),(265,755,0.002274,3.6587),(265,765,0.002309,3.6585),(265,775,0.002345,3.6583),(265,785,0.00238,3.6581),(265,795,0.002416,3.658),(265,805,0.002452,3.6578),(265,815,0.002488,3.6576),(265,825,0.002524,3.6574),(265,835,0.00256,3.6572),(265,845,0.002597,3.657),(265,855,0.002634,3.6568),(265,865,0.002671,3.6566),(265,875,0.002708,3.6564),(265,885,0.002746,3.6562),(265,895,0.002783,3.656),(265,905,0.002821,3.6557),(265,915,0.00286,3.6555),(265,925,0.002898,3.6553),(265,935,0.002936,3.6551),(265,945,0.002976,3.6549),(265,955,0.003015,3.6546),(265,965,0.003054,3.6544),(265,975,0.003093,3.6542),(265,985,0.003133,3.6539),(265,995,0.003173,3.6537),(265,1005,0.003213,3.6534),(265,1015,0.003253,3.6532),(265,1025,0.003294,3.6529),(265,1035,0.003335,3.6527),(265,1045,0.003376,3.6524),(265,1055,0.003418,3.6522),(265,1065,0.00346,3.6519),(265,1075,0.003502,3.6516),(265,1085,0.003544,3.6513),(265,1095,0.003586,3.6511),(265,1105,0.003629,3.6508),(265,1115,0.003672,3.6505),(265,1125,0.003714,3.6502),(265,1135,0.003758,3.6499),(265,1145,0.003802,3.6497),(265,1155,0.003845,3.6494),(265,1165,0.003889,3.6491),(265,1175,0.003934,3.6488),(265,1185,0.003979,3.6485),(265,1195,0.004023,3.6481),(265,1205,0.004068,3.6478),(265,1215,0.004114,3.6475),(265,1225,0.00416,3.6472),(265,1235,0.004206,3.6469),(265,1245,0.004252,3.6466),(265,1255,0.004299,3.6462),(265,1265,0.004346,3.6459),(265,1275,0.004394,3.6456),(265,1285,0.004441,3.6452),(265,1295,0.004489,3.6449),(265,1305,0.004537,3.6445),(265,1315,0.004585,3.6442),(265,1325,0.004633,3.6438),(265,1335,0.004682,3.6435),(265,1345,0.004731,3.6431),(265,1355,0.004781,3.6427),(265,1365,0.00483,3.6424),(265,1375,0.00488,3.642),(265,1385,0.00493,3.6416),(265,1395,0.004981,3.6412),(265,1405,0.005031,3.6408),(265,1415,0.005083,3.6405),(265,1425,0.005134,3.6401),(265,1435,0.005186,3.6397),(265,1445,0.005237,3.6393),(265,1455,0.00529,3.6389),(265,1465,0.005343,3.6385),(265,1475,0.005395,3.638),(265,1485,0.005448,3.6376),(265,1495,0.005502,3.6372),(265,1505,0.005555,3.6368),(265,1515,0.005609,3.6363),(265,1525,0.005663,3.6359),(265,1535,0.005718,3.6355),(265,1545,0.005773,3.635),(265,1555,0.005828,3.6346),(265,1565,0.005882,3.6341),(265,1575,0.005938,3.6337),(265,1585,0.005994,3.6332),(265,1595,0.00605,3.6327),(265,1605,0.006107,3.6323),(265,1615,0.006164,3.6318),(265,1625,0.006221,3.6313),(265,1635,0.006278,3.6308),(265,1645,0.006335,3.6304),(265,1655,0.006394,3.6299),(265,1665,0.006452,3.6294),(265,1675,0.006511,3.6289),(265,1685,0.006569,3.6284),(265,1695,0.006629,3.6279),(265,1705,0.006688,3.6274),(265,1715,0.006748,3.6268),(265,1725,0.006807,3.6263),(265,1735,0.006868,3.6258),(265,1745,0.006929,3.6253),(265,1755,0.006989,3.6247),(265,1765,0.00705,3.6242),(265,1775,0.007112,3.6236),(265,1785,0.007174,3.6231),(265,1795,0.007235,3.6225),(265,1805,0.007298,3.622),(265,1815,0.00736,3.6214),(265,1825,0.007423,3.6208),(265,1835,0.007486,3.6202),(265,1845,0.00755,3.6197),(265,1855,0.007613,3.6191),(265,1865,0.007678,3.6185),(265,1875,0.007741,3.6179),(265,1885,0.007806,3.6173),(265,1895,0.007871,3.6167),(265,1905,0.007936,3.6161),(265,1915,0.008001,3.6155),(265,1925,0.008066,3.6149),(265,1935,0.008133,3.6142),(265,1945,0.008199,3.6136),(265,1955,0.008265,3.613),(265,1965,0.008332,3.6123),(265,1975,0.008399,3.6117),(265,1985,0.008466,3.611),(265,1995,0.008534,3.6104),(265,2005,0.008602,3.6097),(265,2015,0.00867,3.6091),(265,2025,0.008739,3.6084),(265,2035,0.008808,3.6077),(265,2045,0.008877,3.607),(265,2055,0.008947,3.6063),(265,2065,0.009017,3.6056),(265,2075,0.009087,3.6049),(265,2085,0.009158,3.6042),(265,2095,0.009229,3.6035),(265,2105,0.0093,3.6028),(265,2115,0.009371,3.6021),(265,2125,0.009443,3.6014),(265,2135,0.009516,3.6007),(265,2145,0.009588,3.5999),(265,2155,0.009661,3.5992),(265,2165,0.009734,3.5984),(265,2175,0.009808,3.5977),(265,2185,0.009881,3.5969),(265,2195,0.009955,3.5962),(265,2205,0.01003,3.5954),(265,2215,0.010105,3.5946),(265,2225,0.01018,3.5938),(265,2235,0.010255,3.593),(265,2245,0.010331,3.5923),(265,2255,0.010407,3.5915),(265,2265,0.010484,3.5907),(265,2275,0.010561,3.5899),(265,2285,0.010639,3.589),(265,2295,0.010717,3.5882),(265,2305,0.010795,3.5874),(265,2315,0.010874,3.5866),(265,2325,0.010954,3.5857),(265,2335,0.011034,3.5849),(265,2345,0.011114,3.584),(265,2355,0.011194,3.5832),(265,2365,0.011276,3.5823),(265,2375,0.011358,3.5815),(265,2385,0.011441,3.5806),(265,2395,0.011523,3.5797),(265,2405,0.011607,3.5788),(265,2415,0.011691,3.5779),(265,2425,0.011776,3.577),(265,2435,0.01186,3.5761),(265,2445,0.011947,3.5752),(265,2455,0.012034,3.5743),(265,2465,0.012121,3.5734),(265,2475,0.012208,3.5725),(265,2485,0.012297,3.5715),(265,2495,0.012387,3.5706),(265,2505,0.012477,3.5697),(265,2515,0.012567,3.5687),(265,2525,0.01266,3.5677),(265,2535,0.012754,3.5668),(265,2545,0.012847,3.5658),(265,2555,0.01294,3.5648),(265,2565,0.013037,3.5639),(265,2575,0.013134,3.5629),(265,2585,0.013231,3.5619),(265,2595,0.013329,3.5609),(265,2605,0.01343,3.5599),(265,2615,0.013532,3.5589),(265,2625,0.013634,3.5578),(265,2635,0.013736,3.5568),(265,2645,0.013843,3.5558),(265,2655,0.01395,3.5547),(265,2665,0.014057,3.5537),(265,2675,0.014165,3.5526),(265,2685,0.014278,3.5516),(265,2695,0.014391,3.5505),(265,2705,0.014504,3.5494),(265,2715,0.014618,3.5483),(265,2725,0.014739,3.5472),(265,2735,0.014859,3.5461),(265,2745,0.014979,3.545),(265,2755,0.015101,3.5439),(265,2765,0.01523,3.5428),(265,2775,0.015358,3.5417),(265,2785,0.015487,3.5405),(265,2795,0.015618,3.5394),(265,2805,0.015757,3.5383),(265,2815,0.015896,3.5371),(265,2825,0.016034,3.5359),(265,2835,0.016177,3.5348),(265,2845,0.016328,3.5336),(265,2855,0.016478,3.5324),(265,2865,0.016629,3.5312),(265,2875,0.016785,3.53),(265,2885,0.016949,3.5288),(265,2895,0.017114,3.5276),(265,2905,0.017278,3.5263),(265,2915,0.01745,3.5251),(265,2925,0.017631,3.5239),(265,2935,0.017812,3.5226),(265,2945,0.017993,3.5213),(265,2955,0.018183,3.5201),(265,2965,0.018384,3.5188),(265,2975,0.018585,3.5175),(265,2985,0.018785,3.5162),(265,2995,0.018998,3.5149),(265,3005,0.019222,3.5136),(265,3015,0.019446,3.5122),(265,3025,0.01967,3.5109),(265,3035,0.01991,3.5095),(265,3045,0.020162,3.5082),(265,3055,0.020414,3.5068),(265,3065,0.020666,3.5054),(265,3075,0.020938,3.504),(265,3085,0.021223,3.5026),(265,3095,0.021509,3.5012),(265,3105,0.021795,3.4998),(265,3115,0.022105,3.4983),(265,3125,0.02243,3.4969),(265,3135,0.022756,3.4954),(265,3145,0.023082,3.4939),(265,3155,0.023439,3.4925),(265,3165,0.023813,3.491),(265,3175,0.024186,3.4894),(265,3185,0.02456,3.4879),(265,3195,0.024973,3.4864),(265,3205,0.025405,3.4848),(265,3215,0.025836,3.4832),(265,3225,0.026267,3.4816),(265,3235,0.026749,3.48),(265,3245,0.02725,3.4784),(265,3255,0.027751,3.4768),(265,3265,0.028252,3.4751),(265,3275,0.028817,3.4735),(265,3285,0.029402,3.4718),(265,3295,0.029987,3.4701),(265,3305,0.030572,3.4684),(265,3315,0.03124,3.4666),(265,3325,0.031927,3.4649),(265,3335,0.032614,3.4631),(265,3345,0.033301,3.4613),(265,3355,0.034093,3.4595),(265,3365,0.034904,3.4577),(265,3375,0.035715,3.4558),(265,3385,0.036526,3.4539),(265,3395,0.037471,3.452),(265,3405,0.038434,3.4501),(265,3415,0.039397,3.4481),(265,3425,0.04036,3.4462),(265,3435,0.041495,3.4442),(265,3445,0.042644,3.4422),(265,3455,0.043793,3.4401),(265,3465,0.044943,3.438),(265,3475,0.046314,3.436),(265,3485,0.047693,3.4339),(265,3495,0.049072,3.4317),(265,3505,0.050452,3.4295),(265,3515,0.052116,3.4274),(265,3525,0.05378,3.4252),(265,3535,0.055444,3.4229),(265,3545,0.057124,3.4206),(265,3555,0.059144,3.4183),(265,3565,0.061164,3.416),(265,3575,0.063184,3.4136),(265,3585,0.065241,3.4112),(265,3595,0.067709,3.4089),(265,3605,0.070177,3.4065),(265,3615,0.072645,3.404),(265,3625,0.075183,3.4015),(265,3635,0.07822,3.399),(265,3645,0.081258,3.3965),(265,3655,0.084295,3.3939),(265,3665,0.087452,3.3913),(265,3675,0.091221,3.3888),(265,3685,0.094991,3.3862),(265,3695,0.09876,3.3836),(265,3705,0.10272,3.381),(265,3715,0.10745,3.3784),(265,3725,0.11218,3.3758),(265,3735,0.11691,3.3732),(265,3745,0.12195,3.3706),(265,3755,0.12796,3.368),(265,3765,0.13397,3.3654),(265,3775,0.13998,3.363),(265,3785,0.1465,3.3606),(265,3795,0.1543,3.3581),(265,3805,0.16209,3.3558),(265,3815,0.16989,3.3537),(265,3825,0.17853,3.3516),(265,3835,0.18894,3.3495),(265,3845,0.19936,3.3477),(265,3855,0.20978,3.3464),(265,3865,0.22174,3.3451),(265,3875,0.23643,3.3437),(265,3885,0.25111,3.3429),(265,3895,0.2658,3.343),(265,3905,0.31766,3.3431),(265,3915,0.42505,3.3432),(265,3925,0.53245,3.3352),(265,3935,0.63985,3.316),(265,3945,0.69734,3.2967),(265,3955,0.69147,3.2774),(265,3965,0.6856,3.26),(265,3975,0.67973,3.2446),(265,3985,0.6476,3.2293),(265,3995,0.58703,3.2139),(265,4005,0.52646,3.2022),(265,4015,0.46589,3.194),(265,4025,0.41542,3.1859),(265,4035,0.36593,3.1775),(265,4045,0.31644,3.1688),(265,4055,0.27795,3.1601),(265,4065,0.24347,3.1515),(265,4075,0.209,3.1436),(265,4085,0.17025,3.1356),(265,4095,0.12807,3.1277),(265,4105,0.085885,3.1213),(265,4115,0.041732,3.115),(265,4125,-0.005689,3.1088),(265,4135,-0.053111,3.1093),(265,4145,-0.071763,3.1116),(265,4155,0.026118,3.114),(265,4165,0.124,3.107),(265,4175,0.21984,3.0939),(265,4185,0.21475,3.0809),(265,4195,0.20966,3.0698),(265,4205,0.20457,3.0614),(265,4215,0.14655,3.053),(265,4225,0.078575,3.0472),(265,4235,0.0106,3.0491),(265,4245,-0.033656,3.0509),(265,4255,-0.065876,3.0531),(265,4265,-0.098096,3.0586),(265,4275,-0.10175,3.0642),(265,4285,-0.075101,3.0697),(265,4295,-0.048449,3.0746),(265,4305,0.037989,3.0795),(265,4315,0.25943,3.0843),(265,4325,0.48086,3.0701),(265,4335,0.6616,3.0483),(265,4345,0.56682,3.0265),(265,4355,0.47203,3.0098),(265,4365,0.37725,2.9976),(265,4375,0.25917,2.9853),(265,4385,0.13988,2.9779),(265,4395,0.02059,2.9789),(265,4405,-0.055613,2.9799),(265,4415,-0.11911,2.9837),(265,4425,-0.18261,2.9997),(265,4435,-0.091755,3.0157),(265,4445,0.10458,3.0315),(265,4455,0.30091,3.0099),(265,4465,0.41886,2.9884),(265,4475,0.42671,2.9668),(265,4485,0.43455,2.9503),(265,4495,0.40712,2.9348),(265,4505,0.26654,2.9194),(265,4515,0.12595,2.9137),(265,4525,-0.014034,2.9134),(265,4535,-0.14442,2.913),(265,4545,-0.27481,2.9173),(265,4555,-0.4052,2.9267),(265,4565,-0.26486,2.9361),(265,4575,-0.088017,2.9406),(265,4585,0.088825,2.9332),(265,4595,0.19713,2.9257),(265,4605,0.27648,2.9176),(265,4615,0.35583,2.9039),(265,4625,0.35291,2.8903),(265,4635,0.2755,2.8766),(265,4645,0.19808,2.8666),(265,4655,0.084668,2.857),(265,4665,-0.096617,2.8473),(265,4675,-0.2779,2.8562),(265,4685,-0.42494,2.8711),(265,4695,-0.40275,2.886),(265,4705,-0.38056,2.9048),(265,4715,-0.35837,2.9264),(265,4725,-0.04559,2.9481),(265,4735,0.2701,2.9514),(265,4745,0.58579,2.9273),(265,4755,0.56623,2.9032),(265,4765,0.46898,2.8817),(265,4775,0.37172,2.8691),(265,4785,0.19997,2.8566),(265,4795,-0.014851,2.8447),(265,4805,-0.22967,2.8453),(265,4815,-0.39636,2.8459),(265,4825,-0.5055,2.8466),(265,4835,-0.61464,2.8622),(265,4845,-0.59498,2.8802),(265,4855,-0.23953,2.8982),(265,4865,0.11592,2.8888),(265,4875,0.44884,2.8669),(265,4885,0.57678,2.845),(265,4895,0.70473,2.8185),(265,4905,0.83267,2.7874),(265,4915,0.63355,2.7564),(265,4925,0.4063,2.733),(265,4935,0.17905,2.7251),(265,4945,-0.014216,2.7172),(265,4955,-0.19571,2.7125),(265,4965,-0.3772,2.7256),(265,4975,-0.40469,2.7388),(265,4985,-0.31331,2.7519),(265,4995,-0.22193,2.7566),(265,5005,-0.10396,2.7612),(265,5015,0.056272,2.7657),(265,5025,0.2165,2.749),(265,5035,0.30989,2.7269),(265,5045,0.14862,2.7048),(265,5055,-0.012649,2.6869),(265,5065,-0.17541,2.6717),(265,5075,-0.38698,2.6565),(265,5085,-0.59855,2.6475),(265,5095,-0.81013,2.6464),(265,5105,-0.82734,2.6453),(265,5115,-0.81065,2.6492),(265,5125,-0.79396,2.6673),(265,5135,-0.50076,2.6853),(265,5145,-0.07337,2.6998),(265,5155,0.35402,2.6751),(265,5165,0.61018,2.6504),(265,5175,0.6917,2.6258),(265,5185,0.77322,2.6006),(265,5195,0.76205,2.5754),(265,5205,0.551,2.5502),(265,5215,0.33996,2.5361),(265,5225,0.12845,2.526),(265,5235,-0.085991,2.516),(265,5245,-0.30043,2.5157),(265,5255,-0.51487,2.5235),(265,5265,-0.34849,2.5313),(265,5275,-0.1664,2.5369),(265,5285,0.015687,2.539),(265,5295,0.19576,2.5412),(265,5305,0.37526,2.5378),(265,5315,0.55477,2.5118),(265,5325,0.52183,2.4857),(265,5335,0.34958,2.4597),(265,5345,0.17732,2.4372),(265,5355,-0.033856,2.4148),(265,5365,-0.29754,2.3923),(265,5375,-0.56123,2.3762),(265,5385,-0.73226,2.3614),(265,5395,-0.62157,2.3466),(265,5405,-0.51089,2.3497),(265,5415,-0.37906,2.362),(265,5425,0.03691,2.3744),(265,5435,0.45288,2.3678),(265,5445,0.86884,2.3408),(265,5455,0.9493,2.3137),(265,5465,0.98875,2.2884),(265,5475,1.0282,2.2675),(265,5485,0.9769,2.2465),(265,5495,0.88904,2.2268),(265,5505,0.80119,2.2161),(265,5515,0.72755,2.2055),(265,5525,0.66629,2.1948),(265,5535,0.60503,2.1841),(265,5545,0.55085,2.1734),(265,5555,0.50945,2.1627),(265,5565,0.46804,2.1502),(265,5575,0.42903,2.1373),(265,5585,0.40104,2.1243),(265,5595,0.37305,2.11),(265,5605,0.34506,2.0946),(265,5615,0.32594,2.0793),(265,5625,0.30682,2.063),(265,5635,0.2877,2.0455),(265,5645,0.2733,2.0279),(265,5655,0.25993,2.01),(265,5665,0.24655,1.9907),(265,5675,0.2355,1.9715),(265,5685,0.22573,1.9522),(265,5695,0.21597,1.9312),(265,5705,0.20712,1.9102),(265,5715,0.19933,1.8893),(265,5725,0.19155,1.8667),(265,5735,0.18391,1.8439),(265,5745,0.17665,1.8211),(265,5755,0.16939,1.7972),(265,5765,0.16205,1.7728),(265,5775,0.15402,1.7484),(265,5785,0.14599,1.7231),(265,5795,0.13796,1.697),(265,5805,0.12822,1.6709),(265,5815,0.11835,1.6443),(265,5825,0.10848,1.6166),(265,5835,0.096369,1.5889),(265,5845,0.083519,1.561),(265,5855,0.070668,1.5316),(265,5865,0.055184,1.5023),(265,5875,0.037747,1.473),(265,5885,0.020311,1.4424),(265,5895,0.000319,1.4119),(265,5905,-0.023568,1.3814),(265,5915,-0.047456,1.3502),(265,5925,-0.073399,1.319),(265,5935,-0.10673,1.2877),(265,5945,-0.14005,1.258),(265,5955,-0.17391,1.2292),(265,5965,-0.22059,1.2003),(265,5975,-0.26727,1.1775),(265,5985,-0.31394,1.162),(265,5995,-0.25119,1.1466),(265,6005,-0.17081,1.1363),(265,6015,-0.090444,1.1401),(265,6025,0.03732,1.1438),(265,6035,0.18707,1.1458),(265,6045,0.33681,1.1303),(265,6055,0.41677,1.1149),(265,6065,0.42831,1.0994),(265,6075,0.43985,1.0805),(265,6085,0.44076,1.0613),(265,6095,0.41977,1.0421),(265,6105,0.39878,1.0235),(265,6115,0.37869,1.0051),(265,6125,0.36372,0.9867),(265,6135,0.34876,0.96801),(265,6145,0.3338,0.94907),(265,6155,0.32261,0.93014),(265,6165,0.31153,0.91088),(265,6175,0.30045,0.8911),(265,6185,0.29151,0.87131),(265,6195,0.28312,0.85151),(265,6205,0.27473,0.83162),(265,6215,0.26755,0.81173),(265,6225,0.26113,0.79184),(265,6235,0.2547,0.77176),(265,6245,0.24889,0.75168),(265,6255,0.24386,0.73159),(265,6265,0.23884,0.71135),(265,6275,0.23408,0.69107),(265,6285,0.23009,0.67079),(265,6295,0.2261,0.65044),(265,6305,0.22217,0.63005),(265,6315,0.21899,0.60966),(265,6325,0.21581,0.58923),(265,6335,0.21263,0.56874),(265,6345,0.21003,0.54826),(265,6355,0.20749,0.52776),(265,6365,0.20495,0.50722),(265,6375,0.20277,0.48667),(265,6385,0.20073,0.46613),(265,6395,0.19869,0.44558),(265,6405,0.19688,0.42504),(265,6415,0.19528,0.40449),(265,6425,0.19367,0.38386),(265,6435,0.19218,0.36322),(265,6445,0.19091,0.34259),(265,6455,0.18964,0.32198),(265,6465,0.18843,0.30137),(265,6475,0.18746,0.28077),(265,6485,0.18649,0.2601),(265,6495,0.18553,0.23939),(265,6505,0.18485,0.21868),(265,6515,0.18416,0.19799),(265,6525,0.18347,0.17731),(265,6535,0.18309,0.15664),(265,6545,0.18276,0.13594),(265,6555,0.18243,0.11518),(265,6565,0.18228,0.094418),(265,6575,0.18222,0.07366),(265,6585,0.18216,0.052964),(265,6595,0.1549,0.032267),(265,6605,0.097612,0.011571),(265,6615,0.040326,0.009273),(265,6625,5.5e-05,0.009339),(265,6635,5.6e-05,0.009405),(265,6645,5.7e-05,0.009421),(265,6655,5.9e-05,0.009416),(265,6665,6e-05,0.009412),(265,6675,6.1e-05,0.009407),(265,6685,6.2e-05,0.009401),(265,6695,6.3e-05,0.009395),(265,6705,6.4e-05,0.00939),(265,6715,6.5e-05,0.009384),(265,6725,6.5e-05,0.009379),(265,6735,6.6e-05,0.009373),(265,6745,6.7e-05,0.009368),(265,6755,6.8e-05,0.009362),(265,6765,6.9e-05,0.009356),(265,6775,7e-05,0.00935),(265,6785,7e-05,0.009345),(265,6795,7.1e-05,0.009339),(265,6805,7.2e-05,0.009333),(265,6815,7.3e-05,0.009327),(265,6825,7.3e-05,0.009321),(265,6835,7.4e-05,0.009315),(265,6845,7.5e-05,0.009309),(265,6855,7.5e-05,0.009303),(265,6865,7.6e-05,0.009297),(265,6875,7.6e-05,0.009291),(265,6885,7.7e-05,0.009284),(265,6895,7.7e-05,0.009278),(265,6905,7.8e-05,0.009272),(265,6915,7.9e-05,0.009266),(265,6925,7.9e-05,0.009259),(265,6935,8e-05,0.009253),(265,6945,8e-05,0.009247),(265,6955,8.1e-05,0.00924),(265,6965,8.1e-05,0.009234),(265,6975,8.2e-05,0.009227),(265,6985,8.2e-05,0.009221),(275,5,1.4e-05,3.6651),(275,15,4.3e-05,3.6651),(275,25,7.2e-05,3.665),(275,35,0.0001,3.665),(275,45,0.000129,3.665),(275,55,0.000158,3.665),(275,65,0.000186,3.665),(275,75,0.000215,3.665),(275,85,0.000244,3.665),(275,95,0.000273,3.665),(275,105,0.000302,3.6649),(275,115,0.000331,3.6649),(275,125,0.00036,3.6649),(275,135,0.000389,3.6649),(275,145,0.000418,3.6648),(275,155,0.000447,3.6648),(275,165,0.000476,3.6648),(275,175,0.000505,3.6647),(275,185,0.000534,3.6647),(275,195,0.000563,3.6646),(275,205,0.000593,3.6646),(275,215,0.000622,3.6646),(275,225,0.000651,3.6645),(275,235,0.000681,3.6645),(275,245,0.00071,3.6644),(275,255,0.00074,3.6644),(275,265,0.000769,3.6643),(275,275,0.000799,3.6642),(275,285,0.000828,3.6642),(275,295,0.000858,3.6641),(275,305,0.000888,3.6641),(275,315,0.000918,3.664),(275,325,0.000948,3.6639),(275,335,0.000978,3.6638),(275,345,0.001008,3.6638),(275,355,0.001039,3.6637),(275,365,0.001069,3.6636),(275,375,0.0011,3.6635),(275,385,0.00113,3.6635),(275,395,0.001161,3.6634),(275,405,0.001192,3.6633),(275,415,0.001223,3.6632),(275,425,0.001254,3.6631),(275,435,0.001285,3.663),(275,445,0.001316,3.6629),(275,455,0.001348,3.6628),(275,465,0.001379,3.6627),(275,475,0.001411,3.6626),(275,485,0.001443,3.6625),(275,495,0.001474,3.6624),(275,505,0.001507,3.6623),(275,515,0.001539,3.6622),(275,525,0.001571,3.6621),(275,535,0.001603,3.6619),(275,545,0.001636,3.6618),(275,555,0.001669,3.6617),(275,565,0.001702,3.6616),(275,575,0.001735,3.6614),(275,585,0.001769,3.6613),(275,595,0.001802,3.6612),(275,605,0.001836,3.661),(275,615,0.001869,3.6609),(275,625,0.001903,3.6608),(275,635,0.001937,3.6606),(275,645,0.001971,3.6605),(275,655,0.002005,3.6603),(275,665,0.00204,3.6602),(275,675,0.002075,3.66),(275,685,0.002109,3.6599),(275,695,0.002144,3.6597),(275,705,0.00218,3.6596),(275,715,0.002215,3.6594),(275,725,0.002251,3.6592),(275,735,0.002286,3.6591),(275,745,0.002322,3.6589),(275,755,0.002359,3.6587),(275,765,0.002395,3.6585),(275,775,0.002432,3.6584),(275,785,0.002469,3.6582),(275,795,0.002506,3.658),(275,805,0.002543,3.6578),(275,815,0.00258,3.6576),(275,825,0.002618,3.6574),(275,835,0.002656,3.6572),(275,845,0.002693,3.657),(275,855,0.002731,3.6568),(275,865,0.00277,3.6566),(275,875,0.002809,3.6564),(275,885,0.002848,3.6562),(275,895,0.002887,3.656),(275,905,0.002926,3.6558),(275,915,0.002966,3.6556),(275,925,0.003006,3.6553),(275,935,0.003046,3.6551),(275,945,0.003086,3.6549),(275,955,0.003127,3.6547),(275,965,0.003167,3.6544),(275,975,0.003208,3.6542),(275,985,0.00325,3.654),(275,995,0.003291,3.6537),(275,1005,0.003332,3.6535),(275,1015,0.003374,3.6532),(275,1025,0.003417,3.653),(275,1035,0.003459,3.6527),(275,1045,0.003502,3.6525),(275,1055,0.003545,3.6522),(275,1065,0.003589,3.6519),(275,1075,0.003632,3.6517),(275,1085,0.003675,3.6514),(275,1095,0.00372,3.6511),(275,1105,0.003764,3.6508),(275,1115,0.003808,3.6506),(275,1125,0.003853,3.6503),(275,1135,0.003898,3.65),(275,1145,0.003943,3.6497),(275,1155,0.003989,3.6494),(275,1165,0.004034,3.6491),(275,1175,0.00408,3.6488),(275,1185,0.004127,3.6485),(275,1195,0.004174,3.6482),(275,1205,0.00422,3.6479),(275,1215,0.004267,3.6476),(275,1225,0.004315,3.6472),(275,1235,0.004363,3.6469),(275,1245,0.004411,3.6466),(275,1255,0.004459,3.6463),(275,1265,0.004509,3.6459),(275,1275,0.004557,3.6456),(275,1285,0.004607,3.6453),(275,1295,0.004656,3.6449),(275,1305,0.004706,3.6446),(275,1315,0.004756,3.6442),(275,1325,0.004806,3.6439),(275,1335,0.004857,3.6435),(275,1345,0.004908,3.6431),(275,1355,0.004959,3.6428),(275,1365,0.005011,3.6424),(275,1375,0.005063,3.642),(275,1385,0.005115,3.6417),(275,1395,0.005167,3.6413),(275,1405,0.005219,3.6409),(275,1415,0.005273,3.6405),(275,1425,0.005326,3.6401),(275,1435,0.005379,3.6397),(275,1445,0.005433,3.6393),(275,1455,0.005488,3.6389),(275,1465,0.005542,3.6385),(275,1475,0.005597,3.6381),(275,1485,0.005652,3.6377),(275,1495,0.005707,3.6372),(275,1505,0.005763,3.6368),(275,1515,0.005819,3.6364),(275,1525,0.005875,3.636),(275,1535,0.005932,3.6355),(275,1545,0.005988,3.6351),(275,1555,0.006045,3.6346),(275,1565,0.006103,3.6342),(275,1575,0.006161,3.6337),(275,1585,0.006219,3.6333),(275,1595,0.006277,3.6328),(275,1605,0.006335,3.6323),(275,1615,0.006394,3.6319),(275,1625,0.006454,3.6314),(275,1635,0.006513,3.6309),(275,1645,0.006573,3.6304),(275,1655,0.006633,3.6299),(275,1665,0.006694,3.6294),(275,1675,0.006754,3.6289),(275,1685,0.006815,3.6284),(275,1695,0.006877,3.6279),(275,1705,0.006938,3.6274),(275,1715,0.007,3.6269),(275,1725,0.007062,3.6264),(275,1735,0.007125,3.6258),(275,1745,0.007188,3.6253),(275,1755,0.007251,3.6248),(275,1765,0.007314,3.6242),(275,1775,0.007378,3.6237),(275,1785,0.007442,3.6231),(275,1795,0.007506,3.6226),(275,1805,0.007571,3.622),(275,1815,0.007636,3.6215),(275,1825,0.007701,3.6209),(275,1835,0.007767,3.6203),(275,1845,0.007832,3.6197),(275,1855,0.007899,3.6191),(275,1865,0.007965,3.6186),(275,1875,0.008032,3.618),(275,1885,0.008098,3.6174),(275,1895,0.008166,3.6168),(275,1905,0.008233,3.6162),(275,1915,0.008301,3.6155),(275,1925,0.008369,3.6149),(275,1935,0.008437,3.6143),(275,1945,0.008506,3.6137),(275,1955,0.008575,3.613),(275,1965,0.008644,3.6124),(275,1975,0.008714,3.6118),(275,1985,0.008784,3.6111),(275,1995,0.008854,3.6104),(275,2005,0.008924,3.6098),(275,2015,0.008995,3.6091),(275,2025,0.009067,3.6085),(275,2035,0.009138,3.6078),(275,2045,0.00921,3.6071),(275,2055,0.009282,3.6064),(275,2065,0.009355,3.6057),(275,2075,0.009427,3.605),(275,2085,0.009501,3.6043),(275,2095,0.009574,3.6036),(275,2105,0.009648,3.6029),(275,2115,0.009722,3.6022),(275,2125,0.009797,3.6014),(275,2135,0.009872,3.6007),(275,2145,0.009947,3.6),(275,2155,0.010022,3.5992),(275,2165,0.010098,3.5985),(275,2175,0.010175,3.5978),(275,2185,0.010251,3.597),(275,2195,0.010328,3.5962),(275,2205,0.010405,3.5955),(275,2215,0.010483,3.5947),(275,2225,0.010561,3.5939),(275,2235,0.010639,3.5931),(275,2245,0.010718,3.5923),(275,2255,0.010797,3.5915),(275,2265,0.010876,3.5907),(275,2275,0.010956,3.5899),(275,2285,0.011037,3.5891),(275,2295,0.011118,3.5883),(275,2305,0.011199,3.5875),(275,2315,0.01128,3.5866),(275,2325,0.011363,3.5858),(275,2335,0.011446,3.585),(275,2345,0.011529,3.5841),(275,2355,0.011612,3.5833),(275,2365,0.011697,3.5824),(275,2375,0.011782,3.5815),(275,2385,0.011868,3.5807),(275,2395,0.011953,3.5798),(275,2405,0.01204,3.5789),(275,2415,0.012127,3.578),(275,2425,0.012215,3.5771),(275,2435,0.012302,3.5762),(275,2445,0.012392,3.5753),(275,2455,0.012482,3.5744),(275,2465,0.012572,3.5735),(275,2475,0.012662,3.5726),(275,2485,0.012755,3.5716),(275,2495,0.012848,3.5707),(275,2505,0.012941,3.5697),(275,2515,0.013034,3.5688),(275,2525,0.01313,3.5678),(275,2535,0.013227,3.5669),(275,2545,0.013323,3.5659),(275,2555,0.01342,3.5649),(275,2565,0.01352,3.5639),(275,2575,0.013621,3.563),(275,2585,0.013721,3.562),(275,2595,0.013822,3.561),(275,2605,0.013927,3.56),(275,2615,0.014032,3.5589),(275,2625,0.014137,3.5579),(275,2635,0.014242,3.5569),(275,2645,0.014353,3.5559),(275,2655,0.014463,3.5548),(275,2665,0.014573,3.5538),(275,2675,0.014685,3.5527),(275,2685,0.014802,3.5517),(275,2695,0.014918,3.5506),(275,2705,0.015035,3.5495),(275,2715,0.015153,3.5484),(275,2725,0.015277,3.5474),(275,2735,0.015401,3.5463),(275,2745,0.015525,3.5452),(275,2755,0.015651,3.544),(275,2765,0.015784,3.5429),(275,2775,0.015916,3.5418),(275,2785,0.016049,3.5407),(275,2795,0.016184,3.5395),(275,2805,0.016327,3.5384),(275,2815,0.01647,3.5372),(275,2825,0.016613,3.5361),(275,2835,0.016759,3.5349),(275,2845,0.016914,3.5337),(275,2855,0.017069,3.5326),(275,2865,0.017224,3.5314),(275,2875,0.017385,3.5302),(275,2885,0.017554,3.5289),(275,2895,0.017723,3.5277),(275,2905,0.017892,3.5265),(275,2915,0.018068,3.5253),(275,2925,0.018254,3.524),(275,2935,0.018441,3.5228),(275,2945,0.018627,3.5215),(275,2955,0.018822,3.5203),(275,2965,0.019028,3.519),(275,2975,0.019234,3.5177),(275,2985,0.01944,3.5164),(275,2995,0.019658,3.5151),(275,3005,0.019888,3.5138),(275,3015,0.020118,3.5125),(275,3025,0.020347,3.5111),(275,3035,0.020592,3.5098),(275,3045,0.020851,3.5084),(275,3055,0.021109,3.5071),(275,3065,0.021368,3.5057),(275,3075,0.021645,3.5043),(275,3085,0.021938,3.5029),(275,3095,0.02223,3.5015),(275,3105,0.022522,3.5001),(275,3115,0.022839,3.4986),(275,3125,0.023172,3.4972),(275,3135,0.023505,3.4958),(275,3145,0.023838,3.4943),(275,3155,0.024202,3.4928),(275,3165,0.024584,3.4913),(275,3175,0.024966,3.4898),(275,3185,0.025347,3.4883),(275,3195,0.025769,3.4868),(275,3205,0.026209,3.4852),(275,3215,0.026649,3.4837),(275,3225,0.027088,3.4821),(275,3235,0.027579,3.4805),(275,3245,0.02809,3.4789),(275,3255,0.0286,3.4773),(275,3265,0.02911,3.4757),(275,3275,0.029685,3.474),(275,3285,0.03028,3.4724),(275,3295,0.030875,3.4707),(275,3305,0.03147,3.469),(275,3315,0.032148,3.4673),(275,3325,0.032846,3.4656),(275,3335,0.033543,3.4638),(275,3345,0.034241,3.462),(275,3355,0.035045,3.4602),(275,3365,0.035867,3.4585),(275,3375,0.03669,3.4566),(275,3385,0.037512,3.4548),(275,3395,0.03847,3.4529),(275,3405,0.039445,3.4511),(275,3415,0.040419,3.4491),(275,3425,0.041394,3.4472),(275,3435,0.042542,3.4453),(275,3445,0.043703,3.4433),(275,3455,0.044864,3.4413),(275,3465,0.046025,3.4393),(275,3475,0.047408,3.4373),(275,3485,0.048799,3.4353),(275,3495,0.05019,3.4332),(275,3505,0.051582,3.431),(275,3515,0.053257,3.4289),(275,3525,0.054931,3.4268),(275,3535,0.056606,3.4246),(275,3545,0.058296,3.4224),(275,3555,0.060324,3.4202),(275,3565,0.062352,3.418),(275,3575,0.064379,3.4158),(275,3585,0.066445,3.4135),(275,3595,0.068915,3.4112),(275,3605,0.071386,3.4089),(275,3615,0.073856,3.4066),(275,3625,0.076396,3.4042),(275,3635,0.079427,3.4019),(275,3645,0.082459,3.3996),(275,3655,0.08549,3.3972),(275,3665,0.088638,3.3948),(275,3675,0.092386,3.3924),(275,3685,0.096135,3.39),(275,3695,0.099883,3.3877),(275,3705,0.10382,3.3853),(275,3715,0.1085,3.3829),(275,3725,0.11318,3.3806),(275,3735,0.11786,3.3783),(275,3745,0.12285,3.3761),(275,3755,0.12877,3.3738),(275,3765,0.13469,3.3716),(275,3775,0.14061,3.3697),(275,3785,0.14701,3.3677),(275,3795,0.15464,3.3657),(275,3805,0.16226,3.3639),(275,3815,0.16989,3.3625),(275,3825,0.1783,3.3611),(275,3835,0.1884,3.3598),(275,3845,0.19849,3.3588),(275,3855,0.20858,3.3586),(275,3865,0.22009,3.3584),(275,3875,0.23411,3.3582),(275,3885,0.24812,3.359),(275,3895,0.26213,3.3614),(275,3905,0.31459,3.3638),(275,3915,0.4245,3.3662),(275,3925,0.53441,3.3634),(275,3935,0.64431,3.3534),(275,3945,0.70314,3.3434),(275,3955,0.69712,3.3334),(275,3965,0.6911,3.323),(275,3975,0.68508,3.3122),(275,3985,0.65253,3.3014),(275,3995,0.59124,3.2906),(275,4005,0.52996,3.2815),(275,4015,0.46867,3.274),(275,4025,0.41963,3.2666),(275,4035,0.3718,3.2577),(275,4045,0.32396,3.2457),(275,4055,0.28536,3.2336),(275,4065,0.25012,3.222),(275,4075,0.21489,3.213),(275,4085,0.17573,3.204),(275,4095,0.1334,3.195),(275,4105,0.091074,3.1871),(275,4115,0.046189,3.1791),(275,4125,-0.002941,3.1711),(275,4135,-0.05207,3.1684),(275,4145,-0.071497,3.167),(275,4155,0.02939,3.1656),(275,4165,0.13028,3.1588),(275,4175,0.22903,3.1485),(275,4185,0.22229,3.1382),(275,4195,0.21555,3.1296),(275,4205,0.2088,3.1233),(275,4215,0.1488,3.117),(275,4225,0.078771,3.1126),(275,4235,0.008743,3.1135),(275,4245,-0.036397,3.1144),(275,4255,-0.068907,3.1155),(275,4265,-0.10142,3.118),(275,4275,-0.10526,3.1205),(275,4285,-0.07869,3.123),(275,4295,-0.052117,3.1263),(275,4305,0.035758,3.1298),(275,4315,0.26205,3.1332),(275,4325,0.48835,3.1239),(275,4335,0.67314,3.1098),(275,4345,0.57698,3.0956),(275,4355,0.48082,3.0838),(275,4365,0.38466,3.074),(275,4375,0.26424,3.0642),(275,4385,0.14257,3.0574),(275,4395,0.020893,3.0556),(275,4405,-0.058879,3.0539),(275,4415,-0.12629,3.0546),(275,4425,-0.19371,3.0666),(275,4435,-0.099046,3.0785),(275,4445,0.10638,3.0903),(275,4455,0.3118,3.0729),(275,4465,0.43404,3.0555),(275,4475,0.43941,3.0381),(275,4485,0.44478,3.0259),(275,4495,0.41477,3.0149),(275,4505,0.27124,3.0038),(275,4515,0.12771,2.999),(275,4525,-0.015086,2.9974),(275,4535,-0.1464,2.9959),(275,4545,-0.27772,2.996),(275,4555,-0.40903,2.9979),(275,4565,-0.26629,2.9997),(275,4575,-0.086603,2.9995),(275,4585,0.093084,2.9943),(275,4595,0.20268,2.989),(275,4605,0.28266,2.9834),(275,4615,0.36265,2.975),(275,4625,0.36002,2.9665),(275,4635,0.28257,2.9581),(275,4645,0.20512,2.9491),(275,4655,0.089784,2.9401),(275,4665,-0.096992,2.931),(275,4675,-0.28377,2.9351),(275,4685,-0.43579,2.9435),(275,4695,-0.41608,2.9518),(275,4705,-0.39637,2.9656),(275,4715,-0.37666,2.9834),(275,4725,-0.053894,3.0011),(275,4735,0.27191,3.0053),(275,4745,0.59771,2.9892),(275,4755,0.57779,2.9731),(275,4765,0.47775,2.9586),(275,4775,0.37771,2.9499),(275,4785,0.20417,2.9411),(275,4795,-0.011873,2.9326),(275,4805,-0.22792,2.9276),(275,4815,-0.39696,2.9227),(275,4825,-0.50981,2.9178),(275,4835,-0.62265,2.9244),(275,4845,-0.60327,2.9327),(275,4855,-0.2392,2.941),(275,4865,0.12488,2.9312),(275,4875,0.46559,2.9133),(275,4885,0.59375,2.8953),(275,4895,0.72191,2.8753),(275,4905,0.85007,2.8533),(275,4915,0.64679,2.8314),(275,4925,0.41501,2.8144),(275,4935,0.18322,2.8075),(275,4945,-0.014034,2.8006),(275,4955,-0.19932,2.7958),(275,4965,-0.38461,2.8027),(275,4975,-0.41241,2.8097),(275,4985,-0.31865,2.8166),(275,4995,-0.22489,2.818),(275,5005,-0.10359,2.8193),(275,5015,0.061496,2.8206),(275,5025,0.22658,2.8071),(275,5035,0.32364,2.7899),(275,5045,0.16158,2.7726),(275,5055,-0.000487,2.7559),(275,5065,-0.16409,2.7396),(275,5075,-0.37782,2.7232),(275,5085,-0.59155,2.7097),(275,5095,-0.80528,2.6998),(275,5105,-0.82772,2.6899),(275,5115,-0.81679,2.6854),(275,5125,-0.80586,2.6964),(275,5135,-0.50775,2.7073),(275,5145,-0.070276,2.7156),(275,5155,0.3672,2.695),(275,5165,0.6274,2.6744),(275,5175,0.7068,2.6537),(275,5185,0.78621,2.6348),(275,5195,0.77271,2.6161),(275,5205,0.5589,2.5974),(275,5215,0.34509,2.5842),(275,5225,0.13073,2.573),(275,5235,-0.087084,2.5618),(275,5245,-0.3049,2.5567),(275,5255,-0.52272,2.5565),(275,5265,-0.35525,2.5563),(275,5275,-0.17191,2.5577),(275,5285,0.011443,2.5616),(275,5295,0.19669,2.5656),(275,5305,0.38247,2.5651),(275,5315,0.56825,2.5462),(275,5325,0.53822,2.5272),(275,5335,0.36667,2.5082),(275,5345,0.19512,2.4842),(275,5355,-0.015748,2.4602),(275,5365,-0.27966,2.4361),(275,5375,-0.54357,2.411),(275,5385,-0.71711,2.3857),(275,5395,-0.61594,2.3604),(275,5405,-0.51476,2.3586),(275,5415,-0.39114,2.3691),(275,5425,0.03407,2.3795),(275,5435,0.45928,2.3751),(275,5445,0.88449,2.3545),(275,5455,0.96359,2.3339),(275,5465,1.0004,2.3151),(275,5475,1.0372,2.3004),(275,5485,0.98343,2.2857),(275,5495,0.89322,2.272),(275,5505,0.803,2.2648),(275,5515,0.72856,2.2576),(275,5525,0.66784,2.2505),(275,5535,0.60713,2.2412),(275,5545,0.55365,2.2318),(275,5555,0.51326,2.2224),(275,5565,0.47286,2.2105),(275,5575,0.43481,2.1979),(275,5585,0.40758,2.1852),(275,5595,0.38035,2.1709),(275,5605,0.35312,2.1555),(275,5615,0.33453,2.14),(275,5625,0.31595,2.1235),(275,5635,0.29736,2.1056),(275,5645,0.28342,2.0877),(275,5655,0.27047,2.0693),(275,5665,0.25753,2.0495),(275,5675,0.24688,2.0298),(275,5685,0.23749,2.0099),(275,5695,0.2281,1.9883),(275,5705,0.21962,1.9666),(275,5715,0.21218,1.945),(275,5725,0.20474,1.9216),(275,5735,0.19744,1.8979),(275,5745,0.19049,1.8743),(275,5755,0.18354,1.8494),(275,5765,0.1765,1.824),(275,5775,0.16875,1.7986),(275,5785,0.161,1.7721),(275,5795,0.15325,1.7448),(275,5805,0.14378,1.7175),(275,5815,0.13419,1.6896),(275,5825,0.1246,1.6604),(275,5835,0.11279,1.6313),(275,5845,0.10024,1.6019),(275,5855,0.087695,1.5707),(275,5865,0.072507,1.5395),(275,5875,0.055361,1.5083),(275,5885,0.038215,1.4756),(275,5895,0.018415,1.4428),(275,5905,-0.005433,1.41),(275,5915,-0.02928,1.3761),(275,5925,-0.055375,1.3418),(275,5935,-0.089541,1.3076),(275,5945,-0.12371,1.2746),(275,5955,-0.15855,1.2422),(275,5965,-0.20983,1.2098),(275,5975,-0.26111,1.1837),(275,5985,-0.31238,1.1653),(275,5995,-0.25237,1.1468),(275,6005,-0.17444,1.1346),(275,6015,-0.096506,1.139),(275,6025,0.033199,1.1434),(275,6035,0.18692,1.1462),(275,6045,0.34063,1.1336),(275,6055,0.42275,1.1209),(275,6065,0.43465,1.1083),(275,6075,0.44656,1.0912),(275,6085,0.4478,1.0736),(275,6095,0.42706,1.056),(275,6105,0.40633,1.0384),(275,6115,0.3865,1.0209),(275,6125,0.37184,1.0033),(275,6135,0.35719,0.98512),(275,6145,0.34254,0.96652),(275,6155,0.33156,0.94793),(275,6165,0.3207,0.9289),(275,6175,0.30984,0.90916),(275,6185,0.30105,0.88943),(275,6195,0.29282,0.86965),(275,6205,0.28458,0.84966),(275,6215,0.27751,0.82967),(275,6225,0.27117,0.80967),(275,6235,0.26483,0.78934),(275,6245,0.25908,0.76901),(275,6255,0.25411,0.74869),(275,6265,0.24913,0.72812),(275,6275,0.24442,0.70752),(275,6285,0.24046,0.68691),(275,6295,0.2365,0.66619),(275,6305,0.2326,0.64542),(275,6315,0.22944,0.62464),(275,6325,0.22627,0.6038),(275,6335,0.2231,0.58289),(275,6345,0.22052,0.56198),(275,6355,0.218,0.54103),(275,6365,0.21548,0.52002),(275,6375,0.21332,0.49901),(275,6385,0.2113,0.47799),(275,6395,0.20928,0.45697),(275,6405,0.20749,0.43594),(275,6415,0.20589,0.41492),(275,6425,0.2043,0.39377),(275,6435,0.20282,0.37262),(275,6445,0.20157,0.35147),(275,6455,0.20031,0.33035),(275,6465,0.1991,0.30923),(275,6475,0.19812,0.28812),(275,6485,0.19713,0.26693),(275,6495,0.19615,0.24569),(275,6505,0.19544,0.22445),(275,6515,0.19473,0.20325),(275,6525,0.19402,0.18208),(275,6535,0.19357,0.16091),(275,6545,0.19317,0.13971),(275,6555,0.19277,0.11843),(275,6565,0.19252,0.097146),(275,6575,0.19233,0.075869),(275,6585,0.19215,0.054685),(275,6595,0.16335,0.0335),(275,6605,0.10293,0.012315),(275,6615,0.042524,0.00977),(275,6625,5.7e-05,0.00962),(275,6635,5.8e-05,0.009469),(275,6645,6e-05,0.009422),(275,6655,6.1e-05,0.009418),(275,6665,6.2e-05,0.009413),(275,6675,6.3e-05,0.009408),(275,6685,6.4e-05,0.009402),(275,6695,6.5e-05,0.009396),(275,6705,6.6e-05,0.009391),(275,6715,6.7e-05,0.009385),(275,6725,6.8e-05,0.00938),(275,6735,6.9e-05,0.009374),(275,6745,7e-05,0.009369),(275,6755,7.1e-05,0.009363),(275,6765,7.2e-05,0.009357),(275,6775,7.2e-05,0.009351),(275,6785,7.3e-05,0.009345),(275,6795,7.4e-05,0.00934),(275,6805,7.5e-05,0.009334),(275,6815,7.5e-05,0.009328),(275,6825,7.6e-05,0.009322),(275,6835,7.7e-05,0.009316),(275,6845,7.7e-05,0.00931),(275,6855,7.8e-05,0.009303),(275,6865,7.9e-05,0.009297),(275,6875,7.9e-05,0.009291),(275,6885,8e-05,0.009285),(275,6895,8e-05,0.009279),(275,6905,8.1e-05,0.009272),(275,6915,8.2e-05,0.009266),(275,6925,8.2e-05,0.00926),(275,6935,8.3e-05,0.009253),(275,6945,8.3e-05,0.009247),(275,6955,8.4e-05,0.009241),(275,6965,8.4e-05,0.009234),(275,6975,8.5e-05,0.009228),(275,6985,8.5e-05,0.009221),(285,5,1.5e-05,3.6651),(285,15,4.4e-05,3.6651),(285,25,7.4e-05,3.6651),(285,35,0.000104,3.6651),(285,45,0.000133,3.6651),(285,55,0.000163,3.6651),(285,65,0.000193,3.665),(285,75,0.000223,3.665),(285,85,0.000252,3.665),(285,95,0.000282,3.665),(285,105,0.000312,3.665),(285,115,0.000342,3.6649),(285,125,0.000372,3.6649),(285,135,0.000402,3.6649),(285,145,0.000432,3.6649),(285,155,0.000463,3.6648),(285,165,0.000493,3.6648),(285,175,0.000523,3.6648),(285,185,0.000553,3.6647),(285,195,0.000583,3.6647),(285,205,0.000614,3.6646),(285,215,0.000644,3.6646),(285,225,0.000675,3.6645),(285,235,0.000705,3.6645),(285,245,0.000735,3.6644),(285,255,0.000766,3.6644),(285,265,0.000797,3.6643),(285,275,0.000827,3.6643),(285,285,0.000858,3.6642),(285,295,0.000889,3.6642),(285,305,0.00092,3.6641),(285,315,0.000951,3.664),(285,325,0.000982,3.664),(285,335,0.001013,3.6639),(285,345,0.001044,3.6638),(285,355,0.001076,3.6637),(285,365,0.001107,3.6637),(285,375,0.001139,3.6636),(285,385,0.001171,3.6635),(285,395,0.001203,3.6634),(285,405,0.001235,3.6633),(285,415,0.001267,3.6632),(285,425,0.001299,3.6631),(285,435,0.001331,3.663),(285,445,0.001364,3.6629),(285,455,0.001396,3.6628),(285,465,0.001429,3.6627),(285,475,0.001461,3.6626),(285,485,0.001494,3.6625),(285,495,0.001527,3.6624),(285,505,0.00156,3.6623),(285,515,0.001594,3.6622),(285,525,0.001627,3.6621),(285,535,0.001661,3.662),(285,545,0.001695,3.6619),(285,555,0.001729,3.6617),(285,565,0.001763,3.6616),(285,575,0.001797,3.6615),(285,585,0.001832,3.6614),(285,595,0.001866,3.6612),(285,605,0.001901,3.6611),(285,615,0.001936,3.6609),(285,625,0.001971,3.6608),(285,635,0.002006,3.6607),(285,645,0.002042,3.6605),(285,655,0.002077,3.6604),(285,665,0.002113,3.6602),(285,675,0.002149,3.6601),(285,685,0.002185,3.6599),(285,695,0.002221,3.6598),(285,705,0.002258,3.6596),(285,715,0.002294,3.6594),(285,725,0.002331,3.6593),(285,735,0.002368,3.6591),(285,745,0.002406,3.6589),(285,755,0.002443,3.6588),(285,765,0.002481,3.6586),(285,775,0.002519,3.6584),(285,785,0.002557,3.6582),(285,795,0.002595,3.658),(285,805,0.002634,3.6578),(285,815,0.002672,3.6577),(285,825,0.002711,3.6575),(285,835,0.002751,3.6573),(285,845,0.00279,3.6571),(285,855,0.002829,3.6569),(285,865,0.002869,3.6567),(285,875,0.00291,3.6565),(285,885,0.00295,3.6563),(285,895,0.00299,3.656),(285,905,0.003031,3.6558),(285,915,0.003072,3.6556),(285,925,0.003113,3.6554),(285,935,0.003155,3.6552),(285,945,0.003197,3.6549),(285,955,0.003239,3.6547),(285,965,0.003281,3.6545),(285,975,0.003323,3.6542),(285,985,0.003366,3.654),(285,995,0.003409,3.6538),(285,1005,0.003452,3.6535),(285,1015,0.003495,3.6533),(285,1025,0.00354,3.653),(285,1035,0.003584,3.6528),(285,1045,0.003628,3.6525),(285,1055,0.003672,3.6522),(285,1065,0.003717,3.652),(285,1075,0.003762,3.6517),(285,1085,0.003808,3.6514),(285,1095,0.003853,3.6512),(285,1105,0.003899,3.6509),(285,1115,0.003945,3.6506),(285,1125,0.003991,3.6503),(285,1135,0.004038,3.65),(285,1145,0.004085,3.6497),(285,1155,0.004132,3.6495),(285,1165,0.004179,3.6492),(285,1175,0.004227,3.6489),(285,1185,0.004275,3.6486),(285,1195,0.004324,3.6482),(285,1205,0.004372,3.6479),(285,1215,0.004421,3.6476),(285,1225,0.00447,3.6473),(285,1235,0.00452,3.647),(285,1245,0.004569,3.6466),(285,1255,0.00462,3.6463),(285,1265,0.004671,3.646),(285,1275,0.004721,3.6457),(285,1285,0.004772,3.6453),(285,1295,0.004824,3.645),(285,1305,0.004876,3.6446),(285,1315,0.004927,3.6443),(285,1325,0.004979,3.6439),(285,1335,0.005032,3.6436),(285,1345,0.005085,3.6432),(285,1355,0.005138,3.6428),(285,1365,0.005191,3.6425),(285,1375,0.005245,3.6421),(285,1385,0.005299,3.6417),(285,1395,0.005353,3.6413),(285,1405,0.005407,3.6409),(285,1415,0.005463,3.6406),(285,1425,0.005518,3.6402),(285,1435,0.005573,3.6398),(285,1445,0.005629,3.6394),(285,1455,0.005685,3.639),(285,1465,0.005742,3.6386),(285,1475,0.005798,3.6381),(285,1485,0.005855,3.6377),(285,1495,0.005913,3.6373),(285,1505,0.005971,3.6369),(285,1515,0.006029,3.6364),(285,1525,0.006086,3.636),(285,1535,0.006145,3.6356),(285,1545,0.006204,3.6351),(285,1555,0.006263,3.6347),(285,1565,0.006322,3.6342),(285,1575,0.006383,3.6338),(285,1585,0.006443,3.6333),(285,1595,0.006503,3.6329),(285,1605,0.006563,3.6324),(285,1615,0.006625,3.6319),(285,1625,0.006686,3.6314),(285,1635,0.006748,3.631),(285,1645,0.00681,3.6305),(285,1655,0.006872,3.63),(285,1665,0.006935,3.6295),(285,1675,0.006998,3.629),(285,1685,0.007061,3.6285),(285,1695,0.007125,3.628),(285,1705,0.007189,3.6275),(285,1715,0.007253,3.627),(285,1725,0.007317,3.6264),(285,1735,0.007382,3.6259),(285,1745,0.007447,3.6254),(285,1755,0.007512,3.6248),(285,1765,0.007578,3.6243),(285,1775,0.007644,3.6238),(285,1785,0.007711,3.6232),(285,1795,0.007777,3.6226),(285,1805,0.007844,3.6221),(285,1815,0.007912,3.6215),(285,1825,0.007979,3.621),(285,1835,0.008047,3.6204),(285,1845,0.008115,3.6198),(285,1855,0.008184,3.6192),(285,1865,0.008253,3.6186),(285,1875,0.008322,3.618),(285,1885,0.008391,3.6174),(285,1895,0.008461,3.6168),(285,1905,0.008531,3.6162),(285,1915,0.008601,3.6156),(285,1925,0.008671,3.615),(285,1935,0.008742,3.6144),(285,1945,0.008814,3.6137),(285,1955,0.008885,3.6131),(285,1965,0.008956,3.6125),(285,1975,0.009029,3.6118),(285,1985,0.009101,3.6112),(285,1995,0.009174,3.6105),(285,2005,0.009247,3.6099),(285,2015,0.00932,3.6092),(285,2025,0.009394,3.6085),(285,2035,0.009468,3.6078),(285,2045,0.009542,3.6072),(285,2055,0.009617,3.6065),(285,2065,0.009693,3.6058),(285,2075,0.009768,3.6051),(285,2085,0.009844,3.6044),(285,2095,0.00992,3.6037),(285,2105,0.009997,3.603),(285,2115,0.010073,3.6023),(285,2125,0.01015,3.6015),(285,2135,0.010228,3.6008),(285,2145,0.010306,3.6001),(285,2155,0.010384,3.5993),(285,2165,0.010463,3.5986),(285,2175,0.010542,3.5978),(285,2185,0.010621,3.5971),(285,2195,0.0107,3.5963),(285,2205,0.010781,3.5955),(285,2215,0.010861,3.5948),(285,2225,0.010942,3.594),(285,2235,0.011022,3.5932),(285,2245,0.011104,3.5924),(285,2255,0.011186,3.5916),(285,2265,0.011269,3.5908),(285,2275,0.011351,3.59),(285,2285,0.011435,3.5892),(285,2295,0.011519,3.5884),(285,2305,0.011603,3.5876),(285,2315,0.011687,3.5867),(285,2325,0.011772,3.5859),(285,2335,0.011858,3.5851),(285,2345,0.011944,3.5842),(285,2355,0.01203,3.5833),(285,2365,0.012118,3.5825),(285,2375,0.012206,3.5816),(285,2385,0.012294,3.5808),(285,2395,0.012383,3.5799),(285,2405,0.012473,3.579),(285,2415,0.012563,3.5781),(285,2425,0.012653,3.5772),(285,2435,0.012744,3.5763),(285,2445,0.012837,3.5754),(285,2455,0.01293,3.5745),(285,2465,0.013023,3.5736),(285,2475,0.013116,3.5726),(285,2485,0.013212,3.5717),(285,2495,0.013308,3.5708),(285,2505,0.013404,3.5698),(285,2515,0.013501,3.5689),(285,2525,0.0136,3.5679),(285,2535,0.0137,3.567),(285,2545,0.0138,3.566),(285,2555,0.013899,3.565),(285,2565,0.014003,3.5641),(285,2575,0.014107,3.5631),(285,2585,0.01421,3.5621),(285,2595,0.014314,3.5611),(285,2605,0.014423,3.5601),(285,2615,0.014531,3.5591),(285,2625,0.01464,3.558),(285,2635,0.014749,3.557),(285,2645,0.014863,3.556),(285,2655,0.014976,3.5549),(285,2665,0.01509,3.5539),(285,2675,0.015205,3.5528),(285,2685,0.015326,3.5518),(285,2695,0.015446,3.5507),(285,2705,0.015566,3.5496),(285,2715,0.015688,3.5486),(285,2725,0.015816,3.5475),(285,2735,0.015944,3.5464),(285,2745,0.016072,3.5453),(285,2755,0.016202,3.5442),(285,2765,0.016338,3.5431),(285,2775,0.016474,3.542),(285,2785,0.016611,3.5408),(285,2795,0.01675,3.5397),(285,2805,0.016897,3.5385),(285,2815,0.017044,3.5374),(285,2825,0.017191,3.5362),(285,2835,0.017342,3.5351),(285,2845,0.017501,3.5339),(285,2855,0.017661,3.5327),(285,2865,0.01782,3.5315),(285,2875,0.017985,3.5303),(285,2885,0.018158,3.5291),(285,2895,0.018332,3.5279),(285,2905,0.018506,3.5267),(285,2915,0.018687,3.5255),(285,2925,0.018878,3.5242),(285,2935,0.019069,3.523),(285,2945,0.01926,3.5217),(285,2955,0.01946,3.5205),(285,2965,0.019672,3.5192),(285,2975,0.019883,3.5179),(285,2985,0.020094,3.5166),(285,2995,0.020318,3.5153),(285,3005,0.020553,3.514),(285,3015,0.020789,3.5127),(285,3025,0.021024,3.5114),(285,3035,0.021275,3.51),(285,3045,0.02154,3.5087),(285,3055,0.021804,3.5073),(285,3065,0.022069,3.506),(285,3075,0.022353,3.5046),(285,3085,0.022652,3.5032),(285,3095,0.022951,3.5018),(285,3105,0.02325,3.5004),(285,3115,0.023574,3.499),(285,3125,0.023914,3.4976),(285,3135,0.024254,3.4961),(285,3145,0.024594,3.4947),(285,3155,0.024966,3.4932),(285,3165,0.025355,3.4917),(285,3175,0.025745,3.4902),(285,3185,0.026134,3.4887),(285,3195,0.026564,3.4872),(285,3205,0.027013,3.4857),(285,3215,0.027461,3.4841),(285,3225,0.027909,3.4826),(285,3235,0.02841,3.481),(285,3245,0.028929,3.4795),(285,3255,0.029448,3.4779),(285,3265,0.029968,3.4762),(285,3275,0.030553,3.474609),(285,3285,0.031158,3.473),(285,3295,0.031763,3.4713),(285,3305,0.032368,3.4696),(285,3315,0.033056,3.468),(285,3325,0.033765,3.4663),(285,3335,0.034473,3.4645),(285,3345,0.035182,3.4628),(285,3355,0.035997,3.4611),(285,3365,0.036831,3.4593),(285,3375,0.037665,3.4575),(285,3385,0.038499,3.4557),(285,3395,0.039468,3.4539),(285,3405,0.040455,3.4521),(285,3415,0.041442,3.4502),(285,3425,0.042428,3.4483),(285,3435,0.043588,3.4464),(285,3445,0.044761,3.4445),(285,3455,0.045935,3.4426),(285,3465,0.047108,3.4406),(285,3475,0.048503,3.4386),(285,3485,0.049905,3.4367),(285,3495,0.051308,3.4346),(285,3505,0.052712,3.4326),(285,3515,0.054397,3.4306),(285,3525,0.056082,3.4285),(285,3535,0.057767,3.4264),(285,3545,0.059468,3.4243),(285,3555,0.061504,3.4222),(285,3565,0.06354,3.4201),(285,3575,0.065575,3.4179),(285,3585,0.067648,3.4158),(285,3595,0.070121,3.4136),(285,3605,0.072594,3.4114),(285,3615,0.075068,3.4092),(285,3625,0.07761,3.407),(285,3635,0.080634,3.4048),(285,3645,0.083659,3.4026),(285,3655,0.086684,3.4004),(285,3665,0.089824,3.3982),(285,3675,0.093551,3.396),(285,3685,0.097278,3.3938),(285,3695,0.10101,3.3916),(285,3705,0.10492,3.3895),(285,3715,0.10955,3.3874),(285,3725,0.11419,3.3853),(285,3735,0.11882,3.3833),(285,3745,0.12374,3.3813),(285,3755,0.12957,3.3794),(285,3765,0.1354,3.3775),(285,3775,0.14123,3.3759),(285,3785,0.14752,3.3743),(285,3795,0.15498,3.3728),(285,3805,0.16243,3.3714),(285,3815,0.16988,3.3706),(285,3825,0.17808,3.3697),(285,3835,0.18785,3.3689),(285,3845,0.19762,3.3686),(285,3855,0.20739,3.3692),(285,3865,0.21844,3.3698),(285,3875,0.23178,3.3705),(285,3885,0.24512,3.3723),(285,3895,0.25846,3.3761),(285,3905,0.31153,3.3799),(285,3915,0.42395,3.3837),(285,3925,0.53636,3.3858),(285,3935,0.64878,3.3856),(285,3945,0.70895,3.3854),(285,3955,0.70278,3.3852),(285,3965,0.69661,3.3821),(285,3975,0.69044,3.3757),(285,3985,0.65746,3.3692),(285,3995,0.59545,3.3628),(285,4005,0.53345,3.3566),(285,4015,0.47145,3.3507),(285,4025,0.42385,3.3447),(285,4035,0.37767,3.3372),(285,4045,0.33148,3.3262),(285,4055,0.29277,3.3152),(285,4065,0.25678,3.3045),(285,4075,0.22079,3.2957),(285,4085,0.1812,3.2869),(285,4095,0.13873,3.2781),(285,4105,0.096264,3.2682),(285,4115,0.050645,3.2583),(285,4125,-0.000192,3.2483),(285,4135,-0.051029,3.2392),(285,4145,-0.07123,3.2304),(285,4155,0.032662,3.2216),(285,4165,0.13655,3.2167),(285,4175,0.23822,3.2144),(285,4185,0.22983,3.2121),(285,4195,0.22144,3.2094),(285,4205,0.21304,3.2062),(285,4215,0.15105,3.203),(285,4225,0.078968,3.2002),(285,4235,0.006886,3.1982),(285,4245,-0.039138,3.1963),(285,4255,-0.071939,3.1943),(285,4265,-0.10474,3.191),(285,4275,-0.10877,3.1877),(285,4285,-0.082279,3.1843),(285,4295,-0.055784,3.1839),(285,4305,0.033528,3.1838),(285,4315,0.26468,3.1837),(285,4325,0.49584,3.1837),(285,4335,0.68469,3.1836),(285,4345,0.58715,3.1836),(285,4355,0.4896,3.1809),(285,4365,0.39206,3.1759),(285,4375,0.26932,3.171),(285,4385,0.14526,3.1655),(285,4395,0.021195,3.159),(285,4405,-0.062145,3.1525),(285,4415,-0.13348,3.1473),(285,4425,-0.20481,3.148),(285,4435,-0.10634,3.1486),(285,4445,0.10818,3.1492),(285,4455,0.32269,3.144),(285,4465,0.44921,3.1387),(285,4475,0.45211,3.1335),(285,4485,0.455,3.129),(285,4495,0.42241,3.1247),(285,4505,0.27594,3.1204),(285,4515,0.12948,3.1154),(285,4525,-0.016138,3.1099),(285,4535,-0.14838,3.1045),(285,4545,-0.28062,3.0959),(285,4555,-0.41286,3.0838),(285,4565,-0.26772,3.0717),(285,4575,-0.08519,3.0635),(285,4585,0.097344,3.0649),(285,4595,0.20823,3.0663),(285,4605,0.28885,3.0676),(285,4615,0.36947,3.0683),(285,4625,0.36712,3.069),(285,4635,0.28964,3.0698),(285,4645,0.21216,3.0642),(285,4655,0.094901,3.0582),(285,4665,-0.097367,3.0521),(285,4675,-0.28963,3.0485),(285,4685,-0.44664,3.0456),(285,4695,-0.42941,3.0427),(285,4705,-0.41218,3.0445),(285,4715,-0.39495,3.0495),(285,4725,-0.062198,3.0546),(285,4735,0.27371,3.0579),(285,4745,0.60962,3.0585),(285,4755,0.58934,3.059),(285,4765,0.48652,3.0589),(285,4775,0.3837,3.0565),(285,4785,0.20837,3.0541),(285,4795,-0.008895,3.0512),(285,4805,-0.22616,3.0382),(285,4815,-0.39755,3.0253),(285,4825,-0.51411,3.0123),(285,4835,-0.63066,3.0013),(285,4845,-0.61157,2.9905),(285,4855,-0.23887,2.9798),(285,4865,0.13384,2.9724),(285,4875,0.48234,2.9665),(285,4885,0.61072,2.9606),(285,4895,0.73909,2.9547),(285,4905,0.86747,2.9486),(285,4915,0.66003,2.9426),(285,4925,0.42371,2.9368),(285,4935,0.18739,2.9314),(285,4945,-0.013851,2.926),(285,4955,-0.20293,2.9204),(285,4965,-0.39202,2.9135),(285,4975,-0.42013,2.9066),(285,4985,-0.32399,2.8997),(285,4995,-0.22785,2.8925),(285,5005,-0.10321,2.8853),(285,5015,0.066719,2.8781),(285,5025,0.23665,2.8738),(285,5035,0.33739,2.8703),(285,5045,0.17453,2.8668),(285,5055,0.011676,2.8571),(285,5065,-0.15276,2.8436),(285,5075,-0.36865,2.8302),(285,5085,-0.58455,2.813),(285,5095,-0.80044,2.7911),(285,5105,-0.8281,2.7691),(285,5115,-0.82293,2.751),(285,5125,-0.81776,2.7437),(285,5135,-0.51474,2.7363),(285,5145,-0.067182,2.729),(285,5155,0.38038,2.723),(285,5165,0.64462,2.717),(285,5175,0.72191,2.711),(285,5185,0.79919,2.706),(285,5195,0.78337,2.7012),(285,5205,0.5668,2.6964),(285,5215,0.35022,2.6845),(285,5225,0.13301,2.6699),(285,5235,-0.088177,2.6554),(285,5245,-0.30937,2.6355),(285,5255,-0.53056,2.6111),(285,5265,-0.36202,2.5868),(285,5275,-0.17741,2.5735),(285,5285,0.007199,2.5789),(285,5295,0.19763,2.5843),(285,5305,0.38968,2.5892),(285,5315,0.58174,2.5919),(285,5325,0.55461,2.5947),(285,5335,0.38377,2.5972),(285,5345,0.21292,2.5789),(285,5355,0.00236,2.5606),(285,5365,-0.26177,2.5423),(285,5375,-0.5259,2.5048),(285,5385,-0.70197,2.4636),(285,5395,-0.6103,2.4224),(285,5405,-0.51864,2.4041),(285,5415,-0.40322,2.3978),(285,5425,0.03123,2.3915),(285,5435,0.46568,2.385),(285,5445,0.90013,2.3785),(285,5455,0.97787,2.3719),(285,5465,1.012,2.3655),(285,5475,1.0462,2.3594),(285,5485,0.98997,2.3534),(285,5495,0.8974,2.3476),(285,5505,0.80482,2.343),(285,5515,0.72957,2.3385),(285,5525,0.6694,2.334),(285,5535,0.60922,2.3259),(285,5545,0.55645,2.3176),(285,5555,0.51706,2.3092),(285,5565,0.47767,2.2982),(285,5575,0.44058,2.2864),(285,5585,0.41412,2.2746),(285,5595,0.38765,2.2612),(285,5605,0.36118,2.2467),(285,5615,0.34313,2.2322),(285,5625,0.32508,2.2168),(285,5635,0.30703,2.2),(285,5645,0.29353,2.1831),(285,5655,0.28102,2.1659),(285,5665,0.26851,2.1474),(285,5675,0.25826,2.1289),(285,5685,0.24925,2.1102),(285,5695,0.24024,2.0899),(285,5705,0.23212,2.0696),(285,5715,0.22503,2.0493),(285,5725,0.21793,2.0273),(285,5735,0.21097,2.005),(285,5745,0.20432,1.9828),(285,5755,0.19768,1.9592),(285,5765,0.19095,1.9351),(285,5775,0.18348,1.911),(285,5785,0.17601,1.8857),(285,5795,0.16854,1.8594),(285,5805,0.15935,1.8331),(285,5815,0.15004,1.806),(285,5825,0.14073,1.7775),(285,5835,0.12921,1.749),(285,5845,0.11696,1.7201),(285,5855,0.10472,1.6889),(285,5865,0.08983,1.6577),(285,5875,0.072975,1.6266),(285,5885,0.056119,1.5928),(285,5895,0.03651,1.5591),(285,5905,0.012703,1.5253),(285,5915,-0.011105,1.4889),(285,5925,-0.037351,1.4519),(285,5935,-0.072355,1.4149),(285,5945,-0.10736,1.3764),(285,5955,-0.14319,1.3371),(285,5965,-0.19907,1.2978),(285,5975,-0.25495,1.2592),(285,5985,-0.31083,1.2214),(285,5995,-0.25355,1.1836),(285,6005,-0.17806,1.1554),(285,6015,-0.10257,1.1527),(285,6025,0.029077,1.15),(285,6035,0.18677,1.1468),(285,6045,0.34446,1.1395),(285,6055,0.42872,1.1321),(285,6065,0.44099,1.1248),(285,6075,0.45326,1.1103),(285,6085,0.45483,1.0953),(285,6095,0.43435,1.0802),(285,6105,0.41387,1.0639),(285,6115,0.3943,1.0472),(285,6125,0.37996,1.0304),(285,6135,0.36562,1.0128),(285,6145,0.35127,0.99433),(285,6155,0.34052,0.9759),(285,6165,0.32987,0.95692),(285,6175,0.31922,0.93705),(285,6185,0.3106,0.91718),(285,6195,0.30252,0.89722),(285,6205,0.29443,0.87689),(285,6215,0.28747,0.85655),(285,6225,0.28121,0.83621),(285,6235,0.27495,0.8154),(285,6245,0.26927,0.7946),(285,6255,0.26435,0.77379),(285,6265,0.25943,0.75267),(285,6275,0.25476,0.73148),(285,6285,0.25083,0.7103),(285,6295,0.2469,0.68897),(285,6305,0.24304,0.66756),(285,6315,0.23988,0.64616),(285,6325,0.23673,0.62468),(285,6335,0.23358,0.60312),(285,6345,0.23101,0.58155),(285,6355,0.22851,0.55995),(285,6365,0.226,0.53824),(285,6375,0.22386,0.51654),(285,6385,0.22186,0.49483),(285,6395,0.21986,0.47309),(285,6405,0.21809,0.45135),(285,6415,0.21651,0.42961),(285,6425,0.21492,0.40774),(285,6435,0.21346,0.38586),(285,6445,0.21222,0.36397),(285,6455,0.21097,0.34209),(285,6465,0.20977,0.32021),(285,6475,0.20877,0.29832),(285,6485,0.20777,0.27638),(285,6495,0.20677,0.25439),(285,6505,0.20604,0.2324),(285,6515,0.20531,0.21044),(285,6525,0.20457,0.18851),(285,6535,0.20406,0.16659),(285,6545,0.20359,0.14462),(285,6555,0.20312,0.12255),(285,6565,0.20276,0.10047),(285,6575,0.20245,0.078403),(285,6585,0.20215,0.056377),(285,6595,0.17179,0.034351),(285,6605,0.10826,0.012325),(285,6615,0.044723,0.009708),(285,6625,5.9e-05,0.009585),(285,6635,6.1e-05,0.009463),(285,6645,6.2e-05,0.009423),(285,6655,6.3e-05,0.009419),(285,6665,6.4e-05,0.009414),(285,6675,6.5e-05,0.009409),(285,6685,6.6e-05,0.009403),(285,6695,6.7e-05,0.009397),(285,6705,6.9e-05,0.009392),(285,6715,7e-05,0.009386),(285,6725,7.1e-05,0.009381),(285,6735,7.2e-05,0.009375),(285,6745,7.3e-05,0.009369),(285,6755,7.3e-05,0.009364),(285,6765,7.4e-05,0.009358),(285,6775,7.5e-05,0.009352),(285,6785,7.6e-05,0.009346),(285,6795,7.7e-05,0.00934),(285,6805,7.7e-05,0.009335),(285,6815,7.8e-05,0.009328),(285,6825,7.9e-05,0.009322),(285,6835,8e-05,0.009316),(285,6845,8e-05,0.00931),(285,6855,8.1e-05,0.009304),(285,6865,8.2e-05,0.009298),(285,6875,8.2e-05,0.009292),(285,6885,8.3e-05,0.009286),(285,6895,8.3e-05,0.009279),(285,6905,8.4e-05,0.009273),(285,6915,8.5e-05,0.009267),(285,6925,8.5e-05,0.00926),(285,6935,8.6e-05,0.009254),(285,6945,8.6e-05,0.009248),(285,6955,8.7e-05,0.009241),(285,6965,8.7e-05,0.009235),(285,6975,8.8e-05,0.009228),(285,6985,8.8e-05,0.009222),(295,5,1.5e-05,3.6651),(295,15,4.6e-05,3.6651),(295,25,7.7e-05,3.6651),(295,35,0.000107,3.6651),(295,45,0.000138,3.6651),(295,55,0.000169,3.6651),(295,65,0.000199,3.6651),(295,75,0.00023,3.6651),(295,85,0.000261,3.665),(295,95,0.000292,3.665),(295,105,0.000323,3.665),(295,115,0.000354,3.665),(295,125,0.000385,3.6649),(295,135,0.000416,3.6649),(295,145,0.000447,3.6649),(295,155,0.000478,3.6649),(295,165,0.000509,3.6648),(295,175,0.000541,3.6648),(295,185,0.000572,3.6647),(295,195,0.000603,3.6647),(295,205,0.000635,3.6647),(295,215,0.000666,3.6646),(295,225,0.000698,3.6646),(295,235,0.000729,3.6645),(295,245,0.000761,3.6645),(295,255,0.000792,3.6644),(295,265,0.000824,3.6644),(295,275,0.000856,3.6643),(295,285,0.000887,3.6642),(295,295,0.000919,3.6642),(295,305,0.000951,3.6641),(295,315,0.000983,3.6641),(295,325,0.001016,3.664),(295,335,0.001048,3.6639),(295,345,0.00108,3.6638),(295,355,0.001113,3.6638),(295,365,0.001145,3.6637),(295,375,0.001178,3.6636),(295,385,0.001211,3.6635),(295,395,0.001244,3.6634),(295,405,0.001277,3.6634),(295,415,0.00131,3.6633),(295,425,0.001344,3.6632),(295,435,0.001377,3.6631),(295,445,0.001411,3.663),(295,455,0.001444,3.6629),(295,465,0.001478,3.6628),(295,475,0.001512,3.6627),(295,485,0.001546,3.6626),(295,495,0.00158,3.6625),(295,505,0.001614,3.6624),(295,515,0.001649,3.6622),(295,525,0.001683,3.6621),(295,535,0.001718,3.662),(295,545,0.001753,3.6619),(295,555,0.001788,3.6618),(295,565,0.001824,3.6616),(295,575,0.001859,3.6615),(295,585,0.001895,3.6614),(295,595,0.001931,3.6613),(295,605,0.001967,3.6611),(295,615,0.002003,3.661),(295,625,0.002039,3.6608),(295,635,0.002076,3.6607),(295,645,0.002112,3.6606),(295,655,0.002149,3.6604),(295,665,0.002186,3.6603),(295,675,0.002223,3.6601),(295,685,0.00226,3.66),(295,695,0.002298,3.6598),(295,705,0.002335,3.6596),(295,715,0.002374,3.6595),(295,725,0.002412,3.6593),(295,735,0.00245,3.6591),(295,745,0.002489,3.659),(295,755,0.002527,3.6588),(295,765,0.002566,3.6586),(295,775,0.002606,3.6584),(295,785,0.002645,3.6583),(295,795,0.002685,3.6581),(295,805,0.002725,3.6579),(295,815,0.002765,3.6577),(295,825,0.002805,3.6575),(295,835,0.002846,3.6573),(295,845,0.002886,3.6571),(295,855,0.002927,3.6569),(295,865,0.002968,3.6567),(295,875,0.00301,3.6565),(295,885,0.003051,3.6563),(295,895,0.003093,3.6561),(295,905,0.003136,3.6559),(295,915,0.003178,3.6557),(295,925,0.003221,3.6554),(295,935,0.003264,3.6552),(295,945,0.003307,3.655),(295,955,0.003351,3.6548),(295,965,0.003394,3.6545),(295,975,0.003438,3.6543),(295,985,0.003482,3.654),(295,995,0.003527,3.6538),(295,1005,0.003571,3.6536),(295,1015,0.003616,3.6533),(295,1025,0.003662,3.6531),(295,1035,0.003708,3.6528),(295,1045,0.003753,3.6525),(295,1055,0.003799,3.6523),(295,1065,0.003846,3.652),(295,1075,0.003893,3.6518),(295,1085,0.003939,3.6515),(295,1095,0.003987,3.6512),(295,1105,0.004034,3.6509),(295,1115,0.004082,3.6507),(295,1125,0.00413,3.6504),(295,1135,0.004178,3.6501),(295,1145,0.004227,3.6498),(295,1155,0.004276,3.6495),(295,1165,0.004324,3.6492),(295,1175,0.004374,3.6489),(295,1185,0.004424,3.6486),(295,1195,0.004474,3.6483),(295,1205,0.004523,3.648),(295,1215,0.004574,3.6477),(295,1225,0.004626,3.6474),(295,1235,0.004677,3.647),(295,1245,0.004728,3.6467),(295,1255,0.00478,3.6464),(295,1265,0.004833,3.646),(295,1275,0.004885,3.6457),(295,1285,0.004938,3.6454),(295,1295,0.004991,3.645),(295,1305,0.005045,3.6447),(295,1315,0.005098,3.6443),(295,1325,0.005152,3.644),(295,1335,0.005207,3.6436),(295,1345,0.005262,3.6433),(295,1355,0.005316,3.6429),(295,1365,0.005371,3.6425),(295,1375,0.005427,3.6421),(295,1385,0.005483,3.6418),(295,1395,0.005539,3.6414),(295,1405,0.005595,3.641),(295,1415,0.005652,3.6406),(295,1425,0.00571,3.6402),(295,1435,0.005767,3.6398),(295,1445,0.005824,3.6394),(295,1455,0.005883,3.639),(295,1465,0.005941,3.6386),(295,1475,0.006,3.6382),(295,1485,0.006058,3.6378),(295,1495,0.006118,3.6374),(295,1505,0.006178,3.6369),(295,1515,0.006238,3.6365),(295,1525,0.006298,3.6361),(295,1535,0.006359,3.6356),(295,1545,0.00642,3.6352),(295,1555,0.006481,3.6347),(295,1565,0.006542,3.6343),(295,1575,0.006605,3.6338),(295,1585,0.006667,3.6334),(295,1595,0.006729,3.6329),(295,1605,0.006792,3.6325),(295,1615,0.006855,3.632),(295,1625,0.006919,3.6315),(295,1635,0.006983,3.631),(295,1645,0.007046,3.6305),(295,1655,0.007111,3.6301),(295,1665,0.007176,3.6296),(295,1675,0.007241,3.6291),(295,1685,0.007306,3.6286),(295,1695,0.007372,3.628),(295,1705,0.007439,3.6275),(295,1715,0.007505,3.627),(295,1725,0.007571,3.6265),(295,1735,0.007639,3.626),(295,1745,0.007706,3.6254),(295,1755,0.007774,3.6249),(295,1765,0.007842,3.6244),(295,1775,0.00791,3.6238),(295,1785,0.007979,3.6233),(295,1795,0.008048,3.6227),(295,1805,0.008117,3.6222),(295,1815,0.008187,3.6216),(295,1825,0.008257,3.621),(295,1835,0.008327,3.6204),(295,1845,0.008398,3.6199),(295,1855,0.008469,3.6193),(295,1865,0.00854,3.6187),(295,1875,0.008612,3.6181),(295,1885,0.008683,3.6175),(295,1895,0.008756,3.6169),(295,1905,0.008828,3.6163),(295,1915,0.008901,3.6157),(295,1925,0.008974,3.6151),(295,1935,0.009047,3.6144),(295,1945,0.009121,3.6138),(295,1955,0.009194,3.6132),(295,1965,0.009269,3.6125),(295,1975,0.009343,3.6119),(295,1985,0.009418,3.6113),(295,1995,0.009493,3.6106),(295,2005,0.009569,3.6099),(295,2015,0.009645,3.6093),(295,2025,0.009722,3.6086),(295,2035,0.009798,3.6079),(295,2045,0.009875,3.6072),(295,2055,0.009953,3.6066),(295,2065,0.01003,3.6059),(295,2075,0.010108,3.6052),(295,2085,0.010186,3.6045),(295,2095,0.010266,3.6038),(295,2105,0.010345,3.6031),(295,2115,0.010424,3.6023),(295,2125,0.010504,3.6016),(295,2135,0.010584,3.6009),(295,2145,0.010665,3.6001),(295,2155,0.010746,3.5994),(295,2165,0.010827,3.5987),(295,2175,0.010909,3.5979),(295,2185,0.010991,3.5972),(295,2195,0.011073,3.5964),(295,2205,0.011156,3.5956),(295,2215,0.011239,3.5949),(295,2225,0.011323,3.5941),(295,2235,0.011406,3.5933),(295,2245,0.011491,3.5925),(295,2255,0.011576,3.5917),(295,2265,0.011661,3.5909),(295,2275,0.011746,3.5901),(295,2285,0.011832,3.5893),(295,2295,0.011919,3.5885),(295,2305,0.012006,3.5876),(295,2315,0.012093,3.5868),(295,2325,0.012181,3.586),(295,2335,0.01227,3.5851),(295,2345,0.012359,3.5843),(295,2355,0.012448,3.5834),(295,2365,0.012539,3.5826),(295,2375,0.01263,3.5817),(295,2385,0.012721,3.5808),(295,2395,0.012812,3.58),(295,2405,0.012905,3.5791),(295,2415,0.012999,3.5782),(295,2425,0.013092,3.5773),(295,2435,0.013185,3.5764),(295,2445,0.013281,3.5755),(295,2455,0.013377,3.5746),(295,2465,0.013474,3.5737),(295,2475,0.01357,3.5727),(295,2485,0.013669,3.5718),(295,2495,0.013768,3.5709),(295,2505,0.013867,3.5699),(295,2515,0.013967,3.569),(295,2525,0.01407,3.568),(295,2535,0.014172,3.5671),(295,2545,0.014275,3.5661),(295,2555,0.014378,3.5651),(295,2565,0.014485,3.5642),(295,2575,0.014592,3.5632),(295,2585,0.014699,3.5622),(295,2595,0.014807,3.5612),(295,2605,0.014918,3.5602),(295,2615,0.01503,3.5592),(295,2625,0.015142,3.5581),(295,2635,0.015254,3.5571),(295,2645,0.015371,3.5561),(295,2655,0.015489,3.5551),(295,2665,0.015606,3.554),(295,2675,0.015725,3.553),(295,2685,0.015849,3.5519),(295,2695,0.015972,3.5508),(295,2705,0.016096,3.5498),(295,2715,0.016222,3.5487),(295,2725,0.016353,3.5476),(295,2735,0.016485,3.5465),(295,2745,0.016617,3.5454),(295,2755,0.01675,3.5443),(295,2765,0.016891,3.5432),(295,2775,0.017031,3.5421),(295,2785,0.017171,3.541),(295,2795,0.017315,3.5398),(295,2805,0.017466,3.5387),(295,2815,0.017617,3.5375),(295,2825,0.017768,3.5364),(295,2835,0.017923,3.5352),(295,2845,0.018086,3.5341),(295,2855,0.01825,3.5329),(295,2865,0.018413,3.5317),(295,2875,0.018582,3.5305),(295,2885,0.018761,3.5293),(295,2895,0.018939,3.5281),(295,2905,0.019117,3.5269),(295,2915,0.019303,3.5256),(295,2925,0.019499,3.5244),(295,2935,0.019695,3.5232),(295,2945,0.019891,3.5219),(295,2955,0.020096,3.5207),(295,2965,0.020312,3.5194),(295,2975,0.020529,3.5181),(295,2985,0.020745,3.5168),(295,2995,0.020974,3.5156),(295,3005,0.021215,3.5143),(295,3015,0.021456,3.5129),(295,3025,0.021697,3.5116),(295,3035,0.021954,3.5103),(295,3045,0.022224,3.509),(295,3055,0.022494,3.5076),(295,3065,0.022765,3.5062),(295,3075,0.023055,3.5049),(295,3085,0.02336,3.5035),(295,3095,0.023666,3.5021),(295,3105,0.023971,3.5007),(295,3115,0.024302,3.4993),(295,3125,0.024649,3.4979),(295,3135,0.024996,3.4965),(295,3145,0.025342,3.495),(295,3155,0.025722,3.4936),(295,3165,0.026119,3.4921),(295,3175,0.026515,3.4906),(295,3185,0.026912,3.4891),(295,3195,0.02735,3.4876),(295,3205,0.027807,3.4861),(295,3215,0.028263,3.4846),(295,3225,0.02872,3.4831),(295,3235,0.029228,3.4815),(295,3245,0.029756,3.48),(295,3255,0.030284,3.4784),(295,3265,0.030812,3.4768),(295,3275,0.031406,3.4752),(295,3285,0.032021,3.4736),(295,3295,0.032635,3.472),(295,3305,0.033249,3.4703),(295,3315,0.033948,3.4686),(295,3325,0.034666,3.467),(295,3335,0.035385,3.4653),(295,3345,0.036103,3.4636),(295,3355,0.036928,3.4619),(295,3365,0.037772,3.4601),(295,3375,0.038617,3.4584),(295,3385,0.039461,3.4566),(295,3395,0.040441,3.4548),(295,3405,0.041438,3.453),(295,3415,0.042436,3.4512),(295,3425,0.043433,3.4494),(295,3435,0.044603,3.4475),(295,3445,0.045787,3.4457),(295,3455,0.046971,3.4438),(295,3465,0.048155,3.4419),(295,3475,0.049559,3.44),(295,3485,0.050971,3.4381),(295,3495,0.052383,3.4361),(295,3505,0.053797,3.4342),(295,3515,0.05549,3.4322),(295,3525,0.057183,3.4302),(295,3535,0.058876,3.4282),(295,3545,0.060584,3.4262),(295,3555,0.062624,3.4242),(295,3565,0.064664,3.4221),(295,3575,0.066704,3.4201),(295,3585,0.068781,3.418),(295,3595,0.071252,3.416),(295,3605,0.073724,3.4139),(295,3615,0.076195,3.4118),(295,3625,0.078734,3.4098),(295,3635,0.081747,3.4077),(295,3645,0.084759,3.4056),(295,3655,0.087772,3.4036),(295,3665,0.090897,3.4016),(295,3675,0.094595,3.3995),(295,3685,0.098292,3.3975),(295,3695,0.10199,3.3956),(295,3705,0.10587,3.3937),(295,3715,0.11044,3.3918),(295,3725,0.11502,3.3899),(295,3735,0.11959,3.3882),(295,3745,0.12445,3.3866),(295,3755,0.13017,3.3849),(295,3765,0.13589,3.3834),(295,3775,0.14161,3.3822),(295,3785,0.14777,3.381),(295,3795,0.15502,3.3798),(295,3805,0.16228,3.3789),(295,3815,0.16954,3.3786),(295,3825,0.17748,3.3783),(295,3835,0.18687,3.378),(295,3845,0.19627,3.3784),(295,3855,0.20566,3.3798),(295,3865,0.2162,3.3813),(295,3875,0.22877,3.3828),(295,3885,0.24134,3.3857),(295,3895,0.25391,3.3908),(295,3905,0.30693,3.396),(295,3915,0.42036,3.4011),(295,3925,0.53379,3.4082),(295,3935,0.64723,3.4178),(295,3945,0.70832,3.4274),(295,3955,0.70297,3.4371),(295,3965,0.69762,3.4413),(295,3975,0.69227,3.4392),(295,3985,0.65964,3.4371),(295,3995,0.59748,3.435),(295,4005,0.53532,3.4317),(295,4015,0.47316,3.4273),(295,4025,0.42715,3.4229),(295,4035,0.38271,3.4166),(295,4045,0.33828,3.4067),(295,4055,0.29961,3.3967),(295,4065,0.26304,3.387),(295,4075,0.22648,3.3784),(295,4085,0.18682,3.3698),(295,4095,0.14468,3.3612),(295,4105,0.10255,3.3494),(295,4115,0.05695,3.3374),(295,4125,0.005616,3.3255),(295,4135,-0.045717,3.3101),(295,4145,-0.066398,3.2938),(295,4155,0.03708,3.2775),(295,4165,0.14056,3.2746),(295,4175,0.24181,3.2803),(295,4185,0.23285,3.286),(295,4195,0.22388,3.2892),(295,4205,0.21492,3.2891),(295,4215,0.15221,3.289),(295,4225,0.079399,3.2878),(295,4235,0.006583,3.283),(295,4245,-0.039444,3.2782),(295,4255,-0.071879,3.2731),(295,4265,-0.10431,3.2639),(295,4275,-0.10844,3.2548),(295,4285,-0.082532,3.2457),(295,4295,-0.056622,3.2415),(295,4305,0.032578,3.2379),(295,4315,0.26469,3.2342),(295,4325,0.4968,3.2434),(295,4335,0.68657,3.2575),(295,4345,0.58971,3.2716),(295,4355,0.49285,3.278),(295,4365,0.39599,3.2779),(295,4375,0.27301,3.2777),(295,4385,0.14866,3.2736),(295,4395,0.024317,3.2624),(295,4405,-0.060986,3.2512),(295,4415,-0.13478,3.24),(295,4425,-0.20857,3.2294),(295,4435,-0.10877,3.2187),(295,4445,0.10964,3.2081),(295,4455,0.32806,3.215),(295,4465,0.45632,3.2219),(295,4475,0.45794,3.2289),(295,4485,0.45955,3.2321),(295,4495,0.42584,3.2345),(295,4505,0.27879,3.237),(295,4515,0.13173,3.2318),(295,4525,-0.014371,3.2224),(295,4535,-0.14531,3.2131),(295,4545,-0.27624,3.1959),(295,4555,-0.40718,3.1697),(295,4565,-0.26339,3.1436),(295,4575,-0.082556,3.1274),(295,4585,0.098274,3.1355),(295,4595,0.20871,3.1435),(295,4605,0.28941,3.1518),(295,4615,0.37011,3.1616),(295,4625,0.3685,3.1715),(295,4635,0.29233,3.1814),(295,4645,0.21616,3.1793),(295,4655,0.098938,3.1762),(295,4665,-0.095709,3.1732),(295,4675,-0.29036,3.1619),(295,4685,-0.4497,3.1478),(295,4695,-0.43458,3.1337),(295,4705,-0.41947,3.1234),(295,4715,-0.40435,3.1157),(295,4725,-0.068055,3.1081),(295,4735,0.27146,3.1104),(295,4745,0.61097,3.1277),(295,4755,0.59096,3.145),(295,4765,0.48764,3.1593),(295,4775,0.38432,3.1632),(295,4785,0.21003,3.167),(295,4795,-0.005303,3.1698),(295,4805,-0.22063,3.1488),(295,4815,-0.39155,3.1278),(295,4825,-0.50936,3.1069),(295,4835,-0.62717,3.0782),(295,4845,-0.6085,3.0484),(295,4855,-0.23403,3.0185),(295,4865,0.14045,3.0135),(295,4875,0.49049,3.0197),(295,4885,0.6182,3.0259),(295,4895,0.7459,3.034),(295,4905,0.87361,3.0439),(295,4915,0.66488,3.0538),(295,4925,0.42721,3.0592),(295,4935,0.18954,3.0553),(295,4945,-0.012347,3.0515),(295,4955,-0.20182,3.0451),(295,4965,-0.3913,3.0243),(295,4975,-0.41888,3.0036),(295,4985,-0.3215,2.9829),(295,4995,-0.22411,2.967),(295,5005,-0.098754,2.9512),(295,5015,0.071064,2.9355),(295,5025,0.24088,2.9404),(295,5035,0.34186,2.9507),(295,5045,0.18058,2.9609),(295,5055,0.019305,2.9583),(295,5065,-0.14356,2.9477),(295,5075,-0.35835,2.9371),(295,5085,-0.57314,2.9163),(295,5095,-0.78793,2.8824),(295,5105,-0.81912,2.8484),(295,5115,-0.81827,2.8167),(295,5125,-0.81743,2.791),(295,5135,-0.51392,2.7653),(295,5145,-0.063523,2.7425),(295,5155,0.38687,2.7511),(295,5165,0.65155,2.7597),(295,5175,0.72683,2.7682),(295,5185,0.8021,2.7773),(295,5195,0.78523,2.7863),(295,5205,0.56971,2.7954),(295,5215,0.35419,2.7848),(295,5225,0.13806,2.7669),(295,5235,-0.081916,2.7489),(295,5245,-0.30189,2.7142),(295,5255,-0.52186,2.6657),(295,5265,-0.35742,2.6172),(295,5275,-0.17713,2.5893),(295,5285,0.003156,2.5961),(295,5295,0.19401,2.6029),(295,5305,0.38781,2.6132),(295,5315,0.58161,2.6377),(295,5325,0.55772,2.6622),(295,5335,0.39108,2.6862),(295,5345,0.22444,2.6736),(295,5355,0.018227,2.6611),(295,5365,-0.24138,2.6485),(295,5375,-0.50099,2.5986),(295,5385,-0.67594,2.5415),(295,5395,-0.59351,2.4843),(295,5405,-0.51109,2.4496),(295,5415,-0.4041,2.4265),(295,5425,0.032813,2.4034),(295,5435,0.46972,2.395),(295,5445,0.90663,2.4024),(295,5455,0.98334,2.4099),(295,5465,1.016,2.4159),(295,5475,1.0487,2.4185),(295,5485,0.99134,2.4211),(295,5495,0.89773,2.4231),(295,5505,0.80413,2.4213),(295,5515,0.72888,2.4195),(295,5525,0.6696,2.4176),(295,5535,0.61033,2.4106),(295,5545,0.55852,2.4033),(295,5555,0.52018,2.396),(295,5565,0.48184,2.3859),(295,5575,0.44575,2.3749),(295,5585,0.42002,2.364),(295,5595,0.39429,2.3515),(295,5605,0.36857,2.338),(295,5615,0.35101,2.3244),(295,5625,0.33345,2.31),(295,5635,0.3159,2.2943),(295,5645,0.30281,2.2786),(295,5655,0.2907,2.2626),(295,5665,0.27858,2.2453),(295,5675,0.26869,2.228),(295,5685,0.26003,2.2106),(295,5695,0.25137,2.1916),(295,5705,0.24359,2.1726),(295,5715,0.23682,2.1536),(295,5725,0.23006,2.133),(295,5735,0.22342,2.1121),(295,5745,0.2171,2.0913),(295,5755,0.21078,2.069),(295,5765,0.20436,2.0462),(295,5775,0.19722,2.0234),(295,5785,0.19009,1.9992),(295,5795,0.18295,1.9739),(295,5805,0.17412,1.9486),(295,5815,0.16517,1.9224),(295,5825,0.15622,1.8946),(295,5835,0.14511,1.8667),(295,5845,0.13328,1.8383),(295,5855,0.12146,1.8071),(295,5865,0.10703,1.7759),(295,5875,0.090658,1.7448),(295,5885,0.074289,1.7101),(295,5895,0.055143,1.6754),(295,5905,0.031762,1.6407),(295,5915,0.00838,1.6018),(295,5925,-0.017518,1.562),(295,5935,-0.052453,1.5222),(295,5945,-0.087387,1.4783),(295,5955,-0.12323,1.432),(295,5965,-0.18099,1.3858),(295,5975,-0.23876,1.3346),(295,5985,-0.29653,1.2775),(295,5995,-0.24382,1.2204),(295,6005,-0.17334,1.1762),(295,6015,-0.10286,1.1664),(295,6025,0.028043,1.1565),(295,6035,0.18698,1.1475),(295,6045,0.34591,1.1454),(295,6055,0.43128,1.1433),(295,6065,0.44453,1.1412),(295,6075,0.45777,1.1295),(295,6085,0.4602,1.117),(295,6095,0.44034,1.1044),(295,6105,0.42048,1.0894),(295,6115,0.4015,1.0735),(295,6125,0.38761,1.0576),(295,6135,0.37372,1.0404),(295,6145,0.35983,1.0221),(295,6155,0.34937,1.0039),(295,6165,0.33901,0.98495),(295,6175,0.32866,0.96494),(295,6185,0.32025,0.94493),(295,6195,0.31236,0.92479),(295,6205,0.30446,0.90412),(295,6215,0.29764,0.88344),(295,6225,0.29149,0.86275),(295,6235,0.28535,0.84147),(295,6245,0.27977,0.82018),(295,6255,0.27492,0.7989),(295,6265,0.27007,0.77721),(295,6275,0.26547,0.75545),(295,6285,0.2616,0.73369),(295,6295,0.25772,0.71175),(295,6305,0.2539,0.68971),(295,6315,0.25078,0.66768),(295,6325,0.24765,0.64556),(295,6335,0.24453,0.62334),(295,6345,0.24199,0.60113),(295,6355,0.23951,0.57886),(295,6365,0.23703,0.55646),(295,6375,0.23491,0.53407),(295,6385,0.23293,0.51166),(295,6395,0.23095,0.48921),(295,6405,0.22919,0.46676),(295,6415,0.22761,0.44431),(295,6425,0.22604,0.4217),(295,6435,0.22459,0.39909),(295,6445,0.22336,0.37647),(295,6455,0.22213,0.35383),(295,6465,0.22094,0.33118),(295,6475,0.21993,0.30853),(295,6485,0.21891,0.28583),(295,6495,0.2179,0.26309),(295,6505,0.21716,0.24035),(295,6515,0.21641,0.21763),(295,6525,0.21566,0.19495),(295,6535,0.2151,0.17226),(295,6545,0.21458,0.14954),(295,6555,0.21406,0.12667),(295,6565,0.21362,0.1038),(295,6575,0.21323,0.080938),(295,6585,0.21284,0.05807),(295,6595,0.18085,0.035202),(295,6605,0.11397,0.012334),(295,6615,0.04708,0.009646),(295,6625,6.1e-05,0.009551),(295,6635,6.3e-05,0.009456),(295,6645,6.4e-05,0.009425),(295,6655,6.5e-05,0.00942),(295,6665,6.7e-05,0.009415),(295,6675,6.8e-05,0.00941),(295,6685,6.9e-05,0.009404),(295,6695,7e-05,0.009399),(295,6705,7.1e-05,0.009393),(295,6715,7.2e-05,0.009387),(295,6725,7.3e-05,0.009382),(295,6735,7.4e-05,0.009376),(295,6745,7.5e-05,0.00937),(295,6755,7.6e-05,0.009365),(295,6765,7.7e-05,0.009359),(295,6775,7.8e-05,0.009353),(295,6785,7.9e-05,0.009347),(295,6795,8e-05,0.009341),(295,6805,8e-05,0.009335),(295,6815,8.1e-05,0.009329),(295,6825,8.2e-05,0.009323),(295,6835,8.2e-05,0.009317),(295,6845,8.3e-05,0.009311),(295,6855,8.4e-05,0.009305),(295,6865,8.5e-05,0.009299),(295,6875,8.5e-05,0.009293),(295,6885,8.6e-05,0.009286),(295,6895,8.6e-05,0.00928),(295,6905,8.7e-05,0.009274),(295,6915,8.8e-05,0.009267),(295,6925,8.8e-05,0.009261),(295,6935,8.9e-05,0.009255),(295,6945,8.9e-05,0.009248),(295,6955,9e-05,0.009242),(295,6965,9e-05,0.009236),(295,6975,9.1e-05,0.009229),(295,6985,9.1e-05,0.009222),(305,5,1.6e-05,3.6651),(305,15,4.8e-05,3.6651),(305,25,7.9e-05,3.6651),(305,35,0.000111,3.6651),(305,45,0.000143,3.6651),(305,55,0.000174,3.6651),(305,65,0.000206,3.6651),(305,75,0.000238,3.6651),(305,85,0.00027,3.6651),(305,95,0.000301,3.665),(305,105,0.000333,3.665),(305,115,0.000365,3.665),(305,125,0.000398,3.665),(305,135,0.00043,3.665),(305,145,0.000462,3.6649),(305,155,0.000494,3.6649),(305,165,0.000526,3.6649),(305,175,0.000558,3.6648),(305,185,0.000591,3.6648),(305,195,0.000623,3.6647),(305,205,0.000656,3.6647),(305,215,0.000688,3.6647),(305,225,0.000721,3.6646),(305,235,0.000753,3.6646),(305,245,0.000786,3.6645),(305,255,0.000819,3.6645),(305,265,0.000851,3.6644),(305,275,0.000884,3.6643),(305,285,0.000917,3.6643),(305,295,0.00095,3.6642),(305,305,0.000983,3.6642),(305,315,0.001016,3.6641),(305,325,0.001049,3.664),(305,335,0.001082,3.6639),(305,345,0.001116,3.6639),(305,355,0.00115,3.6638),(305,365,0.001183,3.6637),(305,375,0.001217,3.6636),(305,385,0.001251,3.6636),(305,395,0.001285,3.6635),(305,405,0.001319,3.6634),(305,415,0.001354,3.6633),(305,425,0.001388,3.6632),(305,435,0.001423,3.6631),(305,445,0.001457,3.663),(305,455,0.001492,3.6629),(305,465,0.001527,3.6628),(305,475,0.001562,3.6627),(305,485,0.001597,3.6626),(305,495,0.001632,3.6625),(305,505,0.001668,3.6624),(305,515,0.001703,3.6623),(305,525,0.001739,3.6622),(305,535,0.001775,3.662),(305,545,0.001811,3.6619),(305,555,0.001848,3.6618),(305,565,0.001884,3.6617),(305,575,0.00192,3.6615),(305,585,0.001958,3.6614),(305,595,0.001995,3.6613),(305,605,0.002032,3.6612),(305,615,0.002069,3.661),(305,625,0.002107,3.6609),(305,635,0.002145,3.6607),(305,645,0.002182,3.6606),(305,655,0.00222,3.6604),(305,665,0.002258,3.6603),(305,675,0.002297,3.6601),(305,685,0.002335,3.66),(305,695,0.002374,3.6598),(305,705,0.002413,3.6597),(305,715,0.002452,3.6595),(305,725,0.002492,3.6593),(305,735,0.002531,3.6592),(305,745,0.002571,3.659),(305,755,0.002612,3.6588),(305,765,0.002652,3.6587),(305,775,0.002692,3.6585),(305,785,0.002733,3.6583),(305,795,0.002774,3.6581),(305,805,0.002815,3.6579),(305,815,0.002857,3.6577),(305,825,0.002899,3.6576),(305,835,0.00294,3.6574),(305,845,0.002982,3.6572),(305,855,0.003024,3.657),(305,865,0.003067,3.6568),(305,875,0.00311,3.6565),(305,885,0.003153,3.6563),(305,895,0.003196,3.6561),(305,905,0.00324,3.6559),(305,915,0.003284,3.6557),(305,925,0.003328,3.6555),(305,935,0.003372,3.6552),(305,945,0.003417,3.655),(305,955,0.003462,3.6548),(305,965,0.003507,3.6546),(305,975,0.003553,3.6543),(305,985,0.003599,3.6541),(305,995,0.003644,3.6538),(305,1005,0.00369,3.6536),(305,1015,0.003737,3.6534),(305,1025,0.003784,3.6531),(305,1035,0.003831,3.6528),(305,1045,0.003878,3.6526),(305,1055,0.003926,3.6523),(305,1065,0.003974,3.6521),(305,1075,0.004022,3.6518),(305,1085,0.004071,3.6515),(305,1095,0.00412,3.6513),(305,1105,0.004169,3.651),(305,1115,0.004218,3.6507),(305,1125,0.004267,3.6504),(305,1135,0.004318,3.6501),(305,1145,0.004368,3.6498),(305,1155,0.004418,3.6495),(305,1165,0.004469,3.6492),(305,1175,0.00452,3.6489),(305,1185,0.004572,3.6486),(305,1195,0.004623,3.6483),(305,1205,0.004675,3.648),(305,1215,0.004727,3.6477),(305,1225,0.00478,3.6474),(305,1235,0.004833,3.6471),(305,1245,0.004886,3.6468),(305,1255,0.00494,3.6464),(305,1265,0.004994,3.6461),(305,1275,0.005048,3.6458),(305,1285,0.005102,3.6454),(305,1295,0.005158,3.6451),(305,1305,0.005213,3.6447),(305,1315,0.005269,3.6444),(305,1325,0.005324,3.644),(305,1335,0.00538,3.6437),(305,1345,0.005437,3.6433),(305,1355,0.005494,3.6429),(305,1365,0.005551,3.6426),(305,1375,0.005608,3.6422),(305,1385,0.005666,3.6418),(305,1395,0.005724,3.6414),(305,1405,0.005782,3.6411),(305,1415,0.005841,3.6407),(305,1425,0.005901,3.6403),(305,1435,0.00596,3.6399),(305,1445,0.006019,3.6395),(305,1455,0.006079,3.6391),(305,1465,0.00614,3.6387),(305,1475,0.006201,3.6383),(305,1485,0.006261,3.6378),(305,1495,0.006323,3.6374),(305,1505,0.006385,3.637),(305,1515,0.006447,3.6366),(305,1525,0.006509,3.6361),(305,1535,0.006572,3.6357),(305,1545,0.006635,3.6353),(305,1555,0.006698,3.6348),(305,1565,0.006761,3.6344),(305,1575,0.006826,3.6339),(305,1585,0.00689,3.6335),(305,1595,0.006955,3.633),(305,1605,0.007019,3.6325),(305,1615,0.007085,3.632),(305,1625,0.007151,3.6316),(305,1635,0.007216,3.6311),(305,1645,0.007282,3.6306),(305,1655,0.00735,3.6301),(305,1665,0.007417,3.6296),(305,1675,0.007484,3.6291),(305,1685,0.007551,3.6286),(305,1695,0.00762,3.6281),(305,1705,0.007688,3.6276),(305,1715,0.007756,3.6271),(305,1725,0.007825,3.6266),(305,1735,0.007895,3.626),(305,1745,0.007965,3.6255),(305,1755,0.008034,3.625),(305,1765,0.008105,3.6244),(305,1775,0.008176,3.6239),(305,1785,0.008247,3.6233),(305,1795,0.008318,3.6228),(305,1805,0.008389,3.6222),(305,1815,0.008462,3.6217),(305,1825,0.008534,3.6211),(305,1835,0.008607,3.6205),(305,1845,0.008679,3.6199),(305,1855,0.008753,3.6194),(305,1865,0.008827,3.6188),(305,1875,0.008901,3.6182),(305,1885,0.008975,3.6176),(305,1895,0.00905,3.617),(305,1905,0.009125,3.6164),(305,1915,0.009199,3.6158),(305,1925,0.009275,3.6151),(305,1935,0.009351,3.6145),(305,1945,0.009427,3.6139),(305,1955,0.009503,3.6133),(305,1965,0.00958,3.6126),(305,1975,0.009657,3.612),(305,1985,0.009735,3.6113),(305,1995,0.009813,3.6107),(305,2005,0.009891,3.61),(305,2015,0.009969,3.6093),(305,2025,0.010048,3.6087),(305,2035,0.010127,3.608),(305,2045,0.010207,3.6073),(305,2055,0.010287,3.6066),(305,2065,0.010367,3.6059),(305,2075,0.010447,3.6052),(305,2085,0.010529,3.6045),(305,2095,0.01061,3.6038),(305,2105,0.010692,3.6031),(305,2115,0.010774,3.6024),(305,2125,0.010856,3.6017),(305,2135,0.01094,3.601),(305,2145,0.011023,3.6002),(305,2155,0.011106,3.5995),(305,2165,0.01119,3.5987),(305,2175,0.011275,3.598),(305,2185,0.01136,3.5972),(305,2195,0.011444,3.5965),(305,2205,0.01153,3.5957),(305,2215,0.011616,3.5949),(305,2225,0.011702,3.5942),(305,2235,0.011789,3.5934),(305,2245,0.011876,3.5926),(305,2255,0.011964,3.5918),(305,2265,0.012052,3.591),(305,2275,0.012139,3.5902),(305,2285,0.012229,3.5894),(305,2295,0.012318,3.5886),(305,2305,0.012408,3.5877),(305,2315,0.012498,3.5869),(305,2325,0.012589,3.5861),(305,2335,0.012681,3.5852),(305,2345,0.012773,3.5844),(305,2355,0.012864,3.5835),(305,2365,0.012958,3.5827),(305,2375,0.013052,3.5818),(305,2385,0.013146,3.5809),(305,2395,0.01324,3.5801),(305,2405,0.013336,3.5792),(305,2415,0.013433,3.5783),(305,2425,0.013529,3.5774),(305,2435,0.013625,3.5765),(305,2445,0.013724,3.5756),(305,2455,0.013823,3.5747),(305,2465,0.013922,3.5738),(305,2475,0.014022,3.5728),(305,2485,0.014124,3.5719),(305,2495,0.014226,3.571),(305,2505,0.014328,3.57),(305,2515,0.014431,3.5691),(305,2525,0.014537,3.5681),(305,2535,0.014643,3.5672),(305,2545,0.014749,3.5662),(305,2555,0.014855,3.5652),(305,2565,0.014965,3.5643),(305,2575,0.015075,3.5633),(305,2585,0.015185,3.5623),(305,2595,0.015296,3.5613),(305,2605,0.015411,3.5603),(305,2615,0.015526,3.5593),(305,2625,0.01564,3.5583),(305,2635,0.015756,3.5572),(305,2645,0.015877,3.5562),(305,2655,0.015997,3.5552),(305,2665,0.016118,3.5541),(305,2675,0.01624,3.5531),(305,2685,0.016367,3.552),(305,2695,0.016494,3.551),(305,2705,0.016622,3.5499),(305,2715,0.016751,3.5488),(305,2725,0.016886,3.5477),(305,2735,0.017021,3.5467),(305,2745,0.017156,3.5456),(305,2755,0.017293,3.5444),(305,2765,0.017437,3.5433),(305,2775,0.017581,3.5422),(305,2785,0.017725,3.5411),(305,2795,0.017872,3.54),(305,2805,0.018027,3.5388),(305,2815,0.018182,3.5377),(305,2825,0.018336,3.5365),(305,2835,0.018495,3.5354),(305,2845,0.018663,3.5342),(305,2855,0.01883,3.533),(305,2865,0.018998,3.5319),(305,2875,0.019171,3.5307),(305,2885,0.019353,3.5295),(305,2895,0.019535,3.5283),(305,2905,0.019718,3.5271),(305,2915,0.019908,3.5258),(305,2925,0.020108,3.5246),(305,2935,0.020308,3.5234),(305,2945,0.020508,3.5221),(305,2955,0.020717,3.5209),(305,2965,0.020938,3.5196),(305,2975,0.021159,3.5184),(305,2985,0.02138,3.5171),(305,2995,0.021614,3.5158),(305,3005,0.02186,3.5145),(305,3015,0.022105,3.5132),(305,3025,0.022351,3.5119),(305,3035,0.022613,3.5106),(305,3045,0.022888,3.5092),(305,3055,0.023163,3.5079),(305,3065,0.023439,3.5065),(305,3075,0.023734,3.5052),(305,3085,0.024045,3.5038),(305,3095,0.024355,3.5024),(305,3105,0.024666,3.501),(305,3115,0.025002,3.4996),(305,3125,0.025355,3.4982),(305,3135,0.025707,3.4968),(305,3145,0.02606,3.4954),(305,3155,0.026444,3.4939),(305,3165,0.026847,3.4925),(305,3175,0.02725,3.491),(305,3185,0.027652,3.4896),(305,3195,0.028096,3.4881),(305,3205,0.028559,3.4866),(305,3215,0.029021,3.4851),(305,3225,0.029484,3.4836),(305,3235,0.029998,3.482),(305,3245,0.030533,3.4805),(305,3255,0.031067,3.4789),(305,3265,0.031601,3.4774),(305,3275,0.032202,3.4758),(305,3285,0.032822,3.4742),(305,3295,0.033443,3.4726),(305,3305,0.034064,3.471),(305,3315,0.034768,3.4693),(305,3325,0.035493,3.4677),(305,3335,0.036217,3.466),(305,3345,0.036942,3.4643),(305,3355,0.037773,3.4627),(305,3365,0.038623,3.461),(305,3375,0.039473,3.4593),(305,3385,0.040323,3.4575),(305,3395,0.041308,3.4558),(305,3405,0.04231,3.454),(305,3415,0.043312,3.4523),(305,3425,0.044315,3.4505),(305,3435,0.045488,3.4487),(305,3445,0.046675,3.4469),(305,3455,0.047862,3.445),(305,3465,0.049049,3.4432),(305,3475,0.050454,3.4413),(305,3485,0.051867,3.4395),(305,3495,0.05328,3.4376),(305,3505,0.054694,3.4357),(305,3515,0.056383,3.4338),(305,3525,0.058073,3.4319),(305,3535,0.059762,3.43),(305,3545,0.061467,3.4281),(305,3555,0.063496,3.4261),(305,3565,0.065526,3.4242),(305,3575,0.067555,3.4222),(305,3585,0.06962,3.4203),(305,3595,0.072071,3.4183),(305,3605,0.074522,3.4164),(305,3615,0.076972,3.4145),(305,3625,0.079488,3.4125),(305,3635,0.082463,3.4106),(305,3645,0.085438,3.4087),(305,3655,0.088413,3.4068),(305,3665,0.091496,3.405),(305,3675,0.095129,3.4031),(305,3685,0.098763,3.4013),(305,3695,0.1024,3.3996),(305,3705,0.1062,3.3979),(305,3715,0.11067,3.3962),(305,3725,0.11514,3.3946),(305,3735,0.11961,3.3932),(305,3745,0.12434,3.3918),(305,3755,0.12988,3.3904),(305,3765,0.13542,3.3892),(305,3775,0.14096,3.3884),(305,3785,0.1469,3.3876),(305,3795,0.15385,3.3868),(305,3805,0.16079,3.3864),(305,3815,0.16773,3.3866),(305,3825,0.17528,3.3869),(305,3835,0.1841,3.3872),(305,3845,0.19292,3.3881),(305,3855,0.20174,3.3904),(305,3865,0.21149,3.3928),(305,3875,0.22289,3.3951),(305,3885,0.23428,3.399),(305,3895,0.24568,3.4055),(305,3905,0.29589,3.4121),(305,3915,0.4041,3.4186),(305,3925,0.5123,3.4306),(305,3935,0.6205,3.45),(305,3945,0.68082,3.4695),(305,3955,0.68035,3.4889),(305,3965,0.67987,3.5004),(305,3975,0.67939,3.5027),(305,3985,0.65035,3.5049),(305,3995,0.59037,3.5072),(305,4005,0.5304,3.5069),(305,4015,0.47042,3.5039),(305,4025,0.42658,3.501),(305,4035,0.38432,3.4961),(305,4045,0.34206,3.4872),(305,4055,0.30409,3.4783),(305,4065,0.26769,3.4694),(305,4075,0.23129,3.461),(305,4085,0.193,3.4527),(305,4095,0.1532,3.4443),(305,4105,0.1134,3.4305),(305,4115,0.070978,3.4166),(305,4125,0.024212,3.4027),(305,4135,-0.022554,3.381),(305,4145,-0.042485,3.3572),(305,4155,0.046284,3.3335),(305,4165,0.13505,3.3325),(305,4175,0.22197,3.3462),(305,4185,0.21695,3.3599),(305,4195,0.21193,3.369),(305,4205,0.20691,3.372),(305,4215,0.14885,3.375),(305,4225,0.080814,3.3754),(305,4235,0.012777,3.3677),(305,4245,-0.029578,3.3601),(305,4255,-0.058901,3.3519),(305,4265,-0.088224,3.3369),(305,4275,-0.092059,3.322),(305,4285,-0.068846,3.307),(305,4295,-0.045633,3.299),(305,4305,0.036985,3.2919),(305,4315,0.25374,3.2848),(305,4325,0.4705,3.3031),(305,4335,0.64809,3.3314),(305,4345,0.56053,3.3596),(305,4355,0.47297,3.3752),(305,4365,0.38541,3.3798),(305,4375,0.27095,3.3845),(305,4385,0.15508,3.3817),(305,4395,0.039223,3.3657),(305,4405,-0.041335,3.3498),(305,4415,-0.11148,3.3327),(305,4425,-0.18163,3.3107),(305,4435,-0.090929,3.2887),(305,4445,0.10969,3.2669),(305,4455,0.31031,3.286),(305,4465,0.42972,3.3051),(305,4475,0.43505,3.3243),(305,4485,0.44038,3.3352),(305,4495,0.41168,3.3443),(305,4505,0.27383,3.3535),(305,4515,0.13598,3.3482),(305,4525,-0.000826,3.335),(305,4535,-0.12113,3.3217),(305,4545,-0.24143,3.2959),(305,4555,-0.36173,3.2557),(305,4565,-0.23493,3.2155),(305,4575,-0.074822,3.1914),(305,4585,0.08529,3.2061),(305,4595,0.18802,3.2208),(305,4605,0.2665,3.2359),(305,4615,0.34498,3.255),(305,4625,0.34594,3.274),(305,4635,0.27671,3.2931),(305,4645,0.20747,3.2943),(305,4655,0.098461,3.2943),(305,4665,-0.085557,3.2944),(305,4675,-0.26957,3.2752),(305,4685,-0.42018,3.25),(305,4695,-0.40566,3.2247),(305,4705,-0.39114,3.2023),(305,4715,-0.37662,3.1819),(305,4725,-0.06368,3.1615),(305,4735,0.25225,3.163),(305,4745,0.56818,3.197),(305,4755,0.55107,3.2309),(305,4765,0.45679,3.2596),(305,4775,0.3625,3.2698),(305,4785,0.20108,3.28),(305,4795,0.000855,3.2884),(305,4805,-0.19938,3.2594),(305,4815,-0.35798,3.2304),(305,4825,-0.46682,3.2014),(305,4835,-0.57565,3.1551),(305,4845,-0.55794,3.1062),(305,4855,-0.21034,3.0573),(305,4865,0.13726,3.0546),(305,4875,0.46265,3.0729),(305,4885,0.58602,3.0912),(305,4895,0.70938,3.1134),(305,4905,0.83274,3.1392),(305,4915,0.63467,3.1651),(305,4925,0.40894,3.1816),(305,4935,0.18322,3.1793),(305,4945,-0.005317,3.177),(305,4955,-0.18097,3.1697),(305,4965,-0.35662,3.1351),(305,4975,-0.38015,3.1006),(305,4985,-0.28626,3.066),(305,4995,-0.19238,3.0415),(305,5005,-0.077226,3.0172),(305,5015,0.071733,2.9929),(305,5025,0.22069,3.0071),(305,5035,0.30754,3.0311),(305,5045,0.15777,3.055),(305,5055,0.00799,3.0594),(305,5065,-0.14328,3.0518),(305,5075,-0.34331,3.0441),(305,5085,-0.54333,3.0196),(305,5095,-0.74336,2.9736),(305,5105,-0.77096,2.9277),(305,5115,-0.76849,2.8823),(305,5125,-0.76601,2.8383),(305,5135,-0.48045,2.7943),(305,5145,-0.057504,2.756),(305,5155,0.36544,2.7791),(305,5165,0.61549,2.8023),(305,5175,0.6892,2.8255),(305,5185,0.76291,2.8485),(305,5195,0.75036,2.8714),(305,5205,0.55184,2.8944),(305,5215,0.35331,2.8851),(305,5225,0.15464,2.8638),(305,5235,-0.044915,2.8425),(305,5245,-0.24447,2.793),(305,5255,-0.44403,2.7203),(305,5265,-0.30533,2.6476),(305,5275,-0.15269,2.605),(305,5285,-4.7e-05,2.6133),(305,5295,0.17135,2.6216),(305,5305,0.34798,2.6372),(305,5315,0.5246,2.6835),(305,5325,0.5053,2.7297),(305,5335,0.35752,2.7752),(305,5345,0.20975,2.7683),(305,5355,0.024725,2.7615),(305,5365,-0.21053,2.7547),(305,5375,-0.44579,2.6924),(305,5385,-0.60442,2.6194),(305,5395,-0.5301,2.5463),(305,5405,-0.45579,2.4951),(305,5415,-0.35814,2.4552),(305,5425,0.052884,2.4154),(305,5435,0.46391,2.405),(305,5445,0.87493,2.4264),(305,5455,0.95193,2.4479),(305,5465,0.98811,2.4663),(305,5475,1.0243,2.4775),(305,5485,0.97115,2.4888),(305,5495,0.88203,2.4987),(305,5505,0.79292,2.4995),(305,5515,0.72105,2.5004),(305,5525,0.66418,2.5012),(305,5535,0.60732,2.4953),(305,5545,0.5575,2.4891),(305,5555,0.52039,2.4828),(305,5565,0.48329,2.4736),(305,5575,0.44833,2.4634),(305,5585,0.42326,2.4533),(305,5595,0.39818,2.4418),(305,5605,0.3731,2.4292),(305,5615,0.35589,2.4167),(305,5625,0.33868,2.4033),(305,5635,0.32147,2.3887),(305,5645,0.30864,2.3741),(305,5655,0.29675,2.3592),(305,5665,0.28486,2.3431),(305,5675,0.27519,2.3271),(305,5685,0.26674,2.3109),(305,5695,0.25829,2.2933),(305,5705,0.25074,2.2756),(305,5715,0.24424,2.258),(305,5725,0.23774,2.2387),(305,5735,0.2314,2.2192),(305,5745,0.22545,2.1998),(305,5755,0.2195,2.1788),(305,5765,0.21348,2.1573),(305,5775,0.20688,2.1358),(305,5785,0.20029,2.1128),(305,5795,0.19369,2.0885),(305,5805,0.18556,2.0642),(305,5815,0.17732,2.0389),(305,5825,0.16908,2.0116),(305,5835,0.15883,1.9844),(305,5845,0.14791,1.9565),(305,5855,0.13699,1.9253),(305,5865,0.12369,1.8941),(305,5875,0.10863,1.863),(305,5885,0.093571,1.8274),(305,5895,0.076023,1.7917),(305,5905,0.054681,1.756),(305,5915,0.03334,1.7147),(305,5925,0.009878,1.6721),(305,5935,-0.021199,1.6294),(305,5945,-0.052276,1.5802),(305,5955,-0.084035,1.527),(305,5965,-0.13235,1.4738),(305,5975,-0.18066,1.4101),(305,5985,-0.22898,1.3336),(305,5995,-0.18853,1.2572),(305,6005,-0.1338,1.1969),(305,6015,-0.079068,1.18),(305,6025,0.039911,1.1631),(305,6035,0.18869,1.1481),(305,6045,0.33747,1.1513),(305,6055,0.41959,1.1544),(305,6065,0.43635,1.1576),(305,6075,0.45311,1.1487),(305,6085,0.45861,1.1386),(305,6095,0.44088,1.1286),(305,6105,0.42315,1.1149),(305,6115,0.40614,1.0998),(305,6125,0.3933,1.0848),(305,6135,0.38046,1.068),(305,6145,0.36762,1.0499),(305,6155,0.35779,1.0318),(305,6165,0.34805,1.013),(305,6175,0.3383,0.99283),(305,6185,0.33032,0.97268),(305,6195,0.32279,0.95236),(305,6205,0.31526,0.93135),(305,6215,0.30873,0.91033),(305,6225,0.30281,0.8893),(305,6235,0.29689,0.86753),(305,6245,0.29152,0.84577),(305,6255,0.28684,0.824),(305,6265,0.28216,0.80175),(305,6275,0.27773,0.77941),(305,6285,0.27399,0.75708),(305,6295,0.27025,0.73452),(305,6305,0.26657,0.71186),(305,6315,0.26354,0.6892),(305,6325,0.26051,0.66644),(305,6335,0.25748,0.64357),(305,6345,0.25499,0.62071),(305,6355,0.25255,0.59777),(305,6365,0.25012,0.57469),(305,6375,0.24803,0.5516),(305,6385,0.24607,0.5285),(305,6395,0.24411,0.50534),(305,6405,0.24237,0.48217),(305,6415,0.24079,0.45901),(305,6425,0.23922,0.43567),(305,6435,0.23777,0.41232),(305,6445,0.23656,0.38898),(305,6455,0.23534,0.36557),(305,6465,0.23417,0.34215),(305,6475,0.23316,0.31874),(305,6485,0.23216,0.29527),(305,6495,0.23116,0.27178),(305,6505,0.23044,0.24829),(305,6515,0.22973,0.22482),(305,6525,0.22901,0.20138),(305,6535,0.22848,0.17794),(305,6545,0.22799,0.15445),(305,6555,0.22749,0.13079),(305,6565,0.22711,0.10713),(305,6575,0.22679,0.083472),(305,6585,0.22646,0.059762),(305,6595,0.19246,0.036053),(305,6605,0.12128,0.012344),(305,6615,0.050102,0.009584),(305,6625,6.3e-05,0.009517),(305,6635,6.5e-05,0.009449),(305,6645,6.6e-05,0.009426),(305,6655,6.8e-05,0.009421),(305,6665,6.9e-05,0.009416),(305,6675,7e-05,0.009411),(305,6685,7.1e-05,0.009405),(305,6695,7.2e-05,0.0094),(305,6705,7.4e-05,0.009394),(305,6715,7.5e-05,0.009388),(305,6725,7.6e-05,0.009383),(305,6735,7.7e-05,0.009377),(305,6745,7.8e-05,0.009371),(305,6755,7.9e-05,0.009366),(305,6765,8e-05,0.00936),(305,6775,8.1e-05,0.009354),(305,6785,8.2e-05,0.009348),(305,6795,8.2e-05,0.009342),(305,6805,8.3e-05,0.009336),(305,6815,8.4e-05,0.00933),(305,6825,8.5e-05,0.009324),(305,6835,8.5e-05,0.009318),(305,6845,8.6e-05,0.009312),(305,6855,8.7e-05,0.009305),(305,6865,8.8e-05,0.009299),(305,6875,8.8e-05,0.009293),(305,6885,8.9e-05,0.009287),(305,6895,9e-05,0.009281),(305,6905,9e-05,0.009274),(305,6915,9.1e-05,0.009268),(305,6925,9.1e-05,0.009262),(305,6935,9.2e-05,0.009255),(305,6945,9.3e-05,0.009249),(305,6955,9.3e-05,0.009243),(305,6965,9.4e-05,0.009236),(305,6975,9.4e-05,0.009229),(305,6985,9.5e-05,0.009223),(315,5,1.6e-05,3.6652),(315,15,4.9e-05,3.6652),(315,25,8.2e-05,3.6652),(315,35,0.000115,3.6652),(315,45,0.000147,3.6652),(315,55,0.00018,3.6651),(315,65,0.000213,3.6651),(315,75,0.000246,3.6651),(315,85,0.000278,3.6651),(315,95,0.000311,3.6651),(315,105,0.000344,3.6651),(315,115,0.000377,3.665),(315,125,0.00041,3.665),(315,135,0.000443,3.665),(315,145,0.000476,3.665),(315,155,0.00051,3.6649),(315,165,0.000543,3.6649),(315,175,0.000576,3.6649),(315,185,0.00061,3.6648),(315,195,0.000643,3.6648),(315,205,0.000677,3.6647),(315,215,0.00071,3.6647),(315,225,0.000744,3.6646),(315,235,0.000777,3.6646),(315,245,0.000811,3.6645),(315,255,0.000845,3.6645),(315,265,0.000879,3.6644),(315,275,0.000912,3.6644),(315,285,0.000946,3.6643),(315,295,0.00098,3.6642),(315,305,0.001014,3.6642),(315,315,0.001049,3.6641),(315,325,0.001083,3.6641),(315,335,0.001117,3.664),(315,345,0.001152,3.6639),(315,355,0.001187,3.6638),(315,365,0.001221,3.6638),(315,375,0.001256,3.6637),(315,385,0.001291,3.6636),(315,395,0.001326,3.6635),(315,405,0.001362,3.6634),(315,415,0.001397,3.6633),(315,425,0.001433,3.6632),(315,435,0.001468,3.6631),(315,445,0.001504,3.663),(315,455,0.00154,3.6629),(315,465,0.001576,3.6628),(315,475,0.001612,3.6628),(315,485,0.001649,3.6626),(315,495,0.001685,3.6625),(315,505,0.001721,3.6624),(315,515,0.001758,3.6623),(315,525,0.001795,3.6622),(315,535,0.001832,3.6621),(315,545,0.00187,3.662),(315,555,0.001907,3.6618),(315,565,0.001945,3.6617),(315,575,0.001982,3.6616),(315,585,0.002021,3.6615),(315,595,0.002059,3.6613),(315,605,0.002097,3.6612),(315,615,0.002135,3.6611),(315,625,0.002174,3.6609),(315,635,0.002213,3.6608),(315,645,0.002252,3.6606),(315,655,0.002291,3.6605),(315,665,0.002331,3.6603),(315,675,0.002371,3.6602),(315,685,0.00241,3.66),(315,695,0.00245,3.6599),(315,705,0.002491,3.6597),(315,715,0.002531,3.6596),(315,725,0.002572,3.6594),(315,735,0.002613,3.6592),(315,745,0.002654,3.659),(315,755,0.002696,3.6589),(315,765,0.002737,3.6587),(315,775,0.002779,3.6585),(315,785,0.002821,3.6583),(315,795,0.002864,3.6582),(315,805,0.002906,3.658),(315,815,0.002949,3.6578),(315,825,0.002992,3.6576),(315,835,0.003035,3.6574),(315,845,0.003078,3.6572),(315,855,0.003122,3.657),(315,865,0.003166,3.6568),(315,875,0.00321,3.6566),(315,885,0.003255,3.6564),(315,895,0.003299,3.6562),(315,905,0.003345,3.656),(315,915,0.00339,3.6557),(315,925,0.003435,3.6555),(315,935,0.003481,3.6553),(315,945,0.003527,3.6551),(315,955,0.003574,3.6548),(315,965,0.00362,3.6546),(315,975,0.003667,3.6544),(315,985,0.003714,3.6541),(315,995,0.003762,3.6539),(315,1005,0.003809,3.6536),(315,1015,0.003857,3.6534),(315,1025,0.003906,3.6532),(315,1035,0.003955,3.6529),(315,1045,0.004003,3.6526),(315,1055,0.004052,3.6524),(315,1065,0.004102,3.6521),(315,1075,0.004152,3.6518),(315,1085,0.004202,3.6516),(315,1095,0.004253,3.6513),(315,1105,0.004303,3.651),(315,1115,0.004354,3.6507),(315,1125,0.004405,3.6505),(315,1135,0.004457,3.6502),(315,1145,0.004509,3.6499),(315,1155,0.004561,3.6496),(315,1165,0.004613,3.6493),(315,1175,0.004666,3.649),(315,1185,0.004719,3.6487),(315,1195,0.004772,3.6484),(315,1205,0.004826,3.6481),(315,1215,0.00488,3.6478),(315,1225,0.004934,3.6475),(315,1235,0.004989,3.6471),(315,1245,0.005044,3.6468),(315,1255,0.005099,3.6465),(315,1265,0.005155,3.6462),(315,1275,0.005211,3.6458),(315,1285,0.005267,3.6455),(315,1295,0.005324,3.6451),(315,1305,0.005381,3.6448),(315,1315,0.005439,3.6444),(315,1325,0.005496,3.6441),(315,1335,0.005554,3.6437),(315,1345,0.005613,3.6434),(315,1355,0.005671,3.643),(315,1365,0.00573,3.6426),(315,1375,0.00579,3.6423),(315,1385,0.005849,3.6419),(315,1395,0.005909,3.6415),(315,1405,0.005969,3.6411),(315,1415,0.00603,3.6407),(315,1425,0.006091,3.6403),(315,1435,0.006152,3.6399),(315,1445,0.006214,3.6395),(315,1455,0.006276,3.6391),(315,1465,0.006339,3.6387),(315,1475,0.006401,3.6383),(315,1485,0.006464,3.6379),(315,1495,0.006528,3.6375),(315,1505,0.006591,3.6371),(315,1515,0.006655,3.6366),(315,1525,0.006719,3.6362),(315,1535,0.006784,3.6358),(315,1545,0.00685,3.6353),(315,1555,0.006915,3.6349),(315,1565,0.00698,3.6344),(315,1575,0.007047,3.634),(315,1585,0.007113,3.6335),(315,1595,0.00718,3.6331),(315,1605,0.007247,3.6326),(315,1615,0.007315,3.6321),(315,1625,0.007383,3.6316),(315,1635,0.00745,3.6312),(315,1645,0.007519,3.6307),(315,1655,0.007588,3.6302),(315,1665,0.007657,3.6297),(315,1675,0.007726,3.6292),(315,1685,0.007796,3.6287),(315,1695,0.007867,3.6282),(315,1705,0.007937,3.6277),(315,1715,0.008008,3.6272),(315,1725,0.008079,3.6266),(315,1735,0.008151,3.6261),(315,1745,0.008223,3.6256),(315,1755,0.008295,3.625),(315,1765,0.008367,3.6245),(315,1775,0.008441,3.624),(315,1785,0.008514,3.6234),(315,1795,0.008588,3.6229),(315,1805,0.008662,3.6223),(315,1815,0.008736,3.6217),(315,1825,0.008811,3.6212),(315,1835,0.008886,3.6206),(315,1845,0.008961,3.62),(315,1855,0.009037,3.6194),(315,1865,0.009114,3.6188),(315,1875,0.00919,3.6182),(315,1885,0.009266,3.6177),(315,1895,0.009344,3.6171),(315,1905,0.009421,3.6164),(315,1915,0.009498,3.6158),(315,1925,0.009576,3.6152),(315,1935,0.009655,3.6146),(315,1945,0.009734,3.614),(315,1955,0.009812,3.6133),(315,1965,0.009892,3.6127),(315,1975,0.009972,3.6121),(315,1985,0.010052,3.6114),(315,1995,0.010132,3.6107),(315,2005,0.010212,3.6101),(315,2015,0.010294,3.6094),(315,2025,0.010375,3.6088),(315,2035,0.010456,3.6081),(315,2045,0.010539,3.6074),(315,2055,0.010621,3.6067),(315,2065,0.010704,3.606),(315,2075,0.010787,3.6053),(315,2085,0.010871,3.6046),(315,2095,0.010955,3.6039),(315,2105,0.011039,3.6032),(315,2115,0.011124,3.6025),(315,2125,0.011209,3.6018),(315,2135,0.011295,3.601),(315,2145,0.011381,3.6003),(315,2155,0.011467,3.5996),(315,2165,0.011554,3.5988),(315,2175,0.011641,3.5981),(315,2185,0.011728,3.5973),(315,2195,0.011816,3.5966),(315,2205,0.011904,3.5958),(315,2215,0.011993,3.595),(315,2225,0.012082,3.5942),(315,2235,0.012171,3.5935),(315,2245,0.012261,3.5927),(315,2255,0.012352,3.5919),(315,2265,0.012442,3.5911),(315,2275,0.012533,3.5903),(315,2285,0.012625,3.5895),(315,2295,0.012718,3.5887),(315,2305,0.01281,3.5878),(315,2315,0.012903,3.587),(315,2325,0.012997,3.5862),(315,2335,0.013092,3.5853),(315,2345,0.013186,3.5845),(315,2355,0.013281,3.5836),(315,2365,0.013377,3.5828),(315,2375,0.013474,3.5819),(315,2385,0.013571,3.581),(315,2395,0.013668,3.5802),(315,2405,0.013767,3.5793),(315,2415,0.013866,3.5784),(315,2425,0.013966,3.5775),(315,2435,0.014065,3.5766),(315,2445,0.014167,3.5757),(315,2455,0.014269,3.5748),(315,2465,0.014371,3.5739),(315,2475,0.014473,3.5729),(315,2485,0.014579,3.572),(315,2495,0.014684,3.5711),(315,2505,0.014789,3.5701),(315,2515,0.014895,3.5692),(315,2525,0.015004,3.5682),(315,2535,0.015113,3.5673),(315,2545,0.015222,3.5663),(315,2555,0.015331,3.5653),(315,2565,0.015445,3.5644),(315,2575,0.015558,3.5634),(315,2585,0.015671,3.5624),(315,2595,0.015785,3.5614),(315,2605,0.015903,3.5604),(315,2615,0.016021,3.5594),(315,2625,0.016139,3.5584),(315,2635,0.016258,3.5574),(315,2645,0.016382,3.5563),(315,2655,0.016506,3.5553),(315,2665,0.01663,3.5543),(315,2675,0.016755,3.5532),(315,2685,0.016886,3.5522),(315,2695,0.017017,3.5511),(315,2705,0.017147,3.55),(315,2715,0.01728,3.5489),(315,2725,0.017418,3.5479),(315,2735,0.017557,3.5468),(315,2745,0.017695,3.5457),(315,2755,0.017836,3.5446),(315,2765,0.017984,3.5435),(315,2775,0.018131,3.5424),(315,2785,0.018279,3.5412),(315,2795,0.01843,3.5401),(315,2805,0.018588,3.539),(315,2815,0.018747,3.5379),(315,2825,0.018905,3.5367),(315,2835,0.019068,3.5355),(315,2845,0.019239,3.5344),(315,2855,0.019411,3.5332),(315,2865,0.019582,3.532),(315,2875,0.019759,3.5308),(315,2885,0.019945,3.5297),(315,2895,0.020132,3.5285),(315,2905,0.020318,3.5272),(315,2915,0.020512,3.526),(315,2925,0.020717,3.5248),(315,2935,0.020921,3.5236),(315,2945,0.021125,3.5223),(315,2955,0.021339,3.5211),(315,2965,0.021565,3.5198),(315,2975,0.02179,3.5186),(315,2985,0.022016,3.5173),(315,2995,0.022254,3.516),(315,3005,0.022504,3.5147),(315,3015,0.022755,3.5134),(315,3025,0.023005,3.5121),(315,3035,0.023272,3.5108),(315,3045,0.023552,3.5095),(315,3055,0.023833,3.5082),(315,3065,0.024113,3.5068),(315,3075,0.024414,3.5055),(315,3085,0.024729,3.5041),(315,3095,0.025045,3.5028),(315,3105,0.025361,3.5014),(315,3115,0.025702,3.5),(315,3125,0.02606,3.4986),(315,3135,0.026419,3.4972),(315,3145,0.026777,3.4958),(315,3155,0.027167,3.4943),(315,3165,0.027576,3.4929),(315,3175,0.027984,3.4915),(315,3185,0.028392,3.49),(315,3195,0.028842,3.4885),(315,3205,0.029311,3.4871),(315,3215,0.029779,3.4856),(315,3225,0.030248,3.4841),(315,3235,0.030769,3.4825),(315,3245,0.031309,3.481),(315,3255,0.03185,3.4795),(315,3265,0.03239,3.4779),(315,3275,0.032997,3.4764),(315,3285,0.033624,3.4748),(315,3295,0.034251,3.4732),(315,3305,0.034878,3.4716),(315,3315,0.035588,3.47),(315,3325,0.036319,3.4684),(315,3335,0.03705,3.4668),(315,3345,0.037781,3.4651),(315,3355,0.038617,3.4635),(315,3365,0.039473,3.4618),(315,3375,0.040329,3.4601),(315,3385,0.041185,3.4584),(315,3395,0.042175,3.4567),(315,3405,0.043182,3.455),(315,3415,0.044189,3.4533),(315,3425,0.045196,3.4516),(315,3435,0.046373,3.4498),(315,3445,0.047563,3.4481),(315,3455,0.048754,3.4463),(315,3465,0.049944,3.4445),(315,3475,0.05135,3.4427),(315,3485,0.052763,3.4409),(315,3495,0.054177,3.4391),(315,3505,0.055591,3.4373),(315,3515,0.057277,3.4354),(315,3525,0.058963,3.4336),(315,3535,0.060648,3.4318),(315,3545,0.062349,3.4299),(315,3555,0.064368,3.4281),(315,3565,0.066387,3.4262),(315,3575,0.068406,3.4244),(315,3585,0.07046,3.4225),(315,3595,0.07289,3.4207),(315,3605,0.075319,3.4189),(315,3615,0.077749,3.4171),(315,3625,0.080241,3.4153),(315,3635,0.083179,3.4135),(315,3645,0.086116,3.4117),(315,3655,0.089054,3.41),(315,3665,0.092095,3.4083),(315,3675,0.095664,3.4066),(315,3685,0.099234,3.4049),(315,3695,0.1028,3.4035),(315,3705,0.10653,3.402),(315,3715,0.1109,3.4005),(315,3725,0.11526,3.3991),(315,3735,0.11962,3.398),(315,3745,0.12423,3.3969),(315,3755,0.12959,3.3958),(315,3765,0.13495,3.3948),(315,3775,0.14031,3.3944),(315,3785,0.14603,3.3939),(315,3795,0.15267,3.3935),(315,3805,0.1593,3.3934),(315,3815,0.16593,3.3941),(315,3825,0.17308,3.3949),(315,3835,0.18133,3.3956),(315,3845,0.18957,3.3971),(315,3855,0.19782,3.4),(315,3865,0.20678,3.403),(315,3875,0.217,3.4059),(315,3885,0.22722,3.4105),(315,3895,0.23744,3.4179),(315,3905,0.28485,3.4253),(315,3915,0.38783,3.4327),(315,3925,0.49081,3.4475),(315,3935,0.59378,3.4722),(315,3945,0.65332,3.497),(315,3955,0.65772,3.5218),(315,3965,0.66212,3.5375),(315,3975,0.66652,3.5427),(315,3985,0.64105,3.5479),(315,3995,0.58326,3.5531),(315,4005,0.52547,3.5548),(315,4015,0.46768,3.5531),(315,4025,0.42601,3.5514),(315,4035,0.38592,3.5479),(315,4045,0.34583,3.5405),(315,4055,0.30857,3.533),(315,4065,0.27234,3.5255),(315,4075,0.2361,3.5177),(315,4085,0.19919,3.5098),(315,4095,0.16172,3.5019),(315,4105,0.12425,3.4872),(315,4115,0.085007,3.4724),(315,4125,0.042808,3.4575),(315,4135,0.000609,3.4328),(315,4145,-0.018571,3.4054),(315,4155,0.055489,3.378),(315,4165,0.12955,3.3784),(315,4175,0.20212,3.3966),(315,4185,0.20105,3.4148),(315,4195,0.19997,3.4273),(315,4205,0.1989,3.4322),(315,4215,0.14549,3.4371),(315,4225,0.082229,3.4383),(315,4235,0.018971,3.4287),(315,4245,-0.019711,3.4191),(315,4255,-0.045922,3.4089),(315,4265,-0.072134,3.3905),(315,4275,-0.075675,3.3722),(315,4285,-0.05516,3.3538),(315,4295,-0.034644,3.3439),(315,4305,0.041392,3.3349),(315,4315,0.24279,3.326),(315,4325,0.44419,3.35),(315,4335,0.6096,3.387),(315,4345,0.53134,3.4239),(315,4355,0.45308,3.4453),(315,4365,0.37482,3.4534),(315,4375,0.26889,3.4615),(315,4385,0.16151,3.4598),(315,4395,0.054128,3.4411),(315,4405,-0.021684,3.4224),(315,4415,-0.088187,3.4018),(315,4425,-0.15469,3.373),(315,4435,-0.073083,3.3441),(315,4445,0.10974,3.3155),(315,4455,0.29256,3.3422),(315,4465,0.40312,3.369),(315,4475,0.41216,3.3958),(315,4485,0.4212,3.4115),(315,4495,0.39753,3.425),(315,4505,0.26888,3.4385),(315,4515,0.14024,3.4329),(315,4525,0.012719,3.417),(315,4535,-0.096951,3.4011),(315,4545,-0.20662,3.3698),(315,4555,-0.31629,3.3213),(315,4565,-0.20648,3.2729),(315,4575,-0.067089,3.2439),(315,4585,0.072306,3.262),(315,4595,0.16732,3.2802),(315,4605,0.24358,3.2992),(315,4615,0.31984,3.3243),(315,4625,0.32339,3.3494),(315,4635,0.26109,3.3746),(315,4645,0.19878,3.3785),(315,4655,0.097983,3.3809),(315,4665,-0.075404,3.3834),(315,4675,-0.24879,3.359),(315,4685,-0.39065,3.3261),(315,4695,-0.37673,3.2931),(315,4705,-0.36281,3.2624),(315,4715,-0.34889,3.2334),(315,4725,-0.059306,3.2043),(315,4735,0.23304,3.2047),(315,4745,0.52539,3.249),(315,4755,0.51118,3.2932),(315,4765,0.42593,3.3308),(315,4775,0.34068,3.3447),(315,4785,0.19214,3.3587),(315,4795,0.007013,3.3705),(315,4805,-0.17812,3.3361),(315,4815,-0.32441,3.3018),(315,4825,-0.42427,3.2674),(315,4835,-0.52413,3.2099),(315,4845,-0.50739,3.1488),(315,4855,-0.18666,3.0877),(315,4865,0.13407,3.0868),(315,4875,0.43482,3.1132),(315,4885,0.55384,3.1396),(315,4895,0.67285,3.171),(315,4905,0.79187,3.2073),(315,4915,0.60445,3.2436),(315,4925,0.39068,3.2671),(315,4935,0.17691,3.2647),(315,4945,0.001713,3.2624),(315,4955,-0.16011,3.2536),(315,4965,-0.32194,3.2093),(315,4975,-0.34142,3.1651),(315,4985,-0.25103,3.1208),(315,4995,-0.16065,3.0925),(315,5005,-0.055698,3.0645),(315,5015,0.072402,3.0366),(315,5025,0.2005,3.0566),(315,5035,0.27322,3.0887),(315,5045,0.13495,3.1209),(315,5055,-0.003326,3.1294),(315,5065,-0.14299,3.1233),(315,5075,-0.32826,3.1172),(315,5085,-0.51353,3.09),(315,5095,-0.69879,3.0362),(315,5105,-0.72281,2.9823),(315,5115,-0.7187,2.9278),(315,5125,-0.71459,2.8716),(315,5135,-0.44698,2.8154),(315,5145,-0.051485,2.7667),(315,5155,0.34401,2.7993),(315,5165,0.57942,2.8319),(315,5175,0.65157,2.8645),(315,5185,0.72372,2.8958),(315,5195,0.71549,2.9269),(315,5205,0.53396,2.9581),(315,5215,0.35243,2.9491),(315,5225,0.17123,2.9251),(315,5235,-0.007914,2.9011),(315,5245,-0.18706,2.8424),(315,5255,-0.3662,2.7551),(315,5265,-0.25325,2.6679),(315,5275,-0.12825,2.6162),(315,5285,-0.00325,2.6247),(315,5295,0.1487,2.6332),(315,5305,0.30815,2.6514),(315,5315,0.4676,2.7104),(315,5325,0.45289,2.7695),(315,5335,0.32397,2.8276),(315,5345,0.19505,2.8245),(315,5355,0.031223,2.8215),(315,5365,-0.17968,2.8184),(315,5375,-0.39058,2.749),(315,5385,-0.5329,2.6666),(315,5395,-0.46669,2.5843),(315,5405,-0.40049,2.5232),(315,5415,-0.31218,2.4732),(315,5425,0.072954,2.4232),(315,5435,0.45809,2.412),(315,5445,0.84323,2.4426),(315,5455,0.92053,2.4732),(315,5465,0.96021,2.4997),(315,5475,0.99988,2.5167),(315,5485,0.95095,2.5337),(315,5495,0.86633,2.5489),(315,5505,0.78171,2.5514),(315,5515,0.71322,2.5539),(315,5525,0.65876,2.5565),(315,5535,0.60431,2.5513),(315,5545,0.55648,2.5457),(315,5555,0.52061,2.5401),(315,5565,0.48475,2.5314),(315,5575,0.45092,2.5218),(315,5585,0.42649,2.5122),(315,5595,0.40207,2.5012),(315,5605,0.37764,2.4892),(315,5615,0.36077,2.4772),(315,5625,0.34391,2.4644),(315,5635,0.32704,2.4505),(315,5645,0.31446,2.4366),(315,5655,0.3028,2.4223),(315,5665,0.29114,2.407),(315,5675,0.28168,2.3916),(315,5685,0.27345,2.3761),(315,5695,0.26521,2.3592),(315,5705,0.2579,2.3423),(315,5715,0.25166,2.3254),(315,5725,0.24542,2.3069),(315,5735,0.23937,2.2881),(315,5745,0.23379,2.2693),(315,5755,0.22822,2.2491),(315,5765,0.22259,2.2282),(315,5775,0.21654,2.2073),(315,5785,0.21049,2.1849),(315,5795,0.20443,2.161),(315,5805,0.19701,2.1372),(315,5815,0.18948,2.1122),(315,5825,0.18195,2.0852),(315,5835,0.17255,2.0581),(315,5845,0.16254,2.0304),(315,5855,0.15252,1.9989),(315,5865,0.14036,1.9675),(315,5875,0.12661,1.9361),(315,5885,0.11285,1.8996),(315,5895,0.096902,1.863),(315,5905,0.077601,1.8263),(315,5915,0.058299,1.7831),(315,5925,0.037273,1.7382),(315,5935,0.010054,1.6934),(315,5945,-0.017164,1.6403),(315,5955,-0.044844,1.5824),(315,5965,-0.083705,1.5244),(315,5975,-0.12257,1.453),(315,5985,-0.16143,1.3651),(315,5995,-0.13324,1.2772),(315,6005,-0.094254,1.2076),(315,6015,-0.055271,1.1871),(315,6025,0.051779,1.1665),(315,6035,0.1904,1.1485),(315,6045,0.32902,1.1544),(315,6055,0.40789,1.1603),(315,6065,0.42817,1.1662),(315,6075,0.44845,1.1589),(315,6085,0.45701,1.1504),(315,6095,0.44141,1.1419),(315,6105,0.42582,1.1291),(315,6115,0.41079,1.1147),(315,6125,0.399,1.1003),(315,6135,0.38721,1.084),(315,6145,0.37542,1.0662),(315,6155,0.36621,1.0483),(315,6165,0.35708,1.0296),(315,6175,0.34795,1.0095),(315,6185,0.34038,0.98935),(315,6195,0.33322,0.96902),(315,6205,0.32607,0.94788),(315,6215,0.31981,0.92673),(315,6225,0.31413,0.90556),(315,6235,0.30844,0.88357),(315,6245,0.30327,0.86158),(315,6255,0.29876,0.83959),(315,6265,0.29425,0.81704),(315,6275,0.28998,0.79439),(315,6285,0.28638,0.77175),(315,6295,0.28278,0.74885),(315,6305,0.27923,0.72582),(315,6315,0.2763,0.70279),(315,6325,0.27337,0.67965),(315,6335,0.27043,0.65639),(315,6345,0.26799,0.63313),(315,6355,0.2656,0.60979),(315,6365,0.26321,0.58628),(315,6375,0.26115,0.56277),(315,6385,0.25921,0.53924),(315,6395,0.25728,0.51563),(315,6405,0.25554,0.49202),(315,6415,0.25397,0.4684),(315,6425,0.2524,0.44461),(315,6435,0.25096,0.42081),(315,6445,0.24976,0.39701),(315,6455,0.24855,0.37312),(315,6465,0.24739,0.34921),(315,6475,0.2464,0.3253),(315,6485,0.24541,0.30135),(315,6495,0.24442,0.27739),(315,6505,0.24373,0.25343),(315,6515,0.24304,0.22948),(315,6525,0.24235,0.20555),(315,6535,0.24185,0.18162),(315,6545,0.24139,0.15764),(315,6555,0.24093,0.13347),(315,6565,0.2406,0.10931),(315,6575,0.24034,0.085144),(315,6585,0.24008,0.060908),(315,6595,0.20408,0.036673),(315,6605,0.1286,0.012437),(315,6615,0.053123,0.009609),(315,6625,6.5e-05,0.009531),(315,6635,6.6e-05,0.009454),(315,6645,6.8e-05,0.009428),(315,6655,7e-05,0.009423),(315,6665,7.1e-05,0.009418),(315,6675,7.3e-05,0.009412),(315,6685,7.4e-05,0.009407),(315,6695,7.5e-05,0.009401),(315,6705,7.6e-05,0.009395),(315,6715,7.7e-05,0.00939),(315,6725,7.9e-05,0.009384),(315,6735,8e-05,0.009378),(315,6745,8.1e-05,0.009372),(315,6755,8.2e-05,0.009366),(315,6765,8.2e-05,0.009361),(315,6775,8.3e-05,0.009355),(315,6785,8.4e-05,0.009349),(315,6795,8.5e-05,0.009343),(315,6805,8.6e-05,0.009337),(315,6815,8.7e-05,0.009331),(315,6825,8.8e-05,0.009325),(315,6835,8.8e-05,0.009319),(315,6845,8.9e-05,0.009312),(315,6855,9e-05,0.009306),(315,6865,9.1e-05,0.0093),(315,6875,9.1e-05,0.009294),(315,6885,9.2e-05,0.009288),(315,6895,9.3e-05,0.009281),(315,6905,9.3e-05,0.009275),(315,6915,9.4e-05,0.009269),(315,6925,9.5e-05,0.009262),(315,6935,9.5e-05,0.009256),(315,6945,9.6e-05,0.009249),(315,6955,9.6e-05,0.009243),(315,6965,9.7e-05,0.009236),(315,6975,9.7e-05,0.00923),(315,6985,9.8e-05,0.009224),(325,5,1.7e-05,3.6652),(325,15,5.1e-05,3.6652),(325,25,8.5e-05,3.6652),(325,35,0.000118,3.6652),(325,45,0.000152,3.6652),(325,55,0.000186,3.6652),(325,65,0.00022,3.6652),(325,75,0.000253,3.6652),(325,85,0.000287,3.6651),(325,95,0.000321,3.6651),(325,105,0.000355,3.6651),(325,115,0.000389,3.6651),(325,125,0.000423,3.665),(325,135,0.000457,3.665),(325,145,0.000491,3.665),(325,155,0.000525,3.665),(325,165,0.00056,3.6649),(325,175,0.000594,3.6649),(325,185,0.000628,3.6648),(325,195,0.000663,3.6648),(325,205,0.000697,3.6648),(325,215,0.000732,3.6647),(325,225,0.000767,3.6647),(325,235,0.000801,3.6646),(325,245,0.000836,3.6646),(325,255,0.000871,3.6645),(325,265,0.000906,3.6645),(325,275,0.000941,3.6644),(325,285,0.000976,3.6643),(325,295,0.001011,3.6643),(325,305,0.001046,3.6642),(325,315,0.001081,3.6642),(325,325,0.001117,3.6641),(325,335,0.001152,3.664),(325,345,0.001188,3.6639),(325,355,0.001223,3.6639),(325,365,0.001259,3.6638),(325,375,0.001295,3.6637),(325,385,0.001331,3.6636),(325,395,0.001368,3.6635),(325,405,0.001404,3.6635),(325,415,0.00144,3.6634),(325,425,0.001477,3.6633),(325,435,0.001514,3.6632),(325,445,0.001551,3.6631),(325,455,0.001588,3.663),(325,465,0.001625,3.6629),(325,475,0.001663,3.6628),(325,485,0.0017,3.6627),(325,495,0.001737,3.6626),(325,505,0.001775,3.6625),(325,515,0.001813,3.6624),(325,525,0.001851,3.6622),(325,535,0.001889,3.6621),(325,545,0.001928,3.662),(325,555,0.001966,3.6619),(325,565,0.002005,3.6618),(325,575,0.002044,3.6616),(325,585,0.002083,3.6615),(325,595,0.002123,3.6614),(325,605,0.002162,3.6612),(325,615,0.002202,3.6611),(325,625,0.002242,3.661),(325,635,0.002282,3.6608),(325,645,0.002322,3.6607),(325,655,0.002363,3.6605),(325,665,0.002404,3.6604),(325,675,0.002445,3.6602),(325,685,0.002486,3.6601),(325,695,0.002527,3.6599),(325,705,0.002569,3.6598),(325,715,0.00261,3.6596),(325,725,0.002652,3.6594),(325,735,0.002694,3.6593),(325,745,0.002737,3.6591),(325,755,0.00278,3.6589),(325,765,0.002822,3.6587),(325,775,0.002865,3.6586),(325,785,0.002909,3.6584),(325,795,0.002953,3.6582),(325,805,0.002997,3.658),(325,815,0.003041,3.6578),(325,825,0.003085,3.6576),(325,835,0.00313,3.6574),(325,845,0.003174,3.6572),(325,855,0.003219,3.657),(325,865,0.003265,3.6568),(325,875,0.003311,3.6566),(325,885,0.003356,3.6564),(325,895,0.003402,3.6562),(325,905,0.003449,3.656),(325,915,0.003496,3.6558),(325,925,0.003543,3.6556),(325,935,0.00359,3.6553),(325,945,0.003638,3.6551),(325,955,0.003685,3.6549),(325,965,0.003733,3.6547),(325,975,0.003782,3.6544),(325,985,0.00383,3.6542),(325,995,0.003879,3.6539),(325,1005,0.003928,3.6537),(325,1015,0.003978,3.6534),(325,1025,0.004028,3.6532),(325,1035,0.004078,3.6529),(325,1045,0.004128,3.6527),(325,1055,0.004179,3.6524),(325,1065,0.00423,3.6522),(325,1075,0.004282,3.6519),(325,1085,0.004333,3.6516),(325,1095,0.004385,3.6514),(325,1105,0.004438,3.6511),(325,1115,0.00449,3.6508),(325,1125,0.004543,3.6505),(325,1135,0.004596,3.6502),(325,1145,0.00465,3.6499),(325,1155,0.004704,3.6497),(325,1165,0.004757,3.6494),(325,1175,0.004812,3.6491),(325,1185,0.004867,3.6488),(325,1195,0.004922,3.6484),(325,1205,0.004977,3.6481),(325,1215,0.005033,3.6478),(325,1225,0.005089,3.6475),(325,1235,0.005145,3.6472),(325,1245,0.005201,3.6469),(325,1255,0.005259,3.6465),(325,1265,0.005317,3.6462),(325,1275,0.005374,3.6459),(325,1285,0.005432,3.6455),(325,1295,0.005491,3.6452),(325,1305,0.00555,3.6448),(325,1315,0.005609,3.6445),(325,1325,0.005668,3.6441),(325,1335,0.005728,3.6438),(325,1345,0.005789,3.6434),(325,1355,0.005849,3.6431),(325,1365,0.005909,3.6427),(325,1375,0.005971,3.6423),(325,1385,0.006033,3.6419),(325,1395,0.006094,3.6416),(325,1405,0.006156,3.6412),(325,1415,0.006219,3.6408),(325,1425,0.006282,3.6404),(325,1435,0.006345,3.64),(325,1445,0.006408,3.6396),(325,1455,0.006473,3.6392),(325,1465,0.006537,3.6388),(325,1475,0.006602,3.6384),(325,1485,0.006666,3.638),(325,1495,0.006732,3.6375),(325,1505,0.006798,3.6371),(325,1515,0.006864,3.6367),(325,1525,0.00693,3.6363),(325,1535,0.006997,3.6358),(325,1545,0.007064,3.6354),(325,1555,0.007132,3.6349),(325,1565,0.007199,3.6345),(325,1575,0.007268,3.634),(325,1585,0.007337,3.6336),(325,1595,0.007405,3.6331),(325,1605,0.007474,3.6327),(325,1615,0.007544,3.6322),(325,1625,0.007614,3.6317),(325,1635,0.007684,3.6312),(325,1645,0.007755,3.6307),(325,1655,0.007826,3.6303),(325,1665,0.007898,3.6298),(325,1675,0.007969,3.6293),(325,1685,0.008041,3.6288),(325,1695,0.008114,3.6283),(325,1705,0.008187,3.6277),(325,1715,0.00826,3.6272),(325,1725,0.008333,3.6267),(325,1735,0.008407,3.6262),(325,1745,0.008481,3.6257),(325,1755,0.008556,3.6251),(325,1765,0.00863,3.6246),(325,1775,0.008706,3.624),(325,1785,0.008782,3.6235),(325,1795,0.008858,3.6229),(325,1805,0.008934,3.6224),(325,1815,0.009011,3.6218),(325,1825,0.009088,3.6212),(325,1835,0.009165,3.6207),(325,1845,0.009243,3.6201),(325,1855,0.009321,3.6195),(325,1865,0.0094,3.6189),(325,1875,0.009479,3.6183),(325,1885,0.009558,3.6177),(325,1895,0.009638,3.6171),(325,1905,0.009718,3.6165),(325,1915,0.009797,3.6159),(325,1925,0.009878,3.6153),(325,1935,0.009959,3.6147),(325,1945,0.01004,3.614),(325,1955,0.010121,3.6134),(325,1965,0.010203,3.6128),(325,1975,0.010286,3.6121),(325,1985,0.010368,3.6115),(325,1995,0.010451,3.6108),(325,2005,0.010534,3.6102),(325,2015,0.010618,3.6095),(325,2025,0.010702,3.6088),(325,2035,0.010786,3.6082),(325,2045,0.01087,3.6075),(325,2055,0.010956,3.6068),(325,2065,0.011041,3.6061),(325,2075,0.011127,3.6054),(325,2085,0.011213,3.6047),(325,2095,0.0113,3.604),(325,2105,0.011387,3.6033),(325,2115,0.011474,3.6026),(325,2125,0.011562,3.6019),(325,2135,0.01165,3.6011),(325,2145,0.011739,3.6004),(325,2155,0.011827,3.5997),(325,2165,0.011917,3.5989),(325,2175,0.012007,3.5982),(325,2185,0.012097,3.5974),(325,2195,0.012187,3.5967),(325,2205,0.012278,3.5959),(325,2215,0.01237,3.5951),(325,2225,0.012462,3.5943),(325,2235,0.012554,3.5936),(325,2245,0.012646,3.5928),(325,2255,0.01274,3.592),(325,2265,0.012833,3.5912),(325,2275,0.012927,3.5904),(325,2285,0.013022,3.5896),(325,2295,0.013117,3.5887),(325,2305,0.013212,3.5879),(325,2315,0.013308,3.5871),(325,2325,0.013405,3.5863),(325,2335,0.013502,3.5854),(325,2345,0.0136,3.5846),(325,2355,0.013697,3.5837),(325,2365,0.013797,3.5829),(325,2375,0.013897,3.582),(325,2385,0.013996,3.5811),(325,2395,0.014096,3.5803),(325,2405,0.014198,3.5794),(325,2415,0.0143,3.5785),(325,2425,0.014403,3.5776),(325,2435,0.014505,3.5767),(325,2445,0.01461,3.5758),(325,2455,0.014715,3.5749),(325,2465,0.01482,3.574),(325,2475,0.014925,3.5731),(325,2485,0.015034,3.5721),(325,2495,0.015142,3.5712),(325,2505,0.01525,3.5703),(325,2515,0.015359,3.5693),(325,2525,0.015471,3.5684),(325,2535,0.015583,3.5674),(325,2545,0.015695,3.5664),(325,2555,0.015808,3.5655),(325,2565,0.015924,3.5645),(325,2575,0.016041,3.5635),(325,2585,0.016157,3.5625),(325,2595,0.016274,3.5615),(325,2605,0.016395,3.5605),(325,2615,0.016517,3.5595),(325,2625,0.016638,3.5585),(325,2635,0.01676,3.5575),(325,2645,0.016888,3.5565),(325,2655,0.017015,3.5554),(325,2665,0.017142,3.5544),(325,2675,0.01727,3.5533),(325,2685,0.017404,3.5523),(325,2695,0.017539,3.5512),(325,2705,0.017673,3.5502),(325,2715,0.017808,3.5491),(325,2725,0.01795,3.548),(325,2735,0.018093,3.5469),(325,2745,0.018235,3.5458),(325,2755,0.018379,3.5447),(325,2765,0.01853,3.5436),(325,2775,0.018682,3.5425),(325,2785,0.018833,3.5414),(325,2795,0.018987,3.5403),(325,2805,0.01915,3.5392),(325,2815,0.019312,3.538),(325,2825,0.019474,3.5369),(325,2835,0.019641,3.5357),(325,2845,0.019816,3.5346),(325,2855,0.019991,3.5334),(325,2865,0.020166,3.5322),(325,2875,0.020347,3.531),(325,2885,0.020538,3.5298),(325,2895,0.020728,3.5287),(325,2905,0.020919,3.5274),(325,2915,0.021117,3.5262),(325,2925,0.021325,3.525),(325,2935,0.021534,3.5238),(325,2945,0.021743,3.5226),(325,2955,0.021961,3.5213),(325,2965,0.022191,3.5201),(325,2975,0.022421,3.5188),(325,2985,0.022651,3.5175),(325,2995,0.022894,3.5163),(325,3005,0.023149,3.515),(325,3015,0.023404,3.5137),(325,3025,0.02366,3.5124),(325,3035,0.023931,3.5111),(325,3045,0.024216,3.5098),(325,3055,0.024502,3.5085),(325,3065,0.024787,3.5071),(325,3075,0.025093,3.5058),(325,3085,0.025414,3.5044),(325,3095,0.025735,3.5031),(325,3105,0.026056,3.5017),(325,3115,0.026403,3.5003),(325,3125,0.026766,3.499),(325,3135,0.02713,3.4976),(325,3145,0.027494,3.4961),(325,3155,0.02789,3.4947),(325,3165,0.028304,3.4933),(325,3175,0.028718,3.4919),(325,3185,0.029133,3.4904),(325,3195,0.029588,3.489),(325,3205,0.030063,3.4875),(325,3215,0.030537,3.4861),(325,3225,0.031012,3.4846),(325,3235,0.031539,3.4831),(325,3245,0.032086,3.4816),(325,3255,0.032633,3.4801),(325,3265,0.033179,3.4785),(325,3275,0.033792,3.477),(325,3285,0.034426,3.4755),(325,3295,0.035059,3.4739),(325,3305,0.035692,3.4723),(325,3315,0.036409,3.4707),(325,3325,0.037146,3.4692),(325,3335,0.037882,3.4675),(325,3345,0.038619,3.4659),(325,3355,0.039462,3.4643),(325,3365,0.040324,3.4627),(325,3375,0.041185,3.461),(325,3385,0.042047,3.4594),(325,3395,0.043042,3.4577),(325,3405,0.044054,3.456),(325,3415,0.045066,3.4544),(325,3425,0.046078,3.4527),(325,3435,0.047258,3.451),(325,3445,0.048452,3.4493),(325,3455,0.049645,3.4475),(325,3465,0.050839,3.4458),(325,3475,0.052245,3.4441),(325,3485,0.053659,3.4423),(325,3495,0.055073,3.4406),(325,3505,0.056489,3.4388),(325,3515,0.058171,3.437),(325,3525,0.059853,3.4353),(325,3535,0.061534,3.4335),(325,3545,0.063231,3.4318),(325,3555,0.06524,3.43),(325,3565,0.067249,3.4282),(325,3575,0.069257,3.4265),(325,3585,0.0713,3.4248),(325,3595,0.073708,3.423),(325,3605,0.076117,3.4213),(325,3615,0.078526,3.4196),(325,3625,0.080995,3.4179),(325,3635,0.083895,3.4162),(325,3645,0.086795,3.4146),(325,3655,0.089695,3.413),(325,3665,0.092693,3.4115),(325,3675,0.096199,3.41),(325,3685,0.099705,3.4085),(325,3695,0.10321,3.4072),(325,3705,0.10687,3.4059),(325,3715,0.11112,3.4046),(325,3725,0.11538,3.4033),(325,3735,0.11963,3.4025),(325,3745,0.12411,3.4016),(325,3755,0.1293,3.4007),(325,3765,0.13448,3.4),(325,3775,0.13966,3.3998),(325,3785,0.14517,3.3997),(325,3795,0.15149,3.3995),(325,3805,0.15781,3.3997),(325,3815,0.16413,3.4007),(325,3825,0.17089,3.4018),(325,3835,0.17856,3.4028),(325,3845,0.18623,3.4046),(325,3855,0.1939,3.4078),(325,3865,0.20206,3.411),(325,3875,0.21111,3.4142),(325,3885,0.22016,3.419),(325,3895,0.2292,3.4263),(325,3905,0.27382,3.4336),(325,3915,0.37156,3.4409),(325,3925,0.46931,3.4545),(325,3935,0.56706,3.4767),(325,3945,0.62583,3.4989),(325,3955,0.6351,3.5211),(325,3965,0.64437,3.5356),(325,3975,0.65364,3.5412),(325,3985,0.63176,3.5468),(325,3995,0.57615,3.5524),(325,4005,0.52055,3.5547),(325,4015,0.46494,3.5538),(325,4025,0.42545,3.5529),(325,4035,0.38753,3.5507),(325,4045,0.34961,3.5456),(325,4055,0.31305,3.5405),(325,4065,0.27698,3.5351),(325,4075,0.24092,3.5282),(325,4085,0.20537,3.5213),(325,4095,0.17024,3.5144),(325,4105,0.13511,3.5007),(325,4115,0.099035,3.4867),(325,4125,0.061403,3.4728),(325,4135,0.023772,3.4508),(325,4145,0.005342,3.4266),(325,4155,0.064694,3.4025),(325,4165,0.12405,3.4031),(325,4175,0.18228,3.4197),(325,4185,0.18515,3.4363),(325,4195,0.18802,3.4478),(325,4205,0.19089,3.4523),(325,4215,0.14212,3.4568),(325,4225,0.083645,3.4577),(325,4235,0.025165,3.4478),(325,4245,-0.009844,3.4379),(325,4255,-0.032944,3.4274),(325,4265,-0.056044,3.4099),(325,4275,-0.059292,3.3924),(325,4285,-0.041473,3.375),(325,4295,-0.023655,3.3662),(325,4305,0.045798,3.3585),(325,4315,0.23184,3.3508),(325,4325,0.41789,3.3744),(325,4335,0.57111,3.4103),(325,4345,0.50215,3.4462),(325,4355,0.4332,3.4676),(325,4365,0.36424,3.4767),(325,4375,0.26682,3.4858),(325,4385,0.16793,3.4851),(325,4395,0.069033,3.4671),(325,4405,-0.002033,3.4491),(325,4415,-0.064893,3.4292),(325,4425,-0.12775,3.4013),(325,4435,-0.055238,3.3734),(325,4445,0.10979,3.3458),(325,4455,0.27481,3.3722),(325,4465,0.37652,3.3987),(325,4475,0.38927,3.4251),(325,4485,0.40203,3.4408),(325,4495,0.38337,3.4542),(325,4505,0.26393,3.4677),(325,4515,0.14449,3.4617),(325,4525,0.026264,3.4451),(325,4535,-0.072773,3.4286),(325,4545,-0.17181,3.3979),(325,4555,-0.27085,3.3512),(325,4565,-0.17803,3.3044),(325,4575,-0.059355,3.2761),(325,4585,0.059323,3.2922),(325,4595,0.14662,3.3083),(325,4605,0.22066,3.3255),(325,4615,0.2947,3.3512),(325,4625,0.30084,3.3769),(325,4635,0.24546,3.4026),(325,4645,0.19009,3.4079),(325,4655,0.097506,3.4119),(325,4665,-0.065252,3.4158),(325,4675,-0.22801,3.3906),(325,4685,-0.36113,3.3561),(325,4695,-0.34781,3.3216),(325,4705,-0.33449,3.2894),(325,4715,-0.32116,3.2588),(325,4725,-0.054932,3.2283),(325,4735,0.21383,3.2273),(325,4745,0.4826,3.2705),(325,4755,0.47128,3.3137),(325,4765,0.39507,3.3502),(325,4775,0.31886,3.3635),(325,4785,0.1832,3.3769),(325,4795,0.013171,3.388),(325,4805,-0.15686,3.3531),(325,4815,-0.29084,3.3182),(325,4825,-0.38172,3.2832),(325,4835,-0.47261,3.2257),(325,4845,-0.45683,3.1646),(325,4855,-0.16298,3.1035),(325,4865,0.13088,3.1033),(325,4875,0.40699,3.1307),(325,4885,0.52166,3.1581),(325,4895,0.63633,3.1904),(325,4905,0.751,3.2274),(325,4915,0.57424,3.2644),(325,4925,0.37242,3.2874),(325,4935,0.1706,3.2823),(325,4945,0.008743,3.2771),(325,4955,-0.13926,3.2655),(325,4965,-0.28725,3.2188),(325,4975,-0.30269,3.1722),(325,4985,-0.2158,3.1255),(325,4995,-0.12892,3.1019),(325,5005,-0.03417,3.0789),(325,5015,0.073072,3.056),(325,5025,0.18031,3.0756),(325,5035,0.2389,3.1062),(325,5045,0.11213,3.1367),(325,5055,-0.014642,3.1441),(325,5065,-0.14271,3.1372),(325,5075,-0.31322,3.1304),(325,5085,-0.48372,3.1025),(325,5095,-0.65423,3.0478),(325,5105,-0.67466,2.9932),(325,5115,-0.66892,2.9378),(325,5125,-0.66317,2.8802),(325,5135,-0.41351,2.8225),(325,5145,-0.045467,2.7725),(325,5155,0.32257,2.8055),(325,5165,0.54335,2.8385),(325,5175,0.61394,2.8714),(325,5185,0.68452,2.9009),(325,5195,0.68061,2.9301),(325,5205,0.51608,2.9593),(325,5215,0.35155,2.9488),(325,5225,0.18782,2.9234),(325,5235,0.029087,2.8981),(325,5245,-0.12964,2.84),(325,5255,-0.28837,2.7551),(325,5265,-0.20116,2.6701),(325,5275,-0.10381,2.6191),(325,5285,-0.006453,2.6256),(325,5295,0.12604,2.6321),(325,5305,0.26832,2.6482),(325,5315,0.4106,2.7042),(325,5325,0.40047,2.7601),(325,5335,0.29041,2.8152),(325,5345,0.18035,2.8125),(325,5355,0.037721,2.8098),(325,5365,-0.14883,2.8071),(325,5375,-0.33538,2.7398),(325,5385,-0.46138,2.6598),(325,5395,-0.40328,2.5798),(325,5405,-0.34519,2.5206),(325,5415,-0.26622,2.4722),(325,5425,0.093025,2.4238),(325,5435,0.45227,2.4137),(325,5445,0.81152,2.4449),(325,5455,0.88912,2.4762),(325,5465,0.9323,2.5033),(325,5475,0.97548,2.5209),(325,5485,0.93076,2.5385),(325,5495,0.85063,2.5543),(325,5505,0.77051,2.5568),(325,5515,0.70539,2.5592),(325,5525,0.65334,2.5617),(325,5535,0.6013,2.5565),(325,5545,0.55546,2.5509),(325,5555,0.52083,2.5452),(325,5565,0.4862,2.5365),(325,5575,0.45351,2.5268),(325,5585,0.42973,2.5171),(325,5595,0.40595,2.506),(325,5605,0.38218,2.4939),(325,5615,0.36566,2.4818),(325,5625,0.34914,2.4689),(325,5635,0.33262,2.4548),(325,5645,0.32028,2.4407),(325,5655,0.30885,2.4263),(325,5665,0.29742,2.4106),(325,5675,0.28818,2.395),(325,5685,0.28015,2.3793),(325,5695,0.27213,2.362),(325,5705,0.26506,2.3448),(325,5715,0.25908,2.3275),(325,5725,0.2531,2.3085),(325,5735,0.24734,2.2893),(325,5745,0.24214,2.2701),(325,5755,0.23694,2.2494),(325,5765,0.23171,2.2281),(325,5775,0.2262,2.2067),(325,5785,0.22069,2.1838),(325,5795,0.21518,2.1594),(325,5805,0.20845,2.135),(325,5815,0.20163,2.1096),(325,5825,0.19481,2.0819),(325,5835,0.18627,2.0543),(325,5845,0.17716,2.0259),(325,5855,0.16805,1.9938),(325,5865,0.15703,1.9617),(325,5875,0.14458,1.9297),(325,5885,0.13214,1.8922),(325,5895,0.11778,1.8546),(325,5905,0.10052,1.8171),(325,5915,0.083258,1.7728),(325,5925,0.064668,1.7268),(325,5935,0.041308,1.6808),(325,5945,0.017947,1.6268),(325,5955,-0.005653,1.568),(325,5965,-0.035061,1.5091),(325,5975,-0.06447,1.4384),(325,5985,-0.093878,1.353),(325,5995,-0.077942,1.2676),(325,6005,-0.054709,1.2005),(325,6015,-0.031475,1.1824),(325,6025,0.063647,1.1643),(325,6035,0.19211,1.1484),(325,6045,0.32058,1.1525),(325,6055,0.39619,1.1566),(325,6065,0.41999,1.1608),(325,6075,0.44379,1.1533),(325,6085,0.45541,1.1447),(325,6095,0.44195,1.1361),(325,6105,0.42849,1.1235),(325,6115,0.41543,1.1094),(325,6125,0.40469,1.0954),(325,6135,0.39395,1.0794),(325,6145,0.38322,1.0619),(325,6155,0.37463,1.0445),(325,6165,0.36611,1.0261),(325,6175,0.35759,1.0063),(325,6185,0.35045,0.98644),(325,6195,0.34366,0.9664),(325,6205,0.33687,0.9455),(325,6215,0.3309,0.9246),(325,6225,0.32544,0.90368),(325,6235,0.31999,0.8819),(325,6245,0.31502,0.86013),(325,6255,0.31068,0.83835),(325,6265,0.30634,0.81598),(325,6275,0.30223,0.7935),(325,6285,0.29877,0.77102),(325,6295,0.29531,0.74823),(325,6305,0.2919,0.7253),(325,6315,0.28906,0.70236),(325,6325,0.28622,0.6793),(325,6335,0.28339,0.6561),(325,6345,0.28099,0.63289),(325,6355,0.27864,0.60961),(325,6365,0.2763,0.58615),(325,6375,0.27427,0.56269),(325,6385,0.27235,0.53921),(325,6395,0.27044,0.51562),(325,6405,0.26872,0.49203),(325,6415,0.26714,0.46843),(325,6425,0.26557,0.44468),(325,6435,0.26414,0.42092),(325,6445,0.26295,0.39716),(325,6455,0.26176,0.37327),(325,6465,0.26061,0.34934),(325,6475,0.25964,0.32541),(325,6485,0.25866,0.30147),(325,6495,0.25768,0.27753),(325,6505,0.25702,0.25359),(325,6515,0.25636,0.22965),(325,6525,0.2557,0.20571),(325,6535,0.25523,0.18177),(325,6545,0.25479,0.15778),(325,6555,0.25436,0.13362),(325,6565,0.25409,0.10946),(325,6575,0.2539,0.085292),(325,6585,0.2537,0.061088),(325,6595,0.21569,0.036884),(325,6605,0.13592,0.01268),(325,6615,0.056145,0.009787),(325,6625,6.6e-05,0.009633),(325,6635,6.8e-05,0.009478),(325,6645,7e-05,0.00943),(325,6655,7.2e-05,0.009424),(325,6665,7.4e-05,0.009419),(325,6675,7.5e-05,0.009414),(325,6685,7.7e-05,0.009408),(325,6695,7.8e-05,0.009402),(325,6705,7.9e-05,0.009397),(325,6715,8e-05,0.009391),(325,6725,8.1e-05,0.009385),(325,6735,8.2e-05,0.009379),(325,6745,8.3e-05,0.009373),(325,6755,8.4e-05,0.009367),(325,6765,8.5e-05,0.009362),(325,6775,8.6e-05,0.009356),(325,6785,8.7e-05,0.00935),(325,6795,8.8e-05,0.009344),(325,6805,8.9e-05,0.009338),(325,6815,9e-05,0.009332),(325,6825,9.1e-05,0.009325),(325,6835,9.1e-05,0.009319),(325,6845,9.2e-05,0.009313),(325,6855,9.3e-05,0.009307),(325,6865,9.4e-05,0.009301),(325,6875,9.5e-05,0.009295),(325,6885,9.5e-05,0.009288),(325,6895,9.6e-05,0.009282),(325,6905,9.7e-05,0.009276),(325,6915,9.7e-05,0.009269),(325,6925,9.8e-05,0.009263),(325,6935,9.8e-05,0.009256),(325,6945,9.9e-05,0.00925),(325,6955,0.0001,0.009244),(325,6965,0.0001,0.009237),(325,6975,0.000101,0.009231),(325,6985,0.000101,0.009224),(335,5,1.7e-05,3.6652),(335,15,5.2e-05,3.6652),(335,25,8.7e-05,3.6652),(335,35,0.000122,3.6652),(335,45,0.000157,3.6652),(335,55,0.000192,3.6652),(335,65,0.000226,3.6652),(335,75,0.000261,3.6652),(335,85,0.000296,3.6652),(335,95,0.000331,3.6651),(335,105,0.000366,3.6651),(335,115,0.000401,3.6651),(335,125,0.000436,3.6651),(335,135,0.000471,3.6651),(335,145,0.000506,3.665),(335,155,0.000541,3.665),(335,165,0.000577,3.665),(335,175,0.000612,3.6649),(335,185,0.000647,3.6649),(335,195,0.000683,3.6648),(335,205,0.000718,3.6648),(335,215,0.000754,3.6648),(335,225,0.00079,3.6647),(335,235,0.000825,3.6647),(335,245,0.000861,3.6646),(335,255,0.000897,3.6646),(335,265,0.000933,3.6645),(335,275,0.000969,3.6644),(335,285,0.001005,3.6644),(335,295,0.001041,3.6643),(335,305,0.001077,3.6643),(335,315,0.001114,3.6642),(335,325,0.00115,3.6641),(335,335,0.001187,3.6641),(335,345,0.001223,3.664),(335,355,0.00126,3.6639),(335,365,0.001297,3.6638),(335,375,0.001334,3.6637),(335,385,0.001371,3.6637),(335,395,0.001409,3.6636),(335,405,0.001446,3.6635),(335,415,0.001484,3.6634),(335,425,0.001522,3.6633),(335,435,0.00156,3.6632),(335,445,0.001598,3.6631),(335,455,0.001636,3.663),(335,465,0.001674,3.6629),(335,475,0.001713,3.6628),(335,485,0.001751,3.6627),(335,495,0.00179,3.6626),(335,505,0.001829,3.6625),(335,515,0.001868,3.6624),(335,525,0.001907,3.6623),(335,535,0.001946,3.6622),(335,545,0.001986,3.662),(335,555,0.002026,3.6619),(335,565,0.002066,3.6618),(335,575,0.002105,3.6617),(335,585,0.002146,3.6615),(335,595,0.002187,3.6614),(335,605,0.002227,3.6613),(335,615,0.002268,3.6611),(335,625,0.00231,3.661),(335,635,0.002351,3.6609),(335,645,0.002392,3.6607),(335,655,0.002434,3.6606),(335,665,0.002476,3.6604),(335,675,0.002518,3.6603),(335,685,0.00256,3.6601),(335,695,0.002603,3.66),(335,705,0.002646,3.6598),(335,715,0.002689,3.6596),(335,725,0.002732,3.6595),(335,735,0.002775,3.6593),(335,745,0.002819,3.6591),(335,755,0.002863,3.659),(335,765,0.002907,3.6588),(335,775,0.002952,3.6586),(335,785,0.002997,3.6584),(335,795,0.003042,3.6582),(335,805,0.003087,3.6581),(335,815,0.003132,3.6579),(335,825,0.003178,3.6577),(335,835,0.003224,3.6575),(335,845,0.00327,3.6573),(335,855,0.003316,3.6571),(335,865,0.003363,3.6569),(335,875,0.00341,3.6567),(335,885,0.003457,3.6565),(335,895,0.003505,3.6563),(335,905,0.003553,3.6561),(335,915,0.003601,3.6558),(335,925,0.003649,3.6556),(335,935,0.003698,3.6554),(335,945,0.003747,3.6552),(335,955,0.003796,3.6549),(335,965,0.003846,3.6547),(335,975,0.003896,3.6545),(335,985,0.003946,3.6542),(335,995,0.003996,3.654),(335,1005,0.004047,3.6537),(335,1015,0.004098,3.6535),(335,1025,0.004149,3.6533),(335,1035,0.004201,3.653),(335,1045,0.004253,3.6527),(335,1055,0.004305,3.6525),(335,1065,0.004358,3.6522),(335,1075,0.004411,3.652),(335,1085,0.004464,3.6517),(335,1095,0.004518,3.6514),(335,1105,0.004572,3.6511),(335,1115,0.004626,3.6509),(335,1125,0.00468,3.6506),(335,1135,0.004735,3.6503),(335,1145,0.00479,3.65),(335,1155,0.004846,3.6497),(335,1165,0.004901,3.6494),(335,1175,0.004957,3.6491),(335,1185,0.005014,3.6488),(335,1195,0.005071,3.6485),(335,1205,0.005127,3.6482),(335,1215,0.005185,3.6479),(335,1225,0.005243,3.6476),(335,1235,0.005301,3.6472),(335,1245,0.005359,3.6469),(335,1255,0.005418,3.6466),(335,1265,0.005477,3.6463),(335,1275,0.005537,3.6459),(335,1285,0.005596,3.6456),(335,1295,0.005657,3.6452),(335,1305,0.005718,3.6449),(335,1315,0.005778,3.6446),(335,1325,0.005839,3.6442),(335,1335,0.005901,3.6438),(335,1345,0.005964,3.6435),(335,1355,0.006026,3.6431),(335,1365,0.006088,3.6428),(335,1375,0.006152,3.6424),(335,1385,0.006215,3.642),(335,1395,0.006279,3.6416),(335,1405,0.006343,3.6412),(335,1415,0.006408,3.6409),(335,1425,0.006472,3.6405),(335,1435,0.006537,3.6401),(335,1445,0.006603,3.6397),(335,1455,0.006669,3.6393),(335,1465,0.006735,3.6389),(335,1475,0.006802,3.6385),(335,1485,0.006868,3.638),(335,1495,0.006936,3.6376),(335,1505,0.007004,3.6372),(335,1515,0.007072,3.6368),(335,1525,0.00714,3.6363),(335,1535,0.007209,3.6359),(335,1545,0.007279,3.6355),(335,1555,0.007348,3.635),(335,1565,0.007417,3.6346),(335,1575,0.007488,3.6341),(335,1585,0.007559,3.6337),(335,1595,0.00763,3.6332),(335,1605,0.007701,3.6327),(335,1615,0.007773,3.6323),(335,1625,0.007846,3.6318),(335,1635,0.007918,3.6313),(335,1645,0.00799,3.6308),(335,1655,0.008064,3.6303),(335,1665,0.008138,3.6298),(335,1675,0.008211,3.6293),(335,1685,0.008285,3.6288),(335,1695,0.00836,3.6283),(335,1705,0.008436,3.6278),(335,1715,0.008511,3.6273),(335,1725,0.008586,3.6268),(335,1735,0.008663,3.6263),(335,1745,0.008739,3.6257),(335,1755,0.008816,3.6252),(335,1765,0.008893,3.6247),(335,1775,0.008971,3.6241),(335,1785,0.009049,3.6236),(335,1795,0.009127,3.623),(335,1805,0.009206,3.6225),(335,1815,0.009285,3.6219),(335,1825,0.009365,3.6213),(335,1835,0.009444,3.6207),(335,1845,0.009524,3.6202),(335,1855,0.009605,3.6196),(335,1865,0.009686,3.619),(335,1875,0.009767,3.6184),(335,1885,0.009849,3.6178),(335,1895,0.009931,3.6172),(335,1905,0.010013,3.6166),(335,1915,0.010096,3.616),(335,1925,0.010179,3.6154),(335,1935,0.010262,3.6148),(335,1945,0.010346,3.6141),(335,1955,0.01043,3.6135),(335,1965,0.010514,3.6129),(335,1975,0.010599,3.6122),(335,1985,0.010684,3.6116),(335,1995,0.010769,3.6109),(335,2005,0.010855,3.6103),(335,2015,0.010941,3.6096),(335,2025,0.011028,3.6089),(335,2035,0.011114,3.6083),(335,2045,0.011202,3.6076),(335,2055,0.01129,3.6069),(335,2065,0.011378,3.6062),(335,2075,0.011466,3.6055),(335,2085,0.011554,3.6048),(335,2095,0.011644,3.6041),(335,2105,0.011734,3.6034),(335,2115,0.011823,3.6027),(335,2125,0.011914,3.6019),(335,2135,0.012005,3.6012),(335,2145,0.012096,3.6005),(335,2155,0.012187,3.5997),(335,2165,0.01228,3.599),(335,2175,0.012372,3.5983),(335,2185,0.012465,3.5975),(335,2195,0.012558,3.5967),(335,2205,0.012652,3.596),(335,2215,0.012746,3.5952),(335,2225,0.012841,3.5944),(335,2235,0.012935,3.5936),(335,2245,0.013031,3.5929),(335,2255,0.013127,3.5921),(335,2265,0.013223,3.5913),(335,2275,0.01332,3.5905),(335,2285,0.013417,3.5897),(335,2295,0.013516,3.5888),(335,2305,0.013614,3.588),(335,2315,0.013712,3.5872),(335,2325,0.013812,3.5864),(335,2335,0.013912,3.5855),(335,2345,0.014012,3.5847),(335,2355,0.014113,3.5838),(335,2365,0.014215,3.583),(335,2375,0.014318,3.5821),(335,2385,0.01442,3.5812),(335,2395,0.014523,3.5804),(335,2405,0.014628,3.5795),(335,2415,0.014733,3.5786),(335,2425,0.014838,3.5777),(335,2435,0.014944,3.5768),(335,2445,0.015052,3.5759),(335,2455,0.01516,3.575),(335,2465,0.015268,3.5741),(335,2475,0.015376,3.5732),(335,2485,0.015487,3.5722),(335,2495,0.015599,3.5713),(335,2505,0.01571,3.5704),(335,2515,0.015821,3.5694),(335,2525,0.015937,3.5685),(335,2535,0.016052,3.5675),(335,2545,0.016167,3.5665),(335,2555,0.016282,3.5656),(335,2565,0.016402,3.5646),(335,2575,0.016522,3.5636),(335,2585,0.016641,3.5626),(335,2595,0.016761,3.5616),(335,2605,0.016886,3.5606),(335,2615,0.01701,3.5596),(335,2625,0.017135,3.5586),(335,2635,0.01726,3.5576),(335,2645,0.01739,3.5566),(335,2655,0.017521,3.5556),(335,2665,0.017651,3.5545),(335,2675,0.017783,3.5535),(335,2685,0.01792,3.5524),(335,2695,0.018057,3.5514),(335,2705,0.018195,3.5503),(335,2715,0.018334,3.5492),(335,2725,0.018479,3.5482),(335,2735,0.018625,3.5471),(335,2745,0.01877,3.546),(335,2755,0.018918,3.5449),(335,2765,0.019073,3.5438),(335,2775,0.019227,3.5427),(335,2785,0.019382,3.5416),(335,2795,0.01954,3.5404),(335,2805,0.019706,3.5393),(335,2815,0.019872,3.5382),(335,2825,0.020038,3.537),(335,2835,0.020208,3.5359),(335,2845,0.020386,3.5347),(335,2855,0.020565,3.5336),(335,2865,0.020744,3.5324),(335,2875,0.020929,3.5312),(335,2885,0.021123,3.53),(335,2895,0.021317,3.5288),(335,2905,0.021512,3.5276),(335,2915,0.021714,3.5264),(335,2925,0.021926,3.5252),(335,2935,0.022139,3.524),(335,2945,0.022351,3.5228),(335,2955,0.022574,3.5215),(335,2965,0.022808,3.5203),(335,2975,0.023042,3.519),(335,2985,0.023276,3.5178),(335,2995,0.023523,3.5165),(335,3005,0.023782,3.5152),(335,3015,0.024042,3.514),(335,3025,0.024301,3.5127),(335,3035,0.024577,3.5114),(335,3045,0.024867,3.5101),(335,3055,0.025156,3.5088),(335,3065,0.025446,3.5074),(335,3075,0.025756,3.5061),(335,3085,0.026082,3.5048),(335,3095,0.026408,3.5034),(335,3105,0.026733,3.502),(335,3115,0.027085,3.5007),(335,3125,0.027453,3.4993),(335,3135,0.027821,3.4979),(335,3145,0.028189,3.4965),(335,3155,0.028591,3.4951),(335,3165,0.029009,3.4937),(335,3175,0.029428,3.4923),(335,3185,0.029847,3.4909),(335,3195,0.030308,3.4894),(335,3205,0.030787,3.488),(335,3215,0.031267,3.4865),(335,3225,0.031746,3.4851),(335,3235,0.032278,3.4836),(335,3245,0.032829,3.4821),(335,3255,0.033381,3.4806),(335,3265,0.033932,3.4791),(335,3275,0.034549,3.4776),(335,3285,0.035187,3.4761),(335,3295,0.035824,3.4745),(335,3305,0.036462,3.473),(335,3315,0.037183,3.4714),(335,3325,0.037924,3.4699),(335,3335,0.038664,3.4683),(335,3345,0.039405,3.4667),(335,3355,0.040251,3.4651),(335,3365,0.041116,3.4636),(335,3375,0.04198,3.4619),(335,3385,0.042845,3.4603),(335,3395,0.043841,3.4587),(335,3405,0.044855,3.4571),(335,3415,0.045868,3.4554),(335,3425,0.046882,3.4538),(335,3435,0.048061,3.4521),(335,3445,0.049254,3.4504),(335,3455,0.050447,3.4488),(335,3465,0.05164,3.4471),(335,3475,0.053041,3.4454),(335,3485,0.054451,3.4437),(335,3495,0.05586,3.442),(335,3505,0.057271,3.4404),(335,3515,0.058943,3.4387),(335,3525,0.060615,3.437),(335,3535,0.062287,3.4353),(335,3545,0.063973,3.4336),(335,3555,0.065963,3.4319),(335,3565,0.067953,3.4302),(335,3575,0.069944,3.4286),(335,3585,0.071967,3.427),(335,3595,0.074345,3.4253),(335,3605,0.076722,3.4237),(335,3615,0.0791,3.4221),(335,3625,0.081536,3.4206),(335,3635,0.084386,3.419),(335,3645,0.087236,3.4175),(335,3655,0.090086,3.4161),(335,3665,0.09303,3.4147),(335,3675,0.096456,3.4133),(335,3685,0.099883,3.412),(335,3695,0.10331,3.4108),(335,3705,0.10688,3.4097),(335,3715,0.11101,3.4086),(335,3725,0.11514,3.4076),(335,3735,0.11927,3.4069),(335,3745,0.12361,3.4063),(335,3755,0.12859,3.4056),(335,3765,0.13357,3.4052),(335,3775,0.13855,3.4053),(335,3785,0.14382,3.4054),(335,3795,0.14982,3.4055),(335,3805,0.15581,3.4059),(335,3815,0.16181,3.4073),(335,3825,0.16816,3.4087),(335,3835,0.17528,3.41),(335,3845,0.18239,3.4121),(335,3855,0.1895,3.4156),(335,3865,0.19696,3.4191),(335,3875,0.20501,3.4226),(335,3885,0.21307,3.4275),(335,3895,0.22112,3.4347),(335,3905,0.26354,3.4419),(335,3915,0.35731,3.4491),(335,3925,0.45107,3.4616),(335,3935,0.54483,3.4812),(335,3945,0.60287,3.5008),(335,3955,0.61556,3.5204),(335,3965,0.62824,3.5338),(335,3975,0.64092,3.5398),(335,3985,0.62175,3.5457),(335,3995,0.56811,3.5517),(335,4005,0.51447,3.5546),(335,4015,0.46083,3.5545),(335,4025,0.42261,3.5544),(335,4035,0.38591,3.5534),(335,4045,0.34921,3.5507),(335,4055,0.31369,3.5479),(335,4065,0.2786,3.5447),(335,4075,0.24352,3.5388),(335,4085,0.20971,3.5328),(335,4095,0.17693,3.5269),(335,4105,0.14415,3.5141),(335,4115,0.11074,3.5011),(335,4125,0.076263,3.488),(335,4135,0.041789,3.4688),(335,4145,0.023567,3.4478),(335,4155,0.071177,3.4269),(335,4165,0.11879,3.4278),(335,4175,0.16557,3.4428),(335,4185,0.17161,3.4578),(335,4195,0.17765,3.4682),(335,4205,0.18368,3.4724),(335,4215,0.13942,3.4766),(335,4225,0.085694,3.4771),(335,4235,0.031966,3.4668),(335,4245,0.000126,3.4566),(335,4255,-0.020607,3.4459),(335,4265,-0.04134,3.4293),(335,4275,-0.044769,3.4127),(335,4285,-0.029837,3.3961),(335,4295,-0.014904,3.3886),(335,4305,0.048277,3.3821),(335,4315,0.2204,3.3755),(335,4325,0.39253,3.3987),(335,4335,0.53466,3.4336),(335,4345,0.47371,3.4685),(335,4355,0.41277,3.49),(335,4365,0.35183,3.5001),(335,4375,0.26301,3.5102),(335,4385,0.17274,3.5104),(335,4395,0.082469,3.493),(335,4405,0.016047,3.4757),(335,4415,-0.043342,3.4566),(335,4425,-0.10273,3.4297),(335,4435,-0.038876,3.4028),(335,4445,0.1092,3.3761),(335,4455,0.25728,3.4022),(335,4465,0.35055,3.4283),(335,4475,0.36681,3.4544),(335,4485,0.38308,3.47),(335,4495,0.36936,3.4835),(335,4505,0.25944,3.4969),(335,4515,0.14951,3.4905),(335,4525,0.040779,3.4733),(335,4535,-0.049111,3.4562),(335,4545,-0.139,3.4259),(335,4555,-0.22889,3.381),(335,4565,-0.1511,3.336),(335,4575,-0.050695,3.3083),(335,4585,0.049706,3.3223),(335,4595,0.12887,3.3363),(335,4605,0.19907,3.3517),(335,4615,0.26926,3.378),(335,4625,0.2769,3.4044),(335,4635,0.2279,3.4307),(335,4645,0.1789,3.4374),(335,4655,0.094753,3.4428),(335,4665,-0.055649,3.4481),(335,4675,-0.20605,3.4222),(335,4685,-0.32899,3.3861),(335,4695,-0.31623,3.3501),(335,4705,-0.30347,3.3163),(335,4715,-0.29071,3.2843),(335,4725,-0.048026,3.2522),(335,4735,0.19696,3.2499),(335,4745,0.44195,3.292),(335,4755,0.43325,3.3341),(335,4765,0.36575,3.3697),(335,4775,0.29826,3.3824),(335,4785,0.17529,3.395),(335,4795,0.020255,3.4056),(335,4805,-0.13478,3.3701),(335,4815,-0.25669,3.3346),(335,4825,-0.33899,3.299),(335,4835,-0.42128,3.2414),(335,4845,-0.40687,3.1804),(335,4855,-0.14033,3.1193),(335,4865,0.1262,3.1198),(335,4875,0.37728,3.1482),(335,4885,0.48772,3.1765),(335,4895,0.59817,3.2097),(335,4905,0.70861,3.2474),(335,4915,0.54448,3.2852),(335,4925,0.35674,3.3078),(335,4935,0.169,3.2998),(335,4945,0.020836,3.2918),(335,4955,-0.1136,3.2775),(335,4965,-0.24805,3.2283),(335,4975,-0.26205,3.1792),(335,4985,-0.18309,3.1301),(335,4995,-0.10413,3.1114),(335,5005,-0.020763,3.0934),(335,5015,0.069619,3.0754),(335,5025,0.16,3.0947),(335,5035,0.2075,3.1236),(335,5045,0.09162,3.1525),(335,5055,-0.02426,3.1588),(335,5065,-0.14133,3.1512),(335,5075,-0.29714,3.1436),(335,5085,-0.45295,3.1149),(335,5095,-0.60876,3.0595),(335,5105,-0.62525,3.0041),(335,5115,-0.61744,2.9478),(335,5125,-0.60962,2.8887),(335,5135,-0.3784,2.8297),(335,5145,-0.038756,2.7784),(335,5155,0.30089,2.8117),(335,5165,0.50722,2.845),(335,5175,0.57758,2.8783),(335,5185,0.64794,2.9061),(335,5195,0.64913,2.9333),(335,5205,0.50121,2.9605),(335,5215,0.35329,2.9485),(335,5225,0.20638,2.9218),(335,5235,0.065765,2.895),(335,5245,-0.074847,2.8376),(335,5255,-0.21546,2.755),(335,5265,-0.1514,2.6724),(335,5275,-0.078898,2.6221),(335,5285,-0.006398,2.6266),(335,5295,0.10775,2.6311),(335,5305,0.23349,2.645),(335,5315,0.35923,2.6979),(335,5325,0.35265,2.7508),(335,5335,0.25929,2.8029),(335,5345,0.16593,2.8006),(335,5355,0.042701,2.7982),(335,5365,-0.12082,2.7958),(335,5375,-0.28435,2.7305),(335,5385,-0.39488,2.653),(335,5395,-0.34431,2.5754),(335,5405,-0.29373,2.518),(335,5415,-0.22352,2.4712),(335,5425,0.11052,2.4244),(335,5435,0.44456,2.4154),(335,5445,0.77861,2.4473),(335,5455,0.85658,2.4791),(335,5465,0.90325,2.5069),(335,5475,0.94992,2.5251),(335,5485,0.90968,2.5434),(335,5495,0.83443,2.5596),(335,5505,0.75918,2.5621),(335,5515,0.69764,2.5645),(335,5525,0.64802,2.567),(335,5535,0.5984,2.5617),(335,5545,0.55456,2.556),(335,5555,0.52115,2.5503),(335,5565,0.48775,2.5415),(335,5575,0.45618,2.5318),(335,5585,0.43308,2.5221),(335,5595,0.40999,2.5109),(335,5605,0.38689,2.4987),(335,5615,0.37077,2.4865),(335,5625,0.35466,2.4734),(335,5635,0.33854,2.4591),(335,5645,0.32651,2.4449),(335,5655,0.31536,2.4302),(335,5665,0.30421,2.4143),(335,5675,0.29524,2.3984),(335,5685,0.28747,2.3824),(335,5695,0.2797,2.3648),(335,5705,0.2729,2.3472),(335,5715,0.26721,2.3296),(335,5725,0.26153,2.3102),(335,5735,0.2561,2.2906),(335,5745,0.2513,2.2709),(335,5755,0.24651,2.2498),(335,5765,0.24169,2.2279),(335,5775,0.23673,2.2061),(335,5785,0.23177,2.1827),(335,5795,0.22681,2.1578),(335,5805,0.22081,2.1329),(335,5815,0.21474,2.1069),(335,5825,0.20867,2.0787),(335,5835,0.20105,2.0504),(335,5845,0.19292,2.0215),(335,5855,0.1848,1.9887),(335,5865,0.17501,1.9559),(335,5875,0.16399,1.9232),(335,5885,0.15297,1.8848),(335,5895,0.14034,1.8463),(335,5905,0.12526,1.8079),(335,5915,0.11018,1.7624),(335,5925,0.09411,1.7153),(335,5935,0.074488,1.6682),(335,5945,0.054865,1.6132),(335,5955,0.035145,1.5535),(335,5965,0.013045,1.4939),(335,5975,-0.009054,1.4237),(335,5985,-0.031154,1.3408),(335,5995,-0.027687,1.2579),(335,6005,-0.020105,1.1934),(335,6015,-0.012524,1.1778),(335,6025,0.072479,1.1622),(335,6035,0.19339,1.1483),(335,6045,0.3143,1.1506),(335,6055,0.38745,1.153),(335,6065,0.41378,1.1554),(335,6075,0.4401,1.1476),(335,6085,0.45403,1.139),(335,6095,0.44241,1.1303),(335,6105,0.4308,1.1179),(335,6115,0.41947,1.1042),(335,6125,0.40976,1.0905),(335,6135,0.40004,1.0748),(335,6145,0.39032,1.0577),(335,6155,0.38239,1.0406),(335,6165,0.3745,1.0226),(335,6175,0.36662,1.003),(335,6185,0.35993,0.98353),(335,6195,0.35355,0.96378),(335,6205,0.34718,0.94312),(335,6215,0.34154,0.92247),(335,6225,0.33636,0.90179),(335,6235,0.33118,0.88023),(335,6245,0.32644,0.85868),(335,6255,0.32228,0.83712),(335,6265,0.31812,0.81492),(335,6275,0.31418,0.7926),(335,6285,0.31086,0.77029),(335,6295,0.30754,0.74762),(335,6305,0.30426,0.72478),(335,6315,0.30154,0.70194),(335,6325,0.29881,0.67895),(335,6335,0.29608,0.6558),(335,6345,0.29377,0.63266),(335,6355,0.2915,0.60944),(335,6365,0.28923,0.58602),(335,6375,0.28727,0.56261),(335,6385,0.28541,0.53917),(335,6395,0.28356,0.5156),(335,6405,0.28187,0.49204),(335,6415,0.28033,0.46847),(335,6425,0.27879,0.44475),(335,6435,0.27739,0.42103),(335,6445,0.27622,0.39731),(335,6455,0.27505,0.37342),(335,6465,0.27392,0.34947),(335,6475,0.27295,0.32552),(335,6485,0.27199,0.30159),(335,6495,0.27103,0.27767),(335,6505,0.27038,0.25375),(335,6515,0.26974,0.22982),(335,6525,0.26909,0.20587),(335,6535,0.26862,0.18192),(335,6545,0.26819,0.15792),(335,6555,0.26776,0.13376),(335,6565,0.2675,0.1096),(335,6575,0.26732,0.08544),(335,6585,0.26714,0.061267),(335,6595,0.22713,0.037095),(335,6605,0.14312,0.012922),(335,6615,0.05912,0.009965),(335,6625,6.9e-05,0.009734),(335,6635,7.1e-05,0.009503),(335,6645,7.3e-05,0.009432),(335,6655,7.5e-05,0.009426),(335,6665,7.6e-05,0.009421),(335,6675,7.8e-05,0.009415),(335,6685,7.9e-05,0.009409),(335,6695,8e-05,0.009404),(335,6705,8.2e-05,0.009398),(335,6715,8.3e-05,0.009392),(335,6725,8.4e-05,0.009386),(335,6735,8.5e-05,0.00938),(335,6745,8.6e-05,0.009374),(335,6755,8.7e-05,0.009368),(335,6765,8.8e-05,0.009363),(335,6775,8.9e-05,0.009357),(335,6785,9e-05,0.009351),(335,6795,9.1e-05,0.009345),(335,6805,9.2e-05,0.009339),(335,6815,9.3e-05,0.009333),(335,6825,9.4e-05,0.009326),(335,6835,9.4e-05,0.00932),(335,6845,9.5e-05,0.009314),(335,6855,9.6e-05,0.009308),(335,6865,9.7e-05,0.009302),(335,6875,9.8e-05,0.009295),(335,6885,9.8e-05,0.009289),(335,6895,9.9e-05,0.009283),(335,6905,0.0001,0.009276),(335,6915,0.0001,0.00927),(335,6925,0.000101,0.009263),(335,6935,0.000102,0.009257),(335,6945,0.000102,0.009251),(335,6955,0.000103,0.009244),(335,6965,0.000103,0.009238),(335,6975,0.000104,0.009231),(335,6985,0.000105,0.009225),(345,5,1.8e-05,3.6653),(345,15,5.4e-05,3.6653),(345,25,9e-05,3.6653),(345,35,0.000126,3.6653),(345,45,0.000161,3.6653),(345,55,0.000197,3.6652),(345,65,0.000233,3.6652),(345,75,0.000269,3.6652),(345,85,0.000305,3.6652),(345,95,0.00034,3.6652),(345,105,0.000376,3.6652),(345,115,0.000412,3.6651),(345,125,0.000448,3.6651),(345,135,0.000484,3.6651),(345,145,0.000521,3.6651),(345,155,0.000557,3.665),(345,165,0.000593,3.665),(345,175,0.00063,3.665),(345,185,0.000666,3.6649),(345,195,0.000703,3.6649),(345,205,0.000739,3.6648),(345,215,0.000776,3.6648),(345,225,0.000813,3.6647),(345,235,0.000849,3.6647),(345,245,0.000886,3.6646),(345,255,0.000923,3.6646),(345,265,0.00096,3.6645),(345,275,0.000997,3.6645),(345,285,0.001034,3.6644),(345,295,0.001071,3.6644),(345,305,0.001109,3.6643),(345,315,0.001146,3.6642),(345,325,0.001184,3.6642),(345,335,0.001221,3.6641),(345,345,0.001259,3.664),(345,355,0.001297,3.6639),(345,365,0.001335,3.6639),(345,375,0.001373,3.6638),(345,385,0.001411,3.6637),(345,395,0.00145,3.6636),(345,405,0.001488,3.6635),(345,415,0.001527,3.6634),(345,425,0.001566,3.6633),(345,435,0.001605,3.6633),(345,445,0.001644,3.6632),(345,455,0.001683,3.6631),(345,465,0.001723,3.663),(345,475,0.001762,3.6629),(345,485,0.001802,3.6628),(345,495,0.001842,3.6626),(345,505,0.001882,3.6625),(345,515,0.001922,3.6624),(345,525,0.001962,3.6623),(345,535,0.002003,3.6622),(345,545,0.002044,3.6621),(345,555,0.002085,3.662),(345,565,0.002126,3.6618),(345,575,0.002167,3.6617),(345,585,0.002208,3.6616),(345,595,0.00225,3.6614),(345,605,0.002292,3.6613),(345,615,0.002334,3.6612),(345,625,0.002377,3.661),(345,635,0.002419,3.6609),(345,645,0.002462,3.6608),(345,655,0.002505,3.6606),(345,665,0.002548,3.6605),(345,675,0.002592,3.6603),(345,685,0.002635,3.6602),(345,695,0.002679,3.66),(345,705,0.002723,3.6598),(345,715,0.002767,3.6597),(345,725,0.002812,3.6595),(345,735,0.002856,3.6593),(345,745,0.002901,3.6592),(345,755,0.002947,3.659),(345,765,0.002992,3.6588),(345,775,0.003038,3.6587),(345,785,0.003084,3.6585),(345,795,0.00313,3.6583),(345,805,0.003177,3.6581),(345,815,0.003223,3.6579),(345,825,0.003271,3.6577),(345,835,0.003318,3.6575),(345,845,0.003365,3.6573),(345,855,0.003413,3.6571),(345,865,0.003461,3.6569),(345,875,0.00351,3.6567),(345,885,0.003558,3.6565),(345,895,0.003607,3.6563),(345,905,0.003656,3.6561),(345,915,0.003706,3.6559),(345,925,0.003756,3.6557),(345,935,0.003805,3.6554),(345,945,0.003856,3.6552),(345,955,0.003907,3.655),(345,965,0.003958,3.6548),(345,975,0.004009,3.6545),(345,985,0.004061,3.6543),(345,995,0.004113,3.654),(345,1005,0.004165,3.6538),(345,1015,0.004217,3.6535),(345,1025,0.00427,3.6533),(345,1035,0.004323,3.653),(345,1045,0.004377,3.6528),(345,1055,0.00443,3.6525),(345,1065,0.004485,3.6523),(345,1075,0.00454,3.652),(345,1085,0.004594,3.6517),(345,1095,0.004649,3.6515),(345,1105,0.004705,3.6512),(345,1115,0.004761,3.6509),(345,1125,0.004817,3.6506),(345,1135,0.004873,3.6503),(345,1145,0.00493,3.6501),(345,1155,0.004987,3.6498),(345,1165,0.005044,3.6495),(345,1175,0.005102,3.6492),(345,1185,0.005161,3.6489),(345,1195,0.005219,3.6486),(345,1205,0.005277,3.6482),(345,1215,0.005337,3.6479),(345,1225,0.005396,3.6476),(345,1235,0.005456,3.6473),(345,1245,0.005515,3.647),(345,1255,0.005576,3.6467),(345,1265,0.005638,3.6463),(345,1275,0.005699,3.646),(345,1285,0.00576,3.6456),(345,1295,0.005822,3.6453),(345,1305,0.005885,3.645),(345,1315,0.005948,3.6446),(345,1325,0.00601,3.6443),(345,1335,0.006074,3.6439),(345,1345,0.006138,3.6436),(345,1355,0.006202,3.6432),(345,1365,0.006267,3.6428),(345,1375,0.006332,3.6424),(345,1385,0.006397,3.6421),(345,1395,0.006463,3.6417),(345,1405,0.006528,3.6413),(345,1415,0.006595,3.6409),(345,1425,0.006662,3.6405),(345,1435,0.006729,3.6401),(345,1445,0.006796,3.6397),(345,1455,0.006865,3.6393),(345,1465,0.006933,3.6389),(345,1475,0.007002,3.6385),(345,1485,0.00707,3.6381),(345,1495,0.00714,3.6377),(345,1505,0.00721,3.6373),(345,1515,0.00728,3.6368),(345,1525,0.00735,3.6364),(345,1535,0.007421,3.636),(345,1545,0.007493,3.6355),(345,1555,0.007564,3.6351),(345,1565,0.007636,3.6346),(345,1575,0.007709,3.6342),(345,1585,0.007782,3.6337),(345,1595,0.007854,3.6333),(345,1605,0.007928,3.6328),(345,1615,0.008002,3.6323),(345,1625,0.008076,3.6319),(345,1635,0.008151,3.6314),(345,1645,0.008226,3.6309),(345,1655,0.008301,3.6304),(345,1665,0.008377,3.6299),(345,1675,0.008453,3.6294),(345,1685,0.008529,3.6289),(345,1695,0.008607,3.6284),(345,1705,0.008684,3.6279),(345,1715,0.008762,3.6274),(345,1725,0.008839,3.6269),(345,1735,0.008918,3.6263),(345,1745,0.008997,3.6258),(345,1755,0.009076,3.6253),(345,1765,0.009155,3.6247),(345,1775,0.009235,3.6242),(345,1785,0.009316,3.6236),(345,1795,0.009396,3.6231),(345,1805,0.009477,3.6225),(345,1815,0.009559,3.622),(345,1825,0.009641,3.6214),(345,1835,0.009723,3.6208),(345,1845,0.009805,3.6203),(345,1855,0.009888,3.6197),(345,1865,0.009972,3.6191),(345,1875,0.010055,3.6185),(345,1885,0.010139,3.6179),(345,1895,0.010224,3.6173),(345,1905,0.010309,3.6167),(345,1915,0.010394,3.6161),(345,1925,0.010479,3.6155),(345,1935,0.010565,3.6148),(345,1945,0.010651,3.6142),(345,1955,0.010738,3.6136),(345,1965,0.010824,3.6129),(345,1975,0.010912,3.6123),(345,1985,0.011,3.6117),(345,1995,0.011087,3.611),(345,2005,0.011176,3.6103),(345,2015,0.011265,3.6097),(345,2025,0.011354,3.609),(345,2035,0.011443,3.6083),(345,2045,0.011533,3.6077),(345,2055,0.011623,3.607),(345,2065,0.011714,3.6063),(345,2075,0.011804,3.6056),(345,2085,0.011896,3.6049),(345,2095,0.011988,3.6042),(345,2105,0.01208,3.6035),(345,2115,0.012172,3.6028),(345,2125,0.012265,3.602),(345,2135,0.012359,3.6013),(345,2145,0.012453,3.6006),(345,2155,0.012547,3.5998),(345,2165,0.012642,3.5991),(345,2175,0.012737,3.5984),(345,2185,0.012833,3.5976),(345,2195,0.012928,3.5968),(345,2205,0.013025,3.5961),(345,2215,0.013122,3.5953),(345,2225,0.013219,3.5945),(345,2235,0.013317,3.5937),(345,2245,0.013415,3.593),(345,2255,0.013514,3.5922),(345,2265,0.013613,3.5914),(345,2275,0.013712,3.5906),(345,2285,0.013812,3.5897),(345,2295,0.013913,3.5889),(345,2305,0.014014,3.5881),(345,2315,0.014115,3.5873),(345,2325,0.014218,3.5865),(345,2335,0.014321,3.5856),(345,2345,0.014424,3.5848),(345,2355,0.014528,3.5839),(345,2365,0.014633,3.5831),(345,2375,0.014738,3.5822),(345,2385,0.014844,3.5813),(345,2395,0.014949,3.5805),(345,2405,0.015057,3.5796),(345,2415,0.015165,3.5787),(345,2425,0.015273,3.5778),(345,2435,0.015381,3.5769),(345,2445,0.015492,3.576),(345,2455,0.015603,3.5751),(345,2465,0.015714,3.5742),(345,2475,0.015825,3.5733),(345,2485,0.015939,3.5723),(345,2495,0.016054,3.5714),(345,2505,0.016168,3.5705),(345,2515,0.016282,3.5695),(345,2525,0.016401,3.5686),(345,2535,0.016519,3.5676),(345,2545,0.016637,3.5667),(345,2555,0.016756,3.5657),(345,2565,0.016878,3.5647),(345,2575,0.017001,3.5637),(345,2585,0.017123,3.5628),(345,2595,0.017246,3.5618),(345,2605,0.017374,3.5608),(345,2615,0.017501,3.5598),(345,2625,0.017629,3.5587),(345,2635,0.017757,3.5577),(345,2645,0.017891,3.5567),(345,2655,0.018024,3.5557),(345,2665,0.018158,3.5546),(345,2675,0.018293,3.5536),(345,2685,0.018433,3.5526),(345,2695,0.018574,3.5515),(345,2705,0.018714,3.5504),(345,2715,0.018856,3.5494),(345,2725,0.019005,3.5483),(345,2735,0.019154,3.5472),(345,2745,0.019302,3.5461),(345,2755,0.019453,3.545),(345,2765,0.019611,3.5439),(345,2775,0.019769,3.5428),(345,2785,0.019928,3.5417),(345,2795,0.020089,3.5406),(345,2805,0.020258,3.5395),(345,2815,0.020427,3.5383),(345,2825,0.020596,3.5372),(345,2835,0.02077,3.5361),(345,2845,0.020952,3.5349),(345,2855,0.021134,3.5337),(345,2865,0.021317,3.5326),(345,2875,0.021505,3.5314),(345,2885,0.021703,3.5302),(345,2895,0.0219,3.529),(345,2905,0.022098,3.5278),(345,2915,0.022304,3.5266),(345,2925,0.02252,3.5254),(345,2935,0.022736,3.5242),(345,2945,0.022952,3.523),(345,2955,0.023178,3.5218),(345,2965,0.023416,3.5205),(345,2975,0.023654,3.5193),(345,2985,0.023892,3.518),(345,2995,0.024142,3.5168),(345,3005,0.024405,3.5155),(345,3015,0.024669,3.5142),(345,3025,0.024932,3.5129),(345,3035,0.025211,3.5116),(345,3045,0.025505,3.5104),(345,3055,0.025799,3.509),(345,3065,0.026092,3.5077),(345,3075,0.026406,3.5064),(345,3085,0.026736,3.5051),(345,3095,0.027065,3.5037),(345,3105,0.027395,3.5024),(345,3115,0.02775,3.501),(345,3125,0.028122,3.4997),(345,3135,0.028495,3.4983),(345,3145,0.028867,3.4969),(345,3155,0.029272,3.4955),(345,3165,0.029694,3.4941),(345,3175,0.030117,3.4927),(345,3185,0.03054,3.4913),(345,3195,0.031004,3.4899),(345,3205,0.031487,3.4885),(345,3215,0.03197,3.487),(345,3225,0.032453,3.4856),(345,3235,0.032988,3.4841),(345,3245,0.033543,3.4827),(345,3255,0.034097,3.4812),(345,3265,0.034652,3.4797),(345,3275,0.035272,3.4782),(345,3285,0.035913,3.4767),(345,3295,0.036553,3.4752),(345,3305,0.037193,3.4737),(345,3315,0.037916,3.4722),(345,3325,0.038659,3.4706),(345,3335,0.039401,3.4691),(345,3345,0.040144,3.4675),(345,3355,0.04099,3.466),(345,3365,0.041856,3.4644),(345,3375,0.042721,3.4628),(345,3385,0.043586,3.4612),(345,3395,0.044581,3.4597),(345,3405,0.045593,3.4581),(345,3415,0.046605,3.4565),(345,3425,0.047617,3.4549),(345,3435,0.048792,3.4532),(345,3445,0.04998,3.4516),(345,3455,0.051168,3.45),(345,3465,0.052356,3.4484),(345,3475,0.053749,3.4468),(345,3485,0.05515,3.4451),(345,3495,0.05655,3.4435),(345,3505,0.057951,3.4419),(345,3515,0.059607,3.4403),(345,3525,0.061264,3.4387),(345,3535,0.06292,3.4371),(345,3545,0.06459,3.4355),(345,3555,0.066554,3.4339),(345,3565,0.068519,3.4323),(345,3575,0.070484,3.4307),(345,3585,0.072481,3.4292),(345,3595,0.074819,3.4276),(345,3605,0.077157,3.4261),(345,3615,0.079495,3.4247),(345,3625,0.081888,3.4232),(345,3635,0.084677,3.4218),(345,3645,0.087466,3.4204),(345,3655,0.090256,3.4191),(345,3665,0.093134,3.4179),(345,3675,0.096467,3.4167),(345,3685,0.099801,3.4155),(345,3695,0.10313,3.4145),(345,3705,0.1066,3.4136),(345,3715,0.11059,3.4127),(345,3725,0.11458,3.4119),(345,3735,0.11857,3.4114),(345,3745,0.12274,3.411),(345,3755,0.12751,3.4106),(345,3765,0.13227,3.4103),(345,3775,0.13704,3.4107),(345,3785,0.14205,3.4111),(345,3795,0.1477,3.4115),(345,3805,0.15336,3.4122),(345,3815,0.15901,3.4139),(345,3825,0.16496,3.4155),(345,3835,0.17154,3.4172),(345,3845,0.17812,3.4196),(345,3855,0.18469,3.4233),(345,3865,0.19151,3.4271),(345,3875,0.19873,3.4309),(345,3885,0.20595,3.4359),(345,3895,0.21318,3.4431),(345,3905,0.25395,3.4502),(345,3915,0.34483,3.4573),(345,3925,0.43572,3.4686),(345,3935,0.5266,3.4857),(345,3945,0.58396,3.5027),(345,3955,0.59876,3.5198),(345,3965,0.61355,3.5319),(345,3975,0.62835,3.5383),(345,3985,0.61113,3.5447),(345,3995,0.55925,3.551),(345,4005,0.50737,3.5546),(345,4015,0.4555,3.5552),(345,4025,0.41777,3.5559),(345,4035,0.38143,3.5562),(345,4045,0.34509,3.5558),(345,4055,0.31091,3.5554),(345,4065,0.27753,3.5543),(345,4075,0.24415,3.5493),(345,4085,0.21241,3.5443),(345,4095,0.182,3.5394),(345,4105,0.15159,3.5275),(345,4115,0.12037,3.5154),(345,4125,0.087806,3.5033),(345,4135,0.055238,3.4868),(345,4145,0.036742,3.4691),(345,4155,0.075244,3.4513),(345,4165,0.11375,3.4525),(345,4175,0.15166,3.4659),(345,4185,0.16017,3.4794),(345,4195,0.16868,3.4886),(345,4205,0.1772,3.4925),(345,4215,0.13731,3.4963),(345,4225,0.088306,3.4965),(345,4235,0.039304,3.4859),(345,4245,0.010188,3.4753),(345,4255,-0.00884,3.4644),(345,4265,-0.027867,3.4487),(345,4275,-0.031899,3.433),(345,4285,-0.020019,3.4173),(345,4295,-0.00814,3.4109),(345,4305,0.049043,3.4056),(345,4315,0.20852,3.4003),(345,4325,0.368,3.4231),(345,4335,0.5,3.4569),(345,4345,0.44593,3.4908),(345,4355,0.39186,3.5123),(345,4365,0.3378,3.5234),(345,4375,0.25764,3.5345),(345,4385,0.17612,3.5356),(345,4395,0.094601,3.519),(345,4405,0.032733,3.5024),(345,4415,-0.023339,3.4841),(345,4425,-0.079411,3.4581),(345,4435,-0.023832,3.4321),(345,4445,0.10805,3.4064),(345,4455,0.23993,3.4322),(345,4465,0.32512,3.458),(345,4475,0.34473,3.4838),(345,4485,0.36433,3.4993),(345,4495,0.35549,3.5127),(345,4505,0.25535,3.526),(345,4515,0.15522,3.5192),(345,4525,0.056156,3.5015),(345,4535,-0.025906,3.4837),(345,4545,-0.10797,3.454),(345,4555,-0.19003,3.4108),(345,4565,-0.1255,3.3676),(345,4575,-0.041212,3.3405),(345,4585,0.04308,3.3524),(345,4595,0.11374,3.3643),(345,4605,0.17864,3.378),(345,4615,0.24354,3.4049),(345,4625,0.25175,3.4318),(345,4635,0.20861,3.4588),(345,4645,0.16548,3.4669),(345,4655,0.08998,3.4737),(345,4665,-0.046534,3.4805),(345,4675,-0.18305,3.4537),(345,4685,-0.29453,3.4162),(345,4695,-0.2823,3.3786),(345,4705,-0.27007,3.3433),(345,4715,-0.25785,3.3097),(345,4725,-0.038873,3.2761),(345,4735,0.18217,3.2725),(345,4745,0.40321,3.3135),(345,4755,0.39685,3.3546),(345,4765,0.3378,3.3892),(345,4775,0.27874,3.4012),(345,4785,0.1683,3.4132),(345,4795,0.028161,3.4231),(345,4805,-0.11198,3.387),(345,4815,-0.22202,3.3509),(345,4825,-0.29607,3.3148),(345,4835,-0.37012,3.2572),(345,4845,-0.35743,3.1961),(345,4855,-0.11861,3.1351),(345,4865,0.12021,3.1363),(345,4875,0.34591,3.1656),(345,4885,0.45223,3.195),(345,4895,0.55855,3.229),(345,4905,0.66487,3.2675),(345,4915,0.51513,3.306),(345,4925,0.34335,3.3281),(345,4935,0.17158,3.3173),(345,4945,0.037424,3.3065),(345,4955,-0.083697,3.2894),(345,4965,-0.20482,3.2379),(345,4975,-0.21972,3.1863),(345,4985,-0.15262,3.1348),(345,4995,-0.085516,3.1208),(345,5005,-0.014566,3.1078),(345,5015,0.062507,3.0948),(345,5025,0.13958,3.1138),(345,5035,0.17869,3.141),(345,5045,0.073159,3.1683),(345,5055,-0.032371,3.1735),(345,5065,-0.13896,3.1651),(345,5075,-0.28014,3.1568),(345,5085,-0.42132,3.1274),(345,5095,-0.5625,3.0712),(345,5105,-0.57472,3.0151),(345,5115,-0.56445,2.9578),(345,5125,-0.55418,2.8973),(345,5135,-0.34184,2.8368),(345,5145,-0.031431,2.7843),(345,5155,0.27898,2.8179),(345,5165,0.47102,2.8515),(345,5175,0.54234,2.8852),(345,5185,0.61366,2.9112),(345,5195,0.62067,2.9365),(345,5205,0.48901,2.9618),(345,5215,0.35736,2.9482),(345,5225,0.22669,2.9201),(345,5235,0.10216,2.892),(345,5245,-0.022375,2.8352),(345,5255,-0.14691,2.7549),(345,5265,-0.1037,2.6746),(345,5275,-0.053576,2.625),(345,5285,-0.003452,2.6276),(345,5295,0.093327,2.6301),(345,5305,0.2031,2.6417),(345,5315,0.31287,2.6916),(345,5325,0.3089,2.7415),(345,5335,0.23033,2.7906),(345,5345,0.15177,2.7886),(345,5355,0.046334,2.7866),(345,5365,-0.095341,2.7846),(345,5375,-0.23702,2.7213),(345,5385,-0.33284,2.6461),(345,5395,-0.28927,2.5709),(345,5405,-0.2457,2.5154),(345,5415,-0.18371,2.4702),(345,5425,0.12573,2.425),(345,5435,0.43518,2.4171),(345,5445,0.74462,2.4496),(345,5455,0.82302,2.4821),(345,5465,0.87317,2.5105),(345,5475,0.92333,2.5293),(345,5485,0.88781,2.5482),(345,5495,0.81778,2.565),(345,5505,0.74775,2.5674),(345,5515,0.68994,2.5698),(345,5525,0.64277,2.5722),(345,5535,0.59559,2.567),(345,5545,0.55376,2.5612),(345,5555,0.52157,2.5555),(345,5565,0.48938,2.5466),(345,5575,0.45894,2.5368),(345,5585,0.43654,2.527),(345,5595,0.41415,2.5157),(345,5605,0.39176,2.5034),(345,5615,0.3761,2.4911),(345,5625,0.36044,2.4779),(345,5635,0.34478,2.4634),(345,5645,0.3331,2.449),(345,5655,0.32229,2.4341),(345,5665,0.31147,2.418),(345,5675,0.3028,2.4018),(345,5685,0.29532,2.3856),(345,5695,0.28784,2.3676),(345,5705,0.28135,2.3497),(345,5715,0.27598,2.3317),(345,5725,0.27062,2.3119),(345,5735,0.26554,2.2918),(345,5745,0.26118,2.2717),(345,5755,0.25682,2.2501),(345,5765,0.25245,2.2278),(345,5775,0.24804,2.2055),(345,5785,0.24364,2.1816),(345,5795,0.23923,2.1562),(345,5805,0.234,2.1308),(345,5815,0.2287,2.1042),(345,5825,0.2234,2.0754),(345,5835,0.21677,2.0466),(345,5845,0.20969,2.017),(345,5855,0.20262,1.9836),(345,5865,0.19416,1.9501),(345,5875,0.18467,1.9167),(345,5885,0.17518,1.8774),(345,5895,0.16439,1.838),(345,5905,0.15161,1.7986),(345,5915,0.13884,1.7521),(345,5925,0.12537,1.7039),(345,5935,0.10938,1.6556),(345,5945,0.093387,1.5996),(345,5955,0.077369,1.5391),(345,5965,0.060675,1.4786),(345,5975,0.043982,1.4091),(345,5985,0.027288,1.3287),(345,5995,0.018096,1.2483),(345,6005,0.01011,1.1862),(345,6015,0.002125,1.1731),(345,6025,0.078616,1.16),(345,6035,0.19429,1.1481),(345,6045,0.30996,1.1488),(345,6055,0.38134,1.1494),(345,6065,0.4093,1.15),(345,6075,0.43727,1.142),(345,6085,0.45282,1.1333),(345,6095,0.44281,1.1245),(345,6105,0.4328,1.1123),(345,6115,0.42298,1.0989),(345,6125,0.41426,1.0855),(345,6135,0.40554,1.0702),(345,6145,0.39682,1.0535),(345,6155,0.38955,1.0367),(345,6165,0.38231,1.019),(345,6175,0.37508,0.99983),(345,6185,0.36889,0.98061),(345,6195,0.36297,0.96116),(345,6205,0.35705,0.94075),(345,6215,0.35178,0.92034),(345,6225,0.34691,0.8999),(345,6235,0.34204,0.87856),(345,6245,0.33757,0.85722),(345,6255,0.3336,0.83588),(345,6265,0.32963,0.81386),(345,6275,0.32586,0.79171),(345,6285,0.32268,0.76956),(345,6295,0.31949,0.74701),(345,6305,0.31636,0.72426),(345,6315,0.31376,0.70151),(345,6325,0.31115,0.6786),(345,6335,0.30855,0.65551),(345,6345,0.30635,0.63243),(345,6355,0.30419,0.60926),(345,6365,0.30203,0.58589),(345,6375,0.30016,0.56253),(345,6385,0.29839,0.53914),(345,6395,0.29663,0.51559),(345,6405,0.29501,0.49204),(345,6415,0.29353,0.4685),(345,6425,0.29205,0.44482),(345,6435,0.29069,0.42114),(345,6445,0.28955,0.39747),(345,6455,0.2884,0.37357),(345,6465,0.28729,0.3496),(345,6475,0.28635,0.32564),(345,6485,0.2854,0.30171),(345,6495,0.28446,0.27781),(345,6505,0.28382,0.25391),(345,6515,0.28317,0.22999),(345,6525,0.28253,0.20603),(345,6535,0.28204,0.18207),(345,6545,0.28159,0.15807),(345,6555,0.28114,0.13391),(345,6565,0.28084,0.10975),(345,6575,0.28063,0.085588),(345,6585,0.28042,0.061447),(345,6595,0.2384,0.037306),(345,6605,0.15023,0.013165),(345,6615,0.062055,0.010143),(345,6625,7.2e-05,0.009835),(345,6635,7.4e-05,0.009528),(345,6645,7.6e-05,0.009434),(345,6655,7.8e-05,0.009428),(345,6665,7.9e-05,0.009422),(345,6675,8.1e-05,0.009416),(345,6685,8.2e-05,0.009411),(345,6695,8.3e-05,0.009405),(345,6705,8.4e-05,0.009399),(345,6715,8.6e-05,0.009393),(345,6725,8.7e-05,0.009387),(345,6735,8.8e-05,0.009381),(345,6745,8.9e-05,0.009375),(345,6755,9e-05,0.009369),(345,6765,9.1e-05,0.009364),(345,6775,9.2e-05,0.009358),(345,6785,9.3e-05,0.009352),(345,6795,9.4e-05,0.009346),(345,6805,9.5e-05,0.00934),(345,6815,9.6e-05,0.009333),(345,6825,9.6e-05,0.009327),(345,6835,9.7e-05,0.009321),(345,6845,9.8e-05,0.009315),(345,6855,9.9e-05,0.009309),(345,6865,0.0001,0.009302),(345,6875,0.000101,0.009296),(345,6885,0.000101,0.00929),(345,6895,0.000102,0.009283),(345,6905,0.000103,0.009277),(345,6915,0.000104,0.00927),(345,6925,0.000104,0.009264),(345,6935,0.000105,0.009258),(345,6945,0.000106,0.009251),(345,6955,0.000106,0.009245),(345,6965,0.000107,0.009238),(345,6975,0.000107,0.009232),(345,6985,0.000108,0.009225),(355,5,1.8e-05,3.6653),(355,15,5.5e-05,3.6653),(355,25,9.2e-05,3.6653),(355,35,0.000129,3.6653),(355,45,0.000166,3.6653),(355,55,0.000203,3.6653),(355,65,0.00024,3.6653),(355,75,0.000277,3.6653),(355,85,0.000313,3.6652),(355,95,0.00035,3.6652),(355,105,0.000387,3.6652),(355,115,0.000424,3.6652),(355,125,0.000461,3.6652),(355,135,0.000498,3.6651),(355,145,0.000535,3.6651),(355,155,0.000573,3.6651),(355,165,0.00061,3.665),(355,175,0.000647,3.665),(355,185,0.000685,3.665),(355,195,0.000722,3.6649),(355,205,0.00076,3.6649),(355,215,0.000798,3.6648),(355,225,0.000835,3.6648),(355,235,0.000873,3.6647),(355,245,0.000911,3.6647),(355,255,0.000949,3.6646),(355,265,0.000987,3.6646),(355,275,0.001025,3.6645),(355,285,0.001064,3.6645),(355,295,0.001102,3.6644),(355,305,0.00114,3.6643),(355,315,0.001179,3.6643),(355,325,0.001217,3.6642),(355,335,0.001256,3.6641),(355,345,0.001295,3.6641),(355,355,0.001334,3.664),(355,365,0.001373,3.6639),(355,375,0.001412,3.6638),(355,385,0.001451,3.6637),(355,395,0.001491,3.6637),(355,405,0.00153,3.6636),(355,415,0.00157,3.6635),(355,425,0.00161,3.6634),(355,435,0.001651,3.6633),(355,445,0.001691,3.6632),(355,455,0.001731,3.6631),(355,465,0.001772,3.663),(355,475,0.001812,3.6629),(355,485,0.001853,3.6628),(355,495,0.001894,3.6627),(355,505,0.001935,3.6626),(355,515,0.001977,3.6625),(355,525,0.002018,3.6624),(355,535,0.002059,3.6622),(355,545,0.002102,3.6621),(355,555,0.002144,3.662),(355,565,0.002186,3.6619),(355,575,0.002228,3.6617),(355,585,0.002271,3.6616),(355,595,0.002314,3.6615),(355,605,0.002357,3.6614),(355,615,0.0024,3.6612),(355,625,0.002444,3.6611),(355,635,0.002488,3.6609),(355,645,0.002532,3.6608),(355,655,0.002576,3.6607),(355,665,0.00262,3.6605),(355,675,0.002665,3.6604),(355,685,0.00271,3.6602),(355,695,0.002754,3.66),(355,705,0.0028,3.6599),(355,715,0.002846,3.6597),(355,725,0.002891,3.6596),(355,735,0.002937,3.6594),(355,745,0.002984,3.6592),(355,755,0.00303,3.6591),(355,765,0.003077,3.6589),(355,775,0.003124,3.6587),(355,785,0.003171,3.6585),(355,795,0.003219,3.6583),(355,805,0.003267,3.6582),(355,815,0.003315,3.658),(355,825,0.003363,3.6578),(355,835,0.003412,3.6576),(355,845,0.003461,3.6574),(355,855,0.00351,3.6572),(355,865,0.003559,3.657),(355,875,0.003609,3.6568),(355,885,0.003659,3.6566),(355,895,0.003709,3.6564),(355,905,0.00376,3.6561),(355,915,0.003811,3.6559),(355,925,0.003862,3.6557),(355,935,0.003913,3.6555),(355,945,0.003965,3.6553),(355,955,0.004018,3.655),(355,965,0.00407,3.6548),(355,975,0.004122,3.6546),(355,985,0.004176,3.6543),(355,995,0.004229,3.6541),(355,1005,0.004282,3.6538),(355,1015,0.004337,3.6536),(355,1025,0.004391,3.6534),(355,1035,0.004446,3.6531),(355,1045,0.0045,3.6528),(355,1055,0.004556,3.6526),(355,1065,0.004612,3.6523),(355,1075,0.004668,3.6521),(355,1085,0.004724,3.6518),(355,1095,0.004781,3.6515),(355,1105,0.004838,3.6512),(355,1115,0.004896,3.651),(355,1125,0.004953,3.6507),(355,1135,0.005011,3.6504),(355,1145,0.00507,3.6501),(355,1155,0.005129,3.6498),(355,1165,0.005188,3.6495),(355,1175,0.005247,3.6492),(355,1185,0.005307,3.6489),(355,1195,0.005367,3.6486),(355,1205,0.005427,3.6483),(355,1215,0.005488,3.648),(355,1225,0.005549,3.6477),(355,1235,0.005611,3.6474),(355,1245,0.005672,3.647),(355,1255,0.005735,3.6467),(355,1265,0.005798,3.6464),(355,1275,0.005861,3.6461),(355,1285,0.005924,3.6457),(355,1295,0.005988,3.6454),(355,1305,0.006052,3.645),(355,1315,0.006117,3.6447),(355,1325,0.006181,3.6443),(355,1335,0.006247,3.644),(355,1345,0.006313,3.6436),(355,1355,0.006379,3.6433),(355,1365,0.006445,3.6429),(355,1375,0.006512,3.6425),(355,1385,0.00658,3.6421),(355,1395,0.006647,3.6418),(355,1405,0.006714,3.6414),(355,1415,0.006783,3.641),(355,1425,0.006852,3.6406),(355,1435,0.006921,3.6402),(355,1445,0.00699,3.6398),(355,1455,0.00706,3.6394),(355,1465,0.007131,3.639),(355,1475,0.007201,3.6386),(355,1485,0.007272,3.6382),(355,1495,0.007344,3.6378),(355,1505,0.007416,3.6373),(355,1515,0.007488,3.6369),(355,1525,0.00756,3.6365),(355,1535,0.007633,3.636),(355,1545,0.007707,3.6356),(355,1555,0.00778,3.6352),(355,1565,0.007854,3.6347),(355,1575,0.007929,3.6343),(355,1585,0.008004,3.6338),(355,1595,0.008079,3.6333),(355,1605,0.008154,3.6329),(355,1615,0.008231,3.6324),(355,1625,0.008307,3.6319),(355,1635,0.008384,3.6314),(355,1645,0.008461,3.631),(355,1655,0.008539,3.6305),(355,1665,0.008617,3.63),(355,1675,0.008695,3.6295),(355,1685,0.008773,3.629),(355,1695,0.008853,3.6285),(355,1705,0.008933,3.628),(355,1715,0.009012,3.6275),(355,1725,0.009092,3.6269),(355,1735,0.009173,3.6264),(355,1745,0.009255,3.6259),(355,1755,0.009336,3.6254),(355,1765,0.009417,3.6248),(355,1775,0.0095,3.6243),(355,1785,0.009583,3.6237),(355,1795,0.009665,3.6232),(355,1805,0.009748,3.6226),(355,1815,0.009833,3.6221),(355,1825,0.009917,3.6215),(355,1835,0.010001,3.6209),(355,1845,0.010086,3.6203),(355,1855,0.010172,3.6198),(355,1865,0.010257,3.6192),(355,1875,0.010343,3.6186),(355,1885,0.01043,3.618),(355,1895,0.010517,3.6174),(355,1905,0.010604,3.6168),(355,1915,0.010691,3.6162),(355,1925,0.010779,3.6155),(355,1935,0.010868,3.6149),(355,1945,0.010957,3.6143),(355,1955,0.011045,3.6137),(355,1965,0.011135,3.613),(355,1975,0.011225,3.6124),(355,1985,0.011315,3.6117),(355,1995,0.011405,3.6111),(355,2005,0.011496,3.6104),(355,2015,0.011588,3.6098),(355,2025,0.011679,3.6091),(355,2035,0.011771,3.6084),(355,2045,0.011863,3.6078),(355,2055,0.011957,3.6071),(355,2065,0.01205,3.6064),(355,2075,0.012143,3.6057),(355,2085,0.012237,3.605),(355,2095,0.012332,3.6043),(355,2105,0.012427,3.6036),(355,2115,0.012521,3.6029),(355,2125,0.012617,3.6021),(355,2135,0.012714,3.6014),(355,2145,0.01281,3.6007),(355,2155,0.012906,3.5999),(355,2165,0.013004,3.5992),(355,2175,0.013102,3.5985),(355,2185,0.0132,3.5977),(355,2195,0.013299,3.5969),(355,2205,0.013398,3.5962),(355,2215,0.013498,3.5954),(355,2225,0.013598,3.5946),(355,2235,0.013698,3.5938),(355,2245,0.013799,3.5931),(355,2255,0.013901,3.5923),(355,2265,0.014002,3.5915),(355,2275,0.014104,3.5907),(355,2285,0.014207,3.5899),(355,2295,0.014311,3.589),(355,2305,0.014415,3.5882),(355,2315,0.014519,3.5874),(355,2325,0.014624,3.5866),(355,2335,0.01473,3.5857),(355,2345,0.014836,3.5849),(355,2355,0.014942,3.584),(355,2365,0.01505,3.5832),(355,2375,0.015159,3.5823),(355,2385,0.015267,3.5814),(355,2395,0.015375,3.5806),(355,2405,0.015486,3.5797),(355,2415,0.015597,3.5788),(355,2425,0.015708,3.5779),(355,2435,0.015819,3.577),(355,2445,0.015933,3.5761),(355,2455,0.016047,3.5752),(355,2465,0.01616,3.5743),(355,2475,0.016274,3.5734),(355,2485,0.016392,3.5725),(355,2495,0.016509,3.5715),(355,2505,0.016626,3.5706),(355,2515,0.016744,3.5696),(355,2525,0.016865,3.5687),(355,2535,0.016986,3.5678),(355,2545,0.017107,3.5668),(355,2555,0.017229,3.5658),(355,2565,0.017354,3.5648),(355,2575,0.01748,3.5639),(355,2585,0.017605,3.5629),(355,2595,0.017731,3.5619),(355,2605,0.017862,3.5609),(355,2615,0.017993,3.5599),(355,2625,0.018123,3.5589),(355,2635,0.018255,3.5579),(355,2645,0.018391,3.5568),(355,2655,0.018528,3.5558),(355,2665,0.018665,3.5548),(355,2675,0.018802,3.5537),(355,2685,0.018946,3.5527),(355,2695,0.01909,3.5517),(355,2705,0.019233,3.5506),(355,2715,0.019379,3.5495),(355,2725,0.019531,3.5484),(355,2735,0.019682,3.5474),(355,2745,0.019834,3.5463),(355,2755,0.019989,3.5452),(355,2765,0.02015,3.5441),(355,2775,0.020311,3.543),(355,2785,0.020473,3.5419),(355,2795,0.020637,3.5408),(355,2805,0.02081,3.5396),(355,2815,0.020983,3.5385),(355,2825,0.021155,3.5374),(355,2835,0.021332,3.5362),(355,2845,0.021518,3.5351),(355,2855,0.021703,3.5339),(355,2865,0.021889,3.5328),(355,2875,0.022081,3.5316),(355,2885,0.022282,3.5304),(355,2895,0.022483,3.5292),(355,2905,0.022685,3.528),(355,2915,0.022894,3.5268),(355,2925,0.023113,3.5257),(355,2935,0.023333,3.5244),(355,2945,0.023553,3.5232),(355,2955,0.023783,3.522),(355,2965,0.024024,3.5208),(355,2975,0.024266,3.5195),(355,2985,0.024507,3.5183),(355,2995,0.024761,3.517),(355,3005,0.025028,3.5158),(355,3015,0.025296,3.5145),(355,3025,0.025563,3.5132),(355,3035,0.025846,3.5119),(355,3045,0.026143,3.5107),(355,3055,0.026441,3.5094),(355,3065,0.026738,3.508),(355,3075,0.027056,3.5067),(355,3085,0.02739,3.5054),(355,3095,0.027723,3.5041),(355,3105,0.028057,3.5027),(355,3115,0.028416,3.5014),(355,3125,0.028792,3.5001),(355,3135,0.029168,3.4987),(355,3145,0.029544,3.4973),(355,3155,0.029953,3.4959),(355,3165,0.030379,3.4946),(355,3175,0.030806,3.4932),(355,3185,0.031232,3.4918),(355,3195,0.0317,3.4904),(355,3205,0.032187,3.489),(355,3215,0.032673,3.4875),(355,3225,0.03316,3.4861),(355,3235,0.033698,3.4847),(355,3245,0.034256,3.4832),(355,3255,0.034814,3.4818),(355,3265,0.035372,3.4803),(355,3275,0.035995,3.4788),(355,3285,0.036638,3.4774),(355,3295,0.037282,3.4759),(355,3305,0.037925,3.4744),(355,3315,0.038649,3.4729),(355,3325,0.039394,3.4714),(355,3335,0.040138,3.4698),(355,3345,0.040883,3.4683),(355,3355,0.04173,3.4668),(355,3365,0.042596,3.4653),(355,3375,0.043461,3.4637),(355,3385,0.044327,3.4622),(355,3395,0.045321,3.4606),(355,3405,0.046331,3.4591),(355,3415,0.047341,3.4575),(355,3425,0.048352,3.4559),(355,3435,0.049523,3.4544),(355,3445,0.050706,3.4528),(355,3455,0.05189,3.4512),(355,3465,0.053073,3.4497),(355,3475,0.054457,3.4481),(355,3485,0.055848,3.4465),(355,3495,0.057239,3.445),(355,3505,0.058632,3.4434),(355,3515,0.060272,3.4419),(355,3525,0.061912,3.4403),(355,3535,0.063553,3.4388),(355,3545,0.065206,3.4372),(355,3555,0.067146,3.4357),(355,3565,0.069085,3.4342),(355,3575,0.071025,3.4327),(355,3585,0.072994,3.4313),(355,3595,0.075293,3.4298),(355,3605,0.077591,3.4284),(355,3615,0.079889,3.4271),(355,3625,0.082241,3.4258),(355,3635,0.084969,3.4244),(355,3645,0.087697,3.4231),(355,3655,0.090425,3.422),(355,3665,0.093237,3.4209),(355,3675,0.096478,3.4198),(355,3685,0.099719,3.4187),(355,3695,0.10296,3.418),(355,3705,0.10632,3.4172),(355,3715,0.11017,3.4164),(355,3725,0.11402,3.4157),(355,3735,0.11786,3.4155),(355,3745,0.12188,3.4152),(355,3755,0.12643,3.415),(355,3765,0.13097,3.4149),(355,3775,0.13552,3.4155),(355,3785,0.14028,3.4161),(355,3795,0.14559,3.4166),(355,3805,0.15091,3.4176),(355,3815,0.15622,3.4194),(355,3825,0.16177,3.4213),(355,3835,0.1678,3.4231),(355,3845,0.17384,3.4256),(355,3855,0.17988,3.4295),(355,3865,0.18605,3.4333),(355,3875,0.19245,3.4372),(355,3885,0.19884,3.4422),(355,3895,0.20524,3.4491),(355,3905,0.24436,3.456),(355,3915,0.33236,3.4629),(355,3925,0.42037,3.4734),(355,3935,0.50837,3.4889),(355,3945,0.56505,3.5045),(355,3955,0.58196,3.52),(355,3965,0.59886,3.5314),(355,3975,0.61577,3.5379),(355,3985,0.6005,3.5444),(355,3995,0.55039,3.5509),(355,4005,0.50028,3.5546),(355,4015,0.45017,3.5556),(355,4025,0.41293,3.5566),(355,4035,0.37695,3.5573),(355,4045,0.34097,3.5574),(355,4055,0.30814,3.5575),(355,4065,0.27646,3.5569),(355,4075,0.24478,3.5525),(355,4085,0.21512,3.548),(355,4095,0.18708,3.5435),(355,4105,0.15904,3.5327),(355,4115,0.13001,3.5217),(355,4125,0.099348,3.5107),(355,4135,0.068687,3.4965),(355,4145,0.049916,3.4814),(355,4155,0.079311,3.4663),(355,4165,0.10871,3.4676),(355,4175,0.13774,3.4794),(355,4185,0.14873,3.4912),(355,4195,0.15972,3.4993),(355,4205,0.17071,3.5025),(355,4215,0.13519,3.5057),(355,4225,0.090918,3.5055),(355,4235,0.046643,3.4952),(355,4245,0.020249,3.4848),(355,4255,0.002928,3.4741),(355,4265,-0.014393,3.4597),(355,4275,-0.019029,3.4453),(355,4285,-0.010202,3.4309),(355,4295,-0.001376,3.4254),(355,4305,0.04981,3.4211),(355,4315,0.19664,3.4167),(355,4325,0.34348,3.4383),(355,4335,0.46534,3.4701),(355,4345,0.41815,3.5019),(355,4355,0.37096,3.5226),(355,4365,0.32377,3.5337),(355,4375,0.25227,3.5449),(355,4385,0.1795,3.5464),(355,4395,0.10673,3.5309),(355,4405,0.04942,3.5154),(355,4415,-0.003336,3.4983),(355,4425,-0.056092,3.4743),(355,4435,-0.008788,3.4502),(355,4445,0.10689,3.4264),(355,4455,0.22258,3.4506),(355,4465,0.2997,3.4747),(355,4475,0.32264,3.4989),(355,4485,0.34559,3.5136),(355,4495,0.34161,3.5262),(355,4505,0.25127,3.5389),(355,4515,0.16092,3.532),(355,4525,0.071533,3.5146),(355,4535,-0.002702,3.4971),(355,4545,-0.076937,3.4687),(355,4555,-0.15117,3.4279),(355,4565,-0.099909,3.3871),(355,4575,-0.031728,3.3612),(355,4585,0.036453,3.3713),(355,4595,0.098608,3.3814),(355,4605,0.15822,3.3933),(355,4615,0.21782,3.4191),(355,4625,0.2266,3.4448),(355,4635,0.18933,3.4706),(355,4645,0.15206,3.4787),(355,4655,0.085207,3.4855),(355,4665,-0.037418,3.4924),(355,4675,-0.16004,3.4657),(355,4685,-0.26006,3.4283),(355,4695,-0.24837,3.3908),(355,4705,-0.23667,3.3562),(355,4715,-0.22498,3.3235),(355,4725,-0.029719,3.2909),(355,4735,0.16738,3.2866),(355,4745,0.36447,3.3248),(355,4755,0.36046,3.3629),(355,4765,0.30984,3.3949),(355,4775,0.25923,3.4055),(355,4785,0.16132,3.4161),(355,4795,0.036067,3.4247),(355,4805,-0.089185,3.389),(355,4815,-0.18736,3.3534),(355,4825,-0.25316,3.3177),(355,4835,-0.31896,3.2622),(355,4845,-0.30799,3.2036),(355,4855,-0.096885,3.145),(355,4865,0.11422,3.1461),(355,4875,0.31455,3.1742),(355,4885,0.41674,3.2023),(355,4895,0.51894,3.2348),(355,4905,0.62114,3.2714),(355,4915,0.48577,3.308),(355,4925,0.32997,3.3284),(355,4935,0.17417,3.316),(355,4945,0.054013,3.3037),(355,4955,-0.053789,3.2856),(355,4965,-0.16159,3.2358),(355,4975,-0.17738,3.1861),(355,4985,-0.12214,3.1364),(355,4995,-0.066899,3.1253),(355,5005,-0.008368,3.1152),(355,5015,0.055396,3.1051),(355,5025,0.11916,3.1227),(355,5035,0.14988,3.1473),(355,5045,0.054698,3.172),(355,5055,-0.040481,3.1755),(355,5065,-0.13659,3.166),(355,5075,-0.26314,3.1565),(355,5085,-0.38969,3.1266),(355,5095,-0.51623,3.0707),(355,5105,-0.52419,3.0148),(355,5115,-0.51147,2.9581),(355,5125,-0.49874,2.8989),(355,5135,-0.30528,2.8397),(355,5145,-0.024106,2.7881),(355,5155,0.25706,2.8199),(355,5165,0.43482,2.8517),(355,5175,0.5071,2.8834),(355,5185,0.57938,2.907),(355,5195,0.5922,2.9297),(355,5205,0.47681,2.9524),(355,5215,0.36143,2.938),(355,5225,0.247,2.9097),(355,5235,0.13855,2.8814),(355,5245,0.030097,2.8267),(355,5255,-0.078354,2.7503),(355,5265,-0.056,2.674),(355,5275,-0.028253,2.6266),(355,5285,-0.000505,2.6282),(355,5295,0.078908,2.6299),(355,5305,0.17271,2.6398),(355,5315,0.26651,2.6844),(355,5325,0.26515,2.729),(355,5335,0.20137,2.7728),(355,5345,0.1376,2.77),(355,5355,0.049966,2.7671),(355,5365,-0.06986,2.7643),(355,5375,-0.18969,2.7037),(355,5385,-0.2708,2.6319),(355,5395,-0.23424,2.5601),(355,5405,-0.19767,2.508),(355,5415,-0.1439,2.4661),(355,5425,0.14094,2.4242),(355,5435,0.42579,2.4173),(355,5445,0.71063,2.4484),(355,5455,0.78946,2.4795),(355,5465,0.8431,2.5069),(355,5475,0.89674,2.5256),(355,5485,0.86594,2.5444),(355,5495,0.80113,2.5612),(355,5505,0.73632,2.5638),(355,5515,0.68225,2.5665),(355,5525,0.63752,2.5691),(355,5535,0.59279,2.5641),(355,5545,0.55296,2.5587),(355,5555,0.52199,2.5533),(355,5565,0.49101,2.5446),(355,5575,0.46169,2.535),(355,5585,0.44,2.5254),(355,5595,0.41831,2.5143),(355,5605,0.39662,2.5021),(355,5615,0.38142,2.4898),(355,5625,0.36622,2.4767),(355,5635,0.35102,2.4623),(355,5645,0.3397,2.4479),(355,5655,0.32921,2.433),(355,5665,0.31873,2.4168),(355,5675,0.31036,2.4005),(355,5685,0.30317,2.3842),(355,5695,0.29599,2.3661),(355,5705,0.2898,2.348),(355,5715,0.28476,2.3299),(355,5725,0.27971,2.3099),(355,5735,0.27499,2.2895),(355,5745,0.27106,2.2692),(355,5755,0.26713,2.2473),(355,5765,0.2632,2.2246),(355,5775,0.25935,2.202),(355,5785,0.25551,2.1777),(355,5795,0.25166,2.1519),(355,5805,0.24718,2.1261),(355,5815,0.24266,2.0991),(355,5825,0.23814,2.0698),(355,5835,0.23248,2.0404),(355,5845,0.22646,2.0104),(355,5855,0.22044,1.9763),(355,5865,0.21331,1.9423),(355,5875,0.20535,1.9083),(355,5885,0.19739,1.8683),(355,5895,0.18843,1.8282),(355,5905,0.17797,1.7881),(355,5915,0.16751,1.7409),(355,5925,0.15663,1.6921),(355,5935,0.14427,1.6432),(355,5945,0.13191,1.587),(355,5955,0.11959,1.5266),(355,5965,0.10831,1.4661),(355,5975,0.097017,1.3978),(355,5985,0.08573,1.3201),(355,5995,0.063878,1.2423),(355,6005,0.040326,1.1825),(355,6015,0.016774,1.1707),(355,6025,0.084752,1.1588),(355,6035,0.19518,1.148),(355,6045,0.30561,1.1471),(355,6055,0.37523,1.1461),(355,6065,0.40483,1.1451),(355,6075,0.43444,1.1366),(355,6085,0.45162,1.1273),(355,6095,0.44321,1.1181),(355,6105,0.4348,1.1058),(355,6115,0.42649,1.0924),(355,6125,0.41877,1.079),(355,6135,0.41104,1.0639),(355,6145,0.40332,1.0474),(355,6155,0.39671,1.0308),(355,6165,0.39013,1.0133),(355,6175,0.38355,0.99438),(355,6185,0.37785,0.97542),(355,6195,0.37239,0.95621),(355,6205,0.36693,0.93602),(355,6215,0.36202,0.91583),(355,6225,0.35747,0.89561),(355,6235,0.35291,0.87448),(355,6245,0.34869,0.85334),(355,6255,0.34491,0.83221),(355,6265,0.34114,0.81038),(355,6275,0.33755,0.78844),(355,6285,0.3345,0.76649),(355,6295,0.33145,0.74412),(355,6305,0.32845,0.72155),(355,6315,0.32597,0.69898),(355,6325,0.3235,0.67622),(355,6335,0.32102,0.65326),(355,6345,0.31893,0.63029),(355,6355,0.31688,0.60724),(355,6365,0.31483,0.58399),(355,6375,0.31305,0.56074),(355,6385,0.31137,0.53746),(355,6395,0.30969,0.51399),(355,6405,0.30815,0.49053),(355,6415,0.30673,0.46706),(355,6425,0.30531,0.44348),(355,6435,0.304,0.41989),(355,6445,0.30287,0.39631),(355,6455,0.30175,0.37248),(355,6465,0.30067,0.34858),(355,6475,0.29974,0.32468),(355,6485,0.29882,0.30083),(355,6495,0.2979,0.27702),(355,6505,0.29725,0.25321),(355,6515,0.29661,0.22936),(355,6525,0.29597,0.20546),(355,6535,0.29546,0.18155),(355,6545,0.29499,0.1576),(355,6555,0.29451,0.13352),(355,6565,0.29418,0.10944),(355,6575,0.29394,0.085365),(355,6585,0.29369,0.061318),(355,6595,0.24967,0.037271),(355,6605,0.15733,0.013225),(355,6615,0.064989,0.010195),(355,6625,7.5e-05,0.009865),(355,6635,7.7e-05,0.009536),(355,6645,7.9e-05,0.009435),(355,6655,8e-05,0.00943),(355,6665,8.2e-05,0.009424),(355,6675,8.3e-05,0.009418),(355,6685,8.5e-05,0.009412),(355,6695,8.6e-05,0.009406),(355,6705,8.7e-05,0.0094),(355,6715,8.8e-05,0.009394),(355,6725,9e-05,0.009388),(355,6735,9.1e-05,0.009382),(355,6745,9.2e-05,0.009376),(355,6755,9.3e-05,0.009371),(355,6765,9.4e-05,0.009365),(355,6775,9.5e-05,0.009359),(355,6785,9.6e-05,0.009353),(355,6795,9.7e-05,0.009347),(355,6805,9.8e-05,0.00934),(355,6815,9.9e-05,0.009334),(355,6825,9.9e-05,0.009328),(355,6835,0.0001,0.009322),(355,6845,0.000101,0.009316),(355,6855,0.000102,0.009309),(355,6865,0.000103,0.009303),(355,6875,0.000104,0.009297),(355,6885,0.000104,0.009291),(355,6895,0.000105,0.009284),(355,6905,0.000106,0.009278),(355,6915,0.000107,0.009271),(355,6925,0.000107,0.009265),(355,6935,0.000108,0.009258),(355,6945,0.000109,0.009252),(355,6955,0.000109,0.009245),(355,6965,0.00011,0.009239),(355,6975,0.000111,0.009232),(355,6985,0.000111,0.009226),(365,5,1.9e-05,3.6654),(365,15,5.7e-05,3.6654),(365,25,9.5e-05,3.6653),(365,35,0.000133,3.6653),(365,45,0.000171,3.6653),(365,55,0.000209,3.6653),(365,65,0.000246,3.6653),(365,75,0.000284,3.6653),(365,85,0.000322,3.6653),(365,95,0.00036,3.6653),(365,105,0.000398,3.6652),(365,115,0.000436,3.6652),(365,125,0.000474,3.6652),(365,135,0.000512,3.6652),(365,145,0.00055,3.6651),(365,155,0.000588,3.6651),(365,165,0.000627,3.6651),(365,175,0.000665,3.665),(365,185,0.000704,3.665),(365,195,0.000742,3.665),(365,205,0.000781,3.6649),(365,215,0.00082,3.6649),(365,225,0.000858,3.6648),(365,235,0.000897,3.6648),(365,245,0.000936,3.6647),(365,255,0.000975,3.6647),(365,265,0.001014,3.6646),(365,275,0.001054,3.6646),(365,285,0.001093,3.6645),(365,295,0.001132,3.6644),(365,305,0.001172,3.6644),(365,315,0.001211,3.6643),(365,325,0.001251,3.6642),(365,335,0.00129,3.6642),(365,345,0.00133,3.6641),(365,355,0.00137,3.664),(365,365,0.00141,3.6639),(365,375,0.00145,3.6639),(365,385,0.001491,3.6638),(365,395,0.001532,3.6637),(365,405,0.001572,3.6636),(365,415,0.001613,3.6635),(365,425,0.001654,3.6634),(365,435,0.001696,3.6633),(365,445,0.001737,3.6632),(365,455,0.001778,3.6631),(365,465,0.00182,3.663),(365,475,0.001862,3.6629),(365,485,0.001904,3.6628),(365,495,0.001946,3.6627),(365,505,0.001988,3.6626),(365,515,0.002031,3.6625),(365,525,0.002073,3.6624),(365,535,0.002116,3.6623),(365,545,0.002159,3.6622),(365,555,0.002203,3.662),(365,565,0.002246,3.6619),(365,575,0.002289,3.6618),(365,585,0.002333,3.6617),(365,595,0.002378,3.6615),(365,605,0.002422,3.6614),(365,615,0.002466,3.6613),(365,625,0.002511,3.6611),(365,635,0.002556,3.661),(365,645,0.002601,3.6608),(365,655,0.002646,3.6607),(365,665,0.002692,3.6605),(365,675,0.002738,3.6604),(365,685,0.002784,3.6602),(365,695,0.00283,3.6601),(365,705,0.002877,3.6599),(365,715,0.002924,3.6598),(365,725,0.002971,3.6596),(365,735,0.003018,3.6594),(365,745,0.003066,3.6593),(365,755,0.003114,3.6591),(365,765,0.003161,3.6589),(365,775,0.00321,3.6587),(365,785,0.003259,3.6586),(365,795,0.003308,3.6584),(365,805,0.003357,3.6582),(365,815,0.003406,3.658),(365,825,0.003456,3.6578),(365,835,0.003506,3.6576),(365,845,0.003556,3.6574),(365,855,0.003606,3.6572),(365,865,0.003657,3.657),(365,875,0.003708,3.6568),(365,885,0.003759,3.6566),(365,895,0.003811,3.6564),(365,905,0.003863,3.6562),(365,915,0.003916,3.656),(365,925,0.003968,3.6558),(365,935,0.004021,3.6555),(365,945,0.004075,3.6553),(365,955,0.004128,3.6551),(365,965,0.004182,3.6549),(365,975,0.004236,3.6546),(365,985,0.004291,3.6544),(365,995,0.004346,3.6542),(365,1005,0.0044,3.6539),(365,1015,0.004456,3.6537),(365,1025,0.004512,3.6534),(365,1035,0.004568,3.6532),(365,1045,0.004624,3.6529),(365,1055,0.004681,3.6526),(365,1065,0.004739,3.6524),(365,1075,0.004797,3.6521),(365,1085,0.004854,3.6518),(365,1095,0.004913,3.6516),(365,1105,0.004972,3.6513),(365,1115,0.005031,3.651),(365,1125,0.00509,3.6507),(365,1135,0.00515,3.6505),(365,1145,0.00521,3.6502),(365,1155,0.00527,3.6499),(365,1165,0.005331,3.6496),(365,1175,0.005392,3.6493),(365,1185,0.005454,3.649),(365,1195,0.005515,3.6487),(365,1205,0.005577,3.6484),(365,1215,0.00564,3.6481),(365,1225,0.005703,3.6478),(365,1235,0.005766,3.6474),(365,1245,0.005829,3.6471),(365,1255,0.005894,3.6468),(365,1265,0.005958,3.6465),(365,1275,0.006023,3.6461),(365,1285,0.006088,3.6458),(365,1295,0.006154,3.6454),(365,1305,0.00622,3.6451),(365,1315,0.006286,3.6447),(365,1325,0.006352,3.6444),(365,1335,0.00642,3.644),(365,1345,0.006488,3.6437),(365,1355,0.006555,3.6433),(365,1365,0.006623,3.643),(365,1375,0.006692,3.6426),(365,1385,0.006762,3.6422),(365,1395,0.006831,3.6418),(365,1405,0.006901,3.6414),(365,1415,0.006971,3.6411),(365,1425,0.007042,3.6407),(365,1435,0.007113,3.6403),(365,1445,0.007184,3.6399),(365,1455,0.007256,3.6395),(365,1465,0.007329,3.6391),(365,1475,0.007401,3.6387),(365,1485,0.007474,3.6382),(365,1495,0.007548,3.6378),(365,1505,0.007621,3.6374),(365,1515,0.007696,3.637),(365,1525,0.00777,3.6365),(365,1535,0.007845,3.6361),(365,1545,0.007921,3.6357),(365,1555,0.007996,3.6352),(365,1565,0.008072,3.6348),(365,1575,0.008149,3.6343),(365,1585,0.008226,3.6339),(365,1595,0.008303,3.6334),(365,1605,0.008381,3.6329),(365,1615,0.008459,3.6325),(365,1625,0.008538,3.632),(365,1635,0.008617,3.6315),(365,1645,0.008696,3.631),(365,1655,0.008776,3.6306),(365,1665,0.008856,3.6301),(365,1675,0.008937,3.6296),(365,1685,0.009017,3.6291),(365,1695,0.009099,3.6286),(365,1705,0.009181,3.6281),(365,1715,0.009263,3.6275),(365,1725,0.009345,3.627),(365,1735,0.009429,3.6265),(365,1745,0.009512,3.626),(365,1755,0.009595,3.6254),(365,1765,0.009679,3.6249),(365,1775,0.009764,3.6244),(365,1785,0.009849,3.6238),(365,1795,0.009934,3.6233),(365,1805,0.01002,3.6227),(365,1815,0.010106,3.6221),(365,1825,0.010193,3.6216),(365,1835,0.010279,3.621),(365,1845,0.010367,3.6204),(365,1855,0.010455,3.6198),(365,1865,0.010543,3.6193),(365,1875,0.010631,3.6187),(365,1885,0.01072,3.6181),(365,1895,0.01081,3.6175),(365,1905,0.0109,3.6169),(365,1915,0.010989,3.6163),(365,1925,0.01108,3.6156),(365,1935,0.011171,3.615),(365,1945,0.011262,3.6144),(365,1955,0.011353,3.6138),(365,1965,0.011445,3.6131),(365,1975,0.011538,3.6125),(365,1985,0.011631,3.6118),(365,1995,0.011723,3.6112),(365,2005,0.011817,3.6105),(365,2015,0.011911,3.6099),(365,2025,0.012005,3.6092),(365,2035,0.012099,3.6085),(365,2045,0.012194,3.6078),(365,2055,0.01229,3.6072),(365,2065,0.012386,3.6065),(365,2075,0.012482,3.6058),(365,2085,0.012578,3.6051),(365,2095,0.012676,3.6044),(365,2105,0.012773,3.6037),(365,2115,0.01287,3.603),(365,2125,0.012969,3.6022),(365,2135,0.013068,3.6015),(365,2145,0.013167,3.6008),(365,2155,0.013266,3.6),(365,2165,0.013366,3.5993),(365,2175,0.013467,3.5986),(365,2185,0.013568,3.5978),(365,2195,0.013669,3.597),(365,2205,0.013771,3.5963),(365,2215,0.013874,3.5955),(365,2225,0.013976,3.5947),(365,2235,0.014079,3.5939),(365,2245,0.014183,3.5932),(365,2255,0.014287,3.5924),(365,2265,0.014392,3.5916),(365,2275,0.014496,3.5908),(365,2285,0.014603,3.59),(365,2295,0.014709,3.5892),(365,2305,0.014816,3.5883),(365,2315,0.014922,3.5875),(365,2325,0.015031,3.5867),(365,2335,0.015139,3.5858),(365,2345,0.015248,3.585),(365,2355,0.015357,3.5841),(365,2365,0.015468,3.5833),(365,2375,0.015579,3.5824),(365,2385,0.01569,3.5816),(365,2395,0.015801,3.5807),(365,2405,0.015915,3.5798),(365,2415,0.016029,3.5789),(365,2425,0.016143,3.578),(365,2435,0.016257,3.5771),(365,2445,0.016373,3.5762),(365,2455,0.01649,3.5753),(365,2465,0.016607,3.5744),(365,2475,0.016724,3.5735),(365,2485,0.016844,3.5726),(365,2495,0.016964,3.5717),(365,2505,0.017084,3.5707),(365,2515,0.017205,3.5698),(365,2525,0.017329,3.5688),(365,2535,0.017453,3.5679),(365,2545,0.017577,3.5669),(365,2555,0.017702,3.5659),(365,2565,0.01783,3.565),(365,2575,0.017959,3.564),(365,2585,0.018088,3.563),(365,2595,0.018217,3.562),(365,2605,0.01835,3.561),(365,2615,0.018484,3.56),(365,2625,0.018618,3.559),(365,2635,0.018752,3.558),(365,2645,0.018892,3.557),(365,2655,0.019032,3.556),(365,2665,0.019171,3.5549),(365,2675,0.019312,3.5539),(365,2685,0.019459,3.5528),(365,2695,0.019606,3.5518),(365,2705,0.019753,3.5507),(365,2715,0.019901,3.5497),(365,2725,0.020056,3.5486),(365,2735,0.020211,3.5475),(365,2745,0.020366,3.5464),(365,2755,0.020524,3.5454),(365,2765,0.020689,3.5443),(365,2775,0.020853,3.5432),(365,2785,0.021018,3.5421),(365,2795,0.021186,3.5409),(365,2805,0.021362,3.5398),(365,2815,0.021538,3.5387),(365,2825,0.021714,3.5376),(365,2835,0.021894,3.5364),(365,2845,0.022083,3.5353),(365,2855,0.022272,3.5341),(365,2865,0.022462,3.533),(365,2875,0.022657,3.5318),(365,2885,0.022861,3.5306),(365,2895,0.023066,3.5295),(365,2905,0.023271,3.5283),(365,2915,0.023484,3.5271),(365,2925,0.023707,3.5259),(365,2935,0.02393,3.5247),(365,2945,0.024154,3.5234),(365,2955,0.024387,3.5222),(365,2965,0.024632,3.521),(365,2975,0.024878,3.5198),(365,2985,0.025123,3.5185),(365,2995,0.025381,3.5173),(365,3005,0.025652,3.516),(365,3015,0.025922,3.5148),(365,3025,0.026193,3.5135),(365,3035,0.02648,3.5122),(365,3045,0.026782,3.5109),(365,3055,0.027083,3.5097),(365,3065,0.027384,3.5084),(365,3075,0.027706,3.5071),(365,3085,0.028044,3.5057),(365,3095,0.028381,3.5044),(365,3105,0.028718,3.5031),(365,3115,0.029081,3.5018),(365,3125,0.029461,3.5004),(365,3135,0.029841,3.4991),(365,3145,0.030221,3.4977),(365,3155,0.030633,3.4964),(365,3165,0.031064,3.495),(365,3175,0.031494,3.4936),(365,3185,0.031924,3.4922),(365,3195,0.032396,3.4908),(365,3205,0.032886,3.4894),(365,3215,0.033376,3.488),(365,3225,0.033867,3.4866),(365,3235,0.034409,3.4852),(365,3245,0.03497,3.4838),(365,3255,0.035531,3.4823),(365,3265,0.036092,3.4809),(365,3275,0.036719,3.4794),(365,3285,0.037364,3.478),(365,3295,0.03801,3.4765),(365,3305,0.038656,3.4751),(365,3315,0.039383,3.4736),(365,3325,0.040129,3.4721),(365,3335,0.040875,3.4706),(365,3345,0.041622,3.4691),(365,3355,0.042469,3.4676),(365,3365,0.043336,3.4661),(365,3375,0.044202,3.4646),(365,3385,0.045068,3.4631),(365,3395,0.04606,3.4616),(365,3405,0.047069,3.4601),(365,3415,0.048078,3.4586),(365,3425,0.049087,3.457),(365,3435,0.050253,3.4555),(365,3445,0.051432,3.454),(365,3455,0.052611,3.4525),(365,3465,0.05379,3.451),(365,3475,0.055165,3.4494),(365,3485,0.056547,3.4479),(365,3495,0.057929,3.4464),(365,3505,0.059312,3.4449),(365,3515,0.060937,3.4434),(365,3525,0.062561,3.4419),(365,3535,0.064186,3.4405),(365,3545,0.065823,3.439),(365,3555,0.067737,3.4376),(365,3565,0.069651,3.4361),(365,3575,0.071565,3.4348),(365,3585,0.073508,3.4334),(365,3595,0.075767,3.432),(365,3605,0.078025,3.4307),(365,3615,0.080284,3.4294),(365,3625,0.082593,3.4282),(365,3635,0.08526,3.427),(365,3645,0.087928,3.4258),(365,3655,0.090595,3.4248),(365,3665,0.093341,3.4238),(365,3675,0.096489,3.4228),(365,3685,0.099637,3.4219),(365,3695,0.10279,3.4213),(365,3705,0.10605,3.4206),(365,3715,0.10975,3.42),(365,3725,0.11346,3.4195),(365,3735,0.11716,3.4194),(365,3745,0.12102,3.4193),(365,3755,0.12535,3.4192),(365,3765,0.12967,3.4193),(365,3775,0.134,3.42),(365,3785,0.13851,3.4207),(365,3795,0.14348,3.4214),(365,3805,0.14845,3.4225),(365,3815,0.15343,3.4245),(365,3825,0.15857,3.4265),(365,3835,0.16407,3.4285),(365,3845,0.16957,3.4311),(365,3855,0.17507,3.4349),(365,3865,0.1806,3.4388),(365,3875,0.18616,3.4426),(365,3885,0.19173,3.4475),(365,3895,0.1973,3.4541),(365,3905,0.23476,3.4607),(365,3915,0.31989,3.4673),(365,3925,0.40501,3.4772),(365,3935,0.49014,3.4917),(365,3945,0.54614,3.5062),(365,3955,0.56516,3.5207),(365,3965,0.58418,3.5315),(365,3975,0.60319,3.538),(365,3985,0.58987,3.5445),(365,3995,0.54152,3.5509),(365,4005,0.49318,3.5548),(365,4015,0.44484,3.5559),(365,4025,0.40809,3.557),(365,4035,0.37247,3.5577),(365,4045,0.33685,3.5575),(365,4055,0.30537,3.5573),(365,4065,0.27539,3.5566),(365,4075,0.24541,3.5524),(365,4085,0.21782,3.5482),(365,4095,0.19215,3.544),(365,4105,0.16648,3.5344),(365,4115,0.13965,3.5245),(365,4125,0.11089,3.5147),(365,4135,0.082135,3.5026),(365,4145,0.063091,3.49),(365,4155,0.083378,3.4773),(365,4165,0.10366,3.4786),(365,4175,0.12382,3.4888),(365,4185,0.13729,3.499),(365,4195,0.15076,3.5058),(365,4205,0.16423,3.5083),(365,4215,0.13308,3.5107),(365,4225,0.09353,3.51),(365,4235,0.053982,3.5001),(365,4245,0.03031,3.4903),(365,4255,0.014695,3.4801),(365,4265,-0.00092,3.4671),(365,4275,-0.006159,3.4541),(365,4285,-0.000385,3.4411),(365,4295,0.005388,3.4366),(365,4305,0.050577,3.4331),(365,4315,0.18477,3.4295),(365,4325,0.31895,3.4496),(365,4335,0.43068,3.479),(365,4345,0.39037,3.5083),(365,4355,0.35005,3.5276),(365,4365,0.30974,3.5384),(365,4375,0.2469,3.5491),(365,4385,0.18288,3.5508),(365,4395,0.11886,3.5366),(365,4405,0.066106,3.5224),(365,4415,0.016667,3.5069),(365,4425,-0.032772,3.4852),(365,4435,0.006256,3.4635),(365,4445,0.10574,3.442),(365,4455,0.20523,3.464),(365,4465,0.27427,3.4859),(365,4475,0.30056,3.5079),(365,4485,0.32684,3.5214),(365,4495,0.32774,3.533),(365,4505,0.24718,3.5447),(365,4515,0.16663,3.538),(365,4525,0.086911,3.5212),(365,4535,0.020503,3.5044),(365,4545,-0.045904,3.4776),(365,4555,-0.11231,3.4395),(365,4565,-0.074316,3.4013),(365,4575,-0.022245,3.3768),(365,4585,0.029827,3.3853),(365,4595,0.083476,3.3938),(365,4605,0.13779,3.404),(365,4615,0.19211,3.4278),(365,4625,0.20144,3.4516),(365,4635,0.17004,3.4753),(365,4645,0.13864,3.4828),(365,4655,0.080434,3.4891),(365,4665,-0.028303,3.4954),(365,4675,-0.13704,3.4693),(365,4685,-0.2256,3.4326),(365,4695,-0.21443,3.396),(365,4705,-0.20327,3.3629),(365,4715,-0.19211,3.3323),(365,4725,-0.020565,3.3016),(365,4735,0.15259,3.2971),(365,4745,0.32574,3.3315),(365,4755,0.32407,3.366),(365,4765,0.28189,3.3947),(365,4775,0.23971,3.4036),(365,4785,0.15433,3.4124),(365,4795,0.043973,3.4193),(365,4805,-0.066387,3.3845),(365,4815,-0.1527,3.3497),(365,4825,-0.21025,3.315),(365,4835,-0.26781,3.2625),(365,4845,-0.25856,3.2074),(365,4855,-0.075161,3.1522),(365,4865,0.10824,3.1529),(365,4875,0.28318,3.1789),(365,4885,0.38126,3.2049),(365,4895,0.47933,3.2347),(365,4905,0.5774,3.2684),(365,4915,0.45641,3.302),(365,4925,0.31658,3.32),(365,4935,0.17676,3.3067),(365,4945,0.070601,3.2933),(365,4955,-0.023881,3.2749),(365,4965,-0.11836,3.2288),(365,4975,-0.13504,3.1827),(365,4985,-0.091662,3.1366),(365,4995,-0.048283,3.1276),(365,5005,-0.002171,3.1195),(365,5015,0.048284,3.1114),(365,5025,0.098739,3.1271),(365,5035,0.12107,3.1488),(365,5045,0.036237,3.1705),(365,5055,-0.048592,3.1721),(365,5065,-0.13423,3.1612),(365,5075,-0.24614,3.1504),(365,5085,-0.35805,3.12),(365,5095,-0.46997,3.0649),(365,5105,-0.47366,3.0098),(365,5115,-0.45848,2.9542),(365,5125,-0.44329,2.8975),(365,5135,-0.26871,2.8407),(365,5145,-0.016782,2.7911),(365,5155,0.23515,2.8201),(365,5165,0.39862,2.849),(365,5175,0.47186,2.878),(365,5185,0.54511,2.8987),(365,5195,0.56374,2.9186),(365,5205,0.46462,2.9385),(365,5215,0.3655,2.9235),(365,5225,0.26731,2.8955),(365,5235,0.17494,2.8675),(365,5245,0.082569,2.8155),(365,5255,-0.009802,2.7438),(365,5265,-0.008301,2.6721),(365,5275,-0.00293,2.6275),(365,5285,0.002441,2.6288),(365,5295,0.064489,2.6301),(365,5305,0.14232,2.6385),(365,5315,0.22015,2.6768),(365,5325,0.2214,2.7151),(365,5335,0.17242,2.7527),(365,5345,0.12344,2.7485),(365,5355,0.053599,2.7443),(365,5365,-0.044379,2.7402),(365,5375,-0.14236,2.6826),(365,5385,-0.20877,2.6145),(365,5395,-0.1792,2.5465),(365,5405,-0.14964,2.4984),(365,5415,-0.10409,2.4606),(365,5425,0.15616,2.4228),(365,5435,0.4164,2.417),(365,5445,0.67665,2.4458),(365,5455,0.7559,2.4745),(365,5465,0.81302,2.5002),(365,5475,0.87015,2.5185),(365,5485,0.84407,2.5369),(365,5495,0.78448,2.5534),(365,5505,0.72489,2.5564),(365,5515,0.67456,2.5594),(365,5525,0.63227,2.5624),(365,5535,0.58999,2.5579),(365,5545,0.55217,2.5529),(365,5555,0.52241,2.5479),(365,5565,0.49265,2.5396),(365,5575,0.46445,2.5303),(365,5585,0.44346,2.521),(365,5595,0.42248,2.5101),(365,5605,0.40149,2.4981),(365,5615,0.38675,2.4861),(365,5625,0.37201,2.4731),(365,5635,0.35726,2.4588),(365,5645,0.34629,2.4445),(365,5655,0.33614,2.4297),(365,5665,0.32598,2.4135),(365,5675,0.31792,2.3972),(365,5685,0.31103,2.3809),(365,5695,0.30413,2.3627),(365,5705,0.29825,2.3446),(365,5715,0.29353,2.3264),(365,5725,0.28881,2.3062),(365,5735,0.28444,2.2857),(365,5745,0.28094,2.2652),(365,5755,0.27743,2.243),(365,5765,0.27396,2.2201),(365,5775,0.27067,2.1972),(365,5785,0.26738,2.1726),(365,5795,0.26409,2.1464),(365,5805,0.26037,2.1203),(365,5815,0.25662,2.0929),(365,5825,0.25287,2.0631),(365,5835,0.2482,2.0333),(365,5845,0.24323,2.0027),(365,5855,0.23826,1.9682),(365,5865,0.23246,1.9336),(365,5875,0.22603,1.8991),(365,5885,0.21959,1.8585),(365,5895,0.21248,1.8177),(365,5905,0.20432,1.777),(365,5915,0.19617,1.7294),(365,5925,0.18789,1.6801),(365,5935,0.17916,1.6309),(365,5945,0.17043,1.5748),(365,5955,0.16182,1.5148),(365,5965,0.15593,1.4548),(365,5975,0.15005,1.388),(365,5985,0.14417,1.3129),(365,5995,0.10966,1.2378),(365,6005,0.070541,1.1802),(365,6015,0.031422,1.1692),(365,6025,0.090888,1.1581),(365,6035,0.19608,1.1479),(365,6045,0.30127,1.1454),(365,6055,0.36912,1.1429),(365,6065,0.40036,1.1404),(365,6075,0.43161,1.1312),(365,6085,0.45042,1.1213),(365,6095,0.44361,1.1114),(365,6105,0.4368,1.0989),(365,6115,0.43,1.0854),(365,6125,0.42327,1.0719),(365,6135,0.41655,1.0568),(365,6145,0.40982,1.0404),(365,6155,0.40387,1.024),(365,6165,0.39794,1.0067),(365,6175,0.39201,0.98797),(365,6185,0.38681,0.96923),(365,6195,0.38181,0.95025),(365,6205,0.3768,0.93027),(365,6215,0.37226,0.91029),(365,6225,0.36802,0.89028),(365,6235,0.36378,0.86935),(365,6245,0.35982,0.84841),(365,6255,0.35623,0.82748),(365,6265,0.35264,0.80587),(365,6275,0.34923,0.78414),(365,6285,0.34632,0.7624),(365,6295,0.34341,0.74025),(365,6305,0.34054,0.71789),(365,6315,0.33819,0.69554),(365,6325,0.33584,0.67296),(365,6335,0.33349,0.65015),(365,6345,0.33151,0.62734),(365,6355,0.32957,0.60443),(365,6365,0.32763,0.58132),(365,6375,0.32594,0.55821),(365,6385,0.32435,0.53507),(365,6395,0.32276,0.51171),(365,6405,0.3213,0.48835),(365,6415,0.31993,0.46498),(365,6425,0.31857,0.44152),(365,6435,0.3173,0.41806),(365,6445,0.3162,0.39459),(365,6455,0.3151,0.37086),(365,6465,0.31404,0.34706),(365,6475,0.31314,0.32326),(365,6485,0.31223,0.29952),(365,6495,0.31133,0.27583),(365,6505,0.31069,0.25214),(365,6515,0.31005,0.22839),(365,6525,0.30941,0.20457),(365,6535,0.30888,0.18074),(365,6545,0.30838,0.15688),(365,6555,0.30788,0.13291),(365,6565,0.30752,0.10894),(365,6575,0.30724,0.08498),(365,6585,0.30696,0.061055),(365,6595,0.26095,0.037131),(365,6605,0.16444,0.013206),(365,6615,0.067924,0.010192),(365,6625,7.8e-05,0.009864),(365,6635,8e-05,0.009537),(365,6645,8.2e-05,0.009437),(365,6655,8.3e-05,0.009431),(365,6665,8.5e-05,0.009425),(365,6675,8.6e-05,0.009419),(365,6685,8.8e-05,0.009413),(365,6695,8.9e-05,0.009407),(365,6705,9e-05,0.009401),(365,6715,9.1e-05,0.009395),(365,6725,9.2e-05,0.009389),(365,6735,9.3e-05,0.009383),(365,6745,9.5e-05,0.009377),(365,6755,9.6e-05,0.009371),(365,6765,9.7e-05,0.009366),(365,6775,9.8e-05,0.00936),(365,6785,9.9e-05,0.009354),(365,6795,0.0001,0.009347),(365,6805,0.000101,0.009341),(365,6815,0.000101,0.009335),(365,6825,0.000102,0.009329),(365,6835,0.000103,0.009323),(365,6845,0.000104,0.009317),(365,6855,0.000105,0.00931),(365,6865,0.000106,0.009304),(365,6875,0.000107,0.009298),(365,6885,0.000107,0.009291),(365,6895,0.000108,0.009285),(365,6905,0.000109,0.009278),(365,6915,0.00011,0.009272),(365,6925,0.000111,0.009265),(365,6935,0.000111,0.009259),(365,6945,0.000112,0.009252),(365,6955,0.000113,0.009246),(365,6965,0.000113,0.009239),(365,6975,0.000114,0.009233),(365,6985,0.000115,0.009226),(375,5,1.9e-05,3.6654),(375,15,5.8e-05,3.6654),(375,25,9.7e-05,3.6654),(375,35,0.000136,3.6654),(375,45,0.000175,3.6654),(375,55,0.000214,3.6654),(375,65,0.000253,3.6653),(375,75,0.000292,3.6653),(375,85,0.000331,3.6653),(375,95,0.00037,3.6653),(375,105,0.000409,3.6653),(375,115,0.000448,3.6653),(375,125,0.000487,3.6652),(375,135,0.000525,3.6652),(375,145,0.000565,3.6652),(375,155,0.000604,3.6651),(375,165,0.000643,3.6651),(375,175,0.000683,3.6651),(375,185,0.000722,3.665),(375,195,0.000762,3.665),(375,205,0.000801,3.665),(375,215,0.000841,3.6649),(375,225,0.000881,3.6649),(375,235,0.000921,3.6648),(375,245,0.000961,3.6648),(375,255,0.001001,3.6647),(375,265,0.001041,3.6647),(375,275,0.001081,3.6646),(375,285,0.001122,3.6645),(375,295,0.001162,3.6645),(375,305,0.001203,3.6644),(375,315,0.001243,3.6643),(375,325,0.001284,3.6643),(375,335,0.001325,3.6642),(375,345,0.001366,3.6641),(375,355,0.001407,3.6641),(375,365,0.001448,3.664),(375,375,0.001489,3.6639),(375,385,0.001531,3.6638),(375,395,0.001572,3.6637),(375,405,0.001614,3.6637),(375,415,0.001656,3.6636),(375,425,0.001698,3.6635),(375,435,0.001741,3.6634),(375,445,0.001783,3.6633),(375,455,0.001826,3.6632),(375,465,0.001869,3.6631),(375,475,0.001912,3.663),(375,485,0.001955,3.6629),(375,495,0.001998,3.6628),(375,505,0.002041,3.6627),(375,515,0.002085,3.6626),(375,525,0.002129,3.6624),(375,535,0.002172,3.6623),(375,545,0.002217,3.6622),(375,555,0.002261,3.6621),(375,565,0.002305,3.662),(375,575,0.00235,3.6618),(375,585,0.002395,3.6617),(375,595,0.002441,3.6616),(375,605,0.002486,3.6614),(375,615,0.002531,3.6613),(375,625,0.002578,3.6612),(375,635,0.002624,3.661),(375,645,0.00267,3.6609),(375,655,0.002717,3.6607),(375,665,0.002764,3.6606),(375,675,0.002811,3.6604),(375,685,0.002858,3.6603),(375,695,0.002905,3.6601),(375,705,0.002953,3.66),(375,715,0.003001,3.6598),(375,725,0.00305,3.6597),(375,735,0.003098,3.6595),(375,745,0.003147,3.6593),(375,755,0.003196,3.6592),(375,765,0.003245,3.659),(375,775,0.003295,3.6588),(375,785,0.003345,3.6586),(375,795,0.003395,3.6584),(375,805,0.003446,3.6583),(375,815,0.003496,3.6581),(375,825,0.003547,3.6579),(375,835,0.003599,3.6577),(375,845,0.00365,3.6575),(375,855,0.003702,3.6573),(375,865,0.003754,3.6571),(375,875,0.003807,3.6569),(375,885,0.003859,3.6567),(375,895,0.003912,3.6565),(375,905,0.003966,3.6563),(375,915,0.00402,3.656),(375,925,0.004074,3.6558),(375,935,0.004128,3.6556),(375,945,0.004183,3.6554),(375,955,0.004238,3.6551),(375,965,0.004293,3.6549),(375,975,0.004349,3.6547),(375,985,0.004405,3.6544),(375,995,0.004461,3.6542),(375,1005,0.004518,3.654),(375,1015,0.004575,3.6537),(375,1025,0.004632,3.6535),(375,1035,0.00469,3.6532),(375,1045,0.004748,3.653),(375,1055,0.004806,3.6527),(375,1065,0.004865,3.6524),(375,1075,0.004924,3.6522),(375,1085,0.004984,3.6519),(375,1095,0.005044,3.6516),(375,1105,0.005104,3.6514),(375,1115,0.005165,3.6511),(375,1125,0.005226,3.6508),(375,1135,0.005287,3.6505),(375,1145,0.005349,3.6502),(375,1155,0.005411,3.6499),(375,1165,0.005473,3.6496),(375,1175,0.005536,3.6493),(375,1185,0.0056,3.6491),(375,1195,0.005663,3.6487),(375,1205,0.005726,3.6484),(375,1215,0.005791,3.6481),(375,1225,0.005856,3.6478),(375,1235,0.00592,3.6475),(375,1245,0.005985,3.6472),(375,1255,0.006051,3.6468),(375,1265,0.006118,3.6465),(375,1275,0.006184,3.6462),(375,1285,0.006251,3.6458),(375,1295,0.006318,3.6455),(375,1305,0.006386,3.6452),(375,1315,0.006455,3.6448),(375,1325,0.006522,3.6445),(375,1335,0.006592,3.6441),(375,1345,0.006662,3.6438),(375,1355,0.006731,3.6434),(375,1365,0.006801,3.643),(375,1375,0.006872,3.6427),(375,1385,0.006943,3.6423),(375,1395,0.007014,3.6419),(375,1405,0.007086,3.6415),(375,1415,0.007158,3.6411),(375,1425,0.007231,3.6407),(375,1435,0.007304,3.6403),(375,1445,0.007377,3.6399),(375,1455,0.007451,3.6395),(375,1465,0.007526,3.6391),(375,1475,0.0076,3.6387),(375,1485,0.007674,3.6383),(375,1495,0.00775,3.6379),(375,1505,0.007826,3.6375),(375,1515,0.007902,3.6371),(375,1525,0.007978,3.6366),(375,1535,0.008056,3.6362),(375,1545,0.008134,3.6358),(375,1555,0.008211,3.6353),(375,1565,0.008289,3.6349),(375,1575,0.008368,3.6344),(375,1585,0.008448,3.634),(375,1595,0.008527,3.6335),(375,1605,0.008606,3.633),(375,1615,0.008687,3.6326),(375,1625,0.008768,3.6321),(375,1635,0.008849,3.6316),(375,1645,0.00893,3.6311),(375,1655,0.009013,3.6306),(375,1665,0.009095,3.6302),(375,1675,0.009178,3.6297),(375,1685,0.009261,3.6291),(375,1695,0.009345,3.6286),(375,1705,0.009429,3.6281),(375,1715,0.009513,3.6276),(375,1725,0.009597,3.6271),(375,1735,0.009683,3.6266),(375,1745,0.009769,3.6261),(375,1755,0.009855,3.6255),(375,1765,0.009941,3.625),(375,1775,0.010028,3.6244),(375,1785,0.010115,3.6239),(375,1795,0.010203,3.6233),(375,1805,0.01029,3.6228),(375,1815,0.010379,3.6222),(375,1825,0.010468,3.6217),(375,1835,0.010557,3.6211),(375,1845,0.010647,3.6205),(375,1855,0.010737,3.6199),(375,1865,0.010828,3.6194),(375,1875,0.010918,3.6188),(375,1885,0.01101,3.6182),(375,1895,0.011102,3.6176),(375,1905,0.011194,3.617),(375,1915,0.011286,3.6163),(375,1925,0.011379,3.6157),(375,1935,0.011473,3.6151),(375,1945,0.011566,3.6145),(375,1955,0.01166,3.6138),(375,1965,0.011755,3.6132),(375,1975,0.01185,3.6126),(375,1985,0.011945,3.6119),(375,1995,0.01204,3.6113),(375,2005,0.012136,3.6106),(375,2015,0.012233,3.61),(375,2025,0.01233,3.6093),(375,2035,0.012427,3.6086),(375,2045,0.012524,3.6079),(375,2055,0.012623,3.6073),(375,2065,0.012721,3.6066),(375,2075,0.012819,3.6059),(375,2085,0.012918,3.6052),(375,2095,0.013018,3.6045),(375,2105,0.013118,3.6038),(375,2115,0.013218,3.6031),(375,2125,0.013319,3.6023),(375,2135,0.013421,3.6016),(375,2145,0.013523,3.6009),(375,2155,0.013625,3.6001),(375,2165,0.013728,3.5994),(375,2175,0.013831,3.5987),(375,2185,0.013935,3.5979),(375,2195,0.014038,3.5971),(375,2205,0.014143,3.5964),(375,2215,0.014248,3.5956),(375,2225,0.014354,3.5948),(375,2235,0.014459,3.594),(375,2245,0.014566,3.5933),(375,2255,0.014673,3.5925),(375,2265,0.01478,3.5917),(375,2275,0.014887,3.5909),(375,2285,0.014996,3.5901),(375,2295,0.015105,3.5893),(375,2305,0.015215,3.5884),(375,2315,0.015324,3.5876),(375,2325,0.015435,3.5868),(375,2335,0.015547,3.5859),(375,2345,0.015658,3.5851),(375,2355,0.01577,3.5842),(375,2365,0.015884,3.5834),(375,2375,0.015998,3.5825),(375,2385,0.016112,3.5817),(375,2395,0.016226,3.5808),(375,2405,0.016342,3.5799),(375,2415,0.016459,3.579),(375,2425,0.016575,3.5782),(375,2435,0.016692,3.5773),(375,2445,0.016812,3.5764),(375,2455,0.016931,3.5755),(375,2465,0.017051,3.5745),(375,2475,0.01717,3.5736),(375,2485,0.017294,3.5727),(375,2495,0.017417,3.5718),(375,2505,0.01754,3.5708),(375,2515,0.017663,3.5699),(375,2525,0.01779,3.5689),(375,2535,0.017917,3.568),(375,2545,0.018044,3.567),(375,2555,0.018172,3.5661),(375,2565,0.018303,3.5651),(375,2575,0.018435,3.5641),(375,2585,0.018566,3.5631),(375,2595,0.018698,3.5622),(375,2605,0.018835,3.5612),(375,2615,0.018972,3.5602),(375,2625,0.019108,3.5592),(375,2635,0.019246,3.5581),(375,2645,0.019388,3.5571),(375,2655,0.019531,3.5561),(375,2665,0.019674,3.5551),(375,2675,0.019817,3.554),(375,2685,0.019967,3.553),(375,2695,0.020117,3.5519),(375,2705,0.020267,3.5509),(375,2715,0.020418,3.5498),(375,2725,0.020576,3.5488),(375,2735,0.020734,3.5477),(375,2745,0.020892,3.5466),(375,2755,0.021053,3.5455),(375,2765,0.021221,3.5444),(375,2775,0.021388,3.5433),(375,2785,0.021556,3.5422),(375,2795,0.021727,3.5411),(375,2805,0.021906,3.54),(375,2815,0.022085,3.5389),(375,2825,0.022264,3.5377),(375,2835,0.022447,3.5366),(375,2845,0.022639,3.5355),(375,2855,0.022832,3.5343),(375,2865,0.023024,3.5332),(375,2875,0.023222,3.532),(375,2885,0.02343,3.5308),(375,2895,0.023638,3.5297),(375,2905,0.023846,3.5285),(375,2915,0.024061,3.5273),(375,2925,0.024287,3.5261),(375,2935,0.024514,3.5249),(375,2945,0.02474,3.5237),(375,2955,0.024976,3.5225),(375,2965,0.025225,3.5213),(375,2975,0.025473,3.52),(375,2985,0.025721,3.5188),(375,2995,0.025982,3.5175),(375,3005,0.026256,3.5163),(375,3015,0.02653,3.515),(375,3025,0.026804,3.5138),(375,3035,0.027094,3.5125),(375,3045,0.027398,3.5112),(375,3055,0.027702,3.51),(375,3065,0.028006,3.5087),(375,3075,0.028331,3.5074),(375,3085,0.028671,3.5061),(375,3095,0.029011,3.5048),(375,3105,0.029351,3.5035),(375,3115,0.029717,3.5021),(375,3125,0.030099,3.5008),(375,3135,0.030481,3.4995),(375,3145,0.030864,3.4981),(375,3155,0.031279,3.4968),(375,3165,0.031711,3.4954),(375,3175,0.032144,3.4941),(375,3185,0.032576,3.4927),(375,3195,0.033049,3.4913),(375,3205,0.033541,3.4899),(375,3215,0.034033,3.4885),(375,3225,0.034525,3.4871),(375,3235,0.035068,3.4857),(375,3245,0.035631,3.4843),(375,3255,0.036193,3.4829),(375,3265,0.036755,3.4815),(375,3275,0.037382,3.4801),(375,3285,0.038027,3.4786),(375,3295,0.038673,3.4772),(375,3305,0.039319,3.4757),(375,3315,0.040044,3.4743),(375,3325,0.040789,3.4729),(375,3335,0.041534,3.4714),(375,3345,0.042279,3.4699),(375,3355,0.043123,3.4685),(375,3365,0.043986,3.467),(375,3375,0.044848,3.4655),(375,3385,0.045711,3.464),(375,3395,0.046697,3.4626),(375,3405,0.0477,3.4611),(375,3415,0.048702,3.4596),(375,3425,0.049705,3.4581),(375,3435,0.050861,3.4566),(375,3445,0.052029,3.4552),(375,3455,0.053198,3.4537),(375,3465,0.054366,3.4522),(375,3475,0.055726,3.4508),(375,3485,0.057091,3.4493),(375,3495,0.058457,3.4479),(375,3505,0.059824,3.4464),(375,3515,0.061425,3.445),(375,3525,0.063025,3.4435),(375,3535,0.064626,3.4422),(375,3545,0.066239,3.4408),(375,3555,0.068118,3.4394),(375,3565,0.069996,3.438),(375,3575,0.071875,3.4368),(375,3585,0.073782,3.4355),(375,3595,0.075989,3.4342),(375,3605,0.078197,3.4329),(375,3615,0.080405,3.4318),(375,3625,0.08266,3.4307),(375,3635,0.085254,3.4296),(375,3645,0.087848,3.4285),(375,3655,0.090442,3.4276),(375,3665,0.09311,3.4267),(375,3675,0.096152,3.4259),(375,3685,0.099195,3.4251),(375,3695,0.10224,3.4246),(375,3705,0.10538,3.4241),(375,3715,0.10894,3.4236),(375,3725,0.11249,3.4232),(375,3735,0.11604,3.4232),(375,3745,0.11973,3.4233),(375,3755,0.12384,3.4233),(375,3765,0.12795,3.4236),(375,3775,0.13206,3.4245),(375,3785,0.13633,3.4254),(375,3795,0.14099,3.4263),(375,3805,0.14565,3.4275),(375,3815,0.15031,3.4296),(375,3825,0.1551,3.4317),(375,3835,0.16016,3.4338),(375,3845,0.16523,3.4365),(375,3855,0.17029,3.4404),(375,3865,0.17533,3.4442),(375,3875,0.18033,3.4481),(375,3885,0.18533,3.4529),(375,3895,0.19032,3.4591),(375,3905,0.22655,3.4654),(375,3915,0.30941,3.4716),(375,3925,0.39228,3.4809),(375,3935,0.47514,3.4944),(375,3945,0.53044,3.5079),(375,3955,0.55075,3.5213),(375,3965,0.57106,3.5316),(375,3975,0.59136,3.538),(375,3985,0.57948,3.5445),(375,3995,0.53276,3.551),(375,4005,0.48603,3.5549),(375,4015,0.4393,3.5561),(375,4025,0.40337,3.5574),(375,4035,0.3685,3.5581),(375,4045,0.33363,3.5576),(375,4055,0.30316,3.5572),(375,4065,0.27431,3.5562),(375,4075,0.24545,3.5523),(375,4085,0.21919,3.5485),(375,4095,0.195,3.5446),(375,4105,0.17081,3.536),(375,4115,0.14514,3.5273),(375,4125,0.11702,3.5186),(375,4135,0.0889,3.5087),(375,4145,0.069359,3.4985),(375,4155,0.084579,3.488281),(375,4165,0.099798,3.4895),(375,4175,0.11502,3.4981),(375,4185,0.13011,3.5067),(375,4195,0.14521,3.5123),(375,4205,0.1603,3.514),(375,4215,0.13234,3.5157),(375,4225,0.096275,3.5146),(375,4235,0.060209,3.5051),(375,4245,0.038205,3.4957),(375,4255,0.023338,3.4862),(375,4265,0.008471,3.4746),(375,4275,0.002439,3.463),(375,4285,0.005784,3.4514),(375,4295,0.009129,3.4478),(375,4305,0.049775,3.4451),(375,4315,0.17465,3.4423),(375,4325,0.29952,3.4609),(375,4335,0.40375,3.4878),(375,4345,0.36822,3.5147),(375,4355,0.3327,3.5326),(375,4365,0.29717,3.543),(375,4375,0.24122,3.5533),(375,4385,0.1842,3.5553),(375,4395,0.12718,3.5424),(375,4405,0.077766,3.5295),(375,4415,0.030588,3.5154),(375,4425,-0.016589,3.4961),(375,4435,0.016474,3.4767),(375,4445,0.10437,3.4576),(375,4455,0.19227,3.4774),(375,4465,0.25542,3.4971),(375,4475,0.28381,3.5169),(375,4485,0.3122,3.5291),(375,4495,0.31661,3.5398),(375,4505,0.24412,3.5505),(375,4515,0.17162,3.5439),(375,4525,0.099839,3.5278),(375,4535,0.039255,3.5117),(375,4545,-0.021328,3.4865),(375,4555,-0.081912,3.451),(375,4565,-0.053552,3.4156),(375,4575,-0.013201,3.3924),(375,4585,0.02715,3.3993),(375,4595,0.073833,3.4061),(375,4605,0.12319,3.4147),(375,4615,0.17255,3.4365),(375,4625,0.18184,3.4583),(375,4635,0.15484,3.4801),(375,4645,0.12785,3.4869),(375,4655,0.076818,3.4927),(375,4665,-0.019524,3.4985),(375,4675,-0.11586,3.4728),(375,4685,-0.19439,3.437),(375,4695,-0.18487,3.4013),(375,4705,-0.17534,3.3696),(375,4715,-0.16582,3.341),(375,4725,-0.012289,3.3124),(375,4735,0.14269,3.3076),(375,4745,0.29766,3.3383),(375,4755,0.29781,3.3691),(375,4765,0.26208,3.3946),(375,4775,0.22636,3.4016),(375,4785,0.15105,3.4087),(375,4795,0.052864,3.4139),(375,4805,-0.045325,3.38),(375,4815,-0.12242,3.3461),(375,4825,-0.17429,3.3122),(375,4835,-0.22617,3.2629),(375,4845,-0.2189,3.2112),(375,4855,-0.057471,3.1595),(375,4865,0.10396,3.1598),(375,4875,0.25879,3.1836),(375,4885,0.35355,3.2074),(375,4895,0.4483,3.2347),(375,4905,0.54305,3.2653),(375,4915,0.43462,3.2959),(375,4925,0.30871,3.3116),(375,4935,0.18279,3.2973),(375,4945,0.086673,3.2829),(375,4955,0.000879,3.2643),(375,4965,-0.084915,3.2218),(375,4975,-0.10355,3.1794),(375,4985,-0.070356,3.1369),(375,4995,-0.037158,3.1299),(375,5005,-0.000534,3.1239),(375,5015,0.041538,3.1178),(375,5025,0.08361,3.1315),(375,5035,0.1011,3.1503),(375,5045,0.024935,3.1691),(375,5055,-0.051229,3.1686),(375,5065,-0.12808,3.1564),(375,5075,-0.22754,3.1442),(375,5085,-0.32699,3.1134),(375,5095,-0.42645,3.0591),(375,5105,-0.42758,3.0047),(375,5115,-0.41156,2.9504),(375,5125,-0.39554,2.896),(375,5135,-0.23674,2.8417),(375,5145,-0.008652,2.7942),(375,5155,0.21944,2.8203),(375,5165,0.37131,2.8464),(375,5175,0.44544,2.8725),(375,5185,0.51957,2.8904),(375,5195,0.54296,2.9075),(375,5205,0.45697,2.9246),(375,5215,0.37098,2.909),(375,5225,0.28572,2.8813),(375,5235,0.20503,2.8536),(375,5245,0.12435,2.8043),(375,5255,0.043669,2.7372),(375,5265,0.029113,2.6702),(375,5275,0.017283,2.6284),(375,5285,0.005453,2.6293),(375,5295,0.055865,2.6302),(375,5305,0.12361,2.6371),(375,5315,0.19135,2.6691),(375,5325,0.1945,2.7012),(375,5335,0.15529,2.7326),(375,5345,0.11607,2.7271),(375,5355,0.058947,2.7215),(375,5365,-0.022345,2.716),(375,5375,-0.10364,2.6614),(375,5385,-0.15927,2.5971),(375,5395,-0.13692,2.5329),(375,5405,-0.11457,2.4888),(375,5415,-0.076982,2.4551),(375,5425,0.16519,2.4214),(375,5435,0.40735,2.4166),(375,5445,0.64952,2.4431),(375,5455,0.72823,2.4696),(375,5465,0.78697,2.4935),(375,5475,0.8457,2.5114),(375,5485,0.8232,2.5294),(375,5495,0.76799,2.5456),(375,5505,0.71278,2.5489),(375,5515,0.66574,2.5523),(375,5525,0.62583,2.5557),(375,5535,0.58591,2.5516),(375,5545,0.55008,2.547),(375,5555,0.52161,2.5425),(375,5565,0.49315,2.5345),(375,5575,0.46616,2.5256),(375,5585,0.44596,2.5166),(375,5595,0.42575,2.506),(375,5605,0.40555,2.4942),(375,5615,0.39135,2.4823),(375,5625,0.37715,2.4695),(375,5635,0.36296,2.4553),(375,5645,0.35244,2.4411),(375,5655,0.34272,2.4264),(375,5665,0.333,2.4101),(375,5675,0.32535,2.3939),(375,5685,0.31885,2.3776),(375,5695,0.31235,2.3594),(375,5705,0.30688,2.3412),(375,5715,0.30258,2.323),(375,5725,0.29828,2.3026),(375,5735,0.29436,2.2819),(375,5745,0.29137,2.2613),(375,5755,0.28839,2.2388),(375,5765,0.28544,2.2156),(375,5775,0.28281,2.1924),(375,5785,0.28017,2.1675),(375,5795,0.27754,2.141),(375,5805,0.27467,2.1145),(375,5815,0.27178,2.0867),(375,5825,0.2689,2.0564),(375,5835,0.26531,2.0262),(375,5845,0.26149,1.9951),(375,5855,0.25767,1.96),(375,5865,0.25325,1.925),(375,5875,0.24837,1.8899),(375,5885,0.2435,1.8486),(375,5895,0.23817,1.8073),(375,5905,0.23213,1.7659),(375,5915,0.22609,1.7178),(375,5925,0.22008,1.6682),(375,5935,0.21415,1.6185),(375,5945,0.20823,1.5626),(375,5955,0.20243,1.503),(375,5965,0.19969,1.4434),(375,5975,0.19696,1.3781),(375,5985,0.19423,1.3057),(375,5995,0.14842,1.2333),(375,6005,0.095673,1.1779),(375,6015,0.042931,1.1677),(375,6025,0.096051,1.1574),(375,6035,0.19827,1.1478),(375,6045,0.30049,1.1438),(375,6055,0.3673,1.1398),(375,6065,0.3994,1.1358),(375,6075,0.4315,1.1258),(375,6085,0.45121,1.1153),(375,6095,0.44542,1.1048),(375,6105,0.43962,1.092),(375,6115,0.43381,1.0784),(375,6125,0.42787,1.0648),(375,6135,0.42194,1.0497),(375,6145,0.41601,1.0334),(375,6155,0.41064,1.0172),(375,6165,0.40528,1.0001),(375,6175,0.39992,0.98156),(375,6185,0.39516,0.96305),(375,6195,0.39056,0.94428),(375,6205,0.38596,0.92451),(375,6215,0.38177,0.90474),(375,6225,0.37784,0.88495),(375,6235,0.37391,0.86422),(375,6245,0.37023,0.84348),(375,6255,0.36688,0.82275),(375,6265,0.36352,0.80135),(375,6275,0.36032,0.77984),(375,6285,0.35756,0.75832),(375,6295,0.3548,0.73638),(375,6305,0.35208,0.71424),(375,6315,0.34985,0.69209),(375,6325,0.34761,0.6697),(375,6335,0.34538,0.64704),(375,6345,0.3435,0.62438),(375,6355,0.34166,0.60162),(375,6365,0.33981,0.57865),(375,6375,0.33821,0.55568),(375,6385,0.3367,0.53268),(375,6395,0.3352,0.50942),(375,6405,0.33381,0.48617),(375,6415,0.33254,0.46291),(375,6425,0.33126,0.43957),(375,6435,0.33006,0.41622),(375,6445,0.32902,0.39287),(375,6455,0.32797,0.36925),(375,6465,0.32696,0.34554),(375,6475,0.3261,0.32184),(375,6485,0.32525,0.29821),(375,6495,0.3244,0.27464),(375,6505,0.3238,0.25107),(375,6515,0.32319,0.22742),(375,6525,0.32258,0.20368),(375,6535,0.32207,0.17993),(375,6545,0.32158,0.15616),(375,6555,0.32109,0.1323),(375,6565,0.32073,0.10845),(375,6575,0.32043,0.084595),(375,6585,0.32014,0.060793),(375,6595,0.27215,0.03699),(375,6605,0.1715,0.013188),(375,6615,0.07084,0.010189),(375,6625,8.2e-05,0.009863),(375,6635,8.3e-05,0.009538),(375,6645,8.5e-05,0.009439),(375,6655,8.6e-05,0.009433),(375,6665,8.8e-05,0.009427),(375,6675,8.9e-05,0.009421),(375,6685,9e-05,0.009415),(375,6695,9.2e-05,0.009409),(375,6705,9.3e-05,0.009402),(375,6715,9.4e-05,0.009397),(375,6725,9.5e-05,0.00939),(375,6735,9.6e-05,0.009384),(375,6745,9.8e-05,0.009378),(375,6755,9.9e-05,0.009373),(375,6765,0.0001,0.009367),(375,6775,0.000101,0.009361),(375,6785,0.000102,0.009354),(375,6795,0.000103,0.009348),(375,6805,0.000104,0.009342),(375,6815,0.000105,0.009336),(375,6825,0.000105,0.00933),(375,6835,0.000106,0.009324),(375,6845,0.000107,0.009317),(375,6855,0.000108,0.009311),(375,6865,0.000109,0.009305),(375,6875,0.00011,0.009298),(375,6885,0.000111,0.009292),(375,6895,0.000111,0.009286),(375,6905,0.000112,0.009279),(375,6915,0.000113,0.009273),(375,6925,0.000114,0.009266),(375,6935,0.000114,0.00926),(375,6945,0.000115,0.009253),(375,6955,0.000116,0.009247),(375,6965,0.000117,0.00924),(375,6975,0.000117,0.009234),(375,6985,0.000118,0.009227),(385,5,2e-05,3.6654),(385,15,6e-05,3.6654),(385,25,0.0001,3.6654),(385,35,0.00014,3.6654),(385,45,0.00018,3.6654),(385,55,0.000219,3.6654),(385,65,0.000259,3.6654),(385,75,0.000299,3.6654),(385,85,0.000339,3.6654),(385,95,0.000379,3.6653),(385,105,0.000419,3.6653),(385,115,0.000459,3.6653),(385,125,0.000499,3.6653),(385,135,0.000539,3.6652),(385,145,0.000579,3.6652),(385,155,0.00062,3.6652),(385,165,0.00066,3.6651),(385,175,0.0007,3.6651),(385,185,0.000741,3.6651),(385,195,0.000781,3.665),(385,205,0.000822,3.665),(385,215,0.000863,3.6649),(385,225,0.000904,3.6649),(385,235,0.000945,3.6649),(385,245,0.000986,3.6648),(385,255,0.001027,3.6647),(385,265,0.001068,3.6647),(385,275,0.001109,3.6646),(385,285,0.001151,3.6646),(385,295,0.001192,3.6645),(385,305,0.001234,3.6644),(385,315,0.001275,3.6644),(385,325,0.001317,3.6643),(385,335,0.001359,3.6642),(385,345,0.001401,3.6642),(385,355,0.001443,3.6641),(385,365,0.001485,3.664),(385,375,0.001527,3.6639),(385,385,0.00157,3.6639),(385,395,0.001613,3.6638),(385,405,0.001656,3.6637),(385,415,0.001699,3.6636),(385,425,0.001742,3.6635),(385,435,0.001785,3.6634),(385,445,0.001829,3.6633),(385,455,0.001873,3.6632),(385,465,0.001917,3.6631),(385,475,0.001961,3.663),(385,485,0.002005,3.6629),(385,495,0.002049,3.6628),(385,505,0.002094,3.6627),(385,515,0.002139,3.6626),(385,525,0.002183,3.6625),(385,535,0.002228,3.6624),(385,545,0.002274,3.6623),(385,555,0.002319,3.6621),(385,565,0.002365,3.662),(385,575,0.00241,3.6619),(385,585,0.002457,3.6618),(385,595,0.002504,3.6616),(385,605,0.00255,3.6615),(385,615,0.002597,3.6614),(385,625,0.002644,3.6612),(385,635,0.002691,3.6611),(385,645,0.002739,3.6609),(385,655,0.002786,3.6608),(385,665,0.002835,3.6606),(385,675,0.002883,3.6605),(385,685,0.002932,3.6603),(385,695,0.00298,3.6602),(385,705,0.003029,3.66),(385,715,0.003079,3.6599),(385,725,0.003128,3.6597),(385,735,0.003178,3.6595),(385,745,0.003228,3.6594),(385,755,0.003279,3.6592),(385,765,0.003329,3.659),(385,775,0.00338,3.6588),(385,785,0.003431,3.6587),(385,795,0.003483,3.6585),(385,805,0.003534,3.6583),(385,815,0.003586,3.6581),(385,825,0.003639,3.6579),(385,835,0.003692,3.6577),(385,845,0.003744,3.6575),(385,855,0.003798,3.6573),(385,865,0.003851,3.6571),(385,875,0.003905,3.6569),(385,885,0.003959,3.6567),(385,895,0.004014,3.6565),(385,905,0.004069,3.6563),(385,915,0.004124,3.6561),(385,925,0.004179,3.6559),(385,935,0.004235,3.6556),(385,945,0.004291,3.6554),(385,955,0.004348,3.6552),(385,965,0.004404,3.655),(385,975,0.004461,3.6547),(385,985,0.004519,3.6545),(385,995,0.004577,3.6543),(385,1005,0.004635,3.654),(385,1015,0.004693,3.6538),(385,1025,0.004752,3.6535),(385,1035,0.004811,3.6533),(385,1045,0.004871,3.653),(385,1055,0.004931,3.6528),(385,1065,0.004991,3.6525),(385,1075,0.005052,3.6522),(385,1085,0.005113,3.652),(385,1095,0.005174,3.6517),(385,1105,0.005237,3.6514),(385,1115,0.005299,3.6511),(385,1125,0.005361,3.6509),(385,1135,0.005424,3.6506),(385,1145,0.005488,3.6503),(385,1155,0.005552,3.65),(385,1165,0.005615,3.6497),(385,1175,0.00568,3.6494),(385,1185,0.005745,3.6491),(385,1195,0.00581,3.6488),(385,1205,0.005875,3.6485),(385,1215,0.005941,3.6482),(385,1225,0.006008,3.6479),(385,1235,0.006075,3.6476),(385,1245,0.006141,3.6472),(385,1255,0.006209,3.6469),(385,1265,0.006277,3.6466),(385,1275,0.006345,3.6462),(385,1285,0.006414,3.6459),(385,1295,0.006483,3.6456),(385,1305,0.006553,3.6452),(385,1315,0.006623,3.6449),(385,1325,0.006693,3.6445),(385,1335,0.006764,3.6442),(385,1345,0.006835,3.6438),(385,1355,0.006907,3.6435),(385,1365,0.006978,3.6431),(385,1375,0.007051,3.6427),(385,1385,0.007124,3.6424),(385,1395,0.007197,3.642),(385,1405,0.007271,3.6416),(385,1415,0.007345,3.6412),(385,1425,0.00742,3.6408),(385,1435,0.007495,3.6404),(385,1445,0.00757,3.64),(385,1455,0.007646,3.6396),(385,1465,0.007722,3.6392),(385,1475,0.007799,3.6388),(385,1485,0.007875,3.6384),(385,1495,0.007953,3.638),(385,1505,0.008031,3.6376),(385,1515,0.008109,3.6371),(385,1525,0.008187,3.6367),(385,1535,0.008267,3.6363),(385,1545,0.008347,3.6358),(385,1555,0.008426,3.6354),(385,1565,0.008506,3.6349),(385,1575,0.008587,3.6345),(385,1585,0.008669,3.634),(385,1595,0.00875,3.6336),(385,1605,0.008832,3.6331),(385,1615,0.008915,3.6326),(385,1625,0.008998,3.6322),(385,1635,0.009081,3.6317),(385,1645,0.009164,3.6312),(385,1655,0.009249,3.6307),(385,1665,0.009334,3.6302),(385,1675,0.009418,3.6297),(385,1685,0.009503,3.6292),(385,1695,0.00959,3.6287),(385,1705,0.009676,3.6282),(385,1715,0.009763,3.6277),(385,1725,0.009849,3.6272),(385,1735,0.009937,3.6267),(385,1745,0.010025,3.6261),(385,1755,0.010113,3.6256),(385,1765,0.010202,3.6251),(385,1775,0.010291,3.6245),(385,1785,0.010381,3.624),(385,1795,0.010471,3.6234),(385,1805,0.010561,3.6229),(385,1815,0.010652,3.6223),(385,1825,0.010743,3.6218),(385,1835,0.010835,3.6212),(385,1845,0.010926,3.6206),(385,1855,0.011019,3.62),(385,1865,0.011112,3.6194),(385,1875,0.011205,3.6188),(385,1885,0.011299,3.6182),(385,1895,0.011394,3.6177),(385,1905,0.011488,3.617),(385,1915,0.011583,3.6164),(385,1925,0.011678,3.6158),(385,1935,0.011774,3.6152),(385,1945,0.011871,3.6146),(385,1955,0.011967,3.6139),(385,1965,0.012064,3.6133),(385,1975,0.012161,3.6127),(385,1985,0.012259,3.612),(385,1995,0.012357,3.6114),(385,2005,0.012456,3.6107),(385,2015,0.012555,3.6101),(385,2025,0.012654,3.6094),(385,2035,0.012754,3.6087),(385,2045,0.012854,3.608),(385,2055,0.012955,3.6074),(385,2065,0.013056,3.6067),(385,2075,0.013157,3.606),(385,2085,0.013259,3.6053),(385,2095,0.013361,3.6046),(385,2105,0.013464,3.6039),(385,2115,0.013566,3.6031),(385,2125,0.01367,3.6024),(385,2135,0.013774,3.6017),(385,2145,0.013879,3.601),(385,2155,0.013983,3.6002),(385,2165,0.014089,3.5995),(385,2175,0.014195,3.5988),(385,2185,0.014301,3.598),(385,2195,0.014407,3.5972),(385,2205,0.014515,3.5965),(385,2215,0.014623,3.5957),(385,2225,0.014731,3.5949),(385,2235,0.014839,3.5942),(385,2245,0.014948,3.5934),(385,2255,0.015058,3.5926),(385,2265,0.015168,3.5918),(385,2275,0.015278,3.591),(385,2285,0.01539,3.5902),(385,2295,0.015502,3.5894),(385,2305,0.015614,3.5885),(385,2315,0.015726,3.5877),(385,2325,0.01584,3.5869),(385,2335,0.015954,3.5861),(385,2345,0.016068,3.5852),(385,2355,0.016183,3.5844),(385,2365,0.016299,3.5835),(385,2375,0.016416,3.5827),(385,2385,0.016533,3.5818),(385,2395,0.01665,3.5809),(385,2405,0.016769,3.58),(385,2415,0.016888,3.5792),(385,2425,0.017008,3.5783),(385,2435,0.017127,3.5774),(385,2445,0.01725,3.5765),(385,2455,0.017372,3.5756),(385,2465,0.017494,3.5747),(385,2475,0.017617,3.5737),(385,2485,0.017743,3.5728),(385,2495,0.017869,3.5719),(385,2505,0.017995,3.571),(385,2515,0.018121,3.57),(385,2525,0.018251,3.5691),(385,2535,0.018381,3.5681),(385,2545,0.018511,3.5672),(385,2555,0.018641,3.5662),(385,2565,0.018775,3.5652),(385,2575,0.01891,3.5643),(385,2585,0.019044,3.5633),(385,2595,0.019179,3.5623),(385,2605,0.019319,3.5613),(385,2615,0.019458,3.5603),(385,2625,0.019598,3.5593),(385,2635,0.019738,3.5583),(385,2645,0.019884,3.5573),(385,2655,0.02003,3.5562),(385,2665,0.020175,3.5552),(385,2675,0.020322,3.5542),(385,2685,0.020475,3.5531),(385,2695,0.020627,3.5521),(385,2705,0.02078,3.551),(385,2715,0.020934,3.55),(385,2725,0.021095,3.5489),(385,2735,0.021256,3.5478),(385,2745,0.021417,3.5468),(385,2755,0.021581,3.5457),(385,2765,0.021751,3.5446),(385,2775,0.021922,3.5435),(385,2785,0.022093,3.5424),(385,2795,0.022267,3.5413),(385,2805,0.022449,3.5402),(385,2815,0.022631,3.5391),(385,2825,0.022813,3.5379),(385,2835,0.022999,3.5368),(385,2845,0.023194,3.5357),(385,2855,0.023389,3.5345),(385,2865,0.023585,3.5334),(385,2875,0.023786,3.5322),(385,2885,0.023996,3.531),(385,2895,0.024207,3.5299),(385,2905,0.024418,3.5287),(385,2915,0.024637,3.5275),(385,2925,0.024866,3.5263),(385,2935,0.025095,3.5251),(385,2945,0.025324,3.5239),(385,2955,0.025564,3.5227),(385,2965,0.025815,3.5215),(385,2975,0.026066,3.5203),(385,2985,0.026317,3.519),(385,2995,0.026581,3.5178),(385,3005,0.026857,3.5166),(385,3015,0.027134,3.5153),(385,3025,0.027411,3.5141),(385,3035,0.027703,3.5128),(385,3045,0.02801,3.5115),(385,3055,0.028317,3.5103),(385,3065,0.028624,3.509),(385,3075,0.028951,3.5077),(385,3085,0.029294,3.5064),(385,3095,0.029636,3.5051),(385,3105,0.029979,3.5038),(385,3115,0.030347,3.5025),(385,3125,0.030732,3.5012),(385,3135,0.031116,3.4999),(385,3145,0.031501,3.4985),(385,3155,0.031918,3.4972),(385,3165,0.032353,3.4959),(385,3175,0.032787,3.4945),(385,3185,0.033221,3.4931),(385,3195,0.033696,3.4918),(385,3205,0.03419,3.4904),(385,3215,0.034683,3.489),(385,3225,0.035176,3.4877),(385,3235,0.03572,3.4863),(385,3245,0.036283,3.4849),(385,3255,0.036846,3.4835),(385,3265,0.037409,3.4821),(385,3275,0.038035,3.4807),(385,3285,0.03868,3.4793),(385,3295,0.039326,3.4779),(385,3305,0.039971,3.4764),(385,3315,0.040695,3.475),(385,3325,0.041438,3.4736),(385,3335,0.04218,3.4722),(385,3345,0.042923,3.4707),(385,3355,0.043764,3.4693),(385,3365,0.044622,3.4679),(385,3375,0.045481,3.4664),(385,3385,0.046339,3.465),(385,3395,0.047319,3.4635),(385,3405,0.048314,3.4621),(385,3415,0.049309,3.4607),(385,3425,0.050304,3.4592),(385,3435,0.051449,3.4578),(385,3445,0.052607,3.4563),(385,3455,0.053764,3.4549),(385,3465,0.054921,3.4535),(385,3475,0.056263,3.4521),(385,3485,0.057612,3.4507),(385,3495,0.058961,3.4493),(385,3505,0.060311,3.4479),(385,3515,0.061886,3.4465),(385,3525,0.063461,3.4452),(385,3535,0.065036,3.4439),(385,3545,0.066623,3.4426),(385,3555,0.068465,3.4412),(385,3565,0.070308,3.4399),(385,3575,0.07215,3.4388),(385,3585,0.074018,3.4376),(385,3595,0.076173,3.4364),(385,3605,0.078328,3.4352),(385,3615,0.080483,3.4342),(385,3625,0.082683,3.4332),(385,3635,0.085202,3.4321),(385,3645,0.087721,3.4312),(385,3655,0.09024,3.4304),(385,3665,0.092827,3.4296),(385,3675,0.095762,3.4289),(385,3685,0.098698,3.4282),(385,3695,0.10163,3.4278),(385,3705,0.10466,3.4275),(385,3715,0.10806,3.4271),(385,3725,0.11146,3.4269),(385,3735,0.11486,3.4271),(385,3745,0.11838,3.4273),(385,3755,0.12228,3.4275),(385,3765,0.12617,3.4279),(385,3775,0.13006,3.429),(385,3785,0.13408,3.43),(385,3795,0.13843,3.431),(385,3805,0.14278,3.4324),(385,3815,0.14714,3.4346),(385,3825,0.15158,3.4369),(385,3835,0.15622,3.4391),(385,3845,0.16087,3.4419),(385,3855,0.16551,3.4457),(385,3865,0.17009,3.4496),(385,3875,0.17456,3.4535),(385,3885,0.17903,3.4581),(385,3895,0.1835,3.4641),(385,3905,0.21854,3.47),(385,3915,0.29924,3.476),(385,3925,0.37995,3.4847),(385,3935,0.46065,3.4971),(385,3945,0.51525,3.5095),(385,3955,0.53672,3.522),(385,3965,0.55818,3.5316),(385,3975,0.57965,3.5381),(385,3985,0.56913,3.5446),(385,3995,0.524,3.5511),(385,4005,0.47887,3.555),(385,4015,0.43373,3.5564),(385,4025,0.39868,3.5578),(385,4035,0.36461,3.5585),(385,4045,0.33054,3.5577),(385,4055,0.30105,3.557),(385,4065,0.27323,3.5559),(385,4075,0.24541,3.5523),(385,4085,0.22035,3.5487),(385,4095,0.19751,3.5451),(385,4105,0.17467,3.5377),(385,4115,0.15001,3.5301),(385,4125,0.12232,3.5226),(385,4135,0.094633,3.5148),(385,4145,0.074562,3.5069),(385,4155,0.085337,3.499),(385,4165,0.096113,3.5002),(385,4175,0.107,3.5073),(385,4185,0.12359,3.5143),(385,4195,0.14018,3.5187),(385,4205,0.15677,3.5196),(385,4215,0.13182,3.5205),(385,4225,0.099041,3.519),(385,4235,0.066264,3.51),(385,4245,0.045766,3.5011),(385,4255,0.031499,3.4921),(385,4265,0.017233,3.4819),(385,4275,0.010379,3.4717),(385,4285,0.011391,3.4616),(385,4295,0.012404,3.4588),(385,4305,0.048732,3.4568),(385,4315,0.1648,3.4549),(385,4325,0.28088,3.472),(385,4335,0.37801,3.4964),(385,4345,0.34695,3.5209),(385,4355,0.31589,3.5375),(385,4365,0.28483,3.5475),(385,4375,0.23549,3.5574),(385,4385,0.1852,3.5596),(385,4395,0.13492,3.548),(385,4405,0.088651,3.5364),(385,4415,0.043572,3.5238),(385,4425,-0.001507,3.5068),(385,4435,0.025947,3.4898),(385,4445,0.10297,3.4729),(385,4455,0.17999,3.4905),(385,4465,0.23758,3.5081),(385,4475,0.26788,3.5256),(385,4485,0.29818,3.5367),(385,4495,0.30591,3.5464),(385,4505,0.24121,3.5562),(385,4515,0.17651,3.5496),(385,4525,0.11239,3.5342),(385,4535,0.05732,3.5188),(385,4545,0.002252,3.4952),(385,4555,-0.052817,3.4624),(385,4565,-0.033533,3.4295),(385,4575,-0.004225,3.4078),(385,4585,0.025082,3.413),(385,4595,0.065037,3.4183),(385,4605,0.10949,3.4251),(385,4615,0.15395,3.445),(385,4625,0.1631,3.4648),(385,4635,0.14028,3.4847),(385,4645,0.11746,3.4908),(385,4655,0.073381,3.4961),(385,4665,-0.010796,3.5013),(385,4675,-0.094973,3.4761),(385,4685,-0.16368,3.4412),(385,4695,-0.15597,3.4063),(385,4705,-0.14826,3.3762),(385,4715,-0.14055,3.3495),(385,4725,-0.004148,3.3229),(385,4735,0.13354,3.3178),(385,4745,0.27123,3.3449),(385,4755,0.27312,3.372),(385,4765,0.24353,3.3943),(385,4775,0.21395,3.3996),(385,4785,0.14834,3.4048),(385,4795,0.061906,3.4084),(385,4805,-0.02453,3.3754),(385,4815,-0.092819,3.3424),(385,4825,-0.13941,3.3094),(385,4835,-0.186,3.2632),(385,4845,-0.18076,3.2149),(385,4855,-0.040403,3.1667),(385,4865,0.099955,3.1665),(385,4875,0.23548,3.1882),(385,4885,0.32704,3.2098),(385,4895,0.41859,3.2345),(385,4905,0.51015,3.2622),(385,4915,0.41399,3.2898),(385,4925,0.30168,3.3032),(385,4935,0.18937,3.2879),(385,4945,0.10267,3.2725),(385,4955,0.024846,3.2536),(385,4965,-0.052975,3.2148),(385,4975,-0.073741,3.176),(385,4985,-0.050465,3.1372),(385,4995,-0.027189,3.1322),(385,5005,0.0004,3.1281),(385,5015,0.034849,3.1241),(385,5025,0.069298,3.1358),(385,5035,0.082496,3.1516),(385,5045,0.014737,3.1675),(385,5055,-0.053022,3.1651),(385,5065,-0.12136,3.1515),(385,5075,-0.20869,3.138),(385,5085,-0.29602,3.1068),(385,5095,-0.38335,3.0532),(385,5105,-0.38218,2.9996),(385,5115,-0.36557,2.9465),(385,5125,-0.34897,2.8946),(385,5135,-0.20547,2.8427),(385,5145,-0.000398,2.7971),(385,5155,0.20468,2.8204),(385,5165,0.34536,2.8437),(385,5175,0.42037,2.867),(385,5185,0.49538,2.8821),(385,5195,0.52338,2.8964),(385,5205,0.45003,2.9106),(385,5215,0.37667,2.8946),(385,5225,0.30383,2.8672),(385,5235,0.23416,2.8398),(385,5245,0.16449,2.7931),(385,5255,0.094813,2.7307),(385,5265,0.064939,2.6683),(385,5275,0.036707,2.6293),(385,5285,0.008475,2.6298),(385,5295,0.048134,2.6304),(385,5305,0.1067,2.6358),(385,5315,0.16527,2.6616),(385,5325,0.17021,2.6874),(385,5335,0.13998,2.7127),(385,5345,0.10976,2.7058),(385,5355,0.06456,2.6989),(385,5365,-0.000841,2.6921),(385,5375,-0.066243,2.6404),(385,5385,-0.11172,2.5799),(385,5395,-0.096606,2.5194),(385,5405,-0.081495,2.4793),(385,5415,-0.051835,2.4497),(385,5425,0.17326,2.42),(385,5435,0.39836,2.4163),(385,5445,0.62345,2.4404),(385,5455,0.70148,2.4646),(385,5465,0.76153,2.4868),(385,5475,0.82159,2.5044),(385,5485,0.80249,2.5219),(385,5495,0.75152,2.5378),(385,5505,0.70056,2.5415),(385,5515,0.65676,2.5453),(385,5525,0.6192,2.549),(385,5535,0.58164,2.5453),(385,5545,0.54779,2.5412),(385,5555,0.52064,2.537),(385,5565,0.49348,2.5295),(385,5575,0.46771,2.5209),(385,5585,0.4483,2.5122),(385,5595,0.4289,2.5018),(385,5605,0.40949,2.4902),(385,5615,0.39585,2.4785),(385,5625,0.38221,2.4659),(385,5635,0.36857,2.4518),(385,5645,0.35852,2.4376),(385,5655,0.34925,2.423),(385,5665,0.33998,2.4068),(385,5675,0.33276,2.3906),(385,5685,0.32667,2.3743),(385,5695,0.32059,2.356),(385,5705,0.31554,2.3377),(385,5715,0.31168,2.3194),(385,5725,0.30781,2.2989),(385,5735,0.30436,2.2781),(385,5745,0.3019,2.2573),(385,5755,0.29944,2.2346),(385,5765,0.29704,2.2111),(385,5775,0.29508,2.1876),(385,5785,0.29311,2.1624),(385,5795,0.29115,2.1355),(385,5805,0.28914,2.1087),(385,5815,0.28713,2.0805),(385,5825,0.28512,2.0498),(385,5835,0.28263,2.019),(385,5845,0.27997,1.9874),(385,5855,0.27732,1.9519),(385,5865,0.27429,1.9163),(385,5875,0.27098,1.8807),(385,5885,0.26768,1.8388),(385,5895,0.26411,1.7968),(385,5905,0.26016,1.7548),(385,5915,0.25621,1.7064),(385,5925,0.25241,1.6563),(385,5935,0.24916,1.6063),(385,5945,0.24591,1.5505),(385,5955,0.24279,1.4914),(385,5965,0.24286,1.4323),(385,5975,0.24292,1.3684),(385,5985,0.24299,1.2987),(385,5995,0.18609,1.2289),(385,6005,0.12002,1.1756),(385,6015,0.053954,1.1662),(385,6025,0.10106,1.1568),(385,6035,0.20066,1.1477),(385,6045,0.30026,1.1422),(385,6055,0.36615,1.1367),(385,6065,0.39898,1.1312),(385,6075,0.4318,1.1205),(385,6085,0.45232,1.1094),(385,6095,0.44745,1.0982),(385,6105,0.44257,1.0851),(385,6115,0.43766,1.0714),(385,6125,0.43249,1.0577),(385,6135,0.42732,1.0426),(385,6145,0.42215,1.0265),(385,6155,0.41734,1.0104),(385,6165,0.41254,0.99348),(385,6175,0.40775,0.97519),(385,6185,0.40341,0.95691),(385,6195,0.39921,0.93836),(385,6205,0.395,0.9188),(385,6215,0.39116,0.89924),(385,6225,0.38754,0.87965),(385,6235,0.38393,0.85912),(385,6245,0.38053,0.83858),(385,6255,0.37742,0.81804),(385,6265,0.3743,0.79686),(385,6275,0.37132,0.77556),(385,6285,0.36871,0.75426),(385,6295,0.3661,0.73253),(385,6305,0.36352,0.7106),(385,6315,0.36141,0.68866),(385,6325,0.3593,0.66644),(385,6335,0.35719,0.64393),(385,6345,0.3554,0.62142),(385,6355,0.35365,0.59882),(385,6365,0.3519,0.57599),(385,6375,0.35038,0.55316),(385,6385,0.34896,0.53029),(385,6395,0.34753,0.50714),(385,6405,0.34624,0.48399),(385,6415,0.34505,0.46084),(385,6425,0.34386,0.43762),(385,6435,0.34274,0.41439),(385,6445,0.34175,0.39116),(385,6455,0.34076,0.36763),(385,6465,0.3398,0.34403),(385,6475,0.33901,0.32042),(385,6485,0.33821,0.29691),(385,6495,0.33741,0.27345),(385,6505,0.33685,0.25),(385,6515,0.33628,0.22646),(385,6525,0.33572,0.20279),(385,6535,0.33523,0.17912),(385,6545,0.33475,0.15543),(385,6555,0.33428,0.13169),(385,6565,0.33391,0.10795),(385,6575,0.33361,0.084208),(385,6585,0.3333,0.060526),(385,6595,0.28334,0.036843),(385,6605,0.17855,0.013161),(385,6615,0.073753,0.01018),(385,6625,8.5e-05,0.009859),(385,6635,8.6e-05,0.009538),(385,6645,8.8e-05,0.00944),(385,6655,8.9e-05,0.009434),(385,6665,9.1e-05,0.009428),(385,6675,9.2e-05,0.009422),(385,6685,9.3e-05,0.009416),(385,6695,9.5e-05,0.00941),(385,6705,9.6e-05,0.009404),(385,6715,9.7e-05,0.009398),(385,6725,9.8e-05,0.009392),(385,6735,0.0001,0.009385),(385,6745,0.000101,0.00938),(385,6755,0.000102,0.009374),(385,6765,0.000103,0.009368),(385,6775,0.000104,0.009362),(385,6785,0.000105,0.009355),(385,6795,0.000106,0.009349),(385,6805,0.000107,0.009343),(385,6815,0.000108,0.009337),(385,6825,0.000108,0.009331),(385,6835,0.000109,0.009324),(385,6845,0.00011,0.009318),(385,6855,0.000111,0.009312),(385,6865,0.000112,0.009306),(385,6875,0.000113,0.009299),(385,6885,0.000114,0.009293),(385,6895,0.000114,0.009286),(385,6905,0.000115,0.00928),(385,6915,0.000116,0.009274),(385,6925,0.000117,0.009267),(385,6935,0.000118,0.00926),(385,6945,0.000118,0.009254),(385,6955,0.000119,0.009247),(385,6965,0.00012,0.009241),(385,6975,0.00012,0.009234),(385,6985,0.000121,0.009228),(395,5,2e-05,3.6655),(395,15,6.1e-05,3.6655),(395,25,0.000102,3.6655),(395,35,0.000143,3.6655),(395,45,0.000184,3.6655),(395,55,0.000225,3.6654),(395,65,0.000266,3.6654),(395,75,0.000307,3.6654),(395,85,0.000348,3.6654),(395,95,0.000389,3.6654),(395,105,0.00043,3.6654),(395,115,0.000471,3.6653),(395,125,0.000512,3.6653),(395,135,0.000553,3.6653),(395,145,0.000594,3.6653),(395,155,0.000635,3.6652),(395,165,0.000676,3.6652),(395,175,0.000718,3.6652),(395,185,0.000759,3.6651),(395,195,0.000801,3.6651),(395,205,0.000843,3.665),(395,215,0.000884,3.665),(395,225,0.000926,3.6649),(395,235,0.000968,3.6649),(395,245,0.00101,3.6648),(395,255,0.001052,3.6648),(395,265,0.001094,3.6647),(395,275,0.001137,3.6647),(395,285,0.001179,3.6646),(395,295,0.001222,3.6646),(395,305,0.001264,3.6645),(395,315,0.001307,3.6644),(395,325,0.00135,3.6644),(395,335,0.001393,3.6643),(395,345,0.001436,3.6642),(395,355,0.001479,3.6641),(395,365,0.001522,3.6641),(395,375,0.001566,3.664),(395,385,0.00161,3.6639),(395,395,0.001653,3.6638),(395,405,0.001697,3.6637),(395,415,0.001741,3.6636),(395,425,0.001786,3.6636),(395,435,0.00183,3.6635),(395,445,0.001875,3.6634),(395,455,0.00192,3.6633),(395,465,0.001965,3.6632),(395,475,0.00201,3.6631),(395,485,0.002055,3.663),(395,495,0.0021,3.6629),(395,505,0.002146,3.6628),(395,515,0.002192,3.6626),(395,525,0.002238,3.6625),(395,535,0.002284,3.6624),(395,545,0.002331,3.6623),(395,555,0.002378,3.6622),(395,565,0.002424,3.6621),(395,575,0.002471,3.6619),(395,585,0.002519,3.6618),(395,595,0.002566,3.6617),(395,605,0.002614,3.6615),(395,615,0.002662,3.6614),(395,625,0.00271,3.6613),(395,635,0.002759,3.6611),(395,645,0.002808,3.661),(395,655,0.002856,3.6608),(395,665,0.002906,3.6607),(395,675,0.002956,3.6605),(395,685,0.003005,3.6604),(395,695,0.003055,3.6602),(395,705,0.003106,3.6601),(395,715,0.003156,3.6599),(395,725,0.003207,3.6598),(395,735,0.003258,3.6596),(395,745,0.003309,3.6594),(395,755,0.003361,3.6593),(395,765,0.003413,3.6591),(395,775,0.003465,3.6589),(395,785,0.003518,3.6587),(395,795,0.00357,3.6585),(395,805,0.003623,3.6584),(395,815,0.003677,3.6582),(395,825,0.003731,3.658),(395,835,0.003785,3.6578),(395,845,0.003839,3.6576),(395,855,0.003893,3.6574),(395,865,0.003948,3.6572),(395,875,0.004004,3.657),(395,885,0.004059,3.6568),(395,895,0.004115,3.6566),(395,905,0.004171,3.6564),(395,915,0.004228,3.6561),(395,925,0.004285,3.6559),(395,935,0.004342,3.6557),(395,945,0.0044,3.6555),(395,955,0.004458,3.6553),(395,965,0.004516,3.655),(395,975,0.004574,3.6548),(395,985,0.004633,3.6546),(395,995,0.004693,3.6543),(395,1005,0.004752,3.6541),(395,1015,0.004812,3.6538),(395,1025,0.004873,3.6536),(395,1035,0.004933,3.6533),(395,1045,0.004994,3.6531),(395,1055,0.005055,3.6528),(395,1065,0.005118,3.6526),(395,1075,0.00518,3.6523),(395,1085,0.005242,3.652),(395,1095,0.005305,3.6518),(395,1105,0.005369,3.6515),(395,1115,0.005433,3.6512),(395,1125,0.005497,3.6509),(395,1135,0.005562,3.6506),(395,1145,0.005627,3.6504),(395,1155,0.005692,3.6501),(395,1165,0.005758,3.6498),(395,1175,0.005824,3.6495),(395,1185,0.005891,3.6492),(395,1195,0.005958,3.6489),(395,1205,0.006024,3.6486),(395,1215,0.006092,3.6483),(395,1225,0.006161,3.6479),(395,1235,0.006229,3.6476),(395,1245,0.006297,3.6473),(395,1255,0.006367,3.647),(395,1265,0.006437,3.6467),(395,1275,0.006507,3.6463),(395,1285,0.006577,3.646),(395,1295,0.006648,3.6456),(395,1305,0.00672,3.6453),(395,1315,0.006791,3.645),(395,1325,0.006863,3.6446),(395,1335,0.006936,3.6443),(395,1345,0.007009,3.6439),(395,1355,0.007083,3.6435),(395,1365,0.007156,3.6432),(395,1375,0.007231,3.6428),(395,1385,0.007306,3.6424),(395,1395,0.007381,3.642),(395,1405,0.007456,3.6417),(395,1415,0.007532,3.6413),(395,1425,0.007609,3.6409),(395,1435,0.007686,3.6405),(395,1445,0.007762,3.6401),(395,1455,0.007841,3.6397),(395,1465,0.007919,3.6393),(395,1475,0.007997,3.6389),(395,1485,0.008076,3.6385),(395,1495,0.008156,3.6381),(395,1505,0.008236,3.6376),(395,1515,0.008316,3.6372),(395,1525,0.008396,3.6368),(395,1535,0.008478,3.6363),(395,1545,0.00856,3.6359),(395,1555,0.008641,3.6355),(395,1565,0.008723,3.635),(395,1575,0.008807,3.6346),(395,1585,0.00889,3.6341),(395,1595,0.008974,3.6337),(395,1605,0.009057,3.6332),(395,1615,0.009142,3.6327),(395,1625,0.009228,3.6323),(395,1635,0.009313,3.6318),(395,1645,0.009398,3.6313),(395,1655,0.009485,3.6308),(395,1665,0.009572,3.6303),(395,1675,0.009659,3.6298),(395,1685,0.009746,3.6293),(395,1695,0.009835,3.6288),(395,1705,0.009924,3.6283),(395,1715,0.010012,3.6278),(395,1725,0.010101,3.6273),(395,1735,0.010192,3.6268),(395,1745,0.010282,3.6262),(395,1755,0.010372,3.6257),(395,1765,0.010463,3.6252),(395,1775,0.010555,3.6246),(395,1785,0.010647,3.6241),(395,1795,0.010739,3.6235),(395,1805,0.010831,3.623),(395,1815,0.010925,3.6224),(395,1825,0.011018,3.6218),(395,1835,0.011112,3.6213),(395,1845,0.011206,3.6207),(395,1855,0.011302,3.6201),(395,1865,0.011397,3.6195),(395,1875,0.011492,3.6189),(395,1885,0.011588,3.6183),(395,1895,0.011685,3.6178),(395,1905,0.011783,3.6171),(395,1915,0.01188,3.6165),(395,1925,0.011977,3.6159),(395,1935,0.012076,3.6153),(395,1945,0.012175,3.6147),(395,1955,0.012273,3.614),(395,1965,0.012373,3.6134),(395,1975,0.012473,3.6128),(395,1985,0.012573,3.6121),(395,1995,0.012674,3.6115),(395,2005,0.012775,3.6108),(395,2015,0.012877,3.6102),(395,2025,0.012979,3.6095),(395,2035,0.013081,3.6088),(395,2045,0.013184,3.6081),(395,2055,0.013287,3.6075),(395,2065,0.013391,3.6068),(395,2075,0.013494,3.6061),(395,2085,0.013599,3.6054),(395,2095,0.013704,3.6047),(395,2105,0.013809,3.604),(395,2115,0.013914,3.6033),(395,2125,0.014021,3.6025),(395,2135,0.014128,3.6018),(395,2145,0.014235,3.6011),(395,2155,0.014342,3.6003),(395,2165,0.01445,3.5996),(395,2175,0.014559,3.5989),(395,2185,0.014667,3.5981),(395,2195,0.014776,3.5974),(395,2205,0.014886,3.5966),(395,2215,0.014997,3.5958),(395,2225,0.015108,3.5951),(395,2235,0.015219,3.5943),(395,2245,0.015331,3.5935),(395,2255,0.015443,3.5927),(395,2265,0.015556,3.5919),(395,2275,0.015669,3.5911),(395,2285,0.015783,3.5903),(395,2295,0.015898,3.5895),(395,2305,0.016012,3.5887),(395,2315,0.016127,3.5878),(395,2325,0.016244,3.587),(395,2335,0.016361,3.5862),(395,2345,0.016478,3.5853),(395,2355,0.016595,3.5845),(395,2365,0.016715,3.5836),(395,2375,0.016834,3.5828),(395,2385,0.016954,3.5819),(395,2395,0.017073,3.581),(395,2405,0.017195,3.5802),(395,2415,0.017318,3.5793),(395,2425,0.01744,3.5784),(395,2435,0.017562,3.5775),(395,2445,0.017688,3.5766),(395,2455,0.017813,3.5757),(395,2465,0.017938,3.5748),(395,2475,0.018063,3.5739),(395,2485,0.018192,3.573),(395,2495,0.018321,3.572),(395,2505,0.01845,3.5711),(395,2515,0.018579,3.5701),(395,2525,0.018712,3.5692),(395,2535,0.018844,3.5683),(395,2545,0.018977,3.5673),(395,2555,0.01911,3.5663),(395,2565,0.019248,3.5654),(395,2575,0.019385,3.5644),(395,2585,0.019522,3.5634),(395,2595,0.01966,3.5624),(395,2605,0.019803,3.5614),(395,2615,0.019945,3.5604),(395,2625,0.020088,3.5594),(395,2635,0.020231,3.5584),(395,2645,0.02038,3.5574),(395,2655,0.020528,3.5564),(395,2665,0.020677,3.5554),(395,2675,0.020826,3.5543),(395,2685,0.020982,3.5533),(395,2695,0.021138,3.5523),(395,2705,0.021293,3.5512),(395,2715,0.02145,3.5501),(395,2725,0.021614,3.5491),(395,2735,0.021778,3.548),(395,2745,0.021942,3.5469),(395,2755,0.022109,3.5458),(395,2765,0.022282,3.5448),(395,2775,0.022456,3.5437),(395,2785,0.02263,3.5426),(395,2795,0.022807,3.5415),(395,2805,0.022991,3.5404),(395,2815,0.023176,3.5392),(395,2825,0.023361,3.5381),(395,2835,0.023551,3.537),(395,2845,0.023749,3.5359),(395,2855,0.023947,3.5347),(395,2865,0.024145,3.5336),(395,2875,0.024349,3.5324),(395,2885,0.024563,3.5312),(395,2895,0.024777,3.5301),(395,2905,0.024991,3.5289),(395,2915,0.025212,3.5277),(395,2925,0.025444,3.5265),(395,2935,0.025676,3.5254),(395,2945,0.025909,3.5242),(395,2955,0.026151,3.523),(395,2965,0.026405,3.5217),(395,2975,0.026659,3.5205),(395,2985,0.026913,3.5193),(395,2995,0.027179,3.5181),(395,3005,0.027459,3.5169),(395,3015,0.027738,3.5156),(395,3025,0.028018,3.5144),(395,3035,0.028313,3.5131),(395,3045,0.028623,3.5119),(395,3055,0.028932,3.5106),(395,3065,0.029242,3.5093),(395,3075,0.029572,3.508),(395,3085,0.029917,3.5068),(395,3095,0.030262,3.5055),(395,3105,0.030607,3.5042),(395,3115,0.030978,3.5029),(395,3125,0.031365,3.5016),(395,3135,0.031752,3.5003),(395,3145,0.032139,3.4989),(395,3155,0.032558,3.4976),(395,3165,0.032994,3.4963),(395,3175,0.03343,3.4949),(395,3185,0.033867,3.4936),(395,3195,0.034343,3.4923),(395,3205,0.034838,3.4909),(395,3215,0.035333,3.4895),(395,3225,0.035828,3.4882),(395,3235,0.036372,3.4868),(395,3245,0.036936,3.4855),(395,3255,0.0375,3.4841),(395,3265,0.038063,3.4827),(395,3275,0.038689,3.4813),(395,3285,0.039334,3.4799),(395,3295,0.039979,3.4785),(395,3305,0.040623,3.4771),(395,3315,0.041345,3.4757),(395,3325,0.042086,3.4743),(395,3335,0.042827,3.4729),(395,3345,0.043568,3.4715),(395,3355,0.044404,3.4701),(395,3365,0.045259,3.4687),(395,3375,0.046113,3.4673),(395,3385,0.046967,3.4659),(395,3395,0.04794,3.4645),(395,3405,0.048928,3.4631),(395,3415,0.049916,3.4617),(395,3425,0.050904,3.4603),(395,3435,0.052038,3.4589),(395,3445,0.053184,3.4575),(395,3455,0.05433,3.4561),(395,3465,0.055476,3.4547),(395,3475,0.056801,3.4534),(395,3485,0.058133,3.452),(395,3495,0.059464,3.4507),(395,3505,0.060797,3.4493),(395,3515,0.062347,3.448),(395,3525,0.063897,3.4467),(395,3535,0.065447,3.4455),(395,3545,0.067008,3.4442),(395,3555,0.068813,3.443),(395,3565,0.070619,3.4417),(395,3575,0.072424,3.4406),(395,3585,0.074255,3.4395),(395,3595,0.076357,3.4384),(395,3605,0.07846,3.4373),(395,3615,0.080562,3.4363),(395,3625,0.082707,3.4354),(395,3635,0.08515,3.4345),(395,3645,0.087594,3.4336),(395,3655,0.090037,3.4329),(395,3665,0.092544,3.4322),(395,3675,0.095372,3.4316),(395,3685,0.0982,3.431),(395,3695,0.10103,3.4307),(395,3705,0.10394,3.4304),(395,3715,0.10719,3.4302),(395,3725,0.11044,3.43),(395,3735,0.11368,3.4303),(395,3745,0.11703,3.4306),(395,3755,0.12071,3.4309),(395,3765,0.12438,3.4314),(395,3775,0.12806,3.4326),(395,3785,0.13183,3.4337),(395,3795,0.13588,3.4348),(395,3805,0.13992,3.4362),(395,3815,0.14397,3.4385),(395,3825,0.14807,3.4407),(395,3835,0.15229,3.443),(395,3845,0.15651,3.4457),(395,3855,0.16073,3.4495),(395,3865,0.16485,3.4533),(395,3875,0.1688,3.4571),(395,3885,0.17274,3.4616),(395,3895,0.17668,3.4672),(395,3905,0.21053,3.4729),(395,3915,0.28907,3.4785),(395,3925,0.36761,3.4868),(395,3935,0.44615,3.4987),(395,3945,0.50006,3.5106),(395,3955,0.52268,3.5225),(395,3965,0.54531,3.5319),(395,3975,0.56793,3.5383),(395,3985,0.55879,3.5447),(395,3995,0.51525,3.5511),(395,4005,0.47171,3.555),(395,4015,0.42817,3.5564),(395,4025,0.39399,3.5577),(395,4035,0.36072,3.5584),(395,4045,0.32746,3.5577),(395,4055,0.29894,3.5569),(395,4065,0.27215,3.5557),(395,4075,0.24536,3.5523),(395,4085,0.2215,3.5489),(395,4095,0.20001,3.5455),(395,4105,0.17852,3.5387),(395,4115,0.15487,3.5318),(395,4125,0.12762,3.5249),(395,4135,0.10037,3.518),(395,4145,0.079765,3.511),(395,4155,0.086096,3.504),(395,4165,0.092427,3.5051),(395,4175,0.098991,3.5113),(395,4185,0.11708,3.5176),(395,4195,0.13516,3.5213),(395,4205,0.15325,3.5219),(395,4215,0.13129,3.5224),(395,4225,0.10181,3.5206),(395,4235,0.072319,3.5122),(395,4245,0.053327,3.5038),(395,4255,0.039661,3.4953),(395,4265,0.025994,3.486),(395,4275,0.018318,3.4767),(395,4285,0.016998,3.4675),(395,4295,0.015678,3.465),(395,4305,0.047688,3.4634),(395,4315,0.15496,3.4617),(395,4325,0.26223,3.4777),(395,4335,0.35227,3.5007),(395,4345,0.32568,3.5236),(395,4355,0.29908,3.5392),(395,4365,0.27248,3.5486),(395,4375,0.22977,3.5579),(395,4385,0.18621,3.56),(395,4395,0.14265,3.5493),(395,4405,0.099535,3.5386),(395,4415,0.056555,3.527),(395,4425,0.013575,3.5114),(395,4435,0.03542,3.4959),(395,4445,0.10156,3.4805),(395,4455,0.16771,3.4965),(395,4465,0.21975,3.5126),(395,4475,0.25196,3.5286),(395,4485,0.28417,3.5386),(395,4495,0.29521,3.5475),(395,4505,0.23831,3.5563),(395,4515,0.18141,3.5499),(395,4525,0.12494,3.5352),(395,4535,0.075385,3.5205),(395,4545,0.025832,3.4981),(395,4555,-0.023722,3.4671),(395,4565,-0.013514,3.436),(395,4575,0.00475,3.4153),(395,4585,0.023015,3.4199),(395,4595,0.056242,3.4244),(395,4605,0.095791,3.4305),(395,4615,0.13534,3.4483),(395,4625,0.14435,3.4662),(395,4635,0.12572,3.4841),(395,4645,0.10708,3.4891),(395,4655,0.069943,3.4932),(395,4665,-0.002069,3.4974),(395,4675,-0.074081,3.4729),(395,4685,-0.13298,3.4393),(395,4695,-0.12708,3.4057),(395,4705,-0.12118,3.3773),(395,4715,-0.11528,3.3526),(395,4725,0.003993,3.3279),(395,4735,0.1244,3.3228),(395,4745,0.2448,3.3471),(395,4755,0.24843,3.3714),(395,4765,0.22498,3.3911),(395,4775,0.20154,3.3948),(395,4785,0.14563,3.3985),(395,4795,0.070948,3.4006),(395,4805,-0.003736,3.3686),(395,4815,-0.063219,3.3367),(395,4825,-0.10453,3.3047),(395,4835,-0.14583,3.2611),(395,4845,-0.14262,3.2157),(395,4855,-0.023335,3.1702),(395,4865,0.095946,3.1695),(395,4875,0.21217,3.1891),(395,4885,0.30053,3.2087),(395,4895,0.38889,3.2309),(395,4905,0.47725,3.2555),(395,4915,0.39336,3.2802),(395,4925,0.29465,3.2917),(395,4935,0.19594,3.2768),(395,4945,0.11866,3.2619),(395,4955,0.048812,3.2438),(395,4965,-0.021035,3.2083),(395,4975,-0.043927,3.1729),(395,4985,-0.030574,3.1374),(395,4995,-0.017221,3.1331),(395,5005,0.001334,3.1295),(395,5015,0.02816,3.126),(395,5025,0.054986,3.1359),(395,5035,0.063894,3.1492),(395,5045,0.004539,3.1625),(395,5055,-0.054815,3.1584),(395,5065,-0.11464,3.1436),(395,5075,-0.18984,3.1289),(395,5085,-0.26504,3.0976),(395,5095,-0.34025,3.0452),(395,5105,-0.33678,2.9928),(395,5115,-0.31959,2.9412),(395,5125,-0.3024,2.8917),(395,5135,-0.17421,2.8423),(395,5145,0.007857,2.7988),(395,5155,0.18992,2.8196),(395,5165,0.31942,2.8403),(395,5175,0.39531,2.8611),(395,5185,0.47119,2.8736),(395,5195,0.5038,2.8853),(395,5205,0.44308,2.897),(395,5215,0.38237,2.8806),(395,5225,0.32194,2.8539),(395,5235,0.26328,2.8271),(395,5245,0.20462,2.7829),(395,5255,0.14596,2.7245),(395,5265,0.10077,2.666),(395,5275,0.056131,2.6295),(395,5285,0.011497,2.6299),(395,5295,0.040403,2.6304),(395,5305,0.089789,2.6349),(395,5315,0.13918,2.6565),(395,5325,0.14591,2.678),(395,5335,0.12468,2.6991),(395,5345,0.10345,2.6906),(395,5355,0.070173,2.682),(395,5365,0.020662,2.6735),(395,5375,-0.02885,2.6242),(395,5385,-0.06416,2.5671),(395,5395,-0.056292,2.5099),(395,5405,-0.048424,2.4727),(395,5415,-0.026688,2.4459),(395,5425,0.18134,2.419),(395,5435,0.38936,2.4159),(395,5445,0.59739,2.4385),(395,5455,0.67473,2.4611),(395,5465,0.7361,2.4819),(395,5475,0.79747,2.4988),(395,5485,0.78178,2.5157),(395,5495,0.73506,2.531),(395,5505,0.68834,2.5348),(395,5515,0.64777,2.5387),(395,5525,0.61257,2.5425),(395,5535,0.57737,2.5391),(395,5545,0.5455,2.5353),(395,5555,0.51966,2.5314),(395,5565,0.49382,2.5241),(395,5575,0.46926,2.5158),(395,5585,0.45065,2.5074),(395,5595,0.43204,2.4972),(395,5605,0.41342,2.4858),(395,5615,0.40034,2.4743),(395,5625,0.38726,2.4617),(395,5635,0.37417,2.4477),(395,5645,0.36459,2.4337),(395,5655,0.35577,2.4191),(395,5665,0.34695,2.4029),(395,5675,0.34016,2.3867),(395,5685,0.33449,2.3703),(395,5695,0.32882,2.3519),(395,5705,0.3242,2.3336),(395,5715,0.32077,2.3152),(395,5725,0.31735,2.2945),(395,5735,0.31435,2.2736),(395,5745,0.31242,2.2526),(395,5755,0.3105,2.2297),(395,5765,0.30864,2.2059),(395,5775,0.30734,2.1822),(395,5785,0.30605,2.1567),(395,5795,0.30476,2.1295),(395,5805,0.30361,2.1024),(395,5815,0.30248,2.0739),(395,5825,0.30135,2.0428),(395,5835,0.29994,2.0116),(395,5845,0.29846,1.9797),(395,5855,0.29697,1.9438),(395,5865,0.29533,1.9079),(395,5875,0.29359,1.8719),(395,5885,0.29185,1.8298),(395,5895,0.29006,1.7875),(395,5905,0.28819,1.7452),(395,5915,0.28633,1.6968),(395,5925,0.28474,1.6469),(395,5935,0.28417,1.597),(395,5945,0.2836,1.5418),(395,5955,0.28316,1.4834),(395,5965,0.28602,1.4251),(395,5975,0.28888,1.3624),(395,5985,0.29175,1.2945),(395,5995,0.22376,1.2266),(395,6005,0.14437,1.1748),(395,6015,0.064978,1.1656),(395,6025,0.10608,1.1565),(395,6035,0.20305,1.1476),(395,6045,0.30003,1.1414),(395,6055,0.36499,1.1351),(395,6065,0.39855,1.1289),(395,6075,0.43211,1.1176),(395,6085,0.45342,1.1059),(395,6095,0.44947,1.0942),(395,6105,0.44553,1.0808),(395,6115,0.44151,1.0668),(395,6125,0.43711,1.0529),(395,6135,0.4327,1.0377),(395,6145,0.4283,1.0216),(395,6155,0.42405,1.0054),(395,6165,0.41981,0.98848),(395,6175,0.41557,0.97027),(395,6185,0.41167,0.95205),(395,6195,0.40786,0.93359),(395,6205,0.40404,0.91416),(395,6215,0.40054,0.89473),(395,6225,0.39724,0.87528),(395,6235,0.39394,0.85487),(395,6245,0.39083,0.83445),(395,6255,0.38796,0.81404),(395,6265,0.38509,0.79299),(395,6275,0.38232,0.77182),(395,6285,0.37986,0.75066),(395,6295,0.3774,0.72908),(395,6305,0.37497,0.7073),(395,6315,0.37298,0.68551),(395,6325,0.37098,0.66344),(395,6335,0.36899,0.64107),(395,6345,0.3673,0.6187),(395,6355,0.36564,0.59623),(395,6365,0.36398,0.57354),(395,6375,0.36255,0.55085),(395,6385,0.36121,0.52811),(395,6395,0.35987,0.50508),(395,6405,0.35866,0.48204),(395,6415,0.35756,0.45901),(395,6425,0.35646,0.43587),(395,6435,0.35542,0.41272),(395,6445,0.35448,0.38958),(395,6455,0.35355,0.36615),(395,6465,0.35265,0.34265),(395,6475,0.35191,0.31915),(395,6485,0.35117,0.29573),(395,6495,0.35043,0.27239),(395,6505,0.3499,0.24904),(395,6515,0.34938,0.22558),(395,6525,0.34885,0.20196),(395,6535,0.34838,0.17835),(395,6545,0.34792,0.15472),(395,6555,0.34746,0.13106),(395,6565,0.3471,0.1074),(395,6575,0.34678,0.083743),(395,6585,0.34647,0.06013),(395,6595,0.29453,0.036517),(395,6605,0.1856,0.012903),(395,6615,0.076666,0.01),(395,6625,8.8e-05,0.009758),(395,6635,9e-05,0.009516),(395,6645,9.1e-05,0.009442),(395,6655,9.2e-05,0.009435),(395,6665,9.4e-05,0.00943),(395,6675,9.5e-05,0.009423),(395,6685,9.6e-05,0.009417),(395,6695,9.8e-05,0.009411),(395,6705,9.9e-05,0.009405),(395,6715,0.0001,0.009399),(395,6725,0.000101,0.009393),(395,6735,0.000103,0.009387),(395,6745,0.000104,0.009381),(395,6755,0.000105,0.009375),(395,6765,0.000106,0.009369),(395,6775,0.000107,0.009363),(395,6785,0.000108,0.009356),(395,6795,0.000109,0.00935),(395,6805,0.00011,0.009344),(395,6815,0.000111,0.009338),(395,6825,0.000111,0.009331),(395,6835,0.000112,0.009325),(395,6845,0.000113,0.009319),(395,6855,0.000114,0.009313),(395,6865,0.000115,0.009307),(395,6875,0.000116,0.0093),(395,6885,0.000117,0.009294),(395,6895,0.000117,0.009287),(395,6905,0.000118,0.009281),(395,6915,0.000119,0.009274),(395,6925,0.00012,0.009268),(395,6935,0.000121,0.009261),(395,6945,0.000121,0.009255),(395,6955,0.000122,0.009248),(395,6965,0.000123,0.009241),(395,6975,0.000124,0.009235),(395,6985,0.000124,0.009228),(405,5,2.1e-05,3.6655),(405,15,6.3e-05,3.6655),(405,25,0.000105,3.6655),(405,35,0.000147,3.6655),(405,45,0.000188,3.6655),(405,55,0.00023,3.6655),(405,65,0.000272,3.6655),(405,75,0.000314,3.6655),(405,85,0.000356,3.6654),(405,95,0.000398,3.6654),(405,105,0.00044,3.6654),(405,115,0.000482,3.6654),(405,125,0.000524,3.6654),(405,135,0.000566,3.6653),(405,145,0.000608,3.6653),(405,155,0.000651,3.6653),(405,165,0.000693,3.6652),(405,175,0.000735,3.6652),(405,185,0.000778,3.6652),(405,195,0.00082,3.6651),(405,205,0.000863,3.6651),(405,215,0.000906,3.665),(405,225,0.000949,3.665),(405,235,0.000992,3.6649),(405,245,0.001035,3.6649),(405,255,0.001078,3.6648),(405,265,0.001121,3.6648),(405,275,0.001165,3.6647),(405,285,0.001208,3.6647),(405,295,0.001252,3.6646),(405,305,0.001295,3.6645),(405,315,0.001339,3.6645),(405,325,0.001383,3.6644),(405,335,0.001427,3.6643),(405,345,0.001471,3.6643),(405,355,0.001515,3.6642),(405,365,0.00156,3.6641),(405,375,0.001604,3.664),(405,385,0.001649,3.664),(405,395,0.001694,3.6639),(405,405,0.001739,3.6638),(405,415,0.001784,3.6637),(405,425,0.001829,3.6636),(405,435,0.001875,3.6635),(405,445,0.001921,3.6634),(405,455,0.001966,3.6633),(405,465,0.002013,3.6632),(405,475,0.002059,3.6631),(405,485,0.002106,3.663),(405,495,0.002152,3.6629),(405,505,0.002199,3.6628),(405,515,0.002246,3.6627),(405,525,0.002293,3.6626),(405,535,0.00234,3.6625),(405,545,0.002388,3.6623),(405,555,0.002436,3.6622),(405,565,0.002484,3.6621),(405,575,0.002531,3.662),(405,585,0.00258,3.6619),(405,595,0.002629,3.6617),(405,605,0.002678,3.6616),(405,615,0.002727,3.6615),(405,625,0.002777,3.6613),(405,635,0.002827,3.6612),(405,645,0.002876,3.661),(405,655,0.002926,3.6609),(405,665,0.002977,3.6607),(405,675,0.003028,3.6606),(405,685,0.003079,3.6604),(405,695,0.00313,3.6603),(405,705,0.003181,3.6601),(405,715,0.003233,3.66),(405,725,0.003285,3.6598),(405,735,0.003337,3.6596),(405,745,0.00339,3.6595),(405,755,0.003443,3.6593),(405,765,0.003496,3.6591),(405,775,0.00355,3.659),(405,785,0.003604,3.6588),(405,795,0.003658,3.6586),(405,805,0.003712,3.6584),(405,815,0.003767,3.6582),(405,825,0.003822,3.658),(405,835,0.003878,3.6578),(405,845,0.003933,3.6576),(405,855,0.003989,3.6574),(405,865,0.004045,3.6573),(405,875,0.004102,3.657),(405,885,0.004159,3.6568),(405,895,0.004216,3.6566),(405,905,0.004274,3.6564),(405,915,0.004332,3.6562),(405,925,0.00439,3.656),(405,935,0.004449,3.6558),(405,945,0.004508,3.6555),(405,955,0.004567,3.6553),(405,965,0.004627,3.6551),(405,975,0.004687,3.6549),(405,985,0.004747,3.6546),(405,995,0.004808,3.6544),(405,1005,0.004869,3.6541),(405,1015,0.00493,3.6539),(405,1025,0.004993,3.6536),(405,1035,0.005055,3.6534),(405,1045,0.005117,3.6531),(405,1055,0.00518,3.6529),(405,1065,0.005244,3.6526),(405,1075,0.005307,3.6524),(405,1085,0.005371,3.6521),(405,1095,0.005436,3.6518),(405,1105,0.005501,3.6516),(405,1115,0.005567,3.6513),(405,1125,0.005632,3.651),(405,1135,0.005699,3.6507),(405,1145,0.005766,3.6504),(405,1155,0.005833,3.6501),(405,1165,0.0059,3.6498),(405,1175,0.005968,3.6495),(405,1185,0.006036,3.6493),(405,1195,0.006105,3.6489),(405,1205,0.006173,3.6486),(405,1215,0.006243,3.6483),(405,1225,0.006313,3.648),(405,1235,0.006383,3.6477),(405,1245,0.006453,3.6474),(405,1255,0.006524,3.6471),(405,1265,0.006596,3.6467),(405,1275,0.006668,3.6464),(405,1285,0.006739,3.6461),(405,1295,0.006813,3.6457),(405,1305,0.006886,3.6454),(405,1315,0.00696,3.645),(405,1325,0.007033,3.6447),(405,1335,0.007108,3.6443),(405,1345,0.007183,3.644),(405,1355,0.007258,3.6436),(405,1365,0.007333,3.6432),(405,1375,0.00741,3.6429),(405,1385,0.007487,3.6425),(405,1395,0.007563,3.6421),(405,1405,0.00764,3.6417),(405,1415,0.007719,3.6414),(405,1425,0.007798,3.641),(405,1435,0.007876,3.6406),(405,1445,0.007955,3.6402),(405,1455,0.008035,3.6398),(405,1465,0.008116,3.6394),(405,1475,0.008196,3.639),(405,1485,0.008276,3.6386),(405,1495,0.008358,3.6381),(405,1505,0.008441,3.6377),(405,1515,0.008523,3.6373),(405,1525,0.008605,3.6369),(405,1535,0.008689,3.6364),(405,1545,0.008773,3.636),(405,1555,0.008856,3.6356),(405,1565,0.00894,3.6351),(405,1575,0.009026,3.6347),(405,1585,0.009111,3.6342),(405,1595,0.009197,3.6337),(405,1605,0.009283,3.6333),(405,1615,0.00937,3.6328),(405,1625,0.009457,3.6323),(405,1635,0.009545,3.6319),(405,1645,0.009632,3.6314),(405,1655,0.009721,3.6309),(405,1665,0.009811,3.6304),(405,1675,0.0099,3.6299),(405,1685,0.009989,3.6294),(405,1695,0.01008,3.6289),(405,1705,0.010171,3.6284),(405,1715,0.010262,3.6279),(405,1725,0.010353,3.6274),(405,1735,0.010446,3.6268),(405,1745,0.010538,3.6263),(405,1755,0.010631,3.6258),(405,1765,0.010724,3.6253),(405,1775,0.010818,3.6247),(405,1785,0.010912,3.6242),(405,1795,0.011007,3.6236),(405,1805,0.011101,3.6231),(405,1815,0.011197,3.6225),(405,1825,0.011293,3.6219),(405,1835,0.011389,3.6214),(405,1845,0.011486,3.6208),(405,1855,0.011584,3.6202),(405,1865,0.011681,3.6196),(405,1875,0.011779,3.619),(405,1885,0.011878,3.6184),(405,1895,0.011977,3.6179),(405,1905,0.012077,3.6172),(405,1915,0.012176,3.6166),(405,1925,0.012276,3.616),(405,1935,0.012377,3.6154),(405,1945,0.012479,3.6148),(405,1955,0.01258,3.6141),(405,1965,0.012682,3.6135),(405,1975,0.012785,3.6129),(405,1985,0.012887,3.6122),(405,1995,0.01299,3.6116),(405,2005,0.013094,3.6109),(405,2015,0.013198,3.6103),(405,2025,0.013303,3.6096),(405,2035,0.013407,3.6089),(405,2045,0.013513,3.6082),(405,2055,0.013619,3.6076),(405,2065,0.013725,3.6069),(405,2075,0.013831,3.6062),(405,2085,0.013938,3.6055),(405,2095,0.014046,3.6048),(405,2105,0.014154,3.6041),(405,2115,0.014262,3.6034),(405,2125,0.014371,3.6026),(405,2135,0.014481,3.6019),(405,2145,0.01459,3.6012),(405,2155,0.0147,3.6005),(405,2165,0.014811,3.5997),(405,2175,0.014922,3.599),(405,2185,0.015034,3.5982),(405,2195,0.015145,3.5975),(405,2205,0.015258,3.5967),(405,2215,0.015371,3.5959),(405,2225,0.015485,3.5952),(405,2235,0.015598,3.5944),(405,2245,0.015713,3.5936),(405,2255,0.015828,3.5928),(405,2265,0.015944,3.592),(405,2275,0.016059,3.5912),(405,2285,0.016176,3.5904),(405,2295,0.016294,3.5896),(405,2305,0.016411,3.5888),(405,2315,0.016529,3.5879),(405,2325,0.016648,3.5871),(405,2335,0.016768,3.5863),(405,2345,0.016888,3.5854),(405,2355,0.017008,3.5846),(405,2365,0.01713,3.5837),(405,2375,0.017252,3.5829),(405,2385,0.017375,3.582),(405,2395,0.017497,3.5812),(405,2405,0.017622,3.5803),(405,2415,0.017747,3.5794),(405,2425,0.017872,3.5785),(405,2435,0.017997,3.5776),(405,2445,0.018125,3.5767),(405,2455,0.018253,3.5758),(405,2465,0.018381,3.5749),(405,2475,0.018509,3.574),(405,2485,0.018641,3.5731),(405,2495,0.018773,3.5722),(405,2505,0.018904,3.5712),(405,2515,0.019036,3.5703),(405,2525,0.019172,3.5693),(405,2535,0.019307,3.5684),(405,2545,0.019443,3.5674),(405,2555,0.019579,3.5665),(405,2565,0.019719,3.5655),(405,2575,0.01986,3.5645),(405,2585,0.02,3.5636),(405,2595,0.020141,3.5626),(405,2605,0.020286,3.5616),(405,2615,0.020431,3.5606),(405,2625,0.020577,3.5596),(405,2635,0.020723,3.5586),(405,2645,0.020874,3.5576),(405,2655,0.021026,3.5565),(405,2665,0.021177,3.5555),(405,2675,0.02133,3.5545),(405,2685,0.021488,3.5534),(405,2695,0.021647,3.5524),(405,2705,0.021805,3.5514),(405,2715,0.021965,3.5503),(405,2725,0.022132,3.5492),(405,2735,0.022299,3.5482),(405,2745,0.022466,3.5471),(405,2755,0.022635,3.546),(405,2765,0.022812,3.5449),(405,2775,0.022988,3.5439),(405,2785,0.023165,3.5427),(405,2795,0.023344,3.5416),(405,2805,0.023532,3.5405),(405,2815,0.02372,3.5394),(405,2825,0.023908,3.5383),(405,2835,0.0241,3.5372),(405,2845,0.024301,3.536),(405,2855,0.024502,3.5349),(405,2865,0.024703,3.5338),(405,2875,0.02491,3.5326),(405,2885,0.025127,3.5315),(405,2895,0.025344,3.5303),(405,2905,0.02556,3.5291),(405,2915,0.025784,3.528),(405,2925,0.026019,3.5268),(405,2935,0.026254,3.5256),(405,2945,0.02649,3.5244),(405,2955,0.026734,3.5232),(405,2965,0.026991,3.522),(405,2975,0.027248,3.5208),(405,2985,0.027504,3.5196),(405,2995,0.027774,3.5184),(405,3005,0.028056,3.5171),(405,3015,0.028338,3.5159),(405,3025,0.02862,3.5147),(405,3035,0.028918,3.5134),(405,3045,0.02923,3.5122),(405,3055,0.029542,3.5109),(405,3065,0.029854,3.5096),(405,3075,0.030187,3.5084),(405,3085,0.030534,3.5071),(405,3095,0.030881,3.5058),(405,3105,0.031229,3.5045),(405,3115,0.031601,3.5032),(405,3125,0.03199,3.502),(405,3135,0.032379,3.5007),(405,3145,0.032768,3.4993),(405,3155,0.033189,3.498),(405,3165,0.033627,3.4967),(405,3175,0.034065,3.4954),(405,3185,0.034503,3.4941),(405,3195,0.034981,3.4927),(405,3205,0.035477,3.4914),(405,3215,0.035972,3.4901),(405,3225,0.036468,3.4887),(405,3235,0.037013,3.4874),(405,3245,0.037577,3.486),(405,3255,0.038141,3.4847),(405,3265,0.038704,3.4833),(405,3275,0.039329,3.4819),(405,3285,0.039973,3.4806),(405,3295,0.040617,3.4792),(405,3305,0.041261,3.4778),(405,3315,0.04198,3.4764),(405,3325,0.042718,3.4751),(405,3335,0.043456,3.4737),(405,3345,0.044194,3.4723),(405,3355,0.045027,3.4709),(405,3365,0.045876,3.4696),(405,3375,0.046725,3.4682),(405,3385,0.047574,3.4668),(405,3395,0.048539,3.4654),(405,3405,0.049519,3.4641),(405,3415,0.050499,3.4627),(405,3425,0.051479,3.4613),(405,3435,0.052601,3.46),(405,3445,0.053734,3.4586),(405,3455,0.054868,3.4573),(405,3465,0.056001,3.456),(405,3475,0.057309,3.4546),(405,3485,0.058622,3.4533),(405,3495,0.059935,3.452),(405,3505,0.061249,3.4508),(405,3515,0.062773,3.4495),(405,3525,0.064296,3.4482),(405,3535,0.065819,3.447),(405,3545,0.067353,3.4459),(405,3555,0.06912,3.4447),(405,3565,0.070888,3.4435),(405,3575,0.072655,3.4425),(405,3585,0.074446,3.4414),(405,3595,0.076494,3.4404),(405,3605,0.078542,3.4393),(405,3615,0.080591,3.4385),(405,3625,0.082678,3.4376),(405,3635,0.085046,3.4368),(405,3645,0.087413,3.436),(405,3655,0.08978,3.4354),(405,3665,0.092205,3.4348),(405,3675,0.094925,3.4342),(405,3685,0.097645,3.4337),(405,3695,0.10037,3.4336),(405,3705,0.10316,3.4334),(405,3715,0.10626,3.4332),(405,3725,0.10935,3.4332),(405,3735,0.11245,3.4336),(405,3745,0.11563,3.434),(405,3755,0.11909,3.4344),(405,3765,0.12255,3.435),(405,3775,0.12601,3.4361),(405,3785,0.12955,3.4373),(405,3795,0.1333,3.4385),(405,3805,0.13705,3.44),(405,3815,0.14079,3.4423),(405,3825,0.14456,3.4446),(405,3835,0.14839,3.4468),(405,3845,0.15221,3.4496),(405,3855,0.15603,3.4533),(405,3865,0.15972,3.457),(405,3875,0.16317,3.4606),(405,3885,0.16662,3.465),(405,3895,0.17008,3.4703),(405,3905,0.20279,3.4757),(405,3915,0.27923,3.4811),(405,3925,0.35566,3.4889),(405,3935,0.43209,3.5003),(405,3945,0.48529,3.5117),(405,3955,0.50898,3.523),(405,3965,0.53268,3.5321),(405,3975,0.55638,3.5384),(405,3985,0.54854,3.5447),(405,3995,0.50657,3.5511),(405,4005,0.46461,3.5549),(405,4015,0.42264,3.5563),(405,4025,0.38934,3.5577),(405,4035,0.35689,3.5584),(405,4045,0.32444,3.5576),(405,4055,0.29685,3.5568),(405,4065,0.27104,3.5556),(405,4075,0.24522,3.5523),(405,4085,0.22249,3.5491),(405,4095,0.20223,3.5458),(405,4105,0.18197,3.5397),(405,4115,0.15922,3.5335),(405,4125,0.13235,3.5272),(405,4135,0.10547,3.5211),(405,4145,0.084372,3.5151),(405,4155,0.086662,3.5091),(405,4165,0.088951,3.51),(405,4175,0.091581,3.5154),(405,4185,0.11107,3.5208),(405,4195,0.13055,3.524),(405,4205,0.15004,3.5241),(405,4215,0.13089,3.5242),(405,4225,0.10448,3.5223),(405,4235,0.07806,3.5144),(405,4245,0.060442,3.5065),(405,4255,0.047288,3.4985),(405,4265,0.034134,3.4901),(405,4275,0.025661,3.4818),(405,4285,0.022156,3.4734),(405,4295,0.018651,3.4713),(405,4305,0.046578,3.4699),(405,4315,0.14548,3.4685),(405,4325,0.24438,3.4835),(405,4335,0.32767,3.5049),(405,4345,0.30532,3.5263),(405,4355,0.28297,3.5409),(405,4365,0.26062,3.5496),(405,4375,0.22417,3.5584),(405,4385,0.18698,3.5604),(405,4395,0.1498,3.5506),(405,4405,0.10965,3.5408),(405,4415,0.068629,3.5302),(405,4425,0.027608,3.5161),(405,4435,0.044212,3.502),(405,4445,0.1002,3.4881),(405,4455,0.15618,3.5026),(405,4465,0.20301,3.517),(405,4475,0.23699,3.5315),(405,4485,0.27096,3.5406),(405,4495,0.2851,3.5485),(405,4505,0.23561,3.5564),(405,4515,0.18611,3.5501),(405,4525,0.13693,3.5361),(405,4535,0.092631,3.5222),(405,4545,0.048335,3.501),(405,4555,0.004039,3.4717),(405,4565,0.005661,3.4424),(405,4575,0.013474,3.4228),(405,4585,0.021287,3.4267),(405,4595,0.048173,3.4305),(405,4605,0.083118,3.4358),(405,4615,0.11806,3.4517),(405,4625,0.12697,3.4676),(405,4635,0.1123,3.4835),(405,4645,0.097623,3.4874),(405,4655,0.067098,3.4904),(405,4665,0.006679,3.4935),(405,4675,-0.05374,3.4697),(405,4685,-0.10333,3.4374),(405,4695,-0.099375,3.4051),(405,4705,-0.095424,3.3783),(405,4715,-0.091473,3.3556),(405,4725,0.011774,3.3328),(405,4735,0.11601,3.3278),(405,4745,0.22026,3.3493),(405,4755,0.22558,3.3708),(405,4765,0.20799,3.3879),(405,4775,0.1904,3.39),(405,4785,0.14368,3.3921),(405,4795,0.080117,3.3928),(405,4805,0.016557,3.3618),(405,4815,-0.034653,3.3309),(405,4825,-0.071096,3.3),(405,4835,-0.10754,3.259),(405,4845,-0.10633,3.2164),(405,4855,-0.006944,3.1738),(405,4865,0.092438,3.1726),(405,4875,0.19043,3.1901),(405,4885,0.2758,3.2076),(405,4895,0.36117,3.2272),(405,4905,0.44653,3.2489),(405,4915,0.3742,3.2706),(405,4925,0.2883,3.2803),(405,4935,0.20239,3.2657),(405,4945,0.13382,3.2512),(405,4955,0.071247,3.234),(405,4965,0.008676,3.2019),(405,4975,-0.016268,3.1698),(405,4985,-0.012168,3.1377),(405,4995,-0.008067,3.1339),(405,5005,0.002136,3.131),(405,5015,0.022042,3.128),(405,5025,0.041947,3.1359),(405,5035,0.047055,3.1467),(405,5045,-0.004214,3.1575),(405,5055,-0.055483,3.1517),(405,5065,-0.10712,3.1358),(405,5075,-0.17077,3.1198),(405,5085,-0.23441,3.0883),(405,5095,-0.29806,3.0371),(405,5105,-0.29262,2.986),(405,5115,-0.27513,2.9359),(405,5125,-0.25764,2.8889),(405,5135,-0.14404,2.842),(405,5145,0.016202,2.8005),(405,5155,0.17644,2.8187),(405,5165,0.29536,2.8369),(405,5175,0.37213,2.8552),(405,5185,0.44889,2.8651),(405,5195,0.48587,2.8742),(405,5205,0.43704,2.8833),(405,5215,0.38821,2.8667),(405,5225,0.33944,2.8405),(405,5235,0.29101,2.8144),(405,5245,0.24257,2.7727),(405,5255,0.19414,2.7182),(405,5265,0.13452,2.6637),(405,5275,0.074446,2.6296),(405,5285,0.01437,2.63),(405,5295,0.033491,2.6304),(405,5305,0.074667,2.634),(405,5315,0.11584,2.6513),(405,5325,0.12439,2.6687),(405,5335,0.11153,2.6856),(405,5345,0.098674,2.6753),(405,5355,0.076483,2.6651),(405,5365,0.0417,2.6549),(405,5375,0.006918,2.6081),(405,5385,-0.019069,2.5542),(405,5395,-0.018315,2.5003),(405,5405,-0.01756,2.4661),(405,5415,-0.003555,2.442),(405,5425,0.18844,2.418),(405,5435,0.38044,2.4156),(405,5445,0.57243,2.4365),(405,5455,0.64901,2.4575),(405,5465,0.71148,2.477),(405,5475,0.77395,2.4932),(405,5485,0.76147,2.5095),(405,5495,0.71881,2.5242),(405,5505,0.67615,2.5281),(405,5515,0.63871,2.5321),(405,5525,0.60583,2.536),(405,5535,0.57294,2.5329),(405,5545,0.54304,2.5294),(405,5555,0.51851,2.5258),(405,5565,0.49399,2.5188),(405,5575,0.47066,2.5107),(405,5585,0.45286,2.5026),(405,5595,0.43506,2.4927),(405,5605,0.41726,2.4813),(405,5615,0.40475,2.47),(405,5625,0.39224,2.4576),(405,5635,0.37973,2.4437),(405,5645,0.37064,2.4297),(405,5655,0.36228,2.4152),(405,5665,0.35392,2.399),(405,5675,0.34757,2.3827),(405,5685,0.34233,2.3664),(405,5695,0.33709,2.3479),(405,5705,0.33291,2.3294),(405,5715,0.32994,2.311),(405,5725,0.32697,2.2902),(405,5735,0.32445,2.269),(405,5745,0.32307,2.2479),(405,5755,0.32169,2.2248),(405,5765,0.32039,2.2007),(405,5775,0.31978,2.1767),(405,5785,0.31917,2.151),(405,5795,0.31856,2.1235),(405,5805,0.31829,2.0961),(405,5815,0.31804,2.0673),(405,5825,0.31779,2.0358),(405,5835,0.31748,2.0042),(405,5845,0.31716,1.9719),(405,5855,0.31683,1.9357),(405,5865,0.31658,1.8994),(405,5875,0.31637,1.8632),(405,5885,0.31617,1.8207),(405,5895,0.3161,1.7781),(405,5905,0.31625,1.7356),(405,5915,0.3164,1.6872),(405,5925,0.31694,1.6375),(405,5935,0.31888,1.5877),(405,5945,0.32081,1.533),(405,5955,0.32289,1.4755),(405,5965,0.32832,1.4179),(405,5975,0.33375,1.3565),(405,5985,0.33918,1.2904),(405,5995,0.26037,1.2243),(405,6005,0.16802,1.1739),(405,6015,0.075663,1.165),(405,6025,0.11103,1.1562),(405,6035,0.20563,1.1476),(405,6045,0.30024,1.1406),(405,6055,0.36437,1.1336),(405,6065,0.39862,1.1266),(405,6075,0.43288,1.1147),(405,6085,0.45493,1.1024),(405,6095,0.45183,1.0901),(405,6105,0.44873,1.0765),(405,6115,0.44554,1.0623),(405,6125,0.44184,1.0481),(405,6135,0.43815,1.0328),(405,6145,0.43446,1.0166),(405,6155,0.43075,1.0004),(405,6165,0.42704,0.98348),(405,6175,0.42334,0.96534),(405,6185,0.41985,0.94719),(405,6195,0.41643,0.92881),(405,6205,0.413,0.90952),(405,6215,0.40984,0.89022),(405,6225,0.40685,0.87091),(405,6235,0.40385,0.85062),(405,6245,0.40102,0.83033),(405,6255,0.39839,0.81004),(405,6265,0.39576,0.78912),(405,6275,0.39321,0.76809),(405,6285,0.39091,0.74706),(405,6295,0.3886,0.72562),(405,6305,0.38633,0.70399),(405,6315,0.38446,0.68236),(405,6325,0.38259,0.66044),(405,6335,0.38071,0.63821),(405,6345,0.37912,0.61598),(405,6355,0.37756,0.59365),(405,6365,0.376,0.57109),(405,6375,0.37465,0.54853),(405,6385,0.37339,0.52593),(405,6395,0.37213,0.50301),(405,6405,0.371,0.48009),(405,6415,0.36999,0.45718),(405,6425,0.36897,0.43412),(405,6435,0.368,0.41106),(405,6445,0.36712,0.38799),(405,6455,0.36624,0.36467),(405,6465,0.3654,0.34127),(405,6475,0.36472,0.31787),(405,6485,0.36403,0.29456),(405,6495,0.36335,0.27132),(405,6505,0.36287,0.24807),(405,6515,0.36238,0.2247),(405,6525,0.36189,0.20114),(405,6535,0.36145,0.17758),(405,6545,0.36101,0.15402),(405,6555,0.36057,0.13044),(405,6565,0.36021,0.10686),(405,6575,0.3599,0.083278),(405,6585,0.35959,0.059734),(405,6595,0.3057,0.03619),(405,6605,0.19263,0.012646),(405,6615,0.079572,0.009821),(405,6625,9.1e-05,0.009658),(405,6635,9.3e-05,0.009495),(405,6645,9.4e-05,0.009443),(405,6655,9.6e-05,0.009437),(405,6665,9.7e-05,0.009431),(405,6675,9.8e-05,0.009425),(405,6685,9.9e-05,0.009419),(405,6695,0.000101,0.009412),(405,6705,0.000102,0.009406),(405,6715,0.000103,0.0094),(405,6725,0.000104,0.009394),(405,6735,0.000106,0.009388),(405,6745,0.000107,0.009382),(405,6755,0.000108,0.009376),(405,6765,0.000109,0.00937),(405,6775,0.00011,0.009364),(405,6785,0.000111,0.009357),(405,6795,0.000112,0.009351),(405,6805,0.000113,0.009345),(405,6815,0.000114,0.009339),(405,6825,0.000115,0.009332),(405,6835,0.000115,0.009326),(405,6845,0.000116,0.00932),(405,6855,0.000117,0.009314),(405,6865,0.000118,0.009307),(405,6875,0.000119,0.009301),(405,6885,0.00012,0.009295),(405,6895,0.00012,0.009288),(405,6905,0.000121,0.009282),(405,6915,0.000122,0.009275),(405,6925,0.000123,0.009269),(405,6935,0.000124,0.009262),(405,6945,0.000125,0.009255),(405,6955,0.000125,0.009249),(405,6965,0.000126,0.009242),(405,6975,0.000127,0.009236),(405,6985,0.000128,0.009229),(415,5,2.1e-05,3.6656),(415,15,6.4e-05,3.6656),(415,25,0.000107,3.6655),(415,35,0.00015,3.6655),(415,45,0.000193,3.6655),(415,55,0.000236,3.6655),(415,65,0.000279,3.6655),(415,75,0.000322,3.6655),(415,85,0.000365,3.6655),(415,95,0.000407,3.6655),(415,105,0.00045,3.6654),(415,115,0.000493,3.6654),(415,125,0.000536,3.6654),(415,135,0.000579,3.6654),(415,145,0.000623,3.6653),(415,155,0.000666,3.6653),(415,165,0.000709,3.6653),(415,175,0.000752,3.6652),(415,185,0.000796,3.6652),(415,195,0.00084,3.6652),(415,205,0.000883,3.6651),(415,215,0.000927,3.6651),(415,225,0.000971,3.665),(415,235,0.001015,3.665),(415,245,0.001059,3.6649),(415,255,0.001103,3.6649),(415,265,0.001147,3.6648),(415,275,0.001192,3.6648),(415,285,0.001236,3.6647),(415,295,0.001281,3.6646),(415,305,0.001326,3.6646),(415,315,0.001371,3.6645),(415,325,0.001416,3.6644),(415,335,0.00146,3.6644),(415,345,0.001506,3.6643),(415,355,0.001551,3.6642),(415,365,0.001597,3.6642),(415,375,0.001642,3.6641),(415,385,0.001688,3.664),(415,395,0.001734,3.6639),(415,405,0.00178,3.6638),(415,415,0.001826,3.6637),(415,425,0.001873,3.6636),(415,435,0.001919,3.6636),(415,445,0.001966,3.6635),(415,455,0.002013,3.6634),(415,465,0.00206,3.6633),(415,475,0.002108,3.6632),(415,485,0.002155,3.6631),(415,495,0.002203,3.663),(415,505,0.002251,3.6628),(415,515,0.002299,3.6627),(415,525,0.002347,3.6626),(415,535,0.002396,3.6625),(415,545,0.002445,3.6624),(415,555,0.002493,3.6623),(415,565,0.002542,3.6621),(415,575,0.002592,3.662),(415,585,0.002641,3.6619),(415,595,0.002691,3.6618),(415,605,0.002741,3.6616),(415,615,0.002792,3.6615),(415,625,0.002842,3.6614),(415,635,0.002893,3.6612),(415,645,0.002945,3.6611),(415,655,0.002996,3.6609),(415,665,0.003048,3.6608),(415,675,0.0031,3.6606),(415,685,0.003152,3.6605),(415,695,0.003204,3.6603),(415,705,0.003257,3.6602),(415,715,0.00331,3.66),(415,725,0.003363,3.6599),(415,735,0.003417,3.6597),(415,745,0.003471,3.6595),(415,755,0.003525,3.6594),(415,765,0.003579,3.6592),(415,775,0.003634,3.659),(415,785,0.00369,3.6588),(415,795,0.003745,3.6587),(415,805,0.003801,3.6585),(415,815,0.003857,3.6583),(415,825,0.003913,3.6581),(415,835,0.00397,3.6579),(415,845,0.004027,3.6577),(415,855,0.004084,3.6575),(415,865,0.004142,3.6573),(415,875,0.0042,3.6571),(415,885,0.004258,3.6569),(415,895,0.004316,3.6567),(415,905,0.004376,3.6565),(415,915,0.004435,3.6563),(415,925,0.004495,3.656),(415,935,0.004555,3.6558),(415,945,0.004615,3.6556),(415,955,0.004676,3.6554),(415,965,0.004737,3.6551),(415,975,0.004799,3.6549),(415,985,0.004861,3.6547),(415,995,0.004923,3.6544),(415,1005,0.004985,3.6542),(415,1015,0.005048,3.654),(415,1025,0.005112,3.6537),(415,1035,0.005176,3.6535),(415,1045,0.005239,3.6532),(415,1055,0.005304,3.6529),(415,1065,0.005369,3.6527),(415,1075,0.005434,3.6524),(415,1085,0.0055,3.6522),(415,1095,0.005566,3.6519),(415,1105,0.005633,3.6516),(415,1115,0.0057,3.6513),(415,1125,0.005767,3.6511),(415,1135,0.005835,3.6508),(415,1145,0.005904,3.6505),(415,1155,0.005972,3.6502),(415,1165,0.006041,3.6499),(415,1175,0.006111,3.6496),(415,1185,0.006181,3.6493),(415,1195,0.006251,3.649),(415,1205,0.006321,3.6487),(415,1215,0.006392,3.6484),(415,1225,0.006464,3.6481),(415,1235,0.006536,3.6478),(415,1245,0.006608,3.6474),(415,1255,0.006681,3.6471),(415,1265,0.006755,3.6468),(415,1275,0.006828,3.6465),(415,1285,0.006901,3.6461),(415,1295,0.006976,3.6458),(415,1305,0.007051,3.6455),(415,1315,0.007127,3.6451),(415,1325,0.007202,3.6448),(415,1335,0.007279,3.6444),(415,1345,0.007356,3.644),(415,1355,0.007432,3.6437),(415,1365,0.007509,3.6433),(415,1375,0.007588,3.6429),(415,1385,0.007667,3.6426),(415,1395,0.007745,3.6422),(415,1405,0.007824,3.6418),(415,1415,0.007905,3.6414),(415,1425,0.007985,3.6411),(415,1435,0.008066,3.6407),(415,1445,0.008146,3.6403),(415,1455,0.008229,3.6399),(415,1465,0.008311,3.6395),(415,1475,0.008393,3.639),(415,1485,0.008476,3.6386),(415,1495,0.00856,3.6382),(415,1505,0.008644,3.6378),(415,1515,0.008728,3.6374),(415,1525,0.008812,3.6369),(415,1535,0.008898,3.6365),(415,1545,0.008984,3.6361),(415,1555,0.00907,3.6356),(415,1565,0.009156,3.6352),(415,1575,0.009244,3.6347),(415,1585,0.009331,3.6343),(415,1595,0.009419,3.6338),(415,1605,0.009507,3.6334),(415,1615,0.009596,3.6329),(415,1625,0.009686,3.6324),(415,1635,0.009775,3.6319),(415,1645,0.009865,3.6315),(415,1655,0.009957,3.631),(415,1665,0.010048,3.6305),(415,1675,0.010139,3.63),(415,1685,0.010231,3.6295),(415,1695,0.010324,3.629),(415,1705,0.010417,3.6285),(415,1715,0.01051,3.628),(415,1725,0.010604,3.6275),(415,1735,0.010699,3.6269),(415,1745,0.010793,3.6264),(415,1755,0.010888,3.6259),(415,1765,0.010984,3.6253),(415,1775,0.01108,3.6248),(415,1785,0.011177,3.6243),(415,1795,0.011273,3.6237),(415,1805,0.011371,3.6232),(415,1815,0.011469,3.6226),(415,1825,0.011567,3.622),(415,1835,0.011666,3.6215),(415,1845,0.011765,3.6209),(415,1855,0.011865,3.6203),(415,1865,0.011965,3.6197),(415,1875,0.012065,3.6191),(415,1885,0.012166,3.6185),(415,1895,0.012268,3.6179),(415,1905,0.01237,3.6173),(415,1915,0.012472,3.6167),(415,1925,0.012574,3.6161),(415,1935,0.012678,3.6155),(415,1945,0.012782,3.6149),(415,1955,0.012885,3.6142),(415,1965,0.01299,3.6136),(415,1975,0.013095,3.613),(415,1985,0.0132,3.6123),(415,1995,0.013306,3.6117),(415,2005,0.013412,3.611),(415,2015,0.013519,3.6104),(415,2025,0.013626,3.6097),(415,2035,0.013733,3.609),(415,2045,0.013841,3.6084),(415,2055,0.01395,3.6077),(415,2065,0.014059,3.607),(415,2075,0.014167,3.6063),(415,2085,0.014277,3.6056),(415,2095,0.014388,3.6049),(415,2105,0.014498,3.6042),(415,2115,0.014609,3.6035),(415,2125,0.01472,3.6028),(415,2135,0.014832,3.602),(415,2145,0.014945,3.6013),(415,2155,0.015057,3.6006),(415,2165,0.015171,3.5998),(415,2175,0.015285,3.5991),(415,2185,0.015399,3.5983),(415,2195,0.015513,3.5976),(415,2205,0.015628,3.5968),(415,2215,0.015744,3.5961),(415,2225,0.015861,3.5953),(415,2235,0.015977,3.5945),(415,2245,0.016094,3.5937),(415,2255,0.016212,3.5929),(415,2265,0.01633,3.5921),(415,2275,0.016448,3.5913),(415,2285,0.016568,3.5905),(415,2295,0.016688,3.5897),(415,2305,0.016808,3.5889),(415,2315,0.016929,3.5881),(415,2325,0.017051,3.5872),(415,2335,0.017173,3.5864),(415,2345,0.017296,3.5856),(415,2355,0.017419,3.5847),(415,2365,0.017543,3.5839),(415,2375,0.017669,3.583),(415,2385,0.017794,3.5822),(415,2395,0.017919,3.5813),(415,2405,0.018046,3.5804),(415,2415,0.018174,3.5795),(415,2425,0.018302,3.5786),(415,2435,0.01843,3.5777),(415,2445,0.018561,3.5769),(415,2455,0.018692,3.576),(415,2465,0.018823,3.575),(415,2475,0.018953,3.5741),(415,2485,0.019088,3.5732),(415,2495,0.019222,3.5723),(415,2505,0.019356,3.5714),(415,2515,0.019491,3.5704),(415,2525,0.019629,3.5695),(415,2535,0.019768,3.5685),(415,2545,0.019906,3.5676),(415,2555,0.020045,3.5666),(415,2565,0.020188,3.5656),(415,2575,0.020331,3.5647),(415,2585,0.020474,3.5637),(415,2595,0.020618,3.5627),(415,2605,0.020766,3.5617),(415,2615,0.020914,3.5607),(415,2625,0.021062,3.5597),(415,2635,0.021211,3.5587),(415,2645,0.021365,3.5577),(415,2655,0.021519,3.5567),(415,2665,0.021673,3.5557),(415,2675,0.021829,3.5546),(415,2685,0.02199,3.5536),(415,2695,0.022151,3.5526),(415,2705,0.022312,3.5515),(415,2715,0.022475,3.5505),(415,2725,0.022644,3.5494),(415,2735,0.022814,3.5483),(415,2745,0.022983,3.5473),(415,2755,0.023155,3.5462),(415,2765,0.023334,3.5451),(415,2775,0.023513,3.544),(415,2785,0.023693,3.5429),(415,2795,0.023875,3.5418),(415,2805,0.024065,3.5407),(415,2815,0.024256,3.5396),(415,2825,0.024446,3.5385),(415,2835,0.024641,3.5374),(415,2845,0.024845,3.5362),(415,2855,0.025048,3.5351),(415,2865,0.025252,3.534),(415,2875,0.025461,3.5328),(415,2885,0.02568,3.5317),(415,2895,0.025899,3.5305),(415,2905,0.026118,3.5294),(415,2915,0.026345,3.5282),(415,2925,0.026582,3.527),(415,2935,0.02682,3.5258),(415,2945,0.027057,3.5246),(415,2955,0.027304,3.5234),(415,2965,0.027563,3.5223),(415,2975,0.027822,3.5211),(415,2985,0.028081,3.5198),(415,2995,0.028352,3.5186),(415,3005,0.028636,3.5174),(415,3015,0.02892,3.5162),(415,3025,0.029204,3.5149),(415,3035,0.029504,3.5137),(415,3045,0.029818,3.5125),(415,3055,0.030132,3.5112),(415,3065,0.030445,3.51),(415,3075,0.030779,3.5087),(415,3085,0.031128,3.5074),(415,3095,0.031477,3.5062),(415,3105,0.031825,3.5049),(415,3115,0.032199,3.5036),(415,3125,0.032589,3.5023),(415,3135,0.032979,3.501),(415,3145,0.033369,3.4997),(415,3155,0.03379,3.4985),(415,3165,0.034228,3.4972),(415,3175,0.034666,3.4958),(415,3185,0.035104,3.4945),(415,3195,0.035581,3.4932),(415,3205,0.036077,3.4919),(415,3215,0.036572,3.4906),(415,3225,0.037067,3.4892),(415,3235,0.03761,3.4879),(415,3245,0.038172,3.4866),(415,3255,0.038734,3.4852),(415,3265,0.039296,3.4839),(415,3275,0.039918,3.4825),(415,3285,0.040558,3.4812),(415,3295,0.041198,3.4799),(415,3305,0.041839,3.4785),(415,3315,0.042554,3.4772),(415,3325,0.043286,3.4758),(415,3335,0.044019,3.4745),(415,3345,0.044751,3.4731),(415,3355,0.045576,3.4717),(415,3365,0.046417,3.4704),(415,3375,0.047258,3.4691),(415,3385,0.048099,3.4677),(415,3395,0.049052,3.4664),(415,3405,0.050021,3.465),(415,3415,0.050989,3.4637),(415,3425,0.051957,3.4624),(415,3435,0.053063,3.4611),(415,3445,0.054179,3.4597),(415,3455,0.055296,3.4585),(415,3465,0.056413,3.4572),(415,3475,0.057697,3.4559),(415,3485,0.058987,3.4546),(415,3495,0.060277,3.4534),(415,3505,0.061568,3.4522),(415,3515,0.063059,3.451),(415,3525,0.064551,3.4498),(415,3535,0.066042,3.4486),(415,3545,0.067543,3.4475),(415,3555,0.069266,3.4464),(415,3565,0.07099,3.4453),(415,3575,0.072713,3.4443),(415,3585,0.074459,3.4433),(415,3595,0.076447,3.4424),(415,3605,0.078435,3.4414),(415,3615,0.080424,3.4406),(415,3625,0.082449,3.4399),(415,3635,0.084734,3.4391),(415,3645,0.08702,3.4383),(415,3655,0.089306,3.4379),(415,3665,0.091644,3.4374),(415,3675,0.094254,3.4369),(415,3685,0.096864,3.4365),(415,3695,0.099474,3.4364),(415,3705,0.10215,3.4363),(415,3715,0.1051,3.4363),(415,3725,0.10805,3.4363),(415,3735,0.11099,3.4368),(415,3745,0.11402,3.4373),(415,3755,0.11728,3.4378),(415,3765,0.12054,3.4385),(415,3775,0.1238,3.4397),(415,3785,0.12713,3.441),(415,3795,0.13062,3.4423),(415,3805,0.13411,3.4438),(415,3815,0.13761,3.4461),(415,3825,0.1411,3.4484),(415,3835,0.14461,3.4507),(415,3845,0.14812,3.4534),(415,3855,0.15163,3.457),(415,3865,0.155,3.4606),(415,3875,0.15811,3.4642),(415,3885,0.16122,3.4684),(415,3895,0.16434,3.4734),(415,3905,0.19609,3.4785),(415,3915,0.27063,3.4836),(415,3925,0.34517,3.4911),(415,3935,0.41971,3.5019),(415,3945,0.47217,3.5127),(415,3955,0.4966,3.5236),(415,3965,0.52103,3.5323),(415,3975,0.54546,3.5386),(415,3985,0.53872,3.5448),(415,3995,0.49823,3.5511),(415,4005,0.45775,3.5549),(415,4015,0.41726,3.5563),(415,4025,0.38488,3.5577),(415,4035,0.35329,3.5584),(415,4045,0.3217,3.5575),(415,4055,0.29489,3.5566),(415,4065,0.26982,3.5554),(415,4075,0.24476,3.5524),(415,4085,0.22278,3.5493),(415,4095,0.20329,3.5462),(415,4105,0.18379,3.5407),(415,4115,0.16158,3.5351),(415,4125,0.13485,3.5296),(415,4135,0.10812,3.5243),(415,4145,0.086643,3.5192),(415,4155,0.08647,3.5141),(415,4165,0.086297,3.5149),(415,4175,0.086533,3.5195),(415,4185,0.10706,3.5241),(415,4195,0.12758,3.5266),(415,4205,0.1481,3.5263),(415,4215,0.13098,3.526),(415,4225,0.10677,3.5239),(415,4235,0.082566,3.5165),(415,4245,0.065803,3.5092),(415,4255,0.052817,3.5018),(415,4265,0.039832,3.4943),(415,4275,0.030666,3.4868),(415,4285,0.025553,3.4793),(415,4295,0.02044,3.4775),(415,4305,0.045204,3.4764),(415,4315,0.13743,3.4753),(415,4325,0.22966,3.4892),(415,4335,0.30757,3.5091),(415,4345,0.28858,3.529),(415,4355,0.2696,3.5426),(415,4365,0.25062,3.5507),(415,4375,0.21907,3.5589),(415,4385,0.18687,3.5608),(415,4395,0.15466,3.5519),(415,4405,0.11674,3.543),(415,4415,0.077132,3.5334),(415,4425,0.037522,3.5208),(415,4435,0.050331,3.5082),(415,4445,0.098963,3.4957),(415,4455,0.14759,3.5086),(415,4465,0.19061,3.5215),(415,4475,0.22575,3.5344),(415,4485,0.26088,3.5425),(415,4495,0.2773,3.5495),(415,4505,0.2337,3.5565),(415,4515,0.1901,3.5503),(415,4525,0.14671,3.5371),(415,4535,0.10666,3.5239),(415,4545,0.06661,3.5039),(415,4555,0.026559,3.4764),(415,4565,0.021523,3.4489),(415,4575,0.021208,3.4304),(415,4585,0.020893,3.4335),(415,4595,0.042959,3.4367),(415,4605,0.074482,3.4411),(415,4615,0.10601,3.455),(415,4625,0.11492,3.469),(415,4635,0.10337,3.4829),(415,4645,0.091821,3.4856),(415,4655,0.066574,3.4876),(415,4665,0.015505,3.4896),(415,4675,-0.035565,3.4666),(415,4685,-0.077795,3.4355),(415,4695,-0.076343,3.4045),(415,4705,-0.074892,3.3794),(415,4715,-0.07344,3.3586),(415,4725,0.018136,3.3378),(415,4735,0.11062,3.3328),(415,4745,0.20309,3.3515),(415,4755,0.21001,3.3701),(415,4765,0.19711,3.3847),(415,4775,0.1842,3.3852),(415,4785,0.14469,3.3857),(415,4795,0.089785,3.3849),(415,4805,0.034883,3.3551),(415,4815,-0.010149,3.3252),(415,4825,-0.043378,3.2953),(415,4835,-0.076607,3.2569),(415,4845,-0.077307,3.2172),(415,4855,0.006793,3.1774),(415,4865,0.090893,3.1756),(415,4875,0.1749,3.191),(415,4885,0.25806,3.2064),(415,4895,0.34123,3.2235),(415,4905,0.42439,3.2423),(415,4915,0.36081,3.261),(415,4925,0.28461,3.2688),(415,4935,0.20841,3.2547),(415,4945,0.1457,3.2405),(415,4955,0.08767,3.2241),(415,4965,0.029636,3.1954),(415,4975,0.002931,3.1667),(415,4985,0.000408,3.1379),(415,4995,-0.002114,3.1348),(415,5005,0.002417,3.1324),(415,5015,0.018164,3.1299),(415,5025,0.033911,3.136),(415,5035,0.037144,3.1443),(415,5045,-0.007295,3.1525),(415,5055,-0.051734,3.145),(415,5065,-0.096466,3.1279),(415,5075,-0.1508,3.1107),(415,5085,-0.20512,3.0791),(415,5095,-0.25945,3.0291),(415,5105,-0.25333,2.9791),(415,5115,-0.23666,2.9306),(415,5125,-0.21999,2.8861),(415,5135,-0.11819,2.8416),(415,5145,0.024908,2.8022),(415,5155,0.16801,2.8179),(415,5165,0.27871,2.8335),(415,5175,0.35636,2.8492),(415,5185,0.43402,2.8566),(415,5195,0.47442,2.8631),(415,5205,0.43452,2.8696),(415,5215,0.39461,2.8528),(415,5225,0.35452,2.8272),(415,5235,0.31324,2.8017),(415,5245,0.27196,2.7624),(415,5255,0.23069,2.7119),(415,5265,0.16015,2.6614),(415,5275,0.088405,2.6298),(415,5285,0.01666,2.6301),(415,5295,0.029793,2.6304),(415,5305,0.066562,2.6331),(415,5315,0.10333,2.6462),(415,5325,0.11373,2.6593),(415,5335,0.10685,2.672),(415,5345,0.099963,2.6601),(415,5355,0.08553,2.6482),(415,5365,0.060916,2.6362),(415,5375,0.036302,2.592),(415,5385,0.016333,2.5414),(415,5395,0.010484,2.4908),(415,5405,0.004636,2.4595),(415,5415,0.011669,2.4382),(415,5425,0.19173,2.417),(415,5435,0.37179,2.4152),(415,5445,0.55185,2.4346),(415,5455,0.62733,2.4539),(415,5465,0.69004,2.4721),(415,5475,0.75274,2.4877),(415,5485,0.74272,2.5032),(415,5495,0.7034,2.5174),(415,5505,0.66408,2.5214),(415,5515,0.62935,2.5255),(415,5525,0.59863,2.5295),(415,5535,0.5679,2.5267),(415,5545,0.53987,2.5235),(415,5555,0.5167,2.5202),(415,5565,0.49352,2.5135),(415,5575,0.47146,2.5057),(415,5585,0.45454,2.4979),(415,5595,0.43762,2.4881),(415,5605,0.4207,2.4769),(415,5615,0.40883,2.4658),(415,5625,0.39696,2.4535),(415,5635,0.38509,2.4396),(415,5645,0.37653,2.4257),(415,5655,0.36869,2.4113),(415,5665,0.36084,2.3951),(415,5675,0.355,2.3788),(415,5685,0.35025,2.3624),(415,5695,0.34551,2.3438),(415,5705,0.34184,2.3253),(415,5715,0.33939,2.3067),(415,5725,0.33695,2.2858),(415,5735,0.33498,2.2645),(415,5745,0.3342,2.2432),(415,5755,0.33341,2.2198),(415,5765,0.33273,2.1956),(415,5775,0.33287,2.1713),(415,5785,0.333,2.1452),(415,5795,0.33313,2.1175),(415,5805,0.33376,2.0899),(415,5815,0.33443,2.0607),(415,5825,0.3351,2.0288),(415,5835,0.33589,1.9969),(415,5845,0.33672,1.9642),(415,5855,0.33756,1.9276),(415,5865,0.33861,1.891),(415,5875,0.33984,1.8544),(415,5885,0.34107,1.8117),(415,5895,0.34255,1.7688),(415,5905,0.34442,1.726),(415,5915,0.34629,1.6777),(415,5925,0.34859,1.628),(415,5935,0.35239,1.5784),(415,5945,0.3562,1.5243),(415,5955,0.36013,1.4675),(415,5965,0.36722,1.4107),(415,5975,0.3743,1.3505),(415,5985,0.38138,1.2863),(415,5995,0.29285,1.2221),(415,6005,0.18894,1.173),(415,6015,0.085021,1.1645),(415,6025,0.11576,1.1559),(415,6035,0.20894,1.1475),(415,6045,0.30213,1.1397),(415,6055,0.36583,1.132),(415,6065,0.40062,1.1242),(415,6075,0.43542,1.1118),(415,6085,0.45801,1.099),(415,6095,0.45545,1.0861),(415,6105,0.45289,1.0721),(415,6115,0.45024,1.0577),(415,6125,0.44705,1.0433),(415,6135,0.44386,1.0279),(415,6145,0.44068,1.0116),(415,6155,0.43741,0.99542),(415,6165,0.43414,0.97849),(415,6175,0.43087,0.96041),(415,6185,0.42776,0.94233),(415,6195,0.42469,0.92403),(415,6205,0.42162,0.90487),(415,6215,0.41877,0.88572),(415,6225,0.41605,0.86654),(415,6235,0.41334,0.84637),(415,6245,0.41076,0.82621),(415,6255,0.40837,0.80604),(415,6265,0.40597,0.78526),(415,6275,0.40365,0.76436),(415,6285,0.40154,0.74346),(415,6295,0.39943,0.72217),(415,6305,0.39735,0.70069),(415,6315,0.39561,0.67922),(415,6325,0.39387,0.65744),(415,6335,0.39213,0.63535),(415,6345,0.39065,0.61326),(415,6355,0.38919,0.59106),(415,6365,0.38774,0.56864),(415,6375,0.38647,0.54622),(415,6385,0.38528,0.52374),(415,6395,0.38408,0.50094),(415,6405,0.38302,0.47814),(415,6415,0.38207,0.45534),(415,6425,0.38112,0.43237),(415,6435,0.38021,0.40939),(415,6445,0.37939,0.38641),(415,6455,0.37856,0.36318),(415,6465,0.37778,0.33989),(415,6475,0.37715,0.31659),(415,6485,0.37653,0.29339),(415,6495,0.37591,0.27025),(415,6505,0.37546,0.24711),(415,6515,0.37501,0.22382),(415,6525,0.37456,0.20032),(415,6535,0.37416,0.17681),(415,6545,0.37377,0.15331),(415,6555,0.37338,0.12981),(415,6565,0.37308,0.10631),(415,6575,0.37282,0.082813),(415,6585,0.37257,0.059338),(415,6595,0.31676,0.035863),(415,6605,0.1996,0.012388),(415,6615,0.08245,0.009641),(415,6625,9.5e-05,0.009557),(415,6635,9.6e-05,0.009473),(415,6645,9.8e-05,0.009444),(415,6655,9.9e-05,0.009438),(415,6665,0.0001,0.009432),(415,6675,0.000101,0.009426),(415,6685,0.000103,0.00942),(415,6695,0.000104,0.009414),(415,6705,0.000105,0.009408),(415,6715,0.000106,0.009401),(415,6725,0.000107,0.009395),(415,6735,0.000109,0.009389),(415,6745,0.00011,0.009383),(415,6755,0.000111,0.009377),(415,6765,0.000112,0.009371),(415,6775,0.000113,0.009365),(415,6785,0.000114,0.009358),(415,6795,0.000115,0.009352),(415,6805,0.000116,0.009346),(415,6815,0.000117,0.00934),(415,6825,0.000118,0.009333),(415,6835,0.000119,0.009327),(415,6845,0.000119,0.009321),(415,6855,0.00012,0.009314),(415,6865,0.000121,0.009308),(415,6875,0.000122,0.009302),(415,6885,0.000123,0.009295),(415,6895,0.000124,0.009289),(415,6905,0.000124,0.009283),(415,6915,0.000125,0.009276),(415,6925,0.000126,0.009269),(415,6935,0.000127,0.009263),(415,6945,0.000128,0.009256),(415,6955,0.000129,0.00925),(415,6965,0.000129,0.009243),(415,6975,0.00013,0.009236),(415,6985,0.000131,0.00923),(425,5,2.2e-05,3.6656),(425,15,6.6e-05,3.6656),(425,25,0.00011,3.6656),(425,35,0.000153,3.6656),(425,45,0.000197,3.6656),(425,55,0.000241,3.6656),(425,65,0.000285,3.6656),(425,75,0.000329,3.6655),(425,85,0.000373,3.6655),(425,95,0.000417,3.6655),(425,105,0.000461,3.6655),(425,115,0.000505,3.6655),(425,125,0.000549,3.6654),(425,135,0.000593,3.6654),(425,145,0.000637,3.6654),(425,155,0.000681,3.6654),(425,165,0.000725,3.6653),(425,175,0.00077,3.6653),(425,185,0.000814,3.6652),(425,195,0.000859,3.6652),(425,205,0.000903,3.6652),(425,215,0.000948,3.6651),(425,225,0.000993,3.6651),(425,235,0.001038,3.665),(425,245,0.001083,3.665),(425,255,0.001128,3.6649),(425,265,0.001174,3.6649),(425,275,0.001219,3.6648),(425,285,0.001265,3.6647),(425,295,0.00131,3.6647),(425,305,0.001356,3.6646),(425,315,0.001402,3.6646),(425,325,0.001448,3.6645),(425,335,0.001494,3.6644),(425,345,0.00154,3.6644),(425,355,0.001587,3.6643),(425,365,0.001633,3.6642),(425,375,0.00168,3.6641),(425,385,0.001727,3.664),(425,395,0.001774,3.664),(425,405,0.001821,3.6639),(425,415,0.001868,3.6638),(425,425,0.001916,3.6637),(425,435,0.001963,3.6636),(425,445,0.002011,3.6635),(425,455,0.002059,3.6634),(425,465,0.002108,3.6633),(425,475,0.002156,3.6632),(425,485,0.002205,3.6631),(425,495,0.002253,3.663),(425,505,0.002303,3.6629),(425,515,0.002352,3.6628),(425,525,0.002401,3.6627),(425,535,0.002451,3.6626),(425,545,0.002501,3.6624),(425,555,0.002551,3.6623),(425,565,0.002601,3.6622),(425,575,0.002651,3.6621),(425,585,0.002703,3.6619),(425,595,0.002754,3.6618),(425,605,0.002805,3.6617),(425,615,0.002856,3.6616),(425,625,0.002908,3.6614),(425,635,0.002961,3.6613),(425,645,0.003013,3.6611),(425,655,0.003065,3.661),(425,665,0.003118,3.6608),(425,675,0.003171,3.6607),(425,685,0.003225,3.6605),(425,695,0.003278,3.6604),(425,705,0.003332,3.6602),(425,715,0.003387,3.6601),(425,725,0.003441,3.6599),(425,735,0.003496,3.6597),(425,745,0.003551,3.6596),(425,755,0.003607,3.6594),(425,765,0.003662,3.6592),(425,775,0.003718,3.6591),(425,785,0.003775,3.6589),(425,795,0.003832,3.6587),(425,805,0.003889,3.6585),(425,815,0.003946,3.6583),(425,825,0.004004,3.6581),(425,835,0.004062,3.658),(425,845,0.00412,3.6578),(425,855,0.004179,3.6576),(425,865,0.004238,3.6574),(425,875,0.004298,3.6572),(425,885,0.004357,3.657),(425,895,0.004417,3.6567),(425,905,0.004478,3.6565),(425,915,0.004539,3.6563),(425,925,0.004599,3.6561),(425,935,0.004661,3.6559),(425,945,0.004723,3.6557),(425,955,0.004785,3.6554),(425,965,0.004848,3.6552),(425,975,0.004911,3.655),(425,985,0.004974,3.6547),(425,995,0.005038,3.6545),(425,1005,0.005102,3.6543),(425,1015,0.005166,3.654),(425,1025,0.005231,3.6538),(425,1035,0.005297,3.6535),(425,1045,0.005362,3.6533),(425,1055,0.005428,3.653),(425,1065,0.005495,3.6528),(425,1075,0.005561,3.6525),(425,1085,0.005628,3.6522),(425,1095,0.005696,3.652),(425,1105,0.005765,3.6517),(425,1115,0.005833,3.6514),(425,1125,0.005902,3.6511),(425,1135,0.005971,3.6508),(425,1145,0.006042,3.6506),(425,1155,0.006112,3.6503),(425,1165,0.006182,3.65),(425,1175,0.006253,3.6497),(425,1185,0.006325,3.6494),(425,1195,0.006397,3.6491),(425,1205,0.006469,3.6488),(425,1215,0.006542,3.6485),(425,1225,0.006616,3.6482),(425,1235,0.006689,3.6478),(425,1245,0.006763,3.6475),(425,1255,0.006837,3.6472),(425,1265,0.006913,3.6469),(425,1275,0.006988,3.6465),(425,1285,0.007063,3.6462),(425,1295,0.00714,3.6459),(425,1305,0.007217,3.6455),(425,1315,0.007294,3.6452),(425,1325,0.007371,3.6448),(425,1335,0.00745,3.6445),(425,1345,0.007528,3.6441),(425,1355,0.007607,3.6438),(425,1365,0.007686,3.6434),(425,1375,0.007766,3.643),(425,1385,0.007847,3.6427),(425,1395,0.007928,3.6423),(425,1405,0.008008,3.6419),(425,1415,0.00809,3.6415),(425,1425,0.008173,3.6411),(425,1435,0.008255,3.6407),(425,1445,0.008338,3.6403),(425,1455,0.008422,3.6399),(425,1465,0.008507,3.6395),(425,1475,0.008591,3.6391),(425,1485,0.008675,3.6387),(425,1495,0.008761,3.6383),(425,1505,0.008848,3.6379),(425,1515,0.008934,3.6375),(425,1525,0.00902,3.637),(425,1535,0.009108,3.6366),(425,1545,0.009196,3.6362),(425,1555,0.009284,3.6357),(425,1565,0.009372,3.6353),(425,1575,0.009462,3.6348),(425,1585,0.009551,3.6344),(425,1595,0.009641,3.6339),(425,1605,0.009731,3.6335),(425,1615,0.009823,3.633),(425,1625,0.009914,3.6325),(425,1635,0.010006,3.632),(425,1645,0.010098,3.6316),(425,1655,0.010192,3.6311),(425,1665,0.010285,3.6306),(425,1675,0.010379,3.6301),(425,1685,0.010473,3.6296),(425,1695,0.010568,3.6291),(425,1705,0.010663,3.6286),(425,1715,0.010759,3.6281),(425,1725,0.010854,3.6276),(425,1735,0.010952,3.627),(425,1745,0.011049,3.6265),(425,1755,0.011146,3.626),(425,1765,0.011243,3.6254),(425,1775,0.011342,3.6249),(425,1785,0.011441,3.6244),(425,1795,0.01154,3.6238),(425,1805,0.01164,3.6233),(425,1815,0.01174,3.6227),(425,1825,0.011841,3.6221),(425,1835,0.011942,3.6216),(425,1845,0.012043,3.621),(425,1855,0.012146,3.6204),(425,1865,0.012248,3.6198),(425,1875,0.012351,3.6192),(425,1885,0.012454,3.6186),(425,1895,0.012558,3.6181),(425,1905,0.012663,3.6174),(425,1915,0.012767,3.6168),(425,1925,0.012872,3.6162),(425,1935,0.012978,3.6156),(425,1945,0.013084,3.615),(425,1955,0.013191,3.6144),(425,1965,0.013298,3.6137),(425,1975,0.013405,3.6131),(425,1985,0.013513,3.6124),(425,1995,0.013621,3.6118),(425,2005,0.01373,3.6111),(425,2015,0.013839,3.6105),(425,2025,0.013949,3.6098),(425,2035,0.014059,3.6091),(425,2045,0.014169,3.6085),(425,2055,0.014281,3.6078),(425,2065,0.014392,3.6071),(425,2075,0.014503,3.6064),(425,2085,0.014616,3.6057),(425,2095,0.014729,3.605),(425,2105,0.014842,3.6043),(425,2115,0.014955,3.6036),(425,2125,0.015069,3.6029),(425,2135,0.015184,3.6022),(425,2145,0.015299,3.6014),(425,2155,0.015414,3.6007),(425,2165,0.01553,3.5999),(425,2175,0.015647,3.5992),(425,2185,0.015764,3.5985),(425,2195,0.015881,3.5977),(425,2205,0.015999,3.5969),(425,2215,0.016118,3.5962),(425,2225,0.016236,3.5954),(425,2235,0.016355,3.5946),(425,2245,0.016475,3.5938),(425,2255,0.016596,3.593),(425,2265,0.016717,3.5922),(425,2275,0.016838,3.5914),(425,2285,0.01696,3.5906),(425,2295,0.017083,3.5898),(425,2305,0.017206,3.589),(425,2315,0.017329,3.5882),(425,2325,0.017454,3.5874),(425,2335,0.017579,3.5865),(425,2345,0.017704,3.5857),(425,2355,0.01783,3.5848),(425,2365,0.017957,3.584),(425,2375,0.018085,3.5831),(425,2385,0.018213,3.5823),(425,2395,0.018341,3.5814),(425,2405,0.018471,3.5805),(425,2415,0.018602,3.5797),(425,2425,0.018732,3.5788),(425,2435,0.018863,3.5779),(425,2445,0.018997,3.577),(425,2455,0.01913,3.5761),(425,2465,0.019264,3.5752),(425,2475,0.019397,3.5743),(425,2485,0.019535,3.5733),(425,2495,0.019672,3.5724),(425,2505,0.019809,3.5715),(425,2515,0.019946,3.5706),(425,2525,0.020087,3.5696),(425,2535,0.020228,3.5687),(425,2545,0.020369,3.5677),(425,2555,0.020511,3.5668),(425,2565,0.020657,3.5658),(425,2575,0.020802,3.5648),(425,2585,0.020948,3.5638),(425,2595,0.021095,3.5629),(425,2605,0.021245,3.5619),(425,2615,0.021396,3.5609),(425,2625,0.021547,3.5599),(425,2635,0.021699,3.5589),(425,2645,0.021856,3.5579),(425,2655,0.022013,3.5569),(425,2665,0.022169,3.5558),(425,2675,0.022327,3.5548),(425,2685,0.022491,3.5538),(425,2695,0.022655,3.5527),(425,2705,0.022819,3.5517),(425,2715,0.022985,3.5506),(425,2725,0.023157,3.5496),(425,2735,0.023329,3.5485),(425,2745,0.023501,3.5474),(425,2755,0.023675,3.5464),(425,2765,0.023857,3.5453),(425,2775,0.024039,3.5442),(425,2785,0.024221,3.5431),(425,2795,0.024406,3.542),(425,2805,0.024599,3.5409),(425,2815,0.024792,3.5398),(425,2825,0.024985,3.5387),(425,2835,0.025182,3.5376),(425,2845,0.025388,3.5364),(425,2855,0.025594,3.5353),(425,2865,0.0258,3.5342),(425,2875,0.026012,3.533),(425,2885,0.026234,3.5319),(425,2895,0.026455,3.5307),(425,2905,0.026677,3.5296),(425,2915,0.026906,3.5284),(425,2925,0.027145,3.5272),(425,2935,0.027385,3.5261),(425,2945,0.027624,3.5249),(425,2955,0.027874,3.5237),(425,2965,0.028135,3.5225),(425,2975,0.028396,3.5213),(425,2985,0.028657,3.5201),(425,2995,0.02893,3.5189),(425,3005,0.029216,3.5177),(425,3015,0.029502,3.5165),(425,3025,0.029788,3.5152),(425,3035,0.03009,3.514),(425,3045,0.030406,3.5128),(425,3055,0.030721,3.5115),(425,3065,0.031037,3.5103),(425,3075,0.031372,3.509),(425,3085,0.031722,3.5078),(425,3095,0.032072,3.5065),(425,3105,0.032422,3.5053),(425,3115,0.032797,3.504),(425,3125,0.033187,3.5027),(425,3135,0.033578,3.5014),(425,3145,0.033969,3.5002),(425,3155,0.03439,3.4989),(425,3165,0.034829,3.4976),(425,3175,0.035267,3.4963),(425,3185,0.035705,3.495),(425,3195,0.036182,3.4937),(425,3205,0.036676,3.4924),(425,3215,0.037171,3.4911),(425,3225,0.037665,3.4898),(425,3235,0.038207,3.4884),(425,3245,0.038767,3.4871),(425,3255,0.039327,3.4858),(425,3265,0.039887,3.4845),(425,3275,0.040506,3.4832),(425,3285,0.041143,3.4818),(425,3295,0.04178,3.4805),(425,3305,0.042417,3.4792),(425,3315,0.043127,3.4779),(425,3325,0.043854,3.4765),(425,3335,0.044581,3.4752),(425,3345,0.045308,3.4739),(425,3355,0.046125,3.4726),(425,3365,0.046958,3.4712),(425,3375,0.047791,3.4699),(425,3385,0.048624,3.4686),(425,3395,0.049566,3.4673),(425,3405,0.050522,3.466),(425,3415,0.051479,3.4647),(425,3425,0.052435,3.4634),(425,3435,0.053524,3.4621),(425,3445,0.054624,3.4609),(425,3455,0.055725,3.4596),(425,3465,0.056825,3.4584),(425,3475,0.058086,3.4571),(425,3485,0.059353,3.4559),(425,3495,0.060619,3.4547),(425,3505,0.061887,3.4536),(425,3515,0.063346,3.4524),(425,3525,0.064805,3.4512),(425,3535,0.066264,3.4502),(425,3545,0.067733,3.4491),(425,3555,0.069413,3.4481),(425,3565,0.071092,3.447),(425,3575,0.072771,3.4461),(425,3585,0.074472,3.4452),(425,3595,0.0764,3.4443),(425,3605,0.078328,3.4434),(425,3615,0.080257,3.4427),(425,3625,0.082219,3.442),(425,3635,0.084423,3.4413),(425,3645,0.086627,3.4406),(425,3655,0.088832,3.4402),(425,3665,0.091084,3.4398),(425,3675,0.093583,3.4394),(425,3685,0.096083,3.4391),(425,3695,0.098582,3.4391),(425,3705,0.10114,3.4391),(425,3715,0.10394,3.4391),(425,3725,0.10674,3.4393),(425,3735,0.10954,3.4398),(425,3745,0.1124,3.4404),(425,3755,0.11546,3.441),(425,3765,0.11853,3.4417),(425,3775,0.1216,3.443),(425,3785,0.12471,3.4444),(425,3795,0.12795,3.4457),(425,3805,0.13118,3.4473),(425,3815,0.13442,3.4496),(425,3825,0.13764,3.4519),(425,3835,0.14084,3.4542),(425,3845,0.14404,3.4569),(425,3855,0.14724,3.4604),(425,3865,0.15028,3.4638),(425,3875,0.15305,3.4673),(425,3885,0.15582,3.4713),(425,3895,0.15859,3.4761),(425,3905,0.18939,3.4809),(425,3915,0.26203,3.4857),(425,3925,0.33468,3.4929),(425,3935,0.40732,3.5032),(425,3945,0.45905,3.5136),(425,3955,0.48421,3.5239),(425,3965,0.50937,3.5324),(425,3975,0.53454,3.5386),(425,3985,0.52889,3.5448),(425,3995,0.48989,3.551),(425,4005,0.45089,3.5548),(425,4015,0.41189,3.5562),(425,4025,0.38042,3.5576),(425,4035,0.34969,3.5583),(425,4045,0.31896,3.5574),(425,4055,0.29293,3.5564),(425,4065,0.26861,3.5552),(425,4075,0.24429,3.5523),(425,4085,0.22308,3.5493),(425,4095,0.20435,3.5464),(425,4105,0.18562,3.5414),(425,4115,0.16393,3.5364),(425,4125,0.13735,3.5313),(425,4135,0.11076,3.5267),(425,4145,0.088914,3.5223),(425,4155,0.086278,3.5178),(425,4165,0.083642,3.5185),(425,4175,0.081485,3.5224),(425,4185,0.10304,3.5263),(425,4195,0.1246,3.5283),(425,4205,0.14616,3.5276),(425,4215,0.13107,3.527),(425,4225,0.10907,3.5248),(425,4235,0.087072,3.5179),(425,4245,0.071164,3.511),(425,4255,0.058347,3.5041),(425,4265,0.04553,3.4974),(425,4275,0.03567,3.4906),(425,4285,0.028949,3.4839),(425,4295,0.022228,3.4824),(425,4305,0.043829,3.4815),(425,4315,0.12938,3.4807),(425,4325,0.21493,3.4937),(425,4335,0.28746,3.5122),(425,4345,0.27185,3.5308),(425,4355,0.25623,3.5434),(425,4365,0.24062,3.551),(425,4375,0.21397,3.5585),(425,4385,0.18675,3.5604),(425,4395,0.15953,3.5523),(425,4405,0.12383,3.5441),(425,4415,0.085635,3.5354),(425,4425,0.047437,3.524),(425,4435,0.056451,3.5127),(425,4445,0.09773,3.5015),(425,4455,0.13901,3.513),(425,4465,0.17821,3.5245),(425,4475,0.21451,3.536),(425,4485,0.2508,3.5431),(425,4495,0.26951,3.5492),(425,4505,0.2318,3.5553),(425,4515,0.19409,3.5493),(425,4525,0.15649,3.5367),(425,4535,0.12069,3.5241),(425,4545,0.084884,3.5053),(425,4555,0.049079,3.4795),(425,4565,0.037385,3.4537),(425,4575,0.028942,3.4361),(425,4585,0.020499,3.4387),(425,4595,0.037746,3.4413),(425,4605,0.065847,3.445),(425,4615,0.093948,3.4571),(425,4625,0.10288,3.4693),(425,4635,0.094448,3.4814),(425,4645,0.086018,3.483),(425,4655,0.066051,3.484),(425,4665,0.024331,3.4849),(425,4675,-0.01739,3.4626),(425,4685,-0.052265,3.4329),(425,4695,-0.053312,3.4032),(425,4705,-0.054359,3.3797),(425,4715,-0.055407,3.3606),(425,4725,0.024499,3.3416),(425,4735,0.10522,3.3367),(425,4745,0.18593,3.3527),(425,4755,0.19445,3.3688),(425,4765,0.18623,3.3811),(425,4775,0.17801,3.3802),(425,4785,0.1457,3.3792),(425,4795,0.099452,3.377),(425,4805,0.053208,3.3482),(425,4815,0.014356,3.3193),(425,4825,-0.01566,3.2905),(425,4835,-0.045675,3.2545),(425,4845,-0.048289,3.2174),(425,4855,0.020529,3.1803),(425,4865,0.089347,3.178),(425,4875,0.15937,3.1915),(425,4885,0.24033,3.2049),(425,4895,0.32129,3.2197),(425,4905,0.40225,3.2357),(425,4915,0.34743,3.2517),(425,4925,0.28093,3.2579),(425,4935,0.21443,3.2442),(425,4945,0.15759,3.2305),(425,4955,0.10409,3.215),(425,4965,0.050596,3.1892),(425,4975,0.022129,3.1635),(425,4985,0.012984,3.1377),(425,4995,0.003839,3.1351),(425,5005,0.002699,3.133),(425,5015,0.014286,3.131),(425,5025,0.025874,3.1353),(425,5035,0.027233,3.1412),(425,5045,-0.010376,3.1471),(425,5055,-0.047984,3.138),(425,5065,-0.085813,3.1198),(425,5075,-0.13082,3.1015),(425,5085,-0.17584,3.0698),(425,5095,-0.22085,3.0211),(425,5105,-0.21404,2.9723),(425,5115,-0.19818,2.9253),(425,5125,-0.18233,2.8832),(425,5135,-0.092348,2.841),(425,5145,0.033614,2.8036),(425,5155,0.15958,2.8169),(425,5165,0.26206,2.8303),(425,5175,0.3406,2.8437),(425,5185,0.41914,2.8487),(425,5195,0.46298,2.8528),(425,5205,0.43199,2.8569),(425,5215,0.40101,2.8399),(425,5225,0.3696,2.815),(425,5235,0.33548,2.79),(425,5245,0.30136,2.753),(425,5255,0.26724,2.7061),(425,5265,0.18578,2.6592),(425,5275,0.10236,2.6298),(425,5285,0.018951,2.63),(425,5295,0.026095,2.6302),(425,5305,0.058457,2.6322),(425,5315,0.09082,2.6417),(425,5325,0.10308,2.6512),(425,5335,0.10217,2.6603),(425,5345,0.10125,2.6469),(425,5355,0.094577,2.6335),(425,5365,0.080132,2.6202),(425,5375,0.065686,2.5781),(425,5385,0.051734,2.5304),(425,5395,0.039284,2.4827),(425,5405,0.026833,2.454),(425,5415,0.026893,2.4351),(425,5425,0.19502,2.4161),(425,5435,0.36314,2.4149),(425,5445,0.53126,2.4328),(425,5455,0.60566,2.4507),(425,5465,0.6686,2.4676),(425,5475,0.73154,2.4825),(425,5485,0.72396,2.4974),(425,5495,0.68798,2.5109),(425,5505,0.65201,2.515),(425,5515,0.61999,2.5191),(425,5525,0.59143,2.5232),(425,5535,0.56287,2.5206),(425,5545,0.53671,2.5176),(425,5555,0.51488,2.5146),(425,5565,0.49306,2.5081),(425,5575,0.47226,2.5005),(425,5585,0.45622,2.4929),(425,5595,0.44018,2.4833),(425,5605,0.42414,2.4723),(425,5615,0.41291,2.4613),(425,5625,0.40168,2.4492),(425,5635,0.39046,2.4354),(425,5645,0.38243,2.4216),(425,5655,0.3751,2.4072),(425,5665,0.36777,2.3909),(425,5675,0.36242,2.3746),(425,5685,0.35818,2.3582),(425,5695,0.35393,2.3396),(425,5705,0.35077,2.3209),(425,5715,0.34885,2.3022),(425,5725,0.34692,2.2811),(425,5735,0.3455,2.2597),(425,5745,0.34532,2.2383),(425,5755,0.34514,2.2147),(425,5765,0.34508,2.1902),(425,5775,0.34595,2.1656),(425,5785,0.34683,2.1393),(425,5795,0.3477,2.1114),(425,5805,0.34923,2.0834),(425,5815,0.35082,2.054),(425,5825,0.3524,2.0217),(425,5835,0.35429,1.9895),(425,5845,0.35629,1.9565),(425,5855,0.35828,1.9196),(425,5865,0.36065,1.8827),(425,5875,0.36331,1.8459),(425,5885,0.36597,1.8029),(425,5895,0.369,1.7599),(425,5905,0.37259,1.7168),(425,5915,0.37619,1.6687),(425,5925,0.38024,1.6193),(425,5935,0.38591,1.5699),(425,5945,0.39158,1.5163),(425,5955,0.39738,1.4603),(425,5965,0.40611,1.4043),(425,5975,0.41485,1.3453),(425,5985,0.42359,1.2826),(425,5995,0.32533,1.22),(425,6005,0.20985,1.1722),(425,6015,0.094378,1.164),(425,6025,0.12048,1.1557),(425,6035,0.21225,1.1474),(425,6045,0.30403,1.139),(425,6055,0.3673,1.1306),(425,6065,0.40263,1.1222),(425,6075,0.43796,1.1093),(425,6085,0.46109,1.096),(425,6095,0.45907,1.0826),(425,6105,0.45705,1.0683),(425,6115,0.45494,1.0537),(425,6125,0.45225,1.039),(425,6135,0.44957,1.0235),(425,6145,0.44689,1.0072),(425,6155,0.44407,0.99092),(425,6165,0.44124,0.97397),(425,6175,0.43841,0.95593),(425,6185,0.43567,0.93789),(425,6195,0.43296,0.91964),(425,6205,0.43024,0.90059),(425,6215,0.4277,0.88155),(425,6225,0.42526,0.86247),(425,6235,0.42282,0.84242),(425,6245,0.4205,0.82237),(425,6255,0.41835,0.80231),(425,6265,0.41619,0.78164),(425,6275,0.4141,0.76085),(425,6285,0.41218,0.74007),(425,6295,0.41026,0.71891),(425,6305,0.40837,0.69757),(425,6315,0.40676,0.67622),(425,6325,0.40515,0.65458),(425,6335,0.40354,0.63261),(425,6345,0.40217,0.61065),(425,6355,0.40083,0.58858),(425,6365,0.39948,0.56628),(425,6375,0.39829,0.54397),(425,6385,0.39716,0.52161),(425,6395,0.39603,0.49893),(425,6405,0.39504,0.47625),(425,6415,0.39415,0.45357),(425,6425,0.39326,0.43068),(425,6435,0.39242,0.40778),(425,6445,0.39165,0.38488),(425,6455,0.39088,0.36176),(425,6465,0.39015,0.33857),(425,6475,0.38959,0.31538),(425,6485,0.38903,0.29227),(425,6495,0.38847,0.26923),(425,6505,0.38805,0.24619),(425,6515,0.38764,0.22298),(425,6525,0.38723,0.19954),(425,6535,0.38688,0.17609),(425,6545,0.38654,0.15266),(425,6555,0.3862,0.12925),(425,6565,0.38595,0.10583),(425,6575,0.38574,0.082421),(425,6585,0.38554,0.059016),(425,6595,0.32781,0.035612),(425,6605,0.20657,0.012208),(425,6615,0.085329,0.009517),(425,6625,9.8e-05,0.009488),(425,6635,0.0001,0.009458),(425,6645,0.000101,0.009446),(425,6655,0.000102,0.009439),(425,6665,0.000103,0.009433),(425,6675,0.000105,0.009427),(425,6685,0.000106,0.009421),(425,6695,0.000107,0.009415),(425,6705,0.000108,0.009409),(425,6715,0.000109,0.009402),(425,6725,0.000111,0.009396),(425,6735,0.000112,0.00939),(425,6745,0.000113,0.009384),(425,6755,0.000114,0.009378),(425,6765,0.000115,0.009372),(425,6775,0.000116,0.009366),(425,6785,0.000117,0.009359),(425,6795,0.000118,0.009353),(425,6805,0.000119,0.009347),(425,6815,0.00012,0.00934),(425,6825,0.000121,0.009334),(425,6835,0.000122,0.009328),(425,6845,0.000123,0.009322),(425,6855,0.000123,0.009315),(425,6865,0.000124,0.009309),(425,6875,0.000125,0.009303),(425,6885,0.000126,0.009296),(425,6895,0.000127,0.00929),(425,6905,0.000128,0.009283),(425,6915,0.000129,0.009277),(425,6925,0.000129,0.00927),(425,6935,0.00013,0.009264),(425,6945,0.000131,0.009257),(425,6955,0.000132,0.00925),(425,6965,0.000133,0.009244),(425,6975,0.000133,0.009237),(425,6985,0.000134,0.00923),(435,5,2.2e-05,3.6656),(435,15,6.7e-05,3.6656),(435,25,0.000112,3.6656),(435,35,0.000157,3.6656),(435,45,0.000201,3.6656),(435,55,0.000246,3.6656),(435,65,0.000291,3.6656),(435,75,0.000336,3.6656),(435,85,0.000381,3.6656),(435,95,0.000426,3.6655),(435,105,0.000471,3.6655),(435,115,0.000516,3.6655),(435,125,0.000561,3.6655),(435,135,0.000606,3.6655),(435,145,0.000651,3.6654),(435,155,0.000696,3.6654),(435,165,0.000742,3.6654),(435,175,0.000787,3.6653),(435,185,0.000832,3.6653),(435,195,0.000878,3.6653),(435,205,0.000924,3.6652),(435,215,0.000969,3.6652),(435,225,0.001015,3.6651),(435,235,0.001061,3.6651),(435,245,0.001107,3.665),(435,255,0.001153,3.665),(435,265,0.0012,3.6649),(435,275,0.001246,3.6649),(435,285,0.001293,3.6648),(435,295,0.00134,3.6647),(435,305,0.001387,3.6647),(435,315,0.001434,3.6646),(435,325,0.001481,3.6645),(435,335,0.001528,3.6645),(435,345,0.001575,3.6644),(435,355,0.001623,3.6643),(435,365,0.00167,3.6642),(435,375,0.001718,3.6642),(435,385,0.001766,3.6641),(435,395,0.001814,3.664),(435,405,0.001862,3.6639),(435,415,0.00191,3.6638),(435,425,0.001959,3.6637),(435,435,0.002008,3.6637),(435,445,0.002057,3.6636),(435,455,0.002106,3.6635),(435,465,0.002155,3.6634),(435,475,0.002205,3.6633),(435,485,0.002255,3.6632),(435,495,0.002304,3.6631),(435,505,0.002355,3.6629),(435,515,0.002405,3.6628),(435,525,0.002456,3.6627),(435,535,0.002506,3.6626),(435,545,0.002557,3.6625),(435,555,0.002609,3.6624),(435,565,0.00266,3.6623),(435,575,0.002711,3.6621),(435,585,0.002764,3.662),(435,595,0.002816,3.6619),(435,605,0.002868,3.6617),(435,615,0.002921,3.6616),(435,625,0.002974,3.6615),(435,635,0.003027,3.6613),(435,645,0.003081,3.6612),(435,655,0.003134,3.661),(435,665,0.003189,3.6609),(435,675,0.003243,3.6608),(435,685,0.003298,3.6606),(435,695,0.003352,3.6604),(435,705,0.003408,3.6603),(435,715,0.003464,3.6601),(435,725,0.003519,3.66),(435,735,0.003575,3.6598),(435,745,0.003632,3.6596),(435,755,0.003689,3.6595),(435,765,0.003746,3.6593),(435,775,0.003803,3.6591),(435,785,0.003861,3.6589),(435,795,0.003919,3.6588),(435,805,0.003977,3.6586),(435,815,0.004036,3.6584),(435,825,0.004095,3.6582),(435,835,0.004155,3.658),(435,845,0.004214,3.6578),(435,855,0.004274,3.6576),(435,865,0.004335,3.6574),(435,875,0.004395,3.6572),(435,885,0.004456,3.657),(435,895,0.004517,3.6568),(435,905,0.00458,3.6566),(435,915,0.004642,3.6564),(435,925,0.004704,3.6562),(435,935,0.004767,3.6559),(435,945,0.004831,3.6557),(435,955,0.004895,3.6555),(435,965,0.004958,3.6553),(435,975,0.005023,3.655),(435,985,0.005088,3.6548),(435,995,0.005153,3.6546),(435,1005,0.005218,3.6543),(435,1015,0.005284,3.6541),(435,1025,0.005351,3.6538),(435,1035,0.005417,3.6536),(435,1045,0.005484,3.6533),(435,1055,0.005552,3.6531),(435,1065,0.00562,3.6528),(435,1075,0.005688,3.6526),(435,1085,0.005757,3.6523),(435,1095,0.005826,3.652),(435,1105,0.005896,3.6518),(435,1115,0.005966,3.6515),(435,1125,0.006036,3.6512),(435,1135,0.006108,3.6509),(435,1145,0.00618,3.6506),(435,1155,0.006251,3.6503),(435,1165,0.006323,3.6501),(435,1175,0.006396,3.6498),(435,1185,0.00647,3.6495),(435,1195,0.006543,3.6492),(435,1205,0.006617,3.6489),(435,1215,0.006692,3.6485),(435,1225,0.006767,3.6482),(435,1235,0.006842,3.6479),(435,1245,0.006918,3.6476),(435,1255,0.006994,3.6473),(435,1265,0.007071,3.6469),(435,1275,0.007148,3.6466),(435,1285,0.007225,3.6463),(435,1295,0.007304,3.6459),(435,1305,0.007382,3.6456),(435,1315,0.007461,3.6453),(435,1325,0.00754,3.6449),(435,1335,0.00762,3.6446),(435,1345,0.007701,3.6442),(435,1355,0.007782,3.6438),(435,1365,0.007862,3.6435),(435,1375,0.007945,3.6431),(435,1385,0.008027,3.6427),(435,1395,0.00811,3.6424),(435,1405,0.008192,3.642),(435,1415,0.008276,3.6416),(435,1425,0.008361,3.6412),(435,1435,0.008445,3.6408),(435,1445,0.008529,3.6404),(435,1455,0.008616,3.64),(435,1465,0.008702,3.6396),(435,1475,0.008788,3.6392),(435,1485,0.008875,3.6388),(435,1495,0.008963,3.6384),(435,1505,0.009051,3.638),(435,1515,0.009139,3.6375),(435,1525,0.009227,3.6371),(435,1535,0.009317,3.6367),(435,1545,0.009408,3.6363),(435,1555,0.009498,3.6358),(435,1565,0.009588,3.6354),(435,1575,0.00968,3.6349),(435,1585,0.009772,3.6345),(435,1595,0.009863,3.634),(435,1605,0.009956,3.6335),(435,1615,0.010049,3.6331),(435,1625,0.010143,3.6326),(435,1635,0.010237,3.6321),(435,1645,0.010331,3.6317),(435,1655,0.010427,3.6312),(435,1665,0.010522,3.6307),(435,1675,0.010618,3.6302),(435,1685,0.010714,3.6297),(435,1695,0.010812,3.6292),(435,1705,0.010909,3.6287),(435,1715,0.011007,3.6282),(435,1725,0.011105,3.6277),(435,1735,0.011205,3.6271),(435,1745,0.011304,3.6266),(435,1755,0.011403,3.6261),(435,1765,0.011503,3.6255),(435,1775,0.011605,3.625),(435,1785,0.011706,3.6245),(435,1795,0.011807,3.6239),(435,1805,0.011909,3.6234),(435,1815,0.012012,3.6228),(435,1825,0.012115,3.6222),(435,1835,0.012218,3.6217),(435,1845,0.012322,3.6211),(435,1855,0.012427,3.6205),(435,1865,0.012532,3.6199),(435,1875,0.012637,3.6193),(435,1885,0.012742,3.6188),(435,1895,0.012849,3.6182),(435,1905,0.012956,3.6176),(435,1915,0.013063,3.6169),(435,1925,0.01317,3.6163),(435,1935,0.013279,3.6157),(435,1945,0.013387,3.6151),(435,1955,0.013496,3.6145),(435,1965,0.013605,3.6138),(435,1975,0.013716,3.6132),(435,1985,0.013826,3.6126),(435,1995,0.013937,3.6119),(435,2005,0.014048,3.6112),(435,2015,0.01416,3.6106),(435,2025,0.014272,3.6099),(435,2035,0.014384,3.6093),(435,2045,0.014498,3.6086),(435,2055,0.014612,3.6079),(435,2065,0.014725,3.6072),(435,2075,0.014839,3.6065),(435,2085,0.014954,3.6058),(435,2095,0.01507,3.6051),(435,2105,0.015186,3.6044),(435,2115,0.015302,3.6037),(435,2125,0.015419,3.603),(435,2135,0.015536,3.6023),(435,2145,0.015654,3.6015),(435,2155,0.015771,3.6008),(435,2165,0.01589,3.6001),(435,2175,0.01601,3.5993),(435,2185,0.016129,3.5986),(435,2195,0.016249,3.5978),(435,2205,0.016369,3.5971),(435,2215,0.016491,3.5963),(435,2225,0.016612,3.5955),(435,2235,0.016734,3.5947),(435,2245,0.016857,3.594),(435,2255,0.01698,3.5932),(435,2265,0.017103,3.5924),(435,2275,0.017227,3.5916),(435,2285,0.017352,3.5908),(435,2295,0.017478,3.59),(435,2305,0.017603,3.5891),(435,2315,0.017729,3.5883),(435,2325,0.017856,3.5875),(435,2335,0.017985,3.5867),(435,2345,0.018113,3.5858),(435,2355,0.018241,3.585),(435,2365,0.018371,3.5841),(435,2375,0.018502,3.5833),(435,2385,0.018632,3.5824),(435,2395,0.018763,3.5815),(435,2405,0.018896,3.5807),(435,2415,0.019029,3.5798),(435,2425,0.019163,3.5789),(435,2435,0.019296,3.578),(435,2445,0.019432,3.5771),(435,2455,0.019569,3.5762),(435,2465,0.019705,3.5753),(435,2475,0.019842,3.5744),(435,2485,0.019981,3.5735),(435,2495,0.020121,3.5726),(435,2505,0.020261,3.5716),(435,2515,0.020401,3.5707),(435,2525,0.020545,3.5698),(435,2535,0.020689,3.5688),(435,2545,0.020833,3.5679),(435,2555,0.020977,3.5669),(435,2565,0.021125,3.5659),(435,2575,0.021274,3.565),(435,2585,0.021422,3.564),(435,2595,0.021572,3.563),(435,2605,0.021725,3.562),(435,2615,0.021879,3.561),(435,2625,0.022032,3.56),(435,2635,0.022187,3.559),(435,2645,0.022346,3.558),(435,2655,0.022506,3.557),(435,2665,0.022666,3.556),(435,2675,0.022826,3.555),(435,2685,0.022993,3.5539),(435,2695,0.023159,3.5529),(435,2705,0.023326,3.5518),(435,2715,0.023494,3.5508),(435,2725,0.023669,3.5497),(435,2735,0.023844,3.5487),(435,2745,0.024018,3.5476),(435,2755,0.024195,3.5465),(435,2765,0.02438,3.5455),(435,2775,0.024564,3.5444),(435,2785,0.024748,3.5433),(435,2795,0.024936,3.5422),(435,2805,0.025132,3.5411),(435,2815,0.025327,3.54),(435,2825,0.025523,3.5389),(435,2835,0.025723,3.5378),(435,2845,0.025931,3.5367),(435,2855,0.02614,3.5355),(435,2865,0.026349,3.5344),(435,2875,0.026563,3.5333),(435,2885,0.026787,3.5321),(435,2895,0.027011,3.531),(435,2905,0.027235,3.5298),(435,2915,0.027466,3.5286),(435,2925,0.027708,3.5275),(435,2935,0.02795,3.5263),(435,2945,0.028192,3.5251),(435,2955,0.028443,3.524),(435,2965,0.028707,3.5228),(435,2975,0.02897,3.5216),(435,2985,0.029233,3.5204),(435,2995,0.029508,3.5192),(435,3005,0.029796,3.518),(435,3015,0.030084,3.5168),(435,3025,0.030373,3.5155),(435,3035,0.030676,3.5143),(435,3045,0.030993,3.5131),(435,3055,0.03131,3.5119),(435,3065,0.031628,3.5106),(435,3075,0.031964,3.5094),(435,3085,0.032316,3.5081),(435,3095,0.032667,3.5069),(435,3105,0.033018,3.5056),(435,3115,0.033394,3.5044),(435,3125,0.033786,3.5031),(435,3135,0.034177,3.5018),(435,3145,0.034569,3.5006),(435,3155,0.034991,3.4993),(435,3165,0.035429,3.498),(435,3175,0.035868,3.4967),(435,3185,0.036306,3.4954),(435,3195,0.036783,3.4942),(435,3205,0.037276,3.4929),(435,3215,0.03777,3.4916),(435,3225,0.038263,3.4903),(435,3235,0.038804,3.489),(435,3245,0.039362,3.4877),(435,3255,0.03992,3.4864),(435,3265,0.040478,3.4851),(435,3275,0.041094,3.4838),(435,3285,0.041728,3.4825),(435,3295,0.042362,3.4812),(435,3305,0.042995,3.4799),(435,3315,0.0437,3.4785),(435,3325,0.044422,3.4772),(435,3335,0.045144,3.4759),(435,3345,0.045865,3.4746),(435,3355,0.046674,3.4734),(435,3365,0.047499,3.4721),(435,3375,0.048324,3.4708),(435,3385,0.049148,3.4695),(435,3395,0.050079,3.4682),(435,3405,0.051024,3.4669),(435,3415,0.051968,3.4657),(435,3425,0.052913,3.4644),(435,3435,0.053986,3.4632),(435,3445,0.055069,3.4619),(435,3455,0.056153,3.4607),(435,3465,0.057236,3.4595),(435,3475,0.058474,3.4583),(435,3485,0.059718,3.4571),(435,3495,0.060962,3.456),(435,3505,0.062206,3.4549),(435,3515,0.063633,3.4538),(435,3525,0.06506,3.4527),(435,3535,0.066487,3.4516),(435,3545,0.067923,3.4506),(435,3555,0.069559,3.4496),(435,3565,0.071194,3.4486),(435,3575,0.07283,3.4478),(435,3585,0.074484,3.4469),(435,3595,0.076353,3.4461),(435,3605,0.078221,3.4452),(435,3615,0.08009,3.4446),(435,3625,0.08199,3.444),(435,3635,0.084112,3.4433),(435,3645,0.086235,3.4427),(435,3655,0.088358,3.4424),(435,3665,0.090524,3.442),(435,3675,0.092913,3.4417),(435,3685,0.095302,3.4414),(435,3695,0.097691,3.4415),(435,3705,0.10013,3.4416),(435,3715,0.10278,3.4417),(435,3725,0.10543,3.4419),(435,3735,0.10808,3.4425),(435,3745,0.11078,3.4431),(435,3755,0.11365,3.4437),(435,3765,0.11652,3.4445),(435,3775,0.11939,3.4459),(435,3785,0.12229,3.4472),(435,3795,0.12527,3.4485),(435,3805,0.12825,3.4501),(435,3815,0.13123,3.4524),(435,3825,0.13418,3.4547),(435,3835,0.13707,3.4569),(435,3845,0.13995,3.4596),(435,3855,0.14284,3.4629),(435,3865,0.14556,3.4663),(435,3875,0.14799,3.4697),(435,3885,0.15042,3.4735),(435,3895,0.15285,3.4781),(435,3905,0.18268,3.4826),(435,3915,0.25343,3.4872),(435,3925,0.32419,3.4941),(435,3935,0.39494,3.5041),(435,3945,0.44593,3.5141),(435,3955,0.47182,3.5241),(435,3965,0.49772,3.5323),(435,3975,0.52362,3.5384),(435,3985,0.51906,3.5446),(435,3995,0.48154,3.5507),(435,4005,0.44403,3.5545),(435,4015,0.40651,3.5559),(435,4025,0.37596,3.5573),(435,4035,0.34609,3.558),(435,4045,0.31621,3.557),(435,4055,0.29096,3.5561),(435,4065,0.2674,3.5549),(435,4075,0.24383,3.552),(435,4085,0.22337,3.5491),(435,4095,0.20541,3.5462),(435,4105,0.18744,3.5416),(435,4115,0.16629,3.5368),(435,4125,0.13984,3.532),(435,4135,0.1134,3.5278),(435,4145,0.091185,3.5237),(435,4155,0.086087,3.5195),(435,4165,0.080988,3.52),(435,4175,0.076437,3.5233),(435,4185,0.099033,3.5267),(435,4195,0.12163,3.5283),(435,4205,0.14422,3.5274),(435,4215,0.13115,3.5266),(435,4225,0.11136,3.5243),(435,4235,0.091577,3.5178),(435,4245,0.076525,3.5113),(435,4255,0.063876,3.5049),(435,4265,0.051227,3.4987),(435,4275,0.040674,3.4926),(435,4285,0.032346,3.4864),(435,4295,0.024017,3.4852),(435,4305,0.042455,3.4844),(435,4315,0.12133,3.4837),(435,4325,0.20021,3.496),(435,4335,0.26736,3.5135),(435,4345,0.25511,3.5309),(435,4355,0.24286,3.5428),(435,4365,0.23062,3.5498),(435,4375,0.20887,3.5568),(435,4385,0.18664,3.5586),(435,4395,0.1644,3.551),(435,4405,0.13092,3.5435),(435,4415,0.094138,3.5354),(435,4425,0.057351,3.525),(435,4435,0.062571,3.5146),(435,4445,0.096497,3.5043),(435,4455,0.13042,3.5146),(435,4465,0.16581,3.5249),(435,4475,0.20327,3.5352),(435,4485,0.24072,3.5414),(435,4495,0.26171,3.5467),(435,4505,0.22989,3.552),(435,4515,0.19808,3.5461),(435,4525,0.16628,3.5341),(435,4535,0.13472,3.5221),(435,4545,0.10316,3.5043),(435,4555,0.071599,3.4799),(435,4565,0.053247,3.4555),(435,4575,0.036676,3.439),(435,4585,0.020105,3.4412),(435,4595,0.032532,3.4435),(435,4605,0.057211,3.4467),(435,4615,0.08189,3.4572),(435,4625,0.090833,3.4678),(435,4635,0.085524,3.4783),(435,4645,0.080215,3.4789),(435,4655,0.065528,3.4789),(435,4665,0.033157,3.4788),(435,4675,0.000786,3.4573),(435,4685,-0.026734,3.4289),(435,4695,-0.03028,3.4005),(435,4705,-0.033827,3.3784),(435,4715,-0.037373,3.3609),(435,4725,0.030862,3.3435),(435,4735,0.099816,3.3386),(435,4745,0.16877,3.3525),(435,4755,0.17888,3.3664),(435,4765,0.17535,3.3768),(435,4775,0.17181,3.3746),(435,4785,0.1467,3.3724),(435,4795,0.10912,3.3691),(435,4805,0.071534,3.3412),(435,4815,0.03886,3.3133),(435,4825,0.012059,3.2854),(435,4835,-0.014742,3.2515),(435,4845,-0.01927,3.2167),(435,4855,0.034266,3.1818),(435,4865,0.087802,3.1791),(435,4875,0.14383,3.191),(435,4885,0.22259,3.2028),(435,4895,0.30135,3.2156),(435,4905,0.3801,3.2293),(435,4915,0.33404,3.243),(435,4925,0.27725,3.2478),(435,4935,0.22045,3.2347),(435,4945,0.16947,3.2217),(435,4955,0.12051,3.207),(435,4965,0.071556,3.1836),(435,4975,0.041328,3.1601),(435,4985,0.02556,3.1367),(435,4995,0.009792,3.1343),(435,5005,0.002981,3.1325),(435,5015,0.010409,3.1307),(435,5025,0.017837,3.1334),(435,5035,0.017322,3.1372),(435,5045,-0.013457,3.1409),(435,5055,-0.044235,3.1305),(435,5065,-0.07516,3.1113),(435,5075,-0.11085,3.0921),(435,5085,-0.14655,3.0605),(435,5095,-0.18224,3.013),(435,5105,-0.17474,2.9655),(435,5115,-0.15971,2.92),(435,5125,-0.14468,2.88),(435,5135,-0.066502,2.8401),(435,5145,0.04232,2.8045),(435,5155,0.15114,2.8159),(435,5165,0.24541,2.8273),(435,5175,0.32484,2.8388),(435,5185,0.40426,2.8417),(435,5195,0.45153,2.8438),(435,5205,0.42947,2.8459),(435,5215,0.40741,2.8287),(435,5225,0.38468,2.8044),(435,5235,0.35771,2.78),(435,5245,0.33075,2.7449),(435,5255,0.30379,2.701),(435,5265,0.2114,2.657),(435,5275,0.11632,2.6295),(435,5285,0.021242,2.6297),(435,5295,0.022397,2.6299),(435,5305,0.050353,2.6314),(435,5315,0.078308,2.6383),(435,5325,0.092433,2.6451),(435,5335,0.097488,2.6517),(435,5345,0.10254,2.6373),(435,5355,0.10362,2.6228),(435,5365,0.099347,2.6083),(435,5375,0.095071,2.568),(435,5385,0.087136,2.5227),(435,5395,0.068083,2.4773),(435,5405,0.049029,2.4504),(435,5415,0.042117,2.433),(435,5425,0.1983,2.4156),(435,5435,0.35449,2.4145),(435,5445,0.51067,2.4313),(435,5455,0.58398,2.448),(435,5465,0.64716,2.4639),(435,5475,0.71034,2.4781),(435,5485,0.70521,2.4923),(435,5495,0.67257,2.5052),(435,5505,0.63994,2.5092),(435,5515,0.61063,2.5132),(435,5525,0.58423,2.5172),(435,5535,0.55783,2.5147),(435,5545,0.53354,2.5118),(435,5555,0.51307,2.509),(435,5565,0.49259,2.5026),(435,5575,0.47307,2.4952),(435,5585,0.4579,2.4878),(435,5595,0.44274,2.4783),(435,5605,0.42758,2.4674),(435,5615,0.41699,2.4566),(435,5625,0.40641,2.4445),(435,5635,0.39582,2.4307),(435,5645,0.38833,2.417),(435,5655,0.38151,2.4026),(435,5665,0.37469,2.3863),(435,5675,0.36985,2.3701),(435,5685,0.3661,2.3536),(435,5695,0.36235,2.3349),(435,5705,0.3597,2.3161),(435,5715,0.3583,2.2973),(435,5725,0.3569,2.2761),(435,5735,0.35602,2.2545),(435,5745,0.35645,2.2329),(435,5755,0.35687,2.2091),(435,5765,0.35743,2.1844),(435,5775,0.35904,2.1597),(435,5785,0.36065,2.1331),(435,5795,0.36227,2.1049),(435,5805,0.36471,2.0768),(435,5815,0.36721,2.0471),(435,5825,0.36971,2.0146),(435,5835,0.3727,1.982),(435,5845,0.37585,1.9488),(435,5855,0.379,1.9118),(435,5865,0.38269,1.8747),(435,5875,0.38678,1.8377),(435,5885,0.39087,1.7947),(435,5895,0.39544,1.7517),(435,5905,0.40076,1.7086),(435,5915,0.40609,1.6607),(435,5925,0.41189,1.6117),(435,5935,0.41943,1.5627),(435,5945,0.42697,1.5097),(435,5955,0.43462,1.4544),(435,5965,0.44501,1.3991),(435,5975,0.4554,1.3411),(435,5985,0.4658,1.2798),(435,5995,0.35781,1.2185),(435,6005,0.23077,1.1716),(435,6015,0.10373,1.1636),(435,6025,0.12521,1.1555),(435,6035,0.21556,1.1474),(435,6045,0.30592,1.1386),(435,6055,0.36876,1.1297),(435,6065,0.40463,1.1209),(435,6075,0.4405,1.1075),(435,6085,0.46417,1.0938),(435,6095,0.46269,1.08),(435,6105,0.46121,1.0654),(435,6115,0.45963,1.0506),(435,6125,0.45746,1.0357),(435,6135,0.45529,1.02),(435,6145,0.45311,1.0036),(435,6155,0.45073,0.98726),(435,6165,0.44834,0.97025),(435,6175,0.44595,0.95221),(435,6185,0.44358,0.93416),(435,6195,0.44123,0.91593),(435,6205,0.43887,0.89694),(435,6215,0.43663,0.87794),(435,6225,0.43447,0.85893),(435,6235,0.4323,0.83897),(435,6245,0.43025,0.819),(435,6255,0.42833,0.79904),(435,6265,0.42641,0.77845),(435,6275,0.42454,0.75774),(435,6285,0.42281,0.73704),(435,6295,0.42109,0.71597),(435,6305,0.41939,0.69473),(435,6315,0.41791,0.67349),(435,6325,0.41644,0.65195),(435,6335,0.41496,0.6301),(435,6345,0.4137,0.60824),(435,6355,0.41246,0.58628),(435,6365,0.41122,0.56406),(435,6375,0.41011,0.54184),(435,6385,0.40905,0.51958),(435,6395,0.40798,0.49702),(435,6405,0.40705,0.47445),(435,6415,0.40623,0.45189),(435,6425,0.40541,0.42908),(435,6435,0.40463,0.40626),(435,6445,0.40392,0.38344),(435,6455,0.4032,0.36042),(435,6465,0.40253,0.33734),(435,6475,0.40203,0.31426),(435,6485,0.40153,0.29125),(435,6495,0.40103,0.26829),(435,6505,0.40065,0.24533),(435,6515,0.40027,0.22219),(435,6525,0.39989,0.19883),(435,6535,0.39959,0.17546),(435,6545,0.3993,0.15211),(435,6555,0.39901,0.12879),(435,6565,0.39881,0.10547),(435,6575,0.39866,0.082152),(435,6585,0.39852,0.058821),(435,6595,0.33887,0.03549),(435,6605,0.21354,0.012159),(435,6615,0.088208,0.009488),(435,6625,0.000102,0.009472),(435,6635,0.000103,0.009456),(435,6645,0.000104,0.009447),(435,6655,0.000105,0.009441),(435,6665,0.000107,0.009435),(435,6675,0.000108,0.009428),(435,6685,0.000109,0.009422),(435,6695,0.00011,0.009416),(435,6705,0.000111,0.00941),(435,6715,0.000112,0.009404),(435,6725,0.000114,0.009397),(435,6735,0.000115,0.009391),(435,6745,0.000116,0.009385),(435,6755,0.000117,0.009379),(435,6765,0.000118,0.009373),(435,6775,0.000119,0.009367),(435,6785,0.00012,0.00936),(435,6795,0.000121,0.009354),(435,6805,0.000122,0.009348),(435,6815,0.000123,0.009342),(435,6825,0.000124,0.009335),(435,6835,0.000125,0.009329),(435,6845,0.000126,0.009322),(435,6855,0.000127,0.009316),(435,6865,0.000128,0.00931),(435,6875,0.000128,0.009303),(435,6885,0.000129,0.009297),(435,6895,0.00013,0.009291),(435,6905,0.000131,0.009284),(435,6915,0.000132,0.009278),(435,6925,0.000133,0.009271),(435,6935,0.000133,0.009265),(435,6945,0.000134,0.009258),(435,6955,0.000135,0.009251),(435,6965,0.000136,0.009244),(435,6975,0.000137,0.009238),(435,6985,0.000137,0.009231),(445,5,2.3e-05,3.6657),(445,15,6.9e-05,3.6657),(445,25,0.000114,3.6657),(445,35,0.00016,3.6657),(445,45,0.000206,3.6657),(445,55,0.000252,3.6657),(445,65,0.000297,3.6656),(445,75,0.000343,3.6656),(445,85,0.000389,3.6656),(445,95,0.000435,3.6656),(445,105,0.000481,3.6656),(445,115,0.000527,3.6656),(445,125,0.000573,3.6655),(445,135,0.000619,3.6655),(445,145,0.000666,3.6655),(445,155,0.000712,3.6654),(445,165,0.000758,3.6654),(445,175,0.000804,3.6654),(445,185,0.000851,3.6653),(445,195,0.000897,3.6653),(445,205,0.000944,3.6653),(445,215,0.000991,3.6652),(445,225,0.001038,3.6652),(445,235,0.001084,3.6651),(445,245,0.001132,3.6651),(445,255,0.001179,3.665),(445,265,0.001226,3.665),(445,275,0.001274,3.6649),(445,285,0.001321,3.6648),(445,295,0.001369,3.6648),(445,305,0.001417,3.6647),(445,315,0.001465,3.6647),(445,325,0.001513,3.6646),(445,335,0.001561,3.6645),(445,345,0.00161,3.6644),(445,355,0.001658,3.6644),(445,365,0.001707,3.6643),(445,375,0.001755,3.6642),(445,385,0.001804,3.6641),(445,395,0.001853,3.6641),(445,405,0.001903,3.664),(445,415,0.001952,3.6639),(445,425,0.002002,3.6638),(445,435,0.002052,3.6637),(445,445,0.002102,3.6636),(445,455,0.002152,3.6635),(445,465,0.002203,3.6634),(445,475,0.002253,3.6633),(445,485,0.002304,3.6632),(445,495,0.002355,3.6631),(445,505,0.002406,3.663),(445,515,0.002458,3.6629),(445,525,0.00251,3.6628),(445,535,0.002561,3.6627),(445,545,0.002614,3.6625),(445,555,0.002666,3.6624),(445,565,0.002719,3.6623),(445,575,0.002771,3.6622),(445,585,0.002825,3.6621),(445,595,0.002878,3.6619),(445,605,0.002932,3.6618),(445,615,0.002985,3.6617),(445,625,0.00304,3.6615),(445,635,0.003094,3.6614),(445,645,0.003149,3.6612),(445,655,0.003203,3.6611),(445,665,0.003259,3.661),(445,675,0.003315,3.6608),(445,685,0.00337,3.6607),(445,695,0.003426,3.6605),(445,705,0.003483,3.6603),(445,715,0.00354,3.6602),(445,725,0.003597,3.66),(445,735,0.003654,3.6599),(445,745,0.003712,3.6597),(445,755,0.00377,3.6595),(445,765,0.003828,3.6594),(445,775,0.003887,3.6592),(445,785,0.003946,3.659),(445,795,0.004006,3.6588),(445,805,0.004065,3.6586),(445,815,0.004125,3.6585),(445,825,0.004186,3.6583),(445,835,0.004246,3.6581),(445,845,0.004307,3.6579),(445,855,0.004368,3.6577),(445,865,0.004431,3.6575),(445,875,0.004493,3.6573),(445,885,0.004555,3.6571),(445,895,0.004618,3.6569),(445,905,0.004681,3.6567),(445,915,0.004745,3.6565),(445,925,0.004808,3.6562),(445,935,0.004873,3.656),(445,945,0.004938,3.6558),(445,955,0.005003,3.6556),(445,965,0.005068,3.6553),(445,975,0.005134,3.6551),(445,985,0.005201,3.6549),(445,995,0.005267,3.6546),(445,1005,0.005334,3.6544),(445,1015,0.005402,3.6542),(445,1025,0.00547,3.6539),(445,1035,0.005538,3.6537),(445,1045,0.005606,3.6534),(445,1055,0.005675,3.6531),(445,1065,0.005745,3.6529),(445,1075,0.005815,3.6526),(445,1085,0.005885,3.6524),(445,1095,0.005955,3.6521),(445,1105,0.006027,3.6518),(445,1115,0.006099,3.6516),(445,1125,0.00617,3.6513),(445,1135,0.006243,3.651),(445,1145,0.006317,3.6507),(445,1155,0.00639,3.6504),(445,1165,0.006464,3.6501),(445,1175,0.006538,3.6498),(445,1185,0.006614,3.6495),(445,1195,0.006689,3.6492),(445,1205,0.006764,3.6489),(445,1215,0.006841,3.6486),(445,1225,0.006918,3.6483),(445,1235,0.006995,3.648),(445,1245,0.007072,3.6477),(445,1255,0.00715,3.6473),(445,1265,0.007229,3.647),(445,1275,0.007307,3.6467),(445,1285,0.007386,3.6464),(445,1295,0.007467,3.646),(445,1305,0.007547,3.6457),(445,1315,0.007628,3.6453),(445,1325,0.007708,3.645),(445,1335,0.00779,3.6446),(445,1345,0.007873,3.6443),(445,1355,0.007956,3.6439),(445,1365,0.008038,3.6436),(445,1375,0.008122,3.6432),(445,1385,0.008206,3.6428),(445,1395,0.008291,3.6424),(445,1405,0.008375,3.6421),(445,1415,0.008461,3.6417),(445,1425,0.008548,3.6413),(445,1435,0.008634,3.6409),(445,1445,0.00872,3.6405),(445,1455,0.008808,3.6401),(445,1465,0.008897,3.6397),(445,1475,0.008985,3.6393),(445,1485,0.009073,3.6389),(445,1495,0.009163,3.6385),(445,1505,0.009254,3.6381),(445,1515,0.009344,3.6376),(445,1525,0.009434,3.6372),(445,1535,0.009526,3.6368),(445,1545,0.009619,3.6364),(445,1555,0.009711,3.6359),(445,1565,0.009803,3.6355),(445,1575,0.009897,3.635),(445,1585,0.009991,3.6346),(445,1595,0.010085,3.6341),(445,1605,0.010179,3.6336),(445,1615,0.010275,3.6332),(445,1625,0.010371,3.6327),(445,1635,0.010467,3.6322),(445,1645,0.010563,3.6317),(445,1655,0.010661,3.6313),(445,1665,0.010759,3.6308),(445,1675,0.010857,3.6303),(445,1685,0.010955,3.6298),(445,1695,0.011055,3.6293),(445,1705,0.011155,3.6288),(445,1715,0.011255,3.6283),(445,1725,0.011355,3.6278),(445,1735,0.011457,3.6272),(445,1745,0.011559,3.6267),(445,1755,0.01166,3.6262),(445,1765,0.011762,3.6256),(445,1775,0.011866,3.6251),(445,1785,0.01197,3.6246),(445,1795,0.012073,3.624),(445,1805,0.012177,3.6235),(445,1815,0.012283,3.6229),(445,1825,0.012388,3.6223),(445,1835,0.012494,3.6218),(445,1845,0.0126,3.6212),(445,1855,0.012707,3.6206),(445,1865,0.012814,3.62),(445,1875,0.012922,3.6195),(445,1885,0.01303,3.6189),(445,1895,0.013139,3.6183),(445,1905,0.013248,3.6177),(445,1915,0.013358,3.6171),(445,1925,0.013468,3.6164),(445,1935,0.013579,3.6158),(445,1945,0.01369,3.6152),(445,1955,0.013801,3.6146),(445,1965,0.013913,3.6139),(445,1975,0.014026,3.6133),(445,1985,0.014138,3.6127),(445,1995,0.014251,3.612),(445,2005,0.014365,3.6114),(445,2015,0.01448,3.6107),(445,2025,0.014595,3.61),(445,2035,0.014709,3.6094),(445,2045,0.014825,3.6087),(445,2055,0.014942,3.608),(445,2065,0.015058,3.6073),(445,2075,0.015175,3.6066),(445,2085,0.015292,3.6059),(445,2095,0.015411,3.6052),(445,2105,0.015529,3.6045),(445,2115,0.015648,3.6038),(445,2125,0.015767,3.6031),(445,2135,0.015887,3.6024),(445,2145,0.016008,3.6017),(445,2155,0.016128,3.6009),(445,2165,0.016249,3.6002),(445,2175,0.016371,3.5994),(445,2185,0.016494,3.5987),(445,2195,0.016616,3.5979),(445,2205,0.016739,3.5972),(445,2215,0.016863,3.5964),(445,2225,0.016987,3.5956),(445,2235,0.017111,3.5949),(445,2245,0.017237,3.5941),(445,2255,0.017363,3.5933),(445,2265,0.017489,3.5925),(445,2275,0.017615,3.5917),(445,2285,0.017743,3.5909),(445,2295,0.017871,3.5901),(445,2305,0.018,3.5893),(445,2315,0.018128,3.5884),(445,2325,0.018258,3.5876),(445,2335,0.018389,3.5868),(445,2345,0.01852,3.586),(445,2355,0.018651,3.5851),(445,2365,0.018783,3.5843),(445,2375,0.018917,3.5834),(445,2385,0.01905,3.5825),(445,2395,0.019183,3.5817),(445,2405,0.019319,3.5808),(445,2415,0.019455,3.5799),(445,2425,0.019592,3.579),(445,2435,0.019728,3.5782),(445,2445,0.019867,3.5773),(445,2455,0.020006,3.5764),(445,2465,0.020145,3.5755),(445,2475,0.020284,3.5745),(445,2485,0.020426,3.5736),(445,2495,0.020569,3.5727),(445,2505,0.020712,3.5718),(445,2515,0.020854,3.5708),(445,2525,0.021001,3.5699),(445,2535,0.021147,3.569),(445,2545,0.021294,3.568),(445,2555,0.021441,3.567),(445,2565,0.021592,3.5661),(445,2575,0.021743,3.5651),(445,2585,0.021894,3.5641),(445,2595,0.022046,3.5632),(445,2605,0.022202,3.5622),(445,2615,0.022359,3.5612),(445,2625,0.022515,3.5602),(445,2635,0.022672,3.5592),(445,2645,0.022834,3.5582),(445,2655,0.022997,3.5572),(445,2665,0.023159,3.5562),(445,2675,0.023322,3.5551),(445,2685,0.023491,3.5541),(445,2695,0.02366,3.5531),(445,2705,0.02383,3.552),(445,2715,0.024,3.551),(445,2725,0.024178,3.5499),(445,2735,0.024355,3.5489),(445,2745,0.024532,3.5478),(445,2755,0.024712,3.5467),(445,2765,0.024899,3.5457),(445,2775,0.025085,3.5446),(445,2785,0.025272,3.5435),(445,2795,0.025462,3.5424),(445,2805,0.02566,3.5413),(445,2815,0.025858,3.5402),(445,2825,0.026056,3.5391),(445,2835,0.026258,3.538),(445,2845,0.026469,3.5369),(445,2855,0.02668,3.5357),(445,2865,0.026891,3.5346),(445,2875,0.027107,3.5335),(445,2885,0.027334,3.5323),(445,2895,0.02756,3.5312),(445,2905,0.027786,3.53),(445,2915,0.028019,3.5289),(445,2925,0.028263,3.5277),(445,2935,0.028507,3.5266),(445,2945,0.028751,3.5254),(445,2955,0.029004,3.5242),(445,2965,0.029269,3.523),(445,2975,0.029534,3.5218),(445,2985,0.029799,3.5207),(445,2995,0.030076,3.5195),(445,3005,0.030366,3.5183),(445,3015,0.030655,3.5171),(445,3025,0.030945,3.5158),(445,3035,0.03125,3.5146),(445,3045,0.031568,3.5134),(445,3055,0.031886,3.5122),(445,3065,0.032205,3.511),(445,3075,0.032542,3.5097),(445,3085,0.032894,3.5085),(445,3095,0.033246,3.5072),(445,3105,0.033598,3.506),(445,3115,0.033974,3.5048),(445,3125,0.034366,3.5035),(445,3135,0.034758,3.5022),(445,3145,0.035149,3.501),(445,3155,0.035571,3.4997),(445,3165,0.036009,3.4985),(445,3175,0.036446,3.4972),(445,3185,0.036884,3.4959),(445,3195,0.037359,3.4946),(445,3205,0.037851,3.4934),(445,3215,0.038343,3.4921),(445,3225,0.038835,3.4908),(445,3235,0.039373,3.4895),(445,3245,0.039928,3.4882),(445,3255,0.040483,3.4869),(445,3265,0.041039,3.4857),(445,3275,0.04165,3.4844),(445,3285,0.042279,3.4831),(445,3295,0.042908,3.4818),(445,3305,0.043537,3.4805),(445,3315,0.044235,3.4792),(445,3325,0.04495,3.478),(445,3335,0.045665,3.4767),(445,3345,0.04638,3.4754),(445,3355,0.04718,3.4741),(445,3365,0.047995,3.4729),(445,3375,0.04881,3.4716),(445,3385,0.049624,3.4704),(445,3395,0.050542,3.4691),(445,3405,0.051473,3.4679),(445,3415,0.052404,3.4666),(445,3425,0.053334,3.4654),(445,3435,0.054389,3.4642),(445,3445,0.055454,3.463),(445,3455,0.056518,3.4618),(445,3465,0.057583,3.4607),(445,3475,0.058796,3.4595),(445,3485,0.060014,3.4584),(445,3495,0.061232,3.4573),(445,3505,0.062451,3.4562),(445,3515,0.063843,3.4551),(445,3525,0.065236,3.4541),(445,3535,0.066629,3.4531),(445,3545,0.06803,3.4522),(445,3555,0.069619,3.4512),(445,3565,0.071209,3.4502),(445,3575,0.072798,3.4494),(445,3585,0.074406,3.4487),(445,3595,0.076212,3.4479),(445,3605,0.078019,3.4471),(445,3615,0.079826,3.4465),(445,3625,0.081662,3.4459),(445,3635,0.083703,3.4454),(445,3645,0.085744,3.4448),(445,3655,0.087785,3.4445),(445,3665,0.089865,3.4443),(445,3675,0.092146,3.444),(445,3685,0.094427,3.4438),(445,3695,0.096708,3.4439),(445,3705,0.099035,3.4441),(445,3715,0.10154,3.4442),(445,3725,0.10405,3.4444),(445,3735,0.10656,3.4451),(445,3745,0.10911,3.4458),(445,3755,0.1118,3.4464),(445,3765,0.11448,3.4473),(445,3775,0.11717,3.4487),(445,3785,0.11987,3.45),(445,3795,0.12263,3.4514),(445,3805,0.12538,3.453),(445,3815,0.12814,3.4552),(445,3825,0.13085,3.4575),(445,3835,0.13347,3.4597),(445,3845,0.13608,3.4623),(445,3855,0.1387,3.4655),(445,3865,0.14115,3.4688),(445,3875,0.1433,3.472),(445,3885,0.14545,3.4757),(445,3895,0.1476,3.48),(445,3905,0.17654,3.4843),(445,3915,0.24548,3.4887),(445,3925,0.31442,3.4952),(445,3935,0.38336,3.5049),(445,3945,0.4336,3.5145),(445,3955,0.46008,3.5242),(445,3965,0.48657,3.5322),(445,3975,0.51306,3.5383),(445,3985,0.5095,3.5443),(445,3995,0.47341,3.5504),(445,4005,0.43733,3.5541),(445,4015,0.40124,3.5556),(445,4025,0.3716,3.557),(445,4035,0.34259,3.5577),(445,4045,0.31358,3.5567),(445,4055,0.28906,3.5557),(445,4065,0.26617,3.5545),(445,4075,0.24329,3.5517),(445,4085,0.22348,3.5489),(445,4095,0.20614,3.5461),(445,4105,0.18881,3.5417),(445,4115,0.16809,3.5372),(445,4125,0.14176,3.5328),(445,4135,0.11544,3.5288),(445,4145,0.092932,3.525),(445,4155,0.085911,3.5212),(445,4165,0.078891,3.5215),(445,4175,0.072473,3.5243),(445,4185,0.095906,3.5271),(445,4195,0.11934,3.5283),(445,4205,0.14277,3.5272),(445,4215,0.13135,3.5261),(445,4225,0.11336,3.5238),(445,4235,0.095378,3.5177),(445,4245,0.080982,3.5117),(445,4255,0.068406,3.5056),(445,4265,0.055829,3.5001),(445,4275,0.044659,3.4945),(445,4285,0.034979,3.489),(445,4295,0.0253,3.4879),(445,4305,0.041,3.4873),(445,4315,0.11401,3.4868),(445,4325,0.18701,3.4984),(445,4335,0.24943,3.5147),(445,4345,0.2402,3.5311),(445,4355,0.23096,3.5421),(445,4365,0.22172,3.5486),(445,4375,0.2042,3.5551),(445,4385,0.18624,3.5568),(445,4395,0.16827,3.5498),(445,4405,0.13669,3.5428),(445,4415,0.10109,3.5354),(445,4425,0.065491,3.5259),(445,4435,0.067619,3.5164),(445,4445,0.095529,3.5071),(445,4455,0.12344,3.5162),(445,4465,0.1557,3.5253),(445,4475,0.19407,3.5344),(445,4485,0.23244,3.5397),(445,4495,0.25532,3.5443),(445,4505,0.22853,3.5488),(445,4515,0.20173,3.5429),(445,4525,0.17488,3.5315),(445,4535,0.14699,3.52),(445,4545,0.1191,3.5032),(445,4555,0.091218,3.4803),(445,4565,0.067155,3.4574),(445,4575,0.043608,3.4418),(445,4585,0.02006,3.4437),(445,4595,0.028545,3.4456),(445,4605,0.050564,3.4483),(445,4615,0.072583,3.4573),(445,4625,0.081705,3.4663),(445,4635,0.079146,3.4753),(445,4645,0.076588,3.4748),(445,4655,0.06643,3.4738),(445,4665,0.041942,3.4727),(445,4675,0.017454,3.4519),(445,4685,-0.003948,3.4249),(445,4695,-0.010103,3.3978),(445,4705,-0.016258,3.3772),(445,4715,-0.022413,3.3612),(445,4725,0.036426,3.3453),(445,4735,0.095915,3.3405),(445,4745,0.1554,3.3522),(445,4755,0.16706,3.364),(445,4765,0.16763,3.3724),(445,4775,0.1682,3.369),(445,4785,0.14921,3.3656),(445,4795,0.11892,3.3612),(445,4805,0.088617,3.3342),(445,4815,0.061004,3.3073),(445,4825,0.036601,3.2803),(445,4835,0.012198,3.2485),(445,4845,0.005848,3.2159),(445,4855,0.046562,3.1834),(445,4865,0.087276,3.1802),(445,4875,0.13158,3.1905),(445,4885,0.20856,3.2007),(445,4895,0.28553,3.2115),(445,4905,0.36251,3.2229),(445,4915,0.32354,3.2342),(445,4925,0.27461,3.2377),(445,4935,0.22567,3.2253),(445,4945,0.1793,3.2128),(445,4955,0.13383,3.1991),(445,4965,0.088353,3.1779),(445,4975,0.056647,3.1568),(445,4985,0.03557,3.1357),(445,4995,0.014494,3.1336),(445,5005,0.003368,3.132),(445,5015,0.008061,3.1304),(445,5025,0.012754,3.1314),(445,5035,0.011334,3.1331),(445,5045,-0.013373,3.1348),(445,5055,-0.03808,3.123),(445,5065,-0.062878,3.1028),(445,5075,-0.090627,3.0827),(445,5085,-0.11838,3.0511),(445,5095,-0.14612,3.0049),(445,5105,-0.13862,2.9587),(445,5115,-0.12496,2.9147),(445,5125,-0.1113,2.8769),(445,5135,-0.04335,2.8392),(445,5145,0.050948,2.8054),(445,5155,0.14525,2.8149),(445,5165,0.23264,2.8244),(445,5175,0.31299,2.8338),(445,5185,0.39334,2.8348),(445,5195,0.44356,2.8348),(445,5205,0.4288,2.8349),(445,5215,0.41404,2.8176),(445,5225,0.39837,2.7938),(445,5235,0.37707,2.77),(445,5245,0.35577,2.7368),(445,5255,0.33447,2.6958),(445,5265,0.23292,2.6549),(445,5275,0.12806,2.6292),(445,5285,0.023195,2.6293),(445,5295,0.019996,2.6295),(445,5305,0.045107,2.6305),(445,5315,0.070219,2.6348),(445,5325,0.086258,2.6391),(445,5335,0.096349,2.6432),(445,5345,0.10644,2.6276),(445,5355,0.11384,2.612),(445,5365,0.1176,2.5965),(445,5375,0.12137,2.558),(445,5385,0.11798,2.5149),(445,5395,0.092843,2.4719),(445,5405,0.067709,2.4468),(445,5415,0.054429,2.4309),(445,5425,0.2004,2.415),(445,5435,0.34637,2.4142),(445,5445,0.49234,2.4298),(445,5455,0.56449,2.4453),(445,5465,0.62762,2.4602),(445,5475,0.69075,2.4737),(445,5485,0.68769,2.4872),(445,5495,0.65797,2.4995),(445,5505,0.62825,2.5034),(445,5515,0.60137,2.5072),(445,5525,0.57697,2.5111),(445,5535,0.55257,2.5088),(445,5545,0.53005,2.506),(445,5555,0.51091,2.5033),(445,5565,0.49178,2.4971),(445,5575,0.47351,2.4899),(445,5585,0.45925,2.4826),(445,5595,0.445,2.4733),(445,5605,0.43075,2.4626),(445,5615,0.42084,2.4518),(445,5625,0.41093,2.4398),(445,5635,0.40102,2.4261),(445,5645,0.39411,2.4124),(445,5655,0.38786,2.3981),(445,5665,0.3816,2.3818),(445,5675,0.3773,2.3655),(445,5685,0.37408,2.349),(445,5695,0.37086,2.3301),(445,5705,0.36875,2.3113),(445,5715,0.36791,2.2924),(445,5725,0.36708,2.271),(445,5735,0.36678,2.2493),(445,5745,0.36785,2.2276),(445,5755,0.36891,2.2036),(445,5765,0.37011,2.1786),(445,5775,0.37249,2.1537),(445,5785,0.37486,2.1269),(445,5795,0.37724,2.0985),(445,5805,0.38058,2.0701),(445,5815,0.38399,2.0402),(445,5825,0.38741,2.0074),(445,5835,0.39147,1.9746),(445,5845,0.39574,1.9411),(445,5855,0.40002,1.9039),(445,5865,0.40495,1.8667),(445,5875,0.41036,1.8295),(445,5885,0.41577,1.7865),(445,5895,0.42175,1.7434),(445,5905,0.42859,1.7003),(445,5915,0.43544,1.6528),(445,5925,0.44277,1.6041),(445,5935,0.45188,1.5555),(445,5945,0.46099,1.5031),(445,5955,0.4702,1.4486),(445,5965,0.48196,1.394),(445,5975,0.49371,1.337),(445,5985,0.50546,1.277),(445,5995,0.38831,1.2169),(445,6005,0.25041,1.1711),(445,6015,0.11251,1.1632),(445,6025,0.12984,1.1553),(445,6035,0.21917,1.1473),(445,6045,0.3085,1.1381),(445,6055,0.37109,1.1288),(445,6065,0.40748,1.1195),(445,6075,0.44388,1.1058),(445,6085,0.46804,1.0916),(445,6095,0.467,1.0774),(445,6105,0.46596,1.0626),(445,6115,0.46481,1.0475),(445,6125,0.46307,1.0324),(445,6135,0.46133,1.0165),(445,6145,0.45959,1.0001),(445,6155,0.45759,0.9836),(445,6165,0.45559,0.96654),(445,6175,0.45358,0.94849),(445,6185,0.45155,0.93044),(445,6195,0.44951,0.91221),(445,6205,0.44747,0.89328),(445,6215,0.44551,0.87434),(445,6225,0.4436,0.85539),(445,6235,0.44168,0.83551),(445,6245,0.43986,0.81564),(445,6255,0.43815,0.79576),(445,6265,0.43644,0.77525),(445,6275,0.43477,0.75463),(445,6285,0.43323,0.73401),(445,6295,0.43168,0.71304),(445,6305,0.43015,0.6919),(445,6315,0.42881,0.67076),(445,6325,0.42746,0.64932),(445,6335,0.42612,0.62758),(445,6345,0.42497,0.60584),(445,6355,0.42385,0.58397),(445,6365,0.42273,0.56184),(445,6375,0.42171,0.53972),(445,6385,0.42073,0.51755),(445,6395,0.41975,0.4951),(445,6405,0.41889,0.47266),(445,6415,0.41814,0.45021),(445,6425,0.41739,0.42748),(445,6435,0.41668,0.40474),(445,6445,0.41602,0.38199),(445,6455,0.41536,0.35908),(445,6465,0.41474,0.33611),(445,6475,0.4143,0.31315),(445,6485,0.41385,0.29023),(445,6495,0.41341,0.26735),(445,6505,0.41306,0.24447),(445,6515,0.41271,0.22141),(445,6525,0.41237,0.19812),(445,6535,0.4121,0.17483),(445,6545,0.41184,0.15156),(445,6555,0.41158,0.12833),(445,6565,0.41142,0.10511),(445,6575,0.4113,0.081884),(445,6585,0.41119,0.058626),(445,6595,0.34966,0.035367),(445,6605,0.22034,0.012109),(445,6615,0.091017,0.009458),(445,6625,0.000105,0.009456),(445,6635,0.000106,0.009453),(445,6645,0.000108,0.009448),(445,6655,0.000109,0.009442),(445,6665,0.00011,0.009436),(445,6675,0.000111,0.00943),(445,6685,0.000112,0.009423),(445,6695,0.000113,0.009417),(445,6705,0.000114,0.009411),(445,6715,0.000116,0.009405),(445,6725,0.000117,0.009399),(445,6735,0.000118,0.009392),(445,6745,0.000119,0.009386),(445,6755,0.00012,0.00938),(445,6765,0.000121,0.009374),(445,6775,0.000122,0.009368),(445,6785,0.000123,0.009361),(445,6795,0.000124,0.009355),(445,6805,0.000125,0.009349),(445,6815,0.000126,0.009342),(445,6825,0.000127,0.009336),(445,6835,0.000128,0.00933),(445,6845,0.000129,0.009323),(445,6855,0.00013,0.009317),(445,6865,0.000131,0.009311),(445,6875,0.000132,0.009304),(445,6885,0.000132,0.009298),(445,6895,0.000133,0.009291),(445,6905,0.000134,0.009285),(445,6915,0.000135,0.009279),(445,6925,0.000136,0.009272),(445,6935,0.000137,0.009265),(445,6945,0.000138,0.009259),(445,6955,0.000138,0.009252),(445,6965,0.000139,0.009245),(445,6975,0.00014,0.009239),(445,6985,0.000141,0.009232),(455,5,2.3e-05,3.6657),(455,15,7e-05,3.6657),(455,25,0.000117,3.6657),(455,35,0.000164,3.6657),(455,45,0.00021,3.6657),(455,55,0.000257,3.6657),(455,65,0.000304,3.6657),(455,75,0.000351,3.6657),(455,85,0.000398,3.6657),(455,95,0.000444,3.6656),(455,105,0.000491,3.6656),(455,115,0.000539,3.6656),(455,125,0.000586,3.6656),(455,135,0.000633,3.6655),(455,145,0.00068,3.6655),(455,155,0.000727,3.6655),(455,165,0.000774,3.6655),(455,175,0.000821,3.6654),(455,185,0.000869,3.6654),(455,195,0.000916,3.6653),(455,205,0.000964,3.6653),(455,215,0.001012,3.6653),(455,225,0.00106,3.6652),(455,235,0.001108,3.6652),(455,245,0.001156,3.6651),(455,255,0.001204,3.6651),(455,265,0.001252,3.665),(455,275,0.001301,3.665),(455,285,0.00135,3.6649),(455,295,0.001398,3.6648),(455,305,0.001447,3.6648),(455,315,0.001496,3.6647),(455,325,0.001545,3.6646),(455,335,0.001594,3.6646),(455,345,0.001644,3.6645),(455,355,0.001693,3.6644),(455,365,0.001743,3.6643),(455,375,0.001793,3.6643),(455,385,0.001843,3.6642),(455,395,0.001893,3.6641),(455,405,0.001943,3.664),(455,415,0.001994,3.6639),(455,425,0.002045,3.6638),(455,435,0.002096,3.6638),(455,445,0.002147,3.6637),(455,455,0.002198,3.6636),(455,465,0.00225,3.6635),(455,475,0.002302,3.6634),(455,485,0.002353,3.6633),(455,495,0.002405,3.6632),(455,505,0.002458,3.663),(455,515,0.002511,3.6629),(455,525,0.002563,3.6628),(455,535,0.002616,3.6627),(455,545,0.00267,3.6626),(455,555,0.002723,3.6625),(455,565,0.002777,3.6624),(455,575,0.002831,3.6622),(455,585,0.002885,3.6621),(455,595,0.00294,3.662),(455,605,0.002994,3.6618),(455,615,0.003049,3.6617),(455,625,0.003105,3.6616),(455,635,0.003161,3.6614),(455,645,0.003216,3.6613),(455,655,0.003272,3.6612),(455,665,0.003329,3.661),(455,675,0.003386,3.6609),(455,685,0.003443,3.6607),(455,695,0.0035,3.6606),(455,705,0.003558,3.6604),(455,715,0.003616,3.6602),(455,725,0.003674,3.6601),(455,735,0.003733,3.6599),(455,745,0.003792,3.6598),(455,755,0.003851,3.6596),(455,765,0.00391,3.6594),(455,775,0.00397,3.6592),(455,785,0.004031,3.6591),(455,795,0.004092,3.6589),(455,805,0.004152,3.6587),(455,815,0.004214,3.6585),(455,825,0.004276,3.6583),(455,835,0.004338,3.6581),(455,845,0.0044,3.6579),(455,855,0.004462,3.6577),(455,865,0.004526,3.6575),(455,875,0.004589,3.6573),(455,885,0.004653,3.6571),(455,895,0.004717,3.6569),(455,905,0.004782,3.6567),(455,915,0.004847,3.6565),(455,925,0.004912,3.6563),(455,935,0.004978,3.6561),(455,945,0.005044,3.6559),(455,955,0.005111,3.6556),(455,965,0.005177,3.6554),(455,975,0.005245,3.6552),(455,985,0.005313,3.6549),(455,995,0.005381,3.6547),(455,1005,0.005449,3.6545),(455,1015,0.005518,3.6542),(455,1025,0.005588,3.654),(455,1035,0.005658,3.6537),(455,1045,0.005727,3.6535),(455,1055,0.005798,3.6532),(455,1065,0.005869,3.653),(455,1075,0.005941,3.6527),(455,1085,0.006012,3.6524),(455,1095,0.006084,3.6522),(455,1105,0.006158,3.6519),(455,1115,0.006231,3.6516),(455,1125,0.006304,3.6513),(455,1135,0.006378,3.6511),(455,1145,0.006454,3.6508),(455,1155,0.006529,3.6505),(455,1165,0.006604,3.6502),(455,1175,0.00668,3.6499),(455,1185,0.006757,3.6496),(455,1195,0.006834,3.6493),(455,1205,0.006911,3.649),(455,1215,0.006989,3.6487),(455,1225,0.007068,3.6484),(455,1235,0.007146,3.6481),(455,1245,0.007225,3.6477),(455,1255,0.007305,3.6474),(455,1265,0.007386,3.6471),(455,1275,0.007466,3.6468),(455,1285,0.007547,3.6464),(455,1295,0.007629,3.6461),(455,1305,0.007711,3.6458),(455,1315,0.007794,3.6454),(455,1325,0.007876,3.6451),(455,1335,0.00796,3.6447),(455,1345,0.008044,3.6444),(455,1355,0.008129,3.644),(455,1365,0.008213,3.6436),(455,1375,0.008299,3.6433),(455,1385,0.008385,3.6429),(455,1395,0.008471,3.6425),(455,1405,0.008558,3.6422),(455,1415,0.008646,3.6418),(455,1425,0.008734,3.6414),(455,1435,0.008822,3.641),(455,1445,0.00891,3.6406),(455,1455,0.009,3.6402),(455,1465,0.009091,3.6398),(455,1475,0.009181,3.6394),(455,1485,0.009271,3.639),(455,1495,0.009364,3.6386),(455,1505,0.009456,3.6382),(455,1515,0.009548,3.6377),(455,1525,0.00964,3.6373),(455,1535,0.009735,3.6369),(455,1545,0.009829,3.6364),(455,1555,0.009923,3.636),(455,1565,0.010017,3.6356),(455,1575,0.010113,3.6351),(455,1585,0.01021,3.6347),(455,1595,0.010306,3.6342),(455,1605,0.010402,3.6337),(455,1615,0.0105,3.6333),(455,1625,0.010598,3.6328),(455,1635,0.010696,3.6323),(455,1645,0.010795,3.6318),(455,1655,0.010895,3.6314),(455,1665,0.010995,3.6309),(455,1675,0.011095,3.6304),(455,1685,0.011196,3.6299),(455,1695,0.011298,3.6294),(455,1705,0.0114,3.6289),(455,1715,0.011502,3.6284),(455,1725,0.011604,3.6279),(455,1735,0.011708,3.6273),(455,1745,0.011813,3.6268),(455,1755,0.011917,3.6263),(455,1765,0.012021,3.6257),(455,1775,0.012127,3.6252),(455,1785,0.012233,3.6247),(455,1795,0.012339,3.6241),(455,1805,0.012445,3.6236),(455,1815,0.012553,3.623),(455,1825,0.012661,3.6225),(455,1835,0.012769,3.6219),(455,1845,0.012877,3.6213),(455,1855,0.012987,3.6207),(455,1865,0.013097,3.6202),(455,1875,0.013207,3.6196),(455,1885,0.013317,3.619),(455,1895,0.013429,3.6184),(455,1905,0.01354,3.6178),(455,1915,0.013652,3.6172),(455,1925,0.013765,3.6165),(455,1935,0.013878,3.6159),(455,1945,0.013992,3.6153),(455,1955,0.014105,3.6147),(455,1965,0.01422,3.614),(455,1975,0.014335,3.6134),(455,1985,0.01445,3.6128),(455,1995,0.014566,3.6121),(455,2005,0.014682,3.6115),(455,2015,0.014799,3.6108),(455,2025,0.014917,3.6102),(455,2035,0.015034,3.6095),(455,2045,0.015152,3.6088),(455,2055,0.015271,3.6081),(455,2065,0.015391,3.6074),(455,2075,0.01551,3.6068),(455,2085,0.01563,3.6061),(455,2095,0.015751,3.6054),(455,2105,0.015872,3.6047),(455,2115,0.015993,3.6039),(455,2125,0.016115,3.6032),(455,2135,0.016238,3.6025),(455,2145,0.016361,3.6018),(455,2155,0.016484,3.601),(455,2165,0.016608,3.6003),(455,2175,0.016732,3.5996),(455,2185,0.016857,3.5988),(455,2195,0.016982,3.5981),(455,2205,0.017108,3.5973),(455,2215,0.017235,3.5965),(455,2225,0.017362,3.5958),(455,2235,0.017488,3.595),(455,2245,0.017617,3.5942),(455,2255,0.017745,3.5934),(455,2265,0.017874,3.5926),(455,2275,0.018003,3.5918),(455,2285,0.018134,3.591),(455,2295,0.018264,3.5902),(455,2305,0.018395,3.5894),(455,2315,0.018526,3.5886),(455,2325,0.018659,3.5877),(455,2335,0.018793,3.5869),(455,2345,0.018926,3.5861),(455,2355,0.019059,3.5852),(455,2365,0.019195,3.5844),(455,2375,0.019331,3.5835),(455,2385,0.019467,3.5827),(455,2395,0.019603,3.5818),(455,2405,0.019742,3.5809),(455,2415,0.01988,3.5801),(455,2425,0.020019,3.5792),(455,2435,0.020158,3.5783),(455,2445,0.0203,3.5774),(455,2455,0.020441,3.5765),(455,2465,0.020583,3.5756),(455,2475,0.020725,3.5747),(455,2485,0.02087,3.5738),(455,2495,0.021015,3.5729),(455,2505,0.021161,3.5719),(455,2515,0.021306,3.571),(455,2525,0.021455,3.57),(455,2535,0.021604,3.5691),(455,2545,0.021753,3.5682),(455,2555,0.021903,3.5672),(455,2565,0.022057,3.5662),(455,2575,0.022211,3.5653),(455,2585,0.022364,3.5643),(455,2595,0.022519,3.5633),(455,2605,0.022678,3.5623),(455,2615,0.022837,3.5614),(455,2625,0.022995,3.5603),(455,2635,0.023155,3.5593),(455,2645,0.02332,3.5583),(455,2655,0.023485,3.5573),(455,2665,0.02365,3.5563),(455,2675,0.023816,3.5553),(455,2685,0.023987,3.5543),(455,2695,0.024159,3.5532),(455,2705,0.02433,3.5522),(455,2715,0.024504,3.5511),(455,2725,0.024683,3.5501),(455,2735,0.024863,3.549),(455,2745,0.025043,3.548),(455,2755,0.025225,3.5469),(455,2765,0.025414,3.5458),(455,2775,0.025603,3.5448),(455,2785,0.025792,3.5437),(455,2795,0.025984,3.5426),(455,2805,0.026185,3.5415),(455,2815,0.026385,3.5404),(455,2825,0.026585,3.5393),(455,2835,0.026789,3.5382),(455,2845,0.027002,3.5371),(455,2855,0.027215,3.536),(455,2865,0.027428,3.5348),(455,2875,0.027647,3.5337),(455,2885,0.027875,3.5326),(455,2895,0.028103,3.5314),(455,2905,0.028331,3.5303),(455,2915,0.028566,3.5291),(455,2925,0.028812,3.528),(455,2935,0.029058,3.5268),(455,2945,0.029303,3.5256),(455,2955,0.029558,3.5245),(455,2965,0.029824,3.5233),(455,2975,0.030091,3.5221),(455,2985,0.030357,3.5209),(455,2995,0.030635,3.5197),(455,3005,0.030926,3.5185),(455,3015,0.031216,3.5173),(455,3025,0.031507,3.5161),(455,3035,0.031813,3.5149),(455,3045,0.032132,3.5137),(455,3055,0.032451,3.5125),(455,3065,0.03277,3.5113),(455,3075,0.033107,3.5101),(455,3085,0.03346,3.5088),(455,3095,0.033812,3.5076),(455,3105,0.034164,3.5064),(455,3115,0.03454,3.5051),(455,3125,0.034931,3.5039),(455,3135,0.035322,3.5026),(455,3145,0.035713,3.5014),(455,3155,0.036133,3.5001),(455,3165,0.03657,3.4989),(455,3175,0.037006,3.4976),(455,3185,0.037443,3.4964),(455,3195,0.037916,3.4951),(455,3205,0.038405,3.4939),(455,3215,0.038894,3.4926),(455,3225,0.039384,3.4913),(455,3235,0.039918,3.4901),(455,3245,0.04047,3.4888),(455,3255,0.041021,3.4875),(455,3265,0.041572,3.4863),(455,3275,0.042179,3.485),(455,3285,0.042802,3.4837),(455,3295,0.043425,3.4825),(455,3305,0.044048,3.4812),(455,3315,0.044739,3.4799),(455,3325,0.045446,3.4787),(455,3335,0.046152,3.4774),(455,3345,0.046859,3.4762),(455,3355,0.047648,3.4749),(455,3365,0.048452,3.4737),(455,3375,0.049255,3.4725),(455,3385,0.050059,3.4712),(455,3395,0.050962,3.47),(455,3405,0.051877,3.4688),(455,3415,0.052792,3.4676),(455,3425,0.053708,3.4664),(455,3435,0.054742,3.4653),(455,3445,0.055786,3.4641),(455,3455,0.05683,3.463),(455,3465,0.057874,3.4618),(455,3475,0.059059,3.4607),(455,3485,0.06025,3.4596),(455,3495,0.061441,3.4586),(455,3505,0.062632,3.4575),(455,3515,0.063989,3.4565),(455,3525,0.065345,3.4555),(455,3535,0.066701,3.4546),(455,3545,0.068066,3.4537),(455,3555,0.069607,3.4528),(455,3565,0.071149,3.4519),(455,3575,0.07269,3.4511),(455,3585,0.074248,3.4504),(455,3595,0.075992,3.4496),(455,3605,0.077736,3.4489),(455,3615,0.07948,3.4484),(455,3625,0.081251,3.4479),(455,3635,0.08321,3.4474),(455,3645,0.085169,3.4469),(455,3655,0.087128,3.4467),(455,3665,0.089122,3.4465),(455,3675,0.091297,3.4463),(455,3685,0.093472,3.4461),(455,3695,0.095648,3.4463),(455,3705,0.097863,3.4465),(455,3715,0.10024,3.4467),(455,3725,0.10261,3.447),(455,3735,0.10498,3.4478),(455,3745,0.10739,3.4485),(455,3755,0.10991,3.4492),(455,3765,0.11242,3.4501),(455,3775,0.11494,3.4515),(455,3785,0.11747,3.4528),(455,3795,0.12002,3.4542),(455,3805,0.12257,3.4559),(455,3815,0.12512,3.4581),(455,3825,0.12762,3.4603),(455,3835,0.13001,3.4625),(455,3845,0.13239,3.465),(455,3855,0.13478,3.4681),(455,3865,0.137,3.4712),(455,3875,0.13893,3.4744),(455,3885,0.14085,3.4779),(455,3895,0.14277,3.482),(455,3905,0.17087,3.4861),(455,3915,0.23807,3.4901),(455,3925,0.30527,3.4964),(455,3935,0.37247,3.5057),(455,3945,0.42194,3.515),(455,3955,0.44889,3.5243),(455,3965,0.47585,3.5321),(455,3975,0.5028,3.5381),(455,3985,0.50015,3.5441),(455,3995,0.46546,3.5501),(455,4005,0.43076,3.5538),(455,4015,0.39607,3.5553),(455,4025,0.36733,3.5567),(455,4035,0.33918,3.5573),(455,4045,0.31103,3.5564),(455,4055,0.2872,3.5554),(455,4065,0.26494,3.5542),(455,4075,0.24269,3.5514),(455,4085,0.22344,3.5487),(455,4095,0.20661,3.546),(455,4105,0.18978,3.5419),(455,4115,0.16941,3.5377),(455,4125,0.14318,3.5335),(455,4135,0.11695,3.5299),(455,4145,0.094231,3.5264),(455,4155,0.08575,3.5229),(455,4165,0.077269,3.5229),(455,4175,0.069433,3.5252),(455,4185,0.093533,3.5275),(455,4195,0.11763,3.5283),(455,4205,0.14173,3.527),(455,4215,0.13164,3.5257),(455,4225,0.11511,3.5233),(455,4235,0.098579,3.5176),(455,4245,0.084666,3.512),(455,4255,0.072081,3.5064),(455,4265,0.059496,3.5015),(455,4275,0.047773,3.4965),(455,4285,0.036962,3.4915),(455,4295,0.026152,3.4906),(455,4305,0.039476,3.4902),(455,4315,0.1073,3.4898),(455,4325,0.17511,3.5007),(455,4335,0.23336,3.516),(455,4345,0.22683,3.5312),(455,4355,0.22031,3.5415),(455,4365,0.21378,3.5475),(455,4375,0.19988,3.5534),(455,4385,0.18559,3.5549),(455,4395,0.17131,3.5485),(455,4405,0.14133,3.5421),(455,4415,0.10672,3.5354),(455,4425,0.072117,3.5268),(455,4435,0.071752,3.5183),(455,4445,0.094786,3.5099),(455,4455,0.11782,3.5178),(455,4465,0.14753,3.5257),(455,4475,0.18661,3.5337),(455,4485,0.22569,3.5381),(455,4495,0.25014,3.5418),(455,4505,0.22762,3.5455),(455,4515,0.20511,3.5397),(455,4525,0.18246,3.5288),(455,4535,0.15776,3.518),(455,4545,0.13306,3.5021),(455,4555,0.10836,3.4807),(455,4565,0.079397,3.4593),(455,4575,0.049855,3.4446),(455,4585,0.020313,3.4461),(455,4595,0.025604,3.4477),(455,4605,0.045614,3.4499),(455,4615,0.065623,3.4573),(455,4625,0.075066,3.4648),(455,4635,0.074942,3.4722),(455,4645,0.074817,3.4707),(455,4655,0.068548,3.4687),(455,4665,0.050692,3.4666),(455,4675,0.032837,3.4466),(455,4685,0.016496,3.4209),(455,4695,0.007639,3.3952),(455,4705,-0.001217,3.376),(455,4715,-0.010074,3.3616),(455,4725,0.041307,3.3471),(455,4735,0.093291,3.3424),(455,4745,0.14528,3.352),(455,4755,0.15844,3.3616),(455,4765,0.16262,3.3681),(455,4775,0.16679,3.3635),(455,4785,0.153,3.3588),(455,4795,0.12882,3.3532),(455,4805,0.10464,3.3272),(455,4815,0.081136,3.3012),(455,4825,0.058433,3.2752),(455,4835,0.035731,3.2455),(455,4845,0.027638,3.2152),(455,4855,0.057629,3.1849),(455,4865,0.087621,3.1814),(455,4875,0.12212,3.19),(455,4885,0.19768,3.1986),(455,4895,0.27323,3.2074),(455,4905,0.34879,3.2164),(455,4915,0.3155,3.2255),(455,4925,0.27286,3.2276),(455,4935,0.23021,3.2158),(455,4945,0.18739,3.204),(455,4955,0.14449,3.1911),(455,4965,0.1016,3.1723),(455,4975,0.068655,3.1535),(455,4985,0.043391,3.1346),(455,4995,0.018128,3.1328),(455,5005,0.003845,3.1315),(455,5015,0.007018,3.1301),(455,5025,0.010191,3.1295),(455,5035,0.008695,3.1291),(455,5045,-0.010589,3.1286),(455,5055,-0.029873,3.1154),(455,5065,-0.049207,3.0944),(455,5075,-0.070181,3.0733),(455,5085,-0.091155,3.0418),(455,5095,-0.11213,2.9968),(455,5105,-0.10519,2.9518),(455,5115,-0.093378,2.9094),(455,5125,-0.081568,2.8738),(455,5135,-0.022497,2.8383),(455,5145,0.059511,2.8064),(455,5155,0.14152,2.8139),(455,5165,0.22318,2.8214),(455,5175,0.30449,2.8289),(455,5185,0.3858,2.8278),(455,5195,0.43854,2.8259),(455,5205,0.4297,2.8239),(455,5215,0.42085,2.8065),(455,5225,0.41089,2.7833),(455,5235,0.39397,2.76),(455,5245,0.37706,2.7287),(455,5255,0.36014,2.6907),(455,5265,0.25092,2.6527),(455,5275,0.13789,2.628906),(455,5285,0.02486,2.629),(455,5295,0.0187,2.6292),(455,5305,0.042301,2.6296),(455,5315,0.065902,2.6314),(455,5325,0.083903,2.6331),(455,5335,0.098232,2.6346),(455,5345,0.11256,2.6179),(455,5355,0.12504,2.6013),(455,5365,0.13503,2.5847),(455,5375,0.14503,2.5479),(455,5385,0.14493,2.5072),(455,5395,0.11416,2.4665),(455,5405,0.083387,2.4431),(455,5415,0.064256,2.4288),(455,5425,0.20148,2.4144),(455,5435,0.3387,2.4139),(455,5445,0.47592,2.4283),(455,5455,0.54687,2.4427),(455,5465,0.60971,2.4566),(455,5475,0.67256,2.4693),(455,5485,0.67123,2.4821),(455,5495,0.64406,2.4937),(455,5505,0.61689,2.4975),(455,5515,0.5922,2.5013),(455,5525,0.56966,2.5051),(455,5535,0.54713,2.5029),(455,5545,0.52628,2.5003),(455,5555,0.50847,2.4977),(455,5565,0.49066,2.4917),(455,5575,0.47364,2.4846),(455,5585,0.46032,2.4775),(455,5595,0.447,2.4683),(455,5605,0.43368,2.4577),(455,5615,0.42448,2.4471),(455,5625,0.41529,2.4352),(455,5635,0.40609,2.4215),(455,5645,0.39981,2.4078),(455,5655,0.39415,2.3935),(455,5665,0.38849,2.3772),(455,5675,0.38476,2.3609),(455,5685,0.3821,2.3444),(455,5695,0.37944,2.3254),(455,5705,0.37791,2.3065),(455,5715,0.37767,2.2875),(455,5725,0.37743,2.266),(455,5735,0.37775,2.2441),(455,5745,0.37947,2.2222),(455,5755,0.3812,2.198),(455,5765,0.38308,2.1728),(455,5775,0.38624,2.1477),(455,5785,0.38939,2.1207),(455,5795,0.39255,2.0921),(455,5805,0.39679,2.0634),(455,5815,0.40112,2.0333),(455,5825,0.40544,2.0002),(455,5835,0.41055,1.9672),(455,5845,0.41592,1.9334),(455,5855,0.42129,1.8961),(455,5865,0.42739,1.8587),(455,5875,0.43404,1.8213),(455,5885,0.44068,1.7783),(455,5895,0.44794,1.7352),(455,5905,0.45613,1.6921),(455,5915,0.46432,1.6448),(455,5925,0.473,1.5965),(455,5935,0.48342,1.5482),(455,5945,0.49385,1.4965),(455,5955,0.50437,1.4427),(455,5965,0.51723,1.3889),(455,5975,0.53009,1.3329),(455,5985,0.54295,1.2741),(455,5995,0.41711,1.2154),(455,6005,0.26895,1.1705),(455,6015,0.1208,1.1628),(455,6025,0.1344,1.1552),(455,6035,0.22303,1.1473),(455,6045,0.31166,1.1376),(455,6055,0.37416,1.1279),(455,6065,0.41106,1.1182),(455,6075,0.44796,1.104),(455,6085,0.47258,1.0894),(455,6095,0.47189,1.0749),(455,6105,0.47119,1.0597),(455,6115,0.4704,1.0444),(455,6125,0.46903,1.029),(455,6135,0.46767,1.013),(455,6145,0.4663,0.99649),(455,6155,0.46464,0.97994),(455,6165,0.46296,0.96282),(455,6175,0.46129,0.94477),(455,6185,0.45956,0.92671),(455,6195,0.4578,0.90849),(455,6205,0.45605,0.88962),(455,6215,0.45434,0.87074),(455,6225,0.45266,0.85184),(455,6235,0.45097,0.83206),(455,6245,0.44936,0.81227),(455,6255,0.44783,0.79249),(455,6265,0.44631,0.77206),(455,6275,0.44482,0.75152),(455,6285,0.44344,0.73097),(455,6295,0.44207,0.7101),(455,6305,0.4407,0.68906),(455,6315,0.43949,0.66803),(455,6325,0.43827,0.6467),(455,6335,0.43705,0.62506),(455,6345,0.43603,0.60343),(455,6355,0.43503,0.58167),(455,6365,0.43402,0.55963),(455,6375,0.43311,0.53759),(455,6385,0.43223,0.51551),(455,6395,0.43135,0.49319),(455,6405,0.43058,0.47086),(455,6415,0.42991,0.44854),(455,6425,0.42923,0.42589),(455,6435,0.42858,0.40322),(455,6445,0.42798,0.38055),(455,6455,0.42738,0.35774),(455,6465,0.42682,0.33489),(455,6475,0.42642,0.31203),(455,6485,0.42603,0.28921),(455,6495,0.42564,0.26641),(455,6505,0.42532,0.24361),(455,6515,0.425,0.22063),(455,6525,0.42468,0.19742),(455,6535,0.42442,0.1742),(455,6545,0.42419,0.15101),(455,6555,0.42395,0.12788),(455,6565,0.4238,0.10475),(455,6575,0.4237,0.081616),(455,6585,0.4236,0.05843),(455,6595,0.36023,0.035245),(455,6605,0.227,0.01206),(455,6615,0.093766,0.009429),(455,6625,0.000108,0.00944),(455,6635,0.00011,0.00945),(455,6645,0.000111,0.009449),(455,6655,0.000112,0.009443),(455,6665,0.000113,0.009437),(455,6675,0.000114,0.009431),(455,6685,0.000115,0.009425),(455,6695,0.000116,0.009418),(455,6705,0.000118,0.009412),(455,6715,0.000119,0.009406),(455,6725,0.00012,0.0094),(455,6735,0.000121,0.009393),(455,6745,0.000122,0.009387),(455,6755,0.000123,0.009381),(455,6765,0.000124,0.009375),(455,6775,0.000125,0.009369),(455,6785,0.000126,0.009362),(455,6795,0.000127,0.009356),(455,6805,0.000128,0.00935),(455,6815,0.000129,0.009343),(455,6825,0.00013,0.009337),(455,6835,0.000131,0.009331),(455,6845,0.000132,0.009324),(455,6855,0.000133,0.009318),(455,6865,0.000134,0.009312),(455,6875,0.000135,0.009305),(455,6885,0.000136,0.009299),(455,6895,0.000136,0.009292),(455,6905,0.000137,0.009286),(455,6915,0.000138,0.009279),(455,6925,0.000139,0.009273),(455,6935,0.00014,0.009266),(455,6945,0.000141,0.00926),(455,6955,0.000142,0.009253),(455,6965,0.000142,0.009246),(455,6975,0.000143,0.009239),(455,6985,0.000144,0.009233),(465,5,2.4e-05,3.6658),(465,15,7.2e-05,3.6658),(465,25,0.000119,3.6658),(465,35,0.000167,3.6658),(465,45,0.000215,3.6658),(465,55,0.000262,3.6658),(465,65,0.00031,3.6657),(465,75,0.000358,3.6657),(465,85,0.000406,3.6657),(465,95,0.000454,3.6657),(465,105,0.000502,3.6657),(465,115,0.00055,3.6656),(465,125,0.000598,3.6656),(465,135,0.000646,3.6656),(465,145,0.000694,3.6656),(465,155,0.000742,3.6655),(465,165,0.00079,3.6655),(465,175,0.000839,3.6655),(465,185,0.000887,3.6654),(465,195,0.000936,3.6654),(465,205,0.000984,3.6653),(465,215,0.001033,3.6653),(465,225,0.001082,3.6653),(465,235,0.001131,3.6652),(465,245,0.00118,3.6652),(465,255,0.001229,3.6651),(465,265,0.001278,3.6651),(465,275,0.001328,3.665),(465,285,0.001378,3.6649),(465,295,0.001427,3.6649),(465,305,0.001477,3.6648),(465,315,0.001527,3.6648),(465,325,0.001577,3.6647),(465,335,0.001628,3.6646),(465,345,0.001678,3.6645),(465,355,0.001729,3.6645),(465,365,0.00178,3.6644),(465,375,0.00183,3.6643),(465,385,0.001881,3.6642),(465,395,0.001933,3.6642),(465,405,0.001984,3.6641),(465,415,0.002035,3.664),(465,425,0.002087,3.6639),(465,435,0.002139,3.6638),(465,445,0.002192,3.6637),(465,455,0.002244,3.6636),(465,465,0.002297,3.6635),(465,475,0.00235,3.6634),(465,485,0.002403,3.6633),(465,495,0.002456,3.6632),(465,505,0.00251,3.6631),(465,515,0.002563,3.663),(465,525,0.002617,3.6629),(465,535,0.002671,3.6628),(465,545,0.002726,3.6627),(465,555,0.00278,3.6625),(465,565,0.002835,3.6624),(465,575,0.00289,3.6623),(465,585,0.002946,3.6622),(465,595,0.003002,3.662),(465,605,0.003057,3.6619),(465,615,0.003113,3.6618),(465,625,0.00317,3.6616),(465,635,0.003227,3.6615),(465,645,0.003284,3.6614),(465,655,0.003341,3.6612),(465,665,0.003399,3.6611),(465,675,0.003457,3.6609),(465,685,0.003515,3.6608),(465,695,0.003573,3.6606),(465,705,0.003633,3.6605),(465,715,0.003692,3.6603),(465,725,0.003751,3.6601),(465,735,0.003811,3.66),(465,745,0.003872,3.6598),(465,755,0.003932,3.6596),(465,765,0.003993,3.6595),(465,775,0.004054,3.6593),(465,785,0.004116,3.6591),(465,795,0.004178,3.6589),(465,805,0.00424,3.6588),(465,815,0.004302,3.6586),(465,825,0.004366,3.6584),(465,835,0.004429,3.6582),(465,845,0.004493,3.658),(465,855,0.004556,3.6578),(465,865,0.004621,3.6576),(465,875,0.004686,3.6574),(465,885,0.004751,3.6572),(465,895,0.004816,3.657),(465,905,0.004883,3.6568),(465,915,0.004949,3.6566),(465,925,0.005016,3.6564),(465,935,0.005083,3.6561),(465,945,0.005151,3.6559),(465,955,0.005219,3.6557),(465,965,0.005287,3.6555),(465,975,0.005356,3.6552),(465,985,0.005425,3.655),(465,995,0.005495,3.6548),(465,1005,0.005565,3.6545),(465,1015,0.005635,3.6543),(465,1025,0.005706,3.654),(465,1035,0.005777,3.6538),(465,1045,0.005849,3.6535),(465,1055,0.005921,3.6533),(465,1065,0.005994,3.653),(465,1075,0.006066,3.6528),(465,1085,0.006139,3.6525),(465,1095,0.006213,3.6522),(465,1105,0.006288,3.652),(465,1115,0.006363,3.6517),(465,1125,0.006438,3.6514),(465,1135,0.006514,3.6511),(465,1145,0.00659,3.6509),(465,1155,0.006667,3.6506),(465,1165,0.006744,3.6503),(465,1175,0.006822,3.65),(465,1185,0.0069,3.6497),(465,1195,0.006979,3.6494),(465,1205,0.007057,3.6491),(465,1215,0.007137,3.6488),(465,1225,0.007217,3.6485),(465,1235,0.007298,3.6481),(465,1245,0.007378,3.6478),(465,1255,0.00746,3.6475),(465,1265,0.007542,3.6472),(465,1275,0.007625,3.6469),(465,1285,0.007707,3.6465),(465,1295,0.007791,3.6462),(465,1305,0.007875,3.6459),(465,1315,0.007959,3.6455),(465,1325,0.008044,3.6452),(465,1335,0.008129,3.6448),(465,1345,0.008216,3.6445),(465,1355,0.008302,3.6441),(465,1365,0.008388,3.6437),(465,1375,0.008476,3.6434),(465,1385,0.008564,3.643),(465,1395,0.008652,3.6426),(465,1405,0.00874,3.6422),(465,1415,0.00883,3.6419),(465,1425,0.00892,3.6415),(465,1435,0.00901,3.6411),(465,1445,0.0091,3.6407),(465,1455,0.009193,3.6403),(465,1465,0.009285,3.6399),(465,1475,0.009377,3.6395),(465,1485,0.009469,3.6391),(465,1495,0.009564,3.6387),(465,1505,0.009658,3.6383),(465,1515,0.009752,3.6378),(465,1525,0.009847,3.6374),(465,1535,0.009943,3.637),(465,1545,0.010039,3.6365),(465,1555,0.010135,3.6361),(465,1565,0.010232,3.6356),(465,1575,0.01033,3.6352),(465,1585,0.010428,3.6348),(465,1595,0.010527,3.6343),(465,1605,0.010625,3.6338),(465,1615,0.010725,3.6334),(465,1625,0.010826,3.6329),(465,1635,0.010926,3.6324),(465,1645,0.011026,3.6319),(465,1655,0.011129,3.6315),(465,1665,0.011231,3.631),(465,1675,0.011333,3.6305),(465,1685,0.011436,3.63),(465,1695,0.01154,3.6295),(465,1705,0.011645,3.629),(465,1715,0.011749,3.6285),(465,1725,0.011854,3.628),(465,1735,0.01196,3.6274),(465,1745,0.012066,3.6269),(465,1755,0.012173,3.6264),(465,1765,0.01228,3.6259),(465,1775,0.012388,3.6253),(465,1785,0.012496,3.6248),(465,1795,0.012604,3.6242),(465,1805,0.012713,3.6237),(465,1815,0.012823,3.6231),(465,1825,0.012934,3.6226),(465,1835,0.013044,3.622),(465,1845,0.013155,3.6214),(465,1855,0.013267,3.6208),(465,1865,0.013379,3.6203),(465,1875,0.013491,3.6197),(465,1885,0.013604,3.6191),(465,1895,0.013718,3.6185),(465,1905,0.013832,3.6179),(465,1915,0.013947,3.6173),(465,1925,0.014061,3.6167),(465,1935,0.014177,3.6161),(465,1945,0.014294,3.6154),(465,1955,0.01441,3.6148),(465,1965,0.014526,3.6142),(465,1975,0.014644,3.6135),(465,1985,0.014762,3.6129),(465,1995,0.01488,3.6122),(465,2005,0.014999,3.6116),(465,2015,0.015119,3.6109),(465,2025,0.015239,3.6103),(465,2035,0.015358,3.6096),(465,2045,0.015479,3.6089),(465,2055,0.015601,3.6083),(465,2065,0.015723,3.6076),(465,2075,0.015845,3.6069),(465,2085,0.015967,3.6062),(465,2095,0.016091,3.6055),(465,2105,0.016215,3.6048),(465,2115,0.016338,3.6041),(465,2125,0.016463,3.6033),(465,2135,0.016588,3.6026),(465,2145,0.016714,3.6019),(465,2155,0.016839,3.6012),(465,2165,0.016966,3.6004),(465,2175,0.017093,3.5997),(465,2185,0.017221,3.5989),(465,2195,0.017348,3.5982),(465,2205,0.017477,3.5974),(465,2215,0.017607,3.5967),(465,2225,0.017736,3.5959),(465,2235,0.017865,3.5951),(465,2245,0.017996,3.5943),(465,2255,0.018128,3.5936),(465,2265,0.018259,3.5928),(465,2275,0.018391,3.592),(465,2285,0.018524,3.5912),(465,2295,0.018658,3.5904),(465,2305,0.018791,3.5895),(465,2315,0.018925,3.5887),(465,2325,0.01906,3.5879),(465,2335,0.019196,3.5871),(465,2345,0.019332,3.5862),(465,2355,0.019468,3.5854),(465,2365,0.019607,3.5845),(465,2375,0.019745,3.5837),(465,2385,0.019884,3.5828),(465,2395,0.020023,3.5819),(465,2405,0.020164,3.5811),(465,2415,0.020305,3.5802),(465,2425,0.020447,3.5793),(465,2435,0.020588,3.5784),(465,2445,0.020733,3.5775),(465,2455,0.020877,3.5766),(465,2465,0.021022,3.5757),(465,2475,0.021166,3.5748),(465,2485,0.021314,3.5739),(465,2495,0.021462,3.573),(465,2505,0.02161,3.5721),(465,2515,0.021758,3.5711),(465,2525,0.021909,3.5702),(465,2535,0.022061,3.5693),(465,2545,0.022213,3.5683),(465,2555,0.022365,3.5673),(465,2565,0.022522,3.5664),(465,2575,0.022678,3.5654),(465,2585,0.022834,3.5645),(465,2595,0.022991,3.5635),(465,2605,0.023153,3.5625),(465,2615,0.023314,3.5615),(465,2625,0.023476,3.5605),(465,2635,0.023638,3.5595),(465,2645,0.023806,3.5585),(465,2655,0.023973,3.5575),(465,2665,0.02414,3.5565),(465,2675,0.024309,3.5555),(465,2685,0.024483,3.5544),(465,2695,0.024657,3.5534),(465,2705,0.024831,3.5524),(465,2715,0.025007,3.5513),(465,2725,0.025189,3.5503),(465,2735,0.025371,3.5492),(465,2745,0.025553,3.5482),(465,2755,0.025738,3.5471),(465,2765,0.025929,3.546),(465,2775,0.026121,3.545),(465,2785,0.026312,3.5439),(465,2795,0.026507,3.5428),(465,2805,0.026709,3.5417),(465,2815,0.026911,3.5406),(465,2825,0.027114,3.5395),(465,2835,0.02732,3.5384),(465,2845,0.027535,3.5373),(465,2855,0.02775,3.5362),(465,2865,0.027965,3.535),(465,2875,0.028186,3.5339),(465,2885,0.028416,3.5328),(465,2895,0.028646,3.5317),(465,2905,0.028876,3.5305),(465,2915,0.029113,3.5294),(465,2925,0.029361,3.5282),(465,2935,0.029608,3.5271),(465,2945,0.029855,3.5259),(465,2955,0.030112,3.5247),(465,2965,0.03038,3.5236),(465,2975,0.030647,3.5224),(465,2985,0.030915,3.5212),(465,2995,0.031194,3.52),(465,3005,0.031486,3.5188),(465,3015,0.031778,3.5176),(465,3025,0.032069,3.5164),(465,3035,0.032376,3.5152),(465,3045,0.032695,3.514),(465,3055,0.033015,3.5128),(465,3065,0.033335,3.5116),(465,3075,0.033673,3.5104),(465,3085,0.034025,3.5092),(465,3095,0.034377,3.508),(465,3105,0.03473,3.5067),(465,3115,0.035105,3.5055),(465,3125,0.035496,3.5043),(465,3135,0.035886,3.503),(465,3145,0.036277,3.5018),(465,3155,0.036696,3.5006),(465,3165,0.037131,3.4993),(465,3175,0.037566,3.4981),(465,3185,0.038001,3.4968),(465,3195,0.038472,3.4956),(465,3205,0.038959,3.4943),(465,3215,0.039446,3.4931),(465,3225,0.039933,3.4918),(465,3235,0.040464,3.4906),(465,3245,0.041011,3.4893),(465,3255,0.041558,3.4881),(465,3265,0.042106,3.4868),(465,3275,0.042707,3.4856),(465,3285,0.043324,3.4843),(465,3295,0.043942,3.4831),(465,3305,0.044559,3.4819),(465,3315,0.045242,3.4806),(465,3325,0.045941,3.4794),(465,3335,0.04664,3.4781),(465,3345,0.047338,3.4769),(465,3355,0.048116,3.4757),(465,3365,0.048909,3.4745),(465,3375,0.049701,3.4733),(465,3385,0.050493,3.4721),(465,3395,0.051381,3.4709),(465,3405,0.052281,3.4697),(465,3415,0.053181,3.4685),(465,3425,0.054081,3.4674),(465,3435,0.055095,3.4663),(465,3445,0.056118,3.4651),(465,3455,0.057142,3.464),(465,3465,0.058165,3.4629),(465,3475,0.059323,3.4619),(465,3485,0.060486,3.4608),(465,3495,0.06165,3.4598),(465,3505,0.062814,3.4588),(465,3515,0.064134,3.4578),(465,3525,0.065454,3.4568),(465,3535,0.066774,3.4559),(465,3545,0.068101,3.4551),(465,3555,0.069595,3.4542),(465,3565,0.071088,3.4534),(465,3575,0.072582,3.4527),(465,3585,0.074091,3.452),(465,3595,0.075772,3.4513),(465,3605,0.077453,3.4506),(465,3615,0.079134,3.4501),(465,3625,0.08084,3.4497),(465,3635,0.082717,3.4492),(465,3645,0.084594,3.4488),(465,3655,0.086471,3.4486),(465,3665,0.088379,3.4485),(465,3675,0.090448,3.4483),(465,3685,0.092518,3.4482),(465,3695,0.094587,3.4485),(465,3705,0.096691,3.4487),(465,3715,0.098928,3.4489),(465,3725,0.10117,3.4493),(465,3735,0.1034,3.45),(465,3745,0.10567,3.4508),(465,3755,0.10802,3.4515),(465,3765,0.11036,3.4524),(465,3775,0.11271,3.4538),(465,3785,0.11506,3.4552),(465,3795,0.11741,3.4566),(465,3805,0.11975,3.4582),(465,3815,0.1221,3.4603),(465,3825,0.12439,3.4625),(465,3835,0.12655,3.4646),(465,3845,0.1287,3.4671),(465,3855,0.13086,3.4701),(465,3865,0.13286,3.4731),(465,3875,0.13455,3.4761),(465,3885,0.13624,3.4795),(465,3895,0.13794,3.4834),(465,3905,0.1652,3.4873),(465,3915,0.23066,3.4911),(465,3925,0.29612,3.4972),(465,3935,0.36158,3.5062),(465,3945,0.41028,3.5151),(465,3955,0.4377,3.5241),(465,3965,0.46512,3.5317),(465,3975,0.49254,3.5377),(465,3985,0.49081,3.5436),(465,3995,0.4575,3.5496),(465,4005,0.4242,3.5532),(465,4015,0.3909,3.5547),(465,4025,0.36307,3.5561),(465,4035,0.33577,3.5567),(465,4045,0.30848,3.5558),(465,4055,0.28534,3.5548),(465,4065,0.26371,3.5535),(465,4075,0.24208,3.5508),(465,4085,0.2234,3.5481),(465,4095,0.20707,3.5454),(465,4105,0.19075,3.5414),(465,4115,0.17073,3.5374),(465,4125,0.1446,3.5334),(465,4135,0.11846,3.5299),(465,4145,0.09553,3.5266),(465,4155,0.085589,3.5233),(465,4165,0.075648,3.5231),(465,4175,0.066394,3.5249),(465,4185,0.091159,3.5267),(465,4195,0.11593,3.5271),(465,4205,0.14069,3.5257),(465,4215,0.13193,3.5242),(465,4225,0.11685,3.5218),(465,4235,0.10178,3.5166),(465,4245,0.08835,3.5114),(465,4255,0.075757,3.5062),(465,4265,0.063163,3.5017),(465,4275,0.050887,3.4972),(465,4285,0.038945,3.4927),(465,4295,0.027004,3.4919),(465,4305,0.037952,3.4916),(465,4315,0.10059,3.4913),(465,4325,0.16322,3.5015),(465,4335,0.2173,3.5157),(465,4345,0.21347,3.53),(465,4355,0.20965,3.5396),(465,4365,0.20583,3.5451),(465,4375,0.19556,3.5506),(465,4385,0.18495,3.552),(465,4395,0.17434,3.5461),(465,4405,0.14597,3.5402),(465,4415,0.11235,3.5339),(465,4425,0.078743,3.5261),(465,4435,0.075885,3.5183),(465,4445,0.094043,3.5105),(465,4455,0.1122,3.5175),(465,4465,0.13936,3.5244),(465,4475,0.17915,3.5314),(465,4485,0.21895,3.5351),(465,4495,0.24496,3.538),(465,4505,0.22672,3.541),(465,4515,0.20848,3.5353),(465,4525,0.19005,3.5249),(465,4535,0.16853,3.5145),(465,4545,0.14702,3.4995),(465,4555,0.12551,3.4794),(465,4565,0.091638,3.4593),(465,4575,0.056102,3.4454),(465,4585,0.020566,3.4467),(465,4595,0.022664,3.448),(465,4605,0.040663,3.4499),(465,4615,0.058662,3.4561),(465,4625,0.068428,3.4622),(465,4635,0.070737,3.4684),(465,4645,0.073046,3.4661),(465,4655,0.070666,3.4633),(465,4665,0.059443,3.4604),(465,4675,0.04822,3.4411),(465,4685,0.036941,3.4166),(465,4695,0.025382,3.3921),(465,4705,0.013823,3.3741),(465,4715,0.002264,3.3609),(465,4725,0.046188,3.3477),(465,4735,0.090668,3.343),(465,4745,0.13515,3.3509),(465,4755,0.14983,3.3588),(465,4765,0.1576,3.3637),(465,4775,0.16538,3.358),(465,4785,0.15679,3.3524),(465,4795,0.13873,3.3459),(465,4805,0.12067,3.3208),(465,4815,0.10127,3.2956),(465,4825,0.080266,3.2704),(465,4835,0.059264,3.2425),(465,4845,0.049428,3.214),(465,4855,0.068697,3.1856),(465,4865,0.087965,3.1818),(465,4875,0.11267,3.1891),(465,4885,0.1868,3.1964),(465,4895,0.26094,3.2037),(465,4905,0.33507,3.2109),(465,4915,0.30747,3.2181),(465,4925,0.27111,3.2192),(465,4935,0.23476,3.2079),(465,4945,0.19547,3.1966),(465,4955,0.15516,3.1844),(465,4965,0.11484,3.1672),(465,4975,0.080663,3.1501),(465,4985,0.051213,3.133),(465,4995,0.021762,3.1314),(465,5005,0.004322,3.1302),(465,5015,0.005975,3.1289),(465,5025,0.007627,3.1269),(465,5035,0.006055,3.1247),(465,5045,-0.007805,3.1225),(465,5055,-0.021666,3.1082),(465,5065,-0.035536,3.0865),(465,5075,-0.049735,3.0647),(465,5085,-0.063934,3.0333),(465,5095,-0.078133,2.9895),(465,5105,-0.07176,2.9457),(465,5115,-0.061798,2.9046),(465,5125,-0.051836,2.871),(465,5135,-0.001643,2.8373),(465,5145,0.068073,2.807),(465,5155,0.13779,2.813),(465,5165,0.21372,2.819),(465,5175,0.29599,2.825),(465,5185,0.37825,2.8223),(465,5195,0.43353,2.8187),(465,5205,0.4306,2.8151),(465,5215,0.42767,2.7976),(465,5225,0.42341,2.7748),(465,5235,0.41088,2.7521),(465,5245,0.39835,2.7222),(465,5255,0.38581,2.6865),(465,5265,0.26892,2.6508),(465,5275,0.14772,2.6285),(465,5285,0.026526,2.6285),(465,5295,0.017405,2.6286),(465,5305,0.039495,2.6287),(465,5315,0.061585,2.6287),(465,5325,0.081548,2.6287),(465,5335,0.10012,2.6284),(465,5345,0.11868,2.6111),(465,5355,0.13625,2.5937),(465,5365,0.15247,2.5763),(465,5375,0.16869,2.5408),(465,5385,0.17188,2.5019),(465,5395,0.13547,2.4629),(465,5405,0.099066,2.4408),(465,5415,0.074083,2.4274),(465,5425,0.20256,2.4141),(465,5435,0.33103,2.4136),(465,5445,0.45951,2.427),(465,5455,0.52924,2.4404),(465,5465,0.5918,2.4534),(465,5475,0.65436,2.4654),(465,5485,0.65477,2.4775),(465,5495,0.63015,2.4885),(465,5505,0.60553,2.4921),(465,5515,0.58302,2.4958),(465,5525,0.56236,2.4994),(465,5535,0.54169,2.4972),(465,5545,0.52251,2.4947),(465,5555,0.50602,2.4921),(465,5565,0.48953,2.4862),(465,5575,0.47378,2.4792),(465,5585,0.46139,2.4722),(465,5595,0.449,2.4631),(465,5605,0.43661,2.4526),(465,5615,0.42813,2.442),(465,5625,0.41965,2.4302),(465,5635,0.41116,2.4165),(465,5645,0.4055,2.4029),(465,5655,0.40044,2.3886),(465,5665,0.39539,2.3722),(465,5675,0.39223,2.3559),(465,5685,0.39012,2.3394),(465,5695,0.38802,2.3203),(465,5705,0.38706,2.3012),(465,5715,0.38742,2.2822),(465,5725,0.38777,2.2605),(465,5735,0.38872,2.2385),(465,5745,0.3911,2.2165),(465,5755,0.39349,2.1921),(465,5765,0.39605,2.1668),(465,5775,0.39999,2.1414),(465,5785,0.40392,2.1142),(465,5795,0.40786,2.0854),(465,5805,0.413,2.0566),(465,5815,0.41824,2.0263),(465,5825,0.42348,1.9931),(465,5835,0.42964,1.9598),(465,5845,0.4361,1.9259),(465,5855,0.44256,1.8885),(465,5865,0.44984,1.851),(465,5875,0.45771,1.8136),(465,5885,0.46559,1.7706),(465,5895,0.47412,1.7276),(465,5905,0.48366,1.6846),(465,5915,0.4932,1.6377),(465,5925,0.50322,1.5898),(465,5935,0.51496,1.5419),(465,5945,0.5267,1.4908),(465,5955,0.53853,1.4377),(465,5965,0.5525,1.3846),(465,5975,0.56647,1.3294),(465,5985,0.58044,1.2718),(465,5995,0.44592,1.2141),(465,6005,0.2875,1.1701),(465,6015,0.12908,1.1625),(465,6025,0.13896,1.155),(465,6035,0.22688,1.1472),(465,6045,0.31481,1.1372),(465,6055,0.37723,1.1272),(465,6065,0.41464,1.1171),(465,6075,0.45205,1.1027),(465,6085,0.47712,1.0878),(465,6095,0.47678,1.0729),(465,6105,0.47643,1.0575),(465,6115,0.47598,1.042),(465,6125,0.47499,1.0264),(465,6135,0.474,1.0103),(465,6145,0.47301,0.99363),(465,6155,0.47168,0.97698),(465,6165,0.47034,0.95978),(465,6175,0.469,0.94169),(465,6185,0.46756,0.9236),(465,6195,0.4661,0.90536),(465,6205,0.46463,0.8865),(465,6215,0.46318,0.86765),(465,6225,0.46172,0.84877),(465,6235,0.46026,0.82904),(465,6245,0.45886,0.80932),(465,6255,0.45752,0.78959),(465,6265,0.45618,0.76923),(465,6275,0.45487,0.74876),(465,6285,0.45366,0.72829),(465,6295,0.45245,0.70749),(465,6305,0.45126,0.68653),(465,6315,0.45017,0.66556),(465,6325,0.44908,0.64432),(465,6335,0.44799,0.62279),(465,6345,0.44708,0.60126),(465,6355,0.4462,0.5796),(465,6365,0.44532,0.55764),(465,6375,0.44451,0.53567),(465,6385,0.44374,0.51367),(465,6395,0.44296,0.49145),(465,6405,0.44227,0.46923),(465,6415,0.44167,0.447),(465,6425,0.44107,0.42442),(465,6435,0.44049,0.40181),(465,6445,0.43994,0.37921),(465,6455,0.4394,0.3565),(465,6465,0.43889,0.33376),(465,6475,0.43855,0.31102),(465,6485,0.43821,0.28828),(465,6495,0.43788,0.26554),(465,6505,0.43758,0.2428),(465,6515,0.43728,0.21989),(465,6525,0.43698,0.19674),(465,6535,0.43675,0.1736),(465,6545,0.43654,0.15049),(465,6555,0.43632,0.12745),(465,6565,0.43619,0.10441),(465,6575,0.4361,0.081374),(465,6585,0.43601,0.058264),(465,6595,0.37079,0.035154),(465,6605,0.23365,0.012045),(465,6615,0.096516,0.009425),(465,6625,0.000112,0.009438),(465,6635,0.000113,0.009451),(465,6645,0.000114,0.00945),(465,6655,0.000115,0.009444),(465,6665,0.000116,0.009438),(465,6675,0.000117,0.009432),(465,6685,0.000118,0.009426),(465,6695,0.00012,0.00942),(465,6705,0.000121,0.009413),(465,6715,0.000122,0.009407),(465,6725,0.000123,0.009401),(465,6735,0.000124,0.009395),(465,6745,0.000125,0.009388),(465,6755,0.000126,0.009382),(465,6765,0.000127,0.009376),(465,6775,0.000128,0.00937),(465,6785,0.000129,0.009363),(465,6795,0.00013,0.009357),(465,6805,0.000131,0.009351),(465,6815,0.000132,0.009344),(465,6825,0.000133,0.009338),(465,6835,0.000134,0.009332),(465,6845,0.000135,0.009325),(465,6855,0.000136,0.009319),(465,6865,0.000137,0.009312),(465,6875,0.000138,0.009306),(465,6885,0.000139,0.0093),(465,6895,0.00014,0.009293),(465,6905,0.000141,0.009287),(465,6915,0.000141,0.00928),(465,6925,0.000142,0.009274),(465,6935,0.000143,0.009267),(465,6945,0.000144,0.00926),(465,6955,0.000145,0.009254),(465,6965,0.000146,0.009247),(465,6975,0.000146,0.00924),(465,6985,0.000147,0.009234),(475,5,2.4e-05,3.6658),(475,15,7.3e-05,3.6658),(475,25,0.000122,3.6658),(475,35,0.00017,3.6658),(475,45,0.000219,3.6658),(475,55,0.000268,3.6658),(475,65,0.000317,3.6658),(475,75,0.000365,3.6658),(475,85,0.000414,3.6658),(475,95,0.000463,3.6657),(475,105,0.000512,3.6657),(475,115,0.000561,3.6657),(475,125,0.00061,3.6657),(475,135,0.000659,3.6656),(475,145,0.000708,3.6656),(475,155,0.000757,3.6656),(475,165,0.000807,3.6656),(475,175,0.000856,3.6655),(475,185,0.000905,3.6655),(475,195,0.000955,3.6654),(475,205,0.001004,3.6654),(475,215,0.001054,3.6654),(475,225,0.001104,3.6653),(475,235,0.001154,3.6653),(475,245,0.001204,3.6652),(475,255,0.001254,3.6652),(475,265,0.001304,3.6651),(475,275,0.001355,3.6651),(475,285,0.001406,3.665),(475,295,0.001456,3.6649),(475,305,0.001507,3.6649),(475,315,0.001558,3.6648),(475,325,0.00161,3.6647),(475,335,0.001661,3.6647),(475,345,0.001713,3.6646),(475,355,0.001764,3.6645),(475,365,0.001816,3.6644),(475,375,0.001868,3.6644),(475,385,0.00192,3.6643),(475,395,0.001972,3.6642),(475,405,0.002025,3.6641),(475,415,0.002077,3.664),(475,425,0.00213,3.6639),(475,435,0.002183,3.6639),(475,445,0.002237,3.6638),(475,455,0.00229,3.6637),(475,465,0.002344,3.6636),(475,475,0.002398,3.6635),(475,485,0.002452,3.6634),(475,495,0.002506,3.6633),(475,505,0.002561,3.6632),(475,515,0.002616,3.6631),(475,525,0.002671,3.6629),(475,535,0.002726,3.6628),(475,545,0.002782,3.6627),(475,555,0.002838,3.6626),(475,565,0.002894,3.6625),(475,575,0.00295,3.6623),(475,585,0.003007,3.6622),(475,595,0.003063,3.6621),(475,605,0.00312,3.662),(475,615,0.003177,3.6618),(475,625,0.003235,3.6617),(475,635,0.003293,3.6616),(475,645,0.003351,3.6614),(475,655,0.00341,3.6613),(475,665,0.003469,3.6611),(475,675,0.003528,3.661),(475,685,0.003588,3.6608),(475,695,0.003647,3.6607),(475,705,0.003708,3.6605),(475,715,0.003768,3.6604),(475,725,0.003829,3.6602),(475,735,0.00389,3.66),(475,745,0.003951,3.6599),(475,755,0.004013,3.6597),(475,765,0.004075,3.6595),(475,775,0.004137,3.6594),(475,785,0.004201,3.6592),(475,795,0.004264,3.659),(475,805,0.004327,3.6588),(475,815,0.004391,3.6586),(475,825,0.004456,3.6585),(475,835,0.004521,3.6583),(475,845,0.004585,3.6581),(475,855,0.004651,3.6579),(475,865,0.004717,3.6577),(475,875,0.004783,3.6575),(475,885,0.004849,3.6573),(475,895,0.004916,3.6571),(475,905,0.004984,3.6569),(475,915,0.005051,3.6566),(475,925,0.005119,3.6564),(475,935,0.005188,3.6562),(475,945,0.005257,3.656),(475,955,0.005327,3.6558),(475,965,0.005396,3.6555),(475,975,0.005466,3.6553),(475,985,0.005537,3.6551),(475,995,0.005609,3.6548),(475,1005,0.00568,3.6546),(475,1015,0.005752,3.6544),(475,1025,0.005824,3.6541),(475,1035,0.005897,3.6539),(475,1045,0.00597,3.6536),(475,1055,0.006044,3.6534),(475,1065,0.006118,3.6531),(475,1075,0.006192,3.6528),(475,1085,0.006267,3.6526),(475,1095,0.006342,3.6523),(475,1105,0.006419,3.652),(475,1115,0.006495,3.6518),(475,1125,0.006571,3.6515),(475,1135,0.006649,3.6512),(475,1145,0.006727,3.6509),(475,1155,0.006805,3.6506),(475,1165,0.006884,3.6504),(475,1175,0.006963,3.6501),(475,1185,0.007043,3.6498),(475,1195,0.007124,3.6495),(475,1205,0.007204,3.6492),(475,1215,0.007285,3.6489),(475,1225,0.007367,3.6485),(475,1235,0.00745,3.6482),(475,1245,0.007532,3.6479),(475,1255,0.007615,3.6476),(475,1265,0.007699,3.6473),(475,1275,0.007783,3.6469),(475,1285,0.007867,3.6466),(475,1295,0.007953,3.6463),(475,1305,0.008039,3.6459),(475,1315,0.008125,3.6456),(475,1325,0.008211,3.6452),(475,1335,0.008299,3.6449),(475,1345,0.008387,3.6445),(475,1355,0.008475,3.6442),(475,1365,0.008563,3.6438),(475,1375,0.008653,3.6435),(475,1385,0.008743,3.6431),(475,1395,0.008833,3.6427),(475,1405,0.008923,3.6423),(475,1415,0.009014,3.642),(475,1425,0.009107,3.6416),(475,1435,0.009199,3.6412),(475,1445,0.009291,3.6408),(475,1455,0.009385,3.6404),(475,1465,0.009479,3.64),(475,1475,0.009573,3.6396),(475,1485,0.009667,3.6392),(475,1495,0.009764,3.6388),(475,1505,0.00986,3.6383),(475,1515,0.009956,3.6379),(475,1525,0.010053,3.6375),(475,1535,0.010151,3.6371),(475,1545,0.010249,3.6366),(475,1555,0.010348,3.6362),(475,1565,0.010446,3.6357),(475,1575,0.010547,3.6353),(475,1585,0.010647,3.6349),(475,1595,0.010747,3.6344),(475,1605,0.010848,3.6339),(475,1615,0.01095,3.6335),(475,1625,0.011053,3.633),(475,1635,0.011155,3.6325),(475,1645,0.011258,3.6321),(475,1655,0.011363,3.6316),(475,1665,0.011467,3.6311),(475,1675,0.011572,3.6306),(475,1685,0.011676,3.6301),(475,1695,0.011783,3.6296),(475,1705,0.01189,3.6291),(475,1715,0.011996,3.6286),(475,1725,0.012103,3.6281),(475,1735,0.012212,3.6276),(475,1745,0.01232,3.627),(475,1755,0.012429,3.6265),(475,1765,0.012538,3.626),(475,1775,0.012649,3.6254),(475,1785,0.012759,3.6249),(475,1795,0.01287,3.6243),(475,1805,0.012981,3.6238),(475,1815,0.013094,3.6232),(475,1825,0.013206,3.6227),(475,1835,0.013319,3.6221),(475,1845,0.013432,3.6215),(475,1855,0.013547,3.621),(475,1865,0.013661,3.6204),(475,1875,0.013776,3.6198),(475,1885,0.013891,3.6192),(475,1895,0.014008,3.6186),(475,1905,0.014124,3.618),(475,1915,0.014241,3.6174),(475,1925,0.014358,3.6168),(475,1935,0.014477,3.6162),(475,1945,0.014595,3.6156),(475,1955,0.014714,3.6149),(475,1965,0.014833,3.6143),(475,1975,0.014954,3.6137),(475,1985,0.015074,3.613),(475,1995,0.015194,3.6124),(475,2005,0.015316,3.6117),(475,2015,0.015438,3.6111),(475,2025,0.015561,3.6104),(475,2035,0.015683,3.6097),(475,2045,0.015806,3.609),(475,2055,0.015931,3.6084),(475,2065,0.016055,3.6077),(475,2075,0.016179,3.607),(475,2085,0.016305,3.6063),(475,2095,0.016431,3.6056),(475,2105,0.016557,3.6049),(475,2115,0.016683,3.6042),(475,2125,0.016811,3.6035),(475,2135,0.016939,3.6028),(475,2145,0.017067,3.602),(475,2155,0.017195,3.6013),(475,2165,0.017324,3.6006),(475,2175,0.017455,3.5998),(475,2185,0.017585,3.5991),(475,2195,0.017715,3.5983),(475,2205,0.017846,3.5976),(475,2215,0.017978,3.5968),(475,2225,0.01811,3.596),(475,2235,0.018243,3.5952),(475,2245,0.018376,3.5945),(475,2255,0.01851,3.5937),(475,2265,0.018644,3.5929),(475,2275,0.018779,3.5921),(475,2285,0.018914,3.5913),(475,2295,0.019051,3.5905),(475,2305,0.019187,3.5897),(475,2315,0.019323,3.5888),(475,2325,0.019461,3.588),(475,2335,0.0196,3.5872),(475,2345,0.019739,3.5864),(475,2355,0.019877,3.5855),(475,2365,0.020018,3.5847),(475,2375,0.02016,3.5838),(475,2385,0.020301,3.583),(475,2395,0.020442,3.5821),(475,2405,0.020586,3.5812),(475,2415,0.02073,3.5804),(475,2425,0.020875,3.5795),(475,2435,0.021019,3.5786),(475,2445,0.021166,3.5777),(475,2455,0.021313,3.5768),(475,2465,0.02146,3.5759),(475,2475,0.021607,3.575),(475,2485,0.021758,3.5741),(475,2495,0.021908,3.5732),(475,2505,0.022059,3.5722),(475,2515,0.022209,3.5713),(475,2525,0.022364,3.5704),(475,2535,0.022518,3.5694),(475,2545,0.022673,3.5685),(475,2555,0.022827,3.5675),(475,2565,0.022986,3.5665),(475,2575,0.023145,3.5656),(475,2585,0.023304,3.5646),(475,2595,0.023464,3.5636),(475,2605,0.023628,3.5627),(475,2615,0.023792,3.5617),(475,2625,0.023956,3.5607),(475,2635,0.024121,3.5597),(475,2645,0.024291,3.5587),(475,2655,0.024461,3.5577),(475,2665,0.024631,3.5567),(475,2675,0.024802,3.5556),(475,2685,0.024979,3.5546),(475,2695,0.025155,3.5536),(475,2705,0.025332,3.5525),(475,2715,0.02551,3.5515),(475,2725,0.025695,3.5505),(475,2735,0.025879,3.5494),(475,2745,0.026064,3.5484),(475,2755,0.026251,3.5473),(475,2765,0.026445,3.5462),(475,2775,0.026638,3.5452),(475,2785,0.026832,3.5441),(475,2795,0.027029,3.543),(475,2805,0.027233,3.5419),(475,2815,0.027438,3.5408),(475,2825,0.027643,3.5397),(475,2835,0.027851,3.5386),(475,2845,0.028068,3.5375),(475,2855,0.028286,3.5364),(475,2865,0.028503,3.5353),(475,2875,0.028725,3.5341),(475,2885,0.028957,3.533),(475,2895,0.029189,3.5319),(475,2905,0.029421,3.5307),(475,2915,0.02966,3.5296),(475,2925,0.029909,3.5285),(475,2935,0.030158,3.5273),(475,2945,0.030407,3.5261),(475,2955,0.030666,3.525),(475,2965,0.030935,3.5238),(475,2975,0.031204,3.5227),(475,2985,0.031473,3.5215),(475,2995,0.031754,3.5203),(475,3005,0.032046,3.5191),(475,3015,0.032339,3.5179),(475,3025,0.032631,3.5167),(475,3035,0.032939,3.5156),(475,3045,0.033259,3.5144),(475,3055,0.033579,3.5132),(475,3065,0.0339,3.512),(475,3075,0.034238,3.5107),(475,3085,0.034591,3.5095),(475,3095,0.034943,3.5083),(475,3105,0.035295,3.5071),(475,3115,0.035671,3.5059),(475,3125,0.03606,3.5047),(475,3135,0.03645,3.5034),(475,3145,0.03684,3.5022),(475,3155,0.037259,3.501),(475,3165,0.037692,3.4998),(475,3175,0.038126,3.4985),(475,3185,0.03856,3.4973),(475,3195,0.039028,3.496),(475,3205,0.039513,3.4948),(475,3215,0.039997,3.4936),(475,3225,0.040482,3.4923),(475,3235,0.041009,3.4911),(475,3245,0.041552,3.4899),(475,3255,0.042096,3.4886),(475,3265,0.042639,3.4874),(475,3275,0.043235,3.4862),(475,3285,0.043847,3.4849),(475,3295,0.044459,3.4837),(475,3305,0.045071,3.4825),(475,3315,0.045746,3.4813),(475,3325,0.046436,3.4801),(475,3335,0.047127,3.4789),(475,3345,0.047817,3.4777),(475,3355,0.048584,3.4765),(475,3365,0.049365,3.4753),(475,3375,0.050147,3.4741),(475,3385,0.050928,3.4729),(475,3395,0.0518,3.4717),(475,3405,0.052685,3.4706),(475,3415,0.05357,3.4695),(475,3425,0.054454,3.4683),(475,3435,0.055448,3.4672),(475,3445,0.056451,3.4661),(475,3455,0.057453,3.465),(475,3465,0.058456,3.464),(475,3475,0.059587,3.4629),(475,3485,0.060723,3.4619),(475,3495,0.061859,3.4609),(475,3505,0.062995,3.46),(475,3515,0.064279,3.459),(475,3525,0.065562,3.4581),(475,3535,0.066846,3.4573),(475,3545,0.068137,3.4564),(475,3555,0.069583,3.4556),(475,3565,0.071028,3.4548),(475,3575,0.072474,3.4542),(475,3585,0.073934,3.4535),(475,3595,0.075552,3.4528),(475,3605,0.07717,3.4522),(475,3615,0.078788,3.4518),(475,3625,0.080428,3.4514),(475,3635,0.082223,3.451),(475,3645,0.084019,3.4506),(475,3655,0.085814,3.4505),(475,3665,0.087636,3.4503),(475,3675,0.0896,3.4502),(475,3685,0.091563,3.4502),(475,3695,0.093527,3.4504),(475,3705,0.095518,3.4507),(475,3715,0.097621,3.451),(475,3725,0.099723,3.4514),(475,3735,0.10183,3.4521),(475,3745,0.10395,3.4529),(475,3755,0.10612,3.4536),(475,3765,0.1083,3.4546),(475,3775,0.11048,3.4559),(475,3785,0.11265,3.4573),(475,3795,0.11479,3.4587),(475,3805,0.11694,3.4603),(475,3815,0.11908,3.4624),(475,3825,0.12116,3.4645),(475,3835,0.12309,3.4666),(475,3845,0.12502,3.4689),(475,3855,0.12695,3.4718),(475,3865,0.12871,3.4747),(475,3875,0.13017,3.4776),(475,3885,0.13164,3.4808),(475,3895,0.13311,3.4845),(475,3905,0.15953,3.4882),(475,3915,0.22325,3.4919),(475,3925,0.28697,3.4977),(475,3935,0.35068,3.5064),(475,3945,0.39862,3.5151),(475,3955,0.42651,3.5238),(475,3965,0.4544,3.5313),(475,3975,0.48229,3.5371),(475,3985,0.48146,3.543),(475,3995,0.44955,3.5489),(475,4005,0.41764,3.5526),(475,4015,0.38573,3.554),(475,4025,0.3588,3.5554),(475,4035,0.33236,3.556),(475,4045,0.30593,3.555),(475,4055,0.28347,3.554),(475,4065,0.26248,3.5528),(475,4075,0.24148,3.5501),(475,4085,0.22336,3.5474),(475,4095,0.20754,3.5447),(475,4105,0.19172,3.5408),(475,4115,0.17206,3.5368),(475,4125,0.14602,3.5329),(475,4135,0.11997,3.5295),(475,4145,0.09683,3.5263),(475,4155,0.085428,3.523),(475,4165,0.074026,3.5226),(475,4175,0.063354,3.524),(475,4185,0.088786,3.5254),(475,4195,0.11422,3.5255),(475,4205,0.13965,3.5239),(475,4215,0.13222,3.5223),(475,4225,0.1186,3.5199),(475,4235,0.10498,3.5151),(475,4245,0.092035,3.5103),(475,4255,0.079433,3.5055),(475,4265,0.066831,3.5014),(475,4275,0.054,3.4974),(475,4285,0.040928,3.4933),(475,4295,0.027856,3.4926),(475,4305,0.036429,3.4924),(475,4315,0.093875,3.4922),(475,4325,0.15132,3.5016),(475,4335,0.20123,3.5149),(475,4345,0.20011,3.5282),(475,4355,0.199,3.5371),(475,4365,0.19788,3.5422),(475,4375,0.19123,3.5473),(475,4385,0.1843,3.5486),(475,4395,0.17737,3.5431),(475,4405,0.1506,3.5377),(475,4415,0.11799,3.5319),(475,4425,0.085369,3.5247),(475,4435,0.080019,3.5175),(475,4445,0.093301,3.5103),(475,4455,0.10658,3.5164),(475,4465,0.13119,3.5224),(475,4475,0.1717,3.5285),(475,4485,0.21221,3.5315),(475,4495,0.23978,3.5337),(475,4505,0.22581,3.536),(475,4515,0.21185,3.5304),(475,4525,0.19763,3.5204),(475,4535,0.1793,3.5104),(475,4545,0.16098,3.4962),(475,4555,0.14265,3.4773),(475,4565,0.10388,3.4584),(475,4575,0.062349,3.4454),(475,4585,0.020819,3.4465),(475,4595,0.019723,3.4476),(475,4605,0.035713,3.4492),(475,4615,0.051702,3.4542),(475,4625,0.06179,3.4593),(475,4635,0.066532,3.4643),(475,4645,0.071275,3.4613),(475,4655,0.072784,3.4577),(475,4665,0.068193,3.4542),(475,4675,0.063603,3.4356),(475,4685,0.057385,3.4122),(475,4695,0.043124,3.3889),(475,4705,0.028864,3.372),(475,4715,0.014603,3.3599),(475,4725,0.05107,3.3477),(475,4735,0.088044,3.343),(475,4745,0.12502,3.3494),(475,4755,0.14121,3.3557),(475,4765,0.15259,3.3592),(475,4775,0.16397,3.3527),(475,4785,0.16057,3.3461),(475,4795,0.14863,3.3388),(475,4805,0.13669,3.3145),(475,4815,0.1214,3.2901),(475,4825,0.1021,3.2658),(475,4835,0.082798,3.2394),(475,4845,0.071218,3.2127),(475,4855,0.079764,3.1859),(475,4865,0.08831,3.1819),(475,4875,0.10321,3.1881),(475,4885,0.17592,3.1944),(475,4895,0.24864,3.2002),(475,4905,0.32135,3.2058),(475,4915,0.29943,3.2113),(475,4925,0.26937,3.2114),(475,4935,0.2393,3.2005),(475,4945,0.20355,3.1897),(475,4955,0.16582,3.1781),(475,4965,0.12809,3.1624),(475,4975,0.092671,3.1468),(475,4985,0.059034,3.1311),(475,4995,0.025397,3.1296),(475,5005,0.004799,3.1285),(475,5015,0.004932,3.1274),(475,5025,0.005064,3.1241),(475,5035,0.003415,3.1203),(475,5045,-0.005022,3.1165),(475,5055,-0.013459,3.1012),(475,5065,-0.021866,3.0788),(475,5075,-0.02929,3.0565),(475,5085,-0.036714,3.0252),(475,5095,-0.044138,2.9826),(475,5105,-0.038331,2.94),(475,5115,-0.030217,2.9002),(475,5125,-0.022103,2.8682),(475,5135,0.01921,2.8363),(475,5145,0.076635,2.8075),(475,5155,0.13406,2.8121),(475,5165,0.20426,2.8168),(475,5175,0.28748,2.8214),(475,5185,0.37071,2.8173),(475,5195,0.42851,2.8123),(475,5205,0.4315,2.8072),(475,5215,0.43448,2.7896),(475,5225,0.43592,2.7673),(475,5235,0.42778,2.7449),(475,5245,0.41963,2.7164),(475,5255,0.41149,2.6827),(475,5265,0.28692,2.6491),(475,5275,0.15756,2.6279),(475,5285,0.028191,2.628),(475,5295,0.01611,2.6281),(475,5305,0.036689,2.6279),(475,5315,0.057269,2.6264),(475,5325,0.079193,2.6249),(475,5335,0.102,2.6232),(475,5345,0.1248,2.6053),(475,5355,0.14746,2.5873),(475,5365,0.1699,2.5694),(475,5375,0.19235,2.5351),(475,5385,0.19883,2.4975),(475,5395,0.15679,2.46),(475,5405,0.11474,2.4389),(475,5415,0.08391,2.4263),(475,5425,0.20364,2.4138),(475,5435,0.32336,2.4132),(475,5445,0.44309,2.4257),(475,5455,0.51162,2.4382),(475,5465,0.57389,2.4504),(475,5475,0.63616,2.4618),(475,5485,0.63831,2.4731),(475,5495,0.61624,2.4835),(475,5505,0.59417,2.4869),(475,5515,0.57385,2.4904),(475,5525,0.55505,2.4938),(475,5535,0.53625,2.4916),(475,5545,0.51874,2.4891),(475,5555,0.50358,2.4866),(475,5565,0.48841,2.4807),(475,5575,0.47391,2.4738),(475,5585,0.46245,2.4669),(475,5595,0.451,2.4579),(475,5605,0.43954,2.4474),(475,5615,0.43177,2.4369),(475,5625,0.424,2.4251),(475,5635,0.41624,2.4115),(475,5645,0.41119,2.3978),(475,5655,0.40673,2.3835),(475,5665,0.40228,2.3671),(475,5675,0.39969,2.3507),(475,5685,0.39815,2.3342),(475,5695,0.3966,2.315),(475,5705,0.39621,2.2959),(475,5715,0.39717,2.2767),(475,5725,0.39812,2.2549),(475,5735,0.39968,2.2327),(475,5745,0.40273,2.2106),(475,5755,0.40579,2.1861),(475,5765,0.40902,2.1605),(475,5775,0.41374,2.135),(475,5785,0.41845,2.1077),(475,5795,0.42316,2.0787),(475,5805,0.42921,2.0497),(475,5815,0.43536,2.0192),(475,5825,0.44151,1.9859),(475,5835,0.44872,1.9525),(475,5845,0.45628,1.9185),(475,5855,0.46384,1.881),(475,5865,0.47229,1.8435),(475,5875,0.48139,1.806),(475,5885,0.4905,1.7632),(475,5895,0.50031,1.7203),(475,5905,0.5112,1.6774),(475,5915,0.52209,1.6308),(475,5925,0.53345,1.5834),(475,5935,0.5465,1.536),(475,5945,0.55956,1.4854),(475,5955,0.5727,1.433),(475,5965,0.58777,1.3806),(475,5975,0.60285,1.3263),(475,5985,0.61793,1.2696),(475,5995,0.47472,1.213),(475,6005,0.30604,1.1697),(475,6015,0.13736,1.1623),(475,6025,0.14351,1.1549),(475,6035,0.23074,1.1472),(475,6045,0.31797,1.1369),(475,6055,0.3803,1.1265),(475,6065,0.41822,1.1162),(475,6075,0.45614,1.1015),(475,6085,0.48167,1.0863),(475,6095,0.48167,1.0712),(475,6105,0.48166,1.0556),(475,6115,0.48157,1.0399),(475,6125,0.48095,1.0241),(475,6135,0.48033,1.0078),(475,6145,0.47971,0.99106),(475,6155,0.47872,0.9743),(475,6165,0.47772,0.95701),(475,6175,0.47671,0.93888),(475,6185,0.47557,0.92075),(475,6195,0.47439,0.90247),(475,6205,0.47322,0.88361),(475,6215,0.47201,0.86476),(475,6225,0.47078,0.84588),(475,6235,0.46955,0.82621),(475,6245,0.46836,0.80653),(475,6255,0.4672,0.78685),(475,6265,0.46605,0.76656),(475,6275,0.46492,0.74616),(475,6285,0.46388,0.72575),(475,6295,0.46284,0.70502),(475,6305,0.46181,0.68411),(475,6315,0.46085,0.66321),(475,6325,0.45988,0.64205),(475,6335,0.45892,0.62062),(475,6345,0.45814,0.5992),(475,6355,0.45738,0.57763),(475,6365,0.45662,0.55574),(475,6375,0.45592,0.53384),(475,6385,0.45524,0.51192),(475,6395,0.45456,0.48979),(475,6405,0.45397,0.46765),(475,6415,0.45344,0.44552),(475,6425,0.45291,0.423),(475,6435,0.45239,0.40045),(475,6445,0.4519,0.37791),(475,6455,0.45141,0.3553),(475,6465,0.45096,0.33267),(475,6475,0.45068,0.31005),(475,6485,0.45039,0.28738),(475,6495,0.45011,0.26469),(475,6505,0.44984,0.242),(475,6515,0.44956,0.21916),(475,6525,0.44929,0.19609),(475,6535,0.44908,0.17302),(475,6545,0.44889,0.14998),(475,6555,0.44869,0.12704),(475,6565,0.44857,0.10409),(475,6575,0.4485,0.081143),(475,6585,0.44842,0.05811),(475,6595,0.38135,0.035077),(475,6605,0.24031,0.012044),(475,6615,0.099266,0.009431),(475,6625,0.000115,0.009442),(475,6635,0.000116,0.009452),(475,6645,0.000117,0.009451),(475,6655,0.000118,0.009445),(475,6665,0.000119,0.009439),(475,6675,0.00012,0.009433),(475,6685,0.000122,0.009427),(475,6695,0.000123,0.009421),(475,6705,0.000124,0.009414),(475,6715,0.000125,0.009408),(475,6725,0.000126,0.009402),(475,6735,0.000127,0.009396),(475,6745,0.000128,0.00939),(475,6755,0.000129,0.009383),(475,6765,0.00013,0.009377),(475,6775,0.000131,0.009371),(475,6785,0.000132,0.009364),(475,6795,0.000134,0.009358),(475,6805,0.000135,0.009352),(475,6815,0.000136,0.009345),(475,6825,0.000137,0.009339),(475,6835,0.000138,0.009333),(475,6845,0.000138,0.009326),(475,6855,0.000139,0.00932),(475,6865,0.00014,0.009313),(475,6875,0.000141,0.009307),(475,6885,0.000142,0.0093),(475,6895,0.000143,0.009294),(475,6905,0.000144,0.009288),(475,6915,0.000145,0.009281),(475,6925,0.000145,0.009275),(475,6935,0.000146,0.009268),(475,6945,0.000147,0.009261),(475,6955,0.000148,0.009255),(475,6965,0.000149,0.009248),(475,6975,0.00015,0.009241),(475,6985,0.000151,0.009234),(485,5,2.5e-05,3.6659),(485,15,7.5e-05,3.6659),(485,25,0.000124,3.6659),(485,35,0.000174,3.6659),(485,45,0.000224,3.6659),(485,55,0.000273,3.6658),(485,65,0.000323,3.6658),(485,75,0.000373,3.6658),(485,85,0.000422,3.6658),(485,95,0.000472,3.6658),(485,105,0.000522,3.6658),(485,115,0.000572,3.6657),(485,125,0.000622,3.6657),(485,135,0.000672,3.6657),(485,145,0.000722,3.6657),(485,155,0.000772,3.6656),(485,165,0.000823,3.6656),(485,175,0.000873,3.6656),(485,185,0.000923,3.6655),(485,195,0.000974,3.6655),(485,205,0.001024,3.6654),(485,215,0.001075,3.6654),(485,225,0.001126,3.6654),(485,235,0.001177,3.6653),(485,245,0.001228,3.6653),(485,255,0.001279,3.6652),(485,265,0.00133,3.6652),(485,275,0.001382,3.6651),(485,285,0.001434,3.665),(485,295,0.001485,3.665),(485,305,0.001537,3.6649),(485,315,0.001589,3.6649),(485,325,0.001642,3.6648),(485,335,0.001694,3.6647),(485,345,0.001747,3.6646),(485,355,0.001799,3.6646),(485,365,0.001852,3.6645),(485,375,0.001905,3.6644),(485,385,0.001958,3.6643),(485,395,0.002012,3.6643),(485,405,0.002065,3.6642),(485,415,0.002118,3.6641),(485,425,0.002173,3.664),(485,435,0.002227,3.6639),(485,445,0.002281,3.6638),(485,455,0.002335,3.6637),(485,465,0.00239,3.6636),(485,475,0.002446,3.6635),(485,485,0.002501,3.6634),(485,495,0.002556,3.6633),(485,505,0.002612,3.6632),(485,515,0.002668,3.6631),(485,525,0.002724,3.663),(485,535,0.00278,3.6629),(485,545,0.002837,3.6628),(485,555,0.002894,3.6626),(485,565,0.002951,3.6625),(485,575,0.003008,3.6624),(485,585,0.003067,3.6623),(485,595,0.003125,3.6622),(485,605,0.003183,3.662),(485,615,0.003241,3.6619),(485,625,0.0033,3.6618),(485,635,0.003359,3.6616),(485,645,0.003418,3.6615),(485,655,0.003478,3.6613),(485,665,0.003538,3.6612),(485,675,0.003599,3.661),(485,685,0.003659,3.6609),(485,695,0.00372,3.6607),(485,705,0.003782,3.6606),(485,715,0.003843,3.6604),(485,725,0.003905,3.6603),(485,735,0.003967,3.6601),(485,745,0.00403,3.6599),(485,755,0.004093,3.6598),(485,765,0.004157,3.6596),(485,775,0.00422,3.6594),(485,785,0.004285,3.6592),(485,795,0.004349,3.6591),(485,805,0.004414,3.6589),(485,815,0.004479,3.6587),(485,825,0.004545,3.6585),(485,835,0.004611,3.6583),(485,845,0.004677,3.6581),(485,855,0.004744,3.6579),(485,865,0.004811,3.6577),(485,875,0.004879,3.6575),(485,885,0.004946,3.6573),(485,895,0.005014,3.6571),(485,905,0.005084,3.6569),(485,915,0.005153,3.6567),(485,925,0.005222,3.6565),(485,935,0.005292,3.6563),(485,945,0.005363,3.6561),(485,955,0.005433,3.6558),(485,965,0.005504,3.6556),(485,975,0.005576,3.6554),(485,985,0.005649,3.6552),(485,995,0.005721,3.6549),(485,1005,0.005794,3.6547),(485,1015,0.005867,3.6544),(485,1025,0.005941,3.6542),(485,1035,0.006016,3.6539),(485,1045,0.00609,3.6537),(485,1055,0.006165,3.6534),(485,1065,0.006241,3.6532),(485,1075,0.006317,3.6529),(485,1085,0.006393,3.6527),(485,1095,0.00647,3.6524),(485,1105,0.006548,3.6521),(485,1115,0.006626,3.6519),(485,1125,0.006704,3.6516),(485,1135,0.006783,3.6513),(485,1145,0.006863,3.651),(485,1155,0.006943,3.6507),(485,1165,0.007022,3.6504),(485,1175,0.007104,3.6501),(485,1185,0.007186,3.6499),(485,1195,0.007267,3.6495),(485,1205,0.007349,3.6492),(485,1215,0.007432,3.6489),(485,1225,0.007516,3.6486),(485,1235,0.0076,3.6483),(485,1245,0.007684,3.648),(485,1255,0.007769,3.6477),(485,1265,0.007855,3.6474),(485,1275,0.007941,3.647),(485,1285,0.008027,3.6467),(485,1295,0.008114,3.6464),(485,1305,0.008202,3.646),(485,1315,0.00829,3.6457),(485,1325,0.008378,3.6453),(485,1335,0.008467,3.645),(485,1345,0.008557,3.6446),(485,1355,0.008647,3.6443),(485,1365,0.008737,3.6439),(485,1375,0.008828,3.6435),(485,1385,0.00892,3.6432),(485,1395,0.009012,3.6428),(485,1405,0.009104,3.6424),(485,1415,0.009198,3.642),(485,1425,0.009292,3.6417),(485,1435,0.009386,3.6413),(485,1445,0.00948,3.6409),(485,1455,0.009576,3.6405),(485,1465,0.009672,3.6401),(485,1475,0.009768,3.6397),(485,1485,0.009864,3.6393),(485,1495,0.009963,3.6389),(485,1505,0.010061,3.6384),(485,1515,0.010159,3.638),(485,1525,0.010258,3.6376),(485,1535,0.010358,3.6372),(485,1545,0.010459,3.6367),(485,1555,0.010559,3.6363),(485,1565,0.01066,3.6358),(485,1575,0.010762,3.6354),(485,1585,0.010865,3.635),(485,1595,0.010967,3.6345),(485,1605,0.01107,3.634),(485,1615,0.011174,3.6336),(485,1625,0.011279,3.6331),(485,1635,0.011384,3.6326),(485,1645,0.011488,3.6322),(485,1655,0.011595,3.6317),(485,1665,0.011702,3.6312),(485,1675,0.011809,3.6307),(485,1685,0.011916,3.6302),(485,1695,0.012025,3.6297),(485,1705,0.012133,3.6292),(485,1715,0.012242,3.6287),(485,1725,0.012352,3.6282),(485,1735,0.012462,3.6277),(485,1745,0.012573,3.6271),(485,1755,0.012684,3.6266),(485,1765,0.012796,3.6261),(485,1775,0.012909,3.6255),(485,1785,0.013022,3.625),(485,1795,0.013135,3.6244),(485,1805,0.013248,3.6239),(485,1815,0.013363,3.6233),(485,1825,0.013478,3.6228),(485,1835,0.013593,3.6222),(485,1845,0.013709,3.6216),(485,1855,0.013826,3.6211),(485,1865,0.013943,3.6205),(485,1875,0.01406,3.6199),(485,1885,0.014177,3.6193),(485,1895,0.014296,3.6187),(485,1905,0.014415,3.6181),(485,1915,0.014534,3.6175),(485,1925,0.014654,3.6169),(485,1935,0.014775,3.6163),(485,1945,0.014896,3.6157),(485,1955,0.015017,3.615),(485,1965,0.015139,3.6144),(485,1975,0.015262,3.6138),(485,1985,0.015385,3.6131),(485,1995,0.015508,3.6125),(485,2005,0.015632,3.6118),(485,2015,0.015756,3.6112),(485,2025,0.015881,3.6105),(485,2035,0.016006,3.6098),(485,2045,0.016132,3.6092),(485,2055,0.016259,3.6085),(485,2065,0.016386,3.6078),(485,2075,0.016513,3.6071),(485,2085,0.016641,3.6064),(485,2095,0.01677,3.6057),(485,2105,0.016898,3.605),(485,2115,0.017027,3.6043),(485,2125,0.017157,3.6036),(485,2135,0.017288,3.6029),(485,2145,0.017419,3.6022),(485,2155,0.017549,3.6014),(485,2165,0.017681,3.6007),(485,2175,0.017814,3.6),(485,2185,0.017947,3.5992),(485,2195,0.01808,3.5984),(485,2205,0.018214,3.5977),(485,2215,0.018348,3.5969),(485,2225,0.018483,3.5962),(485,2235,0.018618,3.5954),(485,2245,0.018754,3.5946),(485,2255,0.018891,3.5938),(485,2265,0.019028,3.593),(485,2275,0.019165,3.5922),(485,2285,0.019303,3.5914),(485,2295,0.019442,3.5906),(485,2305,0.019581,3.5898),(485,2315,0.01972,3.589),(485,2325,0.019861,3.5882),(485,2335,0.020002,3.5873),(485,2345,0.020143,3.5865),(485,2355,0.020285,3.5857),(485,2365,0.020428,3.5848),(485,2375,0.020572,3.584),(485,2385,0.020716,3.5831),(485,2395,0.02086,3.5822),(485,2405,0.021007,3.5814),(485,2415,0.021154,3.5805),(485,2425,0.021301,3.5796),(485,2435,0.021447,3.5787),(485,2445,0.021597,3.5778),(485,2455,0.021747,3.5769),(485,2465,0.021897,3.576),(485,2475,0.022046,3.5751),(485,2485,0.022199,3.5742),(485,2495,0.022353,3.5733),(485,2505,0.022506,3.5724),(485,2515,0.022659,3.5714),(485,2525,0.022816,3.5705),(485,2535,0.022973,3.5696),(485,2545,0.02313,3.5686),(485,2555,0.023287,3.5677),(485,2565,0.023448,3.5667),(485,2575,0.02361,3.5658),(485,2585,0.023771,3.5648),(485,2595,0.023933,3.5638),(485,2605,0.0241,3.5628),(485,2615,0.024267,3.5618),(485,2625,0.024433,3.5608),(485,2635,0.024601,3.5598),(485,2645,0.024773,3.5588),(485,2655,0.024945,3.5578),(485,2665,0.025118,3.5568),(485,2675,0.025291,3.5558),(485,2685,0.02547,3.5548),(485,2695,0.025649,3.5538),(485,2705,0.025828,3.5527),(485,2715,0.026008,3.5517),(485,2725,0.026195,3.5506),(485,2735,0.026382,3.5496),(485,2745,0.026569,3.5485),(485,2755,0.026758,3.5475),(485,2765,0.026953,3.5464),(485,2775,0.027149,3.5454),(485,2785,0.027345,3.5443),(485,2795,0.027544,3.5432),(485,2805,0.02775,3.5421),(485,2815,0.027957,3.541),(485,2825,0.028163,3.5399),(485,2835,0.028373,3.5388),(485,2845,0.028592,3.5377),(485,2855,0.028811,3.5366),(485,2865,0.02903,3.5355),(485,2875,0.029254,3.5344),(485,2885,0.029488,3.5332),(485,2895,0.029721,3.5321),(485,2905,0.029954,3.531),(485,2915,0.030195,3.5298),(485,2925,0.030445,3.5287),(485,2935,0.030695,3.5276),(485,2945,0.030946,3.5264),(485,2955,0.031205,3.5252),(485,2965,0.031475,3.5241),(485,2975,0.031745,3.5229),(485,2985,0.032015,3.5218),(485,2995,0.032296,3.5206),(485,3005,0.032589,3.5194),(485,3015,0.032882,3.5182),(485,3025,0.033175,3.517),(485,3035,0.033483,3.5159),(485,3045,0.033803,3.5147),(485,3055,0.034123,3.5135),(485,3065,0.034443,3.5123),(485,3075,0.034782,3.5111),(485,3085,0.035133,3.5099),(485,3095,0.035485,3.5087),(485,3105,0.035837,3.5075),(485,3115,0.036211,3.5063),(485,3125,0.036599,3.505),(485,3135,0.036987,3.5038),(485,3145,0.037376,3.5026),(485,3155,0.037792,3.5014),(485,3165,0.038223,3.5002),(485,3175,0.038654,3.499),(485,3185,0.039085,3.4977),(485,3195,0.03955,3.4965),(485,3205,0.040031,3.4953),(485,3215,0.040511,3.4941),(485,3225,0.040992,3.4929),(485,3235,0.041514,3.4916),(485,3245,0.042052,3.4904),(485,3255,0.04259,3.4892),(485,3265,0.043128,3.488),(485,3275,0.043717,3.4868),(485,3285,0.044321,3.4855),(485,3295,0.044926,3.4843),(485,3305,0.04553,3.4831),(485,3315,0.046195,3.4819),(485,3325,0.046876,3.4807),(485,3335,0.047556,3.4796),(485,3345,0.048236,3.4784),(485,3355,0.048991,3.4772),(485,3365,0.049758,3.476),(485,3375,0.050526,3.4749),(485,3385,0.051293,3.4737),(485,3395,0.052149,3.4726),(485,3405,0.053016,3.4715),(485,3415,0.053883,3.4704),(485,3425,0.05475,3.4693),(485,3435,0.055722,3.4682),(485,3445,0.056701,3.4671),(485,3455,0.057681,3.4661),(485,3465,0.058661,3.4651),(485,3475,0.059762,3.464),(485,3485,0.060868,3.463),(485,3495,0.061974,3.4621),(485,3505,0.063081,3.4612),(485,3515,0.064327,3.4603),(485,3525,0.065572,3.4594),(485,3535,0.066818,3.4586),(485,3545,0.06807,3.4578),(485,3555,0.069467,3.457),(485,3565,0.070863,3.4562),(485,3575,0.07226,3.4556),(485,3585,0.07367,3.455),(485,3595,0.075226,3.4544),(485,3605,0.076782,3.4538),(485,3615,0.078338,3.4535),(485,3625,0.079914,3.4531),(485,3635,0.08163,3.4527),(485,3645,0.083347,3.4524),(485,3655,0.085063,3.4523),(485,3665,0.086803,3.4522),(485,3675,0.088669,3.4521),(485,3685,0.090534,3.4521),(485,3695,0.092399,3.4524),(485,3705,0.094288,3.4527),(485,3715,0.096269,3.453),(485,3725,0.098251,3.4535),(485,3735,0.10023,3.4542),(485,3745,0.10223,3.455),(485,3755,0.10426,3.4558),(485,3765,0.1063,3.4567),(485,3775,0.10833,3.4581),(485,3785,0.11035,3.4595),(485,3795,0.11233,3.4608),(485,3805,0.1143,3.4624),(485,3815,0.11628,3.4644),(485,3825,0.11819,3.4665),(485,3835,0.11994,3.4685),(485,3845,0.12169,3.4708),(485,3855,0.12345,3.4736),(485,3865,0.12503,3.4764),(485,3875,0.12633,3.4792),(485,3885,0.12763,3.4822),(485,3895,0.12893,3.4857),(485,3905,0.1546,3.4892),(485,3915,0.21669,3.4927),(485,3925,0.27877,3.4983),(485,3935,0.34085,3.5067),(485,3945,0.388,3.5151),(485,3955,0.41619,3.5236),(485,3965,0.44438,3.5308),(485,3975,0.47257,3.5366),(485,3985,0.47253,3.5424),(485,3995,0.44193,3.5482),(485,4005,0.41133,3.5519),(485,4015,0.38073,3.5533),(485,4025,0.35471,3.5547),(485,4035,0.32913,3.5553),(485,4045,0.30355,3.5543),(485,4055,0.28176,3.5533),(485,4065,0.26136,3.552),(485,4075,0.24095,3.5493),(485,4085,0.22332,3.5466),(485,4095,0.20792,3.5439),(485,4105,0.19252,3.5401),(485,4115,0.17314,3.5362),(485,4125,0.14717,3.5324),(485,4135,0.12121,3.5291),(485,4145,0.097941,3.5259),(485,4155,0.085608,3.5228),(485,4165,0.073274,3.5222),(485,4175,0.061696,3.5231),(485,4185,0.087504,3.5241),(485,4195,0.11331,3.5239),(485,4205,0.13912,3.5222),(485,4215,0.13251,3.5205),(485,4225,0.1198,3.5181),(485,4235,0.10709,3.5136),(485,4245,0.094421,3.5092),(485,4255,0.081779,3.5048),(485,4265,0.069136,3.5012),(485,4275,0.055918,3.4975),(485,4285,0.042091,3.4939),(485,4295,0.028264,3.4934),(485,4305,0.035045,3.4932),(485,4315,0.088361,3.493),(485,4325,0.14168,3.5018),(485,4335,0.18827,3.5141),(485,4345,0.1893,3.5265),(485,4355,0.19034,3.5347),(485,4365,0.19137,3.5394),(485,4375,0.18749,3.544),(485,4385,0.18335,3.5452),(485,4395,0.17922,3.5402),(485,4405,0.15372,3.5351),(485,4415,0.12191,3.5298),(485,4425,0.090111,3.5232),(485,4435,0.083098,3.5166),(485,4445,0.093024,3.5101),(485,4455,0.10295,3.5153),(485,4465,0.12581,3.5205),(485,4475,0.16683,3.5256),(485,4485,0.20785,3.5279),(485,4495,0.23655,3.5295),(485,4505,0.22572,3.5311),(485,4515,0.2149,3.5254),(485,4525,0.20377,3.5159),(485,4535,0.18783,3.5063),(485,4545,0.17188,3.493),(485,4555,0.15594,3.4753),(485,4565,0.11344,3.4576),(485,4575,0.067355,3.4453),(485,4585,0.02127,3.4462),(485,4595,0.018064,3.4472),(485,4605,0.032975,3.4484),(485,4615,0.047885,3.4524),(485,4625,0.058513,3.4563),(485,4635,0.065262,3.4602),(485,4645,0.072011,3.4565),(485,4655,0.076471,3.4522),(485,4665,0.076616,3.4479),(485,4675,0.076761,3.4301),(485,4685,0.074042,3.4078),(485,4695,0.057173,3.3856),(485,4705,0.040303,3.3699),(485,4715,0.023434,3.3588),(485,4725,0.055097,3.3478),(485,4735,0.087246,3.3431),(485,4745,0.1194,3.3479),(485,4755,0.13702,3.3526),(485,4765,0.15129,3.3547),(485,4775,0.16555,3.3473),(485,4785,0.16601,3.3399),(485,4795,0.15848,3.3318),(485,4805,0.15096,3.3082),(485,4815,0.13843,3.2847),(485,4825,0.11992,3.2611),(485,4835,0.10141,3.2363),(485,4845,0.088223,3.2113),(485,4855,0.08892,3.1863),(485,4865,0.089617,3.182),(485,4875,0.09736,3.1871),(485,4885,0.16922,3.1923),(485,4895,0.24108,3.1968),(485,4905,0.31294,3.2006),(485,4915,0.29476,3.2045),(485,4925,0.26884,3.2036),(485,4935,0.24292,3.1932),(485,4945,0.2094,3.1828),(485,4955,0.17325,3.1718),(485,4965,0.13709,3.1576),(485,4975,0.10076,3.1434),(485,4985,0.064299,3.1292),(485,4995,0.027834,3.1278),(485,5005,0.005569,3.1268),(485,5015,0.005881,3.1258),(485,5025,0.006192,3.1213),(485,5035,0.0056,3.1159),(485,5045,0.001568,3.1105),(485,5055,-0.002464,3.0942),(485,5065,-0.006449,3.0712),(485,5075,-0.008907,3.0482),(485,5085,-0.011366,3.017),(485,5095,-0.013824,2.9756),(485,5105,-0.009312,2.9342),(485,5115,-0.003583,2.8957),(485,5125,0.002146,2.8655),(485,5135,0.036514,2.8353),(485,5145,0.084781,2.8079),(485,5155,0.13305,2.8112),(485,5165,0.19915,2.8146),(485,5175,0.28345,2.8179),(485,5185,0.36774,2.8123),(485,5195,0.42755,2.8058),(485,5205,0.43455,2.7993),(485,5215,0.44155,2.7816),(485,5225,0.44684,2.7597),(485,5235,0.44148,2.7378),(485,5245,0.43612,2.7106),(485,5255,0.43076,2.6789),(485,5265,0.30043,2.6473),(485,5275,0.16495,2.6274),(485,5285,0.029468,2.6275),(485,5295,0.015985,2.6275),(485,5305,0.036475,2.627),(485,5315,0.056965,2.6241),(485,5325,0.08088,2.6212),(485,5335,0.10704,2.618),(485,5345,0.1332,2.5995),(485,5355,0.15956,2.581),(485,5365,0.18618,2.5625),(485,5375,0.2128,2.5293),(485,5385,0.22121,2.4932),(485,5395,0.17423,2.4571),(485,5405,0.12725,2.4371),(485,5415,0.091341,2.4253),(485,5425,0.20405,2.4135),(485,5435,0.31675,2.4129),(485,5445,0.42945,2.4245),(485,5455,0.4968,2.4361),(485,5465,0.55861,2.4474),(485,5475,0.62041,2.4581),(485,5485,0.6239,2.4688),(485,5495,0.60389,2.4785),(485,5505,0.58389,2.4817),(485,5515,0.5654,2.485),(485,5525,0.54821,2.4882),(485,5535,0.53102,2.4861),(485,5545,0.515,2.4836),(485,5555,0.50105,2.4811),(485,5565,0.48711,2.4753),(485,5575,0.47378,2.4684),(485,5585,0.46326,2.4615),(485,5595,0.45275,2.4526),(485,5605,0.44223,2.4422),(485,5615,0.4352,2.4318),(485,5625,0.42818,2.42),(485,5635,0.42115,2.4064),(485,5645,0.41678,2.3927),(485,5655,0.41298,2.3785),(485,5665,0.40919,2.362),(485,5675,0.40723,2.3456),(485,5685,0.4063,2.329),(485,5695,0.40536,2.3097),(485,5705,0.40561,2.2905),(485,5715,0.40721,2.2712),(485,5725,0.4088,2.2493),(485,5735,0.41102,2.227),(485,5745,0.41477,2.2047),(485,5755,0.41852,2.18),(485,5765,0.42247,2.1543),(485,5775,0.42797,2.1286),(485,5785,0.43348,2.1011),(485,5795,0.43898,2.072),(485,5805,0.44589,2.0428),(485,5815,0.45291,2.0122),(485,5825,0.45992,1.9787),(485,5835,0.46809,1.9452),(485,5845,0.47664,1.9111),(485,5855,0.48518,1.8735),(485,5865,0.49466,1.8359),(485,5875,0.50483,1.7984),(485,5885,0.515,1.7557),(485,5895,0.52589,1.7129),(485,5905,0.53788,1.6702),(485,5915,0.54987,1.624),(485,5925,0.56231,1.577),(485,5935,0.57637,1.5301),(485,5945,0.59043,1.4801),(485,5955,0.60455,1.4284),(485,5965,0.62044,1.3767),(485,5975,0.63634,1.3232),(485,5985,0.65223,1.2675),(485,5995,0.50105,1.2119),(485,6005,0.32299,1.1694),(485,6015,0.14492,1.162),(485,6025,0.14791,1.1547),(485,6035,0.23486,1.1471),(485,6045,0.32181,1.1365),(485,6055,0.38428,1.1259),(485,6065,0.42273,1.1153),(485,6075,0.46118,1.1003),(485,6085,0.48715,1.0849),(485,6095,0.48738,1.0694),(485,6105,0.48762,1.0536),(485,6115,0.48777,1.0377),(485,6125,0.48742,1.0218),(485,6135,0.48707,1.0054),(485,6145,0.48672,0.98849),(485,6155,0.48599,0.97161),(485,6165,0.48524,0.95424),(485,6175,0.4845,0.93607),(485,6185,0.48361,0.91789),(485,6195,0.48267,0.89958),(485,6205,0.48174,0.88072),(485,6215,0.48076,0.86187),(485,6225,0.47975,0.843),(485,6235,0.47875,0.82337),(485,6245,0.47775,0.80374),(485,6255,0.47676,0.78411),(485,6265,0.47578,0.76389),(485,6275,0.47482,0.74355),(485,6285,0.47393,0.72321),(485,6295,0.47304,0.70254),(485,6305,0.47215,0.6817),(485,6315,0.47131,0.66085),(485,6325,0.47047,0.63978),(485,6335,0.46963,0.61846),(485,6345,0.46895,0.59714),(485,6355,0.46828,0.57566),(485,6365,0.46762,0.55384),(485,6375,0.467,0.53201),(485,6385,0.46641,0.51016),(485,6395,0.46581,0.48812),(485,6405,0.46529,0.46608),(485,6415,0.46484,0.44404),(485,6425,0.46438,0.42158),(485,6435,0.46393,0.39909),(485,6445,0.46351,0.37661),(485,6455,0.46309,0.3541),(485,6465,0.4627,0.33159),(485,6475,0.46246,0.30908),(485,6485,0.46223,0.28649),(485,6495,0.46199,0.26385),(485,6505,0.46176,0.24121),(485,6515,0.46152,0.21843),(485,6525,0.46128,0.19543),(485,6535,0.4611,0.17244),(485,6545,0.46093,0.14948),(485,6555,0.46076,0.12662),(485,6565,0.46066,0.10377),(485,6575,0.46059,0.080912),(485,6585,0.46052,0.057956),(485,6595,0.39165,0.034999),(485,6605,0.2468,0.012043),(485,6615,0.10194,0.009437),(485,6625,0.000118,0.009445),(485,6635,0.000119,0.009454),(485,6645,0.00012,0.009452),(485,6655,0.000121,0.009446),(485,6665,0.000122,0.00944),(485,6675,0.000124,0.009434),(485,6685,0.000125,0.009428),(485,6695,0.000126,0.009422),(485,6705,0.000127,0.009416),(485,6715,0.000128,0.009409),(485,6725,0.000129,0.009403),(485,6735,0.00013,0.009397),(485,6745,0.000131,0.009391),(485,6755,0.000133,0.009385),(485,6765,0.000134,0.009378),(485,6775,0.000135,0.009372),(485,6785,0.000136,0.009366),(485,6795,0.000137,0.009359),(485,6805,0.000138,0.009353),(485,6815,0.000139,0.009346),(485,6825,0.00014,0.00934),(485,6835,0.000141,0.009333),(485,6845,0.000142,0.009327),(485,6855,0.000143,0.009321),(485,6865,0.000144,0.009314),(485,6875,0.000144,0.009308),(485,6885,0.000145,0.009301),(485,6895,0.000146,0.009295),(485,6905,0.000147,0.009288),(485,6915,0.000148,0.009282),(485,6925,0.000149,0.009276),(485,6935,0.00015,0.009269),(485,6945,0.00015,0.009262),(485,6955,0.000151,0.009255),(485,6965,0.000152,0.009249),(485,6975,0.000153,0.009242),(485,6985,0.000154,0.009235),(495,5,2.5e-05,3.6659),(495,15,7.6e-05,3.6659),(495,25,0.000127,3.6659),(495,35,0.000177,3.6659),(495,45,0.000228,3.6659),(495,55,0.000279,3.6659),(495,65,0.000329,3.6659),(495,75,0.00038,3.6659),(495,85,0.000431,3.6659),(495,95,0.000481,3.6658),(495,105,0.000532,3.6658),(495,115,0.000583,3.6658),(495,125,0.000634,3.6658),(495,135,0.000685,3.6657),(495,145,0.000736,3.6657),(495,155,0.000788,3.6657),(495,165,0.000839,3.6657),(495,175,0.00089,3.6656),(495,185,0.000941,3.6656),(495,195,0.000993,3.6655),(495,205,0.001044,3.6655),(495,215,0.001096,3.6655),(495,225,0.001148,3.6654),(495,235,0.0012,3.6654),(495,245,0.001252,3.6653),(495,255,0.001304,3.6653),(495,265,0.001356,3.6652),(495,275,0.001409,3.6652),(495,285,0.001461,3.6651),(495,295,0.001514,3.665),(495,305,0.001567,3.665),(495,315,0.00162,3.6649),(495,325,0.001674,3.6648),(495,335,0.001727,3.6648),(495,345,0.00178,3.6647),(495,355,0.001834,3.6646),(495,365,0.001888,3.6646),(495,375,0.001942,3.6645),(495,385,0.001996,3.6644),(495,395,0.002051,3.6643),(495,405,0.002105,3.6642),(495,415,0.00216,3.6641),(495,425,0.002215,3.6641),(495,435,0.00227,3.664),(495,445,0.002325,3.6639),(495,455,0.002381,3.6638),(495,465,0.002437,3.6637),(495,475,0.002493,3.6636),(495,485,0.002549,3.6635),(495,495,0.002606,3.6634),(495,505,0.002663,3.6633),(495,515,0.00272,3.6632),(495,525,0.002777,3.663),(495,535,0.002834,3.6629),(495,545,0.002893,3.6628),(495,555,0.002951,3.6627),(495,565,0.003009,3.6626),(495,575,0.003067,3.6625),(495,585,0.003126,3.6623),(495,595,0.003185,3.6622),(495,605,0.003245,3.6621),(495,615,0.003304,3.6619),(495,625,0.003364,3.6618),(495,635,0.003425,3.6617),(495,645,0.003485,3.6615),(495,655,0.003546,3.6614),(495,665,0.003607,3.6612),(495,675,0.003669,3.6611),(495,685,0.003731,3.6609),(495,695,0.003793,3.6608),(495,705,0.003856,3.6606),(495,715,0.003919,3.6605),(495,725,0.003981,3.6603),(495,735,0.004045,3.6602),(495,745,0.004109,3.66),(495,755,0.004174,3.6598),(495,765,0.004238,3.6597),(495,775,0.004303,3.6595),(495,785,0.004368,3.6593),(495,795,0.004434,3.6591),(495,805,0.0045,3.659),(495,815,0.004566,3.6588),(495,825,0.004634,3.6586),(495,835,0.004701,3.6584),(495,845,0.004769,3.6582),(495,855,0.004836,3.658),(495,865,0.004905,3.6578),(495,875,0.004974,3.6576),(495,885,0.005043,3.6574),(495,895,0.005113,3.6572),(495,905,0.005183,3.657),(495,915,0.005254,3.6568),(495,925,0.005324,3.6566),(495,935,0.005396,3.6564),(495,945,0.005468,3.6561),(495,955,0.00554,3.6559),(495,965,0.005612,3.6557),(495,975,0.005685,3.6555),(495,985,0.00576,3.6552),(495,995,0.005834,3.655),(495,1005,0.005908,3.6547),(495,1015,0.005982,3.6545),(495,1025,0.006058,3.6543),(495,1035,0.006134,3.654),(495,1045,0.00621,3.6538),(495,1055,0.006287,3.6535),(495,1065,0.006364,3.6533),(495,1075,0.006442,3.653),(495,1085,0.006519,3.6527),(495,1095,0.006598,3.6525),(495,1105,0.006677,3.6522),(495,1115,0.006757,3.6519),(495,1125,0.006836,3.6517),(495,1135,0.006917,3.6514),(495,1145,0.006998,3.6511),(495,1155,0.00708,3.6508),(495,1165,0.007161,3.6505),(495,1175,0.007244,3.6502),(495,1185,0.007327,3.6499),(495,1195,0.007411,3.6496),(495,1205,0.007494,3.6493),(495,1215,0.007579,3.649),(495,1225,0.007665,3.6487),(495,1235,0.00775,3.6484),(495,1245,0.007836,3.6481),(495,1255,0.007923,3.6478),(495,1265,0.008011,3.6474),(495,1275,0.008098,3.6471),(495,1285,0.008186,3.6468),(495,1295,0.008275,3.6464),(495,1305,0.008365,3.6461),(495,1315,0.008454,3.6458),(495,1325,0.008544,3.6454),(495,1335,0.008635,3.6451),(495,1345,0.008727,3.6447),(495,1355,0.008819,3.6444),(495,1365,0.00891,3.644),(495,1375,0.009004,3.6436),(495,1385,0.009098,3.6433),(495,1395,0.009192,3.6429),(495,1405,0.009285,3.6425),(495,1415,0.009381,3.6421),(495,1425,0.009477,3.6418),(495,1435,0.009573,3.6414),(495,1445,0.009669,3.641),(495,1455,0.009767,3.6406),(495,1465,0.009865,3.6402),(495,1475,0.009963,3.6398),(495,1485,0.010061,3.6394),(495,1495,0.010161,3.639),(495,1505,0.010262,3.6385),(495,1515,0.010362,3.6381),(495,1525,0.010462,3.6377),(495,1535,0.010565,3.6373),(495,1545,0.010667,3.6368),(495,1555,0.01077,3.6364),(495,1565,0.010873,3.6359),(495,1575,0.010977,3.6355),(495,1585,0.011082,3.6351),(495,1595,0.011187,3.6346),(495,1605,0.011291,3.6341),(495,1615,0.011398,3.6337),(495,1625,0.011505,3.6332),(495,1635,0.011612,3.6327),(495,1645,0.011719,3.6323),(495,1655,0.011828,3.6318),(495,1665,0.011937,3.6313),(495,1675,0.012046,3.6308),(495,1685,0.012155,3.6303),(495,1695,0.012266,3.6298),(495,1705,0.012377,3.6293),(495,1715,0.012488,3.6288),(495,1725,0.0126,3.6283),(495,1735,0.012713,3.6278),(495,1745,0.012826,3.6272),(495,1755,0.012939,3.6267),(495,1765,0.013053,3.6262),(495,1775,0.013168,3.6257),(495,1785,0.013284,3.6251),(495,1795,0.013399,3.6246),(495,1805,0.013515,3.624),(495,1815,0.013632,3.6235),(495,1825,0.013749,3.6229),(495,1835,0.013867,3.6223),(495,1845,0.013985,3.6218),(495,1855,0.014104,3.6212),(495,1865,0.014223,3.6206),(495,1875,0.014343,3.62),(495,1885,0.014463,3.6194),(495,1895,0.014585,3.6188),(495,1905,0.014706,3.6182),(495,1915,0.014827,3.6176),(495,1925,0.01495,3.617),(495,1935,0.015073,3.6164),(495,1945,0.015197,3.6158),(495,1955,0.01532,3.6152),(495,1965,0.015445,3.6145),(495,1975,0.01557,3.6139),(495,1985,0.015695,3.6133),(495,1995,0.015821,3.6126),(495,2005,0.015947,3.612),(495,2015,0.016075,3.6113),(495,2025,0.016202,3.6106),(495,2035,0.016329,3.61),(495,2045,0.016458,3.6093),(495,2055,0.016587,3.6086),(495,2065,0.016717,3.6079),(495,2075,0.016846,3.6073),(495,2085,0.016977,3.6066),(495,2095,0.017108,3.6059),(495,2105,0.017239,3.6052),(495,2115,0.017371,3.6044),(495,2125,0.017503,3.6037),(495,2135,0.017637,3.603),(495,2145,0.01777,3.6023),(495,2155,0.017903,3.6016),(495,2165,0.018038,3.6008),(495,2175,0.018173,3.6001),(495,2185,0.018309,3.5993),(495,2195,0.018444,3.5986),(495,2205,0.018581,3.5978),(495,2215,0.018718,3.5971),(495,2225,0.018856,3.5963),(495,2235,0.018993,3.5955),(495,2245,0.019132,3.5947),(495,2255,0.019272,3.594),(495,2265,0.019411,3.5932),(495,2275,0.019551,3.5924),(495,2285,0.019692,3.5916),(495,2295,0.019833,3.5908),(495,2305,0.019975,3.5899),(495,2315,0.020117,3.5891),(495,2325,0.02026,3.5883),(495,2335,0.020404,3.5875),(495,2345,0.020548,3.5866),(495,2355,0.020692,3.5858),(495,2365,0.020838,3.5849),(495,2375,0.020985,3.5841),(495,2385,0.021131,3.5832),(495,2395,0.021278,3.5824),(495,2405,0.021427,3.5815),(495,2415,0.021577,3.5806),(495,2425,0.021726,3.5798),(495,2435,0.021876,3.5789),(495,2445,0.022028,3.578),(495,2455,0.02218,3.5771),(495,2465,0.022333,3.5762),(495,2475,0.022485,3.5753),(495,2485,0.022641,3.5744),(495,2495,0.022797,3.5735),(495,2505,0.022952,3.5725),(495,2515,0.023108,3.5716),(495,2525,0.023268,3.5707),(495,2535,0.023427,3.5697),(495,2545,0.023586,3.5688),(495,2555,0.023746,3.5678),(495,2565,0.02391,3.5669),(495,2575,0.024074,3.5659),(495,2585,0.024238,3.5649),(495,2595,0.024402,3.564),(495,2605,0.024571,3.563),(495,2615,0.024741,3.562),(495,2625,0.02491,3.561),(495,2635,0.025079,3.56),(495,2645,0.025254,3.559),(495,2655,0.025429,3.558),(495,2665,0.025603,3.557),(495,2675,0.025779,3.556),(495,2685,0.02596,3.555),(495,2695,0.026142,3.5539),(495,2705,0.026323,3.5529),(495,2715,0.026506,3.5519),(495,2725,0.026695,3.5508),(495,2735,0.026883,3.5498),(495,2745,0.027072,3.5487),(495,2755,0.027263,3.5477),(495,2765,0.027461,3.5466),(495,2775,0.027659,3.5455),(495,2785,0.027857,3.5445),(495,2795,0.028058,3.5434),(495,2805,0.028266,3.5423),(495,2815,0.028474,3.5412),(495,2825,0.028682,3.5401),(495,2835,0.028894,3.539),(495,2845,0.029115,3.5379),(495,2855,0.029335,3.5368),(495,2865,0.029556,3.5357),(495,2875,0.029782,3.5346),(495,2885,0.030016,3.5335),(495,2895,0.030251,3.5324),(495,2905,0.030486,3.5312),(495,2915,0.030728,3.5301),(495,2925,0.030979,3.529),(495,2935,0.03123,3.5278),(495,2945,0.031482,3.5267),(495,2955,0.031742,3.5255),(495,2965,0.032013,3.5244),(495,2975,0.032284,3.5232),(495,2985,0.032554,3.522),(495,2995,0.032836,3.5209),(495,3005,0.03313,3.5197),(495,3015,0.033423,3.5185),(495,3025,0.033717,3.5174),(495,3035,0.034024,3.5162),(495,3045,0.034344,3.515),(495,3055,0.034664,3.5138),(495,3065,0.034984,3.5126),(495,3075,0.035322,3.5114),(495,3085,0.035673,3.5102),(495,3095,0.036024,3.509),(495,3105,0.036374,3.5078),(495,3115,0.036747,3.5066),(495,3125,0.037134,3.5054),(495,3135,0.037521,3.5042),(495,3145,0.037907,3.503),(495,3155,0.038321,3.5018),(495,3165,0.038749,3.5006),(495,3175,0.039178,3.4994),(495,3185,0.039606,3.4982),(495,3195,0.040068,3.497),(495,3205,0.040544,3.4958),(495,3215,0.041021,3.4946),(495,3225,0.041497,3.4934),(495,3235,0.042014,3.4922),(495,3245,0.042547,3.4909),(495,3255,0.043079,3.4897),(495,3265,0.043611,3.4886),(495,3275,0.044193,3.4874),(495,3285,0.044789,3.4862),(495,3295,0.045385,3.485),(495,3305,0.045982,3.4838),(495,3315,0.046637,3.4826),(495,3325,0.047307,3.4814),(495,3335,0.047977,3.4803),(495,3345,0.048647,3.4791),(495,3355,0.049388,3.478),(495,3365,0.050142,3.4768),(495,3375,0.050896,3.4757),(495,3385,0.05165,3.4746),(495,3395,0.052488,3.4735),(495,3405,0.053337,3.4723),(495,3415,0.054186,3.4713),(495,3425,0.055035,3.4702),(495,3435,0.055984,3.4692),(495,3445,0.05694,3.4681),(495,3455,0.057897,3.4671),(495,3465,0.058853,3.4661),(495,3475,0.059925,3.4651),(495,3485,0.061001,3.4642),(495,3495,0.062077,3.4633),(495,3505,0.063154,3.4624),(495,3515,0.064361,3.4615),(495,3525,0.065568,3.4606),(495,3535,0.066775,3.4599),(495,3545,0.067989,3.4592),(495,3555,0.069336,3.4584),(495,3565,0.070684,3.4577),(495,3575,0.072032,3.4571),(495,3585,0.073392,3.4565),(495,3595,0.074886,3.456),(495,3605,0.076379,3.4554),(495,3615,0.077873,3.4551),(495,3625,0.079385,3.4548),(495,3635,0.081023,3.4544),(495,3645,0.082661,3.4542),(495,3655,0.084299,3.4541),(495,3665,0.085958,3.4541),(495,3675,0.087726,3.454),(495,3685,0.089494,3.4541),(495,3695,0.091261,3.4544),(495,3705,0.093048,3.4547),(495,3715,0.094911,3.4551),(495,3725,0.096774,3.4555),(495,3735,0.098637,3.4563),(495,3745,0.10051,3.4571),(495,3755,0.1024,3.4579),(495,3765,0.10429,3.4589),(495,3775,0.10619,3.4602),(495,3785,0.10806,3.4616),(495,3795,0.10988,3.4629),(495,3805,0.11169,3.4645),(495,3815,0.11351,3.4664),(495,3825,0.11525,3.4684),(495,3835,0.11684,3.4704),(495,3845,0.11842,3.4726),(495,3855,0.12,3.4753),(495,3865,0.12143,3.478),(495,3875,0.12257,3.4806),(495,3885,0.1237,3.4836),(495,3895,0.12484,3.4869),(495,3905,0.14977,3.4902),(495,3915,0.21024,3.4935),(495,3925,0.27071,3.4989),(495,3935,0.33117,3.507),(495,3945,0.37754,3.5151),(495,3955,0.406,3.5233),(495,3965,0.43447,3.5303),(495,3975,0.46293,3.5361),(495,3985,0.46366,3.5418),(495,3995,0.43436,3.5476),(495,4005,0.40506,3.5512),(495,4015,0.37577,3.5526),(495,4025,0.35064,3.554),(495,4035,0.32592,3.5546),(495,4045,0.3012,3.5536),(495,4055,0.28007,3.5525),(495,4065,0.26026,3.5512),(495,4075,0.24044,3.5485),(495,4085,0.22329,3.5458),(495,4095,0.20829,3.5431),(495,4105,0.19329,3.5394),(495,4115,0.17419,3.5356),(495,4125,0.14829,3.5318),(495,4135,0.1224,3.5286),(495,4145,0.099026,3.5256),(495,4155,0.085836,3.5225),(495,4165,0.072646,3.5217),(495,4175,0.060234,3.5222),(495,4185,0.086377,3.5228),(495,4195,0.11252,3.5223),(495,4205,0.13866,3.5204),(495,4215,0.1328,3.5186),(495,4225,0.12092,3.5162),(495,4235,0.10904,3.5121),(495,4245,0.096625,3.5081),(495,4255,0.083937,3.5041),(495,4265,0.071249,3.5009),(495,4275,0.057668,3.4977),(495,4285,0.043138,3.4945),(495,4295,0.028608,3.494),(495,4305,0.033681,3.4939),(495,4315,0.083017,3.4938),(495,4325,0.13235,3.5019),(495,4335,0.17574,3.5133),(495,4345,0.17885,3.5246),(495,4355,0.18196,3.5322),(495,4365,0.18507,3.5364),(495,4375,0.18383,3.5407),(495,4385,0.18236,3.5418),(495,4395,0.1809,3.5372),(495,4405,0.15661,3.5326),(495,4415,0.1256,3.5277),(495,4425,0.094587,3.5217),(495,4435,0.086027,3.5157),(495,4445,0.092812,3.5098),(495,4455,0.099598,3.5141),(495,4465,0.12082,3.5184),(495,4475,0.16232,3.5227),(495,4485,0.20382,3.5242),(495,4495,0.23359,3.5251),(495,4505,0.22574,3.5261),(495,4515,0.21789,3.5205),(495,4525,0.2097,3.5113),(495,4535,0.19603,3.5022),(495,4545,0.18236,3.4896),(495,4555,0.16869,3.4731),(495,4565,0.12262,3.4567),(495,4575,0.072187,3.4452),(495,4585,0.02175,3.4459),(495,4595,0.016586,3.4467),(495,4605,0.030549,3.4476),(495,4615,0.044513,3.4505),(495,4625,0.055711,3.4533),(495,4635,0.064406,3.4561),(495,4645,0.0731,3.4517),(495,4655,0.08038,3.4467),(495,4665,0.084992,3.4417),(495,4675,0.089604,3.4245),(495,4685,0.090164,3.4035),(495,4695,0.070699,3.3824),(495,4705,0.051235,3.3678),(495,4715,0.03177,3.3578),(495,4725,0.059005,3.3478),(495,4735,0.086707,3.3431),(495,4745,0.11441,3.3463),(495,4755,0.13346,3.3495),(495,4765,0.15051,3.3502),(495,4775,0.16756,3.3419),(495,4785,0.17168,3.3337),(495,4795,0.16833,3.3248),(495,4805,0.16498,3.302),(495,4815,0.15502,3.2792),(495,4825,0.13717,3.2565),(495,4835,0.11932,3.2332),(495,4845,0.10455,3.2099),(495,4855,0.097806,3.1866),(495,4865,0.091059,3.1821),(495,4875,0.09202,3.1862),(495,4885,0.16311,3.1902),(495,4895,0.23419,3.1933),(495,4905,0.30528,3.1955),(495,4915,0.29058,3.1978),(495,4925,0.26849,3.1959),(495,4935,0.24641,3.186),(495,4945,0.21494,3.176),(495,4955,0.18022,3.1656),(495,4965,0.1455,3.1528),(495,4975,0.1083,3.14),(495,4985,0.069203,3.1272),(495,4995,0.030102,3.1261),(495,5005,0.006381,3.1252),(495,5015,0.00711,3.1243),(495,5025,0.00784,3.1185),(495,5035,0.008466,3.1115),(495,5045,0.008696,3.1045),(495,5055,0.008925,3.0872),(495,5065,0.009215,3.0636),(495,5075,0.011466,3.04),(495,5085,0.013718,3.009),(495,5095,0.015969,2.9687),(495,5105,0.019086,2.9284),(495,5115,0.022353,2.8913),(495,5125,0.02562,2.8628),(495,5135,0.053317,2.8343),(495,5145,0.092868,2.8084),(495,5155,0.13242,2.8104),(495,5165,0.19466,2.8124),(495,5175,0.28004,2.8144),(495,5185,0.36542,2.8074),(495,5195,0.42715,2.7995),(495,5205,0.43791,2.7915),(495,5215,0.44867,2.7738),(495,5225,0.45754,2.7523),(495,5235,0.45473,2.7308),(495,5245,0.45193,2.7048),(495,5255,0.44912,2.6752),(495,5265,0.3133,2.6455),(495,5275,0.17199,2.6269),(495,5285,0.030691,2.6269),(495,5295,0.016025,2.6269),(495,5305,0.036627,2.6261),(495,5315,0.057229,2.6218),(495,5325,0.083138,2.6175),(495,5335,0.11253,2.613),(495,5345,0.14192,2.5939),(495,5355,0.17178,2.5748),(495,5365,0.2023,2.5557),(495,5375,0.23281,2.5236),(495,5385,0.24295,2.489),(495,5395,0.19113,2.4543),(495,5405,0.13932,2.4352),(495,5415,0.098433,2.4242),(495,5425,0.20436,2.4132),(495,5435,0.31028,2.4126),(495,5445,0.41621,2.4233),(495,5455,0.48238,2.434),(495,5465,0.54369,2.4445),(495,5475,0.60501,2.4545),(495,5485,0.60978,2.4644),(495,5495,0.59177,2.4735),(495,5505,0.57377,2.4766),(495,5515,0.55705,2.4796),(495,5525,0.54144,2.4827),(495,5535,0.52583,2.4805),(495,5545,0.51125,2.4781),(495,5555,0.49852,2.4756),(495,5565,0.48579,2.4698),(495,5575,0.47362,2.463),(495,5585,0.46404,2.4562),(495,5595,0.45446,2.4473),(495,5605,0.44488,2.437),(495,5615,0.43861,2.4266),(495,5625,0.43233,2.4149),(495,5635,0.42605,2.4013),(495,5645,0.42236,2.3877),(495,5655,0.41923,2.3734),(495,5665,0.41609,2.3569),(495,5675,0.41478,2.3404),(495,5685,0.41447,2.3238),(495,5695,0.41416,2.3044),(495,5705,0.41504,2.2851),(495,5715,0.41729,2.2657),(495,5725,0.41953,2.2437),(495,5735,0.42241,2.2212),(495,5745,0.42687,2.1988),(495,5755,0.43132,2.174),(495,5765,0.43598,2.1481),(495,5775,0.44227,2.1222),(495,5785,0.44857,2.0945),(495,5795,0.45487,2.0652),(495,5805,0.46263,2.0359),(495,5815,0.47051,2.0051),(495,5825,0.47839,1.9715),(495,5835,0.4875,1.9379),(495,5845,0.49702,1.9037),(495,5855,0.50653,1.866),(495,5865,0.51702,1.8284),(495,5875,0.52823,1.7908),(495,5885,0.53944,1.7483),(495,5895,0.55138,1.7056),(495,5905,0.56444,1.663),(495,5915,0.5775,1.6172),(495,5925,0.59099,1.5707),(495,5935,0.606,1.5242),(495,5945,0.62101,1.4748),(495,5955,0.63608,1.4238),(495,5965,0.65275,1.3728),(495,5975,0.66941,1.3201),(495,5985,0.68607,1.2654),(495,5995,0.52703,1.2107),(495,6005,0.33971,1.169),(495,6015,0.15238,1.1618),(495,6025,0.15228,1.1546),(495,6035,0.23902,1.1471),(495,6045,0.32575,1.1362),(495,6055,0.38838,1.1253),(495,6065,0.42737,1.1144),(495,6075,0.46636,1.0991),(495,6085,0.49276,1.0834),(495,6095,0.49322,1.0677),(495,6105,0.49368,1.0517),(495,6115,0.49406,1.0356),(495,6125,0.49396,1.0195),(495,6135,0.49386,1.0029),(495,6145,0.49376,0.98595),(495,6155,0.49328,0.96896),(495,6165,0.49279,0.95151),(495,6175,0.4923,0.93328),(495,6185,0.49165,0.91506),(495,6195,0.49095,0.89672),(495,6205,0.49026,0.87787),(495,6215,0.4895,0.85901),(495,6225,0.48871,0.84014),(495,6235,0.48792,0.82056),(495,6245,0.48712,0.80098),(495,6255,0.48631,0.78139),(495,6265,0.48549,0.76123),(495,6275,0.48469,0.74096),(495,6285,0.48395,0.7207),(495,6295,0.48321,0.70008),(495,6305,0.48247,0.6793),(495,6315,0.48175,0.65851),(495,6325,0.48103,0.63752),(495,6335,0.48031,0.6163),(495,6345,0.47972,0.59508),(495,6355,0.47915,0.5737),(495,6365,0.47857,0.55195),(495,6375,0.47804,0.53019),(495,6385,0.47753,0.50841),(495,6395,0.47701,0.48647),(495,6405,0.47657,0.46452),(495,6415,0.47618,0.44257),(495,6425,0.4758,0.42017),(495,6435,0.47542,0.39774),(495,6445,0.47507,0.37532),(495,6455,0.47471,0.35291),(495,6465,0.47439,0.33051),(495,6475,0.4742,0.30811),(495,6485,0.47401,0.2856),(495,6495,0.47383,0.26301),(495,6505,0.47363,0.24043),(495,6515,0.47343,0.2177),(495,6525,0.47323,0.19478),(495,6535,0.47308,0.17186),(495,6545,0.47294,0.14897),(495,6555,0.47279,0.12621),(495,6565,0.4727,0.10345),(495,6575,0.47264,0.080681),(495,6585,0.47257,0.0578),(495,6595,0.4019,0.03492),(495,6605,0.25326,0.012039),(495,6615,0.10461,0.00944),(495,6625,0.000121,0.009448),(495,6635,0.000122,0.009456),(495,6645,0.000123,0.009453),(495,6655,0.000125,0.009447),(495,6665,0.000126,0.009441),(495,6675,0.000127,0.009435),(495,6685,0.000128,0.009429),(495,6695,0.000129,0.009423),(495,6705,0.00013,0.009417),(495,6715,0.000131,0.00941),(495,6725,0.000132,0.009404),(495,6735,0.000134,0.009398),(495,6745,0.000135,0.009392),(495,6755,0.000136,0.009386),(495,6765,0.000137,0.00938),(495,6775,0.000138,0.009373),(495,6785,0.000139,0.009367),(495,6795,0.00014,0.00936),(495,6805,0.000141,0.009354),(495,6815,0.000142,0.009347),(495,6825,0.000143,0.009341),(495,6835,0.000144,0.009335),(495,6845,0.000145,0.009328),(495,6855,0.000146,0.009322),(495,6865,0.000147,0.009315),(495,6875,0.000148,0.009309),(495,6885,0.000149,0.009302),(495,6895,0.000149,0.009296),(495,6905,0.00015,0.009289),(495,6915,0.000151,0.009283),(495,6925,0.000152,0.009276),(495,6935,0.000153,0.00927),(495,6945,0.000154,0.009263),(495,6955,0.000155,0.009256),(495,6965,0.000156,0.00925),(495,6975,0.000156,0.009243),(495,6985,0.000157,0.009236),(505,5,2.6e-05,3.666),(505,15,7.7e-05,3.666),(505,25,0.000129,3.666),(505,35,0.000181,3.666),(505,45,0.000232,3.666),(505,55,0.000284,3.6659),(505,65,0.000336,3.6659),(505,75,0.000387,3.6659),(505,85,0.000439,3.6659),(505,95,0.000491,3.6659),(505,105,0.000543,3.6659),(505,115,0.000594,3.6658),(505,125,0.000646,3.6658),(505,135,0.000698,3.6658),(505,145,0.000751,3.6658),(505,155,0.000803,3.6657),(505,165,0.000855,3.6657),(505,175,0.000907,3.6657),(505,185,0.000959,3.6656),(505,195,0.001012,3.6656),(505,205,0.001064,3.6656),(505,215,0.001117,3.6655),(505,225,0.00117,3.6655),(505,235,0.001223,3.6654),(505,245,0.001276,3.6654),(505,255,0.001329,3.6653),(505,265,0.001382,3.6653),(505,275,0.001436,3.6652),(505,285,0.001489,3.6651),(505,295,0.001543,3.6651),(505,305,0.001597,3.665),(505,315,0.001651,3.665),(505,325,0.001705,3.6649),(505,335,0.00176,3.6648),(505,345,0.001814,3.6648),(505,355,0.001869,3.6647),(505,365,0.001924,3.6646),(505,375,0.001979,3.6645),(505,385,0.002034,3.6645),(505,395,0.00209,3.6644),(505,405,0.002145,3.6643),(505,415,0.002201,3.6642),(505,425,0.002257,3.6641),(505,435,0.002314,3.664),(505,445,0.00237,3.6639),(505,455,0.002426,3.6638),(505,465,0.002483,3.6637),(505,475,0.002541,3.6636),(505,485,0.002598,3.6635),(505,495,0.002655,3.6634),(505,505,0.002714,3.6633),(505,515,0.002772,3.6632),(505,525,0.00283,3.6631),(505,535,0.002888,3.663),(505,545,0.002948,3.6629),(505,555,0.003007,3.6628),(505,565,0.003066,3.6626),(505,575,0.003126,3.6625),(505,585,0.003186,3.6624),(505,595,0.003246,3.6623),(505,605,0.003307,3.6621),(505,615,0.003367,3.662),(505,625,0.003429,3.6619),(505,635,0.003491,3.6617),(505,645,0.003552,3.6616),(505,655,0.003614,3.6615),(505,665,0.003677,3.6613),(505,675,0.003739,3.6612),(505,685,0.003802,3.661),(505,695,0.003865,3.6609),(505,705,0.003929,3.6607),(505,715,0.003994,3.6606),(505,725,0.004058,3.6604),(505,735,0.004122,3.6602),(505,745,0.004188,3.6601),(505,755,0.004254,3.6599),(505,765,0.004319,3.6597),(505,775,0.004385,3.6596),(505,785,0.004452,3.6594),(505,795,0.004519,3.6592),(505,805,0.004586,3.659),(505,815,0.004654,3.6588),(505,825,0.004723,3.6587),(505,835,0.004791,3.6585),(505,845,0.00486,3.6583),(505,855,0.004929,3.6581),(505,865,0.005,3.6579),(505,875,0.00507,3.6577),(505,885,0.00514,3.6575),(505,895,0.005211,3.6573),(505,905,0.005283,3.6571),(505,915,0.005355,3.6569),(505,925,0.005427,3.6566),(505,935,0.005499,3.6564),(505,945,0.005573,3.6562),(505,955,0.005647,3.656),(505,965,0.00572,3.6558),(505,975,0.005795,3.6555),(505,985,0.00587,3.6553),(505,995,0.005946,3.6551),(505,1005,0.006021,3.6548),(505,1015,0.006098,3.6546),(505,1025,0.006175,3.6543),(505,1035,0.006253,3.6541),(505,1045,0.00633,3.6538),(505,1055,0.006408,3.6536),(505,1065,0.006487,3.6533),(505,1075,0.006566,3.6531),(505,1085,0.006645,3.6528),(505,1095,0.006725,3.6525),(505,1105,0.006806,3.6523),(505,1115,0.006887,3.652),(505,1125,0.006968,3.6517),(505,1135,0.007051,3.6515),(505,1145,0.007134,3.6512),(505,1155,0.007217,3.6509),(505,1165,0.0073,3.6506),(505,1175,0.007384,3.6503),(505,1185,0.007469,3.65),(505,1195,0.007554,3.6497),(505,1205,0.00764,3.6494),(505,1215,0.007726,3.6491),(505,1225,0.007813,3.6488),(505,1235,0.007901,3.6485),(505,1245,0.007988,3.6482),(505,1255,0.008077,3.6478),(505,1265,0.008166,3.6475),(505,1275,0.008255,3.6472),(505,1285,0.008345,3.6469),(505,1295,0.008436,3.6465),(505,1305,0.008527,3.6462),(505,1315,0.008619,3.6459),(505,1325,0.00871,3.6455),(505,1335,0.008803,3.6452),(505,1345,0.008897,3.6448),(505,1355,0.008991,3.6445),(505,1365,0.009084,3.6441),(505,1375,0.00918,3.6437),(505,1385,0.009275,3.6434),(505,1395,0.009371,3.643),(505,1405,0.009466,3.6426),(505,1415,0.009564,3.6422),(505,1425,0.009662,3.6419),(505,1435,0.00976,3.6415),(505,1445,0.009858,3.6411),(505,1455,0.009957,3.6407),(505,1465,0.010058,3.6403),(505,1475,0.010158,3.6399),(505,1485,0.010258,3.6395),(505,1495,0.01036,3.6391),(505,1505,0.010462,3.6386),(505,1515,0.010565,3.6382),(505,1525,0.010667,3.6378),(505,1535,0.010772,3.6374),(505,1545,0.010876,3.6369),(505,1555,0.010981,3.6365),(505,1565,0.011086,3.6361),(505,1575,0.011192,3.6356),(505,1585,0.011299,3.6352),(505,1595,0.011406,3.6347),(505,1605,0.011513,3.6342),(505,1615,0.011622,3.6338),(505,1625,0.011731,3.6333),(505,1635,0.01184,3.6328),(505,1645,0.011949,3.6324),(505,1655,0.01206,3.6319),(505,1665,0.012171,3.6314),(505,1675,0.012282,3.6309),(505,1685,0.012394,3.6304),(505,1695,0.012507,3.6299),(505,1705,0.012621,3.6294),(505,1715,0.012734,3.6289),(505,1725,0.012848,3.6284),(505,1735,0.012963,3.6279),(505,1745,0.013079,3.6274),(505,1755,0.013194,3.6268),(505,1765,0.01331,3.6263),(505,1775,0.013428,3.6258),(505,1785,0.013546,3.6252),(505,1795,0.013663,3.6247),(505,1805,0.013781,3.6241),(505,1815,0.013901,3.6236),(505,1825,0.014021,3.623),(505,1835,0.01414,3.6225),(505,1845,0.014261,3.6219),(505,1855,0.014383,3.6213),(505,1865,0.014504,3.6207),(505,1875,0.014626,3.6201),(505,1885,0.014749,3.6196),(505,1895,0.014873,3.619),(505,1905,0.014997,3.6184),(505,1915,0.015121,3.6178),(505,1925,0.015245,3.6171),(505,1935,0.015371,3.6165),(505,1945,0.015497,3.6159),(505,1955,0.015623,3.6153),(505,1965,0.01575,3.6147),(505,1975,0.015878,3.614),(505,1985,0.016006,3.6134),(505,1995,0.016134,3.6127),(505,2005,0.016263,3.6121),(505,2015,0.016393,3.6114),(505,2025,0.016523,3.6108),(505,2035,0.016652,3.6101),(505,2045,0.016783,3.6094),(505,2055,0.016915,3.6088),(505,2065,0.017047,3.6081),(505,2075,0.017179,3.6074),(505,2085,0.017312,3.6067),(505,2095,0.017446,3.606),(505,2105,0.01758,3.6053),(505,2115,0.017714,3.6046),(505,2125,0.01785,3.6039),(505,2135,0.017986,3.6032),(505,2145,0.018122,3.6024),(505,2155,0.018257,3.6017),(505,2165,0.018395,3.601),(505,2175,0.018533,3.6002),(505,2185,0.018671,3.5995),(505,2195,0.018809,3.5987),(505,2205,0.018948,3.598),(505,2215,0.019088,3.5972),(505,2225,0.019228,3.5964),(505,2235,0.019368,3.5957),(505,2245,0.01951,3.5949),(505,2255,0.019652,3.5941),(505,2265,0.019794,3.5933),(505,2275,0.019937,3.5925),(505,2285,0.02008,3.5917),(505,2295,0.020225,3.5909),(505,2305,0.020369,3.5901),(505,2315,0.020513,3.5893),(505,2325,0.020659,3.5884),(505,2335,0.020806,3.5876),(505,2345,0.020953,3.5868),(505,2355,0.021099,3.5859),(505,2365,0.021248,3.5851),(505,2375,0.021397,3.5843),(505,2385,0.021546,3.5834),(505,2395,0.021696,3.5825),(505,2405,0.021848,3.5817),(505,2415,0.022,3.5808),(505,2425,0.022152,3.5799),(505,2435,0.022304,3.579),(505,2445,0.022459,3.5781),(505,2455,0.022614,3.5772),(505,2465,0.022769,3.5763),(505,2475,0.022924,3.5754),(505,2485,0.023082,3.5745),(505,2495,0.023241,3.5736),(505,2505,0.023399,3.5727),(505,2515,0.023557,3.5718),(505,2525,0.023719,3.5708),(505,2535,0.023881,3.5699),(505,2545,0.024043,3.5689),(505,2555,0.024205,3.568),(505,2565,0.024372,3.567),(505,2575,0.024538,3.5661),(505,2585,0.024705,3.5651),(505,2595,0.024872,3.5641),(505,2605,0.025043,3.5632),(505,2615,0.025215,3.5622),(505,2625,0.025386,3.5612),(505,2635,0.025558,3.5602),(505,2645,0.025735,3.5592),(505,2655,0.025912,3.5582),(505,2665,0.026089,3.5572),(505,2675,0.026268,3.5562),(505,2685,0.026451,3.5551),(505,2695,0.026634,3.5541),(505,2705,0.026818,3.5531),(505,2715,0.027003,3.5521),(505,2725,0.027194,3.551),(505,2735,0.027385,3.55),(505,2745,0.027576,3.5489),(505,2755,0.027769,3.5479),(505,2765,0.027969,3.5468),(505,2775,0.028169,3.5457),(505,2785,0.028369,3.5447),(505,2795,0.028571,3.5436),(505,2805,0.028781,3.5425),(505,2815,0.028991,3.5414),(505,2825,0.029201,3.5403),(505,2835,0.029415,3.5392),(505,2845,0.029638,3.5382),(505,2855,0.02986,3.5371),(505,2865,0.030082,3.5359),(505,2875,0.030309,3.5348),(505,2885,0.030545,3.5337),(505,2895,0.030781,3.5326),(505,2905,0.031018,3.5315),(505,2915,0.03126,3.5303),(505,2925,0.031513,3.5292),(505,2935,0.031766,3.5281),(505,2945,0.032018,3.5269),(505,2955,0.032279,3.5258),(505,2965,0.032551,3.5246),(505,2975,0.032822,3.5235),(505,2985,0.033094,3.5223),(505,2995,0.033377,3.5212),(505,3005,0.03367,3.52),(505,3015,0.033964,3.5188),(505,3025,0.034258,3.5177),(505,3035,0.034566,3.5165),(505,3045,0.034886,3.5153),(505,3055,0.035205,3.5141),(505,3065,0.035525,3.5129),(505,3075,0.035862,3.5118),(505,3085,0.036212,3.5106),(505,3095,0.036562,3.5094),(505,3105,0.036912,3.5082),(505,3115,0.037284,3.507),(505,3125,0.037669,3.5058),(505,3135,0.038054,3.5046),(505,3145,0.038439,3.5034),(505,3155,0.03885,3.5022),(505,3165,0.039276,3.501),(505,3175,0.039701,3.4998),(505,3185,0.040127,3.4986),(505,3195,0.040585,3.4974),(505,3205,0.041057,3.4962),(505,3215,0.04153,3.495),(505,3225,0.042002,3.4939),(505,3235,0.042514,3.4927),(505,3245,0.043041,3.4915),(505,3255,0.043567,3.4903),(505,3265,0.044094,3.4891),(505,3275,0.044668,3.4879),(505,3285,0.045257,3.4867),(505,3295,0.045845,3.4856),(505,3305,0.046434,3.4844),(505,3315,0.047079,3.4832),(505,3325,0.047739,3.4821),(505,3335,0.048398,3.4809),(505,3345,0.049058,3.4798),(505,3355,0.049785,3.4787),(505,3365,0.050526,3.4775),(505,3375,0.051266,3.4764),(505,3385,0.052006,3.4753),(505,3395,0.052827,3.4742),(505,3405,0.053658,3.4732),(505,3415,0.054489,3.4721),(505,3425,0.05532,3.4711),(505,3435,0.056246,3.47),(505,3445,0.057179,3.469),(505,3455,0.058112,3.468),(505,3465,0.059046,3.4671),(505,3475,0.060088,3.4661),(505,3485,0.061134,3.4652),(505,3495,0.06218,3.4643),(505,3505,0.063227,3.4635),(505,3515,0.064395,3.4626),(505,3525,0.065564,3.4618),(505,3535,0.066733,3.4611),(505,3545,0.067907,3.4604),(505,3555,0.069206,3.4596),(505,3565,0.070505,3.4589),(505,3575,0.071803,3.4584),(505,3585,0.073113,3.4579),(505,3595,0.074545,3.4573),(505,3605,0.075976,3.4568),(505,3615,0.077408,3.4565),(505,3625,0.078856,3.4562),(505,3635,0.080415,3.4559),(505,3645,0.081975,3.4557),(505,3655,0.083535,3.4556),(505,3665,0.085113,3.4556),(505,3675,0.086783,3.4556),(505,3685,0.088453,3.4557),(505,3695,0.090124,3.456),(505,3705,0.091809,3.4564),(505,3715,0.093553,3.4567),(505,3725,0.095298,3.4572),(505,3735,0.097042,3.458),(505,3745,0.098788,3.4588),(505,3755,0.10054,3.4596),(505,3765,0.10229,3.4605),(505,3775,0.10404,3.4618),(505,3785,0.10577,3.4631),(505,3795,0.10743,3.4645),(505,3805,0.10909,3.466),(505,3815,0.11074,3.4679),(505,3825,0.11232,3.4698),(505,3835,0.11374,3.4717),(505,3845,0.11515,3.4739),(505,3855,0.11656,3.4764),(505,3865,0.11782,3.479),(505,3875,0.1188,3.4816),(505,3885,0.11978,3.4844),(505,3895,0.12076,3.4875),(505,3905,0.14494,3.4907),(505,3915,0.20379,3.4938),(505,3925,0.26264,3.499),(505,3935,0.32149,3.5069),(505,3945,0.36708,3.5148),(505,3955,0.39581,3.5227),(505,3965,0.42455,3.5295),(505,3975,0.45329,3.5352),(505,3985,0.45478,3.5409),(505,3995,0.42679,3.5465),(505,4005,0.39879,3.5501),(505,4015,0.3708,3.5515),(505,4025,0.34657,3.5529),(505,4035,0.32271,3.5535),(505,4045,0.29885,3.5524),(505,4055,0.27838,3.5513),(505,4065,0.25915,3.55),(505,4075,0.23992,3.5473),(505,4085,0.22326,3.5445),(505,4095,0.20866,3.5418),(505,4105,0.19405,3.538),(505,4115,0.17523,3.5343),(505,4125,0.14942,3.5305),(505,4135,0.1236,3.5273),(505,4145,0.10011,3.5243),(505,4155,0.086064,3.5213),(505,4165,0.072017,3.5203),(505,4175,0.058772,3.5205),(505,4185,0.085249,3.5208),(505,4195,0.11173,3.5201),(505,4205,0.1382,3.5182),(505,4215,0.1331,3.5162),(505,4225,0.12205,3.5138),(505,4235,0.111,3.5101),(505,4245,0.098829,3.5064),(505,4255,0.086096,3.5027),(505,4265,0.073362,3.4998),(505,4275,0.059417,3.4968),(505,4285,0.044185,3.4939),(505,4295,0.028953,3.4935),(505,4305,0.032317,3.4933),(505,4315,0.077672,3.4932),(505,4325,0.12303,3.5006),(505,4335,0.16321,3.5111),(505,4345,0.16839,3.5215),(505,4355,0.17358,3.5284),(505,4365,0.17876,3.5323),(505,4375,0.18017,3.5362),(505,4385,0.18137,3.5371),(505,4395,0.18258,3.5328),(505,4405,0.15951,3.5286),(505,4415,0.12929,3.5241),(505,4425,0.099063,3.5186),(505,4435,0.088957,3.5131),(505,4445,0.092601,3.5076),(505,4455,0.096245,3.5113),(505,4465,0.11583,3.515),(505,4475,0.15781,3.5187),(505,4485,0.19979,3.5197),(505,4495,0.23063,3.5201),(505,4505,0.22576,3.5205),(505,4515,0.22089,3.5149),(505,4525,0.21563,3.5061),(505,4535,0.20423,3.4973),(505,4545,0.19283,3.4853),(505,4555,0.18144,3.4698),(505,4565,0.13181,3.4542),(505,4575,0.077018,3.4434),(505,4585,0.02223,3.444),(505,4595,0.015107,3.4446),(505,4605,0.028124,3.4454),(505,4615,0.04114,3.4475),(505,4625,0.05291,3.4496),(505,4635,0.06355,3.4517),(505,4645,0.07419,3.4468),(505,4655,0.084289,3.4414),(505,4665,0.093368,3.436),(505,4675,0.10245,3.4194),(505,4685,0.10629,3.3993),(505,4695,0.084226,3.3791),(505,4705,0.062166,3.3653),(505,4715,0.040106,3.356),(505,4725,0.062912,3.3468),(505,4735,0.086167,3.3421),(505,4745,0.10942,3.3442),(505,4755,0.1299,3.3463),(505,4765,0.14973,3.346),(505,4775,0.16957,3.3372),(505,4785,0.17735,3.3283),(505,4795,0.17818,3.3189),(505,4805,0.179,3.2968),(505,4815,0.17162,3.2746),(505,4825,0.15443,3.2525),(505,4835,0.13724,3.2304),(505,4845,0.12088,3.2083),(505,4855,0.10669,3.1862),(505,4865,0.092502,3.1816),(505,4875,0.086679,3.185),(505,4885,0.15699,3.1883),(505,4895,0.22731,3.1905),(505,4905,0.29762,3.1916),(505,4915,0.28639,3.1927),(505,4925,0.26814,3.1902),(505,4935,0.24989,3.1804),(505,4945,0.22048,3.1707),(505,4955,0.18719,3.1606),(505,4965,0.1539,3.1487),(505,4975,0.11584,3.1367),(505,4985,0.074107,3.1248),(505,4995,0.03237,3.1237),(505,5005,0.007192,3.1228),(505,5015,0.008341,3.122),(505,5025,0.009489,3.1154),(505,5035,0.011332,3.1072),(505,5045,0.015823,3.0991),(505,5055,0.020314,3.0812),(505,5065,0.024879,3.0572),(505,5075,0.03184,3.0332),(505,5085,0.038801,3.0025),(505,5095,0.045763,2.9632),(505,5105,0.047483,2.9239),(505,5115,0.048289,2.8878),(505,5125,0.049095,2.8606),(505,5135,0.070119,2.8334),(505,5145,0.10095,2.8085),(505,5155,0.13179,2.8097),(505,5165,0.19017,2.8108),(505,5175,0.27663,2.812),(505,5185,0.36309,2.804),(505,5195,0.42676,2.7951),(505,5205,0.44127,2.7862),(505,5215,0.45578,2.7684),(505,5225,0.46824,2.7472),(505,5235,0.46799,2.726),(505,5245,0.46773,2.7008),(505,5255,0.46748,2.6724),(505,5265,0.32617,2.644),(505,5275,0.17904,2.6262),(505,5285,0.031913,2.6262),(505,5295,0.016066,2.6262),(505,5305,0.036779,2.6253),(505,5315,0.057492,2.6202),(505,5325,0.085395,2.6151),(505,5335,0.11801,2.6098),(505,5345,0.15063,2.5904),(505,5355,0.18401,2.5711),(505,5365,0.21841,2.5517),(505,5375,0.25282,2.5203),(505,5385,0.26468,2.4865),(505,5395,0.20803,2.4527),(505,5405,0.15138,2.4342),(505,5415,0.10552,2.4236),(505,5425,0.20467,2.4129),(505,5435,0.30382,2.4122),(505,5445,0.40297,2.4222),(505,5455,0.46796,2.4323),(505,5465,0.52878,2.4421),(505,5475,0.5896,2.4514),(505,5485,0.59565,2.4607),(505,5495,0.57965,2.4692),(505,5505,0.56365,2.4719),(505,5515,0.5487,2.4747),(505,5525,0.53467,2.4775),(505,5535,0.52064,2.4752),(505,5545,0.5075,2.4727),(505,5555,0.49598,2.4702),(505,5565,0.48446,2.4644),(505,5575,0.47345,2.4576),(505,5585,0.46481,2.4508),(505,5595,0.45618,2.4419),(505,5605,0.44754,2.4315),(505,5615,0.44201,2.4212),(505,5625,0.43648,2.4095),(505,5635,0.43095,2.3959),(505,5645,0.42794,2.3822),(505,5655,0.42547,2.3679),(505,5665,0.423,2.3514),(505,5675,0.42232,2.3348),(505,5685,0.42264,2.3182),(505,5695,0.42295,2.2987),(505,5705,0.42447,2.2793),(505,5715,0.42737,2.2598),(505,5725,0.43026,2.2377),(505,5735,0.43381,2.2151),(505,5745,0.43897,2.1925),(505,5755,0.44412,2.1676),(505,5765,0.44949,2.1416),(505,5775,0.45658,2.1156),(505,5785,0.46367,2.0878),(505,5795,0.47075,2.0583),(505,5805,0.47938,2.0289),(505,5815,0.48812,1.998),(505,5825,0.49686,1.9644),(505,5835,0.50691,1.9308),(505,5845,0.5174,1.8965),(505,5855,0.52788,1.8589),(505,5865,0.53938,1.8213),(505,5875,0.55163,1.7838),(505,5885,0.56388,1.7414),(505,5895,0.57687,1.699),(505,5905,0.591,1.6566),(505,5915,0.60513,1.6113),(505,5925,0.61966,1.5652),(505,5935,0.63563,1.5191),(505,5945,0.65159,1.4703),(505,5955,0.66762,1.4198),(505,5965,0.68505,1.3694),(505,5975,0.70248,1.3175),(505,5985,0.71992,1.2636),(505,5995,0.553,1.2098),(505,6005,0.35642,1.1687),(505,6015,0.15984,1.1616),(505,6025,0.15666,1.1545),(505,6035,0.24317,1.147),(505,6045,0.32969,1.1359),(505,6055,0.39248,1.1248),(505,6065,0.43201,1.1137),(505,6075,0.47153,1.0982),(505,6085,0.49837,1.0824),(505,6095,0.49905,1.0665),(505,6105,0.49974,1.0503),(505,6115,0.50034,1.0341),(505,6125,0.5005,1.0179),(505,6135,0.50065,1.0011),(505,6145,0.50081,0.98405),(505,6155,0.50058,0.96696),(505,6165,0.50034,0.94942),(505,6175,0.5001,0.93115),(505,6185,0.49969,0.91288),(505,6195,0.49923,0.89449),(505,6205,0.49877,0.87563),(505,6215,0.49825,0.85677),(505,6225,0.49767,0.83789),(505,6235,0.4971,0.8183),(505,6245,0.4965,0.79872),(505,6255,0.49585,0.77913),(505,6265,0.4952,0.75901),(505,6275,0.49457,0.7388),(505,6285,0.49398,0.71858),(505,6295,0.49338,0.69801),(505,6305,0.49279,0.67726),(505,6315,0.49219,0.65651),(505,6325,0.49159,0.63556),(505,6335,0.49099,0.61442),(505,6345,0.4905,0.59328),(505,6355,0.49001,0.57196),(505,6365,0.48953,0.55027),(505,6375,0.48908,0.52858),(505,6385,0.48865,0.50687),(505,6395,0.48821,0.485),(505,6405,0.48785,0.46314),(505,6415,0.48753,0.44128),(505,6425,0.48722,0.41894),(505,6435,0.48691,0.39657),(505,6445,0.48663,0.3742),(505,6455,0.48634,0.35188),(505,6465,0.48607,0.32958),(505,6475,0.48594,0.30727),(505,6485,0.4858,0.28483),(505,6495,0.48566,0.26228),(505,6505,0.4855,0.23974),(505,6515,0.48534,0.21706),(505,6525,0.48518,0.19421),(505,6535,0.48505,0.17135),(505,6545,0.48494,0.14853),(505,6555,0.48482,0.12584),(505,6565,0.48474,0.10315),(505,6575,0.48469,0.080453),(505,6585,0.48463,0.057621),(505,6595,0.41215,0.03479),(505,6605,0.25972,0.011958),(505,6615,0.10728,0.009386),(505,6625,0.000124,0.009418),(505,6635,0.000125,0.00945),(505,6645,0.000127,0.009455),(505,6655,0.000128,0.009449),(505,6665,0.000129,0.009442),(505,6675,0.00013,0.009436),(505,6685,0.000131,0.00943),(505,6695,0.000132,0.009424),(505,6705,0.000133,0.009418),(505,6715,0.000134,0.009412),(505,6725,0.000136,0.009405),(505,6735,0.000137,0.009399),(505,6745,0.000138,0.009393),(505,6755,0.000139,0.009387),(505,6765,0.00014,0.00938),(505,6775,0.000141,0.009374),(505,6785,0.000142,0.009368),(505,6795,0.000143,0.009361),(505,6805,0.000144,0.009355),(505,6815,0.000145,0.009348),(505,6825,0.000146,0.009342),(505,6835,0.000147,0.009336),(505,6845,0.000148,0.009329),(505,6855,0.000149,0.009323),(505,6865,0.00015,0.009316),(505,6875,0.000151,0.00931),(505,6885,0.000152,0.009303),(505,6895,0.000153,0.009297),(505,6905,0.000154,0.00929),(505,6915,0.000155,0.009284),(505,6925,0.000155,0.009277),(505,6935,0.000156,0.00927),(505,6945,0.000157,0.009264),(505,6955,0.000158,0.009257),(505,6965,0.000159,0.00925),(505,6975,0.00016,0.009244),(505,6985,0.000161,0.009237),(515,5,2.6e-05,3.666),(515,15,7.9e-05,3.666),(515,25,0.000132,3.666),(515,35,0.000184,3.666),(515,45,0.000237,3.666),(515,55,0.000289,3.666),(515,65,0.000342,3.666),(515,75,0.000395,3.666),(515,85,0.000447,3.666),(515,95,0.0005,3.6659),(515,105,0.000553,3.6659),(515,115,0.000606,3.6659),(515,125,0.000659,3.6659),(515,135,0.000712,3.6658),(515,145,0.000765,3.6658),(515,155,0.000818,3.6658),(515,165,0.000871,3.6658),(515,175,0.000924,3.6657),(515,185,0.000977,3.6657),(515,195,0.001031,3.6656),(515,205,0.001084,3.6656),(515,215,0.001138,3.6656),(515,225,0.001192,3.6655),(515,235,0.001246,3.6655),(515,245,0.0013,3.6654),(515,255,0.001354,3.6654),(515,265,0.001408,3.6653),(515,275,0.001463,3.6653),(515,285,0.001517,3.6652),(515,295,0.001572,3.6651),(515,305,0.001627,3.6651),(515,315,0.001682,3.665),(515,325,0.001737,3.665),(515,335,0.001793,3.6649),(515,345,0.001848,3.6648),(515,355,0.001904,3.6647),(515,365,0.00196,3.6647),(515,375,0.002016,3.6646),(515,385,0.002072,3.6645),(515,395,0.002129,3.6644),(515,405,0.002185,3.6643),(515,415,0.002242,3.6643),(515,425,0.002299,3.6642),(515,435,0.002357,3.6641),(515,445,0.002414,3.664),(515,455,0.002472,3.6639),(515,465,0.00253,3.6638),(515,475,0.002588,3.6637),(515,485,0.002646,3.6636),(515,495,0.002705,3.6635),(515,505,0.002764,3.6634),(515,515,0.002824,3.6633),(515,525,0.002883,3.6632),(515,535,0.002942,3.6631),(515,545,0.003003,3.6629),(515,555,0.003063,3.6628),(515,565,0.003124,3.6627),(515,575,0.003184,3.6626),(515,585,0.003246,3.6625),(515,595,0.003307,3.6623),(515,605,0.003369,3.6622),(515,615,0.00343,3.6621),(515,625,0.003493,3.6619),(515,635,0.003556,3.6618),(515,645,0.003619,3.6617),(515,655,0.003681,3.6615),(515,665,0.003746,3.6614),(515,675,0.00381,3.6612),(515,685,0.003874,3.6611),(515,695,0.003938,3.6609),(515,705,0.004003,3.6608),(515,715,0.004069,3.6606),(515,725,0.004134,3.6605),(515,735,0.0042,3.6603),(515,745,0.004267,3.6601),(515,755,0.004333,3.66),(515,765,0.0044,3.6598),(515,775,0.004467,3.6596),(515,785,0.004536,3.6594),(515,795,0.004604,3.6593),(515,805,0.004672,3.6591),(515,815,0.004741,3.6589),(515,825,0.004811,3.6587),(515,835,0.004882,3.6585),(515,845,0.004952,3.6583),(515,855,0.005022,3.6581),(515,865,0.005094,3.658),(515,875,0.005165,3.6578),(515,885,0.005237,3.6576),(515,895,0.005309,3.6573),(515,905,0.005382,3.6571),(515,915,0.005456,3.6569),(515,925,0.005529,3.6567),(515,935,0.005603,3.6565),(515,945,0.005678,3.6563),(515,955,0.005753,3.6561),(515,965,0.005828,3.6558),(515,975,0.005904,3.6556),(515,985,0.005981,3.6554),(515,995,0.006058,3.6551),(515,1005,0.006135,3.6549),(515,1015,0.006213,3.6547),(515,1025,0.006292,3.6544),(515,1035,0.006371,3.6542),(515,1045,0.006449,3.6539),(515,1055,0.006529,3.6537),(515,1065,0.00661,3.6534),(515,1075,0.00669,3.6532),(515,1085,0.006771,3.6529),(515,1095,0.006853,3.6526),(515,1105,0.006935,3.6524),(515,1115,0.007018,3.6521),(515,1125,0.0071,3.6518),(515,1135,0.007184,3.6515),(515,1145,0.007269,3.6513),(515,1155,0.007354,3.651),(515,1165,0.007438,3.6507),(515,1175,0.007524,3.6504),(515,1185,0.007611,3.6501),(515,1195,0.007698,3.6498),(515,1205,0.007785,3.6495),(515,1215,0.007873,3.6492),(515,1225,0.007962,3.6489),(515,1235,0.008051,3.6486),(515,1245,0.00814,3.6483),(515,1255,0.00823,3.6479),(515,1265,0.008321,3.6476),(515,1275,0.008412,3.6473),(515,1285,0.008503,3.647),(515,1295,0.008596,3.6466),(515,1305,0.008689,3.6463),(515,1315,0.008783,3.646),(515,1325,0.008876,3.6456),(515,1335,0.008971,3.6453),(515,1345,0.009066,3.6449),(515,1355,0.009162,3.6445),(515,1365,0.009257,3.6442),(515,1375,0.009355,3.6438),(515,1385,0.009452,3.6435),(515,1395,0.00955,3.6431),(515,1405,0.009647,3.6427),(515,1415,0.009747,3.6423),(515,1425,0.009847,3.642),(515,1435,0.009946,3.6416),(515,1445,0.010046,3.6412),(515,1455,0.010148,3.6408),(515,1465,0.01025,3.6404),(515,1475,0.010352,3.64),(515,1485,0.010454,3.6396),(515,1495,0.010558,3.6392),(515,1505,0.010663,3.6387),(515,1515,0.010767,3.6383),(515,1525,0.010872,3.6379),(515,1535,0.010978,3.6375),(515,1545,0.011085,3.637),(515,1555,0.011192,3.6366),(515,1565,0.011298,3.6362),(515,1575,0.011407,3.6357),(515,1585,0.011516,3.6353),(515,1595,0.011625,3.6348),(515,1605,0.011734,3.6344),(515,1615,0.011845,3.6339),(515,1625,0.011956,3.6334),(515,1635,0.012068,3.633),(515,1645,0.012179,3.6325),(515,1655,0.012292,3.632),(515,1665,0.012406,3.6315),(515,1675,0.012519,3.631),(515,1685,0.012633,3.6305),(515,1695,0.012748,3.63),(515,1705,0.012864,3.6295),(515,1715,0.01298,3.629),(515,1725,0.013096,3.6285),(515,1735,0.013213,3.628),(515,1745,0.013331,3.6275),(515,1755,0.013449,3.626953),(515,1765,0.013567,3.6264),(515,1775,0.013687,3.6259),(515,1785,0.013807,3.6254),(515,1795,0.013927,3.6248),(515,1805,0.014048,3.6243),(515,1815,0.01417,3.6237),(515,1825,0.014292,3.6231),(515,1835,0.014414,3.6226),(515,1845,0.014537,3.622),(515,1855,0.014661,3.6214),(515,1865,0.014785,3.6209),(515,1875,0.014909,3.6203),(515,1885,0.015034,3.6197),(515,1895,0.015161,3.6191),(515,1905,0.015287,3.6185),(515,1915,0.015413,3.6179),(515,1925,0.015541,3.6173),(515,1935,0.015669,3.6167),(515,1945,0.015797,3.616),(515,1955,0.015926,3.6154),(515,1965,0.016055,3.6148),(515,1975,0.016186,3.6142),(515,1985,0.016316,3.6135),(515,1995,0.016447,3.6129),(515,2005,0.016578,3.6122),(515,2015,0.01671,3.6116),(515,2025,0.016843,3.6109),(515,2035,0.016975,3.6102),(515,2045,0.017109,3.6096),(515,2055,0.017243,3.6089),(515,2065,0.017378,3.6082),(515,2075,0.017512,3.6075),(515,2085,0.017648,3.6068),(515,2095,0.017785,3.6061),(515,2105,0.017921,3.6054),(515,2115,0.018058,3.6047),(515,2125,0.018196,3.604),(515,2135,0.018334,3.6033),(515,2145,0.018473,3.6026),(515,2155,0.018611,3.6018),(515,2165,0.018751,3.6011),(515,2175,0.018892,3.6004),(515,2185,0.019033,3.5996),(515,2195,0.019173,3.5989),(515,2205,0.019315,3.5981),(515,2215,0.019458,3.5973),(515,2225,0.019601,3.5966),(515,2235,0.019743,3.5958),(515,2245,0.019888,3.595),(515,2255,0.020033,3.5942),(515,2265,0.020177,3.5935),(515,2275,0.020322,3.5927),(515,2285,0.020469,3.5919),(515,2295,0.020616,3.5911),(515,2305,0.020762,3.5902),(515,2315,0.020909,3.5894),(515,2325,0.021058,3.5886),(515,2335,0.021207,3.5878),(515,2345,0.021357,3.5869),(515,2355,0.021506,3.5861),(515,2365,0.021657,3.5853),(515,2375,0.021809,3.5844),(515,2385,0.021961,3.5835),(515,2395,0.022113,3.5827),(515,2405,0.022267,3.5818),(515,2415,0.022422,3.581),(515,2425,0.022577,3.5801),(515,2435,0.022732,3.5792),(515,2445,0.022889,3.5783),(515,2455,0.023047,3.5774),(515,2465,0.023205,3.5765),(515,2475,0.023362,3.5756),(515,2485,0.023523,3.5747),(515,2495,0.023684,3.5738),(515,2505,0.023845,3.5728),(515,2515,0.024006,3.5719),(515,2525,0.02417,3.571),(515,2535,0.024335,3.5701),(515,2545,0.024499,3.5691),(515,2555,0.024664,3.5682),(515,2565,0.024833,3.5672),(515,2575,0.025002,3.5662),(515,2585,0.025171,3.5653),(515,2595,0.02534,3.5643),(515,2605,0.025514,3.5633),(515,2615,0.025688,3.5624),(515,2625,0.025861,3.5614),(515,2635,0.026036,3.5604),(515,2645,0.026215,3.5594),(515,2655,0.026395,3.5584),(515,2665,0.026574,3.5574),(515,2675,0.026755,3.5563),(515,2685,0.02694,3.5553),(515,2695,0.027126,3.5543),(515,2705,0.027312,3.5533),(515,2715,0.027499,3.5522),(515,2725,0.027692,3.5512),(515,2735,0.027885,3.5502),(515,2745,0.028078,3.5491),(515,2755,0.028274,3.5481),(515,2765,0.028475,3.547),(515,2775,0.028677,3.5459),(515,2785,0.028879,3.5449),(515,2795,0.029083,3.5438),(515,2805,0.029295,3.5427),(515,2815,0.029507,3.5417),(515,2825,0.029719,3.5406),(515,2835,0.029935,3.5395),(515,2845,0.030158,3.5384),(515,2855,0.030382,3.5373),(515,2865,0.030605,3.5362),(515,2875,0.030834,3.5351),(515,2885,0.031072,3.5339),(515,2895,0.031309,3.5328),(515,2905,0.031547,3.5317),(515,2915,0.031791,3.5306),(515,2925,0.032044,3.5295),(515,2935,0.032298,3.5283),(515,2945,0.032552,3.5272),(515,2955,0.032814,3.526),(515,2965,0.033086,3.5249),(515,2975,0.033358,3.5238),(515,2985,0.03363,3.5226),(515,2995,0.033913,3.5214),(515,3005,0.034207,3.5203),(515,3015,0.034501,3.5191),(515,3025,0.034795,3.518),(515,3035,0.035103,3.5168),(515,3045,0.035423,3.5156),(515,3055,0.035742,3.5145),(515,3065,0.036062,3.5133),(515,3075,0.036398,3.5121),(515,3085,0.036747,3.5109),(515,3095,0.037096,3.5097),(515,3105,0.037445,3.5086),(515,3115,0.037815,3.5074),(515,3125,0.038198,3.5062),(515,3135,0.038581,3.505),(515,3145,0.038964,3.5038),(515,3155,0.039373,3.5026),(515,3165,0.039795,3.5015),(515,3175,0.040218,3.5003),(515,3185,0.040641,3.4991),(515,3195,0.041094,3.4979),(515,3205,0.041563,3.4967),(515,3215,0.042031,3.4955),(515,3225,0.042499,3.4943),(515,3235,0.043005,3.4932),(515,3245,0.043526,3.492),(515,3255,0.044046,3.4908),(515,3265,0.044567,3.4896),(515,3275,0.045134,3.4885),(515,3285,0.045714,3.4873),(515,3295,0.046294,3.4862),(515,3305,0.046875,3.485),(515,3315,0.04751,3.4839),(515,3325,0.048159,3.4827),(515,3335,0.048808,3.4816),(515,3345,0.049456,3.4805),(515,3355,0.05017,3.4794),(515,3365,0.050896,3.4783),(515,3375,0.051622,3.4772),(515,3385,0.052348,3.4761),(515,3395,0.053152,3.475),(515,3405,0.053965,3.474),(515,3415,0.054777,3.473),(515,3425,0.05559,3.4719),(515,3435,0.056493,3.4709),(515,3445,0.057403,3.4699),(515,3455,0.058312,3.469),(515,3465,0.059222,3.4681),(515,3475,0.060234,3.4671),(515,3485,0.06125,3.4662),(515,3495,0.062266,3.4654),(515,3505,0.063282,3.4646),(515,3515,0.064412,3.4637),(515,3525,0.065543,3.4629),(515,3535,0.066673,3.4622),(515,3545,0.067808,3.4616),(515,3555,0.069058,3.4609),(515,3565,0.070308,3.4602),(515,3575,0.071558,3.4597),(515,3585,0.072818,3.4592),(515,3595,0.074188,3.4587),(515,3605,0.075558,3.4582),(515,3615,0.076928,3.4579),(515,3625,0.078312,3.4577),(515,3635,0.079795,3.4574),(515,3645,0.081278,3.4572),(515,3655,0.08276,3.4572),(515,3665,0.084258,3.4572),(515,3675,0.085834,3.4572),(515,3685,0.087409,3.4573),(515,3695,0.088984,3.4576),(515,3705,0.090571,3.458),(515,3715,0.0922,3.4584),(515,3725,0.093829,3.4588),(515,3735,0.095458,3.4596),(515,3745,0.097084,3.4604),(515,3755,0.0987,3.4612),(515,3765,0.10032,3.4621),(515,3775,0.10193,3.4634),(515,3785,0.10352,3.4647),(515,3795,0.10502,3.466),(515,3805,0.10653,3.4675),(515,3815,0.10803,3.4693),(515,3825,0.10946,3.4712),(515,3835,0.11071,3.4731),(515,3845,0.11196,3.4751),(515,3855,0.11322,3.4776),(515,3865,0.11432,3.48),(515,3875,0.11514,3.4825),(515,3885,0.11597,3.4851),(515,3895,0.1168,3.4882),(515,3905,0.14026,3.4912),(515,3915,0.19752,3.4942),(515,3925,0.25478,3.4991),(515,3935,0.31204,3.5068),(515,3945,0.35684,3.5144),(515,3955,0.38582,3.5221),(515,3965,0.4148,3.5288),(515,3975,0.44378,3.5343),(515,3985,0.44602,3.5399),(515,3995,0.41931,3.5455),(515,4005,0.3926,3.549),(515,4015,0.36589,3.5504),(515,4025,0.34255,3.5518),(515,4035,0.31955,3.5523),(515,4045,0.29655,3.5512),(515,4055,0.27674,3.5501),(515,4065,0.25809,3.5487),(515,4075,0.23945,3.546),(515,4085,0.22326,3.5432),(515,4095,0.20905,3.5404),(515,4105,0.19484,3.5367),(515,4115,0.17628,3.5329),(515,4125,0.15053,3.5292),(515,4135,0.12478,3.526),(515,4145,0.10119,3.523),(515,4155,0.086363,3.52),(515,4165,0.071536,3.5189),(515,4175,0.057533,3.5188),(515,4185,0.084297,3.5188),(515,4195,0.11106,3.5179),(515,4205,0.13782,3.5159),(515,4215,0.13338,3.5139),(515,4225,0.12306,3.5115),(515,4235,0.11275,3.5081),(515,4245,0.1008,3.5047),(515,4255,0.088027,3.5013),(515,4265,0.075255,3.4986),(515,4275,0.060983,3.496),(515,4285,0.045121,3.4933),(515,4295,0.029259,3.4929),(515,4305,0.031035,3.4927),(515,4315,0.07264,3.4926),(515,4325,0.11424,3.4994),(515,4335,0.15141,3.5089),(515,4345,0.15853,3.5184),(515,4355,0.16565,3.5246),(515,4365,0.17277,3.5281),(515,4375,0.17664,3.5316),(515,4385,0.18034,3.5324),(515,4395,0.18404,3.5285),(515,4405,0.16213,3.5246),(515,4415,0.13266,3.5205),(515,4425,0.10319,3.5155),(515,4435,0.091678,3.5104),(515,4445,0.092446,3.5054),(515,4455,0.093213,3.5085),(515,4465,0.11131,3.5116),(515,4475,0.15375,3.5147),(515,4485,0.19618,3.5152),(515,4495,0.22804,3.515),(515,4505,0.22594,3.5149),(515,4515,0.22383,3.5094),(515,4525,0.2213,3.5009),(515,4535,0.21203,3.4924),(515,4545,0.20275,3.481),(515,4555,0.19347,3.4664),(515,4565,0.14049,3.4518),(515,4575,0.081607,3.4416),(515,4585,0.022729,3.4421),(515,4595,0.01383,3.4425),(515,4605,0.026048,3.4431),(515,4615,0.038266,3.4445),(515,4625,0.050634,3.4459),(515,4635,0.06314,3.4472),(515,4645,0.075645,3.4419),(515,4655,0.088397,3.4361),(515,4665,0.10161,3.4303),(515,4675,0.11483,3.4143),(515,4685,0.12169,3.3951),(515,4695,0.097082,3.3758),(515,4705,0.072479,3.3628),(515,4715,0.047876,3.3543),(515,4725,0.066692,3.3457),(515,4735,0.085942,3.341),(515,4745,0.10519,3.342),(515,4755,0.12707,3.3431),(515,4765,0.14957,3.3418),(515,4775,0.17206,3.3324),(515,4785,0.18327,3.3229),(515,4795,0.18797,3.313),(515,4805,0.19267,3.2915),(515,4815,0.18763,3.27),(515,4825,0.17096,3.2485),(515,4835,0.15429,3.2275),(515,4845,0.13638,3.2067),(515,4855,0.11522,3.1858),(515,4865,0.094058,3.1811),(515,4875,0.081889,3.1838),(515,4885,0.15154,3.1864),(515,4895,0.22119,3.1877),(515,4905,0.29084,3.1876),(515,4915,0.28278,3.1876),(515,4925,0.26803,3.1844),(515,4935,0.25328,3.1749),(515,4945,0.22572,3.1654),(515,4955,0.19371,3.1556),(515,4965,0.16171,3.1445),(515,4975,0.12283,3.1334),(515,4985,0.078653,3.1223),(515,4995,0.034472,3.1213),(515,5005,0.008064,3.1205),(515,5015,0.00991,3.1198),(515,5025,0.011756,3.1122),(515,5035,0.014999,3.103),(515,5045,0.023562,3.0938),(515,5055,0.032124,3.0752),(515,5065,0.040769,3.0509),(515,5075,0.052113,3.0265),(515,5085,0.063457,2.996),(515,5095,0.074801,2.9577),(515,5105,0.075026,2.9194),(515,5115,0.073311,2.8844),(515,5125,0.071597,2.8584),(515,5135,0.08628,2.8324),(515,5145,0.10892,2.8086),(515,5155,0.13156,2.8089),(515,5165,0.18635,2.8093),(515,5175,0.27393,2.8096),(515,5185,0.36151,2.8007),(515,5195,0.42703,2.7908),(515,5205,0.44498,2.7809),(515,5215,0.46294,2.763),(515,5225,0.47869,2.7421),(515,5235,0.48076,2.7212),(515,5245,0.48282,2.6968),(515,5255,0.48488,2.6697),(515,5265,0.33836,2.6426),(515,5275,0.18572,2.6255),(515,5285,0.033075,2.6255),(515,5295,0.016257,2.6256),(515,5305,0.037264,2.6244),(515,5315,0.05827,2.6186),(515,5325,0.088166,2.6127),(515,5335,0.12389,2.6066),(515,5345,0.15962,2.587),(515,5355,0.19632,2.5673),(515,5365,0.23433,2.5477),(515,5375,0.27235,2.517),(515,5385,0.28577,2.4841),(515,5395,0.22439,2.4512),(515,5405,0.16302,2.4332),(515,5415,0.11232,2.423),(515,5425,0.20497,2.4127),(515,5435,0.29762,2.4119),(515,5445,0.39027,2.4212),(515,5455,0.4541,2.4305),(515,5465,0.51442,2.4397),(515,5475,0.57473,2.4483),(515,5485,0.582,2.457),(515,5495,0.5679,2.4649),(515,5505,0.55381,2.4673),(515,5515,0.54056,2.4698),(515,5525,0.52806,2.4723),(515,5535,0.51556,2.47),(515,5545,0.50384,2.4674),(515,5555,0.4935,2.4648),(515,5565,0.48317,2.459),(515,5575,0.4733,2.4522),(515,5585,0.4656,2.4453),(515,5595,0.4579,2.4364),(515,5605,0.4502,2.4261),(515,5615,0.44542,2.4158),(515,5625,0.44065,2.4041),(515,5635,0.43587,2.3904),(515,5645,0.43354,2.3768),(515,5655,0.43174,2.3625),(515,5665,0.42994,2.3459),(515,5675,0.42991,2.3293),(515,5685,0.43086,2.3125),(515,5695,0.4318,2.293),(515,5705,0.43396,2.2735),(515,5715,0.43751,2.2539),(515,5725,0.44105,2.2316),(515,5735,0.44527,2.209),(515,5745,0.45113,2.1863),(515,5755,0.45699,2.1612),(515,5765,0.46307,2.1351),(515,5775,0.47094,2.1089),(515,5785,0.47882,2.081),(515,5795,0.48669,2.0515),(515,5805,0.49617,2.0219),(515,5815,0.50576,1.9909),(515,5825,0.51535,1.9572),(515,5835,0.52633,1.9236),(515,5845,0.53776,1.8893),(515,5855,0.54919,1.8518),(515,5865,0.56166,1.8142),(515,5875,0.57491,1.7767),(515,5885,0.58816,1.7346),(515,5895,0.60216,1.6924),(515,5905,0.61731,1.6503),(515,5915,0.63246,1.6053),(515,5925,0.64798,1.5596),(515,5935,0.66485,1.514),(515,5945,0.68173,1.4657),(515,5955,0.69865,1.4159),(515,5965,0.71682,1.3661),(515,5975,0.73499,1.3149),(515,5985,0.75315,1.2618),(515,5995,0.57851,1.2088),(515,6005,0.37284,1.1683),(515,6015,0.16717,1.1613),(515,6025,0.161,1.1543),(515,6035,0.24737,1.1469),(515,6045,0.33375,1.1356),(515,6055,0.39674,1.1243),(515,6065,0.43681,1.113),(515,6075,0.47689,1.0974),(515,6085,0.50416,1.0813),(515,6095,0.50505,1.0652),(515,6105,0.50595,1.0489),(515,6115,0.50677,1.0326),(515,6125,0.50716,1.0162),(515,6135,0.50755,0.99935),(515,6145,0.50795,0.98215),(515,6155,0.50796,0.96496),(515,6165,0.50796,0.94733),(515,6175,0.50795,0.92902),(515,6185,0.50777,0.9107),(515,6195,0.50754,0.89227),(515,6205,0.50731,0.8734),(515,6215,0.50699,0.85452),(515,6225,0.50663,0.83563),(515,6235,0.50627,0.81605),(515,6245,0.50586,0.79646),(515,6255,0.50538,0.77687),(515,6265,0.50489,0.7568),(515,6275,0.50442,0.73663),(515,6285,0.50397,0.71646),(515,6295,0.50353,0.69593),(515,6305,0.50308,0.67521),(515,6315,0.5026,0.6545),(515,6325,0.50212,0.63361),(515,6335,0.50164,0.61254),(515,6345,0.50124,0.59147),(515,6355,0.50085,0.57023),(515,6365,0.50045,0.5486),(515,6375,0.50009,0.52697),(515,6385,0.49973,0.50532),(515,6395,0.49938,0.48354),(515,6405,0.49909,0.46177),(515,6415,0.49884,0.43999),(515,6425,0.49859,0.41771),(515,6435,0.49836,0.3954),(515,6445,0.49813,0.37309),(515,6455,0.49791,0.35086),(515,6465,0.49771,0.32865),(515,6475,0.49762,0.30644),(515,6485,0.49753,0.28405),(515,6495,0.49744,0.26155),(515,6505,0.49731,0.23905),(515,6515,0.49718,0.21643),(515,6525,0.49706,0.19364),(515,6535,0.49697,0.17085),(515,6545,0.49688,0.1481),(515,6555,0.4968,0.12548),(515,6565,0.49673,0.10286),(515,6575,0.49668,0.080225),(515,6585,0.49663,0.057442),(515,6595,0.42237,0.03466),(515,6605,0.26615,0.011877),(515,6615,0.10994,0.009333),(515,6625,0.000128,0.009388),(515,6635,0.000129,0.009444),(515,6645,0.00013,0.009456),(515,6655,0.000131,0.00945),(515,6665,0.000132,0.009444),(515,6675,0.000133,0.009437),(515,6685,0.000134,0.009431),(515,6695,0.000135,0.009425),(515,6705,0.000137,0.009419),(515,6715,0.000138,0.009413),(515,6725,0.000139,0.009406),(515,6735,0.00014,0.0094),(515,6745,0.000141,0.009394),(515,6755,0.000142,0.009388),(515,6765,0.000143,0.009381),(515,6775,0.000144,0.009375),(515,6785,0.000145,0.009369),(515,6795,0.000146,0.009362),(515,6805,0.000147,0.009356),(515,6815,0.000148,0.009349),(515,6825,0.000149,0.009343),(515,6835,0.00015,0.009336),(515,6845,0.000151,0.00933),(515,6855,0.000152,0.009324),(515,6865,0.000153,0.009317),(515,6875,0.000154,0.00931),(515,6885,0.000155,0.009304),(515,6895,0.000156,0.009298),(515,6905,0.000157,0.009291),(515,6915,0.000158,0.009284),(515,6925,0.000159,0.009278),(515,6935,0.00016,0.009271),(515,6945,0.00016,0.009265),(515,6955,0.000161,0.009258),(515,6965,0.000162,0.009251),(515,6975,0.000163,0.009244),(515,6985,0.000164,0.009238),(525,5,2.7e-05,3.6661),(525,15,8e-05,3.6661),(525,25,0.000134,3.6661),(525,35,0.000187,3.6661),(525,45,0.000241,3.6661),(525,55,0.000295,3.6661),(525,65,0.000348,3.666),(525,75,0.000402,3.666),(525,85,0.000455,3.666),(525,95,0.000509,3.666),(525,105,0.000563,3.666),(525,115,0.000617,3.666),(525,125,0.000671,3.6659),(525,135,0.000724,3.6659),(525,145,0.000779,3.6659),(525,155,0.000833,3.6658),(525,165,0.000887,3.6658),(525,175,0.000941,3.6658),(525,185,0.000995,3.6657),(525,195,0.00105,3.6657),(525,205,0.001104,3.6657),(525,215,0.001159,3.6656),(525,225,0.001213,3.6656),(525,235,0.001268,3.6655),(525,245,0.001323,3.6655),(525,255,0.001378,3.6654),(525,265,0.001434,3.6654),(525,275,0.001489,3.6653),(525,285,0.001545,3.6653),(525,295,0.0016,3.6652),(525,305,0.001656,3.6651),(525,315,0.001712,3.6651),(525,325,0.001769,3.665),(525,335,0.001825,3.6649),(525,345,0.001882,3.6649),(525,355,0.001938,3.6648),(525,365,0.001995,3.6647),(525,375,0.002052,3.6646),(525,385,0.00211,3.6646),(525,395,0.002167,3.6645),(525,405,0.002225,3.6644),(525,415,0.002283,3.6643),(525,425,0.002341,3.6642),(525,435,0.002399,3.6641),(525,445,0.002458,3.664),(525,455,0.002516,3.6639),(525,465,0.002576,3.6639),(525,475,0.002635,3.6638),(525,485,0.002694,3.6637),(525,495,0.002754,3.6635),(525,505,0.002814,3.6634),(525,515,0.002875,3.6633),(525,525,0.002935,3.6632),(525,535,0.002996,3.6631),(525,545,0.003057,3.663),(525,555,0.003119,3.6629),(525,565,0.00318,3.6628),(525,575,0.003242,3.6626),(525,585,0.003305,3.6625),(525,595,0.003367,3.6624),(525,605,0.00343,3.6623),(525,615,0.003493,3.6621),(525,625,0.003557,3.662),(525,635,0.003621,3.6619),(525,645,0.003684,3.6617),(525,655,0.003749,3.6616),(525,665,0.003814,3.6614),(525,675,0.003879,3.6613),(525,685,0.003944,3.6611),(525,695,0.00401,3.661),(525,705,0.004076,3.6608),(525,715,0.004143,3.6607),(525,725,0.004209,3.6605),(525,735,0.004276,3.6604),(525,745,0.004344,3.6602),(525,755,0.004412,3.66),(525,765,0.00448,3.6599),(525,775,0.004549,3.6597),(525,785,0.004619,3.6595),(525,795,0.004688,3.6593),(525,805,0.004758,3.6592),(525,815,0.004828,3.659),(525,825,0.004899,3.6588),(525,835,0.004971,3.6586),(525,845,0.005042,3.6584),(525,855,0.005114,3.6582),(525,865,0.005187,3.658),(525,875,0.00526,3.6578),(525,885,0.005333,3.6576),(525,895,0.005406,3.6574),(525,905,0.005481,3.6572),(525,915,0.005555,3.657),(525,925,0.00563,3.6568),(525,935,0.005706,3.6566),(525,945,0.005782,3.6564),(525,955,0.005859,3.6561),(525,965,0.005935,3.6559),(525,975,0.006012,3.6557),(525,985,0.006091,3.6555),(525,995,0.006169,3.6552),(525,1005,0.006248,3.655),(525,1015,0.006327,3.6547),(525,1025,0.006407,3.6545),(525,1035,0.006488,3.6543),(525,1045,0.006568,3.654),(525,1055,0.006649,3.6538),(525,1065,0.006731,3.6535),(525,1075,0.006814,3.6532),(525,1085,0.006896,3.653),(525,1095,0.006979,3.6527),(525,1105,0.007063,3.6524),(525,1115,0.007147,3.6522),(525,1125,0.007232,3.6519),(525,1135,0.007317,3.6516),(525,1145,0.007403,3.6513),(525,1155,0.007489,3.6511),(525,1165,0.007576,3.6508),(525,1175,0.007664,3.6505),(525,1185,0.007752,3.6502),(525,1195,0.00784,3.6499),(525,1205,0.007929,3.6496),(525,1215,0.008019,3.6493),(525,1225,0.008109,3.649),(525,1235,0.0082,3.6487),(525,1245,0.00829,3.6483),(525,1255,0.008383,3.648),(525,1265,0.008475,3.6477),(525,1275,0.008568,3.6474),(525,1285,0.008661,3.6471),(525,1295,0.008756,3.6467),(525,1305,0.008851,3.6464),(525,1315,0.008946,3.646),(525,1325,0.009041,3.6457),(525,1335,0.009138,3.6454),(525,1345,0.009235,3.645),(525,1355,0.009332,3.6446),(525,1365,0.00943,3.6443),(525,1375,0.009529,3.6439),(525,1385,0.009628,3.6436),(525,1395,0.009728,3.6432),(525,1405,0.009827,3.6428),(525,1415,0.009929,3.6424),(525,1425,0.01003,3.6421),(525,1435,0.010132,3.6417),(525,1445,0.010234,3.6413),(525,1455,0.010338,3.6409),(525,1465,0.010442,3.6405),(525,1475,0.010546,3.6401),(525,1485,0.010649,3.6397),(525,1495,0.010756,3.6393),(525,1505,0.010862,3.6389),(525,1515,0.010969,3.6384),(525,1525,0.011075,3.638),(525,1535,0.011184,3.6376),(525,1545,0.011292,3.6372),(525,1555,0.011401,3.6367),(525,1565,0.01151,3.6363),(525,1575,0.011621,3.6358),(525,1585,0.011732,3.6354),(525,1595,0.011843,3.6349),(525,1605,0.011954,3.6345),(525,1615,0.012068,3.634),(525,1625,0.012181,3.6335),(525,1635,0.012294,3.6331),(525,1645,0.012408,3.6326),(525,1655,0.012523,3.6321),(525,1665,0.012639,3.6316),(525,1675,0.012754,3.6311),(525,1685,0.01287,3.6306),(525,1695,0.012988,3.6302),(525,1705,0.013106,3.6297),(525,1715,0.013224,3.6291),(525,1725,0.013342,3.6286),(525,1735,0.013462,3.6281),(525,1745,0.013582,3.6276),(525,1755,0.013702,3.6271),(525,1765,0.013823,3.6265),(525,1775,0.013945,3.626),(525,1785,0.014068,3.6255),(525,1795,0.01419,3.6249),(525,1805,0.014313,3.6244),(525,1815,0.014437,3.6238),(525,1825,0.014562,3.6233),(525,1835,0.014686,3.6227),(525,1845,0.014811,3.6221),(525,1855,0.014938,3.6216),(525,1865,0.015064,3.621),(525,1875,0.015191,3.6204),(525,1885,0.015319,3.6198),(525,1895,0.015447,3.6192),(525,1905,0.015576,3.6186),(525,1915,0.015705,3.618),(525,1925,0.015835,3.6174),(525,1935,0.015966,3.6168),(525,1945,0.016096,3.6162),(525,1955,0.016227,3.6155),(525,1965,0.016359,3.6149),(525,1975,0.016492,3.6143),(525,1985,0.016625,3.6136),(525,1995,0.016758,3.613),(525,2005,0.016892,3.6123),(525,2015,0.017027,3.6117),(525,2025,0.017162,3.611),(525,2035,0.017297,3.6104),(525,2045,0.017433,3.6097),(525,2055,0.01757,3.609),(525,2065,0.017707,3.6083),(525,2075,0.017844,3.6077),(525,2085,0.017983,3.607),(525,2095,0.018122,3.6063),(525,2105,0.018261,3.6056),(525,2115,0.0184,3.6049),(525,2125,0.01854,3.6041),(525,2135,0.018682,3.6034),(525,2145,0.018823,3.6027),(525,2155,0.018964,3.602),(525,2165,0.019107,3.6012),(525,2175,0.01925,3.6005),(525,2185,0.019393,3.5998),(525,2195,0.019536,3.599),(525,2205,0.019681,3.5982),(525,2215,0.019826,3.5975),(525,2225,0.019972,3.5967),(525,2235,0.020117,3.5959),(525,2245,0.020264,3.5952),(525,2255,0.020412,3.5944),(525,2265,0.020559,3.5936),(525,2275,0.020707,3.5928),(525,2285,0.020856,3.592),(525,2295,0.021005,3.5912),(525,2305,0.021155,3.5904),(525,2315,0.021304,3.5896),(525,2325,0.021456,3.5887),(525,2335,0.021608,3.5879),(525,2345,0.02176,3.5871),(525,2355,0.021912,3.5862),(525,2365,0.022066,3.5854),(525,2375,0.02222,3.5846),(525,2385,0.022375,3.5837),(525,2395,0.022529,3.5828),(525,2405,0.022686,3.582),(525,2415,0.022843,3.5811),(525,2425,0.023,3.5802),(525,2435,0.023158,3.5793),(525,2445,0.023318,3.5784),(525,2455,0.023478,3.5776),(525,2465,0.023638,3.5767),(525,2475,0.023798,3.5757),(525,2485,0.023962,3.5748),(525,2495,0.024125,3.5739),(525,2505,0.024289,3.573),(525,2515,0.024452,3.5721),(525,2525,0.024619,3.5711),(525,2535,0.024786,3.5702),(525,2545,0.024953,3.5693),(525,2555,0.02512,3.5683),(525,2565,0.025291,3.5674),(525,2575,0.025462,3.5664),(525,2585,0.025634,3.5654),(525,2595,0.025805,3.5645),(525,2605,0.025981,3.5635),(525,2615,0.026157,3.5625),(525,2625,0.026333,3.5615),(525,2635,0.02651,3.5605),(525,2645,0.026692,3.5596),(525,2655,0.026873,3.5586),(525,2665,0.027055,3.5575),(525,2675,0.027237,3.5565),(525,2685,0.027425,3.5555),(525,2695,0.027613,3.5545),(525,2705,0.027801,3.5535),(525,2715,0.02799,3.5524),(525,2725,0.028185,3.5514),(525,2735,0.02838,3.5504),(525,2745,0.028575,3.5493),(525,2755,0.028772,3.5483),(525,2765,0.028976,3.5472),(525,2775,0.029179,3.5462),(525,2785,0.029383,3.5451),(525,2795,0.029589,3.544),(525,2805,0.029803,3.5429),(525,2815,0.030016,3.5419),(525,2825,0.030229,3.5408),(525,2835,0.030447,3.5397),(525,2845,0.030671,3.5386),(525,2855,0.030896,3.5375),(525,2865,0.031121,3.5364),(525,2875,0.031351,3.5353),(525,2885,0.03159,3.5342),(525,2895,0.031828,3.5331),(525,2905,0.032067,3.532),(525,2915,0.032312,3.5308),(525,2925,0.032566,3.5297),(525,2935,0.03282,3.5286),(525,2945,0.033074,3.5274),(525,2955,0.033337,3.5263),(525,2965,0.033609,3.5252),(525,2975,0.033882,3.524),(525,2985,0.034154,3.5229),(525,2995,0.034437,3.5217),(525,3005,0.034731,3.5206),(525,3015,0.035024,3.5194),(525,3025,0.035318,3.5183),(525,3035,0.035625,3.5171),(525,3045,0.035944,3.5159),(525,3055,0.036262,3.5148),(525,3065,0.036581,3.5136),(525,3075,0.036915,3.5124),(525,3085,0.037263,3.5113),(525,3095,0.03761,3.5101),(525,3105,0.037957,3.5089),(525,3115,0.038325,3.5078),(525,3125,0.038705,3.5066),(525,3135,0.039085,3.5054),(525,3145,0.039466,3.5042),(525,3155,0.039871,3.503),(525,3165,0.04029,3.5019),(525,3175,0.040708,3.5007),(525,3185,0.041127,3.4995),(525,3195,0.041576,3.4983),(525,3205,0.042039,3.4972),(525,3215,0.042502,3.496),(525,3225,0.042965,3.4948),(525,3235,0.043464,3.4937),(525,3245,0.043978,3.4925),(525,3255,0.044491,3.4913),(525,3265,0.045005,3.4902),(525,3275,0.045562,3.489),(525,3285,0.046133,3.4879),(525,3295,0.046705,3.4868),(525,3305,0.047276,3.4856),(525,3315,0.0479,3.4845),(525,3325,0.048536,3.4834),(525,3335,0.049173,3.4823),(525,3345,0.04981,3.4812),(525,3355,0.050509,3.4801),(525,3365,0.05122,3.479),(525,3375,0.05193,3.4779),(525,3385,0.052641,3.4769),(525,3395,0.053425,3.4758),(525,3405,0.054218,3.4748),(525,3415,0.055012,3.4738),(525,3425,0.055805,3.4728),(525,3435,0.056683,3.4718),(525,3445,0.057568,3.4708),(525,3455,0.058453,3.4699),(525,3465,0.059338,3.469),(525,3475,0.060319,3.4681),(525,3485,0.061304,3.4672),(525,3495,0.062289,3.4664),(525,3505,0.063274,3.4656),(525,3515,0.064365,3.4648),(525,3525,0.065457,3.4641),(525,3535,0.066548,3.4634),(525,3545,0.067644,3.4628),(525,3555,0.068846,3.4621),(525,3565,0.070048,3.4615),(525,3575,0.071249,3.461),(525,3585,0.07246,3.4605),(525,3595,0.073771,3.46),(525,3605,0.075082,3.4596),(525,3615,0.076393,3.4594),(525,3625,0.077716,3.4591),(525,3635,0.079126,3.4589),(525,3645,0.080537,3.4587),(525,3655,0.081947,3.4587),(525,3665,0.08337,3.4587),(525,3675,0.084859,3.4588),(525,3685,0.086348,3.4589),(525,3695,0.087837,3.4592),(525,3705,0.089333,3.4596),(525,3715,0.09086,3.46),(525,3725,0.092388,3.4605),(525,3735,0.093915,3.4613),(525,3745,0.095436,3.4621),(525,3755,0.096936,3.4628),(525,3765,0.098437,3.4638),(525,3775,0.099938,3.465),(525,3785,0.1014,3.4663),(525,3795,0.10278,3.4676),(525,3805,0.10416,3.469),(525,3815,0.10554,3.4708),(525,3825,0.10684,3.4726),(525,3835,0.10796,3.4744),(525,3845,0.10909,3.4764),(525,3855,0.11022,3.4787),(525,3865,0.11119,3.4811),(525,3875,0.11191,3.4834),(525,3885,0.11262,3.4859),(525,3895,0.11334,3.4888),(525,3905,0.13612,3.4917),(525,3915,0.19189,3.4945),(525,3925,0.24765,3.4993),(525,3935,0.30341,3.5067),(525,3945,0.34743,3.5141),(525,3955,0.37655,3.5215),(525,3965,0.40566,3.528),(525,3975,0.43478,3.5335),(525,3985,0.43767,3.539),(525,3995,0.41217,3.5445),(525,4005,0.38668,3.5479),(525,4015,0.36118,3.5493),(525,4025,0.33873,3.5506),(525,4035,0.31658,3.5512),(525,4045,0.29443,3.55),(525,4055,0.27528,3.5489),(525,4065,0.25721,3.5475),(525,4075,0.23914,3.5447),(525,4085,0.22341,3.5419),(525,4095,0.20954,3.5391),(525,4105,0.19567,3.5354),(525,4115,0.17734,3.5316),(525,4125,0.15162,3.5278),(525,4135,0.1259,3.5247),(525,4145,0.10224,3.5217),(525,4155,0.086924,3.5188),(525,4165,0.071604,3.5174),(525,4175,0.05712,3.5171),(525,4185,0.083992,3.5168),(525,4195,0.11087,3.5158),(525,4205,0.13774,3.5136),(525,4215,0.13363,3.5115),(525,4225,0.12368,3.5092),(525,4235,0.11374,3.5061),(525,4245,0.10191,3.5029),(525,4255,0.089121,3.4999),(525,4265,0.076331,3.4975),(525,4275,0.061874,3.4951),(525,4285,0.045649,3.4927),(525,4295,0.029423,3.4923),(525,4305,0.030058,3.4922),(525,4315,0.068765,3.492),(525,4325,0.10747,3.4981),(525,4335,0.1423,3.5067),(525,4345,0.15085,3.5152),(525,4355,0.15941,3.5208),(525,4365,0.16796,3.5239),(525,4375,0.17364,3.5271),(525,4385,0.17917,3.5278),(525,4395,0.18469,3.5242),(525,4405,0.16368,3.5206),(525,4415,0.13484,3.5169),(525,4425,0.106,3.5123),(525,4435,0.093625,3.5078),(525,4445,0.092496,3.5033),(525,4455,0.091367,3.5057),(525,4465,0.10851,3.5082),(525,4475,0.15133,3.5107),(525,4485,0.19415,3.5106),(525,4495,0.22677,3.51),(525,4505,0.22668,3.5094),(525,4515,0.22658,3.5039),(525,4525,0.22604,3.4957),(525,4535,0.21831,3.4875),(525,4545,0.21059,3.4767),(525,4555,0.20286,3.463),(525,4565,0.14731,3.4494),(525,4575,0.085302,3.4398),(525,4585,0.023298,3.4401),(525,4595,0.013296,3.4405),(525,4605,0.025265,3.4409),(525,4615,0.037233,3.4415),(525,4625,0.050306,3.4421),(525,4635,0.064379,3.4428),(525,4645,0.078451,3.437),(525,4655,0.09324,3.4308),(525,4665,0.10938,3.4245),(525,4675,0.12552,3.4092),(525,4685,0.13441,3.3909),(525,4695,0.10746,3.3726),(525,4705,0.080507,3.3603),(525,4715,0.053556,3.3525),(525,4725,0.070003,3.3447),(525,4735,0.086884,3.34),(525,4745,0.10377,3.3399),(525,4755,0.12698,3.3399),(525,4765,0.15166,3.3376),(525,4775,0.17635,3.3276),(525,4785,0.19012,3.3176),(525,4795,0.19758,3.3071),(525,4805,0.20504,3.2862),(525,4815,0.20151,3.2654),(525,4825,0.18483,3.2445),(525,4835,0.16816,3.2247),(525,4845,0.1488,3.205),(525,4855,0.12242,3.1854),(525,4865,0.096035,3.1806),(525,4875,0.079136,3.1826),(525,4885,0.14854,3.1845),(525,4895,0.21793,3.1849),(525,4905,0.28733,3.1837),(525,4915,0.28132,3.1825),(525,4925,0.26881,3.1786),(525,4935,0.25631,3.1693),(525,4945,0.22987,3.1601),(525,4955,0.19859,3.1507),(525,4965,0.16732,3.1404),(525,4975,0.12778,3.1301),(525,4985,0.081873,3.1199),(525,4995,0.035962,3.1189),(525,5005,0.00916,3.1182),(525,5015,0.012737,3.1175),(525,5025,0.016313,3.1091),(525,5035,0.021627,3.0987),(525,5045,0.033559,3.0884),(525,5055,0.04549,3.0692),(525,5065,0.057499,3.0445),(525,5075,0.072015,3.0198),(525,5085,0.086531,2.9896),(525,5095,0.10105,2.9522),(525,5105,0.09941,2.9149),(525,5115,0.094956,2.8809),(525,5125,0.090501,2.8562),(525,5135,0.10007,2.8315),(525,5145,0.11644,2.8088),(525,5155,0.13282,2.8082),(525,5165,0.18505,2.8077),(525,5175,0.27385,2.8071),(525,5185,0.36265,2.7973),(525,5195,0.42974,2.7865),(525,5205,0.45002,2.7756),(525,5215,0.4703,2.7576),(525,5225,0.48826,2.737),(525,5235,0.49174,2.7163),(525,5245,0.49523,2.6928),(525,5255,0.49872,2.667),(525,5265,0.34806,2.6411),(525,5275,0.19104,2.6248),(525,5285,0.034015,2.6248),(525,5295,0.017002,2.6249),(525,5305,0.038978,2.6236),(525,5315,0.060954,2.6169),(525,5325,0.092835,2.6103),(525,5335,0.13121,2.6034),(525,5345,0.16959,2.5835),(525,5355,0.20891,2.5636),(525,5365,0.24952,2.5437),(525,5375,0.29014,2.5137),(525,5385,0.30444,2.4816),(525,5395,0.23877,2.4496),(525,5405,0.1731,2.4322),(525,5415,0.11802,2.4223),(525,5425,0.20521,2.4125),(525,5435,0.29241,2.4115),(525,5445,0.3796,2.4202),(525,5455,0.44234,2.4288),(525,5465,0.50208,2.4372),(525,5475,0.56183,2.4452),(525,5485,0.57005,2.4532),(525,5495,0.55752,2.4605),(525,5505,0.54499,2.4627),(525,5515,0.5332,2.4649),(525,5525,0.52207,2.467),(525,5535,0.51093,2.4647),(525,5545,0.50047,2.4621),(525,5555,0.49124,2.4595),(525,5565,0.48202,2.4536),(525,5575,0.47323,2.4467),(525,5585,0.46645,2.4399),(525,5595,0.45967,2.431),(525,5605,0.45289,2.4207),(525,5615,0.44888,2.4103),(525,5625,0.44488,2.3987),(525,5635,0.44088,2.385),(525,5645,0.43924,2.3714),(525,5655,0.43813,2.357),(525,5665,0.43701,2.3404),(525,5675,0.43764,2.3237),(525,5685,0.43924,2.3069),(525,5695,0.44084,2.2873),(525,5705,0.44366,2.2677),(525,5715,0.44787,2.2481),(525,5725,0.45208,2.2256),(525,5735,0.45697,2.2028),(525,5745,0.46353,2.18),(525,5755,0.4701,2.1548),(525,5765,0.47689,2.1286),(525,5775,0.48554,2.1023),(525,5785,0.49419,2.0743),(525,5795,0.50283,2.0446),(525,5805,0.51313,2.0149),(525,5815,0.52354,1.9838),(525,5825,0.53396,1.9501),(525,5835,0.54577,1.9164),(525,5845,0.55805,1.8821),(525,5855,0.57033,1.8446),(525,5865,0.58365,1.8071),(525,5875,0.59775,1.7696),(525,5885,0.61184,1.7278),(525,5895,0.62669,1.6858),(525,5905,0.64267,1.6439),(525,5915,0.65865,1.5993),(525,5925,0.67498,1.5541),(525,5935,0.69259,1.5088),(525,5945,0.7102,1.4611),(525,5955,0.72786,1.412),(525,5965,0.74662,1.3628),(525,5975,0.76538,1.3123),(525,5985,0.78414,1.2601),(525,5995,0.60228,1.2079),(525,6005,0.38814,1.168),(525,6015,0.17399,1.1611),(525,6025,0.16524,1.1542),(525,6035,0.25174,1.1469),(525,6045,0.33824,1.1354),(525,6055,0.40159,1.1239),(525,6065,0.44225,1.1124),(525,6075,0.4829,1.0965),(525,6085,0.51062,1.0803),(525,6095,0.51168,1.064),(525,6105,0.51273,1.0476),(525,6115,0.51371,1.031),(525,6125,0.51428,1.0145),(525,6135,0.51485,0.99755),(525,6145,0.51542,0.98025),(525,6155,0.51563,0.96295),(525,6165,0.51582,0.94525),(525,6175,0.51601,0.92688),(525,6185,0.516,0.90852),(525,6195,0.51595,0.89005),(525,6205,0.5159,0.87116),(525,6215,0.51576,0.85228),(525,6225,0.51558,0.83338),(525,6235,0.51539,0.81379),(525,6245,0.51515,0.7942),(525,6255,0.51483,0.77461),(525,6265,0.51452,0.75458),(525,6275,0.5142,0.73446),(525,6285,0.51389,0.71435),(525,6295,0.51357,0.69385),(525,6305,0.51326,0.67317),(525,6315,0.5129,0.65249),(525,6325,0.51254,0.63165),(525,6335,0.51218,0.61066),(525,6345,0.51187,0.58967),(525,6355,0.51157,0.56849),(525,6365,0.51127,0.54693),(525,6375,0.51098,0.52536),(525,6385,0.5107,0.50377),(525,6395,0.51042,0.48208),(525,6405,0.51019,0.46039),(525,6415,0.50999,0.4387),(525,6425,0.5098,0.41648),(525,6435,0.50962,0.39423),(525,6445,0.50945,0.37198),(525,6455,0.50929,0.34983),(525,6465,0.50914,0.32772),(525,6475,0.50909,0.3056),(525,6485,0.50904,0.28328),(525,6495,0.50898,0.26082),(525,6505,0.50889,0.23836),(525,6515,0.5088,0.21579),(525,6525,0.50871,0.19307),(525,6535,0.50865,0.17034),(525,6545,0.5086,0.14766),(525,6555,0.50855,0.12511),(525,6565,0.50852,0.10256),(525,6575,0.5085,0.079997),(525,6585,0.50848,0.057263),(525,6595,0.43245,0.03453),(525,6605,0.27251,0.011797),(525,6615,0.11257,0.009279),(525,6625,0.000131,0.009358),(525,6635,0.000132,0.009438),(525,6645,0.000133,0.009457),(525,6655,0.000134,0.009451),(525,6665,0.000135,0.009445),(525,6675,0.000136,0.009439),(525,6685,0.000137,0.009432),(525,6695,0.000139,0.009426),(525,6705,0.00014,0.00942),(525,6715,0.000141,0.009414),(525,6725,0.000142,0.009407),(525,6735,0.000143,0.009401),(525,6745,0.000144,0.009395),(525,6755,0.000145,0.009389),(525,6765,0.000146,0.009383),(525,6775,0.000147,0.009376),(525,6785,0.000148,0.00937),(525,6795,0.00015,0.009363),(525,6805,0.000151,0.009357),(525,6815,0.000152,0.00935),(525,6825,0.000153,0.009344),(525,6835,0.000154,0.009338),(525,6845,0.000155,0.009331),(525,6855,0.000156,0.009324),(525,6865,0.000157,0.009318),(525,6875,0.000158,0.009312),(525,6885,0.000159,0.009305),(525,6895,0.000159,0.009298),(525,6905,0.00016,0.009292),(525,6915,0.000161,0.009285),(525,6925,0.000162,0.009279),(525,6935,0.000163,0.009272),(525,6945,0.000164,0.009265),(525,6955,0.000165,0.009259),(525,6965,0.000166,0.009252),(525,6975,0.000166,0.009245),(525,6985,0.000167,0.009239),(535,5,2.7e-05,3.6661),(535,15,8.2e-05,3.6661),(535,25,0.000136,3.6661),(535,35,0.000191,3.6661),(535,45,0.000245,3.6661),(535,55,0.0003,3.6661),(535,65,0.000354,3.6661),(535,75,0.000409,3.6661),(535,85,0.000464,3.6661),(535,95,0.000518,3.666),(535,105,0.000573,3.666),(535,115,0.000628,3.666),(535,125,0.000683,3.666),(535,135,0.000737,3.666),(535,145,0.000792,3.6659),(535,155,0.000848,3.6659),(535,165,0.000903,3.6659),(535,175,0.000958,3.6658),(535,185,0.001013,3.6658),(535,195,0.001068,3.6658),(535,205,0.001124,3.6657),(535,215,0.001179,3.6657),(535,225,0.001235,3.6656),(535,235,0.001291,3.6656),(535,245,0.001347,3.6655),(535,255,0.001403,3.6655),(535,265,0.001459,3.6654),(535,275,0.001516,3.6654),(535,285,0.001572,3.6653),(535,295,0.001629,3.6653),(535,305,0.001686,3.6652),(535,315,0.001743,3.6651),(535,325,0.0018,3.6651),(535,335,0.001857,3.665),(535,345,0.001915,3.6649),(535,355,0.001973,3.6649),(535,365,0.002031,3.6648),(535,375,0.002089,3.6647),(535,385,0.002147,3.6646),(535,395,0.002206,3.6645),(535,405,0.002265,3.6645),(535,415,0.002323,3.6644),(535,425,0.002383,3.6643),(535,435,0.002442,3.6642),(535,445,0.002501,3.6641),(535,455,0.002561,3.664),(535,465,0.002621,3.6639),(535,475,0.002682,3.6638),(535,485,0.002742,3.6637),(535,495,0.002803,3.6636),(535,505,0.002864,3.6635),(535,515,0.002926,3.6634),(535,525,0.002987,3.6633),(535,535,0.003049,3.6632),(535,545,0.003112,3.6631),(535,555,0.003174,3.6629),(535,565,0.003237,3.6628),(535,575,0.0033,3.6627),(535,585,0.003364,3.6626),(535,595,0.003427,3.6625),(535,605,0.003491,3.6623),(535,615,0.003555,3.6622),(535,625,0.00362,3.6621),(535,635,0.003685,3.6619),(535,645,0.00375,3.6618),(535,655,0.003815,3.6616),(535,665,0.003882,3.6615),(535,675,0.003948,3.6614),(535,685,0.004015,3.6612),(535,695,0.004081,3.6611),(535,705,0.004149,3.6609),(535,715,0.004217,3.6607),(535,725,0.004285,3.6606),(535,735,0.004353,3.6604),(535,745,0.004422,3.6603),(535,755,0.004491,3.6601),(535,765,0.004561,3.6599),(535,775,0.00463,3.6598),(535,785,0.004701,3.6596),(535,795,0.004772,3.6594),(535,805,0.004843,3.6592),(535,815,0.004914,3.659),(535,825,0.004987,3.6589),(535,835,0.00506,3.6587),(535,845,0.005132,3.6585),(535,855,0.005206,3.6583),(535,865,0.00528,3.6581),(535,875,0.005354,3.6579),(535,885,0.005428,3.6577),(535,895,0.005503,3.6575),(535,905,0.005579,3.6573),(535,915,0.005655,3.6571),(535,925,0.005731,3.6569),(535,935,0.005808,3.6566),(535,945,0.005886,3.6564),(535,955,0.005964,3.6562),(535,965,0.006042,3.656),(535,975,0.006121,3.6558),(535,985,0.006201,3.6555),(535,995,0.00628,3.6553),(535,1005,0.00636,3.6551),(535,1015,0.006441,3.6548),(535,1025,0.006523,3.6546),(535,1035,0.006605,3.6543),(535,1045,0.006687,3.6541),(535,1055,0.006769,3.6538),(535,1065,0.006853,3.6536),(535,1075,0.006937,3.6533),(535,1085,0.007021,3.6531),(535,1095,0.007105,3.6528),(535,1105,0.007191,3.6525),(535,1115,0.007277,3.6523),(535,1125,0.007363,3.652),(535,1135,0.00745,3.6517),(535,1145,0.007538,3.6514),(535,1155,0.007625,3.6511),(535,1165,0.007713,3.6509),(535,1175,0.007803,3.6506),(535,1185,0.007893,3.6503),(535,1195,0.007983,3.65),(535,1205,0.008073,3.6497),(535,1215,0.008164,3.6494),(535,1225,0.008257,3.6491),(535,1235,0.008349,3.6488),(535,1245,0.008441,3.6484),(535,1255,0.008535,3.6481),(535,1265,0.00863,3.6478),(535,1275,0.008724,3.6475),(535,1285,0.008819,3.6471),(535,1295,0.008915,3.6468),(535,1305,0.009012,3.6465),(535,1315,0.009109,3.6461),(535,1325,0.009205,3.6458),(535,1335,0.009304,3.6454),(535,1345,0.009403,3.6451),(535,1355,0.009502,3.6447),(535,1365,0.009602,3.6444),(535,1375,0.009703,3.644),(535,1385,0.009804,3.6437),(535,1395,0.009905,3.6433),(535,1405,0.010007,3.6429),(535,1415,0.01011,3.6425),(535,1425,0.010214,3.6422),(535,1435,0.010318,3.6418),(535,1445,0.010421,3.6414),(535,1455,0.010527,3.641),(535,1465,0.010633,3.6406),(535,1475,0.010739,3.6402),(535,1485,0.010845,3.6398),(535,1495,0.010953,3.6394),(535,1505,0.011062,3.639),(535,1515,0.01117,3.6385),(535,1525,0.011278,3.6381),(535,1535,0.011389,3.6377),(535,1545,0.0115,3.6373),(535,1555,0.011611,3.6368),(535,1565,0.011722,3.6364),(535,1575,0.011835,3.6359),(535,1585,0.011948,3.6355),(535,1595,0.012061,3.635),(535,1605,0.012174,3.6346),(535,1615,0.01229,3.6341),(535,1625,0.012405,3.6337),(535,1635,0.012521,3.6332),(535,1645,0.012636,3.6327),(535,1655,0.012754,3.6322),(535,1665,0.012872,3.6318),(535,1675,0.01299,3.6313),(535,1685,0.013108,3.6308),(535,1695,0.013228,3.6303),(535,1705,0.013348,3.6298),(535,1715,0.013468,3.6293),(535,1725,0.013589,3.6288),(535,1735,0.013711,3.6282),(535,1745,0.013834,3.6277),(535,1755,0.013956,3.6272),(535,1765,0.014079,3.6267),(535,1775,0.014204,3.6261),(535,1785,0.014328,3.6256),(535,1795,0.014453,3.625),(535,1805,0.014578,3.6245),(535,1815,0.014705,3.6239),(535,1825,0.014832,3.6234),(535,1835,0.014958,3.6228),(535,1845,0.015086,3.6223),(535,1855,0.015215,3.6217),(535,1865,0.015344,3.6211),(535,1875,0.015473,3.6205),(535,1885,0.015603,3.6199),(535,1895,0.015734,3.6193),(535,1905,0.015865,3.6187),(535,1915,0.015996,3.6181),(535,1925,0.016129,3.6175),(535,1935,0.016262,3.6169),(535,1945,0.016395,3.6163),(535,1955,0.016529,3.6157),(535,1965,0.016663,3.615),(535,1975,0.016799,3.6144),(535,1985,0.016934,3.6138),(535,1995,0.01707,3.6131),(535,2005,0.017206,3.6125),(535,2015,0.017344,3.6118),(535,2025,0.017481,3.6112),(535,2035,0.017619,3.6105),(535,2045,0.017757,3.6098),(535,2055,0.017897,3.6092),(535,2065,0.018037,3.6085),(535,2075,0.018176,3.6078),(535,2085,0.018317,3.6071),(535,2095,0.018459,3.6064),(535,2105,0.018601,3.6057),(535,2115,0.018742,3.605),(535,2125,0.018885,3.6043),(535,2135,0.019029,3.6036),(535,2145,0.019173,3.6028),(535,2155,0.019317,3.6021),(535,2165,0.019462,3.6014),(535,2175,0.019608,3.6006),(535,2185,0.019754,3.5999),(535,2195,0.0199,3.5991),(535,2205,0.020047,3.5984),(535,2215,0.020195,3.5976),(535,2225,0.020343,3.5969),(535,2235,0.020491,3.5961),(535,2245,0.020641,3.5953),(535,2255,0.020791,3.5945),(535,2265,0.020941,3.5937),(535,2275,0.021091,3.5929),(535,2285,0.021243,3.5921),(535,2295,0.021395,3.5913),(535,2305,0.021547,3.5905),(535,2315,0.0217,3.5897),(535,2325,0.021854,3.5889),(535,2335,0.022008,3.5881),(535,2345,0.022163,3.5872),(535,2355,0.022317,3.5864),(535,2365,0.022474,3.5856),(535,2375,0.022631,3.5847),(535,2385,0.022788,3.5839),(535,2395,0.022945,3.583),(535,2405,0.023104,3.5821),(535,2415,0.023264,3.5813),(535,2425,0.023424,3.5804),(535,2435,0.023584,3.5795),(535,2445,0.023746,3.5786),(535,2455,0.023909,3.5777),(535,2465,0.024072,3.5768),(535,2475,0.024235,3.5759),(535,2485,0.024401,3.575),(535,2495,0.024566,3.5741),(535,2505,0.024732,3.5732),(535,2515,0.024898,3.5722),(535,2525,0.025068,3.5713),(535,2535,0.025237,3.5704),(535,2545,0.025406,3.5694),(535,2555,0.025576,3.5685),(535,2565,0.025749,3.5675),(535,2575,0.025923,3.5666),(535,2585,0.026096,3.5656),(535,2595,0.02627,3.5646),(535,2605,0.026449,3.5637),(535,2615,0.026627,3.5627),(535,2625,0.026805,3.5617),(535,2635,0.026984,3.5607),(535,2645,0.027168,3.5597),(535,2655,0.027352,3.5587),(535,2665,0.027536,3.5577),(535,2675,0.02772,3.5567),(535,2685,0.02791,3.5557),(535,2695,0.0281,3.5547),(535,2705,0.02829,3.5537),(535,2715,0.028481,3.5526),(535,2725,0.028678,3.5516),(535,2735,0.028875,3.5506),(535,2745,0.029072,3.5495),(535,2755,0.029271,3.5485),(535,2765,0.029476,3.5474),(535,2775,0.029682,3.5464),(535,2785,0.029887,3.5453),(535,2795,0.030095,3.5442),(535,2805,0.03031,3.5432),(535,2815,0.030525,3.5421),(535,2825,0.03074,3.541),(535,2835,0.030959,3.5399),(535,2845,0.031185,3.5388),(535,2855,0.031411,3.5377),(535,2865,0.031637,3.5366),(535,2875,0.031868,3.5355),(535,2885,0.032108,3.5344),(535,2895,0.032347,3.5333),(535,2905,0.032587,3.5322),(535,2915,0.032832,3.5311),(535,2925,0.033087,3.53),(535,2935,0.033342,3.5288),(535,2945,0.033597,3.5277),(535,2955,0.03386,3.5266),(535,2965,0.034133,3.5254),(535,2975,0.034405,3.5243),(535,2985,0.034678,3.5232),(535,2995,0.034961,3.522),(535,3005,0.035254,3.5209),(535,3015,0.035548,3.5197),(535,3025,0.035841,3.5186),(535,3035,0.036147,3.5174),(535,3045,0.036465,3.5163),(535,3055,0.036782,3.5151),(535,3065,0.0371,3.5139),(535,3075,0.037433,3.5128),(535,3085,0.037779,3.5116),(535,3095,0.038124,3.5105),(535,3105,0.03847,3.5093),(535,3115,0.038835,3.5081),(535,3125,0.039212,3.507),(535,3135,0.03959,3.5058),(535,3145,0.039968,3.5046),(535,3155,0.040369,3.5035),(535,3165,0.040784,3.5023),(535,3175,0.041199,3.5011),(535,3185,0.041614,3.5),(535,3195,0.042058,3.4988),(535,3205,0.042515,3.4976),(535,3215,0.042973,3.4965),(535,3225,0.04343,3.4953),(535,3235,0.043923,3.4942),(535,3245,0.04443,3.493),(535,3255,0.044936,3.4919),(535,3265,0.045442,3.4907),(535,3275,0.045991,3.4896),(535,3285,0.046553,3.4885),(535,3295,0.047115,3.4873),(535,3305,0.047677,3.4862),(535,3315,0.048289,3.4851),(535,3325,0.048914,3.484),(535,3335,0.049538,3.4829),(535,3345,0.050163,3.4818),(535,3355,0.050848,3.4808),(535,3365,0.051543,3.4797),(535,3375,0.052238,3.4787),(535,3385,0.052933,3.4776),(535,3395,0.053698,3.4766),(535,3405,0.054472,3.4756),(535,3415,0.055246,3.4746),(535,3425,0.05602,3.4736),(535,3435,0.056874,3.4727),(535,3445,0.057734,3.4717),(535,3455,0.058594,3.4708),(535,3465,0.059454,3.47),(535,3475,0.060404,3.4691),(535,3485,0.061358,3.4682),(535,3495,0.062312,3.4674),(535,3505,0.063266,3.4667),(535,3515,0.064318,3.4659),(535,3525,0.065371,3.4651),(535,3535,0.066423,3.4645),(535,3545,0.06748,3.4639),(535,3555,0.068634,3.4633),(535,3565,0.069787,3.4627),(535,3575,0.070941,3.4622),(535,3585,0.072103,3.4618),(535,3595,0.073354,3.4613),(535,3605,0.074606,3.4609),(535,3615,0.075857,3.4607),(535,3625,0.077119,3.4605),(535,3635,0.078458,3.4602),(535,3645,0.079796,3.4601),(535,3655,0.081134,3.4601),(535,3665,0.082483,3.4602),(535,3675,0.083885,3.4602),(535,3685,0.085287,3.4603),(535,3695,0.086689,3.4607),(535,3705,0.088096,3.4611),(535,3715,0.089521,3.4615),(535,3725,0.090947,3.462),(535,3735,0.092372,3.4628),(535,3745,0.093788,3.4635),(535,3755,0.095173,3.4643),(535,3765,0.096558,3.4652),(535,3775,0.097943,3.4665),(535,3785,0.099291,3.4677),(535,3795,0.10054,3.4689),(535,3805,0.1018,3.4703),(535,3815,0.10305,3.4721),(535,3825,0.10422,3.4738),(535,3835,0.10522,3.4755),(535,3845,0.10622,3.4774),(535,3855,0.10722,3.4797),(535,3865,0.10807,3.4819),(535,3875,0.10867,3.4842),(535,3885,0.10927,3.4866),(535,3895,0.10987,3.4893),(535,3905,0.13199,3.492),(535,3915,0.18625,3.4947),(535,3925,0.24052,3.4993),(535,3935,0.29478,3.5064),(535,3945,0.33803,3.5136),(535,3955,0.36728,3.5208),(535,3965,0.39652,3.5271),(535,3975,0.42577,3.5325),(535,3985,0.42932,3.5379),(535,3995,0.40503,3.5433),(535,4005,0.38075,3.5467),(535,4015,0.35647,3.548),(535,4025,0.33491,3.5494),(535,4035,0.31361,3.5499),(535,4045,0.29232,3.5487),(535,4055,0.27381,3.5475),(535,4065,0.25632,3.5461),(535,4075,0.23884,3.5433),(535,4085,0.22355,3.5404),(535,4095,0.21003,3.5376),(535,4105,0.1965,3.5338),(535,4115,0.1784,3.5301),(535,4125,0.15272,3.5263),(535,4135,0.12703,3.5232),(535,4145,0.1033,3.5203),(535,4155,0.087486,3.5173),(535,4165,0.071672,3.5159),(535,4175,0.056706,3.5154),(535,4185,0.083688,3.5149),(535,4195,0.11067,3.5136),(535,4205,0.13765,3.5114),(535,4215,0.13387,3.5092),(535,4225,0.12431,3.5069),(535,4235,0.11474,3.504),(535,4245,0.10302,3.5011),(535,4255,0.090214,3.4983),(535,4265,0.077407,3.4961),(535,4275,0.062765,3.494),(535,4285,0.046176,3.4918),(535,4295,0.029588,3.4914),(535,4305,0.029081,3.4912),(535,4315,0.06489,3.491),(535,4325,0.1007,3.4965),(535,4335,0.13318,3.5041),(535,4345,0.14317,3.5118),(535,4355,0.15316,3.5168),(535,4365,0.16315,3.5195),(535,4375,0.17064,3.5222),(535,4385,0.17799,3.5227),(535,4395,0.18535,3.5195),(535,4405,0.16524,3.5162),(535,4415,0.13703,3.5128),(535,4425,0.10882,3.5087),(535,4435,0.095572,3.5047),(535,4445,0.092546,3.5006),(535,4455,0.08952,3.5026),(535,4465,0.10572,3.5045),(535,4475,0.14892,3.5065),(535,4485,0.19212,3.506),(535,4495,0.22551,3.5049),(535,4505,0.22742,3.5038),(535,4515,0.22934,3.4983),(535,4525,0.23077,3.4904),(535,4535,0.2246,3.4825),(535,4545,0.21842,3.4723),(535,4555,0.21225,3.4594),(535,4565,0.15413,3.4466),(535,4575,0.088997,3.4376),(535,4585,0.023868,3.4378),(535,4595,0.012762,3.4381),(535,4605,0.024481,3.4383),(535,4615,0.036201,3.4383),(535,4625,0.049978,3.4383),(535,4635,0.065618,3.4383),(535,4645,0.081258,3.4322),(535,4655,0.098084,3.4256),(535,4665,0.11715,3.4191),(535,4675,0.13621,3.4042),(535,4685,0.14713,3.3868),(535,4695,0.11783,3.3693),(535,4705,0.088534,3.3578),(535,4715,0.059235,3.3506),(535,4725,0.073314,3.3434),(535,4735,0.087827,3.3387),(535,4745,0.10234,3.3377),(535,4755,0.12689,3.3367),(535,4765,0.15376,3.3336),(535,4775,0.18063,3.323),(535,4785,0.19696,3.3125),(535,4795,0.20718,3.3016),(535,4805,0.21741,3.2813),(535,4815,0.21538,3.261),(535,4825,0.19871,3.2408),(535,4835,0.18203,3.2219),(535,4845,0.16122,3.2034),(535,4855,0.12962,3.1848),(535,4865,0.098012,3.1799),(535,4875,0.076384,3.1813),(535,4885,0.14553,3.1827),(535,4895,0.21468,3.1822),(535,4905,0.28382,3.18),(535,4915,0.27985,3.1778),(535,4925,0.26959,3.1733),(535,4935,0.25934,3.1642),(535,4945,0.23401,3.1551),(535,4955,0.20347,3.146),(535,4965,0.17293,3.1364),(535,4975,0.13273,3.1268),(535,4985,0.085093,3.1173),(535,4995,0.037452,3.1164),(535,5005,0.010257,3.1157),(535,5015,0.015564,3.1151),(535,5025,0.02087,3.1059),(535,5035,0.028255,3.0946),(535,5045,0.043556,3.0833),(535,5055,0.058857,3.0636),(535,5065,0.074229,3.0386),(535,5075,0.091916,3.0136),(535,5085,0.1096,2.9836),(535,5095,0.12729,2.9472),(535,5105,0.12379,2.9108),(535,5115,0.1166,2.8778),(535,5125,0.10941,2.8542),(535,5135,0.11386,2.8306),(535,5145,0.12397,2.8088),(535,5155,0.13408,2.8076),(535,5165,0.18375,2.8063),(535,5175,0.27377,2.805),(535,5185,0.36379,2.7943),(535,5195,0.43245,2.7827),(535,5205,0.45506,2.771),(535,5215,0.47767,2.753),(535,5225,0.49782,2.7326),(535,5235,0.50273,2.7121),(535,5245,0.50765,2.6893),(535,5255,0.51256,2.6645),(535,5265,0.35775,2.6397),(535,5275,0.19635,2.6241),(535,5285,0.034955,2.6241),(535,5295,0.017747,2.6241),(535,5305,0.040692,2.6227),(535,5315,0.063638,2.6154),(535,5325,0.097503,2.6081),(535,5335,0.13853,2.6006),(535,5345,0.17956,2.5805),(535,5355,0.22151,2.5604),(535,5365,0.26472,2.5403),(535,5375,0.30792,2.5108),(535,5385,0.32312,2.4795),(535,5395,0.25315,2.4482),(535,5405,0.18318,2.4313),(535,5415,0.12372,2.4218),(535,5425,0.20546,2.4123),(535,5435,0.28719,2.4112),(535,5445,0.36893,2.4192),(535,5455,0.43057,2.4272),(535,5465,0.48975,2.435),(535,5475,0.54893,2.4423),(535,5485,0.55811,2.4497),(535,5495,0.54714,2.4564),(535,5505,0.53617,2.4583),(535,5515,0.52584,2.4601),(535,5525,0.51607,2.462),(535,5535,0.50629,2.4595),(535,5545,0.4971,2.4568),(535,5555,0.48898,2.4541),(535,5565,0.48086,2.4482),(535,5575,0.47315,2.4413),(535,5585,0.46729,2.4345),(535,5595,0.46143,2.4256),(535,5605,0.45557,2.4152),(535,5615,0.45234,2.4049),(535,5625,0.44911,2.3932),(535,5635,0.44588,2.3795),(535,5645,0.44495,2.3658),(535,5655,0.44451,2.3515),(535,5665,0.44407,2.3347),(535,5675,0.44537,2.318),(535,5685,0.44763,2.3011),(535,5695,0.44988,2.2814),(535,5705,0.45336,2.2617),(535,5715,0.45823,2.242),(535,5725,0.4631,2.2195),(535,5735,0.46866,2.1966),(535,5745,0.47594,2.1736),(535,5755,0.48321,2.1483),(535,5765,0.49072,2.122),(535,5775,0.50014,2.0956),(535,5785,0.50955,2.0675),(535,5795,0.51897,2.0377),(535,5805,0.53009,2.0078),(535,5815,0.54132,1.9767),(535,5825,0.55256,1.943),(535,5835,0.56522,1.9094),(535,5845,0.57835,1.8751),(535,5855,0.59148,1.8376),(535,5865,0.60565,1.8002),(535,5875,0.62059,1.7628),(535,5885,0.63553,1.7211),(535,5895,0.65121,1.6795),(535,5905,0.66802,1.6378),(535,5915,0.68484,1.5936),(535,5925,0.70199,1.5488),(535,5935,0.72033,1.504),(535,5945,0.73868,1.4568),(535,5955,0.75707,1.4082),(535,5965,0.77642,1.3596),(535,5975,0.79577,1.3098),(535,5985,0.81512,1.2584),(535,5995,0.62605,1.207),(535,6005,0.40344,1.1677),(535,6015,0.18082,1.1609),(535,6025,0.16947,1.1541),(535,6035,0.2561,1.1468),(535,6045,0.34273,1.1351),(535,6055,0.40644,1.1234),(535,6065,0.44768,1.1118),(535,6075,0.48892,1.0957),(535,6085,0.51708,1.0793),(535,6095,0.5183,1.0629),(535,6105,0.51951,1.0463),(535,6115,0.52065,1.0296),(535,6125,0.5214,1.013),(535,6135,0.52215,0.99592),(535,6145,0.5229,0.97852),(535,6155,0.5233,0.96113),(535,6165,0.52368,0.94334),(535,6175,0.52406,0.92493),(535,6185,0.52424,0.90651),(535,6195,0.52436,0.888),(535,6205,0.52449,0.86911),(535,6215,0.52453,0.85021),(535,6225,0.52452,0.8313),(535,6235,0.52452,0.81171),(535,6245,0.52445,0.79212),(535,6255,0.52429,0.77252),(535,6265,0.52414,0.75252),(535,6275,0.52398,0.73245),(535,6285,0.5238,0.71238),(535,6295,0.52362,0.69191),(535,6305,0.52343,0.67126),(535,6315,0.52319,0.65061),(535,6325,0.52296,0.62982),(535,6335,0.52272,0.60889),(535,6345,0.5225,0.58796),(535,6355,0.52229,0.56685),(535,6365,0.52208,0.54534),(535,6375,0.52187,0.52382),(535,6385,0.52167,0.5023),(535,6395,0.52146,0.48068),(535,6405,0.52129,0.45907),(535,6415,0.52115,0.43746),(535,6425,0.52101,0.4153),(535,6435,0.52088,0.39311),(535,6445,0.52077,0.37092),(535,6455,0.52066,0.34886),(535,6465,0.52058,0.32683),(535,6475,0.52056,0.3048),(535,6485,0.52054,0.28254),(535,6495,0.52053,0.26013),(535,6505,0.52047,0.23771),(535,6515,0.52042,0.21519),(535,6525,0.52036,0.19253),(535,6535,0.52034,0.16988),(535,6545,0.52032,0.14726),(535,6555,0.52031,0.12478),(535,6565,0.52031,0.1023),(535,6575,0.52032,0.079803),(535,6585,0.52032,0.057117),(535,6595,0.44254,0.034431),(535,6605,0.27887,0.011744),(535,6615,0.11519,0.009245),(535,6625,0.000134,0.00934),(535,6635,0.000135,0.009435),(535,6645,0.000136,0.009458),(535,6655,0.000137,0.009452),(535,6665,0.000138,0.009446),(535,6675,0.00014,0.00944),(535,6685,0.000141,0.009434),(535,6695,0.000142,0.009428),(535,6705,0.000143,0.009421),(535,6715,0.000144,0.009415),(535,6725,0.000145,0.009409),(535,6735,0.000146,0.009402),(535,6745,0.000147,0.009396),(535,6755,0.000149,0.00939),(535,6765,0.00015,0.009384),(535,6775,0.000151,0.009377),(535,6785,0.000152,0.009371),(535,6795,0.000153,0.009364),(535,6805,0.000154,0.009358),(535,6815,0.000155,0.009351),(535,6825,0.000156,0.009345),(535,6835,0.000157,0.009338),(535,6845,0.000158,0.009332),(535,6855,0.000159,0.009326),(535,6865,0.00016,0.009319),(535,6875,0.000161,0.009312),(535,6885,0.000162,0.009306),(535,6895,0.000163,0.009299),(535,6905,0.000164,0.009293),(535,6915,0.000165,0.009286),(535,6925,0.000165,0.00928),(535,6935,0.000166,0.009273),(535,6945,0.000167,0.009266),(535,6955,0.000168,0.00926),(535,6965,0.000169,0.009253),(535,6975,0.00017,0.009246),(535,6985,0.000171,0.009239),(545,5,2.8e-05,3.6662),(545,15,8.3e-05,3.6662),(545,25,0.000139,3.6662),(545,35,0.000194,3.6662),(545,45,0.00025,3.6662),(545,55,0.000305,3.6662),(545,65,0.000361,3.6662),(545,75,0.000416,3.6661),(545,85,0.000472,3.6661),(545,95,0.000527,3.6661),(545,105,0.000583,3.6661),(545,115,0.000639,3.6661),(545,125,0.000695,3.666),(545,135,0.00075,3.666),(545,145,0.000806,3.666),(545,155,0.000862,3.666),(545,165,0.000918,3.6659),(545,175,0.000975,3.6659),(545,185,0.001031,3.6658),(545,195,0.001087,3.6658),(545,205,0.001144,3.6658),(545,215,0.0012,3.6657),(545,225,0.001257,3.6657),(545,235,0.001314,3.6656),(545,245,0.00137,3.6656),(545,255,0.001427,3.6655),(545,265,0.001485,3.6655),(545,275,0.001542,3.6654),(545,285,0.0016,3.6654),(545,295,0.001657,3.6653),(545,305,0.001715,3.6652),(545,315,0.001773,3.6652),(545,325,0.001832,3.6651),(545,335,0.00189,3.6651),(545,345,0.001948,3.665),(545,355,0.002007,3.6649),(545,365,0.002066,3.6648),(545,375,0.002125,3.6648),(545,385,0.002185,3.6647),(545,395,0.002244,3.6646),(545,405,0.002304,3.6645),(545,415,0.002364,3.6644),(545,425,0.002424,3.6643),(545,435,0.002485,3.6643),(545,445,0.002545,3.6642),(545,455,0.002606,3.6641),(545,465,0.002667,3.664),(545,475,0.002729,3.6639),(545,485,0.00279,3.6638),(545,495,0.002852,3.6637),(545,505,0.002914,3.6636),(545,515,0.002977,3.6635),(545,525,0.00304,3.6634),(545,535,0.003102,3.6632),(545,545,0.003166,3.6631),(545,555,0.00323,3.663),(545,565,0.003293,3.6629),(545,575,0.003357,3.6628),(545,585,0.003422,3.6626),(545,595,0.003487,3.6625),(545,605,0.003552,3.6624),(545,615,0.003617,3.6623),(545,625,0.003684,3.6621),(545,635,0.00375,3.662),(545,645,0.003816,3.6619),(545,655,0.003882,3.6617),(545,665,0.00395,3.6616),(545,675,0.004018,3.6614),(545,685,0.004085,3.6613),(545,695,0.004153,3.6611),(545,705,0.004222,3.661),(545,715,0.004291,3.6608),(545,725,0.00436,3.6607),(545,735,0.004429,3.6605),(545,745,0.0045,3.6603),(545,755,0.00457,3.6602),(545,765,0.004641,3.66),(545,775,0.004712,3.6598),(545,785,0.004784,3.6597),(545,795,0.004856,3.6595),(545,805,0.004928,3.6593),(545,815,0.005001,3.6591),(545,825,0.005075,3.6589),(545,835,0.005149,3.6588),(545,845,0.005223,3.6586),(545,855,0.005297,3.6584),(545,865,0.005373,3.6582),(545,875,0.005449,3.658),(545,885,0.005524,3.6578),(545,895,0.0056,3.6576),(545,905,0.005678,3.6574),(545,915,0.005755,3.6572),(545,925,0.005833,3.6569),(545,935,0.005911,3.6567),(545,945,0.00599,3.6565),(545,955,0.00607,3.6563),(545,965,0.006149,3.6561),(545,975,0.006229,3.6558),(545,985,0.00631,3.6556),(545,995,0.006392,3.6554),(545,1005,0.006473,3.6551),(545,1015,0.006555,3.6549),(545,1025,0.006639,3.6547),(545,1035,0.006722,3.6544),(545,1045,0.006805,3.6542),(545,1055,0.00689,3.6539),(545,1065,0.006975,3.6537),(545,1075,0.00706,3.6534),(545,1085,0.007145,3.6531),(545,1095,0.007232,3.6529),(545,1105,0.007319,3.6526),(545,1115,0.007406,3.6523),(545,1125,0.007494,3.6521),(545,1135,0.007582,3.6518),(545,1145,0.007672,3.6515),(545,1155,0.007761,3.6512),(545,1165,0.007851,3.6509),(545,1175,0.007942,3.6507),(545,1185,0.008033,3.6504),(545,1195,0.008125,3.6501),(545,1205,0.008217,3.6498),(545,1215,0.00831,3.6495),(545,1225,0.008404,3.6492),(545,1235,0.008498,3.6489),(545,1245,0.008592,3.6485),(545,1255,0.008688,3.6482),(545,1265,0.008784,3.6479),(545,1275,0.00888,3.6476),(545,1285,0.008976,3.6472),(545,1295,0.009074,3.6469),(545,1305,0.009173,3.6466),(545,1315,0.009272,3.6462),(545,1325,0.00937,3.6459),(545,1335,0.009471,3.6455),(545,1345,0.009572,3.6452),(545,1355,0.009673,3.6448),(545,1365,0.009774,3.6445),(545,1375,0.009877,3.6441),(545,1385,0.00998,3.6438),(545,1395,0.010083,3.6434),(545,1405,0.010187,3.643),(545,1415,0.010292,3.6426),(545,1425,0.010397,3.6423),(545,1435,0.010503,3.6419),(545,1445,0.010609,3.6415),(545,1455,0.010716,3.6411),(545,1465,0.010824,3.6407),(545,1475,0.010932,3.6403),(545,1485,0.01104,3.6399),(545,1495,0.011151,3.6395),(545,1505,0.011261,3.6391),(545,1515,0.011371,3.6386),(545,1525,0.011482,3.6382),(545,1535,0.011594,3.6378),(545,1545,0.011707,3.6374),(545,1555,0.01182,3.6369),(545,1565,0.011933,3.6365),(545,1575,0.012048,3.6361),(545,1585,0.012164,3.6356),(545,1595,0.012279,3.6352),(545,1605,0.012394,3.6347),(545,1615,0.012512,3.6342),(545,1625,0.012629,3.6338),(545,1635,0.012747,3.6333),(545,1645,0.012865,3.6328),(545,1655,0.012985,3.6324),(545,1665,0.013105,3.6319),(545,1675,0.013225,3.6314),(545,1685,0.013345,3.6309),(545,1695,0.013468,3.6304),(545,1705,0.01359,3.6299),(545,1715,0.013712,3.6294),(545,1725,0.013835,3.6289),(545,1735,0.01396,3.6284),(545,1745,0.014085,3.6278),(545,1755,0.014209,3.6273),(545,1765,0.014335,3.6268),(545,1775,0.014462,3.6263),(545,1785,0.014589,3.6257),(545,1795,0.014716,3.6252),(545,1805,0.014843,3.6246),(545,1815,0.014972,3.6241),(545,1825,0.015101,3.6235),(545,1835,0.015231,3.623),(545,1845,0.015361,3.6224),(545,1855,0.015492,3.6218),(545,1865,0.015623,3.6212),(545,1875,0.015755,3.6207),(545,1885,0.015887,3.6201),(545,1895,0.016021,3.6195),(545,1905,0.016154,3.6189),(545,1915,0.016288,3.6183),(545,1925,0.016423,3.6177),(545,1935,0.016559,3.6171),(545,1945,0.016694,3.6164),(545,1955,0.01683,3.6158),(545,1965,0.016967,3.6152),(545,1975,0.017105,3.6146),(545,1985,0.017243,3.6139),(545,1995,0.017381,3.6133),(545,2005,0.01752,3.6126),(545,2015,0.01766,3.612),(545,2025,0.0178,3.6113),(545,2035,0.017941,3.6106),(545,2045,0.018082,3.61),(545,2055,0.018224,3.6093),(545,2065,0.018366,3.6086),(545,2075,0.018508,3.6079),(545,2085,0.018652,3.6072),(545,2095,0.018796,3.6066),(545,2105,0.01894,3.6059),(545,2115,0.019085,3.6051),(545,2125,0.01923,3.6044),(545,2135,0.019377,3.6037),(545,2145,0.019523,3.603),(545,2155,0.019669,3.6023),(545,2165,0.019817,3.6015),(545,2175,0.019966,3.6008),(545,2185,0.020114,3.6),(545,2195,0.020263,3.5993),(545,2205,0.020413,3.5985),(545,2215,0.020563,3.5978),(545,2225,0.020714,3.597),(545,2235,0.020865,3.5962),(545,2245,0.021017,3.5955),(545,2255,0.02117,3.5947),(545,2265,0.021323,3.5939),(545,2275,0.021475,3.5931),(545,2285,0.02163,3.5923),(545,2295,0.021785,3.5915),(545,2305,0.02194,3.5907),(545,2315,0.022095,3.5899),(545,2325,0.022251,3.5891),(545,2335,0.022408,3.5882),(545,2345,0.022566,3.5874),(545,2355,0.022723,3.5866),(545,2365,0.022882,3.5857),(545,2375,0.023042,3.5849),(545,2385,0.023201,3.584),(545,2395,0.023361,3.5832),(545,2405,0.023523,3.5823),(545,2415,0.023685,3.5814),(545,2425,0.023848,3.5805),(545,2435,0.02401,3.5797),(545,2445,0.024175,3.5788),(545,2455,0.02434,3.5779),(545,2465,0.024506,3.577),(545,2475,0.024671,3.5761),(545,2485,0.024839,3.5752),(545,2495,0.025008,3.5743),(545,2505,0.025176,3.5733),(545,2515,0.025345,3.5724),(545,2525,0.025516,3.5715),(545,2535,0.025688,3.5706),(545,2545,0.02586,3.5696),(545,2555,0.026032,3.5687),(545,2565,0.026208,3.5677),(545,2575,0.026384,3.5668),(545,2585,0.026559,3.5658),(545,2595,0.026736,3.5648),(545,2605,0.026916,3.5639),(545,2615,0.027097,3.5629),(545,2625,0.027277,3.5619),(545,2635,0.027459,3.5609),(545,2645,0.027645,3.5599),(545,2655,0.02783,3.5589),(545,2665,0.028016,3.5579),(545,2675,0.028203,3.5569),(545,2685,0.028395,3.5559),(545,2695,0.028587,3.5549),(545,2705,0.028779,3.5539),(545,2715,0.028972,3.5528),(545,2725,0.029171,3.5518),(545,2735,0.02937,3.5508),(545,2745,0.029569,3.5497),(545,2755,0.02977,3.5487),(545,2765,0.029977,3.5476),(545,2775,0.030184,3.5466),(545,2785,0.030391,3.5455),(545,2795,0.030601,3.5444),(545,2805,0.030817,3.5434),(545,2815,0.031034,3.5423),(545,2825,0.03125,3.5412),(545,2835,0.031471,3.5401),(545,2845,0.031698,3.539),(545,2855,0.031926,3.538),(545,2865,0.032153,3.5369),(545,2875,0.032385,3.5358),(545,2885,0.032626,3.5347),(545,2895,0.032866,3.5336),(545,2905,0.033107,3.5324),(545,2915,0.033353,3.5313),(545,2925,0.033609,3.5302),(545,2935,0.033864,3.5291),(545,2945,0.03412,3.528),(545,2955,0.034383,3.5268),(545,2965,0.034656,3.5257),(545,2975,0.034929,3.5246),(545,2985,0.035202,3.5234),(545,2995,0.035484,3.5223),(545,3005,0.035778,3.5212),(545,3015,0.036071,3.52),(545,3025,0.036364,3.5189),(545,3035,0.036669,3.5177),(545,3045,0.036986,3.5166),(545,3055,0.037302,3.5154),(545,3065,0.037619,3.5143),(545,3075,0.037951,3.5131),(545,3085,0.038295,3.512),(545,3095,0.038638,3.5108),(545,3105,0.038982,3.5096),(545,3115,0.039345,3.5085),(545,3125,0.03972,3.5073),(545,3135,0.040095,3.5062),(545,3145,0.04047,3.505),(545,3155,0.040868,3.5038),(545,3165,0.041279,3.5027),(545,3175,0.04169,3.5015),(545,3185,0.0421,3.5004),(545,3195,0.04254,3.4992),(545,3205,0.042992,3.4981),(545,3215,0.043444,3.4969),(545,3225,0.043896,3.4958),(545,3235,0.044382,3.4946),(545,3245,0.044882,3.4935),(545,3255,0.045381,3.4924),(545,3265,0.04588,3.4913),(545,3275,0.04642,3.4901),(545,3285,0.046973,3.489),(545,3295,0.047525,3.4879),(545,3305,0.048078,3.4868),(545,3315,0.048679,3.4857),(545,3325,0.049291,3.4846),(545,3335,0.049904,3.4835),(545,3345,0.050517,3.4825),(545,3355,0.051186,3.4814),(545,3365,0.051866,3.4804),(545,3375,0.052546,3.4793),(545,3385,0.053226,3.4783),(545,3395,0.053971,3.4773),(545,3405,0.054726,3.4763),(545,3415,0.05548,3.4754),(545,3425,0.056234,3.4744),(545,3435,0.057064,3.4735),(545,3445,0.057899,3.4725),(545,3455,0.058735,3.4717),(545,3465,0.05957,3.4708),(545,3475,0.06049,3.47),(545,3485,0.061412,3.4691),(545,3495,0.062335,3.4684),(545,3505,0.063258,3.4676),(545,3515,0.064271,3.4669),(545,3525,0.065285,3.4661),(545,3535,0.066299,3.4655),(545,3545,0.067316,3.4649),(545,3555,0.068422,3.4643),(545,3565,0.069527,3.4637),(545,3575,0.070632,3.4633),(545,3585,0.071745,3.4629),(545,3595,0.072937,3.4625),(545,3605,0.074129,3.4621),(545,3615,0.075321,3.4619),(545,3625,0.076523,3.4617),(545,3635,0.077789,3.4615),(545,3645,0.079055,3.4613),(545,3655,0.080321,3.4614),(545,3665,0.081595,3.4614),(545,3675,0.082911,3.4615),(545,3685,0.084226,3.4616),(545,3695,0.085541,3.462),(545,3705,0.086858,3.4624),(545,3715,0.088182,3.4628),(545,3725,0.089506,3.4633),(545,3735,0.090829,3.464),(545,3745,0.092139,3.4648),(545,3755,0.093409,3.4656),(545,3765,0.094678,3.4664),(545,3775,0.095947,3.4676),(545,3785,0.097176,3.4688),(545,3795,0.098304,3.47),(545,3805,0.099431,3.4714),(545,3815,0.10056,3.473),(545,3825,0.1016,3.4747),(545,3835,0.10247,3.4764),(545,3845,0.10335,3.4782),(545,3855,0.10422,3.4804),(545,3865,0.10495,3.4825),(545,3875,0.10543,3.4847),(545,3885,0.10592,3.487),(545,3895,0.1064,3.4895),(545,3905,0.12785,3.4921),(545,3915,0.18062,3.4947),(545,3925,0.23339,3.4991),(545,3935,0.28616,3.506),(545,3945,0.32862,3.513),(545,3955,0.358,3.5199),(545,3965,0.38739,3.5261),(545,3975,0.41677,3.5314),(545,3985,0.42097,3.5367),(545,3995,0.3979,3.5419),(545,4005,0.37483,3.5452),(545,4015,0.35176,3.5465),(545,4025,0.33109,3.5478),(545,4035,0.31065,3.5483),(545,4045,0.29021,3.5471),(545,4055,0.27235,3.5459),(545,4065,0.25544,3.5444),(545,4075,0.23853,3.5415),(545,4085,0.22369,3.5387),(545,4095,0.21051,3.5358),(545,4105,0.19734,3.532),(545,4115,0.17947,3.5282),(545,4125,0.15381,3.5244),(545,4135,0.12816,3.5214),(545,4145,0.10435,3.5185),(545,4155,0.088047,3.5156),(545,4165,0.07174,3.5141),(545,4175,0.056293,3.5135),(545,4185,0.083384,3.5129),(545,4195,0.11048,3.5115),(545,4205,0.13757,3.5093),(545,4215,0.13412,3.507),(545,4225,0.12493,3.5046),(545,4235,0.11574,3.5019),(545,4245,0.10413,3.4991),(545,4255,0.091308,3.4964),(545,4265,0.078483,3.4944),(545,4275,0.063656,3.4923),(545,4285,0.046704,3.4902),(545,4295,0.029752,3.4898),(545,4305,0.028105,3.4896),(545,4315,0.061014,3.4894),(545,4325,0.093924,3.4942),(545,4335,0.12407,3.501),(545,4345,0.13549,3.5078),(545,4355,0.14692,3.5122),(545,4365,0.15834,3.5145),(545,4375,0.16763,3.5168),(545,4385,0.17682,3.5172),(545,4395,0.186,3.5142),(545,4405,0.16679,3.5112),(545,4415,0.13922,3.5081),(545,4425,0.11164,3.5044),(545,4435,0.097519,3.5008),(545,4445,0.092597,3.4972),(545,4455,0.087674,3.4988),(545,4465,0.10292,3.5004),(545,4475,0.1465,3.502),(545,4485,0.19009,3.5011),(545,4495,0.22424,3.4996),(545,4505,0.22817,3.4982),(545,4515,0.23209,3.4927),(545,4525,0.2355,3.4851),(545,4535,0.23088,3.4774),(545,4545,0.22626,3.4676),(545,4555,0.22164,3.4554),(545,4565,0.16095,3.4432),(545,4575,0.092692,3.4347),(545,4585,0.024437,3.4348),(545,4595,0.012227,3.435),(545,4605,0.023698,3.4351),(545,4615,0.035169,3.4346),(545,4625,0.04965,3.4342),(545,4635,0.066857,3.4338),(545,4645,0.084065,3.4274),(545,4655,0.10293,3.4207),(545,4665,0.12491,3.414),(545,4675,0.1469,3.3996),(545,4685,0.15986,3.3829),(545,4695,0.12821,3.3661),(545,4705,0.096562,3.3551),(545,4715,0.064915,3.3484),(545,4725,0.076625,3.3416),(545,4735,0.088769,3.3369),(545,4745,0.10091,3.3352),(545,4755,0.12679,3.3335),(545,4765,0.15586,3.3297),(545,4775,0.18492,3.3189),(545,4785,0.2038,3.308),(545,4795,0.21679,3.2968),(545,4805,0.22978,3.277),(545,4815,0.22925,3.2572),(545,4825,0.21258,3.2374),(545,4835,0.1959,3.2194),(545,4845,0.17364,3.2016),(545,4855,0.13681,3.1839),(545,4865,0.099989,3.179),(545,4875,0.073631,3.18),(545,4885,0.14252,3.1809),(545,4895,0.21142,3.1799),(545,4905,0.28031,3.1769),(545,4915,0.27839,3.1739),(545,4925,0.27038,3.1689),(545,4935,0.26236,3.1599),(545,4945,0.23816,3.1509),(545,4955,0.20835,3.1418),(545,4965,0.17853,3.1327),(545,4975,0.13768,3.1236),(545,4985,0.088313,3.1145),(545,4995,0.038943,3.1137),(545,5005,0.011353,3.113),(545,5015,0.01839,3.1124),(545,5025,0.025427,3.1027),(545,5035,0.034883,3.0907),(545,5045,0.053553,3.0787),(545,5055,0.072223,3.0585),(545,5065,0.090958,3.0334),(545,5075,0.11182,3.0083),(545,5085,0.13268,2.9786),(545,5095,0.15354,2.943),(545,5105,0.14818,2.9074),(545,5115,0.13824,2.8751),(545,5125,0.12831,2.8524),(545,5135,0.12765,2.8297),(545,5145,0.13149,2.8087),(545,5155,0.13533,2.8069),(545,5165,0.18244,2.8051),(545,5175,0.27369,2.8033),(545,5185,0.36493,2.7921),(545,5195,0.43517,2.7798),(545,5205,0.4601,2.7675);
INSERT INTO `ILD_00_Brho_Bz` VALUES (545,5215,0.48503,2.7494),(545,5225,0.50738,2.7292),(545,5235,0.51372,2.7089),(545,5245,0.52006,2.6866),(545,5255,0.52639,2.6625),(545,5265,0.36744,2.6384),(545,5275,0.20167,2.6233),(545,5285,0.035895,2.6233),(545,5295,0.018492,2.6233),(545,5305,0.042407,2.6218),(545,5315,0.066322,2.6141),(545,5325,0.10217,2.6064),(545,5335,0.14585,2.5985),(545,5345,0.18952,2.5783),(545,5355,0.23411,2.5581),(545,5365,0.27991,2.5378),(545,5375,0.32571,2.5088),(545,5385,0.34179,2.478),(545,5395,0.26753,2.4472),(545,5405,0.19326,2.4306),(545,5415,0.12943,2.4213),(545,5425,0.2057,2.4121),(545,5435,0.28198,2.4108),(545,5445,0.35825,2.4182),(545,5455,0.4188,2.4257),(545,5465,0.47742,2.4329),(545,5475,0.53604,2.4397),(545,5485,0.54616,2.4464),(545,5495,0.53676,2.4526),(545,5505,0.52736,2.4541),(545,5515,0.51848,2.4557),(545,5525,0.51007,2.4572),(545,5535,0.50165,2.4546),(545,5545,0.49374,2.4518),(545,5555,0.48672,2.4489),(545,5565,0.47971,2.4429),(545,5575,0.47307,2.436),(545,5585,0.46813,2.429),(545,5595,0.4632,2.4201),(545,5605,0.45826,2.4097),(545,5615,0.4558,2.3993),(545,5625,0.45334,2.3875),(545,5635,0.45089,2.3738),(545,5645,0.45065,2.3601),(545,5655,0.45089,2.3457),(545,5665,0.45114,2.3289),(545,5675,0.4531,2.3121),(545,5685,0.45601,2.2951),(545,5695,0.45892,2.2753),(545,5705,0.46305,2.2556),(545,5715,0.46859,2.2358),(545,5725,0.47413,2.2132),(545,5735,0.48036,2.1901),(545,5745,0.48834,2.1671),(545,5755,0.49632,2.1417),(545,5765,0.50454,2.1153),(545,5775,0.51473,2.0889),(545,5785,0.52492,2.0607),(545,5795,0.53512,2.0308),(545,5805,0.54705,2.0009),(545,5815,0.5591,1.9697),(545,5825,0.57116,1.936),(545,5835,0.58467,1.9024),(545,5845,0.59864,1.8681),(545,5855,0.61262,1.8308),(545,5865,0.62764,1.7935),(545,5875,0.64342,1.7561),(545,5885,0.65921,1.7148),(545,5895,0.67573,1.6734),(545,5905,0.69338,1.632),(545,5915,0.71103,1.5882),(545,5925,0.72899,1.5438),(545,5935,0.74807,1.4995),(545,5945,0.76716,1.4528),(545,5955,0.78627,1.4048),(545,5965,0.80622,1.3567),(545,5975,0.82616,1.3075),(545,5985,0.84611,1.2568),(545,5995,0.64982,1.2061),(545,6005,0.41874,1.1674),(545,6015,0.18765,1.1607),(545,6025,0.1737,1.154),(545,6035,0.26046,1.1468),(545,6045,0.34722,1.1349),(545,6055,0.41129,1.1231),(545,6065,0.45312,1.1113),(545,6075,0.49494,1.0951),(545,6085,0.52355,1.0785),(545,6095,0.52492,1.0619),(545,6105,0.52629,1.0452),(545,6115,0.5276,1.0285),(545,6125,0.52852,1.0117),(545,6135,0.52945,0.99454),(545,6145,0.53038,0.97707),(545,6155,0.53097,0.95959),(545,6165,0.53154,0.94174),(545,6175,0.53212,0.92326),(545,6185,0.53247,0.90479),(545,6195,0.53277,0.88624),(545,6205,0.53307,0.86734),(545,6215,0.5333,0.84845),(545,6225,0.53347,0.82953),(545,6235,0.53364,0.80993),(545,6245,0.53375,0.79032),(545,6255,0.53375,0.77071),(545,6265,0.53376,0.75073),(545,6275,0.53376,0.73068),(545,6285,0.53371,0.71063),(545,6295,0.53366,0.6902),(545,6305,0.53361,0.66956),(545,6315,0.53349,0.64893),(545,6325,0.53337,0.62818),(545,6335,0.53325,0.60729),(545,6345,0.53313,0.58641),(545,6355,0.53301,0.56535),(545,6365,0.53289,0.54388),(545,6375,0.53277,0.52241),(545,6385,0.53264,0.50094),(545,6395,0.53251,0.47939),(545,6405,0.5324,0.45784),(545,6415,0.5323,0.43629),(545,6425,0.53221,0.41419),(545,6435,0.53214,0.39208),(545,6445,0.53209,0.36996),(545,6455,0.53204,0.34797),(545,6465,0.53201,0.32602),(545,6475,0.53203,0.30406),(545,6485,0.53205,0.28186),(545,6495,0.53207,0.25949),(545,6505,0.53205,0.23711),(545,6515,0.53203,0.21465),(545,6525,0.53201,0.19206),(545,6535,0.53203,0.16947),(545,6545,0.53205,0.14693),(545,6555,0.53207,0.12451),(545,6565,0.5321,0.1021),(545,6575,0.53213,0.079665),(545,6585,0.53217,0.057023),(545,6595,0.45263,0.03438),(545,6605,0.28522,0.011738),(545,6615,0.11782,0.009244),(545,6625,0.000137,0.00934),(545,6635,0.000138,0.009435),(545,6645,0.000139,0.009459),(545,6655,0.00014,0.009453),(545,6665,0.000142,0.009447),(545,6675,0.000143,0.009441),(545,6685,0.000144,0.009435),(545,6695,0.000145,0.009429),(545,6705,0.000146,0.009422),(545,6715,0.000147,0.009416),(545,6725,0.000148,0.00941),(545,6735,0.000149,0.009403),(545,6745,0.000151,0.009397),(545,6755,0.000152,0.009391),(545,6765,0.000153,0.009385),(545,6775,0.000154,0.009378),(545,6785,0.000155,0.009372),(545,6795,0.000156,0.009365),(545,6805,0.000157,0.009359),(545,6815,0.000158,0.009352),(545,6825,0.000159,0.009346),(545,6835,0.00016,0.00934),(545,6845,0.000161,0.009333),(545,6855,0.000162,0.009326),(545,6865,0.000163,0.00932),(545,6875,0.000164,0.009313),(545,6885,0.000165,0.009307),(545,6895,0.000166,0.0093),(545,6905,0.000167,0.009294),(545,6915,0.000168,0.009287),(545,6925,0.000169,0.009281),(545,6935,0.00017,0.009274),(545,6945,0.000171,0.009267),(545,6955,0.000171,0.00926),(545,6965,0.000172,0.009254),(545,6975,0.000173,0.009247),(545,6985,0.000174,0.00924),(555,5,2.8e-05,3.6663),(555,15,8.5e-05,3.6662),(555,25,0.000141,3.6662),(555,35,0.000197,3.6662),(555,45,0.000254,3.6662),(555,55,0.00031,3.6662),(555,65,0.000367,3.6662),(555,75,0.000423,3.6662),(555,85,0.00048,3.6662),(555,95,0.000536,3.6662),(555,105,0.000593,3.6661),(555,115,0.00065,3.6661),(555,125,0.000706,3.6661),(555,135,0.000763,3.6661),(555,145,0.00082,3.666),(555,155,0.000877,3.666),(555,165,0.000934,3.666),(555,175,0.000991,3.6659),(555,185,0.001048,3.6659),(555,195,0.001106,3.6659),(555,205,0.001163,3.6658),(555,215,0.00122,3.6658),(555,225,0.001278,3.6657),(555,235,0.001336,3.6657),(555,245,0.001394,3.6656),(555,255,0.001452,3.6656),(555,265,0.00151,3.6655),(555,275,0.001568,3.6655),(555,285,0.001627,3.6654),(555,295,0.001685,3.6654),(555,305,0.001744,3.6653),(555,315,0.001803,3.6652),(555,325,0.001863,3.6652),(555,335,0.001922,3.6651),(555,345,0.001982,3.665),(555,355,0.002041,3.665),(555,365,0.002101,3.6649),(555,375,0.002161,3.6648),(555,385,0.002222,3.6647),(555,395,0.002283,3.6647),(555,405,0.002343,3.6646),(555,415,0.002404,3.6645),(555,425,0.002465,3.6644),(555,435,0.002527,3.6643),(555,445,0.002588,3.6642),(555,455,0.00265,3.6641),(555,465,0.002713,3.664),(555,475,0.002775,3.6639),(555,485,0.002838,3.6638),(555,495,0.0029,3.6637),(555,505,0.002964,3.6636),(555,515,0.003028,3.6635),(555,525,0.003091,3.6634),(555,535,0.003155,3.6633),(555,545,0.00322,3.6632),(555,555,0.003285,3.6631),(555,565,0.00335,3.663),(555,575,0.003415,3.6628),(555,585,0.003481,3.6627),(555,595,0.003547,3.6626),(555,605,0.003613,3.6625),(555,615,0.003679,3.6623),(555,625,0.003746,3.6622),(555,635,0.003814,3.6621),(555,645,0.003881,3.6619),(555,655,0.003949,3.6618),(555,665,0.004018,3.6616),(555,675,0.004086,3.6615),(555,685,0.004155,3.6613),(555,695,0.004224,3.6612),(555,705,0.004294,3.661),(555,715,0.004365,3.6609),(555,725,0.004435,3.6607),(555,735,0.004505,3.6606),(555,745,0.004577,3.6604),(555,755,0.004649,3.6602),(555,765,0.004721,3.6601),(555,775,0.004793,3.6599),(555,785,0.004866,3.6597),(555,795,0.00494,3.6596),(555,805,0.005013,3.6594),(555,815,0.005087,3.6592),(555,825,0.005162,3.659),(555,835,0.005237,3.6588),(555,845,0.005313,3.6586),(555,855,0.005388,3.6584),(555,865,0.005465,3.6582),(555,875,0.005542,3.6581),(555,885,0.005619,3.6579),(555,895,0.005697,3.6576),(555,905,0.005776,3.6574),(555,915,0.005855,3.6572),(555,925,0.005933,3.657),(555,935,0.006013,3.6568),(555,945,0.006093,3.6566),(555,955,0.006174,3.6564),(555,965,0.006255,3.6561),(555,975,0.006337,3.6559),(555,985,0.006419,3.6557),(555,995,0.006502,3.6555),(555,1005,0.006585,3.6552),(555,1015,0.006669,3.655),(555,1025,0.006753,3.6547),(555,1035,0.006838,3.6545),(555,1045,0.006923,3.6543),(555,1055,0.007009,3.654),(555,1065,0.007096,3.6538),(555,1075,0.007182,3.6535),(555,1085,0.007269,3.6532),(555,1095,0.007357,3.653),(555,1105,0.007446,3.6527),(555,1115,0.007535,3.6524),(555,1125,0.007624,3.6522),(555,1135,0.007714,3.6519),(555,1145,0.007805,3.6516),(555,1155,0.007896,3.6513),(555,1165,0.007987,3.651),(555,1175,0.00808,3.6508),(555,1185,0.008173,3.6505),(555,1195,0.008267,3.6502),(555,1205,0.00836,3.6499),(555,1215,0.008455,3.6496),(555,1225,0.008551,3.6493),(555,1235,0.008646,3.6489),(555,1245,0.008742,3.6486),(555,1255,0.008839,3.6483),(555,1265,0.008937,3.648),(555,1275,0.009035,3.6477),(555,1285,0.009133,3.6473),(555,1295,0.009233,3.647),(555,1305,0.009333,3.6467),(555,1315,0.009434,3.6463),(555,1325,0.009534,3.646),(555,1335,0.009636,3.6456),(555,1345,0.009739,3.6453),(555,1355,0.009842,3.6449),(555,1365,0.009945,3.6446),(555,1375,0.01005,3.6442),(555,1385,0.010155,3.6439),(555,1395,0.01026,3.6435),(555,1405,0.010365,3.6431),(555,1415,0.010473,3.6427),(555,1425,0.01058,3.6424),(555,1435,0.010688,3.642),(555,1445,0.010795,3.6416),(555,1455,0.010905,3.6412),(555,1465,0.011015,3.6408),(555,1475,0.011125,3.6404),(555,1485,0.011235,3.64),(555,1495,0.011347,3.6396),(555,1505,0.011459,3.6392),(555,1515,0.011572,3.6388),(555,1525,0.011684,3.6383),(555,1535,0.011799,3.6379),(555,1545,0.011914,3.6375),(555,1555,0.012029,3.637),(555,1565,0.012144,3.6366),(555,1575,0.012261,3.6362),(555,1585,0.012378,3.6357),(555,1595,0.012496,3.6353),(555,1605,0.012613,3.6348),(555,1615,0.012733,3.6344),(555,1625,0.012853,3.6339),(555,1635,0.012973,3.6334),(555,1645,0.013093,3.6329),(555,1655,0.013215,3.6325),(555,1665,0.013337,3.632),(555,1675,0.013459,3.6315),(555,1685,0.013582,3.631),(555,1695,0.013707,3.6305),(555,1705,0.013831,3.63),(555,1715,0.013956,3.6295),(555,1725,0.014081,3.629),(555,1735,0.014208,3.6285),(555,1745,0.014335,3.628),(555,1755,0.014462,3.6274),(555,1765,0.01459,3.6269),(555,1775,0.014719,3.6264),(555,1785,0.014848,3.6259),(555,1795,0.014977,3.6253),(555,1805,0.015107,3.6248),(555,1815,0.015239,3.6242),(555,1825,0.01537,3.6237),(555,1835,0.015502,3.6231),(555,1845,0.015634,3.6225),(555,1855,0.015768,3.6219),(555,1865,0.015902,3.6214),(555,1875,0.016036,3.6208),(555,1885,0.01617,3.6202),(555,1895,0.016307,3.6196),(555,1905,0.016443,3.619),(555,1915,0.016579,3.6184),(555,1925,0.016716,3.6178),(555,1935,0.016854,3.6172),(555,1945,0.016993,3.6166),(555,1955,0.017131,3.616),(555,1965,0.017271,3.6153),(555,1975,0.017411,3.6147),(555,1985,0.017552,3.6141),(555,1995,0.017692,3.6134),(555,2005,0.017834,3.6128),(555,2015,0.017976,3.6121),(555,2025,0.018119,3.6115),(555,2035,0.018262,3.6108),(555,2045,0.018405,3.6101),(555,2055,0.01855,3.6095),(555,2065,0.018695,3.6088),(555,2075,0.01884,3.6081),(555,2085,0.018986,3.6074),(555,2095,0.019132,3.6067),(555,2105,0.019279,3.606),(555,2115,0.019426,3.6053),(555,2125,0.019574,3.6046),(555,2135,0.019723,3.6039),(555,2145,0.019872,3.6031),(555,2155,0.020021,3.6024),(555,2165,0.020172,3.6017),(555,2175,0.020323,3.6009),(555,2185,0.020474,3.6002),(555,2195,0.020625,3.5994),(555,2205,0.020778,3.5987),(555,2215,0.020931,3.5979),(555,2225,0.021084,3.5972),(555,2235,0.021238,3.5964),(555,2245,0.021393,3.5956),(555,2255,0.021548,3.5948),(555,2265,0.021703,3.5941),(555,2275,0.021859,3.5933),(555,2285,0.022016,3.5925),(555,2295,0.022173,3.5917),(555,2305,0.022331,3.5908),(555,2315,0.022489,3.59),(555,2325,0.022648,3.5892),(555,2335,0.022808,3.5884),(555,2345,0.022967,3.5876),(555,2355,0.023127,3.5867),(555,2365,0.023289,3.5859),(555,2375,0.023451,3.585),(555,2385,0.023613,3.5842),(555,2395,0.023776,3.5833),(555,2405,0.02394,3.5825),(555,2415,0.024105,3.5816),(555,2425,0.02427,3.5807),(555,2435,0.024435,3.5798),(555,2445,0.024602,3.5789),(555,2455,0.02477,3.5781),(555,2465,0.024938,3.5772),(555,2475,0.025106,3.5762),(555,2485,0.025277,3.5753),(555,2495,0.025448,3.5744),(555,2505,0.025618,3.5735),(555,2515,0.025789,3.5726),(555,2525,0.025963,3.5717),(555,2535,0.026138,3.5707),(555,2545,0.026312,3.5698),(555,2555,0.026486,3.5688),(555,2565,0.026664,3.5679),(555,2575,0.026842,3.5669),(555,2585,0.027021,3.566),(555,2595,0.027199,3.565),(555,2605,0.027382,3.564),(555,2615,0.027565,3.5631),(555,2625,0.027747,3.5621),(555,2635,0.027931,3.5611),(555,2645,0.028119,3.5601),(555,2655,0.028307,3.5591),(555,2665,0.028495,3.5581),(555,2675,0.028684,3.5571),(555,2685,0.028878,3.5561),(555,2695,0.029072,3.5551),(555,2705,0.029265,3.554),(555,2715,0.029461,3.553),(555,2725,0.029661,3.552),(555,2735,0.029862,3.551),(555,2745,0.030063,3.5499),(555,2755,0.030266,3.5489),(555,2765,0.030474,3.5478),(555,2775,0.030683,3.5468),(555,2785,0.030891,3.5457),(555,2795,0.031103,3.5446),(555,2805,0.031321,3.5436),(555,2815,0.031539,3.5425),(555,2825,0.031757,3.5414),(555,2835,0.031978,3.5404),(555,2845,0.032207,3.5393),(555,2855,0.032435,3.5382),(555,2865,0.032664,3.5371),(555,2875,0.032897,3.536),(555,2885,0.033138,3.5349),(555,2895,0.03338,3.5338),(555,2905,0.033621,3.5327),(555,2915,0.033868,3.5316),(555,2925,0.034124,3.5305),(555,2935,0.03438,3.5294),(555,2945,0.034636,3.5282),(555,2955,0.034899,3.5271),(555,2965,0.035172,3.526),(555,2975,0.035445,3.5249),(555,2985,0.035717,3.5237),(555,2995,0.036,3.5226),(555,3005,0.036292,3.5215),(555,3015,0.036585,3.5203),(555,3025,0.036877,3.5192),(555,3035,0.037181,3.518),(555,3045,0.037497,3.5169),(555,3055,0.037812,3.5157),(555,3065,0.038127,3.5146),(555,3075,0.038457,3.5134),(555,3085,0.038799,3.5123),(555,3095,0.03914,3.5111),(555,3105,0.039482,3.51),(555,3115,0.039842,3.5088),(555,3125,0.040214,3.5077),(555,3135,0.040585,3.5065),(555,3145,0.040957,3.5054),(555,3155,0.041352,3.5042),(555,3165,0.041758,3.5031),(555,3175,0.042165,3.501953),(555,3185,0.042571,3.5008),(555,3195,0.043005,3.4997),(555,3205,0.043451,3.4985),(555,3215,0.043897,3.4974),(555,3225,0.044343,3.4963),(555,3235,0.044823,3.4951),(555,3245,0.045314,3.494),(555,3255,0.045805,3.4929),(555,3265,0.046297,3.4918),(555,3275,0.046828,3.4907),(555,3285,0.04737,3.4895),(555,3295,0.047913,3.4885),(555,3305,0.048456,3.4874),(555,3315,0.049045,3.4863),(555,3325,0.049645,3.4852),(555,3335,0.050245,3.4842),(555,3345,0.050844,3.4831),(555,3355,0.051499,3.4821),(555,3365,0.052162,3.481),(555,3375,0.052826,3.48),(555,3385,0.05349,3.479),(555,3395,0.054216,3.478),(555,3405,0.054951,3.4771),(555,3415,0.055685,3.4761),(555,3425,0.056419,3.4752),(555,3435,0.057224,3.4743),(555,3445,0.058034,3.4734),(555,3455,0.058845,3.4725),(555,3465,0.059655,3.4717),(555,3475,0.060544,3.4709),(555,3485,0.061435,3.47),(555,3495,0.062327,3.4693),(555,3505,0.063219,3.4686),(555,3515,0.064194,3.4679),(555,3525,0.065169,3.4671),(555,3535,0.066145,3.4666),(555,3545,0.067124,3.466),(555,3555,0.068182,3.4654),(555,3565,0.06924,3.4648),(555,3575,0.070299,3.4644),(555,3585,0.071364,3.464),(555,3595,0.072499,3.4636),(555,3605,0.073634,3.4632),(555,3615,0.074769,3.4631),(555,3625,0.075912,3.4629),(555,3635,0.07711,3.4627),(555,3645,0.078308,3.4625),(555,3655,0.079505,3.4626),(555,3665,0.080709,3.4627),(555,3675,0.081944,3.4628),(555,3685,0.083178,3.4629),(555,3695,0.084413,3.4633),(555,3705,0.085647,3.4637),(555,3715,0.086877,3.4641),(555,3725,0.088108,3.4645),(555,3735,0.089338,3.4653),(555,3745,0.090553,3.466),(555,3755,0.091718,3.4668),(555,3765,0.092883,3.4676),(555,3775,0.094048,3.4688),(555,3785,0.095171,3.47),(555,3795,0.096188,3.4711),(555,3805,0.097204,3.4724),(555,3815,0.09822,3.474),(555,3825,0.099154,3.4756),(555,3835,0.099915,3.4772),(555,3845,0.10068,3.479),(555,3855,0.10144,3.481),(555,3865,0.10206,3.4831),(555,3875,0.10245,3.4851),(555,3885,0.10283,3.4873),(555,3895,0.10322,3.4898),(555,3905,0.12403,3.4923),(555,3915,0.17538,3.4947),(555,3925,0.22672,3.4989),(555,3935,0.27806,3.5056),(555,3945,0.31976,3.5123),(555,3955,0.34922,3.519),(555,3965,0.37869,3.525),(555,3975,0.40815,3.5302),(555,3985,0.41294,3.5354),(555,3995,0.39104,3.5406),(555,4005,0.36913,3.5438),(555,4015,0.34722,3.545),(555,4025,0.32742,3.5463),(555,4035,0.30782,3.5467),(555,4045,0.28823,3.5455),(555,4055,0.27102,3.5442),(555,4065,0.25468,3.5428),(555,4075,0.23834,3.5398),(555,4085,0.22394,3.5369),(555,4095,0.21109,3.534),(555,4105,0.19823,3.5302),(555,4115,0.18056,3.5264),(555,4125,0.1549,3.5226),(555,4135,0.12925,3.5196),(555,4145,0.10536,3.5167),(555,4155,0.088648,3.5139),(555,4165,0.071937,3.5123),(555,4175,0.056096,3.5116),(555,4185,0.083271,3.5109),(555,4195,0.11045,3.5094),(555,4205,0.13762,3.5071),(555,4215,0.13441,3.5048),(555,4225,0.12548,3.5024),(555,4235,0.11654,3.4998),(555,4245,0.10502,3.4971),(555,4255,0.09218,3.4945),(555,4265,0.079341,3.4926),(555,4275,0.064371,3.4906),(555,4285,0.047138,3.4887),(555,4295,0.029904,3.4883),(555,4305,0.027338,3.488),(555,4315,0.057889,3.4878),(555,4325,0.088441,3.492),(555,4335,0.11668,3.4979),(555,4345,0.12924,3.5038),(555,4355,0.14181,3.5076),(555,4365,0.15438,3.5095),(555,4375,0.16507,3.5114),(555,4385,0.17567,3.5116),(555,4395,0.18627,3.5089),(555,4405,0.16777,3.5061),(555,4415,0.1407,3.5033),(555,4425,0.11362,3.5001),(555,4435,0.098884,3.4969),(555,4445,0.092579,3.4937),(555,4455,0.086274,3.495),(555,4465,0.10087,3.4962),(555,4475,0.14482,3.4974),(555,4485,0.18877,3.4962),(555,4495,0.2236,3.4944),(555,4505,0.22917,3.4926),(555,4515,0.23473,3.4872),(555,4525,0.23977,3.4797),(555,4535,0.23642,3.4723),(555,4545,0.23307,3.4629),(555,4555,0.22972,3.4514),(555,4565,0.16684,3.4399),(555,4575,0.09594,3.4318),(555,4585,0.02504,3.4319),(555,4595,0.012026,3.4319),(555,4605,0.023471,3.4319),(555,4615,0.034915,3.431),(555,4625,0.050118,3.4301),(555,4635,0.068725,3.4292),(555,4645,0.087332,3.4227),(555,4655,0.10793,3.4158),(555,4665,0.13228,3.4089),(555,4675,0.15663,3.395),(555,4685,0.17118,3.379),(555,4695,0.13734,3.3629),(555,4705,0.1035,3.3525),(555,4715,0.069663,3.3462),(555,4725,0.079736,3.3399),(555,4735,0.09025,3.3352),(555,4745,0.10076,3.3328),(555,4755,0.12793,3.3303),(555,4765,0.15895,3.3259),(555,4775,0.18998,3.3147),(555,4785,0.21099,3.3035),(555,4795,0.22621,3.2919),(555,4805,0.24143,3.2726),(555,4815,0.24202,3.2533),(555,4825,0.22512,3.234),(555,4835,0.20823,3.2168),(555,4845,0.18458,3.1999),(555,4855,0.14334,3.183),(555,4865,0.10209,3.1781),(555,4875,0.071747,3.1786),(555,4885,0.14061,3.1791),(555,4895,0.20947,3.1775),(555,4905,0.27833,3.1737),(555,4915,0.27798,3.17),(555,4925,0.27168,3.1645),(555,4935,0.26538,3.1555),(555,4945,0.24198,3.1466),(555,4955,0.21266,3.1377),(555,4965,0.18333,3.129),(555,4975,0.14187,3.1204),(555,4985,0.091038,3.1117),(555,4995,0.040206,3.1109),(555,5005,0.01256,3.1103),(555,5015,0.021773,3.1097),(555,5025,0.030986,3.0994),(555,5035,0.042791,3.0867),(555,5045,0.064472,3.074),(555,5055,0.086152,3.0535),(555,5065,0.10788,3.0283),(555,5075,0.13133,3.003),(555,5085,0.15477,2.9735),(555,5095,0.17821,2.9387),(555,5105,0.17087,2.9039),(555,5115,0.15815,2.8725),(555,5125,0.14544,2.8507),(555,5135,0.14026,2.8288),(555,5145,0.13872,2.8086),(555,5155,0.13718,2.8063),(555,5165,0.18222,2.804),(555,5175,0.27475,2.8017),(555,5185,0.36728,2.7898),(555,5195,0.43898,2.7769),(555,5205,0.46575,2.764),(555,5215,0.49252,2.7458),(555,5225,0.5166,2.7258),(555,5235,0.524,2.7057),(555,5245,0.53139,2.6838),(555,5255,0.53878,2.6605),(555,5265,0.37611,2.6372),(555,5275,0.20643,2.6225),(555,5285,0.036743,2.6225),(555,5295,0.019436,2.6225),(555,5305,0.044563,2.621),(555,5315,0.069691,2.6129),(555,5325,0.10751,2.6047),(555,5335,0.15365,2.5964),(555,5345,0.1998,2.5761),(555,5355,0.24673,2.5557),(555,5365,0.29473,2.5354),(555,5375,0.34274,2.5067),(555,5385,0.35946,2.4765),(555,5395,0.28109,2.4462),(555,5405,0.20271,2.4299),(555,5415,0.13471,2.4209),(555,5425,0.20605,2.4119),(555,5435,0.27739,2.4105),(555,5445,0.34872,2.4173),(555,5455,0.40824,2.4242),(555,5465,0.46631,2.4308),(555,5475,0.52438,2.437),(555,5485,0.53533,2.4432),(555,5495,0.52731,2.4488),(555,5505,0.51928,2.45),(555,5515,0.51172,2.4512),(555,5525,0.50455,2.4525),(555,5535,0.49738,2.4497),(555,5545,0.49064,2.4467),(555,5555,0.48468,2.4437),(555,5565,0.47872,2.4376),(555,5575,0.47311,2.4306),(555,5585,0.46906,2.4236),(555,5595,0.46502,2.4146),(555,5605,0.46097,2.4041),(555,5615,0.45929,2.3937),(555,5625,0.45761,2.3819),(555,5635,0.45593,2.3681),(555,5645,0.4564,2.3544),(555,5655,0.45734,2.3399),(555,5665,0.45828,2.323),(555,5675,0.46092,2.3062),(555,5685,0.4645,2.2891),(555,5695,0.46808,2.2693),(555,5705,0.47288,2.2494),(555,5715,0.4791,2.2295),(555,5725,0.48531,2.2068),(555,5735,0.49222,2.1837),(555,5745,0.5009,2.1606),(555,5755,0.50958,2.1351),(555,5765,0.51851,2.1086),(555,5775,0.52945,2.0821),(555,5785,0.54039,2.0538),(555,5795,0.55134,2.0239),(555,5805,0.56405,1.9939),(555,5815,0.57689,1.9627),(555,5825,0.58973,1.929),(555,5835,0.60403,1.8954),(555,5845,0.6188,1.8612),(555,5855,0.63357,1.824),(555,5865,0.64937,1.7867),(555,5875,0.66592,1.7495),(555,5885,0.68248,1.7085),(555,5895,0.69975,1.6674),(555,5905,0.71812,1.6263),(555,5915,0.7365,1.5829),(555,5925,0.75516,1.5389),(555,5935,0.77488,1.495),(555,5945,0.79459,1.4488),(555,5955,0.81434,1.4013),(555,5965,0.8348,1.3538),(555,5975,0.85527,1.3052),(555,5985,0.87573,1.2553),(555,5995,0.67254,1.2053),(555,6005,0.43336,1.1671),(555,6015,0.19418,1.1605),(555,6025,0.17784,1.1538),(555,6035,0.26486,1.1467),(555,6045,0.35188,1.1347),(555,6055,0.41637,1.1227),(555,6065,0.45879,1.1108),(555,6075,0.50121,1.0944),(555,6085,0.53027,1.0777),(555,6095,0.53179,1.061),(555,6105,0.53332,1.0442),(555,6115,0.53478,1.0273),(555,6125,0.53587,1.0104),(555,6135,0.53695,0.99316),(555,6145,0.53804,0.97561),(555,6155,0.5388,0.95805),(555,6165,0.53954,0.94013),(555,6175,0.54028,0.9216),(555,6185,0.54081,0.90307),(555,6195,0.54127,0.88447),(555,6205,0.54174,0.86557),(555,6215,0.54212,0.84668),(555,6225,0.54244,0.82776),(555,6235,0.54277,0.80814),(555,6245,0.54302,0.78853),(555,6255,0.54318,0.76891),(555,6265,0.54334,0.74894),(555,6275,0.54347,0.72892),(555,6285,0.54355,0.70889),(555,6295,0.54363,0.68848),(555,6305,0.54371,0.66787),(555,6315,0.5437,0.64726),(555,6325,0.5437,0.62654),(555,6335,0.5437,0.6057),(555,6345,0.54367,0.58486),(555,6355,0.54364,0.56384),(555,6365,0.54361,0.54243),(555,6375,0.54356,0.52101),(555,6385,0.54351,0.49958),(555,6395,0.54346,0.47809),(555,6405,0.54341,0.4566),(555,6415,0.54337,0.43511),(555,6425,0.54333,0.41309),(555,6435,0.54331,0.39105),(555,6445,0.54331,0.369),(555,6455,0.54332,0.34708),(555,6465,0.54334,0.3252),(555,6475,0.54339,0.30333),(555,6485,0.54345,0.28118),(555,6495,0.5435,0.25884),(555,6505,0.54351,0.23651),(555,6515,0.54352,0.2141),(555,6525,0.54353,0.19159),(555,6535,0.54357,0.16907),(555,6545,0.54362,0.14659),(555,6555,0.54367,0.12424),(555,6565,0.54372,0.10189),(555,6575,0.54378,0.079528),(555,6585,0.54384,0.056929),(555,6595,0.46256,0.03433),(555,6605,0.29148,0.011731),(555,6615,0.1204,0.009243),(555,6625,0.00014,0.00934),(555,6635,0.000141,0.009436),(555,6645,0.000142,0.00946),(555,6655,0.000144,0.009454),(555,6665,0.000145,0.009448),(555,6675,0.000146,0.009442),(555,6685,0.000147,0.009436),(555,6695,0.000148,0.00943),(555,6705,0.000149,0.009423),(555,6715,0.00015,0.009417),(555,6725,0.000152,0.009411),(555,6735,0.000153,0.009404),(555,6745,0.000154,0.009398),(555,6755,0.000155,0.009392),(555,6765,0.000156,0.009386),(555,6775,0.000157,0.009379),(555,6785,0.000158,0.009373),(555,6795,0.000159,0.009366),(555,6805,0.00016,0.00936),(555,6815,0.000161,0.009354),(555,6825,0.000162,0.009347),(555,6835,0.000163,0.009341),(555,6845,0.000165,0.009334),(555,6855,0.000166,0.009328),(555,6865,0.000167,0.009321),(555,6875,0.000168,0.009314),(555,6885,0.000169,0.009308),(555,6895,0.000169,0.009301),(555,6905,0.00017,0.009295),(555,6915,0.000171,0.009288),(555,6925,0.000172,0.009281),(555,6935,0.000173,0.009275),(555,6945,0.000174,0.009268),(555,6955,0.000175,0.009261),(555,6965,0.000176,0.009255),(555,6975,0.000177,0.009248),(555,6985,0.000178,0.009241),(565,5,2.9e-05,3.6663),(565,15,8.6e-05,3.6663),(565,25,0.000143,3.6663),(565,35,0.000201,3.6663),(565,45,0.000258,3.6663),(565,55,0.000315,3.6663),(565,65,0.000373,3.6663),(565,75,0.00043,3.6663),(565,85,0.000488,3.6662),(565,95,0.000545,3.6662),(565,105,0.000603,3.6662),(565,115,0.00066,3.6662),(565,125,0.000718,3.6662),(565,135,0.000776,3.6661),(565,145,0.000834,3.6661),(565,155,0.000892,3.6661),(565,165,0.00095,3.666),(565,175,0.001008,3.666),(565,185,0.001066,3.666),(565,195,0.001124,3.6659),(565,205,0.001182,3.6659),(565,215,0.001241,3.6658),(565,225,0.001299,3.6658),(565,235,0.001358,3.6658),(565,245,0.001417,3.6657),(565,255,0.001476,3.6657),(565,265,0.001535,3.6656),(565,275,0.001594,3.6655),(565,285,0.001654,3.6655),(565,295,0.001713,3.6654),(565,305,0.001773,3.6654),(565,315,0.001833,3.6653),(565,325,0.001894,3.6652),(565,335,0.001954,3.6652),(565,345,0.002014,3.6651),(565,355,0.002075,3.665),(565,365,0.002136,3.665),(565,375,0.002197,3.6649),(565,385,0.002259,3.6648),(565,395,0.00232,3.6647),(565,405,0.002382,3.6646),(565,415,0.002444,3.6646),(565,425,0.002506,3.6645),(565,435,0.002569,3.6644),(565,445,0.002631,3.6643),(565,455,0.002694,3.6642),(565,465,0.002758,3.6641),(565,475,0.002821,3.664),(565,485,0.002885,3.6639),(565,495,0.002948,3.6638),(565,505,0.003013,3.6637),(565,515,0.003078,3.6636),(565,525,0.003143,3.6635),(565,535,0.003207,3.6634),(565,545,0.003273,3.6633),(565,555,0.00334,3.6631),(565,565,0.003405,3.663),(565,575,0.003472,3.6629),(565,585,0.003539,3.6628),(565,595,0.003606,3.6627),(565,605,0.003673,3.6625),(565,615,0.00374,3.6624),(565,625,0.003809,3.6623),(565,635,0.003877,3.6621),(565,645,0.003946,3.662),(565,655,0.004015,3.6618),(565,665,0.004085,3.6617),(565,675,0.004155,3.6616),(565,685,0.004225,3.6614),(565,695,0.004295,3.6613),(565,705,0.004366,3.6611),(565,715,0.004438,3.661),(565,725,0.004509,3.6608),(565,735,0.004581,3.6606),(565,745,0.004654,3.6605),(565,755,0.004727,3.6603),(565,765,0.0048,3.6601),(565,775,0.004873,3.66),(565,785,0.004948,3.6598),(565,795,0.005023,3.6596),(565,805,0.005097,3.6594),(565,815,0.005173,3.6593),(565,825,0.005249,3.6591),(565,835,0.005326,3.6589),(565,845,0.005402,3.6587),(565,855,0.005479,3.6585),(565,865,0.005557,3.6583),(565,875,0.005636,3.6581),(565,885,0.005714,3.6579),(565,895,0.005793,3.6577),(565,905,0.005873,3.6575),(565,915,0.005953,3.6573),(565,925,0.006033,3.6571),(565,935,0.006114,3.6569),(565,945,0.006196,3.6567),(565,955,0.006279,3.6565),(565,965,0.006361,3.6562),(565,975,0.006444,3.656),(565,985,0.006528,3.6558),(565,995,0.006612,3.6555),(565,1005,0.006696,3.6553),(565,1015,0.006781,3.6551),(565,1025,0.006868,3.6548),(565,1035,0.006954,3.6546),(565,1045,0.00704,3.6543),(565,1055,0.007128,3.6541),(565,1065,0.007216,3.6538),(565,1075,0.007304,3.6536),(565,1085,0.007393,3.6533),(565,1095,0.007482,3.6531),(565,1105,0.007573,3.6528),(565,1115,0.007663,3.6525),(565,1125,0.007754,3.6523),(565,1135,0.007845,3.652),(565,1145,0.007938,3.6517),(565,1155,0.008031,3.6514),(565,1165,0.008123,3.6511),(565,1175,0.008218,3.6508),(565,1185,0.008313,3.6506),(565,1195,0.008408,3.6503),(565,1205,0.008503,3.65),(565,1215,0.008599,3.6497),(565,1225,0.008696,3.6494),(565,1235,0.008794,3.649),(565,1245,0.008891,3.6487),(565,1255,0.00899,3.6484),(565,1265,0.00909,3.6481),(565,1275,0.00919,3.6478),(565,1285,0.009289,3.6474),(565,1295,0.009391,3.6471),(565,1305,0.009493,3.6468),(565,1315,0.009595,3.6464),(565,1325,0.009697,3.6461),(565,1335,0.009801,3.6458),(565,1345,0.009906,3.6454),(565,1355,0.010011,3.645),(565,1365,0.010115,3.6447),(565,1375,0.010222,3.6443),(565,1385,0.010329,3.644),(565,1395,0.010436,3.6436),(565,1405,0.010543,3.6432),(565,1415,0.010653,3.6429),(565,1425,0.010762,3.6425),(565,1435,0.010871,3.6421),(565,1445,0.010981,3.6417),(565,1455,0.011093,3.6413),(565,1465,0.011205,3.6409),(565,1475,0.011316,3.6405),(565,1485,0.011428,3.6401),(565,1495,0.011543,3.6397),(565,1505,0.011657,3.6393),(565,1515,0.011771,3.6389),(565,1525,0.011886,3.6384),(565,1535,0.012003,3.638),(565,1545,0.01212,3.6376),(565,1555,0.012237,3.6372),(565,1565,0.012354,3.6367),(565,1575,0.012473,3.6363),(565,1585,0.012593,3.6358),(565,1595,0.012712,3.6354),(565,1605,0.012832,3.6349),(565,1615,0.012954,3.6345),(565,1625,0.013076,3.634),(565,1635,0.013197,3.6335),(565,1645,0.01332,3.6331),(565,1655,0.013444,3.6326),(565,1665,0.013568,3.6321),(565,1675,0.013693,3.6316),(565,1685,0.013818,3.6311),(565,1695,0.013945,3.6306),(565,1705,0.014071,3.6301),(565,1715,0.014198,3.6296),(565,1725,0.014326,3.6291),(565,1735,0.014455,3.6286),(565,1745,0.014584,3.6281),(565,1755,0.014714,3.6276),(565,1765,0.014844,3.627),(565,1775,0.014975,3.6265),(565,1785,0.015107,3.626),(565,1795,0.015239,3.6254),(565,1805,0.015371,3.6249),(565,1815,0.015505,3.6243),(565,1825,0.015639,3.6238),(565,1835,0.015773,3.6232),(565,1845,0.015908,3.6226),(565,1855,0.016044,3.6221),(565,1865,0.01618,3.6215),(565,1875,0.016316,3.6209),(565,1885,0.016453,3.6203),(565,1895,0.016592,3.6197),(565,1905,0.01673,3.6192),(565,1915,0.016869,3.6185),(565,1925,0.017009,3.6179),(565,1935,0.017149,3.6173),(565,1945,0.01729,3.6167),(565,1955,0.017431,3.6161),(565,1965,0.017573,3.6155),(565,1975,0.017716,3.6148),(565,1985,0.017859,3.6142),(565,1995,0.018002,3.6136),(565,2005,0.018147,3.6129),(565,2015,0.018292,3.6123),(565,2025,0.018437,3.6116),(565,2035,0.018582,3.6109),(565,2045,0.018728,3.6103),(565,2055,0.018876,3.6096),(565,2065,0.019023,3.6089),(565,2075,0.01917,3.6082),(565,2085,0.019319,3.6075),(565,2095,0.019468,3.6068),(565,2105,0.019618,3.6061),(565,2115,0.019767,3.6054),(565,2125,0.019918,3.6047),(565,2135,0.02007,3.604),(565,2145,0.020221,3.6033),(565,2155,0.020373,3.6026),(565,2165,0.020526,3.6018),(565,2175,0.02068,3.6011),(565,2185,0.020833,3.6003),(565,2195,0.020987,3.5996),(565,2205,0.021142,3.5988),(565,2215,0.021298,3.5981),(565,2225,0.021454,3.5973),(565,2235,0.02161,3.5965),(565,2245,0.021767,3.5958),(565,2255,0.021925,3.595),(565,2265,0.022083,3.5942),(565,2275,0.022241,3.5934),(565,2285,0.022401,3.5926),(565,2295,0.022561,3.5918),(565,2305,0.022721,3.591),(565,2315,0.022882,3.5902),(565,2325,0.023044,3.5894),(565,2335,0.023206,3.5885),(565,2345,0.023368,3.5877),(565,2355,0.023531,3.5869),(565,2365,0.023695,3.586),(565,2375,0.02386,3.5852),(565,2385,0.024024,3.5843),(565,2395,0.024189,3.5835),(565,2405,0.024356,3.5826),(565,2415,0.024524,3.5818),(565,2425,0.024691,3.5809),(565,2435,0.024859,3.58),(565,2445,0.025029,3.5791),(565,2455,0.025199,3.5782),(565,2465,0.025369,3.5773),(565,2475,0.02554,3.5764),(565,2485,0.025713,3.5755),(565,2495,0.025886,3.5746),(565,2505,0.026059,3.5737),(565,2515,0.026233,3.5728),(565,2525,0.026409,3.5718),(565,2535,0.026586,3.5709),(565,2545,0.026762,3.57),(565,2555,0.026939,3.569),(565,2565,0.02712,3.5681),(565,2575,0.0273,3.5671),(565,2585,0.02748,3.5662),(565,2595,0.027661,3.5652),(565,2605,0.027846,3.5642),(565,2615,0.028031,3.5632),(565,2625,0.028216,3.5623),(565,2635,0.028401,3.5613),(565,2645,0.028591,3.5603),(565,2655,0.028781,3.5593),(565,2665,0.028971,3.5583),(565,2675,0.029162,3.5573),(565,2685,0.029358,3.5563),(565,2695,0.029554,3.5553),(565,2705,0.02975,3.5542),(565,2715,0.029947,3.5532),(565,2725,0.030149,3.5522),(565,2735,0.030352,3.5512),(565,2745,0.030554,3.5501),(565,2755,0.030758,3.5491),(565,2765,0.030969,3.548),(565,2775,0.031179,3.547),(565,2785,0.031389,3.5459),(565,2795,0.031602,3.5449),(565,2805,0.031821,3.5438),(565,2815,0.03204,3.5427),(565,2825,0.032259,3.5417),(565,2835,0.032482,3.5406),(565,2845,0.032711,3.5395),(565,2855,0.032941,3.5384),(565,2865,0.03317,3.5373),(565,2875,0.033404,3.5362),(565,2885,0.033646,3.5351),(565,2895,0.033888,3.534),(565,2905,0.03413,3.5329),(565,2915,0.034377,3.5318),(565,2925,0.034633,3.5307),(565,2935,0.034889,3.5296),(565,2945,0.035145,3.5285),(565,2955,0.035409,3.5274),(565,2965,0.035681,3.5263),(565,2975,0.035954,3.5251),(565,2985,0.036226,3.524),(565,2995,0.036508,3.5229),(565,3005,0.0368,3.5217),(565,3015,0.037091,3.5206),(565,3025,0.037383,3.5195),(565,3035,0.037686,3.5183),(565,3045,0.037999,3.5172),(565,3055,0.038313,3.5161),(565,3065,0.038627,3.5149),(565,3075,0.038955,3.5138),(565,3085,0.039294,3.5126),(565,3095,0.039633,3.5115),(565,3105,0.039972,3.5104),(565,3115,0.040329,3.5092),(565,3125,0.040697,3.5081),(565,3135,0.041065,3.5069),(565,3145,0.041433,3.5058),(565,3155,0.041823,3.5046),(565,3165,0.042225,3.5035),(565,3175,0.042627,3.5024),(565,3185,0.043028,3.5012),(565,3195,0.043456,3.5001),(565,3205,0.043896,3.499),(565,3215,0.044336,3.4978),(565,3225,0.044776,3.4967),(565,3235,0.045247,3.4956),(565,3245,0.045731,3.4945),(565,3255,0.046214,3.4934),(565,3265,0.046697,3.4923),(565,3275,0.047218,3.4912),(565,3285,0.04775,3.4901),(565,3295,0.048282,3.489),(565,3305,0.048815,3.488),(565,3315,0.049391,3.4869),(565,3325,0.049978,3.4858),(565,3335,0.050565,3.4848),(565,3345,0.051151,3.4838),(565,3355,0.05179,3.4827),(565,3365,0.052437,3.4817),(565,3375,0.053084,3.4807),(565,3385,0.053732,3.4797),(565,3395,0.054438,3.4788),(565,3405,0.055152,3.4778),(565,3415,0.055866,3.4769),(565,3425,0.056579,3.476),(565,3435,0.057359,3.4751),(565,3445,0.058144,3.4742),(565,3455,0.05893,3.4734),(565,3465,0.059715,3.4726),(565,3475,0.060573,3.4717),(565,3485,0.061433,3.4709),(565,3495,0.062293,3.4702),(565,3505,0.063154,3.4695),(565,3515,0.064092,3.4688),(565,3525,0.065029,3.4681),(565,3535,0.065966,3.4676),(565,3545,0.066907,3.467),(565,3555,0.06792,3.4665),(565,3565,0.068932,3.4659),(565,3575,0.069944,3.4655),(565,3585,0.070963,3.4651),(565,3595,0.072043,3.4648),(565,3605,0.073123,3.4644),(565,3615,0.074203,3.4642),(565,3625,0.07529,3.4641),(565,3635,0.076422,3.4639),(565,3645,0.077555,3.4638),(565,3655,0.078688,3.4639),(565,3665,0.079824,3.4639),(565,3675,0.080983,3.464),(565,3685,0.082142,3.4642),(565,3695,0.083301,3.4646),(565,3705,0.084457,3.4649),(565,3715,0.085601,3.4653),(565,3725,0.086746,3.4658),(565,3735,0.08789,3.4665),(565,3745,0.089016,3.4673),(565,3755,0.090087,3.468),(565,3765,0.091158,3.4689),(565,3775,0.092228,3.47),(565,3785,0.093256,3.4711),(565,3795,0.094173,3.4722),(565,3805,0.09509,3.4735),(565,3815,0.096007,3.475),(565,3825,0.096843,3.4766),(565,3835,0.097508,3.4781),(565,3845,0.098172,3.4798),(565,3855,0.098836,3.4817),(565,3865,0.099369,3.4837),(565,3875,0.099668,3.4856),(565,3885,0.099967,3.4877),(565,3895,0.10027,3.4901),(565,3905,0.12048,3.4924),(565,3915,0.17046,3.4947),(565,3925,0.22043,3.4988),(565,3935,0.2704,3.5052),(565,3945,0.31135,3.5117),(565,3955,0.34085,3.5182),(565,3965,0.37035,3.524),(565,3975,0.39984,3.5291),(565,3985,0.40519,3.5341),(565,3995,0.3844,3.5392),(565,4005,0.36361,3.5423),(565,4015,0.34282,3.5435),(565,4025,0.32388,3.5448),(565,4035,0.30512,3.5452),(565,4045,0.28636,3.5439),(565,4055,0.26979,3.5426),(565,4065,0.25402,3.5411),(565,4075,0.23826,3.5381),(565,4085,0.22428,3.5351),(565,4095,0.21173,3.5322),(565,4105,0.19918,3.5284),(565,4115,0.18169,3.5246),(565,4125,0.15599,3.5208),(565,4135,0.1303,3.5177),(565,4145,0.10632,3.5149),(565,4155,0.089281,3.5121),(565,4165,0.07224,3.5105),(565,4175,0.056076,3.5097),(565,4185,0.083315,3.5089),(565,4195,0.11055,3.5074),(565,4205,0.13779,3.505),(565,4215,0.13473,3.5026),(565,4225,0.12596,3.5002),(565,4235,0.11719,3.4977),(565,4245,0.10572,3.4951),(565,4255,0.092871,3.4927),(565,4265,0.080022,3.4908),(565,4275,0.064941,3.489),(565,4285,0.047494,3.4871),(565,4295,0.030047,3.4867),(565,4305,0.026744,3.4865),(565,4315,0.05538,3.4862),(565,4325,0.084015,3.4898),(565,4335,0.1107,3.4948),(565,4345,0.12417,3.4999),(565,4355,0.13764,3.503),(565,4365,0.15111,3.5045),(565,4375,0.16287,3.506),(565,4385,0.17454,3.5061),(565,4395,0.18622,3.5036),(565,4405,0.16827,3.5011),(565,4415,0.1416,3.4985),(565,4425,0.11492,3.4958),(565,4435,0.099771,3.493),(565,4445,0.092505,3.4903),(565,4455,0.085239,3.4912),(565,4465,0.099421,3.492),(565,4475,0.14374,3.4929),(565,4485,0.18805,3.4913),(565,4495,0.22348,3.4892),(565,4505,0.23038,3.487),(565,4515,0.23729,3.4816),(565,4525,0.24365,3.4744),(565,4535,0.24134,3.4672),(565,4545,0.23902,3.4582),(565,4555,0.23671,3.4474),(565,4565,0.17197,3.4366),(565,4575,0.098821,3.4289),(565,4585,0.02567,3.4289),(565,4595,0.012098,3.4289),(565,4605,0.023699,3.4287),(565,4615,0.035301,3.4274),(565,4625,0.05124,3.426),(565,4635,0.071109,3.4247),(565,4645,0.090977,3.418),(565,4655,0.11306,3.4109),(565,4665,0.13931,3.4038),(565,4675,0.16557,3.3904),(565,4685,0.18136,3.375),(565,4695,0.14546,3.3597),(565,4705,0.10955,3.3498),(565,4715,0.073646,3.344),(565,4725,0.082685,3.3382),(565,4735,0.092173,3.3334),(565,4745,0.10166,3.3303),(565,4755,0.13007,3.3272),(565,4765,0.16287,3.3221),(565,4775,0.19567,3.3106),(565,4785,0.21846,3.299),(565,4795,0.23547,3.2871),(565,4805,0.25248,3.2683),(565,4815,0.25387,3.2494),(565,4825,0.23658,3.2306),(565,4835,0.21929,3.2142),(565,4845,0.19431,3.1981),(565,4855,0.1493,3.1821),(565,4865,0.10429,3.1771),(565,4875,0.070576,3.1772),(565,4885,0.13959,3.1774),(565,4895,0.2086,3.1751),(565,4905,0.27761,3.1706),(565,4915,0.27844,3.166),(565,4925,0.27341,3.16),(565,4935,0.26838,3.1512),(565,4945,0.24553,3.1423),(565,4955,0.2165,3.1335),(565,4965,0.18747,3.1253),(565,4975,0.14543,3.1171),(565,4985,0.093357,3.1089),(565,4995,0.041284,3.1082),(565,5005,0.013857,3.1076),(565,5015,0.025611,3.107),(565,5025,0.037365,3.0962),(565,5035,0.051748,3.0828),(565,5045,0.076145,3.0694),(565,5055,0.10054,3.0485),(565,5065,0.12497,3.0231),(565,5075,0.15051,2.9977),(565,5085,0.17605,2.9685),(565,5095,0.20158,2.9345),(565,5105,0.19216,2.9005),(565,5115,0.17664,2.8699),(565,5125,0.16112,2.8489),(565,5135,0.15189,2.8279),(565,5145,0.1457,2.8085),(565,5155,0.13952,2.8057),(565,5165,0.18287,2.8028),(565,5175,0.27675,2.8),(565,5185,0.37062,2.7875),(565,5195,0.4437,2.774),(565,5205,0.47191,2.7605),(565,5215,0.50011,2.7423),(565,5225,0.52554,2.7224),(565,5235,0.53369,2.7024),(565,5245,0.54183,2.681),(565,5255,0.54998,2.6585),(565,5265,0.38395,2.6359),(565,5275,0.21073,2.6218),(565,5285,0.037515,2.6218),(565,5295,0.020543,2.6217),(565,5305,0.047083,2.6201),(565,5315,0.073622,2.6116),(565,5325,0.1134,2.603),(565,5335,0.16186,2.5943),(565,5345,0.21032,2.5739),(565,5355,0.25938,2.5534),(565,5365,0.30926,2.5329),(565,5375,0.35914,2.5047),(565,5385,0.3763,2.475),(565,5395,0.29397,2.4452),(565,5405,0.21165,2.4293),(565,5415,0.13966,2.4205),(565,5425,0.20648,2.4116),(565,5435,0.27331,2.4101),(565,5445,0.34013,2.4164),(565,5455,0.39867,2.4227),(565,5465,0.4562,2.4287),(565,5475,0.51374,2.4343),(565,5485,0.52541,2.44),(565,5495,0.51861,2.445),(565,5505,0.51181,2.4459),(565,5515,0.50543,2.4468),(565,5525,0.49941,2.4477),(565,5535,0.4934,2.4448),(565,5545,0.48776,2.4416),(565,5555,0.48281,2.4385),(565,5565,0.47786,2.4323),(565,5575,0.47323,2.4253),(565,5585,0.47006,2.4182),(565,5595,0.46689,2.4091),(565,5605,0.46372,2.3986),(565,5615,0.46282,2.3881),(565,5625,0.46191,2.3762),(565,5635,0.46101,2.3624),(565,5645,0.4622,2.3487),(565,5655,0.46384,2.3341),(565,5665,0.46547,2.3172),(565,5675,0.4688,2.3002),(565,5685,0.47307,2.2831),(565,5695,0.47734,2.2632),(565,5705,0.48282,2.2432),(565,5715,0.48972,2.2233),(565,5725,0.49661,2.2005),(565,5735,0.50422,2.1772),(565,5745,0.5136,2.154),(565,5755,0.52298,2.1285),(565,5765,0.53261,2.1019),(565,5775,0.54428,2.0754),(565,5785,0.55595,2.047),(565,5795,0.56762,2.017),(565,5805,0.58108,1.9869),(565,5815,0.59468,1.9556),(565,5825,0.60827,1.9221),(565,5835,0.62332,1.8885),(565,5845,0.63884,1.8543),(565,5855,0.65436,1.8171),(565,5865,0.67088,1.78),(565,5875,0.68814,1.7429),(565,5885,0.7054,1.7021),(565,5895,0.72335,1.6613),(565,5905,0.74236,1.6205),(565,5915,0.76137,1.5775),(565,5925,0.78065,1.534),(565,5935,0.80091,1.4905),(565,5945,0.82118,1.4448),(565,5955,0.84147,1.3979),(565,5965,0.86239,1.351),(565,5975,0.88331,1.303),(565,5985,0.90424,1.2537),(565,5995,0.69441,1.2044),(565,6005,0.44744,1.1668),(565,6015,0.20047,1.1603),(565,6025,0.18191,1.1537),(565,6035,0.26929,1.1466),(565,6045,0.35666,1.1345),(565,6055,0.42164,1.1224),(565,6065,0.46467,1.1103),(565,6075,0.50769,1.0938),(565,6085,0.5372,1.0769),(565,6095,0.53888,1.0601),(565,6105,0.54055,1.0431),(565,6115,0.54216,1.0261),(565,6125,0.54339,1.0091),(565,6135,0.54462,0.99179),(565,6145,0.54585,0.97415),(565,6155,0.54676,0.95652),(565,6165,0.54765,0.93852),(565,6175,0.54855,0.91994),(565,6185,0.54922,0.90136),(565,6195,0.54984,0.88271),(565,6205,0.55046,0.86381),(565,6215,0.55098,0.84491),(565,6225,0.55143,0.82599),(565,6235,0.55189,0.80636),(565,6245,0.55228,0.78673),(565,6255,0.55257,0.7671),(565,6265,0.55287,0.74715),(565,6275,0.55314,0.72715),(565,6285,0.55334,0.70715),(565,6295,0.55354,0.68676),(565,6305,0.55373,0.66617),(565,6315,0.55384,0.64558),(565,6325,0.55396,0.6249),(565,6335,0.55407,0.60411),(565,6345,0.55413,0.58331),(565,6355,0.55419,0.56234),(565,6365,0.55424,0.54097),(565,6375,0.55428,0.5196),(565,6385,0.55431,0.49822),(565,6395,0.55434,0.47679),(565,6405,0.55436,0.45537),(565,6415,0.55437,0.43394),(565,6425,0.55438,0.41199),(565,6435,0.55441,0.39002),(565,6445,0.55446,0.36804),(565,6455,0.55452,0.3462),(565,6465,0.55458,0.32439),(565,6475,0.55467,0.30259),(565,6485,0.55475,0.28049),(565,6495,0.55484,0.2582),(565,6505,0.55487,0.23592),(565,6515,0.5549,0.21356),(565,6525,0.55493,0.19111),(565,6535,0.555,0.16867),(565,6545,0.55507,0.14626),(565,6555,0.55514,0.12397),(565,6565,0.55521,0.10169),(565,6575,0.55529,0.07939),(565,6585,0.55536,0.056835),(565,6595,0.47237,0.034279),(565,6605,0.29767,0.011724),(565,6615,0.12296,0.009242),(565,6625,0.000143,0.00934),(565,6635,0.000145,0.009437),(565,6645,0.000146,0.009461),(565,6655,0.000147,0.009455),(565,6665,0.000148,0.009449),(565,6675,0.000149,0.009443),(565,6685,0.00015,0.009437),(565,6695,0.000151,0.009431),(565,6705,0.000152,0.009425),(565,6715,0.000154,0.009418),(565,6725,0.000155,0.009412),(565,6735,0.000156,0.009406),(565,6745,0.000157,0.009399),(565,6755,0.000158,0.009393),(565,6765,0.000159,0.009387),(565,6775,0.00016,0.00938),(565,6785,0.000161,0.009374),(565,6795,0.000162,0.009368),(565,6805,0.000163,0.009361),(565,6815,0.000165,0.009355),(565,6825,0.000166,0.009348),(565,6835,0.000167,0.009342),(565,6845,0.000168,0.009335),(565,6855,0.000169,0.009328),(565,6865,0.00017,0.009322),(565,6875,0.000171,0.009315),(565,6885,0.000172,0.009309),(565,6895,0.000173,0.009302),(565,6905,0.000174,0.009296),(565,6915,0.000175,0.009289),(565,6925,0.000176,0.009282),(565,6935,0.000177,0.009276),(565,6945,0.000177,0.009269),(565,6955,0.000178,0.009262),(565,6965,0.000179,0.009256),(565,6975,0.00018,0.009249),(565,6985,0.000181,0.009242),(575,5,2.9e-05,3.6664),(575,15,8.7e-05,3.6664),(575,25,0.000146,3.6664),(575,35,0.000204,3.6664),(575,45,0.000262,3.6663),(575,55,0.00032,3.6663),(575,65,0.000379,3.6663),(575,75,0.000437,3.6663),(575,85,0.000496,3.6663),(575,95,0.000554,3.6663),(575,105,0.000613,3.6663),(575,115,0.000671,3.6662),(575,125,0.00073,3.6662),(575,135,0.000788,3.6662),(575,145,0.000847,3.6662),(575,155,0.000906,3.6661),(575,165,0.000965,3.6661),(575,175,0.001024,3.6661),(575,185,0.001083,3.666),(575,195,0.001143,3.666),(575,205,0.001202,3.6659),(575,215,0.001261,3.6659),(575,225,0.001321,3.6659),(575,235,0.00138,3.6658),(575,245,0.00144,3.6658),(575,255,0.0015,3.6657),(575,265,0.00156,3.6657),(575,275,0.001621,3.6656),(575,285,0.001681,3.6655),(575,295,0.001741,3.6655),(575,305,0.001802,3.6654),(575,315,0.001863,3.6654),(575,325,0.001924,3.6653),(575,335,0.001986,3.6652),(575,345,0.002047,3.6652),(575,355,0.002109,3.6651),(575,365,0.002171,3.665),(575,375,0.002233,3.6649),(575,385,0.002296,3.6649),(575,395,0.002358,3.6648),(575,405,0.002421,3.6647),(575,415,0.002484,3.6646),(575,425,0.002547,3.6645),(575,435,0.002611,3.6644),(575,445,0.002674,3.6644),(575,455,0.002738,3.6643),(575,465,0.002803,3.6642),(575,475,0.002867,3.6641),(575,485,0.002932,3.664),(575,495,0.002997,3.6639),(575,505,0.003063,3.6638),(575,515,0.003128,3.6637),(575,525,0.003194,3.6635),(575,535,0.00326,3.6634),(575,545,0.003327,3.6633),(575,555,0.003394,3.6632),(575,565,0.003461,3.6631),(575,575,0.003528,3.663),(575,585,0.003597,3.6628),(575,595,0.003665,3.6627),(575,605,0.003733,3.6626),(575,615,0.003802,3.6625),(575,625,0.003871,3.6623),(575,635,0.003941,3.6622),(575,645,0.004011,3.6621),(575,655,0.004081,3.6619),(575,665,0.004152,3.6618),(575,675,0.004223,3.6616),(575,685,0.004294,3.6615),(575,695,0.004366,3.6613),(575,705,0.004438,3.6612),(575,715,0.004511,3.661),(575,725,0.004584,3.6609),(575,735,0.004657,3.6607),(575,745,0.004731,3.6606),(575,755,0.004805,3.6604),(575,765,0.004879,3.6602),(575,775,0.004954,3.66),(575,785,0.00503,3.6599),(575,795,0.005106,3.6597),(575,805,0.005182,3.6595),(575,815,0.005258,3.6593),(575,825,0.005336,3.6592),(575,835,0.005414,3.659),(575,845,0.005491,3.6588),(575,855,0.00557,3.6586),(575,865,0.005649,3.6584),(575,875,0.005729,3.6582),(575,885,0.005809,3.658),(575,895,0.005889,3.6578),(575,905,0.005971,3.6576),(575,915,0.006052,3.6574),(575,925,0.006134,3.6572),(575,935,0.006216,3.657),(575,945,0.006299,3.6568),(575,955,0.006383,3.6565),(575,965,0.006466,3.6563),(575,975,0.006551,3.6561),(575,985,0.006636,3.6559),(575,995,0.006722,3.6556),(575,1005,0.006807,3.6554),(575,1015,0.006894,3.6552),(575,1025,0.006982,3.6549),(575,1035,0.00707,3.6547),(575,1045,0.007157,3.6544),(575,1055,0.007246,3.6542),(575,1065,0.007336,3.6539),(575,1075,0.007426,3.6537),(575,1085,0.007516,3.6534),(575,1095,0.007607,3.6532),(575,1105,0.007699,3.6529),(575,1115,0.007791,3.6526),(575,1125,0.007883,3.6523),(575,1135,0.007976,3.6521),(575,1145,0.008071,3.6518),(575,1155,0.008165,3.6515),(575,1165,0.008259,3.6512),(575,1175,0.008355,3.6509),(575,1185,0.008452,3.6507),(575,1195,0.008549,3.6504),(575,1205,0.008645,3.6501),(575,1215,0.008743,3.6498),(575,1225,0.008842,3.6495),(575,1235,0.008941,3.6491),(575,1245,0.00904,3.6488),(575,1255,0.009141,3.6485),(575,1265,0.009243,3.6482),(575,1275,0.009344,3.6479),(575,1285,0.009445,3.6475),(575,1295,0.009549,3.6472),(575,1305,0.009653,3.6469),(575,1315,0.009756,3.6465),(575,1325,0.00986,3.6462),(575,1335,0.009966,3.6459),(575,1345,0.010073,3.6455),(575,1355,0.010179,3.6452),(575,1365,0.010286,3.6448),(575,1375,0.010394,3.6444),(575,1385,0.010503,3.6441),(575,1395,0.010612,3.6437),(575,1405,0.010721,3.6433),(575,1415,0.010832,3.643),(575,1425,0.010944,3.6426),(575,1435,0.011055,3.6422),(575,1445,0.011167,3.6418),(575,1455,0.01128,3.6414),(575,1465,0.011394,3.641),(575,1475,0.011508,3.6406),(575,1485,0.011622,3.6402),(575,1495,0.011738,3.6398),(575,1505,0.011855,3.6394),(575,1515,0.011971,3.639),(575,1525,0.012088,3.6386),(575,1535,0.012207,3.6381),(575,1545,0.012326,3.6377),(575,1555,0.012445,3.6373),(575,1565,0.012564,3.6368),(575,1575,0.012685,3.6364),(575,1585,0.012807,3.636),(575,1595,0.012928,3.6355),(575,1605,0.01305,3.6351),(575,1615,0.013174,3.6346),(575,1625,0.013298,3.6341),(575,1635,0.013422,3.6337),(575,1645,0.013547,3.6332),(575,1655,0.013673,3.6327),(575,1665,0.0138,3.6322),(575,1675,0.013926,3.6318),(575,1685,0.014054,3.6313),(575,1695,0.014183,3.6308),(575,1705,0.014312,3.6303),(575,1715,0.014441,3.6298),(575,1725,0.014571,3.6293),(575,1735,0.014702,3.6287),(575,1745,0.014834,3.6282),(575,1755,0.014965,3.6277),(575,1765,0.015098,3.6272),(575,1775,0.015232,3.6266),(575,1785,0.015366,3.6261),(575,1795,0.0155,3.6256),(575,1805,0.015635,3.625),(575,1815,0.015771,3.6245),(575,1825,0.015907,3.6239),(575,1835,0.016044,3.6234),(575,1845,0.016181,3.6228),(575,1855,0.016319,3.6222),(575,1865,0.016458,3.6216),(575,1875,0.016597,3.6211),(575,1885,0.016736,3.6205),(575,1895,0.016877,3.6199),(575,1905,0.017018,3.6193),(575,1915,0.017159,3.6187),(575,1925,0.017301,3.6181),(575,1935,0.017445,3.6175),(575,1945,0.017588,3.6169),(575,1955,0.017731,3.6162),(575,1965,0.017876,3.6156),(575,1975,0.018021,3.615),(575,1985,0.018167,3.6143),(575,1995,0.018313,3.6137),(575,2005,0.018459,3.6131),(575,2015,0.018607,3.6124),(575,2025,0.018755,3.6117),(575,2035,0.018903,3.6111),(575,2045,0.019051,3.6104),(575,2055,0.019201,3.6097),(575,2065,0.019351,3.6091),(575,2075,0.019501,3.6084),(575,2085,0.019652,3.6077),(575,2095,0.019804,3.607),(575,2105,0.019956,3.6063),(575,2115,0.020108,3.6056),(575,2125,0.020262,3.6049),(575,2135,0.020416,3.6042),(575,2145,0.02057,3.6034),(575,2155,0.020724,3.6027),(575,2165,0.02088,3.602),(575,2175,0.021036,3.6013),(575,2185,0.021193,3.6005),(575,2195,0.021349,3.5998),(575,2205,0.021507,3.599),(575,2215,0.021665,3.5982),(575,2225,0.021824,3.5975),(575,2235,0.021982,3.5967),(575,2245,0.022142,3.5959),(575,2255,0.022303,3.5952),(575,2265,0.022463,3.5944),(575,2275,0.022624,3.5936),(575,2285,0.022786,3.5928),(575,2295,0.022949,3.592),(575,2305,0.023112,3.5912),(575,2315,0.023275,3.5903),(575,2325,0.023439,3.5895),(575,2335,0.023604,3.5887),(575,2345,0.023769,3.5879),(575,2355,0.023934,3.587),(575,2365,0.024101,3.5862),(575,2375,0.024268,3.5854),(575,2385,0.024436,3.5845),(575,2395,0.024603,3.5836),(575,2405,0.024773,3.5828),(575,2415,0.024942,3.5819),(575,2425,0.025112,3.581),(575,2435,0.025282,3.5802),(575,2445,0.025455,3.5793),(575,2455,0.025628,3.5784),(575,2465,0.0258,3.5775),(575,2475,0.025973,3.5766),(575,2485,0.026149,3.5757),(575,2495,0.026325,3.5748),(575,2505,0.0265,3.5739),(575,2515,0.026676,3.5729),(575,2525,0.026855,3.572),(575,2535,0.027034,3.5711),(575,2545,0.027213,3.5701),(575,2555,0.027392,3.5692),(575,2565,0.027575,3.5682),(575,2575,0.027758,3.5673),(575,2585,0.02794,3.5663),(575,2595,0.028123,3.5654),(575,2605,0.02831,3.5644),(575,2615,0.028497,3.5634),(575,2625,0.028684,3.5625),(575,2635,0.028872,3.5615),(575,2645,0.029064,3.5605),(575,2655,0.029256,3.5595),(575,2665,0.029448,3.5585),(575,2675,0.029641,3.5575),(575,2685,0.029839,3.5565),(575,2695,0.030036,3.5555),(575,2705,0.030234,3.5544),(575,2715,0.030433,3.5534),(575,2725,0.030637,3.5524),(575,2735,0.030841,3.5514),(575,2745,0.031045,3.5503),(575,2755,0.031251,3.5493),(575,2765,0.031463,3.5482),(575,2775,0.031675,3.5472),(575,2785,0.031886,3.5461),(575,2795,0.0321,3.5451),(575,2805,0.032321,3.544),(575,2815,0.032541,3.543),(575,2825,0.032762,3.5419),(575,2835,0.032985,3.5408),(575,2845,0.033216,3.5397),(575,2855,0.033446,3.5386),(575,2865,0.033677,3.5376),(575,2875,0.033912,3.5365),(575,2885,0.034154,3.5354),(575,2895,0.034396,3.5343),(575,2905,0.034639,3.5332),(575,2915,0.034887,3.5321),(575,2925,0.035143,3.531),(575,2935,0.035399,3.5299),(575,2945,0.035655,3.5288),(575,2955,0.035919,3.5276),(575,2965,0.036191,3.5265),(575,2975,0.036463,3.5254),(575,2985,0.036735,3.5243),(575,2995,0.037017,3.5232),(575,3005,0.037307,3.522),(575,3015,0.037598,3.5209),(575,3025,0.037888,3.5198),(575,3035,0.03819,3.5186),(575,3045,0.038502,3.5175),(575,3055,0.038814,3.5164),(575,3065,0.039126,3.5152),(575,3075,0.039452,3.5141),(575,3085,0.039788,3.513),(575,3095,0.040125,3.5118),(575,3105,0.040462,3.5107),(575,3115,0.040815,3.5096),(575,3125,0.04118,3.5084),(575,3135,0.041545,3.5073),(575,3145,0.041909,3.5062),(575,3155,0.042295,3.505),(575,3165,0.042692,3.5039),(575,3175,0.043089,3.5028),(575,3185,0.043486,3.5016),(575,3195,0.043908,3.5005),(575,3205,0.044341,3.4994),(575,3215,0.044775,3.4983),(575,3225,0.045209,3.4972),(575,3235,0.045672,3.4961),(575,3245,0.046147,3.495),(575,3255,0.046622,3.4939),(575,3265,0.047098,3.4928),(575,3275,0.047608,3.4917),(575,3285,0.04813,3.4906),(575,3295,0.048652,3.4896),(575,3305,0.049174,3.4885),(575,3315,0.049737,3.4874),(575,3325,0.050311,3.4864),(575,3335,0.050885,3.4854),(575,3345,0.051458,3.4844),(575,3355,0.052081,3.4833),(575,3365,0.052712,3.4823),(575,3375,0.053343,3.4814),(575,3385,0.053973,3.4804),(575,3395,0.05466,3.4794),(575,3405,0.055353,3.4785),(575,3415,0.056046,3.4776),(575,3425,0.05674,3.4767),(575,3435,0.057495,3.4758),(575,3445,0.058254,3.4749),(575,3455,0.059014,3.4741),(575,3465,0.059774,3.4733),(575,3475,0.060601,3.4725),(575,3485,0.061431,3.4718),(575,3495,0.06226,3.4711),(575,3505,0.06309,3.4704),(575,3515,0.063989,3.4697),(575,3525,0.064889,3.469),(575,3535,0.065788,3.4685),(575,3545,0.066691,3.4679),(575,3555,0.067657,3.4674),(575,3565,0.068624,3.4669),(575,3575,0.06959,3.4665),(575,3585,0.070562,3.4661),(575,3595,0.071587,3.4658),(575,3605,0.072612,3.4654),(575,3615,0.073637,3.4653),(575,3625,0.074668,3.4651),(575,3635,0.075735,3.4649),(575,3645,0.076802,3.4648),(575,3655,0.07787,3.4649),(575,3665,0.07894,3.465),(575,3675,0.080023,3.4651),(575,3685,0.081106,3.4652),(575,3695,0.082189,3.4656),(575,3705,0.083267,3.466),(575,3715,0.084325,3.4664),(575,3725,0.085383,3.4668),(575,3735,0.086442,3.4676),(575,3745,0.08748,3.4683),(575,3755,0.088456,3.469),(575,3765,0.089432,3.4698),(575,3775,0.090409,3.4709),(575,3785,0.09134,3.472),(575,3795,0.092159,3.4731),(575,3805,0.092977,3.4743),(575,3815,0.093795,3.4757),(575,3825,0.094533,3.4772),(575,3835,0.0951,3.4787),(575,3845,0.095668,3.4803),(575,3855,0.096236,3.4822),(575,3865,0.096675,3.484),(575,3875,0.096889,3.4859),(575,3885,0.097103,3.4879),(575,3895,0.097316,3.4901),(575,3905,0.11693,3.4923),(575,3915,0.16553,3.4945),(575,3925,0.21414,3.4984),(575,3935,0.26274,3.5047),(575,3945,0.30294,3.5109),(575,3955,0.33247,3.5171),(575,3965,0.362,3.5228),(575,3975,0.39154,3.5277),(575,3985,0.39744,3.5327),(575,3995,0.37776,3.5376),(575,4005,0.35809,3.5406),(575,4015,0.33842,3.5418),(575,4025,0.32034,3.543),(575,4035,0.30241,3.5434),(575,4045,0.28449,3.542),(575,4055,0.26856,3.5407),(575,4065,0.25337,3.5392),(575,4075,0.23817,3.5362),(575,4085,0.22461,3.5332),(575,4095,0.21237,3.5302),(575,4105,0.20013,3.5264),(575,4115,0.18281,3.5226),(575,4125,0.15708,3.5188),(575,4135,0.13136,3.5158),(575,4145,0.10729,3.513),(575,4155,0.089915,3.5102),(575,4165,0.072543,3.5086),(575,4175,0.056055,3.5077),(575,4185,0.083358,3.5069),(575,4195,0.11066,3.5054),(575,4205,0.13796,3.5029),(575,4215,0.13505,3.5005),(575,4225,0.12645,3.498),(575,4235,0.11785,3.4955),(575,4245,0.10642,3.493),(575,4255,0.093561,3.4905),(575,4265,0.080702,3.4887),(575,4275,0.065512,3.4869),(575,4285,0.047851,3.485),(575,4295,0.030189,3.4846),(575,4305,0.02615,3.4844),(575,4315,0.05287,3.4841),(575,4325,0.07959,3.4871),(575,4335,0.10472,3.4914),(575,4345,0.11909,3.4956),(575,4355,0.13347,3.4982),(575,4365,0.14784,3.4993),(575,4375,0.16067,3.5004),(575,4385,0.17342,3.5003),(575,4395,0.18617,3.498),(575,4405,0.16878,3.4956),(575,4415,0.1425,3.4933),(575,4425,0.11621,3.491),(575,4435,0.10066,3.4887),(575,4445,0.092432,3.4863),(575,4455,0.084205,3.487),(575,4465,0.097976,3.4876),(575,4475,0.14265,3.4882),(575,4485,0.18733,3.4863),(575,4495,0.22335,3.4839),(575,4505,0.2316,3.4816),(575,4515,0.23985,3.4762),(575,4525,0.24754,3.4691),(575,4535,0.24626,3.4621),(575,4545,0.24498,3.4535),(575,4555,0.2437,3.4432),(575,4565,0.1771,3.4329),(575,4575,0.1017,3.4256),(575,4585,0.0263,3.4255),(575,4595,0.01217,3.4255),(575,4605,0.023928,3.4252),(575,4615,0.035686,3.4236),(575,4625,0.052362,3.4219),(575,4635,0.073492,3.4203),(575,4645,0.094622,3.4135),(575,4655,0.11819,3.4063),(575,4665,0.14635,3.3991),(575,4675,0.17451,3.3862),(575,4685,0.19155,3.3714),(575,4695,0.15357,3.3565),(575,4705,0.1156,3.3471),(575,4715,0.07763,3.3416),(575,4725,0.085633,3.3361),(575,4735,0.094096,3.3314),(575,4745,0.10256,3.3277),(575,4755,0.13222,3.3241),(575,4765,0.16679,3.3186),(575,4775,0.20136,3.3067),(575,4785,0.22594,3.2949),(575,4795,0.24474,3.2828),(575,4805,0.26354,3.2644),(575,4815,0.26573,3.246),(575,4825,0.24804,3.2276),(575,4835,0.23035,3.2117),(575,4845,0.20405,3.1963),(575,4855,0.15527,3.1809),(575,4865,0.1065,3.176),(575,4875,0.069405,3.1758),(575,4885,0.13857,3.1756),(575,4895,0.20773,3.1729),(575,4905,0.27689,3.1677),(575,4915,0.27891,3.1626),(575,4925,0.27514,3.1562),(575,4935,0.27138,3.1473),(575,4945,0.24907,3.1385),(575,4955,0.22034,3.1297),(575,4965,0.1916,3.1218),(575,4975,0.14899,3.1139),(575,4985,0.095677,3.106),(575,4995,0.042362,3.1053),(575,5005,0.015154,3.1047),(575,5015,0.02945,3.1042),(575,5025,0.043745,3.0929),(575,5035,0.060705,3.079),(575,5045,0.087819,3.0651),(575,5055,0.11493,3.0441),(575,5065,0.14206,3.0186),(575,5075,0.16969,2.9932),(575,5085,0.19733,2.9642),(575,5095,0.22496,2.9309),(575,5105,0.21346,2.8976),(575,5115,0.19513,2.8676),(575,5125,0.17681,2.8473),(575,5135,0.16352,2.8271),(575,5145,0.15269,2.8082),(575,5155,0.14185,2.805),(575,5165,0.18352,2.8018),(575,5175,0.27875,2.7986),(575,5185,0.37397,2.7857),(575,5195,0.44841,2.7717),(575,5205,0.47806,2.7577),(575,5215,0.50771,2.7395),(575,5225,0.53448,2.7197),(575,5235,0.54338,2.6999),(575,5245,0.55228,2.6788),(575,5255,0.56118,2.6568),(575,5265,0.39178,2.6348),(575,5275,0.21504,2.6209),(575,5285,0.038288,2.6209),(575,5295,0.021651,2.6209),(575,5305,0.049602,2.6192),(575,5315,0.077553,2.6104),(575,5325,0.11929,2.6016),(575,5335,0.17007,2.5926),(575,5345,0.22084,2.5721),(575,5355,0.27204,2.5515),(575,5365,0.32379,2.531),(575,5375,0.37555,2.5031),(575,5385,0.39314,2.4737),(575,5395,0.30686,2.4444),(575,5405,0.22059,2.4287),(575,5415,0.14461,2.42),(575,5425,0.20692,2.4114),(575,5435,0.26923,2.4097),(575,5445,0.33154,2.4155),(575,5455,0.38911,2.4213),(575,5465,0.4461,2.4268),(575,5475,0.50309,2.4319),(575,5485,0.51548,2.437),(575,5495,0.50991,2.4415),(575,5505,0.50434,2.442),(575,5515,0.49915,2.4426),(575,5525,0.49428,2.4432),(575,5535,0.48942,2.4401),(575,5545,0.48488,2.4367),(575,5555,0.48094,2.4334),(575,5565,0.47701,2.4271),(575,5575,0.47336,2.42),(575,5585,0.47106,2.4128),(575,5595,0.46876,2.4036),(575,5605,0.46646,2.393),(575,5615,0.46634,2.3825),(575,5625,0.46621,2.3705),(575,5635,0.46609,2.3567),(575,5645,0.46799,2.3428),(575,5655,0.47033,2.3282),(575,5665,0.47267,2.3112),(575,5675,0.47669,2.2942),(575,5685,0.48164,2.277),(575,5695,0.48659,2.257),(575,5705,0.49276,2.2369),(575,5715,0.50034,2.2169),(575,5725,0.50791,2.194),(575,5735,0.51621,2.1707),(575,5745,0.52629,2.1474),(575,5755,0.53637,2.1218),(575,5765,0.5467,2.0952),(575,5775,0.5591,2.0686),(575,5785,0.5715,2.0402),(575,5795,0.5839,2.0101),(575,5805,0.59811,1.98),(575,5815,0.61246,1.9487),(575,5825,0.62681,1.9152),(575,5835,0.64261,1.8817),(575,5845,0.65888,1.8476),(575,5855,0.67516,1.8106),(575,5865,0.6924,1.7735),(575,5875,0.71036,1.7365),(575,5885,0.72833,1.6961),(575,5895,0.74695,1.6556),(575,5905,0.7666,1.6151),(575,5915,0.78624,1.5725),(575,5925,0.80613,1.5294),(575,5935,0.82695,1.4862),(575,5945,0.84776,1.4411),(575,5955,0.86859,1.3947),(575,5965,0.88998,1.3483),(575,5975,0.91136,1.3009),(575,5985,0.93275,1.2523),(575,5995,0.71627,1.2037),(575,6005,0.46152,1.1665),(575,6015,0.20676,1.1601),(575,6025,0.18598,1.1536),(575,6035,0.27371,1.1465),(575,6045,0.36145,1.1343),(575,6055,0.42691,1.1221),(575,6065,0.47054,1.1098),(575,6075,0.51417,1.0933),(575,6085,0.54414,1.0763),(575,6095,0.54596,1.0594),(575,6105,0.54778,1.0423),(575,6115,0.54954,1.0252),(575,6125,0.55091,1.0081),(575,6135,0.55229,0.99063),(575,6145,0.55366,0.97293),(575,6155,0.55472,0.95522),(575,6165,0.55576,0.93717),(575,6175,0.55681,0.91853),(575,6185,0.55764,0.8999),(575,6195,0.55841,0.88121),(575,6205,0.55918,0.8623),(575,6215,0.55984,0.84338),(575,6225,0.56043,0.82445),(575,6235,0.56101,0.80482),(575,6245,0.56154,0.78518),(575,6255,0.56197,0.76555),(575,6265,0.56241,0.74561),(575,6275,0.56281,0.72562),(575,6285,0.56313,0.70563),(575,6295,0.56345,0.68526),(575,6305,0.56376,0.6647),(575,6315,0.56399,0.64413),(575,6325,0.56421,0.62347),(575,6335,0.56444,0.6027),(575,6345,0.56459,0.58194),(575,6355,0.56474,0.561),(575,6365,0.56488,0.53967),(575,6375,0.565,0.51834),(575,6385,0.56511,0.49701),(575,6395,0.56522,0.47562),(575,6405,0.5653,0.45424),(575,6415,0.56536,0.43285),(575,6425,0.56543,0.41097),(575,6435,0.56551,0.38907),(575,6445,0.56561,0.36717),(575,6455,0.56572,0.34539),(575,6465,0.56583,0.32364),(575,6475,0.56594,0.3019),(575,6485,0.56606,0.27985),(575,6495,0.56617,0.2576),(575,6505,0.56623,0.23536),(575,6515,0.56628,0.21306),(575,6525,0.56634,0.19068),(575,6535,0.56643,0.1683),(575,6545,0.56652,0.14596),(575,6555,0.56661,0.12374),(575,6565,0.56671,0.10153),(575,6575,0.5668,0.07929),(575,6585,0.56689,0.056785),(575,6595,0.48219,0.03428),(575,6605,0.30385,0.011775),(575,6615,0.12551,0.009284),(575,6625,0.000147,0.009363),(575,6635,0.000148,0.009443),(575,6645,0.000149,0.009462),(575,6655,0.00015,0.009456),(575,6665,0.000151,0.00945),(575,6675,0.000152,0.009444),(575,6685,0.000153,0.009438),(575,6695,0.000154,0.009432),(575,6705,0.000156,0.009426),(575,6715,0.000157,0.009419),(575,6725,0.000158,0.009413),(575,6735,0.000159,0.009407),(575,6745,0.00016,0.0094),(575,6755,0.000161,0.009394),(575,6765,0.000162,0.009388),(575,6775,0.000163,0.009382),(575,6785,0.000165,0.009375),(575,6795,0.000166,0.009369),(575,6805,0.000167,0.009362),(575,6815,0.000168,0.009356),(575,6825,0.000169,0.009349),(575,6835,0.00017,0.009343),(575,6845,0.000171,0.009336),(575,6855,0.000172,0.00933),(575,6865,0.000173,0.009323),(575,6875,0.000174,0.009316),(575,6885,0.000175,0.00931),(575,6895,0.000176,0.009303),(575,6905,0.000177,0.009296),(575,6915,0.000178,0.00929),(575,6925,0.000179,0.009283),(575,6935,0.00018,0.009277),(575,6945,0.000181,0.00927),(575,6955,0.000182,0.009263),(575,6965,0.000183,0.009257),(575,6975,0.000184,0.00925),(575,6985,0.000184,0.009243),(585,5,3e-05,3.6664),(585,15,8.9e-05,3.6664),(585,25,0.000148,3.6664),(585,35,0.000207,3.6664),(585,45,0.000266,3.6664),(585,55,0.000325,3.6664),(585,65,0.000385,3.6664),(585,75,0.000444,3.6664),(585,85,0.000503,3.6664),(585,95,0.000563,3.6663),(585,105,0.000622,3.6663),(585,115,0.000682,3.6663),(585,125,0.000741,3.6663),(585,135,0.000801,3.6662),(585,145,0.000861,3.6662),(585,155,0.000921,3.6662),(585,165,0.000981,3.6662),(585,175,0.00104,3.6661),(585,185,0.001101,3.6661),(585,195,0.001161,3.666),(585,205,0.001221,3.666),(585,215,0.001281,3.666),(585,225,0.001342,3.6659),(585,235,0.001403,3.6659),(585,245,0.001463,3.6658),(585,255,0.001524,3.6658),(585,265,0.001585,3.6657),(585,275,0.001647,3.6657),(585,285,0.001708,3.6656),(585,295,0.001769,3.6655),(585,305,0.001831,3.6655),(585,315,0.001893,3.6654),(585,325,0.001955,3.6654),(585,335,0.002017,3.6653),(585,345,0.00208,3.6652),(585,355,0.002143,3.6652),(585,365,0.002206,3.6651),(585,375,0.002269,3.665),(585,385,0.002332,3.6649),(585,395,0.002396,3.6649),(585,405,0.00246,3.6648),(585,415,0.002524,3.6647),(585,425,0.002588,3.6646),(585,435,0.002653,3.6645),(585,445,0.002717,3.6644),(585,455,0.002782,3.6643),(585,465,0.002848,3.6642),(585,475,0.002913,3.6641),(585,485,0.002979,3.664),(585,495,0.003045,3.6639),(585,505,0.003112,3.6638),(585,515,0.003179,3.6637),(585,525,0.003246,3.6636),(585,535,0.003312,3.6635),(585,545,0.003381,3.6634),(585,555,0.003449,3.6633),(585,565,0.003517,3.6632),(585,575,0.003585,3.663),(585,585,0.003655,3.6629),(585,595,0.003724,3.6628),(585,605,0.003793,3.6627),(585,615,0.003863,3.6625),(585,625,0.003934,3.6624),(585,635,0.004005,3.6623),(585,645,0.004076,3.6621),(585,655,0.004147,3.662),(585,665,0.004219,3.6618),(585,675,0.004292,3.6617),(585,685,0.004364,3.6616),(585,695,0.004437,3.6614),(585,705,0.00451,3.6613),(585,715,0.004584,3.6611),(585,725,0.004658,3.6609),(585,735,0.004732,3.6608),(585,745,0.004808,3.6606),(585,755,0.004883,3.6605),(585,765,0.004959,3.6603),(585,775,0.005034,3.6601),(585,785,0.005112,3.66),(585,795,0.005189,3.6598),(585,805,0.005266,3.6596),(585,815,0.005344,3.6594),(585,825,0.005423,3.6592),(585,835,0.005502,3.6591),(585,845,0.005581,3.6589),(585,855,0.00566,3.6587),(585,865,0.005742,3.6585),(585,875,0.005822,3.6583),(585,885,0.005903,3.6581),(585,895,0.005985,3.6579),(585,905,0.006068,3.6577),(585,915,0.006151,3.6575),(585,925,0.006234,3.6573),(585,935,0.006317,3.6571),(585,945,0.006402,3.6568),(585,955,0.006487,3.6566),(585,965,0.006572,3.6564),(585,975,0.006658,3.6562),(585,985,0.006745,3.6559),(585,995,0.006832,3.6557),(585,1005,0.006919,3.6555),(585,1015,0.007007,3.6552),(585,1025,0.007096,3.655),(585,1035,0.007185,3.6548),(585,1045,0.007274,3.6545),(585,1055,0.007365,3.6543),(585,1065,0.007456,3.654),(585,1075,0.007548,3.6538),(585,1085,0.007639,3.6535),(585,1095,0.007732,3.6532),(585,1105,0.007825,3.653),(585,1115,0.007919,3.6527),(585,1125,0.008013,3.6524),(585,1135,0.008108,3.6522),(585,1145,0.008204,3.6519),(585,1155,0.008299,3.6516),(585,1165,0.008395,3.6513),(585,1175,0.008493,3.651),(585,1185,0.008591,3.6507),(585,1195,0.008689,3.6505),(585,1205,0.008788,3.6502),(585,1215,0.008888,3.6499),(585,1225,0.008988,3.6496),(585,1235,0.009089,3.6492),(585,1245,0.00919,3.6489),(585,1255,0.009292,3.6486),(585,1265,0.009395,3.6483),(585,1275,0.009498,3.648),(585,1285,0.009602,3.6476),(585,1295,0.009707,3.6473),(585,1305,0.009812,3.647),(585,1315,0.009918,3.6467),(585,1325,0.010024,3.6463),(585,1335,0.010131,3.646),(585,1345,0.01024,3.6456),(585,1355,0.010348,3.6453),(585,1365,0.010456,3.6449),(585,1375,0.010567,3.6446),(585,1385,0.010677,3.6442),(585,1395,0.010788,3.6438),(585,1405,0.010899,3.6434),(585,1415,0.011012,3.6431),(585,1425,0.011126,3.6427),(585,1435,0.011239,3.6423),(585,1445,0.011352,3.6419),(585,1455,0.011468,3.6415),(585,1465,0.011584,3.6411),(585,1475,0.0117,3.6407),(585,1485,0.011816,3.6403),(585,1495,0.011934,3.6399),(585,1505,0.012052,3.6395),(585,1515,0.012171,3.6391),(585,1525,0.012289,3.6387),(585,1535,0.01241,3.6383),(585,1545,0.012531,3.6378),(585,1555,0.012652,3.6374),(585,1565,0.012774,3.637),(585,1575,0.012897,3.6365),(585,1585,0.013021,3.6361),(585,1595,0.013145,3.6356),(585,1605,0.013268,3.6352),(585,1615,0.013395,3.6347),(585,1625,0.013521,3.6343),(585,1635,0.013647,3.6338),(585,1645,0.013774,3.6333),(585,1655,0.013902,3.6328),(585,1665,0.014031,3.6324),(585,1675,0.01416,3.6319),(585,1685,0.014289,3.6314),(585,1695,0.014421,3.6309),(585,1705,0.014552,3.6304),(585,1715,0.014683,3.6299),(585,1725,0.014815,3.6294),(585,1735,0.014949,3.6289),(585,1745,0.015083,3.6284),(585,1755,0.015217,3.6278),(585,1765,0.015352,3.6273),(585,1775,0.015488,3.6268),(585,1785,0.015625,3.6263),(585,1795,0.015761,3.6257),(585,1805,0.015898,3.6252),(585,1815,0.016037,3.6246),(585,1825,0.016176,3.6241),(585,1835,0.016314,3.6235),(585,1845,0.016454,3.6229),(585,1855,0.016595,3.6224),(585,1865,0.016736,3.6218),(585,1875,0.016877,3.6212),(585,1885,0.017019,3.6206),(585,1895,0.017162,3.62),(585,1905,0.017306,3.6194),(585,1915,0.017449,3.6188),(585,1925,0.017594,3.6182),(585,1935,0.01774,3.6176),(585,1945,0.017885,3.617),(585,1955,0.018031,3.6164),(585,1965,0.018178,3.6158),(585,1975,0.018326,3.6151),(585,1985,0.018475,3.6145),(585,1995,0.018623,3.6138),(585,2005,0.018772,3.6132),(585,2015,0.018922,3.6126),(585,2025,0.019073,3.6119),(585,2035,0.019223,3.6112),(585,2045,0.019375,3.6106),(585,2055,0.019527,3.6099),(585,2065,0.019679,3.6092),(585,2075,0.019832,3.6085),(585,2085,0.019986,3.6078),(585,2095,0.02014,3.6072),(585,2105,0.020295,3.6065),(585,2115,0.020449,3.6057),(585,2125,0.020605,3.605),(585,2135,0.020762,3.6043),(585,2145,0.020919,3.6036),(585,2155,0.021076,3.6029),(585,2165,0.021234,3.6021),(585,2175,0.021393,3.6014),(585,2185,0.021552,3.6007),(585,2195,0.021711,3.5999),(585,2205,0.021871,3.5992),(585,2215,0.022032,3.5984),(585,2225,0.022193,3.5976),(585,2235,0.022354,3.5969),(585,2245,0.022517,3.5961),(585,2255,0.02268,3.5953),(585,2265,0.022843,3.5945),(585,2275,0.023007,3.5937),(585,2285,0.023172,3.5929),(585,2295,0.023337,3.5921),(585,2305,0.023502,3.5913),(585,2315,0.023668,3.5905),(585,2325,0.023835,3.5897),(585,2335,0.024002,3.5889),(585,2345,0.02417,3.588),(585,2355,0.024338,3.5872),(585,2365,0.024507,3.5864),(585,2375,0.024677,3.5855),(585,2385,0.024847,3.5847),(585,2395,0.025017,3.5838),(585,2405,0.025189,3.583),(585,2415,0.025361,3.5821),(585,2425,0.025534,3.5812),(585,2435,0.025706,3.5803),(585,2445,0.025881,3.5795),(585,2455,0.026056,3.5786),(585,2465,0.026232,3.5777),(585,2475,0.026407,3.5768),(585,2485,0.026585,3.5759),(585,2495,0.026763,3.575),(585,2505,0.026941,3.574),(585,2515,0.02712,3.5731),(585,2525,0.027301,3.5722),(585,2535,0.027482,3.5713),(585,2545,0.027664,3.5703),(585,2555,0.027845,3.5694),(585,2565,0.02803,3.5684),(585,2575,0.028215,3.5675),(585,2585,0.0284,3.5665),(585,2595,0.028585,3.5656),(585,2605,0.028774,3.5646),(585,2615,0.028964,3.5636),(585,2625,0.029153,3.5626),(585,2635,0.029343,3.5617),(585,2645,0.029537,3.5607),(585,2655,0.029731,3.5597),(585,2665,0.029925,3.5587),(585,2675,0.03012,3.5577),(585,2685,0.030319,3.5567),(585,2695,0.030519,3.5557),(585,2705,0.030718,3.5546),(585,2715,0.030919,3.5536),(585,2725,0.031125,3.5526),(585,2735,0.031331,3.5516),(585,2745,0.031536,3.5505),(585,2755,0.031744,3.5495),(585,2765,0.031957,3.5485),(585,2775,0.03217,3.5474),(585,2785,0.032384,3.5464),(585,2795,0.032599,3.5453),(585,2805,0.032821,3.5442),(585,2815,0.033042,3.5432),(585,2825,0.033264,3.5421),(585,2835,0.033489,3.541),(585,2845,0.03372,3.54),(585,2855,0.033952,3.5389),(585,2865,0.034183,3.5378),(585,2875,0.034419,3.5367),(585,2885,0.034662,3.5356),(585,2895,0.034905,3.5345),(585,2905,0.035148,3.5334),(585,2915,0.035396,3.5323),(585,2925,0.035653,3.5312),(585,2935,0.035909,3.5301),(585,2945,0.036165,3.529),(585,2955,0.036429,3.5279),(585,2965,0.036701,3.5268),(585,2975,0.036972,3.5257),(585,2985,0.037244,3.5246),(585,2995,0.037525,3.5234),(585,3005,0.037815,3.5223),(585,3015,0.038104,3.5212),(585,3025,0.038394,3.5201),(585,3035,0.038695,3.5189),(585,3045,0.039005,3.5178),(585,3055,0.039315,3.5167),(585,3065,0.039625,3.5156),(585,3075,0.039949,3.5144),(585,3085,0.040283,3.5133),(585,3095,0.040617,3.5122),(585,3105,0.040951,3.511),(585,3115,0.041302,3.5099),(585,3125,0.041663,3.5088),(585,3135,0.042024,3.5077),(585,3145,0.042386,3.5065),(585,3155,0.042767,3.5054),(585,3165,0.043159,3.5043),(585,3175,0.043551,3.5032),(585,3185,0.043943,3.5021),(585,3195,0.044359,3.5009),(585,3205,0.044787,3.4998),(585,3215,0.045214,3.4987),(585,3225,0.045641,3.4976),(585,3235,0.046097,3.4965),(585,3245,0.046564,3.4954),(585,3255,0.047031,3.4943),(585,3265,0.047498,3.4933),(585,3275,0.047999,3.4922),(585,3285,0.04851,3.4911),(585,3295,0.049021,3.4901),(585,3305,0.049533,3.489),(585,3315,0.050084,3.488),(585,3325,0.050644,3.4869),(585,3335,0.051205,3.4859),(585,3345,0.051765,3.4849),(585,3355,0.052372,3.4839),(585,3365,0.052986,3.4829),(585,3375,0.053601,3.482),(585,3385,0.054215,3.481),(585,3395,0.054881,3.4801),(585,3405,0.055554,3.4792),(585,3415,0.056227,3.4783),(585,3425,0.0569,3.4774),(585,3435,0.05763,3.4765),(585,3445,0.058364,3.4757),(585,3455,0.059099,3.4749),(585,3465,0.059834,3.4741),(585,3475,0.06063,3.4733),(585,3485,0.061428,3.4725),(585,3495,0.062227,3.4719),(585,3505,0.063025,3.4712),(585,3515,0.063887,3.4705),(585,3525,0.064748,3.4699),(585,3535,0.06561,3.4694),(585,3545,0.066474,3.4688),(585,3555,0.067395,3.4683),(585,3565,0.068315,3.4678),(585,3575,0.069236,3.4674),(585,3585,0.070161,3.4671),(585,3595,0.071131,3.4667),(585,3605,0.072101,3.4664),(585,3615,0.073071,3.4662),(585,3625,0.074045,3.4661),(585,3635,0.075047,3.4659),(585,3645,0.07605,3.4658),(585,3655,0.077052,3.4659),(585,3665,0.078055,3.466),(585,3675,0.079062,3.4661),(585,3685,0.08007,3.4662),(585,3695,0.081077,3.4666),(585,3705,0.082077,3.467),(585,3715,0.083049,3.4674),(585,3725,0.084021,3.4678),(585,3735,0.084993,3.4685),(585,3745,0.085944,3.4692),(585,3755,0.086825,3.4699),(585,3765,0.087707,3.4707),(585,3775,0.088589,3.4717),(585,3785,0.089425,3.4728),(585,3795,0.090144,3.4738),(585,3805,0.090863,3.475),(585,3815,0.091583,3.4764),(585,3825,0.092222,3.4778),(585,3835,0.092693,3.4792),(585,3845,0.093164,3.4807),(585,3855,0.093635,3.4825),(585,3865,0.093982,3.4843),(585,3875,0.09411,3.4861),(585,3885,0.094238,3.488),(585,3895,0.094366,3.4901),(585,3905,0.11338,3.4922),(585,3915,0.16061,3.4943),(585,3925,0.20785,3.498),(585,3935,0.25508,3.504),(585,3945,0.29453,3.51),(585,3955,0.32409,3.5161),(585,3965,0.35366,3.5215),(585,3975,0.38323,3.5263),(585,3985,0.38969,3.5311),(585,3995,0.37113,3.5359),(585,4005,0.35257,3.5389),(585,4015,0.33401,3.54),(585,4025,0.3168,3.5411),(585,4035,0.29971,3.5415),(585,4045,0.28262,3.5401),(585,4055,0.26734,3.5388),(585,4065,0.25271,3.5372),(585,4075,0.23809,3.5342),(585,4085,0.22495,3.5311),(585,4095,0.21301,3.5281),(585,4105,0.20107,3.5243),(585,4115,0.18393,3.5205),(585,4125,0.15817,3.5167),(585,4135,0.13241,3.5137),(585,4145,0.10825,3.511),(585,4155,0.090548,3.5082),(585,4165,0.072846,3.5066),(585,4175,0.056035,3.5058),(585,4185,0.083402,3.5049),(585,4195,0.11077,3.5034),(585,4205,0.13814,3.5009),(585,4215,0.13537,3.4984),(585,4225,0.12694,3.4958),(585,4235,0.1185,3.4933),(585,4245,0.10712,3.4907),(585,4255,0.094252,3.4882),(585,4265,0.081382,3.4864),(585,4275,0.066083,3.4846),(585,4285,0.048207,3.4827),(585,4295,0.030331,3.4823),(585,4305,0.025555,3.482),(585,4315,0.05036,3.4818),(585,4325,0.075165,3.4842),(585,4335,0.098743,3.4877),(585,4345,0.11402,3.4913),(585,4355,0.1293,3.4933),(585,4365,0.14457,3.494),(585,4375,0.15847,3.4947),(585,4385,0.17229,3.4944),(585,4395,0.18612,3.4922),(585,4405,0.16928,3.4901),(585,4415,0.1434,3.488),(585,4425,0.11751,3.486),(585,4435,0.10155,3.4841),(585,4445,0.092359,3.4822),(585,4455,0.083171,3.4826),(585,4465,0.096531,3.483),(585,4475,0.14157,3.4834),(585,4485,0.1866,3.4813),(585,4495,0.22322,3.4787),(585,4505,0.23282,3.4761),(585,4515,0.24241,3.4708),(585,4525,0.25143,3.4639),(585,4535,0.25118,3.457),(585,4545,0.25094,3.4488),(585,4555,0.25069,3.439),(585,4565,0.18224,3.4292),(585,4575,0.10458,3.4222),(585,4585,0.02693,3.422),(585,4595,0.012242,3.4219),(585,4605,0.024157,3.4215),(585,4615,0.036072,3.4197),(585,4625,0.053484,3.4178),(585,4635,0.075876,3.4159),(585,4645,0.098267,3.4091),(585,4655,0.12332,3.4018),(585,4665,0.15339,3.3946),(585,4675,0.18346,3.3821),(585,4685,0.20173,3.3678),(585,4695,0.16169,3.3535),(585,4705,0.12165,3.3444),(585,4715,0.081614,3.3392),(585,4725,0.088581,3.334),(585,4735,0.096019,3.3292),(585,4745,0.10346,3.3251),(585,4755,0.13436,3.321),(585,4765,0.17071,3.3151),(585,4775,0.20705,3.3031),(585,4785,0.23341,3.2911),(585,4795,0.25401,3.2788),(585,4805,0.2746,3.2607),(585,4815,0.27758,3.2427),(585,4825,0.2595,3.2246),(585,4835,0.24141,3.2093),(585,4845,0.21378,3.1945),(585,4855,0.16124,3.1796),(585,4865,0.1087,3.1747),(585,4875,0.068233,3.1742),(585,4885,0.13755,3.1738),(585,4895,0.20686,3.1707),(585,4905,0.27617,3.165),(585,4915,0.27937,3.1593),(585,4925,0.27688,3.1526),(585,4935,0.27439,3.1437),(585,4945,0.25262,3.1348),(585,4955,0.22418,3.1261),(585,4965,0.19573,3.1184),(585,4975,0.15255,3.1107),(585,4985,0.097996,3.103),(585,4995,0.04344,3.1023),(585,5005,0.016451,3.1017),(585,5015,0.033288,3.1012),(585,5025,0.050124,3.0897),(585,5035,0.069662,3.0754),(585,5045,0.099492,3.061),(585,5055,0.12932,3.0398),(585,5065,0.15915,3.0143),(585,5075,0.18888,2.9889),(585,5085,0.21861,2.9602),(585,5095,0.24834,2.9275),(585,5105,0.23476,2.8948),(585,5115,0.21362,2.8655),(585,5125,0.19249,2.8459),(585,5135,0.17516,2.8262),(585,5145,0.15967,2.8079),(585,5155,0.14419,2.8044),(585,5165,0.18418,2.8009),(585,5175,0.28074,2.7974),(585,5185,0.37731,2.784),(585,5195,0.45313,2.7697),(585,5205,0.48422,2.7553),(585,5215,0.5153,2.7371),(585,5225,0.54342,2.7173),(585,5235,0.55307,2.6976),(585,5245,0.56273,2.6768),(585,5255,0.57238,2.6552),(585,5265,0.39962,2.6336),(585,5275,0.21934,2.6201),(585,5285,0.03906,2.62),(585,5295,0.022758,2.62),(585,5305,0.052121,2.6183),(585,5315,0.081484,2.6092),(585,5325,0.12518,2.6002),(585,5335,0.17827,2.591),(585,5345,0.23136,2.5704),(585,5355,0.28469,2.5498),(585,5365,0.33832,2.5292),(585,5375,0.39195,2.5016),(585,5385,0.40998,2.4726),(585,5395,0.31975,2.4436),(585,5405,0.22952,2.4281),(585,5415,0.14955,2.4196),(585,5425,0.20735,2.4112),(585,5435,0.26515,2.4093),(585,5445,0.32295,2.4146),(585,5455,0.37955,2.4199),(585,5465,0.436,2.425),(585,5475,0.49245,2.4295),(585,5485,0.50556,2.434),(585,5495,0.50122,2.438),(585,5505,0.49687,2.4383),(585,5515,0.49286,2.4386),(585,5525,0.48915,2.4388),(585,5535,0.48544,2.4355),(585,5545,0.482,2.4319),(585,5555,0.47908,2.4284),(585,5565,0.47615,2.422),(585,5575,0.47349,2.4147),(585,5585,0.47206,2.4074),(585,5595,0.47063,2.3981),(585,5605,0.4692,2.3875),(585,5615,0.46986,2.3768),(585,5625,0.47051,2.3648),(585,5635,0.47117,2.3509),(585,5645,0.47379,2.3369),(585,5655,0.47683,2.3222),(585,5665,0.47987,2.3051),(585,5675,0.48458,2.2881),(585,5685,0.49021,2.2708),(585,5695,0.49585,2.2507),(585,5705,0.5027,2.2306),(585,5715,0.51096,2.2105),(585,5725,0.51922,2.1875),(585,5735,0.5282,2.1641),(585,5745,0.53898,2.1407),(585,5755,0.54976,2.115),(585,5765,0.5608,2.0884),(585,5775,0.57393,2.0618),(585,5785,0.58706,2.0334),(585,5795,0.60019,2.0032),(585,5805,0.61515,1.9731),(585,5815,0.63025,1.9418),(585,5825,0.64535,1.9084),(585,5835,0.6619,1.875),(585,5845,0.67892,1.8409),(585,5855,0.69595,1.8041),(585,5865,0.71392,1.7672),(585,5875,0.73258,1.7303),(585,5885,0.75125,1.6901),(585,5895,0.77055,1.6499),(585,5905,0.79083,1.6098),(585,5915,0.81111,1.5675),(585,5925,0.83162,1.5248),(585,5935,0.85298,1.4821),(585,5945,0.87434,1.4374),(585,5955,0.89572,1.3915),(585,5965,0.91757,1.3457),(585,5975,0.93941,1.2989),(585,5985,0.96125,1.2509),(585,5995,0.73813,1.2029),(585,6005,0.47559,1.1663),(585,6015,0.21305,1.1599),(585,6025,0.19005,1.1534),(585,6035,0.27814,1.1465),(585,6045,0.36623,1.1341),(585,6055,0.43218,1.1218),(585,6065,0.47641,1.1095),(585,6075,0.52064,1.0928),(585,6085,0.55107,1.0758),(585,6095,0.55304,1.0587),(585,6105,0.55502,1.0415),(585,6115,0.55692,1.0243),(585,6125,0.55844,1.0071),(585,6135,0.55995,0.98956),(585,6145,0.56147,0.97179),(585,6155,0.56268,0.95402),(585,6165,0.56387,0.93591),(585,6175,0.56507,0.91723),(585,6185,0.56605,0.89855),(585,6195,0.56698,0.87982),(585,6205,0.5679,0.86088),(585,6215,0.5687,0.84195),(585,6225,0.56942,0.82299),(585,6235,0.57014,0.80336),(585,6245,0.57079,0.78373),(585,6255,0.57137,0.7641),(585,6265,0.57194,0.74417),(585,6275,0.57248,0.72419),(585,6285,0.57292,0.70421),(585,6295,0.57336,0.68385),(585,6305,0.57379,0.66331),(585,6315,0.57413,0.64277),(585,6325,0.57447,0.62213),(585,6335,0.57481,0.60138),(585,6345,0.57505,0.58063),(585,6355,0.57528,0.55972),(585,6365,0.57551,0.53844),(585,6375,0.57572,0.51715),(585,6385,0.57591,0.49586),(585,6395,0.57609,0.47451),(585,6405,0.57624,0.45315),(585,6415,0.57636,0.4318),(585,6425,0.57647,0.40999),(585,6435,0.57661,0.38816),(585,6445,0.57676,0.36633),(585,6455,0.57692,0.34461),(585,6465,0.57707,0.32292),(585,6475,0.57722,0.30123),(585,6485,0.57736,0.27923),(585,6495,0.5775,0.25702),(585,6505,0.57758,0.23481),(585,6515,0.57767,0.21256),(585,6525,0.57775,0.19026),(585,6535,0.57786,0.16795),(585,6545,0.57797,0.14568),(585,6555,0.57809,0.12353),(585,6565,0.5782,0.10138),(585,6575,0.57831,0.079205),(585,6585,0.57842,0.056753),(585,6595,0.492,0.034301),(585,6605,0.31003,0.01185),(585,6615,0.12807,0.009342),(585,6625,0.00015,0.009397),(585,6635,0.000151,0.009452),(585,6645,0.000152,0.009463),(585,6655,0.000153,0.009458),(585,6665,0.000154,0.009451),(585,6675,0.000155,0.009445),(585,6685,0.000156,0.009439),(585,6695,0.000158,0.009433),(585,6705,0.000159,0.009427),(585,6715,0.00016,0.009421),(585,6725,0.000161,0.009414),(585,6735,0.000162,0.009408),(585,6745,0.000163,0.009402),(585,6755,0.000164,0.009395),(585,6765,0.000166,0.009389),(585,6775,0.000167,0.009383),(585,6785,0.000168,0.009376),(585,6795,0.000169,0.00937),(585,6805,0.00017,0.009363),(585,6815,0.000171,0.009357),(585,6825,0.000172,0.00935),(585,6835,0.000173,0.009344),(585,6845,0.000174,0.009337),(585,6855,0.000175,0.009331),(585,6865,0.000176,0.009324),(585,6875,0.000177,0.009317),(585,6885,0.000178,0.009311),(585,6895,0.000179,0.009304),(585,6905,0.00018,0.009298),(585,6915,0.000181,0.009291),(585,6925,0.000182,0.009284),(585,6935,0.000183,0.009278),(585,6945,0.000184,0.009271),(585,6955,0.000185,0.009264),(585,6965,0.000186,0.009257),(585,6975,0.000187,0.009251),(585,6985,0.000188,0.009244),(595,5,3e-05,3.6665),(595,15,9e-05,3.6665),(595,25,0.00015,3.6665),(595,35,0.00021,3.6665),(595,45,0.00027,3.6665),(595,55,0.00033,3.6665),(595,65,0.000391,3.6664),(595,75,0.000451,3.6664),(595,85,0.000511,3.6664),(595,95,0.000571,3.6664),(595,105,0.000632,3.6664),(595,115,0.000692,3.6664),(595,125,0.000753,3.6663),(595,135,0.000813,3.6663),(595,145,0.000874,3.6663),(595,155,0.000935,3.6662),(595,165,0.000996,3.6662),(595,175,0.001057,3.6662),(595,185,0.001118,3.6661),(595,195,0.001179,3.6661),(595,205,0.00124,3.6661),(595,215,0.001301,3.666),(595,225,0.001363,3.666),(595,235,0.001424,3.6659),(595,245,0.001486,3.6659),(595,255,0.001548,3.6658),(595,265,0.00161,3.6658),(595,275,0.001672,3.6657),(595,285,0.001735,3.6657),(595,295,0.001797,3.6656),(595,305,0.00186,3.6656),(595,315,0.001923,3.6655),(595,325,0.001986,3.6654),(595,335,0.002049,3.6654),(595,345,0.002113,3.6653),(595,355,0.002177,3.6652),(595,365,0.00224,3.6651),(595,375,0.002304,3.6651),(595,385,0.002369,3.665),(595,395,0.002433,3.6649),(595,405,0.002498,3.6648),(595,415,0.002563,3.6647),(595,425,0.002629,3.6647),(595,435,0.002694,3.6646),(595,445,0.00276,3.6645),(595,455,0.002826,3.6644),(595,465,0.002892,3.6643),(595,475,0.002959,3.6642),(595,485,0.003026,3.6641),(595,495,0.003093,3.664),(595,505,0.003161,3.6639),(595,515,0.003228,3.6638),(595,525,0.003296,3.6637),(595,535,0.003364,3.6636),(595,545,0.003434,3.6635),(595,555,0.003503,3.6633),(595,565,0.003572,3.6632),(595,575,0.003641,3.6631),(595,585,0.003712,3.663),(595,595,0.003782,3.6629),(595,605,0.003853,3.6627),(595,615,0.003924,3.6626),(595,625,0.003996,3.6625),(595,635,0.004068,3.6623),(595,645,0.00414,3.6622),(595,655,0.004212,3.6621),(595,665,0.004286,3.6619),(595,675,0.004359,3.6618),(595,685,0.004432,3.6616),(595,695,0.004506,3.6615),(595,705,0.004581,3.6613),(595,715,0.004656,3.6612),(595,725,0.004731,3.661),(595,735,0.004807,3.6609),(595,745,0.004883,3.6607),(595,755,0.00496,3.6605),(595,765,0.005037,3.6604),(595,775,0.005114,3.6602),(595,785,0.005192,3.66),(595,795,0.005271,3.6599),(595,805,0.005349,3.6597),(595,815,0.005428,3.6595),(595,825,0.005509,3.6593),(595,835,0.005589,3.6591),(595,845,0.005669,3.6589),(595,855,0.00575,3.6588),(595,865,0.005832,3.6586),(595,875,0.005915,3.6584),(595,885,0.005997,3.6582),(595,895,0.00608,3.658),(595,905,0.006164,3.6578),(595,915,0.006248,3.6576),(595,925,0.006332,3.6574),(595,935,0.006417,3.6571),(595,945,0.006504,3.6569),(595,955,0.00659,3.6567),(595,965,0.006676,3.6565),(595,975,0.006764,3.6563),(595,985,0.006852,3.656),(595,995,0.00694,3.6558),(595,1005,0.007029,3.6556),(595,1015,0.007118,3.6553),(595,1025,0.007209,3.6551),(595,1035,0.0073,3.6549),(595,1045,0.00739,3.6546),(595,1055,0.007482,3.6544),(595,1065,0.007575,3.6541),(595,1075,0.007668,3.6539),(595,1085,0.007761,3.6536),(595,1095,0.007855,3.6533),(595,1105,0.00795,3.6531),(595,1115,0.008046,3.6528),(595,1125,0.008141,3.6525),(595,1135,0.008237,3.6523),(595,1145,0.008335,3.652),(595,1155,0.008432,3.6517),(595,1165,0.00853,3.6514),(595,1175,0.008629,3.6511),(595,1185,0.008729,3.6508),(595,1195,0.008829,3.6506),(595,1205,0.008929,3.6503),(595,1215,0.00903,3.65),(595,1225,0.009133,3.6497),(595,1235,0.009235,3.6493),(595,1245,0.009337,3.649),(595,1255,0.009442,3.6487),(595,1265,0.009546,3.6484),(595,1275,0.009651,3.6481),(595,1285,0.009756,3.6478),(595,1295,0.009863,3.6474),(595,1305,0.009971,3.6471),(595,1315,0.010078,3.6468),(595,1325,0.010185,3.6464),(595,1335,0.010295,3.6461),(595,1345,0.010405,3.6457),(595,1355,0.010515,3.6454),(595,1365,0.010625,3.645),(595,1375,0.010737,3.6447),(595,1385,0.01085,3.6443),(595,1395,0.010963,3.6439),(595,1405,0.011076,3.6436),(595,1415,0.011191,3.6432),(595,1425,0.011306,3.6428),(595,1435,0.011421,3.6424),(595,1445,0.011537,3.642),(595,1455,0.011654,3.6417),(595,1465,0.011772,3.6413),(595,1475,0.01189,3.6409),(595,1485,0.012008,3.6405),(595,1495,0.012128,3.6401),(595,1505,0.012249,3.6396),(595,1515,0.012369,3.6392),(595,1525,0.01249,3.6388),(595,1535,0.012613,3.6384),(595,1545,0.012736,3.638),(595,1555,0.012859,3.6375),(595,1565,0.012982,3.6371),(595,1575,0.013108,3.6367),(595,1585,0.013234,3.6362),(595,1595,0.013359,3.6358),(595,1605,0.013485,3.6353),(595,1615,0.013614,3.6349),(595,1625,0.013742,3.6344),(595,1635,0.01387,3.6339),(595,1645,0.013999,3.6334),(595,1655,0.01413,3.633),(595,1665,0.014261,3.6325),(595,1675,0.014392,3.632),(595,1685,0.014524,3.6315),(595,1695,0.014657,3.631),(595,1705,0.014791,3.6305),(595,1715,0.014925,3.63),(595,1725,0.015059,3.6295),(595,1735,0.015195,3.629),(595,1745,0.015331,3.6285),(595,1755,0.015468,3.628),(595,1765,0.015604,3.6274),(595,1775,0.015743,3.6269),(595,1785,0.015882,3.6264),(595,1795,0.016021,3.6258),(595,1805,0.01616,3.6253),(595,1815,0.016301,3.6247),(595,1825,0.016442,3.6242),(595,1835,0.016584,3.6236),(595,1845,0.016726,3.6231),(595,1855,0.016869,3.6225),(595,1865,0.017013,3.6219),(595,1875,0.017156,3.6213),(595,1885,0.0173,3.6208),(595,1895,0.017446,3.6202),(595,1905,0.017592,3.6196),(595,1915,0.017738,3.619),(595,1925,0.017885,3.6184),(595,1935,0.018033,3.6178),(595,1945,0.018182,3.6172),(595,1955,0.01833,3.6165),(595,1965,0.018479,3.6159),(595,1975,0.01863,3.6153),(595,1985,0.018781,3.6146),(595,1995,0.018932,3.614),(595,2005,0.019083,3.6134),(595,2015,0.019236,3.6127),(595,2025,0.019389,3.612),(595,2035,0.019542,3.6114),(595,2045,0.019696,3.6107),(595,2055,0.019851,3.61),(595,2065,0.020006,3.6094),(595,2075,0.020161,3.6087),(595,2085,0.020317,3.608),(595,2095,0.020475,3.6073),(595,2105,0.020632,3.6066),(595,2115,0.020789,3.6059),(595,2125,0.020948,3.6052),(595,2135,0.021107,3.6045),(595,2145,0.021266,3.6038),(595,2155,0.021426,3.603),(595,2165,0.021587,3.6023),(595,2175,0.021748,3.6016),(595,2185,0.02191,3.6008),(595,2195,0.022071,3.6001),(595,2205,0.022234,3.5993),(595,2215,0.022398,3.5986),(595,2225,0.022561,3.5978),(595,2235,0.022725,3.597),(595,2245,0.02289,3.5963),(595,2255,0.023056,3.5955),(595,2265,0.023222,3.5947),(595,2275,0.023388,3.5939),(595,2285,0.023555,3.5931),(595,2295,0.023723,3.5923),(595,2305,0.023891,3.5915),(595,2315,0.024059,3.5907),(595,2325,0.024229,3.5899),(595,2335,0.024399,3.5891),(595,2345,0.024569,3.5882),(595,2355,0.02474,3.5874),(595,2365,0.024912,3.5865),(595,2375,0.025084,3.5857),(595,2385,0.025256,3.5848),(595,2395,0.025429,3.584),(595,2405,0.025604,3.5831),(595,2415,0.025778,3.5823),(595,2425,0.025953,3.5814),(595,2435,0.026128,3.5805),(595,2445,0.026306,3.5796),(595,2455,0.026483,3.5787),(595,2465,0.026661,3.5778),(595,2475,0.026839,3.5769),(595,2485,0.027019,3.576),(595,2495,0.0272,3.5751),(595,2505,0.02738,3.5742),(595,2515,0.027561,3.5733),(595,2525,0.027745,3.5724),(595,2535,0.027928,3.5714),(595,2545,0.028112,3.5705),(595,2555,0.028296,3.5696),(595,2565,0.028483,3.5686),(595,2575,0.02867,3.5677),(595,2585,0.028857,3.5667),(595,2595,0.029045,3.5657),(595,2605,0.029236,3.5648),(595,2615,0.029427,3.5638),(595,2625,0.029618,3.5628),(595,2635,0.02981,3.5618),(595,2645,0.030006,3.5609),(595,2655,0.030202,3.5599),(595,2665,0.030398,3.5589),(595,2675,0.030595,3.5579),(595,2685,0.030796,3.5569),(595,2695,0.030997,3.5559),(595,2705,0.031198,3.5548),(595,2715,0.031401,3.5538),(595,2725,0.031608,3.5528),(595,2735,0.031815,3.5518),(595,2745,0.032023,3.5507),(595,2755,0.032232,3.5497),(595,2765,0.032446,3.5487),(595,2775,0.032661,3.5476),(595,2785,0.032875,3.5466),(595,2795,0.033092,3.5455),(595,2805,0.033315,3.5445),(595,2815,0.033537,3.5434),(595,2825,0.03376,3.5423),(595,2835,0.033986,3.5413),(595,2845,0.034218,3.5402),(595,2855,0.03445,3.5391),(595,2865,0.034682,3.538),(595,2875,0.034919,3.5369),(595,2885,0.035162,3.5359),(595,2895,0.035405,3.5348),(595,2905,0.035649,3.5337),(595,2915,0.035897,3.5326),(595,2925,0.036153,3.5315),(595,2935,0.036409,3.5304),(595,2945,0.036666,3.5293),(595,2955,0.036929,3.5282),(595,2965,0.0372,3.5271),(595,2975,0.037471,3.526),(595,2985,0.037742,3.5248),(595,2995,0.038022,3.5237),(595,3005,0.03831,3.5226),(595,3015,0.038598,3.5215),(595,3025,0.038887,3.5204),(595,3035,0.039185,3.5192),(595,3045,0.039494,3.5181),(595,3055,0.039802,3.517),(595,3065,0.04011,3.5159),(595,3075,0.040431,3.5148),(595,3085,0.040762,3.5136),(595,3095,0.041093,3.5125),(595,3105,0.041424,3.5114),(595,3115,0.041771,3.5103),(595,3125,0.042128,3.5091),(595,3135,0.042485,3.508),(595,3145,0.042842,3.5069),(595,3155,0.043218,3.5058),(595,3165,0.043605,3.5047),(595,3175,0.043992,3.5036),(595,3185,0.044379,3.5025),(595,3195,0.044788,3.5014),(595,3205,0.045209,3.5002),(595,3215,0.045629,3.4992),(595,3225,0.046049,3.4981),(595,3235,0.046497,3.497),(595,3245,0.046955,3.4959),(595,3255,0.047413,3.4948),(595,3265,0.047871,3.4938),(595,3275,0.048362,3.4927),(595,3285,0.048862,3.4916),(595,3295,0.049362,3.4906),(595,3305,0.049862,3.4896),(595,3315,0.0504,3.4885),(595,3325,0.050947,3.4875),(595,3335,0.051494,3.4865),(595,3345,0.052041,3.4855),(595,3355,0.05263,3.4845),(595,3365,0.053228,3.4836),(595,3375,0.053825,3.4826),(595,3385,0.054423,3.4817),(595,3395,0.055069,3.4808),(595,3405,0.055721,3.4798),(595,3415,0.056373,3.479),(595,3425,0.057026,3.4781),(595,3435,0.057731,3.4773),(595,3445,0.05844,3.4764),(595,3455,0.05915,3.4756),(595,3465,0.059859,3.4749),(595,3475,0.060625,3.4741),(595,3485,0.061393,3.4733),(595,3495,0.062161,3.4727),(595,3505,0.06293,3.472),(595,3515,0.063755,3.4714),(595,3525,0.06458,3.4707),(595,3535,0.065405,3.4702),(595,3545,0.066233,3.4697),(595,3555,0.06711,3.4692),(595,3565,0.067988,3.4687),(595,3575,0.068865,3.4684),(595,3585,0.069746,3.468),(595,3595,0.070666,3.4677),(595,3605,0.071585,3.4674),(595,3615,0.072505,3.4672),(595,3625,0.073427,3.4671),(595,3635,0.074371,3.4669),(595,3645,0.075315,3.4668),(595,3655,0.076258,3.4669),(595,3665,0.077201,3.467),(595,3675,0.078142,3.4671),(595,3685,0.079083,3.4672),(595,3695,0.080023,3.4676),(595,3705,0.080955,3.468),(595,3715,0.081854,3.4683),(595,3725,0.082752,3.4688),(595,3735,0.083651,3.4694),(595,3745,0.084526,3.4701),(595,3755,0.085329,3.4708),(595,3765,0.086132,3.4715),(595,3775,0.086935,3.4725),(595,3785,0.087691,3.4735),(595,3795,0.08833,3.4745),(595,3805,0.088969,3.4757),(595,3815,0.089608,3.477),(595,3825,0.090168,3.4784),(595,3835,0.090562,3.4797),(595,3845,0.090956,3.4812),(595,3855,0.091351,3.4829),(595,3865,0.091625,3.4845),(595,3875,0.091686,3.4862),(595,3885,0.091748,3.488),(595,3895,0.091809,3.49),(595,3905,0.11028,3.492),(595,3915,0.15627,3.494),(595,3925,0.20225,3.4976),(595,3935,0.24823,3.5034),(595,3945,0.28697,3.5092),(595,3955,0.31651,3.515),(595,3965,0.34605,3.5202),(595,3975,0.37558,3.5249),(595,3985,0.38252,3.5296),(595,3995,0.36498,3.5342),(595,4005,0.34744,3.5371),(595,4015,0.32991,3.5382),(595,4025,0.31351,3.5393),(595,4035,0.29722,3.5395),(595,4045,0.28094,3.5382),(595,4055,0.26627,3.5368),(595,4065,0.25221,3.5352),(595,4075,0.23814,3.5321),(595,4085,0.22541,3.5291),(595,4095,0.21375,3.5261),(595,4105,0.20209,3.5223),(595,4115,0.18509,3.5184),(595,4125,0.15924,3.5146),(595,4135,0.1334,3.5116),(595,4145,0.10911,3.5089),(595,4155,0.0911,3.5062),(595,4165,0.073094,3.5047),(595,4175,0.055989,3.5038),(595,4185,0.083499,3.503),(595,4195,0.11101,3.5014),(595,4205,0.13852,3.4988),(595,4215,0.13589,3.4963),(595,4225,0.12759,3.4937),(595,4235,0.11929,3.4911),(595,4245,0.10794,3.4885),(595,4255,0.095024,3.486),(595,4265,0.082113,3.4841),(595,4275,0.066688,3.4823),(595,4285,0.048597,3.4805),(595,4295,0.030506,3.48),(595,4305,0.025225,3.4797),(595,4315,0.048871,3.4794),(595,4325,0.072518,3.4814),(595,4335,0.095157,3.4841),(595,4345,0.11098,3.4869),(595,4355,0.1268,3.4884),(595,4365,0.14263,3.4887),(595,4375,0.15704,3.489),(595,4385,0.17138,3.4885),(595,4395,0.18571,3.4865),(595,4405,0.1691,3.4845),(595,4415,0.14337,3.4826),(595,4425,0.11763,3.4811),(595,4435,0.10152,3.4796),(595,4445,0.091984,3.4781),(595,4455,0.08245,3.4783),(595,4465,0.095763,3.4785),(595,4475,0.14118,3.4787),(595,4485,0.18659,3.4764),(595,4495,0.22372,3.4735),(595,4505,0.23427,3.4707),(595,4515,0.24482,3.4654),(595,4525,0.25478,3.4587),(595,4535,0.25524,3.452),(595,4545,0.25571,3.444),(595,4555,0.25618,3.4347),(595,4565,0.1863,3.4254),(595,4575,0.10695,3.4187),(595,4585,0.027594,3.4185),(595,4595,0.012633,3.4183),(595,4605,0.02488,3.4179),(595,4615,0.037128,3.4158),(595,4625,0.055247,3.4137),(595,4635,0.078683,3.4115),(595,4645,0.10212,3.4046),(595,4655,0.12833,3.3974),(595,4665,0.15976,3.3902),(595,4675,0.19119,3.378),(595,4685,0.21028,3.3642),(595,4695,0.16842,3.3504),(595,4705,0.12656,3.3417),(595,4715,0.0847,3.3368),(595,4725,0.091355,3.3318),(595,4735,0.098495,3.327),(595,4745,0.10564,3.3225),(595,4755,0.13772,3.3179),(595,4765,0.17558,3.3116),(595,4775,0.21344,3.2994),(595,4785,0.24113,3.2872),(595,4795,0.26294,3.2747),(595,4805,0.28476,3.257),(595,4815,0.28813,3.2394),(595,4825,0.26946,3.2217),(595,4835,0.25078,3.2069),(595,4845,0.22191,3.1926),(595,4855,0.16644,3.1783),(595,4865,0.11098,3.1734),(595,4875,0.067919,3.1727),(595,4885,0.13765,3.172),(595,4895,0.20739,3.1685),(595,4905,0.27712,3.1623),(595,4915,0.28105,3.1561),(595,4925,0.27932,3.149),(595,4935,0.27759,3.1401),(595,4945,0.25606,3.1311),(595,4955,0.22766,3.1224),(595,4965,0.19926,3.115),(595,4975,0.15551,3.1075),(595,4985,0.099928,3.1),(595,4995,0.044342,3.0993),(595,5005,0.017857,3.0988),(595,5015,0.037638,3.0983),(595,5025,0.057419,3.0864),(595,5035,0.079768,3.0717),(595,5045,0.1119,3.0569),(595,5055,0.14404,3.0356),(595,5065,0.17614,3.0101),(595,5075,0.20732,2.9846),(595,5085,0.23851,2.9562),(595,5095,0.26969,2.9242),(595,5105,0.25396,2.8921),(595,5115,0.23006,2.8634),(595,5125,0.20615,2.8444),(595,5135,0.18542,2.8253),(595,5145,0.16624,2.8075),(595,5155,0.14705,2.8037),(595,5165,0.18588,2.7999),(595,5175,0.28387,2.7961),(595,5185,0.38187,2.7824),(595,5195,0.45897,2.7677),(595,5205,0.49103,2.7529),(595,5215,0.52308,2.7346),(595,5225,0.55209,2.715),(595,5235,0.56215,2.6953),(595,5245,0.57221,2.6748),(595,5255,0.58227,2.6537),(595,5265,0.40653,2.6325),(595,5275,0.22314,2.6192),(595,5285,0.039749,2.6192),(595,5295,0.024033,2.6192),(595,5305,0.055012,2.6174),(595,5315,0.085992,2.6081),(595,5325,0.13162,2.5989),(595,5335,0.18685,2.5894),(595,5345,0.24208,2.5688),(595,5355,0.29727,2.5482),(595,5365,0.3524,2.5275),(595,5375,0.40753,2.5002),(595,5385,0.42576,2.4715),(595,5395,0.33179,2.4429),(595,5405,0.23782,2.4276),(595,5415,0.15409,2.4192),(595,5425,0.20803,2.4109),(595,5435,0.26197,2.4089),(595,5445,0.31591,2.4137),(595,5455,0.37167,2.4186),(595,5465,0.42766,2.4232),(595,5475,0.48364,2.4272),(595,5485,0.49733,2.4311),(595,5495,0.494,2.4346),(595,5505,0.49066,2.4346),(595,5515,0.48764,2.4345),(595,5525,0.48491,2.4344),(595,5535,0.48218,2.4309),(595,5545,0.4797,2.4272),(595,5555,0.47769,2.4234),(595,5565,0.47568,2.4169),(595,5575,0.47392,2.4095),(595,5585,0.47332,2.402),(595,5595,0.47273,2.3927),(595,5605,0.47213,2.3819),(595,5615,0.47356,2.3712),(595,5625,0.47498,2.3591),(595,5635,0.4764,2.345),(595,5645,0.47974,2.331),(595,5655,0.48349,2.3163),(595,5665,0.48724,2.2991),(595,5675,0.49264,2.2819),(595,5685,0.49894,2.2646),(595,5695,0.50525,2.2444),(595,5705,0.51278,2.2242),(595,5715,0.52172,2.204),(595,5725,0.53065,2.1809),(595,5735,0.54031,2.1575),(595,5745,0.55177,2.134),(595,5755,0.56323,2.1083),(595,5765,0.57494,2.0817),(595,5775,0.58875,2.055),(595,5785,0.60256,2.0266),(595,5795,0.61637,1.9964),(595,5805,0.63202,1.9662),(595,5815,0.64781,1.935),(595,5825,0.66359,1.9016),(595,5835,0.68081,1.8682),(595,5845,0.69849,1.8343),(595,5855,0.71618,1.7976),(595,5865,0.73478,1.7608),(595,5875,0.75406,1.724),(595,5885,0.77334,1.6842),(595,5895,0.79322,1.6443),(595,5905,0.81403,1.6044),(595,5915,0.83483,1.5626),(595,5925,0.85585,1.5203),(595,5935,0.87763,1.478),(595,5945,0.89942,1.4338),(595,5955,0.92122,1.3884),(595,5965,0.94342,1.3431),(595,5975,0.96561,1.2969),(595,5985,0.98781,1.2495),(595,5995,0.75849,1.2022),(595,6005,0.4887,1.166),(595,6015,0.21891,1.1597),(595,6025,0.19398,1.1533),(595,6035,0.28263,1.1464),(595,6045,0.37128,1.134),(595,6055,0.43781,1.1215),(595,6065,0.48265,1.1091),(595,6075,0.52749,1.0924),(595,6085,0.55836,1.0752),(595,6095,0.56044,1.0581),(595,6105,0.56252,1.0408),(595,6115,0.56454,1.0234),(595,6125,0.56619,1.0061),(595,6135,0.56784,0.98848),(595,6145,0.56949,0.97065),(595,6155,0.57082,0.95282),(595,6165,0.57214,0.93465),(595,6175,0.57346,0.91592),(595,6185,0.57458,0.8972),(595,6195,0.57564,0.87843),(595,6205,0.57669,0.85947),(595,6215,0.57761,0.84051),(595,6225,0.57844,0.82154),(595,6235,0.57928,0.80191),(595,6245,0.58004,0.78228),(595,6255,0.58073,0.76266),(595,6265,0.58142,0.74273),(595,6275,0.58207,0.72276),(595,6285,0.58261,0.70278),(595,6295,0.58315,0.68244),(595,6305,0.58368,0.66192),(595,6315,0.58413,0.6414),(595,6325,0.58458,0.62078),(595,6335,0.58503,0.60005),(595,6345,0.58535,0.57933),(595,6355,0.58567,0.55844),(595,6365,0.58599,0.5372),(595,6375,0.58627,0.51596),(595,6385,0.58654,0.49471),(595,6395,0.5868,0.47339),(595,6405,0.58702,0.45207),(595,6415,0.58719,0.43075),(595,6425,0.58736,0.40901),(595,6435,0.58755,0.38725),(595,6445,0.58775,0.36549),(595,6455,0.58795,0.34383),(595,6465,0.58815,0.32219),(595,6475,0.58832,0.30056),(595,6485,0.58849,0.2786),(595,6495,0.58866,0.25644),(595,6505,0.58877,0.23427),(595,6515,0.58887,0.21207),(595,6525,0.58897,0.18984),(595,6535,0.58909,0.1676),(595,6545,0.58922,0.14541),(595,6555,0.58935,0.12332),(595,6565,0.58947,0.10123),(595,6575,0.58958,0.07912),(595,6585,0.58969,0.056721),(595,6595,0.50159,0.034323),(595,6605,0.31607,0.011924),(595,6615,0.13056,0.0094),(595,6625,0.000153,0.00943),(595,6635,0.000154,0.00946),(595,6645,0.000155,0.009465),(595,6655,0.000156,0.009459),(595,6665,0.000157,0.009453),(595,6675,0.000159,0.009447),(595,6685,0.00016,0.00944),(595,6695,0.000161,0.009434),(595,6705,0.000162,0.009428),(595,6715,0.000163,0.009422),(595,6725,0.000164,0.009415),(595,6735,0.000165,0.009409),(595,6745,0.000167,0.009403),(595,6755,0.000168,0.009397),(595,6765,0.000169,0.00939),(595,6775,0.00017,0.009384),(595,6785,0.000171,0.009377),(595,6795,0.000172,0.009371),(595,6805,0.000173,0.009364),(595,6815,0.000174,0.009358),(595,6825,0.000175,0.009351),(595,6835,0.000176,0.009345),(595,6845,0.000177,0.009338),(595,6855,0.000179,0.009332),(595,6865,0.00018,0.009325),(595,6875,0.000181,0.009318),(595,6885,0.000182,0.009312),(595,6895,0.000183,0.009305),(595,6905,0.000184,0.009298),(595,6915,0.000185,0.009292),(595,6925,0.000186,0.009285),(595,6935,0.000187,0.009279),(595,6945,0.000188,0.009272),(595,6955,0.000189,0.009265),(595,6965,0.00019,0.009258),(595,6975,0.00019,0.009251),(595,6985,0.000191,0.009245),(605,5,3e-05,3.6665),(605,15,9.1e-05,3.6665),(605,25,0.000152,3.6665),(605,35,0.000213,3.6665),(605,45,0.000274,3.6665),(605,55,0.000335,3.6665),(605,65,0.000397,3.6665),(605,75,0.000458,3.6665),(605,85,0.000519,3.6665),(605,95,0.00058,3.6665),(605,105,0.000641,3.6664),(605,115,0.000703,3.6664),(605,125,0.000764,3.6664),(605,135,0.000826,3.6664),(605,145,0.000887,3.6663),(605,155,0.000949,3.6663),(605,165,0.001011,3.6663),(605,175,0.001073,3.6662),(605,185,0.001135,3.6662),(605,195,0.001197,3.6662),(605,205,0.001259,3.6661),(605,215,0.001321,3.6661),(605,225,0.001384,3.666),(605,235,0.001446,3.666),(605,245,0.001509,3.6659),(605,255,0.001572,3.6659),(605,265,0.001635,3.6658),(605,275,0.001698,3.6658),(605,285,0.001761,3.6657),(605,295,0.001824,3.6657),(605,305,0.001888,3.6656),(605,315,0.001952,3.6656),(605,325,0.002016,3.6655),(605,335,0.00208,3.6654),(605,345,0.002145,3.6654),(605,355,0.00221,3.6653),(605,365,0.002275,3.6652),(605,375,0.002339,3.6651),(605,385,0.002405,3.6651),(605,395,0.002471,3.665),(605,405,0.002537,3.6649),(605,415,0.002602,3.6648),(605,425,0.002669,3.6647),(605,435,0.002736,3.6646),(605,445,0.002802,3.6645),(605,455,0.002869,3.6645),(605,465,0.002937,3.6644),(605,475,0.003004,3.6643),(605,485,0.003072,3.6642),(605,495,0.00314,3.6641),(605,505,0.003209,3.664),(605,515,0.003278,3.6639),(605,525,0.003347,3.6637),(605,535,0.003416,3.6636),(605,545,0.003486,3.6635),(605,555,0.003557,3.6634),(605,565,0.003627,3.6633),(605,575,0.003697,3.6632),(605,585,0.003769,3.663),(605,595,0.003841,3.6629),(605,605,0.003912,3.6628),(605,615,0.003984,3.6627),(605,625,0.004057,3.6625),(605,635,0.00413,3.6624),(605,645,0.004204,3.6623),(605,655,0.004277,3.6621),(605,665,0.004352,3.662),(605,675,0.004426,3.6619),(605,685,0.004501,3.6617),(605,695,0.004576,3.6616),(605,705,0.004652,3.6614),(605,715,0.004728,3.6613),(605,725,0.004805,3.6611),(605,735,0.004881,3.6609),(605,745,0.004959,3.6608),(605,755,0.005037,3.6606),(605,765,0.005115,3.6604),(605,775,0.005193,3.6603),(605,785,0.005273,3.6601),(605,795,0.005353,3.6599),(605,805,0.005432,3.6598),(605,815,0.005513,3.6596),(605,825,0.005594,3.6594),(605,835,0.005676,3.6592),(605,845,0.005757,3.659),(605,855,0.00584,3.6588),(605,865,0.005923,3.6586),(605,875,0.006007,3.6585),(605,885,0.00609,3.6583),(605,895,0.006175,3.6581),(605,905,0.00626,3.6579),(605,915,0.006346,3.6576),(605,925,0.006431,3.6574),(605,935,0.006518,3.6572),(605,945,0.006605,3.657),(605,955,0.006693,3.6568),(605,965,0.006781,3.6566),(605,975,0.006869,3.6563),(605,985,0.006959,3.6561),(605,995,0.007049,3.6559),(605,1005,0.007138,3.6557),(605,1015,0.007229,3.6554),(605,1025,0.007322,3.6552),(605,1035,0.007414,3.6549),(605,1045,0.007506,3.6547),(605,1055,0.007599,3.6545),(605,1065,0.007694,3.6542),(605,1075,0.007788,3.6539),(605,1085,0.007883,3.6537),(605,1095,0.007978,3.6534),(605,1105,0.008075,3.6532),(605,1115,0.008172,3.6529),(605,1125,0.008268,3.6526),(605,1135,0.008367,3.6524),(605,1145,0.008466,3.6521),(605,1155,0.008565,3.6518),(605,1165,0.008664,3.6515),(605,1175,0.008765,3.6512),(605,1185,0.008866,3.6509),(605,1195,0.008968,3.6507),(605,1205,0.009069,3.6504),(605,1215,0.009173,3.6501),(605,1225,0.009277,3.6498),(605,1235,0.009381,3.6494),(605,1245,0.009485,3.6491),(605,1255,0.009591,3.6488),(605,1265,0.009697,3.6485),(605,1275,0.009804,3.6482),(605,1285,0.009911,3.6479),(605,1295,0.010019,3.6475),(605,1305,0.010128,3.6472),(605,1315,0.010238,3.6469),(605,1325,0.010347,3.6465),(605,1335,0.010458,3.6462),(605,1345,0.01057,3.6458),(605,1355,0.010682,3.6455),(605,1365,0.010794,3.6451),(605,1375,0.010908,3.6448),(605,1385,0.011023,3.6444),(605,1395,0.011137,3.644),(605,1405,0.011252,3.6437),(605,1415,0.011369,3.6433),(605,1425,0.011486,3.6429),(605,1435,0.011603,3.6425),(605,1445,0.01172,3.6422),(605,1455,0.01184,3.6418),(605,1465,0.01196,3.6414),(605,1475,0.01208,3.641),(605,1485,0.0122,3.6406),(605,1495,0.012322,3.6402),(605,1505,0.012445,3.6398),(605,1515,0.012567,3.6393),(605,1525,0.01269,3.6389),(605,1535,0.012815,3.6385),(605,1545,0.01294,3.6381),(605,1555,0.013065,3.6377),(605,1565,0.01319,3.6372),(605,1575,0.013318,3.6368),(605,1585,0.013446,3.6363),(605,1595,0.013574,3.6359),(605,1605,0.013702,3.6354),(605,1615,0.013833,3.635),(605,1625,0.013963,3.6345),(605,1635,0.014094,3.634),(605,1645,0.014225,3.6336),(605,1655,0.014358,3.6331),(605,1665,0.014491,3.6326),(605,1675,0.014624,3.6321),(605,1685,0.014758,3.6317),(605,1695,0.014894,3.6312),(605,1705,0.01503,3.6307),(605,1715,0.015166,3.6302),(605,1725,0.015302,3.6297),(605,1735,0.015441,3.6291),(605,1745,0.015579,3.6286),(605,1755,0.015718,3.6281),(605,1765,0.015857,3.6276),(605,1775,0.015998,3.6271),(605,1785,0.016139,3.6265),(605,1795,0.01628,3.626),(605,1805,0.016422,3.6254),(605,1815,0.016566,3.6249),(605,1825,0.016709,3.6243),(605,1835,0.016853,3.6238),(605,1845,0.016997,3.6232),(605,1855,0.017143,3.6226),(605,1865,0.017289,3.6221),(605,1875,0.017435,3.6215),(605,1885,0.017582,3.6209),(605,1895,0.01773,3.6203),(605,1905,0.017878,3.6197),(605,1915,0.018027,3.6191),(605,1925,0.018176,3.6185),(605,1935,0.018327,3.6179),(605,1945,0.018478,3.6173),(605,1955,0.018629,3.6167),(605,1965,0.01878,3.6161),(605,1975,0.018934,3.6154),(605,1985,0.019087,3.6148),(605,1995,0.01924,3.6141),(605,2005,0.019394,3.6135),(605,2015,0.01955,3.6129),(605,2025,0.019705,3.6122),(605,2035,0.019861,3.6115),(605,2045,0.020017,3.6109),(605,2055,0.020175,3.6102),(605,2065,0.020333,3.6095),(605,2075,0.02049,3.6088),(605,2085,0.020649,3.6082),(605,2095,0.020809,3.6075),(605,2105,0.020969,3.6068),(605,2115,0.021129,3.6061),(605,2125,0.02129,3.6053),(605,2135,0.021452,3.6046),(605,2145,0.021614,3.6039),(605,2155,0.021776,3.6032),(605,2165,0.021939,3.6025),(605,2175,0.022103,3.6017),(605,2185,0.022267,3.601),(605,2195,0.022431,3.6002),(605,2205,0.022597,3.5995),(605,2215,0.022763,3.5987),(605,2225,0.022929,3.598),(605,2235,0.023096,3.5972),(605,2245,0.023264,3.5964),(605,2255,0.023432,3.5956),(605,2265,0.023601,3.5949),(605,2275,0.023769,3.5941),(605,2285,0.023939,3.5933),(605,2295,0.02411,3.5925),(605,2305,0.02428,3.5917),(605,2315,0.024451,3.5909),(605,2325,0.024623,3.59),(605,2335,0.024796,3.5892),(605,2345,0.024969,3.5884),(605,2355,0.025141,3.5875),(605,2365,0.025316,3.5867),(605,2375,0.025491,3.5859),(605,2385,0.025666,3.585),(605,2395,0.025841,3.5842),(605,2405,0.026018,3.5833),(605,2415,0.026196,3.5824),(605,2425,0.026373,3.5816),(605,2435,0.02655,3.5807),(605,2445,0.02673,3.5798),(605,2455,0.02691,3.5789),(605,2465,0.02709,3.578),(605,2475,0.027271,3.5771),(605,2485,0.027453,3.5762),(605,2495,0.027636,3.5753),(605,2505,0.027819,3.5744),(605,2515,0.028002,3.5735),(605,2525,0.028188,3.5726),(605,2535,0.028374,3.5716),(605,2545,0.02856,3.5707),(605,2555,0.028746,3.5697),(605,2565,0.028935,3.5688),(605,2575,0.029125,3.5679),(605,2585,0.029314,3.5669),(605,2595,0.029503,3.5659),(605,2605,0.029697,3.565),(605,2615,0.02989,3.564),(605,2625,0.030083,3.563),(605,2635,0.030277,3.562),(605,2645,0.030475,3.5611),(605,2655,0.030673,3.5601),(605,2665,0.03087,3.5591),(605,2675,0.031069,3.5581),(605,2685,0.031272,3.5571),(605,2695,0.031475,3.5561),(605,2705,0.031678,3.555),(605,2715,0.031882,3.554),(605,2725,0.032091,3.553),(605,2735,0.0323,3.552),(605,2745,0.032509,3.5509),(605,2755,0.032719,3.5499),(605,2765,0.032935,3.5489),(605,2775,0.033151,3.5478),(605,2785,0.033366,3.5468),(605,2795,0.033584,3.5457),(605,2805,0.033808,3.5447),(605,2815,0.034032,3.5436),(605,2825,0.034255,3.5426),(605,2835,0.034482,3.5415),(605,2845,0.034715,3.5404),(605,2855,0.034948,3.5393),(605,2865,0.035181,3.5383),(605,2875,0.035418,3.5372),(605,2885,0.035661,3.5361),(605,2895,0.035905,3.535),(605,2905,0.036148,3.5339),(605,2915,0.036397,3.5328),(605,2925,0.036653,3.5317),(605,2935,0.036909,3.5306),(605,2945,0.037165,3.5295),(605,2955,0.037427,3.5284),(605,2965,0.037698,3.5273),(605,2975,0.037968,3.5262),(605,2985,0.038238,3.5251),(605,2995,0.038517,3.524),(605,3005,0.038804,3.5229),(605,3015,0.039091,3.5218),(605,3025,0.039378,3.5207),(605,3035,0.039675,3.5195),(605,3045,0.039981,3.5184),(605,3055,0.040287,3.5173),(605,3065,0.040593,3.5162),(605,3075,0.040911,3.5151),(605,3085,0.041239,3.514),(605,3095,0.041567,3.5128),(605,3105,0.041895,3.5117),(605,3115,0.042238,3.5106),(605,3125,0.042591,3.5095),(605,3135,0.042943,3.5084),(605,3145,0.043296,3.5073),(605,3155,0.043668,3.5062),(605,3165,0.044049,3.5051),(605,3175,0.04443,3.504),(605,3185,0.044811,3.5029),(605,3195,0.045215,3.5018),(605,3205,0.045628,3.5007),(605,3215,0.046041,3.4996),(605,3225,0.046454,3.4985),(605,3235,0.046894,3.4974),(605,3245,0.047343,3.4964),(605,3255,0.047792,3.4953),(605,3265,0.048241,3.4942),(605,3275,0.048721,3.4932),(605,3285,0.04921,3.4921),(605,3295,0.049699,3.4911),(605,3305,0.050188,3.4901),(605,3315,0.050713,3.4891),(605,3325,0.051246,3.4881),(605,3335,0.051779,3.4871),(605,3345,0.052312,3.4861),(605,3355,0.052885,3.4851),(605,3365,0.053465,3.4842),(605,3375,0.054046,3.4832),(605,3385,0.054627,3.4823),(605,3395,0.055252,3.4814),(605,3405,0.055884,3.4805),(605,3415,0.056515,3.4796),(605,3425,0.057147,3.4788),(605,3435,0.057827,3.478),(605,3445,0.058512,3.4771),(605,3455,0.059196,3.4764),(605,3465,0.059881,3.4756),(605,3475,0.060617,3.4749),(605,3485,0.061354,3.4741),(605,3495,0.062092,3.4735),(605,3505,0.06283,3.4729),(605,3515,0.063619,3.4722),(605,3525,0.064409,3.4716),(605,3535,0.065198,3.4711),(605,3545,0.065989,3.4706),(605,3555,0.066823,3.4701),(605,3565,0.067658,3.4696),(605,3575,0.068493,3.4693),(605,3585,0.06933,3.469),(605,3595,0.0702,3.4686),(605,3605,0.071069,3.4683),(605,3615,0.071938,3.4682),(605,3625,0.07281,3.468),(605,3635,0.073696,3.4679),(605,3645,0.074582,3.4678),(605,3655,0.075468,3.4679),(605,3665,0.076352,3.468),(605,3675,0.077227,3.4681),(605,3685,0.078102,3.4682),(605,3695,0.078977,3.4686),(605,3705,0.079843,3.4689),(605,3715,0.080669,3.4693),(605,3725,0.081495,3.4697),(605,3735,0.082322,3.4704),(605,3745,0.083124,3.471),(605,3755,0.08385,3.4716),(605,3765,0.084576,3.4724),(605,3775,0.085301,3.4733),(605,3785,0.085981,3.4743),(605,3795,0.086542,3.4753),(605,3805,0.087103,3.4763),(605,3815,0.087664,3.4776),(605,3825,0.088147,3.4789),(605,3835,0.088467,3.4802),(605,3845,0.088787,3.4816),(605,3855,0.089107,3.4832),(605,3865,0.08931,3.4848),(605,3875,0.089308,3.4864),(605,3885,0.089305,3.4881),(605,3895,0.089303,3.49),(605,3905,0.10725,3.4919),(605,3915,0.152,3.4938),(605,3925,0.19675,3.4972),(605,3935,0.2415,3.5028),(605,3945,0.27953,3.5083),(605,3955,0.30903,3.5139),(605,3965,0.33852,3.5189),(605,3975,0.36802,3.5235),(605,3985,0.37542,3.528),(605,3995,0.35889,3.5325),(605,4005,0.34236,3.5353),(605,4015,0.32584,3.5363),(605,4025,0.31025,3.5374),(605,4035,0.29476,3.5376),(605,4045,0.27928,3.5362),(605,4055,0.26524,3.5348),(605,4065,0.25173,3.5332),(605,4075,0.23822,3.5301),(605,4085,0.22588,3.5271),(605,4095,0.2145,3.524),(605,4105,0.20311,3.5202),(605,4115,0.18625,3.5163),(605,4125,0.16031,3.5125),(605,4135,0.13437,3.5096),(605,4145,0.10995,3.5069),(605,4155,0.091642,3.5042),(605,4165,0.073336,3.5027),(605,4175,0.05594,3.5019),(605,4185,0.083603,3.501),(605,4195,0.11127,3.4994),(605,4205,0.13893,3.4968),(605,4215,0.13644,3.4942),(605,4225,0.12827,3.4915),(605,4235,0.12011,3.4889),(605,4245,0.10876,3.4863),(605,4255,0.095806,3.4837),(605,4265,0.08285,3.4818),(605,4275,0.067298,3.48),(605,4285,0.048992,3.4781),(605,4295,0.030685,3.4777),(605,4305,0.024929,3.4774),(605,4315,0.047514,3.4771),(605,4325,0.070099,3.4785),(605,4335,0.091878,3.4805),(605,4345,0.1082,3.4826),(605,4355,0.12453,3.4835),(605,4365,0.14085,3.4834),(605,4375,0.15571,3.4833),(605,4385,0.17048,3.4826),(605,4395,0.18526,3.4808),(605,4405,0.16884,3.479),(605,4415,0.14322,3.4773),(605,4425,0.1176,3.4762),(605,4435,0.10137,3.475),(605,4445,0.09157,3.4739),(605,4455,0.081769,3.4739),(605,4465,0.095083,3.4739),(605,4475,0.14087,3.4739),(605,4485,0.18666,3.4714),(605,4495,0.2243,3.4684),(605,4505,0.23575,3.4653),(605,4515,0.24721,3.46),(605,4525,0.25806,3.4535),(605,4535,0.25919,3.4469),(605,4545,0.26033,3.4393),(605,4555,0.26146,3.4304),(605,4565,0.19023,3.4216),(605,4575,0.10925,3.4153),(605,4585,0.028261,3.415),(605,4595,0.013066,3.4147),(605,4605,0.025668,3.4142),(605,4615,0.03827,3.4119),(605,4625,0.057091,3.4095),(605,4635,0.081546,3.4072),(605,4645,0.106,3.4002),(605,4655,0.13332,3.393),(605,4665,0.16604,3.3857),(605,4675,0.19876,3.3739),(605,4685,0.21863,3.3606),(605,4695,0.17498,3.3473),(605,4705,0.13132,3.339),(605,4715,0.08767,3.3343),(605,4725,0.094105,3.3296),(605,4735,0.10104,3.3248),(605,4745,0.10798,3.3198),(605,4755,0.14123,3.3148),(605,4765,0.18057,3.3082),(605,4775,0.21991,3.2957),(605,4785,0.24888,3.2833),(605,4795,0.27184,3.2707),(605,4805,0.2948,3.2534),(605,4815,0.29852,3.2361),(605,4825,0.27922,3.2187),(605,4835,0.25993,3.2045),(605,4845,0.22983,3.1908),(605,4855,0.17155,3.1771),(605,4865,0.11327,3.1721),(605,4875,0.067714,3.1711),(605,4885,0.1379,3.1702),(605,4895,0.20809,3.1663),(605,4905,0.27829,3.1596),(605,4915,0.28289,3.1528),(605,4925,0.28186,3.1454),(605,4935,0.28083,3.1364),(605,4945,0.25948,3.1275),(605,4955,0.23109,3.1188),(605,4965,0.2027,3.1115),(605,4975,0.1584,3.1043),(605,4985,0.10181,3.097),(605,4995,0.04522,3.0963),(605,5005,0.019277,3.0958),(605,5015,0.042054,3.0953),(605,5025,0.064831,3.0831),(605,5035,0.090021,3.068),(605,5045,0.12441,3.0529),(605,5055,0.15879,3.0313),(605,5065,0.19312,3.0059),(605,5075,0.22568,2.9804),(605,5085,0.25823,2.9523),(605,5095,0.29078,2.9208),(605,5105,0.2729,2.8894),(605,5115,0.24623,2.8614),(605,5125,0.21955,2.8429),(605,5135,0.19551,2.8245),(605,5145,0.17274,2.8072),(605,5155,0.14998,2.8031),(605,5165,0.18771,2.799),(605,5175,0.28715,2.7949),(605,5185,0.38658,2.7808),(605,5195,0.46496,2.7657),(605,5205,0.49792,2.7505),(605,5215,0.53089,2.7322),(605,5225,0.56073,2.7126),(605,5235,0.57115,2.6931),(605,5245,0.58157,2.6728),(605,5255,0.59198,2.6521),(605,5265,0.41333,2.6314),(605,5275,0.22688,2.6183),(605,5285,0.040427,2.6183),(605,5295,0.02533,2.6183),(605,5305,0.057952,2.6164),(605,5315,0.090573,2.607),(605,5325,0.13813,2.5975),(605,5335,0.19548,2.5879),(605,5345,0.25282,2.5672),(605,5355,0.30984,2.5465),(605,5365,0.36643,2.5258),(605,5375,0.42301,2.4987),(605,5385,0.4414,2.4704),(605,5395,0.34371,2.4421),(605,5405,0.24602,2.427),(605,5415,0.15858,2.4188),(605,5425,0.20874,2.4106),(605,5435,0.2589,2.4085),(605,5445,0.30907,2.4129),(605,5455,0.36401,2.4172),(605,5465,0.41954,2.4213),(605,5475,0.47507,2.4248),(605,5485,0.48933,2.4282),(605,5495,0.48697,2.4312),(605,5505,0.4846,2.4308),(605,5515,0.48256,2.4305),(605,5525,0.48078,2.4301),(605,5535,0.47901,2.4263),(605,5545,0.47747,2.4224),(605,5555,0.47637,2.4184),(605,5565,0.47526,2.4117),(605,5575,0.47439,2.4042),(605,5585,0.47462,2.3967),(605,5595,0.47486,2.3872),(605,5605,0.47509,2.3764),(605,5615,0.47728,2.3655),(605,5625,0.47946,2.3533),(605,5635,0.48165,2.3392),(605,5645,0.48571,2.3251),(605,5655,0.49017,2.3103),(605,5665,0.49463,2.2931),(605,5675,0.50071,2.2758),(605,5685,0.50769,2.2584),(605,5695,0.51468,2.2382),(605,5705,0.52288,2.2179),(605,5715,0.53249,2.1976),(605,5725,0.54209,2.1744),(605,5735,0.55243,2.1508),(605,5745,0.56456,2.1273),(605,5755,0.5767,2.1015),(605,5765,0.58909,2.0749),(605,5775,0.60358,2.0482),(605,5785,0.61806,2.0197),(605,5795,0.63255,1.9895),(605,5805,0.64887,1.9594),(605,5815,0.66533,1.9281),(605,5825,0.6818,1.8948),(605,5835,0.69967,1.8615),(605,5845,0.718,1.8277),(605,5855,0.73634,1.7911),(605,5865,0.75556,1.7544),(605,5875,0.77544,1.7178),(605,5885,0.79533,1.6783),(605,5895,0.81577,1.6387),(605,5905,0.83709,1.5991),(605,5915,0.8584,1.5577),(605,5925,0.87991,1.5158),(605,5935,0.9021,1.4739),(605,5945,0.9243,1.4301),(605,5955,0.94651,1.3853),(605,5965,0.96904,1.3405),(605,5975,0.99158,1.2948),(605,5985,1.0141,1.2482),(605,5995,0.77866,1.2015),(605,6005,0.50168,1.1658),(605,6015,0.22471,1.1595),(605,6025,0.19791,1.1532),(605,6035,0.28714,1.1463),(605,6045,0.37637,1.1338),(605,6055,0.44349,1.1213),(605,6065,0.48893,1.1087),(605,6075,0.53438,1.0919),(605,6085,0.56569,1.0747),(605,6095,0.56788,1.0574),(605,6105,0.57006,1.04),(605,6115,0.57219,1.0226),(605,6125,0.57397,1.0051),(605,6135,0.57576,0.98743),(605,6145,0.57754,0.96953),(605,6155,0.57899,0.95163),(605,6165,0.58043,0.9334),(605,6175,0.58188,0.91463),(605,6185,0.58312,0.89586),(605,6195,0.58431,0.87705),(605,6205,0.5855,0.85807),(605,6215,0.58653,0.83909),(605,6225,0.58747,0.82009),(605,6235,0.58842,0.80047),(605,6245,0.58929,0.78085),(605,6255,0.59009,0.76122),(605,6265,0.59089,0.74131),(605,6275,0.59165,0.72134),(605,6285,0.59229,0.70137),(605,6295,0.59293,0.68105),(605,6305,0.59357,0.66055),(605,6315,0.59412,0.64005),(605,6325,0.59467,0.61945),(605,6335,0.59522,0.59874),(605,6345,0.59564,0.57803),(605,6355,0.59604,0.55717),(605,6365,0.59644,0.53597),(605,6375,0.5968,0.51477),(605,6385,0.59714,0.49356),(605,6395,0.59749,0.47228),(605,6405,0.59777,0.45099),(605,6415,0.598,0.42971),(605,6425,0.59823,0.40804),(605,6435,0.59847,0.38635),(605,6445,0.59871,0.36466),(605,6455,0.59896,0.34305),(605,6465,0.5992,0.32147),(605,6475,0.5994,0.29989),(605,6485,0.5996,0.27798),(605,6495,0.5998,0.25585),(605,6505,0.59992,0.23373),(605,6515,0.60005,0.21159),(605,6525,0.60017,0.18942),(605,6535,0.60031,0.16726),(605,6545,0.60045,0.14513),(605,6555,0.60059,0.1231),(605,6565,0.60071,0.10108),(605,6575,0.60082,0.079034),(605,6585,0.60093,0.056689),(605,6595,0.51115,0.034344),(605,6605,0.3221,0.011999),(605,6615,0.13305,0.009459),(605,6625,0.000156,0.009464),(605,6635,0.000157,0.009468),(605,6645,0.000158,0.009466),(605,6655,0.000159,0.00946),(605,6665,0.000161,0.009454),(605,6675,0.000162,0.009448),(605,6685,0.000163,0.009442),(605,6695,0.000164,0.009435),(605,6705,0.000165,0.009429),(605,6715,0.000166,0.009423),(605,6725,0.000168,0.009416),(605,6735,0.000169,0.00941),(605,6745,0.00017,0.009404),(605,6755,0.000171,0.009398),(605,6765,0.000172,0.009391),(605,6775,0.000173,0.009385),(605,6785,0.000174,0.009378),(605,6795,0.000175,0.009372),(605,6805,0.000176,0.009365),(605,6815,0.000178,0.009359),(605,6825,0.000179,0.009352),(605,6835,0.00018,0.009346),(605,6845,0.000181,0.009339),(605,6855,0.000182,0.009333),(605,6865,0.000183,0.009326),(605,6875,0.000184,0.009319),(605,6885,0.000185,0.009313),(605,6895,0.000186,0.009306),(605,6905,0.000187,0.0093),(605,6915,0.000188,0.009293),(605,6925,0.000189,0.009286),(605,6935,0.00019,0.009279),(605,6945,0.000191,0.009273),(605,6955,0.000192,0.009266),(605,6965,0.000193,0.009259),(605,6975,0.000194,0.009252),(605,6985,0.000195,0.009246),(615,5,3.1e-05,3.6666),(615,15,9.3e-05,3.6666),(615,25,0.000155,3.6666),(615,35,0.000217,3.6666),(615,45,0.000278,3.6666),(615,55,0.00034,3.6666),(615,65,0.000402,3.6666),(615,75,0.000465,3.6666),(615,85,0.000527,3.6665),(615,95,0.000589,3.6665),(615,105,0.000651,3.6665),(615,115,0.000713,3.6665),(615,125,0.000776,3.6665),(615,135,0.000838,3.6664),(615,145,0.000901,3.6664),(615,155,0.000963,3.6664),(615,165,0.001026,3.6663),(615,175,0.001089,3.6663),(615,185,0.001152,3.6663),(615,195,0.001215,3.6662),(615,205,0.001278,3.6662),(615,215,0.001341,3.6661),(615,225,0.001404,3.6661),(615,235,0.001468,3.6661),(615,245,0.001532,3.666),(615,255,0.001595,3.666),(615,265,0.001659,3.6659),(615,275,0.001724,3.6659),(615,285,0.001788,3.6658),(615,295,0.001852,3.6657),(615,305,0.001917,3.6657),(615,315,0.001982,3.6656),(615,325,0.002047,3.6656),(615,335,0.002112,3.6655),(615,345,0.002177,3.6654),(615,355,0.002243,3.6653),(615,365,0.002309,3.6653),(615,375,0.002375,3.6652),(615,385,0.002442,3.6651),(615,395,0.002508,3.665),(615,405,0.002575,3.665),(615,415,0.002642,3.6649),(615,425,0.002709,3.6648),(615,435,0.002777,3.6647),(615,445,0.002845,3.6646),(615,455,0.002912,3.6645),(615,465,0.002981,3.6644),(615,475,0.00305,3.6643),(615,485,0.003119,3.6642),(615,495,0.003188,3.6641),(615,505,0.003258,3.664),(615,515,0.003328,3.6639),(615,525,0.003398,3.6638),(615,535,0.003468,3.6637),(615,545,0.003539,3.6636),(615,555,0.003611,3.6635),(615,565,0.003682,3.6634),(615,575,0.003753,3.6632),(615,585,0.003826,3.6631),(615,595,0.003899,3.663),(615,605,0.003972,3.6629),(615,615,0.004045,3.6627),(615,625,0.004119,3.6626),(615,635,0.004193,3.6625),(615,645,0.004267,3.6623),(615,655,0.004342,3.6622),(615,665,0.004418,3.6621),(615,675,0.004494,3.6619),(615,685,0.004569,3.6618),(615,695,0.004646,3.6616),(615,705,0.004723,3.6615),(615,715,0.004801,3.6613),(615,725,0.004878,3.6612),(615,735,0.004956,3.661),(615,745,0.005035,3.6609),(615,755,0.005114,3.6607),(615,765,0.005193,3.6605),(615,775,0.005273,3.6604),(615,785,0.005354,3.6602),(615,795,0.005435,3.66),(615,805,0.005515,3.6598),(615,815,0.005597,3.6597),(615,825,0.00568,3.6595),(615,835,0.005763,3.6593),(615,845,0.005845,3.6591),(615,855,0.005929,3.6589),(615,865,0.006014,3.6587),(615,875,0.006099,3.6585),(615,885,0.006184,3.6583),(615,895,0.006269,3.6581),(615,905,0.006356,3.6579),(615,915,0.006443,3.6577),(615,925,0.00653,3.6575),(615,935,0.006618,3.6573),(615,945,0.006707,3.6571),(615,955,0.006796,3.6569),(615,965,0.006885,3.6567),(615,975,0.006975,3.6564),(615,985,0.007066,3.6562),(615,995,0.007157,3.656),(615,1005,0.007248,3.6558),(615,1015,0.007341,3.6555),(615,1025,0.007434,3.6553),(615,1035,0.007528,3.655),(615,1045,0.007621,3.6548),(615,1055,0.007716,3.6545),(615,1065,0.007812,3.6543),(615,1075,0.007908,3.654),(615,1085,0.008004,3.6538),(615,1095,0.008101,3.6535),(615,1105,0.0082,3.6533),(615,1115,0.008298,3.653),(615,1125,0.008396,3.6527),(615,1135,0.008496,3.6525),(615,1145,0.008597,3.6522),(615,1155,0.008698,3.6519),(615,1165,0.008798,3.6516),(615,1175,0.008901,3.6513),(615,1185,0.009004,3.6511),(615,1195,0.009107,3.6508),(615,1205,0.00921,3.6505),(615,1215,0.009315,3.6502),(615,1225,0.009421,3.6499),(615,1235,0.009527,3.6496),(615,1245,0.009633,3.6492),(615,1255,0.00974,3.6489),(615,1265,0.009848,3.6486),(615,1275,0.009957,3.6483),(615,1285,0.010065,3.648),(615,1295,0.010175,3.6476),(615,1305,0.010286,3.6473),(615,1315,0.010397,3.647),(615,1325,0.010508,3.6466),(615,1335,0.010621,3.6463),(615,1345,0.010735,3.646),(615,1355,0.010849,3.6456),(615,1365,0.010962,3.6452),(615,1375,0.011078,3.6449),(615,1385,0.011195,3.6445),(615,1395,0.011311,3.6442),(615,1405,0.011428,3.6438),(615,1415,0.011547,3.6434),(615,1425,0.011666,3.643),(615,1435,0.011785,3.6427),(615,1445,0.011904,3.6423),(615,1455,0.012026,3.6419),(615,1465,0.012148,3.6415),(615,1475,0.01227,3.6411),(615,1485,0.012391,3.6407),(615,1495,0.012516,3.6403),(615,1505,0.01264,3.6399),(615,1515,0.012765,3.6395),(615,1525,0.01289,3.6391),(615,1535,0.013017,3.6386),(615,1545,0.013144,3.6382),(615,1555,0.013271,3.6378),(615,1565,0.013399,3.6373),(615,1575,0.013529,3.6369),(615,1585,0.013659,3.6365),(615,1595,0.013789,3.636),(615,1605,0.013919,3.6356),(615,1615,0.014052,3.6351),(615,1625,0.014184,3.6347),(615,1635,0.014317,3.6342),(615,1645,0.01445,3.6337),(615,1655,0.014585,3.6332),(615,1665,0.014721,3.6328),(615,1675,0.014856,3.6323),(615,1685,0.014992,3.6318),(615,1695,0.01513,3.6313),(615,1705,0.015268,3.6308),(615,1715,0.015406,3.6303),(615,1725,0.015545,3.6298),(615,1735,0.015686,3.6293),(615,1745,0.015827,3.6288),(615,1755,0.015968,3.6283),(615,1765,0.016109,3.6277),(615,1775,0.016253,3.6272),(615,1785,0.016396,3.6267),(615,1795,0.01654,3.6261),(615,1805,0.016684,3.6256),(615,1815,0.01683,3.625),(615,1825,0.016976,3.6245),(615,1835,0.017122,3.6239),(615,1845,0.017269,3.6234),(615,1855,0.017417,3.6228),(615,1865,0.017565,3.6222),(615,1875,0.017714,3.6216),(615,1885,0.017863,3.6211),(615,1895,0.018014,3.6205),(615,1905,0.018165,3.6199),(615,1915,0.018315,3.6193),(615,1925,0.018467,3.6187),(615,1935,0.018621,3.6181),(615,1945,0.018774,3.6175),(615,1955,0.018927,3.6168),(615,1965,0.019081,3.6162),(615,1975,0.019237,3.6156),(615,1985,0.019393,3.6149),(615,1995,0.019549,3.6143),(615,2005,0.019705,3.6137),(615,2015,0.019863,3.613),(615,2025,0.020021,3.6124),(615,2035,0.020179,3.6117),(615,2045,0.020339,3.611),(615,2055,0.020499,3.6104),(615,2065,0.020659,3.6097),(615,2075,0.020819,3.609),(615,2085,0.020981,3.6083),(615,2095,0.021143,3.6076),(615,2105,0.021306,3.6069),(615,2115,0.021468,3.6062),(615,2125,0.021632,3.6055),(615,2135,0.021796,3.6048),(615,2145,0.021961,3.6041),(615,2155,0.022125,3.6034),(615,2165,0.022291,3.6026),(615,2175,0.022458,3.6019),(615,2185,0.022625,3.6012),(615,2195,0.022792,3.6004),(615,2205,0.02296,3.5997),(615,2215,0.023129,3.5989),(615,2225,0.023298,3.5981),(615,2235,0.023466,3.5974),(615,2245,0.023637,3.5966),(615,2255,0.023808,3.5958),(615,2265,0.023979,3.595),(615,2275,0.02415,3.5942),(615,2285,0.024323,3.5934),(615,2295,0.024496,3.5927),(615,2305,0.024669,3.5918),(615,2315,0.024842,3.591),(615,2325,0.025017,3.5902),(615,2335,0.025193,3.5894),(615,2345,0.025368,3.5886),(615,2355,0.025543,3.5877),(615,2365,0.025721,3.5869),(615,2375,0.025898,3.5861),(615,2385,0.026076,3.5852),(615,2395,0.026253,3.5843),(615,2405,0.026433,3.5835),(615,2415,0.026613,3.5826),(615,2425,0.026793,3.5817),(615,2435,0.026972,3.5809),(615,2445,0.027155,3.58),(615,2455,0.027337,3.5791),(615,2465,0.02752,3.5782),(615,2475,0.027702,3.5773),(615,2485,0.027887,3.5764),(615,2495,0.028073,3.5755),(615,2505,0.028258,3.5746),(615,2515,0.028443,3.5737),(615,2525,0.028632,3.5727),(615,2535,0.02882,3.5718),(615,2545,0.029008,3.5709),(615,2555,0.029196,3.5699),(615,2565,0.029388,3.569),(615,2575,0.029579,3.5681),(615,2585,0.029771,3.5671),(615,2595,0.029962,3.5661),(615,2605,0.030158,3.5652),(615,2615,0.030353,3.5642),(615,2625,0.030548,3.5632),(615,2635,0.030744,3.5622),(615,2645,0.030944,3.5613),(615,2655,0.031143,3.5603),(615,2665,0.031343,3.5593),(615,2675,0.031543,3.5583),(615,2685,0.031748,3.5573),(615,2695,0.031953,3.5563),(615,2705,0.032157,3.5553),(615,2715,0.032363,3.5542),(615,2725,0.032574,3.5532),(615,2735,0.032784,3.5522),(615,2745,0.032994,3.5512),(615,2755,0.033206,3.5501),(615,2765,0.033423,3.5491),(615,2775,0.03364,3.5481),(615,2785,0.033857,3.547),(615,2795,0.034077,3.546),(615,2805,0.034301,3.5449),(615,2815,0.034526,3.5438),(615,2825,0.034751,3.5428),(615,2835,0.034978,3.5417),(615,2845,0.035212,3.5407),(615,2855,0.035445,3.5396),(615,2865,0.035679,3.5385),(615,2875,0.035916,3.5374),(615,2885,0.03616,3.5363),(615,2895,0.036404,3.5353),(615,2905,0.036648,3.5342),(615,2915,0.036896,3.5331),(615,2925,0.037152,3.532),(615,2935,0.037408,3.5309),(615,2945,0.037664,3.5298),(615,2955,0.037926,3.5287),(615,2965,0.038196,3.5276),(615,2975,0.038465,3.5265),(615,2985,0.038735,3.5254),(615,2995,0.039012,3.5243),(615,3005,0.039298,3.5232),(615,3015,0.039583,3.5221),(615,3025,0.039869,3.521),(615,3035,0.040164,3.5198),(615,3045,0.040468,3.5187),(615,3055,0.040771,3.5176),(615,3065,0.041075,3.5165),(615,3075,0.041391,3.5154),(615,3085,0.041716,3.5143),(615,3095,0.04204,3.5132),(615,3105,0.042365,3.5121),(615,3115,0.042704,3.511),(615,3125,0.043053,3.5098),(615,3135,0.043402,3.5087),(615,3145,0.04375,3.5076),(615,3155,0.044117,3.5065),(615,3165,0.044493,3.5054),(615,3175,0.044868,3.5043),(615,3185,0.045244,3.5033),(615,3195,0.045641,3.5022),(615,3205,0.046047,3.5011),(615,3215,0.046453,3.5),(615,3225,0.046859,3.4989),(615,3235,0.04729,3.4979),(615,3245,0.047731,3.4968),(615,3255,0.048171,3.4957),(615,3265,0.048611,3.4947),(615,3275,0.04908,3.4936),(615,3285,0.049558,3.4926),(615,3295,0.050036,3.4916),(615,3305,0.050514,3.4906),(615,3315,0.051025,3.4896),(615,3325,0.051544,3.4886),(615,3335,0.052063,3.4876),(615,3345,0.052583,3.4866),(615,3355,0.053139,3.4857),(615,3365,0.053703,3.4847),(615,3375,0.054267,3.4838),(615,3385,0.05483,3.4829),(615,3395,0.055436,3.482),(615,3405,0.056047,3.4811),(615,3415,0.056657,3.4803),(615,3425,0.057268,3.4794),(615,3435,0.057924,3.4786),(615,3445,0.058583,3.4778),(615,3455,0.059243,3.477),(615,3465,0.059902,3.4763),(615,3475,0.060608,3.4756),(615,3485,0.061316,3.4748),(615,3495,0.062023,3.4742),(615,3505,0.062731,3.4736),(615,3515,0.063484,3.4729),(615,3525,0.064237,3.4723),(615,3535,0.06499,3.4718),(615,3545,0.065745,3.4713),(615,3555,0.066537,3.4709),(615,3565,0.067328,3.4704),(615,3575,0.06812,3.47),(615,3585,0.068914,3.4697),(615,3595,0.069734,3.4694),(615,3605,0.070553,3.4691),(615,3615,0.071372,3.469),(615,3625,0.072192,3.4688),(615,3635,0.073021,3.4687),(615,3645,0.073849,3.4686),(615,3655,0.074677,3.4687),(615,3665,0.075502,3.4688),(615,3675,0.076312,3.4688),(615,3685,0.077122,3.469),(615,3695,0.077932,3.4693),(615,3705,0.07873,3.4697),(615,3715,0.079484,3.47),(615,3725,0.080238,3.4704),(615,3735,0.080992,3.471),(615,3745,0.081721,3.4716),(615,3755,0.08237,3.4723),(615,3765,0.083019,3.473),(615,3775,0.083668,3.4739),(615,3785,0.084271,3.4748),(615,3795,0.084754,3.4757),(615,3805,0.085236,3.4767),(615,3815,0.085719,3.478),(615,3825,0.086126,3.4792),(615,3835,0.086372,3.4804),(615,3845,0.086618,3.4817),(615,3855,0.086863,3.4833),(615,3865,0.086996,3.4848),(615,3875,0.086929,3.4863),(615,3885,0.086863,3.488),(615,3895,0.086796,3.4898),(615,3905,0.10421,3.4915),(615,3915,0.14772,3.4933),(615,3925,0.19124,3.4966),(615,3935,0.23476,3.5019),(615,3945,0.27208,3.5073),(615,3955,0.30154,3.5126),(615,3965,0.331,3.5175),(615,3975,0.36046,3.5219),(615,3985,0.36832,3.5262),(615,3995,0.3528,3.5306),(615,4005,0.33728,3.5333),(615,4015,0.32177,3.5343),(615,4025,0.307,3.5353),(615,4035,0.29231,3.5355),(615,4045,0.27762,3.5341),(615,4055,0.2642,3.5327),(615,4065,0.25124,3.531),(615,4075,0.23829,3.528),(615,4085,0.22636,3.5249),(615,4095,0.21524,3.5218),(615,4105,0.20413,3.518),(615,4115,0.1874,3.5142),(615,4125,0.16138,3.5103),(615,4135,0.13535,3.5074),(615,4145,0.11079,3.5047),(615,4155,0.092184,3.502),(615,4165,0.073578,3.5005),(615,4175,0.055891,3.4997),(615,4185,0.083707,3.4989),(615,4195,0.11152,3.4972),(615,4205,0.13934,3.4945),(615,4215,0.13699,3.4918),(615,4225,0.12895,3.4891),(615,4235,0.12092,3.4864),(615,4245,0.10959,3.4837),(615,4255,0.096589,3.4811),(615,4265,0.083588,3.4792),(615,4275,0.067908,3.4774),(615,4285,0.049386,3.4755),(615,4295,0.030864,3.475),(615,4305,0.024633,3.4747),(615,4315,0.046157,3.4744),(615,4325,0.06768,3.4753),(615,4335,0.0886,3.4768),(615,4345,0.10543,3.4782),(615,4355,0.12225,3.4787),(615,4365,0.13908,3.4783),(615,4375,0.15438,3.478),(615,4385,0.16959,3.4771),(615,4395,0.18481,3.4754),(615,4405,0.16857,3.4737),(615,4415,0.14307,3.4721),(615,4425,0.11756,3.4712),(615,4435,0.10123,3.4704),(615,4445,0.091157,3.4695),(615,4455,0.081088,3.4694),(615,4465,0.094403,3.4692),(615,4475,0.14057,3.4691),(615,4485,0.18674,3.4664),(615,4495,0.22488,3.4633),(615,4505,0.23724,3.4601),(615,4515,0.2496,3.4548),(615,4525,0.26134,3.4484),(615,4535,0.26314,3.442),(615,4545,0.26495,3.4346),(615,4555,0.26675,3.4261),(615,4565,0.19416,3.4177),(615,4575,0.11155,3.4116),(615,4585,0.028929,3.4113),(615,4595,0.013498,3.411),(615,4605,0.026455,3.4104),(615,4615,0.039411,3.408),(615,4625,0.058936,3.4056),(615,4635,0.084408,3.4031),(615,4645,0.10988,3.3962),(615,4655,0.13831,3.389),(615,4665,0.17232,3.3818),(615,4675,0.20633,3.3702),(615,4685,0.22697,3.3573),(615,4695,0.18153,3.3443),(615,4705,0.13608,3.3362),(615,4715,0.090641,3.3317),(615,4725,0.096856,3.3272),(615,4735,0.10359,3.3223),(615,4745,0.11032,3.3171),(615,4755,0.14473,3.3118),(615,4765,0.18556,3.3049),(615,4775,0.22639,3.2924),(615,4785,0.25662,3.2799),(615,4795,0.28073,3.2672),(615,4805,0.30484,3.2501),(615,4815,0.3089,3.2331),(615,4825,0.28899,3.216),(615,4835,0.26908,3.2022),(615,4845,0.23775,3.1888),(615,4855,0.17666,3.1755),(615,4865,0.11556,3.1705),(615,4875,0.067509,3.1694),(615,4885,0.13816,3.1683),(615,4895,0.2088,3.1641),(615,4905,0.27945,3.157),(615,4915,0.28473,3.1499),(615,4925,0.2844,3.1422),(615,4935,0.28406,3.1332),(615,4945,0.2629,3.1241),(615,4955,0.23453,3.1154),(615,4965,0.20615,3.1082),(615,4975,0.16129,3.101),(615,4985,0.10369,3.0939),(615,4995,0.046099,3.0932),(615,5005,0.020696,3.0927),(615,5015,0.04647,3.0922),(615,5025,0.072243,3.0798),(615,5035,0.10027,3.0645),(615,5045,0.13691,3.0491),(615,5055,0.17355,3.0276),(615,5065,0.2101,3.0022),(615,5075,0.24403,2.9768),(615,5085,0.27795,2.949),(615,5095,0.31187,2.918),(615,5105,0.29184,2.8871),(615,5115,0.2624,2.8596),(615,5125,0.23295,2.8416),(615,5135,0.2056,2.8235),(615,5145,0.17925,2.8067),(615,5155,0.15291,2.8024),(615,5165,0.18955,2.7981),(615,5175,0.29042,2.7938),(615,5185,0.3913,2.7795),(615,5195,0.47095,2.7641),(615,5205,0.50482,2.7487),(615,5215,0.53869,2.7303),(615,5225,0.56937,2.7108),(615,5235,0.58015,2.6913),(615,5245,0.59092,2.6712),(615,5255,0.6017,2.6508),(615,5265,0.42013,2.6303),(615,5275,0.23062,2.6174),(615,5285,0.041105,2.6174),(615,5295,0.026627,2.6173),(615,5305,0.060891,2.6155),(615,5315,0.095155,2.6059),(615,5325,0.14464,2.5963),(615,5335,0.2041,2.5865),(615,5345,0.26356,2.5658),(615,5355,0.32242,2.5451),(615,5365,0.38045,2.5244),(615,5375,0.43848,2.4975),(615,5385,0.45705,2.4695),(615,5395,0.35564,2.4414),(615,5405,0.25423,2.4265),(615,5415,0.16306,2.4184),(615,5425,0.20945,2.4103),(615,5435,0.25584,2.408),(615,5445,0.30223,2.412),(615,5455,0.35635,2.416),(615,5465,0.41142,2.4197),(615,5475,0.46649,2.4226),(615,5485,0.48132,2.4256),(615,5495,0.47993,2.4281),(615,5505,0.47855,2.4274),(615,5515,0.47747,2.4267),(615,5525,0.47666,2.426),(615,5535,0.47584,2.422),(615,5545,0.47524,2.4178),(615,5555,0.47504,2.4137),(615,5565,0.47484,2.4068),(615,5575,0.47486,2.3991),(615,5585,0.47592,2.3914),(615,5595,0.47698,2.3818),(615,5605,0.47804,2.3709),(615,5615,0.481,2.3599),(615,5625,0.48395,2.3476),(615,5635,0.4869,2.3334),(615,5645,0.49168,2.3192),(615,5655,0.49685,2.3042),(615,5665,0.50202,2.2869),(615,5675,0.50879,2.2696),(615,5685,0.51645,2.2521),(615,5695,0.5241,2.2318),(615,5705,0.53298,2.2114),(615,5715,0.54326,2.1911),(615,5725,0.55354,2.1678),(615,5735,0.56455,2.1442),(615,5745,0.57736,2.1205),(615,5755,0.59017,2.0948),(615,5765,0.60324,2.0681),(615,5775,0.6184,2.0414),(615,5785,0.63356,2.0129),(615,5795,0.64872,1.9828),(615,5805,0.66572,1.9526),(615,5815,0.68286,1.9214),(615,5825,0.7,1.8882),(615,5835,0.71853,1.8551),(615,5845,0.73751,1.8214),(615,5855,0.75649,1.7849),(615,5865,0.77634,1.7484),(615,5875,0.79682,1.712),(615,5885,0.81731,1.6727),(615,5895,0.83832,1.6335),(615,5905,0.86015,1.5942),(615,5915,0.88197,1.5531),(615,5925,0.90397,1.5116),(615,5935,0.92657,1.47),(615,5945,0.94918,1.4267),(615,5955,0.9718,1.3824),(615,5965,0.99467,1.3381),(615,5975,1.0175,1.293),(615,5985,1.0404,1.2469),(615,5995,0.79882,1.2008),(615,6005,0.51467,1.1655),(615,6015,0.23051,1.1593),(615,6025,0.20183,1.1531),(615,6035,0.29164,1.1462),(615,6045,0.38145,1.1336),(615,6055,0.44917,1.121),(615,6065,0.49522,1.1084),(615,6075,0.54127,1.0915),(615,6085,0.57303,1.0742),(615,6095,0.57532,1.0569),(615,6105,0.57761,1.0395),(615,6115,0.57984,1.0219),(615,6125,0.58175,1.0044),(615,6135,0.58367,0.98662),(615,6145,0.58559,0.96865),(615,6155,0.58716,0.95068),(615,6165,0.58872,0.9324),(615,6175,0.59029,0.9136),(615,6185,0.59166,0.8948),(615,6195,0.59298,0.87595),(615,6205,0.5943,0.85693),(615,6215,0.59545,0.83791),(615,6225,0.5965,0.81887),(615,6235,0.59755,0.79926),(615,6245,0.59854,0.77965),(615,6255,0.59945,0.76004),(615,6265,0.60036,0.74012),(615,6275,0.60123,0.72015),(615,6285,0.60197,0.70018),(615,6295,0.60271,0.67988),(615,6305,0.60345,0.65942),(615,6315,0.60411,0.63896),(615,6325,0.60476,0.61837),(615,6335,0.60542,0.59766),(615,6345,0.60592,0.57695),(615,6355,0.6064,0.5561),(615,6365,0.60689,0.53494),(615,6375,0.60733,0.51379),(615,6385,0.60775,0.49261),(615,6395,0.60818,0.47134),(615,6405,0.60853,0.45007),(615,6415,0.60881,0.42879),(615,6425,0.6091,0.40718),(615,6435,0.60939,0.38555),(615,6445,0.60968,0.36393),(615,6455,0.60997,0.34237),(615,6465,0.61025,0.32082),(615,6475,0.61048,0.29928),(615,6485,0.61071,0.27741),(615,6495,0.61094,0.25532),(615,6505,0.61108,0.23323),(615,6515,0.61122,0.21113),(615,6525,0.61137,0.18903),(615,6535,0.61152,0.16693),(615,6545,0.61167,0.14486),(615,6555,0.61182,0.12289),(615,6565,0.61195,0.10093),(615,6575,0.61206,0.078937),(615,6585,0.61217,0.056652),(615,6595,0.52071,0.034367),(615,6605,0.32812,0.012081),(615,6615,0.13554,0.009524),(615,6625,0.000159,0.009501),(615,6635,0.00016,0.009478),(615,6645,0.000161,0.009467),(615,6655,0.000162,0.009461),(615,6665,0.000164,0.009455),(615,6675,0.000165,0.009449),(615,6685,0.000166,0.009443),(615,6695,0.000167,0.009437),(615,6705,0.000168,0.00943),(615,6715,0.00017,0.009424),(615,6725,0.000171,0.009418),(615,6735,0.000172,0.009411),(615,6745,0.000173,0.009405),(615,6755,0.000174,0.009399),(615,6765,0.000175,0.009392),(615,6775,0.000176,0.009386),(615,6785,0.000178,0.00938),(615,6795,0.000179,0.009373),(615,6805,0.00018,0.009366),(615,6815,0.000181,0.00936),(615,6825,0.000182,0.009354),(615,6835,0.000183,0.009347),(615,6845,0.000184,0.00934),(615,6855,0.000185,0.009334),(615,6865,0.000186,0.009327),(615,6875,0.000187,0.009321),(615,6885,0.000188,0.009314),(615,6895,0.000189,0.009307),(615,6905,0.00019,0.0093),(615,6915,0.000191,0.009294),(615,6925,0.000192,0.009287),(615,6935,0.000193,0.009281),(615,6945,0.000194,0.009274),(615,6955,0.000195,0.009267),(615,6965,0.000196,0.00926),(615,6975,0.000197,0.009253),(615,6985,0.000198,0.009246),(625,5,3.1e-05,3.6667),(625,15,9.4e-05,3.6667),(625,25,0.000157,3.6667),(625,35,0.00022,3.6667),(625,45,0.000283,3.6666),(625,55,0.000345,3.6666),(625,65,0.000408,3.6666),(625,75,0.000471,3.6666),(625,85,0.000534,3.6666),(625,95,0.000597,3.6666),(625,105,0.000661,3.6666),(625,115,0.000724,3.6665),(625,125,0.000787,3.6665),(625,135,0.000851,3.6665),(625,145,0.000914,3.6665),(625,155,0.000978,3.6664),(625,165,0.001041,3.6664),(625,175,0.001105,3.6664),(625,185,0.001169,3.6663),(625,195,0.001233,3.6663),(625,205,0.001297,3.6663),(625,215,0.001361,3.6662),(625,225,0.001425,3.6662),(625,235,0.00149,3.6661),(625,245,0.001554,3.6661),(625,255,0.001619,3.666),(625,265,0.001684,3.666),(625,275,0.001749,3.6659),(625,285,0.001814,3.6659),(625,295,0.00188,3.6658),(625,305,0.001945,3.6657),(625,315,0.002011,3.6657),(625,325,0.002077,3.6656),(625,335,0.002143,3.6656),(625,345,0.00221,3.6655),(625,355,0.002276,3.6654),(625,365,0.002343,3.6653),(625,375,0.00241,3.6653),(625,385,0.002478,3.6652),(625,395,0.002545,3.6651),(625,405,0.002613,3.665),(625,415,0.002681,3.6649),(625,425,0.00275,3.6649),(625,435,0.002818,3.6648),(625,445,0.002887,3.6647),(625,455,0.002956,3.6646),(625,465,0.003025,3.6645),(625,475,0.003095,3.6644),(625,485,0.003165,3.6643),(625,495,0.003235,3.6642),(625,505,0.003306,3.6641),(625,515,0.003377,3.664),(625,525,0.003448,3.6639),(625,535,0.00352,3.6638),(625,545,0.003592,3.6637),(625,555,0.003664,3.6636),(625,565,0.003737,3.6634),(625,575,0.003809,3.6633),(625,585,0.003883,3.6632),(625,595,0.003957,3.6631),(625,605,0.004031,3.6629),(625,615,0.004105,3.6628),(625,625,0.00418,3.6627),(625,635,0.004256,3.6626),(625,645,0.004331,3.6624),(625,655,0.004407,3.6623),(625,665,0.004484,3.6621),(625,675,0.004561,3.662),(625,685,0.004638,3.6619),(625,695,0.004715,3.6617),(625,705,0.004794,3.6616),(625,715,0.004872,3.6614),(625,725,0.004951,3.6613),(625,735,0.00503,3.6611),(625,745,0.00511,3.6609),(625,755,0.005191,3.6608),(625,765,0.005271,3.6606),(625,775,0.005352,3.6604),(625,785,0.005434,3.6603),(625,795,0.005516,3.6601),(625,805,0.005598,3.6599),(625,815,0.005681,3.6597),(625,825,0.005765,3.6596),(625,835,0.005849,3.6594),(625,845,0.005933,3.6592),(625,855,0.006018,3.659),(625,865,0.006104,3.6588),(625,875,0.00619,3.6586),(625,885,0.006277,3.6584),(625,895,0.006364,3.6582),(625,905,0.006452,3.658),(625,915,0.00654,3.6578),(625,925,0.006628,3.6576),(625,935,0.006718,3.6574),(625,945,0.006808,3.6572),(625,955,0.006898,3.657),(625,965,0.006989,3.6568),(625,975,0.00708,3.6565),(625,985,0.007173,3.6563),(625,995,0.007265,3.6561),(625,1005,0.007358,3.6558),(625,1015,0.007452,3.6556),(625,1025,0.007547,3.6554),(625,1035,0.007642,3.6551),(625,1045,0.007737,3.6549),(625,1055,0.007833,3.6546),(625,1065,0.007931,3.6544),(625,1075,0.008028,3.6541),(625,1085,0.008125,3.6539),(625,1095,0.008224,3.6536),(625,1105,0.008324,3.6534),(625,1115,0.008424,3.6531),(625,1125,0.008524,3.6528),(625,1135,0.008625,3.6526),(625,1145,0.008727,3.6523),(625,1155,0.00883,3.652),(625,1165,0.008932,3.6517),(625,1175,0.009036,3.6514),(625,1185,0.009141,3.6512),(625,1195,0.009246,3.6509),(625,1205,0.009351,3.6506),(625,1215,0.009457,3.6503),(625,1225,0.009565,3.65),(625,1235,0.009672,3.6497),(625,1245,0.00978,3.6493),(625,1255,0.009889,3.649),(625,1265,0.009999,3.6487),(625,1275,0.010109,3.6484),(625,1285,0.010219,3.6481),(625,1295,0.010331,3.6478),(625,1305,0.010444,3.6474),(625,1315,0.010557,3.6471),(625,1325,0.010669,3.6467),(625,1335,0.010784,3.6464),(625,1345,0.0109,3.6461),(625,1355,0.011015,3.6457),(625,1365,0.011131,3.6454),(625,1375,0.011249,3.645),(625,1385,0.011367,3.6447),(625,1395,0.011485,3.6443),(625,1405,0.011604,3.6439),(625,1415,0.011724,3.6435),(625,1425,0.011846,3.6432),(625,1435,0.011967,3.6428),(625,1445,0.012088,3.6424),(625,1455,0.012211,3.642),(625,1465,0.012335,3.6416),(625,1475,0.012459,3.6412),(625,1485,0.012583,3.6408),(625,1495,0.012709,3.6404),(625,1505,0.012836,3.64),(625,1515,0.012962,3.6396),(625,1525,0.013089,3.6392),(625,1535,0.013218,3.6388),(625,1545,0.013348,3.6383),(625,1555,0.013477,3.6379),(625,1565,0.013607,3.6375),(625,1575,0.013739,3.637),(625,1585,0.013871,3.6366),(625,1595,0.014003,3.6361),(625,1605,0.014135,3.6357),(625,1615,0.01427,3.6352),(625,1625,0.014405,3.6348),(625,1635,0.01454,3.6343),(625,1645,0.014675,3.6338),(625,1655,0.014813,3.6334),(625,1665,0.01495,3.6329),(625,1675,0.015088,3.6324),(625,1685,0.015226,3.6319),(625,1695,0.015366,3.6314),(625,1705,0.015507,3.631),(625,1715,0.015647,3.6304),(625,1725,0.015788,3.6299),(625,1735,0.015931,3.6294),(625,1745,0.016074,3.6289),(625,1755,0.016217,3.6284),(625,1765,0.016361,3.6279),(625,1775,0.016507,3.6273),(625,1785,0.016653,3.6268),(625,1795,0.016799,3.6263),(625,1805,0.016945,3.6257),(625,1815,0.017094,3.6252),(625,1825,0.017242,3.6246),(625,1835,0.017391,3.6241),(625,1845,0.01754,3.6235),(625,1855,0.017691,3.6229),(625,1865,0.017841,3.6224),(625,1875,0.017992,3.6218),(625,1885,0.018144,3.6212),(625,1895,0.018297,3.6206),(625,1905,0.01845,3.62),(625,1915,0.018604,3.6194),(625,1925,0.018758,3.6188),(625,1935,0.018914,3.6182),(625,1945,0.019069,3.6176),(625,1955,0.019225,3.617),(625,1965,0.019382,3.6164),(625,1975,0.01954,3.6157),(625,1985,0.019699,3.6151),(625,1995,0.019857,3.6145),(625,2005,0.020016,3.6138),(625,2015,0.020177,3.6132),(625,2025,0.020337,3.6125),(625,2035,0.020498,3.6119),(625,2045,0.02066,3.6112),(625,2055,0.020822,3.6105),(625,2065,0.020985,3.6098),(625,2075,0.021148,3.6092),(625,2085,0.021312,3.6085),(625,2095,0.021477,3.6078),(625,2105,0.021642,3.6071),(625,2115,0.021807,3.6064),(625,2125,0.021973,3.6057),(625,2135,0.022141,3.605),(625,2145,0.022308,3.6043),(625,2155,0.022475,3.6035),(625,2165,0.022644,3.6028),(625,2175,0.022813,3.6021),(625,2185,0.022982,3.6013),(625,2195,0.023152,3.6006),(625,2205,0.023322,3.5998),(625,2215,0.023494,3.5991),(625,2225,0.023665,3.5983),(625,2235,0.023837,3.5975),(625,2245,0.02401,3.5968),(625,2255,0.024184,3.596),(625,2265,0.024357,3.5952),(625,2275,0.024531,3.5944),(625,2285,0.024706,3.5936),(625,2295,0.024882,3.5928),(625,2305,0.025058,3.592),(625,2315,0.025234,3.5912),(625,2325,0.025411,3.5904),(625,2335,0.025589,3.5896),(625,2345,0.025767,3.5887),(625,2355,0.025945,3.5879),(625,2365,0.026125,3.5871),(625,2375,0.026305,3.5862),(625,2385,0.026485,3.5854),(625,2395,0.026665,3.5845),(625,2405,0.026847,3.5837),(625,2415,0.027029,3.5828),(625,2425,0.027212,3.5819),(625,2435,0.027394,3.581),(625,2445,0.027579,3.5802),(625,2455,0.027764,3.5793),(625,2465,0.027949,3.5784),(625,2475,0.028133,3.5775),(625,2485,0.028321,3.5766),(625,2495,0.028509,3.5757),(625,2505,0.028696,3.5748),(625,2515,0.028884,3.5739),(625,2525,0.029074,3.5729),(625,2535,0.029265,3.572),(625,2545,0.029455,3.5711),(625,2555,0.029646,3.5701),(625,2565,0.02984,3.5692),(625,2575,0.030033,3.5682),(625,2585,0.030227,3.5673),(625,2595,0.030421,3.5663),(625,2605,0.030618,3.5654),(625,2615,0.030815,3.5644),(625,2625,0.031012,3.5634),(625,2635,0.03121,3.5624),(625,2645,0.031412,3.5615),(625,2655,0.031613,3.5605),(625,2665,0.031815,3.5595),(625,2675,0.032017,3.5585),(625,2685,0.032223,3.5575),(625,2695,0.03243,3.5565),(625,2705,0.032636,3.5555),(625,2715,0.032844,3.5544),(625,2725,0.033055,3.5534),(625,2735,0.033267,3.5524),(625,2745,0.033479,3.5514),(625,2755,0.033693,3.5503),(625,2765,0.033911,3.5493),(625,2775,0.034129,3.5483),(625,2785,0.034347,3.5472),(625,2795,0.034568,3.5462),(625,2805,0.034793,3.5451),(625,2815,0.035019,3.5441),(625,2825,0.035245,3.543),(625,2835,0.035473,3.5419),(625,2845,0.035707,3.5409),(625,2855,0.035941,3.5398),(625,2865,0.036176,3.5387),(625,2875,0.036413,3.5377),(625,2885,0.036657,3.5366),(625,2895,0.036901,3.5355),(625,2905,0.037145,3.5344),(625,2915,0.037394,3.5333),(625,2925,0.03765,3.5322),(625,2935,0.037905,3.5312),(625,2945,0.038161,3.5301),(625,2955,0.038422,3.529),(625,2965,0.038691,3.5279),(625,2975,0.03896,3.5268),(625,2985,0.039229,3.5257),(625,2995,0.039505,3.5246),(625,3005,0.039789,3.5235),(625,3015,0.040073,3.5224),(625,3025,0.040357,3.5212),(625,3035,0.04065,3.5201),(625,3045,0.040952,3.519),(625,3055,0.041253,3.5179),(625,3065,0.041555,3.5168),(625,3075,0.041868,3.5157),(625,3085,0.042189,3.5146),(625,3095,0.042511,3.5135),(625,3105,0.042832,3.5124),(625,3115,0.043168,3.5113),(625,3125,0.043512,3.5102),(625,3135,0.043856,3.5091),(625,3145,0.044201,3.508),(625,3155,0.044562,3.5069),(625,3165,0.044932,3.5058),(625,3175,0.045302,3.5047),(625,3185,0.045672,3.5036),(625,3195,0.046062,3.5026),(625,3205,0.046462,3.5015),(625,3215,0.046861,3.5004),(625,3225,0.04726,3.4993),(625,3235,0.047682,3.4983),(625,3245,0.048113,3.4972),(625,3255,0.048544,3.4962),(625,3265,0.048976,3.4951),(625,3275,0.049434,3.4941),(625,3285,0.049901,3.4931),(625,3295,0.050367,3.4921),(625,3305,0.050834,3.4911),(625,3315,0.051332,3.4901),(625,3325,0.051837,3.4891),(625,3335,0.052342,3.4881),(625,3345,0.052848,3.4872),(625,3355,0.053388,3.4862),(625,3365,0.053935,3.4853),(625,3375,0.054481,3.4844),(625,3385,0.055028,3.4835),(625,3395,0.055613,3.4826),(625,3405,0.056203,3.4817),(625,3415,0.056794,3.4809),(625,3425,0.057384,3.48),(625,3435,0.058015,3.4792),(625,3445,0.058649,3.4784),(625,3455,0.059284,3.4777),(625,3465,0.059918,3.477),(625,3475,0.060595,3.4762),(625,3485,0.061272,3.4755),(625,3495,0.06195,3.4749),(625,3505,0.062628,3.4743),(625,3515,0.063345,3.4737),(625,3525,0.064063,3.473),(625,3535,0.06478,3.4726),(625,3545,0.065499,3.4721),(625,3555,0.066249,3.4716),(625,3565,0.066999,3.4711),(625,3575,0.067748,3.4708),(625,3585,0.0685,3.4705),(625,3595,0.06927,3.4702),(625,3605,0.070041,3.4699),(625,3615,0.070811,3.4697),(625,3625,0.071581,3.4696),(625,3635,0.072353,3.4695),(625,3645,0.073125,3.4694),(625,3655,0.073897,3.4694),(625,3665,0.074665,3.4695),(625,3675,0.075412,3.4696),(625,3685,0.076158,3.4697),(625,3695,0.076905,3.4701),(625,3705,0.077639,3.4704),(625,3715,0.078323,3.4707),(625,3725,0.079008,3.4711),(625,3735,0.079693,3.4717),(625,3745,0.080351,3.4723),(625,3755,0.080926,3.4729),(625,3765,0.081502,3.4735),(625,3775,0.082077,3.4744),(625,3785,0.082605,3.4753),(625,3795,0.083014,3.4762),(625,3805,0.083422,3.4771),(625,3815,0.083831,3.4783),(625,3825,0.084164,3.4795),(625,3835,0.08434,3.4806),(625,3845,0.084515,3.4819),(625,3855,0.084691,3.4834),(625,3865,0.084757,3.4848),(625,3875,0.084629,3.4863),(625,3885,0.084502,3.4878),(625,3895,0.084375,3.4895),(625,3905,0.10127,3.4912),(625,3915,0.14358,3.4929),(625,3925,0.1859,3.496),(625,3935,0.22822,3.5011),(625,3945,0.26485,3.5062),(625,3955,0.29426,3.5113),(625,3965,0.32367,3.516),(625,3975,0.35308,3.5203),(625,3985,0.36138,3.5245),(625,3995,0.34684,3.5287),(625,4005,0.33231,3.5313),(625,4015,0.31777,3.5322),(625,4025,0.3038,3.5332),(625,4035,0.2899,3.5333),(625,4045,0.27599,3.5319),(625,4055,0.26318,3.5305),(625,4065,0.25078,3.5289),(625,4075,0.23838,3.5258),(625,4085,0.22684,3.5227),(625,4095,0.216,3.5197),(625,4105,0.20516,3.5159),(625,4115,0.18857,3.512),(625,4125,0.16245,3.5082),(625,4135,0.13633,3.5052),(625,4145,0.11164,3.5025),(625,4155,0.092727,3.4999),(625,4165,0.073818,3.4983),(625,4175,0.055837,3.4975),(625,4185,0.08383,3.4967),(625,4195,0.11182,3.495),(625,4205,0.13981,3.4922),(625,4215,0.13759,3.4894),(625,4225,0.12969,3.4866),(625,4235,0.12178,3.4839),(625,4245,0.11046,3.4812),(625,4255,0.097401,3.4785),(625,4265,0.084345,3.4766),(625,4275,0.068534,3.4747),(625,4285,0.049799,3.4729),(625,4295,0.031063,3.4723),(625,4305,0.024403,3.472),(625,4315,0.045012,3.4717),(625,4325,0.06562,3.4722),(625,4335,0.085797,3.473),(625,4345,0.10305,3.4739),(625,4355,0.1203,3.4739),(625,4365,0.13755,3.4733),(625,4375,0.15319,3.4726),(625,4385,0.16875,3.4716),(625,4395,0.1843,3.47),(625,4405,0.1682,3.4684),(625,4415,0.14277,3.4669),(625,4425,0.11734,3.4663),(625,4435,0.10093,3.4657),(625,4445,0.090693,3.4651),(625,4455,0.080455,3.4649),(625,4465,0.093832,3.4646),(625,4475,0.14038,3.4643),(625,4485,0.18694,3.4615),(625,4495,0.22556,3.4582),(625,4505,0.23876,3.4548),(625,4515,0.25196,3.4496),(625,4525,0.26452,3.4433),(625,4535,0.26693,3.437),(625,4545,0.26933,3.4299),(625,4555,0.27174,3.4218),(625,4565,0.19787,3.4137),(625,4575,0.11373,3.4079),(625,4585,0.029586,3.4076),(625,4595,0.013963,3.4073),(625,4605,0.027292,3.4067),(625,4615,0.040621,3.4041),(625,4625,0.060836,3.4016),(625,4635,0.087287,3.399),(625,4645,0.11374,3.3922),(625,4655,0.14323,3.385),(625,4665,0.17846,3.3778),(625,4675,0.21369,3.3666),(625,4685,0.23504,3.354),(625,4695,0.18786,3.3414),(625,4705,0.14068,3.3335),(625,4715,0.093499,3.3291),(625,4725,0.099596,3.3247),(625,4735,0.10623,3.3198),(625,4745,0.11286,3.3143),(625,4755,0.14842,3.3087),(625,4765,0.19069,3.3016),(625,4775,0.23295,3.289),(625,4785,0.26438,3.2764),(625,4795,0.28954,3.2636),(625,4805,0.3147,3.2468),(625,4815,0.31905,3.2301),(625,4825,0.29849,3.2133),(625,4835,0.27794,3.1998),(625,4845,0.24541,3.1869),(625,4855,0.18163,3.1739),(625,4865,0.11785,3.169),(625,4875,0.06744,3.1677),(625,4885,0.1386,3.1664),(625,4895,0.20975,3.1619),(625,4905,0.28091,3.1545),(625,4915,0.2868,3.147),(625,4925,0.28709,3.139),(625,4935,0.28737,3.1299),(625,4945,0.26635,3.1208),(625,4955,0.23795,3.112),(625,4965,0.20954,3.1049),(625,4975,0.16411,3.0978),(625,4985,0.10554,3.0907),(625,4995,0.046961,3.0901),(625,5005,0.022131,3.0896),(625,5015,0.05095,3.0891),(625,5025,0.079768,3.0766),(625,5035,0.11066,3.061),(625,5045,0.14948,3.0454),(625,5055,0.18829,3.0238),(625,5065,0.227,2.9985),(625,5075,0.26218,2.9732),(625,5085,0.29737,2.9456),(625,5095,0.33256,2.9152),(625,5105,0.31037,2.8848),(625,5115,0.27818,2.8578),(625,5125,0.24599,2.8402),(625,5135,0.21543,2.8226),(625,5145,0.18567,2.8062),(625,5155,0.15591,2.8017),(625,5165,0.19154,2.7972),(625,5175,0.29388,2.7927),(625,5185,0.39621,2.7781),(625,5195,0.47712,2.7625),(625,5205,0.51183,2.7469),(625,5215,0.54654,2.7285),(625,5225,0.57798,2.709),(625,5235,0.58907,2.6895),(625,5245,0.60015,2.6696),(625,5255,0.61124,2.6494),(625,5265,0.42679,2.6292),(625,5275,0.23428,2.6164),(625,5285,0.041772,2.6164),(625,5295,0.027947,2.6164),(625,5305,0.063882,2.6145),(625,5315,0.099817,2.6048),(625,5325,0.15122,2.595),(625,5335,0.21277,2.5851),(625,5345,0.27432,2.5644),(625,5355,0.33496,2.5437),(625,5365,0.39438,2.523),(625,5375,0.4538,2.4963),(625,5385,0.4725,2.4685),(625,5395,0.36741,2.4407),(625,5405,0.26232,2.426),(625,5415,0.16748,2.418),(625,5425,0.21022,2.41),(625,5435,0.25297,2.4076),(625,5445,0.29571,2.4112),(625,5455,0.34905,2.4147),(625,5465,0.40369,2.418),(625,5475,0.45832,2.4204),(625,5485,0.47369,2.4229),(625,5495,0.47325,2.4249),(625,5505,0.47281,2.4239),(625,5515,0.47267,2.4229),(625,5525,0.47278,2.4219),(625,5535,0.4729,2.4177),(625,5545,0.47321,2.4133),(625,5555,0.4739,2.4089),(625,5565,0.47458,2.4018),(625,5575,0.47547,2.394),(625,5585,0.47734,2.3861),(625,5595,0.47922,2.3764),(625,5605,0.48109,2.3654),(625,5615,0.4848,2.3543),(625,5625,0.48851,2.3419),(625,5635,0.49221,2.3276),(625,5645,0.4977,2.3132),(625,5655,0.50358,2.2982),(625,5665,0.50946,2.2808),(625,5675,0.51692,2.2634),(625,5685,0.52524,2.2458),(625,5695,0.53357,2.2254),(625,5705,0.54312,2.2049),(625,5715,0.55407,2.1845),(625,5725,0.56502,2.1612),(625,5735,0.57669,2.1375),(625,5745,0.59018,2.1138),(625,5755,0.60366,2.088),(625,5765,0.6174,2.0613),(625,5775,0.63322,2.0346),(625,5785,0.64904,2.0061),(625,5795,0.66487,1.976),(625,5805,0.68253,1.9458),(625,5815,0.70033,1.9147),(625,5825,0.71813,1.8816),(625,5835,0.73729,1.8486),(625,5845,0.7569,1.815),(625,5855,0.77651,1.7787),(625,5865,0.79695,1.7424),(625,5875,0.81802,1.7061),(625,5885,0.83908,1.6672),(625,5895,0.86064,1.6282),(625,5905,0.88295,1.5892),(625,5915,0.90527,1.5485),(625,5925,0.92773,1.5073),(625,5935,0.95072,1.4662),(625,5945,0.97372,1.4233),(625,5955,0.99672,1.3795),(625,5965,1.0199,1.3356),(625,5975,1.0431,1.2911),(625,5985,1.0663,1.2456),(625,5995,0.81866,1.2),(625,6005,0.52744,1.1652),(625,6015,0.23621,1.1591),(625,6025,0.20572,1.1529),(625,6035,0.29616,1.1461),(625,6045,0.38659,1.1334),(625,6055,0.45492,1.1207),(625,6065,0.50159,1.108),(625,6075,0.54826,1.0911),(625,6085,0.58046,1.0737),(625,6095,0.58285,1.0564),(625,6105,0.58523,1.0389),(625,6115,0.58756,1.0213),(625,6125,0.5896,1.0037),(625,6135,0.59164,0.98581),(625,6145,0.59368,0.96777),(625,6155,0.59537,0.94973),(625,6165,0.59705,0.93139),(625,6175,0.59873,0.91256),(625,6185,0.60022,0.89373),(625,6195,0.60167,0.87485),(625,6205,0.60312,0.85579),(625,6215,0.60439,0.83673),(625,6225,0.60555,0.81765),(625,6235,0.60671,0.79805),(625,6245,0.60781,0.77845),(625,6255,0.60882,0.75885),(625,6265,0.60984,0.73894),(625,6275,0.61081,0.71897),(625,6285,0.61165,0.699),(625,6295,0.61248,0.67872),(625,6305,0.61332,0.65829),(625,6315,0.61407,0.63786),(625,6325,0.61483,0.61729),(625,6335,0.61558,0.59658),(625,6345,0.61617,0.57587),(625,6355,0.61673,0.55503),(625,6365,0.61729,0.53391),(625,6375,0.61781,0.5128),(625,6385,0.61832,0.49166),(625,6395,0.61882,0.4704),(625,6405,0.61924,0.44914),(625,6415,0.61958,0.42788),(625,6425,0.61992,0.40633),(625,6435,0.62027,0.38476),(625,6445,0.6206,0.3632),(625,6455,0.62094,0.34168),(625,6465,0.62126,0.32018),(625,6475,0.62152,0.29867),(625,6485,0.62178,0.27684),(625,6495,0.62204,0.25478),(625,6505,0.6222,0.23273),(625,6515,0.62237,0.21068),(625,6525,0.62253,0.18864),(625,6535,0.6227,0.16661),(625,6545,0.62286,0.1446),(625,6555,0.62302,0.12269),(625,6565,0.62315,0.10077),(625,6575,0.62326,0.07884),(625,6585,0.62337,0.056615),(625,6595,0.53023,0.034389),(625,6605,0.33413,0.012164),(625,6615,0.13802,0.009588),(625,6625,0.000162,0.009538),(625,6635,0.000163,0.009487),(625,6645,0.000164,0.009468),(625,6655,0.000166,0.009462),(625,6665,0.000167,0.009456),(625,6675,0.000168,0.00945),(625,6685,0.000169,0.009444),(625,6695,0.00017,0.009438),(625,6705,0.000172,0.009432),(625,6715,0.000173,0.009425),(625,6725,0.000174,0.009419),(625,6735,0.000175,0.009413),(625,6745,0.000176,0.009406),(625,6755,0.000177,0.0094),(625,6765,0.000179,0.009394),(625,6775,0.00018,0.009387),(625,6785,0.000181,0.009381),(625,6795,0.000182,0.009374),(625,6805,0.000183,0.009368),(625,6815,0.000184,0.009361),(625,6825,0.000185,0.009355),(625,6835,0.000186,0.009348),(625,6845,0.000187,0.009342),(625,6855,0.000188,0.009335),(625,6865,0.00019,0.009328),(625,6875,0.000191,0.009322),(625,6885,0.000192,0.009315),(625,6895,0.000193,0.009308),(625,6905,0.000194,0.009302),(625,6915,0.000195,0.009295),(625,6925,0.000196,0.009288),(625,6935,0.000197,0.009281),(625,6945,0.000198,0.009275),(625,6955,0.000199,0.009268),(625,6965,0.0002,0.009261),(625,6975,0.000201,0.009254),(625,6985,0.000202,0.009247),(635,5,3.2e-05,3.6667),(635,15,9.5e-05,3.6667),(635,25,0.000159,3.6667),(635,35,0.000223,3.6667),(635,45,0.000287,3.6667),(635,55,0.00035,3.6667),(635,65,0.000414,3.6667),(635,75,0.000478,3.6667),(635,85,0.000542,3.6667),(635,95,0.000606,3.6666),(635,105,0.00067,3.6666),(635,115,0.000734,3.6666),(635,125,0.000798,3.6666),(635,135,0.000863,3.6666),(635,145,0.000927,3.6665),(635,155,0.000992,3.6665),(635,165,0.001056,3.6665),(635,175,0.001121,3.6664),(635,185,0.001185,3.6664),(635,195,0.001251,3.6664),(635,205,0.001316,3.6663),(635,215,0.00138,3.6663),(635,225,0.001446,3.6662),(635,235,0.001511,3.6662),(635,245,0.001577,3.6661),(635,255,0.001642,3.6661),(635,265,0.001708,3.666),(635,275,0.001774,3.666),(635,285,0.00184,3.6659),(635,295,0.001907,3.6659),(635,305,0.001973,3.6658),(635,315,0.00204,3.6658),(635,325,0.002107,3.6657),(635,335,0.002174,3.6656),(635,345,0.002242,3.6655),(635,355,0.002309,3.6655),(635,365,0.002377,3.6654),(635,375,0.002445,3.6653),(635,385,0.002513,3.6653),(635,395,0.002582,3.6652),(635,405,0.002651,3.6651),(635,415,0.00272,3.665),(635,425,0.002789,3.6649),(635,435,0.002859,3.6648),(635,445,0.002929,3.6648),(635,455,0.002998,3.6647),(635,465,0.003069,3.6646),(635,475,0.00314,3.6645),(635,485,0.003211,3.6644),(635,495,0.003282,3.6643),(635,505,0.003354,3.6642),(635,515,0.003426,3.6641),(635,525,0.003498,3.664),(635,535,0.00357,3.6638),(635,545,0.003644,3.6637),(635,555,0.003717,3.6636),(635,565,0.003791,3.6635),(635,575,0.003865,3.6634),(635,585,0.00394,3.6633),(635,595,0.004014,3.6631),(635,605,0.004089,3.663),(635,615,0.004164,3.6629),(635,625,0.004241,3.6628),(635,635,0.004317,3.6626),(635,645,0.004394,3.6625),(635,655,0.004471,3.6624),(635,665,0.004549,3.6622),(635,675,0.004627,3.6621),(635,685,0.004705,3.6619),(635,695,0.004783,3.6618),(635,705,0.004863,3.6616),(635,715,0.004943,3.6615),(635,725,0.005023,3.6613),(635,735,0.005103,3.6612),(635,745,0.005185,3.661),(635,755,0.005266,3.6609),(635,765,0.005348,3.6607),(635,775,0.00543,3.6605),(635,785,0.005513,3.6604),(635,795,0.005596,3.6602),(635,805,0.00568,3.66),(635,815,0.005764,3.6598),(635,825,0.005849,3.6597),(635,835,0.005935,3.6595),(635,845,0.00602,3.6593),(635,855,0.006106,3.6591),(635,865,0.006194,3.6589),(635,875,0.006281,3.6587),(635,885,0.006369,3.6585),(635,895,0.006457,3.6583),(635,905,0.006547,3.6581),(635,915,0.006636,3.6579),(635,925,0.006726,3.6577),(635,935,0.006816,3.6575),(635,945,0.006908,3.6573),(635,955,0.007,3.6571),(635,965,0.007091,3.6568),(635,975,0.007184,3.6566),(635,985,0.007278,3.6564),(635,995,0.007372,3.6562),(635,1005,0.007466,3.6559),(635,1015,0.007561,3.6557),(635,1025,0.007658,3.6555),(635,1035,0.007754,3.6552),(635,1045,0.007851,3.655),(635,1055,0.007949,3.6547),(635,1065,0.008048,3.6545),(635,1075,0.008146,3.6542),(635,1085,0.008245,3.654),(635,1095,0.008346,3.6537),(635,1105,0.008447,3.6535),(635,1115,0.008549,3.6532),(635,1125,0.00865,3.6529),(635,1135,0.008753,3.6527),(635,1145,0.008857,3.6524),(635,1155,0.008961,3.6521),(635,1165,0.009064,3.6518),(635,1175,0.00917,3.6515),(635,1185,0.009277,3.6513),(635,1195,0.009383,3.651),(635,1205,0.009489,3.6507),(635,1215,0.009598,3.6504),(635,1225,0.009707,3.6501),(635,1235,0.009816,3.6498),(635,1245,0.009925,3.6495),(635,1255,0.010036,3.6491),(635,1265,0.010148,3.6488),(635,1275,0.01026,3.6485),(635,1285,0.010372,3.6482),(635,1295,0.010486,3.6479),(635,1305,0.0106,3.6475),(635,1315,0.010715,3.6472),(635,1325,0.010829,3.6469),(635,1335,0.010946,3.6465),(635,1345,0.011063,3.6462),(635,1355,0.01118,3.6458),(635,1365,0.011298,3.6455),(635,1375,0.011417,3.6451),(635,1385,0.011538,3.6448),(635,1395,0.011658,3.6444),(635,1405,0.011778,3.644),(635,1415,0.011901,3.6437),(635,1425,0.012024,3.6433),(635,1435,0.012147,3.6429),(635,1445,0.01227,3.6425),(635,1455,0.012395,3.6421),(635,1465,0.012521,3.6418),(635,1475,0.012647,3.6413),(635,1485,0.012773,3.6409),(635,1495,0.012901,3.6405),(635,1505,0.01303,3.6401),(635,1515,0.013159,3.6397),(635,1525,0.013287,3.6393),(635,1535,0.013419,3.6389),(635,1545,0.01355,3.6385),(635,1555,0.013681,3.638),(635,1565,0.013813,3.6376),(635,1575,0.013947,3.6372),(635,1585,0.014081,3.6367),(635,1595,0.014216,3.6363),(635,1605,0.01435,3.6358),(635,1615,0.014487,3.6354),(635,1625,0.014624,3.6349),(635,1635,0.014761,3.6345),(635,1645,0.014899,3.634),(635,1655,0.015038,3.6335),(635,1665,0.015178,3.633),(635,1675,0.015318,3.6326),(635,1685,0.015458,3.6321),(635,1695,0.015601,3.6316),(635,1705,0.015744,3.6311),(635,1715,0.015886,3.6306),(635,1725,0.016029,3.6301),(635,1735,0.016175,3.6296),(635,1745,0.01632,3.6291),(635,1755,0.016466,3.6285),(635,1765,0.016612,3.628),(635,1775,0.01676,3.6275),(635,1785,0.016908,3.627),(635,1795,0.017056,3.6264),(635,1805,0.017205,3.6259),(635,1815,0.017356,3.6253),(635,1825,0.017507,3.6248),(635,1835,0.017658,3.6242),(635,1845,0.017809,3.6237),(635,1855,0.017963,3.6231),(635,1865,0.018116,3.6225),(635,1875,0.018269,3.6219),(635,1885,0.018423,3.6214),(635,1895,0.018579,3.6208),(635,1905,0.018735,3.6202),(635,1915,0.018891,3.6196),(635,1925,0.019047,3.619),(635,1935,0.019206,3.6184),(635,1945,0.019364,3.6178),(635,1955,0.019522,3.6171),(635,1965,0.019681,3.6165),(635,1975,0.019842,3.6159),(635,1985,0.020003,3.6153),(635,1995,0.020164,3.6146),(635,2005,0.020326,3.614),(635,2015,0.020489,3.6133),(635,2025,0.020652,3.6127),(635,2035,0.020815,3.612),(635,2045,0.020979,3.6114),(635,2055,0.021145,3.6107),(635,2065,0.02131,3.61),(635,2075,0.021476,3.6093),(635,2085,0.021642,3.6086),(635,2095,0.02181,3.608),(635,2105,0.021978,3.6073),(635,2115,0.022145,3.6066),(635,2125,0.022314,3.6058),(635,2135,0.022484,3.6051),(635,2145,0.022654,3.6044),(635,2155,0.022824,3.6037),(635,2165,0.022995,3.603),(635,2175,0.023167,3.6022),(635,2185,0.023339,3.6015),(635,2195,0.023511,3.6007),(635,2205,0.023684,3.6),(635,2215,0.023858,3.5992),(635,2225,0.024032,3.5985),(635,2235,0.024206,3.5977),(635,2245,0.024382,3.5969),(635,2255,0.024558,3.5962),(635,2265,0.024734,3.5954),(635,2275,0.024911,3.5946),(635,2285,0.025089,3.5938),(635,2295,0.025267,3.593),(635,2305,0.025445,3.5922),(635,2315,0.025624,3.5914),(635,2325,0.025804,3.5906),(635,2335,0.025984,3.5898),(635,2345,0.026165,3.5889),(635,2355,0.026345,3.5881),(635,2365,0.026527,3.5872),(635,2375,0.02671,3.5864),(635,2385,0.026892,3.5856),(635,2395,0.027075,3.5847),(635,2405,0.027259,3.5838),(635,2415,0.027444,3.583),(635,2425,0.027629,3.5821),(635,2435,0.027814,3.5812),(635,2445,0.028001,3.5804),(635,2455,0.028188,3.5795),(635,2465,0.028376,3.5786),(635,2475,0.028563,3.5777),(635,2485,0.028753,3.5768),(635,2495,0.028943,3.5759),(635,2505,0.029133,3.575),(635,2515,0.029323,3.574),(635,2525,0.029515,3.5731),(635,2535,0.029708,3.5722),(635,2545,0.029901,3.5713),(635,2555,0.030094,3.5703),(635,2565,0.030289,3.5694),(635,2575,0.030485,3.5684),(635,2585,0.030681,3.5675),(635,2595,0.030877,3.5665),(635,2605,0.031076,3.5656),(635,2615,0.031275,3.5646),(635,2625,0.031474,3.5636),(635,2635,0.031674,3.5626),(635,2645,0.031878,3.5617),(635,2655,0.032081,3.5607),(635,2665,0.032284,3.5597),(635,2675,0.032488,3.5587),(635,2685,0.032696,3.5577),(635,2695,0.032904,3.5567),(635,2705,0.033112,3.5557),(635,2715,0.033321,3.5547),(635,2725,0.033534,3.5536),(635,2735,0.033747,3.5526),(635,2745,0.033961,3.5516),(635,2755,0.034175,3.5506),(635,2765,0.034395,3.5495),(635,2775,0.034614,3.5485),(635,2785,0.034833,3.5474),(635,2795,0.035055,3.5464),(635,2805,0.035281,3.5454),(635,2815,0.035507,3.5443),(635,2825,0.035734,3.5432),(635,2835,0.035963,3.5422),(635,2845,0.036197,3.5411),(635,2855,0.036432,3.5401),(635,2865,0.036667,3.539),(635,2875,0.036905,3.5379),(635,2885,0.037149,3.5368),(635,2895,0.037393,3.5358),(635,2905,0.037637,3.5347),(635,2915,0.037885,3.5336),(635,2925,0.03814,3.5325),(635,2935,0.038395,3.5314),(635,2945,0.03865,3.5303),(635,2955,0.038911,3.5292),(635,2965,0.039178,3.5281),(635,2975,0.039446,3.527),(635,2985,0.039714,3.5259),(635,2995,0.039989,3.5248),(635,3005,0.040271,3.5237),(635,3015,0.040553,3.5226),(635,3025,0.040836,3.5215),(635,3035,0.041127,3.5204),(635,3045,0.041426,3.5193),(635,3055,0.041724,3.5182),(635,3065,0.042023,3.5171),(635,3075,0.042333,3.516),(635,3085,0.042651,3.5149),(635,3095,0.042969,3.5138),(635,3105,0.043287,3.5127),(635,3115,0.043618,3.5116),(635,3125,0.043958,3.5105),(635,3135,0.044298,3.5094),(635,3145,0.044637,3.5084),(635,3155,0.044993,3.5073),(635,3165,0.045357,3.5062),(635,3175,0.045721,3.5051),(635,3185,0.046085,3.504),(635,3195,0.046468,3.5029),(635,3205,0.04686,3.5019),(635,3215,0.047251,3.5008),(635,3225,0.047643,3.4998),(635,3235,0.048057,3.4987),(635,3245,0.048478,3.4976),(635,3255,0.0489,3.4966),(635,3265,0.049322,3.4956),(635,3275,0.049769,3.4946),(635,3285,0.050224,3.4935),(635,3295,0.05068,3.4925),(635,3305,0.051135,3.4916),(635,3315,0.051619,3.4906),(635,3325,0.05211,3.4896),(635,3335,0.052601,3.4886),(635,3345,0.053093,3.4877),(635,3355,0.053617,3.4867),(635,3365,0.054146,3.4858),(635,3375,0.054676,3.4849),(635,3385,0.055205,3.484),(635,3395,0.055771,3.4832),(635,3405,0.05634,3.4823),(635,3415,0.05691,3.4815),(635,3425,0.05748,3.4807),(635,3435,0.058087,3.4799),(635,3445,0.058697,3.479),(635,3455,0.059307,3.4783),(635,3465,0.059917,3.4776),(635,3475,0.060565,3.4769),(635,3485,0.061214,3.4762),(635,3495,0.061863,3.4756),(635,3505,0.062512,3.475),(635,3515,0.063196,3.4744),(635,3525,0.063879,3.4738),(635,3535,0.064563,3.4733),(635,3545,0.065248,3.4728),(635,3555,0.065958,3.4724),(635,3565,0.066669,3.4719),(635,3575,0.06738,3.4716),(635,3585,0.068091,3.4713),(635,3595,0.068817,3.4709),(635,3605,0.069542,3.4707),(635,3615,0.070267,3.4705),(635,3625,0.070992,3.4704),(635,3635,0.071713,3.4703),(635,3645,0.072435,3.4701),(635,3655,0.073156,3.4702),(635,3665,0.073872,3.4703),(635,3675,0.074563,3.4704),(635,3685,0.075253,3.4705),(635,3695,0.075944,3.4708),(635,3705,0.076621,3.4711),(635,3715,0.077245,3.4714),(635,3725,0.07787,3.4718),(635,3735,0.078494,3.4723),(635,3745,0.079092,3.4729),(635,3755,0.079605,3.4735),(635,3765,0.080118,3.4741),(635,3775,0.080631,3.4749),(635,3785,0.081097,3.4758),(635,3795,0.081444,3.4766),(635,3805,0.081791,3.4775),(635,3815,0.082138,3.4786),(635,3825,0.082411,3.4798),(635,3835,0.082529,3.4809),(635,3845,0.082648,3.4821),(635,3855,0.082766,3.4834),(635,3865,0.082778,3.4848),(635,3875,0.082603,3.4862),(635,3885,0.082427,3.4877),(635,3895,0.082252,3.4893),(635,3905,0.09868,3.4909),(635,3915,0.13991,3.4925),(635,3925,0.18114,3.4955),(635,3935,0.22237,3.5003),(635,3945,0.25835,3.5052),(635,3955,0.28766,3.5101),(635,3965,0.31698,3.5146),(635,3975,0.34629,3.5187),(635,3985,0.35498,3.5227),(635,3995,0.34133,3.5268),(635,4005,0.32768,3.5293),(635,4015,0.31403,3.5302),(635,4025,0.30081,3.531),(635,4035,0.28764,3.5312),(635,4045,0.27447,3.5298),(635,4055,0.26225,3.5283),(635,4065,0.25038,3.5267),(635,4075,0.23851,3.5236),(635,4085,0.22736,3.5206),(635,4095,0.21679,3.5175),(635,4105,0.20622,3.5137),(635,4115,0.18977,3.5098),(635,4125,0.16355,3.506),(635,4135,0.13733,3.5031),(635,4145,0.1125,3.5004),(635,4155,0.093278,3.4977),(635,4165,0.074053,3.4961),(635,4175,0.055769,3.4953),(635,4185,0.084015,3.4945),(635,4195,0.11226,3.4928),(635,4205,0.14051,3.4899),(635,4215,0.13841,3.4871),(635,4225,0.13061,3.4842),(635,4235,0.1228,3.4814),(635,4245,0.11146,3.4786),(635,4255,0.098314,3.4759),(635,4265,0.085172,3.474),(635,4275,0.069217,3.4721),(635,4285,0.050275,3.4702),(635,4295,0.031334,3.4697),(635,4305,0.024407,3.4693),(635,4315,0.044609,3.4689),(635,4325,0.06481,3.469),(635,4335,0.084653,3.4693),(635,4345,0.10206,3.4695),(635,4355,0.11947,3.4691),(635,4365,0.13688,3.4682),(635,4375,0.15252,3.4673),(635,4385,0.16808,3.4661),(635,4395,0.18363,3.4646),(635,4405,0.16747,3.4631),(635,4415,0.14196,3.4618),(635,4425,0.11645,3.4614),(635,4435,0.10012,3.4611),(635,4445,0.090056,3.4607),(635,4455,0.079993,3.4603),(635,4465,0.093641,3.4599),(635,4475,0.1406,3.4595),(635,4485,0.18756,3.4566),(635,4495,0.22663,3.4531),(635,4505,0.24042,3.4496),(635,4515,0.25421,3.4444),(635,4525,0.26735,3.4382),(635,4535,0.27013,3.432),(635,4545,0.2729,3.4251),(635,4555,0.27568,3.4174),(635,4565,0.20083,3.4098),(635,4575,0.11552,3.4042),(635,4585,0.030204,3.4039),(635,4595,0.014539,3.4035),(635,4605,0.028302,3.4029),(635,4615,0.042064,3.4003),(635,4625,0.062929,3.3976),(635,4635,0.090225,3.395),(635,4645,0.11752,3.3881),(635,4655,0.1479,3.381),(635,4665,0.18408,3.3739),(635,4675,0.22026,3.3629),(635,4685,0.24215,3.3506),(635,4695,0.19342,3.3384),(635,4705,0.1447,3.3308),(635,4715,0.095968,3.3265),(635,4725,0.1023,3.3222),(635,4735,0.10918,3.3174),(635,4745,0.11607,3.3115),(635,4755,0.15272,3.3057),(635,4765,0.19626,3.2984),(635,4775,0.23981,3.2857),(635,4785,0.27217,3.2729),(635,4795,0.29806,3.2601),(635,4805,0.32395,3.2436),(635,4815,0.32836,3.2271),(635,4825,0.30707,3.2106),(635,4835,0.28579,3.1975),(635,4845,0.25212,3.1849),(635,4855,0.18614,3.1723),(635,4865,0.12017,3.1674),(635,4875,0.067842,3.1659),(635,4885,0.13969,3.1645),(635,4895,0.21154,3.1598),(635,4905,0.28338,3.1519),(635,4915,0.28967,3.1441),(635,4925,0.29031,3.1358),(635,4935,0.29096,3.1266),(635,4945,0.2699,3.1175),(635,4955,0.24132,3.1086),(635,4965,0.21275,3.1016),(635,4975,0.16673,3.0946),(635,4985,0.10725,3.0876),(635,4995,0.047764,3.0869),(635,5005,0.02362,3.0864),(635,5015,0.055655,3.0859),(635,5025,0.08769,3.0733),(635,5035,0.12153,3.0575),(635,5045,0.16226,3.0417),(635,5055,0.20299,3.0201),(635,5065,0.24359,2.9948),(635,5075,0.27966,2.9696),(635,5085,0.31573,2.9423),(635,5095,0.3518,2.9124),(635,5105,0.32747,2.8825),(635,5115,0.2926,2.8559),(635,5125,0.25773,2.8388),(635,5135,0.22438,2.8217),(635,5145,0.19176,2.8056),(635,5155,0.15915,2.801),(635,5165,0.1941,2.7963),(635,5175,0.29794,2.7916),(635,5185,0.40179,2.7768),(635,5195,0.48392,2.7609),(635,5205,0.51923,2.7451),(635,5215,0.55453,2.7266),(635,5225,0.5865,2.7072),(635,5235,0.59771,2.6877),(635,5245,0.60892,2.668),(635,5255,0.62014,2.648),(635,5265,0.43301,2.6281),(635,5275,0.2377,2.6155),(635,5285,0.042398,2.6155),(635,5295,0.029348,2.6154),(635,5305,0.067052,2.6135),(635,5315,0.10476,2.6036),(635,5325,0.15806,2.5938),(635,5335,0.22159,2.5838),(635,5345,0.28512,2.563),(635,5355,0.3474,2.5423),(635,5365,0.40799,2.5216),(635,5375,0.46858,2.4951),(635,5385,0.48729,2.4676),(635,5395,0.37865,2.44),(635,5405,0.27001,2.4254),(635,5415,0.17164,2.4176),(635,5425,0.2112,2.4097),(635,5435,0.25076,2.4071),(635,5445,0.29032,2.4103),(635,5455,0.343,2.4135),(635,5465,0.39728,2.4163),(635,5475,0.45156,2.4183),(635,5485,0.46741,2.4202),(635,5495,0.46779,2.4218),(635,5505,0.46817,2.4204),(635,5515,0.46885,2.4191),(635,5525,0.46979,2.4177),(635,5535,0.47074,2.4133),(635,5545,0.47188,2.4087),(635,5555,0.47336,2.4041),(635,5565,0.47485,2.3969),(635,5575,0.47654,2.3889),(635,5585,0.47918,2.3809),(635,5595,0.48181,2.371),(635,5605,0.48445,2.3599),(635,5615,0.48888,2.3487),(635,5625,0.4933,2.3362),(635,5635,0.49773,2.3217),(635,5645,0.50392,2.3073),(635,5655,0.5105,2.2921),(635,5665,0.51708,2.2746),(635,5675,0.52521,2.2571),(635,5685,0.53421,2.2395),(635,5695,0.5432,2.219),(635,5705,0.5534,2.1985),(635,5715,0.565,2.178),(635,5725,0.57659,2.1546),(635,5735,0.58892,2.1308),(635,5745,0.60305,2.107),(635,5755,0.61718,2.0812),(635,5765,0.63157,2.0545),(635,5775,0.64801,2.0278),(635,5785,0.66446,1.9994),(635,5795,0.6809,1.9692),(635,5805,0.69917,1.9391),(635,5815,0.71758,1.908),(635,5825,0.73599,1.8751),(635,5835,0.75572,1.8421),(635,5845,0.77587,1.8087),(635,5855,0.79603,1.7725),(635,5865,0.81699,1.7364),(635,5875,0.83855,1.7003),(635,5885,0.86011,1.6616),(635,5895,0.88213,1.623),(635,5905,0.90486,1.5843),(635,5915,0.92758,1.5439),(635,5925,0.95044,1.5031),(635,5935,0.97375,1.4623),(635,5945,0.99706,1.4199),(635,5955,1.0204,1.3766),(635,5965,1.0438,1.3332),(635,5975,1.0673,1.2892),(635,5985,1.0907,1.2442),(635,5995,0.83737,1.1993),(635,6005,0.53948,1.165),(635,6015,0.24159,1.1589),(635,6025,0.20951,1.1528),(635,6035,0.30071,1.146),(635,6045,0.39191,1.1332),(635,6055,0.46096,1.1204),(635,6065,0.50828,1.1076),(635,6075,0.5556,1.0906),(635,6085,0.58826,1.0733),(635,6095,0.59071,1.0559),(635,6105,0.59316,1.0383),(635,6115,0.59555,1.0206),(635,6125,0.59768,1.0029),(635,6135,0.59981,0.985),(635,6145,0.60194,0.96689),(635,6155,0.60373,0.94878),(635,6165,0.60551,0.93038),(635,6175,0.60729,0.91152),(635,6185,0.60889,0.89267),(635,6195,0.61044,0.87376),(635,6205,0.61199,0.85465),(635,6215,0.61337,0.83555),(635,6225,0.61464,0.81643),(635,6235,0.61591,0.79684),(635,6245,0.61711,0.77725),(635,6255,0.61822,0.75766),(635,6265,0.61933,0.73775),(635,6275,0.62039,0.71778),(635,6285,0.6213,0.69782),(635,6295,0.62222,0.67756),(635,6305,0.62312,0.65716),(635,6315,0.62396,0.63676),(635,6325,0.62479,0.61621),(635,6335,0.62562,0.5955),(635,6345,0.62628,0.57478),(635,6355,0.62691,0.55396),(635,6365,0.62755,0.53288),(635,6375,0.62814,0.51181),(635,6385,0.62872,0.49071),(635,6395,0.6293,0.46946),(635,6405,0.62978,0.44821),(635,6415,0.63019,0.42697),(635,6425,0.6306,0.40547),(635,6435,0.631,0.38397),(635,6445,0.63138,0.36246),(635,6455,0.63177,0.34099),(635,6465,0.63213,0.31953),(635,6475,0.63242,0.29807),(635,6485,0.63271,0.27627),(635,6495,0.633,0.25425),(635,6505,0.63319,0.23222),(635,6515,0.63339,0.21022),(635,6525,0.63358,0.18825),(635,6535,0.63376,0.16628),(635,6545,0.63393,0.14434),(635,6555,0.63411,0.12248),(635,6565,0.63423,0.10062),(635,6575,0.63433,0.078743),(635,6585,0.63444,0.056578),(635,6595,0.53964,0.034412),(635,6605,0.34005,0.012247),(635,6615,0.14047,0.009654),(635,6625,0.000165,0.009575),(635,6635,0.000166,0.009496),(635,6645,0.000167,0.009469),(635,6655,0.000169,0.009463),(635,6665,0.00017,0.009457),(635,6675,0.000171,0.009451),(635,6685,0.000172,0.009445),(635,6695,0.000174,0.009439),(635,6705,0.000175,0.009433),(635,6715,0.000176,0.009426),(635,6725,0.000177,0.00942),(635,6735,0.000178,0.009414),(635,6745,0.00018,0.009407),(635,6755,0.000181,0.009401),(635,6765,0.000182,0.009395),(635,6775,0.000183,0.009388),(635,6785,0.000184,0.009382),(635,6795,0.000185,0.009375),(635,6805,0.000186,0.009369),(635,6815,0.000188,0.009362),(635,6825,0.000189,0.009356),(635,6835,0.00019,0.009349),(635,6845,0.000191,0.009343),(635,6855,0.000192,0.009336),(635,6865,0.000193,0.009329),(635,6875,0.000194,0.009323),(635,6885,0.000195,0.009316),(635,6895,0.000196,0.009309),(635,6905,0.000197,0.009303),(635,6915,0.000198,0.009296),(635,6925,0.000199,0.009289),(635,6935,0.0002,0.009283),(635,6945,0.000201,0.009276),(635,6955,0.000202,0.009269),(635,6965,0.000203,0.009262),(635,6975,0.000204,0.009255),(635,6985,0.000205,0.009248),(645,5,3.2e-05,3.6668),(645,15,9.7e-05,3.6668),(645,25,0.000161,3.6668),(645,35,0.000226,3.6668),(645,45,0.000291,3.6668),(645,55,0.000355,3.6668),(645,65,0.00042,3.6668),(645,75,0.000485,3.6667),(645,85,0.00055,3.6667),(645,95,0.000614,3.6667),(645,105,0.000679,3.6667),(645,115,0.000745,3.6667),(645,125,0.00081,3.6666),(645,135,0.000875,3.6666),(645,145,0.00094,3.6666),(645,155,0.001006,3.6666),(645,165,0.001071,3.6665),(645,175,0.001136,3.6665),(645,185,0.001202,3.6665),(645,195,0.001268,3.6664),(645,205,0.001334,3.6664),(645,215,0.0014,3.6663),(645,225,0.001466,3.6663),(645,235,0.001533,3.6663),(645,245,0.001599,3.6662),(645,255,0.001666,3.6662),(645,265,0.001733,3.6661),(645,275,0.0018,3.6661),(645,285,0.001867,3.666),(645,295,0.001934,3.6659),(645,305,0.002001,3.6659),(645,315,0.002069,3.6658),(645,325,0.002137,3.6658),(645,335,0.002205,3.6657),(645,345,0.002273,3.6656),(645,355,0.002342,3.6656),(645,365,0.002411,3.6655),(645,375,0.00248,3.6654),(645,385,0.002549,3.6653),(645,395,0.002619,3.6652),(645,405,0.002688,3.6652),(645,415,0.002758,3.6651),(645,425,0.002829,3.665),(645,435,0.0029,3.6649),(645,445,0.00297,3.6648),(645,455,0.003041,3.6647),(645,465,0.003113,3.6646),(645,475,0.003185,3.6645),(645,485,0.003257,3.6644),(645,495,0.003329,3.6643),(645,505,0.003402,3.6642),(645,515,0.003475,3.6641),(645,525,0.003548,3.664),(645,535,0.003621,3.6639),(645,545,0.003696,3.6638),(645,555,0.00377,3.6637),(645,565,0.003845,3.6636),(645,575,0.00392,3.6635),(645,585,0.003996,3.6633),(645,595,0.004072,3.6632),(645,605,0.004148,3.6631),(645,615,0.004224,3.663),(645,625,0.004301,3.6628),(645,635,0.004379,3.6627),(645,645,0.004457,3.6626),(645,655,0.004535,3.6624),(645,665,0.004614,3.6623),(645,675,0.004693,3.6622),(645,685,0.004772,3.662),(645,695,0.004852,3.6619),(645,705,0.004933,3.6617),(645,715,0.005014,3.6616),(645,725,0.005095,3.6614),(645,735,0.005176,3.6613),(645,745,0.005259,3.6611),(645,755,0.005342,3.6609),(645,765,0.005424,3.6608),(645,775,0.005508,3.6606),(645,785,0.005592,3.6604),(645,795,0.005677,3.6603),(645,805,0.005762,3.6601),(645,815,0.005847,3.6599),(645,825,0.005933,3.6597),(645,835,0.00602,3.6596),(645,845,0.006107,3.6594),(645,855,0.006194,3.6592),(645,865,0.006283,3.659),(645,875,0.006372,3.6588),(645,885,0.006461,3.6586),(645,895,0.00655,3.6584),(645,905,0.006641,3.6582),(645,915,0.006732,3.658),(645,925,0.006823,3.6578),(645,935,0.006915,3.6576),(645,945,0.007008,3.6574),(645,955,0.007101,3.6572),(645,965,0.007194,3.6569),(645,975,0.007288,3.6567),(645,985,0.007384,3.6565),(645,995,0.007479,3.6563),(645,1005,0.007574,3.656),(645,1015,0.007671,3.6558),(645,1025,0.007769,3.6556),(645,1035,0.007867,3.6553),(645,1045,0.007965,3.6551),(645,1055,0.008064,3.6548),(645,1065,0.008164,3.6546),(645,1075,0.008265,3.6543),(645,1085,0.008365,3.6541),(645,1095,0.008467,3.6538),(645,1105,0.00857,3.6536),(645,1115,0.008673,3.6533),(645,1125,0.008776,3.653),(645,1135,0.00888,3.6528),(645,1145,0.008986,3.6525),(645,1155,0.009092,3.6522),(645,1165,0.009197,3.6519),(645,1175,0.009304,3.6516),(645,1185,0.009412,3.6514),(645,1195,0.00952,3.6511),(645,1205,0.009628,3.6508),(645,1215,0.009739,3.6505),(645,1225,0.009849,3.6502),(645,1235,0.00996,3.6499),(645,1245,0.010071,3.6496),(645,1255,0.010184,3.6493),(645,1265,0.010297,3.6489),(645,1275,0.010411,3.6486),(645,1285,0.010524,3.6483),(645,1295,0.01064,3.648),(645,1305,0.010756,3.6477),(645,1315,0.010873,3.6473),(645,1325,0.010989,3.647),(645,1335,0.011107,3.6466),(645,1345,0.011227,3.6463),(645,1355,0.011346,3.6459),(645,1365,0.011465,3.6456),(645,1375,0.011586,3.6452),(645,1385,0.011708,3.6449),(645,1395,0.01183,3.6445),(645,1405,0.011952,3.6442),(645,1415,0.012077,3.6438),(645,1425,0.012202,3.6434),(645,1435,0.012327,3.643),(645,1445,0.012452,3.6426),(645,1455,0.012579,3.6423),(645,1465,0.012707,3.6419),(645,1475,0.012835,3.6415),(645,1485,0.012963,3.6411),(645,1495,0.013093,3.6407),(645,1505,0.013224,3.6403),(645,1515,0.013355,3.6399),(645,1525,0.013485,3.6394),(645,1535,0.013619,3.639),(645,1545,0.013752,3.6386),(645,1555,0.013886,3.6382),(645,1565,0.014019,3.6377),(645,1575,0.014156,3.6373),(645,1585,0.014292,3.6369),(645,1595,0.014428,3.6364),(645,1605,0.014565,3.636),(645,1615,0.014704,3.6355),(645,1625,0.014843,3.6351),(645,1635,0.014983,3.6346),(645,1645,0.015122,3.6341),(645,1655,0.015264,3.6337),(645,1665,0.015406,3.6332),(645,1675,0.015548,3.6327),(645,1685,0.015691,3.6322),(645,1695,0.015836,3.6317),(645,1705,0.01598,3.6312),(645,1715,0.016125,3.6307),(645,1725,0.016271,3.6302),(645,1735,0.016418,3.6297),(645,1745,0.016566,3.6292),(645,1755,0.016714,3.6287),(645,1765,0.016862,3.6282),(645,1775,0.017013,3.6276),(645,1785,0.017163,3.6271),(645,1795,0.017314,3.6266),(645,1805,0.017465,3.626),(645,1815,0.017618,3.6255),(645,1825,0.017772,3.6249),(645,1835,0.017925,3.6244),(645,1845,0.018079,3.6238),(645,1855,0.018235,3.6232),(645,1865,0.01839,3.6227),(645,1875,0.018546,3.6221),(645,1885,0.018703,3.6215),(645,1895,0.018861,3.6209),(645,1905,0.019019,3.6203),(645,1915,0.019177,3.6197),(645,1925,0.019337,3.6191),(645,1935,0.019497,3.6185),(645,1945,0.019658,3.6179),(645,1955,0.019819,3.6173),(645,1965,0.019981,3.6167),(645,1975,0.020144,3.6161),(645,1985,0.020307,3.6154),(645,1995,0.020471,3.6148),(645,2005,0.020635,3.6141),(645,2015,0.020801,3.6135),(645,2025,0.020966,3.6128),(645,2035,0.021132,3.6122),(645,2045,0.021299,3.6115),(645,2055,0.021467,3.6109),(645,2065,0.021635,3.6102),(645,2075,0.021803,3.6095),(645,2085,0.021972,3.6088),(645,2095,0.022143,3.6081),(645,2105,0.022313,3.6074),(645,2115,0.022483,3.6067),(645,2125,0.022655,3.606),(645,2135,0.022827,3.6053),(645,2145,0.023,3.6046),(645,2155,0.023172,3.6039),(645,2165,0.023346,3.6031),(645,2175,0.023521,3.6024),(645,2185,0.023695,3.6017),(645,2195,0.02387,3.6009),(645,2205,0.024046,3.6002),(645,2215,0.024222,3.5994),(645,2225,0.024399,3.5987),(645,2235,0.024576,3.5979),(645,2245,0.024754,3.5971),(645,2255,0.024933,3.5963),(645,2265,0.025112,3.5956),(645,2275,0.02529,3.5948),(645,2285,0.025471,3.594),(645,2295,0.025652,3.5932),(645,2305,0.025833,3.5924),(645,2315,0.026014,3.5916),(645,2325,0.026196,3.5907),(645,2335,0.026379,3.5899),(645,2345,0.026562,3.5891),(645,2355,0.026745,3.5883),(645,2365,0.02693,3.5874),(645,2375,0.027115,3.5866),(645,2385,0.0273,3.5857),(645,2395,0.027485,3.5849),(645,2405,0.027672,3.584),(645,2415,0.027859,3.5832),(645,2425,0.028047,3.5823),(645,2435,0.028234,3.5814),(645,2445,0.028423,3.5805),(645,2455,0.028613,3.5797),(645,2465,0.028803,3.5788),(645,2475,0.028992,3.5779),(645,2485,0.029184,3.577),(645,2495,0.029377,3.5761),(645,2505,0.029569,3.5752),(645,2515,0.029761,3.5742),(645,2525,0.029956,3.5733),(645,2535,0.030151,3.5724),(645,2545,0.030346,3.5715),(645,2555,0.030541,3.5705),(645,2565,0.030739,3.5696),(645,2575,0.030937,3.5686),(645,2585,0.031135,3.5677),(645,2595,0.031333,3.5667),(645,2605,0.031534,3.5658),(645,2615,0.031735,3.5648),(645,2625,0.031937,3.5638),(645,2635,0.032138,3.5628),(645,2645,0.032343,3.5619),(645,2655,0.032548,3.5609),(645,2665,0.032754,3.5599),(645,2675,0.032959,3.5589),(645,2685,0.033169,3.5579),(645,2695,0.033379,3.5569),(645,2705,0.033588,3.5559),(645,2715,0.033799,3.5549),(645,2725,0.034013,3.5539),(645,2735,0.034228,3.5528),(645,2745,0.034442,3.5518),(645,2755,0.034658,3.5508),(645,2765,0.034879,3.5497),(645,2775,0.035099,3.5487),(645,2785,0.035319,3.5477),(645,2795,0.035542,3.5466),(645,2805,0.035769,3.5456),(645,2815,0.035996,3.5445),(645,2825,0.036223,3.5435),(645,2835,0.036453,3.5424),(645,2845,0.036688,3.5413),(645,2855,0.036923,3.5403),(645,2865,0.037158,3.5392),(645,2875,0.037396,3.5381),(645,2885,0.03764,3.5371),(645,2895,0.037884,3.536),(645,2905,0.038128,3.5349),(645,2915,0.038376,3.5338),(645,2925,0.038631,3.5328),(645,2935,0.038885,3.5317),(645,2945,0.039139,3.5306),(645,2955,0.039399,3.5295),(645,2965,0.039666,3.5284),(645,2975,0.039932,3.5273),(645,2985,0.040199,3.5262),(645,2995,0.040472,3.5251),(645,3005,0.040753,3.524),(645,3015,0.041033,3.5229),(645,3025,0.041314,3.5218),(645,3035,0.041603,3.5207),(645,3045,0.041899,3.5196),(645,3055,0.042196,3.5185),(645,3065,0.042492,3.5174),(645,3075,0.042799,3.5163),(645,3085,0.043113,3.5152),(645,3095,0.043427,3.5141),(645,3105,0.043742,3.5131),(645,3115,0.044069,3.512),(645,3125,0.044404,3.5109),(645,3135,0.044739,3.5098),(645,3145,0.045074,3.5087),(645,3155,0.045424,3.5076),(645,3165,0.045782,3.5065),(645,3175,0.04614,3.5055),(645,3185,0.046498,3.5044),(645,3195,0.046874,3.5033),(645,3205,0.047258,3.5023),(645,3215,0.047642,3.5012),(645,3225,0.048026,3.5002),(645,3235,0.048431,3.4991),(645,3245,0.048843,3.4981),(645,3255,0.049256,3.497),(645,3265,0.049668,3.496),(645,3275,0.050105,3.495),(645,3285,0.050548,3.494),(645,3295,0.050992,3.493),(645,3305,0.051435,3.492),(645,3315,0.051906,3.491),(645,3325,0.052383,3.4901),(645,3335,0.052861,3.4891),(645,3345,0.053338,3.4882),(645,3355,0.053845,3.4873),(645,3365,0.054358,3.4863),(645,3375,0.05487,3.4855),(645,3385,0.055383,3.4846),(645,3395,0.055928,3.4837),(645,3405,0.056477,3.4828),(645,3415,0.057026,3.482),(645,3425,0.057576,3.4812),(645,3435,0.058159,3.4804),(645,3445,0.058745,3.4797),(645,3455,0.05933,3.4789),(645,3465,0.059916,3.4782),(645,3475,0.060535,3.4775),(645,3485,0.061155,3.4768),(645,3495,0.061775,3.4762),(645,3505,0.062396,3.4756),(645,3515,0.063046,3.475),(645,3525,0.063696,3.4744),(645,3535,0.064346,3.474),(645,3545,0.064997,3.4735),(645,3555,0.065668,3.4731),(645,3565,0.066339,3.4726),(645,3575,0.067011,3.4723),(645,3585,0.067683,3.472),(645,3595,0.068363,3.4717),(645,3605,0.069044,3.4714),(645,3615,0.069724,3.4712),(645,3625,0.070403,3.4711),(645,3635,0.071073,3.471),(645,3645,0.071744,3.4709),(645,3655,0.072414,3.4709),(645,3665,0.073079,3.471),(645,3675,0.073714,3.4711),(645,3685,0.074348,3.4712),(645,3695,0.074983,3.4715),(645,3705,0.075603,3.4717),(645,3715,0.076168,3.472),(645,3725,0.076732,3.4724),(645,3735,0.077296,3.4729),(645,3745,0.077833,3.4735),(645,3755,0.078284,3.474),(645,3765,0.078734,3.4746),(645,3775,0.079185,3.4754),(645,3785,0.079589,3.4762),(645,3795,0.079874,3.477),(645,3805,0.080159,3.4779),(645,3815,0.080444,3.4789),(645,3825,0.080657,3.48),(645,3835,0.080719,3.481),(645,3845,0.08078,3.4822),(645,3855,0.080841,3.4835),(645,3865,0.080799,3.4848),(645,3875,0.080576,3.4861),(645,3885,0.080353,3.4874),(645,3895,0.080129,3.4889),(645,3905,0.096092,3.4905),(645,3915,0.13623,3.492),(645,3925,0.17637,3.4948),(645,3935,0.21652,3.4995),(645,3945,0.25185,3.5041),(645,3955,0.28107,3.5088),(645,3965,0.31029,3.5131),(645,3975,0.33951,3.517),(645,3985,0.34857,3.5209),(645,3995,0.33581,3.5248),(645,4005,0.32305,3.5272),(645,4015,0.31029,3.5281),(645,4025,0.29783,3.5289),(645,4035,0.28539,3.529),(645,4045,0.27296,3.5276),(645,4055,0.26133,3.5261),(645,4065,0.24998,3.5245),(645,4075,0.23864,3.5214),(645,4085,0.22788,3.5184),(645,4095,0.21758,3.5154),(645,4105,0.20729,3.5115),(645,4115,0.19096,3.5077),(645,4125,0.16465,3.5038),(645,4135,0.13834,3.5009),(645,4145,0.11337,3.4981),(645,4155,0.093828,3.4954),(645,4165,0.074289,3.4938),(645,4175,0.0557,3.493),(645,4185,0.084201,3.4922),(645,4195,0.1127,3.4905),(645,4205,0.1412,3.4875),(645,4215,0.13923,3.4845),(645,4225,0.13153,3.4816),(645,4235,0.12383,3.4787),(645,4245,0.11246,3.4759),(645,4255,0.099228,3.4731),(645,4265,0.085999,3.4712),(645,4275,0.069899,3.4693),(645,4285,0.050752,3.4674),(645,4295,0.031605,3.4669),(645,4305,0.024411,3.4665),(645,4315,0.044206,3.4661),(645,4325,0.064001,3.4658),(645,4335,0.083509,3.4656),(645,4345,0.10108,3.4654),(645,4355,0.11864,3.4646),(645,4365,0.13621,3.4635),(645,4375,0.15186,3.4623),(645,4385,0.1674,3.461),(645,4395,0.18295,3.4596),(645,4405,0.16673,3.4581),(645,4415,0.14115,3.4569),(645,4425,0.11557,3.4567),(645,4435,0.099306,3.4565),(645,4445,0.089419,3.4564),(645,4455,0.079532,3.4558),(645,4465,0.09345,3.4553),(645,4475,0.14081,3.4548),(645,4485,0.18818,3.4517),(645,4495,0.2277,3.448),(645,4505,0.24208,3.4444),(645,4515,0.25646,3.4392),(645,4525,0.27018,3.4331),(645,4535,0.27333,3.4271),(645,4545,0.27648,3.4204),(645,4555,0.27962,3.4131),(645,4565,0.20379,3.4058),(645,4575,0.11731,3.4005),(645,4585,0.030823,3.4001),(645,4595,0.015115,3.3998),(645,4605,0.029311,3.3992),(645,4615,0.043508,3.3965),(645,4625,0.065022,3.3937),(645,4635,0.093164,3.391),(645,4645,0.12131,3.3843),(645,4655,0.15256,3.3772),(645,4665,0.1897,3.3701),(645,4675,0.22684,3.3594),(645,4685,0.24926,3.3474),(645,4695,0.19899,3.3354),(645,4705,0.14871,3.328),(645,4715,0.098436,3.3238),(645,4725,0.105,3.3197),(645,4735,0.11214,3.3148),(645,4745,0.11928,3.3087),(645,4755,0.15701,3.3027),(645,4765,0.20184,3.2951),(645,4775,0.24667,3.2823),(645,4785,0.27996,3.2696),(645,4795,0.30658,3.2566),(645,4805,0.3332,3.2404),(645,4815,0.33767,3.2242),(645,4825,0.31565,3.2079),(645,4835,0.29364,3.1951),(645,4845,0.25883,3.1829),(645,4855,0.19065,3.1706),(645,4865,0.12248,3.1657),(645,4875,0.068244,3.1641),(645,4885,0.14078,3.1625),(645,4895,0.21332,3.1576),(645,4905,0.28586,3.1494),(645,4915,0.29253,3.1412),(645,4925,0.29354,3.1327),(645,4935,0.29454,3.1234),(645,4945,0.27345,3.1142),(645,4955,0.2447,3.1052),(645,4965,0.21595,3.0983),(645,4975,0.16934,3.0913),(645,4985,0.10895,3.0844),(645,4995,0.048567,3.0837),(645,5005,0.025108,3.0833),(645,5015,0.06036,3.0828),(645,5025,0.095611,3.0699),(645,5035,0.1324,3.054),(645,5045,0.17505,3.038),(645,5055,0.2177,3.0164),(645,5065,0.26017,2.9913),(645,5075,0.29713,2.9661),(645,5085,0.33409,2.9391),(645,5095,0.37105,2.9097),(645,5105,0.34457,2.8803),(645,5115,0.30702,2.8542),(645,5125,0.26947,2.8375),(645,5135,0.23332,2.8208),(645,5145,0.19786,2.805),(645,5155,0.1624,2.8002),(645,5165,0.19665,2.7954),(645,5175,0.30201,2.7905),(645,5185,0.40738,2.7755),(645,5195,0.49073,2.7594),(645,5205,0.52663,2.7434),(645,5215,0.56252,2.7249),(645,5225,0.59502,2.7055),(645,5235,0.60636,2.6861),(645,5245,0.6177,2.6665),(645,5255,0.62904,2.6467),(645,5265,0.43923,2.627),(645,5275,0.24113,2.6145),(645,5285,0.043024,2.6145),(645,5295,0.030749,2.6145),(645,5305,0.070223,2.6125),(645,5315,0.1097,2.6025),(645,5325,0.1649,2.5925),(645,5335,0.23041,2.5824),(645,5345,0.29593,2.5617),(645,5355,0.35984,2.5409),(645,5365,0.42161,2.5202),(645,5375,0.48337,2.494),(645,5385,0.50207,2.4666),(645,5395,0.38989,2.4393),(645,5405,0.2777,2.4249),(645,5415,0.1758,2.4171),(645,5425,0.21218,2.4093),(645,5435,0.24856,2.4067),(645,5445,0.28493,2.4094),(645,5455,0.33695,2.4122),(645,5465,0.39087,2.4146),(645,5475,0.4448,2.4161),(645,5485,0.46113,2.4176),(645,5495,0.46233,2.4187),(645,5505,0.46352,2.4171),(645,5515,0.46503,2.4154),(645,5525,0.4668,2.4137),(645,5535,0.46858,2.4091),(645,5545,0.47054,2.4042),(645,5555,0.47283,2.3994),(645,5565,0.47512,2.392),(645,5575,0.47761,2.3838),(645,5585,0.48101,2.3757),(645,5595,0.48441,2.3657),(645,5605,0.48781,2.3544),(645,5615,0.49296,2.3431),(645,5625,0.4981,2.3305),(645,5635,0.50325,2.3159),(645,5645,0.51015,2.3014),(645,5655,0.51743,2.2861),(645,5665,0.52471,2.2685),(645,5675,0.53351,2.2509),(645,5685,0.54317,2.2332),(645,5695,0.55282,2.2126),(645,5705,0.56368,2.192),(645,5715,0.57593,2.1714),(645,5725,0.58817,2.148),(645,5735,0.60115,2.1242),(645,5745,0.61593,2.1003),(645,5755,0.63071,2.0745),(645,5765,0.64574,2.0478),(645,5775,0.66281,2.0211),(645,5785,0.67987,1.9926),(645,5795,0.69694,1.9625),(645,5805,0.71582,1.9324),(645,5815,0.73484,1.9014),(645,5825,0.75385,1.8685),(645,5835,0.77414,1.8357),(645,5845,0.79485,1.8024),(645,5855,0.81555,1.7664),(645,5865,0.83703,1.7305),(645,5875,0.85909,1.6946),(645,5885,0.88114,1.6562),(645,5895,0.90362,1.6179),(645,5905,0.92676,1.5795),(645,5915,0.9499,1.5394),(645,5925,0.97314,1.499),(645,5935,0.99677,1.4586),(645,5945,1.0204,1.4166),(645,5955,1.044,1.3737),(645,5965,1.0677,1.3308),(645,5975,1.0914,1.2873),(645,5985,1.1151,1.243),(645,5995,0.85607,1.1986),(645,6005,0.55152,1.1647),(645,6015,0.24697,1.1587),(645,6025,0.2133,1.1526),(645,6035,0.30527,1.146),(645,6045,0.39724,1.1331),(645,6055,0.46699,1.1202),(645,6065,0.51497,1.1073),(645,6075,0.56294,1.0902),(645,6085,0.59607,1.0728),(645,6095,0.59857,1.0554),(645,6105,0.60108,1.0377),(645,6115,0.60354,1.02),(645,6125,0.60576,1.0022),(645,6135,0.60798,0.98425),(645,6145,0.6102,0.96607),(645,6155,0.61209,0.94789),(645,6165,0.61396,0.92944),(645,6175,0.61584,0.91056),(645,6185,0.61755,0.89168),(645,6195,0.61921,0.87274),(645,6205,0.62087,0.8536),(645,6215,0.62236,0.83446),(645,6225,0.62374,0.81531),(645,6235,0.62511,0.79572),(645,6245,0.62641,0.77614),(645,6255,0.62761,0.75655),(645,6265,0.62881,0.73664),(645,6275,0.62996,0.71667),(645,6285,0.63095,0.69669),(645,6295,0.63195,0.67646),(645,6305,0.63293,0.65609),(645,6315,0.63384,0.63573),(645,6325,0.63475,0.61519),(645,6335,0.63566,0.59448),(645,6345,0.63639,0.57377),(645,6355,0.6371,0.55295),(645,6365,0.63781,0.53192),(645,6375,0.63847,0.51089),(645,6385,0.63913,0.48983),(645,6395,0.63978,0.46859),(645,6405,0.64033,0.44736),(645,6415,0.6408,0.42612),(645,6425,0.64128,0.40468),(645,6435,0.64173,0.38323),(645,6445,0.64216,0.36178),(645,6455,0.64259,0.34034),(645,6465,0.643,0.31891),(645,6475,0.64332,0.29749),(645,6485,0.64365,0.27572),(645,6495,0.64397,0.25373),(645,6505,0.64419,0.23175),(645,6515,0.6444,0.20979),(645,6525,0.64462,0.18788),(645,6535,0.64481,0.16597),(645,6545,0.645,0.14408),(645,6555,0.64519,0.12227),(645,6565,0.64532,0.10046),(645,6575,0.64541,0.078628),(645,6585,0.6455,0.056521),(645,6595,0.54904,0.034413),(645,6605,0.34598,0.012305),(645,6615,0.14292,0.0097),(645,6625,0.000168,0.009602),(645,6635,0.000169,0.009504),(645,6645,0.000171,0.009471),(645,6655,0.000172,0.009465),(645,6665,0.000173,0.009459),(645,6675,0.000174,0.009453),(645,6685,0.000176,0.009446),(645,6695,0.000177,0.00944),(645,6705,0.000178,0.009434),(645,6715,0.000179,0.009428),(645,6725,0.00018,0.009421),(645,6735,0.000182,0.009415),(645,6745,0.000183,0.009409),(645,6755,0.000184,0.009402),(645,6765,0.000185,0.009396),(645,6775,0.000186,0.009389),(645,6785,0.000187,0.009383),(645,6795,0.000189,0.009376),(645,6805,0.00019,0.00937),(645,6815,0.000191,0.009363),(645,6825,0.000192,0.009357),(645,6835,0.000193,0.00935),(645,6845,0.000194,0.009344),(645,6855,0.000195,0.009337),(645,6865,0.000196,0.00933),(645,6875,0.000197,0.009324),(645,6885,0.000199,0.009317),(645,6895,0.0002,0.00931),(645,6905,0.000201,0.009304),(645,6915,0.000202,0.009297),(645,6925,0.000203,0.00929),(645,6935,0.000204,0.009284),(645,6945,0.000205,0.009277),(645,6955,0.000206,0.00927),(645,6965,0.000207,0.009263),(645,6975,0.000208,0.009256),(645,6985,0.000209,0.009249),(655,5,3.3e-05,3.6669),(655,15,9.8e-05,3.6669),(655,25,0.000164,3.6669),(655,35,0.000229,3.6669),(655,45,0.000295,3.6668),(655,55,0.00036,3.6668),(655,65,0.000426,3.6668),(655,75,0.000492,3.6668),(655,85,0.000557,3.6668),(655,95,0.000623,3.6668),(655,105,0.000689,3.6668),(655,115,0.000755,3.6667),(655,125,0.000821,3.6667),(655,135,0.000887,3.6667),(655,145,0.000953,3.6667),(655,155,0.00102,3.6666),(655,165,0.001086,3.6666),(655,175,0.001152,3.6666),(655,185,0.001219,3.6665),(655,195,0.001286,3.6665),(655,205,0.001353,3.6664),(655,215,0.00142,3.6664),(655,225,0.001487,3.6664),(655,235,0.001554,3.6663),(655,245,0.001622,3.6663),(655,255,0.001689,3.6662),(655,265,0.001757,3.6662),(655,275,0.001825,3.6661),(655,285,0.001893,3.6661),(655,295,0.001961,3.666),(655,305,0.002029,3.6659),(655,315,0.002098,3.6659),(655,325,0.002167,3.6658),(655,335,0.002236,3.6658),(655,345,0.002305,3.6657),(655,355,0.002375,3.6656),(655,365,0.002445,3.6655),(655,375,0.002514,3.6655),(655,385,0.002585,3.6654),(655,395,0.002656,3.6653),(655,405,0.002726,3.6652),(655,415,0.002797,3.6652),(655,425,0.002869,3.6651),(655,435,0.00294,3.665),(655,445,0.003012,3.6649),(655,455,0.003084,3.6648),(655,465,0.003157,3.6647),(655,475,0.00323,3.6646),(655,485,0.003302,3.6645),(655,495,0.003376,3.6644),(655,505,0.00345,3.6643),(655,515,0.003524,3.6642),(655,525,0.003598,3.6641),(655,535,0.003672,3.664),(655,545,0.003748,3.6639),(655,555,0.003824,3.6638),(655,565,0.003899,3.6637),(655,575,0.003975,3.6635),(655,585,0.004052,3.6634),(655,595,0.004129,3.6633),(655,605,0.004206,3.6632),(655,615,0.004283,3.663),(655,625,0.004362,3.6629),(655,635,0.004441,3.6628),(655,645,0.004519,3.6627),(655,655,0.004598,3.6625),(655,665,0.004679,3.6624),(655,675,0.004759,3.6622),(655,685,0.00484,3.6621),(655,695,0.00492,3.6619),(655,705,0.005002,3.6618),(655,715,0.005085,3.6617),(655,725,0.005167,3.6615),(655,735,0.005249,3.6613),(655,745,0.005333,3.6612),(655,755,0.005417,3.661),(655,765,0.005501,3.6609),(655,775,0.005586,3.6607),(655,785,0.005672,3.6605),(655,795,0.005757,3.6604),(655,805,0.005843,3.6602),(655,815,0.00593,3.66),(655,825,0.006018,3.6598),(655,835,0.006105,3.6596),(655,845,0.006193,3.6595),(655,855,0.006282,3.6593),(655,865,0.006372,3.6591),(655,875,0.006462,3.6589),(655,885,0.006552,3.6587),(655,895,0.006643,3.6585),(655,905,0.006736,3.6583),(655,915,0.006828,3.6581),(655,925,0.00692,3.6579),(655,935,0.007013,3.6577),(655,945,0.007108,3.6575),(655,955,0.007202,3.6573),(655,965,0.007297,3.657),(655,975,0.007392,3.6568),(655,985,0.007489,3.6566),(655,995,0.007586,3.6564),(655,1005,0.007683,3.6561),(655,1015,0.007781,3.6559),(655,1025,0.00788,3.6557),(655,1035,0.00798,3.6554),(655,1045,0.008079,3.6552),(655,1055,0.00818,3.6549),(655,1065,0.008282,3.6547),(655,1075,0.008383,3.6544),(655,1085,0.008485,3.6542),(655,1095,0.008589,3.6539),(655,1105,0.008693,3.6537),(655,1115,0.008798,3.6534),(655,1125,0.008902,3.6531),(655,1135,0.009008,3.6529),(655,1145,0.009115,3.6526),(655,1155,0.009222,3.6523),(655,1165,0.009329,3.652),(655,1175,0.009438,3.6518),(655,1185,0.009548,3.6515),(655,1195,0.009658,3.6512),(655,1205,0.009768,3.6509),(655,1215,0.009879,3.6506),(655,1225,0.009992,3.6503),(655,1235,0.010104,3.65),(655,1245,0.010217,3.6497),(655,1255,0.010331,3.6494),(655,1265,0.010447,3.6491),(655,1275,0.010562,3.6487),(655,1285,0.010677,3.6484),(655,1295,0.010795,3.6481),(655,1305,0.010913,3.6478),(655,1315,0.011031,3.6474),(655,1325,0.011149,3.6471),(655,1335,0.011269,3.6468),(655,1345,0.01139,3.6464),(655,1355,0.011511,3.6461),(655,1365,0.011632,3.6457),(655,1375,0.011755,3.6454),(655,1385,0.011879,3.645),(655,1395,0.012003,3.6446),(655,1405,0.012127,3.6443),(655,1415,0.012253,3.6439),(655,1425,0.01238,3.6435),(655,1435,0.012507,3.6432),(655,1445,0.012634,3.6428),(655,1455,0.012763,3.6424),(655,1465,0.012893,3.642),(655,1475,0.013023,3.6416),(655,1485,0.013153,3.6412),(655,1495,0.013285,3.6408),(655,1505,0.013418,3.6404),(655,1515,0.013551,3.64),(655,1525,0.013683,3.6396),(655,1535,0.013819,3.6392),(655,1545,0.013955,3.6387),(655,1555,0.01409,3.6383),(655,1565,0.014226,3.6379),(655,1575,0.014364,3.6374),(655,1585,0.014503,3.637),(655,1595,0.014641,3.6366),(655,1605,0.01478,3.6361),(655,1615,0.014921,3.6357),(655,1625,0.015063,3.6352),(655,1635,0.015204,3.6347),(655,1645,0.015346,3.6343),(655,1655,0.01549,3.6338),(655,1665,0.015634,3.6333),(655,1675,0.015778,3.6328),(655,1685,0.015923,3.6324),(655,1695,0.01607,3.6319),(655,1705,0.016217,3.6314),(655,1715,0.016364,3.6309),(655,1725,0.016512,3.6304),(655,1735,0.016662,3.6299),(655,1745,0.016812,3.6294),(655,1755,0.016962,3.6288),(655,1765,0.017113,3.6283),(655,1775,0.017266,3.6278),(655,1785,0.017419,3.6273),(655,1795,0.017571,3.6267),(655,1805,0.017725,3.6262),(655,1815,0.017881,3.6256),(655,1825,0.018036,3.6251),(655,1835,0.018192,3.6245),(655,1845,0.018349,3.624),(655,1855,0.018507,3.6234),(655,1865,0.018665,3.6228),(655,1875,0.018823,3.6223),(655,1885,0.018982,3.6217),(655,1895,0.019143,3.6211),(655,1905,0.019304,3.6205),(655,1915,0.019464,3.6199),(655,1925,0.019626,3.6193),(655,1935,0.019789,3.6187),(655,1945,0.019953,3.6181),(655,1955,0.020116,3.6175),(655,1965,0.02028,3.6168),(655,1975,0.020446,3.6162),(655,1985,0.020612,3.6156),(655,1995,0.020777,3.615),(655,2005,0.020944,3.6143),(655,2015,0.021113,3.6137),(655,2025,0.021281,3.613),(655,2035,0.021449,3.6124),(655,2045,0.021619,3.6117),(655,2055,0.021789,3.611),(655,2065,0.02196,3.6104),(655,2075,0.022131,3.6097),(655,2085,0.022303,3.609),(655,2095,0.022475,3.6083),(655,2105,0.022648,3.6076),(655,2115,0.022821,3.6069),(655,2125,0.022995,3.6062),(655,2135,0.023171,3.6055),(655,2145,0.023346,3.6048),(655,2155,0.023521,3.604),(655,2165,0.023697,3.6033),(655,2175,0.023874,3.6026),(655,2185,0.024052,3.6018),(655,2195,0.024229,3.6011),(655,2205,0.024407,3.6003),(655,2215,0.024587,3.5996),(655,2225,0.024766,3.5988),(655,2235,0.024945,3.5981),(655,2245,0.025126,3.5973),(655,2255,0.025307,3.5965),(655,2265,0.025489,3.5957),(655,2275,0.02567,3.5949),(655,2285,0.025853,3.5942),(655,2295,0.026037,3.5934),(655,2305,0.02622,3.5926),(655,2315,0.026404,3.5917),(655,2325,0.026589,3.5909),(655,2335,0.026774,3.5901),(655,2345,0.02696,3.5893),(655,2355,0.027145,3.5885),(655,2365,0.027333,3.5876),(655,2375,0.02752,3.5868),(655,2385,0.027708,3.5859),(655,2395,0.027895,3.5851),(655,2405,0.028085,3.5842),(655,2415,0.028274,3.5834),(655,2425,0.028464,3.5825),(655,2435,0.028654,3.5816),(655,2445,0.028846,3.5807),(655,2455,0.029038,3.5799),(655,2465,0.02923,3.579),(655,2475,0.029422,3.5781),(655,2485,0.029616,3.5772),(655,2495,0.029811,3.5763),(655,2505,0.030005,3.5753),(655,2515,0.0302,3.5744),(655,2525,0.030397,3.5735),(655,2535,0.030594,3.5726),(655,2545,0.030791,3.5717),(655,2555,0.030989,3.5707),(655,2565,0.031189,3.5698),(655,2575,0.031389,3.5688),(655,2585,0.031589,3.5679),(655,2595,0.031789,3.5669),(655,2605,0.031992,3.566),(655,2615,0.032195,3.565),(655,2625,0.032399,3.564),(655,2635,0.032602,3.563),(655,2645,0.032809,3.5621),(655,2655,0.033016,3.5611),(655,2665,0.033223,3.5601),(655,2675,0.033431,3.5591),(655,2685,0.033642,3.5581),(655,2695,0.033853,3.5571),(655,2705,0.034064,3.5561),(655,2715,0.034276,3.5551),(655,2725,0.034492,3.5541),(655,2735,0.034708,3.5531),(655,2745,0.034924,3.552),(655,2755,0.035141,3.551),(655,2765,0.035363,3.55),(655,2775,0.035584,3.5489),(655,2785,0.035805,3.5479),(655,2795,0.036029,3.5468),(655,2805,0.036257,3.5458),(655,2815,0.036485,3.5448),(655,2825,0.036712,3.5437),(655,2835,0.036943,3.5426),(655,2845,0.037178,3.5416),(655,2855,0.037413,3.5405),(655,2865,0.037649,3.5395),(655,2875,0.037887,3.5384),(655,2885,0.038131,3.5373),(655,2895,0.038375,3.5362),(655,2905,0.038619,3.5352),(655,2915,0.038867,3.5341),(655,2925,0.039121,3.533),(655,2935,0.039375,3.5319),(655,2945,0.039629,3.5308),(655,2955,0.039888,3.5297),(655,2965,0.040153,3.5287),(655,2975,0.040419,3.5276),(655,2985,0.040684,3.5265),(655,2995,0.040956,3.5254),(655,3005,0.041235,3.5243),(655,3015,0.041514,3.5232),(655,3025,0.041792,3.5221),(655,3035,0.042079,3.521),(655,3045,0.042373,3.5199),(655,3055,0.042667,3.5188),(655,3065,0.04296,3.5177),(655,3075,0.043264,3.5166),(655,3085,0.043575,3.5155),(655,3095,0.043886,3.5145),(655,3105,0.044197,3.5134),(655,3115,0.044519,3.5123),(655,3125,0.04485,3.5112),(655,3135,0.04518,3.5101),(655,3145,0.04551,3.509),(655,3155,0.045855,3.508),(655,3165,0.046207,3.5069),(655,3175,0.046559,3.5058),(655,3185,0.046911,3.5048),(655,3195,0.04728,3.5037),(655,3205,0.047656,3.5026),(655,3215,0.048033,3.5016),(655,3225,0.048409,3.5005),(655,3235,0.048805,3.4995),(655,3245,0.049208,3.4985),(655,3255,0.049612,3.4974),(655,3265,0.050015,3.4964),(655,3275,0.05044,3.4954),(655,3285,0.050872,3.4944),(655,3295,0.051304,3.4934),(655,3305,0.051736,3.4925),(655,3315,0.052193,3.4915),(655,3325,0.052657,3.4905),(655,3335,0.05312,3.4896),(655,3345,0.053583,3.4887),(655,3355,0.054073,3.4877),(655,3365,0.054569,3.4868),(655,3375,0.055065,3.4859),(655,3385,0.05556,3.4851),(655,3395,0.056085,3.4842),(655,3405,0.056614,3.4834),(655,3415,0.057143,3.4826),(655,3425,0.057672,3.4818),(655,3435,0.058231,3.481),(655,3445,0.058792,3.4802),(655,3455,0.059354,3.4795),(655,3465,0.059915,3.4788),(655,3475,0.060505,3.4781),(655,3485,0.061097,3.4774),(655,3495,0.061688,3.4768),(655,3505,0.06228,3.4762),(655,3515,0.062896,3.4756),(655,3525,0.063512,3.475),(655,3535,0.064128,3.4746),(655,3545,0.064745,3.4741),(655,3555,0.065378,3.4737),(655,3565,0.06601,3.4732),(655,3575,0.066642,3.4729),(655,3585,0.067274,3.4726),(655,3595,0.06791,3.4723),(655,3605,0.068545,3.472),(655,3615,0.06918,3.4718),(655,3625,0.069814,3.4717),(655,3635,0.070433,3.4716),(655,3645,0.071053,3.4715),(655,3655,0.071673,3.4715),(655,3665,0.072286,3.4716),(655,3675,0.072865,3.4716),(655,3685,0.073443,3.4717),(655,3695,0.074022,3.472),(655,3705,0.074586,3.4723),(655,3715,0.07509,3.4725),(655,3725,0.075594,3.4729),(655,3735,0.076098,3.4734),(655,3745,0.076574,3.4739),(655,3755,0.076963,3.4744),(655,3765,0.077351,3.475),(655,3775,0.077739,3.4757),(655,3785,0.078081,3.4765),(655,3795,0.078304,3.4772),(655,3805,0.078528,3.478),(655,3815,0.078751,3.479),(655,3825,0.078904,3.48),(655,3835,0.078908,3.481),(655,3845,0.078912,3.4821),(655,3855,0.078916,3.4833),(655,3865,0.078821,3.4846),(655,3875,0.078549,3.4858),(655,3885,0.078278,3.4871),(655,3895,0.078007,3.4885),(655,3905,0.093504,3.49),(655,3915,0.13256,3.4914),(655,3925,0.17161,3.4941),(655,3935,0.21067,3.4986),(655,3945,0.24535,3.503),(655,3955,0.27447,3.5074),(655,3965,0.3036,3.5116),(655,3975,0.33272,3.5153),(655,3985,0.34216,3.5191),(655,3995,0.33029,3.5228),(655,4005,0.31842,3.5251),(655,4015,0.30655,3.5259),(655,4025,0.29484,3.5267),(655,4035,0.28314,3.5267),(655,4045,0.27144,3.5253),(655,4055,0.2604,3.5239),(655,4065,0.24959,3.5223),(655,4075,0.23878,3.5192),(655,4085,0.2284,3.5162),(655,4095,0.21837,3.5132),(655,4105,0.20835,3.5094),(655,4115,0.19216,3.5055),(655,4125,0.16575,3.5016),(655,4135,0.13934,3.4986),(655,4145,0.11423,3.4958),(655,4155,0.094379,3.493),(655,4165,0.074524,3.4914),(655,4175,0.055632,3.4905),(655,4185,0.084387,3.4897),(655,4195,0.11314,3.4878),(655,4205,0.1419,3.4848),(655,4215,0.14005,3.4817),(655,4225,0.13245,3.4787),(655,4235,0.12485,3.4758),(655,4245,0.11346,3.4729),(655,4255,0.10014,3.4702),(655,4265,0.086826,3.4683),(655,4275,0.070581,3.4664),(655,4285,0.051229,3.4645),(655,4295,0.031876,3.4639),(655,4305,0.024415,3.4635),(655,4315,0.043803,3.4631),(655,4325,0.063191,3.4626),(655,4335,0.082365,3.462),(655,4345,0.10009,3.4615),(655,4355,0.11781,3.4605),(655,4365,0.13554,3.4592),(655,4375,0.15119,3.4579),(655,4385,0.16673,3.4566),(655,4395,0.18228,3.4551),(655,4405,0.166,3.4537),(655,4415,0.14034,3.4525),(655,4425,0.11468,3.4523),(655,4435,0.098493,3.4522),(655,4445,0.088782,3.4521),(655,4455,0.07907,3.4514),(655,4465,0.093259,3.4507),(655,4475,0.14103,3.4501),(655,4485,0.18879,3.4468),(655,4495,0.22877,3.4431),(655,4505,0.24374,3.4393),(655,4515,0.25871,3.4341),(655,4525,0.273,3.4281),(655,4535,0.27652,3.4222),(655,4545,0.28005,3.4158),(655,4555,0.28357,3.4088),(655,4565,0.20675,3.4018),(655,4575,0.11909,3.3968),(655,4585,0.031442,3.3964),(655,4595,0.015691,3.3961),(655,4605,0.030321,3.3955),(655,4615,0.044951,3.3927),(655,4625,0.067115,3.39),(655,4635,0.096102,3.3873),(655,4645,0.12509,3.3806),(655,4655,0.15723,3.3736),(655,4665,0.19532,3.3666),(655,4675,0.23342,3.356),(655,4685,0.25637,3.3443),(655,4695,0.20455,3.3325),(655,4705,0.15273,3.3252),(655,4715,0.1009,3.3211),(655,4725,0.10771,3.317),(655,4735,0.1151,3.312),(655,4745,0.12249,3.3058),(655,4755,0.16131,3.2996),(655,4765,0.20742,3.2919),(655,4775,0.25353,3.2791),(655,4785,0.28775,3.2663),(655,4795,0.3151,3.2534),(655,4805,0.34244,3.2373),(655,4815,0.34697,3.2213),(655,4825,0.32423,3.2053),(655,4835,0.30149,3.1928),(655,4845,0.26554,3.1808),(655,4855,0.19517,3.1688),(655,4865,0.1248,3.1639),(655,4875,0.068646,3.1622),(655,4885,0.14188,3.1605),(655,4895,0.21511,3.1553),(655,4905,0.28834,3.1469),(655,4915,0.2954,3.1384),(655,4925,0.29676,3.1297),(655,4935,0.29813,3.1203),(655,4945,0.277,3.1109),(655,4955,0.24808,3.1019),(655,4965,0.21915,3.095),(655,4975,0.17196,3.0881),(655,4985,0.11066,3.0811),(655,4995,0.049369,3.0805),(655,5005,0.026597,3.08),(655,5015,0.065065,3.0795),(655,5025,0.10353,3.0666),(655,5035,0.14327,3.0506),(655,5045,0.18783,3.0345),(655,5055,0.2324,3.0129),(655,5065,0.27676,2.9879),(655,5075,0.31461,2.9629),(655,5085,0.35245,2.9361),(655,5095,0.3903,2.9071),(655,5105,0.36167,2.8782),(655,5115,0.32144,2.8525),(655,5125,0.28121,2.8361),(655,5135,0.24227,2.8197),(655,5145,0.20395,2.8043),(655,5155,0.16564,2.7994),(655,5165,0.19921,2.7944),(655,5175,0.30608,2.7894),(655,5185,0.41296,2.7743),(655,5195,0.49753,2.7581),(655,5205,0.53403,2.7418),(655,5215,0.57052,2.7233),(655,5225,0.60354,2.7039),(655,5235,0.615,2.6845),(655,5245,0.62647,2.665),(655,5255,0.63793,2.6454),(655,5265,0.44545,2.6258),(655,5275,0.24455,2.6135),(655,5285,0.043651,2.6135),(655,5295,0.03215,2.6135),(655,5305,0.073394,2.6115),(655,5315,0.11464,2.6014),(655,5325,0.17174,2.5913),(655,5335,0.23923,2.5811),(655,5345,0.30673,2.5604),(655,5355,0.37228,2.5396),(655,5365,0.43522,2.5189),(655,5375,0.49815,2.4928),(655,5385,0.51686,2.4657),(655,5395,0.40112,2.4386),(655,5405,0.28539,2.4243),(655,5415,0.17997,2.4166),(655,5425,0.21316,2.409),(655,5435,0.24635,2.4062),(655,5445,0.27954,2.4086),(655,5455,0.3309,2.4111),(655,5465,0.38447,2.4131),(655,5475,0.43804,2.4141),(655,5485,0.45485,2.4152),(655,5495,0.45687,2.4159),(655,5505,0.45888,2.4139),(655,5515,0.46121,2.4119),(655,5525,0.46381,2.4099),(655,5535,0.46642,2.405),(655,5545,0.4692,2.3999),(655,5555,0.47229,2.3948),(655,5565,0.47539,2.3872),(655,5575,0.47868,2.3789),(655,5585,0.48284,2.3705),(655,5595,0.48701,2.3604),(655,5605,0.49117,2.3489),(655,5615,0.49704,2.3375),(655,5625,0.5029,2.3248),(655,5635,0.50876,2.3101),(655,5645,0.51637,2.2954),(655,5655,0.52435,2.2801),(655,5665,0.53233,2.2624),(655,5675,0.54181,2.2447),(655,5685,0.55213,2.2268),(655,5695,0.56245,2.2062),(655,5705,0.57396,2.1855),(655,5715,0.58686,2.1649),(655,5725,0.59975,2.1414),(655,5735,0.61337,2.1175),(655,5745,0.6288,2.0936),(655,5755,0.64424,2.0678),(655,5765,0.65991,2.041),(655,5775,0.6776,2.0143),(655,5785,0.69529,1.9859),(655,5795,0.71297,1.9558),(655,5805,0.73246,1.9258),(655,5815,0.75209,1.8948),(655,5825,0.77171,1.8621),(655,5835,0.79257,1.8295),(655,5845,0.81382,1.7963),(655,5855,0.83508,1.7605),(655,5865,0.85708,1.7248),(655,5875,0.87962,1.6891),(655,5885,0.90217,1.651),(655,5895,0.92512,1.613),(655,5905,0.94867,1.5749),(655,5915,0.97222,1.5352),(655,5925,0.99585,1.4951),(655,5935,1.0198,1.455),(655,5945,1.0437,1.4134),(655,5955,1.0677,1.371),(655,5965,1.0916,1.3286),(655,5975,1.1156,1.2855),(655,5985,1.1395,1.2417),(655,5995,0.87478,1.1979),(655,6005,0.56357,1.1643),(655,6015,0.25235,1.1584),(655,6025,0.2171,1.1525),(655,6035,0.30983,1.1458),(655,6045,0.40256,1.1329),(655,6055,0.47302,1.1199),(655,6065,0.52165,1.1069),(655,6075,0.57029,1.0898),(655,6085,0.60387,1.0724),(655,6095,0.60644,1.0549),(655,6105,0.609,1.0372),(655,6115,0.61153,1.0194),(655,6125,0.61384,1.0016),(655,6135,0.61615,0.98357),(655,6145,0.61846,0.96534),(655,6155,0.62045,0.9471),(655,6165,0.62242,0.92861),(655,6175,0.6244,0.90972),(655,6185,0.62621,0.89082),(655,6195,0.62798,0.87186),(655,6205,0.62975,0.85269),(655,6215,0.63134,0.83351),(655,6225,0.63283,0.81433),(655,6235,0.63432,0.79473),(655,6245,0.63572,0.77514),(655,6255,0.63701,0.75555),(655,6265,0.6383,0.73563),(655,6275,0.63954,0.71565),(655,6285,0.64061,0.69567),(655,6295,0.64168,0.67546),(655,6305,0.64274,0.65513),(655,6315,0.64373,0.6348),(655,6325,0.64472,0.61428),(655,6335,0.6457,0.59356),(655,6345,0.6465,0.57285),(655,6355,0.64728,0.55205),(655,6365,0.64806,0.53107),(655,6375,0.6488,0.51009),(655,6385,0.64953,0.48907),(655,6395,0.65026,0.46783),(655,6405,0.65088,0.4466),(655,6415,0.65142,0.42536),(655,6425,0.65195,0.40397),(655,6435,0.65247,0.38256),(655,6445,0.65294,0.36116),(655,6455,0.65342,0.33976),(655,6465,0.65387,0.31835),(655,6475,0.65423,0.29695),(655,6485,0.65458,0.27522),(655,6495,0.65493,0.25326),(655,6505,0.65518,0.23131),(655,6515,0.65542,0.20939),(655,6525,0.65566,0.18753),(655,6535,0.65587,0.16567),(655,6545,0.65607,0.14383),(655,6555,0.65627,0.12206),(655,6565,0.6564,0.10028),(655,6575,0.65648,0.078486),(655,6585,0.65657,0.056432),(655,6595,0.55845,0.034378),(655,6605,0.35191,0.012324),(655,6615,0.14537,0.009719),(655,6625,0.000171,0.009613),(655,6635,0.000172,0.009507),(655,6645,0.000174,0.009472),(655,6655,0.000175,0.009466),(655,6665,0.000176,0.00946),(655,6675,0.000177,0.009454),(655,6685,0.000179,0.009448),(655,6695,0.00018,0.009442),(655,6705,0.000181,0.009435),(655,6715,0.000182,0.009429),(655,6725,0.000184,0.009422),(655,6735,0.000185,0.009416),(655,6745,0.000186,0.00941),(655,6755,0.000187,0.009403),(655,6765,0.000188,0.009397),(655,6775,0.00019,0.00939),(655,6785,0.000191,0.009384),(655,6795,0.000192,0.009378),(655,6805,0.000193,0.009371),(655,6815,0.000194,0.009364),(655,6825,0.000195,0.009358),(655,6835,0.000196,0.009351),(655,6845,0.000198,0.009345),(655,6855,0.000199,0.009338),(655,6865,0.0002,0.009331),(655,6875,0.000201,0.009325),(655,6885,0.000202,0.009318),(655,6895,0.000203,0.009311),(655,6905,0.000204,0.009305),(655,6915,0.000205,0.009298),(655,6925,0.000206,0.009291),(655,6935,0.000207,0.009284),(655,6945,0.000208,0.009278),(655,6955,0.000209,0.009271),(655,6965,0.00021,0.009264),(655,6975,0.000211,0.009257),(655,6985,0.000212,0.00925),(665,5,3.3e-05,3.6669),(665,15,0.0001,3.6669),(665,25,0.000166,3.6669),(665,35,0.000232,3.6669),(665,45,0.000299,3.6669),(665,55,0.000365,3.6669),(665,65,0.000432,3.6669),(665,75,0.000498,3.6669),(665,85,0.000565,3.6669),(665,95,0.000631,3.6668),(665,105,0.000698,3.6668),(665,115,0.000765,3.6668),(665,125,0.000832,3.6668),(665,135,0.000899,3.6667),(665,145,0.000966,3.6667),(665,155,0.001033,3.6667),(665,165,0.001101,3.6667),(665,175,0.001168,3.6666),(665,185,0.001236,3.6666),(665,195,0.001303,3.6666),(665,205,0.001371,3.6665),(665,215,0.001439,3.6665),(665,225,0.001507,3.6664),(665,235,0.001575,3.6664),(665,245,0.001644,3.6663),(665,255,0.001712,3.6663),(665,265,0.001781,3.6662),(665,275,0.00185,3.6662),(665,285,0.001919,3.6661),(665,295,0.001988,3.6661),(665,305,0.002057,3.666),(665,315,0.002127,3.666),(665,325,0.002197,3.6659),(665,335,0.002266,3.6658),(665,345,0.002337,3.6658),(665,355,0.002407,3.6657),(665,365,0.002478,3.6656),(665,375,0.002549,3.6655),(665,385,0.00262,3.6655),(665,395,0.002692,3.6654),(665,405,0.002764,3.6653),(665,415,0.002835,3.6652),(665,425,0.002908,3.6651),(665,435,0.002981,3.6651),(665,445,0.003053,3.665),(665,455,0.003126,3.6649),(665,465,0.0032,3.6648),(665,475,0.003274,3.6647),(665,485,0.003348,3.6646),(665,495,0.003422,3.6645),(665,505,0.003497,3.6644),(665,515,0.003572,3.6643),(665,525,0.003648,3.6642),(665,535,0.003723,3.6641),(665,545,0.003799,3.664),(665,555,0.003876,3.6639),(665,565,0.003953,3.6637),(665,575,0.00403,3.6636),(665,585,0.004108,3.6635),(665,595,0.004186,3.6634),(665,605,0.004264,3.6633),(665,615,0.004342,3.6631),(665,625,0.004422,3.663),(665,635,0.004502,3.6629),(665,645,0.004582,3.6627),(665,655,0.004662,3.6626),(665,665,0.004743,3.6625),(665,675,0.004825,3.6623),(665,685,0.004906,3.6622),(665,695,0.004988,3.662),(665,705,0.005071,3.6619),(665,715,0.005155,3.6617),(665,725,0.005238,3.6616),(665,735,0.005322,3.6614),(665,745,0.005407,3.6613),(665,755,0.005492,3.6611),(665,765,0.005577,3.6609),(665,775,0.005663,3.6608),(665,785,0.00575,3.6606),(665,795,0.005837,3.6604),(665,805,0.005924,3.6603),(665,815,0.006012,3.6601),(665,825,0.006101,3.6599),(665,835,0.00619,3.6597),(665,845,0.006279,3.6595),(665,855,0.006369,3.6594),(665,865,0.006461,3.6592),(665,875,0.006552,3.659),(665,885,0.006643,3.6588),(665,895,0.006736,3.6586),(665,905,0.006829,3.6584),(665,915,0.006923,3.6582),(665,925,0.007017,3.658),(665,935,0.007111,3.6578),(665,945,0.007207,3.6576),(665,955,0.007303,3.6573),(665,965,0.007399,3.6571),(665,975,0.007496,3.6569),(665,985,0.007594,3.6567),(665,995,0.007692,3.6565),(665,1005,0.00779,3.6562),(665,1015,0.00789,3.656),(665,1025,0.00799,3.6558),(665,1035,0.008091,3.6555),(665,1045,0.008192,3.6553),(665,1055,0.008294,3.655),(665,1065,0.008398,3.6548),(665,1075,0.008501,3.6545),(665,1085,0.008604,3.6543),(665,1095,0.008709,3.654),(665,1105,0.008815,3.6538),(665,1115,0.008921,3.6535),(665,1125,0.009027,3.6532),(665,1135,0.009135,3.653),(665,1145,0.009243,3.6527),(665,1155,0.009352,3.6524),(665,1165,0.009461,3.6521),(665,1175,0.009571,3.6519),(665,1185,0.009683,3.6516),(665,1195,0.009794,3.6513),(665,1205,0.009905,3.651),(665,1215,0.010019,3.6507),(665,1225,0.010133,3.6504),(665,1235,0.010247,3.6501),(665,1245,0.010361,3.6498),(665,1255,0.010478,3.6495),(665,1265,0.010595,3.6492),(665,1275,0.010712,3.6489),(665,1285,0.010829,3.6485),(665,1295,0.010948,3.6482),(665,1305,0.011068,3.6479),(665,1315,0.011187,3.6476),(665,1325,0.011307,3.6472),(665,1335,0.011429,3.6469),(665,1345,0.011552,3.6465),(665,1355,0.011675,3.6462),(665,1365,0.011798,3.6458),(665,1375,0.011923,3.6455),(665,1385,0.012049,3.6451),(665,1395,0.012174,3.6448),(665,1405,0.0123,3.6444),(665,1415,0.012428,3.644),(665,1425,0.012557,3.6437),(665,1435,0.012686,3.6433),(665,1445,0.012815,3.6429),(665,1455,0.012946,3.6425),(665,1465,0.013078,3.6421),(665,1475,0.01321,3.6417),(665,1485,0.013342,3.6413),(665,1495,0.013476,3.6409),(665,1505,0.013611,3.6405),(665,1515,0.013746,3.6401),(665,1525,0.01388,3.6397),(665,1535,0.014018,3.6393),(665,1545,0.014156,3.6389),(665,1555,0.014293,3.6384),(665,1565,0.014431,3.638),(665,1575,0.014572,3.6376),(665,1585,0.014712,3.6371),(665,1595,0.014853,3.6367),(665,1605,0.014994,3.6362),(665,1615,0.015137,3.6358),(665,1625,0.015281,3.6353),(665,1635,0.015424,3.6349),(665,1645,0.015568,3.6344),(665,1655,0.015715,3.6339),(665,1665,0.015861,3.6335),(665,1675,0.016008,3.633),(665,1685,0.016154,3.6325),(665,1695,0.016304,3.632),(665,1705,0.016453,3.6315),(665,1715,0.016602,3.631),(665,1725,0.016752,3.6305),(665,1735,0.016905,3.63),(665,1745,0.017057,3.6295),(665,1755,0.017209,3.629),(665,1765,0.017362,3.6285),(665,1775,0.017517,3.6279),(665,1785,0.017673,3.6274),(665,1795,0.017828,3.6269),(665,1805,0.017984,3.6263),(665,1815,0.018142,3.6258),(665,1825,0.0183,3.6252),(665,1835,0.018458,3.6247),(665,1845,0.018617,3.6241),(665,1855,0.018778,3.6236),(665,1865,0.018938,3.623),(665,1875,0.019099,3.6224),(665,1885,0.019261,3.6218),(665,1895,0.019424,3.6213),(665,1905,0.019587,3.6207),(665,1915,0.01975,3.6201),(665,1925,0.019915,3.6195),(665,1935,0.02008,3.6189),(665,1945,0.020246,3.6183),(665,1955,0.020412,3.6176),(665,1965,0.020579,3.617),(665,1975,0.020747,3.6164),(665,1985,0.020915,3.6158),(665,1995,0.021084,3.6151),(665,2005,0.021253,3.6145),(665,2015,0.021424,3.6138),(665,2025,0.021595,3.6132),(665,2035,0.021766,3.6125),(665,2045,0.021938,3.6119),(665,2055,0.022111,3.6112),(665,2065,0.022284,3.6105),(665,2075,0.022457,3.6098),(665,2085,0.022632,3.6092),(665,2095,0.022807,3.6085),(665,2105,0.022983,3.6078),(665,2115,0.023158,3.6071),(665,2125,0.023335,3.6064),(665,2135,0.023513,3.6057),(665,2145,0.023691,3.6049),(665,2155,0.023868,3.6042),(665,2165,0.024047,3.6035),(665,2175,0.024227,3.6028),(665,2185,0.024407,3.602),(665,2195,0.024587,3.6013),(665,2205,0.024768,3.6005),(665,2215,0.02495,3.5998),(665,2225,0.025132,3.599),(665,2235,0.025314,3.5982),(665,2245,0.025497,3.5975),(665,2255,0.025681,3.5967),(665,2265,0.025865,3.5959),(665,2275,0.026049,3.5951),(665,2285,0.026235,3.5943),(665,2295,0.026421,3.5936),(665,2305,0.026607,3.5927),(665,2315,0.026793,3.5919),(665,2325,0.02698,3.5911),(665,2335,0.027168,3.5903),(665,2345,0.027357,3.5895),(665,2355,0.027545,3.5886),(665,2365,0.027734,3.5878),(665,2375,0.027924,3.587),(665,2385,0.028114,3.5861),(665,2395,0.028305,3.5853),(665,2405,0.028496,3.5844),(665,2415,0.028689,3.5836),(665,2425,0.028881,3.5827),(665,2435,0.029073,3.5818),(665,2445,0.029267,3.5809),(665,2455,0.029462,3.58),(665,2465,0.029656,3.5792),(665,2475,0.02985,3.5783),(665,2485,0.030047,3.5774),(665,2495,0.030244,3.5765),(665,2505,0.030441,3.5755),(665,2515,0.030638,3.5746),(665,2525,0.030837,3.5737),(665,2535,0.031036,3.5728),(665,2545,0.031236,3.5719),(665,2555,0.031435,3.5709),(665,2565,0.031637,3.57),(665,2575,0.03184,3.569),(665,2585,0.032042,3.5681),(665,2595,0.032244,3.5671),(665,2605,0.032449,3.5662),(665,2615,0.032654,3.5652),(665,2625,0.032859,3.5642),(665,2635,0.033065,3.5633),(665,2645,0.033273,3.5623),(665,2655,0.033482,3.5613),(665,2665,0.033691,3.5603),(665,2675,0.0339,3.5593),(665,2685,0.034113,3.5583),(665,2695,0.034325,3.5573),(665,2705,0.034538,3.5563),(665,2715,0.034752,3.5553),(665,2725,0.034969,3.5543),(665,2735,0.035186,3.5533),(665,2745,0.035403,3.5522),(665,2755,0.035622,3.5512),(665,2765,0.035844,3.5502),(665,2775,0.036066,3.5492),(665,2785,0.036289,3.5481),(665,2795,0.036513,3.5471),(665,2805,0.036742,3.546),(665,2815,0.03697,3.545),(665,2825,0.037199,3.5439),(665,2835,0.03743,3.5429),(665,2845,0.037665,3.5418),(665,2855,0.037901,3.5408),(665,2865,0.038137,3.5397),(665,2875,0.038375,3.5386),(665,2885,0.038619,3.5376),(665,2895,0.038863,3.5365),(665,2905,0.039107,3.5354),(665,2915,0.039354,3.5343),(665,2925,0.039608,3.5333),(665,2935,0.039861,3.5322),(665,2945,0.040114,3.5311),(665,2955,0.040372,3.53),(665,2965,0.040636,3.5289),(665,2975,0.040901,3.5278),(665,2985,0.041165,3.5268),(665,2995,0.041435,3.5257),(665,3005,0.041712,3.5246),(665,3015,0.041989,3.5235),(665,3025,0.042265,3.5224),(665,3035,0.04255,3.5213),(665,3045,0.042841,3.5202),(665,3055,0.043132,3.5191),(665,3065,0.043423,3.518),(665,3075,0.043723,3.5169),(665,3085,0.04403,3.5159),(665,3095,0.044337,3.5148),(665,3105,0.044645,3.5137),(665,3115,0.044963,3.5126),(665,3125,0.045288,3.5115),(665,3135,0.045614,3.5104),(665,3145,0.045939,3.5094),(665,3155,0.046278,3.5083),(665,3165,0.046624,3.5072),(665,3175,0.04697,3.5062),(665,3185,0.047316,3.5051),(665,3195,0.047677,3.5041),(665,3205,0.048046,3.503),(665,3215,0.048415,3.502),(665,3225,0.048783,3.5009),(665,3235,0.04917,3.4999),(665,3245,0.049564,3.4989),(665,3255,0.049958,3.4978),(665,3265,0.050351,3.4968),(665,3275,0.050766,3.4958),(665,3285,0.051186,3.4948),(665,3295,0.051607,3.4939),(665,3305,0.052027,3.4929),(665,3315,0.052471,3.4919),(665,3325,0.05292,3.491),(665,3335,0.053369,3.49),(665,3345,0.053818,3.4891),(665,3355,0.054292,3.4882),(665,3365,0.054771,3.4873),(665,3375,0.05525,3.4864),(665,3385,0.055729,3.4856),(665,3395,0.056234,3.4847),(665,3405,0.056743,3.4839),(665,3415,0.057252,3.4831),(665,3425,0.05776,3.4823),(665,3435,0.058296,3.4815),(665,3445,0.058834,3.4808),(665,3455,0.059371,3.4801),(665,3465,0.059909,3.4794),(665,3475,0.060472,3.4787),(665,3485,0.061035,3.478),(665,3495,0.061599,3.4774),(665,3505,0.062163,3.4768),(665,3515,0.062747,3.4762),(665,3525,0.063331,3.4756),(665,3535,0.063915,3.4752),(665,3545,0.064499,3.4747),(665,3555,0.065094,3.4743),(665,3565,0.065689,3.4738),(665,3575,0.066284,3.4735),(665,3585,0.066879,3.4732),(665,3595,0.067473,3.4729),(665,3605,0.068066,3.4726),(665,3615,0.068659,3.4725),(665,3625,0.06925,3.4723),(665,3635,0.069822,3.4722),(665,3645,0.070395,3.472),(665,3655,0.070968,3.4721),(665,3665,0.071533,3.4721),(665,3675,0.072061,3.4722),(665,3685,0.072588,3.4723),(665,3695,0.073115,3.4725),(665,3705,0.073627,3.4728),(665,3715,0.074076,3.473),(665,3725,0.074526,3.4733),(665,3735,0.074976,3.4738),(665,3745,0.075397,3.4743),(665,3755,0.075729,3.4748),(665,3765,0.076062,3.4753),(665,3775,0.076394,3.476),(665,3785,0.07668,3.4767),(665,3795,0.076849,3.4774),(665,3805,0.077018,3.4782),(665,3815,0.077187,3.4792),(665,3825,0.077287,3.4801),(665,3835,0.077241,3.481),(665,3845,0.077196,3.4821),(665,3855,0.07715,3.4832),(665,3865,0.077008,3.4844),(665,3875,0.076696,3.4856),(665,3885,0.076383,3.4868),(665,3895,0.076071,3.4881),(665,3905,0.09114,3.4895),(665,3915,0.12919,3.4908),(665,3925,0.16723,3.4934),(665,3935,0.20528,3.4976),(665,3945,0.23935,3.5019),(665,3955,0.26835,3.5061),(665,3965,0.29736,3.51),(665,3975,0.32637,3.5136),(665,3985,0.33615,3.5172),(665,3995,0.32509,3.5208),(665,4005,0.31404,3.523),(665,4015,0.30299,3.5237),(665,4025,0.29198,3.5244),(665,4035,0.28098,3.5245),(665,4045,0.26997,3.5231),(665,4055,0.25949,3.5216),(665,4065,0.24919,3.52),(665,4075,0.23889,3.517),(665,4085,0.22891,3.514),(665,4095,0.21917,3.5111),(665,4105,0.20944,3.5072),(665,4115,0.1934,3.5033),(665,4125,0.16694,3.4995),(665,4135,0.14047,3.4964),(665,4145,0.11525,3.4935),(665,4155,0.095059,3.4906),(665,4165,0.074872,3.489),(665,4175,0.055661,3.488),(665,4185,0.084708,3.4871),(665,4195,0.11375,3.4852),(665,4205,0.1428,3.482),(665,4215,0.14105,3.4789),(665,4225,0.1335,3.4758),(665,4235,0.12595,3.4729),(665,4245,0.1145,3.47),(665,4255,0.10107,3.4672),(665,4265,0.087635,3.4653),(665,4275,0.07124,3.4634),(665,4285,0.0517,3.4616),(665,4295,0.03216,3.461),(665,4305,0.024508,3.4606),(665,4315,0.043697,3.4602),(665,4325,0.062885,3.4594),(665,4335,0.081889,3.4585),(665,4345,0.099641,3.4576),(665,4355,0.11739,3.4564),(665,4365,0.13515,3.455),(665,4375,0.15071,3.4535),(665,4385,0.16615,3.4521),(665,4395,0.1816,3.4507),(665,4405,0.16523,3.4493),(665,4415,0.13949,3.4481),(665,4425,0.11374,3.448),(665,4435,0.097685,3.4479),(665,4445,0.088248,3.4478),(665,4455,0.078812,3.447),(665,4465,0.093334,3.4462),(665,4475,0.14152,3.4454),(665,4485,0.1897,3.442),(665,4495,0.23009,3.4381),(665,4505,0.2455,3.4342),(665,4515,0.26091,3.429),(665,4525,0.27562,3.4231),(665,4535,0.27936,3.4173),(665,4545,0.28311,3.4111),(665,4555,0.28685,3.4044),(665,4565,0.2092,3.3978),(665,4575,0.12059,3.393),(665,4585,0.031969,3.3927),(665,4595,0.016248,3.3924),(665,4605,0.031326,3.3917),(665,4615,0.046405,3.389),(665,4625,0.069196,3.3863),(665,4635,0.098973,3.3835),(665,4645,0.12875,3.3769),(665,4655,0.16171,3.3699),(665,4665,0.20066,3.363),(665,4675,0.23961,3.3526),(665,4685,0.26304,3.3411),(665,4695,0.20979,3.3296),(665,4705,0.15653,3.3224),(665,4715,0.10327,3.3184),(665,4725,0.11044,3.3143),(665,4735,0.11821,3.3093),(665,4745,0.12598,3.3029),(665,4755,0.16585,3.2966),(665,4765,0.21316,3.2888),(665,4775,0.26047,3.2759),(665,4785,0.2955,3.2631),(665,4795,0.32342,3.2501),(665,4805,0.35134,3.2343),(665,4815,0.35583,3.2185),(665,4825,0.33233,3.2027),(665,4835,0.30882,3.1904),(665,4845,0.27178,3.1787),(665,4855,0.19944,3.1669),(665,4865,0.12711,3.162),(665,4875,0.069273,3.1602),(665,4885,0.1433,3.1584),(665,4895,0.21733,3.1531),(665,4905,0.29136,3.1443),(665,4915,0.29871,3.1356),(665,4925,0.30033,3.1266),(665,4935,0.30195,3.1172),(665,4945,0.2807,3.1077),(665,4955,0.25153,3.0986),(665,4965,0.22235,3.0917),(665,4975,0.17455,3.0848),(665,4985,0.11236,3.0779),(665,4995,0.050165,3.0772),(665,5005,0.028101,3.0767),(665,5015,0.069829,3.0762),(665,5025,0.11156,3.0633),(665,5035,0.15425,3.0471),(665,5045,0.20059,3.031),(665,5055,0.24693,3.0094),(665,5065,0.29304,2.9845),(665,5075,0.33159,2.9597),(665,5085,0.37014,2.9332),(665,5095,0.40869,2.9046),(665,5105,0.37793,2.8761),(665,5115,0.33508,2.8508),(665,5125,0.29224,2.8348),(665,5135,0.25072,2.8187),(665,5145,0.20985,2.8036),(665,5155,0.16898,2.7985),(665,5165,0.20202,2.7935),(665,5175,0.31044,2.7884),(665,5185,0.41886,2.7731),(665,5195,0.50465,2.7567),(665,5205,0.54162,2.7403),(665,5215,0.5786,2.7217),(665,5225,0.61204,2.7024),(665,5235,0.62355,2.683),(665,5245,0.63506,2.6636),(665,5255,0.64657,2.6442),(665,5265,0.45148,2.6247),(665,5275,0.24787,2.6125),(665,5285,0.04426,2.6125),(665,5295,0.033587,2.6124),(665,5305,0.076643,2.6104),(665,5315,0.1197,2.6003),(665,5325,0.17868,2.5901),(665,5335,0.2481,2.5798),(665,5345,0.31752,2.5591),(665,5355,0.38462,2.5383),(665,5365,0.44861,2.5176),(665,5375,0.51259,2.4917),(665,5385,0.53123,2.4648),(665,5395,0.41203,2.4379),(665,5405,0.29283,2.4237),(665,5415,0.18398,2.4161),(665,5425,0.21427,2.4086),(665,5435,0.24456,2.4056),(665,5445,0.27485,2.4078),(665,5455,0.32562,2.4099),(665,5465,0.3789,2.4115),(665,5475,0.43218,2.4121),(665,5485,0.44944,2.4127),(665,5495,0.45219,2.413),(665,5505,0.45494,2.4107),(665,5515,0.45803,2.4083),(665,5525,0.46141,2.406),(665,5535,0.46479,2.4008),(665,5545,0.46834,2.3955),(665,5555,0.4722,2.3902),(665,5565,0.47606,2.3824),(665,5575,0.48011,2.3739),(665,5585,0.48501,2.3653),(665,5595,0.48992,2.355),(665,5605,0.49482,2.3435),(665,5615,0.50139,2.332),(665,5625,0.50795,2.3191),(665,5635,0.51451,2.3043),(665,5645,0.5228,2.2895),(665,5655,0.53146,2.274),(665,5665,0.54012,2.2562),(665,5675,0.55027,2.2384),(665,5685,0.56124,2.2204),(665,5695,0.57221,2.1997),(665,5705,0.58437,2.179),(665,5715,0.59788,2.1583),(665,5725,0.6114,2.1348),(665,5735,0.62565,2.1108),(665,5745,0.6417,2.0869),(665,5755,0.65775,2.061),(665,5765,0.67405,2.0343),(665,5775,0.69232,2.0076),(665,5785,0.7106,1.9792),(665,5795,0.72887,1.9492),(665,5805,0.74893,1.9192),(665,5815,0.76913,1.8883),(665,5825,0.78932,1.8558),(665,5835,0.8107,1.8232),(665,5845,0.83246,1.7901),(665,5855,0.85422,1.7546),(665,5865,0.87669,1.7191),(665,5875,0.89968,1.6835),(665,5885,0.92267,1.6458),(665,5895,0.94603,1.6081),(665,5905,0.96995,1.5703),(665,5915,0.99386,1.5309),(665,5925,1.0178,1.4911),(665,5935,1.0421,1.4514),(665,5945,1.0663,1.4102),(665,5955,1.0905,1.3682),(665,5965,1.1147,1.3263),(665,5975,1.1388,1.2837),(665,5985,1.163,1.2404),(665,5995,0.89276,1.1971),(665,6005,0.57515,1.164),(665,6015,0.25753,1.1581),(665,6025,0.22081,1.1523),(665,6035,0.31436,1.1457),(665,6045,0.40792,1.1327),(665,6055,0.47913,1.1197),(665,6065,0.52843,1.1066),(665,6075,0.57773,1.0895),(665,6085,0.61179,1.072),(665,6095,0.61444,1.0544),(665,6105,0.61708,1.0367),(665,6115,0.61969,1.0188),(665,6125,0.62208,1.001),(665,6135,0.62448,0.98289),(665,6145,0.62687,0.9646),(665,6155,0.62896,0.94631),(665,6165,0.63103,0.92778),(665,6175,0.6331,0.90887),(665,6185,0.635,0.88996),(665,6195,0.63686,0.87098),(665,6205,0.63872,0.85177),(665,6215,0.64041,0.83256),(665,6225,0.642,0.81334),(665,6235,0.64359,0.79375),(665,6245,0.64508,0.77415),(665,6255,0.64646,0.75455),(665,6265,0.64784,0.73462),(665,6275,0.64916,0.71463),(665,6285,0.65032,0.69464),(665,6295,0.65147,0.67445),(665,6305,0.65261,0.65416),(665,6315,0.65366,0.63386),(665,6325,0.65471,0.61336),(665,6335,0.65577,0.59265),(665,6345,0.65663,0.57193),(665,6355,0.65747,0.55115),(665,6365,0.65832,0.53021),(665,6375,0.65912,0.50928),(665,6385,0.65991,0.48831),(665,6395,0.6607,0.46707),(665,6405,0.66138,0.44584),(665,6415,0.66197,0.42461),(665,6425,0.66257,0.40326),(665,6435,0.66313,0.3819),(665,6445,0.66366,0.36054),(665,6455,0.66418,0.33917),(665,6465,0.66467,0.31779),(665,6475,0.66506,0.29642),(665,6485,0.66544,0.27471),(665,6495,0.66582,0.25279),(665,6505,0.66609,0.23086),(665,6515,0.66636,0.20899),(665,6525,0.66663,0.18718),(665,6535,0.66685,0.16538),(665,6545,0.66707,0.14358),(665,6555,0.66729,0.12184),(665,6565,0.66741,0.1001),(665,6575,0.6675,0.078344),(665,6585,0.66758,0.056344),(665,6595,0.56781,0.034344),(665,6605,0.35781,0.012344),(665,6615,0.1478,0.009738),(665,6625,0.000174,0.009624),(665,6635,0.000175,0.009511),(665,6645,0.000177,0.009473),(665,6655,0.000178,0.009467),(665,6665,0.000179,0.009461),(665,6675,0.000181,0.009455),(665,6685,0.000182,0.009449),(665,6695,0.000183,0.009443),(665,6705,0.000184,0.009437),(665,6715,0.000186,0.00943),(665,6725,0.000187,0.009424),(665,6735,0.000188,0.009417),(665,6745,0.000189,0.009411),(665,6755,0.00019,0.009404),(665,6765,0.000192,0.009398),(665,6775,0.000193,0.009392),(665,6785,0.000194,0.009385),(665,6795,0.000195,0.009379),(665,6805,0.000196,0.009372),(665,6815,0.000198,0.009366),(665,6825,0.000199,0.009359),(665,6835,0.0002,0.009352),(665,6845,0.000201,0.009346),(665,6855,0.000202,0.009339),(665,6865,0.000203,0.009333),(665,6875,0.000204,0.009326),(665,6885,0.000205,0.009319),(665,6895,0.000206,0.009312),(665,6905,0.000207,0.009306),(665,6915,0.000209,0.009299),(665,6925,0.00021,0.009292),(665,6935,0.000211,0.009286),(665,6945,0.000212,0.009279),(665,6955,0.000213,0.009272),(665,6965,0.000214,0.009265),(665,6975,0.000215,0.009258),(665,6985,0.000216,0.009251),(675,5,3.4e-05,3.667),(675,15,0.000101,3.667),(675,25,0.000168,3.667),(675,35,0.000235,3.667),(675,45,0.000303,3.667),(675,55,0.00037,3.667),(675,65,0.000438,3.667),(675,75,0.000505,3.6669),(675,85,0.000572,3.6669),(675,95,0.00064,3.6669),(675,105,0.000708,3.6669),(675,115,0.000775,3.6669),(675,125,0.000843,3.6668),(675,135,0.000911,3.6668),(675,145,0.000979,3.6668),(675,155,0.001047,3.6668),(675,165,0.001115,3.6667),(675,175,0.001184,3.6667),(675,185,0.001252,3.6667),(675,195,0.001321,3.6666),(675,205,0.001389,3.6666),(675,215,0.001458,3.6665),(675,225,0.001527,3.6665),(675,235,0.001596,3.6665),(675,245,0.001666,3.6664),(675,255,0.001735,3.6664),(675,265,0.001805,3.6663),(675,275,0.001874,3.6663),(675,285,0.001944,3.6662),(675,295,0.002014,3.6661),(675,305,0.002085,3.6661),(675,315,0.002155,3.666),(675,325,0.002226,3.666),(675,335,0.002297,3.6659),(675,345,0.002368,3.6658),(675,355,0.00244,3.6658),(675,365,0.002511,3.6657),(675,375,0.002583,3.6656),(675,385,0.002655,3.6655),(675,395,0.002728,3.6655),(675,405,0.002801,3.6654),(675,415,0.002873,3.6653),(675,425,0.002947,3.6652),(675,435,0.003021,3.6651),(675,445,0.003094,3.665),(675,455,0.003168,3.6649),(675,465,0.003243,3.6649),(675,475,0.003318,3.6648),(675,485,0.003393,3.6647),(675,495,0.003468,3.6646),(675,505,0.003544,3.6645),(675,515,0.00362,3.6644),(675,525,0.003697,3.6643),(675,535,0.003773,3.6641),(675,545,0.003851,3.664),(675,555,0.003928,3.6639),(675,565,0.004006,3.6638),(675,575,0.004084,3.6637),(675,585,0.004163,3.6636),(675,595,0.004242,3.6635),(675,605,0.004321,3.6633),(675,615,0.004401,3.6632),(675,625,0.004482,3.6631),(675,635,0.004562,3.6629),(675,645,0.004643,3.6628),(675,655,0.004724,3.6627),(675,665,0.004807,3.6625),(675,675,0.00489,3.6624),(675,685,0.004972,3.6623),(675,695,0.005055,3.6621),(675,705,0.00514,3.662),(675,715,0.005224,3.6618),(675,725,0.005309,3.6617),(675,735,0.005393,3.6615),(675,745,0.00548,3.6614),(675,755,0.005566,3.6612),(675,765,0.005653,3.661),(675,775,0.005739,3.6609),(675,785,0.005828,3.6607),(675,795,0.005916,3.6605),(675,805,0.006004,3.6604),(675,815,0.006093,3.6602),(675,825,0.006184,3.66),(675,835,0.006274,3.6598),(675,845,0.006365,3.6596),(675,855,0.006456,3.6594),(675,865,0.006548,3.6593),(675,875,0.006641,3.6591),(675,885,0.006734,3.6589),(675,895,0.006827,3.6587),(675,905,0.006922,3.6585),(675,915,0.007017,3.6583),(675,925,0.007112,3.6581),(675,935,0.007208,3.6579),(675,945,0.007305,3.6577),(675,955,0.007403,3.6574),(675,965,0.0075,3.6572),(675,975,0.007598,3.657),(675,985,0.007698,3.6568),(675,995,0.007797,3.6566),(675,1005,0.007897,3.6563),(675,1015,0.007998,3.6561),(675,1025,0.0081,3.6559),(675,1035,0.008202,3.6556),(675,1045,0.008304,3.6554),(675,1055,0.008408,3.6551),(675,1065,0.008513,3.6549),(675,1075,0.008618,3.6546),(675,1085,0.008723,3.6544),(675,1095,0.008829,3.6541),(675,1105,0.008936,3.6539),(675,1115,0.009044,3.6536),(675,1125,0.009152,3.6534),(675,1135,0.009261,3.6531),(675,1145,0.009371,3.6528),(675,1155,0.009481,3.6525),(675,1165,0.009591,3.6523),(675,1175,0.009704,3.652),(675,1185,0.009817,3.6517),(675,1195,0.00993,3.6514),(675,1205,0.010043,3.6511),(675,1215,0.010158,3.6508),(675,1225,0.010273,3.6505),(675,1235,0.010389,3.6502),(675,1245,0.010505,3.6499),(675,1255,0.010623,3.6496),(675,1265,0.010742,3.6493),(675,1275,0.010861,3.649),(675,1285,0.010979,3.6487),(675,1295,0.0111,3.6483),(675,1305,0.011222,3.648),(675,1315,0.011343,3.6477),(675,1325,0.011465,3.6473),(675,1335,0.011589,3.647),(675,1345,0.011714,3.6467),(675,1355,0.011838,3.6463),(675,1365,0.011963,3.646),(675,1375,0.01209,3.6456),(675,1385,0.012217,3.6453),(675,1395,0.012345,3.6449),(675,1405,0.012472,3.6445),(675,1415,0.012603,3.6442),(675,1425,0.012733,3.6438),(675,1435,0.012864,3.6434),(675,1445,0.012995,3.643),(675,1455,0.013128,3.6427),(675,1465,0.013262,3.6423),(675,1475,0.013396,3.6419),(675,1485,0.013529,3.6415),(675,1495,0.013666,3.6411),(675,1505,0.013803,3.6407),(675,1515,0.013939,3.6403),(675,1525,0.014076,3.6398),(675,1535,0.014216,3.6394),(675,1545,0.014356,3.639),(675,1555,0.014495,3.6386),(675,1565,0.014635,3.6382),(675,1575,0.014778,3.6377),(675,1585,0.014921,3.6373),(675,1595,0.015064,3.6368),(675,1605,0.015207,3.6364),(675,1615,0.015352,3.6359),(675,1625,0.015498,3.6355),(675,1635,0.015644,3.635),(675,1645,0.01579,3.6346),(675,1655,0.015938,3.6341),(675,1665,0.016087,3.6336),(675,1675,0.016236,3.6331),(675,1685,0.016385,3.6327),(675,1695,0.016537,3.6322),(675,1705,0.016688,3.6317),(675,1715,0.01684,3.6312),(675,1725,0.016992,3.6307),(675,1735,0.017146,3.6302),(675,1745,0.017301,3.6297),(675,1755,0.017456,3.6291),(675,1765,0.017611,3.6286),(675,1775,0.017768,3.6281),(675,1785,0.017926,3.6276),(675,1795,0.018084,3.627),(675,1805,0.018242,3.6265),(675,1815,0.018402,3.626),(675,1825,0.018563,3.6254),(675,1835,0.018723,3.6248),(675,1845,0.018885,3.6243),(675,1855,0.019048,3.6237),(675,1865,0.019211,3.6232),(675,1875,0.019374,3.6226),(675,1885,0.019538,3.622),(675,1895,0.019704,3.6214),(675,1905,0.01987,3.6208),(675,1915,0.020036,3.6202),(675,1925,0.020202,3.6196),(675,1935,0.020371,3.619),(675,1945,0.020539,3.6184),(675,1955,0.020707,3.6178),(675,1965,0.020877,3.6172),(675,1975,0.021047,3.6166),(675,1985,0.021218,3.6159),(675,1995,0.021389,3.6153),(675,2005,0.021561,3.6146),(675,2015,0.021735,3.614),(675,2025,0.021908,3.6134),(675,2035,0.022081,3.6127),(675,2045,0.022256,3.612),(675,2055,0.022432,3.6114),(675,2065,0.022608,3.6107),(675,2075,0.022783,3.61),(675,2085,0.022961,3.6093),(675,2095,0.023139,3.6086),(675,2105,0.023317,3.6079),(675,2115,0.023495,3.6072),(675,2125,0.023674,3.6065),(675,2135,0.023855,3.6058),(675,2145,0.024035,3.6051),(675,2155,0.024215,3.6044),(675,2165,0.024397,3.6037),(675,2175,0.024579,3.6029),(675,2185,0.024762,3.6022),(675,2195,0.024944,3.6015),(675,2205,0.025128,3.6007),(675,2215,0.025313,3.6),(675,2225,0.025497,3.5992),(675,2235,0.025682,3.5984),(675,2245,0.025868,3.5977),(675,2255,0.026054,3.5969),(675,2265,0.026241,3.5961),(675,2275,0.026427,3.5953),(675,2285,0.026615,3.5945),(675,2295,0.026804,3.5937),(675,2305,0.026993,3.5929),(675,2315,0.027181,3.5921),(675,2325,0.027371,3.5913),(675,2335,0.027562,3.5905),(675,2345,0.027753,3.5897),(675,2355,0.027943,3.5888),(675,2365,0.028136,3.588),(675,2375,0.028328,3.5872),(675,2385,0.028521,3.5863),(675,2395,0.028713,3.5855),(675,2405,0.028908,3.5846),(675,2415,0.029102,3.5837),(675,2425,0.029297,3.5829),(675,2435,0.029492,3.582),(675,2445,0.029688,3.5811),(675,2455,0.029885,3.5802),(675,2465,0.030082,3.5793),(675,2475,0.030278,3.5785),(675,2485,0.030477,3.5776),(675,2495,0.030677,3.5767),(675,2505,0.030876,3.5757),(675,2515,0.031075,3.5748),(675,2525,0.031276,3.5739),(675,2535,0.031478,3.573),(675,2545,0.031679,3.572),(675,2555,0.031881,3.5711),(675,2565,0.032085,3.5702),(675,2575,0.032289,3.5692),(675,2585,0.032493,3.5683),(675,2595,0.032698,3.5673),(675,2605,0.032905,3.5664),(675,2615,0.033112,3.5654),(675,2625,0.033319,3.5644),(675,2635,0.033526,3.5635),(675,2645,0.033736,3.5625),(675,2655,0.033947,3.5615),(675,2665,0.034157,3.5605),(675,2675,0.034368,3.5595),(675,2685,0.034582,3.5585),(675,2695,0.034796,3.5575),(675,2705,0.03501,3.5565),(675,2715,0.035225,3.5555),(675,2725,0.035444,3.5545),(675,2735,0.035662,3.5535),(675,2745,0.035881,3.5525),(675,2755,0.0361,3.5514),(675,2765,0.036324,3.5504),(675,2775,0.036547,3.5494),(675,2785,0.03677,3.5483),(675,2795,0.036995,3.5473),(675,2805,0.037225,3.5463),(675,2815,0.037454,3.5452),(675,2825,0.037683,3.5442),(675,2835,0.037914,3.5431),(675,2845,0.03815,3.5421),(675,2855,0.038386,3.541),(675,2865,0.038622,3.5399),(675,2875,0.038861,3.5389),(675,2885,0.039104,3.5378),(675,2895,0.039348,3.5367),(675,2905,0.039591,3.5357),(675,2915,0.039839,3.5346),(675,2925,0.040091,3.5335),(675,2935,0.040344,3.5324),(675,2945,0.040596,3.5314),(675,2955,0.040853,3.5303),(675,2965,0.041116,3.5292),(675,2975,0.041379,3.5281),(675,2985,0.041642,3.527),(675,2995,0.04191,3.5259),(675,3005,0.042185,3.5248),(675,3015,0.04246,3.5238),(675,3025,0.042734,3.5227),(675,3035,0.043016,3.5216),(675,3045,0.043304,3.5205),(675,3055,0.043592,3.5194),(675,3065,0.04388,3.5183),(675,3075,0.044177,3.5172),(675,3085,0.04448,3.5162),(675,3095,0.044784,3.5151),(675,3105,0.045087,3.514),(675,3115,0.045401,3.5129),(675,3125,0.045721,3.5118),(675,3135,0.046041,3.5108),(675,3145,0.046362,3.5097),(675,3155,0.046695,3.5086),(675,3165,0.047034,3.5076),(675,3175,0.047374,3.5065),(675,3185,0.047713,3.5055),(675,3195,0.048068,3.5044),(675,3205,0.048429,3.5034),(675,3215,0.04879,3.5023),(675,3225,0.04915,3.5013),(675,3235,0.049528,3.5003),(675,3245,0.049912,3.4993),(675,3255,0.050296,3.4983),(675,3265,0.050681,3.4973),(675,3275,0.051084,3.4963),(675,3285,0.051493,3.4953),(675,3295,0.051901,3.4943),(675,3305,0.05231,3.4933),(675,3315,0.05274,3.4924),(675,3325,0.053176,3.4914),(675,3335,0.053611,3.4905),(675,3345,0.054046,3.4896),(675,3355,0.054504,3.4887),(675,3365,0.054966,3.4878),(675,3375,0.055428,3.4869),(675,3385,0.05589,3.4861),(675,3395,0.056376,3.4852),(675,3405,0.056865,3.4844),(675,3415,0.057354,3.4836),(675,3425,0.057843,3.4828),(675,3435,0.058356,3.4821),(675,3445,0.05887,3.4813),(675,3455,0.059385,3.4806),(675,3465,0.059899,3.4799),(675,3475,0.060435,3.4792),(675,3485,0.060972,3.4786),(675,3495,0.061508,3.478),(675,3505,0.062045,3.4774),(675,3515,0.062598,3.4768),(675,3525,0.063151,3.4763),(675,3535,0.063704,3.4758),(675,3545,0.064257,3.4753),(675,3555,0.064816,3.4749),(675,3565,0.065376,3.4744),(675,3575,0.065936,3.4741),(675,3585,0.066495,3.4738),(675,3595,0.067048,3.4735),(675,3605,0.067602,3.4732),(675,3615,0.068155,3.4731),(675,3625,0.068705,3.4729),(675,3635,0.069234,3.4728),(675,3645,0.069762,3.4726),(675,3655,0.070291,3.4727),(675,3665,0.070812,3.4727),(675,3675,0.071291,3.4727),(675,3685,0.071771,3.4728),(675,3695,0.072251,3.4731),(675,3705,0.072714,3.4733),(675,3715,0.073114,3.4735),(675,3725,0.073513,3.4738),(675,3735,0.073913,3.4742),(675,3745,0.074284,3.4747),(675,3755,0.074565,3.4751),(675,3765,0.074847,3.4757),(675,3775,0.075129,3.4763),(675,3785,0.075365,3.477),(675,3795,0.075485,3.4777),(675,3805,0.075605,3.4784),(675,3815,0.075725,3.4793),(675,3825,0.075778,3.4802),(675,3835,0.075688,3.4811),(675,3845,0.075599,3.482),(675,3855,0.075509,3.4831),(675,3865,0.075326,3.4842),(675,3875,0.074978,3.4853),(675,3885,0.07463,3.4865),(675,3895,0.074282,3.4877),(675,3905,0.088951,3.489),(675,3915,0.12605,3.4903),(675,3925,0.16316,3.4927),(675,3935,0.20026,3.4967),(675,3945,0.23374,3.5007),(675,3955,0.26262,3.5047),(675,3965,0.29149,3.5085),(675,3975,0.32037,3.5119),(675,3985,0.33043,3.5153),(675,3995,0.32014,3.5188),(675,4005,0.30985,3.5208),(675,4015,0.29956,3.5215),(675,4025,0.28922,3.5222),(675,4035,0.27888,3.5222),(675,4045,0.26854,3.5208),(675,4055,0.25859,3.5194),(675,4065,0.24879,3.5178),(675,4075,0.23899,3.5148),(675,4085,0.2294,3.5119),(675,4095,0.21997,3.5089),(675,4105,0.21054,3.5051),(675,4115,0.19469,3.5012),(675,4125,0.16819,3.4973),(675,4135,0.14169,3.4941),(675,4145,0.11637,3.4912),(675,4155,0.09584,3.4883),(675,4165,0.075309,3.4865),(675,4175,0.055766,3.4855),(675,4185,0.085135,3.4846),(675,4195,0.1145,3.4826),(675,4205,0.14387,3.4793),(675,4215,0.14218,3.476),(675,4225,0.13465,3.4728),(675,4235,0.12711,3.4699),(675,4245,0.11557,3.467),(675,4255,0.102,3.4642),(675,4265,0.088431,3.4623),(675,4275,0.07188,3.4605),(675,4285,0.052167,3.4586),(675,4295,0.032455,3.458),(675,4305,0.024671,3.4576),(675,4315,0.043824,3.4572),(675,4325,0.062977,3.4562),(675,4335,0.081941,3.4549),(675,4345,0.09962,3.4537),(675,4355,0.1173,3.4523),(675,4365,0.13498,3.4507),(675,4375,0.15037,3.4491),(675,4385,0.16565,3.4476),(675,4395,0.18092,3.4462),(675,4405,0.16445,3.4448),(675,4415,0.13861,3.4437),(675,4425,0.11277,3.4436),(675,4435,0.09688,3.4435),(675,4445,0.087797,3.4435),(675,4455,0.078715,3.4425),(675,4465,0.093619,3.4416),(675,4475,0.14222,3.4407),(675,4485,0.19082,3.4372),(675,4495,0.23161,3.4331),(675,4505,0.24734,3.4291),(675,4515,0.26306,3.4239),(675,4525,0.27808,3.4182),(675,4535,0.28192,3.4124),(675,4545,0.28576,3.4064),(675,4555,0.2896,3.4001),(675,4565,0.21126,3.3938),(675,4575,0.12184,3.3893),(675,4585,0.032426,3.3889),(675,4595,0.016789,3.3886),(675,4605,0.032327,3.388),(675,4615,0.047865,3.3853),(675,4625,0.071267,3.3825),(675,4635,0.10179,3.3798),(675,4645,0.13231,3.3732),(675,4655,0.16603,3.3663),(675,4665,0.20577,3.3595),(675,4675,0.24551,3.3493),(675,4685,0.26937,3.338),(675,4695,0.21477,3.3267),(675,4705,0.16017,3.3196),(675,4715,0.10556,3.3156),(675,4725,0.11319,3.3116),(675,4735,0.12144,3.3066),(675,4745,0.12969,3.3001),(675,4755,0.17058,3.2935),(675,4765,0.21902,3.2856),(675,4775,0.26747,3.2727),(675,4785,0.3032,3.2598),(675,4795,0.33157,3.2468),(675,4805,0.35995,3.2312),(675,4815,0.36434,3.2156),(675,4825,0.34005,3.2),(675,4835,0.31575,3.188),(675,4845,0.27765,3.1766),(675,4855,0.20354,3.1651),(675,4865,0.12943,3.1602),(675,4875,0.070076,3.1583),(675,4885,0.14498,3.1563),(675,4895,0.21989,3.1508),(675,4905,0.2948,3.1418),(675,4915,0.30238,3.1328),(675,4925,0.30416,3.1236),(675,4935,0.30595,3.114),(675,4945,0.28451,3.1045),(675,4955,0.25503,3.0953),(675,4965,0.22555,3.0884),(675,4975,0.17711,3.0815),(675,4985,0.11403,3.0746),(675,4995,0.050955,3.0739),(675,5005,0.029618,3.0735),(675,5015,0.074641,3.073),(675,5025,0.11966,3.0599),(675,5035,0.16531,3.0437),(675,5045,0.21332,3.0275),(675,5055,0.26133,3.0059),(675,5065,0.30908,2.9812),(675,5075,0.34819,2.9564),(675,5085,0.38729,2.9302),(675,5095,0.4264,2.9021),(675,5105,0.39354,2.8739),(675,5115,0.34812,2.8491),(675,5125,0.3027,2.8334),(675,5135,0.25878,2.8177),(675,5145,0.21559,2.8029),(675,5155,0.17239,2.7977),(675,5165,0.20503,2.7925),(675,5175,0.31503,2.7873),(675,5185,0.42502,2.7718),(675,5195,0.512,2.7553),(675,5205,0.54938,2.7387),(675,5215,0.58675,2.7201),(675,5225,0.62054,2.7008),(675,5235,0.63202,2.6815),(675,5245,0.64351,2.6622),(675,5255,0.65499,2.6429),(675,5265,0.45736,2.6236),(675,5275,0.25111,2.6115),(675,5285,0.044857,2.6115),(675,5295,0.035052,2.6114),(675,5305,0.079955,2.6094),(675,5315,0.12486,2.5991),(675,5325,0.1857,2.5889),(675,5335,0.25699,2.5785),(675,5345,0.32829,2.5578),(675,5355,0.39688,2.537),(675,5365,0.46182,2.5163),(675,5375,0.52676,2.4906),(675,5385,0.54528,2.4639),(675,5395,0.42267,2.4372),(675,5405,0.30007,2.4231),(675,5415,0.18787,2.4157),(675,5425,0.21548,2.4082),(675,5435,0.24309,2.4051),(675,5445,0.2707,2.4069),(675,5455,0.32096,2.4087),(675,5465,0.374,2.41),(675,5475,0.42703,2.4101),(675,5485,0.4447,2.4103),(675,5495,0.44814,2.4101),(675,5505,0.45157,2.4074),(675,5515,0.45537,2.4048),(675,5525,0.45947,2.4021),(675,5535,0.46357,2.3967),(675,5545,0.46785,2.3912),(675,5555,0.47245,2.3856),(675,5565,0.47705,2.3776),(675,5575,0.48183,2.3689),(675,5585,0.48745,2.3602),(675,5595,0.49308,2.3497),(675,5605,0.4987,2.3381),(675,5615,0.50595,2.3264),(675,5625,0.51319,2.3134),(675,5635,0.52044,2.2985),(675,5645,0.5294,2.2836),(675,5655,0.53873,2.268),(675,5665,0.54806,2.2501),(675,5675,0.55886,2.2322),(675,5685,0.57047,2.2141),(675,5695,0.58208,2.1933),(675,5705,0.59487,2.1725),(675,5715,0.60899,2.1518),(675,5725,0.62312,2.1282),(675,5735,0.63797,2.1042),(675,5745,0.65462,2.0802),(675,5755,0.67127,2.0543),(675,5765,0.68816,2.0276),(675,5775,0.70699,2.0009),(675,5785,0.72583,1.9725),(675,5795,0.74466,1.9425),(675,5805,0.76527,1.9126),(675,5815,0.786,1.8818),(675,5825,0.80673,1.8494),(675,5835,0.8286,1.8169),(675,5845,0.85083,1.784),(675,5855,0.87307,1.7487),(675,5865,0.89597,1.7133),(675,5875,0.91936,1.678),(675,5885,0.94276,1.6406),(675,5895,0.96649,1.6032),(675,5905,0.99073,1.5657),(675,5915,1.015,1.5267),(675,5925,1.0393,1.4872),(675,5935,1.0637,1.4478),(675,5945,1.0882,1.407),(675,5955,1.1126,1.3655),(675,5965,1.137,1.324),(675,5975,1.1614,1.2819),(675,5985,1.1857,1.2391),(675,5995,0.91018,1.1964),(675,6005,0.58636,1.1637),(675,6015,0.26254,1.1579),(675,6025,0.22445,1.1521),(675,6035,0.31889,1.1456),(675,6045,0.41332,1.1325),(675,6055,0.48531,1.1194),(675,6065,0.53529,1.1063),(675,6075,0.58527,1.0891),(675,6085,0.61981,1.0715),(675,6095,0.62255,1.0539),(675,6105,0.62528,1.0361),(675,6115,0.62798,1.0182),(675,6125,0.63045,1.0004),(675,6135,0.63293,0.98222),(675,6145,0.63541,0.96387),(675,6155,0.63759,0.94552),(675,6165,0.63976,0.92695),(675,6175,0.64192,0.90802),(675,6185,0.6439,0.8891),(675,6195,0.64584,0.8701),(675,6205,0.64777,0.85086),(675,6215,0.64955,0.83161),(675,6225,0.65123,0.81236),(675,6235,0.65291,0.79276),(675,6245,0.6545,0.77316),(675,6255,0.65596,0.75356),(675,6265,0.65743,0.73362),(675,6275,0.65883,0.71362),(675,6285,0.66006,0.69362),(675,6295,0.6613,0.67345),(675,6305,0.66252,0.65319),(675,6315,0.66363,0.63293),(675,6325,0.66474,0.61245),(675,6335,0.66585,0.59173),(675,6345,0.66677,0.57101),(675,6355,0.66767,0.55024),(675,6365,0.66857,0.52936),(675,6375,0.66942,0.50847),(675,6385,0.67026,0.48754),(675,6395,0.67111,0.46631),(675,6405,0.67184,0.44509),(675,6415,0.67249,0.42386),(675,6425,0.67314,0.40255),(675,6435,0.67375,0.38124),(675,6445,0.67432,0.35993),(675,6455,0.67488,0.33858),(675,6465,0.67542,0.31723),(675,6475,0.67583,0.29588),(675,6485,0.67623,0.2742),(675,6495,0.67664,0.25231),(675,6505,0.67694,0.23042),(675,6515,0.67723,0.20859),(675,6525,0.67753,0.18683),(675,6535,0.67777,0.16508),(675,6545,0.67801,0.14334),(675,6555,0.67824,0.12163),(675,6565,0.67838,0.099924),(675,6575,0.67846,0.078203),(675,6585,0.67854,0.056256),(675,6595,0.57714,0.03431),(675,6605,0.36369,0.012363),(675,6615,0.15023,0.009757),(675,6625,0.000177,0.009635),(675,6635,0.000178,0.009514),(675,6645,0.00018,0.009475),(675,6655,0.000181,0.009468),(675,6665,0.000182,0.009462),(675,6675,0.000184,0.009456),(675,6685,0.000185,0.00945),(675,6695,0.000186,0.009444),(675,6705,0.000188,0.009438),(675,6715,0.000189,0.009431),(675,6725,0.00019,0.009425),(675,6735,0.000191,0.009418),(675,6745,0.000193,0.009412),(675,6755,0.000194,0.009406),(675,6765,0.000195,0.009399),(675,6775,0.000196,0.009393),(675,6785,0.000197,0.009386),(675,6795,0.000199,0.00938),(675,6805,0.0002,0.009373),(675,6815,0.000201,0.009367),(675,6825,0.000202,0.00936),(675,6835,0.000203,0.009354),(675,6845,0.000204,0.009347),(675,6855,0.000205,0.00934),(675,6865,0.000207,0.009334),(675,6875,0.000208,0.009327),(675,6885,0.000209,0.00932),(675,6895,0.00021,0.009314),(675,6905,0.000211,0.009307),(675,6915,0.000212,0.0093),(675,6925,0.000213,0.009293),(675,6935,0.000214,0.009287),(675,6945,0.000215,0.00928),(675,6955,0.000216,0.009273),(675,6965,0.000217,0.009266),(675,6975,0.000218,0.009259),(675,6985,0.000219,0.009252),(685,5,3.4e-05,3.6671),(685,15,0.000102,3.6671),(685,25,0.00017,3.6671),(685,35,0.000239,3.6671),(685,45,0.000307,3.667),(685,55,0.000375,3.667),(685,65,0.000443,3.667),(685,75,0.000512,3.667),(685,85,0.00058,3.667),(685,95,0.000648,3.667),(685,105,0.000717,3.667),(685,115,0.000786,3.6669),(685,125,0.000854,3.6669),(685,135,0.000923,3.6669),(685,145,0.000992,3.6669),(685,155,0.001061,3.6668),(685,165,0.00113,3.6668),(685,175,0.001199,3.6668),(685,185,0.001269,3.6667),(685,195,0.001338,3.6667),(685,205,0.001408,3.6667),(685,215,0.001477,3.6666),(685,225,0.001547,3.6666),(685,235,0.001617,3.6665),(685,245,0.001688,3.6665),(685,255,0.001758,3.6664),(685,265,0.001828,3.6664),(685,275,0.001899,3.6663),(685,285,0.00197,3.6663),(685,295,0.002041,3.6662),(685,305,0.002112,3.6662),(685,315,0.002184,3.6661),(685,325,0.002255,3.666),(685,335,0.002327,3.666),(685,345,0.002399,3.6659),(685,355,0.002472,3.6658),(685,365,0.002544,3.6658),(685,375,0.002617,3.6657),(685,385,0.00269,3.6656),(685,395,0.002764,3.6655),(685,405,0.002838,3.6655),(685,415,0.002911,3.6654),(685,425,0.002986,3.6653),(685,435,0.00306,3.6652),(685,445,0.003135,3.6651),(685,455,0.00321,3.665),(685,465,0.003286,3.6649),(685,475,0.003362,3.6648),(685,485,0.003438,3.6647),(685,495,0.003514,3.6646),(685,505,0.003591,3.6645),(685,515,0.003668,3.6644),(685,525,0.003745,3.6643),(685,535,0.003823,3.6642),(685,545,0.003902,3.6641),(685,555,0.00398,3.664),(685,565,0.004059,3.6639),(685,575,0.004138,3.6638),(685,585,0.004218,3.6637),(685,595,0.004298,3.6635),(685,605,0.004379,3.6634),(685,615,0.004459,3.6633),(685,625,0.004541,3.6632),(685,635,0.004623,3.663),(685,645,0.004705,3.6629),(685,655,0.004787,3.6628),(685,665,0.004871,3.6626),(685,675,0.004955,3.6625),(685,685,0.005038,3.6623),(685,695,0.005122,3.6622),(685,705,0.005208,3.6621),(685,715,0.005294,3.6619),(685,725,0.005379,3.6617),(685,735,0.005465,3.6616),(685,745,0.005553,3.6614),(685,755,0.00564,3.6613),(685,765,0.005728,3.6611),(685,775,0.005816,3.661),(685,785,0.005906,3.6608),(685,795,0.005995,3.6606),(685,805,0.006085,3.6604),(685,815,0.006175,3.6603),(685,825,0.006267,3.6601),(685,835,0.006358,3.6599),(685,845,0.00645,3.6597),(685,855,0.006542,3.6595),(685,865,0.006636,3.6594),(685,875,0.00673,3.6592),(685,885,0.006824,3.659),(685,895,0.006919,3.6588),(685,905,0.007015,3.6586),(685,915,0.007111,3.6584),(685,925,0.007208,3.6582),(685,935,0.007305,3.658),(685,945,0.007404,3.6578),(685,955,0.007502,3.6575),(685,965,0.007601,3.6573),(685,975,0.007701,3.6571),(685,985,0.007802,3.6569),(685,995,0.007903,3.6567),(685,1005,0.008004,3.6564),(685,1015,0.008106,3.6562),(685,1025,0.00821,3.656),(685,1035,0.008313,3.6557),(685,1045,0.008417,3.6555),(685,1055,0.008522,3.6552),(685,1065,0.008628,3.655),(685,1075,0.008735,3.6548),(685,1085,0.008841,3.6545),(685,1095,0.008949,3.6542),(685,1105,0.009058,3.654),(685,1115,0.009167,3.6537),(685,1125,0.009276,3.6535),(685,1135,0.009387,3.6532),(685,1145,0.009498,3.6529),(685,1155,0.00961,3.6527),(685,1165,0.009722,3.6524),(685,1175,0.009836,3.6521),(685,1185,0.00995,3.6518),(685,1195,0.010065,3.6515),(685,1205,0.01018,3.6512),(685,1215,0.010296,3.6509),(685,1225,0.010414,3.6506),(685,1235,0.010531,3.6503),(685,1245,0.010649,3.65),(685,1255,0.010769,3.6497),(685,1265,0.010889,3.6494),(685,1275,0.011009,3.6491),(685,1285,0.01113,3.6488),(685,1295,0.011253,3.6485),(685,1305,0.011376,3.6481),(685,1315,0.011499,3.6478),(685,1325,0.011623,3.6475),(685,1335,0.011749,3.6471),(685,1345,0.011875,3.6468),(685,1355,0.012001,3.6464),(685,1365,0.012128,3.6461),(685,1375,0.012257,3.6457),(685,1385,0.012386,3.6454),(685,1395,0.012516,3.645),(685,1405,0.012645,3.6447),(685,1415,0.012777,3.6443),(685,1425,0.01291,3.6439),(685,1435,0.013042,3.6435),(685,1445,0.013175,3.6432),(685,1455,0.01331,3.6428),(685,1465,0.013446,3.6424),(685,1475,0.013582,3.642),(685,1485,0.013717,3.6416),(685,1495,0.013856,3.6412),(685,1505,0.013995,3.6408),(685,1515,0.014133,3.6404),(685,1525,0.014272,3.64),(685,1535,0.014414,3.6396),(685,1545,0.014556,3.6392),(685,1555,0.014698,3.6387),(685,1565,0.01484,3.6383),(685,1575,0.014984,3.6379),(685,1585,0.015129,3.6374),(685,1595,0.015274,3.637),(685,1605,0.015419,3.6365),(685,1615,0.015567,3.6361),(685,1625,0.015715,3.6356),(685,1635,0.015863,3.6352),(685,1645,0.016011,3.6347),(685,1655,0.016162,3.6342),(685,1665,0.016313,3.6338),(685,1675,0.016464,3.6333),(685,1685,0.016615,3.6328),(685,1695,0.016769,3.6323),(685,1705,0.016923,3.6318),(685,1715,0.017077,3.6313),(685,1725,0.017231,3.6308),(685,1735,0.017388,3.6303),(685,1745,0.017545,3.6298),(685,1755,0.017702,3.6293),(685,1765,0.01786,3.6288),(685,1775,0.018019,3.6283),(685,1785,0.018179,3.6277),(685,1795,0.018339,3.6272),(685,1805,0.0185,3.6267),(685,1815,0.018663,3.6261),(685,1825,0.018826,3.6256),(685,1835,0.018989,3.625),(685,1845,0.019152,3.6244),(685,1855,0.019318,3.6239),(685,1865,0.019484,3.6233),(685,1875,0.019649,3.6227),(685,1885,0.019816,3.6222),(685,1895,0.019984,3.6216),(685,1905,0.020153,3.621),(685,1915,0.020321,3.6204),(685,1925,0.02049,3.6198),(685,1935,0.020661,3.6192),(685,1945,0.020832,3.6186),(685,1955,0.021003,3.618),(685,1965,0.021175,3.6174),(685,1975,0.021348,3.6167),(685,1985,0.021521,3.6161),(685,1995,0.021695,3.6155),(685,2005,0.021869,3.6148),(685,2015,0.022045,3.6142),(685,2025,0.022221,3.6135),(685,2035,0.022397,3.6129),(685,2045,0.022574,3.6122),(685,2055,0.022753,3.6115),(685,2065,0.022931,3.6109),(685,2075,0.023109,3.6102),(685,2085,0.023289,3.6095),(685,2095,0.02347,3.6088),(685,2105,0.023651,3.6081),(685,2115,0.023831,3.6074),(685,2125,0.024013,3.6067),(685,2135,0.024196,3.606),(685,2145,0.024379,3.6053),(685,2155,0.024562,3.6046),(685,2165,0.024746,3.6039),(685,2175,0.024931,3.6031),(685,2185,0.025116,3.6024),(685,2195,0.025301,3.6016),(685,2205,0.025488,3.6009),(685,2215,0.025675,3.6001),(685,2225,0.025862,3.5994),(685,2235,0.026049,3.5986),(685,2245,0.026238,3.5978),(685,2255,0.026427,3.5971),(685,2265,0.026616,3.5963),(685,2275,0.026805,3.5955),(685,2285,0.026996,3.5947),(685,2295,0.027187,3.5939),(685,2305,0.027378,3.5931),(685,2315,0.02757,3.5923),(685,2325,0.027762,3.5915),(685,2335,0.027956,3.5907),(685,2345,0.028149,3.5899),(685,2355,0.028342,3.589),(685,2365,0.028537,3.5882),(685,2375,0.028732,3.5874),(685,2385,0.028927,3.5865),(685,2395,0.029122,3.5857),(685,2405,0.029319,3.5848),(685,2415,0.029516,3.5839),(685,2425,0.029713,3.5831),(685,2435,0.02991,3.5822),(685,2445,0.030109,3.5813),(685,2455,0.030308,3.5804),(685,2465,0.030507,3.5795),(685,2475,0.030707,3.5787),(685,2485,0.030908,3.5778),(685,2495,0.031109,3.5769),(685,2505,0.031311,3.5759),(685,2515,0.031512,3.575),(685,2525,0.031716,3.5741),(685,2535,0.031919,3.5732),(685,2545,0.032123,3.5723),(685,2555,0.032327,3.5713),(685,2565,0.032533,3.5704),(685,2575,0.032739,3.5694),(685,2585,0.032945,3.5685),(685,2595,0.033152,3.5675),(685,2605,0.033361,3.5666),(685,2615,0.033569,3.5656),(685,2625,0.033778,3.5646),(685,2635,0.033987,3.5637),(685,2645,0.034199,3.5627),(685,2655,0.034411,3.5617),(685,2665,0.034623,3.5607),(685,2675,0.034836,3.5597),(685,2685,0.035051,3.5587),(685,2695,0.035267,3.5577),(685,2705,0.035483,3.5567),(685,2715,0.035699,3.5557),(685,2725,0.035919,3.5547),(685,2735,0.036138,3.5537),(685,2745,0.036358,3.5527),(685,2755,0.036579,3.5517),(685,2765,0.036803,3.5506),(685,2775,0.037027,3.5496),(685,2785,0.037252,3.5486),(685,2795,0.037478,3.5475),(685,2805,0.037707,3.5465),(685,2815,0.037937,3.5454),(685,2825,0.038167,3.5444),(685,2835,0.038399,3.5433),(685,2845,0.038635,3.5423),(685,2855,0.038871,3.5412),(685,2865,0.039107,3.5402),(685,2875,0.039346,3.5391),(685,2885,0.039589,3.538),(685,2895,0.039833,3.537),(685,2905,0.040076,3.5359),(685,2915,0.040323,3.5348),(685,2925,0.040575,3.5338),(685,2935,0.040826,3.5327),(685,2945,0.041078,3.5316),(685,2955,0.041334,3.5305),(685,2965,0.041596,3.5294),(685,2975,0.041857,3.5284),(685,2985,0.042119,3.5273),(685,2995,0.042385,3.5262),(685,3005,0.042658,3.5251),(685,3015,0.042931,3.524),(685,3025,0.043203,3.523),(685,3035,0.043482,3.5219),(685,3045,0.043767,3.5208),(685,3055,0.044053,3.5197),(685,3065,0.044338,3.5186),(685,3075,0.044631,3.5175),(685,3085,0.04493,3.5165),(685,3095,0.04523,3.5154),(685,3105,0.045529,3.5143),(685,3115,0.045838,3.5132),(685,3125,0.046154,3.5122),(685,3135,0.046469,3.5111),(685,3145,0.046785,3.51),(685,3155,0.047112,3.509),(685,3165,0.047445,3.5079),(685,3175,0.047778,3.5069),(685,3185,0.048111,3.5058),(685,3195,0.048458,3.5048),(685,3205,0.048811,3.5037),(685,3215,0.049164,3.5027),(685,3225,0.049517,3.5017),(685,3235,0.049886,3.5006),(685,3245,0.050261,3.4996),(685,3255,0.050635,3.4986),(685,3265,0.05101,3.4976),(685,3275,0.051402,3.4966),(685,3285,0.051799,3.4957),(685,3295,0.052196,3.4947),(685,3305,0.052593,3.4937),(685,3315,0.05301,3.4928),(685,3325,0.053431,3.4918),(685,3335,0.053852,3.4909),(685,3345,0.054274,3.49),(685,3355,0.054715,3.4891),(685,3365,0.055161,3.4882),(685,3375,0.055606,3.4874),(685,3385,0.056052,3.4865),(685,3395,0.056518,3.4857),(685,3405,0.056988,3.4849),(685,3415,0.057457,3.4841),(685,3425,0.057926,3.4833),(685,3435,0.058416,3.4826),(685,3445,0.058907,3.4818),(685,3455,0.059398,3.4811),(685,3465,0.05989,3.4804),(685,3475,0.060399,3.4797),(685,3485,0.060908,3.4791),(685,3495,0.061418,3.4785),(685,3505,0.061927,3.4779),(685,3515,0.062449,3.4773),(685,3525,0.062971,3.4768),(685,3535,0.063493,3.4763),(685,3545,0.064014,3.4759),(685,3555,0.064539,3.4754),(685,3565,0.065063,3.475),(685,3575,0.065587,3.4746),(685,3585,0.066111,3.4743),(685,3595,0.066624,3.474),(685,3605,0.067138,3.4737),(685,3615,0.067651,3.4736),(685,3625,0.068161,3.4734),(685,3635,0.068645,3.4733),(685,3645,0.06913,3.4731),(685,3655,0.069614,3.4731),(685,3665,0.07009,3.4732),(685,3675,0.070522,3.4732),(685,3685,0.070954,3.4732),(685,3695,0.071386,3.4735),(685,3705,0.071801,3.4737),(685,3715,0.072151,3.4739),(685,3725,0.0725,3.4741),(685,3735,0.07285,3.4746),(685,3745,0.07317,3.475),(685,3755,0.073402,3.4754),(685,3765,0.073633,3.4759),(685,3775,0.073864,3.4765),(685,3785,0.07405,3.4771),(685,3795,0.074121,3.4778),(685,3805,0.074192,3.4784),(685,3815,0.074263,3.4793),(685,3825,0.074268,3.4801),(685,3835,0.074135,3.481),(685,3845,0.074001,3.4819),(685,3855,0.073868,3.4829),(685,3865,0.073644,3.4839),(685,3875,0.07326,3.485),(685,3885,0.072876,3.486),(685,3895,0.072492,3.4872),(685,3905,0.086762,3.4884),(685,3915,0.12292,3.4896),(685,3925,0.15908,3.4919),(685,3935,0.19524,3.4957),(685,3945,0.22813,3.4996),(685,3955,0.25688,3.5034),(685,3965,0.28562,3.5069),(685,3975,0.31436,3.5102),(685,3985,0.32472,3.5135),(685,3995,0.3152,3.5167),(685,4005,0.30567,3.5187),(685,4015,0.29614,3.5193),(685,4025,0.28647,3.5199),(685,4035,0.27678,3.5199),(685,4045,0.2671,3.5185),(685,4055,0.25769,3.5171),(685,4065,0.24839,3.5155),(685,4075,0.23909,3.5126),(685,4085,0.22989,3.5097),(685,4095,0.22077,3.5068),(685,4105,0.21165,3.5029),(685,4115,0.19597,3.499),(685,4125,0.16944,3.4951),(685,4135,0.14291,3.4918),(685,4145,0.1175,3.4888),(685,4155,0.096622,3.4857),(685,4165,0.075746,3.4839),(685,4175,0.055871,3.4828),(685,4185,0.085562,3.4817),(685,4195,0.11525,3.4797),(685,4205,0.14495,3.4763),(685,4215,0.14332,3.4729),(685,4225,0.1358,3.4696),(685,4235,0.12828,3.4667),(685,4245,0.11665,3.4637),(685,4255,0.10294,3.4609),(685,4265,0.089226,3.4591),(685,4275,0.072519,3.4573),(685,4285,0.052634,3.4555),(685,4295,0.032749,3.4549),(685,4305,0.024835,3.4545),(685,4315,0.043952,3.4541),(685,4325,0.063069,3.453),(685,4335,0.081992,3.4517),(685,4345,0.099598,3.4503),(685,4355,0.1172,3.4488),(685,4365,0.13481,3.4472),(685,4375,0.15004,3.4456),(685,4385,0.16514,3.4441),(685,4395,0.18025,3.4426),(685,4405,0.16366,3.4411),(685,4415,0.13772,3.4399),(685,4425,0.11179,3.4397),(685,4435,0.096075,3.4395),(685,4445,0.087346,3.4393),(685,4455,0.078618,3.4382),(685,4465,0.093904,3.4372),(685,4475,0.14293,3.4361),(685,4485,0.19195,3.4324),(685,4495,0.23313,3.4282),(685,4505,0.24917,3.424),(685,4515,0.26521,3.4189),(685,4525,0.28053,3.4132),(685,4535,0.28447,3.4075),(685,4545,0.28841,3.4017),(685,4555,0.29235,3.3958),(685,4565,0.21332,3.3898),(685,4575,0.1231,3.3855),(685,4585,0.032882,3.3852),(685,4595,0.017331,3.3849),(685,4605,0.033329,3.3843),(685,4615,0.049326,3.3816),(685,4625,0.073338,3.3788),(685,4635,0.10461,3.3761),(685,4645,0.13588,3.3695),(685,4655,0.17035,3.3628),(685,4665,0.21088,3.356),(685,4675,0.2514,3.3459),(685,4685,0.27569,3.3348),(685,4695,0.21974,3.3237),(685,4705,0.1638,3.3167),(685,4715,0.10786,3.3127),(685,4725,0.11595,3.3087),(685,4735,0.12468,3.3037),(685,4745,0.13341,3.2971),(685,4755,0.1753,3.2904),(685,4765,0.22489,3.2824),(685,4775,0.27447,3.2695),(685,4785,0.3109,3.2566),(685,4795,0.33973,3.2436),(685,4805,0.36856,3.2282),(685,4815,0.37284,3.2128),(685,4825,0.34776,3.1974),(685,4835,0.32269,3.1856),(685,4845,0.28352,3.1743),(685,4855,0.20763,3.1631),(685,4865,0.13175,3.1582),(685,4875,0.070879,3.1562),(685,4885,0.14667,3.1542),(685,4895,0.22246,3.1485),(685,4905,0.29825,3.1392),(685,4915,0.30604,3.13),(685,4925,0.30799,3.1206),(685,4935,0.30994,3.1109),(685,4945,0.28833,3.1012),(685,4955,0.25854,3.0919),(685,4965,0.22875,3.085),(685,4975,0.17967,3.0781),(685,4985,0.11571,3.0712),(685,4995,0.051744,3.0706),(685,5005,0.031135,3.0701),(685,5015,0.079453,3.0696),(685,5025,0.12777,3.0565),(685,5035,0.17637,3.0403),(685,5045,0.22605,3.024),(685,5055,0.27573,3.0026),(685,5065,0.32511,2.9779),(685,5075,0.36478,2.9533),(685,5085,0.40444,2.9273),(685,5095,0.44411,2.8996),(685,5105,0.40914,2.8719),(685,5115,0.36116,2.8474),(685,5125,0.31317,2.832),(685,5135,0.26684,2.8166),(685,5145,0.22132,2.8021),(685,5155,0.1758,2.7968),(685,5165,0.20805,2.7915),(685,5175,0.31961,2.7862),(685,5185,0.43117,2.7706),(685,5195,0.51935,2.7539),(685,5205,0.55713,2.7372),(685,5215,0.5949,2.7186),(685,5225,0.62903,2.6993),(685,5235,0.64049,2.68),(685,5245,0.65195,2.6608),(685,5255,0.66342,2.6416),(685,5265,0.46325,2.6225),(685,5275,0.25435,2.6104),(685,5285,0.045454,2.6104),(685,5295,0.036518,2.6103),(685,5305,0.083266,2.6083),(685,5315,0.13001,2.598),(685,5325,0.19272,2.5876),(685,5335,0.26589,2.5772),(685,5345,0.33906,2.5565),(685,5355,0.40913,2.5357),(685,5365,0.47503,2.515),(685,5375,0.54093,2.4895),(685,5385,0.55933,2.463),(685,5395,0.43332,2.4365),(685,5405,0.30731,2.4225),(685,5415,0.19177,2.4151),(685,5425,0.2167,2.4078),(685,5435,0.24163,2.4046),(685,5445,0.26655,2.4061),(685,5455,0.31631,2.4075),(685,5465,0.36909,2.4085),(685,5475,0.42188,2.4082),(685,5485,0.43997,2.408),(685,5495,0.44409,2.4074),(685,5505,0.4482,2.4044),(685,5515,0.4527,2.4014),(685,5525,0.45753,2.3984),(685,5535,0.46236,2.3928),(685,5545,0.46737,2.387),(685,5555,0.4727,2.3812),(685,5565,0.47803,2.373),(685,5575,0.48354,2.3641),(685,5585,0.48989,2.3551),(685,5595,0.49623,2.3445),(685,5605,0.50258,2.3327),(685,5615,0.51051,2.3209),(685,5625,0.51844,2.3077),(685,5635,0.52637,2.2927),(685,5645,0.536,2.2777),(685,5655,0.54599,2.262),(685,5665,0.55599,2.244),(685,5675,0.56744,2.2259),(685,5685,0.5797,2.2078),(685,5695,0.59196,2.1869),(685,5705,0.60537,2.1661),(685,5715,0.6201,2.1452),(685,5725,0.63483,2.1216),(685,5735,0.65028,2.0976),(685,5745,0.66753,2.0736),(685,5755,0.68478,2.0476),(685,5765,0.70226,2.0209),(685,5775,0.72166,1.9942),(685,5785,0.74106,1.9658),(685,5795,0.76046,1.936),(685,5805,0.7816,1.9061),(685,5815,0.80287,1.8754),(685,5825,0.82415,1.8431),(685,5835,0.8465,1.8108),(685,5845,0.8692,1.778),(685,5855,0.89191,1.7429),(685,5865,0.91525,1.7078),(685,5875,0.93905,1.6727),(685,5885,0.96285,1.6356),(685,5895,0.98695,1.5984),(685,5905,1.0115,1.5613),(685,5915,1.0361,1.5226),(685,5925,1.0607,1.4835),(685,5935,1.0854,1.4444),(685,5945,1.1101,1.404),(685,5955,1.1348,1.3629),(685,5965,1.1594,1.3218),(685,5975,1.1839,1.2802),(685,5985,1.2085,1.2379),(685,5995,0.9276,1.1957),(685,6005,0.59758,1.1633),(685,6015,0.26755,1.1576),(685,6025,0.2281,1.1519),(685,6035,0.32341,1.1455),(685,6045,0.41872,1.1324),(685,6055,0.49148,1.1192),(685,6065,0.54214,1.1061),(685,6075,0.5928,1.0888),(685,6085,0.62783,1.0712),(685,6095,0.63066,1.0535),(685,6105,0.63348,1.0357),(685,6115,0.63626,1.0177),(685,6125,0.63883,0.99982),(685,6135,0.64139,0.98163),(685,6145,0.64395,0.96323),(685,6155,0.64622,0.94484),(685,6165,0.64848,0.92623),(685,6175,0.65074,0.90727),(685,6185,0.6528,0.88832),(685,6195,0.65481,0.8693),(685,6205,0.65682,0.85004),(685,6215,0.65869,0.83078),(685,6225,0.66046,0.81151),(685,6235,0.66224,0.7919),(685,6245,0.66391,0.77229),(685,6255,0.66546,0.75268),(685,6265,0.66701,0.73273),(685,6275,0.6685,0.71272),(685,6285,0.66981,0.69271),(685,6295,0.67113,0.67255),(685,6305,0.67243,0.65232),(685,6315,0.6736,0.63208),(685,6325,0.67477,0.61161),(685,6335,0.67594,0.59089),(685,6345,0.67692,0.57017),(685,6355,0.67787,0.54941),(685,6365,0.67882,0.52858),(685,6375,0.67973,0.50774),(685,6385,0.68062,0.48685),(685,6395,0.68151,0.46563),(685,6405,0.6823,0.44441),(685,6415,0.683,0.4232),(685,6425,0.6837,0.40193),(685,6435,0.68437,0.38065),(685,6445,0.68498,0.35938),(685,6455,0.68558,0.33806),(685,6465,0.68616,0.31672),(685,6475,0.68659,0.29538),(685,6485,0.68703,0.27374),(685,6495,0.68747,0.25188),(685,6505,0.68779,0.23002),(685,6515,0.68811,0.20823),(685,6525,0.68843,0.18652),(685,6535,0.68869,0.16482),(685,6545,0.68895,0.14312),(685,6555,0.6892,0.12143),(685,6565,0.68934,0.099752),(685,6575,0.68943,0.078056),(685,6585,0.68951,0.05615),(685,6595,0.58647,0.034243),(685,6605,0.36957,0.012337),(685,6615,0.15266,0.009742),(685,6625,0.00018,0.009628),(685,6635,0.000182,0.009513),(685,6645,0.000183,0.009476),(685,6655,0.000184,0.00947),(685,6665,0.000186,0.009464),(685,6675,0.000187,0.009458),(685,6685,0.000188,0.009451),(685,6695,0.000189,0.009445),(685,6705,0.000191,0.009439),(685,6715,0.000192,0.009433),(685,6725,0.000193,0.009426),(685,6735,0.000195,0.00942),(685,6745,0.000196,0.009413),(685,6755,0.000197,0.009407),(685,6765,0.000198,0.009401),(685,6775,0.000199,0.009394),(685,6785,0.000201,0.009388),(685,6795,0.000202,0.009381),(685,6805,0.000203,0.009374),(685,6815,0.000204,0.009368),(685,6825,0.000205,0.009361),(685,6835,0.000207,0.009355),(685,6845,0.000208,0.009348),(685,6855,0.000209,0.009342),(685,6865,0.00021,0.009335),(685,6875,0.000211,0.009328),(685,6885,0.000212,0.009321),(685,6895,0.000213,0.009315),(685,6905,0.000214,0.009308),(685,6915,0.000215,0.009301),(685,6925,0.000217,0.009294),(685,6935,0.000218,0.009288),(685,6945,0.000219,0.009281),(685,6955,0.00022,0.009274),(685,6965,0.000221,0.009267),(685,6975,0.000222,0.00926),(685,6985,0.000223,0.009253),(695,5,3.4e-05,3.6671),(695,15,0.000103,3.6671),(695,25,0.000173,3.6671),(695,35,0.000242,3.6671),(695,45,0.000311,3.6671),(695,55,0.00038,3.6671),(695,65,0.000449,3.6671),(695,75,0.000518,3.6671),(695,85,0.000588,3.6671),(695,95,0.000657,3.667),(695,105,0.000726,3.667),(695,115,0.000796,3.667),(695,125,0.000865,3.667),(695,135,0.000935,3.667),(695,145,0.001005,3.6669),(695,155,0.001075,3.6669),(695,165,0.001145,3.6669),(695,175,0.001215,3.6668),(695,185,0.001285,3.6668),(695,195,0.001355,3.6668),(695,205,0.001426,3.6667),(695,215,0.001497,3.6667),(695,225,0.001567,3.6666),(695,235,0.001638,3.6666),(695,245,0.00171,3.6665),(695,255,0.001781,3.6665),(695,265,0.001852,3.6664),(695,275,0.001924,3.6664),(695,285,0.001996,3.6663),(695,295,0.002067,3.6663),(695,305,0.00214,3.6662),(695,315,0.002212,3.6662),(695,325,0.002285,3.6661),(695,335,0.002357,3.666),(695,345,0.002431,3.666),(695,355,0.002504,3.6659),(695,365,0.002578,3.6658),(695,375,0.002651,3.6658),(695,385,0.002726,3.6657),(695,395,0.0028,3.6656),(695,405,0.002874,3.6655),(695,415,0.002949,3.6654),(695,425,0.003025,3.6654),(695,435,0.0031,3.6653),(695,445,0.003176,3.6652),(695,455,0.003252,3.6651),(695,465,0.003329,3.665),(695,475,0.003406,3.6649),(695,485,0.003482,3.6648),(695,495,0.003559,3.6647),(695,505,0.003638,3.6646),(695,515,0.003716,3.6645),(695,525,0.003794,3.6644),(695,535,0.003873,3.6643),(695,545,0.003953,3.6642),(695,555,0.004032,3.6641),(695,565,0.004112,3.664),(695,575,0.004192,3.6639),(695,585,0.004273,3.6637),(695,595,0.004355,3.6636),(695,605,0.004436,3.6635),(695,615,0.004518,3.6634),(695,625,0.004601,3.6632),(695,635,0.004684,3.6631),(695,645,0.004767,3.663),(695,655,0.00485,3.6628),(695,665,0.004935,3.6627),(695,675,0.00502,3.6626),(695,685,0.005104,3.6624),(695,695,0.00519,3.6623),(695,705,0.005276,3.6621),(695,715,0.005363,3.662),(695,725,0.00545,3.6618),(695,735,0.005537,3.6617),(695,745,0.005626,3.6615),(695,755,0.005714,3.6614),(695,765,0.005803,3.6612),(695,775,0.005893,3.661),(695,785,0.005983,3.6609),(695,795,0.006074,3.6607),(695,805,0.006165,3.6605),(695,815,0.006256,3.6604),(695,825,0.006349,3.6602),(695,835,0.006442,3.66),(695,845,0.006535,3.6598),(695,855,0.006629,3.6596),(695,865,0.006724,3.6595),(695,875,0.006819,3.6593),(695,885,0.006914,3.6591),(695,895,0.00701,3.6589),(695,905,0.007108,3.6587),(695,915,0.007206,3.6585),(695,925,0.007303,3.6583),(695,935,0.007402,3.6581),(695,945,0.007502,3.6579),(695,955,0.007602,3.6576),(695,965,0.007702,3.6574),(695,975,0.007803,3.6572),(695,985,0.007906,3.657),(695,995,0.008008,3.6568),(695,1005,0.00811,3.6565),(695,1015,0.008214,3.6563),(695,1025,0.008319,3.6561),(695,1035,0.008424,3.6558),(695,1045,0.008529,3.6556),(695,1055,0.008636,3.6554),(695,1065,0.008744,3.6551),(695,1075,0.008851,3.6549),(695,1085,0.008959,3.6546),(695,1095,0.009069,3.6544),(695,1105,0.009179,3.6541),(695,1115,0.00929,3.6538),(695,1125,0.0094,3.6536),(695,1135,0.009513,3.6533),(695,1145,0.009626,3.653),(695,1155,0.009739,3.6528),(695,1165,0.009853,3.6525),(695,1175,0.009968,3.6522),(695,1185,0.010084,3.6519),(695,1195,0.0102,3.6516),(695,1205,0.010317,3.6513),(695,1215,0.010435,3.6511),(695,1225,0.010554,3.6508),(695,1235,0.010673,3.6505),(695,1245,0.010793,3.6502),(695,1255,0.010914,3.6498),(695,1265,0.011036,3.6495),(695,1275,0.011158,3.6492),(695,1285,0.011281,3.6489),(695,1295,0.011405,3.6486),(695,1305,0.01153,3.6483),(695,1315,0.011655,3.6479),(695,1325,0.011781,3.6476),(695,1335,0.011908,3.6473),(695,1345,0.012036,3.6469),(695,1355,0.012165,3.6466),(695,1365,0.012293,3.6462),(695,1375,0.012424,3.6459),(695,1385,0.012555,3.6455),(695,1395,0.012686,3.6452),(695,1405,0.012817,3.6448),(695,1415,0.012952,3.6444),(695,1425,0.013086,3.6441),(695,1435,0.01322,3.6437),(695,1445,0.013355,3.6433),(695,1455,0.013492,3.6429),(695,1465,0.01363,3.6425),(695,1475,0.013768,3.6421),(695,1485,0.013905,3.6417),(695,1495,0.014046,3.6414),(695,1505,0.014187,3.641),(695,1515,0.014327,3.6405),(695,1525,0.014468,3.6401),(695,1535,0.014612,3.6397),(695,1545,0.014756,3.6393),(695,1555,0.0149,3.6389),(695,1565,0.015044,3.6384),(695,1575,0.015191,3.638),(695,1585,0.015338,3.6376),(695,1595,0.015485,3.6371),(695,1605,0.015632,3.6367),(695,1615,0.015782,3.6362),(695,1625,0.015932,3.6358),(695,1635,0.016082,3.6353),(695,1645,0.016233,3.6349),(695,1655,0.016386,3.6344),(695,1665,0.016539,3.6339),(695,1675,0.016692,3.6334),(695,1685,0.016846,3.633),(695,1695,0.017002,3.6325),(695,1705,0.017158,3.632),(695,1715,0.017314,3.6315),(695,1725,0.017471,3.631),(695,1735,0.01763,3.6305),(695,1745,0.017789,3.63),(695,1755,0.017948,3.6295),(695,1765,0.018108,3.6289),(695,1775,0.01827,3.6284),(695,1785,0.018433,3.6279),(695,1795,0.018595,3.6274),(695,1805,0.018758,3.6268),(695,1815,0.018923,3.6263),(695,1825,0.019089,3.6257),(695,1835,0.019254,3.6252),(695,1845,0.01942,3.6246),(695,1855,0.019588,3.6241),(695,1865,0.019756,3.6235),(695,1875,0.019925,3.6229),(695,1885,0.020094,3.6223),(695,1895,0.020265,3.6218),(695,1905,0.020435,3.6212),(695,1915,0.020606,3.6206),(695,1925,0.020778,3.62),(695,1935,0.020951,3.6194),(695,1945,0.021125,3.6188),(695,1955,0.021298,3.6181),(695,1965,0.021473,3.6175),(695,1975,0.021648,3.6169),(695,1985,0.021824,3.6163),(695,1995,0.022,3.6156),(695,2005,0.022177,3.615),(695,2015,0.022356,3.6144),(695,2025,0.022534,3.6137),(695,2035,0.022713,3.613),(695,2045,0.022893,3.6124),(695,2055,0.023074,3.6117),(695,2065,0.023255,3.6111),(695,2075,0.023436,3.6104),(695,2085,0.023618,3.6097),(695,2095,0.023801,3.609),(695,2105,0.023984,3.6083),(695,2115,0.024168,3.6076),(695,2125,0.024352,3.6069),(695,2135,0.024538,3.6062),(695,2145,0.024723,3.6055),(695,2155,0.024909,3.6048),(695,2165,0.025096,3.604),(695,2175,0.025283,3.6033),(695,2185,0.025471,3.6026),(695,2195,0.025659,3.6018),(695,2205,0.025848,3.6011),(695,2215,0.026038,3.6003),(695,2225,0.026227,3.5996),(695,2235,0.026417,3.5988),(695,2245,0.026608,3.598),(695,2255,0.0268,3.5973),(695,2265,0.026992,3.5965),(695,2275,0.027184,3.5957),(695,2285,0.027377,3.5949),(695,2295,0.027571,3.5941),(695,2305,0.027764,3.5933),(695,2315,0.027958,3.5925),(695,2325,0.028153,3.5917),(695,2335,0.028349,3.5909),(695,2345,0.028545,3.5901),(695,2355,0.028741,3.5892),(695,2365,0.028938,3.5884),(695,2375,0.029135,3.5876),(695,2385,0.029333,3.5867),(695,2395,0.029531,3.5858),(695,2405,0.02973,3.585),(695,2415,0.02993,3.5841),(695,2425,0.030129,3.5833),(695,2435,0.030329,3.5824),(695,2445,0.03053,3.5815),(695,2455,0.030732,3.5806),(695,2465,0.030933,3.5797),(695,2475,0.031135,3.5789),(695,2485,0.031338,3.578),(695,2495,0.031542,3.5771),(695,2505,0.031745,3.5761),(695,2515,0.031949,3.5752),(695,2525,0.032155,3.5743),(695,2535,0.032361,3.5734),(695,2545,0.032567,3.5725),(695,2555,0.032773,3.5715),(695,2565,0.032981,3.5706),(695,2575,0.033189,3.5697),(695,2585,0.033397,3.5687),(695,2595,0.033606,3.5677),(695,2605,0.033816,3.5668),(695,2615,0.034027,3.5658),(695,2625,0.034238,3.5649),(695,2635,0.034449,3.5639),(695,2645,0.034662,3.5629),(695,2655,0.034876,3.5619),(695,2665,0.03509,3.5609),(695,2675,0.035304,3.5599),(695,2685,0.035521,3.559),(695,2695,0.035738,3.558),(695,2705,0.035955,3.557),(695,2715,0.036173,3.5559),(695,2725,0.036394,3.5549),(695,2735,0.036615,3.5539),(695,2745,0.036835,3.5529),(695,2755,0.037057,3.5519),(695,2765,0.037283,3.5509),(695,2775,0.037508,3.5498),(695,2785,0.037733,3.5488),(695,2795,0.03796,3.5478),(695,2805,0.03819,3.5467),(695,2815,0.038421,3.5457),(695,2825,0.038651,3.5446),(695,2835,0.038883,3.5436),(695,2845,0.03912,3.5425),(695,2855,0.039356,3.5415),(695,2865,0.039592,3.5404),(695,2875,0.039831,3.5393),(695,2885,0.040075,3.5383),(695,2895,0.040318,3.5372),(695,2905,0.040561,3.5361),(695,2915,0.040807,3.5351),(695,2925,0.041058,3.534),(695,2935,0.041309,3.5329),(695,2945,0.04156,3.5319),(695,2955,0.041815,3.5308),(695,2965,0.042075,3.5297),(695,2975,0.042335,3.5286),(695,2985,0.042595,3.5275),(695,2995,0.042861,3.5265),(695,3005,0.043131,3.5254),(695,3015,0.043401,3.5243),(695,3025,0.043672,3.5232),(695,3035,0.043949,3.5221),(695,3045,0.044231,3.5211),(695,3055,0.044513,3.52),(695,3065,0.044795,3.5189),(695,3075,0.045085,3.5178),(695,3085,0.045381,3.5168),(695,3095,0.045676,3.5157),(695,3105,0.045972,3.5146),(695,3115,0.046276,3.5135),(695,3125,0.046587,3.5125),(695,3135,0.046897,3.5114),(695,3145,0.047207,3.5103),(695,3155,0.047529,3.5093),(695,3165,0.047856,3.5082),(695,3175,0.048182,3.5072),(695,3185,0.048509,3.5061),(695,3195,0.048849,3.5051),(695,3205,0.049194,3.5041),(695,3215,0.049539,3.503),(695,3225,0.049884,3.502),(695,3235,0.050244,3.501),(695,3245,0.050609,3.5),(695,3255,0.050974,3.499),(695,3265,0.051339,3.498),(695,3275,0.05172,3.497),(695,3285,0.052105,3.496),(695,3295,0.052491,3.4951),(695,3305,0.052877,3.4941),(695,3315,0.05328,3.4932),(695,3325,0.053687,3.4923),(695,3335,0.054094,3.4913),(695,3345,0.054501,3.4905),(695,3355,0.054927,3.4896),(695,3365,0.055356,3.4887),(695,3375,0.055784,3.4878),(695,3385,0.056213,3.487),(695,3395,0.05666,3.4861),(695,3405,0.05711,3.4853),(695,3415,0.057559,3.4845),(695,3425,0.058009,3.4838),(695,3435,0.058476,3.483),(695,3445,0.058944,3.4823),(695,3455,0.059412,3.4816),(695,3465,0.05988,3.4809),(695,3475,0.060362,3.4802),(695,3485,0.060844,3.4795),(695,3495,0.061327,3.479),(695,3505,0.06181,3.4784),(695,3515,0.0623,3.4778),(695,3525,0.062791,3.4773),(695,3535,0.063282,3.4768),(695,3545,0.063772,3.4763),(695,3555,0.064261,3.4759),(695,3565,0.06475,3.4754),(695,3575,0.065239,3.4751),(695,3585,0.065726,3.4748),(695,3595,0.0662,3.4745),(695,3605,0.066674,3.4742),(695,3615,0.067147,3.474),(695,3625,0.067617,3.4739),(695,3635,0.068057,3.4737),(695,3645,0.068497,3.4736),(695,3655,0.068938,3.4736),(695,3665,0.069369,3.4736),(695,3675,0.069753,3.4736),(695,3685,0.070137,3.4736),(695,3695,0.070522,3.4738),(695,3705,0.070889,3.474),(695,3715,0.071188,3.4742),(695,3725,0.071487,3.4744),(695,3735,0.071787,3.4748),(695,3745,0.072057,3.4752),(695,3755,0.072238,3.4756),(695,3765,0.072418,3.476),(695,3775,0.072598,3.4766),(695,3785,0.072734,3.4772),(695,3795,0.072757,3.4778),(695,3805,0.072779,3.4784),(695,3815,0.072801,3.4792),(695,3825,0.072759,3.48),(695,3835,0.072582,3.4808),(695,3845,0.072404,3.4817),(695,3855,0.072227,3.4826),(695,3865,0.071962,3.4836),(695,3875,0.071542,3.4846),(695,3885,0.071123,3.4856),(695,3895,0.070703,3.4867),(695,3905,0.084574,3.4879),(695,3915,0.11979,3.489),(695,3925,0.15501,3.4912),(695,3935,0.19022,3.4948),(695,3945,0.22253,3.4984),(695,3955,0.25114,3.502),(695,3965,0.27974,3.5054),(695,3975,0.30835,3.5085),(695,3985,0.31901,3.5116),(695,3995,0.31025,3.5147),(695,4005,0.30149,3.5165),(695,4015,0.29272,3.5171),(695,4025,0.28372,3.5177),(695,4035,0.27469,3.5176),(695,4045,0.26566,3.5162),(695,4055,0.2568,3.5149),(695,4065,0.24799,3.5133),(695,4075,0.23919,3.5104),(695,4085,0.23038,3.5075),(695,4095,0.22157,3.5046),(695,4105,0.21275,3.5007),(695,4115,0.19726,3.4968),(695,4125,0.1707,3.4928),(695,4135,0.14413,3.4895),(695,4145,0.11862,3.4863),(695,4155,0.097404,3.4832),(695,4165,0.076183,3.4812),(695,4175,0.055976,3.48),(695,4185,0.08599,3.4788),(695,4195,0.116,3.4766),(695,4205,0.14602,3.4731),(695,4215,0.14445,3.4695),(695,4225,0.13695,3.4662),(695,4235,0.12944,3.4632),(695,4245,0.11772,3.4603),(695,4255,0.10387,3.4575),(695,4265,0.090022,3.4558),(695,4275,0.073159,3.4541),(695,4285,0.053101,3.4523),(695,4295,0.033043,3.4518),(695,4305,0.024999,3.4514),(695,4315,0.04408,3.451),(695,4325,0.063161,3.4499),(695,4335,0.082043,3.4485),(695,4345,0.099576,3.4472),(695,4355,0.11711,3.4457),(695,4365,0.13464,3.444),(695,4375,0.1497,3.4424),(695,4385,0.16464,3.4408),(695,4395,0.17957,3.4393),(695,4405,0.16287,3.4377),(695,4415,0.13684,3.4364),(695,4425,0.11081,3.436),(695,4435,0.09527,3.4356),(695,4445,0.086895,3.4352),(695,4455,0.078521,3.434),(695,4465,0.094188,3.4328),(695,4475,0.14363,3.4315),(695,4485,0.19307,3.4277),(695,4495,0.23465,3.4234),(695,4505,0.25101,3.419),(695,4515,0.26737,3.4139),(695,4525,0.28299,3.4083),(695,4535,0.28703,3.4027),(695,4545,0.29107,3.3971),(695,4555,0.29511,3.3914),(695,4565,0.21538,3.3858),(695,4575,0.12436,3.3817),(695,4585,0.033338,3.3814),(695,4595,0.017872,3.3811),(695,4605,0.03433,3.3806),(695,4615,0.050787,3.3779),(695,4625,0.075409,3.3751),(695,4635,0.10742,3.3724),(695,4645,0.13944,3.3659),(695,4655,0.17468,3.3592),(695,4665,0.21599,3.3525),(695,4675,0.2573,3.3425),(695,4685,0.28201,3.3316),(695,4695,0.22472,3.3206),(695,4705,0.16744,3.3137),(695,4715,0.11015,3.3098),(695,4725,0.1187,3.3058),(695,4735,0.12791,3.3007),(695,4745,0.13712,3.294),(695,4755,0.18003,3.2873),(695,4765,0.23075,3.2792),(695,4775,0.28146,3.2663),(695,4785,0.3186,3.2534),(695,4795,0.34789,3.2405),(695,4805,0.37718,3.2252),(695,4815,0.38134,3.21),(695,4825,0.35548,3.1947),(695,4835,0.32962,3.1831),(695,4845,0.28939,3.1721),(695,4855,0.21173,3.161),(695,4865,0.13406,3.1561),(695,4875,0.071681,3.154),(695,4885,0.14835,3.1519),(695,4895,0.22502,3.1461),(695,4905,0.30169,3.1366),(695,4915,0.30971,3.1272),(695,4925,0.31183,3.1176),(695,4935,0.31394,3.1078),(695,4945,0.29214,3.098),(695,4955,0.26204,3.0886),(695,4965,0.23195,3.0817),(695,4975,0.18224,3.0748),(695,4985,0.11739,3.0679),(695,4995,0.052534,3.0672),(695,5005,0.032652,3.0667),(695,5015,0.084264,3.0662),(695,5025,0.13588,3.0531),(695,5035,0.18743,3.0368),(695,5045,0.23878,3.0205),(695,5055,0.29013,2.9992),(695,5065,0.34115,2.9747),(695,5075,0.38137,2.9503),(695,5085,0.4216,2.9245),(695,5095,0.46182,2.8972),(695,5105,0.42475,2.8698),(695,5115,0.37419,2.8457),(695,5125,0.32364,2.8306),(695,5135,0.27491,2.8155),(695,5145,0.22706,2.8012),(695,5155,0.17921,2.7958),(695,5165,0.21106,2.7904),(695,5175,0.3242,2.785),(695,5185,0.43733,2.7693),(695,5195,0.52671,2.7526),(695,5205,0.56488,2.7358),(695,5215,0.60305,2.7171),(695,5225,0.63752,2.6978),(695,5235,0.64896,2.6785),(695,5245,0.6604,2.6594),(695,5255,0.67184,2.6403),(695,5265,0.46913,2.6213),(695,5275,0.25759,2.6093),(695,5285,0.046051,2.6093),(695,5295,0.037983,2.6092),(695,5305,0.086578,2.6072),(695,5315,0.13517,2.5968),(695,5325,0.19974,2.5864),(695,5335,0.27479,2.5758),(695,5345,0.34983,2.5551),(695,5355,0.42139,2.5345),(695,5365,0.48824,2.5138),(695,5375,0.55509,2.4884),(695,5385,0.57337,2.4621),(695,5395,0.44397,2.4357),(695,5405,0.31456,2.4219),(695,5415,0.19566,2.4146),(695,5425,0.21791,2.4073),(695,5435,0.24016,2.404),(695,5445,0.26241,2.4052),(695,5455,0.31165,2.4064),(695,5465,0.36419,2.407),(695,5475,0.41673,2.4063),(695,5485,0.43523,2.4057),(695,5495,0.44003,2.4047),(695,5505,0.44483,2.4014),(695,5515,0.45003,2.3981),(695,5525,0.45559,2.3948),(695,5535,0.46115,2.3889),(695,5545,0.46688,2.3828),(695,5555,0.47295,2.3768),(695,5565,0.47902,2.3684),(695,5575,0.48526,2.3592),(695,5585,0.49232,2.3501),(695,5595,0.49939,2.3393),(695,5605,0.50645,2.3273),(695,5615,0.51507,2.3154),(695,5625,0.52369,2.3021),(695,5635,0.5323,2.287),(695,5645,0.5426,2.2719),(695,5655,0.55326,2.256),(695,5665,0.56392,2.2379),(695,5675,0.57602,2.2197),(695,5685,0.58893,2.2014),(695,5695,0.60183,2.1805),(695,5705,0.61587,2.1596),(695,5715,0.6312,2.1387),(695,5725,0.64654,2.115),(695,5735,0.6626,2.091),(695,5745,0.68045,2.0669),(695,5755,0.69829,2.041),(695,5765,0.71637,2.0143),(695,5775,0.73633,1.9875),(695,5785,0.75629,1.9592),(695,5795,0.77625,1.9294),(695,5805,0.79793,1.8997),(695,5815,0.81975,1.8691),(695,5825,0.84156,1.8369),(695,5835,0.8644,1.8047),(695,5845,0.88758,1.7721),(695,5855,0.91076,1.7372),(695,5865,0.93452,1.7023),(695,5875,0.95873,1.6674),(695,5885,0.98293,1.6306),(695,5895,1.0074,1.5938),(695,5905,1.0323,1.557),(695,5915,1.0572,1.5186),(695,5925,1.0821,1.4798),(695,5935,1.1071,1.441),(695,5945,1.132,1.4011),(695,5955,1.157,1.3604),(695,5965,1.1817,1.3197),(695,5975,1.2065,1.2785),(695,5985,1.2312,1.2367),(695,5995,0.94502,1.195),(695,6005,0.60879,1.163),(695,6015,0.27257,1.1574),(695,6025,0.23175,1.1518),(695,6035,0.32793,1.1454),(695,6045,0.42412,1.1322),(695,6055,0.49766,1.119),(695,6065,0.549,1.1058),(695,6075,0.60034,1.0885),(695,6085,0.63585,1.0708),(695,6095,0.63877,1.0532),(695,6105,0.64168,1.0353),(695,6115,0.64455,1.0173),(695,6125,0.6472,0.9993),(695,6135,0.64984,0.98107),(695,6145,0.65249,0.96263),(695,6155,0.65485,0.94419),(695,6165,0.65721,0.92555),(695,6175,0.65956,0.90656),(695,6185,0.6617,0.88757),(695,6195,0.66379,0.86853),(695,6205,0.66587,0.84926),(695,6215,0.66782,0.82999),(695,6225,0.66969,0.81071),(695,6235,0.67156,0.79108),(695,6245,0.67333,0.77146),(695,6255,0.67496,0.75184),(695,6265,0.67659,0.73188),(695,6275,0.67817,0.71187),(695,6285,0.67956,0.69185),(695,6295,0.68096,0.6717),(695,6305,0.68234,0.65148),(695,6315,0.68357,0.63126),(695,6325,0.6848,0.61079),(695,6335,0.68603,0.59007),(695,6345,0.68706,0.56935),(695,6355,0.68806,0.54861),(695,6365,0.68907,0.52782),(695,6375,0.69003,0.50703),(695,6385,0.69098,0.48619),(695,6395,0.69192,0.46498),(695,6405,0.69276,0.44377),(695,6415,0.69352,0.42257),(695,6425,0.69427,0.40133),(695,6435,0.69499,0.3801),(695,6445,0.69564,0.35886),(695,6455,0.69629,0.33755),(695,6465,0.6969,0.31623),(695,6475,0.69736,0.2949),(695,6485,0.69783,0.27328),(695,6495,0.69829,0.25146),(695,6505,0.69863,0.22964),(695,6515,0.69898,0.20788),(695,6525,0.69933,0.18623),(695,6535,0.69961,0.16457),(695,6545,0.69988,0.14291),(695,6555,0.70016,0.12125),(695,6565,0.70031,0.099583),(695,6575,0.70039,0.077907),(695,6585,0.70048,0.056036),(695,6595,0.5958,0.034165),(695,6605,0.37545,0.012294),(695,6615,0.15509,0.009713),(695,6625,0.000183,0.009612),(695,6635,0.000185,0.009511),(695,6645,0.000186,0.009477),(695,6655,0.000187,0.009471),(695,6665,0.000189,0.009465),(695,6675,0.00019,0.009459),(695,6685,0.000191,0.009453),(695,6695,0.000193,0.009447),(695,6705,0.000194,0.00944),(695,6715,0.000195,0.009434),(695,6725,0.000197,0.009427),(695,6735,0.000198,0.009421),(695,6745,0.000199,0.009415),(695,6755,0.0002,0.009408),(695,6765,0.000202,0.009402),(695,6775,0.000203,0.009395),(695,6785,0.000204,0.009389),(695,6795,0.000205,0.009382),(695,6805,0.000206,0.009376),(695,6815,0.000208,0.009369),(695,6825,0.000209,0.009363),(695,6835,0.00021,0.009356),(695,6845,0.000211,0.009349),(695,6855,0.000212,0.009343),(695,6865,0.000213,0.009336),(695,6875,0.000214,0.009329),(695,6885,0.000216,0.009322),(695,6895,0.000217,0.009316),(695,6905,0.000218,0.009309),(695,6915,0.000219,0.009302),(695,6925,0.00022,0.009295),(695,6935,0.000221,0.009289),(695,6945,0.000222,0.009282),(695,6955,0.000223,0.009275),(695,6965,0.000224,0.009268),(695,6975,0.000225,0.009261),(695,6985,0.000226,0.009254),(705,5,3.5e-05,3.6672),(705,15,0.000105,3.6672),(705,25,0.000175,3.6672),(705,35,0.000245,3.6672),(705,45,0.000315,3.6672),(705,55,0.000385,3.6672),(705,65,0.000455,3.6672),(705,75,0.000525,3.6671),(705,85,0.000595,3.6671),(705,95,0.000665,3.6671),(705,105,0.000735,3.6671),(705,115,0.000806,3.6671),(705,125,0.000876,3.6671),(705,135,0.000947,3.667),(705,145,0.001017,3.667),(705,155,0.001088,3.667),(705,165,0.001159,3.6669),(705,175,0.00123,3.6669),(705,185,0.001301,3.6669),(705,195,0.001373,3.6668),(705,205,0.001444,3.6668),(705,215,0.001515,3.6668),(705,225,0.001587,3.6667),(705,235,0.001659,3.6667),(705,245,0.001731,3.6666),(705,255,0.001803,3.6666),(705,265,0.001875,3.6665),(705,275,0.001948,3.6665),(705,285,0.002021,3.6664),(705,295,0.002093,3.6664),(705,305,0.002167,3.6663),(705,315,0.00224,3.6662),(705,325,0.002314,3.6662),(705,335,0.002387,3.6661),(705,345,0.002461,3.666),(705,355,0.002536,3.666),(705,365,0.00261,3.6659),(705,375,0.002684,3.6658),(705,385,0.00276,3.6658),(705,395,0.002835,3.6657),(705,405,0.002911,3.6656),(705,415,0.002986,3.6655),(705,425,0.003063,3.6654),(705,435,0.003139,3.6654),(705,445,0.003216,3.6653),(705,455,0.003293,3.6652),(705,465,0.003371,3.6651),(705,475,0.003449,3.665),(705,485,0.003527,3.6649),(705,495,0.003605,3.6648),(705,505,0.003684,3.6647),(705,515,0.003763,3.6646),(705,525,0.003842,3.6645),(705,535,0.003922,3.6644),(705,545,0.004003,3.6643),(705,555,0.004084,3.6642),(705,565,0.004164,3.6641),(705,575,0.004245,3.6639),(705,585,0.004328,3.6638),(705,595,0.00441,3.6637),(705,605,0.004492,3.6636),(705,615,0.004575,3.6634),(705,625,0.004659,3.6633),(705,635,0.004743,3.6632),(705,645,0.004827,3.6631),(705,655,0.004912,3.6629),(705,665,0.004998,3.6628),(705,675,0.005084,3.6627),(705,685,0.005169,3.6625),(705,695,0.005256,3.6624),(705,705,0.005344,3.6622),(705,715,0.005431,3.6621),(705,725,0.005519,3.6619),(705,735,0.005608,3.6618),(705,745,0.005698,3.6616),(705,755,0.005788,3.6615),(705,765,0.005877,3.6613),(705,775,0.005968,3.6611),(705,785,0.00606,3.661),(705,795,0.006152,3.6608),(705,805,0.006244,3.6606),(705,815,0.006336,3.6605),(705,825,0.006431,3.6603),(705,835,0.006525,3.6601),(705,845,0.006619,3.6599),(705,855,0.006714,3.6597),(705,865,0.00681,3.6595),(705,875,0.006907,3.6594),(705,885,0.007003,3.6592),(705,895,0.007101,3.659),(705,905,0.0072,3.6588),(705,915,0.007299,3.6586),(705,925,0.007397,3.6584),(705,935,0.007497,3.6582),(705,945,0.007599,3.658),(705,955,0.0077,3.6577),(705,965,0.007802,3.6575),(705,975,0.007904,3.6573),(705,985,0.008008,3.6571),(705,995,0.008112,3.6569),(705,1005,0.008216,3.6566),(705,1015,0.008321,3.6564),(705,1025,0.008427,3.6562),(705,1035,0.008534,3.6559),(705,1045,0.00864,3.6557),(705,1055,0.008748,3.6555),(705,1065,0.008858,3.6552),(705,1075,0.008967,3.655),(705,1085,0.009076,3.6547),(705,1095,0.009187,3.6545),(705,1105,0.009299,3.6542),(705,1115,0.009411,3.654),(705,1125,0.009523,3.6537),(705,1135,0.009637,3.6534),(705,1145,0.009752,3.6532),(705,1155,0.009867,3.6529),(705,1165,0.009982,3.6526),(705,1175,0.010099,3.6523),(705,1185,0.010216,3.652),(705,1195,0.010334,3.6518),(705,1205,0.010452,3.6515),(705,1215,0.010572,3.6512),(705,1225,0.010693,3.6509),(705,1235,0.010814,3.6506),(705,1245,0.010935,3.6503),(705,1255,0.011058,3.65),(705,1265,0.011182,3.6497),(705,1275,0.011305,3.6493),(705,1285,0.011429,3.649),(705,1295,0.011556,3.6487),(705,1305,0.011683,3.6484),(705,1315,0.011809,3.6481),(705,1325,0.011936,3.6477),(705,1335,0.012066,3.6474),(705,1345,0.012196,3.647),(705,1355,0.012326,3.6467),(705,1365,0.012456,3.6464),(705,1375,0.012589,3.646),(705,1385,0.012722,3.6457),(705,1395,0.012855,3.6453),(705,1405,0.012988,3.6449),(705,1415,0.013124,3.6446),(705,1425,0.01326,3.6442),(705,1435,0.013397,3.6438),(705,1445,0.013533,3.6434),(705,1455,0.013672,3.6431),(705,1465,0.013812,3.6427),(705,1475,0.013951,3.6423),(705,1485,0.014091,3.6419),(705,1495,0.014234,3.6415),(705,1505,0.014377,3.6411),(705,1515,0.014519,3.6407),(705,1525,0.014662,3.6403),(705,1535,0.014808,3.6399),(705,1545,0.014954,3.6394),(705,1555,0.0151,3.639),(705,1565,0.015246,3.6386),(705,1575,0.015395,3.6382),(705,1585,0.015544,3.6377),(705,1595,0.015694,3.6373),(705,1605,0.015843,3.6368),(705,1615,0.015995,3.6364),(705,1625,0.016148,3.6359),(705,1635,0.0163,3.6355),(705,1645,0.016453,3.635),(705,1655,0.016608,3.6345),(705,1665,0.016763,3.6341),(705,1675,0.016919,3.6336),(705,1685,0.017074,3.6331),(705,1695,0.017233,3.6326),(705,1705,0.017391,3.6321),(705,1715,0.01755,3.6316),(705,1725,0.017709,3.6311),(705,1735,0.01787,3.6306),(705,1745,0.018032,3.6301),(705,1755,0.018193,3.6296),(705,1765,0.018355,3.6291),(705,1775,0.01852,3.6286),(705,1785,0.018684,3.6281),(705,1795,0.018849,3.6275),(705,1805,0.019015,3.627),(705,1815,0.019182,3.6264),(705,1825,0.01935,3.6259),(705,1835,0.019518,3.6253),(705,1845,0.019686,3.6248),(705,1855,0.019857,3.6242),(705,1865,0.020027,3.6237),(705,1875,0.020198,3.6231),(705,1885,0.02037,3.6225),(705,1895,0.020543,3.6219),(705,1905,0.020716,3.6213),(705,1915,0.02089,3.6207),(705,1925,0.021064,3.6201),(705,1935,0.02124,3.6195),(705,1945,0.021416,3.6189),(705,1955,0.021592,3.6183),(705,1965,0.021769,3.6177),(705,1975,0.021947,3.6171),(705,1985,0.022126,3.6165),(705,1995,0.022304,3.6158),(705,2005,0.022484,3.6152),(705,2015,0.022665,3.6145),(705,2025,0.022846,3.6139),(705,2035,0.023027,3.6132),(705,2045,0.023209,3.6126),(705,2055,0.023393,3.6119),(705,2065,0.023577,3.6112),(705,2075,0.02376,3.6106),(705,2085,0.023945,3.6099),(705,2095,0.024131,3.6092),(705,2105,0.024317,3.6085),(705,2115,0.024503,3.6078),(705,2125,0.02469,3.6071),(705,2135,0.024878,3.6064),(705,2145,0.025066,3.6057),(705,2155,0.025254,3.605),(705,2165,0.025444,3.6042),(705,2175,0.025634,3.6035),(705,2185,0.025825,3.6028),(705,2195,0.026015,3.602),(705,2205,0.026207,3.6013),(705,2215,0.026399,3.6005),(705,2225,0.026591,3.5998),(705,2235,0.026784,3.599),(705,2245,0.026978,3.5982),(705,2255,0.027172,3.5975),(705,2265,0.027366,3.5967),(705,2275,0.027561,3.5959),(705,2285,0.027757,3.5951),(705,2295,0.027953,3.5943),(705,2305,0.028149,3.5935),(705,2315,0.028346,3.5927),(705,2325,0.028543,3.5919),(705,2335,0.028742,3.5911),(705,2345,0.02894,3.5902),(705,2355,0.029138,3.5894),(705,2365,0.029338,3.5886),(705,2375,0.029538,3.5878),(705,2385,0.029738,3.5869),(705,2395,0.029938,3.586),(705,2405,0.03014,3.5852),(705,2415,0.030342,3.5843),(705,2425,0.030544,3.5835),(705,2435,0.030746,3.5826),(705,2445,0.03095,3.5817),(705,2455,0.031154,3.5808),(705,2465,0.031357,3.58),(705,2475,0.031561,3.5791),(705,2485,0.031767,3.5782),(705,2495,0.031973,3.5773),(705,2505,0.032179,3.5764),(705,2515,0.032385,3.5754),(705,2525,0.032593,3.5745),(705,2535,0.032801,3.5736),(705,2545,0.033009,3.5727),(705,2555,0.033217,3.5717),(705,2565,0.033427,3.5708),(705,2575,0.033637,3.5699),(705,2585,0.033847,3.5689),(705,2595,0.034058,3.568),(705,2605,0.03427,3.567),(705,2615,0.034483,3.566),(705,2625,0.034695,3.5651),(705,2635,0.034908,3.5641),(705,2645,0.035123,3.5631),(705,2655,0.035339,3.5621),(705,2665,0.035554,3.5612),(705,2675,0.03577,3.5602),(705,2685,0.035988,3.5592),(705,2695,0.036207,3.5582),(705,2705,0.036425,3.5572),(705,2715,0.036644,3.5562),(705,2725,0.036866,3.5552),(705,2735,0.037088,3.5541),(705,2745,0.03731,3.5531),(705,2755,0.037534,3.5521),(705,2765,0.03776,3.5511),(705,2775,0.037986,3.5501),(705,2785,0.038212,3.549),(705,2795,0.038439,3.548),(705,2805,0.03867,3.5469),(705,2815,0.038901,3.5459),(705,2825,0.039132,3.5449),(705,2835,0.039365,3.5438),(705,2845,0.039601,3.5428),(705,2855,0.039838,3.5417),(705,2865,0.040074,3.5406),(705,2875,0.040313,3.5396),(705,2885,0.040555,3.5385),(705,2895,0.040798,3.5375),(705,2905,0.041041,3.5364),(705,2915,0.041287,3.5353),(705,2925,0.041537,3.5343),(705,2935,0.041787,3.5332),(705,2945,0.042037,3.5321),(705,2955,0.042291,3.531),(705,2965,0.042549,3.53),(705,2975,0.042808,3.5289),(705,2985,0.043066,3.5278),(705,2995,0.043329,3.5267),(705,3005,0.043597,3.5257),(705,3015,0.043866,3.5246),(705,3025,0.044134,3.5235),(705,3035,0.044408,3.5224),(705,3045,0.044687,3.5213),(705,3055,0.044966,3.5203),(705,3065,0.045245,3.5192),(705,3075,0.045531,3.5181),(705,3085,0.045823,3.517),(705,3095,0.046114,3.516),(705,3105,0.046406,3.5149),(705,3115,0.046706,3.5138),(705,3125,0.047011,3.5128),(705,3135,0.047316,3.5117),(705,3145,0.047622,3.5107),(705,3155,0.047937,3.5096),(705,3165,0.048257,3.5086),(705,3175,0.048578,3.5075),(705,3185,0.048898,3.5065),(705,3195,0.04923,3.5054),(705,3205,0.049567,3.5044),(705,3215,0.049905,3.5034),(705,3225,0.050242,3.5024),(705,3235,0.050592,3.5014),(705,3245,0.050948,3.5004),(705,3255,0.051303,3.4994),(705,3265,0.051658,3.4984),(705,3275,0.052028,3.4974),(705,3285,0.052402,3.4964),(705,3295,0.052776,3.4955),(705,3305,0.05315,3.4945),(705,3315,0.05354,3.4936),(705,3325,0.053934,3.4927),(705,3335,0.054327,3.4918),(705,3345,0.054721,3.4909),(705,3355,0.055131,3.49),(705,3365,0.055543,3.4891),(705,3375,0.055956,3.4882),(705,3385,0.056369,3.4874),(705,3395,0.056797,3.4866),(705,3405,0.057228,3.4858),(705,3415,0.057658,3.485),(705,3425,0.058089,3.4842),(705,3435,0.058534,3.4835),(705,3445,0.05898,3.4827),(705,3455,0.059426,3.482),(705,3465,0.059872,3.4814),(705,3475,0.060329,3.4807),(705,3485,0.060787,3.48),(705,3495,0.061244,3.4795),(705,3505,0.061702,3.4789),(705,3515,0.062164,3.4783),(705,3525,0.062625,3.4777),(705,3535,0.063087,3.4773),(705,3545,0.063549,3.4768),(705,3555,0.064006,3.4764),(705,3565,0.064463,3.4759),(705,3575,0.064919,3.4756),(705,3585,0.065374,3.4753),(705,3595,0.065812,3.475),(705,3605,0.06625,3.4747),(705,3615,0.066688,3.4745),(705,3625,0.067122,3.4743),(705,3635,0.067524,3.4741),(705,3645,0.067925,3.474),(705,3655,0.068327,3.474),(705,3665,0.068719,3.474),(705,3675,0.069062,3.474),(705,3685,0.069405,3.474),(705,3695,0.069748,3.4742),(705,3705,0.070074,3.4743),(705,3715,0.070331,3.4745),(705,3725,0.070587,3.4747),(705,3735,0.070844,3.4751),(705,3745,0.071072,3.4754),(705,3755,0.071211,3.4758),(705,3765,0.071349,3.4762),(705,3775,0.071487,3.4767),(705,3785,0.071581,3.4773),(705,3795,0.071564,3.4778),(705,3805,0.071546,3.4784),(705,3815,0.071528,3.4792),(705,3825,0.071448,3.4799),(705,3835,0.071236,3.4807),(705,3845,0.071023,3.4815),(705,3855,0.070811,3.4824),(705,3865,0.070514,3.4833),(705,3875,0.070067,3.4842),(705,3885,0.06962,3.4851),(705,3895,0.069173,3.4862),(705,3905,0.082698,3.4873),(705,3915,0.11709,3.4883),(705,3925,0.15149,3.4904),(705,3935,0.18589,3.4938),(705,3945,0.21766,3.4972),(705,3955,0.24611,3.5006),(705,3965,0.27457,3.5038),(705,3975,0.30302,3.5067),(705,3985,0.31391,3.5097),(705,3995,0.3058,3.5126),(705,4005,0.29769,3.5144),(705,4015,0.28958,3.5149),(705,4025,0.28116,3.5154),(705,4035,0.27271,3.5153),(705,4045,0.26427,3.514),(705,4055,0.2559,3.5126),(705,4065,0.24757,3.511),(705,4075,0.23924,3.5082),(705,4085,0.23084,3.5053),(705,4095,0.22239,3.5025),(705,4105,0.21394,3.4985),(705,4115,0.19869,3.4946),(705,4125,0.17218,3.4906),(705,4135,0.14568,3.4872),(705,4145,0.12015,3.4839),(705,4155,0.098588,3.4806),(705,4165,0.077025,3.4785),(705,4175,0.056489,3.4772),(705,4185,0.086827,3.4758),(705,4195,0.11716,3.4735),(705,4205,0.1475,3.4699),(705,4215,0.14588,3.4662),(705,4225,0.13825,3.4627),(705,4235,0.13062,3.4598),(705,4245,0.11873,3.4569),(705,4255,0.10468,3.4541),(705,4265,0.090631,3.4525),(705,4275,0.073606,3.4508),(705,4285,0.053424,3.4491),(705,4295,0.033242,3.4486),(705,4305,0.025112,3.4482),(705,4315,0.044194,3.4479),(705,4325,0.063277,3.4468),(705,4335,0.082148,3.4454),(705,4345,0.099595,3.444),(705,4355,0.11704,3.4425),(705,4365,0.13449,3.4409),(705,4375,0.14948,3.4393),(705,4385,0.16434,3.4376),(705,4395,0.1792,3.436),(705,4405,0.16248,3.4343),(705,4415,0.13646,3.4329),(705,4425,0.11043,3.4323),(705,4435,0.095077,3.4317),(705,4445,0.087018,3.4311),(705,4455,0.078959,3.4297),(705,4465,0.094981,3.4283),(705,4475,0.14484,3.427),(705,4485,0.19469,3.423),(705,4495,0.2366,3.4185),(705,4505,0.25304,3.414),(705,4515,0.26947,3.4089),(705,4525,0.28516,3.4034),(705,4535,0.28908,3.3979),(705,4545,0.293,3.3925),(705,4555,0.29692,3.3871),(705,4565,0.21671,3.3817),(705,4575,0.12516,3.3779),(705,4585,0.03361,3.3776),(705,4595,0.018311,3.3774),(705,4605,0.035231,3.3769),(705,4615,0.05215,3.3742),(705,4625,0.077363,3.3715),(705,4635,0.11009,3.3688),(705,4645,0.14281,3.3623),(705,4655,0.17875,3.3557),(705,4665,0.22077,3.349),(705,4675,0.26278,3.3392),(705,4685,0.28787,3.3284),(705,4695,0.22937,3.3176),(705,4705,0.17087,3.3108),(705,4715,0.11237,3.3068),(705,4725,0.12149,3.3029),(705,4735,0.13128,3.2978),(705,4745,0.14108,3.291),(705,4755,0.18494,3.2842),(705,4765,0.2367,3.276),(705,4775,0.28845,3.2631),(705,4785,0.32616,3.2502),(705,4795,0.35574,3.2373),(705,4805,0.38533,3.2222),(705,4815,0.38929,3.2071),(705,4825,0.36262,3.192),(705,4835,0.33595,3.1806),(705,4845,0.29473,3.1698),(705,4855,0.21556,3.1589),(705,4865,0.13638,3.154),(705,4875,0.072742,3.1519),(705,4885,0.15043,3.1497),(705,4895,0.22812,3.1437),(705,4905,0.30581,3.134),(705,4915,0.31396,3.1243),(705,4925,0.31614,3.1146),(705,4935,0.31831,3.1046),(705,4945,0.29623,3.0947),(705,4955,0.26573,3.0853),(705,4965,0.23524,3.0783),(705,4975,0.18484,3.0714),(705,4985,0.11909,3.0645),(705,4995,0.053336,3.0638),(705,5005,0.03417,3.0633),(705,5015,0.089072,3.0628),(705,5025,0.14397,3.0497),(705,5035,0.19845,3.0334),(705,5045,0.25129,3.0171),(705,5055,0.30413,2.9958),(705,5065,0.35661,2.9715),(705,5075,0.39719,2.9472),(705,5085,0.43776,2.9217),(705,5095,0.47834,2.8948),(705,5105,0.43922,2.8678),(705,5115,0.3862,2.844),(705,5125,0.33318,2.8292),(705,5135,0.28232,2.8143),(705,5145,0.23251,2.8003),(705,5155,0.18271,2.7948),(705,5165,0.21436,2.7894),(705,5175,0.3291,2.7839),(705,5185,0.44384,2.7681),(705,5195,0.53441,2.7512),(705,5205,0.57287,2.7343),(705,5215,0.61132,2.7157),(705,5225,0.64602,2.6964),(705,5235,0.65735,2.6771),(705,5245,0.66867,2.658),(705,5255,0.68,2.6391),(705,5265,0.47483,2.6201),(705,5275,0.26073,2.6082),(705,5285,0.046632,2.6082),(705,5295,0.039491,2.6081),(705,5305,0.089984,2.6061),(705,5315,0.14048,2.5956),(705,5325,0.20688,2.5851),(705,5335,0.28371,2.5745),(705,5345,0.36054,2.5538),(705,5355,0.43346,2.5332),(705,5365,0.5011,2.5125),(705,5375,0.56875,2.4873),(705,5385,0.58681,2.4611),(705,5395,0.45413,2.435),(705,5405,0.32144,2.4213),(705,5415,0.19933,2.4141),(705,5425,0.21929,2.4068),(705,5435,0.23926,2.4035),(705,5445,0.25922,2.4043),(705,5455,0.30808,2.4052),(705,5465,0.36048,2.4055),(705,5475,0.41288,2.4044),(705,5485,0.43176,2.4034),(705,5495,0.43716,2.402),(705,5505,0.44255,2.3984),(705,5515,0.44837,2.3948),(705,5525,0.45458,2.3912),(705,5535,0.46078,2.385),(705,5545,0.46718,2.3787),(705,5555,0.47391,2.3724),(705,5565,0.48065,2.3637),(705,5575,0.48757,2.3544),(705,5585,0.4953,2.3451),(705,5595,0.50304,2.3341),(705,5605,0.51078,2.322),(705,5615,0.52005,2.3098),(705,5625,0.52933,2.2964),(705,5635,0.53861,2.2812),(705,5645,0.54953,2.266),(705,5655,0.56082,2.2501),(705,5665,0.5721,2.2318),(705,5675,0.58482,2.2135),(705,5685,0.59834,2.1951),(705,5695,0.61186,2.1741),(705,5705,0.62649,2.1531),(705,5715,0.6424,2.1321),(705,5725,0.65831,2.1084),(705,5735,0.67493,2.0844),(705,5745,0.69333,2.0603),(705,5755,0.71172,2.0344),(705,5765,0.73033,2.0076),(705,5775,0.7508,1.9809),(705,5785,0.77127,1.9526),(705,5795,0.79173,1.9229),(705,5805,0.81389,1.8933),(705,5815,0.83617,1.8628),(705,5825,0.85846,1.8307),(705,5835,0.88172,1.7986),(705,5845,0.90532,1.7661),(705,5855,0.92891,1.7315),(705,5865,0.95305,1.6968),(705,5875,0.97759,1.6621),(705,5885,1.0021,1.6257),(705,5895,1.0269,1.5892),(705,5905,1.0521,1.5527),(705,5915,1.0772,1.5146),(705,5925,1.1024,1.4762),(705,5935,1.1275,1.4377),(705,5945,1.1527,1.3981),(705,5955,1.1778,1.3579),(705,5965,1.2027,1.3176),(705,5975,1.2276,1.2769),(705,5985,1.2525,1.2356),(705,5995,0.96131,1.1943),(705,6005,0.61928,1.1627),(705,6015,0.27726,1.1571),(705,6025,0.23526,1.1516),(705,6035,0.33243,1.1453),(705,6045,0.42959,1.1321),(705,6055,0.50395,1.1189),(705,6065,0.55595,1.1056),(705,6075,0.60795,1.0883),(705,6085,0.64394,1.0705),(705,6095,0.64692,1.0528),(705,6105,0.64991,1.0348),(705,6115,0.65285,1.0168),(705,6125,0.65557,0.99878),(705,6135,0.65829,0.9805),(705,6145,0.661,0.96203),(705,6155,0.66346,0.94355),(705,6165,0.6659,0.92487),(705,6175,0.66835,0.90585),(705,6185,0.67057,0.88683),(705,6195,0.67274,0.86776),(705,6205,0.67491,0.84848),(705,6215,0.67695,0.8292),(705,6225,0.6789,0.80991),(705,6235,0.68086,0.79027),(705,6245,0.68271,0.77064),(705,6255,0.68442,0.751),(705,6265,0.68614,0.73104),(705,6275,0.68779,0.71102),(705,6285,0.68927,0.69099),(705,6295,0.69076,0.67085),(705,6305,0.69223,0.65064),(705,6315,0.69353,0.63043),(705,6325,0.69482,0.60997),(705,6335,0.69612,0.58925),(705,6345,0.69721,0.56853),(705,6355,0.69828,0.5478),(705,6365,0.69935,0.52706),(705,6375,0.70036,0.50633),(705,6385,0.70135,0.48553),(705,6395,0.70234,0.46433),(705,6405,0.70322,0.44313),(705,6415,0.70402,0.42194),(705,6425,0.70483,0.40074),(705,6435,0.70558,0.37954),(705,6445,0.70627,0.35834),(705,6455,0.70696,0.33705),(705,6465,0.70761,0.31574),(705,6475,0.7081,0.29442),(705,6485,0.70859,0.27283),(705,6495,0.70907,0.25104),(705,6505,0.70944,0.22925),(705,6515,0.7098,0.20754),(705,6525,0.71017,0.18593),(705,6535,0.71047,0.16432),(705,6545,0.71076,0.1427),(705,6555,0.71104,0.12106),(705,6565,0.7112,0.099414),(705,6575,0.7113,0.077759),(705,6585,0.7114,0.055923),(705,6595,0.60509,0.034086),(705,6605,0.3813,0.01225),(705,6615,0.15751,0.009685),(705,6625,0.000186,0.009597),(705,6635,0.000188,0.009509),(705,6645,0.000189,0.009479),(705,6655,0.00019,0.009473),(705,6665,0.000192,0.009466),(705,6675,0.000193,0.00946),(705,6685,0.000194,0.009454),(705,6695,0.000196,0.009448),(705,6705,0.000197,0.009442),(705,6715,0.000198,0.009435),(705,6725,0.0002,0.009429),(705,6735,0.000201,0.009422),(705,6745,0.000202,0.009416),(705,6755,0.000204,0.009409),(705,6765,0.000205,0.009403),(705,6775,0.000206,0.009397),(705,6785,0.000207,0.00939),(705,6795,0.000209,0.009383),(705,6805,0.00021,0.009377),(705,6815,0.000211,0.00937),(705,6825,0.000212,0.009364),(705,6835,0.000213,0.009357),(705,6845,0.000214,0.00935),(705,6855,0.000216,0.009344),(705,6865,0.000217,0.009337),(705,6875,0.000218,0.00933),(705,6885,0.000219,0.009324),(705,6895,0.00022,0.009317),(705,6905,0.000221,0.00931),(705,6915,0.000222,0.009303),(705,6925,0.000224,0.009296),(705,6935,0.000225,0.00929),(705,6945,0.000226,0.009283),(705,6955,0.000227,0.009276),(705,6965,0.000228,0.009269),(705,6975,0.000229,0.009262),(705,6985,0.00023,0.009255),(715,5,3.5e-05,3.6673),(715,15,0.000106,3.6673),(715,25,0.000177,3.6673),(715,35,0.000248,3.6673),(715,45,0.000319,3.6673),(715,55,0.000389,3.6672),(715,65,0.00046,3.6672),(715,75,0.000531,3.6672),(715,85,0.000602,3.6672),(715,95,0.000673,3.6672),(715,105,0.000744,3.6672),(715,115,0.000816,3.6671),(715,125,0.000887,3.6671),(715,135,0.000958,3.6671),(715,145,0.00103,3.6671),(715,155,0.001102,3.667),(715,165,0.001173,3.667),(715,175,0.001245,3.667),(715,185,0.001317,3.6669),(715,195,0.001389,3.6669),(715,205,0.001462,3.6669),(715,215,0.001534,3.6668),(715,225,0.001607,3.6668),(715,235,0.00168,3.6667),(715,245,0.001752,3.6667),(715,255,0.001825,3.6666),(715,265,0.001899,3.6666),(715,275,0.001972,3.6665),(715,285,0.002046,3.6665),(715,295,0.002119,3.6664),(715,305,0.002194,3.6664),(715,315,0.002268,3.6663),(715,325,0.002342,3.6663),(715,335,0.002417,3.6662),(715,345,0.002492,3.6661),(715,355,0.002567,3.6661),(715,365,0.002642,3.666),(715,375,0.002718,3.6659),(715,385,0.002794,3.6658),(715,395,0.002871,3.6658),(715,405,0.002947,3.6657),(715,415,0.003023,3.6656),(715,425,0.003101,3.6655),(715,435,0.003178,3.6654),(715,445,0.003256,3.6653),(715,455,0.003334,3.6653),(715,465,0.003413,3.6652),(715,475,0.003491,3.6651),(715,485,0.00357,3.665),(715,495,0.003649,3.6649),(715,505,0.00373,3.6648),(715,515,0.00381,3.6647),(715,525,0.00389,3.6646),(715,535,0.003971,3.6645),(715,545,0.004053,3.6644),(715,555,0.004135,3.6642),(715,565,0.004216,3.6641),(715,575,0.004298,3.664),(715,585,0.004382,3.6639),(715,595,0.004465,3.6638),(715,605,0.004549,3.6637),(715,615,0.004632,3.6635),(715,625,0.004718,3.6634),(715,635,0.004803,3.6633),(715,645,0.004888,3.6631),(715,655,0.004973,3.663),(715,665,0.00506,3.6629),(715,675,0.005147,3.6627),(715,685,0.005234,3.6626),(715,695,0.005322,3.6625),(715,705,0.005411,3.6623),(715,715,0.0055,3.6622),(715,725,0.005589,3.662),(715,735,0.005678,3.6619),(715,745,0.005769,3.6617),(715,755,0.00586,3.6615),(715,765,0.005951,3.6614),(715,775,0.006043,3.6612),(715,785,0.006136,3.6611),(715,795,0.006229,3.6609),(715,805,0.006323,3.6607),(715,815,0.006416,3.6605),(715,825,0.006512,3.6604),(715,835,0.006607,3.6602),(715,845,0.006703,3.66),(715,855,0.006799,3.6598),(715,865,0.006896,3.6596),(715,875,0.006994,3.6595),(715,885,0.007092,3.6593),(715,895,0.007191,3.6591),(715,905,0.007291,3.6589),(715,915,0.007391,3.6587),(715,925,0.007491,3.6585),(715,935,0.007593,3.6583),(715,945,0.007695,3.6581),(715,955,0.007798,3.6578),(715,965,0.007901,3.6576),(715,975,0.008005,3.6574),(715,985,0.00811,3.6572),(715,995,0.008215,3.657),(715,1005,0.00832,3.6567),(715,1015,0.008427,3.6565),(715,1025,0.008535,3.6563),(715,1035,0.008643,3.6561),(715,1045,0.008751,3.6558),(715,1055,0.00886,3.6556),(715,1065,0.008971,3.6553),(715,1075,0.009082,3.6551),(715,1085,0.009192,3.6548),(715,1095,0.009305,3.6546),(715,1105,0.009418,3.6543),(715,1115,0.009532,3.6541),(715,1125,0.009646,3.6538),(715,1135,0.009761,3.6535),(715,1145,0.009878,3.6533),(715,1155,0.009994,3.653),(715,1165,0.010111,3.6527),(715,1175,0.010229,3.6524),(715,1185,0.010348,3.6522),(715,1195,0.010468,3.6519),(715,1205,0.010587,3.6516),(715,1215,0.010709,3.6513),(715,1225,0.010831,3.651),(715,1235,0.010954,3.6507),(715,1245,0.011076,3.6504),(715,1255,0.011201,3.6501),(715,1265,0.011327,3.6498),(715,1275,0.011452,3.6495),(715,1285,0.011578,3.6491),(715,1295,0.011706,3.6488),(715,1305,0.011835,3.6485),(715,1315,0.011963,3.6482),(715,1325,0.012092,3.6478),(715,1335,0.012223,3.6475),(715,1345,0.012355,3.6472),(715,1355,0.012487,3.6468),(715,1365,0.012619,3.6465),(715,1375,0.012753,3.6461),(715,1385,0.012888,3.6458),(715,1395,0.013023,3.6454),(715,1405,0.013158,3.6451),(715,1415,0.013296,3.6447),(715,1425,0.013434,3.6443),(715,1435,0.013573,3.644),(715,1445,0.013711,3.6436),(715,1455,0.013852,3.6432),(715,1465,0.013994,3.6428),(715,1475,0.014135,3.6424),(715,1485,0.014277,3.642),(715,1495,0.014421,3.6416),(715,1505,0.014566,3.6412),(715,1515,0.014711,3.6408),(715,1525,0.014856,3.6404),(715,1535,0.015004,3.64),(715,1545,0.015152,3.6396),(715,1555,0.0153,3.6392),(715,1565,0.015448,3.6387),(715,1575,0.015599,3.6383),(715,1585,0.015751,3.6379),(715,1595,0.015902,3.6374),(715,1605,0.016054,3.637),(715,1615,0.016208,3.6365),(715,1625,0.016363,3.6361),(715,1635,0.016517,3.6356),(715,1645,0.016672,3.6352),(715,1655,0.01683,3.6347),(715,1665,0.016987,3.6342),(715,1675,0.017145,3.6338),(715,1685,0.017303,3.6333),(715,1695,0.017464,3.6328),(715,1705,0.017624,3.6323),(715,1715,0.017785,3.6318),(715,1725,0.017946,3.6313),(715,1735,0.01811,3.6308),(715,1745,0.018274,3.6303),(715,1755,0.018438,3.6298),(715,1765,0.018602,3.6293),(715,1775,0.018769,3.6287),(715,1785,0.018936,3.6282),(715,1795,0.019103,3.6277),(715,1805,0.019271,3.6271),(715,1815,0.019441,3.6266),(715,1825,0.019611,3.6261),(715,1835,0.019781,3.6255),(715,1845,0.019952,3.6249),(715,1855,0.020125,3.6244),(715,1865,0.020298,3.6238),(715,1875,0.020471,3.6233),(715,1885,0.020645,3.6227),(715,1895,0.020821,3.6221),(715,1905,0.020997,3.6215),(715,1915,0.021173,3.6209),(715,1925,0.02135,3.6203),(715,1935,0.021528,3.6197),(715,1945,0.021707,3.6191),(715,1955,0.021885,3.6185),(715,1965,0.022065,3.6179),(715,1975,0.022246,3.6173),(715,1985,0.022427,3.6166),(715,1995,0.022608,3.616),(715,2005,0.02279,3.6154),(715,2015,0.022974,3.6147),(715,2025,0.023157,3.6141),(715,2035,0.023341,3.6134),(715,2045,0.023526,3.6127),(715,2055,0.023712,3.6121),(715,2065,0.023898,3.6114),(715,2075,0.024084,3.6107),(715,2085,0.024272,3.6101),(715,2095,0.02446,3.6094),(715,2105,0.024649,3.6087),(715,2115,0.024837,3.608),(715,2125,0.025027,3.6073),(715,2135,0.025218,3.6066),(715,2145,0.025409,3.6059),(715,2155,0.0256,3.6051),(715,2165,0.025792,3.6044),(715,2175,0.025985,3.6037),(715,2185,0.026178,3.603),(715,2195,0.026371,3.6022),(715,2205,0.026565,3.6015),(715,2215,0.02676,3.6007),(715,2225,0.026955,3.6),(715,2235,0.02715,3.5992),(715,2245,0.027347,3.5984),(715,2255,0.027544,3.5977),(715,2265,0.027741,3.5969),(715,2275,0.027938,3.5961),(715,2285,0.028136,3.5953),(715,2295,0.028335,3.5945),(715,2305,0.028534,3.5937),(715,2315,0.028733,3.5929),(715,2325,0.028933,3.5921),(715,2335,0.029134,3.5913),(715,2345,0.029335,3.5904),(715,2355,0.029536,3.5896),(715,2365,0.029738,3.5888),(715,2375,0.029941,3.5879),(715,2385,0.030143,3.5871),(715,2395,0.030346,3.5862),(715,2405,0.03055,3.5854),(715,2415,0.030754,3.5845),(715,2425,0.030959,3.5837),(715,2435,0.031163,3.5828),(715,2445,0.031369,3.5819),(715,2455,0.031575,3.581),(715,2465,0.031782,3.5802),(715,2475,0.031988,3.5793),(715,2485,0.032196,3.5784),(715,2495,0.032404,3.5775),(715,2505,0.032612,3.5766),(715,2515,0.03282,3.5756),(715,2525,0.03303,3.5747),(715,2535,0.03324,3.5738),(715,2545,0.03345,3.5729),(715,2555,0.033661,3.5719),(715,2565,0.033873,3.571),(715,2575,0.034085,3.5701),(715,2585,0.034297,3.5691),(715,2595,0.034509,3.5682),(715,2605,0.034724,3.5672),(715,2615,0.034938,3.5663),(715,2625,0.035153,3.5653),(715,2635,0.035367,3.5643),(715,2645,0.035584,3.5633),(715,2655,0.035801,3.5624),(715,2665,0.036018,3.5614),(715,2675,0.036236,3.5604),(715,2685,0.036455,3.5594),(715,2695,0.036675,3.5584),(715,2705,0.036895,3.5574),(715,2715,0.037116,3.5564),(715,2725,0.037339,3.5554),(715,2735,0.037562,3.5544),(715,2745,0.037785,3.5533),(715,2755,0.038009,3.5523),(715,2765,0.038236,3.5513),(715,2775,0.038463,3.5503),(715,2785,0.03869,3.5492),(715,2795,0.038919,3.5482),(715,2805,0.03915,3.5472),(715,2815,0.039381,3.5461),(715,2825,0.039613,3.5451),(715,2835,0.039846,3.544),(715,2845,0.040082,3.543),(715,2855,0.040318,3.5419),(715,2865,0.040555,3.5409),(715,2875,0.040794,3.5398),(715,2885,0.041036,3.5388),(715,2895,0.041278,3.5377),(715,2905,0.04152,3.5366),(715,2915,0.041766,3.5356),(715,2925,0.042015,3.5345),(715,2935,0.042264,3.5334),(715,2945,0.042513,3.5324),(715,2955,0.042765,3.5313),(715,2965,0.043022,3.5302),(715,2975,0.043279,3.5292),(715,2985,0.043536,3.5281),(715,2995,0.043797,3.527),(715,3005,0.044063,3.5259),(715,3015,0.044329,3.5249),(715,3025,0.044595,3.5238),(715,3035,0.044866,3.5227),(715,3045,0.045142,3.5216),(715,3055,0.045418,3.5206),(715,3065,0.045694,3.5195),(715,3075,0.045977,3.5184),(715,3085,0.046264,3.5173),(715,3095,0.046552,3.5163),(715,3105,0.046839,3.5152),(715,3115,0.047134,3.5141),(715,3125,0.047434,3.5131),(715,3135,0.047735,3.512),(715,3145,0.048035,3.511),(715,3155,0.048344,3.5099),(715,3165,0.048658,3.5089),(715,3175,0.048972,3.5078),(715,3185,0.049286,3.5068),(715,3195,0.04961,3.5058),(715,3205,0.04994,3.5047),(715,3215,0.050269,3.5037),(715,3225,0.050598,3.5027),(715,3235,0.05094,3.5017),(715,3245,0.051285,3.5007),(715,3255,0.051631,3.4997),(715,3265,0.051977,3.4988),(715,3275,0.052335,3.4978),(715,3285,0.052698,3.4968),(715,3295,0.053061,3.4959),(715,3305,0.053423,3.4949),(715,3315,0.0538,3.494),(715,3325,0.05418,3.4931),(715,3335,0.05456,3.4922),(715,3345,0.054939,3.4913),(715,3355,0.055333,3.4904),(715,3365,0.05573,3.4895),(715,3375,0.056127,3.4887),(715,3385,0.056523,3.4879),(715,3395,0.056933,3.487),(715,3405,0.057345,3.4862),(715,3415,0.057757,3.4854),(715,3425,0.058169,3.4847),(715,3435,0.058592,3.4839),(715,3445,0.059017,3.4832),(715,3455,0.059441,3.4825),(715,3465,0.059865,3.4818),(715,3475,0.060298,3.4812),(715,3485,0.06073,3.4805),(715,3495,0.061162,3.4799),(715,3505,0.061595,3.4794),(715,3515,0.062028,3.4788),(715,3525,0.062462,3.4782),(715,3535,0.062895,3.4778),(715,3545,0.063328,3.4773),(715,3555,0.063753,3.4769),(715,3565,0.064178,3.4764),(715,3575,0.064603,3.4761),(715,3585,0.065026,3.4758),(715,3595,0.065429,3.4754),(715,3605,0.065832,3.4751),(715,3615,0.066235,3.4749),(715,3625,0.066633,3.4748),(715,3635,0.066997,3.4746),(715,3645,0.06736,3.4744),(715,3655,0.067724,3.4744),(715,3665,0.068077,3.4744),(715,3675,0.06838,3.4743),(715,3685,0.068683,3.4744),(715,3695,0.068985,3.4745),(715,3705,0.06927,3.4747),(715,3715,0.069486,3.4748),(715,3725,0.069701,3.475),(715,3735,0.069916,3.4753),(715,3745,0.070102,3.4756),(715,3755,0.070199,3.476),(715,3765,0.070296,3.4763),(715,3775,0.070393,3.4769),(715,3785,0.070447,3.4774),(715,3795,0.07039,3.4779),(715,3805,0.070334,3.4784),(715,3815,0.070278,3.4791),(715,3825,0.07016,3.4798),(715,3835,0.069914,3.4805),(715,3845,0.069667,3.4812),(715,3855,0.069421,3.4821),(715,3865,0.069093,3.4829),(715,3875,0.068619,3.4838),(715,3885,0.068146,3.4847),(715,3895,0.067673,3.4857),(715,3905,0.080858,3.4867),(715,3915,0.11445,3.4876),(715,3925,0.14804,3.4896),(715,3935,0.18163,3.4928),(715,3945,0.21288,3.496),(715,3955,0.24117,3.4992),(715,3965,0.26947,3.5022),(715,3975,0.29776,3.505),(715,3985,0.30888,3.5078),(715,3995,0.30141,3.5106),(715,4005,0.29394,3.5122),(715,4015,0.28646,3.5127),(715,4025,0.27863,3.5132),(715,4035,0.27075,3.513),(715,4045,0.26288,3.5117),(715,4055,0.25501,3.5104),(715,4065,0.24715,3.5088),(715,4075,0.23928,3.506),(715,4085,0.23129,3.5031),(715,4095,0.22321,3.5003),(715,4105,0.21513,3.4964),(715,4115,0.20014,3.4924),(715,4125,0.1737,3.4884),(715,4135,0.14726,3.4848),(715,4145,0.12172,3.4814),(715,4155,0.099819,3.478),(715,4165,0.077914,3.4758),(715,4175,0.05705,3.4743),(715,4185,0.087711,3.4729),(715,4195,0.11837,3.4704),(715,4205,0.14903,3.4666),(715,4215,0.14735,3.4629),(715,4225,0.13958,3.4593),(715,4235,0.13181,3.4564),(715,4245,0.11974,3.4535),(715,4255,0.10548,3.4507),(715,4265,0.091219,3.4491),(715,4275,0.07403,3.4475),(715,4285,0.05373,3.4459),(715,4295,0.03343,3.4455),(715,4305,0.02522,3.4451),(715,4315,0.044307,3.4447),(715,4325,0.063395,3.4436),(715,4335,0.08226,3.4422),(715,4345,0.09962,3.4409),(715,4355,0.11698,3.4393),(715,4365,0.13434,3.4377),(715,4375,0.14927,3.4361),(715,4385,0.16406,3.4344),(715,4395,0.17886,3.4327),(715,4405,0.16214,3.4309),(715,4415,0.13613,3.4294),(715,4425,0.11012,3.4286),(715,4435,0.094955,3.4278),(715,4445,0.087207,3.427),(715,4455,0.079459,3.4255),(715,4465,0.095834,3.4239),(715,4475,0.1461,3.4224),(715,4485,0.19636,3.4183),(715,4495,0.2386,3.4136),(715,4505,0.25509,3.409),(715,4515,0.27157,3.4039),(715,4525,0.2873,3.3985),(715,4535,0.29107,3.3931),(715,4545,0.29485,3.3878),(715,4555,0.29862,3.3827),(715,4565,0.21795,3.3777),(715,4575,0.12591,3.374),(715,4585,0.03386,3.3738),(715,4595,0.018738,3.3736),(715,4605,0.03612,3.3731),(715,4615,0.053501,3.3705),(715,4625,0.079304,3.3678),(715,4635,0.11273,3.3651),(715,4645,0.14616,3.3587),(715,4655,0.1828,3.3521),(715,4665,0.22551,3.3455),(715,4675,0.26821,3.3358),(715,4685,0.29368,3.3252),(715,4695,0.23398,3.3145),(715,4705,0.17428,3.3078),(715,4715,0.11458,3.3038),(715,4725,0.12428,3.2999),(715,4735,0.13467,3.2948),(715,4745,0.14507,3.2879),(715,4755,0.18987,3.281),(715,4765,0.24266,3.2728),(715,4775,0.29544,3.2599),(715,4785,0.3337,3.2471),(715,4795,0.36356,3.2341),(715,4805,0.39342,3.2192),(715,4815,0.39717,3.2043),(715,4825,0.3697,3.1894),(715,4835,0.34222,3.1782),(715,4845,0.30001,3.1675),(715,4855,0.21935,3.1568),(715,4865,0.1387,3.152),(715,4875,0.073832,3.1497),(715,4885,0.15256,3.1474),(715,4895,0.23128,3.1413),(715,4905,0.31,3.1314),(715,4915,0.31828,3.1215),(715,4925,0.3205,3.1115),(715,4935,0.32273,3.1015),(715,4945,0.30035,3.0915),(715,4955,0.26944,3.0819),(715,4965,0.23854,3.075),(715,4975,0.18746,3.068),(715,4985,0.1208,3.0611),(715,4995,0.054139,3.0604),(715,5005,0.035689,3.0599),(715,5015,0.093879,3.0594),(715,5025,0.15207,3.0463),(715,5035,0.20946,3.03),(715,5045,0.26377,3.0136),(715,5055,0.31809,2.9925),(715,5065,0.37201,2.9683),(715,5075,0.41291,2.9442),(715,5085,0.45381,2.9189),(715,5095,0.49472,2.8923),(715,5105,0.45356,2.8657),(715,5115,0.39809,2.8423),(715,5125,0.34261,2.8277),(715,5135,0.28966,2.8132),(715,5145,0.23794,2.7994),(715,5155,0.18621,2.7939),(715,5165,0.21769,2.7883),(715,5175,0.33404,2.7828),(715,5185,0.4504,2.7668),(715,5195,0.54215,2.7498),(715,5205,0.58088,2.7328),(715,5215,0.61961,2.7142),(715,5225,0.65452,2.6949),(715,5235,0.66572,2.6756),(715,5245,0.67692,2.6566),(715,5255,0.68812,2.6378),(715,5265,0.4805,2.619),(715,5275,0.26386,2.6071),(715,5285,0.047212,2.6071),(715,5295,0.041005,2.607),(715,5305,0.093401,2.605),(715,5315,0.1458,2.5944),(715,5325,0.21402,2.5839),(715,5335,0.29263,2.5732),(715,5345,0.37124,2.5525),(715,5355,0.44551,2.5319),(715,5365,0.51393,2.5112),(715,5375,0.58234,2.4861),(715,5385,0.60018,2.4602),(715,5395,0.46423,2.4343),(715,5405,0.32828,2.4207),(715,5415,0.20297,2.4135),(715,5425,0.2207,2.4064),(715,5435,0.23842,2.4029),(715,5445,0.25614,2.4035),(715,5455,0.30464,2.404),(715,5465,0.35691,2.404),(715,5475,0.40917,2.4025),(715,5485,0.42844,2.4011),(715,5495,0.43442,2.3993),(715,5505,0.44039,2.3954),(715,5515,0.44683,2.3915),(715,5525,0.45367,2.3875),(715,5535,0.46051,2.3811),(715,5545,0.46756,2.3745),(715,5555,0.47496,2.368),(715,5565,0.48236,2.3591),(715,5575,0.48994,2.3496),(715,5585,0.49835,2.3401),(715,5595,0.50675,2.3289),(715,5605,0.51516,2.3166),(715,5615,0.52509,2.3043),(715,5625,0.53502,2.2908),(715,5635,0.54495,2.2755),(715,5645,0.55651,2.2601),(715,5655,0.56841,2.2441),(715,5665,0.58032,2.2257),(715,5675,0.59365,2.2073),(715,5685,0.60778,2.1888),(715,5695,0.62191,2.1677),(715,5705,0.63713,2.1466),(715,5715,0.65361,2.1256),(715,5725,0.67009,2.1018),(715,5735,0.68727,2.0778),(715,5745,0.7062,2.0537),(715,5755,0.72513,2.0277),(715,5765,0.74428,2.001),(715,5775,0.76525,1.9742),(715,5785,0.78621,1.946),(715,5795,0.80718,1.9164),(715,5805,0.8298,1.8868),(715,5815,0.85255,1.8565),(715,5825,0.87529,1.8245),(715,5835,0.89898,1.7926),(715,5845,0.92298,1.7602),(715,5855,0.94698,1.7258),(715,5865,0.97148,1.6913),(715,5875,0.99635,1.6569),(715,5885,1.0212,1.6207),(715,5895,1.0463,1.5845),(715,5905,1.0717,1.5484),(715,5915,1.0971,1.5106),(715,5925,1.1225,1.4725),(715,5935,1.1478,1.4344),(715,5945,1.1732,1.3952),(715,5955,1.1985,1.3553),(715,5965,1.2235,1.3155),(715,5975,1.2485,1.2752),(715,5985,1.2736,1.2344),(715,5995,0.97747,1.1936),(715,6005,0.62969,1.1624),(715,6015,0.28191,1.1569),(715,6025,0.23877,1.1514),(715,6035,0.33692,1.1452),(715,6045,0.43507,1.1319),(715,6055,0.51025,1.1187),(715,6065,0.56292,1.1054),(715,6075,0.61558,1.088),(715,6085,0.65203,1.0702),(715,6095,0.65509,1.0524),(715,6105,0.65814,1.0344),(715,6115,0.66116,1.0163),(715,6125,0.66394,0.99827),(715,6135,0.66673,0.97995),(715,6145,0.66951,0.96143),(715,6155,0.67206,0.94291),(715,6165,0.67459,0.92419),(715,6175,0.67713,0.90514),(715,6185,0.67944,0.88609),(715,6195,0.6817,0.86699),(715,6205,0.68395,0.8477),(715,6215,0.68608,0.82841),(715,6225,0.68812,0.80911),(715,6235,0.69016,0.78947),(715,6245,0.69209,0.76982),(715,6255,0.69388,0.75018),(715,6265,0.69567,0.7302),(715,6275,0.69741,0.71017),(715,6285,0.69898,0.69014),(715,6295,0.70056,0.67),(715,6305,0.70211,0.64981),(715,6315,0.70348,0.62962),(715,6325,0.70484,0.60917),(715,6335,0.70621,0.58844),(715,6345,0.70737,0.56772),(715,6355,0.7085,0.547),(715,6365,0.70964,0.52632),(715,6375,0.7107,0.50563),(715,6385,0.71173,0.48487),(715,6395,0.71276,0.46369),(715,6405,0.71369,0.4425),(715,6415,0.71453,0.42131),(715,6425,0.71538,0.40015),(715,6435,0.71618,0.37898),(715,6445,0.7169,0.35782),(715,6455,0.71763,0.33655),(715,6465,0.71831,0.31525),(715,6475,0.71883,0.29395),(715,6485,0.71934,0.27237),(715,6495,0.71985,0.25062),(715,6505,0.72024,0.22887),(715,6515,0.72062,0.20719),(715,6525,0.72101,0.18563),(715,6535,0.72132,0.16407),(715,6545,0.72162,0.14249),(715,6555,0.72192,0.12087),(715,6565,0.72209,0.099246),(715,6575,0.7222,0.077612),(715,6585,0.7223,0.055811),(715,6595,0.61437,0.03401),(715,6605,0.38715,0.012209),(715,6615,0.15992,0.009659),(715,6625,0.000189,0.009583),(715,6635,0.000191,0.009506),(715,6645,0.000192,0.00948),(715,6655,0.000194,0.009474),(715,6665,0.000195,0.009468),(715,6675,0.000196,0.009462),(715,6685,0.000198,0.009455),(715,6695,0.000199,0.009449),(715,6705,0.0002,0.009443),(715,6715,0.000202,0.009437),(715,6725,0.000203,0.00943),(715,6735,0.000204,0.009423),(715,6745,0.000206,0.009417),(715,6755,0.000207,0.009411),(715,6765,0.000208,0.009404),(715,6775,0.000209,0.009398),(715,6785,0.000211,0.009391),(715,6795,0.000212,0.009385),(715,6805,0.000213,0.009378),(715,6815,0.000214,0.009371),(715,6825,0.000215,0.009365),(715,6835,0.000217,0.009358),(715,6845,0.000218,0.009352),(715,6855,0.000219,0.009345),(715,6865,0.00022,0.009338),(715,6875,0.000221,0.009331),(715,6885,0.000222,0.009325),(715,6895,0.000224,0.009318),(715,6905,0.000225,0.009311),(715,6915,0.000226,0.009304),(715,6925,0.000227,0.009298),(715,6935,0.000228,0.009291),(715,6945,0.000229,0.009284),(715,6955,0.00023,0.009277),(715,6965,0.000231,0.00927),(715,6975,0.000232,0.009263),(715,6985,0.000233,0.009256),(725,5,3.6e-05,3.6673),(725,15,0.000107,3.6673),(725,25,0.000179,3.6673),(725,35,0.000251,3.6673),(725,45,0.000322,3.6673),(725,55,0.000394,3.6673),(725,65,0.000466,3.6673),(725,75,0.000538,3.6673),(725,85,0.00061,3.6673),(725,95,0.000682,3.6673),(725,105,0.000754,3.6672),(725,115,0.000826,3.6672),(725,125,0.000898,3.6672),(725,135,0.00097,3.6672),(725,145,0.001043,3.6671),(725,155,0.001115,3.6671),(725,165,0.001188,3.6671),(725,175,0.00126,3.667),(725,185,0.001333,3.667),(725,195,0.001406,3.667),(725,205,0.00148,3.6669),(725,215,0.001553,3.6669),(725,225,0.001626,3.6669),(725,235,0.0017,3.6668),(725,245,0.001774,3.6668),(725,255,0.001848,3.6667),(725,265,0.001922,3.6667),(725,275,0.001996,3.6666),(725,285,0.002071,3.6666),(725,295,0.002145,3.6665),(725,305,0.00222,3.6664),(725,315,0.002296,3.6664),(725,325,0.002371,3.6663),(725,335,0.002446,3.6663),(725,345,0.002522,3.6662),(725,355,0.002599,3.6661),(725,365,0.002675,3.6661),(725,375,0.002751,3.666),(725,385,0.002828,3.6659),(725,395,0.002906,3.6658),(725,405,0.002983,3.6658),(725,415,0.00306,3.6657),(725,425,0.003139,3.6656),(725,435,0.003218,3.6655),(725,445,0.003296,3.6654),(725,455,0.003375,3.6653),(725,465,0.003455,3.6652),(725,475,0.003534,3.6652),(725,485,0.003614,3.6651),(725,495,0.003694,3.665),(725,505,0.003776,3.6649),(725,515,0.003857,3.6648),(725,525,0.003938,3.6647),(725,535,0.00402,3.6645),(725,545,0.004103,3.6644),(725,555,0.004185,3.6643),(725,565,0.004268,3.6642),(725,575,0.004351,3.6641),(725,585,0.004436,3.664),(725,595,0.004521,3.6639),(725,605,0.004605,3.6637),(725,615,0.00469,3.6636),(725,625,0.004776,3.6635),(725,635,0.004862,3.6634),(725,645,0.004948,3.6632),(725,655,0.005035,3.6631),(725,665,0.005123,3.663),(725,675,0.005211,3.6628),(725,685,0.005299,3.6627),(725,695,0.005388,3.6625),(725,705,0.005478,3.6624),(725,715,0.005568,3.6623),(725,725,0.005658,3.6621),(725,735,0.005749,3.6619),(725,745,0.005841,3.6618),(725,755,0.005933,3.6616),(725,765,0.006025,3.6615),(725,775,0.006118,3.6613),(725,785,0.006213,3.6612),(725,795,0.006307,3.661),(725,805,0.006401,3.6608),(725,815,0.006496,3.6606),(725,825,0.006593,3.6605),(725,835,0.00669,3.6603),(725,845,0.006786,3.6601),(725,855,0.006884,3.6599),(725,865,0.006983,3.6597),(725,875,0.007082,3.6596),(725,885,0.007181,3.6594),(725,895,0.007281,3.6592),(725,905,0.007382,3.659),(725,915,0.007484,3.6588),(725,925,0.007585,3.6586),(725,935,0.007688,3.6584),(725,945,0.007792,3.6582),(725,955,0.007896,3.6579),(725,965,0.008,3.6577),(725,975,0.008105,3.6575),(725,985,0.008212,3.6573),(725,995,0.008319,3.6571),(725,1005,0.008425,3.6569),(725,1015,0.008533,3.6566),(725,1025,0.008643,3.6564),(725,1035,0.008752,3.6562),(725,1045,0.008861,3.6559),(725,1055,0.008972,3.6557),(725,1065,0.009085,3.6554),(725,1075,0.009197,3.6552),(725,1085,0.009309,3.6549),(725,1095,0.009423,3.6547),(725,1105,0.009538,3.6544),(725,1115,0.009653,3.6542),(725,1125,0.009768,3.6539),(725,1135,0.009885,3.6537),(725,1145,0.010003,3.6534),(725,1155,0.010121,3.6531),(725,1165,0.010239,3.6528),(725,1175,0.010359,3.6526),(725,1185,0.01048,3.6523),(725,1195,0.010601,3.652),(725,1205,0.010722,3.6517),(725,1215,0.010846,3.6514),(725,1225,0.01097,3.6511),(725,1235,0.011094,3.6508),(725,1245,0.011218,3.6505),(725,1255,0.011345,3.6502),(725,1265,0.011472,3.6499),(725,1275,0.011599,3.6496),(725,1285,0.011726,3.6493),(725,1295,0.011856,3.649),(725,1305,0.011987,3.6486),(725,1315,0.012117,3.6483),(725,1325,0.012247,3.648),(725,1335,0.012381,3.6476),(725,1345,0.012514,3.6473),(725,1355,0.012648,3.647),(725,1365,0.012781,3.6466),(725,1375,0.012918,3.6463),(725,1385,0.013055,3.6459),(725,1395,0.013192,3.6456),(725,1405,0.013328,3.6452),(725,1415,0.013468,3.6448),(725,1425,0.013608,3.6445),(725,1435,0.013748,3.6441),(725,1445,0.013889,3.6437),(725,1455,0.014032,3.6433),(725,1465,0.014175,3.643),(725,1475,0.014319,3.6426),(725,1485,0.014462,3.6422),(725,1495,0.014609,3.6418),(725,1505,0.014756,3.6414),(725,1515,0.014903,3.641),(725,1525,0.01505,3.6406),(725,1535,0.0152,3.6402),(725,1545,0.01535,3.6397),(725,1555,0.0155,3.6393),(725,1565,0.01565,3.6389),(725,1575,0.015804,3.6385),(725,1585,0.015957,3.638),(725,1595,0.01611,3.6376),(725,1605,0.016264,3.6371),(725,1615,0.016421,3.6367),(725,1625,0.016578,3.6362),(725,1635,0.016734,3.6358),(725,1645,0.016891,3.6353),(725,1655,0.017051,3.6349),(725,1665,0.017211,3.6344),(725,1675,0.017371,3.6339),(725,1685,0.017531,3.6334),(725,1695,0.017694,3.633),(725,1705,0.017857,3.6325),(725,1715,0.01802,3.632),(725,1725,0.018184,3.6315),(725,1735,0.01835,3.631),(725,1745,0.018516,3.6305),(725,1755,0.018682,3.63),(725,1765,0.018849,3.6294),(725,1775,0.019018,3.6289),(725,1785,0.019188,3.6284),(725,1795,0.019357,3.6279),(725,1805,0.019527,3.6273),(725,1815,0.0197,3.6268),(725,1825,0.019872,3.6262),(725,1835,0.020044,3.6257),(725,1845,0.020218,3.6251),(725,1855,0.020393,3.6246),(725,1865,0.020569,3.624),(725,1875,0.020744,3.6234),(725,1885,0.020921,3.6229),(725,1895,0.021099,3.6223),(725,1905,0.021278,3.6217),(725,1915,0.021456,3.6211),(725,1925,0.021635,3.6205),(725,1935,0.021816,3.6199),(725,1945,0.021997,3.6193),(725,1955,0.022178,3.6187),(725,1965,0.022361,3.6181),(725,1975,0.022544,3.6174),(725,1985,0.022728,3.6168),(725,1995,0.022912,3.6162),(725,2005,0.023096,3.6155),(725,2015,0.023283,3.6149),(725,2025,0.023469,3.6143),(725,2035,0.023655,3.6136),(725,2045,0.023843,3.6129),(725,2055,0.024031,3.6123),(725,2065,0.02422,3.6116),(725,2075,0.024409,3.6109),(725,2085,0.024599,3.6102),(725,2095,0.02479,3.6096),(725,2105,0.024981,3.6089),(725,2115,0.025172,3.6082),(725,2125,0.025365,3.6075),(725,2135,0.025558,3.6068),(725,2145,0.025751,3.6061),(725,2155,0.025945,3.6053),(725,2165,0.02614,3.6046),(725,2175,0.026335,3.6039),(725,2185,0.026531,3.6032),(725,2195,0.026727,3.6024),(725,2205,0.026924,3.6017),(725,2215,0.027121,3.6009),(725,2225,0.027319,3.6002),(725,2235,0.027517,3.5994),(725,2245,0.027716,3.5986),(725,2255,0.027915,3.5979),(725,2265,0.028115,3.5971),(725,2275,0.028315,3.5963),(725,2285,0.028516,3.5955),(725,2295,0.028717,3.5947),(725,2305,0.028919,3.5939),(725,2315,0.02912,3.5931),(725,2325,0.029323,3.5923),(725,2335,0.029527,3.5915),(725,2345,0.02973,3.5907),(725,2355,0.029933,3.5898),(725,2365,0.030138,3.589),(725,2375,0.030343,3.5882),(725,2385,0.030548,3.5873),(725,2395,0.030753,3.5865),(725,2405,0.03096,3.5856),(725,2415,0.031167,3.5848),(725,2425,0.031374,3.5839),(725,2435,0.03158,3.583),(725,2445,0.031789,3.5821),(725,2455,0.031997,3.5813),(725,2465,0.032206,3.5804),(725,2475,0.032414,3.5795),(725,2485,0.032625,3.5786),(725,2495,0.032835,3.5777),(725,2505,0.033045,3.5768),(725,2515,0.033255,3.5759),(725,2525,0.033468,3.5749),(725,2535,0.03368,3.574),(725,2545,0.033892,3.5731),(725,2555,0.034104,3.5722),(725,2565,0.034318,3.5712),(725,2575,0.034533,3.5703),(725,2585,0.034747,3.5693),(725,2595,0.034961,3.5684),(725,2605,0.035177,3.5674),(725,2615,0.035394,3.5665),(725,2625,0.03561,3.5655),(725,2635,0.035826,3.5645),(725,2645,0.036045,3.5636),(725,2655,0.036264,3.5626),(725,2665,0.036482,3.5616),(725,2675,0.036701,3.5606),(725,2685,0.036923,3.5596),(725,2695,0.037144,3.5586),(725,2705,0.037365,3.5576),(725,2715,0.037587,3.5566),(725,2725,0.037811,3.5556),(725,2735,0.038036,3.5546),(725,2745,0.03826,3.5536),(725,2755,0.038485,3.5526),(725,2765,0.038713,3.5515),(725,2775,0.038941,3.5505),(725,2785,0.039169,3.5495),(725,2795,0.039398,3.5484),(725,2805,0.039629,3.5474),(725,2815,0.039861,3.5464),(725,2825,0.040093,3.5453),(725,2835,0.040326,3.5443),(725,2845,0.040563,3.5432),(725,2855,0.040799,3.5422),(725,2865,0.041036,3.5411),(725,2875,0.041274,3.5401),(725,2885,0.041516,3.539),(725,2895,0.041758,3.5379),(725,2905,0.042,3.5369),(725,2915,0.042244,3.5358),(725,2925,0.042493,3.5348),(725,2935,0.042741,3.5337),(725,2945,0.042989,3.5326),(725,2955,0.04324,3.5315),(725,2965,0.043495,3.5305),(725,2975,0.043751,3.5294),(725,2985,0.044006,3.5283),(725,2995,0.044265,3.5273),(725,3005,0.044529,3.5262),(725,3015,0.044792,3.5251),(725,3025,0.045056,3.524),(725,3035,0.045325,3.523),(725,3045,0.045597,3.5219),(725,3055,0.04587,3.5208),(725,3065,0.046143,3.5198),(725,3075,0.046422,3.5187),(725,3085,0.046706,3.5176),(725,3095,0.046989,3.5166),(725,3105,0.047272,3.5155),(725,3115,0.047563,3.5144),(725,3125,0.047858,3.5134),(725,3135,0.048153,3.5123),(725,3145,0.048448,3.5113),(725,3155,0.048751,3.5102),(725,3165,0.049059,3.5092),(725,3175,0.049366,3.5081),(725,3185,0.049674,3.5071),(725,3195,0.049991,3.5061),(725,3205,0.050312,3.5051),(725,3215,0.050633,3.5041),(725,3225,0.050955,3.503),(725,3235,0.051287,3.502),(725,3245,0.051623,3.501),(725,3255,0.051959,3.5001),(725,3265,0.052295,3.4991),(725,3275,0.052643,3.4981),(725,3285,0.052994,3.4971),(725,3295,0.053345,3.4962),(725,3305,0.053696,3.4953),(725,3315,0.054059,3.4943),(725,3325,0.054426,3.4934),(725,3335,0.054792,3.4925),(725,3345,0.055158,3.4916),(725,3355,0.055536,3.4908),(725,3365,0.055917,3.4899),(725,3375,0.056297,3.489),(725,3385,0.056678,3.4882),(725,3395,0.05707,3.4874),(725,3405,0.057463,3.4866),(725,3415,0.057856,3.4858),(725,3425,0.058249,3.4851),(725,3435,0.058651,3.4843),(725,3445,0.059053,3.4836),(725,3455,0.059456,3.4829),(725,3465,0.059858,3.4822),(725,3475,0.060266,3.4816),(725,3485,0.060673,3.4809),(725,3495,0.06108,3.4803),(725,3505,0.061488,3.4797),(725,3515,0.061893,3.4792),(725,3525,0.062298,3.4786),(725,3535,0.062703,3.4781),(725,3545,0.063108,3.4777),(725,3555,0.063501,3.4772),(725,3565,0.063894,3.4768),(725,3575,0.064287,3.4764),(725,3585,0.064678,3.4761),(725,3595,0.065046,3.4758),(725,3605,0.065414,3.4755),(725,3615,0.065781,3.4753),(725,3625,0.066144,3.4751),(725,3635,0.06647,3.4749),(725,3645,0.066795,3.4747),(725,3655,0.067121,3.4747),(725,3665,0.067436,3.4746),(725,3675,0.067698,3.4746),(725,3685,0.06796,3.4746),(725,3695,0.068223,3.4747),(725,3705,0.068467,3.4748),(725,3715,0.06864,3.475),(725,3725,0.068814,3.4751),(725,3735,0.068988,3.4754),(725,3745,0.069133,3.4757),(725,3755,0.069188,3.476),(725,3765,0.069244,3.4764),(725,3775,0.069299,3.4768),(725,3785,0.069312,3.4773),(725,3795,0.069217,3.4778),(725,3805,0.069122,3.4783),(725,3815,0.069027,3.4789),(725,3825,0.068872,3.4796),(725,3835,0.068592,3.4802),(725,3845,0.068311,3.4809),(725,3855,0.068031,3.4817),(725,3865,0.067672,3.4825),(725,3875,0.067172,3.4833),(725,3885,0.066673,3.4841),(725,3895,0.066173,3.4851),(725,3905,0.079019,3.486),(725,3915,0.1118,3.4869),(725,3925,0.14458,3.4887),(725,3935,0.17736,3.4918),(725,3945,0.2081,3.4948),(725,3955,0.23623,3.4978),(725,3965,0.26437,3.5007),(725,3975,0.2925,3.5033),(725,3985,0.30385,3.5059),(725,3995,0.29702,3.5086),(725,4005,0.29018,3.5101),(725,4015,0.28335,3.5105),(725,4025,0.27609,3.5109),(725,4035,0.26879,3.5108),(725,4045,0.26149,3.5094),(725,4055,0.25412,3.5081),(725,4065,0.24672,3.5066),(725,4075,0.23932,3.5037),(725,4085,0.23175,3.5009),(725,4095,0.22404,3.4981),(725,4105,0.21632,3.4941),(725,4115,0.20159,3.4901),(725,4125,0.17522,3.4861),(725,4135,0.14885,3.4824),(725,4145,0.1233,3.4789),(725,4155,0.10105,3.4753),(725,4165,0.078804,3.473),(725,4175,0.057611,3.4714),(725,4185,0.088596,3.4697),(725,4195,0.11958,3.4671),(725,4205,0.15056,3.4632),(725,4215,0.14882,3.4593),(725,4225,0.14091,3.4557),(725,4235,0.133,3.4528),(725,4245,0.12074,3.4499),(725,4255,0.10627,3.4471),(725,4265,0.091807,3.4456),(725,4275,0.074454,3.4441),(725,4285,0.054036,3.4425),(725,4295,0.033618,3.4421),(725,4305,0.025328,3.4418),(725,4315,0.04442,3.4415),(725,4325,0.063513,3.4406),(725,4335,0.082371,3.4394),(725,4345,0.099645,3.4383),(725,4355,0.11692,3.4368),(725,4365,0.13419,3.4352),(725,4375,0.14905,3.4336),(725,4385,0.16379,3.4319),(725,4395,0.17853,3.43),(725,4405,0.16181,3.428),(725,4415,0.13581,3.4262),(725,4425,0.10981,3.4252),(725,4435,0.094833,3.4242),(725,4445,0.087396,3.4231),(725,4455,0.079959,3.4214),(725,4465,0.096686,3.4197),(725,4475,0.14736,3.4179),(725,4485,0.19804,3.4137),(725,4495,0.2406,3.4089),(725,4505,0.25714,3.4041),(725,4515,0.27367,3.399),(725,4525,0.28944,3.3936),(725,4535,0.29307,3.3883),(725,4545,0.29669,3.3832),(725,4555,0.30032,3.3784),(725,4565,0.2192,3.3736),(725,4575,0.12665,3.3701),(725,4585,0.03411,3.3699),(725,4595,0.019165,3.3697),(725,4605,0.037009,3.3693),(725,4615,0.054852,3.3666),(725,4625,0.081244,3.3639),(725,4635,0.11538,3.3613),(725,4645,0.14951,3.3549),(725,4655,0.18686,3.3484),(725,4665,0.23025,3.3418),(725,4675,0.27364,3.3322),(725,4685,0.29948,3.3217),(725,4695,0.23858,3.3111),(725,4705,0.17768,3.3045),(725,4715,0.11679,3.3006),(725,4725,0.12707,3.2968),(725,4735,0.13806,3.2917),(725,4745,0.14905,3.2847),(725,4755,0.19481,3.2778),(725,4765,0.24862,3.2695),(725,4775,0.30242,3.2567),(725,4785,0.34124,3.2438),(725,4795,0.37138,3.2309),(725,4805,0.40152,3.2162),(725,4815,0.40506,3.2014),(725,4825,0.37677,3.1866),(725,4835,0.34849,3.1756),(725,4845,0.30528,3.165),(725,4855,0.22315,3.1545),(725,4865,0.14102,3.1497),(725,4875,0.074923,3.1473),(725,4885,0.15468,3.145),(725,4895,0.23444,3.1387),(725,4905,0.3142,3.1286),(725,4915,0.3226,3.1186),(725,4925,0.32487,3.1085),(725,4935,0.32714,3.0983),(725,4945,0.30447,3.0882),(725,4955,0.27315,3.0785),(725,4965,0.24184,3.0715),(725,4975,0.19007,3.0645),(725,4985,0.1225,3.0576),(725,4995,0.054942,3.0569),(725,5005,0.037207,3.0564),(725,5015,0.098686,3.0559),(725,5025,0.16017,3.0428),(725,5035,0.22046,3.0265),(725,5045,0.27626,3.0102),(725,5055,0.33205,2.9891),(725,5065,0.38741,2.9652),(725,5075,0.42864,2.9412),(725,5085,0.46987,2.9162),(725,5095,0.51109,2.8899),(725,5105,0.4679,2.8636),(725,5115,0.40997,2.8405),(725,5125,0.35205,2.8262),(725,5135,0.29701,2.8119),(725,5145,0.24336,2.7983),(725,5155,0.18971,2.7927),(725,5165,0.22102,2.7871),(725,5175,0.33899,2.7815),(725,5185,0.45695,2.7655),(725,5195,0.54989,2.7484),(725,5205,0.58889,2.7313),(725,5215,0.62789,2.7127),(725,5225,0.66302,2.6934),(725,5235,0.67409,2.6741),(725,5245,0.68517,2.6552),(725,5255,0.69624,2.6365),(725,5265,0.48617,2.6177),(725,5275,0.26698,2.606),(725,5285,0.047791,2.6059),(725,5295,0.042519,2.6059),(725,5305,0.096819,2.6038),(725,5315,0.15112,2.5932),(725,5325,0.22117,2.5826),(725,5335,0.30155,2.5718),(725,5345,0.38194,2.5512),(725,5355,0.45756,2.5305),(725,5365,0.52675,2.5099),(725,5375,0.59594,2.485),(725,5385,0.61355,2.4593),(725,5395,0.47433,2.4335),(725,5405,0.33512,2.4201),(725,5415,0.20662,2.4129),(725,5425,0.2221,2.4058),(725,5435,0.23758,2.4023),(725,5445,0.25307,2.4026),(725,5455,0.30121,2.4029),(725,5465,0.35334,2.4025),(725,5475,0.40547,2.4007),(725,5485,0.42511,2.3989),(725,5495,0.43168,2.3968),(725,5505,0.43824,2.3925),(725,5515,0.44529,2.3883),(725,5525,0.45277,2.3841),(725,5535,0.46025,2.3774),(725,5545,0.46794,2.3706),(725,5555,0.476,2.3638),(725,5565,0.48407,2.3547),(725,5575,0.49232,2.345),(725,5585,0.50139,2.3352),(725,5595,0.51046,2.3239),(725,5605,0.51953,2.3114),(725,5615,0.53012,2.2989),(725,5625,0.54071,2.2852),(725,5635,0.5513,2.2698),(725,5645,0.56348,2.2543),(725,5655,0.576,2.2381),(725,5665,0.58853,2.2197),(725,5675,0.60248,2.2012),(725,5685,0.61722,2.1826),(725,5695,0.63196,2.1614),(725,5705,0.64777,2.1402),(725,5715,0.66482,2.119),(725,5725,0.68187,2.0953),(725,5735,0.69961,2.0712),(725,5745,0.71908,2.0471),(725,5755,0.73854,2.0211),(725,5765,0.75822,1.9944),(725,5775,0.77969,1.9676),(725,5785,0.80116,1.9395),(725,5795,0.82263,1.91),(725,5805,0.84572,1.8805),(725,5815,0.86892,1.8503),(725,5825,0.89213,1.8185),(725,5835,0.91624,1.7867),(725,5845,0.94065,1.7545),(725,5855,0.96505,1.7203),(725,5865,0.98991,1.686),(725,5875,1.0151,1.6518),(725,5885,1.0403,1.616),(725,5895,1.0657,1.5801),(725,5905,1.0914,1.5442),(725,5915,1.117,1.5068),(725,5925,1.1426,1.469),(725,5935,1.1681,1.4312),(725,5945,1.1937,1.3924),(725,5955,1.2192,1.353),(725,5965,1.2443,1.3136),(725,5975,1.2695,1.2737),(725,5985,1.2947,1.2333),(725,5995,0.99362,1.1929),(725,6005,0.64009,1.1621),(725,6015,0.28656,1.1566),(725,6025,0.24227,1.1512),(725,6035,0.34141,1.1451),(725,6045,0.44055,1.1318),(725,6055,0.51656,1.1185),(725,6065,0.56988,1.1052),(725,6075,0.6232,1.0877),(725,6085,0.66012,1.0699),(725,6095,0.66325,1.0521),(725,6105,0.66638,1.034),(725,6115,0.66946,1.0159),(725,6125,0.67232,0.99781),(725,6135,0.67517,0.97946),(725,6145,0.67803,0.96093),(725,6155,0.68066,0.9424),(725,6165,0.68329,0.92366),(725,6175,0.68591,0.90458),(725,6185,0.68831,0.88549),(725,6195,0.69065,0.86636),(725,6205,0.69299,0.84707),(725,6215,0.6952,0.82777),(725,6225,0.69733,0.80846),(725,6235,0.69945,0.7888),(725,6245,0.70147,0.76914),(725,6255,0.70334,0.74948),(725,6265,0.70521,0.72951),(725,6275,0.70703,0.70949),(725,6285,0.70869,0.68947),(725,6295,0.71035,0.66933),(725,6305,0.712,0.64913),(725,6315,0.71343,0.62894),(725,6325,0.71487,0.60848),(725,6335,0.7163,0.58775),(725,6345,0.71752,0.56703),(725,6355,0.71872,0.54632),(725,6365,0.71992,0.52567),(725,6375,0.72103,0.50501),(725,6385,0.7221,0.48428),(725,6395,0.72318,0.46311),(725,6405,0.72415,0.44194),(725,6415,0.72504,0.42077),(725,6425,0.72593,0.39964),(725,6435,0.72677,0.37851),(725,6445,0.72753,0.35738),(725,6455,0.7283,0.33611),(725,6465,0.72902,0.31481),(725,6475,0.72956,0.29351),(725,6485,0.73009,0.27196),(725,6495,0.73063,0.25023),(725,6505,0.73103,0.22851),(725,6515,0.73144,0.20688),(725,6525,0.73184,0.18536),(725,6535,0.73217,0.16384),(725,6545,0.73248,0.1423),(725,6555,0.7328,0.1207),(725,6565,0.73298,0.0991),(725,6575,0.7331,0.077488),(725,6585,0.73321,0.055727),(725,6595,0.62365,0.033967),(725,6605,0.393,0.012207),(725,6615,0.16234,0.009661),(725,6625,0.000192,0.009585),(725,6635,0.000194,0.009508),(725,6645,0.000195,0.009481),(725,6655,0.000197,0.009475),(725,6665,0.000198,0.009469),(725,6675,0.000199,0.009463),(725,6685,0.000201,0.009457),(725,6695,0.000202,0.009451),(725,6705,0.000204,0.009444),(725,6715,0.000205,0.009438),(725,6725,0.000206,0.009431),(725,6735,0.000207,0.009425),(725,6745,0.000209,0.009418),(725,6755,0.00021,0.009412),(725,6765,0.000211,0.009406),(725,6775,0.000213,0.009399),(725,6785,0.000214,0.009392),(725,6795,0.000215,0.009386),(725,6805,0.000216,0.009379),(725,6815,0.000218,0.009373),(725,6825,0.000219,0.009366),(725,6835,0.00022,0.009359),(725,6845,0.000221,0.009353),(725,6855,0.000222,0.009346),(725,6865,0.000224,0.009339),(725,6875,0.000225,0.009333),(725,6885,0.000226,0.009326),(725,6895,0.000227,0.009319),(725,6905,0.000228,0.009312),(725,6915,0.000229,0.009305),(725,6925,0.00023,0.009299),(725,6935,0.000231,0.009292),(725,6945,0.000233,0.009285),(725,6955,0.000234,0.009278),(725,6965,0.000235,0.009271),(725,6975,0.000236,0.009264),(725,6985,0.000237,0.009257),(735,5,3.6e-05,3.6674),(735,15,0.000109,3.6674),(735,25,0.000181,3.6674),(735,35,0.000254,3.6674),(735,45,0.000326,3.6674),(735,55,0.000399,3.6674),(735,65,0.000472,3.6674),(735,75,0.000544,3.6674),(735,85,0.000617,3.6673),(735,95,0.00069,3.6673),(735,105,0.000763,3.6673),(735,115,0.000836,3.6673),(735,125,0.000909,3.6673),(735,135,0.000982,3.6672),(735,145,0.001055,3.6672),(735,155,0.001128,3.6672),(735,165,0.001202,3.6672),(735,175,0.001275,3.6671),(735,185,0.001349,3.6671),(735,195,0.001423,3.6671),(735,205,0.001497,3.667),(735,215,0.001571,3.667),(735,225,0.001646,3.6669),(735,235,0.001721,3.6669),(735,245,0.001795,3.6668),(735,255,0.00187,3.6668),(735,265,0.001945,3.6667),(735,275,0.00202,3.6667),(735,285,0.002096,3.6666),(735,295,0.002171,3.6666),(735,305,0.002247,3.6665),(735,315,0.002323,3.6665),(735,325,0.0024,3.6664),(735,335,0.002476,3.6663),(735,345,0.002553,3.6663),(735,355,0.00263,3.6662),(735,365,0.002707,3.6661),(735,375,0.002784,3.6661),(735,385,0.002863,3.666),(735,395,0.002941,3.6659),(735,405,0.003019,3.6658),(735,415,0.003097,3.6658),(735,425,0.003177,3.6657),(735,435,0.003256,3.6656),(735,445,0.003336,3.6655),(735,455,0.003416,3.6654),(735,465,0.003496,3.6653),(735,475,0.003577,3.6652),(735,485,0.003658,3.6651),(735,495,0.003739,3.665),(735,505,0.003821,3.6649),(735,515,0.003904,3.6648),(735,525,0.003986,3.6647),(735,535,0.004068,3.6646),(735,545,0.004152,3.6645),(735,555,0.004236,3.6644),(735,565,0.00432,3.6643),(735,575,0.004404,3.6642),(735,585,0.00449,3.6641),(735,595,0.004575,3.664),(735,605,0.004661,3.6638),(735,615,0.004747,3.6637),(735,625,0.004834,3.6636),(735,635,0.004921,3.6635),(735,645,0.005009,3.6633),(735,655,0.005096,3.6632),(735,665,0.005185,3.6631),(735,675,0.005275,3.6629),(735,685,0.005364,3.6628),(735,695,0.005453,3.6626),(735,705,0.005545,3.6625),(735,715,0.005636,3.6623),(735,725,0.005727,3.6622),(735,735,0.005819,3.662),(735,745,0.005912,3.6619),(735,755,0.006006,3.6617),(735,765,0.006099,3.6616),(735,775,0.006193,3.6614),(735,785,0.006289,3.6612),(735,795,0.006384,3.6611),(735,805,0.00648,3.6609),(735,815,0.006576,3.6607),(735,825,0.006674,3.6606),(735,835,0.006772,3.6604),(735,845,0.00687,3.6602),(735,855,0.006968,3.66),(735,865,0.007069,3.6598),(735,875,0.007169,3.6597),(735,885,0.007269,3.6595),(735,895,0.00737,3.6593),(735,905,0.007473,3.6591),(735,915,0.007576,3.6589),(735,925,0.007679,3.6587),(735,935,0.007783,3.6585),(735,945,0.007888,3.6583),(735,955,0.007994,3.6581),(735,965,0.008099,3.6578),(735,975,0.008206,3.6576),(735,985,0.008314,3.6574),(735,995,0.008422,3.6572),(735,1005,0.00853,3.657),(735,1015,0.008639,3.6567),(735,1025,0.00875,3.6565),(735,1035,0.008861,3.6563),(735,1045,0.008972,3.656),(735,1055,0.009084,3.6558),(735,1065,0.009198,3.6556),(735,1075,0.009311,3.6553),(735,1085,0.009425,3.6551),(735,1095,0.00954,3.6548),(735,1105,0.009657,3.6546),(735,1115,0.009774,3.6543),(735,1125,0.00989,3.654),(735,1135,0.010009,3.6538),(735,1145,0.010128,3.6535),(735,1155,0.010248,3.6532),(735,1165,0.010368,3.653),(735,1175,0.010489,3.6527),(735,1185,0.010612,3.6524),(735,1195,0.010734,3.6521),(735,1205,0.010857,3.6518),(735,1215,0.010982,3.6515),(735,1225,0.011108,3.6512),(735,1235,0.011234,3.6509),(735,1245,0.011359,3.6506),(735,1255,0.011487,3.6503),(735,1265,0.011616,3.65),(735,1275,0.011745,3.6497),(735,1285,0.011874,3.6494),(735,1295,0.012006,3.6491),(735,1305,0.012138,3.6488),(735,1315,0.01227,3.6484),(735,1325,0.012402,3.6481),(735,1335,0.012537,3.6478),(735,1345,0.012673,3.6474),(735,1355,0.012808,3.6471),(735,1365,0.012944,3.6468),(735,1375,0.013082,3.6464),(735,1385,0.013221,3.6461),(735,1395,0.013359,3.6457),(735,1405,0.013498,3.6453),(735,1415,0.01364,3.645),(735,1425,0.013782,3.6446),(735,1435,0.013924,3.6442),(735,1445,0.014066,3.6439),(735,1455,0.014211,3.6435),(735,1465,0.014357,3.6431),(735,1475,0.014502,3.6427),(735,1485,0.014648,3.6423),(735,1495,0.014796,3.6419),(735,1505,0.014945,3.6415),(735,1515,0.015094,3.6411),(735,1525,0.015243,3.6407),(735,1535,0.015395,3.6403),(735,1545,0.015547,3.6399),(735,1555,0.015699,3.6395),(735,1565,0.015852,3.639),(735,1575,0.016007,3.6386),(735,1585,0.016163,3.6382),(735,1595,0.016318,3.6377),(735,1605,0.016474,3.6373),(735,1615,0.016633,3.6369),(735,1625,0.016792,3.6364),(735,1635,0.016951,3.6359),(735,1645,0.01711,3.6355),(735,1655,0.017272,3.635),(735,1665,0.017435,3.6346),(735,1675,0.017597,3.6341),(735,1685,0.017759,3.6336),(735,1695,0.017925,3.6331),(735,1705,0.01809,3.6326),(735,1715,0.018255,3.6321),(735,1725,0.018421,3.6316),(735,1735,0.01859,3.6311),(735,1745,0.018758,3.6306),(735,1755,0.018926,3.6301),(735,1765,0.019096,3.6296),(735,1775,0.019267,3.6291),(735,1785,0.019439,3.6286),(735,1795,0.01961,3.628),(735,1805,0.019783,3.6275),(735,1815,0.019958,3.627),(735,1825,0.020133,3.6264),(735,1835,0.020307,3.6259),(735,1845,0.020483,3.6253),(735,1855,0.020661,3.6247),(735,1865,0.020839,3.6242),(735,1875,0.021017,3.6236),(735,1885,0.021196,3.623),(735,1895,0.021377,3.6225),(735,1905,0.021558,3.6219),(735,1915,0.021739,3.6213),(735,1925,0.021921,3.6207),(735,1935,0.022104,3.6201),(735,1945,0.022288,3.6195),(735,1955,0.022471,3.6189),(735,1965,0.022656,3.6182),(735,1975,0.022842,3.6176),(735,1985,0.023029,3.617),(735,1995,0.023215,3.6164),(735,2005,0.023402,3.6157),(735,2015,0.023591,3.6151),(735,2025,0.02378,3.6144),(735,2035,0.023969,3.6138),(735,2045,0.024159,3.6131),(735,2055,0.02435,3.6125),(735,2065,0.024541,3.6118),(735,2075,0.024733,3.6111),(735,2085,0.024925,3.6104),(735,2095,0.025119,3.6098),(735,2105,0.025313,3.6091),(735,2115,0.025507,3.6084),(735,2125,0.025702,3.6077),(735,2135,0.025898,3.607),(735,2145,0.026094,3.6063),(735,2155,0.02629,3.6055),(735,2165,0.026487,3.6048),(735,2175,0.026686,3.6041),(735,2185,0.026884,3.6033),(735,2195,0.027082,3.6026),(735,2205,0.027282,3.6019),(735,2215,0.027482,3.6011),(735,2225,0.027683,3.6004),(735,2235,0.027883,3.5996),(735,2245,0.028085,3.5988),(735,2255,0.028287,3.5981),(735,2265,0.028489,3.5973),(735,2275,0.028691,3.5965),(735,2285,0.028895,3.595703),(735,2295,0.029099,3.5949),(735,2305,0.029303,3.5941),(735,2315,0.029507,3.5933),(735,2325,0.029713,3.5925),(735,2335,0.029919,3.5917),(735,2345,0.030125,3.5909),(735,2355,0.030331,3.59),(735,2365,0.030538,3.5892),(735,2375,0.030745,3.5884),(735,2385,0.030953,3.5875),(735,2395,0.031161,3.5867),(735,2405,0.03137,3.5858),(735,2415,0.031579,3.585),(735,2425,0.031788,3.5841),(735,2435,0.031997,3.5832),(735,2445,0.032208,3.5823),(735,2455,0.032419,3.5815),(735,2465,0.03263,3.5806),(735,2475,0.03284,3.5797),(735,2485,0.033053,3.5788),(735,2495,0.033266,3.5779),(735,2505,0.033478,3.577),(735,2515,0.033691,3.5761),(735,2525,0.033905,3.5752),(735,2535,0.034119,3.5742),(735,2545,0.034334,3.5733),(735,2555,0.034548,3.5724),(735,2565,0.034764,3.5714),(735,2575,0.03498,3.5705),(735,2585,0.035196,3.5695),(735,2595,0.035413,3.5686),(735,2605,0.035631,3.5676),(735,2615,0.035849,3.5667),(735,2625,0.036067,3.5657),(735,2635,0.036285,3.5647),(735,2645,0.036505,3.5638),(735,2655,0.036726,3.5628),(735,2665,0.036946,3.5618),(735,2675,0.037167,3.5608),(735,2685,0.037389,3.5598),(735,2695,0.037612,3.5588),(735,2705,0.037835,3.5578),(735,2715,0.038058,3.5568),(735,2725,0.038283,3.5558),(735,2735,0.038509,3.5548),(735,2745,0.038734,3.5538),(735,2755,0.038961,3.5528),(735,2765,0.039189,3.5518),(735,2775,0.039418,3.5507),(735,2785,0.039646,3.5497),(735,2795,0.039876,3.5487),(735,2805,0.040108,3.5476),(735,2815,0.040341,3.5466),(735,2825,0.040573,3.5456),(735,2835,0.040807,3.5445),(735,2845,0.041043,3.5435),(735,2855,0.04128,3.5424),(735,2865,0.041516,3.5414),(735,2875,0.041754,3.5403),(735,2885,0.041996,3.5392),(735,2895,0.042237,3.5382),(735,2905,0.042479,3.5371),(735,2915,0.042723,3.5361),(735,2925,0.04297,3.535),(735,2935,0.043217,3.5339),(735,2945,0.043464,3.5329),(735,2955,0.043714,3.5318),(735,2965,0.043968,3.5307),(735,2975,0.044221,3.5297),(735,2985,0.044475,3.5286),(735,2995,0.044732,3.5275),(735,3005,0.044994,3.5264),(735,3015,0.045255,3.5254),(735,3025,0.045516,3.5243),(735,3035,0.045782,3.5232),(735,3045,0.046052,3.5222),(735,3055,0.046321,3.5211),(735,3065,0.046591,3.52),(735,3075,0.046866,3.519),(735,3085,0.047146,3.5179),(735,3095,0.047425,3.5168),(735,3105,0.047704,3.5158),(735,3115,0.04799,3.5147),(735,3125,0.04828,3.5137),(735,3135,0.04857,3.5126),(735,3145,0.048859,3.5116),(735,3155,0.049157,3.5105),(735,3165,0.049458,3.5095),(735,3175,0.049759,3.5085),(735,3185,0.05006,3.5074),(735,3195,0.05037,3.5064),(735,3205,0.050683,3.5054),(735,3215,0.050996,3.5044),(735,3225,0.05131,3.5034),(735,3235,0.051633,3.5024),(735,3245,0.051959,3.5014),(735,3255,0.052286,3.5004),(735,3265,0.052612,3.4994),(735,3275,0.052949,3.4985),(735,3285,0.053289,3.4975),(735,3295,0.053628,3.4966),(735,3305,0.053968,3.4956),(735,3315,0.054318,3.4947),(735,3325,0.054671,3.4938),(735,3335,0.055024,3.4929),(735,3345,0.055376,3.492),(735,3355,0.055739,3.4911),(735,3365,0.056104,3.4902),(735,3375,0.056468,3.4894),(735,3385,0.056833,3.4886),(735,3395,0.057206,3.4878),(735,3405,0.057581,3.487),(735,3415,0.057955,3.4862),(735,3425,0.05833,3.4855),(735,3435,0.05871,3.4847),(735,3445,0.059092,3.484),(735,3455,0.059473,3.4833),(735,3465,0.059854,3.4826),(735,3475,0.060237,3.4819),(735,3485,0.06062,3.4813),(735,3495,0.061003,3.4807),(735,3505,0.061386,3.4801),(735,3515,0.061763,3.4796),(735,3525,0.06214,3.479),(735,3535,0.062518,3.4785),(735,3545,0.062894,3.4781),(735,3555,0.063256,3.4776),(735,3565,0.063618,3.4771),(735,3575,0.063981,3.4768),(735,3585,0.06434,3.4765),(735,3595,0.064674,3.4761),(735,3605,0.065008,3.4758),(735,3615,0.065342,3.4756),(735,3625,0.06567,3.4754),(735,3635,0.065958,3.4752),(735,3645,0.066247,3.475),(735,3655,0.066536,3.4749),(735,3665,0.066814,3.4749),(735,3675,0.067037,3.4748),(735,3685,0.06726,3.4748),(735,3695,0.067484,3.4749),(735,3705,0.067689,3.475),(735,3715,0.067822,3.4751),(735,3725,0.067956,3.4753),(735,3735,0.068089,3.4755),(735,3745,0.068195,3.4758),(735,3755,0.068211,3.4761),(735,3765,0.068227,3.4764),(735,3775,0.068243,3.4768),(735,3785,0.068217,3.4772),(735,3795,0.068085,3.4777),(735,3805,0.067953,3.4782),(735,3815,0.067821,3.4788),(735,3825,0.06763,3.4794),(735,3835,0.067318,3.4799),(735,3845,0.067005,3.4806),(735,3855,0.066693,3.4813),(735,3865,0.066304,3.4821),(735,3875,0.06578,3.4828),(735,3885,0.065255,3.4836),(735,3895,0.064731,3.4845),(735,3905,0.07725,3.4853),(735,3915,0.10925,3.4862),(735,3925,0.14126,3.4879),(735,3935,0.17326,3.4908),(735,3945,0.20349,3.4936),(735,3955,0.23146,3.4965),(735,3965,0.25944,3.4992),(735,3975,0.28741,3.5016),(735,3985,0.29897,3.5041),(735,3995,0.29275,3.5066),(735,4005,0.28653,3.508),(735,4015,0.28031,3.5083),(735,4025,0.27361,3.5087),(735,4035,0.26686,3.5085),(735,4045,0.26012,3.5072),(735,4055,0.25323,3.5059),(735,4065,0.2463,3.5043),(735,4075,0.23936,3.5015),(735,4085,0.23221,3.4987),(735,4095,0.22488,3.4959),(735,4105,0.21755,3.4919),(735,4115,0.20309,3.4878),(735,4125,0.1768,3.4837),(735,4135,0.15052,3.48),(735,4145,0.12498,3.4763),(735,4155,0.1024,3.4726),(735,4165,0.079817,3.4701),(735,4175,0.058305,3.4684),(735,4185,0.089605,3.4666),(735,4195,0.12091,3.4639),(735,4205,0.15221,3.4598),(735,4215,0.15036,3.4558),(735,4225,0.14228,3.452),(735,4235,0.13419,3.4491),(735,4245,0.12173,3.4463),(735,4255,0.10704,3.4435),(735,4265,0.092344,3.442),(735,4275,0.074817,3.4406),(735,4285,0.054281,3.4391),(735,4295,0.033744,3.4388),(735,4305,0.025361,3.4386),(735,4315,0.04442,3.4383),(735,4325,0.063479,3.4376),(735,4335,0.082305,3.4366),(735,4345,0.099545,3.4357),(735,4355,0.11679,3.4344),(735,4365,0.13403,3.4328),(735,4375,0.14888,3.4312),(735,4385,0.16362,3.4294),(735,4395,0.17835,3.4272),(735,4405,0.16165,3.4251),(735,4415,0.13569,3.4231),(735,4425,0.10972,3.4218),(735,4435,0.094928,3.4205),(735,4445,0.087772,3.4192),(735,4455,0.080616,3.4173),(735,4465,0.097676,3.4154),(735,4475,0.14875,3.4135),(735,4485,0.19983,3.4091),(735,4495,0.2427,3.4042),(735,4505,0.25924,3.3992),(735,4515,0.27577,3.3941),(735,4525,0.29152,3.3888),(735,4535,0.29496,3.3836),(735,4545,0.2984,3.3786),(735,4555,0.30183,3.374),(735,4565,0.2203,3.3694),(735,4575,0.12731,3.3661),(735,4585,0.034324,3.366),(735,4595,0.019572,3.3658),(735,4605,0.037876,3.3654),(735,4615,0.05618,3.3627),(735,4625,0.083159,3.3601),(735,4635,0.11799,3.3575),(735,4645,0.15283,3.3512),(735,4655,0.19086,3.3446),(735,4665,0.23493,3.3381),(735,4675,0.27899,3.3286),(735,4685,0.30519,3.3182),(735,4695,0.24311,3.3078),(735,4705,0.18103,3.3012),(735,4715,0.11895,3.2974),(735,4725,0.12984,3.2936),(735,4735,0.14145,3.2885),(735,4745,0.15306,3.2815),(735,4755,0.19975,3.2745),(735,4765,0.25457,3.2662),(735,4775,0.30938,3.2534),(735,4785,0.34873,3.2406),(735,4795,0.37912,3.2277),(735,4805,0.40951,3.2131),(735,4815,0.41282,3.1985),(735,4825,0.38373,3.1839),(735,4835,0.35464,3.1729),(735,4845,0.31045,3.1626),(735,4855,0.2269,3.1522),(735,4865,0.14334,3.1474),(735,4875,0.076066,3.145),(735,4885,0.15689,3.1426),(735,4895,0.23771,3.1362),(735,4905,0.31853,3.1259),(735,4915,0.32705,3.1156),(735,4925,0.32935,3.1054),(735,4935,0.33165,3.0951),(735,4945,0.30866,3.0848),(735,4955,0.27692,3.0751),(735,4965,0.24517,3.0681),(735,4975,0.1927,3.0611),(735,4985,0.12422,3.054),(735,4995,0.055749,3.0534),(735,5005,0.038719,3.0529),(735,5015,0.10348,3.0524),(735,5025,0.16823,3.0393),(735,5035,0.23142,3.023),(735,5045,0.28866,3.0068),(735,5055,0.34589,2.9858),(735,5065,0.40265,2.962),(735,5075,0.44416,2.9382),(735,5085,0.48568,2.9135),(735,5095,0.52719,2.8875),(735,5105,0.48198,2.8616),(735,5115,0.42163,2.8387),(735,5125,0.36128,2.8247),(735,5135,0.3042,2.8106),(735,5145,0.24871,2.7973),(735,5155,0.19322,2.7916),(735,5165,0.22441,2.7859),(735,5175,0.34399,2.7803),(735,5185,0.46357,2.7642),(735,5195,0.5577,2.747),(735,5205,0.59695,2.7298),(735,5215,0.6362,2.7111),(735,5225,0.67152,2.6919),(735,5235,0.68245,2.6727),(735,5245,0.69338,2.6537),(735,5255,0.70431,2.6351),(735,5265,0.49181,2.6165),(735,5275,0.27009,2.6048),(735,5285,0.048367,2.6047),(735,5295,0.044043,2.6047),(735,5305,0.10026,2.6026),(735,5315,0.15647,2.5919),(735,5325,0.22835,2.5812),(735,5335,0.31048,2.5704),(735,5345,0.39262,2.5498),(735,5355,0.46956,2.5292),(735,5365,0.53948,2.5086),(735,5375,0.60941,2.4839),(735,5385,0.62677,2.4583),(735,5395,0.48432,2.4328),(735,5405,0.34187,2.4194),(735,5415,0.21021,2.4124),(735,5425,0.22354,2.4053),(735,5435,0.23688,2.4017),(735,5445,0.25021,2.4017),(735,5455,0.29802,2.4017),(735,5465,0.35005,2.4011),(735,5475,0.40208,2.3989),(735,5485,0.42209,2.3967),(735,5495,0.42922,2.3942),(735,5505,0.43635,2.3897),(735,5515,0.44399,2.3852),(735,5525,0.45209,2.3806),(735,5535,0.4602,2.3737),(735,5545,0.46852,2.3666),(735,5555,0.47723,2.3595),(735,5565,0.48595,2.3503),(735,5575,0.49485,2.3403),(735,5585,0.50457,2.3304),(735,5595,0.5143,2.3188),(735,5605,0.52403,2.3062),(735,5615,0.53526,2.2935),(735,5625,0.5465,2.2797),(735,5635,0.55773,2.2641),(735,5645,0.57053,2.2485),(735,5655,0.58367,2.2322),(735,5665,0.59681,2.2136),(735,5675,0.61136,2.1951),(735,5685,0.6267,2.1763),(735,5695,0.64204,2.1551),(735,5705,0.65844,2.1338),(735,5715,0.67605,2.1125),(735,5725,0.69366,2.0888),(735,5735,0.71195,2.0647),(735,5745,0.73194,2.0406),(735,5755,0.75193,2.0146),(735,5765,0.77213,1.9878),(735,5775,0.79409,1.961),(735,5785,0.81605,1.9329),(735,5795,0.838,1.9036),(735,5805,0.86154,1.8743),(735,5815,0.8852,1.8441),(735,5825,0.90885,1.8125),(735,5835,0.93337,1.7808),(735,5845,0.95816,1.7487),(735,5855,0.98296,1.7147),(735,5865,1.0082,1.6807),(735,5875,1.0337,1.6467),(735,5885,1.0592,1.6112),(735,5895,1.0849,1.5756),(735,5905,1.1108,1.5401),(735,5915,1.1367,1.503),(735,5925,1.1625,1.4655),(735,5935,1.1882,1.4281),(735,5945,1.2139,1.3897),(735,5955,1.2395,1.3506),(735,5965,1.2648,1.3116),(735,5975,1.2901,1.2722),(735,5985,1.3154,1.2322),(735,5995,1.0095,1.1923),(735,6005,0.65032,1.1618),(735,6015,0.29113,1.1564),(735,6025,0.24575,1.151),(735,6035,0.34591,1.1449),(735,6045,0.44607,1.1316),(735,6055,0.52292,1.1183),(735,6065,0.5769,1.105),(735,6075,0.63089,1.0875),(735,6085,0.66828,1.0696),(735,6095,0.67147,1.0518),(735,6105,0.67466,1.0337),(735,6115,0.67782,1.0155),(735,6125,0.68074,0.99735),(735,6135,0.68366,0.97898),(735,6145,0.68658,0.96044),(735,6155,0.6893,0.94189),(735,6165,0.69201,0.92313),(735,6175,0.69472,0.90401),(735,6185,0.6972,0.88489),(735,6195,0.69962,0.86574),(735,6205,0.70204,0.84643),(735,6215,0.70433,0.82713),(735,6225,0.70654,0.80781),(735,6235,0.70874,0.78814),(735,6245,0.71083,0.76846),(735,6255,0.71278,0.74879),(735,6265,0.71473,0.72882),(735,6275,0.71663,0.70881),(735,6285,0.71837,0.68879),(735,6295,0.72012,0.66865),(735,6305,0.72185,0.64845),(735,6315,0.72335,0.62825),(735,6325,0.72485,0.60779),(735,6335,0.72635,0.58707),(735,6345,0.72764,0.56634),(735,6355,0.72891,0.54564),(735,6365,0.73017,0.52501),(735,6375,0.73133,0.50438),(735,6385,0.73245,0.48368),(735,6395,0.73357,0.46253),(735,6405,0.73458,0.44138),(735,6415,0.73552,0.42022),(735,6425,0.73645,0.39912),(735,6435,0.73733,0.37803),(735,6445,0.73814,0.35693),(735,6455,0.73894,0.33568),(735,6465,0.7397,0.31437),(735,6475,0.74026,0.29307),(735,6485,0.74082,0.27154),(735,6495,0.74139,0.24985),(735,6505,0.74181,0.22816),(735,6515,0.74224,0.20656),(735,6525,0.74266,0.18509),(735,6535,0.74301,0.16362),(735,6545,0.74333,0.14212),(735,6555,0.74365,0.12054),(735,6565,0.74385,0.098954),(735,6575,0.74397,0.077363),(735,6585,0.74409,0.055644),(735,6595,0.63291,0.033924),(735,6605,0.39883,0.012204),(735,6615,0.16475,0.009663),(735,6625,0.000196,0.009586),(735,6635,0.000197,0.00951),(735,6645,0.000198,0.009483),(735,6655,0.0002,0.009477),(735,6665,0.000201,0.00947),(735,6675,0.000203,0.009464),(735,6685,0.000204,0.009458),(735,6695,0.000205,0.009452),(735,6705,0.000207,0.009446),(735,6715,0.000208,0.009439),(735,6725,0.000209,0.009433),(735,6735,0.000211,0.009426),(735,6745,0.000212,0.00942),(735,6755,0.000213,0.009413),(735,6765,0.000215,0.009407),(735,6775,0.000216,0.0094),(735,6785,0.000217,0.009394),(735,6795,0.000219,0.009387),(735,6805,0.00022,0.009381),(735,6815,0.000221,0.009374),(735,6825,0.000222,0.009367),(735,6835,0.000223,0.009361),(735,6845,0.000225,0.009354),(735,6855,0.000226,0.009347),(735,6865,0.000227,0.00934),(735,6875,0.000228,0.009334),(735,6885,0.000229,0.009327),(735,6895,0.00023,0.00932),(735,6905,0.000232,0.009314),(735,6915,0.000233,0.009307),(735,6925,0.000234,0.0093),(735,6935,0.000235,0.009293),(735,6945,0.000236,0.009286),(735,6955,0.000237,0.009279),(735,6965,0.000238,0.009272),(735,6975,0.000239,0.009265),(735,6985,0.00024,0.009258),(745,5,3.7e-05,3.6675),(745,15,0.00011,3.6675),(745,25,0.000183,3.6675),(745,35,0.000257,3.6675),(745,45,0.00033,3.6675),(745,55,0.000403,3.6675),(745,65,0.000477,3.6674),(745,75,0.000551,3.6674),(745,85,0.000624,3.6674),(745,95,0.000698,3.6674),(745,105,0.000771,3.6674),(745,115,0.000845,3.6674),(745,125,0.000919,3.6673),(745,135,0.000993,3.6673),(745,145,0.001067,3.6673),(745,155,0.001142,3.6673),(745,165,0.001216,3.6672),(745,175,0.00129,3.6672),(745,185,0.001365,3.6672),(745,195,0.00144,3.6671),(745,205,0.001515,3.6671),(745,215,0.00159,3.667),(745,225,0.001665,3.667),(745,235,0.001741,3.667),(745,245,0.001816,3.6669),(745,255,0.001891,3.6669),(745,265,0.001968,3.6668),(745,275,0.002044,3.6668),(745,285,0.00212,3.6667),(745,295,0.002196,3.6667),(745,305,0.002273,3.6666),(745,315,0.002351,3.6665),(745,325,0.002428,3.6665),(745,335,0.002505,3.6664),(745,345,0.002583,3.6663),(745,355,0.002661,3.6663),(745,365,0.002739,3.6662),(745,375,0.002817,3.6661),(745,385,0.002896,3.6661),(745,395,0.002975,3.666),(745,405,0.003054,3.6659),(745,415,0.003134,3.6658),(745,425,0.003214,3.6658),(745,435,0.003295,3.6657),(745,445,0.003375,3.6656),(745,455,0.003456,3.6655),(745,465,0.003537,3.6654),(745,475,0.003619,3.6653),(745,485,0.003701,3.6652),(745,495,0.003783,3.6651),(745,505,0.003866,3.665),(745,515,0.003949,3.6649),(745,525,0.004033,3.6648),(745,535,0.004116,3.6647),(745,545,0.004201,3.6646),(745,555,0.004286,3.6645),(745,565,0.004371,3.6644),(745,575,0.004456,3.6643),(745,585,0.004543,3.6642),(745,595,0.004629,3.664),(745,605,0.004716,3.6639),(745,615,0.004803,3.6638),(745,625,0.004891,3.6637),(745,635,0.00498,3.6635),(745,645,0.005068,3.6634),(745,655,0.005157,3.6633),(745,665,0.005247,3.6631),(745,675,0.005337,3.663),(745,685,0.005427,3.6629),(745,695,0.005518,3.6627),(745,705,0.00561,3.6626),(745,715,0.005703,3.6624),(745,725,0.005795,3.6623),(745,735,0.005888,3.6621),(745,745,0.005982,3.662),(745,755,0.006077,3.6618),(745,765,0.006171,3.6617),(745,775,0.006267,3.6615),(745,785,0.006363,3.6613),(745,795,0.00646,3.6612),(745,805,0.006557,3.661),(745,815,0.006654,3.6608),(745,825,0.006754,3.6607),(745,835,0.006853,3.6605),(745,845,0.006952,3.6603),(745,855,0.007052,3.6601),(745,865,0.007153,3.6599),(745,875,0.007255,3.6598),(745,885,0.007356,3.6596),(745,895,0.007459,3.6594),(745,905,0.007563,3.6592),(745,915,0.007667,3.659),(745,925,0.007771,3.6588),(745,935,0.007876,3.6586),(745,945,0.007983,3.6584),(745,955,0.00809,3.6582),(745,965,0.008197,3.6579),(745,975,0.008304,3.6577),(745,985,0.008414,3.6575),(745,995,0.008523,3.6573),(745,1005,0.008633,3.6571),(745,1015,0.008744,3.6568),(745,1025,0.008856,3.6566),(745,1035,0.008968,3.6564),(745,1045,0.00908,3.6561),(745,1055,0.009194,3.6559),(745,1065,0.009309,3.6557),(745,1075,0.009424,3.6554),(745,1085,0.009539,3.6552),(745,1095,0.009656,3.6549),(745,1105,0.009774,3.6547),(745,1115,0.009893,3.6544),(745,1125,0.010011,3.6542),(745,1135,0.010131,3.6539),(745,1145,0.010252,3.6536),(745,1155,0.010373,3.6534),(745,1165,0.010494,3.6531),(745,1175,0.010617,3.6528),(745,1185,0.010742,3.6525),(745,1195,0.010866,3.6522),(745,1205,0.01099,3.652),(745,1215,0.011117,3.6517),(745,1225,0.011244,3.6514),(745,1235,0.011371,3.6511),(745,1245,0.011499,3.6508),(745,1255,0.011629,3.6505),(745,1265,0.011759,3.6502),(745,1275,0.01189,3.6499),(745,1285,0.012021,3.6495),(745,1295,0.012154,3.6492),(745,1305,0.012288,3.6489),(745,1315,0.012422,3.6486),(745,1325,0.012556,3.6482),(745,1335,0.012692,3.6479),(745,1345,0.01283,3.6476),(745,1355,0.012967,3.6472),(745,1365,0.013104,3.6469),(745,1375,0.013244,3.6465),(745,1385,0.013385,3.6462),(745,1395,0.013525,3.6458),(745,1405,0.013666,3.6455),(745,1415,0.01381,3.6451),(745,1425,0.013954,3.6448),(745,1435,0.014098,3.6444),(745,1445,0.014242,3.644),(745,1455,0.014389,3.6436),(745,1465,0.014536,3.6433),(745,1475,0.014684,3.6429),(745,1485,0.014831,3.6425),(745,1495,0.014982,3.6421),(745,1505,0.015133,3.6417),(745,1515,0.015284,3.6413),(745,1525,0.015434,3.6409),(745,1535,0.015589,3.6405),(745,1545,0.015743,3.64),(745,1555,0.015897,3.6396),(745,1565,0.016052,3.6392),(745,1575,0.016209,3.6388),(745,1585,0.016367,3.6383),(745,1595,0.016525,3.6379),(745,1605,0.016683,3.6375),(745,1615,0.016844,3.637),(745,1625,0.017005,3.6366),(745,1635,0.017166,3.6361),(745,1645,0.017327,3.6356),(745,1655,0.017492,3.6352),(745,1665,0.017656,3.6347),(745,1675,0.017821,3.6342),(745,1685,0.017986,3.6338),(745,1695,0.018153,3.6333),(745,1705,0.018321,3.6328),(745,1715,0.018488,3.6323),(745,1725,0.018657,3.6318),(745,1735,0.018827,3.6313),(745,1745,0.018998,3.6308),(745,1755,0.019169,3.6303),(745,1765,0.019341,3.6298),(745,1775,0.019514,3.6293),(745,1785,0.019688,3.6287),(745,1795,0.019862,3.6282),(745,1805,0.020037,3.6277),(745,1815,0.020215,3.6271),(745,1825,0.020392,3.6266),(745,1835,0.020569,3.626),(745,1845,0.020747,3.6255),(745,1855,0.020928,3.6249),(745,1865,0.021108,3.6244),(745,1875,0.021288,3.6238),(745,1885,0.02147,3.6232),(745,1895,0.021653,3.6226),(745,1905,0.021837,3.6221),(745,1915,0.02202,3.6215),(745,1925,0.022204,3.6209),(745,1935,0.022391,3.6203),(745,1945,0.022577,3.6197),(745,1955,0.022763,3.619),(745,1965,0.02295,3.6184),(745,1975,0.023139,3.6178),(745,1985,0.023328,3.6172),(745,1995,0.023517,3.6166),(745,2005,0.023707,3.6159),(745,2015,0.023898,3.6153),(745,2025,0.02409,3.6146),(745,2035,0.024281,3.614),(745,2045,0.024474,3.6133),(745,2055,0.024668,3.6127),(745,2065,0.024862,3.612),(745,2075,0.025055,3.6113),(745,2085,0.025251,3.6106),(745,2095,0.025447,3.61),(745,2105,0.025644,3.6093),(745,2115,0.02584,3.6086),(745,2125,0.026038,3.6079),(745,2135,0.026236,3.6072),(745,2145,0.026435,3.6064),(745,2155,0.026634,3.6057),(745,2165,0.026834,3.605),(745,2175,0.027035,3.6043),(745,2185,0.027236,3.6035),(745,2195,0.027437,3.6028),(745,2205,0.027639,3.6021),(745,2215,0.027842,3.6013),(745,2225,0.028045,3.6006),(745,2235,0.028248,3.5998),(745,2245,0.028452,3.599),(745,2255,0.028657,3.5983),(745,2265,0.028862,3.5975),(745,2275,0.029067,3.5967),(745,2285,0.029273,3.5959),(745,2295,0.02948,3.5951),(745,2305,0.029687,3.5943),(745,2315,0.029893,3.5935),(745,2325,0.030102,3.5927),(745,2335,0.03031,3.5919),(745,2345,0.030518,3.5911),(745,2355,0.030727,3.5902),(745,2365,0.030937,3.5894),(745,2375,0.031147,3.5886),(745,2385,0.031357,3.5877),(745,2395,0.031567,3.5869),(745,2405,0.031778,3.586),(745,2415,0.03199,3.5852),(745,2425,0.032202,3.5843),(745,2435,0.032413,3.5834),(745,2445,0.032626,3.5826),(745,2455,0.032839,3.5817),(745,2465,0.033053,3.5808),(745,2475,0.033266,3.5799),(745,2485,0.033481,3.579),(745,2495,0.033695,3.5781),(745,2505,0.03391,3.5772),(745,2515,0.034125,3.5763),(745,2525,0.034341,3.5754),(745,2535,0.034558,3.5745),(745,2545,0.034774,3.5735),(745,2555,0.034991,3.5726),(745,2565,0.035209,3.5717),(745,2575,0.035427,3.5707),(745,2585,0.035645,3.5698),(745,2595,0.035863,3.5688),(745,2605,0.036083,3.5679),(745,2615,0.036303,3.5669),(745,2625,0.036523,3.5659),(745,2635,0.036743,3.565),(745,2645,0.036965,3.564),(745,2655,0.037187,3.563),(745,2665,0.037408,3.562),(745,2675,0.037631,3.561),(745,2685,0.037855,3.5601),(745,2695,0.038079,3.5591),(745,2705,0.038303,3.5581),(745,2715,0.038527,3.5571),(745,2725,0.038754,3.5561),(745,2735,0.03898,3.555),(745,2745,0.039207,3.554),(745,2755,0.039434,3.553),(745,2765,0.039663,3.552),(745,2775,0.039893,3.551),(745,2785,0.040122,3.5499),(745,2795,0.040353,3.5489),(745,2805,0.040585,3.5479),(745,2815,0.040818,3.5468),(745,2825,0.041051,3.5458),(745,2835,0.041284,3.5447),(745,2845,0.041521,3.5437),(745,2855,0.041757,3.5427),(745,2865,0.041994,3.5416),(745,2875,0.042232,3.5405),(745,2885,0.042473,3.5395),(745,2895,0.042714,3.5384),(745,2905,0.042955,3.5374),(745,2915,0.043198,3.5363),(745,2925,0.043444,3.5352),(745,2935,0.04369,3.5342),(745,2945,0.043936,3.5331),(745,2955,0.044185,3.5321),(745,2965,0.044437,3.531),(745,2975,0.044689,3.5299),(745,2985,0.044941,3.5288),(745,2995,0.045196,3.5278),(745,3005,0.045455,3.5267),(745,3015,0.045714,3.5256),(745,3025,0.045973,3.5246),(745,3035,0.046235,3.5235),(745,3045,0.046502,3.5224),(745,3055,0.046769,3.5214),(745,3065,0.047035,3.5203),(745,3075,0.047306,3.5192),(745,3085,0.047582,3.5182),(745,3095,0.047857,3.5171),(745,3105,0.048132,3.5161),(745,3115,0.048413,3.515),(745,3125,0.048697,3.514),(745,3135,0.048982,3.5129),(745,3145,0.049266,3.5119),(745,3155,0.049558,3.5108),(745,3165,0.049852,3.5098),(745,3175,0.050147,3.5088),(745,3185,0.050441,3.5077),(745,3195,0.050744,3.5067),(745,3205,0.051049,3.5057),(745,3215,0.051355,3.5047),(745,3225,0.05166,3.5037),(745,3235,0.051974,3.5027),(745,3245,0.052291,3.5017),(745,3255,0.052608,3.5007),(745,3265,0.052925,3.4998),(745,3275,0.053251,3.4988),(745,3285,0.05358,3.4978),(745,3295,0.053908,3.4969),(745,3305,0.054237,3.496),(745,3315,0.054574,3.495),(745,3325,0.054914,3.4941),(745,3335,0.055253,3.4932),(745,3345,0.055593,3.4924),(745,3355,0.055941,3.4915),(745,3365,0.05629,3.4906),(745,3375,0.05664,3.4898),(745,3385,0.056989,3.489),(745,3395,0.057345,3.4882),(745,3405,0.057702,3.4873),(745,3415,0.058059,3.4866),(745,3425,0.058416,3.4858),(745,3435,0.058776,3.4851),(745,3445,0.059137,3.4843),(745,3455,0.059498,3.4837),(745,3465,0.059859,3.483),(745,3475,0.060219,3.4823),(745,3485,0.060579,3.4817),(745,3495,0.060939,3.4811),(745,3505,0.061299,3.4805),(745,3515,0.061651,3.4799),(745,3525,0.062003,3.4794),(745,3535,0.062354,3.4789),(745,3545,0.062705,3.4784),(745,3555,0.063039,3.478),(745,3565,0.063373,3.4775),(745,3575,0.063706,3.4772),(745,3585,0.064038,3.4768),(745,3595,0.064341,3.4765),(745,3605,0.064643,3.4761),(745,3615,0.064946,3.4759),(745,3625,0.065243,3.4757),(745,3635,0.065499,3.4755),(745,3645,0.065755,3.4753),(745,3655,0.066011,3.4752),(745,3665,0.066256,3.4752),(745,3675,0.066445,3.4751),(745,3685,0.066634,3.475),(745,3695,0.066823,3.4751),(745,3705,0.066994,3.4752),(745,3715,0.067093,3.4753),(745,3725,0.067192,3.4754),(745,3735,0.067291,3.4756),(745,3745,0.067362,3.4759),(745,3755,0.067344,3.4761),(745,3765,0.067327,3.4764),(745,3775,0.067309,3.4768),(745,3785,0.067251,3.4772),(745,3795,0.067087,3.4776),(745,3805,0.066924,3.478),(745,3815,0.066761,3.4786),(745,3825,0.066542,3.4791),(745,3835,0.066203,3.4797),(745,3845,0.065864,3.4803),(745,3855,0.065525,3.481),(745,3865,0.065112,3.4816),(745,3875,0.064568,3.4823),(745,3885,0.064024,3.4831),(745,3895,0.063481,3.4839),(745,3905,0.075714,3.4847),(745,3915,0.10703,3.4855),(745,3925,0.13835,3.4871),(745,3935,0.16967,3.4897),(745,3945,0.19945,3.4924),(745,3955,0.22725,3.4951),(745,3965,0.25506,3.4976),(745,3975,0.28286,3.4999),(745,3985,0.29458,3.5022),(745,3995,0.28889,3.5046),(745,4005,0.2832,3.5059),(745,4015,0.27751,3.5062),(745,4025,0.27131,3.5065),(745,4035,0.26505,3.5063),(745,4045,0.2588,3.5049),(745,4055,0.25238,3.5036),(745,4065,0.24589,3.5021),(745,4075,0.2394,3.4993),(745,4085,0.23268,3.4965),(745,4095,0.22578,3.4937),(745,4105,0.21888,3.4897),(745,4115,0.20475,3.4855),(745,4125,0.17862,3.4814),(745,4135,0.15249,3.4776),(745,4145,0.12701,3.4738),(745,4155,0.10412,3.47),(745,4165,0.08124,3.4673),(745,4175,0.059435,3.4654),(745,4185,0.091028,3.4635),(745,4195,0.12262,3.4606),(745,4205,0.15421,3.4564),(745,4215,0.15217,3.4522),(745,4225,0.1438,3.4484),(745,4235,0.13543,3.4455),(745,4245,0.12267,3.4426),(745,4255,0.10769,3.4399),(745,4265,0.092714,3.4385),(745,4275,0.07498,3.4371),(745,4285,0.054322,3.4357),(745,4295,0.033663,3.4354),(745,4305,0.025146,3.4353),(745,4315,0.044046,3.4352),(745,4325,0.062945,3.4346),(745,4335,0.08165,3.4338),(745,4345,0.099036,3.4331),(745,4355,0.11642,3.4319),(745,4365,0.13381,3.4303),(745,4375,0.14885,3.4287),(745,4385,0.16376,3.4269),(745,4395,0.17868,3.4245),(745,4405,0.16211,3.4222),(745,4415,0.13624,3.42),(745,4425,0.11038,3.4184),(745,4435,0.095738,3.4168),(745,4445,0.088766,3.4152),(745,4455,0.081793,3.4132),(745,4465,0.099118,3.4111),(745,4475,0.15058,3.409),(745,4485,0.20204,3.4045),(745,4495,0.24515,3.3994),(745,4505,0.2615,3.3944),(745,4515,0.27785,3.3892),(745,4525,0.29341,3.384),(745,4535,0.29652,3.3788),(745,4545,0.29962,3.374),(745,4555,0.30273,3.3697),(745,4565,0.22092,3.3653),(745,4575,0.12767,3.3622),(745,4585,0.03442,3.3621),(745,4595,0.01991,3.3619),(745,4605,0.038671,3.3615),(745,4615,0.057431,3.3589),(745,4625,0.084989,3.3563),(745,4635,0.12051,3.3536),(745,4645,0.15604,3.3474),(745,4655,0.19473,3.3409),(745,4665,0.23939,3.3343),(745,4675,0.28405,3.325),(745,4685,0.31056,3.3147),(745,4695,0.24737,3.3044),(745,4705,0.18418,3.2979),(745,4715,0.12099,3.2941),(745,4725,0.13255,3.2904),(745,4735,0.14485,3.2853),(745,4745,0.15715,3.2783),(745,4755,0.20473,3.2712),(745,4765,0.26049,3.2629),(745,4775,0.31625,3.2502),(745,4785,0.35604,3.2374),(745,4795,0.3866,3.2245),(745,4805,0.41716,3.2101),(745,4815,0.42018,3.1956),(745,4825,0.39028,3.1811),(745,4835,0.36039,3.1703),(745,4845,0.31527,3.1601),(745,4855,0.23047,3.1499),(745,4865,0.14567,3.1451),(745,4875,0.077383,3.1426),(745,4885,0.15937,3.1402),(745,4895,0.24136,3.1336),(745,4905,0.32335,3.1232),(745,4915,0.33193,3.1127),(745,4925,0.3342,3.1023),(745,4935,0.33646,3.0919),(745,4945,0.3131,3.0815),(745,4955,0.28086,3.0717),(745,4965,0.24861,3.0646),(745,4975,0.19539,3.0576),(745,4985,0.12598,3.0505),(745,4995,0.056568,3.0499),(745,5005,0.040213,3.0494),(745,5015,0.10821,3.0489),(745,5025,0.1762,3.0358),(745,5035,0.24223,3.0196),(745,5045,0.30078,3.0033),(745,5055,0.35932,2.9825),(745,5065,0.41737,2.9589),(745,5075,0.45904,2.9352),(745,5085,0.50071,2.9107),(745,5095,0.54238,2.8851),(745,5105,0.4952,2.8595),(745,5115,0.43252,2.837),(745,5125,0.36984,2.8232),(745,5135,0.31093,2.8093),(745,5145,0.25385,2.7962),(745,5155,0.19677,2.7905),(745,5165,0.22797,2.7847),(745,5175,0.34919,2.779),(745,5185,0.47042,2.7628),(745,5195,0.56573,2.7456),(745,5205,0.60515,2.7283),(745,5215,0.64458,2.7096),(745,5225,0.68002,2.6904),(745,5235,0.69075,2.6712),(745,5245,0.70148,2.6523),(745,5255,0.7122,2.6338),(745,5265,0.49732,2.6153),(745,5275,0.27313,2.6036),(745,5285,0.048934,2.6036),(745,5295,0.045601,2.6035),(745,5305,0.10377,2.6014),(745,5315,0.16194,2.5907),(745,5325,0.23561,2.5799),(745,5335,0.31943,2.569),(745,5345,0.40325,2.5485),(745,5355,0.48141,2.5279),(745,5365,0.55194,2.5073),(745,5375,0.62248,2.4827),(745,5385,0.63952,2.4574),(745,5395,0.49392,2.432),(745,5405,0.34833,2.4187),(745,5415,0.21362,2.4118),(745,5425,0.22511,2.4048),(745,5435,0.2366,2.401),(745,5445,0.24809,2.4008),(745,5455,0.29568,2.4005),(745,5465,0.34769,2.3996),(745,5475,0.3997,2.3971),(745,5485,0.42007,2.3945),(745,5495,0.4277,2.3917),(745,5505,0.43533,2.3869),(745,5515,0.44352,2.382),(745,5525,0.45218,2.3772),(745,5535,0.46085,2.37),(745,5545,0.46975,2.3626),(745,5555,0.47907,2.3553),(745,5565,0.48839,2.3458),(745,5575,0.49789,2.3357),(745,5585,0.50823,2.3255),(745,5595,0.51857,2.3138),(745,5605,0.52891,2.301),(745,5615,0.54076,2.2881),(745,5625,0.55261,2.2741),(745,5635,0.56446,2.2584),(745,5645,0.57785,2.2427),(745,5655,0.59158,2.2262),(745,5665,0.60531,2.2076),(745,5675,0.62044,2.1889),(745,5685,0.63634,2.1701),(745,5695,0.65224,2.1487),(745,5705,0.66919,2.1274),(745,5715,0.68733,2.106),(745,5725,0.70548,2.0823),(745,5735,0.72429,2.0581),(745,5745,0.74476,2.034),(745,5755,0.76523,2.008),(745,5765,0.78592,1.9812),(745,5775,0.80833,1.9545),(745,5785,0.83073,1.9264),(745,5795,0.85314,1.8972),(745,5805,0.87708,1.868),(745,5815,0.90113,1.8379),(745,5825,0.92518,1.8064),(745,5835,0.95005,1.7749),(745,5845,0.97519,1.743),(745,5855,1.0003,1.7092),(745,5865,1.0258,1.6754),(745,5875,1.0516,1.6416),(745,5885,1.0774,1.6064),(745,5895,1.1034,1.5712),(745,5905,1.1294,1.5359),(745,5915,1.1555,1.4992),(745,5925,1.1815,1.4621),(745,5935,1.2073,1.425),(745,5945,1.2331,1.3869),(745,5955,1.2589,1.3483),(745,5965,1.2843,1.3097),(745,5975,1.3097,1.2707),(745,5985,1.335,1.2312),(745,5995,1.0245,1.1917),(745,6005,0.65999,1.1615),(745,6015,0.29544,1.1562),(745,6025,0.24913,1.1509),(745,6035,0.35042,1.1448),(745,6045,0.4517,1.1314),(745,6055,0.52944,1.1181),(745,6065,0.58411,1.1047),(745,6075,0.63877,1.0872),(745,6085,0.67664,1.0693),(745,6095,0.67988,1.0514),(745,6105,0.68313,1.0333),(745,6115,0.68634,1.0151),(745,6125,0.68932,0.9969),(745,6135,0.6923,0.97849),(745,6145,0.69528,0.95994),(745,6155,0.69805,0.94138),(745,6165,0.70082,0.9226),(745,6175,0.70358,0.90345),(745,6185,0.70613,0.88429),(745,6195,0.70863,0.86511),(745,6205,0.71112,0.8458),(745,6215,0.71348,0.82649),(745,6225,0.71575,0.80716),(745,6235,0.71802,0.78747),(745,6245,0.72017,0.76778),(745,6255,0.72218,0.74809),(745,6265,0.72419,0.72813),(745,6275,0.72615,0.70813),(745,6285,0.72797,0.68812),(745,6295,0.72979,0.66798),(745,6305,0.73158,0.64777),(745,6315,0.73315,0.62757),(745,6325,0.73471,0.60711),(745,6335,0.73628,0.58638),(745,6345,0.73764,0.56565),(745,6355,0.73897,0.54496),(745,6365,0.74031,0.52436),(745,6375,0.74153,0.50376),(745,6385,0.74269,0.48309),(745,6395,0.74386,0.46195),(745,6405,0.74493,0.44081),(745,6415,0.7459,0.41968),(745,6425,0.74688,0.39861),(745,6435,0.74781,0.37755),(745,6445,0.74865,0.35649),(745,6455,0.74949,0.33524),(745,6465,0.75029,0.31394),(745,6475,0.75089,0.29264),(745,6485,0.75148,0.27112),(745,6495,0.75207,0.24947),(745,6505,0.75253,0.22781),(745,6515,0.75298,0.20625),(745,6525,0.75343,0.18482),(745,6535,0.75378,0.16339),(745,6545,0.75412,0.14193),(745,6555,0.75445,0.12037),(745,6565,0.75464,0.098807),(745,6575,0.75476,0.077239),(745,6585,0.75487,0.05556),(745,6595,0.64208,0.033881),(745,6605,0.40461,0.012202),(745,6615,0.16714,0.009665),(745,6625,0.000199,0.009588),(745,6635,0.0002,0.009511),(745,6645,0.000202,0.009484),(745,6655,0.000203,0.009478),(745,6665,0.000204,0.009472),(745,6675,0.000206,0.009466),(745,6685,0.000207,0.009459),(745,6695,0.000209,0.009453),(745,6705,0.00021,0.009447),(745,6715,0.000211,0.00944),(745,6725,0.000213,0.009434),(745,6735,0.000214,0.009428),(745,6745,0.000215,0.009421),(745,6755,0.000217,0.009415),(745,6765,0.000218,0.009408),(745,6775,0.000219,0.009402),(745,6785,0.000221,0.009395),(745,6795,0.000222,0.009388),(745,6805,0.000223,0.009382),(745,6815,0.000224,0.009375),(745,6825,0.000226,0.009369),(745,6835,0.000227,0.009362),(745,6845,0.000228,0.009355),(745,6855,0.000229,0.009348),(745,6865,0.00023,0.009342),(745,6875,0.000232,0.009335),(745,6885,0.000233,0.009328),(745,6895,0.000234,0.009321),(745,6905,0.000235,0.009315),(745,6915,0.000236,0.009308),(745,6925,0.000237,0.009301),(745,6935,0.000238,0.009294),(745,6945,0.00024,0.009287),(745,6955,0.000241,0.00928),(745,6965,0.000242,0.009273),(745,6975,0.000243,0.009266),(745,6985,0.000244,0.009259),(755,5,3.7e-05,3.6676),(755,15,0.000111,3.6676),(755,25,0.000185,3.6676),(755,35,0.00026,3.6675),(755,45,0.000334,3.6675),(755,55,0.000408,3.6675),(755,65,0.000482,3.6675),(755,75,0.000557,3.6675),(755,85,0.000631,3.6675),(755,95,0.000706,3.6675),(755,105,0.00078,3.6675),(755,115,0.000855,3.6674),(755,125,0.00093,3.6674),(755,135,0.001004,3.6674),(755,145,0.001079,3.6674),(755,155,0.001155,3.6673),(755,165,0.00123,3.6673),(755,175,0.001305,3.6673),(755,185,0.001381,3.6672),(755,195,0.001456,3.6672),(755,205,0.001532,3.6672),(755,215,0.001608,3.6671),(755,225,0.001684,3.6671),(755,235,0.00176,3.667),(755,245,0.001837,3.667),(755,255,0.001913,3.6669),(755,265,0.00199,3.6669),(755,275,0.002067,3.6668),(755,285,0.002145,3.6668),(755,295,0.002222,3.6667),(755,305,0.0023,3.6667),(755,315,0.002378,3.6666),(755,325,0.002456,3.6666),(755,335,0.002534,3.6665),(755,345,0.002612,3.6664),(755,355,0.002691,3.6664),(755,365,0.00277,3.6663),(755,375,0.00285,3.6662),(755,385,0.00293,3.6661),(755,395,0.00301,3.6661),(755,405,0.00309,3.666),(755,415,0.00317,3.6659),(755,425,0.003251,3.6658),(755,435,0.003333,3.6658),(755,445,0.003414,3.6657),(755,455,0.003496,3.6656),(755,465,0.003578,3.6655),(755,475,0.003661,3.6654),(755,485,0.003744,3.6653),(755,495,0.003827,3.6652),(755,505,0.003911,3.6651),(755,515,0.003995,3.665),(755,525,0.00408,3.6649),(755,535,0.004164,3.6648),(755,545,0.00425,3.6647),(755,555,0.004336,3.6646),(755,565,0.004422,3.6645),(755,575,0.004508,3.6644),(755,585,0.004596,3.6642),(755,595,0.004683,3.6641),(755,605,0.004771,3.664),(755,615,0.004859,3.6639),(755,625,0.004948,3.6638),(755,635,0.005038,3.6636),(755,645,0.005127,3.6635),(755,655,0.005217,3.6634),(755,665,0.005308,3.6632),(755,675,0.0054,3.6631),(755,685,0.005491,3.663),(755,695,0.005583,3.6628),(755,705,0.005676,3.6627),(755,715,0.00577,3.6625),(755,725,0.005863,3.6624),(755,735,0.005957,3.6622),(755,745,0.006053,3.6621),(755,755,0.006148,3.6619),(755,765,0.006244,3.6618),(755,775,0.00634,3.6616),(755,785,0.006438,3.6614),(755,795,0.006536,3.6613),(755,805,0.006634,3.6611),(755,815,0.006733,3.6609),(755,825,0.006833,3.6608),(755,835,0.006934,3.6606),(755,845,0.007034,3.6604),(755,855,0.007135,3.6602),(755,865,0.007238,3.66),(755,875,0.00734,3.6599),(755,885,0.007443,3.6597),(755,895,0.007547,3.6595),(755,905,0.007652,3.6593),(755,915,0.007758,3.6591),(755,925,0.007863,3.6589),(755,935,0.00797,3.6587),(755,945,0.008078,3.6585),(755,955,0.008186,3.6583),(755,965,0.008294,3.6581),(755,975,0.008403,3.6578),(755,985,0.008514,3.6576),(755,995,0.008625,3.6574),(755,1005,0.008736,3.6572),(755,1015,0.008848,3.657),(755,1025,0.008962,3.6567),(755,1035,0.009075,3.6565),(755,1045,0.009189,3.6563),(755,1055,0.009304,3.656),(755,1065,0.009421,3.6558),(755,1075,0.009537,3.6555),(755,1085,0.009654,3.6553),(755,1095,0.009772,3.655),(755,1105,0.009892,3.6548),(755,1115,0.010011,3.6545),(755,1125,0.010131,3.6543),(755,1135,0.010253,3.654),(755,1145,0.010375,3.6537),(755,1155,0.010498,3.6535),(755,1165,0.010621,3.6532),(755,1175,0.010746,3.6529),(755,1185,0.010871,3.6527),(755,1195,0.010997,3.6524),(755,1205,0.011123,3.6521),(755,1215,0.011251,3.6518),(755,1225,0.01138,3.6515),(755,1235,0.011509,3.6512),(755,1245,0.011638,3.6509),(755,1255,0.01177,3.6506),(755,1265,0.011902,3.6503),(755,1275,0.012035,3.65),(755,1285,0.012167,3.6497),(755,1295,0.012302,3.6494),(755,1305,0.012438,3.649),(755,1315,0.012573,3.6487),(755,1325,0.012709,3.6484),(755,1335,0.012848,3.648),(755,1345,0.012987,3.6477),(755,1355,0.013126,3.6474),(755,1365,0.013265,3.647),(755,1375,0.013407,3.6467),(755,1385,0.013549,3.6463),(755,1395,0.013692,3.646),(755,1405,0.013834,3.6456),(755,1415,0.01398,3.6453),(755,1425,0.014125,3.6449),(755,1435,0.014271,3.6445),(755,1445,0.014417,3.6442),(755,1455,0.014566,3.6438),(755,1465,0.014716,3.6434),(755,1475,0.014865,3.643),(755,1485,0.015015,3.6426),(755,1495,0.015167,3.6422),(755,1505,0.01532,3.6418),(755,1515,0.015473,3.6414),(755,1525,0.015626,3.641),(755,1535,0.015782,3.6406),(755,1545,0.015939,3.6402),(755,1555,0.016095,3.6398),(755,1565,0.016252,3.6393),(755,1575,0.016411,3.6389),(755,1585,0.016571,3.6385),(755,1595,0.016731,3.6381),(755,1605,0.016891,3.6376),(755,1615,0.017054,3.6372),(755,1625,0.017218,3.6367),(755,1635,0.017381,3.6363),(755,1645,0.017545,3.6358),(755,1655,0.017711,3.6353),(755,1665,0.017878,3.6349),(755,1675,0.018044,3.6344),(755,1685,0.018212,3.6339),(755,1695,0.018382,3.6334),(755,1705,0.018551,3.633),(755,1715,0.018721,3.6325),(755,1725,0.018892,3.632),(755,1735,0.019065,3.6315),(755,1745,0.019238,3.631),(755,1755,0.019411,3.6305),(755,1765,0.019585,3.6299),(755,1775,0.019762,3.6294),(755,1785,0.019938,3.6289),(755,1795,0.020114,3.6284),(755,1805,0.020292,3.6278),(755,1815,0.020471,3.6273),(755,1825,0.020651,3.6268),(755,1835,0.02083,3.6262),(755,1845,0.021011,3.6257),(755,1855,0.021194,3.6251),(755,1865,0.021377,3.6245),(755,1875,0.02156,3.624),(755,1885,0.021744,3.6234),(755,1895,0.021929,3.6228),(755,1905,0.022115,3.6222),(755,1915,0.022301,3.6216),(755,1925,0.022488,3.621),(755,1935,0.022677,3.6205),(755,1945,0.022866,3.6198),(755,1955,0.023054,3.6192),(755,1965,0.023244,3.6186),(755,1975,0.023436,3.618),(755,1985,0.023627,3.6174),(755,1995,0.023818,3.6167),(755,2005,0.024011,3.6161),(755,2015,0.024205,3.6155),(755,2025,0.024399,3.6148),(755,2035,0.024593,3.6142),(755,2045,0.024789,3.6135),(755,2055,0.024985,3.6129),(755,2065,0.025182,3.6122),(755,2075,0.025378,3.6115),(755,2085,0.025576,3.6108),(755,2095,0.025775,3.6102),(755,2105,0.025974,3.6095),(755,2115,0.026173,3.6088),(755,2125,0.026374,3.6081),(755,2135,0.026575,3.6074),(755,2145,0.026776,3.6066),(755,2155,0.026978,3.6059),(755,2165,0.027181,3.6052),(755,2175,0.027384,3.6045),(755,2185,0.027588,3.6037),(755,2195,0.027791,3.603),(755,2205,0.027996,3.6023),(755,2215,0.028202,3.6015),(755,2225,0.028407,3.6008),(755,2235,0.028613,3.6),(755,2245,0.02882,3.5992),(755,2255,0.029028,3.5985),(755,2265,0.029235,3.5977),(755,2275,0.029443,3.5969),(755,2285,0.029652,3.5961),(755,2295,0.029861,3.5953),(755,2305,0.03007,3.5945),(755,2315,0.030279,3.5937),(755,2325,0.03049,3.5929),(755,2335,0.030701,3.5921),(755,2345,0.030912,3.5913),(755,2355,0.031123,3.5904),(755,2365,0.031335,3.5896),(755,2375,0.031548,3.5888),(755,2385,0.031761,3.5879),(755,2395,0.031973,3.5871),(755,2405,0.032187,3.5862),(755,2415,0.032401,3.5854),(755,2425,0.032615,3.5845),(755,2435,0.032829,3.5836),(755,2445,0.033045,3.5828),(755,2455,0.03326,3.5819),(755,2465,0.033476,3.581),(755,2475,0.033691,3.5801),(755,2485,0.033908,3.5792),(755,2495,0.034125,3.5783),(755,2505,0.034342,3.5774),(755,2515,0.034559,3.5765),(755,2525,0.034778,3.5756),(755,2535,0.034996,3.5747),(755,2545,0.035215,3.5737),(755,2555,0.035434,3.5728),(755,2565,0.035654,3.5719),(755,2575,0.035874,3.5709),(755,2585,0.036094,3.57),(755,2595,0.036314,3.569),(755,2605,0.036536,3.5681),(755,2615,0.036757,3.5671),(755,2625,0.036979,3.5662),(755,2635,0.037201,3.5652),(755,2645,0.037424,3.5642),(755,2655,0.037648,3.5632),(755,2665,0.037871,3.5623),(755,2675,0.038095,3.5613),(755,2685,0.03832,3.5603),(755,2695,0.038545,3.5593),(755,2705,0.038771,3.5583),(755,2715,0.038996,3.5573),(755,2725,0.039224,3.5563),(755,2735,0.039452,3.5553),(755,2745,0.039679,3.5543),(755,2755,0.039907,3.5532),(755,2765,0.040138,3.5522),(755,2775,0.040368,3.5512),(755,2785,0.040598,3.5502),(755,2795,0.040829,3.5491),(755,2805,0.041062,3.5481),(755,2815,0.041295,3.5471),(755,2825,0.041528,3.546),(755,2835,0.041762,3.545),(755,2845,0.041999,3.5439),(755,2855,0.042235,3.5429),(755,2865,0.042472,3.5418),(755,2875,0.04271,3.5408),(755,2885,0.04295,3.5397),(755,2895,0.043191,3.5387),(755,2905,0.043431,3.5376),(755,2915,0.043673,3.5366),(755,2925,0.043918,3.5355),(755,2935,0.044164,3.5344),(755,2945,0.044409,3.5334),(755,2955,0.044656,3.5323),(755,2965,0.044906,3.5312),(755,2975,0.045156,3.5302),(755,2985,0.045407,3.5291),(755,2995,0.04566,3.528),(755,3005,0.045916,3.527),(755,3015,0.046173,3.5259),(755,3025,0.046429,3.5248),(755,3035,0.046689,3.5238),(755,3045,0.046952,3.5227),(755,3055,0.047216,3.5216),(755,3065,0.047479,3.5206),(755,3075,0.047746,3.5195),(755,3085,0.048017,3.5185),(755,3095,0.048288,3.5174),(755,3105,0.048559,3.5163),(755,3115,0.048835,3.5153),(755,3125,0.049115,3.5142),(755,3135,0.049394,3.5132),(755,3145,0.049673,3.5122),(755,3155,0.049958,3.5111),(755,3165,0.050247,3.5101),(755,3175,0.050535,3.5091),(755,3185,0.050823,3.508),(755,3195,0.051118,3.507),(755,3205,0.051415,3.506),(755,3215,0.051713,3.505),(755,3225,0.052011,3.504),(755,3235,0.052315,3.503),(755,3245,0.052623,3.502),(755,3255,0.052931,3.501),(755,3265,0.053238,3.5001),(755,3275,0.053553,3.4991),(755,3285,0.053871,3.4982),(755,3295,0.054188,3.4972),(755,3305,0.054506,3.4963),(755,3315,0.05483,3.4954),(755,3325,0.055157,3.4945),(755,3335,0.055483,3.4936),(755,3345,0.05581,3.4927),(755,3355,0.056143,3.4918),(755,3365,0.056477,3.491),(755,3375,0.056811,3.4901),(755,3385,0.057145,3.4893),(755,3395,0.057484,3.4885),(755,3405,0.057823,3.4877),(755,3415,0.058162,3.4869),(755,3425,0.058501,3.4862),(755,3435,0.058842,3.4854),(755,3445,0.059183,3.4847),(755,3455,0.059523,3.484),(755,3465,0.059864,3.4834),(755,3475,0.060201,3.4827),(755,3485,0.060538,3.482),(755,3495,0.060876,3.4814),(755,3505,0.061213,3.4809),(755,3515,0.061539,3.4803),(755,3525,0.061865,3.4797),(755,3535,0.062191,3.4792),(755,3545,0.062516,3.4788),(755,3555,0.062822,3.4783),(755,3565,0.063127,3.4778),(755,3575,0.063432,3.4775),(755,3585,0.063735,3.4771),(755,3595,0.064007,3.4768),(755,3605,0.064279,3.4764),(755,3615,0.064551,3.4762),(755,3625,0.064817,3.476),(755,3635,0.06504,3.4757),(755,3645,0.065263,3.4755),(755,3655,0.065486,3.4755),(755,3665,0.065698,3.4754),(755,3675,0.065853,3.4753),(755,3685,0.066008,3.4752),(755,3695,0.066163,3.4753),(755,3705,0.0663,3.4753),(755,3715,0.066364,3.4754),(755,3725,0.066428,3.4755),(755,3735,0.066493,3.4757),(755,3745,0.066529,3.4759),(755,3755,0.066478,3.4761),(755,3765,0.066427,3.4764),(755,3775,0.066376,3.4767),(755,3785,0.066284,3.4771),(755,3795,0.06609,3.4774),(755,3805,0.065896,3.4778),(755,3815,0.065702,3.4783),(755,3825,0.065453,3.4789),(755,3835,0.065088,3.4794),(755,3845,0.064722,3.4799),(755,3855,0.064357,3.4805),(755,3865,0.06392,3.4812),(755,3875,0.063357,3.4818),(755,3885,0.062794,3.4825),(755,3895,0.06223,3.4832),(755,3905,0.074178,3.484),(755,3915,0.10481,3.4847),(755,3925,0.13545,3.4862),(755,3935,0.16609,3.4887),(755,3945,0.1954,3.4912),(755,3955,0.22304,3.4938),(755,3965,0.25067,3.4961),(755,3975,0.27831,3.4983),(755,3985,0.29019,3.5004),(755,3995,0.28503,3.5026),(755,4005,0.27987,3.5038),(755,4015,0.2747,3.504),(755,4025,0.269,3.5043),(755,4035,0.26324,3.504),(755,4045,0.25749,3.5027),(755,4055,0.25152,3.5014),(755,4065,0.24548,3.4998),(755,4075,0.23944,3.4971),(755,4085,0.23316,3.4943),(755,4095,0.22669,3.4915),(755,4105,0.22021,3.4874),(755,4115,0.2064,3.4832),(755,4125,0.18043,3.4791),(755,4135,0.15446,3.4751),(755,4145,0.12904,3.4712),(755,4155,0.10585,3.4673),(755,4165,0.082663,3.4645),(755,4175,0.060566,3.4624),(755,4185,0.092451,3.4603),(755,4195,0.12434,3.4573),(755,4205,0.15622,3.453),(755,4215,0.15398,3.4487),(755,4225,0.14532,3.4448),(755,4235,0.13666,3.442),(755,4245,0.12362,3.4391),(755,4255,0.10835,3.4363),(755,4265,0.093084,3.435),(755,4275,0.075143,3.4337),(755,4285,0.054363,3.4324),(755,4295,0.033583,3.4322),(755,4305,0.024932,3.4321),(755,4315,0.043672,3.432),(755,4325,0.062411,3.4316),(755,4335,0.080995,3.431),(755,4345,0.098527,3.4305),(755,4355,0.11606,3.4293),(755,4365,0.13359,3.4277),(755,4375,0.14881,3.4261),(755,4385,0.16391,3.4242),(755,4395,0.17902,3.4217),(755,4405,0.16256,3.4191),(755,4415,0.1368,3.4167),(755,4425,0.11104,3.4149),(755,4435,0.096549,3.4131),(755,4445,0.08976,3.4113),(755,4455,0.08297,3.409),(755,4465,0.10056,3.4068),(755,4475,0.1524,3.4046),(755,4485,0.20424,3.4),(755,4495,0.2476,3.3948),(755,4505,0.26376,3.3896),(755,4515,0.27993,3.3844),(755,4525,0.2953,3.3793),(755,4535,0.29807,3.3742),(755,4545,0.30085,3.3695),(755,4555,0.30362,3.3653),(755,4565,0.22155,3.3612),(755,4575,0.12803,3.3582),(755,4585,0.034516,3.358),(755,4595,0.020248,3.3579),(755,4605,0.039465,3.3575),(755,4615,0.058682,3.3549),(755,4625,0.086818,3.3523),(755,4635,0.12303,3.3497),(755,4645,0.15925,3.3434),(755,4655,0.1986,3.337),(755,4665,0.24386,3.3305),(755,4675,0.28912,3.3212),(755,4685,0.31594,3.3111),(755,4695,0.25163,3.3009),(755,4705,0.18733,3.2945),(755,4715,0.12303,3.2908),(755,4725,0.13525,3.2871),(755,4735,0.14825,3.2821),(755,4745,0.16124,3.275),(755,4755,0.20972,3.2679),(755,4765,0.26642,3.2596),(755,4775,0.32312,3.2469),(755,4785,0.36336,3.2341),(755,4795,0.39408,3.2213),(755,4805,0.4248,3.207),(755,4815,0.42754,3.1927),(755,4825,0.39684,3.1783),(755,4835,0.36614,3.1677),(755,4845,0.32009,3.1576),(755,4855,0.23404,3.1475),(755,4865,0.148,3.1427),(755,4875,0.078701,3.1402),(755,4885,0.16186,3.1376),(755,4895,0.24501,3.131),(755,4905,0.32816,3.1204),(755,4915,0.33681,3.1097),(755,4925,0.33904,3.0991),(755,4935,0.34128,3.0887),(755,4945,0.31754,3.0782),(755,4955,0.2848,3.0682),(755,4965,0.25206,3.0611),(755,4975,0.19809,3.0541),(755,4985,0.12774,3.047),(755,4995,0.057388,3.0463),(755,5005,0.041707,3.0458),(755,5015,0.11294,3.0453),(755,5025,0.18417,3.0323),(755,5035,0.25304,3.0161),(755,5045,0.3129,2.9999),(755,5055,0.37276,2.9792),(755,5065,0.43209,2.9557),(755,5075,0.47391,2.9322),(755,5085,0.51574,2.908),(755,5095,0.55756,2.8827),(755,5105,0.50842,2.8574),(755,5115,0.4434,2.8352),(755,5125,0.37839,2.8216),(755,5135,0.31766,2.808),(755,5145,0.25899,2.7951),(755,5155,0.20033,2.7893),(755,5165,0.23153,2.7835),(755,5175,0.3544,2.7777),(755,5185,0.47727,2.7614),(755,5195,0.57375,2.7441),(755,5205,0.61335,2.7268),(755,5215,0.65296,2.7081),(755,5225,0.68853,2.6889),(755,5235,0.69905,2.6697),(755,5245,0.70957,2.6509),(755,5255,0.7201,2.6324),(755,5265,0.50283,2.614),(755,5275,0.27616,2.6024),(755,5285,0.049501,2.6023),(755,5295,0.047159,2.6023),(755,5305,0.10729,2.6002),(755,5315,0.16741,2.5894),(755,5325,0.24287,2.5786),(755,5335,0.32837,2.5676),(755,5345,0.41388,2.5471),(755,5355,0.49327,2.5265),(755,5365,0.5644,2.506),(755,5375,0.63554,2.4815),(755,5385,0.65226,2.4564),(755,5395,0.50352,2.4312),(755,5405,0.35479,2.418),(755,5415,0.21703,2.4111),(755,5425,0.22667,2.4042),(755,5435,0.23632,2.4004),(755,5445,0.24596,2.3999),(755,5455,0.29334,2.3994),(755,5465,0.34534,2.3981),(755,5475,0.39733,2.3952),(755,5485,0.41806,2.3924),(755,5495,0.42619,2.3892),(755,5505,0.43432,2.3841),(755,5515,0.44304,2.3789),(755,5525,0.45227,2.3738),(755,5535,0.4615,2.3663),(755,5545,0.47098,2.3587),(755,5555,0.4809,2.3511),(755,5565,0.49082,2.3414),(755,5575,0.50093,2.331),(755,5585,0.51188,2.3207),(755,5595,0.52283,2.3088),(755,5605,0.53378,2.2958),(755,5615,0.54625,2.2828),(755,5625,0.55872,2.2686),(755,5635,0.57119,2.2527),(755,5645,0.58518,2.2369),(755,5655,0.59949,2.2203),(755,5665,0.61381,2.2016),(755,5675,0.62951,2.1828),(755,5685,0.64597,2.1639),(755,5695,0.66244,2.1425),(755,5705,0.67993,2.121),(755,5715,0.69861,2.0996),(755,5725,0.71729,2.0758),(755,5735,0.73663,2.0516),(755,5745,0.75758,2.0275),(755,5755,0.77854,2.0015),(755,5765,0.7997,1.9747),(755,5775,0.82256,1.948),(755,5785,0.84542,1.92),(755,5795,0.86828,1.8908),(755,5805,0.89262,1.8617),(755,5815,0.91707,1.8318),(755,5825,0.94151,1.8004),(755,5835,0.96674,1.7691),(755,5845,0.99221,1.7373),(755,5855,1.0177,1.7038),(755,5865,1.0435,1.6702),(755,5875,1.0696,1.6366),(755,5885,1.0957,1.6017),(755,5895,1.1218,1.5667),(755,5905,1.1481,1.5318),(755,5915,1.1743,1.4954),(755,5925,1.2005,1.4586),(755,5935,1.2265,1.4218),(755,5945,1.2524,1.3842),(755,5955,1.2783,1.346),(755,5965,1.3037,1.3078),(755,5975,1.3292,1.2692),(755,5985,1.3546,1.2301),(755,5995,1.0395,1.191),(755,6005,0.66965,1.1612),(755,6015,0.29976,1.1559),(755,6025,0.25252,1.1507),(755,6035,0.35493,1.1447),(755,6045,0.45733,1.1313),(755,6055,0.53597,1.1179),(755,6065,0.59132,1.1045),(755,6075,0.64666,1.087),(755,6085,0.685,1.069),(755,6095,0.6883,1.0511),(755,6105,0.6916,1.033),(755,6115,0.69486,1.0147),(755,6125,0.6979,0.99645),(755,6135,0.70094,0.97802),(755,6145,0.70398,0.95945),(755,6155,0.70681,0.94088),(755,6165,0.70963,0.92208),(755,6175,0.71245,0.9029),(755,6185,0.71507,0.88372),(755,6195,0.71763,0.86451),(755,6205,0.72019,0.8452),(755,6215,0.72262,0.82588),(755,6225,0.72496,0.80655),(755,6235,0.72729,0.78684),(755,6245,0.72952,0.76714),(755,6255,0.73158,0.74743),(755,6265,0.73365,0.72748),(755,6275,0.73568,0.70748),(755,6285,0.73757,0.68749),(755,6295,0.73945,0.66735),(755,6305,0.74132,0.64714),(755,6315,0.74295,0.62692),(755,6325,0.74457,0.60646),(755,6335,0.7462,0.58574),(755,6345,0.74763,0.56502),(755,6355,0.74904,0.54434),(755,6365,0.75045,0.52376),(755,6375,0.75172,0.50318),(755,6385,0.75294,0.48253),(755,6395,0.75416,0.46141),(755,6405,0.75527,0.44029),(755,6415,0.75629,0.41917),(755,6425,0.75732,0.39813),(755,6435,0.75829,0.37711),(755,6445,0.75917,0.35608),(755,6455,0.76005,0.33483),(755,6465,0.76088,0.31353),(755,6475,0.76151,0.29223),(755,6485,0.76214,0.27073),(755,6495,0.76276,0.24911),(755,6505,0.76324,0.22748),(755,6515,0.76372,0.20595),(755,6525,0.76419,0.18456),(755,6535,0.76456,0.16317),(755,6545,0.7649,0.14175),(755,6555,0.76525,0.1202),(755,6565,0.76544,0.098663),(755,6575,0.76555,0.077115),(755,6585,0.76565,0.055471),(755,6595,0.65124,0.033828),(755,6605,0.41038,0.012184),(755,6615,0.16952,0.009656),(755,6625,0.000202,0.009583),(755,6635,0.000203,0.009511),(755,6645,0.000205,0.009486),(755,6655,0.000206,0.009479),(755,6665,0.000208,0.009473),(755,6675,0.000209,0.009467),(755,6685,0.00021,0.009461),(755,6695,0.000212,0.009455),(755,6705,0.000213,0.009448),(755,6715,0.000215,0.009442),(755,6725,0.000216,0.009435),(755,6735,0.000217,0.009429),(755,6745,0.000219,0.009422),(755,6755,0.00022,0.009416),(755,6765,0.000221,0.009409),(755,6775,0.000223,0.009403),(755,6785,0.000224,0.009396),(755,6795,0.000225,0.00939),(755,6805,0.000227,0.009383),(755,6815,0.000228,0.009376),(755,6825,0.000229,0.00937),(755,6835,0.00023,0.009363),(755,6845,0.000232,0.009356),(755,6855,0.000233,0.00935),(755,6865,0.000234,0.009343),(755,6875,0.000235,0.009336),(755,6885,0.000236,0.009329),(755,6895,0.000237,0.009323),(755,6905,0.000239,0.009316),(755,6915,0.00024,0.009309),(755,6925,0.000241,0.009302),(755,6935,0.000242,0.009295),(755,6945,0.000243,0.009288),(755,6955,0.000244,0.009281),(755,6965,0.000245,0.009274),(755,6975,0.000246,0.009267),(755,6985,0.000247,0.00926),(765,5,3.7e-05,3.6676),(765,15,0.000112,3.6676),(765,25,0.000187,3.6676),(765,35,0.000263,3.6676),(765,45,0.000338,3.6676),(765,55,0.000413,3.6676),(765,65,0.000488,3.6676),(765,75,0.000563,3.6676),(765,85,0.000638,3.6676),(765,95,0.000714,3.6675),(765,105,0.000789,3.6675),(765,115,0.000865,3.6675),(765,125,0.00094,3.6675),(765,135,0.001016,3.6675),(765,145,0.001092,3.6674),(765,155,0.001168,3.6674),(765,165,0.001244,3.6674),(765,175,0.00132,3.6673),(765,185,0.001396,3.6673),(765,195,0.001473,3.6673),(765,205,0.00155,3.6672),(765,215,0.001626,3.6672),(765,225,0.001703,3.6672),(765,235,0.00178,3.6671),(765,245,0.001858,3.6671),(765,255,0.001935,3.667),(765,265,0.002013,3.667),(765,275,0.002091,3.6669),(765,285,0.002169,3.6669),(765,295,0.002247,3.6668),(765,305,0.002326,3.6668),(765,315,0.002405,3.6667),(765,325,0.002484,3.6666),(765,335,0.002563,3.6666),(765,345,0.002642,3.6665),(765,355,0.002722,3.6664),(765,365,0.002802,3.6664),(765,375,0.002882,3.6663),(765,385,0.002963,3.6662),(765,395,0.003044,3.6662),(765,405,0.003125,3.6661),(765,415,0.003206,3.666),(765,425,0.003289,3.6659),(765,435,0.003371,3.6658),(765,445,0.003453,3.6657),(765,455,0.003536,3.6657),(765,465,0.003619,3.6656),(765,475,0.003703,3.6655),(765,485,0.003787,3.6654),(765,495,0.003871,3.6653),(765,505,0.003956,3.6652),(765,515,0.004041,3.6651),(765,525,0.004127,3.665),(765,535,0.004212,3.6649),(765,545,0.004299,3.6648),(765,555,0.004386,3.6647),(765,565,0.004473,3.6646),(765,575,0.00456,3.6644),(765,585,0.004649,3.6643),(765,595,0.004737,3.6642),(765,605,0.004826,3.6641),(765,615,0.004915,3.664),(765,625,0.005006,3.6638),(765,635,0.005096,3.6637),(765,645,0.005187,3.6636),(765,655,0.005277,3.6635),(765,665,0.00537,3.6633),(765,675,0.005462,3.6632),(765,685,0.005555,3.6631),(765,695,0.005647,3.6629),(765,705,0.005742,3.6628),(765,715,0.005837,3.6626),(765,725,0.005931,3.6625),(765,735,0.006026,3.6623),(765,745,0.006123,3.6622),(765,755,0.00622,3.662),(765,765,0.006317,3.6619),(765,775,0.006414,3.6617),(765,785,0.006513,3.6615),(765,795,0.006612,3.6614),(765,805,0.006711,3.6612),(765,815,0.006811,3.661),(765,825,0.006913,3.6609),(765,835,0.007014,3.6607),(765,845,0.007116,3.6605),(765,855,0.007218,3.6603),(765,865,0.007322,3.6601),(765,875,0.007426,3.66),(765,885,0.00753,3.6598),(765,895,0.007635,3.6596),(765,905,0.007742,3.6594),(765,915,0.007849,3.6592),(765,925,0.007955,3.659),(765,935,0.008063,3.6588),(765,945,0.008173,3.6586),(765,955,0.008282,3.6584),(765,965,0.008391,3.6582),(765,975,0.008502,3.6579),(765,985,0.008614,3.6577),(765,995,0.008727,3.6575),(765,1005,0.008839,3.6573),(765,1015,0.008952,3.6571),(765,1025,0.009067,3.6568),(765,1035,0.009182,3.6566),(765,1045,0.009298,3.6564),(765,1055,0.009414,3.6561),(765,1065,0.009532,3.6559),(765,1075,0.00965,3.6557),(765,1085,0.009768,3.6554),(765,1095,0.009888,3.6552),(765,1105,0.010009,3.6549),(765,1115,0.01013,3.6547),(765,1125,0.010251,3.6544),(765,1135,0.010375,3.6541),(765,1145,0.010499,3.6539),(765,1155,0.010623,3.6536),(765,1165,0.010747,3.6533),(765,1175,0.010874,3.6531),(765,1185,0.011001,3.6528),(765,1195,0.011129,3.6525),(765,1205,0.011256,3.6522),(765,1215,0.011386,3.6519),(765,1225,0.011517,3.6516),(765,1235,0.011647,3.6513),(765,1245,0.011778,3.651),(765,1255,0.011911,3.6507),(765,1265,0.012045,3.6504),(765,1275,0.012179,3.6501),(765,1285,0.012313,3.6498),(765,1295,0.01245,3.6495),(765,1305,0.012587,3.6492),(765,1315,0.012725,3.6488),(765,1325,0.012862,3.6485),(765,1335,0.013003,3.6482),(765,1345,0.013144,3.6479),(765,1355,0.013284,3.6475),(765,1365,0.013425,3.6472),(765,1375,0.013569,3.6468),(765,1385,0.013713,3.6465),(765,1395,0.013858,3.6461),(765,1405,0.014002,3.6458),(765,1415,0.01415,3.6454),(765,1425,0.014297,3.6451),(765,1435,0.014445,3.6447),(765,1445,0.014593,3.6443),(765,1455,0.014744,3.6439),(765,1465,0.014895,3.6436),(765,1475,0.015047,3.6432),(765,1485,0.015198,3.6428),(765,1495,0.015353,3.6424),(765,1505,0.015508,3.642),(765,1515,0.015663,3.6416),(765,1525,0.015818,3.6412),(765,1535,0.015976,3.6408),(765,1545,0.016134,3.6404),(765,1555,0.016293,3.6399),(765,1565,0.016451,3.6395),(765,1575,0.016613,3.6391),(765,1585,0.016775,3.6387),(765,1595,0.016937,3.6382),(765,1605,0.017099,3.6378),(765,1615,0.017265,3.6373),(765,1625,0.01743,3.6369),(765,1635,0.017596,3.6364),(765,1645,0.017762,3.636),(765,1655,0.017931,3.6355),(765,1665,0.018099,3.6351),(765,1675,0.018268,3.6346),(765,1685,0.018438,3.6341),(765,1695,0.01861,3.6336),(765,1705,0.018782,3.6331),(765,1715,0.018955,3.6326),(765,1725,0.019127,3.6321),(765,1735,0.019303,3.6317),(765,1745,0.019478,3.6312),(765,1755,0.019654,3.6306),(765,1765,0.01983,3.6301),(765,1775,0.020009,3.6296),(765,1785,0.020188,3.6291),(765,1795,0.020366,3.6286),(765,1805,0.020546,3.628),(765,1815,0.020728,3.6275),(765,1825,0.02091,3.6269),(765,1835,0.021092,3.6264),(765,1845,0.021275,3.6258),(765,1855,0.02146,3.6253),(765,1865,0.021646,3.6247),(765,1875,0.021831,3.6242),(765,1885,0.022017,3.6236),(765,1895,0.022206,3.623),(765,1905,0.022394,3.6224),(765,1915,0.022582,3.6218),(765,1925,0.022772,3.6212),(765,1935,0.022963,3.6206),(765,1945,0.023154,3.62),(765,1955,0.023346,3.6194),(765,1965,0.023538,3.6188),(765,1975,0.023732,3.6182),(765,1985,0.023926,3.6176),(765,1995,0.02412,3.6169),(765,2005,0.024315,3.6163),(765,2015,0.024512,3.6157),(765,2025,0.024709,3.615),(765,2035,0.024905,3.6144),(765,2045,0.025104,3.6137),(765,2055,0.025303,3.6131),(765,2065,0.025502,3.6124),(765,2075,0.025701,3.6117),(765,2085,0.025902,3.611),(765,2095,0.026103,3.6104),(765,2105,0.026305,3.6097),(765,2115,0.026507,3.609),(765,2125,0.02671,3.6083),(765,2135,0.026914,3.6076),(765,2145,0.027118,3.6069),(765,2155,0.027322,3.6061),(765,2165,0.027527,3.6054),(765,2175,0.027733,3.6047),(765,2185,0.02794,3.604),(765,2195,0.028146,3.6032),(765,2205,0.028353,3.6025),(765,2215,0.028562,3.6017),(765,2225,0.02877,3.601),(765,2235,0.028978,3.6002),(765,2245,0.029188,3.5994),(765,2255,0.029398,3.5987),(765,2265,0.029608,3.5979),(765,2275,0.029818,3.5971),(765,2285,0.03003,3.5963),(765,2295,0.030242,3.5955),(765,2305,0.030454,3.5947),(765,2315,0.030665,3.5939),(765,2325,0.030879,3.5931),(765,2335,0.031092,3.5923),(765,2345,0.031306,3.5915),(765,2355,0.031519,3.5907),(765,2365,0.031734,3.5898),(765,2375,0.031949,3.589),(765,2385,0.032164,3.5881),(765,2395,0.032379,3.5873),(765,2405,0.032596,3.5864),(765,2415,0.032812,3.5856),(765,2425,0.033029,3.5847),(765,2435,0.033245,3.5839),(765,2445,0.033463,3.583),(765,2455,0.033681,3.5821),(765,2465,0.033899,3.5812),(765,2475,0.034117,3.5803),(765,2485,0.034336,3.5794),(765,2495,0.034555,3.5785),(765,2505,0.034774,3.5776),(765,2515,0.034994,3.5767),(765,2525,0.035214,3.5758),(765,2535,0.035435,3.5749),(765,2545,0.035656,3.574),(765,2555,0.035876,3.573),(765,2565,0.036098,3.5721),(765,2575,0.03632,3.5712),(765,2585,0.036543,3.5702),(765,2595,0.036765,3.5693),(765,2605,0.036988,3.5683),(765,2615,0.037211,3.5673),(765,2625,0.037435,3.5664),(765,2635,0.037659,3.5654),(765,2645,0.037883,3.5644),(765,2655,0.038108,3.5635),(765,2665,0.038333,3.5625),(765,2675,0.038559,3.5615),(765,2685,0.038785,3.5605),(765,2695,0.039012,3.5595),(765,2705,0.039239,3.5585),(765,2715,0.039466,3.5575),(765,2725,0.039694,3.5565),(765,2735,0.039923,3.5555),(765,2745,0.040152,3.5545),(765,2755,0.040381,3.5535),(765,2765,0.040612,3.5524),(765,2775,0.040843,3.5514),(765,2785,0.041074,3.5504),(765,2795,0.041305,3.5494),(765,2805,0.041539,3.5483),(765,2815,0.041772,3.5473),(765,2825,0.042006,3.5463),(765,2835,0.04224,3.5452),(765,2845,0.042477,3.5442),(765,2855,0.042713,3.5431),(765,2865,0.04295,3.5421),(765,2875,0.043187,3.541),(765,2885,0.043427,3.54),(765,2895,0.043667,3.5389),(765,2905,0.043907,3.5379),(765,2915,0.044149,3.5368),(765,2925,0.044393,3.5357),(765,2935,0.044637,3.5347),(765,2945,0.044881,3.5336),(765,2955,0.045127,3.5325),(765,2965,0.045376,3.5315),(765,2975,0.045624,3.5304),(765,2985,0.045873,3.5294),(765,2995,0.046124,3.5283),(765,3005,0.046378,3.5272),(765,3015,0.046632,3.5262),(765,3025,0.046886,3.5251),(765,3035,0.047143,3.524),(765,3045,0.047403,3.523),(765,3055,0.047663,3.5219),(765,3065,0.047923,3.5208),(765,3075,0.048186,3.5198),(765,3085,0.048453,3.5187),(765,3095,0.04872,3.5177),(765,3105,0.048987,3.5166),(765,3115,0.049258,3.5156),(765,3125,0.049532,3.5145),(765,3135,0.049806,3.5135),(765,3145,0.05008,3.5124),(765,3155,0.050359,3.5114),(765,3165,0.050641,3.5104),(765,3175,0.050923,3.5093),(765,3185,0.051205,3.5083),(765,3195,0.051492,3.5073),(765,3205,0.051782,3.5063),(765,3215,0.052071,3.5053),(765,3225,0.052361,3.5043),(765,3235,0.052657,3.5033),(765,3245,0.052955,3.5023),(765,3255,0.053253,3.5013),(765,3265,0.053551,3.5004),(765,3275,0.053856,3.4994),(765,3285,0.054162,3.4985),(765,3295,0.054468,3.4975),(765,3305,0.054774,3.4966),(765,3315,0.055086,3.4957),(765,3325,0.0554,3.4948),(765,3335,0.055713,3.4939),(765,3345,0.056026,3.493),(765,3355,0.056344,3.4921),(765,3365,0.056663,3.4913),(765,3375,0.056982,3.4904),(765,3385,0.057301,3.4896),(765,3395,0.057622,3.4888),(765,3405,0.057944,3.488),(765,3415,0.058265,3.4872),(765,3425,0.058587,3.4865),(765,3435,0.058908,3.4858),(765,3445,0.059228,3.485),(765,3455,0.059548,3.4843),(765,3465,0.059869,3.4837),(765,3475,0.060183,3.483),(765,3485,0.060498,3.4823),(765,3495,0.060812,3.4817),(765,3505,0.061126,3.4812),(765,3515,0.061427,3.4806),(765,3525,0.061727,3.48),(765,3535,0.062028,3.4795),(765,3545,0.062327,3.4791),(765,3555,0.062604,3.4786),(765,3565,0.062881,3.4781),(765,3575,0.063158,3.4777),(765,3585,0.063432,3.4774),(765,3595,0.063674,3.477),(765,3605,0.063915,3.4767),(765,3615,0.064156,3.4764),(765,3625,0.064391,3.4762),(765,3635,0.064581,3.4759),(765,3645,0.064771,3.4757),(765,3655,0.064962,3.4756),(765,3665,0.065141,3.4755),(765,3675,0.065261,3.4754),(765,3685,0.065382,3.4753),(765,3695,0.065503,3.4754),(765,3705,0.065605,3.4754),(765,3715,0.065635,3.4754),(765,3725,0.065665,3.4755),(765,3735,0.065695,3.4757),(765,3745,0.065697,3.4758),(765,3755,0.065612,3.476),(765,3765,0.065527,3.4762),(765,3775,0.065442,3.4766),(765,3785,0.065318,3.4769),(765,3795,0.065093,3.4772),(765,3805,0.064868,3.4776),(765,3815,0.064643,3.4781),(765,3825,0.064364,3.4785),(765,3835,0.063972,3.479),(765,3845,0.063581,3.4795),(765,3855,0.063189,3.4801),(765,3865,0.062728,3.4807),(765,3875,0.062146,3.4813),(765,3885,0.061563,3.4819),(765,3895,0.06098,3.4826),(765,3905,0.072641,3.4833),(765,3915,0.10259,3.484),(765,3925,0.13255,3.4854),(765,3935,0.1625,3.4877),(765,3945,0.19136,3.4901),(765,3955,0.21882,3.4924),(765,3965,0.24629,3.4946),(765,3975,0.27376,3.4966),(765,3985,0.28581,3.4986),(765,3995,0.28117,3.5006),(765,4005,0.27654,3.5017),(765,4015,0.2719,3.5019),(765,4025,0.2667,3.5021),(765,4035,0.26144,3.5018),(765,4045,0.25617,3.5005),(765,4055,0.25067,3.4991),(765,4065,0.24507,3.4976),(765,4075,0.23948,3.4948),(765,4085,0.23363,3.492),(765,4095,0.22759,3.4892),(765,4105,0.22155,3.4851),(765,4115,0.20806,3.4809),(765,4125,0.18224,3.4767),(765,4135,0.15643,3.4726),(765,4145,0.13107,3.4686),(765,4155,0.10758,3.4647),(765,4165,0.084085,3.4617),(765,4175,0.061697,3.4595),(765,4185,0.093873,3.4572),(765,4195,0.12605,3.4541),(765,4205,0.15823,3.4497),(765,4215,0.15579,3.4453),(765,4225,0.14684,3.4413),(765,4235,0.13789,3.4385),(765,4245,0.12456,3.4357),(765,4255,0.10901,3.433),(765,4265,0.093454,3.4317),(765,4275,0.075306,3.4305),(765,4285,0.054404,3.4292),(765,4295,0.033502,3.4291),(765,4305,0.024718,3.429),(765,4315,0.043298,3.429),(765,4325,0.061877,3.4287),(765,4335,0.080341,3.4283),(765,4345,0.098019,3.4278),(765,4355,0.1157,3.4267),(765,4365,0.13337,3.4251),(765,4375,0.14878,3.4234),(765,4385,0.16406,3.4214),(765,4395,0.17935,3.4186),(765,4405,0.16302,3.4159),(765,4415,0.13736,3.4133),(765,4425,0.1117,3.4113),(765,4435,0.09736,3.4093),(765,4445,0.090753,3.4073),(765,4455,0.084147,3.4049),(765,4465,0.102,3.4026),(765,4475,0.15422,3.4003),(765,4485,0.20644,3.3955),(765,4495,0.25005,3.3902),(765,4505,0.26603,3.3849),(765,4515,0.28201,3.3797),(765,4525,0.29718,3.3747),(765,4535,0.29963,3.3696),(765,4545,0.30207,3.365),(765,4555,0.30452,3.361),(765,4565,0.22217,3.3569),(765,4575,0.12839,3.354),(765,4585,0.034612,3.3539),(765,4595,0.020587,3.3538),(765,4605,0.04026,3.3534),(765,4615,0.059933,3.3508),(765,4625,0.088648,3.3482),(765,4635,0.12555,3.3455),(765,4645,0.16245,3.3393),(765,4655,0.20246,3.3329),(765,4665,0.24832,3.3264),(765,4675,0.29418,3.3172),(765,4685,0.32131,3.3072),(765,4695,0.25589,3.2972),(765,4705,0.19048,3.2909),(765,4715,0.12507,3.2873),(765,4725,0.13796,3.2837),(765,4735,0.15165,3.2787),(765,4745,0.16533,3.2716),(765,4755,0.2147,3.2645),(765,4765,0.27235,3.2562),(765,4775,0.32999,3.2435),(765,4785,0.37068,3.2308),(765,4795,0.40156,3.2181),(765,4805,0.43244,3.2039),(765,4815,0.43491,3.1896),(765,4825,0.4034,3.1754),(765,4835,0.37189,3.1649),(765,4845,0.32492,3.155),(765,4855,0.23762,3.145),(765,4865,0.15032,3.1402),(765,4875,0.080019,3.1376),(765,4885,0.16434,3.135),(765,4895,0.24866,3.1283),(765,4905,0.33298,3.1175),(765,4915,0.34169,3.1067),(765,4925,0.34389,3.096),(765,4935,0.3461,3.0854),(765,4945,0.32198,3.0748),(765,4955,0.28874,3.0647),(765,4965,0.2555,3.0576),(765,4975,0.20079,3.0505),(765,4985,0.1295,3.0434),(765,4995,0.058208,3.0427),(765,5005,0.043201,3.0422),(765,5015,0.11767,3.0417),(765,5025,0.19214,3.0287),(765,5035,0.26385,3.0126),(765,5045,0.32503,2.9964),(765,5055,0.3862,2.9758),(765,5065,0.44681,2.9525),(765,5075,0.48878,2.9292),(765,5085,0.53076,2.9052),(765,5095,0.57274,2.8802),(765,5105,0.52164,2.8553),(765,5115,0.45429,2.8333),(765,5125,0.38695,2.8199),(765,5135,0.32438,2.8066),(765,5145,0.26413,2.7938),(765,5155,0.20388,2.788),(765,5165,0.23509,2.7821),(765,5175,0.3596,2.7763),(765,5185,0.48411,2.76),(765,5195,0.58178,2.7426),(765,5205,0.62156,2.7252),(765,5215,0.66133,2.7065),(765,5225,0.69703,2.6873),(765,5235,0.70735,2.6681),(765,5245,0.71767,2.6494),(765,5255,0.72799,2.631),(765,5265,0.50834,2.6127),(765,5275,0.2792,2.6011),(765,5285,0.050068,2.6011),(765,5295,0.048717,2.601),(765,5305,0.1108,2.5989),(765,5315,0.17288,2.588),(765,5325,0.25013,2.5772),(765,5335,0.33732,2.5661),(765,5345,0.4245,2.5456),(765,5355,0.50512,2.5251),(765,5365,0.57686,2.5046),(765,5375,0.64861,2.4803),(765,5385,0.66501,2.4553),(765,5395,0.51313,2.4303),(765,5405,0.36125,2.4173),(765,5415,0.22044,2.4104),(765,5425,0.22824,2.4036),(765,5435,0.23604,2.3997),(765,5445,0.24384,2.3989),(765,5455,0.291,2.3982),(765,5465,0.34298,2.3967),(765,5475,0.39496,2.3935),(765,5485,0.41604,2.3902),(765,5495,0.42467,2.3867),(765,5505,0.4333,2.3813),(765,5515,0.44256,2.3759),(765,5525,0.45236,2.3704),(765,5535,0.46215,2.3627),(765,5545,0.47221,2.3549),(765,5555,0.48274,2.347),(765,5565,0.49326,2.3371),(765,5575,0.50397,2.3265),(765,5585,0.51553,2.3159),(765,5595,0.5271,2.3038),(765,5605,0.53866,2.2907),(765,5615,0.55175,2.2775),(765,5625,0.56483,2.2632),(765,5635,0.57792,2.2471),(765,5645,0.5925,2.2311),(765,5655,0.60741,2.2144),(765,5665,0.62231,2.1956),(765,5675,0.63858,2.1767),(765,5685,0.65561,2.1577),(765,5695,0.67264,2.1362),(765,5705,0.69068,2.1147),(765,5715,0.7099,2.0932),(765,5725,0.72911,2.0694),(765,5735,0.74897,2.0452),(765,5745,0.77041,2.021),(765,5755,0.79185,1.9951),(765,5765,0.81349,1.9683),(765,5775,0.8368,1.9415),(765,5785,0.86011,1.9136),(765,5795,0.88342,1.8846),(765,5805,0.90816,1.8556),(765,5815,0.933,1.8258),(765,5825,0.95784,1.7946),(765,5835,0.98342,1.7633),(765,5845,1.0092,1.7318),(765,5855,1.0351,1.6984),(765,5865,1.0612,1.6651),(765,5875,1.0875,1.6317),(765,5885,1.1139,1.5971),(765,5895,1.1403,1.5624),(765,5905,1.1667,1.5277),(765,5915,1.1932,1.4916),(765,5925,1.2195,1.4552),(765,5935,1.2456,1.4188),(765,5945,1.2717,1.3815),(765,5955,1.2977,1.3437),(765,5965,1.3232,1.3059),(765,5975,1.3487,1.2677),(765,5985,1.3742,1.229),(765,5995,1.0546,1.1904),(765,6005,0.67932,1.1608),(765,6015,0.30408,1.1557),(765,6025,0.25591,1.1505),(765,6035,0.35944,1.1445),(765,6045,0.46296,1.1311),(765,6055,0.5425,1.1177),(765,6065,0.59852,1.1043),(765,6075,0.65454,1.0867),(765,6085,0.69336,1.0687),(765,6095,0.69671,1.0508),(765,6105,0.70007,1.0326),(765,6115,0.70339,1.0143),(765,6125,0.70649,0.99601),(765,6135,0.70959,0.97756),(765,6145,0.71268,0.95898),(765,6155,0.71556,0.94039),(765,6165,0.71844,0.92158),(765,6175,0.72131,0.90239),(765,6185,0.724,0.8832),(765,6195,0.72663,0.86398),(765,6205,0.72927,0.84465),(765,6215,0.73176,0.82532),(765,6225,0.73417,0.80599),(765,6235,0.73657,0.78626),(765,6245,0.73886,0.76654),(765,6255,0.74099,0.74682),(765,6265,0.74312,0.72688),(765,6275,0.7452,0.70691),(765,6285,0.74716,0.68693),(765,6295,0.74912,0.66679),(765,6305,0.75106,0.64657),(765,6315,0.75275,0.62635),(765,6325,0.75444,0.60589),(765,6335,0.75613,0.58518),(765,6345,0.75763,0.56448),(765,6355,0.75911,0.54381),(765,6365,0.76059,0.52324),(765,6375,0.76192,0.50267),(765,6385,0.76319,0.48202),(765,6395,0.76445,0.46092),(765,6405,0.76561,0.43981),(765,6415,0.76668,0.41871),(765,6425,0.76775,0.39771),(765,6435,0.76877,0.37671),(765,6445,0.76968,0.35571),(765,6455,0.7706,0.33447),(765,6465,0.77147,0.31316),(765,6475,0.77213,0.29186),(765,6485,0.77279,0.27038),(765,6495,0.77345,0.24878),(765,6505,0.77395,0.22719),(765,6515,0.77446,0.20569),(765,6525,0.77496,0.18433),(765,6535,0.77534,0.16297),(765,6545,0.77569,0.14157),(765,6555,0.77604,0.12004),(765,6565,0.77623,0.09852),(765,6575,0.77634,0.076992),(765,6585,0.77644,0.055376),(765,6595,0.66041,0.03376),(765,6605,0.41616,0.012144),(765,6615,0.17191,0.009629),(765,6625,0.000205,0.009569),(765,6635,0.000206,0.009509),(765,6645,0.000208,0.009487),(765,6655,0.000209,0.009481),(765,6665,0.000211,0.009475),(765,6675,0.000212,0.009468),(765,6685,0.000214,0.009462),(765,6695,0.000215,0.009456),(765,6705,0.000216,0.00945),(765,6715,0.000218,0.009443),(765,6725,0.000219,0.009437),(765,6735,0.000221,0.00943),(765,6745,0.000222,0.009424),(765,6755,0.000223,0.009417),(765,6765,0.000225,0.009411),(765,6775,0.000226,0.009404),(765,6785,0.000227,0.009398),(765,6795,0.000229,0.009391),(765,6805,0.00023,0.009384),(765,6815,0.000231,0.009378),(765,6825,0.000232,0.009371),(765,6835,0.000234,0.009364),(765,6845,0.000235,0.009358),(765,6855,0.000236,0.009351),(765,6865,0.000237,0.009344),(765,6875,0.000239,0.009337),(765,6885,0.00024,0.009331),(765,6895,0.000241,0.009324),(765,6905,0.000242,0.009317),(765,6915,0.000243,0.00931),(765,6925,0.000244,0.009303),(765,6935,0.000245,0.009296),(765,6945,0.000247,0.009289),(765,6955,0.000248,0.009282),(765,6965,0.000249,0.009275),(765,6975,0.00025,0.009268),(765,6985,0.000251,0.009261),(775,5,3.8e-05,3.6677),(775,15,0.000114,3.6677),(775,25,0.000189,3.6677),(775,35,0.000265,3.6677),(775,45,0.000341,3.6677),(775,55,0.000417,3.6677),(775,65,0.000493,3.6677),(775,75,0.000569,3.6677),(775,85,0.000646,3.6676),(775,95,0.000722,3.6676),(775,105,0.000798,3.6676),(775,115,0.000874,3.6676),(775,125,0.000951,3.6676),(775,135,0.001027,3.6675),(775,145,0.001104,3.6675),(775,155,0.001181,3.6675),(775,165,0.001258,3.6675),(775,175,0.001335,3.6674),(775,185,0.001412,3.6674),(775,195,0.001489,3.6674),(775,205,0.001567,3.6673),(775,215,0.001644,3.6673),(775,225,0.001722,3.6672),(775,235,0.0018,3.6672),(775,245,0.001878,3.6671),(775,255,0.001956,3.6671),(775,265,0.002035,3.6671),(775,275,0.002114,3.667),(775,285,0.002193,3.6669),(775,295,0.002272,3.6669),(775,305,0.002352,3.6668),(775,315,0.002432,3.6668),(775,325,0.002511,3.6667),(775,335,0.002591,3.6667),(775,345,0.002672,3.6666),(775,355,0.002753,3.6665),(775,365,0.002833,3.6665),(775,375,0.002914,3.6664),(775,385,0.002996,3.6663),(775,395,0.003078,3.6662),(775,405,0.00316,3.6662),(775,415,0.003242,3.6661),(775,425,0.003325,3.666),(775,435,0.003409,3.6659),(775,445,0.003492,3.6658),(775,455,0.003575,3.6657),(775,465,0.00366,3.6657),(775,475,0.003745,3.6656),(775,485,0.003829,3.6655),(775,495,0.003914,3.6654),(775,505,0.004,3.6653),(775,515,0.004087,3.6652),(775,525,0.004173,3.6651),(775,535,0.004259,3.665),(775,545,0.004347,3.6649),(775,555,0.004435,3.6648),(775,565,0.004523,3.6646),(775,575,0.004611,3.6645),(775,585,0.004701,3.6644),(775,595,0.004791,3.6643),(775,605,0.00488,3.6642),(775,615,0.00497,3.6641),(775,625,0.005062,3.6639),(775,635,0.005154,3.6638),(775,645,0.005245,3.6637),(775,655,0.005337,3.6635),(775,665,0.005431,3.6634),(775,675,0.005524,3.6633),(775,685,0.005618,3.6631),(775,695,0.005712,3.663),(775,705,0.005807,3.6629),(775,715,0.005903,3.6627),(775,725,0.005998,3.6626),(775,735,0.006095,3.6624),(775,745,0.006193,3.6623),(775,755,0.00629,3.6621),(775,765,0.006388,3.662),(775,775,0.006487,3.6618),(775,785,0.006587,3.6616),(775,795,0.006687,3.6615),(775,805,0.006788,3.6613),(775,815,0.006889,3.6611),(775,825,0.006992,3.661),(775,835,0.007094,3.6608),(775,845,0.007197,3.6606),(775,855,0.007301,3.6604),(775,865,0.007406,3.6603),(775,875,0.007511,3.6601),(775,885,0.007616,3.6599),(775,895,0.007723,3.6597),(775,905,0.007831,3.6595),(775,915,0.007939,3.6593),(775,925,0.008046,3.6591),(775,935,0.008156,3.6589),(775,945,0.008266,3.6587),(775,955,0.008377,3.6585),(775,965,0.008488,3.6583),(775,975,0.0086,3.6581),(775,985,0.008714,3.6578),(775,995,0.008827,3.6576),(775,1005,0.008941,3.6574),(775,1015,0.009056,3.6572),(775,1025,0.009172,3.657),(775,1035,0.009288,3.6567),(775,1045,0.009405,3.6565),(775,1055,0.009523,3.6563),(775,1065,0.009643,3.656),(775,1075,0.009762,3.6558),(775,1085,0.009881,3.6555),(775,1095,0.010003,3.6553),(775,1105,0.010125,3.655),(775,1115,0.010248,3.6548),(775,1125,0.010371,3.6545),(775,1135,0.010495,3.6543),(775,1145,0.010621,3.654),(775,1155,0.010747,3.6537),(775,1165,0.010873,3.6535),(775,1175,0.011001,3.6532),(775,1185,0.01113,3.6529),(775,1195,0.011259,3.6526),(775,1205,0.011388,3.6523),(775,1215,0.011519,3.6521),(775,1225,0.011652,3.6518),(775,1235,0.011784,3.6515),(775,1245,0.011916,3.6512),(775,1255,0.012051,3.6509),(775,1265,0.012187,3.6506),(775,1275,0.012323,3.6503),(775,1285,0.012458,3.6499),(775,1295,0.012597,3.6496),(775,1305,0.012736,3.6493),(775,1315,0.012875,3.649),(775,1325,0.013014,3.6487),(775,1335,0.013156,3.6483),(775,1345,0.013299,3.648),(775,1355,0.013442,3.6477),(775,1365,0.013584,3.6473),(775,1375,0.01373,3.647),(775,1385,0.013876,3.6466),(775,1395,0.014023,3.6463),(775,1405,0.014169,3.6459),(775,1415,0.014318,3.6456),(775,1425,0.014468,3.6452),(775,1435,0.014618,3.6448),(775,1445,0.014767,3.6445),(775,1455,0.01492,3.6441),(775,1465,0.015074,3.6437),(775,1475,0.015227,3.6433),(775,1485,0.01538,3.6429),(775,1495,0.015537,3.6425),(775,1505,0.015694,3.6421),(775,1515,0.015851,3.6417),(775,1525,0.016008,3.6413),(775,1535,0.016168,3.6409),(775,1545,0.016329,3.6405),(775,1555,0.016489,3.6401),(775,1565,0.01665,3.6397),(775,1575,0.016814,3.6392),(775,1585,0.016978,3.6388),(775,1595,0.017142,3.6384),(775,1605,0.017306,3.6379),(775,1615,0.017474,3.6375),(775,1625,0.017642,3.6371),(775,1635,0.017809,3.6366),(775,1645,0.017977,3.6361),(775,1655,0.018149,3.6357),(775,1665,0.01832,3.6352),(775,1675,0.018491,3.6347),(775,1685,0.018663,3.6343),(775,1695,0.018837,3.6338),(775,1705,0.019012,3.6333),(775,1715,0.019186,3.6328),(775,1725,0.019361,3.6323),(775,1735,0.019539,3.6318),(775,1745,0.019717,3.6313),(775,1755,0.019895,3.6308),(775,1765,0.020074,3.6303),(775,1775,0.020255,3.6298),(775,1785,0.020436,3.6293),(775,1795,0.020617,3.6287),(775,1805,0.020799,3.6282),(775,1815,0.020983,3.6277),(775,1825,0.021168,3.6271),(775,1835,0.021352,3.6266),(775,1845,0.021538,3.626),(775,1855,0.021725,3.6255),(775,1865,0.021913,3.6249),(775,1875,0.022101,3.6243),(775,1885,0.02229,3.6238),(775,1895,0.022481,3.6232),(775,1905,0.022671,3.6226),(775,1915,0.022862,3.622),(775,1925,0.023054,3.6214),(775,1935,0.023248,3.6208),(775,1945,0.023442,3.6202),(775,1955,0.023636,3.6196),(775,1965,0.023831,3.619),(775,1975,0.024028,3.6184),(775,1985,0.024224,3.6178),(775,1995,0.024421,3.6171),(775,2005,0.024619,3.6165),(775,2015,0.024818,3.6159),(775,2025,0.025017,3.6152),(775,2035,0.025217,3.6146),(775,2045,0.025417,3.6139),(775,2055,0.025619,3.6133),(775,2065,0.025821,3.6126),(775,2075,0.026023,3.6119),(775,2085,0.026226,3.6112),(775,2095,0.026431,3.6106),(775,2105,0.026635,3.6099),(775,2115,0.026839,3.6092),(775,2125,0.027045,3.6085),(775,2135,0.027252,3.6078),(775,2145,0.027458,3.6071),(775,2155,0.027665,3.6063),(775,2165,0.027873,3.6056),(775,2175,0.028082,3.6049),(775,2185,0.028291,3.6042),(775,2195,0.0285,3.6034),(775,2205,0.02871,3.6027),(775,2215,0.028921,3.6019),(775,2225,0.029132,3.6012),(775,2235,0.029343,3.6004),(775,2245,0.029555,3.5997),(775,2255,0.029768,3.5989),(775,2265,0.02998,3.5981),(775,2275,0.030193,3.5973),(775,2285,0.030407,3.5965),(775,2295,0.030622,3.5958),(775,2305,0.030836,3.5949),(775,2315,0.031051,3.5941),(775,2325,0.031267,3.5933),(775,2335,0.031483,3.5925),(775,2345,0.031699,3.5917),(775,2355,0.031915,3.5909),(775,2365,0.032132,3.59),(775,2375,0.03235,3.5892),(775,2385,0.032567,3.5884),(775,2395,0.032785,3.5875),(775,2405,0.033004,3.5867),(775,2415,0.033223,3.5858),(775,2425,0.033442,3.5849),(775,2435,0.033661,3.5841),(775,2445,0.033881,3.5832),(775,2455,0.034101,3.5823),(775,2465,0.034321,3.5814),(775,2475,0.034542,3.5805),(775,2485,0.034763,3.5797),(775,2495,0.034985,3.5788),(775,2505,0.035206,3.5778),(775,2515,0.035428,3.5769),(775,2525,0.03565,3.576),(775,2535,0.035873,3.5751),(775,2545,0.036096,3.5742),(775,2555,0.036319,3.5732),(775,2565,0.036543,3.5723),(775,2575,0.036767,3.5714),(775,2585,0.036991,3.5704),(775,2595,0.037215,3.5695),(775,2605,0.03744,3.5685),(775,2615,0.037665,3.5676),(775,2625,0.03789,3.5666),(775,2635,0.038116,3.5656),(775,2645,0.038342,3.5647),(775,2655,0.038569,3.5637),(775,2665,0.038795,3.5627),(775,2675,0.039022,3.5617),(775,2685,0.03925,3.5607),(775,2695,0.039478,3.5597),(775,2705,0.039706,3.5587),(775,2715,0.039934,3.5577),(775,2725,0.040164,3.5567),(775,2735,0.040394,3.5557),(775,2745,0.040624,3.5547),(775,2755,0.040854,3.5537),(775,2765,0.041085,3.5527),(775,2775,0.041317,3.5517),(775,2785,0.041549,3.5506),(775,2795,0.041781,3.5496),(775,2805,0.042015,3.5486),(775,2815,0.042249,3.5475),(775,2825,0.042482,3.5465),(775,2835,0.042717,3.5455),(775,2845,0.042954,3.5444),(775,2855,0.04319,3.5434),(775,2865,0.043426,3.5423),(775,2875,0.043664,3.5413),(775,2885,0.043903,3.5402),(775,2895,0.044143,3.5392),(775,2905,0.044382,3.5381),(775,2915,0.044623,3.537),(775,2925,0.044866,3.536),(775,2935,0.045109,3.5349),(775,2945,0.045352,3.5339),(775,2955,0.045597,3.5328),(775,2965,0.045844,3.5317),(775,2975,0.04609,3.5307),(775,2985,0.046337,3.5296),(775,2995,0.046586,3.5285),(775,3005,0.046838,3.5275),(775,3015,0.047089,3.5264),(775,3025,0.047341,3.5253),(775,3035,0.047595,3.5243),(775,3045,0.047852,3.5232),(775,3055,0.048108,3.5222),(775,3065,0.048365,3.5211),(775,3075,0.048625,3.52),(775,3085,0.048888,3.519),(775,3095,0.04915,3.5179),(775,3105,0.049413,3.5169),(775,3115,0.049679,3.5158),(775,3125,0.049948,3.5148),(775,3135,0.050217,3.5137),(775,3145,0.050486,3.5127),(775,3155,0.050759,3.5117),(775,3165,0.051034,3.5106),(775,3175,0.05131,3.5096),(775,3185,0.051585,3.5086),(775,3195,0.051865,3.5076),(775,3205,0.052147,3.5066),(775,3215,0.052429,3.5056),(775,3225,0.052711,3.5046),(775,3235,0.052998,3.5036),(775,3245,0.053287,3.5026),(775,3255,0.053576,3.5016),(775,3265,0.053865,3.5007),(775,3275,0.054158,3.4997),(775,3285,0.054454,3.4988),(775,3295,0.054749,3.4978),(775,3305,0.055044,3.4969),(775,3315,0.055344,3.496),(775,3325,0.055644,3.4951),(775,3335,0.055945,3.4942),(775,3345,0.056245,3.4933),(775,3355,0.056549,3.4925),(775,3365,0.056853,3.4916),(775,3375,0.057157,3.4908),(775,3385,0.057461,3.4899),(775,3395,0.057766,3.4891),(775,3405,0.058071,3.4883),(775,3415,0.058375,3.4876),(775,3425,0.05868,3.4868),(775,3435,0.058981,3.4861),(775,3445,0.059283,3.4853),(775,3455,0.059584,3.4846),(775,3465,0.059885,3.484),(775,3475,0.060178,3.4833),(775,3485,0.06047,3.4826),(775,3495,0.060763,3.482),(775,3505,0.061055,3.4815),(775,3515,0.061332,3.4809),(775,3525,0.061608,3.4803),(775,3535,0.061885,3.4798),(775,3545,0.06216,3.4793),(775,3555,0.06241,3.4788),(775,3565,0.062661,3.4784),(775,3575,0.062912,3.478),(775,3585,0.063159,3.4776),(775,3595,0.063372,3.4772),(775,3605,0.063584,3.4769),(775,3615,0.063797,3.4766),(775,3625,0.064003,3.4764),(775,3635,0.064163,3.4761),(775,3645,0.064323,3.4759),(775,3655,0.064483,3.4758),(775,3665,0.064632,3.4756),(775,3675,0.064721,3.4755),(775,3685,0.064811,3.4754),(775,3695,0.0649,3.4754),(775,3705,0.064971,3.4754),(775,3715,0.06497,3.4755),(775,3725,0.064968,3.4755),(775,3735,0.064967,3.4756),(775,3745,0.064938,3.4758),(775,3755,0.064823,3.476),(775,3765,0.064708,3.4761),(775,3775,0.064593,3.4764),(775,3785,0.064439,3.4767),(775,3795,0.064187,3.477),(775,3805,0.063934,3.4773),(775,3815,0.063681,3.4778),(775,3825,0.063377,3.4782),(775,3835,0.062962,3.4786),(775,3845,0.062547,3.4791),(775,3855,0.062133,3.4796),(775,3865,0.061651,3.4801),(775,3875,0.061051,3.4807),(775,3885,0.060452,3.4813),(775,3895,0.059852,3.4819),(775,3905,0.071254,3.4825),(775,3915,0.10058,3.4832),(775,3925,0.12991,3.4845),(775,3935,0.15924,3.4867),(775,3945,0.18768,3.4889),(775,3955,0.21498,3.4911),(775,3965,0.24228,3.4931),(775,3975,0.26958,3.495),(775,3985,0.28177,3.4969),(775,3995,0.27761,3.4987),(775,4005,0.27345,3.4997),(775,4015,0.26929,3.4998),(775,4025,0.26454,3.5),(775,4035,0.25974,3.4996),(775,4045,0.25494,3.4982),(775,4055,0.24988,3.4969),(775,4065,0.24472,3.4953),(775,4075,0.23956,3.4925),(775,4085,0.23415,3.4898),(775,4095,0.22856,3.487),(775,4105,0.22297,3.4828),(775,4115,0.20983,3.4785),(775,4125,0.18419,3.4743),(775,4135,0.15855,3.4702),(775,4145,0.13329,3.4661),(775,4155,0.10954,3.462),(775,4165,0.085803,3.4589),(775,4175,0.063173,3.4565),(775,4185,0.095596,3.4541),(775,4195,0.12802,3.4508),(775,4205,0.16044,3.4463),(775,4215,0.15772,3.4419),(775,4225,0.14839,3.4378),(775,4235,0.13906,3.435),(775,4245,0.1254,3.4323),(775,4255,0.10954,3.4296),(775,4265,0.093682,3.4284),(775,4275,0.075329,3.4273),(775,4285,0.054328,3.4261),(775,4295,0.033326,3.426),(775,4305,0.024401,3.426),(775,4315,0.042745,3.426),(775,4325,0.061088,3.4258),(775,4335,0.079383,3.4255),(775,4345,0.097349,3.4252),(775,4355,0.11531,3.4241),(775,4365,0.13328,3.4224),(775,4375,0.14896,3.4207),(775,4385,0.16453,3.4185),(775,4395,0.18009,3.4156),(775,4405,0.16388,3.4126),(775,4415,0.13831,3.4098),(775,4425,0.11273,3.4076),(775,4435,0.098516,3.4055),(775,4445,0.092061,3.4033),(775,4455,0.085606,3.4008),(775,4465,0.1037,3.3984),(775,4475,0.15628,3.3959),(775,4485,0.20886,3.391),(775,4495,0.25268,3.3856),(775,4505,0.26838,3.3802),(775,4515,0.28408,3.3751),(775,4525,0.29897,3.37),(775,4535,0.30103,3.365),(775,4545,0.30309,3.3605),(775,4555,0.30516,3.3566),(775,4565,0.2226,3.3527),(775,4575,0.12864,3.3499),(775,4585,0.034679,3.3498),(775,4595,0.02092,3.3497),(775,4605,0.041048,3.3493),(775,4615,0.061177,3.3466),(775,4625,0.090462,3.344),(775,4635,0.12804,3.3414),(775,4645,0.16562,3.3352),(775,4655,0.20625,3.3287),(775,4665,0.25264,3.3223),(775,4675,0.29903,3.3133),(775,4685,0.32642,3.3034),(775,4695,0.25992,3.2935),(775,4705,0.19343,3.2873),(775,4715,0.12693,3.2838),(775,4725,0.14056,3.2802),(775,4735,0.15499,3.2753),(775,4745,0.16942,3.2682),(775,4755,0.21967,3.2611),(775,4765,0.27822,3.2528),(775,4775,0.33676,3.2401),(775,4785,0.37786,3.2275),(775,4795,0.40885,3.2148),(775,4805,0.43985,3.2007),(775,4815,0.44202,3.1866),(775,4825,0.40971,3.1725),(775,4835,0.3774,3.1622),(775,4845,0.32953,3.1523),(775,4855,0.24109,3.1425),(775,4865,0.15265,3.1376),(775,4875,0.081444,3.135),(775,4885,0.16699,3.1324),(775,4895,0.25254,3.1255),(775,4905,0.33809,3.1146),(775,4915,0.34684,3.1036),(775,4925,0.34898,3.0928),(775,4935,0.35112,3.0821),(775,4945,0.32659,3.0714),(775,4955,0.29281,3.0613),(775,4965,0.25903,3.0541),(775,4975,0.20354,3.0469),(775,4985,0.1313,3.0398),(775,4995,0.059047,3.0391),(775,5005,0.044684,3.0386),(775,5015,0.12235,3.0381),(775,5025,0.20001,3.0252),(775,5035,0.2745,3.009),(775,5045,0.33692,2.9929),(775,5055,0.39933,2.9725),(775,5065,0.46113,2.9494),(775,5075,0.50319,2.9262),(775,5085,0.54525,2.9024),(775,5095,0.58731,2.8778),(775,5105,0.53428,2.8531),(775,5115,0.46468,2.8315),(775,5125,0.39507,2.8183),(775,5135,0.3308,2.8051),(775,5145,0.26912,2.7926),(775,5155,0.20745,2.7867),(775,5165,0.23876,2.7808),(775,5175,0.36493,2.7749),(775,5185,0.49109,2.7585),(775,5195,0.58992,2.7411),(775,5205,0.62984,2.7236),(775,5215,0.66975,2.7049),(775,5225,0.70553,2.6857),(775,5235,0.71561,2.6666),(775,5245,0.72568,2.6479),(775,5255,0.73576,2.6296),(775,5265,0.51376,2.6114),(775,5275,0.2822,2.5999),(775,5285,0.050628,2.5998),(775,5295,0.0503,2.5998),(775,5305,0.11437,2.5976),(775,5315,0.17844,2.5867),(775,5325,0.25745,2.5757),(775,5335,0.34627,2.5647),(775,5345,0.43509,2.5442),(775,5355,0.51687,2.5237),(775,5365,0.58914,2.5032),(775,5375,0.66141,2.4791),(775,5385,0.67744,2.4543),(775,5395,0.52248,2.4295),(775,5405,0.36752,2.4166),(775,5415,0.22373,2.4098),(775,5425,0.22988,2.403),(775,5435,0.23603,2.399),(775,5445,0.24218,2.398),(775,5455,0.28921,2.397),(775,5465,0.34123,2.3952),(775,5475,0.39326,2.3917),(775,5485,0.41469,2.3881),(775,5495,0.42379,2.3843),(775,5505,0.4329,2.3786),(775,5515,0.44266,2.3728),(775,5525,0.453,2.3671),(775,5535,0.46333,2.3591),(775,5545,0.47393,2.351),(775,5555,0.48503,2.3429),(775,5565,0.49613,2.3328),(775,5575,0.50742,2.322),(775,5585,0.51957,2.3112),(775,5595,0.53173,2.2989),(775,5605,0.54389,2.2856),(775,5615,0.55756,2.2722),(775,5625,0.57124,2.2577),(775,5635,0.58492,2.2416),(775,5645,0.60008,2.2254),(775,5655,0.61556,2.2085),(775,5665,0.63104,2.1896),(775,5675,0.64786,2.1707),(775,5685,0.66543,2.1516),(775,5695,0.68299,2.13),(775,5705,0.70156,2.1084),(775,5715,0.72128,2.0868),(775,5725,0.74099,2.0629),(775,5735,0.76133,2.0388),(775,5745,0.78322,2.0146),(775,5755,0.8051,1.9886),(775,5765,0.82718,1.9619),(775,5775,0.85091,1.9351),(775,5785,0.87463,1.9072),(775,5795,0.89835,1.8783),(775,5805,0.92345,1.8494),(775,5815,0.94864,1.8198),(775,5825,0.97384,1.7887),(775,5835,0.99973,1.7576),(775,5845,1.0259,1.7262),(775,5855,1.052,1.6931),(775,5865,1.0784,1.6599),(775,5875,1.105,1.6268),(775,5885,1.1316,1.5925),(775,5895,1.1582,1.5581),(775,5905,1.1848,1.5237),(775,5915,1.2114,1.4879),(775,5925,1.2379,1.4518),(775,5935,1.2641,1.4157),(775,5945,1.2902,1.3788),(775,5955,1.3164,1.3414),(775,5965,1.342,1.304),(775,5975,1.3676,1.2662),(775,5985,1.3932,1.2279),(775,5995,1.069,1.1897),(775,6005,0.68864,1.1605),(775,6015,0.30824,1.1554),(775,6025,0.25924,1.1503),(775,6035,0.36393,1.1444),(775,6045,0.46863,1.1309),(775,6055,0.5491,1.1175),(775,6065,0.60581,1.104),(775,6075,0.66252,1.0864),(775,6085,0.70182,1.0685),(775,6095,0.70523,1.0505),(775,6105,0.70865,1.0322),(775,6115,0.71202,1.0139),(775,6125,0.71519,0.99558),(775,6135,0.71835,0.9771),(775,6145,0.72151,0.9585),(775,6155,0.72445,0.93991),(775,6165,0.72738,0.92108),(775,6175,0.7303,0.90188),(775,6185,0.73305,0.88267),(775,6195,0.73575,0.86344),(775,6205,0.73844,0.84411),(775,6215,0.741,0.82477),(775,6225,0.74346,0.80542),(775,6235,0.74592,0.78568),(775,6245,0.74827,0.76594),(775,6255,0.75045,0.7462),(775,6265,0.75264,0.72628),(775,6275,0.75478,0.70633),(775,6285,0.7568,0.68638),(775,6295,0.75882,0.66624),(775,6305,0.76081,0.646),(775,6315,0.76255,0.62577),(775,6325,0.76429,0.60531),(775,6335,0.76603,0.58462),(775,6345,0.7676,0.56393),(775,6355,0.76915,0.54328),(775,6365,0.77069,0.52272),(775,6375,0.77207,0.50215),(775,6385,0.77338,0.48151),(775,6395,0.77469,0.46043),(775,6405,0.77589,0.43934),(775,6415,0.777,0.41825),(775,6425,0.77812,0.39728),(775,6435,0.77917,0.37631),(775,6445,0.78012,0.35534),(775,6455,0.78107,0.33411),(775,6465,0.78198,0.3128),(775,6475,0.78267,0.29149),(775,6485,0.78336,0.27002),(775,6495,0.78404,0.24846),(775,6505,0.78458,0.22689),(775,6515,0.78511,0.20542),(775,6525,0.78564,0.18409),(775,6535,0.78603,0.16276),(775,6545,0.7864,0.14139),(775,6555,0.78676,0.11988),(775,6565,0.78697,0.098378),(775,6575,0.78708,0.076868),(775,6585,0.78719,0.05528),(775,6595,0.66956,0.033692),(775,6605,0.42192,0.012104),(775,6615,0.17429,0.009603),(775,6625,0.000208,0.009555),(775,6635,0.000209,0.009507),(775,6645,0.000211,0.009489),(775,6655,0.000212,0.009482),(775,6665,0.000214,0.009476),(775,6675,0.000215,0.00947),(775,6685,0.000217,0.009464),(775,6695,0.000218,0.009457),(775,6705,0.00022,0.009451),(775,6715,0.000221,0.009445),(775,6725,0.000222,0.009438),(775,6735,0.000224,0.009432),(775,6745,0.000225,0.009425),(775,6755,0.000227,0.009419),(775,6765,0.000228,0.009412),(775,6775,0.000229,0.009406),(775,6785,0.000231,0.009399),(775,6795,0.000232,0.009392),(775,6805,0.000233,0.009386),(775,6815,0.000235,0.009379),(775,6825,0.000236,0.009372),(775,6835,0.000237,0.009366),(775,6845,0.000238,0.009359),(775,6855,0.00024,0.009352),(775,6865,0.000241,0.009345),(775,6875,0.000242,0.009338),(775,6885,0.000243,0.009332),(775,6895,0.000244,0.009325),(775,6905,0.000246,0.009318),(775,6915,0.000247,0.009311),(775,6925,0.000248,0.009304),(775,6935,0.000249,0.009297),(775,6945,0.00025,0.00929),(775,6955,0.000251,0.009284),(775,6965,0.000252,0.009277),(775,6975,0.000253,0.009269),(775,6985,0.000254,0.009262),(785,5,3.8e-05,3.6678),(785,15,0.000115,3.6678),(785,25,0.000192,3.6678),(785,35,0.000268,3.6678),(785,45,0.000345,3.6678),(785,55,0.000422,3.6678),(785,65,0.000499,3.6677),(785,75,0.000576,3.6677),(785,85,0.000653,3.6677),(785,95,0.00073,3.6677),(785,105,0.000807,3.6677),(785,115,0.000884,3.6677),(785,125,0.000961,3.6676),(785,135,0.001038,3.6676),(785,145,0.001116,3.6676),(785,155,0.001194,3.6676),(785,165,0.001271,3.6675),(785,175,0.001349,3.6675),(785,185,0.001427,3.6675),(785,195,0.001505,3.6674),(785,205,0.001584,3.6674),(785,215,0.001662,3.6674),(785,225,0.001741,3.6673),(785,235,0.00182,3.6673),(785,245,0.001899,3.6672),(785,255,0.001978,3.6672),(785,265,0.002057,3.6671),(785,275,0.002137,3.6671),(785,285,0.002217,3.667),(785,295,0.002297,3.667),(785,305,0.002377,3.6669),(785,315,0.002458,3.6669),(785,325,0.002539,3.6668),(785,335,0.002619,3.6667),(785,345,0.002701,3.6667),(785,355,0.002783,3.6666),(785,365,0.002864,3.6665),(785,375,0.002946,3.6665),(785,385,0.003029,3.6664),(785,395,0.003112,3.6663),(785,405,0.003195,3.6662),(785,415,0.003278,3.6662),(785,425,0.003362,3.6661),(785,435,0.003446,3.666),(785,445,0.00353,3.6659),(785,455,0.003615,3.6658),(785,465,0.0037,3.6657),(785,475,0.003786,3.6656),(785,485,0.003871,3.6656),(785,495,0.003957,3.6655),(785,505,0.004044,3.6654),(785,515,0.004131,3.6653),(785,525,0.004219,3.6652),(785,535,0.004306,3.6651),(785,545,0.004395,3.665),(785,555,0.004484,3.6648),(785,565,0.004573,3.6647),(785,575,0.004662,3.6646),(785,585,0.004753,3.6645),(785,595,0.004843,3.6644),(785,605,0.004934,3.6643),(785,615,0.005025,3.6641),(785,625,0.005118,3.664),(785,635,0.00521,3.6639),(785,645,0.005303,3.6638),(785,655,0.005396,3.6636),(785,665,0.005491,3.6635),(785,675,0.005585,3.6634),(785,685,0.00568,3.6632),(785,695,0.005775,3.6631),(785,705,0.005871,3.663),(785,715,0.005968,3.6628),(785,725,0.006065,3.6627),(785,735,0.006162,3.6625),(785,745,0.006261,3.6624),(785,755,0.00636,3.6622),(785,765,0.006459,3.6621),(785,775,0.006559,3.6619),(785,785,0.00666,3.6617),(785,795,0.006762,3.6616),(785,805,0.006863,3.6614),(785,815,0.006966,3.6612),(785,825,0.00707,3.6611),(785,835,0.007173,3.6609),(785,845,0.007277,3.6607),(785,855,0.007382,3.6605),(785,865,0.007489,3.6604),(785,875,0.007595,3.6602),(785,885,0.007702,3.66),(785,895,0.007809,3.6598),(785,905,0.007918,3.6596),(785,915,0.008028,3.6594),(785,925,0.008137,3.6592),(785,935,0.008247,3.659),(785,945,0.008359,3.6588),(785,955,0.008471,3.6586),(785,965,0.008583,3.6584),(785,975,0.008697,3.6582),(785,985,0.008812,3.658),(785,995,0.008927,3.6577),(785,1005,0.009041,3.6575),(785,1015,0.009158,3.6573),(785,1025,0.009276,3.6571),(785,1035,0.009394,3.6568),(785,1045,0.009512,3.6566),(785,1055,0.009631,3.6564),(785,1065,0.009752,3.6561),(785,1075,0.009873,3.6559),(785,1085,0.009994,3.6556),(785,1095,0.010116,3.6554),(785,1105,0.010241,3.6552),(785,1115,0.010365,3.6549),(785,1125,0.010489,3.6546),(785,1135,0.010615,3.6544),(785,1145,0.010742,3.6541),(785,1155,0.01087,3.6539),(785,1165,0.010997,3.6536),(785,1175,0.011127,3.6533),(785,1185,0.011257,3.653),(785,1195,0.011388,3.6528),(785,1205,0.011518,3.6525),(785,1215,0.011652,3.6522),(785,1225,0.011786,3.6519),(785,1235,0.01192,3.6516),(785,1245,0.012054,3.6513),(785,1255,0.01219,3.651),(785,1265,0.012328,3.6507),(785,1275,0.012465,3.6504),(785,1285,0.012602,3.6501),(785,1295,0.012743,3.6498),(785,1305,0.012884,3.6495),(785,1315,0.013024,3.6491),(785,1325,0.013165,3.6488),(785,1335,0.013309,3.6485),(785,1345,0.013454,3.6481),(785,1355,0.013598,3.6478),(785,1365,0.013743,3.6475),(785,1375,0.01389,3.6471),(785,1385,0.014038,3.6468),(785,1395,0.014186,3.6464),(785,1405,0.014334,3.6461),(785,1415,0.014486,3.6457),(785,1425,0.014637,3.6453),(785,1435,0.014789,3.645),(785,1445,0.014941,3.6446),(785,1455,0.015096,3.6442),(785,1465,0.015251,3.6439),(785,1475,0.015406,3.6435),(785,1485,0.015561,3.6431),(785,1495,0.01572,3.6427),(785,1505,0.015879,3.6423),(785,1515,0.016038,3.6419),(785,1525,0.016197,3.6415),(785,1535,0.01636,3.6411),(785,1545,0.016522,3.6407),(785,1555,0.016685,3.6403),(785,1565,0.016847,3.6398),(785,1575,0.017014,3.6394),(785,1585,0.01718,3.639),(785,1595,0.017346,3.6385),(785,1605,0.017512,3.6381),(785,1615,0.017682,3.6377),(785,1625,0.017852,3.6372),(785,1635,0.018022,3.6368),(785,1645,0.018192,3.6363),(785,1655,0.018365,3.6359),(785,1665,0.018539,3.6354),(785,1675,0.018712,3.6349),(785,1685,0.018886,3.6344),(785,1695,0.019063,3.634),(785,1705,0.01924,3.6335),(785,1715,0.019417,3.633),(785,1725,0.019594,3.6325),(785,1735,0.019775,3.632),(785,1745,0.019955,3.6315),(785,1755,0.020135,3.631),(785,1765,0.020316,3.6305),(785,1775,0.0205,3.63),(785,1785,0.020683,3.6294),(785,1795,0.020867,3.6289),(785,1805,0.021051,3.6284),(785,1815,0.021238,3.6279),(785,1825,0.021425,3.6273),(785,1835,0.021612,3.6268),(785,1845,0.0218,3.6262),(785,1855,0.02199,3.6257),(785,1865,0.02218,3.6251),(785,1875,0.02237,3.6245),(785,1885,0.022561,3.624),(785,1895,0.022755,3.6234),(785,1905,0.022948,3.6228),(785,1915,0.023142,3.6222),(785,1925,0.023336,3.6216),(785,1935,0.023533,3.621),(785,1945,0.023729,3.6204),(785,1955,0.023925,3.6198),(785,1965,0.024123,3.6192),(785,1975,0.024322,3.6186),(785,1985,0.024522,3.618),(785,1995,0.024721,3.6173),(785,2005,0.024921,3.6167),(785,2015,0.025123,3.6161),(785,2025,0.025325,3.6154),(785,2035,0.025527,3.6148),(785,2045,0.025731,3.6141),(785,2055,0.025935,3.6135),(785,2065,0.02614,3.6128),(785,2075,0.026344,3.6121),(785,2085,0.02655,3.6114),(785,2095,0.026757,3.6108),(785,2105,0.026964,3.6101),(785,2115,0.027171,3.6094),(785,2125,0.02738,3.6087),(785,2135,0.027589,3.608),(785,2145,0.027798,3.6073),(785,2155,0.028007,3.6065),(785,2165,0.028218,3.6058),(785,2175,0.02843,3.6051),(785,2185,0.028641,3.6044),(785,2195,0.028853,3.6036),(785,2205,0.029066,3.6029),(785,2215,0.029279,3.6021),(785,2225,0.029493,3.6014),(785,2235,0.029706,3.6006),(785,2245,0.029921,3.5999),(785,2255,0.030137,3.5991),(785,2265,0.030352,3.5983),(785,2275,0.030568,3.5975),(785,2285,0.030784,3.5968),(785,2295,0.031001,3.596),(785,2305,0.031219,3.5952),(785,2315,0.031436,3.5944),(785,2325,0.031654,3.5935),(785,2335,0.031873,3.5927),(785,2345,0.032091,3.5919),(785,2355,0.03231,3.5911),(785,2365,0.03253,3.5903),(785,2375,0.03275,3.5894),(785,2385,0.03297,3.5886),(785,2395,0.03319,3.5877),(785,2405,0.033412,3.5869),(785,2415,0.033633,3.586),(785,2425,0.033854,3.5852),(785,2435,0.034076,3.5843),(785,2445,0.034298,3.5834),(785,2455,0.034521,3.5825),(785,2465,0.034744,3.5817),(785,2475,0.034966,3.5808),(785,2485,0.03519,3.5799),(785,2495,0.035414,3.579),(785,2505,0.035637,3.5781),(785,2515,0.035861,3.5772),(785,2525,0.036086,3.5762),(785,2535,0.036311,3.5753),(785,2545,0.036536,3.5744),(785,2555,0.036761,3.5735),(785,2565,0.036987,3.5725),(785,2575,0.037213,3.5716),(785,2585,0.037439,3.5707),(785,2595,0.037665,3.5697),(785,2605,0.037892,3.5688),(785,2615,0.038119,3.5678),(785,2625,0.038346,3.5668),(785,2635,0.038573,3.5659),(785,2645,0.038801,3.5649),(785,2655,0.039029,3.5639),(785,2665,0.039257,3.5629),(785,2675,0.039485,3.5619),(785,2685,0.039715,3.561),(785,2695,0.039944,3.56),(785,2705,0.040173,3.559),(785,2715,0.040403,3.558),(785,2725,0.040634,3.557),(785,2735,0.040864,3.556),(785,2745,0.041095,3.5549),(785,2755,0.041326,3.5539),(785,2765,0.041558,3.5529),(785,2775,0.041791,3.5519),(785,2785,0.042023,3.5509),(785,2795,0.042256,3.5498),(785,2805,0.04249,3.5488),(785,2815,0.042724,3.5478),(785,2825,0.042959,3.5467),(785,2835,0.043193,3.5457),(785,2845,0.04343,3.5446),(785,2855,0.043666,3.5436),(785,2865,0.043902,3.5425),(785,2875,0.04414,3.5415),(785,2885,0.044379,3.5404),(785,2895,0.044618,3.5394),(785,2905,0.044856,3.5383),(785,2915,0.045097,3.5373),(785,2925,0.045338,3.5362),(785,2935,0.04558,3.5352),(785,2945,0.045822,3.5341),(785,2955,0.046065,3.533),(785,2965,0.04631,3.532),(785,2975,0.046556,3.5309),(785,2985,0.046801,3.5299),(785,2995,0.047048,3.5288),(785,3005,0.047297,3.5277),(785,3015,0.047546,3.5267),(785,3025,0.047795,3.5256),(785,3035,0.048046,3.5245),(785,3045,0.0483,3.5235),(785,3055,0.048553,3.5224),(785,3065,0.048806,3.5214),(785,3075,0.049063,3.5203),(785,3085,0.049321,3.5192),(785,3095,0.049579,3.5182),(785,3105,0.049837,3.5171),(785,3115,0.050099,3.5161),(785,3125,0.050363,3.5151),(785,3135,0.050626,3.514),(785,3145,0.05089,3.513),(785,3155,0.051157,3.5119),(785,3165,0.051426,3.5109),(785,3175,0.051695,3.5099),(785,3185,0.051964,3.5089),(785,3195,0.052237,3.5079),(785,3205,0.052512,3.5069),(785,3215,0.052786,3.5059),(785,3225,0.05306,3.5049),(785,3235,0.053339,3.5039),(785,3245,0.053618,3.5029),(785,3255,0.053898,3.5019),(785,3265,0.054178,3.501),(785,3275,0.054461,3.5),(785,3285,0.054746,3.4991),(785,3295,0.05503,3.4981),(785,3305,0.055315,3.4972),(785,3315,0.055602,3.4963),(785,3325,0.05589,3.4954),(785,3335,0.056178,3.4945),(785,3345,0.056466,3.4936),(785,3355,0.056756,3.4928),(785,3365,0.057046,3.4919),(785,3375,0.057335,3.4911),(785,3385,0.057625,3.4903),(785,3395,0.057913,3.4894),(785,3405,0.058202,3.4886),(785,3415,0.05849,3.4879),(785,3425,0.058778,3.4871),(785,3435,0.059061,3.4864),(785,3445,0.059344,3.4856),(785,3455,0.059627,3.485),(785,3465,0.059909,3.4843),(785,3475,0.060182,3.4836),(785,3485,0.060453,3.4829),(785,3495,0.060725,3.4823),(785,3505,0.060997,3.4818),(785,3515,0.06125,3.4812),(785,3525,0.061503,3.4806),(785,3535,0.061757,3.4801),(785,3545,0.062009,3.4796),(785,3555,0.062234,3.4791),(785,3565,0.06246,3.4786),(785,3575,0.062686,3.4782),(785,3585,0.062908,3.4779),(785,3595,0.063094,3.4775),(785,3605,0.06328,3.4771),(785,3615,0.063465,3.4768),(785,3625,0.063644,3.4766),(785,3635,0.063776,3.4763),(785,3645,0.063908,3.4761),(785,3655,0.06404,3.4759),(785,3665,0.06416,3.4758),(785,3675,0.06422,3.4756),(785,3685,0.064281,3.4755),(785,3695,0.064341,3.4755),(785,3705,0.064383,3.4755),(785,3715,0.064353,3.4755),(785,3725,0.064323,3.4755),(785,3735,0.064293,3.4756),(785,3745,0.064235,3.4758),(785,3755,0.064093,3.4759),(785,3765,0.06395,3.476),(785,3775,0.063808,3.4763),(785,3785,0.063627,3.4765),(785,3795,0.06335,3.4768),(785,3805,0.063072,3.4771),(785,3815,0.062795,3.4775),(785,3825,0.062466,3.4778),(785,3835,0.062031,3.4782),(785,3845,0.061596,3.4786),(785,3855,0.06116,3.4791),(785,3865,0.06066,3.4796),(785,3875,0.060046,3.4801),(785,3885,0.059431,3.4807),(785,3895,0.058817,3.4812),(785,3905,0.069978,3.4818),(785,3915,0.098733,3.4824),(785,3925,0.12749,3.4836),(785,3935,0.15624,3.4857),(785,3945,0.18428,3.4877),(785,3955,0.21141,3.4898),(785,3965,0.23854,3.4917),(785,3975,0.26568,3.4934),(785,3985,0.27799,3.4951),(785,3995,0.27426,3.4968),(785,4005,0.27054,3.4977),(785,4015,0.26681,3.4977),(785,4025,0.2625,3.4978),(785,4035,0.25813,3.4974),(785,4045,0.25376,3.496),(785,4055,0.24913,3.4946),(785,4065,0.2444,3.4931),(785,4075,0.23967,3.4903),(785,4085,0.23471,3.4875),(785,4095,0.22958,3.4847),(785,4105,0.22445,3.4805),(785,4115,0.21168,3.4762),(785,4125,0.18624,3.4719),(785,4135,0.1608,3.4677),(785,4145,0.13565,3.4635),(785,4155,0.1117,3.4594),(785,4165,0.087744,3.4562),(785,4175,0.064912,3.4536),(785,4185,0.097544,3.451),(785,4195,0.13018,3.4475),(785,4205,0.16281,3.443),(785,4215,0.15974,3.4384),(785,4225,0.14996,3.4343),(785,4235,0.14017,3.4316),(785,4245,0.12615,3.4289),(785,4255,0.10998,3.4262),(785,4265,0.093802,3.4251),(785,4275,0.075247,3.424),(785,4285,0.054163,3.423),(785,4295,0.033079,3.4229),(785,4305,0.024006,3.4229),(785,4315,0.042056,3.4229),(785,4325,0.060106,3.4228),(785,4335,0.078196,3.4227),(785,4345,0.096558,3.4226),(785,4355,0.11492,3.4215),(785,4365,0.13328,3.4197),(785,4375,0.14932,3.418),(785,4385,0.16523,3.4157),(785,4395,0.18114,3.4125),(785,4405,0.16507,3.4094),(785,4415,0.13956,3.4064),(785,4425,0.11405,3.404),(785,4435,0.099933,3.4017),(785,4445,0.093606,3.3993),(785,4455,0.087279,3.3967),(785,4465,0.10559,3.3941),(785,4475,0.15852,3.3915),(785,4485,0.21144,3.3865),(785,4495,0.25544,3.3811),(785,4505,0.2708,3.3756),(785,4515,0.28615,3.3704),(785,4525,0.30069,3.3654),(785,4535,0.30232,3.3604),(785,4545,0.30396,3.356),(785,4555,0.3056,3.3523),(785,4565,0.22289,3.3485),(785,4575,0.1288,3.3458),(785,4585,0.034724,3.3457),(785,4595,0.021249,3.3455),(785,4605,0.041832,3.3451),(785,4615,0.062414,3.3425),(785,4625,0.092264,3.3399),(785,4635,0.13051,3.3373),(785,4645,0.16875,3.3311),(785,4655,0.20998,3.3246),(785,4665,0.25685,3.3182),(785,4675,0.30372,3.3093),(785,4685,0.33133,3.2995),(785,4695,0.26377,3.2898),(785,4705,0.19622,3.2837),(785,4715,0.12867,3.2802),(785,4725,0.14306,3.2768),(785,4735,0.15828,3.2719),(785,4745,0.1735,3.2648),(785,4755,0.22461,3.2577),(785,4765,0.28404,3.2494),(785,4775,0.34346,3.2368),(785,4785,0.38493,3.2242),(785,4795,0.41601,3.2115),(785,4805,0.44709,3.1976),(785,4815,0.44894,3.1836),(785,4825,0.41583,3.1697),(785,4835,0.38273,3.1594),(785,4845,0.33399,3.1497),(785,4855,0.24449,3.14),(785,4865,0.15499,3.1351),(785,4875,0.082951,3.1324),(785,4885,0.16978,3.1298),(785,4895,0.2566,3.1228),(785,4905,0.34343,3.1117),(785,4915,0.35219,3.1006),(785,4925,0.35424,3.0896),(785,4935,0.35629,3.0788),(785,4945,0.33132,3.068),(785,4955,0.29697,3.0578),(785,4965,0.26263,3.0506),(785,4975,0.20635,3.0434),(785,4985,0.13312,3.0362),(785,4995,0.059899,3.0355),(785,5005,0.046158,3.035),(785,5015,0.12698,3.0345),(785,5025,0.2078,3.0216),(785,5035,0.28504,3.0055),(785,5045,0.34863,2.9894),(785,5055,0.41222,2.9691),(785,5065,0.47517,2.9462),(785,5075,0.51725,2.9233),(785,5085,0.55932,2.8997),(785,5095,0.6014,2.8753),(785,5105,0.5465,2.851),(785,5115,0.47467,2.8296),(785,5125,0.40285,2.8167),(785,5135,0.33698,2.8037),(785,5145,0.27401,2.7913),(785,5155,0.21103,2.7854),(785,5165,0.24251,2.7794),(785,5175,0.37034,2.7735),(785,5185,0.49816,2.7571),(785,5195,0.59816,2.7396),(785,5205,0.63818,2.722),(785,5215,0.67819,2.7033),(785,5225,0.71402,2.6842),(785,5235,0.72383,2.665),(785,5245,0.73364,2.6464),(785,5255,0.74345,2.6282),(785,5265,0.51913,2.61),(785,5275,0.28516,2.5986),(785,5285,0.051185,2.5985),(785,5295,0.051902,2.5985),(785,5305,0.11798,2.5963),(785,5315,0.18405,2.5853),(785,5325,0.26482,2.5743),(785,5335,0.35524,2.5632),(785,5345,0.44566,2.5427),(785,5355,0.52854,2.5223),(785,5365,0.60127,2.5018),(785,5375,0.674,2.4779),(785,5385,0.68963,2.4533),(785,5395,0.53164,2.4287),(785,5405,0.37365,2.4158),(785,5415,0.22693,2.4091),(785,5425,0.23158,2.4024),(785,5435,0.23623,2.3983),(785,5445,0.24088,2.397),(785,5455,0.28783,2.3958),(785,5465,0.33995,2.3937),(785,5475,0.39207,2.3899),(785,5485,0.41385,2.386),(785,5495,0.4234,2.3818),(785,5505,0.43296,2.3758),(785,5515,0.4432,2.3698),(785,5525,0.45405,2.3638),(785,5535,0.4649,2.3555),(785,5545,0.47603,2.3472),(785,5555,0.48768,2.3388),(785,5565,0.49933,2.3285),(785,5575,0.51117,2.3174),(785,5585,0.52391,2.3064),(785,5595,0.53664,2.294),(785,5605,0.54937,2.2805),(785,5615,0.56362,2.267),(785,5625,0.57787,2.2523),(785,5635,0.59212,2.236),(785,5645,0.60785,2.2196),(785,5655,0.62389,2.2027),(785,5665,0.63993,2.1836),(785,5675,0.65729,2.1646),(785,5685,0.67538,2.1454),(785,5695,0.69347,2.1237),(785,5705,0.71254,2.1021),(785,5715,0.73273,2.0804),(785,5725,0.75292,2.0565),(785,5735,0.77372,2.0323),(785,5745,0.79602,2.0082),(785,5755,0.81832,1.9822),(785,5765,0.84081,1.9554),(785,5775,0.86492,1.9287),(785,5785,0.88902,1.9009),(785,5795,0.91312,1.8721),(785,5805,0.93855,1.8432),(785,5815,0.96407,1.8137),(785,5825,0.98959,1.7828),(785,5835,1.0158,1.7519),(785,5845,1.0422,1.7206),(785,5855,1.0685,1.6877),(785,5865,1.0952,1.6548),(785,5875,1.122,1.6219),(785,5885,1.1488,1.5878),(785,5895,1.1756,1.5537),(785,5905,1.2024,1.5196),(785,5915,1.2292,1.4842),(785,5925,1.2558,1.4484),(785,5935,1.2821,1.4126),(785,5945,1.3083,1.3761),(785,5955,1.3346,1.3391),(785,5965,1.3602,1.3021),(785,5975,1.3859,1.2647),(785,5985,1.4116,1.2269),(785,5995,1.0831,1.189),(785,6005,0.69771,1.1601),(785,6015,0.31229,1.1551),(785,6025,0.26252,1.1501),(785,6035,0.36842,1.1442),(785,6045,0.47433,1.1307),(785,6055,0.55575,1.1173),(785,6065,0.61316,1.1038),(785,6075,0.67058,1.0862),(785,6085,0.71037,1.0682),(785,6095,0.71384,1.0502),(785,6105,0.71731,1.0319),(785,6115,0.72074,1.0135),(785,6125,0.72397,0.99514),(785,6135,0.7272,0.97664),(785,6145,0.73043,0.95803),(785,6155,0.73342,0.93942),(785,6165,0.73641,0.92058),(785,6175,0.73939,0.90136),(785,6185,0.74219,0.88215),(785,6195,0.74494,0.8629),(785,6205,0.74769,0.84356),(785,6215,0.7503,0.82422),(785,6225,0.75282,0.80486),(785,6235,0.75534,0.7851),(785,6245,0.75773,0.76535),(785,6255,0.75997,0.74559),(785,6265,0.76221,0.72568),(785,6275,0.76441,0.70575),(785,6285,0.76647,0.68582),(785,6295,0.76854,0.66568),(785,6305,0.77058,0.64543),(785,6315,0.77236,0.62519),(785,6325,0.77415,0.60473),(785,6335,0.77593,0.58406),(785,6345,0.77755,0.56339),(785,6355,0.77915,0.54275),(785,6365,0.78076,0.52219),(785,6375,0.78218,0.50163),(785,6385,0.78353,0.48101),(785,6395,0.78488,0.45994),(785,6405,0.78612,0.43887),(785,6415,0.78728,0.4178),(785,6425,0.78843,0.39685),(785,6435,0.78952,0.37591),(785,6445,0.7905,0.35497),(785,6455,0.79148,0.33374),(785,6465,0.79241,0.31243),(785,6475,0.79313,0.29112),(785,6485,0.79385,0.26967),(785,6495,0.79457,0.24813),(785,6505,0.79513,0.22659),(785,6515,0.79569,0.20516),(785,6525,0.79625,0.18386),(785,6535,0.79666,0.16255),(785,6545,0.79704,0.14121),(785,6555,0.79743,0.11972),(785,6565,0.79765,0.098236),(785,6575,0.79778,0.076745),(785,6585,0.79792,0.055185),(785,6595,0.67869,0.033624),(785,6605,0.42768,0.012063),(785,6615,0.17667,0.009577),(785,6625,0.000211,0.009541),(785,6635,0.000213,0.009505),(785,6645,0.000214,0.00949),(785,6655,0.000216,0.009484),(785,6665,0.000217,0.009478),(785,6675,0.000219,0.009471),(785,6685,0.00022,0.009465),(785,6695,0.000221,0.009459),(785,6705,0.000223,0.009453),(785,6715,0.000224,0.009446),(785,6725,0.000226,0.009439),(785,6735,0.000227,0.009433),(785,6745,0.000228,0.009427),(785,6755,0.00023,0.00942),(785,6765,0.000231,0.009414),(785,6775,0.000233,0.009407),(785,6785,0.000234,0.0094),(785,6795,0.000235,0.009394),(785,6805,0.000237,0.009387),(785,6815,0.000238,0.00938),(785,6825,0.000239,0.009374),(785,6835,0.000241,0.009367),(785,6845,0.000242,0.00936),(785,6855,0.000243,0.009353),(785,6865,0.000244,0.009347),(785,6875,0.000246,0.00934),(785,6885,0.000247,0.009333),(785,6895,0.000248,0.009326),(785,6905,0.000249,0.009319),(785,6915,0.00025,0.009312),(785,6925,0.000251,0.009305),(785,6935,0.000253,0.009298),(785,6945,0.000254,0.009291),(785,6955,0.000255,0.009285),(785,6965,0.000256,0.009277),(785,6975,0.000257,0.00927),(785,6985,0.000258,0.009263),(795,5,3.9e-05,3.6679),(795,15,0.000116,3.6679),(795,25,0.000194,3.6679),(795,35,0.000271,3.6679),(795,45,0.000349,3.6678),(795,55,0.000426,3.6678),(795,65,0.000504,3.6678),(795,75,0.000582,3.6678),(795,85,0.00066,3.6678),(795,95,0.000737,3.6678),(795,105,0.000815,3.6678),(795,115,0.000893,3.6677),(795,125,0.000971,3.6677),(795,135,0.00105,3.6677),(795,145,0.001128,3.6677),(795,155,0.001206,3.6676),(795,165,0.001285,3.6676),(795,175,0.001363,3.6676),(795,185,0.001442,3.6675),(795,195,0.001522,3.6675),(795,205,0.001601,3.6675),(795,215,0.00168,3.6674),(795,225,0.001759,3.6674),(795,235,0.001839,3.6674),(795,245,0.001919,3.6673),(795,255,0.001999,3.6673),(795,265,0.00208,3.6672),(795,275,0.00216,3.6672),(795,285,0.002241,3.6671),(795,295,0.002322,3.6671),(795,305,0.002403,3.667),(795,315,0.002484,3.6669),(795,325,0.002566,3.6669),(795,335,0.002648,3.6668),(795,345,0.00273,3.6668),(795,355,0.002813,3.6667),(795,365,0.002895,3.6666),(795,375,0.002978,3.6665),(795,385,0.003061,3.6665),(795,395,0.003145,3.6664),(795,405,0.003229,3.6663),(795,415,0.003313,3.6662),(795,425,0.003398,3.6662),(795,435,0.003483,3.6661),(795,445,0.003569,3.666),(795,455,0.003654,3.6659),(795,465,0.00374,3.6658),(795,475,0.003827,3.6657),(795,485,0.003913,3.6656),(795,495,0.004,3.6655),(795,505,0.004088,3.6654),(795,515,0.004176,3.6654),(795,525,0.004265,3.6653),(795,535,0.004353,3.6651),(795,545,0.004443,3.665),(795,555,0.004533,3.6649),(795,565,0.004622,3.6648),(795,575,0.004712,3.6647),(795,585,0.004804,3.6646),(795,595,0.004896,3.6645),(795,605,0.004988,3.6644),(795,615,0.00508,3.6642),(795,625,0.005174,3.6641),(795,635,0.005267,3.664),(795,645,0.005361,3.6639),(795,655,0.005455,3.6637),(795,665,0.005551,3.6636),(795,675,0.005646,3.6635),(795,685,0.005742,3.6633),(795,695,0.005838,3.6632),(795,705,0.005936,3.6631),(795,715,0.006034,3.6629),(795,725,0.006131,3.6628),(795,735,0.00623,3.6626),(795,745,0.00633,3.6625),(795,755,0.00643,3.6623),(795,765,0.00653,3.6622),(795,775,0.006631,3.662),(795,785,0.006734,3.6618),(795,795,0.006836,3.6617),(795,805,0.006939,3.6615),(795,815,0.007042,3.6613),(795,825,0.007148,3.6612),(795,835,0.007253,3.661),(795,845,0.007358,3.6608),(795,855,0.007464,3.6606),(795,865,0.007572,3.6605),(795,875,0.007679,3.6603),(795,885,0.007787,3.6601),(795,895,0.007896,3.6599),(795,905,0.008006,3.6597),(795,915,0.008117,3.6595),(795,925,0.008227,3.6593),(795,935,0.008339,3.6591),(795,945,0.008452,3.6589),(795,955,0.008566,3.6587),(795,965,0.008679,3.6585),(795,975,0.008794,3.6583),(795,985,0.00891,3.6581),(795,995,0.009026,3.6579),(795,1005,0.009142,3.6576),(795,1015,0.00926,3.6574),(795,1025,0.00938,3.6572),(795,1035,0.009499,3.657),(795,1045,0.009618,3.6567),(795,1055,0.009739,3.6565),(795,1065,0.009861,3.6563),(795,1075,0.009984,3.656),(795,1085,0.010106,3.6558),(795,1095,0.01023,3.6555),(795,1105,0.010356,3.6553),(795,1115,0.010481,3.655),(795,1125,0.010607,3.6548),(795,1135,0.010735,3.6545),(795,1145,0.010863,3.6542),(795,1155,0.010992,3.654),(795,1165,0.011121,3.6537),(795,1175,0.011252,3.6534),(795,1185,0.011385,3.6532),(795,1195,0.011517,3.6529),(795,1205,0.011649,3.6526),(795,1215,0.011784,3.6523),(795,1225,0.01192,3.652),(795,1235,0.012055,3.6517),(795,1245,0.012191,3.6514),(795,1255,0.012329,3.6511),(795,1265,0.012468,3.6508),(795,1275,0.012607,3.6505),(795,1285,0.012747,3.6502),(795,1295,0.012888,3.6499),(795,1305,0.013031,3.6496),(795,1315,0.013174,3.6493),(795,1325,0.013316,3.6489),(795,1335,0.013462,3.6486),(795,1345,0.013608,3.6483),(795,1355,0.013755,3.648),(795,1365,0.013901,3.6476),(795,1375,0.01405,3.6473),(795,1385,0.0142,3.6469),(795,1395,0.01435,3.6466),(795,1405,0.0145,3.6462),(795,1415,0.014653,3.6459),(795,1425,0.014807,3.6455),(795,1435,0.01496,3.6451),(795,1445,0.015114,3.6448),(795,1455,0.015271,3.6444),(795,1465,0.015428,3.644),(795,1475,0.015585,3.6436),(795,1485,0.015743,3.6432),(795,1495,0.015903,3.6429),(795,1505,0.016064,3.6425),(795,1515,0.016225,3.6421),(795,1525,0.016386,3.6417),(795,1535,0.016551,3.6412),(795,1545,0.016716,3.6408),(795,1555,0.01688,3.6404),(795,1565,0.017045,3.64),(795,1575,0.017213,3.6396),(795,1585,0.017382,3.6392),(795,1595,0.01755,3.6387),(795,1605,0.017718,3.6383),(795,1615,0.01789,3.6378),(795,1625,0.018062,3.6374),(795,1635,0.018234,3.6369),(795,1645,0.018407,3.6365),(795,1655,0.018582,3.636),(795,1665,0.018758,3.6356),(795,1675,0.018934,3.6351),(795,1685,0.01911,3.6346),(795,1695,0.019289,3.6341),(795,1705,0.019468,3.6337),(795,1715,0.019647,3.6332),(795,1725,0.019827,3.6327),(795,1735,0.02001,3.6322),(795,1745,0.020192,3.6317),(795,1755,0.020375,3.6312),(795,1765,0.020558,3.6307),(795,1775,0.020744,3.6302),(795,1785,0.02093,3.6296),(795,1795,0.021116,3.6291),(795,1805,0.021303,3.6286),(795,1815,0.021492,3.628),(795,1825,0.021682,3.6275),(795,1835,0.021871,3.627),(795,1845,0.022061,3.6264),(795,1855,0.022254,3.6259),(795,1865,0.022447,3.6253),(795,1875,0.022639,3.6247),(795,1885,0.022833,3.6242),(795,1895,0.023029,3.6236),(795,1905,0.023225,3.623),(795,1915,0.023421,3.6224),(795,1925,0.023618,3.6218),(795,1935,0.023817,3.6212),(795,1945,0.024016,3.6206),(795,1955,0.024215,3.62),(795,1965,0.024415,3.6194),(795,1975,0.024617,3.6188),(795,1985,0.024819,3.6182),(795,1995,0.025021,3.6175),(795,2005,0.025224,3.6169),(795,2015,0.025429,3.6163),(795,2025,0.025633,3.6156),(795,2035,0.025838,3.615),(795,2045,0.026044,3.6143),(795,2055,0.026251,3.6137),(795,2065,0.026458,3.613),(795,2075,0.026665,3.6123),(795,2085,0.026874,3.6116),(795,2095,0.027084,3.611),(795,2105,0.027293,3.6103),(795,2115,0.027503,3.6096),(795,2125,0.027714,3.6089),(795,2135,0.027926,3.6082),(795,2145,0.028138,3.6075),(795,2155,0.02835,3.6068),(795,2165,0.028563,3.606),(795,2175,0.028778,3.6053),(795,2185,0.028992,3.6046),(795,2195,0.029206,3.6038),(795,2205,0.029422,3.6031),(795,2215,0.029638,3.6024),(795,2225,0.029854,3.6016),(795,2235,0.03007,3.6008),(795,2245,0.030288,3.6001),(795,2255,0.030506,3.5993),(795,2265,0.030724,3.5985),(795,2275,0.030942,3.5978),(795,2285,0.031161,3.597),(795,2295,0.031381,3.5962),(795,2305,0.031601,3.5954),(795,2315,0.031821,3.5946),(795,2325,0.032042,3.5938),(795,2335,0.032263,3.593),(795,2345,0.032484,3.5921),(795,2355,0.032705,3.5913),(795,2365,0.032928,3.5905),(795,2375,0.03315,3.5897),(795,2385,0.033373,3.5888),(795,2395,0.033596,3.588),(795,2405,0.033819,3.5871),(795,2415,0.034043,3.5863),(795,2425,0.034267,3.5854),(795,2435,0.034491,3.5845),(795,2445,0.034716,3.5836),(795,2455,0.034941,3.5828),(795,2465,0.035166,3.5819),(795,2475,0.035391,3.581),(795,2485,0.035617,3.5801),(795,2495,0.035843,3.5792),(795,2505,0.036069,3.5783),(795,2515,0.036295,3.5774),(795,2525,0.036522,3.5765),(795,2535,0.036749,3.5756),(795,2545,0.036976,3.5746),(795,2555,0.037203,3.5737),(795,2565,0.037431,3.5728),(795,2575,0.037659,3.5718),(795,2585,0.037887,3.5709),(795,2595,0.038115,3.5699),(795,2605,0.038343,3.569),(795,2615,0.038572,3.568),(795,2625,0.038801,3.5671),(795,2635,0.03903,3.5661),(795,2645,0.039259,3.5651),(795,2655,0.039489,3.5641),(795,2665,0.039719,3.5632),(795,2675,0.039948,3.5622),(795,2685,0.040179,3.5612),(795,2695,0.04041,3.5602),(795,2705,0.04064,3.5592),(795,2715,0.040871,3.5582),(795,2725,0.041103,3.5572),(795,2735,0.041335,3.5562),(795,2745,0.041566,3.5552),(795,2755,0.041799,3.5542),(795,2765,0.042032,3.5531),(795,2775,0.042265,3.5521),(795,2785,0.042498,3.5511),(795,2795,0.042731,3.5501),(795,2805,0.042966,3.549),(795,2815,0.0432,3.548),(795,2825,0.043435,3.547),(795,2835,0.04367,3.5459),(795,2845,0.043906,3.5449),(795,2855,0.044142,3.5438),(795,2865,0.044379,3.5428),(795,2875,0.044616,3.5417),(795,2885,0.044854,3.5407),(795,2895,0.045092,3.5396),(795,2905,0.045331,3.5386),(795,2915,0.04557,3.5375),(795,2925,0.045811,3.5365),(795,2935,0.046051,3.5354),(795,2945,0.046292,3.5343),(795,2955,0.046534,3.5333),(795,2965,0.046777,3.5322),(795,2975,0.047021,3.5312),(795,2985,0.047264,3.5301),(795,2995,0.047509,3.529),(795,3005,0.047756,3.528),(795,3015,0.048002,3.5269),(795,3025,0.048249,3.5258),(795,3035,0.048497,3.5248),(795,3045,0.048748,3.5237),(795,3055,0.048998,3.5227),(795,3065,0.049248,3.5216),(795,3075,0.0495,3.5206),(795,3085,0.049754,3.5195),(795,3095,0.050008,3.5184),(795,3105,0.050262,3.5174),(795,3115,0.050519,3.5164),(795,3125,0.050777,3.5153),(795,3135,0.051036,3.5143),(795,3145,0.051294,3.5132),(795,3155,0.051555,3.5122),(795,3165,0.051818,3.5112),(795,3175,0.052081,3.5102),(795,3185,0.052344,3.5091),(795,3195,0.05261,3.5081),(795,3205,0.052876,3.5071),(795,3215,0.053143,3.5061),(795,3225,0.05341,3.5051),(795,3235,0.05368,3.5041),(795,3245,0.05395,3.5032),(795,3255,0.054221,3.5022),(795,3265,0.054491,3.5012),(795,3275,0.054764,3.5003),(795,3285,0.055038,3.4993),(795,3295,0.055312,3.4984),(795,3305,0.055586,3.4975),(795,3315,0.055861,3.4966),(795,3325,0.056136,3.4957),(795,3335,0.056412,3.4948),(795,3345,0.056687,3.4939),(795,3355,0.056963,3.493),(795,3365,0.057238,3.4922),(795,3375,0.057513,3.4913),(795,3385,0.057789,3.4905),(795,3395,0.058061,3.4897),(795,3405,0.058333,3.4889),(795,3415,0.058605,3.4881),(795,3425,0.058877,3.4874),(795,3435,0.059141,3.4866),(795,3445,0.059406,3.4859),(795,3455,0.05967,3.4852),(795,3465,0.059934,3.4845),(795,3475,0.060185,3.4839),(795,3485,0.060436,3.4832),(795,3495,0.060687,3.4826),(795,3505,0.060938,3.482),(795,3515,0.061168,3.4814),(795,3525,0.061399,3.4808),(795,3535,0.061629,3.4803),(795,3545,0.061858,3.4798),(795,3555,0.062059,3.4793),(795,3565,0.062259,3.4788),(795,3575,0.06246,3.4784),(795,3585,0.062657,3.478),(795,3595,0.062816,3.4776),(795,3605,0.062975,3.4773),(795,3615,0.063134,3.477),(795,3625,0.063286,3.4767),(795,3635,0.063389,3.4764),(795,3645,0.063493,3.4762),(795,3655,0.063596,3.476),(795,3665,0.063688,3.4758),(795,3675,0.063719,3.4757),(795,3685,0.063751,3.4755),(795,3695,0.063782,3.4755),(795,3705,0.063795,3.4755),(795,3715,0.063736,3.4754),(795,3725,0.063677,3.4754),(795,3735,0.063618,3.4755),(795,3745,0.063532,3.4756),(795,3755,0.063362,3.4757),(795,3765,0.063192,3.4758),(795,3775,0.063022,3.4761),(795,3785,0.062815,3.4763),(795,3795,0.062513,3.4765),(795,3805,0.06221,3.4768),(795,3815,0.061908,3.4771),(795,3825,0.061556,3.4775),(795,3835,0.0611,3.4778),(795,3845,0.060644,3.4782),(795,3855,0.060188,3.4786),(795,3865,0.059669,3.4791),(795,3875,0.05904,3.4795),(795,3885,0.058411,3.48),(795,3895,0.057781,3.4805),(795,3905,0.068703,3.4811),(795,3915,0.096881,3.4816),(795,3925,0.12506,3.4827),(795,3935,0.15324,3.4846),(795,3945,0.18088,3.4866),(795,3955,0.20785,3.4885),(795,3965,0.23481,3.4902),(795,3975,0.26178,3.4918),(795,3985,0.27421,3.4933),(795,3995,0.27092,3.4949),(795,4005,0.26763,3.4957),(795,4015,0.26434,3.4957),(795,4025,0.26046,3.4957),(795,4035,0.25653,3.4952),(795,4045,0.25259,3.4938),(795,4055,0.24838,3.4924),(795,4065,0.24408,3.4908),(795,4075,0.23978,3.488),(795,4085,0.23527,3.4852),(795,4095,0.23061,3.4824),(795,4105,0.22594,3.4781),(795,4115,0.21353,3.4738),(795,4125,0.18829,3.4695),(795,4135,0.16304,3.4653),(795,4145,0.13801,3.4611),(795,4155,0.11385,3.4569),(795,4165,0.089685,3.4536),(795,4175,0.06665,3.4509),(795,4185,0.099493,3.4482),(795,4195,0.13234,3.4447),(795,4205,0.16518,3.44),(795,4215,0.16176,3.4354),(795,4225,0.15152,3.4313),(795,4235,0.14129,3.4286),(795,4245,0.1269,3.4259),(795,4255,0.11041,3.4234),(795,4265,0.093923,3.4223),(795,4275,0.075164,3.4212),(795,4285,0.053997,3.4201),(795,4295,0.032831,3.42),(795,4305,0.023611,3.4201),(795,4315,0.041367,3.4201),(795,4325,0.059124,3.4199),(795,4335,0.077009,3.4198),(795,4345,0.095766,3.4196),(795,4355,0.11452,3.4184),(795,4365,0.13328,3.4165),(795,4375,0.14967,3.4145),(795,4385,0.16593,3.4121),(795,4395,0.1822,3.4088),(795,4405,0.16625,3.4055),(795,4415,0.14081,3.4024),(795,4425,0.11536,3.4),(795,4435,0.10135,3.3976),(795,4445,0.095151,3.3953),(795,4455,0.088952,3.3926),(795,4465,0.10748,3.3899),(795,4475,0.16075,3.3872),(795,4485,0.21402,3.3822),(795,4495,0.2582,3.3766),(795,4505,0.27321,3.3711),(795,4515,0.28822,3.3659),(795,4525,0.30241,3.361),(795,4535,0.30362,3.356),(795,4545,0.30483,3.3516),(795,4555,0.30604,3.3479),(795,4565,0.22317,3.3442),(795,4575,0.12897,3.3415),(795,4585,0.03477,3.3414),(795,4595,0.021579,3.3413),(795,4605,0.042615,3.3409),(795,4615,0.063652,3.3382),(795,4625,0.094066,3.3356),(795,4635,0.13297,3.3329),(795,4645,0.17188,3.3268),(795,4655,0.21371,3.3204),(795,4665,0.26106,3.3139),(795,4675,0.30841,3.3051),(795,4685,0.33624,3.2955),(795,4695,0.26763,3.2859),(795,4705,0.19901,3.2799),(795,4715,0.1304,3.2766),(795,4725,0.14557,3.2732),(795,4735,0.16158,3.2684),(795,4745,0.17759,3.2613),(795,4755,0.22956,3.2542),(795,4765,0.28986,3.2458),(795,4775,0.35016,3.2333),(795,4785,0.392,3.2208),(795,4795,0.42316,3.2082),(795,4805,0.45433,3.1944),(795,4815,0.45586,3.1805),(795,4825,0.42196,3.1667),(795,4835,0.38806,3.1565),(795,4845,0.33845,3.1469),(795,4855,0.24789,3.1373),(795,4865,0.15733,3.1325),(795,4875,0.084458,3.1297),(795,4885,0.17256,3.127),(795,4895,0.26066,3.1199),(795,4905,0.34876,3.1087),(795,4915,0.35754,3.0974),(795,4925,0.3595,3.0863),(795,4935,0.36146,3.0754),(795,4945,0.33605,3.0645),(795,4955,0.30114,3.0542),(795,4965,0.26623,3.047),(795,4975,0.20915,3.0398),(795,4985,0.13495,3.0325),(795,4995,0.060752,3.0319),(795,5005,0.047633,3.0313),(795,5015,0.13161,3.0308),(795,5025,0.21559,3.018),(795,5035,0.29558,3.0019),(795,5045,0.36034,2.9859),(795,5055,0.42511,2.9657),(795,5065,0.4892,2.943),(795,5075,0.5313,2.9202),(795,5085,0.5734,2.8969),(795,5095,0.6155,2.8728),(795,5105,0.55871,2.8488),(795,5115,0.48467,2.8277),(795,5125,0.41064,2.8149),(795,5135,0.34317,2.8022),(795,5145,0.27889,2.79),(795,5155,0.21461,2.784),(795,5165,0.24626,2.778),(795,5175,0.37575,2.772),(795,5185,0.50523,2.7555),(795,5195,0.6064,2.7379),(795,5205,0.64652,2.7204),(795,5215,0.68663,2.7017),(795,5225,0.72251,2.6825),(795,5235,0.73205,2.6634),(795,5245,0.74159,2.6448),(795,5255,0.75113,2.6268),(795,5265,0.52449,2.6087),(795,5275,0.28812,2.5973),(795,5285,0.051741,2.5972),(795,5295,0.053503,2.5972),(795,5305,0.12158,2.595),(795,5315,0.18966,2.5839),(795,5325,0.2722,2.5729),(795,5335,0.36421,2.5617),(795,5345,0.45622,2.5412),(795,5355,0.54022,2.5208),(795,5365,0.61341,2.5004),(795,5375,0.6866,2.4766),(795,5385,0.70182,2.4522),(795,5395,0.5408,2.4277),(795,5405,0.37978,2.415),(795,5415,0.23014,2.4083),(795,5425,0.23328,2.4017),(795,5435,0.23643,2.3975),(795,5445,0.23957,2.396),(795,5455,0.28645,2.3946),(795,5465,0.33867,2.3923),(795,5475,0.39089,2.3881),(795,5485,0.41301,2.3839),(795,5495,0.42301,2.3794),(795,5505,0.43302,2.3731),(795,5515,0.44375,2.3668),(795,5525,0.45511,2.3605),(795,5535,0.46647,2.352),(795,5545,0.47813,2.3434),(795,5555,0.49033,2.3348),(795,5565,0.50253,2.3242),(795,5575,0.51493,2.313),(795,5585,0.52824,2.3018),(795,5595,0.54155,2.2891),(795,5605,0.55485,2.2754),(795,5615,0.56968,2.2618),(795,5625,0.5845,2.2469),(795,5635,0.59933,2.2305),(795,5645,0.61562,2.214),(795,5655,0.63222,2.1969),(795,5665,0.64883,2.1777),(795,5675,0.66672,2.1586),(795,5685,0.68533,2.1393),(795,5695,0.70395,2.1176),(795,5705,0.72352,2.0958),(795,5715,0.74418,2.0741),(795,5725,0.76485,2.0502),(795,5735,0.7861,2.026),(795,5745,0.80882,2.0018),(795,5755,0.83153,1.9758),(795,5765,0.85444,1.9491),(795,5775,0.87893,1.9223),(795,5785,0.90341,1.8946),(795,5795,0.9279,1.8659),(795,5805,0.95365,1.8372),(795,5815,0.97949,1.8078),(795,5825,1.0053,1.777),(795,5835,1.0318,1.7462),(795,5845,1.0585,1.7151),(795,5855,1.0851,1.6825),(795,5865,1.112,1.6498),(795,5875,1.139,1.6172),(795,5885,1.1661,1.5833),(795,5895,1.1931,1.5495),(795,5905,1.22,1.5157),(795,5915,1.2469,1.4805),(795,5925,1.2737,1.4451),(795,5935,1.3001,1.4096),(795,5945,1.3264,1.3734),(795,5955,1.3528,1.3368),(795,5965,1.3785,1.3002),(795,5975,1.4042,1.2632),(795,5985,1.43,1.2258),(795,5995,1.0972,1.1884),(795,6005,0.70678,1.1598),(795,6015,0.31635,1.1548),(795,6025,0.26581,1.1498),(795,6035,0.37292,1.1441),(795,6045,0.48002,1.1306),(795,6055,0.56239,1.1171),(795,6065,0.62051,1.1036),(795,6075,0.67863,1.0859),(795,6085,0.71891,1.0679),(795,6095,0.72244,1.0498),(795,6105,0.72597,1.0315),(795,6115,0.72946,1.0131),(795,6125,0.73276,0.99475),(795,6135,0.73605,0.97622),(795,6145,0.73935,0.95759),(795,6155,0.7424,0.93895),(795,6165,0.74544,0.9201),(795,6175,0.74847,0.90087),(795,6185,0.75133,0.88165),(795,6195,0.75414,0.8624),(795,6205,0.75695,0.84304),(795,6215,0.75961,0.82369),(795,6225,0.76218,0.80433),(795,6235,0.76475,0.78456),(795,6245,0.7672,0.76478),(795,6255,0.76949,0.745),(795,6265,0.77178,0.72511),(795,6275,0.77403,0.7052),(795,6285,0.77614,0.68529),(795,6295,0.77825,0.66515),(795,6305,0.78035,0.64489),(795,6315,0.78217,0.62464),(795,6325,0.784,0.60419),(795,6335,0.78583,0.58355),(795,6345,0.7875,0.56291),(795,6355,0.78916,0.54229),(795,6365,0.79082,0.52173),(795,6375,0.79229,0.50117),(795,6385,0.79368,0.48054),(795,6395,0.79507,0.45949),(795,6405,0.79636,0.43844),(795,6415,0.79755,0.41739),(795,6425,0.79874,0.39647),(795,6435,0.79987,0.37555),(795,6445,0.80088,0.35464),(795,6455,0.80189,0.33341),(795,6465,0.80285,0.3121),(795,6475,0.8036,0.29078),(795,6485,0.80434,0.26935),(795,6495,0.80509,0.24785),(795,6505,0.80568,0.22635),(795,6515,0.80627,0.20494),(795,6525,0.80686,0.18366),(795,6535,0.80729,0.16238),(795,6545,0.80769,0.14105),(795,6555,0.80809,0.11957),(795,6565,0.80833,0.098096),(795,6575,0.80849,0.076615),(795,6585,0.80864,0.055084),(795,6595,0.68783,0.033554),(795,6605,0.43344,0.012023),(795,6615,0.17905,0.00955),(795,6625,0.000214,0.009527),(795,6635,0.000216,0.009503),(795,6645,0.000217,0.009492),(795,6655,0.000219,0.009485),(795,6665,0.00022,0.009479),(795,6675,0.000222,0.009473),(795,6685,0.000223,0.009467),(795,6695,0.000225,0.00946),(795,6705,0.000226,0.009454),(795,6715,0.000228,0.009447),(795,6725,0.000229,0.009441),(795,6735,0.00023,0.009434),(795,6745,0.000232,0.009428),(795,6755,0.000233,0.009421),(795,6765,0.000235,0.009415),(795,6775,0.000236,0.009408),(795,6785,0.000237,0.009402),(795,6795,0.000239,0.009395),(795,6805,0.00024,0.009388),(795,6815,0.000241,0.009382),(795,6825,0.000243,0.009375),(795,6835,0.000244,0.009368),(795,6845,0.000245,0.009361),(795,6855,0.000247,0.009354),(795,6865,0.000248,0.009348),(795,6875,0.000249,0.009341),(795,6885,0.00025,0.009334),(795,6895,0.000252,0.009327),(795,6905,0.000253,0.00932),(795,6915,0.000254,0.009314),(795,6925,0.000255,0.009307),(795,6935,0.000256,0.0093),(795,6945,0.000257,0.009293),(795,6955,0.000258,0.009286),(795,6965,0.00026,0.009279),(795,6975,0.000261,0.009272),(795,6985,0.000262,0.009265),(805,5,3.9e-05,3.6679),(805,15,0.000117,3.6679),(805,25,0.000196,3.6679),(805,35,0.000274,3.6679),(805,45,0.000352,3.6679),(805,55,0.000431,3.6679),(805,65,0.000509,3.6679),(805,75,0.000588,3.6679),(805,85,0.000667,3.6679),(805,95,0.000745,3.6679),(805,105,0.000824,3.6678),(805,115,0.000903,3.6678),(805,125,0.000982,3.6678),(805,135,0.001061,3.6678),(805,145,0.00114,3.6677),(805,155,0.001219,3.6677),(805,165,0.001299,3.6677),(805,175,0.001378,3.6677),(805,185,0.001458,3.6676),(805,195,0.001538,3.6676),(805,205,0.001618,3.6676),(805,215,0.001698,3.6675),(805,225,0.001778,3.6675),(805,235,0.001859,3.6674),(805,245,0.00194,3.6674),(805,255,0.00202,3.6673),(805,265,0.002102,3.6673),(805,275,0.002183,3.6672),(805,285,0.002265,3.6672),(805,295,0.002346,3.6671),(805,305,0.002428,3.6671),(805,315,0.002511,3.667),(805,325,0.002593,3.667),(805,335,0.002676,3.6669),(805,345,0.002759,3.6668),(805,355,0.002843,3.6668),(805,365,0.002926,3.6667),(805,375,0.00301,3.6666),(805,385,0.003094,3.6666),(805,395,0.003179,3.6665),(805,405,0.003264,3.6664),(805,415,0.003349,3.6663),(805,425,0.003435,3.6663),(805,435,0.003521,3.6662),(805,445,0.003607,3.6661),(805,455,0.003693,3.666),(805,465,0.00378,3.6659),(805,475,0.003868,3.6658),(805,485,0.003955,3.6657),(805,495,0.004043,3.6656),(805,505,0.004132,3.6655),(805,515,0.004221,3.6654),(805,525,0.00431,3.6653),(805,535,0.004399,3.6652),(805,545,0.00449,3.6651),(805,555,0.004581,3.665),(805,565,0.004672,3.6649),(805,575,0.004763,3.6648),(805,585,0.004856,3.6647),(805,595,0.004949,3.6646),(805,605,0.005042,3.6645),(805,615,0.005135,3.6643),(805,625,0.005229,3.6642),(805,635,0.005324,3.6641),(805,645,0.005419,3.664),(805,655,0.005514,3.6638),(805,665,0.005611,3.6637),(805,675,0.005707,3.6636),(805,685,0.005804,3.6634),(805,695,0.005901,3.6633),(805,705,0.006,3.6632),(805,715,0.006099,3.663),(805,725,0.006198,3.6629),(805,735,0.006298,3.6627),(805,745,0.006399,3.6626),(805,755,0.0065,3.6624),(805,765,0.006601,3.6623),(805,775,0.006703,3.6621),(805,785,0.006807,3.6619),(805,795,0.006911,3.6618),(805,805,0.007015,3.6616),(805,815,0.007119,3.6614),(805,825,0.007226,3.6613),(805,835,0.007332,3.6611),(805,845,0.007438,3.6609),(805,855,0.007545,3.6607),(805,865,0.007654,3.6606),(805,875,0.007763,3.6604),(805,885,0.007872,3.6602),(805,895,0.007982,3.66),(805,905,0.008094,3.6598),(805,915,0.008206,3.6596),(805,925,0.008318,3.6594),(805,935,0.008431,3.6592),(805,945,0.008545,3.659),(805,955,0.00866,3.6588),(805,965,0.008774,3.6586),(805,975,0.008891,3.6584),(805,985,0.009008,3.6582),(805,995,0.009126,3.658),(805,1005,0.009243,3.6578),(805,1015,0.009362,3.6575),(805,1025,0.009483,3.6573),(805,1035,0.009604,3.6571),(805,1045,0.009725,3.6569),(805,1055,0.009847,3.6566),(805,1065,0.009971,3.6564),(805,1075,0.010094,3.6561),(805,1085,0.010218,3.6559),(805,1095,0.010344,3.6557),(805,1105,0.010471,3.6554),(805,1115,0.010598,3.6552),(805,1125,0.010725,3.6549),(805,1135,0.010854,3.6546),(805,1145,0.010985,3.6544),(805,1155,0.011115,3.6541),(805,1165,0.011246,3.6538),(805,1175,0.011378,3.6536),(805,1185,0.011512,3.6533),(805,1195,0.011646,3.653),(805,1205,0.01178,3.6527),(805,1215,0.011916,3.6525),(805,1225,0.012053,3.6522),(805,1235,0.012191,3.6519),(805,1245,0.012328,3.6516),(805,1255,0.012468,3.6513),(805,1265,0.012609,3.651),(805,1275,0.01275,3.6507),(805,1285,0.012891,3.6504),(805,1295,0.013034,3.6501),(805,1305,0.013179,3.6497),(805,1315,0.013323,3.6494),(805,1325,0.013468,3.6491),(805,1335,0.013615,3.6488),(805,1345,0.013763,3.6484),(805,1355,0.013911,3.6481),(805,1365,0.014059,3.6478),(805,1375,0.01421,3.6474),(805,1385,0.014362,3.6471),(805,1395,0.014514,3.6467),(805,1405,0.014666,3.6464),(805,1415,0.014821,3.646),(805,1425,0.014976,3.6457),(805,1435,0.015132,3.6453),(805,1445,0.015287,3.6449),(805,1455,0.015446,3.6445),(805,1465,0.015605,3.6442),(805,1475,0.015765,3.6438),(805,1485,0.015924,3.6434),(805,1495,0.016087,3.643),(805,1505,0.01625,3.6426),(805,1515,0.016413,3.6422),(805,1525,0.016576,3.6418),(805,1535,0.016742,3.6414),(805,1545,0.016909,3.641),(805,1555,0.017076,3.6406),(805,1565,0.017243,3.6402),(805,1575,0.017413,3.6397),(805,1585,0.017583,3.6393),(805,1595,0.017754,3.6389),(805,1605,0.017924,3.6385),(805,1615,0.018099,3.638),(805,1625,0.018273,3.6376),(805,1635,0.018447,3.6371),(805,1645,0.018622,3.6367),(805,1655,0.018799,3.6362),(805,1665,0.018977,3.6357),(805,1675,0.019155,3.6353),(805,1685,0.019334,3.6348),(805,1695,0.019515,3.6343),(805,1705,0.019696,3.6338),(805,1715,0.019878,3.6334),(805,1725,0.02006,3.6329),(805,1735,0.020245,3.6324),(805,1745,0.02043,3.6319),(805,1755,0.020615,3.6314),(805,1765,0.020801,3.6309),(805,1775,0.020989,3.6303),(805,1785,0.021178,3.6298),(805,1795,0.021366,3.6293),(805,1805,0.021555,3.6288),(805,1815,0.021747,3.6282),(805,1825,0.021939,3.6277),(805,1835,0.02213,3.6271),(805,1845,0.022323,3.6266),(805,1855,0.022518,3.626),(805,1865,0.022713,3.6255),(805,1875,0.022908,3.6249),(805,1885,0.023105,3.6243),(805,1895,0.023303,3.6238),(805,1905,0.023502,3.6232),(805,1915,0.0237,3.6226),(805,1925,0.0239,3.622),(805,1935,0.024101,3.6214),(805,1945,0.024303,3.6208),(805,1955,0.024504,3.6202),(805,1965,0.024707,3.6196),(805,1975,0.024912,3.619),(805,1985,0.025116,3.6184),(805,1995,0.025321,3.6177),(805,2005,0.025527,3.6171),(805,2015,0.025734,3.6165),(805,2025,0.025941,3.6158),(805,2035,0.026148,3.6152),(805,2045,0.026357,3.6145),(805,2055,0.026567,3.6139),(805,2065,0.026777,3.6132),(805,2075,0.026987,3.6125),(805,2085,0.027198,3.6119),(805,2095,0.02741,3.6112),(805,2105,0.027623,3.6105),(805,2115,0.027835,3.6098),(805,2125,0.028049,3.6091),(805,2135,0.028263,3.6084),(805,2145,0.028478,3.6077),(805,2155,0.028693,3.607),(805,2165,0.028909,3.6063),(805,2175,0.029125,3.6055),(805,2185,0.029342,3.6048),(805,2195,0.029559,3.6041),(805,2205,0.029777,3.6033),(805,2215,0.029996,3.6026),(805,2225,0.030215,3.6018),(805,2235,0.030434,3.6011),(805,2245,0.030654,3.6003),(805,2255,0.030875,3.5995),(805,2265,0.031096,3.5988),(805,2275,0.031316,3.598),(805,2285,0.031538,3.5972),(805,2295,0.031761,3.5964),(805,2305,0.031983,3.5956),(805,2315,0.032205,3.5948),(805,2325,0.032429,3.594),(805,2335,0.032653,3.5932),(805,2345,0.032877,3.5924),(805,2355,0.033101,3.5915),(805,2365,0.033326,3.5907),(805,2375,0.033551,3.5899),(805,2385,0.033776,3.589),(805,2395,0.034001,3.5882),(805,2405,0.034227,3.5873),(805,2415,0.034454,3.5865),(805,2425,0.03468,3.5856),(805,2435,0.034906,3.5847),(805,2445,0.035133,3.5839),(805,2455,0.035361,3.583),(805,2465,0.035588,3.5821),(805,2475,0.035815,3.5812),(805,2485,0.036043,3.5803),(805,2495,0.036272,3.5794),(805,2505,0.0365,3.5785),(805,2515,0.036728,3.5776),(805,2525,0.036957,3.5767),(805,2535,0.037187,3.5758),(805,2545,0.037416,3.5749),(805,2555,0.037645,3.5739),(805,2565,0.037875,3.573),(805,2575,0.038105,3.5721),(805,2585,0.038334,3.5711),(805,2595,0.038564,3.5702),(805,2605,0.038795,3.5692),(805,2615,0.039025,3.5683),(805,2625,0.039256,3.5673),(805,2635,0.039487,3.5663),(805,2645,0.039718,3.5654),(805,2655,0.039949,3.5644),(805,2665,0.04018,3.5634),(805,2675,0.040411,3.5624),(805,2685,0.040643,3.5614),(805,2695,0.040875,3.5604),(805,2705,0.041107,3.5594),(805,2715,0.041339,3.5584),(805,2725,0.041572,3.5574),(805,2735,0.041805,3.5564),(805,2745,0.042038,3.5554),(805,2755,0.042271,3.5544),(805,2765,0.042505,3.5534),(805,2775,0.042738,3.5524),(805,2785,0.042972,3.5513),(805,2795,0.043206,3.5503),(805,2805,0.043441,3.5493),(805,2815,0.043676,3.5482),(805,2825,0.043911,3.5472),(805,2835,0.044146,3.5462),(805,2845,0.044382,3.5451),(805,2855,0.044618,3.5441),(805,2865,0.044855,3.543),(805,2875,0.045091,3.542),(805,2885,0.045329,3.5409),(805,2895,0.045567,3.5399),(805,2905,0.045805,3.5388),(805,2915,0.046043,3.5378),(805,2925,0.046283,3.5367),(805,2935,0.046522,3.5356),(805,2945,0.046762,3.5346),(805,2955,0.047003,3.5335),(805,2965,0.047244,3.5325),(805,2975,0.047486,3.5314),(805,2985,0.047728,3.5303),(805,2995,0.047971,3.5293),(805,3005,0.048215,3.5282),(805,3015,0.048459,3.5272),(805,3025,0.048703,3.5261),(805,3035,0.048949,3.525),(805,3045,0.049195,3.524),(805,3055,0.049442,3.5229),(805,3065,0.049689,3.5219),(805,3075,0.049938,3.5208),(805,3085,0.050187,3.5197),(805,3095,0.050437,3.5187),(805,3105,0.050687,3.5177),(805,3115,0.050939,3.5166),(805,3125,0.051192,3.5156),(805,3135,0.051445,3.5145),(805,3145,0.051698,3.5135),(805,3155,0.051954,3.5125),(805,3165,0.05221,3.5114),(805,3175,0.052467,3.5104),(805,3185,0.052723,3.5094),(805,3195,0.052982,3.5084),(805,3205,0.053241,3.5074),(805,3215,0.0535,3.5064),(805,3225,0.05376,3.5054),(805,3235,0.05402,3.5044),(805,3245,0.054282,3.5034),(805,3255,0.054543,3.5025),(805,3265,0.054805,3.5015),(805,3275,0.055067,3.5005),(805,3285,0.05533,3.4996),(805,3295,0.055593,3.4987),(805,3305,0.055856,3.4978),(805,3315,0.056119,3.4968),(805,3325,0.056382,3.4959),(805,3335,0.056645,3.495),(805,3345,0.056908,3.4942),(805,3355,0.05717,3.4933),(805,3365,0.057431,3.4924),(805,3375,0.057692,3.4916),(805,3385,0.057952,3.4908),(805,3395,0.058209,3.49),(805,3405,0.058464,3.4892),(805,3415,0.05872,3.4884),(805,3425,0.058975,3.4876),(805,3435,0.059222,3.4869),(805,3445,0.059467,3.4861),(805,3455,0.059713,3.4855),(805,3465,0.059958,3.4848),(805,3475,0.060189,3.4841),(805,3485,0.060419,3.4834),(805,3495,0.060649,3.4828),(805,3505,0.060879,3.4822),(805,3515,0.061086,3.4816),(805,3525,0.061294,3.481),(805,3535,0.061501,3.4805),(805,3545,0.061707,3.48),(805,3555,0.061883,3.4795),(805,3565,0.062058,3.479),(805,3575,0.062234,3.4786),(805,3585,0.062405,3.4782),(805,3595,0.062538,3.4778),(805,3605,0.06267,3.4774),(805,3615,0.062802,3.4771),(805,3625,0.062927,3.4768),(805,3635,0.063002,3.4765),(805,3645,0.063077,3.4762),(805,3655,0.063153,3.4761),(805,3665,0.063216,3.4759),(805,3675,0.063218,3.4757),(805,3685,0.063221,3.4755),(805,3695,0.063223,3.4755),(805,3705,0.063208,3.4754),(805,3715,0.06312,3.4754),(805,3725,0.063032,3.4753),(805,3735,0.062944,3.4754),(805,3745,0.06283,3.4755),(805,3755,0.062632,3.4755),(805,3765,0.062435,3.4756),(805,3775,0.062237,3.4758),(805,3785,0.062003,3.476),(805,3795,0.061676,3.4762),(805,3805,0.061348,3.4764),(805,3815,0.061021,3.4767),(805,3825,0.060646,3.477),(805,3835,0.060169,3.4773),(805,3845,0.059693,3.4777),(805,3855,0.059216,3.4781),(805,3865,0.058679,3.4785),(805,3875,0.058034,3.4789),(805,3885,0.05739,3.4793),(805,3895,0.056746,3.4798),(805,3905,0.067428,3.4803),(805,3915,0.09503,3.4808),(805,3925,0.12263,3.4819),(805,3935,0.15023,3.4836),(805,3945,0.17748,3.4854),(805,3955,0.20428,3.4872),(805,3965,0.23108,3.4888),(805,3975,0.25788,3.4902),(805,3985,0.27044,3.4916),(805,3995,0.26758,3.4931),(805,4005,0.26472,3.4937),(805,4015,0.26187,3.4936),(805,4025,0.25842,3.4935),(805,4035,0.25492,3.493),(805,4045,0.25141,3.4916),(805,4055,0.24764,3.4901),(805,4065,0.24376,3.4885),(805,4075,0.23989,3.4857),(805,4085,0.23583,3.4829),(805,4095,0.23163,3.48),(805,4105,0.22743,3.4758),(805,4115,0.21538,3.4714),(805,4125,0.19033,3.4671),(805,4135,0.16529,3.4629),(805,4145,0.14037,3.4587),(805,4155,0.116,3.4545),(805,4165,0.091625,3.4511),(805,4175,0.068389,3.4483),(805,4185,0.10144,3.4455),(805,4195,0.13449,3.4419),(805,4205,0.16755,3.4373),(805,4215,0.16378,3.4326),(805,4225,0.15309,3.4284),(805,4235,0.1424,3.4258),(805,4245,0.12765,3.4232),(805,4255,0.11085,3.4206),(805,4265,0.094043,3.4195),(805,4275,0.075082,3.4185),(805,4285,0.053832,3.4174),(805,4295,0.032583,3.4173),(805,4305,0.023216,3.4173),(805,4315,0.040679,3.4173),(805,4325,0.058141,3.4171),(805,4335,0.075822,3.4167),(805,4345,0.094975,3.4164),(805,4355,0.11413,3.4151),(805,4365,0.13328,3.413),(805,4375,0.15002,3.4109),(805,4385,0.16663,3.4083),(805,4395,0.18325,3.4048),(805,4405,0.16743,3.4014),(805,4415,0.14205,3.3982),(805,4425,0.11668,3.3958),(805,4435,0.10277,3.3935),(805,4445,0.096696,3.3911),(805,4455,0.090625,3.3884),(805,4465,0.10937,3.3857),(805,4475,0.16299,3.3829),(805,4485,0.21661,3.3778),(805,4495,0.26097,3.3723),(805,4505,0.27563,3.3667),(805,4515,0.29029,3.3615),(805,4525,0.30412,3.3566),(805,4535,0.30491,3.3516),(805,4545,0.30569,3.3473),(805,4555,0.30647,3.3436),(805,4565,0.22345,3.3399),(805,4575,0.12913,3.3373),(805,4585,0.034815,3.3371),(805,4595,0.021908,3.337),(805,4605,0.043399,3.3365),(805,4615,0.06489,3.3338),(805,4625,0.095868,3.3312),(805,4635,0.13544,3.3285),(805,4645,0.17501,3.3224),(805,4655,0.21744,3.316),(805,4665,0.26527,3.3096),(805,4675,0.3131,3.3009),(805,4685,0.34115,3.2914),(805,4695,0.27148,3.282),(805,4705,0.20181,3.2761),(805,4715,0.13214,3.2729),(805,4725,0.14808,3.2696),(805,4735,0.16487,3.2648),(805,4745,0.18167,3.2577),(805,4755,0.2345,3.2506),(805,4765,0.29568,3.2423),(805,4775,0.35686,3.2298),(805,4785,0.39907,3.2173),(805,4795,0.43032,3.2048),(805,4805,0.46156,3.1911),(805,4815,0.46278,3.1774),(805,4825,0.42808,3.1636),(805,4835,0.39339,3.1536),(805,4845,0.34291,3.1441),(805,4855,0.25129,3.1346),(805,4865,0.15966,3.1297),(805,4875,0.085965,3.127),(805,4885,0.17534,3.1242),(805,4895,0.26472,3.117),(805,4905,0.3541,3.1056),(805,4915,0.3629,3.0942),(805,4925,0.36477,3.083),(805,4935,0.36664,3.072),(805,4945,0.34078,3.061),(805,4955,0.3053,3.0506),(805,4965,0.26982,3.0434),(805,4975,0.21195,3.0361),(805,4985,0.13678,3.0288),(805,4995,0.061605,3.0282),(805,5005,0.049108,3.0276),(805,5015,0.13625,3.0271),(805,5025,0.22339,3.0143),(805,5035,0.30612,2.9984),(805,5045,0.37206,2.9824),(805,5055,0.438,2.9624),(805,5065,0.50323,2.9398),(805,5075,0.54535,2.9172),(805,5085,0.58747,2.8941),(805,5095,0.62959,2.8703),(805,5105,0.57093,2.8465),(805,5115,0.49467,2.8257),(805,5125,0.41842,2.8131),(805,5135,0.34936,2.8006),(805,5145,0.28378,2.7886),(805,5155,0.2182,2.7825),(805,5165,0.25001,2.7765),(805,5175,0.38116,2.7704),(805,5185,0.5123,2.7539),(805,5195,0.61464,2.7363),(805,5205,0.65486,2.7187),(805,5215,0.69507,2.7),(805,5225,0.731,2.6809),(805,5235,0.74027,2.6618),(805,5245,0.74954,2.6433),(805,5255,0.75882,2.6253),(805,5265,0.52986,2.6073),(805,5275,0.29108,2.5959),(805,5285,0.052297,2.5959),(805,5295,0.055105,2.5958),(805,5305,0.12519,2.5936),(805,5315,0.19528,2.5825),(805,5325,0.27957,2.5714),(805,5335,0.37317,2.5601),(805,5345,0.46678,2.5397),(805,5355,0.55189,2.5193),(805,5365,0.62554,2.4989),(805,5375,0.69919,2.4753),(805,5385,0.71401,2.451),(805,5395,0.54996,2.4268),(805,5405,0.38591,2.4141),(805,5415,0.23334,2.4076),(805,5425,0.23498,2.401),(805,5435,0.23663,2.3967),(805,5445,0.23827,2.395),(805,5455,0.28507,2.3933),(805,5465,0.33738,2.3908),(805,5475,0.3897,2.3863),(805,5485,0.41217,2.3818),(805,5495,0.42262,2.377),(805,5505,0.43308,2.3704),(805,5515,0.44429,2.3638),(805,5525,0.45616,2.3573),(805,5535,0.46803,2.3485),(805,5545,0.48022,2.3397),(805,5555,0.49298,2.3309),(805,5565,0.50573,2.32),(805,5575,0.51869,2.3086),(805,5585,0.53257,2.2972),(805,5595,0.54645,2.2843),(805,5605,0.56034,2.2705),(805,5615,0.57574,2.2566),(805,5625,0.59114,2.2416),(805,5635,0.60653,2.225),(805,5645,0.62339,2.2083),(805,5655,0.64055,2.1911),(805,5665,0.65772,2.1719),(805,5675,0.67615,2.1526),(805,5685,0.69529,2.1332),(805,5695,0.71442,2.1114),(805,5705,0.73449,2.0896),(805,5715,0.75564,2.0678),(805,5725,0.77678,2.0438),(805,5735,0.79849,2.0196),(805,5745,0.82162,1.9954),(805,5755,0.84475,1.9694),(805,5765,0.86807,1.9427),(805,5775,0.89293,1.916),(805,5785,0.9178,1.8884),(805,5795,0.94267,1.8597),(805,5805,0.96875,1.8311),(805,5815,0.99492,1.8018),(805,5825,1.0211,1.7712),(805,5835,1.0478,1.7406),(805,5845,1.0748,1.7097),(805,5855,1.1017,1.6772),(805,5865,1.1288,1.6448),(805,5875,1.1561,1.6124),(805,5885,1.1833,1.5789),(805,5895,1.2105,1.5453),(805,5905,1.2376,1.5117),(805,5915,1.2647,1.4769),(805,5925,1.2916,1.4417),(805,5935,1.3181,1.4066),(805,5945,1.3445,1.3708),(805,5955,1.3709,1.3345),(805,5965,1.3968,1.2983),(805,5975,1.4226,1.2617),(805,5985,1.4484,1.2247),(805,5995,1.1113,1.1877),(805,6005,0.71585,1.1594),(805,6015,0.3204,1.1545),(805,6025,0.2691,1.1496),(805,6035,0.37741,1.1439),(805,6045,0.48572,1.1304),(805,6055,0.56904,1.1169),(805,6065,0.62786,1.1034),(805,6075,0.68669,1.0857),(805,6085,0.72746,1.0676),(805,6095,0.73104,1.0495),(805,6105,0.73463,1.0312),(805,6115,0.73818,1.0128),(805,6125,0.74154,0.99437),(805,6135,0.74491,0.97581),(805,6145,0.74827,0.95716),(805,6155,0.75137,0.9385),(805,6165,0.75447,0.91962),(805,6175,0.75756,0.90039),(805,6185,0.76047,0.88116),(805,6195,0.76333,0.8619),(805,6205,0.7662,0.84254),(805,6215,0.76891,0.82318),(805,6225,0.77154,0.80381),(805,6235,0.77417,0.78402),(805,6245,0.77667,0.76423),(805,6255,0.77901,0.74443),(805,6265,0.78135,0.72456),(805,6275,0.78365,0.70466),(805,6285,0.78581,0.68477),(805,6295,0.78797,0.66463),(805,6305,0.79011,0.64437),(805,6315,0.79199,0.6241),(805,6325,0.79386,0.60367),(805,6335,0.79573,0.58306),(805,6345,0.79746,0.56245),(805,6355,0.79917,0.54185),(805,6365,0.80088,0.52128),(805,6375,0.8024,0.50072),(805,6385,0.80383,0.48009),(805,6395,0.80526,0.45906),(805,6405,0.80659,0.43802),(805,6415,0.80782,0.41699),(805,6425,0.80905,0.39609),(805,6435,0.81021,0.3752),(805,6445,0.81125,0.35431),(805,6455,0.81229,0.33309),(805,6465,0.81328,0.31178),(805,6475,0.81406,0.29046),(805,6485,0.81484,0.26906),(805,6495,0.81561,0.24758),(805,6505,0.81623,0.22611),(805,6515,0.81685,0.20473),(805,6525,0.81747,0.18347),(805,6535,0.81792,0.16221),(805,6545,0.81834,0.1409),(805,6555,0.81875,0.11943),(805,6565,0.81901,0.097957),(805,6575,0.81919,0.076483),(805,6585,0.81937,0.054982),(805,6595,0.69696,0.033482),(805,6605,0.43919,0.011982),(805,6615,0.18142,0.009524),(805,6625,0.000217,0.009513),(805,6635,0.000219,0.009501),(805,6645,0.00022,0.009493),(805,6655,0.000222,0.009487),(805,6665,0.000223,0.009481),(805,6675,0.000225,0.009474),(805,6685,0.000226,0.009468),(805,6695,0.000228,0.009462),(805,6705,0.000229,0.009455),(805,6715,0.000231,0.009449),(805,6725,0.000232,0.009442),(805,6735,0.000234,0.009436),(805,6745,0.000235,0.009429),(805,6755,0.000236,0.009423),(805,6765,0.000238,0.009416),(805,6775,0.000239,0.00941),(805,6785,0.000241,0.009403),(805,6795,0.000242,0.009396),(805,6805,0.000243,0.00939),(805,6815,0.000245,0.009383),(805,6825,0.000246,0.009376),(805,6835,0.000247,0.009369),(805,6845,0.000249,0.009363),(805,6855,0.00025,0.009356),(805,6865,0.000251,0.009349),(805,6875,0.000253,0.009342),(805,6885,0.000254,0.009335),(805,6895,0.000255,0.009328),(805,6905,0.000256,0.009322),(805,6915,0.000258,0.009315),(805,6925,0.000259,0.009308),(805,6935,0.00026,0.009301),(805,6945,0.000261,0.009294),(805,6955,0.000262,0.009287),(805,6965,0.000263,0.00928),(805,6975,0.000264,0.009273),(805,6985,0.000265,0.009266),(815,5,4e-05,3.668),(815,15,0.000119,3.668),(815,25,0.000198,3.668),(815,35,0.000277,3.668),(815,45,0.000356,3.668),(815,55,0.000435,3.668),(815,65,0.000515,3.668),(815,75,0.000594,3.668),(815,85,0.000673,3.668),(815,95,0.000753,3.6679),(815,105,0.000832,3.6679),(815,115,0.000912,3.6679),(815,125,0.000992,3.6679),(815,135,0.001072,3.6679),(815,145,0.001152,3.6678),(815,155,0.001232,3.6678),(815,165,0.001312,3.6678),(815,175,0.001392,3.6677),(815,185,0.001473,3.6677),(815,195,0.001553,3.6677),(815,205,0.001634,3.6676),(815,215,0.001715,3.6676),(815,225,0.001796,3.6676),(815,235,0.001878,3.6675),(815,245,0.001959,3.6675),(815,255,0.002041,3.6674),(815,265,0.002123,3.6674),(815,275,0.002205,3.6673),(815,285,0.002288,3.6673),(815,295,0.00237,3.6672),(815,305,0.002453,3.6672),(815,315,0.002537,3.6671),(815,325,0.00262,3.667),(815,335,0.002703,3.667),(815,345,0.002788,3.6669),(815,355,0.002872,3.6669),(815,365,0.002956,3.6668),(815,375,0.003041,3.6667),(815,385,0.003126,3.6666),(815,395,0.003212,3.6666),(815,405,0.003298,3.6665),(815,415,0.003383,3.6664),(815,425,0.00347,3.6663),(815,435,0.003557,3.6663),(815,445,0.003644,3.6662),(815,455,0.003731,3.6661),(815,465,0.003819,3.666),(815,475,0.003908,3.6659),(815,485,0.003996,3.6658),(815,495,0.004085,3.6657),(815,505,0.004175,3.6656),(815,515,0.004265,3.6655),(815,525,0.004355,3.6654),(815,535,0.004445,3.6653),(815,545,0.004537,3.6652),(815,555,0.004629,3.6651),(815,565,0.004721,3.665),(815,575,0.004813,3.6649),(815,585,0.004907,3.6648),(815,595,0.005,3.6647),(815,605,0.005094,3.6646),(815,615,0.005188,3.6644),(815,625,0.005284,3.6643),(815,635,0.00538,3.6642),(815,645,0.005475,3.6641),(815,655,0.005572,3.6639),(815,665,0.005669,3.6638),(815,675,0.005767,3.6637),(815,685,0.005865,3.6635),(815,695,0.005963,3.6634),(815,705,0.006063,3.6633),(815,715,0.006163,3.6631),(815,725,0.006263,3.663),(815,735,0.006364,3.6628),(815,745,0.006466,3.6627),(815,755,0.006568,3.6625),(815,765,0.006671,3.6624),(815,775,0.006774,3.6622),(815,785,0.006879,3.662),(815,795,0.006984,3.6619),(815,805,0.007089,3.6617),(815,815,0.007194,3.6616),(815,825,0.007302,3.6614),(815,835,0.007409,3.6612),(815,845,0.007517,3.661),(815,855,0.007625,3.6609),(815,865,0.007735,3.6607),(815,875,0.007846,3.6605),(815,885,0.007956,3.6603),(815,895,0.008067,3.6601),(815,905,0.00818,3.6599),(815,915,0.008293,3.6597),(815,925,0.008406,3.6595),(815,935,0.00852,3.6593),(815,945,0.008636,3.6591),(815,955,0.008752,3.6589),(815,965,0.008868,3.6587),(815,975,0.008986,3.6585),(815,985,0.009104,3.6583),(815,995,0.009223,3.6581),(815,1005,0.009342,3.6579),(815,1015,0.009463,3.6577),(815,1025,0.009585,3.6574),(815,1035,0.009707,3.6572),(815,1045,0.009829,3.657),(815,1055,0.009953,3.6567),(815,1065,0.010078,3.6565),(815,1075,0.010203,3.6563),(815,1085,0.010329,3.656),(815,1095,0.010456,3.6558),(815,1105,0.010584,3.6555),(815,1115,0.010713,3.6553),(815,1125,0.010841,3.655),(815,1135,0.010972,3.6548),(815,1145,0.011104,3.6545),(815,1155,0.011236,3.6542),(815,1165,0.011368,3.654),(815,1175,0.011502,3.6537),(815,1185,0.011638,3.6534),(815,1195,0.011773,3.6532),(815,1205,0.011908,3.6529),(815,1215,0.012046,3.6526),(815,1225,0.012185,3.6523),(815,1235,0.012324,3.652),(815,1245,0.012463,3.6517),(815,1255,0.012605,3.6514),(815,1265,0.012747,3.6511),(815,1275,0.01289,3.6508),(815,1285,0.013032,3.6505),(815,1295,0.013178,3.6502),(815,1305,0.013324,3.6499),(815,1315,0.01347,3.6496),(815,1325,0.013616,3.6492),(815,1335,0.013766,3.6489),(815,1345,0.013915,3.6486),(815,1355,0.014065,3.6482),(815,1365,0.014215,3.6479),(815,1375,0.014368,3.6476),(815,1385,0.014522,3.6472),(815,1395,0.014675,3.6469),(815,1405,0.014829,3.6465),(815,1415,0.014986,3.6462),(815,1425,0.015143,3.6458),(815,1435,0.015301,3.6454),(815,1445,0.015458,3.6451),(815,1455,0.015619,3.6447),(815,1465,0.01578,3.6443),(815,1475,0.015941,3.6439),(815,1485,0.016103,3.6436),(815,1495,0.016267,3.6432),(815,1505,0.016432,3.6428),(815,1515,0.016597,3.6424),(815,1525,0.016762,3.642),(815,1535,0.016931,3.6416),(815,1545,0.0171,3.6412),(815,1555,0.017269,3.6408),(815,1565,0.017438,3.6403),(815,1575,0.01761,3.6399),(815,1585,0.017783,3.6395),(815,1595,0.017955,3.6391),(815,1605,0.018128,3.6386),(815,1615,0.018304,3.6382),(815,1625,0.018481,3.6377),(815,1635,0.018657,3.6373),(815,1645,0.018834,3.6368),(815,1655,0.019014,3.6364),(815,1665,0.019194,3.6359),(815,1675,0.019374,3.6355),(815,1685,0.019555,3.635),(815,1695,0.019739,3.6345),(815,1705,0.019922,3.634),(815,1715,0.020106,3.6335),(815,1725,0.020291,3.633),(815,1735,0.020478,3.6326),(815,1745,0.020665,3.6321),(815,1755,0.020853,3.6316),(815,1765,0.021041,3.631),(815,1775,0.021232,3.6305),(815,1785,0.021423,3.63),(815,1795,0.021613,3.6295),(815,1805,0.021805,3.629),(815,1815,0.021999,3.6284),(815,1825,0.022194,3.6279),(815,1835,0.022388,3.6273),(815,1845,0.022583,3.6268),(815,1855,0.022781,3.6262),(815,1865,0.022978,3.6257),(815,1875,0.023176,3.6251),(815,1885,0.023375,3.6245),(815,1895,0.023576,3.624),(815,1905,0.023777,3.6234),(815,1915,0.023977,3.6228),(815,1925,0.02418,3.6222),(815,1935,0.024384,3.6216),(815,1945,0.024588,3.621),(815,1955,0.024792,3.6204),(815,1965,0.024998,3.6198),(815,1975,0.025205,3.6192),(815,1985,0.025412,3.6186),(815,1995,0.025619,3.6179),(815,2005,0.025827,3.6173),(815,2015,0.026037,3.6167),(815,2025,0.026247,3.616),(815,2035,0.026457,3.6154),(815,2045,0.026668,3.6147),(815,2055,0.026881,3.6141),(815,2065,0.027094,3.6134),(815,2075,0.027306,3.6127),(815,2085,0.02752,3.6121),(815,2095,0.027735,3.6114),(815,2105,0.02795,3.6107),(815,2115,0.028165,3.61),(815,2125,0.028382,3.6093),(815,2135,0.028599,3.6086),(815,2145,0.028816,3.6079),(815,2155,0.029034,3.6072),(815,2165,0.029253,3.6065),(815,2175,0.029472,3.6058),(815,2185,0.029692,3.605),(815,2195,0.029911,3.6043),(815,2205,0.030132,3.6035),(815,2215,0.030354,3.6028),(815,2225,0.030575,3.602),(815,2235,0.030797,3.6013),(815,2245,0.03102,3.6005),(815,2255,0.031243,3.5998),(815,2265,0.031466,3.599),(815,2275,0.03169,3.5982),(815,2285,0.031914,3.5974),(815,2295,0.032139,3.5966),(815,2305,0.032364,3.5958),(815,2315,0.032589,3.595),(815,2325,0.032816,3.5942),(815,2335,0.033042,3.5934),(815,2345,0.033268,3.5926),(815,2355,0.033495,3.5918),(815,2365,0.033722,3.5909),(815,2375,0.03395,3.5901),(815,2385,0.034178,3.5893),(815,2395,0.034406,3.5884),(815,2405,0.034634,3.5876),(815,2415,0.034863,3.5867),(815,2425,0.035092,3.5858),(815,2435,0.035321,3.585),(815,2445,0.03555,3.5841),(815,2455,0.03578,3.5832),(815,2465,0.03601,3.5823),(815,2475,0.036239,3.5814),(815,2485,0.03647,3.5806),(815,2495,0.0367,3.5797),(815,2505,0.036931,3.5788),(815,2515,0.037161,3.5778),(815,2525,0.037393,3.5769),(815,2535,0.037624,3.576),(815,2545,0.037855,3.5751),(815,2555,0.038087,3.5742),(815,2565,0.038318,3.5732),(815,2575,0.03855,3.5723),(815,2585,0.038782,3.5713),(815,2595,0.039014,3.5704),(815,2605,0.039246,3.5694),(815,2615,0.039479,3.5685),(815,2625,0.039711,3.5675),(815,2635,0.039943,3.5666),(815,2645,0.040176,3.5656),(815,2655,0.040409,3.5646),(815,2665,0.040642,3.5636),(815,2675,0.040874,3.5626),(815,2685,0.041108,3.5617),(815,2695,0.041341,3.5607),(815,2705,0.041574,3.5597),(815,2715,0.041808,3.5587),(815,2725,0.042041,3.5577),(815,2735,0.042275,3.5567),(815,2745,0.042509,3.5556),(815,2755,0.042743,3.5546),(815,2765,0.042978,3.5536),(815,2775,0.043212,3.5526),(815,2785,0.043447,3.5516),(815,2795,0.043681,3.5505),(815,2805,0.043916,3.5495),(815,2815,0.044152,3.5485),(815,2825,0.044387,3.5474),(815,2835,0.044622,3.5464),(815,2845,0.044858,3.5454),(815,2855,0.045094,3.5443),(815,2865,0.045331,3.5433),(815,2875,0.045567,3.5422),(815,2885,0.045804,3.5412),(815,2895,0.046041,3.5401),(815,2905,0.046279,3.5391),(815,2915,0.046516,3.538),(815,2925,0.046755,3.5369),(815,2935,0.046993,3.5359),(815,2945,0.047232,3.5348),(815,2955,0.047471,3.5338),(815,2965,0.047711,3.5327),(815,2975,0.047951,3.5316),(815,2985,0.048191,3.5306),(815,2995,0.048432,3.5295),(815,3005,0.048674,3.5285),(815,3015,0.048915,3.5274),(815,3025,0.049157,3.5263),(815,3035,0.0494,3.5253),(815,3045,0.049643,3.5242),(815,3055,0.049887,3.5232),(815,3065,0.050131,3.5221),(815,3075,0.050375,3.521),(815,3085,0.050621,3.52),(815,3095,0.050867,3.5189),(815,3105,0.051113,3.5179),(815,3115,0.05136,3.5169),(815,3125,0.051608,3.5158),(815,3135,0.051856,3.5148),(815,3145,0.052104,3.5137),(815,3155,0.052353,3.5127),(815,3165,0.052604,3.5117),(815,3175,0.052854,3.5107),(815,3185,0.053104,3.5097),(815,3195,0.053356,3.5086),(815,3205,0.053607,3.5076),(815,3215,0.053859,3.5066),(815,3225,0.054111,3.5057),(815,3235,0.054364,3.5047),(815,3245,0.054617,3.5037),(815,3255,0.054869,3.5027),(815,3265,0.055122,3.5018),(815,3275,0.055375,3.5008),(815,3285,0.055628,3.4999),(815,3295,0.055881,3.4989),(815,3305,0.056133,3.498),(815,3315,0.056385,3.4971),(815,3325,0.056636,3.4962),(815,3335,0.056887,3.4953),(815,3345,0.057139,3.4944),(815,3355,0.057387,3.4936),(815,3365,0.057634,3.4927),(815,3375,0.057882,3.4919),(815,3385,0.058129,3.491),(815,3395,0.05837,3.4902),(815,3405,0.05861,3.4894),(815,3415,0.058851,3.4886),(815,3425,0.059091,3.4879),(815,3435,0.05932,3.4871),(815,3445,0.059549,3.4864),(815,3455,0.059777,3.4857),(815,3465,0.060006,3.485),(815,3475,0.060217,3.4843),(815,3485,0.060429,3.4836),(815,3495,0.06064,3.483),(815,3505,0.060851,3.4824),(815,3515,0.061037,3.4818),(815,3525,0.061224,3.4812),(815,3535,0.06141,3.4807),(815,3545,0.061596,3.4802),(815,3555,0.061749,3.4797),(815,3565,0.061902,3.4792),(815,3575,0.062055,3.4788),(815,3585,0.062204,3.4783),(815,3595,0.062313,3.4779),(815,3605,0.062421,3.4775),(815,3615,0.062529,3.4772),(815,3625,0.062631,3.4769),(815,3635,0.062681,3.4766),(815,3645,0.062732,3.4763),(815,3655,0.062782,3.4761),(815,3665,0.062821,3.4759),(815,3675,0.062799,3.4757),(815,3685,0.062776,3.4755),(815,3695,0.062754,3.4755),(815,3705,0.062713,3.4754),(815,3715,0.062601,3.4753),(815,3725,0.062488,3.4752),(815,3735,0.062376,3.4753),(815,3745,0.062237,3.4753),(815,3755,0.062017,3.4754),(815,3765,0.061796,3.4754),(815,3775,0.061575,3.4756),(815,3785,0.061319,3.4757),(815,3795,0.060971,3.4759),(815,3805,0.060623,3.4761),(815,3815,0.060275,3.4764),(815,3825,0.059881,3.4766),(815,3835,0.059387,3.4769),(815,3845,0.058894,3.4772),(815,3855,0.0584,3.4776),(815,3865,0.057848,3.4779),(815,3875,0.057192,3.4783),(815,3885,0.056536,3.4787),(815,3895,0.055879,3.4791),(815,3905,0.066358,3.4796),(815,3915,0.093468,3.48),(815,3925,0.12058,3.481),(815,3935,0.14769,3.4826),(815,3945,0.17459,3.4842),(815,3955,0.20124,3.4859),(815,3965,0.22788,3.4874),(815,3975,0.25453,3.4886),(815,3985,0.26718,3.4899),(815,3995,0.26469,3.4912),(815,4005,0.26221,3.4918),(815,4015,0.25972,3.4916),(815,4025,0.25666,3.4914),(815,4035,0.25354,3.4908),(815,4045,0.25042,3.4894),(815,4055,0.24704,3.4879),(815,4065,0.24357,3.4862),(815,4075,0.2401,3.4834),(815,4085,0.23648,3.4805),(815,4095,0.23273,3.4777),(815,4105,0.22899,3.4734),(815,4115,0.2173,3.4691),(815,4125,0.19244,3.4647),(815,4135,0.16759,3.4605),(815,4145,0.1428,3.4562),(815,4155,0.1183,3.452),(815,4165,0.093798,3.4486),(815,4175,0.070439,3.4457),(815,4185,0.10364,3.4428),(815,4195,0.13685,3.4392),(815,4205,0.17005,3.4345),(815,4215,0.16586,3.4298),(815,4225,0.15463,3.4256),(815,4235,0.1434,3.423),(815,4245,0.12829,3.4204),(815,4255,0.11121,3.4179),(815,4265,0.094128,3.4168),(815,4275,0.074997,3.4157),(815,4285,0.05369,3.4147),(815,4295,0.032383,3.4145),(815,4305,0.022918,3.4145),(815,4315,0.040192,3.4145),(815,4325,0.057467,3.4142),(815,4335,0.075041,3.4137),(815,4345,0.094649,3.4133),(815,4355,0.11426,3.4118),(815,4365,0.13386,3.4095),(815,4375,0.15091,3.4072),(815,4385,0.16783,3.4044),(815,4395,0.18474,3.4009),(815,4405,0.16893,3.3973),(815,4415,0.14346,3.394),(815,4425,0.118,3.3917),(815,4435,0.10417,3.3893),(815,4445,0.098302,3.387),(815,4455,0.092432,3.3842),(815,4465,0.11143,3.3814),(815,4475,0.16537,3.3786),(815,4485,0.21932,3.3735),(815,4495,0.26383,3.3679),(815,4505,0.27808,3.3623),(815,4515,0.29234,3.3571),(815,4525,0.30577,3.3522),(815,4535,0.30612,3.3473),(815,4545,0.30648,3.3429),(815,4555,0.30684,3.3393),(815,4565,0.2237,3.3356),(815,4575,0.1293,3.333),(815,4585,0.034904,3.3328),(815,4595,0.022294,3.3326),(815,4605,0.04424,3.3322),(815,4615,0.066186,3.3295),(815,4625,0.097703,3.3268),(815,4635,0.13789,3.3241),(815,4645,0.17807,3.318),(815,4655,0.22103,3.3116),(815,4665,0.26922,3.3053),(815,4675,0.31741,3.2967),(815,4685,0.3456,3.2874),(815,4695,0.27493,3.278),(815,4705,0.20426,3.2723),(815,4715,0.13358,3.2691),(815,4725,0.15037,3.266),(815,4735,0.16803,3.2612),(815,4745,0.1857,3.2541),(815,4755,0.23936,3.247),(815,4765,0.30137,3.2388),(815,4775,0.36337,3.2263),(815,4785,0.40591,3.2139),(815,4795,0.43719,3.2014),(815,4805,0.46847,3.1878),(815,4815,0.46935,3.1742),(815,4825,0.43387,3.1606),(815,4835,0.3984,3.1507),(815,4845,0.3471,3.1413),(815,4855,0.25456,3.1319),(815,4865,0.16201,3.127),(815,4875,0.087617,3.1242),(815,4885,0.17836,3.1214),(815,4895,0.2691,3.1141),(815,4905,0.35984,3.1026),(815,4915,0.36862,3.0911),(815,4925,0.37036,3.0797),(815,4935,0.3721,3.0686),(815,4945,0.34574,3.0576),(815,4955,0.30965,3.0471),(815,4965,0.27355,3.0398),(815,4975,0.21484,3.0325),(815,4985,0.13867,3.0252),(815,4995,0.062492,3.0245),(815,5005,0.050564,3.0239),(815,5015,0.14078,3.0234),(815,5025,0.23099,3.0107),(815,5035,0.31637,2.9948),(815,5045,0.38338,2.9789),(815,5055,0.45038,2.959),(815,5065,0.51665,2.9366),(815,5075,0.55869,2.9142),(815,5085,0.60074,2.8913),(815,5095,0.64279,2.8678),(815,5105,0.58231,2.8443),(815,5115,0.50395,2.8237),(815,5125,0.42559,2.8114),(815,5135,0.35511,2.799),(815,5145,0.28846,2.7871),(815,5155,0.2218,2.781),(815,5165,0.2539,2.7749),(815,5175,0.38672,2.7689),(815,5185,0.51954,2.7523),(815,5195,0.62303,2.7346),(815,5205,0.66329,2.717),(815,5215,0.70355,2.6983),(815,5225,0.73946,2.6792),(815,5235,0.74842,2.6601),(815,5245,0.75737,2.6417),(815,5255,0.76632,2.6238),(815,5265,0.53509,2.6058),(815,5275,0.29397,2.5946),(815,5285,0.052845,2.5945),(815,5295,0.056743,2.5944),(815,5305,0.12888,2.5922),(815,5315,0.20101,2.581),(815,5325,0.28702,2.5698),(815,5335,0.38214,2.5585),(815,5345,0.47726,2.5382),(815,5355,0.56339,2.5178),(815,5365,0.63739,2.4974),(815,5375,0.71139,2.474),(815,5385,0.72574,2.4499),(815,5395,0.55876,2.4258),(815,5405,0.39177,2.4133),(815,5415,0.23638,2.4068),(815,5425,0.23681,2.4003),(815,5435,0.23724,2.3959),(815,5445,0.23766,2.394),(815,5455,0.28451,2.3921),(815,5465,0.33702,2.3893),(815,5475,0.38954,2.3845),(815,5485,0.41236,2.3797),(815,5495,0.42323,2.3746),(815,5505,0.43409,2.3678),(815,5515,0.44575,2.3609),(815,5525,0.45809,2.354),(815,5535,0.47043,2.3451),(815,5545,0.48311,2.336),(815,5555,0.49637,2.3269),(815,5565,0.50964,2.3158),(815,5575,0.52311,2.3042),(815,5585,0.53752,2.2925),(815,5595,0.55194,2.2795),(815,5605,0.56635,2.2655),(815,5615,0.58228,2.2514),(815,5625,0.59821,2.2363),(815,5635,0.61414,2.2195),(815,5645,0.63152,2.2027),(815,5655,0.64921,2.1853),(815,5665,0.66691,2.166),(815,5675,0.68584,2.1466),(815,5685,0.70547,2.1271),(815,5695,0.72509,2.1052),(815,5705,0.74562,2.0833),(815,5715,0.76721,2.0615),(815,5725,0.7888,2.0375),(815,5735,0.81093,2.0133),(815,5745,0.83442,1.989),(815,5755,0.85792,1.9631),(815,5765,0.8816,1.9364),(815,5775,0.90678,1.9097),(815,5785,0.93196,1.8821),(815,5795,0.95714,1.8536),(815,5805,0.98348,1.8251),(815,5815,1.0099,1.7959),(815,5825,1.0363,1.7654),(815,5835,1.0633,1.7349),(815,5845,1.0904,1.7042),(815,5855,1.1176,1.672),(815,5865,1.1449,1.6398),(815,5875,1.1723,1.6077),(815,5885,1.1997,1.5744),(815,5895,1.227,1.5411),(815,5905,1.2542,1.5078),(815,5915,1.2814,1.4732),(815,5925,1.3084,1.4384),(815,5935,1.335,1.4036),(815,5945,1.3615,1.3681),(815,5955,1.388,1.3323),(815,5965,1.4138,1.2964),(815,5975,1.4397,1.2602),(815,5985,1.4656,1.2236),(815,5995,1.1245,1.187),(815,6005,0.72434,1.159),(815,6015,0.32421,1.1542),(815,6025,0.27228,1.1494),(815,6035,0.38185,1.1437),(815,6045,0.49141,1.1302),(815,6055,0.57571,1.1167),(815,6065,0.63523,1.1031),(815,6075,0.69475,1.0854),(815,6085,0.73601,1.0673),(815,6095,0.73965,1.0492),(815,6105,0.74329,1.0309),(815,6115,0.74689,1.0124),(815,6125,0.75031,0.99399),(815,6135,0.75373,0.97541),(815,6145,0.75715,0.95672),(815,6155,0.76031,0.93804),(815,6165,0.76347,0.91914),(815,6175,0.76662,0.8999),(815,6185,0.76959,0.88066),(815,6195,0.77251,0.8614),(815,6205,0.77543,0.84203),(815,6215,0.7782,0.82267),(815,6225,0.78088,0.80329),(815,6235,0.78357,0.78348),(815,6245,0.78612,0.76367),(815,6255,0.78853,0.74386),(815,6265,0.79093,0.724),(815,6275,0.79328,0.70412),(815,6285,0.79549,0.68425),(815,6295,0.79769,0.66411),(815,6305,0.79988,0.64384),(815,6315,0.8018,0.62356),(815,6325,0.80371,0.60314),(815,6335,0.80563,0.58256),(815,6345,0.80741,0.56198),(815,6355,0.80917,0.54141),(815,6365,0.81094,0.52084),(815,6375,0.81249,0.50026),(815,6385,0.81397,0.47963),(815,6395,0.81544,0.45862),(815,6405,0.81681,0.43761),(815,6415,0.81808,0.4166),(815,6425,0.81935,0.39572),(815,6435,0.82055,0.37485),(815,6445,0.82161,0.35398),(815,6455,0.82268,0.33277),(815,6465,0.82369,0.31146),(815,6475,0.82449,0.29014),(815,6485,0.8253,0.26876),(815,6495,0.8261,0.24732),(815,6505,0.82674,0.22588),(815,6515,0.82738,0.20453),(815,6525,0.82802,0.18329),(815,6535,0.82848,0.16205),(815,6545,0.82891,0.14075),(815,6555,0.82935,0.11929),(815,6565,0.82962,0.097818),(815,6575,0.82981,0.07635),(815,6585,0.82999,0.054881),(815,6595,0.706,0.033411),(815,6605,0.44489,0.011942),(815,6615,0.18378,0.009498),(815,6625,0.00022,0.009498),(815,6635,0.000222,0.009499),(815,6645,0.000224,0.009495),(815,6655,0.000225,0.009489),(815,6665,0.000227,0.009482),(815,6675,0.000228,0.009476),(815,6685,0.00023,0.00947),(815,6695,0.000231,0.009463),(815,6705,0.000233,0.009457),(815,6715,0.000234,0.00945),(815,6725,0.000236,0.009444),(815,6735,0.000237,0.009437),(815,6745,0.000238,0.009431),(815,6755,0.00024,0.009424),(815,6765,0.000241,0.009418),(815,6775,0.000243,0.009411),(815,6785,0.000244,0.009404),(815,6795,0.000245,0.009398),(815,6805,0.000247,0.009391),(815,6815,0.000248,0.009384),(815,6825,0.00025,0.009378),(815,6835,0.000251,0.009371),(815,6845,0.000252,0.009364),(815,6855,0.000253,0.009357),(815,6865,0.000255,0.00935),(815,6875,0.000256,0.009343),(815,6885,0.000257,0.009337),(815,6895,0.000259,0.00933),(815,6905,0.00026,0.009323),(815,6915,0.000261,0.009316),(815,6925,0.000262,0.009309),(815,6935,0.000263,0.009302),(815,6945,0.000265,0.009295),(815,6955,0.000266,0.009288),(815,6965,0.000267,0.009281),(815,6975,0.000268,0.009274),(815,6985,0.000269,0.009267),(825,5,4e-05,3.6681),(825,15,0.00012,3.6681),(825,25,0.0002,3.6681),(825,35,0.00028,3.6681),(825,45,0.00036,3.6681),(825,55,0.00044,3.6681),(825,65,0.00052,3.6681),(825,75,0.0006,3.668),(825,85,0.00068,3.668),(825,95,0.00076,3.668),(825,105,0.000841,3.668),(825,115,0.000921,3.668),(825,125,0.001002,3.668),(825,135,0.001082,3.6679),(825,145,0.001163,3.6679),(825,155,0.001244,3.6679),(825,165,0.001325,3.6679),(825,175,0.001406,3.6678),(825,185,0.001488,3.6678),(825,195,0.001569,3.6678),(825,205,0.001651,3.6677),(825,215,0.001733,3.6677),(825,225,0.001815,3.6676),(825,235,0.001897,3.6676),(825,245,0.001979,3.6675),(825,255,0.002062,3.6675),(825,265,0.002145,3.6675),(825,275,0.002228,3.6674),(825,285,0.002311,3.6674),(825,295,0.002394,3.6673),(825,305,0.002478,3.6672),(825,315,0.002562,3.6672),(825,325,0.002647,3.6671),(825,335,0.002731,3.6671),(825,345,0.002816,3.667),(825,355,0.002901,3.6669),(825,365,0.002986,3.6669),(825,375,0.003072,3.6668),(825,385,0.003158,3.6667),(825,395,0.003245,3.6667),(825,405,0.003331,3.6666),(825,415,0.003418,3.6665),(825,425,0.003505,3.6664),(825,435,0.003593,3.6663),(825,445,0.003681,3.6663),(825,455,0.003769,3.6662),(825,465,0.003859,3.6661),(825,475,0.003948,3.666),(825,485,0.004037,3.6659),(825,495,0.004127,3.6658),(825,505,0.004218,3.6657),(825,515,0.004309,3.6656),(825,525,0.0044,3.6655),(825,535,0.004491,3.6654),(825,545,0.004584,3.6653),(825,555,0.004676,3.6652),(825,565,0.004769,3.6651),(825,575,0.004862,3.665),(825,585,0.004957,3.6649),(825,595,0.005052,3.6648),(825,605,0.005146,3.6646),(825,615,0.005241,3.6645),(825,625,0.005338,3.6644),(825,635,0.005435,3.6643),(825,645,0.005532,3.6642),(825,655,0.005629,3.664),(825,665,0.005728,3.6639),(825,675,0.005827,3.6638),(825,685,0.005926,3.6636),(825,695,0.006025,3.6635),(825,705,0.006126,3.6634),(825,715,0.006227,3.6632),(825,725,0.006328,3.6631),(825,735,0.00643,3.6629),(825,745,0.006533,3.6628),(825,755,0.006637,3.6626),(825,765,0.00674,3.6625),(825,775,0.006844,3.6623),(825,785,0.006951,3.6621),(825,795,0.007057,3.662),(825,805,0.007163,3.6618),(825,815,0.007269,3.6617),(825,825,0.007378,3.6615),(825,835,0.007487,3.6613),(825,845,0.007595,3.6611),(825,855,0.007705,3.661),(825,865,0.007816,3.6608),(825,875,0.007928,3.6606),(825,885,0.008039,3.6604),(825,895,0.008152,3.6602),(825,905,0.008266,3.66),(825,915,0.00838,3.6599),(825,925,0.008494,3.6597),(825,935,0.00861,3.6595),(825,945,0.008727,3.6593),(825,955,0.008844,3.6591),(825,965,0.008962,3.6588),(825,975,0.00908,3.6586),(825,985,0.009201,3.6584),(825,995,0.009321,3.6582),(825,1005,0.009441,3.658),(825,1015,0.009563,3.6578),(825,1025,0.009687,3.6576),(825,1035,0.00981,3.6573),(825,1045,0.009933,3.6571),(825,1055,0.010059,3.6569),(825,1065,0.010185,3.6566),(825,1075,0.010312,3.6564),(825,1085,0.010439,3.6561),(825,1095,0.010567,3.6559),(825,1105,0.010697,3.6557),(825,1115,0.010827,3.6554),(825,1125,0.010957,3.6552),(825,1135,0.011089,3.6549),(825,1145,0.011223,3.6546),(825,1155,0.011356,3.6544),(825,1165,0.01149,3.6541),(825,1175,0.011626,3.6538),(825,1185,0.011763,3.6536),(825,1195,0.0119,3.6533),(825,1205,0.012037,3.653),(825,1215,0.012176,3.6527),(825,1225,0.012317,3.6524),(825,1235,0.012457,3.6522),(825,1245,0.012598,3.6519),(825,1255,0.012741,3.6516),(825,1265,0.012886,3.6513),(825,1275,0.01303,3.651),(825,1285,0.013174,3.6506),(825,1295,0.013321,3.6503),(825,1305,0.013469,3.65),(825,1315,0.013617,3.6497),(825,1325,0.013765,3.6494),(825,1335,0.013916,3.6491),(825,1345,0.014068,3.6487),(825,1355,0.014219,3.6484),(825,1365,0.014371,3.6481),(825,1375,0.014526,3.6477),(825,1385,0.014681,3.6474),(825,1395,0.014837,3.647),(825,1405,0.014992,3.6467),(825,1415,0.015151,3.6463),(825,1425,0.01531,3.646),(825,1435,0.015469,3.6456),(825,1445,0.015629,3.6452),(825,1455,0.015792,3.6449),(825,1465,0.015955,3.6445),(825,1475,0.016118,3.6441),(825,1485,0.016281,3.6437),(825,1495,0.016448,3.6433),(825,1505,0.016615,3.643),(825,1515,0.016782,3.6425),(825,1525,0.016949,3.6421),(825,1535,0.01712,3.6417),(825,1545,0.017291,3.6413),(825,1555,0.017462,3.6409),(825,1565,0.017633,3.6405),(825,1575,0.017807,3.6401),(825,1585,0.017982,3.6397),(825,1595,0.018157,3.6392),(825,1605,0.018332,3.6388),(825,1615,0.01851,3.6384),(825,1625,0.018689,3.6379),(825,1635,0.018867,3.6375),(825,1645,0.019046,3.637),(825,1655,0.019228,3.6366),(825,1665,0.019411,3.6361),(825,1675,0.019593,3.6356),(825,1685,0.019776,3.6352),(825,1695,0.019962,3.6347),(825,1705,0.020148,3.6342),(825,1715,0.020334,3.6337),(825,1725,0.020521,3.6332),(825,1735,0.020711,3.6327),(825,1745,0.020901,3.6322),(825,1755,0.02109,3.6317),(825,1765,0.021281,3.6312),(825,1775,0.021474,3.6307),(825,1785,0.021667,3.6302),(825,1795,0.021861,3.6297),(825,1805,0.022055,3.6291),(825,1815,0.022252,3.6286),(825,1825,0.022448,3.6281),(825,1835,0.022645,3.6275),(825,1845,0.022843,3.627),(825,1855,0.023043,3.6264),(825,1865,0.023243,3.6259),(825,1875,0.023443,3.6253),(825,1885,0.023644,3.6247),(825,1895,0.023848,3.6242),(825,1905,0.024051,3.6236),(825,1915,0.024255,3.623),(825,1925,0.02446,3.6224),(825,1935,0.024666,3.6218),(825,1945,0.024873,3.6212),(825,1955,0.02508,3.6206),(825,1965,0.025288,3.62),(825,1975,0.025497,3.6194),(825,1985,0.025707,3.6188),(825,1995,0.025917,3.6182),(825,2005,0.026128,3.6175),(825,2015,0.026341,3.6169),(825,2025,0.026553,3.6162),(825,2035,0.026766,3.6156),(825,2045,0.02698,3.6149),(825,2055,0.027195,3.6143),(825,2065,0.02741,3.6136),(825,2075,0.027626,3.613),(825,2085,0.027842,3.6123),(825,2095,0.02806,3.6116),(825,2105,0.028278,3.6109),(825,2115,0.028495,3.6102),(825,2125,0.028715,3.6095),(825,2135,0.028935,3.6088),(825,2145,0.029155,3.6081),(825,2155,0.029375,3.6074),(825,2165,0.029596,3.6067),(825,2175,0.029819,3.606),(825,2185,0.030041,3.6052),(825,2195,0.030263,3.6045),(825,2205,0.030487,3.6038),(825,2215,0.030711,3.603),(825,2225,0.030935,3.6023),(825,2235,0.031159,3.6015),(825,2245,0.031385,3.6007),(825,2255,0.031611,3.6),(825,2265,0.031837,3.5992),(825,2275,0.032063,3.5984),(825,2285,0.03229,3.5976),(825,2295,0.032518,3.5969),(825,2305,0.032746,3.5961),(825,2315,0.032973,3.5952),(825,2325,0.033202,3.5944),(825,2335,0.033431,3.5936),(825,2345,0.03366,3.5928),(825,2355,0.033889,3.592),(825,2365,0.034119,3.5912),(825,2375,0.03435,3.5903),(825,2385,0.03458,3.5895),(825,2395,0.03481,3.5886),(825,2405,0.035041,3.5878),(825,2415,0.035273,3.5869),(825,2425,0.035504,3.5861),(825,2435,0.035735,3.5852),(825,2445,0.035967,3.5843),(825,2455,0.036199,3.5835),(825,2465,0.036431,3.5826),(825,2475,0.036663,3.5817),(825,2485,0.036896,3.5808),(825,2495,0.037129,3.5799),(825,2505,0.037362,3.579),(825,2515,0.037595,3.5781),(825,2525,0.037828,3.5772),(825,2535,0.038061,3.5762),(825,2545,0.038295,3.5753),(825,2555,0.038528,3.5744),(825,2565,0.038762,3.5735),(825,2575,0.038996,3.5725),(825,2585,0.03923,3.5716),(825,2595,0.039463,3.5706),(825,2605,0.039698,3.5697),(825,2615,0.039932,3.5687),(825,2625,0.040166,3.5678),(825,2635,0.0404,3.5668),(825,2645,0.040634,3.5658),(825,2655,0.040869,3.5648),(825,2665,0.041103,3.5639),(825,2675,0.041337,3.5629),(825,2685,0.041572,3.5619),(825,2695,0.041806,3.5609),(825,2705,0.042041,3.5599),(825,2715,0.042276,3.5589),(825,2725,0.042511,3.5579),(825,2735,0.042745,3.5569),(825,2745,0.04298,3.5559),(825,2755,0.043215,3.5549),(825,2765,0.04345,3.5538),(825,2775,0.043686,3.5528),(825,2785,0.043921,3.5518),(825,2795,0.044156,3.5508),(825,2805,0.044392,3.5497),(825,2815,0.044627,3.5487),(825,2825,0.044863,3.5477),(825,2835,0.045098,3.5466),(825,2845,0.045334,3.5456),(825,2855,0.04557,3.5445),(825,2865,0.045806,3.5435),(825,2875,0.046043,3.5424),(825,2885,0.046279,3.5414),(825,2895,0.046516,3.5403),(825,2905,0.046752,3.5393),(825,2915,0.046989,3.5382),(825,2925,0.047227,3.5372),(825,2935,0.047464,3.5361),(825,2945,0.047702,3.5351),(825,2955,0.047939,3.534),(825,2965,0.048178,3.5329),(825,2975,0.048416,3.5319),(825,2985,0.048654,3.5308),(825,2995,0.048893,3.5298),(825,3005,0.049132,3.5287),(825,3015,0.049372,3.5276),(825,3025,0.049611,3.5266),(825,3035,0.049851,3.5255),(825,3045,0.050091,3.5245),(825,3055,0.050332,3.5234),(825,3065,0.050572,3.5224),(825,3075,0.050813,3.5213),(825,3085,0.051055,3.5202),(825,3095,0.051297,3.5192),(825,3105,0.051538,3.5182),(825,3115,0.051781,3.5171),(825,3125,0.052023,3.5161),(825,3135,0.052266,3.515),(825,3145,0.052509,3.514),(825,3155,0.052753,3.513),(825,3165,0.052997,3.5119),(825,3175,0.053241,3.5109),(825,3185,0.053485,3.5099),(825,3195,0.053729,3.5089),(825,3205,0.053974,3.5079),(825,3215,0.054219,3.5069),(825,3225,0.054463,3.5059),(825,3235,0.054707,3.5049),(825,3245,0.054952,3.5039),(825,3255,0.055196,3.503),(825,3265,0.05544,3.502),(825,3275,0.055683,3.5011),(825,3285,0.055926,3.5001),(825,3295,0.056168,3.4992),(825,3305,0.056411,3.4983),(825,3315,0.056651,3.4974),(825,3325,0.056891,3.4964),(825,3335,0.05713,3.4956),(825,3345,0.05737,3.4947),(825,3355,0.057605,3.4938),(825,3365,0.057839,3.4929),(825,3375,0.058073,3.4921),(825,3385,0.058307,3.4913),(825,3395,0.058533,3.4905),(825,3405,0.058758,3.4897),(825,3415,0.058983,3.4889),(825,3425,0.059208,3.4881),(825,3435,0.059421,3.4874),(825,3445,0.059632,3.4866),(825,3455,0.059844,3.4859),(825,3465,0.060056,3.4852),(825,3475,0.060249,3.4846),(825,3485,0.060441,3.4839),(825,3495,0.060633,3.4833),(825,3505,0.060825,3.4826),(825,3515,0.060991,3.482),(825,3525,0.061158,3.4814),(825,3535,0.061324,3.4809),(825,3545,0.061488,3.4804),(825,3555,0.061619,3.4799),(825,3565,0.06175,3.4793),(825,3575,0.061881,3.4789),(825,3585,0.062008,3.4785),(825,3595,0.062093,3.4781),(825,3605,0.062178,3.4776),(825,3615,0.062263,3.4773),(825,3625,0.062341,3.477),(825,3635,0.062367,3.4767),(825,3645,0.062393,3.4764),(825,3655,0.06242,3.4761),(825,3665,0.062434,3.4759),(825,3675,0.062387,3.4757),(825,3685,0.06234,3.4755),(825,3695,0.062293,3.4754),(825,3705,0.062228,3.4753),(825,3715,0.062092,3.4752),(825,3725,0.061955,3.4751),(825,3735,0.061819,3.4752),(825,3745,0.061656,3.4752),(825,3755,0.061413,3.4752),(825,3765,0.06117,3.4752),(825,3775,0.060927,3.4753),(825,3785,0.060648,3.4755),(825,3795,0.06028,3.4756),(825,3805,0.059912,3.4757),(825,3815,0.059544,3.476),(825,3825,0.059131,3.4762),(825,3835,0.058621,3.4764),(825,3845,0.058111,3.4767),(825,3855,0.057601,3.477),(825,3865,0.057034,3.4773),(825,3875,0.056366,3.4777),(825,3885,0.055698,3.478),(825,3895,0.055031,3.4784),(825,3905,0.065308,3.4788),(825,3915,0.091936,3.4792),(825,3925,0.11856,3.4801),(825,3935,0.14519,3.4816),(825,3945,0.17176,3.4831),(825,3955,0.19825,3.4846),(825,3965,0.22474,3.4859),(825,3975,0.25123,3.4871),(825,3985,0.26398,3.4882),(825,3995,0.26186,3.4893),(825,4005,0.25973,3.4898),(825,4015,0.2576,3.4895),(825,4025,0.25492,3.4893),(825,4035,0.25218,3.4887),(825,4045,0.24944,3.4871),(825,4055,0.24646,3.4856),(825,4065,0.24339,3.4839),(825,4075,0.24033,3.4811),(825,4085,0.23714,3.4782),(825,4095,0.23385,3.4754),(825,4105,0.23056,3.4711),(825,4115,0.21923,3.4667),(825,4125,0.19456,3.4623),(825,4135,0.16989,3.4581),(825,4145,0.14524,3.4539),(825,4155,0.12062,3.4496),(825,4165,0.095994,3.4462),(825,4175,0.07252,3.4432),(825,4185,0.10587,3.4402),(825,4195,0.13922,3.4365),(825,4205,0.17256,3.4317),(825,4215,0.16794,3.427),(825,4225,0.15617,3.4228),(825,4235,0.1444,3.4203),(825,4245,0.12892,3.4177),(825,4255,0.11157,3.4152),(825,4265,0.094211,3.4141),(825,4275,0.074911,3.4131),(825,4285,0.05355,3.412),(825,4295,0.032188,3.4118),(825,4305,0.022631,3.4118),(825,4315,0.039727,3.4117),(825,4325,0.056824,3.4113),(825,4335,0.074303,3.4107),(825,4345,0.094371,3.4101),(825,4355,0.11444,3.4084),(825,4365,0.13451,3.4059),(825,4375,0.15186,3.4034),(825,4385,0.16907,3.4005),(825,4395,0.18628,3.3968),(825,4405,0.17045,3.3932),(825,4415,0.14488,3.3898),(825,4425,0.11931,3.3875),(825,4435,0.10557,3.3852),(825,4445,0.099913,3.3829),(825,4455,0.094254,3.38),(825,4465,0.11351,3.3772),(825,4475,0.16777,3.3743),(825,4485,0.22204,3.3692),(825,4495,0.2667,3.3635),(825,4505,0.28054,3.3579),(825,4515,0.29439,3.3527),(825,4525,0.30741,3.3478),(825,4535,0.30733,3.3429),(825,4545,0.30726,3.3386),(825,4555,0.30719,3.335),(825,4565,0.22393,3.3313),(825,4575,0.12947,3.3287),(825,4585,0.034998,3.3285),(825,4595,0.022686,3.3283),(825,4605,0.045087,3.3278),(825,4615,0.067488,3.3251),(825,4625,0.099541,3.3224),(825,4635,0.14033,3.3197),(825,4645,0.18113,3.3136),(825,4655,0.22461,3.3073),(825,4665,0.27315,3.3009),(825,4675,0.32169,3.2925),(825,4685,0.35,3.2833),(825,4695,0.27833,3.2741),(825,4705,0.20667,3.2685),(825,4715,0.135,3.2654),(825,4725,0.15264,3.2624),(825,4735,0.17118,3.2577),(825,4745,0.18971,3.2506),(825,4755,0.24421,3.2435),(825,4765,0.30704,3.2352),(825,4775,0.36986,3.2228),(825,4785,0.41272,3.2105),(825,4795,0.44403,3.1981),(825,4805,0.47535,3.1846),(825,4815,0.47588,3.1711),(825,4825,0.43963,3.1576),(825,4835,0.40338,3.1477),(825,4845,0.35126,3.1385),(825,4855,0.257812,3.1292),(825,4865,0.16436,3.1243),(825,4875,0.089283,3.1214),(825,4885,0.18139,3.1186),(825,4895,0.27351,3.1112),(825,4905,0.36562,3.0995),(825,4915,0.37439,3.0879),(825,4925,0.37599,3.0764),(825,4935,0.37759,3.0652),(825,4945,0.35073,3.054),(825,4955,0.31402,3.0435),(825,4965,0.2773,3.0361),(825,4975,0.21774,3.0288),(825,4985,0.14056,3.0215),(825,4995,0.063381,3.0208),(825,5005,0.052019,3.0202),(825,5015,0.14529,3.0197),(825,5025,0.23857,3.007),(825,5035,0.3266,2.9912),(825,5045,0.39466,2.9753),(825,5055,0.46271,2.9556),(825,5065,0.53,2.9333),(825,5075,0.57196,2.9111),(825,5085,0.61393,2.8885),(825,5095,0.65589,2.8653),(825,5105,0.59362,2.8421),(825,5115,0.51315,2.8218),(825,5125,0.43269,2.8096),(825,5135,0.36082,2.7974),(825,5145,0.29311,2.7857),(825,5155,0.22541,2.7796),(825,5165,0.2578,2.7734),(825,5175,0.3923,2.7673),(825,5185,0.52679,2.7507),(825,5195,0.63143,2.733),(825,5205,0.67173,2.7153),(825,5215,0.71202,2.6966),(825,5225,0.74792,2.6775),(825,5235,0.75655,2.6585),(825,5245,0.76517,2.6401),(825,5255,0.7738,2.6223),(825,5265,0.54032,2.6044),(825,5275,0.29685,2.5932),(825,5285,0.053391,2.5931),(825,5295,0.058385,2.5931),(825,5305,0.13257,2.5908),(825,5315,0.20675,2.5796),(825,5325,0.29449,2.5683),(825,5335,0.39111,2.557),(825,5345,0.48773,2.5366),(825,5355,0.57487,2.5163),(825,5365,0.6492,2.496),(825,5375,0.72354,2.4726),(825,5385,0.73742,2.4488),(825,5395,0.56751,2.4249),(825,5405,0.3976,2.4124),(825,5415,0.23941,2.406),(825,5425,0.23865,2.3995),(825,5435,0.23789,2.3952),(825,5445,0.23713,2.393),(825,5455,0.28403,2.3909),(825,5465,0.33676,2.3878),(825,5475,0.38949,2.3827),(825,5485,0.41266,2.3776),(825,5495,0.42393,2.3722),(825,5505,0.4352,2.3651),(825,5515,0.4473,2.3579),(825,5525,0.46011,2.3508),(825,5535,0.47292,2.3416),(825,5545,0.48607,2.3322),(825,5555,0.49984,2.3229),(825,5565,0.51361,2.3116),(825,5575,0.52759,2.2998),(825,5585,0.54254,2.2879),(825,5595,0.55748,2.2747),(825,5605,0.57242,2.2605),(825,5615,0.58888,2.2463),(825,5625,0.60533,2.231),(825,5635,0.62178,2.214),(825,5645,0.63969,2.1971),(825,5655,0.65791,2.1796),(825,5665,0.67613,2.1601),(825,5675,0.69556,2.1406),(825,5685,0.71566,2.121),(825,5695,0.73577,2.0991),(825,5705,0.75677,2.0771),(825,5715,0.7788,2.0552),(825,5725,0.80082,2.0312),(825,5735,0.82338,2.0069),(825,5745,0.84723,1.9827),(825,5755,0.87108,1.9567),(825,5765,0.89512,1.9301),(825,5775,0.9206,1.9035),(825,5785,0.94609,1.8759),(825,5795,0.97158,1.8475),(825,5805,0.99818,1.8191),(825,5815,1.0249,1.79),(825,5825,1.0516,1.7597),(825,5835,1.0787,1.7293),(825,5845,1.106,1.6987),(825,5855,1.1334,1.6668),(825,5865,1.1608,1.6349),(825,5875,1.1884,1.6029),(825,5885,1.216,1.5699),(825,5895,1.2434,1.5369),(825,5905,1.2707,1.5038),(825,5915,1.298,1.4696),(825,5925,1.3251,1.4351),(825,5935,1.3517,1.4006),(825,5945,1.3783,1.3655),(825,5955,1.4049,1.33),(825,5965,1.4308,1.2945),(825,5975,1.4567,1.2587),(825,5985,1.4826,1.2225),(825,5995,1.1376,1.1863),(825,6005,0.73278,1.1587),(825,6015,0.328,1.1539),(825,6025,0.27546,1.1492),(825,6035,0.38628,1.1436),(825,6045,0.49711,1.13),(825,6055,0.58238,1.1165),(825,6065,0.6426,1.1029),(825,6075,0.70282,1.0852),(825,6085,0.74457,1.0671),(825,6095,0.74825,1.0489),(825,6105,0.75194,1.0305),(825,6115,0.7556,1.0121),(825,6125,0.75907,0.99361),(825,6135,0.76255,0.975),(825,6145,0.76602,0.9563),(825,6155,0.76925,0.93759),(825,6165,0.77246,0.91867),(825,6175,0.77568,0.89942),(825,6185,0.77871,0.88018),(825,6195,0.78169,0.8609),(825,6205,0.78466,0.84153),(825,6215,0.78749,0.82216),(825,6225,0.79023,0.80278),(825,6235,0.79296,0.78295),(825,6245,0.79558,0.76312),(825,6255,0.79804,0.7433),(825,6265,0.8005,0.72344),(825,6275,0.80291,0.70359),(825,6285,0.80516,0.68373),(825,6295,0.80741,0.66359),(825,6305,0.80964,0.64331),(825,6315,0.81161,0.62303),(825,6325,0.81357,0.60262),(825,6335,0.81554,0.58207),(825,6345,0.81737,0.56153),(825,6355,0.81918,0.54097),(825,6365,0.82099,0.52039),(825,6375,0.82258,0.49982),(825,6385,0.8241,0.47918),(825,6395,0.82562,0.45819),(825,6405,0.82702,0.4372),(825,6415,0.82833,0.41621),(825,6425,0.82965,0.39536),(825,6435,0.83088,0.37451),(825,6445,0.83197,0.35366),(825,6455,0.83306,0.33245),(825,6465,0.8341,0.31114),(825,6475,0.83493,0.28983),(825,6485,0.83575,0.26846),(825,6495,0.83657,0.24706),(825,6505,0.83724,0.22565),(825,6515,0.8379,0.20432),(825,6525,0.83856,0.1831),(825,6535,0.83904,0.16188),(825,6545,0.83949,0.14061),(825,6555,0.83993,0.11914),(825,6565,0.84021,0.097682),(825,6575,0.84041,0.076222),(825,6585,0.84061,0.054782),(825,6595,0.71503,0.033341),(825,6605,0.45058,0.011901),(825,6615,0.18613,0.009471),(825,6625,0.000224,0.009484),(825,6635,0.000225,0.009497),(825,6645,0.000227,0.009496),(825,6655,0.000228,0.00949),(825,6665,0.00023,0.009484),(825,6675,0.000231,0.009477),(825,6685,0.000233,0.009471),(825,6695,0.000234,0.009465),(825,6705,0.000236,0.009458),(825,6715,0.000237,0.009452),(825,6725,0.000239,0.009445),(825,6735,0.00024,0.009439),(825,6745,0.000242,0.009432),(825,6755,0.000243,0.009426),(825,6765,0.000245,0.009419),(825,6775,0.000246,0.009413),(825,6785,0.000247,0.009406),(825,6795,0.000249,0.009399),(825,6805,0.00025,0.009392),(825,6815,0.000252,0.009386),(825,6825,0.000253,0.009379),(825,6835,0.000254,0.009372),(825,6845,0.000256,0.009365),(825,6855,0.000257,0.009358),(825,6865,0.000258,0.009352),(825,6875,0.00026,0.009345),(825,6885,0.000261,0.009338),(825,6895,0.000262,0.009331),(825,6905,0.000263,0.009324),(825,6915,0.000265,0.009317),(825,6925,0.000266,0.00931),(825,6935,0.000267,0.009303),(825,6945,0.000268,0.009296),(825,6955,0.000269,0.009289),(825,6965,0.00027,0.009282),(825,6975,0.000272,0.009275),(825,6985,0.000273,0.009268),(835,5,4e-05,3.6682),(835,15,0.000121,3.6682),(835,25,0.000202,3.6682),(835,35,0.000283,3.6682),(835,45,0.000363,3.6682),(835,55,0.000444,3.6682),(835,65,0.000525,3.6681),(835,75,0.000606,3.6681),(835,85,0.000687,3.6681),(835,95,0.000768,3.6681),(835,105,0.000849,3.6681),(835,115,0.000931,3.6681),(835,125,0.001012,3.668),(835,135,0.001093,3.668),(835,145,0.001175,3.668),(835,155,0.001257,3.668),(835,165,0.001339,3.6679),(835,175,0.00142,3.6679),(835,185,0.001503,3.6679),(835,195,0.001585,3.6678),(835,205,0.001667,3.6678),(835,215,0.00175,3.6678),(835,225,0.001833,3.6677),(835,235,0.001916,3.6677),(835,245,0.001999,3.6676),(835,255,0.002082,3.6676),(835,265,0.002166,3.6675),(835,275,0.00225,3.6675),(835,285,0.002334,3.6674),(835,295,0.002418,3.6674),(835,305,0.002503,3.6673),(835,315,0.002588,3.6673),(835,325,0.002673,3.6672),(835,335,0.002758,3.6671),(835,345,0.002844,3.6671),(835,355,0.00293,3.667),(835,365,0.003016,3.667),(835,375,0.003103,3.6669),(835,385,0.00319,3.6668),(835,395,0.003277,3.6667),(835,405,0.003365,3.6667),(835,415,0.003452,3.6666),(835,425,0.003541,3.6665),(835,435,0.00363,3.6664),(835,445,0.003719,3.6663),(835,455,0.003807,3.6663),(835,465,0.003898,3.6662),(835,475,0.003988,3.6661),(835,485,0.004078,3.666),(835,495,0.004169,3.6659),(835,505,0.004261,3.6658),(835,515,0.004352,3.6657),(835,525,0.004444,3.6656),(835,535,0.004536,3.6655),(835,545,0.00463,3.6654),(835,555,0.004724,3.6653),(835,565,0.004818,3.6652),(835,575,0.004912,3.6651),(835,585,0.005007,3.665),(835,595,0.005103,3.6649),(835,605,0.005199,3.6647),(835,615,0.005295,3.6646),(835,625,0.005393,3.6645),(835,635,0.00549,3.6644),(835,645,0.005588,3.6643),(835,655,0.005686,3.6641),(835,665,0.005786,3.664),(835,675,0.005886,3.6639),(835,685,0.005986,3.6637),(835,695,0.006087,3.6636),(835,705,0.006189,3.6635),(835,715,0.006291,3.6633),(835,725,0.006393,3.6632),(835,735,0.006496,3.663),(835,745,0.0066,3.6629),(835,755,0.006705,3.6627),(835,765,0.00681,3.6626),(835,775,0.006915,3.6624),(835,785,0.007022,3.6623),(835,795,0.007129,3.6621),(835,805,0.007236,3.6619),(835,815,0.007344,3.6618),(835,825,0.007454,3.6616),(835,835,0.007564,3.6614),(835,845,0.007674,3.6613),(835,855,0.007785,3.6611),(835,865,0.007897,3.6609),(835,875,0.00801,3.6607),(835,885,0.008122,3.6605),(835,895,0.008236,3.6603),(835,905,0.008352,3.6602),(835,915,0.008467,3.66),(835,925,0.008583,3.6598),(835,935,0.0087,3.6596),(835,945,0.008818,3.6594),(835,955,0.008937,3.6592),(835,965,0.009055,3.659),(835,975,0.009175,3.6588),(835,985,0.009297,3.6586),(835,995,0.009418,3.6583),(835,1005,0.00954,3.6581),(835,1015,0.009663,3.6579),(835,1025,0.009788,3.6577),(835,1035,0.009913,3.6575),(835,1045,0.010038,3.6572),(835,1055,0.010164,3.657),(835,1065,0.010293,3.6568),(835,1075,0.010421,3.6565),(835,1085,0.010549,3.6563),(835,1095,0.010679,3.656),(835,1105,0.01081,3.6558),(835,1115,0.010942,3.6555),(835,1125,0.011073,3.6553),(835,1135,0.011207,3.655),(835,1145,0.011342,3.6548),(835,1155,0.011477,3.6545),(835,1165,0.011612,3.6542),(835,1175,0.011749,3.654),(835,1185,0.011888,3.6537),(835,1195,0.012026,3.6534),(835,1205,0.012165,3.6531),(835,1215,0.012306,3.6529),(835,1225,0.012448,3.6526),(835,1235,0.012591,3.6523),(835,1245,0.012733,3.652),(835,1255,0.012878,3.6517),(835,1265,0.013024,3.6514),(835,1275,0.01317,3.6511),(835,1285,0.013316,3.6508),(835,1295,0.013465,3.6505),(835,1305,0.013614,3.6502),(835,1315,0.013764,3.6499),(835,1325,0.013913,3.6495),(835,1335,0.014066,3.6492),(835,1345,0.01422,3.6489),(835,1355,0.014373,3.6486),(835,1365,0.014527,3.6482),(835,1375,0.014683,3.6479),(835,1385,0.014841,3.6475),(835,1395,0.014998,3.6472),(835,1405,0.015155,3.6468),(835,1415,0.015316,3.6465),(835,1425,0.015477,3.6461),(835,1435,0.015638,3.6458),(835,1445,0.015799,3.6454),(835,1455,0.015964,3.645),(835,1465,0.016129,3.6447),(835,1475,0.016295,3.6443),(835,1485,0.01646,3.6439),(835,1495,0.016629,3.6435),(835,1505,0.016798,3.6431),(835,1515,0.016967,3.6427),(835,1525,0.017136,3.6423),(835,1535,0.017309,3.6419),(835,1545,0.017482,3.6415),(835,1555,0.017654,3.6411),(835,1565,0.017828,3.6407),(835,1575,0.018004,3.6403),(835,1585,0.018181,3.6398),(835,1595,0.018358,3.6394),(835,1605,0.018535,3.639),(835,1615,0.018716,3.6385),(835,1625,0.018896,3.6381),(835,1635,0.019077,3.6377),(835,1645,0.019258,3.6372),(835,1655,0.019443,3.6367),(835,1665,0.019627,3.6363),(835,1675,0.019812,3.6358),(835,1685,0.019997,3.6353),(835,1695,0.020186,3.6349),(835,1705,0.020374,3.6344),(835,1715,0.020562,3.6339),(835,1725,0.020752,3.6334),(835,1735,0.020944,3.6329),(835,1745,0.021136,3.6324),(835,1755,0.021328,3.6319),(835,1765,0.021521,3.6314),(835,1775,0.021716,3.6309),(835,1785,0.021912,3.6304),(835,1795,0.022108,3.6299),(835,1805,0.022305,3.6293),(835,1815,0.022504,3.6288),(835,1825,0.022703,3.6283),(835,1835,0.022902,3.6277),(835,1845,0.023102,3.6272),(835,1855,0.023305,3.6266),(835,1865,0.023508,3.6261),(835,1875,0.02371,3.6255),(835,1885,0.023914,3.625),(835,1895,0.02412,3.6244),(835,1905,0.024326,3.6238),(835,1915,0.024532,3.6232),(835,1925,0.024739,3.6226),(835,1935,0.024949,3.622),(835,1945,0.025158,3.6214),(835,1955,0.025367,3.6208),(835,1965,0.025578,3.6202),(835,1975,0.02579,3.6196),(835,1985,0.026002,3.619),(835,1995,0.026215,3.6184),(835,2005,0.026429,3.6177),(835,2015,0.026644,3.6171),(835,2025,0.026859,3.6165),(835,2035,0.027074,3.6158),(835,2045,0.027291,3.6152),(835,2055,0.027509,3.6145),(835,2065,0.027727,3.6138),(835,2075,0.027945,3.6132),(835,2085,0.028164,3.6125),(835,2095,0.028385,3.6118),(835,2105,0.028605,3.6111),(835,2115,0.028826,3.6104),(835,2125,0.029048,3.6098),(835,2135,0.02927,3.6091),(835,2145,0.029493,3.6084),(835,2155,0.029716,3.6076),(835,2165,0.02994,3.6069),(835,2175,0.030165,3.6062),(835,2185,0.03039,3.6055),(835,2195,0.030615,3.6047),(835,2205,0.030841,3.604),(835,2215,0.031068,3.6033),(835,2225,0.031295,3.6025),(835,2235,0.031522,3.6017),(835,2245,0.03175,3.601),(835,2255,0.031979,3.6002),(835,2265,0.032208,3.5994),(835,2275,0.032436,3.5987),(835,2285,0.032666,3.5979),(835,2295,0.032897,3.5971),(835,2305,0.033127,3.5963),(835,2315,0.033357,3.5955),(835,2325,0.033589,3.5947),(835,2335,0.03382,3.5939),(835,2345,0.034052,3.593),(835,2355,0.034284,3.5922),(835,2365,0.034516,3.5914),(835,2375,0.034749,3.5906),(835,2385,0.034982,3.5897),(835,2395,0.035215,3.5889),(835,2405,0.035448,3.588),(835,2415,0.035682,3.5872),(835,2425,0.035916,3.5863),(835,2435,0.03615,3.5854),(835,2445,0.036384,3.5846),(835,2455,0.036619,3.5837),(835,2465,0.036853,3.5828),(835,2475,0.037087,3.5819),(835,2485,0.037322,3.581),(835,2495,0.037558,3.5801),(835,2505,0.037793,3.5792),(835,2515,0.038028,3.5783),(835,2525,0.038263,3.5774),(835,2535,0.038499,3.5765),(835,2545,0.038734,3.5756),(835,2555,0.03897,3.5746),(835,2565,0.039206,3.5737),(835,2575,0.039441,3.5728),(835,2585,0.039677,3.5718),(835,2595,0.039913,3.5709),(835,2605,0.040149,3.5699),(835,2615,0.040385,3.569),(835,2625,0.040621,3.568),(835,2635,0.040857,3.567),(835,2645,0.041093,3.5661),(835,2655,0.041328,3.5651),(835,2665,0.041564,3.5641),(835,2675,0.0418,3.5631),(835,2685,0.042036,3.5621),(835,2695,0.042272,3.5611),(835,2705,0.042508,3.5601),(835,2715,0.042744,3.5591),(835,2725,0.04298,3.5581),(835,2735,0.043216,3.5571),(835,2745,0.043451,3.5561),(835,2755,0.043687,3.5551),(835,2765,0.043923,3.5541),(835,2775,0.044159,3.5531),(835,2785,0.044395,3.552),(835,2795,0.044631,3.551),(835,2805,0.044867,3.55),(835,2815,0.045103,3.5489),(835,2825,0.045339,3.5479),(835,2835,0.045575,3.5469),(835,2845,0.045811,3.5458),(835,2855,0.046046,3.5448),(835,2865,0.046282,3.5437),(835,2875,0.046518,3.5427),(835,2885,0.046754,3.5416),(835,2895,0.04699,3.5406),(835,2905,0.047226,3.5395),(835,2915,0.047463,3.5385),(835,2925,0.047699,3.5374),(835,2935,0.047935,3.5364),(835,2945,0.048171,3.5353),(835,2955,0.048408,3.5342),(835,2965,0.048644,3.5332),(835,2975,0.048881,3.5321),(835,2985,0.049117,3.5311),(835,2995,0.049354,3.53),(835,3005,0.049591,3.5289),(835,3015,0.049828,3.5279),(835,3025,0.050065,3.5268),(835,3035,0.050302,3.5258),(835,3045,0.050539,3.5247),(835,3055,0.050776,3.5236),(835,3065,0.051014,3.5226),(835,3075,0.051251,3.5215),(835,3085,0.051489,3.5205),(835,3095,0.051726,3.5194),(835,3105,0.051964,3.5184),(835,3115,0.052201,3.5173),(835,3125,0.052439,3.5163),(835,3135,0.052677,3.5153),(835,3145,0.052915,3.5142),(835,3155,0.053152,3.5132),(835,3165,0.05339,3.5122),(835,3175,0.053628,3.5112),(835,3185,0.053866,3.5101),(835,3195,0.054103,3.5091),(835,3205,0.05434,3.5081),(835,3215,0.054578,3.5071),(835,3225,0.054815,3.5061),(835,3235,0.055051,3.5052),(835,3245,0.055287,3.5042),(835,3255,0.055522,3.5032),(835,3265,0.055758,3.5023),(835,3275,0.055991,3.5013),(835,3285,0.056224,3.5003),(835,3295,0.056456,3.4994),(835,3305,0.056689,3.4985),(835,3315,0.056918,3.4976),(835,3325,0.057145,3.4967),(835,3335,0.057373,3.4958),(835,3345,0.057601,3.4949),(835,3355,0.057823,3.494),(835,3365,0.058043,3.4932),(835,3375,0.058264,3.4923),(835,3385,0.058485,3.4915),(835,3395,0.058696,3.4907),(835,3405,0.058906,3.4899),(835,3415,0.059116,3.4891),(835,3425,0.059326,3.4883),(835,3435,0.059521,3.4876),(835,3445,0.059716,3.4868),(835,3455,0.059911,3.4861),(835,3465,0.060106,3.4854),(835,3475,0.06028,3.4847),(835,3485,0.060453,3.484),(835,3495,0.060627,3.4834),(835,3505,0.0608,3.4828),(835,3515,0.060946,3.4822),(835,3525,0.061091,3.4816),(835,3535,0.061237,3.481),(835,3545,0.061381,3.4805),(835,3555,0.061489,3.48),(835,3565,0.061598,3.4794),(835,3575,0.061707,3.479),(835,3585,0.061812,3.4786),(835,3595,0.061874,3.4781),(835,3605,0.061935,3.4777),(835,3615,0.061997,3.4773),(835,3625,0.062051,3.477),(835,3635,0.062053,3.4767),(835,3645,0.062055,3.4763),(835,3655,0.062057,3.4761),(835,3665,0.062047,3.4759),(835,3675,0.061976,3.4756),(835,3685,0.061904,3.4754),(835,3695,0.061833,3.4753),(835,3705,0.061743,3.4752),(835,3715,0.061583,3.4751),(835,3725,0.061422,3.475),(835,3735,0.061262,3.4749),(835,3745,0.061076,3.4749),(835,3755,0.06081,3.4749),(835,3765,0.060544,3.4749),(835,3775,0.060278,3.475),(835,3785,0.059977,3.4751),(835,3795,0.059589,3.4752),(835,3805,0.059201,3.4753),(835,3815,0.058813,3.4755),(835,3825,0.05838,3.4757),(835,3835,0.057854,3.4759),(835,3845,0.057328,3.4761),(835,3855,0.056801,3.4764),(835,3865,0.05622,3.4767),(835,3875,0.05554,3.477),(835,3885,0.054861,3.4773),(835,3895,0.054182,3.4777),(835,3905,0.064259,3.478),(835,3915,0.090404,3.4784),(835,3925,0.11655,3.4792),(835,3935,0.1427,3.4806),(835,3945,0.16893,3.482),(835,3955,0.19526,3.4833),(835,3965,0.2216,3.4845),(835,3975,0.24794,3.4855),(835,3985,0.26079,3.4865),(835,3995,0.25902,3.4875),(835,4005,0.25725,3.4879),(835,4015,0.25549,3.4875),(835,4025,0.25318,3.4872),(835,4035,0.25082,3.4865),(835,4045,0.24846,3.4849),(835,4055,0.24588,3.4834),(835,4065,0.24322,3.4816),(835,4075,0.24055,3.4788),(835,4085,0.23779,3.4759),(835,4095,0.23496,3.473),(835,4105,0.23213,3.4687),(835,4115,0.22115,3.4644),(835,4125,0.19668,3.4601),(835,4135,0.1722,3.4559),(835,4145,0.14767,3.4517),(835,4155,0.12293,3.4475),(835,4165,0.098191,3.4441),(835,4175,0.074602,3.4412),(835,4185,0.10809,3.4382),(835,4195,0.14159,3.4345),(835,4205,0.17508,3.4298),(835,4215,0.17002,3.4251),(835,4225,0.15771,3.4209),(835,4235,0.14539,3.4183),(835,4245,0.12955,3.4157),(835,4255,0.11192,3.4132),(835,4265,0.094293,3.412),(835,4275,0.074826,3.4108),(835,4285,0.05341,3.4097),(835,4295,0.031993,3.4094),(835,4305,0.022343,3.4093),(835,4315,0.039262,3.4092),(835,4325,0.056181,3.4084),(835,4335,0.073564,3.4074),(835,4345,0.094093,3.4063),(835,4355,0.11462,3.4044),(835,4365,0.13515,3.4016),(835,4375,0.15281,3.3989),(835,4385,0.17031,3.3958),(835,4395,0.18782,3.3921),(835,4405,0.17198,3.3884),(835,4415,0.14631,3.385),(835,4425,0.12063,3.3829),(835,4435,0.10697,3.3808),(835,4445,0.10152,3.3786),(835,4455,0.096075,3.3758),(835,4465,0.11559,3.373),(835,4475,0.17017,3.3701),(835,4485,0.22476,3.365),(835,4495,0.26957,3.3594),(835,4505,0.283,3.3537),(835,4515,0.29644,3.3486),(835,4525,0.30904,3.3437),(835,4535,0.30854,3.3388),(835,4545,0.30804,3.3344),(835,4555,0.30754,3.3308),(835,4565,0.22417,3.3271),(835,4575,0.12963,3.3244),(835,4585,0.035092,3.3242),(835,4595,0.023078,3.3239),(835,4605,0.045934,3.3234),(835,4615,0.068791,3.3207),(835,4625,0.10138,3.3179),(835,4635,0.14278,3.3152),(835,4645,0.18418,3.3091),(835,4655,0.22818,3.3028),(835,4665,0.27708,3.2965),(835,4675,0.32597,3.2882),(835,4685,0.35441,3.2792),(835,4695,0.28174,3.2701),(835,4705,0.20908,3.2646),(835,4715,0.13641,3.2616),(835,4725,0.15491,3.2586),(835,4735,0.17432,3.254),(835,4745,0.19373,3.2469),(835,4755,0.24906,3.2398),(835,4765,0.31271,3.2315),(835,4775,0.37636,3.2192),(835,4785,0.41954,3.2069),(835,4795,0.45088,3.1946),(835,4805,0.48222,3.1812),(835,4815,0.48242,3.1678),(835,4825,0.44539,3.1544),(835,4835,0.40836,3.1447),(835,4845,0.35543,3.1355),(835,4855,0.26107,3.1263),(835,4865,0.16671,3.1214),(835,4875,0.090949,3.1185),(835,4885,0.18443,3.1156),(835,4895,0.27792,3.1081),(835,4905,0.3714,3.0963),(835,4915,0.38015,3.0845),(835,4925,0.38162,3.0729),(835,4935,0.38308,3.0617),(835,4945,0.35573,3.0504),(835,4955,0.31838,3.0398),(835,4965,0.28104,3.0324),(835,4975,0.22065,3.025),(835,4985,0.14246,3.0177),(835,4995,0.064271,3.017),(835,5005,0.053473,3.0164),(835,5015,0.14981,3.0159),(835,5025,0.24615,3.0032),(835,5035,0.33682,2.9875),(835,5045,0.40593,2.9717),(835,5055,0.47504,2.9521),(835,5065,0.54335,2.9301),(835,5075,0.58523,2.908),(835,5085,0.62711,2.8856),(835,5095,0.66899,2.8627),(835,5105,0.60492,2.8397),(835,5115,0.52236,2.8197),(835,5125,0.4398,2.8076),(835,5135,0.36653,2.7956),(835,5145,0.29777,2.7841),(835,5155,0.22902,2.7779),(835,5165,0.26171,2.7717),(835,5175,0.39787,2.7656),(835,5185,0.53404,2.7489),(835,5195,0.63984,2.7312),(835,5205,0.68016,2.7135),(835,5215,0.72049,2.6948),(835,5225,0.75638,2.6758),(835,5235,0.76468,2.6567),(835,5245,0.77298,2.6384),(835,5255,0.78128,2.6207),(835,5265,0.54554,2.6029),(835,5275,0.29974,2.5917),(835,5285,0.053938,2.5917),(835,5295,0.060026,2.5916),(835,5305,0.13626,2.5894),(835,5315,0.2125,2.5781),(835,5325,0.30195,2.5667),(835,5335,0.40008,2.5553),(835,5345,0.4982,2.535),(835,5355,0.58635,2.5147),(835,5365,0.66102,2.4944),(835,5375,0.73569,2.4713),(835,5385,0.7491,2.4475),(835,5395,0.57627,2.4238),(835,5405,0.40344,2.4115),(835,5415,0.24244,2.4051),(835,5425,0.24049,2.3987),(835,5435,0.23855,2.3943),(835,5445,0.2366,2.3919),(835,5455,0.28356,2.3896),(835,5465,0.3365,2.3863),(835,5475,0.38944,2.3809),(835,5485,0.41296,2.3755),(835,5495,0.42464,2.3698),(835,5505,0.43631,2.3624),(835,5515,0.44885,2.355),(835,5525,0.46213,2.3476),(835,5535,0.47541,2.3382),(835,5545,0.48904,2.3286),(835,5555,0.50332,2.319),(835,5565,0.51759,2.3075),(835,5575,0.53208,2.2954),(835,5585,0.54755,2.2834),(835,5595,0.56302,2.27),(835,5605,0.57849,2.2556),(835,5615,0.59547,2.2412),(835,5625,0.61245,2.2257),(835,5635,0.62943,2.2087),(835,5645,0.64786,2.1916),(835,5655,0.6666,2.1739),(835,5665,0.68534,2.1543),(835,5675,0.70527,2.1347),(835,5685,0.72586,2.115),(835,5695,0.74645,2.093),(835,5705,0.76791,2.071),(835,5715,0.79038,2.049),(835,5725,0.81285,2.025),(835,5735,0.83582,2.0007),(835,5745,0.86004,1.9764),(835,5755,0.88425,1.9505),(835,5765,0.90864,1.9239),(835,5775,0.93443,1.8973),(835,5785,0.96022,1.8698),(835,5795,0.98602,1.8414),(835,5805,1.0129,1.8131),(835,5815,1.0398,1.7841),(835,5825,1.0668,1.754),(835,5835,1.0941,1.7238),(835,5845,1.1217,1.6933),(835,5855,1.1492,1.6616),(835,5865,1.1768,1.63),(835,5875,1.2045,1.5983),(835,5885,1.2322,1.5655),(835,5895,1.2598,1.5327),(835,5905,1.2872,1.5),(835,5915,1.3146,1.4661),(835,5925,1.3418,1.4319),(835,5935,1.3685,1.3977),(835,5945,1.3952,1.3629),(835,5955,1.4218,1.3278),(835,5965,1.4478,1.2927),(835,5975,1.4737,1.2573),(835,5985,1.4997,1.2215),(835,5995,1.1506,1.1857),(835,6005,0.74121,1.1584),(835,6015,0.33178,1.1537),(835,6025,0.27863,1.1489),(835,6035,0.39072,1.1434),(835,6045,0.50281,1.1298),(835,6055,0.58906,1.1163),(835,6065,0.64997,1.1027),(835,6075,0.71089,1.085),(835,6085,0.75312,1.0668),(835,6095,0.75686,1.0486),(835,6105,0.7606,1.0302),(835,6115,0.7643,1.0117),(835,6125,0.76783,0.99324),(835,6135,0.77136,0.97462),(835,6145,0.77489,0.9559),(835,6155,0.77818,0.93718),(835,6165,0.78146,0.91825),(835,6175,0.78474,0.89899),(835,6185,0.78783,0.87973),(835,6195,0.79086,0.86045),(835,6205,0.79389,0.84107),(835,6215,0.79678,0.8217),(835,6225,0.79957,0.80231),(835,6235,0.80236,0.78247),(835,6245,0.80503,0.76264),(835,6255,0.80755,0.7428),(835,6265,0.81008,0.72295),(835,6275,0.81254,0.7031),(835,6285,0.81484,0.68325),(835,6295,0.81713,0.6631),(835,6305,0.81941,0.64282),(835,6315,0.82142,0.62254),(835,6325,0.82343,0.60214),(835,6335,0.82545,0.58163),(835,6345,0.82732,0.56112),(835,6355,0.82918,0.54059),(835,6365,0.83104,0.52),(835,6375,0.83268,0.49942),(835,6385,0.83424,0.47878),(835,6395,0.83579,0.45781),(835,6405,0.83724,0.43685),(835,6415,0.83859,0.41588),(835,6425,0.83994,0.39503),(835,6435,0.84121,0.37419),(835,6445,0.84232,0.35335),(835,6455,0.84344,0.33215),(835,6465,0.84451,0.31084),(835,6475,0.84536,0.28954),(835,6485,0.84621,0.26819),(835,6495,0.84705,0.24682),(835,6505,0.84774,0.22545),(835,6515,0.84842,0.20415),(835,6525,0.8491,0.18295),(835,6535,0.8496,0.16174),(835,6545,0.85006,0.14048),(835,6555,0.85052,0.11903),(835,6565,0.85081,0.097587),(835,6575,0.85101,0.076142),(835,6585,0.85122,0.054716),(835,6595,0.72406,0.03329),(835,6605,0.45627,0.011864),(835,6615,0.18848,0.009446),(835,6625,0.000227,0.00947),(835,6635,0.000228,0.009495),(835,6645,0.00023,0.009498),(835,6655,0.000232,0.009492),(835,6665,0.000233,0.009485),(835,6675,0.000235,0.009479),(835,6685,0.000236,0.009473),(835,6695,0.000238,0.009466),(835,6705,0.000239,0.00946),(835,6715,0.000241,0.009453),(835,6725,0.000242,0.009447),(835,6735,0.000244,0.00944),(835,6745,0.000245,0.009434),(835,6755,0.000247,0.009427),(835,6765,0.000248,0.009421),(835,6775,0.000249,0.009414),(835,6785,0.000251,0.009407),(835,6795,0.000252,0.009401),(835,6805,0.000254,0.009394),(835,6815,0.000255,0.009387),(835,6825,0.000256,0.00938),(835,6835,0.000258,0.009373),(835,6845,0.000259,0.009367),(835,6855,0.00026,0.00936),(835,6865,0.000262,0.009353),(835,6875,0.000263,0.009346),(835,6885,0.000264,0.009339),(835,6895,0.000266,0.009332),(835,6905,0.000267,0.009325),(835,6915,0.000268,0.009318),(835,6925,0.000269,0.009311),(835,6935,0.000271,0.009304),(835,6945,0.000272,0.009297),(835,6955,0.000273,0.00929),(835,6965,0.000274,0.009283),(835,6975,0.000275,0.009276),(835,6985,0.000276,0.009269),(845,5,4.1e-05,3.6683),(845,15,0.000122,3.6683),(845,25,0.000204,3.6683),(845,35,0.000285,3.6683),(845,45,0.000367,3.6682),(845,55,0.000449,3.6682),(845,65,0.00053,3.6682),(845,75,0.000612,3.6682),(845,85,0.000694,3.6682),(845,95,0.000776,3.6682),(845,105,0.000858,3.6682),(845,115,0.00094,3.6681),(845,125,0.001022,3.6681),(845,135,0.001104,3.6681),(845,145,0.001187,3.6681),(845,155,0.001269,3.668),(845,165,0.001352,3.668),(845,175,0.001434,3.668),(845,185,0.001517,3.668),(845,195,0.001601,3.6679),(845,205,0.001684,3.6679),(845,215,0.001767,3.6678),(845,225,0.001851,3.6678),(845,235,0.001935,3.6678),(845,245,0.002019,3.6677),(845,255,0.002103,3.6677),(845,265,0.002188,3.6676),(845,275,0.002273,3.6676),(845,285,0.002357,3.6675),(845,295,0.002442,3.6675),(845,305,0.002528,3.6674),(845,315,0.002614,3.6674),(845,325,0.0027,3.6673),(845,335,0.002786,3.6672),(845,345,0.002872,3.6672),(845,355,0.002959,3.6671),(845,365,0.003046,3.667),(845,375,0.003133,3.667),(845,385,0.003221,3.6669),(845,395,0.00331,3.6668),(845,405,0.003398,3.6668),(845,415,0.003486,3.6667),(845,425,0.003576,3.6666),(845,435,0.003666,3.6665),(845,445,0.003756,3.6664),(845,455,0.003845,3.6664),(845,465,0.003936,3.6663),(845,475,0.004028,3.6662),(845,485,0.004119,3.6661),(845,495,0.00421,3.666),(845,505,0.004303,3.6659),(845,515,0.004396,3.6658),(845,525,0.004489,3.6657),(845,535,0.004582,3.6656),(845,545,0.004677,3.6655),(845,555,0.004771,3.6654),(845,565,0.004866,3.6653),(845,575,0.004961,3.6652),(845,585,0.005057,3.6651),(845,595,0.005154,3.665),(845,605,0.005251,3.6648),(845,615,0.005348,3.6647),(845,625,0.005447,3.6646),(845,635,0.005546,3.6645),(845,645,0.005644,3.6644),(845,655,0.005744,3.6642),(845,665,0.005844,3.6641),(845,675,0.005946,3.664),(845,685,0.006046,3.6638),(845,695,0.006148,3.6637),(845,705,0.006251,3.6636),(845,715,0.006354,3.6634),(845,725,0.006458,3.6633),(845,735,0.006561,3.6631),(845,745,0.006667,3.663),(845,755,0.006773,3.6628),(845,765,0.006879,3.6627),(845,775,0.006985,3.6625),(845,785,0.007093,3.6624),(845,795,0.007202,3.6622),(845,805,0.00731,3.662),(845,815,0.007419,3.6619),(845,825,0.00753,3.6617),(845,835,0.007641,3.6615),(845,845,0.007752,3.6614),(845,855,0.007864,3.6612),(845,865,0.007978,3.661),(845,875,0.008092,3.6608),(845,885,0.008205,3.6606),(845,895,0.00832,3.6605),(845,905,0.008437,3.6603),(845,915,0.008554,3.6601),(845,925,0.008671,3.6599),(845,935,0.008789,3.6597),(845,945,0.008908,3.6595),(845,955,0.009028,3.6593),(845,965,0.009148,3.6591),(845,975,0.009269,3.6589),(845,985,0.009392,3.6587),(845,995,0.009515,3.6585),(845,1005,0.009638,3.6582),(845,1015,0.009763,3.658),(845,1025,0.009889,3.6578),(845,1035,0.010015,3.6576),(845,1045,0.010142,3.6573),(845,1055,0.01027,3.6571),(845,1065,0.010399,3.6569),(845,1075,0.010529,3.6567),(845,1085,0.010658,3.6564),(845,1095,0.01079,3.6562),(845,1105,0.010923,3.6559),(845,1115,0.011056,3.6557),(845,1125,0.011189,3.6554),(845,1135,0.011324,3.6552),(845,1145,0.01146,3.6549),(845,1155,0.011597,3.6546),(845,1165,0.011733,3.6544),(845,1175,0.011872,3.6541),(845,1185,0.012012,3.6538),(845,1195,0.012153,3.6536),(845,1205,0.012293,3.6533),(845,1215,0.012436,3.653),(845,1225,0.012579,3.6527),(845,1235,0.012723,3.6524),(845,1245,0.012867,3.6521),(845,1255,0.013014,3.6519),(845,1265,0.013161,3.6516),(845,1275,0.013309,3.6513),(845,1285,0.013457,3.6509),(845,1295,0.013607,3.6506),(845,1305,0.013759,3.6503),(845,1315,0.01391,3.65),(845,1325,0.014061,3.6497),(845,1335,0.014216,3.6494),(845,1345,0.014371,3.649),(845,1355,0.014526,3.6487),(845,1365,0.014682,3.6484),(845,1375,0.01484,3.648),(845,1385,0.014999,3.6477),(845,1395,0.015158,3.6473),(845,1405,0.015318,3.647),(845,1415,0.01548,3.6466),(845,1425,0.015643,3.6463),(845,1435,0.015806,3.6459),(845,1445,0.015969,3.6456),(845,1455,0.016136,3.6452),(845,1465,0.016303,3.6448),(845,1475,0.01647,3.6444),(845,1485,0.016637,3.6441),(845,1495,0.016808,3.6437),(845,1505,0.016979,3.6433),(845,1515,0.017151,3.6429),(845,1525,0.017322,3.6425),(845,1535,0.017497,3.6421),(845,1545,0.017672,3.6417),(845,1555,0.017847,3.6413),(845,1565,0.018022,3.6409),(845,1575,0.018201,3.6404),(845,1585,0.01838,3.64),(845,1595,0.018559,3.6396),(845,1605,0.018738,3.6392),(845,1615,0.018921,3.6387),(845,1625,0.019104,3.6383),(845,1635,0.019286,3.6378),(845,1645,0.01947,3.6374),(845,1655,0.019657,3.6369),(845,1665,0.019843,3.6365),(845,1675,0.02003,3.636),(845,1685,0.020218,3.6355),(845,1695,0.020408,3.6351),(845,1705,0.020599,3.6346),(845,1715,0.02079,3.6341),(845,1725,0.020981,3.6336),(845,1735,0.021176,3.6331),(845,1745,0.02137,3.6326),(845,1755,0.021565,3.6321),(845,1765,0.02176,3.6316),(845,1775,0.021958,3.6311),(845,1785,0.022156,3.6306),(845,1795,0.022354,3.6301),(845,1805,0.022554,3.6295),(845,1815,0.022755,3.629),(845,1825,0.022957,3.6285),(845,1835,0.023159,3.6279),(845,1845,0.023361,3.6274),(845,1855,0.023567,3.6268),(845,1865,0.023772,3.6263),(845,1875,0.023977,3.6257),(845,1885,0.024183,3.6252),(845,1895,0.024392,3.6246),(845,1905,0.0246,3.624),(845,1915,0.024809,3.6234),(845,1925,0.025019,3.6228),(845,1935,0.025231,3.6223),(845,1945,0.025442,3.6217),(845,1955,0.025654,3.621),(845,1965,0.025867,3.6204),(845,1975,0.026082,3.6198),(845,1985,0.026297,3.6192),(845,1995,0.026512,3.6186),(845,2005,0.026729,3.618),(845,2015,0.026947,3.6173),(845,2025,0.027165,3.6167),(845,2035,0.027382,3.616),(845,2045,0.027602,3.6154),(845,2055,0.027822,3.6147),(845,2065,0.028043,3.6141),(845,2075,0.028264,3.6134),(845,2085,0.028486,3.6127),(845,2095,0.028709,3.6121),(845,2105,0.028932,3.6114),(845,2115,0.029155,3.6107),(845,2125,0.02938,3.61),(845,2135,0.029606,3.6093),(845,2145,0.029831,3.6086),(845,2155,0.030057,3.6079),(845,2165,0.030283,3.6071),(845,2175,0.030511,3.6064),(845,2185,0.030739,3.6057),(845,2195,0.030966,3.605),(845,2205,0.031195,3.6042),(845,2215,0.031425,3.6035),(845,2225,0.031655,3.6027),(845,2235,0.031884,3.602),(845,2245,0.032115,3.6012),(845,2255,0.032347,3.6004),(845,2265,0.032578,3.5997),(845,2275,0.03281,3.5989),(845,2285,0.033042,3.5981),(845,2295,0.033275,3.5973),(845,2305,0.033508,3.5965),(845,2315,0.033741,3.5957),(845,2325,0.033975,3.5949),(845,2335,0.034209,3.5941),(845,2345,0.034444,3.5933),(845,2355,0.034678,3.5925),(845,2365,0.034913,3.5916),(845,2375,0.035149,3.5908),(845,2385,0.035384,3.59),(845,2395,0.035619,3.5891),(845,2405,0.035855,3.5883),(845,2415,0.036092,3.5874),(845,2425,0.036328,3.5865),(845,2435,0.036564,3.5857),(845,2445,0.036801,3.5848),(845,2455,0.037038,3.5839),(845,2465,0.037275,3.583),(845,2475,0.037511,3.5821),(845,2485,0.037749,3.5813),(845,2495,0.037986,3.5804),(845,2505,0.038223,3.5795),(845,2515,0.038461,3.5785),(845,2525,0.038698,3.5776),(845,2535,0.038936,3.5767),(845,2545,0.039174,3.5758),(845,2555,0.039411,3.5749),(845,2565,0.039649,3.5739),(845,2575,0.039887,3.573),(845,2585,0.040125,3.572),(845,2595,0.040363,3.5711),(845,2605,0.0406,3.5701),(845,2615,0.040838,3.5692),(845,2625,0.041076,3.5682),(845,2635,0.041313,3.5673),(845,2645,0.041551,3.5663),(845,2655,0.041788,3.5653),(845,2665,0.042026,3.5643),(845,2675,0.042263,3.5633),(845,2685,0.042501,3.5624),(845,2695,0.042738,3.5614),(845,2705,0.042975,3.5604),(845,2715,0.043212,3.5594),(845,2725,0.043449,3.5584),(845,2735,0.043686,3.5574),(845,2745,0.043923,3.5563),(845,2755,0.04416,3.5553),(845,2765,0.044396,3.5543),(845,2775,0.044633,3.5533),(845,2785,0.04487,3.5523),(845,2795,0.045106,3.5512),(845,2805,0.045342,3.5502),(845,2815,0.045579,3.5492),(845,2825,0.045815,3.5481),(845,2835,0.046051,3.5471),(845,2845,0.046287,3.5461),(845,2855,0.046523,3.545),(845,2865,0.046759,3.544),(845,2875,0.046994,3.5429),(845,2885,0.04723,3.5419),(845,2895,0.047465,3.5408),(845,2905,0.047701,3.5398),(845,2915,0.047936,3.5387),(845,2925,0.048171,3.5377),(845,2935,0.048406,3.5366),(845,2945,0.048641,3.5355),(845,2955,0.048876,3.5345),(845,2965,0.049111,3.5334),(845,2975,0.049346,3.5324),(845,2985,0.049581,3.5313),(845,2995,0.049816,3.5302),(845,3005,0.05005,3.5292),(845,3015,0.050285,3.5281),(845,3025,0.050519,3.527),(845,3035,0.050753,3.526),(845,3045,0.050987,3.5249),(845,3055,0.051222,3.5239),(845,3065,0.051456,3.5228),(845,3075,0.05169,3.5218),(845,3085,0.051923,3.5207),(845,3095,0.052157,3.5197),(845,3105,0.05239,3.5186),(845,3115,0.052623,3.5176),(845,3125,0.052856,3.5165),(845,3135,0.053088,3.5155),(845,3145,0.053321,3.5145),(845,3155,0.053553,3.5134),(845,3165,0.053785,3.5124),(845,3175,0.054016,3.5114),(845,3185,0.054248,3.5104),(845,3195,0.054479,3.5094),(845,3205,0.054709,3.5084),(845,3215,0.054939,3.5074),(845,3225,0.055169,3.5064),(845,3235,0.055396,3.5054),(845,3245,0.055624,3.5044),(845,3255,0.055851,3.5034),(845,3265,0.056078,3.5025),(845,3275,0.056301,3.5015),(845,3285,0.056524,3.5006),(845,3295,0.056747,3.4996),(845,3305,0.056969,3.4987),(845,3315,0.057187,3.4978),(845,3325,0.057403,3.4969),(845,3335,0.05762,3.496),(845,3345,0.057836,3.4951),(845,3355,0.058045,3.4942),(845,3365,0.058252,3.4934),(845,3375,0.058459,3.4925),(845,3385,0.058667,3.4917),(845,3395,0.058863,3.4909),(845,3405,0.059058,3.4901),(845,3415,0.059254,3.4893),(845,3425,0.059449,3.4885),(845,3435,0.059628,3.4878),(845,3445,0.059806,3.487),(845,3455,0.059985,3.4863),(845,3465,0.060163,3.4856),(845,3475,0.060319,3.4849),(845,3485,0.060474,3.4842),(845,3495,0.060629,3.4836),(845,3505,0.060784,3.4829),(845,3515,0.06091,3.4823),(845,3525,0.061035,3.4817),(845,3535,0.061161,3.4811),(845,3545,0.061285,3.4806),(845,3555,0.061372,3.4801),(845,3565,0.061459,3.4795),(845,3575,0.061547,3.4791),(845,3585,0.06163,3.4786),(845,3595,0.061669,3.4782),(845,3605,0.061708,3.4777),(845,3615,0.061747,3.4774),(845,3625,0.061778,3.477),(845,3635,0.061757,3.4767),(845,3645,0.061735,3.4763),(845,3655,0.061714,3.4761),(845,3665,0.061681,3.4758),(845,3675,0.061586,3.4756),(845,3685,0.06149,3.4753),(845,3695,0.061395,3.4752),(845,3705,0.061282,3.475),(845,3715,0.061099,3.4749),(845,3725,0.060915,3.4748),(845,3735,0.060731,3.4747),(845,3745,0.060523,3.4747),(845,3755,0.060235,3.4746),(845,3765,0.059947,3.4746),(845,3775,0.05966,3.4747),(845,3785,0.059338,3.4748),(845,3795,0.058931,3.4748),(845,3805,0.058523,3.4749),(845,3815,0.058116,3.4751),(845,3825,0.057665,3.4752),(845,3835,0.057123,3.4754),(845,3845,0.056581,3.4756),(845,3855,0.056039,3.4758),(845,3865,0.055443,3.4761),(845,3875,0.054753,3.4763),(845,3885,0.054063,3.4766),(845,3895,0.053372,3.4769),(845,3905,0.063257,3.4773),(845,3915,0.088941,3.4776),(845,3925,0.11462,3.4783),(845,3935,0.14031,3.4796),(845,3945,0.16621,3.4808),(845,3955,0.19241,3.4821),(845,3965,0.2186,3.4832),(845,3975,0.24479,3.484),(845,3985,0.25772,3.4849),(845,3995,0.2563,3.4857),(845,4005,0.25488,3.486),(845,4015,0.25347,3.4855),(845,4025,0.25152,3.4851),(845,4035,0.24953,3.4843),(845,4045,0.24754,3.4827),(845,4055,0.24534,3.4811),(845,4065,0.24307,3.4793),(845,4075,0.2408,3.4764),(845,4085,0.23847,3.4736),(845,4095,0.23608,3.4707),(845,4105,0.23369,3.4664),(845,4115,0.22305,3.4621),(845,4125,0.19876,3.4578),(845,4135,0.17446,3.4537),(845,4145,0.15006,3.4496),(845,4155,0.12521,3.4454),(845,4165,0.10035,3.4421),(845,4175,0.07666,3.4391),(845,4185,0.1103,3.4362),(845,4195,0.14394,3.4325),(845,4205,0.17758,3.4278),(845,4215,0.17209,3.4231),(845,4225,0.15925,3.4189),(845,4235,0.1464,3.4163),(845,4245,0.13021,3.4137),(845,4255,0.11233,3.4112),(845,4265,0.094448,3.4099),(845,4275,0.074823,3.4086),(845,4285,0.053346,3.4074),(845,4295,0.03187,3.407),(845,4305,0.022152,3.4068),(845,4315,0.038988,3.4066),(845,4325,0.055823,3.4055),(845,4335,0.073187,3.4041),(845,4345,0.094129,3.4026),(845,4355,0.11507,3.4003),(845,4365,0.13601,3.3973),(845,4375,0.15391,3.3943),(845,4385,0.17165,3.391),(845,4395,0.18938,3.3873),(845,4405,0.17348,3.3836),(845,4415,0.14765,3.3802),(845,4425,0.12183,3.3783),(845,4435,0.10825,3.3763),(845,4445,0.10305,3.3744),(845,4455,0.097854,3.3716),(845,4465,0.11765,3.3688),(845,4475,0.17255,3.366),(845,4485,0.22746,3.3608),(845,4495,0.27241,3.3552),(845,4505,0.28545,3.3496),(845,4515,0.29848,3.3445),(845,4525,0.31069,3.3395),(845,4535,0.30977,3.3346),(845,4545,0.30886,3.3303),(845,4555,0.30795,3.3265),(845,4565,0.22445,3.3228),(845,4575,0.12983,3.32),(845,4585,0.035208,3.3198),(845,4595,0.023491,3.3196),(845,4605,0.046802,3.319),(845,4615,0.070113,3.3162),(845,4625,0.10323,3.3135),(845,4635,0.14522,3.3107),(845,4645,0.18721,3.3046),(845,4655,0.23171,3.2984),(845,4665,0.28093,3.2922),(845,4675,0.33015,3.2839),(845,4685,0.35869,3.275),(845,4695,0.28505,3.2662),(845,4705,0.21141,3.2607),(845,4715,0.13777,3.2578),(845,4725,0.15714,3.2548),(845,4735,0.17743,3.2502),(845,4745,0.19773,3.2432),(845,4755,0.25388,3.2361),(845,4765,0.31834,3.2279),(845,4775,0.3828,3.2156),(845,4785,0.42629,3.2034),(845,4795,0.45765,3.1911),(845,4805,0.48901,3.1778),(845,4815,0.48887,3.1645),(845,4825,0.45107,3.1512),(845,4835,0.41326,3.1416),(845,4845,0.35953,3.1325),(845,4855,0.2643,3.1234),(845,4865,0.16906,3.1185),(845,4875,0.09265,3.1155),(845,4885,0.18753,3.1126),(845,4895,0.2824,3.105),(845,4905,0.37728,3.0931),(845,4915,0.38601,3.0812),(845,4925,0.38732,3.0695),(845,4935,0.38864,3.0581),(845,4945,0.36078,3.0468),(845,4955,0.3228,3.0361),(845,4965,0.28481,3.0287),(845,4975,0.22357,3.0213),(845,4985,0.14437,3.0139),(845,4995,0.065167,3.0132),(845,5005,0.05492,3.0126),(845,5015,0.1543,3.0121),(845,5025,0.25367,2.9995),(845,5035,0.34697,2.9838),(845,5045,0.4171,2.9681),(845,5055,0.48724,2.9486),(845,5065,0.55653,2.9268),(845,5075,0.59831,2.9049),(845,5085,0.64009,2.8827),(845,5095,0.68187,2.8601),(845,5105,0.61602,2.8374),(845,5115,0.53138,2.8176),(845,5125,0.44675,2.8057),(845,5135,0.37214,2.7939),(845,5145,0.30238,2.7825),(845,5155,0.23263,2.7763),(845,5165,0.26565,2.7701),(845,5175,0.40348,2.7639),(845,5185,0.54132,2.7472),(845,5195,0.64827,2.7294),(845,5205,0.68862,2.7117),(845,5215,0.72897,2.693),(845,5225,0.76483,2.674),(845,5235,0.77279,2.655),(845,5245,0.78075,2.6367),(845,5255,0.78871,2.6191),(845,5265,0.55073,2.6014),(845,5275,0.30261,2.5903),(845,5285,0.054482,2.5902),(845,5295,0.061676,2.5901),(845,5305,0.13997,2.5879),(845,5315,0.21827,2.5765),(845,5325,0.30943,2.5651),(845,5335,0.40904,2.5536),(845,5345,0.50864,2.5334),(845,5355,0.59777,2.5131),(845,5365,0.67275,2.4929),(845,5375,0.74773,2.4699),(845,5385,0.76066,2.4463),(845,5395,0.58493,2.4228),(845,5405,0.4092,2.4106),(845,5415,0.24543,2.4042),(845,5425,0.24236,2.3979),(845,5435,0.23929,2.3934),(845,5445,0.23622,2.3909),(845,5455,0.28327,2.3883),(845,5465,0.33645,2.3848),(845,5475,0.38962,2.3791),(845,5485,0.4135,2.3734),(845,5495,0.42558,2.3674),(845,5505,0.43766,2.3598),(845,5515,0.45062,2.3521),(845,5525,0.46436,2.3444),(845,5535,0.4781,2.3347),(845,5545,0.49221,2.3249),(845,5555,0.50698,2.3151),(845,5565,0.52174,2.3034),(845,5575,0.53673,2.2911),(845,5585,0.55272,2.2788),(845,5595,0.56871,2.2652),(845,5605,0.5847,2.2507),(845,5615,0.60219,2.2361),(845,5625,0.61968,2.2205),(845,5635,0.63717,2.2033),(845,5645,0.65611,2.1861),(845,5655,0.67537,2.1683),(845,5665,0.69462,2.1486),(845,5675,0.71504,2.1289),(845,5685,0.7361,2.109),(845,5695,0.75716,2.087),(845,5705,0.77908,2.0649),(845,5715,0.80198,2.0428),(845,5725,0.82488,2.0188),(845,5735,0.84826,1.9944),(845,5745,0.87283,1.9701),(845,5755,0.89739,1.9442),(845,5765,0.92212,1.9176),(845,5775,0.94821,1.8911),(845,5785,0.9743,1.8637),(845,5795,1.0004,1.8354),(845,5805,1.0275,1.8072),(845,5815,1.0547,1.7783),(845,5825,1.0818,1.7483),(845,5835,1.1094,1.7182),(845,5845,1.1371,1.688),(845,5855,1.1648,1.6565),(845,5865,1.1926,1.625),(845,5875,1.2205,1.5936),(845,5885,1.2483,1.5611),(845,5895,1.276,1.5286),(845,5905,1.3035,1.4961),(845,5915,1.331,1.4625),(845,5925,1.3583,1.4287),(845,5935,1.385,1.3948),(845,5945,1.4117,1.3604),(845,5955,1.4384,1.3257),(845,5965,1.4644,1.2909),(845,5975,1.4904,1.2559),(845,5985,1.5164,1.2205),(845,5995,1.1634,1.1851),(845,6005,0.74946,1.1581),(845,6015,0.33549,1.1534),(845,6025,0.28177,1.1487),(845,6035,0.39515,1.1432),(845,6045,0.50852,1.1297),(845,6055,0.59575,1.1161),(845,6065,0.65737,1.1025),(845,6075,0.71898,1.0847),(845,6085,0.7617,1.0665),(845,6095,0.76549,1.0483),(845,6105,0.76928,1.0299),(845,6115,0.77304,1.0114),(845,6125,0.77662,0.99287),(845,6135,0.7802,0.97424),(845,6145,0.78379,0.95551),(845,6155,0.78713,0.93677),(845,6165,0.79047,0.91784),(845,6175,0.79382,0.89856),(845,6185,0.79696,0.87929),(845,6195,0.80004,0.86),(845,6205,0.80313,0.84061),(845,6215,0.80607,0.82123),(845,6225,0.80891,0.80184),(845,6235,0.81176,0.78199),(845,6245,0.81448,0.76215),(845,6255,0.81706,0.74231),(845,6265,0.81965,0.72246),(845,6275,0.82216,0.70261),(845,6285,0.8245,0.68276),(845,6295,0.82684,0.66262),(845,6305,0.82916,0.64233),(845,6315,0.83122,0.62204),(845,6325,0.83328,0.60166),(845,6335,0.83534,0.58119),(845,6345,0.83726,0.56072),(845,6355,0.83916,0.54021),(845,6365,0.84107,0.51962),(845,6375,0.84275,0.49902),(845,6385,0.84435,0.47838),(845,6395,0.84594,0.45743),(845,6405,0.84743,0.43649),(845,6415,0.84882,0.41555),(845,6425,0.85021,0.39471),(845,6435,0.85151,0.37388),(845,6445,0.85266,0.35305),(845,6455,0.8538,0.33185),(845,6465,0.85489,0.31055),(845,6475,0.85577,0.28925),(845,6485,0.85664,0.26793),(845,6495,0.85751,0.24659),(845,6505,0.85822,0.22526),(845,6515,0.85892,0.20398),(845,6525,0.85963,0.18279),(845,6535,0.86014,0.1616),(845,6545,0.86062,0.14035),(845,6555,0.86109,0.11892),(845,6565,0.86139,0.097492),(845,6575,0.8616,0.076062),(845,6585,0.86181,0.05465),(845,6595,0.73307,0.033238),(845,6605,0.46195,0.011826),(845,6615,0.19082,0.00942),(845,6625,0.00023,0.009457),(845,6635,0.000232,0.009493),(845,6645,0.000233,0.009499),(845,6655,0.000235,0.009493),(845,6665,0.000236,0.009487),(845,6675,0.000238,0.00948),(845,6685,0.000239,0.009474),(845,6695,0.000241,0.009468),(845,6705,0.000242,0.009461),(845,6715,0.000244,0.009455),(845,6725,0.000245,0.009448),(845,6735,0.000247,0.009442),(845,6745,0.000248,0.009435),(845,6755,0.00025,0.009429),(845,6765,0.000251,0.009422),(845,6775,0.000253,0.009415),(845,6785,0.000254,0.009409),(845,6795,0.000256,0.009402),(845,6805,0.000257,0.009395),(845,6815,0.000258,0.009388),(845,6825,0.00026,0.009382),(845,6835,0.000261,0.009375),(845,6845,0.000263,0.009368),(845,6855,0.000264,0.009361),(845,6865,0.000265,0.009354),(845,6875,0.000267,0.009347),(845,6885,0.000268,0.00934),(845,6895,0.000269,0.009333),(845,6905,0.00027,0.009326),(845,6915,0.000272,0.009319),(845,6925,0.000273,0.009312),(845,6935,0.000274,0.009305),(845,6945,0.000275,0.009298),(845,6955,0.000277,0.009291),(845,6965,0.000278,0.009284),(845,6975,0.000279,0.009277),(845,6985,0.00028,0.00927),(855,5,4.1e-05,3.6683),(855,15,0.000123,3.6683),(855,25,0.000206,3.6683),(855,35,0.000288,3.6683),(855,45,0.00037,3.6683),(855,55,0.000453,3.6683),(855,65,0.000535,3.6683),(855,75,0.000618,3.6683),(855,85,0.000701,3.6683),(855,95,0.000783,3.6683),(855,105,0.000866,3.6682),(855,115,0.000949,3.6682),(855,125,0.001032,3.6682),(855,135,0.001115,3.6682),(855,145,0.001198,3.6682),(855,155,0.001281,3.6681),(855,165,0.001365,3.6681),(855,175,0.001448,3.6681),(855,185,0.001532,3.668),(855,195,0.001616,3.668),(855,205,0.0017,3.668),(855,215,0.001784,3.6679),(855,225,0.001869,3.6679),(855,235,0.001953,3.6678),(855,245,0.002038,3.6678),(855,255,0.002123,3.6678),(855,265,0.002208,3.6677),(855,275,0.002294,3.6677),(855,285,0.00238,3.6676),(855,295,0.002466,3.6676),(855,305,0.002552,3.6675),(855,315,0.002639,3.6674),(855,325,0.002726,3.6674),(855,335,0.002812,3.6673),(855,345,0.0029,3.6673),(855,355,0.002988,3.6672),(855,365,0.003076,3.6671),(855,375,0.003163,3.6671),(855,385,0.003252,3.667),(855,395,0.003342,3.6669),(855,405,0.003431,3.6668),(855,415,0.00352,3.6668),(855,425,0.00361,3.6667),(855,435,0.003701,3.6666),(855,445,0.003792,3.6665),(855,455,0.003882,3.6664),(855,465,0.003974,3.6664),(855,475,0.004067,3.6663),(855,485,0.004159,3.6662),(855,495,0.004251,3.6661),(855,505,0.004345,3.666),(855,515,0.004438,3.6659),(855,525,0.004532,3.6658),(855,535,0.004626,3.6657),(855,545,0.004722,3.6656),(855,555,0.004817,3.6655),(855,565,0.004913,3.6654),(855,575,0.005009,3.6653),(855,585,0.005106,3.6652),(855,595,0.005204,3.6651),(855,605,0.005302,3.6649),(855,615,0.0054,3.6648),(855,625,0.0055,3.6647),(855,635,0.005599,3.6646),(855,645,0.005699,3.6645),(855,655,0.005799,3.6643),(855,665,0.005901,3.6642),(855,675,0.006003,3.6641),(855,685,0.006105,3.6639),(855,695,0.006208,3.6638),(855,705,0.006312,3.6637),(855,715,0.006417,3.6635),(855,725,0.006521,3.6634),(855,735,0.006626,3.6632),(855,745,0.006733,3.6631),(855,755,0.006839,3.6629),(855,765,0.006946,3.6628),(855,775,0.007054,3.6626),(855,785,0.007163,3.6625),(855,795,0.007273,3.6623),(855,805,0.007382,3.6621),(855,815,0.007492,3.662),(855,825,0.007604,3.6618),(855,835,0.007717,3.6617),(855,845,0.007829,3.6615),(855,855,0.007942,3.6613),(855,865,0.008057,3.6611),(855,875,0.008172,3.6609),(855,885,0.008287,3.6608),(855,895,0.008403,3.6606),(855,905,0.008521,3.6604),(855,915,0.008639,3.6602),(855,925,0.008757,3.66),(855,935,0.008876,3.6598),(855,945,0.008997,3.6596),(855,955,0.009118,3.6594),(855,965,0.009239,3.6592),(855,975,0.009362,3.659),(855,985,0.009487,3.6588),(855,995,0.009611,3.6586),(855,1005,0.009735,3.6584),(855,1015,0.009861,3.6581),(855,1025,0.009989,3.6579),(855,1035,0.010116,3.6577),(855,1045,0.010244,3.6575),(855,1055,0.010373,3.6572),(855,1065,0.010504,3.657),(855,1075,0.010635,3.6568),(855,1085,0.010766,3.6565),(855,1095,0.010899,3.6563),(855,1105,0.011033,3.6561),(855,1115,0.011168,3.6558),(855,1125,0.011302,3.6556),(855,1135,0.011439,3.6553),(855,1145,0.011577,3.655),(855,1155,0.011715,3.6548),(855,1165,0.011853,3.6545),(855,1175,0.011993,3.6543),(855,1185,0.012135,3.654),(855,1195,0.012277,3.6537),(855,1205,0.012419,3.6534),(855,1215,0.012563,3.6532),(855,1225,0.012708,3.6529),(855,1235,0.012854,3.6526),(855,1245,0.012999,3.6523),(855,1255,0.013148,3.652),(855,1265,0.013297,3.6517),(855,1275,0.013446,3.6514),(855,1285,0.013596,3.6511),(855,1295,0.013748,3.6508),(855,1305,0.013901,3.6505),(855,1315,0.014054,3.6502),(855,1325,0.014207,3.6498),(855,1335,0.014364,3.6495),(855,1345,0.014521,3.6492),(855,1355,0.014678,3.6489),(855,1365,0.014835,3.6485),(855,1375,0.014995,3.6482),(855,1385,0.015156,3.6479),(855,1395,0.015317,3.6475),(855,1405,0.015478,3.6472),(855,1415,0.015643,3.6468),(855,1425,0.015808,3.6465),(855,1435,0.015972,3.6461),(855,1445,0.016137,3.6457),(855,1455,0.016306,3.6454),(855,1465,0.016475,3.645),(855,1475,0.016644,3.6446),(855,1485,0.016813,3.6442),(855,1495,0.016986,3.6438),(855,1505,0.017159,3.6435),(855,1515,0.017332,3.6431),(855,1525,0.017506,3.6427),(855,1535,0.017683,3.6423),(855,1545,0.01786,3.6419),(855,1555,0.018037,3.6415),(855,1565,0.018214,3.641),(855,1575,0.018395,3.6406),(855,1585,0.018576,3.6402),(855,1595,0.018757,3.6398),(855,1605,0.018939,3.6393),(855,1615,0.019124,3.6389),(855,1625,0.019309,3.6385),(855,1635,0.019494,3.638),(855,1645,0.019679,3.6376),(855,1655,0.019869,3.6371),(855,1665,0.020058,3.6367),(855,1675,0.020247,3.6362),(855,1685,0.020436,3.6357),(855,1695,0.020629,3.6353),(855,1705,0.020822,3.6348),(855,1715,0.021015,3.6343),(855,1725,0.021209,3.6338),(855,1735,0.021406,3.6333),(855,1745,0.021603,3.6328),(855,1755,0.0218,3.6323),(855,1765,0.021998,3.6318),(855,1775,0.022198,3.6313),(855,1785,0.022399,3.6308),(855,1795,0.022599,3.6303),(855,1805,0.022801,3.6297),(855,1815,0.023005,3.6292),(855,1825,0.023209,3.6287),(855,1835,0.023413,3.6281),(855,1845,0.023619,3.6276),(855,1855,0.023826,3.627),(855,1865,0.024034,3.6265),(855,1875,0.024242,3.6259),(855,1885,0.024451,3.6254),(855,1895,0.024662,3.6248),(855,1905,0.024873,3.6242),(855,1915,0.025084,3.6236),(855,1925,0.025296,3.6231),(855,1935,0.025511,3.6225),(855,1945,0.025725,3.6219),(855,1955,0.02594,3.6213),(855,1965,0.026156,3.6207),(855,1975,0.026373,3.62),(855,1985,0.026591,3.6194),(855,1995,0.026808,3.6188),(855,2005,0.027027,3.6182),(855,2015,0.027248,3.6175),(855,2025,0.027469,3.6169),(855,2035,0.027689,3.6163),(855,2045,0.027911,3.6156),(855,2055,0.028135,3.615),(855,2065,0.028358,3.6143),(855,2075,0.028581,3.6136),(855,2085,0.028806,3.6129),(855,2095,0.029032,3.6123),(855,2105,0.029258,3.6116),(855,2115,0.029484,3.6109),(855,2125,0.029711,3.6102),(855,2135,0.02994,3.6095),(855,2145,0.030168,3.6088),(855,2155,0.030396,3.6081),(855,2165,0.030626,3.6074),(855,2175,0.030856,3.6067),(855,2185,0.031087,3.6059),(855,2195,0.031317,3.6052),(855,2205,0.031549,3.6044),(855,2215,0.031781,3.6037),(855,2225,0.032014,3.603),(855,2235,0.032246,3.6022),(855,2245,0.03248,3.6014),(855,2255,0.032714,3.6007),(855,2265,0.032948,3.5999),(855,2275,0.033182,3.5991),(855,2285,0.033417,3.5983),(855,2295,0.033653,3.5975),(855,2305,0.033889,3.5967),(855,2315,0.034124,3.5959),(855,2325,0.034361,3.5951),(855,2335,0.034598,3.5943),(855,2345,0.034835,3.5935),(855,2355,0.035072,3.5927),(855,2365,0.035309,3.5919),(855,2375,0.035547,3.591),(855,2385,0.035785,3.5902),(855,2395,0.036023,3.5893),(855,2405,0.036262,3.5885),(855,2415,0.036501,3.5876),(855,2425,0.03674,3.5868),(855,2435,0.036978,3.5859),(855,2445,0.037218,3.585),(855,2455,0.037457,3.5842),(855,2465,0.037696,3.5833),(855,2475,0.037935,3.5824),(855,2485,0.038175,3.5815),(855,2495,0.038415,3.5806),(855,2505,0.038654,3.5797),(855,2515,0.038894,3.5788),(855,2525,0.039134,3.5779),(855,2535,0.039373,3.577),(855,2545,0.039613,3.576),(855,2555,0.039853,3.5751),(855,2565,0.040093,3.5742),(855,2575,0.040333,3.5732),(855,2585,0.040572,3.5723),(855,2595,0.040812,3.5713),(855,2605,0.041052,3.5704),(855,2615,0.041291,3.5694),(855,2625,0.041531,3.5685),(855,2635,0.04177,3.5675),(855,2645,0.04201,3.5665),(855,2655,0.042249,3.5656),(855,2665,0.042488,3.5646),(855,2675,0.042727,3.5636),(855,2685,0.042965,3.5626),(855,2695,0.043204,3.5616),(855,2705,0.043443,3.5606),(855,2715,0.043681,3.5596),(855,2725,0.043919,3.5586),(855,2735,0.044157,3.5576),(855,2745,0.044395,3.5566),(855,2755,0.044633,3.5556),(855,2765,0.04487,3.5546),(855,2775,0.045108,3.5535),(855,2785,0.045345,3.5525),(855,2795,0.045582,3.5515),(855,2805,0.045819,3.5504),(855,2815,0.046055,3.5494),(855,2825,0.046292,3.5484),(855,2835,0.046528,3.5473),(855,2845,0.046764,3.5463),(855,2855,0.047,3.5453),(855,2865,0.047236,3.5442),(855,2875,0.047471,3.5432),(855,2885,0.047706,3.5421),(855,2895,0.047941,3.5411),(855,2905,0.048176,3.54),(855,2915,0.04841,3.5389),(855,2925,0.048644,3.5379),(855,2935,0.048879,3.5368),(855,2945,0.049113,3.5358),(855,2955,0.049346,3.5347),(855,2965,0.049579,3.5336),(855,2975,0.049813,3.5326),(855,2985,0.050046,3.5315),(855,2995,0.050278,3.5305),(855,3005,0.050511,3.5294),(855,3015,0.050743,3.5283),(855,3025,0.050975,3.5273),(855,3035,0.051206,3.5262),(855,3045,0.051437,3.5252),(855,3055,0.051668,3.5241),(855,3065,0.051899,3.5231),(855,3075,0.05213,3.522),(855,3085,0.052359,3.5209),(855,3095,0.052589,3.5199),(855,3105,0.052819,3.5189),(855,3115,0.053047,3.5178),(855,3125,0.053275,3.5168),(855,3135,0.053503,3.5157),(855,3145,0.053731,3.5147),(855,3155,0.053957,3.5137),(855,3165,0.054183,3.5126),(855,3175,0.054409,3.5116),(855,3185,0.054635,3.5106),(855,3195,0.054858,3.5096),(855,3205,0.055081,3.5086),(855,3215,0.055304,3.5076),(855,3225,0.055527,3.5066),(855,3235,0.055747,3.5056),(855,3245,0.055966,3.5046),(855,3255,0.056185,3.5037),(855,3265,0.056404,3.5027),(855,3275,0.056618,3.5017),(855,3285,0.056832,3.5008),(855,3295,0.057045,3.4999),(855,3305,0.057258,3.4989),(855,3315,0.057465,3.498),(855,3325,0.05767,3.4971),(855,3335,0.057876,3.4962),(855,3345,0.058081,3.4953),(855,3355,0.058278,3.4945),(855,3365,0.058473,3.4936),(855,3375,0.058668,3.4927),(855,3385,0.058863,3.4919),(855,3395,0.059046,3.4911),(855,3405,0.059227,3.4903),(855,3415,0.059409,3.4895),(855,3425,0.05959,3.4887),(855,3435,0.059754,3.4879),(855,3445,0.059917,3.4872),(855,3455,0.06008,3.4865),(855,3465,0.060243,3.4858),(855,3475,0.060382,3.485),(855,3485,0.06052,3.4843),(855,3495,0.060659,3.4837),(855,3505,0.060797,3.4831),(855,3515,0.060904,3.4824),(855,3525,0.061012,3.4818),(855,3535,0.061119,3.4813),(855,3545,0.061224,3.4807),(855,3555,0.061292,3.4802),(855,3565,0.06136,3.4796),(855,3575,0.061428,3.4792),(855,3585,0.061491,3.4787),(855,3595,0.06151,3.4782),(855,3605,0.061529,3.4778),(855,3615,0.061547,3.4774),(855,3625,0.061558,3.477),(855,3635,0.061516,3.4767),(855,3645,0.061474,3.4763),(855,3655,0.061431,3.476),(855,3665,0.061377,3.4758),(855,3675,0.061261,3.4755),(855,3685,0.061145,3.4752),(855,3695,0.061029,3.4751),(855,3705,0.060895,3.4749),(855,3715,0.060692,3.4747),(855,3725,0.060488,3.4746),(855,3735,0.060284,3.4745),(855,3745,0.060055,3.4745),(855,3755,0.059749,3.4744),(855,3765,0.059443,3.4743),(855,3775,0.059136,3.4744),(855,3785,0.058797,3.4744),(855,3795,0.058373,3.4744),(855,3805,0.057949,3.4745),(855,3815,0.057525,3.4746),(855,3825,0.057059,3.4748),(855,3835,0.056504,3.4749),(855,3845,0.055948,3.475),(855,3855,0.055393,3.4752),(855,3865,0.054785,3.4755),(855,3875,0.054086,3.4757),(855,3885,0.053386,3.4759),(855,3895,0.052687,3.4762),(855,3905,0.062406,3.4765),(855,3915,0.08769,3.4767),(855,3925,0.11297,3.4774),(855,3935,0.13826,3.4785),(855,3945,0.16388,3.4797),(855,3955,0.18995,3.4808),(855,3965,0.21601,3.4818),(855,3975,0.24207,3.4825),(855,3985,0.25508,3.4832),(855,3995,0.25396,3.4839),(855,4005,0.25285,3.484),(855,4015,0.25173,3.4835),(855,4025,0.25012,3.483),(855,4035,0.24845,3.4822),(855,4045,0.24679,3.4805),(855,4055,0.24495,3.4789),(855,4065,0.24304,3.477),(855,4075,0.24113,3.4741),(855,4085,0.23918,3.4712),(855,4095,0.2372,3.4683),(855,4105,0.23521,3.4641),(855,4115,0.22489,3.4598),(855,4125,0.20074,3.4555),(855,4135,0.17659,3.4514),(855,4145,0.15228,3.4474),(855,4155,0.12735,3.4434),(855,4165,0.10242,3.44),(855,4175,0.078645,3.4371),(855,4185,0.11244,3.4342),(855,4195,0.14623,3.4305),(855,4205,0.18002,3.4259),(855,4215,0.17414,3.4212),(855,4225,0.1608,3.417),(855,4235,0.14745,3.4144),(855,4245,0.13097,3.4117),(855,4255,0.1129,3.4092),(855,4265,0.094834,3.4078),(855,4275,0.075075,3.4064),(855,4285,0.053522,3.405),(855,4295,0.031969,3.4046),(855,4305,0.022264,3.4044),(855,4315,0.039311,3.4041),(855,4325,0.056357,3.4027),(855,4335,0.073939,3.4008),(855,4345,0.095144,3.3989),(855,4355,0.11635,3.3962),(855,4365,0.13755,3.393),(855,4375,0.1555,3.3897),(855,4385,0.17327,3.3863),(855,4395,0.19104,3.3826),(855,4405,0.1749,3.3789),(855,4415,0.14876,3.3755),(855,4425,0.12263,3.3737),(855,4435,0.10915,3.3719),(855,4445,0.10432,3.3701),(855,4455,0.099497,3.3673),(855,4465,0.11964,3.3645),(855,4475,0.17486,3.3618),(855,4485,0.23009,3.3567),(855,4495,0.2752,3.3511),(855,4505,0.28786,3.3455),(855,4515,0.30051,3.3403),(855,4525,0.31234,3.3354),(855,4535,0.31106,3.3305),(855,4545,0.30978,3.3261),(855,4555,0.3085,3.3223),(855,4565,0.22487,3.3185),(855,4575,0.13013,3.3157),(855,4585,0.035398,3.3154),(855,4595,0.023967,3.3152),(855,4605,0.047733,3.3146),(855,4615,0.0715,3.3118),(855,4625,0.10511,3.309),(855,4635,0.14763,3.3062),(855,4645,0.19015,3.3002),(855,4655,0.23508,3.294),(855,4665,0.28455,3.2878),(855,4675,0.33402,3.2796),(855,4685,0.36261,3.2709),(855,4695,0.28806,3.2622),(855,4705,0.21351,3.2568),(855,4715,0.13896,3.254),(855,4725,0.15922,3.2511),(855,4735,0.18044,3.2465),(855,4745,0.20166,3.2395),(855,4755,0.25861,3.2324),(855,4765,0.32384,3.2242),(855,4775,0.38907,3.212),(855,4785,0.43284,3.1998),(855,4795,0.46419,3.1876),(855,4805,0.49554,3.1744),(855,4815,0.49505,3.1612),(855,4825,0.45649,3.1481),(855,4835,0.41793,3.1385),(855,4845,0.36345,3.1295),(855,4855,0.26743,3.1205),(855,4865,0.17142,3.1156),(855,4875,0.094459,3.1126),(855,4885,0.19079,3.1096),(855,4895,0.28713,3.102),(855,4905,0.38347,3.0899),(855,4915,0.39215,3.0779),(855,4925,0.39329,3.066),(855,4935,0.39443,3.0546),(855,4945,0.36601,3.0432),(855,4955,0.32735,3.0324),(855,4965,0.28868,3.0249),(855,4975,0.22656,3.0175),(855,4985,0.14632,3.0101),(855,4995,0.066085,3.0094),(855,5005,0.056344,3.0088),(855,5015,0.15868,3.0083),(855,5025,0.26101,2.9957),(855,5035,0.35684,2.9801),(855,5045,0.42792,2.9645),(855,5055,0.499,2.9452),(855,5065,0.5692,2.9235),(855,5075,0.61082,2.9018),(855,5085,0.65244,2.8798),(855,5095,0.69406,2.8575),(855,5105,0.62648,2.8351),(855,5115,0.53986,2.8155),(855,5125,0.45324,2.8038),(855,5135,0.37742,2.7921),(855,5145,0.30684,2.7809),(855,5155,0.23625,2.7747),(855,5165,0.26968,2.7684),(855,5175,0.40919,2.7621),(855,5185,0.54871,2.7454),(855,5195,0.65679,2.7276),(855,5205,0.69712,2.7098),(855,5215,0.73744,2.6912),(855,5225,0.77323,2.6722),(855,5235,0.78082,2.6533),(855,5245,0.7884,2.6351),(855,5255,0.79599,2.6175),(855,5265,0.55581,2.5999),(855,5275,0.30542,2.5888),(855,5285,0.05502,2.5888),(855,5295,0.063353,2.5887),(855,5305,0.14374,2.5864),(855,5315,0.22412,2.575),(855,5325,0.31696,2.5636),(855,5335,0.41797,2.552),(855,5345,0.51898,2.5318),(855,5355,0.609,2.5116),(855,5365,0.6842,2.4913),(855,5375,0.7594,2.4685),(855,5385,0.7718,2.4451),(855,5395,0.59327,2.4217),(855,5405,0.41473,2.4096),(855,5415,0.24829,2.4034),(855,5425,0.24431,2.3971),(855,5435,0.24033,2.3926),(855,5445,0.23635,2.3898),(855,5455,0.28358,2.387),(855,5465,0.33707,2.3833),(855,5475,0.39056,2.3773),(855,5485,0.4148,2.3713),(855,5495,0.42726,2.3651),(855,5505,0.43972,2.3571),(855,5515,0.45309,2.3492),(855,5525,0.46726,2.3413),(855,5535,0.48143,2.3313),(855,5545,0.49598,2.3212),(855,5555,0.51122,2.3112),(855,5565,0.52645,2.2992),(855,5575,0.54191,2.2868),(855,5585,0.55838,2.2743),(855,5595,0.57485,2.2605),(855,5605,0.59132,2.2458),(855,5615,0.60929,2.231),(855,5625,0.62726,2.2152),(855,5635,0.64524,2.1979),(855,5645,0.66465,2.1806),(855,5655,0.68437,2.1626),(855,5665,0.7041,2.1428),(855,5675,0.72497,2.123),(855,5685,0.74647,2.103),(855,5695,0.76797,2.0809),(855,5705,0.79031,2.0588),(855,5715,0.81361,2.0366),(855,5725,0.83691,2.0125),(855,5735,0.86067,1.9882),(855,5745,0.88556,1.9638),(855,5755,0.91046,1.9379),(855,5765,0.93551,1.9114),(855,5775,0.96186,1.8849),(855,5785,0.9882,1.8575),(855,5795,1.0145,1.8294),(855,5805,1.0418,1.8012),(855,5815,1.0692,1.7725),(855,5825,1.0966,1.7426),(855,5835,1.1243,1.7127),(855,5845,1.1521,1.6826),(855,5855,1.18,1.6513),(855,5865,1.2079,1.6201),(855,5875,1.2358,1.5889),(855,5885,1.2637,1.5567),(855,5895,1.2915,1.5245),(855,5905,1.319,1.4922),(855,5915,1.3465,1.459),(855,5925,1.3739,1.4254),(855,5935,1.4006,1.3919),(855,5945,1.4273,1.3578),(855,5955,1.454,1.3235),(855,5965,1.48,1.2891),(855,5975,1.506,1.2545),(855,5985,1.5321,1.2195),(855,5995,1.1754,1.1845),(855,6005,0.75718,1.1578),(855,6015,0.33895,1.1532),(855,6025,0.28481,1.1485),(855,6035,0.39954,1.143),(855,6045,0.51426,1.1295),(855,6055,0.60252,1.1159),(855,6065,0.66484,1.1023),(855,6075,0.72715,1.0845),(855,6085,0.77036,1.0662),(855,6095,0.77421,1.048),(855,6105,0.77806,1.0296),(855,6115,0.78187,1.011),(855,6125,0.7855,0.99251),(855,6135,0.78913,0.97386),(855,6145,0.79275,0.95511),(855,6155,0.79615,0.93637),(855,6165,0.79954,0.91742),(855,6175,0.80293,0.89813),(855,6185,0.80612,0.87885),(855,6195,0.80926,0.85955),(855,6205,0.81239,0.84016),(855,6215,0.81538,0.82077),(855,6225,0.81826,0.80137),(855,6235,0.82115,0.78152),(855,6245,0.82392,0.76167),(855,6255,0.82656,0.74182),(855,6265,0.8292,0.72197),(855,6275,0.83176,0.70213),(855,6285,0.83414,0.68228),(855,6295,0.83652,0.66214),(855,6305,0.83887,0.64184),(855,6315,0.84098,0.62155),(855,6325,0.84308,0.60118),(855,6335,0.84518,0.58075),(855,6345,0.84714,0.56032),(855,6355,0.84909,0.53983),(855,6365,0.85103,0.51923),(855,6375,0.85275,0.49862),(855,6385,0.85438,0.47798),(855,6395,0.85602,0.45705),(855,6405,0.85754,0.43613),(855,6415,0.85897,0.41521),(855,6425,0.86041,0.39439),(855,6435,0.86174,0.37357),(855,6445,0.86291,0.35275),(855,6455,0.86408,0.33156),(855,6465,0.8652,0.31026),(855,6475,0.8661,0.28896),(855,6485,0.86701,0.26766),(855,6495,0.86791,0.24636),(855,6505,0.86864,0.22506),(855,6515,0.86937,0.20381),(855,6525,0.8701,0.18264),(855,6535,0.87063,0.16146),(855,6545,0.87112,0.14023),(855,6555,0.87161,0.11881),(855,6565,0.87193,0.097397),(855,6575,0.87215,0.075982),(855,6585,0.87237,0.054584),(855,6595,0.74205,0.033186),(855,6605,0.46761,0.011788),(855,6615,0.19316,0.009394),(855,6625,0.000233,0.009443),(855,6635,0.000235,0.009491),(855,6645,0.000236,0.009501),(855,6655,0.000238,0.009495),(855,6665,0.00024,0.009488),(855,6675,0.000241,0.009482),(855,6685,0.000243,0.009476),(855,6695,0.000244,0.009469),(855,6705,0.000246,0.009463),(855,6715,0.000247,0.009456),(855,6725,0.000249,0.00945),(855,6735,0.00025,0.009443),(855,6745,0.000252,0.009437),(855,6755,0.000253,0.00943),(855,6765,0.000255,0.009423),(855,6775,0.000256,0.009417),(855,6785,0.000258,0.00941),(855,6795,0.000259,0.009403),(855,6805,0.00026,0.009397),(855,6815,0.000262,0.00939),(855,6825,0.000263,0.009383),(855,6835,0.000265,0.009376),(855,6845,0.000266,0.009369),(855,6855,0.000267,0.009362),(855,6865,0.000269,0.009356),(855,6875,0.00027,0.009349),(855,6885,0.000271,0.009342),(855,6895,0.000273,0.009335),(855,6905,0.000274,0.009328),(855,6915,0.000275,0.009321),(855,6925,0.000276,0.009314),(855,6935,0.000278,0.009307),(855,6945,0.000279,0.0093),(855,6955,0.00028,0.009293),(855,6965,0.000281,0.009285),(855,6975,0.000283,0.009278),(855,6985,0.000284,0.009271),(865,5,4.2e-05,3.6684),(865,15,0.000125,3.6684),(865,25,0.000208,3.6684),(865,35,0.000291,3.6684),(865,45,0.000374,3.6684),(865,55,0.000457,3.6684),(865,65,0.00054,3.6684),(865,75,0.000624,3.6684),(865,85,0.000707,3.6684),(865,95,0.000791,3.6683),(865,105,0.000874,3.6683),(865,115,0.000958,3.6683),(865,125,0.001042,3.6683),(865,135,0.001125,3.6683),(865,145,0.001209,3.6682),(865,155,0.001293,3.6682),(865,165,0.001378,3.6682),(865,175,0.001462,3.6681),(865,185,0.001546,3.6681),(865,195,0.001631,3.6681),(865,205,0.001716,3.668),(865,215,0.001801,3.668),(865,225,0.001886,3.668),(865,235,0.001972,3.6679),(865,245,0.002057,3.6679),(865,255,0.002143,3.6678),(865,265,0.00223,3.6678),(865,275,0.002316,3.6677),(865,285,0.002403,3.6677),(865,295,0.002489,3.6676),(865,305,0.002576,3.6676),(865,315,0.002664,3.6675),(865,325,0.002751,3.6675),(865,335,0.002839,3.6674),(865,345,0.002927,3.6673),(865,355,0.003016,3.6673),(865,365,0.003105,3.6672),(865,375,0.003193,3.6671),(865,385,0.003283,3.6671),(865,395,0.003373,3.667),(865,405,0.003463,3.6669),(865,415,0.003553,3.6669),(865,425,0.003645,3.6668),(865,435,0.003736,3.6667),(865,445,0.003828,3.6666),(865,455,0.003919,3.6665),(865,465,0.004012,3.6664),(865,475,0.004105,3.6664),(865,485,0.004198,3.6663),(865,495,0.004292,3.6662),(865,505,0.004386,3.6661),(865,515,0.004481,3.666),(865,525,0.004576,3.6659),(865,535,0.004671,3.6658),(865,545,0.004767,3.6657),(865,555,0.004864,3.6656),(865,565,0.00496,3.6655),(865,575,0.005057,3.6654),(865,585,0.005156,3.6653),(865,595,0.005254,3.6652),(865,605,0.005353,3.665),(865,615,0.005452,3.6649),(865,625,0.005553,3.6648),(865,635,0.005653,3.6647),(865,645,0.005754,3.6646),(865,655,0.005855,3.6644),(865,665,0.005958,3.6643),(865,675,0.006061,3.6642),(865,685,0.006164,3.664),(865,695,0.006268,3.6639),(865,705,0.006373,3.6638),(865,715,0.006479,3.6636),(865,725,0.006584,3.6635),(865,735,0.00669,3.6633),(865,745,0.006798,3.6632),(865,755,0.006906,3.663),(865,765,0.007014,3.6629),(865,775,0.007122,3.6627),(865,785,0.007233,3.6626),(865,795,0.007343,3.6624),(865,805,0.007454,3.6623),(865,815,0.007565,3.6621),(865,825,0.007679,3.6619),(865,835,0.007792,3.6618),(865,845,0.007905,3.6616),(865,855,0.00802,3.6614),(865,865,0.008136,3.6612),(865,875,0.008252,3.6611),(865,885,0.008368,3.6609),(865,895,0.008485,3.6607),(865,905,0.008605,3.6605),(865,915,0.008724,3.6603),(865,925,0.008843,3.6601),(865,935,0.008964,3.6599),(865,945,0.009086,3.6597),(865,955,0.009208,3.6595),(865,965,0.009331,3.6593),(865,975,0.009455,3.6591),(865,985,0.009581,3.6589),(865,995,0.009706,3.6587),(865,1005,0.009832,3.6585),(865,1015,0.009959,3.6583),(865,1025,0.010088,3.6581),(865,1035,0.010217,3.6578),(865,1045,0.010346,3.6576),(865,1055,0.010477,3.6574),(865,1065,0.010609,3.6571),(865,1075,0.010741,3.6569),(865,1085,0.010874,3.6567),(865,1095,0.011008,3.6564),(865,1105,0.011144,3.6562),(865,1115,0.01128,3.6559),(865,1125,0.011416,3.6557),(865,1135,0.011554,3.6554),(865,1145,0.011694,3.6552),(865,1155,0.011833,3.6549),(865,1165,0.011973,3.6547),(865,1175,0.012115,3.6544),(865,1185,0.012258,3.6541),(865,1195,0.012401,3.6539),(865,1205,0.012544,3.6536),(865,1215,0.01269,3.6533),(865,1225,0.012837,3.653),(865,1235,0.012984,3.6527),(865,1245,0.013132,3.6524),(865,1255,0.013282,3.6521),(865,1265,0.013432,3.6519),(865,1275,0.013583,3.6516),(865,1285,0.013734,3.6512),(865,1295,0.013888,3.6509),(865,1305,0.014043,3.6506),(865,1315,0.014198,3.6503),(865,1325,0.014353,3.65),(865,1335,0.014511,3.6497),(865,1345,0.01467,3.6494),(865,1355,0.014829,3.649),(865,1365,0.014988,3.6487),(865,1375,0.01515,3.6484),(865,1385,0.015313,3.648),(865,1395,0.015476,3.6477),(865,1405,0.015638,3.6473),(865,1415,0.015805,3.647),(865,1425,0.015972,3.6466),(865,1435,0.016139,3.6463),(865,1445,0.016305,3.6459),(865,1455,0.016476,3.6455),(865,1465,0.016647,3.6452),(865,1475,0.016818,3.6448),(865,1485,0.016989,3.6444),(865,1495,0.017164,3.644),(865,1505,0.017339,3.6436),(865,1515,0.017514,3.6432),(865,1525,0.017689,3.6428),(865,1535,0.017869,3.6424),(865,1545,0.018048,3.642),(865,1555,0.018227,3.6416),(865,1565,0.018406,3.6412),(865,1575,0.018589,3.6408),(865,1585,0.018773,3.6404),(865,1595,0.018956,3.64),(865,1605,0.01914,3.6395),(865,1615,0.019327,3.6391),(865,1625,0.019514,3.6387),(865,1635,0.019701,3.6382),(865,1645,0.019889,3.6378),(865,1655,0.02008,3.6373),(865,1665,0.020272,3.6369),(865,1675,0.020463,3.6364),(865,1685,0.020655,3.6359),(865,1695,0.02085,3.6354),(865,1705,0.021046,3.635),(865,1715,0.021241,3.6345),(865,1725,0.021437,3.634),(865,1735,0.021636,3.6335),(865,1745,0.021835,3.633),(865,1755,0.022035,3.6325),(865,1765,0.022235,3.632),(865,1775,0.022438,3.6315),(865,1785,0.022641,3.631),(865,1795,0.022844,3.6305),(865,1805,0.023048,3.6299),(865,1815,0.023255,3.6294),(865,1825,0.023461,3.6289),(865,1835,0.023668,3.6283),(865,1845,0.023876,3.6278),(865,1855,0.024086,3.6273),(865,1865,0.024296,3.6267),(865,1875,0.024506,3.6261),(865,1885,0.024718,3.6256),(865,1895,0.024932,3.625),(865,1905,0.025145,3.6244),(865,1915,0.025359,3.6239),(865,1925,0.025574,3.6233),(865,1935,0.025791,3.6227),(865,1945,0.026008,3.6221),(865,1955,0.026225,3.6215),(865,1965,0.026444,3.6209),(865,1975,0.026664,3.6203),(865,1985,0.026884,3.6196),(865,1995,0.027104,3.619),(865,2005,0.027326,3.6184),(865,2015,0.027549,3.6178),(865,2025,0.027773,3.6171),(865,2035,0.027996,3.6165),(865,2045,0.028221,3.6158),(865,2055,0.028447,3.6152),(865,2065,0.028673,3.6145),(865,2075,0.028899,3.6138),(865,2085,0.029126,3.6132),(865,2095,0.029355,3.6125),(865,2105,0.029584,3.6118),(865,2115,0.029812,3.6111),(865,2125,0.030043,3.6104),(865,2135,0.030274,3.6097),(865,2145,0.030505,3.609),(865,2155,0.030736,3.6083),(865,2165,0.030968,3.6076),(865,2175,0.031201,3.6069),(865,2185,0.031434,3.6062),(865,2195,0.031668,3.6054),(865,2205,0.031902,3.6047),(865,2215,0.032137,3.6039),(865,2225,0.032372,3.6032),(865,2235,0.032607,3.6024),(865,2245,0.032844,3.6017),(865,2255,0.033081,3.6009),(865,2265,0.033317,3.6001),(865,2275,0.033554,3.5994),(865,2285,0.033792,3.5986),(865,2295,0.034031,3.5978),(865,2305,0.034269,3.597),(865,2315,0.034507,3.5962),(865,2325,0.034747,3.5954),(865,2335,0.034986,3.5946),(865,2345,0.035226,3.5938),(865,2355,0.035465,3.5929),(865,2365,0.035706,3.5921),(865,2375,0.035946,3.5913),(865,2385,0.036187,3.5904),(865,2395,0.036427,3.5896),(865,2405,0.036669,3.5887),(865,2415,0.03691,3.5879),(865,2425,0.037151,3.587),(865,2435,0.037392,3.5861),(865,2445,0.037634,3.5853),(865,2455,0.037876,3.5844),(865,2465,0.038117,3.5835),(865,2475,0.038359,3.5826),(865,2485,0.038601,3.5817),(865,2495,0.038843,3.5808),(865,2505,0.039085,3.5799),(865,2515,0.039327,3.579),(865,2525,0.039569,3.5781),(865,2535,0.039811,3.5772),(865,2545,0.040053,3.5763),(865,2555,0.040295,3.5753),(865,2565,0.040536,3.5744),(865,2575,0.040778,3.5735),(865,2585,0.04102,3.5725),(865,2595,0.041262,3.5716),(865,2605,0.041503,3.5706),(865,2615,0.041745,3.5697),(865,2625,0.041986,3.5687),(865,2635,0.042228,3.5677),(865,2645,0.042468,3.5668),(865,2655,0.042709,3.5658),(865,2665,0.04295,3.5648),(865,2675,0.04319,3.5638),(865,2685,0.04343,3.5628),(865,2695,0.04367,3.5618),(865,2705,0.04391,3.5608),(865,2715,0.04415,3.5598),(865,2725,0.044389,3.5588),(865,2735,0.044628,3.5578),(865,2745,0.044867,3.5568),(865,2755,0.045106,3.5558),(865,2765,0.045344,3.5548),(865,2775,0.045582,3.5538),(865,2785,0.04582,3.5527),(865,2795,0.046058,3.5517),(865,2805,0.046295,3.5507),(865,2815,0.046532,3.5497),(865,2825,0.046769,3.5486),(865,2835,0.047005,3.5476),(865,2845,0.047241,3.5465),(865,2855,0.047477,3.5455),(865,2865,0.047712,3.5444),(865,2875,0.047948,3.5434),(865,2885,0.048182,3.5423),(865,2895,0.048416,3.5413),(865,2905,0.048651,3.5402),(865,2915,0.048885,3.5392),(865,2925,0.049118,3.5381),(865,2935,0.049351,3.5371),(865,2945,0.049584,3.536),(865,2955,0.049816,3.5349),(865,2965,0.050048,3.5339),(865,2975,0.050279,3.5328),(865,2985,0.050511,3.5318),(865,2995,0.050741,3.5307),(865,3005,0.050971,3.5296),(865,3015,0.051201,3.5286),(865,3025,0.051431,3.5275),(865,3035,0.051659,3.5265),(865,3045,0.051887,3.5254),(865,3055,0.052115,3.5243),(865,3065,0.052343,3.5233),(865,3075,0.05257,3.5222),(865,3085,0.052796,3.5212),(865,3095,0.053021,3.5201),(865,3105,0.053247,3.5191),(865,3115,0.053471,3.518),(865,3125,0.053695,3.517),(865,3135,0.053918,3.516),(865,3145,0.054141,3.5149),(865,3155,0.054362,3.5139),(865,3165,0.054581,3.5129),(865,3175,0.054801,3.5118),(865,3185,0.055021,3.5108),(865,3195,0.055238,3.5098),(865,3205,0.055454,3.5088),(865,3215,0.05567,3.5078),(865,3225,0.055886,3.5068),(865,3235,0.056098,3.5058),(865,3245,0.056309,3.5048),(865,3255,0.05652,3.5039),(865,3265,0.05673,3.5029),(865,3275,0.056936,3.502),(865,3285,0.057139,3.501),(865,3295,0.057343,3.5001),(865,3305,0.057547,3.4991),(865,3315,0.057743,3.4982),(865,3325,0.057938,3.4973),(865,3335,0.058132,3.4964),(865,3345,0.058327,3.4955),(865,3355,0.058512,3.4946),(865,3365,0.058694,3.4938),(865,3375,0.058877,3.4929),(865,3385,0.05906,3.4921),(865,3395,0.059229,3.4913),(865,3405,0.059396,3.4904),(865,3415,0.059564,3.4897),(865,3425,0.059731,3.4889),(865,3435,0.05988,3.4881),(865,3445,0.060027,3.4873),(865,3455,0.060175,3.4866),(865,3465,0.060322,3.4859),(865,3475,0.060445,3.4852),(865,3485,0.060567,3.4845),(865,3495,0.060688,3.4838),(865,3505,0.06081,3.4832),(865,3515,0.060899,3.4826),(865,3525,0.060988,3.4819),(865,3535,0.061077,3.4814),(865,3545,0.061164,3.4808),(865,3555,0.061212,3.4802),(865,3565,0.061261,3.4797),(865,3575,0.061309,3.4792),(865,3585,0.061353,3.4787),(865,3595,0.061351,3.4782),(865,3605,0.06135,3.4778),(865,3615,0.061348,3.4774),(865,3625,0.061338,3.477),(865,3635,0.061275,3.4766),(865,3645,0.061212,3.4763),(865,3655,0.061149,3.476),(865,3665,0.061074,3.4757),(865,3675,0.060937,3.4754),(865,3685,0.0608,3.4751),(865,3695,0.060663,3.4749),(865,3705,0.060509,3.4747),(865,3715,0.060285,3.4745),(865,3725,0.060061,3.4744),(865,3735,0.059837,3.4743),(865,3745,0.059588,3.4742),(865,3755,0.059263,3.4741),(865,3765,0.058938,3.474),(865,3775,0.058613,3.474),(865,3785,0.058255,3.474),(865,3795,0.057815,3.474),(865,3805,0.057375,3.4741),(865,3815,0.056934,3.4742),(865,3825,0.056453,3.4742),(865,3835,0.055884,3.4743),(865,3845,0.055315,3.4745),(865,3855,0.054747,3.4746),(865,3865,0.054128,3.4748),(865,3875,0.053419,3.475),(865,3885,0.05271,3.4752),(865,3895,0.052001,3.4754),(865,3905,0.061555,3.4757),(865,3915,0.08644,3.4759),(865,3925,0.11132,3.4765),(865,3935,0.13621,3.4775),(865,3945,0.16156,3.4785),(865,3955,0.18749,3.4796),(865,3965,0.21342,3.4804),(865,3975,0.23935,3.481),(865,3985,0.25244,3.4816),(865,3995,0.25163,3.4821),(865,4005,0.25081,3.4821),(865,4015,0.24999,3.4816),(865,4025,0.24871,3.481),(865,4035,0.24738,3.48),(865,4045,0.24604,3.4783),(865,4055,0.24455,3.4766),(865,4065,0.24301,3.4747),(865,4075,0.24146,3.4718),(865,4085,0.23989,3.4689),(865,4095,0.23832,3.466),(865,4105,0.23674,3.4618),(865,4115,0.22672,3.4576),(865,4125,0.20272,3.4533),(865,4135,0.17871,3.4493),(865,4145,0.15451,3.4454),(865,4155,0.12949,3.4414),(865,4165,0.10448,3.4381),(865,4175,0.080629,3.4353),(865,4185,0.11458,3.4325),(865,4195,0.14852,3.4289),(865,4205,0.18247,3.4242),(865,4215,0.1762,3.4195),(865,4225,0.16235,3.4154),(865,4235,0.1485,3.4127),(865,4245,0.13173,3.41),(865,4255,0.11348,3.4074),(865,4265,0.095219,3.4058),(865,4275,0.075327,3.4043),(865,4285,0.053698,3.4028),(865,4295,0.032069,3.4023),(865,4305,0.022376,3.402),(865,4315,0.039633,3.4016),(865,4325,0.056891,3.3998),(865,4335,0.074691,3.3974),(865,4345,0.096159,3.395),(865,4355,0.11763,3.392),(865,4365,0.1391,3.3885),(865,4375,0.15708,3.385),(865,4385,0.17488,3.3814),(865,4395,0.19269,3.3777),(865,4405,0.17632,3.374),(865,4415,0.14988,3.3707),(865,4425,0.12343,3.3691),(865,4435,0.11005,3.3675),(865,4445,0.10559,3.3659),(865,4455,0.10114,3.3631),(865,4465,0.12163,3.3604),(865,4475,0.17718,3.3576),(865,4485,0.23272,3.3526),(865,4495,0.27798,3.347),(865,4505,0.29026,3.3415),(865,4515,0.30255,3.3363),(865,4525,0.314,3.3314),(865,4535,0.31235,3.3264),(865,4545,0.31071,3.322),(865,4555,0.30906,3.3181),(865,4565,0.22529,3.3142),(865,4575,0.13044,3.3114),(865,4585,0.035587,3.3111),(865,4595,0.024442,3.3108),(865,4605,0.048665,3.3102),(865,4615,0.072887,3.3074),(865,4625,0.10699,3.3045),(865,4635,0.15004,3.3017),(865,4645,0.19309,3.2957),(865,4655,0.23845,3.2896),(865,4665,0.28816,3.2834),(865,4675,0.33788,3.2754),(865,4685,0.36653,3.2668),(865,4695,0.29107,3.2582),(865,4705,0.21561,3.2529),(865,4715,0.14014,3.2501),(865,4725,0.16131,3.2473),(865,4735,0.18345,3.2428),(865,4745,0.20559,3.2357),(865,4755,0.26334,3.2287),(865,4765,0.32934,3.2205),(865,4775,0.39535,3.2084),(865,4785,0.43939,3.1962),(865,4795,0.47073,3.1841),(865,4805,0.50207,3.171),(865,4815,0.50123,3.1579),(865,4825,0.46192,3.1448),(865,4835,0.42261,3.1353),(865,4845,0.36736,3.1264),(865,4855,0.27057,3.1175),(865,4865,0.17379,3.1126),(865,4875,0.096267,3.1096),(865,4885,0.19406,3.1065),(865,4895,0.29186,3.0988),(865,4905,0.38965,3.0866),(865,4915,0.39829,3.0745),(865,4925,0.39925,3.0625),(865,4935,0.40021,3.051),(865,4945,0.37124,3.0395),(865,4955,0.3319,3.0286),(865,4965,0.29255,3.0211),(865,4975,0.22954,3.0137),(865,4985,0.14827,3.0062),(865,4995,0.067002,3.0055),(865,5005,0.057769,3.005),(865,5015,0.16306,3.0044),(865,5025,0.26835,2.9919),(865,5035,0.36672,2.9764),(865,5045,0.43874,2.9609),(865,5055,0.51076,2.9417),(865,5065,0.58187,2.9202),(865,5075,0.62333,2.8987),(865,5085,0.66478,2.8769),(865,5095,0.70624,2.8548),(865,5105,0.63695,2.8327),(865,5115,0.54834,2.8133),(865,5125,0.45974,2.8018),(865,5135,0.38271,2.7903),(865,5145,0.31129,2.7792),(865,5155,0.23988,2.773),(865,5165,0.27371,2.7667),(865,5175,0.4149,2.7604),(865,5185,0.55609,2.7436),(865,5195,0.66531,2.7258),(865,5205,0.70562,2.708),(865,5215,0.74592,2.6893),(865,5225,0.78164,2.6704),(865,5235,0.78885,2.6515),(865,5245,0.79606,2.6333),(865,5255,0.80327,2.6158),(865,5265,0.56089,2.5984),(865,5275,0.30823,2.5873),(865,5285,0.055557,2.5873),(865,5295,0.06503,2.5872),(865,5305,0.1475,2.5849),(865,5315,0.22998,2.5734),(865,5325,0.32449,2.5619),(865,5335,0.42691,2.5503),(865,5345,0.52932,2.5301),(865,5355,0.62024,2.51),(865,5365,0.69566,2.4898),(865,5375,0.77108,2.4671),(865,5385,0.78295,2.4438),(865,5395,0.60161,2.4206),(865,5405,0.42026,2.4086),(865,5415,0.25115,2.4025),(865,5425,0.24626,2.3963),(865,5435,0.24137,2.3917),(865,5445,0.23648,2.3887),(865,5455,0.28389,2.3857),(865,5465,0.3377,2.3818),(865,5475,0.3915,2.3755),(865,5485,0.4161,2.3692),(865,5495,0.42894,2.3627),(865,5505,0.44178,2.3545),(865,5515,0.45556,2.3463),(865,5525,0.47016,2.3381),(865,5535,0.48476,2.3279),(865,5545,0.49975,2.3176),(865,5555,0.51546,2.3073),(865,5565,0.53116,2.2951),(865,5575,0.54708,2.2825),(865,5585,0.56404,2.2698),(865,5595,0.58099,2.2558),(865,5605,0.59794,2.2409),(865,5615,0.6164,2.226),(865,5625,0.63485,2.21),(865,5635,0.6533,2.1925),(865,5645,0.67318,2.1751),(865,5655,0.69338,2.157),(865,5665,0.71357,2.1371),(865,5675,0.73489,2.1171),(865,5685,0.75684,2.0971),(865,5695,0.77878,2.0749),(865,5705,0.80154,2.0527),(865,5715,0.82524,2.0305),(865,5725,0.84894,2.0064),(865,5735,0.87307,1.982),(865,5745,0.8983,1.9575),(865,5755,0.92353,1.9317),(865,5765,0.9489,1.9052),(865,5775,0.9755,1.8788),(865,5785,1.0021,1.8515),(865,5795,1.0287,1.8234),(865,5805,1.0562,1.7953),(865,5815,1.0837,1.7667),(865,5825,1.1113,1.7369),(865,5835,1.1392,1.7072),(865,5845,1.1672,1.6772),(865,5855,1.1951,1.6462),(865,5865,1.2231,1.6152),(865,5875,1.2512,1.5842),(865,5885,1.2792,1.5523),(865,5895,1.307,1.5203),(865,5905,1.3345,1.4884),(865,5915,1.3621,1.4554),(865,5925,1.3894,1.4222),(865,5935,1.4162,1.389),(865,5945,1.4429,1.3553),(865,5955,1.4696,1.3213),(865,5965,1.4956,1.2873),(865,5975,1.5217,1.2531),(865,5985,1.5477,1.2185),(865,5995,1.1874,1.184),(865,6005,0.7649,1.1575),(865,6015,0.34241,1.1529),(865,6025,0.28785,1.1483),(865,6035,0.40393,1.1428),(865,6045,0.52,1.1293),(865,6055,0.60929,1.1157),(865,6065,0.6723,1.1021),(865,6075,0.73532,1.0842),(865,6085,0.77902,1.066),(865,6095,0.78293,1.0477),(865,6105,0.78683,1.0292),(865,6115,0.7907,1.0107),(865,6125,0.79437,0.99214),(865,6135,0.79805,0.97348),(865,6145,0.80172,0.95472),(865,6155,0.80517,0.93596),(865,6165,0.80861,0.917),(865,6175,0.81205,0.89771),(865,6185,0.81529,0.87841),(865,6195,0.81847,0.8591),(865,6205,0.82166,0.8397),(865,6215,0.82468,0.82031),(865,6225,0.82761,0.8009),(865,6235,0.83054,0.78105),(865,6245,0.83337,0.7612),(865,6255,0.83606,0.74135),(865,6265,0.83875,0.7215),(865,6275,0.84136,0.70165),(865,6285,0.84378,0.6818),(865,6295,0.84619,0.66166),(865,6305,0.84859,0.64136),(865,6315,0.85074,0.62106),(865,6325,0.85288,0.60072),(865,6335,0.85503,0.58032),(865,6345,0.85703,0.55992),(865,6355,0.85901,0.53946),(865,6365,0.86099,0.51885),(865,6375,0.86275,0.49824),(865,6385,0.86442,0.47759),(865,6395,0.8661,0.45669),(865,6405,0.86766,0.4358),(865,6415,0.86913,0.4149),(865,6425,0.8706,0.39409),(865,6435,0.87197,0.37327),(865,6445,0.87317,0.35246),(865,6455,0.87436,0.33127),(865,6465,0.87551,0.30998),(865,6475,0.87644,0.28869),(865,6485,0.87738,0.26741),(865,6495,0.87831,0.24615),(865,6505,0.87906,0.22488),(865,6515,0.87982,0.20366),(865,6525,0.88058,0.1825),(865,6535,0.88112,0.16134),(865,6545,0.88163,0.14012),(865,6555,0.88214,0.11871),(865,6565,0.88246,0.097311),(865,6575,0.88269,0.07591),(865,6585,0.88292,0.054526),(865,6595,0.75103,0.033143),(865,6605,0.47327,0.011759),(865,6615,0.1955,0.009375),(865,6625,0.000236,0.009433),(865,6635,0.000238,0.00949),(865,6645,0.00024,0.009503),(865,6655,0.000241,0.009496),(865,6665,0.000243,0.00949),(865,6675,0.000244,0.009484),(865,6685,0.000246,0.009477),(865,6695,0.000248,0.009471),(865,6705,0.000249,0.009464),(865,6715,0.000251,0.009458),(865,6725,0.000252,0.009451),(865,6735,0.000254,0.009445),(865,6745,0.000255,0.009438),(865,6755,0.000257,0.009432),(865,6765,0.000258,0.009425),(865,6775,0.00026,0.009418),(865,6785,0.000261,0.009412),(865,6795,0.000262,0.009405),(865,6805,0.000264,0.009398),(865,6815,0.000265,0.009391),(865,6825,0.000267,0.009384),(865,6835,0.000268,0.009378),(865,6845,0.00027,0.009371),(865,6855,0.000271,0.009364),(865,6865,0.000272,0.009357),(865,6875,0.000274,0.00935),(865,6885,0.000275,0.009343),(865,6895,0.000276,0.009336),(865,6905,0.000278,0.009329),(865,6915,0.000279,0.009322),(865,6925,0.00028,0.009315),(865,6935,0.000281,0.009308),(865,6945,0.000283,0.009301),(865,6955,0.000284,0.009294),(865,6965,0.000285,0.009287),(865,6975,0.000286,0.009279),(865,6985,0.000287,0.009272),(875,5,4.2e-05,3.6685),(875,15,0.000126,3.6685),(875,25,0.00021,3.6685),(875,35,0.000294,3.6685),(875,45,0.000378,3.6685),(875,55,0.000461,3.6685),(875,65,0.000546,3.6685),(875,75,0.00063,3.6685),(875,85,0.000714,3.6684),(875,95,0.000798,3.6684),(875,105,0.000882,3.6684),(875,115,0.000967,3.6684),(875,125,0.001051,3.6684),(875,135,0.001136,3.6683),(875,145,0.001221,3.6683),(875,155,0.001306,3.6683),(875,165,0.001391,3.6683),(875,175,0.001476,3.6682),(875,185,0.001561,3.6682),(875,195,0.001647,3.6682),(875,205,0.001732,3.6681),(875,215,0.001818,3.6681),(875,225,0.001904,3.6681),(875,235,0.00199,3.668),(875,245,0.002077,3.668),(875,255,0.002163,3.6679),(875,265,0.00225,3.6679),(875,275,0.002338,3.6678),(875,285,0.002425,3.6678),(875,295,0.002512,3.6677),(875,305,0.0026,3.6677),(875,315,0.002689,3.6676),(875,325,0.002777,3.6676),(875,335,0.002865,3.6675),(875,345,0.002955,3.6674),(875,355,0.003044,3.6674),(875,365,0.003134,3.6673),(875,375,0.003223,3.6672),(875,385,0.003314,3.6672),(875,395,0.003405,3.6671),(875,405,0.003496,3.667),(875,415,0.003587,3.6669),(875,425,0.003679,3.6669),(875,435,0.003772,3.6668),(875,445,0.003864,3.6667),(875,455,0.003956,3.6666),(875,465,0.00405,3.6665),(875,475,0.004144,3.6665),(875,485,0.004238,3.6664),(875,495,0.004332,3.6663),(875,505,0.004428,3.6662),(875,515,0.004524,3.6661),(875,525,0.004619,3.666),(875,535,0.004715,3.6659),(875,545,0.004812,3.6658),(875,555,0.00491,3.6657),(875,565,0.005007,3.6656),(875,575,0.005105,3.6655),(875,585,0.005205,3.6654),(875,595,0.005304,3.6653),(875,605,0.005404,3.6651),(875,615,0.005504,3.665),(875,625,0.005605,3.6649),(875,635,0.005707,3.6648),(875,645,0.005809,3.6647),(875,655,0.005911,3.6645),(875,665,0.006015,3.6644),(875,675,0.006119,3.6643),(875,685,0.006223,3.6641),(875,695,0.006328,3.664),(875,705,0.006435,3.6639),(875,715,0.006541,3.6637),(875,725,0.006647,3.6636),(875,735,0.006754,3.6634),(875,745,0.006863,3.6633),(875,755,0.006972,3.6632),(875,765,0.007081,3.663),(875,775,0.007191,3.6628),(875,785,0.007303,3.6627),(875,795,0.007414,3.6625),(875,805,0.007526,3.6624),(875,815,0.007639,3.6622),(875,825,0.007753,3.662),(875,835,0.007867,3.6619),(875,845,0.007982,3.6617),(875,855,0.008097,3.6615),(875,865,0.008215,3.6614),(875,875,0.008332,3.6612),(875,885,0.00845,3.661),(875,895,0.008568,3.6608),(875,905,0.008689,3.6606),(875,915,0.008809,3.6604),(875,925,0.008929,3.6603),(875,935,0.009051,3.6601),(875,945,0.009175,3.6599),(875,955,0.009299,3.6597),(875,965,0.009422,3.6595),(875,975,0.009548,3.6593),(875,985,0.009675,3.659),(875,995,0.009801,3.6588),(875,1005,0.009928,3.6586),(875,1015,0.010057,3.6584),(875,1025,0.010187,3.6582),(875,1035,0.010318,3.658),(875,1045,0.010448,3.6577),(875,1055,0.01058,3.6575),(875,1065,0.010714,3.6573),(875,1075,0.010848,3.657),(875,1085,0.010982,3.6568),(875,1095,0.011118,3.6566),(875,1105,0.011255,3.6563),(875,1115,0.011392,3.6561),(875,1125,0.011529,3.6558),(875,1135,0.011669,3.6556),(875,1145,0.01181,3.6553),(875,1155,0.011951,3.6551),(875,1165,0.012092,3.6548),(875,1175,0.012236,3.6545),(875,1185,0.012381,3.6543),(875,1195,0.012525,3.654),(875,1205,0.01267,3.6537),(875,1215,0.012818,3.6534),(875,1225,0.012966,3.6532),(875,1235,0.013115,3.6529),(875,1245,0.013264,3.6526),(875,1255,0.013415,3.6523),(875,1265,0.013568,3.652),(875,1275,0.013721,3.6517),(875,1285,0.013873,3.6514),(875,1295,0.014029,3.6511),(875,1305,0.014186,3.6508),(875,1315,0.014342,3.6505),(875,1325,0.014499,3.6502),(875,1335,0.014659,3.6498),(875,1345,0.01482,3.6495),(875,1355,0.01498,3.6492),(875,1365,0.015141,3.6489),(875,1375,0.015305,3.6485),(875,1385,0.01547,3.6482),(875,1395,0.015634,3.6478),(875,1405,0.015799,3.6475),(875,1415,0.015967,3.6471),(875,1425,0.016136,3.6468),(875,1435,0.016305,3.6464),(875,1445,0.016473,3.6461),(875,1455,0.016646,3.6457),(875,1465,0.016819,3.6453),(875,1475,0.016992,3.645),(875,1485,0.017165,3.6446),(875,1495,0.017342,3.6442),(875,1505,0.017519,3.6438),(875,1515,0.017696,3.6434),(875,1525,0.017873,3.643),(875,1535,0.018054,3.6426),(875,1545,0.018236,3.6422),(875,1555,0.018417,3.6418),(875,1565,0.018598,3.6414),(875,1575,0.018784,3.641),(875,1585,0.018969,3.6406),(875,1595,0.019155,3.6401),(875,1605,0.01934,3.6397),(875,1615,0.01953,3.6393),(875,1625,0.019719,3.6388),(875,1635,0.019909,3.6384),(875,1645,0.020099,3.6379),(875,1655,0.020292,3.6375),(875,1665,0.020486,3.637),(875,1675,0.020679,3.6366),(875,1685,0.020874,3.6361),(875,1695,0.021071,3.6356),(875,1705,0.021269,3.6352),(875,1715,0.021466,3.6347),(875,1725,0.021665,3.6342),(875,1735,0.021867,3.6337),(875,1745,0.022068,3.6332),(875,1755,0.02227,3.6327),(875,1765,0.022472,3.6322),(875,1775,0.022678,3.6317),(875,1785,0.022883,3.6312),(875,1795,0.023089,3.6307),(875,1805,0.023295,3.6302),(875,1815,0.023504,3.6296),(875,1825,0.023713,3.6291),(875,1835,0.023923,3.6286),(875,1845,0.024133,3.628),(875,1855,0.024346,3.6275),(875,1865,0.024558,3.6269),(875,1875,0.024771,3.6264),(875,1885,0.024985,3.6258),(875,1895,0.025202,3.6252),(875,1905,0.025418,3.6247),(875,1915,0.025634,3.6241),(875,1925,0.025852,3.6235),(875,1935,0.026071,3.6229),(875,1945,0.026291,3.6223),(875,1955,0.026511,3.6217),(875,1965,0.026732,3.6211),(875,1975,0.026955,3.6205),(875,1985,0.027178,3.6199),(875,1995,0.0274,3.6192),(875,2005,0.027625,3.6186),(875,2015,0.027851,3.618),(875,2025,0.028077,3.6174),(875,2035,0.028303,3.6167),(875,2045,0.02853,3.6161),(875,2055,0.028759,3.6154),(875,2065,0.028988,3.6147),(875,2075,0.029216,3.6141),(875,2085,0.029447,3.6134),(875,2095,0.029678,3.6127),(875,2105,0.02991,3.612),(875,2115,0.030141,3.6114),(875,2125,0.030374,3.6107),(875,2135,0.030608,3.61),(875,2145,0.030841,3.6093),(875,2155,0.031075,3.6086),(875,2165,0.03131,3.6078),(875,2175,0.031546,3.6071),(875,2185,0.031782,3.6064),(875,2195,0.032018,3.6057),(875,2205,0.032255,3.6049),(875,2215,0.032493,3.6042),(875,2225,0.032731,3.6034),(875,2235,0.032969,3.6027),(875,2245,0.033208,3.6019),(875,2255,0.033448,3.6011),(875,2265,0.033687,3.6004),(875,2275,0.033927,3.5996),(875,2285,0.034167,3.5988),(875,2295,0.034408,3.598),(875,2305,0.034649,3.5972),(875,2315,0.034891,3.5964),(875,2325,0.035132,3.5956),(875,2335,0.035375,3.5948),(875,2345,0.035617,3.594),(875,2355,0.035859,3.5932),(875,2365,0.036102,3.5923),(875,2375,0.036345,3.5915),(875,2385,0.036588,3.5907),(875,2395,0.036831,3.5898),(875,2405,0.037075,3.589),(875,2415,0.037319,3.5881),(875,2425,0.037563,3.5873),(875,2435,0.037807,3.5864),(875,2445,0.038051,3.5855),(875,2455,0.038295,3.5847),(875,2465,0.038539,3.5838),(875,2475,0.038783,3.5829),(875,2485,0.039027,3.582),(875,2495,0.039271,3.5811),(875,2505,0.039516,3.5802),(875,2515,0.03976,3.5793),(875,2525,0.040004,3.5784),(875,2535,0.040248,3.5774),(875,2545,0.040492,3.5765),(875,2555,0.040736,3.5756),(875,2565,0.04098,3.5747),(875,2575,0.041224,3.5737),(875,2585,0.041468,3.5728),(875,2595,0.041712,3.5718),(875,2605,0.041955,3.5709),(875,2615,0.042198,3.5699),(875,2625,0.042441,3.5689),(875,2635,0.042685,3.568),(875,2645,0.042927,3.567),(875,2655,0.043169,3.566),(875,2665,0.043412,3.5651),(875,2675,0.043654,3.5641),(875,2685,0.043895,3.5631),(875,2695,0.044136,3.5621),(875,2705,0.044378,3.5611),(875,2715,0.044619,3.5601),(875,2725,0.044859,3.5591),(875,2735,0.045099,3.5581),(875,2745,0.045339,3.5571),(875,2755,0.045579,3.556),(875,2765,0.045818,3.555),(875,2775,0.046056,3.554),(875,2785,0.046295,3.553),(875,2795,0.046534,3.552),(875,2805,0.046771,3.5509),(875,2815,0.047008,3.5499),(875,2825,0.047246,3.5488),(875,2835,0.047482,3.5478),(875,2845,0.047718,3.5468),(875,2855,0.047954,3.5457),(875,2865,0.048189,3.5447),(875,2875,0.048424,3.5436),(875,2885,0.048658,3.5426),(875,2895,0.048892,3.5415),(875,2905,0.049126,3.5405),(875,2915,0.049359,3.5394),(875,2925,0.049591,3.5384),(875,2935,0.049823,3.5373),(875,2945,0.050055,3.5362),(875,2955,0.050286,3.5352),(875,2965,0.050516,3.5341),(875,2975,0.050746,3.533),(875,2985,0.050976,3.532),(875,2995,0.051204,3.5309),(875,3005,0.051432,3.5299),(875,3015,0.051659,3.5288),(875,3025,0.051886,3.5277),(875,3035,0.052112,3.5267),(875,3045,0.052337,3.5256),(875,3055,0.052562,3.5246),(875,3065,0.052787,3.5235),(875,3075,0.05301,3.5225),(875,3085,0.053232,3.5214),(875,3095,0.053454,3.5203),(875,3105,0.053676,3.5193),(875,3115,0.053896,3.5183),(875,3125,0.054114,3.5172),(875,3135,0.054332,3.5162),(875,3145,0.05455,3.5151),(875,3155,0.054766,3.5141),(875,3165,0.05498,3.5131),(875,3175,0.055194,3.5121),(875,3185,0.055408,3.511),(875,3195,0.055618,3.51),(875,3205,0.055827,3.509),(875,3215,0.056036,3.508),(875,3225,0.056245,3.507),(875,3235,0.056449,3.506),(875,3245,0.056652,3.505),(875,3255,0.056854,3.5041),(875,3265,0.057056,3.5031),(875,3275,0.057253,3.5022),(875,3285,0.057447,3.5012),(875,3295,0.057641,3.5003),(875,3305,0.057835,3.4993),(875,3315,0.058021,3.4984),(875,3325,0.058205,3.4975),(875,3335,0.058389,3.4966),(875,3345,0.058573,3.4957),(875,3355,0.058745,3.4948),(875,3365,0.058915,3.4939),(875,3375,0.059086,3.4931),(875,3385,0.059256,3.4923),(875,3395,0.059412,3.4914),(875,3405,0.059565,3.4906),(875,3415,0.059719,3.4898),(875,3425,0.059872,3.489),(875,3435,0.060006,3.4882),(875,3445,0.060138,3.4875),(875,3455,0.06027,3.4867),(875,3465,0.060402,3.486),(875,3475,0.060508,3.4853),(875,3485,0.060613,3.4846),(875,3495,0.060718,3.4839),(875,3505,0.060822,3.4833),(875,3515,0.060893,3.4826),(875,3525,0.060964,3.482),(875,3535,0.061035,3.4814),(875,3545,0.061104,3.4808),(875,3555,0.061133,3.4803),(875,3565,0.061161,3.4797),(875,3575,0.06119,3.4792),(875,3585,0.061215,3.4787),(875,3595,0.061193,3.4782),(875,3605,0.06117,3.4777),(875,3615,0.061148,3.4773),(875,3625,0.061118,3.4769),(875,3635,0.061034,3.4765),(875,3645,0.06095,3.4762),(875,3655,0.060866,3.4759),(875,3665,0.06077,3.4755),(875,3675,0.060612,3.4752),(875,3685,0.060455,3.4749),(875,3695,0.060297,3.4747),(875,3705,0.060122,3.4745),(875,3715,0.059878,3.4743),(875,3725,0.059633,3.4741),(875,3735,0.059389,3.474),(875,3745,0.059121,3.4739),(875,3755,0.058777,3.4738),(875,3765,0.058433,3.4737),(875,3775,0.058089,3.4736),(875,3785,0.057714,3.4736),(875,3795,0.057257,3.4736),(875,3805,0.0568,3.4736),(875,3815,0.056343,3.4737),(875,3825,0.055846,3.4737),(875,3835,0.055264,3.4738),(875,3845,0.054683,3.4739),(875,3855,0.054101,3.474),(875,3865,0.05347,3.4741),(875,3875,0.052752,3.4743),(875,3885,0.052034,3.4745),(875,3895,0.051316,3.4747),(875,3905,0.060704,3.4749),(875,3915,0.085189,3.4751),(875,3925,0.10968,3.4756),(875,3935,0.13416,3.4765),(875,3945,0.15923,3.4774),(875,3955,0.18503,3.4783),(875,3965,0.21083,3.479),(875,3975,0.23663,3.4795),(875,3985,0.2498,3.4799),(875,3995,0.24929,3.4804),(875,4005,0.24877,3.4803),(875,4015,0.24826,3.4796),(875,4025,0.2473,3.4789),(875,4035,0.2463,3.4779),(875,4045,0.2453,3.4761),(875,4055,0.24416,3.4744),(875,4065,0.24297,3.4725),(875,4075,0.24179,3.4696),(875,4085,0.24061,3.4667),(875,4095,0.23944,3.4637),(875,4105,0.23826,3.4596),(875,4115,0.22855,3.4554),(875,4125,0.2047,3.4513),(875,4135,0.18084,3.4473),(875,4145,0.15674,3.4435),(875,4155,0.13164,3.4396),(875,4165,0.10654,3.4365),(875,4175,0.082614,3.4338),(875,4185,0.11672,3.4311),(875,4195,0.15082,3.4276),(875,4205,0.18492,3.4229),(875,4215,0.17825,3.4183),(875,4225,0.1639,3.4142),(875,4235,0.14956,3.4113),(875,4245,0.13249,3.4085),(875,4255,0.11405,3.4058),(875,4265,0.095605,3.4041),(875,4275,0.075579,3.4024),(875,4285,0.053874,3.4007),(875,4295,0.032169,3.4001),(875,4305,0.022487,3.3997),(875,4315,0.039956,3.3992),(875,4325,0.057425,3.3969),(875,4335,0.075443,3.394),(875,4345,0.097174,3.391),(875,4355,0.11891,3.3876),(875,4365,0.14064,3.3839),(875,4375,0.15867,3.3801),(875,4385,0.1765,3.3764),(875,4395,0.19434,3.3728),(875,4405,0.17774,3.3691),(875,4415,0.15099,3.3659),(875,4425,0.12423,3.3645),(875,4435,0.11095,3.3631),(875,4445,0.10686,3.3616),(875,4455,0.10278,3.359),(875,4465,0.12363,3.3563),(875,4475,0.17949,3.3536),(875,4485,0.23535,3.3486),(875,4495,0.28077,3.3431),(875,4505,0.29267,3.3376),(875,4515,0.30458,3.3324),(875,4525,0.31566,3.3275),(875,4535,0.31365,3.3225),(875,4545,0.31163,3.318),(875,4555,0.30962,3.314),(875,4565,0.2257,3.31),(875,4575,0.13074,3.3071),(875,4585,0.035776,3.3068),(875,4595,0.024918,3.3065),(875,4605,0.049596,3.3059),(875,4615,0.074273,3.303),(875,4625,0.10887,3.3001),(875,4635,0.15245,3.2973),(875,4645,0.19603,3.2914),(875,4655,0.24182,3.2852),(875,4665,0.29178,3.2791),(875,4675,0.34175,3.2712),(875,4685,0.37045,3.2627),(875,4695,0.29408,3.2542),(875,4705,0.2177,3.249),(875,4715,0.14133,3.2462),(875,4725,0.1634,3.2434),(875,4735,0.18646,3.2389),(875,4745,0.20951,3.2319),(875,4755,0.26807,3.2249),(875,4765,0.33484,3.2167),(875,4775,0.40162,3.2046),(875,4785,0.44594,3.1926),(875,4795,0.47727,3.1804),(875,4805,0.5086,3.1675),(875,4815,0.50742,3.1545),(875,4825,0.46735,3.1415),(875,4835,0.42728,3.1321),(875,4845,0.37127,3.1232),(875,4855,0.27371,3.1144),(875,4865,0.17615,3.1095),(875,4875,0.098076,3.1064),(875,4885,0.19733,3.1033),(875,4895,0.29659,3.0955),(875,4905,0.39584,3.0832),(875,4915,0.40443,3.0709),(875,4925,0.40521,3.0589),(875,4935,0.406,3.0473),(875,4945,0.37648,3.0357),(875,4955,0.33645,3.0248),(875,4965,0.29642,3.0173),(875,4975,0.23253,3.0098),(875,4985,0.15022,3.0023),(875,4995,0.067919,3.0016),(875,5005,0.059193,3.0011),(875,5015,0.16744,3.0005),(875,5025,0.27569,2.9881),(875,5035,0.3766,2.9727),(875,5045,0.44956,2.9572),(875,5055,0.52253,2.9382),(875,5065,0.59455,2.9169),(875,5075,0.63584,2.8955),(875,5085,0.67713,2.874),(875,5095,0.71842,2.8521),(875,5105,0.64742,2.8302),(875,5115,0.55682,2.8111),(875,5125,0.46623,2.7998),(875,5135,0.38799,2.7884),(875,5145,0.31575,2.7775),(875,5155,0.2435,2.7711),(875,5165,0.27775,2.7648),(875,5175,0.42061,2.7585),(875,5185,0.56348,2.7417),(875,5195,0.67384,2.7239),(875,5205,0.71412,2.706),(875,5215,0.7544,2.6874),(875,5225,0.79004,2.6685),(875,5235,0.79688,2.6496),(875,5245,0.80371,2.6316),(875,5255,0.81055,2.6142),(875,5265,0.56598,2.5967),(875,5275,0.31104,2.5858),(875,5285,0.056095,2.5857),(875,5295,0.066707,2.5856),(875,5305,0.15127,2.5833),(875,5315,0.23584,2.5718),(875,5325,0.33203,2.5602),(875,5335,0.43584,2.5486),(875,5345,0.53966,2.5284),(875,5355,0.63147,2.5083),(875,5365,0.70711,2.4882),(875,5375,0.78275,2.4656),(875,5385,0.79409,2.4426),(875,5395,0.60994,2.4195),(875,5405,0.4258,2.4076),(875,5415,0.25401,2.4015),(875,5425,0.24821,2.3954),(875,5435,0.24241,2.3907),(875,5445,0.23661,2.3876),(875,5455,0.2842,2.3844),(875,5465,0.33832,2.3802),(875,5475,0.39244,2.3737),(875,5485,0.4174,2.3671),(875,5495,0.43062,2.3603),(875,5505,0.44384,2.3519),(875,5515,0.45803,2.3434),(875,5525,0.47306,2.3349),(875,5535,0.48809,2.3245),(875,5545,0.50353,2.3139),(875,5555,0.5197,2.3034),(875,5565,0.53586,2.2911),(875,5575,0.55226,2.2782),(875,5585,0.5697,2.2653),(875,5595,0.58713,2.2511),(875,5605,0.60457,2.236),(875,5615,0.6235,2.2209),(875,5625,0.64243,2.2048),(875,5635,0.66137,2.1872),(875,5645,0.68172,2.1696),(875,5655,0.70238,2.1515),(875,5665,0.72304,2.1314),(875,5675,0.74482,2.1114),(875,5685,0.7672,2.0912),(875,5695,0.78959,2.069),(875,5705,0.81277,2.0467),(875,5715,0.83687,2.0245),(875,5725,0.86097,2.0003),(875,5735,0.88548,1.9758),(875,5745,0.91104,1.9514),(875,5755,0.9366,1.9256),(875,5765,0.96229,1.8992),(875,5775,0.98914,1.8727),(875,5785,1.016,1.8455),(875,5795,1.0428,1.8175),(875,5805,1.0705,1.7895),(875,5815,1.0983,1.761),(875,5825,1.126,1.7314),(875,5835,1.154,1.7018),(875,5845,1.1822,1.6719),(875,5855,1.2103,1.6412),(875,5865,1.2384,1.6104),(875,5875,1.2665,1.5796),(875,5885,1.2946,1.5479),(875,5895,1.3225,1.5162),(875,5905,1.3501,1.4845),(875,5915,1.3776,1.4518),(875,5925,1.405,1.4189),(875,5935,1.4318,1.386),(875,5945,1.4585,1.3527),(875,5955,1.4852,1.3191),(875,5965,1.5113,1.2855),(875,5975,1.5373,1.2516),(875,5985,1.5633,1.2175),(875,5995,1.1993,1.1834),(875,6005,0.77261,1.1573),(875,6015,0.34587,1.1527),(875,6025,0.29089,1.1481),(875,6035,0.40832,1.1426),(875,6045,0.52575,1.1291),(875,6055,0.61606,1.1155),(875,6065,0.67977,1.1019),(875,6075,0.74349,1.084),(875,6085,0.78768,1.0657),(875,6095,0.79164,1.0474),(875,6105,0.7956,1.0289),(875,6115,0.79953,1.0103),(875,6125,0.80325,0.99177),(875,6135,0.80697,0.97309),(875,6145,0.81069,0.95433),(875,6155,0.81419,0.93556),(875,6165,0.81768,0.9166),(875,6175,0.82116,0.89729),(875,6185,0.82445,0.87799),(875,6195,0.82768,0.85866),(875,6205,0.83092,0.83926),(875,6215,0.83399,0.81985),(875,6225,0.83696,0.80044),(875,6235,0.83993,0.7806),(875,6245,0.84281,0.76075),(875,6255,0.84555,0.74091),(875,6265,0.8483,0.72105),(875,6275,0.85096,0.70119),(875,6285,0.85342,0.68134),(875,6295,0.85587,0.66119),(875,6305,0.8583,0.6409),(875,6315,0.86049,0.6206),(875,6325,0.86269,0.60028),(875,6335,0.86488,0.57991),(875,6345,0.86691,0.55955),(875,6355,0.86893,0.53911),(875,6365,0.87095,0.51849),(875,6375,0.87275,0.49787),(875,6385,0.87446,0.47722),(875,6395,0.87617,0.45636),(875,6405,0.87777,0.43549),(875,6415,0.87928,0.41462),(875,6425,0.88079,0.39381),(875,6435,0.88219,0.373),(875,6445,0.88342,0.35219),(875,6455,0.88465,0.33101),(875,6465,0.88582,0.30973),(875,6475,0.88678,0.28844),(875,6485,0.88775,0.26719),(875,6495,0.88871,0.24596),(875,6505,0.88949,0.22473),(875,6515,0.89027,0.20354),(875,6525,0.89105,0.18238),(875,6535,0.89161,0.16123),(875,6545,0.89214,0.14002),(875,6555,0.89266,0.11863),(875,6565,0.89299,0.097237),(875,6575,0.89323,0.075848),(875,6585,0.89347,0.054479),(875,6595,0.76001,0.033111),(875,6605,0.47892,0.011743),(875,6615,0.19784,0.009365),(875,6625,0.000239,0.009428),(875,6635,0.000241,0.009491),(875,6645,0.000243,0.009504),(875,6655,0.000244,0.009498),(875,6665,0.000246,0.009492),(875,6675,0.000248,0.009485),(875,6685,0.000249,0.009479),(875,6695,0.000251,0.009472),(875,6705,0.000252,0.009466),(875,6715,0.000254,0.009459),(875,6725,0.000256,0.009453),(875,6735,0.000257,0.009446),(875,6745,0.000259,0.009439),(875,6755,0.00026,0.009433),(875,6765,0.000262,0.009426),(875,6775,0.000263,0.00942),(875,6785,0.000264,0.009413),(875,6795,0.000266,0.009406),(875,6805,0.000267,0.009399),(875,6815,0.000269,0.009393),(875,6825,0.00027,0.009386),(875,6835,0.000272,0.009379),(875,6845,0.000273,0.009372),(875,6855,0.000274,0.009365),(875,6865,0.000276,0.009358),(875,6875,0.000277,0.009351),(875,6885,0.000278,0.009344),(875,6895,0.00028,0.009337),(875,6905,0.000281,0.00933),(875,6915,0.000282,0.009323),(875,6925,0.000284,0.009316),(875,6935,0.000285,0.009309),(875,6945,0.000286,0.009302),(875,6955,0.000287,0.009295),(875,6965,0.000289,0.009288),(875,6975,0.00029,0.009281),(875,6985,0.000291,0.009274),(885,5,4.2e-05,3.6686),(885,15,0.000127,3.6686),(885,25,0.000212,3.6686),(885,35,0.000296,3.6686),(885,45,0.000381,3.6686),(885,55,0.000466,3.6686),(885,65,0.000551,3.6686),(885,75,0.000635,3.6685),(885,85,0.00072,3.6685),(885,95,0.000805,3.6685),(885,105,0.00089,3.6685),(885,115,0.000976,3.6685),(885,125,0.001061,3.6685),(885,135,0.001146,3.6684),(885,145,0.001232,3.6684),(885,155,0.001318,3.6684),(885,165,0.001403,3.6684),(885,175,0.001489,3.6683),(885,185,0.001575,3.6683),(885,195,0.001662,3.6683),(885,205,0.001748,3.6682),(885,215,0.001834,3.6682),(885,225,0.001921,3.6681),(885,235,0.002009,3.6681),(885,245,0.002096,3.6681),(885,255,0.002183,3.668),(885,265,0.002271,3.668),(885,275,0.002359,3.6679),(885,285,0.002447,3.6679),(885,295,0.002535,3.6678),(885,305,0.002624,3.6678),(885,315,0.002713,3.6677),(885,325,0.002803,3.6676),(885,335,0.002892,3.6676),(885,345,0.002982,3.6675),(885,355,0.003072,3.6675),(885,365,0.003163,3.6674),(885,375,0.003253,3.6673),(885,385,0.003345,3.6673),(885,395,0.003436,3.6672),(885,405,0.003528,3.6671),(885,415,0.00362,3.667),(885,425,0.003713,3.667),(885,435,0.003806,3.6669),(885,445,0.0039,3.6668),(885,455,0.003993,3.6667),(885,465,0.004088,3.6666),(885,475,0.004182,3.6666),(885,485,0.004277,3.6665),(885,495,0.004372,3.6664),(885,505,0.004469,3.6663),(885,515,0.004565,3.6662),(885,525,0.004662,3.6661),(885,535,0.004759,3.666),(885,545,0.004857,3.6659),(885,555,0.004955,3.6658),(885,565,0.005054,3.6657),(885,575,0.005152,3.6656),(885,585,0.005253,3.6655),(885,595,0.005353,3.6654),(885,605,0.005454,3.6652),(885,615,0.005555,3.6651),(885,625,0.005658,3.665),(885,635,0.00576,3.6649),(885,645,0.005863,3.6648),(885,655,0.005966,3.6646),(885,665,0.006071,3.6645),(885,675,0.006176,3.6644),(885,685,0.006281,3.6642),(885,695,0.006387,3.6641),(885,705,0.006495,3.664),(885,715,0.006602,3.6638),(885,725,0.00671,3.6637),(885,735,0.006818,3.6636),(885,745,0.006928,3.6634),(885,755,0.007038,3.6633),(885,765,0.007148,3.6631),(885,775,0.007259,3.663),(885,785,0.007371,3.6628),(885,795,0.007484,3.6626),(885,805,0.007597,3.6625),(885,815,0.007711,3.6623),(885,825,0.007826,3.6622),(885,835,0.007942,3.662),(885,845,0.008057,3.6618),(885,855,0.008174,3.6616),(885,865,0.008293,3.6615),(885,875,0.008411,3.6613),(885,885,0.00853,3.6611),(885,895,0.008649,3.6609),(885,905,0.008771,3.6608),(885,915,0.008893,3.6606),(885,925,0.009014,3.6604),(885,935,0.009138,3.6602),(885,945,0.009262,3.66),(885,955,0.009388,3.6598),(885,965,0.009512,3.6596),(885,975,0.009639,3.6594),(885,985,0.009767,3.6592),(885,995,0.009895,3.659),(885,1005,0.010024,3.6588),(885,1015,0.010154,3.6585),(885,1025,0.010285,3.6583),(885,1035,0.010417,3.6581),(885,1045,0.010549,3.6579),(885,1055,0.010682,3.6576),(885,1065,0.010818,3.6574),(885,1075,0.010953,3.6572),(885,1085,0.011088,3.6569),(885,1095,0.011225,3.6567),(885,1105,0.011364,3.6565),(885,1115,0.011503,3.6562),(885,1125,0.011642,3.656),(885,1135,0.011783,3.6557),(885,1145,0.011925,3.6555),(885,1155,0.012068,3.6552),(885,1165,0.01221,3.6549),(885,1175,0.012355,3.6547),(885,1185,0.012502,3.6544),(885,1195,0.012648,3.6541),(885,1205,0.012794,3.6539),(885,1215,0.012944,3.6536),(885,1225,0.013094,3.6533),(885,1235,0.013244,3.653),(885,1245,0.013394,3.6527),(885,1255,0.013548,3.6525),(885,1265,0.013702,3.6522),(885,1275,0.013856,3.6519),(885,1285,0.014011,3.6516),(885,1295,0.014168,3.6513),(885,1305,0.014326,3.6509),(885,1315,0.014485,3.6506),(885,1325,0.014643,3.6503),(885,1335,0.014805,3.65),(885,1345,0.014967,3.6497),(885,1355,0.01513,3.6493),(885,1365,0.015292,3.649),(885,1375,0.015458,3.6487),(885,1385,0.015625,3.6484),(885,1395,0.015791,3.648),(885,1405,0.015958,3.6477),(885,1415,0.016128,3.6473),(885,1425,0.016298,3.647),(885,1435,0.016469,3.6466),(885,1445,0.01664,3.6462),(885,1455,0.016814,3.6459),(885,1465,0.016989,3.6455),(885,1475,0.017164,3.6451),(885,1485,0.017339,3.6448),(885,1495,0.017518,3.6444),(885,1505,0.017697,3.644),(885,1515,0.017876,3.6436),(885,1525,0.018055,3.6432),(885,1535,0.018239,3.6428),(885,1545,0.018422,3.6424),(885,1555,0.018605,3.642),(885,1565,0.018789,3.6416),(885,1575,0.018977,3.6412),(885,1585,0.019164,3.6408),(885,1595,0.019352,3.6403),(885,1605,0.01954,3.6399),(885,1615,0.019731,3.6395),(885,1625,0.019923,3.639),(885,1635,0.020115,3.6386),(885,1645,0.020307,3.6381),(885,1655,0.020503,3.6377),(885,1665,0.020698,3.6372),(885,1675,0.020894,3.6368),(885,1685,0.021091,3.6363),(885,1695,0.021291,3.6358),(885,1705,0.021491,3.6354),(885,1715,0.02169,3.6349),(885,1725,0.021891,3.6344),(885,1735,0.022095,3.6339),(885,1745,0.022299,3.6334),(885,1755,0.022503,3.6329),(885,1765,0.022708,3.6324),(885,1775,0.022916,3.6319),(885,1785,0.023124,3.6314),(885,1795,0.023332,3.6309),(885,1805,0.023541,3.6304),(885,1815,0.023752,3.6298),(885,1825,0.023964,3.6293),(885,1835,0.024176,3.6288),(885,1845,0.024389,3.6282),(885,1855,0.024604,3.6277),(885,1865,0.024819,3.6271),(885,1875,0.025035,3.6266),(885,1885,0.025251,3.626),(885,1895,0.02547,3.6254),(885,1905,0.025689,3.6249),(885,1915,0.025908,3.6243),(885,1925,0.026128,3.6237),(885,1935,0.02635,3.6231),(885,1945,0.026573,3.6225),(885,1955,0.026795,3.6219),(885,1965,0.027019,3.6213),(885,1975,0.027244,3.6207),(885,1985,0.02747,3.6201),(885,1995,0.027695,3.6195),(885,2005,0.027922,3.6188),(885,2015,0.028151,3.6182),(885,2025,0.02838,3.6176),(885,2035,0.028608,3.6169),(885,2045,0.028838,3.6163),(885,2055,0.02907,3.6156),(885,2065,0.029301,3.615),(885,2075,0.029533,3.6143),(885,2085,0.029766,3.6136),(885,2095,0.03,3.613),(885,2105,0.030234,3.6123),(885,2115,0.030469,3.6116),(885,2125,0.030704,3.6109),(885,2135,0.030941,3.6102),(885,2145,0.031177,3.6095),(885,2155,0.031414,3.6088),(885,2165,0.031652,3.6081),(885,2175,0.03189,3.6074),(885,2185,0.032129,3.6066),(885,2195,0.032368,3.6059),(885,2205,0.032608,3.6052),(885,2215,0.032849,3.6044),(885,2225,0.033089,3.6037),(885,2235,0.03333,3.6029),(885,2245,0.033572,3.6021),(885,2255,0.033814,3.6014),(885,2265,0.034056,3.6006),(885,2275,0.034299,3.5998),(885,2285,0.034542,3.5991),(885,2295,0.034786,3.5983),(885,2305,0.03503,3.5975),(885,2315,0.035273,3.5967),(885,2325,0.035518,3.5959),(885,2335,0.035763,3.5951),(885,2345,0.036008,3.5942),(885,2355,0.036253,3.5934),(885,2365,0.036498,3.5926),(885,2375,0.036744,3.5918),(885,2385,0.03699,3.5909),(885,2395,0.037235,3.5901),(885,2405,0.037482,3.5892),(885,2415,0.037728,3.5884),(885,2425,0.037974,3.5875),(885,2435,0.038221,3.5866),(885,2445,0.038467,3.5858),(885,2455,0.038714,3.5849),(885,2465,0.03896,3.584),(885,2475,0.039207,3.5831),(885,2485,0.039453,3.5822),(885,2495,0.0397,3.5813),(885,2505,0.039946,3.5804),(885,2515,0.040193,3.5795),(885,2525,0.040439,3.5786),(885,2535,0.040686,3.5777),(885,2545,0.040932,3.5768),(885,2555,0.041178,3.5758),(885,2565,0.041424,3.5749),(885,2575,0.04167,3.574),(885,2585,0.041916,3.573),(885,2595,0.042162,3.5721),(885,2605,0.042407,3.5711),(885,2615,0.042652,3.5702),(885,2625,0.042897,3.5692),(885,2635,0.043142,3.5682),(885,2645,0.043386,3.5673),(885,2655,0.04363,3.5663),(885,2665,0.043874,3.5653),(885,2675,0.044118,3.5643),(885,2685,0.044361,3.5633),(885,2695,0.044603,3.5623),(885,2705,0.044846,3.5613),(885,2715,0.045088,3.5603),(885,2725,0.04533,3.5593),(885,2735,0.045571,3.5583),(885,2745,0.045812,3.5573),(885,2755,0.046053,3.5563),(885,2765,0.046292,3.5553),(885,2775,0.046532,3.5543),(885,2785,0.046772,3.5532),(885,2795,0.047011,3.5522),(885,2805,0.047248,3.5512),(885,2815,0.047486,3.5501),(885,2825,0.047724,3.5491),(885,2835,0.047961,3.548),(885,2845,0.048197,3.547),(885,2855,0.048432,3.546),(885,2865,0.048668,3.5449),(885,2875,0.048903,3.5439),(885,2885,0.049136,3.5428),(885,2895,0.049369,3.5418),(885,2905,0.049603,3.5407),(885,2915,0.049835,3.5396),(885,2925,0.050066,3.5386),(885,2935,0.050297,3.5375),(885,2945,0.050528,3.5365),(885,2955,0.050758,3.5354),(885,2965,0.050986,3.5343),(885,2975,0.051214,3.5333),(885,2985,0.051443,3.5322),(885,2995,0.051669,3.5312),(885,3005,0.051894,3.5301),(885,3015,0.05212,3.529),(885,3025,0.052345,3.528),(885,3035,0.052568,3.5269),(885,3045,0.05279,3.5258),(885,3055,0.053012,3.5248),(885,3065,0.053234,3.5237),(885,3075,0.053453,3.5227),(885,3085,0.053671,3.5216),(885,3095,0.05389,3.5206),(885,3105,0.054108,3.5195),(885,3115,0.054323,3.5185),(885,3125,0.054537,3.5174),(885,3135,0.05475,3.5164),(885,3145,0.054964,3.5154),(885,3155,0.055174,3.5143),(885,3165,0.055383,3.5133),(885,3175,0.055591,3.5123),(885,3185,0.055799,3.5113),(885,3195,0.056003,3.5102),(885,3205,0.056205,3.5092),(885,3215,0.056408,3.5082),(885,3225,0.05661,3.5072),(885,3235,0.056806,3.5062),(885,3245,0.057001,3.5052),(885,3255,0.057195,3.5043),(885,3265,0.05739,3.5033),(885,3275,0.057577,3.5023),(885,3285,0.057763,3.5014),(885,3295,0.057948,3.5004),(885,3305,0.058133,3.4995),(885,3315,0.058308,3.4986),(885,3325,0.058482,3.4977),(885,3335,0.058655,3.4968),(885,3345,0.058829,3.4959),(885,3355,0.05899,3.495),(885,3365,0.059148,3.4941),(885,3375,0.059307,3.4933),(885,3385,0.059466,3.4924),(885,3395,0.059608,3.4916),(885,3405,0.059749,3.4907),(885,3415,0.059889,3.4899),(885,3425,0.060029,3.4892),(885,3435,0.060149,3.4884),(885,3445,0.060266,3.4876),(885,3455,0.060384,3.4868),(885,3465,0.060501,3.4861),(885,3475,0.060592,3.4854),(885,3485,0.060681,3.4847),(885,3495,0.06077,3.484),(885,3505,0.060859,3.4834),(885,3515,0.060912,3.4827),(885,3525,0.060966,3.482),(885,3535,0.06102,3.4815),(885,3545,0.061072,3.4809),(885,3555,0.061083,3.4803),(885,3565,0.061093,3.4797),(885,3575,0.061104,3.4792),(885,3585,0.061111,3.4787),(885,3595,0.06107,3.4782),(885,3605,0.061028,3.4777),(885,3615,0.060987,3.4773),(885,3625,0.060939,3.4769),(885,3635,0.060835,3.4765),(885,3645,0.060732,3.4761),(885,3655,0.060629,3.4757),(885,3665,0.060514,3.4754),(885,3675,0.060337,3.4751),(885,3685,0.06016,3.4748),(885,3695,0.059983,3.4745),(885,3705,0.059789,3.4743),(885,3715,0.059526,3.4741),(885,3725,0.059264,3.4739),(885,3735,0.059002,3.4737),(885,3745,0.058715,3.4736),(885,3755,0.058354,3.4734),(885,3765,0.057994,3.4733),(885,3775,0.057633,3.4733),(885,3785,0.057241,3.4732),(885,3795,0.056769,3.4731),(885,3805,0.056298,3.4731),(885,3815,0.055826,3.4731),(885,3825,0.055315,3.4732),(885,3835,0.054721,3.4732),(885,3845,0.054128,3.4733),(885,3855,0.053534,3.4734),(885,3865,0.052892,3.4735),(885,3875,0.052166,3.4736),(885,3885,0.05144,3.4737),(885,3895,0.050714,3.4739),(885,3905,0.059955,3.4741),(885,3915,0.084085,3.4742),(885,3925,0.10822,3.4747),(885,3935,0.13235,3.4755),(885,3945,0.15716,3.4763),(885,3955,0.18285,3.4771),(885,3965,0.20854,3.4777),(885,3975,0.23423,3.478),(885,3985,0.24747,3.4783),(885,3995,0.24723,3.4786),(885,4005,0.24699,3.4784),(885,4015,0.24675,3.4776),(885,4025,0.24609,3.4769),(885,4035,0.24538,3.4758),(885,4045,0.24468,3.474),(885,4055,0.24387,3.4722),(885,4065,0.24301,3.4702),(885,4075,0.24216,3.4673),(885,4085,0.24132,3.4644),(885,4095,0.24051,3.4615),(885,4105,0.23969,3.4574),(885,4115,0.23025,3.4533),(885,4125,0.20651,3.4492),(885,4135,0.18277,3.4453),(885,4145,0.15873,3.4416),(885,4155,0.13353,3.4378),(885,4165,0.10833,3.4348),(885,4175,0.084314,3.4323),(885,4185,0.11864,3.4297),(885,4195,0.15296,3.4263),(885,4205,0.18728,3.4217),(885,4215,0.1803,3.4171),(885,4225,0.16555,3.4129),(885,4235,0.15079,3.41),(885,4245,0.1335,3.4071),(885,4255,0.11491,3.4043),(885,4265,0.09633,3.4024),(885,4275,0.076174,3.4005),(885,4285,0.05435,3.3987),(885,4295,0.032526,3.3979),(885,4305,0.022917,3.3973),(885,4315,0.040893,3.3967),(885,4325,0.058868,3.3941),(885,4335,0.077334,3.3905),(885,4345,0.099119,3.387),(885,4355,0.1209,3.3832),(885,4365,0.14269,3.3792),(885,4375,0.16057,3.3752),(885,4385,0.17824,3.3714),(885,4395,0.19591,3.3678),(885,4405,0.17897,3.3642),(885,4415,0.15182,3.3611),(885,4425,0.12467,3.3599),(885,4435,0.11149,3.3586),(885,4445,0.10786,3.3574),(885,4455,0.10423,3.3548),(885,4465,0.12547,3.3522),(885,4475,0.18166,3.3496),(885,4485,0.23785,3.3446),(885,4495,0.28344,3.3391),(885,4505,0.29503,3.3337),(885,4515,0.30662,3.3285),(885,4525,0.31737,3.3235),(885,4535,0.31505,3.3186),(885,4545,0.31272,3.314),(885,4555,0.31039,3.3099),(885,4565,0.22628,3.3058),(885,4575,0.13115,3.3028),(885,4585,0.036015,3.3025),(885,4595,0.025426,3.3022),(885,4605,0.050561,3.3015),(885,4615,0.075695,3.2986),(885,4625,0.11076,3.2957),(885,4635,0.15483,3.2928),(885,4645,0.19889,3.287),(885,4655,0.24507,3.2809),(885,4665,0.29525,3.2748),(885,4675,0.34542,3.267),(885,4685,0.37416,3.2586),(885,4695,0.29693,3.2502),(885,4705,0.2197,3.2451),(885,4715,0.14247,3.2423),(885,4725,0.16544,3.2396),(885,4735,0.18942,3.2351),(885,4745,0.2134,3.2281),(885,4755,0.27273,3.2211),(885,4765,0.34026,3.2129),(885,4775,0.40778,3.2009),(885,4785,0.45235,3.1889),(885,4795,0.48366,3.1768),(885,4805,0.51496,3.1639),(885,4815,0.51342,3.151),(885,4825,0.47261,3.1382),(885,4835,0.4318,3.1288),(885,4845,0.37506,3.1201),(885,4855,0.27679,3.1113),(885,4865,0.17852,3.1064),(885,4875,0.099966,3.1033),(885,4885,0.20073,3.1002),(885,4895,0.30149,3.0923),(885,4905,0.40225,3.0799),(885,4915,0.41077,3.0674),(885,4925,0.41136,3.0553),(885,4935,0.41194,3.0436),(885,4945,0.38184,3.0319),(885,4955,0.34109,3.0209),(885,4965,0.30034,3.0134),(885,4975,0.23555,3.0059),(885,4985,0.1522,2.9984),(885,4995,0.068841,2.9977),(885,5005,0.060588,2.9971),(885,5015,0.17173,2.9966),(885,5025,0.28287,2.9843),(885,5035,0.38626,2.9689),(885,5045,0.46011,2.9536),(885,5055,0.53396,2.9346),(885,5065,0.60683,2.9135),(885,5075,0.64792,2.8924),(885,5085,0.68902,2.871),(885,5095,0.73011,2.8494),(885,5105,0.65744,2.8278),(885,5115,0.56492,2.8089),(885,5125,0.47241,2.7977),(885,5135,0.39306,2.7865),(885,5145,0.32009,2.7757),(885,5155,0.24713,2.7693),(885,5165,0.28184,2.763),(885,5175,0.42638,2.7566),(885,5185,0.57092,2.7398),(885,5195,0.68241,2.722),(885,5205,0.72263,2.7041),(885,5215,0.76286,2.6855),(885,5225,0.7984,2.6667),(885,5235,0.80484,2.6478),(885,5245,0.81128,2.6298),(885,5255,0.81771,2.6125),(885,5265,0.57098,2.5951),(885,5275,0.3138,2.5842),(885,5285,0.056627,2.5841),(885,5295,0.068403,2.584),(885,5305,0.15508,2.5817),(885,5315,0.24175,2.5701),(885,5325,0.33959,2.5585),(885,5335,0.44474,2.5468),(885,5345,0.5499,2.5267),(885,5355,0.64255,2.5067),(885,5365,0.71835,2.4866),(885,5375,0.79414,2.4641),(885,5385,0.80492,2.4413),(885,5395,0.61804,2.4184),(885,5405,0.43116,2.4066),(885,5415,0.25677,2.4005),(885,5425,0.25021,2.3945),(885,5435,0.24365,2.3898),(885,5445,0.23709,2.3864),(885,5455,0.28492,2.3831),(885,5465,0.33941,2.3787),(885,5475,0.3939,2.3719),(885,5485,0.41923,2.365),(885,5495,0.43281,2.3579),(885,5505,0.4464,2.3492),(885,5515,0.46098,2.3405),(885,5525,0.47643,2.3318),(885,5535,0.49188,2.3211),(885,5545,0.50775,2.3103),(885,5555,0.52437,2.2995),(885,5565,0.54099,2.287),(885,5575,0.55784,2.2739),(885,5585,0.57574,2.2608),(885,5595,0.59364,2.2464),(885,5605,0.61154,2.2312),(885,5615,0.63093,2.2159),(885,5625,0.65032,2.1996),(885,5635,0.66972,2.1819),(885,5645,0.69052,2.1642),(885,5655,0.71162,2.1459),(885,5665,0.73272,2.1257),(885,5675,0.75492,2.1056),(885,5685,0.77772,2.0853),(885,5695,0.80052,2.063),(885,5705,0.82409,2.0407),(885,5715,0.84855,2.0184),(885,5725,0.87301,1.9942),(885,5735,0.89788,1.9697),(885,5745,0.92374,1.9453),(885,5755,0.9496,1.9194),(885,5765,0.9756,1.8931),(885,5775,1.0027,1.8667),(885,5785,1.0298,1.8395),(885,5795,1.0568,1.8116),(885,5805,1.0847,1.7837),(885,5815,1.1126,1.7553),(885,5825,1.1405,1.7258),(885,5835,1.1686,1.6963),(885,5845,1.1969,1.6667),(885,5855,1.2251,1.6361),(885,5865,1.2533,1.6055),(885,5875,1.2814,1.575),(885,5885,1.3096,1.5435),(885,5895,1.3375,1.5121),(885,5905,1.3651,1.4806),(885,5915,1.3927,1.4483),(885,5925,1.4201,1.4157),(885,5935,1.4468,1.3831),(885,5945,1.4735,1.3501),(885,5955,1.5002,1.3169),(885,5965,1.5262,1.2837),(885,5975,1.5522,1.2502),(885,5985,1.5782,1.2165),(885,5995,1.2107,1.1828),(885,6005,0.77995,1.157),(885,6015,0.34916,1.1524),(885,6025,0.29384,1.1479),(885,6035,0.41267,1.1424),(885,6045,0.53151,1.1289),(885,6055,0.62286,1.1153),(885,6065,0.68729,1.1017),(885,6075,0.75171,1.0838),(885,6085,0.79639,1.0654),(885,6095,0.8004,1.0471),(885,6105,0.80442,1.0286),(885,6115,0.8084,1.01),(885,6125,0.81217,0.9914),(885,6135,0.81595,0.9727),(885,6145,0.81972,0.95393),(885,6155,0.82327,0.93517),(885,6165,0.82681,0.91619),(885,6175,0.83034,0.89688),(885,6185,0.83368,0.87756),(885,6195,0.83696,0.85823),(885,6205,0.84024,0.83881),(885,6215,0.84336,0.8194),(885,6225,0.84638,0.79998),(885,6235,0.84939,0.78014),(885,6245,0.85231,0.76031),(885,6255,0.85511,0.74047),(885,6265,0.8579,0.72061),(885,6275,0.86062,0.70074),(885,6285,0.86311,0.68087),(885,6295,0.8656,0.66072),(885,6305,0.86807,0.64043),(885,6315,0.8703,0.62014),(885,6325,0.87253,0.59984),(885,6335,0.87476,0.57951),(885,6345,0.87683,0.55918),(885,6355,0.87888,0.53875),(885,6365,0.88093,0.51813),(885,6375,0.88276,0.49751),(885,6385,0.8845,0.47686),(885,6395,0.88625,0.45602),(885,6405,0.88788,0.43518),(885,6415,0.88942,0.41434),(885,6425,0.89096,0.39353),(885,6435,0.89239,0.37273),(885,6445,0.89364,0.35192),(885,6455,0.89489,0.33075),(885,6465,0.89609,0.30947),(885,6475,0.89707,0.2882),(885,6485,0.89806,0.26697),(885,6495,0.89904,0.24578),(885,6505,0.89984,0.22458),(885,6515,0.90064,0.20341),(885,6525,0.90144,0.18227),(885,6535,0.90203,0.16112),(885,6545,0.90257,0.13992),(885,6555,0.90311,0.11854),(885,6565,0.90346,0.097163),(885,6575,0.90371,0.075785),(885,6585,0.90396,0.054432),(885,6595,0.76894,0.03308),(885,6605,0.48455,0.011727),(885,6615,0.20016,0.009355),(885,6625,0.000243,0.009423),(885,6635,0.000244,0.009491),(885,6645,0.000246,0.009506),(885,6655,0.000248,0.0095),(885,6665,0.000249,0.009493),(885,6675,0.000251,0.009487),(885,6685,0.000253,0.00948),(885,6695,0.000254,0.009474),(885,6705,0.000256,0.009467),(885,6715,0.000257,0.009461),(885,6725,0.000259,0.009454),(885,6735,0.00026,0.009448),(885,6745,0.000262,0.009441),(885,6755,0.000263,0.009435),(885,6765,0.000265,0.009428),(885,6775,0.000266,0.009421),(885,6785,0.000268,0.009414),(885,6795,0.000269,0.009408),(885,6805,0.000271,0.009401),(885,6815,0.000272,0.009394),(885,6825,0.000274,0.009387),(885,6835,0.000275,0.00938),(885,6845,0.000277,0.009373),(885,6855,0.000278,0.009367),(885,6865,0.000279,0.00936),(885,6875,0.000281,0.009353),(885,6885,0.000282,0.009346),(885,6895,0.000283,0.009339),(885,6905,0.000285,0.009332),(885,6915,0.000286,0.009324),(885,6925,0.000287,0.009317),(885,6935,0.000289,0.00931),(885,6945,0.00029,0.009303),(885,6955,0.000291,0.009296),(885,6965,0.000292,0.009289),(885,6975,0.000293,0.009282),(885,6985,0.000295,0.009275),(895,5,4.3e-05,3.6687),(895,15,0.000128,3.6687),(895,25,0.000213,3.6687),(895,35,0.000299,3.6687),(895,45,0.000384,3.6687),(895,55,0.00047,3.6687),(895,65,0.000555,3.6686),(895,75,0.000641,3.6686),(895,85,0.000727,3.6686),(895,95,0.000813,3.6686),(895,105,0.000898,3.6686),(895,115,0.000984,3.6686),(895,125,0.001071,3.6685),(895,135,0.001157,3.6685),(895,145,0.001243,3.6685),(895,155,0.001329,3.6685),(895,165,0.001416,3.6684),(895,175,0.001502,3.6684),(895,185,0.001589,3.6684),(895,195,0.001677,3.6683),(895,205,0.001764,3.6683),(895,215,0.001851,3.6683),(895,225,0.001939,3.6682),(895,235,0.002027,3.6682),(895,245,0.002115,3.6681),(895,255,0.002203,3.6681),(895,265,0.002291,3.6681),(895,275,0.00238,3.668),(895,285,0.002469,3.668),(895,295,0.002558,3.6679),(895,305,0.002648,3.6679),(895,315,0.002738,3.6678),(895,325,0.002828,3.6677),(895,335,0.002918,3.6677),(895,345,0.003009,3.6676),(895,355,0.0031,3.6676),(895,365,0.003191,3.6675),(895,375,0.003282,3.6674),(895,385,0.003375,3.6674),(895,395,0.003467,3.6673),(895,405,0.00356,3.6672),(895,415,0.003652,3.6671),(895,425,0.003746,3.6671),(895,435,0.00384,3.667),(895,445,0.003934,3.6669),(895,455,0.004029,3.6668),(895,465,0.004124,3.6667),(895,475,0.00422,3.6666),(895,485,0.004316,3.6666),(895,495,0.004412,3.6665),(895,505,0.004509,3.6664),(895,515,0.004607,3.6663),(895,525,0.004704,3.6662),(895,535,0.004802,3.6661),(895,545,0.004901,3.666),(895,555,0.005,3.6659),(895,565,0.0051,3.6658),(895,575,0.005199,3.6657),(895,585,0.005301,3.6656),(895,595,0.005402,3.6655),(895,605,0.005503,3.6653),(895,615,0.005605,3.6652),(895,625,0.005709,3.6651),(895,635,0.005813,3.665),(895,645,0.005916,3.6649),(895,655,0.00602,3.6647),(895,665,0.006127,3.6646),(895,675,0.006233,3.6645),(895,685,0.006339,3.6644),(895,695,0.006445,3.6642),(895,705,0.006554,3.6641),(895,715,0.006663,3.6639),(895,725,0.006771,3.6638),(895,735,0.00688,3.6637),(895,745,0.006991,3.6635),(895,755,0.007103,3.6634),(895,765,0.007214,3.6632),(895,775,0.007326,3.6631),(895,785,0.007439,3.6629),(895,795,0.007553,3.6628),(895,805,0.007667,3.6626),(895,815,0.007782,3.6624),(895,825,0.007899,3.6623),(895,835,0.008015,3.6621),(895,845,0.008132,3.6619),(895,855,0.00825,3.6618),(895,865,0.00837,3.6616),(895,875,0.008489,3.6614),(895,885,0.008609,3.6612),(895,895,0.00873,3.6611),(895,905,0.008853,3.6609),(895,915,0.008976,3.6607),(895,925,0.009099,3.6605),(895,935,0.009223,3.6603),(895,945,0.009349,3.6601),(895,955,0.009475,3.6599),(895,965,0.009602,3.6597),(895,975,0.009729,3.6595),(895,985,0.009859,3.6593),(895,995,0.009989,3.6591),(895,1005,0.010118,3.6589),(895,1015,0.010249,3.6587),(895,1025,0.010382,3.6584),(895,1035,0.010516,3.6582),(895,1045,0.010649,3.658),(895,1055,0.010784,3.6578),(895,1065,0.01092,3.6576),(895,1075,0.011057,3.6573),(895,1085,0.011193,3.6571),(895,1095,0.011332,3.6568),(895,1105,0.011472,3.6566),(895,1115,0.011613,3.6564),(895,1125,0.011753,3.6561),(895,1135,0.011895,3.6559),(895,1145,0.012039,3.6556),(895,1155,0.012183,3.6554),(895,1165,0.012327,3.6551),(895,1175,0.012474,3.6548),(895,1185,0.012622,3.6546),(895,1195,0.01277,3.6543),(895,1205,0.012918,3.654),(895,1215,0.013068,3.6537),(895,1225,0.01322,3.6535),(895,1235,0.013372,3.6532),(895,1245,0.013524,3.6529),(895,1255,0.013679,3.6526),(895,1265,0.013835,3.6523),(895,1275,0.013991,3.652),(895,1285,0.014147,3.6517),(895,1295,0.014306,3.6514),(895,1305,0.014466,3.6511),(895,1315,0.014626,3.6508),(895,1325,0.014786,3.6505),(895,1335,0.01495,3.6502),(895,1345,0.015114,3.6498),(895,1355,0.015278,3.6495),(895,1365,0.015442,3.6492),(895,1375,0.01561,3.6488),(895,1385,0.015778,3.6485),(895,1395,0.015947,3.6482),(895,1405,0.016115,3.6478),(895,1415,0.016287,3.6475),(895,1425,0.01646,3.6471),(895,1435,0.016632,3.6468),(895,1445,0.016805,3.6464),(895,1455,0.016981,3.646),(895,1465,0.017158,3.6457),(895,1475,0.017335,3.6453),(895,1485,0.017512,3.6449),(895,1495,0.017693,3.6445),(895,1505,0.017874,3.6442),(895,1515,0.018055,3.6438),(895,1525,0.018236,3.6434),(895,1535,0.018422,3.643),(895,1545,0.018607,3.6426),(895,1555,0.018793,3.6422),(895,1565,0.018978,3.6418),(895,1575,0.019168,3.6414),(895,1585,0.019358,3.6409),(895,1595,0.019547,3.6405),(895,1605,0.019738,3.6401),(895,1615,0.019931,3.6397),(895,1625,0.020125,3.6392),(895,1635,0.020319,3.6388),(895,1645,0.020514,3.6383),(895,1655,0.020712,3.6379),(895,1665,0.02091,3.6374),(895,1675,0.021108,3.637),(895,1685,0.021307,3.6365),(895,1695,0.021509,3.636),(895,1705,0.021711,3.6356),(895,1715,0.021913,3.6351),(895,1725,0.022117,3.6346),(895,1735,0.022323,3.6341),(895,1745,0.022529,3.6336),(895,1755,0.022736,3.6331),(895,1765,0.022943,3.6326),(895,1775,0.023153,3.6321),(895,1785,0.023364,3.6316),(895,1795,0.023574,3.6311),(895,1805,0.023785,3.6306),(895,1815,0.023999,3.6301),(895,1825,0.024214,3.6295),(895,1835,0.024428,3.629),(895,1845,0.024643,3.6284),(895,1855,0.024861,3.6279),(895,1865,0.025079,3.6273),(895,1875,0.025297,3.6268),(895,1885,0.025516,3.6262),(895,1895,0.025738,3.6257),(895,1905,0.025959,3.6251),(895,1915,0.02618,3.6245),(895,1925,0.026403,3.6239),(895,1935,0.026628,3.6233),(895,1945,0.026853,3.6227),(895,1955,0.027078,3.6221),(895,1965,0.027305,3.6215),(895,1975,0.027533,3.6209),(895,1985,0.027761,3.6203),(895,1995,0.027989,3.6197),(895,2005,0.028219,3.6191),(895,2015,0.02845,3.6184),(895,2025,0.028682,3.6178),(895,2035,0.028913,3.6172),(895,2045,0.029146,3.6165),(895,2055,0.02938,3.6159),(895,2065,0.029614,3.6152),(895,2075,0.029849,3.6145),(895,2085,0.030085,3.6139),(895,2095,0.030321,3.6132),(895,2105,0.030558,3.6125),(895,2115,0.030795,3.6118),(895,2125,0.031034,3.6111),(895,2135,0.031273,3.6104),(895,2145,0.031513,3.6097),(895,2155,0.031752,3.609),(895,2165,0.031993,3.6083),(895,2175,0.032234,3.6076),(895,2185,0.032476,3.6069),(895,2195,0.032717,3.6061),(895,2205,0.03296,3.6054),(895,2215,0.033203,3.6047),(895,2225,0.033447,3.6039),(895,2235,0.03369,3.6031),(895,2245,0.033935,3.6024),(895,2255,0.03418,3.6016),(895,2265,0.034425,3.6009),(895,2275,0.03467,3.6001),(895,2285,0.034916,3.5993),(895,2295,0.035163,3.5985),(895,2305,0.035409,3.5977),(895,2315,0.035656,3.5969),(895,2325,0.035903,3.5961),(895,2335,0.036151,3.5953),(895,2345,0.036398,3.5945),(895,2355,0.036646,3.5937),(895,2365,0.036894,3.5928),(895,2375,0.037142,3.592),(895,2385,0.037391,3.5912),(895,2395,0.037639,3.5903),(895,2405,0.037888,3.5895),(895,2415,0.038137,3.5886),(895,2425,0.038386,3.5877),(895,2435,0.038635,3.5869),(895,2445,0.038884,3.586),(895,2455,0.039133,3.5851),(895,2465,0.039382,3.5843),(895,2475,0.039631,3.5834),(895,2485,0.03988,3.5825),(895,2495,0.040129,3.5816),(895,2505,0.040378,3.5807),(895,2515,0.040626,3.5798),(895,2525,0.040875,3.5788),(895,2535,0.041124,3.5779),(895,2545,0.041372,3.577),(895,2555,0.041621,3.5761),(895,2565,0.041869,3.5751),(895,2575,0.042117,3.5742),(895,2585,0.042364,3.5733),(895,2595,0.042612,3.5723),(895,2605,0.042859,3.5714),(895,2615,0.043106,3.5704),(895,2625,0.043353,3.5694),(895,2635,0.0436,3.5685),(895,2645,0.043846,3.5675),(895,2655,0.044092,3.5665),(895,2665,0.044337,3.5655),(895,2675,0.044583,3.5646),(895,2685,0.044827,3.5636),(895,2695,0.045071,3.5626),(895,2705,0.045315,3.5616),(895,2715,0.045559,3.5606),(895,2725,0.045801,3.5596),(895,2735,0.046043,3.5586),(895,2745,0.046286,3.5575),(895,2755,0.046528,3.5565),(895,2765,0.046768,3.5555),(895,2775,0.047008,3.5545),(895,2785,0.047249,3.5535),(895,2795,0.047489,3.5524),(895,2805,0.047727,3.5514),(895,2815,0.047965,3.5504),(895,2825,0.048203,3.5493),(895,2835,0.04844,3.5483),(895,2845,0.048676,3.5472),(895,2855,0.048912,3.5462),(895,2865,0.049147,3.5451),(895,2875,0.049382,3.5441),(895,2885,0.049615,3.543),(895,2895,0.049848,3.542),(895,2905,0.050081,3.5409),(895,2915,0.050312,3.5399),(895,2925,0.050542,3.5388),(895,2935,0.050772,3.5378),(895,2945,0.051002,3.5367),(895,2955,0.051231,3.5356),(895,2965,0.051457,3.5346),(895,2975,0.051684,3.5335),(895,2985,0.051911,3.5324),(895,2995,0.052136,3.5314),(895,3005,0.052359,3.5303),(895,3015,0.052582,3.5293),(895,3025,0.052805,3.5282),(895,3035,0.053026,3.5271),(895,3045,0.053245,3.5261),(895,3055,0.053464,3.525),(895,3065,0.053682,3.524),(895,3075,0.053899,3.5229),(895,3085,0.054113,3.5218),(895,3095,0.054328,3.5208),(895,3105,0.054542,3.5197),(895,3115,0.054753,3.5187),(895,3125,0.054962,3.5176),(895,3135,0.055171,3.5166),(895,3145,0.05538,3.5156),(895,3155,0.055585,3.5145),(895,3165,0.055788,3.5135),(895,3175,0.055991,3.5125),(895,3185,0.056194,3.5115),(895,3195,0.056392,3.5104),(895,3205,0.056587,3.5094),(895,3215,0.056783,3.5084),(895,3225,0.056979,3.5074),(895,3235,0.057168,3.5064),(895,3245,0.057355,3.5054),(895,3255,0.057542,3.5045),(895,3265,0.057729,3.5035),(895,3275,0.057908,3.5025),(895,3285,0.058084,3.5016),(895,3295,0.05826,3.5006),(895,3305,0.058437,3.4997),(895,3315,0.058603,3.4988),(895,3325,0.058766,3.4978),(895,3335,0.058929,3.4969),(895,3345,0.059093,3.496),(895,3355,0.059243,3.4952),(895,3365,0.05939,3.4943),(895,3375,0.059537,3.4934),(895,3385,0.059685,3.4926),(895,3395,0.059815,3.4917),(895,3405,0.059943,3.4909),(895,3415,0.06007,3.4901),(895,3425,0.060198,3.4893),(895,3435,0.060304,3.4885),(895,3445,0.060408,3.4877),(895,3455,0.060511,3.487),(895,3465,0.060615,3.4862),(895,3475,0.06069,3.4855),(895,3485,0.060764,3.4848),(895,3495,0.060838,3.4841),(895,3505,0.060912,3.4834),(895,3515,0.060949,3.4828),(895,3525,0.060987,3.4821),(895,3535,0.061025,3.4815),(895,3545,0.061061,3.4809),(895,3555,0.061054,3.4803),(895,3565,0.061048,3.4797),(895,3575,0.061042,3.4792),(895,3585,0.061031,3.4787),(895,3595,0.060972,3.4782),(895,3605,0.060913,3.4777),(895,3615,0.060855,3.4773),(895,3625,0.060788,3.4768),(895,3635,0.060667,3.4764),(895,3645,0.060546,3.476),(895,3655,0.060424,3.4756),(895,3665,0.060291,3.4753),(895,3675,0.060097,3.4749),(895,3685,0.059902,3.4746),(895,3695,0.059707,3.4743),(895,3705,0.059496,3.4741),(895,3715,0.059216,3.4738),(895,3725,0.058936,3.4736),(895,3735,0.058657,3.4734),(895,3745,0.058354,3.4733),(895,3755,0.057977,3.4731),(895,3765,0.057601,3.4729),(895,3775,0.057225,3.4729),(895,3785,0.056817,3.4728),(895,3795,0.056332,3.4727),(895,3805,0.055847,3.4726),(895,3815,0.055362,3.4726),(895,3825,0.054838,3.4726),(895,3835,0.054234,3.4726),(895,3845,0.053629,3.4727),(895,3855,0.053025,3.4727),(895,3865,0.052374,3.4728),(895,3875,0.05164,3.4729),(895,3885,0.050907,3.473),(895,3895,0.050173,3.4731),(895,3905,0.05928,3.4733),(895,3915,0.083088,3.4734),(895,3925,0.1069,3.4738),(895,3935,0.1307,3.4745),(895,3945,0.15529,3.4751),(895,3955,0.18088,3.4758),(895,3965,0.20647,3.4763),(895,3975,0.23205,3.4765),(895,3985,0.24536,3.4767),(895,3995,0.24537,3.4768),(895,4005,0.24538,3.4765),(895,4015,0.2454,3.4756),(895,4025,0.24501,3.4748),(895,4035,0.24459,3.4736),(895,4045,0.24417,3.4718),(895,4055,0.24365,3.4699),(895,4065,0.2431,3.4679),(895,4075,0.24255,3.465),(895,4085,0.24203,3.4621),(895,4095,0.24155,3.4592),(895,4105,0.24106,3.4552),(895,4115,0.23186,3.4511),(895,4125,0.2082,3.4471),(895,4135,0.18455,3.4433),(895,4145,0.16056,3.4397),(895,4155,0.13525,3.4361),(895,4165,0.10994,3.4332),(895,4175,0.085807,3.4307),(895,4185,0.12039,3.4283),(895,4195,0.15498,3.425),(895,4205,0.18957,3.4204),(895,4215,0.18235,3.4159),(895,4225,0.16726,3.4117),(895,4235,0.15217,3.4087),(895,4245,0.13469,3.4057),(895,4255,0.116,3.4027),(895,4265,0.097302,3.4007),(895,4275,0.077017,3.3986),(895,4285,0.055043,3.3966),(895,4295,0.03307,3.3957),(895,4305,0.023579,3.395),(895,4315,0.042275,3.3943),(895,4325,0.060971,3.3912),(895,4335,0.080052,3.3871),(895,4345,0.10174,3.383),(895,4355,0.12343,3.3788),(895,4365,0.14511,3.3746),(895,4375,0.16269,3.3704),(895,4385,0.18006,3.3664),(895,4395,0.19742,3.3629),(895,4405,0.18006,3.3593),(895,4415,0.15245,3.3563),(895,4425,0.12484,3.3552),(895,4435,0.11177,3.3542),(895,4445,0.10865,3.3532),(895,4455,0.10553,3.3506),(895,4465,0.12721,3.3481),(895,4475,0.18373,3.3455),(895,4485,0.24026,3.3406),(895,4495,0.28604,3.3352),(895,4505,0.29735,3.3298),(895,4515,0.30866,3.3247),(895,4525,0.31914,3.3196),(895,4535,0.31653,3.3146),(895,4545,0.31393,3.31),(895,4555,0.31132,3.3058),(895,4565,0.22699,3.3016),(895,4575,0.13164,3.2985),(895,4585,0.036289,3.2982),(895,4595,0.025958,3.2978),(895,4605,0.05155,3.2972),(895,4615,0.077141,3.2943),(895,4625,0.11266,3.2913),(895,4635,0.15718,3.2884),(895,4645,0.2017,3.2826),(895,4655,0.24824,3.2766),(895,4665,0.2986,3.2705),(895,4675,0.34897,3.2628),(895,4685,0.37771,3.2545),(895,4695,0.29967,3.2463),(895,4705,0.22162,3.2412),(895,4715,0.14357,3.2385),(895,4725,0.16745,3.2357),(895,4735,0.19235,3.2313),(895,4745,0.21725,3.2243),(895,4755,0.27735,3.2172),(895,4765,0.3456,3.2091),(895,4775,0.41386,3.1972),(895,4785,0.45867,3.1852),(895,4795,0.48993,3.1732),(895,4805,0.52119,3.1604),(895,4815,0.51929,3.1476),(895,4825,0.47774,3.1348),(895,4835,0.4362,3.1256),(895,4845,0.37875,3.1169),(895,4855,0.27983,3.1082),(895,4865,0.18091,3.1033),(895,4875,0.10192,3.1001),(895,4885,0.20422,3.097),(895,4895,0.30652,3.089),(895,4905,0.40882,3.0765),(895,4915,0.41726,3.0639),(895,4925,0.41763,3.0517),(895,4935,0.418,3.0399),(895,4945,0.38729,3.0282),(895,4955,0.3458,3.0171),(895,4965,0.30431,3.0095),(895,4975,0.2386,3.002),(895,4985,0.15418,2.9945),(895,4995,0.069766,2.9938),(895,5005,0.061962,2.9932),(895,5015,0.17595,2.9927),(895,5025,0.28994,2.9804),(895,5035,0.39577,2.9652),(895,5045,0.47046,2.9499),(895,5055,0.54515,2.9311),(895,5065,0.61883,2.9102),(895,5075,0.6597,2.8892),(895,5085,0.70057,2.8681),(895,5095,0.74144,2.8467),(895,5105,0.66714,2.8253),(895,5115,0.57275,2.8067),(895,5125,0.47836,2.7956),(895,5135,0.39796,2.7846),(895,5145,0.32436,2.7739),(895,5155,0.25076,2.7675),(895,5165,0.28598,2.7611),(895,5175,0.4322,2.7548),(895,5185,0.57841,2.7379),(895,5195,0.69101,2.7201),(895,5205,0.73116,2.7022),(895,5215,0.77131,2.6836),(895,5225,0.80673,2.6648),(895,5235,0.81275,2.646),(895,5245,0.81877,2.628),(895,5255,0.82479,2.6108),(895,5265,0.57592,2.5935),(895,5275,0.31654,2.5826),(895,5285,0.057156,2.5826),(895,5295,0.070114,2.5825),(895,5305,0.15891,2.5802),(895,5315,0.24771,2.5685),(895,5325,0.34717,2.5569),(895,5335,0.45362,2.5451),(895,5345,0.56008,2.525),(895,5355,0.65352,2.505),(895,5365,0.72942,2.485),(895,5375,0.80532,2.4627),(895,5385,0.81551,2.44),(895,5395,0.62595,2.4173),(895,5405,0.43639,2.4056),(895,5415,0.25946,2.3996),(895,5425,0.25224,2.3936),(895,5435,0.24503,2.3888),(895,5445,0.23782,2.3853),(895,5455,0.28595,2.3818),(895,5465,0.34084,2.3772),(895,5475,0.39573,2.37),(895,5485,0.42143,2.3629),(895,5495,0.43538,2.3556),(895,5505,0.44932,2.3466),(895,5515,0.46429,2.3376),(895,5525,0.48014,2.3286),(895,5535,0.496,2.3177),(895,5545,0.51229,2.3067),(895,5555,0.52936,2.2956),(895,5565,0.54642,2.2829),(895,5575,0.56372,2.2696),(895,5585,0.58206,2.2563),(895,5595,0.60041,2.2418),(895,5605,0.61876,2.2263),(895,5615,0.6386,2.2108),(895,5625,0.65844,2.1944),(895,5635,0.67828,2.1765),(895,5645,0.6995,2.1587),(895,5655,0.72103,2.1403),(895,5665,0.74255,2.12),(895,5675,0.76515,2.0998),(895,5685,0.78834,2.0794),(895,5695,0.81153,2.0571),(895,5705,0.83547,2.0347),(895,5715,0.86027,2.0124),(895,5725,0.88507,1.9881),(895,5735,0.91026,1.9636),(895,5745,0.93642,1.9391),(895,5755,0.96257,1.9133),(895,5765,0.98885,1.887),(895,5775,1.0161,1.8606),(895,5785,1.0434,1.8335),(895,5795,1.0707,1.8057),(895,5805,1.0987,1.7779),(895,5815,1.1267,1.7496),(895,5825,1.1547,1.7202),(895,5835,1.183,1.6909),(895,5845,1.2113,1.6614),(895,5855,1.2396,1.631),(895,5865,1.2679,1.6007),(895,5875,1.2961,1.5703),(895,5885,1.3242,1.5391),(895,5895,1.3522,1.5079),(895,5905,1.3798,1.4768),(895,5915,1.4073,1.4447),(895,5925,1.4347,1.4124),(895,5935,1.4614,1.3802),(895,5945,1.4881,1.3476),(895,5955,1.5147,1.3147),(895,5965,1.5407,1.2818),(895,5975,1.5666,1.2488),(895,5985,1.5926,1.2155),(895,5995,1.2217,1.1822),(895,6005,0.78701,1.1567),(895,6015,0.35231,1.1522),(895,6025,0.29674,1.1476),(895,6035,0.41701,1.1422),(895,6045,0.53728,1.1286),(895,6055,0.6297,1.1151),(895,6065,0.69483,1.1015),(895,6075,0.75995,1.0835),(895,6085,0.80513,1.0652),(895,6095,0.8092,1.0468),(895,6105,0.81327,1.0283),(895,6115,0.8173,1.0097),(895,6125,0.82113,0.99103),(895,6135,0.82497,0.97232),(895,6145,0.8288,0.95354),(895,6155,0.8324,0.93477),(895,6165,0.83598,0.91578),(895,6175,0.83956,0.89646),(895,6185,0.84295,0.87714),(895,6195,0.84628,0.85779),(895,6205,0.84961,0.83837),(895,6215,0.85278,0.81895),(895,6225,0.85584,0.79952),(895,6235,0.8589,0.77969),(895,6245,0.86186,0.75986),(895,6255,0.8647,0.74004),(895,6265,0.86754,0.72016),(895,6275,0.87031,0.70028),(895,6285,0.87283,0.6804),(895,6295,0.87536,0.66025),(895,6305,0.87787,0.63997),(895,6315,0.88014,0.61968),(895,6325,0.88241,0.59939),(895,6335,0.88468,0.5791),(895,6345,0.88677,0.5588),(895,6355,0.88885,0.5384),(895,6365,0.89092,0.51777),(895,6375,0.89278,0.49715),(895,6385,0.89455,0.47649),(895,6395,0.89632,0.45568),(895,6405,0.89798,0.43487),(895,6415,0.89955,0.41407),(895,6425,0.90112,0.39326),(895,6435,0.90257,0.37245),(895,6445,0.90384,0.35165),(895,6455,0.90511,0.33048),(895,6465,0.90633,0.30922),(895,6475,0.90733,0.28796),(895,6485,0.90833,0.26676),(895,6495,0.90933,0.2456),(895,6505,0.91015,0.22444),(895,6515,0.91096,0.20329),(895,6525,0.91178,0.18215),(895,6535,0.91239,0.16102),(895,6545,0.91295,0.13982),(895,6555,0.91351,0.11846),(895,6565,0.91388,0.097089),(895,6575,0.91415,0.075723),(895,6585,0.91442,0.054386),(895,6595,0.77784,0.033048),(895,6605,0.49016,0.011711),(895,6615,0.20248,0.009345),(895,6625,0.000246,0.009418),(895,6635,0.000248,0.009491),(895,6645,0.000249,0.009508),(895,6655,0.000251,0.009501),(895,6665,0.000253,0.009495),(895,6675,0.000254,0.009489),(895,6685,0.000256,0.009482),(895,6695,0.000258,0.009475),(895,6705,0.000259,0.009469),(895,6715,0.000261,0.009462),(895,6725,0.000262,0.009456),(895,6735,0.000264,0.009449),(895,6745,0.000265,0.009443),(895,6755,0.000267,0.009436),(895,6765,0.000268,0.009429),(895,6775,0.00027,0.009423),(895,6785,0.000271,0.009416),(895,6795,0.000273,0.009409),(895,6805,0.000274,0.009402),(895,6815,0.000276,0.009395),(895,6825,0.000277,0.009389),(895,6835,0.000279,0.009382),(895,6845,0.00028,0.009375),(895,6855,0.000282,0.009368),(895,6865,0.000283,0.009361),(895,6875,0.000284,0.009354),(895,6885,0.000286,0.009347),(895,6895,0.000287,0.00934),(895,6905,0.000288,0.009333),(895,6915,0.00029,0.009326),(895,6925,0.000291,0.009319),(895,6935,0.000292,0.009312),(895,6945,0.000293,0.009305),(895,6955,0.000295,0.009297),(895,6965,0.000296,0.00929),(895,6975,0.000297,0.009283),(895,6985,0.000298,0.009276),(905,5,4.3e-05,3.6688),(905,15,0.000129,3.6688),(905,25,0.000215,3.6688),(905,35,0.000302,3.6688),(905,45,0.000388,3.6687),(905,55,0.000474,3.6687),(905,65,0.00056,3.6687),(905,75,0.000647,3.6687),(905,85,0.000733,3.6687),(905,95,0.00082,3.6687),(905,105,0.000906,3.6687),(905,115,0.000993,3.6686),(905,125,0.00108,3.6686),(905,135,0.001167,3.6686),(905,145,0.001254,3.6686),(905,155,0.001341,3.6686),(905,165,0.001429,3.6685),(905,175,0.001516,3.6685),(905,185,0.001603,3.6685),(905,195,0.001691,3.6684),(905,205,0.001779,3.6684),(905,215,0.001867,3.6684),(905,225,0.001956,3.6683),(905,235,0.002044,3.6683),(905,245,0.002133,3.6682),(905,255,0.002222,3.6682),(905,265,0.002312,3.6681),(905,275,0.002401,3.6681),(905,285,0.002491,3.668),(905,295,0.002581,3.668),(905,305,0.002671,3.6679),(905,315,0.002762,3.6679),(905,325,0.002853,3.6678),(905,335,0.002943,3.6678),(905,345,0.003035,3.6677),(905,355,0.003127,3.6676),(905,365,0.003219,3.6676),(905,375,0.003311,3.6675),(905,385,0.003404,3.6674),(905,395,0.003498,3.6674),(905,405,0.003591,3.6673),(905,415,0.003685,3.6672),(905,425,0.00378,3.6672),(905,435,0.003874,3.6671),(905,445,0.003969,3.667),(905,455,0.004065,3.6669),(905,465,0.004161,3.6668),(905,475,0.004258,3.6667),(905,485,0.004354,3.6667),(905,495,0.004451,3.6666),(905,505,0.004549,3.6665),(905,515,0.004648,3.6664),(905,525,0.004746,3.6663),(905,535,0.004845,3.6662),(905,545,0.004945,3.6661),(905,555,0.005045,3.666),(905,565,0.005145,3.6659),(905,575,0.005246,3.6658),(905,585,0.005348,3.6657),(905,595,0.005451,3.6656),(905,605,0.005553,3.6654),(905,615,0.005656,3.6653),(905,625,0.00576,3.6652),(905,635,0.005865,3.6651),(905,645,0.00597,3.665),(905,655,0.006075,3.6648),(905,665,0.006182,3.6647),(905,675,0.006289,3.6646),(905,685,0.006396,3.6645),(905,695,0.006504,3.6643),(905,705,0.006613,3.6642),(905,715,0.006723,3.6641),(905,725,0.006833,3.6639),(905,735,0.006943,3.6638),(905,745,0.007055,3.6636),(905,755,0.007167,3.6635),(905,765,0.007279,3.6633),(905,775,0.007392,3.6632),(905,785,0.007507,3.663),(905,795,0.007622,3.6629),(905,805,0.007737,3.6627),(905,815,0.007853,3.6626),(905,825,0.007971,3.6624),(905,835,0.008089,3.6622),(905,845,0.008207,3.6621),(905,855,0.008326,3.6619),(905,865,0.008447,3.6617),(905,875,0.008568,3.6615),(905,885,0.008688,3.6614),(905,895,0.008811,3.6612),(905,905,0.008935,3.661),(905,915,0.009059,3.6608),(905,925,0.009183,3.6606),(905,935,0.009308,3.6604),(905,945,0.009436,3.6602),(905,955,0.009563,3.66),(905,965,0.009691,3.6598),(905,975,0.00982,3.6596),(905,985,0.009951,3.6594),(905,995,0.010081,3.6592),(905,1005,0.010212,3.659),(905,1015,0.010345,3.6588),(905,1025,0.010479,3.6586),(905,1035,0.010614,3.6584),(905,1045,0.010748,3.6581),(905,1055,0.010885,3.6579),(905,1065,0.011023,3.6577),(905,1075,0.011161,3.6575),(905,1085,0.011299,3.6572),(905,1095,0.011439,3.657),(905,1105,0.011581,3.6567),(905,1115,0.011722,3.6565),(905,1125,0.011864,3.6563),(905,1135,0.012008,3.656),(905,1145,0.012153,3.6558),(905,1155,0.012299,3.6555),(905,1165,0.012444,3.6552),(905,1175,0.012593,3.655),(905,1185,0.012742,3.6547),(905,1195,0.012891,3.6544),(905,1205,0.013041,3.6542),(905,1215,0.013193,3.6539),(905,1225,0.013347,3.6536),(905,1235,0.0135,3.6533),(905,1245,0.013653,3.653),(905,1255,0.01381,3.6528),(905,1265,0.013968,3.6525),(905,1275,0.014125,3.6522),(905,1285,0.014283,3.6519),(905,1295,0.014444,3.6516),(905,1305,0.014605,3.6513),(905,1315,0.014767,3.651),(905,1325,0.014929,3.6506),(905,1335,0.015094,3.6503),(905,1345,0.01526,3.65),(905,1355,0.015426,3.6497),(905,1365,0.015592,3.6493),(905,1375,0.015762,3.649),(905,1385,0.015932,3.6487),(905,1395,0.016102,3.6483),(905,1405,0.016273,3.648),(905,1415,0.016447,3.6477),(905,1425,0.016621,3.6473),(905,1435,0.016795,3.6469),(905,1445,0.01697,3.6466),(905,1455,0.017148,3.6462),(905,1465,0.017327,3.6459),(905,1475,0.017506,3.6455),(905,1485,0.017685,3.6451),(905,1495,0.017868,3.6447),(905,1505,0.018051,3.6444),(905,1515,0.018234,3.644),(905,1525,0.018417,3.6436),(905,1535,0.018605,3.6432),(905,1545,0.018792,3.6428),(905,1555,0.01898,3.6424),(905,1565,0.019168,3.642),(905,1575,0.01936,3.6415),(905,1585,0.019551,3.6411),(905,1595,0.019743,3.6407),(905,1605,0.019936,3.6403),(905,1615,0.020132,3.6399),(905,1625,0.020328,3.6394),(905,1635,0.020524,3.639),(905,1645,0.020721,3.6385),(905,1655,0.020921,3.6381),(905,1665,0.021121,3.6376),(905,1675,0.021321,3.6372),(905,1685,0.021523,3.6367),(905,1695,0.021727,3.6362),(905,1705,0.021932,3.6358),(905,1715,0.022136,3.6353),(905,1725,0.022342,3.6348),(905,1735,0.02255,3.6343),(905,1745,0.022759,3.6338),(905,1755,0.022968,3.6333),(905,1765,0.023178,3.6328),(905,1775,0.02339,3.6323),(905,1785,0.023603,3.6318),(905,1795,0.023816,3.6313),(905,1805,0.02403,3.6308),(905,1815,0.024246,3.6303),(905,1825,0.024463,3.6297),(905,1835,0.02468,3.6292),(905,1845,0.024898,3.6287),(905,1855,0.025118,3.6281),(905,1865,0.025339,3.6276),(905,1875,0.025559,3.627),(905,1885,0.025781,3.6264),(905,1895,0.026005,3.6259),(905,1905,0.026229,3.6253),(905,1915,0.026453,3.6247),(905,1925,0.026679,3.6241),(905,1935,0.026906,3.6236),(905,1945,0.027134,3.623),(905,1955,0.027361,3.6224),(905,1965,0.027591,3.6218),(905,1975,0.027822,3.6212),(905,1985,0.028052,3.6206),(905,1995,0.028283,3.6199),(905,2005,0.028516,3.6193),(905,2015,0.02875,3.6187),(905,2025,0.028984,3.618),(905,2035,0.029218,3.6174),(905,2045,0.029454,3.6167),(905,2055,0.029691,3.6161),(905,2065,0.029927,3.6154),(905,2075,0.030164,3.6148),(905,2085,0.030403,3.6141),(905,2095,0.030643,3.6134),(905,2105,0.030883,3.6128),(905,2115,0.031122,3.6121),(905,2125,0.031364,3.6114),(905,2135,0.031606,3.6107),(905,2145,0.031848,3.61),(905,2155,0.03209,3.6093),(905,2165,0.032334,3.6086),(905,2175,0.032578,3.6078),(905,2185,0.032822,3.6071),(905,2195,0.033066,3.6064),(905,2205,0.033312,3.6056),(905,2215,0.033558,3.6049),(905,2225,0.033804,3.6042),(905,2235,0.034051,3.6034),(905,2245,0.034298,3.6026),(905,2255,0.034546,3.6019),(905,2265,0.034794,3.6011),(905,2275,0.035042,3.6003),(905,2285,0.035291,3.5995),(905,2295,0.03554,3.5988),(905,2305,0.035789,3.598),(905,2315,0.036038,3.5972),(905,2325,0.036288,3.5964),(905,2335,0.036539,3.5956),(905,2345,0.036789,3.5947),(905,2355,0.037039,3.5939),(905,2365,0.03729,3.5931),(905,2375,0.037541,3.5923),(905,2385,0.037792,3.5914),(905,2395,0.038043,3.5906),(905,2405,0.038294,3.5897),(905,2415,0.038546,3.5889),(905,2425,0.038797,3.588),(905,2435,0.039049,3.5871),(905,2445,0.0393,3.5863),(905,2455,0.039552,3.5854),(905,2465,0.039803,3.5845),(905,2475,0.040055,3.5836),(905,2485,0.040306,3.5827),(905,2495,0.040557,3.5818),(905,2505,0.040809,3.5809),(905,2515,0.04106,3.58),(905,2525,0.041311,3.5791),(905,2535,0.041561,3.5782),(905,2545,0.041812,3.5773),(905,2555,0.042063,3.5763),(905,2565,0.042313,3.5754),(905,2575,0.042563,3.5745),(905,2585,0.042813,3.5735),(905,2595,0.043063,3.5726),(905,2605,0.043312,3.5716),(905,2615,0.043561,3.5707),(905,2625,0.043809,3.5697),(905,2635,0.044058,3.5687),(905,2645,0.044305,3.5677),(905,2655,0.044553,3.5668),(905,2665,0.0448,3.5658),(905,2675,0.045047,3.5648),(905,2685,0.045293,3.5638),(905,2695,0.045538,3.5628),(905,2705,0.045784,3.5618),(905,2715,0.046029,3.5608),(905,2725,0.046272,3.5598),(905,2735,0.046516,3.5588),(905,2745,0.046759,3.5578),(905,2755,0.047002,3.5568),(905,2765,0.047244,3.5558),(905,2775,0.047485,3.5547),(905,2785,0.047726,3.5537),(905,2795,0.047966,3.5527),(905,2805,0.048205,3.5516),(905,2815,0.048444,3.5506),(905,2825,0.048682,3.5496),(905,2835,0.04892,3.5485),(905,2845,0.049156,3.5475),(905,2855,0.049391,3.5464),(905,2865,0.049627,3.5454),(905,2875,0.049861,3.5443),(905,2885,0.050094,3.5433),(905,2895,0.050326,3.5422),(905,2905,0.050559,3.5412),(905,2915,0.05079,3.5401),(905,2925,0.051019,3.539),(905,2935,0.051247,3.538),(905,2945,0.051476,3.5369),(905,2955,0.051704,3.5359),(905,2965,0.051929,3.5348),(905,2975,0.052154,3.5337),(905,2985,0.052379,3.5327),(905,2995,0.052602,3.5316),(905,3005,0.052823,3.5305),(905,3015,0.053044,3.5295),(905,3025,0.053265,3.5284),(905,3035,0.053483,3.5273),(905,3045,0.053699,3.5263),(905,3055,0.053915,3.5252),(905,3065,0.054131,3.5242),(905,3075,0.054344,3.5231),(905,3085,0.054555,3.522),(905,3095,0.054766,3.521),(905,3105,0.054976,3.5199),(905,3115,0.055183,3.5189),(905,3125,0.055388,3.5178),(905,3135,0.055592,3.5168),(905,3145,0.055797,3.5158),(905,3155,0.055997,3.5147),(905,3165,0.056194,3.5137),(905,3175,0.056391,3.5127),(905,3185,0.056589,3.5117),(905,3195,0.056781,3.5106),(905,3205,0.05697,3.5096),(905,3215,0.057159,3.5086),(905,3225,0.057348,3.5076),(905,3235,0.05753,3.5066),(905,3245,0.057709,3.5056),(905,3255,0.057888,3.5046),(905,3265,0.058068,3.5037),(905,3275,0.058238,3.5027),(905,3285,0.058406,3.5017),(905,3295,0.058573,3.5008),(905,3305,0.05874,3.4999),(905,3315,0.058897,3.4989),(905,3325,0.05905,3.498),(905,3335,0.059203,3.4971),(905,3345,0.059357,3.4962),(905,3355,0.059495,3.4953),(905,3365,0.059632,3.4944),(905,3375,0.059768,3.4935),(905,3385,0.059904,3.4927),(905,3395,0.060021,3.4918),(905,3405,0.060137,3.491),(905,3415,0.060252,3.4902),(905,3425,0.060367,3.4894),(905,3435,0.060459,3.4886),(905,3445,0.060549,3.4878),(905,3455,0.060639,3.487),(905,3465,0.060728,3.4863),(905,3475,0.060788,3.4856),(905,3485,0.060847,3.4848),(905,3495,0.060906,3.4841),(905,3505,0.060965,3.4835),(905,3515,0.060987,3.4828),(905,3525,0.061008,3.4821),(905,3535,0.06103,3.4815),(905,3545,0.061049,3.4809),(905,3555,0.061026,3.4803),(905,3565,0.061003,3.4797),(905,3575,0.060979,3.4792),(905,3585,0.060952,3.4787),(905,3595,0.060875,3.4781),(905,3605,0.060799,3.4776),(905,3615,0.060722,3.4772),(905,3625,0.060638,3.4767),(905,3635,0.060498,3.4763),(905,3645,0.060359,3.4758),(905,3655,0.06022,3.4755),(905,3665,0.060069,3.4751),(905,3675,0.059856,3.4747),(905,3685,0.059644,3.4744),(905,3695,0.059432,3.4741),(905,3705,0.059202,3.4738),(905,3715,0.058905,3.4736),(905,3725,0.058609,3.4733),(905,3735,0.058312,3.4731),(905,3745,0.057992,3.4729),(905,3755,0.0576,3.4727),(905,3765,0.057208,3.4725),(905,3775,0.056816,3.4724),(905,3785,0.056394,3.4723),(905,3795,0.055895,3.4722),(905,3805,0.055397,3.4721),(905,3815,0.054898,3.4721),(905,3825,0.054362,3.4721),(905,3835,0.053746,3.472),(905,3845,0.053131,3.472),(905,3855,0.052516,3.4721),(905,3865,0.051855,3.4721),(905,3875,0.051114,3.4722),(905,3885,0.050373,3.4722),(905,3895,0.049632,3.4723),(905,3905,0.058606,3.4724),(905,3915,0.08209,3.4725),(905,3925,0.10557,3.4728),(905,3935,0.12906,3.4734),(905,3945,0.15342,3.474),(905,3955,0.17891,3.4746),(905,3965,0.20439,3.475),(905,3975,0.22988,3.475),(905,3985,0.24325,3.4751),(905,3995,0.24352,3.4751),(905,4005,0.24378,3.4747),(905,4015,0.24405,3.4737),(905,4025,0.24394,3.4728),(905,4035,0.2438,3.4715),(905,4045,0.24365,3.4696),(905,4055,0.24344,3.4678),(905,4065,0.24319,3.4657),(905,4075,0.24294,3.4628),(905,4085,0.24274,3.4599),(905,4095,0.24259,3.457),(905,4105,0.24243,3.453),(905,4115,0.23346,3.4491),(905,4125,0.2099,3.4451),(905,4135,0.18633,3.4414),(905,4145,0.1624,3.4379),(905,4155,0.13697,3.4344),(905,4165,0.11154,3.4316),(905,4175,0.0873,3.4294),(905,4185,0.12215,3.4272),(905,4195,0.15701,3.4239),(905,4205,0.19186,3.4194),(905,4215,0.1844,3.4149),(905,4225,0.16897,3.4107),(905,4235,0.15354,3.4075),(905,4245,0.13588,3.4043),(905,4255,0.11708,3.4011),(905,4265,0.098273,3.3989),(905,4275,0.07786,3.3966),(905,4285,0.055737,3.3944),(905,4295,0.033614,3.3934),(905,4305,0.024241,3.3927),(905,4315,0.043658,3.3919),(905,4325,0.063075,3.3884),(905,4335,0.082771,3.3838),(905,4345,0.10436,3.3792),(905,4355,0.12595,3.3747),(905,4365,0.14754,3.3702),(905,4375,0.16482,3.3658),(905,4385,0.18188,3.3617),(905,4395,0.19893,3.3582),(905,4405,0.18114,3.3547),(905,4415,0.15308,3.3517),(905,4425,0.12501,3.3508),(905,4435,0.11206,3.35),(905,4445,0.10944,3.349),(905,4455,0.10683,3.3466),(905,4465,0.12894,3.3441),(905,4475,0.18581,3.3416),(905,4485,0.24267,3.3368),(905,4495,0.28864,3.3314),(905,4505,0.29967,3.3261),(905,4515,0.3107,3.3209),(905,4525,0.3209,3.3158),(905,4535,0.31801,3.3108),(905,4545,0.31513,3.3061),(905,4555,0.31225,3.3017),(905,4565,0.22769,3.2974),(905,4575,0.13213,3.2943),(905,4585,0.036563,3.2939),(905,4595,0.02649,3.2936),(905,4605,0.052539,3.2929),(905,4615,0.078588,3.29),(905,4625,0.11457,3.287),(905,4635,0.15954,3.2841),(905,4645,0.20451,3.2783),(905,4655,0.25141,3.2723),(905,4665,0.30196,3.2663),(905,4675,0.35251,3.2587),(905,4685,0.38127,3.2505),(905,4695,0.30241,3.2423),(905,4705,0.22354,3.2373),(905,4715,0.14467,3.2345),(905,4725,0.16946,3.2318),(905,4735,0.19528,3.2274),(905,4745,0.22111,3.2204),(905,4755,0.28197,3.2134),(905,4765,0.35095,3.2053),(905,4775,0.41993,3.1933),(905,4785,0.46499,3.1814),(905,4795,0.4962,3.1695),(905,4805,0.52742,3.1568),(905,4815,0.52516,3.1441),(905,4825,0.48288,3.1314),(905,4835,0.4406,3.1222),(905,4845,0.38244,3.1136),(905,4855,0.28287,3.105),(905,4865,0.18329,3.1001),(905,4875,0.10387,3.0969),(905,4885,0.20771,3.0937),(905,4895,0.31154,3.0856),(905,4905,0.41538,3.073),(905,4915,0.42375,3.0603),(905,4925,0.42391,3.0479),(905,4935,0.42406,3.0361),(905,4945,0.39274,3.0243),(905,4955,0.35051,3.0131),(905,4965,0.30828,3.0056),(905,4975,0.24164,2.998),(905,4985,0.15617,2.9905),(905,4995,0.070692,2.9898),(905,5005,0.063337,2.9893),(905,5015,0.18018,2.9887),(905,5025,0.29702,2.9765),(905,5035,0.40527,2.9614),(905,5045,0.4808,2.9462),(905,5055,0.55634,2.9276),(905,5065,0.63084,2.9068),(905,5075,0.67148,2.886),(905,5085,0.71213,2.8651),(905,5095,0.75278,2.8439),(905,5105,0.67684,2.8228),(905,5115,0.58058,2.8044),(905,5125,0.48431,2.7935),(905,5135,0.40287,2.7826),(905,5145,0.32863,2.772),(905,5155,0.25439,2.7656),(905,5165,0.29012,2.7592),(905,5175,0.43801,2.7528),(905,5185,0.58589,2.7359),(905,5195,0.69962,2.718),(905,5205,0.73969,2.7001),(905,5215,0.77977,2.6816),(905,5225,0.81506,2.6628),(905,5235,0.82067,2.644),(905,5245,0.82627,2.6262),(905,5255,0.83187,2.609),(905,5265,0.58086,2.5918),(905,5275,0.31928,2.581),(905,5285,0.057686,2.5809),(905,5295,0.071824,2.5808),(905,5305,0.16275,2.5785),(905,5315,0.25367,2.5668),(905,5325,0.35476,2.5551),(905,5335,0.46251,2.5433),(905,5345,0.57025,2.5233),(905,5355,0.66449,2.5033),(905,5365,0.74049,2.4833),(905,5375,0.81649,2.4612),(905,5385,0.8261,2.4386),(905,5395,0.63386,2.4161),(905,5405,0.44162,2.4045),(905,5415,0.26215,2.3985),(905,5425,0.25428,2.3926),(905,5435,0.24641,2.3878),(905,5445,0.23855,2.3841),(905,5455,0.28697,2.3804),(905,5465,0.34226,2.3756),(905,5475,0.39756,2.3682),(905,5485,0.42363,2.3608),(905,5495,0.43794,2.3532),(905,5505,0.45224,2.344),(905,5515,0.46759,2.3347),(905,5525,0.48386,2.3255),(905,5535,0.50012,2.3143),(905,5545,0.51683,2.3031),(905,5555,0.53434,2.2918),(905,5565,0.55185,2.2788),(905,5575,0.56959,2.2654),(905,5585,0.58839,2.2519),(905,5595,0.60718,2.2371),(905,5605,0.62598,2.2215),(905,5615,0.64627,2.2058),(905,5625,0.66655,2.1892),(905,5635,0.68684,2.1712),(905,5645,0.70849,2.1533),(905,5655,0.73044,2.1347),(905,5665,0.75238,2.1144),(905,5675,0.77538,2.094),(905,5685,0.79896,2.0736),(905,5695,0.82254,2.0512),(905,5705,0.84684,2.0288),(905,5715,0.87199,2.0064),(905,5725,0.89713,1.9821),(905,5735,0.92265,1.9576),(905,5745,0.94909,1.9331),(905,5755,0.97553,1.9073),(905,5765,1.0021,1.881),(905,5775,1.0296,1.8547),(905,5785,1.0571,1.8277),(905,5795,1.0846,1.8),(905,5805,1.1127,1.7723),(905,5815,1.1409,1.744),(905,5825,1.169,1.7148),(905,5835,1.1974,1.6856),(905,5845,1.2258,1.6562),(905,5855,1.2542,1.6261),(905,5865,1.2825,1.5959),(905,5875,1.3107,1.5658),(905,5885,1.3389,1.5348),(905,5895,1.3669,1.5039),(905,5905,1.3944,1.4729),(905,5915,1.422,1.4412),(905,5925,1.4493,1.4092),(905,5935,1.476,1.3772),(905,5945,1.5026,1.345),(905,5955,1.5292,1.3125),(905,5965,1.5551,1.28),(905,5975,1.581,1.2473),(905,5985,1.6069,1.2144),(905,5995,1.2327,1.1815),(905,6005,0.79407,1.1564),(905,6015,0.35546,1.1519),(905,6025,0.29963,1.1474),(905,6035,0.42134,1.142),(905,6045,0.54305,1.1284),(905,6055,0.63654,1.1148),(905,6065,0.70237,1.1013),(905,6075,0.7682,1.0833),(905,6085,0.81387,1.0649),(905,6095,0.81799,1.0465),(905,6105,0.82211,1.028),(905,6115,0.8262,1.0093),(905,6125,0.8301,0.99068),(905,6135,0.83399,0.97196),(905,6145,0.83788,0.95317),(905,6155,0.84152,0.93438),(905,6165,0.84515,0.91538),(905,6175,0.84879,0.89605),(905,6185,0.85222,0.87672),(905,6195,0.8556,0.85737),(905,6205,0.85898,0.83794),(905,6215,0.86219,0.81851),(905,6225,0.8653,0.79906),(905,6235,0.8684,0.77925),(905,6245,0.87141,0.75944),(905,6255,0.8743,0.73963),(905,6265,0.87719,0.71974),(905,6275,0.88,0.69984),(905,6285,0.88256,0.67994),(905,6295,0.88512,0.65979),(905,6305,0.88766,0.63951),(905,6315,0.88998,0.61924),(905,6325,0.89229,0.59897),(905,6335,0.8946,0.57869),(905,6345,0.89672,0.55842),(905,6355,0.89882,0.53803),(905,6365,0.90091,0.51741),(905,6375,0.9028,0.49678),(905,6385,0.9046,0.47613),(905,6395,0.9064,0.45535),(905,6405,0.90809,0.43457),(905,6415,0.90968,0.41379),(905,6425,0.91127,0.39299),(905,6435,0.91276,0.37218),(905,6445,0.91404,0.35137),(905,6455,0.91533,0.33022),(905,6465,0.91656,0.30896),(905,6475,0.91758,0.28771),(905,6485,0.9186,0.26654),(905,6495,0.91961,0.24542),(905,6505,0.92045,0.2243),(905,6515,0.92129,0.20318),(905,6525,0.92212,0.18206),(905,6535,0.92275,0.16094),(905,6545,0.92333,0.13976),(905,6555,0.92391,0.1184),(905,6565,0.9243,0.097047),(905,6575,0.92458,0.075694),(905,6585,0.92487,0.054372),(905,6595,0.78673,0.03305),(905,6605,0.49576,0.011728),(905,6615,0.20479,0.00936),(905,6625,0.000249,0.009427),(905,6635,0.000251,0.009494),(905,6645,0.000253,0.00951),(905,6655,0.000254,0.009503),(905,6665,0.000256,0.009497),(905,6675,0.000258,0.00949),(905,6685,0.000259,0.009484),(905,6695,0.000261,0.009477),(905,6705,0.000262,0.00947),(905,6715,0.000264,0.009464),(905,6725,0.000266,0.009457),(905,6735,0.000267,0.009451),(905,6745,0.000269,0.009444),(905,6755,0.00027,0.009437),(905,6765,0.000272,0.009431),(905,6775,0.000273,0.009424),(905,6785,0.000275,0.009417),(905,6795,0.000276,0.009411),(905,6805,0.000278,0.009404),(905,6815,0.000279,0.009397),(905,6825,0.000281,0.00939),(905,6835,0.000282,0.009383),(905,6845,0.000284,0.009376),(905,6855,0.000285,0.009369),(905,6865,0.000286,0.009362),(905,6875,0.000288,0.009355),(905,6885,0.000289,0.009348),(905,6895,0.000291,0.009341),(905,6905,0.000292,0.009334),(905,6915,0.000293,0.009327),(905,6925,0.000295,0.00932),(905,6935,0.000296,0.009313),(905,6945,0.000297,0.009306),(905,6955,0.000298,0.009299),(905,6965,0.0003,0.009291),(905,6975,0.000301,0.009284),(905,6985,0.000302,0.009277),(915,5,4.3e-05,3.6689),(915,15,0.00013,3.6688),(915,25,0.000217,3.6688),(915,35,0.000304,3.6688),(915,45,0.000391,3.6688),(915,55,0.000478,3.6688),(915,65,0.000565,3.6688),(915,75,0.000653,3.6688),(915,85,0.00074,3.6688),(915,95,0.000827,3.6688),(915,105,0.000914,3.6688),(915,115,0.001002,3.6687),(915,125,0.001089,3.6687),(915,135,0.001177,3.6687),(915,145,0.001265,3.6687),(915,155,0.001353,3.6686),(915,165,0.001441,3.6686),(915,175,0.001529,3.6686),(915,185,0.001618,3.6686),(915,195,0.001706,3.6685),(915,205,0.001795,3.6685),(915,215,0.001884,3.6684),(915,225,0.001973,3.6684),(915,235,0.002062,3.6684),(915,245,0.002152,3.6683),(915,255,0.002242,3.6683),(915,265,0.002332,3.6682),(915,275,0.002422,3.6682),(915,285,0.002513,3.6681),(915,295,0.002603,3.6681),(915,305,0.002695,3.668),(915,315,0.002786,3.668),(915,325,0.002878,3.6679),(915,335,0.002969,3.6679),(915,345,0.003062,3.6678),(915,355,0.003155,3.6677),(915,365,0.003248,3.6677),(915,375,0.003341,3.6676),(915,385,0.003435,3.6675),(915,395,0.003529,3.6675),(915,405,0.003623,3.6674),(915,415,0.003717,3.6673),(915,425,0.003813,3.6672),(915,435,0.003909,3.6672),(915,445,0.004005,3.6671),(915,455,0.0041,3.667),(915,465,0.004198,3.6669),(915,475,0.004295,3.6668),(915,485,0.004393,3.6668),(915,495,0.00449,3.6667),(915,505,0.00459,3.6666),(915,515,0.004689,3.6665),(915,525,0.004788,3.6664),(915,535,0.004888,3.6663),(915,545,0.004989,3.6662),(915,555,0.00509,3.6661),(915,565,0.005191,3.666),(915,575,0.005293,3.6659),(915,585,0.005396,3.6658),(915,595,0.005499,3.6657),(915,605,0.005603,3.6655),(915,615,0.005706,3.6654),(915,625,0.005812,3.6653),(915,635,0.005918,3.6652),(915,645,0.006023,3.6651),(915,655,0.006129,3.6649),(915,665,0.006237,3.6648),(915,675,0.006345,3.6647),(915,685,0.006454,3.6646),(915,695,0.006562,3.6644),(915,705,0.006673,3.6643),(915,715,0.006783,3.6642),(915,725,0.006894,3.664),(915,735,0.007005,3.6639),(915,745,0.007119,3.6637),(915,755,0.007232,3.6636),(915,765,0.007345,3.6634),(915,775,0.007459,3.6633),(915,785,0.007575,3.6631),(915,795,0.007691,3.663),(915,805,0.007808,3.6628),(915,815,0.007924,3.6627),(915,825,0.008044,3.6625),(915,835,0.008162,3.6623),(915,845,0.008281,3.6622),(915,855,0.008401,3.662),(915,865,0.008524,3.6618),(915,875,0.008646,3.6617),(915,885,0.008768,3.6615),(915,895,0.008891,3.6613),(915,905,0.009016,3.6611),(915,915,0.009142,3.6609),(915,925,0.009267,3.6607),(915,935,0.009394,3.6606),(915,945,0.009522,3.6604),(915,955,0.009651,3.6602),(915,965,0.00978,3.66),(915,975,0.00991,3.6598),(915,985,0.010042,3.6596),(915,995,0.010174,3.6594),(915,1005,0.010307,3.6591),(915,1015,0.010441,3.6589),(915,1025,0.010576,3.6587),(915,1035,0.010712,3.6585),(915,1045,0.010848,3.6583),(915,1055,0.010986,3.6581),(915,1065,0.011125,3.6578),(915,1075,0.011265,3.6576),(915,1085,0.011404,3.6574),(915,1095,0.011546,3.6571),(915,1105,0.011689,3.6569),(915,1115,0.011832,3.6566),(915,1125,0.011975,3.6564),(915,1135,0.012121,3.6562),(915,1145,0.012268,3.6559),(915,1155,0.012415,3.6556),(915,1165,0.012562,3.6554),(915,1175,0.012711,3.6551),(915,1185,0.012862,3.6549),(915,1195,0.013013,3.6546),(915,1205,0.013164,3.6543),(915,1215,0.013318,3.654),(915,1225,0.013473,3.6538),(915,1235,0.013628,3.6535),(915,1245,0.013783,3.6532),(915,1255,0.013941,3.6529),(915,1265,0.0141,3.6526),(915,1275,0.01426,3.6523),(915,1285,0.014419,3.652),(915,1295,0.014581,3.6517),(915,1305,0.014745,3.6514),(915,1315,0.014909,3.6511),(915,1325,0.015072,3.6508),(915,1335,0.015239,3.6505),(915,1345,0.015407,3.6502),(915,1355,0.015575,3.6498),(915,1365,0.015742,3.6495),(915,1375,0.015914,3.6492),(915,1385,0.016086,3.6489),(915,1395,0.016258,3.6485),(915,1405,0.01643,3.6482),(915,1415,0.016606,3.6478),(915,1425,0.016782,3.6475),(915,1435,0.016959,3.6471),(915,1445,0.017135,3.6468),(915,1455,0.017316,3.6464),(915,1465,0.017496,3.646),(915,1475,0.017677,3.6457),(915,1485,0.017858,3.6453),(915,1495,0.018043,3.6449),(915,1505,0.018228,3.6445),(915,1515,0.018413,3.6441),(915,1525,0.018598,3.6438),(915,1535,0.018788,3.6434),(915,1545,0.018978,3.643),(915,1555,0.019167,3.6426),(915,1565,0.019357,3.6422),(915,1575,0.019551,3.6417),(915,1585,0.019745,3.6413),(915,1595,0.019939,3.6409),(915,1605,0.020133,3.6405),(915,1615,0.020332,3.6401),(915,1625,0.02053,3.6396),(915,1635,0.020728,3.6392),(915,1645,0.020927,3.6387),(915,1655,0.02113,3.6383),(915,1665,0.021333,3.6378),(915,1675,0.021535,3.6374),(915,1685,0.021738,3.6369),(915,1695,0.021945,3.6365),(915,1705,0.022152,3.636),(915,1715,0.022359,3.6355),(915,1725,0.022567,3.635),(915,1735,0.022778,3.6345),(915,1745,0.022989,3.6341),(915,1755,0.0232,3.6336),(915,1765,0.023412,3.6331),(915,1775,0.023628,3.6326),(915,1785,0.023843,3.632),(915,1795,0.024058,3.6315),(915,1805,0.024274,3.631),(915,1815,0.024494,3.6305),(915,1825,0.024713,3.63),(915,1835,0.024932,3.6294),(915,1845,0.025152,3.6289),(915,1855,0.025375,3.6283),(915,1865,0.025598,3.6278),(915,1875,0.025821,3.6272),(915,1885,0.026046,3.6267),(915,1895,0.026272,3.6261),(915,1905,0.026499,3.6255),(915,1915,0.026726,3.625),(915,1925,0.026954,3.6244),(915,1935,0.027184,3.6238),(915,1945,0.027414,3.6232),(915,1955,0.027645,3.6226),(915,1965,0.027877,3.622),(915,1975,0.02811,3.6214),(915,1985,0.028344,3.6208),(915,1995,0.028577,3.6202),(915,2005,0.028813,3.6195),(915,2015,0.029049,3.6189),(915,2025,0.029286,3.6183),(915,2035,0.029523,3.6176),(915,2045,0.029761,3.617),(915,2055,0.030001,3.6163),(915,2065,0.030241,3.6157),(915,2075,0.03048,3.615),(915,2085,0.030722,3.6143),(915,2095,0.030964,3.6137),(915,2105,0.031207,3.613),(915,2115,0.031449,3.6123),(915,2125,0.031693,3.6116),(915,2135,0.031938,3.6109),(915,2145,0.032183,3.6102),(915,2155,0.032428,3.6095),(915,2165,0.032674,3.6088),(915,2175,0.032922,3.6081),(915,2185,0.033169,3.6074),(915,2195,0.033416,3.6066),(915,2205,0.033664,3.6059),(915,2215,0.033913,3.6052),(915,2225,0.034162,3.6044),(915,2235,0.034411,3.6036),(915,2245,0.034661,3.6029),(915,2255,0.034912,3.6021),(915,2265,0.035163,3.6014),(915,2275,0.035413,3.6006),(915,2285,0.035665,3.5998),(915,2295,0.035917,3.599),(915,2305,0.036169,3.5982),(915,2315,0.036421,3.5974),(915,2325,0.036674,3.5966),(915,2335,0.036927,3.5958),(915,2345,0.037179,3.595),(915,2355,0.037432,3.5942),(915,2365,0.037686,3.5933),(915,2375,0.037939,3.5925),(915,2385,0.038193,3.5917),(915,2395,0.038447,3.5908),(915,2405,0.038701,3.59),(915,2415,0.038955,3.5891),(915,2425,0.039209,3.5883),(915,2435,0.039463,3.5874),(915,2445,0.039717,3.5865),(915,2455,0.039971,3.5856),(915,2465,0.040225,3.5848),(915,2475,0.040479,3.5839),(915,2485,0.040732,3.583),(915,2495,0.040986,3.5821),(915,2505,0.04124,3.5812),(915,2515,0.041493,3.5803),(915,2525,0.041746,3.5794),(915,2535,0.041999,3.5784),(915,2545,0.042252,3.5775),(915,2555,0.042505,3.5766),(915,2565,0.042757,3.5756),(915,2575,0.043009,3.5747),(915,2585,0.043261,3.5738),(915,2595,0.043513,3.5728),(915,2605,0.043764,3.5719),(915,2615,0.044015,3.5709),(915,2625,0.044266,3.5699),(915,2635,0.044516,3.569),(915,2645,0.044765,3.568),(915,2655,0.045014,3.567),(915,2665,0.045263,3.566),(915,2675,0.045512,3.565),(915,2685,0.045759,3.5641),(915,2695,0.046006,3.5631),(915,2705,0.046253,3.5621),(915,2715,0.046499,3.5611),(915,2725,0.046744,3.5601),(915,2735,0.046989,3.559),(915,2745,0.047233,3.558),(915,2755,0.047477,3.557),(915,2765,0.047719,3.556),(915,2775,0.047961,3.555),(915,2785,0.048203,3.5539),(915,2795,0.048444,3.5529),(915,2805,0.048683,3.5519),(915,2815,0.048922,3.5508),(915,2825,0.049161,3.5498),(915,2835,0.049399,3.5488),(915,2845,0.049635,3.5477),(915,2855,0.049871,3.5467),(915,2865,0.050106,3.5456),(915,2875,0.050341,3.5446),(915,2885,0.050573,3.5435),(915,2895,0.050804,3.5425),(915,2905,0.051036,3.5414),(915,2915,0.051267,3.5403),(915,2925,0.051495,3.5393),(915,2935,0.051723,3.5382),(915,2945,0.051951,3.5371),(915,2955,0.052177,3.5361),(915,2965,0.0524,3.535),(915,2975,0.052624,3.534),(915,2985,0.052848,3.5329),(915,2995,0.053069,3.5318),(915,3005,0.053288,3.5308),(915,3015,0.053507,3.5297),(915,3025,0.053725,3.5286),(915,3035,0.053941,3.5276),(915,3045,0.054154,3.5265),(915,3055,0.054367,3.5254),(915,3065,0.05458,3.5244),(915,3075,0.05479,3.5233),(915,3085,0.054997,3.5223),(915,3095,0.055204,3.5212),(915,3105,0.05541,3.5201),(915,3115,0.055613,3.5191),(915,3125,0.055813,3.518),(915,3135,0.056013,3.517),(915,3145,0.056213,3.516),(915,3155,0.056408,3.5149),(915,3165,0.0566,3.5139),(915,3175,0.056792,3.5129),(915,3185,0.056984,3.5118),(915,3195,0.057169,3.5108),(915,3205,0.057352,3.5098),(915,3215,0.057534,3.5088),(915,3225,0.057717,3.5078),(915,3235,0.057892,3.5068),(915,3245,0.058063,3.5058),(915,3255,0.058235,3.5048),(915,3265,0.058407,3.5038),(915,3275,0.058568,3.5029),(915,3285,0.058727,3.5019),(915,3295,0.058886,3.501),(915,3305,0.059044,3.5),(915,3315,0.059191,3.4991),(915,3325,0.059334,3.4981),(915,3335,0.059477,3.4972),(915,3345,0.059621,3.4963),(915,3355,0.059748,3.4954),(915,3365,0.059873,3.4945),(915,3375,0.059998,3.4937),(915,3385,0.060123,3.4928),(915,3395,0.060228,3.4919),(915,3405,0.060331,3.4911),(915,3415,0.060433,3.4903),(915,3425,0.060536,3.4895),(915,3435,0.060614,3.4887),(915,3445,0.06069,3.4879),(915,3455,0.060766,3.4871),(915,3465,0.060842,3.4864),(915,3475,0.060887,3.4856),(915,3485,0.060931,3.4849),(915,3495,0.060975,3.4842),(915,3505,0.061018,3.4835),(915,3515,0.061024,3.4828),(915,3525,0.061029,3.4821),(915,3535,0.061035,3.4815),(915,3545,0.061038,3.4809),(915,3555,0.060998,3.4803),(915,3565,0.060957,3.4797),(915,3575,0.060917,3.4791),(915,3585,0.060872,3.4786),(915,3595,0.060778,3.478),(915,3605,0.060684,3.4775),(915,3615,0.060589,3.477),(915,3625,0.060487,3.4766),(915,3635,0.06033,3.4761),(915,3645,0.060173,3.4757),(915,3655,0.060016,3.4753),(915,3665,0.059846,3.4749),(915,3675,0.059616,3.4745),(915,3685,0.059386,3.4741),(915,3695,0.059156,3.4738),(915,3705,0.058909,3.4736),(915,3715,0.058595,3.4733),(915,3725,0.058281,3.473),(915,3735,0.057968,3.4728),(915,3745,0.057631,3.4725),(915,3755,0.057223,3.4723),(915,3765,0.056816,3.4721),(915,3775,0.056408,3.472),(915,3785,0.055971,3.4719),(915,3795,0.055458,3.4717),(915,3805,0.054946,3.4716),(915,3815,0.054434,3.4716),(915,3825,0.053885,3.4715),(915,3835,0.053259,3.4714),(915,3845,0.052633,3.4714),(915,3855,0.052007,3.4714),(915,3865,0.051336,3.4714),(915,3875,0.050588,3.4714),(915,3885,0.04984,3.4715),(915,3895,0.049092,3.4715),(915,3905,0.057931,3.4716),(915,3915,0.081092,3.4717),(915,3925,0.10425,3.4719),(915,3935,0.12742,3.4724),(915,3945,0.15156,3.4729),(915,3955,0.17694,3.4734),(915,3965,0.20232,3.4736),(915,3975,0.2277,3.4735),(915,3985,0.24114,3.4735),(915,3995,0.24166,3.4734),(915,4005,0.24218,3.4728),(915,4015,0.2427,3.4718),(915,4025,0.24287,3.4708),(915,4035,0.243,3.4695),(915,4045,0.24314,3.4675),(915,4055,0.24322,3.4656),(915,4065,0.24328,3.4635),(915,4075,0.24333,3.4606),(915,4085,0.24346,3.4577),(915,4095,0.24363,3.4548),(915,4105,0.2438,3.4509),(915,4115,0.23507,3.447),(915,4125,0.21159,3.4431),(915,4135,0.18812,3.4396),(915,4145,0.16423,3.4362),(915,4155,0.13868,3.4328),(915,4165,0.11314,3.4302),(915,4175,0.088793,3.4281),(915,4185,0.12391,3.4261),(915,4195,0.15903,3.423),(915,4205,0.19415,3.4185),(915,4215,0.18645,3.4139),(915,4225,0.17068,3.4097),(915,4235,0.15492,3.4063),(915,4245,0.13707,3.4029),(915,4255,0.11816,3.3996),(915,4265,0.099245,3.3971),(915,4275,0.078703,3.3946),(915,4285,0.05643,3.3922),(915,4295,0.034158,3.3911),(915,4305,0.024903,3.3903),(915,4315,0.045041,3.3894),(915,4325,0.065178,3.3855),(915,4335,0.08549,3.3805),(915,4345,0.10698,3.3754),(915,4355,0.12847,3.3706),(915,4365,0.14996,3.3659),(915,4375,0.16695,3.3613),(915,4385,0.1837,3.3571),(915,4395,0.20045,3.3537),(915,4405,0.18223,3.3503),(915,4415,0.15371,3.3473),(915,4425,0.12518,3.3465),(915,4435,0.11235,3.3458),(915,4445,0.11023,3.345),(915,4455,0.10812,3.3426),(915,4465,0.13068,3.3402),(915,4475,0.18788,3.3378),(915,4485,0.24508,3.333),(915,4495,0.29124,3.3277),(915,4505,0.30199,3.3224),(915,4515,0.31274,3.3172),(915,4525,0.32266,3.3121),(915,4535,0.3195,3.307),(915,4545,0.31634,3.3022),(915,4555,0.31317,3.2977),(915,4565,0.2284,3.2933),(915,4575,0.13262,3.29),(915,4585,0.036837,3.2897),(915,4595,0.027022,3.2893),(915,4605,0.053528,3.2887),(915,4615,0.080034,3.2857),(915,4625,0.11647,3.2828),(915,4635,0.16189,3.2798),(915,4645,0.20732,3.2741),(915,4655,0.25458,3.2681),(915,4665,0.30531,3.2622),(915,4675,0.35605,3.2546),(915,4685,0.38483,3.2465),(915,4695,0.30514,3.2383),(915,4705,0.22546,3.2333),(915,4715,0.14577,3.2306),(915,4725,0.17147,3.2279),(915,4735,0.19821,3.2234),(915,4745,0.22496,3.2164),(915,4755,0.28659,3.2094),(915,4765,0.3563,3.2014),(915,4775,0.42601,3.1895),(915,4785,0.4713,3.1776),(915,4795,0.50247,3.1657),(915,4805,0.53364,3.1531),(915,4815,0.53103,3.1405),(915,4825,0.48802,3.1279),(915,4835,0.445,3.1188),(915,4845,0.38613,3.1103),(915,4855,0.2859,3.1017),(915,4865,0.18568,3.0968),(915,4875,0.10582,3.0936),(915,4885,0.21119,3.0903),(915,4895,0.31657,3.0822),(915,4905,0.42195,3.0694),(915,4915,0.43024,3.0567),(915,4925,0.43018,3.0442),(915,4935,0.43012,3.0323),(915,4945,0.39819,3.0204),(915,4955,0.35522,3.0092),(915,4965,0.31224,3.0016),(915,4975,0.24469,2.9941),(915,4985,0.15815,2.9865),(915,4995,0.071617,2.9858),(915,5005,0.064711,2.9853),(915,5015,0.1844,2.9847),(915,5025,0.30409,2.9726),(915,5035,0.41477,2.9575),(915,5045,0.49115,2.9425),(915,5055,0.56753,2.924),(915,5065,0.64284,2.9034),(915,5075,0.68327,2.8828),(915,5085,0.72369,2.8621),(915,5095,0.76411,2.8412),(915,5105,0.68655,2.8203),(915,5115,0.5884,2.802),(915,5125,0.49025,2.7912),(915,5135,0.40778,2.7805),(915,5145,0.3329,2.7701),(915,5155,0.25803,2.7636),(915,5165,0.29426,2.7572),(915,5175,0.44382,2.7507),(915,5185,0.59338,2.7339),(915,5195,0.70822,2.716),(915,5205,0.74822,2.6981),(915,5215,0.78822,2.6796),(915,5225,0.82339,2.6608),(915,5235,0.82858,2.6421),(915,5245,0.83377,2.6243),(915,5255,0.83895,2.6072),(915,5265,0.58581,2.5901),(915,5275,0.32201,2.5793),(915,5285,0.058215,2.5792),(915,5295,0.073535,2.5792),(915,5305,0.16658,2.5768),(915,5315,0.25963,2.5651),(915,5325,0.36234,2.5533),(915,5335,0.47139,2.5414),(915,5345,0.58043,2.5215),(915,5355,0.67545,2.5016),(915,5365,0.75156,2.4817),(915,5375,0.82767,2.4597),(915,5385,0.8367,2.4373),(915,5395,0.64177,2.4149),(915,5405,0.44685,2.4034),(915,5415,0.26484,2.3975),(915,5425,0.25632,2.3916),(915,5435,0.2478,2.3867),(915,5445,0.23928,2.3829),(915,5455,0.28799,2.379),(915,5465,0.34369,2.374),(915,5475,0.39939,2.3663),(915,5485,0.42584,2.3587),(915,5495,0.4405,2.3508),(915,5505,0.45516,2.3413),(915,5515,0.4709,2.3318),(915,5525,0.48757,2.3223),(915,5535,0.50425,2.311),(915,5545,0.52138,2.2995),(915,5555,0.53933,2.288),(915,5565,0.55728,2.2748),(915,5575,0.57547,2.2611),(915,5585,0.59471,2.2474),(915,5595,0.61396,2.2325),(915,5605,0.6332,2.2166),(915,5615,0.65393,2.2008),(915,5625,0.67467,2.1841),(915,5635,0.6954,2.166),(915,5645,0.71748,2.1479),(915,5655,0.73984,2.1292),(915,5665,0.76221,2.1088),(915,5675,0.78561,2.0883),(915,5685,0.80958,2.0678),(915,5695,0.83355,2.0453),(915,5705,0.85822,2.0229),(915,5715,0.88371,2.0004),(915,5725,0.90919,1.9762),(915,5735,0.93504,1.9516),(915,5745,0.96177,1.9271),(915,5755,0.9885,1.9014),(915,5765,1.0153,1.8751),(915,5775,1.043,1.8489),(915,5785,1.0708,1.8219),(915,5795,1.0985,1.7943),(915,5805,1.1267,1.7666),(915,5815,1.155,1.7385),(915,5825,1.1833,1.7094),(915,5835,1.2117,1.6803),(915,5845,1.2402,1.6511),(915,5855,1.2687,1.6212),(915,5865,1.2971,1.5912),(915,5875,1.3253,1.5612),(915,5885,1.3536,1.5305),(915,5895,1.3815,1.4998),(915,5905,1.4091,1.4691),(915,5915,1.4366,1.4376),(915,5925,1.464,1.406),(915,5935,1.4906,1.3743),(915,5945,1.5172,1.3423),(915,5955,1.5437,1.3102),(915,5965,1.5696,1.2781),(915,5975,1.5954,1.2458),(915,5985,1.6213,1.2133),(915,5995,1.2437,1.1808),(915,6005,0.80114,1.1559),(915,6015,0.35861,1.1515),(915,6025,0.30253,1.1471),(915,6035,0.42567,1.1418),(915,6045,0.54882,1.1282),(915,6055,0.64338,1.1146),(915,6065,0.70991,1.101),(915,6075,0.77644,1.083),(915,6085,0.82261,1.0647),(915,6095,0.82678,1.0463),(915,6105,0.83096,1.0277),(915,6115,0.8351,1.009),(915,6125,0.83906,0.99035),(915,6135,0.84301,0.9716),(915,6145,0.84696,0.9528),(915,6155,0.85065,0.93399),(915,6165,0.85433,0.91498),(915,6175,0.85801,0.89565),(915,6185,0.86149,0.87632),(915,6195,0.86492,0.85696),(915,6205,0.86835,0.83752),(915,6215,0.87161,0.81807),(915,6225,0.87476,0.79862),(915,6235,0.8779,0.77882),(915,6245,0.88096,0.75903),(915,6255,0.8839,0.73923),(915,6265,0.88683,0.71933),(915,6275,0.88968,0.6994),(915,6285,0.89228,0.67948),(915,6295,0.89488,0.65933),(915,6305,0.89746,0.63906),(915,6315,0.89981,0.6188),(915,6325,0.90217,0.59854),(915,6335,0.90452,0.57829),(915,6345,0.90666,0.55803),(915,6355,0.90878,0.53766),(915,6365,0.91091,0.51704),(915,6375,0.91282,0.49641),(915,6385,0.91464,0.47577),(915,6395,0.91647,0.45502),(915,6405,0.91819,0.43427),(915,6415,0.91981,0.41352),(915,6425,0.92143,0.39271),(915,6435,0.92294,0.3719),(915,6445,0.92424,0.35109),(915,6455,0.92554,0.32995),(915,6465,0.9268,0.30871),(915,6475,0.92783,0.28747),(915,6485,0.92887,0.26632),(915,6495,0.9299,0.24524),(915,6505,0.93075,0.22416),(915,6515,0.93161,0.20307),(915,6525,0.93246,0.18197),(915,6535,0.93311,0.16087),(915,6545,0.93371,0.13971),(915,6555,0.93431,0.11836),(915,6565,0.93472,0.097017),(915,6575,0.93502,0.075675),(915,6585,0.93532,0.054369),(915,6595,0.79563,0.033063),(915,6605,0.50137,0.011757),(915,6615,0.20711,0.009382),(915,6625,0.000252,0.00944),(915,6635,0.000254,0.009499),(915,6645,0.000256,0.009511),(915,6655,0.000258,0.009505),(915,6665,0.000259,0.009498),(915,6675,0.000261,0.009492),(915,6685,0.000263,0.009485),(915,6695,0.000264,0.009479),(915,6705,0.000266,0.009472),(915,6715,0.000267,0.009465),(915,6725,0.000269,0.009459),(915,6735,0.000271,0.009452),(915,6745,0.000272,0.009446),(915,6755,0.000274,0.009439),(915,6765,0.000275,0.009432),(915,6775,0.000277,0.009426),(915,6785,0.000278,0.009419),(915,6795,0.00028,0.009412),(915,6805,0.000281,0.009405),(915,6815,0.000283,0.009398),(915,6825,0.000284,0.009392),(915,6835,0.000286,0.009385),(915,6845,0.000287,0.009378),(915,6855,0.000289,0.009371),(915,6865,0.00029,0.009364),(915,6875,0.000291,0.009357),(915,6885,0.000293,0.00935),(915,6895,0.000294,0.009343),(915,6905,0.000296,0.009336),(915,6915,0.000297,0.009328),(915,6925,0.000298,0.009321),(915,6935,0.0003,0.009314),(915,6945,0.000301,0.009307),(915,6955,0.000302,0.0093),(915,6965,0.000303,0.009293),(915,6975,0.000305,0.009286),(915,6985,0.000306,0.009278),(925,5,4.4e-05,3.6689),(925,15,0.000131,3.6689),(925,25,0.000219,3.6689),(925,35,0.000307,3.6689),(925,45,0.000395,3.6689),(925,55,0.000482,3.6689),(925,65,0.00057,3.6689),(925,75,0.000658,3.6689),(925,85,0.000746,3.6689),(925,95,0.000834,3.6689),(925,105,0.000922,3.6688),(925,115,0.00101,3.6688),(925,125,0.001099,3.6688),(925,135,0.001187,3.6688),(925,145,0.001276,3.6688),(925,155,0.001364,3.6687),(925,165,0.001453,3.6687),(925,175,0.001542,3.6687),(925,185,0.001631,3.6686),(925,195,0.001721,3.6686),(925,205,0.00181,3.6686),(925,215,0.001899,3.6685),(925,225,0.001989,3.6685),(925,235,0.00208,3.6685),(925,245,0.00217,3.6684),(925,255,0.00226,3.6684),(925,265,0.002351,3.6683),(925,275,0.002443,3.6683),(925,285,0.002534,3.6682),(925,295,0.002625,3.6682),(925,305,0.002717,3.6681),(925,315,0.00281,3.6681),(925,325,0.002902,3.668),(925,335,0.002995,3.668),(925,345,0.003088,3.6679),(925,355,0.003181,3.6678),(925,365,0.003275,3.6678),(925,375,0.003369,3.6677),(925,385,0.003464,3.6676),(925,395,0.003559,3.6676),(925,405,0.003654,3.6675),(925,415,0.003749,3.6674),(925,425,0.003845,3.6673),(925,435,0.003942,3.6673),(925,445,0.004039,3.6672),(925,455,0.004135,3.6671),(925,465,0.004234,3.667),(925,475,0.004332,3.6669),(925,485,0.00443,3.6669),(925,495,0.004529,3.6668),(925,505,0.004629,3.6667),(925,515,0.004729,3.6666),(925,525,0.004829,3.6665),(925,535,0.004929,3.6664),(925,545,0.005032,3.6663),(925,555,0.005134,3.6662),(925,565,0.005236,3.6661),(925,575,0.005338,3.666),(925,585,0.005442,3.6659),(925,595,0.005547,3.6658),(925,605,0.005651,3.6656),(925,615,0.005755,3.6655),(925,625,0.005862,3.6654),(925,635,0.005969,3.6653),(925,645,0.006075,3.6652),(925,655,0.006182,3.6651),(925,665,0.006291,3.6649),(925,675,0.0064,3.6648),(925,685,0.006509,3.6647),(925,695,0.006619,3.6645),(925,705,0.006731,3.6644),(925,715,0.006842,3.6643),(925,725,0.006954,3.6641),(925,735,0.007066,3.664),(925,745,0.007181,3.6639),(925,755,0.007295,3.6637),(925,765,0.007409,3.6636),(925,775,0.007524,3.6634),(925,785,0.007641,3.6633),(925,795,0.007759,3.6631),(925,805,0.007876,3.6629),(925,815,0.007994,3.6628),(925,825,0.008114,3.6626),(925,835,0.008234,3.6625),(925,845,0.008354,3.6623),(925,855,0.008476,3.6621),(925,865,0.008599,3.662),(925,875,0.008722,3.6618),(925,885,0.008845,3.6616),(925,895,0.00897,3.6614),(925,905,0.009096,3.6612),(925,915,0.009223,3.6611),(925,925,0.009349,3.6609),(925,935,0.009477,3.6607),(925,945,0.009607,3.6605),(925,955,0.009737,3.6603),(925,965,0.009867,3.6601),(925,975,0.009998,3.6599),(925,985,0.010132,3.6597),(925,995,0.010265,3.6595),(925,1005,0.010399,3.6593),(925,1015,0.010534,3.6591),(925,1025,0.010671,3.6589),(925,1035,0.010808,3.6586),(925,1045,0.010945,3.6584),(925,1055,0.011084,3.6582),(925,1065,0.011225,3.658),(925,1075,0.011366,3.6577),(925,1085,0.011507,3.6575),(925,1095,0.01165,3.6573),(925,1105,0.011794,3.657),(925,1115,0.011939,3.6568),(925,1125,0.012084,3.6565),(925,1135,0.012231,3.6563),(925,1145,0.012379,3.656),(925,1155,0.012528,3.6558),(925,1165,0.012676,3.6555),(925,1175,0.012827,3.6553),(925,1185,0.01298,3.655),(925,1195,0.013132,3.6547),(925,1205,0.013285,3.6545),(925,1215,0.01344,3.6542),(925,1225,0.013597,3.6539),(925,1235,0.013753,3.6536),(925,1245,0.01391,3.6534),(925,1255,0.01407,3.6531),(925,1265,0.014231,3.6528),(925,1275,0.014391,3.6525),(925,1285,0.014552,3.6522),(925,1295,0.014717,3.6519),(925,1305,0.014882,3.6516),(925,1315,0.015047,3.6513),(925,1325,0.015212,3.651),(925,1335,0.015381,3.6507),(925,1345,0.015551,3.6503),(925,1355,0.01572,3.65),(925,1365,0.01589,3.6497),(925,1375,0.016063,3.6494),(925,1385,0.016237,3.649),(925,1395,0.016411,3.6487),(925,1405,0.016585,3.6483),(925,1415,0.016763,3.648),(925,1425,0.016941,3.6477),(925,1435,0.017119,3.6473),(925,1445,0.017297,3.6469),(925,1455,0.01748,3.6466),(925,1465,0.017663,3.6462),(925,1475,0.017845,3.6458),(925,1485,0.018028,3.6455),(925,1495,0.018215,3.6451),(925,1505,0.018402,3.6447),(925,1515,0.018589,3.6443),(925,1525,0.018777,3.6439),(925,1535,0.018968,3.6436),(925,1545,0.01916,3.6432),(925,1555,0.019352,3.6428),(925,1565,0.019544,3.6423),(925,1575,0.01974,3.6419),(925,1585,0.019936,3.6415),(925,1595,0.020132,3.6411),(925,1605,0.020329,3.6407),(925,1615,0.020529,3.6402),(925,1625,0.02073,3.6398),(925,1635,0.02093,3.6394),(925,1645,0.021131,3.6389),(925,1655,0.021336,3.6385),(925,1665,0.021541,3.638),(925,1675,0.021746,3.6376),(925,1685,0.021952,3.6371),(925,1695,0.022161,3.6367),(925,1705,0.02237,3.6362),(925,1715,0.022579,3.6357),(925,1725,0.02279,3.6352),(925,1735,0.023003,3.6348),(925,1745,0.023217,3.6343),(925,1755,0.02343,3.6338),(925,1765,0.023645,3.6333),(925,1775,0.023862,3.6328),(925,1785,0.02408,3.6323),(925,1795,0.024298,3.6317),(925,1805,0.024516,3.6312),(925,1815,0.024738,3.6307),(925,1825,0.02496,3.6302),(925,1835,0.025181,3.6296),(925,1845,0.025404,3.6291),(925,1855,0.02563,3.6286),(925,1865,0.025856,3.628),(925,1875,0.026081,3.6275),(925,1885,0.026308,3.6269),(925,1895,0.026537,3.6263),(925,1905,0.026767,3.6258),(925,1915,0.026996,3.6252),(925,1925,0.027227,3.6246),(925,1935,0.02746,3.624),(925,1945,0.027693,3.6234),(925,1955,0.027926,3.6228),(925,1965,0.02816,3.6222),(925,1975,0.028397,3.6216),(925,1985,0.028633,3.621),(925,1995,0.028869,3.6204),(925,2005,0.029107,3.6198),(925,2015,0.029347,3.6192),(925,2025,0.029586,3.6185),(925,2035,0.029826,3.6179),(925,2045,0.030067,3.6172),(925,2055,0.030309,3.6166),(925,2065,0.030552,3.6159),(925,2075,0.030794,3.6153),(925,2085,0.031039,3.6146),(925,2095,0.031284,3.6139),(925,2105,0.031529,3.6132),(925,2115,0.031775,3.6126),(925,2125,0.032021,3.6119),(925,2135,0.032269,3.6112),(925,2145,0.032517,3.6105),(925,2155,0.032765,3.6098),(925,2165,0.033014,3.609),(925,2175,0.033264,3.6083),(925,2185,0.033514,3.6076),(925,2195,0.033764,3.6069),(925,2205,0.034015,3.6061),(925,2215,0.034267,3.6054),(925,2225,0.034519,3.6047),(925,2235,0.034771,3.6039),(925,2245,0.035024,3.6031),(925,2255,0.035277,3.6024),(925,2265,0.03553,3.6016),(925,2275,0.035784,3.6008),(925,2285,0.036038,3.6),(925,2295,0.036293,3.5993),(925,2305,0.036548,3.5985),(925,2315,0.036803,3.5977),(925,2325,0.037058,3.5969),(925,2335,0.037314,3.5961),(925,2345,0.03757,3.5952),(925,2355,0.037825,3.5944),(925,2365,0.038082,3.5936),(925,2375,0.038338,3.5928),(925,2385,0.038594,3.5919),(925,2395,0.03885,3.5911),(925,2405,0.039107,3.5902),(925,2415,0.039364,3.5894),(925,2425,0.03962,3.5885),(925,2435,0.039877,3.5876),(925,2445,0.040133,3.5868),(925,2455,0.04039,3.5859),(925,2465,0.040647,3.585),(925,2475,0.040903,3.5841),(925,2485,0.041159,3.5832),(925,2495,0.041415,3.5823),(925,2505,0.041671,3.5814),(925,2515,0.041927,3.5805),(925,2525,0.042183,3.5796),(925,2535,0.042438,3.5787),(925,2545,0.042693,3.5778),(925,2555,0.042948,3.5768),(925,2565,0.043203,3.5759),(925,2575,0.043457,3.575),(925,2585,0.043711,3.574),(925,2595,0.043965,3.5731),(925,2605,0.044218,3.5721),(925,2615,0.04447,3.5712),(925,2625,0.044723,3.5702),(925,2635,0.044976,3.5692),(925,2645,0.045226,3.5682),(925,2655,0.045477,3.5673),(925,2665,0.045728,3.5663),(925,2675,0.045978,3.5653),(925,2685,0.046227,3.5643),(925,2695,0.046475,3.5633),(925,2705,0.046724,3.5623),(925,2715,0.046972,3.5613),(925,2725,0.047218,3.5603),(925,2735,0.047463,3.5593),(925,2745,0.047709,3.5583),(925,2755,0.047954,3.5573),(925,2765,0.048197,3.5562),(925,2775,0.04844,3.5552),(925,2785,0.048683,3.5542),(925,2795,0.048925,3.5531),(925,2805,0.049164,3.5521),(925,2815,0.049404,3.5511),(925,2825,0.049644,3.55),(925,2835,0.049882,3.549),(925,2845,0.050118,3.5479),(925,2855,0.050353,3.5469),(925,2865,0.050589,3.5458),(925,2875,0.050824,3.5448),(925,2885,0.051055,3.5437),(925,2895,0.051287,3.5427),(925,2905,0.051518,3.5416),(925,2915,0.051748,3.5406),(925,2925,0.051975,3.5395),(925,2935,0.052202,3.5384),(925,2945,0.05243,3.5374),(925,2955,0.052654,3.5363),(925,2965,0.052877,3.5352),(925,2975,0.053099,3.5342),(925,2985,0.053321,3.5331),(925,2995,0.053541,3.532),(925,3005,0.053757,3.531),(925,3015,0.053974,3.5299),(925,3025,0.054191,3.5288),(925,3035,0.054404,3.5278),(925,3045,0.054615,3.5267),(925,3055,0.054825,3.5256),(925,3065,0.055035,3.5246),(925,3075,0.055242,3.5235),(925,3085,0.055445,3.5225),(925,3095,0.055649,3.5214),(925,3105,0.055852,3.5204),(925,3115,0.056051,3.5193),(925,3125,0.056247,3.5182),(925,3135,0.056443,3.5172),(925,3145,0.056638,3.5162),(925,3155,0.056828,3.5151),(925,3165,0.057015,3.5141),(925,3175,0.057202,3.5131),(925,3185,0.057389,3.512),(925,3195,0.057568,3.511),(925,3205,0.057745,3.51),(925,3215,0.057921,3.509),(925,3225,0.058098,3.508),(925,3235,0.058266,3.507),(925,3245,0.05843,3.506),(925,3255,0.058595,3.505),(925,3265,0.05876,3.504),(925,3275,0.058913,3.503),(925,3285,0.059064,3.5021),(925,3295,0.059215,3.5011),(925,3305,0.059365,3.5002),(925,3315,0.059502,3.4992),(925,3325,0.059636,3.4983),(925,3335,0.05977,3.4974),(925,3345,0.059905,3.4965),(925,3355,0.060022,3.4956),(925,3365,0.060137,3.4946),(925,3375,0.060251,3.4938),(925,3385,0.060366,3.4929),(925,3395,0.06046,3.4921),(925,3405,0.060551,3.4912),(925,3415,0.060642,3.4904),(925,3425,0.060733,3.4896),(925,3435,0.060799,3.4888),(925,3445,0.060862,3.4879),(925,3455,0.060926,3.4872),(925,3465,0.060989,3.4864),(925,3475,0.06102,3.4857),(925,3485,0.061051,3.4849),(925,3495,0.061081,3.4842),(925,3505,0.061111,3.4835),(925,3515,0.061102,3.4828),(925,3525,0.061093,3.4821),(925,3535,0.061084,3.4815),(925,3545,0.061073,3.4809),(925,3555,0.061018,3.4802),(925,3565,0.060962,3.4796),(925,3575,0.060907,3.4791),(925,3585,0.060847,3.4785),(925,3595,0.060737,3.478),(925,3605,0.060627,3.4774),(925,3615,0.060517,3.4769),(925,3625,0.060399,3.4764),(925,3635,0.060226,3.476),(925,3645,0.060053,3.4755),(925,3655,0.05988,3.4751),(925,3665,0.059696,3.4747),(925,3675,0.05945,3.4743),(925,3685,0.059204,3.4739),(925,3695,0.058958,3.4736),(925,3705,0.058696,3.4733),(925,3715,0.058368,3.473),(925,3725,0.058039,3.4727),(925,3735,0.057711,3.4724),(925,3745,0.05736,3.4722),(925,3755,0.056939,3.4719),(925,3765,0.056518,3.4717),(925,3775,0.056097,3.4716),(925,3785,0.055647,3.4714),(925,3795,0.055123,3.4712),(925,3805,0.054599,3.4711),(925,3815,0.054075,3.471),(925,3825,0.053516,3.4709),(925,3835,0.05288,3.4708),(925,3845,0.052245,3.4708),(925,3855,0.05161,3.4707),(925,3865,0.050932,3.4707),(925,3875,0.050178,3.4707),(925,3885,0.049423,3.470703),(925,3895,0.048669,3.4707),(925,3905,0.057401,3.4708),(925,3915,0.080303,3.4708),(925,3925,0.1032,3.471),(925,3935,0.12611,3.4714),(925,3945,0.15007,3.4718),(925,3955,0.17537,3.4722),(925,3965,0.20068,3.4723),(925,3975,0.22599,3.4721),(925,3985,0.23949,3.4719),(925,3995,0.24022,3.4717),(925,4005,0.24095,3.471),(925,4015,0.24168,3.4699),(925,4025,0.24208,3.4688),(925,4035,0.24245,3.4674),(925,4045,0.24282,3.4654),(925,4055,0.24315,3.4634),(925,4065,0.24345,3.4613),(925,4075,0.24376,3.4584),(925,4085,0.24413,3.4555),(925,4095,0.24455,3.4526),(925,4105,0.24498,3.4488),(925,4115,0.23643,3.445),(925,4125,0.213,3.4411),(925,4135,0.18956,3.4377),(925,4145,0.16567,3.4344),(925,4155,0.13992,3.4311),(925,4165,0.11418,3.4287),(925,4175,0.089643,3.4269),(925,4185,0.12521,3.425),(925,4195,0.16078,3.422),(925,4205,0.19635,3.4175),(925,4215,0.18862,3.413),(925,4225,0.17275,3.4087),(925,4235,0.15687,3.4051),(925,4245,0.13891,3.4015),(925,4255,0.11991,3.398),(925,4265,0.1009,3.3953),(925,4275,0.080169,3.3926),(925,4285,0.057605,3.39),(925,4295,0.035041,3.3888),(925,4305,0.025929,3.3879),(925,4315,0.047193,3.387),(925,4325,0.068456,3.3827),(925,4335,0.0897,3.3772),(925,4345,0.11081,3.3717),(925,4355,0.13192,3.3665),(925,4365,0.15303,3.3617),(925,4375,0.16946,3.3568),(925,4385,0.18566,3.3525),(925,4395,0.20185,3.3491),(925,4405,0.1831,3.3458),(925,4415,0.15404,3.3429),(925,4425,0.12499,3.3422),(925,4435,0.11226,3.3416),(925,4445,0.11069,3.3409),(925,4455,0.10912,3.3386),(925,4465,0.13215,3.3363),(925,4475,0.18971,3.334),(925,4485,0.24728,3.3292),(925,4495,0.29368,3.324),(925,4505,0.30426,3.3187),(925,4515,0.31483,3.3135),(925,4525,0.32458,3.3083),(925,4535,0.32121,3.3032),(925,4545,0.31785,3.2983),(925,4555,0.31449,3.2937),(925,4565,0.22939,3.2892),(925,4575,0.13328,3.2858),(925,4585,0.037166,3.2855),(925,4595,0.027572,3.2851),(925,4605,0.054534,3.2844),(925,4615,0.081496,3.2815),(925,4625,0.11836,3.2785),(925,4635,0.16418,3.2755),(925,4645,0.21001,3.2698),(925,4655,0.25759,3.2639),(925,4665,0.30849,3.258),(925,4675,0.35939,3.2505),(925,4685,0.38818,3.2424),(925,4695,0.30775,3.2344),(925,4705,0.22732,3.2294),(925,4715,0.14688,3.2267),(925,4725,0.17347,3.2239),(925,4735,0.20112,3.2195),(925,4745,0.22877,3.2125),(925,4755,0.29113,3.2055),(925,4765,0.36154,3.1975),(925,4775,0.43194,3.1856),(925,4785,0.47744,3.1738),(925,4795,0.50853,3.162),(925,4805,0.53963,3.1494),(925,4815,0.53664,3.1369),(925,4825,0.49291,3.1244),(925,4835,0.44917,3.1154),(925,4845,0.38963,3.1069),(925,4855,0.28886,3.0985),(925,4865,0.18809,3.0936),(925,4875,0.1079,3.0903),(925,4885,0.21488,3.0869),(925,4895,0.32185,3.0788),(925,4905,0.42883,3.0659),(925,4915,0.43702,3.053),(925,4925,0.4367,3.0404),(925,4935,0.43639,3.0285),(925,4945,0.40381,3.0165),(925,4955,0.36004,3.0052),(925,4965,0.31627,2.9976),(925,4975,0.24776,2.9901),(925,4985,0.16015,2.9825),(925,4995,0.072541,2.9818),(925,5005,0.066034,2.9813),(925,5015,0.18846,2.9807),(925,5025,0.31089,2.9687),(925,5035,0.42391,2.9537),(925,5045,0.50105,2.9387),(925,5055,0.5782,2.9204),(925,5065,0.65425,2.9),(925,5075,0.69441,2.8796),(925,5085,0.73457,2.859),(925,5095,0.77473,2.8384),(925,5105,0.69561,2.8177),(925,5115,0.59569,2.7997),(925,5125,0.49576,2.789),(925,5135,0.41238,2.7784),(925,5145,0.33702,2.7681),(925,5155,0.26167,2.7617),(925,5165,0.29848,2.7552),(925,5175,0.4497,2.7487),(925,5185,0.60093,2.7318),(925,5195,0.71687,2.7139),(925,5205,0.75675,2.696),(925,5215,0.79663,2.6775),(925,5225,0.83164,2.6588),(925,5235,0.83638,2.6401),(925,5245,0.84111,2.6224),(925,5255,0.84585,2.6054),(925,5265,0.59063,2.5884),(925,5275,0.32468,2.5777),(925,5285,0.058737,2.5776),(925,5295,0.075276,2.5775),(925,5305,0.17048,2.5751),(925,5315,0.26569,2.5633),(925,5325,0.36997,2.5515),(925,5335,0.48022,2.5396),(925,5345,0.59046,2.5197),(925,5355,0.68617,2.4999),(925,5365,0.76229,2.48),(925,5375,0.83841,2.4582),(925,5385,0.84681,2.4359),(925,5395,0.64931,2.4137),(925,5405,0.45181,2.4023),(925,5415,0.26738,2.3965),(925,5425,0.25843,2.3906),(925,5435,0.24949,2.3857),(925,5445,0.24054,2.3816),(925,5455,0.28964,2.3776),(925,5465,0.34583,2.3724),(925,5475,0.40202,2.3645),(925,5485,0.42885,2.3566),(925,5495,0.44384,2.3485),(925,5505,0.45884,2.3387),(925,5515,0.47493,2.329),(925,5525,0.49199,2.3192),(925,5535,0.50904,2.3076),(925,5545,0.52657,2.2959),(925,5555,0.54494,2.2841),(925,5565,0.56331,2.2708),(925,5575,0.58191,2.2569),(925,5585,0.60157,2.243),(925,5595,0.62124,2.2278),(925,5605,0.6409,2.2118),(925,5615,0.66205,2.1958),(925,5625,0.6832,2.1789),(925,5635,0.70435,2.1607),(925,5645,0.72682,2.1424),(925,5655,0.74957,2.1237),(925,5665,0.77232,2.1031),(925,5675,0.79609,2.0826),(925,5685,0.8204,2.0619),(925,5695,0.84472,2.0395),(925,5705,0.86972,2.017),(925,5715,0.8955,1.9945),(925,5725,0.92127,1.9702),(925,5735,0.94739,1.9456),(925,5745,0.97436,1.9211),(925,5755,1.0013,1.8954),(925,5765,1.0284,1.8692),(925,5775,1.0563,1.843),(925,5785,1.0842,1.8161),(925,5795,1.1121,1.7885),(925,5805,1.1404,1.761),(925,5815,1.1688,1.7329),(925,5825,1.1972,1.704),(925,5835,1.2257,1.6751),(925,5845,1.2542,1.646),(925,5855,1.2827,1.6162),(925,5865,1.3111,1.5865),(925,5875,1.3393,1.5567),(925,5885,1.3676,1.5262),(925,5895,1.3955,1.4957),(925,5905,1.423,1.4653),(925,5915,1.4505,1.4341),(925,5925,1.4778,1.4027),(925,5935,1.5044,1.3714),(925,5945,1.5309,1.3397),(925,5955,1.5574,1.3079),(925,5965,1.5831,1.2762),(925,5975,1.6089,1.2442),(925,5985,1.6347,1.2122),(925,5995,1.2539,1.1801),(925,6005,0.80772,1.1555),(925,6015,0.36154,1.1512),(925,6025,0.30532,1.1468),(925,6035,0.42996,1.1416),(925,6045,0.55459,1.128),(925,6055,0.65025,1.1144),(925,6065,0.71749,1.1008),(925,6075,0.78472,1.0828),(925,6085,0.83137,1.0644),(925,6095,0.83559,1.046),(925,6105,0.83981,1.0274),(925,6115,0.844,1.0087),(925,6125,0.848,0.99001),(925,6135,0.85201,0.97125),(925,6145,0.85602,0.95243),(925,6155,0.85975,0.93361),(925,6165,0.86348,0.91459),(925,6175,0.8672,0.89525),(925,6185,0.87073,0.87591),(925,6195,0.87421,0.85655),(925,6205,0.87768,0.83709),(925,6215,0.88098,0.81763),(925,6225,0.88418,0.79817),(925,6235,0.88737,0.77839),(925,6245,0.89047,0.75861),(925,6255,0.89346,0.73883),(925,6265,0.89644,0.71891),(925,6275,0.89934,0.69896),(925,6285,0.90198,0.67902),(925,6295,0.90463,0.65887),(925,6305,0.90725,0.63862),(925,6315,0.90965,0.61836),(925,6325,0.91205,0.59812),(925,6335,0.91444,0.57788),(925,6345,0.91662,0.55765),(925,6355,0.91876,0.53729),(925,6365,0.92091,0.51667),(925,6375,0.92285,0.49604),(925,6385,0.92471,0.47541),(925,6395,0.92656,0.45469),(925,6405,0.92831,0.43397),(925,6415,0.92995,0.41325),(925,6425,0.9316,0.39244),(925,6435,0.93313,0.37163),(925,6445,0.93446,0.35081),(925,6455,0.93579,0.32968),(925,6465,0.93706,0.30845),(925,6475,0.93811,0.28722),(925,6485,0.93916,0.26611),(925,6495,0.94021,0.24507),(925,6505,0.94106,0.22403),(925,6515,0.94192,0.20297),(925,6525,0.94277,0.18188),(925,6535,0.94342,0.1608),(925,6545,0.94403,0.13965),(925,6555,0.94464,0.11832),(925,6565,0.94505,0.096987),(925,6575,0.94536,0.075657),(925,6585,0.94566,0.054367),(925,6595,0.80443,0.033076),(925,6605,0.50692,0.011785),(925,6615,0.2094,0.009405),(925,6625,0.000256,0.009454),(925,6635,0.000257,0.009503),(925,6645,0.000259,0.009513),(925,6655,0.000261,0.009506),(925,6665,0.000263,0.0095),(925,6675,0.000264,0.009493),(925,6685,0.000266,0.009487),(925,6695,0.000268,0.00948),(925,6705,0.000269,0.009474),(925,6715,0.000271,0.009467),(925,6725,0.000272,0.009461),(925,6735,0.000274,0.009454),(925,6745,0.000276,0.009447),(925,6755,0.000277,0.009441),(925,6765,0.000279,0.009434),(925,6775,0.00028,0.009427),(925,6785,0.000282,0.00942),(925,6795,0.000283,0.009414),(925,6805,0.000285,0.009407),(925,6815,0.000286,0.0094),(925,6825,0.000288,0.009393),(925,6835,0.000289,0.009386),(925,6845,0.000291,0.009379),(925,6855,0.000292,0.009372),(925,6865,0.000294,0.009365),(925,6875,0.000295,0.009358),(925,6885,0.000296,0.009351),(925,6895,0.000298,0.009344),(925,6905,0.000299,0.009337),(925,6915,0.000301,0.00933),(925,6925,0.000302,0.009323),(925,6935,0.000303,0.009316),(925,6945,0.000304,0.009308),(925,6955,0.000306,0.009301),(925,6965,0.000307,0.009294),(925,6975,0.000308,0.009287),(925,6985,0.000309,0.009279),(935,5,4.4e-05,3.669),(935,15,0.000132,3.669),(935,25,0.000221,3.669),(935,35,0.000309,3.669),(935,45,0.000398,3.669),(935,55,0.000486,3.669),(935,65,0.000575,3.669),(935,75,0.000664,3.669),(935,85,0.000752,3.669),(935,95,0.000841,3.6689),(935,105,0.00093,3.6689),(935,115,0.001019,3.6689),(935,125,0.001108,3.6689),(935,135,0.001197,3.6689),(935,145,0.001286,3.6688),(935,155,0.001376,3.6688),(935,165,0.001465,3.6688),(935,175,0.001555,3.6688),(935,185,0.001645,3.6687),(935,195,0.001735,3.6687),(935,205,0.001825,3.6687),(935,215,0.001915,3.6686),(935,225,0.002006,3.6686),(935,235,0.002097,3.6685),(935,245,0.002188,3.6685),(935,255,0.002279,3.6685),(935,265,0.002371,3.6684),(935,275,0.002463,3.6684),(935,285,0.002555,3.6683),(935,295,0.002647,3.6683),(935,305,0.00274,3.6682),(935,315,0.002833,3.6682),(935,325,0.002926,3.6681),(935,335,0.00302,3.668),(935,345,0.003114,3.668),(935,355,0.003208,3.6679),(935,365,0.003303,3.6679),(935,375,0.003397,3.6678),(935,385,0.003493,3.6677),(935,395,0.003589,3.6677),(935,405,0.003684,3.6676),(935,415,0.00378,3.6675),(935,425,0.003877,3.6674),(935,435,0.003975,3.6674),(935,445,0.004072,3.6673),(935,455,0.00417,3.6672),(935,465,0.004269,3.6671),(935,475,0.004368,3.667),(935,485,0.004468,3.6669),(935,495,0.004567,3.6669),(935,505,0.004668,3.6668),(935,515,0.004769,3.6667),(935,525,0.00487,3.6666),(935,535,0.004971,3.6665),(935,545,0.005074,3.6664),(935,555,0.005177,3.6663),(935,565,0.00528,3.6662),(935,575,0.005383,3.6661),(935,585,0.005489,3.666),(935,595,0.005594,3.6659),(935,605,0.005699,3.6658),(935,615,0.005804,3.6656),(935,625,0.005912,3.6655),(935,635,0.006019,3.6654),(935,645,0.006127,3.6653),(935,655,0.006235,3.6652),(935,665,0.006345,3.665),(935,675,0.006455,3.6649),(935,685,0.006565,3.6648),(935,695,0.006676,3.6647),(935,705,0.006788,3.6645),(935,715,0.006901,3.6644),(935,725,0.007014,3.6642),(935,735,0.007127,3.6641),(935,745,0.007242,3.664),(935,755,0.007358,3.6638),(935,765,0.007473,3.6637),(935,775,0.007589,3.6635),(935,785,0.007707,3.6634),(935,795,0.007826,3.6632),(935,805,0.007944,3.6631),(935,815,0.008063,3.6629),(935,825,0.008184,3.6627),(935,835,0.008306,3.6626),(935,845,0.008427,3.6624),(935,855,0.008549,3.6622),(935,865,0.008674,3.6621),(935,875,0.008798,3.6619),(935,885,0.008922,3.6617),(935,895,0.009048,3.6616),(935,905,0.009176,3.6614),(935,915,0.009303,3.6612),(935,925,0.009431,3.661),(935,935,0.00956,3.6608),(935,945,0.009691,3.6606),(935,955,0.009822,3.6604),(935,965,0.009953,3.6602),(935,975,0.010086,3.66),(935,985,0.010221,3.6598),(935,995,0.010356,3.6596),(935,1005,0.01049,3.6594),(935,1015,0.010627,3.6592),(935,1025,0.010766,3.659),(935,1035,0.010904,3.6588),(935,1045,0.011042,3.6586),(935,1055,0.011183,3.6583),(935,1065,0.011325,3.6581),(935,1075,0.011467,3.6579),(935,1085,0.011609,3.6576),(935,1095,0.011754,3.6574),(935,1105,0.0119,3.6572),(935,1115,0.012046,3.6569),(935,1125,0.012192,3.6567),(935,1135,0.012341,3.6564),(935,1145,0.012491,3.6562),(935,1155,0.01264,3.6559),(935,1165,0.01279,3.6557),(935,1175,0.012943,3.6554),(935,1185,0.013097,3.6552),(935,1195,0.013251,3.6549),(935,1205,0.013405,3.6546),(935,1215,0.013562,3.6544),(935,1225,0.01372,3.6541),(935,1235,0.013879,3.6538),(935,1245,0.014037,3.6535),(935,1255,0.014198,3.6532),(935,1265,0.014361,3.6529),(935,1275,0.014523,3.6527),(935,1285,0.014686,3.6524),(935,1295,0.014852,3.6521),(935,1305,0.015018,3.6518),(935,1315,0.015185,3.6514),(935,1325,0.015352,3.6511),(935,1335,0.015523,3.6508),(935,1345,0.015694,3.6505),(935,1355,0.015865,3.6502),(935,1365,0.016037,3.6499),(935,1375,0.016212,3.6495),(935,1385,0.016388,3.6492),(935,1395,0.016563,3.6489),(935,1405,0.016739,3.6485),(935,1415,0.016919,3.6482),(935,1425,0.017099,3.6478),(935,1435,0.017279,3.6475),(935,1445,0.017459,3.6471),(935,1455,0.017644,3.6468),(935,1465,0.017829,3.6464),(935,1475,0.018013,3.646),(935,1485,0.018198,3.6457),(935,1495,0.018387,3.6453),(935,1505,0.018576,3.6449),(935,1515,0.018765,3.6445),(935,1525,0.018955,3.6441),(935,1535,0.019148,3.6437),(935,1545,0.019342,3.6433),(935,1555,0.019536,3.6429),(935,1565,0.01973,3.6425),(935,1575,0.019928,3.6421),(935,1585,0.020127,3.6417),(935,1595,0.020325,3.6413),(935,1605,0.020524,3.6409),(935,1615,0.020726,3.6404),(935,1625,0.020929,3.64),(935,1635,0.021132,3.6396),(935,1645,0.021335,3.6391),(935,1655,0.021543,3.6387),(935,1665,0.02175,3.6382),(935,1675,0.021957,3.6378),(935,1685,0.022165,3.6373),(935,1695,0.022376,3.6369),(935,1705,0.022588,3.6364),(935,1715,0.022799,3.6359),(935,1725,0.023012,3.6354),(935,1735,0.023228,3.635),(935,1745,0.023444,3.6345),(935,1755,0.02366,3.634),(935,1765,0.023877,3.6335),(935,1775,0.024097,3.633),(935,1785,0.024317,3.6325),(935,1795,0.024537,3.632),(935,1805,0.024758,3.6314),(935,1815,0.024982,3.6309),(935,1825,0.025207,3.6304),(935,1835,0.025431,3.6299),(935,1845,0.025656,3.6293),(935,1855,0.025885,3.6288),(935,1865,0.026113,3.6282),(935,1875,0.026341,3.6277),(935,1885,0.02657,3.6271),(935,1895,0.026802,3.6266),(935,1905,0.027034,3.626),(935,1915,0.027266,3.6254),(935,1925,0.0275,3.6248),(935,1935,0.027735,3.6243),(935,1945,0.027971,3.6237),(935,1955,0.028207,3.6231),(935,1965,0.028444,3.6225),(935,1975,0.028683,3.6219),(935,1985,0.028922,3.6213),(935,1995,0.029161,3.6206),(935,2005,0.029402,3.62),(935,2015,0.029644,3.6194),(935,2025,0.029886,3.6188),(935,2035,0.030129,3.6181),(935,2045,0.030373,3.6175),(935,2055,0.030618,3.6168),(935,2065,0.030863,3.6162),(935,2075,0.031109,3.6155),(935,2085,0.031355,3.6148),(935,2095,0.031604,3.6142),(935,2105,0.031852,3.6135),(935,2115,0.0321,3.6128),(935,2125,0.032349,3.6121),(935,2135,0.0326,3.6114),(935,2145,0.032851,3.6107),(935,2155,0.033101,3.61),(935,2165,0.033353,3.6093),(935,2175,0.033606,3.6086),(935,2185,0.033859,3.6079),(935,2195,0.034112,3.6071),(935,2205,0.034366,3.6064),(935,2215,0.03462,3.6057),(935,2225,0.034875,3.6049),(935,2235,0.03513,3.6041),(935,2245,0.035386,3.6034),(935,2255,0.035642,3.6026),(935,2265,0.035898,3.6019),(935,2275,0.036155,3.6011),(935,2285,0.036412,3.6003),(935,2295,0.03667,3.5995),(935,2305,0.036927,3.5987),(935,2315,0.037185,3.5979),(935,2325,0.037443,3.5971),(935,2335,0.037701,3.5963),(935,2345,0.03796,3.5955),(935,2355,0.038218,3.5947),(935,2365,0.038477,3.5938),(935,2375,0.038736,3.593),(935,2385,0.038995,3.5922),(935,2395,0.039254,3.5913),(935,2405,0.039513,3.5905),(935,2415,0.039773,3.5896),(935,2425,0.040032,3.5888),(935,2435,0.040291,3.5879),(935,2445,0.04055,3.587),(935,2455,0.040809,3.5862),(935,2465,0.041068,3.5853),(935,2475,0.041328,3.5844),(935,2485,0.041586,3.5835),(935,2495,0.041845,3.5826),(935,2505,0.042103,3.5817),(935,2515,0.042362,3.5808),(935,2525,0.042619,3.5799),(935,2535,0.042877,3.5789),(935,2545,0.043134,3.578),(935,2555,0.043392,3.5771),(935,2565,0.043648,3.5761),(935,2575,0.043904,3.5752),(935,2585,0.044161,3.5743),(935,2595,0.044417,3.5733),(935,2605,0.044671,3.5724),(935,2615,0.044926,3.5714),(935,2625,0.045181,3.5704),(935,2635,0.045435,3.5695),(935,2645,0.045688,3.5685),(935,2655,0.04594,3.5675),(935,2665,0.046193,3.5665),(935,2675,0.046445,3.5655),(935,2685,0.046695,3.5646),(935,2695,0.046945,3.5636),(935,2705,0.047195,3.5626),(935,2715,0.047444,3.5616),(935,2725,0.047691,3.5605),(935,2735,0.047938,3.5595),(935,2745,0.048185,3.5585),(935,2755,0.048432,3.5575),(935,2765,0.048675,3.5565),(935,2775,0.048919,3.5555),(935,2785,0.049163,3.5544),(935,2795,0.049406,3.5534),(935,2805,0.049646,3.5524),(935,2815,0.049886,3.5513),(935,2825,0.050126,3.5503),(935,2835,0.050365,3.5492),(935,2845,0.050601,3.5482),(935,2855,0.050837,3.5471),(935,2865,0.051073,3.5461),(935,2875,0.051307,3.545),(935,2885,0.051538,3.544),(935,2895,0.051769,3.5429),(935,2905,0.052001,3.5419),(935,2915,0.05223,3.5408),(935,2925,0.052456,3.5397),(935,2935,0.052683,3.5387),(935,2945,0.052909,3.5376),(935,2955,0.053133,3.5365),(935,2965,0.053353,3.5355),(935,2975,0.053574,3.5344),(935,2985,0.053795,3.5333),(935,2995,0.054013,3.5323),(935,3005,0.054228,3.5312),(935,3015,0.054442,3.5301),(935,3025,0.054657,3.5291),(935,3035,0.054868,3.528),(935,3045,0.055076,3.5269),(935,3055,0.055283,3.5259),(935,3065,0.055491,3.5248),(935,3075,0.055694,3.5237),(935,3085,0.055895,3.5227),(935,3095,0.056095,3.5216),(935,3105,0.056295,3.5206),(935,3115,0.05649,3.5195),(935,3125,0.056681,3.5184),(935,3135,0.056873,3.5174),(935,3145,0.057064,3.5164),(935,3155,0.05725,3.5153),(935,3165,0.057431,3.5143),(935,3175,0.057613,3.5132),(935,3185,0.057795,3.5122),(935,3195,0.057969,3.5112),(935,3205,0.058139,3.5102),(935,3215,0.05831,3.5091),(935,3225,0.05848,3.5081),(935,3235,0.058641,3.5071),(935,3245,0.058799,3.5061),(935,3255,0.058956,3.5051),(935,3265,0.059114,3.5042),(935,3275,0.05926,3.5032),(935,3285,0.059402,3.5022),(935,3295,0.059545,3.5013),(935,3305,0.059687,3.5003),(935,3315,0.059816,3.4994),(935,3325,0.059941,3.4984),(935,3335,0.060065,3.4975),(935,3345,0.06019,3.4966),(935,3355,0.060298,3.4957),(935,3365,0.060402,3.4948),(935,3375,0.060506,3.4939),(935,3385,0.060611,3.493),(935,3395,0.060693,3.4922),(935,3405,0.060773,3.4913),(935,3415,0.060853,3.4905),(935,3425,0.060933,3.4897),(935,3435,0.060986,3.4888),(935,3445,0.061037,3.488),(935,3455,0.061088,3.4872),(935,3465,0.061139,3.4865),(935,3475,0.061157,3.4857),(935,3485,0.061174,3.4849),(935,3495,0.061191,3.4842),(935,3505,0.061208,3.4835),(935,3515,0.061184,3.4828),(935,3525,0.061161,3.4821),(935,3535,0.061138,3.4815),(935,3545,0.061112,3.4809),(935,3555,0.061042,3.4802),(935,3565,0.060972,3.4796),(935,3575,0.060901,3.479),(935,3585,0.060826,3.4784),(935,3595,0.060701,3.4779),(935,3605,0.060576,3.4773),(935,3615,0.06045,3.4768),(935,3625,0.060317,3.4763),(935,3635,0.060129,3.4758),(935,3645,0.05994,3.4753),(935,3655,0.059752,3.4749),(935,3665,0.059551,3.4745),(935,3675,0.05929,3.4741),(935,3685,0.059029,3.4737),(935,3695,0.058768,3.4733),(935,3705,0.058491,3.473),(935,3715,0.058148,3.4726),(935,3725,0.057805,3.4723),(935,3735,0.057462,3.4721),(935,3745,0.057097,3.4718),(935,3755,0.056663,3.4715),(935,3765,0.056229,3.4713),(935,3775,0.055794,3.4711),(935,3785,0.055331,3.4709),(935,3795,0.054796,3.4707),(935,3805,0.054261,3.4706),(935,3815,0.053726,3.4704),(935,3825,0.053156,3.4703),(935,3835,0.052512,3.4702),(935,3845,0.051868,3.4701),(935,3855,0.051224,3.4701),(935,3865,0.050538,3.47),(935,3875,0.049778,3.47),(935,3885,0.049018,3.4699),(935,3895,0.048258,3.4699),(935,3905,0.056884,3.4699),(935,3915,0.079532,3.47),(935,3925,0.10218,3.4701),(935,3935,0.12483,3.4704),(935,3945,0.14862,3.4707),(935,3955,0.17385,3.4709),(935,3965,0.19908,3.4709),(935,3975,0.22431,3.4706),(935,3985,0.23788,3.4703),(935,3995,0.23882,3.47),(935,4005,0.23976,3.4692),(935,4015,0.2407,3.468),(935,4025,0.24133,3.4668),(935,4035,0.24193,3.4653),(935,4045,0.24253,3.4633),(935,4055,0.24309,3.4612),(935,4065,0.24363,3.4591),(935,4075,0.24418,3.4562),(935,4085,0.2448,3.4533),(935,4095,0.24547,3.4504),(935,4105,0.24614,3.4467),(935,4115,0.23776,3.4429),(935,4125,0.21437,3.4392),(935,4135,0.19098,3.4359),(935,4145,0.16708,3.4327),(935,4155,0.14112,3.4295),(935,4165,0.11516,3.4272),(935,4175,0.090434,3.4256),(935,4185,0.12647,3.4239),(935,4195,0.16251,3.421),(935,4205,0.19855,3.4165),(935,4215,0.19081,3.412),(935,4225,0.17484,3.4077),(935,4235,0.15887,3.4039),(935,4245,0.14082,3.4001),(935,4255,0.12172,3.3964),(935,4265,0.10262,3.3935),(935,4275,0.081693,3.3906),(935,4285,0.058824,3.3877),(935,4295,0.035955,3.3865),(935,4305,0.026989,3.3855),(935,4315,0.049416,3.3845),(935,4325,0.071842,3.3799),(935,4335,0.094047,3.3739),(935,4345,0.11475,3.3679),(935,4355,0.13545,3.3625),(935,4365,0.15615,3.3574),(935,4375,0.17202,3.3524),(935,4385,0.18763,3.348),(935,4395,0.20324,3.3447),(935,4405,0.18395,3.3413),(935,4415,0.15435,3.3385),(935,4425,0.12476,3.338),(935,4435,0.11214,3.3374),(935,4445,0.11112,3.3369),(935,4455,0.1101,3.3346),(935,4465,0.13359,3.3324),(935,4475,0.19153,3.3302),(935,4485,0.24946,3.3255),(935,4495,0.29611,3.3203),(935,4505,0.30652,3.315),(935,4515,0.31693,3.3098),(935,4525,0.32651,3.3046),(935,4535,0.32295,3.2994),(935,4545,0.31939,3.2944),(935,4555,0.31584,3.2897),(935,4565,0.23041,3.285),(935,4575,0.13396,3.2816),(935,4585,0.0375,3.2812),(935,4595,0.028124,3.2809),(935,4605,0.055541,3.2802),(935,4615,0.082959,3.2772),(935,4625,0.12024,3.2742),(935,4635,0.16647,3.2712),(935,4645,0.21269,3.2656),(935,4655,0.26059,3.2597),(935,4665,0.31165,3.2538),(935,4675,0.36271,3.2463),(935,4685,0.39151,3.2384),(935,4695,0.31034,3.2304),(935,4705,0.22917,3.2254),(935,4715,0.14799,3.2227),(935,4725,0.17546,3.22),(935,4735,0.20402,3.2156),(935,4745,0.23258,3.2086),(935,4755,0.29567,3.2016),(935,4765,0.36676,3.1935),(935,4775,0.43785,3.1818),(935,4785,0.48355,3.17),(935,4795,0.51457,3.1582),(935,4805,0.54558,3.1457),(935,4815,0.54223,3.1333),(935,4825,0.49777,3.1209),(935,4835,0.45332,3.1119),(935,4845,0.3931,3.1036),(935,4855,0.2918,3.0952),(935,4865,0.19051,3.0903),(935,4875,0.10999,3.0869),(935,4885,0.21857,3.0836),(935,4895,0.32716,3.0753),(935,4905,0.43574,3.0623),(935,4915,0.44382,3.0493),(935,4925,0.44324,3.0367),(935,4935,0.44267,3.0246),(935,4945,0.40943,3.0126),(935,4955,0.36487,3.0013),(935,4965,0.3203,2.9937),(935,4975,0.25084,2.9861),(935,4985,0.16215,2.9785),(935,4995,0.073465,2.9778),(935,5005,0.067352,2.9773),(935,5015,0.19251,2.9767),(935,5025,0.31767,2.9648),(935,5035,0.43301,2.9499),(935,5045,0.51092,2.935),(935,5055,0.58882,2.9168),(935,5065,0.6656,2.8966),(935,5075,0.7055,2.8763),(935,5085,0.74539,2.856),(935,5095,0.78528,2.8356),(935,5105,0.70462,2.8151),(935,5115,0.60292,2.7973),(935,5125,0.50123,2.7868),(935,5135,0.41695,2.7763),(935,5145,0.34113,2.7662),(935,5155,0.26531,2.7597),(935,5165,0.30271,2.7532),(935,5175,0.45559,2.7467),(935,5185,0.60848,2.7298),(935,5195,0.72552,2.7119),(935,5205,0.76528,2.6939),(935,5215,0.80504,2.6755),(935,5225,0.83988,2.6568),(935,5235,0.84416,2.6382),(935,5245,0.84845,2.6205),(935,5255,0.85273,2.6036),(935,5265,0.59543,2.5867),(935,5275,0.32735,2.576),(935,5285,0.059258,2.5759),(935,5295,0.077019,2.5758),(935,5305,0.17438,2.5734),(935,5315,0.27175,2.5616),(935,5325,0.37761,2.5497),(935,5335,0.48904,2.5378),(935,5345,0.60047,2.5179),(935,5355,0.69687,2.4981),(935,5365,0.77299,2.4783),(935,5375,0.84911,2.4566),(935,5385,0.85688,2.4346),(935,5395,0.65681,2.4125),(935,5405,0.45675,2.4012),(935,5415,0.2699,2.3954),(935,5425,0.26055,2.3896),(935,5435,0.2512,2.3846),(935,5445,0.24185,2.3804),(935,5455,0.29135,2.3762),(935,5465,0.34804,2.3708),(935,5475,0.40473,2.3626),(935,5485,0.43193,2.3545),(935,5495,0.44725,2.3461),(935,5505,0.46258,2.3361),(935,5515,0.47903,2.3261),(935,5525,0.49647,2.3161),(935,5535,0.5139,2.3042),(935,5545,0.53182,2.2923),(935,5555,0.5506,2.2803),(935,5565,0.56938,2.2667),(935,5575,0.5884,2.2526),(935,5585,0.60848,2.2385),(935,5595,0.62856,2.2232),(935,5605,0.64864,2.207),(935,5615,0.67021,2.1908),(935,5625,0.69177,2.1737),(935,5635,0.71334,2.1554),(935,5645,0.73619,2.137),(935,5655,0.75933,2.1181),(935,5665,0.78247,2.0975),(935,5675,0.80659,2.0768),(935,5685,0.83125,2.0561),(935,5695,0.85591,2.0336),(935,5705,0.88123,2.0111),(935,5715,0.90729,1.9885),(935,5725,0.93335,1.9642),(935,5735,0.95974,1.9397),(935,5745,0.98695,1.9151),(935,5755,1.0142,1.8894),(935,5765,1.0414,1.8633),(935,5775,1.0695,1.8371),(935,5785,1.0976,1.8103),(935,5795,1.1256,1.7828),(935,5805,1.1541,1.7553),(935,5815,1.1826,1.7274),(935,5825,1.2111,1.6986),(935,5835,1.2396,1.6698),(935,5845,1.2682,1.6409),(935,5855,1.2967,1.6113),(935,5865,1.3251,1.5818),(935,5875,1.3533,1.5522),(935,5885,1.3815,1.522),(935,5895,1.4094,1.4917),(935,5905,1.4369,1.4614),(935,5915,1.4644,1.4305),(935,5925,1.4916,1.3995),(935,5935,1.518,1.3684),(935,5945,1.5445,1.3371),(935,5955,1.5709,1.3057),(935,5965,1.5966,1.2742),(935,5975,1.6223,1.2427),(935,5985,1.648,1.211),(935,5995,1.2641,1.1793),(935,6005,0.81427,1.1551),(935,6015,0.36446,1.1508),(935,6025,0.3081,1.1465),(935,6035,0.43424,1.1413),(935,6045,0.56037,1.1277),(935,6055,0.65712,1.1141),(935,6065,0.72506,1.1005),(935,6075,0.79301,1.0825),(935,6085,0.84014,1.0641),(935,6095,0.8444,1.0457),(935,6105,0.84866,1.0271),(935,6115,0.85289,1.0084),(935,6125,0.85695,0.98967),(935,6135,0.86101,0.9709),(935,6145,0.86507,0.95206),(935,6155,0.86885,0.93322),(935,6165,0.87262,0.91419),(935,6175,0.87639,0.89485),(935,6185,0.87997,0.8755),(935,6195,0.88349,0.85614),(935,6205,0.88701,0.83667),(935,6215,0.89035,0.8172),(935,6225,0.89359,0.79772),(935,6235,0.89683,0.77796),(935,6245,0.89998,0.7582),(935,6255,0.90301,0.73843),(935,6265,0.90605,0.7185),(935,6275,0.90899,0.69853),(935,6285,0.91168,0.67856),(935,6295,0.91437,0.65841),(935,6305,0.91704,0.63817),(935,6315,0.91948,0.61793),(935,6325,0.92193,0.5977),(935,6335,0.92437,0.57748),(935,6345,0.92657,0.55726),(935,6355,0.92875,0.53692),(935,6365,0.93092,0.5163),(935,6375,0.93289,0.49568),(935,6385,0.93477,0.47505),(935,6395,0.93665,0.45436),(935,6405,0.93842,0.43367),(935,6415,0.9401,0.41298),(935,6425,0.94177,0.39217),(935,6435,0.94333,0.37135),(935,6445,0.94468,0.35053),(935,6455,0.94603,0.32941),(935,6465,0.94733,0.30819),(935,6475,0.94839,0.28698),(935,6485,0.94945,0.26589),(935,6495,0.95051,0.24489),(935,6505,0.95137,0.22389),(935,6515,0.95223,0.20286),(935,6525,0.95308,0.18179),(935,6535,0.95374,0.16073),(935,6545,0.95435,0.1396),(935,6555,0.95496,0.11828),(935,6565,0.95537,0.096957),(935,6575,0.95569,0.07564),(935,6585,0.956,0.054365),(935,6595,0.81323,0.03309),(935,6605,0.51246,0.011815),(935,6615,0.21169,0.009428),(935,6625,0.000259,0.009468),(935,6635,0.000261,0.009508),(935,6645,0.000262,0.009515),(935,6655,0.000264,0.009508),(935,6665,0.000266,0.009502),(935,6675,0.000268,0.009495),(935,6685,0.000269,0.009489),(935,6695,0.000271,0.009482),(935,6705,0.000273,0.009475),(935,6715,0.000274,0.009469),(935,6725,0.000276,0.009462),(935,6735,0.000278,0.009456),(935,6745,0.000279,0.009449),(935,6755,0.000281,0.009442),(935,6765,0.000282,0.009436),(935,6775,0.000284,0.009429),(935,6785,0.000285,0.009422),(935,6795,0.000287,0.009415),(935,6805,0.000288,0.009408),(935,6815,0.00029,0.009401),(935,6825,0.000291,0.009395),(935,6835,0.000293,0.009388),(935,6845,0.000294,0.009381),(935,6855,0.000296,0.009374),(935,6865,0.000297,0.009367),(935,6875,0.000299,0.00936),(935,6885,0.0003,0.009352),(935,6895,0.000301,0.009345),(935,6905,0.000303,0.009338),(935,6915,0.000304,0.009331),(935,6925,0.000305,0.009324),(935,6935,0.000307,0.009317),(935,6945,0.000308,0.00931),(935,6955,0.000309,0.009303),(935,6965,0.000311,0.009295),(935,6975,0.000312,0.009288),(935,6985,0.000313,0.009281),(945,5,4.5e-05,3.6691),(945,15,0.000134,3.6691),(945,25,0.000223,3.6691),(945,35,0.000312,3.6691),(945,45,0.000401,3.6691),(945,55,0.00049,3.6691),(945,65,0.00058,3.6691),(945,75,0.000669,3.6691),(945,85,0.000758,3.6691),(945,95,0.000848,3.669),(945,105,0.000937,3.669),(945,115,0.001027,3.669),(945,125,0.001117,3.669),(945,135,0.001207,3.669),(945,145,0.001297,3.6689),(945,155,0.001387,3.6689),(945,165,0.001477,3.6689),(945,175,0.001568,3.6689),(945,185,0.001658,3.6688),(945,195,0.001749,3.6688),(945,205,0.00184,3.6688),(945,215,0.001931,3.6687),(945,225,0.002023,3.6687),(945,235,0.002114,3.6686),(945,245,0.002206,3.6686),(945,255,0.002298,3.6686),(945,265,0.00239,3.6685),(945,275,0.002483,3.6685),(945,285,0.002576,3.6684),(945,295,0.002669,3.6684),(945,305,0.002763,3.6683),(945,315,0.002857,3.6683),(945,325,0.002951,3.6682),(945,335,0.003044,3.6681),(945,345,0.003139,3.6681),(945,355,0.003235,3.668),(945,365,0.00333,3.668),(945,375,0.003425,3.6679),(945,385,0.003522,3.6678),(945,395,0.003618,3.6678),(945,405,0.003715,3.6677),(945,415,0.003812,3.6676),(945,425,0.00391,3.6675),(945,435,0.004008,3.6675),(945,445,0.004106,3.6674),(945,455,0.004205,3.6673),(945,465,0.004305,3.6672),(945,475,0.004405,3.6671),(945,485,0.004505,3.667),(945,495,0.004605,3.667),(945,505,0.004707,3.6669),(945,515,0.004809,3.6668),(945,525,0.004911,3.6667),(945,535,0.005013,3.6666),(945,545,0.005117,3.6665),(945,555,0.005221,3.6664),(945,565,0.005325,3.6663),(945,575,0.005429,3.6662),(945,585,0.005535,3.6661),(945,595,0.005641,3.666),(945,605,0.005747,3.6659),(945,615,0.005853,3.6657),(945,625,0.005962,3.6656),(945,635,0.00607,3.6655),(945,645,0.006179,3.6654),(945,655,0.006287,3.6653),(945,665,0.006399,3.6652),(945,675,0.00651,3.665),(945,685,0.006621,3.6649),(945,695,0.006732,3.6648),(945,705,0.006846,3.6646),(945,715,0.00696,3.6645),(945,725,0.007073,3.6644),(945,735,0.007188,3.6642),(945,745,0.007304,3.6641),(945,755,0.00742,3.6639),(945,765,0.007537,3.6638),(945,775,0.007654,3.6636),(945,785,0.007773,3.6635),(945,795,0.007893,3.6633),(945,805,0.008012,3.6632),(945,815,0.008132,3.663),(945,825,0.008255,3.6629),(945,835,0.008377,3.6627),(945,845,0.0085,3.6625),(945,855,0.008623,3.6624),(945,865,0.008748,3.6622),(945,875,0.008874,3.662),(945,885,0.009,3.6619),(945,895,0.009126,3.6617),(945,905,0.009255,3.6615),(945,915,0.009384,3.6613),(945,925,0.009513,3.6611),(945,935,0.009643,3.6609),(945,945,0.009775,3.6608),(945,955,0.009908,3.6606),(945,965,0.01004,3.6604),(945,975,0.010174,3.6602),(945,985,0.01031,3.66),(945,995,0.010446,3.6598),(945,1005,0.010582,3.6596),(945,1015,0.01072,3.6593),(945,1025,0.01086,3.6591),(945,1035,0.011,3.6589),(945,1045,0.011139,3.6587),(945,1055,0.011281,3.6585),(945,1065,0.011425,3.6583),(945,1075,0.011568,3.658),(945,1085,0.011712,3.6578),(945,1095,0.011858,3.6576),(945,1105,0.012005,3.6573),(945,1115,0.012153,3.6571),(945,1125,0.0123,3.6568),(945,1135,0.01245,3.6566),(945,1145,0.012602,3.6563),(945,1155,0.012753,3.6561),(945,1165,0.012905,3.6558),(945,1175,0.013059,3.6556),(945,1185,0.013215,3.6553),(945,1195,0.01337,3.6551),(945,1205,0.013526,3.6548),(945,1215,0.013684,3.6545),(945,1225,0.013844,3.6542),(945,1235,0.014004,3.654),(945,1245,0.014164,3.6537),(945,1255,0.014327,3.6534),(945,1265,0.014491,3.6531),(945,1275,0.014655,3.6528),(945,1285,0.014819,3.6525),(945,1295,0.014986,3.6522),(945,1305,0.015155,3.6519),(945,1315,0.015324,3.6516),(945,1325,0.015492,3.6513),(945,1335,0.015665,3.651),(945,1345,0.015838,3.6507),(945,1355,0.016011,3.6504),(945,1365,0.016184,3.65),(945,1375,0.016361,3.6497),(945,1385,0.016539,3.6494),(945,1395,0.016716,3.649),(945,1405,0.016894,3.6487),(945,1415,0.017075,3.6484),(945,1425,0.017257,3.648),(945,1435,0.017439,3.6477),(945,1445,0.017622,3.6473),(945,1455,0.017808,3.647),(945,1465,0.017995,3.6466),(945,1475,0.018181,3.6462),(945,1485,0.018368,3.6458),(945,1495,0.018559,3.6455),(945,1505,0.01875,3.6451),(945,1515,0.018941,3.6447),(945,1525,0.019133,3.6443),(945,1535,0.019328,3.6439),(945,1545,0.019524,3.6435),(945,1555,0.01972,3.6431),(945,1565,0.019916,3.6427),(945,1575,0.020117,3.6423),(945,1585,0.020317,3.6419),(945,1595,0.020518,3.6415),(945,1605,0.020719,3.6411),(945,1615,0.020924,3.6407),(945,1625,0.021129,3.6402),(945,1635,0.021334,3.6398),(945,1645,0.021539,3.6393),(945,1655,0.021749,3.6389),(945,1665,0.021958,3.6385),(945,1675,0.022168,3.638),(945,1685,0.022378,3.6375),(945,1695,0.022592,3.6371),(945,1705,0.022806,3.6366),(945,1715,0.02302,3.6361),(945,1725,0.023234,3.6357),(945,1735,0.023453,3.6352),(945,1745,0.023671,3.6347),(945,1755,0.023889,3.6342),(945,1765,0.024109,3.6337),(945,1775,0.024331,3.6332),(945,1785,0.024554,3.6327),(945,1795,0.024776,3.6322),(945,1805,0.025,3.6317),(945,1815,0.025227,3.6312),(945,1825,0.025454,3.6306),(945,1835,0.02568,3.6301),(945,1845,0.025908,3.6296),(945,1855,0.026139,3.629),(945,1865,0.02637,3.6285),(945,1875,0.0266,3.6279),(945,1885,0.026833,3.6274),(945,1895,0.027067,3.6268),(945,1905,0.027302,3.6262),(945,1915,0.027536,3.6257),(945,1925,0.027773,3.6251),(945,1935,0.028011,3.6245),(945,1945,0.028249,3.6239),(945,1955,0.028488,3.6233),(945,1965,0.028728,3.6227),(945,1975,0.028969,3.6221),(945,1985,0.029211,3.6215),(945,1995,0.029453,3.6209),(945,2005,0.029696,3.6203),(945,2015,0.029941,3.6196),(945,2025,0.030186,3.619),(945,2035,0.030432,3.6184),(945,2045,0.030678,3.6177),(945,2055,0.030926,3.6171),(945,2065,0.031174,3.6164),(945,2075,0.031423,3.6157),(945,2085,0.031672,3.6151),(945,2095,0.031923,3.6144),(945,2105,0.032174,3.6137),(945,2115,0.032425,3.6131),(945,2125,0.032678,3.6124),(945,2135,0.032931,3.6117),(945,2145,0.033184,3.611),(945,2155,0.033438,3.6103),(945,2165,0.033693,3.6095),(945,2175,0.033948,3.6088),(945,2185,0.034204,3.6081),(945,2195,0.03446,3.6074),(945,2205,0.034717,3.6066),(945,2215,0.034974,3.6059),(945,2225,0.035232,3.6052),(945,2235,0.035489,3.6044),(945,2245,0.035748,3.6036),(945,2255,0.036007,3.6029),(945,2265,0.036266,3.6021),(945,2275,0.036525,3.6013),(945,2285,0.036785,3.6006),(945,2295,0.037046,3.5998),(945,2305,0.037306,3.599),(945,2315,0.037567,3.5982),(945,2325,0.037828,3.5974),(945,2335,0.038089,3.5966),(945,2345,0.03835,3.5958),(945,2355,0.038611,3.5949),(945,2365,0.038873,3.5941),(945,2375,0.039135,3.5933),(945,2385,0.039396,3.5924),(945,2395,0.039658,3.5916),(945,2405,0.03992,3.5907),(945,2415,0.040182,3.5899),(945,2425,0.040444,3.589),(945,2435,0.040705,3.5882),(945,2445,0.040967,3.5873),(945,2455,0.041229,3.5864),(945,2465,0.04149,3.5855),(945,2475,0.041752,3.5846),(945,2485,0.042013,3.5837),(945,2495,0.042274,3.5829),(945,2505,0.042535,3.5819),(945,2515,0.042796,3.581),(945,2525,0.043056,3.5801),(945,2535,0.043316,3.5792),(945,2545,0.043575,3.5783),(945,2555,0.043835,3.5773),(945,2565,0.044094,3.5764),(945,2575,0.044352,3.5755),(945,2585,0.04461,3.5745),(945,2595,0.044869,3.5736),(945,2605,0.045125,3.5726),(945,2615,0.045382,3.5717),(945,2625,0.045638,3.5707),(945,2635,0.045895,3.5697),(945,2645,0.046149,3.5687),(945,2655,0.046403,3.5678),(945,2665,0.046658,3.5668),(945,2675,0.046912,3.5658),(945,2685,0.047163,3.5648),(945,2695,0.047415,3.5638),(945,2705,0.047666,3.5628),(945,2715,0.047917,3.5618),(945,2725,0.048165,3.5608),(945,2735,0.048413,3.5598),(945,2745,0.048662,3.5588),(945,2755,0.048909,3.5577),(945,2765,0.049154,3.5567),(945,2775,0.049398,3.5557),(945,2785,0.049643,3.5547),(945,2795,0.049886,3.5536),(945,2805,0.050127,3.5526),(945,2815,0.050368,3.5516),(945,2825,0.050608,3.5505),(945,2835,0.050847,3.5495),(945,2845,0.051083,3.5484),(945,2855,0.05132,3.5474),(945,2865,0.051556,3.5463),(945,2875,0.05179,3.5453),(945,2885,0.052021,3.5442),(945,2895,0.052252,3.5431),(945,2905,0.052483,3.5421),(945,2915,0.052712,3.541),(945,2925,0.052937,3.54),(945,2935,0.053163,3.5389),(945,2945,0.053388,3.5378),(945,2955,0.053611,3.5368),(945,2965,0.05383,3.5357),(945,2975,0.05405,3.5346),(945,2985,0.054269,3.5335),(945,2995,0.054485,3.5325),(945,3005,0.054698,3.5314),(945,3015,0.05491,3.5303),(945,3025,0.055123,3.5293),(945,3035,0.055331,3.5282),(945,3045,0.055537,3.5271),(945,3055,0.055742,3.5261),(945,3065,0.055947,3.525),(945,3075,0.056147,3.5239),(945,3085,0.056344,3.5229),(945,3095,0.056541,3.5218),(945,3105,0.056737,3.5207),(945,3115,0.056928,3.5197),(945,3125,0.057116,3.5186),(945,3135,0.057303,3.5176),(945,3145,0.05749,3.5165),(945,3155,0.057671,3.5155),(945,3165,0.057847,3.5144),(945,3175,0.058024,3.5134),(945,3185,0.058201,3.5124),(945,3195,0.058369,3.5114),(945,3205,0.058533,3.5103),(945,3215,0.058698,3.5093),(945,3225,0.058862,3.5083),(945,3235,0.059016,3.5073),(945,3245,0.059167,3.5063),(945,3255,0.059317,3.5053),(945,3265,0.059468,3.5043),(945,3275,0.059606,3.5033),(945,3285,0.059741,3.5023),(945,3295,0.059875,3.5014),(945,3305,0.06001,3.5004),(945,3315,0.060129,3.4995),(945,3325,0.060245,3.4985),(945,3335,0.06036,3.4976),(945,3345,0.060476,3.4967),(945,3355,0.060573,3.4958),(945,3365,0.060667,3.4949),(945,3375,0.060761,3.494),(945,3385,0.060855,3.4931),(945,3395,0.060927,3.4922),(945,3405,0.060995,3.4914),(945,3415,0.061064,3.4905),(945,3425,0.061132,3.4897),(945,3435,0.061173,3.4889),(945,3445,0.061212,3.488),(945,3455,0.06125,3.4873),(945,3465,0.061289,3.4865),(945,3475,0.061294,3.4857),(945,3485,0.061297,3.4849),(945,3495,0.061301,3.4842),(945,3505,0.061304,3.4835),(945,3515,0.061266,3.4828),(945,3525,0.061229,3.4821),(945,3535,0.061191,3.4814),(945,3545,0.061152,3.4808),(945,3555,0.061066,3.4801),(945,3565,0.060981,3.4795),(945,3575,0.060896,3.4789),(945,3585,0.060806,3.4783),(945,3595,0.060665,3.4777),(945,3605,0.060524,3.4772),(945,3615,0.060383,3.4766),(945,3625,0.060235,3.4761),(945,3635,0.060031,3.4756),(945,3645,0.059827,3.4751),(945,3655,0.059623,3.4747),(945,3665,0.059407,3.4742),(945,3675,0.059131,3.4738),(945,3685,0.058854,3.4734),(945,3695,0.058578,3.473),(945,3705,0.058286,3.4727),(945,3715,0.057928,3.4723),(945,3725,0.057571,3.472),(945,3735,0.057214,3.4717),(945,3745,0.056834,3.4714),(945,3755,0.056387,3.4711),(945,3765,0.055939,3.4708),(945,3775,0.055492,3.4706),(945,3785,0.055016,3.4704),(945,3795,0.05447,3.4702),(945,3805,0.053924,3.47),(945,3815,0.053377,3.4699),(945,3825,0.052797,3.4697),(945,3835,0.052144,3.4696),(945,3845,0.051491,3.4695),(945,3855,0.050838,3.4694),(945,3865,0.050144,3.4693),(945,3875,0.049378,3.4692),(945,3885,0.048612,3.4692),(945,3895,0.047846,3.4691),(945,3905,0.056367,3.4691),(945,3915,0.078762,3.4691),(945,3925,0.10116,3.4692),(945,3935,0.12355,3.4694),(945,3945,0.14716,3.4696),(945,3955,0.17232,3.4697),(945,3965,0.19748,3.4696),(945,3975,0.22264,3.4692),(945,3985,0.23627,3.4687),(945,3995,0.23742,3.4683),(945,4005,0.23857,3.4674),(945,4015,0.23972,3.4661),(945,4025,0.24057,3.4649),(945,4035,0.2414,3.4633),(945,4045,0.24223,3.4612),(945,4055,0.24303,3.4591),(945,4065,0.24381,3.457),(945,4075,0.2446,3.4541),(945,4085,0.24547,3.4512),(945,4095,0.24639,3.4483),(945,4105,0.24731,3.4446),(945,4115,0.2391,3.4409),(945,4125,0.21575,3.4372),(945,4135,0.1924,3.4339),(945,4145,0.16849,3.4308),(945,4155,0.14232,3.4277),(945,4165,0.11615,3.4256),(945,4175,0.091225,3.424),(945,4185,0.12773,3.4225),(945,4195,0.16423,3.4197),(945,4205,0.20074,3.4152),(945,4215,0.193,3.4107),(945,4225,0.17693,3.4064),(945,4235,0.16086,3.4024),(945,4245,0.14272,3.3984),(945,4255,0.12353,3.3945),(945,4265,0.10434,3.3914),(945,4275,0.083217,3.3884),(945,4285,0.060043,3.3853),(945,4295,0.036869,3.3841),(945,4305,0.028048,3.383),(945,4315,0.051638,3.382),(945,4325,0.075228,3.3772),(945,4335,0.098394,3.3709),(945,4345,0.11869,3.3647),(945,4355,0.13898,3.359),(945,4365,0.15927,3.3538),(945,4375,0.17457,3.3486),(945,4385,0.1896,3.3441),(945,4395,0.20464,3.3408),(945,4405,0.18479,3.3375),(945,4415,0.15466,3.3346),(945,4425,0.12454,3.3341),(945,4435,0.11202,3.3336),(945,4445,0.11154,3.3331),(945,4455,0.11107,3.3309),(945,4465,0.13503,3.3287),(945,4475,0.19334,3.3266),(945,4485,0.25165,3.3219),(945,4495,0.29853,3.3167),(945,4505,0.30878,3.3115),(945,4515,0.31903,3.3062),(945,4525,0.32845,3.3009),(945,4535,0.32469,3.2956),(945,4545,0.32094,3.2906),(945,4555,0.31718,3.2858),(945,4565,0.23144,3.281),(945,4575,0.13464,3.2774),(945,4585,0.037835,3.2771),(945,4595,0.028677,3.2767),(945,4605,0.056549,3.276),(945,4615,0.084422,3.273),(945,4625,0.12213,3.27),(945,4635,0.16875,3.267),(945,4645,0.21538,3.2614),(945,4655,0.26359,3.2555),(945,4665,0.31481,3.2497),(945,4675,0.36603,3.2423),(945,4685,0.39485,3.2343),(945,4695,0.31293,3.2264),(945,4705,0.23102,3.2214),(945,4715,0.1491,3.2187),(945,4725,0.17746,3.216),(945,4735,0.20693,3.2115),(945,4745,0.23639,3.2045),(945,4755,0.30021,3.1976),(945,4765,0.37199,3.1895),(945,4775,0.44377,3.1778),(945,4785,0.48967,3.166),(945,4795,0.52061,3.1543),(945,4805,0.55154,3.1419),(945,4815,0.54782,3.1296),(945,4825,0.50264,3.1172),(945,4835,0.45746,3.1084),(945,4845,0.39658,3.1001),(945,4855,0.29475,3.0918),(945,4865,0.19292,3.0869),(945,4875,0.11209,3.0835),(945,4885,0.22227,3.0801),(945,4895,0.33246,3.0717),(945,4905,0.44265,3.0586),(945,4915,0.45061,3.0456),(945,4925,0.44979,3.0328),(945,4935,0.44896,3.0207),(945,4945,0.41506,3.0087),(945,4955,0.3697,2.9973),(945,4965,0.32434,2.9897),(945,4975,0.25392,2.9821),(945,4985,0.16415,2.9745),(945,4995,0.074389,2.9738),(945,5005,0.068669,2.9732),(945,5015,0.19656,2.9727),(945,5025,0.32445,2.9608),(945,5035,0.44211,2.946),(945,5045,0.52078,2.9312),(945,5055,0.59945,2.9132),(945,5065,0.67695,2.8931),(945,5075,0.71658,2.8731),(945,5085,0.75621,2.8529),(945,5095,0.79584,2.8327),(945,5105,0.71363,2.8125),(945,5115,0.61016,2.7948),(945,5125,0.50669,2.7845),(945,5135,0.42152,2.7741),(945,5145,0.34523,2.7641),(945,5155,0.26894,2.7575),(945,5165,0.30694,2.751),(945,5175,0.46148,2.7445),(945,5185,0.61603,2.7276),(945,5195,0.73417,2.7097),(945,5205,0.77381,2.6917),(945,5215,0.81344,2.6733),(945,5225,0.84812,2.6547),(945,5235,0.85195,2.6361),(945,5245,0.85578,2.6185),(945,5255,0.85962,2.6016),(945,5265,0.60024,2.5848),(945,5275,0.33001,2.5742),(945,5285,0.05978,2.5741),(945,5295,0.078763,2.574),(945,5305,0.17829,2.5716),(945,5315,0.27781,2.5597),(945,5325,0.38524,2.5478),(945,5335,0.49786,2.5358),(945,5345,0.61048,2.5161),(945,5355,0.70757,2.4963),(945,5365,0.78369,2.4766),(945,5375,0.85981,2.455),(945,5385,0.86694,2.4331),(945,5395,0.66432,2.4112),(945,5405,0.46169,2.4),(945,5415,0.27243,2.3942),(945,5425,0.26267,2.3885),(945,5435,0.25292,2.3835),(945,5445,0.24316,2.3791),(945,5455,0.29306,2.3747),(945,5465,0.35024,2.3691),(945,5475,0.40743,2.3607),(945,5485,0.43501,2.3523),(945,5495,0.45067,2.3437),(945,5505,0.46632,2.3334),(945,5515,0.48313,2.3232),(945,5525,0.50095,2.3129),(945,5535,0.51876,2.3009),(945,5545,0.53707,2.2887),(945,5555,0.55627,2.2765),(945,5565,0.57546,2.2627),(945,5575,0.59489,2.2484),(945,5585,0.61539,2.2341),(945,5595,0.63589,2.2186),(945,5605,0.65638,2.2023),(945,5615,0.67836,2.1859),(945,5625,0.70034,2.1687),(945,5635,0.72232,2.1502),(945,5645,0.74557,2.1316),(945,5655,0.76909,2.1126),(945,5665,0.79261,2.0919),(945,5675,0.81709,2.0712),(945,5685,0.8421,2.0503),(945,5695,0.8671,2.0278),(945,5705,0.89274,2.0052),(945,5715,0.91909,1.9826),(945,5725,0.94544,1.9583),(945,5735,0.9721,1.9338),(945,5745,0.99954,1.9092),(945,5755,1.027,1.8836),(945,5765,1.0545,1.8575),(945,5775,1.0827,1.8314),(945,5785,1.111,1.8047),(945,5795,1.1392,1.7773),(945,5805,1.1678,1.7499),(945,5815,1.1963,1.7221),(945,5825,1.2249,1.6934),(945,5835,1.2535,1.6648),(945,5845,1.2821,1.636),(945,5855,1.3107,1.6066),(945,5865,1.3391,1.5773),(945,5875,1.3673,1.5479),(945,5885,1.3955,1.5179),(945,5895,1.4234,1.4878),(945,5905,1.4508,1.4578),(945,5915,1.4782,1.4271),(945,5925,1.5054,1.3964),(945,5935,1.5317,1.3656),(945,5945,1.5581,1.3346),(945,5955,1.5845,1.3035),(945,5965,1.6101,1.2724),(945,5975,1.6357,1.2412),(945,5985,1.6613,1.2099),(945,5995,1.2743,1.1786),(945,6005,0.82081,1.1546),(945,6015,0.36737,1.1504),(945,6025,0.31089,1.1462),(945,6035,0.43852,1.1411),(945,6045,0.56615,1.1275),(945,6055,0.664,1.1139),(945,6065,0.73264,1.1003),(945,6075,0.80129,1.0822),(945,6085,0.84891,1.0638),(945,6095,0.85321,1.0454),(945,6105,0.85751,1.0268),(945,6115,0.86178,1.0081),(945,6125,0.8659,0.98935),(945,6135,0.87001,0.97056),(945,6145,0.87412,0.9517),(945,6155,0.87795,0.93284),(945,6165,0.88177,0.9138),(945,6175,0.88559,0.89445),(945,6185,0.8892,0.8751),(945,6195,0.89277,0.85573),(945,6205,0.89633,0.83626),(945,6215,0.89972,0.81678),(945,6225,0.90301,0.7973),(945,6235,0.9063,0.77756),(945,6245,0.90949,0.75781),(945,6255,0.91257,0.73807),(945,6265,0.91565,0.71812),(945,6275,0.91864,0.69813),(945,6285,0.92138,0.67815),(945,6295,0.92411,0.658),(945,6305,0.92683,0.63777),(945,6315,0.92932,0.61754),(945,6325,0.93181,0.59732),(945,6335,0.9343,0.5771),(945,6345,0.93653,0.55688),(945,6355,0.93873,0.53654),(945,6365,0.94093,0.51592),(945,6375,0.94292,0.49531),(945,6385,0.94483,0.47469),(945,6395,0.94675,0.45404),(945,6405,0.94854,0.43338),(945,6415,0.95025,0.41273),(945,6425,0.95195,0.39191),(945,6435,0.95353,0.37109),(945,6445,0.9549,0.35027),(945,6455,0.95628,0.32914),(945,6465,0.95759,0.30794),(945,6475,0.95867,0.28673),(945,6485,0.95975,0.26566),(945,6495,0.96082,0.24469),(945,6505,0.96168,0.22372),(945,6515,0.96254,0.20271),(945,6525,0.96339,0.18167),(945,6535,0.96405,0.16063),(945,6545,0.96466,0.13953),(945,6555,0.96527,0.11823),(945,6565,0.9657,0.096928),(945,6575,0.96602,0.075631),(945,6585,0.96634,0.05437),(945,6595,0.82202,0.033109),(945,6605,0.518,0.011848),(945,6615,0.21398,0.009453),(945,6625,0.000262,0.009483),(945,6635,0.000264,0.009512),(945,6645,0.000266,0.009516),(945,6655,0.000267,0.00951),(945,6665,0.000269,0.009503),(945,6675,0.000271,0.009497),(945,6685,0.000273,0.00949),(945,6695,0.000274,0.009484),(945,6705,0.000276,0.009477),(945,6715,0.000278,0.00947),(945,6725,0.000279,0.009464),(945,6735,0.000281,0.009457),(945,6745,0.000283,0.009451),(945,6755,0.000284,0.009444),(945,6765,0.000286,0.009437),(945,6775,0.000287,0.00943),(945,6785,0.000289,0.009423),(945,6795,0.00029,0.009417),(945,6805,0.000292,0.00941),(945,6815,0.000293,0.009403),(945,6825,0.000295,0.009396),(945,6835,0.000296,0.009389),(945,6845,0.000298,0.009382),(945,6855,0.000299,0.009375),(945,6865,0.000301,0.009368),(945,6875,0.000302,0.009361),(945,6885,0.000304,0.009354),(945,6895,0.000305,0.009347),(945,6905,0.000306,0.00934),(945,6915,0.000308,0.009333),(945,6925,0.000309,0.009325),(945,6935,0.000311,0.009318),(945,6945,0.000312,0.009311),(945,6955,0.000313,0.009304),(945,6965,0.000314,0.009296),(945,6975,0.000316,0.009289),(945,6985,0.000317,0.009282),(955,5,4.5e-05,3.6692),(955,15,0.000135,3.6692),(955,25,0.000225,3.6692),(955,35,0.000314,3.6692),(955,45,0.000404,3.6692),(955,55,0.000494,3.6692),(955,65,0.000584,3.6692),(955,75,0.000674,3.6692),(955,85,0.000765,3.6691),(955,95,0.000855,3.6691),(955,105,0.000945,3.6691),(955,115,0.001035,3.6691),(955,125,0.001126,3.6691),(955,135,0.001216,3.669),(955,145,0.001307,3.669),(955,155,0.001398,3.669),(955,165,0.001489,3.669),(955,175,0.00158,3.6689),(955,185,0.001672,3.6689),(955,195,0.001764,3.6689),(955,205,0.001855,3.6688),(955,215,0.001947,3.6688),(955,225,0.002039,3.6688),(955,235,0.002132,3.6687),(955,245,0.002224,3.6687),(955,255,0.002317,3.6686),(955,265,0.00241,3.6686),(955,275,0.002504,3.6686),(955,285,0.002597,3.6685),(955,295,0.002691,3.6685),(955,305,0.002785,3.6684),(955,315,0.00288,3.6684),(955,325,0.002975,3.6683),(955,335,0.003069,3.6682),(955,345,0.003165,3.6682),(955,355,0.003261,3.6681),(955,365,0.003357,3.6681),(955,375,0.003453,3.668),(955,385,0.00355,3.6679),(955,395,0.003648,3.6679),(955,405,0.003745,3.6678),(955,415,0.003843,3.6677),(955,425,0.003942,3.6676),(955,435,0.004041,3.6676),(955,445,0.00414,3.6675),(955,455,0.004239,3.6674),(955,465,0.00434,3.6673),(955,475,0.004441,3.6672),(955,485,0.004542,3.6672),(955,495,0.004643,3.6671),(955,505,0.004745,3.667),(955,515,0.004848,3.6669),(955,525,0.004951,3.6668),(955,535,0.005054,3.6667),(955,545,0.005159,3.6666),(955,555,0.005264,3.6665),(955,565,0.005369,3.6664),(955,575,0.005474,3.6663),(955,585,0.005581,3.6662),(955,595,0.005688,3.6661),(955,605,0.005795,3.666),(955,615,0.005902,3.6659),(955,625,0.006011,3.6657),(955,635,0.006121,3.6656),(955,645,0.00623,3.6655),(955,655,0.00634,3.6654),(955,665,0.006452,3.6653),(955,675,0.006564,3.6651),(955,685,0.006676,3.665),(955,695,0.006788,3.6649),(955,705,0.006903,3.6648),(955,715,0.007018,3.6646),(955,725,0.007132,3.6645),(955,735,0.007248,3.6643),(955,745,0.007365,3.6642),(955,755,0.007483,3.6641),(955,765,0.0076,3.6639),(955,775,0.007718,3.6638),(955,785,0.007839,3.6636),(955,795,0.007959,3.6635),(955,805,0.00808,3.6633),(955,815,0.008201,3.6632),(955,825,0.008325,3.663),(955,835,0.008448,3.6628),(955,845,0.008572,3.6627),(955,855,0.008696,3.6625),(955,865,0.008823,3.6623),(955,875,0.00895,3.6622),(955,885,0.009076,3.662),(955,895,0.009204,3.6618),(955,905,0.009334,3.6616),(955,915,0.009464,3.6614),(955,925,0.009594,3.6613),(955,935,0.009726,3.6611),(955,945,0.009859,3.6609),(955,955,0.009993,3.6607),(955,965,0.010126,3.6605),(955,975,0.010262,3.6603),(955,985,0.010399,3.6601),(955,995,0.010536,3.6599),(955,1005,0.010673,3.6597),(955,1015,0.010813,3.6595),(955,1025,0.010954,3.6593),(955,1035,0.011095,3.6591),(955,1045,0.011236,3.6588),(955,1055,0.011379,3.6586),(955,1065,0.011524,3.6584),(955,1075,0.011669,3.6582),(955,1085,0.011814,3.6579),(955,1095,0.011961,3.6577),(955,1105,0.01211,3.6575),(955,1115,0.012259,3.6572),(955,1125,0.012408,3.657),(955,1135,0.012559,3.6567),(955,1145,0.012712,3.6565),(955,1155,0.012865,3.6562),(955,1165,0.013018,3.656),(955,1175,0.013174,3.6557),(955,1185,0.013331,3.6555),(955,1195,0.013488,3.6552),(955,1205,0.013645,3.6549),(955,1215,0.013806,3.6547),(955,1225,0.013967,3.6544),(955,1235,0.014128,3.6541),(955,1245,0.01429,3.6538),(955,1255,0.014454,3.6536),(955,1265,0.01462,3.6533),(955,1275,0.014786,3.653),(955,1285,0.014951,3.6527),(955,1295,0.015121,3.6524),(955,1305,0.015291,3.6521),(955,1315,0.015461,3.6518),(955,1325,0.015631,3.6515),(955,1335,0.015806,3.6512),(955,1345,0.01598,3.6509),(955,1355,0.016155,3.6505),(955,1365,0.01633,3.6502),(955,1375,0.016509,3.6499),(955,1385,0.016688,3.6496),(955,1395,0.016868,3.6492),(955,1405,0.017047,3.6489),(955,1415,0.017231,3.6485),(955,1425,0.017415,3.6482),(955,1435,0.017599,3.6478),(955,1445,0.017783,3.6475),(955,1455,0.017971,3.6471),(955,1465,0.01816,3.6468),(955,1475,0.018348,3.6464),(955,1485,0.018537,3.646),(955,1495,0.01873,3.6457),(955,1505,0.018923,3.6453),(955,1515,0.019116,3.6449),(955,1525,0.01931,3.6445),(955,1535,0.019508,3.6441),(955,1545,0.019706,3.6437),(955,1555,0.019904,3.6433),(955,1565,0.020102,3.6429),(955,1575,0.020304,3.6425),(955,1585,0.020507,3.6421),(955,1595,0.02071,3.6417),(955,1605,0.020913,3.6413),(955,1615,0.02112,3.6409),(955,1625,0.021327,3.6404),(955,1635,0.021534,3.64),(955,1645,0.021742,3.6396),(955,1655,0.021954,3.6391),(955,1665,0.022166,3.6387),(955,1675,0.022378,3.6382),(955,1685,0.02259,3.6378),(955,1695,0.022806,3.6373),(955,1705,0.023023,3.6368),(955,1715,0.023239,3.6364),(955,1725,0.023456,3.6359),(955,1735,0.023677,3.6354),(955,1745,0.023897,3.6349),(955,1755,0.024118,3.6344),(955,1765,0.02434,3.6339),(955,1775,0.024565,3.6334),(955,1785,0.02479,3.6329),(955,1795,0.025015,3.6324),(955,1805,0.025241,3.6319),(955,1815,0.02547,3.6314),(955,1825,0.0257,3.6309),(955,1835,0.025929,3.6303),(955,1845,0.02616,3.6298),(955,1855,0.026393,3.6292),(955,1865,0.026626,3.6287),(955,1875,0.026859,3.6281),(955,1885,0.027094,3.6276),(955,1895,0.027331,3.627),(955,1905,0.027569,3.6265),(955,1915,0.027806,3.6259),(955,1925,0.028045,3.6253),(955,1935,0.028286,3.6247),(955,1945,0.028527,3.6242),(955,1955,0.028768,3.6236),(955,1965,0.029011,3.623),(955,1975,0.029255,3.6224),(955,1985,0.0295,3.6217),(955,1995,0.029744,3.6211),(955,2005,0.02999,3.6205),(955,2015,0.030238,3.6199),(955,2025,0.030486,3.6192),(955,2035,0.030734,3.6186),(955,2045,0.030983,3.618),(955,2055,0.031234,3.6173),(955,2065,0.031485,3.6167),(955,2075,0.031736,3.616),(955,2085,0.031989,3.6153),(955,2095,0.032242,3.6147),(955,2105,0.032496,3.614),(955,2115,0.03275,3.6133),(955,2125,0.033005,3.6126),(955,2135,0.033261,3.6119),(955,2145,0.033518,3.6112),(955,2155,0.033774,3.6105),(955,2165,0.034032,3.6098),(955,2175,0.03429,3.6091),(955,2185,0.034549,3.6084),(955,2195,0.034807,3.6076),(955,2205,0.035067,3.6069),(955,2215,0.035327,3.6062),(955,2225,0.035588,3.6054),(955,2235,0.035848,3.6047),(955,2245,0.03611,3.6039),(955,2255,0.036372,3.6032),(955,2265,0.036634,3.6024),(955,2275,0.036896,3.6016),(955,2285,0.037159,3.6008),(955,2295,0.037422,3.6),(955,2305,0.037685,3.5992),(955,2315,0.037948,3.5984),(955,2325,0.038212,3.5976),(955,2335,0.038476,3.5968),(955,2345,0.03874,3.596),(955,2355,0.039004,3.5952),(955,2365,0.039268,3.5944),(955,2375,0.039533,3.5935),(955,2385,0.039797,3.5927),(955,2395,0.040062,3.5919),(955,2405,0.040326,3.591),(955,2415,0.040591,3.5902),(955,2425,0.040855,3.5893),(955,2435,0.04112,3.5884),(955,2445,0.041384,3.5876),(955,2455,0.041648,3.5867),(955,2465,0.041912,3.5858),(955,2475,0.042177,3.5849),(955,2485,0.04244,3.584),(955,2495,0.042704,3.5831),(955,2505,0.042967,3.5822),(955,2515,0.04323,3.5813),(955,2525,0.043492,3.5804),(955,2535,0.043755,3.5795),(955,2545,0.044017,3.5785),(955,2555,0.044279,3.5776),(955,2565,0.044539,3.5767),(955,2575,0.0448,3.5757),(955,2585,0.04506,3.5748),(955,2595,0.045321,3.5738),(955,2605,0.045579,3.5729),(955,2615,0.045838,3.5719),(955,2625,0.046097,3.5709),(955,2635,0.046355,3.57),(955,2645,0.046611,3.569),(955,2655,0.046867,3.568),(955,2665,0.047123,3.567),(955,2675,0.047379,3.566),(955,2685,0.047632,3.5651),(955,2695,0.047885,3.5641),(955,2705,0.048138,3.5631),(955,2715,0.04839,3.5621),(955,2725,0.04864,3.561),(955,2735,0.048889,3.56),(955,2745,0.049139,3.559),(955,2755,0.049387,3.558),(955,2765,0.049633,3.557),(955,2775,0.049878,3.5559),(955,2785,0.050124,3.5549),(955,2795,0.050368,3.5539),(955,2805,0.050609,3.5528),(955,2815,0.05085,3.5518),(955,2825,0.051092,3.5508),(955,2835,0.051331,3.5497),(955,2845,0.051568,3.5487),(955,2855,0.051804,3.5476),(955,2865,0.05204,3.5466),(955,2875,0.052274,3.5455),(955,2885,0.052505,3.5444),(955,2895,0.052736,3.5434),(955,2905,0.052967,3.5423),(955,2915,0.053195,3.5412),(955,2925,0.05342,3.5402),(955,2935,0.053644,3.5391),(955,2945,0.053869,3.538),(955,2955,0.054091,3.537),(955,2965,0.054309,3.5359),(955,2975,0.054527,3.5348),(955,2985,0.054745,3.5338),(955,2995,0.054959,3.5327),(955,3005,0.05517,3.5316),(955,3015,0.05538,3.5305),(955,3025,0.055591,3.5295),(955,3035,0.055797,3.5284),(955,3045,0.056,3.5273),(955,3055,0.056202,3.5263),(955,3065,0.056405,3.5252),(955,3075,0.056602,3.5241),(955,3085,0.056796,3.5231),(955,3095,0.056989,3.522),(955,3105,0.057182,3.5209),(955,3115,0.05737,3.5199),(955,3125,0.057553,3.5188),(955,3135,0.057736,3.5178),(955,3145,0.057919,3.5167),(955,3155,0.058095,3.5157),(955,3165,0.058267,3.5146),(955,3175,0.058438,3.5136),(955,3185,0.05861,3.5125),(955,3195,0.058773,3.5115),(955,3205,0.058931,3.5105),(955,3215,0.05909,3.5095),(955,3225,0.059248,3.5085),(955,3235,0.059396,3.5074),(955,3245,0.05954,3.5064),(955,3255,0.059683,3.5054),(955,3265,0.059827,3.5044),(955,3275,0.059957,3.5035),(955,3285,0.060084,3.5025),(955,3295,0.060211,3.5015),(955,3305,0.060337,3.5006),(955,3315,0.060448,3.4996),(955,3325,0.060555,3.4986),(955,3335,0.060661,3.4977),(955,3345,0.060768,3.4968),(955,3355,0.060856,3.4959),(955,3365,0.06094,3.4949),(955,3375,0.061024,3.4941),(955,3385,0.061108,3.4932),(955,3395,0.061168,3.4923),(955,3405,0.061225,3.4914),(955,3415,0.061283,3.4906),(955,3425,0.06134,3.4897),(955,3435,0.061369,3.4889),(955,3445,0.061396,3.4881),(955,3455,0.061422,3.4873),(955,3465,0.061449,3.4865),(955,3475,0.06144,3.4857),(955,3485,0.061431,3.4849),(955,3495,0.061421,3.4842),(955,3505,0.061412,3.4835),(955,3515,0.06136,3.4828),(955,3525,0.061309,3.482),(955,3535,0.061257,3.4814),(955,3545,0.061204,3.4807),(955,3555,0.061104,3.48),(955,3565,0.061004,3.4794),(955,3575,0.060904,3.4788),(955,3585,0.0608,3.4782),(955,3595,0.060644,3.4776),(955,3605,0.060489,3.477),(955,3615,0.060333,3.4765),(955,3625,0.06017,3.4759),(955,3635,0.05995,3.4754),(955,3645,0.059731,3.4749),(955,3655,0.059512,3.4744),(955,3665,0.059282,3.474),(955,3675,0.058991,3.4735),(955,3685,0.0587,3.4731),(955,3695,0.058409,3.4727),(955,3705,0.058102,3.4723),(955,3715,0.05773,3.4719),(955,3725,0.057359,3.4716),(955,3735,0.056988,3.4713),(955,3745,0.056595,3.471),(955,3755,0.056135,3.4707),(955,3765,0.055674,3.4704),(955,3775,0.055214,3.4701),(955,3785,0.054726,3.4699),(955,3795,0.054169,3.4697),(955,3805,0.053612,3.4694),(955,3815,0.053055,3.4693),(955,3825,0.052464,3.4691),(955,3835,0.051802,3.4689),(955,3845,0.051141,3.4688),(955,3855,0.050479,3.4687),(955,3865,0.049778,3.4686),(955,3875,0.049006,3.4685),(955,3885,0.048235,3.4684),(955,3895,0.047463,3.4683),(955,3905,0.055886,3.4683),(955,3915,0.078042,3.4682),(955,3925,0.1002,3.4682),(955,3935,0.12236,3.4683),(955,3945,0.14581,3.4684),(955,3955,0.1709,3.4686),(955,3965,0.19599,3.4684),(955,3975,0.22108,3.4678),(955,3985,0.23477,3.4672),(955,3995,0.23612,3.4666),(955,4005,0.23747,3.4657),(955,4015,0.23883,3.4643),(955,4025,0.2399,3.4629),(955,4035,0.24094,3.4613),(955,4045,0.24198,3.4592),(955,4055,0.24301,3.4571),(955,4065,0.24402,3.4548),(955,4075,0.24504,3.4519),(955,4085,0.24613,3.449),(955,4095,0.24728,3.4461),(955,4105,0.24844,3.4425),(955,4115,0.24039,3.4389),(955,4125,0.21707,3.4352),(955,4135,0.19375,3.432),(955,4145,0.16982,3.429),(955,4155,0.14343,3.426),(955,4165,0.11704,3.4239),(955,4175,0.091898,3.4225),(955,4185,0.12891,3.4211),(955,4195,0.16592,3.4184),(955,4205,0.20293,3.4139),(955,4215,0.19523,3.4094),(955,4225,0.17912,3.405),(955,4235,0.16301,3.4008),(955,4245,0.14479,3.3967),(955,4255,0.1255,3.3926),(955,4265,0.10621,3.3894),(955,4275,0.084867,3.3861),(955,4285,0.061352,3.3829),(955,4295,0.037837,3.3816),(955,4305,0.029157,3.3806),(955,4315,0.053977,3.3795),(955,4325,0.078796,3.3745),(955,4335,0.10297,3.3679),(955,4345,0.12282,3.3614),(955,4355,0.14266,3.3555),(955,4365,0.16251,3.3502),(955,4375,0.1772,3.3449),(955,4385,0.19162,3.3403),(955,4395,0.20604,3.337),(955,4405,0.18564,3.3336),(955,4415,0.15497,3.3308),(955,4425,0.12429,3.3303),(955,4435,0.11187,3.3298),(955,4445,0.11193,3.3293),(955,4455,0.11199,3.3272),(955,4465,0.13643,3.3251),(955,4475,0.19511,3.323),(955,4485,0.2538,3.3183),(955,4495,0.30094,3.3131),(955,4505,0.31105,3.3079),(955,4515,0.32116,3.3026),(955,4525,0.33044,3.2973),(955,4535,0.3265,3.2919),(955,4545,0.32257,3.2867),(955,4555,0.31864,3.2818),(955,4565,0.23254,3.2769),(955,4575,0.13536,3.2733),(955,4585,0.038182,3.2729),(955,4595,0.029231,3.2725),(955,4605,0.057557,3.2718),(955,4615,0.085883,3.2688),(955,4625,0.12401,3.2658),(955,4635,0.17102,3.2628),(955,4645,0.21804,3.2572),(955,4655,0.26656,3.2514),(955,4665,0.31794,3.2456),(955,4675,0.36932,3.2382),(955,4685,0.39815,3.2303),(955,4695,0.31551,3.2224),(955,4705,0.23287,3.2174),(955,4715,0.15023,3.2147),(955,4725,0.17947,3.212),(955,4735,0.20983,3.2075),(955,4745,0.24019,3.2005),(955,4755,0.30473,3.1935),(955,4765,0.37719,3.1855),(955,4775,0.44965,3.1738),(955,4785,0.49574,3.1621),(955,4795,0.52659,3.1504),(955,4805,0.55744,3.1381),(955,4815,0.55334,3.1258),(955,4825,0.50744,3.1135),(955,4835,0.46154,3.1048),(955,4845,0.4,3.0966),(955,4855,0.29767,3.0884),(955,4865,0.19534,3.0834),(955,4875,0.11421,3.08),(955,4885,0.22602,3.0765),(955,4895,0.33782,3.0681),(955,4905,0.44963,3.055),(955,4915,0.45748,3.0418),(955,4925,0.45638,3.0289),(955,4935,0.45529,3.0168),(955,4945,0.42072,3.0047),(955,4955,0.37455,2.9933),(955,4965,0.32838,2.9856),(955,4975,0.257,2.978),(955,4985,0.16616,2.9704),(955,4995,0.075313,2.9697),(955,5005,0.069974,2.9692),(955,5015,0.20057,2.9687),(955,5025,0.33116,2.9568),(955,5035,0.45111,2.9422),(955,5045,0.53052,2.9275),(955,5055,0.60993,2.9096),(955,5065,0.68815,2.8897),(955,5075,0.7275,2.8698),(955,5085,0.76686,2.8499),(955,5095,0.80621,2.8298),(955,5105,0.72248,2.8098),(955,5115,0.61727,2.7924),(955,5125,0.51206,2.7821),(955,5135,0.42603,2.7719),(955,5145,0.3493,2.7619),(955,5155,0.27258,2.7554),(955,5165,0.31118,2.7488),(955,5175,0.46739,2.7423),(955,5185,0.6236,2.7254),(955,5195,0.74283,2.7075),(955,5205,0.78233,2.6895),(955,5215,0.82183,2.6711),(955,5225,0.85633,2.6526),(955,5235,0.8597,2.634),(955,5245,0.86307,2.6165),(955,5255,0.86645,2.5997),(955,5265,0.60501,2.583),(955,5275,0.33266,2.5724),(955,5285,0.0603,2.5723),(955,5295,0.080514,2.5722),(955,5305,0.1822,2.5698),(955,5315,0.28389,2.5579),(955,5325,0.39289,2.5459),(955,5335,0.50667,2.5339),(955,5345,0.62045,2.5142),(955,5355,0.7182,2.4945),(955,5365,0.7943,2.4748),(955,5375,0.8704,2.4534),(955,5385,0.87689,2.4317),(955,5395,0.67173,2.4099),(955,5405,0.46657,2.3988),(955,5415,0.27492,2.3931),(955,5425,0.26482,2.3874),(955,5435,0.25471,2.3823),(955,5445,0.24461,2.3778),(955,5455,0.29493,2.3732),(955,5465,0.35264,2.3674),(955,5475,0.41034,2.3588),(955,5485,0.43831,2.3501),(955,5495,0.45429,2.3412),(955,5505,0.47027,2.3307),(955,5515,0.48744,2.3203),(955,5525,0.50562,2.3098),(955,5535,0.52381,2.2975),(955,5545,0.54251,2.2851),(955,5555,0.56211,2.2727),(955,5565,0.58171,2.2587),(955,5575,0.60154,2.2442),(955,5585,0.62245,2.2297),(955,5595,0.64335,2.214),(955,5605,0.66426,2.1975),(955,5615,0.68664,2.181),(955,5625,0.70902,2.1636),(955,5635,0.7314,2.1449),(955,5645,0.75503,2.1263),(955,5655,0.77892,2.1071),(955,5665,0.80282,2.0863),(955,5675,0.82764,2.0655),(955,5685,0.85299,2.0446),(955,5695,0.87833,2.022),(955,5705,0.90427,1.9994),(955,5715,0.93089,1.9767),(955,5725,0.95752,1.9524),(955,5735,0.98444,1.9279),(955,5745,1.0121,1.9034),(955,5755,1.0398,1.8778),(955,5765,1.0675,1.8518),(955,5775,1.0959,1.8257),(955,5785,1.1243,1.7991),(955,5795,1.1526,1.7718),(955,5805,1.1813,1.7445),(955,5815,1.21,1.7167),(955,5825,1.2387,1.6882),(955,5835,1.2673,1.6597),(955,5845,1.2959,1.6311),(955,5855,1.3245,1.6019),(955,5865,1.3529,1.5728),(955,5875,1.381,1.5436),(955,5885,1.4092,1.5138),(955,5895,1.4371,1.4839),(955,5905,1.4644,1.4541),(955,5915,1.4918,1.4237),(955,5925,1.5189,1.3933),(955,5935,1.5452,1.3628),(955,5945,1.5715,1.3321),(955,5955,1.5978,1.3013),(955,5965,1.6233,1.2705),(955,5975,1.6488,1.2397),(955,5985,1.6743,1.2087),(955,5995,1.2842,1.1778),(955,6005,0.82721,1.1541),(955,6015,0.37021,1.15),(955,6025,0.31364,1.1459),(955,6035,0.44279,1.1408),(955,6045,0.57193,1.1272),(955,6055,0.67089,1.1136),(955,6065,0.74024,1.1),(955,6075,0.80959,1.082),(955,6085,0.8577,1.0635),(955,6095,0.86204,1.0451),(955,6105,0.86638,1.0264),(955,6115,0.8707,1.0077),(955,6125,0.87486,0.98903),(955,6135,0.87903,0.97023),(955,6145,0.88319,0.95134),(955,6155,0.88706,0.93246),(955,6165,0.89093,0.9134),(955,6175,0.89479,0.89405),(955,6185,0.89845,0.8747),(955,6195,0.90205,0.85533),(955,6205,0.90566,0.83585),(955,6215,0.9091,0.81637),(955,6225,0.91243,0.79688),(955,6235,0.91576,0.77716),(955,6245,0.919,0.75743),(955,6255,0.92212,0.7377),(955,6265,0.92524,0.71774),(955,6275,0.92828,0.69774),(955,6285,0.93106,0.67773),(955,6295,0.93384,0.65758),(955,6305,0.9366,0.63737),(955,6315,0.93914,0.61716),(955,6325,0.94167,0.59694),(955,6335,0.94421,0.57672),(955,6345,0.94647,0.5565),(955,6355,0.94869,0.53616),(955,6365,0.95092,0.51555),(955,6375,0.95294,0.49494),(955,6385,0.95488,0.47433),(955,6395,0.95682,0.45371),(955,6405,0.95864,0.43309),(955,6415,0.96037,0.41247),(955,6425,0.9621,0.39165),(955,6435,0.9637,0.37082),(955,6445,0.9651,0.35),(955,6455,0.9665,0.32888),(955,6465,0.96784,0.30768),(955,6475,0.96893,0.28648),(955,6485,0.97003,0.26543),(955,6495,0.97112,0.24449),(955,6505,0.97198,0.22354),(955,6515,0.97284,0.20257),(955,6525,0.9737,0.18155),(955,6535,0.97436,0.16053),(955,6545,0.97497,0.13945),(955,6555,0.97559,0.11818),(955,6565,0.97601,0.096898),(955,6575,0.97634,0.075622),(955,6585,0.97667,0.054375),(955,6595,0.83081,0.033128),(955,6605,0.52354,0.011881),(955,6615,0.21627,0.009479),(955,6625,0.000265,0.009498),(955,6635,0.000267,0.009517),(955,6645,0.000269,0.009518),(955,6655,0.000271,0.009512),(955,6665,0.000273,0.009505),(955,6675,0.000274,0.009499),(955,6685,0.000276,0.009492),(955,6695,0.000278,0.009485),(955,6705,0.000279,0.009479),(955,6715,0.000281,0.009472),(955,6725,0.000283,0.009465),(955,6735,0.000284,0.009459),(955,6745,0.000286,0.009452),(955,6755,0.000288,0.009445),(955,6765,0.000289,0.009439),(955,6775,0.000291,0.009432),(955,6785,0.000292,0.009425),(955,6795,0.000294,0.009418),(955,6805,0.000295,0.009411),(955,6815,0.000297,0.009404),(955,6825,0.000298,0.009398),(955,6835,0.0003,0.009391),(955,6845,0.000301,0.009384),(955,6855,0.000303,0.009377),(955,6865,0.000304,0.00937),(955,6875,0.000306,0.009362),(955,6885,0.000307,0.009355),(955,6895,0.000309,0.009348),(955,6905,0.00031,0.009341),(955,6915,0.000311,0.009334),(955,6925,0.000313,0.009327),(955,6935,0.000314,0.009319),(955,6945,0.000316,0.009312),(955,6955,0.000317,0.009305),(955,6965,0.000318,0.009298),(955,6975,0.000319,0.009291),(955,6985,0.000321,0.009283),(965,5,4.5e-05,3.6693),(965,15,0.000136,3.6693),(965,25,0.000226,3.6693),(965,35,0.000317,3.6693),(965,45,0.000407,3.6693),(965,55,0.000498,3.6693),(965,65,0.000589,3.6693),(965,75,0.00068,3.6692),(965,85,0.00077,3.6692),(965,95,0.000861,3.6692),(965,105,0.000952,3.6692),(965,115,0.001044,3.6692),(965,125,0.001135,3.6692),(965,135,0.001226,3.6691),(965,145,0.001318,3.6691),(965,155,0.001409,3.6691),(965,165,0.001501,3.6691),(965,175,0.001593,3.669),(965,185,0.001685,3.669),(965,195,0.001777,3.669),(965,205,0.00187,3.6689),(965,215,0.001962,3.6689),(965,225,0.002055,3.6689),(965,235,0.002148,3.6688),(965,245,0.002242,3.6688),(965,255,0.002335,3.6687),(965,265,0.002429,3.6687),(965,275,0.002523,3.6686),(965,285,0.002618,3.6686),(965,295,0.002712,3.6685),(965,305,0.002807,3.6685),(965,315,0.002903,3.6684),(965,325,0.002998,3.6684),(965,335,0.003093,3.6683),(965,345,0.00319,3.6683),(965,355,0.003287,3.6682),(965,365,0.003384,3.6681),(965,375,0.00348,3.6681),(965,385,0.003579,3.668),(965,395,0.003677,3.668),(965,405,0.003775,3.6679),(965,415,0.003873,3.6678),(965,425,0.003973,3.6677),(965,435,0.004073,3.6677),(965,445,0.004173,3.6676),(965,455,0.004273,3.6675),(965,465,0.004374,3.6674),(965,475,0.004476,3.6673),(965,485,0.004578,3.6673),(965,495,0.004679,3.6672),(965,505,0.004783,3.6671),(965,515,0.004887,3.667),(965,525,0.004991,3.6669),(965,535,0.005094,3.6668),(965,545,0.0052,3.6667),(965,555,0.005306,3.6666),(965,565,0.005411,3.6665),(965,575,0.005517,3.6664),(965,585,0.005625,3.6663),(965,595,0.005733,3.6662),(965,605,0.005841,3.6661),(965,615,0.005949,3.666),(965,625,0.00606,3.6658),(965,635,0.00617,3.6657),(965,645,0.00628,3.6656),(965,655,0.006391,3.6655),(965,665,0.006504,3.6654),(965,675,0.006617,3.6653),(965,685,0.00673,3.6651),(965,695,0.006843,3.665),(965,705,0.006959,3.6649),(965,715,0.007075,3.6647),(965,725,0.00719,3.6646),(965,735,0.007306,3.6645),(965,745,0.007425,3.6643),(965,755,0.007543,3.6642),(965,765,0.007662,3.664),(965,775,0.007781,3.6639),(965,785,0.007903,3.6637),(965,795,0.008024,3.6636),(965,805,0.008146,3.6634),(965,815,0.008268,3.6633),(965,825,0.008393,3.6631),(965,835,0.008517,3.663),(965,845,0.008642,3.6628),(965,855,0.008768,3.6626),(965,865,0.008896,3.6625),(965,875,0.009023,3.6623),(965,885,0.009151,3.6621),(965,895,0.00928,3.6619),(965,905,0.009411,3.6618),(965,915,0.009543,3.6616),(965,925,0.009674,3.6614),(965,935,0.009806,3.6612),(965,945,0.009941,3.661),(965,955,0.010076,3.6608),(965,965,0.010211,3.6606),(965,975,0.010347,3.6604),(965,985,0.010486,3.6602),(965,995,0.010624,3.66),(965,1005,0.010763,3.6598),(965,1015,0.010903,3.6596),(965,1025,0.011046,3.6594),(965,1035,0.011188,3.6592),(965,1045,0.01133,3.659),(965,1055,0.011475,3.6588),(965,1065,0.011621,3.6585),(965,1075,0.011767,3.6583),(965,1085,0.011914,3.6581),(965,1095,0.012062,3.6579),(965,1105,0.012213,3.6576),(965,1115,0.012363,3.6574),(965,1125,0.012513,3.6571),(965,1135,0.012666,3.6569),(965,1145,0.012821,3.6567),(965,1155,0.012975,3.6564),(965,1165,0.01313,3.6561),(965,1175,0.013287,3.6559),(965,1185,0.013446,3.6556),(965,1195,0.013604,3.6554),(965,1205,0.013763,3.6551),(965,1215,0.013925,3.6548),(965,1225,0.014088,3.6546),(965,1235,0.014251,3.6543),(965,1245,0.014414,3.654),(965,1255,0.01458,3.6537),(965,1265,0.014747,3.6534),(965,1275,0.014914,3.6532),(965,1285,0.015082,3.6529),(965,1295,0.015253,3.6526),(965,1305,0.015425,3.6523),(965,1315,0.015597,3.652),(965,1325,0.015769,3.6517),(965,1335,0.015944,3.6513),(965,1345,0.016121,3.651),(965,1355,0.016298,3.6507),(965,1365,0.016474,3.6504),(965,1375,0.016655,3.6501),(965,1385,0.016836,3.6497),(965,1395,0.017017,3.6494),(965,1405,0.017199,3.6491),(965,1415,0.017384,3.6487),(965,1425,0.01757,3.6484),(965,1435,0.017756,3.648),(965,1445,0.017942,3.6477),(965,1455,0.018132,3.6473),(965,1465,0.018323,3.647),(965,1475,0.018513,3.6466),(965,1485,0.018704,3.6462),(965,1495,0.018899,3.6459),(965,1505,0.019094,3.6455),(965,1515,0.019289,3.6451),(965,1525,0.019485,3.6447),(965,1535,0.019685,3.6443),(965,1545,0.019885,3.6439),(965,1555,0.020085,3.6435),(965,1565,0.020285,3.6431),(965,1575,0.02049,3.6427),(965,1585,0.020694,3.6423),(965,1595,0.020899,3.6419),(965,1605,0.021104,3.6415),(965,1615,0.021314,3.6411),(965,1625,0.021523,3.6406),(965,1635,0.021733,3.6402),(965,1645,0.021943,3.6398),(965,1655,0.022157,3.6393),(965,1665,0.022371,3.6389),(965,1675,0.022585,3.6384),(965,1685,0.0228,3.638),(965,1695,0.023019,3.6375),(965,1705,0.023237,3.637),(965,1715,0.023456,3.6366),(965,1725,0.023675,3.6361),(965,1735,0.023898,3.6356),(965,1745,0.024121,3.6351),(965,1755,0.024345,3.6346),(965,1765,0.024569,3.6342),(965,1775,0.024796,3.6337),(965,1785,0.025024,3.6332),(965,1795,0.025251,3.6326),(965,1805,0.02548,3.6321),(965,1815,0.025712,3.6316),(965,1825,0.025944,3.6311),(965,1835,0.026176,3.6306),(965,1845,0.026409,3.63),(965,1855,0.026645,3.6295),(965,1865,0.026881,3.6289),(965,1875,0.027116,3.6284),(965,1885,0.027354,3.6278),(965,1895,0.027594,3.6273),(965,1905,0.027834,3.6267),(965,1915,0.028074,3.6261),(965,1925,0.028315,3.6256),(965,1935,0.028559,3.625),(965,1945,0.028803,3.6244),(965,1955,0.029046,3.6238),(965,1965,0.029292,3.6232),(965,1975,0.029539,3.6226),(965,1985,0.029786,3.622),(965,1995,0.030034,3.6214),(965,2005,0.030283,3.6207),(965,2015,0.030533,3.6201),(965,2025,0.030784,3.6195),(965,2035,0.031035,3.6189),(965,2045,0.031287,3.6182),(965,2055,0.031541,3.6176),(965,2065,0.031794,3.6169),(965,2075,0.032048,3.6163),(965,2085,0.032304,3.6156),(965,2095,0.03256,3.6149),(965,2105,0.032817,3.6142),(965,2115,0.033073,3.6136),(965,2125,0.033332,3.6129),(965,2135,0.033591,3.6122),(965,2145,0.03385,3.6115),(965,2155,0.034109,3.6108),(965,2165,0.03437,3.6101),(965,2175,0.034631,3.6094),(965,2185,0.034892,3.6086),(965,2195,0.035154,3.6079),(965,2205,0.035417,3.6072),(965,2215,0.03568,3.6064),(965,2225,0.035943,3.6057),(965,2235,0.036206,3.6049),(965,2245,0.036471,3.6042),(965,2255,0.036736,3.6034),(965,2265,0.037001,3.6026),(965,2275,0.037266,3.6019),(965,2285,0.037531,3.6011),(965,2295,0.037797,3.6003),(965,2305,0.038064,3.5995),(965,2315,0.03833,3.5987),(965,2325,0.038596,3.5979),(965,2335,0.038863,3.5971),(965,2345,0.03913,3.5963),(965,2355,0.039397,3.5955),(965,2365,0.039664,3.5946),(965,2375,0.039931,3.5938),(965,2385,0.040198,3.593),(965,2395,0.040466,3.5921),(965,2405,0.040733,3.5913),(965,2415,0.041,3.5904),(965,2425,0.041267,3.5896),(965,2435,0.041535,3.5887),(965,2445,0.041801,3.5878),(965,2455,0.042068,3.5869),(965,2465,0.042335,3.5861),(965,2475,0.042602,3.5852),(965,2485,0.042868,3.5843),(965,2495,0.043134,3.5834),(965,2505,0.0434,3.5825),(965,2515,0.043666,3.5816),(965,2525,0.04393,3.5806),(965,2535,0.044195,3.5797),(965,2545,0.044459,3.5788),(965,2555,0.044724,3.5779),(965,2565,0.044987,3.5769),(965,2575,0.045249,3.576),(965,2585,0.045512,3.575),(965,2595,0.045775,3.5741),(965,2605,0.046035,3.5731),(965,2615,0.046296,3.5722),(965,2625,0.046556,3.5712),(965,2635,0.046817,3.5702),(965,2645,0.047075,3.5693),(965,2655,0.047333,3.5683),(965,2665,0.047591,3.5673),(965,2675,0.047848,3.5663),(965,2685,0.048103,3.5653),(965,2695,0.048357,3.5643),(965,2705,0.048612,3.5633),(965,2715,0.048866,3.5623),(965,2725,0.049117,3.5613),(965,2735,0.049367,3.5603),(965,2745,0.049618,3.5593),(965,2755,0.049868,3.5582),(965,2765,0.050115,3.5572),(965,2775,0.050361,3.5562),(965,2785,0.050608,3.5552),(965,2795,0.050853,3.5541),(965,2805,0.051095,3.5531),(965,2815,0.051337,3.552),(965,2825,0.051578,3.551),(965,2835,0.051818,3.5499),(965,2845,0.052055,3.5489),(965,2855,0.052292,3.5478),(965,2865,0.052528,3.5468),(965,2875,0.052763,3.5457),(965,2885,0.052993,3.5447),(965,2895,0.053224,3.5436),(965,2905,0.053455,3.5425),(965,2915,0.053682,3.5415),(965,2925,0.053907,3.5404),(965,2935,0.054131,3.5393),(965,2945,0.054355,3.5383),(965,2955,0.054575,3.5372),(965,2965,0.054792,3.5361),(965,2975,0.055009,3.5351),(965,2985,0.055226,3.534),(965,2995,0.055439,3.5329),(965,3005,0.055648,3.5318),(965,3015,0.055857,3.5308),(965,3025,0.056065,3.5297),(965,3035,0.05627,3.5286),(965,3045,0.05647,3.5275),(965,3055,0.05667,3.5265),(965,3065,0.05687,3.5254),(965,3075,0.057064,3.5243),(965,3085,0.057255,3.5233),(965,3095,0.057445,3.5222),(965,3105,0.057635,3.5211),(965,3115,0.057819,3.5201),(965,3125,0.057998,3.519),(965,3135,0.058177,3.5179),(965,3145,0.058357,3.5169),(965,3155,0.058528,3.5158),(965,3165,0.058695,3.5148),(965,3175,0.058862,3.5138),(965,3185,0.059029,3.5127),(965,3195,0.059187,3.5117),(965,3205,0.05934,3.5106),(965,3215,0.059493,3.5096),(965,3225,0.059646,3.5086),(965,3235,0.059788,3.5076),(965,3245,0.059925,3.5066),(965,3255,0.060062,3.5056),(965,3265,0.060199,3.5046),(965,3275,0.060323,3.5036),(965,3285,0.060442,3.5026),(965,3295,0.060561,3.5016),(965,3305,0.060681,3.5007),(965,3315,0.060783,3.4997),(965,3325,0.060882,3.4987),(965,3335,0.06098,3.4978),(965,3345,0.061079,3.4969),(965,3355,0.061157,3.496),(965,3365,0.061232,3.495),(965,3375,0.061306,3.4941),(965,3385,0.061381,3.4933),(965,3395,0.061431,3.4924),(965,3405,0.061479,3.4915),(965,3415,0.061526,3.4906),(965,3425,0.061573,3.4898),(965,3435,0.061591,3.4889),(965,3445,0.061606,3.4881),(965,3455,0.061622,3.4873),(965,3465,0.061637,3.4865),(965,3475,0.061617,3.4857),(965,3485,0.061596,3.4849),(965,3495,0.061574,3.4842),(965,3505,0.061553,3.4835),(965,3515,0.061489,3.4827),(965,3525,0.061425,3.482),(965,3535,0.061361,3.4813),(965,3545,0.061295,3.4806),(965,3555,0.061182,3.48),(965,3565,0.061069,3.4793),(965,3575,0.060956,3.4787),(965,3585,0.060838,3.4781),(965,3595,0.060669,3.4774),(965,3605,0.0605,3.4768),(965,3615,0.060331,3.4763),(965,3625,0.060154,3.4758),(965,3635,0.059922,3.4752),(965,3645,0.059689,3.4747),(965,3655,0.059457,3.4742),(965,3665,0.059212,3.4737),(965,3675,0.058908,3.4733),(965,3685,0.058604,3.4728),(965,3695,0.0583,3.4724),(965,3705,0.05798,3.472),(965,3715,0.057596,3.4716),(965,3725,0.057213,3.4712),(965,3735,0.056829,3.4709),(965,3745,0.056424,3.4705),(965,3755,0.055952,3.4702),(965,3765,0.055481,3.4699),(965,3775,0.055009,3.4696),(965,3785,0.054511,3.4694),(965,3795,0.053944,3.4691),(965,3805,0.053377,3.4689),(965,3815,0.05281,3.4687),(965,3825,0.05221,3.4685),(965,3835,0.051541,3.4683),(965,3845,0.050872,3.4681),(965,3855,0.050203,3.468),(965,3865,0.049495,3.4678),(965,3875,0.048719,3.4677),(965,3885,0.047943,3.4676),(965,3895,0.047166,3.4675),(965,3905,0.055509,3.4674),(965,3915,0.077473,3.4673),(965,3925,0.099438,3.4673),(965,3935,0.1214,3.4673),(965,3945,0.14473,3.4673),(965,3955,0.16977,3.4674),(965,3965,0.19482,3.4671),(965,3975,0.21987,3.4664),(965,3985,0.23362,3.4657),(965,3995,0.23514,3.465),(965,4005,0.23667,3.4639),(965,4015,0.23819,3.4625),(965,4025,0.23945,3.461),(965,4035,0.24067,3.4593),(965,4045,0.2419,3.4571),(965,4055,0.24311,3.455),(965,4065,0.24431,3.4527),(965,4075,0.24551,3.4498),(965,4085,0.24679,3.4469),(965,4095,0.24813,3.444),(965,4105,0.24946,3.4404),(965,4115,0.24153,3.4368),(965,4125,0.21822,3.4332),(965,4135,0.19492,3.4301),(965,4145,0.17094,3.4272),(965,4155,0.14428,3.4242),(965,4165,0.11761,3.4223),(965,4175,0.092222,3.421),(965,4185,0.12985,3.4197),(965,4195,0.16748,3.4171),(965,4205,0.20511,3.4126),(965,4215,0.1976,3.4081),(965,4225,0.18158,3.4036),(965,4235,0.16557,3.3993),(965,4245,0.14731,3.3949),(965,4255,0.12791,3.3907),(965,4265,0.10851,3.3873),(965,4275,0.086891,3.3839),(965,4285,0.062928,3.3805),(965,4295,0.038965,3.3792),(965,4305,0.030412,3.3781),(965,4315,0.056656,3.377),(965,4325,0.082901,3.3717),(965,4335,0.10825,3.3649),(965,4345,0.12753,3.3581),(965,4355,0.14681,3.352),(965,4365,0.16608,3.3466),(965,4375,0.18007,3.3411),(965,4385,0.19378,3.3365),(965,4395,0.20749,3.3331),(965,4405,0.18649,3.3297),(965,4415,0.15524,3.3269),(965,4425,0.124,3.3264),(965,4435,0.11165,3.326),(965,4445,0.1122,3.3255),(965,4455,0.11276,3.3235),(965,4465,0.13766,3.3214),(965,4475,0.19676,3.3193),(965,4485,0.25585,3.3147),(965,4495,0.30329,3.3096),(965,4505,0.31334,3.3044),(965,4515,0.32339,3.299),(965,4525,0.3326,3.2936),(965,4535,0.32854,3.2882),(965,4545,0.32447,3.2829),(965,4555,0.3204,3.2779),(965,4565,0.23387,3.2728),(965,4575,0.13622,3.2691),(965,4585,0.038568,3.2687),(965,4595,0.029791,3.2683),(965,4605,0.058564,3.2676),(965,4615,0.087338,3.2646),(965,4625,0.12587,3.2616),(965,4635,0.17325,3.2587),(965,4645,0.22063,3.253),(965,4655,0.26944,3.2472),(965,4665,0.32098,3.2414),(965,4675,0.37252,3.2341),(965,4685,0.40136,3.2262),(965,4695,0.31804,3.2184),(965,4705,0.23471,3.2134),(965,4715,0.15138,3.2107),(965,4725,0.18149,3.2079),(965,4735,0.21274,3.2035),(965,4745,0.24398,3.1965),(965,4755,0.30921,3.1895),(965,4765,0.38232,3.1814),(965,4775,0.45542,3.1698),(965,4785,0.50168,3.1581),(965,4795,0.53241,3.1464),(965,4805,0.56314,3.1342),(965,4815,0.55865,3.122),(965,4825,0.51204,3.1099),(965,4835,0.46543,3.1012),(965,4845,0.40325,3.0931),(965,4855,0.30052,3.0849),(965,4865,0.19778,3.08),(965,4875,0.11645,3.0765),(965,4885,0.2299,3.073),(965,4895,0.34336,3.0646),(965,4905,0.45682,3.0513),(965,4915,0.46452,3.038),(965,4925,0.46313,3.0251),(965,4935,0.46173,3.0129),(965,4945,0.42647,3.0007),(965,4955,0.37946,2.9892),(965,4965,0.33246,2.9816),(965,4975,0.2601,2.974),(965,4985,0.16817,2.9664),(965,4995,0.076238,2.9657),(965,5005,0.07124,2.9651),(965,5015,0.20444,2.9646),(965,5025,0.33765,2.9529),(965,5035,0.45981,2.9383),(965,5045,0.53991,2.9237),(965,5055,0.62,2.906),(965,5065,0.69888,2.8862),(965,5075,0.73794,2.8665),(965,5085,0.77701,2.8468),(965,5095,0.81607,2.827),(965,5105,0.73087,2.8072),(965,5115,0.62399,2.7899),(965,5125,0.51711,2.7798),(965,5135,0.43031,2.7697),(965,5145,0.35327,2.7598),(965,5155,0.27622,2.7532),(965,5165,0.31547,2.7467),(965,5175,0.47333,2.7401),(965,5185,0.63119,2.7232),(965,5195,0.75149,2.7053),(965,5205,0.79083,2.6873),(965,5215,0.83017,2.669),(965,5225,0.86446,2.6505),(965,5235,0.86735,2.632),(965,5245,0.87024,2.6145),(965,5255,0.87313,2.5978),(965,5265,0.60968,2.5811),(965,5275,0.33525,2.5706),(965,5285,0.060814,2.5705),(965,5295,0.08229,2.5704),(965,5305,0.18617,2.568),(965,5315,0.29005,2.5561),(965,5325,0.40057,2.5441),(965,5335,0.51544,2.5319),(965,5345,0.6303,2.5123),(965,5355,0.72863,2.4927),(965,5365,0.80465,2.4731),(965,5375,0.88066,2.4518),(965,5385,0.88647,2.4302),(965,5395,0.67886,2.4086),(965,5405,0.47125,2.3976),(965,5415,0.2773,2.392),(965,5425,0.26702,2.3863),(965,5435,0.25674,2.3811),(965,5445,0.24646,2.3764),(965,5455,0.29729,2.3717),(965,5465,0.35559,2.3657),(965,5475,0.41389,2.3568),(965,5485,0.44225,2.3479),(965,5495,0.45854,2.3388),(965,5505,0.47484,2.3281),(965,5515,0.49234,2.3174),(965,5525,0.51089,2.3066),(965,5535,0.52943,2.2941),(965,5545,0.54849,2.2815),(965,5555,0.56847,2.2689),(965,5565,0.58845,2.2547),(965,5575,0.60866,2.24),(965,5585,0.62994,2.2253),(965,5595,0.65123,2.2094),(965,5605,0.67251,2.1927),(965,5615,0.69527,2.176),(965,5625,0.71802,2.1585),(965,5635,0.74077,2.1397),(965,5645,0.76475,2.1209),(965,5655,0.78899,2.1016),(965,5665,0.81322,2.0807),(965,5675,0.83837,2.0598),(965,5685,0.86402,2.0388),(965,5695,0.88967,2.0161),(965,5705,0.91588,1.9935),(965,5715,0.94274,1.9708),(965,5725,0.96961,1.9465),(965,5735,0.99675,1.922),(965,5745,1.0246,1.8975),(965,5755,1.0524,1.872),(965,5765,1.0803,1.846),(965,5775,1.1088,1.82),(965,5785,1.1373,1.7934),(965,5795,1.1658,1.7662),(965,5805,1.1945,1.739),(965,5815,1.2233,1.7114),(965,5825,1.252,1.683),(965,5835,1.2806,1.6547),(965,5845,1.3092,1.6262),(965,5855,1.3378,1.5972),(965,5865,1.3662,1.5683),(965,5875,1.3943,1.5393),(965,5885,1.4224,1.5097),(965,5895,1.4502,1.4801),(965,5905,1.4775,1.4505),(965,5915,1.5047,1.4204),(965,5925,1.5318,1.3901),(965,5935,1.5579,1.3599),(965,5945,1.5841,1.3296),(965,5955,1.6103,1.2991),(965,5965,1.6357,1.2686),(965,5975,1.6611,1.2381),(965,5985,1.6865,1.2076),(965,5995,1.2935,1.177),(965,6005,0.83318,1.1536),(965,6015,0.37285,1.1496),(965,6025,0.3163,1.1455),(965,6035,0.44702,1.1406),(965,6045,0.57774,1.127),(965,6055,0.67783,1.1133),(965,6065,0.74789,1.0997),(965,6075,0.81795,1.0817),(965,6085,0.86655,1.0632),(965,6095,0.87093,1.0448),(965,6105,0.87531,1.0261),(965,6115,0.87967,1.0074),(965,6125,0.88388,0.98871),(965,6135,0.88809,0.96989),(965,6145,0.8923,0.95099),(965,6155,0.89622,0.93208),(965,6165,0.90012,0.91301),(965,6175,0.90403,0.89366),(965,6185,0.90773,0.8743),(965,6195,0.91137,0.85493),(965,6205,0.91501,0.83544),(965,6215,0.91849,0.81595),(965,6225,0.92185,0.79646),(965,6235,0.92522,0.77675),(965,6245,0.9285,0.75705),(965,6255,0.93165,0.73734),(965,6265,0.9348,0.71736),(965,6275,0.93787,0.69734),(965,6285,0.94069,0.67731),(965,6295,0.94352,0.65717),(965,6305,0.94632,0.63697),(965,6315,0.9489,0.61677),(965,6325,0.95148,0.59656),(965,6335,0.95406,0.57634),(965,6345,0.95635,0.55612),(965,6355,0.95861,0.53578),(965,6365,0.96087,0.51518),(965,6375,0.96291,0.49458),(965,6385,0.96488,0.47398),(965,6395,0.96684,0.45339),(965,6405,0.96869,0.4328),(965,6415,0.97043,0.41221),(965,6425,0.97218,0.39139),(965,6435,0.97381,0.37056),(965,6445,0.97524,0.34973),(965,6455,0.97666,0.32862),(965,6465,0.97803,0.30742),(965,6475,0.97915,0.28622),(965,6485,0.98028,0.2652),(965,6495,0.9814,0.24428),(965,6505,0.98227,0.22337),(965,6515,0.98314,0.20242),(965,6525,0.98401,0.18143),(965,6535,0.98466,0.16044),(965,6545,0.98528,0.13938),(965,6555,0.98589,0.11812),(965,6565,0.98632,0.096868),(965,6575,0.98664,0.075614),(965,6585,0.98697,0.054381),(965,6595,0.83957,0.033148),(965,6605,0.52906,0.011915),(965,6615,0.21855,0.009505),(965,6625,0.000269,0.009513),(965,6635,0.00027,0.009522),(965,6645,0.000272,0.00952),(965,6655,0.000274,0.009513),(965,6665,0.000276,0.009507),(965,6675,0.000278,0.0095),(965,6685,0.000279,0.009494),(965,6695,0.000281,0.009487),(965,6705,0.000283,0.00948),(965,6715,0.000285,0.009474),(965,6725,0.000286,0.009467),(965,6735,0.000288,0.00946),(965,6745,0.00029,0.009454),(965,6755,0.000291,0.009447),(965,6765,0.000293,0.00944),(965,6775,0.000294,0.009433),(965,6785,0.000296,0.009427),(965,6795,0.000298,0.00942),(965,6805,0.000299,0.009413),(965,6815,0.000301,0.009406),(965,6825,0.000302,0.009399),(965,6835,0.000304,0.009392),(965,6845,0.000305,0.009385),(965,6855,0.000307,0.009378),(965,6865,0.000308,0.009371),(965,6875,0.00031,0.009364),(965,6885,0.000311,0.009357),(965,6895,0.000312,0.00935),(965,6905,0.000314,0.009342),(965,6915,0.000315,0.009335),(965,6925,0.000317,0.009328),(965,6935,0.000318,0.009321),(965,6945,0.000319,0.009314),(965,6955,0.000321,0.009306),(965,6965,0.000322,0.009299),(965,6975,0.000323,0.009292),(965,6985,0.000324,0.009284),(975,5,4.6e-05,3.6694),(975,15,0.000137,3.6694),(975,25,0.000228,3.6694),(975,35,0.000319,3.6694),(975,45,0.000411,3.6694),(975,55,0.000502,3.6694),(975,65,0.000593,3.6693),(975,75,0.000685,3.6693),(975,85,0.000776,3.6693),(975,95,0.000868,3.6693),(975,105,0.00096,3.6693),(975,115,0.001052,3.6693),(975,125,0.001144,3.6693),(975,135,0.001236,3.6692),(975,145,0.001328,3.6692),(975,155,0.00142,3.6692),(975,165,0.001513,3.6692),(975,175,0.001605,3.6691),(975,185,0.001698,3.6691),(975,195,0.001791,3.6691),(975,205,0.001884,3.669),(975,215,0.001977,3.669),(975,225,0.002071,3.669),(975,235,0.002165,3.6689),(975,245,0.002259,3.6689),(975,255,0.002353,3.6688),(975,265,0.002448,3.6688),(975,275,0.002543,3.6687),(975,285,0.002638,3.6687),(975,295,0.002733,3.6686),(975,305,0.002829,3.6686),(975,315,0.002925,3.6685),(975,325,0.003021,3.6685),(975,335,0.003118,3.6684),(975,345,0.003215,3.6684),(975,355,0.003312,3.6683),(975,365,0.00341,3.6682),(975,375,0.003508,3.6682),(975,385,0.003606,3.6681),(975,395,0.003706,3.6681),(975,405,0.003805,3.668),(975,415,0.003904,3.6679),(975,425,0.004004,3.6678),(975,435,0.004105,3.6678),(975,445,0.004206,3.6677),(975,455,0.004306,3.6676),(975,465,0.004409,3.6675),(975,475,0.004511,3.6674),(975,485,0.004614,3.6674),(975,495,0.004716,3.6673),(975,505,0.004821,3.6672),(975,515,0.004925,3.6671),(975,525,0.00503,3.667),(975,535,0.005134,3.6669),(975,545,0.005241,3.6668),(975,555,0.005348,3.6667),(975,565,0.005454,3.6666),(975,575,0.005561,3.6665),(975,585,0.00567,3.6664),(975,595,0.005779,3.6663),(975,605,0.005888,3.6662),(975,615,0.005997,3.6661),(975,625,0.006108,3.666),(975,635,0.006219,3.6658),(975,645,0.00633,3.6657),(975,655,0.006442,3.6656),(975,665,0.006556,3.6655),(975,675,0.00667,3.6654),(975,685,0.006784,3.6652),(975,695,0.006898,3.6651),(975,705,0.007015,3.665),(975,715,0.007131,3.6648),(975,725,0.007248,3.6647),(975,735,0.007365,3.6646),(975,745,0.007485,3.6644),(975,755,0.007604,3.6643),(975,765,0.007724,3.6642),(975,775,0.007844,3.664),(975,785,0.007967,3.6639),(975,795,0.008089,3.6637),(975,805,0.008212,3.6636),(975,815,0.008335,3.6634),(975,825,0.008461,3.6632),(975,835,0.008587,3.6631),(975,845,0.008712,3.6629),(975,855,0.008839,3.6628),(975,865,0.008968,3.6626),(975,875,0.009097,3.6624),(975,885,0.009226,3.6622),(975,895,0.009356,3.6621),(975,905,0.009489,3.6619),(975,915,0.009621,3.6617),(975,925,0.009753,3.6615),(975,935,0.009887,3.6613),(975,945,0.010023,3.6612),(975,955,0.010159,3.661),(975,965,0.010295,3.6608),(975,975,0.010433,3.6606),(975,985,0.010573,3.6604),(975,995,0.010712,3.6602),(975,1005,0.010852,3.66),(975,1015,0.010994,3.6598),(975,1025,0.011137,3.6596),(975,1035,0.011281,3.6593),(975,1045,0.011425,3.6591),(975,1055,0.011571,3.6589),(975,1065,0.011718,3.6587),(975,1075,0.011866,3.6585),(975,1085,0.012014,3.6582),(975,1095,0.012164,3.658),(975,1105,0.012315,3.6578),(975,1115,0.012467,3.6575),(975,1125,0.012619,3.6573),(975,1135,0.012773,3.657),(975,1145,0.012929,3.6568),(975,1155,0.013085,3.6566),(975,1165,0.013241,3.6563),(975,1175,0.0134,3.656),(975,1185,0.01356,3.6558),(975,1195,0.01372,3.6555),(975,1205,0.01388,3.6553),(975,1215,0.014044,3.655),(975,1225,0.014208,3.6547),(975,1235,0.014373,3.6545),(975,1245,0.014537,3.6542),(975,1255,0.014705,3.6539),(975,1265,0.014874,3.6536),(975,1275,0.015043,3.6533),(975,1285,0.015212,3.653),(975,1295,0.015385,3.6527),(975,1305,0.015558,3.6524),(975,1315,0.015732,3.6521),(975,1325,0.015906,3.6518),(975,1335,0.016083,3.6515),(975,1345,0.016261,3.6512),(975,1355,0.01644,3.6509),(975,1365,0.016618,3.6506),(975,1375,0.016801,3.6502),(975,1385,0.016984,3.6499),(975,1395,0.017167,3.6496),(975,1405,0.01735,3.6492),(975,1415,0.017537,3.6489),(975,1425,0.017725,3.6486),(975,1435,0.017913,3.6482),(975,1445,0.018101,3.6479),(975,1455,0.018293,3.6475),(975,1465,0.018485,3.6472),(975,1475,0.018678,3.6468),(975,1485,0.01887,3.6464),(975,1495,0.019067,3.6461),(975,1505,0.019265,3.6457),(975,1515,0.019462,3.6453),(975,1525,0.019659,3.6449),(975,1535,0.019861,3.6445),(975,1545,0.020064,3.6441),(975,1555,0.020266,3.6437),(975,1565,0.020468,3.6433),(975,1575,0.020675,3.6429),(975,1585,0.020882,3.6425),(975,1595,0.021089,3.6421),(975,1605,0.021296,3.6417),(975,1615,0.021508,3.6413),(975,1625,0.021719,3.6409),(975,1635,0.021931,3.6404),(975,1645,0.022143,3.64),(975,1655,0.02236,3.6395),(975,1665,0.022576,3.6391),(975,1675,0.022793,3.6386),(975,1685,0.02301,3.6382),(975,1695,0.023231,3.6377),(975,1705,0.023452,3.6373),(975,1715,0.023673,3.6368),(975,1725,0.023895,3.6363),(975,1735,0.02412,3.6358),(975,1745,0.024346,3.6354),(975,1755,0.024571,3.6349),(975,1765,0.024798,3.6344),(975,1775,0.025028,3.6339),(975,1785,0.025258,3.6334),(975,1795,0.025488,3.6329),(975,1805,0.025719,3.6324),(975,1815,0.025954,3.6318),(975,1825,0.026188,3.6313),(975,1835,0.026422,3.6308),(975,1845,0.026658,3.6303),(975,1855,0.026897,3.6297),(975,1865,0.027135,3.6292),(975,1875,0.027374,3.6286),(975,1885,0.027614,3.6281),(975,1895,0.027856,3.6275),(975,1905,0.028099,3.6269),(975,1915,0.028341,3.6264),(975,1925,0.028585,3.6258),(975,1935,0.028832,3.6252),(975,1945,0.029078,3.6246),(975,1955,0.029325,3.624),(975,1965,0.029573,3.6234),(975,1975,0.029823,3.6228),(975,1985,0.030073,3.6222),(975,1995,0.030323,3.6216),(975,2005,0.030575,3.621),(975,2015,0.030828,3.6204),(975,2025,0.031082,3.6197),(975,2035,0.031335,3.6191),(975,2045,0.03159,3.6185),(975,2055,0.031847,3.6178),(975,2065,0.032104,3.6172),(975,2075,0.03236,3.6165),(975,2085,0.032619,3.6158),(975,2095,0.032878,3.6152),(975,2105,0.033137,3.6145),(975,2115,0.033397,3.6138),(975,2125,0.033658,3.6131),(975,2135,0.03392,3.6124),(975,2145,0.034182,3.6117),(975,2155,0.034444,3.611),(975,2165,0.034708,3.6103),(975,2175,0.034972,3.6096),(975,2185,0.035236,3.6089),(975,2195,0.035501,3.6082),(975,2205,0.035766,3.6074),(975,2215,0.036032,3.6067),(975,2225,0.036299,3.6059),(975,2235,0.036565,3.6052),(975,2245,0.036832,3.6044),(975,2255,0.0371,3.6037),(975,2265,0.037368,3.6029),(975,2275,0.037635,3.6021),(975,2285,0.037904,3.6014),(975,2295,0.038173,3.6006),(975,2305,0.038442,3.5998),(975,2315,0.038711,3.599),(975,2325,0.03898,3.5982),(975,2335,0.03925,3.5974),(975,2345,0.03952,3.5966),(975,2355,0.03979,3.5957),(975,2365,0.04006,3.5949),(975,2375,0.04033,3.5941),(975,2385,0.0406,3.5932),(975,2395,0.04087,3.5924),(975,2405,0.041139,3.5915),(975,2415,0.041409,3.5907),(975,2425,0.041679,3.5898),(975,2435,0.041949,3.589),(975,2445,0.042219,3.5881),(975,2455,0.042488,3.5872),(975,2465,0.042758,3.5863),(975,2475,0.043027,3.5854),(975,2485,0.043296,3.5845),(975,2495,0.043564,3.5836),(975,2505,0.043833,3.5827),(975,2515,0.044101,3.5818),(975,2525,0.044368,3.5809),(975,2535,0.044635,3.58),(975,2545,0.044902,3.5791),(975,2555,0.045169,3.5781),(975,2565,0.045434,3.5772),(975,2575,0.045699,3.5763),(975,2585,0.045964,3.5753),(975,2595,0.046228,3.5744),(975,2605,0.046491,3.5734),(975,2615,0.046754,3.5724),(975,2625,0.047016,3.5715),(975,2635,0.047279,3.5705),(975,2645,0.047538,3.5695),(975,2655,0.047798,3.5685),(975,2665,0.048058,3.5676),(975,2675,0.048317,3.5666),(975,2685,0.048573,3.5656),(975,2695,0.04883,3.5646),(975,2705,0.049086,3.5636),(975,2715,0.049341,3.5626),(975,2725,0.049594,3.5615),(975,2735,0.049846,3.5605),(975,2745,0.050098,3.5595),(975,2755,0.050349,3.5585),(975,2765,0.050596,3.5575),(975,2775,0.050844,3.5564),(975,2785,0.051092,3.5554),(975,2795,0.051338,3.5544),(975,2805,0.05158,3.5533),(975,2815,0.051823,3.5523),(975,2825,0.052065,3.5512),(975,2835,0.052306,3.5502),(975,2845,0.052543,3.5491),(975,2855,0.05278,3.5481),(975,2865,0.053016,3.547),(975,2875,0.053251,3.546),(975,2885,0.053481,3.5449),(975,2895,0.053712,3.5438),(975,2905,0.053942,3.5428),(975,2915,0.05417,3.5417),(975,2925,0.054393,3.5406),(975,2935,0.054617,3.5396),(975,2945,0.05484,3.5385),(975,2955,0.05506,3.5374),(975,2965,0.055276,3.5363),(975,2975,0.055491,3.5353),(975,2985,0.055707,3.5342),(975,2995,0.055919,3.5331),(975,3005,0.056126,3.532),(975,3015,0.056333,3.531),(975,3025,0.05654,3.5299),(975,3035,0.056742,3.5288),(975,3045,0.05694,3.5277),(975,3055,0.057137,3.5267),(975,3065,0.057335,3.5256),(975,3075,0.057527,3.5245),(975,3085,0.057714,3.5234),(975,3095,0.057901,3.5224),(975,3105,0.058088,3.5213),(975,3115,0.058268,3.5202),(975,3125,0.058443,3.5192),(975,3135,0.058619,3.5181),(975,3145,0.058794,3.5171),(975,3155,0.058961,3.516),(975,3165,0.059124,3.515),(975,3175,0.059286,3.5139),(975,3185,0.059449,3.5129),(975,3195,0.059601,3.5118),(975,3205,0.059749,3.5108),(975,3215,0.059896,3.5098),(975,3225,0.060044,3.5088),(975,3235,0.060179,3.5077),(975,3245,0.06031,3.5067),(975,3255,0.060441,3.5057),(975,3265,0.060572,3.5047),(975,3275,0.060688,3.5037),(975,3285,0.0608,3.5027),(975,3295,0.060912,3.5017),(975,3305,0.061024,3.5008),(975,3315,0.061118,3.4998),(975,3325,0.061209,3.4988),(975,3335,0.061299,3.4979),(975,3345,0.061389,3.497),(975,3355,0.061458,3.496),(975,3365,0.061524,3.4951),(975,3375,0.061589,3.4942),(975,3385,0.061655,3.4933),(975,3395,0.061695,3.4924),(975,3405,0.061732,3.4915),(975,3415,0.061769,3.4907),(975,3425,0.061806,3.4898),(975,3435,0.061813,3.489),(975,3445,0.061817,3.4881),(975,3455,0.061821,3.4873),(975,3465,0.061826,3.4865),(975,3475,0.061794,3.4857),(975,3485,0.06176,3.4849),(975,3495,0.061727,3.4842),(975,3505,0.061694,3.4834),(975,3515,0.061617,3.4827),(975,3525,0.06154,3.4819),(975,3535,0.061464,3.4812),(975,3545,0.061385,3.4805),(975,3555,0.061259,3.4799),(975,3565,0.061133,3.4792),(975,3575,0.061007,3.4785),(975,3585,0.060876,3.4779),(975,3595,0.060694,3.4773),(975,3605,0.060512,3.4767),(975,3615,0.060329,3.4761),(975,3625,0.060139,3.4756),(975,3635,0.059893,3.475),(975,3645,0.059647,3.4744),(975,3655,0.059401,3.4739),(975,3665,0.059143,3.4735),(975,3675,0.058826,3.473),(975,3685,0.058509,3.4725),(975,3695,0.058192,3.4721),(975,3705,0.057858,3.4716),(975,3715,0.057462,3.4712),(975,3725,0.057066,3.4708),(975,3735,0.05667,3.4705),(975,3745,0.056253,3.4701),(975,3755,0.05577,3.4698),(975,3765,0.055287,3.4694),(975,3775,0.054804,3.4691),(975,3785,0.054295,3.4688),(975,3795,0.053718,3.4686),(975,3805,0.053142,3.4683),(975,3815,0.052565,3.4681),(975,3825,0.051957,3.4679),(975,3835,0.05128,3.4676),(975,3845,0.050604,3.4674),(975,3855,0.049927,3.4673),(975,3865,0.049213,3.4671),(975,3875,0.048432,3.4669),(975,3885,0.047651,3.4668),(975,3895,0.04687,3.4667),(975,3905,0.055132,3.4666),(975,3915,0.076904,3.4665),(975,3925,0.098677,3.4664),(975,3935,0.12045,3.4663),(975,3945,0.14364,3.4662),(975,3955,0.16865,3.4662),(975,3965,0.19365,3.4658),(975,3975,0.21865,3.465),(975,3985,0.23247,3.4642),(975,3995,0.23416,3.4634),(975,4005,0.23586,3.4622),(975,4015,0.23756,3.4607),(975,4025,0.239,3.4591),(975,4035,0.24041,3.4573),(975,4045,0.24182,3.4551),(975,4055,0.24321,3.4529),(975,4065,0.2446,3.4506),(975,4075,0.24599,3.4477),(975,4085,0.24745,3.4448),(975,4095,0.24897,3.4418),(975,4105,0.25049,3.4383),(975,4115,0.24267,3.4347),(975,4125,0.21938,3.4312),(975,4135,0.19608,3.4281),(975,4145,0.17206,3.4253),(975,4155,0.14513,3.4224),(975,4165,0.11819,3.4205),(975,4175,0.092546,3.4193),(975,4185,0.1308,3.4181),(975,4195,0.16905,3.4155),(975,4205,0.2073,3.411),(975,4215,0.19996,3.4065),(975,4225,0.18404,3.402),(975,4235,0.16813,3.3975),(975,4245,0.14983,3.393),(975,4255,0.13031,3.3886),(975,4265,0.1108,3.3851),(975,4275,0.088916,3.3816),(975,4285,0.064504,3.3781),(975,4295,0.040093,3.3767),(975,4305,0.031667,3.3756),(975,4315,0.059336,3.3744),(975,4325,0.087005,3.3691),(975,4335,0.11352,3.362),(975,4345,0.13223,3.355),(975,4355,0.15095,3.3488),(975,4365,0.16966,3.3432),(975,4375,0.18294,3.3377),(975,4385,0.19594,3.3329),(975,4395,0.20894,3.3295),(975,4405,0.18733,3.3261),(975,4415,0.15552,3.3233),(975,4425,0.1237,3.3228),(975,4435,0.11142,3.3223),(975,4445,0.11248,3.3218),(975,4455,0.11353,3.3198),(975,4465,0.13889,3.3178),(975,4475,0.1984,3.3158),(975,4485,0.25791,3.3112),(975,4495,0.30565,3.306),(975,4505,0.31563,3.3009),(975,4515,0.32562,3.2955),(975,4525,0.33477,3.29),(975,4535,0.33057,3.2844),(975,4545,0.32637,3.2791),(975,4555,0.32217,3.2739),(975,4565,0.2352,3.2688),(975,4575,0.13708,3.265),(975,4585,0.038954,3.2646),(975,4595,0.030351,3.2642),(975,4605,0.059572,3.2635),(975,4615,0.088793,3.2605),(975,4625,0.12773,3.2575),(975,4635,0.17547,3.2545),(975,4645,0.22321,3.2489),(975,4655,0.27233,3.2431),(975,4665,0.32402,3.2373),(975,4675,0.37572,3.23),(975,4685,0.40457,3.2221),(975,4695,0.32056,3.2143),(975,4705,0.23655,3.2094),(975,4715,0.15254,3.2066),(975,4725,0.18352,3.2039),(975,4735,0.21565,3.1994),(975,4745,0.24778,3.1924),(975,4755,0.3137,3.1854),(975,4765,0.38745,3.1773),(975,4775,0.4612,3.1657),(975,4785,0.50762,3.1541),(975,4795,0.53824,3.1425),(975,4805,0.56885,3.1303),(975,4815,0.56397,3.1182),(975,4825,0.51664,3.1061),(975,4835,0.46931,3.0975),(975,4845,0.40651,3.0895),(975,4855,0.30336,3.0814),(975,4865,0.20021,3.0765),(975,4875,0.11868,3.073),(975,4885,0.23379,3.0695),(975,4895,0.3489,3.0609),(975,4905,0.46401,3.0476),(975,4915,0.47157,3.0342),(975,4925,0.46988,3.0212),(975,4935,0.46818,3.009),(975,4945,0.43222,2.9968),(975,4955,0.38438,2.9852),(975,4965,0.33654,2.9776),(975,4975,0.2632,2.97),(975,4985,0.17018,2.9623),(975,4995,0.077163,2.9616),(975,5005,0.072505,2.9611),(975,5015,0.20832,2.9606),(975,5025,0.34414,2.9489),(975,5035,0.46851,2.9344),(975,5045,0.54929,2.9199),(975,5055,0.63008,2.9023),(975,5065,0.70961,2.8828),(975,5075,0.74838,2.8632),(975,5085,0.78715,2.8437),(975,5095,0.82592,2.8241),(975,5105,0.73926,2.8045),(975,5115,0.63071,2.7874),(975,5125,0.52216,2.7774),(975,5135,0.4346,2.7674),(975,5145,0.35723,2.7576),(975,5155,0.27987,2.751),(975,5165,0.31977,2.7444),(975,5175,0.47927,2.7378),(975,5185,0.63878,2.7209),(975,5195,0.76016,2.703),(975,5205,0.79933,2.6851),(975,5215,0.83851,2.6668),(975,5225,0.87259,2.6483),(975,5235,0.875,2.6298),(975,5245,0.87741,2.6124),(975,5255,0.87982,2.5958),(975,5265,0.61435,2.5793),(975,5275,0.33784,2.5688),(975,5285,0.061328,2.5687),(975,5295,0.084065,2.5686),(975,5305,0.19014,2.5662),(975,5315,0.29621,2.5542),(975,5325,0.40825,2.5421),(975,5335,0.5242,2.53),(975,5345,0.64015,2.5104),(975,5355,0.73907,2.4908),(975,5365,0.81499,2.4713),(975,5375,0.89092,2.4502),(975,5385,0.89606,2.4287),(975,5395,0.68599,2.4073),(975,5405,0.47592,2.3963),(975,5415,0.27969,2.3908),(975,5425,0.26923,2.3852),(975,5435,0.25877,2.3799),(975,5445,0.24832,2.3751),(975,5455,0.29965,2.3702),(975,5465,0.35855,2.364),(975,5475,0.41744,2.3549),(975,5485,0.44619,2.3457),(975,5495,0.4628,2.3364),(975,5505,0.47941,2.3254),(975,5515,0.49725,2.3144),(975,5525,0.51615,2.3035),(975,5535,0.53505,2.2907),(975,5545,0.55447,2.2779),(975,5555,0.57483,2.2651),(975,5565,0.59518,2.2507),(975,5575,0.61577,2.2358),(975,5585,0.63744,2.2209),(975,5595,0.65911,2.2048),(975,5605,0.68077,2.188),(975,5615,0.7039,2.1711),(975,5625,0.72702,2.1534),(975,5635,0.75015,2.1345),(975,5645,0.77447,2.1155),(975,5655,0.79905,2.0961),(975,5665,0.82363,2.0751),(975,5675,0.84909,2.0541),(975,5685,0.87505,2.0331),(975,5695,0.901,2.0104),(975,5705,0.92749,1.9877),(975,5715,0.95459,1.965),(975,5725,0.9817,1.9407),(975,5735,1.0091,1.9162),(975,5745,1.0371,1.8916),(975,5755,1.0651,1.8662),(975,5765,1.0932,1.8403),(975,5775,1.1218,1.8144),(975,5785,1.1504,1.7879),(975,5795,1.179,1.7607),(975,5805,1.2078,1.7336),(975,5815,1.2365,1.7061),(975,5825,1.2653,1.6779),(975,5835,1.294,1.6497),(975,5845,1.3226,1.6214),(975,5855,1.3512,1.5926),(975,5865,1.3795,1.5638),(975,5875,1.4075,1.535),(975,5885,1.4356,1.5057),(975,5895,1.4633,1.4763),(975,5905,1.4905,1.4469),(975,5915,1.5177,1.4171),(975,5925,1.5446,1.3871),(975,5935,1.5707,1.3572),(975,5945,1.5968,1.3271),(975,5955,1.6228,1.297),(975,5965,1.6481,1.2668),(975,5975,1.6734,1.2367),(975,5985,1.6987,1.2065),(975,5995,1.3028,1.1762),(975,6005,0.83915,1.1532),(975,6015,0.3755,1.1492),(975,6025,0.31896,1.1452),(975,6035,0.45125,1.1403),(975,6045,0.58354,1.1267),(975,6055,0.68477,1.1131),(975,6065,0.75554,1.0994),(975,6075,0.82631,1.0814),(975,6085,0.8754,1.0629),(975,6095,0.87982,1.0444),(975,6105,0.88424,1.0258),(975,6115,0.88864,1.0071),(975,6125,0.8929,0.98838),(975,6135,0.89715,0.96955),(975,6145,0.90141,0.95063),(975,6155,0.90537,0.9317),(975,6165,0.90932,0.91261),(975,6175,0.91328,0.89326),(975,6185,0.91701,0.8739),(975,6195,0.92069,0.85451),(975,6205,0.92436,0.83502),(975,6215,0.92787,0.81553),(975,6225,0.93128,0.79604),(975,6235,0.93468,0.77635),(975,6245,0.93799,0.75666),(975,6255,0.94118,0.73697),(975,6265,0.94436,0.71698),(975,6275,0.94746,0.69694),(975,6285,0.95033,0.67691),(975,6295,0.95319,0.65677),(975,6305,0.95604,0.63659),(975,6315,0.95866,0.61641),(975,6325,0.96129,0.5962),(975,6335,0.96392,0.57597),(975,6345,0.96624,0.55574),(975,6355,0.96852,0.5354),(975,6365,0.97081,0.51481),(975,6375,0.97288,0.49421),(975,6385,0.97487,0.47362),(975,6395,0.97686,0.45306),(975,6405,0.97873,0.4325),(975,6415,0.9805,0.41195),(975,6425,0.98227,0.39113),(975,6435,0.98392,0.3703),(975,6445,0.98537,0.34947),(975,6455,0.98682,0.32837),(975,6465,0.98822,0.30718),(975,6475,0.98937,0.28599),(975,6485,0.99052,0.26498),(975,6495,0.99167,0.24409),(975,6505,0.99255,0.22319),(975,6515,0.99343,0.20227),(975,6525,0.99432,0.1813),(975,6535,0.99497,0.16033),(975,6545,0.99558,0.13929),(975,6555,0.99619,0.11806),(975,6565,0.99662,0.096828),(975,6575,0.99694,0.075597),(975,6585,0.99727,0.054383),(975,6595,0.84833,0.033169),(975,6605,0.53458,0.011954),(975,6615,0.22083,0.009535),(975,6625,0.000272,0.009532),(975,6635,0.000274,0.009528),(975,6645,0.000276,0.009522),(975,6655,0.000277,0.009515),(975,6665,0.000279,0.009509),(975,6675,0.000281,0.009502),(975,6685,0.000283,0.009495),(975,6695,0.000285,0.009489),(975,6705,0.000286,0.009482),(975,6715,0.000288,0.009475),(975,6725,0.00029,0.009469),(975,6735,0.000291,0.009462),(975,6745,0.000293,0.009455),(975,6755,0.000295,0.009449),(975,6765,0.000296,0.009442),(975,6775,0.000298,0.009435),(975,6785,0.0003,0.009428),(975,6795,0.000301,0.009421),(975,6805,0.000303,0.009414),(975,6815,0.000304,0.009407),(975,6825,0.000306,0.009401),(975,6835,0.000307,0.009394),(975,6845,0.000309,0.009387),(975,6855,0.00031,0.00938),(975,6865,0.000312,0.009373),(975,6875,0.000313,0.009365),(975,6885,0.000315,0.009358),(975,6895,0.000316,0.009351),(975,6905,0.000317,0.009344),(975,6915,0.000319,0.009337),(975,6925,0.00032,0.009329),(975,6935,0.000322,0.009322),(975,6945,0.000323,0.009315),(975,6955,0.000324,0.009308),(975,6965,0.000326,0.0093),(975,6975,0.000327,0.009293),(975,6985,0.000328,0.009286),(985,5,4.6e-05,3.6695),(985,15,0.000138,3.6695),(985,25,0.00023,3.6695),(985,35,0.000322,3.6695),(985,45,0.000414,3.6695),(985,55,0.000506,3.6695),(985,65,0.000598,3.6694),(985,75,0.00069,3.6694),(985,85,0.000782,3.6694),(985,95,0.000875,3.6694),(985,105,0.000967,3.6694),(985,115,0.00106,3.6694),(985,125,0.001152,3.6693),(985,135,0.001245,3.6693),(985,145,0.001338,3.6693),(985,155,0.001431,3.6693),(985,165,0.001524,3.6692),(985,175,0.001618,3.6692),(985,185,0.001711,3.6692),(985,195,0.001805,3.6692),(985,205,0.001899,3.6691),(985,215,0.001993,3.6691),(985,225,0.002087,3.6691),(985,235,0.002182,3.669),(985,245,0.002276,3.669),(985,255,0.002371,3.6689),(985,265,0.002467,3.6689),(985,275,0.002563,3.6688),(985,285,0.002658,3.6688),(985,295,0.002754,3.6687),(985,305,0.002851,3.6687),(985,315,0.002948,3.6686),(985,325,0.003045,3.6686),(985,335,0.003142,3.6685),(985,345,0.00324,3.6685),(985,355,0.003338,3.6684),(985,365,0.003437,3.6683),(985,375,0.003535,3.6683),(985,385,0.003635,3.6682),(985,395,0.003734,3.6682),(985,405,0.003834,3.6681),(985,415,0.003934,3.668),(985,425,0.004035,3.6679),(985,435,0.004137,3.6679),(985,445,0.004238,3.6678),(985,455,0.00434,3.6677),(985,465,0.004443,3.6676),(985,475,0.004546,3.6675),(985,485,0.00465,3.6675),(985,495,0.004753,3.6674),(985,505,0.004858,3.6673),(985,515,0.004964,3.6672),(985,525,0.005069,3.6671),(985,535,0.005175,3.667),(985,545,0.005282,3.6669),(985,555,0.00539,3.6668),(985,565,0.005497,3.6667),(985,575,0.005605,3.6666),(985,585,0.005714,3.6665),(985,595,0.005824,3.6664),(985,605,0.005934,3.6663),(985,615,0.006044,3.6662),(985,625,0.006156,3.6661),(985,635,0.006268,3.666),(985,645,0.00638,3.6658),(985,655,0.006493,3.6657),(985,665,0.006608,3.6656),(985,675,0.006723,3.6655),(985,685,0.006837,3.6654),(985,695,0.006953,3.6652),(985,705,0.00707,3.6651),(985,715,0.007188,3.665),(985,725,0.007306,3.6648),(985,735,0.007424,3.6647),(985,745,0.007544,3.6646),(985,755,0.007665,3.6644),(985,765,0.007785,3.6643),(985,775,0.007907,3.6641),(985,785,0.00803,3.664),(985,795,0.008154,3.6638),(985,805,0.008278,3.6637),(985,815,0.008402,3.6635),(985,825,0.008529,3.6634),(985,835,0.008656,3.6632),(985,845,0.008783,3.663),(985,855,0.008911,3.6629),(985,865,0.009041,3.6627),(985,875,0.009171,3.6625),(985,885,0.009301,3.6624),(985,895,0.009432,3.6622),(985,905,0.009566,3.662),(985,915,0.009699,3.6618),(985,925,0.009833,3.6617),(985,935,0.009968,3.6615),(985,945,0.010105,3.6613),(985,955,0.010242,3.6611),(985,965,0.010379,3.6609),(985,975,0.010518,3.6607),(985,985,0.010659,3.6605),(985,995,0.0108,3.6603),(985,1005,0.010941,3.6601),(985,1015,0.011084,3.6599),(985,1025,0.011229,3.6597),(985,1035,0.011374,3.6595),(985,1045,0.011519,3.6593),(985,1055,0.011666,3.6591),(985,1065,0.011815,3.6588),(985,1075,0.011964,3.6586),(985,1085,0.012113,3.6584),(985,1095,0.012265,3.6582),(985,1105,0.012418,3.6579),(985,1115,0.012571,3.6577),(985,1125,0.012724,3.6574),(985,1135,0.01288,3.6572),(985,1145,0.013038,3.657),(985,1155,0.013195,3.6567),(985,1165,0.013352,3.6565),(985,1175,0.013513,3.6562),(985,1185,0.013674,3.656),(985,1195,0.013836,3.6557),(985,1205,0.013998,3.6554),(985,1215,0.014163,3.6552),(985,1225,0.014329,3.6549),(985,1235,0.014495,3.6546),(985,1245,0.014661,3.6543),(985,1255,0.014831,3.6541),(985,1265,0.015001,3.6538),(985,1275,0.015172,3.6535),(985,1285,0.015343,3.6532),(985,1295,0.015517,3.6529),(985,1305,0.015692,3.6526),(985,1315,0.015867,3.6523),(985,1325,0.016043,3.652),(985,1335,0.016222,3.6517),(985,1345,0.016402,3.6514),(985,1355,0.016582,3.6511),(985,1365,0.016762,3.6507),(985,1375,0.016946,3.6504),(985,1385,0.017131,3.6501),(985,1395,0.017316,3.6498),(985,1405,0.017501,3.6494),(985,1415,0.01769,3.6491),(985,1425,0.01788,3.6488),(985,1435,0.01807,3.6484),(985,1445,0.018259,3.6481),(985,1455,0.018454,3.6477),(985,1465,0.018648,3.6474),(985,1475,0.018843,3.647),(985,1485,0.019037,3.6466),(985,1495,0.019236,3.6463),(985,1505,0.019436,3.6459),(985,1515,0.019635,3.6455),(985,1525,0.019834,3.6451),(985,1535,0.020038,3.6447),(985,1545,0.020243,3.6443),(985,1555,0.020447,3.6439),(985,1565,0.020651,3.6435),(985,1575,0.02086,3.6431),(985,1585,0.021069,3.6427),(985,1595,0.021278,3.6423),(985,1605,0.021488,3.6419),(985,1615,0.021702,3.6415),(985,1625,0.021916,3.6411),(985,1635,0.02213,3.6406),(985,1645,0.022344,3.6402),(985,1655,0.022563,3.6398),(985,1665,0.022781,3.6393),(985,1675,0.023,3.6389),(985,1685,0.02322,3.6384),(985,1695,0.023443,3.638),(985,1705,0.023666,3.6375),(985,1715,0.02389,3.637),(985,1725,0.024114,3.6365),(985,1735,0.024342,3.6361),(985,1745,0.02457,3.6356),(985,1755,0.024798,3.6351),(985,1765,0.025027,3.6346),(985,1775,0.025259,3.6341),(985,1785,0.025492,3.6336),(985,1795,0.025724,3.6331),(985,1805,0.025958,3.6326),(985,1815,0.026195,3.6321),(985,1825,0.026432,3.6316),(985,1835,0.026669,3.631),(985,1845,0.026907,3.6305),(985,1855,0.027148,3.63),(985,1865,0.027389,3.6294),(985,1875,0.027631,3.6289),(985,1885,0.027873,3.6283),(985,1895,0.028118,3.6278),(985,1905,0.028364,3.6272),(985,1915,0.028609,3.6266),(985,1925,0.028856,3.626),(985,1935,0.029105,3.6255),(985,1945,0.029354,3.6249),(985,1955,0.029603,3.6243),(985,1965,0.029854,3.6237),(985,1975,0.030107,3.6231),(985,1985,0.03036,3.6225),(985,1995,0.030613,3.6219),(985,2005,0.030867,3.6213),(985,2015,0.031123,3.6206),(985,2025,0.03138,3.62),(985,2035,0.031636,3.6194),(985,2045,0.031894,3.6187),(985,2055,0.032153,3.6181),(985,2065,0.032413,3.6174),(985,2075,0.032672,3.6168),(985,2085,0.032933,3.6161),(985,2095,0.033196,3.6154),(985,2105,0.033458,3.6148),(985,2115,0.03372,3.6141),(985,2125,0.033984,3.6134),(985,2135,0.034249,3.6127),(985,2145,0.034514,3.612),(985,2155,0.034779,3.6113),(985,2165,0.035046,3.6106),(985,2175,0.035313,3.6099),(985,2185,0.03558,3.6092),(985,2195,0.035847,3.6084),(985,2205,0.036116,3.6077),(985,2215,0.036385,3.607),(985,2225,0.036654,3.6062),(985,2235,0.036923,3.6055),(985,2245,0.037193,3.6047),(985,2255,0.037464,3.604),(985,2265,0.037734,3.6032),(985,2275,0.038005,3.6024),(985,2285,0.038277,3.6016),(985,2295,0.038549,3.6008),(985,2305,0.03882,3.6),(985,2315,0.039092,3.5992),(985,2325,0.039365,3.5984),(985,2335,0.039637,3.5976),(985,2345,0.03991,3.5968),(985,2355,0.040182,3.596),(985,2365,0.040455,3.5952),(985,2375,0.040728,3.5944),(985,2385,0.041001,3.5935),(985,2395,0.041273,3.5927),(985,2405,0.041546,3.5918),(985,2415,0.041819,3.591),(985,2425,0.042091,3.5901),(985,2435,0.042364,3.5892),(985,2445,0.042636,3.5884),(985,2455,0.042908,3.5875),(985,2465,0.04318,3.5866),(985,2475,0.043452,3.5857),(985,2485,0.043723,3.5848),(985,2495,0.043994,3.5839),(985,2505,0.044265,3.583),(985,2515,0.044536,3.5821),(985,2525,0.044806,3.5812),(985,2535,0.045075,3.5803),(985,2545,0.045344,3.5793),(985,2555,0.045614,3.5784),(985,2565,0.045881,3.5775),(985,2575,0.046148,3.5765),(985,2585,0.046415,3.5756),(985,2595,0.046682,3.5746),(985,2605,0.046947,3.5737),(985,2615,0.047212,3.5727),(985,2625,0.047476,3.5717),(985,2635,0.04774,3.5708),(985,2645,0.048002,3.5698),(985,2655,0.048264,3.5688),(985,2665,0.048525,3.5678),(985,2675,0.048786,3.5668),(985,2685,0.049044,3.5658),(985,2695,0.049302,3.5648),(985,2705,0.04956,3.5638),(985,2715,0.049817,3.5628),(985,2725,0.05007,3.5618),(985,2735,0.050324,3.5608),(985,2745,0.050577,3.5598),(985,2755,0.05083,3.5587),(985,2765,0.051078,3.5577),(985,2775,0.051327,3.5567),(985,2785,0.051576,3.5556),(985,2795,0.051823,3.5546),(985,2805,0.052066,3.5536),(985,2815,0.052309,3.5525),(985,2825,0.052552,3.5515),(985,2835,0.052793,3.5504),(985,2845,0.05303,3.5494),(985,2855,0.053267,3.5483),(985,2865,0.053504,3.5473),(985,2875,0.053739,3.5462),(985,2885,0.053969,3.5451),(985,2895,0.0542,3.5441),(985,2905,0.05443,3.543),(985,2915,0.054657,3.5419),(985,2925,0.05488,3.5409),(985,2935,0.055103,3.5398),(985,2945,0.055326,3.5387),(985,2955,0.055545,3.5376),(985,2965,0.055759,3.5366),(985,2975,0.055974,3.5355),(985,2985,0.056188,3.5344),(985,2995,0.056398,3.5333),(985,3005,0.056604,3.5322),(985,3015,0.056809,3.5312),(985,3025,0.057014,3.5301),(985,3035,0.057214,3.529),(985,3045,0.05741,3.5279),(985,3055,0.057605,3.5269),(985,3065,0.0578,3.5258),(985,3075,0.057989,3.5247),(985,3085,0.058173,3.5236),(985,3095,0.058357,3.5226),(985,3105,0.058541,3.5215),(985,3115,0.058717,3.5204),(985,3125,0.058889,3.5194),(985,3135,0.05906,3.5183),(985,3145,0.059232,3.5172),(985,3155,0.059395,3.5162),(985,3165,0.059552,3.5151),(985,3175,0.05971,3.5141),(985,3185,0.059868,3.513),(985,3195,0.060015,3.512),(985,3205,0.060157,3.5109),(985,3215,0.0603,3.5099),(985,3225,0.060442,3.5089),(985,3235,0.060571,3.5079),(985,3245,0.060696,3.5068),(985,3255,0.06082,3.5058),(985,3265,0.060944,3.5048),(985,3275,0.061054,3.5038),(985,3285,0.061158,3.5028),(985,3295,0.061263,3.5018),(985,3305,0.061368,3.5009),(985,3315,0.061454,3.4999),(985,3325,0.061536,3.4989),(985,3335,0.061618,3.498),(985,3345,0.0617,3.497),(985,3355,0.06176,3.4961),(985,3365,0.061816,3.4952),(985,3375,0.061872,3.4943),(985,3385,0.061928,3.4933),(985,3395,0.061958,3.4924),(985,3405,0.061985,3.4915),(985,3415,0.062012,3.4907),(985,3425,0.062038,3.4898),(985,3435,0.062034,3.489),(985,3445,0.062028,3.4881),(985,3455,0.062021,3.4873),(985,3465,0.062014,3.4865),(985,3475,0.06197,3.4857),(985,3485,0.061925,3.4849),(985,3495,0.06188,3.4841),(985,3505,0.061835,3.4833),(985,3515,0.061745,3.4826),(985,3525,0.061656,3.4818),(985,3535,0.061567,3.4811),(985,3545,0.061476,3.4804),(985,3555,0.061337,3.4797),(985,3565,0.061198,3.479),(985,3575,0.061058,3.4784),(985,3585,0.060915,3.4777),(985,3595,0.060719,3.4771),(985,3605,0.060523,3.4765),(985,3615,0.060327,3.4759),(985,3625,0.060123,3.4753),(985,3635,0.059864,3.4747),(985,3645,0.059605,3.4742),(985,3655,0.059345,3.4737),(985,3665,0.059074,3.4732),(985,3675,0.058744,3.4726),(985,3685,0.058413,3.4721),(985,3695,0.058083,3.4717),(985,3705,0.057737,3.4713),(985,3715,0.057328,3.4708),(985,3725,0.05692,3.4704),(985,3735,0.056511,3.47),(985,3745,0.056082,3.4696),(985,3755,0.055588,3.4693),(985,3765,0.055094,3.4689),(985,3775,0.054599,3.4686),(985,3785,0.054079,3.4683),(985,3795,0.053493,3.468),(985,3805,0.052907,3.4677),(985,3815,0.052321,3.4675),(985,3825,0.051703,3.4672),(985,3835,0.051019,3.467),(985,3845,0.050335,3.4667),(985,3855,0.049651,3.4666),(985,3865,0.04893,3.4664),(985,3875,0.048144,3.4662),(985,3885,0.047358,3.466),(985,3895,0.046573,3.4659),(985,3905,0.054755,3.4657),(985,3915,0.076335,3.4656),(985,3925,0.097916,3.4655),(985,3935,0.1195,3.4653),(985,3945,0.14256,3.4652),(985,3955,0.16752,3.465),(985,3965,0.19248,3.4645),(985,3975,0.21744,3.4636),(985,3985,0.23131,3.4627),(985,3995,0.23318,3.4618),(985,4005,0.23506,3.4605),(985,4015,0.23693,3.4589),(985,4025,0.23855,3.4573),(985,4035,0.24014,3.4554),(985,4045,0.24174,3.4531),(985,4055,0.24331,3.4509),(985,4065,0.24489,3.4485),(985,4075,0.24646,3.4455),(985,4085,0.2481,3.4426),(985,4095,0.24981,3.4397),(985,4105,0.25151,3.4362),(985,4115,0.24381,3.4326),(985,4125,0.22053,3.4291),(985,4135,0.19724,3.4261),(985,4145,0.17318,3.4232),(985,4155,0.14598,3.4203),(985,4165,0.11877,3.4185),(985,4175,0.092871,3.4173),(985,4185,0.13174,3.4161),(985,4195,0.17061,3.4135),(985,4205,0.20948,3.409),(985,4215,0.20232,3.4045),(985,4225,0.1865,3.3999),(985,4235,0.17069,3.3954),(985,4245,0.15234,3.3908),(985,4255,0.13272,3.3863),(985,4265,0.1131,3.3827),(985,4275,0.09094,3.3791),(985,4285,0.06608,3.3756),(985,4295,0.041221,3.3742),(985,4305,0.032922,3.373),(985,4315,0.062016,3.3719),(985,4325,0.09111,3.3665),(985,4335,0.11879,3.3593),(985,4345,0.13694,3.3522),(985,4355,0.15509,3.3459),(985,4365,0.17323,3.3402),(985,4375,0.18581,3.3346),(985,4385,0.1981,3.3298),(985,4395,0.21038,3.3263),(985,4405,0.18817,3.3229),(985,4415,0.15579,3.3199),(985,4425,0.12341,3.3194),(985,4435,0.11119,3.3189),(985,4445,0.11275,3.3184),(985,4455,0.1143,3.3164),(985,4465,0.14013,3.3144),(985,4475,0.20004,3.3124),(985,4485,0.25996,3.3078),(985,4495,0.308,3.3026),(985,4505,0.31793,3.2974),(985,4515,0.32785,3.2919),(985,4525,0.33693,3.2863),(985,4535,0.3326,3.2807),(985,4545,0.32826,3.2753),(985,4555,0.32393,3.27),(985,4565,0.23653,3.2647),(985,4575,0.13794,3.2609),(985,4585,0.03934,3.2605),(985,4595,0.030911,3.2601),(985,4605,0.06058,3.2594),(985,4615,0.090248,3.2563),(985,4625,0.12959,3.2533),(985,4635,0.1777,3.2503),(985,4645,0.2258,3.2447),(985,4655,0.27521,3.2389),(985,4665,0.32706,3.2331),(985,4675,0.37891,3.2258),(985,4685,0.40778,3.218),(985,4695,0.32309,3.2102),(985,4705,0.23839,3.2053),(985,4715,0.1537,3.2025),(985,4725,0.18554,3.1997),(985,4735,0.21856,3.1952),(985,4745,0.25157,3.1882),(985,4755,0.31818,3.1812),(985,4765,0.39258,3.1732),(985,4775,0.46698,3.1616),(985,4785,0.51356,3.15),(985,4795,0.54406,3.1384),(985,4805,0.57456,3.1264),(985,4815,0.56928,3.1143),(985,4825,0.52124,3.1023),(985,4835,0.47319,3.0938),(985,4845,0.40976,3.0858),(985,4855,0.3062,3.0779),(985,4865,0.20265,3.0729),(985,4875,0.12091,3.0694),(985,4885,0.23767,3.0658),(985,4895,0.35444,3.0572),(985,4905,0.4712,3.0438),(985,4915,0.47861,3.0304),(985,4925,0.47662,3.0173),(985,4935,0.47463,3.005),(985,4945,0.43797,2.9928),(985,4955,0.38929,2.9812),(985,4965,0.34061,2.9736),(985,4975,0.2663,2.9659),(985,4985,0.17219,2.9582),(985,4995,0.078088,2.9575),(985,5005,0.073771,2.957),(985,5015,0.2122,2.9565),(985,5025,0.35062,2.9449),(985,5035,0.47721,2.9305),(985,5045,0.55868,2.9161),(985,5055,0.64015,2.8986),(985,5065,0.72035,2.8793),(985,5075,0.75882,2.8599),(985,5085,0.7973,2.8405),(985,5095,0.83577,2.8211),(985,5105,0.74764,2.8017),(985,5115,0.63743,2.7848),(985,5125,0.52721,2.7749),(985,5135,0.43889,2.765),(985,5145,0.3612,2.7553),(985,5155,0.28351,2.7487),(985,5165,0.32406,2.7421),(985,5175,0.48521,2.7355),(985,5185,0.64637,2.7186),(985,5195,0.76882,2.7007),(985,5205,0.80783,2.6827),(985,5215,0.84684,2.6645),(985,5225,0.88071,2.6461),(985,5235,0.88264,2.6277),(985,5245,0.88457,2.6103),(985,5255,0.8865,2.5938),(985,5265,0.61902,2.5773),(985,5275,0.34043,2.5669),(985,5285,0.061843,2.5668),(985,5295,0.085841,2.5667),(985,5305,0.1941,2.5643),(985,5315,0.30237,2.5522),(985,5325,0.41593,2.5401),(985,5335,0.53296,2.5279),(985,5345,0.65,2.5084),(985,5355,0.7495,2.4889),(985,5365,0.82534,2.4694),(985,5375,0.90118,2.4485),(985,5385,0.90565,2.4272),(985,5395,0.69312,2.4059),(985,5405,0.4806,2.395),(985,5415,0.28207,2.3895),(985,5425,0.27144,2.384),(985,5435,0.2608,2.3787),(985,5445,0.25017,2.3736),(985,5455,0.30202,2.3686),(985,5465,0.3615,2.3622),(985,5475,0.42098,2.3529),(985,5485,0.45013,2.3435),(985,5495,0.46705,2.3339),(985,5505,0.48398,2.3227),(985,5515,0.50215,2.3115),(985,5525,0.52141,2.3003),(985,5535,0.54066,2.2873),(985,5545,0.56045,2.2743),(985,5555,0.58119,2.2613),(985,5565,0.60192,2.2467),(985,5575,0.62289,2.2316),(985,5585,0.64494,2.2164),(985,5595,0.66698,2.2002),(985,5605,0.68903,2.1832),(985,5615,0.71252,2.1662),(985,5625,0.73602,2.1483),(985,5635,0.75952,2.1293),(985,5645,0.78419,2.1102),(985,5655,0.80911,2.0907),(985,5665,0.83404,2.0696),(985,5675,0.85982,2.0485),(985,5685,0.88608,2.0274),(985,5695,0.91233,2.0046),(985,5705,0.9391,1.9819),(985,5715,0.96644,1.9591),(985,5725,0.99379,1.9348),(985,5735,1.0214,1.9103),(985,5745,1.0496,1.8858),(985,5755,1.0778,1.8604),(985,5765,1.106,1.8346),(985,5775,1.1347,1.8088),(985,5785,1.1634,1.7823),(985,5795,1.1922,1.7553),(985,5805,1.221,1.7283),(985,5815,1.2498,1.701),(985,5825,1.2787,1.6729),(985,5835,1.3073,1.6449),(985,5845,1.3359,1.6167),(985,5855,1.3645,1.5881),(985,5865,1.3928,1.5595),(985,5875,1.4208,1.5309),(985,5885,1.4488,1.5018),(985,5895,1.4765,1.4726),(985,5905,1.5035,1.4435),(985,5915,1.5306,1.4139),(985,5925,1.5575,1.3842),(985,5935,1.5834,1.3546),(985,5945,1.6094,1.3248),(985,5955,1.6353,1.295),(985,5965,1.6605,1.2651),(985,5975,1.6857,1.2353),(985,5985,1.7109,1.2054),(985,5995,1.3121,1.1755),(985,6005,0.84513,1.1527),(985,6015,0.37814,1.1488),(985,6025,0.32162,1.1449),(985,6035,0.45548,1.14),(985,6045,0.58934,1.1264),(985,6055,0.6917,1.1128),(985,6065,0.76318,1.0991),(985,6075,0.83467,1.0811),(985,6085,0.88425,1.0626),(985,6095,0.88871,1.0441),(985,6105,0.89317,1.0254),(985,6115,0.89761,1.0067),(985,6125,0.90191,0.98805),(985,6135,0.90621,0.96921),(985,6145,0.91051,0.95027),(985,6155,0.91452,0.93133),(985,6165,0.91852,0.91222),(985,6175,0.92252,0.89285),(985,6185,0.92629,0.87348),(985,6195,0.93,0.85409),(985,6205,0.93372,0.8346),(985,6215,0.93726,0.81511),(985,6225,0.9407,0.79561),(985,6235,0.94414,0.77594),(985,6245,0.94749,0.75626),(985,6255,0.9507,0.73659),(985,6265,0.95392,0.7166),(985,6275,0.95705,0.69656),(985,6285,0.95996,0.67651),(985,6295,0.96287,0.65639),(985,6305,0.96576,0.63623),(985,6315,0.96843,0.61607),(985,6325,0.9711,0.59587),(985,6335,0.97377,0.57562),(985,6345,0.97612,0.55538),(985,6355,0.97844,0.53502),(985,6365,0.98075,0.51443),(985,6375,0.98285,0.49384),(985,6385,0.98487,0.47326),(985,6395,0.98688,0.45274),(985,6405,0.98877,0.43221),(985,6415,0.99056,0.41168),(985,6425,0.99235,0.39087),(985,6435,0.99403,0.37005),(985,6445,0.99551,0.34923),(985,6455,0.99699,0.32813),(985,6465,0.99841,0.30696),(985,6475,0.99959,0.28578),(985,6485,1.0008,0.26478),(985,6495,1.0019,0.2439),(985,6505,1.0028,0.22302),(985,6515,1.0037,0.20211),(985,6525,1.0046,0.18115),(985,6535,1.0053,0.1602),(985,6545,1.0059,0.13918),(985,6555,1.0065,0.11798),(985,6565,1.0069,0.096773),(985,6575,1.0072,0.07557),(985,6585,1.0076,0.054381),(985,6595,0.85709,0.033192),(985,6605,0.5401,0.012003),(985,6615,0.22311,0.009573),(985,6625,0.000275,0.009553),(985,6635,0.000277,0.009534),(985,6645,0.000279,0.009524),(985,6655,0.000281,0.009517),(985,6665,0.000283,0.00951),(985,6675,0.000284,0.009504),(985,6685,0.000286,0.009497),(985,6695,0.000288,0.009491),(985,6705,0.00029,0.009484),(985,6715,0.000292,0.009477),(985,6725,0.000293,0.00947),(985,6735,0.000295,0.009464),(985,6745,0.000297,0.009457),(985,6755,0.000298,0.00945),(985,6765,0.0003,0.009444),(985,6775,0.000301,0.009437),(985,6785,0.000303,0.00943),(985,6795,0.000305,0.009423),(985,6805,0.000306,0.009416),(985,6815,0.000308,0.009409),(985,6825,0.000309,0.009402),(985,6835,0.000311,0.009395),(985,6845,0.000312,0.009388),(985,6855,0.000314,0.009381),(985,6865,0.000315,0.009374),(985,6875,0.000317,0.009367),(985,6885,0.000318,0.00936),(985,6895,0.00032,0.009352),(985,6905,0.000321,0.009345),(985,6915,0.000323,0.009338),(985,6925,0.000324,0.009331),(985,6935,0.000325,0.009324),(985,6945,0.000327,0.009316),(985,6955,0.000328,0.009309),(985,6965,0.000329,0.009302),(985,6975,0.000331,0.009294),(985,6985,0.000332,0.009287),(995,5,4.6e-05,3.6696),(995,15,0.000139,3.6696),(995,25,0.000231,3.6696),(995,35,0.000324,3.6696),(995,45,0.000417,3.6696),(995,55,0.000509,3.6695),(995,65,0.000602,3.6695),(995,75,0.000695,3.6695),(995,85,0.000788,3.6695),(995,95,0.000881,3.6695),(995,105,0.000974,3.6695),(995,115,0.001068,3.6695),(995,125,0.001161,3.6694),(995,135,0.001254,3.6694),(995,145,0.001348,3.6694),(995,155,0.001442,3.6694),(995,165,0.001536,3.6693),(995,175,0.00163,3.6693),(995,185,0.001724,3.6693),(995,195,0.001818,3.6693),(995,205,0.001913,3.6692),(995,215,0.002008,3.6692),(995,225,0.002103,3.6691),(995,235,0.002198,3.6691),(995,245,0.002293,3.6691),(995,255,0.002389,3.669),(995,265,0.002485,3.669),(995,275,0.002582,3.6689),(995,285,0.002678,3.6689),(995,295,0.002775,3.6688),(995,305,0.002872,3.6688),(995,315,0.00297,3.6687),(995,325,0.003068,3.6687),(995,335,0.003165,3.6686),(995,345,0.003264,3.6686),(995,355,0.003363,3.6685),(995,365,0.003462,3.6684),(995,375,0.003562,3.6684),(995,385,0.003662,3.6683),(995,395,0.003763,3.6683),(995,405,0.003863,3.6682),(995,415,0.003964,3.6681),(995,425,0.004066,3.668),(995,435,0.004168,3.668),(995,445,0.00427,3.6679),(995,455,0.004373,3.6678),(995,465,0.004477,3.6677),(995,475,0.004581,3.6676),(995,485,0.004685,3.6676),(995,495,0.004789,3.6675),(995,505,0.004895,3.6674),(995,515,0.005001,3.6673),(995,525,0.005108,3.6672),(995,535,0.005214,3.6671),(995,545,0.005322,3.667),(995,555,0.005431,3.6669),(995,565,0.005539,3.6668),(995,575,0.005648,3.6667),(995,585,0.005758,3.6666),(995,595,0.005869,3.6665),(995,605,0.005979,3.6664),(995,615,0.00609,3.6663),(995,625,0.006203,3.6662),(995,635,0.006317,3.6661),(995,645,0.00643,3.666),(995,655,0.006543,3.6658),(995,665,0.006659,3.6657),(995,675,0.006775,3.6656),(995,685,0.00689,3.6655),(995,695,0.007006,3.6653),(995,705,0.007125,3.6652),(995,715,0.007244,3.6651),(995,725,0.007362,3.665),(995,735,0.007482,3.6648),(995,745,0.007603,3.6647),(995,755,0.007724,3.6645),(995,765,0.007846,3.6644),(995,775,0.007968,3.6643),(995,785,0.008093,3.6641),(995,795,0.008218,3.664),(995,805,0.008342,3.6638),(995,815,0.008468,3.6636),(995,825,0.008596,3.6635),(995,835,0.008724,3.6633),(995,845,0.008852,3.6632),(995,855,0.008981,3.663),(995,865,0.009112,3.6628),(995,875,0.009243,3.6627),(995,885,0.009374,3.6625),(995,895,0.009507,3.6623),(995,905,0.009642,3.6622),(995,915,0.009776,3.662),(995,925,0.009911,3.6618),(995,935,0.010047,3.6616),(995,945,0.010186,3.6614),(995,955,0.010324,3.6612),(995,965,0.010462,3.661),(995,975,0.010602,3.6609),(995,985,0.010745,3.6607),(995,995,0.010887,3.6605),(995,1005,0.011029,3.6603),(995,1015,0.011173,3.66),(995,1025,0.011319,3.6598),(995,1035,0.011466,3.6596),(995,1045,0.011612,3.6594),(995,1055,0.01176,3.6592),(995,1065,0.011911,3.659),(995,1075,0.012061,3.6588),(995,1085,0.012211,3.6585),(995,1095,0.012364,3.6583),(995,1105,0.012519,3.6581),(995,1115,0.012673,3.6578),(995,1125,0.012828,3.6576),(995,1135,0.012985,3.6574),(995,1145,0.013144,3.6571),(995,1155,0.013303,3.6569),(995,1165,0.013462,3.6566),(995,1175,0.013624,3.6564),(995,1185,0.013787,3.6561),(995,1195,0.01395,3.6559),(995,1205,0.014114,3.6556),(995,1215,0.01428,3.6553),(995,1225,0.014448,3.6551),(995,1235,0.014615,3.6548),(995,1245,0.014783,3.6545),(995,1255,0.014954,3.6542),(995,1265,0.015127,3.654),(995,1275,0.015299,3.6537),(995,1285,0.015471,3.6534),(995,1295,0.015647,3.6531),(995,1305,0.015824,3.6528),(995,1315,0.016001,3.6525),(995,1325,0.016178,3.6522),(995,1335,0.016359,3.6519),(995,1345,0.016541,3.6516),(995,1355,0.016722,3.6513),(995,1365,0.016904,3.6509),(995,1375,0.01709,3.6506),(995,1385,0.017277,3.6503),(995,1395,0.017464,3.65),(995,1405,0.01765,3.6496),(995,1415,0.017842,3.6493),(995,1425,0.018033,3.649),(995,1435,0.018225,3.6486),(995,1445,0.018416,3.6483),(995,1455,0.018612,3.6479),(995,1465,0.018809,3.6476),(995,1475,0.019005,3.6472),(995,1485,0.019202,3.6468),(995,1495,0.019403,3.6465),(995,1505,0.019604,3.6461),(995,1515,0.019806,3.6457),(995,1525,0.020007,3.6453),(995,1535,0.020213,3.6449),(995,1545,0.02042,3.6446),(995,1555,0.020626,3.6442),(995,1565,0.020832,3.6438),(995,1575,0.021044,3.6434),(995,1585,0.021255,3.643),(995,1595,0.021466,3.6425),(995,1605,0.021678,3.6421),(995,1615,0.021894,3.6417),(995,1625,0.02211,3.6413),(995,1635,0.022326,3.6408),(995,1645,0.022543,3.6404),(995,1655,0.022764,3.64),(995,1665,0.022985,3.6395),(995,1675,0.023206,3.6391),(995,1685,0.023427,3.6386),(995,1695,0.023653,3.6382),(995,1705,0.023879,3.6377),(995,1715,0.024105,3.6372),(995,1725,0.024331,3.6368),(995,1735,0.024562,3.6363),(995,1745,0.024792,3.6358),(995,1755,0.025022,3.6353),(995,1765,0.025254,3.6348),(995,1775,0.025489,3.6343),(995,1785,0.025724,3.6339),(995,1795,0.025959,3.6333),(995,1805,0.026195,3.6328),(995,1815,0.026435,3.6323),(995,1825,0.026674,3.6318),(995,1835,0.026914,3.6313),(995,1845,0.027155,3.6307),(995,1855,0.027399,3.6302),(995,1865,0.027642,3.6297),(995,1875,0.027886,3.6291),(995,1885,0.028131,3.6286),(995,1895,0.028379,3.628),(995,1905,0.028627,3.6274),(995,1915,0.028875,3.6269),(995,1925,0.029124,3.6263),(995,1935,0.029376,3.6257),(995,1945,0.029628,3.6251),(995,1955,0.02988,3.6245),(995,1965,0.030134,3.6239),(995,1975,0.030389,3.6234),(995,1985,0.030645,3.6227),(995,1995,0.030901,3.6221),(995,2005,0.031158,3.6215),(995,2015,0.031417,3.6209),(995,2025,0.031676,3.6203),(995,2035,0.031935,3.6196),(995,2045,0.032196,3.619),(995,2055,0.032459,3.6183),(995,2065,0.032721,3.6177),(995,2075,0.032983,3.617),(995,2085,0.033247,3.6164),(995,2095,0.033512,3.6157),(995,2105,0.033778,3.615),(995,2115,0.034043,3.6143),(995,2125,0.03431,3.6137),(995,2135,0.034578,3.613),(995,2145,0.034846,3.6123),(995,2155,0.035113,3.6116),(995,2165,0.035383,3.6109),(995,2175,0.035653,3.6102),(995,2185,0.035923,3.6094),(995,2195,0.036193,3.6087),(995,2205,0.036465,3.608),(995,2215,0.036737,3.6072),(995,2225,0.037009,3.6065),(995,2235,0.037281,3.6057),(995,2245,0.037554,3.605),(995,2255,0.037827,3.6042),(995,2265,0.038101,3.6035),(995,2275,0.038375,3.6027),(995,2285,0.038649,3.6019),(995,2295,0.038924,3.6011),(995,2305,0.039199,3.6003),(995,2315,0.039473,3.5995),(995,2325,0.039749,3.5987),(995,2335,0.040024,3.5979),(995,2345,0.0403,3.5971),(995,2355,0.040575,3.5963),(995,2365,0.040851,3.5954),(995,2375,0.041126,3.5946),(995,2385,0.041402,3.5938),(995,2395,0.041678,3.5929),(995,2405,0.041953,3.5921),(995,2415,0.042228,3.5912),(995,2425,0.042504,3.5904),(995,2435,0.042779,3.5895),(995,2445,0.043054,3.5886),(995,2455,0.043329,3.5878),(995,2465,0.043604,3.5869),(995,2475,0.043878,3.586),(995,2485,0.044152,3.5851),(995,2495,0.044425,3.5842),(995,2505,0.044699,3.5833),(995,2515,0.044973,3.5824),(995,2525,0.045244,3.5815),(995,2535,0.045516,3.5805),(995,2545,0.045788,3.5796),(995,2555,0.04606,3.5787),(995,2565,0.046329,3.5777),(995,2575,0.046599,3.5768),(995,2585,0.046868,3.5758),(995,2595,0.047137,3.5749),(995,2605,0.047404,3.5739),(995,2615,0.047671,3.573),(995,2625,0.047938,3.572),(995,2635,0.048204,3.571),(995,2645,0.048468,3.57),(995,2655,0.048731,3.5691),(995,2665,0.048995,3.5681),(995,2675,0.049257,3.5671),(995,2685,0.049517,3.5661),(995,2695,0.049777,3.5651),(995,2705,0.050036,3.5641),(995,2715,0.050295,3.5631),(995,2725,0.05055,3.5621),(995,2735,0.050805,3.561),(995,2745,0.05106,3.56),(995,2755,0.051313,3.559),(995,2765,0.051563,3.558),(995,2775,0.051813,3.5569),(995,2785,0.052062,3.5559),(995,2795,0.05231,3.5549),(995,2805,0.052554,3.5538),(995,2815,0.052798,3.5528),(995,2825,0.053042,3.5517),(995,2835,0.053284,3.5507),(995,2845,0.053521,3.5496),(995,2855,0.053759,3.5486),(995,2865,0.053996,3.5475),(995,2875,0.054231,3.5464),(995,2885,0.054461,3.5454),(995,2895,0.054692,3.5443),(995,2905,0.054922,3.5432),(995,2915,0.055149,3.5422),(995,2925,0.055371,3.5411),(995,2935,0.055593,3.54),(995,2945,0.055816,3.5389),(995,2955,0.056034,3.5379),(995,2965,0.056247,3.5368),(995,2975,0.056461,3.5357),(995,2985,0.056674,3.5346),(995,2995,0.056883,3.5335),(995,3005,0.057087,3.5325),(995,3015,0.057291,3.5314),(995,3025,0.057495,3.5303),(995,3035,0.057693,3.5292),(995,3045,0.057886,3.5281),(995,3055,0.058079,3.527),(995,3065,0.058272,3.526),(995,3075,0.058458,3.5249),(995,3085,0.058639,3.5238),(995,3095,0.05882,3.5227),(995,3105,0.059001,3.5217),(995,3115,0.059174,3.5206),(995,3125,0.059342,3.5195),(995,3135,0.05951,3.5185),(995,3145,0.059678,3.5174),(995,3155,0.059836,3.5163),(995,3165,0.05999,3.5153),(995,3175,0.060143,3.5142),(995,3185,0.060297,3.5132),(995,3195,0.060439,3.5121),(995,3205,0.060576,3.5111),(995,3215,0.060713,3.51),(995,3225,0.06085,3.509),(995,3235,0.060974,3.508),(995,3245,0.061092,3.507),(995,3255,0.061211,3.5059),(995,3265,0.061329,3.5049),(995,3275,0.061432,3.5039),(995,3285,0.061529,3.5029),(995,3295,0.061627,3.5019),(995,3305,0.061725,3.501),(995,3315,0.061803,3.5),(995,3325,0.061878,3.499),(995,3335,0.061952,3.4981),(995,3345,0.062026,3.4971),(995,3355,0.062077,3.4962),(995,3365,0.062125,3.4952),(995,3375,0.062172,3.4943),(995,3385,0.06222,3.4934),(995,3395,0.06224,3.4925),(995,3405,0.062258,3.4916),(995,3415,0.062275,3.4907),(995,3425,0.062292,3.4898),(995,3435,0.062277,3.489),(995,3445,0.06226,3.4881),(995,3455,0.062243,3.4873),(995,3465,0.062226,3.4864),(995,3475,0.062171,3.4856),(995,3485,0.062115,3.4848),(995,3495,0.062059,3.484),(995,3505,0.062002,3.4833),(995,3515,0.061901,3.4825),(995,3525,0.061801,3.4817),(995,3535,0.0617,3.481),(995,3545,0.061597,3.4803),(995,3555,0.061445,3.4796),(995,3565,0.061294,3.4789),(995,3575,0.061143,3.4782),(995,3585,0.060987,3.4776),(995,3595,0.060779,3.4769),(995,3605,0.060571,3.4763),(995,3615,0.060362,3.4757),(995,3625,0.060146,3.4751),(995,3635,0.059874,3.4745),(995,3645,0.059603,3.4739),(995,3655,0.059331,3.4734),(995,3665,0.059047,3.4729),(995,3675,0.058705,3.4723),(995,3685,0.058363,3.4718),(995,3695,0.05802,3.4713),(995,3705,0.057662,3.4709),(995,3715,0.057242,3.4704),(995,3725,0.056822,3.47),(995,3735,0.056402,3.4696),(995,3745,0.055961,3.4692),(995,3755,0.055457,3.4688),(995,3765,0.054952,3.4684),(995,3775,0.054448,3.4681),(995,3785,0.053918,3.4677),(995,3795,0.053323,3.4674),(995,3805,0.052727,3.4671),(995,3815,0.052132,3.4668),(995,3825,0.051506,3.4666),(995,3835,0.050815,3.4663),(995,3845,0.050124,3.466),(995,3855,0.049433,3.4658),(995,3865,0.048706,3.4656),(995,3875,0.047916,3.4654),(995,3885,0.047126,3.4652),(995,3895,0.046335,3.465),(995,3905,0.05445,3.4649),(995,3915,0.075869,3.4647),(995,3925,0.097287,3.4645),(995,3935,0.11871,3.4643),(995,3945,0.14167,3.4641),(995,3955,0.1666,3.4639),(995,3965,0.19154,3.4633),(995,3975,0.21647,3.4623),(995,3985,0.2304,3.4612),(995,3995,0.23243,3.4602),(995,4005,0.23447,3.4589),(995,4015,0.2365,3.4571),(995,4025,0.23828,3.4554),(995,4035,0.24004,3.4535),(995,4045,0.2418,3.4512),(995,4055,0.24354,3.4488),(995,4065,0.24527,3.4464),(995,4075,0.24701,3.4434),(995,4085,0.24881,3.4405),(995,4095,0.25067,3.4375),(995,4105,0.25253,3.434),(995,4115,0.24493,3.4305),(995,4125,0.22164,3.4269),(995,4135,0.19835,3.424),(995,4145,0.17424,3.4211),(995,4155,0.14677,3.4183),(995,4165,0.11931,3.4165),(995,4175,0.093173,3.4153),(995,4185,0.13268,3.4142),(995,4195,0.17218,3.4115),(995,4205,0.21168,3.407),(995,4215,0.20475,3.4025),(995,4225,0.18907,3.3979),(995,4235,0.1734,3.3932),(995,4245,0.15503,3.3886),(995,4255,0.13529,3.384),(995,4265,0.11555,3.3804),(995,4275,0.09309,3.3767),(995,4285,0.067737,3.373),(995,4295,0.042384,3.3716),(995,4305,0.034197,3.3705),(995,4315,0.064769,3.3694),(995,4325,0.09534,3.3638),(995,4335,0.12424,3.3566),(995,4345,0.14181,3.3494),(995,4355,0.15938,3.343),(995,4365,0.17696,3.3373),(995,4375,0.18883,3.3316),(995,4385,0.2004,3.3266),(995,4395,0.21197,3.3231),(995,4405,0.18915,3.3196),(995,4415,0.15619,3.3166),(995,4425,0.12323,3.316),(995,4435,0.11104,3.3154),(995,4445,0.11304,3.3149),(995,4455,0.11505,3.3129),(995,4465,0.14131,3.3109),(995,4475,0.20167,3.309),(995,4485,0.26202,3.3043),(995,4495,0.31039,3.2991),(995,4505,0.3203,3.2939),(995,4515,0.33021,3.2884),(995,4525,0.33926,3.2827),(995,4535,0.33481,3.277),(995,4545,0.33037,3.2715),(995,4555,0.32592,3.2661),(995,4565,0.23803,3.2607),(995,4575,0.13889,3.2568),(995,4585,0.039747,3.2564),(995,4595,0.031475,3.256),(995,4605,0.061596,3.2552),(995,4615,0.091717,3.2522),(995,4625,0.13147,3.2492),(995,4635,0.17993,3.2461),(995,4645,0.2284,3.2405),(995,4655,0.27809,3.2347),(995,4665,0.33009,3.2289),(995,4675,0.38209,3.2216),(995,4685,0.41097,3.2138),(995,4695,0.32561,3.206),(995,4705,0.24024,3.2011),(995,4715,0.15488,3.1984),(995,4725,0.18759,3.1956),(995,4735,0.22148,3.1911),(995,4745,0.25537,3.1841),(995,4755,0.32265,3.177),(995,4765,0.39767,3.169),(995,4775,0.47269,3.1575),(995,4785,0.51941,3.1459),(995,4795,0.54976,3.1343),(995,4805,0.58012,3.1224),(995,4815,0.57444,3.1104),(995,4825,0.52568,3.0985),(995,4835,0.47692,3.0901),(995,4845,0.41287,3.0822),(995,4855,0.30898,3.0743),(995,4865,0.20509,3.0694),(995,4875,0.12321,3.0658),(995,4885,0.24165,3.0622),(995,4895,0.36008,3.0535),(995,4905,0.47852,3.04),(995,4915,0.48577,3.0265),(995,4925,0.48346,3.0134),(995,4935,0.48115,3.0011),(995,4945,0.44378,2.9888),(995,4955,0.39425,2.9772),(995,4965,0.34472,2.9695),(995,4975,0.26942,2.9618),(995,4985,0.17422,2.9542),(995,4995,0.079019,2.9535),(995,5005,0.07501,2.9529),(995,5015,0.21598,2.9524),(995,5025,0.35694,2.9409),(995,5035,0.48568,2.9266),(995,5045,0.5678,2.9123),(995,5055,0.64992,2.895),(995,5065,0.73073,2.8758),(995,5075,0.76891,2.8566),(995,5085,0.80708,2.8373),(995,5095,0.84526,2.8181),(995,5105,0.75571,2.7989),(995,5115,0.64388,2.7822),(995,5125,0.53205,2.7724),(995,5135,0.44304,2.7626),(995,5145,0.36509,2.7531),(995,5155,0.28715,2.7464),(995,5165,0.32838,2.7398),(995,5175,0.49117,2.7331),(995,5185,0.65396,2.7163),(995,5195,0.77748,2.6983),(995,5205,0.8163,2.6804),(995,5215,0.85513,2.6622),(995,5225,0.88877,2.6438),(995,5235,0.89021,2.6255),(995,5245,0.89164,2.6082),(995,5255,0.89307,2.5918),(995,5265,0.62361,2.5754),(995,5275,0.34298,2.565),(995,5285,0.062354,2.5649),(995,5295,0.087633,2.5648),(995,5305,0.1981,2.5624),(995,5315,0.30857,2.5502),(995,5325,0.42363,2.5381),(995,5335,0.54169,2.5259),(995,5345,0.65975,2.5064),(995,5355,0.75978,2.487),(995,5365,0.83548,2.4676),(995,5375,0.91119,2.4467),(995,5385,0.91497,2.4256),(995,5395,0.70005,2.4045),(995,5405,0.48514,2.3937),(995,5415,0.28438,2.3882),(995,5425,0.27369,2.3828),(995,5435,0.263,2.3774),(995,5445,0.25231,2.3722),(995,5455,0.30472,2.367),(995,5465,0.36485,2.3605),(995,5475,0.42498,2.3508),(995,5485,0.45453,2.3412),(995,5495,0.47176,2.3314),(995,5505,0.48899,2.3199),(995,5515,0.50749,2.3085),(995,5525,0.5271,2.2971),(995,5535,0.5467,2.2839),(995,5545,0.56684,2.2707),(995,5555,0.58794,2.2575),(995,5565,0.60904,2.2427),(995,5575,0.63038,2.2273),(995,5585,0.65278,2.212),(995,5595,0.67519,2.1956),(995,5605,0.6976,2.1785),(995,5615,0.72144,2.1613),(995,5625,0.74528,2.1433),(995,5635,0.76913,2.1241),(995,5645,0.79412,2.1049),(995,5655,0.81936,2.0852),(995,5665,0.84459,2.0641),(995,5675,0.87067,2.0429),(995,5685,0.8972,2.0216),(995,5695,0.92373,1.9989),(995,5705,0.95075,1.9761),(995,5715,0.97831,1.9533),(995,5725,1.0059,1.929),(995,5735,1.0337,1.9045),(995,5745,1.062,1.88),(995,5755,1.0904,1.8547),(995,5765,1.1187,1.8289),(995,5775,1.1475,1.8032),(995,5785,1.1763,1.7768),(995,5795,1.2051,1.7499),(995,5805,1.234,1.723),(995,5815,1.2629,1.6958),(995,5825,1.2917,1.6679),(995,5835,1.3204,1.64),(995,5845,1.3489,1.6121),(995,5855,1.3775,1.5837),(995,5865,1.4057,1.5552),(995,5875,1.4336,1.5268),(995,5885,1.4616,1.4979),(995,5895,1.4891,1.469),(995,5905,1.5161,1.44),(995,5915,1.5431,1.4107),(995,5925,1.5698,1.3813),(995,5935,1.5956,1.3519),(995,5945,1.6215,1.3225),(995,5955,1.6473,1.2929),(995,5965,1.6723,1.2634),(995,5975,1.6973,1.2339),(995,5985,1.7224,1.2044),(995,5995,1.3209,1.1749),(995,6005,0.85075,1.1523),(995,6015,0.38061,1.1484),(995,6025,0.3242,1.1446),(995,6035,0.45968,1.1398),(995,6045,0.59515,1.1261),(995,6055,0.69867,1.1125),(995,6065,0.77086,1.0988),(995,6075,0.84306,1.0807),(995,6085,0.89313,1.0622),(995,6095,0.89764,1.0437),(995,6105,0.90214,1.0251),(995,6115,0.90662,1.0064),(995,6125,0.91096,0.98772),(995,6135,0.9153,0.96887),(995,6145,0.91964,0.94991),(995,6155,0.9237,0.93095),(995,6165,0.92774,0.91183),(995,6175,0.93179,0.89245),(995,6185,0.9356,0.87307),(995,6195,0.93935,0.85366),(995,6205,0.9431,0.83417),(995,6215,0.94669,0.81468),(995,6225,0.95016,0.79518),(995,6235,0.95364,0.77552),(995,6245,0.95702,0.75587),(995,6255,0.96026,0.73621),(995,6265,0.9635,0.71622),(995,6275,0.96667,0.69617),(995,6285,0.96961,0.67612),(995,6295,0.97255,0.65601),(995,6305,0.97548,0.63587),(995,6315,0.97819,0.61573),(995,6325,0.9809,0.59553),(995,6335,0.98361,0.57527),(995,6345,0.986,0.55501),(995,6355,0.98834,0.53465),(995,6365,0.99069,0.51406),(995,6375,0.99282,0.49348),(995,6385,0.99486,0.47291),(995,6395,0.9969,0.45241),(995,6405,0.99881,0.43191),(995,6415,1.0006,0.41141),(995,6425,1.0024,0.39062),(995,6435,1.0041,0.3698),(995,6445,1.0056,0.34899),(995,6455,1.0071,0.3279),(995,6465,1.0086,0.30674),(995,6475,1.0098,0.28557),(995,6485,1.011,0.26459),(995,6495,1.0122,0.24372),(995,6505,1.0131,0.22285),(995,6515,1.014,0.20195),(995,6525,1.0149,0.18101),(995,6535,1.0155,0.16007),(995,6545,1.0162,0.13907),(995,6555,1.0168,0.11789),(995,6565,1.0172,0.096718),(995,6575,1.0175,0.075543),(995,6585,1.0178,0.054379),(995,6595,0.86582,0.033215),(995,6605,0.5456,0.012052),(995,6615,0.22538,0.009611),(995,6625,0.000279,0.009576),(995,6635,0.00028,0.009541),(995,6645,0.000282,0.009525),(995,6655,0.000284,0.009519),(995,6665,0.000286,0.009512),(995,6675,0.000288,0.009506),(995,6685,0.00029,0.009499),(995,6695,0.000291,0.009492),(995,6705,0.000293,0.009486),(995,6715,0.000295,0.009479),(995,6725,0.000297,0.009472),(995,6735,0.000298,0.009465),(995,6745,0.0003,0.009459),(995,6755,0.000302,0.009452),(995,6765,0.000303,0.009445),(995,6775,0.000305,0.009438),(995,6785,0.000307,0.009431),(995,6795,0.000308,0.009425),(995,6805,0.00031,0.009418),(995,6815,0.000311,0.009411),(995,6825,0.000313,0.009404),(995,6835,0.000315,0.009397),(995,6845,0.000316,0.00939),(995,6855,0.000318,0.009383),(995,6865,0.000319,0.009375),(995,6875,0.000321,0.009368),(995,6885,0.000322,0.009361),(995,6895,0.000323,0.009354),(995,6905,0.000325,0.009347),(995,6915,0.000326,0.009339),(995,6925,0.000328,0.009332),(995,6935,0.000329,0.009325),(995,6945,0.00033,0.009318),(995,6955,0.000332,0.00931),(995,6965,0.000333,0.009303),(995,6975,0.000334,0.009296),(995,6985,0.000336,0.009288),(1005,5,4.7e-05,3.6697),(1005,15,0.00014,3.6697),(1005,25,0.000233,3.6697),(1005,35,0.000327,3.6697),(1005,45,0.00042,3.6696),(1005,55,0.000513,3.6696),(1005,65,0.000607,3.6696),(1005,75,0.0007,3.6696),(1005,85,0.000794,3.6696),(1005,95,0.000888,3.6696),(1005,105,0.000981,3.6696),(1005,115,0.001075,3.6696),(1005,125,0.001169,3.6695),(1005,135,0.001263,3.6695),(1005,145,0.001358,3.6695),(1005,155,0.001452,3.6695),(1005,165,0.001547,3.6694),(1005,175,0.001641,3.6694),(1005,185,0.001736,3.6694),(1005,195,0.001832,3.6693),(1005,205,0.001927,3.6693),(1005,215,0.002022,3.6693),(1005,225,0.002118,3.6692),(1005,235,0.002214,3.6692),(1005,245,0.00231,3.6692),(1005,255,0.002406,3.6691),(1005,265,0.002503,3.6691),(1005,275,0.002601,3.669),(1005,285,0.002698,3.669),(1005,295,0.002795,3.6689),(1005,305,0.002893,3.6689),(1005,315,0.002992,3.6688),(1005,325,0.00309,3.6688),(1005,335,0.003188,3.6687),(1005,345,0.003288,3.6687),(1005,355,0.003388,3.6686),(1005,365,0.003488,3.6685),(1005,375,0.003588,3.6685),(1005,385,0.003689,3.6684),(1005,395,0.00379,3.6684),(1005,405,0.003892,3.6683),(1005,415,0.003993,3.6682),(1005,425,0.004096,3.6681),(1005,435,0.004199,3.6681),(1005,445,0.004302,3.668),(1005,455,0.004405,3.6679),(1005,465,0.00451,3.6678),(1005,475,0.004615,3.6678),(1005,485,0.00472,3.6677),(1005,495,0.004825,3.6676),(1005,505,0.004932,3.6675),(1005,515,0.005039,3.6674),(1005,525,0.005146,3.6673),(1005,535,0.005253,3.6672),(1005,545,0.005362,3.6671),(1005,555,0.005471,3.667),(1005,565,0.00558,3.6669),(1005,575,0.00569,3.6668),(1005,585,0.005801,3.6667),(1005,595,0.005913,3.6666),(1005,605,0.006024,3.6665),(1005,615,0.006136,3.6664),(1005,625,0.00625,3.6663),(1005,635,0.006364,3.6662),(1005,645,0.006478,3.6661),(1005,655,0.006592,3.6659),(1005,665,0.006709,3.6658),(1005,675,0.006826,3.6657),(1005,685,0.006942,3.6656),(1005,695,0.007059,3.6655),(1005,705,0.007179,3.6653),(1005,715,0.007299,3.6652),(1005,725,0.007418,3.6651),(1005,735,0.007538,3.6649),(1005,745,0.007661,3.6648),(1005,755,0.007783,3.6647),(1005,765,0.007906,3.6645),(1005,775,0.008029,3.6644),(1005,785,0.008155,3.6642),(1005,795,0.00828,3.6641),(1005,805,0.008406,3.6639),(1005,815,0.008533,3.6638),(1005,825,0.008662,3.6636),(1005,835,0.008791,3.6635),(1005,845,0.00892,3.6633),(1005,855,0.00905,3.6631),(1005,865,0.009182,3.663),(1005,875,0.009314,3.6628),(1005,885,0.009447,3.6626),(1005,895,0.009581,3.6625),(1005,905,0.009716,3.6623),(1005,915,0.009852,3.6621),(1005,925,0.009988,3.6619),(1005,935,0.010125,3.6617),(1005,945,0.010265,3.6616),(1005,955,0.010404,3.6614),(1005,965,0.010544,3.6612),(1005,975,0.010685,3.661),(1005,985,0.010829,3.6608),(1005,995,0.010972,3.6606),(1005,1005,0.011116,3.6604),(1005,1015,0.011261,3.6602),(1005,1025,0.011409,3.66),(1005,1035,0.011556,3.6598),(1005,1045,0.011704,3.6596),(1005,1055,0.011853,3.6593),(1005,1065,0.012005,3.6591),(1005,1075,0.012157,3.6589),(1005,1085,0.012308,3.6587),(1005,1095,0.012463,3.6585),(1005,1105,0.012619,3.6582),(1005,1115,0.012775,3.658),(1005,1125,0.01293,3.6578),(1005,1135,0.013089,3.6575),(1005,1145,0.013249,3.6573),(1005,1155,0.01341,3.657),(1005,1165,0.01357,3.6568),(1005,1175,0.013733,3.6565),(1005,1185,0.013898,3.6563),(1005,1195,0.014063,3.656),(1005,1205,0.014228,3.6558),(1005,1215,0.014396,3.6555),(1005,1225,0.014565,3.6552),(1005,1235,0.014734,3.655),(1005,1245,0.014904,3.6547),(1005,1255,0.015077,3.6544),(1005,1265,0.01525,3.6541),(1005,1275,0.015424,3.6538),(1005,1285,0.015598,3.6535),(1005,1295,0.015776,3.6533),(1005,1305,0.015954,3.653),(1005,1315,0.016133,3.6527),(1005,1325,0.016312,3.6524),(1005,1335,0.016494,3.6521),(1005,1345,0.016678,3.6518),(1005,1355,0.016861,3.6514),(1005,1365,0.017045,3.6511),(1005,1375,0.017233,3.6508),(1005,1385,0.017421,3.6505),(1005,1395,0.01761,3.6501),(1005,1405,0.017798,3.6498),(1005,1415,0.017991,3.6495),(1005,1425,0.018185,3.6491),(1005,1435,0.018378,3.6488),(1005,1445,0.018572,3.6484),(1005,1455,0.01877,3.6481),(1005,1465,0.018968,3.6477),(1005,1475,0.019167,3.6474),(1005,1485,0.019365,3.647),(1005,1495,0.019568,3.6467),(1005,1505,0.019772,3.6463),(1005,1515,0.019975,3.6459),(1005,1525,0.020178,3.6455),(1005,1535,0.020387,3.6451),(1005,1545,0.020595,3.6448),(1005,1555,0.020803,3.6444),(1005,1565,0.021012,3.644),(1005,1575,0.021225,3.6436),(1005,1585,0.021439,3.6432),(1005,1595,0.021652,3.6427),(1005,1605,0.021866,3.6423),(1005,1615,0.022084,3.6419),(1005,1625,0.022303,3.6415),(1005,1635,0.022521,3.6411),(1005,1645,0.02274,3.6406),(1005,1655,0.022963,3.6402),(1005,1665,0.023187,3.6398),(1005,1675,0.02341,3.6393),(1005,1685,0.023634,3.6389),(1005,1695,0.023862,3.6384),(1005,1705,0.02409,3.6379),(1005,1715,0.024318,3.6375),(1005,1725,0.024547,3.637),(1005,1735,0.02478,3.6365),(1005,1745,0.025013,3.6361),(1005,1755,0.025246,3.6356),(1005,1765,0.02548,3.6351),(1005,1775,0.025717,3.6346),(1005,1785,0.025955,3.6341),(1005,1795,0.026193,3.6336),(1005,1805,0.026431,3.6331),(1005,1815,0.026673,3.6326),(1005,1825,0.026916,3.632),(1005,1835,0.027158,3.6315),(1005,1845,0.027401,3.631),(1005,1855,0.027647,3.6304),(1005,1865,0.027894,3.6299),(1005,1875,0.02814,3.6294),(1005,1885,0.028388,3.6288),(1005,1895,0.028639,3.6282),(1005,1905,0.028889,3.6277),(1005,1915,0.02914,3.6271),(1005,1925,0.029392,3.6265),(1005,1935,0.029647,3.626),(1005,1945,0.029901,3.6254),(1005,1955,0.030156,3.6248),(1005,1965,0.030412,3.6242),(1005,1975,0.030671,3.6236),(1005,1985,0.030929,3.623),(1005,1995,0.031188,3.6224),(1005,2005,0.031448,3.6218),(1005,2015,0.03171,3.6212),(1005,2025,0.031972,3.6205),(1005,2035,0.032234,3.6199),(1005,2045,0.032498,3.6192),(1005,2055,0.032763,3.6186),(1005,2065,0.033028,3.618),(1005,2075,0.033293,3.6173),(1005,2085,0.03356,3.6166),(1005,2095,0.033828,3.616),(1005,2105,0.034097,3.6153),(1005,2115,0.034365,3.6146),(1005,2125,0.034635,3.6139),(1005,2135,0.034905,3.6132),(1005,2145,0.035176,3.6125),(1005,2155,0.035447,3.6118),(1005,2165,0.035719,3.6111),(1005,2175,0.035992,3.6104),(1005,2185,0.036265,3.6097),(1005,2195,0.036539,3.609),(1005,2205,0.036813,3.6082),(1005,2215,0.037088,3.6075),(1005,2225,0.037363,3.6068),(1005,2235,0.037638,3.606),(1005,2245,0.037914,3.6053),(1005,2255,0.038191,3.6045),(1005,2265,0.038467,3.6037),(1005,2275,0.038744,3.6029),(1005,2285,0.039021,3.6022),(1005,2295,0.039299,3.6014),(1005,2305,0.039577,3.6006),(1005,2315,0.039854,3.5998),(1005,2325,0.040133,3.599),(1005,2335,0.040411,3.5982),(1005,2345,0.040689,3.5974),(1005,2355,0.040968,3.5965),(1005,2365,0.041246,3.5957),(1005,2375,0.041525,3.5949),(1005,2385,0.041803,3.5941),(1005,2395,0.042082,3.5932),(1005,2405,0.04236,3.5924),(1005,2415,0.042638,3.5915),(1005,2425,0.042916,3.5906),(1005,2435,0.043195,3.5898),(1005,2445,0.043472,3.5889),(1005,2455,0.04375,3.588),(1005,2465,0.044027,3.5871),(1005,2475,0.044305,3.5863),(1005,2485,0.044581,3.5854),(1005,2495,0.044857,3.5845),(1005,2505,0.045133,3.5836),(1005,2515,0.045409,3.5826),(1005,2525,0.045684,3.5817),(1005,2535,0.045958,3.5808),(1005,2545,0.046232,3.5799),(1005,2555,0.046506,3.5789),(1005,2565,0.046778,3.578),(1005,2575,0.04705,3.5771),(1005,2585,0.047322,3.5761),(1005,2595,0.047594,3.5752),(1005,2605,0.047863,3.5742),(1005,2615,0.048132,3.5732),(1005,2625,0.0484,3.5723),(1005,2635,0.048669,3.5713),(1005,2645,0.048934,3.5703),(1005,2655,0.0492,3.5693),(1005,2665,0.049465,3.5683),(1005,2675,0.04973,3.5673),(1005,2685,0.049991,3.5663),(1005,2695,0.050253,3.5653),(1005,2705,0.050514,3.5643),(1005,2715,0.050774,3.5633),(1005,2725,0.051031,3.5623),(1005,2735,0.051287,3.5613),(1005,2745,0.051543,3.5603),(1005,2755,0.051798,3.5592),(1005,2765,0.052049,3.5582),(1005,2775,0.0523,3.5572),(1005,2785,0.052551,3.5561),(1005,2795,0.0528,3.5551),(1005,2805,0.053045,3.5541),(1005,2815,0.05329,3.553),(1005,2825,0.053534,3.552),(1005,2835,0.053777,3.5509),(1005,2845,0.054015,3.5498),(1005,2855,0.054253,3.5488),(1005,2865,0.054491,3.5477),(1005,2875,0.054726,3.5467),(1005,2885,0.054956,3.5456),(1005,2895,0.055186,3.5445),(1005,2905,0.055417,3.5435),(1005,2915,0.055643,3.5424),(1005,2925,0.055865,3.5413),(1005,2935,0.056087,3.5402),(1005,2945,0.056309,3.5391),(1005,2955,0.056527,3.5381),(1005,2965,0.056739,3.537),(1005,2975,0.056952,3.5359),(1005,2985,0.057164,3.5348),(1005,2995,0.057372,3.5337),(1005,3005,0.057574,3.5327),(1005,3015,0.057776,3.5316),(1005,3025,0.057979,3.5305),(1005,3035,0.058175,3.5294),(1005,3045,0.058366,3.5283),(1005,3055,0.058557,3.5272),(1005,3065,0.058748,3.5262),(1005,3075,0.058931,3.5251),(1005,3085,0.05911,3.524),(1005,3095,0.059288,3.5229),(1005,3105,0.059466,3.5218),(1005,3115,0.059636,3.5208),(1005,3125,0.059801,3.5197),(1005,3135,0.059965,3.5186),(1005,3145,0.06013,3.5176),(1005,3155,0.060284,3.5165),(1005,3165,0.060434,3.5154),(1005,3175,0.060583,3.5144),(1005,3185,0.060732,3.5133),(1005,3195,0.060869,3.5123),(1005,3205,0.061002,3.5112),(1005,3215,0.061134,3.5102),(1005,3225,0.061266,3.5091),(1005,3235,0.061384,3.5081),(1005,3245,0.061496,3.5071),(1005,3255,0.061609,3.5061),(1005,3265,0.061722,3.5051),(1005,3275,0.061818,3.504),(1005,3285,0.061909,3.503),(1005,3295,0.062,3.502),(1005,3305,0.062092,3.5011),(1005,3315,0.062163,3.5001),(1005,3325,0.06223,3.4991),(1005,3335,0.062297,3.4981),(1005,3345,0.062363,3.4972),(1005,3355,0.062407,3.4962),(1005,3365,0.062446,3.4953),(1005,3375,0.062485,3.4943),(1005,3385,0.062524,3.4934),(1005,3395,0.062536,3.4925),(1005,3405,0.062544,3.4916),(1005,3415,0.062552,3.4907),(1005,3425,0.06256,3.4898),(1005,3435,0.062536,3.489),(1005,3445,0.062509,3.4881),(1005,3455,0.062482,3.4872),(1005,3465,0.062455,3.4864),(1005,3475,0.062389,3.4856),(1005,3485,0.062322,3.4848),(1005,3495,0.062256,3.484),(1005,3505,0.062189,3.4832),(1005,3515,0.062077,3.4824),(1005,3525,0.061965,3.4816),(1005,3535,0.061853,3.4809),(1005,3545,0.061739,3.4802),(1005,3555,0.061576,3.4795),(1005,3565,0.061413,3.4787),(1005,3575,0.061251,3.4781),(1005,3585,0.061083,3.4774),(1005,3595,0.060863,3.4767),(1005,3605,0.060643,3.4761),(1005,3615,0.060424,3.4755),(1005,3625,0.060196,3.4748),(1005,3635,0.059912,3.4742),(1005,3645,0.059629,3.4736),(1005,3655,0.059345,3.4731),(1005,3665,0.05905,3.4725),(1005,3675,0.058697,3.472),(1005,3685,0.058343,3.4715),(1005,3695,0.057989,3.471),(1005,3705,0.05762,3.4705),(1005,3715,0.057189,3.47),(1005,3725,0.056758,3.4696),(1005,3735,0.056327,3.4691),(1005,3745,0.055876,3.4687),(1005,3755,0.055362,3.4683),(1005,3765,0.054848,3.4679),(1005,3775,0.054333,3.4676),(1005,3785,0.053794,3.4672),(1005,3795,0.05319,3.4668),(1005,3805,0.052587,3.4665),(1005,3815,0.051983,3.4662),(1005,3825,0.051349,3.4659),(1005,3835,0.050652,3.4656),(1005,3845,0.049954,3.4653),(1005,3855,0.049256,3.4651),(1005,3865,0.048524,3.4649),(1005,3875,0.047729,3.4646),(1005,3885,0.046934,3.4644),(1005,3895,0.046139,3.4642),(1005,3905,0.054195,3.464),(1005,3915,0.075473,3.4638),(1005,3925,0.096751,3.4636),(1005,3935,0.11803,3.4633),(1005,3945,0.14091,3.463),(1005,3955,0.16583,3.4627),(1005,3965,0.19075,3.462),(1005,3975,0.21567,3.4609),(1005,3985,0.22967,3.4598),(1005,3995,0.23185,3.4587),(1005,4005,0.23403,3.4572),(1005,4015,0.23621,3.4554),(1005,4025,0.23814,3.4536),(1005,4035,0.24005,3.4516),(1005,4045,0.24196,3.4492),(1005,4055,0.24385,3.4468),(1005,4065,0.24573,3.4443),(1005,4075,0.24761,3.4413),(1005,4085,0.24955,3.4383),(1005,4095,0.25155,3.4354),(1005,4105,0.25355,3.4319),(1005,4115,0.24602,3.4283),(1005,4125,0.22272,3.4248),(1005,4135,0.19942,3.4219),(1005,4145,0.17524,3.4191),(1005,4155,0.14754,3.4163),(1005,4165,0.11983,3.4145),(1005,4175,0.093461,3.4134),(1005,4185,0.13361,3.4122),(1005,4195,0.17375,3.4096),(1005,4205,0.2139,3.405),(1005,4215,0.20721,3.4004),(1005,4225,0.19171,3.3958),(1005,4235,0.17621,3.3911),(1005,4245,0.15782,3.3864),(1005,4255,0.13796,3.3817),(1005,4265,0.1181,3.378),(1005,4275,0.095327,3.3743),(1005,4285,0.06945,3.3705),(1005,4295,0.043573,3.3691),(1005,4305,0.035487,3.368),(1005,4315,0.067573,3.3668),(1005,4325,0.099659,3.3612),(1005,4335,0.1298,3.3539),(1005,4345,0.1468,3.3466),(1005,4355,0.16379,3.3401),(1005,4365,0.18078,3.3343),(1005,4375,0.19194,3.3285),(1005,4385,0.20279,3.3235),(1005,4395,0.21365,3.3199),(1005,4405,0.19021,3.3163),(1005,4415,0.15667,3.3132),(1005,4425,0.12312,3.3126),(1005,4435,0.11093,3.312),(1005,4445,0.11335,3.3114),(1005,4455,0.11577,3.3094),(1005,4465,0.14247,3.3075),(1005,4475,0.20328,3.3055),(1005,4485,0.26409,3.3009),(1005,4495,0.3128,3.2956),(1005,4505,0.32272,3.2904),(1005,4515,0.33265,3.2848),(1005,4525,0.34171,3.2791),(1005,4535,0.33716,3.2733),(1005,4545,0.33261,3.2677),(1005,4555,0.32806,3.2622),(1005,4565,0.23963,3.2567),(1005,4575,0.1399,3.2526),(1005,4585,0.040167,3.2522),(1005,4595,0.03204,3.2518),(1005,4605,0.062618,3.2511),(1005,4615,0.093197,3.2481),(1005,4625,0.13335,3.245),(1005,4635,0.18217,3.2419),(1005,4645,0.231,3.2363),(1005,4655,0.28097,3.2305),(1005,4665,0.33311,3.2247),(1005,4675,0.38525,3.2174),(1005,4685,0.41414,3.2097),(1005,4695,0.32812,3.2019),(1005,4705,0.2421,3.197),(1005,4715,0.15608,3.1942),(1005,4725,0.18964,3.1914),(1005,4735,0.22441,3.1869),(1005,4745,0.25917,3.1799),(1005,4755,0.32711,3.1729),(1005,4765,0.40273,3.1648),(1005,4775,0.47835,3.1533),(1005,4785,0.52519,3.1418),(1005,4795,0.55538,3.1303),(1005,4805,0.58558,3.1184),(1005,4815,0.57949,3.1065),(1005,4825,0.53001,3.0947),(1005,4835,0.48054,3.0863),(1005,4845,0.41589,3.0785),(1005,4855,0.31171,3.0707),(1005,4865,0.20753,3.0658),(1005,4875,0.12556,3.0622),(1005,4885,0.24568,3.0585),(1005,4895,0.3658,3.0498),(1005,4905,0.48592,3.0362),(1005,4915,0.493,3.0227),(1005,4925,0.49035,3.0095),(1005,4935,0.48771,2.9971),(1005,4945,0.44962,2.9848),(1005,4955,0.39924,2.9732),(1005,4965,0.34886,2.9655),(1005,4975,0.27256,2.9578),(1005,4985,0.17626,2.9501),(1005,4995,0.079954,2.9494),(1005,5005,0.076231,2.9489),(1005,5015,0.21969,2.9483),(1005,5025,0.36315,2.9369),(1005,5035,0.49398,2.9227),(1005,5045,0.57673,2.9085),(1005,5055,0.65947,2.8913),(1005,5065,0.74088,2.8723),(1005,5075,0.77875,2.8532),(1005,5085,0.81662,2.8342),(1005,5095,0.85448,2.8152),(1005,5105,0.76355,2.7962),(1005,5115,0.65015,2.7796),(1005,5125,0.53675,2.7699),(1005,5135,0.44708,2.7602),(1005,5145,0.36893,2.7508),(1005,5155,0.29078,2.7441),(1005,5165,0.33272,2.7374),(1005,5175,0.49714,2.7308),(1005,5185,0.66156,2.7139),(1005,5195,0.78612,2.696),(1005,5205,0.82475,2.6781),(1005,5215,0.86338,2.6599),(1005,5225,0.89678,2.6416),(1005,5235,0.89771,2.6233),(1005,5245,0.89864,2.6061),(1005,5255,0.89957,2.5897),(1005,5265,0.62815,2.5734),(1005,5275,0.34551,2.5631),(1005,5285,0.062862,2.563),(1005,5295,0.089438,2.5629),(1005,5305,0.20213,2.5604),(1005,5315,0.31481,2.5483),(1005,5325,0.43134,2.5361),(1005,5335,0.55038,2.5238),(1005,5345,0.66942,2.5044),(1005,5355,0.76994,2.4851),(1005,5365,0.84549,2.4657),(1005,5375,0.92103,2.445),(1005,5385,0.9241,2.4241),(1005,5395,0.70684,2.4032),(1005,5405,0.48958,2.3924),(1005,5415,0.28663,2.387),(1005,5425,0.27597,2.3816),(1005,5435,0.26531,2.3762),(1005,5445,0.25465,2.3708),(1005,5455,0.30767,2.3654),(1005,5465,0.36848,2.3587),(1005,5475,0.42929,2.3488),(1005,5485,0.45925,2.339),(1005,5495,0.47678,2.3289),(1005,5505,0.49432,2.3172),(1005,5515,0.51314,2.3056),(1005,5525,0.53309,2.2939),(1005,5535,0.55304,2.2805),(1005,5545,0.57353,2.2671),(1005,5555,0.59498,2.2537),(1005,5565,0.61643,2.2386),(1005,5575,0.63811,2.2231),(1005,5585,0.66087,2.2076),(1005,5595,0.68363,2.191),(1005,5605,0.70639,2.1737),(1005,5615,0.73056,2.1564),(1005,5625,0.75473,2.1382),(1005,5635,0.7789,2.1189),(1005,5645,0.80419,2.0996),(1005,5655,0.82972,2.0798),(1005,5665,0.85525,2.0585),(1005,5675,0.8816,2.0373),(1005,5685,0.90839,2.0159),(1005,5695,0.93518,1.9931),(1005,5705,0.96243,1.9703),(1005,5715,0.9902,1.9474),(1005,5725,1.018,1.9232),(1005,5735,1.0459,1.8987),(1005,5745,1.0744,1.8742),(1005,5755,1.1029,1.8489),(1005,5765,1.1314,1.8232),(1005,5775,1.1603,1.7976),(1005,5785,1.1891,1.7713),(1005,5795,1.218,1.7445),(1005,5805,1.2469,1.7177),(1005,5815,1.2757,1.6906),(1005,5825,1.3046,1.6629),(1005,5835,1.3332,1.6352),(1005,5845,1.3617,1.6074),(1005,5855,1.3902,1.5792),(1005,5865,1.4184,1.551),(1005,5875,1.4462,1.5227),(1005,5885,1.474,1.494),(1005,5895,1.5015,1.4653),(1005,5905,1.5283,1.4366),(1005,5915,1.5552,1.4076),(1005,5925,1.5818,1.3784),(1005,5935,1.6075,1.3493),(1005,5945,1.6331,1.3201),(1005,5955,1.6588,1.2909),(1005,5965,1.6837,1.2617),(1005,5975,1.7085,1.2325),(1005,5985,1.7334,1.2033),(1005,5995,1.3293,1.1742),(1005,6005,0.85614,1.1519),(1005,6015,0.38298,1.1481),(1005,6025,0.32673,1.1442),(1005,6035,0.46385,1.1395),(1005,6045,0.60096,1.1258),(1005,6055,0.70566,1.1122),(1005,6065,0.77856,1.0985),(1005,6075,0.85147,1.0804),(1005,6085,0.90204,1.0619),(1005,6095,0.90658,1.0434),(1005,6105,0.91113,1.0248),(1005,6115,0.91565,1.0061),(1005,6125,0.92003,0.98738),(1005,6135,0.92441,0.96853),(1005,6145,0.92878,0.94955),(1005,6155,0.93289,0.93057),(1005,6165,0.93698,0.91143),(1005,6175,0.94107,0.89204),(1005,6185,0.94493,0.87265),(1005,6195,0.94872,0.85324),(1005,6205,0.95251,0.83374),(1005,6215,0.95614,0.81425),(1005,6225,0.95965,0.79475),(1005,6235,0.96317,0.77511),(1005,6245,0.96658,0.75547),(1005,6255,0.96984,0.73583),(1005,6265,0.9731,0.71584),(1005,6275,0.97629,0.69579),(1005,6285,0.97927,0.67573),(1005,6295,0.98224,0.65564),(1005,6305,0.9852,0.63552),(1005,6315,0.98795,0.6154),(1005,6325,0.9907,0.5952),(1005,6335,0.99345,0.57492),(1005,6345,0.99587,0.55464),(1005,6355,0.99825,0.53427),(1005,6365,1.0006,0.51369),(1005,6375,1.0028,0.49311),(1005,6385,1.0048,0.47255),(1005,6395,1.0069,0.45208),(1005,6405,1.0088,0.43162),(1005,6415,1.0107,0.41115),(1005,6425,1.0125,0.39036),(1005,6435,1.0142,0.36955),(1005,6445,1.0157,0.34875),(1005,6455,1.0172,0.32767),(1005,6465,1.0187,0.30652),(1005,6475,1.0199,0.28536),(1005,6485,1.0211,0.26439),(1005,6495,1.0223,0.24353),(1005,6505,1.0233,0.22268),(1005,6515,1.0242,0.20179),(1005,6525,1.0251,0.18086),(1005,6535,1.0258,0.15994),(1005,6545,1.0264,0.13896),(1005,6555,1.027,0.11781),(1005,6565,1.0274,0.096664),(1005,6575,1.0278,0.075516),(1005,6585,1.0281,0.054378),(1005,6595,0.87453,0.033239),(1005,6605,0.55109,0.0121),(1005,6615,0.22765,0.009648),(1005,6625,0.000282,0.009598),(1005,6635,0.000284,0.009547),(1005,6645,0.000286,0.009527),(1005,6655,0.000288,0.009521),(1005,6665,0.000289,0.009514),(1005,6675,0.000291,0.009508),(1005,6685,0.000293,0.009501),(1005,6695,0.000295,0.009494),(1005,6705,0.000297,0.009487),(1005,6715,0.000298,0.009481),(1005,6725,0.0003,0.009474),(1005,6735,0.000302,0.009467),(1005,6745,0.000304,0.00946),(1005,6755,0.000305,0.009454),(1005,6765,0.000307,0.009447),(1005,6775,0.000309,0.00944),(1005,6785,0.00031,0.009433),(1005,6795,0.000312,0.009426),(1005,6805,0.000314,0.009419),(1005,6815,0.000315,0.009412),(1005,6825,0.000317,0.009405),(1005,6835,0.000318,0.009398),(1005,6845,0.00032,0.009391),(1005,6855,0.000321,0.009384),(1005,6865,0.000323,0.009377),(1005,6875,0.000324,0.00937),(1005,6885,0.000326,0.009362),(1005,6895,0.000327,0.009355),(1005,6905,0.000329,0.009348),(1005,6915,0.00033,0.009341),(1005,6925,0.000331,0.009334),(1005,6935,0.000333,0.009326),(1005,6945,0.000334,0.009319),(1005,6955,0.000336,0.009312),(1005,6965,0.000337,0.009304),(1005,6975,0.000338,0.009297),(1005,6985,0.00034,0.00929),(1015,5,4.7e-05,3.6698),(1015,15,0.000141,3.6698),(1015,25,0.000235,3.6697),(1015,35,0.000329,3.6697),(1015,45,0.000423,3.6697),(1015,55,0.000517,3.6697),(1015,65,0.000611,3.6697),(1015,75,0.000705,3.6697),(1015,85,0.0008,3.6697),(1015,95,0.000894,3.6697),(1015,105,0.000988,3.6697),(1015,115,0.001083,3.6696),(1015,125,0.001178,3.6696),(1015,135,0.001272,3.6696),(1015,145,0.001368,3.6696),(1015,155,0.001463,3.6696),(1015,165,0.001558,3.6695),(1015,175,0.001653,3.6695),(1015,185,0.001749,3.6695),(1015,195,0.001845,3.6694),(1015,205,0.001941,3.6694),(1015,215,0.002037,3.6694),(1015,225,0.002133,3.6693),(1015,235,0.00223,3.6693),(1015,245,0.002327,3.6693),(1015,255,0.002424,3.6692),(1015,265,0.002522,3.6692),(1015,275,0.002619,3.6691),(1015,285,0.002717,3.6691),(1015,295,0.002815,3.669),(1015,305,0.002914,3.669),(1015,315,0.003013,3.6689),(1015,325,0.003113,3.6689),(1015,335,0.003212,3.6688),(1015,345,0.003312,3.6688),(1015,355,0.003413,3.6687),(1015,365,0.003513,3.6686),(1015,375,0.003614,3.6686),(1015,385,0.003716,3.6685),(1015,395,0.003818,3.6685),(1015,405,0.00392,3.6684),(1015,415,0.004022,3.6683),(1015,425,0.004126,3.6682),(1015,435,0.00423,3.6682),(1015,445,0.004334,3.6681),(1015,455,0.004437,3.668),(1015,465,0.004543,3.6679),(1015,475,0.004649,3.6679),(1015,485,0.004754,3.6678),(1015,495,0.00486,3.6677),(1015,505,0.004968,3.6676),(1015,515,0.005076,3.6675),(1015,525,0.005183,3.6674),(1015,535,0.005291,3.6673),(1015,545,0.005401,3.6672),(1015,555,0.005511,3.6671),(1015,565,0.005621,3.667),(1015,575,0.005732,3.6669),(1015,585,0.005844,3.6668),(1015,595,0.005956,3.6667),(1015,605,0.006069,3.6666),(1015,615,0.006182,3.6665),(1015,625,0.006296,3.6664),(1015,635,0.006411,3.6663),(1015,645,0.006526,3.6662),(1015,655,0.006641,3.6661),(1015,665,0.006759,3.6659),(1015,675,0.006877,3.6658),(1015,685,0.006994,3.6657),(1015,695,0.007112,3.6656),(1015,705,0.007233,3.6655),(1015,715,0.007353,3.6653),(1015,725,0.007474,3.6652),(1015,735,0.007595,3.6651),(1015,745,0.007718,3.6649),(1015,755,0.007842,3.6648),(1015,765,0.007965,3.6646),(1015,775,0.00809,3.6645),(1015,785,0.008216,3.6644),(1015,795,0.008343,3.6642),(1015,805,0.00847,3.6641),(1015,815,0.008598,3.6639),(1015,825,0.008728,3.6638),(1015,835,0.008858,3.6636),(1015,845,0.008988,3.6634),(1015,855,0.009119,3.6633),(1015,865,0.009252,3.6631),(1015,875,0.009386,3.6629),(1015,885,0.009519,3.6628),(1015,895,0.009654,3.6626),(1015,905,0.009791,3.6624),(1015,915,0.009928,3.6623),(1015,925,0.010065,3.6621),(1015,935,0.010204,3.6619),(1015,945,0.010344,3.6617),(1015,955,0.010485,3.6615),(1015,965,0.010626,3.6613),(1015,975,0.010768,3.6611),(1015,985,0.010913,3.6609),(1015,995,0.011058,3.6607),(1015,1005,0.011202,3.6605),(1015,1015,0.011349,3.6603),(1015,1025,0.011498,3.6601),(1015,1035,0.011647,3.6599),(1015,1045,0.011795,3.6597),(1015,1055,0.011947,3.6595),(1015,1065,0.012099,3.6593),(1015,1075,0.012252,3.6591),(1015,1085,0.012405,3.6588),(1015,1095,0.012561,3.6586),(1015,1105,0.012718,3.6584),(1015,1115,0.012876,3.6582),(1015,1125,0.013033,3.6579),(1015,1135,0.013193,3.6577),(1015,1145,0.013355,3.6574),(1015,1155,0.013517,3.6572),(1015,1165,0.013678,3.6569),(1015,1175,0.013843,3.6567),(1015,1185,0.014009,3.6564),(1015,1195,0.014176,3.6562),(1015,1205,0.014342,3.6559),(1015,1215,0.014512,3.6557),(1015,1225,0.014683,3.6554),(1015,1235,0.014853,3.6551),(1015,1245,0.015024,3.6549),(1015,1255,0.015199,3.6546),(1015,1265,0.015374,3.6543),(1015,1275,0.01555,3.654),(1015,1285,0.015725,3.6537),(1015,1295,0.015905,3.6534),(1015,1305,0.016085,3.6531),(1015,1315,0.016265,3.6528),(1015,1325,0.016446,3.6525),(1015,1335,0.01663,3.6522),(1015,1345,0.016815,3.6519),(1015,1355,0.017001,3.6516),(1015,1365,0.017186,3.6513),(1015,1375,0.017375,3.651),(1015,1385,0.017566,3.6507),(1015,1395,0.017756,3.6503),(1015,1405,0.017946,3.65),(1015,1415,0.018141,3.6497),(1015,1425,0.018337,3.6493),(1015,1435,0.018532,3.649),(1015,1445,0.018727,3.6486),(1015,1455,0.018927,3.6483),(1015,1465,0.019128,3.6479),(1015,1475,0.019328,3.6476),(1015,1485,0.019528,3.6472),(1015,1495,0.019734,3.6469),(1015,1505,0.019939,3.6465),(1015,1515,0.020144,3.6461),(1015,1525,0.02035,3.6457),(1015,1535,0.02056,3.6453),(1015,1545,0.020771,3.645),(1015,1555,0.020981,3.6446),(1015,1565,0.021192,3.6442),(1015,1575,0.021407,3.6438),(1015,1585,0.021623,3.6434),(1015,1595,0.021838,3.643),(1015,1605,0.022054,3.6425),(1015,1615,0.022275,3.6421),(1015,1625,0.022496,3.6417),(1015,1635,0.022716,3.6413),(1015,1645,0.022937,3.6409),(1015,1655,0.023163,3.6404),(1015,1665,0.023388,3.64),(1015,1675,0.023614,3.6395),(1015,1685,0.02384,3.6391),(1015,1695,0.024071,3.6386),(1015,1705,0.024301,3.6382),(1015,1715,0.024532,3.6377),(1015,1725,0.024763,3.6372),(1015,1735,0.024999,3.6368),(1015,1745,0.025234,3.6363),(1015,1755,0.025469,3.6358),(1015,1765,0.025706,3.6353),(1015,1775,0.025946,3.6348),(1015,1785,0.026186,3.6343),(1015,1795,0.026426,3.6338),(1015,1805,0.026667,3.6333),(1015,1815,0.026912,3.6328),(1015,1825,0.027157,3.6323),(1015,1835,0.027401,3.6318),(1015,1845,0.027647,3.6312),(1015,1855,0.027896,3.6307),(1015,1865,0.028145,3.6302),(1015,1875,0.028395,3.6296),(1015,1885,0.028645,3.6291),(1015,1895,0.028898,3.6285),(1015,1905,0.029152,3.6279),(1015,1915,0.029405,3.6274),(1015,1925,0.02966,3.6268),(1015,1935,0.029917,3.6262),(1015,1945,0.030175,3.6256),(1015,1955,0.030432,3.6251),(1015,1965,0.030691,3.6245),(1015,1975,0.030952,3.6239),(1015,1985,0.031214,3.6233),(1015,1995,0.031475,3.6226),(1015,2005,0.031738,3.622),(1015,2015,0.032003,3.6214),(1015,2025,0.032267,3.6208),(1015,2035,0.032532,3.6202),(1015,2045,0.032799,3.6195),(1015,2055,0.033067,3.6189),(1015,2065,0.033335,3.6182),(1015,2075,0.033603,3.6176),(1015,2085,0.033873,3.6169),(1015,2095,0.034144,3.6162),(1015,2105,0.034415,3.6156),(1015,2115,0.034686,3.6149),(1015,2125,0.034959,3.6142),(1015,2135,0.035233,3.6135),(1015,2145,0.035507,3.6128),(1015,2155,0.035781,3.6121),(1015,2165,0.036056,3.6114),(1015,2175,0.036332,3.6107),(1015,2185,0.036608,3.61),(1015,2195,0.036884,3.6092),(1015,2205,0.037161,3.6085),(1015,2215,0.037439,3.6078),(1015,2225,0.037717,3.607),(1015,2235,0.037995,3.6063),(1015,2245,0.038274,3.6055),(1015,2255,0.038554,3.6048),(1015,2265,0.038833,3.604),(1015,2275,0.039113,3.6032),(1015,2285,0.039393,3.6025),(1015,2295,0.039674,3.6017),(1015,2305,0.039955,3.6009),(1015,2315,0.040235,3.6001),(1015,2325,0.040516,3.5993),(1015,2335,0.040798,3.5985),(1015,2345,0.041079,3.5977),(1015,2355,0.04136,3.5968),(1015,2365,0.041642,3.596),(1015,2375,0.041923,3.5952),(1015,2385,0.042205,3.5943),(1015,2395,0.042486,3.5935),(1015,2405,0.042767,3.5926),(1015,2415,0.043048,3.5918),(1015,2425,0.043329,3.5909),(1015,2435,0.04361,3.5901),(1015,2445,0.04389,3.5892),(1015,2455,0.044171,3.5883),(1015,2465,0.044451,3.5874),(1015,2475,0.044731,3.5865),(1015,2485,0.04501,3.5856),(1015,2495,0.045289,3.5847),(1015,2505,0.045567,3.5838),(1015,2515,0.045846,3.5829),(1015,2525,0.046123,3.582),(1015,2535,0.0464,3.5811),(1015,2545,0.046677,3.5801),(1015,2555,0.046953,3.5792),(1015,2565,0.047228,3.5783),(1015,2575,0.047502,3.5773),(1015,2585,0.047776,3.5764),(1015,2595,0.04805,3.5754),(1015,2605,0.048321,3.5745),(1015,2615,0.048592,3.5735),(1015,2625,0.048863,3.5725),(1015,2635,0.049134,3.5716),(1015,2645,0.049401,3.5706),(1015,2655,0.049669,3.5696),(1015,2665,0.049936,3.5686),(1015,2675,0.050203,3.5676),(1015,2685,0.050466,3.5666),(1015,2695,0.050729,3.5656),(1015,2705,0.050992,3.5646),(1015,2715,0.051254,3.5636),(1015,2725,0.051511,3.5626),(1015,2735,0.051769,3.5616),(1015,2745,0.052027,3.5605),(1015,2755,0.052284,3.5595),(1015,2765,0.052536,3.5585),(1015,2775,0.052788,3.5574),(1015,2785,0.05304,3.5564),(1015,2795,0.05329,3.5553),(1015,2805,0.053535,3.5543),(1015,2815,0.053781,3.5533),(1015,2825,0.054027,3.5522),(1015,2835,0.05427,3.5511),(1015,2845,0.054508,3.5501),(1015,2855,0.054747,3.549),(1015,2865,0.054985,3.548),(1015,2875,0.05522,3.5469),(1015,2885,0.055451,3.5458),(1015,2895,0.055681,3.5448),(1015,2905,0.055911,3.5437),(1015,2915,0.056138,3.5426),(1015,2925,0.056359,3.5415),(1015,2935,0.056581,3.5404),(1015,2945,0.056802,3.5394),(1015,2955,0.057019,3.5383),(1015,2965,0.057231,3.5372),(1015,2975,0.057442,3.5361),(1015,2985,0.057654,3.535),(1015,2995,0.05786,3.5339),(1015,3005,0.058061,3.5329),(1015,3015,0.058262,3.5318),(1015,3025,0.058463,3.5307),(1015,3035,0.058657,3.5296),(1015,3045,0.058846,3.5285),(1015,3055,0.059035,3.5274),(1015,3065,0.059224,3.5263),(1015,3075,0.059405,3.5253),(1015,3085,0.059581,3.5242),(1015,3095,0.059756,3.5231),(1015,3105,0.059932,3.522),(1015,3115,0.060099,3.5209),(1015,3125,0.06026,3.5199),(1015,3135,0.060421,3.5188),(1015,3145,0.060582,3.5177),(1015,3155,0.060732,3.5166),(1015,3165,0.060877,3.5156),(1015,3175,0.061022,3.5145),(1015,3185,0.061167,3.5135),(1015,3195,0.0613,3.5124),(1015,3205,0.061427,3.5113),(1015,3215,0.061554,3.5103),(1015,3225,0.061681,3.5093),(1015,3235,0.061794,3.5082),(1015,3245,0.061901,3.5072),(1015,3255,0.062008,3.5062),(1015,3265,0.062115,3.5051),(1015,3275,0.062205,3.5041),(1015,3285,0.062289,3.5031),(1015,3295,0.062374,3.5021),(1015,3305,0.062458,3.5011),(1015,3315,0.062523,3.5001),(1015,3325,0.062582,3.4991),(1015,3335,0.062641,3.4982),(1015,3345,0.062701,3.4972),(1015,3355,0.062736,3.4963),(1015,3365,0.062767,3.4953),(1015,3375,0.062798,3.4944),(1015,3385,0.062829,3.4934),(1015,3395,0.062831,3.4925),(1015,3405,0.06283,3.4916),(1015,3415,0.062829,3.4907),(1015,3425,0.062828,3.4898),(1015,3435,0.062794,3.4889),(1015,3445,0.062757,3.488),(1015,3455,0.06272,3.4872),(1015,3465,0.062683,3.4864),(1015,3475,0.062607,3.4855),(1015,3485,0.06253,3.4847),(1015,3495,0.062453,3.4839),(1015,3505,0.062375,3.4831),(1015,3515,0.062252,3.4823),(1015,3525,0.062129,3.4815),(1015,3535,0.062006,3.4808),(1015,3545,0.061881,3.48),(1015,3555,0.061707,3.4793),(1015,3565,0.061532,3.4786),(1015,3575,0.061358,3.4779),(1015,3585,0.061179,3.4772),(1015,3595,0.060948,3.4765),(1015,3605,0.060716,3.4758),(1015,3615,0.060485,3.4752),(1015,3625,0.060246,3.4746),(1015,3635,0.05995,3.474),(1015,3645,0.059655,3.4733),(1015,3655,0.05936,3.4728),(1015,3665,0.059053,3.4722),(1015,3675,0.058688,3.4716),(1015,3685,0.058323,3.4711),(1015,3695,0.057958,3.4706),(1015,3705,0.057578,3.4701),(1015,3715,0.057136,3.4696),(1015,3725,0.056694,3.4691),(1015,3735,0.056253,3.4687),(1015,3745,0.055791,3.4682),(1015,3755,0.055267,3.4678),(1015,3765,0.054743,3.4674),(1015,3775,0.054219,3.467),(1015,3785,0.05367,3.4666),(1015,3795,0.053058,3.4662),(1015,3805,0.052446,3.4659),(1015,3815,0.051834,3.4656),(1015,3825,0.051192,3.4653),(1015,3835,0.050488,3.4649),(1015,3845,0.049784,3.4646),(1015,3855,0.049079,3.4644),(1015,3865,0.048341,3.4641),(1015,3875,0.047542,3.4638),(1015,3885,0.046742,3.4636),(1015,3895,0.045943,3.4634),(1015,3905,0.05394,3.4632),(1015,3915,0.075077,3.463),(1015,3925,0.096215,3.4627),(1015,3935,0.11735,3.4623),(1015,3945,0.14015,3.462),(1015,3955,0.16505,3.4616),(1015,3965,0.18996,3.4608),(1015,3975,0.21486,3.4596),(1015,3985,0.22893,3.4584),(1015,3995,0.23126,3.4571),(1015,4005,0.23359,3.4556),(1015,4015,0.23592,3.4537),(1015,4025,0.238,3.4518),(1015,4035,0.24006,3.4497),(1015,4045,0.24213,3.4472),(1015,4055,0.24416,3.4448),(1015,4065,0.24619,3.4422),(1015,4075,0.24821,3.4392),(1015,4085,0.2503,3.4362),(1015,4095,0.25243,3.4331),(1015,4105,0.25456,3.4296),(1015,4115,0.24712,3.4261),(1015,4125,0.2238,3.4226),(1015,4135,0.20049,3.4196),(1015,4145,0.17625,3.4169),(1015,4155,0.1483,3.4141),(1015,4165,0.12034,3.4123),(1015,4175,0.093748,3.4111),(1015,4185,0.13454,3.4099),(1015,4195,0.17533,3.4072),(1015,4205,0.21612,3.4026),(1015,4215,0.20968,3.3981),(1015,4225,0.19435,3.3935),(1015,4235,0.17902,3.3887),(1015,4245,0.16061,3.384),(1015,4255,0.14063,3.3793),(1015,4265,0.12066,3.3755),(1015,4275,0.097564,3.3718),(1015,4285,0.071163,3.368),(1015,4295,0.044762,3.3666),(1015,4305,0.036777,3.3654),(1015,4315,0.070377,3.3643),(1015,4325,0.10398,3.3587),(1015,4335,0.13536,3.3514),(1015,4345,0.15178,3.344),(1015,4355,0.16819,3.3375),(1015,4365,0.18461,3.3316),(1015,4375,0.19506,3.3258),(1015,4385,0.20519,3.3207),(1015,4395,0.21533,3.317),(1015,4405,0.19128,3.3133),(1015,4415,0.15714,3.3102),(1015,4425,0.12301,3.3095),(1015,4435,0.11083,3.3088),(1015,4445,0.11366,3.3081),(1015,4455,0.11649,3.3061),(1015,4465,0.14362,3.3042),(1015,4475,0.20489,3.3022),(1015,4485,0.26615,3.2975),(1015,4495,0.31522,3.2922),(1015,4505,0.32515,3.287),(1015,4515,0.33508,3.2813),(1015,4525,0.34415,3.2755),(1015,4535,0.3395,3.2696),(1015,4545,0.33485,3.2639),(1015,4555,0.3302,3.2582),(1015,4565,0.24124,3.2526),(1015,4575,0.14091,3.2485),(1015,4585,0.040588,3.2481),(1015,4595,0.032606,3.2477),(1015,4605,0.063641,3.247),(1015,4615,0.094676,3.2439),(1015,4625,0.13523,3.2408),(1015,4635,0.18441,3.2377),(1015,4645,0.23359,3.232),(1015,4655,0.28385,3.2262),(1015,4665,0.33613,3.2204),(1015,4675,0.38841,3.2131),(1015,4685,0.4173,3.2053),(1015,4695,0.33063,3.1976),(1015,4705,0.24395,3.1927),(1015,4715,0.15727,3.19),(1015,4725,0.1917,3.1872),(1015,4735,0.22734,3.1827),(1015,4745,0.26298,3.1757),(1015,4755,0.33157,3.1686),(1015,4765,0.40779,3.1606),(1015,4775,0.48401,3.1491),(1015,4785,0.53097,3.1376),(1015,4795,0.56101,3.1261),(1015,4805,0.59104,3.1144),(1015,4815,0.58454,3.1026),(1015,4825,0.53435,3.0908),(1015,4835,0.48415,3.0825),(1015,4845,0.41891,3.0748),(1015,4855,0.31444,3.0671),(1015,4865,0.20997,3.0622),(1015,4875,0.12791,3.0585),(1015,4885,0.24971,3.0548),(1015,4895,0.37151,3.0461),(1015,4905,0.49332,3.0324),(1015,4915,0.50022,3.0188),(1015,4925,0.49725,3.0056),(1015,4935,0.49428,2.9932),(1015,4945,0.45546,2.9808),(1015,4955,0.40422,2.9692),(1015,4965,0.35299,2.9614),(1015,4975,0.2757,2.9537),(1015,4985,0.17829,2.946),(1015,4995,0.080888,2.9453),(1015,5005,0.077451,2.9448),(1015,5015,0.2234,2.9442),(1015,5025,0.36935,2.9329),(1015,5035,0.50229,2.9188),(1015,5045,0.58566,2.9047),(1015,5055,0.66903,2.8876),(1015,5065,0.75103,2.8687),(1015,5075,0.78859,2.8498),(1015,5085,0.82615,2.831),(1015,5095,0.86371,2.8121),(1015,5105,0.77139,2.7933),(1015,5115,0.65642,2.7769),(1015,5125,0.54145,2.7673),(1015,5135,0.45113,2.7577),(1015,5145,0.37277,2.7484),(1015,5155,0.29442,2.7417),(1015,5165,0.33706,2.735),(1015,5175,0.50311,2.7283),(1015,5185,0.66916,2.7115),(1015,5195,0.79477,2.6936),(1015,5205,0.8332,2.6757),(1015,5215,0.87163,2.6575),(1015,5225,0.90479,2.6393),(1015,5235,0.90521,2.621),(1015,5245,0.90563,2.6039),(1015,5255,0.90606,2.5876),(1015,5265,0.63269,2.5714),(1015,5275,0.34803,2.5611),(1015,5285,0.06337,2.561),(1015,5295,0.091242,2.5609),(1015,5305,0.20615,2.5584),(1015,5315,0.32105,2.5462),(1015,5325,0.43905,2.534),(1015,5335,0.55907,2.5217),(1015,5345,0.67909,2.5024),(1015,5355,0.78011,2.4831),(1015,5365,0.85549,2.4638),(1015,5375,0.93087,2.4433),(1015,5385,0.93324,2.4225),(1015,5395,0.71363,2.4017),(1015,5405,0.49402,2.391),(1015,5415,0.28889,2.3856),(1015,5425,0.27826,2.3803),(1015,5435,0.26762,2.3748),(1015,5445,0.25699,2.3693),(1015,5455,0.31062,2.3638),(1015,5465,0.37211,2.3568),(1015,5475,0.43359,2.3468),(1015,5485,0.46396,2.3367),(1015,5495,0.4818,2.3263),(1015,5505,0.49964,2.3145),(1015,5515,0.51879,2.3026),(1015,5525,0.53909,2.2907),(1015,5535,0.55938,2.2771),(1015,5545,0.58021,2.2635),(1015,5555,0.60201,2.2498),(1015,5565,0.62382,2.2346),(1015,5575,0.64585,2.2189),(1015,5585,0.66896,2.2032),(1015,5595,0.69207,2.1864),(1015,5605,0.71518,2.169),(1015,5615,0.73968,2.1515),(1015,5625,0.76417,2.1332),(1015,5635,0.78867,2.1137),(1015,5645,0.81426,2.0943),(1015,5655,0.84009,2.0744),(1015,5665,0.86591,2.053),(1015,5675,0.89253,2.0317),(1015,5685,0.91958,2.0103),(1015,5695,0.94663,1.9874),(1015,5705,0.97411,1.9645),(1015,5715,1.0021,1.9416),(1015,5725,1.0301,1.9174),(1015,5735,1.0582,1.8929),(1015,5745,1.0868,1.8685),(1015,5755,1.1154,1.8432),(1015,5765,1.1441,1.8176),(1015,5775,1.173,1.792),(1015,5785,1.2019,1.7659),(1015,5795,1.2309,1.7392),(1015,5805,1.2597,1.7125),(1015,5815,1.2886,1.6856),(1015,5825,1.3175,1.658),(1015,5835,1.346,1.6304),(1015,5845,1.3745,1.6028),(1015,5855,1.403,1.5748),(1015,5865,1.431,1.5468),(1015,5875,1.4588,1.5188),(1015,5885,1.4865,1.4903),(1015,5895,1.5138,1.4618),(1015,5905,1.5406,1.4333),(1015,5915,1.5673,1.4045),(1015,5925,1.5938,1.3757),(1015,5935,1.6193,1.3468),(1015,5945,1.6448,1.3179),(1015,5955,1.6703,1.289),(1015,5965,1.695,1.2601),(1015,5975,1.7197,1.2312),(1015,5985,1.7445,1.2024),(1015,5995,1.3377,1.1735),(1015,6005,0.86153,1.1514),(1015,6015,0.38534,1.1477),(1015,6025,0.32925,1.1439),(1015,6035,0.46802,1.1392),(1015,6045,0.60678,1.1255),(1015,6055,0.71265,1.1118),(1015,6065,0.78626,1.0982),(1015,6075,0.85988,1.0801),(1015,6085,0.91095,1.0615),(1015,6095,0.91553,1.043),(1015,6105,0.92012,1.0244),(1015,6115,0.92468,1.0057),(1015,6125,0.92909,0.98703),(1015,6135,0.93351,0.96817),(1015,6145,0.93793,0.94918),(1015,6155,0.94208,0.93019),(1015,6165,0.94622,0.91105),(1015,6175,0.95035,0.89164),(1015,6185,0.95425,0.87224),(1015,6195,0.95809,0.85281),(1015,6205,0.96192,0.83332),(1015,6215,0.96559,0.81382),(1015,6225,0.96914,0.79432),(1015,6235,0.97269,0.77469),(1015,6245,0.97613,0.75505),(1015,6255,0.97942,0.73541),(1015,6265,0.9827,0.71543),(1015,6275,0.98592,0.69538),(1015,6285,0.98893,0.67534),(1015,6295,0.99194,0.65526),(1015,6305,0.99493,0.63517),(1015,6315,0.99771,0.61508),(1015,6325,1.0005,0.59488),(1015,6335,1.0033,0.57459),(1015,6345,1.0057,0.55429),(1015,6355,1.0082,0.53391),(1015,6365,1.0106,0.51333),(1015,6375,1.0127,0.49276),(1015,6385,1.0148,0.4722),(1015,6395,1.0169,0.45175),(1015,6405,1.0189,0.4313),(1015,6415,1.0207,0.41085),(1015,6425,1.0225,0.39007),(1015,6435,1.0242,0.36928),(1015,6445,1.0258,0.34848),(1015,6455,1.0273,0.32743),(1015,6465,1.0288,0.3063),(1015,6475,1.03,0.28517),(1015,6485,1.0313,0.26421),(1015,6495,1.0325,0.24337),(1015,6505,1.0335,0.22252),(1015,6515,1.0344,0.20165),(1015,6525,1.0353,0.18073),(1015,6535,1.036,0.15981),(1015,6545,1.0366,0.13884),(1015,6555,1.0373,0.11772),(1015,6565,1.0377,0.096591),(1015,6575,1.038,0.075467),(1015,6585,1.0383,0.054355),(1015,6595,0.88324,0.033244),(1015,6605,0.55658,0.012133),(1015,6615,0.22992,0.009675),(1015,6625,0.000285,0.009613),(1015,6635,0.000287,0.009552),(1015,6645,0.000289,0.009529),(1015,6655,0.000291,0.009523),(1015,6665,0.000293,0.009516),(1015,6675,0.000295,0.009509),(1015,6685,0.000297,0.009503),(1015,6695,0.000298,0.009496),(1015,6705,0.0003,0.009489),(1015,6715,0.000302,0.009482),(1015,6725,0.000304,0.009476),(1015,6735,0.000305,0.009469),(1015,6745,0.000307,0.009462),(1015,6755,0.000309,0.009455),(1015,6765,0.000311,0.009448),(1015,6775,0.000312,0.009442),(1015,6785,0.000314,0.009435),(1015,6795,0.000316,0.009428),(1015,6805,0.000317,0.009421),(1015,6815,0.000319,0.009414),(1015,6825,0.00032,0.009407),(1015,6835,0.000322,0.0094),(1015,6845,0.000323,0.009393),(1015,6855,0.000325,0.009385),(1015,6865,0.000326,0.009378),(1015,6875,0.000328,0.009371),(1015,6885,0.000329,0.009364),(1015,6895,0.000331,0.009357),(1015,6905,0.000332,0.00935),(1015,6915,0.000334,0.009342),(1015,6925,0.000335,0.009335),(1015,6935,0.000337,0.009328),(1015,6945,0.000338,0.00932),(1015,6955,0.000339,0.009313),(1015,6965,0.000341,0.009306),(1015,6975,0.000342,0.009298),(1015,6985,0.000343,0.009291),(1025,5,4.7e-05,3.6698),(1025,15,0.000142,3.6698),(1025,25,0.000237,3.6698),(1025,35,0.000331,3.6698),(1025,45,0.000426,3.6698),(1025,55,0.000521,3.6698),(1025,65,0.000615,3.6698),(1025,75,0.00071,3.6698),(1025,85,0.000805,3.6698),(1025,95,0.0009,3.6698),(1025,105,0.000996,3.6698),(1025,115,0.001091,3.6697),(1025,125,0.001186,3.6697),(1025,135,0.001282,3.6697),(1025,145,0.001377,3.6697),(1025,155,0.001473,3.6697),(1025,165,0.001569,3.6696),(1025,175,0.001665,3.6696),(1025,185,0.001762,3.6696),(1025,195,0.001858,3.6695),(1025,205,0.001955,3.6695),(1025,215,0.002051,3.6695),(1025,225,0.002149,3.6694),(1025,235,0.002246,3.6694),(1025,245,0.002344,3.6694),(1025,255,0.002441,3.6693),(1025,265,0.00254,3.6693),(1025,275,0.002638,3.6692),(1025,285,0.002737,3.6692),(1025,295,0.002836,3.6691),(1025,305,0.002935,3.6691),(1025,315,0.003035,3.669),(1025,325,0.003135,3.669),(1025,335,0.003235,3.6689),(1025,345,0.003336,3.6689),(1025,355,0.003437,3.6688),(1025,365,0.003539,3.6687),(1025,375,0.00364,3.6687),(1025,385,0.003743,3.6686),(1025,395,0.003846,3.6686),(1025,405,0.003949,3.6685),(1025,415,0.004052,3.6684),(1025,425,0.004156,3.6683),(1025,435,0.004261,3.6683),(1025,445,0.004365,3.6682),(1025,455,0.00447,3.6681),(1025,465,0.004576,3.668),(1025,475,0.004683,3.668),(1025,485,0.004789,3.6679),(1025,495,0.004896,3.6678),(1025,505,0.005004,3.6677),(1025,515,0.005113,3.6676),(1025,525,0.005221,3.6675),(1025,535,0.00533,3.6674),(1025,545,0.005441,3.6673),(1025,555,0.005552,3.6673),(1025,565,0.005663,3.6672),(1025,575,0.005774,3.6671),(1025,585,0.005887,3.667),(1025,595,0.006,3.6669),(1025,605,0.006114,3.6667),(1025,615,0.006227,3.6666),(1025,625,0.006343,3.6665),(1025,635,0.006459,3.6664),(1025,645,0.006574,3.6663),(1025,655,0.006691,3.6662),(1025,665,0.006809,3.6661),(1025,675,0.006928,3.6659),(1025,685,0.007046,3.6658),(1025,695,0.007165,3.6657),(1025,705,0.007287,3.6656),(1025,715,0.007408,3.6654),(1025,725,0.007529,3.6653),(1025,735,0.007652,3.6652),(1025,745,0.007776,3.665),(1025,755,0.007901,3.6649),(1025,765,0.008025,3.6648),(1025,775,0.00815,3.6646),(1025,785,0.008278,3.6645),(1025,795,0.008406,3.6643),(1025,805,0.008534,3.6642),(1025,815,0.008662,3.664),(1025,825,0.008793,3.6639),(1025,835,0.008925,3.6637),(1025,845,0.009056,3.6636),(1025,855,0.009188,3.6634),(1025,865,0.009322,3.6632),(1025,875,0.009457,3.6631),(1025,885,0.009592,3.6629),(1025,895,0.009728,3.6627),(1025,905,0.009866,3.6626),(1025,915,0.010004,3.6624),(1025,925,0.010142,3.6622),(1025,935,0.010282,3.662),(1025,945,0.010424,3.6618),(1025,955,0.010566,3.6617),(1025,965,0.010708,3.6615),(1025,975,0.010851,3.6613),(1025,985,0.010997,3.6611),(1025,995,0.011143,3.6609),(1025,1005,0.011289,3.6607),(1025,1015,0.011437,3.6605),(1025,1025,0.011587,3.6603),(1025,1035,0.011737,3.6601),(1025,1045,0.011887,3.6599),(1025,1055,0.01204,3.6597),(1025,1065,0.012194,3.6594),(1025,1075,0.012348,3.6592),(1025,1085,0.012502,3.659),(1025,1095,0.012659,3.6588),(1025,1105,0.012818,3.6585),(1025,1115,0.012977,3.6583),(1025,1125,0.013135,3.6581),(1025,1135,0.013297,3.6578),(1025,1145,0.01346,3.6576),(1025,1155,0.013623,3.6574),(1025,1165,0.013787,3.6571),(1025,1175,0.013953,3.6569),(1025,1185,0.014121,3.6566),(1025,1195,0.014289,3.6564),(1025,1205,0.014456,3.6561),(1025,1215,0.014628,3.6558),(1025,1225,0.0148,3.6556),(1025,1235,0.014972,3.6553),(1025,1245,0.015145,3.655),(1025,1255,0.015321,3.6548),(1025,1265,0.015498,3.6545),(1025,1275,0.015675,3.6542),(1025,1285,0.015853,3.6539),(1025,1295,0.016033,3.6536),(1025,1305,0.016215,3.6533),(1025,1315,0.016397,3.653),(1025,1325,0.016579,3.6527),(1025,1335,0.016766,3.6524),(1025,1345,0.016953,3.6521),(1025,1355,0.01714,3.6518),(1025,1365,0.017327,3.6515),(1025,1375,0.017518,3.6512),(1025,1385,0.01771,3.6509),(1025,1395,0.017902,3.6505),(1025,1405,0.018094,3.6502),(1025,1415,0.018291,3.6499),(1025,1425,0.018488,3.6495),(1025,1435,0.018686,3.6492),(1025,1445,0.018883,3.6488),(1025,1455,0.019085,3.6485),(1025,1465,0.019287,3.6481),(1025,1475,0.019489,3.6478),(1025,1485,0.019692,3.6474),(1025,1495,0.019899,3.6471),(1025,1505,0.020106,3.6467),(1025,1515,0.020314,3.6463),(1025,1525,0.020521,3.6459),(1025,1535,0.020734,3.6456),(1025,1545,0.020946,3.6452),(1025,1555,0.021159,3.6448),(1025,1565,0.021372,3.6444),(1025,1575,0.021589,3.644),(1025,1585,0.021807,3.6436),(1025,1595,0.022025,3.6432),(1025,1605,0.022243,3.6428),(1025,1615,0.022466,3.6424),(1025,1625,0.022688,3.6419),(1025,1635,0.022911,3.6415),(1025,1645,0.023135,3.6411),(1025,1655,0.023363,3.6406),(1025,1665,0.02359,3.6402),(1025,1675,0.023818,3.6398),(1025,1685,0.024047,3.6393),(1025,1695,0.02428,3.6389),(1025,1705,0.024513,3.6384),(1025,1715,0.024746,3.6379),(1025,1725,0.024979,3.6375),(1025,1735,0.025217,3.637),(1025,1745,0.025455,3.6365),(1025,1755,0.025693,3.636),(1025,1765,0.025932,3.6355),(1025,1775,0.026174,3.6351),(1025,1785,0.026417,3.6346),(1025,1795,0.026659,3.6341),(1025,1805,0.026903,3.6336),(1025,1815,0.027151,3.633),(1025,1825,0.027398,3.6325),(1025,1835,0.027645,3.632),(1025,1845,0.027894,3.6315),(1025,1855,0.028145,3.6309),(1025,1865,0.028397,3.6304),(1025,1875,0.028649,3.6299),(1025,1885,0.028902,3.6293),(1025,1895,0.029158,3.6288),(1025,1905,0.029414,3.6282),(1025,1915,0.02967,3.6276),(1025,1925,0.029928,3.6271),(1025,1935,0.030188,3.6265),(1025,1945,0.030448,3.6259),(1025,1955,0.030708,3.6253),(1025,1965,0.03097,3.6247),(1025,1975,0.031234,3.6241),(1025,1985,0.031498,3.6235),(1025,1995,0.031762,3.6229),(1025,2005,0.032028,3.6223),(1025,2015,0.032295,3.6217),(1025,2025,0.032563,3.6211),(1025,2035,0.032831,3.6204),(1025,2045,0.0331,3.6198),(1025,2055,0.033371,3.6191),(1025,2065,0.033642,3.6185),(1025,2075,0.033913,3.6178),(1025,2085,0.034186,3.6172),(1025,2095,0.03446,3.6165),(1025,2105,0.034734,3.6158),(1025,2115,0.035008,3.6152),(1025,2125,0.035284,3.6145),(1025,2135,0.035561,3.6138),(1025,2145,0.035837,3.6131),(1025,2155,0.036114,3.6124),(1025,2165,0.036392,3.6117),(1025,2175,0.036671,3.611),(1025,2185,0.03695,3.6103),(1025,2195,0.037229,3.6095),(1025,2205,0.03751,3.6088),(1025,2215,0.037791,3.6081),(1025,2225,0.038072,3.6073),(1025,2235,0.038353,3.6066),(1025,2245,0.038635,3.6058),(1025,2255,0.038917,3.6051),(1025,2265,0.0392,3.6043),(1025,2275,0.039482,3.6035),(1025,2285,0.039765,3.6027),(1025,2295,0.040049,3.602),(1025,2305,0.040333,3.6012),(1025,2315,0.040616,3.6004),(1025,2325,0.0409,3.5996),(1025,2335,0.041185,3.5988),(1025,2345,0.041469,3.5979),(1025,2355,0.041753,3.5971),(1025,2365,0.042037,3.5963),(1025,2375,0.042322,3.5955),(1025,2385,0.042606,3.5946),(1025,2395,0.04289,3.5938),(1025,2405,0.043174,3.5929),(1025,2415,0.043458,3.5921),(1025,2425,0.043742,3.5912),(1025,2435,0.044026,3.5903),(1025,2445,0.044309,3.5895),(1025,2455,0.044591,3.5886),(1025,2465,0.044874,3.5877),(1025,2475,0.045157,3.5868),(1025,2485,0.045439,3.5859),(1025,2495,0.04572,3.585),(1025,2505,0.046002,3.5841),(1025,2515,0.046283,3.5832),(1025,2525,0.046562,3.5823),(1025,2535,0.046842,3.5814),(1025,2545,0.047121,3.5804),(1025,2555,0.0474,3.5795),(1025,2565,0.047677,3.5786),(1025,2575,0.047953,3.5776),(1025,2585,0.04823,3.5767),(1025,2595,0.048506,3.5757),(1025,2605,0.048779,3.5747),(1025,2615,0.049053,3.5738),(1025,2625,0.049326,3.5728),(1025,2635,0.049599,3.5718),(1025,2645,0.049868,3.5708),(1025,2655,0.050137,3.5699),(1025,2665,0.050407,3.5689),(1025,2675,0.050675,3.5679),(1025,2685,0.05094,3.5669),(1025,2695,0.051205,3.5659),(1025,2705,0.051469,3.5649),(1025,2715,0.051733,3.5638),(1025,2725,0.051992,3.5628),(1025,2735,0.052252,3.5618),(1025,2745,0.052511,3.5608),(1025,2755,0.052769,3.5598),(1025,2765,0.053022,3.5587),(1025,2775,0.053275,3.5577),(1025,2785,0.053528,3.5566),(1025,2795,0.05378,3.5556),(1025,2805,0.054026,3.5546),(1025,2815,0.054272,3.5535),(1025,2825,0.054519,3.5524),(1025,2835,0.054763,3.5514),(1025,2845,0.055002,3.5503),(1025,2855,0.05524,3.5493),(1025,2865,0.055479,3.5482),(1025,2875,0.055715,3.5471),(1025,2885,0.055945,3.5461),(1025,2895,0.056176,3.545),(1025,2905,0.056406,3.5439),(1025,2915,0.056633,3.5428),(1025,2925,0.056853,3.5417),(1025,2935,0.057074,3.5407),(1025,2945,0.057295,3.5396),(1025,2955,0.057512,3.5385),(1025,2965,0.057722,3.5374),(1025,2975,0.057933,3.5363),(1025,2985,0.058143,3.5352),(1025,2995,0.058348,3.5341),(1025,3005,0.058548,3.5331),(1025,3015,0.058747,3.532),(1025,3025,0.058947,3.5309),(1025,3035,0.059139,3.5298),(1025,3045,0.059326,3.5287),(1025,3055,0.059513,3.5276),(1025,3065,0.0597,3.5265),(1025,3075,0.059879,3.5254),(1025,3085,0.060052,3.5243),(1025,3095,0.060225,3.5233),(1025,3105,0.060398,3.5222),(1025,3115,0.060561,3.5211),(1025,3125,0.060719,3.52),(1025,3135,0.060876,3.5189),(1025,3145,0.061034,3.5179),(1025,3155,0.06118,3.5168),(1025,3165,0.061321,3.5157),(1025,3175,0.061462,3.5147),(1025,3185,0.061602,3.5136),(1025,3195,0.06173,3.5125),(1025,3205,0.061852,3.5115),(1025,3215,0.061975,3.5104),(1025,3225,0.062097,3.5094),(1025,3235,0.062204,3.5083),(1025,3245,0.062305,3.5073),(1025,3255,0.062406,3.5063),(1025,3265,0.062508,3.5052),(1025,3275,0.062591,3.5042),(1025,3285,0.062669,3.5032),(1025,3295,0.062747,3.5022),(1025,3305,0.062825,3.5012),(1025,3315,0.062882,3.5002),(1025,3325,0.062934,3.4992),(1025,3335,0.062986,3.4982),(1025,3345,0.063038,3.4973),(1025,3355,0.063065,3.4963),(1025,3365,0.063088,3.4953),(1025,3375,0.06311,3.4944),(1025,3385,0.063133,3.4934),(1025,3395,0.063127,3.4925),(1025,3405,0.063117,3.4916),(1025,3415,0.063106,3.4907),(1025,3425,0.063096,3.4898),(1025,3435,0.063052,3.4889),(1025,3445,0.063005,3.488),(1025,3455,0.062959,3.4871),(1025,3465,0.062912,3.4863),(1025,3475,0.062825,3.4854),(1025,3485,0.062737,3.4846),(1025,3495,0.06265,3.4838),(1025,3505,0.062562,3.483),(1025,3515,0.062428,3.4822),(1025,3525,0.062293,3.4814),(1025,3535,0.062159,3.4806),(1025,3545,0.062023,3.4799),(1025,3555,0.061837,3.4791),(1025,3565,0.061652,3.4784),(1025,3575,0.061466,3.4777),(1025,3585,0.061275,3.477),(1025,3595,0.061032,3.4763),(1025,3605,0.060789,3.4756),(1025,3615,0.060546,3.4749),(1025,3625,0.060295,3.4743),(1025,3635,0.059988,3.4737),(1025,3645,0.059682,3.473),(1025,3655,0.059375,3.4724),(1025,3665,0.059057,3.4719),(1025,3675,0.05868,3.4713),(1025,3685,0.058304,3.4707),(1025,3695,0.057927,3.4702),(1025,3705,0.057535,3.4697),(1025,3715,0.057083,3.4692),(1025,3725,0.056631,3.4687),(1025,3735,0.056178,3.4682),(1025,3745,0.055706,3.4677),(1025,3755,0.055172,3.4673),(1025,3765,0.054638,3.4668),(1025,3775,0.054104,3.4664),(1025,3785,0.053546,3.466),(1025,3795,0.052926,3.4656),(1025,3805,0.052305,3.4653),(1025,3815,0.051685,3.4649),(1025,3825,0.051035,3.4646),(1025,3835,0.050324,3.4642),(1025,3845,0.049613,3.4639),(1025,3855,0.048902,3.4636),(1025,3865,0.048158,3.4633),(1025,3875,0.047354,3.4631),(1025,3885,0.046551,3.4628),(1025,3895,0.045747,3.4626),(1025,3905,0.053685,3.4623),(1025,3915,0.074682,3.4621),(1025,3925,0.095678,3.4618),(1025,3935,0.11667,3.4613),(1025,3945,0.13939,3.4609),(1025,3955,0.16428,3.4605),(1025,3965,0.18917,3.4596),(1025,3975,0.21406,3.4583),(1025,3985,0.22819,3.457),(1025,3995,0.23067,3.4556),(1025,4005,0.23315,3.454),(1025,4015,0.23562,3.452),(1025,4025,0.23786,3.45),(1025,4035,0.24008,3.4479),(1025,4045,0.24229,3.4453),(1025,4055,0.24447,3.4428),(1025,4065,0.24664,3.4401),(1025,4075,0.24881,3.4371),(1025,4085,0.25104,3.434),(1025,4095,0.25331,3.4309),(1025,4105,0.25558,3.4274),(1025,4115,0.24821,3.4238),(1025,4125,0.22488,3.4203),(1025,4135,0.20155,3.4173),(1025,4145,0.17726,3.4146),(1025,4155,0.14906,3.4118),(1025,4165,0.12086,3.41),(1025,4175,0.094036,3.4087),(1025,4185,0.13547,3.4074),(1025,4195,0.17691,3.4047),(1025,4205,0.21834,3.4002),(1025,4215,0.21215,3.3956),(1025,4225,0.19699,3.391),(1025,4235,0.18184,3.3862),(1025,4245,0.1634,3.3815),(1025,4255,0.14331,3.3768),(1025,4265,0.12321,3.373),(1025,4275,0.099802,3.3693),(1025,4285,0.072876,3.3655),(1025,4295,0.04595,3.3641),(1025,4305,0.038066,3.3629),(1025,4315,0.073181,3.3618),(1025,4325,0.1083,3.3562),(1025,4335,0.14093,3.3489),(1025,4345,0.15676,3.3415),(1025,4355,0.1726,3.335),(1025,4365,0.18843,3.3291),(1025,4375,0.19817,3.3232),(1025,4385,0.20759,3.3181),(1025,4395,0.21701,3.3143),(1025,4405,0.19234,3.3105),(1025,4415,0.15762,3.3073),(1025,4425,0.1229,3.3065),(1025,4435,0.11073,3.3056),(1025,4445,0.11397,3.3048),(1025,4455,0.11721,3.3029),(1025,4465,0.14477,3.3009),(1025,4475,0.20649,3.299),(1025,4485,0.26822,3.2942),(1025,4495,0.31763,3.2889),(1025,4505,0.32758,3.2835),(1025,4515,0.33752,3.2778),(1025,4525,0.34659,3.2718),(1025,4535,0.34184,3.2659),(1025,4545,0.33709,3.26),(1025,4555,0.33234,3.2543),(1025,4565,0.24285,3.2486),(1025,4575,0.14193,3.2444),(1025,4585,0.041009,3.244),(1025,4595,0.033171,3.2436),(1025,4605,0.064663,3.2429),(1025,4615,0.096155,3.2397),(1025,4625,0.13712,3.2366),(1025,4635,0.18665,3.2334),(1025,4645,0.23619,3.2277),(1025,4655,0.28673,3.2218),(1025,4665,0.33915,3.2159),(1025,4675,0.39157,3.2087),(1025,4685,0.42047,3.2009),(1025,4695,0.33314,3.1932),(1025,4705,0.24581,3.1884),(1025,4715,0.15847,3.1857),(1025,4725,0.19376,3.1829),(1025,4735,0.23027,3.1784),(1025,4745,0.26678,3.1714),(1025,4755,0.33602,3.1643),(1025,4765,0.41285,3.1563),(1025,4775,0.48968,3.1449),(1025,4785,0.53675,3.1334),(1025,4795,0.56663,3.122),(1025,4805,0.5965,3.1103),(1025,4815,0.58959,3.0986),(1025,4825,0.53868,3.0869),(1025,4835,0.48777,3.0787),(1025,4845,0.42193,3.071),(1025,4855,0.31717,3.0634),(1025,4865,0.21241,3.0585),(1025,4875,0.13025,3.0548),(1025,4885,0.25374,3.0511),(1025,4895,0.37723,3.0423),(1025,4905,0.50072,3.0286),(1025,4915,0.50745,3.0149),(1025,4925,0.50415,3.0016),(1025,4935,0.50084,2.9892),(1025,4945,0.46131,2.9768),(1025,4955,0.40921,2.9651),(1025,4965,0.35712,2.9574),(1025,4975,0.27883,2.9497),(1025,4985,0.18033,2.9419),(1025,4995,0.081822,2.9412),(1025,5005,0.078672,2.9407),(1025,5015,0.22711,2.9401),(1025,5025,0.37556,2.9289),(1025,5035,0.5106,2.9149),(1025,5045,0.59459,2.9008),(1025,5055,0.67858,2.8839),(1025,5065,0.76118,2.8652),(1025,5075,0.79843,2.8464),(1025,5085,0.83568,2.8277),(1025,5095,0.87293,2.8091),(1025,5105,0.77923,2.7904),(1025,5115,0.66269,2.7742),(1025,5125,0.54614,2.7647),(1025,5135,0.45517,2.7552),(1025,5145,0.37661,2.7459),(1025,5155,0.29805,2.7392),(1025,5165,0.3414,2.7325),(1025,5175,0.50908,2.7258),(1025,5185,0.67676,2.709),(1025,5195,0.80342,2.6911),(1025,5205,0.84165,2.6732),(1025,5215,0.87988,2.6551),(1025,5225,0.91279,2.6369),(1025,5235,0.91271,2.6187),(1025,5245,0.91263,2.6016),(1025,5255,0.91255,2.5855),(1025,5265,0.63723,2.5693),(1025,5275,0.35055,2.5591),(1025,5285,0.063879,2.559),(1025,5295,0.093046,2.5589),(1025,5305,0.21017,2.5564),(1025,5315,0.32729,2.5441),(1025,5325,0.44676,2.5319),(1025,5335,0.56776,2.5195),(1025,5345,0.68877,2.5003),(1025,5355,0.79028,2.4811),(1025,5365,0.86549,2.4618),(1025,5375,0.94071,2.4414),(1025,5385,0.94237,2.4208),(1025,5395,0.72041,2.4002),(1025,5405,0.49846,2.3896),(1025,5415,0.29114,2.3843),(1025,5425,0.28054,2.3789),(1025,5435,0.26994,2.3734),(1025,5445,0.25933,2.3677),(1025,5455,0.31357,2.3621),(1025,5465,0.37574,2.355),(1025,5475,0.4379,2.3447),(1025,5485,0.46868,2.3343),(1025,5495,0.48683,2.3238),(1025,5505,0.50497,2.3117),(1025,5515,0.52444,2.2995),(1025,5525,0.54508,2.2874),(1025,5535,0.56571,2.2737),(1025,5545,0.58689,2.2598),(1025,5555,0.60905,2.246),(1025,5565,0.6312,2.2306),(1025,5575,0.65359,2.2146),(1025,5585,0.67705,2.1987),(1025,5595,0.70051,2.1818),(1025,5605,0.72397,2.1642),(1025,5615,0.74879,2.1466),(1025,5625,0.77361,2.1282),(1025,5635,0.79844,2.1086),(1025,5645,0.82433,2.089),(1025,5655,0.85045,2.069),(1025,5665,0.87658,2.0476),(1025,5675,0.90346,2.0262),(1025,5685,0.93077,2.0047),(1025,5695,0.95808,1.9817),(1025,5705,0.98579,1.9588),(1025,5715,1.014,1.9359),(1025,5725,1.0421,1.9116),(1025,5735,1.0705,1.8872),(1025,5745,1.0992,1.8628),(1025,5755,1.128,1.8376),(1025,5765,1.1568,1.812),(1025,5775,1.1858,1.7865),(1025,5785,1.2147,1.7604),(1025,5795,1.2437,1.7339),(1025,5805,1.2726,1.7073),(1025,5815,1.3015,1.6805),(1025,5825,1.3303,1.6531),(1025,5835,1.3589,1.6257),(1025,5845,1.3873,1.5982),(1025,5855,1.4157,1.5704),(1025,5865,1.4437,1.5426),(1025,5875,1.4713,1.5148),(1025,5885,1.499,1.4865),(1025,5895,1.5262,1.4583),(1025,5905,1.5528,1.43),(1025,5915,1.5794,1.4015),(1025,5925,1.6057,1.3729),(1025,5935,1.6311,1.3443),(1025,5945,1.6565,1.3157),(1025,5955,1.6818,1.2871),(1025,5965,1.7064,1.2585),(1025,5975,1.7309,1.2299),(1025,5985,1.7555,1.2014),(1025,5995,1.3461,1.1728),(1025,6005,0.86691,1.151),(1025,6015,0.3877,1.1473),(1025,6025,0.33178,1.1436),(1025,6035,0.47218,1.1389),(1025,6045,0.61259,1.1252),(1025,6055,0.71963,1.1115),(1025,6065,0.79396,1.0978),(1025,6075,0.8683,1.0797),(1025,6085,0.91985,1.0612),(1025,6095,0.92448,1.0427),(1025,6105,0.92911,1.024),(1025,6115,0.93371,1.0053),(1025,6125,0.93816,0.98666),(1025,6135,0.94262,0.96781),(1025,6145,0.94707,0.94881),(1025,6155,0.95126,0.92982),(1025,6165,0.95545,0.91066),(1025,6175,0.95964,0.89125),(1025,6185,0.96358,0.87183),(1025,6195,0.96746,0.85239),(1025,6205,0.97133,0.83289),(1025,6215,0.97504,0.8134),(1025,6225,0.97863,0.79389),(1025,6235,0.98222,0.77426),(1025,6245,0.98569,0.75462),(1025,6255,0.989,0.73499),(1025,6265,0.99231,0.71501),(1025,6275,0.99555,0.69498),(1025,6285,0.99859,0.67494),(1025,6295,1.0016,0.65489),(1025,6305,1.0047,0.63483),(1025,6315,1.0075,0.61476),(1025,6325,1.0103,0.59458),(1025,6335,1.0131,0.57426),(1025,6345,1.0156,0.55395),(1025,6355,1.0181,0.53355),(1025,6365,1.0205,0.51298),(1025,6375,1.0227,0.4924),(1025,6385,1.0248,0.47184),(1025,6395,1.027,0.45141),(1025,6405,1.0289,0.43098),(1025,6415,1.0308,0.41055),(1025,6425,1.0326,0.38978),(1025,6435,1.0343,0.369),(1025,6445,1.0358,0.34821),(1025,6455,1.0374,0.32718),(1025,6465,1.0389,0.30608),(1025,6475,1.0401,0.28498),(1025,6485,1.0414,0.26404),(1025,6495,1.0427,0.24321),(1025,6505,1.0436,0.22238),(1025,6515,1.0446,0.20151),(1025,6525,1.0456,0.18059),(1025,6535,1.0463,0.15968),(1025,6545,1.0469,0.13872),(1025,6555,1.0475,0.11762),(1025,6565,1.0479,0.096512),(1025,6575,1.0482,0.07541),(1025,6585,1.0486,0.054327),(1025,6595,0.89195,0.033243),(1025,6605,0.56207,0.01216),(1025,6615,0.23219,0.009697),(1025,6625,0.000289,0.009627),(1025,6635,0.000291,0.009557),(1025,6645,0.000292,0.009531),(1025,6655,0.000294,0.009525),(1025,6665,0.000296,0.009518),(1025,6675,0.000298,0.009511),(1025,6685,0.0003,0.009505),(1025,6695,0.000302,0.009498),(1025,6705,0.000304,0.009491),(1025,6715,0.000305,0.009484),(1025,6725,0.000307,0.009477),(1025,6735,0.000309,0.009471),(1025,6745,0.000311,0.009464),(1025,6755,0.000313,0.009457),(1025,6765,0.000314,0.00945),(1025,6775,0.000316,0.009443),(1025,6785,0.000318,0.009436),(1025,6795,0.000319,0.009429),(1025,6805,0.000321,0.009422),(1025,6815,0.000322,0.009415),(1025,6825,0.000324,0.009408),(1025,6835,0.000326,0.009401),(1025,6845,0.000327,0.009394),(1025,6855,0.000329,0.009387),(1025,6865,0.00033,0.00938),(1025,6875,0.000332,0.009373),(1025,6885,0.000333,0.009366),(1025,6895,0.000335,0.009358),(1025,6905,0.000336,0.009351),(1025,6915,0.000338,0.009344),(1025,6925,0.000339,0.009336),(1025,6935,0.00034,0.009329),(1025,6945,0.000342,0.009322),(1025,6955,0.000343,0.009314),(1025,6965,0.000345,0.009307),(1025,6975,0.000346,0.0093),(1025,6985,0.000347,0.009292),(1035,5,4.8e-05,3.6699),(1035,15,0.000143,3.6699),(1035,25,0.000238,3.6699),(1035,35,0.000334,3.6699),(1035,45,0.000429,3.6699),(1035,55,0.000524,3.6699),(1035,65,0.00062,3.6699),(1035,75,0.000715,3.6699),(1035,85,0.000811,3.6699),(1035,95,0.000906,3.6699),(1035,105,0.001002,3.6699),(1035,115,0.001098,3.6698),(1035,125,0.001194,3.6698),(1035,135,0.00129,3.6698),(1035,145,0.001387,3.6698),(1035,155,0.001483,3.6698),(1035,165,0.00158,3.6697),(1035,175,0.001677,3.6697),(1035,185,0.001774,3.6697),(1035,195,0.001871,3.6696),(1035,205,0.001968,3.6696),(1035,215,0.002066,3.6696),(1035,225,0.002164,3.6695),(1035,235,0.002262,3.6695),(1035,245,0.00236,3.6695),(1035,255,0.002458,3.6694),(1035,265,0.002557,3.6694),(1035,275,0.002657,3.6693),(1035,285,0.002756,3.6693),(1035,295,0.002855,3.6692),(1035,305,0.002955,3.6692),(1035,315,0.003056,3.6691),(1035,325,0.003157,3.6691),(1035,335,0.003257,3.669),(1035,345,0.003359,3.669),(1035,355,0.003461,3.6689),(1035,365,0.003563,3.6688),(1035,375,0.003665,3.6688),(1035,385,0.003769,3.6687),(1035,395,0.003872,3.6687),(1035,405,0.003976,3.6686),(1035,415,0.00408,3.6685),(1035,425,0.004185,3.6684),(1035,435,0.00429,3.6684),(1035,445,0.004396,3.6683),(1035,455,0.004501,3.6682),(1035,465,0.004608,3.6681),(1035,475,0.004715,3.6681),(1035,485,0.004823,3.668),(1035,495,0.00493,3.6679),(1035,505,0.005039,3.6678),(1035,515,0.005149,3.6677),(1035,525,0.005258,3.6676),(1035,535,0.005367,3.6675),(1035,545,0.005479,3.6675),(1035,555,0.005591,3.6674),(1035,565,0.005703,3.6673),(1035,575,0.005814,3.6672),(1035,585,0.005928,3.6671),(1035,595,0.006043,3.667),(1035,605,0.006157,3.6669),(1035,615,0.006271,3.6667),(1035,625,0.006388,3.6666),(1035,635,0.006504,3.6665),(1035,645,0.006621,3.6664),(1035,655,0.006738,3.6663),(1035,665,0.006858,3.6662),(1035,675,0.006977,3.6661),(1035,685,0.007096,3.6659),(1035,695,0.007216,3.6658),(1035,705,0.007339,3.6657),(1035,715,0.007461,3.6656),(1035,725,0.007583,3.6654),(1035,735,0.007706,3.6653),(1035,745,0.007832,3.6652),(1035,755,0.007957,3.665),(1035,765,0.008083,3.6649),(1035,775,0.008209,3.6648),(1035,785,0.008338,3.6646),(1035,795,0.008467,3.6645),(1035,805,0.008595,3.6643),(1035,815,0.008725,3.6642),(1035,825,0.008857,3.664),(1035,835,0.008989,3.6639),(1035,845,0.009121,3.6637),(1035,855,0.009255,3.6635),(1035,865,0.00939,3.6634),(1035,875,0.009526,3.6632),(1035,885,0.009662,3.663),(1035,895,0.009799,3.6629),(1035,905,0.009938,3.6627),(1035,915,0.010077,3.6625),(1035,925,0.010217,3.6623),(1035,935,0.010358,3.6622),(1035,945,0.010501,3.662),(1035,955,0.010644,3.6618),(1035,965,0.010787,3.6616),(1035,975,0.010932,3.6614),(1035,985,0.011079,3.6612),(1035,995,0.011226,3.661),(1035,1005,0.011373,3.6608),(1035,1015,0.011522,3.6606),(1035,1025,0.011674,3.6604),(1035,1035,0.011825,3.6602),(1035,1045,0.011976,3.66),(1035,1055,0.01213,3.6598),(1035,1065,0.012286,3.6596),(1035,1075,0.012441,3.6594),(1035,1085,0.012597,3.6592),(1035,1095,0.012755,3.6589),(1035,1105,0.012915,3.6587),(1035,1115,0.013075,3.6585),(1035,1125,0.013235,3.6582),(1035,1135,0.013398,3.658),(1035,1145,0.013563,3.6578),(1035,1155,0.013727,3.6575),(1035,1165,0.013892,3.6573),(1035,1175,0.01406,3.657),(1035,1185,0.014229,3.6568),(1035,1195,0.014398,3.6565),(1035,1205,0.014568,3.6563),(1035,1215,0.01474,3.656),(1035,1225,0.014914,3.6557),(1035,1235,0.015088,3.6555),(1035,1245,0.015262,3.6552),(1035,1255,0.01544,3.6549),(1035,1265,0.015619,3.6547),(1035,1275,0.015798,3.6544),(1035,1285,0.015976,3.6541),(1035,1295,0.016159,3.6538),(1035,1305,0.016343,3.6535),(1035,1315,0.016526,3.6532),(1035,1325,0.01671,3.6529),(1035,1335,0.016898,3.6526),(1035,1345,0.017087,3.6523),(1035,1355,0.017275,3.652),(1035,1365,0.017464,3.6517),(1035,1375,0.017657,3.6514),(1035,1385,0.017851,3.6511),(1035,1395,0.018045,3.6507),(1035,1405,0.018239,3.6504),(1035,1415,0.018438,3.6501),(1035,1425,0.018637,3.6497),(1035,1435,0.018836,3.6494),(1035,1445,0.019035,3.649),(1035,1455,0.019239,3.6487),(1035,1465,0.019443,3.6484),(1035,1475,0.019647,3.648),(1035,1485,0.019852,3.6476),(1035,1495,0.020061,3.6473),(1035,1505,0.02027,3.6469),(1035,1515,0.02048,3.6465),(1035,1525,0.020689,3.6462),(1035,1535,0.020904,3.6458),(1035,1545,0.021119,3.6454),(1035,1555,0.021333,3.645),(1035,1565,0.021548,3.6446),(1035,1575,0.021768,3.6442),(1035,1585,0.021988,3.6438),(1035,1595,0.022208,3.6434),(1035,1605,0.022428,3.643),(1035,1615,0.022653,3.6426),(1035,1625,0.022878,3.6422),(1035,1635,0.023103,3.6417),(1035,1645,0.023329,3.6413),(1035,1655,0.023559,3.6409),(1035,1665,0.023789,3.6404),(1035,1675,0.024019,3.64),(1035,1685,0.02425,3.6395),(1035,1695,0.024486,3.6391),(1035,1705,0.024721,3.6386),(1035,1715,0.024956,3.6382),(1035,1725,0.025192,3.6377),(1035,1735,0.025433,3.6372),(1035,1745,0.025673,3.6368),(1035,1755,0.025913,3.6363),(1035,1765,0.026154,3.6358),(1035,1775,0.026399,3.6353),(1035,1785,0.026645,3.6348),(1035,1795,0.02689,3.6343),(1035,1805,0.027136,3.6338),(1035,1815,0.027386,3.6333),(1035,1825,0.027636,3.6328),(1035,1835,0.027886,3.6322),(1035,1845,0.028137,3.6317),(1035,1855,0.028391,3.6312),(1035,1865,0.028646,3.6307),(1035,1875,0.0289,3.6301),(1035,1885,0.029156,3.6296),(1035,1895,0.029415,3.629),(1035,1905,0.029674,3.6285),(1035,1915,0.029932,3.6279),(1035,1925,0.030193,3.6273),(1035,1935,0.030456,3.6267),(1035,1945,0.030718,3.6262),(1035,1955,0.030981,3.6256),(1035,1965,0.031246,3.625),(1035,1975,0.031513,3.6244),(1035,1985,0.03178,3.6238),(1035,1995,0.032047,3.6232),(1035,2005,0.032315,3.6226),(1035,2015,0.032586,3.622),(1035,2025,0.032856,3.6213),(1035,2035,0.033127,3.6207),(1035,2045,0.033399,3.6201),(1035,2055,0.033673,3.6194),(1035,2065,0.033947,3.6188),(1035,2075,0.034221,3.6181),(1035,2085,0.034497,3.6174),(1035,2095,0.034774,3.6168),(1035,2105,0.035051,3.6161),(1035,2115,0.035328,3.6154),(1035,2125,0.035607,3.6148),(1035,2135,0.035887,3.6141),(1035,2145,0.036166,3.6134),(1035,2155,0.036446,3.6127),(1035,2165,0.036727,3.612),(1035,2175,0.037009,3.6113),(1035,2185,0.037292,3.6105),(1035,2195,0.037574,3.6098),(1035,2205,0.037857,3.6091),(1035,2215,0.038141,3.6083),(1035,2225,0.038425,3.6076),(1035,2235,0.038709,3.6068),(1035,2245,0.038994,3.6061),(1035,2255,0.03928,3.6053),(1035,2265,0.039565,3.6046),(1035,2275,0.039851,3.6038),(1035,2285,0.040137,3.603),(1035,2295,0.040424,3.6022),(1035,2305,0.04071,3.6014),(1035,2315,0.040997,3.6006),(1035,2325,0.041284,3.5998),(1035,2335,0.041571,3.599),(1035,2345,0.041858,3.5982),(1035,2355,0.042146,3.5974),(1035,2365,0.042433,3.5966),(1035,2375,0.04272,3.5958),(1035,2385,0.043008,3.5949),(1035,2395,0.043295,3.5941),(1035,2405,0.043582,3.5932),(1035,2415,0.043868,3.5924),(1035,2425,0.044155,3.5915),(1035,2435,0.044442,3.5906),(1035,2445,0.044728,3.5898),(1035,2455,0.045013,3.5889),(1035,2465,0.045299,3.588),(1035,2475,0.045585,3.5871),(1035,2485,0.045869,3.5862),(1035,2495,0.046153,3.5853),(1035,2505,0.046437,3.5844),(1035,2515,0.046721,3.5835),(1035,2525,0.047003,3.5826),(1035,2535,0.047285,3.5816),(1035,2545,0.047567,3.5807),(1035,2555,0.047849,3.5798),(1035,2565,0.048128,3.5788),(1035,2575,0.048407,3.5779),(1035,2585,0.048686,3.5769),(1035,2595,0.048965,3.576),(1035,2605,0.04924,3.575),(1035,2615,0.049516,3.5741),(1035,2625,0.049791,3.5731),(1035,2635,0.050066,3.5721),(1035,2645,0.050338,3.5711),(1035,2655,0.050609,3.5701),(1035,2665,0.050881,3.5691),(1035,2675,0.051151,3.5681),(1035,2685,0.051418,3.5671),(1035,2695,0.051685,3.5661),(1035,2705,0.051951,3.5651),(1035,2715,0.052217,3.5641),(1035,2725,0.052478,3.5631),(1035,2735,0.052739,3.5621),(1035,2745,0.052999,3.561),(1035,2755,0.053259,3.56),(1035,2765,0.053513,3.559),(1035,2775,0.053768,3.5579),(1035,2785,0.054022,3.5569),(1035,2795,0.054275,3.5558),(1035,2805,0.054522,3.5548),(1035,2815,0.05477,3.5537),(1035,2825,0.055017,3.5527),(1035,2835,0.055262,3.5516),(1035,2845,0.055501,3.5506),(1035,2855,0.055741,3.5495),(1035,2865,0.05598,3.5484),(1035,2875,0.056217,3.5474),(1035,2885,0.056447,3.5463),(1035,2895,0.056678,3.5452),(1035,2905,0.056908,3.5441),(1035,2915,0.057135,3.5431),(1035,2925,0.057356,3.542),(1035,2935,0.057576,3.5409),(1035,2945,0.057797,3.5398),(1035,2955,0.058013,3.5387),(1035,2965,0.058223,3.5376),(1035,2975,0.058433,3.5365),(1035,2985,0.058643,3.5354),(1035,2995,0.058847,3.5344),(1035,3005,0.059045,3.5333),(1035,3015,0.059243,3.5322),(1035,3025,0.059441,3.5311),(1035,3035,0.059632,3.53),(1035,3045,0.059817,3.5289),(1035,3055,0.060002,3.5278),(1035,3065,0.060188,3.5267),(1035,3075,0.060364,3.5256),(1035,3085,0.060535,3.5245),(1035,3095,0.060705,3.5234),(1035,3105,0.060876,3.5223),(1035,3115,0.061037,3.5213),(1035,3125,0.061191,3.5202),(1035,3135,0.061346,3.5191),(1035,3145,0.0615,3.518),(1035,3155,0.061643,3.5169),(1035,3165,0.06178,3.5159),(1035,3175,0.061917,3.5148),(1035,3185,0.062054,3.5137),(1035,3195,0.062178,3.5127),(1035,3205,0.062296,3.5116),(1035,3215,0.062413,3.5105),(1035,3225,0.062531,3.5095),(1035,3235,0.062633,3.5084),(1035,3245,0.062729,3.5074),(1035,3255,0.062825,3.5064),(1035,3265,0.062921,3.5053),(1035,3275,0.062999,3.5043),(1035,3285,0.063071,3.5033),(1035,3295,0.063143,3.5023),(1035,3305,0.063215,3.5013),(1035,3315,0.063266,3.5003),(1035,3325,0.063311,3.4992),(1035,3335,0.063356,3.4983),(1035,3345,0.063402,3.4973),(1035,3355,0.063422,3.4963),(1035,3365,0.063437,3.4953),(1035,3375,0.063452,3.4944),(1035,3385,0.063467,3.4935),(1035,3395,0.063453,3.4925),(1035,3405,0.063435,3.4916),(1035,3415,0.063416,3.4907),(1035,3425,0.063398,3.4898),(1035,3435,0.063345,3.4889),(1035,3445,0.06329,3.4879),(1035,3455,0.063234,3.4871),(1035,3465,0.063179,3.4862),(1035,3475,0.063083,3.4854),(1035,3485,0.062986,3.4845),(1035,3495,0.062888,3.4837),(1035,3505,0.062791,3.4829),(1035,3515,0.062647,3.4821),(1035,3525,0.062503,3.4812),(1035,3535,0.062359,3.4805),(1035,3545,0.062213,3.4797),(1035,3555,0.062017,3.4789),(1035,3565,0.061821,3.4782),(1035,3575,0.061625,3.4775),(1035,3585,0.061425,3.4768),(1035,3595,0.061171,3.476),(1035,3605,0.060918,3.4753),(1035,3615,0.060664,3.4747),(1035,3625,0.060403,3.474),(1035,3635,0.060086,3.4734),(1035,3645,0.059769,3.4727),(1035,3655,0.059452,3.4721),(1035,3665,0.059124,3.4715),(1035,3675,0.058737,3.4709),(1035,3685,0.058351,3.4703),(1035,3695,0.057964,3.4698),(1035,3705,0.057562,3.4693),(1035,3715,0.057101,3.4687),(1035,3725,0.056639,3.4682),(1035,3735,0.056177,3.4677),(1035,3745,0.055696,3.4672),(1035,3755,0.055153,3.4668),(1035,3765,0.054611,3.4663),(1035,3775,0.054068,3.4659),(1035,3785,0.053501,3.4655),(1035,3795,0.052873,3.465),(1035,3805,0.052245,3.4646),(1035,3815,0.051617,3.4643),(1035,3825,0.05096,3.4639),(1035,3835,0.050243,3.4635),(1035,3845,0.049526,3.4632),(1035,3855,0.048808,3.4629),(1035,3865,0.048058,3.4626),(1035,3875,0.04725,3.4623),(1035,3885,0.046442,3.462),(1035,3895,0.045634,3.4617),(1035,3905,0.053528,3.4615),(1035,3915,0.074422,3.4612),(1035,3925,0.095316,3.4608),(1035,3935,0.11621,3.4603),(1035,3945,0.13887,3.4598),(1035,3955,0.16378,3.4593),(1035,3965,0.1887,3.4584),(1035,3975,0.21361,3.457),(1035,3985,0.22781,3.4556),(1035,3995,0.23042,3.4541),(1035,4005,0.23304,3.4524),(1035,4015,0.23565,3.4503),(1035,4025,0.23802,3.4483),(1035,4035,0.24037,3.446),(1035,4045,0.24272,3.4434),(1035,4055,0.24503,3.4408),(1035,4065,0.24733,3.4381),(1035,4075,0.24962,3.4349),(1035,4085,0.25195,3.4318),(1035,4095,0.25432,3.4287),(1035,4105,0.25669,3.4251),(1035,4115,0.24937,3.4215),(1035,4125,0.22599,3.418),(1035,4135,0.20262,3.4151),(1035,4145,0.17825,3.4123),(1035,4155,0.14988,3.4096),(1035,4165,0.12151,3.4077),(1035,4175,0.09454,3.4063),(1035,4185,0.13656,3.405),(1035,4195,0.17857,3.4023),(1035,4205,0.22059,3.3977),(1035,4215,0.21462,3.3931),(1035,4225,0.19962,3.3885),(1035,4235,0.18462,3.3837),(1035,4245,0.16617,3.379),(1035,4255,0.14597,3.3743),(1035,4265,0.12576,3.3705),(1035,4275,0.10204,3.3668),(1035,4285,0.074584,3.363),(1035,4295,0.047127,3.3616),(1035,4305,0.039333,3.3604),(1035,4315,0.075939,3.3593),(1035,4325,0.11255,3.3537),(1035,4335,0.14641,3.3464),(1035,4345,0.16172,3.339),(1035,4355,0.17703,3.3325),(1035,4365,0.19234,3.3266),(1035,4375,0.20145,3.3207),(1035,4385,0.21023,3.3155),(1035,4395,0.21901,3.3116),(1035,4405,0.19374,3.3077),(1035,4415,0.15842,3.3043),(1035,4425,0.12311,3.3034),(1035,4435,0.11089,3.3025),(1035,4445,0.11445,3.3016),(1035,4455,0.11801,3.2996),(1035,4465,0.14597,3.2977),(1035,4475,0.20819,3.2957),(1035,4485,0.27041,3.2909),(1035,4495,0.32022,3.2855),(1035,4505,0.33022,3.2801),(1035,4515,0.34021,3.2743),(1035,4525,0.34933,3.2682),(1035,4535,0.34449,3.2622),(1035,4545,0.33965,3.2562),(1035,4555,0.33482,3.2504),(1035,4565,0.24469,3.2446),(1035,4575,0.14307,3.2403),(1035,4585,0.041447,3.2399),(1035,4595,0.033755,3.2395),(1035,4605,0.065752,3.2388),(1035,4615,0.097748,3.2356),(1035,4625,0.13914,3.2324),(1035,4635,0.18904,3.2292),(1035,4645,0.23895,3.2234),(1035,4655,0.28975,3.2175),(1035,4665,0.34224,3.2115),(1035,4675,0.39473,3.2042),(1035,4685,0.42358,3.1966),(1035,4695,0.33558,3.1889),(1035,4705,0.24758,3.1841),(1035,4715,0.15958,3.1813),(1035,4725,0.19576,3.1786),(1035,4735,0.23317,3.1742),(1035,4745,0.27059,3.1671),(1035,4755,0.34045,3.1601),(1035,4765,0.41783,3.152),(1035,4775,0.49522,3.1406),(1035,4785,0.54238,3.1292),(1035,4795,0.57206,3.1178),(1035,4805,0.60174,3.1062),(1035,4815,0.5944,3.0946),(1035,4825,0.54278,3.0829),(1035,4835,0.49116,3.0748),(1035,4845,0.42476,3.0673),(1035,4855,0.3198,3.0597),(1035,4865,0.21484,3.0548),(1035,4875,0.13267,3.0511),(1035,4885,0.25786,3.0473),(1035,4895,0.38305,3.0385),(1035,4905,0.50823,3.0248),(1035,4915,0.51478,3.011),(1035,4925,0.51113,2.9977),(1035,4935,0.50747,2.9853),(1035,4945,0.46721,2.9729),(1035,4955,0.41426,2.9611),(1035,4965,0.36132,2.9534),(1035,4975,0.28203,2.9456),(1035,4985,0.1824,2.9379),(1035,4995,0.08278,2.9371),(1035,5005,0.079864,2.9366),(1035,5015,0.23069,2.936),(1035,5025,0.38152,2.9248),(1035,5035,0.51857,2.9109),(1035,5045,0.60313,2.897),(1035,5055,0.68769,2.8802),(1035,5065,0.77083,2.8616),(1035,5075,0.80777,2.843),(1035,5085,0.8447,2.8245),(1035,5095,0.88163,2.806),(1035,5105,0.78662,2.7875),(1035,5115,0.66859,2.7714),(1035,5125,0.55055,2.762),(1035,5135,0.45902,2.7526),(1035,5145,0.38035,2.7434),(1035,5155,0.30168,2.7367),(1035,5165,0.34577,2.73),(1035,5175,0.51505,2.7233),(1035,5185,0.68434,2.7065),(1035,5195,0.81203,2.6886),(1035,5205,0.85003,2.6707),(1035,5215,0.88803,2.6527),(1035,5225,0.92068,2.6345),(1035,5235,0.92007,2.6164),(1035,5245,0.91947,2.5994),(1035,5255,0.91887,2.5833),(1035,5265,0.64165,2.5672),(1035,5275,0.35301,2.5571),(1035,5285,0.064382,2.5569),(1035,5295,0.094875,2.5568),(1035,5305,0.21424,2.5544),(1035,5315,0.3336,2.5421),(1035,5325,0.45449,2.5298),(1035,5335,0.57638,2.5174),(1035,5345,0.69827,2.4982),(1035,5355,0.80019,2.479),(1035,5365,0.87518,2.4599),(1035,5375,0.95017,2.4396),(1035,5385,0.95111,2.4191),(1035,5395,0.7269,2.3987),(1035,5405,0.50269,2.3882),(1035,5415,0.29329,2.3829),(1035,5425,0.28289,2.3776),(1035,5435,0.27249,2.372),(1035,5445,0.26209,2.3662),(1035,5455,0.31702,2.3604),(1035,5465,0.37994,2.3531),(1035,5475,0.44285,2.3426),(1035,5485,0.47406,2.332),(1035,5495,0.49249,2.3212),(1035,5505,0.51093,2.3089),(1035,5515,0.53071,2.2965),(1035,5525,0.55168,2.2842),(1035,5535,0.57264,2.2702),(1035,5545,0.59415,2.2562),(1035,5555,0.61663,2.2421),(1035,5565,0.63912,2.2265),(1035,5575,0.66184,2.2104),(1035,5585,0.68563,2.1943),(1035,5595,0.70943,2.1772),(1035,5605,0.73322,2.1595),(1035,5615,0.75833,2.1417),(1035,5625,0.78345,2.1231),(1035,5635,0.80857,2.1034),(1035,5645,0.83472,2.0837),(1035,5655,0.86109,2.0636),(1035,5665,0.88747,2.0421),(1035,5675,0.91458,2.0206),(1035,5685,0.94209,1.999),(1035,5695,0.9696,1.9761),(1035,5705,0.9975,1.9531),(1035,5715,1.0258,1.9301),(1035,5725,1.0542,1.9059),(1035,5735,1.0826,1.8815),(1035,5745,1.1115,1.8571),(1035,5755,1.1404,1.8319),(1035,5765,1.1692,1.8064),(1035,5775,1.1983,1.781),(1035,5785,1.2273,1.755),(1035,5795,1.2563,1.7286),(1035,5805,1.2851,1.7021),(1035,5815,1.314,1.6754),(1035,5825,1.3428,1.6482),(1035,5835,1.3713,1.621),(1035,5845,1.3996,1.5937),(1035,5855,1.4279,1.5661),(1035,5865,1.4558,1.5385),(1035,5875,1.4833,1.5108),(1035,5885,1.5109,1.4828),(1035,5895,1.538,1.4548),(1035,5905,1.5644,1.4268),(1035,5915,1.5908,1.3985),(1035,5925,1.617,1.3702),(1035,5935,1.6422,1.3418),(1035,5945,1.6674,1.3135),(1035,5955,1.6926,1.2852),(1035,5965,1.7169,1.2569),(1035,5975,1.7413,1.2286),(1035,5985,1.7657,1.2004),(1035,5995,1.3539,1.1722),(1035,6005,0.87188,1.1506),(1035,6015,0.38986,1.1469),(1035,6025,0.33421,1.1432),(1035,6035,0.47631,1.1386),(1035,6045,0.6184,1.1249),(1035,6055,0.72665,1.1112),(1035,6065,0.8017,1.0975),(1035,6075,0.87675,1.0794),(1035,6085,0.9288,1.0608),(1035,6095,0.93347,1.0423),(1035,6105,0.93814,1.0236),(1035,6115,0.94278,1.005),(1035,6125,0.94727,0.9863),(1035,6135,0.95175,0.96744),(1035,6145,0.95624,0.94844),(1035,6155,0.96047,0.92945),(1035,6165,0.9647,0.91028),(1035,6175,0.96893,0.89085),(1035,6185,0.97291,0.87142),(1035,6195,0.97683,0.85197),(1035,6205,0.98075,0.83247),(1035,6215,0.9845,0.81297),(1035,6225,0.98813,0.79346),(1035,6235,0.99176,0.77383),(1035,6245,0.99527,0.7542),(1035,6255,0.9986,0.73456),(1035,6265,1.0019,0.7146),(1035,6275,1.0052,0.69457),(1035,6285,1.0083,0.67455),(1035,6295,1.0113,0.65452),(1035,6305,1.0144,0.63448),(1035,6315,1.0172,0.61445),(1035,6325,1.0201,0.59427),(1035,6335,1.0229,0.57394),(1035,6345,1.0254,0.5536),(1035,6355,1.0279,0.5332),(1035,6365,1.0304,0.51262),(1035,6375,1.0327,0.49205),(1035,6385,1.0348,0.47149),(1035,6395,1.037,0.45108),(1035,6405,1.039,0.43066),(1035,6415,1.0408,0.41024),(1035,6425,1.0427,0.38949),(1035,6435,1.0444,0.36872),(1035,6445,1.0459,0.34794),(1035,6455,1.0475,0.32694),(1035,6465,1.049,0.30587),(1035,6475,1.0503,0.2848),(1035,6485,1.0515,0.26387),(1035,6495,1.0528,0.24305),(1035,6505,1.0538,0.22223),(1035,6515,1.0548,0.20137),(1035,6525,1.0558,0.18046),(1035,6535,1.0565,0.15955),(1035,6545,1.0571,0.1386),(1035,6555,1.0577,0.11751),(1035,6565,1.0581,0.096433),(1035,6575,1.0585,0.075353),(1035,6585,1.0588,0.054298),(1035,6595,0.90063,0.033243),(1035,6605,0.56754,0.012188),(1035,6615,0.23445,0.00972),(1035,6625,0.000292,0.00964),(1035,6635,0.000294,0.009561),(1035,6645,0.000296,0.009533),(1035,6655,0.000298,0.009527),(1035,6665,0.0003,0.00952),(1035,6675,0.000302,0.009513),(1035,6685,0.000304,0.009506),(1035,6695,0.000305,0.0095),(1035,6705,0.000307,0.009493),(1035,6715,0.000309,0.009486),(1035,6725,0.000311,0.009479),(1035,6735,0.000313,0.009472),(1035,6745,0.000314,0.009465),(1035,6755,0.000316,0.009459),(1035,6765,0.000318,0.009452),(1035,6775,0.00032,0.009445),(1035,6785,0.000321,0.009438),(1035,6795,0.000323,0.009431),(1035,6805,0.000324,0.009424),(1035,6815,0.000326,0.009417),(1035,6825,0.000328,0.00941),(1035,6835,0.000329,0.009403),(1035,6845,0.000331,0.009396),(1035,6855,0.000332,0.009389),(1035,6865,0.000334,0.009381),(1035,6875,0.000335,0.009374),(1035,6885,0.000337,0.009367),(1035,6895,0.000338,0.00936),(1035,6905,0.00034,0.009352),(1035,6915,0.000341,0.009345),(1035,6925,0.000343,0.009338),(1035,6935,0.000344,0.009331),(1035,6945,0.000346,0.009323),(1035,6955,0.000347,0.009316),(1035,6965,0.000348,0.009308),(1035,6975,0.00035,0.009301),(1035,6985,0.000351,0.009294),(1045,5,4.8e-05,3.67),(1045,15,0.000144,3.67),(1045,25,0.00024,3.67),(1045,35,0.000336,3.67),(1045,45,0.000432,3.67),(1045,55,0.000528,3.67),(1045,65,0.000624,3.67),(1045,75,0.00072,3.67),(1045,85,0.000816,3.67),(1045,95,0.000913,3.67),(1045,105,0.001009,3.67),(1045,115,0.001106,3.6699),(1045,125,0.001202,3.6699),(1045,135,0.001299,3.6699),(1045,145,0.001396,3.6699),(1045,155,0.001493,3.6698),(1045,165,0.001591,3.6698),(1045,175,0.001688,3.6698),(1045,185,0.001786,3.6698),(1045,195,0.001884,3.6697),(1045,205,0.001982,3.6697),(1045,215,0.00208,3.6697),(1045,225,0.002178,3.6696),(1045,235,0.002277,3.6696),(1045,245,0.002376,3.6696),(1045,255,0.002475,3.6695),(1045,265,0.002575,3.6695),(1045,275,0.002675,3.6694),(1045,285,0.002775,3.6694),(1045,295,0.002875,3.6693),(1045,305,0.002976,3.6693),(1045,315,0.003077,3.6692),(1045,325,0.003178,3.6692),(1045,335,0.00328,3.6691),(1045,345,0.003382,3.6691),(1045,355,0.003485,3.669),(1045,365,0.003588,3.669),(1045,375,0.00369,3.6689),(1045,385,0.003795,3.6688),(1045,395,0.003899,3.6688),(1045,405,0.004003,3.6687),(1045,415,0.004108,3.6686),(1045,425,0.004214,3.6686),(1045,435,0.00432,3.6685),(1045,445,0.004426,3.6684),(1045,455,0.004532,3.6683),(1045,465,0.00464,3.6683),(1045,475,0.004748,3.6682),(1045,485,0.004856,3.6681),(1045,495,0.004964,3.668),(1045,505,0.005074,3.6679),(1045,515,0.005184,3.6678),(1045,525,0.005294,3.6678),(1045,535,0.005405,3.6677),(1045,545,0.005517,3.6676),(1045,555,0.00563,3.6675),(1045,565,0.005742,3.6674),(1045,575,0.005855,3.6673),(1045,585,0.00597,3.6672),(1045,595,0.006085,3.6671),(1045,605,0.0062,3.667),(1045,615,0.006315,3.6669),(1045,625,0.006432,3.6668),(1045,635,0.00655,3.6666),(1045,645,0.006667,3.6665),(1045,655,0.006785,3.6664),(1045,665,0.006906,3.6663),(1045,675,0.007026,3.6662),(1045,685,0.007146,3.6661),(1045,695,0.007267,3.6659),(1045,705,0.007391,3.6658),(1045,715,0.007514,3.6657),(1045,725,0.007637,3.6656),(1045,735,0.007761,3.6654),(1045,745,0.007887,3.6653),(1045,755,0.008014,3.6652),(1045,765,0.00814,3.665),(1045,775,0.008268,3.6649),(1045,785,0.008397,3.6647),(1045,795,0.008527,3.6646),(1045,805,0.008657,3.6644),(1045,815,0.008787,3.6643),(1045,825,0.00892,3.6641),(1045,835,0.009054,3.664),(1045,845,0.009187,3.6638),(1045,855,0.009321,3.6637),(1045,865,0.009458,3.6635),(1045,875,0.009595,3.6633),(1045,885,0.009732,3.6632),(1045,895,0.00987,3.663),(1045,905,0.01001,3.6628),(1045,915,0.010151,3.6627),(1045,925,0.010291,3.6625),(1045,935,0.010433,3.6623),(1045,945,0.010577,3.6621),(1045,955,0.010722,3.6619),(1045,965,0.010866,3.6618),(1045,975,0.011012,3.6616),(1045,985,0.01116,3.6614),(1045,995,0.011309,3.6612),(1045,1005,0.011457,3.661),(1045,1015,0.011607,3.6608),(1045,1025,0.01176,3.6606),(1045,1035,0.011913,3.6604),(1045,1045,0.012065,3.6602),(1045,1055,0.01222,3.66),(1045,1065,0.012377,3.6597),(1045,1075,0.012534,3.6595),(1045,1085,0.012691,3.6593),(1045,1095,0.01285,3.6591),(1045,1105,0.013012,3.6589),(1045,1115,0.013173,3.6586),(1045,1125,0.013335,3.6584),(1045,1135,0.013499,3.6582),(1045,1145,0.013665,3.6579),(1045,1155,0.013831,3.6577),(1045,1165,0.013997,3.6574),(1045,1175,0.014166,3.6572),(1045,1185,0.014337,3.6569),(1045,1195,0.014508,3.6567),(1045,1205,0.014679,3.6564),(1045,1215,0.014853,3.6562),(1045,1225,0.015028,3.6559),(1045,1235,0.015204,3.6556),(1045,1245,0.01538,3.6554),(1045,1255,0.015559,3.6551),(1045,1265,0.015739,3.6548),(1045,1275,0.01592,3.6545),(1045,1285,0.0161,3.6543),(1045,1295,0.016284,3.654),(1045,1305,0.01647,3.6537),(1045,1315,0.016655,3.6534),(1045,1325,0.016841,3.6531),(1045,1335,0.01703,3.6528),(1045,1345,0.017221,3.6525),(1045,1355,0.017411,3.6522),(1045,1365,0.017602,3.6519),(1045,1375,0.017797,3.6516),(1045,1385,0.017992,3.6512),(1045,1395,0.018188,3.6509),(1045,1405,0.018384,3.6506),(1045,1415,0.018584,3.6503),(1045,1425,0.018785,3.6499),(1045,1435,0.018986,3.6496),(1045,1445,0.019187,3.6492),(1045,1455,0.019393,3.6489),(1045,1465,0.019599,3.6486),(1045,1475,0.019805,3.6482),(1045,1485,0.020011,3.6478),(1045,1495,0.020223,3.6475),(1045,1505,0.020434,3.6471),(1045,1515,0.020646,3.6467),(1045,1525,0.020857,3.6464),(1045,1535,0.021074,3.646),(1045,1545,0.021291,3.6456),(1045,1555,0.021507,3.6452),(1045,1565,0.021724,3.6448),(1045,1575,0.021946,3.6444),(1045,1585,0.022168,3.644),(1045,1595,0.02239,3.6436),(1045,1605,0.022613,3.6432),(1045,1615,0.02284,3.6428),(1045,1625,0.023067,3.6424),(1045,1635,0.023295,3.642),(1045,1645,0.023523,3.6415),(1045,1655,0.023755,3.6411),(1045,1665,0.023987,3.6407),(1045,1675,0.02422,3.6402),(1045,1685,0.024453,3.6398),(1045,1695,0.024691,3.6393),(1045,1705,0.024929,3.6389),(1045,1715,0.025166,3.6384),(1045,1725,0.025405,3.6379),(1045,1735,0.025648,3.6375),(1045,1745,0.02589,3.637),(1045,1755,0.026133,3.6365),(1045,1765,0.026377,3.636),(1045,1775,0.026624,3.6355),(1045,1785,0.026872,3.6351),(1045,1795,0.02712,3.6345),(1045,1805,0.027369,3.634),(1045,1815,0.027621,3.6335),(1045,1825,0.027874,3.633),(1045,1835,0.028126,3.6325),(1045,1845,0.02838,3.632),(1045,1855,0.028637,3.6314),(1045,1865,0.028894,3.6309),(1045,1875,0.029151,3.6304),(1045,1885,0.02941,3.6298),(1045,1895,0.029672,3.6293),(1045,1905,0.029933,3.6287),(1045,1915,0.030194,3.6281),(1045,1925,0.030458,3.6276),(1045,1935,0.030723,3.627),(1045,1945,0.030989,3.6264),(1045,1955,0.031255,3.6258),(1045,1965,0.031522,3.6252),(1045,1975,0.031792,3.6247),(1045,1985,0.032062,3.6241),(1045,1995,0.032331,3.6234),(1045,2005,0.032603,3.6228),(1045,2015,0.032876,3.6222),(1045,2025,0.03315,3.6216),(1045,2035,0.033423,3.621),(1045,2045,0.033699,3.6203),(1045,2055,0.033975,3.6197),(1045,2065,0.034252,3.619),(1045,2075,0.034529,3.6184),(1045,2085,0.034808,3.6177),(1045,2095,0.035088,3.6171),(1045,2105,0.035368,3.6164),(1045,2115,0.035648,3.6157),(1045,2125,0.03593,3.615),(1045,2135,0.036213,3.6143),(1045,2145,0.036495,3.6137),(1045,2155,0.036778,3.6129),(1045,2165,0.037062,3.6122),(1045,2175,0.037348,3.6115),(1045,2185,0.037633,3.6108),(1045,2195,0.037918,3.6101),(1045,2205,0.038204,3.6094),(1045,2215,0.038491,3.6086),(1045,2225,0.038778,3.6079),(1045,2235,0.039065,3.6071),(1045,2245,0.039354,3.6064),(1045,2255,0.039642,3.6056),(1045,2265,0.039931,3.6049),(1045,2275,0.040219,3.6041),(1045,2285,0.040509,3.6033),(1045,2295,0.040798,3.6025),(1045,2305,0.041088,3.6017),(1045,2315,0.041377,3.6009),(1045,2325,0.041668,3.6001),(1045,2335,0.041958,3.5993),(1045,2345,0.042248,3.5985),(1045,2355,0.042538,3.5977),(1045,2365,0.042829,3.5969),(1045,2375,0.043119,3.596),(1045,2385,0.043409,3.5952),(1045,2395,0.0437,3.5943),(1045,2405,0.043989,3.5935),(1045,2415,0.044279,3.5926),(1045,2425,0.044569,3.5918),(1045,2435,0.044858,3.5909),(1045,2445,0.045147,3.59),(1045,2455,0.045435,3.5892),(1045,2465,0.045724,3.5883),(1045,2475,0.046013,3.5874),(1045,2485,0.046299,3.5865),(1045,2495,0.046586,3.5856),(1045,2505,0.046873,3.5847),(1045,2515,0.04716,3.5838),(1045,2525,0.047445,3.5828),(1045,2535,0.047729,3.5819),(1045,2545,0.048014,3.581),(1045,2555,0.048298,3.58),(1045,2565,0.04858,3.5791),(1045,2575,0.048861,3.5782),(1045,2585,0.049143,3.5772),(1045,2595,0.049424,3.5762),(1045,2605,0.049702,3.5753),(1045,2615,0.04998,3.5743),(1045,2625,0.050257,3.5733),(1045,2635,0.050535,3.5724),(1045,2645,0.050808,3.5714),(1045,2655,0.051082,3.5704),(1045,2665,0.051355,3.5694),(1045,2675,0.051628,3.5684),(1045,2685,0.051896,3.5674),(1045,2695,0.052165,3.5664),(1045,2705,0.052433,3.5654),(1045,2715,0.052701,3.5644),(1045,2725,0.052963,3.5634),(1045,2735,0.053226,3.5623),(1045,2745,0.053488,3.5613),(1045,2755,0.053749,3.5603),(1045,2765,0.054005,3.5592),(1045,2775,0.054261,3.5582),(1045,2785,0.054517,3.5571),(1045,2795,0.054771,3.5561),(1045,2805,0.055019,3.555),(1045,2815,0.055267,3.554),(1045,2825,0.055516,3.5529),(1045,2835,0.055761,3.5519),(1045,2845,0.056002,3.5508),(1045,2855,0.056242,3.5497),(1045,2865,0.056482,3.5487),(1045,2875,0.056719,3.5476),(1045,2885,0.056949,3.5465),(1045,2895,0.05718,3.5454),(1045,2905,0.057411,3.5444),(1045,2915,0.057638,3.5433),(1045,2925,0.057859,3.5422),(1045,2935,0.058079,3.5411),(1045,2945,0.0583,3.54),(1045,2955,0.058515,3.5389),(1045,2965,0.058724,3.5378),(1045,2975,0.058934,3.5367),(1045,2985,0.059143,3.5356),(1045,2995,0.059346,3.5346),(1045,3005,0.059543,3.5335),(1045,3015,0.05974,3.5324),(1045,3025,0.059936,3.5313),(1045,3035,0.060126,3.5302),(1045,3045,0.060309,3.5291),(1045,3055,0.060493,3.528),(1045,3065,0.060676,3.5269),(1045,3075,0.060851,3.5258),(1045,3085,0.061019,3.5247),(1045,3095,0.061187,3.5236),(1045,3105,0.061355,3.5225),(1045,3115,0.061514,3.5214),(1045,3125,0.061665,3.5203),(1045,3135,0.061817,3.5192),(1045,3145,0.061968,3.5182),(1045,3155,0.062108,3.5171),(1045,3165,0.062241,3.516),(1045,3175,0.062374,3.5149),(1045,3185,0.062508,3.5139),(1045,3195,0.062627,3.5128),(1045,3205,0.06274,3.5117),(1045,3215,0.062854,3.5107),(1045,3225,0.062967,3.5096),(1045,3235,0.063064,3.5085),(1045,3245,0.063155,3.5075),(1045,3255,0.063246,3.5065),(1045,3265,0.063337,3.5054),(1045,3275,0.063409,3.5044),(1045,3285,0.063475,3.5033),(1045,3295,0.063541,3.5023),(1045,3305,0.063607,3.5013),(1045,3315,0.063651,3.5003),(1045,3325,0.06369,3.4993),(1045,3335,0.063729,3.4983),(1045,3345,0.063768,3.4973),(1045,3355,0.06378,3.4963),(1045,3365,0.063788,3.4954),(1045,3375,0.063796,3.4944),(1045,3385,0.063804,3.4935),(1045,3395,0.063782,3.4925),(1045,3405,0.063756,3.4916),(1045,3415,0.063729,3.4906),(1045,3425,0.063703,3.4897),(1045,3435,0.063641,3.4888),(1045,3445,0.063577,3.4879),(1045,3455,0.063513,3.487),(1045,3465,0.063448,3.4862),(1045,3475,0.063343,3.4853),(1045,3485,0.063237,3.4844),(1045,3495,0.06313,3.4836),(1045,3505,0.063024,3.4828),(1045,3515,0.06287,3.4819),(1045,3525,0.062716,3.4811),(1045,3535,0.062563,3.4803),(1045,3545,0.062407,3.4795),(1045,3555,0.062201,3.4788),(1045,3565,0.061995,3.478),(1045,3575,0.061789,3.4773),(1045,3585,0.061578,3.4765),(1045,3595,0.061315,3.4758),(1045,3605,0.061051,3.4751),(1045,3615,0.060787,3.4744),(1045,3625,0.060516,3.4737),(1045,3635,0.060189,3.4731),(1045,3645,0.059862,3.4724),(1045,3655,0.059534,3.4718),(1045,3665,0.059196,3.4712),(1045,3675,0.0588,3.4706),(1045,3685,0.058403,3.47),(1045,3695,0.058007,3.4694),(1045,3705,0.057595,3.4688),(1045,3715,0.057124,3.4683),(1045,3725,0.056653,3.4677),(1045,3735,0.056182,3.4672),(1045,3745,0.055691,3.4667),(1045,3755,0.05514,3.4662),(1045,3765,0.054589,3.4657),(1045,3775,0.054038,3.4653),(1045,3785,0.053463,3.4649),(1045,3795,0.052827,3.4644),(1045,3805,0.052191,3.464),(1045,3815,0.051556,3.4636),(1045,3825,0.050892,3.4632),(1045,3835,0.050168,3.4628),(1045,3845,0.049444,3.4625),(1045,3855,0.048721,3.4621),(1045,3865,0.047965,3.4618),(1045,3875,0.047152,3.4615),(1045,3885,0.04634,3.4612),(1045,3895,0.045527,3.4609),(1045,3905,0.053379,3.4606),(1045,3915,0.074173,3.4603),(1045,3925,0.094968,3.4599),(1045,3935,0.11576,3.4594),(1045,3945,0.13838,3.4588),(1045,3955,0.16331,3.4582),(1045,3965,0.18824,3.4572),(1045,3975,0.21318,3.4557),(1045,3985,0.22746,3.4542),(1045,3995,0.2302,3.4526),(1045,4005,0.23295,3.4508),(1045,4015,0.2357,3.4486),(1045,4025,0.23821,3.4465),(1045,4035,0.24069,3.4442),(1045,4045,0.24318,3.4415),(1045,4055,0.24561,3.4388),(1045,4065,0.24803,3.436),(1045,4075,0.25044,3.4328),(1045,4085,0.25288,3.4296),(1045,4095,0.25535,3.4264),(1045,4105,0.25781,3.4228),(1045,4115,0.25054,3.4192),(1045,4125,0.22711,3.4157),(1045,4135,0.20368,3.4127),(1045,4145,0.17924,3.41),(1045,4155,0.15071,3.4073),(1045,4165,0.12218,3.4054),(1045,4175,0.095062,3.404),(1045,4185,0.13766,3.4026),(1045,4195,0.18025,3.3998),(1045,4205,0.22285,3.3952),(1045,4215,0.2171,3.3906),(1045,4225,0.20225,3.386),(1045,4235,0.1874,3.3812),(1045,4245,0.16893,3.3765),(1045,4255,0.14862,3.3718),(1045,4265,0.12832,3.368),(1045,4275,0.10428,3.3643),(1045,4285,0.076292,3.3605),(1045,4295,0.048302,3.359),(1045,4305,0.040597,3.3579),(1045,4315,0.078694,3.3568),(1045,4325,0.11679,3.3512),(1045,4335,0.15189,3.3439),(1045,4345,0.16668,3.3366),(1045,4355,0.18147,3.33),(1045,4365,0.19626,3.3241),(1045,4375,0.20474,3.3181),(1045,4385,0.21288,3.3129),(1045,4395,0.22102,3.3089),(1045,4405,0.19515,3.3048),(1045,4415,0.15925,3.3014),(1045,4425,0.12335,3.3004),(1045,4435,0.11108,3.2994),(1045,4445,0.11495,3.2984),(1045,4455,0.11882,3.2964),(1045,4465,0.14717,3.2944),(1045,4475,0.20989,3.2924),(1045,4485,0.27261,3.2876),(1045,4495,0.32282,3.2821),(1045,4505,0.33287,3.2767),(1045,4515,0.34292,3.2708),(1045,4525,0.35209,3.2646),(1045,4535,0.34716,3.2585),(1045,4545,0.34224,3.2524),(1045,4555,0.33732,3.2465),(1045,4565,0.24656,3.2405),(1045,4575,0.14422,3.2362),(1045,4585,0.041886,3.2358),(1045,4595,0.034341,3.2354),(1045,4605,0.066845,3.2347),(1045,4615,0.09935,3.2314),(1045,4625,0.14118,3.2282),(1045,4635,0.19145,3.2249),(1045,4645,0.24172,3.2191),(1045,4655,0.29278,3.2131),(1045,4665,0.34534,3.2071),(1045,4675,0.39789,3.1998),(1045,4685,0.42668,3.1921),(1045,4695,0.33802,3.1845),(1045,4705,0.24935,3.1797),(1045,4715,0.16069,3.177),(1045,4725,0.19775,3.1743),(1045,4735,0.23607,3.1699),(1045,4745,0.27439,3.1628),(1045,4755,0.34487,3.1558),(1045,4765,0.42281,3.1477),(1045,4775,0.50075,3.1364),(1045,4785,0.54799,3.125),(1045,4795,0.57748,3.1137),(1045,4805,0.60697,3.1021),(1045,4815,0.59919,3.0906),(1045,4825,0.54686,3.079),(1045,4835,0.49454,3.071),(1045,4845,0.42756,3.0635),(1045,4855,0.32242,3.056),(1045,4865,0.21727,3.0511),(1045,4875,0.1351,3.0473),(1045,4885,0.26199,3.0436),(1045,4895,0.38887,3.0347),(1045,4905,0.51575,3.0209),(1045,4915,0.52212,3.0071),(1045,4925,0.51811,2.9938),(1045,4935,0.51411,2.9813),(1045,4945,0.47312,2.9689),(1045,4955,0.41932,2.9571),(1045,4965,0.36552,2.9493),(1045,4975,0.28522,2.9416),(1045,4985,0.18448,2.9338),(1045,4995,0.083738,2.933),(1045,5005,0.081053,2.9325),(1045,5015,0.23426,2.932),(1045,5025,0.38746,2.9208),(1045,5035,0.52651,2.907),(1045,5045,0.61164,2.8932),(1045,5055,0.69676,2.8765),(1045,5065,0.78044,2.8581),(1045,5075,0.81706,2.8396),(1045,5085,0.85368,2.8213),(1045,5095,0.89029,2.8029),(1045,5105,0.79397,2.7846),(1045,5115,0.67446,2.7687),(1045,5125,0.55494,2.7594),(1045,5135,0.46285,2.7501),(1045,5145,0.38408,2.741),(1045,5155,0.3053,2.7343),(1045,5165,0.35013,2.7275),(1045,5175,0.52102,2.7208),(1045,5185,0.69191,2.704),(1045,5195,0.82063,2.6861),(1045,5205,0.8584,2.6683),(1045,5215,0.89617,2.6503),(1045,5225,0.92855,2.6322),(1045,5235,0.92743,2.6141),(1045,5245,0.9263,2.5972),(1045,5255,0.92518,2.5811),(1045,5265,0.64605,2.5651),(1045,5275,0.35547,2.555),(1045,5285,0.064885,2.5549),(1045,5295,0.096706,2.5548),(1045,5305,0.21831,2.5523),(1045,5315,0.33991,2.54),(1045,5325,0.46222,2.5276),(1045,5335,0.58499,2.5152),(1045,5345,0.70775,2.4961),(1045,5355,0.81008,2.477),(1045,5365,0.88484,2.4579),(1045,5375,0.95961,2.4378),(1045,5385,0.95981,2.4175),(1045,5395,0.73336,2.3972),(1045,5405,0.5069,2.3868),(1045,5415,0.29543,2.3815),(1045,5425,0.28525,2.3762),(1045,5435,0.27507,2.3706),(1045,5445,0.26489,2.3647),(1045,5455,0.32052,2.3587),(1045,5465,0.38419,2.3513),(1045,5475,0.44786,2.3405),(1045,5485,0.47949,2.3297),(1045,5495,0.49821,2.3186),(1045,5505,0.51693,2.3061),(1045,5515,0.53703,2.2935),(1045,5525,0.55832,2.281),(1045,5535,0.57961,2.2668),(1045,5545,0.60145,2.2525),(1045,5555,0.62427,2.2383),(1045,5565,0.64708,2.2224),(1045,5575,0.67014,2.2062),(1045,5585,0.69426,2.1899),(1045,5595,0.71838,2.1726),(1045,5605,0.7425,2.1547),(1045,5615,0.76791,2.1368),(1045,5625,0.79332,2.1181),(1045,5635,0.81873,2.0982),(1045,5645,0.84513,2.0784),(1045,5655,0.87176,2.0581),(1045,5665,0.89839,2.0366),(1045,5675,0.92571,2.015),(1045,5685,0.95342,1.9934),(1045,5695,0.98114,1.9704),(1045,5705,1.0092,1.9474),(1045,5715,1.0377,1.9244),(1045,5725,1.0662,1.9001),(1045,5735,1.0948,1.8757),(1045,5745,1.1237,1.8514),(1045,5755,1.1527,1.8263),(1045,5765,1.1817,1.8009),(1045,5775,1.2107,1.7755),(1045,5785,1.2398,1.7496),(1045,5795,1.2688,1.7233),(1045,5805,1.2976,1.6969),(1045,5815,1.3264,1.6704),(1045,5825,1.3552,1.6433),(1045,5835,1.3836,1.6163),(1045,5845,1.4119,1.5892),(1045,5855,1.4401,1.5617),(1045,5865,1.4679,1.5343),(1045,5875,1.4953,1.5069),(1045,5885,1.5227,1.4791),(1045,5895,1.5497,1.4513),(1045,5905,1.5759,1.4235),(1045,5915,1.6022,1.3955),(1045,5925,1.6282,1.3674),(1045,5935,1.6533,1.3394),(1045,5945,1.6783,1.3113),(1045,5955,1.7033,1.2833),(1045,5965,1.7275,1.2553),(1045,5975,1.7516,1.2274),(1045,5985,1.7758,1.1994),(1045,5995,1.3616,1.1715),(1045,6005,0.87681,1.1502),(1045,6015,0.39201,1.1465),(1045,6025,0.33664,1.1429),(1045,6035,0.48043,1.1383),(1045,6045,0.62422,1.1246),(1045,6055,0.73366,1.1108),(1045,6065,0.80943,1.0971),(1045,6075,0.8852,1.079),(1045,6085,0.93775,1.0605),(1045,6095,0.94247,1.0419),(1045,6105,0.94718,1.0233),(1045,6115,0.95186,1.0046),(1045,6125,0.95638,0.98593),(1045,6135,0.96089,0.96707),(1045,6145,0.96541,0.94807),(1045,6155,0.96968,0.92907),(1045,6165,0.97395,0.9099),(1045,6175,0.97821,0.89045),(1045,6185,0.98224,0.87101),(1045,6195,0.9862,0.85155),(1045,6205,0.99017,0.83205),(1045,6215,0.99396,0.81254),(1045,6225,0.99763,0.79303),(1045,6235,1.0013,0.7734),(1045,6245,1.0048,0.75377),(1045,6255,1.0082,0.73414),(1045,6265,1.0116,0.71418),(1045,6275,1.0149,0.69416),(1045,6285,1.018,0.67415),(1045,6295,1.0211,0.65414),(1045,6305,1.0241,0.63414),(1045,6315,1.027,0.61413),(1045,6325,1.0299,0.59396),(1045,6335,1.0327,0.57361),(1045,6345,1.0353,0.55326),(1045,6355,1.0378,0.53284),(1045,6365,1.0403,0.51227),(1045,6375,1.0426,0.4917),(1045,6385,1.0448,0.47114),(1045,6395,1.047,0.45074),(1045,6405,1.049,0.43034),(1045,6415,1.0509,0.40994),(1045,6425,1.0527,0.38919),(1045,6435,1.0545,0.36843),(1045,6445,1.056,0.34767),(1045,6455,1.0576,0.32669),(1045,6465,1.0591,0.30565),(1045,6475,1.0604,0.28461),(1045,6485,1.0617,0.2637),(1045,6495,1.063,0.24289),(1045,6505,1.064,0.22208),(1045,6515,1.0649,0.20123),(1045,6525,1.0659,0.18033),(1045,6535,1.0666,0.15942),(1045,6545,1.0673,0.13848),(1045,6555,1.0679,0.11741),(1045,6565,1.0684,0.096353),(1045,6575,1.0687,0.075294),(1045,6585,1.069,0.054266),(1045,6595,0.9093,0.033238),(1045,6605,0.573,0.01221),(1045,6615,0.23671,0.009739),(1045,6625,0.000295,0.009652),(1045,6635,0.000297,0.009565),(1045,6645,0.000299,0.009535),(1045,6655,0.000301,0.009528),(1045,6665,0.000303,0.009522),(1045,6675,0.000305,0.009515),(1045,6685,0.000307,0.009508),(1045,6695,0.000309,0.009501),(1045,6705,0.000311,0.009495),(1045,6715,0.000313,0.009488),(1045,6725,0.000314,0.009481),(1045,6735,0.000316,0.009474),(1045,6745,0.000318,0.009467),(1045,6755,0.00032,0.00946),(1045,6765,0.000321,0.009454),(1045,6775,0.000323,0.009447),(1045,6785,0.000325,0.00944),(1045,6795,0.000327,0.009433),(1045,6805,0.000328,0.009426),(1045,6815,0.00033,0.009419),(1045,6825,0.000331,0.009411),(1045,6835,0.000333,0.009404),(1045,6845,0.000335,0.009397),(1045,6855,0.000336,0.00939),(1045,6865,0.000338,0.009383),(1045,6875,0.000339,0.009376),(1045,6885,0.000341,0.009369),(1045,6895,0.000342,0.009361),(1045,6905,0.000344,0.009354),(1045,6915,0.000345,0.009347),(1045,6925,0.000347,0.009339),(1045,6935,0.000348,0.009332),(1045,6945,0.000349,0.009324),(1045,6955,0.000351,0.009317),(1045,6965,0.000352,0.00931),(1045,6975,0.000354,0.009302),(1045,6985,0.000355,0.009295),(1055,5,4.8e-05,3.6701),(1055,15,0.000145,3.6701),(1055,25,0.000241,3.6701),(1055,35,0.000338,3.6701),(1055,45,0.000435,3.6701),(1055,55,0.000531,3.6701),(1055,65,0.000628,3.6701),(1055,75,0.000725,3.6701),(1055,85,0.000822,3.6701),(1055,95,0.000919,3.6701),(1055,105,0.001016,3.67),(1055,115,0.001113,3.67),(1055,125,0.00121,3.67),(1055,135,0.001308,3.67),(1055,145,0.001405,3.67),(1055,155,0.001503,3.6699),(1055,165,0.001601,3.6699),(1055,175,0.001699,3.6699),(1055,185,0.001798,3.6699),(1055,195,0.001896,3.6698),(1055,205,0.001995,3.6698),(1055,215,0.002094,3.6698),(1055,225,0.002193,3.6697),(1055,235,0.002293,3.6697),(1055,245,0.002392,3.6697),(1055,255,0.002492,3.6696),(1055,265,0.002592,3.6696),(1055,275,0.002693,3.6695),(1055,285,0.002793,3.6695),(1055,295,0.002894,3.6694),(1055,305,0.002996,3.6694),(1055,315,0.003098,3.6693),(1055,325,0.0032,3.6693),(1055,335,0.003302,3.6692),(1055,345,0.003405,3.6692),(1055,355,0.003509,3.6691),(1055,365,0.003612,3.6691),(1055,375,0.003716,3.669),(1055,385,0.003821,3.6689),(1055,395,0.003926,3.6689),(1055,405,0.004031,3.6688),(1055,415,0.004136,3.6687),(1055,425,0.004242,3.6687),(1055,435,0.004349,3.6686),(1055,445,0.004456,3.6685),(1055,455,0.004563,3.6684),(1055,465,0.004672,3.6684),(1055,475,0.004781,3.6683),(1055,485,0.004889,3.6682),(1055,495,0.004998,3.6681),(1055,505,0.005109,3.668),(1055,515,0.00522,3.668),(1055,525,0.005331,3.6679),(1055,535,0.005442,3.6678),(1055,545,0.005555,3.6677),(1055,555,0.005668,3.6676),(1055,565,0.005782,3.6675),(1055,575,0.005895,3.6674),(1055,585,0.006011,3.6673),(1055,595,0.006127,3.6672),(1055,605,0.006243,3.6671),(1055,615,0.006359,3.667),(1055,625,0.006477,3.6669),(1055,635,0.006595,3.6668),(1055,645,0.006714,3.6667),(1055,655,0.006833,3.6665),(1055,665,0.006954,3.6664),(1055,675,0.007075,3.6663),(1055,685,0.007196,3.6662),(1055,695,0.007318,3.6661),(1055,705,0.007442,3.6659),(1055,715,0.007567,3.6658),(1055,725,0.007691,3.6657),(1055,735,0.007816,3.6656),(1055,745,0.007943,3.6654),(1055,755,0.00807,3.6653),(1055,765,0.008198,3.6651),(1055,775,0.008326,3.665),(1055,785,0.008457,3.6649),(1055,795,0.008587,3.6647),(1055,805,0.008718,3.6646),(1055,815,0.00885,3.6644),(1055,825,0.008984,3.6643),(1055,835,0.009118,3.6641),(1055,845,0.009252,3.664),(1055,855,0.009388,3.6638),(1055,865,0.009526,3.6636),(1055,875,0.009664,3.6635),(1055,885,0.009801,3.6633),(1055,895,0.009941,3.6632),(1055,905,0.010082,3.663),(1055,915,0.010224,3.6628),(1055,925,0.010365,3.6626),(1055,935,0.010509,3.6625),(1055,945,0.010654,3.6623),(1055,955,0.0108,3.6621),(1055,965,0.010945,3.6619),(1055,975,0.011092,3.6617),(1055,985,0.011242,3.6615),(1055,995,0.011391,3.6613),(1055,1005,0.011541,3.6611),(1055,1015,0.011693,3.6609),(1055,1025,0.011846,3.6607),(1055,1035,0.012,3.6605),(1055,1045,0.012154,3.6603),(1055,1055,0.01231,3.6601),(1055,1065,0.012468,3.6599),(1055,1075,0.012627,3.6597),(1055,1085,0.012785,3.6595),(1055,1095,0.012946,3.6592),(1055,1105,0.013109,3.659),(1055,1115,0.013271,3.6588),(1055,1125,0.013434,3.6586),(1055,1135,0.0136,3.6583),(1055,1145,0.013767,3.6581),(1055,1155,0.013935,3.6579),(1055,1165,0.014102,3.6576),(1055,1175,0.014273,3.6574),(1055,1185,0.014445,3.6571),(1055,1195,0.014617,3.6569),(1055,1205,0.014789,3.6566),(1055,1215,0.014965,3.6564),(1055,1225,0.015142,3.6561),(1055,1235,0.01532,3.6558),(1055,1245,0.015497,3.6556),(1055,1255,0.015678,3.6553),(1055,1265,0.01586,3.655),(1055,1275,0.016042,3.6547),(1055,1285,0.016224,3.6544),(1055,1295,0.01641,3.6542),(1055,1305,0.016597,3.6539),(1055,1315,0.016784,3.6536),(1055,1325,0.016971,3.6533),(1055,1335,0.017162,3.653),(1055,1345,0.017354,3.6527),(1055,1355,0.017547,3.6524),(1055,1365,0.017739,3.6521),(1055,1375,0.017936,3.6518),(1055,1385,0.018133,3.6514),(1055,1395,0.018331,3.6511),(1055,1405,0.018528,3.6508),(1055,1415,0.01873,3.6505),(1055,1425,0.018933,3.6501),(1055,1435,0.019136,3.6498),(1055,1445,0.019339,3.6495),(1055,1455,0.019547,3.6491),(1055,1465,0.019755,3.6488),(1055,1475,0.019963,3.6484),(1055,1485,0.020171,3.648),(1055,1495,0.020384,3.6477),(1055,1505,0.020598,3.6473),(1055,1515,0.020811,3.647),(1055,1525,0.021025,3.6466),(1055,1535,0.021244,3.6462),(1055,1545,0.021463,3.6458),(1055,1555,0.021681,3.6454),(1055,1565,0.021901,3.645),(1055,1575,0.022125,3.6447),(1055,1585,0.022349,3.6443),(1055,1595,0.022573,3.6438),(1055,1605,0.022798,3.6434),(1055,1615,0.023027,3.643),(1055,1625,0.023257,3.6426),(1055,1635,0.023486,3.6422),(1055,1645,0.023716,3.6418),(1055,1655,0.023951,3.6413),(1055,1665,0.024186,3.6409),(1055,1675,0.024421,3.6405),(1055,1685,0.024656,3.64),(1055,1695,0.024896,3.6396),(1055,1705,0.025136,3.6391),(1055,1715,0.025376,3.6387),(1055,1725,0.025618,3.6382),(1055,1735,0.025863,3.6377),(1055,1745,0.026108,3.6373),(1055,1755,0.026353,3.6368),(1055,1765,0.026599,3.6363),(1055,1775,0.02685,3.6358),(1055,1785,0.0271,3.6353),(1055,1795,0.02735,3.6348),(1055,1805,0.027601,3.6343),(1055,1815,0.027856,3.6338),(1055,1825,0.028112,3.6333),(1055,1835,0.028367,3.6328),(1055,1845,0.028623,3.6322),(1055,1855,0.028883,3.6317),(1055,1865,0.029143,3.6312),(1055,1875,0.029403,3.6306),(1055,1885,0.029664,3.6301),(1055,1895,0.029928,3.6295),(1055,1905,0.030192,3.629),(1055,1915,0.030457,3.6284),(1055,1925,0.030723,3.6278),(1055,1935,0.030991,3.6273),(1055,1945,0.031259,3.6267),(1055,1955,0.031528,3.6261),(1055,1965,0.031798,3.6255),(1055,1975,0.032071,3.6249),(1055,1985,0.032343,3.6243),(1055,1995,0.032616,3.6237),(1055,2005,0.03289,3.6231),(1055,2015,0.033167,3.6225),(1055,2025,0.033443,3.6219),(1055,2035,0.033719,3.6212),(1055,2045,0.033998,3.6206),(1055,2055,0.034277,3.62),(1055,2065,0.034557,3.6193),(1055,2075,0.034837,3.6187),(1055,2085,0.035119,3.618),(1055,2095,0.035402,3.6173),(1055,2105,0.035685,3.6167),(1055,2115,0.035968,3.616),(1055,2125,0.036253,3.6153),(1055,2135,0.036538,3.6146),(1055,2145,0.036824,3.6139),(1055,2155,0.03711,3.6132),(1055,2165,0.037397,3.6125),(1055,2175,0.037686,3.6118),(1055,2185,0.037974,3.6111),(1055,2195,0.038262,3.6104),(1055,2205,0.038551,3.6096),(1055,2215,0.038842,3.6089),(1055,2225,0.039132,3.6082),(1055,2235,0.039422,3.6074),(1055,2245,0.039713,3.6067),(1055,2255,0.040005,3.6059),(1055,2265,0.040296,3.6051),(1055,2275,0.040588,3.6044),(1055,2285,0.04088,3.6036),(1055,2295,0.041173,3.6028),(1055,2305,0.041465,3.602),(1055,2315,0.041758,3.6012),(1055,2325,0.042051,3.6004),(1055,2335,0.042345,3.5996),(1055,2345,0.042638,3.5988),(1055,2355,0.042931,3.598),(1055,2365,0.043224,3.5972),(1055,2375,0.043518,3.5963),(1055,2385,0.043811,3.5955),(1055,2395,0.044104,3.5946),(1055,2405,0.044397,3.5938),(1055,2415,0.044689,3.5929),(1055,2425,0.044982,3.5921),(1055,2435,0.045275,3.5912),(1055,2445,0.045566,3.5903),(1055,2455,0.045858,3.5895),(1055,2465,0.046149,3.5886),(1055,2475,0.04644,3.5877),(1055,2485,0.04673,3.5868),(1055,2495,0.04702,3.5859),(1055,2505,0.047309,3.585),(1055,2515,0.047599,3.584),(1055,2525,0.047886,3.5831),(1055,2535,0.048173,3.5822),(1055,2545,0.04846,3.5813),(1055,2555,0.048747,3.5803),(1055,2565,0.049031,3.5794),(1055,2575,0.049315,3.5785),(1055,2585,0.049599,3.5775),(1055,2595,0.049883,3.5765),(1055,2605,0.050163,3.5756),(1055,2615,0.050443,3.5746),(1055,2625,0.050723,3.5736),(1055,2635,0.051003,3.5726),(1055,2645,0.051278,3.5717),(1055,2655,0.051554,3.5707),(1055,2665,0.05183,3.5697),(1055,2675,0.052104,3.5687),(1055,2685,0.052375,3.5677),(1055,2695,0.052645,3.5667),(1055,2705,0.052916,3.5657),(1055,2715,0.053185,3.5646),(1055,2725,0.053449,3.5636),(1055,2735,0.053713,3.5626),(1055,2745,0.053977,3.5616),(1055,2755,0.05424,3.5605),(1055,2765,0.054497,3.5595),(1055,2775,0.054754,3.5585),(1055,2785,0.055011,3.5574),(1055,2795,0.055266,3.5564),(1055,2805,0.055516,3.5553),(1055,2815,0.055765,3.5542),(1055,2825,0.056014,3.5532),(1055,2835,0.056261,3.5521),(1055,2845,0.056502,3.5511),(1055,2855,0.056743,3.55),(1055,2865,0.056983,3.5489),(1055,2875,0.057221,3.5478),(1055,2885,0.057452,3.5468),(1055,2895,0.057683,3.5457),(1055,2905,0.057914,3.5446),(1055,2915,0.058141,3.5435),(1055,2925,0.058361,3.5424),(1055,2935,0.058582,3.5413),(1055,2945,0.058802,3.5402),(1055,2955,0.059017,3.5391),(1055,2965,0.059226,3.538),(1055,2975,0.059434,3.537),(1055,2985,0.059643,3.5359),(1055,2995,0.059845,3.5348),(1055,3005,0.060041,3.5337),(1055,3015,0.060236,3.5326),(1055,3025,0.060432,3.5315),(1055,3035,0.06062,3.5304),(1055,3045,0.060801,3.5293),(1055,3055,0.060983,3.5282),(1055,3065,0.061165,3.5271),(1055,3075,0.061337,3.526),(1055,3085,0.061503,3.5249),(1055,3095,0.061669,3.5238),(1055,3105,0.061835,3.5227),(1055,3115,0.06199,3.5216),(1055,3125,0.062139,3.5205),(1055,3135,0.062288,3.5194),(1055,3145,0.062436,3.5183),(1055,3155,0.062573,3.5172),(1055,3165,0.062702,3.5161),(1055,3175,0.062832,3.515),(1055,3185,0.062961,3.514),(1055,3195,0.063076,3.5129),(1055,3205,0.063185,3.5118),(1055,3215,0.063294,3.5108),(1055,3225,0.063403,3.5097),(1055,3235,0.063495,3.5086),(1055,3245,0.063581,3.5076),(1055,3255,0.063666,3.5065),(1055,3265,0.063752,3.5055),(1055,3275,0.063819,3.5044),(1055,3285,0.063879,3.5034),(1055,3295,0.063939,3.5024),(1055,3305,0.064,3.5014),(1055,3315,0.064037,3.5003),(1055,3325,0.064069,3.4993),(1055,3335,0.064101,3.4983),(1055,3345,0.064133,3.4973),(1055,3355,0.064139,3.4963),(1055,3365,0.06414,3.4954),(1055,3375,0.06414,3.4944),(1055,3385,0.064141,3.4934),(1055,3395,0.064111,3.4925),(1055,3405,0.064076,3.4915),(1055,3415,0.064042,3.4906),(1055,3425,0.064008,3.4897),(1055,3435,0.063938,3.4887),(1055,3445,0.063865,3.4878),(1055,3455,0.063791,3.4869),(1055,3465,0.063718,3.4861),(1055,3475,0.063604,3.4852),(1055,3485,0.063488,3.4843),(1055,3495,0.063372,3.4834),(1055,3505,0.063256,3.4826),(1055,3515,0.063093,3.4818),(1055,3525,0.06293,3.4809),(1055,3535,0.062766,3.4801),(1055,3545,0.062601,3.4793),(1055,3555,0.062385,3.4786),(1055,3565,0.062169,3.4778),(1055,3575,0.061953,3.477),(1055,3585,0.061732,3.4763),(1055,3595,0.061458,3.4755),(1055,3605,0.061184,3.4748),(1055,3615,0.06091,3.4741),(1055,3625,0.060629,3.4734),(1055,3635,0.060291,3.4727),(1055,3645,0.059954,3.4721),(1055,3655,0.059617,3.4714),(1055,3665,0.059268,3.4708),(1055,3675,0.058862,3.4702),(1055,3685,0.058456,3.4695),(1055,3695,0.058049,3.469),(1055,3705,0.057628,3.4684),(1055,3715,0.057148,3.4678),(1055,3725,0.056667,3.4672),(1055,3735,0.056187,3.4667),(1055,3745,0.055687,3.4662),(1055,3755,0.055127,3.4657),(1055,3765,0.054567,3.4652),(1055,3775,0.054007,3.4647),(1055,3785,0.053424,3.4643),(1055,3795,0.052781,3.4638),(1055,3805,0.052137,3.4633),(1055,3815,0.051494,3.4629),(1055,3825,0.050823,3.4625),(1055,3835,0.050093,3.4621),(1055,3845,0.049363,3.4617),(1055,3855,0.048634,3.4614),(1055,3865,0.047872,3.461),(1055,3875,0.047055,3.4607),(1055,3885,0.046237,3.4603),(1055,3895,0.04542,3.46),(1055,3905,0.053229,3.4597),(1055,3915,0.073925,3.4594),(1055,3925,0.09462,3.459),(1055,3935,0.11532,3.4584),(1055,3945,0.13789,3.4578),(1055,3955,0.16284,3.4571),(1055,3965,0.18779,3.4561),(1055,3975,0.21275,3.4544),(1055,3985,0.2271,3.4528),(1055,3995,0.22999,3.4512),(1055,4005,0.23287,3.4492),(1055,4015,0.23575,3.447),(1055,4025,0.2384,3.4447),(1055,4035,0.24102,3.4423),(1055,4045,0.24364,3.4395),(1055,4055,0.24619,3.4367),(1055,4065,0.24873,3.4339),(1055,4075,0.25126,3.4306),(1055,4085,0.25381,3.4274),(1055,4095,0.25637,3.4241),(1055,4105,0.25893,3.4205),(1055,4115,0.2517,3.4169),(1055,4125,0.22822,3.4132),(1055,4135,0.20474,3.4103),(1055,4145,0.18023,3.4076),(1055,4155,0.15154,3.4049),(1055,4165,0.12285,3.4029),(1055,4175,0.095585,3.4015),(1055,4185,0.13876,3.4),(1055,4195,0.18193,3.3972),(1055,4205,0.2251,3.3926),(1055,4215,0.21957,3.388),(1055,4225,0.20487,3.3834),(1055,4235,0.19018,3.3787),(1055,4245,0.17169,3.374),(1055,4255,0.15128,3.3694),(1055,4265,0.13087,3.3656),(1055,4275,0.10652,3.3618),(1055,4285,0.077999,3.358),(1055,4295,0.049478,3.3566),(1055,4305,0.041861,3.3554),(1055,4315,0.081448,3.3543),(1055,4325,0.12104,3.3488),(1055,4335,0.15736,3.3415),(1055,4345,0.17164,3.3343),(1055,4355,0.18591,3.3277),(1055,4365,0.20018,3.3218),(1055,4375,0.20803,3.3158),(1055,4385,0.21553,3.3105),(1055,4395,0.22304,3.3064),(1055,4405,0.19657,3.3023),(1055,4415,0.16008,3.2987),(1055,4425,0.12359,3.2976),(1055,4435,0.11126,3.2965),(1055,4445,0.11545,3.2954),(1055,4455,0.11963,3.2933),(1055,4465,0.14836,3.2913),(1055,4475,0.21159,3.2893),(1055,4485,0.27482,3.2843),(1055,4495,0.32542,3.2788),(1055,4505,0.33553,3.2733),(1055,4515,0.34564,3.2673),(1055,4525,0.35484,3.261),(1055,4535,0.34984,3.2548),(1055,4545,0.34483,3.2486),(1055,4555,0.33982,3.2425),(1055,4565,0.24842,3.2364),(1055,4575,0.14537,3.232),(1055,4585,0.042326,3.2316),(1055,4595,0.034926,3.2312),(1055,4605,0.067939,3.2305),(1055,4615,0.10095,3.2271),(1055,4625,0.14321,3.2238),(1055,4635,0.19385,3.2204),(1055,4645,0.24449,3.2145),(1055,4655,0.29581,3.2084),(1055,4665,0.34843,3.2023),(1055,4675,0.40105,3.195),(1055,4685,0.42978,3.1874),(1055,4695,0.34045,3.1798),(1055,4705,0.25112,3.1751),(1055,4715,0.16179,3.1725),(1055,4725,0.19974,3.1699),(1055,4735,0.23897,3.1655),(1055,4745,0.27819,3.1585),(1055,4755,0.34929,3.1514),(1055,4765,0.42779,3.1434),(1055,4775,0.50628,3.1321),(1055,4785,0.5536,3.1208),(1055,4795,0.58289,3.1095),(1055,4805,0.61219,3.098),(1055,4815,0.60399,3.0865),(1055,4825,0.55095,3.075),(1055,4835,0.49791,3.0671),(1055,4845,0.43037,3.0596),(1055,4855,0.32504,3.0522),(1055,4865,0.2197,3.0473),(1055,4875,0.13753,3.0435),(1055,4885,0.26611,3.0398),(1055,4895,0.39469,3.0309),(1055,4905,0.52328,3.0171),(1055,4915,0.52945,3.0032),(1055,4925,0.5251,2.9899),(1055,4935,0.52075,2.9774),(1055,4945,0.47904,2.9649),(1055,4955,0.42438,2.9531),(1055,4965,0.36972,2.9453),(1055,4975,0.28842,2.9375),(1055,4985,0.18656,2.9297),(1055,4995,0.084697,2.929),(1055,5005,0.082243,2.9284),(1055,5015,0.23783,2.9278),(1055,5025,0.39341,2.9168),(1055,5035,0.53446,2.903),(1055,5045,0.62015,2.8893),(1055,5055,0.70583,2.8727),(1055,5065,0.79005,2.8544),(1055,5075,0.82635,2.8362),(1055,5085,0.86265,2.8179),(1055,5095,0.89895,2.7998),(1055,5105,0.80132,2.7816),(1055,5115,0.68032,2.7658),(1055,5125,0.55933,2.7566),(1055,5135,0.46669,2.7474),(1055,5145,0.38781,2.7384),(1055,5155,0.30893,2.7316),(1055,5165,0.3545,2.7249),(1055,5175,0.527,2.7182),(1055,5185,0.69949,2.7014),(1055,5195,0.82923,2.6835),(1055,5205,0.86677,2.6657),(1055,5215,0.90432,2.6477),(1055,5225,0.93643,2.6297),(1055,5235,0.93478,2.6117),(1055,5245,0.93313,2.5948),(1055,5255,0.93148,2.5789),(1055,5265,0.65046,2.5629),(1055,5275,0.35793,2.5529),(1055,5285,0.065389,2.5527),(1055,5295,0.098536,2.5526),(1055,5305,0.22238,2.5501),(1055,5315,0.34623,2.5378),(1055,5325,0.46995,2.5254),(1055,5335,0.59359,2.5129),(1055,5345,0.71724,2.4939),(1055,5355,0.81997,2.4749),(1055,5365,0.89451,2.4558),(1055,5375,0.96904,2.4359),(1055,5385,0.96852,2.4157),(1055,5395,0.73982,2.3955),(1055,5405,0.51111,2.3852),(1055,5415,0.29757,2.38),(1055,5425,0.28761,2.3748),(1055,5435,0.27765,2.3691),(1055,5445,0.26769,2.363),(1055,5455,0.32401,2.3569),(1055,5465,0.38844,2.3493),(1055,5475,0.45286,2.3383),(1055,5485,0.48491,2.3272),(1055,5495,0.50393,2.316),(1055,5505,0.52294,2.3032),(1055,5515,0.54335,2.2904),(1055,5525,0.56497,2.2777),(1055,5535,0.58658,2.2633),(1055,5545,0.60875,2.2488),(1055,5555,0.6319,2.2344),(1055,5565,0.65505,2.2184),(1055,5575,0.67843,2.2019),(1055,5585,0.70288,2.1855),(1055,5595,0.72733,2.168),(1055,5605,0.75178,2.15),(1055,5615,0.77748,2.1319),(1055,5625,0.80318,2.113),(1055,5635,0.82889,2.0931),(1055,5645,0.85555,2.0731),(1055,5655,0.88243,2.0528),(1055,5665,0.9093,2.0311),(1055,5675,0.93684,2.0095),(1055,5685,0.96476,1.9878),(1055,5695,0.99267,1.9648),(1055,5705,1.0209,1.9417),(1055,5715,1.0496,1.9187),(1055,5725,1.0782,1.8945),(1055,5735,1.1069,1.8701),(1055,5745,1.136,1.8458),(1055,5755,1.1651,1.8207),(1055,5765,1.1941,1.7954),(1055,5775,1.2232,1.7701),(1055,5785,1.2523,1.7443),(1055,5795,1.2814,1.7181),(1055,5805,1.3101,1.6919),(1055,5815,1.3389,1.6654),(1055,5825,1.3677,1.6386),(1055,5835,1.396,1.6117),(1055,5845,1.4242,1.5847),(1055,5855,1.4523,1.5575),(1055,5865,1.48,1.5303),(1055,5875,1.5073,1.5031),(1055,5885,1.5345,1.4755),(1055,5895,1.5614,1.4479),(1055,5905,1.5875,1.4203),(1055,5915,1.6136,1.3926),(1055,5925,1.6395,1.3648),(1055,5935,1.6643,1.337),(1055,5945,1.6891,1.3092),(1055,5955,1.714,1.2815),(1055,5965,1.738,1.2538),(1055,5975,1.762,1.2261),(1055,5985,1.786,1.1984),(1055,5995,1.3693,1.1708),(1055,6005,0.88174,1.1497),(1055,6015,0.39416,1.1461),(1055,6025,0.33906,1.1425),(1055,6035,0.48455,1.1379),(1055,6045,0.63003,1.1242),(1055,6055,0.74068,1.1105),(1055,6065,0.81717,1.0968),(1055,6075,0.89366,1.0786),(1055,6085,0.94671,1.0601),(1055,6095,0.95146,1.0415),(1055,6105,0.95622,1.0229),(1055,6115,0.96094,1.0042),(1055,6125,0.96548,0.98551),(1055,6135,0.97003,0.96666),(1055,6145,0.97458,0.94766),(1055,6155,0.97889,0.92867),(1055,6165,0.98319,0.9095),(1055,6175,0.9875,0.89005),(1055,6185,0.99157,0.8706),(1055,6195,0.99558,0.85114),(1055,6205,0.99959,0.83164),(1055,6215,1.0034,0.81213),(1055,6225,1.0071,0.79262),(1055,6235,1.0109,0.77298),(1055,6245,1.0144,0.75333),(1055,6255,1.0178,0.73369),(1055,6265,1.0212,0.71374),(1055,6275,1.0245,0.69373),(1055,6285,1.0277,0.67373),(1055,6295,1.0308,0.65375),(1055,6305,1.0339,0.63377),(1055,6315,1.0368,0.61379),(1055,6325,1.0397,0.59363),(1055,6335,1.0425,0.57328),(1055,6345,1.0451,0.55293),(1055,6355,1.0477,0.53251),(1055,6365,1.0502,0.51194),(1055,6375,1.0525,0.49138),(1055,6385,1.0548,0.47084),(1055,6395,1.057,0.45043),(1055,6405,1.059,0.43003),(1055,6415,1.0609,0.40963),(1055,6425,1.0628,0.38888),(1055,6435,1.0646,0.36812),(1055,6445,1.0661,0.34736),(1055,6455,1.0677,0.32641),(1055,6465,1.0692,0.3054),(1055,6475,1.0705,0.2844),(1055,6485,1.0718,0.26352),(1055,6495,1.0731,0.24272),(1055,6505,1.0741,0.22193),(1055,6515,1.0751,0.2011),(1055,6525,1.0761,0.18019),(1055,6535,1.0768,0.15929),(1055,6545,1.0775,0.13836),(1055,6555,1.0781,0.11731),(1055,6565,1.0786,0.096262),(1055,6575,1.0789,0.075217),(1055,6585,1.0792,0.054207),(1055,6595,0.91798,0.033198),(1055,6605,0.57847,0.012188),(1055,6615,0.23896,0.009725),(1055,6625,0.000299,0.009645),(1055,6635,0.000301,0.009565),(1055,6645,0.000303,0.009537),(1055,6655,0.000305,0.00953),(1055,6665,0.000307,0.009524),(1055,6675,0.000309,0.009517),(1055,6685,0.000311,0.00951),(1055,6695,0.000312,0.009503),(1055,6705,0.000314,0.009496),(1055,6715,0.000316,0.00949),(1055,6725,0.000318,0.009483),(1055,6735,0.00032,0.009476),(1055,6745,0.000322,0.009469),(1055,6755,0.000323,0.009462),(1055,6765,0.000325,0.009455),(1055,6775,0.000327,0.009448),(1055,6785,0.000329,0.009441),(1055,6795,0.00033,0.009434),(1055,6805,0.000332,0.009427),(1055,6815,0.000333,0.00942),(1055,6825,0.000335,0.009413),(1055,6835,0.000337,0.009406),(1055,6845,0.000338,0.009399),(1055,6855,0.00034,0.009392),(1055,6865,0.000341,0.009384),(1055,6875,0.000343,0.009377),(1055,6885,0.000344,0.00937),(1055,6895,0.000346,0.009363),(1055,6905,0.000347,0.009355),(1055,6915,0.000349,0.009348),(1055,6925,0.00035,0.009341),(1055,6935,0.000352,0.009333),(1055,6945,0.000353,0.009326),(1055,6955,0.000355,0.009319),(1055,6965,0.000356,0.009311),(1055,6975,0.000357,0.009304),(1055,6985,0.000359,0.009296),(1065,5,4.9e-05,3.6702),(1065,15,0.000146,3.6702),(1065,25,0.000243,3.6702),(1065,35,0.00034,3.6702),(1065,45,0.000438,3.6702),(1065,55,0.000535,3.6702),(1065,65,0.000632,3.6702),(1065,75,0.00073,3.6702),(1065,85,0.000827,3.6702),(1065,95,0.000925,3.6702),(1065,105,0.001022,3.6701),(1065,115,0.00112,3.6701),(1065,125,0.001218,3.6701),(1065,135,0.001316,3.6701),(1065,145,0.001415,3.6701),(1065,155,0.001513,3.67),(1065,165,0.001612,3.67),(1065,175,0.00171,3.67),(1065,185,0.001809,3.67),(1065,195,0.001909,3.6699),(1065,205,0.002008,3.6699),(1065,215,0.002107,3.6699),(1065,225,0.002207,3.6698),(1065,235,0.002308,3.6698),(1065,245,0.002408,3.6698),(1065,255,0.002508,3.6697),(1065,265,0.002609,3.6697),(1065,275,0.002711,3.6696),(1065,285,0.002812,3.6696),(1065,295,0.002913,3.6695),(1065,305,0.003016,3.6695),(1065,315,0.003119,3.6694),(1065,325,0.003221,3.6694),(1065,335,0.003324,3.6693),(1065,345,0.003428,3.6693),(1065,355,0.003532,3.6692),(1065,365,0.003636,3.6692),(1065,375,0.00374,3.6691),(1065,385,0.003846,3.669),(1065,395,0.003952,3.669),(1065,405,0.004058,3.6689),(1065,415,0.004163,3.6688),(1065,425,0.004271,3.6688),(1065,435,0.004379,3.6687),(1065,445,0.004486,3.6686),(1065,455,0.004594,3.6685),(1065,465,0.004703,3.6685),(1065,475,0.004813,3.6684),(1065,485,0.004922,3.6683),(1065,495,0.005032,3.6682),(1065,505,0.005144,3.6681),(1065,515,0.005255,3.6681),(1065,525,0.005367,3.668),(1065,535,0.005479,3.6679),(1065,545,0.005593,3.6678),(1065,555,0.005707,3.6677),(1065,565,0.005821,3.6676),(1065,575,0.005935,3.6675),(1065,585,0.006052,3.6674),(1065,595,0.006169,3.6673),(1065,605,0.006285,3.6672),(1065,615,0.006402,3.6671),(1065,625,0.006521,3.667),(1065,635,0.006641,3.6669),(1065,645,0.00676,3.6668),(1065,655,0.00688,3.6667),(1065,665,0.007002,3.6665),(1065,675,0.007124,3.6664),(1065,685,0.007246,3.6663),(1065,695,0.007369,3.6662),(1065,705,0.007494,3.6661),(1065,715,0.007619,3.6659),(1065,725,0.007744,3.6658),(1065,735,0.00787,3.6657),(1065,745,0.007998,3.6655),(1065,755,0.008126,3.6654),(1065,765,0.008255,3.6653),(1065,775,0.008384,3.6651),(1065,785,0.008516,3.665),(1065,795,0.008647,3.6649),(1065,805,0.008779,3.6647),(1065,815,0.008912,3.6646),(1065,825,0.009047,3.6644),(1065,835,0.009182,3.6643),(1065,845,0.009317,3.6641),(1065,855,0.009454,3.6639),(1065,865,0.009593,3.6638),(1065,875,0.009732,3.6636),(1065,885,0.009871,3.6635),(1065,895,0.010011,3.6633),(1065,905,0.010154,3.6631),(1065,915,0.010296,3.663),(1065,925,0.010439,3.6628),(1065,935,0.010583,3.6626),(1065,945,0.01073,3.6624),(1065,955,0.010877,3.6622),(1065,965,0.011023,3.6621),(1065,975,0.011172,3.6619),(1065,985,0.011323,3.6617),(1065,995,0.011473,3.6615),(1065,1005,0.011624,3.6613),(1065,1015,0.011777,3.6611),(1065,1025,0.011932,3.6609),(1065,1035,0.012087,3.6607),(1065,1045,0.012242,3.6605),(1065,1055,0.0124,3.6603),(1065,1065,0.012559,3.6601),(1065,1075,0.012719,3.6598),(1065,1085,0.012878,3.6596),(1065,1095,0.01304,3.6594),(1065,1105,0.013205,3.6592),(1065,1115,0.013369,3.659),(1065,1125,0.013533,3.6587),(1065,1135,0.0137,3.6585),(1065,1145,0.013869,3.6583),(1065,1155,0.014037,3.658),(1065,1165,0.014206,3.6578),(1065,1175,0.014378,3.6575),(1065,1185,0.014552,3.6573),(1065,1195,0.014726,3.657),(1065,1205,0.0149,3.6568),(1065,1215,0.015077,3.6565),(1065,1225,0.015256,3.6563),(1065,1235,0.015434,3.656),(1065,1245,0.015613,3.6557),(1065,1255,0.015795,3.6555),(1065,1265,0.015979,3.6552),(1065,1275,0.016163,3.6549),(1065,1285,0.016347,3.6546),(1065,1295,0.016534,3.6544),(1065,1305,0.016723,3.6541),(1065,1315,0.016912,3.6538),(1065,1325,0.0171,3.6535),(1065,1335,0.017293,3.6532),(1065,1345,0.017487,3.6529),(1065,1355,0.017681,3.6526),(1065,1365,0.017875,3.6523),(1065,1375,0.018074,3.652),(1065,1385,0.018273,3.6516),(1065,1395,0.018472,3.6513),(1065,1405,0.018672,3.651),(1065,1415,0.018876,3.6507),(1065,1425,0.01908,3.6503),(1065,1435,0.019285,3.65),(1065,1445,0.01949,3.6497),(1065,1455,0.0197,3.6493),(1065,1465,0.01991,3.649),(1065,1475,0.02012,3.6486),(1065,1485,0.02033,3.6483),(1065,1495,0.020545,3.6479),(1065,1505,0.020761,3.6475),(1065,1515,0.020976,3.6472),(1065,1525,0.021192,3.6468),(1065,1535,0.021413,3.6464),(1065,1545,0.021634,3.646),(1065,1555,0.021854,3.6457),(1065,1565,0.022076,3.6453),(1065,1575,0.022302,3.6449),(1065,1585,0.022528,3.6445),(1065,1595,0.022755,3.6441),(1065,1605,0.022982,3.6437),(1065,1615,0.023213,3.6433),(1065,1625,0.023445,3.6428),(1065,1635,0.023677,3.6424),(1065,1645,0.023909,3.642),(1065,1655,0.024146,3.6416),(1065,1665,0.024383,3.6411),(1065,1675,0.024621,3.6407),(1065,1685,0.024859,3.6403),(1065,1695,0.025101,3.6398),(1065,1705,0.025343,3.6394),(1065,1715,0.025586,3.6389),(1065,1725,0.025829,3.6384),(1065,1735,0.026077,3.638),(1065,1745,0.026324,3.6375),(1065,1755,0.026572,3.637),(1065,1765,0.026821,3.6365),(1065,1775,0.027074,3.636),(1065,1785,0.027326,3.6356),(1065,1795,0.027579,3.6351),(1065,1805,0.027833,3.6346),(1065,1815,0.028091,3.634),(1065,1825,0.028349,3.6335),(1065,1835,0.028606,3.633),(1065,1845,0.028866,3.6325),(1065,1855,0.029128,3.632),(1065,1865,0.02939,3.6314),(1065,1875,0.029653,3.6309),(1065,1885,0.029917,3.6303),(1065,1895,0.030184,3.6298),(1065,1905,0.030451,3.6292),(1065,1915,0.030718,3.6287),(1065,1925,0.030987,3.6281),(1065,1935,0.031258,3.6275),(1065,1945,0.031529,3.627),(1065,1955,0.0318,3.6264),(1065,1965,0.032074,3.6258),(1065,1975,0.032349,3.6252),(1065,1985,0.032624,3.6246),(1065,1995,0.0329,3.624),(1065,2005,0.033177,3.6234),(1065,2015,0.033456,3.6228),(1065,2025,0.033736,3.6222),(1065,2035,0.034015,3.6215),(1065,2045,0.034296,3.6209),(1065,2055,0.034579,3.6203),(1065,2065,0.034862,3.6196),(1065,2075,0.035145,3.6189),(1065,2085,0.035429,3.6183),(1065,2095,0.035715,3.6176),(1065,2105,0.036001,3.617),(1065,2115,0.036287,3.6163),(1065,2125,0.036575,3.6156),(1065,2135,0.036864,3.6149),(1065,2145,0.037153,3.6142),(1065,2155,0.037442,3.6135),(1065,2165,0.037732,3.6128),(1065,2175,0.038023,3.6121),(1065,2185,0.038314,3.6114),(1065,2195,0.038606,3.6107),(1065,2205,0.038898,3.6099),(1065,2215,0.039191,3.6092),(1065,2225,0.039485,3.6085),(1065,2235,0.039778,3.6077),(1065,2245,0.040072,3.607),(1065,2255,0.040367,3.6062),(1065,2265,0.040661,3.6054),(1065,2275,0.040956,3.6047),(1065,2285,0.041252,3.6039),(1065,2295,0.041547,3.6031),(1065,2305,0.041843,3.6023),(1065,2315,0.042139,3.6015),(1065,2325,0.042435,3.6007),(1065,2335,0.042731,3.5999),(1065,2345,0.043028,3.5991),(1065,2355,0.043324,3.5983),(1065,2365,0.04362,3.5975),(1065,2375,0.043916,3.5966),(1065,2385,0.044213,3.5958),(1065,2395,0.044509,3.5949),(1065,2405,0.044805,3.5941),(1065,2415,0.0451,3.5932),(1065,2425,0.045396,3.5924),(1065,2435,0.045691,3.5915),(1065,2445,0.045986,3.5906),(1065,2455,0.04628,3.5898),(1065,2465,0.046574,3.5889),(1065,2475,0.046868,3.588),(1065,2485,0.047161,3.5871),(1065,2495,0.047453,3.5862),(1065,2505,0.047746,3.5853),(1065,2515,0.048038,3.5843),(1065,2525,0.048328,3.5834),(1065,2535,0.048618,3.5825),(1065,2545,0.048907,3.5816),(1065,2555,0.049197,3.5806),(1065,2565,0.049484,3.5797),(1065,2575,0.04977,3.5787),(1065,2585,0.050057,3.5778),(1065,2595,0.050343,3.5768),(1065,2605,0.050625,3.5759),(1065,2615,0.050908,3.5749),(1065,2625,0.05119,3.5739),(1065,2635,0.051472,3.5729),(1065,2645,0.05175,3.5719),(1065,2655,0.052028,3.571),(1065,2665,0.052305,3.57),(1065,2675,0.052582,3.569),(1065,2685,0.052854,3.568),(1065,2695,0.053127,3.5669),(1065,2705,0.053399,3.5659),(1065,2715,0.05367,3.5649),(1065,2725,0.053936,3.5639),(1065,2735,0.054202,3.5629),(1065,2745,0.054468,3.5618),(1065,2755,0.054732,3.5608),(1065,2765,0.054991,3.5598),(1065,2775,0.055249,3.5587),(1065,2785,0.055508,3.5577),(1065,2795,0.055764,3.5566),(1065,2805,0.056014,3.5556),(1065,2815,0.056265,3.5545),(1065,2825,0.056515,3.5534),(1065,2835,0.056763,3.5524),(1065,2845,0.057004,3.5513),(1065,2855,0.057246,3.5502),(1065,2865,0.057487,3.5491),(1065,2875,0.057725,3.5481),(1065,2885,0.057956,3.547),(1065,2895,0.058188,3.5459),(1065,2905,0.058419,3.5448),(1065,2915,0.058646,3.5437),(1065,2925,0.058867,3.5426),(1065,2935,0.059087,3.5415),(1065,2945,0.059307,3.5404),(1065,2955,0.059522,3.5394),(1065,2965,0.05973,3.5383),(1065,2975,0.059938,3.5372),(1065,2985,0.060146,3.5361),(1065,2995,0.060347,3.535),(1065,3005,0.060542,3.5339),(1065,3015,0.060736,3.5328),(1065,3025,0.060931,3.5316),(1065,3035,0.061117,3.5305),(1065,3045,0.061297,3.5294),(1065,3055,0.061477,3.5283),(1065,3065,0.061657,3.5272),(1065,3075,0.061827,3.5261),(1065,3085,0.061991,3.525),(1065,3095,0.062155,3.5239),(1065,3105,0.062319,3.5228),(1065,3115,0.062471,3.5217),(1065,3125,0.062617,3.5206),(1065,3135,0.062763,3.5195),(1065,3145,0.062909,3.5184),(1065,3155,0.063042,3.5173),(1065,3165,0.063168,3.5163),(1065,3175,0.063294,3.5152),(1065,3185,0.06342,3.5141),(1065,3195,0.063531,3.513),(1065,3205,0.063635,3.5119),(1065,3215,0.06374,3.5109),(1065,3225,0.063844,3.5098),(1065,3235,0.063932,3.5087),(1065,3245,0.064012,3.5077),(1065,3255,0.064093,3.5066),(1065,3265,0.064174,3.5056),(1065,3275,0.064235,3.5045),(1065,3285,0.06429,3.5035),(1065,3295,0.064344,3.5024),(1065,3305,0.064399,3.5014),(1065,3315,0.06443,3.5004),(1065,3325,0.064456,3.4994),(1065,3335,0.064481,3.4983),(1065,3345,0.064507,3.4974),(1065,3355,0.064506,3.4964),(1065,3365,0.064499,3.4954),(1065,3375,0.064493,3.4944),(1065,3385,0.064486,3.4934),(1065,3395,0.064448,3.4924),(1065,3405,0.064406,3.4915),(1065,3415,0.064364,3.4905),(1065,3425,0.064322,3.4896),(1065,3435,0.064244,3.4887),(1065,3445,0.064162,3.4877),(1065,3455,0.064081,3.4868),(1065,3465,0.063999,3.486),(1065,3475,0.063876,3.4851),(1065,3485,0.063751,3.4842),(1065,3495,0.063626,3.4833),(1065,3505,0.063501,3.4825),(1065,3515,0.063328,3.4816),(1065,3525,0.063156,3.4808),(1065,3535,0.062983,3.48),(1065,3545,0.062808,3.4791),(1065,3555,0.062582,3.4783),(1065,3565,0.062356,3.4775),(1065,3575,0.062131,3.4768),(1065,3585,0.0619,3.476),(1065,3595,0.061616,3.4753),(1065,3605,0.061333,3.4745),(1065,3615,0.061049,3.4738),(1065,3625,0.060758,3.4731),(1065,3635,0.060411,3.4724),(1065,3645,0.060063,3.4717),(1065,3655,0.059716,3.4711),(1065,3665,0.059358,3.4704),(1065,3675,0.058942,3.4698),(1065,3685,0.058526,3.4691),(1065,3695,0.058111,3.4685),(1065,3705,0.05768,3.4679),(1065,3715,0.05719,3.4673),(1065,3725,0.056701,3.4668),(1065,3735,0.056211,3.4662),(1065,3745,0.055702,3.4657),(1065,3755,0.055134,3.4651),(1065,3765,0.054566,3.4646),(1065,3775,0.053998,3.4641),(1065,3785,0.053406,3.4636),(1065,3795,0.052756,3.4632),(1065,3805,0.052105,3.4627),(1065,3815,0.051454,3.4623),(1065,3825,0.050776,3.4618),(1065,3835,0.05004,3.4614),(1065,3845,0.049304,3.461),(1065,3855,0.048568,3.4606),(1065,3865,0.047801,3.4602),(1065,3875,0.046979,3.4599),(1065,3885,0.046157,3.4595),(1065,3895,0.045334,3.4592),(1065,3905,0.053104,3.4589),(1065,3915,0.073709,3.4585),(1065,3925,0.094314,3.4581),(1065,3935,0.11492,3.4574),(1065,3945,0.13745,3.4567),(1065,3955,0.16244,3.456),(1065,3965,0.18742,3.4549),(1065,3975,0.21241,3.4532),(1065,3985,0.22684,3.4514),(1065,3995,0.22986,3.4497),(1065,4005,0.23288,3.4477),(1065,4015,0.2359,3.4453),(1065,4025,0.23867,3.443),(1065,4035,0.24143,3.4405),(1065,4045,0.24418,3.4376),(1065,4055,0.24686,3.4347),(1065,4065,0.2495,3.4318),(1065,4075,0.25215,3.4285),(1065,4085,0.2548,3.4251),(1065,4095,0.25745,3.4218),(1065,4105,0.2601,3.4181),(1065,4115,0.25289,3.4145),(1065,4125,0.22934,3.4108),(1065,4135,0.2058,3.4079),(1065,4145,0.18121,3.4052),(1065,4155,0.15238,3.4025),(1065,4165,0.12355,3.4005),(1065,4175,0.096158,3.399),(1065,4185,0.13989,3.3975),(1065,4195,0.18362,3.3947),(1065,4205,0.22735,3.3901),(1065,4215,0.22203,3.3855),(1065,4225,0.20748,3.3808),(1065,4235,0.19293,3.3762),(1065,4245,0.17442,3.3715),(1065,4255,0.15391,3.3669),(1065,4265,0.1334,3.3631),(1065,4275,0.10875,3.3593),(1065,4285,0.079699,3.3556),(1065,4295,0.05065,3.3541),(1065,4305,0.043119,3.353),(1065,4315,0.084175,3.3518),(1065,4325,0.12523,3.3464),(1065,4335,0.16277,3.3392),(1065,4345,0.17655,3.332),(1065,4355,0.19032,3.3254),(1065,4365,0.20409,3.3195),(1065,4375,0.21134,3.3135),(1065,4385,0.21824,3.3082),(1065,4395,0.22515,3.304),(1065,4405,0.19809,3.2997),(1065,4415,0.16102,3.2961),(1065,4425,0.12394,3.2948),(1065,4435,0.11155,3.2936),(1065,4445,0.11602,3.2923),(1065,4455,0.12048,3.2902),(1065,4465,0.1496,3.2882),(1065,4475,0.21334,3.2861),(1065,4485,0.27708,3.2811),(1065,4495,0.32809,3.2755),(1065,4505,0.33826,3.2699),(1065,4515,0.34843,3.2638),(1065,4525,0.35769,3.2574),(1065,4535,0.35261,3.2511),(1065,4545,0.34752,3.2448),(1065,4555,0.34244,3.2386),(1065,4565,0.25037,3.2324),(1065,4575,0.14658,3.2279),(1065,4585,0.042781,3.2275),(1065,4595,0.035534,3.227),(1065,4605,0.069079,3.2263),(1065,4615,0.10262,3.2228),(1065,4625,0.14533,3.2194),(1065,4635,0.19633,3.2159),(1065,4645,0.24734,3.2099),(1065,4655,0.29891,3.2037),(1065,4665,0.35156,3.1975),(1065,4675,0.4042,3.1903),(1065,4685,0.43284,3.1827),(1065,4695,0.34283,3.1751),(1065,4705,0.25282,3.1705),(1065,4715,0.16281,3.168),(1065,4725,0.20167,3.1655),(1065,4735,0.24182,3.1612),(1065,4745,0.28197,3.1541),(1065,4755,0.35369,3.1471),(1065,4765,0.43273,3.1391),(1065,4775,0.51176,3.1278),(1065,4785,0.55915,3.1166),(1065,4795,0.58825,3.1053),(1065,4805,0.61735,3.0939),(1065,4815,0.60872,3.0825),(1065,4825,0.55498,3.0711),(1065,4835,0.50123,3.0632),(1065,4845,0.43314,3.0558),(1065,4855,0.32763,3.0484),(1065,4865,0.22212,3.0435),(1065,4875,0.13996,3.0397),(1065,4885,0.27025,3.0359),(1065,4895,0.40053,3.027),(1065,4905,0.53081,3.0132),(1065,4915,0.5368,2.9993),(1065,4925,0.5321,2.9859),(1065,4935,0.52739,2.9734),(1065,4945,0.48496,2.9609),(1065,4955,0.42945,2.9492),(1065,4965,0.37395,2.9413),(1065,4975,0.29164,2.9334),(1065,4985,0.18865,2.9256),(1065,4995,0.085667,2.9249),(1065,5005,0.083429,2.9243),(1065,5015,0.24136,2.9237),(1065,5025,0.39929,2.9127),(1065,5035,0.54232,2.8991),(1065,5045,0.62855,2.8854),(1065,5055,0.71479,2.869),(1065,5065,0.79954,2.8508),(1065,5075,0.83552,2.8327),(1065,5085,0.8715,2.8146),(1065,5095,0.90748,2.7966),(1065,5105,0.80856,2.7786),(1065,5115,0.6861,2.763),(1065,5125,0.56364,2.7538),(1065,5135,0.47047,2.7447),(1065,5145,0.39151,2.7357),(1065,5155,0.31255,2.729),(1065,5165,0.35887,2.7222),(1065,5175,0.53296,2.7155),(1065,5185,0.70706,2.6987),(1065,5195,0.83782,2.6809),(1065,5205,0.87512,2.6631),(1065,5215,0.91243,2.6452),(1065,5225,0.94426,2.6272),(1065,5235,0.94209,2.6092),(1065,5245,0.93992,2.5924),(1065,5255,0.93774,2.5766),(1065,5265,0.65484,2.5607),(1065,5275,0.36037,2.5507),(1065,5285,0.065891,2.5506),(1065,5295,0.10037,2.5505),(1065,5305,0.22646,2.548),(1065,5315,0.35255,2.5356),(1065,5325,0.47768,2.5231),(1065,5335,0.60217,2.5106),(1065,5345,0.72667,2.4917),(1065,5355,0.82979,2.4727),(1065,5365,0.90408,2.4538),(1065,5375,0.97837,2.4339),(1065,5385,0.97711,2.4139),(1065,5395,0.74619,2.3939),(1065,5405,0.51527,2.3837),(1065,5415,0.29968,2.3785),(1065,5425,0.28999,2.3733),(1065,5435,0.2803,2.3676),(1065,5445,0.2706,2.3614),(1065,5455,0.32765,2.3551),(1065,5465,0.39285,2.3474),(1065,5475,0.45804,2.3361),(1065,5485,0.49052,2.3248),(1065,5495,0.50983,2.3133),(1065,5505,0.52913,2.3004),(1065,5515,0.54984,2.2874),(1065,5525,0.57178,2.2744),(1065,5535,0.59372,2.2598),(1065,5545,0.6162,2.2451),(1065,5555,0.63968,2.2305),(1065,5565,0.66315,2.2143),(1065,5575,0.68685,2.1977),(1065,5585,0.71163,2.181),(1065,5595,0.7364,2.1634),(1065,5605,0.76117,2.1452),(1065,5615,0.78716,2.127),(1065,5625,0.81314,2.108),(1065,5635,0.83913,2.0879),(1065,5645,0.86605,2.0678),(1065,5655,0.89316,2.0474),(1065,5665,0.92028,2.0257),(1065,5675,0.94803,2.004),(1065,5685,0.97613,1.9822),(1065,5695,1.0042,1.9592),(1065,5705,1.0326,1.9361),(1065,5715,1.0614,1.913),(1065,5725,1.0902,1.8888),(1065,5735,1.1191,1.8645),(1065,5745,1.1482,1.8402),(1065,5755,1.1773,1.8152),(1065,5765,1.2065,1.7899),(1065,5775,1.2356,1.7647),(1065,5785,1.2647,1.739),(1065,5795,1.2938,1.7129),(1065,5805,1.3225,1.6868),(1065,5815,1.3513,1.6605),(1065,5825,1.38,1.6338),(1065,5835,1.4082,1.6071),(1065,5845,1.4363,1.5803),(1065,5855,1.4644,1.5533),(1065,5865,1.4919,1.5262),(1065,5875,1.5191,1.4992),(1065,5885,1.5462,1.4719),(1065,5895,1.5729,1.4445),(1065,5905,1.5988,1.4172),(1065,5915,1.6248,1.3897),(1065,5925,1.6505,1.3621),(1065,5935,1.6752,1.3346),(1065,5945,1.6998,1.3071),(1065,5955,1.7244,1.2796),(1065,5965,1.7483,1.2522),(1065,5975,1.7721,1.2248),(1065,5985,1.7959,1.1975),(1065,5995,1.3769,1.1701),(1065,6005,0.88657,1.1493),(1065,6015,0.39627,1.1457),(1065,6025,0.34147,1.1421),(1065,6035,0.48865,1.1376),(1065,6045,0.63584,1.1239),(1065,6055,0.74769,1.1101),(1065,6065,0.8249,1.0964),(1065,6075,0.90211,1.0782),(1065,6085,0.95566,1.0597),(1065,6095,0.96046,1.0411),(1065,6105,0.96526,1.0225),(1065,6115,0.97002,1.0038),(1065,6125,0.9746,0.98509),(1065,6135,0.97918,0.96624),(1065,6145,0.98375,0.94726),(1065,6155,0.9881,0.92827),(1065,6165,0.99244,0.90911),(1065,6175,0.99678,0.88966),(1065,6185,1.0009,0.8702),(1065,6195,1.0049,0.85073),(1065,6205,1.009,0.83123),(1065,6215,1.0129,0.81172),(1065,6225,1.0166,0.79221),(1065,6235,1.0204,0.77255),(1065,6245,1.024,0.75289),(1065,6255,1.0274,0.73324),(1065,6265,1.0308,0.7133),(1065,6275,1.0342,0.69331),(1065,6285,1.0373,0.67331),(1065,6295,1.0405,0.65335),(1065,6305,1.0436,0.6334),(1065,6315,1.0465,0.61345),(1065,6325,1.0494,0.5933),(1065,6335,1.0524,0.57294),(1065,6345,1.055,0.55259),(1065,6355,1.0575,0.53217),(1065,6365,1.0601,0.51162),(1065,6375,1.0624,0.49106),(1065,6385,1.0647,0.47053),(1065,6395,1.067,0.45012),(1065,6405,1.069,0.42972),(1065,6415,1.071,0.40932),(1065,6425,1.0729,0.38857),(1065,6435,1.0747,0.36782),(1065,6445,1.0762,0.34706),(1065,6455,1.0778,0.32613),(1065,6465,1.0793,0.30516),(1065,6475,1.0806,0.28418),(1065,6485,1.0819,0.26333),(1065,6495,1.0832,0.24256),(1065,6505,1.0842,0.22178),(1065,6515,1.0853,0.20096),(1065,6525,1.0863,0.18006),(1065,6535,1.087,0.15917),(1065,6545,1.0877,0.13824),(1065,6555,1.0883,0.1172),(1065,6565,1.0888,0.096171),(1065,6575,1.0891,0.07514),(1065,6585,1.0894,0.054149),(1065,6595,0.92665,0.033157),(1065,6605,0.58394,0.012165),(1065,6615,0.24122,0.009711),(1065,6625,0.000302,0.009638),(1065,6635,0.000304,0.009565),(1065,6645,0.000306,0.009539),(1065,6655,0.000308,0.009532),(1065,6665,0.00031,0.009526),(1065,6675,0.000312,0.009519),(1065,6685,0.000314,0.009512),(1065,6695,0.000316,0.009505),(1065,6705,0.000318,0.009498),(1065,6715,0.00032,0.009491),(1065,6725,0.000322,0.009485),(1065,6735,0.000323,0.009478),(1065,6745,0.000325,0.009471),(1065,6755,0.000327,0.009464),(1065,6765,0.000329,0.009457),(1065,6775,0.00033,0.00945),(1065,6785,0.000332,0.009443),(1065,6795,0.000334,0.009436),(1065,6805,0.000336,0.009429),(1065,6815,0.000337,0.009422),(1065,6825,0.000339,0.009415),(1065,6835,0.00034,0.009408),(1065,6845,0.000342,0.0094),(1065,6855,0.000344,0.009393),(1065,6865,0.000345,0.009386),(1065,6875,0.000347,0.009379),(1065,6885,0.000348,0.009371),(1065,6895,0.00035,0.009364),(1065,6905,0.000351,0.009357),(1065,6915,0.000353,0.00935),(1065,6925,0.000354,0.009342),(1065,6935,0.000356,0.009335),(1065,6945,0.000357,0.009327),(1065,6955,0.000358,0.00932),(1065,6965,0.00036,0.009312),(1065,6975,0.000361,0.009305),(1065,6985,0.000363,0.009298),(1075,5,4.9e-05,3.6703),(1075,15,0.000147,3.6703),(1075,25,0.000245,3.6703),(1075,35,0.000342,3.6703),(1075,45,0.00044,3.6703),(1075,55,0.000538,3.6703),(1075,65,0.000636,3.6703),(1075,75,0.000734,3.6703),(1075,85,0.000832,3.6703),(1075,95,0.000931,3.6703),(1075,105,0.001029,3.6702),(1075,115,0.001128,3.6702),(1075,125,0.001226,3.6702),(1075,135,0.001325,3.6702),(1075,145,0.001424,3.6702),(1075,155,0.001523,3.6701),(1075,165,0.001622,3.6701),(1075,175,0.001721,3.6701),(1075,185,0.001821,3.6701),(1075,195,0.001921,3.67),(1075,205,0.002021,3.67),(1075,215,0.002121,3.67),(1075,225,0.002222,3.6699),(1075,235,0.002322,3.6699),(1075,245,0.002423,3.6699),(1075,255,0.002524,3.6698),(1075,265,0.002626,3.6698),(1075,275,0.002728,3.6697),(1075,285,0.00283,3.6697),(1075,295,0.002932,3.6696),(1075,305,0.003035,3.6696),(1075,315,0.003138,3.6695),(1075,325,0.003242,3.6695),(1075,335,0.003345,3.6694),(1075,345,0.00345,3.6694),(1075,355,0.003555,3.6693),(1075,365,0.003659,3.6693),(1075,375,0.003764,3.6692),(1075,385,0.003871,3.6691),(1075,395,0.003977,3.6691),(1075,405,0.004084,3.669),(1075,415,0.00419,3.6689),(1075,425,0.004299,3.6689),(1075,435,0.004407,3.6688),(1075,445,0.004515,3.6687),(1075,455,0.004624,3.6687),(1075,465,0.004734,3.6686),(1075,475,0.004844,3.6685),(1075,485,0.004954,3.6684),(1075,495,0.005065,3.6683),(1075,505,0.005177,3.6683),(1075,515,0.005289,3.6682),(1075,525,0.005402,3.6681),(1075,535,0.005515,3.668),(1075,545,0.005629,3.6679),(1075,555,0.005744,3.6678),(1075,565,0.005859,3.6677),(1075,575,0.005974,3.6676),(1075,585,0.006091,3.6675),(1075,595,0.006209,3.6674),(1075,605,0.006326,3.6673),(1075,615,0.006444,3.6672),(1075,625,0.006564,3.6671),(1075,635,0.006684,3.667),(1075,645,0.006804,3.6669),(1075,655,0.006925,3.6668),(1075,665,0.007048,3.6667),(1075,675,0.007171,3.6666),(1075,685,0.007294,3.6664),(1075,695,0.007417,3.6663),(1075,705,0.007543,3.6662),(1075,715,0.007669,3.6661),(1075,725,0.007795,3.6659),(1075,735,0.007922,3.6658),(1075,745,0.008051,3.6657),(1075,755,0.008181,3.6655),(1075,765,0.00831,3.6654),(1075,775,0.00844,3.6653),(1075,785,0.008573,3.6651),(1075,795,0.008705,3.665),(1075,805,0.008838,3.6648),(1075,815,0.008972,3.6647),(1075,825,0.009108,3.6645),(1075,835,0.009244,3.6644),(1075,845,0.00938,3.6642),(1075,855,0.009518,3.6641),(1075,865,0.009658,3.6639),(1075,875,0.009798,3.6638),(1075,885,0.009938,3.6636),(1075,895,0.010079,3.6634),(1075,905,0.010223,3.6633),(1075,915,0.010367,3.6631),(1075,925,0.010511,3.6629),(1075,935,0.010656,3.6627),(1075,945,0.010804,3.6626),(1075,955,0.010952,3.6624),(1075,965,0.011099,3.6622),(1075,975,0.011249,3.662),(1075,985,0.011401,3.6618),(1075,995,0.011553,3.6616),(1075,1005,0.011705,3.6614),(1075,1015,0.011859,3.6612),(1075,1025,0.012015,3.661),(1075,1035,0.012172,3.6608),(1075,1045,0.012328,3.6606),(1075,1055,0.012487,3.6604),(1075,1065,0.012648,3.6602),(1075,1075,0.012808,3.66),(1075,1085,0.012969,3.6598),(1075,1095,0.013133,3.6596),(1075,1105,0.013298,3.6594),(1075,1115,0.013464,3.6591),(1075,1125,0.013629,3.6589),(1075,1135,0.013798,3.6587),(1075,1145,0.013968,3.6584),(1075,1155,0.014138,3.6582),(1075,1165,0.014308,3.658),(1075,1175,0.014482,3.6577),(1075,1185,0.014657,3.6575),(1075,1195,0.014832,3.6572),(1075,1205,0.015007,3.657),(1075,1215,0.015186,3.6567),(1075,1225,0.015366,3.6565),(1075,1235,0.015546,3.6562),(1075,1245,0.015727,3.6559),(1075,1255,0.015911,3.6556),(1075,1265,0.016096,3.6554),(1075,1275,0.016281,3.6551),(1075,1285,0.016467,3.6548),(1075,1295,0.016656,3.6545),(1075,1305,0.016846,3.6543),(1075,1315,0.017037,3.654),(1075,1325,0.017227,3.6537),(1075,1335,0.017422,3.6534),(1075,1345,0.017618,3.6531),(1075,1355,0.017813,3.6528),(1075,1365,0.018009,3.6525),(1075,1375,0.018209,3.6522),(1075,1385,0.01841,3.6518),(1075,1395,0.018611,3.6515),(1075,1405,0.018812,3.6512),(1075,1415,0.019018,3.6509),(1075,1425,0.019225,3.6505),(1075,1435,0.019431,3.6502),(1075,1445,0.019638,3.6499),(1075,1455,0.01985,3.6495),(1075,1465,0.020062,3.6492),(1075,1475,0.020274,3.6488),(1075,1485,0.020486,3.6485),(1075,1495,0.020703,3.6481),(1075,1505,0.020921,3.6478),(1075,1515,0.021138,3.6474),(1075,1525,0.021356,3.647),(1075,1535,0.021579,3.6466),(1075,1545,0.021802,3.6463),(1075,1555,0.022025,3.6459),(1075,1565,0.022248,3.6455),(1075,1575,0.022477,3.6451),(1075,1585,0.022705,3.6447),(1075,1595,0.022934,3.6443),(1075,1605,0.023163,3.6439),(1075,1615,0.023397,3.6435),(1075,1625,0.023631,3.6431),(1075,1635,0.023865,3.6427),(1075,1645,0.024099,3.6422),(1075,1655,0.024339,3.6418),(1075,1665,0.024578,3.6414),(1075,1675,0.024818,3.6409),(1075,1685,0.025058,3.6405),(1075,1695,0.025303,3.64),(1075,1705,0.025548,3.6396),(1075,1715,0.025792,3.6391),(1075,1725,0.026038,3.6387),(1075,1735,0.026288,3.6382),(1075,1745,0.026539,3.6377),(1075,1755,0.026789,3.6373),(1075,1765,0.02704,3.6368),(1075,1775,0.027295,3.6363),(1075,1785,0.02755,3.6358),(1075,1795,0.027806,3.6353),(1075,1805,0.028062,3.6348),(1075,1815,0.028323,3.6343),(1075,1825,0.028583,3.6338),(1075,1835,0.028843,3.6333),(1075,1845,0.029105,3.6328),(1075,1855,0.02937,3.6322),(1075,1865,0.029636,3.6317),(1075,1875,0.029901,3.6312),(1075,1885,0.030168,3.6306),(1075,1895,0.030437,3.6301),(1075,1905,0.030707,3.6295),(1075,1915,0.030977,3.6289),(1075,1925,0.031249,3.6284),(1075,1935,0.031523,3.6278),(1075,1945,0.031797,3.6272),(1075,1955,0.032071,3.6267),(1075,1965,0.032347,3.6261),(1075,1975,0.032625,3.6255),(1075,1985,0.032903,3.6249),(1075,1995,0.033182,3.6243),(1075,2005,0.033462,3.6237),(1075,2015,0.033744,3.6231),(1075,2025,0.034026,3.6224),(1075,2035,0.034309,3.6218),(1075,2045,0.034593,3.6212),(1075,2055,0.034879,3.6205),(1075,2065,0.035164,3.6199),(1075,2075,0.03545,3.6192),(1075,2085,0.035738,3.6186),(1075,2095,0.036027,3.6179),(1075,2105,0.036316,3.6172),(1075,2115,0.036605,3.6166),(1075,2125,0.036896,3.6159),(1075,2135,0.037188,3.6152),(1075,2145,0.03748,3.6145),(1075,2155,0.037772,3.6138),(1075,2165,0.038065,3.6131),(1075,2175,0.03836,3.6124),(1075,2185,0.038654,3.6117),(1075,2195,0.038948,3.611),(1075,2205,0.039244,3.6102),(1075,2215,0.039541,3.6095),(1075,2225,0.039837,3.6088),(1075,2235,0.040133,3.608),(1075,2245,0.040431,3.6073),(1075,2255,0.040728,3.6065),(1075,2265,0.041026,3.6057),(1075,2275,0.041324,3.605),(1075,2285,0.041623,3.6042),(1075,2295,0.041922,3.6034),(1075,2305,0.04222,3.6026),(1075,2315,0.042519,3.6018),(1075,2325,0.042819,3.601),(1075,2335,0.043118,3.6002),(1075,2345,0.043417,3.5994),(1075,2355,0.043717,3.5986),(1075,2365,0.044016,3.5977),(1075,2375,0.044316,3.5969),(1075,2385,0.044615,3.5961),(1075,2395,0.044914,3.5952),(1075,2405,0.045213,3.5944),(1075,2415,0.045512,3.5935),(1075,2425,0.04581,3.5927),(1075,2435,0.046109,3.5918),(1075,2445,0.046406,3.5909),(1075,2455,0.046703,3.59),(1075,2465,0.047001,3.5892),(1075,2475,0.047298,3.5883),(1075,2485,0.047593,3.5874),(1075,2495,0.047888,3.5865),(1075,2505,0.048184,3.5855),(1075,2515,0.048479,3.5846),(1075,2525,0.048771,3.5837),(1075,2535,0.049064,3.5828),(1075,2545,0.049356,3.5819),(1075,2555,0.049649,3.5809),(1075,2565,0.049938,3.58),(1075,2575,0.050227,3.579),(1075,2585,0.050516,3.5781),(1075,2595,0.050805,3.5771),(1075,2605,0.05109,3.5761),(1075,2615,0.051375,3.5752),(1075,2625,0.05166,3.5742),(1075,2635,0.051944,3.5732),(1075,2645,0.052224,3.5722),(1075,2655,0.052504,3.5712),(1075,2665,0.052784,3.5702),(1075,2675,0.053063,3.5692),(1075,2685,0.053338,3.5682),(1075,2695,0.053612,3.5672),(1075,2705,0.053886,3.5662),(1075,2715,0.054159,3.5652),(1075,2725,0.054427,3.5642),(1075,2735,0.054695,3.5631),(1075,2745,0.054963,3.5621),(1075,2755,0.055228,3.5611),(1075,2765,0.055489,3.56),(1075,2775,0.055749,3.559),(1075,2785,0.056009,3.5579),(1075,2795,0.056267,3.5569),(1075,2805,0.056518,3.5558),(1075,2815,0.05677,3.5547),(1075,2825,0.057022,3.5537),(1075,2835,0.05727,3.5526),(1075,2845,0.057512,3.5515),(1075,2855,0.057755,3.5505),(1075,2865,0.057997,3.5494),(1075,2875,0.058236,3.5483),(1075,2885,0.058468,3.5472),(1075,2895,0.0587,3.5461),(1075,2905,0.058931,3.545),(1075,2915,0.059159,3.544),(1075,2925,0.059379,3.5429),(1075,2935,0.0596,3.5418),(1075,2945,0.05982,3.5407),(1075,2955,0.060035,3.5396),(1075,2965,0.060242,3.5385),(1075,2975,0.06045,3.5374),(1075,2985,0.060658,3.5363),(1075,2995,0.060858,3.5352),(1075,3005,0.061052,3.534),(1075,3015,0.061246,3.5329),(1075,3025,0.061439,3.5318),(1075,3035,0.061625,3.5307),(1075,3045,0.061803,3.5296),(1075,3055,0.061981,3.5285),(1075,3065,0.06216,3.5274),(1075,3075,0.062329,3.5263),(1075,3085,0.06249,3.5252),(1075,3095,0.062652,3.5241),(1075,3105,0.062814,3.523),(1075,3115,0.062964,3.5219),(1075,3125,0.063107,3.5208),(1075,3135,0.063251,3.5197),(1075,3145,0.063394,3.5186),(1075,3155,0.063524,3.5175),(1075,3165,0.063647,3.5164),(1075,3175,0.06377,3.5153),(1075,3185,0.063893,3.5142),(1075,3195,0.064,3.5131),(1075,3205,0.064101,3.512),(1075,3215,0.064202,3.511),(1075,3225,0.064302,3.5099),(1075,3235,0.064385,3.5088),(1075,3245,0.064462,3.5077),(1075,3255,0.064538,3.5067),(1075,3265,0.064614,3.5056),(1075,3275,0.06467,3.5046),(1075,3285,0.064719,3.5035),(1075,3295,0.064769,3.5025),(1075,3305,0.064818,3.5014),(1075,3315,0.064844,3.5004),(1075,3325,0.064864,3.4994),(1075,3335,0.064883,3.4984),(1075,3345,0.064903,3.4974),(1075,3355,0.064895,3.4964),(1075,3365,0.064883,3.4953),(1075,3375,0.06487,3.4944),(1075,3385,0.064857,3.4934),(1075,3395,0.064812,3.4924),(1075,3405,0.064763,3.4914),(1075,3415,0.064714,3.4905),(1075,3425,0.064665,3.4895),(1075,3435,0.064578,3.4886),(1075,3445,0.064489,3.4877),(1075,3455,0.0644,3.4868),(1075,3465,0.064311,3.4859),(1075,3475,0.06418,3.4849),(1075,3485,0.064047,3.484),(1075,3495,0.063914,3.4832),(1075,3505,0.063781,3.4823),(1075,3515,0.063599,3.4814),(1075,3525,0.063418,3.4806),(1075,3535,0.063237,3.4798),(1075,3545,0.063053,3.4789),(1075,3555,0.062819,3.4781),(1075,3565,0.062584,3.4773),(1075,3575,0.06235,3.4765),(1075,3585,0.06211,3.4758),(1075,3595,0.061818,3.475),(1075,3605,0.061525,3.4742),(1075,3615,0.061232,3.4735),(1075,3625,0.060932,3.4728),(1075,3635,0.060576,3.4721),(1075,3645,0.06022,3.4714),(1075,3655,0.059864,3.4707),(1075,3665,0.059497,3.47),(1075,3675,0.059073,3.4694),(1075,3685,0.058648,3.4687),(1075,3695,0.058224,3.4681),(1075,3705,0.057784,3.4675),(1075,3715,0.057287,3.4669),(1075,3725,0.056789,3.4663),(1075,3735,0.056291,3.4657),(1075,3745,0.055774,3.4651),(1075,3755,0.055198,3.4646),(1075,3765,0.054622,3.464),(1075,3775,0.054046,3.4635),(1075,3785,0.053447,3.463),(1075,3795,0.05279,3.4625),(1075,3805,0.052132,3.462),(1075,3815,0.051474,3.4616),(1075,3825,0.050789,3.4611),(1075,3835,0.050047,3.4607),(1075,3845,0.049305,3.4602),(1075,3855,0.048563,3.4599),(1075,3865,0.04779,3.4595),(1075,3875,0.046963,3.4591),(1075,3885,0.046135,3.4587),(1075,3895,0.045308,3.4583),(1075,3905,0.053048,3.458),(1075,3915,0.073588,3.4576),(1075,3925,0.094127,3.4571),(1075,3935,0.11467,3.4564),(1075,3945,0.13719,3.4557),(1075,3955,0.16224,3.4549),(1075,3965,0.18728,3.4537),(1075,3975,0.21233,3.4519),(1075,3985,0.22686,3.4501),(1075,3995,0.23001,3.4483),(1075,4005,0.23316,3.4461),(1075,4015,0.23631,3.4437),(1075,4025,0.23921,3.4413),(1075,4035,0.24209,3.4387),(1075,4045,0.24497,3.4357),(1075,4055,0.24775,3.4327),(1075,4065,0.2505,3.4297),(1075,4075,0.25325,3.4263),(1075,4085,0.25597,3.4229),(1075,4095,0.25868,3.4195),(1075,4105,0.26138,3.4158),(1075,4115,0.25417,3.4121),(1075,4125,0.23051,3.4084),(1075,4135,0.20686,3.4055),(1075,4145,0.18216,3.4028),(1075,4155,0.15325,3.4001),(1075,4165,0.12434,3.3981),(1075,4175,0.096875,3.3966),(1075,4185,0.14112,3.395),(1075,4195,0.18537,3.3921),(1075,4205,0.22961,3.3875),(1075,4215,0.22447,3.3829),(1075,4225,0.21003,3.3783),(1075,4235,0.19559,3.3736),(1075,4245,0.17707,3.369),(1075,4255,0.15648,3.3644),(1075,4265,0.13588,3.3606),(1075,4275,0.11094,3.3569),(1075,4285,0.081377,3.3531),(1075,4295,0.051815,3.3517),(1075,4305,0.04436,3.3505),(1075,4315,0.086822,3.3494),(1075,4325,0.12928,3.3439),(1075,4335,0.168,3.3368),(1075,4345,0.18132,3.3296),(1075,4355,0.19465,3.3231),(1075,4365,0.20798,3.3172),(1075,4375,0.21472,3.3112),(1075,4385,0.22111,3.3059),(1075,4395,0.22751,3.3015),(1075,4405,0.1999,3.2972),(1075,4415,0.16226,3.2934),(1075,4425,0.12462,3.292),(1075,4435,0.11212,3.2906),(1075,4445,0.11679,3.2893),(1075,4455,0.12147,3.2872),(1075,4465,0.15093,3.2851),(1075,4475,0.21521,3.283),(1075,4485,0.2795,3.2779),(1075,4495,0.33094,3.2722),(1075,4505,0.3412,3.2665),(1075,4515,0.35145,3.2603),(1075,4525,0.36079,3.2538),(1075,4535,0.35565,3.2474),(1075,4545,0.35051,3.241),(1075,4555,0.34537,3.2346),(1075,4565,0.25255,3.2283),(1075,4575,0.14792,3.2237),(1075,4585,0.043281,3.2233),(1075,4595,0.036204,3.2229),(1075,4605,0.070348,3.2221),(1075,4615,0.10449,3.2185),(1075,4625,0.14768,3.215),(1075,4635,0.19906,3.2114),(1075,4645,0.25043,3.2053),(1075,4655,0.30222,3.199),(1075,4665,0.35478,3.1927),(1075,4675,0.40734,3.1855),(1075,4685,0.43578,3.178),(1075,4695,0.34505,3.1704),(1075,4705,0.25433,3.1659),(1075,4715,0.1636,3.1635),(1075,4725,0.20343,3.1611),(1075,4735,0.24457,3.1568),(1075,4745,0.2857,3.1498),(1075,4755,0.35802,3.1427),(1075,4765,0.43757,3.1347),(1075,4775,0.51712,3.1235),(1075,4785,0.56456,3.1123),(1075,4795,0.59345,3.1011),(1075,4805,0.62234,3.0898),(1075,4815,0.61328,3.0784),(1075,4825,0.55885,3.0671),(1075,4835,0.50442,3.0593),(1075,4845,0.4358,3.0519),(1075,4855,0.33016,3.0446),(1075,4865,0.22453,3.0397),(1075,4875,0.14242,3.0359),(1075,4885,0.27441,3.0321),(1075,4895,0.40639,3.0232),(1075,4905,0.53838,3.0093),(1075,4915,0.54418,2.9955),(1075,4925,0.53912,2.982),(1075,4935,0.53407,2.9695),(1075,4945,0.49093,2.957),(1075,4955,0.43458,2.9452),(1075,4965,0.37824,2.9373),(1075,4975,0.29493,2.9294),(1075,4985,0.1908,2.9215),(1075,4995,0.086667,2.9208),(1075,5005,0.084605,2.9202),(1075,5015,0.24481,2.9196),(1075,5025,0.40501,2.9087),(1075,5035,0.54994,2.8951),(1075,5045,0.63669,2.8815),(1075,5055,0.72343,2.8652),(1075,5065,0.80866,2.8472),(1075,5075,0.84432,2.8292),(1075,5085,0.87997,2.8113),(1075,5095,0.91563,2.7934),(1075,5105,0.81547,2.7756),(1075,5115,0.69161,2.7601),(1075,5125,0.56776,2.751),(1075,5135,0.47411,2.742),(1075,5145,0.39513,2.7331),(1075,5155,0.31615,2.7264),(1075,5165,0.36325,2.7196),(1075,5175,0.53892,2.7128),(1075,5185,0.7146,2.6961),(1075,5195,0.84635,2.6783),(1075,5205,0.88341,2.6605),(1075,5215,0.92046,2.6426),(1075,5225,0.952,2.6247),(1075,5235,0.94929,2.6068),(1075,5245,0.94658,2.5901),(1075,5255,0.94387,2.5743),(1075,5265,0.65913,2.5585),(1075,5275,0.36276,2.5486),(1075,5285,0.06639,2.5484),(1075,5295,0.10223,2.5483),(1075,5305,0.23058,2.5458),(1075,5315,0.35893,2.5334),(1075,5325,0.48541,2.5209),(1075,5335,0.61068,2.5084),(1075,5345,0.73595,2.4895),(1075,5355,0.8394,2.4706),(1075,5365,0.9134,2.4517),(1075,5375,0.9874,2.432),(1075,5385,0.9854,2.4121),(1075,5395,0.75234,2.3923),(1075,5405,0.51927,2.3821),(1075,5415,0.30171,2.377),(1075,5425,0.29243,2.3719),(1075,5435,0.28314,2.3661),(1075,5445,0.27386,2.3597),(1075,5455,0.33169,2.3533),(1075,5465,0.39771,2.3454),(1075,5475,0.46374,2.3339),(1075,5485,0.49666,2.3224),(1075,5495,0.51623,2.3107),(1075,5505,0.53581,2.2975),(1075,5515,0.55682,2.2843),(1075,5525,0.57906,2.2711),(1075,5535,0.6013,2.2563),(1075,5545,0.62409,2.2415),(1075,5555,0.64787,2.2266),(1075,5565,0.67165,2.2102),(1075,5575,0.69566,2.1934),(1075,5585,0.72073,2.1766),(1075,5595,0.7458,2.1589),(1075,5605,0.77087,2.1405),(1075,5615,0.79712,2.1221),(1075,5625,0.82337,2.103),(1075,5635,0.84963,2.0828),(1075,5645,0.87677,2.0626),(1075,5655,0.90411,2.042),(1075,5665,0.93144,2.0202),(1075,5675,0.95937,1.9985),(1075,5685,0.98763,1.9767),(1075,5695,1.0159,1.9536),(1075,5705,1.0444,1.9304),(1075,5715,1.0733,1.9073),(1075,5725,1.1022,1.8832),(1075,5735,1.1311,1.8589),(1075,5745,1.1603,1.8346),(1075,5755,1.1895,1.8097),(1075,5765,1.2186,1.7845),(1075,5775,1.2477,1.7593),(1075,5785,1.2768,1.7337),(1075,5795,1.3059,1.7077),(1075,5805,1.3346,1.6817),(1075,5815,1.3632,1.6555),(1075,5825,1.3919,1.629),(1075,5835,1.42,1.6025),(1075,5845,1.448,1.5759),(1075,5855,1.476,1.549),(1075,5865,1.5034,1.5222),(1075,5875,1.5304,1.4954),(1075,5885,1.5574,1.4683),(1075,5895,1.5839,1.4411),(1075,5905,1.6097,1.414),(1075,5915,1.6355,1.3867),(1075,5925,1.661,1.3594),(1075,5935,1.6855,1.3321),(1075,5945,1.7099,1.3049),(1075,5955,1.7344,1.2778),(1075,5965,1.758,1.2506),(1075,5975,1.7816,1.2235),(1075,5985,1.8052,1.1965),(1075,5995,1.384,1.1694),(1075,6005,0.89111,1.1488),(1075,6015,0.39824,1.1453),(1075,6025,0.34381,1.1417),(1075,6035,0.49272,1.1373),(1075,6045,0.64164,1.1235),(1075,6055,0.75471,1.1098),(1075,6065,0.83264,1.096),(1075,6075,0.91057,1.0779),(1075,6085,0.96462,1.0593),(1075,6095,0.96947,1.0407),(1075,6105,0.97431,1.0221),(1075,6115,0.97912,1.0034),(1075,6125,0.98373,0.98468),(1075,6135,0.98834,0.96583),(1075,6145,0.99295,0.94685),(1075,6155,0.99733,0.92788),(1075,6165,1.0017,0.90872),(1075,6175,1.0061,0.88926),(1075,6185,1.0102,0.8698),(1075,6195,1.0143,0.85033),(1075,6205,1.0184,0.83082),(1075,6215,1.0223,0.81131),(1075,6225,1.0261,0.79179),(1075,6235,1.0299,0.77212),(1075,6245,1.0335,0.75246),(1075,6255,1.037,0.73279),(1075,6265,1.0405,0.71286),(1075,6275,1.0438,0.69288),(1075,6285,1.047,0.6729),(1075,6295,1.0502,0.65296),(1075,6305,1.0534,0.63303),(1075,6315,1.0563,0.61311),(1075,6325,1.0592,0.59297),(1075,6335,1.0621,0.57261),(1075,6345,1.0648,0.55226),(1075,6355,1.0674,0.53184),(1075,6365,1.0699,0.51129),(1075,6375,1.0723,0.49075),(1075,6385,1.0746,0.47022),(1075,6395,1.0769,0.44982),(1075,6405,1.079,0.42941),(1075,6415,1.0809,0.409),(1075,6425,1.0829,0.38827),(1075,6435,1.0847,0.36751),(1075,6445,1.0863,0.34675),(1075,6455,1.0879,0.32585),(1075,6465,1.0894,0.30491),(1075,6475,1.0907,0.28397),(1075,6485,1.092,0.26314),(1075,6495,1.0934,0.24239),(1075,6505,1.0944,0.22163),(1075,6515,1.0954,0.20082),(1075,6525,1.0964,0.17993),(1075,6535,1.0971,0.15904),(1075,6545,1.0978,0.13812),(1075,6555,1.0985,0.1171),(1075,6565,1.0989,0.09608),(1075,6575,1.0992,0.075064),(1075,6585,1.0996,0.05409),(1075,6595,0.93532,0.033116),(1075,6605,0.5894,0.012143),(1075,6615,0.24348,0.009696),(1075,6625,0.000306,0.009631),(1075,6635,0.000308,0.009565),(1075,6645,0.00031,0.009541),(1075,6655,0.000312,0.009534),(1075,6665,0.000314,0.009527),(1075,6675,0.000316,0.009521),(1075,6685,0.000318,0.009514),(1075,6695,0.00032,0.009507),(1075,6705,0.000321,0.0095),(1075,6715,0.000323,0.009493),(1075,6725,0.000325,0.009487),(1075,6735,0.000327,0.00948),(1075,6745,0.000329,0.009473),(1075,6755,0.000331,0.009466),(1075,6765,0.000332,0.009459),(1075,6775,0.000334,0.009452),(1075,6785,0.000336,0.009445),(1075,6795,0.000338,0.009438),(1075,6805,0.000339,0.009431),(1075,6815,0.000341,0.009423),(1075,6825,0.000343,0.009416),(1075,6835,0.000344,0.009409),(1075,6845,0.000346,0.009402),(1075,6855,0.000347,0.009395),(1075,6865,0.000349,0.009388),(1075,6875,0.00035,0.00938),(1075,6885,0.000352,0.009373),(1075,6895,0.000353,0.009366),(1075,6905,0.000355,0.009358),(1075,6915,0.000356,0.009351),(1075,6925,0.000358,0.009344),(1075,6935,0.000359,0.009336),(1075,6945,0.000361,0.009329),(1075,6955,0.000362,0.009321),(1075,6965,0.000364,0.009314),(1075,6975,0.000365,0.009307),(1075,6985,0.000366,0.009299),(1085,5,4.9e-05,3.6704),(1085,15,0.000148,3.6704),(1085,25,0.000246,3.6704),(1085,35,0.000345,3.6704),(1085,45,0.000443,3.6704),(1085,55,0.000542,3.6704),(1085,65,0.00064,3.6704),(1085,75,0.000739,3.6704),(1085,85,0.000838,3.6704),(1085,95,0.000936,3.6704),(1085,105,0.001035,3.6703),(1085,115,0.001135,3.6703),(1085,125,0.001234,3.6703),(1085,135,0.001333,3.6703),(1085,145,0.001433,3.6703),(1085,155,0.001532,3.6702),(1085,165,0.001632,3.6702),(1085,175,0.001732,3.6702),(1085,185,0.001832,3.6702),(1085,195,0.001933,3.6701),(1085,205,0.002034,3.6701),(1085,215,0.002134,3.6701),(1085,225,0.002236,3.67),(1085,235,0.002337,3.67),(1085,245,0.002439,3.67),(1085,255,0.00254,3.6699),(1085,265,0.002643,3.6699),(1085,275,0.002745,3.6698),(1085,285,0.002848,3.6698),(1085,295,0.002951,3.6697),(1085,305,0.003054,3.6697),(1085,315,0.003158,3.6696),(1085,325,0.003262,3.6696),(1085,335,0.003366,3.6695),(1085,345,0.003472,3.6695),(1085,355,0.003577,3.6694),(1085,365,0.003683,3.6694),(1085,375,0.003788,3.6693),(1085,385,0.003895,3.6692),(1085,395,0.004003,3.6692),(1085,405,0.00411,3.6691),(1085,415,0.004217,3.6691),(1085,425,0.004326,3.669),(1085,435,0.004435,3.6689),(1085,445,0.004544,3.6688),(1085,455,0.004653,3.6688),(1085,465,0.004764,3.6687),(1085,475,0.004875,3.6686),(1085,485,0.004986,3.6685),(1085,495,0.005097,3.6685),(1085,505,0.00521,3.6684),(1085,515,0.005324,3.6683),(1085,525,0.005437,3.6682),(1085,535,0.00555,3.6681),(1085,545,0.005666,3.668),(1085,555,0.005781,3.6679),(1085,565,0.005897,3.6678),(1085,575,0.006013,3.6677),(1085,585,0.006131,3.6676),(1085,595,0.006249,3.6675),(1085,605,0.006367,3.6674),(1085,615,0.006486,3.6673),(1085,625,0.006607,3.6672),(1085,635,0.006728,3.6671),(1085,645,0.006849,3.667),(1085,655,0.00697,3.6669),(1085,665,0.007094,3.6668),(1085,675,0.007218,3.6667),(1085,685,0.007342,3.6666),(1085,695,0.007466,3.6664),(1085,705,0.007593,3.6663),(1085,715,0.00772,3.6662),(1085,725,0.007847,3.6661),(1085,735,0.007975,3.6659),(1085,745,0.008105,3.6658),(1085,755,0.008235,3.6657),(1085,765,0.008365,3.6655),(1085,775,0.008496,3.6654),(1085,785,0.00863,3.6653),(1085,795,0.008763,3.6651),(1085,805,0.008897,3.665),(1085,815,0.009032,3.6648),(1085,825,0.009169,3.6647),(1085,835,0.009306,3.6645),(1085,845,0.009443,3.6644),(1085,855,0.009582,3.6642),(1085,865,0.009723,3.6641),(1085,875,0.009864,3.6639),(1085,885,0.010005,3.6637),(1085,895,0.010147,3.6636),(1085,905,0.010292,3.6634),(1085,915,0.010437,3.6632),(1085,925,0.010582,3.6631),(1085,935,0.010729,3.6629),(1085,945,0.010878,3.6627),(1085,955,0.011027,3.6625),(1085,965,0.011176,3.6624),(1085,975,0.011326,3.6622),(1085,985,0.01148,3.662),(1085,995,0.011633,3.6618),(1085,1005,0.011786,3.6616),(1085,1015,0.011941,3.6614),(1085,1025,0.012099,3.6612),(1085,1035,0.012256,3.661),(1085,1045,0.012414,3.6608),(1085,1055,0.012574,3.6606),(1085,1065,0.012736,3.6604),(1085,1075,0.012898,3.6602),(1085,1085,0.01306,3.66),(1085,1095,0.013225,3.6597),(1085,1105,0.013392,3.6595),(1085,1115,0.013559,3.6593),(1085,1125,0.013725,3.6591),(1085,1135,0.013895,3.6588),(1085,1145,0.014067,3.6586),(1085,1155,0.014238,3.6584),(1085,1165,0.01441,3.6581),(1085,1175,0.014585,3.6579),(1085,1185,0.014762,3.6576),(1085,1195,0.014938,3.6574),(1085,1205,0.015115,3.6571),(1085,1215,0.015295,3.6569),(1085,1225,0.015477,3.6566),(1085,1235,0.015658,3.6564),(1085,1245,0.01584,3.6561),(1085,1255,0.016026,3.6558),(1085,1265,0.016213,3.6556),(1085,1275,0.0164,3.6553),(1085,1285,0.016587,3.655),(1085,1295,0.016778,3.6547),(1085,1305,0.01697,3.6544),(1085,1315,0.017162,3.6542),(1085,1325,0.017354,3.6539),(1085,1335,0.01755,3.6536),(1085,1345,0.017748,3.6533),(1085,1355,0.017945,3.653),(1085,1365,0.018143,3.6527),(1085,1375,0.018345,3.6524),(1085,1385,0.018547,3.652),(1085,1395,0.01875,3.6517),(1085,1405,0.018953,3.6514),(1085,1415,0.019161,3.6511),(1085,1425,0.019369,3.6508),(1085,1435,0.019578,3.6504),(1085,1445,0.019786,3.6501),(1085,1455,0.02,3.6497),(1085,1465,0.020214,3.6494),(1085,1475,0.020428,3.649),(1085,1485,0.020642,3.6487),(1085,1495,0.020861,3.6483),(1085,1505,0.021081,3.648),(1085,1515,0.0213,3.6476),(1085,1525,0.02152,3.6472),(1085,1535,0.021745,3.6469),(1085,1545,0.02197,3.6465),(1085,1555,0.022195,3.6461),(1085,1565,0.022421,3.6457),(1085,1575,0.022651,3.6453),(1085,1585,0.022882,3.6449),(1085,1595,0.023113,3.6445),(1085,1605,0.023344,3.6441),(1085,1615,0.02358,3.6437),(1085,1625,0.023816,3.6433),(1085,1635,0.024052,3.6429),(1085,1645,0.024289,3.6425),(1085,1655,0.024531,3.642),(1085,1665,0.024773,3.6416),(1085,1675,0.025015,3.6412),(1085,1685,0.025257,3.6407),(1085,1695,0.025505,3.6403),(1085,1705,0.025752,3.6398),(1085,1715,0.025999,3.6394),(1085,1725,0.026247,3.6389),(1085,1735,0.0265,3.6385),(1085,1745,0.026753,3.638),(1085,1755,0.027005,3.6375),(1085,1765,0.027259,3.637),(1085,1775,0.027517,3.6366),(1085,1785,0.027774,3.6361),(1085,1795,0.028032,3.6356),(1085,1805,0.028292,3.6351),(1085,1815,0.028554,3.6346),(1085,1825,0.028817,3.6341),(1085,1835,0.02908,3.6335),(1085,1845,0.029345,3.633),(1085,1855,0.029613,3.6325),(1085,1865,0.029881,3.632),(1085,1875,0.030149,3.6314),(1085,1885,0.030418,3.6309),(1085,1895,0.030691,3.6303),(1085,1905,0.030963,3.6298),(1085,1915,0.031236,3.6292),(1085,1925,0.03151,3.6287),(1085,1935,0.031787,3.6281),(1085,1945,0.032064,3.6275),(1085,1955,0.032341,3.6269),(1085,1965,0.03262,3.6263),(1085,1975,0.032901,3.6258),(1085,1985,0.033183,3.6252),(1085,1995,0.033464,3.6246),(1085,2005,0.033747,3.6239),(1085,2015,0.034032,3.6233),(1085,2025,0.034317,3.6227),(1085,2035,0.034602,3.6221),(1085,2045,0.034889,3.6215),(1085,2055,0.035178,3.6208),(1085,2065,0.035467,3.6202),(1085,2075,0.035756,3.6195),(1085,2085,0.036047,3.6189),(1085,2095,0.036339,3.6182),(1085,2105,0.036631,3.6175),(1085,2115,0.036923,3.6169),(1085,2125,0.037217,3.6162),(1085,2135,0.037512,3.6155),(1085,2145,0.037807,3.6148),(1085,2155,0.038102,3.6141),(1085,2165,0.038399,3.6134),(1085,2175,0.038696,3.6127),(1085,2185,0.038994,3.612),(1085,2195,0.039291,3.6113),(1085,2205,0.03959,3.6105),(1085,2215,0.03989,3.6098),(1085,2225,0.040189,3.6091),(1085,2235,0.040489,3.6083),(1085,2245,0.040789,3.6076),(1085,2255,0.04109,3.6068),(1085,2265,0.041391,3.606),(1085,2275,0.041692,3.6053),(1085,2285,0.041994,3.6045),(1085,2295,0.042296,3.6037),(1085,2305,0.042598,3.6029),(1085,2315,0.0429,3.6021),(1085,2325,0.043202,3.6013),(1085,2335,0.043505,3.6005),(1085,2345,0.043807,3.5997),(1085,2355,0.04411,3.5989),(1085,2365,0.044412,3.598),(1085,2375,0.044715,3.5972),(1085,2385,0.045017,3.5964),(1085,2395,0.04532,3.5955),(1085,2405,0.045621,3.5947),(1085,2415,0.045923,3.5938),(1085,2425,0.046225,3.593),(1085,2435,0.046526,3.5921),(1085,2445,0.046826,3.5912),(1085,2455,0.047127,3.5903),(1085,2465,0.047427,3.5894),(1085,2475,0.047727,3.5886),(1085,2485,0.048025,3.5877),(1085,2495,0.048323,3.5868),(1085,2505,0.048621,3.5858),(1085,2515,0.04892,3.5849),(1085,2525,0.049215,3.584),(1085,2535,0.04951,3.5831),(1085,2545,0.049806,3.5821),(1085,2555,0.050101,3.5812),(1085,2565,0.050393,3.5803),(1085,2575,0.050684,3.5793),(1085,2585,0.050976,3.5784),(1085,2595,0.051267,3.5774),(1085,2605,0.051555,3.5764),(1085,2615,0.051842,3.5755),(1085,2625,0.05213,3.5745),(1085,2635,0.052416,3.5735),(1085,2645,0.052699,3.5725),(1085,2655,0.052981,3.5715),(1085,2665,0.053263,3.5705),(1085,2675,0.053544,3.5695),(1085,2685,0.053821,3.5685),(1085,2695,0.054097,3.5675),(1085,2705,0.054374,3.5665),(1085,2715,0.054649,3.5654),(1085,2725,0.054918,3.5644),(1085,2735,0.055188,3.5634),(1085,2745,0.055457,3.5624),(1085,2755,0.055725,3.5613),(1085,2765,0.055987,3.5603),(1085,2775,0.056248,3.5592),(1085,2785,0.05651,3.5582),(1085,2795,0.056769,3.5571),(1085,2805,0.057022,3.5561),(1085,2815,0.057275,3.555),(1085,2825,0.057528,3.5539),(1085,2835,0.057778,3.5529),(1085,2845,0.058021,3.5518),(1085,2855,0.058264,3.5507),(1085,2865,0.058507,3.5496),(1085,2875,0.058746,3.5485),(1085,2885,0.058979,3.5475),(1085,2895,0.059211,3.5464),(1085,2905,0.059444,3.5453),(1085,2915,0.059671,3.5442),(1085,2925,0.059892,3.5431),(1085,2935,0.060112,3.542),(1085,2945,0.060333,3.5409),(1085,2955,0.060547,3.5398),(1085,2965,0.060755,3.5387),(1085,2975,0.060962,3.5376),(1085,2985,0.061169,3.5365),(1085,2995,0.061369,3.5354),(1085,3005,0.061562,3.5342),(1085,3015,0.061755,3.5331),(1085,3025,0.061948,3.532),(1085,3035,0.062132,3.5309),(1085,3045,0.062309,3.5298),(1085,3055,0.062486,3.5287),(1085,3065,0.062663,3.5276),(1085,3075,0.06283,3.5265),(1085,3085,0.06299,3.5254),(1085,3095,0.063149,3.5242),(1085,3105,0.063309,3.5231),(1085,3115,0.063457,3.522),(1085,3125,0.063598,3.5209),(1085,3135,0.063738,3.5198),(1085,3145,0.063879,3.5187),(1085,3155,0.064006,3.5176),(1085,3165,0.064126,3.5165),(1085,3175,0.064246,3.5154),(1085,3185,0.064366,3.5143),(1085,3195,0.06447,3.5132),(1085,3205,0.064567,3.5121),(1085,3215,0.064663,3.5111),(1085,3225,0.06476,3.51),(1085,3235,0.064839,3.5089),(1085,3245,0.064911,3.5078),(1085,3255,0.064982,3.5068),(1085,3265,0.065054,3.5057),(1085,3275,0.065105,3.5046),(1085,3285,0.065149,3.5036),(1085,3295,0.065193,3.5025),(1085,3305,0.065238,3.5015),(1085,3315,0.065258,3.5004),(1085,3325,0.065271,3.4994),(1085,3335,0.065285,3.4984),(1085,3345,0.065299,3.4974),(1085,3355,0.065285,3.4964),(1085,3365,0.065266,3.4953),(1085,3375,0.065246,3.4943),(1085,3385,0.065227,3.4934),(1085,3395,0.065175,3.4924),(1085,3405,0.065119,3.4914),(1085,3415,0.065063,3.4904),(1085,3425,0.065007,3.4895),(1085,3435,0.064913,3.4885),(1085,3445,0.064816,3.4876),(1085,3455,0.06472,3.4867),(1085,3465,0.064623,3.4857),(1085,3475,0.064483,3.4848),(1085,3485,0.064342,3.4839),(1085,3495,0.064201,3.483),(1085,3505,0.06406,3.4822),(1085,3515,0.06387,3.4813),(1085,3525,0.06368,3.4804),(1085,3535,0.06349,3.4796),(1085,3545,0.063298,3.4787),(1085,3555,0.063055,3.4779),(1085,3565,0.062812,3.4771),(1085,3575,0.062568,3.4763),(1085,3585,0.06232,3.4755),(1085,3595,0.062019,3.4747),(1085,3605,0.061717,3.4739),(1085,3615,0.061416,3.4732),(1085,3625,0.061107,3.4725),(1085,3635,0.060742,3.4717),(1085,3645,0.060377,3.471),(1085,3655,0.060012,3.4703),(1085,3665,0.059636,3.4696),(1085,3675,0.059203,3.4689),(1085,3685,0.05877,3.4683),(1085,3695,0.058337,3.4676),(1085,3705,0.057889,3.467),(1085,3715,0.057383,3.4664),(1085,3725,0.056877,3.4658),(1085,3735,0.056371,3.4652),(1085,3745,0.055846,3.4646),(1085,3755,0.055262,3.464),(1085,3765,0.054679,3.4635),(1085,3775,0.054095,3.4629),(1085,3785,0.053489,3.4624),(1085,3795,0.052824,3.4619),(1085,3805,0.052159,3.4614),(1085,3815,0.051495,3.4609),(1085,3825,0.050803,3.4604),(1085,3835,0.050055,3.46),(1085,3845,0.049306,3.4595),(1085,3855,0.048558,3.4591),(1085,3865,0.047779,3.4587),(1085,3875,0.046947,3.4582),(1085,3885,0.046114,3.4578),(1085,3895,0.045282,3.4575),(1085,3905,0.052993,3.4571),(1085,3915,0.073466,3.4567),(1085,3925,0.09394,3.4562),(1085,3935,0.11441,3.4554),(1085,3945,0.13693,3.4546),(1085,3955,0.16203,3.4538),(1085,3965,0.18714,3.4525),(1085,3975,0.21224,3.4506),(1085,3985,0.22687,3.4487),(1085,3995,0.23015,3.4468),(1085,4005,0.23343,3.4446),(1085,4015,0.23672,3.4421),(1085,4025,0.23975,3.4395),(1085,4035,0.24275,3.4368),(1085,4045,0.24576,3.4338),(1085,4055,0.24865,3.4307),(1085,4065,0.2515,3.4276),(1085,4075,0.25435,3.4241),(1085,4085,0.25715,3.4206),(1085,4095,0.25991,3.4172),(1085,4105,0.26266,3.4134),(1085,4115,0.25544,3.4097),(1085,4125,0.23168,3.406),(1085,4135,0.20792,3.4031),(1085,4145,0.18312,3.4004),(1085,4155,0.15412,3.3977),(1085,4165,0.12513,3.3957),(1085,4175,0.097593,3.3941),(1085,4185,0.14235,3.3925),(1085,4195,0.18711,3.3896),(1085,4205,0.23187,3.385),(1085,4215,0.22691,3.3804),(1085,4225,0.21258,3.3758),(1085,4235,0.19826,3.3712),(1085,4245,0.17972,3.3665),(1085,4255,0.15904,3.3619),(1085,4265,0.13837,3.3582),(1085,4275,0.11313,3.3544),(1085,4285,0.083054,3.3506),(1085,4295,0.05298,3.3492),(1085,4305,0.045601,3.3481),(1085,4315,0.089469,3.3469),(1085,4325,0.13334,3.3415),(1085,4335,0.17322,3.3344),(1085,4345,0.1861,3.3274),(1085,4355,0.19898,3.3209),(1085,4365,0.21186,3.3149),(1085,4375,0.21809,3.309),(1085,4385,0.22398,3.3036),(1085,4395,0.22987,3.2991),(1085,4405,0.20171,3.2947),(1085,4415,0.1635,3.2908),(1085,4425,0.1253,3.2893),(1085,4435,0.11269,3.2878),(1085,4445,0.11757,3.2863),(1085,4455,0.12245,3.2841),(1085,4465,0.15226,3.282),(1085,4475,0.21709,3.2798),(1085,4485,0.28192,3.2747),(1085,4495,0.3338,3.2689),(1085,4505,0.34414,3.2631),(1085,4515,0.35448,3.2568),(1085,4525,0.36389,3.2503),(1085,4535,0.35869,3.2437),(1085,4545,0.35349,3.2372),(1085,4555,0.3483,3.2307),(1085,4565,0.25473,3.2242),(1085,4575,0.14926,3.2195),(1085,4585,0.043781,3.2191),(1085,4595,0.036875,3.2186),(1085,4605,0.071617,3.2178),(1085,4615,0.10636,3.2142),(1085,4625,0.15003,3.2105),(1085,4635,0.20178,3.2069),(1085,4645,0.25352,3.2007),(1085,4655,0.30553,3.1943),(1085,4665,0.358,3.1879),(1085,4675,0.41047,3.1807),(1085,4685,0.43872,3.1732),(1085,4695,0.34728,3.1657),(1085,4705,0.25583,3.1612),(1085,4715,0.16439,3.1589),(1085,4725,0.20519,3.1566),(1085,4735,0.24731,3.1524),(1085,4745,0.28944,3.1454),(1085,4755,0.36236,3.1384),(1085,4765,0.44241,3.1304),(1085,4775,0.52247,3.1193),(1085,4785,0.56997,3.1081),(1085,4795,0.59865,3.0969),(1085,4805,0.62734,3.0857),(1085,4815,0.61785,3.0744),(1085,4825,0.56273,3.0632),(1085,4835,0.50761,3.0553),(1085,4845,0.43845,3.0481),(1085,4855,0.33269,3.0408),(1085,4865,0.22694,3.0359),(1085,4875,0.14489,3.0321),(1085,4885,0.27857,3.0283),(1085,4895,0.41226,3.0193),(1085,4905,0.54594,3.0054),(1085,4915,0.55155,2.9915),(1085,4925,0.54615,2.9781),(1085,4935,0.54074,2.9656),(1085,4945,0.49689,2.953),(1085,4955,0.43971,2.9412),(1085,4965,0.38253,2.9332),(1085,4975,0.29821,2.9253),(1085,4985,0.19294,2.9174),(1085,4995,0.087667,2.9166),(1085,5005,0.085781,2.9161),(1085,5015,0.24825,2.9155),(1085,5025,0.41073,2.9046),(1085,5035,0.55756,2.8911),(1085,5045,0.64482,2.8776),(1085,5055,0.73207,2.8614),(1085,5065,0.81779,2.8435),(1085,5075,0.85312,2.8257),(1085,5085,0.88845,2.8079),(1085,5095,0.92378,2.7902),(1085,5105,0.82238,2.7726),(1085,5115,0.69713,2.7572),(1085,5125,0.57187,2.7482),(1085,5135,0.47776,2.7392),(1085,5145,0.39876,2.7304),(1085,5155,0.31976,2.7237),(1085,5165,0.36762,2.7169),(1085,5175,0.54488,2.7101),(1085,5185,0.72214,2.6934),(1085,5195,0.85489,2.6756),(1085,5205,0.89169,2.6579),(1085,5215,0.92849,2.64),(1085,5225,0.95974,2.6222),(1085,5235,0.95649,2.6043),(1085,5245,0.95324,2.5877),(1085,5255,0.95,2.572),(1085,5265,0.66342,2.5563),(1085,5275,0.36515,2.5464),(1085,5285,0.066889,2.5462),(1085,5295,0.10408,2.5461),(1085,5305,0.23469,2.5436),(1085,5315,0.3653,2.5311),(1085,5325,0.49315,2.5186),(1085,5335,0.61919,2.506),(1085,5345,0.74524,2.4872),(1085,5355,0.849,2.4684),(1085,5365,0.92272,2.4496),(1085,5375,0.99644,2.43),(1085,5385,0.99369,2.4103),(1085,5395,0.75848,2.3906),(1085,5405,0.52327,2.3805),(1085,5415,0.30374,2.3754),(1085,5425,0.29487,2.3704),(1085,5435,0.28599,2.3646),(1085,5445,0.27712,2.358),(1085,5455,0.33572,2.3515),(1085,5465,0.40258,2.3434),(1085,5475,0.46944,2.3317),(1085,5485,0.50279,2.3199),(1085,5495,0.52264,2.308),(1085,5505,0.5425,2.2946),(1085,5515,0.56379,2.2812),(1085,5525,0.58634,2.2678),(1085,5535,0.60889,2.2528),(1085,5545,0.63198,2.2377),(1085,5555,0.65607,2.2227),(1085,5565,0.68015,2.2061),(1085,5575,0.70446,2.1891),(1085,5585,0.72983,2.1722),(1085,5595,0.7552,2.1543),(1085,5605,0.78057,2.1357),(1085,5615,0.80709,2.1172),(1085,5625,0.8336,2.0979),(1085,5635,0.86012,2.0776),(1085,5645,0.88749,2.0573),(1085,5655,0.91505,2.0366),(1085,5665,0.9426,2.0148),(1085,5675,0.97071,1.993),(1085,5685,0.99913,1.9711),(1085,5695,1.0275,1.948),(1085,5705,1.0562,1.9248),(1085,5715,1.0852,1.9017),(1085,5725,1.1141,1.8776),(1085,5735,1.1432,1.8533),(1085,5745,1.1724,1.8291),(1085,5755,1.2016,1.8042),(1085,5765,1.2308,1.779),(1085,5775,1.2599,1.7539),(1085,5785,1.289,1.7284),(1085,5795,1.318,1.7025),(1085,5805,1.3467,1.6767),(1085,5815,1.3752,1.6506),(1085,5825,1.4038,1.6243),(1085,5835,1.4319,1.5979),(1085,5845,1.4597,1.5715),(1085,5855,1.4876,1.5449),(1085,5865,1.5148,1.5182),(1085,5875,1.5417,1.4916),(1085,5885,1.5685,1.4647),(1085,5895,1.5949,1.4378),(1085,5905,1.6205,1.4109),(1085,5915,1.6461,1.3839),(1085,5925,1.6715,1.3568),(1085,5935,1.6957,1.3298),(1085,5945,1.72,1.3028),(1085,5955,1.7443,1.276),(1085,5965,1.7677,1.2491),(1085,5975,1.7912,1.2222),(1085,5985,1.8146,1.1955),(1085,5995,1.3911,1.1687),(1085,6005,0.89565,1.1483),(1085,6015,0.40021,1.1448),(1085,6025,0.34615,1.1414),(1085,6035,0.49679,1.1369),(1085,6045,0.64744,1.1231),(1085,6055,0.76173,1.1094),(1085,6065,0.84038,1.0956),(1085,6075,0.91903,1.0775),(1085,6085,0.97358,1.0589),(1085,6095,0.97847,1.0403),(1085,6105,0.98336,1.0216),(1085,6115,0.98822,1.0029),(1085,6125,0.99286,0.98424),(1085,6135,0.9975,0.96539),(1085,6145,1.0021,0.94643),(1085,6155,1.0066,0.92746),(1085,6165,1.011,0.9083),(1085,6175,1.0154,0.88884),(1085,6185,1.0195,0.86938),(1085,6195,1.0237,0.84991),(1085,6205,1.0278,0.8304),(1085,6215,1.0317,0.81089),(1085,6225,1.0356,0.79138),(1085,6235,1.0394,0.7717),(1085,6245,1.0431,0.75202),(1085,6255,1.0466,0.73235),(1085,6265,1.0501,0.71242),(1085,6275,1.0535,0.69245),(1085,6285,1.0567,0.67249),(1085,6295,1.0599,0.65256),(1085,6305,1.0631,0.63265),(1085,6315,1.0661,0.61274),(1085,6325,1.069,0.59261),(1085,6335,1.0719,0.57226),(1085,6345,1.0746,0.55191),(1085,6355,1.0772,0.5315),(1085,6365,1.0798,0.51097),(1085,6375,1.0822,0.49044),(1085,6385,1.0845,0.46992),(1085,6395,1.0868,0.44952),(1085,6405,1.089,0.42911),(1085,6415,1.0909,0.4087),(1085,6425,1.0929,0.38796),(1085,6435,1.0947,0.36721),(1085,6445,1.0963,0.34645),(1085,6455,1.0979,0.32558),(1085,6465,1.0995,0.30467),(1085,6475,1.1008,0.28376),(1085,6485,1.1022,0.26295),(1085,6495,1.1035,0.24221),(1085,6505,1.1045,0.22148),(1085,6515,1.1055,0.20068),(1085,6525,1.1066,0.1798),(1085,6535,1.1073,0.15891),(1085,6545,1.108,0.138),(1085,6555,1.1087,0.117),(1085,6565,1.1091,0.095996),(1085,6575,1.1094,0.074996),(1085,6585,1.1097,0.054036),(1085,6595,0.944,0.033075),(1085,6605,0.59487,0.012115),(1085,6615,0.24574,0.009678),(1085,6625,0.000309,0.009621),(1085,6635,0.000311,0.009565),(1085,6645,0.000313,0.009543),(1085,6655,0.000315,0.009536),(1085,6665,0.000317,0.009529),(1085,6675,0.000319,0.009523),(1085,6685,0.000321,0.009516),(1085,6695,0.000323,0.009509),(1085,6705,0.000325,0.009502),(1085,6715,0.000327,0.009495),(1085,6725,0.000329,0.009488),(1085,6735,0.000331,0.009481),(1085,6745,0.000332,0.009474),(1085,6755,0.000334,0.009468),(1085,6765,0.000336,0.009461),(1085,6775,0.000338,0.009454),(1085,6785,0.00034,0.009446),(1085,6795,0.000341,0.009439),(1085,6805,0.000343,0.009432),(1085,6815,0.000345,0.009425),(1085,6825,0.000346,0.009418),(1085,6835,0.000348,0.009411),(1085,6845,0.00035,0.009404),(1085,6855,0.000351,0.009396),(1085,6865,0.000353,0.009389),(1085,6875,0.000354,0.009382),(1085,6885,0.000356,0.009374),(1085,6895,0.000357,0.009367),(1085,6905,0.000359,0.00936),(1085,6915,0.00036,0.009352),(1085,6925,0.000362,0.009345),(1085,6935,0.000363,0.009338),(1085,6945,0.000365,0.00933),(1085,6955,0.000366,0.009323),(1085,6965,0.000367,0.009315),(1085,6975,0.000369,0.009308),(1085,6985,0.00037,0.0093),(1095,5,5e-05,3.6705),(1095,15,0.000149,3.6705),(1095,25,0.000248,3.6705),(1095,35,0.000347,3.6705),(1095,45,0.000446,3.6705),(1095,55,0.000545,3.6705),(1095,65,0.000644,3.6705),(1095,75,0.000744,3.6705),(1095,85,0.000843,3.6705),(1095,95,0.000942,3.6705),(1095,105,0.001042,3.6704);
INSERT INTO `ILD_00_Brho_Bz` VALUES (1095,115,0.001142,3.6704),(1095,125,0.001241,3.6704),(1095,135,0.001341,3.6704),(1095,145,0.001442,3.6704),(1095,155,0.001542,3.6703),(1095,165,0.001643,3.6703),(1095,175,0.001743,3.6703),(1095,185,0.001844,3.6703),(1095,195,0.001945,3.6702),(1095,205,0.002046,3.6702),(1095,215,0.002148,3.6702),(1095,225,0.00225,3.6701),(1095,235,0.002352,3.6701),(1095,245,0.002454,3.6701),(1095,255,0.002556,3.67),(1095,265,0.002659,3.67),(1095,275,0.002763,3.6699),(1095,285,0.002866,3.6699),(1095,295,0.002969,3.6698),(1095,305,0.003074,3.6698),(1095,315,0.003178,3.6697),(1095,325,0.003283,3.6697),(1095,335,0.003388,3.6696),(1095,345,0.003494,3.6696),(1095,355,0.0036,3.6695),(1095,365,0.003706,3.6695),(1095,375,0.003812,3.6694),(1095,385,0.00392,3.6694),(1095,395,0.004028,3.6693),(1095,405,0.004136,3.6692),(1095,415,0.004244,3.6692),(1095,425,0.004353,3.6691),(1095,435,0.004463,3.669),(1095,445,0.004573,3.669),(1095,455,0.004683,3.6689),(1095,465,0.004795,3.6688),(1095,475,0.004906,3.6687),(1095,485,0.005018,3.6686),(1095,495,0.00513,3.6686),(1095,505,0.005244,3.6685),(1095,515,0.005358,3.6684),(1095,525,0.005472,3.6683),(1095,535,0.005586,3.6682),(1095,545,0.005702,3.6681),(1095,555,0.005819,3.668),(1095,565,0.005935,3.668),(1095,575,0.006052,3.6679),(1095,585,0.006171,3.6678),(1095,595,0.00629,3.6677),(1095,605,0.006409,3.6676),(1095,615,0.006528,3.6675),(1095,625,0.00665,3.6674),(1095,635,0.006772,3.6672),(1095,645,0.006893,3.6671),(1095,655,0.007016,3.667),(1095,665,0.00714,3.6669),(1095,675,0.007265,3.6668),(1095,685,0.00739,3.6667),(1095,695,0.007515,3.6666),(1095,705,0.007643,3.6664),(1095,715,0.007771,3.6663),(1095,725,0.007898,3.6662),(1095,735,0.008027,3.6661),(1095,745,0.008158,3.6659),(1095,755,0.008289,3.6658),(1095,765,0.00842,3.6657),(1095,775,0.008552,3.6655),(1095,785,0.008687,3.6654),(1095,795,0.008821,3.6653),(1095,805,0.008956,3.6651),(1095,815,0.009092,3.665),(1095,825,0.00923,3.6648),(1095,835,0.009368,3.6647),(1095,845,0.009506,3.6645),(1095,855,0.009646,3.6644),(1095,865,0.009788,3.6642),(1095,875,0.00993,3.664),(1095,885,0.010072,3.6639),(1095,895,0.010216,3.6637),(1095,905,0.010362,3.6636),(1095,915,0.010508,3.6634),(1095,925,0.010654,3.6632),(1095,935,0.010801,3.663),(1095,945,0.010952,3.6629),(1095,955,0.011102,3.6627),(1095,965,0.011252,3.6625),(1095,975,0.011404,3.6623),(1095,985,0.011558,3.6621),(1095,995,0.011712,3.6619),(1095,1005,0.011867,3.6618),(1095,1015,0.012023,3.6616),(1095,1025,0.012182,3.6614),(1095,1035,0.012341,3.6612),(1095,1045,0.0125,3.661),(1095,1055,0.012661,3.6608),(1095,1065,0.012824,3.6605),(1095,1075,0.012988,3.6603),(1095,1085,0.013151,3.6601),(1095,1095,0.013317,3.6599),(1095,1105,0.013486,3.6597),(1095,1115,0.013654,3.6595),(1095,1125,0.013822,3.6592),(1095,1135,0.013993,3.659),(1095,1145,0.014166,3.6588),(1095,1155,0.014339,3.6585),(1095,1165,0.014512,3.6583),(1095,1175,0.014688,3.6581),(1095,1185,0.014866,3.6578),(1095,1195,0.015044,3.6576),(1095,1205,0.015222,3.6573),(1095,1215,0.015404,3.6571),(1095,1225,0.015587,3.6568),(1095,1235,0.015771,3.6566),(1095,1245,0.015954,3.6563),(1095,1255,0.016141,3.656),(1095,1265,0.016329,3.6558),(1095,1275,0.016518,3.6555),(1095,1285,0.016707,3.6552),(1095,1295,0.016899,3.6549),(1095,1305,0.017093,3.6546),(1095,1315,0.017287,3.6544),(1095,1325,0.017481,3.6541),(1095,1335,0.017679,3.6538),(1095,1345,0.017878,3.6535),(1095,1355,0.018077,3.6532),(1095,1365,0.018276,3.6529),(1095,1375,0.01848,3.6526),(1095,1385,0.018685,3.6522),(1095,1395,0.018889,3.6519),(1095,1405,0.019094,3.6516),(1095,1415,0.019304,3.6513),(1095,1425,0.019514,3.651),(1095,1435,0.019724,3.6506),(1095,1445,0.019934,3.6503),(1095,1455,0.02015,3.65),(1095,1465,0.020366,3.6496),(1095,1475,0.020582,3.6493),(1095,1485,0.020798,3.6489),(1095,1495,0.021019,3.6486),(1095,1505,0.021241,3.6482),(1095,1515,0.021462,3.6478),(1095,1525,0.021684,3.6475),(1095,1535,0.021911,3.6471),(1095,1545,0.022138,3.6467),(1095,1555,0.022366,3.6463),(1095,1565,0.022593,3.6459),(1095,1575,0.022826,3.6456),(1095,1585,0.023059,3.6452),(1095,1595,0.023292,3.6448),(1095,1605,0.023525,3.6444),(1095,1615,0.023763,3.644),(1095,1625,0.024002,3.6436),(1095,1635,0.02424,3.6431),(1095,1645,0.02448,3.6427),(1095,1655,0.024724,3.6423),(1095,1665,0.024968,3.6419),(1095,1675,0.025212,3.6414),(1095,1685,0.025457,3.641),(1095,1695,0.025707,3.6405),(1095,1705,0.025956,3.6401),(1095,1715,0.026206,3.6396),(1095,1725,0.026457,3.6392),(1095,1735,0.026712,3.6387),(1095,1745,0.026967,3.6383),(1095,1755,0.027222,3.6378),(1095,1765,0.027478,3.6373),(1095,1775,0.027738,3.6368),(1095,1785,0.027999,3.6363),(1095,1795,0.028259,3.6358),(1095,1805,0.028521,3.6353),(1095,1815,0.028786,3.6348),(1095,1825,0.029052,3.6343),(1095,1835,0.029317,3.6338),(1095,1845,0.029585,3.6333),(1095,1855,0.029855,3.6328),(1095,1865,0.030126,3.6322),(1095,1875,0.030397,3.6317),(1095,1885,0.030669,3.6312),(1095,1895,0.030944,3.6306),(1095,1905,0.03122,3.6301),(1095,1915,0.031495,3.6295),(1095,1925,0.031772,3.6289),(1095,1935,0.032052,3.6284),(1095,1945,0.032332,3.6278),(1095,1955,0.032612,3.6272),(1095,1965,0.032894,3.6266),(1095,1975,0.033178,3.626),(1095,1985,0.033462,3.6254),(1095,1995,0.033746,3.6248),(1095,2005,0.034032,3.6242),(1095,2015,0.03432,3.6236),(1095,2025,0.034608,3.623),(1095,2035,0.034896,3.6224),(1095,2045,0.035186,3.6217),(1095,2055,0.035478,3.6211),(1095,2065,0.03577,3.6205),(1095,2075,0.036062,3.6198),(1095,2085,0.036355,3.6192),(1095,2095,0.036651,3.6185),(1095,2105,0.036946,3.6178),(1095,2115,0.037241,3.6172),(1095,2125,0.037538,3.6165),(1095,2135,0.037836,3.6158),(1095,2145,0.038134,3.6151),(1095,2155,0.038432,3.6144),(1095,2165,0.038732,3.6137),(1095,2175,0.039033,3.613),(1095,2185,0.039333,3.6123),(1095,2195,0.039634,3.6116),(1095,2205,0.039936,3.6108),(1095,2215,0.040239,3.6101),(1095,2225,0.040541,3.6094),(1095,2235,0.040844,3.6086),(1095,2245,0.041148,3.6079),(1095,2255,0.041452,3.6071),(1095,2265,0.041756,3.6063),(1095,2275,0.04206,3.6056),(1095,2285,0.042365,3.6048),(1095,2295,0.04267,3.604),(1095,2305,0.042975,3.6032),(1095,2315,0.04328,3.6024),(1095,2325,0.043586,3.6016),(1095,2335,0.043891,3.6008),(1095,2345,0.044197,3.6),(1095,2355,0.044503,3.5992),(1095,2365,0.044808,3.5984),(1095,2375,0.045114,3.5975),(1095,2385,0.045419,3.5967),(1095,2395,0.045725,3.5958),(1095,2405,0.04603,3.595),(1095,2415,0.046334,3.5941),(1095,2425,0.046639,3.5933),(1095,2435,0.046944,3.5924),(1095,2445,0.047247,3.5915),(1095,2455,0.04755,3.5906),(1095,2465,0.047853,3.5898),(1095,2475,0.048156,3.5889),(1095,2485,0.048457,3.588),(1095,2495,0.048758,3.5871),(1095,2505,0.049059,3.5861),(1095,2515,0.04936,3.5852),(1095,2525,0.049658,3.5843),(1095,2535,0.049957,3.5834),(1095,2545,0.050255,3.5824),(1095,2555,0.050553,3.5815),(1095,2565,0.050847,3.5806),(1095,2575,0.051141,3.5796),(1095,2585,0.051436,3.5786),(1095,2595,0.05173,3.5777),(1095,2605,0.05202,3.5767),(1095,2615,0.05231,3.5758),(1095,2625,0.052599,3.5748),(1095,2635,0.052889,3.5738),(1095,2645,0.053173,3.5728),(1095,2655,0.053458,3.5718),(1095,2665,0.053742,3.5708),(1095,2675,0.054026,3.5698),(1095,2685,0.054304,3.5688),(1095,2695,0.054582,3.5678),(1095,2705,0.054861,3.5667),(1095,2715,0.055138,3.5657),(1095,2725,0.055409,3.5647),(1095,2735,0.055681,3.5637),(1095,2745,0.055952,3.5626),(1095,2755,0.056221,3.5616),(1095,2765,0.056485,3.5605),(1095,2775,0.056748,3.5595),(1095,2785,0.057011,3.5584),(1095,2795,0.057272,3.5574),(1095,2805,0.057526,3.5563),(1095,2815,0.05778,3.5552),(1095,2825,0.058034,3.5542),(1095,2835,0.058285,3.5531),(1095,2845,0.058529,3.552),(1095,2855,0.058773,3.5509),(1095,2865,0.059017,3.5499),(1095,2875,0.059257,3.5488),(1095,2885,0.05949,3.5477),(1095,2895,0.059723,3.5466),(1095,2905,0.059956,3.5455),(1095,2915,0.060184,3.5444),(1095,2925,0.060404,3.5433),(1095,2935,0.060625,3.5422),(1095,2945,0.060845,3.5411),(1095,2955,0.06106,3.54),(1095,2965,0.061267,3.5389),(1095,2975,0.061474,3.5378),(1095,2985,0.061681,3.5367),(1095,2995,0.06188,3.5355),(1095,3005,0.062072,3.5344),(1095,3015,0.062264,3.5333),(1095,3025,0.062456,3.5322),(1095,3035,0.062639,3.5311),(1095,3045,0.062815,3.53),(1095,3055,0.06299,3.5289),(1095,3065,0.063166,3.5277),(1095,3075,0.063331,3.5266),(1095,3085,0.063489,3.5255),(1095,3095,0.063646,3.5244),(1095,3105,0.063804,3.5233),(1095,3115,0.06395,3.5222),(1095,3125,0.064088,3.5211),(1095,3135,0.064226,3.5199),(1095,3145,0.064364,3.5188),(1095,3155,0.064489,3.5177),(1095,3165,0.064605,3.5166),(1095,3175,0.064722,3.5155),(1095,3185,0.064839,3.5144),(1095,3195,0.064939,3.5133),(1095,3205,0.065032,3.5122),(1095,3215,0.065125,3.5111),(1095,3225,0.065218,3.5101),(1095,3235,0.065292,3.509),(1095,3245,0.06536,3.5079),(1095,3255,0.065427,3.5068),(1095,3265,0.065494,3.5057),(1095,3275,0.06554,3.5047),(1095,3285,0.065579,3.5036),(1095,3295,0.065618,3.5026),(1095,3305,0.065657,3.5015),(1095,3315,0.065671,3.5005),(1095,3325,0.065679,3.4994),(1095,3335,0.065687,3.4984),(1095,3345,0.065696,3.4974),(1095,3355,0.065675,3.4963),(1095,3365,0.065649,3.4953),(1095,3375,0.065623,3.4943),(1095,3385,0.065597,3.4933),(1095,3395,0.065538,3.4923),(1095,3405,0.065475,3.4913),(1095,3415,0.065412,3.4904),(1095,3425,0.065349,3.4894),(1095,3435,0.065248,3.4884),(1095,3445,0.065143,3.4875),(1095,3455,0.065039,3.4865),(1095,3465,0.064935,3.4856),(1095,3475,0.064787,3.4847),(1095,3485,0.064638,3.4838),(1095,3495,0.064489,3.4829),(1095,3505,0.064339,3.482),(1095,3515,0.064141,3.4811),(1095,3525,0.063942,3.4802),(1095,3535,0.063744,3.4794),(1095,3545,0.063543,3.4785),(1095,3555,0.063291,3.4777),(1095,3565,0.063039,3.4768),(1095,3575,0.062787,3.476),(1095,3585,0.06253,3.4752),(1095,3595,0.06222,3.4744),(1095,3605,0.06191,3.4736),(1095,3615,0.061599,3.4729),(1095,3625,0.061281,3.4721),(1095,3635,0.060907,3.4714),(1095,3645,0.060534,3.4706),(1095,3655,0.06016,3.4699),(1095,3665,0.059775,3.4692),(1095,3675,0.059334,3.4685),(1095,3685,0.058892,3.4678),(1095,3695,0.05845,3.4672),(1095,3705,0.057994,3.4665),(1095,3715,0.057479,3.4659),(1095,3725,0.056965,3.4652),(1095,3735,0.05645,3.4646),(1095,3745,0.055917,3.464),(1095,3755,0.055326,3.4634),(1095,3765,0.054735,3.4629),(1095,3775,0.054144,3.4623),(1095,3785,0.05353,3.4618),(1095,3795,0.052858,3.4612),(1095,3805,0.052186,3.4607),(1095,3815,0.051515,3.4602),(1095,3825,0.050816,3.4597),(1095,3835,0.050062,3.4592),(1095,3845,0.049308,3.4587),(1095,3855,0.048553,3.4583),(1095,3865,0.047769,3.4579),(1095,3875,0.046931,3.4574),(1095,3885,0.046093,3.457),(1095,3895,0.045255,3.4566),(1095,3905,0.052937,3.4562),(1095,3915,0.073345,3.4558),(1095,3925,0.093753,3.4553),(1095,3935,0.11416,3.4544),(1095,3945,0.13667,3.4536),(1095,3955,0.16183,3.4527),(1095,3965,0.187,3.4514),(1095,3975,0.21216,3.4494),(1095,3985,0.22688,3.4474),(1095,3995,0.2303,3.4454),(1095,4005,0.23371,3.443),(1095,4015,0.23712,3.4404),(1095,4025,0.24028,3.4378),(1095,4035,0.24342,3.435),(1095,4045,0.24655,3.4318),(1095,4055,0.24955,3.4287),(1095,4065,0.2525,3.4255),(1095,4075,0.25545,3.4219),(1095,4085,0.25832,3.4184),(1095,4095,0.26113,3.4148),(1095,4105,0.26395,3.4111),(1095,4115,0.25672,3.4073),(1095,4125,0.23285,3.4035),(1095,4135,0.20898,3.4006),(1095,4145,0.18408,3.398),(1095,4155,0.155,3.3953),(1095,4165,0.12592,3.3933),(1095,4175,0.09831,3.3918),(1095,4185,0.14358,3.3902),(1095,4195,0.18886,3.3873),(1095,4205,0.23413,3.3827),(1095,4215,0.22934,3.378),(1095,4225,0.21513,3.3734),(1095,4235,0.20092,3.3688),(1095,4245,0.18237,3.3641),(1095,4255,0.16161,3.3595),(1095,4265,0.14085,3.3557),(1095,4275,0.11532,3.352),(1095,4285,0.084732,3.3482),(1095,4295,0.054144,3.3468),(1095,4305,0.046841,3.3456),(1095,4315,0.092116,3.3444),(1095,4325,0.13739,3.3391),(1095,4335,0.17844,3.3321),(1095,4345,0.19087,3.3251),(1095,4355,0.20331,3.3187),(1095,4365,0.21574,3.3128),(1095,4375,0.22147,3.3068),(1095,4385,0.22685,3.3014),(1095,4395,0.23223,3.2968),(1095,4405,0.20352,3.2923),(1095,4415,0.16475,3.2882),(1095,4425,0.12598,3.2866),(1095,4435,0.11326,3.285),(1095,4445,0.11835,3.2833),(1095,4455,0.12344,3.2811),(1095,4465,0.15359,3.279),(1095,4475,0.21896,3.2768),(1095,4485,0.28434,3.2715),(1095,4495,0.33665,3.2657),(1095,4505,0.34708,3.2598),(1095,4515,0.3575,3.2534),(1095,4525,0.36699,3.2467),(1095,4535,0.36174,3.24),(1095,4545,0.35648,3.2334),(1095,4555,0.35122,3.2267),(1095,4565,0.25691,3.2201),(1095,4575,0.1506,3.2153),(1095,4585,0.044281,3.2148),(1095,4595,0.037546,3.2143),(1095,4605,0.072886,3.2134),(1095,4615,0.10823,3.2097),(1095,4625,0.15237,3.2059),(1095,4635,0.2045,3.2021),(1095,4645,0.25662,3.1958),(1095,4655,0.30883,3.1894),(1095,4665,0.36122,3.1829),(1095,4675,0.41361,3.1757),(1095,4685,0.44166,3.1683),(1095,4695,0.3495,3.1609),(1095,4705,0.25734,3.1565),(1095,4715,0.16518,3.1543),(1095,4725,0.20695,3.1521),(1095,4735,0.25006,3.148),(1095,4745,0.29317,3.141),(1095,4755,0.36669,3.134),(1095,4765,0.44726,3.1261),(1095,4775,0.52782,3.115),(1095,4785,0.57538,3.1039),(1095,4795,0.60385,3.0928),(1095,4805,0.63233,3.0816),(1095,4815,0.62242,3.0704),(1095,4825,0.56661,3.0592),(1095,4835,0.5108,3.0514),(1095,4845,0.44111,3.0442),(1095,4855,0.33523,3.0369),(1095,4865,0.22934,3.032),(1095,4875,0.14735,3.0282),(1095,4885,0.28273,3.0244),(1095,4895,0.41812,3.0154),(1095,4905,0.55351,3.0015),(1095,4915,0.55893,2.9876),(1095,4925,0.55317,2.9742),(1095,4935,0.54742,2.9616),(1095,4945,0.50285,2.949),(1095,4955,0.44484,2.9372),(1095,4965,0.38682,2.9292),(1095,4975,0.30149,2.9213),(1095,4985,0.19508,2.9133),(1095,4995,0.088668,2.9125),(1095,5005,0.086957,2.9119),(1095,5015,0.2517,2.9113),(1095,5025,0.41644,2.9005),(1095,5035,0.56518,2.8871),(1095,5045,0.65295,2.8737),(1095,5055,0.74071,2.8576),(1095,5065,0.82691,2.8398),(1095,5075,0.86192,2.8221),(1095,5085,0.89692,2.8045),(1095,5095,0.93193,2.7869),(1095,5105,0.82929,2.7694),(1095,5115,0.70264,2.7542),(1095,5125,0.57599,2.7453),(1095,5135,0.4814,2.7364),(1095,5145,0.40238,2.7276),(1095,5155,0.32336,2.7209),(1095,5165,0.372,2.7141),(1095,5175,0.55084,2.7073),(1095,5185,0.72967,2.6906),(1095,5195,0.86343,2.6729),(1095,5205,0.89997,2.6551),(1095,5215,0.93652,2.6374),(1095,5225,0.96748,2.6196),(1095,5235,0.96369,2.6018),(1095,5245,0.95991,2.5852),(1095,5255,0.95612,2.5696),(1095,5265,0.6677,2.554),(1095,5275,0.36754,2.5441),(1095,5285,0.067388,2.544),(1095,5295,0.10593,2.5438),(1095,5305,0.2388,2.5413),(1095,5315,0.37167,2.5288),(1095,5325,0.50088,2.5163),(1095,5335,0.6277,2.5036),(1095,5345,0.75452,2.4849),(1095,5355,0.85861,2.4662),(1095,5365,0.93204,2.4475),(1095,5375,1.0055,2.428),(1095,5385,1.002,2.4084),(1095,5395,0.76463,2.3888),(1095,5405,0.52727,2.3788),(1095,5415,0.30578,2.3738),(1095,5425,0.29731,2.3688),(1095,5435,0.28884,2.363),(1095,5445,0.28037,2.3563),(1095,5455,0.33976,2.3496),(1095,5465,0.40745,2.3413),(1095,5475,0.47513,2.3294),(1095,5485,0.50892,2.3174),(1095,5495,0.52905,2.3052),(1095,5505,0.54918,2.2916),(1095,5515,0.57077,2.278),(1095,5525,0.59362,2.2644),(1095,5535,0.61648,2.2493),(1095,5545,0.63988,2.234),(1095,5555,0.66426,2.2187),(1095,5565,0.68865,2.202),(1095,5575,0.71326,2.1849),(1095,5585,0.73893,2.1677),(1095,5595,0.7646,2.1497),(1095,5605,0.79027,2.131),(1095,5615,0.81705,2.1123),(1095,5625,0.84383,2.0929),(1095,5635,0.87062,2.0725),(1095,5645,0.89821,2.0521),(1095,5655,0.92599,2.0313),(1095,5665,0.95376,2.0094),(1095,5675,0.98205,1.9876),(1095,5685,1.0106,1.9656),(1095,5695,1.0392,1.9424),(1095,5705,1.068,1.9193),(1095,5715,1.097,1.8961),(1095,5725,1.1261,1.872),(1095,5735,1.1552,1.8478),(1095,5745,1.1845,1.8236),(1095,5755,1.2137,1.7988),(1095,5765,1.243,1.7737),(1095,5775,1.272,1.7486),(1095,5785,1.3011,1.7232),(1095,5795,1.3301,1.6975),(1095,5805,1.3587,1.6717),(1095,5815,1.3872,1.6458),(1095,5825,1.4158,1.6196),(1095,5835,1.4437,1.5934),(1095,5845,1.4714,1.5672),(1095,5855,1.4992,1.5407),(1095,5865,1.5263,1.5143),(1095,5875,1.553,1.4878),(1095,5885,1.5797,1.4612),(1095,5895,1.6059,1.4345),(1095,5905,1.6313,1.4078),(1095,5915,1.6568,1.381),(1095,5925,1.6819,1.3543),(1095,5935,1.706,1.3275),(1095,5945,1.7301,1.3008),(1095,5955,1.7542,1.2742),(1095,5965,1.7775,1.2475),(1095,5975,1.8007,1.221),(1095,5985,1.8239,1.1945),(1095,5995,1.3982,1.168),(1095,6005,0.90019,1.1478),(1095,6015,0.40219,1.1444),(1095,6025,0.34849,1.1409),(1095,6035,0.50086,1.1365),(1095,6045,0.65323,1.1228),(1095,6055,0.76875,1.109),(1095,6065,0.84812,1.0953),(1095,6075,0.92749,1.0771),(1095,6085,0.98254,1.0585),(1095,6095,0.98748,1.0399),(1095,6105,0.99242,1.0212),(1095,6115,0.99731,1.0025),(1095,6125,1.002,0.98378),(1095,6135,1.0067,0.96493),(1095,6145,1.0113,0.94597),(1095,6155,1.0158,0.92701),(1095,6165,1.0202,0.90787),(1095,6175,1.0246,0.88841),(1095,6185,1.0289,0.86895),(1095,6195,1.033,0.84948),(1095,6205,1.0372,0.82998),(1095,6215,1.0411,0.81048),(1095,6225,1.045,0.79097),(1095,6235,1.0489,0.77128),(1095,6245,1.0526,0.7516),(1095,6255,1.0562,0.73191),(1095,6265,1.0597,0.71199),(1095,6275,1.0631,0.69204),(1095,6285,1.0664,0.67208),(1095,6295,1.0697,0.65216),(1095,6305,1.0729,0.63225),(1095,6315,1.0758,0.61234),(1095,6325,1.0788,0.59222),(1095,6335,1.0817,0.57188),(1095,6345,1.0844,0.55154),(1095,6355,1.087,0.53115),(1095,6365,1.0896,0.51064),(1095,6375,1.0921,0.49013),(1095,6385,1.0944,0.46964),(1095,6395,1.0968,0.44923),(1095,6405,1.0989,0.42883),(1095,6415,1.1009,0.40842),(1095,6425,1.1029,0.38768),(1095,6435,1.1048,0.36692),(1095,6445,1.1064,0.34616),(1095,6455,1.108,0.3253),(1095,6465,1.1096,0.30442),(1095,6475,1.1109,0.28353),(1095,6485,1.1123,0.26275),(1095,6495,1.1136,0.24203),(1095,6505,1.1146,0.22131),(1095,6515,1.1157,0.20053),(1095,6525,1.1167,0.17966),(1095,6535,1.1174,0.15879),(1095,6545,1.1181,0.13789),(1095,6555,1.1188,0.11691),(1095,6565,1.1193,0.095922),(1095,6575,1.1196,0.074941),(1095,6585,1.1199,0.053987),(1095,6595,0.95267,0.033034),(1095,6605,0.60033,0.01208),(1095,6615,0.248,0.009654),(1095,6625,0.000313,0.009609),(1095,6635,0.000315,0.009563),(1095,6645,0.000317,0.009545),(1095,6655,0.000319,0.009538),(1095,6665,0.000321,0.009532),(1095,6675,0.000323,0.009525),(1095,6685,0.000325,0.009518),(1095,6695,0.000327,0.009511),(1095,6705,0.000329,0.009504),(1095,6715,0.000331,0.009497),(1095,6725,0.000332,0.00949),(1095,6735,0.000334,0.009483),(1095,6745,0.000336,0.009476),(1095,6755,0.000338,0.009469),(1095,6765,0.00034,0.009462),(1095,6775,0.000342,0.009455),(1095,6785,0.000343,0.009448),(1095,6795,0.000345,0.009441),(1095,6805,0.000347,0.009434),(1095,6815,0.000348,0.009427),(1095,6825,0.00035,0.00942),(1095,6835,0.000352,0.009412),(1095,6845,0.000353,0.009405),(1095,6855,0.000355,0.009398),(1095,6865,0.000357,0.009391),(1095,6875,0.000358,0.009383),(1095,6885,0.00036,0.009376),(1095,6895,0.000361,0.009369),(1095,6905,0.000363,0.009361),(1095,6915,0.000364,0.009354),(1095,6925,0.000366,0.009347),(1095,6935,0.000367,0.009339),(1095,6945,0.000369,0.009332),(1095,6955,0.00037,0.009324),(1095,6965,0.000371,0.009317),(1095,6975,0.000373,0.009309),(1095,6985,0.000374,0.009302),(1105,5,5e-05,3.6706),(1105,15,0.00015,3.6706),(1105,25,0.000249,3.6706),(1105,35,0.000349,3.6706),(1105,45,0.000449,3.6706),(1105,55,0.000548,3.6706),(1105,65,0.000648,3.6706),(1105,75,0.000748,3.6706),(1105,85,0.000848,3.6706),(1105,95,0.000948,3.6706),(1105,105,0.001048,3.6705),(1105,115,0.001149,3.6705),(1105,125,0.001249,3.6705),(1105,135,0.001349,3.6705),(1105,145,0.00145,3.6705),(1105,155,0.001551,3.6704),(1105,165,0.001652,3.6704),(1105,175,0.001753,3.6704),(1105,185,0.001855,3.6704),(1105,195,0.001957,3.6703),(1105,205,0.002059,3.6703),(1105,215,0.002161,3.6703),(1105,225,0.002263,3.6702),(1105,235,0.002366,3.6702),(1105,245,0.002469,3.6702),(1105,255,0.002572,3.6701),(1105,265,0.002675,3.6701),(1105,275,0.002779,3.67),(1105,285,0.002883,3.67),(1105,295,0.002987,3.6699),(1105,305,0.003092,3.6699),(1105,315,0.003198,3.6699),(1105,325,0.003303,3.6698),(1105,335,0.003408,3.6697),(1105,345,0.003515,3.6697),(1105,355,0.003622,3.6696),(1105,365,0.003729,3.6696),(1105,375,0.003836,3.6695),(1105,385,0.003944,3.6695),(1105,395,0.004053,3.6694),(1105,405,0.004161,3.6693),(1105,415,0.00427,3.6693),(1105,425,0.00438,3.6692),(1105,435,0.004491,3.6691),(1105,445,0.004601,3.6691),(1105,455,0.004712,3.669),(1105,465,0.004824,3.6689),(1105,475,0.004937,3.6688),(1105,485,0.005049,3.6688),(1105,495,0.005162,3.6687),(1105,505,0.005276,3.6686),(1105,515,0.005391,3.6685),(1105,525,0.005506,3.6684),(1105,535,0.005621,3.6683),(1105,545,0.005738,3.6683),(1105,555,0.005855,3.6682),(1105,565,0.005972,3.6681),(1105,575,0.006089,3.668),(1105,585,0.006209,3.6679),(1105,595,0.006329,3.6678),(1105,605,0.006449,3.6677),(1105,615,0.006569,3.6676),(1105,625,0.006692,3.6675),(1105,635,0.006814,3.6674),(1105,645,0.006937,3.6673),(1105,655,0.00706,3.6671),(1105,665,0.007185,3.667),(1105,675,0.007311,3.6669),(1105,685,0.007436,3.6668),(1105,695,0.007562,3.6667),(1105,705,0.007691,3.6666),(1105,715,0.00782,3.6664),(1105,725,0.007949,3.6663),(1105,735,0.008078,3.6662),(1105,745,0.00821,3.6661),(1105,755,0.008342,3.6659),(1105,765,0.008474,3.6658),(1105,775,0.008607,3.6657),(1105,785,0.008743,3.6655),(1105,795,0.008878,3.6654),(1105,805,0.009014,3.6652),(1105,815,0.00915,3.6651),(1105,825,0.009289,3.665),(1105,835,0.009429,3.6648),(1105,845,0.009568,3.6647),(1105,855,0.009708,3.6645),(1105,865,0.009851,3.6643),(1105,875,0.009994,3.6642),(1105,885,0.010138,3.664),(1105,895,0.010282,3.6639),(1105,905,0.010429,3.6637),(1105,915,0.010576,3.6635),(1105,925,0.010724,3.6634),(1105,935,0.010872,3.6632),(1105,945,0.011024,3.663),(1105,955,0.011175,3.6628),(1105,965,0.011326,3.6627),(1105,975,0.011479,3.6625),(1105,985,0.011635,3.6623),(1105,995,0.01179,3.6621),(1105,1005,0.011946,3.6619),(1105,1015,0.012104,3.6617),(1105,1025,0.012264,3.6615),(1105,1035,0.012424,3.6613),(1105,1045,0.012584,3.6611),(1105,1055,0.012746,3.6609),(1105,1065,0.012911,3.6607),(1105,1075,0.013076,3.6605),(1105,1085,0.01324,3.6603),(1105,1095,0.013408,3.6601),(1105,1105,0.013577,3.6599),(1105,1115,0.013747,3.6596),(1105,1125,0.013916,3.6594),(1105,1135,0.014089,3.6592),(1105,1145,0.014263,3.659),(1105,1155,0.014437,3.6587),(1105,1165,0.014612,3.6585),(1105,1175,0.01479,3.6582),(1105,1185,0.014969,3.658),(1105,1195,0.015148,3.6578),(1105,1205,0.015328,3.6575),(1105,1215,0.015511,3.6572),(1105,1225,0.015696,3.657),(1105,1235,0.015881,3.6567),(1105,1245,0.016065,3.6565),(1105,1255,0.016254,3.6562),(1105,1265,0.016444,3.6559),(1105,1275,0.016634,3.6557),(1105,1285,0.016824,3.6554),(1105,1295,0.017019,3.6551),(1105,1305,0.017214,3.6548),(1105,1315,0.017409,3.6545),(1105,1325,0.017605,3.6543),(1105,1335,0.017805,3.654),(1105,1345,0.018006,3.6537),(1105,1355,0.018207,3.6534),(1105,1365,0.018407,3.6531),(1105,1375,0.018613,3.6528),(1105,1385,0.01882,3.6525),(1105,1395,0.019026,3.6521),(1105,1405,0.019232,3.6518),(1105,1415,0.019444,3.6515),(1105,1425,0.019656,3.6512),(1105,1435,0.019868,3.6508),(1105,1445,0.02008,3.6505),(1105,1455,0.020298,3.6502),(1105,1465,0.020516,3.6498),(1105,1475,0.020734,3.6495),(1105,1485,0.020951,3.6491),(1105,1495,0.021175,3.6488),(1105,1505,0.021398,3.6484),(1105,1515,0.021622,3.6481),(1105,1525,0.021846,3.6477),(1105,1535,0.022075,3.6473),(1105,1545,0.022304,3.6469),(1105,1555,0.022534,3.6466),(1105,1565,0.022763,3.6462),(1105,1575,0.022998,3.6458),(1105,1585,0.023233,3.6454),(1105,1595,0.023468,3.645),(1105,1605,0.023704,3.6446),(1105,1615,0.023944,3.6442),(1105,1625,0.024185,3.6438),(1105,1635,0.024426,3.6434),(1105,1645,0.024667,3.643),(1105,1655,0.024914,3.6425),(1105,1665,0.02516,3.6421),(1105,1675,0.025407,3.6417),(1105,1685,0.025654,3.6412),(1105,1695,0.025906,3.6408),(1105,1705,0.026158,3.6403),(1105,1715,0.02641,3.6399),(1105,1725,0.026663,3.6394),(1105,1735,0.026921,3.639),(1105,1745,0.027178,3.6385),(1105,1755,0.027436,3.638),(1105,1765,0.027695,3.6376),(1105,1775,0.027958,3.6371),(1105,1785,0.02822,3.6366),(1105,1795,0.028483,3.6361),(1105,1805,0.028748,3.6356),(1105,1815,0.029016,3.6351),(1105,1825,0.029284,3.6346),(1105,1835,0.029552,3.6341),(1105,1845,0.029822,3.6336),(1105,1855,0.030096,3.633),(1105,1865,0.030369,3.6325),(1105,1875,0.030642,3.632),(1105,1885,0.030917,3.6314),(1105,1895,0.031196,3.6309),(1105,1905,0.031474,3.6303),(1105,1915,0.031752,3.6298),(1105,1925,0.032032,3.6292),(1105,1935,0.032315,3.6287),(1105,1945,0.032598,3.6281),(1105,1955,0.03288,3.6275),(1105,1965,0.033165,3.6269),(1105,1975,0.033452,3.6263),(1105,1985,0.033739,3.6257),(1105,1995,0.034026,3.6251),(1105,2005,0.034315,3.6245),(1105,2015,0.034606,3.6239),(1105,2025,0.034897,3.6233),(1105,2035,0.035188,3.6227),(1105,2045,0.035481,3.622),(1105,2055,0.035776,3.6214),(1105,2065,0.036071,3.6208),(1105,2075,0.036366,3.6201),(1105,2085,0.036663,3.6195),(1105,2095,0.036961,3.6188),(1105,2105,0.037259,3.6181),(1105,2115,0.037558,3.6175),(1105,2125,0.037858,3.6168),(1105,2135,0.038159,3.6161),(1105,2145,0.03846,3.6154),(1105,2155,0.038762,3.6147),(1105,2165,0.039065,3.614),(1105,2175,0.039368,3.6133),(1105,2185,0.039672,3.6126),(1105,2195,0.039976,3.6119),(1105,2205,0.040281,3.6111),(1105,2215,0.040587,3.6104),(1105,2225,0.040893,3.6097),(1105,2235,0.041199,3.6089),(1105,2245,0.041506,3.6082),(1105,2255,0.041813,3.6074),(1105,2265,0.04212,3.6066),(1105,2275,0.042428,3.6059),(1105,2285,0.042736,3.6051),(1105,2295,0.043044,3.6043),(1105,2305,0.043352,3.6035),(1105,2315,0.043661,3.6027),(1105,2325,0.043969,3.6019),(1105,2335,0.044278,3.6011),(1105,2345,0.044587,3.6003),(1105,2355,0.044896,3.5995),(1105,2365,0.045205,3.5987),(1105,2375,0.045513,3.5978),(1105,2385,0.045822,3.597),(1105,2395,0.046131,3.5961),(1105,2405,0.046438,3.5953),(1105,2415,0.046746,3.5944),(1105,2425,0.047054,3.5936),(1105,2435,0.047362,3.5927),(1105,2445,0.047668,3.5918),(1105,2455,0.047974,3.591),(1105,2465,0.048281,3.5901),(1105,2475,0.048587,3.5892),(1105,2485,0.048891,3.5883),(1105,2495,0.049195,3.5874),(1105,2505,0.049499,3.5864),(1105,2515,0.049803,3.5855),(1105,2525,0.050104,3.5846),(1105,2535,0.050404,3.5837),(1105,2545,0.050705,3.5827),(1105,2555,0.051006,3.5818),(1105,2565,0.051303,3.5809),(1105,2575,0.0516,3.5799),(1105,2585,0.051898,3.5789),(1105,2595,0.052194,3.578),(1105,2605,0.052487,3.577),(1105,2615,0.052779,3.576),(1105,2625,0.053072,3.5751),(1105,2635,0.053363,3.5741),(1105,2645,0.05365,3.5731),(1105,2655,0.053937,3.5721),(1105,2665,0.054224,3.5711),(1105,2675,0.05451,3.5701),(1105,2685,0.054791,3.5691),(1105,2695,0.055071,3.5681),(1105,2705,0.055352,3.567),(1105,2715,0.055631,3.566),(1105,2725,0.055904,3.565),(1105,2735,0.056177,3.5639),(1105,2745,0.056451,3.5629),(1105,2755,0.056722,3.5618),(1105,2765,0.056987,3.5608),(1105,2775,0.057252,3.5598),(1105,2785,0.057517,3.5587),(1105,2795,0.057779,3.5576),(1105,2805,0.058035,3.5566),(1105,2815,0.05829,3.5555),(1105,2825,0.058546,3.5544),(1105,2835,0.058798,3.5533),(1105,2845,0.059043,3.5523),(1105,2855,0.059288,3.5512),(1105,2865,0.059533,3.5501),(1105,2875,0.059774,3.549),(1105,2885,0.060007,3.5479),(1105,2895,0.060241,3.5468),(1105,2905,0.060474,3.5457),(1105,2915,0.060702,3.5446),(1105,2925,0.060923,3.5435),(1105,2935,0.061144,3.5424),(1105,2945,0.061365,3.5413),(1105,2955,0.06158,3.5402),(1105,2965,0.061786,3.5391),(1105,2975,0.061993,3.538),(1105,2985,0.0622,3.5369),(1105,2995,0.062399,3.5357),(1105,3005,0.062591,3.5346),(1105,3015,0.062782,3.5335),(1105,3025,0.062973,3.5324),(1105,3035,0.063155,3.5313),(1105,3045,0.06333,3.5302),(1105,3055,0.063504,3.529),(1105,3065,0.063678,3.5279),(1105,3075,0.063842,3.5268),(1105,3085,0.063998,3.5257),(1105,3095,0.064154,3.5246),(1105,3105,0.06431,3.5234),(1105,3115,0.064454,3.5223),(1105,3125,0.064589,3.5212),(1105,3135,0.064725,3.5201),(1105,3145,0.064861,3.519),(1105,3155,0.064983,3.5179),(1105,3165,0.065097,3.5167),(1105,3175,0.06521,3.5156),(1105,3185,0.065324,3.5145),(1105,3195,0.065421,3.5134),(1105,3205,0.065511,3.5123),(1105,3215,0.0656,3.5112),(1105,3225,0.06569,3.5101),(1105,3235,0.06576,3.509),(1105,3245,0.065823,3.508),(1105,3255,0.065887,3.5069),(1105,3265,0.06595,3.5058),(1105,3275,0.065991,3.5047),(1105,3285,0.066025,3.5036),(1105,3295,0.066059,3.5026),(1105,3305,0.066094,3.5015),(1105,3315,0.066103,3.5005),(1105,3325,0.066105,3.4994),(1105,3335,0.066108,3.4984),(1105,3345,0.066111,3.4973),(1105,3355,0.066084,3.4963),(1105,3365,0.066052,3.4953),(1105,3375,0.066021,3.4943),(1105,3385,0.065989,3.4933),(1105,3395,0.065923,3.4923),(1105,3405,0.065854,3.4913),(1105,3415,0.065784,3.4903),(1105,3425,0.065714,3.4893),(1105,3435,0.065606,3.4883),(1105,3445,0.065495,3.4874),(1105,3455,0.065383,3.4864),(1105,3465,0.065272,3.4855),(1105,3475,0.065117,3.4845),(1105,3485,0.06496,3.4836),(1105,3495,0.064803,3.4827),(1105,3505,0.064646,3.4818),(1105,3515,0.06444,3.4809),(1105,3525,0.064234,3.48),(1105,3535,0.064028,3.4791),(1105,3545,0.063819,3.4783),(1105,3555,0.063559,3.4774),(1105,3565,0.063299,3.4766),(1105,3575,0.063039,3.4757),(1105,3585,0.062774,3.4749),(1105,3595,0.062455,3.4741),(1105,3605,0.062137,3.4733),(1105,3615,0.061818,3.4725),(1105,3625,0.061492,3.4718),(1105,3635,0.06111,3.471),(1105,3645,0.060728,3.4702),(1105,3655,0.060346,3.4695),(1105,3665,0.059953,3.4688),(1105,3675,0.059503,3.4681),(1105,3685,0.059054,3.4674),(1105,3695,0.058604,3.4667),(1105,3705,0.05814,3.466),(1105,3715,0.057618,3.4654),(1105,3725,0.057095,3.4647),(1105,3735,0.056573,3.4641),(1105,3745,0.056033,3.4635),(1105,3755,0.055434,3.4629),(1105,3765,0.054836,3.4623),(1105,3775,0.054237,3.4617),(1105,3785,0.053616,3.4611),(1105,3795,0.052938,3.4606),(1105,3805,0.05226,3.46),(1105,3815,0.051581,3.4595),(1105,3825,0.050876,3.459),(1105,3835,0.050116,3.4585),(1105,3845,0.049355,3.458),(1105,3855,0.048595,3.4575),(1105,3865,0.047804,3.457),(1105,3875,0.046961,3.4566),(1105,3885,0.046117,3.4561),(1105,3895,0.045274,3.4557),(1105,3905,0.052933,3.4553),(1105,3915,0.073294,3.4549),(1105,3925,0.093655,3.4543),(1105,3935,0.11402,3.4534),(1105,3945,0.13653,3.4525),(1105,3955,0.16178,3.4517),(1105,3965,0.18703,3.4502),(1105,3975,0.21228,3.4481),(1105,3985,0.22711,3.446),(1105,3995,0.23065,3.4439),(1105,4005,0.2342,3.4415),(1105,4015,0.23775,3.4388),(1105,4025,0.24103,3.4361),(1105,4035,0.24429,3.4332),(1105,4045,0.24755,3.4299),(1105,4055,0.25064,3.4267),(1105,4065,0.25368,3.4234),(1105,4075,0.25672,3.4197),(1105,4085,0.25965,3.4161),(1105,4095,0.26249,3.4125),(1105,4105,0.26533,3.4087),(1105,4115,0.25806,3.4049),(1105,4125,0.23405,3.4011),(1105,4135,0.21003,3.3982),(1105,4145,0.18499,3.3956),(1105,4155,0.15583,3.3929),(1105,4165,0.12668,3.3909),(1105,4175,0.099003,3.3894),(1105,4185,0.1448,3.3878),(1105,4195,0.19059,3.3849),(1105,4205,0.23639,3.3803),(1105,4215,0.23178,3.3757),(1105,4225,0.21769,3.371),(1105,4235,0.2036,3.3664),(1105,4245,0.18503,3.3617),(1105,4255,0.16418,3.3571),(1105,4265,0.14334,3.3533),(1105,4275,0.11752,3.3495),(1105,4285,0.086415,3.3457),(1105,4295,0.055312,3.3443),(1105,4305,0.048064,3.3431),(1105,4315,0.094679,3.342),(1105,4325,0.14129,3.3367),(1105,4335,0.18346,3.3298),(1105,4345,0.1955,3.3229),(1105,4355,0.20753,3.3165),(1105,4365,0.21957,3.3106),(1105,4375,0.22488,3.3046),(1105,4385,0.22983,3.2992),(1105,4395,0.23478,3.2945),(1105,4405,0.20555,3.2898),(1105,4415,0.16625,3.2857),(1105,4425,0.12694,3.2839),(1105,4435,0.11409,3.2822),(1105,4445,0.11931,3.2804),(1105,4455,0.12454,3.2781),(1105,4465,0.15502,3.2759),(1105,4475,0.22096,3.2737),(1105,4485,0.28689,3.2684),(1105,4495,0.33967,3.2624),(1105,4505,0.35019,3.2565),(1105,4515,0.36072,3.25),(1105,4525,0.37031,3.2432),(1105,4535,0.36504,3.2364),(1105,4545,0.35976,3.2296),(1105,4555,0.35448,3.2228),(1105,4565,0.25936,3.216),(1105,4575,0.15212,3.211),(1105,4585,0.04488,3.2105),(1105,4595,0.038328,3.21),(1105,4605,0.074319,3.2091),(1105,4615,0.11031,3.2052),(1105,4625,0.15495,3.2013),(1105,4635,0.20743,3.1974),(1105,4645,0.25991,3.191),(1105,4655,0.31229,3.1845),(1105,4665,0.36449,3.1779),(1105,4675,0.41669,3.1707),(1105,4685,0.44446,3.1634),(1105,4695,0.35155,3.1561),(1105,4705,0.25863,3.1518),(1105,4715,0.16572,3.1497),(1105,4725,0.20851,3.1476),(1105,4735,0.25266,3.1436),(1105,4745,0.29681,3.1366),(1105,4755,0.37093,3.1297),(1105,4765,0.45199,3.1218),(1105,4775,0.53305,3.1108),(1105,4785,0.58066,3.0997),(1105,4795,0.60893,3.0887),(1105,4805,0.6372,3.0775),(1105,4815,0.62688,3.0664),(1105,4825,0.57041,3.0552),(1105,4835,0.51394,3.0475),(1105,4845,0.44374,3.0403),(1105,4855,0.33774,3.033),(1105,4865,0.23174,3.0282),(1105,4875,0.14981,3.0243),(1105,4885,0.28689,3.0205),(1105,4895,0.42398,3.0115),(1105,4905,0.56106,2.9976),(1105,4915,0.5663,2.9837),(1105,4925,0.56021,2.9702),(1105,4935,0.55411,2.9576),(1105,4945,0.50885,2.9451),(1105,4955,0.45002,2.9332),(1105,4965,0.39118,2.9252),(1105,4975,0.30484,2.9172),(1105,4985,0.19727,2.9092),(1105,4995,0.089699,2.9084),(1105,5005,0.08813,2.9078),(1105,5015,0.25509,2.9072),(1105,5025,0.42204,2.8964),(1105,5035,0.57263,2.8831),(1105,5045,0.66088,2.8697),(1105,5055,0.74912,2.8537),(1105,5065,0.83578,2.8361),(1105,5075,0.87045,2.8185),(1105,5085,0.90513,2.801),(1105,5095,0.93981,2.7836),(1105,5105,0.83597,2.7663),(1105,5115,0.70796,2.7511),(1105,5125,0.57996,2.7423),(1105,5135,0.48495,2.7335),(1105,5145,0.40595,2.7249),(1105,5155,0.32695,2.7181),(1105,5165,0.37637,2.7113),(1105,5175,0.55677,2.7045),(1105,5185,0.73717,2.6878),(1105,5195,0.87191,2.6701),(1105,5205,0.90819,2.6524),(1105,5215,0.94447,2.6347),(1105,5225,0.97512,2.617),(1105,5235,0.97079,2.5992),(1105,5245,0.96647,2.5827),(1105,5255,0.96214,2.5672),(1105,5265,0.67191,2.5516),(1105,5275,0.3699,2.5418),(1105,5285,0.067885,2.5417),(1105,5295,0.1078,2.5415),(1105,5305,0.24293,2.539),(1105,5315,0.37806,2.5264),(1105,5325,0.50861,2.5139),(1105,5335,0.63614,2.5013),(1105,5345,0.76368,2.4826),(1105,5355,0.86804,2.4639),(1105,5365,0.94116,2.4453),(1105,5375,1.0143,2.426),(1105,5385,1.01,2.4065),(1105,5395,0.77059,2.3871),(1105,5405,0.53115,2.3772),(1105,5415,0.30775,2.3722),(1105,5425,0.2998,2.3672),(1105,5435,0.29185,2.3613),(1105,5445,0.28389,2.3545),(1105,5455,0.34412,2.3477),(1105,5465,0.41268,2.3392),(1105,5475,0.48124,2.3271),(1105,5485,0.51547,2.3149),(1105,5495,0.53588,2.3025),(1105,5505,0.55628,2.2887),(1105,5515,0.57815,2.2749),(1105,5525,0.60129,2.2611),(1105,5535,0.62444,2.2457),(1105,5545,0.64813,2.2302),(1105,5555,0.6728,2.2147),(1105,5565,0.69748,2.1979),(1105,5575,0.72238,2.1806),(1105,5585,0.74832,2.1633),(1105,5595,0.77426,2.1451),(1105,5605,0.8002,2.1263),(1105,5615,0.82723,2.1075),(1105,5625,0.85425,2.0879),(1105,5635,0.88127,2.0674),(1105,5645,0.90908,2.0469),(1105,5655,0.93705,2.026),(1105,5665,0.96502,2.0041),(1105,5675,0.99347,1.9821),(1105,5685,1.0222,1.9601),(1105,5695,1.0509,1.9369),(1105,5705,1.0798,1.9137),(1105,5715,1.1089,1.8905),(1105,5725,1.1381,1.8664),(1105,5735,1.1672,1.8423),(1105,5745,1.1965,1.8181),(1105,5755,1.2258,1.7933),(1105,5765,1.255,1.7684),(1105,5775,1.284,1.7434),(1105,5785,1.313,1.718),(1105,5795,1.3421,1.6924),(1105,5805,1.3705,1.6668),(1105,5815,1.399,1.641),(1105,5825,1.4274,1.615),(1105,5835,1.4552,1.5889),(1105,5845,1.4828,1.5629),(1105,5855,1.5104,1.5366),(1105,5865,1.5374,1.5104),(1105,5875,1.5639,1.4841),(1105,5885,1.5905,1.4577),(1105,5895,1.6165,1.4312),(1105,5905,1.6417,1.4047),(1105,5915,1.667,1.3782),(1105,5925,1.692,1.3517),(1105,5935,1.7159,1.3251),(1105,5945,1.7398,1.2987),(1105,5955,1.7637,1.2724),(1105,5965,1.7867,1.246),(1105,5975,1.8097,1.2197),(1105,5985,1.8328,1.1935),(1105,5995,1.4049,1.1674),(1105,6005,0.90449,1.1474),(1105,6015,0.40405,1.144),(1105,6025,0.35078,1.1405),(1105,6035,0.5049,1.1362),(1105,6045,0.65903,1.1224),(1105,6055,0.77577,1.1086),(1105,6065,0.85586,1.0949),(1105,6075,0.93596,1.0767),(1105,6085,0.99151,1.0581),(1105,6095,0.99649,1.0395),(1105,6105,1.0015,1.0208),(1105,6115,1.0064,1.0021),(1105,6125,1.0111,0.98333),(1105,6135,1.0158,0.96447),(1105,6145,1.0206,0.94552),(1105,6155,1.025,0.92657),(1105,6165,1.0295,0.90743),(1105,6175,1.034,0.88798),(1105,6185,1.0382,0.86852),(1105,6195,1.0424,0.84906),(1105,6205,1.0466,0.82956),(1105,6215,1.0506,0.81007),(1105,6225,1.0545,0.79056),(1105,6235,1.0584,0.77087),(1105,6245,1.0622,0.75117),(1105,6255,1.0657,0.73147),(1105,6265,1.0693,0.71157),(1105,6275,1.0728,0.69162),(1105,6285,1.0761,0.67168),(1105,6295,1.0794,0.65176),(1105,6305,1.0827,0.63186),(1105,6315,1.0856,0.61195),(1105,6325,1.0886,0.59183),(1105,6335,1.0915,0.57151),(1105,6345,1.0942,0.55118),(1105,6355,1.0968,0.5308),(1105,6365,1.0995,0.51031),(1105,6375,1.1019,0.48983),(1105,6385,1.1043,0.46936),(1105,6395,1.1067,0.44895),(1105,6405,1.1089,0.42854),(1105,6415,1.1109,0.40813),(1105,6425,1.1129,0.38739),(1105,6435,1.1148,0.36663),(1105,6445,1.1164,0.34587),(1105,6455,1.1181,0.32503),(1105,6465,1.1197,0.30417),(1105,6475,1.121,0.28331),(1105,6485,1.1224,0.26254),(1105,6495,1.1237,0.24184),(1105,6505,1.1248,0.22114),(1105,6515,1.1258,0.20037),(1105,6525,1.1268,0.17951),(1105,6535,1.1276,0.15866),(1105,6545,1.1283,0.13777),(1105,6555,1.129,0.11681),(1105,6565,1.1294,0.095848),(1105,6575,1.1298,0.074886),(1105,6585,1.1301,0.053939),(1105,6595,0.96134,0.032992),(1105,6605,0.60579,0.012045),(1105,6615,0.25025,0.00963),(1105,6625,0.000316,0.009596),(1105,6635,0.000318,0.009562),(1105,6645,0.00032,0.009547),(1105,6655,0.000322,0.00954),(1105,6665,0.000324,0.009534),(1105,6675,0.000326,0.009527),(1105,6685,0.000328,0.00952),(1105,6695,0.00033,0.009513),(1105,6705,0.000332,0.009506),(1105,6715,0.000334,0.009499),(1105,6725,0.000336,0.009492),(1105,6735,0.000338,0.009485),(1105,6745,0.00034,0.009478),(1105,6755,0.000342,0.009471),(1105,6765,0.000343,0.009464),(1105,6775,0.000345,0.009457),(1105,6785,0.000347,0.00945),(1105,6795,0.000349,0.009443),(1105,6805,0.000351,0.009436),(1105,6815,0.000352,0.009428),(1105,6825,0.000354,0.009421),(1105,6835,0.000356,0.009414),(1105,6845,0.000357,0.009407),(1105,6855,0.000359,0.009399),(1105,6865,0.00036,0.009392),(1105,6875,0.000362,0.009385),(1105,6885,0.000364,0.009378),(1105,6895,0.000365,0.00937),(1105,6905,0.000367,0.009363),(1105,6915,0.000368,0.009355),(1105,6925,0.00037,0.009348),(1105,6935,0.000371,0.00934),(1105,6945,0.000372,0.009333),(1105,6955,0.000374,0.009326),(1105,6965,0.000375,0.009318),(1105,6975,0.000377,0.009311),(1105,6985,0.000378,0.009303),(1115,5,5e-05,3.6707),(1115,15,0.00015,3.6707),(1115,25,0.000251,3.6707),(1115,35,0.000351,3.6707),(1115,45,0.000451,3.6707),(1115,55,0.000552,3.6707),(1115,65,0.000652,3.6707),(1115,75,0.000752,3.6707),(1115,85,0.000853,3.6707),(1115,95,0.000954,3.6707),(1115,105,0.001054,3.6706),(1115,115,0.001155,3.6706),(1115,125,0.001256,3.6706),(1115,135,0.001357,3.6706),(1115,145,0.001459,3.6706),(1115,155,0.00156,3.6705),(1115,165,0.001662,3.6705),(1115,175,0.001764,3.6705),(1115,185,0.001866,3.6705),(1115,195,0.001968,3.6704),(1115,205,0.002071,3.6704),(1115,215,0.002173,3.6704),(1115,225,0.002276,3.6703),(1115,235,0.00238,3.6703),(1115,245,0.002483,3.6703),(1115,255,0.002587,3.6702),(1115,265,0.002691,3.6702),(1115,275,0.002796,3.6701),(1115,285,0.0029,3.6701),(1115,295,0.003005,3.6701),(1115,305,0.003111,3.67),(1115,315,0.003217,3.67),(1115,325,0.003323,3.6699),(1115,335,0.003429,3.6699),(1115,345,0.003536,3.6698),(1115,355,0.003643,3.6697),(1115,365,0.003751,3.6697),(1115,375,0.003858,3.6696),(1115,385,0.003967,3.6696),(1115,395,0.004077,3.6695),(1115,405,0.004186,3.6694),(1115,415,0.004295,3.6694),(1115,425,0.004406,3.6693),(1115,435,0.004517,3.6692),(1115,445,0.004629,3.6692),(1115,455,0.00474,3.6691),(1115,465,0.004853,3.669),(1115,475,0.004966,3.669),(1115,485,0.005079,3.6689),(1115,495,0.005193,3.6688),(1115,505,0.005308,3.6687),(1115,515,0.005424,3.6686),(1115,525,0.005539,3.6685),(1115,535,0.005655,3.6685),(1115,545,0.005772,3.6684),(1115,555,0.00589,3.6683),(1115,565,0.006008,3.6682),(1115,575,0.006126,3.6681),(1115,585,0.006247,3.668),(1115,595,0.006368,3.6679),(1115,605,0.006488,3.6678),(1115,615,0.006609,3.6677),(1115,625,0.006732,3.6676),(1115,635,0.006856,3.6675),(1115,645,0.006979,3.6674),(1115,655,0.007103,3.6673),(1115,665,0.007229,3.6672),(1115,675,0.007356,3.6671),(1115,685,0.007482,3.6669),(1115,695,0.007609,3.6668),(1115,705,0.007739,3.6667),(1115,715,0.007868,3.6666),(1115,725,0.007998,3.6665),(1115,735,0.008128,3.6663),(1115,745,0.008261,3.6662),(1115,755,0.008394,3.6661),(1115,765,0.008527,3.6659),(1115,775,0.008661,3.6658),(1115,785,0.008797,3.6657),(1115,795,0.008934,3.6655),(1115,805,0.00907,3.6654),(1115,815,0.009208,3.6652),(1115,825,0.009348,3.6651),(1115,835,0.009488,3.6649),(1115,845,0.009628,3.6648),(1115,855,0.00977,3.6646),(1115,865,0.009914,3.6645),(1115,875,0.010058,3.6643),(1115,885,0.010202,3.6642),(1115,895,0.010348,3.664),(1115,905,0.010496,3.6638),(1115,915,0.010644,3.6637),(1115,925,0.010792,3.6635),(1115,935,0.010942,3.6633),(1115,945,0.011095,3.6632),(1115,955,0.011247,3.663),(1115,965,0.011399,3.6628),(1115,975,0.011554,3.6626),(1115,985,0.01171,3.6624),(1115,995,0.011867,3.6623),(1115,1005,0.012024,3.6621),(1115,1015,0.012183,3.6619),(1115,1025,0.012344,3.6617),(1115,1035,0.012505,3.6615),(1115,1045,0.012666,3.6613),(1115,1055,0.01283,3.6611),(1115,1065,0.012996,3.6609),(1115,1075,0.013162,3.6607),(1115,1085,0.013328,3.6605),(1115,1095,0.013497,3.6602),(1115,1105,0.013668,3.66),(1115,1115,0.013838,3.6598),(1115,1125,0.014009,3.6596),(1115,1135,0.014183,3.6594),(1115,1145,0.014359,3.6591),(1115,1155,0.014535,3.6589),(1115,1165,0.01471,3.6587),(1115,1175,0.014889,3.6584),(1115,1185,0.01507,3.6582),(1115,1195,0.015251,3.6579),(1115,1205,0.015432,3.6577),(1115,1215,0.015617,3.6574),(1115,1225,0.015803,3.6572),(1115,1235,0.015989,3.6569),(1115,1245,0.016175,3.6567),(1115,1255,0.016366,3.6564),(1115,1265,0.016557,3.6561),(1115,1275,0.016749,3.6559),(1115,1285,0.016941,3.6556),(1115,1295,0.017136,3.6553),(1115,1305,0.017334,3.655),(1115,1315,0.017531,3.6547),(1115,1325,0.017728,3.6545),(1115,1335,0.017929,3.6542),(1115,1345,0.018132,3.6539),(1115,1355,0.018335,3.6536),(1115,1365,0.018537,3.6533),(1115,1375,0.018745,3.653),(1115,1385,0.018953,3.6527),(1115,1395,0.019161,3.6523),(1115,1405,0.019369,3.652),(1115,1415,0.019583,3.6517),(1115,1425,0.019797,3.6514),(1115,1435,0.020011,3.651),(1115,1445,0.020225,3.6507),(1115,1455,0.020444,3.6504),(1115,1465,0.020664,3.65),(1115,1475,0.020884,3.6497),(1115,1485,0.021103,3.6493),(1115,1495,0.021329,3.649),(1115,1505,0.021554,3.6486),(1115,1515,0.02178,3.6483),(1115,1525,0.022006,3.6479),(1115,1535,0.022237,3.6475),(1115,1545,0.022469,3.6472),(1115,1555,0.0227,3.6468),(1115,1565,0.022932,3.6464),(1115,1575,0.023169,3.646),(1115,1585,0.023406,3.6456),(1115,1595,0.023643,3.6452),(1115,1605,0.023881,3.6448),(1115,1615,0.024124,3.6444),(1115,1625,0.024367,3.644),(1115,1635,0.02461,3.6436),(1115,1645,0.024854,3.6432),(1115,1655,0.025102,3.6428),(1115,1665,0.025351,3.6424),(1115,1675,0.0256,3.6419),(1115,1685,0.02585,3.6415),(1115,1695,0.026104,3.641),(1115,1705,0.026359,3.6406),(1115,1715,0.026613,3.6401),(1115,1725,0.026869,3.6397),(1115,1735,0.027129,3.6392),(1115,1745,0.027389,3.6388),(1115,1755,0.027649,3.6383),(1115,1765,0.02791,3.6378),(1115,1775,0.028176,3.6373),(1115,1785,0.028441,3.6369),(1115,1795,0.028706,3.6364),(1115,1805,0.028973,3.6359),(1115,1815,0.029244,3.6354),(1115,1825,0.029515,3.6349),(1115,1835,0.029786,3.6343),(1115,1845,0.030059,3.6338),(1115,1855,0.030335,3.6333),(1115,1865,0.030611,3.6328),(1115,1875,0.030887,3.6322),(1115,1885,0.031165,3.6317),(1115,1895,0.031446,3.6312),(1115,1905,0.031727,3.6306),(1115,1915,0.032008,3.6301),(1115,1925,0.032291,3.6295),(1115,1935,0.032576,3.6289),(1115,1945,0.032862,3.6284),(1115,1955,0.033148,3.6278),(1115,1965,0.033435,3.6272),(1115,1975,0.033725,3.6266),(1115,1985,0.034015,3.626),(1115,1995,0.034305,3.6254),(1115,2005,0.034597,3.6248),(1115,2015,0.034891,3.6242),(1115,2025,0.035186,3.6236),(1115,2035,0.03548,3.623),(1115,2045,0.035776,3.6223),(1115,2055,0.036074,3.6217),(1115,2065,0.036372,3.6211),(1115,2075,0.03667,3.6204),(1115,2085,0.036969,3.6198),(1115,2095,0.037271,3.6191),(1115,2105,0.037572,3.6184),(1115,2115,0.037874,3.6178),(1115,2125,0.038177,3.6171),(1115,2135,0.038481,3.6164),(1115,2145,0.038786,3.6157),(1115,2155,0.03909,3.615),(1115,2165,0.039396,3.6143),(1115,2175,0.039703,3.6136),(1115,2185,0.04001,3.6129),(1115,2195,0.040317,3.6122),(1115,2205,0.040626,3.6114),(1115,2215,0.040935,3.6107),(1115,2225,0.041244,3.61),(1115,2235,0.041553,3.6092),(1115,2245,0.041863,3.6085),(1115,2255,0.042174,3.6077),(1115,2265,0.042484,3.607),(1115,2275,0.042795,3.6062),(1115,2285,0.043106,3.6054),(1115,2295,0.043418,3.6046),(1115,2305,0.043729,3.6038),(1115,2315,0.044041,3.603),(1115,2325,0.044353,3.6022),(1115,2335,0.044665,3.6014),(1115,2345,0.044977,3.6006),(1115,2355,0.045289,3.5998),(1115,2365,0.045601,3.599),(1115,2375,0.045913,3.5981),(1115,2385,0.046225,3.5973),(1115,2395,0.046537,3.5964),(1115,2405,0.046848,3.5956),(1115,2415,0.047159,3.5947),(1115,2425,0.04747,3.5939),(1115,2435,0.047781,3.593),(1115,2445,0.04809,3.5921),(1115,2455,0.048399,3.5913),(1115,2465,0.048709,3.5904),(1115,2475,0.049018,3.5895),(1115,2485,0.049325,3.5886),(1115,2495,0.049632,3.5877),(1115,2505,0.049939,3.5867),(1115,2515,0.050246,3.5858),(1115,2525,0.05055,3.5849),(1115,2535,0.050853,3.584),(1115,2545,0.051157,3.583),(1115,2555,0.051461,3.5821),(1115,2565,0.051761,3.5811),(1115,2575,0.052061,3.5802),(1115,2585,0.052361,3.5792),(1115,2595,0.05266,3.5783),(1115,2605,0.052955,3.5773),(1115,2615,0.053251,3.5763),(1115,2625,0.053546,3.5753),(1115,2635,0.05384,3.5744),(1115,2645,0.054129,3.5734),(1115,2655,0.054419,3.5724),(1115,2665,0.054708,3.5714),(1115,2675,0.054996,3.5704),(1115,2685,0.055279,3.5693),(1115,2695,0.055562,3.5683),(1115,2705,0.055845,3.5673),(1115,2715,0.056126,3.5663),(1115,2725,0.056401,3.5652),(1115,2735,0.056677,3.5642),(1115,2745,0.056952,3.5632),(1115,2755,0.057225,3.5621),(1115,2765,0.057492,3.5611),(1115,2775,0.057759,3.56),(1115,2785,0.058025,3.559),(1115,2795,0.058289,3.5579),(1115,2805,0.058546,3.5568),(1115,2815,0.058803,3.5558),(1115,2825,0.05906,3.5547),(1115,2835,0.059314,3.5536),(1115,2845,0.05956,3.5525),(1115,2855,0.059806,3.5514),(1115,2865,0.060052,3.5503),(1115,2875,0.060294,3.5492),(1115,2885,0.060528,3.5482),(1115,2895,0.060763,3.5471),(1115,2905,0.060997,3.546),(1115,2915,0.061226,3.5449),(1115,2925,0.061447,3.5437),(1115,2935,0.061668,3.5426),(1115,2945,0.061889,3.5415),(1115,2955,0.062104,3.5404),(1115,2965,0.062311,3.5393),(1115,2975,0.062518,3.5382),(1115,2985,0.062724,3.5371),(1115,2995,0.062923,3.5359),(1115,3005,0.063114,3.5348),(1115,3015,0.063305,3.5337),(1115,3025,0.063496,3.5326),(1115,3035,0.063677,3.5315),(1115,3045,0.06385,3.5303),(1115,3055,0.064024,3.5292),(1115,3065,0.064197,3.5281),(1115,3075,0.06436,3.527),(1115,3085,0.064514,3.5258),(1115,3095,0.064668,3.5247),(1115,3105,0.064823,3.5236),(1115,3115,0.064965,3.5225),(1115,3125,0.065098,3.5213),(1115,3135,0.065232,3.5202),(1115,3145,0.065366,3.5191),(1115,3155,0.065485,3.518),(1115,3165,0.065596,3.5169),(1115,3175,0.065707,3.5157),(1115,3185,0.065818,3.5146),(1115,3195,0.065912,3.5135),(1115,3205,0.065998,3.5124),(1115,3215,0.066085,3.5113),(1115,3225,0.066171,3.5102),(1115,3235,0.066238,3.5091),(1115,3245,0.066297,3.508),(1115,3255,0.066356,3.5069),(1115,3265,0.066416,3.5058),(1115,3275,0.066452,3.5048),(1115,3285,0.066482,3.5037),(1115,3295,0.066512,3.5026),(1115,3305,0.066542,3.5016),(1115,3315,0.066546,3.5005),(1115,3325,0.066544,3.4994),(1115,3335,0.066541,3.4984),(1115,3345,0.066539,3.4973),(1115,3355,0.066507,3.4963),(1115,3365,0.066469,3.4953),(1115,3375,0.066432,3.4942),(1115,3385,0.066394,3.4932),(1115,3395,0.066323,3.4922),(1115,3405,0.066247,3.4912),(1115,3415,0.066171,3.4902),(1115,3425,0.066095,3.4892),(1115,3435,0.06598,3.4882),(1115,3445,0.065862,3.4873),(1115,3455,0.065744,3.4863),(1115,3465,0.065626,3.4853),(1115,3475,0.065464,3.4844),(1115,3485,0.0653,3.4834),(1115,3495,0.065136,3.4825),(1115,3505,0.064972,3.4816),(1115,3515,0.064758,3.4807),(1115,3525,0.064545,3.4798),(1115,3535,0.064331,3.4789),(1115,3545,0.064115,3.478),(1115,3555,0.063848,3.4772),(1115,3565,0.06358,3.4763),(1115,3575,0.063312,3.4755),(1115,3585,0.063039,3.4746),(1115,3595,0.062713,3.4738),(1115,3605,0.062387,3.473),(1115,3615,0.06206,3.4722),(1115,3625,0.061726,3.4714),(1115,3635,0.061337,3.4706),(1115,3645,0.060947,3.4699),(1115,3655,0.060558,3.4691),(1115,3665,0.060157,3.4684),(1115,3675,0.0597,3.4677),(1115,3685,0.059242,3.4669),(1115,3695,0.058785,3.4662),(1115,3705,0.058313,3.4656),(1115,3715,0.057784,3.4649),(1115,3725,0.057254,3.4642),(1115,3735,0.056725,3.4636),(1115,3745,0.056177,3.4629),(1115,3755,0.055572,3.4623),(1115,3765,0.054966,3.4617),(1115,3775,0.054361,3.4611),(1115,3785,0.053733,3.4605),(1115,3795,0.053048,3.4599),(1115,3805,0.052363,3.4593),(1115,3815,0.051679,3.4588),(1115,3825,0.050967,3.4583),(1115,3835,0.050201,3.4577),(1115,3845,0.049434,3.4572),(1115,3855,0.048667,3.4567),(1115,3865,0.047871,3.4562),(1115,3875,0.047022,3.4558),(1115,3885,0.046172,3.4553),(1115,3895,0.045323,3.4549),(1115,3905,0.052965,3.4544),(1115,3915,0.07329,3.454),(1115,3925,0.093616,3.4534),(1115,3935,0.11394,3.4524),(1115,3945,0.13648,3.4515),(1115,3955,0.16183,3.4506),(1115,3965,0.18718,3.449),(1115,3975,0.21253,3.4468),(1115,3985,0.22747,3.4447),(1115,3995,0.23115,3.4425),(1115,4005,0.23484,3.44),(1115,4015,0.23852,3.4371),(1115,4025,0.24192,3.4343),(1115,4035,0.2453,3.4313),(1115,4045,0.24868,3.428),(1115,4055,0.25187,3.4247),(1115,4065,0.25499,3.4213),(1115,4075,0.25811,3.4176),(1115,4085,0.26108,3.4139),(1115,4095,0.26393,3.4101),(1115,4105,0.26678,3.4063),(1115,4115,0.25945,3.4025),(1115,4125,0.23526,3.3986),(1115,4135,0.21107,3.3958),(1115,4145,0.18588,3.3931),(1115,4155,0.15665,3.3905),(1115,4165,0.12741,3.3886),(1115,4175,0.09968,3.387),(1115,4185,0.146,3.3854),(1115,4195,0.19233,3.3826),(1115,4205,0.23865,3.3779),(1115,4215,0.23422,3.3733),(1115,4225,0.22025,3.3686),(1115,4235,0.20628,3.364),(1115,4245,0.18769,3.3593),(1115,4255,0.16676,3.3547),(1115,4265,0.14583,3.3509),(1115,4275,0.11972,3.3471),(1115,4285,0.088101,3.3433),(1115,4295,0.056483,3.3418),(1115,4305,0.049274,3.3407),(1115,4315,0.097185,3.3395),(1115,4325,0.14509,3.3343),(1115,4335,0.18834,3.3275),(1115,4345,0.20002,3.3206),(1115,4355,0.21169,3.3143),(1115,4365,0.22336,3.3084),(1115,4375,0.2283,3.3025),(1115,4385,0.23288,3.2969),(1115,4395,0.23746,3.2922),(1115,4405,0.20774,3.2874),(1115,4415,0.16791,3.2832),(1115,4425,0.12808,3.2813),(1115,4435,0.11508,3.2793),(1115,4445,0.1204,3.2774),(1115,4455,0.12573,3.2752),(1115,4465,0.1565,3.2729),(1115,4475,0.22302,3.2706),(1115,4485,0.28954,3.2652),(1115,4495,0.34279,3.2592),(1115,4505,0.35343,3.2532),(1115,4515,0.36408,3.2466),(1115,4525,0.37378,3.2397),(1115,4535,0.3685,3.2327),(1115,4545,0.36323,3.2258),(1115,4555,0.35796,3.2188),(1115,4565,0.26197,3.2119),(1115,4575,0.15376,3.2068),(1115,4585,0.045546,3.2062),(1115,4595,0.039186,3.2057),(1115,4605,0.07586,3.2047),(1115,4615,0.11253,3.2007),(1115,4625,0.15768,3.1967),(1115,4635,0.2105,3.1927),(1115,4645,0.26332,3.1862),(1115,4655,0.31584,3.1796),(1115,4665,0.36779,3.1729),(1115,4675,0.41973,3.1658),(1115,4685,0.44717,3.1585),(1115,4695,0.35347,3.1512),(1115,4705,0.25978,3.1471),(1115,4715,0.16608,3.1451),(1115,4725,0.20993,3.1432),(1115,4735,0.25516,3.1392),(1115,4745,0.30039,3.1323),(1115,4755,0.3751,3.1253),(1115,4765,0.45665,3.1175),(1115,4775,0.53819,3.1065),(1115,4785,0.58585,3.0955),(1115,4795,0.61393,3.0845),(1115,4805,0.642,3.0735),(1115,4815,0.63128,3.0624),(1115,4825,0.57416,3.0513),(1115,4835,0.51704,3.0436),(1115,4845,0.44634,3.0364),(1115,4855,0.34024,3.0292),(1115,4865,0.23413,3.0243),(1115,4875,0.15227,3.0205),(1115,4885,0.29105,3.0166),(1115,4895,0.42983,3.0076),(1115,4905,0.56861,2.9937),(1115,4915,0.57368,2.9798),(1115,4925,0.56725,2.9663),(1115,4935,0.56082,2.9537),(1115,4945,0.51487,2.9411),(1115,4955,0.45523,2.9292),(1115,4965,0.39559,2.9211),(1115,4975,0.30824,2.9131),(1115,4985,0.19949,2.9051),(1115,4995,0.09075,2.9043),(1115,5005,0.089303,2.9036),(1115,5015,0.25843,2.903),(1115,5025,0.42756,2.8923),(1115,5035,0.57997,2.879),(1115,5045,0.66867,2.8658),(1115,5055,0.75737,2.8499),(1115,5065,0.84446,2.8324),(1115,5075,0.87881,2.815),(1115,5085,0.91316,2.7976),(1115,5095,0.94751,2.7804),(1115,5105,0.84249,2.7631),(1115,5115,0.71316,2.7481),(1115,5125,0.58383,2.7394),(1115,5135,0.48842,2.7306),(1115,5145,0.40947,2.7221),(1115,5155,0.33053,2.7153),(1115,5165,0.38075,2.7085),(1115,5175,0.5627,2.7017),(1115,5185,0.74465,2.6851),(1115,5195,0.88035,2.6674),(1115,5205,0.91636,2.6497),(1115,5215,0.95237,2.632),(1115,5225,0.98271,2.6143),(1115,5235,0.97783,2.5967),(1115,5245,0.97296,2.5802),(1115,5255,0.96809,2.5648),(1115,5265,0.67608,2.5493),(1115,5275,0.37223,2.5395),(1115,5285,0.06838,2.5394),(1115,5295,0.10967,2.5392),(1115,5305,0.24707,2.5367),(1115,5315,0.38448,2.5241),(1115,5325,0.51633,2.5115),(1115,5335,0.64454,2.4989),(1115,5345,0.77275,2.4803),(1115,5355,0.87736,2.4617),(1115,5365,0.95014,2.4431),(1115,5375,1.0229,2.4239),(1115,5385,1.0179,2.4046),(1115,5395,0.77643,2.3853),(1115,5405,0.53495,2.3755),(1115,5415,0.30968,2.3705),(1115,5425,0.30232,2.3656),(1115,5435,0.29496,2.3597),(1115,5445,0.2876,2.3527),(1115,5455,0.3487,2.3458),(1115,5465,0.41816,2.3372),(1115,5475,0.48763,2.3247),(1115,5485,0.52231,2.3123),(1115,5495,0.54298,2.2997),(1115,5505,0.56365,2.2857),(1115,5515,0.5858,2.2717),(1115,5525,0.60923,2.2577),(1115,5535,0.63265,2.2422),(1115,5545,0.65662,2.2265),(1115,5555,0.68158,2.2108),(1115,5565,0.70653,2.1938),(1115,5575,0.73171,2.1763),(1115,5585,0.7579,2.1589),(1115,5595,0.7841,2.1405),(1115,5605,0.8103,2.1216),(1115,5615,0.83755,2.1026),(1115,5625,0.86479,2.0829),(1115,5635,0.89204,2.0623),(1115,5645,0.92003,2.0417),(1115,5655,0.94818,2.0207),(1115,5665,0.97634,1.9987),(1115,5675,1.0049,1.9767),(1115,5685,1.0338,1.9546),(1115,5695,1.0626,1.9314),(1115,5705,1.0916,1.9081),(1115,5715,1.1208,1.8849),(1115,5725,1.15,1.8609),(1115,5735,1.1792,1.8367),(1115,5745,1.2085,1.8126),(1115,5755,1.2377,1.7879),(1115,5765,1.267,1.763),(1115,5775,1.2959,1.7381),(1115,5785,1.3249,1.7129),(1115,5795,1.3538,1.6873),(1115,5805,1.3822,1.6618),(1115,5815,1.4105,1.6362),(1115,5825,1.4389,1.6103),(1115,5835,1.4665,1.5845),(1115,5845,1.494,1.5586),(1115,5855,1.5215,1.5325),(1115,5865,1.5483,1.5064),(1115,5875,1.5746,1.4804),(1115,5885,1.601,1.4541),(1115,5895,1.6268,1.4279),(1115,5905,1.6519,1.4017),(1115,5915,1.6769,1.3754),(1115,5925,1.7017,1.3491),(1115,5935,1.7254,1.3228),(1115,5945,1.7491,1.2967),(1115,5955,1.7728,1.2706),(1115,5965,1.7956,1.2445),(1115,5975,1.8185,1.2185),(1115,5985,1.8413,1.1926),(1115,5995,1.4114,1.1667),(1115,6005,0.90862,1.1469),(1115,6015,0.40584,1.1435),(1115,6025,0.35303,1.1401),(1115,6035,0.50892,1.1358),(1115,6045,0.66481,1.122),(1115,6055,0.78279,1.1083),(1115,6065,0.86361,1.0945),(1115,6075,0.94442,1.0763),(1115,6085,1.0005,1.0577),(1115,6095,1.0055,1.0391),(1115,6105,1.0105,1.0204),(1115,6115,1.0155,1.0016),(1115,6125,1.0203,0.98287),(1115,6135,1.025,0.96401),(1115,6145,1.0298,0.94507),(1115,6155,1.0343,0.92613),(1115,6165,1.0388,0.90699),(1115,6175,1.0433,0.88754),(1115,6185,1.0476,0.86809),(1115,6195,1.0518,0.84863),(1115,6205,1.056,0.82914),(1115,6215,1.06,0.80965),(1115,6225,1.064,0.79015),(1115,6235,1.0679,0.77045),(1115,6245,1.0717,0.75074),(1115,6255,1.0753,0.73104),(1115,6265,1.0789,0.71114),(1115,6275,1.0824,0.69121),(1115,6285,1.0858,0.67128),(1115,6295,1.0891,0.65137),(1115,6305,1.0925,0.63146),(1115,6315,1.0954,0.61155),(1115,6325,1.0984,0.59144),(1115,6335,1.1013,0.57113),(1115,6345,1.104,0.55081),(1115,6355,1.1067,0.53045),(1115,6365,1.1094,0.50999),(1115,6375,1.1118,0.48953),(1115,6385,1.1142,0.46907),(1115,6395,1.1166,0.44866),(1115,6405,1.1188,0.42826),(1115,6415,1.1209,0.40785),(1115,6425,1.1229,0.3871),(1115,6435,1.1248,0.36634),(1115,6445,1.1265,0.34557),(1115,6455,1.1281,0.32475),(1115,6465,1.1297,0.30392),(1115,6475,1.1311,0.28309),(1115,6485,1.1325,0.26234),(1115,6495,1.1339,0.24165),(1115,6505,1.1349,0.22097),(1115,6515,1.1359,0.20022),(1115,6525,1.137,0.17937),(1115,6535,1.1377,0.15853),(1115,6545,1.1384,0.13766),(1115,6555,1.1391,0.11672),(1115,6565,1.1396,0.095774),(1115,6575,1.1399,0.074831),(1115,6585,1.1403,0.053891),(1115,6595,0.97,0.03295),(1115,6605,0.61125,0.01201),(1115,6615,0.25251,0.009606),(1115,6625,0.00032,0.009583),(1115,6635,0.000322,0.009561),(1115,6645,0.000324,0.009549),(1115,6655,0.000326,0.009543),(1115,6665,0.000328,0.009536),(1115,6675,0.00033,0.009529),(1115,6685,0.000332,0.009522),(1115,6695,0.000334,0.009515),(1115,6705,0.000336,0.009508),(1115,6715,0.000338,0.009501),(1115,6725,0.00034,0.009494),(1115,6735,0.000342,0.009487),(1115,6745,0.000344,0.00948),(1115,6755,0.000345,0.009473),(1115,6765,0.000347,0.009466),(1115,6775,0.000349,0.009459),(1115,6785,0.000351,0.009452),(1115,6795,0.000353,0.009445),(1115,6805,0.000354,0.009437),(1115,6815,0.000356,0.00943),(1115,6825,0.000358,0.009423),(1115,6835,0.000359,0.009416),(1115,6845,0.000361,0.009408),(1115,6855,0.000363,0.009401),(1115,6865,0.000364,0.009394),(1115,6875,0.000366,0.009387),(1115,6885,0.000367,0.009379),(1115,6895,0.000369,0.009372),(1115,6905,0.000371,0.009364),(1115,6915,0.000372,0.009357),(1115,6925,0.000374,0.00935),(1115,6935,0.000375,0.009342),(1115,6945,0.000376,0.009335),(1115,6955,0.000378,0.009327),(1115,6965,0.000379,0.009319),(1115,6975,0.000381,0.009312),(1115,6985,0.000382,0.009305),(1125,5,5e-05,3.6708),(1125,15,0.000151,3.6708),(1125,25,0.000252,3.6708),(1125,35,0.000353,3.6708),(1125,45,0.000454,3.6708),(1125,55,0.000555,3.6708),(1125,65,0.000656,3.6708),(1125,75,0.000757,3.6708),(1125,85,0.000858,3.6708),(1125,95,0.000959,3.6708),(1125,105,0.001061,3.6707),(1125,115,0.001162,3.6707),(1125,125,0.001264,3.6707),(1125,135,0.001365,3.6707),(1125,145,0.001467,3.6707),(1125,155,0.001569,3.6706),(1125,165,0.001672,3.6706),(1125,175,0.001774,3.6706),(1125,185,0.001877,3.6706),(1125,195,0.00198,3.6705),(1125,205,0.002083,3.6705),(1125,215,0.002186,3.6705),(1125,225,0.00229,3.6704),(1125,235,0.002394,3.6704),(1125,245,0.002498,3.6704),(1125,255,0.002602,3.6703),(1125,265,0.002707,3.6703),(1125,275,0.002812,3.6702),(1125,285,0.002917,3.6702),(1125,295,0.003023,3.6702),(1125,305,0.003129,3.6701),(1125,315,0.003236,3.6701),(1125,325,0.003342,3.67),(1125,335,0.003449,3.67),(1125,345,0.003557,3.6699),(1125,355,0.003665,3.6699),(1125,365,0.003773,3.6698),(1125,375,0.003881,3.6697),(1125,385,0.003991,3.6697),(1125,395,0.004101,3.6696),(1125,405,0.004211,3.6696),(1125,415,0.004321,3.6695),(1125,425,0.004432,3.6694),(1125,435,0.004544,3.6694),(1125,445,0.004656,3.6693),(1125,455,0.004768,3.6692),(1125,465,0.004882,3.6691),(1125,475,0.004996,3.6691),(1125,485,0.00511,3.669),(1125,495,0.005224,3.6689),(1125,505,0.00534,3.6688),(1125,515,0.005456,3.6687),(1125,525,0.005572,3.6687),(1125,535,0.005689,3.6686),(1125,545,0.005807,3.6685),(1125,555,0.005926,3.6684),(1125,565,0.006045,3.6683),(1125,575,0.006163,3.6682),(1125,585,0.006285,3.6681),(1125,595,0.006406,3.668),(1125,605,0.006528,3.6679),(1125,615,0.006649,3.6678),(1125,625,0.006773,3.6677),(1125,635,0.006897,3.6676),(1125,645,0.007022,3.6675),(1125,655,0.007146,3.6674),(1125,665,0.007274,3.6673),(1125,675,0.007401,3.6672),(1125,685,0.007528,3.6671),(1125,695,0.007656,3.6669),(1125,705,0.007786,3.6668),(1125,715,0.007917,3.6667),(1125,725,0.008047,3.6666),(1125,735,0.008178,3.6665),(1125,745,0.008312,3.6663),(1125,755,0.008446,3.6662),(1125,765,0.00858,3.6661),(1125,775,0.008715,3.6659),(1125,785,0.008852,3.6658),(1125,795,0.008989,3.6657),(1125,805,0.009127,3.6655),(1125,815,0.009265,3.6654),(1125,825,0.009406,3.6652),(1125,835,0.009548,3.6651),(1125,845,0.009689,3.6649),(1125,855,0.009831,3.6648),(1125,865,0.009976,3.6646),(1125,875,0.010121,3.6645),(1125,885,0.010267,3.6643),(1125,895,0.010413,3.6642),(1125,905,0.010562,3.664),(1125,915,0.010712,3.6638),(1125,925,0.010861,3.6637),(1125,935,0.011012,3.6635),(1125,945,0.011165,3.6633),(1125,955,0.011319,3.6631),(1125,965,0.011472,3.663),(1125,975,0.011628,3.6628),(1125,985,0.011786,3.6626),(1125,995,0.011944,3.6624),(1125,1005,0.012101,3.6622),(1125,1015,0.012262,3.662),(1125,1025,0.012424,3.6618),(1125,1035,0.012586,3.6616),(1125,1045,0.012749,3.6614),(1125,1055,0.012914,3.6612),(1125,1065,0.013081,3.661),(1125,1075,0.013248,3.6608),(1125,1085,0.013416,3.6606),(1125,1095,0.013586,3.6604),(1125,1105,0.013758,3.6602),(1125,1115,0.01393,3.66),(1125,1125,0.014102,3.6598),(1125,1135,0.014277,3.6595),(1125,1145,0.014454,3.6593),(1125,1155,0.014632,3.6591),(1125,1165,0.014809,3.6588),(1125,1175,0.014989,3.6586),(1125,1185,0.015172,3.6584),(1125,1195,0.015354,3.6581),(1125,1205,0.015536,3.6579),(1125,1215,0.015722,3.6576),(1125,1225,0.01591,3.6574),(1125,1235,0.016098,3.6571),(1125,1245,0.016285,3.6568),(1125,1255,0.016477,3.6566),(1125,1265,0.01667,3.6563),(1125,1275,0.016864,3.6561),(1125,1285,0.017057,3.6558),(1125,1295,0.017254,3.6555),(1125,1305,0.017453,3.6552),(1125,1315,0.017652,3.6549),(1125,1325,0.017851,3.6547),(1125,1335,0.018054,3.6544),(1125,1345,0.018258,3.6541),(1125,1355,0.018463,3.6538),(1125,1365,0.018667,3.6535),(1125,1375,0.018876,3.6532),(1125,1385,0.019086,3.6529),(1125,1395,0.019296,3.6526),(1125,1405,0.019506,3.6522),(1125,1415,0.019721,3.6519),(1125,1425,0.019937,3.6516),(1125,1435,0.020153,3.6513),(1125,1445,0.020369,3.6509),(1125,1455,0.02059,3.6506),(1125,1465,0.020812,3.6503),(1125,1475,0.021034,3.6499),(1125,1485,0.021255,3.6496),(1125,1495,0.021483,3.6492),(1125,1505,0.021711,3.6489),(1125,1515,0.021938,3.6485),(1125,1525,0.022166,3.6481),(1125,1535,0.022399,3.6478),(1125,1545,0.022633,3.6474),(1125,1555,0.022866,3.647),(1125,1565,0.0231,3.6466),(1125,1575,0.02334,3.6463),(1125,1585,0.023579,3.6459),(1125,1595,0.023818,3.6455),(1125,1605,0.024058,3.6451),(1125,1615,0.024303,3.6447),(1125,1625,0.024549,3.6443),(1125,1635,0.024794,3.6439),(1125,1645,0.02504,3.6434),(1125,1655,0.025291,3.643),(1125,1665,0.025542,3.6426),(1125,1675,0.025793,3.6422),(1125,1685,0.026045,3.6417),(1125,1695,0.026302,3.6413),(1125,1705,0.026559,3.6409),(1125,1715,0.026816,3.6404),(1125,1725,0.027074,3.6399),(1125,1735,0.027336,3.6395),(1125,1745,0.027599,3.639),(1125,1755,0.027861,3.6386),(1125,1765,0.028125,3.6381),(1125,1775,0.028393,3.6376),(1125,1785,0.028661,3.6371),(1125,1795,0.028929,3.6366),(1125,1805,0.029199,3.6361),(1125,1815,0.029473,3.6356),(1125,1825,0.029746,3.6351),(1125,1835,0.030019,3.6346),(1125,1845,0.030295,3.6341),(1125,1855,0.030574,3.6336),(1125,1865,0.030852,3.6331),(1125,1875,0.031131,3.6325),(1125,1885,0.031412,3.632),(1125,1895,0.031696,3.6314),(1125,1905,0.03198,3.6309),(1125,1915,0.032263,3.6303),(1125,1925,0.032549,3.6298),(1125,1935,0.032838,3.6292),(1125,1945,0.033126,3.6287),(1125,1955,0.033415,3.6281),(1125,1965,0.033706,3.6275),(1125,1975,0.033999,3.6269),(1125,1985,0.034291,3.6263),(1125,1995,0.034584,3.6257),(1125,2005,0.03488,3.6251),(1125,2015,0.035177,3.6245),(1125,2025,0.035474,3.6239),(1125,2035,0.035771,3.6233),(1125,2045,0.03607,3.6226),(1125,2055,0.036371,3.622),(1125,2065,0.036672,3.6214),(1125,2075,0.036973,3.6207),(1125,2085,0.037276,3.6201),(1125,2095,0.037581,3.6194),(1125,2105,0.037885,3.6187),(1125,2115,0.03819,3.6181),(1125,2125,0.038496,3.6174),(1125,2135,0.038804,3.6167),(1125,2145,0.039111,3.616),(1125,2155,0.039419,3.6153),(1125,2165,0.039728,3.6146),(1125,2175,0.040038,3.6139),(1125,2185,0.040349,3.6132),(1125,2195,0.040659,3.6125),(1125,2205,0.040971,3.6118),(1125,2215,0.041283,3.611),(1125,2225,0.041595,3.6103),(1125,2235,0.041907,3.6095),(1125,2245,0.042221,3.6088),(1125,2255,0.042535,3.608),(1125,2265,0.042849,3.6073),(1125,2275,0.043162,3.6065),(1125,2285,0.043477,3.6057),(1125,2295,0.043792,3.6049),(1125,2305,0.044107,3.6042),(1125,2315,0.044421,3.6034),(1125,2325,0.044737,3.6026),(1125,2335,0.045052,3.6018),(1125,2345,0.045367,3.6009),(1125,2355,0.045682,3.6001),(1125,2365,0.045997,3.5993),(1125,2375,0.046313,3.5985),(1125,2385,0.046628,3.5976),(1125,2395,0.046943,3.5968),(1125,2405,0.047257,3.5959),(1125,2415,0.047571,3.5951),(1125,2425,0.047885,3.5942),(1125,2435,0.048199,3.5933),(1125,2445,0.048512,3.5924),(1125,2455,0.048824,3.5916),(1125,2465,0.049137,3.5907),(1125,2475,0.049449,3.5898),(1125,2485,0.049759,3.5889),(1125,2495,0.050069,3.588),(1125,2505,0.050379,3.5871),(1125,2515,0.050689,3.5861),(1125,2525,0.050996,3.5852),(1125,2535,0.051302,3.5843),(1125,2545,0.051609,3.5833),(1125,2555,0.051916,3.5824),(1125,2565,0.052218,3.5815),(1125,2575,0.052521,3.5805),(1125,2585,0.052824,3.5795),(1125,2595,0.053126,3.5786),(1125,2605,0.053424,3.5776),(1125,2615,0.053722,3.5766),(1125,2625,0.05402,3.5756),(1125,2635,0.054317,3.5746),(1125,2645,0.054608,3.5737),(1125,2655,0.0549,3.5727),(1125,2665,0.055192,3.5717),(1125,2675,0.055483,3.5706),(1125,2685,0.055768,3.5696),(1125,2695,0.056053,3.5686),(1125,2705,0.056338,3.5676),(1125,2715,0.056621,3.5666),(1125,2725,0.056899,3.5655),(1125,2735,0.057176,3.5645),(1125,2745,0.057453,3.5634),(1125,2755,0.057728,3.5624),(1125,2765,0.057997,3.5613),(1125,2775,0.058265,3.5603),(1125,2785,0.058534,3.5592),(1125,2795,0.058799,3.5582),(1125,2805,0.059058,3.5571),(1125,2815,0.059316,3.556),(1125,2825,0.059575,3.5549),(1125,2835,0.05983,3.5539),(1125,2845,0.060077,3.5528),(1125,2855,0.060324,3.5517),(1125,2865,0.060572,3.5506),(1125,2875,0.060815,3.5495),(1125,2885,0.06105,3.5484),(1125,2895,0.061285,3.5473),(1125,2905,0.06152,3.5462),(1125,2915,0.061749,3.5451),(1125,2925,0.061971,3.544),(1125,2935,0.062192,3.5429),(1125,2945,0.062414,3.5417),(1125,2955,0.062629,3.5406),(1125,2965,0.062835,3.5395),(1125,2975,0.063042,3.5384),(1125,2985,0.063249,3.5373),(1125,2995,0.063447,3.5361),(1125,3005,0.063638,3.535),(1125,3015,0.063828,3.5339),(1125,3025,0.064018,3.5328),(1125,3035,0.064199,3.5316),(1125,3045,0.064371,3.5305),(1125,3055,0.064544,3.5294),(1125,3065,0.064716,3.5282),(1125,3075,0.064877,3.5271),(1125,3085,0.06503,3.526),(1125,3095,0.065183,3.5249),(1125,3105,0.065336,3.5237),(1125,3115,0.065475,3.5226),(1125,3125,0.065607,3.5215),(1125,3135,0.065739,3.5203),(1125,3145,0.06587,3.5192),(1125,3155,0.065987,3.5181),(1125,3165,0.066095,3.517),(1125,3175,0.066204,3.5159),(1125,3185,0.066312,3.5147),(1125,3195,0.066403,3.5136),(1125,3205,0.066486,3.5125),(1125,3215,0.066569,3.5114),(1125,3225,0.066652,3.5103),(1125,3235,0.066715,3.5092),(1125,3245,0.066771,3.5081),(1125,3255,0.066826,3.507),(1125,3265,0.066882,3.5059),(1125,3275,0.066914,3.5048),(1125,3285,0.066939,3.5037),(1125,3295,0.066965,3.5026),(1125,3305,0.06699,3.5016),(1125,3315,0.066989,3.5005),(1125,3325,0.066982,3.4994),(1125,3335,0.066974,3.4984),(1125,3345,0.066967,3.4973),(1125,3355,0.066929,3.4963),(1125,3365,0.066886,3.4952),(1125,3375,0.066843,3.4942),(1125,3385,0.066799,3.4932),(1125,3395,0.066722,3.4921),(1125,3405,0.06664,3.4911),(1125,3415,0.066558,3.4901),(1125,3425,0.066476,3.4891),(1125,3435,0.066354,3.4881),(1125,3445,0.066229,3.4871),(1125,3455,0.066105,3.4862),(1125,3465,0.06598,3.4852),(1125,3475,0.065811,3.4842),(1125,3485,0.06564,3.4833),(1125,3495,0.065469,3.4823),(1125,3505,0.065298,3.4814),(1125,3515,0.065077,3.4805),(1125,3525,0.064856,3.4796),(1125,3535,0.064635,3.4787),(1125,3545,0.064411,3.4778),(1125,3555,0.064136,3.4769),(1125,3565,0.063861,3.476),(1125,3575,0.063585,3.4752),(1125,3585,0.063305,3.4743),(1125,3595,0.062971,3.4735),(1125,3605,0.062637,3.4727),(1125,3615,0.062303,3.4719),(1125,3625,0.061961,3.4711),(1125,3635,0.061564,3.4703),(1125,3645,0.061166,3.4695),(1125,3655,0.060769,3.4687),(1125,3665,0.060361,3.468),(1125,3675,0.059896,3.4672),(1125,3685,0.059431,3.4665),(1125,3695,0.058966,3.4658),(1125,3705,0.058487,3.465),(1125,3715,0.05795,3.4643),(1125,3725,0.057413,3.4636),(1125,3735,0.056877,3.463),(1125,3745,0.056322,3.4623),(1125,3755,0.055709,3.4617),(1125,3765,0.055097,3.461),(1125,3775,0.054485,3.4604),(1125,3785,0.05385,3.4598),(1125,3795,0.053159,3.4592),(1125,3805,0.052467,3.4586),(1125,3815,0.051776,3.4581),(1125,3825,0.051059,3.4575),(1125,3835,0.050286,3.457),(1125,3845,0.049513,3.4564),(1125,3855,0.04874,3.4559),(1125,3865,0.047938,3.4554),(1125,3875,0.047082,3.4549),(1125,3885,0.046227,3.4544),(1125,3895,0.045372,3.454),(1125,3905,0.052996,3.4535),(1125,3915,0.073286,3.4531),(1125,3925,0.093576,3.4524),(1125,3935,0.11387,3.4514),(1125,3945,0.13643,3.4504),(1125,3955,0.16188,3.4494),(1125,3965,0.18733,3.4479),(1125,3975,0.21278,3.4456),(1125,3985,0.22784,3.4433),(1125,3995,0.23166,3.441),(1125,4005,0.23547,3.4384),(1125,4015,0.23929,3.4355),(1125,4025,0.24281,3.4326),(1125,4035,0.24631,3.4295),(1125,4045,0.24981,3.4261),(1125,4055,0.25309,3.4227),(1125,4065,0.2563,3.4192),(1125,4075,0.2595,3.4154),(1125,4085,0.26251,3.4116),(1125,4095,0.26537,3.4078),(1125,4105,0.26823,3.404),(1125,4115,0.26084,3.4001),(1125,4125,0.23648,3.3962),(1125,4135,0.21211,3.3933),(1125,4145,0.18676,3.3907),(1125,4155,0.15746,3.3881),(1125,4165,0.12815,3.3862),(1125,4175,0.10036,3.3847),(1125,4185,0.14721,3.3832),(1125,4195,0.19406,3.3803),(1125,4205,0.24091,3.3756),(1125,4215,0.23667,3.371),(1125,4225,0.22281,3.3663),(1125,4235,0.20896,3.3616),(1125,4245,0.19035,3.3569),(1125,4255,0.16934,3.3522),(1125,4265,0.14833,3.3484),(1125,4275,0.12192,3.3446),(1125,4285,0.089787,3.3408),(1125,4295,0.057653,3.3393),(1125,4305,0.050485,3.3382),(1125,4315,0.099691,3.337),(1125,4325,0.1489,3.3318),(1125,4335,0.19322,3.3251),(1125,4345,0.20453,3.3183),(1125,4355,0.21584,3.3121),(1125,4365,0.22715,3.3061),(1125,4375,0.23172,3.3002),(1125,4385,0.23593,3.2947),(1125,4395,0.24014,3.2898),(1125,4405,0.20994,3.2849),(1125,4415,0.16958,3.2806),(1125,4425,0.12923,3.2785),(1125,4435,0.11607,3.2765),(1125,4445,0.12149,3.2745),(1125,4455,0.12692,3.2722),(1125,4465,0.15799,3.2699),(1125,4475,0.22509,3.2675),(1125,4485,0.29219,3.2621),(1125,4495,0.34591,3.256),(1125,4505,0.35667,3.2499),(1125,4515,0.36743,3.2432),(1125,4525,0.37724,3.2361),(1125,4535,0.37197,3.2291),(1125,4545,0.3667,3.222),(1125,4555,0.36143,3.2149),(1125,4565,0.26459,3.2078),(1125,4575,0.1554,3.2025),(1125,4585,0.046213,3.2019),(1125,4595,0.040043,3.2013),(1125,4605,0.077401,3.2003),(1125,4615,0.11476,3.1962),(1125,4625,0.16041,3.1921),(1125,4635,0.21357,3.188),(1125,4645,0.26674,3.1815),(1125,4655,0.31939,3.1748),(1125,4665,0.37109,3.1681),(1125,4675,0.42278,3.161),(1125,4685,0.44987,3.1538),(1125,4695,0.3554,3.1466),(1125,4705,0.26092,3.1425),(1125,4715,0.16645,3.1406),(1125,4725,0.21136,3.1387),(1125,4735,0.25767,3.1348),(1125,4745,0.30397,3.1279),(1125,4755,0.37928,3.121),(1125,4765,0.4613,3.1132),(1125,4775,0.54333,3.1023),(1125,4785,0.59104,3.0914),(1125,4795,0.61892,3.0805),(1125,4805,0.6468,3.0694),(1125,4815,0.63567,3.0584),(1125,4825,0.57791,3.0473),(1125,4835,0.52015,3.0396),(1125,4845,0.44895,3.0324),(1125,4855,0.34273,3.0252),(1125,4865,0.23652,3.0203),(1125,4875,0.15473,3.0165),(1125,4885,0.29521,3.0127),(1125,4895,0.43568,3.0037),(1125,4905,0.57616,2.9898),(1125,4915,0.58106,2.9758),(1125,4925,0.57429,2.9623),(1125,4935,0.56752,2.9497),(1125,4945,0.52089,2.9371),(1125,4955,0.46044,2.9251),(1125,4965,0.39999,2.9171),(1125,4975,0.31163,2.909),(1125,4985,0.20172,2.9009),(1125,4995,0.091802,2.9001),(1125,5005,0.090475,2.8995),(1125,5015,0.26178,2.8988),(1125,5025,0.43308,2.8882),(1125,5035,0.5873,2.875),(1125,5045,0.67646,2.8618),(1125,5055,0.76563,2.846),(1125,5065,0.85315,2.8287),(1125,5075,0.88717,2.8113),(1125,5085,0.92119,2.7941),(1125,5095,0.95521,2.777),(1125,5105,0.84901,2.7599),(1125,5115,0.71836,2.745),(1125,5125,0.5877,2.7363),(1125,5135,0.49189,2.7277),(1125,5145,0.413,2.7192),(1125,5155,0.33411,2.7124),(1125,5165,0.38512,2.7056),(1125,5175,0.56862,2.6988),(1125,5185,0.75212,2.6822),(1125,5195,0.8888,2.6645),(1125,5205,0.92453,2.6469),(1125,5215,0.96027,2.6292),(1125,5225,0.99029,2.6116),(1125,5235,0.98487,2.594),(1125,5245,0.97945,2.5776),(1125,5255,0.97403,2.5623),(1125,5265,0.68024,2.5469),(1125,5275,0.37456,2.5371),(1125,5285,0.068876,2.537),(1125,5295,0.11154,2.5369),(1125,5305,0.25122,2.5343),(1125,5315,0.39089,2.5217),(1125,5325,0.52405,2.5091),(1125,5335,0.65293,2.4964),(1125,5345,0.78182,2.4779),(1125,5355,0.88668,2.4594),(1125,5365,0.95912,2.4409),(1125,5375,1.0316,2.4218),(1125,5385,1.0258,2.4027),(1125,5395,0.78227,2.3835),(1125,5405,0.53874,2.3737),(1125,5415,0.31162,2.3688),(1125,5425,0.30485,2.3639),(1125,5435,0.29807,2.358),(1125,5445,0.2913,2.3509),(1125,5455,0.35327,2.3438),(1125,5465,0.42365,2.335),(1125,5475,0.49402,2.3224),(1125,5485,0.52915,2.3097),(1125,5495,0.55009,2.2969),(1125,5505,0.57102,2.2827),(1125,5515,0.59345,2.2685),(1125,5525,0.61716,2.2543),(1125,5535,0.64087,2.2385),(1125,5545,0.66512,2.2227),(1125,5555,0.69035,2.2068),(1125,5565,0.71559,2.1896),(1125,5575,0.74104,2.172),(1125,5585,0.76749,2.1544),(1125,5595,0.79394,2.1359),(1125,5605,0.8204,2.1168),(1125,5615,0.84787,2.0977),(1125,5625,0.87533,2.0779),(1125,5635,0.9028,2.0572),(1125,5645,0.93098,2.0365),(1125,5655,0.95932,2.0154),(1125,5665,0.98766,1.9934),(1125,5675,1.0164,1.9713),(1125,5685,1.0454,1.9492),(1125,5695,1.0743,1.9259),(1125,5705,1.1034,1.9027),(1125,5715,1.1327,1.8795),(1125,5725,1.1619,1.8555),(1125,5735,1.1912,1.8313),(1125,5745,1.2204,1.8072),(1125,5755,1.2497,1.7826),(1125,5765,1.2789,1.7578),(1125,5775,1.3078,1.7329),(1125,5785,1.3367,1.7078),(1125,5795,1.3656,1.6824),(1125,5805,1.3939,1.657),(1125,5815,1.4221,1.6315),(1125,5825,1.4503,1.6058),(1125,5835,1.4779,1.5801),(1125,5845,1.5052,1.5543),(1125,5855,1.5325,1.5285),(1125,5865,1.5591,1.5026),(1125,5875,1.5853,1.4767),(1125,5885,1.6115,1.4507),(1125,5895,1.6371,1.4247),(1125,5905,1.662,1.3987),(1125,5915,1.6869,1.3726),(1125,5925,1.7114,1.3466),(1125,5935,1.7349,1.3205),(1125,5945,1.7584,1.2946),(1125,5955,1.7819,1.2688),(1125,5965,1.8046,1.243),(1125,5975,1.8272,1.2172),(1125,5985,1.8499,1.1916),(1125,5995,1.4179,1.166),(1125,6005,0.91275,1.1464),(1125,6015,0.40762,1.1431),(1125,6025,0.35528,1.1397),(1125,6035,0.51294,1.1354),(1125,6045,0.6706,1.1216),(1125,6055,0.78982,1.1079),(1125,6065,0.87135,1.0941),(1125,6075,0.95288,1.0759),(1125,6085,1.0094,1.0573),(1125,6095,1.0145,1.0387),(1125,6105,1.0196,1.02),(1125,6115,1.0246,1.0012),(1125,6125,1.0294,0.98241),(1125,6135,1.0342,0.96354),(1125,6145,1.039,0.9446),(1125,6155,1.0436,0.92566),(1125,6165,1.0481,0.90653),(1125,6175,1.0526,0.88708),(1125,6185,1.0569,0.86763),(1125,6195,1.0612,0.84818),(1125,6205,1.0654,0.82869),(1125,6215,1.0695,0.80921),(1125,6225,1.0734,0.78972),(1125,6235,1.0774,0.77001),(1125,6245,1.0812,0.7503),(1125,6255,1.0848,0.73059),(1125,6265,1.0885,0.7107),(1125,6275,1.0921,0.69077),(1125,6285,1.0955,0.67085),(1125,6295,1.0989,0.65095),(1125,6305,1.1023,0.63107),(1125,6315,1.1052,0.61119),(1125,6325,1.1082,0.59109),(1125,6335,1.1111,0.57077),(1125,6345,1.1139,0.55045),(1125,6355,1.1166,0.53009),(1125,6365,1.1192,0.50965),(1125,6375,1.1217,0.48921),(1125,6385,1.1241,0.46877),(1125,6395,1.1265,0.44837),(1125,6405,1.1288,0.42797),(1125,6415,1.1308,0.40756),(1125,6425,1.1329,0.38682),(1125,6435,1.1348,0.36606),(1125,6445,1.1365,0.3453),(1125,6455,1.1382,0.32449),(1125,6465,1.1398,0.30368),(1125,6475,1.1412,0.28287),(1125,6485,1.1426,0.26214),(1125,6495,1.144,0.24146),(1125,6505,1.145,0.22079),(1125,6515,1.1461,0.20005),(1125,6525,1.1471,0.17921),(1125,6535,1.1479,0.15838),(1125,6545,1.1485,0.13752),(1125,6555,1.1492,0.11659),(1125,6565,1.1497,0.095656),(1125,6575,1.1501,0.074724),(1125,6585,1.1505,0.053807),(1125,6595,0.97866,0.03289),(1125,6605,0.61671,0.011973),(1125,6615,0.25477,0.009581),(1125,6625,0.000323,0.00957),(1125,6635,0.000325,0.00956),(1125,6645,0.000327,0.009551),(1125,6655,0.00033,0.009545),(1125,6665,0.000332,0.009538),(1125,6675,0.000334,0.009531),(1125,6685,0.000336,0.009524),(1125,6695,0.000338,0.009517),(1125,6705,0.00034,0.00951),(1125,6715,0.000342,0.009503),(1125,6725,0.000343,0.009496),(1125,6735,0.000345,0.009489),(1125,6745,0.000347,0.009482),(1125,6755,0.000349,0.009475),(1125,6765,0.000351,0.009468),(1125,6775,0.000353,0.009461),(1125,6785,0.000355,0.009454),(1125,6795,0.000356,0.009446),(1125,6805,0.000358,0.009439),(1125,6815,0.00036,0.009432),(1125,6825,0.000362,0.009425),(1125,6835,0.000363,0.009417),(1125,6845,0.000365,0.00941),(1125,6855,0.000367,0.009403),(1125,6865,0.000368,0.009395),(1125,6875,0.00037,0.009388),(1125,6885,0.000371,0.009381),(1125,6895,0.000373,0.009373),(1125,6905,0.000374,0.009366),(1125,6915,0.000376,0.009358),(1125,6925,0.000377,0.009351),(1125,6935,0.000379,0.009343),(1125,6945,0.00038,0.009336),(1125,6955,0.000382,0.009328),(1125,6965,0.000383,0.009321),(1125,6975,0.000385,0.009313),(1125,6985,0.000386,0.009306),(1135,5,5.1e-05,3.6709),(1135,15,0.000152,3.6709),(1135,25,0.000254,3.6709),(1135,35,0.000355,3.6709),(1135,45,0.000457,3.6709),(1135,55,0.000558,3.6709),(1135,65,0.00066,3.6709),(1135,75,0.000761,3.6709),(1135,85,0.000863,3.6709),(1135,95,0.000965,3.6709),(1135,105,0.001067,3.6708),(1135,115,0.001169,3.6708),(1135,125,0.001271,3.6708),(1135,135,0.001373,3.6708),(1135,145,0.001476,3.6708),(1135,155,0.001579,3.6707),(1135,165,0.001681,3.6707),(1135,175,0.001784,3.6707),(1135,185,0.001888,3.6707),(1135,195,0.001991,3.6706),(1135,205,0.002095,3.6706),(1135,215,0.002199,3.6706),(1135,225,0.002303,3.6705),(1135,235,0.002408,3.6705),(1135,245,0.002513,3.6705),(1135,255,0.002617,3.6704),(1135,265,0.002723,3.6704),(1135,275,0.002829,3.6704),(1135,285,0.002935,3.6703),(1135,295,0.00304,3.6703),(1135,305,0.003147,3.6702),(1135,315,0.003255,3.6702),(1135,325,0.003362,3.6701),(1135,335,0.003469,3.6701),(1135,345,0.003577,3.67),(1135,355,0.003686,3.67),(1135,365,0.003795,3.6699),(1135,375,0.003904,3.6698),(1135,385,0.004014,3.6698),(1135,395,0.004125,3.6697),(1135,405,0.004236,3.6697),(1135,415,0.004346,3.6696),(1135,425,0.004459,3.6695),(1135,435,0.004571,3.6695),(1135,445,0.004684,3.6694),(1135,455,0.004796,3.6693),(1135,465,0.004911,3.6693),(1135,475,0.005025,3.6692),(1135,485,0.00514,3.6691),(1135,495,0.005255,3.669),(1135,505,0.005372,3.6689),(1135,515,0.005489,3.6689),(1135,525,0.005606,3.6688),(1135,535,0.005723,3.6687),(1135,545,0.005842,3.6686),(1135,555,0.005961,3.6685),(1135,565,0.006081,3.6684),(1135,575,0.006201,3.6683),(1135,585,0.006323,3.6682),(1135,595,0.006445,3.6681),(1135,605,0.006567,3.668),(1135,615,0.006689,3.6679),(1135,625,0.006814,3.6678),(1135,635,0.006939,3.6677),(1135,645,0.007064,3.6676),(1135,655,0.00719,3.6675),(1135,665,0.007318,3.6674),(1135,675,0.007446,3.6673),(1135,685,0.007574,3.6672),(1135,695,0.007703,3.6671),(1135,705,0.007834,3.667),(1135,715,0.007965,3.6668),(1135,725,0.008096,3.6667),(1135,735,0.008229,3.6666),(1135,745,0.008363,3.6665),(1135,755,0.008498,3.6663),(1135,765,0.008633,3.6662),(1135,775,0.008768,3.6661),(1135,785,0.008907,3.6659),(1135,795,0.009045,3.6658),(1135,805,0.009183,3.6657),(1135,815,0.009323,3.6655),(1135,825,0.009465,3.6654),(1135,835,0.009607,3.6652),(1135,845,0.009749,3.6651),(1135,855,0.009893,3.6649),(1135,865,0.010039,3.6648),(1135,875,0.010185,3.6646),(1135,885,0.010331,3.6645),(1135,895,0.010479,3.6643),(1135,905,0.010629,3.6641),(1135,915,0.010779,3.664),(1135,925,0.01093,3.6638),(1135,935,0.011082,3.6636),(1135,945,0.011236,3.6635),(1135,955,0.011391,3.6633),(1135,965,0.011545,3.6631),(1135,975,0.011702,3.6629),(1135,985,0.011861,3.6628),(1135,995,0.01202,3.6626),(1135,1005,0.012179,3.6624),(1135,1015,0.012341,3.6622),(1135,1025,0.012504,3.662),(1135,1035,0.012668,3.6618),(1135,1045,0.012831,3.6616),(1135,1055,0.012998,3.6614),(1135,1065,0.013166,3.6612),(1135,1075,0.013335,3.661),(1135,1085,0.013503,3.6608),(1135,1095,0.013675,3.6606),(1135,1105,0.013848,3.6604),(1135,1115,0.014022,3.6601),(1135,1125,0.014195,3.6599),(1135,1135,0.014372,3.6597),(1135,1145,0.01455,3.6595),(1135,1155,0.014729,3.6592),(1135,1165,0.014907,3.659),(1135,1175,0.015089,3.6588),(1135,1185,0.015273,3.6585),(1135,1195,0.015457,3.6583),(1135,1205,0.01564,3.6581),(1135,1215,0.015828,3.6578),(1135,1225,0.016017,3.6576),(1135,1235,0.016206,3.6573),(1135,1245,0.016395,3.657),(1135,1255,0.016589,3.6568),(1135,1265,0.016784,3.6565),(1135,1275,0.016978,3.6563),(1135,1285,0.017173,3.656),(1135,1295,0.017372,3.6557),(1135,1305,0.017573,3.6554),(1135,1315,0.017773,3.6551),(1135,1325,0.017973,3.6549),(1135,1335,0.018178,3.6546),(1135,1345,0.018385,3.6543),(1135,1355,0.018591,3.654),(1135,1365,0.018797,3.6537),(1135,1375,0.019008,3.6534),(1135,1385,0.019219,3.6531),(1135,1395,0.019431,3.6528),(1135,1405,0.019643,3.6524),(1135,1415,0.01986,3.6521),(1135,1425,0.020078,3.6518),(1135,1435,0.020296,3.6515),(1135,1445,0.020513,3.6512),(1135,1455,0.020737,3.6508),(1135,1465,0.02096,3.6505),(1135,1475,0.021184,3.6501),(1135,1485,0.021407,3.6498),(1135,1495,0.021637,3.6495),(1135,1505,0.021867,3.6491),(1135,1515,0.022096,3.6487),(1135,1525,0.022326,3.6484),(1135,1535,0.022562,3.648),(1135,1545,0.022797,3.6476),(1135,1555,0.023033,3.6473),(1135,1565,0.023269,3.6469),(1135,1575,0.02351,3.6465),(1135,1585,0.023752,3.6461),(1135,1595,0.023993,3.6457),(1135,1605,0.024235,3.6453),(1135,1615,0.024483,3.6449),(1135,1625,0.02473,3.6445),(1135,1635,0.024978,3.6441),(1135,1645,0.025226,3.6437),(1135,1655,0.02548,3.6433),(1135,1665,0.025733,3.6429),(1135,1675,0.025986,3.6424),(1135,1685,0.026241,3.642),(1135,1695,0.0265,3.6416),(1135,1705,0.026759,3.6411),(1135,1715,0.027019,3.6407),(1135,1725,0.027279,3.6402),(1135,1735,0.027544,3.6398),(1135,1745,0.027809,3.6393),(1135,1755,0.028074,3.6388),(1135,1765,0.028341,3.6383),(1135,1775,0.028611,3.6379),(1135,1785,0.028882,3.6374),(1135,1795,0.029153,3.6369),(1135,1805,0.029425,3.6364),(1135,1815,0.029701,3.6359),(1135,1825,0.029977,3.6354),(1135,1835,0.030253,3.6349),(1135,1845,0.030531,3.6344),(1135,1855,0.030812,3.6339),(1135,1865,0.031094,3.6333),(1135,1875,0.031376,3.6328),(1135,1885,0.031659,3.6323),(1135,1895,0.031946,3.6317),(1135,1905,0.032232,3.6312),(1135,1915,0.032519,3.6306),(1135,1925,0.032808,3.6301),(1135,1935,0.033099,3.6295),(1135,1945,0.033391,3.6289),(1135,1955,0.033682,3.6284),(1135,1965,0.033976,3.6278),(1135,1975,0.034272,3.6272),(1135,1985,0.034568,3.6266),(1135,1995,0.034864,3.626),(1135,2005,0.035162,3.6254),(1135,2015,0.035462,3.6248),(1135,2025,0.035762,3.6242),(1135,2035,0.036062,3.6236),(1135,2045,0.036364,3.6229),(1135,2055,0.036668,3.6223),(1135,2065,0.036973,3.6217),(1135,2075,0.037277,3.621),(1135,2085,0.037583,3.6204),(1135,2095,0.03789,3.6197),(1135,2105,0.038198,3.619),(1135,2115,0.038506,3.6184),(1135,2125,0.038815,3.6177),(1135,2135,0.039126,3.617),(1135,2145,0.039437,3.6163),(1135,2155,0.039747,3.6156),(1135,2165,0.04006,3.6149),(1135,2175,0.040373,3.6142),(1135,2185,0.040687,3.6135),(1135,2195,0.041,3.6128),(1135,2205,0.041315,3.6121),(1135,2215,0.041631,3.6113),(1135,2225,0.041946,3.6106),(1135,2235,0.042262,3.6099),(1135,2245,0.042578,3.6091),(1135,2255,0.042896,3.6084),(1135,2265,0.043213,3.6076),(1135,2275,0.04353,3.6068),(1135,2285,0.043848,3.606),(1135,2295,0.044166,3.6053),(1135,2305,0.044484,3.6045),(1135,2315,0.044802,3.6037),(1135,2325,0.04512,3.6029),(1135,2335,0.045439,3.6021),(1135,2345,0.045757,3.6013),(1135,2355,0.046076,3.6004),(1135,2365,0.046394,3.5996),(1135,2375,0.046712,3.5988),(1135,2385,0.047031,3.5979),(1135,2395,0.047349,3.5971),(1135,2405,0.047666,3.5962),(1135,2415,0.047983,3.5954),(1135,2425,0.048301,3.5945),(1135,2435,0.048618,3.5936),(1135,2445,0.048934,3.5928),(1135,2455,0.049249,3.5919),(1135,2465,0.049565,3.591),(1135,2475,0.04988,3.5901),(1135,2485,0.050193,3.5892),(1135,2495,0.050506,3.5883),(1135,2505,0.050819,3.5874),(1135,2515,0.051132,3.5864),(1135,2525,0.051442,3.5855),(1135,2535,0.051751,3.5846),(1135,2545,0.052061,3.5837),(1135,2555,0.052371,3.5827),(1135,2565,0.052676,3.5818),(1135,2575,0.052982,3.5808),(1135,2585,0.053287,3.5798),(1135,2595,0.053592,3.5789),(1135,2605,0.053893,3.5779),(1135,2615,0.054193,3.5769),(1135,2625,0.054494,3.5759),(1135,2635,0.054793,3.5749),(1135,2645,0.055088,3.574),(1135,2655,0.055382,3.573),(1135,2665,0.055676,3.5719),(1135,2675,0.055969,3.5709),(1135,2685,0.056257,3.5699),(1135,2695,0.056544,3.5689),(1135,2705,0.056831,3.5679),(1135,2715,0.057117,3.5668),(1135,2725,0.057396,3.5658),(1135,2735,0.057675,3.5648),(1135,2745,0.057955,3.5637),(1135,2755,0.058232,3.5627),(1135,2765,0.058502,3.5616),(1135,2775,0.058772,3.5606),(1135,2785,0.059042,3.5595),(1135,2795,0.05931,3.5584),(1135,2805,0.059569,3.5573),(1135,2815,0.059829,3.5563),(1135,2825,0.060089,3.5552),(1135,2835,0.060346,3.5541),(1135,2845,0.060594,3.553),(1135,2855,0.060843,3.5519),(1135,2865,0.061091,3.5508),(1135,2875,0.061335,3.5497),(1135,2885,0.061571,3.5486),(1135,2895,0.061807,3.5475),(1135,2905,0.062042,3.5464),(1135,2915,0.062272,3.5453),(1135,2925,0.062494,3.5442),(1135,2935,0.062716,3.5431),(1135,2945,0.062938,3.542),(1135,2955,0.063153,3.5408),(1135,2965,0.06336,3.5397),(1135,2975,0.063566,3.5386),(1135,2985,0.063773,3.5375),(1135,2995,0.063971,3.5363),(1135,3005,0.064161,3.5352),(1135,3015,0.064351,3.5341),(1135,3025,0.064541,3.5329),(1135,3035,0.064721,3.5318),(1135,3045,0.064892,3.5307),(1135,3055,0.065063,3.5295),(1135,3065,0.065235,3.5284),(1135,3075,0.065395,3.5273),(1135,3085,0.065546,3.5261),(1135,3095,0.065697,3.525),(1135,3105,0.065849,3.5239),(1135,3115,0.065986,3.5227),(1135,3125,0.066116,3.5216),(1135,3135,0.066245,3.5205),(1135,3145,0.066375,3.5193),(1135,3155,0.066489,3.5182),(1135,3165,0.066594,3.5171),(1135,3175,0.0667,3.516),(1135,3185,0.066806,3.5148),(1135,3195,0.066894,3.5137),(1135,3205,0.066974,3.5126),(1135,3215,0.067054,3.5115),(1135,3225,0.067134,3.5104),(1135,3235,0.067193,3.5092),(1135,3245,0.067244,3.5081),(1135,3255,0.067296,3.507),(1135,3265,0.067348,3.5059),(1135,3275,0.067376,3.5048),(1135,3285,0.067397,3.5037),(1135,3295,0.067418,3.5026),(1135,3305,0.067438,3.5016),(1135,3315,0.067432,3.5005),(1135,3325,0.06742,3.4994),(1135,3335,0.067407,3.4983),(1135,3345,0.067395,3.4973),(1135,3355,0.067352,3.4962),(1135,3365,0.067303,3.4952),(1135,3375,0.067254,3.4941),(1135,3385,0.067205,3.4931),(1135,3395,0.067121,3.4921),(1135,3405,0.067033,3.491),(1135,3415,0.066944,3.49),(1135,3425,0.066856,3.489),(1135,3435,0.066728,3.488),(1135,3445,0.066597,3.487),(1135,3455,0.066466,3.486),(1135,3465,0.066334,3.485),(1135,3475,0.066158,3.4841),(1135,3485,0.06598,3.4831),(1135,3495,0.065802,3.4822),(1135,3505,0.065624,3.4812),(1135,3515,0.065395,3.4803),(1135,3525,0.065167,3.4793),(1135,3535,0.064938,3.4784),(1135,3545,0.064707,3.4775),(1135,3555,0.064424,3.4766),(1135,3565,0.064141,3.4757),(1135,3575,0.063858,3.4749),(1135,3585,0.063571,3.474),(1135,3595,0.063229,3.4732),(1135,3605,0.062887,3.4723),(1135,3615,0.062545,3.4715),(1135,3625,0.062195,3.4707),(1135,3635,0.06179,3.4699),(1135,3645,0.061385,3.4691),(1135,3655,0.060981,3.4683),(1135,3665,0.060565,3.4675),(1135,3675,0.060092,3.4667),(1135,3685,0.05962,3.466),(1135,3695,0.059147,3.4653),(1135,3705,0.058661,3.4645),(1135,3715,0.058116,3.4638),(1135,3725,0.057572,3.4631),(1135,3735,0.057028,3.4624),(1135,3745,0.056466,3.4617),(1135,3755,0.055847,3.4611),(1135,3765,0.055228,3.4604),(1135,3775,0.054608,3.4598),(1135,3785,0.053967,3.4592),(1135,3795,0.053269,3.4585),(1135,3805,0.052571,3.4579),(1135,3815,0.051873,3.4573),(1135,3825,0.05115,3.4568),(1135,3835,0.050371,3.4562),(1135,3845,0.049592,3.4556),(1135,3855,0.048813,3.4551),(1135,3865,0.048004,3.4546),(1135,3875,0.047143,3.4541),(1135,3885,0.046282,3.4536),(1135,3895,0.045421,3.4531),(1135,3905,0.053027,3.4526),(1135,3915,0.073282,3.4522),(1135,3925,0.093537,3.4514),(1135,3935,0.11379,3.4504),(1135,3945,0.13638,3.4494),(1135,3955,0.16193,3.4483),(1135,3965,0.18748,3.4467),(1135,3975,0.21303,3.4443),(1135,3985,0.22821,3.4419),(1135,3995,0.23216,3.4395),(1135,4005,0.2361,3.4368),(1135,4015,0.24005,3.4338),(1135,4025,0.2437,3.4308),(1135,4035,0.24733,3.4277),(1135,4045,0.25095,3.4242),(1135,4055,0.25432,3.4207),(1135,4065,0.2576,3.4171),(1135,4075,0.26089,3.4133),(1135,4085,0.26394,3.4094),(1135,4095,0.26681,3.4056),(1135,4105,0.26968,3.4016),(1135,4115,0.26223,3.3977),(1135,4125,0.23769,3.3938),(1135,4135,0.21315,3.3909),(1135,4145,0.18765,3.3883),(1135,4155,0.15827,3.3858),(1135,4165,0.12889,3.3838),(1135,4175,0.10103,3.3824),(1135,4185,0.14841,3.3809),(1135,4195,0.19579,3.378),(1135,4205,0.24317,3.3734),(1135,4215,0.23911,3.3687),(1135,4225,0.22537,3.364),(1135,4235,0.21164,3.3592),(1135,4245,0.19302,3.3544),(1135,4255,0.17192,3.3497),(1135,4265,0.15082,3.3459),(1135,4275,0.12412,3.3421),(1135,4285,0.091473,3.3383),(1135,4295,0.058823,3.3368),(1135,4305,0.051695,3.3356),(1135,4315,0.1022,3.3345),(1135,4325,0.1527,3.3294),(1135,4335,0.19811,3.3227),(1135,4345,0.20905,3.3161),(1135,4355,0.22,3.3098),(1135,4365,0.23094,3.3039),(1135,4375,0.23514,3.2979),(1135,4385,0.23898,3.2924),(1135,4395,0.24282,3.2874),(1135,4405,0.21213,3.2824),(1135,4415,0.17125,3.2779),(1135,4425,0.13038,3.2758),(1135,4435,0.11706,3.2737),(1135,4445,0.12258,3.2715),(1135,4455,0.1281,3.2692),(1135,4465,0.15947,3.2668),(1135,4475,0.22716,3.2645),(1135,4485,0.29484,3.259),(1135,4495,0.34903,3.2528),(1135,4505,0.35991,3.2466),(1135,4515,0.37078,3.2398),(1135,4525,0.3807,3.2327),(1135,4535,0.37544,3.2255),(1135,4545,0.37017,3.2183),(1135,4555,0.36491,3.211),(1135,4565,0.26721,3.2037),(1135,4575,0.15704,3.1983),(1135,4585,0.046879,3.1976),(1135,4595,0.0409,3.197),(1135,4605,0.078942,3.1959),(1135,4615,0.11698,3.1917),(1135,4625,0.16314,3.1875),(1135,4635,0.21665,3.1833),(1135,4645,0.27016,3.1767),(1135,4655,0.32295,3.17),(1135,4665,0.37439,3.1633),(1135,4675,0.42583,3.1563),(1135,4685,0.45258,3.1491),(1135,4695,0.35732,3.142),(1135,4705,0.26207,3.1379),(1135,4715,0.16682,3.1361),(1135,4725,0.21279,3.1343),(1135,4735,0.26017,3.1305),(1135,4745,0.30756,3.1236),(1135,4755,0.38346,3.1168),(1135,4765,0.46596,3.109),(1135,4775,0.54847,3.0982),(1135,4785,0.59624,3.0873),(1135,4795,0.62392,3.0764),(1135,4805,0.6516,3.0654),(1135,4815,0.64007,3.0544),(1135,4825,0.58166,3.0434),(1135,4835,0.52325,3.0357),(1135,4845,0.45156,3.0285),(1135,4855,0.34523,3.0213),(1135,4865,0.23891,3.0164),(1135,4875,0.15719,3.0126),(1135,4885,0.29936,3.0087),(1135,4895,0.44154,2.9997),(1135,4905,0.58371,2.9858),(1135,4915,0.58843,2.9719),(1135,4925,0.58133,2.9584),(1135,4935,0.57423,2.9457),(1135,4945,0.52691,2.9331),(1135,4955,0.46565,2.9211),(1135,4965,0.4044,2.913),(1135,4975,0.31502,2.9048),(1135,4985,0.20394,2.8967),(1135,4995,0.092854,2.8959),(1135,5005,0.091647,2.8953),(1135,5015,0.26512,2.8946),(1135,5025,0.43859,2.884),(1135,5035,0.59464,2.8709),(1135,5045,0.68426,2.8578),(1135,5055,0.77388,2.8421),(1135,5065,0.86184,2.8249),(1135,5075,0.89553,2.8076),(1135,5085,0.92922,2.7905),(1135,5095,0.96291,2.7736),(1135,5105,0.85554,2.7566),(1135,5115,0.72356,2.7419),(1135,5125,0.59157,2.7333),(1135,5135,0.49537,2.7247),(1135,5145,0.41653,2.7162),(1135,5155,0.33769,2.7094),(1135,5165,0.38949,2.7026),(1135,5175,0.57454,2.6959),(1135,5185,0.75959,2.6793),(1135,5195,0.89725,2.6616),(1135,5205,0.93271,2.644),(1135,5215,0.96816,2.6265),(1135,5225,0.99788,2.6089),(1135,5235,0.99191,2.5913),(1135,5245,0.98595,2.575),(1135,5255,0.97998,2.5597),(1135,5265,0.68441,2.5444),(1135,5275,0.37689,2.5347),(1135,5285,0.069371,2.5346),(1135,5295,0.11341,2.5344),(1135,5305,0.25536,2.5319),(1135,5315,0.3973,2.5192),(1135,5325,0.53177,2.5066),(1135,5335,0.66133,2.4939),(1135,5345,0.79089,2.4755),(1135,5355,0.89599,2.457),(1135,5365,0.9681,2.4386),(1135,5375,1.0402,2.4197),(1135,5385,1.0337,2.4006),(1135,5395,0.78812,2.3816),(1135,5405,0.54254,2.3719),(1135,5415,0.31355,2.3671),(1135,5425,0.30737,2.3622),(1135,5435,0.30118,2.3562),(1135,5445,0.295,2.349),(1135,5455,0.35784,2.3417),(1135,5465,0.42913,2.3328),(1135,5475,0.50041,2.3199),(1135,5485,0.53599,2.3071),(1135,5495,0.55719,2.294),(1135,5505,0.5784,2.2796),(1135,5515,0.60109,2.2652),(1135,5525,0.62509,2.2509),(1135,5535,0.64908,2.2349),(1135,5545,0.67362,2.2188),(1135,5555,0.69913,2.2028),(1135,5565,0.72464,2.1854),(1135,5575,0.75036,2.1677),(1135,5585,0.77707,2.15),(1135,5595,0.80378,2.1313),(1135,5605,0.83049,2.1121),(1135,5615,0.85818,2.0928),(1135,5625,0.88588,2.0729),(1135,5635,0.91357,2.0521),(1135,5645,0.94194,2.0313),(1135,5655,0.97046,2.0102),(1135,5665,0.99897,1.9881),(1135,5675,1.0279,1.9659),(1135,5685,1.0569,1.9438),(1135,5695,1.086,1.9205),(1135,5705,1.1152,1.8973),(1135,5715,1.1445,1.874),(1135,5725,1.1738,1.8501),(1135,5735,1.2031,1.826),(1135,5745,1.2324,1.8019),(1135,5755,1.2617,1.7773),(1135,5765,1.2909,1.7526),(1135,5775,1.3197,1.7278),(1135,5785,1.3486,1.7028),(1135,5795,1.3774,1.6775),(1135,5805,1.4056,1.6522),(1135,5815,1.4337,1.6268),(1135,5825,1.4618,1.6013),(1135,5835,1.4892,1.5757),(1135,5845,1.5164,1.5502),(1135,5855,1.5435,1.5245),(1135,5865,1.57,1.4988),(1135,5875,1.596,1.4731),(1135,5885,1.622,1.4473),(1135,5895,1.6475,1.4215),(1135,5905,1.6721,1.3957),(1135,5915,1.6968,1.3699),(1135,5925,1.7212,1.3441),(1135,5935,1.7445,1.3183),(1135,5945,1.7678,1.2926),(1135,5955,1.791,1.267),(1135,5965,1.8135,1.2415),(1135,5975,1.8359,1.216),(1135,5985,1.8584,1.1906),(1135,5995,1.4244,1.1653),(1135,6005,0.91689,1.1459),(1135,6015,0.40941,1.1426),(1135,6025,0.35753,1.1393),(1135,6035,0.51696,1.135),(1135,6045,0.67638,1.1212),(1135,6055,0.79684,1.1074),(1135,6065,0.8791,1.0937),(1135,6075,0.96135,1.0755),(1135,6085,1.0184,1.0569),(1135,6095,1.0235,1.0383),(1135,6105,1.0286,1.0195),(1135,6115,1.0337,1.0007),(1135,6125,1.0386,0.98195),(1135,6135,1.0434,0.96307),(1135,6145,1.0483,0.94413),(1135,6155,1.0528,0.92519),(1135,6165,1.0574,0.90605),(1135,6175,1.062,0.88661),(1135,6185,1.0663,0.86716),(1135,6195,1.0706,0.84771),(1135,6205,1.0748,0.82823),(1135,6215,1.0789,0.80876),(1135,6225,1.0829,0.78927),(1135,6235,1.0869,0.76956),(1135,6245,1.0907,0.74985),(1135,6255,1.0944,0.73014),(1135,6265,1.0981,0.71025),(1135,6275,1.1017,0.69033),(1135,6285,1.1052,0.67041),(1135,6295,1.1086,0.65053),(1135,6305,1.1121,0.63068),(1135,6315,1.115,0.61084),(1135,6325,1.118,0.59075),(1135,6335,1.1209,0.57042),(1135,6345,1.1237,0.55008),(1135,6355,1.1264,0.52972),(1135,6365,1.1291,0.50931),(1135,6375,1.1316,0.48889),(1135,6385,1.1341,0.46847),(1135,6395,1.1365,0.44807),(1135,6405,1.1387,0.42768),(1135,6415,1.1408,0.40728),(1135,6425,1.1429,0.38654),(1135,6435,1.1448,0.36578),(1135,6445,1.1465,0.34502),(1135,6455,1.1482,0.32424),(1135,6465,1.1499,0.30345),(1135,6475,1.1513,0.28265),(1135,6485,1.1527,0.26194),(1135,6495,1.1541,0.24127),(1135,6505,1.1551,0.22061),(1135,6515,1.1562,0.19987),(1135,6525,1.1572,0.17905),(1135,6535,1.158,0.15822),(1135,6545,1.1587,0.13737),(1135,6555,1.1594,0.11645),(1135,6565,1.1599,0.095525),(1135,6575,1.1603,0.074603),(1135,6585,1.1607,0.053713),(1135,6595,0.98733,0.032824),(1135,6605,0.62217,0.011935),(1135,6615,0.25702,0.009557),(1135,6625,0.000327,0.009558),(1135,6635,0.000329,0.009558),(1135,6645,0.000331,0.009554),(1135,6655,0.000333,0.009547),(1135,6665,0.000335,0.00954),(1135,6675,0.000337,0.009533),(1135,6685,0.000339,0.009526),(1135,6695,0.000341,0.009519),(1135,6705,0.000343,0.009512),(1135,6715,0.000345,0.009505),(1135,6725,0.000347,0.009498),(1135,6735,0.000349,0.009491),(1135,6745,0.000351,0.009484),(1135,6755,0.000353,0.009477),(1135,6765,0.000355,0.00947),(1135,6775,0.000357,0.009463),(1135,6785,0.000358,0.009455),(1135,6795,0.00036,0.009448),(1135,6805,0.000362,0.009441),(1135,6815,0.000364,0.009434),(1135,6825,0.000365,0.009426),(1135,6835,0.000367,0.009419),(1135,6845,0.000369,0.009412),(1135,6855,0.00037,0.009404),(1135,6865,0.000372,0.009397),(1135,6875,0.000374,0.00939),(1135,6885,0.000375,0.009382),(1135,6895,0.000377,0.009375),(1135,6905,0.000378,0.009367),(1135,6915,0.00038,0.00936),(1135,6925,0.000381,0.009352),(1135,6935,0.000383,0.009345),(1135,6945,0.000384,0.009337),(1135,6955,0.000386,0.00933),(1135,6965,0.000387,0.009322),(1135,6975,0.000389,0.009315),(1135,6985,0.00039,0.009307),(1145,5,5.1e-05,3.671),(1145,15,0.000153,3.671),(1145,25,0.000255,3.671),(1145,35,0.000357,3.671),(1145,45,0.000459,3.671),(1145,55,0.000561,3.671),(1145,65,0.000663,3.671),(1145,75,0.000765,3.671),(1145,85,0.000868,3.671),(1145,95,0.00097,3.671),(1145,105,0.001072,3.6709),(1145,115,0.001175,3.6709),(1145,125,0.001278,3.6709),(1145,135,0.001381,3.6709),(1145,145,0.001484,3.6709),(1145,155,0.001587,3.6709),(1145,165,0.001691,3.6708),(1145,175,0.001794,3.6708),(1145,185,0.001898,3.6708),(1145,195,0.002002,3.6707),(1145,205,0.002106,3.6707),(1145,215,0.002211,3.6707),(1145,225,0.002316,3.6706),(1145,235,0.002421,3.6706),(1145,245,0.002526,3.6706),(1145,255,0.002632,3.6705),(1145,265,0.002738,3.6705),(1145,275,0.002844,3.6705),(1145,285,0.002951,3.6704),(1145,295,0.003057,3.6704),(1145,305,0.003165,3.6703),(1145,315,0.003273,3.6703),(1145,325,0.00338,3.6702),(1145,335,0.003488,3.6702),(1145,345,0.003597,3.6701),(1145,355,0.003707,3.6701),(1145,365,0.003816,3.67),(1145,375,0.003926,3.67),(1145,385,0.004037,3.6699),(1145,395,0.004148,3.6698),(1145,405,0.004259,3.6698),(1145,415,0.00437,3.6697),(1145,425,0.004483,3.6696),(1145,435,0.004597,3.6696),(1145,445,0.00471,3.6695),(1145,455,0.004823,3.6694),(1145,465,0.004938,3.6694),(1145,475,0.005054,3.6693),(1145,485,0.005169,3.6692),(1145,495,0.005284,3.6691),(1145,505,0.005402,3.6691),(1145,515,0.00552,3.669),(1145,525,0.005637,3.6689),(1145,535,0.005755,3.6688),(1145,545,0.005875,3.6687),(1145,555,0.005995,3.6686),(1145,565,0.006115,3.6685),(1145,575,0.006236,3.6685),(1145,585,0.006359,3.6684),(1145,595,0.006482,3.6683),(1145,605,0.006604,3.6682),(1145,615,0.006728,3.6681),(1145,625,0.006853,3.667969),(1145,635,0.006979,3.6679),(1145,645,0.007105,3.6678),(1145,655,0.007231,3.6677),(1145,665,0.00736,3.6675),(1145,675,0.007489,3.6674),(1145,685,0.007618,3.6673),(1145,695,0.007747,3.6672),(1145,705,0.007879,3.6671),(1145,715,0.008011,3.667),(1145,725,0.008144,3.6668),(1145,735,0.008276,3.6667),(1145,745,0.008412,3.6666),(1145,755,0.008548,3.6665),(1145,765,0.008683,3.6663),(1145,775,0.00882,3.6662),(1145,785,0.008959,3.6661),(1145,795,0.009098,3.6659),(1145,805,0.009237,3.6658),(1145,815,0.009378,3.6657),(1145,825,0.009521,3.6655),(1145,835,0.009664,3.6654),(1145,845,0.009807,3.6652),(1145,855,0.009952,3.6651),(1145,865,0.010099,3.6649),(1145,875,0.010246,3.6648),(1145,885,0.010393,3.6646),(1145,895,0.010542,3.6645),(1145,905,0.010693,3.6643),(1145,915,0.010844,3.6641),(1145,925,0.010996,3.664),(1145,935,0.011149,3.6638),(1145,945,0.011304,3.6636),(1145,955,0.01146,3.6635),(1145,965,0.011616,3.6633),(1145,975,0.011773,3.6631),(1145,985,0.011934,3.6629),(1145,995,0.012094,3.6627),(1145,1005,0.012254,3.6625),(1145,1015,0.012416,3.6624),(1145,1025,0.012581,3.6622),(1145,1035,0.012746,3.662),(1145,1045,0.012911,3.6618),(1145,1055,0.013078,3.6616),(1145,1065,0.013248,3.6614),(1145,1075,0.013418,3.6612),(1145,1085,0.013588,3.661),(1145,1095,0.01376,3.6608),(1145,1105,0.013935,3.6605),(1145,1115,0.01411,3.6603),(1145,1125,0.014285,3.6601),(1145,1135,0.014463,3.6599),(1145,1145,0.014642,3.6597),(1145,1155,0.014822,3.6594),(1145,1165,0.015002,3.6592),(1145,1175,0.015186,3.659),(1145,1185,0.015371,3.6587),(1145,1195,0.015556,3.6585),(1145,1205,0.015741,3.6582),(1145,1215,0.01593,3.658),(1145,1225,0.016121,3.6577),(1145,1235,0.016311,3.6575),(1145,1245,0.016502,3.6572),(1145,1255,0.016697,3.657),(1145,1265,0.016893,3.6567),(1145,1275,0.017089,3.6564),(1145,1285,0.017286,3.6562),(1145,1295,0.017487,3.6559),(1145,1305,0.017689,3.6556),(1145,1315,0.017891,3.6553),(1145,1325,0.018093,3.6551),(1145,1335,0.018299,3.6548),(1145,1345,0.018507,3.6545),(1145,1355,0.018715,3.6542),(1145,1365,0.018923,3.6539),(1145,1375,0.019135,3.6536),(1145,1385,0.019349,3.6533),(1145,1395,0.019563,3.653),(1145,1405,0.019776,3.6527),(1145,1415,0.019995,3.6523),(1145,1425,0.020215,3.652),(1145,1435,0.020434,3.6517),(1145,1445,0.020654,3.6514),(1145,1455,0.020879,3.651),(1145,1465,0.021104,3.6507),(1145,1475,0.02133,3.6504),(1145,1485,0.021556,3.65),(1145,1495,0.021787,3.6497),(1145,1505,0.022019,3.6493),(1145,1515,0.02225,3.649),(1145,1525,0.022482,3.6486),(1145,1535,0.02272,3.6482),(1145,1545,0.022957,3.6479),(1145,1555,0.023195,3.6475),(1145,1565,0.023433,3.6471),(1145,1575,0.023677,3.6467),(1145,1585,0.023921,3.6464),(1145,1595,0.024164,3.646),(1145,1605,0.024409,3.6456),(1145,1615,0.024658,3.6452),(1145,1625,0.024908,3.6448),(1145,1635,0.025158,3.6444),(1145,1645,0.025409,3.6439),(1145,1655,0.025664,3.6435),(1145,1665,0.02592,3.6431),(1145,1675,0.026176,3.6427),(1145,1685,0.026433,3.6422),(1145,1695,0.026694,3.6418),(1145,1705,0.026956,3.6414),(1145,1715,0.027218,3.6409),(1145,1725,0.027481,3.6405),(1145,1735,0.027748,3.64),(1145,1745,0.028016,3.6396),(1145,1755,0.028283,3.6391),(1145,1765,0.028552,3.6386),(1145,1775,0.028826,3.6381),(1145,1785,0.029099,3.6377),(1145,1795,0.029372,3.6372),(1145,1805,0.029647,3.6367),(1145,1815,0.029926,3.6362),(1145,1825,0.030204,3.6357),(1145,1835,0.030483,3.6352),(1145,1845,0.030764,3.6347),(1145,1855,0.031048,3.6341),(1145,1865,0.031332,3.6336),(1145,1875,0.031617,3.6331),(1145,1885,0.031903,3.6326),(1145,1895,0.032192,3.632),(1145,1905,0.032482,3.6315),(1145,1915,0.032771,3.6309),(1145,1925,0.033063,3.6304),(1145,1935,0.033357,3.6298),(1145,1945,0.033652,3.6292),(1145,1955,0.033946,3.6287),(1145,1965,0.034243,3.6281),(1145,1975,0.034542,3.6275),(1145,1985,0.034841,3.6269),(1145,1995,0.03514,3.6263),(1145,2005,0.035441,3.6257),(1145,2015,0.035744,3.6251),(1145,2025,0.036048,3.6245),(1145,2035,0.036351,3.6239),(1145,2045,0.036656,3.6232),(1145,2055,0.036963,3.6226),(1145,2065,0.037271,3.622),(1145,2075,0.037578,3.6213),(1145,2085,0.037887,3.6207),(1145,2095,0.038198,3.62),(1145,2105,0.038509,3.6194),(1145,2115,0.03882,3.6187),(1145,2125,0.039132,3.618),(1145,2135,0.039446,3.6173),(1145,2145,0.03976,3.6166),(1145,2155,0.040074,3.6159),(1145,2165,0.04039,3.6152),(1145,2175,0.040707,3.6145),(1145,2185,0.041024,3.6138),(1145,2195,0.04134,3.6131),(1145,2205,0.041659,3.6124),(1145,2215,0.041977,3.6117),(1145,2225,0.042296,3.6109),(1145,2235,0.042615,3.6102),(1145,2245,0.042935,3.6094),(1145,2255,0.043256,3.6087),(1145,2265,0.043576,3.6079),(1145,2275,0.043897,3.6071),(1145,2285,0.044218,3.6064),(1145,2295,0.044539,3.6056),(1145,2305,0.044861,3.6048),(1145,2315,0.045182,3.604),(1145,2325,0.045504,3.6032),(1145,2335,0.045826,3.6024),(1145,2345,0.046147,3.6016),(1145,2355,0.046469,3.6007),(1145,2365,0.046791,3.5999),(1145,2375,0.047112,3.5991),(1145,2385,0.047434,3.5982),(1145,2395,0.047756,3.5974),(1145,2405,0.048076,3.5965),(1145,2415,0.048397,3.5957),(1145,2425,0.048718,3.5948),(1145,2435,0.049038,3.594),(1145,2445,0.049357,3.5931),(1145,2455,0.049676,3.5922),(1145,2465,0.049995,3.5913),(1145,2475,0.050313,3.5904),(1145,2485,0.050629,3.5895),(1145,2495,0.050946,3.5886),(1145,2505,0.051262,3.5877),(1145,2515,0.051578,3.5868),(1145,2525,0.051891,3.5858),(1145,2535,0.052203,3.5849),(1145,2545,0.052516,3.584),(1145,2555,0.052829,3.583),(1145,2565,0.053137,3.5821),(1145,2575,0.053446,3.5811),(1145,2585,0.053754,3.5801),(1145,2595,0.054062,3.5792),(1145,2605,0.054365,3.5782),(1145,2615,0.054669,3.5772),(1145,2625,0.054972,3.5762),(1145,2635,0.055274,3.5752),(1145,2645,0.055571,3.5743),(1145,2655,0.055868,3.5733),(1145,2665,0.056165,3.5722),(1145,2675,0.056461,3.5712),(1145,2685,0.056751,3.5702),(1145,2695,0.057041,3.5692),(1145,2705,0.05733,3.5682),(1145,2715,0.057618,3.5671),(1145,2725,0.0579,3.5661),(1145,2735,0.058181,3.565),(1145,2745,0.058463,3.564),(1145,2755,0.058742,3.5629),(1145,2765,0.059014,3.5619),(1145,2775,0.059286,3.5608),(1145,2785,0.059559,3.5598),(1145,2795,0.059828,3.5587),(1145,2805,0.060089,3.5576),(1145,2815,0.060351,3.5565),(1145,2825,0.060613,3.5554),(1145,2835,0.06087,3.5544),(1145,2845,0.06112,3.5533),(1145,2855,0.06137,3.5522),(1145,2865,0.06162,3.5511),(1145,2875,0.061865,3.55),(1145,2885,0.062102,3.5489),(1145,2895,0.062339,3.5478),(1145,2905,0.062576,3.5466),(1145,2915,0.062807,3.5455),(1145,2925,0.063029,3.5444),(1145,2935,0.063252,3.5433),(1145,2945,0.063474,3.5422),(1145,2955,0.06369,3.5411),(1145,2965,0.063897,3.5399),(1145,2975,0.064104,3.5388),(1145,2985,0.06431,3.5377),(1145,2995,0.064509,3.5365),(1145,3005,0.064698,3.5354),(1145,3015,0.064888,3.5343),(1145,3025,0.065078,3.5331),(1145,3035,0.065257,3.532),(1145,3045,0.065428,3.5309),(1145,3055,0.065599,3.5297),(1145,3065,0.065769,3.5286),(1145,3075,0.065928,3.5274),(1145,3085,0.066079,3.5263),(1145,3095,0.066229,3.5252),(1145,3105,0.066379,3.524),(1145,3115,0.066515,3.5229),(1145,3125,0.066643,3.5217),(1145,3135,0.066771,3.5206),(1145,3145,0.066899,3.5195),(1145,3155,0.067011,3.5183),(1145,3165,0.067114,3.5172),(1145,3175,0.067218,3.5161),(1145,3185,0.067321,3.5149),(1145,3195,0.067407,3.5138),(1145,3205,0.067484,3.5127),(1145,3215,0.067561,3.5115),(1145,3225,0.067638,3.5104),(1145,3235,0.067694,3.5093),(1145,3245,0.067742,3.5082),(1145,3255,0.067791,3.5071),(1145,3265,0.067839,3.506),(1145,3275,0.067863,3.5049),(1145,3285,0.06788,3.5038),(1145,3295,0.067897,3.5027),(1145,3305,0.067915,3.5016),(1145,3315,0.067904,3.5005),(1145,3325,0.067887,3.4994),(1145,3335,0.06787,3.4983),(1145,3345,0.067854,3.4973),(1145,3355,0.067805,3.4962),(1145,3365,0.067752,3.4951),(1145,3375,0.067698,3.4941),(1145,3385,0.067644,3.493),(1145,3395,0.067555,3.492),(1145,3405,0.067461,3.4909),(1145,3415,0.067367,3.4899),(1145,3425,0.067274,3.4889),(1145,3435,0.06714,3.4879),(1145,3445,0.067003,3.4869),(1145,3455,0.066866,3.4859),(1145,3465,0.066729,3.4849),(1145,3475,0.066546,3.4839),(1145,3485,0.066362,3.4829),(1145,3495,0.066178,3.482),(1145,3505,0.065993,3.481),(1145,3515,0.065758,3.4801),(1145,3525,0.065523,3.4791),(1145,3535,0.065288,3.4782),(1145,3545,0.065051,3.4773),(1145,3555,0.064761,3.4764),(1145,3565,0.064472,3.4755),(1145,3575,0.064182,3.4746),(1145,3585,0.063887,3.4737),(1145,3595,0.063539,3.4728),(1145,3605,0.06319,3.472),(1145,3615,0.062841,3.4711),(1145,3625,0.062485,3.4703),(1145,3635,0.062073,3.4695),(1145,3645,0.061661,3.4686),(1145,3655,0.06125,3.4679),(1145,3665,0.060827,3.4671),(1145,3675,0.060348,3.4663),(1145,3685,0.059869,3.4655),(1145,3695,0.05939,3.4648),(1145,3705,0.058896,3.464),(1145,3715,0.058346,3.4633),(1145,3725,0.057795,3.4625),(1145,3735,0.057245,3.4619),(1145,3745,0.056676,3.4612),(1145,3755,0.056051,3.4605),(1145,3765,0.055425,3.4598),(1145,3775,0.0548,3.4591),(1145,3785,0.054152,3.4585),(1145,3795,0.053448,3.4578),(1145,3805,0.052744,3.4572),(1145,3815,0.052041,3.4566),(1145,3825,0.051311,3.456),(1145,3835,0.050526,3.4554),(1145,3845,0.049741,3.4549),(1145,3855,0.048956,3.4543),(1145,3865,0.048141,3.4538),(1145,3875,0.047274,3.4532),(1145,3885,0.046407,3.4527),(1145,3895,0.04554,3.4522),(1145,3905,0.053139,3.4517),(1145,3915,0.073387,3.4512),(1145,3925,0.093635,3.4505),(1145,3935,0.11388,3.4494),(1145,3945,0.13653,3.4483),(1145,3955,0.16221,3.4472),(1145,3965,0.1879,3.4455),(1145,3975,0.21358,3.443),(1145,3985,0.22889,3.4405),(1145,3995,0.23297,3.438),(1145,4005,0.23706,3.4353),(1145,4015,0.24114,3.4322),(1145,4025,0.2449,3.4291),(1145,4035,0.24864,3.4258),(1145,4045,0.25237,3.4222),(1145,4055,0.25582,3.4186),(1145,4065,0.25917,3.415),(1145,4075,0.26252,3.4111),(1145,4085,0.26558,3.4072),(1145,4095,0.26843,3.4033),(1145,4105,0.27128,3.3993),(1145,4115,0.26373,3.3954),(1145,4125,0.23896,3.3914),(1145,4135,0.21419,3.3885),(1145,4145,0.18848,3.3859),(1145,4155,0.15899,3.3834),(1145,4165,0.1295,3.3815),(1145,4175,0.10154,3.3801),(1145,4185,0.14952,3.3786),(1145,4195,0.1975,3.3758),(1145,4205,0.24547,3.3711),(1145,4215,0.24163,3.3664),(1145,4225,0.22804,3.3616),(1145,4235,0.21444,3.3568),(1145,4245,0.1958,3.352),(1145,4255,0.17459,3.3473),(1145,4265,0.15337,3.3434),(1145,4275,0.12636,3.3396),(1145,4285,0.093186,3.3357),(1145,4295,0.060013,3.3343),(1145,4305,0.052885,3.3331),(1145,4315,0.10457,3.3319),(1145,4325,0.15625,3.3269),(1145,4335,0.20266,3.3203),(1145,4345,0.21334,3.3138),(1145,4355,0.22402,3.3075),(1145,4365,0.2347,3.3016),(1145,4375,0.23863,3.2957),(1145,4385,0.24222,3.2901),(1145,4395,0.2458,3.285),(1145,4405,0.21465,3.2799),(1145,4415,0.17327,3.2753),(1145,4425,0.13188,3.2731),(1145,4435,0.11837,3.2708),(1145,4445,0.1239,3.2685),(1145,4455,0.12944,3.2662),(1145,4465,0.16108,3.2638),(1145,4475,0.22938,3.2614),(1145,4485,0.29768,3.2558),(1145,4495,0.35237,3.2496),(1145,4505,0.3634,3.2433),(1145,4515,0.37443,3.2364),(1145,4525,0.38449,3.2292),(1145,4535,0.3793,3.2219),(1145,4545,0.37412,3.2146),(1145,4555,0.36893,3.2071),(1145,4565,0.27028,3.1996),(1145,4575,0.15902,3.1941),(1145,4585,0.047773,3.1933),(1145,4595,0.041974,3.1926),(1145,4605,0.080729,3.1915),(1145,4615,0.11948,3.1872),(1145,4625,0.16612,3.1829),(1145,4635,0.21989,3.1786),(1145,4645,0.27367,3.172),(1145,4655,0.32651,3.1653),(1145,4665,0.37762,3.1585),(1145,4675,0.42873,3.1515),(1145,4685,0.45507,3.1445),(1145,4695,0.35903,3.1374),(1145,4705,0.263,3.1334),(1145,4715,0.16696,3.1317),(1145,4725,0.21401,3.1299),(1145,4735,0.26249,3.1262),(1145,4745,0.31097,3.1193),(1145,4755,0.38746,3.1125),(1145,4765,0.47043,3.1048),(1145,4775,0.55341,3.094),(1145,4785,0.60124,3.0832),(1145,4795,0.62876,3.0724),(1145,4805,0.65628,3.0614),(1145,4815,0.64439,3.0504),(1145,4825,0.58538,3.0395),(1145,4835,0.52638,3.0318),(1145,4845,0.45422,3.0245),(1145,4855,0.34776,3.0173),(1145,4865,0.2413,3.0124),(1145,4875,0.15962,3.0086),(1145,4885,0.30349,3.0048),(1145,4895,0.44735,2.9958),(1145,4905,0.59122,2.9818),(1145,4915,0.59579,2.9679),(1145,4925,0.58838,2.9544),(1145,4935,0.58097,2.9417),(1145,4945,0.53299,2.929),(1145,4955,0.47095,2.917),(1145,4965,0.40891,2.9089),(1145,4975,0.31852,2.9007),(1145,4985,0.20624,2.8925),(1145,4995,0.093957,2.8917),(1145,5005,0.09282,2.8911),(1145,5015,0.26838,2.8904),(1145,5025,0.44394,2.8799),(1145,5035,0.60172,2.8668),(1145,5045,0.69176,2.8537),(1145,5055,0.7818,2.8382),(1145,5065,0.87016,2.8211),(1145,5075,0.90351,2.804),(1145,5085,0.93687,2.787),(1145,5095,0.97023,2.7702),(1145,5105,0.86173,2.7533),(1145,5115,0.72848,2.7387),(1145,5125,0.59524,2.7302),(1145,5135,0.4987,2.7216),(1145,5145,0.41996,2.7133),(1145,5155,0.34123,2.7065),(1145,5165,0.39384,2.6997),(1145,5175,0.58042,2.6929),(1145,5185,0.76699,2.6763),(1145,5195,0.90559,2.6588),(1145,5205,0.94076,2.6412),(1145,5215,0.97593,2.6237),(1145,5225,1.0053,2.6062),(1145,5235,0.9988,2.5887),(1145,5245,0.99228,2.5724),(1145,5255,0.98576,2.5572),(1145,5265,0.68846,2.542),(1145,5275,0.37916,2.5323),(1145,5285,0.069864,2.5322),(1145,5295,0.1153,2.532),(1145,5305,0.25952,2.5295),(1145,5315,0.40374,2.5168),(1145,5325,0.53946,2.5041),(1145,5335,0.66961,2.4914),(1145,5345,0.79976,2.473),(1145,5355,0.90504,2.4547),(1145,5365,0.97677,2.4363),(1145,5375,1.0485,2.4175),(1145,5385,1.0412,2.3986),(1145,5395,0.79368,2.3797),(1145,5405,0.54615,2.3701),(1145,5415,0.3154,2.3653),(1145,5425,0.30996,2.3605),(1145,5435,0.30452,2.3544),(1145,5445,0.29908,2.347),(1145,5455,0.36287,2.3397),(1145,5465,0.43513,2.3306),(1145,5475,0.50738,2.3175),(1145,5485,0.54343,2.3044),(1145,5495,0.56489,2.2912),(1145,5505,0.58635,2.2766),(1145,5515,0.60931,2.262),(1145,5525,0.63357,2.2474),(1145,5535,0.65783,2.2312),(1145,5545,0.68263,2.215),(1145,5555,0.70841,2.1987),(1145,5565,0.73418,2.1812),(1145,5575,0.76016,2.1634),(1145,5585,0.7871,2.1455),(1145,5595,0.81403,2.1267),(1145,5605,0.84097,2.1073),(1145,5615,0.86884,2.088),(1145,5625,0.89672,2.068),(1145,5635,0.92459,2.0471),(1145,5645,0.95311,2.0262),(1145,5655,0.98177,2.005),(1145,5665,1.0104,1.9828),(1145,5675,1.0394,1.9606),(1145,5685,1.0686,1.9384),(1145,5695,1.0977,1.9151),(1145,5705,1.127,1.8919),(1145,5715,1.1563,1.8686),(1145,5725,1.1857,1.8447),(1145,5735,1.215,1.8206),(1145,5745,1.2442,1.7966),(1145,5755,1.2734,1.7721),(1145,5765,1.3026,1.7474),(1145,5775,1.3313,1.7227),(1145,5785,1.3601,1.6977),(1145,5795,1.3888,1.6726),(1145,5805,1.4169,1.6474),(1145,5815,1.4449,1.6221),(1145,5825,1.4729,1.5968),(1145,5835,1.5001,1.5714),(1145,5845,1.5271,1.546),(1145,5855,1.5541,1.5205),(1145,5865,1.5804,1.495),(1145,5875,1.6062,1.4695),(1145,5885,1.632,1.4439),(1145,5895,1.6573,1.4183),(1145,5905,1.6817,1.3927),(1145,5915,1.7062,1.3672),(1145,5925,1.7303,1.3416),(1145,5935,1.7534,1.316),(1145,5945,1.7765,1.2906),(1145,5955,1.7995,1.2653),(1145,5965,1.8217,1.2399),(1145,5975,1.844,1.2147),(1145,5985,1.8662,1.1897),(1145,5995,1.4303,1.1646),(1145,6005,0.92066,1.1454),(1145,6015,0.41102,1.1421),(1145,6025,0.3597,1.1388),(1145,6035,0.52093,1.1346),(1145,6045,0.68216,1.1208),(1145,6055,0.80387,1.107),(1145,6065,0.88684,1.0933),(1145,6075,0.96981,1.0751),(1145,6085,1.0274,1.0565),(1145,6095,1.0325,1.0379),(1145,6105,1.0377,1.0191),(1145,6115,1.0428,1.0003),(1145,6125,1.0477,0.98149),(1145,6135,1.0526,0.9626),(1145,6145,1.0575,0.94366),(1145,6155,1.0621,0.92472),(1145,6165,1.0667,0.90558),(1145,6175,1.0713,0.88614),(1145,6185,1.0757,0.8667),(1145,6195,1.08,0.84725),(1145,6205,1.0843,0.82778),(1145,6215,1.0884,0.8083),(1145,6225,1.0924,0.78883),(1145,6235,1.0964,0.76912),(1145,6245,1.1003,0.74941),(1145,6255,1.104,0.7297),(1145,6265,1.1077,0.70981),(1145,6275,1.1113,0.68989),(1145,6285,1.1148,0.66997),(1145,6295,1.1182,0.65012),(1145,6305,1.1217,0.6303),(1145,6315,1.1247,0.61048),(1145,6325,1.1277,0.59041),(1145,6335,1.1307,0.57006),(1145,6345,1.1335,0.54972),(1145,6355,1.1362,0.52936),(1145,6365,1.139,0.50896),(1145,6375,1.1415,0.48856),(1145,6385,1.1439,0.46817),(1145,6395,1.1464,0.44778),(1145,6405,1.1486,0.42739),(1145,6415,1.1507,0.40699),(1145,6425,1.1528,0.38626),(1145,6435,1.1548,0.36551),(1145,6445,1.1565,0.34475),(1145,6455,1.1582,0.32399),(1145,6465,1.1599,0.30321),(1145,6475,1.1613,0.28244),(1145,6485,1.1628,0.26174),(1145,6495,1.1642,0.24108),(1145,6505,1.1652,0.22042),(1145,6515,1.1663,0.1997),(1145,6525,1.1674,0.17888),(1145,6535,1.1681,0.15807),(1145,6545,1.1688,0.13722),(1145,6555,1.1695,0.11631),(1145,6565,1.17,0.095393),(1145,6575,1.1704,0.074481),(1145,6585,1.1708,0.053619),(1145,6595,0.99592,0.032758),(1145,6605,0.62759,0.011897),(1145,6615,0.25926,0.009532),(1145,6625,0.00033,0.009545),(1145,6635,0.000333,0.009557),(1145,6645,0.000335,0.009556),(1145,6655,0.000337,0.009549),(1145,6665,0.000339,0.009542),(1145,6675,0.000341,0.009535),(1145,6685,0.000343,0.009528),(1145,6695,0.000345,0.009521),(1145,6705,0.000347,0.009514),(1145,6715,0.000349,0.009507),(1145,6725,0.000351,0.0095),(1145,6735,0.000353,0.009493),(1145,6745,0.000355,0.009486),(1145,6755,0.000357,0.009479),(1145,6765,0.000358,0.009472),(1145,6775,0.00036,0.009464),(1145,6785,0.000362,0.009457),(1145,6795,0.000364,0.00945),(1145,6805,0.000366,0.009443),(1145,6815,0.000367,0.009435),(1145,6825,0.000369,0.009428),(1145,6835,0.000371,0.009421),(1145,6845,0.000373,0.009413),(1145,6855,0.000374,0.009406),(1145,6865,0.000376,0.009399),(1145,6875,0.000378,0.009391),(1145,6885,0.000379,0.009384),(1145,6895,0.000381,0.009376),(1145,6905,0.000382,0.009369),(1145,6915,0.000384,0.009362),(1145,6925,0.000385,0.009354),(1145,6935,0.000387,0.009346),(1145,6945,0.000388,0.009339),(1145,6955,0.00039,0.009331),(1145,6965,0.000391,0.009324),(1145,6975,0.000393,0.009316),(1145,6985,0.000394,0.009309),(1155,5,5.1e-05,3.6711),(1155,15,0.000154,3.6711),(1155,25,0.000256,3.6711),(1155,35,0.000359,3.6711),(1155,45,0.000461,3.6711),(1155,55,0.000564,3.6711),(1155,65,0.000667,3.6711),(1155,75,0.00077,3.6711),(1155,85,0.000872,3.6711),(1155,95,0.000975,3.6711),(1155,105,0.001078,3.671),(1155,115,0.001182,3.671),(1155,125,0.001285,3.671),(1155,135,0.001388,3.671),(1155,145,0.001492,3.671),(1155,155,0.001596,3.671),(1155,165,0.0017,3.6709),(1155,175,0.001804,3.6709),(1155,185,0.001908,3.6709),(1155,195,0.002013,3.6708),(1155,205,0.002118,3.6708),(1155,215,0.002223,3.6708),(1155,225,0.002328,3.6708),(1155,235,0.002434,3.6707),(1155,245,0.00254,3.6707),(1155,255,0.002646,3.6706),(1155,265,0.002753,3.6706),(1155,275,0.00286,3.6706),(1155,285,0.002967,3.6705),(1155,295,0.003074,3.6705),(1155,305,0.003182,3.6704),(1155,315,0.003291,3.6704),(1155,325,0.003399,3.6703),(1155,335,0.003507,3.6703),(1155,345,0.003617,3.6702),(1155,355,0.003727,3.6702),(1155,365,0.003837,3.6701),(1155,375,0.003947,3.6701),(1155,385,0.004059,3.67),(1155,395,0.004171,3.67),(1155,405,0.004283,3.6699),(1155,415,0.004394,3.6698),(1155,425,0.004508,3.6698),(1155,435,0.004622,3.6697),(1155,445,0.004736,3.6696),(1155,455,0.00485,3.6696),(1155,465,0.004966,3.6695),(1155,475,0.005082,3.6694),(1155,485,0.005198,3.6693),(1155,495,0.005314,3.6693),(1155,505,0.005432,3.6692),(1155,515,0.00555,3.6691),(1155,525,0.005669,3.669),(1155,535,0.005787,3.6689),(1155,545,0.005908,3.6688),(1155,555,0.006029,3.6688),(1155,565,0.00615,3.6687),(1155,575,0.006271,3.6686),(1155,585,0.006395,3.6685),(1155,595,0.006518,3.6684),(1155,605,0.006642,3.6683),(1155,615,0.006766,3.6682),(1155,625,0.006892,3.6681),(1155,635,0.007019,3.668),(1155,645,0.007145,3.6679),(1155,655,0.007272,3.6678),(1155,665,0.007402,3.6677),(1155,675,0.007532,3.6676),(1155,685,0.007661,3.6674),(1155,695,0.007792,3.6673),(1155,705,0.007924,3.6672),(1155,715,0.008058,3.6671),(1155,725,0.00819,3.667),(1155,735,0.008324,3.6669),(1155,745,0.008461,3.6667),(1155,755,0.008597,3.6666),(1155,765,0.008734,3.6665),(1155,775,0.008871,3.6663),(1155,785,0.009011,3.6662),(1155,795,0.009151,3.6661),(1155,805,0.009291,3.6659),(1155,815,0.009433,3.6658),(1155,825,0.009577,3.6657),(1155,835,0.009721,3.6655),(1155,845,0.009865,3.6654),(1155,855,0.01001,3.6652),(1155,865,0.010158,3.6651),(1155,875,0.010306,3.6649),(1155,885,0.010454,3.6648),(1155,895,0.010604,3.6646),(1155,905,0.010757,3.6644),(1155,915,0.010909,3.6643),(1155,925,0.011061,3.6641),(1155,935,0.011215,3.6639),(1155,945,0.011372,3.6638),(1155,955,0.011529,3.6636),(1155,965,0.011686,3.6634),(1155,975,0.011845,3.6633),(1155,985,0.012006,3.6631),(1155,995,0.012167,3.6629),(1155,1005,0.012328,3.6627),(1155,1015,0.012492,3.6625),(1155,1025,0.012658,3.6623),(1155,1035,0.012824,3.6621),(1155,1045,0.01299,3.6619),(1155,1055,0.013159,3.6617),(1155,1065,0.01333,3.6615),(1155,1075,0.013501,3.6613),(1155,1085,0.013672,3.6611),(1155,1095,0.013846,3.6609),(1155,1105,0.014022,3.6607),(1155,1115,0.014198,3.6605),(1155,1125,0.014374,3.6603),(1155,1135,0.014553,3.6601),(1155,1145,0.014735,3.6598),(1155,1155,0.014916,3.6596),(1155,1165,0.015097,3.6594),(1155,1175,0.015282,3.6591),(1155,1185,0.015468,3.6589),(1155,1195,0.015655,3.6587),(1155,1205,0.015842,3.6584),(1155,1215,0.016032,3.6582),(1155,1225,0.016224,3.6579),(1155,1235,0.016416,3.6577),(1155,1245,0.016608,3.6574),(1155,1255,0.016805,3.6572),(1155,1265,0.017003,3.6569),(1155,1275,0.0172,3.6566),(1155,1285,0.017398,3.6564),(1155,1295,0.017601,3.6561),(1155,1305,0.017804,3.6558),(1155,1315,0.018008,3.6555),(1155,1325,0.018211,3.6553),(1155,1335,0.01842,3.655),(1155,1345,0.018629,3.6547),(1155,1355,0.018839,3.6544),(1155,1365,0.019048,3.6541),(1155,1375,0.019263,3.6538),(1155,1385,0.019478,3.6535),(1155,1395,0.019693,3.6532),(1155,1405,0.019909,3.6529),(1155,1415,0.02013,3.6526),(1155,1425,0.020351,3.6523),(1155,1435,0.020572,3.6519),(1155,1445,0.020794,3.6516),(1155,1455,0.021021,3.6513),(1155,1465,0.021248,3.6509),(1155,1475,0.021476,3.6506),(1155,1485,0.021703,3.6503),(1155,1495,0.021937,3.6499),(1155,1505,0.022171,3.6496),(1155,1515,0.022404,3.6492),(1155,1525,0.022638,3.6488),(1155,1535,0.022878,3.6485),(1155,1545,0.023118,3.6481),(1155,1555,0.023357,3.6477),(1155,1565,0.023597,3.6474),(1155,1575,0.023843,3.647),(1155,1585,0.024089,3.6466),(1155,1595,0.024335,3.6462),(1155,1605,0.024582,3.6458),(1155,1615,0.024834,3.6454),(1155,1625,0.025086,3.645),(1155,1635,0.025338,3.6446),(1155,1645,0.025591,3.6442),(1155,1655,0.025849,3.6438),(1155,1665,0.026107,3.6434),(1155,1675,0.026365,3.6429),(1155,1685,0.026624,3.6425),(1155,1695,0.026888,3.6421),(1155,1705,0.027152,3.6416),(1155,1715,0.027417,3.6412),(1155,1725,0.027682,3.6407),(1155,1735,0.027952,3.6403),(1155,1745,0.028222,3.6398),(1155,1755,0.028492,3.6394),(1155,1765,0.028764,3.6389),(1155,1775,0.02904,3.6384),(1155,1785,0.029315,3.6379),(1155,1795,0.029591,3.6374),(1155,1805,0.029869,3.637),(1155,1815,0.03015,3.6365),(1155,1825,0.030432,3.636),(1155,1835,0.030713,3.6355),(1155,1845,0.030996,3.6349),(1155,1855,0.031283,3.6344),(1155,1865,0.03157,3.6339),(1155,1875,0.031857,3.6334),(1155,1885,0.032147,3.6328),(1155,1895,0.032439,3.6323),(1155,1905,0.032731,3.6318),(1155,1915,0.033024,3.6312),(1155,1925,0.033318,3.6307),(1155,1935,0.033615,3.6301),(1155,1945,0.033913,3.6295),(1155,1955,0.03421,3.629),(1155,1965,0.03451,3.6284),(1155,1975,0.034812,3.6278),(1155,1985,0.035114,3.6272),(1155,1995,0.035416,3.6266),(1155,2005,0.03572,3.626),(1155,2015,0.036027,3.6254),(1155,2025,0.036333,3.6248),(1155,2035,0.036639,3.6242),(1155,2045,0.036948,3.6235),(1155,2055,0.037258,3.6229),(1155,2065,0.037569,3.6223),(1155,2075,0.037879,3.6216),(1155,2085,0.038191,3.621),(1155,2095,0.038505,3.6203),(1155,2105,0.038819,3.6197),(1155,2115,0.039133,3.619),(1155,2125,0.039449,3.6183),(1155,2135,0.039767,3.6176),(1155,2145,0.040084,3.617),(1155,2155,0.040401,3.6163),(1155,2165,0.04072,3.6156),(1155,2175,0.04104,3.6149),(1155,2185,0.04136,3.6141),(1155,2195,0.04168,3.6134),(1155,2205,0.042002,3.6127),(1155,2215,0.042324,3.612),(1155,2225,0.042646,3.6112),(1155,2235,0.042969,3.6105),(1155,2245,0.043292,3.6097),(1155,2255,0.043616,3.609),(1155,2265,0.04394,3.6082),(1155,2275,0.044263,3.6074),(1155,2285,0.044588,3.6067),(1155,2295,0.044913,3.6059),(1155,2305,0.045237,3.6051),(1155,2315,0.045562,3.6043),(1155,2325,0.045887,3.6035),(1155,2335,0.046212,3.6027),(1155,2345,0.046538,3.6019),(1155,2355,0.046863,3.6011),(1155,2365,0.047188,3.6002),(1155,2375,0.047513,3.5994),(1155,2385,0.047838,3.5986),(1155,2395,0.048163,3.5977),(1155,2405,0.048487,3.5969),(1155,2415,0.048811,3.596),(1155,2425,0.049134,3.5951),(1155,2435,0.049458,3.5943),(1155,2445,0.049781,3.5934),(1155,2455,0.050103,3.5925),(1155,2465,0.050425,3.5916),(1155,2475,0.050747,3.5907),(1155,2485,0.051066,3.5898),(1155,2495,0.051385,3.5889),(1155,2505,0.051705,3.588),(1155,2515,0.052024,3.5871),(1155,2525,0.05234,3.5861),(1155,2535,0.052655,3.5852),(1155,2545,0.052971,3.5843),(1155,2555,0.053287,3.5833),(1155,2565,0.053598,3.5824),(1155,2575,0.05391,3.5814),(1155,2585,0.054221,3.5805),(1155,2595,0.054532,3.5795),(1155,2605,0.054838,3.5785),(1155,2615,0.055144,3.5775),(1155,2625,0.05545,3.5765),(1155,2635,0.055756,3.5755),(1155,2645,0.056055,3.5745),(1155,2655,0.056355,3.5735),(1155,2665,0.056655,3.5725),(1155,2675,0.056953,3.5715),(1155,2685,0.057245,3.5705),(1155,2695,0.057538,3.5695),(1155,2705,0.05783,3.5684),(1155,2715,0.05812,3.5674),(1155,2725,0.058404,3.5664),(1155,2735,0.058688,3.5653),(1155,2745,0.058972,3.5643),(1155,2755,0.059253,3.5632),(1155,2765,0.059527,3.5622),(1155,2775,0.059801,3.5611),(1155,2785,0.060075,3.56),(1155,2795,0.060346,3.5589),(1155,2805,0.06061,3.5579),(1155,2815,0.060873,3.5568),(1155,2825,0.061136,3.5557),(1155,2835,0.061396,3.5546),(1155,2845,0.061647,3.5535),(1155,2855,0.061898,3.5524),(1155,2865,0.06215,3.5513),(1155,2875,0.062396,3.5502),(1155,2885,0.062634,3.5491),(1155,2895,0.062872,3.548),(1155,2905,0.06311,3.5469),(1155,2915,0.063342,3.5458),(1155,2925,0.063565,3.5446),(1155,2935,0.063788,3.5435),(1155,2945,0.064012,3.5424),(1155,2955,0.064228,3.5413),(1155,2965,0.064435,3.5401),(1155,2975,0.064642,3.539),(1155,2985,0.064849,3.5379),(1155,2995,0.065047,3.5367),(1155,3005,0.065237,3.5356),(1155,3015,0.065426,3.5345),(1155,3025,0.065616,3.5333),(1155,3035,0.065795,3.5322),(1155,3045,0.065965,3.531),(1155,3055,0.066135,3.5299),(1155,3065,0.066305,3.5287),(1155,3075,0.066463,3.5276),(1155,3085,0.066612,3.5264),(1155,3095,0.066761,3.5253),(1155,3105,0.06691,3.5242),(1155,3115,0.067045,3.523),(1155,3125,0.067172,3.5219),(1155,3135,0.067298,3.5207),(1155,3145,0.067424,3.5196),(1155,3155,0.067534,3.5184),(1155,3165,0.067635,3.5173),(1155,3175,0.067737,3.5162),(1155,3185,0.067838,3.515),(1155,3195,0.067921,3.5139),(1155,3205,0.067995,3.5127),(1155,3215,0.068069,3.5116),(1155,3225,0.068144,3.5105),(1155,3235,0.068197,3.5094),(1155,3245,0.068242,3.5082),(1155,3255,0.068287,3.5071),(1155,3265,0.068332,3.506),(1155,3275,0.068353,3.5049),(1155,3285,0.068366,3.5038),(1155,3295,0.068379,3.5027),(1155,3305,0.068393,3.5016),(1155,3315,0.068378,3.5005),(1155,3325,0.068357,3.4994),(1155,3335,0.068336,3.4983),(1155,3345,0.068314,3.4972),(1155,3355,0.068261,3.4961),(1155,3365,0.068203,3.4951),(1155,3375,0.068144,3.494),(1155,3385,0.068086,3.493),(1155,3395,0.067991,3.4919),(1155,3405,0.067892,3.4908),(1155,3415,0.067793,3.4898),(1155,3425,0.067694,3.4888),(1155,3435,0.067554,3.4878),(1155,3445,0.067411,3.4867),(1155,3455,0.067268,3.4857),(1155,3465,0.067126,3.4847),(1155,3475,0.066937,3.4837),(1155,3485,0.066747,3.4827),(1155,3495,0.066556,3.4818),(1155,3505,0.066366,3.4808),(1155,3515,0.066124,3.4798),(1155,3525,0.065883,3.4789),(1155,3535,0.065642,3.478),(1155,3545,0.065398,3.477),(1155,3555,0.065101,3.4761),(1155,3565,0.064805,3.4752),(1155,3575,0.064509,3.4743),(1155,3585,0.064207,3.4734),(1155,3595,0.063852,3.4725),(1155,3605,0.063497,3.4716),(1155,3615,0.063141,3.4708),(1155,3625,0.062778,3.4699),(1155,3635,0.06236,3.4691),(1155,3645,0.061941,3.4682),(1155,3655,0.061523,3.4674),(1155,3665,0.061093,3.4666),(1155,3675,0.060608,3.4658),(1155,3685,0.060122,3.465),(1155,3695,0.059637,3.4643),(1155,3705,0.059136,3.4635),(1155,3715,0.05858,3.4627),(1155,3725,0.058023,3.462),(1155,3735,0.057466,3.4613),(1155,3745,0.056891,3.4606),(1155,3755,0.056259,3.4599),(1155,3765,0.055627,3.4592),(1155,3775,0.054996,3.4585),(1155,3785,0.054342,3.4578),(1155,3795,0.053632,3.4572),(1155,3805,0.052922,3.4565),(1155,3815,0.052212,3.4559),(1155,3825,0.051476,3.4553),(1155,3835,0.050686,3.4547),(1155,3845,0.049895,3.4541),(1155,3855,0.049104,3.4535),(1155,3865,0.048284,3.4529),(1155,3875,0.04741,3.4524),(1155,3885,0.046537,3.4518),(1155,3895,0.045663,3.4513),(1155,3905,0.053257,3.4508),(1155,3915,0.0735,3.4503),(1155,3925,0.093743,3.4495),(1155,3935,0.11399,3.4484),(1155,3945,0.13669,3.4472),(1155,3955,0.16251,3.4461),(1155,3965,0.18833,3.4443),(1155,3975,0.21415,3.4417),(1155,3985,0.2296,3.4391),(1155,3995,0.23381,3.4366),(1155,4005,0.23803,3.4337),(1155,4015,0.24224,3.4305),(1155,4025,0.24612,3.4273),(1155,4035,0.24997,3.424),(1155,4045,0.25381,3.4203),(1155,4055,0.25734,3.4166),(1155,4065,0.26075,3.4129),(1155,4075,0.26416,3.4089),(1155,4085,0.26724,3.405),(1155,4095,0.27007,3.401),(1155,4105,0.27289,3.397),(1155,4115,0.26524,3.393),(1155,4125,0.24024,3.389),(1155,4135,0.21523,3.3861),(1155,4145,0.18932,3.3835),(1155,4155,0.15971,3.381),(1155,4165,0.1301,3.3791),(1155,4175,0.10203,3.3777),(1155,4185,0.15062,3.3764),(1155,4195,0.1992,3.3735),(1155,4205,0.24778,3.3688),(1155,4215,0.24416,3.3641),(1155,4225,0.23071,3.3593),(1155,4235,0.21726,3.3544),(1155,4245,0.19858,3.3496),(1155,4255,0.17726,3.3448),(1155,4265,0.15593,3.3409),(1155,4275,0.1286,3.3371),(1155,4285,0.094901,3.3332),(1155,4295,0.061204,3.3317),(1155,4305,0.054073,3.3306),(1155,4315,0.10693,3.3294),(1155,4325,0.15979,3.3244),(1155,4335,0.20719,3.3179),(1155,4345,0.21761,3.3114),(1155,4355,0.22803,3.3053),(1155,4365,0.23846,3.2993),(1155,4375,0.24214,3.2934),(1155,4385,0.24547,3.2877),(1155,4395,0.2488,3.2825),(1155,4405,0.2172,3.2773),(1155,4415,0.17531,3.2726),(1155,4425,0.13341,3.2703),(1155,4435,0.1197,3.2679),(1155,4445,0.12524,3.2656),(1155,4455,0.13079,3.2632),(1155,4465,0.16269,3.2607),(1155,4475,0.23161,3.2583),(1155,4485,0.30053,3.2527),(1155,4495,0.35573,3.2463),(1155,4505,0.36691,3.24),(1155,4515,0.37809,3.233),(1155,4525,0.3883,3.2257),(1155,4535,0.3832,3.2183),(1155,4545,0.37809,3.2108),(1155,4555,0.37298,3.2032),(1155,4565,0.27338,3.1955),(1155,4575,0.16103,3.1899),(1155,4585,0.048683,3.1891),(1155,4595,0.043062,3.1883),(1155,4605,0.082534,3.1871),(1155,4615,0.12201,3.1827),(1155,4625,0.16912,3.1783),(1155,4635,0.22315,3.1739),(1155,4645,0.27718,3.1673),(1155,4655,0.33008,3.1606),(1155,4665,0.38085,3.1538),(1155,4675,0.43161,3.1469),(1155,4685,0.45754,3.1399),(1155,4695,0.36072,3.1328),(1155,4705,0.26391,3.1289),(1155,4715,0.16709,3.1272),(1155,4725,0.21522,3.1256),(1155,4735,0.26479,3.1218),(1155,4745,0.31437,3.1151),(1155,4755,0.39144,3.1083),(1155,4765,0.47489,3.1006),(1155,4775,0.55833,3.0899),(1155,4785,0.60624,3.0791),(1155,4795,0.63359,3.0684),(1155,4805,0.66095,3.0574),(1155,4815,0.6487,3.0465),(1155,4825,0.58911,3.0355),(1155,4835,0.52951,3.0278),(1155,4845,0.45688,3.0206),(1155,4855,0.35029,3.0134),(1155,4865,0.24369,3.0085),(1155,4875,0.16206,3.0046),(1155,4885,0.30761,3.0008),(1155,4895,0.45317,2.9918),(1155,4905,0.59873,2.9779),(1155,4915,0.60315,2.9639),(1155,4925,0.59543,2.9504),(1155,4935,0.58771,2.9377),(1155,4945,0.53908,2.925),(1155,4955,0.47626,2.913),(1155,4965,0.41344,2.9048),(1155,4975,0.32203,2.8966),(1155,4985,0.20855,2.8884),(1155,4995,0.095064,2.8875),(1155,5005,0.093993,2.8869),(1155,5015,0.27163,2.8862),(1155,5025,0.44927,2.8757),(1155,5035,0.60879,2.8627),(1155,5045,0.69924,2.8497),(1155,5055,0.7897,2.8342),(1155,5065,0.87845,2.8173),(1155,5075,0.91147,2.8003),(1155,5085,0.94449,2.7834),(1155,5095,0.97751,2.7667),(1155,5105,0.8679,2.7501),(1155,5115,0.73339,2.7355),(1155,5125,0.59889,2.7271),(1155,5135,0.50201,2.7186),(1155,5145,0.4234,2.7103),(1155,5155,0.34478,2.7035),(1155,5165,0.3982,2.6967),(1155,5175,0.58629,2.6899),(1155,5185,0.77439,2.6734),(1155,5195,0.91393,2.6559),(1155,5205,0.94881,2.6383),(1155,5215,0.98369,2.6208),(1155,5225,1.0128,2.6034),(1155,5235,1.0057,2.586),(1155,5245,0.9986,2.5698),(1155,5255,0.99153,2.5546),(1155,5265,0.6925,2.5395),(1155,5275,0.38143,2.5299),(1155,5285,0.070356,2.5297),(1155,5295,0.11719,2.5296),(1155,5305,0.26368,2.527),(1155,5315,0.41018,2.5143),(1155,5325,0.54716,2.5016),(1155,5335,0.67788,2.4889),(1155,5345,0.80861,2.4706),(1155,5355,0.91406,2.4523),(1155,5365,0.98541,2.434),(1155,5375,1.0568,2.4154),(1155,5385,1.0487,2.3966),(1155,5395,0.79922,2.3779),(1155,5405,0.54975,2.3683),(1155,5415,0.31724,2.3635),(1155,5425,0.31255,2.3587),(1155,5435,0.30787,2.3526),(1155,5445,0.30319,2.3451),(1155,5455,0.36793,2.3376),(1155,5465,0.44116,2.3283),(1155,5475,0.51439,2.3151),(1155,5485,0.5509,2.3018),(1155,5495,0.57262,2.2883),(1155,5505,0.59434,2.2735),(1155,5515,0.61757,2.2587),(1155,5525,0.64209,2.2439),(1155,5535,0.66662,2.2276),(1155,5545,0.69169,2.2111),(1155,5555,0.71772,2.1947),(1155,5565,0.74375,2.1771),(1155,5575,0.76999,2.159),(1155,5585,0.79715,2.141),(1155,5595,0.82431,2.1221),(1155,5605,0.85147,2.1026),(1155,5615,0.87953,2.0831),(1155,5625,0.90758,2.063),(1155,5635,0.93564,2.042),(1155,5645,0.9643,2.021),(1155,5655,0.9931,1.9997),(1155,5665,1.0219,1.9775),(1155,5675,1.051,1.9553),(1155,5685,1.0802,1.933),(1155,5695,1.1094,1.9097),(1155,5705,1.1387,1.8865),(1155,5715,1.1681,1.8632),(1155,5725,1.1975,1.8393),(1155,5735,1.2268,1.8153),(1155,5745,1.256,1.7913),(1155,5755,1.2852,1.7668),(1155,5765,1.3143,1.7422),(1155,5775,1.343,1.7176),(1155,5785,1.3716,1.6927),(1155,5795,1.4003,1.6677),(1155,5805,1.4282,1.6426),(1155,5815,1.4561,1.6175),(1155,5825,1.4839,1.5923),(1155,5835,1.511,1.567),(1155,5845,1.5378,1.5418),(1155,5855,1.5647,1.5165),(1155,5865,1.5908,1.4912),(1155,5875,1.6164,1.4659),(1155,5885,1.642,1.4405),(1155,5895,1.667,1.4151),(1155,5905,1.6913,1.3898),(1155,5915,1.7155,1.3644),(1155,5925,1.7394,1.3391),(1155,5935,1.7623,1.3138),(1155,5945,1.7851,1.2886),(1155,5955,1.808,1.2635),(1155,5965,1.83,1.2384),(1155,5975,1.8519,1.2135),(1155,5985,1.8739,1.1887),(1155,5995,1.4362,1.1639),(1155,6005,0.9244,1.1449),(1155,6015,0.41263,1.1417),(1155,6025,0.36186,1.1384),(1155,6035,0.5249,1.1342),(1155,6045,0.68794,1.1204),(1155,6055,0.8109,1.1066),(1155,6065,0.89458,1.0929),(1155,6075,0.97826,1.0747),(1155,6085,1.0363,1.0561),(1155,6095,1.0415,1.0375),(1155,6105,1.0467,1.0187),(1155,6115,1.0518,0.99987),(1155,6125,1.0568,0.98103),(1155,6135,1.0617,0.96213),(1155,6145,1.0667,0.94319),(1155,6155,1.0713,0.92424),(1155,6165,1.076,0.90511),(1155,6175,1.0806,0.88567),(1155,6185,1.085,0.86623),(1155,6195,1.0893,0.84678),(1155,6205,1.0937,0.82731),(1155,6215,1.0978,0.80785),(1155,6225,1.1019,0.78838),(1155,6235,1.1059,0.76867),(1155,6245,1.1098,0.74896),(1155,6255,1.1135,0.72925),(1155,6265,1.1173,0.70937),(1155,6275,1.1209,0.68945),(1155,6285,1.1244,0.66954),(1155,6295,1.1278,0.64971),(1155,6305,1.1313,0.62991),(1155,6315,1.1344,0.61012),(1155,6325,1.1375,0.59005),(1155,6335,1.1405,0.5697),(1155,6345,1.1433,0.54935),(1155,6355,1.1461,0.52899),(1155,6365,1.1488,0.50862),(1155,6375,1.1514,0.48824),(1155,6385,1.1538,0.46786),(1155,6395,1.1563,0.44748),(1155,6405,1.1585,0.42709),(1155,6415,1.1606,0.40671),(1155,6425,1.1628,0.38598),(1155,6435,1.1647,0.36523),(1155,6445,1.1665,0.34448),(1155,6455,1.1682,0.32373),(1155,6465,1.1699,0.30298),(1155,6475,1.1714,0.28223),(1155,6485,1.1728,0.26154),(1155,6495,1.1742,0.24089),(1155,6505,1.1753,0.22024),(1155,6515,1.1764,0.19952),(1155,6525,1.1775,0.17872),(1155,6535,1.1782,0.15791),(1155,6545,1.179,0.13708),(1155,6555,1.1797,0.11618),(1155,6565,1.1802,0.095272),(1155,6575,1.1805,0.074373),(1155,6585,1.1809,0.053537),(1155,6595,1.0045,0.032702),(1155,6605,0.633,0.011866),(1155,6615,0.26149,0.009513),(1155,6625,0.000334,0.009535),(1155,6635,0.000336,0.009557),(1155,6645,0.000338,0.009558),(1155,6655,0.000341,0.009551),(1155,6665,0.000343,0.009544),(1155,6675,0.000345,0.009537),(1155,6685,0.000347,0.00953),(1155,6695,0.000349,0.009523),(1155,6705,0.000351,0.009516),(1155,6715,0.000353,0.009509),(1155,6725,0.000355,0.009502),(1155,6735,0.000357,0.009494),(1155,6745,0.000359,0.009487),(1155,6755,0.00036,0.00948),(1155,6765,0.000362,0.009473),(1155,6775,0.000364,0.009466),(1155,6785,0.000366,0.009459),(1155,6795,0.000368,0.009452),(1155,6805,0.00037,0.009444),(1155,6815,0.000371,0.009437),(1155,6825,0.000373,0.00943),(1155,6835,0.000375,0.009422),(1155,6845,0.000376,0.009415),(1155,6855,0.000378,0.009408),(1155,6865,0.00038,0.0094),(1155,6875,0.000381,0.009393),(1155,6885,0.000383,0.009385),(1155,6895,0.000385,0.009378),(1155,6905,0.000386,0.009371),(1155,6915,0.000388,0.009363),(1155,6925,0.000389,0.009355),(1155,6935,0.000391,0.009348),(1155,6945,0.000392,0.00934),(1155,6955,0.000394,0.009333),(1155,6965,0.000395,0.009325),(1155,6975,0.000397,0.009318),(1155,6985,0.000398,0.00931),(1165,5,5.2e-05,3.6712),(1165,15,0.000155,3.6712),(1165,25,0.000258,3.6712),(1165,35,0.000361,3.6712),(1165,45,0.000464,3.6712),(1165,55,0.000567,3.6712),(1165,65,0.00067,3.6712),(1165,75,0.000774,3.6712),(1165,85,0.000877,3.6712),(1165,95,0.00098,3.6712),(1165,105,0.001084,3.6712),(1165,115,0.001188,3.6711),(1165,125,0.001292,3.6711),(1165,135,0.001396,3.6711),(1165,145,0.0015,3.6711),(1165,155,0.001604,3.6711),(1165,165,0.001709,3.671),(1165,175,0.001814,3.671),(1165,185,0.001919,3.671),(1165,195,0.002024,3.671),(1165,205,0.002129,3.6709),(1165,215,0.002235,3.6709),(1165,225,0.002341,3.6709),(1165,235,0.002448,3.6708),(1165,245,0.002554,3.6708),(1165,255,0.00266,3.6708),(1165,265,0.002768,3.6707),(1165,275,0.002875,3.6707),(1165,285,0.002983,3.6706),(1165,295,0.003091,3.6706),(1165,305,0.0032,3.6705),(1165,315,0.003309,3.6705),(1165,325,0.003418,3.6704),(1165,335,0.003527,3.6704),(1165,345,0.003637,3.6703),(1165,355,0.003748,3.6703),(1165,365,0.003858,3.6702),(1165,375,0.003969,3.6702),(1165,385,0.004081,3.6701),(1165,395,0.004194,3.6701),(1165,405,0.004306,3.67),(1165,415,0.004419,3.6699),(1165,425,0.004533,3.6699),(1165,435,0.004647,3.6698),(1165,445,0.004762,3.6697),(1165,455,0.004876,3.6697),(1165,465,0.004993,3.6696),(1165,475,0.00511,3.6695),(1165,485,0.005227,3.6695),(1165,495,0.005343,3.6694),(1165,505,0.005462,3.6693),(1165,515,0.005581,3.6692),(1165,525,0.0057,3.6691),(1165,535,0.00582,3.6691),(1165,545,0.005941,3.669),(1165,555,0.006063,3.6689),(1165,565,0.006184,3.6688),(1165,575,0.006306,3.6687),(1165,585,0.00643,3.6686),(1165,595,0.006555,3.6685),(1165,605,0.006679,3.6684),(1165,615,0.006804,3.6683),(1165,625,0.006931,3.6682),(1165,635,0.007058,3.6681),(1165,645,0.007186,3.668),(1165,655,0.007314,3.6679),(1165,665,0.007444,3.6678),(1165,675,0.007574,3.6677),(1165,685,0.007705,3.6676),(1165,695,0.007836,3.6675),(1165,705,0.00797,3.6674),(1165,715,0.008104,3.6672),(1165,725,0.008237,3.6671),(1165,735,0.008372,3.667),(1165,745,0.008509,3.6669),(1165,755,0.008647,3.6667),(1165,765,0.008784,3.6666),(1165,775,0.008922,3.6665),(1165,785,0.009064,3.6664),(1165,795,0.009204,3.6662),(1165,805,0.009345,3.6661),(1165,815,0.009488,3.6659),(1165,825,0.009633,3.6658),(1165,835,0.009778,3.6657),(1165,845,0.009923,3.6655),(1165,855,0.010069,3.6654),(1165,865,0.010218,3.6652),(1165,875,0.010367,3.6651),(1165,885,0.010516,3.6649),(1165,895,0.010667,3.6648),(1165,905,0.01082,3.6646),(1165,915,0.010974,3.6644),(1165,925,0.011127,3.6643),(1165,935,0.011282,3.6641),(1165,945,0.01144,3.6639),(1165,955,0.011598,3.6638),(1165,965,0.011756,3.6636),(1165,975,0.011916,3.6634),(1165,985,0.012078,3.6632),(1165,995,0.012241,3.6631),(1165,1005,0.012403,3.6629),(1165,1015,0.012568,3.6627),(1165,1025,0.012735,3.6625),(1165,1035,0.012902,3.6623),(1165,1045,0.013069,3.6621),(1165,1055,0.013239,3.6619),(1165,1065,0.013411,3.6617),(1165,1075,0.013584,3.6615),(1165,1085,0.013756,3.6613),(1165,1095,0.013931,3.6611),(1165,1105,0.014108,3.6609),(1165,1115,0.014286,3.6607),(1165,1125,0.014463,3.6605),(1165,1135,0.014644,3.6602),(1165,1145,0.014827,3.66),(1165,1155,0.015009,3.6598),(1165,1165,0.015192,3.6596),(1165,1175,0.015378,3.6593),(1165,1185,0.015566,3.6591),(1165,1195,0.015754,3.6589),(1165,1205,0.015942,3.6586),(1165,1215,0.016134,3.6584),(1165,1225,0.016328,3.6581),(1165,1235,0.016521,3.6579),(1165,1245,0.016715,3.6576),(1165,1255,0.016913,3.6574),(1165,1265,0.017112,3.6571),(1165,1275,0.017311,3.6568),(1165,1285,0.017511,3.6566),(1165,1295,0.017715,3.6563),(1165,1305,0.01792,3.656),(1165,1315,0.018125,3.6558),(1165,1325,0.01833,3.6555),(1165,1335,0.01854,3.6552),(1165,1345,0.018752,3.6549),(1165,1355,0.018963,3.6546),(1165,1365,0.019174,3.6543),(1165,1375,0.01939,3.654),(1165,1385,0.019607,3.6537),(1165,1395,0.019824,3.6534),(1165,1405,0.020042,3.6531),(1165,1415,0.020264,3.6528),(1165,1425,0.020487,3.6525),(1165,1435,0.020711,3.6522),(1165,1445,0.020934,3.6518),(1165,1455,0.021163,3.6515),(1165,1465,0.021392,3.6512),(1165,1475,0.021622,3.6508),(1165,1485,0.021851,3.6505),(1165,1495,0.022087,3.6501),(1165,1505,0.022322,3.6498),(1165,1515,0.022558,3.6494),(1165,1525,0.022794,3.6491),(1165,1535,0.023036,3.6487),(1165,1545,0.023278,3.6484),(1165,1555,0.023519,3.648),(1165,1565,0.023762,3.6476),(1165,1575,0.02401,3.6472),(1165,1585,0.024258,3.6469),(1165,1595,0.024506,3.6465),(1165,1605,0.024755,3.6461),(1165,1615,0.025009,3.6457),(1165,1625,0.025263,3.6453),(1165,1635,0.025517,3.6449),(1165,1645,0.025773,3.6445),(1165,1655,0.026033,3.644),(1165,1665,0.026294,3.6436),(1165,1675,0.026554,3.6432),(1165,1685,0.026816,3.6428),(1165,1695,0.027082,3.6423),(1165,1705,0.027349,3.6419),(1165,1715,0.027615,3.6415),(1165,1725,0.027883,3.641),(1165,1735,0.028156,3.6406),(1165,1745,0.028429,3.6401),(1165,1755,0.028701,3.6396),(1165,1765,0.028975,3.6392),(1165,1775,0.029254,3.6387),(1165,1785,0.029532,3.6382),(1165,1795,0.029811,3.6377),(1165,1805,0.030091,3.6372),(1165,1815,0.030375,3.6367),(1165,1825,0.030659,3.6363),(1165,1835,0.030943,3.6357),(1165,1845,0.031229,3.6352),(1165,1855,0.031519,3.6347),(1165,1865,0.031809,3.6342),(1165,1875,0.032098,3.6337),(1165,1885,0.03239,3.6331),(1165,1895,0.032685,3.6326),(1165,1905,0.032981,3.6321),(1165,1915,0.033276,3.6315),(1165,1925,0.033573,3.631),(1165,1935,0.033873,3.6304),(1165,1945,0.034174,3.6298),(1165,1955,0.034474,3.6293),(1165,1965,0.034777,3.6287),(1165,1975,0.035082,3.6281),(1165,1985,0.035387,3.6275),(1165,1995,0.035692,3.6269),(1165,2005,0.035999,3.6263),(1165,2015,0.036309,3.6257),(1165,2025,0.036618,3.6251),(1165,2035,0.036928,3.6245),(1165,2045,0.037239,3.6239),(1165,2055,0.037553,3.6232),(1165,2065,0.037866,3.6226),(1165,2075,0.03818,3.6219),(1165,2085,0.038496,3.6213),(1165,2095,0.038813,3.6206),(1165,2105,0.03913,3.62),(1165,2115,0.039447,3.6193),(1165,2125,0.039767,3.6186),(1165,2135,0.040087,3.618),(1165,2145,0.040408,3.6173),(1165,2155,0.040728,3.6166),(1165,2165,0.04105,3.6159),(1165,2175,0.041374,3.6152),(1165,2185,0.041697,3.6145),(1165,2195,0.04202,3.6137),(1165,2205,0.042345,3.613),(1165,2215,0.042671,3.6123),(1165,2225,0.042996,3.6116),(1165,2235,0.043322,3.6108),(1165,2245,0.043649,3.6101),(1165,2255,0.043976,3.6093),(1165,2265,0.044303,3.6086),(1165,2275,0.04463,3.6078),(1165,2285,0.044958,3.607),(1165,2295,0.045286,3.6062),(1165,2305,0.045614,3.6054),(1165,2315,0.045942,3.6046),(1165,2325,0.046271,3.6038),(1165,2335,0.046599,3.603),(1165,2345,0.046928,3.6022),(1165,2355,0.047256,3.6014),(1165,2365,0.047585,3.6006),(1165,2375,0.047913,3.5997),(1165,2385,0.048241,3.5989),(1165,2395,0.04857,3.598),(1165,2405,0.048897,3.5972),(1165,2415,0.049224,3.5963),(1165,2425,0.049551,3.5955),(1165,2435,0.049879,3.5946),(1165,2445,0.050204,3.5937),(1165,2455,0.050529,3.5928),(1165,2465,0.050855,3.5919),(1165,2475,0.05118,3.591),(1165,2485,0.051502,3.5901),(1165,2495,0.051825,3.5892),(1165,2505,0.052147,3.5883),(1165,2515,0.05247,3.5874),(1165,2525,0.052789,3.5865),(1165,2535,0.053108,3.5855),(1165,2545,0.053426,3.5846),(1165,2555,0.053745,3.5836),(1165,2565,0.054059,3.5827),(1165,2575,0.054374,3.5817),(1165,2585,0.054688,3.5808),(1165,2595,0.055002,3.5798),(1165,2605,0.055311,3.5788),(1165,2615,0.05562,3.5778),(1165,2625,0.055929,3.5768),(1165,2635,0.056237,3.5758),(1165,2645,0.056539,3.5749),(1165,2655,0.056842,3.5739),(1165,2665,0.057144,3.5728),(1165,2675,0.057445,3.5718),(1165,2685,0.05774,3.5708),(1165,2695,0.058035,3.5698),(1165,2705,0.058329,3.5687),(1165,2715,0.058622,3.5677),(1165,2725,0.058908,3.5667),(1165,2735,0.059194,3.5656),(1165,2745,0.05948,3.5646),(1165,2755,0.059764,3.5635),(1165,2765,0.06004,3.5624),(1165,2775,0.060316,3.5614),(1165,2785,0.060592,3.5603),(1165,2795,0.060865,3.5592),(1165,2805,0.06113,3.5581),(1165,2815,0.061395,3.5571),(1165,2825,0.06166,3.556),(1165,2835,0.061921,3.5549),(1165,2845,0.062174,3.5538),(1165,2855,0.062427,3.5527),(1165,2865,0.062679,3.5516),(1165,2875,0.062927,3.5505),(1165,2885,0.063166,3.5494),(1165,2895,0.063405,3.5482),(1165,2905,0.063644,3.5471),(1165,2915,0.063877,3.546),(1165,2925,0.064101,3.5449),(1165,2935,0.064325,3.5437),(1165,2945,0.064549,3.5426),(1165,2955,0.064765,3.5415),(1165,2965,0.064973,3.5403),(1165,2975,0.06518,3.5392),(1165,2985,0.065388,3.5381),(1165,2995,0.065586,3.5369),(1165,3005,0.065775,3.5358),(1165,3015,0.065964,3.5346),(1165,3025,0.066154,3.5335),(1165,3035,0.066332,3.5323),(1165,3045,0.066502,3.5312),(1165,3055,0.066671,3.53),(1165,3065,0.066841,3.5289),(1165,3075,0.066998,3.5277),(1165,3085,0.067146,3.5266),(1165,3095,0.067294,3.5254),(1165,3105,0.067442,3.5243),(1165,3115,0.067576,3.5231),(1165,3125,0.0677,3.522),(1165,3135,0.067825,3.5208),(1165,3145,0.067949,3.5197),(1165,3155,0.068057,3.5185),(1165,3165,0.068156,3.5174),(1165,3175,0.068255,3.5162),(1165,3185,0.068355,3.5151),(1165,3195,0.068435,3.514),(1165,3205,0.068506,3.5128),(1165,3215,0.068578,3.5117),(1165,3225,0.06865,3.5105),(1165,3235,0.0687,3.5094),(1165,3245,0.068742,3.5083),(1165,3255,0.068783,3.5072),(1165,3265,0.068825,3.506),(1165,3275,0.068842,3.5049),(1165,3285,0.068852,3.5038),(1165,3295,0.068861,3.5027),(1165,3305,0.068871,3.5016),(1165,3315,0.068852,3.5005),(1165,3325,0.068826,3.4994),(1165,3335,0.068801,3.4983),(1165,3345,0.068775,3.4972),(1165,3355,0.068718,3.4961),(1165,3365,0.068654,3.495),(1165,3375,0.068591,3.4939),(1165,3385,0.068527,3.4929),(1165,3395,0.068427,3.4918),(1165,3405,0.068323,3.4907),(1165,3415,0.068218,3.4897),(1165,3425,0.068114,3.4887),(1165,3435,0.067968,3.4876),(1165,3445,0.06782,3.4866),(1165,3455,0.067671,3.4856),(1165,3465,0.067523,3.4846),(1165,3475,0.067328,3.4835),(1165,3485,0.067131,3.4825),(1165,3495,0.066935,3.4816),(1165,3505,0.066738,3.4806),(1165,3515,0.06649,3.4796),(1165,3525,0.066243,3.4786),(1165,3535,0.065995,3.4777),(1165,3545,0.065744,3.4767),(1165,3555,0.065441,3.4758),(1165,3565,0.065138,3.4749),(1165,3575,0.064835,3.474),(1165,3585,0.064527,3.4731),(1165,3595,0.064165,3.4722),(1165,3605,0.063803,3.4713),(1165,3615,0.063441,3.4704),(1165,3625,0.063071,3.4695),(1165,3635,0.062646,3.4687),(1165,3645,0.062221,3.4678),(1165,3655,0.061796,3.467),(1165,3665,0.06136,3.4662),(1165,3675,0.060868,3.4653),(1165,3685,0.060375,3.4645),(1165,3695,0.059883,3.4637),(1165,3705,0.059377,3.463),(1165,3715,0.058813,3.4622),(1165,3725,0.05825,3.4614),(1165,3735,0.057687,3.4607),(1165,3745,0.057105,3.46),(1165,3755,0.056468,3.4592),(1165,3765,0.05583,3.4585),(1165,3775,0.055192,3.4578),(1165,3785,0.054532,3.4571),(1165,3795,0.053816,3.4565),(1165,3805,0.0531,3.4558),(1165,3815,0.052384,3.4551),(1165,3825,0.051642,3.4545),(1165,3835,0.050846,3.4539),(1165,3845,0.050049,3.4533),(1165,3855,0.049252,3.4527),(1165,3865,0.048426,3.4521),(1165,3875,0.047546,3.4515),(1165,3885,0.046666,3.4509),(1165,3895,0.045786,3.4504),(1165,3905,0.053375,3.4499),(1165,3915,0.073612,3.4493),(1165,3925,0.09385,3.4485),(1165,3935,0.11409,3.4473),(1165,3945,0.13685,3.4461),(1165,3955,0.16281,3.4449),(1165,3965,0.18877,3.443),(1165,3975,0.21473,3.4404),(1165,3985,0.23031,3.4377),(1165,3995,0.23466,3.4351),(1165,4005,0.239,3.4321),(1165,4015,0.24335,3.4288),(1165,4025,0.24734,3.4256),(1165,4035,0.2513,3.4221),(1165,4045,0.25525,3.4184),(1165,4055,0.25886,3.4147),(1165,4065,0.26233,3.4109),(1165,4075,0.2658,3.4069),(1165,4085,0.2689,3.4028),(1165,4095,0.2717,3.3988),(1165,4105,0.2745,3.3947),(1165,4115,0.26675,3.3907),(1165,4125,0.24152,3.3866),(1165,4135,0.21628,3.3837),(1165,4145,0.19015,3.3811),(1165,4155,0.16042,3.3785),(1165,4165,0.13069,3.3767),(1165,4175,0.10252,3.3753),(1165,4185,0.15171,3.374),(1165,4195,0.2009,3.3712),(1165,4205,0.25009,3.3664),(1165,4215,0.24669,3.3616),(1165,4225,0.23338,3.3568),(1165,4235,0.22008,3.3519),(1165,4245,0.20137,3.3469),(1165,4255,0.17993,3.3421),(1165,4265,0.15848,3.3382),(1165,4275,0.13084,3.3343),(1165,4285,0.096616,3.3305),(1165,4295,0.062395,3.329),(1165,4305,0.055262,3.3278),(1165,4315,0.10929,3.3267),(1165,4325,0.16333,3.3218),(1165,4335,0.21171,3.3154),(1165,4345,0.22188,3.309),(1165,4355,0.23205,3.3028),(1165,4365,0.24221,3.2968),(1165,4375,0.24564,3.2908),(1165,4385,0.24872,3.2851),(1165,4395,0.2518,3.2798),(1165,4405,0.21975,3.2745),(1165,4415,0.17734,3.2697),(1165,4425,0.13494,3.2673),(1165,4435,0.12102,3.2649),(1165,4445,0.12658,3.2625),(1165,4455,0.13213,3.2601),(1165,4465,0.16429,3.2576),(1165,4475,0.23383,3.2552),(1165,4485,0.30337,3.2495),(1165,4495,0.35908,3.2431),(1165,4505,0.37042,3.2367),(1165,4515,0.38175,3.2296),(1165,4525,0.39211,3.2222),(1165,4535,0.38709,3.2147),(1165,4545,0.38206,3.2071),(1165,4555,0.37704,3.1994),(1165,4565,0.27648,3.1916),(1165,4575,0.16304,3.1858),(1165,4585,0.049593,3.185),(1165,4595,0.04415,3.1841),(1165,4605,0.084338,3.1829),(1165,4615,0.12453,3.1785),(1165,4625,0.17212,3.1741),(1165,4635,0.22641,3.1696),(1165,4645,0.2807,3.1631),(1165,4655,0.33365,3.1564),(1165,4665,0.38408,3.1497),(1165,4675,0.4345,3.1428),(1165,4685,0.46001,3.1358),(1165,4695,0.36241,3.1288),(1165,4705,0.26482,3.1248),(1165,4715,0.16722,3.1231),(1165,4725,0.21642,3.1214),(1165,4735,0.2671,3.1176),(1165,4745,0.31777,3.1109),(1165,4755,0.39543,3.1042),(1165,4765,0.47935,3.0965),(1165,4775,0.56326,3.0858),(1165,4785,0.61123,3.0751),(1165,4795,0.63843,3.0644),(1165,4805,0.66562,3.0535),(1165,4815,0.65302,3.0425),(1165,4825,0.59283,3.0316),(1165,4835,0.53264,3.0238),(1165,4845,0.45955,3.0166),(1165,4855,0.35281,3.0093),(1165,4865,0.24608,3.0044),(1165,4875,0.16449,3.0006),(1165,4885,0.31174,2.9967),(1165,4895,0.45899,2.9878),(1165,4905,0.60623,2.9738),(1165,4915,0.61051,2.9599),(1165,4925,0.60248,2.9463),(1165,4935,0.59445,2.9336),(1165,4945,0.54516,2.9209),(1165,4955,0.48156,2.9088),(1165,4965,0.41796,2.9006),(1165,4975,0.32554,2.8923),(1165,4985,0.21085,2.8841),(1165,4995,0.096171,2.8832),(1165,5005,0.095167,2.8826),(1165,5015,0.27489,2.8819),(1165,5025,0.45461,2.8715),(1165,5035,0.61586,2.8585),(1165,5045,0.70673,2.8456),(1165,5055,0.7976,2.8302),(1165,5065,0.88674,2.8134),(1165,5075,0.91943,2.7965),(1165,5085,0.95212,2.7797),(1165,5095,0.9848,2.7632),(1165,5105,0.87406,2.7466),(1165,5115,0.7383,2.7322),(1165,5125,0.60254,2.7238),(1165,5135,0.50533,2.7155),(1165,5145,0.42683,2.7072),(1165,5155,0.34832,2.7004),(1165,5165,0.40255,2.6936),(1165,5175,0.59217,2.6868),(1165,5185,0.78178,2.6703),(1165,5195,0.92227,2.6528),(1165,5205,0.95686,2.6353),(1165,5215,0.99145,2.6179),(1165,5225,1.0202,2.6005),(1165,5235,1.0126,2.5832),(1165,5245,1.0049,2.5671),(1165,5255,0.9973,2.552),(1165,5265,0.69654,2.5369),(1165,5275,0.38369,2.5274),(1165,5285,0.070848,2.5272),(1165,5295,0.11907,2.527),(1165,5305,0.26785,2.5245),(1165,5315,0.41662,2.5117),(1165,5325,0.55485,2.499),(1165,5335,0.68616,2.4863),(1165,5345,0.81747,2.4681),(1165,5355,0.92308,2.4499),(1165,5365,0.99405,2.4317),(1165,5375,1.065,2.4131),(1165,5385,1.0562,2.3945),(1165,5395,0.80477,2.3759),(1165,5405,0.55335,2.3664),(1165,5415,0.31907,2.3616),(1165,5425,0.31515,2.3569),(1165,5435,0.31122,2.3507),(1165,5445,0.30729,2.3431),(1165,5455,0.37299,2.3354),(1165,5465,0.4472,2.326),(1165,5475,0.52141,2.3125),(1165,5485,0.55838,2.299),(1165,5495,0.58036,2.2853),(1165,5505,0.60234,2.2703),(1165,5515,0.62582,2.2554),(1165,5525,0.65062,2.2404),(1165,5535,0.67541,2.2239),(1165,5545,0.70074,2.2072),(1165,5555,0.72703,2.1906),(1165,5565,0.75333,2.1728),(1165,5575,0.77982,2.1547),(1165,5585,0.8072,2.1365),(1165,5595,0.83459,2.1175),(1165,5605,0.86197,2.0978),(1165,5615,0.89021,2.0782),(1165,5625,0.91845,2.058),(1165,5635,0.94669,2.0369),(1165,5645,0.97549,2.0159),(1165,5655,1.0044,1.9945),(1165,5665,1.0334,1.9723),(1165,5675,1.0625,1.95),(1165,5685,1.0918,1.9277),(1165,5695,1.1211,1.9044),(1165,5705,1.1505,1.8812),(1165,5715,1.1799,1.8579),(1165,5725,1.2093,1.834),(1165,5735,1.2386,1.8101),(1165,5745,1.2678,1.7861),(1165,5755,1.2969,1.7617),(1165,5765,1.326,1.7372),(1165,5775,1.3546,1.7127),(1165,5785,1.3831,1.6879),(1165,5795,1.4117,1.663),(1165,5805,1.4395,1.638),(1165,5815,1.4672,1.613),(1165,5825,1.495,1.588),(1165,5835,1.5219,1.5629),(1165,5845,1.5485,1.5378),(1165,5855,1.5752,1.5127),(1165,5865,1.6011,1.4875),(1165,5875,1.6265,1.4624),(1165,5885,1.6519,1.4372),(1165,5895,1.6768,1.412),(1165,5905,1.7008,1.3869),(1165,5915,1.7248,1.3618),(1165,5925,1.7485,1.3367),(1165,5935,1.7712,1.3116),(1165,5945,1.7938,1.2867),(1165,5955,1.8164,1.2618),(1165,5965,1.8382,1.237),(1165,5975,1.8599,1.2123),(1165,5985,1.8817,1.1877),(1165,5995,1.4421,1.1632),(1165,6005,0.92814,1.1444),(1165,6015,0.41423,1.1412),(1165,6025,0.36402,1.1379),(1165,6035,0.52887,1.1337),(1165,6045,0.69371,1.1199),(1165,6055,0.81794,1.1062),(1165,6065,0.90233,1.0924),(1165,6075,0.98672,1.0742),(1165,6085,1.0452,1.0556),(1165,6095,1.0505,1.037),(1165,6105,1.0557,1.0182),(1165,6115,1.0609,0.99941),(1165,6125,1.0659,0.98057),(1165,6135,1.0709,0.96167),(1165,6145,1.0759,0.94272),(1165,6155,1.0805,0.92377),(1165,6165,1.0852,0.90463),(1165,6175,1.0899,0.88519),(1165,6185,1.0944,0.86574),(1165,6195,1.0987,0.84629),(1165,6205,1.1031,0.82683),(1165,6215,1.1073,0.80737),(1165,6225,1.1113,0.78789),(1165,6235,1.1154,0.7682),(1165,6245,1.1193,0.7485),(1165,6255,1.1231,0.72881),(1165,6265,1.1269,0.70896),(1165,6275,1.1305,0.68908),(1165,6285,1.134,0.66921),(1165,6295,1.1374,0.64936),(1165,6305,1.1409,0.62952),(1165,6315,1.144,0.60969),(1165,6325,1.1472,0.58961),(1165,6335,1.1504,0.56927),(1165,6345,1.1532,0.54894),(1165,6355,1.1559,0.5286),(1165,6365,1.1587,0.50824),(1165,6375,1.1612,0.48789),(1165,6385,1.1637,0.46754),(1165,6395,1.1662,0.44716),(1165,6405,1.1685,0.42678),(1165,6415,1.1706,0.4064),(1165,6425,1.1727,0.38569),(1165,6435,1.1747,0.36496),(1165,6445,1.1765,0.34423),(1165,6455,1.1782,0.3235),(1165,6465,1.18,0.30277),(1165,6475,1.1814,0.28204),(1165,6485,1.1829,0.26136),(1165,6495,1.1843,0.24072),(1165,6505,1.1854,0.22008),(1165,6515,1.1865,0.19937),(1165,6525,1.1876,0.17857),(1165,6535,1.1884,0.15778),(1165,6545,1.1891,0.13696),(1165,6555,1.1898,0.1161),(1165,6565,1.1903,0.095241),(1165,6575,1.1906,0.074382),(1165,6585,1.191,0.053556),(1165,6595,1.0131,0.03273),(1165,6605,0.63841,0.011904),(1165,6615,0.26373,0.009541),(1165,6625,0.000338,0.009552),(1165,6635,0.00034,0.009562),(1165,6645,0.000342,0.00956),(1165,6655,0.000344,0.009553),(1165,6665,0.000346,0.009546),(1165,6675,0.000348,0.009539),(1165,6685,0.00035,0.009532),(1165,6695,0.000352,0.009525),(1165,6705,0.000354,0.009518),(1165,6715,0.000356,0.009511),(1165,6725,0.000358,0.009504),(1165,6735,0.00036,0.009496),(1165,6745,0.000362,0.009489),(1165,6755,0.000364,0.009482),(1165,6765,0.000366,0.009475),(1165,6775,0.000368,0.009468),(1165,6785,0.00037,0.009461),(1165,6795,0.000372,0.009454),(1165,6805,0.000373,0.009446),(1165,6815,0.000375,0.009439),(1165,6825,0.000377,0.009432),(1165,6835,0.000379,0.009424),(1165,6845,0.00038,0.009417),(1165,6855,0.000382,0.009409),(1165,6865,0.000384,0.009402),(1165,6875,0.000385,0.009395),(1165,6885,0.000387,0.009387),(1165,6895,0.000389,0.00938),(1165,6905,0.00039,0.009372),(1165,6915,0.000392,0.009365),(1165,6925,0.000393,0.009357),(1165,6935,0.000395,0.00935),(1165,6945,0.000396,0.009342),(1165,6955,0.000398,0.009334),(1165,6965,0.000399,0.009327),(1165,6975,0.000401,0.009319),(1165,6985,0.000402,0.009312),(1175,5,5.2e-05,3.6713),(1175,15,0.000155,3.6713),(1175,25,0.000259,3.6713),(1175,35,0.000363,3.6713),(1175,45,0.000466,3.6713),(1175,55,0.00057,3.6713),(1175,65,0.000674,3.6713),(1175,75,0.000778,3.6713),(1175,85,0.000882,3.6713),(1175,95,0.000986,3.6713),(1175,105,0.00109,3.6713),(1175,115,0.001194,3.6712),(1175,125,0.001298,3.6712),(1175,135,0.001403,3.6712),(1175,145,0.001508,3.6712),(1175,155,0.001613,3.6712),(1175,165,0.001718,3.6711),(1175,175,0.001823,3.6711),(1175,185,0.001929,3.6711),(1175,195,0.002035,3.6711),(1175,205,0.002141,3.671),(1175,215,0.002247,3.671),(1175,225,0.002353,3.671),(1175,235,0.00246,3.6709),(1175,245,0.002567,3.6709),(1175,255,0.002674,3.6709),(1175,265,0.002782,3.6708),(1175,275,0.002891,3.6708),(1175,285,0.002999,3.6707),(1175,295,0.003107,3.6707),(1175,305,0.003217,3.6707),(1175,315,0.003326,3.6706),(1175,325,0.003436,3.6706),(1175,335,0.003546,3.6705),(1175,345,0.003657,3.6705),(1175,355,0.003768,3.6704),(1175,365,0.003879,3.6703),(1175,375,0.00399,3.6703),(1175,385,0.004103,3.6702),(1175,395,0.004216,3.6702),(1175,405,0.004329,3.6701),(1175,415,0.004442,3.6701),(1175,425,0.004557,3.67),(1175,435,0.004673,3.6699),(1175,445,0.004788,3.6699),(1175,455,0.004903,3.6698),(1175,465,0.00502,3.6697),(1175,475,0.005137,3.6696),(1175,485,0.005255,3.6696),(1175,495,0.005372,3.6695),(1175,505,0.005492,3.6694),(1175,515,0.005612,3.6693),(1175,525,0.005731,3.6693),(1175,535,0.005851,3.6692),(1175,545,0.005974,3.6691),(1175,555,0.006096,3.669),(1175,565,0.006218,3.6689),(1175,575,0.006341,3.6688),(1175,585,0.006466,3.6687),(1175,595,0.006591,3.6686),(1175,605,0.006716,3.6685),(1175,615,0.006842,3.6684),(1175,625,0.00697,3.6683),(1175,635,0.007098,3.6682),(1175,645,0.007226,3.6681),(1175,655,0.007354,3.668),(1175,665,0.007485,3.6679),(1175,675,0.007617,3.6678),(1175,685,0.007748,3.6677),(1175,695,0.00788,3.6676),(1175,705,0.008014,3.6675),(1175,715,0.008149,3.6674),(1175,725,0.008284,3.6673),(1175,735,0.008419,3.6671),(1175,745,0.008557,3.667),(1175,755,0.008696,3.6669),(1175,765,0.008834,3.6668),(1175,775,0.008973,3.6666),(1175,785,0.009115,3.6665),(1175,795,0.009257,3.6664),(1175,805,0.009399,3.6662),(1175,815,0.009542,3.6661),(1175,825,0.009688,3.666),(1175,835,0.009834,3.6658),(1175,845,0.00998,3.6657),(1175,855,0.010127,3.6655),(1175,865,0.010277,3.6654),(1175,875,0.010427,3.6652),(1175,885,0.010577,3.6651),(1175,895,0.010729,3.6649),(1175,905,0.010883,3.6648),(1175,915,0.011037,3.6646),(1175,925,0.011192,3.6644),(1175,935,0.011348,3.6643),(1175,945,0.011507,3.6641),(1175,955,0.011666,3.6639),(1175,965,0.011825,3.6638),(1175,975,0.011986,3.6636),(1175,985,0.01215,3.6634),(1175,995,0.012313,3.6632),(1175,1005,0.012477,3.663),(1175,1015,0.012643,3.6629),(1175,1025,0.012811,3.6627),(1175,1035,0.012979,3.6625),(1175,1045,0.013148,3.6623),(1175,1055,0.013319,3.6621),(1175,1065,0.013492,3.6619),(1175,1075,0.013666,3.6617),(1175,1085,0.013839,3.6615),(1175,1095,0.014016,3.6613),(1175,1105,0.014194,3.6611),(1175,1115,0.014373,3.6609),(1175,1125,0.014552,3.6606),(1175,1135,0.014734,3.6604),(1175,1145,0.014918,3.6602),(1175,1155,0.015102,3.66),(1175,1165,0.015286,3.6597),(1175,1175,0.015473,3.6595),(1175,1185,0.015663,3.6593),(1175,1195,0.015852,3.6591),(1175,1205,0.016042,3.6588),(1175,1215,0.016235,3.6586),(1175,1225,0.01643,3.6583),(1175,1235,0.016625,3.6581),(1175,1245,0.01682,3.6578),(1175,1255,0.017019,3.6576),(1175,1265,0.01722,3.6573),(1175,1275,0.017421,3.657),(1175,1285,0.017622,3.6568),(1175,1295,0.017828,3.6565),(1175,1305,0.018034,3.6562),(1175,1315,0.018241,3.656),(1175,1325,0.018448,3.6557),(1175,1335,0.01866,3.6554),(1175,1345,0.018873,3.6551),(1175,1355,0.019086,3.6548),(1175,1365,0.019298,3.6545),(1175,1375,0.019516,3.6542),(1175,1385,0.019735,3.6539),(1175,1395,0.019954,3.6536),(1175,1405,0.020173,3.6533),(1175,1415,0.020398,3.653),(1175,1425,0.020623,3.6527),(1175,1435,0.020848,3.6524),(1175,1445,0.021073,3.6521),(1175,1455,0.021304,3.6517),(1175,1465,0.021535,3.6514),(1175,1475,0.021767,3.6511),(1175,1485,0.021998,3.6507),(1175,1495,0.022235,3.6504),(1175,1505,0.022473,3.65),(1175,1515,0.022711,3.6497),(1175,1525,0.022949,3.6493),(1175,1535,0.023192,3.649),(1175,1545,0.023436,3.6486),(1175,1555,0.02368,3.6482),(1175,1565,0.023925,3.6479),(1175,1575,0.024175,3.6475),(1175,1585,0.024425,3.6471),(1175,1595,0.024676,3.6467),(1175,1605,0.024926,3.6463),(1175,1615,0.025183,3.6459),(1175,1625,0.02544,3.6455),(1175,1635,0.025696,3.6451),(1175,1645,0.025954,3.6447),(1175,1655,0.026216,3.6443),(1175,1665,0.026479,3.6439),(1175,1675,0.026742,3.6435),(1175,1685,0.027006,3.643),(1175,1695,0.027275,3.6426),(1175,1705,0.027544,3.6422),(1175,1715,0.027813,3.6417),(1175,1725,0.028083,3.6413),(1175,1735,0.028359,3.6408),(1175,1745,0.028634,3.6404),(1175,1755,0.028909,3.6399),(1175,1765,0.029186,3.6394),(1175,1775,0.029467,3.639),(1175,1785,0.029748,3.6385),(1175,1795,0.030029,3.638),(1175,1805,0.030312,3.6375),(1175,1815,0.030598,3.637),(1175,1825,0.030885,3.6365),(1175,1835,0.031172,3.636),(1175,1845,0.031461,3.6355),(1175,1855,0.031753,3.635),(1175,1865,0.032046,3.6345),(1175,1875,0.032338,3.634),(1175,1885,0.032633,3.6334),(1175,1895,0.032931,3.6329),(1175,1905,0.033229,3.6324),(1175,1915,0.033527,3.6318),(1175,1925,0.033827,3.6313),(1175,1935,0.034131,3.6307),(1175,1945,0.034434,3.6301),(1175,1955,0.034737,3.6296),(1175,1965,0.035043,3.629),(1175,1975,0.035351,3.6284),(1175,1985,0.035659,3.6278),(1175,1995,0.035967,3.6272),(1175,2005,0.036278,3.6266),(1175,2015,0.03659,3.626),(1175,2025,0.036903,3.6254),(1175,2035,0.037215,3.6248),(1175,2045,0.03753,3.6242),(1175,2055,0.037847,3.6235),(1175,2065,0.038164,3.6229),(1175,2075,0.03848,3.6223),(1175,2085,0.038799,3.6216),(1175,2095,0.03912,3.621),(1175,2105,0.03944,3.6203),(1175,2115,0.03976,3.6196),(1175,2125,0.040083,3.619),(1175,2135,0.040407,3.6183),(1175,2145,0.040731,3.6176),(1175,2155,0.041054,3.6169),(1175,2165,0.04138,3.6162),(1175,2175,0.041707,3.6155),(1175,2185,0.042033,3.6148),(1175,2195,0.04236,3.6141),(1175,2205,0.042688,3.6134),(1175,2215,0.043017,3.6126),(1175,2225,0.043346,3.6119),(1175,2235,0.043675,3.6111),(1175,2245,0.044005,3.6104),(1175,2255,0.044336,3.6096),(1175,2265,0.044666,3.6089),(1175,2275,0.044997,3.6081),(1175,2285,0.045328,3.6073),(1175,2295,0.045659,3.6066),(1175,2305,0.045991,3.6058),(1175,2315,0.046323,3.605),(1175,2325,0.046654,3.6042),(1175,2335,0.046986,3.6034),(1175,2345,0.047318,3.6026),(1175,2355,0.04765,3.6017),(1175,2365,0.047982,3.6009),(1175,2375,0.048313,3.6001),(1175,2385,0.048645,3.5992),(1175,2395,0.048977,3.5984),(1175,2405,0.049307,3.5975),(1175,2415,0.049638,3.5967),(1175,2425,0.049969,3.5958),(1175,2435,0.050299,3.5949),(1175,2445,0.050628,3.5941),(1175,2455,0.050957,3.5932),(1175,2465,0.051285,3.5923),(1175,2475,0.051614,3.5914),(1175,2485,0.051939,3.5905),(1175,2495,0.052265,3.5896),(1175,2505,0.052591,3.5886),(1175,2515,0.052917,3.5877),(1175,2525,0.053239,3.5868),(1175,2535,0.053561,3.5859),(1175,2545,0.053883,3.5849),(1175,2555,0.054204,3.584),(1175,2565,0.054522,3.583),(1175,2575,0.054839,3.5821),(1175,2585,0.055156,3.5811),(1175,2595,0.055473,3.5801),(1175,2605,0.055785,3.5791),(1175,2615,0.056097,3.5782),(1175,2625,0.056409,3.5772),(1175,2635,0.05672,3.5762),(1175,2645,0.057025,3.5752),(1175,2655,0.05733,3.5742),(1175,2665,0.057635,3.5731),(1175,2675,0.057939,3.5721),(1175,2685,0.058236,3.5711),(1175,2695,0.058533,3.5701),(1175,2705,0.058831,3.569),(1175,2715,0.059126,3.568),(1175,2725,0.059414,3.5669),(1175,2735,0.059703,3.5659),(1175,2745,0.059991,3.5648),(1175,2755,0.060277,3.5638),(1175,2765,0.060555,3.5627),(1175,2775,0.060833,3.5616),(1175,2785,0.061112,3.5606),(1175,2795,0.061386,3.5595),(1175,2805,0.061653,3.5584),(1175,2815,0.06192,3.5573),(1175,2825,0.062187,3.5562),(1175,2835,0.062449,3.5551),(1175,2845,0.062704,3.554),(1175,2855,0.062958,3.5529),(1175,2865,0.063212,3.5518),(1175,2875,0.063461,3.5507),(1175,2885,0.063701,3.5496),(1175,2895,0.063942,3.5485),(1175,2905,0.064182,3.5473),(1175,2915,0.064416,3.5462),(1175,2925,0.06464,3.5451),(1175,2935,0.064865,3.544),(1175,2945,0.06509,3.5428),(1175,2955,0.065307,3.5417),(1175,2965,0.065515,3.5406),(1175,2975,0.065722,3.5394),(1175,2985,0.06593,3.5383),(1175,2995,0.066129,3.5371),(1175,3005,0.066318,3.536),(1175,3015,0.066507,3.5348),(1175,3025,0.066696,3.5337),(1175,3035,0.066875,3.5325),(1175,3045,0.067044,3.5314),(1175,3055,0.067212,3.5302),(1175,3065,0.067381,3.5291),(1175,3075,0.067538,3.5279),(1175,3085,0.067685,3.5267),(1175,3095,0.067832,3.5256),(1175,3105,0.067979,3.5244),(1175,3115,0.068111,3.5233),(1175,3125,0.068234,3.5221),(1175,3135,0.068357,3.521),(1175,3145,0.06848,3.5198),(1175,3155,0.068587,3.5186),(1175,3165,0.068684,3.5175),(1175,3175,0.068781,3.5163),(1175,3185,0.068878,3.5152),(1175,3195,0.068956,3.514),(1175,3205,0.069025,3.5129),(1175,3215,0.069094,3.5117),(1175,3225,0.069163,3.5106),(1175,3235,0.06921,3.5095),(1175,3245,0.069249,3.5083),(1175,3255,0.069287,3.5072),(1175,3265,0.069326,3.5061),(1175,3275,0.06934,3.5049),(1175,3285,0.069345,3.5038),(1175,3295,0.069351,3.5027),(1175,3305,0.069357,3.5016),(1175,3315,0.069334,3.5004),(1175,3325,0.069304,3.4993),(1175,3335,0.069275,3.4982),(1175,3345,0.069245,3.4971),(1175,3355,0.069183,3.496),(1175,3365,0.069115,3.4949),(1175,3375,0.069047,3.4939),(1175,3385,0.068979,3.4928),(1175,3395,0.068874,3.4917),(1175,3405,0.068764,3.4906),(1175,3415,0.068654,3.4896),(1175,3425,0.068544,3.4885),(1175,3435,0.068394,3.4875),(1175,3445,0.068239,3.4864),(1175,3455,0.068085,3.4854),(1175,3465,0.067931,3.4844),(1175,3475,0.067731,3.4834),(1175,3485,0.067528,3.4823),(1175,3495,0.067326,3.4813),(1175,3505,0.067123,3.4804),(1175,3515,0.066869,3.4794),(1175,3525,0.066615,3.4784),(1175,3535,0.066361,3.4774),(1175,3545,0.066105,3.4765),(1175,3555,0.065795,3.4755),(1175,3565,0.065486,3.4746),(1175,3575,0.065177,3.4736),(1175,3585,0.064862,3.4727),(1175,3595,0.064494,3.4718),(1175,3605,0.064125,3.4709),(1175,3615,0.063757,3.47),(1175,3625,0.06338,3.4691),(1175,3635,0.062949,3.4682),(1175,3645,0.062517,3.4674),(1175,3655,0.062085,3.4665),(1175,3665,0.061643,3.4657),(1175,3675,0.061144,3.4649),(1175,3685,0.060646,3.464),(1175,3695,0.060147,3.4632),(1175,3705,0.059634,3.4624),(1175,3715,0.059065,3.4616),(1175,3725,0.058495,3.4609),(1175,3735,0.057926,3.4601),(1175,3745,0.057338,3.4594),(1175,3755,0.056695,3.4586),(1175,3765,0.056051,3.4579),(1175,3775,0.055407,3.4572),(1175,3785,0.054741,3.4565),(1175,3795,0.054019,3.4557),(1175,3805,0.053298,3.4551),(1175,3815,0.052576,3.4544),(1175,3825,0.051828,3.4537),(1175,3835,0.051026,3.4531),(1175,3845,0.050223,3.4524),(1175,3855,0.049421,3.4518),(1175,3865,0.048588,3.4512),(1175,3875,0.047702,3.4506),(1175,3885,0.046816,3.45),(1175,3895,0.045931,3.4495),(1175,3905,0.053517,3.4489),(1175,3915,0.073759,3.4484),(1175,3925,0.094001,3.4475),(1175,3935,0.11424,3.4463),(1175,3945,0.13707,3.445),(1175,3955,0.16317,3.4437),(1175,3965,0.18928,3.4418),(1175,3975,0.21539,3.439),(1175,3985,0.23111,3.4363),(1175,3995,0.23558,3.4336),(1175,4005,0.24006,3.4305),(1175,4015,0.24453,3.4272),(1175,4025,0.24863,3.4238),(1175,4035,0.2527,3.4203),(1175,4045,0.25676,3.4165),(1175,4055,0.26044,3.4127),(1175,4065,0.26397,3.4089),(1175,4075,0.2675,3.4048),(1175,4085,0.27061,3.4007),(1175,4095,0.27339,3.3966),(1175,4105,0.27616,3.3925),(1175,4115,0.2683,3.3884),(1175,4125,0.24283,3.3843),(1175,4135,0.21736,3.3813),(1175,4145,0.19101,3.3787),(1175,4155,0.16114,3.3761),(1175,4165,0.13128,3.3743),(1175,4175,0.10299,3.3729),(1175,4185,0.1528,3.3716),(1175,4195,0.20262,3.3688),(1175,4205,0.25244,3.364),(1175,4215,0.24926,3.3591),(1175,4225,0.2361,3.3542),(1175,4235,0.22295,3.3493),(1175,4245,0.2042,3.3443),(1175,4255,0.18262,3.3394),(1175,4265,0.16105,3.3355),(1175,4275,0.13308,3.3316),(1175,4285,0.098327,3.3277),(1175,4295,0.063576,3.3263),(1175,4305,0.056428,3.3251),(1175,4315,0.11161,3.324),(1175,4325,0.16679,3.3191),(1175,4335,0.21615,3.3128),(1175,4345,0.2261,3.3065),(1175,4355,0.23605,3.3004),(1175,4365,0.246,3.2943),(1175,4375,0.2492,3.2883),(1175,4385,0.25204,3.2825),(1175,4395,0.25489,3.2771),(1175,4405,0.22238,3.2716),(1175,4415,0.17945,3.2668),(1175,4425,0.13652,3.2643),(1175,4435,0.12239,3.2619),(1175,4445,0.12794,3.2594),(1175,4455,0.1335,3.257),(1175,4465,0.16592,3.2545),(1175,4475,0.23609,3.252),(1175,4485,0.30626,3.2463),(1175,4495,0.36249,3.2398),(1175,4505,0.37398,3.2334),(1175,4515,0.38548,3.2262),(1175,4525,0.396,3.2187),(1175,4535,0.39107,3.2112),(1175,4545,0.38614,3.2034),(1175,4555,0.38121,3.1955),(1175,4565,0.27967,3.1876),(1175,4575,0.16511,3.1818),(1175,4585,0.050552,3.1809),(1175,4595,0.045276,3.18),(1175,4605,0.086174,3.1787),(1175,4615,0.12707,3.1743),(1175,4625,0.17512,3.1698),(1175,4635,0.22965,3.1654),(1175,4645,0.28417,3.1589),(1175,4655,0.33716,3.1522),(1175,4665,0.38726,3.1456),(1175,4675,0.43736,3.1387),(1175,4685,0.46247,3.1317),(1175,4695,0.36411,3.1247),(1175,4705,0.26575,3.1207),(1175,4715,0.16739,3.119),(1175,4725,0.21765,3.1172),(1175,4735,0.26939,3.1134),(1175,4745,0.32113,3.1067),(1175,4755,0.39938,3.1),(1175,4765,0.48376,3.0924),(1175,4775,0.56814,3.0818),(1175,4785,0.6162,3.0711),(1175,4795,0.64324,3.0604),(1175,4805,0.67029,3.0495),(1175,4815,0.65734,3.0386),(1175,4825,0.59657,3.0276),(1175,4835,0.53581,3.0199),(1175,4845,0.46226,3.0126),(1175,4855,0.35536,3.0053),(1175,4865,0.24847,3.0003),(1175,4875,0.16692,2.9965),(1175,4885,0.31585,2.9927),(1175,4895,0.46479,2.9837),(1175,4905,0.61373,2.9698),(1175,4915,0.61786,2.9558),(1175,4925,0.60953,2.9423),(1175,4935,0.60121,2.9295),(1175,4945,0.55126,2.9168),(1175,4955,0.48689,2.9047),(1175,4965,0.42252,2.8964),(1175,4975,0.32907,2.8881),(1175,4985,0.21318,2.8798),(1175,4995,0.097291,2.879),(1175,5005,0.096339,2.8783),(1175,5015,0.27812,2.8776),(1175,5025,0.4599,2.8672),(1175,5035,0.62286,2.8544),(1175,5045,0.71413,2.8415),(1175,5055,0.80541,2.8262),(1175,5065,0.89493,2.8095),(1175,5075,0.92728,2.7927),(1175,5085,0.95964,2.7761),(1175,5095,0.99199,2.7597),(1175,5105,0.88014,2.7432),(1175,5115,0.74314,2.7289),(1175,5125,0.60614,2.7206),(1175,5135,0.50861,2.7123),(1175,5145,0.43023,2.7041),(1175,5155,0.35185,2.6973),(1175,5165,0.4069,2.6905),(1175,5175,0.59802,2.6837),(1175,5185,0.78915,2.6673),(1175,5195,0.93058,2.6498),(1175,5205,0.96488,2.6323),(1175,5215,0.99917,2.615),(1175,5225,1.0276,2.5977),(1175,5235,1.0194,2.5804),(1175,5245,1.0112,2.5643),(1175,5255,1.003,2.5493),(1175,5265,0.70055,2.5343),(1175,5275,0.38595,2.5248),(1175,5285,0.07134,2.5246),(1175,5295,0.12096,2.5245),(1175,5305,0.27202,2.5219),(1175,5315,0.42307,2.5092),(1175,5325,0.56253,2.4964),(1175,5335,0.6944,2.4836),(1175,5345,0.82626,2.4655),(1175,5355,0.93203,2.4474),(1175,5365,1.0026,2.4293),(1175,5375,1.0732,2.4108),(1175,5385,1.0636,2.3924),(1175,5395,0.81024,2.3739),(1175,5405,0.55689,2.3645),(1175,5415,0.32089,2.3597),(1175,5425,0.31776,2.355),(1175,5435,0.31463,2.3488),(1175,5445,0.3115,2.341),(1175,5455,0.37817,2.3332),(1175,5465,0.45338,2.3237),(1175,5475,0.52858,2.31),(1175,5485,0.56602,2.2963),(1175,5495,0.58825,2.2824),(1175,5505,0.61048,2.2672),(1175,5515,0.63422,2.252),(1175,5525,0.65928,2.2368),(1175,5535,0.68434,2.2201),(1175,5545,0.70992,2.2033),(1175,5555,0.73647,2.1866),(1175,5565,0.76302,2.1686),(1175,5575,0.78975,2.1503),(1175,5585,0.81735,2.132),(1175,5595,0.84496,2.1128),(1175,5605,0.87256,2.093),(1175,5615,0.90097,2.0733),(1175,5625,0.92938,2.053),(1175,5635,0.95779,2.0318),(1175,5645,0.98673,2.0107),(1175,5655,1.0158,1.9893),(1175,5665,1.0448,1.967),(1175,5675,1.0741,1.9447),(1175,5685,1.1035,1.9224),(1175,5695,1.1328,1.8991),(1175,5705,1.1622,1.8759),(1175,5715,1.1916,1.8526),(1175,5725,1.2211,1.8288),(1175,5735,1.2504,1.8049),(1175,5745,1.2795,1.781),(1175,5755,1.3086,1.7567),(1175,5765,1.3376,1.7322),(1175,5775,1.3661,1.7077),(1175,5785,1.3946,1.6831),(1175,5795,1.4231,1.6583),(1175,5805,1.4507,1.6334),(1175,5815,1.4783,1.6086),(1175,5825,1.5059,1.5837),(1175,5835,1.5326,1.5587),(1175,5845,1.5591,1.5338),(1175,5855,1.5856,1.5088),(1175,5865,1.6114,1.4839),(1175,5875,1.6366,1.4589),(1175,5885,1.6617,1.4339),(1175,5895,1.6864,1.409),(1175,5905,1.7102,1.384),(1175,5915,1.734,1.3591),(1175,5925,1.7575,1.3343),(1175,5935,1.7799,1.3094),(1175,5945,1.8023,1.2847),(1175,5955,1.8247,1.2601),(1175,5965,1.8462,1.2355),(1175,5975,1.8678,1.211),(1175,5985,1.8893,1.1867),(1175,5995,1.4478,1.1624),(1175,6005,0.93181,1.1439),(1175,6015,0.4158,1.1407),(1175,6025,0.36616,1.1375),(1175,6035,0.53283,1.1333),(1175,6045,0.6995,1.1195),(1175,6055,0.82498,1.1057),(1175,6065,0.91009,1.092),(1175,6075,0.99519,1.0738),(1175,6085,1.0542,1.0552),(1175,6095,1.0595,1.0366),(1175,6105,1.0647,1.0178),(1175,6115,1.07,0.99895),(1175,6125,1.075,0.98011),(1175,6135,1.08,0.9612),(1175,6145,1.085,0.94225),(1175,6155,1.0898,0.9233),(1175,6165,1.0945,0.90416),(1175,6175,1.0992,0.88471),(1175,6185,1.1037,0.86526),(1175,6195,1.1081,0.84581),(1175,6205,1.1125,0.82635),(1175,6215,1.1167,0.80688),(1175,6225,1.1208,0.78741),(1175,6235,1.1249,0.76773),(1175,6245,1.1289,0.74804),(1175,6255,1.1326,0.72836),(1175,6265,1.1364,0.70855),(1175,6275,1.1402,0.68871),(1175,6285,1.1436,0.66888),(1175,6295,1.147,0.64901),(1175,6305,1.1505,0.62913),(1175,6315,1.1537,0.60925),(1175,6325,1.1569,0.58916),(1175,6335,1.1601,0.56884),(1175,6345,1.163,0.54852),(1175,6355,1.1657,0.5282),(1175,6365,1.1685,0.50787),(1175,6375,1.1711,0.48754),(1175,6385,1.1736,0.46721),(1175,6395,1.1761,0.44684),(1175,6405,1.1784,0.42647),(1175,6415,1.1805,0.4061),(1175,6425,1.1826,0.3854),(1175,6435,1.1846,0.36468),(1175,6445,1.1864,0.34397),(1175,6455,1.1882,0.32326),(1175,6465,1.1899,0.30255),(1175,6475,1.1914,0.28184),(1175,6485,1.1929,0.26118),(1175,6495,1.1944,0.24054),(1175,6505,1.1955,0.21991),(1175,6515,1.1966,0.19921),(1175,6525,1.1977,0.17843),(1175,6535,1.1985,0.15764),(1175,6545,1.1992,0.13685),(1175,6555,1.2,0.11603),(1175,6565,1.2004,0.095211),(1175,6575,1.2007,0.074392),(1175,6585,1.2011,0.053575),(1175,6595,1.0217,0.032758),(1175,6605,0.64381,0.011941),(1175,6615,0.26596,0.00957),(1175,6625,0.000341,0.009569),(1175,6635,0.000344,0.009568),(1175,6645,0.000346,0.009562),(1175,6655,0.000348,0.009555),(1175,6665,0.00035,0.009548),(1175,6675,0.000352,0.009541),(1175,6685,0.000354,0.009534),(1175,6695,0.000356,0.009527),(1175,6705,0.000358,0.00952),(1175,6715,0.00036,0.009513),(1175,6725,0.000362,0.009506),(1175,6735,0.000364,0.009498),(1175,6745,0.000366,0.009491),(1175,6755,0.000368,0.009484),(1175,6765,0.00037,0.009477),(1175,6775,0.000372,0.00947),(1175,6785,0.000374,0.009463),(1175,6795,0.000375,0.009455),(1175,6805,0.000377,0.009448),(1175,6815,0.000379,0.009441),(1175,6825,0.000381,0.009433),(1175,6835,0.000382,0.009426),(1175,6845,0.000384,0.009418),(1175,6855,0.000386,0.009411),(1175,6865,0.000388,0.009404),(1175,6875,0.000389,0.009396),(1175,6885,0.000391,0.009389),(1175,6895,0.000393,0.009381),(1175,6905,0.000394,0.009374),(1175,6915,0.000396,0.009366),(1175,6925,0.000397,0.009359),(1175,6935,0.000399,0.009351),(1175,6945,0.0004,0.009343),(1175,6955,0.000402,0.009336),(1175,6965,0.000403,0.009328),(1175,6975,0.000405,0.009321),(1175,6985,0.000406,0.009313),(1185,5,5.2e-05,3.6714),(1185,15,0.000156,3.6714),(1185,25,0.00026,3.6714),(1185,35,0.000365,3.6714),(1185,45,0.000469,3.6714),(1185,55,0.000573,3.6714),(1185,65,0.000677,3.6714),(1185,75,0.000782,3.6714),(1185,85,0.000886,3.6714),(1185,95,0.000991,3.6714),(1185,105,0.001095,3.6714),(1185,115,0.0012,3.6713),(1185,125,0.001305,3.6713),(1185,135,0.00141,3.6713),(1185,145,0.001515,3.6713),(1185,155,0.001621,3.6713),(1185,165,0.001727,3.6712),(1185,175,0.001832,3.6712),(1185,185,0.001938,3.6712),(1185,195,0.002045,3.6712),(1185,205,0.002151,3.6711),(1185,215,0.002258,3.6711),(1185,225,0.002365,3.6711),(1185,235,0.002473,3.671),(1185,245,0.00258,3.671),(1185,255,0.002688,3.671),(1185,265,0.002796,3.6709),(1185,275,0.002905,3.6709),(1185,285,0.003014,3.6708),(1185,295,0.003123,3.6708),(1185,305,0.003233,3.6708),(1185,315,0.003343,3.6707),(1185,325,0.003453,3.6707),(1185,335,0.003564,3.6706),(1185,345,0.003675,3.6706),(1185,355,0.003787,3.6705),(1185,365,0.003899,3.6705),(1185,375,0.004011,3.6704),(1185,385,0.004124,3.6703),(1185,395,0.004238,3.6703),(1185,405,0.004352,3.6702),(1185,415,0.004465,3.6702),(1185,425,0.004581,3.6701),(1185,435,0.004697,3.67),(1185,445,0.004812,3.67),(1185,455,0.004928,3.6699),(1185,465,0.005046,3.6698),(1185,475,0.005164,3.6698),(1185,485,0.005282,3.6697),(1185,495,0.0054,3.6696),(1185,505,0.00552,3.6695),(1185,515,0.005641,3.6695),(1185,525,0.005761,3.6694),(1185,535,0.005882,3.6693),(1185,545,0.006005,3.6692),(1185,555,0.006128,3.6691),(1185,565,0.006251,3.669),(1185,575,0.006374,3.6689),(1185,585,0.0065,3.6689),(1185,595,0.006626,3.6688),(1185,605,0.006751,3.6687),(1185,615,0.006877,3.6686),(1185,625,0.007006,3.6685),(1185,635,0.007135,3.6684),(1185,645,0.007264,3.6683),(1185,655,0.007393,3.6682),(1185,665,0.007525,3.6681),(1185,675,0.007657,3.668),(1185,685,0.007789,3.6678),(1185,695,0.007922,3.6677),(1185,705,0.008057,3.6676),(1185,715,0.008193,3.6675),(1185,725,0.008328,3.6674),(1185,735,0.008464,3.6673),(1185,745,0.008604,3.6671),(1185,755,0.008743,3.667),(1185,765,0.008882,3.6669),(1185,775,0.009022,3.6668),(1185,785,0.009165,3.6666),(1185,795,0.009307,3.6665),(1185,805,0.00945,3.6664),(1185,815,0.009594,3.6662),(1185,825,0.009741,3.6661),(1185,835,0.009888,3.666),(1185,845,0.010034,3.6658),(1185,855,0.010183,3.6657),(1185,865,0.010334,3.6655),(1185,875,0.010485,3.6654),(1185,885,0.010636,3.6652),(1185,895,0.010788,3.6651),(1185,905,0.010944,3.6649),(1185,915,0.011099,3.6647),(1185,925,0.011254,3.6646),(1185,935,0.011412,3.6644),(1185,945,0.011572,3.6643),(1185,955,0.011732,3.6641),(1185,965,0.011892,3.6639),(1185,975,0.012054,3.6637),(1185,985,0.012219,3.6636),(1185,995,0.012383,3.6634),(1185,1005,0.012548,3.6632),(1185,1015,0.012715,3.663),(1185,1025,0.012884,3.6628),(1185,1035,0.013054,3.6626),(1185,1045,0.013223,3.6625),(1185,1055,0.013396,3.6623),(1185,1065,0.01357,3.6621),(1185,1075,0.013745,3.6619),(1185,1085,0.01392,3.6617),(1185,1095,0.014097,3.6615),(1185,1105,0.014277,3.6612),(1185,1115,0.014457,3.661),(1185,1125,0.014637,3.6608),(1185,1135,0.01482,3.6606),(1185,1145,0.015006,3.6604),(1185,1155,0.015191,3.6602),(1185,1165,0.015376,3.6599),(1185,1175,0.015566,3.6597),(1185,1185,0.015756,3.6595),(1185,1195,0.015947,3.6592),(1185,1205,0.016138,3.659),(1185,1215,0.016333,3.6588),(1185,1225,0.016529,3.6585),(1185,1235,0.016726,3.6583),(1185,1245,0.016922,3.658),(1185,1255,0.017123,3.6578),(1185,1265,0.017326,3.6575),(1185,1275,0.017528,3.6572),(1185,1285,0.01773,3.657),(1185,1295,0.017938,3.6567),(1185,1305,0.018146,3.6564),(1185,1315,0.018354,3.6562),(1185,1325,0.018563,3.6559),(1185,1335,0.018776,3.6556),(1185,1345,0.018991,3.6553),(1185,1355,0.019205,3.655),(1185,1365,0.01942,3.6547),(1185,1375,0.01964,3.6545),(1185,1385,0.01986,3.6542),(1185,1395,0.020081,3.6539),(1185,1405,0.020302,3.6535),(1185,1415,0.020528,3.6532),(1185,1425,0.020755,3.6529),(1185,1435,0.020982,3.6526),(1185,1445,0.021209,3.6523),(1185,1455,0.021442,3.652),(1185,1465,0.021675,3.6516),(1185,1475,0.021908,3.6513),(1185,1485,0.022141,3.651),(1185,1495,0.022381,3.6506),(1185,1505,0.022621,3.6503),(1185,1515,0.02286,3.6499),(1185,1525,0.0231,3.6496),(1185,1535,0.023346,3.6492),(1185,1545,0.023592,3.6488),(1185,1555,0.023838,3.6485),(1185,1565,0.024085,3.6481),(1185,1575,0.024337,3.6477),(1185,1585,0.024589,3.6474),(1185,1595,0.024842,3.647),(1185,1605,0.025095,3.6466),(1185,1615,0.025354,3.6462),(1185,1625,0.025613,3.6458),(1185,1635,0.025871,3.6454),(1185,1645,0.026131,3.645),(1185,1655,0.026396,3.6446),(1185,1665,0.026661,3.6442),(1185,1675,0.026927,3.6437),(1185,1685,0.027193,3.6433),(1185,1695,0.027464,3.6429),(1185,1705,0.027736,3.6424),(1185,1715,0.028007,3.642),(1185,1725,0.02828,3.6415),(1185,1735,0.028558,3.6411),(1185,1745,0.028836,3.6407),(1185,1755,0.029113,3.6402),(1185,1765,0.029393,3.6397),(1185,1775,0.029676,3.6393),(1185,1785,0.02996,3.6388),(1185,1795,0.030244,3.6383),(1185,1805,0.030529,3.6378),(1185,1815,0.030819,3.6373),(1185,1825,0.031108,3.6368),(1185,1835,0.031398,3.6363),(1185,1845,0.03169,3.6358),(1185,1855,0.031985,3.6353),(1185,1865,0.03228,3.6348),(1185,1875,0.032575,3.6343),(1185,1885,0.032873,3.6337),(1185,1895,0.033174,3.6332),(1185,1905,0.033475,3.6327),(1185,1915,0.033776,3.6321),(1185,1925,0.034079,3.6316),(1185,1935,0.034385,3.631),(1185,1945,0.034691,3.6304),(1185,1955,0.034998,3.6299),(1185,1965,0.035306,3.6293),(1185,1975,0.035617,3.6287),(1185,1985,0.035929,3.6281),(1185,1995,0.03624,3.6275),(1185,2005,0.036553,3.6269),(1185,2015,0.036869,3.6263),(1185,2025,0.037185,3.6257),(1185,2035,0.037501,3.6251),(1185,2045,0.037819,3.6245),(1185,2055,0.038139,3.6239),(1185,2065,0.038459,3.6232),(1185,2075,0.038779,3.6226),(1185,2085,0.039101,3.6219),(1185,2095,0.039425,3.6213),(1185,2105,0.039748,3.6206),(1185,2115,0.040072,3.62),(1185,2125,0.040398,3.6193),(1185,2135,0.040725,3.6186),(1185,2145,0.041052,3.6179),(1185,2155,0.041379,3.6172),(1185,2165,0.041708,3.6165),(1185,2175,0.042038,3.6158),(1185,2185,0.042368,3.6151),(1185,2195,0.042698,3.6144),(1185,2205,0.04303,3.6137),(1185,2215,0.043362,3.613),(1185,2225,0.043695,3.6122),(1185,2235,0.044027,3.6115),(1185,2245,0.044361,3.6107),(1185,2255,0.044695,3.61),(1185,2265,0.045029,3.6092),(1185,2275,0.045363,3.6084),(1185,2285,0.045698,3.6077),(1185,2295,0.046033,3.6069),(1185,2305,0.046368,3.6061),(1185,2315,0.046703,3.6053),(1185,2325,0.047038,3.6045),(1185,2335,0.047373,3.6037),(1185,2345,0.047709,3.6029),(1185,2355,0.048044,3.6021),(1185,2365,0.048379,3.6012),(1185,2375,0.048714,3.6004),(1185,2385,0.04905,3.5996),(1185,2395,0.049385,3.5987),(1185,2405,0.049719,3.5979),(1185,2415,0.050053,3.597),(1185,2425,0.050387,3.5961),(1185,2435,0.050721,3.5953),(1185,2445,0.051053,3.5944),(1185,2455,0.051385,3.5935),(1185,2465,0.051717,3.5926),(1185,2475,0.052049,3.5917),(1185,2485,0.052378,3.5908),(1185,2495,0.052707,3.5899),(1185,2505,0.053036,3.589),(1185,2515,0.053366,3.588),(1185,2525,0.053691,3.5871),(1185,2535,0.054016,3.5862),(1185,2545,0.054341,3.5852),(1185,2555,0.054666,3.5843),(1185,2565,0.054987,3.5833),(1185,2575,0.055307,3.5824),(1185,2585,0.055628,3.5814),(1185,2595,0.055948,3.5804),(1185,2605,0.056263,3.5794),(1185,2615,0.056578,3.5785),(1185,2625,0.056893,3.5775),(1185,2635,0.057206,3.5765),(1185,2645,0.057514,3.5755),(1185,2655,0.057822,3.5745),(1185,2665,0.05813,3.5734),(1185,2675,0.058437,3.5724),(1185,2685,0.058737,3.5714),(1185,2695,0.059037,3.5704),(1185,2705,0.059337,3.5693),(1185,2715,0.059635,3.5683),(1185,2725,0.059926,3.5672),(1185,2735,0.060217,3.5662),(1185,2745,0.060508,3.5651),(1185,2755,0.060796,3.5641),(1185,2765,0.061076,3.563),(1185,2775,0.061357,3.5619),(1185,2785,0.061637,3.5608),(1185,2795,0.061914,3.5598),(1185,2805,0.062183,3.5587),(1185,2815,0.062452,3.5576),(1185,2825,0.062721,3.5565),(1185,2835,0.062985,3.5554),(1185,2845,0.063241,3.5543),(1185,2855,0.063497,3.5532),(1185,2865,0.063753,3.5521),(1185,2875,0.064004,3.5509),(1185,2885,0.064245,3.5498),(1185,2895,0.064487,3.5487),(1185,2905,0.064728,3.5476),(1185,2915,0.064963,3.5465),(1185,2925,0.065189,3.5453),(1185,2935,0.065415,3.5442),(1185,2945,0.065641,3.543),(1185,2955,0.065859,3.5419),(1185,2965,0.066067,3.5408),(1185,2975,0.066275,3.5396),(1185,2985,0.066484,3.5385),(1185,2995,0.066683,3.5373),(1185,3005,0.066872,3.5362),(1185,3015,0.067062,3.535),(1185,3025,0.067251,3.5339),(1185,3035,0.067429,3.5327),(1185,3045,0.067598,3.5315),(1185,3055,0.067767,3.5304),(1185,3065,0.067935,3.5292),(1185,3075,0.068091,3.5281),(1185,3085,0.068238,3.5269),(1185,3095,0.068384,3.5257),(1185,3105,0.06853,3.5246),(1185,3115,0.068662,3.5234),(1185,3125,0.068784,3.5222),(1185,3135,0.068905,3.5211),(1185,3145,0.069027,3.5199),(1185,3155,0.069132,3.5188),(1185,3165,0.069228,3.5176),(1185,3175,0.069323,3.5164),(1185,3185,0.069418,3.5153),(1185,3195,0.069494,3.5141),(1185,3205,0.069561,3.513),(1185,3215,0.069628,3.5118),(1185,3225,0.069695,3.5107),(1185,3235,0.069739,3.5095),(1185,3245,0.069775,3.5084),(1185,3255,0.069812,3.5072),(1185,3265,0.069848,3.5061),(1185,3275,0.069858,3.5049),(1185,3285,0.069861,3.5038),(1185,3295,0.069863,3.5027),(1185,3305,0.069866,3.5015),(1185,3315,0.06984,3.5004),(1185,3325,0.069806,3.4993),(1185,3335,0.069773,3.4982),(1185,3345,0.069739,3.4971),(1185,3355,0.069673,3.496),(1185,3365,0.069601,3.4949),(1185,3375,0.069529,3.4938),(1185,3385,0.069457,3.4927),(1185,3395,0.069347,3.4916),(1185,3405,0.069233,3.4905),(1185,3415,0.069119,3.4895),(1185,3425,0.069004,3.4884),(1185,3435,0.068849,3.4873),(1185,3445,0.06869,3.4863),(1185,3455,0.06853,3.4852),(1185,3465,0.068371,3.4842),(1185,3475,0.068165,3.4832),(1185,3485,0.067958,3.4821),(1185,3495,0.06775,3.4811),(1185,3505,0.067542,3.4801),(1185,3515,0.067283,3.4791),(1185,3525,0.067023,3.4781),(1185,3535,0.066764,3.4772),(1185,3545,0.066502,3.4762),(1185,3555,0.066187,3.4752),(1185,3565,0.065871,3.4742),(1185,3575,0.065556,3.4733),(1185,3585,0.065236,3.4724),(1185,3595,0.064862,3.4714),(1185,3605,0.064488,3.4705),(1185,3615,0.064113,3.4696),(1185,3625,0.063731,3.4687),(1185,3635,0.063294,3.4678),(1185,3645,0.062856,3.4669),(1185,3655,0.062419,3.4661),(1185,3665,0.06197,3.4652),(1185,3675,0.061466,3.4644),(1185,3685,0.060962,3.4635),(1185,3695,0.060457,3.4627),(1185,3705,0.059939,3.4619),(1185,3715,0.059364,3.4611),(1185,3725,0.058789,3.4603),(1185,3735,0.058214,3.4595),(1185,3745,0.057621,3.4587),(1185,3755,0.056972,3.458),(1185,3765,0.056322,3.4572),(1185,3775,0.055673,3.4565),(1185,3785,0.055002,3.4558),(1185,3795,0.054275,3.455),(1185,3805,0.053548,3.4543),(1185,3815,0.052821,3.4537),(1185,3825,0.052068,3.453),(1185,3835,0.05126,3.4523),(1185,3845,0.050452,3.4516),(1185,3855,0.049644,3.451),(1185,3865,0.048806,3.4504),(1185,3875,0.047914,3.4498),(1185,3885,0.047022,3.4491),(1185,3895,0.04613,3.4486),(1185,3905,0.053724,3.448),(1185,3915,0.073995,3.4474),(1185,3925,0.094266,3.4465),(1185,3935,0.11454,3.4452),(1185,3945,0.13745,3.4439),(1185,3955,0.16373,3.4426),(1185,3965,0.19,3.4405),(1185,3975,0.21627,3.4377),(1185,3985,0.23214,3.4349),(1185,3995,0.23673,3.432),(1185,4005,0.24133,3.4289),(1185,4015,0.24593,3.4255),(1185,4025,0.25013,3.4221),(1185,4035,0.25429,3.4185),(1185,4045,0.25845,3.4146),(1185,4055,0.26219,3.4107),(1185,4065,0.26577,3.4068),(1185,4075,0.26935,3.4027),(1185,4085,0.27246,3.3985),(1185,4095,0.2752,3.3944),(1185,4105,0.27795,3.3902),(1185,4115,0.26998,3.3861),(1185,4125,0.24424,3.3819),(1185,4135,0.21851,3.379),(1185,4145,0.19193,3.3763),(1185,4155,0.16187,3.3736),(1185,4165,0.13182,3.3718),(1185,4175,0.10336,3.3705),(1185,4185,0.15387,3.3692),(1185,4195,0.20437,3.3664),(1185,4205,0.25488,3.3615),(1185,4215,0.25195,3.3566),(1185,4225,0.23895,3.3517),(1185,4235,0.22596,3.3467),(1185,4245,0.20715,3.3416),(1185,4255,0.1854,3.3367),(1185,4265,0.16365,3.3328),(1185,4275,0.13532,3.3289),(1185,4285,0.10003,3.325),(1185,4295,0.064729,3.3236),(1185,4305,0.057533,3.3224),(1185,4315,0.11379,3.3213),(1185,4325,0.17004,3.3165),(1185,4335,0.22033,3.3103),(1185,4345,0.23018,3.3041),(1185,4355,0.24004,3.2979),(1185,4365,0.24989,3.2918),(1185,4375,0.25291,3.2858),(1185,4385,0.25557,3.2799),(1185,4395,0.25824,3.2743),(1185,4405,0.22524,3.2688),(1185,4415,0.18173,3.2638),(1185,4425,0.13822,3.2613),(1185,4435,0.12384,3.2588),(1185,4445,0.12938,3.2564),(1185,4455,0.13492,3.2539),(1185,4465,0.16761,3.2514),(1185,4475,0.23843,3.2489),(1185,4485,0.30926,3.2431),(1185,4495,0.36603,3.2366),(1185,4505,0.37771,3.23),(1185,4515,0.38939,3.2228),(1185,4525,0.40009,3.2152),(1185,4535,0.39528,3.2076),(1185,4545,0.39048,3.1998),(1185,4555,0.38568,3.1917),(1185,4565,0.28312,3.1837),(1185,4575,0.16738,3.1777),(1185,4585,0.051642,3.1768),(1185,4595,0.046503,3.1759),(1185,4605,0.088094,3.1745),(1185,4615,0.12968,3.17),(1185,4625,0.17815,3.1656),(1185,4635,0.23283,3.1611),(1185,4645,0.28752,3.1546),(1185,4655,0.34051,3.1481),(1185,4665,0.39033,3.1415),(1185,4675,0.44014,3.1346),(1185,4685,0.4649,3.1276),(1185,4695,0.36583,3.1206),(1185,4705,0.26676,3.1167),(1185,4715,0.16769,3.1148),(1185,4725,0.21892,3.113),(1185,4735,0.27166,3.1092),(1185,4745,0.32439,3.1026),(1185,4755,0.4032,3.0959),(1185,4765,0.48806,3.0884),(1185,4775,0.57292,3.0777),(1185,4785,0.62107,3.0671),(1185,4795,0.648,3.0565),(1185,4805,0.67493,3.0455),(1185,4815,0.66167,3.0346),(1185,4825,0.60037,3.0237),(1185,4835,0.53906,3.0159),(1185,4845,0.46506,3.0085),(1185,4855,0.35797,3.0012),(1185,4865,0.25088,2.9963),(1185,4875,0.16931,2.9925),(1185,4885,0.31994,2.9886),(1185,4895,0.47057,2.9797),(1185,4905,0.6212,2.9657),(1185,4915,0.62521,2.9518),(1185,4925,0.6166,2.9382),(1185,4935,0.608,2.9254),(1185,4945,0.55742,2.9127),(1185,4955,0.49229,2.9006),(1185,4965,0.42716,2.8922),(1185,4975,0.33269,2.8839),(1185,4985,0.21557,2.8756),(1185,4995,0.098447,2.8747),(1185,5005,0.097511,2.874),(1185,5015,0.28128,2.8733),(1185,5025,0.46506,2.863),(1185,5035,0.62968,2.8502),(1185,5045,0.72133,2.8374),(1185,5055,0.81298,2.8222),(1185,5065,0.90286,2.8056),(1185,5075,0.93487,2.7889),(1185,5085,0.96689,2.7724),(1185,5095,0.9989,2.7561),(1185,5105,0.88599,2.7398),(1185,5115,0.74779,2.7256),(1185,5125,0.60959,2.7174),(1185,5135,0.51178,2.7091),(1185,5145,0.43357,2.701),(1185,5155,0.35536,2.6942),(1185,5165,0.41123,2.6874),(1185,5175,0.60384,2.6806),(1185,5185,0.79645,2.6642),(1185,5195,0.9388,2.6468),(1185,5205,0.97279,2.6293),(1185,5215,1.0068,2.612),(1185,5225,1.0348,2.5948),(1185,5235,1.0261,2.5776),(1185,5245,1.0174,2.5616),(1185,5255,1.0086,2.5466),(1185,5265,0.70448,2.5317),(1185,5275,0.38815,2.5223),(1185,5285,0.071829,2.5221),(1185,5295,0.12286,2.5219),(1185,5305,0.2762,2.5193),(1185,5315,0.42953,2.5066),(1185,5325,0.57019,2.4938),(1185,5335,0.70255,2.481),(1185,5345,0.83491,2.463),(1185,5355,0.94078,2.4449),(1185,5365,1.0109,2.4269),(1185,5375,1.0811,2.4086),(1185,5385,1.0707,2.3902),(1185,5395,0.81551,2.3719),(1185,5405,0.5603,2.3625),(1185,5415,0.32263,2.3578),(1185,5425,0.32042,2.3532),(1185,5435,0.31821,2.3469),(1185,5445,0.316,2.339),(1185,5455,0.38369,2.3311),(1185,5465,0.45993,2.3213),(1185,5475,0.53617,2.3074),(1185,5485,0.57408,2.2935),(1185,5495,0.59656,2.2794),(1185,5505,0.61903,2.264),(1185,5515,0.64302,2.2486),(1185,5525,0.66832,2.2333),(1185,5535,0.69362,2.2164),(1185,5545,0.71945,2.1994),(1185,5555,0.74623,2.1825),(1185,5565,0.77301,2.1644),(1185,5575,0.79997,2.1459),(1185,5585,0.82777,2.1275),(1185,5595,0.85557,2.1082),(1185,5605,0.88337,2.0883),(1185,5615,0.91194,2.0684),(1185,5625,0.9405,2.048),(1185,5635,0.96907,2.0268),(1185,5645,0.99811,2.0056),(1185,5655,1.0273,1.9842),(1185,5665,1.0564,1.9618),(1185,5675,1.0857,1.9395),(1185,5685,1.1151,1.9171),(1185,5695,1.1445,1.8939),(1185,5705,1.1739,1.8706),(1185,5715,1.2033,1.8474),(1185,5725,1.2327,1.8236),(1185,5735,1.262,1.7997),(1185,5745,1.291,1.7758),(1185,5755,1.3201,1.7516),(1185,5765,1.349,1.7272),(1185,5775,1.3774,1.7028),(1185,5785,1.4057,1.6783),(1185,5795,1.4341,1.6536),(1185,5805,1.4616,1.6289),(1185,5815,1.489,1.6041),(1185,5825,1.5165,1.5794),(1185,5835,1.543,1.5546),(1185,5845,1.5693,1.5298),(1185,5855,1.5956,1.505),(1185,5865,1.6212,1.4802),(1185,5875,1.6462,1.4554),(1185,5885,1.6712,1.4307),(1185,5895,1.6956,1.4059),(1185,5905,1.7192,1.3811),(1185,5915,1.7428,1.3565),(1185,5925,1.7661,1.3318),(1185,5935,1.7882,1.3072),(1185,5945,1.8104,1.2828),(1185,5955,1.8326,1.2584),(1185,5965,1.8539,1.234),(1185,5975,1.8752,1.2098),(1185,5985,1.8965,1.1857),(1185,5995,1.4533,1.1617),(1185,6005,0.93526,1.1433),(1185,6015,0.41725,1.1401),(1185,6025,0.36826,1.137),(1185,6035,0.53678,1.1328),(1185,6045,0.7053,1.119),(1185,6055,0.83207,1.1053),(1185,6065,0.91789,1.0915),(1185,6075,1.0037,1.0733),(1185,6085,1.0632,1.0547),(1185,6095,1.0685,1.0361),(1185,6105,1.0738,1.0173),(1185,6115,1.079,0.99849),(1185,6125,1.0841,0.97965),(1185,6135,1.0892,0.96074),(1185,6145,1.0942,0.94178),(1185,6155,1.099,0.92282),(1185,6165,1.1037,0.90368),(1185,6175,1.1085,0.88423),(1185,6185,1.113,0.86478),(1185,6195,1.1174,0.84532),(1185,6205,1.1219,0.82586),(1185,6215,1.1261,0.8064),(1185,6225,1.1302,0.78693),(1185,6235,1.1344,0.76726),(1185,6245,1.1383,0.74759),(1185,6255,1.1422,0.72792),(1185,6265,1.146,0.70814),(1185,6275,1.1497,0.68834),(1185,6285,1.1532,0.66855),(1185,6295,1.1567,0.64867),(1185,6305,1.1601,0.62874),(1185,6315,1.1634,0.60882),(1185,6325,1.1666,0.58871),(1185,6335,1.1698,0.56841),(1185,6345,1.1727,0.54811),(1185,6355,1.1755,0.5278),(1185,6365,1.1783,0.5075),(1185,6375,1.1809,0.4872),(1185,6385,1.1834,0.46688),(1185,6395,1.1859,0.44652),(1185,6405,1.1882,0.42616),(1185,6415,1.1903,0.4058),(1185,6425,1.1925,0.38511),(1185,6435,1.1945,0.36441),(1185,6445,1.1963,0.34371),(1185,6455,1.1981,0.32302),(1185,6465,1.1999,0.30234),(1185,6475,1.2014,0.28165),(1185,6485,1.2028,0.261),(1185,6495,1.2043,0.24037),(1185,6505,1.2055,0.21975),(1185,6515,1.2066,0.19906),(1185,6525,1.2077,0.17828),(1185,6535,1.2085,0.15751),(1185,6545,1.2092,0.13673),(1185,6555,1.21,0.11596),(1185,6565,1.2104,0.09518),(1185,6575,1.2108,0.074401),(1185,6585,1.2111,0.053594),(1185,6595,1.0302,0.032786),(1185,6605,0.64919,0.011978),(1185,6615,0.26819,0.009598),(1185,6625,0.000345,0.009586),(1185,6635,0.000347,0.009573),(1185,6645,0.000349,0.009564),(1185,6655,0.000352,0.009557),(1185,6665,0.000354,0.00955),(1185,6675,0.000356,0.009543),(1185,6685,0.000358,0.009536),(1185,6695,0.00036,0.009529),(1185,6705,0.000362,0.009522),(1185,6715,0.000364,0.009515),(1185,6725,0.000366,0.009508),(1185,6735,0.000368,0.0095),(1185,6745,0.00037,0.009493),(1185,6755,0.000372,0.009486),(1185,6765,0.000374,0.009479),(1185,6775,0.000376,0.009472),(1185,6785,0.000378,0.009464),(1185,6795,0.000379,0.009457),(1185,6805,0.000381,0.00945),(1185,6815,0.000383,0.009442),(1185,6825,0.000385,0.009435),(1185,6835,0.000386,0.009428),(1185,6845,0.000388,0.00942),(1185,6855,0.00039,0.009413),(1185,6865,0.000392,0.009405),(1185,6875,0.000393,0.009398),(1185,6885,0.000395,0.00939),(1185,6895,0.000396,0.009383),(1185,6905,0.000398,0.009375),(1185,6915,0.0004,0.009368),(1185,6925,0.000401,0.00936),(1185,6935,0.000403,0.009352),(1185,6945,0.000404,0.009345),(1185,6955,0.000406,0.009337),(1185,6965,0.000407,0.009329),(1185,6975,0.000409,0.009322),(1185,6985,0.00041,0.009314),(1195,5,5.2e-05,3.6715),(1195,15,0.000157,3.6715),(1195,25,0.000262,3.6715),(1195,35,0.000366,3.6715),(1195,45,0.000471,3.6715),(1195,55,0.000576,3.6715),(1195,65,0.000681,3.6715),(1195,75,0.000786,3.6715),(1195,85,0.000891,3.6715),(1195,95,0.000995,3.6715),(1195,105,0.001101,3.6715),(1195,115,0.001206,3.6715),(1195,125,0.001312,3.6714),(1195,135,0.001417,3.6714),(1195,145,0.001523,3.6714),(1195,155,0.001629,3.6714),(1195,165,0.001735,3.6714),(1195,175,0.001841,3.6713),(1195,185,0.001948,3.6713),(1195,195,0.002055,3.6713),(1195,205,0.002162,3.6712),(1195,215,0.002269,3.6712),(1195,225,0.002377,3.6712),(1195,235,0.002485,3.6711),(1195,245,0.002593,3.6711),(1195,255,0.002701,3.6711),(1195,265,0.002811,3.671),(1195,275,0.00292,3.671),(1195,285,0.003029,3.671),(1195,295,0.003139,3.6709),(1195,305,0.003249,3.6709),(1195,315,0.00336,3.6708),(1195,325,0.003471,3.6708),(1195,335,0.003582,3.6707),(1195,345,0.003694,3.6707),(1195,355,0.003806,3.6706),(1195,365,0.003919,3.6706),(1195,375,0.004031,3.6705),(1195,385,0.004145,3.6705),(1195,395,0.004259,3.6704),(1195,405,0.004374,3.6703),(1195,415,0.004488,3.6703),(1195,425,0.004604,3.6702),(1195,435,0.004721,3.6702),(1195,445,0.004837,3.6701),(1195,455,0.004953,3.67),(1195,465,0.005072,3.67),(1195,475,0.00519,3.6699),(1195,485,0.005309,3.6698),(1195,495,0.005428,3.6697),(1195,505,0.005549,3.6697),(1195,515,0.00567,3.6696),(1195,525,0.005791,3.6695),(1195,535,0.005912,3.6694),(1195,545,0.006036,3.6693),(1195,555,0.00616,3.6693),(1195,565,0.006283,3.6692),(1195,575,0.006407,3.6691),(1195,585,0.006534,3.669),(1195,595,0.00666,3.6689),(1195,605,0.006787,3.6688),(1195,615,0.006914,3.6687),(1195,625,0.007043,3.6686),(1195,635,0.007173,3.6685),(1195,645,0.007302,3.6684),(1195,655,0.007432,3.6683),(1195,665,0.007565,3.6682),(1195,675,0.007698,3.6681),(1195,685,0.007831,3.668),(1195,695,0.007964,3.6679),(1195,705,0.0081,3.6678),(1195,715,0.008237,3.6676),(1195,725,0.008373,3.6675),(1195,735,0.00851,3.6674),(1195,745,0.00865,3.6673),(1195,755,0.00879,3.6672),(1195,765,0.008929,3.667),(1195,775,0.00907,3.6669),(1195,785,0.009214,3.6668),(1195,795,0.009358,3.6667),(1195,805,0.009501,3.6665),(1195,815,0.009646,3.6664),(1195,825,0.009794,3.6662),(1195,835,0.009942,3.6661),(1195,845,0.010089,3.666),(1195,855,0.010239,3.6658),(1195,865,0.01039,3.6657),(1195,875,0.010542,3.6655),(1195,885,0.010694,3.6654),(1195,895,0.010848,3.6652),(1195,905,0.011004,3.6651),(1195,915,0.011161,3.6649),(1195,925,0.011317,3.6647),(1195,935,0.011476,3.6646),(1195,945,0.011637,3.6644),(1195,955,0.011798,3.6642),(1195,965,0.011959,3.6641),(1195,975,0.012122,3.6639),(1195,985,0.012288,3.6637),(1195,995,0.012453,3.6636),(1195,1005,0.012619,3.6634),(1195,1015,0.012787,3.6632),(1195,1025,0.012958,3.663),(1195,1035,0.013129,3.6628),(1195,1045,0.013299,3.6626),(1195,1055,0.013473,3.6624),(1195,1065,0.013649,3.6622),(1195,1075,0.013824,3.662),(1195,1085,0.014,3.6618),(1195,1095,0.014179,3.6616),(1195,1105,0.01436,3.6614),(1195,1115,0.014541,3.6612),(1195,1125,0.014723,3.661),(1195,1135,0.014907,3.6608),(1195,1145,0.015094,3.6606),(1195,1155,0.015281,3.6603),(1195,1165,0.015467,3.6601),(1195,1175,0.015658,3.6599),(1195,1185,0.01585,3.6597),(1195,1195,0.016042,3.6594),(1195,1205,0.016235,3.6592),(1195,1215,0.016431,3.659),(1195,1225,0.016629,3.6587),(1195,1235,0.016827,3.6585),(1195,1245,0.017025,3.6582),(1195,1255,0.017227,3.658),(1195,1265,0.017431,3.6577),(1195,1275,0.017635,3.6575),(1195,1285,0.017839,3.6572),(1195,1295,0.018048,3.6569),(1195,1305,0.018258,3.6567),(1195,1315,0.018468,3.6564),(1195,1325,0.018678,3.6561),(1195,1335,0.018893,3.6558),(1195,1345,0.019109,3.6555),(1195,1355,0.019325,3.6553),(1195,1365,0.019541,3.655),(1195,1375,0.019763,3.6547),(1195,1385,0.019985,3.6544),(1195,1395,0.020208,3.6541),(1195,1405,0.02043,3.6538),(1195,1415,0.020658,3.6535),(1195,1425,0.020887,3.6532),(1195,1435,0.021116,3.6528),(1195,1445,0.021344,3.6525),(1195,1455,0.021579,3.6522),(1195,1465,0.021814,3.6519),(1195,1475,0.02205,3.6515),(1195,1485,0.022285,3.6512),(1195,1495,0.022526,3.6509),(1195,1505,0.022768,3.6505),(1195,1515,0.02301,3.6502),(1195,1525,0.023251,3.6498),(1195,1535,0.0235,3.6495),(1195,1545,0.023748,3.6491),(1195,1555,0.023996,3.6487),(1195,1565,0.024244,3.6484),(1195,1575,0.024499,3.648),(1195,1585,0.024754,3.6476),(1195,1595,0.025008,3.6472),(1195,1605,0.025264,3.6468),(1195,1615,0.025525,3.6464),(1195,1625,0.025786,3.6461),(1195,1635,0.026047,3.6456),(1195,1645,0.026309,3.6452),(1195,1655,0.026576,3.6448),(1195,1665,0.026844,3.6444),(1195,1675,0.027111,3.644),(1195,1685,0.02738,3.6436),(1195,1695,0.027654,3.6431),(1195,1705,0.027928,3.6427),(1195,1715,0.028202,3.6423),(1195,1725,0.028477,3.6418),(1195,1735,0.028758,3.6414),(1195,1745,0.029038,3.6409),(1195,1755,0.029318,3.6405),(1195,1765,0.0296,3.64),(1195,1775,0.029886,3.6395),(1195,1785,0.030173,3.6391),(1195,1795,0.030459,3.6386),(1195,1805,0.030747,3.6381),(1195,1815,0.031039,3.6376),(1195,1825,0.031332,3.6371),(1195,1835,0.031624,3.6366),(1195,1845,0.031918,3.6361),(1195,1855,0.032216,3.6356),(1195,1865,0.032515,3.6351),(1195,1875,0.032813,3.6346),(1195,1885,0.033113,3.634),(1195,1895,0.033417,3.6335),(1195,1905,0.033721,3.633),(1195,1915,0.034024,3.6324),(1195,1925,0.03433,3.6319),(1195,1935,0.03464,3.6313),(1195,1945,0.034949,3.6307),(1195,1955,0.035258,3.6302),(1195,1965,0.03557,3.6296),(1195,1975,0.035884,3.629),(1195,1985,0.036198,3.6284),(1195,1995,0.036513,3.6278),(1195,2005,0.036829,3.6272),(1195,2015,0.037148,3.6266),(1195,2025,0.037467,3.626),(1195,2035,0.037786,3.6254),(1195,2045,0.038107,3.6248),(1195,2055,0.038431,3.6242),(1195,2065,0.038754,3.6235),(1195,2075,0.039077,3.6229),(1195,2085,0.039402,3.6223),(1195,2095,0.03973,3.6216),(1195,2105,0.040057,3.6209),(1195,2115,0.040384,3.6203),(1195,2125,0.040713,3.6196),(1195,2135,0.041043,3.6189),(1195,2145,0.041374,3.6183),(1195,2155,0.041704,3.6176),(1195,2165,0.042037,3.6169),(1195,2175,0.04237,3.6162),(1195,2185,0.042703,3.6155),(1195,2195,0.043037,3.6147),(1195,2205,0.043372,3.614),(1195,2215,0.043708,3.6133),(1195,2225,0.044044,3.6126),(1195,2235,0.044379,3.6118),(1195,2245,0.044716,3.6111),(1195,2255,0.045054,3.6103),(1195,2265,0.045391,3.6095),(1195,2275,0.045729,3.6088),(1195,2285,0.046067,3.608),(1195,2295,0.046406,3.6072),(1195,2305,0.046744,3.6064),(1195,2315,0.047083,3.6056),(1195,2325,0.047422,3.6048),(1195,2335,0.04776,3.604),(1195,2345,0.048099,3.6032),(1195,2355,0.048438,3.6024),(1195,2365,0.048777,3.6016),(1195,2375,0.049115,3.6007),(1195,2385,0.049454,3.5999),(1195,2395,0.049793,3.599),(1195,2405,0.05013,3.5982),(1195,2415,0.050468,3.5973),(1195,2425,0.050805,3.5965),(1195,2435,0.051143,3.5956),(1195,2445,0.051478,3.5947),(1195,2455,0.051814,3.5938),(1195,2465,0.052149,3.5929),(1195,2475,0.052485,3.592),(1195,2485,0.052817,3.5911),(1195,2495,0.05315,3.5902),(1195,2505,0.053482,3.5893),(1195,2515,0.053814,3.5884),(1195,2525,0.054143,3.5874),(1195,2535,0.054472,3.5865),(1195,2545,0.0548,3.5856),(1195,2555,0.055128,3.5846),(1195,2565,0.055452,3.5836),(1195,2575,0.055776,3.5827),(1195,2585,0.056099,3.5817),(1195,2595,0.056423,3.5807),(1195,2605,0.05674,3.5798),(1195,2615,0.057058,3.5788),(1195,2625,0.057376,3.5778),(1195,2635,0.057693,3.5768),(1195,2645,0.058004,3.5758),(1195,2655,0.058315,3.5748),(1195,2665,0.058626,3.5737),(1195,2675,0.058935,3.5727),(1195,2685,0.059238,3.5717),(1195,2695,0.059541,3.5707),(1195,2705,0.059843,3.5696),(1195,2715,0.060144,3.5686),(1195,2725,0.060437,3.5675),(1195,2735,0.060731,3.5665),(1195,2745,0.061024,3.5654),(1195,2755,0.061315,3.5643),(1195,2765,0.061598,3.5633),(1195,2775,0.06188,3.5622),(1195,2785,0.062163,3.5611),(1195,2795,0.062442,3.56),(1195,2805,0.062713,3.5589),(1195,2815,0.062984,3.5579),(1195,2825,0.063255,3.5568),(1195,2835,0.063521,3.5556),(1195,2845,0.063779,3.5545),(1195,2855,0.064036,3.5534),(1195,2865,0.064294,3.5523),(1195,2875,0.064546,3.5512),(1195,2885,0.064789,3.5501),(1195,2895,0.065032,3.549),(1195,2905,0.065275,3.5478),(1195,2915,0.065511,3.5467),(1195,2925,0.065738,3.5456),(1195,2935,0.065965,3.5444),(1195,2945,0.066191,3.5433),(1195,2955,0.06641,3.5421),(1195,2965,0.066619,3.541),(1195,2975,0.066828,3.5398),(1195,2985,0.067037,3.5387),(1195,2995,0.067237,3.5375),(1195,3005,0.067427,3.5364),(1195,3015,0.067616,3.5352),(1195,3025,0.067806,3.534),(1195,3035,0.067984,3.5329),(1195,3045,0.068153,3.5317),(1195,3055,0.068321,3.5305),(1195,3065,0.068489,3.5294),(1195,3075,0.068645,3.5282),(1195,3085,0.068791,3.527),(1195,3095,0.068936,3.5259),(1195,3105,0.069082,3.5247),(1195,3115,0.069212,3.5235),(1195,3125,0.069333,3.5224),(1195,3135,0.069454,3.5212),(1195,3145,0.069574,3.52),(1195,3155,0.069678,3.5189),(1195,3165,0.069771,3.5177),(1195,3175,0.069865,3.5165),(1195,3185,0.069959,3.5154),(1195,3195,0.070033,3.5142),(1195,3205,0.070098,3.513),(1195,3215,0.070162,3.5119),(1195,3225,0.070227,3.5107),(1195,3235,0.070269,3.5096),(1195,3245,0.070302,3.5084),(1195,3255,0.070336,3.5072),(1195,3265,0.070369,3.5061),(1195,3275,0.070377,3.505),(1195,3285,0.070376,3.5038),(1195,3295,0.070375,3.5027),(1195,3305,0.070375,3.5015),(1195,3315,0.070345,3.5004),(1195,3325,0.070308,3.4993),(1195,3335,0.070271,3.4981),(1195,3345,0.070234,3.497),(1195,3355,0.070164,3.4959),(1195,3365,0.070087,3.4948),(1195,3375,0.070011,3.4937),(1195,3385,0.069935,3.4926),(1195,3395,0.069821,3.4915),(1195,3405,0.069702,3.4904),(1195,3415,0.069583,3.4893),(1195,3425,0.069464,3.4883),(1195,3435,0.069304,3.4872),(1195,3445,0.06914,3.4861),(1195,3455,0.068975,3.4851),(1195,3465,0.068811,3.484),(1195,3475,0.0686,3.483),(1195,3485,0.068387,3.4819),(1195,3495,0.068175,3.4809),(1195,3505,0.067961,3.4799),(1195,3515,0.067696,3.4789),(1195,3525,0.067431,3.4779),(1195,3535,0.067166,3.4769),(1195,3545,0.066899,3.4759),(1195,3555,0.066578,3.4749),(1195,3565,0.066257,3.4739),(1195,3575,0.065936,3.473),(1195,3585,0.06561,3.472),(1195,3595,0.06523,3.4711),(1195,3605,0.06485,3.4701),(1195,3615,0.06447,3.4692),(1195,3625,0.064082,3.4683),(1195,3635,0.063638,3.4674),(1195,3645,0.063195,3.4665),(1195,3655,0.062752,3.4656),(1195,3665,0.062298,3.4648),(1195,3675,0.061788,3.4639),(1195,3685,0.061278,3.463),(1195,3695,0.060768,3.4622),(1195,3705,0.060243,3.4614),(1195,3715,0.059663,3.4605),(1195,3725,0.059082,3.4597),(1195,3735,0.058502,3.4589),(1195,3745,0.057903,3.4581),(1195,3755,0.057248,3.4573),(1195,3765,0.056594,3.4566),(1195,3775,0.055939,3.4558),(1195,3785,0.055263,3.4551),(1195,3795,0.05453,3.4543),(1195,3805,0.053798,3.4536),(1195,3815,0.053065,3.4529),(1195,3825,0.052307,3.4522),(1195,3835,0.051494,3.4515),(1195,3845,0.05068,3.4508),(1195,3855,0.049867,3.4502),(1195,3865,0.049023,3.4495),(1195,3875,0.048125,3.4489),(1195,3885,0.047228,3.4482),(1195,3895,0.04633,3.4476),(1195,3905,0.053932,3.4471),(1195,3915,0.074231,3.4465),(1195,3925,0.094531,3.4455),(1195,3935,0.11483,3.4441),(1195,3945,0.13784,3.4428),(1195,3955,0.16428,3.4414),(1195,3965,0.19072,3.4393),(1195,3975,0.21716,3.4364),(1195,3985,0.23317,3.4334),(1195,3995,0.23789,3.4305),(1195,4005,0.24261,3.4273),(1195,4015,0.24733,3.4238),(1195,4025,0.25163,3.4203),(1195,4035,0.25588,3.4167),(1195,4045,0.26014,3.4127),(1195,4055,0.26394,3.4088),(1195,4065,0.26756,3.4048),(1195,4075,0.27119,3.4006),(1195,4085,0.27431,3.3964),(1195,4095,0.27702,3.3922),(1195,4105,0.27973,3.388),(1195,4115,0.27165,3.3838),(1195,4125,0.24566,3.3796),(1195,4135,0.21967,3.3766),(1195,4145,0.19284,3.3739),(1195,4155,0.1626,3.3712),(1195,4165,0.13236,3.3693),(1195,4175,0.10374,3.368),(1195,4185,0.15493,3.3667),(1195,4195,0.20613,3.3639),(1195,4205,0.25732,3.3589),(1195,4215,0.25463,3.354),(1195,4225,0.2418,3.349),(1195,4235,0.22897,3.3439),(1195,4245,0.2101,3.3388),(1195,4255,0.18817,3.3338),(1195,4265,0.16625,3.3299),(1195,4275,0.13757,3.3261),(1195,4285,0.10172,3.3222),(1195,4295,0.065882,3.3208),(1195,4305,0.058637,3.3196),(1195,4315,0.11597,3.3185),(1195,4325,0.1733,3.3138),(1195,4335,0.22451,3.3077),(1195,4345,0.23427,3.3015),(1195,4355,0.24403,3.2954),(1195,4365,0.25378,3.2892),(1195,4375,0.25662,3.283),(1195,4385,0.2591,3.2771),(1195,4395,0.26158,3.2714),(1195,4405,0.2281,3.2658),(1195,4415,0.18401,3.2607),(1195,4425,0.13992,3.2582),(1195,4435,0.1253,3.2557),(1195,4445,0.13082,3.2532),(1195,4455,0.13634,3.2507),(1195,4465,0.16929,3.2482),(1195,4475,0.24077,3.2457),(1195,4485,0.31225,3.2398),(1195,4495,0.36957,3.2333),(1195,4505,0.38143,3.2267),(1195,4515,0.39329,3.2194),(1195,4525,0.40417,3.2117),(1195,4535,0.3995,3.204),(1195,4545,0.39482,3.1961),(1195,4555,0.39014,3.188),(1195,4565,0.28656,3.1798),(1195,4575,0.16965,3.1738),(1195,4585,0.052731,3.1729),(1195,4595,0.047729,3.1719),(1195,4605,0.090013,3.1705),(1195,4615,0.1323,3.1661),(1195,4625,0.18117,3.1616),(1195,4635,0.23602,3.1571),(1195,4645,0.29086,3.1507),(1195,4655,0.34386,3.1442),(1195,4665,0.39339,3.1377),(1195,4675,0.44292,3.1308),(1195,4685,0.46732,3.1238),(1195,4695,0.36755,3.1168),(1195,4705,0.26777,3.1127),(1195,4715,0.168,3.1108),(1195,4725,0.2202,3.1089),(1195,4735,0.27392,3.1051),(1195,4745,0.32765,3.0985),(1195,4755,0.40703,3.0918),(1195,4765,0.49236,3.0843),(1195,4775,0.5777,3.0737),(1195,4785,0.62595,3.0631),(1195,4795,0.65276,3.0525),(1195,4805,0.67957,3.0415),(1195,4815,0.66601,3.0306),(1195,4825,0.60416,3.0197),(1195,4835,0.54232,3.0119),(1195,4845,0.46787,3.0045),(1195,4855,0.36058,2.9971),(1195,4865,0.2533,2.9922),(1195,4875,0.17171,2.9884),(1195,4885,0.32403,2.9845),(1195,4895,0.47635,2.9756),(1195,4905,0.62867,2.9616),(1195,4915,0.63255,2.9477),(1195,4925,0.62367,2.9341),(1195,4935,0.61479,2.9213),(1195,4945,0.56358,2.9085),(1195,4955,0.49769,2.8963),(1195,4965,0.4318,2.888),(1195,4975,0.3363,2.8796),(1195,4985,0.21795,2.8713),(1195,4995,0.099602,2.8704),(1195,5005,0.098683,2.8697),(1195,5015,0.28445,2.869),(1195,5025,0.47022,2.8587),(1195,5035,0.63649,2.846),(1195,5045,0.72852,2.8332),(1195,5055,0.82055,2.8181),(1195,5065,0.91078,2.8016),(1195,5075,0.94246,2.7851),(1195,5085,0.97414,2.7687),(1195,5095,1.0058,2.7525),(1195,5105,0.89183,2.7363),(1195,5115,0.75243,2.7223),(1195,5125,0.61303,2.7141),(1195,5135,0.51495,2.7059),(1195,5145,0.4369,2.6978),(1195,5155,0.35886,2.691),(1195,5165,0.41555,2.6843),(1195,5175,0.60965,2.6775),(1195,5185,0.80375,2.6611),(1195,5195,0.94703,2.6437),(1195,5205,0.98071,2.6263),(1195,5215,1.0144,2.6091),(1195,5225,1.0421,2.5919),(1195,5235,1.0328,2.5747),(1195,5245,1.0235,2.5588),(1195,5255,1.0142,2.5439),(1195,5265,0.7084,2.5291),(1195,5275,0.39036,2.5197),(1195,5285,0.072319,2.5195),(1195,5295,0.12476,2.5193),(1195,5305,0.28038,2.5167),(1195,5315,0.43599,2.5039),(1195,5325,0.57785,2.4912),(1195,5335,0.7107,2.4783),(1195,5345,0.84355,2.4604),(1195,5355,0.94953,2.4424),(1195,5365,1.0193,2.4244),(1195,5375,1.089,2.4063),(1195,5385,1.0778,2.388),(1195,5395,0.82078,2.3698),(1195,5405,0.56372,2.3605),(1195,5415,0.32438,2.3559),(1195,5425,0.32308,2.3512),(1195,5435,0.32179,2.345),(1195,5445,0.32049,2.3369),(1195,5455,0.38921,2.3288),(1195,5465,0.46649,2.3189),(1195,5475,0.54377,2.3048),(1195,5485,0.58215,2.2907),(1195,5495,0.60487,2.2764),(1195,5505,0.62758,2.2608),(1195,5515,0.65181,2.2452),(1195,5525,0.67736,2.2297),(1195,5535,0.7029,2.2126),(1195,5545,0.72897,2.1955),(1195,5555,0.75599,2.1784),(1195,5565,0.783,2.1601),(1195,5575,0.81019,2.1415),(1195,5585,0.83819,2.1229),(1195,5595,0.86619,2.1035),(1195,5605,0.89419,2.0835),(1195,5615,0.9229,2.0635),(1195,5625,0.95162,2.043),(1195,5635,0.98034,2.0217),(1195,5645,1.0095,2.0005),(1195,5655,1.0387,1.979),(1195,5665,1.068,1.9566),(1195,5675,1.0973,1.9343),(1195,5685,1.1268,1.9118),(1195,5695,1.1562,1.8886),(1195,5705,1.1856,1.8654),(1195,5715,1.215,1.8421),(1195,5725,1.2444,1.8184),(1195,5735,1.2736,1.7946),(1195,5745,1.3026,1.7708),(1195,5755,1.3316,1.7466),(1195,5765,1.3604,1.7223),(1195,5775,1.3887,1.698),(1195,5785,1.4169,1.6736),(1195,5795,1.4451,1.649),(1195,5805,1.4725,1.6244),(1195,5815,1.4998,1.5998),(1195,5825,1.527,1.5752),(1195,5835,1.5534,1.5506),(1195,5845,1.5796,1.5259),(1195,5855,1.6057,1.5013),(1195,5865,1.631,1.4767),(1195,5875,1.6558,1.4521),(1195,5885,1.6806,1.4275),(1195,5895,1.7048,1.4029),(1195,5905,1.7282,1.3783),(1195,5915,1.7516,1.3539),(1195,5925,1.7746,1.3295),(1195,5935,1.7966,1.3051),(1195,5945,1.8185,1.2808),(1195,5955,1.8404,1.2567),(1195,5965,1.8615,1.2326),(1195,5975,1.8826,1.2086),(1195,5985,1.9037,1.1848),(1195,5995,1.4587,1.1609),(1195,6005,0.9387,1.1427),(1195,6015,0.41871,1.1396),(1195,6025,0.37035,1.1365),(1195,6035,0.54073,1.1323),(1195,6045,0.7111,1.1186),(1195,6055,0.83915,1.1048),(1195,6065,0.92569,1.091),(1195,6075,1.0122,1.0728),(1195,6085,1.0722,1.0542),(1195,6095,1.0775,1.0356),(1195,6105,1.0828,1.0168),(1195,6115,1.0881,0.99801),(1195,6125,1.0932,0.97916),(1195,6135,1.0983,0.96026),(1195,6145,1.1034,0.9413),(1195,6155,1.1082,0.92234),(1195,6165,1.113,0.90319),(1195,6175,1.1178,0.88374),(1195,6185,1.1223,0.86429),(1195,6195,1.1268,0.84483),(1195,6205,1.1313,0.82537),(1195,6215,1.1355,0.80591),(1195,6225,1.1397,0.78644),(1195,6235,1.1438,0.76678),(1195,6245,1.1478,0.74711),(1195,6255,1.1517,0.72745),(1195,6265,1.1555,0.7077),(1195,6275,1.1593,0.68793),(1195,6285,1.1628,0.66817),(1195,6295,1.1663,0.64828),(1195,6305,1.1698,0.62834),(1195,6315,1.173,0.6084),(1195,6325,1.1763,0.58829),(1195,6335,1.1795,0.56799),(1195,6345,1.1824,0.5477),(1195,6355,1.1852,0.52741),(1195,6365,1.188,0.50713),(1195,6375,1.1906,0.48685),(1195,6385,1.1932,0.46655),(1195,6395,1.1957,0.4462),(1195,6405,1.198,0.42584),(1195,6415,1.2002,0.40549),(1195,6425,1.2023,0.38482),(1195,6435,1.2044,0.36414),(1195,6445,1.2062,0.34345),(1195,6455,1.208,0.32279),(1195,6465,1.2098,0.30213),(1195,6475,1.2113,0.28146),(1195,6485,1.2128,0.26083),(1195,6495,1.2143,0.24021),(1195,6505,1.2154,0.21959),(1195,6515,1.2166,0.19891),(1195,6525,1.2177,0.17814),(1195,6535,1.2185,0.15737),(1195,6545,1.2193,0.13661),(1195,6555,1.22,0.11586),(1195,6565,1.2205,0.095115),(1195,6575,1.2208,0.074366),(1195,6585,1.2211,0.053579),(1195,6595,1.0387,0.032793),(1195,6605,0.65458,0.012007),(1195,6615,0.27041,0.009621),(1195,6625,0.000349,0.009599),(1195,6635,0.000351,0.009578),(1195,6645,0.000353,0.009567),(1195,6655,0.000355,0.009559),(1195,6665,0.000358,0.009552),(1195,6675,0.00036,0.009545),(1195,6685,0.000362,0.009538),(1195,6695,0.000364,0.009531),(1195,6705,0.000366,0.009524),(1195,6715,0.000368,0.009517),(1195,6725,0.00037,0.00951),(1195,6735,0.000372,0.009502),(1195,6745,0.000374,0.009495),(1195,6755,0.000376,0.009488),(1195,6765,0.000378,0.009481),(1195,6775,0.00038,0.009473),(1195,6785,0.000381,0.009466),(1195,6795,0.000383,0.009459),(1195,6805,0.000385,0.009451),(1195,6815,0.000387,0.009444),(1195,6825,0.000389,0.009437),(1195,6835,0.00039,0.009429),(1195,6845,0.000392,0.009422),(1195,6855,0.000394,0.009414),(1195,6865,0.000395,0.009407),(1195,6875,0.000397,0.009399),(1195,6885,0.000399,0.009392),(1195,6895,0.0004,0.009385),(1195,6905,0.000402,0.009377),(1195,6915,0.000404,0.009369),(1195,6925,0.000405,0.009362),(1195,6935,0.000407,0.009354),(1195,6945,0.000408,0.009346),(1195,6955,0.00041,0.009339),(1195,6965,0.000411,0.009331),(1195,6975,0.000413,0.009323),(1195,6985,0.000414,0.009316),(1205,5,5.3e-05,3.6717),(1205,15,0.000158,3.6716),(1205,25,0.000263,3.6716),(1205,35,0.000368,3.6716),(1205,45,0.000473,3.6716),(1205,55,0.000579,3.6716),(1205,65,0.000684,3.6716),(1205,75,0.000789,3.6716),(1205,85,0.000895,3.6716),(1205,95,0.001,3.6716),(1205,105,0.001106,3.6716),(1205,115,0.001212,3.6716),(1205,125,0.001318,3.6715),(1205,135,0.001424,3.6715),(1205,145,0.00153,3.6715),(1205,155,0.001637,3.6715),(1205,165,0.001744,3.6715),(1205,175,0.00185,3.6714),(1205,185,0.001958,3.6714),(1205,195,0.002065,3.6714),(1205,205,0.002173,3.6714),(1205,215,0.00228,3.6713),(1205,225,0.002389,3.6713),(1205,235,0.002498,3.6713),(1205,245,0.002606,3.6712),(1205,255,0.002715,3.6712),(1205,265,0.002825,3.6711),(1205,275,0.002935,3.6711),(1205,285,0.003045,3.6711),(1205,295,0.003155,3.671),(1205,305,0.003266,3.671),(1205,315,0.003377,3.6709),(1205,325,0.003488,3.6709),(1205,335,0.0036,3.6708),(1205,345,0.003713,3.6708),(1205,355,0.003825,3.6707),(1205,365,0.003939,3.6707),(1205,375,0.004052,3.6706),(1205,385,0.004166,3.6706),(1205,395,0.004281,3.6705),(1205,405,0.004396,3.6705),(1205,415,0.004511,3.6704),(1205,425,0.004628,3.6703),(1205,435,0.004745,3.6703),(1205,445,0.004862,3.6702),(1205,455,0.004979,3.6701),(1205,465,0.005098,3.6701),(1205,475,0.005217,3.67),(1205,485,0.005336,3.6699),(1205,495,0.005456,3.6699),(1205,505,0.005577,3.6698),(1205,515,0.005699,3.6697),(1205,525,0.005821,3.6696),(1205,535,0.005942,3.6695),(1205,545,0.006067,3.6695),(1205,555,0.006191,3.6694),(1205,565,0.006316,3.6693),(1205,575,0.00644,3.6692),(1205,585,0.006568,3.6691),(1205,595,0.006695,3.669),(1205,605,0.006822,3.6689),(1205,615,0.00695,3.6688),(1205,625,0.00708,3.6687),(1205,635,0.00721,3.6686),(1205,645,0.007341,3.6685),(1205,655,0.007471,3.6684),(1205,665,0.007605,3.6683),(1205,675,0.007738,3.6682),(1205,685,0.007872,3.6681),(1205,695,0.008006,3.668),(1205,705,0.008143,3.6679),(1205,715,0.00828,3.6678),(1205,725,0.008417,3.6677),(1205,735,0.008555,3.6675),(1205,745,0.008696,3.6674),(1205,755,0.008837,3.6673),(1205,765,0.008977,3.6672),(1205,775,0.009119,3.6671),(1205,785,0.009264,3.6669),(1205,795,0.009408,3.6668),(1205,805,0.009553,3.6667),(1205,815,0.009699,3.6665),(1205,825,0.009847,3.6664),(1205,835,0.009996,3.6663),(1205,845,0.010144,3.6661),(1205,855,0.010294,3.666),(1205,865,0.010447,3.6658),(1205,875,0.0106,3.6657),(1205,885,0.010753,3.6655),(1205,895,0.010908,3.6654),(1205,905,0.011065,3.6652),(1205,915,0.011222,3.6651),(1205,925,0.01138,3.6649),(1205,935,0.011539,3.6647),(1205,945,0.011701,3.6646),(1205,955,0.011863,3.6644),(1205,965,0.012025,3.6642),(1205,975,0.01219,3.6641),(1205,985,0.012357,3.6639),(1205,995,0.012523,3.6637),(1205,1005,0.01269,3.6635),(1205,1015,0.01286,3.6634),(1205,1025,0.013031,3.6632),(1205,1035,0.013203,3.663),(1205,1045,0.013375,3.6628),(1205,1055,0.01355,3.6626),(1205,1065,0.013727,3.6624),(1205,1075,0.013904,3.6622),(1205,1085,0.014081,3.662),(1205,1095,0.014261,3.6618),(1205,1105,0.014443,3.6616),(1205,1115,0.014626,3.6614),(1205,1125,0.014808,3.6612),(1205,1135,0.014994,3.661),(1205,1145,0.015182,3.6608),(1205,1155,0.01537,3.6605),(1205,1165,0.015558,3.6603),(1205,1175,0.01575,3.6601),(1205,1185,0.015944,3.6599),(1205,1195,0.016137,3.6596),(1205,1205,0.016331,3.6594),(1205,1215,0.016529,3.6592),(1205,1225,0.016728,3.6589),(1205,1235,0.016928,3.6587),(1205,1245,0.017127,3.6584),(1205,1255,0.017331,3.6582),(1205,1265,0.017537,3.6579),(1205,1275,0.017742,3.6577),(1205,1285,0.017947,3.6574),(1205,1295,0.018158,3.6571),(1205,1305,0.018369,3.6569),(1205,1315,0.018581,3.6566),(1205,1325,0.018792,3.6563),(1205,1335,0.019009,3.656),(1205,1345,0.019227,3.6558),(1205,1355,0.019445,3.6555),(1205,1365,0.019663,3.6552),(1205,1375,0.019886,3.6549),(1205,1385,0.02011,3.6546),(1205,1395,0.020334,3.6543),(1205,1405,0.020559,3.654),(1205,1415,0.020789,3.6537),(1205,1425,0.021019,3.6534),(1205,1435,0.02125,3.6531),(1205,1445,0.02148,3.6527),(1205,1455,0.021717,3.6524),(1205,1465,0.021954,3.6521),(1205,1475,0.022191,3.6518),(1205,1485,0.022428,3.6514),(1205,1495,0.022672,3.6511),(1205,1505,0.022915,3.6508),(1205,1515,0.023159,3.6504),(1205,1525,0.023403,3.6501),(1205,1535,0.023653,3.6497),(1205,1545,0.023903,3.6493),(1205,1555,0.024154,3.649),(1205,1565,0.024404,3.6486),(1205,1575,0.024661,3.6482),(1205,1585,0.024918,3.6479),(1205,1595,0.025175,3.6475),(1205,1605,0.025432,3.6471),(1205,1615,0.025695,3.6467),(1205,1625,0.025959,3.6463),(1205,1635,0.026222,3.6459),(1205,1645,0.026486,3.6455),(1205,1655,0.026756,3.6451),(1205,1665,0.027026,3.6447),(1205,1675,0.027296,3.6443),(1205,1685,0.027567,3.6438),(1205,1695,0.027844,3.6434),(1205,1705,0.02812,3.643),(1205,1715,0.028396,3.6425),(1205,1725,0.028674,3.6421),(1205,1735,0.028957,3.6417),(1205,1745,0.02924,3.6412),(1205,1755,0.029523,3.6408),(1205,1765,0.029807,3.6403),(1205,1775,0.030096,3.6398),(1205,1785,0.030385,3.6394),(1205,1795,0.030674,3.6389),(1205,1805,0.030965,3.6384),(1205,1815,0.03126,3.6379),(1205,1825,0.031555,3.6374),(1205,1835,0.03185,3.6369),(1205,1845,0.032147,3.6364),(1205,1855,0.032448,3.6359),(1205,1865,0.032749,3.6354),(1205,1875,0.03305,3.6349),(1205,1885,0.033353,3.6343),(1205,1895,0.03366,3.6338),(1205,1905,0.033966,3.6333),(1205,1915,0.034273,3.6327),(1205,1925,0.034582,3.6322),(1205,1935,0.034894,3.6316),(1205,1945,0.035206,3.6311),(1205,1955,0.035519,3.6305),(1205,1965,0.035833,3.6299),(1205,1975,0.036151,3.6293),(1205,1985,0.036468,3.6288),(1205,1995,0.036785,3.6282),(1205,2005,0.037105,3.6276),(1205,2015,0.037427,3.627),(1205,2025,0.037749,3.6264),(1205,2035,0.038072,3.6257),(1205,2045,0.038396,3.6251),(1205,2055,0.038723,3.6245),(1205,2065,0.039049,3.6239),(1205,2075,0.039375,3.6232),(1205,2085,0.039704,3.6226),(1205,2095,0.040034,3.6219),(1205,2105,0.040365,3.6213),(1205,2115,0.040695,3.6206),(1205,2125,0.041028,3.6199),(1205,2135,0.041361,3.6193),(1205,2145,0.041695,3.6186),(1205,2155,0.042029,3.6179),(1205,2165,0.042365,3.6172),(1205,2175,0.042702,3.6165),(1205,2185,0.043038,3.6158),(1205,2195,0.043375,3.6151),(1205,2205,0.043714,3.6144),(1205,2215,0.044053,3.6136),(1205,2225,0.044392,3.6129),(1205,2235,0.044732,3.6121),(1205,2245,0.045072,3.6114),(1205,2255,0.045413,3.6107),(1205,2265,0.045754,3.6099),(1205,2275,0.046095,3.6091),(1205,2285,0.046437,3.6083),(1205,2295,0.046779,3.6076),(1205,2305,0.047121,3.6068),(1205,2315,0.047463,3.606),(1205,2325,0.047805,3.6052),(1205,2335,0.048148,3.6044),(1205,2345,0.04849,3.6036),(1205,2355,0.048832,3.6027),(1205,2365,0.049174,3.6019),(1205,2375,0.049516,3.6011),(1205,2385,0.049858,3.6002),(1205,2395,0.050201,3.5994),(1205,2405,0.050542,3.5985),(1205,2415,0.050883,3.5977),(1205,2425,0.051224,3.5968),(1205,2435,0.051565,3.5959),(1205,2445,0.051904,3.5951),(1205,2455,0.052242,3.5942),(1205,2465,0.052581,3.5933),(1205,2475,0.05292,3.5924),(1205,2485,0.053256,3.5915),(1205,2495,0.053592,3.5906),(1205,2505,0.053928,3.5896),(1205,2515,0.054263,3.5887),(1205,2525,0.054595,3.5878),(1205,2535,0.054927,3.5868),(1205,2545,0.055259,3.5859),(1205,2555,0.05559,3.5849),(1205,2565,0.055917,3.584),(1205,2575,0.056244,3.583),(1205,2585,0.056571,3.582),(1205,2595,0.056897,3.5811),(1205,2605,0.057218,3.5801),(1205,2615,0.057539,3.5791),(1205,2625,0.05786,3.5781),(1205,2635,0.05818,3.5771),(1205,2645,0.058494,3.5761),(1205,2655,0.058807,3.5751),(1205,2665,0.059121,3.5741),(1205,2675,0.059433,3.573),(1205,2685,0.059739,3.572),(1205,2695,0.060044,3.571),(1205,2705,0.06035,3.5699),(1205,2715,0.060653,3.5689),(1205,2725,0.060949,3.5678),(1205,2735,0.061245,3.5668),(1205,2745,0.061541,3.5657),(1205,2755,0.061834,3.5646),(1205,2765,0.062119,3.5636),(1205,2775,0.062404,3.5625),(1205,2785,0.062689,3.5614),(1205,2795,0.06297,3.5603),(1205,2805,0.063243,3.5592),(1205,2815,0.063516,3.5581),(1205,2825,0.063789,3.557),(1205,2835,0.064057,3.5559),(1205,2845,0.064316,3.5548),(1205,2855,0.064575,3.5537),(1205,2865,0.064835,3.5526),(1205,2875,0.065088,3.5514),(1205,2885,0.065333,3.5503),(1205,2895,0.065577,3.5492),(1205,2905,0.065821,3.5481),(1205,2915,0.066059,3.5469),(1205,2925,0.066287,3.5458),(1205,2935,0.066514,3.5446),(1205,2945,0.066742,3.5435),(1205,2955,0.066962,3.5423),(1205,2965,0.067172,3.5412),(1205,2975,0.067381,3.54),(1205,2985,0.067591,3.5389),(1205,2995,0.067791,3.5377),(1205,3005,0.067981,3.5366),(1205,3015,0.068171,3.5354),(1205,3025,0.068361,3.5342),(1205,3035,0.068539,3.533),(1205,3045,0.068707,3.5319),(1205,3055,0.068875,3.5307),(1205,3065,0.069044,3.5295),(1205,3075,0.069199,3.5284),(1205,3085,0.069343,3.5272),(1205,3095,0.069488,3.526),(1205,3105,0.069633,3.5248),(1205,3115,0.069763,3.5237),(1205,3125,0.069882,3.5225),(1205,3135,0.070002,3.5213),(1205,3145,0.070121,3.5201),(1205,3155,0.070223,3.519),(1205,3165,0.070315,3.5178),(1205,3175,0.070408,3.5166),(1205,3185,0.0705,3.5154),(1205,3195,0.070572,3.5143),(1205,3205,0.070634,3.5131),(1205,3215,0.070697,3.5119),(1205,3225,0.070759,3.5108),(1205,3235,0.070799,3.5096),(1205,3245,0.070829,3.5084),(1205,3255,0.07086,3.5073),(1205,3265,0.070891,3.5061),(1205,3275,0.070895,3.505),(1205,3285,0.070891,3.5038),(1205,3295,0.070888,3.5027),(1205,3305,0.070884,3.5015),(1205,3315,0.07085,3.5004),(1205,3325,0.07081,3.4992),(1205,3335,0.070769,3.4981),(1205,3345,0.070728,3.497),(1205,3355,0.070654,3.4958),(1205,3365,0.070573,3.4947),(1205,3375,0.070493,3.4936),(1205,3385,0.070413,3.4925),(1205,3395,0.070294,3.4914),(1205,3405,0.070171,3.4903),(1205,3415,0.070048,3.4892),(1205,3425,0.069924,3.4881),(1205,3435,0.069759,3.487),(1205,3445,0.06959,3.4859),(1205,3455,0.06942,3.4849),(1205,3465,0.069251,3.4838),(1205,3475,0.069035,3.4828),(1205,3485,0.068817,3.4817),(1205,3495,0.068599,3.4807),(1205,3505,0.068381,3.4796),(1205,3515,0.06811,3.4786),(1205,3525,0.067839,3.4776),(1205,3535,0.067569,3.4766),(1205,3545,0.067295,3.4756),(1205,3555,0.066969,3.4746),(1205,3565,0.066642,3.4736),(1205,3575,0.066316,3.4726),(1205,3585,0.065984,3.4717),(1205,3595,0.065598,3.4707),(1205,3605,0.065212,3.4697),(1205,3615,0.064826,3.4688),(1205,3625,0.064432,3.4679),(1205,3635,0.063983,3.467),(1205,3645,0.063534,3.466),(1205,3655,0.063085,3.4652),(1205,3665,0.062625,3.4643),(1205,3675,0.062109,3.4634),(1205,3685,0.061594,3.4625),(1205,3695,0.061078,3.4616),(1205,3705,0.060548,3.4608),(1205,3715,0.059962,3.4599),(1205,3725,0.059376,3.4591),(1205,3735,0.05879,3.4583),(1205,3745,0.058185,3.4575),(1205,3755,0.057525,3.4567),(1205,3765,0.056865,3.4559),(1205,3775,0.056205,3.4551),(1205,3785,0.055523,3.4544),(1205,3795,0.054786,3.4536),(1205,3805,0.054048,3.4528),(1205,3815,0.05331,3.4521),(1205,3825,0.052546,3.4514),(1205,3835,0.051728,3.4507),(1205,3845,0.050909,3.45),(1205,3855,0.05009,3.4493),(1205,3865,0.049241,3.4487),(1205,3875,0.048337,3.448),(1205,3885,0.047433,3.4473),(1205,3895,0.046529,3.4467),(1205,3905,0.054139,3.4461),(1205,3915,0.074467,3.4455),(1205,3925,0.094795,3.4445),(1205,3935,0.11512,3.4431),(1205,3945,0.13822,3.4416),(1205,3955,0.16483,3.4401),(1205,3965,0.19143,3.438),(1205,3975,0.21804,3.435),(1205,3985,0.2342,3.432),(1205,3995,0.23904,3.429),(1205,4005,0.24388,3.4257),(1205,4015,0.24873,3.4221),(1205,4025,0.25312,3.4185),(1205,4035,0.25747,3.4148),(1205,4045,0.26183,3.4109),(1205,4055,0.26568,3.4069),(1205,4065,0.26936,3.4029),(1205,4075,0.27304,3.3986),(1205,4085,0.27616,3.3944),(1205,4095,0.27884,3.3901),(1205,4105,0.28152,3.3859),(1205,4115,0.27332,3.3816),(1205,4125,0.24707,3.3773),(1205,4135,0.22083,3.3742),(1205,4145,0.19376,3.3714),(1205,4155,0.16333,3.3686),(1205,4165,0.13291,3.3667),(1205,4175,0.10411,3.3654),(1205,4185,0.15599,3.364),(1205,4195,0.20788,3.3611),(1205,4205,0.25976,3.3561),(1205,4215,0.25732,3.3511),(1205,4225,0.24465,3.3461),(1205,4235,0.23198,3.341),(1205,4245,0.21305,3.3359),(1205,4255,0.19095,3.3308),(1205,4265,0.16884,3.3269),(1205,4275,0.13981,3.3231),(1205,4285,0.10342,3.3192),(1205,4295,0.067035,3.3178),(1205,4305,0.059742,3.3167),(1205,4315,0.11815,3.3156),(1205,4325,0.17656,3.311),(1205,4335,0.22869,3.3049),(1205,4345,0.23835,3.2988),(1205,4355,0.24801,3.2926),(1205,4365,0.25767,3.2863),(1205,4375,0.26034,3.2801),(1205,4385,0.26263,3.274),(1205,4395,0.26493,3.2683),(1205,4405,0.23095,3.2625),(1205,4415,0.18629,3.2574),(1205,4425,0.14162,3.2549),(1205,4435,0.12675,3.2525),(1205,4445,0.13226,3.25),(1205,4455,0.13776,3.2475),(1205,4465,0.17097,3.245),(1205,4475,0.24311,3.2425),(1205,4485,0.31525,3.2366),(1205,4495,0.37311,3.2299),(1205,4505,0.38515,3.2233),(1205,4515,0.3972,3.2159),(1205,4525,0.40826,3.2082),(1205,4535,0.40371,3.2004),(1205,4545,0.39916,3.1925),(1205,4555,0.39461,3.1843),(1205,4565,0.29001,3.1761),(1205,4575,0.17191,3.1701),(1205,4585,0.053821,3.1691),(1205,4595,0.048956,3.1682),(1205,4605,0.091933,3.1668),(1205,4615,0.13491,3.1624),(1205,4625,0.1842,3.1579),(1205,4635,0.2392,3.1534),(1205,4645,0.29421,3.1471),(1205,4655,0.34721,3.1407),(1205,4665,0.39646,3.1343),(1205,4675,0.4457,3.1274),(1205,4685,0.46975,3.1203),(1205,4695,0.36926,3.1132),(1205,4705,0.26878,3.1091),(1205,4715,0.1683,3.107),(1205,4725,0.22147,3.1049),(1205,4735,0.27619,3.101),(1205,4745,0.3309,3.0944),(1205,4755,0.41086,3.0878),(1205,4765,0.49667,3.0803),(1205,4775,0.58247,3.0697),(1205,4785,0.63082,3.0591),(1205,4795,0.65752,3.0485),(1205,4805,0.68422,3.0375),(1205,4815,0.67034,3.0266),(1205,4825,0.60796,3.0156),(1205,4835,0.54557,3.0078),(1205,4845,0.47068,3.0004),(1205,4855,0.36319,2.993),(1205,4865,0.25571,2.988),(1205,4875,0.17411,2.9842),(1205,4885,0.32812,2.9804),(1205,4895,0.48213,2.9714),(1205,4905,0.63613,2.9574),(1205,4915,0.6399,2.9435),(1205,4925,0.63074,2.9299),(1205,4935,0.62158,2.9171),(1205,4945,0.56973,2.9042),(1205,4955,0.50308,2.8921),(1205,4965,0.43643,2.8837),(1205,4975,0.33991,2.8753),(1205,4985,0.22034,2.8669),(1205,4995,0.10076,2.866),(1205,5005,0.099854,2.8653),(1205,5015,0.28762,2.8646),(1205,5025,0.47538,2.8543),(1205,5035,0.64331,2.8417),(1205,5045,0.73572,2.829),(1205,5055,0.82812,2.814),(1205,5065,0.91871,2.7976),(1205,5075,0.95005,2.7812),(1205,5085,0.98139,2.7649),(1205,5095,1.0127,2.7488),(1205,5105,0.89767,2.7328),(1205,5115,0.75708,2.7188),(1205,5125,0.61648,2.7107),(1205,5135,0.51811,2.7026),(1205,5145,0.44024,2.6946),(1205,5155,0.36237,2.6878),(1205,5165,0.41988,2.681),(1205,5175,0.61547,2.6742),(1205,5185,0.81106,2.6579),(1205,5195,0.95525,2.6405),(1205,5205,0.98863,2.6232),(1205,5215,1.022,2.606),(1205,5225,1.0494,2.5889),(1205,5235,1.0395,2.5718),(1205,5245,1.0297,2.5559),(1205,5255,1.0198,2.5411),(1205,5265,0.71233,2.5263),(1205,5275,0.39257,2.517),(1205,5285,0.072809,2.5168),(1205,5295,0.12666,2.5166),(1205,5305,0.28456,2.514),(1205,5315,0.44245,2.5012),(1205,5325,0.58552,2.4884),(1205,5335,0.71885,2.4756),(1205,5345,0.85219,2.4577),(1205,5355,0.95827,2.4398),(1205,5365,1.0276,2.4219),(1205,5375,1.0969,2.4039),(1205,5385,1.085,2.3858),(1205,5395,0.82605,2.3677),(1205,5405,0.56713,2.3584),(1205,5415,0.32612,2.3538),(1205,5425,0.32574,2.3492),(1205,5435,0.32537,2.3429),(1205,5445,0.32499,2.3347),(1205,5455,0.39473,2.3265),(1205,5465,0.47305,2.3165),(1205,5475,0.55137,2.3021),(1205,5485,0.59022,2.2878),(1205,5495,0.61318,2.2733),(1205,5505,0.63613,2.2575),(1205,5515,0.66061,2.2418),(1205,5525,0.6864,2.226),(1205,5535,0.71219,2.2088),(1205,5545,0.7385,2.1915),(1205,5555,0.76574,2.1743),(1205,5565,0.79299,2.1559),(1205,5575,0.82041,2.1371),(1205,5585,0.84861,2.1184),(1205,5595,0.8768,2.0988),(1205,5605,0.905,2.0787),(1205,5615,0.93387,2.0586),(1205,5625,0.96274,2.038),(1205,5635,0.99162,2.0167),(1205,5645,1.0209,1.9954),(1205,5655,1.0502,1.9738),(1205,5665,1.0795,1.9514),(1205,5675,1.109,1.9291),(1205,5685,1.1384,1.9066),(1205,5695,1.1679,1.8834),(1205,5705,1.1973,1.8602),(1205,5715,1.2267,1.837),(1205,5725,1.256,1.8133),(1205,5735,1.2853,1.7896),(1205,5745,1.3141,1.7658),(1205,5755,1.343,1.7417),(1205,5765,1.3718,1.7175),(1205,5775,1.4,1.6933),(1205,5785,1.4281,1.669),(1205,5795,1.4562,1.6445),(1205,5805,1.4834,1.62),(1205,5815,1.5105,1.5956),(1205,5825,1.5376,1.5711),(1205,5835,1.5638,1.5466),(1205,5845,1.5898,1.5222),(1205,5855,1.6157,1.4977),(1205,5865,1.6409,1.4733),(1205,5875,1.6655,1.4488),(1205,5885,1.69,1.4244),(1205,5895,1.7141,1.4),(1205,5905,1.7372,1.3756),(1205,5915,1.7604,1.3514),(1205,5925,1.7832,1.3272),(1205,5935,1.8049,1.303),(1205,5945,1.8266,1.279),(1205,5955,1.8483,1.255),(1205,5965,1.8692,1.2311),(1205,5975,1.89,1.2074),(1205,5985,1.9109,1.1837),(1205,5995,1.4641,1.1601),(1205,6005,0.94215,1.1421),(1205,6015,0.42017,1.139),(1205,6025,0.37244,1.1359),(1205,6035,0.54467,1.1319),(1205,6045,0.71691,1.1181),(1205,6055,0.84623,1.1043),(1205,6065,0.93348,1.0905),(1205,6075,1.0207,1.0723),(1205,6085,1.0812,1.0537),(1205,6095,1.0866,1.0351),(1205,6105,1.0919,1.0163),(1205,6115,1.0972,0.99749),(1205,6125,1.1023,0.97865),(1205,6135,1.1074,0.95975),(1205,6145,1.1126,0.94079),(1205,6155,1.1174,0.92184),(1205,6165,1.1222,0.9027),(1205,6175,1.1271,0.88324),(1205,6185,1.1316,0.86379),(1205,6195,1.1362,0.84434),(1205,6205,1.1407,0.82487),(1205,6215,1.145,0.8054),(1205,6225,1.1491,0.78593),(1205,6235,1.1533,0.76627),(1205,6245,1.1573,0.74662),(1205,6255,1.1612,0.72696),(1205,6265,1.165,0.70723),(1205,6275,1.1688,0.68748),(1205,6285,1.1724,0.66773),(1205,6295,1.1759,0.64786),(1205,6305,1.1795,0.62793),(1205,6315,1.1827,0.608),(1205,6325,1.1859,0.58789),(1205,6335,1.1892,0.5676),(1205,6345,1.1921,0.54731),(1205,6355,1.1949,0.52703),(1205,6365,1.1978,0.50676),(1205,6375,1.2004,0.48649),(1205,6385,1.203,0.46621),(1205,6395,1.2055,0.44586),(1205,6405,1.2078,0.42551),(1205,6415,1.21,0.40516),(1205,6425,1.2122,0.38452),(1205,6435,1.2142,0.36386),(1205,6445,1.2161,0.3432),(1205,6455,1.2179,0.32256),(1205,6465,1.2197,0.30192),(1205,6475,1.2212,0.28128),(1205,6485,1.2228,0.26066),(1205,6495,1.2243,0.24005),(1205,6505,1.2254,0.21944),(1205,6515,1.2266,0.19877),(1205,6525,1.2277,0.178),(1205,6535,1.2285,0.15723),(1205,6545,1.2293,0.13647),(1205,6555,1.23,0.11574),(1205,6565,1.2305,0.095007),(1205,6575,1.2308,0.074273),(1205,6585,1.2312,0.053523),(1205,6595,1.0473,0.032774),(1205,6605,0.65996,0.012024),(1205,6615,0.27263,0.009637),(1205,6625,0.000352,0.009609),(1205,6635,0.000355,0.009582),(1205,6645,0.000357,0.009569),(1205,6655,0.000359,0.009562),(1205,6665,0.000361,0.009554),(1205,6675,0.000363,0.009547),(1205,6685,0.000366,0.00954),(1205,6695,0.000368,0.009533),(1205,6705,0.00037,0.009526),(1205,6715,0.000372,0.009519),(1205,6725,0.000374,0.009512),(1205,6735,0.000376,0.009504),(1205,6745,0.000378,0.009497),(1205,6755,0.00038,0.00949),(1205,6765,0.000382,0.009483),(1205,6775,0.000383,0.009475),(1205,6785,0.000385,0.009468),(1205,6795,0.000387,0.009461),(1205,6805,0.000389,0.009453),(1205,6815,0.000391,0.009446),(1205,6825,0.000392,0.009439),(1205,6835,0.000394,0.009431),(1205,6845,0.000396,0.009424),(1205,6855,0.000398,0.009416),(1205,6865,0.000399,0.009409),(1205,6875,0.000401,0.009401),(1205,6885,0.000403,0.009394),(1205,6895,0.000404,0.009386),(1205,6905,0.000406,0.009378),(1205,6915,0.000408,0.009371),(1205,6925,0.000409,0.009363),(1205,6935,0.000411,0.009356),(1205,6945,0.000412,0.009348),(1205,6955,0.000414,0.00934),(1205,6965,0.000415,0.009333),(1205,6975,0.000417,0.009325),(1205,6985,0.000418,0.009317),(1215,5,5.3e-05,3.6718),(1215,15,0.000159,3.6718),(1215,25,0.000264,3.6718),(1215,35,0.00037,3.6717),(1215,45,0.000476,3.6717),(1215,55,0.000581,3.6717),(1215,65,0.000687,3.6717),(1215,75,0.000793,3.6717),(1215,85,0.000899,3.6717),(1215,95,0.001005,3.6717),(1215,105,0.001111,3.6717),(1215,115,0.001218,3.6717),(1215,125,0.001324,3.6716),(1215,135,0.001431,3.6716),(1215,145,0.001538,3.6716),(1215,155,0.001645,3.6716),(1215,165,0.001752,3.6716),(1215,175,0.001859,3.6715),(1215,185,0.001967,3.6715),(1215,195,0.002075,3.6715),(1215,205,0.002183,3.6715),(1215,215,0.002291,3.6714),(1215,225,0.0024,3.6714),(1215,235,0.00251,3.6714),(1215,245,0.002619,3.6713),(1215,255,0.002728,3.6713),(1215,265,0.002838,3.6713),(1215,275,0.002949,3.6712),(1215,285,0.003059,3.6712),(1215,295,0.00317,3.6711),(1215,305,0.003281,3.6711),(1215,315,0.003393,3.671),(1215,325,0.003505,3.671),(1215,335,0.003617,3.671),(1215,345,0.00373,3.6709),(1215,355,0.003844,3.6709),(1215,365,0.003958,3.6708),(1215,375,0.004071,3.6707),(1215,385,0.004186,3.6707),(1215,395,0.004302,3.6706),(1215,405,0.004417,3.6706),(1215,415,0.004533,3.6705),(1215,425,0.00465,3.6705),(1215,435,0.004768,3.6704),(1215,445,0.004885,3.6703),(1215,455,0.005003,3.6703),(1215,465,0.005123,3.6702),(1215,475,0.005242,3.6701),(1215,485,0.005362,3.67),(1215,495,0.005482,3.67),(1215,505,0.005605,3.6699),(1215,515,0.005727,3.6698),(1215,525,0.005849,3.6697),(1215,535,0.005972,3.6697),(1215,545,0.006097,3.6696),(1215,555,0.006222,3.6695),(1215,565,0.006347,3.6694),(1215,575,0.006472,3.6693),(1215,585,0.0066,3.6692),(1215,595,0.006728,3.6691),(1215,605,0.006856,3.6691),(1215,615,0.006984,3.669),(1215,625,0.007116,3.6689),(1215,635,0.007247,3.6688),(1215,645,0.007378,3.6687),(1215,655,0.007509,3.6686),(1215,665,0.007643,3.6685),(1215,675,0.007778,3.6684),(1215,685,0.007912,3.6682),(1215,695,0.008047,3.6681),(1215,705,0.008185,3.668),(1215,715,0.008323,3.6679),(1215,725,0.00846,3.6678),(1215,735,0.008599,3.6677),(1215,745,0.00874,3.6676),(1215,755,0.008882,3.6674),(1215,765,0.009024,3.6673),(1215,775,0.009166,3.6672),(1215,785,0.009312,3.6671),(1215,795,0.009457,3.6669),(1215,805,0.009602,3.6668),(1215,815,0.009749,3.6667),(1215,825,0.009898,3.6665),(1215,835,0.010048,3.6664),(1215,845,0.010197,3.6663),(1215,855,0.010348,3.6661),(1215,865,0.010502,3.666),(1215,875,0.010656,3.6658),(1215,885,0.01081,3.6657),(1215,895,0.010965,3.6655),(1215,905,0.011124,3.6654),(1215,915,0.011282,3.6652),(1215,925,0.01144,3.6651),(1215,935,0.011601,3.6649),(1215,945,0.011764,3.6647),(1215,955,0.011927,3.6646),(1215,965,0.01209,3.6644),(1215,975,0.012255,3.6642),(1215,985,0.012423,3.6641),(1215,995,0.012591,3.6639),(1215,1005,0.012759,3.6637),(1215,1015,0.01293,3.6635),(1215,1025,0.013103,3.6633),(1215,1035,0.013276,3.6632),(1215,1045,0.013449,3.663),(1215,1055,0.013624,3.6628),(1215,1065,0.013803,3.6626),(1215,1075,0.013981,3.6624),(1215,1085,0.014159,3.6622),(1215,1095,0.01434,3.662),(1215,1105,0.014524,3.6618),(1215,1115,0.014708,3.6616),(1215,1125,0.014891,3.6614),(1215,1135,0.015079,3.6612),(1215,1145,0.015268,3.6609),(1215,1155,0.015457,3.6607),(1215,1165,0.015647,3.6605),(1215,1175,0.01584,3.6603),(1215,1185,0.016035,3.6601),(1215,1195,0.01623,3.6598),(1215,1205,0.016425,3.6596),(1215,1215,0.016624,3.6594),(1215,1225,0.016825,3.6591),(1215,1235,0.017026,3.6589),(1215,1245,0.017227,3.6586),(1215,1255,0.017432,3.6584),(1215,1265,0.017639,3.6581),(1215,1275,0.017846,3.6579),(1215,1285,0.018053,3.6576),(1215,1295,0.018265,3.6573),(1215,1305,0.018478,3.6571),(1215,1315,0.018691,3.6568),(1215,1325,0.018905,3.6565),(1215,1335,0.019123,3.6563),(1215,1345,0.019342,3.656),(1215,1355,0.019562,3.6557),(1215,1365,0.019782,3.6554),(1215,1375,0.020007,3.6551),(1215,1385,0.020232,3.6548),(1215,1395,0.020458,3.6545),(1215,1405,0.020684,3.6542),(1215,1415,0.020916,3.6539),(1215,1425,0.021149,3.6536),(1215,1435,0.021381,3.6533),(1215,1445,0.021613,3.653),(1215,1455,0.021852,3.6527),(1215,1465,0.022091,3.6523),(1215,1475,0.02233,3.652),(1215,1485,0.022569,3.6517),(1215,1495,0.022814,3.6513),(1215,1505,0.02306,3.651),(1215,1515,0.023306,3.6507),(1215,1525,0.023552,3.6503),(1215,1535,0.023804,3.65),(1215,1545,0.024056,3.6496),(1215,1555,0.024308,3.6492),(1215,1565,0.024561,3.6489),(1215,1575,0.02482,3.6485),(1215,1585,0.025079,3.6481),(1215,1595,0.025338,3.6477),(1215,1605,0.025598,3.6474),(1215,1615,0.025863,3.647),(1215,1625,0.026129,3.6466),(1215,1635,0.026395,3.6462),(1215,1645,0.026661,3.6458),(1215,1655,0.026933,3.6454),(1215,1665,0.027206,3.645),(1215,1675,0.027478,3.6445),(1215,1685,0.027751,3.6441),(1215,1695,0.02803,3.6437),(1215,1705,0.028309,3.6433),(1215,1715,0.028588,3.6428),(1215,1725,0.028868,3.6424),(1215,1735,0.029154,3.6419),(1215,1745,0.029439,3.6415),(1215,1755,0.029724,3.641),(1215,1765,0.030012,3.6406),(1215,1775,0.030303,3.6401),(1215,1785,0.030595,3.6396),(1215,1795,0.030887,3.6392),(1215,1805,0.03118,3.6387),(1215,1815,0.031478,3.6382),(1215,1825,0.031776,3.6377),(1215,1835,0.032074,3.6372),(1215,1845,0.032373,3.6367),(1215,1855,0.032677,3.6362),(1215,1865,0.032981,3.6357),(1215,1875,0.033285,3.6352),(1215,1885,0.033591,3.6346),(1215,1895,0.0339,3.6341),(1215,1905,0.03421,3.6336),(1215,1915,0.034519,3.633),(1215,1925,0.034831,3.6325),(1215,1935,0.035147,3.6319),(1215,1945,0.035462,3.6314),(1215,1955,0.035777,3.6308),(1215,1965,0.036095,3.6302),(1215,1975,0.036415,3.6297),(1215,1985,0.036736,3.6291),(1215,1995,0.037056,3.6285),(1215,2005,0.037379,3.6279),(1215,2015,0.037704,3.6273),(1215,2025,0.03803,3.6267),(1215,2035,0.038355,3.6261),(1215,2045,0.038683,3.6255),(1215,2055,0.039013,3.6248),(1215,2065,0.039342,3.6242),(1215,2075,0.039672,3.6236),(1215,2085,0.040004,3.6229),(1215,2095,0.040338,3.6223),(1215,2105,0.040671,3.6216),(1215,2115,0.041005,3.6209),(1215,2125,0.041341,3.6203),(1215,2135,0.041678,3.6196),(1215,2145,0.042015,3.6189),(1215,2155,0.042353,3.6182),(1215,2165,0.042692,3.6175),(1215,2175,0.043032,3.6168),(1215,2185,0.043372,3.6161),(1215,2195,0.043713,3.6154),(1215,2205,0.044055,3.6147),(1215,2215,0.044398,3.614),(1215,2225,0.04474,3.6132),(1215,2235,0.045083,3.6125),(1215,2245,0.045427,3.6117),(1215,2255,0.045772,3.611),(1215,2265,0.046116,3.6102),(1215,2275,0.046461,3.6095),(1215,2285,0.046806,3.6087),(1215,2295,0.047152,3.6079),(1215,2305,0.047497,3.6071),(1215,2315,0.047843,3.6063),(1215,2325,0.048189,3.6055),(1215,2335,0.048535,3.6047),(1215,2345,0.048881,3.6039),(1215,2355,0.049227,3.6031),(1215,2365,0.049572,3.6023),(1215,2375,0.049918,3.6014),(1215,2385,0.050263,3.6006),(1215,2395,0.050609,3.5997),(1215,2405,0.050954,3.5989),(1215,2415,0.051298,3.598),(1215,2425,0.051643,3.5972),(1215,2435,0.051987,3.5963),(1215,2445,0.05233,3.5954),(1215,2455,0.052672,3.5945),(1215,2465,0.053015,3.5936),(1215,2475,0.053357,3.5927),(1215,2485,0.053696,3.5918),(1215,2495,0.054036,3.5909),(1215,2505,0.054375,3.59),(1215,2515,0.054714,3.589),(1215,2525,0.05505,3.5881),(1215,2535,0.055385,3.5872),(1215,2545,0.05572,3.5862),(1215,2555,0.056055,3.5853),(1215,2565,0.056385,3.5843),(1215,2575,0.056715,3.5834),(1215,2585,0.057045,3.5824),(1215,2595,0.057375,3.5814),(1215,2605,0.057699,3.5804),(1215,2615,0.058023,3.5794),(1215,2625,0.058347,3.5784),(1215,2635,0.05867,3.5774),(1215,2645,0.058987,3.5764),(1215,2655,0.059304,3.5754),(1215,2665,0.05962,3.5744),(1215,2675,0.059936,3.5733),(1215,2685,0.060244,3.5723),(1215,2695,0.060552,3.5713),(1215,2705,0.06086,3.5702),(1215,2715,0.061167,3.5692),(1215,2725,0.061465,3.5681),(1215,2735,0.061764,3.5671),(1215,2745,0.062062,3.566),(1215,2755,0.062358,3.5649),(1215,2765,0.062645,3.5639),(1215,2775,0.062933,3.5628),(1215,2785,0.06322,3.5617),(1215,2795,0.063504,3.5606),(1215,2805,0.063779,3.5595),(1215,2815,0.064054,3.5584),(1215,2825,0.064329,3.5573),(1215,2835,0.064599,3.5562),(1215,2845,0.064861,3.5551),(1215,2855,0.065122,3.554),(1215,2865,0.065383,3.5528),(1215,2875,0.065638,3.5517),(1215,2885,0.065884,3.5506),(1215,2895,0.06613,3.5494),(1215,2905,0.066376,3.5483),(1215,2915,0.066615,3.5472),(1215,2925,0.066844,3.546),(1215,2935,0.067073,3.5449),(1215,2945,0.067302,3.5437),(1215,2955,0.067523,3.5426),(1215,2965,0.067733,3.5414),(1215,2975,0.067944,3.5402),(1215,2985,0.068154,3.5391),(1215,2995,0.068355,3.5379),(1215,3005,0.068545,3.5367),(1215,3015,0.068736,3.5356),(1215,3025,0.068926,3.5344),(1215,3035,0.069105,3.5332),(1215,3045,0.069273,3.5321),(1215,3055,0.069441,3.5309),(1215,3065,0.069609,3.5297),(1215,3075,0.069764,3.5285),(1215,3085,0.069909,3.5273),(1215,3095,0.070053,3.5262),(1215,3105,0.070198,3.525),(1215,3115,0.070326,3.5238),(1215,3125,0.070445,3.5226),(1215,3135,0.070564,3.5214),(1215,3145,0.070682,3.5202),(1215,3155,0.070783,3.5191),(1215,3165,0.070874,3.5179),(1215,3175,0.070965,3.5167),(1215,3185,0.071056,3.5155),(1215,3195,0.071126,3.5143),(1215,3205,0.071186,3.5132),(1215,3215,0.071247,3.512),(1215,3225,0.071308,3.5108),(1215,3235,0.071345,3.5096),(1215,3245,0.071374,3.5085),(1215,3255,0.071402,3.5073),(1215,3265,0.07143,3.5061),(1215,3275,0.071432,3.505),(1215,3285,0.071425,3.5038),(1215,3295,0.071419,3.5026),(1215,3305,0.071412,3.5015),(1215,3315,0.071376,3.5003),(1215,3325,0.071332,3.4992),(1215,3335,0.071288,3.498),(1215,3345,0.071244,3.4969),(1215,3355,0.071166,3.4958),(1215,3365,0.071082,3.4946),(1215,3375,0.070997,3.4935),(1215,3385,0.070913,3.4924),(1215,3395,0.070791,3.4913),(1215,3405,0.070663,3.4902),(1215,3415,0.070536,3.4891),(1215,3425,0.070409,3.488),(1215,3435,0.070239,3.4869),(1215,3445,0.070065,3.4858),(1215,3455,0.069891,3.4847),(1215,3465,0.069718,3.4836),(1215,3475,0.069497,3.4826),(1215,3485,0.069274,3.4815),(1215,3495,0.069051,3.4804),(1215,3505,0.068828,3.4794),(1215,3515,0.068552,3.4784),(1215,3525,0.068276,3.4773),(1215,3535,0.068001,3.4763),(1215,3545,0.067723,3.4753),(1215,3555,0.067391,3.4743),(1215,3565,0.067059,3.4733),(1215,3575,0.066727,3.4723),(1215,3585,0.066391,3.4713),(1215,3595,0.065999,3.4703),(1215,3605,0.065608,3.4694),(1215,3615,0.065217,3.4684),(1215,3625,0.064817,3.4675),(1215,3635,0.064363,3.4665),(1215,3645,0.063909,3.4656),(1215,3655,0.063454,3.4647),(1215,3665,0.062989,3.4638),(1215,3675,0.062468,3.4629),(1215,3685,0.061947,3.462),(1215,3695,0.061426,3.4611),(1215,3705,0.060891,3.4602),(1215,3715,0.0603,3.4594),(1215,3725,0.059708,3.4585),(1215,3735,0.059117,3.4577),(1215,3745,0.058508,3.4569),(1215,3755,0.057843,3.456),(1215,3765,0.057178,3.4552),(1215,3775,0.056513,3.4544),(1215,3785,0.055826,3.4537),(1215,3795,0.055084,3.4529),(1215,3805,0.054341,3.4521),(1215,3815,0.053599,3.4514),(1215,3825,0.05283,3.4506),(1215,3835,0.052006,3.4499),(1215,3845,0.051183,3.4492),(1215,3855,0.050359,3.4485),(1215,3865,0.049504,3.4478),(1215,3875,0.048595,3.4471),(1215,3885,0.047686,3.4464),(1215,3895,0.046777,3.4458),(1215,3905,0.054405,3.4451),(1215,3915,0.074786,3.4445),(1215,3925,0.095166,3.4435),(1215,3935,0.11555,3.442),(1215,3945,0.13875,3.4404),(1215,3955,0.16554,3.4389),(1215,3965,0.19232,3.4367),(1215,3975,0.21911,3.4336),(1215,3985,0.23541,3.4305),(1215,3995,0.24036,3.4274),(1215,4005,0.24531,3.424),(1215,4015,0.25027,3.4204),(1215,4025,0.25475,3.4168),(1215,4035,0.25918,3.413),(1215,4045,0.26362,3.409),(1215,4055,0.26753,3.405),(1215,4065,0.27125,3.4009),(1215,4075,0.27497,3.3966),(1215,4085,0.27811,3.3923),(1215,4095,0.28077,3.3881),(1215,4105,0.28343,3.3837),(1215,4115,0.27513,3.3794),(1215,4125,0.24865,3.375),(1215,4135,0.22216,3.3719),(1215,4145,0.19485,3.369),(1215,4155,0.16422,3.3661),(1215,4165,0.13358,3.3641),(1215,4175,0.10459,3.3627),(1215,4185,0.15716,3.3613),(1215,4195,0.20974,3.3584),(1215,4205,0.26232,3.3533),(1215,4215,0.2601,3.3482),(1215,4225,0.24757,3.3432),(1215,4235,0.23505,3.338),(1215,4245,0.21603,3.3329),(1215,4255,0.19372,3.3278),(1215,4265,0.17142,3.324),(1215,4275,0.14201,3.3201),(1215,4285,0.10506,3.3162),(1215,4295,0.068119,3.3149),(1215,4305,0.060767,3.3138),(1215,4315,0.12023,3.3128),(1215,4325,0.1797,3.3081),(1215,4335,0.23275,3.3021),(1215,4345,0.24242,3.2961),(1215,4355,0.25208,3.2898),(1215,4365,0.26175,3.2835),(1215,4375,0.26423,3.2771),(1215,4385,0.26635,3.271),(1215,4395,0.26846,3.2651),(1215,4405,0.23393,3.2593),(1215,4415,0.1886,3.2541),(1215,4425,0.14327,3.2517),(1215,4435,0.12814,3.2492),(1215,4445,0.13366,3.2468),(1215,4455,0.13917,3.2443),(1215,4465,0.17267,3.2417),(1215,4475,0.24548,3.2392),(1215,4485,0.3183,3.2333),(1215,4495,0.37672,3.2266),(1215,4505,0.38895,3.2199),(1215,4515,0.40119,3.2125),(1215,4525,0.41244,3.2047),(1215,4535,0.40801,3.1969),(1215,4545,0.40358,3.1889),(1215,4555,0.39915,3.1807),(1215,4565,0.29351,3.1724),(1215,4575,0.17421,3.1663),(1215,4585,0.054916,3.1654),(1215,4595,0.050158,3.1644),(1215,4605,0.093795,3.1631),(1215,4615,0.13743,3.1587),(1215,4625,0.1871,3.1542),(1215,4635,0.24224,3.1498),(1215,4645,0.29737,3.1436),(1215,4655,0.3504,3.1372),(1215,4665,0.39947,3.1309),(1215,4675,0.44854,3.1239),(1215,4685,0.47233,3.1168),(1215,4695,0.3712,3.1097),(1215,4705,0.27006,3.1054),(1215,4715,0.16892,3.1032),(1215,4725,0.22295,3.1009),(1215,4735,0.27854,3.097),(1215,4745,0.33412,3.0904),(1215,4755,0.41464,3.0838),(1215,4765,0.50094,3.0763),(1215,4775,0.58723,3.0657),(1215,4785,0.6357,3.0551),(1215,4795,0.66231,3.0445),(1215,4805,0.68891,3.0335),(1215,4815,0.67474,3.0225),(1215,4825,0.61183,3.0116),(1215,4835,0.54891,3.0037),(1215,4845,0.47358,2.9962),(1215,4855,0.36586,2.9888),(1215,4865,0.25814,2.9839),(1215,4875,0.1765,2.98),(1215,4885,0.3322,2.9762),(1215,4895,0.48789,2.9672),(1215,4905,0.64359,2.9532),(1215,4915,0.64725,2.9393),(1215,4925,0.63783,2.9257),(1215,4935,0.62841,2.9128),(1215,4945,0.57594,2.9),(1215,4955,0.50853,2.8878),(1215,4965,0.44113,2.8794),(1215,4975,0.34358,2.8709),(1215,4985,0.22276,2.8625),(1215,4995,0.10194,2.8616),(1215,5005,0.10102,2.8609),(1215,5015,0.29073,2.8602),(1215,5025,0.48043,2.85),(1215,5035,0.64998,2.8374),(1215,5045,0.74274,2.8248),(1215,5055,0.8355,2.8099),(1215,5065,0.92642,2.7936),(1215,5075,0.95743,2.7773),(1215,5085,0.98843,2.7611),(1215,5095,1.0194,2.7452),(1215,5105,0.90334,2.7292),(1215,5115,0.76158,2.7154),(1215,5125,0.61982,2.7073),(1215,5135,0.5212,2.6993),(1215,5145,0.44352,2.6913),(1215,5155,0.36585,2.6845),(1215,5165,0.42418,2.6778),(1215,5175,0.62124,2.671),(1215,5185,0.81829,2.6547),(1215,5195,0.96339,2.6374),(1215,5205,0.99646,2.6201),(1215,5215,1.0295,2.6029),(1215,5225,1.0566,2.5859),(1215,5235,1.0462,2.5688),(1215,5245,1.0357,2.553),(1215,5255,1.0253,2.5383),(1215,5265,0.71619,2.5236),(1215,5275,0.39474,2.5143),(1215,5285,0.073297,2.5141),(1215,5295,0.12856,2.5139),(1215,5305,0.28874,2.5113),(1215,5315,0.44892,2.4985),(1215,5325,0.59315,2.4857),(1215,5335,0.72693,2.4728),(1215,5345,0.86071,2.455),(1215,5355,0.96686,2.4372),(1215,5365,1.0357,2.4194),(1215,5375,1.1046,2.4015),(1215,5385,1.0919,2.3835),(1215,5395,0.83118,2.3655),(1215,5405,0.57045,2.3564),(1215,5415,0.32783,2.3518),(1215,5425,0.32846,2.3472),(1215,5435,0.32909,2.3408),(1215,5445,0.32972,2.3325),(1215,5455,0.40054,2.3242),(1215,5465,0.47993,2.314),(1215,5475,0.55933,2.2994),(1215,5485,0.59865,2.2849),(1215,5495,0.62184,2.2702),(1215,5505,0.64503,2.2543),(1215,5515,0.66973,2.2383),(1215,5525,0.69575,2.2224),(1215,5535,0.72177,2.205),(1215,5545,0.74831,2.1876),(1215,5555,0.77577,2.1701),(1215,5565,0.80323,2.1516),(1215,5575,0.83085,2.1327),(1215,5585,0.85922,2.1138),(1215,5595,0.88759,2.0942),(1215,5605,0.91596,2.0739),(1215,5615,0.94496,2.0537),(1215,5625,0.97397,2.033),(1215,5635,1.003,2.0117),(1215,5645,1.0323,1.9903),(1215,5655,1.0617,1.9687),(1215,5665,1.0911,1.9463),(1215,5675,1.1206,1.9239),(1215,5685,1.1501,1.9014),(1215,5695,1.1796,1.8782),(1215,5705,1.209,1.855),(1215,5715,1.2383,1.8319),(1215,5725,1.2676,1.8082),(1215,5735,1.2968,1.7846),(1215,5745,1.3256,1.7609),(1215,5755,1.3543,1.7369),(1215,5765,1.3831,1.7127),(1215,5775,1.411,1.6886),(1215,5785,1.439,1.6644),(1215,5795,1.467,1.64),(1215,5805,1.494,1.6157),(1215,5815,1.521,1.5914),(1215,5825,1.5479,1.5671),(1215,5835,1.574,1.5427),(1215,5845,1.5997,1.5184),(1215,5855,1.6254,1.4941),(1215,5865,1.6504,1.4698),(1215,5875,1.6748,1.4456),(1215,5885,1.6991,1.4213),(1215,5895,1.723,1.3971),(1215,5905,1.7459,1.3729),(1215,5915,1.7688,1.3489),(1215,5925,1.7914,1.3249),(1215,5935,1.8129,1.3009),(1215,5945,1.8344,1.2771),(1215,5955,1.8559,1.2534),(1215,5965,1.8765,1.2297),(1215,5975,1.8971,1.2061),(1215,5985,1.9178,1.1827),(1215,5995,1.4694,1.1593),(1215,6005,0.94546,1.1415),(1215,6015,0.42156,1.1385),(1215,6025,0.37451,1.1354),(1215,6035,0.54861,1.1314),(1215,6045,0.72272,1.1176),(1215,6055,0.85333,1.1038),(1215,6065,0.94131,1.09),(1215,6075,1.0293,1.0718),(1215,6085,1.0903,1.0532),(1215,6095,1.0956,1.0346),(1215,6105,1.101,1.0158),(1215,6115,1.1063,0.99697),(1215,6125,1.1115,0.97814),(1215,6135,1.1166,0.95924),(1215,6145,1.1218,0.94029),(1215,6155,1.1267,0.92134),(1215,6165,1.1315,0.9022),(1215,6175,1.1364,0.88275),(1215,6185,1.141,0.8633),(1215,6195,1.1455,0.84384),(1215,6205,1.1501,0.82437),(1215,6215,1.1544,0.8049),(1215,6225,1.1586,0.78542),(1215,6235,1.1628,0.76577),(1215,6245,1.1669,0.74612),(1215,6255,1.1707,0.72648),(1215,6265,1.1746,0.70676),(1215,6275,1.1784,0.68703),(1215,6285,1.182,0.6673),(1215,6295,1.1856,0.64744),(1215,6305,1.1892,0.62751),(1215,6315,1.1924,0.60759),(1215,6325,1.1956,0.58749),(1215,6335,1.1989,0.5672),(1215,6345,1.2018,0.54692),(1215,6355,1.2047,0.52664),(1215,6365,1.2076,0.50639),(1215,6375,1.2102,0.48614),(1215,6385,1.2128,0.46587),(1215,6395,1.2153,0.44553),(1215,6405,1.2177,0.42519),(1215,6415,1.2198,0.40484),(1215,6425,1.222,0.38422),(1215,6435,1.2241,0.36358),(1215,6445,1.2259,0.34294),(1215,6455,1.2278,0.32233),(1215,6465,1.2296,0.30172),(1215,6475,1.2311,0.2811),(1215,6485,1.2327,0.2605),(1215,6495,1.2342,0.2399),(1215,6505,1.2354,0.2193),(1215,6515,1.2365,0.19862),(1215,6525,1.2377,0.17786),(1215,6535,1.2385,0.15709),(1215,6545,1.2393,0.13634),(1215,6555,1.24,0.11562),(1215,6565,1.2405,0.0949),(1215,6575,1.2408,0.07418),(1215,6585,1.2412,0.053467),(1215,6595,1.0558,0.032754),(1215,6605,0.66533,0.012041),(1215,6615,0.27485,0.009653),(1215,6625,0.000356,0.009619),(1215,6635,0.000358,0.009586),(1215,6645,0.000361,0.009571),(1215,6655,0.000363,0.009564),(1215,6665,0.000365,0.009557),(1215,6675,0.000367,0.009549),(1215,6685,0.000369,0.009542),(1215,6695,0.000371,0.009535),(1215,6705,0.000374,0.009528),(1215,6715,0.000376,0.009521),(1215,6725,0.000378,0.009513),(1215,6735,0.00038,0.009506),(1215,6745,0.000382,0.009499),(1215,6755,0.000384,0.009492),(1215,6765,0.000385,0.009485),(1215,6775,0.000387,0.009477),(1215,6785,0.000389,0.00947),(1215,6795,0.000391,0.009463),(1215,6805,0.000393,0.009455),(1215,6815,0.000395,0.009448),(1215,6825,0.000396,0.00944),(1215,6835,0.000398,0.009433),(1215,6845,0.0004,0.009425),(1215,6855,0.000402,0.009418),(1215,6865,0.000403,0.00941),(1215,6875,0.000405,0.009403),(1215,6885,0.000407,0.009395),(1215,6895,0.000408,0.009388),(1215,6905,0.00041,0.00938),(1215,6915,0.000412,0.009373),(1215,6925,0.000413,0.009365),(1215,6935,0.000415,0.009357),(1215,6945,0.000416,0.00935),(1215,6955,0.000418,0.009342),(1215,6965,0.00042,0.009334),(1215,6975,0.000421,0.009326),(1215,6985,0.000423,0.009319),(1225,5,5.3e-05,3.6719),(1225,15,0.000159,3.6719),(1225,25,0.000265,3.6719),(1225,35,0.000372,3.6719),(1225,45,0.000478,3.6718),(1225,55,0.000584,3.6718),(1225,65,0.00069,3.6718),(1225,75,0.000797,3.6718),(1225,85,0.000903,3.6718),(1225,95,0.00101,3.6718),(1225,105,0.001117,3.6718),(1225,115,0.001223,3.6718),(1225,125,0.001331,3.6718),(1225,135,0.001437,3.6717),(1225,145,0.001545,3.6717),(1225,155,0.001653,3.6717),(1225,165,0.00176,3.6717),(1225,175,0.001868,3.6716),(1225,185,0.001976,3.6716),(1225,195,0.002085,3.6716),(1225,205,0.002193,3.6716),(1225,215,0.002302,3.6715),(1225,225,0.002411,3.6715),(1225,235,0.002521,3.6715),(1225,245,0.002631,3.6714),(1225,255,0.00274,3.6714),(1225,265,0.002851,3.6714),(1225,275,0.002962,3.6713),(1225,285,0.003073,3.6713),(1225,295,0.003184,3.6712),(1225,305,0.003296,3.6712),(1225,315,0.003409,3.6712),(1225,325,0.003521,3.6711),(1225,335,0.003634,3.6711),(1225,345,0.003748,3.671),(1225,355,0.003862,3.671),(1225,365,0.003976,3.6709),(1225,375,0.00409,3.6709),(1225,385,0.004206,3.6708),(1225,395,0.004322,3.6708),(1225,405,0.004438,3.6707),(1225,415,0.004554,3.6706),(1225,425,0.004672,3.6706),(1225,435,0.00479,3.6705),(1225,445,0.004908,3.6704),(1225,455,0.005027,3.6704),(1225,465,0.005147,3.6703),(1225,475,0.005267,3.6702),(1225,485,0.005388,3.6702),(1225,495,0.005508,3.6701),(1225,505,0.005631,3.67),(1225,515,0.005754,3.6699),(1225,525,0.005877,3.6699),(1225,535,0.006,3.6698),(1225,545,0.006126,3.6697),(1225,555,0.006252,3.6696),(1225,565,0.006378,3.6695),(1225,575,0.006503,3.6695),(1225,585,0.006632,3.6694),(1225,595,0.006761,3.6693),(1225,605,0.006889,3.6692),(1225,615,0.007018,3.6691),(1225,625,0.00715,3.669),(1225,635,0.007282,3.6689),(1225,645,0.007414,3.6688),(1225,655,0.007546,3.6687),(1225,665,0.007681,3.6686),(1225,675,0.007816,3.6685),(1225,685,0.007951,3.6684),(1225,695,0.008087,3.6683),(1225,705,0.008225,3.6682),(1225,715,0.008364,3.6681),(1225,725,0.008502,3.6679),(1225,735,0.008642,3.6678),(1225,745,0.008784,3.6677),(1225,755,0.008926,3.6676),(1225,765,0.009069,3.6675),(1225,775,0.009212,3.6673),(1225,785,0.009358,3.6672),(1225,795,0.009505,3.6671),(1225,805,0.009651,3.667),(1225,815,0.009798,3.6668),(1225,825,0.009949,3.6667),(1225,835,0.010099,3.6666),(1225,845,0.010249,3.6664),(1225,855,0.010401,3.6663),(1225,865,0.010556,3.6661),(1225,875,0.010711,3.666),(1225,885,0.010866,3.6658),(1225,895,0.011022,3.6657),(1225,905,0.011181,3.6655),(1225,915,0.011341,3.6654),(1225,925,0.0115,3.6652),(1225,935,0.011661,3.6651),(1225,945,0.011825,3.6649),(1225,955,0.011989,3.6647),(1225,965,0.012154,3.6646),(1225,975,0.01232,3.6644),(1225,985,0.012489,3.6642),(1225,995,0.012658,3.6641),(1225,1005,0.012827,3.6639),(1225,1015,0.012999,3.6637),(1225,1025,0.013173,3.6635),(1225,1035,0.013347,3.6633),(1225,1045,0.013521,3.6631),(1225,1055,0.013698,3.663),(1225,1065,0.013877,3.6628),(1225,1075,0.014057,3.6626),(1225,1085,0.014236,3.6624),(1225,1095,0.014419,3.6622),(1225,1105,0.014603,3.662),(1225,1115,0.014788,3.6618),(1225,1125,0.014973,3.6616),(1225,1135,0.015162,3.6613),(1225,1145,0.015352,3.6611),(1225,1155,0.015543,3.6609),(1225,1165,0.015734,3.6607),(1225,1175,0.015928,3.6605),(1225,1185,0.016124,3.6602),(1225,1195,0.016321,3.66),(1225,1205,0.016517,3.6598),(1225,1215,0.016718,3.6595),(1225,1225,0.01692,3.6593),(1225,1235,0.017123,3.6591),(1225,1245,0.017325,3.6588),(1225,1255,0.017532,3.6586),(1225,1265,0.017741,3.6583),(1225,1275,0.017949,3.6581),(1225,1285,0.018157,3.6578),(1225,1295,0.018371,3.6576),(1225,1305,0.018586,3.6573),(1225,1315,0.0188,3.657),(1225,1325,0.019015,3.6567),(1225,1335,0.019235,3.6565),(1225,1345,0.019456,3.6562),(1225,1355,0.019677,3.6559),(1225,1365,0.019899,3.6556),(1225,1375,0.020125,3.6553),(1225,1385,0.020353,3.6551),(1225,1395,0.020581,3.6548),(1225,1405,0.020808,3.6545),(1225,1415,0.021042,3.6541),(1225,1425,0.021276,3.6538),(1225,1435,0.02151,3.6535),(1225,1445,0.021745,3.6532),(1225,1455,0.021985,3.6529),(1225,1465,0.022226,3.6526),(1225,1475,0.022467,3.6522),(1225,1485,0.022708,3.6519),(1225,1495,0.022955,3.6516),(1225,1505,0.023203,3.6512),(1225,1515,0.023451,3.6509),(1225,1525,0.023698,3.6505),(1225,1535,0.023953,3.6502),(1225,1545,0.024207,3.6498),(1225,1555,0.024462,3.6495),(1225,1565,0.024716,3.6491),(1225,1575,0.024978,3.6488),(1225,1585,0.025239,3.6484),(1225,1595,0.0255,3.648),(1225,1605,0.025762,3.6476),(1225,1615,0.02603,3.6472),(1225,1625,0.026297,3.6468),(1225,1635,0.026565,3.6464),(1225,1645,0.026834,3.646),(1225,1655,0.027109,3.6456),(1225,1665,0.027383,3.6452),(1225,1675,0.027658,3.6448),(1225,1685,0.027934,3.6444),(1225,1695,0.028215,3.644),(1225,1705,0.028497,3.6435),(1225,1715,0.028778,3.6431),(1225,1725,0.029061,3.6427),(1225,1735,0.029349,3.6422),(1225,1745,0.029637,3.6418),(1225,1755,0.029925,3.6413),(1225,1765,0.030214,3.6409),(1225,1775,0.030509,3.6404),(1225,1785,0.030803,3.6399),(1225,1795,0.031097,3.6395),(1225,1805,0.031394,3.639),(1225,1815,0.031694,3.6385),(1225,1825,0.031995,3.638),(1225,1835,0.032295,3.6375),(1225,1845,0.032598,3.637),(1225,1855,0.032905,3.6365),(1225,1865,0.033211,3.636),(1225,1875,0.033518,3.6355),(1225,1885,0.033827,3.6349),(1225,1895,0.034139,3.6344),(1225,1905,0.034452,3.6339),(1225,1915,0.034764,3.6333),(1225,1925,0.035079,3.6328),(1225,1935,0.035398,3.6322),(1225,1945,0.035716,3.6317),(1225,1955,0.036034,3.6311),(1225,1965,0.036355,3.6305),(1225,1975,0.036678,3.63),(1225,1985,0.037002,3.6294),(1225,1995,0.037325,3.6288),(1225,2005,0.037652,3.6282),(1225,2015,0.03798,3.6276),(1225,2025,0.038309,3.627),(1225,2035,0.038637,3.6264),(1225,2045,0.038968,3.6258),(1225,2055,0.039301,3.6252),(1225,2065,0.039634,3.6245),(1225,2075,0.039968,3.6239),(1225,2085,0.040303,3.6232),(1225,2095,0.04064,3.6226),(1225,2105,0.040977,3.6219),(1225,2115,0.041314,3.6213),(1225,2125,0.041653,3.6206),(1225,2135,0.041994,3.6199),(1225,2145,0.042335,3.6193),(1225,2155,0.042675,3.6186),(1225,2165,0.043018,3.6179),(1225,2175,0.043362,3.6172),(1225,2185,0.043706,3.6165),(1225,2195,0.044049,3.6158),(1225,2205,0.044395,3.615),(1225,2215,0.044741,3.6143),(1225,2225,0.045088,3.6136),(1225,2235,0.045434,3.6128),(1225,2245,0.045782,3.6121),(1225,2255,0.04613,3.6113),(1225,2265,0.046478,3.6106),(1225,2275,0.046826,3.6098),(1225,2285,0.047175,3.609),(1225,2295,0.047524,3.6083),(1225,2305,0.047874,3.6075),(1225,2315,0.048223,3.6067),(1225,2325,0.048572,3.6059),(1225,2335,0.048922,3.6051),(1225,2345,0.049271,3.6042),(1225,2355,0.049621,3.6034),(1225,2365,0.04997,3.6026),(1225,2375,0.05032,3.6018),(1225,2385,0.050669,3.6009),(1225,2395,0.051018,3.6001),(1225,2405,0.051366,3.5992),(1225,2415,0.051714,3.5984),(1225,2425,0.052063,3.5975),(1225,2435,0.052411,3.5966),(1225,2445,0.052757,3.5957),(1225,2455,0.053103,3.5949),(1225,2465,0.053449,3.594),(1225,2475,0.053795,3.593),(1225,2485,0.054138,3.5921),(1225,2495,0.054481,3.5912),(1225,2505,0.054824,3.5903),(1225,2515,0.055166,3.5894),(1225,2525,0.055505,3.5884),(1225,2535,0.055844,3.5875),(1225,2545,0.056182,3.5866),(1225,2555,0.056521,3.5856),(1225,2565,0.056854,3.5846),(1225,2575,0.057188,3.5837),(1225,2585,0.057521,3.5827),(1225,2595,0.057854,3.5817),(1225,2605,0.058182,3.5807),(1225,2615,0.058509,3.5797),(1225,2625,0.058836,3.5787),(1225,2635,0.059162,3.5777),(1225,2645,0.059482,3.5767),(1225,2655,0.059802,3.5757),(1225,2665,0.060122,3.5747),(1225,2675,0.060441,3.5737),(1225,2685,0.060752,3.5726),(1225,2695,0.061063,3.5716),(1225,2705,0.061374,3.5705),(1225,2715,0.061683,3.5695),(1225,2725,0.061985,3.5684),(1225,2735,0.062286,3.5674),(1225,2745,0.062587,3.5663),(1225,2755,0.062886,3.5652),(1225,2765,0.063176,3.5641),(1225,2775,0.063466,3.5631),(1225,2785,0.063756,3.562),(1225,2795,0.064042,3.5609),(1225,2805,0.064319,3.5598),(1225,2815,0.064596,3.5587),(1225,2825,0.064874,3.5576),(1225,2835,0.065146,3.5564),(1225,2845,0.065409,3.5553),(1225,2855,0.065673,3.5542),(1225,2865,0.065936,3.5531),(1225,2875,0.066193,3.552),(1225,2885,0.06644,3.5508),(1225,2895,0.066688,3.5497),(1225,2905,0.066936,3.5485),(1225,2915,0.067176,3.5474),(1225,2925,0.067406,3.5462),(1225,2935,0.067637,3.5451),(1225,2945,0.067867,3.5439),(1225,2955,0.068089,3.5428),(1225,2965,0.068301,3.5416),(1225,2975,0.068512,3.5404),(1225,2985,0.068724,3.5393),(1225,2995,0.068925,3.5381),(1225,3005,0.069116,3.5369),(1225,3015,0.069307,3.5358),(1225,3025,0.069498,3.5346),(1225,3035,0.069677,3.5334),(1225,3045,0.069846,3.5322),(1225,3055,0.070014,3.531),(1225,3065,0.070183,3.5299),(1225,3075,0.070338,3.5287),(1225,3085,0.070482,3.5275),(1225,3095,0.070626,3.5263),(1225,3105,0.07077,3.5251),(1225,3115,0.070899,3.5239),(1225,3125,0.071017,3.5227),(1225,3135,0.071135,3.5215),(1225,3145,0.071253,3.5203),(1225,3155,0.071352,3.5192),(1225,3165,0.071442,3.518),(1225,3175,0.071532,3.5168),(1225,3185,0.071621,3.5156),(1225,3195,0.07169,3.5144),(1225,3205,0.071749,3.5132),(1225,3215,0.071808,3.512),(1225,3225,0.071867,3.5109),(1225,3235,0.071903,3.5097),(1225,3245,0.071929,3.5085),(1225,3255,0.071955,3.5073),(1225,3265,0.071981,3.5061),(1225,3275,0.071981,3.505),(1225,3285,0.071972,3.5038),(1225,3295,0.071962,3.5026),(1225,3305,0.071953,3.5015),(1225,3315,0.071914,3.5003),(1225,3325,0.071867,3.4991),(1225,3335,0.07182,3.498),(1225,3345,0.071773,3.4968),(1225,3355,0.071691,3.4957),(1225,3365,0.071604,3.4946),(1225,3375,0.071516,3.4934),(1225,3385,0.071429,3.4923),(1225,3395,0.071302,3.4912),(1225,3405,0.071171,3.49),(1225,3415,0.07104,3.4889),(1225,3425,0.070909,3.4878),(1225,3435,0.070734,3.4867),(1225,3445,0.070557,3.4856),(1225,3455,0.070379,3.4845),(1225,3465,0.070201,3.4834),(1225,3475,0.069976,3.4824),(1225,3485,0.069748,3.4813),(1225,3495,0.069521,3.4802),(1225,3505,0.069293,3.4792),(1225,3515,0.069013,3.4781),(1225,3525,0.068733,3.477),(1225,3535,0.068452,3.476),(1225,3545,0.068169,3.475),(1225,3555,0.067833,3.474),(1225,3565,0.067496,3.4729),(1225,3575,0.067159,3.4719),(1225,3585,0.066818,3.471),(1225,3595,0.066421,3.47),(1225,3605,0.066025,3.469),(1225,3615,0.065629,3.468),(1225,3625,0.065225,3.467),(1225,3635,0.064765,3.4661),(1225,3645,0.064306,3.4651),(1225,3655,0.063846,3.4642),(1225,3665,0.063376,3.4633),(1225,3675,0.06285,3.4624),(1225,3685,0.062324,3.4615),(1225,3695,0.061798,3.4606),(1225,3705,0.061258,3.4597),(1225,3715,0.060662,3.4588),(1225,3725,0.060066,3.4579),(1225,3735,0.05947,3.4571),(1225,3745,0.058856,3.4562),(1225,3755,0.058187,3.4554),(1225,3765,0.057517,3.4546),(1225,3775,0.056847,3.4538),(1225,3785,0.056156,3.453),(1225,3795,0.055409,3.4521),(1225,3805,0.054662,3.4514),(1225,3815,0.053915,3.4506),(1225,3825,0.053142,3.4498),(1225,3835,0.052314,3.4491),(1225,3845,0.051485,3.4483),(1225,3855,0.050657,3.4476),(1225,3865,0.049798,3.4469),(1225,3875,0.048884,3.4462),(1225,3885,0.04797,3.4455),(1225,3895,0.047056,3.4448),(1225,3905,0.054708,3.4442),(1225,3915,0.075157,3.4435),(1225,3925,0.095605,3.4425),(1225,3935,0.11605,3.4409),(1225,3945,0.13938,3.4393),(1225,3955,0.16635,3.4377),(1225,3965,0.19332,3.4354),(1225,3975,0.22029,3.4322),(1225,3985,0.23674,3.429),(1225,3995,0.24179,3.4259),(1225,4005,0.24684,3.4224),(1225,4015,0.2519,3.4187),(1225,4025,0.25646,3.415),(1225,4035,0.26097,3.4112),(1225,4045,0.26548,3.4071),(1225,4055,0.26944,3.403),(1225,4065,0.2732,3.3989),(1225,4075,0.27696,3.3946),(1225,4085,0.28011,3.3903),(1225,4095,0.28277,3.386),(1225,4105,0.28543,3.3816),(1225,4115,0.27704,3.3772),(1225,4125,0.25032,3.3728),(1225,4135,0.2236,3.3695),(1225,4145,0.19606,3.3665),(1225,4155,0.1652,3.3635),(1225,4165,0.13433,3.3615),(1225,4175,0.10513,3.3601),(1225,4185,0.1584,3.3586),(1225,4195,0.21167,3.3556),(1225,4205,0.26495,3.3505),(1225,4215,0.26295,3.3454),(1225,4225,0.25055,3.3402),(1225,4235,0.23815,3.3351),(1225,4245,0.21903,3.3299),(1225,4255,0.1965,3.3248),(1225,4265,0.17397,3.321),(1225,4275,0.14417,3.3171),(1225,4285,0.10667,3.3133),(1225,4295,0.06916,3.3119),(1225,4305,0.061739,3.3109),(1225,4315,0.12225,3.3099),(1225,4325,0.18276,3.3053),(1225,4335,0.23674,3.2993),(1225,4345,0.24647,3.2933),(1225,4355,0.25621,3.2871),(1225,4365,0.26594,3.2806),(1225,4375,0.26825,3.2742),(1225,4385,0.27018,3.2679),(1225,4395,0.27211,3.262),(1225,4405,0.23699,3.2561),(1225,4415,0.19094,3.2508),(1225,4425,0.14489,3.2484),(1225,4435,0.12949,3.246),(1225,4445,0.13503,3.2436),(1225,4455,0.14057,3.241),(1225,4465,0.17437,3.2385),(1225,4475,0.24788,3.236),(1225,4485,0.32138,3.23),(1225,4495,0.38037,3.2232),(1225,4505,0.3928,3.2165),(1225,4515,0.40523,3.2091),(1225,4525,0.41667,3.2012),(1225,4535,0.41236,3.1933),(1225,4545,0.40805,3.1853),(1225,4555,0.40374,3.177),(1225,4565,0.29704,3.1687),(1225,4575,0.17653,3.1626),(1225,4585,0.056014,3.1616),(1225,4595,0.051345,3.1607),(1225,4605,0.095621,3.1593),(1225,4615,0.1399,3.1549),(1225,4625,0.18993,3.1506),(1225,4635,0.24518,3.1462),(1225,4645,0.30042,3.14),(1225,4655,0.35349,3.1338),(1225,4665,0.40246,3.1275),(1225,4675,0.45142,3.1205),(1225,4685,0.47502,3.1133),(1225,4695,0.37326,3.1061),(1225,4705,0.27151,3.1017),(1225,4715,0.16976,3.0993),(1225,4725,0.22457,3.097),(1225,4735,0.28094,3.0929),(1225,4745,0.33732,3.0863),(1225,4755,0.41839,3.0798),(1225,4765,0.50519,3.0723),(1225,4775,0.59198,3.0617),(1225,4785,0.64058,3.0511),(1225,4795,0.6671,3.0405),(1225,4805,0.69362,3.0295),(1225,4815,0.67917,3.0185),(1225,4825,0.61574,3.0075),(1225,4835,0.55231,2.9996),(1225,4845,0.47653,2.9921),(1225,4855,0.36855,2.9846),(1225,4865,0.26057,2.9797),(1225,4875,0.17887,2.9759),(1225,4885,0.33626,2.972),(1225,4895,0.49365,2.963),(1225,4905,0.65104,2.9491),(1225,4915,0.6546,2.9351),(1225,4925,0.64493,2.9215),(1225,4935,0.63526,2.9086),(1225,4945,0.58217,2.8957),(1225,4955,0.51401,2.8835),(1225,4965,0.44586,2.875),(1225,4975,0.34727,2.8666),(1225,4985,0.2252,2.8581),(1225,4995,0.10313,2.8572),(1225,5005,0.10218,2.8565),(1225,5015,0.2938,2.8558),(1225,5025,0.48542,2.8456),(1225,5035,0.65656,2.8331),(1225,5045,0.74965,2.8206),(1225,5055,0.84275,2.8058),(1225,5065,0.934,2.7896),(1225,5075,0.96467,2.7734),(1225,5085,0.99534,2.7573),(1225,5095,1.026,2.7415),(1225,5105,0.90888,2.7257),(1225,5115,0.76598,2.7119),(1225,5125,0.62308,2.7039),(1225,5135,0.52423,2.6959),(1225,5145,0.44677,2.6881),(1225,5155,0.36931,2.6813),(1225,5165,0.42847,2.6745),(1225,5175,0.62698,2.6677),(1225,5185,0.82549,2.6515),(1225,5195,0.97149,2.6342),(1225,5205,1.0042,2.6169),(1225,5215,1.037,2.5999),(1225,5225,1.0637,2.5829),(1225,5235,1.0527,2.5659),(1225,5245,1.0417,2.5502),(1225,5255,1.0308,2.5355),(1225,5265,0.72,2.5209),(1225,5275,0.39689,2.5116),(1225,5285,0.073785,2.5114),(1225,5295,0.13047,2.5113),(1225,5305,0.29293,2.5086),(1225,5315,0.45538,2.4958),(1225,5325,0.60077,2.483),(1225,5335,0.73496,2.4701),(1225,5345,0.86916,2.4524),(1225,5355,0.97535,2.4346),(1225,5365,1.0438,2.4169),(1225,5375,1.1122,2.3991),(1225,5385,1.0987,2.3812),(1225,5395,0.83622,2.3634),(1225,5405,0.57371,2.3543),(1225,5415,0.3295,2.3497),(1225,5425,0.33121,2.3452),(1225,5435,0.33291,2.3388),(1225,5445,0.33462,2.3303),(1225,5455,0.40653,2.3218),(1225,5465,0.48703,2.3115),(1225,5475,0.56752,2.2968),(1225,5485,0.60733,2.282),(1225,5495,0.63074,2.2671),(1225,5505,0.65415,2.251),(1225,5515,0.67908,2.2348),(1225,5525,0.70532,2.2187),(1225,5535,0.73156,2.2012),(1225,5545,0.75831,2.1836),(1225,5555,0.78596,2.166),(1225,5565,0.81362,2.1473),(1225,5575,0.84143,2.1283),(1225,5585,0.86996,2.1093),(1225,5595,0.89849,2.0895),(1225,5605,0.92701,2.0692),(1225,5615,0.95613,2.0488),(1225,5625,0.98525,2.0281),(1225,5635,1.0144,2.0066),(1225,5645,1.0438,1.9852),(1225,5655,1.0733,1.9636),(1225,5665,1.1027,1.9411),(1225,5675,1.1322,1.9187),(1225,5685,1.1617,1.8962),(1225,5695,1.1912,1.873),(1225,5705,1.2206,1.8499),(1225,5715,1.2499,1.8267),(1225,5725,1.2791,1.8032),(1225,5735,1.3082,1.7795),(1225,5745,1.3369,1.7559),(1225,5755,1.3656,1.732),(1225,5765,1.3942,1.7079),(1225,5775,1.422,1.6839),(1225,5785,1.4498,1.6598),(1225,5795,1.4777,1.6356),(1225,5805,1.5045,1.6114),(1225,5815,1.5313,1.5872),(1225,5825,1.558,1.563),(1225,5835,1.5839,1.5388),(1225,5845,1.6094,1.5147),(1225,5855,1.635,1.4905),(1225,5865,1.6597,1.4664),(1225,5875,1.6839,1.4423),(1225,5885,1.708,1.4183),(1225,5895,1.7316,1.3943),(1225,5905,1.7543,1.3702),(1225,5915,1.7771,1.3464),(1225,5925,1.7995,1.3226),(1225,5935,1.8207,1.298828),(1225,5945,1.842,1.2752),(1225,5955,1.8632,1.2517),(1225,5965,1.8836,1.2282),(1225,5975,1.9041,1.2049),(1225,5985,1.9245,1.1817),(1225,5995,1.4744,1.1586),(1225,6005,0.94868,1.1409),(1225,6015,0.42292,1.1379),(1225,6025,0.37656,1.1349),(1225,6035,0.55255,1.1309),(1225,6045,0.72853,1.1171),(1225,6055,0.86045,1.1033),(1225,6065,0.94915,1.0895),(1225,6075,1.0379,1.0713),(1225,6085,1.0993,1.0527),(1225,6095,1.1047,1.034),(1225,6105,1.1102,1.0153),(1225,6115,1.1155,0.99645),(1225,6125,1.1207,0.97763),(1225,6135,1.1259,0.95873),(1225,6145,1.1311,0.93979),(1225,6155,1.136,0.92084),(1225,6165,1.1408,0.9017),(1225,6175,1.1457,0.88225),(1225,6185,1.1504,0.8628),(1225,6195,1.1549,0.84335),(1225,6205,1.1595,0.82387),(1225,6215,1.1639,0.8044),(1225,6225,1.1681,0.78492),(1225,6235,1.1723,0.76527),(1225,6245,1.1764,0.74563),(1225,6255,1.1803,0.72599),(1225,6265,1.1842,0.70629),(1225,6275,1.188,0.68657),(1225,6285,1.1916,0.66686),(1225,6295,1.1952,0.64701),(1225,6305,1.1988,0.6271),(1225,6315,1.2021,0.60719),(1225,6325,1.2053,0.58709),(1225,6335,1.2086,0.56681),(1225,6345,1.2115,0.54653),(1225,6355,1.2144,0.52626),(1225,6365,1.2173,0.50602),(1225,6375,1.22,0.48578),(1225,6385,1.2225,0.46553),(1225,6395,1.2251,0.44519),(1225,6405,1.2275,0.42486),(1225,6415,1.2297,0.40452),(1225,6425,1.2318,0.38392),(1225,6435,1.2339,0.3633),(1225,6445,1.2358,0.34269),(1225,6455,1.2376,0.3221),(1225,6465,1.2394,0.30151),(1225,6475,1.241,0.28092),(1225,6485,1.2425,0.26033),(1225,6495,1.2441,0.23974),(1225,6505,1.2452,0.21915),(1225,6515,1.2464,0.19848),(1225,6525,1.2476,0.17772),(1225,6535,1.2484,0.15695),(1225,6545,1.2492,0.1362),(1225,6555,1.25,0.1155),(1225,6565,1.2505,0.094792),(1225,6575,1.2508,0.074088),(1225,6585,1.2512,0.053411),(1225,6595,1.0643,0.032735),(1225,6605,0.67068,0.012059),(1225,6615,0.27706,0.009669),(1225,6625,0.00036,0.009629),(1225,6635,0.000362,0.00959),(1225,6645,0.000364,0.009573),(1225,6655,0.000367,0.009566),(1225,6665,0.000369,0.009559),(1225,6675,0.000371,0.009552),(1225,6685,0.000373,0.009544),(1225,6695,0.000375,0.009537),(1225,6705,0.000377,0.00953),(1225,6715,0.000379,0.009523),(1225,6725,0.000382,0.009515),(1225,6735,0.000384,0.009508),(1225,6745,0.000386,0.009501),(1225,6755,0.000388,0.009494),(1225,6765,0.000389,0.009487),(1225,6775,0.000391,0.009479),(1225,6785,0.000393,0.009472),(1225,6795,0.000395,0.009464),(1225,6805,0.000397,0.009457),(1225,6815,0.000399,0.009449),(1225,6825,0.0004,0.009442),(1225,6835,0.000402,0.009435),(1225,6845,0.000404,0.009427),(1225,6855,0.000406,0.00942),(1225,6865,0.000407,0.009412),(1225,6875,0.000409,0.009404),(1225,6885,0.000411,0.009397),(1225,6895,0.000412,0.009389),(1225,6905,0.000414,0.009382),(1225,6915,0.000416,0.009374),(1225,6925,0.000417,0.009367),(1225,6935,0.000419,0.009359),(1225,6945,0.00042,0.009351),(1225,6955,0.000422,0.009343),(1225,6965,0.000424,0.009336),(1225,6975,0.000425,0.009328),(1225,6985,0.000427,0.00932),(1235,5,5.3e-05,3.672),(1235,15,0.00016,3.672),(1235,25,0.000267,3.672),(1235,35,0.000373,3.672),(1235,45,0.00048,3.672),(1235,55,0.000587,3.6719),(1235,65,0.000694,3.6719),(1235,75,0.0008,3.6719),(1235,85,0.000907,3.6719),(1235,95,0.001014,3.6719),(1235,105,0.001122,3.6719),(1235,115,0.001229,3.6719),(1235,125,0.001337,3.6719),(1235,135,0.001444,3.6718),(1235,145,0.001552,3.6718),(1235,155,0.00166,3.6718),(1235,165,0.001768,3.6718),(1235,175,0.001876,3.6718),(1235,185,0.001985,3.6717),(1235,195,0.002094,3.6717),(1235,205,0.002203,3.6717),(1235,215,0.002312,3.6716),(1235,225,0.002422,3.6716),(1235,235,0.002533,3.6716),(1235,245,0.002643,3.6716),(1235,255,0.002753,3.6715),(1235,265,0.002864,3.6715),(1235,275,0.002976,3.6714),(1235,285,0.003087,3.6714),(1235,295,0.003199,3.6714),(1235,305,0.003312,3.6713),(1235,315,0.003425,3.6713),(1235,325,0.003538,3.6712),(1235,335,0.003651,3.6712),(1235,345,0.003765,3.6711),(1235,355,0.00388,3.6711),(1235,365,0.003995,3.671),(1235,375,0.004109,3.671),(1235,385,0.004226,3.6709),(1235,395,0.004342,3.6709),(1235,405,0.004459,3.6708),(1235,415,0.004576,3.6707),(1235,425,0.004694,3.6707),(1235,435,0.004813,3.6706),(1235,445,0.004932,3.6706),(1235,455,0.00505,3.6705),(1235,465,0.005171,3.6704),(1235,475,0.005292,3.6704),(1235,485,0.005413,3.6703),(1235,495,0.005535,3.6702),(1235,505,0.005658,3.6701),(1235,515,0.005782,3.6701),(1235,525,0.005905,3.67),(1235,535,0.006029,3.6699),(1235,545,0.006155,3.6698),(1235,555,0.006282,3.6698),(1235,565,0.006408,3.6697),(1235,575,0.006535,3.6696),(1235,585,0.006664,3.6695),(1235,595,0.006793,3.6694),(1235,605,0.006922,3.6693),(1235,615,0.007052,3.6692),(1235,625,0.007185,3.6691),(1235,635,0.007317,3.669),(1235,645,0.00745,3.6689),(1235,655,0.007583,3.6688),(1235,665,0.007718,3.6687),(1235,675,0.007854,3.6686),(1235,685,0.00799,3.6685),(1235,695,0.008126,3.6684),(1235,705,0.008266,3.6683),(1235,715,0.008405,3.6682),(1235,725,0.008544,3.6681),(1235,735,0.008684,3.668),(1235,745,0.008828,3.6678),(1235,755,0.008971,3.6677),(1235,765,0.009114,3.6676),(1235,775,0.009258,3.6675),(1235,785,0.009405,3.6674),(1235,795,0.009552,3.6672),(1235,805,0.009699,3.6671),(1235,815,0.009848,3.667),(1235,825,0.009999,3.6668),(1235,835,0.01015,3.6667),(1235,845,0.010301,3.6666),(1235,855,0.010454,3.6664),(1235,865,0.01061,3.6663),(1235,875,0.010766,3.6661),(1235,885,0.010921,3.666),(1235,895,0.011079,3.6658),(1235,905,0.011239,3.6657),(1235,915,0.011399,3.6655),(1235,925,0.011559,3.6654),(1235,935,0.011722,3.6652),(1235,945,0.011887,3.6651),(1235,955,0.012052,3.6649),(1235,965,0.012217,3.6647),(1235,975,0.012384,3.6646),(1235,985,0.012555,3.6644),(1235,995,0.012725,3.6642),(1235,1005,0.012895,3.6641),(1235,1015,0.013067,3.6639),(1235,1025,0.013243,3.6637),(1235,1035,0.013418,3.6635),(1235,1045,0.013593,3.6633),(1235,1055,0.013771,3.6631),(1235,1065,0.013952,3.6629),(1235,1075,0.014132,3.6628),(1235,1085,0.014313,3.6626),(1235,1095,0.014497,3.6624),(1235,1105,0.014683,3.6622),(1235,1115,0.014869,3.662),(1235,1125,0.015055,3.6617),(1235,1135,0.015245,3.6615),(1235,1145,0.015437,3.6613),(1235,1155,0.015628,3.6611),(1235,1165,0.01582,3.6609),(1235,1175,0.016016,3.6607),(1235,1185,0.016214,3.6604),(1235,1195,0.016412,3.6602),(1235,1205,0.01661,3.66),(1235,1215,0.016812,3.6598),(1235,1225,0.017016,3.6595),(1235,1235,0.017219,3.6593),(1235,1245,0.017423,3.659),(1235,1255,0.017632,3.6588),(1235,1265,0.017842,3.6585),(1235,1275,0.018052,3.6583),(1235,1285,0.018262,3.658),(1235,1295,0.018477,3.6578),(1235,1305,0.018693,3.6575),(1235,1315,0.018909,3.6572),(1235,1325,0.019125,3.657),(1235,1335,0.019347,3.6567),(1235,1345,0.01957,3.6564),(1235,1355,0.019793,3.6561),(1235,1365,0.020016,3.6559),(1235,1375,0.020244,3.6556),(1235,1385,0.020473,3.6553),(1235,1395,0.020703,3.655),(1235,1405,0.020932,3.6547),(1235,1415,0.021168,3.6544),(1235,1425,0.021404,3.6541),(1235,1435,0.02164,3.6538),(1235,1445,0.021876,3.6535),(1235,1455,0.022118,3.6531),(1235,1465,0.022361,3.6528),(1235,1475,0.022604,3.6525),(1235,1485,0.022847,3.6522),(1235,1495,0.023096,3.6518),(1235,1505,0.023346,3.6515),(1235,1515,0.023595,3.6511),(1235,1525,0.023845,3.6508),(1235,1535,0.024102,3.6505),(1235,1545,0.024358,3.6501),(1235,1555,0.024615,3.6497),(1235,1565,0.024872,3.6494),(1235,1575,0.025135,3.649),(1235,1585,0.025398,3.6486),(1235,1595,0.025662,3.6483),(1235,1605,0.025926,3.6479),(1235,1615,0.026196,3.6475),(1235,1625,0.026466,3.6471),(1235,1635,0.026736,3.6467),(1235,1645,0.027007,3.6463),(1235,1655,0.027284,3.6459),(1235,1665,0.027561,3.6455),(1235,1675,0.027838,3.6451),(1235,1685,0.028116,3.6447),(1235,1695,0.0284,3.6443),(1235,1705,0.028684,3.6438),(1235,1715,0.028968,3.6434),(1235,1725,0.029253,3.643),(1235,1735,0.029543,3.6425),(1235,1745,0.029834,3.6421),(1235,1755,0.030125,3.6416),(1235,1765,0.030417,3.6412),(1235,1775,0.030714,3.6407),(1235,1785,0.031011,3.6402),(1235,1795,0.031308,3.6398),(1235,1805,0.031607,3.6393),(1235,1815,0.03191,3.6388),(1235,1825,0.032214,3.6383),(1235,1835,0.032517,3.6378),(1235,1845,0.032823,3.6373),(1235,1855,0.033132,3.6368),(1235,1865,0.033442,3.6363),(1235,1875,0.033751,3.6358),(1235,1885,0.034063,3.6353),(1235,1895,0.034378,3.6347),(1235,1905,0.034694,3.6342),(1235,1915,0.035009,3.6337),(1235,1925,0.035327,3.6331),(1235,1935,0.035648,3.6326),(1235,1945,0.03597,3.632),(1235,1955,0.036291,3.6314),(1235,1965,0.036615,3.6309),(1235,1975,0.036941,3.6303),(1235,1985,0.037268,3.6297),(1235,1995,0.037595,3.6291),(1235,2005,0.037924,3.6285),(1235,2015,0.038256,3.628),(1235,2025,0.038588,3.6273),(1235,2035,0.038919,3.6267),(1235,2045,0.039254,3.6261),(1235,2055,0.03959,3.6255),(1235,2065,0.039927,3.6249),(1235,2075,0.040263,3.6242),(1235,2085,0.040602,3.6236),(1235,2095,0.040942,3.6229),(1235,2105,0.041283,3.6223),(1235,2115,0.041623,3.6216),(1235,2125,0.041966,3.621),(1235,2135,0.04231,3.6203),(1235,2145,0.042654,3.6196),(1235,2155,0.042998,3.6189),(1235,2165,0.043344,3.6182),(1235,2175,0.043692,3.6175),(1235,2185,0.044039,3.6168),(1235,2195,0.044386,3.6161),(1235,2205,0.044735,3.6154),(1235,2215,0.045085,3.6147),(1235,2225,0.045435,3.6139),(1235,2235,0.045785,3.6132),(1235,2245,0.046136,3.6124),(1235,2255,0.046488,3.6117),(1235,2265,0.04684,3.6109),(1235,2275,0.047192,3.6102),(1235,2285,0.047544,3.6094),(1235,2295,0.047897,3.6086),(1235,2305,0.04825,3.6078),(1235,2315,0.048603,3.607),(1235,2325,0.048956,3.6062),(1235,2335,0.049309,3.6054),(1235,2345,0.049662,3.6046),(1235,2355,0.050016,3.6038),(1235,2365,0.050368,3.603),(1235,2375,0.050721,3.6021),(1235,2385,0.051074,3.6013),(1235,2395,0.051427,3.6004),(1235,2405,0.051779,3.5996),(1235,2415,0.052131,3.5987),(1235,2425,0.052482,3.5978),(1235,2435,0.052834,3.597),(1235,2445,0.053184,3.5961),(1235,2455,0.053534,3.5952),(1235,2465,0.053883,3.5943),(1235,2475,0.054233,3.5934),(1235,2485,0.054579,3.5925),(1235,2495,0.054926,3.5916),(1235,2505,0.055272,3.5907),(1235,2515,0.055619,3.5897),(1235,2525,0.055961,3.5888),(1235,2535,0.056303,3.5879),(1235,2545,0.056645,3.5869),(1235,2555,0.056987,3.5859),(1235,2565,0.057324,3.585),(1235,2575,0.057661,3.584),(1235,2585,0.057997,3.583),(1235,2595,0.058334,3.582),(1235,2605,0.058664,3.5811),(1235,2615,0.058995,3.5801),(1235,2625,0.059325,3.5791),(1235,2635,0.059655,3.5781),(1235,2645,0.059978,3.577),(1235,2655,0.060301,3.576),(1235,2665,0.060624,3.575),(1235,2675,0.060946,3.574),(1235,2685,0.06126,3.5729),(1235,2695,0.061574,3.5719),(1235,2705,0.061888,3.5708),(1235,2715,0.0622,3.5698),(1235,2725,0.062504,3.5687),(1235,2735,0.062808,3.5677),(1235,2745,0.063112,3.5666),(1235,2755,0.063413,3.5655),(1235,2765,0.063706,3.5644),(1235,2775,0.063998,3.5634),(1235,2785,0.064291,3.5623),(1235,2795,0.06458,3.5612),(1235,2805,0.064859,3.5601),(1235,2815,0.065139,3.559),(1235,2825,0.065418,3.5578),(1235,2835,0.065693,3.5567),(1235,2845,0.065958,3.5556),(1235,2855,0.066223,3.5545),(1235,2865,0.066488,3.5533),(1235,2875,0.066748,3.5522),(1235,2885,0.066997,3.5511),(1235,2895,0.067246,3.5499),(1235,2905,0.067495,3.5488),(1235,2915,0.067737,3.5476),(1235,2925,0.067969,3.5465),(1235,2935,0.068201,3.5453),(1235,2945,0.068433,3.5442),(1235,2955,0.068656,3.543),(1235,2965,0.068868,3.5418),(1235,2975,0.069081,3.5407),(1235,2985,0.069294,3.5395),(1235,2995,0.069496,3.5383),(1235,3005,0.069688,3.5371),(1235,3015,0.069879,3.5359),(1235,3025,0.070071,3.5348),(1235,3035,0.07025,3.5336),(1235,3045,0.070419,3.5324),(1235,3055,0.070588,3.5312),(1235,3065,0.070756,3.53),(1235,3075,0.070911,3.5288),(1235,3085,0.071055,3.5276),(1235,3095,0.071199,3.5264),(1235,3105,0.071343,3.5252),(1235,3115,0.071471,3.524),(1235,3125,0.071588,3.5228),(1235,3135,0.071705,3.5217),(1235,3145,0.071823,3.5205),(1235,3155,0.071921,3.5193),(1235,3165,0.07201,3.5181),(1235,3175,0.072098,3.5169),(1235,3185,0.072187,3.5157),(1235,3195,0.072254,3.5145),(1235,3205,0.072312,3.5133),(1235,3215,0.072369,3.5121),(1235,3225,0.072427,3.5109),(1235,3235,0.07246,3.5097),(1235,3245,0.072484,3.5085),(1235,3255,0.072508,3.5073),(1235,3265,0.072533,3.5061),(1235,3275,0.072529,3.505),(1235,3285,0.072518,3.5038),(1235,3295,0.072506,3.5026),(1235,3305,0.072494,3.5014),(1235,3315,0.072452,3.5003),(1235,3325,0.072402,3.4991),(1235,3335,0.072352,3.4979),(1235,3345,0.072302,3.4968),(1235,3355,0.072217,3.4956),(1235,3365,0.072126,3.4945),(1235,3375,0.072035,3.4933),(1235,3385,0.071944,3.4922),(1235,3395,0.071814,3.491),(1235,3405,0.071679,3.4899),(1235,3415,0.071544,3.4888),(1235,3425,0.071409,3.4877),(1235,3435,0.07123,3.4865),(1235,3445,0.071048,3.4854),(1235,3455,0.070866,3.4843),(1235,3465,0.070685,3.4832),(1235,3475,0.070454,3.4821),(1235,3485,0.070223,3.481),(1235,3495,0.069991,3.48),(1235,3505,0.069759,3.4789),(1235,3515,0.069474,3.4778),(1235,3525,0.069189,3.4768),(1235,3535,0.068903,3.4757),(1235,3545,0.068616,3.4747),(1235,3555,0.068274,3.4736),(1235,3565,0.067933,3.4726),(1235,3575,0.067591,3.4716),(1235,3585,0.067245,3.4706),(1235,3595,0.066843,3.4696),(1235,3605,0.066442,3.4686),(1235,3615,0.066041,3.4676),(1235,3625,0.065632,3.4666),(1235,3635,0.065167,3.4656),(1235,3645,0.064703,3.4647),(1235,3655,0.064239,3.4637),(1235,3665,0.063763,3.4628),(1235,3675,0.063232,3.4618),(1235,3685,0.062702,3.4609),(1235,3695,0.062171,3.46),(1235,3705,0.061626,3.4591),(1235,3715,0.061025,3.4582),(1235,3725,0.060424,3.4573),(1235,3735,0.059823,3.4565),(1235,3745,0.059205,3.4556),(1235,3755,0.05853,3.4547),(1235,3765,0.057856,3.4539),(1235,3775,0.057182,3.4531),(1235,3785,0.056486,3.4522),(1235,3795,0.055734,3.4514),(1235,3805,0.054983,3.4506),(1235,3815,0.054231,3.4498),(1235,3825,0.053454,3.449),(1235,3835,0.052621,3.4483),(1235,3845,0.051788,3.4475),(1235,3855,0.050956,3.4468),(1235,3865,0.050092,3.446),(1235,3875,0.049173,3.4453),(1235,3885,0.048254,3.4446),(1235,3895,0.047335,3.4439),(1235,3905,0.055012,3.4432),(1235,3915,0.075528,3.4425),(1235,3925,0.096045,3.4414),(1235,3935,0.11656,3.4398),(1235,3945,0.14,3.4381),(1235,3955,0.16716,3.4364),(1235,3965,0.19432,3.4341),(1235,3975,0.22147,3.4308),(1235,3985,0.23806,3.4275),(1235,3995,0.24322,3.4243),(1235,4005,0.24838,3.4208),(1235,4015,0.25353,3.417),(1235,4025,0.25817,3.4133),(1235,4035,0.26276,3.4094),(1235,4045,0.26734,3.4053),(1235,4055,0.27136,3.4012),(1235,4065,0.27516,3.397),(1235,4075,0.27896,3.3927),(1235,4085,0.28212,3.3883),(1235,4095,0.28478,3.3839),(1235,4105,0.28743,3.3795),(1235,4115,0.27894,3.375),(1235,4125,0.25199,3.3705),(1235,4135,0.22504,3.3671),(1235,4145,0.19727,3.364),(1235,4155,0.16618,3.3609),(1235,4165,0.13508,3.3588),(1235,4175,0.10567,3.3572),(1235,4185,0.15964,3.3557),(1235,4195,0.21361,3.3526),(1235,4205,0.26758,3.3474),(1235,4215,0.2658,3.3422),(1235,4225,0.25352,3.3371),(1235,4235,0.24125,3.3319),(1235,4245,0.22203,3.3268),(1235,4255,0.19927,3.3217),(1235,4265,0.17652,3.3179),(1235,4275,0.14633,3.3141),(1235,4285,0.10827,3.3103),(1235,4295,0.070201,3.309),(1235,4305,0.062712,3.308),(1235,4315,0.12427,3.307),(1235,4325,0.18583,3.3024),(1235,4335,0.24072,3.2964),(1235,4345,0.25053,3.2903),(1235,4355,0.26033,3.284),(1235,4365,0.27013,3.2775),(1235,4375,0.27227,3.2709),(1235,4385,0.27402,3.2646),(1235,4395,0.27576,3.2586),(1235,4405,0.24004,3.2526),(1235,4415,0.19327,3.2473),(1235,4425,0.14651,3.245),(1235,4435,0.13083,3.2426),(1235,4445,0.1364,3.2403),(1235,4455,0.14198,3.2377),(1235,4465,0.17608,3.2352),(1235,4475,0.25027,3.2327),(1235,4485,0.32446,3.2266),(1235,4495,0.38403,3.2199),(1235,4505,0.39665,3.2131),(1235,4515,0.40928,3.2056),(1235,4525,0.42091,3.1977),(1235,4535,0.41672,3.1898),(1235,4545,0.41252,3.1817),(1235,4555,0.40833,3.1735),(1235,4565,0.30057,3.1652),(1235,4575,0.17884,3.1591),(1235,4585,0.057112,3.1581),(1235,4595,0.052531,3.1572),(1235,4605,0.097446,3.1559),(1235,4615,0.14236,3.1516),(1235,4625,0.19276,3.1473),(1235,4635,0.24811,3.1429),(1235,4645,0.30347,3.1368),(1235,4655,0.35658,3.1306),(1235,4665,0.40544,3.1244),(1235,4675,0.4543,3.1173),(1235,4685,0.4777,3.11),(1235,4695,0.37533,3.1026),(1235,4705,0.27296,3.0981),(1235,4715,0.17059,3.0956),(1235,4725,0.22618,3.093),(1235,4735,0.28335,3.0889),(1235,4745,0.34052,3.0823),(1235,4755,0.42215,3.0757),(1235,4765,0.50944,3.0682),(1235,4775,0.59673,3.0576),(1235,4785,0.64547,3.047),(1235,4795,0.6719,3.0363),(1235,4805,0.69834,3.0253),(1235,4815,0.68361,3.0143),(1235,4825,0.61966,3.0033),(1235,4835,0.55571,2.9953),(1235,4845,0.47948,2.9879),(1235,4855,0.37125,2.9804),(1235,4865,0.26301,2.9754),(1235,4875,0.18125,2.9716),(1235,4885,0.34033,2.9678),(1235,4895,0.49941,2.9588),(1235,4905,0.65848,2.9448),(1235,4915,0.66195,2.9308),(1235,4925,0.65203,2.9172),(1235,4935,0.64212,2.9042),(1235,4945,0.5884,2.8913),(1235,4955,0.51949,2.8791),(1235,4965,0.45059,2.8706),(1235,4975,0.35097,2.8621),(1235,4985,0.22764,2.8536),(1235,4995,0.10432,2.8527),(1235,5005,0.10334,2.852),(1235,5015,0.29687,2.8513),(1235,5025,0.49041,2.8412),(1235,5035,0.66313,2.8287),(1235,5045,0.75657,2.8163),(1235,5055,0.85001,2.8016),(1235,5065,0.94158,2.7855),(1235,5075,0.97191,2.7694),(1235,5085,1.0022,2.7534),(1235,5095,1.0326,2.7377),(1235,5105,0.91443,2.722),(1235,5115,0.77039,2.7084),(1235,5125,0.62634,2.7004),(1235,5135,0.52727,2.6925),(1235,5145,0.45002,2.6847),(1235,5155,0.37277,2.6779),(1235,5165,0.43276,2.6711),(1235,5175,0.63273,2.6644),(1235,5185,0.83269,2.6481),(1235,5195,0.97958,2.6309),(1235,5205,1.012,2.6137),(1235,5215,1.0445,2.5967),(1235,5225,1.0708,2.5798),(1235,5235,1.0593,2.5628),(1235,5245,1.0477,2.5472),(1235,5255,1.0362,2.5326),(1235,5265,0.72382,2.5181),(1235,5275,0.39905,2.5088),(1235,5285,0.074272,2.5086),(1235,5295,0.13238,2.5085),(1235,5305,0.29712,2.5058),(1235,5315,0.46185,2.493),(1235,5325,0.60839,2.4801),(1235,5335,0.74299,2.4672),(1235,5345,0.8776,2.4496),(1235,5355,0.98384,2.4319),(1235,5365,1.0518,2.4143),(1235,5375,1.1198,2.3966),(1235,5385,1.1056,2.3788),(1235,5395,0.84126,2.3611),(1235,5405,0.57697,2.3521),(1235,5415,0.33118,2.3476),(1235,5425,0.33396,2.3431),(1235,5435,0.33673,2.3366),(1235,5445,0.33951,2.328),(1235,5455,0.41252,2.3194),(1235,5465,0.49412,2.3089),(1235,5475,0.57572,2.294),(1235,5485,0.616,2.279),(1235,5495,0.63964,2.2639),(1235,5505,0.66327,2.2476),(1235,5515,0.68842,2.2313),(1235,5525,0.71488,2.215),(1235,5535,0.74135,2.1973),(1235,5545,0.76831,2.1796),(1235,5555,0.79616,2.1618),(1235,5565,0.82401,2.143),(1235,5575,0.85202,2.1239),(1235,5585,0.8807,2.1047),(1235,5595,0.90938,2.0848),(1235,5605,0.93807,2.0644),(1235,5615,0.96731,2.044),(1235,5625,0.99654,2.0231),(1235,5635,1.0258,2.0016),(1235,5645,1.0553,1.9802),(1235,5655,1.0848,1.9585),(1235,5665,1.1143,1.936),(1235,5675,1.1439,1.9135),(1235,5685,1.1734,1.891),(1235,5695,1.2029,1.8679),(1235,5705,1.2322,1.8448),(1235,5715,1.2614,1.8217),(1235,5725,1.2906,1.7982),(1235,5735,1.3196,1.7746),(1235,5745,1.3482,1.7511),(1235,5755,1.3768,1.7272),(1235,5765,1.4053,1.7033),(1235,5775,1.4329,1.6793),(1235,5785,1.4606,1.6553),(1235,5795,1.4883,1.6312),(1235,5805,1.515,1.6072),(1235,5815,1.5416,1.5831),(1235,5825,1.5682,1.5591),(1235,5835,1.5938,1.5351),(1235,5845,1.6191,1.5111),(1235,5855,1.6445,1.4871),(1235,5865,1.669,1.4631),(1235,5875,1.693,1.4392),(1235,5885,1.7169,1.4153),(1235,5895,1.7403,1.3915),(1235,5905,1.7628,1.3677),(1235,5915,1.7853,1.344),(1235,5925,1.8075,1.3204),(1235,5935,1.8285,1.2968),(1235,5945,1.8496,1.2734),(1235,5955,1.8706,1.2501),(1235,5965,1.8908,1.2268),(1235,5975,1.911,1.2037),(1235,5985,1.9312,1.1807),(1235,5995,1.4795,1.1578),(1235,6005,0.95189,1.1402),(1235,6015,0.42428,1.1373),(1235,6025,0.37862,1.1343),(1235,6035,0.55648,1.1303),(1235,6045,0.73435,1.1166),(1235,6055,0.86756,1.1028),(1235,6065,0.95699,1.089),(1235,6075,1.0464,1.0707),(1235,6085,1.1084,1.0521),(1235,6095,1.1139,1.0335),(1235,6105,1.1193,1.0147),(1235,6115,1.1247,0.99589),(1235,6125,1.1299,0.97707),(1235,6135,1.1351,0.95818),(1235,6145,1.1403,0.93924),(1235,6155,1.1452,0.92029),(1235,6165,1.1502,0.90116),(1235,6175,1.1551,0.88171),(1235,6185,1.1597,0.86227),(1235,6195,1.1643,0.84283),(1235,6205,1.1689,0.82335),(1235,6215,1.1733,0.80387),(1235,6225,1.1776,0.78439),(1235,6235,1.1818,0.76475),(1235,6245,1.1859,0.74512),(1235,6255,1.1899,0.72548),(1235,6265,1.1938,0.70579),(1235,6275,1.1976,0.6861),(1235,6285,1.2013,0.6664),(1235,6295,1.2049,0.64656),(1235,6305,1.2085,0.62665),(1235,6315,1.2117,0.60675),(1235,6325,1.215,0.58666),(1235,6335,1.2183,0.56639),(1235,6345,1.2212,0.54612),(1235,6355,1.2242,0.52586),(1235,6365,1.2271,0.50563),(1235,6375,1.2298,0.48541),(1235,6385,1.2323,0.46516),(1235,6395,1.2349,0.44484),(1235,6405,1.2373,0.42451),(1235,6415,1.2395,0.40418),(1235,6425,1.2417,0.3836),(1235,6435,1.2437,0.363),(1235,6445,1.2456,0.34241),(1235,6455,1.2475,0.32185),(1235,6465,1.2493,0.30129),(1235,6475,1.2508,0.28074),(1235,6485,1.2524,0.26017),(1235,6495,1.254,0.23959),(1235,6505,1.2551,0.21901),(1235,6515,1.2563,0.19836),(1235,6525,1.2575,0.1776),(1235,6535,1.2584,0.15684),(1235,6545,1.2592,0.13609),(1235,6555,1.26,0.11539),(1235,6565,1.2605,0.094695),(1235,6575,1.2608,0.074),(1235,6585,1.2612,0.053345),(1235,6595,1.0728,0.032691),(1235,6605,0.67604,0.012037),(1235,6615,0.27928,0.009656),(1235,6625,0.000364,0.009623),(1235,6635,0.000366,0.00959),(1235,6645,0.000368,0.009576),(1235,6655,0.00037,0.009568),(1235,6665,0.000373,0.009561),(1235,6675,0.000375,0.009554),(1235,6685,0.000377,0.009546),(1235,6695,0.000379,0.009539),(1235,6705,0.000381,0.009532),(1235,6715,0.000383,0.009525),(1235,6725,0.000385,0.009518),(1235,6735,0.000387,0.00951),(1235,6745,0.000389,0.009503),(1235,6755,0.000391,0.009496),(1235,6765,0.000393,0.009488),(1235,6775,0.000395,0.009481),(1235,6785,0.000397,0.009474),(1235,6795,0.000399,0.009466),(1235,6805,0.000401,0.009459),(1235,6815,0.000403,0.009451),(1235,6825,0.000405,0.009444),(1235,6835,0.000406,0.009436),(1235,6845,0.000408,0.009429),(1235,6855,0.00041,0.009421),(1235,6865,0.000411,0.009414),(1235,6875,0.000413,0.009406),(1235,6885,0.000415,0.009399),(1235,6895,0.000417,0.009391),(1235,6905,0.000418,0.009383),(1235,6915,0.00042,0.009376),(1235,6925,0.000421,0.009368),(1235,6935,0.000423,0.00936),(1235,6945,0.000425,0.009353),(1235,6955,0.000426,0.009345),(1235,6965,0.000428,0.009337),(1235,6975,0.000429,0.009329),(1235,6985,0.000431,0.009321),(1245,5,5.4e-05,3.6721),(1245,15,0.000161,3.6721),(1245,25,0.000268,3.6721),(1245,35,0.000375,3.6721),(1245,45,0.000482,3.6721),(1245,55,0.000589,3.6721),(1245,65,0.000697,3.672),(1245,75,0.000804,3.672),(1245,85,0.000912,3.672),(1245,95,0.001019,3.672),(1245,105,0.001127,3.672),(1245,115,0.001235,3.672),(1245,125,0.001343,3.672),(1245,135,0.001451,3.6719),(1245,145,0.001559,3.6719),(1245,155,0.001668,3.6719),(1245,165,0.001776,3.6719),(1245,175,0.001885,3.6719),(1245,185,0.001994,3.6718),(1245,195,0.002104,3.6718),(1245,205,0.002213,3.6718),(1245,215,0.002323,3.6718),(1245,225,0.002433,3.6717),(1245,235,0.002544,3.6717),(1245,245,0.002655,3.6717),(1245,255,0.002766,3.6716),(1245,265,0.002877,3.6716),(1245,275,0.00299,3.6716),(1245,285,0.003102,3.6715),(1245,295,0.003214,3.6715),(1245,305,0.003327,3.6714),(1245,315,0.003441,3.6714),(1245,325,0.003554,3.6713),(1245,335,0.003668,3.6713),(1245,345,0.003783,3.6712),(1245,355,0.003898,3.6712),(1245,365,0.004013,3.6711),(1245,375,0.004129,3.6711),(1245,385,0.004245,3.671),(1245,395,0.004363,3.671),(1245,405,0.00448,3.6709),(1245,415,0.004597,3.6709),(1245,425,0.004716,3.6708),(1245,435,0.004835,3.6707),(1245,445,0.004955,3.6707),(1245,455,0.005074,3.6706),(1245,465,0.005196,3.6705),(1245,475,0.005317,3.6705),(1245,485,0.005439,3.6704),(1245,495,0.005561,3.6703),(1245,505,0.005685,3.6703),(1245,515,0.005809,3.6702),(1245,525,0.005933,3.6701),(1245,535,0.006058,3.67),(1245,545,0.006185,3.67),(1245,555,0.006312,3.6699),(1245,565,0.006438,3.6698),(1245,575,0.006566,3.6697),(1245,585,0.006696,3.6696),(1245,595,0.006826,3.6695),(1245,605,0.006956,3.6694),(1245,615,0.007086,3.6694),(1245,625,0.007219,3.6693),(1245,635,0.007352,3.6692),(1245,645,0.007486,3.6691),(1245,655,0.007619,3.669),(1245,665,0.007756,3.6689),(1245,675,0.007892,3.6688),(1245,685,0.008029,3.6687),(1245,695,0.008166,3.6686),(1245,705,0.008306,3.6684),(1245,715,0.008446,3.6683),(1245,725,0.008586,3.6682),(1245,735,0.008727,3.6681),(1245,745,0.008871,3.668),(1245,755,0.009015,3.6679),(1245,765,0.009159,3.6678),(1245,775,0.009304,3.6676),(1245,785,0.009452,3.6675),(1245,795,0.0096,3.6674),(1245,805,0.009748,3.6673),(1245,815,0.009897,3.6671),(1245,825,0.010049,3.667),(1245,835,0.010201,3.6669),(1245,845,0.010353,3.6667),(1245,855,0.010507,3.6666),(1245,865,0.010664,3.6664),(1245,875,0.01082,3.6663),(1245,885,0.010977,3.6661),(1245,895,0.011135,3.666),(1245,905,0.011296,3.6659),(1245,915,0.011458,3.6657),(1245,925,0.011619,3.6655),(1245,935,0.011782,3.6654),(1245,945,0.011948,3.6652),(1245,955,0.012114,3.6651),(1245,965,0.01228,3.6649),(1245,975,0.012449,3.6647),(1245,985,0.01262,3.6646),(1245,995,0.012791,3.6644),(1245,1005,0.012962,3.6642),(1245,1015,0.013136,3.664),(1245,1025,0.013313,3.6639),(1245,1035,0.013489,3.6637),(1245,1045,0.013665,3.6635),(1245,1055,0.013845,3.6633),(1245,1065,0.014026,3.6631),(1245,1075,0.014208,3.6629),(1245,1085,0.01439,3.6627),(1245,1095,0.014575,3.6625),(1245,1105,0.014762,3.6623),(1245,1115,0.014949,3.6621),(1245,1125,0.015137,3.6619),(1245,1135,0.015328,3.6617),(1245,1145,0.015521,3.6615),(1245,1155,0.015714,3.6613),(1245,1165,0.015907,3.6611),(1245,1175,0.016104,3.6609),(1245,1185,0.016304,3.6606),(1245,1195,0.016503,3.6604),(1245,1205,0.016702,3.6602),(1245,1215,0.016906,3.66),(1245,1225,0.017111,3.6597),(1245,1235,0.017316,3.6595),(1245,1245,0.017521,3.6592),(1245,1255,0.017731,3.659),(1245,1265,0.017943,3.6588),(1245,1275,0.018154,3.6585),(1245,1285,0.018366,3.6582),(1245,1295,0.018582,3.658),(1245,1305,0.0188,3.6577),(1245,1315,0.019018,3.6575),(1245,1325,0.019236,3.6572),(1245,1335,0.019459,3.6569),(1245,1345,0.019684,3.6566),(1245,1355,0.019908,3.6564),(1245,1365,0.020133,3.6561),(1245,1375,0.020363,3.6558),(1245,1385,0.020594,3.6555),(1245,1395,0.020825,3.6552),(1245,1405,0.021056,3.6549),(1245,1415,0.021293,3.6546),(1245,1425,0.021531,3.6543),(1245,1435,0.021769,3.654),(1245,1445,0.022007,3.6537),(1245,1455,0.022251,3.6534),(1245,1465,0.022496,3.6531),(1245,1475,0.022741,3.6527),(1245,1485,0.022985,3.6524),(1245,1495,0.023237,3.6521),(1245,1505,0.023489,3.6517),(1245,1515,0.02374,3.6514),(1245,1525,0.023992,3.6511),(1245,1535,0.024251,3.6507),(1245,1545,0.024509,3.6504),(1245,1555,0.024768,3.65),(1245,1565,0.025027,3.6496),(1245,1575,0.025292,3.6493),(1245,1585,0.025558,3.6489),(1245,1595,0.025823,3.6485),(1245,1605,0.026089,3.6482),(1245,1615,0.026362,3.6478),(1245,1625,0.026634,3.6474),(1245,1635,0.026907,3.647),(1245,1645,0.02718,3.6466),(1245,1655,0.02746,3.6462),(1245,1665,0.027739,3.6458),(1245,1675,0.028018,3.6454),(1245,1685,0.028299,3.645),(1245,1695,0.028585,3.6445),(1245,1705,0.028871,3.6441),(1245,1715,0.029158,3.6437),(1245,1725,0.029445,3.6432),(1245,1735,0.029738,3.6428),(1245,1745,0.030031,3.6424),(1245,1755,0.030325,3.6419),(1245,1765,0.030619,3.6415),(1245,1775,0.030919,3.641),(1245,1785,0.031219,3.6405),(1245,1795,0.031519,3.6401),(1245,1805,0.03182,3.6396),(1245,1815,0.032127,3.6391),(1245,1825,0.032433,3.6386),(1245,1835,0.032739,3.6381),(1245,1845,0.033047,3.6376),(1245,1855,0.03336,3.6371),(1245,1865,0.033672,3.6366),(1245,1875,0.033984,3.6361),(1245,1885,0.034299,3.6356),(1245,1895,0.034617,3.6351),(1245,1905,0.034936,3.6345),(1245,1915,0.035254,3.634),(1245,1925,0.035575,3.6334),(1245,1935,0.035899,3.6329),(1245,1945,0.036224,3.6323),(1245,1955,0.036548,3.6318),(1245,1965,0.036875,3.6312),(1245,1975,0.037204,3.6306),(1245,1985,0.037534,3.6301),(1245,1995,0.037864,3.6295),(1245,2005,0.038197,3.6289),(1245,2015,0.038532,3.6283),(1245,2025,0.038867,3.6277),(1245,2035,0.039202,3.6271),(1245,2045,0.039539,3.6265),(1245,2055,0.039879,3.6258),(1245,2065,0.040219,3.6252),(1245,2075,0.040558,3.6246),(1245,2085,0.040901,3.6239),(1245,2095,0.041244,3.6233),(1245,2105,0.041588,3.6226),(1245,2115,0.041932,3.622),(1245,2125,0.042278,3.6213),(1245,2135,0.042626,3.6206),(1245,2145,0.042974,3.62),(1245,2155,0.043321,3.6193),(1245,2165,0.043671,3.6186),(1245,2175,0.044021,3.6179),(1245,2185,0.044372,3.6172),(1245,2195,0.044723,3.6165),(1245,2205,0.045076,3.6157),(1245,2215,0.045429,3.615),(1245,2225,0.045782,3.6143),(1245,2235,0.046136,3.6135),(1245,2245,0.046491,3.6128),(1245,2255,0.046846,3.612),(1245,2265,0.047202,3.6113),(1245,2275,0.047557,3.6105),(1245,2285,0.047913,3.6097),(1245,2295,0.04827,3.609),(1245,2305,0.048626,3.6082),(1245,2315,0.048983,3.6074),(1245,2325,0.04934,3.6066),(1245,2335,0.049696,3.6058),(1245,2345,0.050053,3.605),(1245,2355,0.05041,3.6041),(1245,2365,0.050767,3.6033),(1245,2375,0.051123,3.6025),(1245,2385,0.05148,3.6016),(1245,2395,0.051836,3.6008),(1245,2405,0.052192,3.5999),(1245,2415,0.052547,3.5991),(1245,2425,0.052902,3.5982),(1245,2435,0.053258,3.5973),(1245,2445,0.053611,3.5964),(1245,2455,0.053964,3.5956),(1245,2465,0.054318,3.5947),(1245,2475,0.054671,3.5937),(1245,2485,0.055021,3.5928),(1245,2495,0.055371,3.5919),(1245,2505,0.055721,3.591),(1245,2515,0.056071,3.5901),(1245,2525,0.056416,3.5891),(1245,2535,0.056762,3.5882),(1245,2545,0.057108,3.5872),(1245,2555,0.057453,3.5863),(1245,2565,0.057793,3.5853),(1245,2575,0.058133,3.5844),(1245,2585,0.058474,3.5834),(1245,2595,0.058813,3.5824),(1245,2605,0.059147,3.5814),(1245,2615,0.059481,3.5804),(1245,2625,0.059815,3.5794),(1245,2635,0.060147,3.5784),(1245,2645,0.060473,3.5774),(1245,2655,0.0608,3.5764),(1245,2665,0.061126,3.5753),(1245,2675,0.061451,3.5743),(1245,2685,0.061768,3.5733),(1245,2695,0.062085,3.5722),(1245,2705,0.062402,3.5712),(1245,2715,0.062717,3.5701),(1245,2725,0.063024,3.569),(1245,2735,0.06333,3.568),(1245,2745,0.063637,3.5669),(1245,2755,0.063941,3.5658),(1245,2765,0.064236,3.5647),(1245,2775,0.064531,3.5636),(1245,2785,0.064826,3.5625),(1245,2795,0.065117,3.5614),(1245,2805,0.065399,3.5603),(1245,2815,0.065681,3.5592),(1245,2825,0.065963,3.5581),(1245,2835,0.06624,3.557),(1245,2845,0.066507,3.5559),(1245,2855,0.066774,3.5547),(1245,2865,0.067041,3.5536),(1245,2875,0.067302,3.5525),(1245,2885,0.067553,3.5513),(1245,2895,0.067804,3.5502),(1245,2905,0.068055,3.549),(1245,2915,0.068299,3.5479),(1245,2925,0.068532,3.5467),(1245,2935,0.068765,3.5456),(1245,2945,0.068998,3.5444),(1245,2955,0.069222,3.5432),(1245,2965,0.069436,3.542),(1245,2975,0.06965,3.5409),(1245,2985,0.069863,3.5397),(1245,2995,0.070066,3.5385),(1245,3005,0.070259,3.5373),(1245,3015,0.070451,3.5361),(1245,3025,0.070643,3.5349),(1245,3035,0.070823,3.5338),(1245,3045,0.070992,3.5326),(1245,3055,0.071161,3.5314),(1245,3065,0.07133,3.5302),(1245,3075,0.071485,3.529),(1245,3085,0.071628,3.5278),(1245,3095,0.071772,3.5266),(1245,3105,0.071916,3.5254),(1245,3115,0.072043,3.5242),(1245,3125,0.07216,3.523),(1245,3135,0.072276,3.5218),(1245,3145,0.072393,3.5206),(1245,3155,0.07249,3.5194),(1245,3165,0.072578,3.5182),(1245,3175,0.072665,3.5169),(1245,3185,0.072753,3.5157),(1245,3195,0.072818,3.5145),(1245,3205,0.072874,3.5133),(1245,3215,0.07293,3.5121),(1245,3225,0.072986,3.5109),(1245,3235,0.073017,3.5097),(1245,3245,0.073039,3.5085),(1245,3255,0.073062,3.5073),(1245,3265,0.073084,3.5062),(1245,3275,0.073078,3.505),(1245,3285,0.073064,3.5038),(1245,3295,0.07305,3.5026),(1245,3305,0.073035,3.5014),(1245,3315,0.07299,3.5002),(1245,3325,0.072937,3.499),(1245,3335,0.072884,3.4979),(1245,3345,0.072831,3.4967),(1245,3355,0.072743,3.4955),(1245,3365,0.072648,3.4944),(1245,3375,0.072554,3.4932),(1245,3385,0.072459,3.4921),(1245,3395,0.072325,3.4909),(1245,3405,0.072186,3.4898),(1245,3415,0.072048,3.4886),(1245,3425,0.071909,3.4875),(1245,3435,0.071726,3.4864),(1245,3445,0.07154,3.4852),(1245,3455,0.071354,3.4841),(1245,3465,0.071168,3.483),(1245,3475,0.070933,3.4819),(1245,3485,0.070697,3.4808),(1245,3495,0.070461,3.4797),(1245,3505,0.070224,3.4786),(1245,3515,0.069934,3.4775),(1245,3525,0.069645,3.4765),(1245,3535,0.069355,3.4754),(1245,3545,0.069063,3.4744),(1245,3555,0.068716,3.4733),(1245,3565,0.06837,3.4722),(1245,3575,0.068023,3.4712),(1245,3585,0.067672,3.4702),(1245,3595,0.067266,3.4692),(1245,3605,0.066859,3.4682),(1245,3615,0.066453,3.4672),(1245,3625,0.066039,3.4662),(1245,3635,0.065569,3.4652),(1245,3645,0.0651,3.4642),(1245,3655,0.064631,3.4632),(1245,3665,0.06415,3.4623),(1245,3675,0.063615,3.4613),(1245,3685,0.063079,3.4604),(1245,3695,0.062543,3.4595),(1245,3705,0.061993,3.4585),(1245,3715,0.061387,3.4576),(1245,3725,0.060782,3.4567),(1245,3735,0.060176,3.4558),(1245,3745,0.059553,3.4549),(1245,3755,0.058874,3.4541),(1245,3765,0.058195,3.4532),(1245,3775,0.057516,3.4523),(1245,3785,0.056816,3.4515),(1245,3795,0.05606,3.4507),(1245,3805,0.055304,3.4498),(1245,3815,0.054548,3.449),(1245,3825,0.053765,3.4482),(1245,3835,0.052928,3.4474),(1245,3845,0.052091,3.4467),(1245,3855,0.051254,3.4459),(1245,3865,0.050385,3.4451),(1245,3875,0.049462,3.4444),(1245,3885,0.048538,3.4436),(1245,3895,0.047614,3.4429),(1245,3905,0.055315,3.4422),(1245,3915,0.075899,3.4415),(1245,3925,0.096484,3.4404),(1245,3935,0.11707,3.4386),(1245,3945,0.14063,3.4369),(1245,3955,0.16797,3.4352),(1245,3965,0.19531,3.4327),(1245,3975,0.22265,3.4294),(1245,3985,0.23939,3.426),(1245,3995,0.24465,3.4227),(1245,4005,0.24991,3.4191),(1245,4015,0.25516,3.4153),(1245,4025,0.25988,3.4115),(1245,4035,0.26454,3.4076),(1245,4045,0.26921,3.4034),(1245,4055,0.27327,3.3993),(1245,4065,0.27711,3.3951),(1245,4075,0.28095,3.3907),(1245,4085,0.28413,3.3863),(1245,4095,0.28678,3.3819),(1245,4105,0.28943,3.3774),(1245,4115,0.28085,3.3728),(1245,4125,0.25367,3.3683),(1245,4135,0.22648,3.3648),(1245,4145,0.19848,3.3615),(1245,4155,0.16716,3.3583),(1245,4165,0.13583,3.356),(1245,4175,0.10621,3.3544),(1245,4185,0.16088,3.3527),(1245,4195,0.21554,3.3495),(1245,4205,0.2702,3.3442),(1245,4215,0.26864,3.339),(1245,4225,0.2565,3.3338),(1245,4235,0.24436,3.3287),(1245,4245,0.22503,3.3236),(1245,4255,0.20205,3.3186),(1245,4265,0.17907,3.3148),(1245,4275,0.1485,3.3111),(1245,4285,0.10987,3.3073),(1245,4295,0.071242,3.306),(1245,4305,0.063685,3.305),(1245,4315,0.12629,3.3041),(1245,4325,0.18889,3.2994),(1245,4335,0.24471,3.2934),(1245,4345,0.25458,3.2873),(1245,4355,0.26445,3.2809),(1245,4365,0.27432,3.2742),(1245,4375,0.27629,3.2676),(1245,4385,0.27785,3.2612),(1245,4395,0.27941,3.2551),(1245,4405,0.24309,3.2491),(1245,4415,0.19561,3.2438),(1245,4425,0.14813,3.2415),(1245,4435,0.13218,3.2392),(1245,4445,0.13778,3.237),(1245,4455,0.14338,3.2344),(1245,4465,0.17779,3.2319),(1245,4475,0.25267,3.2294),(1245,4485,0.32755,3.2233),(1245,4495,0.38768,3.2165),(1245,4505,0.4005,3.2097),(1245,4515,0.41333,3.2022),(1245,4525,0.42514,3.1942),(1245,4535,0.42107,3.1863),(1245,4545,0.41699,3.1782),(1245,4555,0.41292,3.17),(1245,4565,0.3041,3.1617),(1245,4575,0.18115,3.1556),(1245,4585,0.058211,3.1547),(1245,4595,0.053717,3.1538),(1245,4605,0.099272,3.1525),(1245,4615,0.14483,3.1483),(1245,4625,0.19558,3.144),(1245,4635,0.25105,3.1398),(1245,4645,0.30652,3.1337),(1245,4655,0.35966,3.1275),(1245,4665,0.40842,3.1214),(1245,4675,0.45718,3.1142),(1245,4685,0.48039,3.1067),(1245,4695,0.3774,3.0992),(1245,4705,0.27441,3.0945),(1245,4715,0.17143,3.0918),(1245,4725,0.22779,3.0891),(1245,4735,0.28576,3.0849),(1245,4745,0.34372,3.0783),(1245,4755,0.4259,3.0717),(1245,4765,0.51369,3.0642),(1245,4775,0.60148,3.0535),(1245,4785,0.65035,3.0428),(1245,4795,0.6767,3.0321),(1245,4805,0.70306,3.0211),(1245,4815,0.68804,3.0101),(1245,4825,0.62357,2.999),(1245,4835,0.5591,2.9911),(1245,4845,0.48243,2.9836),(1245,4855,0.37394,2.9761),(1245,4865,0.26545,2.9711),(1245,4875,0.18363,2.9673),(1245,4885,0.34439,2.9634),(1245,4895,0.50516,2.9544),(1245,4905,0.66593,2.9404),(1245,4915,0.6693,2.9264),(1245,4925,0.65913,2.9128),(1245,4935,0.64897,2.8999),(1245,4945,0.59463,2.8869),(1245,4955,0.52497,2.8747),(1245,4965,0.45532,2.8662),(1245,4975,0.35467,2.8576),(1245,4985,0.23009,2.8491),(1245,4995,0.10551,2.8482),(1245,5005,0.1045,2.8475),(1245,5015,0.29995,2.8468),(1245,5025,0.49539,2.8367),(1245,5035,0.6697,2.8244),(1245,5045,0.76348,2.812),(1245,5055,0.85727,2.7973),(1245,5065,0.94916,2.7813),(1245,5075,0.97915,2.7653),(1245,5085,1.0091,2.7495),(1245,5095,1.0391,2.7339),(1245,5105,0.91998,2.7184),(1245,5115,0.77479,2.7048),(1245,5125,0.62961,2.6969),(1245,5135,0.5303,2.689),(1245,5145,0.45327,2.6813),(1245,5155,0.37623,2.6745),(1245,5165,0.43705,2.6677),(1245,5175,0.63847,2.661),(1245,5185,0.83989,2.6448),(1245,5195,0.98767,2.6276),(1245,5205,1.0198,2.6105),(1245,5215,1.0519,2.5935),(1245,5225,1.0779,2.5767),(1245,5235,1.0658,2.5598),(1245,5245,1.0537,2.5442),(1245,5255,1.0416,2.5297),(1245,5265,0.72763,2.5152),(1245,5275,0.4012,2.506),(1245,5285,0.07476,2.5058),(1245,5295,0.13429,2.5056),(1245,5305,0.30131,2.503),(1245,5315,0.46832,2.4901),(1245,5325,0.61601,2.4773),(1245,5335,0.75103,2.4644),(1245,5345,0.88604,2.4468),(1245,5355,0.99233,2.4292),(1245,5365,1.0599,2.4116),(1245,5375,1.1274,2.394),(1245,5385,1.1124,2.3764),(1245,5395,0.84631,2.3588),(1245,5405,0.58023,2.3498),(1245,5415,0.33286,2.3454),(1245,5425,0.3367,2.3409),(1245,5435,0.34055,2.3344),(1245,5445,0.3444,2.3257),(1245,5455,0.41851,2.3169),(1245,5465,0.50122,2.3063),(1245,5475,0.58392,2.2911),(1245,5485,0.62467,2.276),(1245,5495,0.64853,2.2607),(1245,5505,0.67239,2.2442),(1245,5515,0.69776,2.2277),(1245,5525,0.72445,2.2112),(1245,5535,0.75113,2.1934),(1245,5545,0.7783,2.1755),(1245,5555,0.80635,2.1576),(1245,5565,0.83441,2.1387),(1245,5575,0.8626,2.1194),(1245,5585,0.89144,2.1001),(1245,5595,0.92028,2.0801),(1245,5605,0.94912,2.0596),(1245,5615,0.97848,2.0391),(1245,5625,1.0078,2.0182),(1245,5635,1.0372,1.9967),(1245,5645,1.0667,1.9752),(1245,5655,1.0963,1.9534),(1245,5665,1.1259,1.9309),(1245,5675,1.1555,1.9084),(1245,5685,1.185,1.8859),(1245,5695,1.2145,1.8628),(1245,5705,1.2438,1.8398),(1245,5715,1.273,1.8167),(1245,5725,1.3021,1.7932),(1245,5735,1.331,1.7698),(1245,5745,1.3595,1.7463),(1245,5755,1.388,1.7225),(1245,5765,1.4164,1.6987),(1245,5775,1.4439,1.6748),(1245,5785,1.4714,1.6509),(1245,5795,1.499,1.627),(1245,5805,1.5255,1.603),(1245,5815,1.5519,1.5791),(1245,5825,1.5783,1.5552),(1245,5835,1.6037,1.5314),(1245,5845,1.6289,1.5075),(1245,5855,1.654,1.4837),(1245,5865,1.6783,1.4599),(1245,5875,1.7021,1.4361),(1245,5885,1.7258,1.4125),(1245,5895,1.749,1.3888),(1245,5905,1.7713,1.3651),(1245,5915,1.7935,1.3417),(1245,5925,1.8155,1.3183),(1245,5935,1.8363,1.2949),(1245,5945,1.8572,1.2717),(1245,5955,1.878,1.2486),(1245,5965,1.8979,1.2255),(1245,5975,1.9179,1.2025),(1245,5985,1.9379,1.1797),(1245,5995,1.4846,1.157),(1245,6005,0.95511,1.1396),(1245,6015,0.42564,1.1367),(1245,6025,0.38067,1.1338),(1245,6035,0.56042,1.1298),(1245,6045,0.74017,1.116),(1245,6055,0.87468,1.1022),(1245,6065,0.96483,1.0884),(1245,6075,1.055,1.0702),(1245,6085,1.1175,1.0516),(1245,6095,1.123,1.0329),(1245,6105,1.1284,1.0142),(1245,6115,1.1339,0.99533),(1245,6125,1.1391,0.97651),(1245,6135,1.1444,0.95762),(1245,6145,1.1496,0.93867),(1245,6155,1.1545,0.91973),(1245,6165,1.1595,0.9006),(1245,6175,1.1644,0.88117),(1245,6185,1.1691,0.86174),(1245,6195,1.1737,0.8423),(1245,6205,1.1783,0.82282),(1245,6215,1.1828,0.80334),(1245,6225,1.187,0.78386),(1245,6235,1.1913,0.76423),(1245,6245,1.1955,0.7446),(1245,6255,1.1994,0.72497),(1245,6265,1.2034,0.70529),(1245,6275,1.2072,0.68561),(1245,6285,1.2109,0.66593),(1245,6295,1.2145,0.6461),(1245,6305,1.2181,0.6262),(1245,6315,1.2214,0.60629),(1245,6325,1.2247,0.58622),(1245,6335,1.228,0.56596),(1245,6345,1.231,0.5457),(1245,6355,1.2339,0.52546),(1245,6365,1.2368,0.50524),(1245,6375,1.2395,0.48503),(1245,6385,1.2421,0.46479),(1245,6395,1.2447,0.44447),(1245,6405,1.2471,0.42414),(1245,6415,1.2493,0.40382),(1245,6425,1.2515,0.38326),(1245,6435,1.2536,0.36269),(1245,6445,1.2554,0.34213),(1245,6455,1.2573,0.32159),(1245,6465,1.2591,0.30107),(1245,6475,1.2607,0.28055),(1245,6485,1.2623,0.26),(1245,6495,1.2638,0.23944),(1245,6505,1.265,0.21888),(1245,6515,1.2663,0.19824),(1245,6525,1.2675,0.17748),(1245,6535,1.2683,0.15673),(1245,6545,1.2691,0.13599),(1245,6555,1.2699,0.11529),(1245,6565,1.2704,0.094602),(1245,6575,1.2708,0.073913),(1245,6585,1.2712,0.053276),(1245,6595,1.0813,0.03264),(1245,6605,0.68139,0.012004),(1245,6615,0.28149,0.009634),(1245,6625,0.000367,0.009612),(1245,6635,0.00037,0.00959),(1245,6645,0.000372,0.009578),(1245,6655,0.000374,0.00957),(1245,6665,0.000376,0.009563),(1245,6675,0.000379,0.009556),(1245,6685,0.000381,0.009549),(1245,6695,0.000383,0.009541),(1245,6705,0.000385,0.009534),(1245,6715,0.000387,0.009527),(1245,6725,0.000389,0.00952),(1245,6735,0.000391,0.009512),(1245,6745,0.000393,0.009505),(1245,6755,0.000395,0.009498),(1245,6765,0.000397,0.00949),(1245,6775,0.000399,0.009483),(1245,6785,0.000401,0.009475),(1245,6795,0.000403,0.009468),(1245,6805,0.000405,0.009461),(1245,6815,0.000407,0.009453),(1245,6825,0.000409,0.009446),(1245,6835,0.00041,0.009438),(1245,6845,0.000412,0.009431),(1245,6855,0.000414,0.009423),(1245,6865,0.000416,0.009416),(1245,6875,0.000417,0.009408),(1245,6885,0.000419,0.0094),(1245,6895,0.000421,0.009393),(1245,6905,0.000422,0.009385),(1245,6915,0.000424,0.009377),(1245,6925,0.000425,0.00937),(1245,6935,0.000427,0.009362),(1245,6945,0.000429,0.009354),(1245,6955,0.00043,0.009346),(1245,6965,0.000432,0.009339),(1245,6975,0.000433,0.009331),(1245,6985,0.000435,0.009323),(1255,5,5.4e-05,3.6722),(1255,15,0.000161,3.6722),(1255,25,0.000269,3.6722),(1255,35,0.000377,3.6722),(1255,45,0.000484,3.6722),(1255,55,0.000592,3.6722),(1255,65,0.0007,3.6722),(1255,75,0.000808,3.6721),(1255,85,0.000915,3.6721),(1255,95,0.001023,3.6721),(1255,105,0.001132,3.6721),(1255,115,0.00124,3.6721),(1255,125,0.001348,3.6721),(1255,135,0.001457,3.6721),(1255,145,0.001566,3.672),(1255,155,0.001675,3.672),(1255,165,0.001784,3.672),(1255,175,0.001893,3.672),(1255,185,0.002003,3.6719),(1255,195,0.002113,3.6719),(1255,205,0.002223,3.6719),(1255,215,0.002333,3.6719),(1255,225,0.002444,3.6718),(1255,235,0.002555,3.6718),(1255,245,0.002666,3.6718),(1255,255,0.002778,3.6717),(1255,265,0.00289,3.6717),(1255,275,0.003002,3.6717),(1255,285,0.003115,3.6716),(1255,295,0.003227,3.6716),(1255,305,0.003341,3.6715),(1255,315,0.003455,3.6715),(1255,325,0.003569,3.6715),(1255,335,0.003684,3.6714),(1255,345,0.003799,3.6714),(1255,355,0.003915,3.6713),(1255,365,0.004031,3.6713),(1255,375,0.004146,3.6712),(1255,385,0.004264,3.6712),(1255,395,0.004381,3.6711),(1255,405,0.004499,3.671),(1255,415,0.004617,3.671),(1255,425,0.004737,3.6709),(1255,435,0.004856,3.6709),(1255,445,0.004976,3.6708),(1255,455,0.005096,3.6707),(1255,465,0.005218,3.6707),(1255,475,0.005341,3.6706),(1255,485,0.005463,3.6705),(1255,495,0.005585,3.6705),(1255,505,0.00571,3.6704),(1255,515,0.005835,3.6703),(1255,525,0.00596,3.6702),(1255,535,0.006084,3.6702),(1255,545,0.006212,3.6701),(1255,555,0.00634,3.67),(1255,565,0.006467,3.6699),(1255,575,0.006595,3.6698),(1255,585,0.006726,3.6698),(1255,595,0.006856,3.6697),(1255,605,0.006987,3.6696),(1255,615,0.007118,3.6695),(1255,625,0.007252,3.6694),(1255,635,0.007385,3.6693),(1255,645,0.007519,3.6692),(1255,655,0.007654,3.6691),(1255,665,0.007791,3.669),(1255,675,0.007928,3.6689),(1255,685,0.008065,3.6688),(1255,695,0.008203,3.6687),(1255,705,0.008344,3.6686),(1255,715,0.008485,3.6685),(1255,725,0.008626,3.6684),(1255,735,0.008767,3.6682),(1255,745,0.008912,3.6681),(1255,755,0.009057,3.668),(1255,765,0.009201,3.6679),(1255,775,0.009347,3.6678),(1255,785,0.009496,3.6677),(1255,795,0.009645,3.6675),(1255,805,0.009794,3.6674),(1255,815,0.009944,3.6673),(1255,825,0.010097,3.6671),(1255,835,0.01025,3.667),(1255,845,0.010403,3.6669),(1255,855,0.010557,3.6667),(1255,865,0.010715,3.6666),(1255,875,0.010872,3.6665),(1255,885,0.011029,3.6663),(1255,895,0.011189,3.6662),(1255,905,0.011351,3.666),(1255,915,0.011513,3.6659),(1255,925,0.011675,3.6657),(1255,935,0.011839,3.6656),(1255,945,0.012006,3.6654),(1255,955,0.012173,3.6652),(1255,965,0.012341,3.6651),(1255,975,0.01251,3.6649),(1255,985,0.012682,3.6647),(1255,995,0.012854,3.6646),(1255,1005,0.013027,3.6644),(1255,1015,0.013202,3.6642),(1255,1025,0.013379,3.664),(1255,1035,0.013556,3.6639),(1255,1045,0.013734,3.6637),(1255,1055,0.013914,3.6635),(1255,1065,0.014097,3.6633),(1255,1075,0.01428,3.6631),(1255,1085,0.014463,3.6629),(1255,1095,0.014649,3.6627),(1255,1105,0.014838,3.6625),(1255,1115,0.015026,3.6623),(1255,1125,0.015215,3.6621),(1255,1135,0.015407,3.6619),(1255,1145,0.015601,3.6617),(1255,1155,0.015796,3.6615),(1255,1165,0.01599,3.6613),(1255,1175,0.016189,3.6611),(1255,1185,0.016389,3.6608),(1255,1195,0.01659,3.6606),(1255,1205,0.01679,3.6604),(1255,1215,0.016995,3.6602),(1255,1225,0.017202,3.6599),(1255,1235,0.017409,3.6597),(1255,1245,0.017615,3.6594),(1255,1255,0.017827,3.6592),(1255,1265,0.01804,3.659),(1255,1275,0.018253,3.6587),(1255,1285,0.018466,3.6585),(1255,1295,0.018684,3.6582),(1255,1305,0.018903,3.6579),(1255,1315,0.019123,3.6577),(1255,1325,0.019342,3.6574),(1255,1335,0.019567,3.6571),(1255,1345,0.019793,3.6569),(1255,1355,0.020019,3.6566),(1255,1365,0.020245,3.6563),(1255,1375,0.020477,3.656),(1255,1385,0.02071,3.6557),(1255,1395,0.020943,3.6555),(1255,1405,0.021176,3.6552),(1255,1415,0.021415,3.6549),(1255,1425,0.021654,3.6546),(1255,1435,0.021894,3.6542),(1255,1445,0.022134,3.6539),(1255,1455,0.02238,3.6536),(1255,1465,0.022627,3.6533),(1255,1475,0.022873,3.653),(1255,1485,0.02312,3.6527),(1255,1495,0.023373,3.6523),(1255,1505,0.023627,3.652),(1255,1515,0.02388,3.6517),(1255,1525,0.024134,3.6513),(1255,1535,0.024395,3.651),(1255,1545,0.024655,3.6506),(1255,1555,0.024916,3.6503),(1255,1565,0.025177,3.6499),(1255,1575,0.025445,3.6495),(1255,1585,0.025713,3.6492),(1255,1595,0.02598,3.6488),(1255,1605,0.026249,3.6484),(1255,1615,0.026523,3.648),(1255,1625,0.026798,3.6477),(1255,1635,0.027073,3.6473),(1255,1645,0.027349,3.6469),(1255,1655,0.02763,3.6465),(1255,1665,0.027912,3.6461),(1255,1675,0.028194,3.6457),(1255,1685,0.028477,3.6452),(1255,1695,0.028765,3.6448),(1255,1705,0.029054,3.6444),(1255,1715,0.029343,3.644),(1255,1725,0.029633,3.6435),(1255,1735,0.029929,3.6431),(1255,1745,0.030224,3.6427),(1255,1755,0.03052,3.6422),(1255,1765,0.030818,3.6418),(1255,1775,0.03112,3.6413),(1255,1785,0.031422,3.6408),(1255,1795,0.031725,3.6404),(1255,1805,0.032029,3.6399),(1255,1815,0.032338,3.6394),(1255,1825,0.032647,3.6389),(1255,1835,0.032956,3.6384),(1255,1845,0.033267,3.6379),(1255,1855,0.033583,3.6374),(1255,1865,0.033898,3.6369),(1255,1875,0.034213,3.6364),(1255,1885,0.034531,3.6359),(1255,1895,0.034852,3.6354),(1255,1905,0.035174,3.6348),(1255,1915,0.035495,3.6343),(1255,1925,0.035819,3.6338),(1255,1935,0.036147,3.6332),(1255,1945,0.036474,3.6327),(1255,1955,0.036801,3.6321),(1255,1965,0.037131,3.6315),(1255,1975,0.037464,3.631),(1255,1985,0.037797,3.6304),(1255,1995,0.03813,3.6298),(1255,2005,0.038466,3.6292),(1255,2015,0.038804,3.6286),(1255,2025,0.039142,3.628),(1255,2035,0.039481,3.6274),(1255,2045,0.039822,3.6268),(1255,2055,0.040165,3.6262),(1255,2065,0.040508,3.6255),(1255,2075,0.040851,3.6249),(1255,2085,0.041197,3.6243),(1255,2095,0.041544,3.6236),(1255,2105,0.041891,3.623),(1255,2115,0.042239,3.6223),(1255,2125,0.042588,3.6216),(1255,2135,0.042939,3.621),(1255,2145,0.043291,3.6203),(1255,2155,0.043642,3.6196),(1255,2165,0.043995,3.6189),(1255,2175,0.044349,3.6182),(1255,2185,0.044704,3.6175),(1255,2195,0.045058,3.6168),(1255,2205,0.045414,3.6161),(1255,2215,0.045771,3.6154),(1255,2225,0.046129,3.6146),(1255,2235,0.046486,3.6139),(1255,2245,0.046844,3.6131),(1255,2255,0.047203,3.6124),(1255,2265,0.047562,3.6116),(1255,2275,0.047922,3.6109),(1255,2285,0.048282,3.6101),(1255,2295,0.048642,3.6093),(1255,2305,0.049002,3.6085),(1255,2315,0.049363,3.6077),(1255,2325,0.049723,3.6069),(1255,2335,0.050084,3.6061),(1255,2345,0.050444,3.6053),(1255,2355,0.050805,3.6045),(1255,2365,0.051165,3.6037),(1255,2375,0.051526,3.6028),(1255,2385,0.051886,3.602),(1255,2395,0.052246,3.6011),(1255,2405,0.052605,3.6003),(1255,2415,0.052964,3.5994),(1255,2425,0.053324,3.5986),(1255,2435,0.053683,3.5977),(1255,2445,0.05404,3.5968),(1255,2455,0.054397,3.5959),(1255,2465,0.054754,3.595),(1255,2475,0.055111,3.5941),(1255,2485,0.055465,3.5932),(1255,2495,0.055819,3.5923),(1255,2505,0.056172,3.5913),(1255,2515,0.056526,3.5904),(1255,2525,0.056875,3.5895),(1255,2535,0.057225,3.5885),(1255,2545,0.057574,3.5876),(1255,2555,0.057923,3.5866),(1255,2565,0.058267,3.5857),(1255,2575,0.058611,3.5847),(1255,2585,0.058954,3.5837),(1255,2595,0.059298,3.5827),(1255,2605,0.059635,3.5817),(1255,2615,0.059972,3.5807),(1255,2625,0.060309,3.5797),(1255,2635,0.060646,3.5787),(1255,2645,0.060975,3.5777),(1255,2655,0.061305,3.5767),(1255,2665,0.061634,3.5757),(1255,2675,0.061962,3.5746),(1255,2685,0.062282,3.5736),(1255,2695,0.062603,3.5725),(1255,2705,0.062923,3.5715),(1255,2715,0.063241,3.5704),(1255,2725,0.063551,3.5694),(1255,2735,0.063861,3.5683),(1255,2745,0.064171,3.5672),(1255,2755,0.064477,3.5661),(1255,2765,0.064775,3.565),(1255,2775,0.065073,3.5639),(1255,2785,0.065371,3.5628),(1255,2795,0.065665,3.5617),(1255,2805,0.06595,3.5606),(1255,2815,0.066234,3.5595),(1255,2825,0.066518,3.5584),(1255,2835,0.066798,3.5573),(1255,2845,0.067067,3.5561),(1255,2855,0.067337,3.555),(1255,2865,0.067606,3.5539),(1255,2875,0.06787,3.5527),(1255,2885,0.068122,3.5516),(1255,2895,0.068375,3.5504),(1255,2905,0.068628,3.5493),(1255,2915,0.068874,3.5481),(1255,2925,0.069109,3.5469),(1255,2935,0.069343,3.5458),(1255,2945,0.069578,3.5446),(1255,2955,0.069804,3.5434),(1255,2965,0.070019,3.5423),(1255,2975,0.070234,3.5411),(1255,2985,0.070449,3.5399),(1255,2995,0.070653,3.5387),(1255,3005,0.070847,3.5375),(1255,3015,0.07104,3.5363),(1255,3025,0.071233,3.5351),(1255,3035,0.071414,3.5339),(1255,3045,0.071583,3.5327),(1255,3055,0.071753,3.5315),(1255,3065,0.071923,3.5303),(1255,3075,0.072078,3.5291),(1255,3085,0.072222,3.5279),(1255,3095,0.072366,3.5267),(1255,3105,0.07251,3.5255),(1255,3115,0.072637,3.5243),(1255,3125,0.072753,3.5231),(1255,3135,0.072869,3.5219),(1255,3145,0.072986,3.5207),(1255,3155,0.073083,3.5195),(1255,3165,0.073169,3.5182),(1255,3175,0.073256,3.517),(1255,3185,0.073343,3.5158),(1255,3195,0.073408,3.5146),(1255,3205,0.073462,3.5134),(1255,3215,0.073517,3.5122),(1255,3225,0.073572,3.511),(1255,3235,0.073602,3.5098),(1255,3245,0.073622,3.5086),(1255,3255,0.073643,3.5074),(1255,3265,0.073664,3.5062),(1255,3275,0.073656,3.505),(1255,3285,0.07364,3.5038),(1255,3295,0.073624,3.5026),(1255,3305,0.073608,3.5014),(1255,3315,0.07356,3.5002),(1255,3325,0.073504,3.499),(1255,3335,0.073449,3.4978),(1255,3345,0.073393,3.4966),(1255,3355,0.073302,3.4955),(1255,3365,0.073205,3.4943),(1255,3375,0.073108,3.4931),(1255,3385,0.07301,3.4919),(1255,3395,0.072873,3.4908),(1255,3405,0.072731,3.4896),(1255,3415,0.072589,3.4885),(1255,3425,0.072447,3.4873),(1255,3435,0.072261,3.4862),(1255,3445,0.072071,3.485),(1255,3455,0.071882,3.4839),(1255,3465,0.071692,3.4828),(1255,3475,0.071454,3.4817),(1255,3485,0.071214,3.4806),(1255,3495,0.070974,3.4795),(1255,3505,0.070733,3.4784),(1255,3515,0.070439,3.4773),(1255,3525,0.070146,3.4762),(1255,3535,0.069852,3.4751),(1255,3545,0.069556,3.474),(1255,3555,0.069205,3.473),(1255,3565,0.068855,3.4719),(1255,3575,0.068504,3.4709),(1255,3585,0.068148,3.4698),(1255,3595,0.067738,3.4688),(1255,3605,0.067327,3.4677),(1255,3615,0.066917,3.4667),(1255,3625,0.066498,3.4657),(1255,3635,0.066025,3.4647),(1255,3645,0.065551,3.4637),(1255,3655,0.065077,3.4627),(1255,3665,0.064593,3.4618),(1255,3675,0.064053,3.4608),(1255,3685,0.063513,3.4598),(1255,3695,0.062973,3.4589),(1255,3705,0.062418,3.458),(1255,3715,0.061809,3.457),(1255,3725,0.061199,3.4561),(1255,3735,0.060589,3.4552),(1255,3745,0.059962,3.4543),(1255,3755,0.059279,3.4534),(1255,3765,0.058596,3.4525),(1255,3775,0.057914,3.4516),(1255,3785,0.057209,3.4508),(1255,3795,0.05645,3.4499),(1255,3805,0.05569,3.4491),(1255,3815,0.05493,3.4483),(1255,3825,0.054145,3.4474),(1255,3835,0.053304,3.4466),(1255,3845,0.052463,3.4458),(1255,3855,0.051623,3.445),(1255,3865,0.050751,3.4442),(1255,3875,0.049824,3.4435),(1255,3885,0.048897,3.4427),(1255,3895,0.04797,3.442),(1255,3905,0.055713,3.4412),(1255,3915,0.076408,3.4405),(1255,3925,0.097102,3.4393),(1255,3935,0.1178,3.4375),(1255,3945,0.1415,3.4357),(1255,3955,0.16903,3.4339),(1255,3965,0.19656,3.4314),(1255,3975,0.22409,3.4279),(1255,3985,0.24097,3.4245),(1255,3995,0.2463,3.4211),(1255,4005,0.25163,3.4175),(1255,4015,0.25697,3.4136),(1255,4025,0.26174,3.4098),(1255,4035,0.26646,3.4058),(1255,4045,0.27118,3.4016),(1255,4055,0.27529,3.3974),(1255,4065,0.27917,3.3932),(1255,4075,0.28305,3.3888),(1255,4085,0.28627,3.3843),(1255,4095,0.28896,3.3799),(1255,4105,0.29165,3.3753),(1255,4115,0.28303,3.3706),(1255,4125,0.25566,3.366),(1255,4135,0.2283,3.3624),(1255,4145,0.20011,3.3591),(1255,4155,0.16856,3.3557),(1255,4165,0.13702,3.3533),(1255,4175,0.10719,3.3515),(1255,4185,0.16246,3.3497),(1255,4195,0.21773,3.3464),(1255,4205,0.273,3.3411),(1255,4215,0.27156,3.3358),(1255,4225,0.25944,3.3306),(1255,4235,0.24733,3.3255),(1255,4245,0.22786,3.3205),(1255,4255,0.20466,3.3155),(1255,4265,0.18146,3.3118),(1255,4275,0.15051,3.308),(1255,4285,0.11135,3.3043),(1255,4295,0.072194,3.3031),(1255,4305,0.064611,3.3021),(1255,4315,0.12833,3.3011),(1255,4325,0.19204,3.2965),(1255,4335,0.24885,3.2903),(1255,4345,0.25883,3.2842),(1255,4355,0.26882,3.2778),(1255,4365,0.27881,3.271),(1255,4375,0.28055,3.2642),(1255,4385,0.28187,3.2577),(1255,4395,0.28318,3.2517),(1255,4405,0.24617,3.2456),(1255,4415,0.19784,3.2403),(1255,4425,0.14952,3.2381),(1255,4435,0.13329,3.2359),(1255,4445,0.139,3.2337),(1255,4455,0.14471,3.2311),(1255,4465,0.17948,3.2286),(1255,4475,0.25507,3.2261),(1255,4485,0.33067,3.22),(1255,4495,0.3914,3.2131),(1255,4505,0.40441,3.2063),(1255,4515,0.41743,3.1987),(1255,4525,0.42943,3.1908),(1255,4535,0.42543,3.1828),(1255,4545,0.42142,3.1747),(1255,4555,0.41742,3.1665),(1255,4565,0.30752,3.1582),(1255,4575,0.18336,3.1521),(1255,4585,0.059191,3.1513),(1255,4595,0.054743,3.1504),(1255,4605,0.10088,3.1491),(1255,4615,0.14701,3.145),(1255,4625,0.19813,3.1408),(1255,4635,0.25375,3.1366),(1255,4645,0.30937,3.1306),(1255,4655,0.36264,3.1245),(1255,4665,0.4115,3.1183),(1255,4675,0.46037,3.1111),(1255,4685,0.48357,3.1034),(1255,4695,0.37999,3.0958),(1255,4705,0.27641,3.0909),(1255,4715,0.17284,3.0881),(1255,4725,0.22981,3.0852),(1255,4735,0.28839,3.0808),(1255,4745,0.34697,3.0742),(1255,4755,0.4297,3.0676),(1255,4765,0.51802,3.0601),(1255,4775,0.60635,3.0494),(1255,4785,0.65535,3.0387),(1255,4795,0.68163,3.028),(1255,4805,0.7079,3.0169),(1255,4815,0.6926,3.0058),(1255,4825,0.62758,2.9947),(1255,4835,0.56257,2.9868),(1255,4845,0.48543,2.9793),(1255,4855,0.37666,2.9718),(1255,4865,0.2679,2.9668),(1255,4875,0.186,2.963),(1255,4885,0.34846,2.9591),(1255,4895,0.51092,2.9501),(1255,4905,0.67338,2.9361),(1255,4915,0.67667,2.9221),(1255,4925,0.66627,2.9084),(1255,4935,0.65587,2.8955),(1255,4945,0.60091,2.8825),(1255,4955,0.53051,2.8702),(1255,4965,0.4601,2.8617),(1255,4975,0.35841,2.8532),(1255,4985,0.23256,2.8446),(1255,4995,0.10672,2.8437),(1255,5005,0.10564,2.843),(1255,5015,0.30292,2.8423),(1255,5025,0.50021,2.8323),(1255,5035,0.67604,2.82),(1255,5045,0.77013,2.8076),(1255,5055,0.86423,2.7931),(1255,5065,0.95641,2.7772),(1255,5075,0.98607,2.7613),(1255,5085,1.0157,2.7456),(1255,5095,1.0454,2.7302),(1255,5105,0.92526,2.7147),(1255,5115,0.77899,2.7012),(1255,5125,0.63271,2.6934),(1255,5135,0.53322,2.6856),(1255,5145,0.45644,2.6779),(1255,5155,0.37965,2.6711),(1255,5165,0.4413,2.6643),(1255,5175,0.64414,2.6576),(1255,5185,0.84698,2.6414),(1255,5195,0.99563,2.6243),(1255,5205,1.0274,2.6072),(1255,5215,1.0592,2.5903),(1255,5225,1.0849,2.5735),(1255,5235,1.0722,2.5567),(1255,5245,1.0596,2.5412),(1255,5255,1.0469,2.5268),(1255,5265,0.73135,2.5123),(1255,5275,0.4033,2.5032),(1255,5285,0.075247,2.503),(1255,5295,0.1362,2.5028),(1255,5305,0.30549,2.5002),(1255,5315,0.47478,2.4873),(1255,5325,0.62357,2.4744),(1255,5335,0.75892,2.4615),(1255,5345,0.89428,2.444),(1255,5355,1.0006,2.4265),(1255,5365,1.0676,2.409),(1255,5375,1.1347,2.3915),(1255,5385,1.1189,2.374),(1255,5395,0.85113,2.3565),(1255,5405,0.58335,2.3476),(1255,5415,0.33447,2.3432),(1255,5425,0.33953,2.3388),(1255,5435,0.34459,2.3322),(1255,5445,0.34965,2.3233),(1255,5455,0.42493,2.3144),(1255,5465,0.50879,2.3036),(1255,5475,0.59266,2.2883),(1255,5485,0.63389,2.273),(1255,5495,0.65796,2.2575),(1255,5505,0.68203,2.2408),(1255,5515,0.7076,2.2241),(1255,5525,0.73449,2.2074),(1255,5535,0.76138,2.1895),(1255,5545,0.78874,2.1714),(1255,5555,0.81696,2.1534),(1255,5565,0.84518,2.1343),(1255,5575,0.87353,2.1149),(1255,5585,0.90249,2.0955),(1255,5595,0.93146,2.0754),(1255,5605,0.96042,2.0548),(1255,5615,0.98985,2.0342),(1255,5625,1.0193,2.0132),(1255,5635,1.0487,1.9917),(1255,5645,1.0783,1.9701),(1255,5655,1.1079,1.9483),(1255,5665,1.1375,1.9258),(1255,5675,1.1671,1.9033),(1255,5685,1.1965,1.8808),(1255,5695,1.226,1.8578),(1255,5705,1.2553,1.8347),(1255,5715,1.2843,1.8117),(1255,5725,1.3134,1.7883),(1255,5735,1.3422,1.7649),(1255,5745,1.3706,1.7415),(1255,5755,1.3989,1.7178),(1255,5765,1.4272,1.694),(1255,5775,1.4545,1.6703),(1255,5785,1.4819,1.6465),(1255,5795,1.5093,1.6227),(1255,5805,1.5356,1.5989),(1255,5815,1.5618,1.5751),(1255,5825,1.588,1.5514),(1255,5835,1.6133,1.5276),(1255,5845,1.6382,1.5039),(1255,5855,1.6631,1.4803),(1255,5865,1.6872,1.4567),(1255,5875,1.7107,1.4331),(1255,5885,1.7342,1.4096),(1255,5895,1.7572,1.3861),(1255,5905,1.7792,1.3626),(1255,5915,1.8013,1.3393),(1255,5925,1.823,1.3161),(1255,5935,1.8436,1.2929),(1255,5945,1.8642,1.2699),(1255,5955,1.8848,1.247),(1255,5965,1.9046,1.2241),(1255,5975,1.9243,1.2013),(1255,5985,1.9441,1.1788),(1255,5995,1.4893,1.1562),(1255,6005,0.95809,1.139),(1255,6015,0.42689,1.1361),(1255,6025,0.38267,1.1332),(1255,6035,0.56431,1.1293),(1255,6045,0.74595,1.1155),(1255,6055,0.88176,1.1017),(1255,6065,0.97264,1.0879),(1255,6075,1.0635,1.0697),(1255,6085,1.1265,1.051),(1255,6095,1.132,1.0324),(1255,6105,1.1376,1.0136),(1255,6115,1.143,0.99476),(1255,6125,1.1483,0.97594),(1255,6135,1.1536,0.95705),(1255,6145,1.1589,0.93811),(1255,6155,1.1638,0.91917),(1255,6165,1.1688,0.90004),(1255,6175,1.1738,0.88062),(1255,6185,1.1785,0.8612),(1255,6195,1.1831,0.84177),(1255,6205,1.1878,0.82229),(1255,6215,1.1922,0.80281),(1255,6225,1.1965,0.78333),(1255,6235,1.2008,0.7637),(1255,6245,1.205,0.74408),(1255,6255,1.209,0.72445),(1255,6265,1.213,0.70479),(1255,6275,1.2169,0.68513),(1255,6285,1.2205,0.66546),(1255,6295,1.2242,0.64564),(1255,6305,1.2278,0.62574),(1255,6315,1.2311,0.60584),(1255,6325,1.2344,0.58578),(1255,6335,1.2377,0.56553),(1255,6345,1.2407,0.54529),(1255,6355,1.2437,0.52506),(1255,6365,1.2466,0.50485),(1255,6375,1.2493,0.48465),(1255,6385,1.2519,0.46442),(1255,6395,1.2545,0.4441),(1255,6405,1.2569,0.42378),(1255,6415,1.2591,0.40346),(1255,6425,1.2614,0.38293),(1255,6435,1.2634,0.36239),(1255,6445,1.2653,0.34184),(1255,6455,1.2672,0.32134),(1255,6465,1.269,0.30085),(1255,6475,1.2706,0.28036),(1255,6485,1.2721,0.25984),(1255,6495,1.2737,0.23929),(1255,6505,1.2749,0.21875),(1255,6515,1.2761,0.19812),(1255,6525,1.2773,0.17737),(1255,6535,1.2782,0.15662),(1255,6545,1.279,0.13588),(1255,6555,1.2799,0.11519),(1255,6565,1.2804,0.094508),(1255,6575,1.2808,0.073826),(1255,6585,1.2811,0.053207),(1255,6595,1.0898,0.032589),(1255,6605,0.68674,0.011971),(1255,6615,0.2837,0.009612),(1255,6625,0.000371,0.009601),(1255,6635,0.000373,0.009589),(1255,6645,0.000376,0.00958),(1255,6655,0.000378,0.009573),(1255,6665,0.00038,0.009565),(1255,6675,0.000383,0.009558),(1255,6685,0.000385,0.009551),(1255,6695,0.000387,0.009544),(1255,6705,0.000389,0.009536),(1255,6715,0.000391,0.009529),(1255,6725,0.000393,0.009522),(1255,6735,0.000395,0.009514),(1255,6745,0.000397,0.009507),(1255,6755,0.000399,0.0095),(1255,6765,0.000401,0.009492),(1255,6775,0.000403,0.009485),(1255,6785,0.000405,0.009477),(1255,6795,0.000407,0.00947),(1255,6805,0.000409,0.009463),(1255,6815,0.000411,0.009455),(1255,6825,0.000413,0.009447),(1255,6835,0.000414,0.00944),(1255,6845,0.000416,0.009432),(1255,6855,0.000418,0.009425),(1255,6865,0.00042,0.009417),(1255,6875,0.000421,0.00941),(1255,6885,0.000423,0.009402),(1255,6895,0.000425,0.009394),(1255,6905,0.000426,0.009387),(1255,6915,0.000428,0.009379),(1255,6925,0.00043,0.009371),(1255,6935,0.000431,0.009364),(1255,6945,0.000433,0.009356),(1255,6955,0.000434,0.009348),(1255,6965,0.000436,0.00934),(1255,6975,0.000437,0.009332),(1255,6985,0.000439,0.009324),(1265,5,5.4e-05,3.6723),(1265,15,0.000162,3.6723),(1265,25,0.00027,3.6723),(1265,35,0.000378,3.6723),(1265,45,0.000486,3.6723),(1265,55,0.000594,3.6723),(1265,65,0.000703,3.6723),(1265,75,0.000811,3.6723),(1265,85,0.000919,3.6722),(1265,95,0.001028,3.6722),(1265,105,0.001136,3.6722),(1265,115,0.001245,3.6722),(1265,125,0.001354,3.6722),(1265,135,0.001463,3.6722),(1265,145,0.001572,3.6721),(1265,155,0.001682,3.6721),(1265,165,0.001791,3.6721),(1265,175,0.001901,3.6721),(1265,185,0.002011,3.6721),(1265,195,0.002122,3.672),(1265,205,0.002232,3.672),(1265,215,0.002343,3.672),(1265,225,0.002454,3.6719),(1265,235,0.002566,3.6719),(1265,245,0.002678,3.6719),(1265,255,0.002789,3.6718),(1265,265,0.002902,3.6718),(1265,275,0.003015,3.6718),(1265,285,0.003128,3.6717),(1265,295,0.003241,3.6717),(1265,305,0.003355,3.6717),(1265,315,0.00347,3.6716),(1265,325,0.003585,3.6716),(1265,335,0.003699,3.6715),(1265,345,0.003815,3.6715),(1265,355,0.003932,3.6714),(1265,365,0.004048,3.6714),(1265,375,0.004164,3.6713),(1265,385,0.004282,3.6713),(1265,395,0.0044,3.6712),(1265,405,0.004519,3.6712),(1265,415,0.004637,3.6711),(1265,425,0.004757,3.671),(1265,435,0.004877,3.671),(1265,445,0.004998,3.6709),(1265,455,0.005118,3.6709),(1265,465,0.005241,3.6708),(1265,475,0.005364,3.6707),(1265,485,0.005487,3.6707),(1265,495,0.005609,3.6706),(1265,505,0.005735,3.6705),(1265,515,0.00586,3.6704),(1265,525,0.005986,3.6704),(1265,535,0.006111,3.6703),(1265,545,0.006239,3.6702),(1265,555,0.006367,3.6701),(1265,565,0.006496,3.67),(1265,575,0.006624,3.67),(1265,585,0.006755,3.6699),(1265,595,0.006887,3.6698),(1265,605,0.007018,3.6697),(1265,615,0.007149,3.6696),(1265,625,0.007284,3.6695),(1265,635,0.007418,3.6694),(1265,645,0.007553,3.6693),(1265,655,0.007688,3.6692),(1265,665,0.007826,3.6691),(1265,675,0.007964,3.669),(1265,685,0.008102,3.6689),(1265,695,0.00824,3.6688),(1265,705,0.008382,3.6687),(1265,715,0.008524,3.6686),(1265,725,0.008665,3.6685),(1265,735,0.008808,3.6684),(1265,745,0.008953,3.6683),(1265,755,0.009099,3.6682),(1265,765,0.009244,3.668),(1265,775,0.00939,3.6679),(1265,785,0.00954,3.6678),(1265,795,0.00969,3.6677),(1265,805,0.009839,3.6676),(1265,815,0.00999,3.6674),(1265,825,0.010144,3.6673),(1265,835,0.010298,3.6672),(1265,845,0.010452,3.667),(1265,855,0.010607,3.6669),(1265,865,0.010765,3.6668),(1265,875,0.010924,3.6666),(1265,885,0.011082,3.6665),(1265,895,0.011242,3.6663),(1265,905,0.011405,3.6662),(1265,915,0.011568,3.666),(1265,925,0.011731,3.6659),(1265,935,0.011896,3.6657),(1265,945,0.012064,3.6656),(1265,955,0.012232,3.6654),(1265,965,0.012401,3.6652),(1265,975,0.012571,3.6651),(1265,985,0.012744,3.6649),(1265,995,0.012917,3.6647),(1265,1005,0.013091,3.6646),(1265,1015,0.013267,3.6644),(1265,1025,0.013445,3.6642),(1265,1035,0.013624,3.664),(1265,1045,0.013802,3.6639),(1265,1055,0.013984,3.6637),(1265,1065,0.014168,3.6635),(1265,1075,0.014352,3.6633),(1265,1085,0.014536,3.6631),(1265,1095,0.014723,3.6629),(1265,1105,0.014913,3.6627),(1265,1115,0.015103,3.6625),(1265,1125,0.015292,3.6623),(1265,1135,0.015486,3.6621),(1265,1145,0.015682,3.6619),(1265,1155,0.015877,3.6617),(1265,1165,0.016073,3.6615),(1265,1175,0.016273,3.6613),(1265,1185,0.016475,3.661),(1265,1195,0.016677,3.6608),(1265,1205,0.016878,3.6606),(1265,1215,0.017085,3.6604),(1265,1225,0.017293,3.6601),(1265,1235,0.017501,3.6599),(1265,1245,0.017709,3.6597),(1265,1255,0.017922,3.6594),(1265,1265,0.018136,3.6592),(1265,1275,0.018351,3.6589),(1265,1285,0.018565,3.6587),(1265,1295,0.018785,3.6584),(1265,1305,0.019006,3.6582),(1265,1315,0.019227,3.6579),(1265,1325,0.019448,3.6576),(1265,1335,0.019674,3.6574),(1265,1345,0.019902,3.6571),(1265,1355,0.02013,3.6568),(1265,1365,0.020358,3.6565),(1265,1375,0.020591,3.6563),(1265,1385,0.020826,3.656),(1265,1395,0.02106,3.6557),(1265,1405,0.021295,3.6554),(1265,1415,0.021536,3.6551),(1265,1425,0.021777,3.6548),(1265,1435,0.022019,3.6545),(1265,1445,0.02226,3.6542),(1265,1455,0.022508,3.6539),(1265,1465,0.022757,3.6536),(1265,1475,0.023005,3.6532),(1265,1485,0.023254,3.6529),(1265,1495,0.023509,3.6526),(1265,1505,0.023765,3.6523),(1265,1515,0.02402,3.6519),(1265,1525,0.024276,3.6516),(1265,1535,0.024539,3.6512),(1265,1545,0.024802,3.6509),(1265,1555,0.025064,3.6505),(1265,1565,0.025327,3.6502),(1265,1575,0.025597,3.6498),(1265,1585,0.025867,3.6494),(1265,1595,0.026137,3.6491),(1265,1605,0.026408,3.6487),(1265,1615,0.026685,3.6483),(1265,1625,0.026962,3.6479),(1265,1635,0.027239,3.6475),(1265,1645,0.027517,3.6471),(1265,1655,0.027801,3.6468),(1265,1665,0.028085,3.6464),(1265,1675,0.028369,3.6459),(1265,1685,0.028654,3.6455),(1265,1695,0.028946,3.6451),(1265,1705,0.029237,3.6447),(1265,1715,0.029528,3.6443),(1265,1725,0.029821,3.6438),(1265,1735,0.030119,3.6434),(1265,1745,0.030417,3.643),(1265,1755,0.030715,3.6425),(1265,1765,0.031015,3.642),(1265,1775,0.031321,3.6416),(1265,1785,0.031626,3.6411),(1265,1795,0.031931,3.6407),(1265,1805,0.032238,3.6402),(1265,1815,0.03255,3.6397),(1265,1825,0.032862,3.6392),(1265,1835,0.033173,3.6387),(1265,1845,0.033487,3.6382),(1265,1855,0.033806,3.6377),(1265,1865,0.034124,3.6372),(1265,1875,0.034442,3.6367),(1265,1885,0.034763,3.6362),(1265,1895,0.035087,3.6357),(1265,1905,0.035412,3.6352),(1265,1915,0.035736,3.6346),(1265,1925,0.036063,3.6341),(1265,1935,0.036394,3.6335),(1265,1945,0.036724,3.633),(1265,1955,0.037054,3.6324),(1265,1965,0.037388,3.6319),(1265,1975,0.037724,3.6313),(1265,1985,0.03806,3.6307),(1265,1995,0.038396,3.6301),(1265,2005,0.038735,3.6295),(1265,2015,0.039076,3.629),(1265,2025,0.039418,3.6284),(1265,2035,0.03976,3.6277),(1265,2045,0.040104,3.6271),(1265,2055,0.04045,3.6265),(1265,2065,0.040797,3.6259),(1265,2075,0.041143,3.6253),(1265,2085,0.041492,3.6246),(1265,2095,0.041843,3.624),(1265,2105,0.042194,3.6233),(1265,2115,0.042545,3.6227),(1265,2125,0.042898,3.622),(1265,2135,0.043253,3.6213),(1265,2145,0.043608,3.6207),(1265,2155,0.043962,3.62),(1265,2165,0.044319,3.6193),(1265,2175,0.044677,3.6186),(1265,2185,0.045035,3.6179),(1265,2195,0.045393,3.6172),(1265,2205,0.045753,3.6164),(1265,2215,0.046114,3.6157),(1265,2225,0.046474,3.615),(1265,2235,0.046835,3.6142),(1265,2245,0.047198,3.6135),(1265,2255,0.04756,3.6128),(1265,2265,0.047923,3.612),(1265,2275,0.048286,3.6112),(1265,2285,0.04865,3.6105),(1265,2295,0.049014,3.6097),(1265,2305,0.049378,3.6089),(1265,2315,0.049742,3.6081),(1265,2325,0.050107,3.6073),(1265,2335,0.050471,3.6065),(1265,2345,0.050835,3.6057),(1265,2355,0.0512,3.6049),(1265,2365,0.051564,3.604),(1265,2375,0.051928,3.6032),(1265,2385,0.052292,3.6024),(1265,2395,0.052656,3.6015),(1265,2405,0.053019,3.6006),(1265,2415,0.053382,3.5998),(1265,2425,0.053745,3.5989),(1265,2435,0.054108,3.598),(1265,2445,0.054469,3.5971),(1265,2455,0.05483,3.5963),(1265,2465,0.05519,3.5954),(1265,2475,0.055551,3.5945),(1265,2485,0.055909,3.5935),(1265,2495,0.056266,3.5926),(1265,2505,0.056624,3.5917),(1265,2515,0.056981,3.5908),(1265,2525,0.057334,3.5898),(1265,2535,0.057687,3.5889),(1265,2545,0.058041,3.5879),(1265,2555,0.058393,3.587),(1265,2565,0.058741,3.586),(1265,2575,0.059088,3.585),(1265,2585,0.059436,3.584),(1265,2595,0.059782,3.5831),(1265,2605,0.060123,3.5821),(1265,2615,0.060464,3.5811),(1265,2625,0.060804,3.5801),(1265,2635,0.061144,3.5791),(1265,2645,0.061477,3.578),(1265,2655,0.06181,3.577),(1265,2665,0.062143,3.576),(1265,2675,0.062474,3.5749),(1265,2685,0.062798,3.5739),(1265,2695,0.063121,3.5729),(1265,2705,0.063445,3.5718),(1265,2715,0.063766,3.5707),(1265,2725,0.064079,3.5697),(1265,2735,0.064392,3.5686),(1265,2745,0.064705,3.5675),(1265,2755,0.065014,3.5664),(1265,2765,0.065315,3.5653),(1265,2775,0.065616,3.5642),(1265,2785,0.065917,3.5631),(1265,2795,0.066213,3.562),(1265,2805,0.0665,3.5609),(1265,2815,0.066787,3.5598),(1265,2825,0.067075,3.5587),(1265,2835,0.067357,3.5575),(1265,2845,0.067628,3.5564),(1265,2855,0.0679,3.5553),(1265,2865,0.068172,3.5541),(1265,2875,0.068437,3.553),(1265,2885,0.068692,3.5518),(1265,2895,0.068947,3.5507),(1265,2905,0.069202,3.5495),(1265,2915,0.06945,3.5484),(1265,2925,0.069686,3.5472),(1265,2935,0.069923,3.546),(1265,2945,0.070159,3.5448),(1265,2955,0.070387,3.5437),(1265,2965,0.070603,3.5425),(1265,2975,0.070819,3.5413),(1265,2985,0.071036,3.5401),(1265,2995,0.071241,3.5389),(1265,3005,0.071435,3.5377),(1265,3015,0.07163,3.5365),(1265,3025,0.071824,3.5353),(1265,3035,0.072006,3.5341),(1265,3045,0.072176,3.5329),(1265,3055,0.072346,3.5317),(1265,3065,0.072516,3.5305),(1265,3075,0.072672,3.5293),(1265,3085,0.072816,3.5281),(1265,3095,0.07296,3.5269),(1265,3105,0.073105,3.5256),(1265,3115,0.073232,3.5244),(1265,3125,0.073348,3.5232),(1265,3135,0.073464,3.522),(1265,3145,0.07358,3.5208),(1265,3155,0.073677,3.5195),(1265,3165,0.073763,3.5183),(1265,3175,0.073849,3.5171),(1265,3185,0.073935,3.5159),(1265,3195,0.073998,3.5147),(1265,3205,0.074052,3.5135),(1265,3215,0.074106,3.5122),(1265,3225,0.07416,3.511),(1265,3235,0.074188,3.5098),(1265,3245,0.074207,3.5086),(1265,3255,0.074226,3.5074),(1265,3265,0.074245,3.5062),(1265,3275,0.074236,3.505),(1265,3285,0.074218,3.5037),(1265,3295,0.074199,3.5025),(1265,3305,0.074181,3.5013),(1265,3315,0.074131,3.5001),(1265,3325,0.074073,3.4989),(1265,3335,0.074015,3.4977),(1265,3345,0.073958,3.4966),(1265,3355,0.073864,3.4954),(1265,3365,0.073764,3.4942),(1265,3375,0.073664,3.493),(1265,3385,0.073563,3.4918),(1265,3395,0.073423,3.4907),(1265,3405,0.073278,3.4895),(1265,3415,0.073133,3.4883),(1265,3425,0.072988,3.4872),(1265,3435,0.072798,3.486),(1265,3445,0.072605,3.4849),(1265,3455,0.072412,3.4837),(1265,3465,0.072219,3.4826),(1265,3475,0.071977,3.4815),(1265,3485,0.071733,3.4803),(1265,3495,0.071489,3.4792),(1265,3505,0.071245,3.4781),(1265,3515,0.070947,3.477),(1265,3525,0.070649,3.4759),(1265,3535,0.070352,3.4748),(1265,3545,0.070051,3.4737),(1265,3555,0.069697,3.4726),(1265,3565,0.069342,3.4716),(1265,3575,0.068987,3.4705),(1265,3585,0.068628,3.4694),(1265,3595,0.068213,3.4684),(1265,3605,0.067798,3.4673),(1265,3615,0.067383,3.4663),(1265,3625,0.066961,3.4653),(1265,3635,0.066483,3.4643),(1265,3645,0.066005,3.4632),(1265,3655,0.065527,3.4623),(1265,3665,0.065038,3.4613),(1265,3675,0.064494,3.4603),(1265,3685,0.06395,3.4593),(1265,3695,0.063406,3.4583),(1265,3705,0.062847,3.4574),(1265,3715,0.062234,3.4564),(1265,3725,0.06162,3.4555),(1265,3735,0.061006,3.4546),(1265,3745,0.060375,3.4536),(1265,3755,0.059688,3.4527),(1265,3765,0.059001,3.4518),(1265,3775,0.058315,3.4509),(1265,3785,0.057607,3.4501),(1265,3795,0.056843,3.4492),(1265,3805,0.05608,3.4483),(1265,3815,0.055317,3.4475),(1265,3825,0.054528,3.4466),(1265,3835,0.053684,3.4458),(1265,3845,0.05284,3.445),(1265,3855,0.051996,3.4442),(1265,3865,0.051121,3.4434),(1265,3875,0.050191,3.4426),(1265,3885,0.04926,3.4418),(1265,3895,0.04833,3.441),(1265,3905,0.056117,3.4403),(1265,3915,0.076924,3.4395),(1265,3925,0.097731,3.4383),(1265,3935,0.11854,3.4364),(1265,3945,0.14239,3.4345),(1265,3955,0.17011,3.4326),(1265,3965,0.19783,3.43),(1265,3975,0.22555,3.4265),(1265,3985,0.24256,3.423),(1265,3995,0.24796,3.4195),(1265,4005,0.25337,3.4158),(1265,4015,0.25878,3.4119),(1265,4025,0.26361,3.408),(1265,4035,0.26839,3.404),(1265,4045,0.27317,3.3998),(1265,4055,0.27732,3.3956),(1265,4065,0.28124,3.3913),(1265,4075,0.28516,3.3868),(1265,4085,0.28842,3.3824),(1265,4095,0.29115,3.3779),(1265,4105,0.29388,3.3732),(1265,4115,0.28522,3.3685),(1265,4125,0.25768,3.3638),(1265,4135,0.23014,3.36),(1265,4145,0.20176,3.3566),(1265,4155,0.16999,3.3531),(1265,4165,0.13823,3.3506),(1265,4175,0.1082,3.3486),(1265,4185,0.16406,3.3467),(1265,4195,0.21993,3.3433),(1265,4205,0.2758,3.3379),(1265,4215,0.27447,3.3326),(1265,4225,0.26238,3.3274),(1265,4235,0.25029,3.3224),(1265,4245,0.23068,3.3173),(1265,4255,0.20726,3.3124),(1265,4265,0.18383,3.3087),(1265,4275,0.15252,3.305),(1265,4285,0.11283,3.3014),(1265,4295,0.073141,3.3001),(1265,4305,0.065534,3.2992),(1265,4315,0.13037,3.2982),(1265,4325,0.1952,3.2935),(1265,4335,0.25299,3.2873),(1265,4345,0.2631,3.2811),(1265,4355,0.27321,3.2746),(1265,4365,0.28331,3.2677),(1265,4375,0.28483,3.2609),(1265,4385,0.2859,3.2543),(1265,4395,0.28697,3.2482),(1265,4405,0.24924,3.2421),(1265,4415,0.20007,3.2367),(1265,4425,0.1509,3.2346),(1265,4435,0.13439,3.2325),(1265,4445,0.14021,3.2304),(1265,4455,0.14603,3.2278),(1265,4465,0.18116,3.2253),(1265,4475,0.25748,3.2228),(1265,4485,0.33379,3.2167),(1265,4495,0.39511,3.2098),(1265,4505,0.40832,3.2029),(1265,4515,0.42153,3.1953),(1265,4525,0.43372,3.1873),(1265,4535,0.42978,3.1793),(1265,4545,0.42585,3.1712),(1265,4555,0.42191,3.163),(1265,4565,0.31095,3.1548),(1265,4575,0.18556,3.1487),(1265,4585,0.060165,3.1478),(1265,4595,0.05576,3.147),(1265,4605,0.10247,3.1458),(1265,4615,0.14919,3.1417),(1265,4625,0.20065,3.1376),(1265,4635,0.25643,3.1335),(1265,4645,0.3122,3.1275),(1265,4655,0.36562,3.1214),(1265,4665,0.4146,3.1153),(1265,4675,0.46357,3.1079),(1265,4685,0.48677,3.1001),(1265,4695,0.38261,3.0923),(1265,4705,0.27844,3.0873),(1265,4715,0.17428,3.0843),(1265,4725,0.23185,3.0813),(1265,4735,0.29104,3.0768),(1265,4745,0.35023,3.0702),(1265,4755,0.4335,3.0635),(1265,4765,0.52236,3.056),(1265,4775,0.61122,3.0452),(1265,4785,0.66037,3.0345),(1265,4795,0.68656,3.0237),(1265,4805,0.71275,3.0126),(1265,4815,0.69716,3.0015),(1265,4825,0.6316,2.9904),(1265,4835,0.56604,2.9824),(1265,4845,0.48842,2.975),(1265,4855,0.37939,2.9675),(1265,4865,0.27035,2.9625),(1265,4875,0.18837,2.9586),(1265,4885,0.35252,2.9548),(1265,4895,0.51667,2.9458),(1265,4905,0.68082,2.9317),(1265,4915,0.68404,2.9177),(1265,4925,0.6734,2.904),(1265,4935,0.66277,2.8911),(1265,4945,0.6072,2.8781),(1265,4955,0.53604,2.8658),(1265,4965,0.46489,2.8572),(1265,4975,0.36216,2.8487),(1265,4985,0.23504,2.8401),(1265,4995,0.10793,2.8392),(1265,5005,0.10678,2.8385),(1265,5015,0.3059,2.8377),(1265,5025,0.50501,2.8278),(1265,5035,0.68236,2.8156),(1265,5045,0.77676,2.8033),(1265,5055,0.87117,2.7889),(1265,5065,0.96364,2.7731),(1265,5075,0.99298,2.7573),(1265,5085,1.0223,2.7417),(1265,5095,1.0516,2.7263),(1265,5105,0.93053,2.711),(1265,5115,0.78317,2.6976),(1265,5125,0.63581,2.6899),(1265,5135,0.53613,2.6821),(1265,5145,0.4596,2.6744),(1265,5155,0.38306,2.6677),(1265,5165,0.44554,2.6609),(1265,5175,0.6498,2.6542),(1265,5185,0.85407,2.6381),(1265,5195,1.0036,2.621),(1265,5205,1.0351,2.6039),(1265,5215,1.0666,2.5871),(1265,5225,1.0918,2.5704),(1265,5235,1.0786,2.5536),(1265,5245,1.0654,2.5382),(1265,5255,1.0522,2.5238),(1265,5265,0.73507,2.5095),(1265,5275,0.4054,2.5003),(1265,5285,0.075734,2.5001),(1265,5295,0.13812,2.5),(1265,5305,0.30968,2.4973),(1265,5315,0.48124,2.4844),(1265,5325,0.63113,2.4716),(1265,5335,0.76681,2.4586),(1265,5345,0.9025,2.4412),(1265,5355,1.0088,2.4238),(1265,5365,1.0754,2.4063),(1265,5375,1.142,2.389),(1265,5385,1.1254,2.3716),(1265,5395,0.85595,2.3542),(1265,5405,0.58647,2.3454),(1265,5415,0.33609,2.341),(1265,5425,0.34236,2.3366),(1265,5435,0.34864,2.33),(1265,5445,0.35492,2.321),(1265,5455,0.43137,2.3119),(1265,5465,0.5164,2.301),(1265,5475,0.60142,2.2855),(1265,5485,0.64314,2.27),(1265,5495,0.66742,2.2543),(1265,5505,0.69169,2.2374),(1265,5515,0.71747,2.2205),(1265,5525,0.74456,2.2037),(1265,5535,0.77165,2.1855),(1265,5545,0.7992,2.1674),(1265,5555,0.82759,2.1492),(1265,5565,0.85597,2.13),(1265,5575,0.88448,2.1105),(1265,5585,0.91356,2.091),(1265,5595,0.94265,2.0707),(1265,5605,0.97173,2.0501),(1265,5615,1.0012,2.0294),(1265,5625,1.0307,2.0083),(1265,5635,1.0602,1.9867),(1265,5645,1.0899,1.9651),(1265,5655,1.1195,1.9433),(1265,5665,1.1491,1.9208),(1265,5675,1.1786,1.8983),(1265,5685,1.2081,1.8757),(1265,5695,1.2375,1.8527),(1265,5705,1.2667,1.8297),(1265,5715,1.2957,1.8067),(1265,5725,1.3247,1.7834),(1265,5735,1.3534,1.76),(1265,5745,1.3816,1.7367),(1265,5755,1.4098,1.7131),(1265,5765,1.4379,1.6894),(1265,5775,1.4651,1.6658),(1265,5785,1.4924,1.6421),(1265,5795,1.5196,1.6184),(1265,5805,1.5457,1.5947),(1265,5815,1.5717,1.5711),(1265,5825,1.5977,1.5475),(1265,5835,1.6227,1.5239),(1265,5845,1.6474,1.5004),(1265,5855,1.6721,1.4769),(1265,5865,1.696,1.4535),(1265,5875,1.7193,1.43),(1265,5885,1.7426,1.4067),(1265,5895,1.7653,1.3834),(1265,5905,1.7872,1.3601),(1265,5915,1.809,1.337),(1265,5925,1.8305,1.314),(1265,5935,1.8509,1.291),(1265,5945,1.8713,1.2681),(1265,5955,1.8917,1.2454),(1265,5965,1.9112,1.2227),(1265,5975,1.9307,1.2002),(1265,5985,1.9503,1.1778),(1265,5995,1.494,1.1554),(1265,6005,0.96105,1.1383),(1265,6015,0.42813,1.1355),(1265,6025,0.38466,1.1326),(1265,6035,0.5682,1.1287),(1265,6045,0.75173,1.1149),(1265,6055,0.88884,1.1012),(1265,6065,0.98044,1.0874),(1265,6075,1.072,1.0691),(1265,6085,1.1355,1.0505),(1265,6095,1.1411,1.0318),(1265,6105,1.1467,1.013),(1265,6115,1.1522,0.9942),(1265,6125,1.1575,0.97537),(1265,6135,1.1628,0.95648),(1265,6145,1.1681,0.93754),(1265,6155,1.1731,0.9186),(1265,6165,1.1781,0.89948),(1265,6175,1.1831,0.88007),(1265,6185,1.1878,0.86066),(1265,6195,1.1925,0.84123),(1265,6205,1.1972,0.82176),(1265,6215,1.2017,0.80228),(1265,6225,1.206,0.7828),(1265,6235,1.2104,0.76318),(1265,6245,1.2146,0.74356),(1265,6255,1.2186,0.72394),(1265,6265,1.2226,0.70429),(1265,6275,1.2265,0.68464),(1265,6285,1.2302,0.66499),(1265,6295,1.2338,0.64518),(1265,6305,1.2375,0.62528),(1265,6315,1.2408,0.60539),(1265,6325,1.2441,0.58533),(1265,6335,1.2474,0.5651),(1265,6345,1.2504,0.54487),(1265,6355,1.2534,0.52466),(1265,6365,1.2564,0.50446),(1265,6375,1.2591,0.48427),(1265,6385,1.2617,0.46405),(1265,6395,1.2644,0.44374),(1265,6405,1.2668,0.42342),(1265,6415,1.269,0.4031),(1265,6425,1.2712,0.38259),(1265,6435,1.2733,0.36207),(1265,6445,1.2752,0.34155),(1265,6455,1.2771,0.32108),(1265,6465,1.2789,0.30062),(1265,6475,1.2804,0.28016),(1265,6485,1.282,0.25967),(1265,6495,1.2836,0.23914),(1265,6505,1.2848,0.21862),(1265,6515,1.286,0.198),(1265,6525,1.2872,0.17725),(1265,6535,1.2881,0.15651),(1265,6545,1.2889,0.13578),(1265,6555,1.2898,0.1151),(1265,6565,1.2903,0.09442),(1265,6575,1.2907,0.073744),(1265,6585,1.2911,0.053143),(1265,6595,1.0983,0.032542),(1265,6605,0.69208,0.01194),(1265,6615,0.28591,0.009593),(1265,6625,0.000375,0.00959),(1265,6635,0.000377,0.009588),(1265,6645,0.00038,0.009582),(1265,6655,0.000382,0.009575),(1265,6665,0.000384,0.009568),(1265,6675,0.000386,0.00956),(1265,6685,0.000389,0.009553),(1265,6695,0.000391,0.009546),(1265,6705,0.000393,0.009538),(1265,6715,0.000395,0.009531),(1265,6725,0.000397,0.009524),(1265,6735,0.000399,0.009517),(1265,6745,0.000401,0.009509),(1265,6755,0.000403,0.009502),(1265,6765,0.000405,0.009494),(1265,6775,0.000407,0.009487),(1265,6785,0.000409,0.009479),(1265,6795,0.000411,0.009472),(1265,6805,0.000413,0.009464),(1265,6815,0.000415,0.009457),(1265,6825,0.000417,0.009449),(1265,6835,0.000419,0.009442),(1265,6845,0.00042,0.009434),(1265,6855,0.000422,0.009427),(1265,6865,0.000424,0.009419),(1265,6875,0.000426,0.009411),(1265,6885,0.000427,0.009404),(1265,6895,0.000429,0.009396),(1265,6905,0.000431,0.009388),(1265,6915,0.000432,0.009381),(1265,6925,0.000434,0.009373),(1265,6935,0.000435,0.009365),(1265,6945,0.000437,0.009357),(1265,6955,0.000438,0.00935),(1265,6965,0.00044,0.009342),(1265,6975,0.000442,0.009334),(1265,6985,0.000443,0.009326),(1275,5,5.4e-05,3.6724),(1275,15,0.000163,3.6724),(1275,25,0.000271,3.6724),(1275,35,0.00038,3.6724),(1275,45,0.000488,3.6724),(1275,55,0.000597,3.6724),(1275,65,0.000705,3.6724),(1275,75,0.000814,3.6724),(1275,85,0.000923,3.6724),(1275,95,0.001032,3.6723),(1275,105,0.001141,3.6723),(1275,115,0.001251,3.6723),(1275,125,0.00136,3.6723),(1275,135,0.001469,3.6723),(1275,145,0.001579,3.6723),(1275,155,0.001689,3.6722),(1275,165,0.001799,3.6722),(1275,175,0.001909,3.6722),(1275,185,0.00202,3.6722),(1275,195,0.002131,3.6721),(1275,205,0.002242,3.6721),(1275,215,0.002353,3.6721),(1275,225,0.002464,3.6721),(1275,235,0.002577,3.672),(1275,245,0.002689,3.672),(1275,255,0.002801,3.672),(1275,265,0.002914,3.6719),(1275,275,0.003028,3.6719),(1275,285,0.003141,3.6719),(1275,295,0.003255,3.6718),(1275,305,0.00337,3.6718),(1275,315,0.003485,3.6717),(1275,325,0.0036,3.6717),(1275,335,0.003715,3.6716),(1275,345,0.003831,3.6716),(1275,355,0.003948,3.6715),(1275,365,0.004065,3.6715),(1275,375,0.004182,3.6714),(1275,385,0.0043,3.6714),(1275,395,0.004419,3.6713),(1275,405,0.004538,3.6713),(1275,415,0.004657,3.6712),(1275,425,0.004777,3.6712),(1275,435,0.004899,3.6711),(1275,445,0.005019,3.671),(1275,455,0.00514,3.671),(1275,465,0.005264,3.6709),(1275,475,0.005387,3.6709),(1275,485,0.00551,3.6708),(1275,495,0.005634,3.6707),(1275,505,0.00576,3.6706),(1275,515,0.005886,3.6706),(1275,525,0.006012,3.6705),(1275,535,0.006138,3.6704),(1275,545,0.006267,3.6703),(1275,555,0.006396,3.6703),(1275,565,0.006524,3.6702),(1275,575,0.006653,3.6701),(1275,585,0.006785,3.67),(1275,595,0.006917,3.6699),(1275,605,0.007049,3.6698),(1275,615,0.007181,3.6697),(1275,625,0.007316,3.6697),(1275,635,0.007451,3.6696),(1275,645,0.007587,3.6695),(1275,655,0.007722,3.6694),(1275,665,0.007861,3.6693),(1275,675,0.008,3.6692),(1275,685,0.008138,3.6691),(1275,695,0.008278,3.669),(1275,705,0.00842,3.6689),(1275,715,0.008562,3.6688),(1275,725,0.008705,3.6686),(1275,735,0.008848,3.6685),(1275,745,0.008994,3.6684),(1275,755,0.00914,3.6683),(1275,765,0.009286,3.6682),(1275,775,0.009434,3.6681),(1275,785,0.009584,3.668),(1275,795,0.009734,3.6678),(1275,805,0.009885,3.6677),(1275,815,0.010036,3.6676),(1275,825,0.010191,3.6674),(1275,835,0.010346,3.6673),(1275,845,0.010501,3.6672),(1275,855,0.010657,3.667),(1275,865,0.010816,3.6669),(1275,875,0.010975,3.6668),(1275,885,0.011134,3.6666),(1275,895,0.011295,3.6665),(1275,905,0.011459,3.6663),(1275,915,0.011623,3.6662),(1275,925,0.011787,3.666),(1275,935,0.011953,3.6659),(1275,945,0.012122,3.6657),(1275,955,0.012291,3.6656),(1275,965,0.01246,3.6654),(1275,975,0.012632,3.6652),(1275,985,0.012806,3.6651),(1275,995,0.012981,3.6649),(1275,1005,0.013155,3.6647),(1275,1015,0.013332,3.6646),(1275,1025,0.013511,3.6644),(1275,1035,0.013691,3.6642),(1275,1045,0.013871,3.664),(1275,1055,0.014053,3.6639),(1275,1065,0.014239,3.6637),(1275,1075,0.014424,3.6635),(1275,1085,0.014609,3.6633),(1275,1095,0.014797,3.6631),(1275,1105,0.014988,3.6629),(1275,1115,0.015179,3.6627),(1275,1125,0.01537,3.6625),(1275,1135,0.015565,3.6623),(1275,1145,0.015762,3.6621),(1275,1155,0.015959,3.6619),(1275,1165,0.016156,3.6617),(1275,1175,0.016357,3.6615),(1275,1185,0.01656,3.6612),(1275,1195,0.016763,3.661),(1275,1205,0.016966,3.6608),(1275,1215,0.017174,3.6606),(1275,1225,0.017384,3.6603),(1275,1235,0.017593,3.6601),(1275,1245,0.017803,3.6599),(1275,1255,0.018017,3.6596),(1275,1265,0.018233,3.6594),(1275,1275,0.018449,3.6591),(1275,1285,0.018665,3.6589),(1275,1295,0.018886,3.6586),(1275,1305,0.019109,3.6584),(1275,1315,0.019331,3.6581),(1275,1325,0.019554,3.6579),(1275,1335,0.019782,3.6576),(1275,1345,0.020011,3.6573),(1275,1355,0.020241,3.6571),(1275,1365,0.02047,3.6568),(1275,1375,0.020705,3.6565),(1275,1385,0.020942,3.6562),(1275,1395,0.021178,3.6559),(1275,1405,0.021414,3.6556),(1275,1415,0.021657,3.6553),(1275,1425,0.0219,3.655),(1275,1435,0.022143,3.6547),(1275,1445,0.022387,3.6544),(1275,1455,0.022637,3.6541),(1275,1465,0.022887,3.6538),(1275,1475,0.023137,3.6535),(1275,1485,0.023388,3.6532),(1275,1495,0.023645,3.6528),(1275,1505,0.023903,3.6525),(1275,1515,0.02416,3.6522),(1275,1525,0.024418,3.6518),(1275,1535,0.024683,3.6515),(1275,1545,0.024948,3.6511),(1275,1555,0.025212,3.6508),(1275,1565,0.025478,3.6504),(1275,1575,0.02575,3.6501),(1275,1585,0.026022,3.6497),(1275,1595,0.026294,3.6493),(1275,1605,0.026567,3.649),(1275,1615,0.026846,3.6486),(1275,1625,0.027125,3.6482),(1275,1635,0.027405,3.6478),(1275,1645,0.027685,3.6474),(1275,1655,0.027971,3.647),(1275,1665,0.028258,3.6466),(1275,1675,0.028544,3.6462),(1275,1685,0.028832,3.6458),(1275,1695,0.029126,3.6454),(1275,1705,0.029419,3.645),(1275,1715,0.029713,3.6446),(1275,1725,0.030008,3.6441),(1275,1735,0.030309,3.6437),(1275,1745,0.03061,3.6433),(1275,1755,0.030911,3.6428),(1275,1765,0.031213,3.6424),(1275,1775,0.031521,3.6419),(1275,1785,0.031829,3.6414),(1275,1795,0.032137,3.641),(1275,1805,0.032447,3.6405),(1275,1815,0.032761,3.64),(1275,1825,0.033076,3.6395),(1275,1835,0.033391,3.6391),(1275,1845,0.033707,3.6386),(1275,1855,0.034029,3.6381),(1275,1865,0.03435,3.6376),(1275,1875,0.034671,3.637),(1275,1885,0.034995,3.6365),(1275,1895,0.035322,3.636),(1275,1905,0.03565,3.6355),(1275,1915,0.035977,3.635),(1275,1925,0.036307,3.6344),(1275,1935,0.036641,3.6339),(1275,1945,0.036974,3.6333),(1275,1955,0.037308,3.6328),(1275,1965,0.037644,3.6322),(1275,1975,0.037983,3.6316),(1275,1985,0.038322,3.6311),(1275,1995,0.038662,3.6305),(1275,2005,0.039004,3.6299),(1275,2015,0.039349,3.6293),(1275,2025,0.039694,3.6287),(1275,2035,0.040038,3.6281),(1275,2045,0.040386,3.6275),(1275,2055,0.040736,3.6269),(1275,2065,0.041086,3.6262),(1275,2075,0.041436,3.6256),(1275,2085,0.041788,3.625),(1275,2095,0.042142,3.6243),(1275,2105,0.042497,3.6237),(1275,2115,0.042851,3.623),(1275,2125,0.043208,3.6224),(1275,2135,0.043566,3.6217),(1275,2145,0.043925,3.621),(1275,2155,0.044283,3.6203),(1275,2165,0.044643,3.6196),(1275,2175,0.045005,3.6189),(1275,2185,0.045366,3.6182),(1275,2195,0.045728,3.6175),(1275,2205,0.046092,3.6168),(1275,2215,0.046456,3.6161),(1275,2225,0.04682,3.6154),(1275,2235,0.047185,3.6146),(1275,2245,0.047551,3.6139),(1275,2255,0.047917,3.6131),(1275,2265,0.048284,3.6124),(1275,2275,0.048651,3.6116),(1275,2285,0.049018,3.6108),(1275,2295,0.049386,3.6101),(1275,2305,0.049754,3.6093),(1275,2315,0.050122,3.6085),(1275,2325,0.05049,3.6077),(1275,2335,0.050858,3.6069),(1275,2345,0.051227,3.606),(1275,2355,0.051595,3.6052),(1275,2365,0.051963,3.6044),(1275,2375,0.052331,3.6036),(1275,2385,0.052698,3.6027),(1275,2395,0.053066,3.6019),(1275,2405,0.053433,3.601),(1275,2415,0.0538,3.6002),(1275,2425,0.054166,3.5993),(1275,2435,0.054533,3.5984),(1275,2445,0.054898,3.5975),(1275,2455,0.055262,3.5966),(1275,2465,0.055627,3.5957),(1275,2475,0.055992,3.5948),(1275,2485,0.056353,3.5939),(1275,2495,0.056714,3.593),(1275,2505,0.057076,3.5921),(1275,2515,0.057437,3.5911),(1275,2525,0.057794,3.5902),(1275,2535,0.05815,3.5893),(1275,2545,0.058507,3.5883),(1275,2555,0.058864,3.5873),(1275,2565,0.059215,3.5864),(1275,2575,0.059566,3.5854),(1275,2585,0.059917,3.5844),(1275,2595,0.060267,3.5834),(1275,2605,0.060611,3.5824),(1275,2615,0.060955,3.5814),(1275,2625,0.0613,3.5804),(1275,2635,0.061643,3.5794),(1275,2645,0.061979,3.5784),(1275,2655,0.062315,3.5774),(1275,2665,0.062651,3.5763),(1275,2675,0.062986,3.5753),(1275,2685,0.063313,3.5742),(1275,2695,0.06364,3.5732),(1275,2705,0.063966,3.5721),(1275,2715,0.064291,3.571),(1275,2725,0.064607,3.57),(1275,2735,0.064923,3.5689),(1275,2745,0.065239,3.5678),(1275,2755,0.065551,3.5667),(1275,2765,0.065855,3.5656),(1275,2775,0.066158,3.5645),(1275,2785,0.066462,3.5634),(1275,2795,0.066761,3.5623),(1275,2805,0.067051,3.5612),(1275,2815,0.067341,3.5601),(1275,2825,0.067631,3.559),(1275,2835,0.067915,3.5578),(1275,2845,0.068189,3.5567),(1275,2855,0.068463,3.5555),(1275,2865,0.068738,3.5544),(1275,2875,0.069005,3.5532),(1275,2885,0.069262,3.5521),(1275,2895,0.069519,3.5509),(1275,2905,0.069776,3.5498),(1275,2915,0.070025,3.5486),(1275,2925,0.070264,3.5474),(1275,2935,0.070502,3.5463),(1275,2945,0.07074,3.5451),(1275,2955,0.070969,3.5439),(1275,2965,0.071187,3.5427),(1275,2975,0.071404,3.5415),(1275,2985,0.071622,3.5403),(1275,2995,0.071829,3.5391),(1275,3005,0.072024,3.5379),(1275,3015,0.07222,3.5367),(1275,3025,0.072415,3.5355),(1275,3035,0.072597,3.5343),(1275,3045,0.072768,3.5331),(1275,3055,0.072939,3.5319),(1275,3065,0.07311,3.5307),(1275,3075,0.073266,3.5294),(1275,3085,0.073411,3.5282),(1275,3095,0.073555,3.527),(1275,3105,0.073699,3.5258),(1275,3115,0.073827,3.5245),(1275,3125,0.073942,3.5233),(1275,3135,0.074058,3.5221),(1275,3145,0.074174,3.5209),(1275,3155,0.07427,3.5196),(1275,3165,0.074356,3.5184),(1275,3175,0.074441,3.5172),(1275,3185,0.074526,3.516),(1275,3195,0.074589,3.5147),(1275,3205,0.074642,3.5135),(1275,3215,0.074694,3.5123),(1275,3225,0.074747,3.5111),(1275,3235,0.074774,3.5098),(1275,3245,0.074792,3.5086),(1275,3255,0.074809,3.5074),(1275,3265,0.074827,3.5062),(1275,3275,0.074815,3.5049),(1275,3285,0.074795,3.5037),(1275,3295,0.074775,3.5025),(1275,3305,0.074755,3.5013),(1275,3315,0.074703,3.5001),(1275,3325,0.074642,3.4989),(1275,3335,0.074582,3.4977),(1275,3345,0.074522,3.4965),(1275,3355,0.074426,3.4953),(1275,3365,0.074323,3.4941),(1275,3375,0.07422,3.4929),(1275,3385,0.074117,3.4917),(1275,3395,0.073973,3.4905),(1275,3405,0.073825,3.4893),(1275,3415,0.073677,3.4882),(1275,3425,0.073528,3.487),(1275,3435,0.073335,3.4858),(1275,3445,0.073139,3.4847),(1275,3455,0.072942,3.4835),(1275,3465,0.072746,3.4824),(1275,3475,0.0725,3.4812),(1275,3485,0.072252,3.4801),(1275,3495,0.072004,3.4789),(1275,3505,0.071757,3.4778),(1275,3515,0.071455,3.4767),(1275,3525,0.071153,3.4756),(1275,3535,0.070852,3.4745),(1275,3545,0.070547,3.4734),(1275,3555,0.070188,3.4723),(1275,3565,0.06983,3.4712),(1275,3575,0.069471,3.4701),(1275,3585,0.069107,3.469),(1275,3595,0.068688,3.468),(1275,3605,0.068269,3.4669),(1275,3615,0.06785,3.4659),(1275,3625,0.067423,3.4648),(1275,3635,0.066941,3.4638),(1275,3645,0.066459,3.4628),(1275,3655,0.065977,3.4618),(1275,3665,0.065484,3.4607),(1275,3675,0.064935,3.4597),(1275,3685,0.064387,3.4587),(1275,3695,0.063839,3.4578),(1275,3705,0.063276,3.4568),(1275,3715,0.062658,3.4558),(1275,3725,0.06204,3.4549),(1275,3735,0.061423,3.4539),(1275,3745,0.060787,3.453),(1275,3755,0.060097,3.452),(1275,3765,0.059406,3.4511),(1275,3775,0.058716,3.4502),(1275,3785,0.058004,3.4493),(1275,3795,0.057237,3.4484),(1275,3805,0.05647,3.4475),(1275,3815,0.055704,3.4467),(1275,3825,0.054911,3.4458),(1275,3835,0.054064,3.4449),(1275,3845,0.053216,3.4441),(1275,3855,0.052369,3.4433),(1275,3865,0.051491,3.4425),(1275,3875,0.050557,3.4416),(1275,3885,0.049624,3.4408),(1275,3895,0.048691,3.44),(1275,3905,0.05652,3.4393),(1275,3915,0.07744,3.4385),(1275,3925,0.09836,3.4372),(1275,3935,0.11928,3.4353),(1275,3945,0.14328,3.4333),(1275,3955,0.17119,3.4314),(1275,3965,0.1991,3.4287),(1275,3975,0.22701,3.4251),(1275,3985,0.24414,3.4215),(1275,3995,0.24963,3.418),(1275,4005,0.25511,3.4142),(1275,4015,0.26059,3.4103),(1275,4025,0.26548,3.4063),(1275,4035,0.27032,3.4022),(1275,4045,0.27515,3.398),(1275,4055,0.27935,3.3937),(1275,4065,0.28331,3.3894),(1275,4075,0.28727,3.3849),(1275,4085,0.29057,3.3804),(1275,4095,0.29334,3.3759),(1275,4105,0.29612,3.3711),(1275,4115,0.28742,3.3663),(1275,4125,0.2597,3.3615),(1275,4135,0.23198,3.3577),(1275,4145,0.20341,3.3541),(1275,4155,0.17142,3.3505),(1275,4165,0.13944,3.3479),(1275,4175,0.1092,3.3458),(1275,4185,0.16567,3.3437),(1275,4195,0.22214,3.3402),(1275,4205,0.27861,3.3349),(1275,4215,0.27739,3.3295),(1275,4225,0.26532,3.3242),(1275,4235,0.25325,3.3193),(1275,4245,0.2335,3.3143),(1275,4255,0.20985,3.3095),(1275,4265,0.18621,3.3058),(1275,4275,0.15452,3.3022),(1275,4285,0.11431,3.2985),(1275,4295,0.074088,3.2973),(1275,4305,0.066457,3.2963),(1275,4315,0.13241,3.2954),(1275,4325,0.19836,3.2905),(1275,4335,0.25713,3.2842),(1275,4345,0.26736,3.2779),(1275,4355,0.27759,3.2712),(1275,4365,0.28782,3.2644),(1275,4375,0.28911,3.2575),(1275,4385,0.28993,3.2508),(1275,4395,0.29075,3.2448),(1275,4405,0.25231,3.2387),(1275,4415,0.20229,3.2333),(1275,4425,0.15228,3.2312),(1275,4435,0.1355,3.2292),(1275,4445,0.14143,3.2271),(1275,4455,0.14735,3.2246),(1275,4465,0.18285,3.222),(1275,4475,0.25988,3.2195),(1275,4485,0.33692,3.2134),(1275,4495,0.39883,3.2065),(1275,4505,0.41223,3.1996),(1275,4515,0.42564,3.1919),(1275,4525,0.43801,3.1839),(1275,4535,0.43414,3.1759),(1275,4545,0.43027,3.1677),(1275,4555,0.4264,3.1595),(1275,4565,0.31437,3.1513),(1275,4575,0.18775,3.1453),(1275,4585,0.061138,3.1445),(1275,4595,0.056776,3.1437),(1275,4605,0.10407,3.1425),(1275,4615,0.15136,3.1385),(1275,4625,0.20318,3.1345),(1275,4635,0.25911,3.1304),(1275,4645,0.31503,3.1244),(1275,4655,0.36859,3.1183),(1275,4665,0.41769,3.1122),(1275,4675,0.46678,3.1046),(1275,4685,0.48998,3.0967),(1275,4695,0.38523,3.0887),(1275,4705,0.28047,3.0835),(1275,4715,0.17572,3.0804),(1275,4725,0.23389,3.0773),(1275,4735,0.29369,3.0727),(1275,4745,0.35348,3.066),(1275,4755,0.43731,3.0593),(1275,4765,0.5267,3.0517),(1275,4775,0.61609,3.0409),(1275,4785,0.66538,3.0301),(1275,4795,0.6915,3.0192),(1275,4805,0.71761,3.0081),(1275,4815,0.70172,2.997),(1275,4825,0.63561,2.9859),(1275,4835,0.5695,2.9779),(1275,4845,0.49142,2.9705),(1275,4855,0.38211,2.963),(1275,4865,0.2728,2.958),(1275,4875,0.19074,2.9542),(1275,4885,0.35658,2.9503),(1275,4895,0.52243,2.9413),(1275,4905,0.68827,2.9272),(1275,4915,0.6914,2.9132),(1275,4925,0.68054,2.8995),(1275,4935,0.66968,2.8865),(1275,4945,0.61349,2.8735),(1275,4955,0.54158,2.8612),(1275,4965,0.46968,2.8526),(1275,4975,0.3659,2.8441),(1275,4985,0.23752,2.8355),(1275,4995,0.10914,2.8346),(1275,5005,0.10792,2.8338),(1275,5015,0.30887,2.8331),(1275,5025,0.50982,2.8232),(1275,5035,0.68868,2.8111),(1275,5045,0.7834,2.7989),(1275,5055,0.87811,2.7845),(1275,5065,0.97088,2.7689),(1275,5075,0.99988,2.7532),(1275,5085,1.0289,2.7377),(1275,5095,1.0579,2.7224),(1275,5105,0.93579,2.7072),(1275,5115,0.78735,2.6939),(1275,5125,0.63891,2.6862),(1275,5135,0.53905,2.6785),(1275,5145,0.46276,2.6709),(1275,5155,0.38648,2.6641),(1275,5165,0.44979,2.6574),(1275,5175,0.65547,2.6506),(1275,5185,0.86115,2.6346),(1275,5195,1.0115,2.6176),(1275,5205,1.0427,2.6006),(1275,5215,1.0739,2.5838),(1275,5225,1.0988,2.5671),(1275,5235,1.085,2.5505),(1275,5245,1.0713,2.5351),(1275,5255,1.0575,2.5208),(1275,5265,0.73878,2.5065),(1275,5275,0.4075,2.4974),(1275,5285,0.076221,2.4972),(1275,5295,0.14003,2.497),(1275,5305,0.31387,2.4943),(1275,5315,0.4877,2.4815),(1275,5325,0.63869,2.4686),(1275,5335,0.7747,2.4556),(1275,5345,0.91072,2.4383),(1275,5355,1.017,2.4209),(1275,5365,1.0831,2.4036),(1275,5375,1.1493,2.3863),(1275,5385,1.1319,2.369),(1275,5395,0.86076,2.3518),(1275,5405,0.58958,2.343),(1275,5415,0.3377,2.3386),(1275,5425,0.3452,2.3343),(1275,5435,0.35269,2.3276),(1275,5445,0.36019,2.3185),(1275,5455,0.43781,2.3093),(1275,5465,0.524,2.2982),(1275,5475,0.61019,2.2825),(1275,5485,0.65239,2.2668),(1275,5495,0.67687,2.2509),(1275,5505,0.70136,2.2339),(1275,5515,0.72734,2.2168),(1275,5525,0.75463,2.1998),(1275,5535,0.78192,2.1815),(1275,5545,0.80966,2.1632),(1275,5555,0.83821,2.1449),(1275,5565,0.86676,2.1256),(1275,5575,0.89543,2.1059),(1275,5585,0.92464,2.0863),(1275,5595,0.95384,2.066),(1275,5605,0.98304,2.0453),(1275,5615,1.0126,2.0245),(1275,5625,1.0422,2.0034),(1275,5635,1.0718,1.9818),(1275,5645,1.1014,1.9601),(1275,5655,1.1311,1.9383),(1275,5665,1.1607,1.9158),(1275,5675,1.1902,1.8933),(1275,5685,1.2196,1.8707),(1275,5695,1.249,1.8478),(1275,5705,1.2782,1.8248),(1275,5715,1.3071,1.8018),(1275,5725,1.336,1.7786),(1275,5735,1.3646,1.7553),(1275,5745,1.3927,1.732),(1275,5755,1.4208,1.7085),(1275,5765,1.4487,1.685),(1275,5775,1.4758,1.6614),(1275,5785,1.5028,1.6379),(1275,5795,1.5298,1.6143),(1275,5805,1.5557,1.5908),(1275,5815,1.5816,1.5672),(1275,5825,1.6074,1.5438),(1275,5835,1.6322,1.5204),(1275,5845,1.6567,1.497),(1275,5855,1.6812,1.4737),(1275,5865,1.7049,1.4504),(1275,5875,1.7279,1.4271),(1275,5885,1.751,1.404),(1275,5895,1.7735,1.3808),(1275,5905,1.7951,1.3577),(1275,5915,1.8167,1.3348),(1275,5925,1.838,1.3119),(1275,5935,1.8582,1.2891),(1275,5945,1.8784,1.2664),(1275,5955,1.8985,1.2439),(1275,5965,1.9178,1.2214),(1275,5975,1.9371,1.199),(1275,5985,1.9565,1.1768),(1275,5995,1.4986,1.1546),(1275,6005,0.96401,1.1377),(1275,6015,0.42938,1.1348),(1275,6025,0.38666,1.132),(1275,6035,0.57208,1.1281),(1275,6045,0.75751,1.1144),(1275,6055,0.89592,1.1006),(1275,6065,0.98824,1.0868),(1275,6075,1.0806,1.0686),(1275,6085,1.1445,1.0499),(1275,6095,1.1502,1.0312),(1275,6105,1.1558,1.0124),(1275,6115,1.1613,0.99362),(1275,6125,1.1667,0.97479),(1275,6135,1.1721,0.9559),(1275,6145,1.1774,0.93695),(1275,6155,1.1824,0.918),(1275,6165,1.1874,0.89888),(1275,6175,1.1925,0.87948),(1275,6185,1.1972,0.86008),(1275,6195,1.2019,0.84067),(1275,6205,1.2066,0.82119),(1275,6215,1.2111,0.80172),(1275,6225,1.2155,0.78224),(1275,6235,1.2199,0.76263),(1275,6245,1.2241,0.74302),(1275,6255,1.2281,0.7234),(1275,6265,1.2322,0.70376),(1275,6275,1.2361,0.68412),(1275,6285,1.2398,0.66448),(1275,6295,1.2435,0.64467),(1275,6305,1.2471,0.62478),(1275,6315,1.2505,0.6049),(1275,6325,1.2538,0.58485),(1275,6335,1.2571,0.56465),(1275,6345,1.2602,0.54445),(1275,6355,1.2632,0.52425),(1275,6365,1.2662,0.50406),(1275,6375,1.2689,0.48388),(1275,6385,1.2715,0.46368),(1275,6395,1.2742,0.44336),(1275,6405,1.2766,0.42304),(1275,6415,1.2788,0.40272),(1275,6425,1.2811,0.38223),(1275,6435,1.2832,0.36172),(1275,6445,1.2851,0.34122),(1275,6455,1.2869,0.32078),(1275,6465,1.2888,0.30035),(1275,6475,1.2903,0.27992),(1275,6485,1.2919,0.25945),(1275,6495,1.2934,0.23896),(1275,6505,1.2946,0.21846),(1275,6515,1.2959,0.19787),(1275,6525,1.2971,0.17714),(1275,6535,1.298,0.15642),(1275,6545,1.2988,0.13571),(1275,6555,1.2997,0.11504),(1275,6565,1.3002,0.094371),(1275,6575,1.3006,0.073707),(1275,6585,1.3011,0.053114),(1275,6595,1.1067,0.032522),(1275,6605,0.69743,0.01193),(1275,6615,0.28812,0.009586),(1275,6625,0.000379,0.009588),(1275,6635,0.000381,0.00959),(1275,6645,0.000384,0.009585),(1275,6655,0.000386,0.009577),(1275,6665,0.000388,0.00957),(1275,6675,0.00039,0.009563),(1275,6685,0.000393,0.009555),(1275,6695,0.000395,0.009548),(1275,6705,0.000397,0.009541),(1275,6715,0.000399,0.009533),(1275,6725,0.000401,0.009526),(1275,6735,0.000403,0.009519),(1275,6745,0.000405,0.009511),(1275,6755,0.000407,0.009504),(1275,6765,0.000409,0.009496),(1275,6775,0.000411,0.009489),(1275,6785,0.000413,0.009481),(1275,6795,0.000415,0.009474),(1275,6805,0.000417,0.009466),(1275,6815,0.000419,0.009459),(1275,6825,0.000421,0.009451),(1275,6835,0.000423,0.009444),(1275,6845,0.000424,0.009436),(1275,6855,0.000426,0.009428),(1275,6865,0.000428,0.009421),(1275,6875,0.00043,0.009413),(1275,6885,0.000431,0.009405),(1275,6895,0.000433,0.009398),(1275,6905,0.000435,0.00939),(1275,6915,0.000436,0.009382),(1275,6925,0.000438,0.009374),(1275,6935,0.000439,0.009367),(1275,6945,0.000441,0.009359),(1275,6955,0.000443,0.009351),(1275,6965,0.000444,0.009343),(1275,6975,0.000446,0.009335),(1275,6985,0.000447,0.009328),(1285,5,5.4e-05,3.6725),(1285,15,0.000163,3.6725),(1285,25,0.000272,3.6725),(1285,35,0.000381,3.6725),(1285,45,0.00049,3.6725),(1285,55,0.000599,3.6725),(1285,65,0.000708,3.6725),(1285,75,0.000818,3.6725),(1285,85,0.000927,3.6725),(1285,95,0.001036,3.6724),(1285,105,0.001146,3.6724),(1285,115,0.001256,3.6724),(1285,125,0.001365,3.6724),(1285,135,0.001475,3.6724),(1285,145,0.001585,3.6724),(1285,155,0.001696,3.6723),(1285,165,0.001806,3.6723),(1285,175,0.001917,3.6723),(1285,185,0.002028,3.6723),(1285,195,0.002139,3.6723),(1285,205,0.002251,3.6722),(1285,215,0.002362,3.6722),(1285,225,0.002475,3.6722),(1285,235,0.002587,3.6721),(1285,245,0.0027,3.6721),(1285,255,0.002812,3.6721),(1285,265,0.002926,3.672),(1285,275,0.00304,3.672),(1285,285,0.003154,3.672),(1285,295,0.003268,3.6719),(1285,305,0.003383,3.6719),(1285,315,0.003499,3.6718),(1285,325,0.003615,3.6718),(1285,335,0.00373,3.6718),(1285,345,0.003847,3.6717),(1285,355,0.003965,3.6717),(1285,365,0.004082,3.6716),(1285,375,0.004199,3.6716),(1285,385,0.004318,3.6715),(1285,395,0.004438,3.6715),(1285,405,0.004557,3.6714),(1285,415,0.004676,3.6713),(1285,425,0.004797,3.6713),(1285,435,0.004919,3.6712),(1285,445,0.00504,3.6712),(1285,455,0.005162,3.6711),(1285,465,0.005286,3.671),(1285,475,0.00541,3.671),(1285,485,0.005534,3.6709),(1285,495,0.005658,3.6708),(1285,505,0.005784,3.6708),(1285,515,0.005911,3.6707),(1285,525,0.006037,3.6706),(1285,535,0.006164,3.6705),(1285,545,0.006293,3.6705),(1285,555,0.006423,3.6704),(1285,565,0.006552,3.6703),(1285,575,0.006682,3.6702),(1285,585,0.006814,3.6701),(1285,595,0.006947,3.6701),(1285,605,0.007079,3.67),(1285,615,0.007212,3.6699),(1285,625,0.007348,3.6698),(1285,635,0.007484,3.6697),(1285,645,0.00762,3.6696),(1285,655,0.007756,3.6695),(1285,665,0.007895,3.6694),(1285,675,0.008035,3.6693),(1285,685,0.008174,3.6692),(1285,695,0.008314,3.6691),(1285,705,0.008457,3.669),(1285,715,0.0086,3.6689),(1285,725,0.008743,3.6688),(1285,735,0.008887,3.6687),(1285,745,0.009034,3.6686),(1285,755,0.009181,3.6685),(1285,765,0.009328,3.6683),(1285,775,0.009476,3.6682),(1285,785,0.009627,3.6681),(1285,795,0.009778,3.668),(1285,805,0.009929,3.6679),(1285,815,0.010082,3.6677),(1285,825,0.010237,3.6676),(1285,835,0.010393,3.6675),(1285,845,0.010549,3.6673),(1285,855,0.010706,3.6672),(1285,865,0.010866,3.6671),(1285,875,0.011026,3.6669),(1285,885,0.011186,3.6668),(1285,895,0.011348,3.6666),(1285,905,0.011513,3.6665),(1285,915,0.011678,3.6664),(1285,925,0.011843,3.6662),(1285,935,0.01201,3.6661),(1285,945,0.01218,3.6659),(1285,955,0.012349,3.6657),(1285,965,0.012519,3.6656),(1285,975,0.012692,3.6654),(1285,985,0.012867,3.6653),(1285,995,0.013042,3.6651),(1285,1005,0.013218,3.6649),(1285,1015,0.013396,3.6648),(1285,1025,0.013577,3.6646),(1285,1035,0.013757,3.6644),(1285,1045,0.013938,3.6642),(1285,1055,0.014122,3.664),(1285,1065,0.014308,3.6639),(1285,1075,0.014494,3.6637),(1285,1085,0.014681,3.6635),(1285,1095,0.01487,3.6633),(1285,1105,0.015063,3.6631),(1285,1115,0.015255,3.6629),(1285,1125,0.015447,3.6627),(1285,1135,0.015643,3.6625),(1285,1145,0.015841,3.6623),(1285,1155,0.016039,3.6621),(1285,1165,0.016237,3.6619),(1285,1175,0.01644,3.6617),(1285,1185,0.016644,3.6615),(1285,1195,0.016849,3.6612),(1285,1205,0.017053,3.661),(1285,1215,0.017262,3.6608),(1285,1225,0.017473,3.6606),(1285,1235,0.017684,3.6603),(1285,1245,0.017895,3.6601),(1285,1255,0.018111,3.6598),(1285,1265,0.018328,3.6596),(1285,1275,0.018546,3.6594),(1285,1285,0.018763,3.6591),(1285,1295,0.018986,3.6589),(1285,1305,0.01921,3.6586),(1285,1315,0.019434,3.6583),(1285,1325,0.019658,3.6581),(1285,1335,0.019888,3.6578),(1285,1345,0.020119,3.6576),(1285,1355,0.02035,3.6573),(1285,1365,0.020581,3.657),(1285,1375,0.020818,3.6567),(1285,1385,0.021056,3.6565),(1285,1395,0.021294,3.6562),(1285,1405,0.021532,3.6559),(1285,1415,0.021776,3.6556),(1285,1425,0.022021,3.6553),(1285,1435,0.022266,3.655),(1285,1445,0.022512,3.6547),(1285,1455,0.022763,3.6544),(1285,1465,0.023016,3.6541),(1285,1475,0.023268,3.6537),(1285,1485,0.02352,3.6534),(1285,1495,0.02378,3.6531),(1285,1505,0.024039,3.6528),(1285,1515,0.024299,3.6524),(1285,1525,0.024558,3.6521),(1285,1535,0.024825,3.6518),(1285,1545,0.025092,3.6514),(1285,1555,0.025359,3.6511),(1285,1565,0.025627,3.6507),(1285,1575,0.025901,3.6503),(1285,1585,0.026175,3.65),(1285,1595,0.026449,3.6496),(1285,1605,0.026724,3.6492),(1285,1615,0.027006,3.6489),(1285,1625,0.027287,3.6485),(1285,1635,0.027569,3.6481),(1285,1645,0.027852,3.6477),(1285,1655,0.02814,3.6473),(1285,1665,0.028429,3.6469),(1285,1675,0.028718,3.6465),(1285,1685,0.029008,3.6461),(1285,1695,0.029304,3.6457),(1285,1705,0.029601,3.6453),(1285,1715,0.029897,3.6449),(1285,1725,0.030194,3.6444),(1285,1735,0.030498,3.644),(1285,1745,0.030801,3.6436),(1285,1755,0.031105,3.6431),(1285,1765,0.03141,3.6427),(1285,1775,0.03172,3.6422),(1285,1785,0.032031,3.6418),(1285,1795,0.032341,3.6413),(1285,1805,0.032654,3.6408),(1285,1815,0.032972,3.6403),(1285,1825,0.033289,3.6399),(1285,1835,0.033606,3.6394),(1285,1845,0.033926,3.6389),(1285,1855,0.03425,3.6384),(1285,1865,0.034574,3.6379),(1285,1875,0.034898,3.6374),(1285,1885,0.035225,3.6369),(1285,1895,0.035555,3.6363),(1285,1905,0.035886,3.6358),(1285,1915,0.036217,3.6353),(1285,1925,0.03655,3.6347),(1285,1935,0.036886,3.6342),(1285,1945,0.037223,3.6337),(1285,1955,0.03756,3.6331),(1285,1965,0.037899,3.6325),(1285,1975,0.038242,3.632),(1285,1985,0.038584,3.6314),(1285,1995,0.038927,3.6308),(1285,2005,0.039272,3.6302),(1285,2015,0.03962,3.6296),(1285,2025,0.039968,3.629),(1285,2035,0.040316,3.6284),(1285,2045,0.040667,3.6278),(1285,2055,0.04102,3.6272),(1285,2065,0.041374,3.6266),(1285,2075,0.041727,3.626),(1285,2085,0.042083,3.6253),(1285,2095,0.042441,3.6247),(1285,2105,0.042799,3.624),(1285,2115,0.043157,3.6234),(1285,2125,0.043517,3.6227),(1285,2135,0.043879,3.6221),(1285,2145,0.044241,3.6214),(1285,2155,0.044603,3.6207),(1285,2165,0.044967,3.62),(1285,2175,0.045332,3.6193),(1285,2185,0.045697,3.6186),(1285,2195,0.046062,3.6179),(1285,2205,0.04643,3.6172),(1285,2215,0.046798,3.6165),(1285,2225,0.047166,3.6157),(1285,2235,0.047534,3.615),(1285,2245,0.047904,3.6142),(1285,2255,0.048274,3.6135),(1285,2265,0.048645,3.6127),(1285,2275,0.049015,3.612),(1285,2285,0.049386,3.6112),(1285,2295,0.049758,3.6104),(1285,2305,0.05013,3.6096),(1285,2315,0.050501,3.6088),(1285,2325,0.050874,3.608),(1285,2335,0.051246,3.6072),(1285,2345,0.051618,3.6064),(1285,2355,0.05199,3.6056),(1285,2365,0.052362,3.6048),(1285,2375,0.052733,3.6039),(1285,2385,0.053105,3.6031),(1285,2395,0.053477,3.6022),(1285,2405,0.053847,3.6014),(1285,2415,0.054218,3.6005),(1285,2425,0.054588,3.5996),(1285,2435,0.054959,3.5988),(1285,2445,0.055327,3.5979),(1285,2455,0.055696,3.597),(1285,2465,0.056064,3.5961),(1285,2475,0.056433,3.5952),(1285,2485,0.056798,3.5943),(1285,2495,0.057163,3.5934),(1285,2505,0.057528,3.5924),(1285,2515,0.057893,3.5915),(1285,2525,0.058254,3.5905),(1285,2535,0.058614,3.5896),(1285,2545,0.058975,3.5886),(1285,2555,0.059335,3.5877),(1285,2565,0.05969,3.5867),(1285,2575,0.060045,3.5857),(1285,2585,0.060399,3.5848),(1285,2595,0.060753,3.5838),(1285,2605,0.061101,3.5828),(1285,2615,0.061449,3.5818),(1285,2625,0.061796,3.5808),(1285,2635,0.062143,3.5797),(1285,2645,0.062483,3.5787),(1285,2655,0.062822,3.5777),(1285,2665,0.063162,3.5766),(1285,2675,0.0635,3.5756),(1285,2685,0.06383,3.5746),(1285,2695,0.06416,3.5735),(1285,2705,0.06449,3.5724),(1285,2715,0.064818,3.5714),(1285,2725,0.065137,3.5703),(1285,2735,0.065456,3.5692),(1285,2745,0.065775,3.5681),(1285,2755,0.066091,3.567),(1285,2765,0.066398,3.5659),(1285,2775,0.066704,3.5648),(1285,2785,0.06701,3.5637),(1285,2795,0.067313,3.5626),(1285,2805,0.067605,3.5615),(1285,2815,0.067898,3.5604),(1285,2825,0.06819,3.5592),(1285,2835,0.068477,3.5581),(1285,2845,0.068754,3.557),(1285,2855,0.06903,3.5558),(1285,2865,0.069307,3.5547),(1285,2875,0.069577,3.5535),(1285,2885,0.069836,3.5524),(1285,2895,0.070095,3.5512),(1285,2905,0.070354,3.55),(1285,2915,0.070606,3.5488),(1285,2925,0.070846,3.5477),(1285,2935,0.071086,3.5465),(1285,2945,0.071326,3.5453),(1285,2955,0.071556,3.5441),(1285,2965,0.071776,3.5429),(1285,2975,0.071995,3.5417),(1285,2985,0.072214,3.5405),(1285,2995,0.072422,3.5393),(1285,3005,0.072618,3.5381),(1285,3015,0.072815,3.5369),(1285,3025,0.073011,3.5357),(1285,3035,0.073195,3.5345),(1285,3045,0.073367,3.5333),(1285,3055,0.073538,3.532),(1285,3065,0.07371,3.5308),(1285,3075,0.073866,3.5296),(1285,3085,0.074011,3.5284),(1285,3095,0.074156,3.5271),(1285,3105,0.074301,3.5259),(1285,3115,0.074428,3.5247),(1285,3125,0.074544,3.5234),(1285,3135,0.07466,3.5222),(1285,3145,0.074776,3.521),(1285,3155,0.074871,3.5197),(1285,3165,0.074956,3.5185),(1285,3175,0.075041,3.5173),(1285,3185,0.075126,3.516),(1285,3195,0.075188,3.5148),(1285,3205,0.075239,3.5136),(1285,3215,0.075291,3.5123),(1285,3225,0.075343,3.5111),(1285,3235,0.075369,3.5099),(1285,3245,0.075385,3.5086),(1285,3255,0.075401,3.5074),(1285,3265,0.075417,3.5062),(1285,3275,0.075404,3.5049),(1285,3285,0.075382,3.5037),(1285,3295,0.07536,3.5025),(1285,3305,0.075338,3.5013),(1285,3315,0.075284,3.5),(1285,3325,0.075221,3.4988),(1285,3335,0.075159,3.4976),(1285,3345,0.075097,3.4964),(1285,3355,0.074998,3.4952),(1285,3365,0.074892,3.494),(1285,3375,0.074786,3.4928),(1285,3385,0.074681,3.4916),(1285,3395,0.074535,3.4904),(1285,3405,0.074383,3.4892),(1285,3415,0.074232,3.488),(1285,3425,0.07408,3.4868),(1285,3435,0.073884,3.4856),(1285,3445,0.073684,3.4845),(1285,3455,0.073484,3.4833),(1285,3465,0.073285,3.4821),(1285,3475,0.073035,3.481),(1285,3485,0.072784,3.4798),(1285,3495,0.072533,3.4787),(1285,3505,0.072281,3.4775),(1285,3515,0.071976,3.4764),(1285,3525,0.07167,3.4753),(1285,3535,0.071365,3.4742),(1285,3545,0.071057,3.473),(1285,3555,0.070694,3.4719),(1285,3565,0.070331,3.4708),(1285,3575,0.069969,3.4697),(1285,3585,0.069601,3.4687),(1285,3595,0.069178,3.4676),(1285,3605,0.068755,3.4665),(1285,3615,0.068332,3.4654),(1285,3625,0.067901,3.4644),(1285,3635,0.067415,3.4633),(1285,3645,0.066929,3.4623),(1285,3655,0.066442,3.4612),(1285,3665,0.065945,3.4602),(1285,3675,0.065393,3.4592),(1285,3685,0.064841,3.4582),(1285,3695,0.064288,3.4572),(1285,3705,0.063722,3.4562),(1285,3715,0.0631,3.4552),(1285,3725,0.062478,3.4542),(1285,3735,0.061857,3.4533),(1285,3745,0.061218,3.4523),(1285,3755,0.060524,3.4514),(1285,3765,0.05983,3.4504),(1285,3775,0.059135,3.4495),(1285,3785,0.05842,3.4486),(1285,3795,0.05765,3.4477),(1285,3805,0.05688,3.4468),(1285,3815,0.05611,3.4459),(1285,3825,0.055314,3.445),(1285,3835,0.054463,3.4441),(1285,3845,0.053613,3.4432),(1285,3855,0.052763,3.4424),(1285,3865,0.051881,3.4416),(1285,3875,0.050946,3.4407),(1285,3885,0.05001,3.4399),(1285,3895,0.049074,3.4391),(1285,3905,0.056952,3.4383),(1285,3915,0.077997,3.4375),(1285,3925,0.099042,3.4361),(1285,3935,0.12009,3.4341),(1285,3945,0.14424,3.4321),(1285,3955,0.17234,3.4301),(1285,3965,0.20043,3.4273),(1285,3975,0.22853,3.4237),(1285,3985,0.2458,3.42),(1285,3995,0.25135,3.4164),(1285,4005,0.2569,3.4126),(1285,4015,0.26245,3.4086),(1285,4025,0.2674,3.4046),(1285,4035,0.27228,3.4005),(1285,4045,0.27717,3.3962),(1285,4055,0.28141,3.3919),(1285,4065,0.28542,3.3876),(1285,4075,0.28942,3.383),(1285,4085,0.29277,3.3784),(1285,4095,0.29559,3.3739),(1285,4105,0.29842,3.369),(1285,4115,0.28969,3.3641),(1285,4125,0.2618,3.3592),(1285,4135,0.23392,3.3553),(1285,4145,0.20518,3.3516),(1285,4155,0.17297,3.3479),(1285,4165,0.14076,3.3451),(1285,4175,0.11032,3.3429),(1285,4185,0.16736,3.3407),(1285,4195,0.2244,3.3372),(1285,4205,0.28144,3.3318),(1285,4215,0.28031,3.3264),(1285,4225,0.26823,3.3211),(1285,4235,0.25615,3.3162),(1285,4245,0.23625,3.3113),(1285,4255,0.21239,3.3065),(1285,4265,0.18853,3.3029),(1285,4275,0.15649,3.2993),(1285,4285,0.11576,3.2957),(1285,4295,0.075036,3.2945),(1285,4305,0.067406,3.2935),(1285,4315,0.13451,3.2925),(1285,4325,0.20162,3.2876),(1285,4335,0.26141,3.2811),(1285,4345,0.27173,3.2746),(1285,4355,0.28205,3.2679),(1285,4365,0.29237,3.261),(1285,4375,0.2934,3.254),(1285,4385,0.29396,3.2474),(1285,4395,0.29451,3.2413),(1285,4405,0.25535,3.2352),(1285,4415,0.20448,3.2299),(1285,4425,0.15361,3.2278),(1285,4435,0.13655,3.2258),(1285,4445,0.1426,3.2238),(1285,4455,0.14866,3.2213),(1285,4465,0.18453,3.2188),(1285,4475,0.26229,3.2162),(1285,4485,0.34005,3.2101),(1285,4495,0.40256,3.2031),(1285,4505,0.41616,3.1962),(1285,4515,0.42976,3.1885),(1285,4525,0.44232,3.1805),(1285,4535,0.4385,3.1724),(1285,4545,0.43467,3.1643),(1285,4555,0.43085,3.1561),(1285,4565,0.31775,3.1479),(1285,4575,0.18991,3.1419),(1285,4585,0.06207,3.1412),(1285,4595,0.057742,3.1404),(1285,4605,0.1056,3.1392),(1285,4615,0.15346,3.1353),(1285,4625,0.20564,3.1313),(1285,4635,0.26175,3.1274),(1285,4645,0.31786,3.1214),(1285,4655,0.3716,3.1152),(1285,4665,0.42086,3.109),(1285,4675,0.47012,3.1014),(1285,4685,0.49336,3.0932),(1285,4695,0.388,3.0851),(1285,4705,0.28264,3.0798),(1285,4715,0.17729,3.0765),(1285,4725,0.23603,3.0732),(1285,4735,0.29641,3.0686),(1285,4745,0.3568,3.0618),(1285,4755,0.44117,3.0551),(1285,4765,0.5311,3.0474),(1285,4775,0.62103,3.0365),(1285,4785,0.67046,3.0257),(1285,4795,0.69648,3.0147),(1285,4805,0.7225,3.0036),(1285,4815,0.7063,2.9924),(1285,4825,0.63963,2.9813),(1285,4835,0.57296,2.9734),(1285,4845,0.49439,2.966),(1285,4855,0.38482,2.9585),(1285,4865,0.27524,2.9536),(1285,4875,0.19311,2.9497),(1285,4885,0.36065,2.9458),(1285,4895,0.52819,2.9368),(1285,4905,0.69572,2.9227),(1285,4915,0.69878,2.9087),(1285,4925,0.68768,2.895),(1285,4935,0.67659,2.8819),(1285,4945,0.61978,2.8689),(1285,4955,0.54713,2.8566),(1285,4965,0.47447,2.848),(1285,4975,0.36965,2.8395),(1285,4985,0.24,2.8309),(1285,4995,0.11035,2.83),(1285,5005,0.10906,2.8292),(1285,5015,0.31181,2.8285),(1285,5025,0.51457,2.8187),(1285,5035,0.69493,2.8066),(1285,5045,0.78995,2.7945),(1285,5055,0.88497,2.7802),(1285,5065,0.97802,2.7646),(1285,5075,1.0067,2.7491),(1285,5085,1.0354,2.7337),(1285,5095,1.064,2.7185),(1285,5105,0.94099,2.7034),(1285,5115,0.79148,2.6902),(1285,5125,0.64196,2.6826),(1285,5135,0.54193,2.6749),(1285,5145,0.4659,2.6673),(1285,5155,0.38987,2.6606),(1285,5165,0.45401,2.6539),(1285,5175,0.6611,2.6471),(1285,5185,0.8682,2.6311),(1285,5195,1.0194,2.6142),(1285,5205,1.0503,2.5972),(1285,5215,1.0811,2.5805),(1285,5225,1.1057,2.5639),(1285,5235,1.0914,2.5473),(1285,5245,1.0771,2.5319),(1285,5255,1.0627,2.5177),(1285,5265,0.74247,2.5035),(1285,5275,0.40959,2.4944),(1285,5285,0.076708,2.4942),(1285,5295,0.14194,2.494),(1285,5305,0.31805,2.4914),(1285,5315,0.49415,2.4785),(1285,5325,0.64623,2.4656),(1285,5335,0.78255,2.4526),(1285,5345,0.91888,2.4353),(1285,5355,1.0251,2.4181),(1285,5365,1.0908,2.4008),(1285,5375,1.1565,2.3836),(1285,5385,1.1384,2.3665),(1285,5395,0.86551,2.3493),(1285,5405,0.59265,2.3406),(1285,5415,0.3393,2.3363),(1285,5425,0.34805,2.3319),(1285,5435,0.3568,2.3252),(1285,5445,0.36556,2.316),(1285,5455,0.44437,2.3067),(1285,5465,0.53174,2.2954),(1285,5475,0.61911,2.2795),(1285,5485,0.66179,2.2636),(1285,5495,0.68648,2.2476),(1285,5505,0.71116,2.2304),(1285,5515,0.73734,2.2131),(1285,5525,0.76483,2.1959),(1285,5535,0.79231,2.1775),(1285,5545,0.82023,2.1591),(1285,5555,0.84894,2.1406),(1285,5565,0.87765,2.1212),(1285,5575,0.90647,2.1014),(1285,5585,0.93578,2.0817),(1285,5595,0.9651,2.0613),(1285,5605,0.99441,2.0405),(1285,5615,1.0241,2.0196),(1285,5625,1.0537,1.9985),(1285,5635,1.0833,1.9768),(1285,5645,1.113,1.9551),(1285,5655,1.1427,1.9333),(1285,5665,1.1723,1.9108),(1285,5675,1.2018,1.8883),(1285,5685,1.2312,1.8657),(1285,5695,1.2605,1.8428),(1285,5705,1.2896,1.8199),(1285,5715,1.3184,1.797),(1285,5725,1.3472,1.7738),(1285,5735,1.3757,1.7506),(1285,5745,1.4037,1.7274),(1285,5755,1.4316,1.704),(1285,5765,1.4594,1.6805),(1285,5775,1.4863,1.6571),(1285,5785,1.5131,1.6336),(1285,5795,1.54,1.6102),(1285,5805,1.5657,1.5868),(1285,5815,1.5913,1.5634),(1285,5825,1.617,1.5401),(1285,5835,1.6416,1.5169),(1285,5845,1.6659,1.4936),(1285,5855,1.6901,1.4705),(1285,5865,1.7136,1.4473),(1285,5875,1.7364,1.4242),(1285,5885,1.7593,1.4012),(1285,5895,1.7815,1.3782),(1285,5905,1.8029,1.3553),(1285,5915,1.8243,1.3325),(1285,5925,1.8454,1.3099),(1285,5935,1.8653,1.2872),(1285,5945,1.8853,1.2647),(1285,5955,1.9052,1.2424),(1285,5965,1.9243,1.22),(1285,5975,1.9434,1.1978),(1285,5985,1.9625,1.1758),(1285,5995,1.5032,1.1538),(1285,6005,0.96691,1.137),(1285,6015,0.43059,1.1342),(1285,6025,0.38864,1.1314),(1285,6035,0.57597,1.1276),(1285,6045,0.76329,1.1138),(1285,6055,0.90301,1.1),(1285,6065,0.99604,1.0862),(1285,6075,1.0891,1.068),(1285,6085,1.1536,1.0493),(1285,6095,1.1592,1.0307),(1285,6105,1.1649,1.0119),(1285,6115,1.1705,0.99305),(1285,6125,1.1759,0.97421),(1285,6135,1.1813,0.95531),(1285,6145,1.1867,0.93636),(1285,6155,1.1917,0.9174),(1285,6165,1.1968,0.89829),(1285,6175,1.2018,0.87889),(1285,6185,1.2066,0.8595),(1285,6195,1.2113,0.8401),(1285,6205,1.2161,0.82063),(1285,6215,1.2206,0.80116),(1285,6225,1.225,0.78169),(1285,6235,1.2294,0.76208),(1285,6245,1.2336,0.74248),(1285,6255,1.2377,0.72287),(1285,6265,1.2418,0.70324),(1285,6275,1.2457,0.6836),(1285,6285,1.2494,0.66396),(1285,6295,1.2531,0.64416),(1285,6305,1.2568,0.62428),(1285,6315,1.2601,0.60441),(1285,6325,1.2635,0.58438),(1285,6335,1.2668,0.5642),(1285,6345,1.2699,0.54402),(1285,6355,1.2729,0.52384),(1285,6365,1.2759,0.50366),(1285,6375,1.2787,0.48349),(1285,6385,1.2813,0.4633),(1285,6395,1.284,0.44298),(1285,6405,1.2864,0.42266),(1285,6415,1.2887,0.40234),(1285,6425,1.2909,0.38186),(1285,6435,1.293,0.36137),(1285,6445,1.2949,0.34089),(1285,6455,1.2968,0.32047),(1285,6465,1.2986,0.30008),(1285,6475,1.3002,0.27968),(1285,6485,1.3017,0.25924),(1285,6495,1.3033,0.23877),(1285,6505,1.3045,0.2183),(1285,6515,1.3057,0.19774),(1285,6525,1.307,0.17703),(1285,6535,1.3079,0.15633),(1285,6545,1.3087,0.13564),(1285,6555,1.3096,0.11498),(1285,6565,1.3102,0.094322),(1285,6575,1.3106,0.073669),(1285,6585,1.311,0.053086),(1285,6595,1.1152,0.032503),(1285,6605,0.70276,0.011919),(1285,6615,0.29032,0.00958),(1285,6625,0.000383,0.009586),(1285,6635,0.000385,0.009591),(1285,6645,0.000387,0.009587),(1285,6655,0.00039,0.00958),(1285,6665,0.000392,0.009572),(1285,6675,0.000394,0.009565),(1285,6685,0.000397,0.009557),(1285,6695,0.000399,0.00955),(1285,6705,0.000401,0.009543),(1285,6715,0.000403,0.009535),(1285,6725,0.000405,0.009528),(1285,6735,0.000407,0.009521),(1285,6745,0.000409,0.009513),(1285,6755,0.000411,0.009506),(1285,6765,0.000413,0.009498),(1285,6775,0.000415,0.009491),(1285,6785,0.000417,0.009483),(1285,6795,0.000419,0.009476),(1285,6805,0.000421,0.009468),(1285,6815,0.000423,0.009461),(1285,6825,0.000425,0.009453),(1285,6835,0.000427,0.009445),(1285,6845,0.000429,0.009438),(1285,6855,0.00043,0.00943),(1285,6865,0.000432,0.009422),(1285,6875,0.000434,0.009415),(1285,6885,0.000435,0.009407),(1285,6895,0.000437,0.009399),(1285,6905,0.000439,0.009392),(1285,6915,0.00044,0.009384),(1285,6925,0.000442,0.009376),(1285,6935,0.000444,0.009368),(1285,6945,0.000445,0.009361),(1285,6955,0.000447,0.009353),(1285,6965,0.000448,0.009345),(1285,6975,0.00045,0.009337),(1285,6985,0.000451,0.009329),(1295,5,5.5e-05,3.6726),(1295,15,0.000164,3.6726),(1295,25,0.000273,3.6726),(1295,35,0.000383,3.6726),(1295,45,0.000492,3.6726),(1295,55,0.000602,3.6726),(1295,65,0.000711,3.6726),(1295,75,0.000821,3.6726),(1295,85,0.00093,3.6726),(1295,95,0.00104,3.6726),(1295,105,0.00115,3.6725),(1295,115,0.00126,3.6725),(1295,125,0.001371,3.6725),(1295,135,0.001481,3.6725),(1295,145,0.001592,3.6725),(1295,155,0.001702,3.6725),(1295,165,0.001813,3.6724),(1295,175,0.001924,3.6724),(1295,185,0.002036,3.6724),(1295,195,0.002148,3.6724),(1295,205,0.002259,3.6723),(1295,215,0.002371,3.6723),(1295,225,0.002484,3.6723),(1295,235,0.002597,3.6723),(1295,245,0.00271,3.6722),(1295,255,0.002823,3.6722),(1295,265,0.002937,3.6722),(1295,275,0.003052,3.6721),(1295,285,0.003166,3.6721),(1295,295,0.003281,3.672),(1295,305,0.003397,3.672),(1295,315,0.003512,3.672),(1295,325,0.003629,3.6719),(1295,335,0.003745,3.6719),(1295,345,0.003862,3.6718),(1295,355,0.00398,3.6718),(1295,365,0.004098,3.6717),(1295,375,0.004216,3.6717),(1295,385,0.004335,3.6716),(1295,395,0.004455,3.6716),(1295,405,0.004575,3.6715),(1295,415,0.004694,3.6715),(1295,425,0.004816,3.6714),(1295,435,0.004938,3.6713),(1295,445,0.00506,3.6713),(1295,455,0.005182,3.6712),(1295,465,0.005307,3.6712),(1295,475,0.005431,3.6711),(1295,485,0.005556,3.671),(1295,495,0.00568,3.671),(1295,505,0.005807,3.6709),(1295,515,0.005934,3.6708),(1295,525,0.006062,3.6707),(1295,535,0.006189,3.6707),(1295,545,0.006319,3.6706),(1295,555,0.006449,3.6705),(1295,565,0.006579,3.6704),(1295,575,0.006709,3.6704),(1295,585,0.006842,3.6703),(1295,595,0.006975,3.6702),(1295,605,0.007108,3.6701),(1295,615,0.007242,3.67),(1295,625,0.007378,3.6699),(1295,635,0.007515,3.6698),(1295,645,0.007651,3.6697),(1295,655,0.007788,3.6696),(1295,665,0.007928,3.6696),(1295,675,0.008068,3.6695),(1295,685,0.008208,3.6694),(1295,695,0.008349,3.6693),(1295,705,0.008492,3.6691),(1295,715,0.008636,3.669),(1295,725,0.00878,3.6689),(1295,735,0.008924,3.6688),(1295,745,0.009072,3.6687),(1295,755,0.00922,3.6686),(1295,765,0.009367,3.6685),(1295,775,0.009516,3.6684),(1295,785,0.009668,3.6683),(1295,795,0.00982,3.6681),(1295,805,0.009972,3.668),(1295,815,0.010125,3.6679),(1295,825,0.010282,3.6678),(1295,835,0.010438,3.6676),(1295,845,0.010594,3.6675),(1295,855,0.010752,3.6674),(1295,865,0.010913,3.6672),(1295,875,0.011074,3.6671),(1295,885,0.011235,3.667),(1295,895,0.011398,3.6668),(1295,905,0.011564,3.6667),(1295,915,0.01173,3.6665),(1295,925,0.011895,3.6664),(1295,935,0.012063,3.6662),(1295,945,0.012234,3.6661),(1295,955,0.012405,3.6659),(1295,965,0.012576,3.6658),(1295,975,0.012749,3.6656),(1295,985,0.012926,3.6654),(1295,995,0.013102,3.6653),(1295,1005,0.013278,3.6651),(1295,1015,0.013457,3.6649),(1295,1025,0.013639,3.6648),(1295,1035,0.013821,3.6646),(1295,1045,0.014002,3.6644),(1295,1055,0.014187,3.6642),(1295,1065,0.014375,3.664),(1295,1075,0.014562,3.6639),(1295,1085,0.01475,3.6637),(1295,1095,0.014941,3.6635),(1295,1105,0.015134,3.6633),(1295,1115,0.015327,3.6631),(1295,1125,0.01552,3.6629),(1295,1135,0.015718,3.6627),(1295,1145,0.015917,3.6625),(1295,1155,0.016116,3.6623),(1295,1165,0.016316,3.6621),(1295,1175,0.016519,3.6619),(1295,1185,0.016725,3.6617),(1295,1195,0.016931,3.6614),(1295,1205,0.017137,3.6612),(1295,1215,0.017347,3.661),(1295,1225,0.017559,3.6608),(1295,1235,0.017772,3.6605),(1295,1245,0.017984,3.6603),(1295,1255,0.018201,3.6601),(1295,1265,0.01842,3.6598),(1295,1275,0.018639,3.6596),(1295,1285,0.018858,3.6593),(1295,1295,0.019082,3.6591),(1295,1305,0.019308,3.6588),(1295,1315,0.019534,3.6586),(1295,1325,0.019759,3.6583),(1295,1335,0.019991,3.6581),(1295,1345,0.020223,3.6578),(1295,1355,0.020456,3.6575),(1295,1365,0.020688,3.6572),(1295,1375,0.020927,3.657),(1295,1385,0.021167,3.6567),(1295,1395,0.021406,3.6564),(1295,1405,0.021646,3.6561),(1295,1415,0.021892,3.6558),(1295,1425,0.022139,3.6555),(1295,1435,0.022386,3.6552),(1295,1445,0.022633,3.6549),(1295,1455,0.022887,3.6546),(1295,1465,0.023141,3.6543),(1295,1475,0.023395,3.654),(1295,1485,0.023649,3.6537),(1295,1495,0.02391,3.6534),(1295,1505,0.024172,3.653),(1295,1515,0.024434,3.6527),(1295,1525,0.024695,3.6524),(1295,1535,0.024964,3.652),(1295,1545,0.025233,3.6517),(1295,1555,0.025502,3.6513),(1295,1565,0.025772,3.651),(1295,1575,0.026048,3.6506),(1295,1585,0.026324,3.6503),(1295,1595,0.026601,3.6499),(1295,1605,0.026878,3.6495),(1295,1615,0.027162,3.6492),(1295,1625,0.027446,3.6488),(1295,1635,0.02773,3.6484),(1295,1645,0.028015,3.648),(1295,1655,0.028306,3.6476),(1295,1665,0.028597,3.6472),(1295,1675,0.028888,3.6468),(1295,1685,0.029181,3.6464),(1295,1695,0.02948,3.646),(1295,1705,0.029778,3.6456),(1295,1715,0.030077,3.6452),(1295,1725,0.030377,3.6447),(1295,1735,0.030683,3.6443),(1295,1745,0.030989,3.6439),(1295,1755,0.031295,3.6434),(1295,1765,0.031603,3.643),(1295,1775,0.031916,3.6425),(1295,1785,0.032229,3.6421),(1295,1795,0.032543,3.6416),(1295,1805,0.032858,3.6411),(1295,1815,0.033178,3.6407),(1295,1825,0.033498,3.6402),(1295,1835,0.033819,3.6397),(1295,1845,0.034141,3.6392),(1295,1855,0.034468,3.6387),(1295,1865,0.034795,3.6382),(1295,1875,0.035122,3.6377),(1295,1885,0.035452,3.6372),(1295,1895,0.035786,3.6367),(1295,1905,0.036119,3.6362),(1295,1915,0.036453,3.6356),(1295,1925,0.036789,3.6351),(1295,1935,0.037129,3.6345),(1295,1945,0.037469,3.634),(1295,1955,0.037809,3.6334),(1295,1965,0.038151,3.6329),(1295,1975,0.038497,3.6323),(1295,1985,0.038843,3.6317),(1295,1995,0.039189,3.6312),(1295,2005,0.039537,3.6306),(1295,2015,0.039889,3.63),(1295,2025,0.04024,3.6294),(1295,2035,0.040592,3.6288),(1295,2045,0.040946,3.6282),(1295,2055,0.041303,3.6276),(1295,2065,0.041659,3.6269),(1295,2075,0.042016,3.6263),(1295,2085,0.042376,3.6257),(1295,2095,0.042737,3.625),(1295,2105,0.043098,3.6244),(1295,2115,0.04346,3.6237),(1295,2125,0.043824,3.6231),(1295,2135,0.044189,3.6224),(1295,2145,0.044555,3.6217),(1295,2155,0.044921,3.621),(1295,2165,0.045288,3.6204),(1295,2175,0.045657,3.6197),(1295,2185,0.046026,3.619),(1295,2195,0.046395,3.6183),(1295,2205,0.046766,3.6175),(1295,2215,0.047138,3.6168),(1295,2225,0.04751,3.6161),(1295,2235,0.047882,3.6154),(1295,2245,0.048256,3.6146),(1295,2255,0.04863,3.6139),(1295,2265,0.049004,3.6131),(1295,2275,0.049378,3.6123),(1295,2285,0.049754,3.6116),(1295,2295,0.050129,3.6108),(1295,2305,0.050505,3.61),(1295,2315,0.050881,3.6092),(1295,2325,0.051257,3.6084),(1295,2335,0.051633,3.6076),(1295,2345,0.052009,3.6068),(1295,2355,0.052385,3.606),(1295,2365,0.052761,3.6051),(1295,2375,0.053137,3.6043),(1295,2385,0.053512,3.6035),(1295,2395,0.053888,3.6026),(1295,2405,0.054263,3.6018),(1295,2415,0.054637,3.6009),(1295,2425,0.055012,3.6),(1295,2435,0.055386,3.5991),(1295,2445,0.055758,3.5983),(1295,2455,0.056131,3.5974),(1295,2465,0.056503,3.5965),(1295,2475,0.056876,3.5955),(1295,2485,0.057245,3.5946),(1295,2495,0.057614,3.5937),(1295,2505,0.057983,3.5928),(1295,2515,0.058352,3.5918),(1295,2525,0.058716,3.5909),(1295,2535,0.059081,3.59),(1295,2545,0.059445,3.589),(1295,2555,0.05981,3.588),(1295,2565,0.060168,3.5871),(1295,2575,0.060527,3.5861),(1295,2585,0.060885,3.5851),(1295,2595,0.061243,3.5841),(1295,2605,0.061595,3.5831),(1295,2615,0.061946,3.5821),(1295,2625,0.062298,3.5811),(1295,2635,0.062648,3.5801),(1295,2645,0.062991,3.5791),(1295,2655,0.063335,3.578),(1295,2665,0.063678,3.577),(1295,2675,0.064019,3.5759),(1295,2685,0.064353,3.5749),(1295,2695,0.064687,3.5738),(1295,2705,0.06502,3.5728),(1295,2715,0.065352,3.5717),(1295,2725,0.065674,3.5706),(1295,2735,0.065996,3.5695),(1295,2745,0.066319,3.5684),(1295,2755,0.066638,3.5674),(1295,2765,0.066948,3.5663),(1295,2775,0.067257,3.5652),(1295,2785,0.067567,3.564),(1295,2795,0.067872,3.5629),(1295,2805,0.068167,3.5618),(1295,2815,0.068463,3.5607),(1295,2825,0.068758,3.5595),(1295,2835,0.069048,3.5584),(1295,2845,0.069327,3.5572),(1295,2855,0.069607,3.5561),(1295,2865,0.069886,3.5549),(1295,2875,0.070159,3.5538),(1295,2885,0.07042,3.5526),(1295,2895,0.070682,3.5514),(1295,2905,0.070943,3.5503),(1295,2915,0.071197,3.5491),(1295,2925,0.071439,3.5479),(1295,2935,0.071681,3.5467),(1295,2945,0.071923,3.5455),(1295,2955,0.072156,3.5443),(1295,2965,0.072377,3.5431),(1295,2975,0.072598,3.5419),(1295,2985,0.072819,3.5407),(1295,2995,0.073028,3.5395),(1295,3005,0.073226,3.5383),(1295,3015,0.073424,3.5371),(1295,3025,0.073622,3.5359),(1295,3035,0.073806,3.5347),(1295,3045,0.073979,3.5334),(1295,3055,0.074152,3.5322),(1295,3065,0.074325,3.531),(1295,3075,0.074482,3.5297),(1295,3085,0.074628,3.5285),(1295,3095,0.074773,3.5273),(1295,3105,0.074919,3.526),(1295,3115,0.075046,3.5248),(1295,3125,0.075163,3.5236),(1295,3135,0.075279,3.5223),(1295,3145,0.075395,3.5211),(1295,3155,0.075491,3.5198),(1295,3165,0.075575,3.5186),(1295,3175,0.07566,3.5173),(1295,3185,0.075745,3.5161),(1295,3195,0.075806,3.5149),(1295,3205,0.075857,3.5136),(1295,3215,0.075908,3.5124),(1295,3225,0.07596,3.5111),(1295,3235,0.075984,3.5099),(1295,3245,0.076,3.5086),(1295,3255,0.076015,3.5074),(1295,3265,0.07603,3.5062),(1295,3275,0.076015,3.5049),(1295,3285,0.075992,3.5037),(1295,3295,0.075969,3.5025),(1295,3305,0.075946,3.5012),(1295,3315,0.075889,3.5),(1295,3325,0.075825,3.4988),(1295,3335,0.075761,3.4975),(1295,3345,0.075697,3.4963),(1295,3355,0.075596,3.4951),(1295,3365,0.075488,3.4939),(1295,3375,0.07538,3.4927),(1295,3385,0.075272,3.4915),(1295,3395,0.075124,3.4902),(1295,3405,0.07497,3.489),(1295,3415,0.074816,3.4878),(1295,3425,0.074662,3.4867),(1295,3435,0.074463,3.4855),(1295,3445,0.07426,3.4843),(1295,3455,0.074058,3.4831),(1295,3465,0.073855,3.4819),(1295,3475,0.073602,3.4807),(1295,3485,0.073348,3.4796),(1295,3495,0.073094,3.4784),(1295,3505,0.072839,3.4773),(1295,3515,0.07253,3.4761),(1295,3525,0.072222,3.475),(1295,3535,0.071913,3.4738),(1295,3545,0.071601,3.4727),(1295,3555,0.071235,3.4716),(1295,3565,0.070869,3.4705),(1295,3575,0.070503,3.4694),(1295,3585,0.070132,3.4683),(1295,3595,0.069705,3.4672),(1295,3605,0.069279,3.4661),(1295,3615,0.068852,3.465),(1295,3625,0.068418,3.4639),(1295,3635,0.067928,3.4629),(1295,3645,0.067438,3.4618),(1295,3655,0.066949,3.4607),(1295,3665,0.066448,3.4597),(1295,3675,0.065892,3.4587),(1295,3685,0.065336,3.4576),(1295,3695,0.06478,3.4566),(1295,3705,0.06421,3.4556),(1295,3715,0.063585,3.4546),(1295,3725,0.062961,3.4536),(1295,3735,0.062336,3.4526),(1295,3745,0.061693,3.4517),(1295,3755,0.060996,3.4507),(1295,3765,0.060299,3.4497),(1295,3775,0.059602,3.4488),(1295,3785,0.058883,3.4478),(1295,3795,0.05811,3.4469),(1295,3805,0.057337,3.446),(1295,3815,0.056565,3.4451),(1295,3825,0.055766,3.4442),(1295,3835,0.054914,3.4433),(1295,3845,0.054061,3.4424),(1295,3855,0.053209,3.4415),(1295,3865,0.052326,3.4407),(1295,3875,0.051388,3.4398),(1295,3885,0.050451,3.4389),(1295,3895,0.049514,3.4381),(1295,3905,0.057455,3.4373),(1295,3915,0.078658,3.4364),(1295,3925,0.099862,3.4351),(1295,3935,0.12106,3.433),(1295,3945,0.14539,3.4309),(1295,3955,0.17367,3.4288),(1295,3965,0.20195,3.4259),(1295,3975,0.23024,3.4222),(1295,3985,0.24763,3.4185),(1295,3995,0.25322,3.4148),(1295,4005,0.25882,3.4109),(1295,4015,0.26441,3.4069),(1295,4025,0.26941,3.4029),(1295,4035,0.27435,3.3987),(1295,4045,0.27928,3.3944),(1295,4055,0.28357,3.39),(1295,4065,0.28762,3.3857),(1295,4075,0.29167,3.3811),(1295,4085,0.29509,3.3765),(1295,4095,0.298,3.3719),(1295,4105,0.3009,3.3669),(1295,4115,0.29217,3.3619),(1295,4125,0.26415,3.357),(1295,4135,0.23612,3.3529),(1295,4145,0.20723,3.3491),(1295,4155,0.17481,3.3453),(1295,4165,0.1424,3.3424),(1295,4175,0.11176,3.3401),(1295,4185,0.1693,3.3378),(1295,4195,0.22684,3.3341),(1295,4205,0.28437,3.3287),(1295,4215,0.28324,3.3232),(1295,4225,0.27106,3.318),(1295,4235,0.25888,3.3131),(1295,4245,0.23883,3.3083),(1295,4255,0.21478,3.3036),(1295,4265,0.19073,3.3),(1295,4275,0.15837,3.2965),(1295,4285,0.11718,3.2929),(1295,4295,0.075986,3.2916),(1295,4305,0.06842,3.2906),(1295,4315,0.13678,3.2896),(1295,4325,0.20514,3.2846),(1295,4335,0.26603,3.278),(1295,4345,0.27636,3.2714),(1295,4355,0.28669,3.2646),(1295,4365,0.29702,3.2576),(1295,4375,0.29775,3.2506),(1295,4385,0.29798,3.2439),(1295,4395,0.29821,3.2378),(1295,4405,0.2583,3.2318),(1295,4415,0.20654,3.2264),(1295,4425,0.15479,3.2245),(1295,4435,0.13747,3.2225),(1295,4445,0.14368,3.2205),(1295,4455,0.1499,3.218),(1295,4465,0.18618,3.2155),(1295,4475,0.26469,3.213),(1295,4485,0.3432,3.2068),(1295,4495,0.40634,3.1998),(1295,4505,0.42013,3.1928),(1295,4515,0.43391,3.1851),(1295,4525,0.44665,3.177),(1295,4535,0.44284,3.1689),(1295,4545,0.43902,3.1608),(1295,4555,0.43521,3.1527),(1295,4565,0.32102,3.1445),(1295,4575,0.19196,3.1385),(1295,4585,0.062895,3.1378),(1295,4595,0.058578,3.1371),(1295,4605,0.10697,3.136),(1295,4615,0.15536,3.1321),(1295,4625,0.20794,3.1282),(1295,4635,0.2643,3.1243),(1295,4645,0.32067,3.1183),(1295,4655,0.37468,3.1121),(1295,4665,0.42424,3.1059),(1295,4675,0.47379,3.0981),(1295,4685,0.49717,3.0898),(1295,4695,0.39117,3.0814),(1295,4705,0.28517,3.076),(1295,4715,0.17917,3.0726),(1295,4725,0.23843,3.0692),(1295,4735,0.29934,3.0645),(1295,4745,0.36024,3.0577),(1295,4755,0.44517,3.0509),(1295,4765,0.53565,3.0431),(1295,4775,0.62614,3.0322),(1295,4785,0.6757,3.0212),(1295,4795,0.7016,3.0103),(1295,4805,0.72749,2.9991),(1295,4815,0.71095,2.9879),(1295,4825,0.64365,2.9767),(1295,4835,0.57636,2.9688),(1295,4845,0.49728,2.9615),(1295,4855,0.38748,2.9541),(1295,4865,0.27767,2.9491),(1295,4875,0.1955,2.9452),(1295,4885,0.36473,2.9414),(1295,4895,0.53396,2.9323),(1295,4905,0.70319,2.9182),(1295,4915,0.70617,2.9042),(1295,4925,0.69485,2.8904),(1295,4935,0.68353,2.8774),(1295,4945,0.6261,2.8644),(1295,4955,0.55269,2.852),(1295,4965,0.47927,2.8434),(1295,4975,0.37341,2.8348),(1295,4985,0.24249,2.8263),(1295,4995,0.11157,2.8253),(1295,5005,0.11017,2.8246),(1295,5015,0.31468,2.8238),(1295,5025,0.51919,2.8141),(1295,5035,0.70099,2.8021),(1295,5045,0.79629,2.79),(1295,5055,0.8916,2.7759),(1295,5065,0.98492,2.7604),(1295,5075,1.0133,2.745),(1295,5085,1.0416,2.7297),(1295,5095,1.07,2.7146),(1295,5105,0.946,2.6996),(1295,5115,0.79545,2.6865),(1295,5125,0.64491,2.6789),(1295,5135,0.54473,2.6713),(1295,5145,0.46898,2.6638),(1295,5155,0.39323,2.657),(1295,5165,0.45819,2.6503),(1295,5175,0.66667,2.6436),(1295,5185,0.87515,2.6276),(1295,5195,1.0272,2.6107),(1295,5205,1.0578,2.5938),(1295,5215,1.0883,2.5772),(1295,5225,1.1125,2.5606),(1295,5235,1.0977,2.5441),(1295,5245,1.0828,2.5288),(1295,5255,1.0679,2.5146),(1295,5265,0.7461,2.5005),(1295,5275,0.41165,2.4915),(1295,5285,0.077195,2.4913),(1295,5295,0.14386,2.4911),(1295,5305,0.32223,2.4884),(1295,5315,0.5006,2.4755),(1295,5325,0.65372,2.4626),(1295,5335,0.7903,2.4496),(1295,5345,0.92687,2.4324),(1295,5355,1.0331,2.4152),(1295,5365,1.0983,2.3981),(1295,5375,1.1635,2.381),(1295,5385,1.1446,2.3639),(1295,5395,0.8701,2.3469),(1295,5405,0.59561,2.3382),(1295,5415,0.34085,2.3339),(1295,5425,0.35096,2.3296),(1295,5435,0.36107,2.3229),(1295,5445,0.37118,2.3135),(1295,5455,0.45122,2.3041),(1295,5465,0.53981,2.2926),(1295,5475,0.6284,2.2766),(1295,5485,0.67157,2.2605),(1295,5495,0.69644,2.2442),(1295,5505,0.72131,2.2268),(1295,5515,0.74767,2.2095),(1295,5525,0.77534,2.1921),(1295,5535,0.803,2.1735),(1295,5545,0.83108,2.1549),(1295,5555,0.85993,2.1363),(1295,5565,0.88877,2.1168),(1295,5575,0.91772,2.0969),(1295,5585,0.94712,2.077),(1295,5595,0.97653,2.0566),(1295,5605,1.0059,2.0357),(1295,5615,1.0356,2.0148),(1295,5625,1.0653,1.9935),(1295,5635,1.095,1.9719),(1295,5645,1.1246,1.9502),(1295,5655,1.1543,1.9283),(1295,5665,1.1839,1.9058),(1295,5675,1.2133,1.8833),(1295,5685,1.2426,1.8607),(1295,5695,1.2719,1.8379),(1295,5705,1.3009,1.815),(1295,5715,1.3296,1.7921),(1295,5725,1.3583,1.769),(1295,5735,1.3867,1.7459),(1295,5745,1.4145,1.7227),(1295,5755,1.4422,1.6994),(1295,5765,1.4699,1.6761),(1295,5775,1.4966,1.6527),(1295,5785,1.5232,1.6294),(1295,5795,1.5499,1.6061),(1295,5805,1.5754,1.5828),(1295,5815,1.6008,1.5596),(1295,5825,1.6263,1.5364),(1295,5835,1.6506,1.5133),(1295,5845,1.6747,1.4902),(1295,5855,1.6987,1.4672),(1295,5865,1.722,1.4442),(1295,5875,1.7446,1.4213),(1295,5885,1.7672,1.3985),(1295,5895,1.7893,1.3757),(1295,5905,1.8104,1.3529),(1295,5915,1.8316,1.3303),(1295,5925,1.8524,1.3078),(1295,5935,1.8722,1.2853),(1295,5945,1.8919,1.263),(1295,5955,1.9116,1.2409),(1295,5965,1.9305,1.2187),(1295,5975,1.9494,1.1967),(1295,5985,1.9683,1.1749),(1295,5995,1.5076,1.153),(1295,6005,0.96965,1.1364),(1295,6015,0.43174,1.1336),(1295,6025,0.39059,1.1308),(1295,6035,0.57983,1.127),(1295,6045,0.76907,1.1132),(1295,6055,0.91009,1.0994),(1295,6065,1.0038,1.0857),(1295,6075,1.0976,1.0674),(1295,6085,1.1625,1.0488),(1295,6095,1.1682,1.0301),(1295,6105,1.1739,1.0113),(1295,6115,1.1796,0.99247),(1295,6125,1.185,0.97363),(1295,6135,1.1904,0.95473),(1295,6145,1.1958,0.93577),(1295,6155,1.2009,0.91681),(1295,6165,1.206,0.89769),(1295,6175,1.2111,0.87831),(1295,6185,1.2159,0.85893),(1295,6195,1.2207,0.83953),(1295,6205,1.2254,0.82007),(1295,6215,1.23,0.8006),(1295,6225,1.2344,0.78114),(1295,6235,1.2389,0.76154),(1295,6245,1.2431,0.74194),(1295,6255,1.2472,0.72234),(1295,6265,1.2513,0.70271),(1295,6275,1.2553,0.68308),(1295,6285,1.259,0.66345),(1295,6295,1.2627,0.64366),(1295,6305,1.2664,0.62379),(1295,6315,1.2698,0.60391),(1295,6325,1.2731,0.5839),(1295,6335,1.2765,0.56375),(1295,6345,1.2796,0.54359),(1295,6355,1.2826,0.52343),(1295,6365,1.2856,0.50327),(1295,6375,1.2884,0.4831),(1295,6385,1.2911,0.46292),(1295,6395,1.2938,0.4426),(1295,6405,1.2962,0.42228),(1295,6415,1.2985,0.40196),(1295,6425,1.3008,0.3815),(1295,6435,1.3029,0.36103),(1295,6445,1.3048,0.34056),(1295,6455,1.3067,0.32017),(1295,6465,1.3085,0.29981),(1295,6475,1.3101,0.27944),(1295,6485,1.3116,0.25903),(1295,6495,1.3132,0.23859),(1295,6505,1.3144,0.21815),(1295,6515,1.3156,0.1976),(1295,6525,1.3168,0.17692),(1295,6535,1.3177,0.15624),(1295,6545,1.3186,0.13556),(1295,6555,1.3194,0.11492),(1295,6565,1.32,0.094273),(1295,6575,1.3205,0.073632),(1295,6585,1.3209,0.053057),(1295,6595,1.1236,0.032483),(1295,6605,0.70807,0.011909),(1295,6615,0.29251,0.009574),(1295,6625,0.000387,0.009583),(1295,6635,0.000389,0.009592),(1295,6645,0.000391,0.009589),(1295,6655,0.000394,0.009582),(1295,6665,0.000396,0.009574),(1295,6675,0.000398,0.009567),(1295,6685,0.000401,0.00956),(1295,6695,0.000403,0.009552),(1295,6705,0.000405,0.009545),(1295,6715,0.000407,0.009538),(1295,6725,0.000409,0.00953),(1295,6735,0.000411,0.009523),(1295,6745,0.000413,0.009515),(1295,6755,0.000415,0.009508),(1295,6765,0.000417,0.0095),(1295,6775,0.000419,0.009493),(1295,6785,0.000421,0.009485),(1295,6795,0.000423,0.009477),(1295,6805,0.000425,0.00947),(1295,6815,0.000427,0.009462),(1295,6825,0.000429,0.009455),(1295,6835,0.000431,0.009447),(1295,6845,0.000433,0.009439),(1295,6855,0.000434,0.009432),(1295,6865,0.000436,0.009424),(1295,6875,0.000438,0.009416),(1295,6885,0.00044,0.009409),(1295,6895,0.000441,0.009401),(1295,6905,0.000443,0.009393),(1295,6915,0.000445,0.009385),(1295,6925,0.000446,0.009378),(1295,6935,0.000448,0.00937),(1295,6945,0.000449,0.009362),(1295,6955,0.000451,0.009354),(1295,6965,0.000453,0.009346),(1295,6975,0.000454,0.009338),(1295,6985,0.000456,0.009331),(1305,5,5.5e-05,3.6727),(1305,15,0.000165,3.6727),(1305,25,0.000274,3.6727),(1305,35,0.000384,3.6727),(1305,45,0.000494,3.6727),(1305,55,0.000604,3.6727),(1305,65,0.000714,3.6727),(1305,75,0.000824,3.6727),(1305,85,0.000934,3.6727),(1305,95,0.001044,3.6727),(1305,105,0.001155,3.6727),(1305,115,0.001265,3.6726),(1305,125,0.001376,3.6726),(1305,135,0.001486,3.6726),(1305,145,0.001598,3.6726),(1305,155,0.001709,3.6726),(1305,165,0.00182,3.6725),(1305,175,0.001932,3.6725),(1305,185,0.002044,3.6725),(1305,195,0.002156,3.6725),(1305,205,0.002268,3.6725),(1305,215,0.00238,3.6724),(1305,225,0.002494,3.6724),(1305,235,0.002607,3.6724),(1305,245,0.002721,3.6723),(1305,255,0.002834,3.6723),(1305,265,0.002949,3.6723),(1305,275,0.003064,3.6722),(1305,285,0.003178,3.6722),(1305,295,0.003293,3.6722),(1305,305,0.00341,3.6721),(1305,315,0.003526,3.6721),(1305,325,0.003643,3.672),(1305,335,0.003759,3.672),(1305,345,0.003877,3.6719),(1305,355,0.003995,3.6719),(1305,365,0.004114,3.6718),(1305,375,0.004232,3.6718),(1305,385,0.004352,3.6717),(1305,395,0.004472,3.6717),(1305,405,0.004593,3.6716),(1305,415,0.004713,3.6716),(1305,425,0.004835,3.6715),(1305,435,0.004958,3.6715),(1305,445,0.00508,3.6714),(1305,455,0.005203,3.6713),(1305,465,0.005328,3.6713),(1305,475,0.005453,3.6712),(1305,485,0.005578,3.6712),(1305,495,0.005703,3.6711),(1305,505,0.00583,3.671),(1305,515,0.005958,3.6709),(1305,525,0.006086,3.6709),(1305,535,0.006214,3.6708),(1305,545,0.006344,3.6707),(1305,555,0.006475,3.6707),(1305,565,0.006605,3.6706),(1305,575,0.006736,3.6705),(1305,585,0.00687,3.6704),(1305,595,0.007003,3.6703),(1305,605,0.007137,3.6702),(1305,615,0.007271,3.6702),(1305,625,0.007408,3.6701),(1305,635,0.007545,3.67),(1305,645,0.007682,3.6699),(1305,655,0.00782,3.6698),(1305,665,0.007961,3.6697),(1305,675,0.008101,3.6696),(1305,685,0.008242,3.6695),(1305,695,0.008383,3.6694),(1305,705,0.008528,3.6693),(1305,715,0.008672,3.6692),(1305,725,0.008816,3.6691),(1305,735,0.008962,3.669),(1305,745,0.00911,3.6689),(1305,755,0.009258,3.6688),(1305,765,0.009407,3.6686),(1305,775,0.009557,3.6685),(1305,785,0.009709,3.6684),(1305,795,0.009862,3.6683),(1305,805,0.010015,3.6682),(1305,815,0.010169,3.668),(1305,825,0.010326,3.6679),(1305,835,0.010483,3.6678),(1305,845,0.01064,3.6677),(1305,855,0.010799,3.6675),(1305,865,0.010961,3.6674),(1305,875,0.011123,3.6673),(1305,885,0.011284,3.6671),(1305,895,0.011448,3.667),(1305,905,0.011615,3.6668),(1305,915,0.011781,3.6667),(1305,925,0.011948,3.6665),(1305,935,0.012117,3.6664),(1305,945,0.012289,3.6662),(1305,955,0.01246,3.6661),(1305,965,0.012632,3.6659),(1305,975,0.012807,3.6658),(1305,985,0.012984,3.6656),(1305,995,0.013161,3.6654),(1305,1005,0.013338,3.6653),(1305,1015,0.013518,3.6651),(1305,1025,0.013701,3.6649),(1305,1035,0.013884,3.6648),(1305,1045,0.014067,3.6646),(1305,1055,0.014253,3.6644),(1305,1065,0.014441,3.6642),(1305,1075,0.01463,3.6641),(1305,1085,0.014819,3.6639),(1305,1095,0.015011,3.6637),(1305,1105,0.015205,3.6635),(1305,1115,0.0154,3.6633),(1305,1125,0.015594,3.6631),(1305,1135,0.015792,3.6629),(1305,1145,0.015993,3.6627),(1305,1155,0.016194,3.6625),(1305,1165,0.016394,3.6623),(1305,1175,0.016599,3.6621),(1305,1185,0.016806,3.6619),(1305,1195,0.017013,3.6616),(1305,1205,0.01722,3.6614),(1305,1215,0.017432,3.6612),(1305,1225,0.017646,3.661),(1305,1235,0.017859,3.6607),(1305,1245,0.018073,3.6605),(1305,1255,0.018292,3.6603),(1305,1265,0.018512,3.66),(1305,1275,0.018733,3.6598),(1305,1285,0.018953,3.6596),(1305,1295,0.019179,3.6593),(1305,1305,0.019406,3.6591),(1305,1315,0.019633,3.6588),(1305,1325,0.01986,3.6585),(1305,1335,0.020093,3.6583),(1305,1345,0.020327,3.658),(1305,1355,0.020562,3.6578),(1305,1365,0.020796,3.6575),(1305,1375,0.021036,3.6572),(1305,1385,0.021278,3.6569),(1305,1395,0.021519,3.6566),(1305,1405,0.02176,3.6564),(1305,1415,0.022008,3.6561),(1305,1425,0.022257,3.6558),(1305,1435,0.022506,3.6555),(1305,1445,0.022754,3.6552),(1305,1455,0.02301,3.6549),(1305,1465,0.023266,3.6546),(1305,1475,0.023522,3.6542),(1305,1485,0.023778,3.6539),(1305,1495,0.024041,3.6536),(1305,1505,0.024305,3.6533),(1305,1515,0.024568,3.653),(1305,1525,0.024832,3.6526),(1305,1535,0.025103,3.6523),(1305,1545,0.025374,3.652),(1305,1555,0.025645,3.6516),(1305,1565,0.025917,3.6512),(1305,1575,0.026195,3.6509),(1305,1585,0.026474,3.6505),(1305,1595,0.026753,3.6502),(1305,1605,0.027032,3.6498),(1305,1615,0.027318,3.6494),(1305,1625,0.027604,3.6491),(1305,1635,0.02789,3.6487),(1305,1645,0.028178,3.6483),(1305,1655,0.028471,3.6479),(1305,1665,0.028765,3.6475),(1305,1675,0.029059,3.6471),(1305,1685,0.029354,3.6467),(1305,1695,0.029655,3.6463),(1305,1705,0.029956,3.6459),(1305,1715,0.030257,3.6455),(1305,1725,0.03056,3.645),(1305,1735,0.030868,3.6446),(1305,1745,0.031177,3.6442),(1305,1755,0.031485,3.6437),(1305,1765,0.031796,3.6433),(1305,1775,0.032112,3.6428),(1305,1785,0.032428,3.6424),(1305,1795,0.032744,3.6419),(1305,1805,0.033062,3.6414),(1305,1815,0.033385,3.641),(1305,1825,0.033708,3.6405),(1305,1835,0.034031,3.64),(1305,1845,0.034356,3.6395),(1305,1855,0.034686,3.639),(1305,1865,0.035016,3.6385),(1305,1875,0.035346,3.638),(1305,1885,0.035679,3.6375),(1305,1895,0.036016,3.637),(1305,1905,0.036352,3.6365),(1305,1915,0.036689,3.636),(1305,1925,0.037028,3.6354),(1305,1935,0.037372,3.6349),(1305,1945,0.037715,3.6343),(1305,1955,0.038058,3.6338),(1305,1965,0.038403,3.6332),(1305,1975,0.038753,3.6327),(1305,1985,0.039102,3.6321),(1305,1995,0.039451,3.6315),(1305,2005,0.039803,3.6309),(1305,2015,0.040157,3.6303),(1305,2025,0.040512,3.6298),(1305,2035,0.040867,3.6291),(1305,2045,0.041225,3.6285),(1305,2055,0.041585,3.6279),(1305,2065,0.041945,3.6273),(1305,2075,0.042305,3.6267),(1305,2085,0.042668,3.626),(1305,2095,0.043033,3.6254),(1305,2105,0.043398,3.6248),(1305,2115,0.043763,3.6241),(1305,2125,0.044131,3.6234),(1305,2135,0.0445,3.6228),(1305,2145,0.044869,3.6221),(1305,2155,0.045238,3.6214),(1305,2165,0.04561,3.6207),(1305,2175,0.045983,3.62),(1305,2185,0.046356,3.6193),(1305,2195,0.046728,3.6186),(1305,2205,0.047103,3.6179),(1305,2215,0.047479,3.6172),(1305,2225,0.047855,3.6165),(1305,2235,0.04823,3.6157),(1305,2245,0.048608,3.615),(1305,2255,0.048986,3.6142),(1305,2265,0.049364,3.6135),(1305,2275,0.049742,3.6127),(1305,2285,0.050121,3.6119),(1305,2295,0.050501,3.6112),(1305,2305,0.050881,3.6104),(1305,2315,0.05126,3.6096),(1305,2325,0.05164,3.6088),(1305,2335,0.05202,3.608),(1305,2345,0.0524,3.6072),(1305,2355,0.052781,3.6063),(1305,2365,0.05316,3.6055),(1305,2375,0.05354,3.6047),(1305,2385,0.05392,3.6038),(1305,2395,0.054299,3.603),(1305,2405,0.054678,3.6021),(1305,2415,0.055056,3.6013),(1305,2425,0.055435,3.6004),(1305,2435,0.055813,3.5995),(1305,2445,0.05619,3.5986),(1305,2455,0.056566,3.5977),(1305,2465,0.056942,3.5968),(1305,2475,0.057318,3.5959),(1305,2485,0.057692,3.595),(1305,2495,0.058065,3.5941),(1305,2505,0.058438,3.5932),(1305,2515,0.058811,3.5922),(1305,2525,0.059179,3.5913),(1305,2535,0.059547,3.5903),(1305,2545,0.059916,3.5894),(1305,2555,0.060284,3.5884),(1305,2565,0.060647,3.5874),(1305,2575,0.061009,3.5865),(1305,2585,0.061372,3.5855),(1305,2595,0.061733,3.5845),(1305,2605,0.062089,3.5835),(1305,2615,0.062444,3.5825),(1305,2625,0.062799,3.5814),(1305,2635,0.063153,3.5804),(1305,2645,0.0635,3.5794),(1305,2655,0.063847,3.5784),(1305,2665,0.064194,3.5773),(1305,2675,0.064539,3.5763),(1305,2685,0.064876,3.5752),(1305,2695,0.065213,3.5742),(1305,2705,0.06555,3.5731),(1305,2715,0.065885,3.572),(1305,2725,0.066211,3.5709),(1305,2735,0.066536,3.5699),(1305,2745,0.066862,3.5688),(1305,2755,0.067185,3.5677),(1305,2765,0.067497,3.5666),(1305,2775,0.06781,3.5655),(1305,2785,0.068123,3.5643),(1305,2795,0.068431,3.5632),(1305,2805,0.06873,3.5621),(1305,2815,0.069028,3.561),(1305,2825,0.069326,3.5598),(1305,2835,0.069619,3.5587),(1305,2845,0.069901,3.5575),(1305,2855,0.070183,3.5564),(1305,2865,0.070465,3.5552),(1305,2875,0.07074,3.554),(1305,2885,0.071004,3.5529),(1305,2895,0.071268,3.5517),(1305,2905,0.071532,3.5505),(1305,2915,0.071788,3.5493),(1305,2925,0.072032,3.5482),(1305,2935,0.072276,3.547),(1305,2945,0.072521,3.5458),(1305,2955,0.072755,3.5446),(1305,2965,0.072978,3.5434),(1305,2975,0.0732,3.5422),(1305,2985,0.073423,3.5409),(1305,2995,0.073634,3.5397),(1305,3005,0.073834,3.5385),(1305,3015,0.074033,3.5373),(1305,3025,0.074232,3.5361),(1305,3035,0.074418,3.5348),(1305,3045,0.074592,3.5336),(1305,3055,0.074766,3.5324),(1305,3065,0.07494,3.5311),(1305,3075,0.075098,3.5299),(1305,3085,0.075244,3.5287),(1305,3095,0.07539,3.5274),(1305,3105,0.075537,3.5262),(1305,3115,0.075665,3.5249),(1305,3125,0.075781,3.5237),(1305,3135,0.075898,3.5224),(1305,3145,0.076014,3.5212),(1305,3155,0.07611,3.5199),(1305,3165,0.076195,3.5187),(1305,3175,0.076279,3.5174),(1305,3185,0.076364,3.5162),(1305,3195,0.076425,3.5149),(1305,3205,0.076475,3.5137),(1305,3215,0.076526,3.5124),(1305,3225,0.076576,3.5112),(1305,3235,0.0766,3.5099),(1305,3245,0.076614,3.5087),(1305,3255,0.076628,3.5074),(1305,3265,0.076643,3.5062),(1305,3275,0.076627,3.5049),(1305,3285,0.076602,3.5037),(1305,3295,0.076578,3.5024),(1305,3305,0.076553,3.5012),(1305,3315,0.076495,3.4999),(1305,3325,0.076429,3.4987),(1305,3335,0.076363,3.4975),(1305,3345,0.076297,3.4962),(1305,3355,0.076194,3.495),(1305,3365,0.076084,3.4938),(1305,3375,0.075974,3.4925),(1305,3385,0.075864,3.4913),(1305,3395,0.075713,3.4901),(1305,3405,0.075557,3.4889),(1305,3415,0.0754,3.4877),(1305,3425,0.075244,3.4865),(1305,3435,0.075042,3.4853),(1305,3445,0.074836,3.4841),(1305,3455,0.074631,3.4829),(1305,3465,0.074425,3.4817),(1305,3475,0.074169,3.4805),(1305,3485,0.073912,3.4793),(1305,3495,0.073655,3.4782),(1305,3505,0.073397,3.477),(1305,3515,0.073085,3.4758),(1305,3525,0.072773,3.4747),(1305,3535,0.072461,3.4735),(1305,3545,0.072146,3.4724),(1305,3555,0.071776,3.4712),(1305,3565,0.071407,3.4701),(1305,3575,0.071037,3.469),(1305,3585,0.070663,3.4679),(1305,3595,0.070233,3.4667),(1305,3605,0.069803,3.4656),(1305,3615,0.069373,3.4645),(1305,3625,0.068935,3.4635),(1305,3635,0.068441,3.4624),(1305,3645,0.067948,3.4613),(1305,3655,0.067455,3.4602),(1305,3665,0.066951,3.4592),(1305,3675,0.066391,3.4581),(1305,3685,0.065832,3.4571),(1305,3695,0.065273,3.456),(1305,3705,0.064699,3.455),(1305,3715,0.064071,3.454),(1305,3725,0.063443,3.453),(1305,3735,0.062814,3.452),(1305,3745,0.062168,3.451),(1305,3755,0.061468,3.45),(1305,3765,0.060768,3.449),(1305,3775,0.060068,3.4481),(1305,3785,0.059346,3.4471),(1305,3795,0.058571,3.4462),(1305,3805,0.057795,3.4452),(1305,3815,0.05702,3.4443),(1305,3825,0.056219,3.443359),(1305,3835,0.055364,3.4424),(1305,3845,0.054509,3.4415),(1305,3855,0.053655,3.4406),(1305,3865,0.05277,3.4398),(1305,3875,0.051831,3.4389),(1305,3885,0.050893,3.438),(1305,3895,0.049955,3.4371),(1305,3905,0.057958,3.4363),(1305,3915,0.079319,3.4354),(1305,3925,0.10068,3.434),(1305,3935,0.12204,3.4318),(1305,3945,0.14654,3.4297),(1305,3955,0.175,3.4275),(1305,3965,0.20347,3.4246),(1305,3975,0.23194,3.4208),(1305,3985,0.24945,3.417),(1305,3995,0.25509,3.4133),(1305,4005,0.26074,3.4093),(1305,4015,0.26638,3.4052),(1305,4025,0.27142,3.4011),(1305,4035,0.27641,3.397),(1305,4045,0.28139,3.3926),(1305,4055,0.28572,3.3882),(1305,4065,0.28982,3.3838),(1305,4075,0.29392,3.3791),(1305,4085,0.29741,3.3745),(1305,4095,0.3004,3.3698),(1305,4105,0.30339,3.3648),(1305,4115,0.29466,3.3597),(1305,4125,0.26649,3.3547),(1305,4135,0.23833,3.3506),(1305,4145,0.20928,3.3467),(1305,4155,0.17665,3.3428),(1305,4165,0.14403,3.3398),(1305,4175,0.1132,3.3374),(1305,4185,0.17124,3.335),(1305,4195,0.22927,3.3313),(1305,4205,0.2873,3.3258),(1305,4215,0.28616,3.3203),(1305,4225,0.27389,3.315),(1305,4235,0.26161,3.3102),(1305,4245,0.2414,3.3054),(1305,4255,0.21717,3.3008),(1305,4265,0.19293,3.2972),(1305,4275,0.16024,3.2937),(1305,4285,0.11859,3.2901),(1305,4295,0.076936,3.2889),(1305,4305,0.069434,3.2878),(1305,4315,0.13905,3.2868),(1305,4325,0.20866,3.2817),(1305,4335,0.27064,3.2749),(1305,4345,0.28098,3.2682),(1305,4355,0.29133,3.2613),(1305,4365,0.30167,3.2543),(1305,4375,0.3021,3.2472),(1305,4385,0.30201,3.2406),(1305,4395,0.30192,3.2345),(1305,4405,0.26125,3.2285),(1305,4415,0.20861,3.2232),(1305,4425,0.15597,3.2212),(1305,4435,0.13839,3.2192),(1305,4445,0.14477,3.2173),(1305,4455,0.15114,3.2148),(1305,4465,0.18783,3.2123),(1305,4475,0.26709,3.2097),(1305,4485,0.34636,3.2035),(1305,4495,0.41011,3.1965),(1305,4505,0.42409,3.1895),(1305,4515,0.43807,3.1817),(1305,4525,0.45099,3.1736),(1305,4535,0.44718,3.1655),(1305,4545,0.44337,3.1574),(1305,4555,0.43956,3.1492),(1305,4565,0.3243,3.1411),(1305,4575,0.19401,3.1351),(1305,4585,0.063721,3.1344),(1305,4595,0.059414,3.1337),(1305,4605,0.10834,3.1326),(1305,4615,0.15726,3.1288),(1305,4625,0.21023,3.125),(1305,4635,0.26686,3.1211),(1305,4645,0.32349,3.115),(1305,4655,0.37777,3.1088),(1305,4665,0.42762,3.1025),(1305,4675,0.47747,3.0946),(1305,4685,0.50098,3.0861),(1305,4695,0.39434,3.0776),(1305,4705,0.2877,3.0721),(1305,4715,0.18106,3.0686),(1305,4725,0.24083,3.0651),(1305,4735,0.30226,3.0602),(1305,4745,0.36369,3.0534),(1305,4755,0.44916,3.0465),(1305,4765,0.54021,3.0387),(1305,4775,0.63125,3.0277),(1305,4785,0.68094,3.0167),(1305,4795,0.70671,3.0056),(1305,4805,0.73248,2.9944),(1305,4815,0.71559,2.9832),(1305,4825,0.64768,2.972),(1305,4835,0.57977,2.9642),(1305,4845,0.50017,2.9569),(1305,4855,0.39014,2.9496),(1305,4865,0.2801,2.9446),(1305,4875,0.19788,2.9407),(1305,4885,0.36881,2.9368),(1305,4895,0.53973,2.9277),(1305,4905,0.71065,2.9137),(1305,4915,0.71356,2.8996),(1305,4925,0.70201,2.8858),(1305,4935,0.69047,2.8728),(1305,4945,0.63242,2.8597),(1305,4955,0.55825,2.8473),(1305,4965,0.48408,2.8388),(1305,4975,0.37716,2.8302),(1305,4985,0.24497,2.8216),(1305,4995,0.11279,2.8207),(1305,5005,0.11128,2.8199),(1305,5015,0.31754,2.8192),(1305,5025,0.5238,2.8095),(1305,5035,0.70705,2.7975),(1305,5045,0.80264,2.7856),(1305,5055,0.89823,2.7715),(1305,5065,0.99182,2.7562),(1305,5075,1.0198,2.7408),(1305,5085,1.0479,2.7256),(1305,5095,1.0759,2.7107),(1305,5105,0.951,2.6957),(1305,5115,0.79943,2.6827),(1305,5125,0.64786,2.6752),(1305,5135,0.54753,2.6676),(1305,5145,0.47206,2.6601),(1305,5155,0.39659,2.6534),(1305,5165,0.46238,2.6467),(1305,5175,0.67223,2.64),(1305,5185,0.88209,2.6241),(1305,5195,1.035,2.6072),(1305,5205,1.0652,2.5904),(1305,5215,1.0955,2.5738),(1305,5225,1.1193,2.5573),(1305,5235,1.1039,2.5408),(1305,5245,1.0885,2.5256),(1305,5255,1.073,2.5115),(1305,5265,0.74972,2.4974),(1305,5275,0.4137,2.4884),(1305,5285,0.077683,2.4882),(1305,5295,0.14578,2.488),(1305,5305,0.32641,2.4854),(1305,5315,0.50704,2.4724),(1305,5325,0.66121,2.4595),(1305,5335,0.79804,2.4466),(1305,5345,0.93487,2.4295),(1305,5355,1.041,2.4123),(1305,5365,1.1057,2.3952),(1305,5375,1.1704,2.3783),(1305,5385,1.1508,2.3613),(1305,5395,0.87468,2.3444),(1305,5405,0.59857,2.3358),(1305,5415,0.34239,2.3315),(1305,5425,0.35386,2.3272),(1305,5435,0.36533,2.3204),(1305,5445,0.3768,2.3109),(1305,5455,0.45808,2.3014),(1305,5465,0.54789,2.2898),(1305,5475,0.6377,2.2735),(1305,5485,0.68135,2.2573),(1305,5495,0.70641,2.2408),(1305,5505,0.73147,2.2233),(1305,5515,0.75801,2.2057),(1305,5525,0.78585,2.1882),(1305,5535,0.81368,2.1695),(1305,5545,0.84193,2.1508),(1305,5555,0.87091,2.132),(1305,5565,0.89989,2.1124),(1305,5575,0.92897,2.0924),(1305,5585,0.95846,2.0724),(1305,5595,0.98795,2.0518),(1305,5605,1.0174,2.0309),(1305,5615,1.0472,2.0099),(1305,5625,1.0769,1.9886),(1305,5635,1.1066,1.9669),(1305,5645,1.1362,1.9452),(1305,5655,1.1658,1.9233),(1305,5665,1.1955,1.9008),(1305,5675,1.2248,1.8783),(1305,5685,1.2541,1.8558),(1305,5695,1.2833,1.833),(1305,5705,1.3122,1.8101),(1305,5715,1.3408,1.7873),(1305,5725,1.3693,1.7643),(1305,5735,1.3976,1.7412),(1305,5745,1.4252,1.7181),(1305,5755,1.4529,1.695),(1305,5765,1.4804,1.6717),(1305,5775,1.5068,1.6485),(1305,5785,1.5333,1.6253),(1305,5795,1.5598,1.6021),(1305,5805,1.5851,1.5789),(1305,5815,1.6103,1.5558),(1305,5825,1.6355,1.5328),(1305,5835,1.6597,1.5098),(1305,5845,1.6835,1.4869),(1305,5855,1.7074,1.4641),(1305,5865,1.7304,1.4412),(1305,5875,1.7528,1.4184),(1305,5885,1.7752,1.3958),(1305,5895,1.797,1.3731),(1305,5905,1.8179,1.3505),(1305,5915,1.8389,1.3281),(1305,5925,1.8595,1.3058),(1305,5935,1.879,1.2835),(1305,5945,1.8985,1.2613),(1305,5955,1.918,1.2394),(1305,5965,1.9367,1.2174),(1305,5975,1.9554,1.1955),(1305,5985,1.974,1.1739),(1305,5995,1.5119,1.1522),(1305,6005,0.9724,1.1357),(1305,6015,0.43288,1.1329),(1305,6025,0.39253,1.1302),(1305,6035,0.58369,1.1264),(1305,6045,0.77485,1.1126),(1305,6055,0.91718,1.0988),(1305,6065,1.0116,1.0851),(1305,6075,1.1061,1.0668),(1305,6085,1.1715,1.0482),(1305,6095,1.1772,1.0295),(1305,6105,1.183,1.0107),(1305,6115,1.1886,0.99188),(1305,6125,1.1941,0.97304),(1305,6135,1.1996,0.95413),(1305,6145,1.205,0.93516),(1305,6155,1.2102,0.9162),(1305,6165,1.2153,0.89708),(1305,6175,1.2204,0.87771),(1305,6185,1.2252,0.85834),(1305,6195,1.23,0.83895),(1305,6205,1.2348,0.81949),(1305,6215,1.2394,0.80004),(1305,6225,1.2439,0.78057),(1305,6235,1.2483,0.76098),(1305,6245,1.2526,0.74139),(1305,6255,1.2567,0.7218),(1305,6265,1.2609,0.70218),(1305,6275,1.2649,0.68255),(1305,6285,1.2686,0.66292),(1305,6295,1.2723,0.64313),(1305,6305,1.276,0.62327),(1305,6315,1.2794,0.6034),(1305,6325,1.2828,0.58341),(1305,6335,1.2861,0.56328),(1305,6345,1.2892,0.54315),(1305,6355,1.2923,0.52301),(1305,6365,1.2953,0.50286),(1305,6375,1.2981,0.48271),(1305,6385,1.3008,0.46254),(1305,6395,1.3035,0.44222),(1305,6405,1.306,0.4219),(1305,6415,1.3083,0.40158),(1305,6425,1.3106,0.38114),(1305,6435,1.3127,0.36068),(1305,6445,1.3147,0.34023),(1305,6455,1.3166,0.31986),(1305,6465,1.3184,0.29952),(1305,6475,1.32,0.27918),(1305,6485,1.3215,0.2588),(1305,6495,1.3231,0.23838),(1305,6505,1.3243,0.21797),(1305,6515,1.3255,0.19745),(1305,6525,1.3267,0.17679),(1305,6535,1.3276,0.15613),(1305,6545,1.3285,0.13548),(1305,6555,1.3293,0.11486),(1305,6565,1.3299,0.094229),(1305,6575,1.3303,0.073605),(1305,6585,1.3308,0.053046),(1305,6595,1.132,0.032486),(1305,6605,0.71337,0.011926),(1305,6615,0.2947,0.009588),(1305,6625,0.000391,0.009592),(1305,6635,0.000393,0.009596),(1305,6645,0.000395,0.009592),(1305,6655,0.000398,0.009584),(1305,6665,0.0004,0.009577),(1305,6675,0.000402,0.009569),(1305,6685,0.000405,0.009562),(1305,6695,0.000407,0.009555),(1305,6705,0.000409,0.009547),(1305,6715,0.000411,0.00954),(1305,6725,0.000413,0.009532),(1305,6735,0.000415,0.009525),(1305,6745,0.000417,0.009517),(1305,6755,0.00042,0.00951),(1305,6765,0.000422,0.009502),(1305,6775,0.000424,0.009495),(1305,6785,0.000426,0.009487),(1305,6795,0.000427,0.00948),(1305,6805,0.000429,0.009472),(1305,6815,0.000431,0.009464),(1305,6825,0.000433,0.009457),(1305,6835,0.000435,0.009449),(1305,6845,0.000437,0.009441),(1305,6855,0.000439,0.009434),(1305,6865,0.00044,0.009426),(1305,6875,0.000442,0.009418),(1305,6885,0.000444,0.00941),(1305,6895,0.000446,0.009403),(1305,6905,0.000447,0.009395),(1305,6915,0.000449,0.009387),(1305,6925,0.00045,0.009379),(1305,6935,0.000452,0.009371),(1305,6945,0.000454,0.009364),(1305,6955,0.000455,0.009356),(1305,6965,0.000457,0.009348),(1305,6975,0.000458,0.00934),(1305,6985,0.00046,0.009332),(1315,5,5.5e-05,3.6728),(1315,15,0.000165,3.6728),(1315,25,0.000275,3.6728),(1315,35,0.000386,3.6728),(1315,45,0.000496,3.6728),(1315,55,0.000606,3.6728),(1315,65,0.000716,3.6728),(1315,75,0.000827,3.6728),(1315,85,0.000938,3.6728),(1315,95,0.001048,3.6728),(1315,105,0.001159,3.6728),(1315,115,0.00127,3.6728),(1315,125,0.001381,3.6727),(1315,135,0.001492,3.6727),(1315,145,0.001604,3.6727),(1315,155,0.001716,3.6727),(1315,165,0.001827,3.6727),(1315,175,0.001939,3.6726),(1315,185,0.002051,3.6726),(1315,195,0.002164,3.6726),(1315,205,0.002277,3.6726),(1315,215,0.00239,3.6725),(1315,225,0.002503,3.6725),(1315,235,0.002617,3.6725),(1315,245,0.002731,3.6724),(1315,255,0.002845,3.6724),(1315,265,0.00296,3.6724),(1315,275,0.003075,3.6723),(1315,285,0.003191,3.6723),(1315,295,0.003306,3.6723),(1315,305,0.003423,3.6722),(1315,315,0.00354,3.6722),(1315,325,0.003657,3.6721),(1315,335,0.003774,3.6721),(1315,345,0.003892,3.6721),(1315,355,0.004011,3.672),(1315,365,0.00413,3.672),(1315,375,0.004248,3.6719),(1315,385,0.004369,3.6719),(1315,395,0.00449,3.6718),(1315,405,0.00461,3.6718),(1315,415,0.004731,3.6717),(1315,425,0.004854,3.6717),(1315,435,0.004977,3.6716),(1315,445,0.0051,3.6715),(1315,455,0.005223,3.6715),(1315,465,0.005349,3.6714),(1315,475,0.005474,3.6713),(1315,485,0.0056,3.6713),(1315,495,0.005725,3.6712),(1315,505,0.005854,3.6711),(1315,515,0.005982,3.6711),(1315,525,0.00611,3.671),(1315,535,0.006238,3.6709),(1315,545,0.00637,3.6709),(1315,555,0.006501,3.6708),(1315,565,0.006632,3.6707),(1315,575,0.006763,3.6706),(1315,585,0.006897,3.6705),(1315,595,0.007032,3.6705),(1315,605,0.007166,3.6704),(1315,615,0.0073,3.6703),(1315,625,0.007438,3.6702),(1315,635,0.007576,3.6701),(1315,645,0.007713,3.67),(1315,655,0.007852,3.6699),(1315,665,0.007993,3.6698),(1315,675,0.008134,3.6697),(1315,685,0.008276,3.6696),(1315,695,0.008418,3.6695),(1315,705,0.008563,3.6694),(1315,715,0.008708,3.6693),(1315,725,0.008853,3.6692),(1315,735,0.008999,3.6691),(1315,745,0.009148,3.669),(1315,755,0.009297,3.6689),(1315,765,0.009447,3.6688),(1315,775,0.009597,3.6687),(1315,785,0.00975,3.6686),(1315,795,0.009904,3.6684),(1315,805,0.010057,3.6683),(1315,815,0.010212,3.6682),(1315,825,0.01037,3.6681),(1315,835,0.010528,3.6679),(1315,845,0.010686,3.6678),(1315,855,0.010845,3.6677),(1315,865,0.011008,3.6676),(1315,875,0.011171,3.6674),(1315,885,0.011334,3.6673),(1315,895,0.011498,3.6671),(1315,905,0.011666,3.667),(1315,915,0.011833,3.6669),(1315,925,0.012001,3.6667),(1315,935,0.012171,3.6666),(1315,945,0.012343,3.6664),(1315,955,0.012516,3.6663),(1315,965,0.012689,3.6661),(1315,975,0.012864,3.6659),(1315,985,0.013042,3.6658),(1315,995,0.01322,3.6656),(1315,1005,0.013399,3.6655),(1315,1015,0.01358,3.6653),(1315,1025,0.013764,3.6651),(1315,1035,0.013948,3.665),(1315,1045,0.014131,3.6648),(1315,1055,0.014318,3.6646),(1315,1065,0.014508,3.6644),(1315,1075,0.014698,3.6642),(1315,1085,0.014888,3.6641),(1315,1095,0.015081,3.6639),(1315,1105,0.015276,3.6637),(1315,1115,0.015472,3.6635),(1315,1125,0.015668,3.6633),(1315,1135,0.015867,3.6631),(1315,1145,0.016069,3.6629),(1315,1155,0.016271,3.6627),(1315,1165,0.016473,3.6625),(1315,1175,0.016679,3.6623),(1315,1185,0.016887,3.6621),(1315,1195,0.017096,3.6619),(1315,1205,0.017304,3.6616),(1315,1215,0.017517,3.6614),(1315,1225,0.017732,3.6612),(1315,1235,0.017947,3.661),(1315,1245,0.018162,3.6607),(1315,1255,0.018382,3.6605),(1315,1265,0.018604,3.6603),(1315,1275,0.018826,3.66),(1315,1285,0.019048,3.6598),(1315,1295,0.019275,3.6595),(1315,1305,0.019504,3.6593),(1315,1315,0.019733,3.659),(1315,1325,0.019961,3.6588),(1315,1335,0.020196,3.6585),(1315,1345,0.020432,3.6583),(1315,1355,0.020667,3.658),(1315,1365,0.020903,3.6577),(1315,1375,0.021145,3.6574),(1315,1385,0.021388,3.6572),(1315,1395,0.021631,3.6569),(1315,1405,0.021875,3.6566),(1315,1415,0.022124,3.6563),(1315,1425,0.022375,3.656),(1315,1435,0.022625,3.6557),(1315,1445,0.022876,3.6554),(1315,1455,0.023133,3.6551),(1315,1465,0.023391,3.6548),(1315,1475,0.023649,3.6545),(1315,1485,0.023907,3.6542),(1315,1495,0.024172,3.6539),(1315,1505,0.024438,3.6536),(1315,1515,0.024703,3.6532),(1315,1525,0.024969,3.6529),(1315,1535,0.025242,3.6526),(1315,1545,0.025515,3.6522),(1315,1555,0.025788,3.6519),(1315,1565,0.026062,3.6515),(1315,1575,0.026343,3.6512),(1315,1585,0.026623,3.6508),(1315,1595,0.026904,3.6505),(1315,1605,0.027186,3.6501),(1315,1615,0.027474,3.6497),(1315,1625,0.027763,3.6494),(1315,1635,0.028051,3.649),(1315,1645,0.028341,3.6486),(1315,1655,0.028637,3.6482),(1315,1665,0.028933,3.6478),(1315,1675,0.029229,3.6474),(1315,1685,0.029526,3.647),(1315,1695,0.02983,3.6466),(1315,1705,0.030133,3.6462),(1315,1715,0.030437,3.6458),(1315,1725,0.030742,3.6453),(1315,1735,0.031053,3.6449),(1315,1745,0.031364,3.6445),(1315,1755,0.031676,3.644),(1315,1765,0.031989,3.6436),(1315,1775,0.032307,3.6432),(1315,1785,0.032626,3.6427),(1315,1795,0.032945,3.6422),(1315,1805,0.033266,3.6418),(1315,1815,0.033591,3.6413),(1315,1825,0.033917,3.6408),(1315,1835,0.034243,3.6403),(1315,1845,0.034572,3.6399),(1315,1855,0.034905,3.6394),(1315,1865,0.035238,3.6389),(1315,1875,0.035571,3.6384),(1315,1885,0.035906,3.6379),(1315,1895,0.036246,3.6373),(1315,1905,0.036586,3.6368),(1315,1915,0.036925,3.6363),(1315,1925,0.037268,3.6358),(1315,1935,0.037614,3.6352),(1315,1945,0.03796,3.6347),(1315,1955,0.038307,3.6341),(1315,1965,0.038656,3.6336),(1315,1975,0.039008,3.633),(1315,1985,0.03936,3.6324),(1315,1995,0.039713,3.6319),(1315,2005,0.040068,3.6313),(1315,2015,0.040426,3.6307),(1315,2025,0.040784,3.6301),(1315,2035,0.041142,3.6295),(1315,2045,0.041503,3.6289),(1315,2055,0.041867,3.6283),(1315,2065,0.042231,3.6277),(1315,2075,0.042594,3.627),(1315,2085,0.042961,3.6264),(1315,2095,0.043329,3.6258),(1315,2105,0.043698,3.6251),(1315,2115,0.044066,3.6245),(1315,2125,0.044438,3.6238),(1315,2135,0.044811,3.6232),(1315,2145,0.045184,3.6225),(1315,2155,0.045556,3.6218),(1315,2165,0.045932,3.6211),(1315,2175,0.046308,3.6204),(1315,2185,0.046685,3.6197),(1315,2195,0.047061,3.619),(1315,2205,0.04744,3.6183),(1315,2215,0.047819,3.6176),(1315,2225,0.048199,3.6168),(1315,2235,0.048579,3.6161),(1315,2245,0.04896,3.6154),(1315,2255,0.049342,3.6146),(1315,2265,0.049724,3.6139),(1315,2275,0.050106,3.6131),(1315,2285,0.050489,3.6123),(1315,2295,0.050872,3.6116),(1315,2305,0.051256,3.6108),(1315,2315,0.051639,3.61),(1315,2325,0.052023,3.6092),(1315,2335,0.052408,3.6084),(1315,2345,0.052792,3.6076),(1315,2355,0.053176,3.6067),(1315,2365,0.05356,3.6059),(1315,2375,0.053943,3.6051),(1315,2385,0.054327,3.6042),(1315,2395,0.054711,3.6034),(1315,2405,0.055093,3.6025),(1315,2415,0.055476,3.6017),(1315,2425,0.055858,3.6008),(1315,2435,0.05624,3.5999),(1315,2445,0.056621,3.599),(1315,2455,0.057001,3.5981),(1315,2465,0.057381,3.5972),(1315,2475,0.057761,3.5963),(1315,2485,0.058138,3.5954),(1315,2495,0.058515,3.5945),(1315,2505,0.058892,3.5935),(1315,2515,0.059269,3.5926),(1315,2525,0.059642,3.5917),(1315,2535,0.060014,3.5907),(1315,2545,0.060386,3.5897),(1315,2555,0.060759,3.5888),(1315,2565,0.061125,3.5878),(1315,2575,0.061491,3.5868),(1315,2585,0.061858,3.5858),(1315,2595,0.062224,3.5848),(1315,2605,0.062583,3.5838),(1315,2615,0.062942,3.5828),(1315,2625,0.063301,3.5818),(1315,2635,0.063659,3.5808),(1315,2645,0.064009,3.5798),(1315,2655,0.064359,3.5787),(1315,2665,0.06471,3.5777),(1315,2675,0.065059,3.5766),(1315,2685,0.065399,3.5756),(1315,2695,0.06574,3.5745),(1315,2705,0.06608,3.5734),(1315,2715,0.066418,3.5724),(1315,2725,0.066747,3.5713),(1315,2735,0.067077,3.5702),(1315,2745,0.067406,3.5691),(1315,2755,0.067731,3.568),(1315,2765,0.068047,3.5669),(1315,2775,0.068363,3.5658),(1315,2785,0.068679,3.5647),(1315,2795,0.068991,3.5635),(1315,2805,0.069292,3.5624),(1315,2815,0.069593,3.5613),(1315,2825,0.069894,3.5601),(1315,2835,0.07019,3.559),(1315,2845,0.070475,3.5578),(1315,2855,0.070759,3.5567),(1315,2865,0.071044,3.5555),(1315,2875,0.071322,3.5543),(1315,2885,0.071588,3.5532),(1315,2895,0.071855,3.552),(1315,2905,0.072121,3.5508),(1315,2915,0.072379,3.5496),(1315,2925,0.072625,3.5484),(1315,2935,0.072872,3.5472),(1315,2945,0.073118,3.546),(1315,2955,0.073354,3.5448),(1315,2965,0.073579,3.5436),(1315,2975,0.073803,3.5424),(1315,2985,0.074028,3.5412),(1315,2995,0.07424,3.5399),(1315,3005,0.074441,3.5387),(1315,3015,0.074642,3.5375),(1315,3025,0.074843,3.5363),(1315,3035,0.07503,3.535),(1315,3045,0.075205,3.5338),(1315,3055,0.07538,3.5325),(1315,3065,0.075555,3.5313),(1315,3075,0.075714,3.5301),(1315,3085,0.075861,3.5288),(1315,3095,0.076008,3.5276),(1315,3105,0.076155,3.5263),(1315,3115,0.076283,3.5251),(1315,3125,0.0764,3.5238),(1315,3135,0.076517,3.5225),(1315,3145,0.076634,3.5213),(1315,3155,0.076729,3.52),(1315,3165,0.076814,3.5188),(1315,3175,0.076898,3.5175),(1315,3185,0.076983,3.5162),(1315,3195,0.077043,3.515),(1315,3205,0.077093,3.5137),(1315,3215,0.077143,3.5125),(1315,3225,0.077193,3.5112),(1315,3235,0.077216,3.5099),(1315,3245,0.077229,3.5087),(1315,3255,0.077242,3.5074),(1315,3265,0.077255,3.5062),(1315,3275,0.077238,3.5049),(1315,3285,0.077212,3.5036),(1315,3295,0.077186,3.5024),(1315,3305,0.07716,3.5011),(1315,3315,0.077101,3.4999),(1315,3325,0.077033,3.4986),(1315,3335,0.076965,3.4974),(1315,3345,0.076898,3.4961),(1315,3355,0.076792,3.4949),(1315,3365,0.07668,3.4937),(1315,3375,0.076568,3.4924),(1315,3385,0.076456,3.4912),(1315,3395,0.076302,3.49),(1315,3405,0.076143,3.4887),(1315,3415,0.075984,3.4875),(1315,3425,0.075825,3.4863),(1315,3435,0.075621,3.4851),(1315,3445,0.075412,3.4839),(1315,3455,0.075204,3.4827),(1315,3465,0.074995,3.4815),(1315,3475,0.074737,3.4803),(1315,3485,0.074476,3.4791),(1315,3495,0.074215,3.4779),(1315,3505,0.073955,3.4767),(1315,3515,0.073639,3.4755),(1315,3525,0.073324,3.4743),(1315,3535,0.073009,3.4732),(1315,3545,0.072691,3.472),(1315,3555,0.072318,3.4709),(1315,3565,0.071945,3.4697),(1315,3575,0.071572,3.4686),(1315,3585,0.071193,3.4675),(1315,3595,0.07076,3.4663),(1315,3605,0.070326,3.4652),(1315,3615,0.069893,3.4641),(1315,3625,0.069451,3.463),(1315,3635,0.068955,3.4619),(1315,3645,0.068458,3.4608),(1315,3655,0.067961,3.4597),(1315,3665,0.067453,3.4586),(1315,3675,0.066891,3.4576),(1315,3685,0.066328,3.4565),(1315,3695,0.065765,3.4555),(1315,3705,0.065188,3.4544),(1315,3715,0.064556,3.4534),(1315,3725,0.063925,3.4523),(1315,3735,0.063293,3.4513),(1315,3745,0.062644,3.4503),(1315,3755,0.06194,3.4493),(1315,3765,0.061237,3.4483),(1315,3775,0.060534,3.4473),(1315,3785,0.059809,3.4464),(1315,3795,0.059031,3.4454),(1315,3805,0.058253,3.4444),(1315,3815,0.057474,3.4435),(1315,3825,0.056671,3.4425),(1315,3835,0.055814,3.4416),(1315,3845,0.054958,3.4407),(1315,3855,0.054101,3.4398),(1315,3865,0.053214,3.4388),(1315,3875,0.052274,3.4379),(1315,3885,0.051335,3.437),(1315,3895,0.050395,3.4362),(1315,3905,0.058461,3.4353),(1315,3915,0.079981,3.4344),(1315,3925,0.1015,3.433),(1315,3935,0.12302,3.4307),(1315,3945,0.14768,3.4285),(1315,3955,0.17634,3.4262),(1315,3965,0.20499,3.4233),(1315,3975,0.23365,3.4194),(1315,3985,0.25128,3.4156),(1315,3995,0.25697,3.4117),(1315,4005,0.26266,3.4077),(1315,4015,0.26835,3.4036),(1315,4025,0.27344,3.3995),(1315,4035,0.27847,3.3952),(1315,4045,0.2835,3.3908),(1315,4055,0.28788,3.3864),(1315,4065,0.29203,3.3819),(1315,4075,0.29617,3.3772),(1315,4085,0.29972,3.3725),(1315,4095,0.3028,3.3677),(1315,4105,0.30587,3.3626),(1315,4115,0.29714,3.3575),(1315,4125,0.26883,3.3524),(1315,4135,0.24053,3.3482),(1315,4145,0.21133,3.3442),(1315,4155,0.1785,3.3403),(1315,4165,0.14567,3.3373),(1315,4175,0.11464,3.3348),(1315,4185,0.17317,3.3324),(1315,4195,0.2317,3.3286),(1315,4205,0.29023,3.3231),(1315,4215,0.28909,3.3176),(1315,4225,0.27671,3.3123),(1315,4235,0.26434,3.3075),(1315,4245,0.24397,3.3027),(1315,4255,0.21955,3.298),(1315,4265,0.19513,3.2945),(1315,4275,0.16212,3.291),(1315,4285,0.12,3.2874),(1315,4295,0.077887,3.2861),(1315,4305,0.070447,3.2851),(1315,4315,0.14131,3.2841),(1315,4325,0.21218,3.2788),(1315,4335,0.27526,3.272),(1315,4345,0.28561,3.2651),(1315,4355,0.29597,3.2581),(1315,4365,0.30632,3.2511),(1315,4375,0.30644,3.2441),(1315,4385,0.30603,3.2374),(1315,4395,0.30562,3.2314),(1315,4405,0.2642,3.2253),(1315,4415,0.21068,3.2201),(1315,4425,0.15716,3.2181),(1315,4435,0.13931,3.2161),(1315,4445,0.14585,3.2141),(1315,4455,0.15238,3.2116),(1315,4465,0.18948,3.2091),(1315,4475,0.2695,3.2066),(1315,4485,0.34952,3.2003),(1315,4495,0.41389,3.1932),(1315,4505,0.42806,3.1862),(1315,4515,0.44223,3.1784),(1315,4525,0.45533,3.1702),(1315,4535,0.45152,3.162),(1315,4545,0.44772,3.1538),(1315,4555,0.44392,3.1457),(1315,4565,0.32758,3.1376),(1315,4575,0.19606,3.1316),(1315,4585,0.064547,3.1309),(1315,4595,0.06025,3.1303),(1315,4605,0.10971,3.1292),(1315,4615,0.15916,3.1254),(1315,4625,0.21252,3.1216),(1315,4635,0.26941,3.1178),(1315,4645,0.3263,3.1116),(1315,4655,0.38085,3.1053),(1315,4665,0.431,3.0989),(1315,4675,0.48114,3.0909),(1315,4685,0.50479,3.0822),(1315,4695,0.39751,3.0736),(1315,4705,0.29023,3.0679),(1315,4715,0.18295,3.0644),(1315,4725,0.24323,3.0608),(1315,4735,0.30518,3.0559),(1315,4745,0.36714,3.049),(1315,4755,0.45316,3.042),(1315,4765,0.54476,3.0341),(1315,4775,0.63636,3.023),(1315,4785,0.68618,3.0119),(1315,4795,0.71183,3.0008),(1315,4805,0.73748,2.9896),(1315,4815,0.72023,2.9784),(1315,4825,0.6517,2.9672),(1315,4835,0.58317,2.9594),(1315,4845,0.50307,2.9522),(1315,4855,0.3928,2.945),(1315,4865,0.28253,2.94),(1315,4875,0.20027,2.9361),(1315,4885,0.37289,2.9322),(1315,4895,0.5455,2.9231),(1315,4905,0.71812,2.909),(1315,4915,0.72095,2.8949),(1315,4925,0.70917,2.8811),(1315,4935,0.6974,2.8681),(1315,4945,0.63873,2.855),(1315,4955,0.56381,2.8426),(1315,4965,0.48888,2.834),(1315,4975,0.38092,2.8254),(1315,4985,0.24746,2.8169),(1315,4995,0.114,2.8159),(1315,5005,0.1124,2.8152),(1315,5015,0.32041,2.8145),(1315,5025,0.52842,2.8048),(1315,5035,0.71311,2.793),(1315,5045,0.80899,2.7811),(1315,5055,0.90486,2.7671),(1315,5065,0.99872,2.7518),(1315,5075,1.0264,2.7366),(1315,5085,1.0541,2.7215),(1315,5095,1.0818,2.7067),(1315,5105,0.95601,2.6918),(1315,5115,0.80341,2.6789),(1315,5125,0.65081,2.6714),(1315,5135,0.55033,2.6639),(1315,5145,0.47514,2.6564),(1315,5155,0.39994,2.6497),(1315,5165,0.46656,2.643),(1315,5175,0.6778,2.6364),(1315,5185,0.88904,2.6205),(1315,5195,1.0428,2.6037),(1315,5205,1.0727,2.5869),(1315,5215,1.1026,2.5704),(1315,5225,1.1261,2.5539),(1315,5235,1.1102,2.5375),(1315,5245,1.0942,2.5224),(1315,5255,1.0782,2.5083),(1315,5265,0.75335,2.4943),(1315,5275,0.41576,2.4853),(1315,5285,0.07817,2.4851),(1315,5295,0.14769,2.4849),(1315,5305,0.33059,2.4822),(1315,5315,0.51348,2.4693),(1315,5325,0.6687,2.4564),(1315,5335,0.80578,2.4434),(1315,5345,0.94287,2.4264),(1315,5355,1.0489,2.4094),(1315,5365,1.1132,2.3923),(1315,5375,1.1774,2.3755),(1315,5385,1.157,2.3586),(1315,5395,0.87926,2.3418),(1315,5405,0.60154,2.3332),(1315,5415,0.34394,2.329),(1315,5425,0.35677,2.3247),(1315,5435,0.3696,2.3179),(1315,5445,0.38242,2.3082),(1315,5455,0.46493,2.2986),(1315,5465,0.55596,2.2869),(1315,5475,0.64699,2.2704),(1315,5485,0.69112,2.254),(1315,5495,0.71637,2.2374),(1315,5505,0.74162,2.2196),(1315,5515,0.76834,2.2019),(1315,5525,0.79636,2.1842),(1315,5535,0.82437,2.1654),(1315,5545,0.85278,2.1466),(1315,5555,0.8819,2.1277),(1315,5565,0.91101,2.1079),(1315,5575,0.94022,2.0878),(1315,5585,0.9698,2.0677),(1315,5595,0.99938,2.0471),(1315,5605,1.029,2.0261),(1315,5615,1.0587,2.0051),(1315,5625,1.0885,1.9837),(1315,5635,1.1182,1.962),(1315,5645,1.1478,1.9403),(1315,5655,1.1774,1.9183),(1315,5665,1.207,1.8959),(1315,5675,1.2364,1.8734),(1315,5685,1.2655,1.8509),(1315,5695,1.2947,1.8281),(1315,5705,1.3235,1.8053),(1315,5715,1.3519,1.7826),(1315,5725,1.3804,1.7596),(1315,5735,1.4086,1.7366),(1315,5745,1.436,1.7137),(1315,5755,1.4635,1.6906),(1315,5765,1.4908,1.6674),(1315,5775,1.5171,1.6443),(1315,5785,1.5434,1.6212),(1315,5795,1.5697,1.5981),(1315,5805,1.5948,1.5751),(1315,5815,1.6198,1.5521),(1315,5825,1.6448,1.5293),(1315,5835,1.6688,1.5065),(1315,5845,1.6924,1.4836),(1315,5855,1.716,1.461),(1315,5865,1.7388,1.4383),(1315,5875,1.7609,1.4156),(1315,5885,1.7831,1.3931),(1315,5895,1.8047,1.3707),(1315,5905,1.8254,1.3482),(1315,5915,1.8461,1.326),(1315,5925,1.8666,1.3038),(1315,5935,1.8859,1.2816),(1315,5945,1.9051,1.2597),(1315,5955,1.9244,1.2379),(1315,5965,1.9429,1.216),(1315,5975,1.9613,1.1943),(1315,5985,1.9798,1.1728),(1315,5995,1.5163,1.1513),(1315,6005,0.97514,1.135),(1315,6015,0.43403,1.1322),(1315,6025,0.39448,1.1295),(1315,6035,0.58756,1.1257),(1315,6045,0.78063,1.112),(1315,6055,0.92426,1.0982),(1315,6065,1.0194,1.0844),(1315,6075,1.1146,1.0662),(1315,6085,1.1805,1.0475),(1315,6095,1.1863,1.0289),(1315,6105,1.192,1.0101),(1315,6115,1.1977,0.99127),(1315,6125,1.2032,0.97243),(1315,6135,1.2087,0.95352),(1315,6145,1.2142,0.93454),(1315,6155,1.2194,0.91557),(1315,6165,1.2245,0.89646),(1315,6175,1.2297,0.8771),(1315,6185,1.2346,0.85774),(1315,6195,1.2394,0.83836),(1315,6205,1.2442,0.81891),(1315,6215,1.2488,0.79946),(1315,6225,1.2533,0.78001),(1315,6235,1.2578,0.76042),(1315,6245,1.2621,0.74084),(1315,6255,1.2663,0.72125),(1315,6265,1.2704,0.70163),(1315,6275,1.2745,0.682),(1315,6285,1.2782,0.66237),(1315,6295,1.282,0.64258),(1315,6305,1.2857,0.62272),(1315,6315,1.2891,0.60286),(1315,6325,1.2924,0.58289),(1315,6335,1.2958,0.56279),(1315,6345,1.2989,0.54269),(1315,6355,1.302,0.52258),(1315,6365,1.305,0.50245),(1315,6375,1.3079,0.48232),(1315,6385,1.3106,0.46217),(1315,6395,1.3133,0.44185),(1315,6405,1.3158,0.42154),(1315,6415,1.3181,0.40122),(1315,6425,1.3204,0.38078),(1315,6435,1.3226,0.36034),(1315,6445,1.3245,0.33989),(1315,6455,1.3264,0.31954),(1315,6465,1.3283,0.29922),(1315,6475,1.3298,0.2789),(1315,6485,1.3314,0.25854),(1315,6495,1.333,0.23815),(1315,6505,1.3341,0.21776),(1315,6515,1.3353,0.19727),(1315,6525,1.3365,0.17664),(1315,6535,1.3375,0.15601),(1315,6545,1.3383,0.13539),(1315,6555,1.3392,0.11479),(1315,6565,1.3398,0.094191),(1315,6575,1.3402,0.073593),(1315,6585,1.3407,0.053055),(1315,6595,1.1404,0.032516),(1315,6605,0.71867,0.011978),(1315,6615,0.29689,0.009628),(1315,6625,0.000395,0.009616),(1315,6635,0.000397,0.009603),(1315,6645,0.000399,0.009594),(1315,6655,0.000402,0.009586),(1315,6665,0.000404,0.009579),(1315,6675,0.000406,0.009572),(1315,6685,0.000409,0.009564),(1315,6695,0.000411,0.009557),(1315,6705,0.000413,0.009549),(1315,6715,0.000415,0.009542),(1315,6725,0.000417,0.009534),(1315,6735,0.000419,0.009527),(1315,6745,0.000422,0.009519),(1315,6755,0.000424,0.009512),(1315,6765,0.000426,0.009504),(1315,6775,0.000428,0.009497),(1315,6785,0.00043,0.009489),(1315,6795,0.000432,0.009481),(1315,6805,0.000433,0.009474),(1315,6815,0.000435,0.009466),(1315,6825,0.000437,0.009458),(1315,6835,0.000439,0.009451),(1315,6845,0.000441,0.009443),(1315,6855,0.000443,0.009435),(1315,6865,0.000445,0.009428),(1315,6875,0.000446,0.00942),(1315,6885,0.000448,0.009412),(1315,6895,0.00045,0.009404),(1315,6905,0.000451,0.009397),(1315,6915,0.000453,0.009389),(1315,6925,0.000455,0.009381),(1315,6935,0.000456,0.009373),(1315,6945,0.000458,0.009365),(1315,6955,0.000459,0.009357),(1315,6965,0.000461,0.009349),(1315,6975,0.000463,0.009341),(1315,6985,0.000464,0.009333),(1325,5,5.5e-05,3.6729),(1325,15,0.000166,3.6729),(1325,25,0.000276,3.6729),(1325,35,0.000387,3.6729),(1325,45,0.000498,3.6729),(1325,55,0.000608,3.6729),(1325,65,0.000719,3.6729),(1325,75,0.00083,3.6729),(1325,85,0.000941,3.6729),(1325,95,0.001052,3.6729),(1325,105,0.001163,3.6729),(1325,115,0.001275,3.6729),(1325,125,0.001386,3.6728),(1325,135,0.001497,3.6728),(1325,145,0.001609,3.6728),(1325,155,0.001722,3.6728),(1325,165,0.001834,3.6728),(1325,175,0.001946,3.6728),(1325,185,0.002059,3.6727),(1325,195,0.002172,3.6727),(1325,205,0.002285,3.6727),(1325,215,0.002398,3.6727),(1325,225,0.002512,3.6726),(1325,235,0.002627,3.6726),(1325,245,0.002741,3.6726),(1325,255,0.002855,3.6725),(1325,265,0.002971,3.6725),(1325,275,0.003086,3.6725),(1325,285,0.003202,3.6724),(1325,295,0.003318,3.6724),(1325,305,0.003435,3.6723),(1325,315,0.003552,3.6723),(1325,325,0.00367,3.6723),(1325,335,0.003787,3.6722),(1325,345,0.003906,3.6722),(1325,355,0.004025,3.6721),(1325,365,0.004145,3.6721),(1325,375,0.004264,3.672),(1325,385,0.004385,3.672),(1325,395,0.004506,3.6719),(1325,405,0.004627,3.6719),(1325,415,0.004749,3.6718),(1325,425,0.004872,3.6718),(1325,435,0.004995,3.6717),(1325,445,0.005119,3.6717),(1325,455,0.005242,3.6716),(1325,465,0.005369,3.6715),(1325,475,0.005495,3.6715),(1325,485,0.005621,3.6714),(1325,495,0.005747,3.6713),(1325,505,0.005875,3.6713),(1325,515,0.006004,3.6712),(1325,525,0.006133,3.6711),(1325,535,0.006262,3.6711),(1325,545,0.006394,3.671),(1325,555,0.006525,3.6709),(1325,565,0.006657,3.6708),(1325,575,0.006789,3.6708),(1325,585,0.006924,3.6707),(1325,595,0.007058,3.6706),(1325,605,0.007193,3.6705),(1325,615,0.007328,3.6704),(1325,625,0.007467,3.6703),(1325,635,0.007605,3.6703),(1325,645,0.007743,3.6702),(1325,655,0.007882,3.6701),(1325,665,0.008024,3.67),(1325,675,0.008166,3.6699),(1325,685,0.008308,3.6698),(1325,695,0.008451,3.6697),(1325,705,0.008596,3.6696),(1325,715,0.008742,3.6695),(1325,725,0.008888,3.6694),(1325,735,0.009035,3.6693),(1325,745,0.009184,3.6692),(1325,755,0.009334,3.6691),(1325,765,0.009484,3.6689),(1325,775,0.009635,3.6688),(1325,785,0.009789,3.6687),(1325,795,0.009943,3.6686),(1325,805,0.010098,3.6685),(1325,815,0.010253,3.6683),(1325,825,0.010412,3.6682),(1325,835,0.010571,3.6681),(1325,845,0.01073,3.668),(1325,855,0.01089,3.6678),(1325,865,0.011053,3.6677),(1325,875,0.011217,3.6676),(1325,885,0.011381,3.6674),(1325,895,0.011546,3.6673),(1325,905,0.011714,3.6672),(1325,915,0.011883,3.667),(1325,925,0.012051,3.6669),(1325,935,0.012222,3.6667),(1325,945,0.012396,3.6666),(1325,955,0.012569,3.6664),(1325,965,0.012743,3.6663),(1325,975,0.012919,3.6661),(1325,985,0.013098,3.666),(1325,995,0.013277,3.6658),(1325,1005,0.013457,3.6656),(1325,1015,0.013639,3.6655),(1325,1025,0.013824,3.6653),(1325,1035,0.014008,3.6651),(1325,1045,0.014193,3.665),(1325,1055,0.014381,3.6648),(1325,1065,0.014572,3.6646),(1325,1075,0.014763,3.6644),(1325,1085,0.014954,3.6643),(1325,1095,0.015148,3.6641),(1325,1105,0.015345,3.6639),(1325,1115,0.015542,3.6637),(1325,1125,0.015739,3.6635),(1325,1135,0.015939,3.6633),(1325,1145,0.016142,3.6631),(1325,1155,0.016345,3.6629),(1325,1165,0.016549,3.6627),(1325,1175,0.016756,3.6625),(1325,1185,0.016966,3.6623),(1325,1195,0.017175,3.6621),(1325,1205,0.017385,3.6618),(1325,1215,0.017599,3.6616),(1325,1225,0.017816,3.6614),(1325,1235,0.018032,3.6612),(1325,1245,0.018248,3.6609),(1325,1255,0.01847,3.6607),(1325,1265,0.018693,3.6605),(1325,1275,0.018916,3.6602),(1325,1285,0.01914,3.66),(1325,1295,0.019368,3.6598),(1325,1305,0.019599,3.6595),(1325,1315,0.019829,3.6593),(1325,1325,0.020059,3.659),(1325,1335,0.020295,3.6588),(1325,1345,0.020533,3.6585),(1325,1355,0.02077,3.6582),(1325,1365,0.021008,3.658),(1325,1375,0.021251,3.6577),(1325,1385,0.021496,3.6574),(1325,1395,0.021741,3.6571),(1325,1405,0.021985,3.6568),(1325,1415,0.022237,3.6566),(1325,1425,0.022489,3.6563),(1325,1435,0.022741,3.656),(1325,1445,0.022994,3.6557),(1325,1455,0.023253,3.6554),(1325,1465,0.023513,3.6551),(1325,1475,0.023773,3.6548),(1325,1485,0.024032,3.6545),(1325,1495,0.0243,3.6541),(1325,1505,0.024567,3.6538),(1325,1515,0.024835,3.6535),(1325,1525,0.025102,3.6532),(1325,1535,0.025377,3.6528),(1325,1545,0.025653,3.6525),(1325,1555,0.025928,3.6522),(1325,1565,0.026203,3.6518),(1325,1575,0.026486,3.6515),(1325,1585,0.026769,3.6511),(1325,1595,0.027052,3.6507),(1325,1605,0.027336,3.6504),(1325,1615,0.027627,3.65),(1325,1625,0.027918,3.6496),(1325,1635,0.028208,3.6493),(1325,1645,0.0285,3.6489),(1325,1655,0.028799,3.6485),(1325,1665,0.029097,3.6481),(1325,1675,0.029396,3.6477),(1325,1685,0.029695,3.6473),(1325,1695,0.030001,3.6469),(1325,1705,0.030308,3.6465),(1325,1715,0.030614,3.6461),(1325,1725,0.030921,3.6456),(1325,1735,0.031235,3.6452),(1325,1745,0.031549,3.6448),(1325,1755,0.031863,3.6444),(1325,1765,0.032178,3.6439),(1325,1775,0.0325,3.6435),(1325,1785,0.032821,3.643),(1325,1795,0.033143,3.6426),(1325,1805,0.033466,3.6421),(1325,1815,0.033795,3.6416),(1325,1825,0.034124,3.6412),(1325,1835,0.034452,3.6407),(1325,1845,0.034784,3.6402),(1325,1855,0.03512,3.6397),(1325,1865,0.035456,3.6392),(1325,1875,0.035791,3.6387),(1325,1885,0.03613,3.6382),(1325,1895,0.036473,3.6377),(1325,1905,0.036816,3.6372),(1325,1915,0.037159,3.6366),(1325,1925,0.037504,3.6361),(1325,1935,0.037854,3.6356),(1325,1945,0.038203,3.635),(1325,1955,0.038553,3.6345),(1325,1965,0.038905,3.6339),(1325,1975,0.039261,3.6334),(1325,1985,0.039616,3.6328),(1325,1995,0.039972,3.6322),(1325,2005,0.040331,3.6316),(1325,2015,0.040692,3.6311),(1325,2025,0.041054,3.6305),(1325,2035,0.041415,3.6299),(1325,2045,0.04178,3.6293),(1325,2055,0.042147,3.6287),(1325,2065,0.042514,3.628),(1325,2075,0.042881,3.6274),(1325,2085,0.043251,3.6268),(1325,2095,0.043623,3.6261),(1325,2105,0.043996,3.6255),(1325,2115,0.044368,3.6248),(1325,2125,0.044743,3.6242),(1325,2135,0.045119,3.6235),(1325,2145,0.045496,3.6229),(1325,2155,0.045873,3.6222),(1325,2165,0.046252,3.6215),(1325,2175,0.046632,3.6208),(1325,2185,0.047012,3.6201),(1325,2195,0.047393,3.6194),(1325,2205,0.047775,3.6187),(1325,2215,0.048159,3.618),(1325,2225,0.048542,3.6172),(1325,2235,0.048926,3.6165),(1325,2245,0.049311,3.6157),(1325,2255,0.049697,3.615),(1325,2265,0.050083,3.6142),(1325,2275,0.050469,3.6135),(1325,2285,0.050856,3.6127),(1325,2295,0.051243,3.6119),(1325,2305,0.051631,3.6112),(1325,2315,0.052018,3.6104),(1325,2325,0.052407,3.6096),(1325,2335,0.052795,3.6088),(1325,2345,0.053183,3.6079),(1325,2355,0.053571,3.6071),(1325,2365,0.053959,3.6063),(1325,2375,0.054347,3.6055),(1325,2385,0.054735,3.6046),(1325,2395,0.055122,3.6038),(1325,2405,0.055509,3.6029),(1325,2415,0.055896,3.602),(1325,2425,0.056282,3.6012),(1325,2435,0.056669,3.6003),(1325,2445,0.057053,3.5994),(1325,2455,0.057437,3.5985),(1325,2465,0.057822,3.5976),(1325,2475,0.058206,3.5967),(1325,2485,0.058587,3.5958),(1325,2495,0.058968,3.5949),(1325,2505,0.059349,3.5939),(1325,2515,0.05973,3.593),(1325,2525,0.060107,3.592),(1325,2535,0.060483,3.5911),(1325,2545,0.06086,3.5901),(1325,2555,0.061236,3.5891),(1325,2565,0.061606,3.5882),(1325,2575,0.061977,3.5872),(1325,2585,0.062347,3.5862),(1325,2595,0.062717,3.5852),(1325,2605,0.06308,3.5842),(1325,2615,0.063443,3.5832),(1325,2625,0.063806,3.5822),(1325,2635,0.064168,3.5811),(1325,2645,0.064522,3.5801),(1325,2655,0.064876,3.5791),(1325,2665,0.06523,3.578),(1325,2675,0.065583,3.577),(1325,2685,0.065927,3.5759),(1325,2695,0.066271,3.5749),(1325,2705,0.066616,3.5738),(1325,2715,0.066957,3.5727),(1325,2725,0.06729,3.5716),(1325,2735,0.067623,3.5705),(1325,2745,0.067955,3.5694),(1325,2755,0.068285,3.5683),(1325,2765,0.068604,3.5672),(1325,2775,0.068923,3.5661),(1325,2785,0.069242,3.565),(1325,2795,0.069557,3.5638),(1325,2805,0.069862,3.5627),(1325,2815,0.070166,3.5616),(1325,2825,0.07047,3.5604),(1325,2835,0.070769,3.5593),(1325,2845,0.071056,3.5581),(1325,2855,0.071344,3.5569),(1325,2865,0.071632,3.5558),(1325,2875,0.071912,3.5546),(1325,2885,0.072181,3.5534),(1325,2895,0.07245,3.5522),(1325,2905,0.07272,3.551),(1325,2915,0.07298,3.5499),(1325,2925,0.073229,3.5487),(1325,2935,0.073477,3.5475),(1325,2945,0.073726,3.5462),(1325,2955,0.073965,3.545),(1325,2965,0.074191,3.5438),(1325,2975,0.074418,3.5426),(1325,2985,0.074644,3.5414),(1325,2995,0.074859,3.5401),(1325,3005,0.075061,3.5389),(1325,3015,0.075263,3.5377),(1325,3025,0.075466,3.5364),(1325,3035,0.075654,3.5352),(1325,3045,0.075831,3.534),(1325,3055,0.076007,3.5327),(1325,3065,0.076183,3.5315),(1325,3075,0.076343,3.5302),(1325,3085,0.076491,3.529),(1325,3095,0.076639,3.5277),(1325,3105,0.076787,3.5264),(1325,3115,0.076917,3.5252),(1325,3125,0.077034,3.5239),(1325,3135,0.077152,3.5227),(1325,3145,0.077269,3.5214),(1325,3155,0.077365,3.5201),(1325,3165,0.07745,3.5189),(1325,3175,0.077534,3.5176),(1325,3185,0.077619,3.5163),(1325,3195,0.077679,3.515),(1325,3205,0.077729,3.5138),(1325,3215,0.077779,3.5125),(1325,3225,0.077828,3.5112),(1325,3235,0.077851,3.51),(1325,3245,0.077863,3.5087),(1325,3255,0.077876,3.5074),(1325,3265,0.077888,3.5062),(1325,3275,0.07787,3.5049),(1325,3285,0.077843,3.5036),(1325,3295,0.077816,3.5024),(1325,3305,0.077789,3.5011),(1325,3315,0.077728,3.4998),(1325,3325,0.077659,3.4986),(1325,3335,0.07759,3.4973),(1325,3345,0.07752,3.4961),(1325,3355,0.077413,3.4948),(1325,3365,0.077299,3.4935),(1325,3375,0.077186,3.4923),(1325,3385,0.077072,3.4911),(1325,3395,0.076916,3.4898),(1325,3405,0.076755,3.4886),(1325,3415,0.076594,3.4873),(1325,3425,0.076432,3.4861),(1325,3435,0.076225,3.4849),(1325,3445,0.076014,3.4836),(1325,3455,0.075803,3.4824),(1325,3465,0.075593,3.4812),(1325,3475,0.075331,3.48),(1325,3485,0.075068,3.4788),(1325,3495,0.074805,3.4776),(1325,3505,0.074541,3.4764),(1325,3515,0.074223,3.4752),(1325,3525,0.073904,3.474),(1325,3535,0.073586,3.4729),(1325,3545,0.073265,3.4717),(1325,3555,0.072889,3.4705),(1325,3565,0.072513,3.4693),(1325,3575,0.072137,3.4682),(1325,3585,0.071756,3.4671),(1325,3595,0.071319,3.4659),(1325,3605,0.070882,3.4648),(1325,3615,0.070446,3.4636),(1325,3625,0.070001,3.4625),(1325,3635,0.069501,3.4614),(1325,3645,0.069001,3.4603),(1325,3655,0.068501,3.4592),(1325,3665,0.067991,3.4581),(1325,3675,0.067425,3.457),(1325,3685,0.066859,3.4559),(1325,3695,0.066293,3.4549),(1325,3705,0.065713,3.4538),(1325,3715,0.065078,3.4528),(1325,3725,0.064444,3.4517),(1325,3735,0.063809,3.4507),(1325,3745,0.063157,3.4497),(1325,3755,0.062451,3.4486),(1325,3765,0.061745,3.4476),(1325,3775,0.061039,3.4466),(1325,3785,0.060312,3.4456),(1325,3795,0.059531,3.4446),(1325,3805,0.058751,3.4436),(1325,3815,0.05797,3.4427),(1325,3825,0.057165,3.4417),(1325,3835,0.056306,3.4407),(1325,3845,0.055448,3.4398),(1325,3855,0.05459,3.4389),(1325,3865,0.053702,3.4379),(1325,3875,0.052762,3.437),(1325,3885,0.051821,3.4361),(1325,3895,0.050881,3.4352),(1325,3905,0.05902,3.4343),(1325,3915,0.080723,3.4334),(1325,3925,0.10242,3.4319),(1325,3935,0.12413,3.4296),(1325,3945,0.14897,3.4273),(1325,3955,0.17782,3.425),(1325,3965,0.20666,3.4219),(1325,3975,0.2355,3.418),(1325,3985,0.25324,3.4141),(1325,3995,0.25896,3.4102),(1325,4005,0.26469,3.4062),(1325,4015,0.27041,3.402),(1325,4025,0.27555,3.3978),(1325,4035,0.28063,3.3935),(1325,4045,0.28571,3.389),(1325,4055,0.29015,3.3845),(1325,4065,0.29435,3.38),(1325,4075,0.29855,3.3752),(1325,4085,0.30218,3.3704),(1325,4095,0.30535,3.3656),(1325,4105,0.30851,3.3605),(1325,4115,0.29978,3.3553),(1325,4125,0.27132,3.3501),(1325,4135,0.24286,3.3458),(1325,4145,0.21349,3.3418),(1325,4155,0.18043,3.3378),(1325,4165,0.14738,3.3347),(1325,4175,0.11614,3.3323),(1325,4185,0.17517,3.3298),(1325,4195,0.2342,3.326),(1325,4205,0.29322,3.3204),(1325,4215,0.29205,3.3149),(1325,4225,0.27955,3.3095),(1325,4235,0.26705,3.3048),(1325,4245,0.24652,3.3),(1325,4255,0.22192,3.2953),(1325,4265,0.19731,3.2918),(1325,4275,0.16399,3.2883),(1325,4285,0.12143,3.2847),(1325,4295,0.07887,3.2834),(1325,4305,0.071529,3.2823),(1325,4315,0.14372,3.2813),(1325,4325,0.21591,3.276),(1325,4335,0.28013,3.269),(1325,4345,0.2904,3.262),(1325,4355,0.30066,3.255),(1325,4365,0.31093,3.2479),(1325,4375,0.31074,3.2409),(1325,4385,0.30999,3.2343),(1325,4395,0.30925,3.2283),(1325,4405,0.2671,3.2222),(1325,4415,0.21273,3.217),(1325,4425,0.15836,3.215),(1325,4435,0.14025,3.213),(1325,4445,0.14694,3.211),(1325,4455,0.15362,3.2084),(1325,4465,0.19113,3.2059),(1325,4475,0.27193,3.2034),(1325,4485,0.35273,3.1971),(1325,4495,0.41774,3.19),(1325,4505,0.4321,3.1828),(1325,4515,0.44646,3.175),(1325,4525,0.45973,3.1668),(1325,4535,0.4559,3.1585),(1325,4545,0.45207,3.1503),(1325,4555,0.44824,3.1422),(1325,4565,0.33081,3.1341),(1325,4575,0.19806,3.1281),(1325,4585,0.065315,3.1275),(1325,4595,0.061022,3.1268),(1325,4605,0.111,3.1258),(1325,4615,0.16099,3.122),(1325,4625,0.21477,3.1182),(1325,4635,0.272,3.1144),(1325,4645,0.32922,3.1082),(1325,4655,0.38411,3.1017),(1325,4665,0.4346,3.0953),(1325,4675,0.48509,3.0871),(1325,4685,0.50891,3.0784),(1325,4695,0.40093,3.0696),(1325,4705,0.29295,3.0638),(1325,4715,0.18497,3.0602),(1325,4725,0.24578,3.0566),(1325,4735,0.30828,3.0516),(1325,4745,0.37078,3.0446),(1325,4755,0.45735,3.0375),(1325,4765,0.5495,3.0295),(1325,4775,0.64165,3.0183),(1325,4785,0.69155,3.0072),(1325,4795,0.71703,2.996),(1325,4805,0.74251,2.9848),(1325,4815,0.72487,2.9736),(1325,4825,0.65567,2.9624),(1325,4835,0.58647,2.9547),(1325,4845,0.50583,2.9475),(1325,4855,0.39538,2.9403),(1325,4865,0.28493,2.9354),(1325,4875,0.20268,2.9315),(1325,4885,0.37699,2.9276),(1325,4895,0.55129,2.9184),(1325,4905,0.7256,2.9043),(1325,4915,0.72835,2.8902),(1325,4925,0.71635,2.8764),(1325,4935,0.70435,2.8634),(1325,4945,0.64505,2.8503),(1325,4955,0.56936,2.8379),(1325,4965,0.49367,2.8293),(1325,4975,0.38467,2.8207),(1325,4985,0.24994,2.8121),(1325,4995,0.11521,2.8112),(1325,5005,0.11348,2.8105),(1325,5015,0.32319,2.8097),(1325,5025,0.53291,2.8002),(1325,5035,0.71901,2.7884),(1325,5045,0.81516,2.7766),(1325,5055,0.91131,2.7627),(1325,5065,1.0054,2.7475),(1325,5075,1.0328,2.7324),(1325,5085,1.0602,2.7174),(1325,5095,1.0876,2.7027),(1325,5105,0.96088,2.6879),(1325,5115,0.80728,2.6751),(1325,5125,0.65369,2.6676),(1325,5135,0.55307,2.6602),(1325,5145,0.47817,2.6527),(1325,5155,0.40326,2.6461),(1325,5165,0.47069,2.6394),(1325,5175,0.68329,2.6327),(1325,5185,0.8959,2.6169),(1325,5195,1.0505,2.6001),(1325,5205,1.0801,2.5834),(1325,5215,1.1097,2.5669),(1325,5225,1.1328,2.5506),(1325,5235,1.1163,2.5342),(1325,5245,1.0998,2.5191),(1325,5255,1.0833,2.5051),(1325,5265,0.75693,2.4911),(1325,5275,0.41779,2.4822),(1325,5285,0.078659,2.482),(1325,5295,0.14961,2.4818),(1325,5305,0.33476,2.4791),(1325,5315,0.51991,2.4662),(1325,5325,0.67615,2.4533),(1325,5335,0.81345,2.4403),(1325,5345,0.95074,2.4234),(1325,5355,1.0567,2.4064),(1325,5365,1.1205,2.3894),(1325,5375,1.1842,2.3727),(1325,5385,1.163,2.3559),(1325,5395,0.88372,2.3392),(1325,5405,0.60441,2.3307),(1325,5415,0.34545,2.3265),(1325,5425,0.35972,2.3223),(1325,5435,0.37399,2.3154),(1325,5445,0.38826,2.3056),(1325,5455,0.47204,2.2958),(1325,5465,0.56431,2.2839),(1325,5475,0.65659,2.2673),(1325,5485,0.70121,2.2507),(1325,5495,0.72663,2.2339),(1325,5505,0.75205,2.216),(1325,5515,0.77894,2.1981),(1325,5525,0.80712,2.1803),(1325,5535,0.83529,2.1613),(1325,5545,0.86384,2.1423),(1325,5555,0.89307,2.1234),(1325,5565,0.92231,2.1034),(1325,5575,0.95162,2.0833),(1325,5585,0.98127,2.0631),(1325,5595,1.0109,2.0424),(1325,5605,1.0406,2.0213),(1325,5615,1.0703,2.0002),(1325,5625,1.1001,1.9789),(1325,5635,1.1299,1.9571),(1325,5645,1.1595,1.9353),(1325,5655,1.189,1.9134),(1325,5665,1.2186,1.8909),(1325,5675,1.2478,1.8685),(1325,5685,1.2769,1.846),(1325,5695,1.306,1.8233),(1325,5705,1.3347,1.8006),(1325,5715,1.363,1.7779),(1325,5725,1.3913,1.755),(1325,5735,1.4193,1.7321),(1325,5745,1.4466,1.7092),(1325,5755,1.4739,1.6862),(1325,5765,1.5011,1.6631),(1325,5775,1.5272,1.6401),(1325,5785,1.5533,1.6171),(1325,5795,1.5794,1.5942),(1325,5805,1.6043,1.5713),(1325,5815,1.6291,1.5485),(1325,5825,1.6539,1.5258),(1325,5835,1.6776,1.5031),(1325,5845,1.701,1.4804),(1325,5855,1.7244,1.4579),(1325,5865,1.7469,1.4353),(1325,5875,1.7689,1.4128),(1325,5885,1.7908,1.3905),(1325,5895,1.8122,1.3682),(1325,5905,1.8327,1.3459),(1325,5915,1.8532,1.3238),(1325,5925,1.8734,1.3018),(1325,5935,1.8925,1.2798),(1325,5945,1.9115,1.258),(1325,5955,1.9306,1.2364),(1325,5965,1.9489,1.2147),(1325,5975,1.9671,1.1932),(1325,5985,1.9854,1.1718),(1325,5995,1.5205,1.1505),(1325,6005,0.9778,1.1342),(1325,6015,0.43514,1.1315),(1325,6025,0.39642,1.1288),(1325,6035,0.59143,1.1251),(1325,6045,0.78643,1.1113),(1325,6055,0.93138,1.0976),(1325,6065,1.0272,1.0838),(1325,6075,1.1231,1.0656),(1325,6085,1.1895,1.0469),(1325,6095,1.1953,1.0283),(1325,6105,1.2011,1.0095),(1325,6115,1.2068,0.99066),(1325,6125,1.2124,0.97182),(1325,6135,1.2179,0.9529),(1325,6145,1.2234,0.93393),(1325,6155,1.2286,0.91495),(1325,6165,1.2338,0.89583),(1325,6175,1.2389,0.87649),(1325,6185,1.2439,0.85714),(1325,6195,1.2487,0.83777),(1325,6205,1.2536,0.81833),(1325,6215,1.2582,0.79888),(1325,6225,1.2627,0.77944),(1325,6235,1.2672,0.75986),(1325,6245,1.2716,0.74029),(1325,6255,1.2758,0.72071),(1325,6265,1.2799,0.70108),(1325,6275,1.284,0.68145),(1325,6285,1.2878,0.66182),(1325,6295,1.2915,0.64203),(1325,6305,1.2953,0.62218),(1325,6315,1.2987,0.60233),(1325,6325,1.3021,0.58237),(1325,6335,1.3055,0.5623),(1325,6345,1.3086,0.54223),(1325,6355,1.3116,0.52215),(1325,6365,1.3147,0.50204),(1325,6375,1.3175,0.48193),(1325,6385,1.3203,0.46179),(1325,6395,1.323,0.44148),(1325,6405,1.3255,0.42117),(1325,6415,1.3278,0.40086),(1325,6425,1.3302,0.38043),(1325,6435,1.3324,0.35999),(1325,6445,1.3343,0.33956),(1325,6455,1.3362,0.31923),(1325,6465,1.3381,0.29893),(1325,6475,1.3397,0.27862),(1325,6485,1.3412,0.25828),(1325,6495,1.3428,0.23792),(1325,6505,1.344,0.21755),(1325,6515,1.3452,0.19708),(1325,6525,1.3464,0.17649),(1325,6535,1.3473,0.15589),(1325,6545,1.3482,0.1353),(1325,6555,1.349,0.11473),(1325,6565,1.3496,0.094152),(1325,6575,1.35,0.073581),(1325,6585,1.3505,0.053064),(1325,6595,1.1488,0.032546),(1325,6605,0.72394,0.012029),(1325,6615,0.29907,0.009667),(1325,6625,0.000399,0.009639),(1325,6635,0.000401,0.00961),(1325,6645,0.000403,0.009596),(1325,6655,0.000406,0.009589),(1325,6665,0.000408,0.009581),(1325,6675,0.00041,0.009574),(1325,6685,0.000413,0.009566),(1325,6695,0.000415,0.009559),(1325,6705,0.000417,0.009551),(1325,6715,0.000419,0.009544),(1325,6725,0.000421,0.009537),(1325,6735,0.000423,0.009529),(1325,6745,0.000426,0.009522),(1325,6755,0.000428,0.009514),(1325,6765,0.00043,0.009506),(1325,6775,0.000432,0.009499),(1325,6785,0.000434,0.009491),(1325,6795,0.000436,0.009483),(1325,6805,0.000438,0.009476),(1325,6815,0.00044,0.009468),(1325,6825,0.000441,0.00946),(1325,6835,0.000443,0.009453),(1325,6845,0.000445,0.009445),(1325,6855,0.000447,0.009437),(1325,6865,0.000449,0.009429),(1325,6875,0.00045,0.009422),(1325,6885,0.000452,0.009414),(1325,6895,0.000454,0.009406),(1325,6905,0.000456,0.009398),(1325,6915,0.000457,0.00939),(1325,6925,0.000459,0.009383),(1325,6935,0.000461,0.009375),(1325,6945,0.000462,0.009367),(1325,6955,0.000464,0.009359),(1325,6965,0.000465,0.009351),(1325,6975,0.000467,0.009343),(1325,6985,0.000468,0.009335),(1335,5,5.5e-05,3.6731),(1335,15,0.000166,3.6731),(1335,25,0.000277,3.6731),(1335,35,0.000388,3.6731),(1335,45,0.000499,3.673),(1335,55,0.00061,3.673),(1335,65,0.000721,3.673),(1335,75,0.000833,3.673),(1335,85,0.000944,3.673),(1335,95,0.001055,3.673),(1335,105,0.001167,3.673),(1335,115,0.001279,3.673),(1335,125,0.001391,3.673),(1335,135,0.001503,3.6729),(1335,145,0.001615,3.6729),(1335,155,0.001728,3.6729),(1335,165,0.00184,3.6729),(1335,175,0.001953,3.6729),(1335,185,0.002066,3.6728),(1335,195,0.00218,3.6728),(1335,205,0.002293,3.6728),(1335,215,0.002407,3.6728),(1335,225,0.002521,3.6727),(1335,235,0.002636,3.6727),(1335,245,0.00275,3.6727),(1335,255,0.002865,3.6726),(1335,265,0.002981,3.6726),(1335,275,0.003097,3.6726),(1335,285,0.003213,3.6725),(1335,295,0.003329,3.6725),(1335,305,0.003447,3.6725),(1335,315,0.003565,3.6724),(1335,325,0.003683,3.6724),(1335,335,0.003801,3.6723),(1335,345,0.00392,3.6723),(1335,355,0.004039,3.6723),(1335,365,0.004159,3.6722),(1335,375,0.004279,3.6722),(1335,385,0.0044,3.6721),(1335,395,0.004522,3.6721),(1335,405,0.004644,3.672),(1335,415,0.004765,3.672),(1335,425,0.004889,3.6719),(1335,435,0.005013,3.6718),(1335,445,0.005137,3.6718),(1335,455,0.005261,3.6717),(1335,465,0.005388,3.6717),(1335,475,0.005514,3.6716),(1335,485,0.005641,3.6715),(1335,495,0.005767,3.6715),(1335,505,0.005897,3.6714),(1335,515,0.006026,3.6713),(1335,525,0.006155,3.6713),(1335,535,0.006285,3.6712),(1335,545,0.006417,3.6711),(1335,555,0.006549,3.671),(1335,565,0.006681,3.671),(1335,575,0.006814,3.6709),(1335,585,0.006949,3.6708),(1335,595,0.007084,3.6707),(1335,605,0.00722,3.6706),(1335,615,0.007356,3.6706),(1335,625,0.007495,3.6705),(1335,635,0.007633,3.6704),(1335,645,0.007772,3.6703),(1335,655,0.007912,3.6702),(1335,665,0.008054,3.6701),(1335,675,0.008197,3.67),(1335,685,0.008339,3.6699),(1335,695,0.008483,3.6698),(1335,705,0.008629,3.6697),(1335,715,0.008775,3.6696),(1335,725,0.008922,3.6695),(1335,735,0.009069,3.6694),(1335,745,0.00922,3.6693),(1335,755,0.00937,3.6692),(1335,765,0.009521,3.6691),(1335,775,0.009672,3.669),(1335,785,0.009827,3.6689),(1335,795,0.009982,3.6687),(1335,805,0.010137,3.6686),(1335,815,0.010293,3.6685),(1335,825,0.010453,3.6684),(1335,835,0.010612,3.6683),(1335,845,0.010772,3.6681),(1335,855,0.010933,3.668),(1335,865,0.011098,3.6679),(1335,875,0.011262,3.6677),(1335,885,0.011426,3.6676),(1335,895,0.011592,3.6675),(1335,905,0.011762,3.6673),(1335,915,0.011931,3.6672),(1335,925,0.0121,3.667),(1335,935,0.012272,3.6669),(1335,945,0.012447,3.6668),(1335,955,0.012621,3.6666),(1335,965,0.012796,3.6665),(1335,975,0.012973,3.6663),(1335,985,0.013153,3.6661),(1335,995,0.013333,3.666),(1335,1005,0.013513,3.6658),(1335,1015,0.013696,3.6657),(1335,1025,0.013882,3.6655),(1335,1035,0.014068,3.6653),(1335,1045,0.014254,3.6652),(1335,1055,0.014443,3.665),(1335,1065,0.014635,3.6648),(1335,1075,0.014827,3.6646),(1335,1085,0.015018,3.6644),(1335,1095,0.015214,3.6643),(1335,1105,0.015412,3.6641),(1335,1115,0.01561,3.6639),(1335,1125,0.015808,3.6637),(1335,1135,0.01601,3.6635),(1335,1145,0.016214,3.6633),(1335,1155,0.016418,3.6631),(1335,1165,0.016623,3.6629),(1335,1175,0.016831,3.6627),(1335,1185,0.017042,3.6625),(1335,1195,0.017253,3.6623),(1335,1205,0.017464,3.6621),(1335,1215,0.01768,3.6618),(1335,1225,0.017897,3.6616),(1335,1235,0.018115,3.6614),(1335,1245,0.018333,3.6612),(1335,1255,0.018556,3.6609),(1335,1265,0.01878,3.6607),(1335,1275,0.019005,3.6605),(1335,1285,0.01923,3.6602),(1335,1295,0.01946,3.66),(1335,1305,0.019692,3.6597),(1335,1315,0.019923,3.6595),(1335,1325,0.020155,3.6592),(1335,1335,0.020393,3.659),(1335,1345,0.020632,3.6587),(1335,1355,0.020871,3.6585),(1335,1365,0.02111,3.6582),(1335,1375,0.021355,3.6579),(1335,1385,0.021602,3.6577),(1335,1395,0.021848,3.6574),(1335,1405,0.022094,3.6571),(1335,1415,0.022348,3.6568),(1335,1425,0.022602,3.6565),(1335,1435,0.022856,3.6562),(1335,1445,0.02311,3.6559),(1335,1455,0.023371,3.6556),(1335,1465,0.023633,3.6553),(1335,1475,0.023894,3.655),(1335,1485,0.024156,3.6547),(1335,1495,0.024425,3.6544),(1335,1505,0.024694,3.6541),(1335,1515,0.024964,3.6538),(1335,1525,0.025233,3.6534),(1335,1535,0.025511,3.6531),(1335,1545,0.025788,3.6528),(1335,1555,0.026065,3.6524),(1335,1565,0.026343,3.6521),(1335,1575,0.026628,3.6517),(1335,1585,0.026913,3.6514),(1335,1595,0.027198,3.651),(1335,1605,0.027484,3.6507),(1335,1615,0.027778,3.6503),(1335,1625,0.028071,3.6499),(1335,1635,0.028364,3.6496),(1335,1645,0.028658,3.6492),(1335,1655,0.028959,3.6488),(1335,1665,0.029259,3.6484),(1335,1675,0.02956,3.648),(1335,1685,0.029863,3.6476),(1335,1695,0.030171,3.6472),(1335,1705,0.03048,3.6468),(1335,1715,0.030788,3.6464),(1335,1725,0.031099,3.646),(1335,1735,0.031415,3.6455),(1335,1745,0.031731,3.6451),(1335,1755,0.032048,3.6447),(1335,1765,0.032366,3.6442),(1335,1775,0.03269,3.6438),(1335,1785,0.033014,3.6433),(1335,1795,0.033338,3.6429),(1335,1805,0.033665,3.6424),(1335,1815,0.033996,3.642),(1335,1825,0.034328,3.6415),(1335,1835,0.03466,3.641),(1335,1845,0.034994,3.6405),(1335,1855,0.035333,3.64),(1335,1865,0.035672,3.6395),(1335,1875,0.036011,3.639),(1335,1885,0.036352,3.6385),(1335,1895,0.036698,3.638),(1335,1905,0.037044,3.6375),(1335,1915,0.03739,3.637),(1335,1925,0.037739,3.6365),(1335,1935,0.038092,3.6359),(1335,1945,0.038444,3.6354),(1335,1955,0.038797,3.6348),(1335,1965,0.039153,3.6343),(1335,1975,0.039512,3.6337),(1335,1985,0.039871,3.6332),(1335,1995,0.04023,3.6326),(1335,2005,0.040592,3.632),(1335,2015,0.040957,3.6314),(1335,2025,0.041322,3.6308),(1335,2035,0.041687,3.6302),(1335,2045,0.042055,3.6296),(1335,2055,0.042426,3.629),(1335,2065,0.042796,3.6284),(1335,2075,0.043167,3.6278),(1335,2085,0.043541,3.6271),(1335,2095,0.043916,3.6265),(1335,2105,0.044292,3.6259),(1335,2115,0.044668,3.6252),(1335,2125,0.045047,3.6246),(1335,2135,0.045427,3.6239),(1335,2145,0.045807,3.6232),(1335,2155,0.046188,3.6225),(1335,2165,0.046571,3.6219),(1335,2175,0.046955,3.6212),(1335,2185,0.047339,3.6205),(1335,2195,0.047723,3.6198),(1335,2205,0.04811,3.6191),(1335,2215,0.048497,3.6183),(1335,2225,0.048885,3.6176),(1335,2235,0.049272,3.6169),(1335,2245,0.049661,3.6161),(1335,2255,0.050051,3.6154),(1335,2265,0.050441,3.6146),(1335,2275,0.050831,3.6139),(1335,2285,0.051222,3.6131),(1335,2295,0.051614,3.6123),(1335,2305,0.052006,3.6115),(1335,2315,0.052397,3.6107),(1335,2325,0.052789,3.6099),(1335,2335,0.053182,3.6091),(1335,2345,0.053574,3.6083),(1335,2355,0.053967,3.6075),(1335,2365,0.054359,3.6067),(1335,2375,0.054751,3.6058),(1335,2385,0.055143,3.605),(1335,2395,0.055535,3.6041),(1335,2405,0.055926,3.6033),(1335,2415,0.056316,3.6024),(1335,2425,0.056707,3.6015),(1335,2435,0.057098,3.6007),(1335,2445,0.057486,3.5998),(1335,2455,0.057875,3.5989),(1335,2465,0.058263,3.598),(1335,2475,0.058652,3.5971),(1335,2485,0.059037,3.5961),(1335,2495,0.059422,3.5952),(1335,2505,0.059808,3.5943),(1335,2515,0.060193,3.5933),(1335,2525,0.060573,3.5924),(1335,2535,0.060954,3.5915),(1335,2545,0.061334,3.5905),(1335,2555,0.061715,3.5895),(1335,2565,0.062089,3.5885),(1335,2575,0.062464,3.5876),(1335,2585,0.062838,3.5866),(1335,2595,0.063212,3.5856),(1335,2605,0.063579,3.5846),(1335,2615,0.063947,3.5836),(1335,2625,0.064314,3.5825),(1335,2635,0.064679,3.5815),(1335,2645,0.065038,3.5805),(1335,2655,0.065396,3.5794),(1335,2665,0.065754,3.5784),(1335,2675,0.06611,3.5773),(1335,2685,0.066458,3.5763),(1335,2695,0.066806,3.5752),(1335,2705,0.067154,3.5741),(1335,2715,0.0675,3.573),(1335,2725,0.067836,3.5719),(1335,2735,0.068172,3.5709),(1335,2745,0.068509,3.5697),(1335,2755,0.068842,3.5686),(1335,2765,0.069164,3.5675),(1335,2775,0.069487,3.5664),(1335,2785,0.06981,3.5653),(1335,2795,0.070128,3.5641),(1335,2805,0.070436,3.563),(1335,2815,0.070743,3.5619),(1335,2825,0.071051,3.5607),(1335,2835,0.071353,3.5596),(1335,2845,0.071643,3.5584),(1335,2855,0.071934,3.5572),(1335,2865,0.072225,3.556),(1335,2875,0.072508,3.5549),(1335,2885,0.07278,3.5537),(1335,2895,0.073052,3.5525),(1335,2905,0.073324,3.5513),(1335,2915,0.073587,3.5501),(1335,2925,0.073838,3.5489),(1335,2935,0.07409,3.5477),(1335,2945,0.074341,3.5465),(1335,2955,0.074582,3.5453),(1335,2965,0.07481,3.5441),(1335,2975,0.075039,3.5428),(1335,2985,0.075268,3.5416),(1335,2995,0.075484,3.5404),(1335,3005,0.075688,3.5391),(1335,3015,0.075893,3.5379),(1335,3025,0.076097,3.5366),(1335,3035,0.076287,3.5354),(1335,3045,0.076465,3.5341),(1335,3055,0.076643,3.5329),(1335,3065,0.07682,3.5316),(1335,3075,0.076982,3.5304),(1335,3085,0.077131,3.5291),(1335,3095,0.07728,3.5278),(1335,3105,0.077429,3.5266),(1335,3115,0.077559,3.5253),(1335,3125,0.077678,3.524),(1335,3135,0.077796,3.5228),(1335,3145,0.077914,3.5215),(1335,3155,0.078011,3.5202),(1335,3165,0.078096,3.5189),(1335,3175,0.078181,3.5177),(1335,3185,0.078265,3.5164),(1335,3195,0.078326,3.5151),(1335,3205,0.078376,3.5138),(1335,3215,0.078425,3.5125),(1335,3225,0.078475,3.5113),(1335,3235,0.078497,3.51),(1335,3245,0.078509,3.5087),(1335,3255,0.078521,3.5074),(1335,3265,0.078533,3.5061),(1335,3275,0.078514,3.5049),(1335,3285,0.078486,3.5036),(1335,3295,0.078458,3.5023),(1335,3305,0.07843,3.501),(1335,3315,0.078368,3.4998),(1335,3325,0.078298,3.4985),(1335,3335,0.078227,3.4972),(1335,3345,0.078157,3.496),(1335,3355,0.078049,3.4947),(1335,3365,0.077933,3.4934),(1335,3375,0.077818,3.4922),(1335,3385,0.077702,3.4909),(1335,3395,0.077545,3.4897),(1335,3405,0.077382,3.4884),(1335,3415,0.077218,3.4872),(1335,3425,0.077055,3.4859),(1335,3435,0.076846,3.4847),(1335,3445,0.076633,3.4834),(1335,3455,0.07642,3.4822),(1335,3465,0.076206,3.481),(1335,3475,0.075943,3.4798),(1335,3485,0.075677,3.4785),(1335,3495,0.075411,3.4773),(1335,3505,0.075145,3.4761),(1335,3515,0.074824,3.4749),(1335,3525,0.074503,3.4737),(1335,3535,0.074182,3.4725),(1335,3545,0.073858,3.4713),(1335,3555,0.073479,3.4702),(1335,3565,0.0731,3.469),(1335,3575,0.072722,3.4678),(1335,3585,0.072337,3.4666),(1335,3595,0.071898,3.4655),(1335,3605,0.071458,3.4643),(1335,3615,0.071019,3.4632),(1335,3625,0.070571,3.4621),(1335,3635,0.070068,3.4609),(1335,3645,0.069566,3.4598),(1335,3655,0.069063,3.4587),(1335,3665,0.068549,3.4576),(1335,3675,0.06798,3.4565),(1335,3685,0.067411,3.4554),(1335,3695,0.066843,3.4543),(1335,3705,0.06626,3.4532),(1335,3715,0.065623,3.4521),(1335,3725,0.064985,3.4511),(1335,3735,0.064348,3.45),(1335,3745,0.063693,3.449),(1335,3755,0.062985,3.4479),(1335,3765,0.062276,3.4469),(1335,3775,0.061568,3.4459),(1335,3785,0.060838,3.4449),(1335,3795,0.060056,3.4439),(1335,3805,0.059273,3.4428),(1335,3815,0.058491,3.4419),(1335,3825,0.057683,3.4409),(1335,3835,0.056824,3.4399),(1335,3845,0.055964,3.4389),(1335,3855,0.055105,3.438),(1335,3865,0.054216,3.437),(1335,3875,0.053276,3.4361),(1335,3885,0.052336,3.4351),(1335,3895,0.051396,3.4342),(1335,3905,0.059614,3.4333),(1335,3915,0.081514,3.4324),(1335,3925,0.10341,3.4308),(1335,3935,0.12531,3.4285),(1335,3945,0.15035,3.4261),(1335,3955,0.17938,3.4237),(1335,3965,0.20841,3.4206),(1335,3975,0.23743,3.4166),(1335,3985,0.25528,3.4127),(1335,3995,0.26103,3.4087),(1335,4005,0.26679,3.4046),(1335,4015,0.27254,3.4003),(1335,4025,0.27772,3.3961),(1335,4035,0.28285,3.3918),(1335,4045,0.28798,3.3872),(1335,4055,0.29248,3.3827),(1335,4065,0.29675,3.3781),(1335,4075,0.30101,3.3733),(1335,4085,0.30472,3.3684),(1335,4095,0.30799,3.3636),(1335,4105,0.31125,3.3583),(1335,4115,0.30251,3.353),(1335,4125,0.27389,3.3478),(1335,4135,0.24527,3.3434),(1335,4145,0.21572,3.3394),(1335,4155,0.18243,3.3353),(1335,4165,0.14914,3.3322),(1335,4175,0.11768,3.3297),(1335,4185,0.17721,3.3272),(1335,4195,0.23673,3.3234),(1335,4205,0.29626,3.3178),(1335,4215,0.29504,3.3122),(1335,4225,0.28239,3.3068),(1335,4235,0.26974,3.302),(1335,4245,0.24905,3.2973),(1335,4255,0.22426,3.2926),(1335,4265,0.19948,3.2891),(1335,4275,0.16586,3.2856),(1335,4285,0.12287,3.282),(1335,4295,0.079874,3.2807),(1335,4305,0.072652,3.2796),(1335,4315,0.14621,3.2785),(1335,4325,0.21976,3.2731),(1335,4335,0.28515,3.266),(1335,4345,0.29527,3.2588),(1335,4355,0.3054,3.2518),(1335,4365,0.31552,3.2448),(1335,4375,0.31499,3.2378),(1335,4385,0.31391,3.2311),(1335,4395,0.31283,3.2251),(1335,4405,0.26996,3.2191),(1335,4415,0.21476,3.2139),(1335,4425,0.15956,3.2118),(1335,4435,0.14121,3.2098),(1335,4445,0.14803,3.2078),(1335,4455,0.15486,3.2053),(1335,4465,0.19278,3.2027),(1335,4475,0.27438,3.2002),(1335,4485,0.35598,3.1939),(1335,4495,0.42164,3.1867),(1335,4505,0.43619,3.1795),(1335,4515,0.45074,3.1716),(1335,4525,0.46419,3.1633),(1335,4535,0.46031,3.1551),(1335,4545,0.45643,3.1468),(1335,4555,0.45254,3.1387),(1335,4565,0.33402,3.1306),(1335,4575,0.20003,3.1246),(1335,4585,0.066047,3.124),(1335,4595,0.061755,3.1234),(1335,4605,0.11226,3.1224),(1335,4615,0.16276,3.1186),(1335,4625,0.217,3.1148),(1335,4635,0.2746,3.111),(1335,4645,0.33221,3.1047),(1335,4655,0.38748,3.0982),(1335,4665,0.43835,3.0917),(1335,4675,0.48922,3.0834),(1335,4685,0.51323,3.0745),(1335,4695,0.40451,3.0656),(1335,4705,0.29579,3.0597),(1335,4715,0.18708,3.056),(1335,4725,0.24843,3.0524),(1335,4735,0.31149,3.0473),(1335,4745,0.37455,3.0401),(1335,4755,0.46166,3.033),(1335,4765,0.55435,3.0249),(1335,4775,0.64704,3.0137),(1335,4785,0.69701,3.0024),(1335,4795,0.72229,2.9912),(1335,4805,0.74757,2.98),(1335,4815,0.7295,2.9688),(1335,4825,0.65959,2.9576),(1335,4835,0.58969,2.9499),(1335,4845,0.50851,2.9428),(1335,4855,0.39792,2.9357),(1335,4865,0.28732,2.9308),(1335,4875,0.20511,2.9269),(1335,4885,0.3811,2.9229),(1335,4895,0.5571,2.9138),(1335,4905,0.73309,2.8997),(1335,4915,0.73576,2.8855),(1335,4925,0.72353,2.8717),(1335,4935,0.7113,2.8586),(1335,4945,0.65137,2.8456),(1335,4955,0.57492,2.8332),(1335,4965,0.49847,2.8246),(1335,4975,0.38841,2.816),(1335,4985,0.25241,2.8074),(1335,4995,0.11641,2.8065),(1335,5005,0.11455,2.8057),(1335,5015,0.32594,2.805),(1335,5025,0.53732,2.7955),(1335,5035,0.7248,2.7838),(1335,5045,0.82122,2.7721),(1335,5055,0.91764,2.7583),(1335,5065,1.012,2.7432),(1335,5075,1.0391,2.7282),(1335,5085,1.0662,2.7133),(1335,5095,1.0932,2.6987),(1335,5105,0.96566,2.684),(1335,5115,0.81109,2.6713),(1335,5125,0.65651,2.6638),(1335,5135,0.55578,2.6564),(1335,5145,0.48116,2.649),(1335,5155,0.40655,2.6424),(1335,5165,0.4748,2.6357),(1335,5175,0.68875,2.629),(1335,5185,0.9027,2.6133),(1335,5195,1.0581,2.5966),(1335,5205,1.0874,2.5799),(1335,5215,1.1167,2.5635),(1335,5225,1.1395,2.5472),(1335,5235,1.1224,2.5309),(1335,5245,1.1054,2.5159),(1335,5255,1.0883,2.5019),(1335,5265,0.76048,2.488),(1335,5275,0.41981,2.4791),(1335,5285,0.079148,2.4789),(1335,5295,0.15153,2.4787),(1335,5305,0.33893,2.476),(1335,5315,0.52633,2.4631),(1335,5325,0.68358,2.4502),(1335,5335,0.82106,2.4372),(1335,5345,0.95853,2.4203),(1335,5355,1.0644,2.4034),(1335,5365,1.1276,2.3865),(1335,5375,1.1909,2.3699),(1335,5385,1.1689,2.3533),(1335,5395,0.88809,2.3366),(1335,5405,0.60724,2.3282),(1335,5415,0.34694,2.324),(1335,5425,0.3627,2.3198),(1335,5435,0.37846,2.3128),(1335,5445,0.39422,2.3029),(1335,5455,0.47929,2.293),(1335,5465,0.57284,2.281),(1335,5475,0.66638,2.2642),(1335,5485,0.71148,2.2474),(1335,5495,0.73707,2.2304),(1335,5505,0.76266,2.2124),(1335,5515,0.78971,2.1943),(1335,5525,0.81803,2.1763),(1335,5535,0.84635,2.1572),(1335,5545,0.87503,2.1381),(1335,5555,0.90437,2.119),(1335,5565,0.9337,2.099),(1335,5575,0.96311,2.0787),(1335,5585,0.99281,2.0584),(1335,5595,1.0225,2.0376),(1335,5605,1.0522,2.0165),(1335,5615,1.082,1.9954),(1335,5625,1.1118,1.974),(1335,5635,1.1415,1.9522),(1335,5645,1.1711,1.9304),(1335,5655,1.2006,1.9084),(1335,5665,1.2301,1.886),(1335,5675,1.2592,1.8636),(1335,5685,1.2882,1.8411),(1335,5695,1.3172,1.8185),(1335,5705,1.3458,1.7958),(1335,5715,1.3739,1.7731),(1335,5725,1.4021,1.7503),(1335,5735,1.43,1.7275),(1335,5745,1.4571,1.7047),(1335,5755,1.4842,1.6818),(1335,5765,1.5112,1.6588),(1335,5775,1.5371,1.6359),(1335,5785,1.563,1.6131),(1335,5795,1.5889,1.5903),(1335,5805,1.6136,1.5675),(1335,5815,1.6382,1.5448),(1335,5825,1.6627,1.5222),(1335,5835,1.6863,1.4997),(1335,5845,1.7094,1.4771),(1335,5855,1.7326,1.4548),(1335,5865,1.7549,1.4324),(1335,5875,1.7766,1.41),(1335,5885,1.7984,1.3879),(1335,5895,1.8195,1.3657),(1335,5905,1.8398,1.3436),(1335,5915,1.8601,1.3217),(1335,5925,1.8801,1.2998),(1335,5935,1.8989,1.278),(1335,5945,1.9178,1.2564),(1335,5955,1.9367,1.2349),(1335,5965,1.9547,1.2133),(1335,5975,1.9728,1.192),(1335,5985,1.9908,1.1708),(1335,5995,1.5246,1.1496),(1335,6005,0.98041,1.1335),(1335,6015,0.43623,1.1308),(1335,6025,0.39836,1.1282),(1335,6035,0.5953,1.1245),(1335,6045,0.79225,1.1107),(1335,6055,0.93852,1.0969),(1335,6065,1.0351,1.0831),(1335,6075,1.1317,1.0649),(1335,6085,1.1986,1.0463),(1335,6095,1.2044,1.0277),(1335,6105,1.2102,1.0089),(1335,6115,1.216,0.99005),(1335,6125,1.2215,0.97121),(1335,6135,1.2271,0.95229),(1335,6145,1.2326,0.93331),(1335,6155,1.2378,0.91433),(1335,6165,1.243,0.89521),(1335,6175,1.2482,0.87587),(1335,6185,1.2532,0.85654),(1335,6195,1.258,0.83718),(1335,6205,1.2629,0.81775),(1335,6215,1.2676,0.79831),(1335,6225,1.2721,0.77887),(1335,6235,1.2767,0.7593),(1335,6245,1.281,0.73973),(1335,6255,1.2852,0.72016),(1335,6265,1.2894,0.70054),(1335,6275,1.2935,0.6809),(1335,6285,1.2973,0.66126),(1335,6295,1.3011,0.64149),(1335,6305,1.3049,0.62164),(1335,6315,1.3083,0.60179),(1335,6325,1.3117,0.58185),(1335,6335,1.3151,0.56181),(1335,6345,1.3182,0.54177),(1335,6355,1.3213,0.52172),(1335,6365,1.3244,0.50163),(1335,6375,1.3272,0.48154),(1335,6385,1.3299,0.46142),(1335,6395,1.3327,0.44111),(1335,6405,1.3352,0.4208),(1335,6415,1.3375,0.4005),(1335,6425,1.3399,0.38008),(1335,6435,1.3421,0.35965),(1335,6445,1.3441,0.33923),(1335,6455,1.346,0.31891),(1335,6465,1.3479,0.29863),(1335,6475,1.3495,0.27835),(1335,6485,1.3511,0.25803),(1335,6495,1.3526,0.23768),(1335,6505,1.3538,0.21734),(1335,6515,1.355,0.1969),(1335,6525,1.3562,0.17634),(1335,6535,1.3571,0.15577),(1335,6545,1.358,0.13521),(1335,6555,1.3588,0.11466),(1335,6565,1.3594,0.094114),(1335,6575,1.3598,0.073568),(1335,6585,1.3603,0.053072),(1335,6595,1.1571,0.032576),(1335,6605,0.72918,0.01208),(1335,6615,0.30124,0.009707),(1335,6625,0.000403,0.009662),(1335,6635,0.000405,0.009617),(1335,6645,0.000407,0.009599),(1335,6655,0.00041,0.009591),(1335,6665,0.000412,0.009584),(1335,6675,0.000414,0.009576),(1335,6685,0.000417,0.009569),(1335,6695,0.000419,0.009561),(1335,6705,0.000421,0.009554),(1335,6715,0.000423,0.009546),(1335,6725,0.000425,0.009539),(1335,6735,0.000428,0.009531),(1335,6745,0.00043,0.009524),(1335,6755,0.000432,0.009516),(1335,6765,0.000434,0.009508),(1335,6775,0.000436,0.009501),(1335,6785,0.000438,0.009493),(1335,6795,0.00044,0.009485),(1335,6805,0.000442,0.009478),(1335,6815,0.000444,0.00947),(1335,6825,0.000446,0.009462),(1335,6835,0.000447,0.009454),(1335,6845,0.000449,0.009447),(1335,6855,0.000451,0.009439),(1335,6865,0.000453,0.009431),(1335,6875,0.000455,0.009423),(1335,6885,0.000456,0.009416),(1335,6895,0.000458,0.009408),(1335,6905,0.00046,0.0094),(1335,6915,0.000462,0.009392),(1335,6925,0.000463,0.009384),(1335,6935,0.000465,0.009376),(1335,6945,0.000466,0.009368),(1335,6955,0.000468,0.00936),(1335,6965,0.00047,0.009352),(1335,6975,0.000471,0.009344),(1335,6985,0.000473,0.009336),(1345,5,5.6e-05,3.6732),(1345,15,0.000167,3.6732),(1345,25,0.000278,3.6732),(1345,35,0.00039,3.6732),(1345,45,0.000501,3.6732),(1345,55,0.000612,3.6731),(1345,65,0.000724,3.6731),(1345,75,0.000836,3.6731),(1345,85,0.000947,3.6731),(1345,95,0.001059,3.6731),(1345,105,0.001171,3.6731),(1345,115,0.001283,3.6731),(1345,125,0.001396,3.6731),(1345,135,0.001508,3.6731),(1345,145,0.00162,3.673),(1345,155,0.001734,3.673),(1345,165,0.001847,3.673),(1345,175,0.001959,3.673),(1345,185,0.002073,3.673),(1345,195,0.002187,3.6729),(1345,205,0.002301,3.6729),(1345,215,0.002415,3.6729),(1345,225,0.00253,3.6729),(1345,235,0.002645,3.6728),(1345,245,0.00276,3.6728),(1345,255,0.002875,3.6728),(1345,265,0.002991,3.6727),(1345,275,0.003108,3.6727),(1345,285,0.003224,3.6727),(1345,295,0.003341,3.6726),(1345,305,0.003459,3.6726),(1345,315,0.003577,3.6725),(1345,325,0.003695,3.6725),(1345,335,0.003814,3.6725),(1345,345,0.003934,3.6724),(1345,355,0.004054,3.6724),(1345,365,0.004174,3.6723),(1345,375,0.004294,3.6723),(1345,385,0.004416,3.6722),(1345,395,0.004538,3.6722),(1345,405,0.00466,3.6721),(1345,415,0.004782,3.6721),(1345,425,0.004907,3.672),(1345,435,0.005031,3.672),(1345,445,0.005155,3.6719),(1345,455,0.00528,3.6718),(1345,465,0.005407,3.6718),(1345,475,0.005534,3.6717),(1345,485,0.005661,3.6717),(1345,495,0.005788,3.6716),(1345,505,0.005918,3.6715),(1345,515,0.006047,3.6715),(1345,525,0.006177,3.6714),(1345,535,0.006307,3.6713),(1345,545,0.00644,3.6712),(1345,555,0.006573,3.6712),(1345,565,0.006706,3.6711),(1345,575,0.006839,3.671),(1345,585,0.006974,3.6709),(1345,595,0.00711,3.6709),(1345,605,0.007246,3.6708),(1345,615,0.007383,3.6707),(1345,625,0.007522,3.6706),(1345,635,0.007662,3.6705),(1345,645,0.007801,3.6704),(1345,655,0.007941,3.6703),(1345,665,0.008084,3.6703),(1345,675,0.008227,3.6702),(1345,685,0.008371,3.6701),(1345,695,0.008514,3.67),(1345,705,0.008662,3.6699),(1345,715,0.008809,3.6698),(1345,725,0.008956,3.6697),(1345,735,0.009104,3.6696),(1345,745,0.009255,3.6695),(1345,755,0.009406,3.6694),(1345,765,0.009557,3.6692),(1345,775,0.00971,3.6691),(1345,785,0.009865,3.669),(1345,795,0.010021,3.6689),(1345,805,0.010176,3.6688),(1345,815,0.010334,3.6687),(1345,825,0.010494,3.6685),(1345,835,0.010654,3.6684),(1345,845,0.010814,3.6683),(1345,855,0.010976,3.6682),(1345,865,0.011142,3.668),(1345,875,0.011307,3.6679),(1345,885,0.011472,3.6678),(1345,895,0.011639,3.6676),(1345,905,0.011809,3.6675),(1345,915,0.011979,3.6674),(1345,925,0.01215,3.6672),(1345,935,0.012322,3.6671),(1345,945,0.012497,3.6669),(1345,955,0.012673,3.6668),(1345,965,0.012848,3.6666),(1345,975,0.013026,3.6665),(1345,985,0.013207,3.6663),(1345,995,0.013388,3.6662),(1345,1005,0.013569,3.666),(1345,1015,0.013754,3.6658),(1345,1025,0.01394,3.6657),(1345,1035,0.014127,3.6655),(1345,1045,0.014314,3.6653),(1345,1055,0.014504,3.6652),(1345,1065,0.014697,3.665),(1345,1075,0.01489,3.6648),(1345,1085,0.015083,3.6646),(1345,1095,0.01528,3.6645),(1345,1105,0.015479,3.6643),(1345,1115,0.015678,3.6641),(1345,1125,0.015877,3.6639),(1345,1135,0.01608,3.6637),(1345,1145,0.016286,3.6635),(1345,1155,0.016491,3.6633),(1345,1165,0.016697,3.6631),(1345,1175,0.016906,3.6629),(1345,1185,0.017119,3.6627),(1345,1195,0.017331,3.6625),(1345,1205,0.017543,3.6623),(1345,1215,0.01776,3.6621),(1345,1225,0.017979,3.6618),(1345,1235,0.018198,3.6616),(1345,1245,0.018417,3.6614),(1345,1255,0.018641,3.6612),(1345,1265,0.018867,3.6609),(1345,1275,0.019093,3.6607),(1345,1285,0.01932,3.6605),(1345,1295,0.019551,3.6602),(1345,1305,0.019785,3.66),(1345,1315,0.020018,3.6597),(1345,1325,0.020251,3.6595),(1345,1335,0.02049,3.6592),(1345,1345,0.020731,3.659),(1345,1355,0.020972,3.6587),(1345,1365,0.021212,3.6584),(1345,1375,0.021459,3.6582),(1345,1385,0.021707,3.6579),(1345,1395,0.021955,3.6576),(1345,1405,0.022203,3.6573),(1345,1415,0.022458,3.6571),(1345,1425,0.022714,3.6568),(1345,1435,0.02297,3.6565),(1345,1445,0.023226,3.6562),(1345,1455,0.023489,3.6559),(1345,1465,0.023752,3.6556),(1345,1475,0.024016,3.6553),(1345,1485,0.024279,3.655),(1345,1495,0.024551,3.6547),(1345,1505,0.024822,3.6544),(1345,1515,0.025093,3.654),(1345,1525,0.025365,3.6537),(1345,1535,0.025644,3.6534),(1345,1545,0.025923,3.6531),(1345,1555,0.026203,3.6527),(1345,1565,0.026483,3.6524),(1345,1575,0.02677,3.652),(1345,1585,0.027057,3.6517),(1345,1595,0.027345,3.6513),(1345,1605,0.027633,3.651),(1345,1615,0.027928,3.6506),(1345,1625,0.028223,3.6502),(1345,1635,0.028519,3.6498),(1345,1645,0.028815,3.6495),(1345,1655,0.029119,3.6491),(1345,1665,0.029422,3.6487),(1345,1675,0.029725,3.6483),(1345,1685,0.03003,3.6479),(1345,1695,0.030341,3.6475),(1345,1705,0.030652,3.6471),(1345,1715,0.030963,3.6467),(1345,1725,0.031276,3.6463),(1345,1735,0.031595,3.6459),(1345,1745,0.031914,3.6454),(1345,1755,0.032233,3.645),(1345,1765,0.032554,3.6446),(1345,1775,0.032881,3.6441),(1345,1785,0.033208,3.6437),(1345,1795,0.033534,3.6432),(1345,1805,0.033864,3.6428),(1345,1815,0.034198,3.6423),(1345,1825,0.034533,3.6418),(1345,1835,0.034867,3.6413),(1345,1845,0.035204,3.6409),(1345,1855,0.035546,3.6404),(1345,1865,0.035888,3.6399),(1345,1875,0.03623,3.6394),(1345,1885,0.036574,3.6389),(1345,1895,0.036923,3.6384),(1345,1905,0.037272,3.6379),(1345,1915,0.037621,3.6373),(1345,1925,0.037973,3.6368),(1345,1935,0.038329,3.6363),(1345,1945,0.038685,3.6357),(1345,1955,0.039041,3.6352),(1345,1965,0.0394,3.6346),(1345,1975,0.039763,3.6341),(1345,1985,0.040125,3.6335),(1345,1995,0.040488,3.6329),(1345,2005,0.040853,3.6324),(1345,2015,0.041221,3.6318),(1345,2025,0.04159,3.6312),(1345,2035,0.041958,3.6306),(1345,2045,0.04233,3.63),(1345,2055,0.042704,3.6294),(1345,2065,0.043078,3.6288),(1345,2075,0.043453,3.6282),(1345,2085,0.04383,3.6275),(1345,2095,0.044209,3.6269),(1345,2105,0.044589,3.6263),(1345,2115,0.044968,3.6256),(1345,2125,0.04535,3.6249),(1345,2135,0.045735,3.6243),(1345,2145,0.046119,3.6236),(1345,2155,0.046503,3.6229),(1345,2165,0.04689,3.6222),(1345,2175,0.047278,3.6216),(1345,2185,0.047666,3.6209),(1345,2195,0.048054,3.6202),(1345,2205,0.048444,3.6194),(1345,2215,0.048836,3.6187),(1345,2225,0.049227,3.618),(1345,2235,0.049619,3.6173),(1345,2245,0.050012,3.6165),(1345,2255,0.050406,3.6158),(1345,2265,0.0508,3.615),(1345,2275,0.051193,3.6143),(1345,2285,0.051589,3.6135),(1345,2295,0.051984,3.6127),(1345,2305,0.05238,3.6119),(1345,2315,0.052776,3.6111),(1345,2325,0.053172,3.6103),(1345,2335,0.053569,3.6095),(1345,2345,0.053965,3.6087),(1345,2355,0.054362,3.6079),(1345,2365,0.054758,3.6071),(1345,2375,0.055155,3.6062),(1345,2385,0.055551,3.6054),(1345,2395,0.055947,3.6045),(1345,2405,0.056342,3.6037),(1345,2415,0.056737,3.6028),(1345,2425,0.057132,3.6019),(1345,2435,0.057527,3.6011),(1345,2445,0.05792,3.6002),(1345,2455,0.058312,3.5993),(1345,2465,0.058705,3.5984),(1345,2475,0.059098,3.5975),(1345,2485,0.059487,3.5965),(1345,2495,0.059876,3.5956),(1345,2505,0.060266,3.5947),(1345,2515,0.060655,3.5937),(1345,2525,0.06104,3.5928),(1345,2535,0.061424,3.5918),(1345,2545,0.061809,3.5909),(1345,2555,0.062194,3.5899),(1345,2565,0.062572,3.5889),(1345,2575,0.062951,3.5879),(1345,2585,0.06333,3.5869),(1345,2595,0.063708,3.5859),(1345,2605,0.064079,3.5849),(1345,2615,0.06445,3.5839),(1345,2625,0.064821,3.5829),(1345,2635,0.065191,3.5819),(1345,2645,0.065553,3.5808),(1345,2655,0.065915,3.5798),(1345,2665,0.066278,3.5787),(1345,2675,0.066638,3.5777),(1345,2685,0.06699,3.5766),(1345,2695,0.067341,3.5755),(1345,2705,0.067693,3.5745),(1345,2715,0.068042,3.5734),(1345,2725,0.068382,3.5723),(1345,2735,0.068722,3.5712),(1345,2745,0.069062,3.5701),(1345,2755,0.069399,3.569),(1345,2765,0.069725,3.5679),(1345,2775,0.070051,3.5667),(1345,2785,0.070377,3.5656),(1345,2795,0.070699,3.5645),(1345,2805,0.07101,3.5633),(1345,2815,0.071321,3.5622),(1345,2825,0.071632,3.561),(1345,2835,0.071937,3.5599),(1345,2845,0.07223,3.5587),(1345,2855,0.072524,3.5575),(1345,2865,0.072818,3.5563),(1345,2875,0.073104,3.5552),(1345,2885,0.073379,3.554),(1345,2895,0.073654,3.5528),(1345,2905,0.073928,3.5516),(1345,2915,0.074194,3.5504),(1345,2925,0.074448,3.5492),(1345,2935,0.074702,3.548),(1345,2945,0.074955,3.5467),(1345,2955,0.075199,3.5455),(1345,2965,0.07543,3.5443),(1345,2975,0.07566,3.5431),(1345,2985,0.075891,3.5418),(1345,2995,0.07611,3.5406),(1345,3005,0.076316,3.5393),(1345,3015,0.076522,3.5381),(1345,3025,0.076728,3.5368),(1345,3035,0.07692,3.5356),(1345,3045,0.077099,3.5343),(1345,3055,0.077278,3.5331),(1345,3065,0.077457,3.5318),(1345,3075,0.07762,3.5305),(1345,3085,0.07777,3.5293),(1345,3095,0.077921,3.528),(1345,3105,0.078071,3.5267),(1345,3115,0.078202,3.5254),(1345,3125,0.078321,3.5242),(1345,3135,0.07844,3.5229),(1345,3145,0.078559,3.5216),(1345,3155,0.078656,3.5203),(1345,3165,0.078742,3.519),(1345,3175,0.078827,3.5177),(1345,3185,0.078912,3.5165),(1345,3195,0.078973,3.5152),(1345,3205,0.079023,3.5139),(1345,3215,0.079072,3.5126),(1345,3225,0.079122,3.5113),(1345,3235,0.079144,3.51),(1345,3245,0.079155,3.5087),(1345,3255,0.079167,3.5074),(1345,3265,0.079178,3.5061),(1345,3275,0.079159,3.5049),(1345,3285,0.07913,3.5036),(1345,3295,0.079101,3.5023),(1345,3305,0.079072,3.501),(1345,3315,0.079009,3.4997),(1345,3325,0.078937,3.4984),(1345,3335,0.078865,3.4971),(1345,3345,0.078794,3.4959),(1345,3355,0.078684,3.4946),(1345,3365,0.078567,3.4933),(1345,3375,0.07845,3.492),(1345,3385,0.078333,3.4908),(1345,3395,0.078173,3.4895),(1345,3405,0.078008,3.4882),(1345,3415,0.077843,3.487),(1345,3425,0.077678,3.4857),(1345,3435,0.077467,3.4845),(1345,3445,0.077251,3.4832),(1345,3455,0.077036,3.482),(1345,3465,0.07682,3.4807),(1345,3475,0.076554,3.4795),(1345,3485,0.076286,3.4783),(1345,3495,0.076017,3.477),(1345,3505,0.075749,3.4758),(1345,3515,0.075425,3.4746),(1345,3525,0.075101,3.4734),(1345,3535,0.074778,3.4722),(1345,3545,0.074451,3.471),(1345,3555,0.07407,3.4698),(1345,3565,0.073688,3.4686),(1345,3575,0.073306,3.4674),(1345,3585,0.072919,3.4662),(1345,3595,0.072477,3.4651),(1345,3605,0.072034,3.4639),(1345,3615,0.071592,3.4627),(1345,3625,0.071141,3.4616),(1345,3635,0.070636,3.4604),(1345,3645,0.07013,3.4593),(1345,3655,0.069624,3.4582),(1345,3665,0.069108,3.457),(1345,3675,0.068536,3.4559),(1345,3685,0.067964,3.4548),(1345,3695,0.067393,3.4537),(1345,3705,0.066807,3.4526),(1345,3715,0.066167,3.4515),(1345,3725,0.065527,3.4504),(1345,3735,0.064887,3.4494),(1345,3745,0.06423,3.4483),(1345,3755,0.063519,3.4472),(1345,3765,0.062808,3.4462),(1345,3775,0.062097,3.4451),(1345,3785,0.061365,3.4441),(1345,3795,0.06058,3.4431),(1345,3805,0.059796,3.4421),(1345,3815,0.059011,3.4411),(1345,3825,0.058202,3.4401),(1345,3835,0.057342,3.4391),(1345,3845,0.056481,3.4381),(1345,3855,0.05562,3.4371),(1345,3865,0.054731,3.4361),(1345,3875,0.05379,3.4352),(1345,3885,0.05285,3.4342),(1345,3895,0.05191,3.4333),(1345,3905,0.060208,3.4323),(1345,3915,0.082306,3.4314),(1345,3925,0.1044,3.4298),(1345,3935,0.1265,3.4274),(1345,3945,0.15173,3.4249),(1345,3955,0.18094,3.4225),(1345,3965,0.21015,3.4193),(1345,3975,0.23937,3.4153),(1345,3985,0.25732,3.4112),(1345,3995,0.26311,3.4072),(1345,4005,0.26889,3.403),(1345,4015,0.27467,3.3987),(1345,4025,0.2799,3.3944),(1345,4035,0.28508,3.39),(1345,4045,0.29026,3.3855),(1345,4055,0.29481,3.3809),(1345,4065,0.29915,3.3762),(1345,4075,0.30348,3.3713),(1345,4085,0.30727,3.3664),(1345,4095,0.31062,3.3614),(1345,4105,0.31398,3.3561),(1345,4115,0.30525,3.3508),(1345,4125,0.27646,3.3454),(1345,4135,0.24767,3.3411),(1345,4145,0.21795,3.337),(1345,4155,0.18442,3.3329),(1345,4165,0.1509,3.3298),(1345,4175,0.11922,3.3273),(1345,4185,0.17925,3.3248),(1345,4195,0.23927,3.321),(1345,4205,0.29929,3.3153),(1345,4215,0.29803,3.3097),(1345,4225,0.28524,3.3043),(1345,4235,0.27244,3.2995),(1345,4245,0.25157,3.2947),(1345,4255,0.22661,3.29),(1345,4265,0.20165,3.2864),(1345,4275,0.16773,3.2829),(1345,4285,0.12431,3.2793),(1345,4295,0.080878,3.278),(1345,4305,0.073775,3.2769),(1345,4315,0.1487,3.2758),(1345,4325,0.22362,3.2703),(1345,4335,0.29018,3.2632),(1345,4345,0.30015,3.256),(1345,4355,0.31013,3.249),(1345,4365,0.32011,3.242),(1345,4375,0.31925,3.235),(1345,4385,0.31783,3.2284),(1345,4395,0.31641,3.2224),(1345,4405,0.27282,3.2164),(1345,4415,0.21679,3.2111),(1345,4425,0.16077,3.209),(1345,4435,0.14216,3.2069),(1345,4445,0.14913,3.2048),(1345,4455,0.15609,3.2022),(1345,4465,0.19443,3.1997),(1345,4475,0.27682,3.1971),(1345,4485,0.35922,3.1907),(1345,4495,0.42554,3.1834),(1345,4505,0.44028,3.1762),(1345,4515,0.45501,3.1682),(1345,4525,0.46864,3.1598),(1345,4535,0.46471,3.1515),(1345,4545,0.46078,3.1432),(1345,4555,0.45685,3.1351),(1345,4565,0.33722,3.1269),(1345,4575,0.202,3.121),(1345,4585,0.06678,3.1203),(1345,4595,0.062487,3.1197),(1345,4605,0.11351,3.1187),(1345,4615,0.16454,3.1149),(1345,4625,0.21922,3.1111),(1345,4635,0.27721,3.1073),(1345,4645,0.3352,3.1009),(1345,4655,0.39085,3.0943),(1345,4665,0.4421,3.0877),(1345,4675,0.49334,3.0792),(1345,4685,0.51754,3.0702),(1345,4695,0.40809,3.0612),(1345,4705,0.29864,3.0553),(1345,4715,0.18919,3.0516),(1345,4725,0.25109,3.0479),(1345,4735,0.3147,3.0428),(1345,4745,0.37832,3.0355),(1345,4755,0.46597,3.0282),(1345,4765,0.5592,3.0201),(1345,4775,0.65243,3.0088),(1345,4785,0.70247,2.9975),(1345,4795,0.72755,2.9862),(1345,4805,0.75263,2.975),(1345,4815,0.73413,2.9638),(1345,4825,0.66352,2.9527),(1345,4835,0.59292,2.9451),(1345,4845,0.51119,2.9381),(1345,4855,0.40045,2.931),(1345,4865,0.28971,2.9261),(1345,4875,0.20754,2.9222),(1345,4885,0.38522,2.9182),(1345,4895,0.5629,2.909),(1345,4905,0.74058,2.8949),(1345,4915,0.74318,2.8807),(1345,4925,0.73071,2.8669),(1345,4935,0.71825,2.8539),(1345,4945,0.6577,2.8408),(1345,4955,0.58048,2.8284),(1345,4965,0.50326,2.8198),(1345,4975,0.39215,2.8112),(1345,4985,0.25488,2.8026),(1345,4995,0.11761,2.8017),(1345,5005,0.11562,2.801),(1345,5015,0.32868,2.8002),(1345,5025,0.54173,2.7908),(1345,5035,0.7306,2.7791),(1345,5045,0.82729,2.7675),(1345,5055,0.92398,2.7538),(1345,5065,1.0186,2.7388),(1345,5075,1.0454,2.7239),(1345,5085,1.0721,2.7091),(1345,5095,1.0989,2.6946),(1345,5105,0.97044,2.68),(1345,5115,0.81489,2.6673),(1345,5125,0.65934,2.66),(1345,5135,0.55848,2.6526),(1345,5145,0.48416,2.6452),(1345,5155,0.40984,2.6386),(1345,5165,0.4789,2.6319),(1345,5175,0.6942,2.6253),(1345,5185,0.90949,2.6096),(1345,5195,1.0657,2.593),(1345,5205,1.0947,2.5763),(1345,5215,1.1236,2.56),(1345,5225,1.1461,2.5437),(1345,5235,1.1286,2.5275),(1345,5245,1.111,2.5125),(1345,5255,1.0934,2.4986),(1345,5265,0.76403,2.4847),(1345,5275,0.42183,2.4759),(1345,5285,0.079638,2.4757),(1345,5295,0.15344,2.4755),(1345,5305,0.3431,2.4728),(1345,5315,0.53275,2.4599),(1345,5325,0.69101,2.4469),(1345,5335,0.82866,2.4339),(1345,5345,0.96632,2.4171),(1345,5355,1.0721,2.4003),(1345,5365,1.1348,2.3835),(1345,5375,1.1976,2.367),(1345,5385,1.1749,2.3504),(1345,5395,0.89246,2.3339),(1345,5405,0.61006,2.3255),(1345,5415,0.34842,2.3214),(1345,5425,0.36568,2.3172),(1345,5435,0.38293,2.3102),(1345,5445,0.40018,2.3002),(1345,5455,0.48655,2.2901),(1345,5465,0.58136,2.278),(1345,5475,0.67617,2.261),(1345,5485,0.72175,2.244),(1345,5495,0.74751,2.2268),(1345,5505,0.77327,2.2087),(1345,5515,0.80047,2.1905),(1345,5525,0.82894,2.1723),(1345,5535,0.85741,2.1531),(1345,5545,0.88622,2.1339),(1345,5555,0.91566,2.1146),(1345,5565,0.9451,2.0945),(1345,5575,0.9746,2.0741),(1345,5585,1.0044,2.0537),(1345,5595,1.0341,2.0329),(1345,5605,1.0639,2.0117),(1345,5615,1.0937,1.9905),(1345,5625,1.1234,1.9691),(1345,5635,1.1532,1.9473),(1345,5645,1.1827,1.9255),(1345,5655,1.2121,1.9035),(1345,5665,1.2416,1.8811),(1345,5675,1.2707,1.8587),(1345,5685,1.2995,1.8363),(1345,5695,1.3284,1.8137),(1345,5705,1.3569,1.7911),(1345,5715,1.3849,1.7685),(1345,5725,1.4129,1.7458),(1345,5735,1.4406,1.723),(1345,5745,1.4676,1.7003),(1345,5755,1.4945,1.6775),(1345,5765,1.5214,1.6547),(1345,5775,1.5471,1.6318),(1345,5785,1.5728,1.6091),(1345,5795,1.5985,1.5865),(1345,5805,1.6229,1.5638),(1345,5815,1.6473,1.5412),(1345,5825,1.6716,1.5188),(1345,5835,1.6949,1.4964),(1345,5845,1.7179,1.474),(1345,5855,1.7408,1.4518),(1345,5865,1.7629,1.4295),(1345,5875,1.7844,1.4073),(1345,5885,1.8059,1.3853),(1345,5895,1.8268,1.3633),(1345,5905,1.8469,1.3414),(1345,5915,1.867,1.3196),(1345,5925,1.8867,1.2979),(1345,5935,1.9054,1.2762),(1345,5945,1.9241,1.2547),(1345,5955,1.9427,1.2334),(1345,5965,1.9606,1.212),(1345,5975,1.9784,1.1908),(1345,5985,1.9963,1.1698),(1345,5995,1.5287,1.1487),(1345,6005,0.98302,1.1327),(1345,6015,0.43732,1.1301),(1345,6025,0.40029,1.1275),(1345,6035,0.59918,1.1238),(1345,6045,0.79807,1.11),(1345,6055,0.94566,1.0962),(1345,6065,1.043,1.0824),(1345,6075,1.1402,1.0642),(1345,6085,1.2076,1.0456),(1345,6095,1.2135,1.027),(1345,6105,1.2193,1.0082),(1345,6115,1.2251,0.98938),(1345,6125,1.2306,0.97055),(1345,6135,1.2362,0.95163),(1345,6145,1.2418,0.93265),(1345,6155,1.247,0.91366),(1345,6165,1.2522,0.89455),(1345,6175,1.2575,0.87523),(1345,6185,1.2624,0.8559),(1345,6195,1.2673,0.83656),(1345,6205,1.2723,0.81713),(1345,6215,1.277,0.79771),(1345,6225,1.2815,0.77828),(1345,6235,1.2861,0.75872),(1345,6245,1.2905,0.73917),(1345,6255,1.2947,0.71961),(1345,6265,1.2989,0.69998),(1345,6275,1.3031,0.68034),(1345,6285,1.3069,0.6607),(1345,6295,1.3107,0.64092),(1345,6305,1.3145,0.62107),(1345,6315,1.3179,0.60122),(1345,6325,1.3213,0.58129),(1345,6335,1.3247,0.56128),(1345,6345,1.3278,0.54127),(1345,6355,1.3309,0.52124),(1345,6365,1.334,0.50117),(1345,6375,1.3369,0.48111),(1345,6385,1.3396,0.46101),(1345,6395,1.3423,0.44072),(1345,6405,1.3449,0.42042),(1345,6415,1.3472,0.40013),(1345,6425,1.3496,0.37973),(1345,6435,1.3518,0.35932),(1345,6445,1.3538,0.33892),(1345,6455,1.3558,0.31862),(1345,6465,1.3577,0.29835),(1345,6475,1.3593,0.27807),(1345,6485,1.3609,0.25777),(1345,6495,1.3625,0.23744),(1345,6505,1.3637,0.21711),(1345,6515,1.3649,0.1967),(1345,6525,1.3661,0.17616),(1345,6535,1.367,0.15562),(1345,6545,1.3678,0.13509),(1345,6555,1.3686,0.11456),(1345,6565,1.3692,0.094041),(1345,6575,1.3696,0.073519),(1345,6585,1.3701,0.053041),(1345,6595,1.1655,0.032564),(1345,6605,0.73443,0.012086),(1345,6615,0.30341,0.009713),(1345,6625,0.000407,0.009666),(1345,6635,0.000409,0.00962),(1345,6645,0.000411,0.009601),(1345,6655,0.000414,0.009593),(1345,6665,0.000416,0.009586),(1345,6675,0.000418,0.009578),(1345,6685,0.000421,0.009571),(1345,6695,0.000423,0.009563),(1345,6705,0.000425,0.009556),(1345,6715,0.000427,0.009548),(1345,6725,0.00043,0.009541),(1345,6735,0.000432,0.009533),(1345,6745,0.000434,0.009526),(1345,6755,0.000436,0.009518),(1345,6765,0.000438,0.00951),(1345,6775,0.00044,0.009503),(1345,6785,0.000442,0.009495),(1345,6795,0.000444,0.009487),(1345,6805,0.000446,0.00948),(1345,6815,0.000448,0.009472),(1345,6825,0.00045,0.009464),(1345,6835,0.000452,0.009456),(1345,6845,0.000453,0.009449),(1345,6855,0.000455,0.009441),(1345,6865,0.000457,0.009433),(1345,6875,0.000459,0.009425),(1345,6885,0.000461,0.009417),(1345,6895,0.000462,0.009409),(1345,6905,0.000464,0.009402),(1345,6915,0.000466,0.009394),(1345,6925,0.000467,0.009386),(1345,6935,0.000469,0.009378),(1345,6945,0.000471,0.00937),(1345,6955,0.000472,0.009362),(1345,6965,0.000474,0.009354),(1345,6975,0.000475,0.009346),(1345,6985,0.000477,0.009338),(1355,5,5.6e-05,3.6733),(1355,15,0.000167,3.6733),(1355,25,0.000279,3.6733),(1355,35,0.000391,3.6733),(1355,45,0.000503,3.6733),(1355,55,0.000614,3.6733),(1355,65,0.000726,3.6733),(1355,75,0.000838,3.6732),(1355,85,0.000951,3.6732),(1355,95,0.001063,3.6732),(1355,105,0.001175,3.6732),(1355,115,0.001288,3.6732),(1355,125,0.0014,3.6732),(1355,135,0.001513,3.6732),(1355,145,0.001626,3.6732),(1355,155,0.001739,3.6731),(1355,165,0.001853,3.6731),(1355,175,0.001966,3.6731),(1355,185,0.00208,3.6731),(1355,195,0.002195,3.673),(1355,205,0.002309,3.673),(1355,215,0.002423,3.673),(1355,225,0.002538,3.673),(1355,235,0.002654,3.6729),(1355,245,0.002769,3.6729),(1355,255,0.002885,3.6729),(1355,265,0.003002,3.6728),(1355,275,0.003119,3.6728),(1355,285,0.003236,3.6728),(1355,295,0.003353,3.6727),(1355,305,0.003471,3.6727),(1355,315,0.003589,3.6727),(1355,325,0.003708,3.6726),(1355,335,0.003827,3.6726),(1355,345,0.003947,3.6725),(1355,355,0.004068,3.6725),(1355,365,0.004188,3.6724),(1355,375,0.004309,3.6724),(1355,385,0.004431,3.6724),(1355,395,0.004554,3.6723),(1355,405,0.004676,3.6723),(1355,415,0.004799,3.6722),(1355,425,0.004924,3.6721),(1355,435,0.005049,3.6721),(1355,445,0.005174,3.672),(1355,455,0.005299,3.672),(1355,465,0.005426,3.6719),(1355,475,0.005554,3.6719),(1355,485,0.005681,3.6718),(1355,495,0.005809,3.6717),(1355,505,0.005939,3.6717),(1355,515,0.006069,3.6716),(1355,525,0.0062,3.6715),(1355,535,0.00633,3.6715),(1355,545,0.006463,3.6714),(1355,555,0.006597,3.6713),(1355,565,0.00673,3.6712),(1355,575,0.006863,3.6712),(1355,585,0.007,3.6711),(1355,595,0.007136,3.671),(1355,605,0.007273,3.6709),(1355,615,0.00741,3.6708),(1355,625,0.00755,3.6708),(1355,635,0.00769,3.6707),(1355,645,0.00783,3.6706),(1355,655,0.007971,3.6705),(1355,665,0.008114,3.6704),(1355,675,0.008258,3.6703),(1355,685,0.008402,3.6702),(1355,695,0.008546,3.6701),(1355,705,0.008694,3.67),(1355,715,0.008842,3.6699),(1355,725,0.008989,3.6698),(1355,735,0.009138,3.6697),(1355,745,0.00929,3.6696),(1355,755,0.009442,3.6695),(1355,765,0.009594,3.6694),(1355,775,0.009747,3.6693),(1355,785,0.009903,3.6692),(1355,795,0.01006,3.6691),(1355,805,0.010216,3.6689),(1355,815,0.010374,3.6688),(1355,825,0.010535,3.6687),(1355,835,0.010696,3.6686),(1355,845,0.010857,3.6685),(1355,855,0.01102,3.6683),(1355,865,0.011186,3.6682),(1355,875,0.011352,3.6681),(1355,885,0.011518,3.6679),(1355,895,0.011686,3.6678),(1355,905,0.011857,3.6677),(1355,915,0.012028,3.6675),(1355,925,0.012199,3.6674),(1355,935,0.012372,3.6673),(1355,945,0.012548,3.6671),(1355,955,0.012725,3.667),(1355,965,0.012901,3.6668),(1355,975,0.01308,3.6667),(1355,985,0.013262,3.6665),(1355,995,0.013444,3.6664),(1355,1005,0.013626,3.6662),(1355,1015,0.013811,3.666),(1355,1025,0.013999,3.6659),(1355,1035,0.014187,3.6657),(1355,1045,0.014375,3.6655),(1355,1055,0.014566,3.6654),(1355,1065,0.01476,3.6652),(1355,1075,0.014954,3.665),(1355,1085,0.015148,3.6648),(1355,1095,0.015345,3.6647),(1355,1105,0.015546,3.6645),(1355,1115,0.015746,3.6643),(1355,1125,0.015946,3.6641),(1355,1135,0.01615,3.6639),(1355,1145,0.016357,3.6637),(1355,1155,0.016564,3.6635),(1355,1165,0.016771,3.6633),(1355,1175,0.016982,3.6631),(1355,1185,0.017195,3.6629),(1355,1195,0.017408,3.6627),(1355,1205,0.017622,3.6625),(1355,1215,0.01784,3.6623),(1355,1225,0.01806,3.6621),(1355,1235,0.018281,3.6618),(1355,1245,0.018501,3.6616),(1355,1255,0.018727,3.6614),(1355,1265,0.018954,3.6612),(1355,1275,0.019182,3.6609),(1355,1285,0.019409,3.6607),(1355,1295,0.019643,3.6605),(1355,1305,0.019877,3.6602),(1355,1315,0.020112,3.66),(1355,1325,0.020347,3.6597),(1355,1335,0.020588,3.6595),(1355,1345,0.02083,3.6592),(1355,1355,0.021072,3.659),(1355,1365,0.021314,3.6587),(1355,1375,0.021563,3.6584),(1355,1385,0.021813,3.6582),(1355,1395,0.022063,3.6579),(1355,1405,0.022312,3.6576),(1355,1415,0.022569,3.6573),(1355,1425,0.022827,3.657),(1355,1435,0.023084,3.6568),(1355,1445,0.023342,3.6565),(1355,1455,0.023607,3.6562),(1355,1465,0.023872,3.6559),(1355,1475,0.024137,3.6556),(1355,1485,0.024403,3.6553),(1355,1495,0.024676,3.6549),(1355,1505,0.024949,3.6546),(1355,1515,0.025223,3.6543),(1355,1525,0.025496,3.654),(1355,1535,0.025778,3.6537),(1355,1545,0.026059,3.6533),(1355,1555,0.02634,3.653),(1355,1565,0.026622,3.6527),(1355,1575,0.026912,3.6523),(1355,1585,0.027201,3.652),(1355,1595,0.027491,3.6516),(1355,1605,0.027781,3.6512),(1355,1615,0.028079,3.6509),(1355,1625,0.028376,3.6505),(1355,1635,0.028674,3.6501),(1355,1645,0.028973,3.6498),(1355,1655,0.029278,3.6494),(1355,1665,0.029584,3.649),(1355,1675,0.02989,3.6486),(1355,1685,0.030197,3.6482),(1355,1695,0.030511,3.6478),(1355,1705,0.030824,3.6474),(1355,1715,0.031138,3.647),(1355,1725,0.031453,3.6466),(1355,1735,0.031775,3.6462),(1355,1745,0.032096,3.6458),(1355,1755,0.032418,3.6453),(1355,1765,0.032742,3.6449),(1355,1775,0.033071,3.6444),(1355,1785,0.033401,3.644),(1355,1795,0.03373,3.6435),(1355,1805,0.034062,3.6431),(1355,1815,0.0344,3.6426),(1355,1825,0.034737,3.6422),(1355,1835,0.035074,3.6417),(1355,1845,0.035414,3.6412),(1355,1855,0.035759,3.6407),(1355,1865,0.036104,3.6402),(1355,1875,0.036449,3.6397),(1355,1885,0.036796,3.6392),(1355,1895,0.037148,3.6387),(1355,1905,0.037501,3.6382),(1355,1915,0.037853,3.6377),(1355,1925,0.038208,3.6372),(1355,1935,0.038567,3.6366),(1355,1945,0.038926,3.6361),(1355,1955,0.039286,3.6356),(1355,1965,0.039648,3.635),(1355,1975,0.040014,3.6344),(1355,1985,0.040379,3.6339),(1355,1995,0.040745,3.6333),(1355,2005,0.041114,3.6327),(1355,2015,0.041486,3.6322),(1355,2025,0.041858,3.6316),(1355,2035,0.04223,3.631),(1355,2045,0.042605,3.6304),(1355,2055,0.042983,3.6298),(1355,2065,0.043361,3.6292),(1355,2075,0.043738,3.6285),(1355,2085,0.044119,3.6279),(1355,2095,0.044502,3.6273),(1355,2105,0.044885,3.6266),(1355,2115,0.045268,3.626),(1355,2125,0.045654,3.6253),(1355,2135,0.046042,3.6247),(1355,2145,0.04643,3.624),(1355,2155,0.046818,3.6233),(1355,2165,0.047209,3.6226),(1355,2175,0.047601,3.622),(1355,2185,0.047993,3.6213),(1355,2195,0.048385,3.6205),(1355,2205,0.048779,3.6198),(1355,2215,0.049174,3.6191),(1355,2225,0.04957,3.6184),(1355,2235,0.049965,3.6177),(1355,2245,0.050362,3.6169),(1355,2255,0.05076,3.6162),(1355,2265,0.051158,3.6154),(1355,2275,0.051556,3.6147),(1355,2285,0.051955,3.6139),(1355,2295,0.052355,3.6131),(1355,2305,0.052755,3.6123),(1355,2315,0.053155,3.6115),(1355,2325,0.053555,3.6107),(1355,2335,0.053956,3.6099),(1355,2345,0.054357,3.6091),(1355,2355,0.054757,3.6083),(1355,2365,0.055158,3.6075),(1355,2375,0.055558,3.6066),(1355,2385,0.055959,3.6058),(1355,2395,0.056359,3.6049),(1355,2405,0.056759,3.6041),(1355,2415,0.057158,3.6032),(1355,2425,0.057557,3.6023),(1355,2435,0.057956,3.6015),(1355,2445,0.058353,3.6006),(1355,2455,0.05875,3.5997),(1355,2465,0.059147,3.5988),(1355,2475,0.059544,3.5978),(1355,2485,0.059937,3.5969),(1355,2495,0.060331,3.596),(1355,2505,0.060724,3.5951),(1355,2515,0.061117,3.5941),(1355,2525,0.061506,3.5932),(1355,2535,0.061895,3.5922),(1355,2545,0.062284,3.5913),(1355,2555,0.062673,3.5903),(1355,2565,0.063055,3.5893),(1355,2575,0.063438,3.5883),(1355,2585,0.063821,3.5873),(1355,2595,0.064203,3.5863),(1355,2605,0.064578,3.5853),(1355,2615,0.064954,3.5843),(1355,2625,0.065329,3.5833),(1355,2635,0.065703,3.5822),(1355,2645,0.066069,3.5812),(1355,2655,0.066435,3.5802),(1355,2665,0.066801,3.5791),(1355,2675,0.067165,3.578),(1355,2685,0.067521,3.577),(1355,2695,0.067876,3.5759),(1355,2705,0.068232,3.5748),(1355,2715,0.068585,3.5737),(1355,2725,0.068928,3.5726),(1355,2735,0.069272,3.5715),(1355,2745,0.069616,3.5704),(1355,2755,0.069956,3.5693),(1355,2765,0.070285,3.5682),(1355,2775,0.070615,3.5671),(1355,2785,0.070945,3.5659),(1355,2795,0.07127,3.5648),(1355,2805,0.071584,3.5636),(1355,2815,0.071898,3.5625),(1355,2825,0.072212,3.5613),(1355,2835,0.072521,3.5602),(1355,2845,0.072817,3.559),(1355,2855,0.073114,3.5578),(1355,2865,0.073411,3.5566),(1355,2875,0.0737,3.5554),(1355,2885,0.073978,3.5543),(1355,2895,0.074255,3.5531),(1355,2905,0.074533,3.5518),(1355,2915,0.074801,3.5506),(1355,2925,0.075058,3.5494),(1355,2935,0.075314,3.5482),(1355,2945,0.07557,3.547),(1355,2955,0.075816,3.5457),(1355,2965,0.076049,3.5445),(1355,2975,0.076282,3.5433),(1355,2985,0.076515,3.542),(1355,2995,0.076735,3.5408),(1355,3005,0.076943,3.5395),(1355,3015,0.077151,3.5383),(1355,3025,0.077359,3.537),(1355,3035,0.077552,3.5358),(1355,3045,0.077733,3.5345),(1355,3055,0.077914,3.5332),(1355,3065,0.078094,3.532),(1355,3075,0.078258,3.5307),(1355,3085,0.07841,3.5294),(1355,3095,0.078561,3.5281),(1355,3105,0.078713,3.5269),(1355,3115,0.078845,3.5256),(1355,3125,0.078964,3.5243),(1355,3135,0.079084,3.523),(1355,3145,0.079204,3.5217),(1355,3155,0.079302,3.5204),(1355,3165,0.079388,3.5191),(1355,3175,0.079473,3.5178),(1355,3185,0.079559,3.5165),(1355,3195,0.07962,3.5152),(1355,3205,0.079669,3.5139),(1355,3215,0.079719,3.5126),(1355,3225,0.079769,3.5113),(1355,3235,0.07979,3.51),(1355,3245,0.079801,3.5087),(1355,3255,0.079812,3.5074),(1355,3265,0.079823,3.5061),(1355,3275,0.079803,3.5048),(1355,3285,0.079773,3.5035),(1355,3295,0.079743,3.5022),(1355,3305,0.079714,3.5009),(1355,3315,0.079649,3.4997),(1355,3325,0.079576,3.4984),(1355,3335,0.079503,3.4971),(1355,3345,0.07943,3.4958),(1355,3355,0.079319,3.4945),(1355,3365,0.0792,3.4932),(1355,3375,0.079082,3.4919),(1355,3385,0.078963,3.4906),(1355,3395,0.078802,3.4894),(1355,3405,0.078635,3.4881),(1355,3415,0.078468,3.4868),(1355,3425,0.078301,3.4855),(1355,3435,0.078087,3.4843),(1355,3445,0.07787,3.483),(1355,3455,0.077652,3.4818),(1355,3465,0.077434,3.4805),(1355,3475,0.077165,3.4792),(1355,3485,0.076895,3.478),(1355,3495,0.076624,3.4768),(1355,3505,0.076353,3.4755),(1355,3515,0.076026,3.4743),(1355,3525,0.0757,3.4731),(1355,3535,0.075373,3.4718),(1355,3545,0.075044,3.4706),(1355,3555,0.07466,3.4694),(1355,3565,0.074275,3.4682),(1355,3575,0.073891,3.467),(1355,3585,0.073501,3.4658),(1355,3595,0.073055,3.4646),(1355,3605,0.07261,3.4634),(1355,3615,0.072165,3.4623),(1355,3625,0.071712,3.4611),(1355,3635,0.071203,3.4599),(1355,3645,0.070694,3.4588),(1355,3655,0.070186,3.4576),(1355,3665,0.069666,3.4565),(1355,3675,0.069092,3.4554),(1355,3685,0.068517,3.4542),(1355,3695,0.067942,3.4531),(1355,3705,0.067354,3.452),(1355,3715,0.066711,3.4509),(1355,3725,0.066069,3.4498),(1355,3735,0.065426,3.4487),(1355,3745,0.064766,3.4476),(1355,3755,0.064052,3.4465),(1355,3765,0.063339,3.4455),(1355,3775,0.062626,3.4444),(1355,3785,0.061892,3.4434),(1355,3795,0.061105,3.4423),(1355,3805,0.060319,3.4413),(1355,3815,0.059532,3.4402),(1355,3825,0.058721,3.4392),(1355,3835,0.057859,3.4382),(1355,3845,0.056997,3.4372),(1355,3855,0.056135,3.4362),(1355,3865,0.055245,3.4352),(1355,3875,0.054305,3.4342),(1355,3885,0.053365,3.4332),(1355,3895,0.052425,3.4323),(1355,3905,0.060802,3.4313),(1355,3915,0.083097,3.4304),(1355,3925,0.10539,3.4288),(1355,3935,0.12769,3.4263),(1355,3945,0.15311,3.4238),(1355,3955,0.18251,3.4213),(1355,3965,0.2119,3.4181),(1355,3975,0.2413,3.414),(1355,3985,0.25937,3.4098),(1355,3995,0.26518,3.4057),(1355,4005,0.27099,3.4015),(1355,4015,0.2768,3.3971),(1355,4025,0.28208,3.3928),(1355,4035,0.2873,3.3883),(1355,4045,0.29253,3.3837),(1355,4055,0.29715,3.379),(1355,4065,0.30154,3.3743),(1355,4075,0.30594,3.3693),(1355,4085,0.30981,3.3643),(1355,4095,0.31326,3.3593),(1355,4105,0.31672,3.3539),(1355,4115,0.30798,3.3485),(1355,4125,0.27903,3.343),(1355,4135,0.25008,3.3387),(1355,4145,0.22018,3.3346),(1355,4155,0.18642,3.3305),(1355,4165,0.15266,3.3274),(1355,4175,0.12076,3.3249),(1355,4185,0.18128,3.3225),(1355,4195,0.24181,3.3187),(1355,4205,0.30233,3.313),(1355,4215,0.30102,3.3073),(1355,4225,0.28808,3.3018),(1355,4235,0.27513,3.2969),(1355,4245,0.2541,3.2921),(1355,4255,0.22896,3.2873),(1355,4265,0.20383,3.2837),(1355,4275,0.1696,3.2802),(1355,4285,0.12574,3.2766),(1355,4295,0.081881,3.2753),(1355,4305,0.074898,3.2742),(1355,4315,0.15118,3.2731),(1355,4325,0.22747,3.2676),(1355,4335,0.2952,3.2605),(1355,4345,0.30503,3.2533),(1355,4355,0.31486,3.2463),(1355,4365,0.32469,3.2393),(1355,4375,0.32351,3.2324),(1355,4385,0.32175,3.2258),(1355,4395,0.31999,3.2197),(1355,4405,0.27569,3.2137),(1355,4415,0.21883,3.2083),(1355,4425,0.16197,3.2061),(1355,4435,0.14311,3.2039),(1355,4445,0.15022,3.2017),(1355,4455,0.15733,3.1992),(1355,4465,0.19608,3.1966),(1355,4475,0.27927,3.194),(1355,4485,0.36247,3.1875),(1355,4495,0.42944,3.1801),(1355,4505,0.44437,3.1728),(1355,4515,0.45929,3.1647),(1355,4525,0.4731,3.1563),(1355,4535,0.46911,3.1479),(1355,4545,0.46513,3.1396),(1355,4555,0.46115,3.1314),(1355,4565,0.34043,3.1232),(1355,4575,0.20397,3.1172),(1355,4585,0.067512,3.1166),(1355,4595,0.06322,3.116),(1355,4605,0.11477,3.115),(1355,4615,0.16632,3.1111),(1355,4625,0.22145,3.1073),(1355,4635,0.27982,3.1035),(1355,4645,0.33819,3.0969),(1355,4655,0.39422,3.0902),(1355,4665,0.44584,3.0835),(1355,4675,0.49747,3.0749),(1355,4685,0.52186,3.0658),(1355,4695,0.41167,3.0567),(1355,4705,0.30148,3.0507),(1355,4715,0.19129,3.0471),(1355,4725,0.25374,3.0434),(1355,4735,0.31791,3.0382),(1355,4745,0.38208,3.0308),(1355,4755,0.47028,3.0235),(1355,4765,0.56405,3.0152),(1355,4775,0.65782,3.0038),(1355,4785,0.70793,2.9925),(1355,4795,0.73281,2.9811),(1355,4805,0.75769,2.97),(1355,4815,0.73876,2.9589),(1355,4825,0.66745,2.9477),(1355,4835,0.59614,2.9402),(1355,4845,0.51387,2.9333),(1355,4855,0.40298,2.9263),(1355,4865,0.2921,2.9214),(1355,4875,0.20996,2.9174),(1355,4885,0.38933,2.9134),(1355,4895,0.5687,2.9043),(1355,4905,0.74807,2.8901),(1355,4915,0.75059,2.8759),(1355,4925,0.73789,2.8621),(1355,4935,0.7252,2.849),(1355,4945,0.66402,2.836),(1355,4955,0.58603,2.8236),(1355,4965,0.50805,2.815),(1355,4975,0.39589,2.8064),(1355,4985,0.25735,2.7978),(1355,4995,0.11881,2.7969),(1355,5005,0.11668,2.7962),(1355,5015,0.33142,2.7954),(1355,5025,0.54615,2.7861),(1355,5035,0.73639,2.7745),(1355,5045,0.83335,2.7629),(1355,5055,0.93031,2.7493),(1355,5065,1.0252,2.7345),(1355,5075,1.0516,2.7196),(1355,5085,1.0781,2.7049),(1355,5095,1.1046,2.6904),(1355,5105,0.97522,2.676),(1355,5115,0.81869,2.6634),(1355,5125,0.66217,2.656),(1355,5135,0.56118,2.6487),(1355,5145,0.48716,2.6414),(1355,5155,0.41313,2.6348),(1355,5165,0.48301,2.6281),(1355,5175,0.69965,2.6215),(1355,5185,0.91629,2.6059),(1355,5195,1.0734,2.5893),(1355,5205,1.102,2.5727),(1355,5215,1.1306,2.5564),(1355,5225,1.1528,2.5402),(1355,5235,1.1347,2.524),(1355,5245,1.1165,2.5091),(1355,5255,1.0984,2.4953),(1355,5265,0.76758,2.4815),(1355,5275,0.42385,2.4727),(1355,5285,0.080127,2.4724),(1355,5295,0.15536,2.4722),(1355,5305,0.34727,2.4695),(1355,5315,0.53918,2.4566),(1355,5325,0.69843,2.4437),(1355,5335,0.83627,2.4307),(1355,5345,0.97412,2.4139),(1355,5355,1.0798,2.3972),(1355,5365,1.142,2.3805),(1355,5375,1.2042,2.364),(1355,5385,1.1808,2.3476),(1355,5395,0.89683,2.3312),(1355,5405,0.61288,2.3228),(1355,5415,0.3499,2.3187),(1355,5425,0.36865,2.3145),(1355,5435,0.3874,2.3075),(1355,5445,0.40615,2.2973),(1355,5455,0.4938,2.2872),(1355,5465,0.58988,2.2749),(1355,5475,0.68596,2.2577),(1355,5485,0.73202,2.2406),(1355,5495,0.75795,2.2232),(1355,5505,0.78387,2.2049),(1355,5515,0.81124,2.1866),(1355,5525,0.83985,2.1683),(1355,5535,0.86847,2.1489),(1355,5545,0.89741,2.1296),(1355,5555,0.92696,2.1102),(1355,5565,0.9565,2.09),(1355,5575,0.98609,2.0695),(1355,5585,1.0159,2.0491),(1355,5595,1.0457,2.0282),(1355,5605,1.0755,2.0069),(1355,5615,1.1053,1.9857),(1355,5625,1.1351,1.9643),(1355,5635,1.1649,1.9424),(1355,5645,1.1943,1.9206),(1355,5655,1.2237,1.8987),(1355,5665,1.2531,1.8763),(1355,5675,1.2821,1.8539),(1355,5685,1.3109,1.8315),(1355,5695,1.3396,1.809),(1355,5705,1.368,1.7864),(1355,5715,1.3959,1.7639),(1355,5725,1.4237,1.7413),(1355,5735,1.4513,1.7186),(1355,5745,1.4781,1.6959),(1355,5755,1.5048,1.6733),(1355,5765,1.5315,1.6505),(1355,5775,1.557,1.6278),(1355,5785,1.5825,1.6052),(1355,5795,1.608,1.5827),(1355,5805,1.6323,1.5601),(1355,5815,1.6564,1.5377),(1355,5825,1.6805,1.5154),(1355,5835,1.7036,1.4931),(1355,5845,1.7263,1.4709),(1355,5855,1.749,1.4488),(1355,5865,1.7709,1.4267),(1355,5875,1.7922,1.4046),(1355,5885,1.8134,1.3828),(1355,5895,1.8342,1.361),(1355,5905,1.854,1.3391),(1355,5915,1.8738,1.3175),(1355,5925,1.8934,1.296),(1355,5935,1.9119,1.2745),(1355,5945,1.9303,1.2531),(1355,5955,1.9488,1.2319),(1355,5965,1.9664,1.2107),(1355,5975,1.9841,1.1896),(1355,5985,2.0018,1.1687),(1355,5995,1.5329,1.1478),(1355,6005,0.98564,1.1319),(1355,6015,0.43841,1.1293),(1355,6025,0.40223,1.1267),(1355,6035,0.60306,1.1231),(1355,6045,0.80389,1.1093),(1355,6055,0.9528,1.0955),(1355,6065,1.0508,1.0817),(1355,6075,1.1488,1.0635),(1355,6085,1.2167,1.0449),(1355,6095,1.2225,1.0263),(1355,6105,1.2284,1.0075),(1355,6115,1.2342,0.9887),(1355,6125,1.2398,0.96987),(1355,6135,1.2454,0.95095),(1355,6145,1.251,0.93197),(1355,6155,1.2562,0.91299),(1355,6165,1.2615,0.89388),(1355,6175,1.2667,0.87457),(1355,6185,1.2717,0.85526),(1355,6195,1.2767,0.83593),(1355,6205,1.2816,0.81652),(1355,6215,1.2863,0.7971),(1355,6225,1.2909,0.77768),(1355,6235,1.2955,0.75814),(1355,6245,1.2999,0.7386),(1355,6255,1.3042,0.71906),(1355,6265,1.3084,0.69943),(1355,6275,1.3126,0.67978),(1355,6285,1.3164,0.66013),(1355,6295,1.3203,0.64035),(1355,6305,1.3241,0.6205),(1355,6315,1.3275,0.60064),(1355,6325,1.3309,0.58073),(1355,6335,1.3343,0.56074),(1355,6345,1.3375,0.54076),(1355,6355,1.3406,0.52075),(1355,6365,1.3437,0.50071),(1355,6375,1.3465,0.48066),(1355,6385,1.3493,0.46059),(1355,6395,1.352,0.44032),(1355,6405,1.3546,0.42004),(1355,6415,1.3569,0.39977),(1355,6425,1.3593,0.37939),(1355,6435,1.3616,0.359),(1355,6445,1.3636,0.33861),(1355,6455,1.3656,0.31833),(1355,6465,1.3675,0.29807),(1355,6475,1.3691,0.27781),(1355,6485,1.3707,0.25751),(1355,6495,1.3723,0.2372),(1355,6505,1.3735,0.21688),(1355,6515,1.3747,0.19649),(1355,6525,1.3759,0.17597),(1355,6535,1.3768,0.15546),(1355,6545,1.3776,0.13496),(1355,6555,1.3785,0.11446),(1355,6565,1.379,0.093957),(1355,6575,1.3794,0.07346),(1355,6585,1.3799,0.053),(1355,6595,1.1738,0.032539),(1355,6605,0.73967,0.012079),(1355,6615,0.30557,0.00971),(1355,6625,0.00041,0.009666),(1355,6635,0.000413,0.009622),(1355,6645,0.000415,0.009604),(1355,6655,0.000418,0.009596),(1355,6665,0.00042,0.009588),(1355,6675,0.000422,0.009581),(1355,6685,0.000425,0.009573),(1355,6695,0.000427,0.009566),(1355,6705,0.000429,0.009558),(1355,6715,0.000432,0.009551),(1355,6725,0.000434,0.009543),(1355,6735,0.000436,0.009536),(1355,6745,0.000438,0.009528),(1355,6755,0.00044,0.00952),(1355,6765,0.000442,0.009512),(1355,6775,0.000444,0.009505),(1355,6785,0.000446,0.009497),(1355,6795,0.000448,0.009489),(1355,6805,0.00045,0.009482),(1355,6815,0.000452,0.009474),(1355,6825,0.000454,0.009466),(1355,6835,0.000456,0.009458),(1355,6845,0.000458,0.00945),(1355,6855,0.000459,0.009443),(1355,6865,0.000461,0.009435),(1355,6875,0.000463,0.009427),(1355,6885,0.000465,0.009419),(1355,6895,0.000467,0.009411),(1355,6905,0.000468,0.009403),(1355,6915,0.00047,0.009395),(1355,6925,0.000472,0.009388),(1355,6935,0.000473,0.00938),(1355,6945,0.000475,0.009371),(1355,6955,0.000477,0.009364),(1355,6965,0.000478,0.009355),(1355,6975,0.00048,0.009347),(1355,6985,0.000481,0.00934),(1365,5,5.6e-05,3.6734),(1365,15,0.000168,3.6734),(1365,25,0.00028,3.6734),(1365,35,0.000392,3.6734),(1365,45,0.000504,3.6734),(1365,55,0.000616,3.6734),(1365,65,0.000729,3.6734),(1365,75,0.000841,3.6734),(1365,85,0.000953,3.6733),(1365,95,0.001066,3.6733),(1365,105,0.001179,3.6733),(1365,115,0.001292,3.6733),(1365,125,0.001405,3.6733),(1365,135,0.001518,3.6733),(1365,145,0.001631,3.6733),(1365,155,0.001745,3.6732),(1365,165,0.001859,3.6732),(1365,175,0.001972,3.6732),(1365,185,0.002087,3.6732),(1365,195,0.002201,3.6732),(1365,205,0.002316,3.6731),(1365,215,0.002431,3.6731),(1365,225,0.002546,3.6731),(1365,235,0.002662,3.6731),(1365,245,0.002778,3.673),(1365,255,0.002894,3.673),(1365,265,0.003011,3.673),(1365,275,0.003128,3.6729),(1365,285,0.003246,3.6729),(1365,295,0.003363,3.6729),(1365,305,0.003482,3.6728),(1365,315,0.003601,3.6728),(1365,325,0.00372,3.6727),(1365,335,0.003839,3.6727),(1365,345,0.00396,3.6727),(1365,355,0.00408,3.6726),(1365,365,0.004202,3.6726),(1365,375,0.004322,3.6725),(1365,385,0.004445,3.6725),(1365,395,0.004568,3.6724),(1365,405,0.004691,3.6724),(1365,415,0.004814,3.6723),(1365,425,0.00494,3.6723),(1365,435,0.005065,3.6722),(1365,445,0.00519,3.6722),(1365,455,0.005316,3.6721),(1365,465,0.005443,3.672),(1365,475,0.005571,3.672),(1365,485,0.005699,3.6719),(1365,495,0.005827,3.6719),(1365,505,0.005958,3.6718),(1365,515,0.006089,3.6717),(1365,525,0.00622,3.6717),(1365,535,0.006351,3.6716),(1365,545,0.006484,3.6715),(1365,555,0.006618,3.6714),(1365,565,0.006752,3.6714),(1365,575,0.006886,3.6713),(1365,585,0.007023,3.6712),(1365,595,0.00716,3.6711),(1365,605,0.007297,3.6711),(1365,615,0.007435,3.671),(1365,625,0.007575,3.6709),(1365,635,0.007716,3.6708),(1365,645,0.007856,3.6707),(1365,655,0.007998,3.6706),(1365,665,0.008142,3.6705),(1365,675,0.008286,3.6705),(1365,685,0.008431,3.6704),(1365,695,0.008576,3.6703),(1365,705,0.008724,3.6702),(1365,715,0.008872,3.6701),(1365,725,0.009021,3.67),(1365,735,0.00917,3.6699),(1365,745,0.009322,3.6698),(1365,755,0.009475,3.6697),(1365,765,0.009628,3.6695),(1365,775,0.009781,3.6694),(1365,785,0.009938,3.6693),(1365,795,0.010095,3.6692),(1365,805,0.010252,3.6691),(1365,815,0.010411,3.669),(1365,825,0.010572,3.6689),(1365,835,0.010734,3.6687),(1365,845,0.010896,3.6686),(1365,855,0.01106,3.6685),(1365,865,0.011226,3.6684),(1365,875,0.011393,3.6682),(1365,885,0.01156,3.6681),(1365,895,0.011729,3.668),(1365,905,0.0119,3.6678),(1365,915,0.012072,3.6677),(1365,925,0.012244,3.6676),(1365,935,0.012418,3.6674),(1365,945,0.012596,3.6673),(1365,955,0.012773,3.6671),(1365,965,0.01295,3.667),(1365,975,0.01313,3.6668),(1365,985,0.013313,3.6667),(1365,995,0.013496,3.6665),(1365,1005,0.013679,3.6664),(1365,1015,0.013864,3.6662),(1365,1025,0.014053,3.6661),(1365,1035,0.014242,3.6659),(1365,1045,0.014431,3.6657),(1365,1055,0.014623,3.6656),(1365,1065,0.014818,3.6654),(1365,1075,0.015013,3.6652),(1365,1085,0.015208,3.665),(1365,1095,0.015407,3.6649),(1365,1105,0.015608,3.6647),(1365,1115,0.01581,3.6645),(1365,1125,0.016011,3.6643),(1365,1135,0.016216,3.6641),(1365,1145,0.016424,3.6639),(1365,1155,0.016632,3.6637),(1365,1165,0.01684,3.6635),(1365,1175,0.017052,3.6633),(1365,1185,0.017267,3.6631),(1365,1195,0.017482,3.6629),(1365,1205,0.017696,3.6627),(1365,1215,0.017916,3.6625),(1365,1225,0.018137,3.6623),(1365,1235,0.018359,3.6621),(1365,1245,0.018581,3.6618),(1365,1255,0.018808,3.6616),(1365,1265,0.019037,3.6614),(1365,1275,0.019266,3.6612),(1365,1285,0.019494,3.6609),(1365,1295,0.019729,3.6607),(1365,1305,0.019965,3.6604),(1365,1315,0.020202,3.6602),(1365,1325,0.020438,3.66),(1365,1335,0.02068,3.6597),(1365,1345,0.020924,3.6595),(1365,1355,0.021168,3.6592),(1365,1365,0.021412,3.6589),(1365,1375,0.021662,3.6587),(1365,1385,0.021913,3.6584),(1365,1395,0.022165,3.6581),(1365,1405,0.022416,3.6579),(1365,1415,0.022675,3.6576),(1365,1425,0.022934,3.6573),(1365,1435,0.023193,3.657),(1365,1445,0.023452,3.6567),(1365,1455,0.023719,3.6564),(1365,1465,0.023986,3.6561),(1365,1475,0.024254,3.6558),(1365,1485,0.024521,3.6555),(1365,1495,0.024796,3.6552),(1365,1505,0.025071,3.6549),(1365,1515,0.025347,3.6546),(1365,1525,0.025622,3.6543),(1365,1535,0.025905,3.6539),(1365,1545,0.026189,3.6536),(1365,1555,0.026472,3.6533),(1365,1565,0.026756,3.6529),(1365,1575,0.027048,3.6526),(1365,1585,0.02734,3.6523),(1365,1595,0.027631,3.6519),(1365,1605,0.027924,3.6515),(1365,1615,0.028224,3.6512),(1365,1625,0.028524,3.6508),(1365,1635,0.028824,3.6504),(1365,1645,0.029125,3.6501),(1365,1655,0.029433,3.6497),(1365,1665,0.029741,3.6493),(1365,1675,0.030049,3.6489),(1365,1685,0.030359,3.6485),(1365,1695,0.030675,3.6481),(1365,1705,0.030991,3.6477),(1365,1715,0.031307,3.6473),(1365,1725,0.031625,3.6469),(1365,1735,0.031949,3.6465),(1365,1745,0.032274,3.6461),(1365,1755,0.032598,3.6456),(1365,1765,0.032924,3.6452),(1365,1775,0.033256,3.6448),(1365,1785,0.033589,3.6443),(1365,1795,0.033921,3.6439),(1365,1805,0.034256,3.6434),(1365,1815,0.034596,3.643),(1365,1825,0.034936,3.6425),(1365,1835,0.035276,3.642),(1365,1845,0.035619,3.6415),(1365,1855,0.035967,3.6411),(1365,1865,0.036315,3.6406),(1365,1875,0.036663,3.6401),(1365,1885,0.037013,3.6396),(1365,1895,0.037369,3.6391),(1365,1905,0.037724,3.6386),(1365,1915,0.038079,3.638),(1365,1925,0.038438,3.6375),(1365,1935,0.0388,3.637),(1365,1945,0.039163,3.6365),(1365,1955,0.039525,3.6359),(1365,1965,0.039891,3.6354),(1365,1975,0.04026,3.6348),(1365,1985,0.040629,3.6343),(1365,1995,0.040998,3.6337),(1365,2005,0.041371,3.6331),(1365,2015,0.041746,3.6325),(1365,2025,0.042122,3.6319),(1365,2035,0.042497,3.6313),(1365,2045,0.042876,3.6307),(1365,2055,0.043257,3.6302),(1365,2065,0.043639,3.6295),(1365,2075,0.04402,3.6289),(1365,2085,0.044405,3.6283),(1365,2095,0.044792,3.6277),(1365,2105,0.045178,3.627),(1365,2115,0.045565,3.6264),(1365,2125,0.045955,3.6257),(1365,2135,0.046347,3.6251),(1365,2145,0.046739,3.6244),(1365,2155,0.04713,3.6237),(1365,2165,0.047525,3.623),(1365,2175,0.047921,3.6223),(1365,2185,0.048317,3.6216),(1365,2195,0.048713,3.6209),(1365,2205,0.049111,3.6202),(1365,2215,0.049511,3.6195),(1365,2225,0.04991,3.6188),(1365,2235,0.05031,3.6181),(1365,2245,0.050711,3.6173),(1365,2255,0.051113,3.6166),(1365,2265,0.051515,3.6158),(1365,2275,0.051917,3.6151),(1365,2285,0.052321,3.6143),(1365,2295,0.052725,3.6135),(1365,2305,0.053129,3.6127),(1365,2315,0.053533,3.6119),(1365,2325,0.053938,3.6111),(1365,2335,0.054343,3.6103),(1365,2345,0.054748,3.6095),(1365,2355,0.055153,3.6087),(1365,2365,0.055558,3.6079),(1365,2375,0.055963,3.607),(1365,2385,0.056367,3.6062),(1365,2395,0.056772,3.6053),(1365,2405,0.057176,3.6045),(1365,2415,0.05758,3.6036),(1365,2425,0.057983,3.6027),(1365,2435,0.058387,3.6019),(1365,2445,0.058788,3.601),(1365,2455,0.059189,3.6001),(1365,2465,0.059591,3.5992),(1365,2475,0.059992,3.5982),(1365,2485,0.06039,3.5973),(1365,2495,0.060788,3.5964),(1365,2505,0.061186,3.5955),(1365,2515,0.061584,3.5945),(1365,2525,0.061977,3.5936),(1365,2535,0.06237,3.5926),(1365,2545,0.062763,3.5916),(1365,2555,0.063156,3.5907),(1365,2565,0.063543,3.5897),(1365,2575,0.06393,3.5887),(1365,2585,0.064318,3.5877),(1365,2595,0.064704,3.5867),(1365,2605,0.065084,3.5857),(1365,2615,0.065463,3.5847),(1365,2625,0.065843,3.5836),(1365,2635,0.066221,3.5826),(1365,2645,0.066591,3.5816),(1365,2655,0.066962,3.5805),(1365,2665,0.067332,3.5795),(1365,2675,0.0677,3.5784),(1365,2685,0.06806,3.5773),(1365,2695,0.06842,3.5763),(1365,2705,0.068779,3.5752),(1365,2715,0.069136,3.5741),(1365,2725,0.069484,3.573),(1365,2735,0.069831,3.5719),(1365,2745,0.070179,3.5708),(1365,2755,0.070523,3.5696),(1365,2765,0.070856,3.5685),(1365,2775,0.07119,3.5674),(1365,2785,0.071524,3.5662),(1365,2795,0.071852,3.5651),(1365,2805,0.07217,3.564),(1365,2815,0.072488,3.5628),(1365,2825,0.072806,3.5616),(1365,2835,0.073117,3.5605),(1365,2845,0.073418,3.5593),(1365,2855,0.073718,3.5581),(1365,2865,0.074018,3.5569),(1365,2875,0.074311,3.5557),(1365,2885,0.074591,3.5545),(1365,2895,0.074872,3.5533),(1365,2905,0.075152,3.5521),(1365,2915,0.075424,3.5509),(1365,2925,0.075683,3.5497),(1365,2935,0.075942,3.5485),(1365,2945,0.076202,3.5472),(1365,2955,0.07645,3.546),(1365,2965,0.076686,3.5448),(1365,2975,0.076921,3.5435),(1365,2985,0.077157,3.5423),(1365,2995,0.07738,3.541),(1365,3005,0.07759,3.5398),(1365,3015,0.0778,3.5385),(1365,3025,0.07801,3.5372),(1365,3035,0.078206,3.536),(1365,3045,0.078388,3.5347),(1365,3055,0.078571,3.5334),(1365,3065,0.078754,3.5321),(1365,3075,0.078919,3.5309),(1365,3085,0.079072,3.5296),(1365,3095,0.079225,3.5283),(1365,3105,0.079378,3.527),(1365,3115,0.079512,3.5257),(1365,3125,0.079633,3.5244),(1365,3135,0.079754,3.5231),(1365,3145,0.079875,3.5218),(1365,3155,0.079973,3.5205),(1365,3165,0.08006,3.5192),(1365,3175,0.080147,3.5179),(1365,3185,0.080233,3.5166),(1365,3195,0.080295,3.5153),(1365,3205,0.080345,3.514),(1365,3215,0.080395,3.5127),(1365,3225,0.080445,3.5114),(1365,3235,0.080466,3.5101),(1365,3245,0.080477,3.5087),(1365,3255,0.080488,3.5074),(1365,3265,0.0805,3.5061),(1365,3275,0.080479,3.5048),(1365,3285,0.080449,3.5035),(1365,3295,0.080419,3.5022),(1365,3305,0.080389,3.5009),(1365,3315,0.080324,3.4996),(1365,3325,0.08025,3.4983),(1365,3335,0.080176,3.497),(1365,3345,0.080103,3.4957),(1365,3355,0.07999,3.4944),(1365,3365,0.079871,3.4931),(1365,3375,0.079751,3.4918),(1365,3385,0.079631,3.4905),(1365,3395,0.079469,3.4892),(1365,3405,0.0793,3.4879),(1365,3415,0.079132,3.4866),(1365,3425,0.078964,3.4853),(1365,3435,0.078748,3.4841),(1365,3445,0.078529,3.4828),(1365,3455,0.078309,3.4815),(1365,3465,0.07809,3.4803),(1365,3475,0.077819,3.479),(1365,3485,0.077546,3.4777),(1365,3495,0.077274,3.4765),(1365,3505,0.077001,3.4752),(1365,3515,0.076672,3.474),(1365,3525,0.076343,3.4727),(1365,3535,0.076015,3.4715),(1365,3545,0.075684,3.4703),(1365,3555,0.075297,3.469),(1365,3565,0.07491,3.4678),(1365,3575,0.074523,3.4666),(1365,3585,0.074131,3.4654),(1365,3595,0.073683,3.4642),(1365,3605,0.073235,3.463),(1365,3615,0.072787,3.4618),(1365,3625,0.072332,3.4606),(1365,3635,0.071821,3.4594),(1365,3645,0.07131,3.4583),(1365,3655,0.070799,3.4571),(1365,3665,0.070277,3.4559),(1365,3675,0.0697,3.4548),(1365,3685,0.069123,3.4536),(1365,3695,0.068546,3.4525),(1365,3705,0.067955,3.4514),(1365,3715,0.06731,3.4503),(1365,3725,0.066666,3.4491),(1365,3735,0.066021,3.448),(1365,3745,0.065359,3.4469),(1365,3755,0.064643,3.4458),(1365,3765,0.063928,3.4447),(1365,3775,0.063212,3.4437),(1365,3785,0.062477,3.4426),(1365,3795,0.061689,3.4415),(1365,3805,0.060901,3.4405),(1365,3815,0.060113,3.4394),(1365,3825,0.0593,3.4384),(1365,3835,0.058438,3.4374),(1365,3845,0.057575,3.4363),(1365,3855,0.056712,3.4353),(1365,3865,0.055821,3.4343),(1365,3875,0.054881,3.4333),(1365,3885,0.053942,3.4323),(1365,3895,0.053002,3.4313),(1365,3905,0.06147,3.4303),(1365,3915,0.083991,3.4294),(1365,3925,0.10651,3.4277),(1365,3935,0.12903,3.4252),(1365,3945,0.15467,3.4226),(1365,3955,0.18426,3.4201),(1365,3965,0.21385,3.4168),(1365,3975,0.24344,3.4126),(1365,3985,0.26162,3.4084),(1365,3995,0.26745,3.4043),(1365,4005,0.27328,3.4),(1365,4015,0.27911,3.3956),(1365,4025,0.28444,3.3911),(1365,4035,0.28973,3.3866),(1365,4045,0.29501,3.3819),(1365,4055,0.29971,3.3772),(1365,4065,0.30418,3.3724),(1365,4075,0.30865,3.3673),(1365,4085,0.31261,3.3622),(1365,4095,0.31615,3.3571),(1365,4105,0.31968,3.3516),(1365,4115,0.31091,3.3462),(1365,4125,0.28174,3.3407),(1365,4135,0.25256,3.3363),(1365,4145,0.22242,3.3322),(1365,4155,0.18837,3.3281),(1365,4165,0.15432,3.325),(1365,4175,0.12215,3.3226),(1365,4185,0.18327,3.3202),(1365,4195,0.24439,3.3163),(1365,4205,0.30551,3.3106),(1365,4215,0.30418,3.3048),(1365,4225,0.29109,3.2993),(1365,4235,0.27801,3.2944),(1365,4245,0.25678,3.2895),(1365,4255,0.23142,3.2846),(1365,4265,0.20605,3.2811),(1365,4275,0.1715,3.2775),(1365,4285,0.1272,3.2739),(1365,4295,0.082903,3.2726),(1365,4305,0.076031,3.2715),(1365,4315,0.15367,3.2704),(1365,4325,0.23132,3.2649),(1365,4335,0.3002,3.2577),(1365,4345,0.30983,3.2506),(1365,4355,0.31946,3.2436),(1365,4365,0.32909,3.2367),(1365,4375,0.32765,3.2298),(1365,4385,0.32563,3.2232),(1365,4395,0.32362,3.2171),(1365,4405,0.27867,3.211),(1365,4415,0.22106,3.2056),(1365,4425,0.16345,3.2033),(1365,4435,0.14432,3.201),(1365,4445,0.1515,3.1987),(1365,4455,0.15868,3.1961),(1365,4465,0.19782,3.1935),(1365,4475,0.28187,3.1909),(1365,4485,0.36591,3.1843),(1365,4495,0.43358,3.1769),(1365,4505,0.44869,3.1694),(1365,4515,0.4638,3.1613),(1365,4525,0.47776,3.1528),(1365,4535,0.47368,3.1443),(1365,4545,0.4696,3.1359),(1365,4555,0.46551,3.1277),(1365,4565,0.34367,3.1195),(1365,4575,0.20595,3.1135),(1365,4585,0.068225,3.1129),(1365,4595,0.063951,3.1123),(1365,4605,0.11606,3.1113),(1365,4615,0.16817,3.1074),(1365,4625,0.22381,3.1035),(1365,4635,0.28264,3.0996),(1365,4645,0.34148,3.093),(1365,4655,0.39794,3.0861),(1365,4665,0.44993,3.0793),(1365,4675,0.50192,3.0707),(1365,4685,0.52647,3.0614),(1365,4695,0.41545,3.0522),(1365,4705,0.30444,3.0462),(1365,4715,0.19343,3.0425),(1365,4725,0.25652,3.0388),(1365,4735,0.32136,3.0336),(1365,4745,0.3862,3.0261),(1365,4755,0.47491,3.0187),(1365,4765,0.56916,3.0103),(1365,4775,0.6634,2.9989),(1365,4785,0.71351,2.9875),(1365,4795,0.7381,2.9761),(1365,4805,0.7627,2.965),(1365,4815,0.74327,2.9539),(1365,4825,0.67123,2.9428),(1365,4835,0.59918,2.9354),(1365,4845,0.51635,2.9285),(1365,4855,0.40541,2.9216),(1365,4865,0.29447,2.9167),(1365,4875,0.21245,2.9127),(1365,4885,0.39349,2.9087),(1365,4895,0.57453,2.8995),(1365,4905,0.75558,2.8853),(1365,4915,0.758,2.8711),(1365,4925,0.74506,2.8573),(1365,4935,0.73212,2.8442),(1365,4945,0.67032,2.8312),(1365,4955,0.59157,2.8188),(1365,4965,0.51282,2.8102),(1365,4975,0.39961,2.8016),(1365,4985,0.25981,2.793),(1365,4995,0.12,2.7921),(1365,5005,0.11771,2.7914),(1365,5015,0.33404,2.7906),(1365,5025,0.55037,2.7813),(1365,5035,0.74194,2.7698),(1365,5045,0.83915,2.7583),(1365,5055,0.93637,2.7448),(1365,5065,1.0315,2.7301),(1365,5075,1.0577,2.7153),(1365,5085,1.0838,2.7007),(1365,5095,1.11,2.6863),(1365,5105,0.97982,2.6719),(1365,5115,0.82236,2.6594),(1365,5125,0.6649,2.6521),(1365,5135,0.56381,2.6448),(1365,5145,0.49009,2.6376),(1365,5155,0.41636,2.6309),(1365,5165,0.48704,2.6243),(1365,5175,0.70499,2.6177),(1365,5185,0.92294,2.6021),(1365,5195,1.0808,2.5856),(1365,5205,1.1091,2.5691),(1365,5215,1.1375,2.5529),(1365,5225,1.1593,2.5367),(1365,5235,1.1406,2.5206),(1365,5245,1.122,2.5058),(1365,5255,1.1034,2.492),(1365,5265,0.77106,2.4782),(1365,5275,0.42584,2.4694),(1365,5285,0.080618,2.4692),(1365,5295,0.15728,2.469),(1365,5305,0.35143,2.4663),(1365,5315,0.54558,2.4533),(1365,5325,0.7058,2.4404),(1365,5335,0.84377,2.4274),(1365,5345,0.98174,2.4108),(1365,5355,1.0872,2.3941),(1365,5365,1.149,2.3774),(1365,5375,1.2107,2.3611),(1365,5385,1.1865,2.3448),(1365,5395,0.90104,2.3284),(1365,5405,0.6156,2.3201),(1365,5415,0.35134,2.316),(1365,5425,0.37171,2.3119),(1365,5435,0.39207,2.3048),(1365,5445,0.41243,2.2945),(1365,5455,0.50143,2.2843),(1365,5465,0.59881,2.2719),(1365,5475,0.6962,2.2545),(1365,5485,0.74274,2.2371),(1365,5495,0.76881,2.2197),(1365,5505,0.79487,2.2012),(1365,5515,0.82236,2.1827),(1365,5525,0.8511,2.1642),(1365,5535,0.87983,2.1448),(1365,5545,0.90888,2.1253),(1365,5555,0.93849,2.1058),(1365,5565,0.96811,2.0855),(1365,5575,0.99776,2.065),(1365,5585,1.0276,2.0444),(1365,5595,1.0574,2.0234),(1365,5605,1.0873,2.0022),(1365,5615,1.117,1.9809),(1365,5625,1.1468,1.9594),(1365,5635,1.1765,1.9376),(1365,5645,1.2059,1.9157),(1365,5655,1.2352,1.8938),(1365,5665,1.2645,1.8714),(1365,5675,1.2934,1.8491),(1365,5685,1.322,1.8267),(1365,5695,1.3507,1.8043),(1365,5705,1.3789,1.7818),(1365,5715,1.4066,1.7593),(1365,5725,1.4343,1.7368),(1365,5735,1.4617,1.7142),(1365,5745,1.4883,1.6916),(1365,5755,1.5149,1.669),(1365,5765,1.5413,1.6464),(1365,5775,1.5666,1.6238),(1365,5785,1.5919,1.6013),(1365,5795,1.6172,1.5789),(1365,5805,1.6412,1.5565),(1365,5815,1.6651,1.5342),(1365,5825,1.6891,1.512),(1365,5835,1.7119,1.4899),(1365,5845,1.7344,1.4677),(1365,5855,1.7569,1.4458),(1365,5865,1.7785,1.4239),(1365,5875,1.7996,1.402),(1365,5885,1.8206,1.3803),(1365,5895,1.8411,1.3586),(1365,5905,1.8607,1.3369),(1365,5915,1.8804,1.3155),(1365,5925,1.8997,1.2941),(1365,5935,1.918,1.2727),(1365,5945,1.9363,1.2515),(1365,5955,1.9545,1.2305),(1365,5965,1.972,1.2094),(1365,5975,1.9895,1.1885),(1365,5985,2.0069,1.1677),(1365,5995,1.5368,1.1469),(1365,6005,0.98811,1.1311),(1365,6015,0.43945,1.1286),(1365,6025,0.40415,1.126),(1365,6035,0.60693,1.1224),(1365,6045,0.80972,1.1086),(1365,6055,0.95996,1.0948),(1365,6065,1.0587,1.081),(1365,6075,1.1574,1.0628),(1365,6085,1.2258,1.0442),(1365,6095,1.2317,1.0256),(1365,6105,1.2375,1.0068),(1365,6115,1.2434,0.98802),(1365,6125,1.249,0.96919),(1365,6135,1.2546,0.95027),(1365,6145,1.2602,0.93129),(1365,6155,1.2655,0.91231),(1365,6165,1.2708,0.89321),(1365,6175,1.276,0.87392),(1365,6185,1.2811,0.85462),(1365,6195,1.286,0.8353),(1365,6205,1.2909,0.8159),(1365,6215,1.2957,0.79649),(1365,6225,1.3003,0.77708),(1365,6235,1.3049,0.75756),(1365,6245,1.3094,0.73803),(1365,6255,1.3136,0.7185),(1365,6265,1.3179,0.69887),(1365,6275,1.3221,0.67922),(1365,6285,1.3259,0.65956),(1365,6295,1.3298,0.63977),(1365,6305,1.3336,0.61992),(1365,6315,1.3371,0.60007),(1365,6325,1.3405,0.58016),(1365,6335,1.344,0.5602),(1365,6345,1.3471,0.54024),(1365,6355,1.3502,0.52026),(1365,6365,1.3533,0.50024),(1365,6375,1.3562,0.48022),(1365,6385,1.3589,0.46017),(1365,6395,1.3617,0.43992),(1365,6405,1.3642,0.41966),(1365,6415,1.3666,0.39941),(1365,6425,1.369,0.37904),(1365,6435,1.3712,0.35868),(1365,6445,1.3733,0.33831),(1365,6455,1.3753,0.31804),(1365,6465,1.3772,0.29779),(1365,6475,1.3788,0.27754),(1365,6485,1.3804,0.25726),(1365,6495,1.382,0.23695),(1365,6505,1.3833,0.21665),(1365,6515,1.3845,0.19627),(1365,6525,1.3857,0.17579),(1365,6535,1.3866,0.1553),(1365,6545,1.3874,0.13482),(1365,6555,1.3883,0.11435),(1365,6565,1.3888,0.093874),(1365,6575,1.3892,0.073401),(1365,6585,1.3897,0.052958),(1365,6595,1.1821,0.032515),(1365,6605,0.74493,0.012071),(1365,6615,0.30774,0.009707),(1365,6625,0.000415,0.009665),(1365,6635,0.000417,0.009624),(1365,6645,0.000419,0.009606),(1365,6655,0.000422,0.009598),(1365,6665,0.000424,0.009591),(1365,6675,0.000427,0.009583),(1365,6685,0.000429,0.009575),(1365,6695,0.000431,0.009568),(1365,6705,0.000433,0.00956),(1365,6715,0.000436,0.009553),(1365,6725,0.000438,0.009545),(1365,6735,0.00044,0.009538),(1365,6745,0.000442,0.00953),(1365,6755,0.000444,0.009522),(1365,6765,0.000446,0.009514),(1365,6775,0.000448,0.009507),(1365,6785,0.00045,0.009499),(1365,6795,0.000452,0.009491),(1365,6805,0.000454,0.009483),(1365,6815,0.000456,0.009476),(1365,6825,0.000458,0.009468),(1365,6835,0.00046,0.00946),(1365,6845,0.000462,0.009452),(1365,6855,0.000464,0.009444),(1365,6865,0.000466,0.009437),(1365,6875,0.000467,0.009429),(1365,6885,0.000469,0.009421),(1365,6895,0.000471,0.009413),(1365,6905,0.000473,0.009405),(1365,6915,0.000474,0.009397),(1365,6925,0.000476,0.009389),(1365,6935,0.000478,0.009381),(1365,6945,0.000479,0.009373),(1365,6955,0.000481,0.009365),(1365,6965,0.000482,0.009357),(1365,6975,0.000484,0.009349),(1365,6985,0.000486,0.009341),(1375,5,5.6e-05,3.6735),(1375,15,0.000168,3.6735),(1375,25,0.000281,3.6735),(1375,35,0.000393,3.6735),(1375,45,0.000506,3.6735),(1375,55,0.000618,3.6735),(1375,65,0.000731,3.6735),(1375,75,0.000844,3.6735),(1375,85,0.000956,3.6735),(1375,95,0.001069,3.6734),(1375,105,0.001182,3.6734),(1375,115,0.001295,3.6734),(1375,125,0.001409,3.6734),(1375,135,0.001522,3.6734),(1375,145,0.001636,3.6734),(1375,155,0.00175,3.6734),(1375,165,0.001864,3.6733),(1375,175,0.001978,3.6733),(1375,185,0.002093,3.6733),(1375,195,0.002208,3.6733),(1375,205,0.002323,3.6733),(1375,215,0.002438,3.6732),(1375,225,0.002554,3.6732),(1375,235,0.002671,3.6732),(1375,245,0.002787,3.6731),(1375,255,0.002903,3.6731),(1375,265,0.00302,3.6731),(1375,275,0.003138,3.673),(1375,285,0.003256,3.673),(1375,295,0.003373,3.673),(1375,305,0.003492,3.6729),(1375,315,0.003612,3.6729),(1375,325,0.003731,3.6729),(1375,335,0.003851,3.6728),(1375,345,0.003972,3.6728),(1375,355,0.004093,3.6727),(1375,365,0.004215,3.6727),(1375,375,0.004336,3.6726),(1375,385,0.004459,3.6726),(1375,395,0.004583,3.6725),(1375,405,0.004706,3.6725),(1375,415,0.004829,3.6724),(1375,425,0.004955,3.6724),(1375,435,0.005081,3.6723),(1375,445,0.005207,3.6723),(1375,455,0.005332,3.6722),(1375,465,0.005461,3.6722),(1375,475,0.005589,3.6721),(1375,485,0.005718,3.672),(1375,495,0.005846,3.672),(1375,505,0.005977,3.6719),(1375,515,0.006109,3.6719),(1375,525,0.00624,3.6718),(1375,535,0.006371,3.6717),(1375,545,0.006506,3.6716),(1375,555,0.00664,3.6716),(1375,565,0.006774,3.6715),(1375,575,0.006909,3.6714),(1375,585,0.007046,3.6714),(1375,595,0.007184,3.6713),(1375,605,0.007321,3.6712),(1375,615,0.007459,3.6711),(1375,625,0.007601,3.671),(1375,635,0.007742,3.6709),(1375,645,0.007883,3.6709),(1375,655,0.008025,3.6708),(1375,665,0.008169,3.6707),(1375,675,0.008314,3.6706),(1375,685,0.008459,3.6705),(1375,695,0.008605,3.6704),(1375,705,0.008754,3.6703),(1375,715,0.008903,3.6702),(1375,725,0.009052,3.6701),(1375,735,0.009202,3.67),(1375,745,0.009355,3.6699),(1375,755,0.009508,3.6698),(1375,765,0.009661,3.6697),(1375,775,0.009815,3.6696),(1375,785,0.009973,3.6695),(1375,795,0.010131,3.6694),(1375,805,0.010288,3.6693),(1375,815,0.010448,3.6691),(1375,825,0.01061,3.669),(1375,835,0.010773,3.6689),(1375,845,0.010935,3.6688),(1375,855,0.011099,3.6687),(1375,865,0.011267,3.6685),(1375,875,0.011434,3.6684),(1375,885,0.011602,3.6683),(1375,895,0.011771,3.6681),(1375,905,0.011944,3.668),(1375,915,0.012117,3.6679),(1375,925,0.01229,3.6677),(1375,935,0.012465,3.6676),(1375,945,0.012643,3.6675),(1375,955,0.012821,3.6673),(1375,965,0.012999,3.6672),(1375,975,0.01318,3.667),(1375,985,0.013363,3.6669),(1375,995,0.013547,3.6667),(1375,1005,0.013731,3.6666),(1375,1015,0.013918,3.6664),(1375,1025,0.014108,3.6662),(1375,1035,0.014297,3.6661),(1375,1045,0.014487,3.6659),(1375,1055,0.01468,3.6657),(1375,1065,0.014876,3.6656),(1375,1075,0.015073,3.6654),(1375,1085,0.015269,3.6652),(1375,1095,0.015468,3.6651),(1375,1105,0.015671,3.6649),(1375,1115,0.015873,3.6647),(1375,1125,0.016076,3.6645),(1375,1135,0.016282,3.6643),(1375,1145,0.016491,3.6641),(1375,1155,0.0167,3.6639),(1375,1165,0.016909,3.6637),(1375,1175,0.017123,3.6635),(1375,1185,0.017339,3.6633),(1375,1195,0.017555,3.6631),(1375,1205,0.01777,3.6629),(1375,1215,0.017991,3.6627),(1375,1225,0.018214,3.6625),(1375,1235,0.018437,3.6623),(1375,1245,0.01866,3.6621),(1375,1255,0.018889,3.6618),(1375,1265,0.019119,3.6616),(1375,1275,0.019349,3.6614),(1375,1285,0.019579,3.6612),(1375,1295,0.019815,3.6609),(1375,1305,0.020053,3.6607),(1375,1315,0.020291,3.6604),(1375,1325,0.020529,3.6602),(1375,1335,0.020773,3.6599),(1375,1345,0.021018,3.6597),(1375,1355,0.021263,3.6594),(1375,1365,0.021509,3.6592),(1375,1375,0.021761,3.6589),(1375,1385,0.022014,3.6587),(1375,1395,0.022267,3.6584),(1375,1405,0.02252,3.6581),(1375,1415,0.02278,3.6578),(1375,1425,0.023041,3.6576),(1375,1435,0.023302,3.6573),(1375,1445,0.023563,3.657),(1375,1455,0.023832,3.6567),(1375,1465,0.024101,3.6564),(1375,1475,0.02437,3.6561),(1375,1485,0.024639,3.6558),(1375,1495,0.024916,3.6555),(1375,1505,0.025193,3.6552),(1375,1515,0.02547,3.6549),(1375,1525,0.025748,3.6545),(1375,1535,0.026033,3.6542),(1375,1545,0.026319,3.6539),(1375,1555,0.026604,3.6536),(1375,1565,0.02689,3.6532),(1375,1575,0.027184,3.6529),(1375,1585,0.027478,3.6525),(1375,1595,0.027772,3.6522),(1375,1605,0.028066,3.6518),(1375,1615,0.028369,3.6515),(1375,1625,0.028671,3.6511),(1375,1635,0.028973,3.6507),(1375,1645,0.029276,3.6504),(1375,1655,0.029587,3.65),(1375,1665,0.029897,3.6496),(1375,1675,0.030208,3.6492),(1375,1685,0.03052,3.6488),(1375,1695,0.030839,3.6484),(1375,1705,0.031157,3.6481),(1375,1715,0.031476,3.6476),(1375,1725,0.031797,3.6472),(1375,1735,0.032123,3.6468),(1375,1745,0.03245,3.6464),(1375,1755,0.032777,3.646),(1375,1765,0.033106,3.6455),(1375,1775,0.033441,3.6451),(1375,1785,0.033776,3.6447),(1375,1795,0.034111,3.6442),(1375,1805,0.034449,3.6438),(1375,1815,0.034792,3.6433),(1375,1825,0.035135,3.6428),(1375,1835,0.035478,3.6424),(1375,1845,0.035824,3.6419),(1375,1855,0.036175,3.6414),(1375,1865,0.036526,3.6409),(1375,1875,0.036877,3.6404),(1375,1885,0.03723,3.6399),(1375,1895,0.037589,3.6394),(1375,1905,0.037947,3.6389),(1375,1915,0.038306,3.6384),(1375,1925,0.038667,3.6379),(1375,1935,0.039033,3.6374),(1375,1945,0.039399,3.6368),(1375,1955,0.039764,3.6363),(1375,1965,0.040133,3.6357),(1375,1975,0.040506,3.6352),(1375,1985,0.040879,3.6346),(1375,1995,0.041251,3.6341),(1375,2005,0.041627,3.6335),(1375,2015,0.042006,3.6329),(1375,2025,0.042385,3.6323),(1375,2035,0.042765,3.6317),(1375,2045,0.043147,3.6311),(1375,2055,0.043532,3.6305),(1375,2065,0.043917,3.6299),(1375,2075,0.044302,3.6293),(1375,2085,0.04469,3.6287),(1375,2095,0.045081,3.628),(1375,2105,0.045472,3.6274),(1375,2115,0.045862,3.6268),(1375,2125,0.046256,3.6261),(1375,2135,0.046652,3.6254),(1375,2145,0.047047,3.6248),(1375,2155,0.047443,3.6241),(1375,2165,0.047841,3.6234),(1375,2175,0.048241,3.6227),(1375,2185,0.048641,3.622),(1375,2195,0.049041,3.6213),(1375,2205,0.049444,3.6206),(1375,2215,0.049847,3.6199),(1375,2225,0.050251,3.6192),(1375,2235,0.050654,3.6185),(1375,2245,0.05106,3.6177),(1375,2255,0.051466,3.617),(1375,2265,0.051872,3.6162),(1375,2275,0.052278,3.6155),(1375,2285,0.052686,3.6147),(1375,2295,0.053094,3.6139),(1375,2305,0.053503,3.6131),(1375,2315,0.053911,3.6123),(1375,2325,0.05432,3.6115),(1375,2335,0.054729,3.6107),(1375,2345,0.055139,3.6099),(1375,2355,0.055548,3.6091),(1375,2365,0.055957,3.6083),(1375,2375,0.056367,3.6074),(1375,2385,0.056776,3.6066),(1375,2395,0.057185,3.6057),(1375,2405,0.057593,3.6049),(1375,2415,0.058002,3.604),(1375,2425,0.05841,3.6031),(1375,2435,0.058818,3.6023),(1375,2445,0.059223,3.6014),(1375,2455,0.059629,3.6005),(1375,2465,0.060035,3.5996),(1375,2475,0.060441,3.5986),(1375,2485,0.060843,3.5977),(1375,2495,0.061245,3.5968),(1375,2505,0.061648,3.5959),(1375,2515,0.06205,3.5949),(1375,2525,0.062447,3.594),(1375,2535,0.062845,3.593),(1375,2545,0.063243,3.592),(1375,2555,0.06364,3.5911),(1375,2565,0.064031,3.5901),(1375,2575,0.064423,3.5891),(1375,2585,0.064814,3.5881),(1375,2595,0.065205,3.5871),(1375,2605,0.065589,3.5861),(1375,2615,0.065973,3.5851),(1375,2625,0.066357,3.584),(1375,2635,0.066739,3.583),(1375,2645,0.067114,3.5819),(1375,2655,0.067489,3.5809),(1375,2665,0.067863,3.5798),(1375,2675,0.068236,3.5788),(1375,2685,0.0686,3.5777),(1375,2695,0.068963,3.5766),(1375,2705,0.069327,3.5755),(1375,2715,0.069688,3.5744),(1375,2725,0.07004,3.5733),(1375,2735,0.070391,3.5722),(1375,2745,0.070743,3.5711),(1375,2755,0.071091,3.57),(1375,2765,0.071428,3.5689),(1375,2775,0.071765,3.5677),(1375,2785,0.072103,3.5666),(1375,2795,0.072435,3.5654),(1375,2805,0.072757,3.5643),(1375,2815,0.073078,3.5631),(1375,2825,0.0734,3.5619),(1375,2835,0.073715,3.5608),(1375,2845,0.074018,3.5596),(1375,2855,0.074322,3.5584),(1375,2865,0.074625,3.5572),(1375,2875,0.074922,3.556),(1375,2885,0.075205,3.5548),(1375,2895,0.075489,3.5536),(1375,2905,0.075773,3.5524),(1375,2915,0.076048,3.5512),(1375,2925,0.07631,3.5499),(1375,2935,0.076572,3.5487),(1375,2945,0.076834,3.5475),(1375,2955,0.077085,3.5462),(1375,2965,0.077323,3.545),(1375,2975,0.077562,3.5437),(1375,2985,0.0778,3.5425),(1375,2995,0.078025,3.5412),(1375,3005,0.078238,3.54),(1375,3015,0.07845,3.5387),(1375,3025,0.078662,3.5374),(1375,3035,0.07886,3.5362),(1375,3045,0.079045,3.5349),(1375,3055,0.079229,3.5336),(1375,3065,0.079414,3.5323),(1375,3075,0.079581,3.531),(1375,3085,0.079736,3.5297),(1375,3095,0.07989,3.5284),(1375,3105,0.080045,3.5271),(1375,3115,0.08018,3.5258),(1375,3125,0.080302,3.5245),(1375,3135,0.080424,3.5232),(1375,3145,0.080546,3.5219),(1375,3155,0.080646,3.5206),(1375,3165,0.080733,3.5193),(1375,3175,0.080821,3.518),(1375,3185,0.080908,3.5167),(1375,3195,0.08097,3.5154),(1375,3205,0.081021,3.514),(1375,3215,0.081071,3.5127),(1375,3225,0.081122,3.5114),(1375,3235,0.081144,3.5101),(1375,3245,0.081155,3.5088),(1375,3255,0.081166,3.5074),(1375,3265,0.081177,3.5061),(1375,3275,0.081157,3.5048),(1375,3285,0.081126,3.5035),(1375,3295,0.081096,3.5022),(1375,3305,0.081065,3.5008),(1375,3315,0.081,3.4995),(1375,3325,0.080925,3.4982),(1375,3335,0.080851,3.4969),(1375,3345,0.080777,3.4956),(1375,3355,0.080663,3.4943),(1375,3365,0.080542,3.493),(1375,3375,0.080422,3.4917),(1375,3385,0.080301,3.4904),(1375,3395,0.080137,3.489),(1375,3405,0.079967,3.4877),(1375,3415,0.079798,3.4864),(1375,3425,0.079628,3.4852),(1375,3435,0.079411,3.4839),(1375,3445,0.07919,3.4826),(1375,3455,0.078969,3.4813),(1375,3465,0.078748,3.48),(1375,3475,0.078475,3.4787),(1375,3485,0.0782,3.4775),(1375,3495,0.077926,3.4762),(1375,3505,0.077651,3.4749),(1375,3515,0.07732,3.4737),(1375,3525,0.076989,3.4724),(1375,3535,0.076658,3.4712),(1375,3545,0.076325,3.4699),(1375,3555,0.075936,3.4687),(1375,3565,0.075546,3.4674),(1375,3575,0.075157,3.4662),(1375,3585,0.074763,3.465),(1375,3595,0.074313,3.4638),(1375,3605,0.073862,3.4625),(1375,3615,0.073412,3.4613),(1375,3625,0.072954,3.4601),(1375,3635,0.072441,3.4589),(1375,3645,0.071927,3.4577),(1375,3655,0.071414,3.4566),(1375,3665,0.07089,3.4554),(1375,3675,0.070311,3.4542),(1375,3685,0.069731,3.4531),(1375,3695,0.069152,3.4519),(1375,3705,0.068559,3.4508),(1375,3715,0.067912,3.4496),(1375,3725,0.067265,3.4485),(1375,3735,0.066618,3.4474),(1375,3745,0.065954,3.4462),(1375,3755,0.065237,3.4451),(1375,3765,0.064519,3.444),(1375,3775,0.063802,3.4429),(1375,3785,0.063064,3.4418),(1375,3795,0.062275,3.4408),(1375,3805,0.061485,3.4397),(1375,3815,0.060696,3.4386),(1375,3825,0.059882,3.4376),(1375,3835,0.059019,3.4365),(1375,3845,0.058155,3.4355),(1375,3855,0.057291,3.4344),(1375,3865,0.0564,3.4334),(1375,3875,0.055461,3.4324),(1375,3885,0.054521,3.4314),(1375,3895,0.053582,3.4304),(1375,3905,0.062141,3.4293),(1375,3915,0.084889,3.4283),(1375,3925,0.10764,3.4267),(1375,3935,0.13039,3.4241),(1375,3945,0.15623,3.4215),(1375,3955,0.18602,3.4189),(1375,3965,0.2158,3.4155),(1375,3975,0.24559,3.4113),(1375,3985,0.26388,3.407),(1375,3995,0.26973,3.4028),(1375,4005,0.27558,3.3984),(1375,4015,0.28142,3.394),(1375,4025,0.28682,3.3895),(1375,4035,0.29216,3.3849),(1375,4045,0.29751,3.3801),(1375,4055,0.30227,3.3753),(1375,4065,0.30683,3.3705),(1375,4075,0.31138,3.3653),(1375,4085,0.31542,3.3601),(1375,4095,0.31904,3.355),(1375,4105,0.32266,3.3494),(1375,4115,0.31386,3.3439),(1375,4125,0.28445,3.3383),(1375,4135,0.25504,3.3339),(1375,4145,0.22465,3.3298),(1375,4155,0.19031,3.3257),(1375,4165,0.15597,3.3226),(1375,4175,0.12353,3.3202),(1375,4185,0.18525,3.3179),(1375,4195,0.24697,3.314),(1375,4205,0.3087,3.3082),(1375,4215,0.30734,3.3024),(1375,4225,0.29412,3.2968),(1375,4235,0.28089,3.2918),(1375,4245,0.25946,3.2868),(1375,4255,0.23387,3.282),(1375,4265,0.20828,3.2784),(1375,4275,0.1734,3.2748),(1375,4285,0.12866,3.2712),(1375,4295,0.083925,3.2698),(1375,4305,0.077165,3.2687),(1375,4315,0.15616,3.2676),(1375,4325,0.23516,3.2622),(1375,4335,0.3052,3.2551),(1375,4345,0.31463,3.2479),(1375,4355,0.32405,3.2409),(1375,4365,0.33348,3.2341),(1375,4375,0.33178,3.2272),(1375,4385,0.32951,3.2207),(1375,4395,0.32724,3.2145),(1375,4405,0.28165,3.2084),(1375,4415,0.2233,3.2029),(1375,4425,0.16494,3.2005),(1375,4435,0.14555,3.1981),(1375,4445,0.15279,3.1957),(1375,4455,0.16003,3.1931),(1375,4465,0.19957,3.1904),(1375,4475,0.28447,3.1878),(1375,4485,0.36937,3.1811),(1375,4495,0.43773,3.1736),(1375,4505,0.45302,3.1661),(1375,4515,0.46831,3.1578),(1375,4525,0.48244,3.1492),(1375,4535,0.47825,3.1406),(1375,4545,0.47406,3.1322),(1375,4555,0.46987,3.124),(1375,4565,0.3469,3.1157),(1375,4575,0.20792,3.1097),(1375,4585,0.068937,3.1091),(1375,4595,0.064681,3.1085),(1375,4605,0.11735,3.1075),(1375,4615,0.17002,3.1036),(1375,4625,0.22617,3.0996),(1375,4635,0.28548,3.0957),(1375,4645,0.34479,3.0889),(1375,4655,0.40168,3.082),(1375,4665,0.45403,3.075),(1375,4675,0.50638,3.0663),(1375,4685,0.53109,3.057),(1375,4695,0.41924,3.0477),(1375,4705,0.3074,3.0417),(1375,4715,0.19556,3.038),(1375,4725,0.25931,3.0343),(1375,4735,0.32482,3.029),(1375,4745,0.39033,3.0214),(1375,4755,0.47956,3.0138),(1375,4765,0.57427,3.0054),(1375,4775,0.66898,2.9939),(1375,4785,0.71909,2.9825),(1375,4795,0.74339,2.9711),(1375,4805,0.7677,2.96),(1375,4815,0.74779,2.9489),(1375,4825,0.67499,2.9379),(1375,4835,0.6022,2.9305),(1375,4845,0.51882,2.9237),(1375,4855,0.40783,2.9169),(1375,4865,0.29684,2.912),(1375,4875,0.21493,2.9079),(1375,4885,0.39765,2.9039),(1375,4895,0.58037,2.8947),(1375,4905,0.76308,2.8805),(1375,4915,0.76542,2.8663),(1375,4925,0.75223,2.8525),(1375,4935,0.73905,2.8394),(1375,4945,0.67661,2.8264),(1375,4955,0.5971,2.814),(1375,4965,0.51759,2.8054),(1375,4975,0.40334,2.7968),(1375,4985,0.26226,2.7882),(1375,4995,0.12118,2.7873),(1375,5005,0.11873,2.7866),(1375,5015,0.33665,2.7858),(1375,5025,0.55458,2.7766),(1375,5035,0.74747,2.7652),(1375,5045,0.84494,2.7538),(1375,5055,0.94242,2.7403),(1375,5065,1.0378,2.7257),(1375,5075,1.0637,2.711),(1375,5085,1.0895,2.6965),(1375,5095,1.1154,2.6822),(1375,5105,0.98441,2.6679),(1375,5115,0.82602,2.6555),(1375,5125,0.66763,2.6482),(1375,5135,0.56644,2.6409),(1375,5145,0.49301,2.6337),(1375,5155,0.41959,2.6271),(1375,5165,0.49106,2.6205),(1375,5175,0.71032,2.6139),(1375,5185,0.92958,2.5984),(1375,5195,1.0883,2.5819),(1375,5205,1.1163,2.5655),(1375,5215,1.1443,2.5493),(1375,5225,1.1658,2.5332),(1375,5235,1.1466,2.5171),(1375,5245,1.1275,2.5024),(1375,5255,1.1083,2.4886),(1375,5265,0.77454,2.4749),(1375,5275,0.42783,2.4662),(1375,5285,0.08111,2.4659),(1375,5295,0.1592,2.4657),(1375,5305,0.35559,2.463),(1375,5315,0.55198,2.4501),(1375,5325,0.71316,2.4371),(1375,5335,0.85126,2.4241),(1375,5345,0.98936,2.4075),(1375,5355,1.0947,2.391),(1375,5365,1.1559,2.3744),(1375,5375,1.2171,2.3581),(1375,5385,1.1922,2.3419),(1375,5395,0.90524,2.3257),(1375,5405,0.61831,2.3174),(1375,5415,0.35278,2.3133),(1375,5425,0.37476,2.3092),(1375,5435,0.39674,2.3021),(1375,5445,0.41873,2.2917),(1375,5455,0.50907,2.2813),(1375,5465,0.60776,2.2688),(1375,5475,0.70645,2.2512),(1375,5485,0.75347,2.2337),(1375,5495,0.77968,2.216),(1375,5505,0.80589,2.1974),(1375,5515,0.83351,2.1788),(1375,5525,0.86236,2.1602),(1375,5535,0.89121,2.1406),(1375,5545,0.92036,2.121),(1375,5555,0.95004,2.1014),(1375,5565,0.97973,2.081),(1375,5575,1.0094,2.0604),(1375,5585,1.0393,2.0397),(1375,5595,1.0692,2.0187),(1375,5605,1.099,1.9974),(1375,5615,1.1287,1.9761),(1375,5625,1.1585,1.9546),(1375,5635,1.1882,1.9327),(1375,5645,1.2175,1.9109),(1375,5655,1.2467,1.8889),(1375,5665,1.2759,1.8666),(1375,5675,1.3047,1.8443),(1375,5685,1.3332,1.822),(1375,5695,1.3617,1.7995),(1375,5705,1.3898,1.7771),(1375,5715,1.4173,1.7547),(1375,5725,1.4449,1.7323),(1375,5735,1.4721,1.7098),(1375,5745,1.4985,1.6873),(1375,5755,1.5248,1.6648),(1375,5765,1.5511,1.6423),(1375,5775,1.5762,1.6198),(1375,5785,1.6013,1.5974),(1375,5795,1.6264,1.5751),(1375,5805,1.6502,1.5528),(1375,5815,1.6739,1.5306),(1375,5825,1.6976,1.5086),(1375,5835,1.7202,1.4866),(1375,5845,1.7424,1.4646),(1375,5855,1.7647,1.4428),(1375,5865,1.7861,1.4211),(1375,5875,1.807,1.3993),(1375,5885,1.8278,1.3777),(1375,5895,1.8481,1.3562),(1375,5905,1.8675,1.3347),(1375,5915,1.8869,1.3134),(1375,5925,1.906,1.2922),(1375,5935,1.9241,1.271),(1375,5945,1.9422,1.2499),(1375,5955,1.9602,1.229),(1375,5965,1.9775,1.2081),(1375,5975,1.9948,1.1873),(1375,5985,2.0121,1.1667),(1375,5995,1.5407,1.146),(1375,6005,0.99058,1.1303),(1375,6015,0.44049,1.1278),(1375,6025,0.40606,1.1253),(1375,6035,0.61081,1.1217),(1375,6045,0.81555,1.1079),(1375,6055,0.96712,1.0941),(1375,6065,1.0666,1.0803),(1375,6075,1.166,1.0621),(1375,6085,1.2349,1.0435),(1375,6095,1.2408,1.0249),(1375,6105,1.2467,1.0062),(1375,6115,1.2525,0.98733),(1375,6125,1.2582,0.9685),(1375,6135,1.2638,0.94959),(1375,6145,1.2695,0.93061),(1375,6155,1.2748,0.91163),(1375,6165,1.28,0.89253),(1375,6175,1.2853,0.87325),(1375,6185,1.2904,0.85397),(1375,6195,1.2953,0.83467),(1375,6205,1.3003,0.81527),(1375,6215,1.3051,0.79588),(1375,6225,1.3097,0.77648),(1375,6235,1.3143,0.75697),(1375,6245,1.3188,0.73746),(1375,6255,1.3231,0.71795),(1375,6265,1.3274,0.69831),(1375,6275,1.3316,0.67865),(1375,6285,1.3355,0.65899),(1375,6295,1.3394,0.6392),(1375,6305,1.3432,0.61935),(1375,6315,1.3467,0.59949),(1375,6325,1.3502,0.57959),(1375,6335,1.3536,0.55966),(1375,6345,1.3568,0.53972),(1375,6355,1.3599,0.51977),(1375,6365,1.363,0.49977),(1375,6375,1.3659,0.47977),(1375,6385,1.3686,0.45974),(1375,6395,1.3714,0.43951),(1375,6405,1.3739,0.41927),(1375,6415,1.3763,0.39904),(1375,6425,1.3787,0.3787),(1375,6435,1.3809,0.35835),(1375,6445,1.3829,0.33801),(1375,6455,1.385,0.31774),(1375,6465,1.3869,0.29751),(1375,6475,1.3885,0.27727),(1375,6485,1.3902,0.257),(1375,6495,1.3918,0.23671),(1375,6505,1.393,0.21642),(1375,6515,1.3942,0.19606),(1375,6525,1.3955,0.1756),(1375,6535,1.3964,0.15515),(1375,6545,1.3972,0.13469),(1375,6555,1.398,0.11424),(1375,6565,1.3986,0.093791),(1375,6575,1.399,0.073343),(1375,6585,1.3995,0.052918),(1375,6595,1.1905,0.032493),(1375,6605,0.75018,0.012068),(1375,6615,0.30992,0.009707),(1375,6625,0.000419,0.009666),(1375,6635,0.000421,0.009626),(1375,6645,0.000424,0.009608),(1375,6655,0.000426,0.009601),(1375,6665,0.000428,0.009593),(1375,6675,0.000431,0.009585),(1375,6685,0.000433,0.009578),(1375,6695,0.000435,0.00957),(1375,6705,0.000438,0.009563),(1375,6715,0.00044,0.009555),(1375,6725,0.000442,0.009547),(1375,6735,0.000444,0.00954),(1375,6745,0.000446,0.009532),(1375,6755,0.000448,0.009524),(1375,6765,0.000451,0.009517),(1375,6775,0.000453,0.009509),(1375,6785,0.000455,0.009501),(1375,6795,0.000457,0.009493),(1375,6805,0.000459,0.009485),(1375,6815,0.00046,0.009478),(1375,6825,0.000462,0.00947),(1375,6835,0.000464,0.009462),(1375,6845,0.000466,0.009454),(1375,6855,0.000468,0.009446),(1375,6865,0.00047,0.009438),(1375,6875,0.000472,0.00943),(1375,6885,0.000473,0.009423),(1375,6895,0.000475,0.009415),(1375,6905,0.000477,0.009407),(1375,6915,0.000479,0.009399),(1375,6925,0.00048,0.009391),(1375,6935,0.000482,0.009383),(1375,6945,0.000484,0.009375),(1375,6955,0.000485,0.009367),(1375,6965,0.000487,0.009359),(1375,6975,0.000488,0.009351),(1375,6985,0.00049,0.009343),(1385,5,5.6e-05,3.6736),(1385,15,0.000169,3.6736),(1385,25,0.000282,3.6736),(1385,35,0.000394,3.6736),(1385,45,0.000507,3.6736),(1385,55,0.00062,3.6736),(1385,65,0.000733,3.6736),(1385,75,0.000846,3.6736),(1385,85,0.000959,3.6736),(1385,95,0.001072,3.6736),(1385,105,0.001186,3.6736),(1385,115,0.001299,3.6735),(1385,125,0.001413,3.6735),(1385,135,0.001527,3.6735),(1385,145,0.001641,3.6735),(1385,155,0.001755,3.6735),(1385,165,0.00187,3.6735),(1385,175,0.001984,3.6734),(1385,185,0.0021,3.6734),(1385,195,0.002215,3.6734),(1385,205,0.00233,3.6734),(1385,215,0.002446,3.6733),(1385,225,0.002562,3.6733),(1385,235,0.002679,3.6733),(1385,245,0.002795,3.6733),(1385,255,0.002912,3.6732),(1385,265,0.00303,3.6732),(1385,275,0.003148,3.6732),(1385,285,0.003266,3.6731),(1385,295,0.003384,3.6731),(1385,305,0.003503,3.6731),(1385,315,0.003623,3.673),(1385,325,0.003743,3.673),(1385,335,0.003863,3.6729),(1385,345,0.003984,3.6729),(1385,355,0.004106,3.6729),(1385,365,0.004228,3.6728),(1385,375,0.00435,3.6728),(1385,385,0.004473,3.6727),(1385,395,0.004597,3.6727),(1385,405,0.004721,3.6726),(1385,415,0.004845,3.6726),(1385,425,0.004971,3.6725),(1385,435,0.005097,3.6725),(1385,445,0.005223,3.6724),(1385,455,0.00535,3.6724),(1385,465,0.005478,3.6723),(1385,475,0.005607,3.6722),(1385,485,0.005736,3.6722),(1385,495,0.005865,3.6721),(1385,505,0.005997,3.6721),(1385,515,0.006128,3.672),(1385,525,0.00626,3.6719),(1385,535,0.006392,3.6719),(1385,545,0.006527,3.6718),(1385,555,0.006661,3.6717),(1385,565,0.006796,3.6716),(1385,575,0.006931,3.6716),(1385,585,0.00707,3.6715),(1385,595,0.007208,3.6714),(1385,605,0.007346,3.6713),(1385,615,0.007484,3.6713),(1385,625,0.007626,3.6712),(1385,635,0.007768,3.6711),(1385,645,0.007909,3.671),(1385,655,0.008051,3.6709),(1385,665,0.008197,3.6708),(1385,675,0.008342,3.6707),(1385,685,0.008488,3.6706),(1385,695,0.008634,3.6706),(1385,705,0.008784,3.6705),(1385,715,0.008933,3.6704),(1385,725,0.009083,3.6703),(1385,735,0.009233,3.6702),(1385,745,0.009387,3.6701),(1385,755,0.009541,3.67),(1385,765,0.009695,3.6699),(1385,775,0.00985,3.6698),(1385,785,0.010008,3.6696),(1385,795,0.010166,3.6695),(1385,805,0.010325,3.6694),(1385,815,0.010485,3.6693),(1385,825,0.010648,3.6692),(1385,835,0.010811,3.6691),(1385,845,0.010974,3.669),(1385,855,0.011139,3.6688),(1385,865,0.011307,3.6687),(1385,875,0.011476,3.6686),(1385,885,0.011644,3.6684),(1385,895,0.011814,3.6683),(1385,905,0.011988,3.6682),(1385,915,0.012161,3.6681),(1385,925,0.012335,3.6679),(1385,935,0.012511,3.6678),(1385,945,0.01269,3.6676),(1385,955,0.012869,3.6675),(1385,965,0.013048,3.6673),(1385,975,0.013229,3.6672),(1385,985,0.013414,3.6671),(1385,995,0.013599,3.6669),(1385,1005,0.013783,3.6667),(1385,1015,0.013971,3.6666),(1385,1025,0.014162,3.6664),(1385,1035,0.014353,3.6663),(1385,1045,0.014543,3.6661),(1385,1055,0.014738,3.6659),(1385,1065,0.014935,3.6658),(1385,1075,0.015132,3.6656),(1385,1085,0.015329,3.6654),(1385,1095,0.01553,3.6653),(1385,1105,0.015733,3.6651),(1385,1115,0.015937,3.6649),(1385,1125,0.01614,3.6647),(1385,1135,0.016348,3.6645),(1385,1145,0.016558,3.6643),(1385,1155,0.016768,3.6641),(1385,1165,0.016979,3.6639),(1385,1175,0.017193,3.6638),(1385,1185,0.01741,3.6636),(1385,1195,0.017628,3.6633),(1385,1205,0.017845,3.6631),(1385,1215,0.018067,3.6629),(1385,1225,0.018291,3.6627),(1385,1235,0.018515,3.6625),(1385,1245,0.018739,3.6623),(1385,1255,0.018969,3.6621),(1385,1265,0.019201,3.6618),(1385,1275,0.019432,3.6616),(1385,1285,0.019664,3.6614),(1385,1295,0.019902,3.6612),(1385,1305,0.020141,3.6609),(1385,1315,0.02038,3.6607),(1385,1325,0.020619,3.6604),(1385,1335,0.020865,3.6602),(1385,1345,0.021112,3.6599),(1385,1355,0.021359,3.6597),(1385,1365,0.021606,3.6594),(1385,1375,0.021859,3.6592),(1385,1385,0.022114,3.6589),(1385,1395,0.022369,3.6586),(1385,1405,0.022623,3.6584),(1385,1415,0.022885,3.6581),(1385,1425,0.023148,3.6578),(1385,1435,0.023411,3.6575),(1385,1445,0.023673,3.6573),(1385,1455,0.023944,3.657),(1385,1465,0.024215,3.6567),(1385,1475,0.024486,3.6564),(1385,1485,0.024757,3.6561),(1385,1495,0.025036,3.6558),(1385,1505,0.025315,3.6555),(1385,1515,0.025594,3.6551),(1385,1525,0.025873,3.6548),(1385,1535,0.026161,3.6545),(1385,1545,0.026448,3.6542),(1385,1555,0.026736,3.6539),(1385,1565,0.027024,3.6535),(1385,1575,0.02732,3.6532),(1385,1585,0.027616,3.6528),(1385,1595,0.027912,3.6525),(1385,1605,0.028209,3.6521),(1385,1615,0.028513,3.6518),(1385,1625,0.028818,3.6514),(1385,1635,0.029122,3.6511),(1385,1645,0.029428,3.6507),(1385,1655,0.029741,3.6503),(1385,1665,0.030054,3.6499),(1385,1675,0.030367,3.6496),(1385,1685,0.030681,3.6492),(1385,1695,0.031003,3.6488),(1385,1705,0.031324,3.6484),(1385,1715,0.031645,3.648),(1385,1725,0.031968,3.6476),(1385,1735,0.032298,3.6471),(1385,1745,0.032627,3.6467),(1385,1755,0.032957,3.6463),(1385,1765,0.033288,3.6459),(1385,1775,0.033626,3.6454),(1385,1785,0.033964,3.645),(1385,1795,0.034302,3.6446),(1385,1805,0.034642,3.6441),(1385,1815,0.034988,3.6436),(1385,1825,0.035334,3.6432),(1385,1835,0.03568,3.6427),(1385,1845,0.036029,3.6422),(1385,1855,0.036383,3.6418),(1385,1865,0.036737,3.6413),(1385,1875,0.037091,3.6408),(1385,1885,0.037447,3.6403),(1385,1895,0.037809,3.6398),(1385,1905,0.03817,3.6393),(1385,1915,0.038532,3.6388),(1385,1925,0.038897,3.6382),(1385,1935,0.039266,3.6377),(1385,1945,0.039635,3.6372),(1385,1955,0.040004,3.6366),(1385,1965,0.040376,3.6361),(1385,1975,0.040752,3.6356),(1385,1985,0.041128,3.635),(1385,1995,0.041504,3.6344),(1385,2005,0.041884,3.6339),(1385,2015,0.042266,3.6333),(1385,2025,0.042649,3.6327),(1385,2035,0.043032,3.6321),(1385,2045,0.043418,3.6315),(1385,2055,0.043806,3.6309),(1385,2065,0.044195,3.6303),(1385,2075,0.044584,3.6297),(1385,2085,0.044976,3.6291),(1385,2095,0.04537,3.6284),(1385,2105,0.045765,3.6278),(1385,2115,0.046159,3.6272),(1385,2125,0.046557,3.6265),(1385,2135,0.046956,3.6259),(1385,2145,0.047356,3.6252),(1385,2155,0.047755,3.6245),(1385,2165,0.048157,3.6238),(1385,2175,0.048561,3.6231),(1385,2185,0.048965,3.6225),(1385,2195,0.049369,3.6217),(1385,2205,0.049776,3.621),(1385,2215,0.050183,3.6203),(1385,2225,0.050591,3.6196),(1385,2235,0.050999,3.6189),(1385,2245,0.051408,3.6181),(1385,2255,0.051819,3.6174),(1385,2265,0.052229,3.6166),(1385,2275,0.05264,3.6159),(1385,2285,0.053052,3.6151),(1385,2295,0.053464,3.6143),(1385,2305,0.053877,3.6136),(1385,2315,0.054289,3.6128),(1385,2325,0.054703,3.612),(1385,2335,0.055116,3.6112),(1385,2345,0.05553,3.6103),(1385,2355,0.055944,3.6095),(1385,2365,0.056357,3.6087),(1385,2375,0.056771,3.6079),(1385,2385,0.057185,3.607),(1385,2395,0.057598,3.6062),(1385,2405,0.058011,3.6053),(1385,2415,0.058423,3.6044),(1385,2425,0.058836,3.6036),(1385,2435,0.059248,3.6027),(1385,2445,0.059659,3.6018),(1385,2455,0.060069,3.6009),(1385,2465,0.060479,3.6),(1385,2475,0.060889,3.5991),(1385,2485,0.061296,3.5981),(1385,2495,0.061703,3.5972),(1385,2505,0.062109,3.5963),(1385,2515,0.062516,3.5953),(1385,2525,0.062918,3.5944),(1385,2535,0.06332,3.5934),(1385,2545,0.063722,3.5924),(1385,2555,0.064124,3.5915),(1385,2565,0.064519,3.5905),(1385,2575,0.064915,3.5895),(1385,2585,0.065311,3.5885),(1385,2595,0.065706,3.5875),(1385,2605,0.066094,3.5865),(1385,2615,0.066483,3.5854),(1385,2625,0.066871,3.5844),(1385,2635,0.067258,3.5834),(1385,2645,0.067637,3.5823),(1385,2655,0.068016,3.5813),(1385,2665,0.068394,3.5802),(1385,2675,0.068771,3.5791),(1385,2685,0.069139,3.5781),(1385,2695,0.069507,3.577),(1385,2705,0.069875,3.5759),(1385,2715,0.07024,3.5748),(1385,2725,0.070596,3.5737),(1385,2735,0.070951,3.5726),(1385,2745,0.071306,3.5715),(1385,2755,0.071658,3.5703),(1385,2765,0.071999,3.5692),(1385,2775,0.072341,3.5681),(1385,2785,0.072682,3.5669),(1385,2795,0.073018,3.5658),(1385,2805,0.073343,3.5646),(1385,2815,0.073668,3.5634),(1385,2825,0.073993,3.5623),(1385,2835,0.074313,3.5611),(1385,2845,0.074619,3.5599),(1385,2855,0.074926,3.5587),(1385,2865,0.075233,3.5575),(1385,2875,0.075533,3.5563),(1385,2885,0.07582,3.5551),(1385,2895,0.076107,3.5539),(1385,2905,0.076393,3.5527),(1385,2915,0.076671,3.5514),(1385,2925,0.076936,3.5502),(1385,2935,0.077201,3.549),(1385,2945,0.077466,3.5477),(1385,2955,0.07772,3.5465),(1385,2965,0.077961,3.5452),(1385,2975,0.078202,3.544),(1385,2985,0.078443,3.5427),(1385,2995,0.078671,3.5415),(1385,3005,0.078886,3.5402),(1385,3015,0.0791,3.5389),(1385,3025,0.079315,3.5376),(1385,3035,0.079515,3.5364),(1385,3045,0.079701,3.5351),(1385,3055,0.079888,3.5338),(1385,3065,0.080074,3.5325),(1385,3075,0.080243,3.5312),(1385,3085,0.080399,3.5299),(1385,3095,0.080555,3.5286),(1385,3105,0.080711,3.5273),(1385,3115,0.080848,3.526),(1385,3125,0.080971,3.5247),(1385,3135,0.081094,3.5233),(1385,3145,0.081218,3.522),(1385,3155,0.081319,3.5207),(1385,3165,0.081407,3.5194),(1385,3175,0.081495,3.5181),(1385,3185,0.081584,3.5167),(1385,3195,0.081646,3.5154),(1385,3205,0.081697,3.5141),(1385,3215,0.081748,3.5128),(1385,3225,0.081799,3.5114),(1385,3235,0.081821,3.5101),(1385,3245,0.081833,3.5088),(1385,3255,0.081844,3.5074),(1385,3265,0.081855,3.5061),(1385,3275,0.081834,3.5048),(1385,3285,0.081804,3.5035),(1385,3295,0.081773,3.5021),(1385,3305,0.081742,3.5008),(1385,3315,0.081676,3.4995),(1385,3325,0.0816,3.4981),(1385,3335,0.081525,3.4968),(1385,3345,0.08145,3.4955),(1385,3355,0.081336,3.4942),(1385,3365,0.081214,3.4928),(1385,3375,0.081092,3.4915),(1385,3385,0.080971,3.4902),(1385,3395,0.080805,3.4889),(1385,3405,0.080634,3.4876),(1385,3415,0.080463,3.4863),(1385,3425,0.080292,3.485),(1385,3435,0.080074,3.4837),(1385,3445,0.079851,3.4823),(1385,3455,0.079628,3.4811),(1385,3465,0.079406,3.4798),(1385,3475,0.079131,3.4785),(1385,3485,0.078854,3.4772),(1385,3495,0.078577,3.4759),(1385,3505,0.078301,3.4746),(1385,3515,0.077968,3.4733),(1385,3525,0.077635,3.4721),(1385,3535,0.077302,3.4708),(1385,3545,0.076966,3.4695),(1385,3555,0.076575,3.4683),(1385,3565,0.076183,3.467),(1385,3575,0.075792,3.4658),(1385,3585,0.075395,3.4646),(1385,3595,0.074942,3.4633),(1385,3605,0.07449,3.4621),(1385,3615,0.074037,3.4609),(1385,3625,0.073577,3.4597),(1385,3635,0.073061,3.4584),(1385,3645,0.072545,3.4572),(1385,3655,0.072029,3.456),(1385,3665,0.071503,3.4548),(1385,3675,0.070921,3.4537),(1385,3685,0.07034,3.4525),(1385,3695,0.069758,3.4513),(1385,3705,0.069163,3.4501),(1385,3715,0.068514,3.449),(1385,3725,0.067865,3.4478),(1385,3735,0.067215,3.4467),(1385,3745,0.066549,3.4456),(1385,3755,0.06583,3.4444),(1385,3765,0.065111,3.4433),(1385,3775,0.064391,3.4422),(1385,3785,0.063652,3.4411),(1385,3795,0.062861,3.44),(1385,3805,0.06207,3.4389),(1385,3815,0.061279,3.4378),(1385,3825,0.060464,3.4367),(1385,3835,0.0596,3.4357),(1385,3845,0.058735,3.4346),(1385,3855,0.057871,3.4335),(1385,3865,0.056979,3.4325),(1385,3875,0.05604,3.4314),(1385,3885,0.055101,3.4304),(1385,3895,0.054162,3.4294),(1385,3905,0.062812,3.4284),(1385,3915,0.085788,3.4273),(1385,3925,0.10876,3.4256),(1385,3935,0.13174,3.423),(1385,3945,0.1578,3.4204),(1385,3955,0.18778,3.4177),(1385,3965,0.21776,3.4143),(1385,3975,0.24774,3.41),(1385,3985,0.26614,3.4057),(1385,3995,0.27201,3.4014),(1385,4005,0.27788,3.397),(1385,4015,0.28374,3.3924),(1385,4025,0.28919,3.3879),(1385,4035,0.2946,3.3832),(1385,4045,0.3,3.3784),(1385,4055,0.30484,3.3735),(1385,4065,0.30947,3.3686),(1385,4075,0.31411,3.3633),(1385,4085,0.31823,3.3581),(1385,4095,0.32193,3.3528),(1385,4105,0.32564,3.3472),(1385,4115,0.3168,3.3416),(1385,4125,0.28716,3.3359),(1385,4135,0.25752,3.3315),(1385,4145,0.22689,3.3274),(1385,4155,0.19225,3.3232),(1385,4165,0.15762,3.3202),(1385,4175,0.12491,3.3179),(1385,4185,0.18723,3.3155),(1385,4195,0.24956,3.3116),(1385,4205,0.31188,3.3058),(1385,4215,0.31051,3.2999),(1385,4225,0.29714,3.2942),(1385,4235,0.28378,3.2891),(1385,4245,0.26215,3.2841),(1385,4255,0.23633,3.2791),(1385,4265,0.21051,3.2755),(1385,4275,0.1753,3.272),(1385,4285,0.13013,3.2684),(1385,4295,0.084947,3.2671),(1385,4305,0.078299,3.266),(1385,4315,0.15865,3.2649),(1385,4325,0.239,3.2596),(1385,4335,0.3102,3.2526),(1385,4345,0.31942,3.2457),(1385,4355,0.32864,3.2388),(1385,4365,0.33787,3.232),(1385,4375,0.33592,3.2252),(1385,4385,0.33339,3.2186),(1385,4395,0.33086,3.2123),(1385,4405,0.28464,3.2061),(1385,4415,0.22553,3.2005),(1385,4425,0.16643,3.1979),(1385,4435,0.14677,3.1954),(1385,4445,0.15408,3.1928),(1385,4455,0.16138,3.1901),(1385,4465,0.20131,3.1874),(1385,4475,0.28707,3.1847),(1385,4485,0.37282,3.1779),(1385,4495,0.44188,3.1702),(1385,4505,0.45735,3.1626),(1385,4515,0.47282,3.1542),(1385,4525,0.48712,3.1455),(1385,4535,0.48282,3.1368),(1385,4545,0.47853,3.1283),(1385,4555,0.47424,3.12),(1385,4565,0.35014,3.1117),(1385,4575,0.2099,3.1057),(1385,4585,0.06965,3.105),(1385,4595,0.065412,3.1044),(1385,4605,0.11864,3.1034),(1385,4615,0.17187,3.0994),(1385,4625,0.22854,3.0953),(1385,4635,0.28831,3.0913),(1385,4645,0.34809,3.0844),(1385,4655,0.40542,3.0773),(1385,4665,0.45813,3.0702),(1385,4675,0.51084,3.0614),(1385,4685,0.53571,3.0521),(1385,4695,0.42304,3.0428),(1385,4705,0.31036,3.0367),(1385,4715,0.19769,3.0331),(1385,4725,0.2621,3.0294),(1385,4735,0.32828,3.0242),(1385,4745,0.39447,3.0165),(1385,4755,0.4842,3.0088),(1385,4765,0.57938,3.0003),(1385,4775,0.67457,2.9889),(1385,4785,0.72467,2.9774),(1385,4795,0.74869,2.966),(1385,4805,0.77271,2.955),(1385,4815,0.7523,2.944),(1385,4825,0.67876,2.933),(1385,4835,0.60522,2.9257),(1385,4845,0.52129,2.9189),(1385,4855,0.41025,2.9121),(1385,4865,0.29921,2.9072),(1385,4875,0.21742,2.9031),(1385,4885,0.40181,2.8991),(1385,4895,0.5862,2.8899),(1385,4905,0.77059,2.8757),(1385,4915,0.77283,2.8615),(1385,4925,0.7594,2.8477),(1385,4935,0.74597,2.8346),(1385,4945,0.68291,2.8215),(1385,4955,0.60264,2.8092),(1385,4965,0.52236,2.8006),(1385,4975,0.40706,2.792),(1385,4985,0.26471,2.7834),(1385,4995,0.12236,2.7825),(1385,5005,0.11974,2.7817),(1385,5015,0.33927,2.781),(1385,5025,0.55879,2.7718),(1385,5035,0.753,2.7605),(1385,5045,0.85074,2.7491),(1385,5055,0.94847,2.7358),(1385,5065,1.0441,2.7212),(1385,5075,1.0697,2.7066),(1385,5085,1.0953,2.6922),(1385,5095,1.1209,2.678),(1385,5105,0.989,2.6638),(1385,5115,0.82968,2.6514),(1385,5125,0.67035,2.6441),(1385,5135,0.56906,2.6369),(1385,5145,0.49594,2.6297),(1385,5155,0.42281,2.6231),(1385,5165,0.49508,2.6166),(1385,5175,0.71566,2.61),(1385,5185,0.93623,2.5945),(1385,5195,1.0957,2.5781),(1385,5205,1.1234,2.5617),(1385,5215,1.1511,2.5456),(1385,5225,1.1723,2.5296),(1385,5235,1.1526,2.5136),(1385,5245,1.1329,2.4988),(1385,5255,1.1132,2.4852),(1385,5265,0.77802,2.4715),(1385,5275,0.42981,2.4628),(1385,5285,0.081602,2.4625),(1385,5295,0.16112,2.4623),(1385,5305,0.35975,2.4596),(1385,5315,0.55838,2.4467),(1385,5325,0.72052,2.4337),(1385,5335,0.85875,2.4207),(1385,5345,0.99697,2.4042),(1385,5355,1.1022,2.3877),(1385,5365,1.1629,2.3712),(1385,5375,1.2236,2.355),(1385,5385,1.1979,2.3389),(1385,5395,0.90945,2.3227),(1385,5405,0.62102,2.3146),(1385,5415,0.35422,2.3105),(1385,5425,0.37782,2.3064),(1385,5435,0.40142,2.2992),(1385,5445,0.42502,2.2887),(1385,5455,0.51671,2.2782),(1385,5465,0.61671,2.2655),(1385,5475,0.71671,2.2478),(1385,5485,0.76421,2.2302),(1385,5495,0.79056,2.2123),(1385,5505,0.81691,2.1936),(1385,5515,0.84466,2.1748),(1385,5525,0.87362,2.1561),(1385,5535,0.90259,2.1364),(1385,5545,0.93184,2.1167),(1385,5555,0.96159,2.097),(1385,5565,0.99135,2.0765),(1385,5575,1.0211,2.0558),(1385,5585,1.051,2.0351),(1385,5595,1.0809,2.014),(1385,5605,1.1108,1.9926),(1385,5615,1.1405,1.9713),(1385,5625,1.1701,1.9498),(1385,5635,1.1998,1.9279),(1385,5645,1.2291,1.9061),(1385,5655,1.2582,1.8841),(1385,5665,1.2874,1.8618),(1385,5675,1.316,1.8396),(1385,5685,1.3444,1.8173),(1385,5695,1.3728,1.7949),(1385,5705,1.4007,1.7726),(1385,5715,1.428,1.7503),(1385,5725,1.4554,1.7279),(1385,5735,1.4825,1.7055),(1385,5745,1.5086,1.6831),(1385,5755,1.5348,1.6607),(1385,5765,1.5609,1.6383),(1385,5775,1.5858,1.6159),(1385,5785,1.6106,1.5937),(1385,5795,1.6355,1.5715),(1385,5805,1.6591,1.5493),(1385,5815,1.6826,1.5272),(1385,5825,1.7061,1.5054),(1385,5835,1.7285,1.4835),(1385,5845,1.7505,1.4616),(1385,5855,1.7725,1.44),(1385,5865,1.7937,1.4183),(1385,5875,1.8143,1.3967),(1385,5885,1.8349,1.3753),(1385,5895,1.855,1.3539),(1385,5905,1.8742,1.3325),(1385,5915,1.8934,1.3114),(1385,5925,1.9123,1.2903),(1385,5935,1.9302,1.2693),(1385,5945,1.9481,1.2484),(1385,5955,1.9659,1.2276),(1385,5965,1.983,1.2068),(1385,5975,2.0001,1.1862),(1385,5985,2.0173,1.1657),(1385,5995,1.5446,1.1452),(1385,6005,0.99304,1.1296),(1385,6015,0.44152,1.1271),(1385,6025,0.40798,1.1245),(1385,6035,0.61468,1.1209),(1385,6045,0.82138,1.1071),(1385,6055,0.97428,1.0933),(1385,6065,1.0744,1.0795),(1385,6075,1.1746,1.0613),(1385,6085,1.244,1.0427),(1385,6095,1.2499,1.0242),(1385,6105,1.2558,1.0054),(1385,6115,1.2617,0.98658),(1385,6125,1.2674,0.96775),(1385,6135,1.273,0.94884),(1385,6145,1.2787,0.92986),(1385,6155,1.284,0.91089),(1385,6165,1.2893,0.8918),(1385,6175,1.2946,0.87253),(1385,6185,1.2997,0.85327),(1385,6195,1.3047,0.83398),(1385,6205,1.3097,0.8146),(1385,6215,1.3144,0.79522),(1385,6225,1.3191,0.77583),(1385,6235,1.3237,0.75634),(1385,6245,1.3282,0.73685),(1385,6255,1.3326,0.71736),(1385,6265,1.3369,0.69773),(1385,6275,1.3411,0.67807),(1385,6285,1.345,0.65842),(1385,6295,1.3489,0.63862),(1385,6305,1.3528,0.61877),(1385,6315,1.3563,0.59891),(1385,6325,1.3598,0.57902),(1385,6335,1.3633,0.5591),(1385,6345,1.3664,0.53917),(1385,6355,1.3696,0.51923),(1385,6365,1.3727,0.49925),(1385,6375,1.3755,0.47927),(1385,6385,1.3783,0.45925),(1385,6395,1.381,0.43904),(1385,6405,1.3836,0.41883),(1385,6415,1.3859,0.39862),(1385,6425,1.3883,0.37831),(1385,6435,1.3906,0.358),(1385,6445,1.3926,0.33768),(1385,6455,1.3946,0.31744),(1385,6465,1.3966,0.29723),(1385,6475,1.3982,0.27701),(1385,6485,1.3999,0.25676),(1385,6495,1.4015,0.23648),(1385,6505,1.4028,0.21621),(1385,6515,1.404,0.19586),(1385,6525,1.4052,0.17543),(1385,6535,1.4061,0.15499),(1385,6545,1.407,0.13456),(1385,6555,1.4078,0.11413),(1385,6565,1.4084,0.09371),(1385,6575,1.4088,0.073289),(1385,6585,1.4093,0.05289),(1385,6595,1.1988,0.032492),(1385,6605,0.75544,0.012093),(1385,6615,0.31209,0.009728),(1385,6625,0.000423,0.009679),(1385,6635,0.000425,0.009631),(1385,6645,0.000428,0.009611),(1385,6655,0.00043,0.009603),(1385,6665,0.000433,0.009595),(1385,6675,0.000435,0.009588),(1385,6685,0.000437,0.00958),(1385,6695,0.00044,0.009572),(1385,6705,0.000442,0.009565),(1385,6715,0.000444,0.009557),(1385,6725,0.000446,0.00955),(1385,6735,0.000448,0.009542),(1385,6745,0.000451,0.009534),(1385,6755,0.000453,0.009526),(1385,6765,0.000455,0.009518),(1385,6775,0.000457,0.009511),(1385,6785,0.000459,0.009503),(1385,6795,0.000461,0.009495),(1385,6805,0.000463,0.009487),(1385,6815,0.000465,0.00948),(1385,6825,0.000467,0.009472),(1385,6835,0.000469,0.009464),(1385,6845,0.00047,0.009456),(1385,6855,0.000472,0.009448),(1385,6865,0.000474,0.00944),(1385,6875,0.000476,0.009432),(1385,6885,0.000478,0.009424),(1385,6895,0.000479,0.009416),(1385,6905,0.000481,0.009408),(1385,6915,0.000483,0.0094),(1385,6925,0.000485,0.009392),(1385,6935,0.000486,0.009384),(1385,6945,0.000488,0.009376),(1385,6955,0.000489,0.009368),(1385,6965,0.000491,0.00936),(1385,6975,0.000493,0.009352),(1385,6985,0.000494,0.009344),(1395,5,5.6e-05,3.6737),(1395,15,0.000169,3.6737),(1395,25,0.000282,3.6737),(1395,35,0.000396,3.6737),(1395,45,0.000509,3.6737),(1395,55,0.000622,3.6737),(1395,65,0.000735,3.6737),(1395,75,0.000848,3.6737),(1395,85,0.000962,3.6737),(1395,95,0.001075,3.6737),(1395,105,0.001189,3.6737),(1395,115,0.001303,3.6737),(1395,125,0.001417,3.6736),(1395,135,0.001531,3.6736),(1395,145,0.001646,3.6736),(1395,155,0.001761,3.6736),(1395,165,0.001875,3.6736),(1395,175,0.00199,3.6735),(1395,185,0.002106,3.6735),(1395,195,0.002222,3.6735),(1395,205,0.002337,3.6735),(1395,215,0.002453,3.6735),(1395,225,0.00257,3.6734),(1395,235,0.002687,3.6734),(1395,245,0.002804,3.6734),(1395,255,0.002921,3.6733),(1395,265,0.003039,3.6733),(1395,275,0.003157,3.6733),(1395,285,0.003276,3.6732),(1395,295,0.003394,3.6732),(1395,305,0.003514,3.6732),(1395,315,0.003634,3.6731),(1395,325,0.003754,3.6731),(1395,335,0.003874,3.6731),(1395,345,0.003996,3.673),(1395,355,0.004118,3.673),(1395,365,0.00424,3.6729),(1395,375,0.004363,3.6729),(1395,385,0.004487,3.6728),(1395,395,0.004611,3.6728),(1395,405,0.004735,3.6727),(1395,415,0.00486,3.6727),(1395,425,0.004986,3.6726),(1395,435,0.005113,3.6726),(1395,445,0.005239,3.6725),(1395,455,0.005366,3.6725),(1395,465,0.005495,3.6724),(1395,475,0.005624,3.6724),(1395,485,0.005754,3.6723),(1395,495,0.005883,3.6722),(1395,505,0.006015,3.6722),(1395,515,0.006147,3.6721),(1395,525,0.00628,3.6721),(1395,535,0.006412,3.672),(1395,545,0.006547,3.6719),(1395,555,0.006682,3.6718),(1395,565,0.006818,3.6718),(1395,575,0.006953,3.6717),(1395,585,0.007092,3.6716),(1395,595,0.00723,3.6716),(1395,605,0.007369,3.6715),(1395,615,0.007508,3.6714),(1395,625,0.00765,3.6713),(1395,635,0.007793,3.6712),(1395,645,0.007935,3.6711),(1395,655,0.008077,3.6711),(1395,665,0.008224,3.671),(1395,675,0.00837,3.6709),(1395,685,0.008516,3.6708),(1395,695,0.008663,3.6707),(1395,705,0.008813,3.6706),(1395,715,0.008963,3.6705),(1395,725,0.009113,3.6704),(1395,735,0.009264,3.6703),(1395,745,0.009418,3.6702),(1395,755,0.009573,3.6701),(1395,765,0.009727,3.67),(1395,775,0.009883,3.6699),(1395,785,0.010042,3.6698),(1395,795,0.010201,3.6697),(1395,805,0.01036,3.6696),(1395,815,0.01052,3.6695),(1395,825,0.010684,3.6694),(1395,835,0.010848,3.6692),(1395,845,0.011012,3.6691),(1395,855,0.011178,3.669),(1395,865,0.011347,3.6689),(1395,875,0.011516,3.6687),(1395,885,0.011685,3.6686),(1395,895,0.011856,3.6685),(1395,905,0.01203,3.6684),(1395,915,0.012205,3.6682),(1395,925,0.012379,3.6681),(1395,935,0.012556,3.668),(1395,945,0.012736,3.6678),(1395,955,0.012915,3.6677),(1395,965,0.013095,3.6675),(1395,975,0.013278,3.6674),(1395,985,0.013463,3.6672),(1395,995,0.013649,3.6671),(1395,1005,0.013835,3.6669),(1395,1015,0.014023,3.6668),(1395,1025,0.014215,3.6666),(1395,1035,0.014407,3.6665),(1395,1045,0.014598,3.6663),(1395,1055,0.014794,3.6661),(1395,1065,0.014992,3.666),(1395,1075,0.01519,3.6658),(1395,1085,0.015388,3.6656),(1395,1095,0.01559,3.6655),(1395,1105,0.015794,3.6653),(1395,1115,0.015999,3.6651),(1395,1125,0.016204,3.6649),(1395,1135,0.016412,3.6647),(1395,1145,0.016624,3.6645),(1395,1155,0.016835,3.6644),(1395,1165,0.017046,3.6642),(1395,1175,0.017262,3.664),(1395,1185,0.017481,3.6638),(1395,1195,0.017699,3.6636),(1395,1205,0.017917,3.6634),(1395,1215,0.018141,3.6632),(1395,1225,0.018366,3.663),(1395,1235,0.018592,3.6627),(1395,1245,0.018817,3.6625),(1395,1255,0.019048,3.6623),(1395,1265,0.019281,3.6621),(1395,1275,0.019514,3.6619),(1395,1285,0.019747,3.6616),(1395,1295,0.019986,3.6614),(1395,1305,0.020227,3.6612),(1395,1315,0.020468,3.6609),(1395,1325,0.020708,3.6607),(1395,1335,0.020955,3.6604),(1395,1345,0.021204,3.6602),(1395,1355,0.021452,3.6599),(1395,1365,0.021701,3.6597),(1395,1375,0.021956,3.6594),(1395,1385,0.022212,3.6592),(1395,1395,0.022469,3.6589),(1395,1405,0.022725,3.6586),(1395,1415,0.022989,3.6584),(1395,1425,0.023253,3.6581),(1395,1435,0.023518,3.6578),(1395,1445,0.023782,3.6575),(1395,1455,0.024055,3.6572),(1395,1465,0.024327,3.6569),(1395,1475,0.0246,3.6566),(1395,1485,0.024873,3.6563),(1395,1495,0.025154,3.656),(1395,1505,0.025435,3.6557),(1395,1515,0.025716,3.6554),(1395,1525,0.025997,3.6551),(1395,1535,0.026287,3.6548),(1395,1545,0.026576,3.6545),(1395,1555,0.026866,3.6541),(1395,1565,0.027156,3.6538),(1395,1575,0.027454,3.6535),(1395,1585,0.027752,3.6531),(1395,1595,0.028051,3.6528),(1395,1605,0.02835,3.6524),(1395,1615,0.028656,3.6521),(1395,1625,0.028963,3.6517),(1395,1635,0.02927,3.6514),(1395,1645,0.029578,3.651),(1395,1655,0.029893,3.6506),(1395,1665,0.030209,3.6503),(1395,1675,0.030524,3.6499),(1395,1685,0.030841,3.6495),(1395,1695,0.031165,3.6491),(1395,1705,0.031488,3.6487),(1395,1715,0.031812,3.6483),(1395,1725,0.032138,3.6479),(1395,1735,0.03247,3.6475),(1395,1745,0.032802,3.6471),(1395,1755,0.033134,3.6466),(1395,1765,0.033469,3.6462),(1395,1775,0.033809,3.6458),(1395,1785,0.03415,3.6453),(1395,1795,0.034491,3.6449),(1395,1805,0.034834,3.6444),(1395,1815,0.035183,3.644),(1395,1825,0.035531,3.6435),(1395,1835,0.03588,3.6431),(1395,1845,0.036232,3.6426),(1395,1855,0.036589,3.6421),(1395,1865,0.036946,3.6416),(1395,1875,0.037303,3.6411),(1395,1885,0.037663,3.6407),(1395,1895,0.038027,3.6402),(1395,1905,0.038392,3.6397),(1395,1915,0.038757,3.6391),(1395,1925,0.039125,3.6386),(1395,1935,0.039497,3.6381),(1395,1945,0.039869,3.6376),(1395,1955,0.040242,3.637),(1395,1965,0.040617,3.6365),(1395,1975,0.040997,3.6359),(1395,1985,0.041376,3.6354),(1395,1995,0.041756,3.6348),(1395,2005,0.042139,3.6342),(1395,2015,0.042525,3.6337),(1395,2025,0.042911,3.6331),(1395,2035,0.043298,3.6325),(1395,2045,0.043687,3.6319),(1395,2055,0.04408,3.6313),(1395,2065,0.044472,3.6307),(1395,2075,0.044865,3.6301),(1395,2085,0.04526,3.6295),(1395,2095,0.045658,3.6288),(1395,2105,0.046057,3.6282),(1395,2115,0.046455,3.6276),(1395,2125,0.046856,3.6269),(1395,2135,0.04726,3.6263),(1395,2145,0.047663,3.6256),(1395,2155,0.048066,3.6249),(1395,2165,0.048473,3.6242),(1395,2175,0.048881,3.6236),(1395,2185,0.049289,3.6229),(1395,2195,0.049697,3.6222),(1395,2205,0.050107,3.6214),(1395,2215,0.050519,3.6207),(1395,2225,0.050931,3.62),(1395,2235,0.051343,3.6193),(1395,2245,0.051756,3.6185),(1395,2255,0.052171,3.6178),(1395,2265,0.052586,3.6171),(1395,2275,0.053,3.6163),(1395,2285,0.053417,3.6155),(1395,2295,0.053833,3.6148),(1395,2305,0.05425,3.614),(1395,2315,0.054667,3.6132),(1395,2325,0.055085,3.6124),(1395,2335,0.055503,3.6116),(1395,2345,0.055921,3.6108),(1395,2355,0.056339,3.6099),(1395,2365,0.056757,3.6091),(1395,2375,0.057175,3.6083),(1395,2385,0.057593,3.6074),(1395,2395,0.058012,3.6066),(1395,2405,0.058429,3.6057),(1395,2415,0.058846,3.6049),(1395,2425,0.059263,3.604),(1395,2435,0.05968,3.6031),(1395,2445,0.060094,3.6022),(1395,2455,0.060509,3.6013),(1395,2465,0.060924,3.6004),(1395,2475,0.061338,3.5995),(1395,2485,0.06175,3.5985),(1395,2495,0.062161,3.5976),(1395,2505,0.062572,3.5967),(1395,2515,0.062983,3.5957),(1395,2525,0.06339,3.5948),(1395,2535,0.063796,3.5938),(1395,2545,0.064203,3.5928),(1395,2555,0.064609,3.5919),(1395,2565,0.065009,3.5909),(1395,2575,0.065409,3.5899),(1395,2585,0.06581,3.5889),(1395,2595,0.066209,3.5879),(1395,2605,0.066602,3.5869),(1395,2615,0.066994,3.5858),(1395,2625,0.067387,3.5848),(1395,2635,0.067778,3.5837),(1395,2645,0.068161,3.5827),(1395,2655,0.068545,3.5817),(1395,2665,0.068928,3.5806),(1395,2675,0.069309,3.5795),(1395,2685,0.069681,3.5784),(1395,2695,0.070053,3.5774),(1395,2705,0.070426,3.5763),(1395,2715,0.070795,3.5752),(1395,2725,0.071154,3.574),(1395,2735,0.071514,3.5729),(1395,2745,0.071873,3.5718),(1395,2755,0.072229,3.5707),(1395,2765,0.072574,3.5695),(1395,2775,0.072919,3.5684),(1395,2785,0.073265,3.5673),(1395,2795,0.073605,3.5661),(1395,2805,0.073934,3.5649),(1395,2815,0.074263,3.5638),(1395,2825,0.074591,3.5626),(1395,2835,0.074914,3.5614),(1395,2845,0.075225,3.5602),(1395,2855,0.075535,3.559),(1395,2865,0.075845,3.5578),(1395,2875,0.076148,3.5566),(1395,2885,0.076439,3.5554),(1395,2895,0.076729,3.5542),(1395,2905,0.077019,3.5529),(1395,2915,0.0773,3.5517),(1395,2925,0.077568,3.5505),(1395,2935,0.077836,3.5492),(1395,2945,0.078104,3.548),(1395,2955,0.078361,3.5467),(1395,2965,0.078605,3.5455),(1395,2975,0.078848,3.5442),(1395,2985,0.079092,3.543),(1395,2995,0.079322,3.5417),(1395,3005,0.07954,3.5404),(1395,3015,0.079757,3.5391),(1395,3025,0.079974,3.5378),(1395,3035,0.080176,3.5365),(1395,3045,0.080364,3.5353),(1395,3055,0.080553,3.534),(1395,3065,0.080741,3.5327),(1395,3075,0.080912,3.5314),(1395,3085,0.08107,3.53),(1395,3095,0.081228,3.5287),(1395,3105,0.081386,3.5274),(1395,3115,0.081523,3.5261),(1395,3125,0.081648,3.5248),(1395,3135,0.081773,3.5235),(1395,3145,0.081898,3.5221),(1395,3155,0.082,3.5208),(1395,3165,0.082089,3.5195),(1395,3175,0.082178,3.5181),(1395,3185,0.082268,3.5168),(1395,3195,0.082331,3.5155),(1395,3205,0.082383,3.5141),(1395,3215,0.082434,3.5128),(1395,3225,0.082486,3.5115),(1395,3235,0.082508,3.5101),(1395,3245,0.08252,3.5088),(1395,3255,0.082531,3.5074),(1395,3265,0.082543,3.5061),(1395,3275,0.082522,3.5048),(1395,3285,0.082491,3.5034),(1395,3295,0.08246,3.5021),(1395,3305,0.082429,3.5007),(1395,3315,0.082362,3.4994),(1395,3325,0.082286,3.4981),(1395,3335,0.082211,3.4967),(1395,3345,0.082135,3.4954),(1395,3355,0.08202,3.4941),(1395,3365,0.081897,3.4927),(1395,3375,0.081775,3.4914),(1395,3385,0.081652,3.4901),(1395,3395,0.081485,3.4887),(1395,3405,0.081313,3.4874),(1395,3415,0.081141,3.4861),(1395,3425,0.080969,3.4848),(1395,3435,0.080749,3.4834),(1395,3445,0.080524,3.4821),(1395,3455,0.0803,3.4808),(1395,3465,0.080076,3.4795),(1395,3475,0.0798,3.4782),(1395,3485,0.079521,3.4769),(1395,3495,0.079243,3.4756),(1395,3505,0.078964,3.4743),(1395,3515,0.078629,3.473),(1395,3525,0.078294,3.4717),(1395,3535,0.077959,3.4705),(1395,3545,0.077622,3.4692),(1395,3555,0.077228,3.4679),(1395,3565,0.076834,3.4666),(1395,3575,0.07644,3.4654),(1395,3585,0.076041,3.4641),(1395,3595,0.075587,3.4629),(1395,3605,0.075132,3.4616),(1395,3615,0.074677,3.4604),(1395,3625,0.074215,3.4592),(1395,3635,0.073696,3.4579),(1395,3645,0.073178,3.4567),(1395,3655,0.07266,3.4555),(1395,3665,0.072131,3.4543),(1395,3675,0.071548,3.4531),(1395,3685,0.070964,3.4519),(1395,3695,0.07038,3.4507),(1395,3705,0.069783,3.4495),(1395,3715,0.069132,3.4483),(1395,3725,0.06848,3.4472),(1395,3735,0.067829,3.446),(1395,3745,0.067161,3.4449),(1395,3755,0.06644,3.4437),(1395,3765,0.065719,3.4426),(1395,3775,0.064998,3.4414),(1395,3785,0.064257,3.4403),(1395,3795,0.063464,3.4392),(1395,3805,0.062672,3.4381),(1395,3815,0.061879,3.437),(1395,3825,0.061064,3.4359),(1395,3835,0.060198,3.4348),(1395,3845,0.059333,3.4337),(1395,3855,0.058468,3.4326),(1395,3865,0.057576,3.4316),(1395,3875,0.056637,3.4305),(1395,3885,0.055698,3.4295),(1395,3895,0.054759,3.4284),(1395,3905,0.063503,3.4274),(1395,3915,0.086711,3.4263),(1395,3925,0.10992,3.4246),(1395,3935,0.13313,3.4219),(1395,3945,0.15941,3.4193),(1395,3955,0.18959,3.4166),(1395,3965,0.21977,3.4131),(1395,3975,0.24995,3.4087),(1395,3985,0.26847,3.4043),(1395,3995,0.27435,3.4),(1395,4005,0.28024,3.3955),(1395,4015,0.28613,3.3909),(1395,4025,0.29163,3.3863),(1395,4035,0.2971,3.3815),(1395,4045,0.30256,3.3766),(1395,4055,0.30748,3.3717),(1395,4065,0.31219,3.3667),(1395,4075,0.31691,3.3613),(1395,4085,0.32111,3.356),(1395,4095,0.3249,3.3507),(1395,4105,0.32869,3.345),(1395,4115,0.3198,3.3393),(1395,4125,0.28991,3.3336),(1395,4135,0.26002,3.3291),(1395,4145,0.22913,3.325),(1395,4155,0.19419,3.3208),(1395,4165,0.15925,3.3178),(1395,4175,0.12626,3.3155),(1395,4185,0.18922,3.3132),(1395,4195,0.25218,3.3093),(1395,4205,0.31514,3.3033),(1395,4215,0.31375,3.2973),(1395,4225,0.30024,3.2916),(1395,4235,0.28674,3.2864),(1395,4245,0.26489,3.2813),(1395,4255,0.23882,3.2763),(1395,4265,0.21275,3.2727),(1395,4275,0.17719,3.2691),(1395,4285,0.13156,3.2655),(1395,4295,0.085934,3.2643),(1395,4305,0.079376,3.2632),(1395,4315,0.16104,3.2622),(1395,4325,0.2427,3.257),(1395,4335,0.31502,3.2502),(1395,4345,0.32407,3.2434),(1395,4355,0.33313,3.2366),(1395,4365,0.34218,3.2299),(1395,4375,0.34004,3.2231),(1395,4385,0.33731,3.2165),(1395,4395,0.33458,3.2101),(1395,4405,0.28774,3.2038),(1395,4415,0.2279,3.1981),(1395,4425,0.16806,3.1954),(1395,4435,0.14813,3.1927),(1395,4445,0.15547,3.1899),(1395,4455,0.16281,3.1872),(1395,4465,0.20313,3.1844),(1395,4475,0.28975,3.1816),(1395,4485,0.37638,3.1747),(1395,4495,0.44614,3.1669),(1395,4505,0.46179,3.1591),(1395,4515,0.47744,3.1507),(1395,4525,0.49189,3.1418),(1395,4535,0.48748,3.133),(1395,4545,0.48306,3.1244),(1395,4555,0.47865,3.1161),(1395,4565,0.35342,3.1077),(1395,4575,0.2119,3.1016),(1395,4585,0.070375,3.101),(1395,4595,0.066171,3.1003),(1395,4605,0.11999,3.0993),(1395,4615,0.1738,3.0952),(1395,4625,0.231,3.091),(1395,4635,0.29126,3.0869),(1395,4645,0.35153,3.0798),(1395,4655,0.40928,3.0726),(1395,4665,0.46232,3.0654),(1395,4675,0.51535,3.0565),(1395,4685,0.54035,3.0472),(1395,4695,0.42683,3.0379),(1395,4705,0.3133,3.0318),(1395,4715,0.19977,3.0282),(1395,4725,0.26488,3.0246),(1395,4735,0.33178,3.0194),(1395,4745,0.39868,3.0116),(1395,4755,0.4889,3.0038),(1395,4765,0.58453,2.9953),(1395,4775,0.68016,2.9838),(1395,4785,0.73023,2.9724),(1395,4795,0.75395,2.961),(1395,4805,0.77767,2.95),(1395,4815,0.75676,2.9391),(1395,4825,0.68249,2.9281),(1395,4835,0.60822,2.9208),(1395,4845,0.52374,2.9141),(1395,4855,0.41266,2.9073),(1395,4865,0.30158,2.9024),(1395,4875,0.21993,2.8983),(1395,4885,0.40598,2.8942),(1395,4895,0.59203,2.885),(1395,4905,0.77809,2.8708),(1395,4915,0.78023,2.8566),(1395,4925,0.76656,2.8428),(1395,4935,0.75288,2.8298),(1395,4945,0.68919,2.8167),(1395,4955,0.60816,2.8044),(1395,4965,0.52713,2.7958),(1395,4975,0.41078,2.7872),(1395,4985,0.26716,2.7786),(1395,4995,0.12354,2.7776),(1395,5005,0.12076,2.7769),(1395,5015,0.34185,2.7762),(1395,5025,0.56295,2.7671),(1395,5035,0.75846,2.7558),(1395,5045,0.85646,2.7445),(1395,5055,0.95445,2.7312),(1395,5065,1.0503,2.7167),(1395,5075,1.0756,2.7022),(1395,5085,1.1009,2.6879),(1395,5095,1.1262,2.6737),(1395,5105,0.99355,2.6596),(1395,5115,0.8333,2.6473),(1395,5125,0.67306,2.6401),(1395,5135,0.57167,2.6329),(1395,5145,0.49884,2.6258),(1395,5155,0.42601,2.6192),(1395,5165,0.49908,2.6126),(1395,5175,0.72096,2.6061),(1395,5185,0.94283,2.5906),(1395,5195,1.1031,2.5743),(1395,5205,1.1305,2.558),(1395,5215,1.1579,2.5419),(1395,5225,1.1787,2.5259),(1395,5235,1.1585,2.51),(1395,5245,1.1383,2.4953),(1395,5255,1.1181,2.4817),(1395,5265,0.78148,2.468),(1395,5275,0.43179,2.4594),(1395,5285,0.082095,2.4591),(1395,5295,0.16304,2.4589),(1395,5305,0.3639,2.4562),(1395,5315,0.56477,2.4433),(1395,5325,0.72787,2.4303),(1395,5335,0.8662,2.4173),(1395,5345,1.0045,2.4009),(1395,5355,1.1096,2.3844),(1395,5365,1.1698,2.368),(1395,5375,1.23,2.3519),(1395,5385,1.2035,2.3358),(1395,5395,0.9136,2.3198),(1395,5405,0.6237,2.3117),(1395,5415,0.35564,2.3076),(1395,5425,0.3809,2.3036),(1395,5435,0.40616,2.2964),(1395,5445,0.43142,2.2857),(1395,5455,0.52446,2.2751),(1395,5465,0.62578,2.2623),(1395,5475,0.72711,2.2445),(1395,5485,0.77508,2.2266),(1395,5495,0.80156,2.2086),(1395,5505,0.82804,2.1897),(1395,5515,0.85591,2.1708),(1395,5525,0.88498,2.1519),(1395,5535,0.91406,2.1322),(1395,5545,0.94339,2.1124),(1395,5555,0.97321,2.0925),(1395,5565,1.003,2.072),(1395,5575,1.0328,2.0512),(1395,5585,1.0627,2.0304),(1395,5595,1.0926,2.0093),(1395,5605,1.1225,1.9879),(1395,5615,1.1522,1.9665),(1395,5625,1.1818,1.945),(1395,5635,1.2114,1.9231),(1395,5645,1.2406,1.9013),(1395,5655,1.2697,1.8793),(1395,5665,1.2987,1.8571),(1395,5675,1.3273,1.8348),(1395,5685,1.3555,1.8126),(1395,5695,1.3837,1.7903),(1395,5705,1.4115,1.768),(1395,5715,1.4387,1.7458),(1395,5725,1.4659,1.7235),(1395,5735,1.4928,1.7012),(1395,5745,1.5187,1.6789),(1395,5755,1.5447,1.6566),(1395,5765,1.5706,1.6343),(1395,5775,1.5952,1.612),(1395,5785,1.6199,1.5899),(1395,5795,1.6446,1.5678),(1395,5805,1.6679,1.5458),(1395,5815,1.6912,1.5239),(1395,5825,1.7145,1.5021),(1395,5835,1.7366,1.4803),(1395,5845,1.7584,1.4586),(1395,5855,1.7803,1.4371),(1395,5865,1.8012,1.4156),(1395,5875,1.8216,1.3941),(1395,5885,1.842,1.3728),(1395,5895,1.8618,1.3516),(1395,5905,1.8808,1.3304),(1395,5915,1.8998,1.3094),(1395,5925,1.9185,1.2885),(1395,5935,1.9362,1.2675),(1395,5945,1.9539,1.2468),(1395,5955,1.9715,1.2262),(1395,5965,1.9884,1.2055),(1395,5975,2.0054,1.185),(1395,5985,2.0223,1.1647),(1395,5995,1.5484,1.1443),(1395,6005,0.99545,1.1288),(1395,6015,0.44253,1.1263),(1395,6025,0.40989,1.1238),(1395,6035,0.61854,1.1202),(1395,6045,0.8272,1.1064),(1395,6055,0.98144,1.0925),(1395,6065,1.0823,1.0787),(1395,6075,1.1832,1.0606),(1395,6085,1.2531,1.042),(1395,6095,1.259,1.0234),(1395,6105,1.265,1.0047),(1395,6115,1.2709,0.98583),(1395,6125,1.2766,0.967),(1395,6135,1.2822,0.94809),(1395,6145,1.2879,0.92912),(1395,6155,1.2933,0.91015),(1395,6165,1.2986,0.89107),(1395,6175,1.3039,0.87181),(1395,6185,1.309,0.85256),(1395,6195,1.314,0.83329),(1395,6205,1.319,0.81392),(1395,6215,1.3238,0.79455),(1395,6225,1.3285,0.77519),(1395,6235,1.3331,0.75572),(1395,6245,1.3377,0.73625),(1395,6255,1.342,0.71678),(1395,6265,1.3463,0.69715),(1395,6275,1.3506,0.67749),(1395,6285,1.3545,0.65784),(1395,6295,1.3584,0.63805),(1395,6305,1.3623,0.61819),(1395,6315,1.3659,0.59833),(1395,6325,1.3694,0.57844),(1395,6335,1.3729,0.55853),(1395,6345,1.3761,0.53862),(1395,6355,1.3792,0.5187),(1395,6365,1.3823,0.49873),(1395,6375,1.3852,0.47876),(1395,6385,1.3879,0.45876),(1395,6395,1.3907,0.43857),(1395,6405,1.3932,0.41838),(1395,6415,1.3956,0.3982),(1395,6425,1.398,0.37792),(1395,6435,1.4003,0.35764),(1395,6445,1.4023,0.33736),(1395,6455,1.4043,0.31714),(1395,6465,1.4063,0.29695),(1395,6475,1.4079,0.27675),(1395,6485,1.4096,0.25651),(1395,6495,1.4112,0.23625),(1395,6505,1.4125,0.21599),(1395,6515,1.4137,0.19566),(1395,6525,1.415,0.17525),(1395,6535,1.4159,0.15483),(1395,6545,1.4168,0.13442),(1395,6555,1.4176,0.11403),(1395,6565,1.4182,0.09363),(1395,6575,1.4186,0.073235),(1395,6585,1.419,0.052863),(1395,6595,1.2071,0.032491),(1395,6605,0.76068,0.012119),(1395,6615,0.31425,0.009749),(1395,6625,0.000427,0.009692),(1395,6635,0.000429,0.009635),(1395,6645,0.000432,0.009613),(1395,6655,0.000434,0.009605),(1395,6665,0.000437,0.009598),(1395,6675,0.000439,0.00959),(1395,6685,0.000441,0.009582),(1395,6695,0.000444,0.009575),(1395,6705,0.000446,0.009567),(1395,6715,0.000448,0.00956),(1395,6725,0.00045,0.009552),(1395,6735,0.000453,0.009544),(1395,6745,0.000455,0.009536),(1395,6755,0.000457,0.009529),(1395,6765,0.000459,0.009521),(1395,6775,0.000461,0.009513),(1395,6785,0.000463,0.009505),(1395,6795,0.000465,0.009497),(1395,6805,0.000467,0.009489),(1395,6815,0.000469,0.009481),(1395,6825,0.000471,0.009474),(1395,6835,0.000473,0.009466),(1395,6845,0.000475,0.009458),(1395,6855,0.000476,0.00945),(1395,6865,0.000478,0.009442),(1395,6875,0.00048,0.009434),(1395,6885,0.000482,0.009426),(1395,6895,0.000484,0.009418),(1395,6905,0.000485,0.00941),(1395,6915,0.000487,0.009402),(1395,6925,0.000489,0.009394),(1395,6935,0.000491,0.009386),(1395,6945,0.000492,0.009378),(1395,6955,0.000494,0.00937),(1395,6965,0.000495,0.009362),(1395,6975,0.000497,0.009354),(1395,6985,0.000499,0.009346),(1405,5,5.7e-05,3.6738),(1405,15,0.00017,3.6738),(1405,25,0.000283,3.6738),(1405,35,0.000397,3.6738),(1405,45,0.00051,3.6738),(1405,55,0.000623,3.6738),(1405,65,0.000737,3.6738),(1405,75,0.000851,3.6738),(1405,85,0.000964,3.6738),(1405,95,0.001078,3.6738),(1405,105,0.001192,3.6738),(1405,115,0.001307,3.6738),(1405,125,0.001421,3.6738),(1405,135,0.001535,3.6737),(1405,145,0.00165,3.6737),(1405,155,0.001765,3.6737),(1405,165,0.001881,3.6737),(1405,175,0.001996,3.6737),(1405,185,0.002111,3.6736),(1405,195,0.002227,3.6736),(1405,205,0.002344,3.6736),(1405,215,0.00246,3.6736),(1405,225,0.002577,3.6735),(1405,235,0.002694,3.6735),(1405,245,0.002811,3.6735),(1405,255,0.002929,3.6735),(1405,265,0.003047,3.6734),(1405,275,0.003166,3.6734),(1405,285,0.003285,3.6734),(1405,295,0.003403,3.6733),(1405,305,0.003523,3.6733),(1405,315,0.003644,3.6733),(1405,325,0.003764,3.6732),(1405,335,0.003885,3.6732),(1405,345,0.004007,3.6731),(1405,355,0.00413,3.6731),(1405,365,0.004252,3.6731),(1405,375,0.004375,3.673),(1405,385,0.004499,3.673),(1405,395,0.004624,3.6729),(1405,405,0.004748,3.6729),(1405,415,0.004873,3.6728),(1405,425,0.005,3.6728),(1405,435,0.005127,3.6727),(1405,445,0.005254,3.6727),(1405,455,0.005381,3.6726),(1405,465,0.005511,3.6726),(1405,475,0.00564,3.6725),(1405,485,0.00577,3.6724),(1405,495,0.0059,3.6724),(1405,505,0.006032,3.6723),(1405,515,0.006165,3.6723),(1405,525,0.006298,3.6722),(1405,535,0.00643,3.6721),(1405,545,0.006566,3.6721),(1405,555,0.006702,3.672),(1405,565,0.006837,3.6719),(1405,575,0.006974,3.6718),(1405,585,0.007113,3.6718),(1405,595,0.007252,3.6717),(1405,605,0.007391,3.6716),(1405,615,0.00753,3.6715),(1405,625,0.007673,3.6715),(1405,635,0.007816,3.6714),(1405,645,0.007959,3.6713),(1405,655,0.008102,3.6712),(1405,665,0.008248,3.6711),(1405,675,0.008395,3.671),(1405,685,0.008542,3.6709),(1405,695,0.008689,3.6709),(1405,705,0.00884,3.6708),(1405,715,0.00899,3.6707),(1405,725,0.009141,3.6706),(1405,735,0.009293,3.6705),(1405,745,0.009448,3.6704),(1405,755,0.009603,3.6703),(1405,765,0.009758,3.6702),(1405,775,0.009914,3.6701),(1405,785,0.010074,3.67),(1405,795,0.010233,3.6699),(1405,805,0.010393,3.6697),(1405,815,0.010554,3.6696),(1405,825,0.010719,3.6695),(1405,835,0.010883,3.6694),(1405,845,0.011048,3.6693),(1405,855,0.011214,3.6692),(1405,865,0.011384,3.669),(1405,875,0.011553,3.6689),(1405,885,0.011723,3.6688),(1405,895,0.011895,3.6687),(1405,905,0.01207,3.6685),(1405,915,0.012245,3.6684),(1405,925,0.01242,3.6683),(1405,935,0.012598,3.6681),(1405,945,0.012779,3.668),(1405,955,0.012959,3.6679),(1405,965,0.01314,3.6677),(1405,975,0.013323,3.6676),(1405,985,0.01351,3.6674),(1405,995,0.013696,3.6673),(1405,1005,0.013883,3.6671),(1405,1015,0.014072,3.667),(1405,1025,0.014265,3.6668),(1405,1035,0.014458,3.6667),(1405,1045,0.01465,3.6665),(1405,1055,0.014846,3.6663),(1405,1065,0.015045,3.6662),(1405,1075,0.015244,3.666),(1405,1085,0.015443,3.6658),(1405,1095,0.015646,3.6657),(1405,1105,0.015852,3.6655),(1405,1115,0.016058,3.6653),(1405,1125,0.016263,3.6651),(1405,1135,0.016473,3.6649),(1405,1145,0.016686,3.6648),(1405,1155,0.016898,3.6646),(1405,1165,0.017111,3.6644),(1405,1175,0.017328,3.6642),(1405,1185,0.017547,3.664),(1405,1195,0.017767,3.6638),(1405,1205,0.017986,3.6636),(1405,1215,0.018211,3.6634),(1405,1225,0.018438,3.6632),(1405,1235,0.018665,3.663),(1405,1245,0.018891,3.6627),(1405,1255,0.019124,3.6625),(1405,1265,0.019358,3.6623),(1405,1275,0.019593,3.6621),(1405,1285,0.019827,3.6619),(1405,1295,0.020067,3.6616),(1405,1305,0.020309,3.6614),(1405,1315,0.020551,3.6612),(1405,1325,0.020794,3.6609),(1405,1335,0.021042,3.6607),(1405,1345,0.021292,3.6604),(1405,1355,0.021542,3.6602),(1405,1365,0.021792,3.6599),(1405,1375,0.022049,3.6597),(1405,1385,0.022307,3.6594),(1405,1395,0.022565,3.6592),(1405,1405,0.022823,3.6589),(1405,1415,0.023088,3.6586),(1405,1425,0.023355,3.6584),(1405,1435,0.023621,3.6581),(1405,1445,0.023887,3.6578),(1405,1455,0.024161,3.6575),(1405,1465,0.024436,3.6572),(1405,1475,0.02471,3.6569),(1405,1485,0.024985,3.6566),(1405,1495,0.025268,3.6563),(1405,1505,0.025551,3.656),(1405,1515,0.025834,3.6557),(1405,1525,0.026117,3.6554),(1405,1535,0.026408,3.6551),(1405,1545,0.0267,3.6548),(1405,1555,0.026992,3.6544),(1405,1565,0.027284,3.6541),(1405,1575,0.027584,3.6538),(1405,1585,0.027884,3.6534),(1405,1595,0.028185,3.6531),(1405,1605,0.028486,3.6527),(1405,1615,0.028795,3.6524),(1405,1625,0.029104,3.652),(1405,1635,0.029413,3.6517),(1405,1645,0.029724,3.6513),(1405,1655,0.030041,3.6509),(1405,1665,0.030359,3.6506),(1405,1675,0.030677,3.6502),(1405,1685,0.030996,3.6498),(1405,1695,0.031322,3.6494),(1405,1705,0.031649,3.649),(1405,1715,0.031975,3.6486),(1405,1725,0.032303,3.6482),(1405,1735,0.032638,3.6478),(1405,1745,0.032973,3.6474),(1405,1755,0.033308,3.647),(1405,1765,0.033645,3.6465),(1405,1775,0.033988,3.6461),(1405,1785,0.034332,3.6457),(1405,1795,0.034675,3.6452),(1405,1805,0.035021,3.6448),(1405,1815,0.035373,3.6443),(1405,1825,0.035725,3.6439),(1405,1835,0.036077,3.6434),(1405,1845,0.036431,3.6429),(1405,1855,0.036791,3.6425),(1405,1865,0.037151,3.642),(1405,1875,0.037511,3.6415),(1405,1885,0.037874,3.641),(1405,1895,0.038242,3.6405),(1405,1905,0.03861,3.64),(1405,1915,0.038978,3.6395),(1405,1925,0.039349,3.639),(1405,1935,0.039725,3.6385),(1405,1945,0.0401,3.6379),(1405,1955,0.040476,3.6374),(1405,1965,0.040855,3.6369),(1405,1975,0.041238,3.6363),(1405,1985,0.041621,3.6358),(1405,1995,0.042004,3.6352),(1405,2005,0.04239,3.6346),(1405,2015,0.04278,3.6341),(1405,2025,0.04317,3.6335),(1405,2035,0.04356,3.6329),(1405,2045,0.043953,3.6323),(1405,2055,0.04435,3.6317),(1405,2065,0.044746,3.6311),(1405,2075,0.045142,3.6305),(1405,2085,0.045542,3.6299),(1405,2095,0.045944,3.6292),(1405,2105,0.046346,3.6286),(1405,2115,0.046748,3.6279),(1405,2125,0.047153,3.6273),(1405,2135,0.047561,3.6267),(1405,2145,0.047968,3.626),(1405,2155,0.048375,3.6253),(1405,2165,0.048786,3.6246),(1405,2175,0.049198,3.624),(1405,2185,0.04961,3.6233),(1405,2195,0.050022,3.6226),(1405,2205,0.050437,3.6219),(1405,2215,0.050853,3.6212),(1405,2225,0.051269,3.6204),(1405,2235,0.051685,3.6197),(1405,2245,0.052103,3.619),(1405,2255,0.052522,3.6182),(1405,2265,0.052941,3.6175),(1405,2275,0.05336,3.6167),(1405,2285,0.053781,3.6159),(1405,2295,0.054202,3.6152),(1405,2305,0.054623,3.6144),(1405,2315,0.055044,3.6136),(1405,2325,0.055467,3.6128),(1405,2335,0.055889,3.612),(1405,2345,0.056312,3.6112),(1405,2355,0.056734,3.6103),(1405,2365,0.057157,3.6095),(1405,2375,0.05758,3.6087),(1405,2385,0.058002,3.6078),(1405,2395,0.058425,3.607),(1405,2405,0.058847,3.6061),(1405,2415,0.059269,3.6053),(1405,2425,0.05969,3.6044),(1405,2435,0.060112,3.6035),(1405,2445,0.060531,3.6026),(1405,2455,0.060951,3.6017),(1405,2465,0.06137,3.6008),(1405,2475,0.061789,3.5999),(1405,2485,0.062205,3.599),(1405,2495,0.062621,3.598),(1405,2505,0.063037,3.5971),(1405,2515,0.063453,3.5961),(1405,2525,0.063864,3.5952),(1405,2535,0.064275,3.5942),(1405,2545,0.064687,3.5932),(1405,2555,0.065097,3.5923),(1405,2565,0.065502,3.5913),(1405,2575,0.065907,3.5903),(1405,2585,0.066312,3.5893),(1405,2595,0.066716,3.5883),(1405,2605,0.067114,3.5872),(1405,2615,0.067511,3.5862),(1405,2625,0.067908,3.5852),(1405,2635,0.068304,3.5841),(1405,2645,0.068692,3.5831),(1405,2655,0.069079,3.582),(1405,2665,0.069467,3.581),(1405,2675,0.069853,3.5799),(1405,2685,0.07023,3.5788),(1405,2695,0.070606,3.5777),(1405,2705,0.070983,3.5766),(1405,2715,0.071357,3.5755),(1405,2725,0.07172,3.5744),(1405,2735,0.072084,3.5733),(1405,2745,0.072448,3.5722),(1405,2755,0.072808,3.571),(1405,2765,0.073157,3.5699),(1405,2775,0.073507,3.5688),(1405,2785,0.073856,3.5676),(1405,2795,0.0742,3.5664),(1405,2805,0.074533,3.5653),(1405,2815,0.074866,3.5641),(1405,2825,0.075199,3.5629),(1405,2835,0.075525,3.5617),(1405,2845,0.07584,3.5605),(1405,2855,0.076154,3.5593),(1405,2865,0.076468,3.5581),(1405,2875,0.076775,3.5569),(1405,2885,0.077069,3.5557),(1405,2895,0.077363,3.5545),(1405,2905,0.077656,3.5532),(1405,2915,0.077941,3.552),(1405,2925,0.078212,3.5508),(1405,2935,0.078483,3.5495),(1405,2945,0.078755,3.5483),(1405,2955,0.079015,3.547),(1405,2965,0.079262,3.5457),(1405,2975,0.079508,3.5445),(1405,2985,0.079755,3.5432),(1405,2995,0.079989,3.5419),(1405,3005,0.080208,3.5406),(1405,3015,0.080428,3.5393),(1405,3025,0.080648,3.538),(1405,3035,0.080853,3.5367),(1405,3045,0.081043,3.5355),(1405,3055,0.081234,3.5341),(1405,3065,0.081425,3.5328),(1405,3075,0.081599,3.5315),(1405,3085,0.081758,3.5302),(1405,3095,0.081918,3.5289),(1405,3105,0.082078,3.5276),(1405,3115,0.082218,3.5262),(1405,3125,0.082344,3.5249),(1405,3135,0.082471,3.5236),(1405,3145,0.082597,3.5222),(1405,3155,0.0827,3.5209),(1405,3165,0.082791,3.5196),(1405,3175,0.082882,3.5182),(1405,3185,0.082973,3.5169),(1405,3195,0.083037,3.5155),(1405,3205,0.08309,3.5142),(1405,3215,0.083142,3.5129),(1405,3225,0.083195,3.5115),(1405,3235,0.083218,3.5102),(1405,3245,0.08323,3.5088),(1405,3255,0.083242,3.5075),(1405,3265,0.083254,3.5061),(1405,3275,0.083233,3.5047),(1405,3285,0.083203,3.5034),(1405,3295,0.083172,3.502),(1405,3305,0.083141,3.5007),(1405,3315,0.083074,3.4993),(1405,3325,0.082998,3.498),(1405,3335,0.082923,3.4966),(1405,3345,0.082847,3.4953),(1405,3355,0.082731,3.4939),(1405,3365,0.082608,3.4926),(1405,3375,0.082485,3.4913),(1405,3385,0.082361,3.4899),(1405,3395,0.082194,3.4886),(1405,3405,0.082021,3.4872),(1405,3415,0.081848,3.4859),(1405,3425,0.081675,3.4846),(1405,3435,0.081454,3.4832),(1405,3445,0.081228,3.4819),(1405,3455,0.081003,3.4806),(1405,3465,0.080778,3.4793),(1405,3475,0.0805,3.4779),(1405,3485,0.08022,3.4766),(1405,3495,0.07994,3.4753),(1405,3505,0.07966,3.474),(1405,3515,0.079323,3.4727),(1405,3525,0.078987,3.4714),(1405,3535,0.07865,3.4701),(1405,3545,0.078311,3.4688),(1405,3555,0.077915,3.4675),(1405,3565,0.07752,3.4662),(1405,3575,0.077124,3.465),(1405,3585,0.076724,3.4637),(1405,3595,0.076267,3.4624),(1405,3605,0.07581,3.4612),(1405,3615,0.075353,3.4599),(1405,3625,0.074889,3.4587),(1405,3635,0.074369,3.4574),(1405,3645,0.073849,3.4562),(1405,3655,0.073329,3.455),(1405,3665,0.072798,3.4537),(1405,3675,0.072213,3.4525),(1405,3685,0.071627,3.4513),(1405,3695,0.071041,3.4501),(1405,3705,0.070442,3.4489),(1405,3715,0.069789,3.4477),(1405,3725,0.069136,3.4465),(1405,3735,0.068483,3.4453),(1405,3745,0.067813,3.4442),(1405,3755,0.067091,3.443),(1405,3765,0.066368,3.4418),(1405,3775,0.065646,3.4407),(1405,3785,0.064903,3.4396),(1405,3795,0.064109,3.4384),(1405,3805,0.063316,3.4373),(1405,3815,0.062522,3.4362),(1405,3825,0.061705,3.4351),(1405,3835,0.060839,3.4339),(1405,3845,0.059973,3.4328),(1405,3855,0.059107,3.4318),(1405,3865,0.058215,3.4307),(1405,3875,0.057276,3.4296),(1405,3885,0.056337,3.4285),(1405,3895,0.055398,3.4275),(1405,3905,0.06424,3.4264),(1405,3915,0.087695,3.4253),(1405,3925,0.11115,3.4236),(1405,3935,0.1346,3.4209),(1405,3945,0.16112,3.4181),(1405,3955,0.19152,3.4154),(1405,3965,0.22191,3.4119),(1405,3975,0.25231,3.4075),(1405,3985,0.27095,3.403),(1405,3995,0.27686,3.3985),(1405,4005,0.28276,3.394),(1405,4015,0.28867,3.3893),(1405,4025,0.29423,3.3846),(1405,4035,0.29976,3.3799),(1405,4045,0.30529,3.3748),(1405,4055,0.31029,3.3698),(1405,4065,0.31509,3.3648),(1405,4075,0.3199,3.3593),(1405,4085,0.32418,3.3539),(1405,4095,0.32804,3.3485),(1405,4105,0.3319,3.3428),(1405,4115,0.32295,3.337),(1405,4125,0.29276,3.3312),(1405,4135,0.26258,3.3267),(1405,4145,0.23138,3.3226),(1405,4155,0.19611,3.3184),(1405,4165,0.16084,3.3154),(1405,4175,0.12753,3.3131),(1405,4185,0.19121,3.3108),(1405,4195,0.25488,3.3069),(1405,4205,0.31856,3.3008),(1405,4215,0.31716,3.2948),(1405,4225,0.30352,3.289),(1405,4235,0.28988,3.2837),(1405,4245,0.26778,3.2785),(1405,4255,0.24138,3.2734),(1405,4265,0.21499,3.2699),(1405,4275,0.17903,3.2663),(1405,4285,0.13293,3.2627),(1405,4295,0.086834,3.2615),(1405,4305,0.080317,3.2605),(1405,4315,0.16318,3.2595),(1405,4325,0.24604,3.2544),(1405,4335,0.3194,3.2478),(1405,4345,0.32838,3.2411),(1405,4355,0.33736,3.2345),(1405,4365,0.34634,3.2278),(1405,4375,0.34412,3.2211),(1405,4385,0.34132,3.2144),(1405,4395,0.33852,3.2079),(1405,4405,0.29113,3.2014),(1405,4415,0.23058,3.1956),(1405,4425,0.17004,3.1928),(1405,4435,0.14981,3.1899),(1405,4445,0.15712,3.1871),(1405,4455,0.16443,3.1842),(1405,4465,0.2051,3.1814),(1405,4475,0.29265,3.1785),(1405,4485,0.38019,3.1715),(1405,4495,0.45069,3.1635),(1405,4505,0.46649,3.1556),(1405,4515,0.4823,3.1471),(1405,4525,0.49689,3.1381),(1405,4535,0.49232,3.1292),(1405,4545,0.48775,3.1205),(1405,4555,0.48317,3.1121),(1405,4565,0.35678,3.1037),(1405,4575,0.21396,3.0976),(1405,4585,0.071134,3.0969),(1405,4595,0.066998,3.0963),(1405,4605,0.12146,3.0952),(1405,4615,0.17592,3.091),(1405,4625,0.2337,3.0867),(1405,4635,0.29448,3.0825),(1405,4645,0.35526,3.0753),(1405,4655,0.41345,3.0679),(1405,4665,0.46673,3.0606),(1405,4675,0.52001,3.0517),(1405,4685,0.54506,3.0423),(1405,4695,0.43062,3.0329),(1405,4705,0.31618,3.0269),(1405,4715,0.20174,3.0234),(1405,4725,0.26765,3.0198),(1405,4735,0.33536,3.0145),(1405,4745,0.40307,3.0067),(1405,4755,0.49375,2.9988),(1405,4765,0.58975,2.9902),(1405,4775,0.68576,2.9788),(1405,4785,0.73575,2.9673),(1405,4795,0.75914,2.9559),(1405,4805,0.78253,2.945),(1405,4815,0.76111,2.9341),(1405,4825,0.68612,2.9233),(1405,4835,0.61113,2.916),(1405,4845,0.52614,2.9092),(1405,4855,0.41505,2.9025),(1405,4865,0.30397,2.8976),(1405,4875,0.22247,2.8935),(1405,4885,0.41017,2.8894),(1405,4895,0.59787,2.8802),(1405,4905,0.78556,2.866),(1405,4915,0.7876,2.8518),(1405,4925,0.77367,2.838),(1405,4935,0.75974,2.825),(1405,4945,0.69543,2.8119),(1405,4955,0.61366,2.7996),(1405,4965,0.53189,2.791),(1405,4975,0.4145,2.7823),(1405,4985,0.26962,2.7737),(1405,4995,0.12473,2.7728),(1405,5005,0.12175,2.7721),(1405,5015,0.34437,2.7714),(1405,5025,0.56699,2.7623),(1405,5035,0.76375,2.7511),(1405,5045,0.862,2.7399),(1405,5055,0.96025,2.7267),(1405,5065,1.0563,2.7122),(1405,5075,1.0814,2.6978),(1405,5085,1.1064,2.6836),(1405,5095,1.1315,2.6695),(1405,5105,0.99798,2.6555),(1405,5115,0.83684,2.6432),(1405,5125,0.6757,2.6361),(1405,5135,0.57422,2.6289),(1405,5145,0.5017,2.6218),(1405,5155,0.42917,2.6152),(1405,5165,0.50302,2.6087),(1405,5175,0.72617,2.6021),(1405,5185,0.94932,2.5868),(1405,5195,1.1104,2.5705),(1405,5205,1.1375,2.5542),(1405,5215,1.1646,2.5382),(1405,5225,1.1851,2.5223),(1405,5235,1.1644,2.5064),(1405,5245,1.1437,2.4918),(1405,5255,1.123,2.4782),(1405,5265,0.7849,2.4646),(1405,5275,0.43374,2.456),(1405,5285,0.08259,2.4557),(1405,5295,0.16495,2.4555),(1405,5305,0.36805,2.4528),(1405,5315,0.57114,2.4399),(1405,5325,0.73516,2.4269),(1405,5335,0.87356,2.4139),(1405,5345,1.012,2.3975),(1405,5355,1.1169,2.3811),(1405,5365,1.1765,2.3648),(1405,5375,1.2362,2.3488),(1405,5385,1.209,2.3328),(1405,5395,0.91766,2.3169),(1405,5405,0.62632,2.3088),(1405,5415,0.35704,2.3048),(1405,5425,0.38404,2.3007),(1405,5435,0.41104,2.2935),(1405,5445,0.43804,2.2828),(1405,5455,0.53247,2.272),(1405,5465,0.63515,2.2591),(1405,5475,0.73782,2.2411),(1405,5485,0.78627,2.223),(1405,5495,0.81286,2.2049),(1405,5505,0.83946,2.1859),(1405,5515,0.86743,2.1668),(1405,5525,0.89658,2.1478),(1405,5535,0.92573,2.1279),(1405,5545,0.95513,2.108),(1405,5555,0.98497,2.0881),(1405,5565,1.0148,2.0675),(1405,5575,1.0447,2.0466),(1405,5585,1.0745,2.0257),(1405,5595,1.1044,2.0046),(1405,5605,1.1343,1.9832),(1405,5615,1.1639,1.9618),(1405,5625,1.1935,1.9402),(1405,5635,1.223,1.9183),(1405,5645,1.2521,1.8965),(1405,5655,1.281,1.8745),(1405,5665,1.31,1.8523),(1405,5675,1.3384,1.8301),(1405,5685,1.3665,1.8079),(1405,5695,1.3946,1.7857),(1405,5705,1.4222,1.7635),(1405,5715,1.4492,1.7413),(1405,5725,1.4762,1.7191),(1405,5735,1.5029,1.6969),(1405,5745,1.5287,1.6746),(1405,5755,1.5544,1.6525),(1405,5765,1.5801,1.6303),(1405,5775,1.6045,1.6082),(1405,5785,1.629,1.5861),(1405,5795,1.6534,1.5642),(1405,5805,1.6765,1.5423),(1405,5815,1.6996,1.5205),(1405,5825,1.7226,1.4988),(1405,5835,1.7445,1.4772),(1405,5845,1.7661,1.4556),(1405,5855,1.7877,1.4342),(1405,5865,1.8085,1.4129),(1405,5875,1.8287,1.3915),(1405,5885,1.8488,1.3704),(1405,5895,1.8684,1.3493),(1405,5905,1.8872,1.3282),(1405,5915,1.906,1.3074),(1405,5925,1.9245,1.2866),(1405,5935,1.9419,1.2658),(1405,5945,1.9594,1.2452),(1405,5955,1.9768,1.2247),(1405,5965,1.9936,1.2043),(1405,5975,2.0103,1.1839),(1405,5985,2.0271,1.1637),(1405,5995,1.552,1.1435),(1405,6005,0.99772,1.1281),(1405,6015,0.44348,1.1255),(1405,6025,0.41176,1.123),(1405,6035,0.62238,1.1194),(1405,6045,0.83301,1.1056),(1405,6055,0.98858,1.0918),(1405,6065,1.0902,1.078),(1405,6075,1.1918,1.0598),(1405,6085,1.2622,1.0412),(1405,6095,1.2681,1.0227),(1405,6105,1.2741,1.0039),(1405,6115,1.28,0.98508),(1405,6125,1.2858,0.96625),(1405,6135,1.2915,0.94735),(1405,6145,1.2972,0.92838),(1405,6155,1.3025,0.90941),(1405,6165,1.3079,0.89033),(1405,6175,1.3132,0.8711),(1405,6185,1.3183,0.85186),(1405,6195,1.3233,0.8326),(1405,6205,1.3283,0.81324),(1405,6215,1.3332,0.79389),(1405,6225,1.3378,0.77454),(1405,6235,1.3425,0.75509),(1405,6245,1.347,0.73564),(1405,6255,1.3514,0.71619),(1405,6265,1.3557,0.69657),(1405,6275,1.36,0.67692),(1405,6285,1.364,0.65726),(1405,6295,1.3679,0.63747),(1405,6305,1.3718,0.61761),(1405,6315,1.3754,0.59774),(1405,6325,1.3789,0.57786),(1405,6335,1.3825,0.55797),(1405,6345,1.3857,0.53807),(1405,6355,1.3888,0.51816),(1405,6365,1.392,0.49821),(1405,6375,1.3949,0.47825),(1405,6385,1.3976,0.45827),(1405,6395,1.4004,0.43811),(1405,6405,1.4029,0.41794),(1405,6415,1.4053,0.39778),(1405,6425,1.4077,0.37753),(1405,6435,1.4099,0.35728),(1405,6445,1.412,0.33704),(1405,6455,1.414,0.31684),(1405,6465,1.416,0.29667),(1405,6475,1.4176,0.27649),(1405,6485,1.4193,0.25627),(1405,6495,1.4209,0.23602),(1405,6505,1.4222,0.21577),(1405,6515,1.4234,0.19546),(1405,6525,1.4247,0.17507),(1405,6535,1.4256,0.15468),(1405,6545,1.4265,0.13429),(1405,6555,1.4273,0.11392),(1405,6565,1.4279,0.09355),(1405,6575,1.4283,0.07318),(1405,6585,1.4287,0.052835),(1405,6595,1.2154,0.032489),(1405,6605,0.76588,0.012144),(1405,6615,0.3164,0.00977),(1405,6625,0.000431,0.009705),(1405,6635,0.000434,0.00964),(1405,6645,0.000436,0.009616),(1405,6655,0.000439,0.009608),(1405,6665,0.000441,0.0096),(1405,6675,0.000443,0.009592),(1405,6685,0.000446,0.009585),(1405,6695,0.000448,0.009577),(1405,6705,0.00045,0.009569),(1405,6715,0.000452,0.009562),(1405,6725,0.000455,0.009554),(1405,6735,0.000457,0.009546),(1405,6745,0.000459,0.009538),(1405,6755,0.000461,0.009531),(1405,6765,0.000463,0.009523),(1405,6775,0.000465,0.009515),(1405,6785,0.000467,0.009507),(1405,6795,0.000469,0.009499),(1405,6805,0.000471,0.009491),(1405,6815,0.000473,0.009483),(1405,6825,0.000475,0.009475),(1405,6835,0.000477,0.009468),(1405,6845,0.000479,0.00946),(1405,6855,0.000481,0.009452),(1405,6865,0.000483,0.009444),(1405,6875,0.000484,0.009436),(1405,6885,0.000486,0.009428),(1405,6895,0.000488,0.00942),(1405,6905,0.00049,0.009412),(1405,6915,0.000491,0.009404),(1405,6925,0.000493,0.009396),(1405,6935,0.000495,0.009388),(1405,6945,0.000497,0.00938),(1405,6955,0.000498,0.009372),(1405,6965,0.0005,0.009364),(1405,6975,0.000501,0.009355),(1405,6985,0.000503,0.009347),(1415,5,5.7e-05,3.674),(1415,15,0.00017,3.674),(1415,25,0.000284,3.674),(1415,35,0.000398,3.6739),(1415,45,0.000511,3.6739),(1415,55,0.000625,3.6739),(1415,65,0.000739,3.6739),(1415,75,0.000853,3.6739),(1415,85,0.000967,3.6739),(1415,95,0.001081,3.6739),(1415,105,0.001195,3.6739),(1415,115,0.00131,3.6739),(1415,125,0.001425,3.6739),(1415,135,0.001539,3.6739),(1415,145,0.001654,3.6738),(1415,155,0.00177,3.6738),(1415,165,0.001886,3.6738),(1415,175,0.002001,3.6738),(1415,185,0.002117,3.6738),(1415,195,0.002233,3.6737),(1415,205,0.00235,3.6737),(1415,215,0.002466,3.6737),(1415,225,0.002584,3.6737),(1415,235,0.002701,3.6736),(1415,245,0.002819,3.6736),(1415,255,0.002937,3.6736),(1415,265,0.003055,3.6736),(1415,275,0.003174,3.6735),(1415,285,0.003293,3.6735),(1415,295,0.003413,3.6735),(1415,305,0.003533,3.6734),(1415,315,0.003654,3.6734),(1415,325,0.003775,3.6733),(1415,335,0.003896,3.6733),(1415,345,0.004018,3.6733),(1415,355,0.004141,3.6732),(1415,365,0.004264,3.6732),(1415,375,0.004387,3.6731),(1415,385,0.004511,3.6731),(1415,395,0.004636,3.673),(1415,405,0.004762,3.673),(1415,415,0.004887,3.6729),(1415,425,0.005014,3.6729),(1415,435,0.005141,3.6728),(1415,445,0.005269,3.6728),(1415,455,0.005396,3.6727),(1415,465,0.005526,3.6727),(1415,475,0.005656,3.6726),(1415,485,0.005786,3.6726),(1415,495,0.005916,3.6725),(1415,505,0.00605,3.6724),(1415,515,0.006182,3.6724),(1415,525,0.006315,3.6723),(1415,535,0.006449,3.6723),(1415,545,0.006585,3.6722),(1415,555,0.006721,3.6721),(1415,565,0.006857,3.672),(1415,575,0.006994,3.672),(1415,585,0.007133,3.6719),(1415,595,0.007273,3.6718),(1415,605,0.007413,3.6718),(1415,615,0.007553,3.6717),(1415,625,0.007696,3.6716),(1415,635,0.007839,3.6715),(1415,645,0.007982,3.6714),(1415,655,0.008126,3.6714),(1415,665,0.008273,3.6713),(1415,675,0.00842,3.6712),(1415,685,0.008567,3.6711),(1415,695,0.008715,3.671),(1415,705,0.008866,3.6709),(1415,715,0.009018,3.6708),(1415,725,0.009169,3.6707),(1415,735,0.009321,3.6706),(1415,745,0.009477,3.6705),(1415,755,0.009633,3.6704),(1415,765,0.009788,3.6703),(1415,775,0.009945,3.6702),(1415,785,0.010105,3.6701),(1415,795,0.010266,3.67),(1415,805,0.010426,3.6699),(1415,815,0.010588,3.6698),(1415,825,0.010753,3.6697),(1415,835,0.010918,3.6696),(1415,845,0.011083,3.6694),(1415,855,0.01125,3.6693),(1415,865,0.011421,3.6692),(1415,875,0.011591,3.6691),(1415,885,0.011762,3.669),(1415,895,0.011934,3.6688),(1415,905,0.01211,3.6687),(1415,915,0.012286,3.6686),(1415,925,0.012462,3.6684),(1415,935,0.01264,3.6683),(1415,945,0.012822,3.6682),(1415,955,0.013003,3.668),(1415,965,0.013185,3.6679),(1415,975,0.013369,3.6678),(1415,985,0.013556,3.6676),(1415,995,0.013744,3.6675),(1415,1005,0.013931,3.6673),(1415,1015,0.014121,3.6672),(1415,1025,0.014315,3.667),(1415,1035,0.014509,3.6669),(1415,1045,0.014702,3.6667),(1415,1055,0.014899,3.6665),(1415,1065,0.015099,3.6664),(1415,1075,0.015299,3.6662),(1415,1085,0.015499,3.666),(1415,1095,0.015703,3.6659),(1415,1105,0.01591,3.6657),(1415,1115,0.016117,3.6655),(1415,1125,0.016323,3.6653),(1415,1135,0.016534,3.6652),(1415,1145,0.016748,3.665),(1415,1155,0.016962,3.6648),(1415,1165,0.017175,3.6646),(1415,1175,0.017394,3.6644),(1415,1185,0.017614,3.6642),(1415,1195,0.017835,3.664),(1415,1205,0.018056,3.6638),(1415,1215,0.018282,3.6636),(1415,1225,0.01851,3.6634),(1415,1235,0.018738,3.6632),(1415,1245,0.018966,3.663),(1415,1255,0.019199,3.6628),(1415,1265,0.019435,3.6625),(1415,1275,0.019671,3.6623),(1415,1285,0.019906,3.6621),(1415,1295,0.020148,3.6619),(1415,1305,0.020392,3.6616),(1415,1315,0.020635,3.6614),(1415,1325,0.020879,3.6612),(1415,1335,0.021129,3.6609),(1415,1345,0.02138,3.6607),(1415,1355,0.021632,3.6604),(1415,1365,0.021883,3.6602),(1415,1375,0.022142,3.6599),(1415,1385,0.022402,3.6597),(1415,1395,0.022661,3.6594),(1415,1405,0.022921,3.6592),(1415,1415,0.023188,3.6589),(1415,1425,0.023456,3.6586),(1415,1435,0.023724,3.6583),(1415,1445,0.023992,3.6581),(1415,1455,0.024267,3.6578),(1415,1465,0.024544,3.6575),(1415,1475,0.02482,3.6572),(1415,1485,0.025097,3.6569),(1415,1495,0.025381,3.6566),(1415,1505,0.025666,3.6563),(1415,1515,0.025951,3.656),(1415,1525,0.026236,3.6557),(1415,1535,0.02653,3.6554),(1415,1545,0.026824,3.6551),(1415,1555,0.027117,3.6547),(1415,1565,0.027412,3.6544),(1415,1575,0.027714,3.6541),(1415,1585,0.028017,3.6537),(1415,1595,0.028319,3.6534),(1415,1605,0.028622,3.653),(1415,1615,0.028934,3.6527),(1415,1625,0.029245,3.6524),(1415,1635,0.029556,3.652),(1415,1645,0.029869,3.6516),(1415,1655,0.030189,3.6513),(1415,1665,0.030509,3.6509),(1415,1675,0.03083,3.6505),(1415,1685,0.031151,3.6501),(1415,1695,0.03148,3.6497),(1415,1705,0.031809,3.6493),(1415,1715,0.032138,3.6489),(1415,1725,0.032469,3.6485),(1415,1735,0.032806,3.6481),(1415,1745,0.033144,3.6477),(1415,1755,0.033481,3.6473),(1415,1765,0.033821,3.6469),(1415,1775,0.034167,3.6465),(1415,1785,0.034514,3.646),(1415,1795,0.03486,3.6456),(1415,1805,0.035208,3.6451),(1415,1815,0.035563,3.6447),(1415,1825,0.035918,3.6442),(1415,1835,0.036273,3.6438),(1415,1845,0.03663,3.6433),(1415,1855,0.036993,3.6428),(1415,1865,0.037356,3.6424),(1415,1875,0.037719,3.6419),(1415,1885,0.038086,3.6414),(1415,1895,0.038457,3.6409),(1415,1905,0.038828,3.6404),(1415,1915,0.039199,3.6399),(1415,1925,0.039573,3.6394),(1415,1935,0.039952,3.6388),(1415,1945,0.040331,3.6383),(1415,1955,0.04071,3.6378),(1415,1965,0.041092,3.6372),(1415,1975,0.041479,3.6367),(1415,1985,0.041865,3.6361),(1415,1995,0.042252,3.6356),(1415,2005,0.042642,3.635),(1415,2015,0.043035,3.6345),(1415,2025,0.043429,3.6339),(1415,2035,0.043823,3.6333),(1415,2045,0.04422,3.6327),(1415,2055,0.04462,3.6321),(1415,2065,0.04502,3.6315),(1415,2075,0.04542,3.6309),(1415,2085,0.045823,3.6303),(1415,2095,0.046229,3.6296),(1415,2105,0.046635,3.629),(1415,2115,0.047041,3.6284),(1415,2125,0.04745,3.6277),(1415,2135,0.047862,3.6271),(1415,2145,0.048273,3.6264),(1415,2155,0.048684,3.6257),(1415,2165,0.049099,3.625),(1415,2175,0.049515,3.6244),(1415,2185,0.049931,3.6237),(1415,2195,0.050348,3.623),(1415,2205,0.050767,3.6223),(1415,2215,0.051187,3.6216),(1415,2225,0.051607,3.6208),(1415,2235,0.052027,3.6201),(1415,2245,0.05245,3.6194),(1415,2255,0.052873,3.6186),(1415,2265,0.053296,3.6179),(1415,2275,0.05372,3.6171),(1415,2285,0.054145,3.6164),(1415,2295,0.05457,3.6156),(1415,2305,0.054996,3.6148),(1415,2315,0.055422,3.614),(1415,2325,0.055848,3.6132),(1415,2335,0.056275,3.6124),(1415,2345,0.056702,3.6116),(1415,2355,0.057129,3.6108),(1415,2365,0.057557,3.6099),(1415,2375,0.057984,3.6091),(1415,2385,0.058411,3.6083),(1415,2395,0.058839,3.6074),(1415,2405,0.059265,3.6066),(1415,2415,0.059692,3.6057),(1415,2425,0.060118,3.6048),(1415,2435,0.060544,3.6039),(1415,2445,0.060968,3.603),(1415,2455,0.061392,3.6021),(1415,2465,0.061816,3.6012),(1415,2475,0.062241,3.6003),(1415,2485,0.062661,3.5994),(1415,2495,0.063082,3.5985),(1415,2505,0.063502,3.5975),(1415,2515,0.063923,3.5965),(1415,2525,0.064339,3.5956),(1415,2535,0.064755,3.5946),(1415,2545,0.06517,3.5937),(1415,2555,0.065586,3.5927),(1415,2565,0.065995,3.5917),(1415,2575,0.066405,3.5907),(1415,2585,0.066815,3.5897),(1415,2595,0.067224,3.5887),(1415,2605,0.067625,3.5876),(1415,2615,0.068027,3.5866),(1415,2625,0.068429,3.5856),(1415,2635,0.068829,3.5845),(1415,2645,0.069222,3.5835),(1415,2655,0.069614,3.5824),(1415,2665,0.070006,3.5813),(1415,2675,0.070397,3.5803),(1415,2685,0.070778,3.5792),(1415,2695,0.071159,3.5781),(1415,2705,0.07154,3.577),(1415,2715,0.071918,3.5759),(1415,2725,0.072286,3.5748),(1415,2735,0.072654,3.5737),(1415,2745,0.073023,3.5725),(1415,2755,0.073387,3.5714),(1415,2765,0.07374,3.5702),(1415,2775,0.074094,3.5691),(1415,2785,0.074447,3.5679),(1415,2795,0.074796,3.5668),(1415,2805,0.075133,3.5656),(1415,2815,0.075469,3.5644),(1415,2825,0.075806,3.5632),(1415,2835,0.076137,3.562),(1415,2845,0.076455,3.5608),(1415,2855,0.076773,3.5596),(1415,2865,0.077091,3.5584),(1415,2875,0.077402,3.5572),(1415,2885,0.077699,3.556),(1415,2895,0.077996,3.5548),(1415,2905,0.078294,3.5535),(1415,2915,0.078582,3.5523),(1415,2925,0.078856,3.551),(1415,2935,0.079131,3.5498),(1415,2945,0.079406,3.5485),(1415,2955,0.079669,3.5472),(1415,2965,0.079919,3.546),(1415,2975,0.080168,3.5447),(1415,2985,0.080418,3.5434),(1415,2995,0.080655,3.5421),(1415,3005,0.080877,3.5409),(1415,3015,0.0811,3.5396),(1415,3025,0.081322,3.5383),(1415,3035,0.081529,3.5369),(1415,3045,0.081723,3.5356),(1415,3055,0.081916,3.5343),(1415,3065,0.08211,3.533),(1415,3075,0.082285,3.5317),(1415,3085,0.082447,3.5304),(1415,3095,0.082609,3.529),(1415,3105,0.082771,3.5277),(1415,3115,0.082912,3.5264),(1415,3125,0.08304,3.525),(1415,3135,0.083168,3.5237),(1415,3145,0.083296,3.5224),(1415,3155,0.083401,3.521),(1415,3165,0.083493,3.5197),(1415,3175,0.083585,3.5183),(1415,3185,0.083677,3.517),(1415,3195,0.083743,3.5156),(1415,3205,0.083796,3.5143),(1415,3215,0.08385,3.5129),(1415,3225,0.083903,3.5115),(1415,3235,0.083927,3.5102),(1415,3245,0.08394,3.5088),(1415,3255,0.083953,3.5075),(1415,3265,0.083965,3.5061),(1415,3275,0.083945,3.5047),(1415,3285,0.083914,3.5034),(1415,3295,0.083884,3.502),(1415,3305,0.083853,3.5006),(1415,3315,0.083786,3.4993),(1415,3325,0.08371,3.4979),(1415,3335,0.083634,3.4966),(1415,3345,0.083558,3.4952),(1415,3355,0.083442,3.4938),(1415,3365,0.083318,3.4925),(1415,3375,0.083195,3.4911),(1415,3385,0.083071,3.4898),(1415,3395,0.082903,3.4884),(1415,3405,0.082729,3.4871),(1415,3415,0.082555,3.4857),(1415,3425,0.082381,3.4844),(1415,3435,0.082158,3.483),(1415,3445,0.081932,3.4817),(1415,3455,0.081706,3.4803),(1415,3465,0.081479,3.479),(1415,3475,0.0812,3.4777),(1415,3485,0.080919,3.4763),(1415,3495,0.080637,3.475),(1415,3505,0.080356,3.4737),(1415,3515,0.080017,3.4724),(1415,3525,0.079679,3.4711),(1415,3535,0.079341,3.4698),(1415,3545,0.079,3.4685),(1415,3555,0.078603,3.4671),(1415,3565,0.078205,3.4658),(1415,3575,0.077808,3.4646),(1415,3585,0.077406,3.4633),(1415,3595,0.076947,3.462),(1415,3605,0.076488,3.4607),(1415,3615,0.07603,3.4594),(1415,3625,0.075563,3.4582),(1415,3635,0.075041,3.4569),(1415,3645,0.074519,3.4557),(1415,3655,0.073997,3.4544),(1415,3665,0.073465,3.4532),(1415,3675,0.072877,3.4519),(1415,3685,0.07229,3.4507),(1415,3695,0.071702,3.4495),(1415,3705,0.071101,3.4483),(1415,3715,0.070447,3.4471),(1415,3725,0.069792,3.4459),(1415,3735,0.069137,3.4447),(1415,3745,0.068465,3.4435),(1415,3755,0.067741,3.4423),(1415,3765,0.067017,3.4411),(1415,3775,0.066293,3.44),(1415,3785,0.065549,3.4388),(1415,3795,0.064754,3.4376),(1415,3805,0.06396,3.4365),(1415,3815,0.063165,3.4354),(1415,3825,0.062347,3.4342),(1415,3835,0.06148,3.4331),(1415,3845,0.060613,3.432),(1415,3855,0.059746,3.4309),(1415,3865,0.058853,3.4298),(1415,3875,0.057914,3.4287),(1415,3885,0.056975,3.4276),(1415,3895,0.056036,3.4265),(1415,3905,0.064977,3.4254),(1415,3915,0.088678,3.4243),(1415,3925,0.11238,3.4226),(1415,3935,0.13608,3.4198),(1415,3945,0.16283,3.417),(1415,3955,0.19344,3.4143),(1415,3965,0.22406,3.4107),(1415,3975,0.25468,3.4062),(1415,3985,0.27343,3.4017),(1415,3995,0.27936,3.3971),(1415,4005,0.28528,3.3925),(1415,4015,0.29121,3.3878),(1415,4025,0.29683,3.383),(1415,4035,0.30243,3.3782),(1415,4045,0.30802,3.3731),(1415,4055,0.3131,3.368),(1415,4065,0.31799,3.3629),(1415,4075,0.32289,3.3574),(1415,4085,0.32725,3.3519),(1415,4095,0.33118,3.3464),(1415,4105,0.33511,3.3406),(1415,4115,0.32609,3.3347),(1415,4125,0.29561,3.3289),(1415,4135,0.26513,3.3244),(1415,4145,0.23364,3.3202),(1415,4155,0.19803,3.316),(1415,4165,0.16243,3.3129),(1415,4175,0.1288,3.3106),(1415,4185,0.19319,3.3083),(1415,4195,0.25758,3.3043),(1415,4205,0.32197,3.2982),(1415,4215,0.32058,3.2921),(1415,4225,0.3068,3.2862),(1415,4235,0.29303,3.2809),(1415,4245,0.27067,3.2756),(1415,4255,0.24395,3.2705),(1415,4265,0.21723,3.267),(1415,4275,0.18088,3.2634),(1415,4285,0.13431,3.2599),(1415,4295,0.087734,3.2587),(1415,4305,0.081257,3.2577),(1415,4315,0.16532,3.2568),(1415,4325,0.24938,3.2519),(1415,4335,0.32377,3.2455),(1415,4345,0.33268,3.239),(1415,4355,0.34158,3.2325),(1415,4365,0.35049,3.2258),(1415,4375,0.3482,3.2192),(1415,4385,0.34533,3.2125),(1415,4395,0.34246,3.2059),(1415,4405,0.29451,3.1992),(1415,4415,0.23327,3.1933),(1415,4425,0.17203,3.1902),(1415,4435,0.15149,3.1872),(1415,4445,0.15877,3.1842),(1415,4455,0.16605,3.1812),(1415,4465,0.20708,3.1783),(1415,4475,0.29554,3.1754),(1415,4485,0.384,3.1682),(1415,4495,0.45523,3.1601),(1415,4505,0.47119,3.1521),(1415,4515,0.48716,3.1434),(1415,4525,0.50189,3.1343),(1415,4535,0.49716,3.1253),(1415,4545,0.49243,3.1165),(1415,4555,0.4877,3.1081),(1415,4565,0.36014,3.0996),(1415,4575,0.21602,3.0934),(1415,4585,0.071893,3.0927),(1415,4595,0.067825,3.092),(1415,4605,0.12293,3.0909),(1415,4615,0.17804,3.0866),(1415,4625,0.2364,3.0822),(1415,4635,0.2977,3.0778),(1415,4645,0.359,3.0705),(1415,4655,0.41761,3.063),(1415,4665,0.47113,3.0555),(1415,4675,0.52466,3.0466),(1415,4685,0.54976,3.0372),(1415,4695,0.43441,3.0278),(1415,4705,0.31906,3.0218),(1415,4715,0.20371,3.0183),(1415,4725,0.27041,3.0149),(1415,4735,0.33893,3.0096),(1415,4745,0.40746,3.0017),(1415,4755,0.4986,2.9938),(1415,4765,0.59498,2.9851),(1415,4775,0.69136,2.9737),(1415,4785,0.74127,2.9623),(1415,4795,0.76433,2.951),(1415,4805,0.78738,2.9401),(1415,4815,0.76545,2.9293),(1415,4825,0.68975,2.9184),(1415,4835,0.61405,2.9112),(1415,4845,0.52853,2.9045),(1415,4855,0.41745,2.8977),(1415,4865,0.30636,2.8928),(1415,4875,0.22502,2.8887),(1415,4885,0.41436,2.8846),(1415,4895,0.6037,2.8753),(1415,4905,0.79304,2.8611),(1415,4915,0.79497,2.847),(1415,4925,0.78078,2.8332),(1415,4935,0.76659,2.8201),(1415,4945,0.70167,2.8071),(1415,4955,0.61917,2.7948),(1415,4965,0.53666,2.7862),(1415,4975,0.41823,2.7775),(1415,4985,0.27207,2.7689),(1415,4995,0.12591,2.768),(1415,5005,0.12274,2.7673),(1415,5015,0.34688,2.7665),(1415,5025,0.57102,2.7575),(1415,5035,0.76904,2.7463),(1415,5045,0.86755,2.7352),(1415,5055,0.96605,2.7221),(1415,5065,1.0624,2.7077),(1415,5075,1.0871,2.6934),(1415,5085,1.1119,2.6792),(1415,5095,1.1367,2.6652),(1415,5105,1.0024,2.6513),(1415,5115,0.84038,2.6391),(1415,5125,0.67835,2.6319),(1415,5135,0.57678,2.6248),(1415,5145,0.50456,2.6177),(1415,5155,0.43233,2.6112),(1415,5165,0.50696,2.6047),(1415,5175,0.73139,2.5981),(1415,5185,0.95581,2.5828),(1415,5195,1.1176,2.5666),(1415,5205,1.1445,2.5504),(1415,5215,1.1713,2.5344),(1415,5225,1.1914,2.5186),(1415,5235,1.1702,2.5028),(1415,5245,1.149,2.4882),(1415,5255,1.1278,2.4747),(1415,5265,0.78831,2.4611),(1415,5275,0.4357,2.4525),(1415,5285,0.083085,2.4523),(1415,5295,0.16687,2.452),(1415,5305,0.37219,2.4493),(1415,5315,0.5775,2.4364),(1415,5325,0.74245,2.4234),(1415,5335,0.88093,2.4104),(1415,5345,1.0194,2.3941),(1415,5355,1.1241,2.3778),(1415,5365,1.1833,2.3615),(1415,5375,1.2424,2.3456),(1415,5385,1.2145,2.3297),(1415,5395,0.92171,2.3139),(1415,5405,0.62894,2.3058),(1415,5415,0.35844,2.3018),(1415,5425,0.38718,2.2978),(1415,5435,0.41592,2.2905),(1415,5445,0.44466,2.2797),(1415,5455,0.54049,2.2689),(1415,5465,0.64452,2.2558),(1415,5475,0.74854,2.2376),(1415,5485,0.79746,2.2194),(1415,5495,0.82417,2.2011),(1415,5505,0.85088,2.182),(1415,5515,0.87894,2.1628),(1415,5525,0.90818,2.1437),(1415,5535,0.93741,2.1237),(1415,5545,0.96687,2.1037),(1415,5555,0.99674,2.0836),(1415,5565,1.0266,2.0629),(1415,5575,1.0565,2.042),(1415,5585,1.0864,2.0211),(1415,5595,1.1162,1.9999),(1415,5605,1.1461,1.9784),(1415,5615,1.1756,1.957),(1415,5625,1.2051,1.9354),(1415,5635,1.2346,1.9136),(1415,5645,1.2636,1.8917),(1415,5655,1.2924,1.8698),(1415,5665,1.3213,1.8476),(1415,5675,1.3495,1.8255),(1415,5685,1.3775,1.8033),(1415,5695,1.4054,1.7812),(1415,5705,1.4329,1.759),(1415,5715,1.4597,1.7369),(1415,5725,1.4865,1.7147),(1415,5735,1.513,1.6926),(1415,5745,1.5386,1.6705),(1415,5755,1.5641,1.6484),(1415,5765,1.5896,1.6264),(1415,5775,1.6138,1.6043),(1415,5785,1.638,1.5824),(1415,5795,1.6622,1.5606),(1415,5805,1.6851,1.5388),(1415,5815,1.7079,1.5171),(1415,5825,1.7307,1.4956),(1415,5835,1.7525,1.4741),(1415,5845,1.7738,1.4527),(1415,5855,1.7952,1.4314),(1415,5865,1.8157,1.4102),(1415,5875,1.8357,1.3889),(1415,5885,1.8556,1.368),(1415,5895,1.875,1.347),(1415,5905,1.8936,1.3261),(1415,5915,1.9121,1.3054),(1415,5925,1.9304,1.2847),(1415,5935,1.9477,1.2641),(1415,5945,1.9649,1.2437),(1415,5955,1.9822,1.2233),(1415,5965,1.9987,1.203),(1415,5975,2.0153,1.1827),(1415,5985,2.0318,1.1627),(1415,5995,1.5556,1.1426),(1415,6005,1,1.1273),(1415,6015,0.44443,1.1248),(1415,6025,0.41363,1.1222),(1415,6035,0.62622,1.1187),(1415,6045,0.83881,1.1048),(1415,6055,0.99573,1.091),(1415,6065,1.0981,1.0772),(1415,6075,1.2004,1.059),(1415,6085,1.2712,1.0404),(1415,6095,1.2772,1.0219),(1415,6105,1.2832,1.0031),(1415,6115,1.2892,0.9843),(1415,6125,1.2949,0.96548),(1415,6135,1.3007,0.94657),(1415,6145,1.3064,0.92761),(1415,6155,1.3118,0.90864),(1415,6165,1.3171,0.88957),(1415,6175,1.3225,0.87035),(1415,6185,1.3276,0.85112),(1415,6195,1.3327,0.83187),(1415,6205,1.3377,0.81254),(1415,6215,1.3425,0.7932),(1415,6225,1.3472,0.77386),(1415,6235,1.3519,0.75443),(1415,6245,1.3564,0.73501),(1415,6255,1.3608,0.71558),(1415,6265,1.3652,0.69597),(1415,6275,1.3694,0.67632),(1415,6285,1.3734,0.65667),(1415,6295,1.3774,0.63688),(1415,6305,1.3813,0.61702),(1415,6315,1.3849,0.59717),(1415,6325,1.3885,0.57729),(1415,6335,1.392,0.55741),(1415,6345,1.3953,0.53753),(1415,6355,1.3984,0.51763),(1415,6365,1.4016,0.49768),(1415,6375,1.4045,0.47774),(1415,6385,1.4073,0.45777),(1415,6395,1.4101,0.43762),(1415,6405,1.4126,0.41748),(1415,6415,1.415,0.39733),(1415,6425,1.4174,0.37712),(1415,6435,1.4196,0.3569),(1415,6445,1.4217,0.33669),(1415,6455,1.4237,0.31652),(1415,6465,1.4257,0.29636),(1415,6475,1.4273,0.27621),(1415,6485,1.429,0.25601),(1415,6495,1.4306,0.23578),(1415,6505,1.4319,0.21555),(1415,6515,1.4331,0.19526),(1415,6525,1.4344,0.17489),(1415,6535,1.4353,0.15452),(1415,6545,1.4361,0.13416),(1415,6555,1.437,0.11381),(1415,6565,1.4376,0.093464),(1415,6575,1.438,0.073119),(1415,6585,1.4384,0.052799),(1415,6595,1.2236,0.03248),(1415,6605,0.77108,0.01216),(1415,6615,0.31855,0.009784),(1415,6625,0.000435,0.009714),(1415,6635,0.000438,0.009644),(1415,6645,0.00044,0.009618),(1415,6655,0.000443,0.00961),(1415,6665,0.000445,0.009602),(1415,6675,0.000447,0.009595),(1415,6685,0.00045,0.009587),(1415,6695,0.000452,0.009579),(1415,6705,0.000454,0.009572),(1415,6715,0.000457,0.009564),(1415,6725,0.000459,0.009556),(1415,6735,0.000461,0.009548),(1415,6745,0.000463,0.009541),(1415,6755,0.000465,0.009533),(1415,6765,0.000468,0.009525),(1415,6775,0.00047,0.009517),(1415,6785,0.000472,0.009509),(1415,6795,0.000474,0.009501),(1415,6805,0.000476,0.009493),(1415,6815,0.000478,0.009485),(1415,6825,0.00048,0.009477),(1415,6835,0.000481,0.00947),(1415,6845,0.000483,0.009462),(1415,6855,0.000485,0.009454),(1415,6865,0.000487,0.009446),(1415,6875,0.000489,0.009438),(1415,6885,0.000491,0.00943),(1415,6895,0.000492,0.009422),(1415,6905,0.000494,0.009414),(1415,6915,0.000496,0.009406),(1415,6925,0.000498,0.009397),(1415,6935,0.000499,0.009389),(1415,6945,0.000501,0.009381),(1415,6955,0.000502,0.009373),(1415,6965,0.000504,0.009365),(1415,6975,0.000506,0.009357),(1415,6985,0.000507,0.009349),(1425,5,5.7e-05,3.6741),(1425,15,0.000171,3.6741),(1425,25,0.000285,3.6741),(1425,35,0.000399,3.6741),(1425,45,0.000513,3.6741),(1425,55,0.000627,3.6741),(1425,65,0.000741,3.674),(1425,75,0.000855,3.674),(1425,85,0.00097,3.674),(1425,95,0.001084,3.674),(1425,105,0.001199,3.674),(1425,115,0.001313,3.674),(1425,125,0.001429,3.674),(1425,135,0.001543,3.674),(1425,145,0.001659,3.674),(1425,155,0.001775,3.6739),(1425,165,0.001891,3.6739),(1425,175,0.002006,3.6739),(1425,185,0.002123,3.6739),(1425,195,0.00224,3.6739),(1425,205,0.002356,3.6738),(1425,215,0.002473,3.6738),(1425,225,0.002591,3.6738),(1425,235,0.002709,3.6738),(1425,245,0.002827,3.6737),(1425,255,0.002945,3.6737),(1425,265,0.003064,3.6737),(1425,275,0.003183,3.6736),(1425,285,0.003302,3.6736),(1425,295,0.003422,3.6736),(1425,305,0.003543,3.6735),(1425,315,0.003664,3.6735),(1425,325,0.003785,3.6735),(1425,335,0.003906,3.6734),(1425,345,0.004029,3.6734),(1425,355,0.004152,3.6733),(1425,365,0.004276,3.6733),(1425,375,0.004399,3.6733),(1425,385,0.004524,3.6732),(1425,395,0.004649,3.6732),(1425,405,0.004775,3.6731),(1425,415,0.0049,3.6731),(1425,425,0.005028,3.673),(1425,435,0.005156,3.673),(1425,445,0.005284,3.6729),(1425,455,0.005411,3.6729),(1425,465,0.005542,3.6728),(1425,475,0.005672,3.6728),(1425,485,0.005803,3.6727),(1425,495,0.005933,3.6726),(1425,505,0.006067,3.6726),(1425,515,0.0062,3.6725),(1425,525,0.006334,3.6725),(1425,535,0.006467,3.6724),(1425,545,0.006604,3.6723),(1425,555,0.00674,3.6723),(1425,565,0.006877,3.6722),(1425,575,0.007014,3.6721),(1425,585,0.007154,3.672),(1425,595,0.007294,3.672),(1425,605,0.007434,3.6719),(1425,615,0.007575,3.6718),(1425,625,0.007718,3.6717),(1425,635,0.007862,3.6717),(1425,645,0.008006,3.6716),(1425,655,0.00815,3.6715),(1425,665,0.008298,3.6714),(1425,675,0.008445,3.6713),(1425,685,0.008593,3.6712),(1425,695,0.008742,3.6712),(1425,705,0.008894,3.6711),(1425,715,0.009045,3.671),(1425,725,0.009197,3.6709),(1425,735,0.00935,3.6708),(1425,745,0.009506,3.6707),(1425,755,0.009662,3.6706),(1425,765,0.009819,3.6705),(1425,775,0.009976,3.6704),(1425,785,0.010137,3.6703),(1425,795,0.010298,3.6702),(1425,805,0.010459,3.6701),(1425,815,0.010621,3.67),(1425,825,0.010787,3.6698),(1425,835,0.010953,3.6697),(1425,845,0.011119,3.6696),(1425,855,0.011286,3.6695),(1425,865,0.011458,3.6694),(1425,875,0.011629,3.6693),(1425,885,0.0118,3.6691),(1425,895,0.011973,3.669),(1425,905,0.01215,3.6689),(1425,915,0.012327,3.6688),(1425,925,0.012503,3.6686),(1425,935,0.012682,3.6685),(1425,945,0.012865,3.6684),(1425,955,0.013047,3.6682),(1425,965,0.013229,3.6681),(1425,975,0.013414,3.6679),(1425,985,0.013603,3.6678),(1425,995,0.013791,3.6677),(1425,1005,0.013979,3.6675),(1425,1015,0.014171,3.6674),(1425,1025,0.014365,3.6672),(1425,1035,0.014559,3.667),(1425,1045,0.014754,3.6669),(1425,1055,0.014952,3.6667),(1425,1065,0.015153,3.6666),(1425,1075,0.015354,3.6664),(1425,1085,0.015555,3.6662),(1425,1095,0.01576,3.6661),(1425,1105,0.015968,3.6659),(1425,1115,0.016175,3.6657),(1425,1125,0.016383,3.6655),(1425,1135,0.016595,3.6654),(1425,1145,0.01681,3.6652),(1425,1155,0.017025,3.665),(1425,1165,0.01724,3.6648),(1425,1175,0.017459,3.6646),(1425,1185,0.017681,3.6644),(1425,1195,0.017903,3.6642),(1425,1205,0.018125,3.664),(1425,1215,0.018352,3.6638),(1425,1225,0.018581,3.6636),(1425,1235,0.018811,3.6634),(1425,1245,0.01904,3.6632),(1425,1255,0.019275,3.663),(1425,1265,0.019512,3.6628),(1425,1275,0.019749,3.6626),(1425,1285,0.019986,3.6623),(1425,1295,0.020229,3.6621),(1425,1305,0.020474,3.6619),(1425,1315,0.020719,3.6617),(1425,1325,0.020964,3.6614),(1425,1335,0.021216,3.6612),(1425,1345,0.021469,3.6609),(1425,1355,0.021722,3.6607),(1425,1365,0.021975,3.6604),(1425,1375,0.022235,3.6602),(1425,1385,0.022496,3.6599),(1425,1395,0.022757,3.6597),(1425,1405,0.023019,3.6594),(1425,1415,0.023287,3.6592),(1425,1425,0.023557,3.6589),(1425,1435,0.023827,3.6586),(1425,1445,0.024096,3.6583),(1425,1455,0.024374,3.6581),(1425,1465,0.024652,3.6578),(1425,1475,0.02493,3.6575),(1425,1485,0.025209,3.6572),(1425,1495,0.025495,3.6569),(1425,1505,0.025782,3.6566),(1425,1515,0.026069,3.6563),(1425,1525,0.026356,3.656),(1425,1535,0.026652,3.6557),(1425,1545,0.026947,3.6554),(1425,1555,0.027243,3.655),(1425,1565,0.027539,3.6547),(1425,1575,0.027844,3.6544),(1425,1585,0.028149,3.654),(1425,1595,0.028453,3.6537),(1425,1605,0.028759,3.6534),(1425,1615,0.029072,3.653),(1425,1625,0.029386,3.6527),(1425,1635,0.0297,3.6523),(1425,1645,0.030015,3.6519),(1425,1655,0.030337,3.6516),(1425,1665,0.03066,3.6512),(1425,1675,0.030982,3.6508),(1425,1685,0.031307,3.6505),(1425,1695,0.031638,3.6501),(1425,1705,0.031969,3.6497),(1425,1715,0.032301,3.6493),(1425,1725,0.032634,3.6489),(1425,1735,0.032974,3.6485),(1425,1745,0.033315,3.6481),(1425,1755,0.033655,3.6477),(1425,1765,0.033997,3.6472),(1425,1775,0.034346,3.6468),(1425,1785,0.034695,3.6464),(1425,1795,0.035044,3.6459),(1425,1805,0.035396,3.6455),(1425,1815,0.035754,3.645),(1425,1825,0.036111,3.6446),(1425,1835,0.036469,3.6441),(1425,1845,0.036829,3.6437),(1425,1855,0.037195,3.6432),(1425,1865,0.037562,3.6427),(1425,1875,0.037928,3.6422),(1425,1885,0.038297,3.6417),(1425,1895,0.038671,3.6413),(1425,1905,0.039046,3.6408),(1425,1915,0.03942,3.6402),(1425,1925,0.039797,3.6397),(1425,1935,0.04018,3.6392),(1425,1945,0.040562,3.6387),(1425,1955,0.040944,3.6382),(1425,1965,0.04133,3.6376),(1425,1975,0.04172,3.6371),(1425,1985,0.04211,3.6365),(1425,1995,0.0425,3.636),(1425,2005,0.042893,3.6354),(1425,2015,0.043291,3.6348),(1425,2025,0.043688,3.6343),(1425,2035,0.044085,3.6337),(1425,2045,0.044486,3.6331),(1425,2055,0.04489,3.6325),(1425,2065,0.045293,3.6319),(1425,2075,0.045697,3.6313),(1425,2085,0.046104,3.6307),(1425,2095,0.046514,3.63),(1425,2105,0.046924,3.6294),(1425,2115,0.047334,3.6288),(1425,2125,0.047747,3.6281),(1425,2135,0.048163,3.6275),(1425,2145,0.048578,3.6268),(1425,2155,0.048993,3.6261),(1425,2165,0.049412,3.6255),(1425,2175,0.049832,3.6248),(1425,2185,0.050253,3.6241),(1425,2195,0.050673,3.6234),(1425,2205,0.051096,3.6227),(1425,2215,0.051521,3.622),(1425,2225,0.051945,3.6213),(1425,2235,0.05237,3.6205),(1425,2245,0.052796,3.6198),(1425,2255,0.053224,3.6191),(1425,2265,0.053652,3.6183),(1425,2275,0.054079,3.6176),(1425,2285,0.054509,3.6168),(1425,2295,0.054939,3.616),(1425,2305,0.055369,3.6152),(1425,2315,0.055799,3.6144),(1425,2325,0.05623,3.6136),(1425,2335,0.056662,3.6129),(1425,2345,0.057093,3.612),(1425,2355,0.057525,3.6112),(1425,2365,0.057957,3.6104),(1425,2375,0.058389,3.6096),(1425,2385,0.05882,3.6087),(1425,2395,0.059252,3.6078),(1425,2405,0.059683,3.607),(1425,2415,0.060114,3.6061),(1425,2425,0.060545,3.6052),(1425,2435,0.060976,3.6043),(1425,2445,0.061405,3.6035),(1425,2455,0.061834,3.6026),(1425,2465,0.062263,3.6016),(1425,2475,0.062692,3.6007),(1425,2485,0.063117,3.5998),(1425,2495,0.063542,3.5989),(1425,2505,0.063968,3.5979),(1425,2515,0.064393,3.597),(1425,2525,0.064813,3.596),(1425,2535,0.065234,3.5951),(1425,2545,0.065654,3.5941),(1425,2555,0.066074,3.5931),(1425,2565,0.066489,3.5921),(1425,2575,0.066903,3.5911),(1425,2585,0.067317,3.5901),(1425,2595,0.067731,3.5891),(1425,2605,0.068137,3.5881),(1425,2615,0.068543,3.587),(1425,2625,0.06895,3.586),(1425,2635,0.069355,3.5849),(1425,2645,0.069752,3.5839),(1425,2655,0.070149,3.5828),(1425,2665,0.070545,3.5817),(1425,2675,0.07094,3.5807),(1425,2685,0.071326,3.5796),(1425,2695,0.071711,3.5785),(1425,2705,0.072097,3.5774),(1425,2715,0.07248,3.5763),(1425,2725,0.072852,3.5752),(1425,2735,0.073225,3.574),(1425,2745,0.073597,3.5729),(1425,2755,0.073966,3.5718),(1425,2765,0.074323,3.5706),(1425,2775,0.074681,3.5695),(1425,2785,0.075039,3.5683),(1425,2795,0.075391,3.5671),(1425,2805,0.075732,3.5659),(1425,2815,0.076073,3.5648),(1425,2825,0.076414,3.5636),(1425,2835,0.076748,3.5624),(1425,2845,0.07707,3.5612),(1425,2855,0.077392,3.56),(1425,2865,0.077714,3.5587),(1425,2875,0.078028,3.5575),(1425,2885,0.078329,3.5563),(1425,2895,0.07863,3.5551),(1425,2905,0.078931,3.5538),(1425,2915,0.079223,3.5526),(1425,2925,0.079501,3.5513),(1425,2935,0.079778,3.5501),(1425,2945,0.080056,3.5488),(1425,2955,0.080323,3.5475),(1425,2965,0.080576,3.5462),(1425,2975,0.080829,3.545),(1425,2985,0.081081,3.5437),(1425,2995,0.081321,3.5424),(1425,3005,0.081546,3.5411),(1425,3015,0.081771,3.5398),(1425,3025,0.081997,3.5385),(1425,3035,0.082206,3.5372),(1425,3045,0.082402,3.5358),(1425,3055,0.082598,3.5345),(1425,3065,0.082794,3.5332),(1425,3075,0.082971,3.5319),(1425,3085,0.083135,3.5305),(1425,3095,0.083299,3.5292),(1425,3105,0.083463,3.5279),(1425,3115,0.083606,3.5265),(1425,3125,0.083736,3.5252),(1425,3135,0.083866,3.5238),(1425,3145,0.083996,3.5225),(1425,3155,0.084102,3.5211),(1425,3165,0.084195,3.5198),(1425,3175,0.084289,3.5184),(1425,3185,0.084382,3.517),(1425,3195,0.084449,3.5157),(1425,3205,0.084503,3.5143),(1425,3215,0.084558,3.5129),(1425,3225,0.084612,3.5116),(1425,3235,0.084637,3.5102),(1425,3245,0.08465,3.5088),(1425,3255,0.084663,3.5075),(1425,3265,0.084677,3.5061),(1425,3275,0.084656,3.5047),(1425,3285,0.084626,3.5033),(1425,3295,0.084596,3.502),(1425,3305,0.084566,3.5006),(1425,3315,0.084498,3.4992),(1425,3325,0.084422,3.4978),(1425,3335,0.084346,3.4965),(1425,3345,0.08427,3.4951),(1425,3355,0.084153,3.4937),(1425,3365,0.084029,3.4924),(1425,3375,0.083905,3.491),(1425,3385,0.08378,3.4896),(1425,3395,0.083611,3.4883),(1425,3405,0.083437,3.4869),(1425,3415,0.083262,3.4855),(1425,3425,0.083087,3.4842),(1425,3435,0.082863,3.4828),(1425,3445,0.082636,3.4814),(1425,3455,0.082408,3.4801),(1425,3465,0.082181,3.4788),(1425,3475,0.0819,3.4774),(1425,3485,0.081617,3.4761),(1425,3495,0.081335,3.4747),(1425,3505,0.081052,3.4734),(1425,3515,0.080712,3.4721),(1425,3525,0.080372,3.4707),(1425,3535,0.080032,3.4694),(1425,3545,0.07969,3.4681),(1425,3555,0.07929,3.4668),(1425,3565,0.078891,3.4654),(1425,3575,0.078492,3.4641),(1425,3585,0.078088,3.4628),(1425,3595,0.077627,3.4615),(1425,3605,0.077167,3.4602),(1425,3615,0.076706,3.459),(1425,3625,0.076238,3.4577),(1425,3635,0.075714,3.4564),(1425,3645,0.07519,3.4551),(1425,3655,0.074666,3.4539),(1425,3665,0.074131,3.4526),(1425,3675,0.073542,3.4514),(1425,3685,0.072953,3.4501),(1425,3695,0.072363,3.4489),(1425,3705,0.07176,3.4477),(1425,3715,0.071104,3.4464),(1425,3725,0.070447,3.4452),(1425,3735,0.069791,3.444),(1425,3745,0.069118,3.4428),(1425,3755,0.068392,3.4416),(1425,3765,0.067666,3.4404),(1425,3775,0.066941,3.4392),(1425,3785,0.066195,3.438),(1425,3795,0.065399,3.4369),(1425,3805,0.064603,3.4357),(1425,3815,0.063807,3.4345),(1425,3825,0.062988,3.4334),(1425,3835,0.062121,3.4322),(1425,3845,0.061253,3.4311),(1425,3855,0.060385,3.43),(1425,3865,0.059492,3.4289),(1425,3875,0.058553,3.427734),(1425,3885,0.057614,3.4266),(1425,3895,0.056674,3.4255),(1425,3905,0.065715,3.4244),(1425,3915,0.089662,3.4233),(1425,3925,0.11361,3.4215),(1425,3935,0.13756,3.4187),(1425,3945,0.16454,3.4159),(1425,3955,0.19537,3.4131),(1425,3965,0.2262,3.4095),(1425,3975,0.25704,3.4049),(1425,3985,0.27592,3.4003),(1425,3995,0.28186,3.3957),(1425,4005,0.2878,3.391),(1425,4015,0.29375,3.3862),(1425,4025,0.29943,3.3814),(1425,4035,0.30509,3.3765),(1425,4045,0.31075,3.3713),(1425,4055,0.31592,3.3662),(1425,4065,0.3209,3.361),(1425,4075,0.32587,3.3554),(1425,4085,0.33031,3.3499),(1425,4095,0.33432,3.3443),(1425,4105,0.33832,3.3384),(1425,4115,0.32924,3.3325),(1425,4125,0.29846,3.3266),(1425,4135,0.26769,3.322),(1425,4145,0.2359,3.3178),(1425,4155,0.19996,3.3135),(1425,4165,0.16402,3.3104),(1425,4175,0.13008,3.308),(1425,4185,0.19518,3.3056),(1425,4195,0.26029,3.3016),(1425,4205,0.32539,3.2954),(1425,4215,0.324,3.2892),(1425,4225,0.31008,3.2832),(1425,4235,0.29617,3.2779),(1425,4245,0.27355,3.2726),(1425,4255,0.24651,3.2675),(1425,4265,0.21947,3.264),(1425,4275,0.18273,3.2605),(1425,4285,0.13568,3.257),(1425,4295,0.088634,3.2559),(1425,4305,0.082198,3.255),(1425,4315,0.16746,3.2541),(1425,4325,0.25273,3.2494),(1425,4335,0.32815,3.2433),(1425,4345,0.33698,3.2371),(1425,4355,0.34581,3.2307),(1425,4365,0.35464,3.2241),(1425,4375,0.35228,3.2175),(1425,4385,0.34934,3.2108),(1425,4395,0.34639,3.204),(1425,4405,0.29789,3.1972),(1425,4415,0.23595,3.191),(1425,4425,0.17401,3.1878),(1425,4435,0.15317,3.1845),(1425,4445,0.16042,3.1813),(1425,4455,0.16766,3.1783),(1425,4465,0.20906,3.1752),(1425,4475,0.29843,3.1722),(1425,4485,0.3878,3.1649),(1425,4495,0.45977,3.1567),(1425,4505,0.47589,3.1484),(1425,4515,0.49202,3.1396),(1425,4525,0.50689,3.1304),(1425,4535,0.502,3.1213),(1425,4545,0.49711,3.1124),(1425,4555,0.49223,3.1038),(1425,4565,0.3635,3.0953),(1425,4575,0.21807,3.089),(1425,4585,0.072651,3.0883),(1425,4595,0.068653,3.0876),(1425,4605,0.12441,3.0864),(1425,4615,0.18016,3.0819),(1425,4625,0.2391,3.0774),(1425,4635,0.30092,3.0729),(1425,4645,0.36274,3.0654),(1425,4655,0.42177,3.0578),(1425,4665,0.47554,3.0501),(1425,4675,0.52931,3.0411),(1425,4685,0.55446,3.0318),(1425,4695,0.4382,3.0224),(1425,4705,0.32194,3.0165),(1425,4715,0.20567,3.0131),(1425,4725,0.27317,3.0098),(1425,4735,0.34251,3.0046),(1425,4745,0.41185,2.9967),(1425,4755,0.50345,2.9888),(1425,4765,0.6002,2.9801),(1425,4775,0.69696,2.9687),(1425,4785,0.7468,2.9574),(1425,4795,0.76952,2.9461),(1425,4805,0.79223,2.9353),(1425,4815,0.7698,2.9245),(1425,4825,0.69338,2.9137),(1425,4835,0.61696,2.9064),(1425,4845,0.53093,2.8997),(1425,4855,0.41984,2.8929),(1425,4865,0.30875,2.888),(1425,4875,0.22757,2.8839),(1425,4885,0.41855,2.8797),(1425,4895,0.60953,2.8705),(1425,4905,0.80052,2.8563),(1425,4915,0.80234,2.8421),(1425,4925,0.7879,2.8284),(1425,4935,0.77345,2.8154),(1425,4945,0.70792,2.8024),(1425,4955,0.62467,2.79),(1425,4965,0.54142,2.7814),(1425,4975,0.42195,2.7727),(1425,4985,0.27453,2.7641),(1425,4995,0.1271,2.7632),(1425,5005,0.12373,2.7624),(1425,5015,0.3494,2.7617),(1425,5025,0.57506,2.7527),(1425,5035,0.77434,2.7416),(1425,5045,0.8731,2.7305),(1425,5055,0.97185,2.7175),(1425,5065,1.0684,2.7032),(1425,5075,1.0929,2.6889),(1425,5085,1.1174,2.6748),(1425,5095,1.1419,2.6609),(1425,5105,1.0068,2.647),(1425,5115,0.84392,2.6349),(1425,5125,0.681,2.6278),(1425,5135,0.57934,2.6207),(1425,5145,0.50741,2.6136),(1425,5155,0.43549,2.6071),(1425,5165,0.51091,2.6006),(1425,5175,0.73661,2.5941),(1425,5185,0.96231,2.5788),(1425,5195,1.1249,2.5627),(1425,5205,1.1514,2.5465),(1425,5215,1.178,2.5306),(1425,5225,1.1978,2.5148),(1425,5235,1.1761,2.4991),(1425,5245,1.1544,2.4845),(1425,5255,1.1326,2.4711),(1425,5265,0.79173,2.4576),(1425,5275,0.43765,2.449),(1425,5285,0.083579,2.4487),(1425,5295,0.16879,2.4485),(1425,5305,0.37633,2.4458),(1425,5315,0.58387,2.4328),(1425,5325,0.74975,2.4199),(1425,5335,0.88829,2.4069),(1425,5345,1.0268,2.3907),(1425,5355,1.1314,2.3744),(1425,5365,1.19,2.3581),(1425,5375,1.2487,2.3423),(1425,5385,1.22,2.3266),(1425,5395,0.92576,2.3108),(1425,5405,0.63155,2.3028),(1425,5415,0.35984,2.2988),(1425,5425,0.39032,2.2948),(1425,5435,0.4208,2.2875),(1425,5445,0.45128,2.2765),(1425,5455,0.5485,2.2656),(1425,5465,0.65388,2.2524),(1425,5475,0.75926,2.2341),(1425,5485,0.80865,2.2157),(1425,5495,0.83547,2.1972),(1425,5505,0.8623,2.178),(1425,5515,0.89046,2.1587),(1425,5525,0.91977,2.1394),(1425,5535,0.94909,2.1194),(1425,5545,0.97861,2.0993),(1425,5555,1.0085,2.0791),(1425,5565,1.0384,2.0584),(1425,5575,1.0683,2.0374),(1425,5585,1.0982,2.0164),(1425,5595,1.128,1.9952),(1425,5605,1.1579,1.9737),(1425,5615,1.1873,1.9523),(1425,5625,1.2167,1.9307),(1425,5635,1.2462,1.9088),(1425,5645,1.2751,1.887),(1425,5655,1.3038,1.8651),(1425,5665,1.3325,1.843),(1425,5675,1.3607,1.8209),(1425,5685,1.3885,1.7987),(1425,5695,1.4163,1.7767),(1425,5705,1.4435,1.7546),(1425,5715,1.4702,1.7325),(1425,5725,1.4968,1.7105),(1425,5735,1.5231,1.6884),(1425,5745,1.5485,1.6664),(1425,5755,1.5738,1.6444),(1425,5765,1.5991,1.6225),(1425,5775,1.6231,1.6006),(1425,5785,1.647,1.5788),(1425,5795,1.671,1.5571),(1425,5805,1.6937,1.5354),(1425,5815,1.7163,1.5138),(1425,5825,1.7389,1.4925),(1425,5835,1.7604,1.4711),(1425,5845,1.7815,1.4498),(1425,5855,1.8027,1.4286),(1425,5865,1.823,1.4075),(1425,5875,1.8427,1.3864),(1425,5885,1.8624,1.3656),(1425,5895,1.8816,1.3448),(1425,5905,1.9,1.3239),(1425,5915,1.9183,1.3034),(1425,5925,1.9364,1.2829),(1425,5935,1.9534,1.2624),(1425,5945,1.9705,1.2421),(1425,5955,1.9875,1.2219),(1425,5965,2.0039,1.2017),(1425,5975,2.0202,1.1816),(1425,5985,2.0366,1.1616),(1425,5995,1.5592,1.1417),(1425,6005,1.0023,1.1265),(1425,6015,0.44537,1.124),(1425,6025,0.4155,1.1214),(1425,6035,0.63006,1.1178),(1425,6045,0.84462,1.104),(1425,6055,1.0029,1.0902),(1425,6065,1.1059,1.0763),(1425,6075,1.209,1.0582),(1425,6085,1.2803,1.0396),(1425,6095,1.2863,1.0211),(1425,6105,1.2924,1.0023),(1425,6115,1.2984,0.98351),(1425,6125,1.3041,0.96468),(1425,6135,1.3099,0.94577),(1425,6145,1.3156,0.92681),(1425,6155,1.321,0.90784),(1425,6165,1.3264,0.88878),(1425,6175,1.3318,0.86956),(1425,6185,1.3369,0.85035),(1425,6195,1.342,0.83111),(1425,6205,1.347,0.81179),(1425,6215,1.3519,0.79247),(1425,6225,1.3566,0.77314),(1425,6235,1.3613,0.75374),(1425,6245,1.3658,0.73434),(1425,6255,1.3702,0.71493),(1425,6265,1.3746,0.69533),(1425,6275,1.3789,0.6757),(1425,6285,1.3828,0.65606),(1425,6295,1.3868,0.63629),(1425,6305,1.3908,0.61644),(1425,6315,1.3944,0.59659),(1425,6325,1.398,0.57673),(1425,6335,1.4016,0.55686),(1425,6345,1.4049,0.53699),(1425,6355,1.4081,0.5171),(1425,6365,1.4113,0.49716),(1425,6375,1.4142,0.47722),(1425,6385,1.417,0.45726),(1425,6395,1.4197,0.43712),(1425,6405,1.4223,0.41699),(1425,6415,1.4247,0.39686),(1425,6425,1.4271,0.37668),(1425,6435,1.4293,0.35649),(1425,6445,1.4314,0.33631),(1425,6455,1.4334,0.31616),(1425,6465,1.4353,0.29604),(1425,6475,1.437,0.27591),(1425,6485,1.4386,0.25573),(1425,6495,1.4403,0.23552),(1425,6505,1.4415,0.21531),(1425,6515,1.4428,0.19504),(1425,6525,1.4441,0.1747),(1425,6535,1.445,0.15436),(1425,6545,1.4458,0.13402),(1425,6555,1.4467,0.11369),(1425,6565,1.4473,0.09337),(1425,6575,1.4477,0.073049),(1425,6585,1.4481,0.052754),(1425,6595,1.2319,0.03246),(1425,6605,0.77628,0.012165),(1425,6615,0.3207,0.009791),(1425,6625,0.000439,0.009719),(1425,6635,0.000442,0.009647),(1425,6645,0.000444,0.009621),(1425,6655,0.000447,0.009613),(1425,6665,0.000449,0.009605),(1425,6675,0.000452,0.009597),(1425,6685,0.000454,0.009589),(1425,6695,0.000456,0.009582),(1425,6705,0.000459,0.009574),(1425,6715,0.000461,0.009566),(1425,6725,0.000463,0.009558),(1425,6735,0.000465,0.009551),(1425,6745,0.000468,0.009543),(1425,6755,0.00047,0.009535),(1425,6765,0.000472,0.009527),(1425,6775,0.000474,0.009519),(1425,6785,0.000476,0.009511),(1425,6795,0.000478,0.009503),(1425,6805,0.00048,0.009495),(1425,6815,0.000482,0.009487),(1425,6825,0.000484,0.009479),(1425,6835,0.000486,0.009471),(1425,6845,0.000488,0.009463),(1425,6855,0.00049,0.009456),(1425,6865,0.000491,0.009447),(1425,6875,0.000493,0.009439),(1425,6885,0.000495,0.009432),(1425,6895,0.000497,0.009423),(1425,6905,0.000498,0.009415),(1425,6915,0.0005,0.009407),(1425,6925,0.000502,0.009399),(1425,6935,0.000504,0.009391),(1425,6945,0.000505,0.009383),(1425,6955,0.000507,0.009375),(1425,6965,0.000508,0.009367),(1425,6975,0.00051,0.009359),(1425,6985,0.000512,0.00935),(1435,5,5.7e-05,3.6742),(1435,15,0.000171,3.6742),(1435,25,0.000285,3.6742),(1435,35,0.0004,3.6742),(1435,45,0.000514,3.6742),(1435,55,0.000628,3.6742),(1435,65,0.000743,3.6742),(1435,75,0.000857,3.6742),(1435,85,0.000972,3.6741),(1435,95,0.001087,3.6741),(1435,105,0.001202,3.6741),(1435,115,0.001317,3.6741),(1435,125,0.001432,3.6741),(1435,135,0.001547,3.6741),(1435,145,0.001663,3.6741),(1435,155,0.001779,3.6741),(1435,165,0.001895,3.674),(1435,175,0.002011,3.674),(1435,185,0.002128,3.674),(1435,195,0.002245,3.674),(1435,205,0.002362,3.6739),(1435,215,0.002479,3.6739),(1435,225,0.002597,3.6739),(1435,235,0.002715,3.6739),(1435,245,0.002834,3.6738),(1435,255,0.002952,3.6738),(1435,265,0.003071,3.6738),(1435,275,0.003191,3.6738),(1435,285,0.003311,3.6737),(1435,295,0.00343,3.6737),(1435,305,0.003552,3.6737),(1435,315,0.003673,3.6736),(1435,325,0.003795,3.6736),(1435,335,0.003916,3.6735),(1435,345,0.004039,3.6735),(1435,355,0.004163,3.6735),(1435,365,0.004286,3.6734),(1435,375,0.00441,3.6734),(1435,385,0.004535,3.6733),(1435,395,0.004661,3.6733),(1435,405,0.004787,3.6732),(1435,415,0.004913,3.6732),(1435,425,0.005041,3.6732),(1435,435,0.005169,3.6731),(1435,445,0.005297,3.673),(1435,455,0.005425,3.673),(1435,465,0.005556,3.6729),(1435,475,0.005687,3.6729),(1435,485,0.005818,3.6728),(1435,495,0.005949,3.6728),(1435,505,0.006083,3.6727),(1435,515,0.006216,3.6727),(1435,525,0.00635,3.6726),(1435,535,0.006484,3.6725),(1435,545,0.006621,3.6725),(1435,555,0.006758,3.6724),(1435,565,0.006895,3.6723),(1435,575,0.007033,3.6723),(1435,585,0.007173,3.6722),(1435,595,0.007314,3.6721),(1435,605,0.007454,3.672),(1435,615,0.007595,3.672),(1435,625,0.00774,3.6719),(1435,635,0.007884,3.6718),(1435,645,0.008028,3.6717),(1435,655,0.008173,3.6716),(1435,665,0.008321,3.6716),(1435,675,0.008469,3.6715),(1435,685,0.008617,3.6714),(1435,695,0.008766,3.6713),(1435,705,0.008918,3.6712),(1435,715,0.009071,3.6711),(1435,725,0.009223,3.671),(1435,735,0.009377,3.6709),(1435,745,0.009534,3.6708),(1435,755,0.00969,3.6707),(1435,765,0.009847,3.6706),(1435,775,0.010005,3.6705),(1435,785,0.010167,3.6704),(1435,795,0.010328,3.6703),(1435,805,0.01049,3.6702),(1435,815,0.010653,3.6701),(1435,825,0.010819,3.67),(1435,835,0.010986,3.6699),(1435,845,0.011152,3.6698),(1435,855,0.011321,3.6697),(1435,865,0.011492,3.6696),(1435,875,0.011664,3.6694),(1435,885,0.011836,3.6693),(1435,895,0.01201,3.6692),(1435,905,0.012187,3.6691),(1435,915,0.012365,3.6689),(1435,925,0.012542,3.6688),(1435,935,0.012722,3.6687),(1435,945,0.012905,3.6685),(1435,955,0.013088,3.6684),(1435,965,0.013271,3.6683),(1435,975,0.013457,3.6681),(1435,985,0.013646,3.668),(1435,995,0.013835,3.6678),(1435,1005,0.014025,3.6677),(1435,1015,0.014217,3.6675),(1435,1025,0.014412,3.6674),(1435,1035,0.014607,3.6672),(1435,1045,0.014803,3.6671),(1435,1055,0.015002,3.6669),(1435,1065,0.015204,3.6668),(1435,1075,0.015406,3.6666),(1435,1085,0.015608,3.6664),(1435,1095,0.015814,3.6663),(1435,1105,0.016022,3.6661),(1435,1115,0.016231,3.6659),(1435,1125,0.01644,3.6658),(1435,1135,0.016653,3.6656),(1435,1145,0.016869,3.6654),(1435,1155,0.017085,3.6652),(1435,1165,0.017301,3.665),(1435,1175,0.017521,3.6648),(1435,1185,0.017744,3.6647),(1435,1195,0.017968,3.6645),(1435,1205,0.018191,3.6643),(1435,1215,0.018419,3.6641),(1435,1225,0.018649,3.6639),(1435,1235,0.01888,3.6637),(1435,1245,0.019111,3.6634),(1435,1255,0.019347,3.6632),(1435,1265,0.019585,3.663),(1435,1275,0.019824,3.6628),(1435,1285,0.020062,3.6626),(1435,1295,0.020307,3.6624),(1435,1305,0.020553,3.6621),(1435,1315,0.020799,3.6619),(1435,1325,0.021046,3.6617),(1435,1335,0.021299,3.6614),(1435,1345,0.021553,3.6612),(1435,1355,0.021808,3.661),(1435,1365,0.022062,3.6607),(1435,1375,0.022324,3.6605),(1435,1385,0.022587,3.6602),(1435,1395,0.02285,3.6599),(1435,1405,0.023113,3.6597),(1435,1415,0.023383,3.6594),(1435,1425,0.023654,3.6592),(1435,1435,0.023926,3.6589),(1435,1445,0.024197,3.6586),(1435,1455,0.024477,3.6583),(1435,1465,0.024757,3.6581),(1435,1475,0.025037,3.6578),(1435,1485,0.025317,3.6575),(1435,1495,0.025605,3.6572),(1435,1505,0.025894,3.6569),(1435,1515,0.026183,3.6566),(1435,1525,0.026472,3.6563),(1435,1535,0.026769,3.656),(1435,1545,0.027067,3.6557),(1435,1555,0.027365,3.6553),(1435,1565,0.027663,3.655),(1435,1575,0.02797,3.6547),(1435,1585,0.028277,3.6544),(1435,1595,0.028583,3.654),(1435,1605,0.028891,3.6537),(1435,1615,0.029207,3.6533),(1435,1625,0.029523,3.653),(1435,1635,0.029839,3.6526),(1435,1645,0.030156,3.6523),(1435,1655,0.030481,3.6519),(1435,1665,0.030806,3.6515),(1435,1675,0.031131,3.6512),(1435,1685,0.031458,3.6508),(1435,1695,0.031792,3.6504),(1435,1705,0.032126,3.65),(1435,1715,0.03246,3.6496),(1435,1725,0.032796,3.6492),(1435,1735,0.033139,3.6488),(1435,1745,0.033481,3.6484),(1435,1755,0.033824,3.648),(1435,1765,0.03417,3.6476),(1435,1775,0.034521,3.6472),(1435,1785,0.034873,3.6467),(1435,1795,0.035225,3.6463),(1435,1805,0.035579,3.6458),(1435,1815,0.03594,3.6454),(1435,1825,0.0363,3.645),(1435,1835,0.036661,3.6445),(1435,1845,0.037025,3.644),(1435,1855,0.037394,3.6436),(1435,1865,0.037763,3.6431),(1435,1875,0.038132,3.6426),(1435,1885,0.038505,3.6421),(1435,1895,0.038882,3.6416),(1435,1905,0.03926,3.6411),(1435,1915,0.039637,3.6406),(1435,1925,0.040018,3.6401),(1435,1935,0.040404,3.6396),(1435,1945,0.040789,3.6391),(1435,1955,0.041175,3.6385),(1435,1965,0.041564,3.638),(1435,1975,0.041958,3.6375),(1435,1985,0.042351,3.6369),(1435,1995,0.042745,3.6364),(1435,2005,0.043142,3.6358),(1435,2015,0.043543,3.6352),(1435,2025,0.043943,3.6347),(1435,2035,0.044344,3.6341),(1435,2045,0.044749,3.6335),(1435,2055,0.045156,3.6329),(1435,2065,0.045564,3.6323),(1435,2075,0.045972,3.6317),(1435,2085,0.046383,3.6311),(1435,2095,0.046797,3.6305),(1435,2105,0.047211,3.6298),(1435,2115,0.047624,3.6292),(1435,2125,0.048042,3.6285),(1435,2135,0.048461,3.6279),(1435,2145,0.048881,3.6272),(1435,2155,0.0493,3.6266),(1435,2165,0.049723,3.6259),(1435,2175,0.050147,3.6252),(1435,2185,0.050572,3.6245),(1435,2195,0.050996,3.6238),(1435,2205,0.051424,3.6231),(1435,2215,0.051853,3.6224),(1435,2225,0.052282,3.6217),(1435,2235,0.05271,3.621),(1435,2245,0.053142,3.6202),(1435,2255,0.053574,3.6195),(1435,2265,0.054006,3.6187),(1435,2275,0.054438,3.618),(1435,2285,0.054872,3.6172),(1435,2295,0.055307,3.6165),(1435,2305,0.055741,3.6157),(1435,2315,0.056176,3.6149),(1435,2325,0.056612,3.6141),(1435,2335,0.057048,3.6133),(1435,2345,0.057484,3.6125),(1435,2355,0.05792,3.6116),(1435,2365,0.058356,3.6108),(1435,2375,0.058793,3.61),(1435,2385,0.05923,3.6091),(1435,2395,0.059666,3.6083),(1435,2405,0.060102,3.6074),(1435,2415,0.060538,3.6066),(1435,2425,0.060974,3.6057),(1435,2435,0.06141,3.6048),(1435,2445,0.061843,3.6039),(1435,2455,0.062277,3.603),(1435,2465,0.062711,3.6021),(1435,2475,0.063144,3.6012),(1435,2485,0.063574,3.6002),(1435,2495,0.064005,3.5993),(1435,2505,0.064435,3.5984),(1435,2515,0.064865,3.5974),(1435,2525,0.06529,3.5964),(1435,2535,0.065716,3.5955),(1435,2545,0.066141,3.5945),(1435,2555,0.066566,3.5935),(1435,2565,0.066985,3.5925),(1435,2575,0.067404,3.5915),(1435,2585,0.067823,3.5905),(1435,2595,0.068242,3.5895),(1435,2605,0.068653,3.5885),(1435,2615,0.069064,3.5874),(1435,2625,0.069475,3.5864),(1435,2635,0.069885,3.5853),(1435,2645,0.070287,3.5843),(1435,2655,0.070688,3.5832),(1435,2665,0.07109,3.5821),(1435,2675,0.071489,3.5811),(1435,2685,0.07188,3.58),(1435,2695,0.07227,3.5789),(1435,2705,0.07266,3.5778),(1435,2715,0.073048,3.5766),(1435,2725,0.073425,3.5755),(1435,2735,0.073802,3.5744),(1435,2745,0.074179,3.5733),(1435,2755,0.074552,3.5721),(1435,2765,0.074914,3.571),(1435,2775,0.075276,3.5698),(1435,2785,0.075638,3.5686),(1435,2795,0.075995,3.5675),(1435,2805,0.07634,3.5663),(1435,2815,0.076685,3.5651),(1435,2825,0.07703,3.5639),(1435,2835,0.077369,3.5627),(1435,2845,0.077695,3.5615),(1435,2855,0.078021,3.5603),(1435,2865,0.078347,3.5591),(1435,2875,0.078665,3.5578),(1435,2885,0.07897,3.5566),(1435,2895,0.079275,3.5554),(1435,2905,0.07958,3.5541),(1435,2915,0.079875,3.5529),(1435,2925,0.080156,3.5516),(1435,2935,0.080438,3.5503),(1435,2945,0.080719,3.5491),(1435,2955,0.080989,3.5478),(1435,2965,0.081245,3.5465),(1435,2975,0.081502,3.5452),(1435,2985,0.081758,3.5439),(1435,2995,0.082,3.5426),(1435,3005,0.082229,3.5413),(1435,3015,0.082457,3.54),(1435,3025,0.082685,3.5387),(1435,3035,0.082898,3.5374),(1435,3045,0.083096,3.536),(1435,3055,0.083295,3.5347),(1435,3065,0.083493,3.5334),(1435,3075,0.083673,3.532),(1435,3085,0.08384,3.5307),(1435,3095,0.084006,3.5294),(1435,3105,0.084172,3.528),(1435,3115,0.084318,3.5267),(1435,3125,0.084449,3.5253),(1435,3135,0.084581,3.524),(1435,3145,0.084713,3.5226),(1435,3155,0.084821,3.5212),(1435,3165,0.084916,3.5199),(1435,3175,0.085011,3.5185),(1435,3185,0.085106,3.5171),(1435,3195,0.085174,3.5157),(1435,3205,0.08523,3.5144),(1435,3215,0.085286,3.513),(1435,3225,0.085341,3.5116),(1435,3235,0.085367,3.5102),(1435,3245,0.085381,3.5088),(1435,3255,0.085395,3.5075),(1435,3265,0.085409,3.5061),(1435,3275,0.08539,3.5047),(1435,3285,0.08536,3.5033),(1435,3295,0.08533,3.5019),(1435,3305,0.0853,3.5005),(1435,3315,0.085233,3.4992),(1435,3325,0.085157,3.4978),(1435,3335,0.085081,3.4964),(1435,3345,0.085005,3.495),(1435,3355,0.084888,3.4936),(1435,3365,0.084764,3.4922),(1435,3375,0.084639,3.4909),(1435,3385,0.084515,3.4895),(1435,3395,0.084345,3.4881),(1435,3405,0.08417,3.4867),(1435,3415,0.083995,3.4853),(1435,3425,0.08382,3.484),(1435,3435,0.083595,3.4826),(1435,3445,0.083367,3.4812),(1435,3455,0.083138,3.4799),(1435,3465,0.08291,3.4785),(1435,3475,0.082628,3.4771),(1435,3485,0.082344,3.4758),(1435,3495,0.08206,3.4744),(1435,3505,0.081776,3.4731),(1435,3515,0.081435,3.4717),(1435,3525,0.081094,3.4704),(1435,3535,0.080753,3.469),(1435,3545,0.080409,3.4677),(1435,3555,0.080008,3.4664),(1435,3565,0.079607,3.465),(1435,3575,0.079207,3.4637),(1435,3585,0.078801,3.4624),(1435,3595,0.078339,3.4611),(1435,3605,0.077876,3.4598),(1435,3615,0.077414,3.4585),(1435,3625,0.076944,3.4572),(1435,3635,0.076419,3.4559),(1435,3645,0.075893,3.4546),(1435,3655,0.075367,3.4533),(1435,3665,0.074831,3.4521),(1435,3675,0.07424,3.4508),(1435,3685,0.073649,3.4495),(1435,3695,0.073058,3.4483),(1435,3705,0.072454,3.447),(1435,3715,0.071796,3.4458),(1435,3725,0.071138,3.4445),(1435,3735,0.070479,3.4433),(1435,3745,0.069805,3.4421),(1435,3755,0.069078,3.4409),(1435,3765,0.068351,3.4397),(1435,3775,0.067624,3.4385),(1435,3785,0.066877,3.4373),(1435,3795,0.06608,3.4361),(1435,3805,0.065283,3.4349),(1435,3815,0.064486,3.4337),(1435,3825,0.063666,3.4325),(1435,3835,0.062797,3.4314),(1435,3845,0.061929,3.4302),(1435,3855,0.061061,3.4291),(1435,3865,0.060166,3.4279),(1435,3875,0.059227,3.4268),(1435,3885,0.058287,3.4257),(1435,3895,0.057347,3.4246),(1435,3905,0.06649,3.4235),(1435,3915,0.090694,3.4224),(1435,3925,0.1149,3.4205),(1435,3935,0.1391,3.4177),(1435,3945,0.16633,3.4148),(1435,3955,0.1974,3.412),(1435,3965,0.22847,3.4083),(1435,3975,0.25954,3.4037),(1435,3985,0.27855,3.399),(1435,3995,0.28451,3.3943),(1435,4005,0.29047,3.3895),(1435,4015,0.29643,3.3847),(1435,4025,0.30217,3.3798),(1435,4035,0.3079,3.3748),(1435,4045,0.31362,3.3696),(1435,4055,0.31886,3.3644),(1435,4065,0.32392,3.3591),(1435,4075,0.32899,3.3535),(1435,4085,0.33351,3.3479),(1435,4095,0.33758,3.3423),(1435,4105,0.34166,3.3363),(1435,4115,0.33252,3.3303),(1435,4125,0.30145,3.3244),(1435,4135,0.27038,3.3197),(1435,4145,0.23828,3.3154),(1435,4155,0.20202,3.3111),(1435,4165,0.16576,3.3079),(1435,4175,0.13152,3.3054),(1435,4185,0.19734,3.3029),(1435,4195,0.26315,3.2988),(1435,4205,0.32897,3.2925),(1435,4215,0.32754,3.2862),(1435,4225,0.31344,3.2802),(1435,4235,0.29934,3.2749),(1435,4245,0.27641,3.2696),(1435,4255,0.249,3.2645),(1435,4265,0.22159,3.2611),(1435,4275,0.18443,3.2576),(1435,4285,0.13692,3.2542),(1435,4295,0.089405,3.2531),(1435,4305,0.082965,3.2523),(1435,4315,0.16927,3.2514),(1435,4325,0.25558,3.247),(1435,4335,0.33192,3.241),(1435,4345,0.34082,3.2351),(1435,4355,0.34973,3.2289),(1435,4365,0.35863,3.2223),(1435,4375,0.35636,3.2158),(1435,4385,0.3535,3.209),(1435,4395,0.35065,3.2021),(1435,4405,0.30164,3.1951),(1435,4415,0.23903,3.1887),(1435,4425,0.17641,3.1853),(1435,4435,0.15524,3.1819),(1435,4445,0.16239,3.1785),(1435,4455,0.16953,3.1753),(1435,4465,0.21127,3.1722),(1435,4475,0.30159,3.169),(1435,4485,0.3919,3.1616),(1435,4495,0.46462,3.1532),(1435,4505,0.48088,3.1448),(1435,4515,0.49714,3.1358),(1435,4525,0.51213,3.1265),(1435,4535,0.50706,3.1173),(1435,4545,0.50199,3.1083),(1435,4555,0.49692,3.0996),(1435,4565,0.36699,3.091),(1435,4575,0.22024,3.0846),(1435,4585,0.073483,3.0839),(1435,4595,0.069599,3.0831),(1435,4605,0.12608,3.082),(1435,4615,0.18256,3.0773),(1435,4625,0.24212,3.0726),(1435,4635,0.30446,3.068),(1435,4645,0.3668,3.0603),(1435,4655,0.42622,3.0525),(1435,4665,0.48011,3.0447),(1435,4675,0.53401,3.0357),(1435,4685,0.5591,3.0264),(1435,4695,0.44187,3.0171),(1435,4705,0.32465,3.0113),(1435,4715,0.20742,3.008),(1435,4725,0.27579,3.0047),(1435,4735,0.34601,2.9995),(1435,4745,0.41623,2.9916),(1435,4755,0.50826,2.9837),(1435,4765,0.60535,2.975),(1435,4775,0.70243,2.9637),(1435,4785,0.75219,2.9525),(1435,4795,0.77458,2.9412),(1435,4805,0.79697,2.9305),(1435,4815,0.77406,2.9197),(1435,4825,0.69699,2.909),(1435,4835,0.61991,2.9017),(1435,4845,0.5334,2.8949),(1435,4855,0.42229,2.8881),(1435,4865,0.31118,2.8832),(1435,4875,0.23014,2.879),(1435,4885,0.42274,2.8749),(1435,4895,0.61534,2.8656),(1435,4905,0.80795,2.8515),(1435,4915,0.80966,2.8373),(1435,4925,0.79496,2.8236),(1435,4935,0.78026,2.8106),(1435,4945,0.71412,2.7976),(1435,4955,0.63016,2.7853),(1435,4965,0.5462,2.7766),(1435,4975,0.4257,2.7679),(1435,4985,0.277,2.7593),(1435,4995,0.1283,2.7583),(1435,5005,0.12473,2.7576),(1435,5015,0.35187,2.7568),(1435,5025,0.57901,2.7479),(1435,5035,0.77951,2.7369),(1435,5045,0.87852,2.7258),(1435,5055,0.97753,2.7128),(1435,5065,1.0743,2.6986),(1435,5075,1.0986,2.6845),(1435,5085,1.1228,2.6704),(1435,5095,1.147,2.6566),(1435,5105,1.0112,2.6427),(1435,5115,0.84739,2.6307),(1435,5125,0.6836,2.6236),(1435,5135,0.58186,2.6165),(1435,5145,0.51023,2.6095),(1435,5155,0.43861,2.603),(1435,5165,0.5148,2.5965),(1435,5175,0.74175,2.59),(1435,5185,0.96871,2.5748),(1435,5195,1.1321,2.5587),(1435,5205,1.1583,2.5426),(1435,5215,1.1845,2.5268),(1435,5225,1.2041,2.5111),(1435,5235,1.1818,2.4953),(1435,5245,1.1596,2.4809),(1435,5255,1.1374,2.4674),(1435,5265,0.7951,2.454),(1435,5275,0.43959,2.4455),(1435,5285,0.084076,2.4452),(1435,5295,0.1707,2.445),(1435,5305,0.38046,2.4422),(1435,5315,0.59021,2.4293),(1435,5325,0.75699,2.4164),(1435,5335,0.89557,2.4034),(1435,5345,1.0342,2.3872),(1435,5355,1.1385,2.371),(1435,5365,1.1966,2.3548),(1435,5375,1.2547,2.339),(1435,5385,1.2253,2.3234),(1435,5395,0.92971,2.3077),(1435,5405,0.63411,2.2997),(1435,5415,0.36122,2.2958),(1435,5425,0.39351,2.2918),(1435,5435,0.4258,2.2845),(1435,5445,0.45808,2.2734),(1435,5455,0.55673,2.2623),(1435,5465,0.66348,2.249),(1435,5475,0.77024,2.2305),(1435,5485,0.82009,2.212),(1435,5495,0.84702,2.1934),(1435,5505,0.87395,2.174),(1435,5515,0.90219,2.1546),(1435,5525,0.93156,2.1352),(1435,5535,0.96094,2.1151),(1435,5545,0.99051,2.0949),(1435,5555,1.0204,2.0746),(1435,5565,1.0503,2.0538),(1435,5575,1.0802,2.0328),(1435,5585,1.11,2.0118),(1435,5595,1.1398,1.9905),(1435,5605,1.1697,1.969),(1435,5615,1.199,1.9476),(1435,5625,1.2284,1.926),(1435,5635,1.2577,1.9041),(1435,5645,1.2865,1.8823),(1435,5655,1.3151,1.8604),(1435,5665,1.3437,1.8383),(1435,5675,1.3717,1.8163),(1435,5685,1.3993,1.7942),(1435,5695,1.4269,1.7722),(1435,5705,1.454,1.7502),(1435,5715,1.4805,1.7282),(1435,5725,1.507,1.7062),(1435,5735,1.5331,1.6843),(1435,5745,1.5582,1.6623),(1435,5755,1.5834,1.6405),(1435,5765,1.6084,1.6186),(1435,5775,1.6321,1.5968),(1435,5785,1.6559,1.5751),(1435,5795,1.6797,1.5536),(1435,5805,1.7021,1.532),(1435,5815,1.7245,1.5106),(1435,5825,1.7468,1.4893),(1435,5835,1.7681,1.4681),(1435,5845,1.789,1.4469),(1435,5855,1.81,1.4259),(1435,5865,1.8301,1.4049),(1435,5875,1.8496,1.3839),(1435,5885,1.8691,1.3632),(1435,5895,1.888,1.3425),(1435,5905,1.9062,1.3218),(1435,5915,1.9243,1.3014),(1435,5925,1.9422,1.281),(1435,5935,1.959,1.2606),(1435,5945,1.9759,1.2405),(1435,5955,1.9927,1.2204),(1435,5965,2.0089,1.2003),(1435,5975,2.025,1.1804),(1435,5985,2.0412,1.1606),(1435,5995,1.5626,1.1408),(1435,6005,1.0045,1.1257),(1435,6015,0.44629,1.1232),(1435,6025,0.41736,1.1206),(1435,6035,0.63389,1.117),(1435,6045,0.85043,1.1032),(1435,6055,1.01,1.0894),(1435,6065,1.1138,1.0755),(1435,6075,1.2175,1.0574),(1435,6085,1.2894,1.0388),(1435,6095,1.2954,1.0203),(1435,6105,1.3015,1.0015),(1435,6115,1.3075,0.98271),(1435,6125,1.3133,0.96388),(1435,6135,1.3191,0.94497),(1435,6145,1.3249,0.926),(1435,6155,1.3303,0.90704),(1435,6165,1.3357,0.88798),(1435,6175,1.3411,0.86878),(1435,6185,1.3463,0.84957),(1435,6195,1.3513,0.83035),(1435,6205,1.3564,0.81104),(1435,6215,1.3612,0.79174),(1435,6225,1.366,0.77243),(1435,6235,1.3707,0.75305),(1435,6245,1.3752,0.73367),(1435,6255,1.3796,0.71429),(1435,6265,1.384,0.6947),(1435,6275,1.3883,0.67508),(1435,6285,1.3923,0.65546),(1435,6295,1.3963,0.63569),(1435,6305,1.4003,0.61585),(1435,6315,1.4039,0.59602),(1435,6325,1.4075,0.57617),(1435,6335,1.4111,0.55631),(1435,6345,1.4144,0.53645),(1435,6355,1.4176,0.51657),(1435,6365,1.4208,0.49664),(1435,6375,1.4238,0.4767),(1435,6385,1.4266,0.45674),(1435,6395,1.4294,0.43662),(1435,6405,1.4319,0.41651),(1435,6415,1.4343,0.39639),(1435,6425,1.4367,0.37624),(1435,6435,1.439,0.35608),(1435,6445,1.441,0.33592),(1435,6455,1.4431,0.31581),(1435,6465,1.445,0.29571),(1435,6475,1.4467,0.27561),(1435,6485,1.4483,0.25545),(1435,6495,1.45,0.23526),(1435,6505,1.4512,0.21508),(1435,6515,1.4525,0.19483),(1435,6525,1.4537,0.17451),(1435,6535,1.4547,0.15419),(1435,6545,1.4555,0.13388),(1435,6555,1.4564,0.11358),(1435,6565,1.457,0.093277),(1435,6575,1.4574,0.072979),(1435,6585,1.4578,0.052709),(1435,6595,1.2401,0.03244),(1435,6605,0.78146,0.01217),(1435,6615,0.32284,0.009797),(1435,6625,0.000444,0.009724),(1435,6635,0.000446,0.00965),(1435,6645,0.000449,0.009623),(1435,6655,0.000451,0.009615),(1435,6665,0.000454,0.009607),(1435,6675,0.000456,0.009599),(1435,6685,0.000458,0.009592),(1435,6695,0.000461,0.009584),(1435,6705,0.000463,0.009576),(1435,6715,0.000465,0.009569),(1435,6725,0.000468,0.009561),(1435,6735,0.00047,0.009553),(1435,6745,0.000472,0.009545),(1435,6755,0.000474,0.009537),(1435,6765,0.000476,0.009529),(1435,6775,0.000478,0.009521),(1435,6785,0.00048,0.009513),(1435,6795,0.000482,0.009505),(1435,6805,0.000484,0.009497),(1435,6815,0.000486,0.009489),(1435,6825,0.000488,0.009481),(1435,6835,0.00049,0.009473),(1435,6845,0.000492,0.009465),(1435,6855,0.000494,0.009457),(1435,6865,0.000496,0.009449),(1435,6875,0.000498,0.009441),(1435,6885,0.000499,0.009433),(1435,6895,0.000501,0.009425),(1435,6905,0.000503,0.009417),(1435,6915,0.000505,0.009409),(1435,6925,0.000506,0.009401),(1435,6935,0.000508,0.009393),(1435,6945,0.00051,0.009385),(1435,6955,0.000511,0.009376),(1435,6965,0.000513,0.009368),(1435,6975,0.000514,0.00936),(1435,6985,0.000516,0.009352),(1445,5,5.7e-05,3.6743),(1445,15,0.000171,3.6743),(1445,25,0.000286,3.6743),(1445,35,0.0004,3.6743),(1445,45,0.000515,3.6743),(1445,55,0.00063,3.6743),(1445,65,0.000744,3.6743),(1445,75,0.000859,3.6743),(1445,85,0.000974,3.6743),(1445,95,0.001089,3.6742),(1445,105,0.001204,3.6742),(1445,115,0.00132,3.6742),(1445,125,0.001435,3.6742),(1445,135,0.001551,3.6742),(1445,145,0.001667,3.6742),(1445,155,0.001783,3.6742),(1445,165,0.001899,3.6741),(1445,175,0.002016,3.6741),(1445,185,0.002133,3.6741),(1445,195,0.00225,3.6741),(1445,205,0.002368,3.6741),(1445,215,0.002485,3.674),(1445,225,0.002603,3.674),(1445,235,0.002722,3.674),(1445,245,0.00284,3.674),(1445,255,0.002959,3.6739),(1445,265,0.003079,3.6739),(1445,275,0.003199,3.6739),(1445,285,0.003319,3.6738),(1445,295,0.003439,3.6738),(1445,305,0.00356,3.6738),(1445,315,0.003682,3.6737),(1445,325,0.003804,3.6737),(1445,335,0.003925,3.6737),(1445,345,0.004049,3.6736),(1445,355,0.004173,3.6736),(1445,365,0.004297,3.6736),(1445,375,0.00442,3.6735),(1445,385,0.004546,3.6735),(1445,395,0.004672,3.6734),(1445,405,0.004798,3.6734),(1445,415,0.004925,3.6733),(1445,425,0.005053,3.6733),(1445,435,0.005182,3.6732),(1445,445,0.00531,3.6732),(1445,455,0.005439,3.6731),(1445,465,0.00557,3.6731),(1445,475,0.005701,3.673),(1445,485,0.005832,3.673),(1445,495,0.005964,3.6729),(1445,505,0.006098,3.6728),(1445,515,0.006232,3.6728),(1445,525,0.006366,3.6727),(1445,535,0.006501,3.6727),(1445,545,0.006638,3.6726),(1445,555,0.006776,3.6725),(1445,565,0.006913,3.6725),(1445,575,0.007051,3.6724),(1445,585,0.007192,3.6723),(1445,595,0.007333,3.6723),(1445,605,0.007474,3.6722),(1445,615,0.007615,3.6721),(1445,625,0.00776,3.672),(1445,635,0.007904,3.672),(1445,645,0.008049,3.6719),(1445,655,0.008194,3.6718),(1445,665,0.008343,3.6717),(1445,675,0.008492,3.6716),(1445,685,0.00864,3.6715),(1445,695,0.00879,3.6715),(1445,705,0.008943,3.6714),(1445,715,0.009095,3.6713),(1445,725,0.009248,3.6712),(1445,735,0.009402,3.6711),(1445,745,0.00956,3.671),(1445,755,0.009717,3.6709),(1445,765,0.009874,3.6708),(1445,775,0.010033,3.6707),(1445,785,0.010195,3.6706),(1445,795,0.010357,3.6705),(1445,805,0.010519,3.6704),(1445,815,0.010683,3.6703),(1445,825,0.01085,3.6702),(1445,835,0.011017,3.6701),(1445,845,0.011184,3.67),(1445,855,0.011353,3.6698),(1445,865,0.011526,3.6697),(1445,875,0.011698,3.6696),(1445,885,0.011871,3.6695),(1445,895,0.012045,3.6694),(1445,905,0.012223,3.6692),(1445,915,0.012401,3.6691),(1445,925,0.01258,3.669),(1445,935,0.01276,3.6689),(1445,945,0.012944,3.6687),(1445,955,0.013128,3.6686),(1445,965,0.013312,3.6684),(1445,975,0.013499,3.6683),(1445,985,0.013688,3.6682),(1445,995,0.013878,3.668),(1445,1005,0.014068,3.6679),(1445,1015,0.014261,3.6677),(1445,1025,0.014458,3.6676),(1445,1035,0.014654,3.6674),(1445,1045,0.01485,3.6673),(1445,1055,0.01505,3.6671),(1445,1065,0.015253,3.667),(1445,1075,0.015456,3.6668),(1445,1085,0.015659,3.6666),(1445,1095,0.015866,3.6665),(1445,1105,0.016075,3.6663),(1445,1115,0.016285,3.6661),(1445,1125,0.016495,3.666),(1445,1135,0.016709,3.6658),(1445,1145,0.016926,3.6656),(1445,1155,0.017143,3.6654),(1445,1165,0.01736,3.6652),(1445,1175,0.017582,3.6651),(1445,1185,0.017806,3.6649),(1445,1195,0.01803,3.6647),(1445,1205,0.018254,3.6645),(1445,1215,0.018484,3.6643),(1445,1225,0.018716,3.6641),(1445,1235,0.018948,3.6639),(1445,1245,0.019179,3.6637),(1445,1255,0.019417,3.6635),(1445,1265,0.019657,3.6633),(1445,1275,0.019896,3.663),(1445,1285,0.020136,3.6628),(1445,1295,0.020382,3.6626),(1445,1305,0.02063,3.6624),(1445,1315,0.020877,3.6622),(1445,1325,0.021125,3.6619),(1445,1335,0.02138,3.6617),(1445,1345,0.021636,3.6615),(1445,1355,0.021892,3.6612),(1445,1365,0.022148,3.661),(1445,1375,0.022411,3.6607),(1445,1385,0.022675,3.6605),(1445,1395,0.02294,3.6602),(1445,1405,0.023204,3.6599),(1445,1415,0.023477,3.6597),(1445,1425,0.02375,3.6594),(1445,1435,0.024023,3.6592),(1445,1445,0.024296,3.6589),(1445,1455,0.024577,3.6586),(1445,1465,0.024859,3.6583),(1445,1475,0.025141,3.658),(1445,1485,0.025422,3.6578),(1445,1495,0.025713,3.6575),(1445,1505,0.026004,3.6572),(1445,1515,0.026294,3.6569),(1445,1525,0.026585,3.6566),(1445,1535,0.026885,3.6563),(1445,1545,0.027185,3.6559),(1445,1555,0.027484,3.6556),(1445,1565,0.027785,3.6553),(1445,1575,0.028093,3.655),(1445,1585,0.028402,3.6547),(1445,1595,0.028711,3.6543),(1445,1605,0.029021,3.654),(1445,1615,0.029339,3.6536),(1445,1625,0.029657,3.6533),(1445,1635,0.029976,3.6529),(1445,1645,0.030295,3.6526),(1445,1655,0.030622,3.6522),(1445,1665,0.03095,3.6519),(1445,1675,0.031277,3.6515),(1445,1685,0.031606,3.6511),(1445,1695,0.031943,3.6507),(1445,1705,0.032279,3.6503),(1445,1715,0.032616,3.65),(1445,1725,0.032955,3.6496),(1445,1735,0.0333,3.6492),(1445,1745,0.033646,3.6488),(1445,1755,0.033991,3.6483),(1445,1765,0.034339,3.6479),(1445,1775,0.034694,3.6475),(1445,1785,0.035049,3.6471),(1445,1795,0.035403,3.6466),(1445,1805,0.03576,3.6462),(1445,1815,0.036124,3.6458),(1445,1825,0.036487,3.6453),(1445,1835,0.036851,3.6449),(1445,1845,0.037218,3.6444),(1445,1855,0.03759,3.6439),(1445,1865,0.037962,3.6435),(1445,1875,0.038335,3.643),(1445,1885,0.03871,3.6425),(1445,1895,0.039091,3.642),(1445,1905,0.039472,3.6415),(1445,1915,0.039852,3.641),(1445,1925,0.040237,3.6405),(1445,1935,0.040626,3.64),(1445,1945,0.041015,3.6395),(1445,1955,0.041404,3.6389),(1445,1965,0.041796,3.6384),(1445,1975,0.042193,3.6379),(1445,1985,0.04259,3.6373),(1445,1995,0.042987,3.6368),(1445,2005,0.043388,3.6362),(1445,2015,0.043793,3.6356),(1445,2025,0.044197,3.6351),(1445,2035,0.044602,3.6345),(1445,2045,0.04501,3.6339),(1445,2055,0.045421,3.6333),(1445,2065,0.045833,3.6327),(1445,2075,0.046244,3.6321),(1445,2085,0.04666,3.6315),(1445,2095,0.047078,3.6309),(1445,2105,0.047495,3.6302),(1445,2115,0.047913,3.6296),(1445,2125,0.048335,3.629),(1445,2135,0.048758,3.6283),(1445,2145,0.049182,3.6277),(1445,2155,0.049606,3.627),(1445,2165,0.050033,3.6263),(1445,2175,0.050461,3.6256),(1445,2185,0.05089,3.6249),(1445,2195,0.051319,3.6242),(1445,2205,0.051751,3.6235),(1445,2215,0.052184,3.6228),(1445,2225,0.052617,3.6221),(1445,2235,0.05305,3.6214),(1445,2245,0.053486,3.6207),(1445,2255,0.053923,3.6199),(1445,2265,0.054359,3.6192),(1445,2275,0.054796,3.6184),(1445,2285,0.055235,3.6177),(1445,2295,0.055674,3.6169),(1445,2305,0.056113,3.6161),(1445,2315,0.056552,3.6153),(1445,2325,0.056993,3.6145),(1445,2335,0.057433,3.6137),(1445,2345,0.057874,3.6129),(1445,2355,0.058315,3.6121),(1445,2365,0.058756,3.6112),(1445,2375,0.059198,3.6104),(1445,2385,0.059639,3.6096),(1445,2395,0.060081,3.6087),(1445,2405,0.060521,3.6078),(1445,2415,0.060962,3.607),(1445,2425,0.061403,3.6061),(1445,2435,0.061843,3.6052),(1445,2445,0.062282,3.6043),(1445,2455,0.062721,3.6034),(1445,2465,0.063159,3.6025),(1445,2475,0.063598,3.6016),(1445,2485,0.064033,3.6007),(1445,2495,0.064468,3.5997),(1445,2505,0.064903,3.5988),(1445,2515,0.065338,3.5978),(1445,2525,0.065769,3.5969),(1445,2535,0.066199,3.5959),(1445,2545,0.066629,3.5949),(1445,2555,0.067059,3.5939),(1445,2565,0.067483,3.5929),(1445,2575,0.067907,3.5919),(1445,2585,0.068331,3.5909),(1445,2595,0.068755,3.5899),(1445,2605,0.069171,3.5889),(1445,2615,0.069587,3.5878),(1445,2625,0.070003,3.5868),(1445,2635,0.070418,3.5857),(1445,2645,0.070824,3.5847),(1445,2655,0.071231,3.5836),(1445,2665,0.071637,3.5825),(1445,2675,0.072042,3.5814),(1445,2685,0.072437,3.5804),(1445,2695,0.072832,3.5793),(1445,2705,0.073227,3.5781),(1445,2715,0.073619,3.577),(1445,2725,0.074001,3.5759),(1445,2735,0.074382,3.5748),(1445,2745,0.074764,3.5736),(1445,2755,0.075142,3.5725),(1445,2765,0.075509,3.5713),(1445,2775,0.075875,3.5702),(1445,2785,0.076242,3.569),(1445,2795,0.076603,3.5678),(1445,2805,0.076953,3.5666),(1445,2815,0.077302,3.5655),(1445,2825,0.077652,3.5642),(1445,2835,0.077995,3.563),(1445,2845,0.078325,3.5618),(1445,2855,0.078655,3.5606),(1445,2865,0.078986,3.5594),(1445,2875,0.079308,3.5581),(1445,2885,0.079617,3.5569),(1445,2895,0.079926,3.5557),(1445,2905,0.080234,3.5544),(1445,2915,0.080534,3.5531),(1445,2925,0.080819,3.5519),(1445,2935,0.081104,3.5506),(1445,2945,0.081389,3.5493),(1445,2955,0.081663,3.548),(1445,2965,0.081923,3.5468),(1445,2975,0.082182,3.5455),(1445,2985,0.082442,3.5442),(1445,2995,0.082688,3.5428),(1445,3005,0.082919,3.5415),(1445,3015,0.083151,3.5402),(1445,3025,0.083382,3.5389),(1445,3035,0.083598,3.5376),(1445,3045,0.083799,3.5362),(1445,3055,0.084,3.5349),(1445,3065,0.084202,3.5336),(1445,3075,0.084385,3.5322),(1445,3085,0.084554,3.5309),(1445,3095,0.084722,3.5295),(1445,3105,0.084891,3.5282),(1445,3115,0.085039,3.5268),(1445,3125,0.085173,3.5254),(1445,3135,0.085307,3.5241),(1445,3145,0.085441,3.5227),(1445,3155,0.085551,3.5213),(1445,3165,0.085648,3.52),(1445,3175,0.085744,3.5186),(1445,3185,0.085841,3.5172),(1445,3195,0.085911,3.5158),(1445,3205,0.085968,3.5144),(1445,3215,0.086025,3.513),(1445,3225,0.086082,3.5116),(1445,3235,0.086109,3.5103),(1445,3245,0.086124,3.5089),(1445,3255,0.08614,3.5075),(1445,3265,0.086155,3.5061),(1445,3275,0.086136,3.5047),(1445,3285,0.086107,3.5033),(1445,3295,0.086078,3.5019),(1445,3305,0.086049,3.5005),(1445,3315,0.085982,3.4991),(1445,3325,0.085906,3.4977),(1445,3335,0.085831,3.4963),(1445,3345,0.085755,3.4949),(1445,3355,0.085638,3.4935),(1445,3365,0.085514,3.4921),(1445,3375,0.085389,3.4907),(1445,3385,0.085265,3.4893),(1445,3395,0.085095,3.4879),(1445,3405,0.084919,3.4865),(1445,3415,0.084743,3.4852),(1445,3425,0.084568,3.4838),(1445,3435,0.084343,3.4824),(1445,3445,0.084114,3.481),(1445,3455,0.083884,3.4796),(1445,3465,0.083655,3.4782),(1445,3475,0.083373,3.4769),(1445,3485,0.083088,3.4755),(1445,3495,0.082803,3.4741),(1445,3505,0.082518,3.4728),(1445,3515,0.082176,3.4714),(1445,3525,0.081833,3.47),(1445,3535,0.081491,3.4687),(1445,3545,0.081146,3.4673),(1445,3555,0.080744,3.466),(1445,3565,0.080342,3.4646),(1445,3575,0.07994,3.4633),(1445,3585,0.079532,3.462),(1445,3595,0.079069,3.4607),(1445,3605,0.078605,3.4593),(1445,3615,0.078141,3.458),(1445,3625,0.07767,3.4567),(1445,3635,0.077143,3.4554),(1445,3645,0.076616,3.4541),(1445,3655,0.076088,3.4528),(1445,3665,0.075551,3.4515),(1445,3675,0.074958,3.4502),(1445,3685,0.074366,3.4489),(1445,3695,0.073773,3.4477),(1445,3705,0.073167,3.4464),(1445,3715,0.072507,3.4451),(1445,3725,0.071848,3.4439),(1445,3735,0.071188,3.4426),(1445,3745,0.070512,3.4414),(1445,3755,0.069784,3.4402),(1445,3765,0.069056,3.4389),(1445,3775,0.068328,3.4377),(1445,3785,0.06758,3.4365),(1445,3795,0.066782,3.4353),(1445,3805,0.065984,3.4341),(1445,3815,0.065185,3.4329),(1445,3825,0.064364,3.4317),(1445,3835,0.063495,3.4305),(1445,3845,0.062626,3.4293),(1445,3855,0.061757,3.4282),(1445,3865,0.060862,3.427),(1445,3875,0.059921,3.4259),(1445,3885,0.058981,3.4247),(1445,3895,0.05804,3.4236),(1445,3905,0.067288,3.4225),(1445,3915,0.091754,3.4214),(1445,3925,0.11622,3.4195),(1445,3935,0.14069,3.4166),(1445,3945,0.16817,3.4137),(1445,3955,0.19949,3.4109),(1445,3965,0.2308,3.4071),(1445,3975,0.26211,3.4024),(1445,3985,0.28126,3.3977),(1445,3995,0.28724,3.3929),(1445,4005,0.29322,3.3881),(1445,4015,0.2992,3.3831),(1445,4025,0.305,3.3782),(1445,4035,0.31078,3.3731),(1445,4045,0.31656,3.3678),(1445,4055,0.32188,3.3625),(1445,4065,0.32703,3.3572),(1445,4075,0.33218,3.3515),(1445,4085,0.33678,3.3459),(1445,4095,0.34093,3.3402),(1445,4105,0.34509,3.3342),(1445,4115,0.33588,3.3281),(1445,4125,0.30451,3.3221),(1445,4135,0.27314,3.3173),(1445,4145,0.24074,3.313),(1445,4155,0.20416,3.3086),(1445,4165,0.16759,3.3053),(1445,4175,0.13305,3.3028),(1445,4185,0.19959,3.3002),(1445,4195,0.26612,3.296),(1445,4205,0.33265,3.2897),(1445,4215,0.33115,3.2833),(1445,4225,0.31684,3.2772),(1445,4235,0.30252,3.2719),(1445,4245,0.27926,3.2666),(1445,4255,0.25145,3.2615),(1445,4265,0.22364,3.2581),(1445,4275,0.18605,3.2547),(1445,4285,0.13807,3.2514),(1445,4295,0.0901,3.2503),(1445,4305,0.083631,3.2495),(1445,4315,0.17088,3.2488),(1445,4325,0.25814,3.2445),(1445,4335,0.33533,3.2388),(1445,4345,0.34439,3.2332),(1445,4355,0.35346,3.2271),(1445,4365,0.36253,3.2206),(1445,4375,0.36043,3.2141),(1445,4385,0.35776,3.2073),(1445,4395,0.35508,3.2002),(1445,4405,0.3056,3.193),(1445,4415,0.24233,3.1865),(1445,4425,0.17905,3.1828),(1445,4435,0.15753,3.1792),(1445,4445,0.16454,3.1756),(1445,4455,0.17155,3.1724),(1445,4465,0.21361,3.1691),(1445,4475,0.30489,3.1659),(1445,4485,0.39618,3.1582),(1445,4495,0.46966,3.1497),(1445,4505,0.48604,3.1411),(1445,4515,0.50242,3.132),(1445,4525,0.51751,3.1226),(1445,4535,0.51224,3.1132),(1445,4545,0.50697,3.1041),(1445,4555,0.50171,3.0954),(1445,4565,0.37057,3.0867),(1445,4575,0.22247,3.0803),(1445,4585,0.074359,3.0795),(1445,4595,0.070617,3.0787),(1445,4605,0.12787,3.0775),(1445,4615,0.18513,3.0727),(1445,4625,0.24532,3.0678),(1445,4635,0.30819,3.063),(1445,4645,0.37105,3.0553),(1445,4655,0.43082,3.0473),(1445,4665,0.48477,3.0393),(1445,4675,0.53872,3.0303),(1445,4685,0.5637,3.021),(1445,4695,0.44548,3.0117),(1445,4705,0.32726,3.006),(1445,4715,0.20904,3.0028),(1445,4725,0.27832,2.9996),(1445,4735,0.34946,2.9945),(1445,4745,0.42061,2.9866),(1445,4755,0.51306,2.9786),(1445,4765,0.61045,2.97),(1445,4775,0.70783,2.9588),(1445,4785,0.7575,2.9475),(1445,4795,0.77957,2.9363),(1445,4805,0.80164,2.9256),(1445,4815,0.77828,2.915),(1445,4825,0.70058,2.9043),(1445,4835,0.62289,2.897),(1445,4845,0.53592,2.8901),(1445,4855,0.42477,2.8833),(1445,4865,0.31363,2.8784),(1445,4875,0.23272,2.8742),(1445,4885,0.42693,2.87),(1445,4895,0.62114,2.8608),(1445,4905,0.81535,2.8466),(1445,4915,0.81695,2.8325),(1445,4925,0.80199,2.8187),(1445,4935,0.78703,2.8058),(1445,4945,0.72031,2.7928),(1445,4955,0.63565,2.7805),(1445,4965,0.55099,2.7718),(1445,4975,0.42947,2.7631),(1445,4985,0.27949,2.7545),(1445,4995,0.12951,2.7535),(1445,5005,0.12572,2.7528),(1445,5015,0.35432,2.752),(1445,5025,0.58291,2.7431),(1445,5035,0.78462,2.7321),(1445,5045,0.88387,2.7211),(1445,5055,0.98312,2.7082),(1445,5065,1.0801,2.6941),(1445,5075,1.1041,2.68),(1445,5085,1.1281,2.666),(1445,5095,1.1521,2.6522),(1445,5105,1.0155,2.6385),(1445,5115,0.85082,2.6265),(1445,5125,0.68618,2.6194),(1445,5135,0.58436,2.6124),(1445,5145,0.51303,2.6054),(1445,5155,0.4417,2.5989),(1445,5165,0.51866,2.5924),(1445,5175,0.74686,2.586),(1445,5185,0.97506,2.5708),(1445,5195,1.1392,2.5547),(1445,5205,1.1651,2.5387),(1445,5215,1.1911,2.5229),(1445,5225,1.2103,2.5073),(1445,5235,1.1876,2.4916),(1445,5245,1.1649,2.4772),(1445,5255,1.1422,2.4638),(1445,5265,0.79845,2.4504),(1445,5275,0.44151,2.4419),(1445,5285,0.084574,2.4417),(1445,5295,0.17262,2.4414),(1445,5305,0.38458,2.4387),(1445,5315,0.59654,2.4258),(1445,5325,0.7642,2.4128),(1445,5335,0.9028,2.3998),(1445,5345,1.0414,2.3837),(1445,5355,1.1455,2.3676),(1445,5365,1.2031,2.3514),(1445,5375,1.2607,2.3358),(1445,5385,1.2306,2.3202),(1445,5395,0.9336,2.3046),(1445,5405,0.63662,2.2967),(1445,5415,0.36258,2.2928),(1445,5425,0.39672,2.2888),(1445,5435,0.43086,2.2814),(1445,5445,0.46499,2.2702),(1445,5455,0.56508,2.2591),(1445,5465,0.67322,2.2456),(1445,5475,0.78137,2.227),(1445,5485,0.83168,2.2083),(1445,5495,0.8587,2.1895),(1445,5505,0.88573,2.17),(1445,5515,0.91404,2.1505),(1445,5525,0.94347,2.131),(1445,5535,0.97289,2.1108),(1445,5545,1.0025,2.0905),(1445,5555,1.0324,2.0701),(1445,5565,1.0623,2.0493),(1445,5575,1.0922,2.0282),(1445,5585,1.122,2.0071),(1445,5595,1.1517,1.9858),(1445,5605,1.1815,1.9643),(1445,5615,1.2107,1.9429),(1445,5625,1.24,1.9212),(1445,5635,1.2692,1.8994),(1445,5645,1.2978,1.8776),(1445,5655,1.3263,1.8557),(1445,5665,1.3548,1.8337),(1445,5675,1.3826,1.8117),(1445,5685,1.4101,1.7897),(1445,5695,1.4375,1.7677),(1445,5705,1.4645,1.7458),(1445,5715,1.4907,1.7238),(1445,5725,1.517,1.702),(1445,5735,1.5429,1.6801),(1445,5745,1.5678,1.6582),(1445,5755,1.5928,1.6365),(1445,5765,1.6176,1.6148),(1445,5775,1.6411,1.5931),(1445,5785,1.6647,1.5715),(1445,5795,1.6882,1.5501),(1445,5805,1.7104,1.5286),(1445,5815,1.7326,1.5073),(1445,5825,1.7547,1.4862),(1445,5835,1.7757,1.465),(1445,5845,1.7964,1.4439),(1445,5855,1.8171,1.4231),(1445,5865,1.837,1.4022),(1445,5875,1.8563,1.3814),(1445,5885,1.8756,1.3608),(1445,5895,1.8944,1.3402),(1445,5905,1.9123,1.3197),(1445,5915,1.9302,1.2994),(1445,5925,1.9479,1.2791),(1445,5935,1.9646,1.2589),(1445,5945,1.9812,1.2389),(1445,5955,1.9979,1.219),(1445,5965,2.0138,1.199),(1445,5975,2.0298,1.1792),(1445,5985,2.0457,1.1596),(1445,5995,1.5661,1.1399),(1445,6005,1.0066,1.1249),(1445,6015,0.44718,1.1224),(1445,6025,0.4192,1.1198),(1445,6035,0.63772,1.1162),(1445,6045,0.85623,1.1024),(1445,6055,1.0172,1.0886),(1445,6065,1.1216,1.0747),(1445,6075,1.2261,1.0566),(1445,6085,1.2984,1.038),(1445,6095,1.3045,1.0195),(1445,6105,1.3106,1.0007),(1445,6115,1.3166,0.98191),(1445,6125,1.3225,0.96307),(1445,6135,1.3283,0.94417),(1445,6145,1.3341,0.9252),(1445,6155,1.3395,0.90624),(1445,6165,1.345,0.88719),(1445,6175,1.3504,0.86799),(1445,6185,1.3556,0.8488),(1445,6195,1.3607,0.82959),(1445,6205,1.3657,0.8103),(1445,6215,1.3706,0.791),(1445,6225,1.3753,0.77171),(1445,6235,1.3801,0.75235),(1445,6245,1.3846,0.733),(1445,6255,1.389,0.71364),(1445,6265,1.3934,0.69407),(1445,6275,1.3977,0.67446),(1445,6285,1.4017,0.65485),(1445,6295,1.4057,0.6351),(1445,6305,1.4097,0.61527),(1445,6315,1.4133,0.59544),(1445,6325,1.4169,0.57561),(1445,6335,1.4206,0.55576),(1445,6345,1.4239,0.53592),(1445,6355,1.4271,0.51604),(1445,6365,1.4304,0.49611),(1445,6375,1.4333,0.47618),(1445,6385,1.4361,0.45623),(1445,6395,1.439,0.43612),(1445,6405,1.4416,0.41602),(1445,6415,1.444,0.39592),(1445,6425,1.4464,0.37579),(1445,6435,1.4487,0.35567),(1445,6445,1.4507,0.33554),(1445,6455,1.4527,0.31546),(1445,6465,1.4547,0.29538),(1445,6475,1.4563,0.2753),(1445,6485,1.458,0.25517),(1445,6495,1.4596,0.23501),(1445,6505,1.4609,0.21484),(1445,6515,1.4622,0.19462),(1445,6525,1.4634,0.17432),(1445,6535,1.4643,0.15403),(1445,6545,1.4652,0.13374),(1445,6555,1.4661,0.11346),(1445,6565,1.4666,0.093184),(1445,6575,1.4671,0.072909),(1445,6585,1.4675,0.052664),(1445,6595,1.2483,0.03242),(1445,6605,0.78664,0.012176),(1445,6615,0.32498,0.009804),(1445,6625,0.000448,0.009728),(1445,6635,0.00045,0.009653),(1445,6645,0.000453,0.009626),(1445,6655,0.000455,0.009618),(1445,6665,0.000458,0.00961),(1445,6675,0.00046,0.009602),(1445,6685,0.000463,0.009594),(1445,6695,0.000465,0.009586),(1445,6705,0.000467,0.009579),(1445,6715,0.00047,0.009571),(1445,6725,0.000472,0.009563),(1445,6735,0.000474,0.009555),(1445,6745,0.000476,0.009547),(1445,6755,0.000478,0.009539),(1445,6765,0.000481,0.009531),(1445,6775,0.000483,0.009523),(1445,6785,0.000485,0.009515),(1445,6795,0.000487,0.009507),(1445,6805,0.000489,0.009499),(1445,6815,0.000491,0.009491),(1445,6825,0.000493,0.009483),(1445,6835,0.000495,0.009475),(1445,6845,0.000497,0.009467),(1445,6855,0.000498,0.009459),(1445,6865,0.0005,0.009451),(1445,6875,0.000502,0.009443),(1445,6885,0.000504,0.009435),(1445,6895,0.000506,0.009427),(1445,6905,0.000507,0.009419),(1445,6915,0.000509,0.009411),(1445,6925,0.000511,0.009403),(1445,6935,0.000512,0.009394),(1445,6945,0.000514,0.009386),(1445,6955,0.000516,0.009378),(1445,6965,0.000517,0.00937),(1445,6975,0.000519,0.009362),(1445,6985,0.00052,0.009353),(1455,5,5.7e-05,3.6744),(1455,15,0.000172,3.6744),(1455,25,0.000287,3.6744),(1455,35,0.000401,3.6744),(1455,45,0.000516,3.6744),(1455,55,0.000631,3.6744),(1455,65,0.000746,3.6744),(1455,75,0.000861,3.6744),(1455,85,0.000976,3.6744),(1455,95,0.001091,3.6744),(1455,105,0.001207,3.6744),(1455,115,0.001323,3.6743),(1455,125,0.001438,3.6743),(1455,135,0.001554,3.6743),(1455,145,0.00167,3.6743),(1455,155,0.001787,3.6743),(1455,165,0.001904,3.6743),(1455,175,0.00202,3.6742),(1455,185,0.002138,3.6742),(1455,195,0.002255,3.6742),(1455,205,0.002373,3.6742),(1455,215,0.002491,3.6742),(1455,225,0.002609,3.6741),(1455,235,0.002728,3.6741),(1455,245,0.002847,3.6741),(1455,255,0.002966,3.6741),(1455,265,0.003086,3.674),(1455,275,0.003206,3.674),(1455,285,0.003327,3.674),(1455,295,0.003447,3.6739),(1455,305,0.003569,3.6739),(1455,315,0.003691,3.6739),(1455,325,0.003813,3.6738),(1455,335,0.003935,3.6738),(1455,345,0.004059,3.6738),(1455,355,0.004183,3.6737),(1455,365,0.004307,3.6737),(1455,375,0.004431,3.6736),(1455,385,0.004557,3.6736),(1455,395,0.004684,3.6735),(1455,405,0.00481,3.6735),(1455,415,0.004936,3.6735),(1455,425,0.005065,3.6734),(1455,435,0.005194,3.6734),(1455,445,0.005323,3.6733),(1455,455,0.005452,3.6733),(1455,465,0.005584,3.6732),(1455,475,0.005715,3.6732),(1455,485,0.005847,3.6731),(1455,495,0.005978,3.673),(1455,505,0.006113,3.673),(1455,515,0.006248,3.6729),(1455,525,0.006382,3.6729),(1455,535,0.006517,3.6728),(1455,545,0.006655,3.6727),(1455,555,0.006793,3.6727),(1455,565,0.006931,3.6726),(1455,575,0.007069,3.6725),(1455,585,0.00721,3.6725),(1455,595,0.007351,3.6724),(1455,605,0.007493,3.6723),(1455,615,0.007635,3.6722),(1455,625,0.00778,3.6722),(1455,635,0.007925,3.6721),(1455,645,0.00807,3.672),(1455,655,0.008216,3.6719),(1455,665,0.008365,3.6719),(1455,675,0.008514,3.6718),(1455,685,0.008663,3.6717),(1455,695,0.008813,3.6716),(1455,705,0.008966,3.6715),(1455,715,0.00912,3.6714),(1455,725,0.009273,3.6713),(1455,735,0.009428,3.6712),(1455,745,0.009586,3.6712),(1455,755,0.009744,3.6711),(1455,765,0.009902,3.671),(1455,775,0.010061,3.6709),(1455,785,0.010223,3.6708),(1455,795,0.010386,3.6707),(1455,805,0.010549,3.6706),(1455,815,0.010713,3.6704),(1455,825,0.010881,3.6703),(1455,835,0.011049,3.6702),(1455,845,0.011216,3.6701),(1455,855,0.011386,3.67),(1455,865,0.011559,3.6699),(1455,875,0.011732,3.6698),(1455,885,0.011905,3.6697),(1455,895,0.012081,3.6695),(1455,905,0.012259,3.6694),(1455,915,0.012438,3.6693),(1455,925,0.012617,3.6692),(1455,935,0.012798,3.669),(1455,945,0.012983,3.6689),(1455,955,0.013168,3.6688),(1455,965,0.013352,3.6686),(1455,975,0.01354,3.6685),(1455,985,0.013731,3.6684),(1455,995,0.013921,3.6682),(1455,1005,0.014112,3.6681),(1455,1015,0.014306,3.6679),(1455,1025,0.014503,3.6678),(1455,1035,0.0147,3.6676),(1455,1045,0.014897,3.6675),(1455,1055,0.015098,3.6673),(1455,1065,0.015302,3.6672),(1455,1075,0.015506,3.667),(1455,1085,0.01571,3.6669),(1455,1095,0.015918,3.6667),(1455,1105,0.016128,3.6665),(1455,1115,0.016339,3.6664),(1455,1125,0.01655,3.6662),(1455,1135,0.016765,3.666),(1455,1145,0.016983,3.6658),(1455,1155,0.017201,3.6657),(1455,1165,0.017419,3.6655),(1455,1175,0.017642,3.6653),(1455,1185,0.017868,3.6651),(1455,1195,0.018093,3.6649),(1455,1205,0.018318,3.6647),(1455,1215,0.018549,3.6645),(1455,1225,0.018782,3.6643),(1455,1235,0.019015,3.6641),(1455,1245,0.019248,3.6639),(1455,1255,0.019487,3.6637),(1455,1265,0.019728,3.6635),(1455,1275,0.019969,3.6633),(1455,1285,0.02021,3.6631),(1455,1295,0.020457,3.6628),(1455,1305,0.020706,3.6626),(1455,1315,0.020955,3.6624),(1455,1325,0.021205,3.6622),(1455,1335,0.021461,3.6619),(1455,1345,0.021718,3.6617),(1455,1355,0.021976,3.6615),(1455,1365,0.022233,3.6612),(1455,1375,0.022498,3.661),(1455,1385,0.022764,3.6607),(1455,1395,0.02303,3.6605),(1455,1405,0.023296,3.6602),(1455,1415,0.02357,3.66),(1455,1425,0.023845,3.6597),(1455,1435,0.024119,3.6594),(1455,1445,0.024394,3.6592),(1455,1455,0.024677,3.6589),(1455,1465,0.024961,3.6586),(1455,1475,0.025244,3.6583),(1455,1485,0.025528,3.658),(1455,1495,0.025821,3.6578),(1455,1505,0.026113,3.6575),(1455,1515,0.026406,3.6572),(1455,1525,0.026699,3.6569),(1455,1535,0.027,3.6566),(1455,1545,0.027302,3.6563),(1455,1555,0.027604,3.6559),(1455,1565,0.027906,3.6556),(1455,1575,0.028217,3.6553),(1455,1585,0.028528,3.655),(1455,1595,0.028839,3.6546),(1455,1605,0.029151,3.6543),(1455,1615,0.029471,3.654),(1455,1625,0.029792,3.6536),(1455,1635,0.030112,3.6533),(1455,1645,0.030434,3.6529),(1455,1655,0.030764,3.6526),(1455,1665,0.031094,3.6522),(1455,1675,0.031424,3.6518),(1455,1685,0.031755,3.6514),(1455,1695,0.032094,3.6511),(1455,1705,0.032433,3.6507),(1455,1715,0.032772,3.6503),(1455,1725,0.033114,3.6499),(1455,1735,0.033462,3.6495),(1455,1745,0.03381,3.6491),(1455,1755,0.034158,3.6487),(1455,1765,0.034509,3.6483),(1455,1775,0.034866,3.6479),(1455,1785,0.035224,3.6474),(1455,1795,0.035581,3.647),(1455,1805,0.035942,3.6466),(1455,1815,0.036308,3.6461),(1455,1825,0.036675,3.6457),(1455,1835,0.037041,3.6452),(1455,1845,0.037411,3.6448),(1455,1855,0.037786,3.6443),(1455,1865,0.038161,3.6438),(1455,1875,0.038537,3.6434),(1455,1885,0.038916,3.6429),(1455,1895,0.0393,3.6424),(1455,1905,0.039684,3.6419),(1455,1915,0.040068,3.6414),(1455,1925,0.040455,3.6409),(1455,1935,0.040848,3.6404),(1455,1945,0.04124,3.6399),(1455,1955,0.041632,3.6393),(1455,1965,0.042029,3.6388),(1455,1975,0.042429,3.6383),(1455,1985,0.04283,3.6377),(1455,1995,0.04323,3.6372),(1455,2005,0.043634,3.6366),(1455,2015,0.044043,3.6361),(1455,2025,0.044451,3.6355),(1455,2035,0.044859,3.6349),(1455,2045,0.045271,3.6343),(1455,2055,0.045686,3.6337),(1455,2065,0.046102,3.6331),(1455,2075,0.046517,3.6325),(1455,2085,0.046936,3.6319),(1455,2095,0.047358,3.6313),(1455,2105,0.04778,3.6307),(1455,2115,0.048202,3.63),(1455,2125,0.048628,3.6294),(1455,2135,0.049055,3.6287),(1455,2145,0.049483,3.6281),(1455,2155,0.049911,3.6274),(1455,2165,0.050342,3.6267),(1455,2175,0.050775,3.6261),(1455,2185,0.051208,3.6254),(1455,2195,0.051641,3.6247),(1455,2205,0.052077,3.624),(1455,2215,0.052515,3.6233),(1455,2225,0.052953,3.6226),(1455,2235,0.05339,3.6218),(1455,2245,0.05383,3.6211),(1455,2255,0.054272,3.6204),(1455,2265,0.054713,3.6196),(1455,2275,0.055154,3.6189),(1455,2285,0.055597,3.6181),(1455,2295,0.056041,3.6173),(1455,2305,0.056485,3.6165),(1455,2315,0.056928,3.6158),(1455,2325,0.057374,3.615),(1455,2335,0.057819,3.6142),(1455,2345,0.058265,3.6133),(1455,2355,0.05871,3.6125),(1455,2365,0.059156,3.6117),(1455,2375,0.059602,3.6109),(1455,2385,0.060049,3.61),(1455,2395,0.060495,3.6092),(1455,2405,0.06094,3.6083),(1455,2415,0.061386,3.6074),(1455,2425,0.061831,3.6065),(1455,2435,0.062277,3.6057),(1455,2445,0.062721,3.6048),(1455,2455,0.063164,3.6039),(1455,2465,0.063608,3.603),(1455,2475,0.064051,3.602),(1455,2485,0.064491,3.6011),(1455,2495,0.064931,3.6002),(1455,2505,0.065372,3.5992),(1455,2515,0.065812,3.5983),(1455,2525,0.066247,3.5973),(1455,2535,0.066682,3.5963),(1455,2545,0.067118,3.5954),(1455,2555,0.067553,3.5944),(1455,2565,0.067982,3.5934),(1455,2575,0.068411,3.5924),(1455,2585,0.06884,3.5913),(1455,2595,0.069268,3.5903),(1455,2605,0.069689,3.5893),(1455,2615,0.07011,3.5883),(1455,2625,0.070531,3.5872),(1455,2635,0.070951,3.5862),(1455,2645,0.071362,3.5851),(1455,2655,0.071773,3.584),(1455,2665,0.072185,3.5829),(1455,2675,0.072594,3.5819),(1455,2685,0.072994,3.5808),(1455,2695,0.073394,3.5797),(1455,2705,0.073793,3.5785),(1455,2715,0.07419,3.5774),(1455,2725,0.074577,3.5763),(1455,2735,0.074963,3.5752),(1455,2745,0.07535,3.574),(1455,2755,0.075732,3.5729),(1455,2765,0.076103,3.5717),(1455,2775,0.076475,3.5705),(1455,2785,0.076846,3.5694),(1455,2795,0.077212,3.5682),(1455,2805,0.077566,3.567),(1455,2815,0.077919,3.5658),(1455,2825,0.078273,3.5646),(1455,2835,0.078621,3.5634),(1455,2845,0.078955,3.5622),(1455,2855,0.07929,3.5609),(1455,2865,0.079624,3.5597),(1455,2875,0.07995,3.5585),(1455,2885,0.080263,3.5572),(1455,2895,0.080576,3.556),(1455,2905,0.080889,3.5547),(1455,2915,0.081192,3.5534),(1455,2925,0.081481,3.5522),(1455,2935,0.08177,3.5509),(1455,2945,0.082059,3.5496),(1455,2955,0.082337,3.5483),(1455,2965,0.0826,3.547),(1455,2975,0.082863,3.5457),(1455,2985,0.083126,3.5444),(1455,2995,0.083375,3.5431),(1455,3005,0.08361,3.5418),(1455,3015,0.083844,3.5405),(1455,3025,0.084079,3.5391),(1455,3035,0.084298,3.5378),(1455,3045,0.084502,3.5365),(1455,3055,0.084706,3.5351),(1455,3065,0.08491,3.5338),(1455,3075,0.085096,3.5324),(1455,3085,0.085267,3.5311),(1455,3095,0.085439,3.5297),(1455,3105,0.08561,3.5283),(1455,3115,0.08576,3.527),(1455,3125,0.085896,3.5256),(1455,3135,0.086033,3.5242),(1455,3145,0.086169,3.5228),(1455,3155,0.086281,3.5214),(1455,3165,0.086379,3.5201),(1455,3175,0.086478,3.5187),(1455,3185,0.086576,3.5173),(1455,3195,0.086648,3.5159),(1455,3205,0.086706,3.5145),(1455,3215,0.086765,3.5131),(1455,3225,0.086823,3.5117),(1455,3235,0.086851,3.5103),(1455,3245,0.086868,3.5089),(1455,3255,0.086884,3.5075),(1455,3265,0.0869,3.5061),(1455,3275,0.086882,3.5047),(1455,3285,0.086854,3.5033),(1455,3295,0.086825,3.5019),(1455,3305,0.086797,3.5004),(1455,3315,0.086731,3.499),(1455,3325,0.086655,3.4976),(1455,3335,0.08658,3.4962),(1455,3345,0.086505,3.4948),(1455,3355,0.086388,3.4934),(1455,3365,0.086263,3.492),(1455,3375,0.086139,3.4906),(1455,3385,0.086014,3.4892),(1455,3395,0.085844,3.4878),(1455,3405,0.085668,3.4864),(1455,3415,0.085492,3.485),(1455,3425,0.085316,3.4836),(1455,3435,0.08509,3.4822),(1455,3445,0.08486,3.4808),(1455,3455,0.084631,3.4794),(1455,3465,0.084401,3.478),(1455,3475,0.084117,3.4766),(1455,3485,0.083831,3.4752),(1455,3495,0.083546,3.4738),(1455,3505,0.08326,3.4724),(1455,3515,0.082916,3.4711),(1455,3525,0.082573,3.4697),(1455,3535,0.082229,3.4683),(1455,3545,0.081883,3.467),(1455,3555,0.081479,3.4656),(1455,3565,0.081076,3.4642),(1455,3575,0.080673,3.4629),(1455,3585,0.080264,3.4615),(1455,3595,0.079799,3.4602),(1455,3605,0.079334,3.4589),(1455,3615,0.078868,3.4575),(1455,3625,0.078395,3.4562),(1455,3635,0.077867,3.4549),(1455,3645,0.077338,3.4536),(1455,3655,0.076809,3.4522),(1455,3665,0.07627,3.4509),(1455,3675,0.075676,3.4496),(1455,3685,0.075082,3.4483),(1455,3695,0.074488,3.4471),(1455,3705,0.07388,3.4458),(1455,3715,0.073219,3.4445),(1455,3725,0.072558,3.4432),(1455,3735,0.071898,3.442),(1455,3745,0.07122,3.4407),(1455,3755,0.070491,3.4394),(1455,3765,0.069761,3.4382),(1455,3775,0.069032,3.437),(1455,3785,0.068283,3.4357),(1455,3795,0.067483,3.4345),(1455,3805,0.066684,3.4333),(1455,3815,0.065885,3.4321),(1455,3825,0.065063,3.4309),(1455,3835,0.064193,3.4297),(1455,3845,0.063323,3.4285),(1455,3855,0.062453,3.4273),(1455,3865,0.061557,3.4261),(1455,3875,0.060616,3.4249),(1455,3885,0.059674,3.4238),(1455,3895,0.058733,3.4226),(1455,3905,0.068085,3.4215),(1455,3915,0.092815,3.4204),(1455,3925,0.11754,3.4185),(1455,3935,0.14227,3.4155),(1455,3945,0.17001,3.4126),(1455,3955,0.20157,3.4097),(1455,3965,0.23313,3.4059),(1455,3975,0.26469,3.4011),(1455,3985,0.28398,3.3963),(1455,3995,0.28998,3.3915),(1455,4005,0.29597,3.3866),(1455,4015,0.30197,3.3816),(1455,4025,0.30782,3.3765),(1455,4035,0.31366,3.3714),(1455,4045,0.3195,3.3661),(1455,4055,0.3249,3.3608),(1455,4065,0.33013,3.3554),(1455,4075,0.33537,3.3496),(1455,4085,0.34005,3.3439),(1455,4095,0.34428,3.3382),(1455,4105,0.34851,3.3321),(1455,4115,0.33924,3.326),(1455,4125,0.30757,3.3199),(1455,4135,0.2759,3.3151),(1455,4145,0.24319,3.3106),(1455,4155,0.20631,3.3062),(1455,4165,0.16942,3.3028),(1455,4175,0.13459,3.3001),(1455,4185,0.20184,3.2974),(1455,4195,0.26909,3.2931),(1455,4205,0.33634,3.2867),(1455,4215,0.33476,3.2803),(1455,4225,0.32023,3.2741),(1455,4235,0.30571,3.2689),(1455,4245,0.2821,3.2636),(1455,4255,0.2539,3.2585),(1455,4265,0.22569,3.2552),(1455,4275,0.18767,3.2519),(1455,4285,0.13923,3.2486),(1455,4295,0.090794,3.2476),(1455,4305,0.084296,3.2469),(1455,4315,0.1725,3.2462),(1455,4325,0.2607,3.2421),(1455,4335,0.33873,3.2367),(1455,4345,0.34796,3.2313),(1455,4355,0.3572,3.2253),(1455,4365,0.36643,3.2189),(1455,4375,0.36451,3.2124),(1455,4385,0.36201,3.2056),(1455,4395,0.35951,3.1983),(1455,4405,0.30957,3.1909),(1455,4415,0.24563,3.1842),(1455,4425,0.1817,3.1804),(1455,4435,0.15983,3.1765),(1455,4445,0.1667,3.1727),(1455,4455,0.17357,3.1693),(1455,4465,0.21595,3.1659),(1455,4475,0.3082,3.1626),(1455,4485,0.40045,3.1548),(1455,4495,0.4747,3.1461),(1455,4505,0.4912,3.1374),(1455,4515,0.50769,3.1281),(1455,4525,0.52288,3.1186),(1455,4535,0.51742,3.1091),(1455,4545,0.51196,3.0999),(1455,4555,0.5065,3.091),(1455,4565,0.37415,3.0822),(1455,4575,0.22469,3.0757),(1455,4585,0.075234,3.0749),(1455,4595,0.071634,3.074),(1455,4605,0.12966,3.0727),(1455,4615,0.18769,3.0678),(1455,4625,0.24853,3.0628),(1455,4635,0.31191,3.0578),(1455,4645,0.3753,3.0498),(1455,4655,0.43543,3.0417),(1455,4665,0.48944,3.0336),(1455,4675,0.54344,3.0246),(1455,4685,0.56829,3.0154),(1455,4695,0.44908,3.0061),(1455,4705,0.32987,3.0005),(1455,4715,0.21066,2.9974),(1455,4725,0.28084,2.9943),(1455,4735,0.35292,2.9893),(1455,4745,0.425,2.9815),(1455,4755,0.51786,2.9736),(1455,4765,0.61555,2.965),(1455,4775,0.71323,2.9539),(1455,4785,0.76281,2.9427),(1455,4795,0.78456,2.9316),(1455,4805,0.80631,2.921),(1455,4815,0.78249,2.9103),(1455,4825,0.70417,2.8996),(1455,4835,0.62586,2.8923),(1455,4845,0.53843,2.8854),(1455,4855,0.42726,2.8785),(1455,4865,0.31608,2.8735),(1455,4875,0.2353,2.8693),(1455,4885,0.43112,2.8652),(1455,4895,0.62694,2.8559),(1455,4905,0.82275,2.8418),(1455,4915,0.82424,2.8277),(1455,4925,0.80902,2.814),(1455,4935,0.7938,2.801),(1455,4945,0.7265,2.788),(1455,4955,0.64114,2.7757),(1455,4965,0.55578,2.767),(1455,4975,0.43324,2.7583),(1455,4985,0.28198,2.7496),(1455,4995,0.13073,2.7487),(1455,5005,0.12671,2.7479),(1455,5015,0.35676,2.7471),(1455,5025,0.58681,2.7383),(1455,5035,0.78972,2.7273),(1455,5045,0.88922,2.7164),(1455,5055,0.98871,2.7035),(1455,5065,1.086,2.6895),(1455,5075,1.1097,2.6754),(1455,5085,1.1334,2.6615),(1455,5095,1.1571,2.6478),(1455,5105,1.0198,2.6341),(1455,5115,0.85425,2.6222),(1455,5125,0.68875,2.6151),(1455,5135,0.58686,2.6081),(1455,5145,0.51583,2.6012),(1455,5155,0.4448,2.5947),(1455,5165,0.52252,2.5882),(1455,5175,0.75196,2.5818),(1455,5185,0.98141,2.5667),(1455,5195,1.1463,2.5507),(1455,5205,1.1719,2.5347),(1455,5215,1.1976,2.519),(1455,5225,1.2165,2.5034),(1455,5235,1.1933,2.4878),(1455,5245,1.1701,2.4734),(1455,5255,1.1469,2.4601),(1455,5265,0.8018,2.4468),(1455,5275,0.44344,2.4383),(1455,5285,0.085072,2.438),(1455,5295,0.17453,2.4377),(1455,5305,0.3887,2.435),(1455,5315,0.60287,2.4221),(1455,5325,0.77141,2.4092),(1455,5335,0.91003,2.3962),(1455,5345,1.0487,2.3801),(1455,5355,1.1526,2.364),(1455,5365,1.2097,2.348),(1455,5375,1.2667,2.3324),(1455,5385,1.2358,2.3169),(1455,5395,0.93749,2.3014),(1455,5405,0.63914,2.2935),(1455,5415,0.36394,2.2896),(1455,5425,0.39993,2.2857),(1455,5435,0.43592,2.2782),(1455,5445,0.4719,2.267),(1455,5455,0.57343,2.2557),(1455,5465,0.68296,2.2421),(1455,5475,0.79249,2.2233),(1455,5485,0.84327,2.2045),(1455,5495,0.87039,2.1856),(1455,5505,0.89751,2.166),(1455,5515,0.92589,2.1464),(1455,5525,0.95537,2.1267),(1455,5535,0.98485,2.1064),(1455,5545,1.0145,2.086),(1455,5555,1.0444,2.0656),(1455,5565,1.0743,2.0447),(1455,5575,1.1042,2.0236),(1455,5585,1.1339,2.0025),(1455,5595,1.1636,1.9811),(1455,5605,1.1933,1.9596),(1455,5615,1.2224,1.9382),(1455,5625,1.2516,1.9165),(1455,5635,1.2807,1.8947),(1455,5645,1.3092,1.8729),(1455,5655,1.3375,1.8511),(1455,5665,1.3659,1.8291),(1455,5675,1.3935,1.8072),(1455,5685,1.4208,1.7852),(1455,5695,1.4481,1.7633),(1455,5705,1.4749,1.7415),(1455,5715,1.5009,1.7196),(1455,5725,1.527,1.6978),(1455,5735,1.5527,1.676),(1455,5745,1.5774,1.6543),(1455,5755,1.6022,1.6326),(1455,5765,1.6268,1.611),(1455,5775,1.6501,1.5894),(1455,5785,1.6734,1.5679),(1455,5795,1.6967,1.5466),(1455,5805,1.7187,1.5253),(1455,5815,1.7406,1.5041),(1455,5825,1.7625,1.4831),(1455,5835,1.7834,1.4621),(1455,5845,1.8038,1.4411),(1455,5855,1.8243,1.4204),(1455,5865,1.844,1.3996),(1455,5875,1.8631,1.3789),(1455,5885,1.8821,1.3584),(1455,5895,1.9007,1.338),(1455,5905,1.9184,1.3176),(1455,5915,1.9362,1.2974),(1455,5925,1.9536,1.2773),(1455,5935,1.9701,1.2572),(1455,5945,1.9865,1.2373),(1455,5955,2.003,1.2175),(1455,5965,2.0188,1.1976),(1455,5975,2.0345,1.178),(1455,5985,2.0503,1.1584),(1455,5995,1.5695,1.1389),(1455,6005,1.0088,1.124),(1455,6015,0.44807,1.1215),(1455,6025,0.42104,1.119),(1455,6035,0.64154,1.1154),(1455,6045,0.86204,1.1015),(1455,6055,1.0243,1.0877),(1455,6065,1.1295,1.0738),(1455,6075,1.2347,1.0557),(1455,6085,1.3075,1.0372),(1455,6095,1.3136,1.0186),(1455,6105,1.3197,0.9999),(1455,6115,1.3258,0.98107),(1455,6125,1.3316,0.96224),(1455,6135,1.3375,0.94334),(1455,6145,1.3433,0.92437),(1455,6155,1.3488,0.90541),(1455,6165,1.3542,0.88637),(1455,6175,1.3597,0.86718),(1455,6185,1.3649,0.84799),(1455,6195,1.37,0.82879),(1455,6205,1.3751,0.80951),(1455,6215,1.38,0.79022),(1455,6225,1.3847,0.77094),(1455,6235,1.3895,0.7516),(1455,6245,1.394,0.73226),(1455,6255,1.3984,0.71292),(1455,6265,1.4028,0.69337),(1455,6275,1.4071,0.67377),(1455,6285,1.4111,0.65418),(1455,6295,1.4151,0.63445),(1455,6305,1.4191,0.61464),(1455,6315,1.4228,0.59483),(1455,6325,1.4264,0.57502),(1455,6335,1.43,0.55519),(1455,6345,1.4333,0.53537),(1455,6355,1.4366,0.51552),(1455,6365,1.4399,0.49559),(1455,6375,1.4428,0.47567),(1455,6385,1.4457,0.45573),(1455,6395,1.4485,0.43564),(1455,6405,1.4512,0.41554),(1455,6415,1.4536,0.39545),(1455,6425,1.456,0.37535),(1455,6435,1.4583,0.35525),(1455,6445,1.4604,0.33515),(1455,6455,1.4624,0.31508),(1455,6465,1.4644,0.29503),(1455,6475,1.466,0.27498),(1455,6485,1.4677,0.25487),(1455,6495,1.4693,0.23472),(1455,6505,1.4706,0.21458),(1455,6515,1.4718,0.19438),(1455,6525,1.4731,0.17412),(1455,6535,1.474,0.15385),(1455,6545,1.4749,0.13358),(1455,6555,1.4757,0.11333),(1455,6565,1.4763,0.093076),(1455,6575,1.4767,0.072824),(1455,6585,1.4771,0.052598),(1455,6595,1.2565,0.032372),(1455,6605,0.79182,0.012146),(1455,6615,0.32712,0.009784),(1455,6625,0.000452,0.009719),(1455,6635,0.000455,0.009653),(1455,6645,0.000457,0.009628),(1455,6655,0.00046,0.00962),(1455,6665,0.000462,0.009612),(1455,6675,0.000465,0.009604),(1455,6685,0.000467,0.009596),(1455,6695,0.000469,0.009589),(1455,6705,0.000472,0.009581),(1455,6715,0.000474,0.009573),(1455,6725,0.000476,0.009565),(1455,6735,0.000478,0.009557),(1455,6745,0.000481,0.009549),(1455,6755,0.000483,0.009541),(1455,6765,0.000485,0.009533),(1455,6775,0.000487,0.009525),(1455,6785,0.000489,0.009517),(1455,6795,0.000491,0.009509),(1455,6805,0.000493,0.009501),(1455,6815,0.000495,0.009493),(1455,6825,0.000497,0.009485),(1455,6835,0.000499,0.009477),(1455,6845,0.000501,0.009469),(1455,6855,0.000503,0.009461),(1455,6865,0.000505,0.009453),(1455,6875,0.000507,0.009445),(1455,6885,0.000508,0.009437),(1455,6895,0.00051,0.009429),(1455,6905,0.000512,0.009421),(1455,6915,0.000513,0.009412),(1455,6925,0.000515,0.009404),(1455,6935,0.000517,0.009396),(1455,6945,0.000518,0.009388),(1455,6955,0.00052,0.00938),(1455,6965,0.000522,0.009371),(1455,6975,0.000523,0.009363),(1455,6985,0.000525,0.009355),(1465,5,5.7e-05,3.6745),(1465,15,0.000172,3.6745),(1465,25,0.000287,3.6745),(1465,35,0.000402,3.6745),(1465,45,0.000517,3.6745),(1465,55,0.000632,3.6745),(1465,65,0.000748,3.6745),(1465,75,0.000863,3.6745),(1465,85,0.000978,3.6745),(1465,95,0.001094,3.6745),(1465,105,0.00121,3.6745),(1465,115,0.001326,3.6745),(1465,125,0.001442,3.6744),(1465,135,0.001558,3.6744),(1465,145,0.001674,3.6744),(1465,155,0.001791,3.6744),(1465,165,0.001908,3.6744),(1465,175,0.002025,3.6744),(1465,185,0.002143,3.6743),(1465,195,0.00226,3.6743),(1465,205,0.002378,3.6743),(1465,215,0.002497,3.6743),(1465,225,0.002615,3.6743),(1465,235,0.002734,3.6742),(1465,245,0.002854,3.6742),(1465,255,0.002973,3.6742),(1465,265,0.003093,3.6741),(1465,275,0.003214,3.6741),(1465,285,0.003334,3.6741),(1465,295,0.003455,3.6741),(1465,305,0.003577,3.674),(1465,315,0.003699,3.674),(1465,325,0.003822,3.674),(1465,335,0.003944,3.6739),(1465,345,0.004068,3.6739),(1465,355,0.004193,3.6738),(1465,365,0.004317,3.6738),(1465,375,0.004442,3.6738),(1465,385,0.004568,3.6737),(1465,395,0.004695,3.6737),(1465,405,0.004822,3.6736),(1465,415,0.004948,3.6736),(1465,425,0.005078,3.6735),(1465,435,0.005207,3.6735),(1465,445,0.005336,3.6734),(1465,455,0.005465,3.6734),(1465,465,0.005597,3.6733),(1465,475,0.005729,3.6733),(1465,485,0.005861,3.6732),(1465,495,0.005993,3.6732),(1465,505,0.006128,3.6731),(1465,515,0.006263,3.6731),(1465,525,0.006398,3.673),(1465,535,0.006533,3.6729),(1465,545,0.006672,3.6729),(1465,555,0.00681,3.6728),(1465,565,0.006948,3.6727),(1465,575,0.007087,3.6727),(1465,585,0.007228,3.6726),(1465,595,0.00737,3.6725),(1465,605,0.007512,3.6725),(1465,615,0.007654,3.6724),(1465,625,0.0078,3.6723),(1465,635,0.007945,3.6722),(1465,645,0.008091,3.6722),(1465,655,0.008237,3.6721),(1465,665,0.008387,3.672),(1465,675,0.008536,3.6719),(1465,685,0.008686,3.6718),(1465,695,0.008837,3.6718),(1465,705,0.00899,3.6717),(1465,715,0.009144,3.6716),(1465,725,0.009298,3.6715),(1465,735,0.009453,3.6714),(1465,745,0.009612,3.6713),(1465,755,0.00977,3.6712),(1465,765,0.009929,3.6711),(1465,775,0.010089,3.671),(1465,785,0.010252,3.6709),(1465,795,0.010415,3.6708),(1465,805,0.010578,3.6707),(1465,815,0.010743,3.6706),(1465,825,0.010912,3.6705),(1465,835,0.01108,3.6704),(1465,845,0.011248,3.6703),(1465,855,0.011419,3.6702),(1465,865,0.011592,3.6701),(1465,875,0.011766,3.67),(1465,885,0.01194,3.6698),(1465,895,0.012116,3.6697),(1465,905,0.012295,3.6696),(1465,915,0.012475,3.6695),(1465,925,0.012654,3.6693),(1465,935,0.012836,3.6692),(1465,945,0.013022,3.6691),(1465,955,0.013207,3.669),(1465,965,0.013393,3.6688),(1465,975,0.013581,3.6687),(1465,985,0.013773,3.6686),(1465,995,0.013964,3.6684),(1465,1005,0.014156,3.6683),(1465,1015,0.014351,3.6681),(1465,1025,0.014549,3.668),(1465,1035,0.014747,3.6678),(1465,1045,0.014945,3.6677),(1465,1055,0.015146,3.6675),(1465,1065,0.015351,3.6674),(1465,1075,0.015556,3.6672),(1465,1085,0.015761,3.6671),(1465,1095,0.015969,3.6669),(1465,1105,0.016181,3.6667),(1465,1115,0.016393,3.6666),(1465,1125,0.016605,3.6664),(1465,1135,0.016821,3.6662),(1465,1145,0.01704,3.6661),(1465,1155,0.017259,3.6659),(1465,1165,0.017478,3.6657),(1465,1175,0.017703,3.6655),(1465,1185,0.017929,3.6653),(1465,1195,0.018156,3.6651),(1465,1205,0.018382,3.6649),(1465,1215,0.018614,3.6647),(1465,1225,0.018848,3.6646),(1465,1235,0.019083,3.6644),(1465,1245,0.019317,3.6642),(1465,1255,0.019557,3.6639),(1465,1265,0.019799,3.6637),(1465,1275,0.020042,3.6635),(1465,1285,0.020284,3.6633),(1465,1295,0.020533,3.6631),(1465,1305,0.020783,3.6629),(1465,1315,0.021034,3.6627),(1465,1325,0.021284,3.6624),(1465,1335,0.021542,3.6622),(1465,1345,0.0218,3.662),(1465,1355,0.022059,3.6617),(1465,1365,0.022318,3.6615),(1465,1375,0.022585,3.6612),(1465,1385,0.022853,3.661),(1465,1395,0.02312,3.6607),(1465,1405,0.023388,3.6605),(1465,1415,0.023663,3.6602),(1465,1425,0.02394,3.66),(1465,1435,0.024216,3.6597),(1465,1445,0.024493,3.6594),(1465,1455,0.024778,3.6592),(1465,1465,0.025063,3.6589),(1465,1475,0.025348,3.6586),(1465,1485,0.025634,3.6583),(1465,1495,0.025928,3.658),(1465,1505,0.026223,3.6578),(1465,1515,0.026517,3.6575),(1465,1525,0.026812,3.6572),(1465,1535,0.027116,3.6569),(1465,1545,0.027419,3.6566),(1465,1555,0.027723,3.6562),(1465,1565,0.028027,3.6559),(1465,1575,0.028341,3.6556),(1465,1585,0.028654,3.6553),(1465,1595,0.028967,3.6549),(1465,1605,0.029281,3.6546),(1465,1615,0.029604,3.6543),(1465,1625,0.029926,3.6539),(1465,1635,0.030249,3.6536),(1465,1645,0.030573,3.6532),(1465,1655,0.030905,3.6529),(1465,1665,0.031238,3.6525),(1465,1675,0.03157,3.6522),(1465,1685,0.031904,3.6518),(1465,1695,0.032245,3.6514),(1465,1705,0.032587,3.651),(1465,1715,0.032929,3.6506),(1465,1725,0.033272,3.6502),(1465,1735,0.033623,3.6499),(1465,1745,0.033974,3.6495),(1465,1755,0.034325,3.649),(1465,1765,0.034679,3.6486),(1465,1775,0.035039,3.6482),(1465,1785,0.035399,3.6478),(1465,1795,0.03576,3.6474),(1465,1805,0.036123,3.6469),(1465,1815,0.036492,3.6465),(1465,1825,0.036862,3.6461),(1465,1835,0.037231,3.6456),(1465,1845,0.037604,3.6451),(1465,1855,0.037982,3.6447),(1465,1865,0.038361,3.6442),(1465,1875,0.038739,3.6437),(1465,1885,0.039121,3.6433),(1465,1895,0.039508,3.6428),(1465,1905,0.039896,3.6423),(1465,1915,0.040283,3.6418),(1465,1925,0.040674,3.6413),(1465,1935,0.04107,3.6408),(1465,1945,0.041465,3.6403),(1465,1955,0.041861,3.6397),(1465,1965,0.042261,3.6392),(1465,1975,0.042665,3.638672),(1465,1985,0.043069,3.6381),(1465,1995,0.043473,3.6376),(1465,2005,0.043881,3.637),(1465,2015,0.044293,3.6365),(1465,2025,0.044705,3.6359),(1465,2035,0.045116,3.6353),(1465,2045,0.045532,3.6347),(1465,2055,0.045952,3.6341),(1465,2065,0.046371,3.6335),(1465,2075,0.04679,3.6329),(1465,2085,0.047213,3.6323),(1465,2095,0.047639,3.6317),(1465,2105,0.048065,3.6311),(1465,2115,0.048491,3.6305),(1465,2125,0.048921,3.6298),(1465,2135,0.049352,3.6292),(1465,2145,0.049784,3.6285),(1465,2155,0.050216,3.6278),(1465,2165,0.050652,3.6272),(1465,2175,0.051089,3.6265),(1465,2185,0.051526,3.6258),(1465,2195,0.051963,3.6251),(1465,2205,0.052404,3.6244),(1465,2215,0.052846,3.6237),(1465,2225,0.053288,3.623),(1465,2235,0.05373,3.6223),(1465,2245,0.054175,3.6215),(1465,2255,0.05462,3.6208),(1465,2265,0.055066,3.6201),(1465,2275,0.055512,3.6193),(1465,2285,0.05596,3.6185),(1465,2295,0.056408,3.6178),(1465,2305,0.056856,3.617),(1465,2315,0.057305,3.6162),(1465,2325,0.057755,3.6154),(1465,2335,0.058205,3.6146),(1465,2345,0.058655,3.6138),(1465,2355,0.059105,3.613),(1465,2365,0.059556,3.6121),(1465,2375,0.060007,3.6113),(1465,2385,0.060458,3.6105),(1465,2395,0.060909,3.6096),(1465,2405,0.061359,3.6087),(1465,2415,0.06181,3.6079),(1465,2425,0.06226,3.607),(1465,2435,0.062711,3.6061),(1465,2445,0.063159,3.6052),(1465,2455,0.063608,3.6043),(1465,2465,0.064056,3.6034),(1465,2475,0.064505,3.6025),(1465,2485,0.06495,3.6015),(1465,2495,0.065395,3.6006),(1465,2505,0.06584,3.5997),(1465,2515,0.066285,3.5987),(1465,2525,0.066725,3.5977),(1465,2535,0.067166,3.5968),(1465,2545,0.067606,3.5958),(1465,2555,0.068046,3.5948),(1465,2565,0.06848,3.5938),(1465,2575,0.068914,3.5928),(1465,2585,0.069348,3.5918),(1465,2595,0.069781,3.5908),(1465,2605,0.070207,3.5897),(1465,2615,0.070633,3.5887),(1465,2625,0.071059,3.5876),(1465,2635,0.071484,3.5866),(1465,2645,0.0719,3.5855),(1465,2655,0.072316,3.5844),(1465,2665,0.072732,3.5834),(1465,2675,0.073146,3.5823),(1465,2685,0.073551,3.5812),(1465,2695,0.073956,3.5801),(1465,2705,0.07436,3.5789),(1465,2715,0.074762,3.5778),(1465,2725,0.075153,3.5767),(1465,2735,0.075544,3.5756),(1465,2745,0.075935,3.5744),(1465,2755,0.076323,3.5732),(1465,2765,0.076698,3.5721),(1465,2775,0.077074,3.5709),(1465,2785,0.07745,3.5697),(1465,2795,0.07782,3.5685),(1465,2805,0.078178,3.5674),(1465,2815,0.078537,3.5662),(1465,2825,0.078895,3.5649),(1465,2835,0.079247,3.5637),(1465,2845,0.079585,3.5625),(1465,2855,0.079924,3.5613),(1465,2865,0.080263,3.56),(1465,2875,0.080593,3.5588),(1465,2885,0.08091,3.5575),(1465,2895,0.081227,3.5563),(1465,2905,0.081544,3.555),(1465,2915,0.081851,3.5537),(1465,2925,0.082144,3.5525),(1465,2935,0.082436,3.5512),(1465,2945,0.082729,3.5499),(1465,2955,0.08301,3.5486),(1465,2965,0.083277,3.5473),(1465,2975,0.083543,3.546),(1465,2985,0.08381,3.5447),(1465,2995,0.084062,3.5433),(1465,3005,0.0843,3.542),(1465,3015,0.084538,3.5407),(1465,3025,0.084776,3.5393),(1465,3035,0.084998,3.538),(1465,3045,0.085205,3.5367),(1465,3055,0.085412,3.5353),(1465,3065,0.085619,3.534),(1465,3075,0.085807,3.5326),(1465,3085,0.085981,3.5312),(1465,3095,0.086155,3.5299),(1465,3105,0.086329,3.5285),(1465,3115,0.086482,3.5271),(1465,3125,0.08662,3.5257),(1465,3135,0.086758,3.5243),(1465,3145,0.086897,3.5229),(1465,3155,0.08701,3.5216),(1465,3165,0.087111,3.5202),(1465,3175,0.087211,3.5188),(1465,3185,0.087312,3.5174),(1465,3195,0.087384,3.516),(1465,3205,0.087444,3.5146),(1465,3215,0.087504,3.5131),(1465,3225,0.087564,3.5117),(1465,3235,0.087593,3.5103),(1465,3245,0.087611,3.5089),(1465,3255,0.087628,3.5075),(1465,3265,0.087646,3.5061),(1465,3275,0.087628,3.5047),(1465,3285,0.087601,3.5032),(1465,3295,0.087573,3.5018),(1465,3305,0.087545,3.5004),(1465,3315,0.087479,3.499),(1465,3325,0.087404,3.4975),(1465,3335,0.087329,3.4961),(1465,3345,0.087254,3.4947),(1465,3355,0.087137,3.4933),(1465,3365,0.087013,3.4919),(1465,3375,0.086888,3.4904),(1465,3385,0.086764,3.489),(1465,3395,0.086593,3.4876),(1465,3405,0.086417,3.4862),(1465,3415,0.08624,3.4848),(1465,3425,0.086064,3.4834),(1465,3435,0.085838,3.4819),(1465,3445,0.085607,3.4805),(1465,3455,0.085377,3.4791),(1465,3465,0.085146,3.4777),(1465,3475,0.084862,3.4763),(1465,3485,0.084575,3.4749),(1465,3495,0.084289,3.4735),(1465,3505,0.084002,3.4721),(1465,3515,0.083657,3.4707),(1465,3525,0.083312,3.4693),(1465,3535,0.082967,3.468),(1465,3545,0.08262,3.4666),(1465,3555,0.082215,3.4652),(1465,3565,0.08181,3.4638),(1465,3575,0.081405,3.4625),(1465,3585,0.080995,3.4611),(1465,3595,0.080529,3.4597),(1465,3605,0.080062,3.4584),(1465,3615,0.079596,3.457),(1465,3625,0.079121,3.4557),(1465,3635,0.078591,3.4544),(1465,3645,0.07806,3.453),(1465,3655,0.07753,3.4517),(1465,3665,0.076989,3.4504),(1465,3675,0.076394,3.4491),(1465,3685,0.075798,3.4477),(1465,3695,0.075203,3.4464),(1465,3705,0.074594,3.4451),(1465,3715,0.073931,3.4438),(1465,3725,0.073269,3.4425),(1465,3735,0.072607,3.4413),(1465,3745,0.071928,3.44),(1465,3755,0.071197,3.4387),(1465,3765,0.070466,3.4375),(1465,3775,0.069736,3.4362),(1465,3785,0.068985,3.435),(1465,3795,0.068185,3.4337),(1465,3805,0.067385,3.4325),(1465,3815,0.066585,3.4312),(1465,3825,0.065762,3.43),(1465,3835,0.064891,3.4288),(1465,3845,0.06402,3.4276),(1465,3855,0.063149,3.4264),(1465,3865,0.062252,3.4252),(1465,3875,0.06131,3.424),(1465,3885,0.060368,3.4228),(1465,3895,0.059426,3.4217),(1465,3905,0.068883,3.4205),(1465,3915,0.093875,3.4193),(1465,3925,0.11887,3.4174),(1465,3935,0.14386,3.4145),(1465,3945,0.17185,3.4115),(1465,3955,0.20366,3.4086),(1465,3965,0.23547,3.4047),(1465,3975,0.26727,3.3998),(1465,3985,0.28669,3.3949),(1465,3995,0.29271,3.3901),(1465,4005,0.29873,3.3851),(1465,4015,0.30474,3.38),(1465,4025,0.31065,3.3749),(1465,4035,0.31655,3.3697),(1465,4045,0.32245,3.3643),(1465,4055,0.32792,3.359),(1465,4065,0.33324,3.3535),(1465,4075,0.33856,3.3478),(1465,4085,0.34332,3.342),(1465,4095,0.34763,3.3362),(1465,4105,0.35194,3.3301),(1465,4115,0.3426,3.3239),(1465,4125,0.31063,3.3178),(1465,4135,0.27866,3.3129),(1465,4145,0.24565,3.3083),(1465,4155,0.20845,3.3038),(1465,4165,0.17125,3.3003),(1465,4175,0.13613,3.2974),(1465,4185,0.20409,3.2946),(1465,4195,0.27205,3.2902),(1465,4205,0.34002,3.2837),(1465,4215,0.33837,3.2772),(1465,4225,0.32363,3.271),(1465,4235,0.30889,3.2658),(1465,4245,0.28495,3.2606),(1465,4255,0.25634,3.2555),(1465,4265,0.22774,3.2523),(1465,4275,0.18929,3.2491),(1465,4285,0.14039,3.2459),(1465,4295,0.091489,3.2449),(1465,4305,0.084961,3.2442),(1465,4315,0.17411,3.2436),(1465,4325,0.26326,3.2397),(1465,4335,0.34214,3.2346),(1465,4345,0.35154,3.2294),(1465,4355,0.36093,3.2236),(1465,4365,0.37033,3.2172),(1465,4375,0.36859,3.2108),(1465,4385,0.36627,3.2039),(1465,4395,0.36395,3.1964),(1465,4405,0.31354,3.1889),(1465,4415,0.24894,3.182),(1465,4425,0.18434,3.1779),(1465,4435,0.16212,3.1738),(1465,4445,0.16886,3.1698),(1465,4455,0.17559,3.1663),(1465,4465,0.21829,3.1627),(1465,4475,0.31151,3.1592),(1465,4485,0.40472,3.1513),(1465,4495,0.47974,3.1424),(1465,4505,0.49635,3.1336),(1465,4515,0.51297,3.1242),(1465,4525,0.52826,3.1146),(1465,4535,0.5226,3.1049),(1465,4545,0.51695,3.0956),(1465,4555,0.51129,3.0866),(1465,4565,0.37773,3.0777),(1465,4575,0.22692,3.0711),(1465,4585,0.076109,3.0702),(1465,4595,0.072651,3.0693),(1465,4605,0.13145,3.068),(1465,4615,0.19025,3.0628),(1465,4625,0.25173,3.0576),(1465,4635,0.31564,3.0524),(1465,4645,0.37955,3.0443),(1465,4655,0.44004,3.0361),(1465,4665,0.4941,3.0278),(1465,4675,0.54816,3.0188),(1465,4685,0.57289,3.0097),(1465,4695,0.45269,3.0005),(1465,4705,0.33249,2.9949),(1465,4715,0.21228,2.992),(1465,4725,0.28337,2.989),(1465,4735,0.35637,2.9841),(1465,4745,0.42938,2.9763),(1465,4755,0.52266,2.9686),(1465,4765,0.62065,2.9601),(1465,4775,0.71864,2.949),(1465,4785,0.76811,2.938),(1465,4795,0.78955,2.9269),(1465,4805,0.81098,2.9163),(1465,4815,0.7867,2.9057),(1465,4825,0.70777,2.895),(1465,4835,0.62883,2.8876),(1465,4845,0.54095,2.8807),(1465,4855,0.42974,2.8737),(1465,4865,0.31853,2.8687),(1465,4875,0.23789,2.8645),(1465,4885,0.43531,2.8603),(1465,4895,0.63273,2.8511),(1465,4905,0.83016,2.837),(1465,4915,0.83154,2.8229),(1465,4925,0.81605,2.8092),(1465,4935,0.80057,2.7962),(1465,4945,0.73268,2.7833),(1465,4955,0.64663,2.771),(1465,4965,0.56057,2.7623),(1465,4975,0.437,2.7535),(1465,4985,0.28447,2.7448),(1465,4995,0.13194,2.7438),(1465,5005,0.1277,2.743),(1465,5015,0.35921,2.7423),(1465,5025,0.59072,2.7334),(1465,5035,0.79483,2.7225),(1465,5045,0.89457,2.7116),(1465,5055,0.9943,2.6988),(1465,5065,1.0918,2.6849),(1465,5075,1.1153,2.6709),(1465,5085,1.1387,2.657),(1465,5095,1.1622,2.6434),(1465,5105,1.024,2.6297),(1465,5115,0.85768,2.6178),(1465,5125,0.69133,2.6108),(1465,5135,0.58935,2.6039),(1465,5145,0.51862,2.5969),(1465,5155,0.44789,2.5905),(1465,5165,0.52638,2.584),(1465,5175,0.75707,2.5776),(1465,5185,0.98775,2.5625),(1465,5195,1.1534,2.5466),(1465,5205,1.1788,2.5306),(1465,5215,1.2041,2.515),(1465,5225,1.2227,2.4994),(1465,5235,1.199,2.4839),(1465,5245,1.1753,2.4696),(1465,5255,1.1516,2.4563),(1465,5265,0.80515,2.443),(1465,5275,0.44536,2.4346),(1465,5285,0.085571,2.4343),(1465,5295,0.17644,2.4341),(1465,5305,0.39282,2.4313),(1465,5315,0.60919,2.4184),(1465,5325,0.77862,2.4055),(1465,5335,0.91726,2.3925),(1465,5345,1.0559,2.3765),(1465,5355,1.1596,2.3605),(1465,5365,1.2162,2.3445),(1465,5375,1.2727,2.329),(1465,5385,1.2411,2.3136),(1465,5395,0.94138,2.2981),(1465,5405,0.64165,2.2903),(1465,5415,0.36531,2.2864),(1465,5425,0.40314,2.2825),(1465,5435,0.44098,2.275),(1465,5445,0.47882,2.2637),(1465,5455,0.58178,2.2523),(1465,5465,0.6927,2.2386),(1465,5475,0.80362,2.2197),(1465,5485,0.85486,2.2007),(1465,5495,0.88208,2.1817),(1465,5505,0.90929,2.1619),(1465,5515,0.93774,2.1422),(1465,5525,0.96727,2.1225),(1465,5535,0.99681,2.102),(1465,5545,1.0265,2.0816),(1465,5555,1.0564,2.0611),(1465,5565,1.0863,2.0401),(1465,5575,1.1161,2.0189),(1465,5585,1.1458,1.9978),(1465,5595,1.1754,1.9764),(1465,5605,1.2051,1.955),(1465,5615,1.2341,1.9335),(1465,5625,1.2632,1.9119),(1465,5635,1.2922,1.8901),(1465,5645,1.3206,1.8683),(1465,5655,1.3488,1.8465),(1465,5665,1.377,1.8246),(1465,5675,1.4045,1.8027),(1465,5685,1.4316,1.7808),(1465,5695,1.4587,1.759),(1465,5705,1.4853,1.7372),(1465,5715,1.5112,1.7154),(1465,5725,1.5371,1.6937),(1465,5735,1.5625,1.672),(1465,5745,1.5871,1.6503),(1465,5755,1.6116,1.6287),(1465,5765,1.636,1.6073),(1465,5775,1.6591,1.5858),(1465,5785,1.6822,1.5644),(1465,5795,1.7053,1.5432),(1465,5805,1.727,1.522),(1465,5815,1.7487,1.5009),(1465,5825,1.7704,1.48),(1465,5835,1.791,1.4591),(1465,5845,1.8112,1.4383),(1465,5855,1.8315,1.4177),(1465,5865,1.851,1.397),(1465,5875,1.8698,1.3764),(1465,5885,1.8887,1.3561),(1465,5895,1.907,1.3358),(1465,5905,1.9246,1.3155),(1465,5915,1.9421,1.2954),(1465,5925,1.9593,1.2754),(1465,5935,1.9756,1.2554),(1465,5945,1.9919,1.2356),(1465,5955,2.0081,1.2159),(1465,5965,2.0237,1.1963),(1465,5975,2.0393,1.1767),(1465,5985,2.0548,1.1573),(1465,5995,1.5729,1.1379),(1465,6005,1.0109,1.1231),(1465,6015,0.44896,1.1206),(1465,6025,0.42289,1.1181),(1465,6035,0.64536,1.1145),(1465,6045,0.86784,1.1006),(1465,6055,1.0315,1.0868),(1465,6065,1.1374,1.073),(1465,6075,1.2433,1.0548),(1465,6085,1.3166,1.0363),(1465,6095,1.3227,1.0178),(1465,6105,1.3288,0.99904),(1465,6115,1.3349,0.98022),(1465,6125,1.3408,0.96139),(1465,6135,1.3466,0.94249),(1465,6145,1.3525,0.92354),(1465,6155,1.358,0.90458),(1465,6165,1.3635,0.88554),(1465,6175,1.369,0.86636),(1465,6185,1.3742,0.84718),(1465,6195,1.3793,0.82798),(1465,6205,1.3845,0.80871),(1465,6215,1.3894,0.78943),(1465,6225,1.3941,0.77016),(1465,6235,1.3989,0.75083),(1465,6245,1.4035,0.73151),(1465,6255,1.4078,0.71218),(1465,6265,1.4122,0.69265),(1465,6275,1.4165,0.67307),(1465,6285,1.4205,0.65349),(1465,6295,1.4245,0.63378),(1465,6305,1.4285,0.61399),(1465,6315,1.4322,0.59421),(1465,6325,1.4358,0.57442),(1465,6335,1.4395,0.55462),(1465,6345,1.4428,0.53482),(1465,6355,1.4461,0.51499),(1465,6365,1.4494,0.49508),(1465,6375,1.4524,0.47517),(1465,6385,1.4553,0.45523),(1465,6395,1.4581,0.43515),(1465,6405,1.4608,0.41507),(1465,6415,1.4632,0.39499),(1465,6425,1.4657,0.37491),(1465,6435,1.468,0.35483),(1465,6445,1.47,0.33475),(1465,6455,1.4721,0.31471),(1465,6465,1.474,0.29467),(1465,6475,1.4757,0.27464),(1465,6485,1.4774,0.25456),(1465,6495,1.479,0.23443),(1465,6505,1.4802,0.21431),(1465,6515,1.4815,0.19414),(1465,6525,1.4828,0.1739),(1465,6535,1.4837,0.15366),(1465,6545,1.4846,0.13343),(1465,6555,1.4854,0.1132),(1465,6565,1.486,0.092965),(1465,6575,1.4864,0.072735),(1465,6585,1.4868,0.052526),(1465,6595,1.2647,0.032316),(1465,6605,0.797,0.012107),(1465,6615,0.32926,0.009758),(1465,6625,0.000456,0.009705),(1465,6635,0.000459,0.009652),(1465,6645,0.000462,0.009631),(1465,6655,0.000464,0.009623),(1465,6665,0.000466,0.009615),(1465,6675,0.000469,0.009607),(1465,6685,0.000471,0.009599),(1465,6695,0.000474,0.009591),(1465,6705,0.000476,0.009583),(1465,6715,0.000478,0.009575),(1465,6725,0.000481,0.009567),(1465,6735,0.000483,0.00956),(1465,6745,0.000485,0.009551),(1465,6755,0.000487,0.009543),(1465,6765,0.000489,0.009535),(1465,6775,0.000491,0.009527),(1465,6785,0.000494,0.009519),(1465,6795,0.000496,0.009511),(1465,6805,0.000498,0.009503),(1465,6815,0.0005,0.009495),(1465,6825,0.000502,0.009487),(1465,6835,0.000504,0.009479),(1465,6845,0.000505,0.009471),(1465,6855,0.000507,0.009463),(1465,6865,0.000509,0.009455),(1465,6875,0.000511,0.009447),(1465,6885,0.000513,0.009439),(1465,6895,0.000514,0.00943),(1465,6905,0.000516,0.009422),(1465,6915,0.000518,0.009414),(1465,6925,0.00052,0.009406),(1465,6935,0.000521,0.009398),(1465,6945,0.000523,0.00939),(1465,6955,0.000525,0.009381),(1465,6965,0.000526,0.009373),(1465,6975,0.000528,0.009365),(1465,6985,0.000529,0.009357),(1475,5,5.8e-05,3.6746),(1475,15,0.000173,3.6746),(1475,25,0.000288,3.6746),(1475,35,0.000403,3.6746),(1475,45,0.000518,3.6746),(1475,55,0.000634,3.6746),(1475,65,0.000749,3.6746),(1475,75,0.000865,3.6746),(1475,85,0.00098,3.6746),(1475,95,0.001096,3.6746),(1475,105,0.001212,3.6746),(1475,115,0.001328,3.6746),(1475,125,0.001445,3.6746),(1475,135,0.001561,3.6745),(1475,145,0.001677,3.6745),(1475,155,0.001795,3.6745),(1475,165,0.001912,3.6745),(1475,175,0.002029,3.6745),(1475,185,0.002147,3.6745),(1475,195,0.002265,3.6744),(1475,205,0.002383,3.6744),(1475,215,0.002501,3.6744),(1475,225,0.00262,3.6744),(1475,235,0.00274,3.6744),(1475,245,0.002859,3.6743),(1475,255,0.002979,3.6743),(1475,265,0.003099,3.6743),(1475,275,0.00322,3.6742),(1475,285,0.003341,3.6742),(1475,295,0.003462,3.6742),(1475,305,0.003584,3.6741),(1475,315,0.003707,3.6741),(1475,325,0.00383,3.6741),(1475,335,0.003952,3.674),(1475,345,0.004077,3.674),(1475,355,0.004201,3.674),(1475,365,0.004326,3.6739),(1475,375,0.004451,3.6739),(1475,385,0.004577,3.6738),(1475,395,0.004705,3.6738),(1475,405,0.004832,3.6738),(1475,415,0.004959,3.6737),(1475,425,0.005088,3.6737),(1475,435,0.005218,3.6736),(1475,445,0.005347,3.6736),(1475,455,0.005477,3.6735),(1475,465,0.005609,3.6735),(1475,475,0.005741,3.6734),(1475,485,0.005874,3.6734),(1475,495,0.006006,3.6733),(1475,505,0.006141,3.6732),(1475,515,0.006277,3.6732),(1475,525,0.006412,3.6731),(1475,535,0.006547,3.6731),(1475,545,0.006686,3.673),(1475,555,0.006825,3.6729),(1475,565,0.006963,3.6729),(1475,575,0.007102,3.6728),(1475,585,0.007244,3.6727),(1475,595,0.007386,3.6727),(1475,605,0.007529,3.6726),(1475,615,0.007671,3.6725),(1475,625,0.007817,3.6725),(1475,635,0.007963,3.6724),(1475,645,0.008109,3.6723),(1475,655,0.008256,3.6722),(1475,665,0.008406,3.6722),(1475,675,0.008556,3.6721),(1475,685,0.008706,3.672),(1475,695,0.008857,3.6719),(1475,705,0.009011,3.6718),(1475,715,0.009166,3.6717),(1475,725,0.00932,3.6716),(1475,735,0.009476,3.6716),(1475,745,0.009635,3.6715),(1475,755,0.009794,3.6714),(1475,765,0.009953,3.6713),(1475,775,0.010113,3.6712),(1475,785,0.010277,3.6711),(1475,795,0.010441,3.671),(1475,805,0.010605,3.6709),(1475,815,0.01077,3.6708),(1475,825,0.010939,3.6707),(1475,835,0.011108,3.6706),(1475,845,0.011277,3.6705),(1475,855,0.011448,3.6704),(1475,865,0.011622,3.6702),(1475,875,0.011796,3.6701),(1475,885,0.011971,3.67),(1475,895,0.012147,3.6699),(1475,905,0.012328,3.6698),(1475,915,0.012508,3.6697),(1475,925,0.012688,3.6695),(1475,935,0.012871,3.6694),(1475,945,0.013057,3.6693),(1475,955,0.013243,3.6691),(1475,965,0.013429,3.669),(1475,975,0.013618,3.6689),(1475,985,0.013811,3.6687),(1475,995,0.014003,3.6686),(1475,1005,0.014195,3.6685),(1475,1015,0.014391,3.6683),(1475,1025,0.01459,3.6682),(1475,1035,0.014789,3.668),(1475,1045,0.014987,3.6679),(1475,1055,0.01519,3.6677),(1475,1065,0.015396,3.6676),(1475,1075,0.015601,3.6674),(1475,1085,0.015807,3.6673),(1475,1095,0.016017,3.6671),(1475,1105,0.016229,3.6669),(1475,1115,0.016442,3.6668),(1475,1125,0.016655,3.6666),(1475,1135,0.016872,3.6664),(1475,1145,0.017092,3.6663),(1475,1155,0.017312,3.6661),(1475,1165,0.017533,3.6659),(1475,1175,0.017758,3.6657),(1475,1185,0.017985,3.6656),(1475,1195,0.018213,3.6654),(1475,1205,0.018441,3.6652),(1475,1215,0.018674,3.665),(1475,1225,0.018909,3.6648),(1475,1235,0.019145,3.6646),(1475,1245,0.01938,3.6644),(1475,1255,0.019622,3.6642),(1475,1265,0.019865,3.664),(1475,1275,0.020109,3.6638),(1475,1285,0.020352,3.6636),(1475,1295,0.020602,3.6633),(1475,1305,0.020854,3.6631),(1475,1315,0.021106,3.6629),(1475,1325,0.021358,3.6627),(1475,1335,0.021617,3.6625),(1475,1345,0.021877,3.6622),(1475,1355,0.022138,3.662),(1475,1365,0.022398,3.6617),(1475,1375,0.022666,3.6615),(1475,1385,0.022935,3.6613),(1475,1395,0.023204,3.661),(1475,1405,0.023473,3.6608),(1475,1415,0.023751,3.6605),(1475,1425,0.024029,3.6603),(1475,1435,0.024307,3.66),(1475,1445,0.024585,3.6597),(1475,1455,0.024872,3.6595),(1475,1465,0.025159,3.6592),(1475,1475,0.025446,3.6589),(1475,1485,0.025733,3.6586),(1475,1495,0.026029,3.6583),(1475,1505,0.026326,3.6581),(1475,1515,0.026622,3.6578),(1475,1525,0.026919,3.6575),(1475,1535,0.027225,3.6572),(1475,1545,0.02753,3.6569),(1475,1555,0.027836,3.6565),(1475,1565,0.028142,3.6562),(1475,1575,0.028458,3.6559),(1475,1585,0.028773,3.6556),(1475,1595,0.029088,3.6553),(1475,1605,0.029405,3.6549),(1475,1615,0.029729,3.6546),(1475,1625,0.030054,3.6543),(1475,1635,0.030379,3.6539),(1475,1645,0.030706,3.6536),(1475,1655,0.03104,3.6532),(1475,1665,0.031375,3.6529),(1475,1675,0.031709,3.6525),(1475,1685,0.032046,3.6521),(1475,1695,0.03239,3.6517),(1475,1705,0.032734,3.6514),(1475,1715,0.033078,3.651),(1475,1725,0.033425,3.6506),(1475,1735,0.033778,3.6502),(1475,1745,0.034132,3.6498),(1475,1755,0.034486,3.6494),(1475,1765,0.034842,3.649),(1475,1775,0.035205,3.6486),(1475,1785,0.035568,3.6482),(1475,1795,0.035931,3.6477),(1475,1805,0.036297,3.6473),(1475,1815,0.03667,3.6469),(1475,1825,0.037042,3.6464),(1475,1835,0.037415,3.646),(1475,1845,0.03779,3.6455),(1475,1855,0.038172,3.6451),(1475,1865,0.038554,3.6446),(1475,1875,0.038935,3.6441),(1475,1885,0.03932,3.6436),(1475,1895,0.039711,3.6432),(1475,1905,0.040102,3.6427),(1475,1915,0.040492,3.6422),(1475,1925,0.040886,3.6417),(1475,1935,0.041286,3.6412),(1475,1945,0.041685,3.6407),(1475,1955,0.042084,3.6401),(1475,1965,0.042487,3.6396),(1475,1975,0.042895,3.6391),(1475,1985,0.043303,3.6385),(1475,1995,0.04371,3.638),(1475,2005,0.044122,3.6374),(1475,2015,0.044537,3.6369),(1475,2025,0.044953,3.6363),(1475,2035,0.045369,3.6357),(1475,2045,0.045788,3.6351),(1475,2055,0.046212,3.6346),(1475,2065,0.046635,3.634),(1475,2075,0.047058,3.6334),(1475,2085,0.047485,3.6328),(1475,2095,0.047915,3.6321),(1475,2105,0.048345,3.6315),(1475,2115,0.048775,3.6309),(1475,2125,0.049209,3.6302),(1475,2135,0.049645,3.6296),(1475,2145,0.050081,3.6289),(1475,2155,0.050518,3.6283),(1475,2165,0.050957,3.6276),(1475,2175,0.051399,3.6269),(1475,2185,0.051841,3.6263),(1475,2195,0.052282,3.6256),(1475,2205,0.052728,3.6249),(1475,2215,0.053174,3.6242),(1475,2225,0.053621,3.6234),(1475,2235,0.054067,3.6227),(1475,2245,0.054516,3.622),(1475,2255,0.054967,3.6213),(1475,2265,0.055417,3.6205),(1475,2275,0.055868,3.6198),(1475,2285,0.05632,3.619),(1475,2295,0.056773,3.6182),(1475,2305,0.057227,3.6174),(1475,2315,0.05768,3.6167),(1475,2325,0.058135,3.6159),(1475,2335,0.05859,3.6151),(1475,2345,0.059045,3.6142),(1475,2355,0.0595,3.6134),(1475,2365,0.059956,3.6126),(1475,2375,0.060412,3.6118),(1475,2385,0.060868,3.6109),(1475,2395,0.061323,3.6101),(1475,2405,0.061779,3.6092),(1475,2415,0.062235,3.6083),(1475,2425,0.06269,3.6074),(1475,2435,0.063146,3.6066),(1475,2445,0.063599,3.6057),(1475,2455,0.064053,3.6048),(1475,2465,0.064507,3.6038),(1475,2475,0.06496,3.6029),(1475,2485,0.065411,3.602),(1475,2495,0.065861,3.6011),(1475,2505,0.066311,3.6001),(1475,2515,0.066762,3.5991),(1475,2525,0.067207,3.5982),(1475,2535,0.067653,3.5972),(1475,2545,0.068098,3.5962),(1475,2555,0.068544,3.5952),(1475,2565,0.068983,3.5942),(1475,2575,0.069422,3.5932),(1475,2585,0.069861,3.5922),(1475,2595,0.0703,3.5912),(1475,2605,0.070731,3.5902),(1475,2615,0.071162,3.5891),(1475,2625,0.071593,3.5881),(1475,2635,0.072023,3.587),(1475,2645,0.072445,3.5859),(1475,2655,0.072866,3.5849),(1475,2665,0.073288,3.5838),(1475,2675,0.073707,3.5827),(1475,2685,0.074117,3.5816),(1475,2695,0.074527,3.5805),(1475,2705,0.074936,3.5793),(1475,2715,0.075343,3.5782),(1475,2725,0.075739,3.5771),(1475,2735,0.076136,3.5759),(1475,2745,0.076532,3.5748),(1475,2755,0.076924,3.5736),(1475,2765,0.077305,3.5725),(1475,2775,0.077685,3.5713),(1475,2785,0.078066,3.5701),(1475,2795,0.078442,3.5689),(1475,2805,0.078805,3.5677),(1475,2815,0.079168,3.5665),(1475,2825,0.079531,3.5653),(1475,2835,0.079887,3.5641),(1475,2845,0.08023,3.5628),(1475,2855,0.080574,3.5616),(1475,2865,0.080917,3.5604),(1475,2875,0.081252,3.5591),(1475,2885,0.081573,3.5579),(1475,2895,0.081895,3.5566),(1475,2905,0.082216,3.5553),(1475,2915,0.082527,3.554),(1475,2925,0.082824,3.5528),(1475,2935,0.083121,3.5515),(1475,2945,0.083418,3.5502),(1475,2955,0.083703,3.5489),(1475,2965,0.083974,3.5476),(1475,2975,0.084244,3.5462),(1475,2985,0.084515,3.5449),(1475,2995,0.084771,3.5436),(1475,3005,0.085013,3.5423),(1475,3015,0.085254,3.5409),(1475,3025,0.085496,3.5396),(1475,3035,0.085721,3.5382),(1475,3045,0.085931,3.5369),(1475,3055,0.086142,3.5355),(1475,3065,0.086352,3.5341),(1475,3075,0.086544,3.5328),(1475,3085,0.08672,3.5314),(1475,3095,0.086897,3.53),(1475,3105,0.087074,3.5286),(1475,3115,0.087229,3.5273),(1475,3125,0.087371,3.5259),(1475,3135,0.087512,3.5245),(1475,3145,0.087653,3.5231),(1475,3155,0.087769,3.5217),(1475,3165,0.087871,3.5203),(1475,3175,0.087974,3.5189),(1475,3185,0.088077,3.5174),(1475,3195,0.088152,3.516),(1475,3205,0.088214,3.5146),(1475,3215,0.088276,3.5132),(1475,3225,0.088338,3.5118),(1475,3235,0.088368,3.5103),(1475,3245,0.088387,3.5089),(1475,3255,0.088406,3.5075),(1475,3265,0.088425,3.5061),(1475,3275,0.088409,3.5046),(1475,3285,0.088382,3.5032),(1475,3295,0.088356,3.5018),(1475,3305,0.088329,3.5003),(1475,3315,0.088264,3.4989),(1475,3325,0.08819,3.4975),(1475,3335,0.088116,3.496),(1475,3345,0.088042,3.4946),(1475,3355,0.087925,3.4932),(1475,3365,0.087801,3.4917),(1475,3375,0.087677,3.4903),(1475,3385,0.087552,3.4889),(1475,3395,0.087382,3.4874),(1475,3405,0.087206,3.486),(1475,3415,0.087029,3.4846),(1475,3425,0.086853,3.4832),(1475,3435,0.086627,3.4817),(1475,3445,0.086396,3.4803),(1475,3455,0.086165,3.4789),(1475,3465,0.085935,3.4775),(1475,3475,0.085649,3.476),(1475,3485,0.085362,3.4746),(1475,3495,0.085075,3.4732),(1475,3505,0.084788,3.4718),(1475,3515,0.084442,3.4704),(1475,3525,0.084097,3.469),(1475,3535,0.083751,3.4676),(1475,3545,0.083403,3.4662),(1475,3555,0.082997,3.4648),(1475,3565,0.082591,3.4634),(1475,3575,0.082185,3.462),(1475,3585,0.081774,3.4607),(1475,3595,0.081307,3.4593),(1475,3605,0.080839,3.4579),(1475,3615,0.080371,3.4566),(1475,3625,0.079895,3.4552),(1475,3635,0.079364,3.4538),(1475,3645,0.078832,3.4525),(1475,3655,0.078301,3.4511),(1475,3665,0.077759,3.4498),(1475,3675,0.077162,3.4485),(1475,3685,0.076565,3.4471),(1475,3695,0.075969,3.4458),(1475,3705,0.075358,3.4445),(1475,3715,0.074695,3.4432),(1475,3725,0.074031,3.4419),(1475,3735,0.073368,3.4406),(1475,3745,0.072688,3.4393),(1475,3755,0.071956,3.438),(1475,3765,0.071224,3.4367),(1475,3775,0.070492,3.4355),(1475,3785,0.069741,3.4342),(1475,3795,0.06894,3.4329),(1475,3805,0.068139,3.4317),(1475,3815,0.067338,3.4304),(1475,3825,0.066514,3.4292),(1475,3835,0.065642,3.4279),(1475,3845,0.064771,3.4267),(1475,3855,0.063899,3.4255),(1475,3865,0.063002,3.4243),(1475,3875,0.062059,3.4231),(1475,3885,0.061115,3.4219),(1475,3895,0.060172,3.4207),(1475,3905,0.069741,3.4195),(1475,3915,0.095014,3.4183),(1475,3925,0.12029,3.4164),(1475,3935,0.14556,3.4134),(1475,3945,0.17383,3.4104),(1475,3955,0.20591,3.4074),(1475,3965,0.23798,3.4035),(1475,3975,0.27006,3.3985),(1475,3985,0.28963,3.3936),(1475,3995,0.29566,3.3886),(1475,4005,0.30169,3.3836),(1475,4015,0.30772,3.3784),(1475,4025,0.31366,3.3733),(1475,4035,0.3196,3.368),(1475,4045,0.32555,3.3626),(1475,4055,0.33108,3.3572),(1475,4065,0.33647,3.3517),(1475,4075,0.34186,3.3459),(1475,4085,0.34671,3.3401),(1475,4095,0.35112,3.3343),(1475,4105,0.35553,3.3281),(1475,4115,0.34616,3.3219),(1475,4125,0.31393,3.3156),(1475,4135,0.2817,3.3107),(1475,4145,0.24843,3.306),(1475,4155,0.21098,3.3013),(1475,4165,0.17352,3.2977),(1475,4175,0.13817,3.2947),(1475,4185,0.20675,3.2918),(1475,4195,0.27533,3.2872),(1475,4205,0.34392,3.2807),(1475,4215,0.34208,3.2741),(1475,4225,0.32699,3.2679),(1475,4235,0.31189,3.2627),(1475,4245,0.28756,3.2576),(1475,4255,0.25853,3.2526),(1475,4265,0.22951,3.2494),(1475,4275,0.19064,3.2463),(1475,4285,0.14132,3.2432),(1475,4295,0.091999,3.2423),(1475,4305,0.085392,3.2416),(1475,4315,0.17523,3.241),(1475,4325,0.26507,3.2373),(1475,4335,0.34461,3.2324),(1475,4345,0.35441,3.2276),(1475,4355,0.36421,3.2219),(1475,4365,0.37401,3.2155),(1475,4375,0.37269,3.2091),(1475,4385,0.3708,3.2023),(1475,4395,0.3689,3.1945),(1475,4405,0.31812,3.1868),(1475,4415,0.25292,3.1797),(1475,4425,0.18772,3.1754),(1475,4435,0.16511,3.1711),(1475,4445,0.1716,3.1668),(1475,4455,0.1781,3.1632),(1475,4465,0.22106,3.1596),(1475,4475,0.31527,3.1559),(1475,4485,0.40948,3.1478),(1475,4495,0.48526,3.1388),(1475,4505,0.50195,3.1298),(1475,4515,0.51864,3.1203),(1475,4525,0.53399,3.1105),(1475,4535,0.52814,3.1007),(1475,4545,0.52229,3.0913),(1475,4555,0.51644,3.0822),(1475,4565,0.3816,3.0731),(1475,4575,0.22938,3.0664),(1475,4585,0.077162,3.0655),(1475,4595,0.073925,3.0646),(1475,4605,0.13364,3.0632),(1475,4615,0.19335,3.0578),(1475,4625,0.25552,3.0524),(1475,4635,0.31991,3.0471),(1475,4645,0.3843,3.0388),(1475,4655,0.44505,3.0304),(1475,4665,0.49894,3.022),(1475,4675,0.55283,3.0131),(1475,4685,0.57724,3.0039),(1475,4695,0.45599,2.9948),(1475,4705,0.33473,2.9894),(1475,4715,0.21347,2.9865),(1475,4725,0.2855,2.9837),(1475,4735,0.35947,2.9789),(1475,4745,0.43344,2.9712),(1475,4755,0.52715,2.9635),(1475,4765,0.62543,2.9551),(1475,4775,0.72372,2.9441),(1475,4785,0.77315,2.9332),(1475,4795,0.79434,2.9222),(1475,4805,0.81553,2.9116),(1475,4815,0.79088,2.901),(1475,4825,0.71144,2.8904),(1475,4835,0.63199,2.8829),(1475,4845,0.5437,2.8759),(1475,4855,0.43238,2.8689),(1475,4865,0.32106,2.8639),(1475,4875,0.24047,2.8597),(1475,4885,0.43947,2.8555),(1475,4895,0.63847,2.8463),(1475,4905,0.83747,2.8322),(1475,4915,0.83874,2.8181),(1475,4925,0.82301,2.8044),(1475,4935,0.80728,2.7915),(1475,4945,0.73885,2.7785),(1475,4955,0.65214,2.7662),(1475,4965,0.56543,2.7575),(1475,4975,0.44084,2.7487),(1475,4985,0.28702,2.7399),(1475,4995,0.1332,2.739),(1475,5005,0.12871,2.7382),(1475,5015,0.36161,2.7374),(1475,5025,0.59452,2.7286),(1475,5035,0.79979,2.7177),(1475,5045,0.89976,2.7069),(1475,5055,0.99973,2.6941),(1475,5065,1.0974,2.6802),(1475,5075,1.1207,2.6663),(1475,5085,1.1439,2.6525),(1475,5095,1.1671,2.6389),(1475,5105,1.0282,2.6254),(1475,5115,0.86103,2.6135),(1475,5125,0.69385,2.6065),(1475,5135,0.5918,2.5996),(1475,5145,0.52137,2.5927),(1475,5155,0.45093,2.5862),(1475,5165,0.53017,2.5798),(1475,5175,0.76207,2.5734),(1475,5185,0.99397,2.5584),(1475,5195,1.1603,2.5425),(1475,5205,1.1854,2.5266),(1475,5215,1.2105,2.511),(1475,5225,1.2288,2.4955),(1475,5235,1.2046,2.48),(1475,5245,1.1804,2.4658),(1475,5255,1.1563,2.4526),(1475,5265,0.80843,2.4393),(1475,5275,0.44725,2.4309),(1475,5285,0.086072,2.4306),(1475,5295,0.17836,2.4304),(1475,5305,0.39692,2.4276),(1475,5315,0.61549,2.4147),(1475,5325,0.78576,2.4018),(1475,5335,0.92438,2.3888),(1475,5345,1.063,2.3729),(1475,5355,1.1665,2.3569),(1475,5365,1.2225,2.341),(1475,5375,1.2785,2.3256),(1475,5385,1.2462,2.3102),(1475,5395,0.94513,2.2949),(1475,5405,0.64407,2.2871),(1475,5415,0.36663,2.2832),(1475,5425,0.40641,2.2793),(1475,5435,0.44619,2.2718),(1475,5445,0.48597,2.2603),(1475,5455,0.5904,2.2489),(1475,5465,0.70273,2.2351),(1475,5475,0.81506,2.216),(1475,5485,0.86676,2.1969),(1475,5495,0.89404,2.1777),(1475,5505,0.92131,2.1579),(1475,5515,0.94981,2.138),(1475,5525,0.97936,2.1182),(1475,5535,1.0089,2.0977),(1475,5545,1.0386,2.0771),(1475,5555,1.0685,2.0565),(1475,5565,1.0983,2.0355),(1475,5575,1.1282,2.0143),(1475,5585,1.1577,1.9931),(1475,5595,1.1873,1.9718),(1475,5605,1.2169,1.9503),(1475,5615,1.2458,1.9288),(1475,5625,1.2747,1.9072),(1475,5635,1.3037,1.8854),(1475,5645,1.3318,1.8637),(1475,5655,1.3599,1.8419),(1475,5665,1.3879,1.8201),(1475,5675,1.4152,1.7982),(1475,5685,1.4422,1.7764),(1475,5695,1.4691,1.7547),(1475,5705,1.4954,1.7329),(1475,5715,1.5211,1.7112),(1475,5725,1.5468,1.6896),(1475,5735,1.5721,1.668),(1475,5745,1.5964,1.6464),(1475,5755,1.6207,1.6249),(1475,5765,1.6448,1.6035),(1475,5775,1.6677,1.5821),(1475,5785,1.6906,1.5609),(1475,5795,1.7135,1.5398),(1475,5805,1.735,1.5187),(1475,5815,1.7565,1.4977),(1475,5825,1.7779,1.477),(1475,5835,1.7983,1.4562),(1475,5845,1.8184,1.4355),(1475,5855,1.8384,1.415),(1475,5865,1.8577,1.3945),(1475,5875,1.8763,1.374),(1475,5885,1.895,1.3538),(1475,5895,1.9131,1.3336),(1475,5905,1.9305,1.3134),(1475,5915,1.9478,1.2934),(1475,5925,1.9649,1.2735),(1475,5935,1.981,1.2537),(1475,5945,1.9971,1.234),(1475,5955,2.0131,1.2144),(1475,5965,2.0285,1.1949),(1475,5975,2.0439,1.1754),(1475,5985,2.0593,1.1561),(1475,5995,1.5763,1.1368),(1475,6005,1.0131,1.1221),(1475,6015,0.44985,1.1196),(1475,6025,0.42473,1.1172),(1475,6035,0.6492,1.1136),(1475,6045,0.87366,1.0998),(1475,6055,1.0386,1.0859),(1475,6065,1.1452,1.0721),(1475,6075,1.2518,1.054),(1475,6085,1.3256,1.0354),(1475,6095,1.3318,1.0169),(1475,6105,1.3379,0.99819),(1475,6115,1.344,0.97937),(1475,6125,1.3499,0.96055),(1475,6135,1.3558,0.94165),(1475,6145,1.3617,0.9227),(1475,6155,1.3672,0.90374),(1475,6165,1.3727,0.88471),(1475,6175,1.3782,0.86554),(1475,6185,1.3835,0.84636),(1475,6195,1.3886,0.82717),(1475,6205,1.3938,0.80791),(1475,6215,1.3987,0.78864),(1475,6225,1.4035,0.76937),(1475,6235,1.4082,0.75006),(1475,6245,1.4129,0.73075),(1475,6255,1.4173,0.71145),(1475,6265,1.4217,0.69192),(1475,6275,1.426,0.67237),(1475,6285,1.43,0.65281),(1475,6295,1.434,0.63311),(1475,6305,1.438,0.61335),(1475,6315,1.4417,0.59359),(1475,6325,1.4453,0.57382),(1475,6335,1.449,0.55405),(1475,6345,1.4523,0.53427),(1475,6355,1.4556,0.51446),(1475,6365,1.4589,0.49456),(1475,6375,1.4619,0.47466),(1475,6385,1.4647,0.45474),(1475,6395,1.4676,0.43467),(1475,6405,1.4703,0.4146),(1475,6415,1.4727,0.39453),(1475,6425,1.4752,0.37447),(1475,6435,1.4775,0.35441),(1475,6445,1.4796,0.33435),(1475,6455,1.4816,0.31433),(1475,6465,1.4836,0.29432),(1475,6475,1.4853,0.27431),(1475,6485,1.487,0.25424),(1475,6495,1.4886,0.23414),(1475,6505,1.4899,0.21404),(1475,6515,1.4911,0.19389),(1475,6525,1.4924,0.17369),(1475,6535,1.4933,0.15348),(1475,6545,1.4942,0.13327),(1475,6555,1.4951,0.11306),(1475,6565,1.4956,0.092854),(1475,6575,1.496,0.072646),(1475,6585,1.4965,0.052453),(1475,6595,1.273,0.03226),(1475,6605,0.80218,0.012068),(1475,6615,0.3314,0.009732),(1475,6625,0.000461,0.009691),(1475,6635,0.000463,0.009651),(1475,6645,0.000466,0.009633),(1475,6655,0.000468,0.009625),(1475,6665,0.000471,0.009617),(1475,6675,0.000473,0.009609),(1475,6685,0.000476,0.009601),(1475,6695,0.000478,0.009593),(1475,6705,0.00048,0.009585),(1475,6715,0.000483,0.009577),(1475,6725,0.000485,0.00957),(1475,6735,0.000487,0.009562),(1475,6745,0.000489,0.009554),(1475,6755,0.000492,0.009546),(1475,6765,0.000494,0.009538),(1475,6775,0.000496,0.009529),(1475,6785,0.000498,0.009521),(1475,6795,0.0005,0.009513),(1475,6805,0.000502,0.009505),(1475,6815,0.000504,0.009497),(1475,6825,0.000506,0.009489),(1475,6835,0.000508,0.009481),(1475,6845,0.00051,0.009473),(1475,6855,0.000512,0.009465),(1475,6865,0.000514,0.009457),(1475,6875,0.000515,0.009448),(1475,6885,0.000517,0.00944),(1475,6895,0.000519,0.009432),(1475,6905,0.000521,0.009424),(1475,6915,0.000522,0.009416),(1475,6925,0.000524,0.009408),(1475,6935,0.000526,0.009399),(1475,6945,0.000527,0.009391),(1475,6955,0.000529,0.009383),(1475,6965,0.000531,0.009375),(1475,6975,0.000532,0.009366),(1475,6985,0.000534,0.009358),(1485,5,5.8e-05,3.6748),(1485,15,0.000173,3.6748),(1485,25,0.000288,3.6748),(1485,35,0.000404,3.6748),(1485,45,0.000519,3.6747),(1485,55,0.000635,3.6747),(1485,65,0.000751,3.6747),(1485,75,0.000866,3.6747),(1485,85,0.000982,3.6747),(1485,95,0.001098,3.6747),(1485,105,0.001214,3.6747),(1485,115,0.001331,3.6747),(1485,125,0.001447,3.6747),(1485,135,0.001564,3.6747),(1485,145,0.001681,3.6746),(1485,155,0.001798,3.6746),(1485,165,0.001915,3.6746),(1485,175,0.002033,3.6746),(1485,185,0.002151,3.6746),(1485,195,0.002269,3.6746),(1485,205,0.002388,3.6745),(1485,215,0.002506,3.6745),(1485,225,0.002625,3.6745),(1485,235,0.002745,3.6745),(1485,245,0.002865,3.6744),(1485,255,0.002985,3.6744),(1485,265,0.003105,3.6744),(1485,275,0.003227,3.6744),(1485,285,0.003348,3.6743),(1485,295,0.003469,3.6743),(1485,305,0.003592,3.6743),(1485,315,0.003714,3.6742),(1485,325,0.003837,3.6742),(1485,335,0.00396,3.6742),(1485,345,0.004085,3.6741),(1485,355,0.00421,3.6741),(1485,365,0.004335,3.6741),(1485,375,0.00446,3.674),(1485,385,0.004587,3.674),(1485,395,0.004714,3.6739),(1485,405,0.004842,3.6739),(1485,415,0.004969,3.6738),(1485,425,0.005098,3.6738),(1485,435,0.005228,3.6737),(1485,445,0.005358,3.6737),(1485,455,0.005488,3.6736),(1485,465,0.005621,3.6736),(1485,475,0.005753,3.6735),(1485,485,0.005886,3.6735),(1485,495,0.006019,3.6734),(1485,505,0.006154,3.6734),(1485,515,0.00629,3.6733),(1485,525,0.006426,3.6733),(1485,535,0.006561,3.6732),(1485,545,0.0067,3.6731),(1485,555,0.00684,3.6731),(1485,565,0.006979,3.673),(1485,575,0.007118,3.673),(1485,585,0.00726,3.6729),(1485,595,0.007403,3.6728),(1485,605,0.007545,3.6727),(1485,615,0.007688,3.6727),(1485,625,0.007835,3.6726),(1485,635,0.007981,3.6725),(1485,645,0.008128,3.6725),(1485,655,0.008275,3.6724),(1485,665,0.008425,3.6723),(1485,675,0.008576,3.6722),(1485,685,0.008726,3.6721),(1485,695,0.008877,3.6721),(1485,705,0.009032,3.672),(1485,715,0.009187,3.6719),(1485,725,0.009342,3.6718),(1485,735,0.009498,3.6717),(1485,745,0.009657,3.6716),(1485,755,0.009817,3.6715),(1485,765,0.009976,3.6714),(1485,775,0.010137,3.6713),(1485,785,0.010302,3.6712),(1485,795,0.010466,3.6712),(1485,805,0.010631,3.671),(1485,815,0.010797,3.6709),(1485,825,0.010966,3.6708),(1485,835,0.011136,3.6707),(1485,845,0.011305,3.6706),(1485,855,0.011477,3.6705),(1485,865,0.011652,3.6704),(1485,875,0.011827,3.6703),(1485,885,0.012002,3.6702),(1485,895,0.012179,3.6701),(1485,905,0.01236,3.67),(1485,915,0.01254,3.6698),(1485,925,0.012721,3.6697),(1485,935,0.012905,3.6696),(1485,945,0.013092,3.6695),(1485,955,0.013278,3.6693),(1485,965,0.013465,3.6692),(1485,975,0.013655,3.6691),(1485,985,0.013848,3.6689),(1485,995,0.014041,3.6688),(1485,1005,0.014235,3.6687),(1485,1015,0.014431,3.6685),(1485,1025,0.014631,3.6684),(1485,1035,0.01483,3.6682),(1485,1045,0.01503,3.6681),(1485,1055,0.015233,3.6679),(1485,1065,0.01544,3.6678),(1485,1075,0.015646,3.6676),(1485,1085,0.015853,3.6675),(1485,1095,0.016064,3.6673),(1485,1105,0.016277,3.6672),(1485,1115,0.016491,3.667),(1485,1125,0.016705,3.6668),(1485,1135,0.016923,3.6667),(1485,1145,0.017144,3.6665),(1485,1155,0.017365,3.6663),(1485,1165,0.017586,3.6661),(1485,1175,0.017813,3.666),(1485,1185,0.018041,3.6658),(1485,1195,0.01827,3.6656),(1485,1205,0.018499,3.6654),(1485,1215,0.018733,3.6652),(1485,1225,0.01897,3.665),(1485,1235,0.019207,3.6648),(1485,1245,0.019443,3.6646),(1485,1255,0.019686,3.6644),(1485,1265,0.019931,3.6642),(1485,1275,0.020176,3.664),(1485,1285,0.02042,3.6638),(1485,1295,0.020672,3.6636),(1485,1305,0.020925,3.6634),(1485,1315,0.021178,3.6632),(1485,1325,0.021431,3.6629),(1485,1335,0.021692,3.6627),(1485,1345,0.021954,3.6625),(1485,1355,0.022215,3.6623),(1485,1365,0.022477,3.662),(1485,1375,0.022747,3.6618),(1485,1385,0.023018,3.6615),(1485,1395,0.023288,3.6613),(1485,1405,0.023559,3.661),(1485,1415,0.023838,3.6608),(1485,1425,0.024118,3.6605),(1485,1435,0.024397,3.6603),(1485,1445,0.024677,3.66),(1485,1455,0.024966,3.6597),(1485,1465,0.025255,3.6595),(1485,1475,0.025543,3.6592),(1485,1485,0.025832,3.6589),(1485,1495,0.026131,3.6586),(1485,1505,0.026429,3.6584),(1485,1515,0.026727,3.6581),(1485,1525,0.027026,3.6578),(1485,1535,0.027333,3.6575),(1485,1545,0.027641,3.6572),(1485,1555,0.027949,3.6569),(1485,1565,0.028257,3.6565),(1485,1575,0.028575,3.6562),(1485,1585,0.028892,3.6559),(1485,1595,0.029209,3.6556),(1485,1605,0.029528,3.6553),(1485,1615,0.029855,3.6549),(1485,1625,0.030182,3.6546),(1485,1635,0.030509,3.6542),(1485,1645,0.030838,3.6539),(1485,1655,0.031175,3.6535),(1485,1665,0.031512,3.6532),(1485,1675,0.031849,3.6528),(1485,1685,0.032188,3.6525),(1485,1695,0.032534,3.6521),(1485,1705,0.032881,3.6517),(1485,1715,0.033228,3.6513),(1485,1725,0.033577,3.6509),(1485,1735,0.033933,3.6506),(1485,1745,0.03429,3.6502),(1485,1755,0.034646,3.6498),(1485,1765,0.035005,3.6493),(1485,1775,0.035371,3.6489),(1485,1785,0.035737,3.6485),(1485,1795,0.036103,3.6481),(1485,1805,0.036472,3.6477),(1485,1815,0.036847,3.6472),(1485,1825,0.037222,3.6468),(1485,1835,0.037598,3.6463),(1485,1845,0.037977,3.6459),(1485,1855,0.038361,3.6454),(1485,1865,0.038746,3.645),(1485,1875,0.039131,3.6445),(1485,1885,0.039519,3.644),(1485,1895,0.039913,3.6436),(1485,1905,0.040307,3.6431),(1485,1915,0.040701,3.6426),(1485,1925,0.041099,3.6421),(1485,1935,0.041502,3.6416),(1485,1945,0.041904,3.6411),(1485,1955,0.042307,3.6405),(1485,1965,0.042714,3.64),(1485,1975,0.043125,3.6395),(1485,1985,0.043536,3.6389),(1485,1995,0.043947,3.6384),(1485,2005,0.044363,3.6378),(1485,2015,0.044782,3.6373),(1485,2025,0.045201,3.6367),(1485,2035,0.045621,3.6361),(1485,2045,0.046044,3.6356),(1485,2055,0.046471,3.635),(1485,2065,0.046899,3.6344),(1485,2075,0.047326,3.6338),(1485,2085,0.047757,3.6332),(1485,2095,0.048191,3.6326),(1485,2105,0.048625,3.6319),(1485,2115,0.049059,3.6313),(1485,2125,0.049497,3.6307),(1485,2135,0.049938,3.63),(1485,2145,0.050378,3.6294),(1485,2155,0.050819,3.6287),(1485,2165,0.051263,3.6281),(1485,2175,0.051709,3.6274),(1485,2185,0.052155,3.6267),(1485,2195,0.052601,3.626),(1485,2205,0.053051,3.6253),(1485,2215,0.053502,3.6246),(1485,2225,0.053953,3.6239),(1485,2235,0.054404,3.6232),(1485,2245,0.054858,3.6224),(1485,2255,0.055313,3.6217),(1485,2265,0.055768,3.621),(1485,2275,0.056223,3.6202),(1485,2285,0.056681,3.6194),(1485,2295,0.057139,3.6187),(1485,2305,0.057597,3.6179),(1485,2315,0.058055,3.6171),(1485,2325,0.058515,3.6163),(1485,2335,0.058975,3.6155),(1485,2345,0.059435,3.6147),(1485,2355,0.059895,3.6139),(1485,2365,0.060355,3.613),(1485,2375,0.060816,3.6122),(1485,2385,0.061277,3.6114),(1485,2395,0.061738,3.6105),(1485,2405,0.062199,3.6097),(1485,2415,0.062659,3.6088),(1485,2425,0.06312,3.6079),(1485,2435,0.063581,3.607),(1485,2445,0.064039,3.6061),(1485,2455,0.064498,3.6052),(1485,2465,0.064957,3.6043),(1485,2475,0.065416,3.6034),(1485,2485,0.065872,3.6024),(1485,2495,0.066327,3.6015),(1485,2505,0.066783,3.6006),(1485,2515,0.067238,3.5996),(1485,2525,0.067689,3.5986),(1485,2535,0.06814,3.5977),(1485,2545,0.068591,3.5967),(1485,2555,0.069041,3.5957),(1485,2565,0.069486,3.5947),(1485,2575,0.06993,3.5937),(1485,2585,0.070375,3.5926),(1485,2595,0.070819,3.5916),(1485,2605,0.071255,3.5906),(1485,2615,0.071692,3.5895),(1485,2625,0.072128,3.5885),(1485,2635,0.072564,3.5874),(1485,2645,0.07299,3.5864),(1485,2655,0.073417,3.5853),(1485,2665,0.073843,3.5842),(1485,2675,0.074268,3.5831),(1485,2685,0.074683,3.582),(1485,2695,0.075098,3.5809),(1485,2705,0.075513,3.5797),(1485,2715,0.075925,3.5786),(1485,2725,0.076326,3.5775),(1485,2735,0.076727,3.5763),(1485,2745,0.077129,3.5752),(1485,2755,0.077526,3.574),(1485,2765,0.077912,3.5728),(1485,2775,0.078297,3.5717),(1485,2785,0.078683,3.5705),(1485,2795,0.079063,3.5693),(1485,2805,0.079431,3.5681),(1485,2815,0.079799,3.5669),(1485,2825,0.080167,3.5656),(1485,2835,0.080528,3.5644),(1485,2845,0.080876,3.5632),(1485,2855,0.081224,3.562),(1485,2865,0.081572,3.5607),(1485,2875,0.081911,3.5594),(1485,2885,0.082237,3.5582),(1485,2895,0.082563,3.5569),(1485,2905,0.082889,3.5556),(1485,2915,0.083204,3.5543),(1485,2925,0.083506,3.5531),(1485,2935,0.083807,3.5518),(1485,2945,0.084108,3.5505),(1485,2955,0.084397,3.5491),(1485,2965,0.084671,3.5478),(1485,2975,0.084946,3.5465),(1485,2985,0.08522,3.5452),(1485,2995,0.08548,3.5438),(1485,3005,0.085726,3.5425),(1485,3015,0.085971,3.5412),(1485,3025,0.086216,3.5398),(1485,3035,0.086445,3.5384),(1485,3045,0.086659,3.5371),(1485,3055,0.086872,3.5357),(1485,3065,0.087086,3.5343),(1485,3075,0.087281,3.533),(1485,3085,0.087461,3.5316),(1485,3095,0.087641,3.5302),(1485,3105,0.087821,3.5288),(1485,3115,0.087978,3.5274),(1485,3125,0.088122,3.526),(1485,3135,0.088266,3.5246),(1485,3145,0.088409,3.5232),(1485,3155,0.088528,3.5218),(1485,3165,0.088633,3.5204),(1485,3175,0.088738,3.519),(1485,3185,0.088843,3.5175),(1485,3195,0.08892,3.5161),(1485,3205,0.088984,3.5147),(1485,3215,0.089048,3.5132),(1485,3225,0.089112,3.5118),(1485,3235,0.089144,3.5104),(1485,3245,0.089164,3.5089),(1485,3255,0.089185,3.5075),(1485,3265,0.089205,3.5061),(1485,3275,0.089191,3.5046),(1485,3285,0.089165,3.5032),(1485,3295,0.08914,3.5017),(1485,3305,0.089115,3.5003),(1485,3315,0.08905,3.4988),(1485,3325,0.088977,3.4974),(1485,3335,0.088903,3.496),(1485,3345,0.08883,3.4945),(1485,3355,0.088714,3.4931),(1485,3365,0.08859,3.4916),(1485,3375,0.088466,3.4902),(1485,3385,0.088343,3.4887),(1485,3395,0.088172,3.4873),(1485,3405,0.087996,3.4858),(1485,3415,0.08782,3.4844),(1485,3425,0.087644,3.483),(1485,3435,0.087417,3.4815),(1485,3445,0.087186,3.4801),(1485,3455,0.086955,3.4786),(1485,3465,0.086724,3.4772),(1485,3475,0.086438,3.4758),(1485,3485,0.086151,3.4743),(1485,3495,0.085863,3.4729),(1485,3505,0.085575,3.4715),(1485,3515,0.085229,3.4701),(1485,3525,0.084883,3.4687),(1485,3535,0.084536,3.4672),(1485,3545,0.084187,3.4658),(1485,3555,0.083781,3.4644),(1485,3565,0.083374,3.463),(1485,3575,0.082967,3.4616),(1485,3585,0.082555,3.4602),(1485,3595,0.082086,3.4588),(1485,3605,0.081617,3.4575),(1485,3615,0.081148,3.4561),(1485,3625,0.080672,3.4547),(1485,3635,0.080139,3.4533),(1485,3645,0.079606,3.452),(1485,3655,0.079073,3.4506),(1485,3665,0.07853,3.4492),(1485,3675,0.077932,3.4479),(1485,3685,0.077334,3.4465),(1485,3695,0.076736,3.4452),(1485,3705,0.076125,3.4439),(1485,3715,0.07546,3.4425),(1485,3725,0.074795,3.4412),(1485,3735,0.074131,3.4399),(1485,3745,0.073449,3.4386),(1485,3755,0.072717,3.4373),(1485,3765,0.071984,3.436),(1485,3775,0.071251,3.4347),(1485,3785,0.070499,3.4334),(1485,3795,0.069697,3.4321),(1485,3805,0.068895,3.4309),(1485,3815,0.068093,3.4296),(1485,3825,0.067268,3.4283),(1485,3835,0.066396,3.4271),(1485,3845,0.065524,3.4258),(1485,3855,0.064651,3.4246),(1485,3865,0.063753,3.4234),(1485,3875,0.062809,3.4222),(1485,3885,0.061865,3.4209),(1485,3895,0.060921,3.4197),(1485,3905,0.070602,3.4185),(1485,3915,0.096156,3.4173),(1485,3925,0.12171,3.4154),(1485,3935,0.14726,3.4123),(1485,3945,0.17581,3.4093),(1485,3955,0.20816,3.4062),(1485,3965,0.24051,3.4023),(1485,3975,0.27286,3.3973),(1485,3985,0.29257,3.3922),(1485,3995,0.29861,3.3872),(1485,4005,0.30466,3.3821),(1485,4015,0.3107,3.3769),(1485,4025,0.31668,3.3716),(1485,4035,0.32267,3.3663),(1485,4045,0.32865,3.3609),(1485,4055,0.33425,3.3554),(1485,4065,0.33971,3.3498),(1485,4075,0.34517,3.344),(1485,4085,0.3501,3.3382),(1485,4095,0.35462,3.3323),(1485,4105,0.35913,3.3261),(1485,4115,0.34972,3.3198),(1485,4125,0.31723,3.3135),(1485,4135,0.28475,3.3084),(1485,4145,0.25123,3.3037),(1485,4155,0.21352,3.299),(1485,4165,0.17581,3.2952),(1485,4175,0.14022,3.2921),(1485,4185,0.20942,3.289),(1485,4195,0.27862,3.2843),(1485,4205,0.34783,3.2777),(1485,4215,0.34579,3.271),(1485,4225,0.33034,3.2648),(1485,4235,0.31489,3.2597),(1485,4245,0.29016,3.2546),(1485,4255,0.26072,3.2497),(1485,4265,0.23127,3.2466),(1485,4275,0.19198,3.2435),(1485,4285,0.14224,3.2405),(1485,4295,0.092502,3.2396),(1485,4305,0.085814,3.239),(1485,4315,0.17634,3.2384),(1485,4325,0.26686,3.2349),(1485,4335,0.34704,3.2303),(1485,4345,0.35725,3.2257),(1485,4355,0.36746,3.2201),(1485,4365,0.37768,3.2138),(1485,4375,0.37679,3.2074),(1485,4385,0.37533,3.2005),(1485,4395,0.37388,3.1926),(1485,4405,0.32272,3.1847),(1485,4415,0.25692,3.1774),(1485,4425,0.19112,3.1729),(1485,4435,0.16811,3.1684),(1485,4445,0.17436,3.1639),(1485,4455,0.18061,3.1601),(1485,4465,0.22385,3.1563),(1485,4475,0.31905,3.1526),(1485,4485,0.41425,3.1443),(1485,4495,0.49081,3.1351),(1485,4505,0.50757,3.1259),(1485,4515,0.52433,3.1163),(1485,4525,0.53974,3.1064),(1485,4535,0.53369,3.0965),(1485,4545,0.52764,3.087),(1485,4555,0.5216,3.0778),(1485,4565,0.38549,3.0686),(1485,4575,0.23186,3.0618),(1485,4585,0.078221,3.0608),(1485,4595,0.075209,3.0598),(1485,4605,0.13584,3.0583),(1485,4615,0.19647,3.0528),(1485,4625,0.25932,3.0472),(1485,4635,0.3242,3.0417),(1485,4645,0.38907,3.0333),(1485,4655,0.45008,3.0248),(1485,4665,0.50379,3.0162),(1485,4675,0.55751,3.0073),(1485,4685,0.58159,2.9982),(1485,4695,0.45927,2.9892),(1485,4705,0.33696,2.9838),(1485,4715,0.21464,2.9811),(1485,4725,0.28762,2.9784),(1485,4735,0.36256,2.9737),(1485,4745,0.43749,2.9661),(1485,4755,0.53163,2.9585),(1485,4765,0.6302,2.9502),(1485,4775,0.72878,2.9393),(1485,4785,0.77817,2.9284),(1485,4795,0.79912,2.9176),(1485,4805,0.82007,2.907),(1485,4815,0.79507,2.8964),(1485,4825,0.71511,2.8858),(1485,4835,0.63516,2.8783),(1485,4845,0.54647,2.8712),(1485,4855,0.43503,2.8641),(1485,4865,0.3236,2.859),(1485,4875,0.24305,2.8548),(1485,4885,0.44363,2.8506),(1485,4895,0.6442,2.8414),(1485,4905,0.84477,2.8274),(1485,4915,0.84595,2.8133),(1485,4925,0.82997,2.7996),(1485,4935,0.81399,2.7867),(1485,4945,0.74501,2.7738),(1485,4955,0.65764,2.7615),(1485,4965,0.57028,2.7527),(1485,4975,0.44468,2.7439),(1485,4985,0.28957,2.7351),(1485,4995,0.13446,2.7341),(1485,5005,0.12971,2.7333),(1485,5015,0.36402,2.7325),(1485,5025,0.59832,2.7237),(1485,5035,0.80475,2.7129),(1485,5045,0.90495,2.7021),(1485,5055,1.0052,2.6894),(1485,5065,1.1031,2.6756),(1485,5075,1.1261,2.6617),(1485,5085,1.149,2.648),(1485,5095,1.172,2.6345),(1485,5105,1.0324,2.621),(1485,5115,0.86438,2.6092),(1485,5125,0.69637,2.6022),(1485,5135,0.59425,2.5953),(1485,5145,0.52411,2.5884),(1485,5155,0.45397,2.582),(1485,5165,0.53396,2.5756),(1485,5175,0.76707,2.5692),(1485,5185,1.0002,2.5542),(1485,5195,1.1673,2.5384),(1485,5205,1.1921,2.5225),(1485,5215,1.2169,2.507),(1485,5225,1.2349,2.4916),(1485,5235,1.2102,2.4761),(1485,5245,1.1856,2.4619),(1485,5255,1.1609,2.4488),(1485,5265,0.81172,2.4356),(1485,5275,0.44914,2.4272),(1485,5285,0.086573,2.4269),(1485,5295,0.18027,2.4267),(1485,5305,0.40102,2.4239),(1485,5315,0.62178,2.411),(1485,5325,0.7929,2.3981),(1485,5335,0.93149,2.3851),(1485,5345,1.0701,2.3692),(1485,5355,1.1733,2.3534),(1485,5365,1.2288,2.3375),(1485,5375,1.2843,2.3221),(1485,5385,1.2512,2.3069),(1485,5395,0.94886,2.2916),(1485,5405,0.64648,2.2839),(1485,5415,0.36794,2.28),(1485,5425,0.40967,2.2761),(1485,5435,0.45141,2.2686),(1485,5445,0.49314,2.257),(1485,5455,0.59903,2.2454),(1485,5465,0.71277,2.2315),(1485,5475,0.82652,2.2123),(1485,5485,0.87866,2.1931),(1485,5495,0.906,2.1737),(1485,5505,0.93334,2.1538),(1485,5515,0.96188,2.1338),(1485,5525,0.99146,2.1139),(1485,5535,1.021,2.0933),(1485,5545,1.0507,2.0726),(1485,5555,1.0806,2.052),(1485,5565,1.1104,2.0309),(1485,5575,1.1402,2.0097),(1485,5585,1.1697,1.9885),(1485,5595,1.1992,1.9671),(1485,5605,1.2287,1.9456),(1485,5615,1.2575,1.9241),(1485,5625,1.2863,1.9025),(1485,5635,1.3151,1.8808),(1485,5645,1.3431,1.8591),(1485,5655,1.371,1.8373),(1485,5665,1.3988,1.8155),(1485,5675,1.426,1.7938),(1485,5685,1.4527,1.772),(1485,5695,1.4795,1.7503),(1485,5705,1.5056,1.7287),(1485,5715,1.5311,1.707),(1485,5725,1.5565,1.6855),(1485,5735,1.5816,1.664),(1485,5745,1.6057,1.6424),(1485,5755,1.6298,1.6211),(1485,5765,1.6537,1.5998),(1485,5775,1.6764,1.5785),(1485,5785,1.699,1.5574),(1485,5795,1.7217,1.5364),(1485,5805,1.743,1.5154),(1485,5815,1.7643,1.4946),(1485,5825,1.7855,1.4739),(1485,5835,1.8057,1.4532),(1485,5845,1.8255,1.4326),(1485,5855,1.8453,1.4123),(1485,5865,1.8644,1.3919),(1485,5875,1.8828,1.3715),(1485,5885,1.9013,1.3514),(1485,5895,1.9192,1.3313),(1485,5905,1.9364,1.3113),(1485,5915,1.9535,1.2914),(1485,5925,1.9704,1.2717),(1485,5935,1.9863,1.2519),(1485,5945,2.0022,1.2324),(1485,5955,2.0181,1.2129),(1485,5965,2.0333,1.1935),(1485,5975,2.0486,1.1741),(1485,5985,2.0638,1.155),(1485,5995,1.5797,1.1358),(1485,6005,1.0152,1.1212),(1485,6015,0.45073,1.1187),(1485,6025,0.42658,1.1162),(1485,6035,0.65303,1.1127),(1485,6045,0.87947,1.0989),(1485,6055,1.0458,1.085),(1485,6065,1.1531,1.0712),(1485,6075,1.2604,1.0531),(1485,6085,1.3347,1.0346),(1485,6095,1.3409,1.0161),(1485,6105,1.347,0.99733),(1485,6115,1.3531,0.97851),(1485,6125,1.359,0.95969),(1485,6135,1.3649,0.9408),(1485,6145,1.3708,0.92185),(1485,6155,1.3764,0.9029),(1485,6165,1.3819,0.88387),(1485,6175,1.3875,0.86471),(1485,6185,1.3927,0.84554),(1485,6195,1.3979,0.82636),(1485,6205,1.4031,0.8071),(1485,6215,1.408,0.78784),(1485,6225,1.4128,0.76858),(1485,6235,1.4176,0.74929),(1485,6245,1.4223,0.73),(1485,6255,1.4267,0.7107),(1485,6265,1.4311,0.6912),(1485,6275,1.4354,0.67165),(1485,6285,1.4394,0.65211),(1485,6295,1.4435,0.63244),(1485,6305,1.4475,0.6127),(1485,6315,1.4511,0.59295),(1485,6325,1.4548,0.57321),(1485,6335,1.4584,0.55346),(1485,6345,1.4618,0.53371),(1485,6355,1.465,0.51392),(1485,6365,1.4683,0.49403),(1485,6375,1.4713,0.47415),(1485,6385,1.4742,0.45424),(1485,6395,1.4771,0.43418),(1485,6405,1.4798,0.41412),(1485,6415,1.4822,0.39406),(1485,6425,1.4847,0.37403),(1485,6435,1.4871,0.35399),(1485,6445,1.4891,0.33395),(1485,6455,1.4912,0.31395),(1485,6465,1.4932,0.29396),(1485,6475,1.4949,0.27397),(1485,6485,1.4966,0.25393),(1485,6495,1.4982,0.23385),(1485,6505,1.4995,0.21377),(1485,6515,1.5007,0.19365),(1485,6525,1.502,0.17347),(1485,6535,1.5029,0.15329),(1485,6545,1.5038,0.13311),(1485,6555,1.5047,0.11293),(1485,6565,1.5053,0.092745),(1485,6575,1.5057,0.072562),(1485,6585,1.5061,0.052385),(1485,6595,1.2812,0.032209),(1485,6605,0.80736,0.012033),(1485,6615,0.33354,0.009709),(1485,6625,0.000465,0.00968),(1485,6635,0.000468,0.00965),(1485,6645,0.00047,0.009636),(1485,6655,0.000473,0.009628),(1485,6665,0.000475,0.009619),(1485,6675,0.000478,0.009612),(1485,6685,0.00048,0.009604),(1485,6695,0.000483,0.009596),(1485,6705,0.000485,0.009588),(1485,6715,0.000487,0.00958),(1485,6725,0.000489,0.009572),(1485,6735,0.000492,0.009564),(1485,6745,0.000494,0.009556),(1485,6755,0.000496,0.009548),(1485,6765,0.000498,0.00954),(1485,6775,0.0005,0.009532),(1485,6785,0.000502,0.009523),(1485,6795,0.000504,0.009515),(1485,6805,0.000507,0.009507),(1485,6815,0.000509,0.009499),(1485,6825,0.00051,0.009491),(1485,6835,0.000512,0.009483),(1485,6845,0.000514,0.009475),(1485,6855,0.000516,0.009467),(1485,6865,0.000518,0.009458),(1485,6875,0.00052,0.00945),(1485,6885,0.000522,0.009442),(1485,6895,0.000524,0.009434),(1485,6905,0.000525,0.009426),(1485,6915,0.000527,0.009418),(1485,6925,0.000529,0.009409),(1485,6935,0.00053,0.009401),(1485,6945,0.000532,0.009393),(1485,6955,0.000534,0.009385),(1485,6965,0.000535,0.009376),(1485,6975,0.000537,0.009368),(1485,6985,0.000538,0.00936),(1495,5,5.8e-05,3.6749),(1495,15,0.000173,3.6749),(1495,25,0.000289,3.6749),(1495,35,0.000405,3.6749),(1495,45,0.00052,3.6749),(1495,55,0.000636,3.6749),(1495,65,0.000752,3.6749),(1495,75,0.000868,3.6748),(1495,85,0.000984,3.6748),(1495,95,0.0011,3.6748),(1495,105,0.001217,3.6748),(1495,115,0.001333,3.6748),(1495,125,0.00145,3.6748),(1495,135,0.001567,3.6748),(1495,145,0.001684,3.6748),(1495,155,0.001801,3.6748),(1495,165,0.001919,3.6747),(1495,175,0.002037,3.6747),(1495,185,0.002155,3.6747),(1495,195,0.002274,3.6747),(1495,205,0.002392,3.6747),(1495,215,0.002511,3.6746),(1495,225,0.002631,3.6746),(1495,235,0.00275,3.6746),(1495,245,0.00287,3.6746),(1495,255,0.00299,3.6745),(1495,265,0.003112,3.6745),(1495,275,0.003233,3.6745),(1495,285,0.003354,3.6745),(1495,295,0.003476,3.6744),(1495,305,0.003599,3.6744),(1495,315,0.003722,3.6744),(1495,325,0.003845,3.6743),(1495,335,0.003968,3.6743),(1495,345,0.004093,3.6743),(1495,355,0.004218,3.6742),(1495,365,0.004344,3.6742),(1495,375,0.004469,3.6741),(1495,385,0.004596,3.6741),(1495,395,0.004724,3.6741),(1495,405,0.004851,3.674),(1495,415,0.004979,3.674),(1495,425,0.005109,3.6739),(1495,435,0.005239,3.6739),(1495,445,0.00537,3.6738),(1495,455,0.0055,3.6738),(1495,465,0.005633,3.6737),(1495,475,0.005765,3.6737),(1495,485,0.005899,3.6736),(1495,495,0.006032,3.6736),(1495,505,0.006168,3.6735),(1495,515,0.006304,3.6735),(1495,525,0.006439,3.6734),(1495,535,0.006576,3.6733),(1495,545,0.006715,3.6733),(1495,555,0.006854,3.6732),(1495,565,0.006994,3.6732),(1495,575,0.007133,3.6731),(1495,585,0.007276,3.673),(1495,595,0.007419,3.673),(1495,605,0.007562,3.6729),(1495,615,0.007705,3.6728),(1495,625,0.007852,3.6728),(1495,635,0.007999,3.6727),(1495,645,0.008146,3.6726),(1495,655,0.008293,3.6725),(1495,665,0.008444,3.6725),(1495,675,0.008595,3.6724),(1495,685,0.008746,3.6723),(1495,695,0.008898,3.6722),(1495,705,0.009053,3.6721),(1495,715,0.009208,3.672),(1495,725,0.009364,3.672),(1495,735,0.00952,3.6719),(1495,745,0.00968,3.6718),(1495,755,0.00984,3.6717),(1495,765,0.01,3.6716),(1495,775,0.010162,3.6715),(1495,785,0.010327,3.6714),(1495,795,0.010492,3.6713),(1495,805,0.010657,3.6712),(1495,815,0.010823,3.6711),(1495,825,0.010993,3.671),(1495,835,0.011163,3.6709),(1495,845,0.011333,3.6708),(1495,855,0.011506,3.6707),(1495,865,0.011681,3.6706),(1495,875,0.011857,3.6705),(1495,885,0.012032,3.6704),(1495,895,0.01221,3.6702),(1495,905,0.012392,3.6701),(1495,915,0.012573,3.67),(1495,925,0.012755,3.6699),(1495,935,0.012939,3.6698),(1495,945,0.013126,3.6696),(1495,955,0.013314,3.6695),(1495,965,0.013502,3.6694),(1495,975,0.013692,3.6693),(1495,985,0.013886,3.6691),(1495,995,0.01408,3.669),(1495,1005,0.014274,3.6689),(1495,1015,0.014471,3.6687),(1495,1025,0.014672,3.6686),(1495,1035,0.014872,3.6684),(1495,1045,0.015073,3.6683),(1495,1055,0.015277,3.6681),(1495,1065,0.015484,3.668),(1495,1075,0.015692,3.6678),(1495,1085,0.015899,3.6677),(1495,1095,0.016111,3.6675),(1495,1105,0.016325,3.6674),(1495,1115,0.01654,3.6672),(1495,1125,0.016755,3.667),(1495,1135,0.016974,3.6669),(1495,1145,0.017196,3.6667),(1495,1155,0.017418,3.6665),(1495,1165,0.01764,3.6664),(1495,1175,0.017868,3.6662),(1495,1185,0.018098,3.666),(1495,1195,0.018327,3.6658),(1495,1205,0.018557,3.6656),(1495,1215,0.018793,3.6654),(1495,1225,0.019031,3.6653),(1495,1235,0.019269,3.6651),(1495,1245,0.019506,3.6649),(1495,1255,0.01975,3.6647),(1495,1265,0.019996,3.6645),(1495,1275,0.020243,3.6643),(1495,1285,0.020489,3.6641),(1495,1295,0.020741,3.6638),(1495,1305,0.020996,3.6636),(1495,1315,0.02125,3.6634),(1495,1325,0.021505,3.6632),(1495,1335,0.021767,3.663),(1495,1345,0.02203,3.6627),(1495,1355,0.022293,3.6625),(1495,1365,0.022557,3.6623),(1495,1375,0.022828,3.662),(1495,1385,0.0231,3.6618),(1495,1395,0.023372,3.6616),(1495,1405,0.023644,3.6613),(1495,1415,0.023925,3.6611),(1495,1425,0.024206,3.6608),(1495,1435,0.024488,3.6606),(1495,1445,0.024769,3.6603),(1495,1455,0.025059,3.66),(1495,1465,0.02535,3.6598),(1495,1475,0.025641,3.6595),(1495,1485,0.025932,3.6592),(1495,1495,0.026232,3.6589),(1495,1505,0.026532,3.6587),(1495,1515,0.026832,3.6584),(1495,1525,0.027132,3.6581),(1495,1535,0.027442,3.6578),(1495,1545,0.027752,3.6575),(1495,1555,0.028062,3.6572),(1495,1565,0.028372,3.6569),(1495,1575,0.028692,3.6565),(1495,1585,0.029011,3.6562),(1495,1595,0.029331,3.6559),(1495,1605,0.029651,3.6556),(1495,1615,0.02998,3.6553),(1495,1625,0.03031,3.6549),(1495,1635,0.030639,3.6546),(1495,1645,0.03097,3.6542),(1495,1655,0.031309,3.6539),(1495,1665,0.031649,3.6535),(1495,1675,0.031988,3.6532),(1495,1685,0.032329,3.6528),(1495,1695,0.032679,3.6524),(1495,1705,0.033028,3.6521),(1495,1715,0.033377,3.6517),(1495,1725,0.033729,3.6513),(1495,1735,0.034088,3.6509),(1495,1745,0.034447,3.6505),(1495,1755,0.034806,3.6501),(1495,1765,0.035168,3.6497),(1495,1775,0.035537,3.6493),(1495,1785,0.035905,3.6489),(1495,1795,0.036274,3.6485),(1495,1805,0.036646,3.648),(1495,1815,0.037024,3.6476),(1495,1825,0.037403,3.6472),(1495,1835,0.037781,3.6467),(1495,1845,0.038163,3.6463),(1495,1855,0.038551,3.6458),(1495,1865,0.038939,3.6454),(1495,1875,0.039327,3.6449),(1495,1885,0.039718,3.6444),(1495,1895,0.040116,3.644),(1495,1905,0.040513,3.6435),(1495,1915,0.04091,3.643),(1495,1925,0.041311,3.6425),(1495,1935,0.041718,3.642),(1495,1945,0.042124,3.6415),(1495,1955,0.04253,3.6409),(1495,1965,0.04294,3.6404),(1495,1975,0.043355,3.6399),(1495,1985,0.04377,3.6394),(1495,1995,0.044185,3.6388),(1495,2005,0.044604,3.6383),(1495,2015,0.045027,3.6377),(1495,2025,0.04545,3.6371),(1495,2035,0.045873,3.6366),(1495,2045,0.0463,3.636),(1495,2055,0.046731,3.6354),(1495,2065,0.047162,3.6348),(1495,2075,0.047593,3.6342),(1495,2085,0.048029,3.6336),(1495,2095,0.048467,3.633),(1495,2105,0.048905,3.6324),(1495,2115,0.049343,3.6318),(1495,2125,0.049786,3.6311),(1495,2135,0.05023,3.6305),(1495,2145,0.050675,3.6298),(1495,2155,0.05112,3.6292),(1495,2165,0.051569,3.6285),(1495,2175,0.052019,3.6278),(1495,2185,0.05247,3.6272),(1495,2195,0.05292,3.6265),(1495,2205,0.053374,3.6258),(1495,2215,0.05383,3.6251),(1495,2225,0.054285,3.6244),(1495,2235,0.054741,3.6236),(1495,2245,0.0552,3.6229),(1495,2255,0.055659,3.6222),(1495,2265,0.056119,3.6214),(1495,2275,0.056579,3.6207),(1495,2285,0.057041,3.6199),(1495,2295,0.057504,3.6191),(1495,2305,0.057967,3.6184),(1495,2315,0.05843,3.6176),(1495,2325,0.058894,3.6168),(1495,2335,0.059359,3.616),(1495,2345,0.059824,3.6152),(1495,2355,0.060289,3.6143),(1495,2365,0.060755,3.6135),(1495,2375,0.061221,3.6127),(1495,2385,0.061687,3.6118),(1495,2395,0.062153,3.611),(1495,2405,0.062618,3.6101),(1495,2415,0.063084,3.6093),(1495,2425,0.06355,3.6084),(1495,2435,0.064016,3.6075),(1495,2445,0.06448,3.6066),(1495,2455,0.064944,3.6057),(1495,2465,0.065408,3.6048),(1495,2475,0.065872,3.6038),(1495,2485,0.066333,3.6029),(1495,2495,0.066793,3.602),(1495,2505,0.067254,3.601),(1495,2515,0.067715,3.6001),(1495,2525,0.068171,3.5991),(1495,2535,0.068627,3.5981),(1495,2545,0.069083,3.5971),(1495,2555,0.069539,3.5961),(1495,2565,0.069989,3.5951),(1495,2575,0.070439,3.5941),(1495,2585,0.070889,3.5931),(1495,2595,0.071338,3.5921),(1495,2605,0.07178,3.591),(1495,2615,0.072221,3.59),(1495,2625,0.072663,3.5889),(1495,2635,0.073104,3.5879),(1495,2645,0.073536,3.5868),(1495,2655,0.073967,3.5857),(1495,2665,0.074399,3.5846),(1495,2675,0.074829,3.5835),(1495,2685,0.075249,3.5824),(1495,2695,0.075669,3.5813),(1495,2705,0.076089,3.5802),(1495,2715,0.076506,3.579),(1495,2725,0.076913,3.5779),(1495,2735,0.077319,3.5768),(1495,2745,0.077725,3.5756),(1495,2755,0.078128,3.5744),(1495,2765,0.078518,3.5732),(1495,2775,0.078909,3.5721),(1495,2785,0.0793,3.5709),(1495,2795,0.079685,3.5697),(1495,2805,0.080058,3.5685),(1495,2815,0.08043,3.5673),(1495,2825,0.080803,3.566),(1495,2835,0.081169,3.5648),(1495,2845,0.081521,3.5636),(1495,2855,0.081874,3.5623),(1495,2865,0.082226,3.561),(1495,2875,0.082571,3.5598),(1495,2885,0.082901,3.5585),(1495,2895,0.083231,3.5572),(1495,2905,0.083561,3.556),(1495,2915,0.083881,3.5547),(1495,2925,0.084187,3.5534),(1495,2935,0.084492,3.5521),(1495,2945,0.084798,3.5508),(1495,2955,0.085091,3.5494),(1495,2965,0.085369,3.5481),(1495,2975,0.085648,3.5468),(1495,2985,0.085926,3.5454),(1495,2995,0.08619,3.5441),(1495,3005,0.086439,3.5428),(1495,3015,0.086688,3.5414),(1495,3025,0.086937,3.54),(1495,3035,0.087169,3.5387),(1495,3045,0.087386,3.5373),(1495,3055,0.087603,3.5359),(1495,3065,0.08782,3.5345),(1495,3075,0.088018,3.5332),(1495,3085,0.088201,3.5318),(1495,3095,0.088384,3.5304),(1495,3105,0.088567,3.529),(1495,3115,0.088727,3.5276),(1495,3125,0.088874,3.5262),(1495,3135,0.08902,3.5247),(1495,3145,0.089166,3.5233),(1495,3155,0.089288,3.5219),(1495,3165,0.089395,3.5205),(1495,3175,0.089502,3.5191),(1495,3185,0.08961,3.5176),(1495,3195,0.089688,3.5162),(1495,3205,0.089754,3.5147),(1495,3215,0.08982,3.5133),(1495,3225,0.089886,3.5119),(1495,3235,0.08992,3.5104),(1495,3245,0.089942,3.509),(1495,3255,0.089964,3.5075),(1495,3265,0.089986,3.5061),(1495,3275,0.089972,3.5046),(1495,3285,0.089948,3.5032),(1495,3295,0.089924,3.5017),(1495,3305,0.0899,3.5002),(1495,3315,0.089836,3.4988),(1495,3325,0.089764,3.4973),(1495,3335,0.089691,3.4959),(1495,3345,0.089618,3.4944),(1495,3355,0.089503,3.493),(1495,3365,0.089379,3.4915),(1495,3375,0.089256,3.49),(1495,3385,0.089133,3.4886),(1495,3395,0.088963,3.4871),(1495,3405,0.088786,3.4857),(1495,3415,0.08861,3.4842),(1495,3425,0.088434,3.4828),(1495,3435,0.088207,3.4813),(1495,3445,0.087976,3.4798),(1495,3455,0.087745,3.4784),(1495,3465,0.087514,3.4769),(1495,3475,0.087228,3.4755),(1495,3485,0.08694,3.4741),(1495,3495,0.086651,3.4726),(1495,3505,0.086363,3.4712),(1495,3515,0.086016,3.4697),(1495,3525,0.085669,3.4683),(1495,3535,0.085322,3.4669),(1495,3545,0.084972,3.4655),(1495,3555,0.084564,3.464),(1495,3565,0.084156,3.4626),(1495,3575,0.083749,3.4612),(1495,3585,0.083336,3.4598),(1495,3595,0.082866,3.4584),(1495,3605,0.082396,3.457),(1495,3615,0.081926,3.4556),(1495,3625,0.081448,3.4542),(1495,3635,0.080914,3.4528),(1495,3645,0.08038,3.4514),(1495,3655,0.079846,3.45),(1495,3665,0.079301,3.4487),(1495,3675,0.078702,3.4473),(1495,3685,0.078103,3.4459),(1495,3695,0.077504,3.4446),(1495,3705,0.076891,3.4432),(1495,3715,0.076225,3.4419),(1495,3725,0.075559,3.4405),(1495,3735,0.074894,3.4392),(1495,3745,0.074211,3.4379),(1495,3755,0.073478,3.4366),(1495,3765,0.072744,3.4352),(1495,3775,0.07201,3.4339),(1495,3785,0.071257,3.4326),(1495,3795,0.070454,3.4313),(1495,3805,0.069651,3.4301),(1495,3815,0.068848,3.4288),(1495,3825,0.068023,3.4275),(1495,3835,0.067149,3.4262),(1495,3845,0.066276,3.425),(1495,3855,0.065403,3.4237),(1495,3865,0.064504,3.4225),(1495,3875,0.063559,3.4212),(1495,3885,0.062614,3.42),(1495,3895,0.061669,3.4188),(1495,3905,0.071462,3.4176),(1495,3915,0.097298,3.4163),(1495,3925,0.12313,3.4143),(1495,3935,0.14897,3.4112),(1495,3945,0.17779,3.4081),(1495,3955,0.21041,3.405),(1495,3965,0.24303,3.401),(1495,3975,0.27565,3.3959),(1495,3985,0.29552,3.3908),(1495,3995,0.30157,3.3857),(1495,4005,0.30762,3.3806),(1495,4015,0.31368,3.3753),(1495,4025,0.31971,3.37),(1495,4035,0.32573,3.3647),(1495,4045,0.33175,3.3591),(1495,4055,0.33742,3.3536),(1495,4065,0.34295,3.348),(1495,4075,0.34848,3.3422),(1495,4085,0.3535,3.3363),(1495,4095,0.35811,3.3305),(1495,4105,0.36273,3.3242),(1495,4115,0.35328,3.3179),(1495,4125,0.32054,3.3115),(1495,4135,0.2878,3.3064),(1495,4145,0.25402,3.3016),(1495,4155,0.21606,3.2967),(1495,4165,0.1781,3.2929),(1495,4175,0.14228,3.2896),(1495,4185,0.2121,3.2864),(1495,4195,0.28192,3.2816),(1495,4205,0.35173,3.275),(1495,4215,0.34949,3.2683),(1495,4225,0.33369,3.262),(1495,4235,0.31789,3.257),(1495,4245,0.29276,3.252),(1495,4255,0.2629,3.2471),(1495,4265,0.23303,3.2441),(1495,4275,0.19332,3.241),(1495,4285,0.14316,3.238),(1495,4295,0.093006,3.2371),(1495,4305,0.086236,3.2365),(1495,4315,0.17744,3.2359),(1495,4325,0.26864,3.2325),(1495,4335,0.34947,3.2281),(1495,4345,0.3601,3.2236),(1495,4355,0.37072,3.2182),(1495,4365,0.38135,3.2118),(1495,4375,0.3809,3.2054),(1495,4385,0.37987,3.1985),(1495,4395,0.37885,3.1904),(1495,4405,0.32733,3.1823),(1495,4415,0.26092,3.1749),(1495,4425,0.19452,3.1702),(1495,4435,0.17112,3.1654),(1495,4445,0.17713,3.1607),(1495,4455,0.18313,3.1568),(1495,4465,0.22664,3.1529),(1495,4475,0.32283,3.149),(1495,4485,0.41902,3.1407),(1495,4495,0.49635,3.1313),(1495,4505,0.51318,3.122),(1495,4515,0.53002,3.1123),(1495,4525,0.54548,3.1023),(1495,4535,0.53924,3.0923),(1495,4545,0.533,3.0826),(1495,4555,0.52676,3.0733),(1495,4565,0.38938,3.0639),(1495,4575,0.23433,3.057),(1495,4585,0.07928,3.056),(1495,4595,0.076492,3.055),(1495,4605,0.13804,3.0534),(1495,4615,0.19958,3.0476),(1495,4625,0.26313,3.0419),(1495,4635,0.32849,3.0361),(1495,4645,0.39384,3.0276),(1495,4655,0.4551,3.019),(1495,4665,0.50864,3.0103),(1495,4675,0.56218,3.0014),(1495,4685,0.58594,2.9924),(1495,4695,0.46256,2.9834),(1495,4705,0.33919,2.9782),(1495,4715,0.21581,2.9756),(1495,4725,0.28974,2.973),(1495,4735,0.36564,2.9685),(1495,4745,0.44155,2.961),(1495,4755,0.5361,2.9535),(1495,4765,0.63498,2.9453),(1495,4775,0.73385,2.9345),(1495,4785,0.7832,2.9237),(1495,4795,0.80391,2.913),(1495,4805,0.82462,2.9024),(1495,4815,0.79925,2.8918),(1495,4825,0.71878,2.8812),(1495,4835,0.63832,2.8736),(1495,4845,0.54924,2.8664),(1495,4855,0.43768,2.8593),(1495,4865,0.32613,2.8541),(1495,4875,0.24564,2.85),(1495,4885,0.44779,2.8458),(1495,4895,0.64993,2.8366),(1495,4905,0.85208,2.8225),(1495,4915,0.85315,2.8085),(1495,4925,0.83693,2.7948),(1495,4935,0.8207,2.7819),(1495,4945,0.75117,2.769),(1495,4955,0.66315,2.7567),(1495,4965,0.57513,2.7478),(1495,4975,0.44852,2.739),(1495,4985,0.29212,2.7302),(1495,4995,0.13572,2.7292),(1495,5005,0.13072,2.7284),(1495,5015,0.36642,2.7276),(1495,5025,0.60213,2.7188),(1495,5035,0.80971,2.7081),(1495,5045,0.91014,2.6973),(1495,5055,1.0106,2.6847),(1495,5065,1.1087,2.6709),(1495,5075,1.1315,2.6571),(1495,5085,1.1542,2.6434),(1495,5095,1.1769,2.6299),(1495,5105,1.0366,2.6165),(1495,5115,0.86773,2.6047),(1495,5125,0.69889,2.5978),(1495,5135,0.5967,2.5909),(1495,5145,0.52686,2.584),(1495,5155,0.45701,2.5776),(1495,5165,0.53775,2.5712),(1495,5175,0.77207,2.5648),(1495,5185,1.0064,2.5499),(1495,5195,1.1742,2.5341),(1495,5205,1.1988,2.5184),(1495,5215,1.2233,2.5029),(1495,5225,1.241,2.4875),(1495,5235,1.2158,2.4721),(1495,5245,1.1907,2.458),(1495,5255,1.1655,2.4449),(1495,5265,0.815,2.4317),(1495,5275,0.45104,2.4234),(1495,5285,0.087075,2.4231),(1495,5295,0.18218,2.4228),(1495,5305,0.40512,2.4201),(1495,5315,0.62807,2.4072),(1495,5325,0.80004,2.3942),(1495,5335,0.9386,2.3813),(1495,5345,1.0772,2.3655),(1495,5355,1.1801,2.3496),(1495,5365,1.2351,2.3338),(1495,5375,1.2901,2.3185),(1495,5385,1.2563,2.3034),(1495,5395,0.9526,2.2882),(1495,5405,0.6489,2.2805),(1495,5415,0.36926,2.2766),(1495,5425,0.41294,2.2728),(1495,5435,0.45662,2.2652),(1495,5445,0.5003,2.2535),(1495,5455,0.60767,2.2418),(1495,5465,0.72282,2.2279),(1495,5475,0.83797,2.2085),(1495,5485,0.89057,2.1891),(1495,5495,0.91797,2.1697),(1495,5505,0.94538,2.1496),(1495,5515,0.97396,2.1296),(1495,5525,1.0036,2.1095),(1495,5535,1.0332,2.0889),(1495,5545,1.0628,2.0682),(1495,5555,1.0927,2.0475),(1495,5565,1.1225,2.0263),(1495,5575,1.1522,2.0051),(1495,5585,1.1816,1.9839),(1495,5595,1.2111,1.9625),(1495,5605,1.2405,1.941),(1495,5615,1.2691,1.9195),(1495,5625,1.2978,1.8979),(1495,5635,1.3265,1.8762),(1495,5645,1.3544,1.8545),(1495,5655,1.382,1.8328),(1495,5665,1.4097,1.8111),(1495,5675,1.4367,1.7894),(1495,5685,1.4633,1.7677),(1495,5695,1.4898,1.7461),(1495,5705,1.5158,1.7245),(1495,5715,1.541,1.7029),(1495,5725,1.5663,1.6815),(1495,5735,1.5911,1.66),(1495,5745,1.615,1.6386),(1495,5755,1.6389,1.6174),(1495,5765,1.6626,1.5962),(1495,5775,1.685,1.575),(1495,5785,1.7075,1.554),(1495,5795,1.7299,1.5331),(1495,5805,1.751,1.5122),(1495,5815,1.772,1.4915),(1495,5825,1.793,1.4709),(1495,5835,1.813,1.4504),(1495,5845,1.8326,1.4299),(1495,5855,1.8522,1.4096),(1495,5865,1.8711,1.3894),(1495,5875,1.8893,1.3691),(1495,5885,1.9076,1.3491),(1495,5895,1.9253,1.3292),(1495,5905,1.9423,1.3092),(1495,5915,1.9592,1.2895),(1495,5925,1.9759,1.2698),(1495,5935,1.9917,1.2502),(1495,5945,2.0074,1.2307),(1495,5955,2.0231,1.2114),(1495,5965,2.0382,1.192),(1495,5975,2.0532,1.1728),(1495,5985,2.0683,1.1537),(1495,5995,1.5831,1.1347),(1495,6005,1.0173,1.1201),(1495,6015,0.45162,1.1177),(1495,6025,0.42843,1.1153),(1495,6035,0.65686,1.1118),(1495,6045,0.88529,1.0979),(1495,6055,1.0529,1.0841),(1495,6065,1.161,1.0702),(1495,6075,1.269,1.0521),(1495,6085,1.3438,1.0336),(1495,6095,1.3499,1.0151),(1495,6105,1.3561,0.99639),(1495,6115,1.3623,0.97759),(1495,6125,1.3682,0.95878),(1495,6135,1.3741,0.9399),(1495,6145,1.38,0.92096),(1495,6155,1.3856,0.90202),(1495,6165,1.3912,0.88301),(1495,6175,1.3967,0.86385),(1495,6185,1.402,0.8447),(1495,6195,1.4072,0.82553),(1495,6205,1.4124,0.80628),(1495,6215,1.4174,0.78703),(1495,6225,1.4222,0.76778),(1495,6235,1.427,0.74849),(1495,6245,1.4317,0.7292),(1495,6255,1.4361,0.70992),(1495,6265,1.4405,0.69043),(1495,6275,1.4448,0.6709),(1495,6285,1.4489,0.65137),(1495,6295,1.4529,0.63171),(1495,6305,1.4569,0.61197),(1495,6315,1.4606,0.59224),(1495,6325,1.4642,0.57251),(1495,6335,1.4679,0.5528),(1495,6345,1.4712,0.53309),(1495,6355,1.4745,0.51333),(1495,6365,1.4778,0.49347),(1495,6375,1.4808,0.4736),(1495,6385,1.4837,0.45372),(1495,6395,1.4866,0.43368),(1495,6405,1.4893,0.41364),(1495,6415,1.4918,0.3936),(1495,6425,1.4943,0.37359),(1495,6435,1.4966,0.35357),(1495,6445,1.4987,0.33356),(1495,6455,1.5008,0.31358),(1495,6465,1.5028,0.29361),(1495,6475,1.5045,0.27364),(1495,6485,1.5062,0.25361),(1495,6495,1.5078,0.23355),(1495,6505,1.5091,0.21349),(1495,6515,1.5104,0.19339),(1495,6525,1.5116,0.17325),(1495,6535,1.5126,0.1531),(1495,6545,1.5134,0.13295),(1495,6555,1.5143,0.1128),(1495,6565,1.5149,0.092654),(1495,6575,1.5153,0.072505),(1495,6585,1.5158,0.052346),(1495,6595,1.2894,0.032187),(1495,6605,0.81253,0.012028),(1495,6615,0.33568,0.009708),(1495,6625,0.00047,0.00968),(1495,6635,0.000472,0.009652),(1495,6645,0.000475,0.009638),(1495,6655,0.000477,0.00963),(1495,6665,0.00048,0.009622),(1495,6675,0.000482,0.009614),(1495,6685,0.000485,0.009606),(1495,6695,0.000487,0.009598),(1495,6705,0.000489,0.00959),(1495,6715,0.000492,0.009582),(1495,6725,0.000494,0.009574),(1495,6735,0.000496,0.009566),(1495,6745,0.000498,0.009558),(1495,6755,0.0005,0.00955),(1495,6765,0.000503,0.009542),(1495,6775,0.000505,0.009534),(1495,6785,0.000507,0.009525),(1495,6795,0.000509,0.009517),(1495,6805,0.000511,0.009509),(1495,6815,0.000513,0.009501),(1495,6825,0.000515,0.009493),(1495,6835,0.000517,0.009485),(1495,6845,0.000519,0.009477),(1495,6855,0.000521,0.009468),(1495,6865,0.000523,0.00946),(1495,6875,0.000525,0.009452),(1495,6885,0.000526,0.009444),(1495,6895,0.000528,0.009436),(1495,6905,0.00053,0.009427),(1495,6915,0.000532,0.009419),(1495,6925,0.000533,0.009411),(1495,6935,0.000535,0.009403),(1495,6945,0.000537,0.009394),(1495,6955,0.000538,0.009386),(1495,6965,0.00054,0.009378),(1495,6975,0.000541,0.009369),(1495,6985,0.000543,0.009361),(1505,5,5.8e-05,3.675),(1505,15,0.000174,3.675),(1505,25,0.000289,3.675),(1505,35,0.000405,3.675),(1505,45,0.000521,3.675),(1505,55,0.000637,3.675),(1505,65,0.000753,3.675),(1505,75,0.00087,3.675),(1505,85,0.000986,3.675),(1505,95,0.001102,3.6749),(1505,105,0.001219,3.6749),(1505,115,0.001336,3.6749),(1505,125,0.001453,3.6749),(1505,135,0.001569,3.6749),(1505,145,0.001687,3.6749),(1505,155,0.001805,3.6749),(1505,165,0.001922,3.6749),(1505,175,0.00204,3.6748),(1505,185,0.002159,3.6748),(1505,195,0.002278,3.6748),(1505,205,0.002397,3.6748),(1505,215,0.002515,3.6748),(1505,225,0.002635,3.6747),(1505,235,0.002756,3.6747),(1505,245,0.002876,3.6747),(1505,255,0.002996,3.6747),(1505,265,0.003117,3.6746),(1505,275,0.003239,3.6746),(1505,285,0.003361,3.6746),(1505,295,0.003482,3.6745),(1505,305,0.003606,3.6745),(1505,315,0.003729,3.6745),(1505,325,0.003852,3.6744),(1505,335,0.003976,3.6744),(1505,345,0.004101,3.6744),(1505,355,0.004227,3.6743),(1505,365,0.004352,3.6743),(1505,375,0.004477,3.6743),(1505,385,0.004605,3.6742),(1505,395,0.004733,3.6742),(1505,405,0.004861,3.6741),(1505,415,0.004989,3.6741),(1505,425,0.005119,3.6741),(1505,435,0.005249,3.674),(1505,445,0.00538,3.674),(1505,455,0.00551,3.6739),(1505,465,0.005644,3.6739),(1505,475,0.005777,3.6738),(1505,485,0.00591,3.6738),(1505,495,0.006044,3.6737),(1505,505,0.00618,3.6737),(1505,515,0.006316,3.6736),(1505,525,0.006453,3.6735),(1505,535,0.006589,3.6735),(1505,545,0.006729,3.6734),(1505,555,0.006868,3.6734),(1505,565,0.007008,3.6733),(1505,575,0.007148,3.6732),(1505,585,0.007291,3.6732),(1505,595,0.007435,3.6731),(1505,605,0.007578,3.673),(1505,615,0.007722,3.673),(1505,625,0.007869,3.6729),(1505,635,0.008016,3.6728),(1505,645,0.008163,3.6728),(1505,655,0.008311,3.6727),(1505,665,0.008462,3.6726),(1505,675,0.008614,3.6725),(1505,685,0.008765,3.6724),(1505,695,0.008917,3.6724),(1505,705,0.009073,3.6723),(1505,715,0.009229,3.6722),(1505,725,0.009385,3.6721),(1505,735,0.009542,3.672),(1505,745,0.009702,3.6719),(1505,755,0.009863,3.6719),(1505,765,0.010023,3.6718),(1505,775,0.010185,3.6717),(1505,785,0.010351,3.6716),(1505,795,0.010516,3.6715),(1505,805,0.010681,3.6714),(1505,815,0.010849,3.6713),(1505,825,0.011019,3.6712),(1505,835,0.01119,3.6711),(1505,845,0.011361,3.671),(1505,855,0.011533,3.6709),(1505,865,0.011709,3.6708),(1505,875,0.011886,3.6707),(1505,885,0.012062,3.6705),(1505,895,0.01224,3.6704),(1505,905,0.012422,3.6703),(1505,915,0.012605,3.6702),(1505,925,0.012787,3.6701),(1505,935,0.012971,3.67),(1505,945,0.01316,3.6698),(1505,955,0.013348,3.6697),(1505,965,0.013536,3.6696),(1505,975,0.013728,3.6695),(1505,985,0.013922,3.6693),(1505,995,0.014117,3.6692),(1505,1005,0.014312,3.6691),(1505,1015,0.01451,3.6689),(1505,1025,0.014711,3.6688),(1505,1035,0.014912,3.6686),(1505,1045,0.015114,3.6685),(1505,1055,0.015319,3.6683),(1505,1065,0.015527,3.6682),(1505,1075,0.015735,3.6681),(1505,1085,0.015944,3.6679),(1505,1095,0.016156,3.6677),(1505,1105,0.016372,3.6676),(1505,1115,0.016587,3.6674),(1505,1125,0.016803,3.6673),(1505,1135,0.017023,3.6671),(1505,1145,0.017246,3.6669),(1505,1155,0.017469,3.6668),(1505,1165,0.017693,3.6666),(1505,1175,0.017921,3.6664),(1505,1185,0.018152,3.6662),(1505,1195,0.018383,3.6661),(1505,1205,0.018614,3.6659),(1505,1215,0.018851,3.6657),(1505,1225,0.01909,3.6655),(1505,1235,0.019329,3.6653),(1505,1245,0.019568,3.6651),(1505,1255,0.019813,3.6649),(1505,1265,0.02006,3.6647),(1505,1275,0.020308,3.6645),(1505,1285,0.020555,3.6643),(1505,1295,0.020809,3.6641),(1505,1305,0.021065,3.6639),(1505,1315,0.021321,3.6637),(1505,1325,0.021577,3.6635),(1505,1335,0.02184,3.6632),(1505,1345,0.022104,3.663),(1505,1355,0.022369,3.6628),(1505,1365,0.022634,3.6625),(1505,1375,0.022907,3.6623),(1505,1385,0.02318,3.6621),(1505,1395,0.023454,3.6618),(1505,1405,0.023728,3.6616),(1505,1415,0.02401,3.6613),(1505,1425,0.024293,3.6611),(1505,1435,0.024576,3.6608),(1505,1445,0.024859,3.6606),(1505,1455,0.025151,3.6603),(1505,1465,0.025444,3.6601),(1505,1475,0.025736,3.6598),(1505,1485,0.026029,3.6595),(1505,1495,0.026331,3.6592),(1505,1505,0.026633,3.659),(1505,1515,0.026935,3.6587),(1505,1525,0.027237,3.6584),(1505,1535,0.027549,3.6581),(1505,1545,0.027861,3.6578),(1505,1555,0.028172,3.6575),(1505,1565,0.028485,3.6572),(1505,1575,0.028806,3.6569),(1505,1585,0.029128,3.6566),(1505,1595,0.02945,3.6562),(1505,1605,0.029772,3.6559),(1505,1615,0.030104,3.6556),(1505,1625,0.030435,3.6553),(1505,1635,0.030767,3.6549),(1505,1645,0.0311,3.6546),(1505,1655,0.031442,3.6542),(1505,1665,0.031784,3.6539),(1505,1675,0.032125,3.6535),(1505,1685,0.032469,3.6531),(1505,1695,0.032821,3.6528),(1505,1705,0.033173,3.6524),(1505,1715,0.033525,3.652),(1505,1725,0.033879,3.6517),(1505,1735,0.034241,3.6513),(1505,1745,0.034602,3.6509),(1505,1755,0.034964,3.6505),(1505,1765,0.035329,3.6501),(1505,1775,0.0357,3.6497),(1505,1785,0.036072,3.6493),(1505,1795,0.036444,3.6488),(1505,1805,0.036818,3.6484),(1505,1815,0.0372,3.648),(1505,1825,0.037581,3.6476),(1505,1835,0.037962,3.6471),(1505,1845,0.038347,3.6467),(1505,1855,0.038738,3.6462),(1505,1865,0.03913,3.6458),(1505,1875,0.039521,3.6453),(1505,1885,0.039915,3.6448),(1505,1895,0.040316,3.6443),(1505,1905,0.040717,3.6439),(1505,1915,0.041117,3.6434),(1505,1925,0.041522,3.6429),(1505,1935,0.041931,3.6424),(1505,1945,0.042341,3.6419),(1505,1955,0.042751,3.6414),(1505,1965,0.043165,3.6408),(1505,1975,0.043583,3.6403),(1505,1985,0.044001,3.6398),(1505,1995,0.04442,3.6392),(1505,2005,0.044843,3.6387),(1505,2015,0.045269,3.6381),(1505,2025,0.045696,3.6376),(1505,2035,0.046123,3.637),(1505,2045,0.046555,3.6364),(1505,2055,0.04699,3.6359),(1505,2065,0.047424,3.6353),(1505,2075,0.047859,3.6347),(1505,2085,0.048299,3.6341),(1505,2095,0.048741,3.6335),(1505,2105,0.049184,3.6328),(1505,2115,0.049626,3.6322),(1505,2125,0.050073,3.6316),(1505,2135,0.050522,3.6309),(1505,2145,0.050971,3.6303),(1505,2155,0.05142,3.6296),(1505,2165,0.051873,3.629),(1505,2175,0.052328,3.6283),(1505,2185,0.052783,3.6276),(1505,2195,0.053238,3.6269),(1505,2205,0.053696,3.6262),(1505,2215,0.054157,3.6255),(1505,2225,0.054617,3.6248),(1505,2235,0.055077,3.6241),(1505,2245,0.05554,3.6234),(1505,2255,0.056005,3.6226),(1505,2265,0.056469,3.6219),(1505,2275,0.056934,3.6211),(1505,2285,0.057401,3.6204),(1505,2295,0.057869,3.6196),(1505,2305,0.058337,3.6188),(1505,2315,0.058804,3.618),(1505,2325,0.059274,3.6172),(1505,2335,0.059744,3.6165),(1505,2345,0.060214,3.6156),(1505,2355,0.060684,3.6148),(1505,2365,0.061154,3.614),(1505,2375,0.061625,3.6132),(1505,2385,0.062096,3.6123),(1505,2395,0.062567,3.6114),(1505,2405,0.063038,3.6106),(1505,2415,0.063509,3.6097),(1505,2425,0.06398,3.6088),(1505,2435,0.064451,3.6079),(1505,2445,0.06492,3.6071),(1505,2455,0.06539,3.6062),(1505,2465,0.065859,3.6052),(1505,2475,0.066328,3.6043),(1505,2485,0.066794,3.6034),(1505,2495,0.06726,3.6024),(1505,2505,0.067727,3.6015),(1505,2515,0.068193,3.6005),(1505,2525,0.068654,3.5996),(1505,2535,0.069116,3.5986),(1505,2545,0.069577,3.5976),(1505,2555,0.070038,3.5966),(1505,2565,0.070494,3.5956),(1505,2575,0.070949,3.5946),(1505,2585,0.071404,3.5935),(1505,2595,0.071859,3.5925),(1505,2605,0.072306,3.5915),(1505,2615,0.072753,3.5904),(1505,2625,0.0732,3.5894),(1505,2635,0.073646,3.5883),(1505,2645,0.074083,3.5872),(1505,2655,0.07452,3.5862),(1505,2665,0.074958,3.585),(1505,2675,0.075393,3.5839),(1505,2685,0.075818,3.5828),(1505,2695,0.076243,3.5817),(1505,2705,0.076669,3.5806),(1505,2715,0.077091,3.5794),(1505,2725,0.077503,3.5783),(1505,2735,0.077914,3.5772),(1505,2745,0.078326,3.576),(1505,2755,0.078733,3.5748),(1505,2765,0.079129,3.5736),(1505,2775,0.079525,3.5725),(1505,2785,0.07992,3.5713),(1505,2795,0.080311,3.57),(1505,2805,0.080688,3.5688),(1505,2815,0.081066,3.5676),(1505,2825,0.081444,3.5664),(1505,2835,0.081814,3.5652),(1505,2845,0.082172,3.5639),(1505,2855,0.082529,3.5627),(1505,2865,0.082886,3.5614),(1505,2875,0.083235,3.5601),(1505,2885,0.08357,3.5589),(1505,2895,0.083905,3.5576),(1505,2905,0.084239,3.5563),(1505,2915,0.084564,3.555),(1505,2925,0.084874,3.5537),(1505,2935,0.085184,3.5524),(1505,2945,0.085493,3.5511),(1505,2955,0.085791,3.5497),(1505,2965,0.086073,3.5484),(1505,2975,0.086356,3.5471),(1505,2985,0.086638,3.5457),(1505,2995,0.086906,3.5444),(1505,3005,0.087159,3.543),(1505,3015,0.087412,3.5417),(1505,3025,0.087664,3.5403),(1505,3035,0.0879,3.5389),(1505,3045,0.088121,3.5375),(1505,3055,0.088341,3.5361),(1505,3065,0.088562,3.5348),(1505,3075,0.088763,3.5334),(1505,3085,0.088949,3.532),(1505,3095,0.089135,3.5306),(1505,3105,0.089321,3.5291),(1505,3115,0.089485,3.5277),(1505,3125,0.089634,3.5263),(1505,3135,0.089783,3.5249),(1505,3145,0.089932,3.5235),(1505,3155,0.090056,3.522),(1505,3165,0.090166,3.5206),(1505,3175,0.090276,3.5192),(1505,3185,0.090385,3.5177),(1505,3195,0.090466,3.5163),(1505,3205,0.090534,3.5148),(1505,3215,0.090602,3.5134),(1505,3225,0.09067,3.5119),(1505,3235,0.090706,3.5105),(1505,3245,0.09073,3.509),(1505,3255,0.090753,3.5075),(1505,3265,0.090777,3.5061),(1505,3275,0.090765,3.5046),(1505,3285,0.090742,3.5031),(1505,3295,0.090719,3.5017),(1505,3305,0.090696,3.5002),(1505,3315,0.090634,3.4987),(1505,3325,0.090562,3.4973),(1505,3335,0.090491,3.4958),(1505,3345,0.090419,3.4943),(1505,3355,0.090304,3.4928),(1505,3365,0.090181,3.4914),(1505,3375,0.090058,3.4899),(1505,3385,0.089935,3.4884),(1505,3395,0.089765,3.487),(1505,3405,0.08959,3.4855),(1505,3415,0.089414,3.484),(1505,3425,0.089238,3.4826),(1505,3435,0.089011,3.4811),(1505,3445,0.088779,3.4796),(1505,3455,0.088548,3.4782),(1505,3465,0.088317,3.4767),(1505,3475,0.08803,3.4752),(1505,3485,0.087742,3.4738),(1505,3495,0.087453,3.4723),(1505,3505,0.087164,3.4709),(1505,3515,0.086817,3.4694),(1505,3525,0.086469,3.468),(1505,3535,0.086121,3.4665),(1505,3545,0.085771,3.4651),(1505,3555,0.085362,3.4636),(1505,3565,0.084954,3.4622),(1505,3575,0.084545,3.4608),(1505,3585,0.084131,3.4594),(1505,3595,0.08366,3.4579),(1505,3605,0.083189,3.4565),(1505,3615,0.082718,3.4551),(1505,3625,0.082239,3.4537),(1505,3635,0.081704,3.4523),(1505,3645,0.081169,3.4509),(1505,3655,0.080634,3.4495),(1505,3665,0.080088,3.4481),(1505,3675,0.079488,3.4467),(1505,3685,0.078888,3.4453),(1505,3695,0.078287,3.444),(1505,3705,0.077673,3.4426),(1505,3715,0.077006,3.4412),(1505,3725,0.076339,3.4399),(1505,3735,0.075673,3.4385),(1505,3745,0.074989,3.4372),(1505,3755,0.074254,3.4358),(1505,3765,0.07352,3.4345),(1505,3775,0.072785,3.4332),(1505,3785,0.072031,3.4319),(1505,3795,0.071227,3.4306),(1505,3805,0.070423,3.4292),(1505,3815,0.06962,3.4279),(1505,3825,0.068794,3.4267),(1505,3835,0.06792,3.4254),(1505,3845,0.067046,3.4241),(1505,3855,0.066172,3.4228),(1505,3865,0.065272,3.4216),(1505,3875,0.064326,3.4203),(1505,3885,0.06338,3.419),(1505,3895,0.062434,3.4178),(1505,3905,0.072343,3.4166),(1505,3915,0.098467,3.4153),(1505,3925,0.12459,3.4133),(1505,3935,0.15072,3.4101),(1505,3945,0.17982,3.407),(1505,3955,0.21272,3.4039),(1505,3965,0.24562,3.3998),(1505,3975,0.27851,3.3946),(1505,3985,0.29852,3.3894),(1505,3995,0.30459,3.3843),(1505,4005,0.31065,3.379),(1505,4015,0.31671,3.3737),(1505,4025,0.32277,3.3684),(1505,4035,0.32883,3.363),(1505,4045,0.33489,3.3574),(1505,4055,0.34061,3.3518),(1505,4065,0.34621,3.3462),(1505,4075,0.3518,3.3404),(1505,4085,0.35691,3.3345),(1505,4095,0.36163,3.3286),(1505,4105,0.36635,3.3223),(1505,4115,0.35689,3.3159),(1505,4125,0.3239,3.3096),(1505,4135,0.29092,3.3043),(1505,4145,0.2569,3.2994),(1505,4155,0.21871,3.2945),(1505,4165,0.18052,3.2905),(1505,4175,0.14447,3.2872),(1505,4185,0.21488,3.2838),(1505,4195,0.28528,3.279),(1505,4205,0.35568,3.2722),(1505,4215,0.35321,3.2655),(1505,4225,0.33702,3.2592),(1505,4235,0.32082,3.2543),(1505,4245,0.29529,3.2493),(1505,4255,0.26502,3.2445),(1505,4265,0.23474,3.2415),(1505,4275,0.19462,3.2385),(1505,4285,0.14406,3.2355),(1505,4295,0.093494,3.2346),(1505,4305,0.086634,3.234),(1505,4315,0.17846,3.2334),(1505,4325,0.27029,3.2302),(1505,4335,0.35172,3.2259),(1505,4345,0.36282,3.2216),(1505,4355,0.37391,3.2162),(1505,4365,0.38501,3.2098),(1505,4375,0.38504,3.2034),(1505,4385,0.38451,3.1964),(1505,4395,0.38397,3.1882),(1505,4405,0.3321,3.1799),(1505,4415,0.2651,3.1723),(1505,4425,0.1981,3.1674),(1505,4435,0.17431,3.1625),(1505,4445,0.18005,3.1576),(1505,4455,0.18579,3.1536),(1505,4465,0.22955,3.1495),(1505,4475,0.32673,3.1455),(1505,4485,0.42391,3.137),(1505,4495,0.50201,3.1275),(1505,4505,0.51891,3.1181),(1505,4515,0.5358,3.1082),(1505,4525,0.55131,3.0981),(1505,4535,0.54489,3.0881),(1505,4545,0.53847,3.0783),(1505,4555,0.53205,3.0688),(1505,4565,0.39339,3.0593),(1505,4575,0.2369,3.0522),(1505,4585,0.080408,3.0512),(1505,4595,0.077868,3.0501),(1505,4605,0.14037,3.0484),(1505,4615,0.20288,3.0425),(1505,4625,0.26712,3.0365),(1505,4635,0.33294,3.0306),(1505,4645,0.39875,3.022),(1505,4655,0.46023,3.0132),(1505,4665,0.51353,3.0044),(1505,4675,0.56682,2.9955),(1505,4685,0.5902,2.9866),(1505,4695,0.46575,2.9777),(1505,4705,0.3413,2.9725),(1505,4715,0.21684,2.9701),(1505,4725,0.29171,2.9676),(1505,4735,0.36857,2.9632),(1505,4745,0.44544,2.9559),(1505,4755,0.54043,2.9486),(1505,4765,0.63963,2.9405),(1505,4775,0.73882,2.9298),(1505,4785,0.78815,2.9191),(1505,4795,0.80866,2.9083),(1505,4805,0.82916,2.8977),(1505,4815,0.80346,2.8871),(1505,4825,0.72251,2.8765),(1505,4835,0.64155,2.8689),(1505,4845,0.55208,2.8616),(1505,4855,0.44038,2.8544),(1505,4865,0.32868,2.8493),(1505,4875,0.24822,2.8451),(1505,4885,0.45193,2.8409),(1505,4895,0.65565,2.8317),(1505,4905,0.85936,2.8177),(1505,4915,0.86033,2.8037),(1505,4925,0.84387,2.79),(1505,4935,0.8274,2.7771),(1505,4945,0.75733,2.7642),(1505,4955,0.66867,2.7519),(1505,4965,0.58001,2.743),(1505,4975,0.45239,2.7341),(1505,4985,0.29469,2.7253),(1505,4995,0.13699,2.7243),(1505,5005,0.13173,2.7234),(1505,5015,0.36881,2.7226),(1505,5025,0.6059,2.7139),(1505,5035,0.81463,2.7032),(1505,5045,0.9153,2.6925),(1505,5055,1.016,2.6799),(1505,5065,1.1143,2.6661),(1505,5075,1.1368,2.6524),(1505,5085,1.1593,2.6388),(1505,5095,1.1818,2.6254),(1505,5105,1.0407,2.612),(1505,5115,0.87105,2.6002),(1505,5125,0.7014,2.5934),(1505,5135,0.59914,2.5865),(1505,5145,0.52959,2.5796),(1505,5155,0.46003,2.5732),(1505,5165,0.54151,2.5669),(1505,5175,0.77703,2.5605),(1505,5185,1.0126,2.5456),(1505,5195,1.1811,2.5299),(1505,5205,1.2054,2.5142),(1505,5215,1.2297,2.4987),(1505,5225,1.247,2.4834),(1505,5235,1.2214,2.4681),(1505,5245,1.1958,2.454),(1505,5255,1.1702,2.4409),(1505,5265,0.81826,2.4279),(1505,5275,0.45292,2.4195),(1505,5285,0.087577,2.4193),(1505,5295,0.18409,2.419),(1505,5305,0.40922,2.4162),(1505,5315,0.63435,2.4033),(1505,5325,0.80717,2.3904),(1505,5335,0.94568,2.3774),(1505,5345,1.0842,2.3617),(1505,5355,1.1869,2.3459),(1505,5365,1.2414,2.3302),(1505,5375,1.2958,2.315),(1505,5385,1.2613,2.2999),(1505,5395,0.9563,2.2848),(1505,5405,0.65129,2.2771),(1505,5415,0.37057,2.2732),(1505,5425,0.41623,2.2694),(1505,5435,0.46189,2.2618),(1505,5445,0.50754,2.25),(1505,5455,0.61639,2.2383),(1505,5465,0.73295,2.2242),(1505,5475,0.84952,2.2047),(1505,5485,0.90256,2.1852),(1505,5495,0.93002,2.1656),(1505,5505,0.95748,2.1455),(1505,5515,0.98609,2.1253),(1505,5525,1.0157,2.1052),(1505,5535,1.0453,2.0845),(1505,5545,1.075,2.0637),(1505,5555,1.1048,2.0429),(1505,5565,1.1346,2.0218),(1505,5575,1.1643,2.0005),(1505,5585,1.1936,1.9792),(1505,5595,1.2229,1.9578),(1505,5605,1.2522,1.9363),(1505,5615,1.2808,1.9148),(1505,5625,1.3093,1.8933),(1505,5635,1.3379,1.8716),(1505,5645,1.3656,1.8499),(1505,5655,1.3931,1.8283),(1505,5665,1.4206,1.8066),(1505,5675,1.4474,1.785),(1505,5685,1.4737,1.7633),(1505,5695,1.5001,1.7418),(1505,5705,1.5258,1.7203),(1505,5715,1.5509,1.6988),(1505,5725,1.5759,1.6775),(1505,5735,1.6006,1.6561),(1505,5745,1.6242,1.6348),(1505,5755,1.6479,1.6136),(1505,5765,1.6714,1.5926),(1505,5775,1.6936,1.5715),(1505,5785,1.7158,1.5506),(1505,5795,1.738,1.5298),(1505,5805,1.7589,1.509),(1505,5815,1.7797,1.4884),(1505,5825,1.8005,1.468),(1505,5835,1.8202,1.4475),(1505,5845,1.8396,1.4271),(1505,5855,1.859,1.407),(1505,5865,1.8777,1.3868),(1505,5875,1.8957,1.3667),(1505,5885,1.9138,1.3468),(1505,5895,1.9313,1.327),(1505,5905,1.9481,1.3071),(1505,5915,1.9649,1.2875),(1505,5925,1.9814,1.268),(1505,5935,1.9969,1.2485),(1505,5945,2.0125,1.2291),(1505,5955,2.0281,1.2099),(1505,5965,2.0429,1.1906),(1505,5975,2.0578,1.1715),(1505,5985,2.0727,1.1525),(1505,5995,1.5864,1.1335),(1505,6005,1.0195,1.1191),(1505,6015,0.45251,1.1167),(1505,6025,0.43028,1.1143),(1505,6035,0.66069,1.1108),(1505,6045,0.89111,1.097),(1505,6055,1.0601,1.0831),(1505,6065,1.1688,1.0693),(1505,6075,1.2776,1.0512),(1505,6085,1.3528,1.0327),(1505,6095,1.359,1.0142),(1505,6105,1.3652,0.99546),(1505,6115,1.3714,0.97666),(1505,6125,1.3773,0.95787),(1505,6135,1.3832,0.939),(1505,6145,1.3892,0.92007),(1505,6155,1.3948,0.90115),(1505,6165,1.4004,0.88214),(1505,6175,1.4059,0.863),(1505,6185,1.4112,0.84386),(1505,6195,1.4165,0.8247),(1505,6205,1.4217,0.80546),(1505,6215,1.4267,0.78621),(1505,6225,1.4315,0.76697),(1505,6235,1.4364,0.74769),(1505,6245,1.441,0.72841),(1505,6255,1.4455,0.70913),(1505,6265,1.4499,0.68965),(1505,6275,1.4543,0.67014),(1505,6285,1.4583,0.65064),(1505,6295,1.4624,0.63098),(1505,6305,1.4664,0.61125),(1505,6315,1.47,0.59152),(1505,6325,1.4737,0.57182),(1505,6335,1.4773,0.55214),(1505,6345,1.4807,0.53247),(1505,6355,1.484,0.51274),(1505,6365,1.4873,0.4929),(1505,6375,1.4903,0.47306),(1505,6385,1.4932,0.4532),(1505,6395,1.4961,0.43318),(1505,6405,1.4988,0.41316),(1505,6415,1.5013,0.39314),(1505,6425,1.5038,0.37315),(1505,6435,1.5061,0.35316),(1505,6445,1.5082,0.33317),(1505,6455,1.5103,0.31321),(1505,6465,1.5124,0.29325),(1505,6475,1.5141,0.2733),(1505,6485,1.5157,0.25329),(1505,6495,1.5174,0.23325),(1505,6505,1.5187,0.21321),(1505,6515,1.52,0.19314),(1505,6525,1.5212,0.17302),(1505,6535,1.5222,0.1529),(1505,6545,1.523,0.13279),(1505,6555,1.5239,0.11268),(1505,6565,1.5245,0.092564),(1505,6575,1.525,0.072449),(1505,6585,1.5254,0.052307),(1505,6595,1.2976,0.032164),(1505,6605,0.8177,0.012022),(1505,6615,0.33782,0.009706),(1505,6625,0.000474,0.00968),(1505,6635,0.000477,0.009654),(1505,6645,0.000479,0.009641),(1505,6655,0.000482,0.009633),(1505,6665,0.000484,0.009624),(1505,6675,0.000487,0.009616),(1505,6685,0.000489,0.009608),(1505,6695,0.000491,0.0096),(1505,6705,0.000494,0.009592),(1505,6715,0.000496,0.009584),(1505,6725,0.000498,0.009576),(1505,6735,0.0005,0.009568),(1505,6745,0.000503,0.00956),(1505,6755,0.000505,0.009552),(1505,6765,0.000507,0.009544),(1505,6775,0.000509,0.009536),(1505,6785,0.000511,0.009528),(1505,6795,0.000513,0.00952),(1505,6805,0.000515,0.009511),(1505,6815,0.000517,0.009503),(1505,6825,0.000519,0.009495),(1505,6835,0.000521,0.009487),(1505,6845,0.000523,0.009479),(1505,6855,0.000525,0.00947),(1505,6865,0.000527,0.009462),(1505,6875,0.000529,0.009454),(1505,6885,0.000531,0.009446),(1505,6895,0.000533,0.009437),(1505,6905,0.000534,0.009429),(1505,6915,0.000536,0.009421),(1505,6925,0.000538,0.009413),(1505,6935,0.000539,0.009404),(1505,6945,0.000541,0.009396),(1505,6955,0.000543,0.009388),(1505,6965,0.000544,0.00938),(1505,6975,0.000546,0.009371),(1505,6985,0.000547,0.009363),(1515,5,5.8e-05,3.6751),(1515,15,0.000174,3.6751),(1515,25,0.00029,3.6751),(1515,35,0.000406,3.6751),(1515,45,0.000522,3.6751),(1515,55,0.000638,3.6751),(1515,65,0.000754,3.6751),(1515,75,0.000871,3.6751),(1515,85,0.000987,3.6751),(1515,95,0.001104,3.6751),(1515,105,0.001221,3.6751),(1515,115,0.001338,3.675),(1515,125,0.001455,3.675),(1515,135,0.001572,3.675),(1515,145,0.00169,3.675),(1515,155,0.001808,3.675),(1515,165,0.001925,3.675),(1515,175,0.002044,3.675),(1515,185,0.002162,3.6749),(1515,195,0.002281,3.6749),(1515,205,0.0024,3.6749),(1515,215,0.002519,3.6749),(1515,225,0.002639,3.6749),(1515,235,0.00276,3.6748),(1515,245,0.00288,3.6748),(1515,255,0.003001,3.6748),(1515,265,0.003122,3.6748),(1515,275,0.003244,3.6747),(1515,285,0.003366,3.6747),(1515,295,0.003488,3.6747),(1515,305,0.003611,3.6746),(1515,315,0.003735,3.6746),(1515,325,0.003859,3.6746),(1515,335,0.003982,3.6745),(1515,345,0.004108,3.6745),(1515,355,0.004234,3.6745),(1515,365,0.004359,3.6744),(1515,375,0.004485,3.6744),(1515,385,0.004613,3.6744),(1515,395,0.004741,3.6743),(1515,405,0.004869,3.6743),(1515,415,0.004997,3.6742),(1515,425,0.005128,3.6742),(1515,435,0.005258,3.6741),(1515,445,0.005389,3.6741),(1515,455,0.00552,3.674),(1515,465,0.005653,3.674),(1515,475,0.005787,3.6739),(1515,485,0.005921,3.6739),(1515,495,0.006054,3.6738),(1515,505,0.006191,3.6738),(1515,515,0.006327,3.6737),(1515,525,0.006464,3.6737),(1515,535,0.006601,3.6736),(1515,545,0.006741,3.6736),(1515,555,0.006881,3.6735),(1515,565,0.007021,3.6734),(1515,575,0.007161,3.6734),(1515,585,0.007305,3.6733),(1515,595,0.007448,3.6732),(1515,605,0.007592,3.6732),(1515,615,0.007736,3.6731),(1515,625,0.007884,3.673),(1515,635,0.008031,3.673),(1515,645,0.008179,3.6729),(1515,655,0.008327,3.6728),(1515,665,0.008479,3.6728),(1515,675,0.00863,3.6727),(1515,685,0.008782,3.6726),(1515,695,0.008935,3.6725),(1515,705,0.009091,3.6724),(1515,715,0.009247,3.6724),(1515,725,0.009403,3.6723),(1515,735,0.009561,3.6722),(1515,745,0.009722,3.6721),(1515,755,0.009883,3.672),(1515,765,0.010044,3.6719),(1515,775,0.010206,3.6718),(1515,785,0.010372,3.6717),(1515,795,0.010538,3.6716),(1515,805,0.010704,3.6715),(1515,815,0.010871,3.6715),(1515,825,0.011043,3.6714),(1515,835,0.011214,3.6713),(1515,845,0.011385,3.6711),(1515,855,0.011558,3.671),(1515,865,0.011735,3.6709),(1515,875,0.011912,3.6708),(1515,885,0.012089,3.6707),(1515,895,0.012268,3.6706),(1515,905,0.01245,3.6705),(1515,915,0.012633,3.6704),(1515,925,0.012816,3.6703),(1515,935,0.013001,3.6701),(1515,945,0.01319,3.67),(1515,955,0.013379,3.6699),(1515,965,0.013568,3.6698),(1515,975,0.01376,3.6696),(1515,985,0.013956,3.6695),(1515,995,0.014151,3.6694),(1515,1005,0.014346,3.6693),(1515,1015,0.014545,3.6691),(1515,1025,0.014747,3.669),(1515,1035,0.014949,3.6688),(1515,1045,0.015151,3.6687),(1515,1055,0.015357,3.6686),(1515,1065,0.015566,3.6684),(1515,1075,0.015775,3.6683),(1515,1085,0.015985,3.6681),(1515,1095,0.016198,3.668),(1515,1105,0.016414,3.6678),(1515,1115,0.016631,3.6676),(1515,1125,0.016847,3.6675),(1515,1135,0.017069,3.6673),(1515,1145,0.017293,3.6672),(1515,1155,0.017517,3.667),(1515,1165,0.017741,3.6668),(1515,1175,0.01797,3.6666),(1515,1185,0.018203,3.6665),(1515,1195,0.018435,3.6663),(1515,1205,0.018667,3.6661),(1515,1215,0.018904,3.6659),(1515,1225,0.019145,3.6657),(1515,1235,0.019385,3.6655),(1515,1245,0.019625,3.6654),(1515,1255,0.019871,3.6652),(1515,1265,0.02012,3.665),(1515,1275,0.020368,3.6648),(1515,1285,0.020617,3.6646),(1515,1295,0.020872,3.6644),(1515,1305,0.021129,3.6641),(1515,1315,0.021387,3.6639),(1515,1325,0.021644,3.6637),(1515,1335,0.021908,3.6635),(1515,1345,0.022175,3.6633),(1515,1355,0.022441,3.663),(1515,1365,0.022707,3.6628),(1515,1375,0.022981,3.6626),(1515,1385,0.023256,3.6624),(1515,1395,0.023532,3.6621),(1515,1405,0.023807,3.6619),(1515,1415,0.024091,3.6616),(1515,1425,0.024375,3.6614),(1515,1435,0.02466,3.6611),(1515,1445,0.024945,3.6609),(1515,1455,0.025238,3.6606),(1515,1465,0.025533,3.6603),(1515,1475,0.025827,3.6601),(1515,1485,0.026121,3.6598),(1515,1495,0.026425,3.6595),(1515,1505,0.026729,3.6593),(1515,1515,0.027033,3.659),(1515,1525,0.027337,3.6587),(1515,1535,0.027651,3.6584),(1515,1545,0.027964,3.6581),(1515,1555,0.028278,3.6578),(1515,1565,0.028592,3.6575),(1515,1575,0.028916,3.6572),(1515,1585,0.02924,3.6569),(1515,1595,0.029564,3.6566),(1515,1605,0.029888,3.6562),(1515,1615,0.030222,3.6559),(1515,1625,0.030556,3.6556),(1515,1635,0.03089,3.6552),(1515,1645,0.031225,3.6549),(1515,1655,0.031569,3.6546),(1515,1665,0.031914,3.6542),(1515,1675,0.032258,3.6539),(1515,1685,0.032604,3.6535),(1515,1695,0.032958,3.6531),(1515,1705,0.033312,3.6528),(1515,1715,0.033667,3.6524),(1515,1725,0.034023,3.652),(1515,1735,0.034388,3.6516),(1515,1745,0.034753,3.6512),(1515,1755,0.035117,3.6508),(1515,1765,0.035484,3.6504),(1515,1775,0.035859,3.65),(1515,1785,0.036233,3.6496),(1515,1795,0.036608,3.6492),(1515,1805,0.036985,3.6488),(1515,1815,0.03737,3.6484),(1515,1825,0.037754,3.6479),(1515,1835,0.038139,3.6475),(1515,1845,0.038527,3.6471),(1515,1855,0.038921,3.6466),(1515,1865,0.039315,3.6462),(1515,1875,0.03971,3.6457),(1515,1885,0.040108,3.6452),(1515,1895,0.040512,3.6447),(1515,1905,0.040916,3.6443),(1515,1915,0.041319,3.6438),(1515,1925,0.041727,3.6433),(1515,1935,0.042141,3.6428),(1515,1945,0.042554,3.6423),(1515,1955,0.042967,3.6418),(1515,1965,0.043384,3.6412),(1515,1975,0.043807,3.6407),(1515,1985,0.044229,3.6402),(1515,1995,0.044651,3.6397),(1515,2005,0.045077,3.6391),(1515,2015,0.045508,3.6386),(1515,2025,0.045939,3.638),(1515,2035,0.04637,3.6374),(1515,2045,0.046805,3.6369),(1515,2055,0.047244,3.6363),(1515,2065,0.047683,3.6357),(1515,2075,0.048122,3.6351),(1515,2085,0.048565,3.6345),(1515,2095,0.049012,3.6339),(1515,2105,0.049458,3.6333),(1515,2115,0.049905,3.6326),(1515,2125,0.050356,3.632),(1515,2135,0.050809,3.6314),(1515,2145,0.051263,3.6307),(1515,2155,0.051716,3.6301),(1515,2165,0.052174,3.6294),(1515,2175,0.052633,3.6287),(1515,2185,0.053093,3.6281),(1515,2195,0.053553,3.6274),(1515,2205,0.054016,3.6267),(1515,2215,0.054481,3.626),(1515,2225,0.054946,3.6253),(1515,2235,0.055411,3.6245),(1515,2245,0.055879,3.6238),(1515,2255,0.056348,3.6231),(1515,2265,0.056818,3.6224),(1515,2275,0.057287,3.6216),(1515,2285,0.057759,3.6208),(1515,2295,0.058232,3.6201),(1515,2305,0.058705,3.6193),(1515,2315,0.059177,3.6185),(1515,2325,0.059652,3.6177),(1515,2335,0.060127,3.6169),(1515,2345,0.060602,3.6161),(1515,2355,0.061077,3.6153),(1515,2365,0.061553,3.6145),(1515,2375,0.06203,3.6136),(1515,2385,0.062506,3.6128),(1515,2395,0.062982,3.6119),(1515,2405,0.063458,3.6111),(1515,2415,0.063935,3.6102),(1515,2425,0.064411,3.6093),(1515,2435,0.064887,3.6084),(1515,2445,0.065362,3.6075),(1515,2455,0.065837,3.6066),(1515,2465,0.066311,3.6057),(1515,2475,0.066786,3.6048),(1515,2485,0.067258,3.6038),(1515,2495,0.067729,3.6029),(1515,2505,0.068201,3.6019),(1515,2515,0.068673,3.601),(1515,2525,0.06914,3.6),(1515,2535,0.069607,3.599),(1515,2545,0.070074,3.598),(1515,2555,0.070541,3.597),(1515,2565,0.071002,3.596),(1515,2575,0.071462,3.595),(1515,2585,0.071923,3.594),(1515,2595,0.072383,3.593),(1515,2605,0.072836,3.5919),(1515,2615,0.073289,3.5909),(1515,2625,0.073742,3.5898),(1515,2635,0.074193,3.5887),(1515,2645,0.074636,3.5877),(1515,2655,0.075079,3.5866),(1515,2665,0.075522,3.5855),(1515,2675,0.075963,3.5844),(1515,2685,0.076394,3.5833),(1515,2695,0.076825,3.5821),(1515,2705,0.077255,3.581),(1515,2715,0.077683,3.5799),(1515,2725,0.0781,3.5787),(1515,2735,0.078517,3.5776),(1515,2745,0.078934,3.5764),(1515,2755,0.079347,3.5752),(1515,2765,0.079748,3.574),(1515,2775,0.080149,3.5729),(1515,2785,0.08055,3.5716),(1515,2795,0.080946,3.5704),(1515,2805,0.081329,3.5692),(1515,2815,0.081712,3.568),(1515,2825,0.082095,3.5668),(1515,2835,0.082471,3.5655),(1515,2845,0.082833,3.5643),(1515,2855,0.083195,3.563),(1515,2865,0.083558,3.5617),(1515,2875,0.083912,3.5605),(1515,2885,0.084251,3.5592),(1515,2895,0.084591,3.5579),(1515,2905,0.084931,3.5566),(1515,2915,0.08526,3.5553),(1515,2925,0.085574,3.554),(1515,2935,0.085889,3.5527),(1515,2945,0.086203,3.5514),(1515,2955,0.086505,3.55),(1515,2965,0.086792,3.5487),(1515,2975,0.087079,3.5473),(1515,2985,0.087366,3.546),(1515,2995,0.087638,3.5446),(1515,3005,0.087895,3.5433),(1515,3015,0.088152,3.5419),(1515,3025,0.088409,3.5405),(1515,3035,0.088649,3.5391),(1515,3045,0.088873,3.5378),(1515,3055,0.089097,3.5364),(1515,3065,0.089322,3.535),(1515,3075,0.089526,3.5336),(1515,3085,0.089716,3.5322),(1515,3095,0.089906,3.5307),(1515,3105,0.090095,3.5293),(1515,3115,0.090262,3.5279),(1515,3125,0.090414,3.5265),(1515,3135,0.090567,3.525),(1515,3145,0.090719,3.5236),(1515,3155,0.090846,3.5221),(1515,3165,0.090958,3.5207),(1515,3175,0.091071,3.5193),(1515,3185,0.091184,3.5178),(1515,3195,0.091267,3.5163),(1515,3205,0.091337,3.5149),(1515,3215,0.091408,3.5134),(1515,3225,0.091478,3.512),(1515,3235,0.091516,3.5105),(1515,3245,0.091542,3.509),(1515,3255,0.091568,3.5076),(1515,3265,0.091593,3.5061),(1515,3275,0.091583,3.5046),(1515,3285,0.091562,3.5031),(1515,3295,0.091541,3.5016),(1515,3305,0.091519,3.5002),(1515,3315,0.091458,3.4987),(1515,3325,0.091388,3.4972),(1515,3335,0.091317,3.4957),(1515,3345,0.091247,3.4942),(1515,3355,0.091133,3.4927),(1515,3365,0.091011,3.4913),(1515,3375,0.090889,3.4898),(1515,3385,0.090767,3.4883),(1515,3395,0.090597,3.4868),(1515,3405,0.090422,3.4853),(1515,3415,0.090247,3.4838),(1515,3425,0.090071,3.4823),(1515,3435,0.089844,3.4809),(1515,3445,0.089613,3.4794),(1515,3455,0.089382,3.4779),(1515,3465,0.089151,3.4764),(1515,3475,0.088864,3.475),(1515,3485,0.088576,3.4735),(1515,3495,0.088287,3.472),(1515,3505,0.087998,3.4705),(1515,3515,0.08765,3.4691),(1515,3525,0.087302,3.4676),(1515,3535,0.086954,3.4662),(1515,3545,0.086603,3.4647),(1515,3555,0.086194,3.4632),(1515,3565,0.085784,3.4618),(1515,3575,0.085375,3.4604),(1515,3585,0.084961,3.4589),(1515,3595,0.084489,3.4575),(1515,3605,0.084017,3.456),(1515,3615,0.083545,3.4546),(1515,3625,0.083065,3.4532),(1515,3635,0.082529,3.4518),(1515,3645,0.081993,3.4503),(1515,3655,0.081457,3.4489),(1515,3665,0.080911,3.4475),(1515,3675,0.080309,3.4461),(1515,3685,0.079708,3.4447),(1515,3695,0.079107,3.4433),(1515,3705,0.078492,3.442),(1515,3715,0.077824,3.4406),(1515,3725,0.077156,3.4392),(1515,3735,0.076488,3.4378),(1515,3745,0.075804,3.4365),(1515,3755,0.075069,3.4351),(1515,3765,0.074333,3.4338),(1515,3775,0.073597,3.4324),(1515,3785,0.072843,3.4311),(1515,3795,0.072038,3.4298),(1515,3805,0.071234,3.4284),(1515,3815,0.07043,3.4271),(1515,3825,0.069603,3.4258),(1515,3835,0.068728,3.4245),(1515,3845,0.067854,3.4232),(1515,3855,0.06698,3.4219),(1515,3865,0.066079,3.4206),(1515,3875,0.065133,3.4194),(1515,3885,0.064186,3.4181),(1515,3895,0.06324,3.4168),(1515,3905,0.073271,3.4156),(1515,3915,0.099702,3.4143),(1515,3925,0.12613,3.4122),(1515,3935,0.15256,3.409),(1515,3945,0.18197,3.4059),(1515,3955,0.21515,3.4027),(1515,3965,0.24834,3.3985),(1515,3975,0.28152,3.3933),(1515,3985,0.30168,3.3881),(1515,3995,0.30774,3.3828),(1515,4005,0.31381,3.3775),(1515,4015,0.31987,3.3721),(1515,4025,0.32595,3.3667),(1515,4035,0.33203,3.3613),(1515,4045,0.33811,3.3557),(1515,4055,0.34387,3.3501),(1515,4065,0.34952,3.3444),(1515,4075,0.35517,3.3385),(1515,4085,0.36037,3.3326),(1515,4095,0.36521,3.3267),(1515,4105,0.37005,3.3204),(1515,4115,0.36058,3.314),(1515,4125,0.32739,3.3076),(1515,4135,0.2942,3.3023),(1515,4145,0.25998,3.2973),(1515,4155,0.2216,3.2923),(1515,4165,0.18321,3.2882),(1515,4175,0.14698,3.2847),(1515,4185,0.2179,3.2812),(1515,4195,0.28881,3.2763),(1515,4205,0.35973,3.2695),(1515,4215,0.35693,3.2628),(1515,4225,0.34027,3.2565),(1515,4235,0.3236,3.2516),(1515,4245,0.29765,3.2467),(1515,4255,0.267,3.2419),(1515,4265,0.23634,3.2389),(1515,4275,0.19584,3.236),(1515,4285,0.14489,3.233),(1515,4295,0.093949,3.2321),(1515,4305,0.086976,3.2315),(1515,4315,0.17929,3.2309),(1515,4325,0.27161,3.2278),(1515,4335,0.35355,3.2237),(1515,4345,0.36525,3.2195),(1515,4355,0.37694,3.2142),(1515,4365,0.38864,3.2078),(1515,4375,0.38928,3.2014),(1515,4385,0.38936,3.1943),(1515,4395,0.38943,3.1859),(1515,4405,0.33727,3.1775),(1515,4415,0.2697,3.1697),(1515,4425,0.20213,3.1646),(1515,4435,0.17792,3.1595),(1515,4445,0.18335,3.1545),(1515,4455,0.18877,3.1503),(1515,4465,0.23276,3.1462),(1515,4475,0.33093,3.142),(1515,4485,0.4291,3.1334),(1515,4495,0.50796,3.1238),(1515,4505,0.52489,3.1142),(1515,4515,0.54182,3.1042),(1515,4525,0.55736,3.094),(1515,4535,0.5508,3.0838),(1515,4545,0.54424,3.0739),(1515,4555,0.53768,3.0643),(1515,4565,0.39768,3.0546),(1515,4575,0.23969,3.0475),(1515,4585,0.081695,3.0463),(1515,4595,0.079454,3.0452),(1515,4605,0.14302,3.0435),(1515,4615,0.20659,3.0373),(1515,4625,0.27155,3.0312),(1515,4635,0.33777,3.0251),(1515,4645,0.40399,3.0163),(1515,4655,0.46559,3.0074),(1515,4665,0.5185,2.9984),(1515,4675,0.5714,2.9896),(1515,4685,0.59427,2.9808),(1515,4695,0.4687,2.9719),(1515,4705,0.34313,2.9669),(1515,4715,0.21756,2.9646),(1515,4725,0.29334,2.9622),(1515,4735,0.37114,2.9579),(1515,4745,0.44894,2.9508),(1515,4755,0.54442,2.9436),(1515,4765,0.64399,2.9357),(1515,4775,0.74356,2.925),(1515,4785,0.79295,2.9144),(1515,4795,0.81332,2.9037),(1515,4805,0.83369,2.8931),(1515,4815,0.80772,2.8825),(1515,4825,0.72633,2.8719),(1515,4835,0.64494,2.8641),(1515,4845,0.55509,2.8569),(1515,4855,0.44319,2.8496),(1515,4865,0.33128,2.8444),(1515,4875,0.25079,2.8402),(1515,4885,0.45605,2.836),(1515,4895,0.66131,2.8268),(1515,4905,0.86657,2.8128),(1515,4915,0.86746,2.7988),(1515,4925,0.85077,2.7852),(1515,4935,0.83408,2.7723),(1515,4945,0.76349,2.7594),(1515,4955,0.67422,2.7471),(1515,4965,0.58495,2.7382),(1515,4975,0.45632,2.7293),(1515,4985,0.29731,2.7204),(1515,4995,0.13829,2.7194),(1515,5005,0.13274,2.7185),(1515,5015,0.37118,2.7177),(1515,5025,0.60962,2.709),(1515,5035,0.81947,2.6983),(1515,5045,0.92036,2.6876),(1515,5055,1.0213,2.6751),(1515,5065,1.1198,2.6614),(1515,5075,1.1421,2.6477),(1515,5085,1.1643,2.6342),(1515,5095,1.1866,2.6208),(1515,5105,1.0448,2.6075),(1515,5115,0.87433,2.5958),(1515,5125,0.70388,2.5889),(1515,5135,0.60155,2.5821),(1515,5145,0.53228,2.5752),(1515,5155,0.46302,2.5689),(1515,5165,0.54522,2.5625),(1515,5175,0.78192,2.5561),(1515,5185,1.0186,2.5413),(1515,5195,1.1879,2.5257),(1515,5205,1.2119,2.51),(1515,5215,1.2359,2.4946),(1515,5225,1.2529,2.4794),(1515,5235,1.2269,2.4641),(1515,5245,1.2008,2.4501),(1515,5255,1.1747,2.437),(1515,5265,0.82148,2.424),(1515,5275,0.45478,2.4157),(1515,5285,0.088082,2.4154),(1515,5295,0.186,2.4151),(1515,5305,0.4133,2.4124),(1515,5315,0.64061,2.3995),(1515,5325,0.81424,2.3866),(1515,5335,0.95269,2.3736),(1515,5345,1.0911,2.3579),(1515,5355,1.1936,2.3422),(1515,5365,1.2475,2.3265),(1515,5375,1.3015,2.3114),(1515,5385,1.2662,2.2964),(1515,5395,0.95993,2.2813),(1515,5405,0.65363,2.2737),(1515,5415,0.37186,2.2699),(1515,5425,0.41956,2.266),(1515,5435,0.46726,2.2584),(1515,5445,0.51496,2.2465),(1515,5455,0.6253,2.2347),(1515,5465,0.7433,2.2205),(1515,5475,0.8613,2.2009),(1515,5485,0.91478,2.1813),(1515,5495,0.94226,2.1616),(1515,5505,0.96975,2.1413),(1515,5515,0.99836,2.1211),(1515,5525,1.028,2.1009),(1515,5535,1.0576,2.08),(1515,5545,1.0872,2.0592),(1515,5555,1.1169,2.0384),(1515,5565,1.1466,2.0172),(1515,5575,1.1763,1.9959),(1515,5585,1.2055,1.9746),(1515,5595,1.2347,1.9532),(1515,5605,1.2639,1.9317),(1515,5615,1.2923,1.9102),(1515,5625,1.3207,1.8886),(1515,5635,1.3491,1.867),(1515,5645,1.3766,1.8454),(1515,5655,1.404,1.8238),(1515,5665,1.4313,1.8022),(1515,5675,1.4579,1.7806),(1515,5685,1.4841,1.759),(1515,5695,1.5102,1.7376),(1515,5705,1.5358,1.7162),(1515,5715,1.5606,1.6947),(1515,5725,1.5854,1.6735),(1515,5735,1.6098,1.6522),(1515,5745,1.6332,1.631),(1515,5755,1.6566,1.6099),(1515,5765,1.6799,1.589),(1515,5775,1.7019,1.568),(1515,5785,1.7239,1.5472),(1515,5795,1.7459,1.5265),(1515,5805,1.7666,1.5059),(1515,5815,1.7872,1.4853),(1515,5825,1.8077,1.465),(1515,5835,1.8273,1.4447),(1515,5845,1.8465,1.4244),(1515,5855,1.8656,1.4044),(1515,5865,1.8841,1.3843),(1515,5875,1.9019,1.3643),(1515,5885,1.9198,1.3445),(1515,5895,1.9371,1.3248),(1515,5905,1.9537,1.3051),(1515,5915,1.9703,1.2856),(1515,5925,1.9867,1.2661),(1515,5935,2.0021,1.2467),(1515,5945,2.0175,1.2275),(1515,5955,2.0328,1.2083),(1515,5965,2.0476,1.1892),(1515,5975,2.0623,1.1702),(1515,5985,2.077,1.1513),(1515,5995,1.5897,1.1324),(1515,6005,1.0215,1.118),(1515,6015,0.45338,1.1157),(1515,6025,0.43213,1.1133),(1515,6035,0.66453,1.1099),(1515,6045,0.89693,1.096),(1515,6055,1.0673,1.0822),(1515,6065,1.1767,1.0683),(1515,6075,1.2862,1.0502),(1515,6085,1.3619,1.0317),(1515,6095,1.3681,1.0132),(1515,6105,1.3743,0.99453),(1515,6115,1.3805,0.97574),(1515,6125,1.3865,0.95695),(1515,6135,1.3924,0.93809),(1515,6145,1.3983,0.91918),(1515,6155,1.4039,0.90027),(1515,6165,1.4095,0.88127),(1515,6175,1.4151,0.86215),(1515,6185,1.4205,0.84302),(1515,6195,1.4257,0.82387),(1515,6205,1.4309,0.80464),(1515,6215,1.436,0.7854),(1515,6225,1.4408,0.76616),(1515,6235,1.4457,0.74689),(1515,6245,1.4504,0.72762),(1515,6255,1.4548,0.70834),(1515,6265,1.4593,0.68888),(1515,6275,1.4636,0.66939),(1515,6285,1.4677,0.6499),(1515,6295,1.4718,0.63025),(1515,6305,1.4759,0.61052),(1515,6315,1.4795,0.5908),(1515,6325,1.4832,0.57112),(1515,6335,1.4868,0.55148),(1515,6345,1.4901,0.53184),(1515,6355,1.4934,0.51215),(1515,6365,1.4967,0.49233),(1515,6375,1.4997,0.47252),(1515,6385,1.5026,0.45267),(1515,6395,1.5056,0.43268),(1515,6405,1.5082,0.41268),(1515,6415,1.5108,0.39268),(1515,6425,1.5133,0.37271),(1515,6435,1.5156,0.35274),(1515,6445,1.5177,0.33277),(1515,6455,1.5198,0.31283),(1515,6465,1.5219,0.2929),(1515,6475,1.5236,0.27297),(1515,6485,1.5253,0.25298),(1515,6495,1.527,0.23295),(1515,6505,1.5282,0.21293),(1515,6515,1.5295,0.19288),(1515,6525,1.5308,0.17279),(1515,6535,1.5317,0.15271),(1515,6545,1.5326,0.13263),(1515,6555,1.5335,0.11255),(1515,6565,1.5341,0.092473),(1515,6575,1.5345,0.072392),(1515,6585,1.535,0.052267),(1515,6595,1.3057,0.032142),(1515,6605,0.82284,0.012017),(1515,6615,0.33994,0.009704),(1515,6625,0.000479,0.00968),(1515,6635,0.000481,0.009656),(1515,6645,0.000484,0.009643),(1515,6655,0.000486,0.009635),(1515,6665,0.000489,0.009627),(1515,6675,0.000491,0.009619),(1515,6685,0.000494,0.009611),(1515,6695,0.000496,0.009603),(1515,6705,0.000498,0.009595),(1515,6715,0.000501,0.009587),(1515,6725,0.000503,0.009579),(1515,6735,0.000505,0.009571),(1515,6745,0.000507,0.009562),(1515,6755,0.000509,0.009554),(1515,6765,0.000512,0.009546),(1515,6775,0.000514,0.009538),(1515,6785,0.000516,0.00953),(1515,6795,0.000518,0.009522),(1515,6805,0.00052,0.009513),(1515,6815,0.000522,0.009505),(1515,6825,0.000524,0.009497),(1515,6835,0.000526,0.009489),(1515,6845,0.000528,0.00948),(1515,6855,0.00053,0.009472),(1515,6865,0.000532,0.009464),(1515,6875,0.000534,0.009456),(1515,6885,0.000535,0.009447),(1515,6895,0.000537,0.009439),(1515,6905,0.000539,0.009431),(1515,6915,0.000541,0.009423),(1515,6925,0.000542,0.009414),(1515,6935,0.000544,0.009406),(1515,6945,0.000546,0.009398),(1515,6955,0.000547,0.009389),(1515,6965,0.000549,0.009381),(1515,6975,0.000551,0.009373),(1515,6985,0.000552,0.009364),(1525,5,5.8e-05,3.6752),(1525,15,0.000174,3.6752),(1525,25,0.00029,3.6752),(1525,35,0.000407,3.6752),(1525,45,0.000523,3.6752),(1525,55,0.000639,3.6752),(1525,65,0.000756,3.6752),(1525,75,0.000872,3.6752),(1525,85,0.000989,3.6752),(1525,95,0.001106,3.6752),(1525,105,0.001223,3.6752),(1525,115,0.00134,3.6752),(1525,125,0.001457,3.6751),(1525,135,0.001574,3.6751),(1525,145,0.001692,3.6751),(1525,155,0.00181,3.6751),(1525,165,0.001929,3.6751),(1525,175,0.002047,3.6751),(1525,185,0.002165,3.6751),(1525,195,0.002285,3.675),(1525,205,0.002404,3.675),(1525,215,0.002523,3.675),(1525,225,0.002644,3.675),(1525,235,0.002764,3.6749),(1525,245,0.002885,3.6749),(1525,255,0.003005,3.6749),(1525,265,0.003127,3.6749),(1525,275,0.003249,3.6748),(1525,285,0.003371,3.6748),(1525,295,0.003494,3.6748),(1525,305,0.003617,3.6748),(1525,315,0.003741,3.6747),(1525,325,0.003865,3.6747),(1525,335,0.003989,3.6747),(1525,345,0.004115,3.6746),(1525,355,0.004241,3.6746),(1525,365,0.004367,3.6746),(1525,375,0.004492,3.6745),(1525,385,0.004621,3.6745),(1525,395,0.004749,3.6744),(1525,405,0.004877,3.6744),(1525,415,0.005006,3.6744),(1525,425,0.005136,3.6743),(1525,435,0.005267,3.6743),(1525,445,0.005398,3.6742),(1525,455,0.005529,3.6742),(1525,465,0.005663,3.6741),(1525,475,0.005797,3.6741),(1525,485,0.005931,3.674),(1525,495,0.006065,3.674),(1525,505,0.006202,3.6739),(1525,515,0.006339,3.6739),(1525,525,0.006476,3.6738),(1525,535,0.006613,3.6738),(1525,545,0.006753,3.6737),(1525,555,0.006893,3.6736),(1525,565,0.007034,3.6736),(1525,575,0.007174,3.6735),(1525,585,0.007318,3.6735),(1525,595,0.007462,3.6734),(1525,605,0.007606,3.6733),(1525,615,0.00775,3.6733),(1525,625,0.007898,3.6732),(1525,635,0.008046,3.6731),(1525,645,0.008194,3.6731),(1525,655,0.008343,3.673),(1525,665,0.008495,3.6729),(1525,675,0.008647,3.6728),(1525,685,0.008799,3.6728),(1525,695,0.008952,3.6727),(1525,705,0.009109,3.6726),(1525,715,0.009265,3.6725),(1525,725,0.009422,3.6724),(1525,735,0.00958,3.6723),(1525,745,0.009741,3.6723),(1525,755,0.009902,3.6722),(1525,765,0.010064,3.6721),(1525,775,0.010227,3.672),(1525,785,0.010393,3.6719),(1525,795,0.01056,3.6718),(1525,805,0.010726,3.6717),(1525,815,0.010894,3.6716),(1525,825,0.011066,3.6715),(1525,835,0.011238,3.6714),(1525,845,0.01141,3.6713),(1525,855,0.011583,3.6712),(1525,865,0.011761,3.6711),(1525,875,0.011938,3.671),(1525,885,0.012115,3.6709),(1525,895,0.012295,3.6708),(1525,905,0.012478,3.6707),(1525,915,0.012662,3.6706),(1525,925,0.012845,3.6704),(1525,935,0.013031,3.6703),(1525,945,0.013221,3.6702),(1525,955,0.01341,3.6701),(1525,965,0.0136,3.67),(1525,975,0.013793,3.6698),(1525,985,0.013989,3.6697),(1525,995,0.014185,3.6696),(1525,1005,0.014381,3.6694),(1525,1015,0.014581,3.6693),(1525,1025,0.014783,3.6692),(1525,1035,0.014986,3.669),(1525,1045,0.015189,3.6689),(1525,1055,0.015396,3.6688),(1525,1065,0.015606,3.6686),(1525,1075,0.015816,3.6685),(1525,1085,0.016026,3.6683),(1525,1095,0.01624,3.6682),(1525,1105,0.016457,3.668),(1525,1115,0.016675,3.6679),(1525,1125,0.016892,3.6677),(1525,1135,0.017114,3.6675),(1525,1145,0.017339,3.6674),(1525,1155,0.017564,3.6672),(1525,1165,0.017789,3.667),(1525,1175,0.01802,3.6669),(1525,1185,0.018253,3.6667),(1525,1195,0.018486,3.6665),(1525,1205,0.018719,3.6663),(1525,1215,0.018958,3.6662),(1525,1225,0.019199,3.666),(1525,1235,0.019441,3.6658),(1525,1245,0.019682,3.6656),(1525,1255,0.01993,3.6654),(1525,1265,0.020179,3.6652),(1525,1275,0.020429,3.665),(1525,1285,0.020679,3.6648),(1525,1295,0.020936,3.6646),(1525,1305,0.021194,3.6644),(1525,1315,0.021453,3.6642),(1525,1325,0.021711,3.664),(1525,1335,0.021977,3.6638),(1525,1345,0.022245,3.6635),(1525,1355,0.022512,3.6633),(1525,1365,0.02278,3.6631),(1525,1375,0.023055,3.6629),(1525,1385,0.023332,3.6626),(1525,1395,0.023609,3.6624),(1525,1405,0.023886,3.6621),(1525,1415,0.024171,3.6619),(1525,1425,0.024457,3.6617),(1525,1435,0.024744,3.6614),(1525,1445,0.02503,3.6612),(1525,1455,0.025325,3.6609),(1525,1465,0.025621,3.6606),(1525,1475,0.025917,3.6604),(1525,1485,0.026213,3.6601),(1525,1495,0.026519,3.6598),(1525,1505,0.026825,3.6596),(1525,1515,0.027131,3.6593),(1525,1525,0.027437,3.659),(1525,1535,0.027752,3.6587),(1525,1545,0.028068,3.6584),(1525,1555,0.028384,3.6581),(1525,1565,0.0287,3.6578),(1525,1575,0.029026,3.6575),(1525,1585,0.029352,3.6572),(1525,1595,0.029678,3.6569),(1525,1605,0.030005,3.6566),(1525,1615,0.030341,3.6562),(1525,1625,0.030677,3.6559),(1525,1635,0.031013,3.6556),(1525,1645,0.03135,3.6552),(1525,1655,0.031697,3.6549),(1525,1665,0.032043,3.6546),(1525,1675,0.03239,3.6542),(1525,1685,0.032738,3.6538),(1525,1695,0.033095,3.6535),(1525,1705,0.033452,3.6531),(1525,1715,0.033809,3.6528),(1525,1725,0.034168,3.6524),(1525,1735,0.034536,3.652),(1525,1745,0.034903,3.6516),(1525,1755,0.03527,3.6512),(1525,1765,0.03564,3.6508),(1525,1775,0.036017,3.6504),(1525,1785,0.036395,3.65),(1525,1795,0.036772,3.6496),(1525,1805,0.037153,3.6492),(1525,1815,0.03754,3.6488),(1525,1825,0.037927,3.6483),(1525,1835,0.038315,3.6479),(1525,1845,0.038706,3.6474),(1525,1855,0.039103,3.647),(1525,1865,0.039501,3.6465),(1525,1875,0.039898,3.6461),(1525,1885,0.0403,3.6456),(1525,1895,0.040707,3.6452),(1525,1905,0.041114,3.6447),(1525,1915,0.041522,3.6442),(1525,1925,0.041933,3.6437),(1525,1935,0.04235,3.6432),(1525,1945,0.042767,3.6427),(1525,1955,0.043183,3.6422),(1525,1965,0.043604,3.6417),(1525,1975,0.04403,3.6412),(1525,1985,0.044456,3.6406),(1525,1995,0.044882,3.6401),(1525,2005,0.045312,3.6395),(1525,2015,0.045747,3.639),(1525,2025,0.046182,3.6384),(1525,2035,0.046616,3.6379),(1525,2045,0.047055,3.6373),(1525,2055,0.047498,3.6367),(1525,2065,0.047941,3.6361),(1525,2075,0.048384,3.6355),(1525,2085,0.048832,3.6349),(1525,2095,0.049283,3.6343),(1525,2105,0.049733,3.6337),(1525,2115,0.050184,3.6331),(1525,2125,0.050639,3.6325),(1525,2135,0.051097,3.6318),(1525,2145,0.051555,3.6312),(1525,2155,0.052013,3.6305),(1525,2165,0.052475,3.6299),(1525,2175,0.052939,3.6292),(1525,2185,0.053403,3.6285),(1525,2195,0.053867,3.6278),(1525,2205,0.054335,3.6271),(1525,2215,0.054805,3.6265),(1525,2225,0.055275,3.6257),(1525,2235,0.055744,3.625),(1525,2245,0.056217,3.6243),(1525,2255,0.056692,3.6236),(1525,2265,0.057166,3.6228),(1525,2275,0.05764,3.6221),(1525,2285,0.058117,3.6213),(1525,2295,0.058595,3.6206),(1525,2305,0.059073,3.6198),(1525,2315,0.059551,3.619),(1525,2325,0.06003,3.6182),(1525,2335,0.060511,3.6174),(1525,2345,0.060991,3.6166),(1525,2355,0.061471,3.6158),(1525,2365,0.061952,3.6149),(1525,2375,0.062434,3.6141),(1525,2385,0.062915,3.6133),(1525,2395,0.063397,3.6124),(1525,2405,0.063879,3.6115),(1525,2415,0.06436,3.6107),(1525,2425,0.064842,3.6098),(1525,2435,0.065323,3.6089),(1525,2445,0.065803,3.608),(1525,2455,0.066284,3.6071),(1525,2465,0.066764,3.6062),(1525,2475,0.067244,3.6052),(1525,2485,0.067721,3.6043),(1525,2495,0.068198,3.6034),(1525,2505,0.068676,3.6024),(1525,2515,0.069153,3.6014),(1525,2525,0.069625,3.6005),(1525,2535,0.070098,3.5995),(1525,2545,0.070571,3.5985),(1525,2555,0.071043,3.5975),(1525,2565,0.07151,3.5965),(1525,2575,0.071976,3.5955),(1525,2585,0.072443,3.5945),(1525,2595,0.072908,3.5934),(1525,2605,0.073367,3.5924),(1525,2615,0.073825,3.5913),(1525,2625,0.074284,3.5903),(1525,2635,0.074741,3.5892),(1525,2645,0.075189,3.5881),(1525,2655,0.075638,3.587),(1525,2665,0.076086,3.5859),(1525,2675,0.076533,3.5848),(1525,2685,0.076969,3.5837),(1525,2695,0.077405,3.5826),(1525,2705,0.077842,3.5814),(1525,2715,0.078275,3.5803),(1525,2725,0.078698,3.5791),(1525,2735,0.07912,3.578),(1525,2745,0.079543,3.5768),(1525,2755,0.079961,3.5756),(1525,2765,0.080367,3.5744),(1525,2775,0.080774,3.5733),(1525,2785,0.08118,3.572),(1525,2795,0.081581,3.5708),(1525,2805,0.081969,3.5696),(1525,2815,0.082357,3.5684),(1525,2825,0.082745,3.5671),(1525,2835,0.083127,3.5659),(1525,2845,0.083494,3.5646),(1525,2855,0.083862,3.5634),(1525,2865,0.084229,3.5621),(1525,2875,0.084588,3.5608),(1525,2885,0.084933,3.5595),(1525,2895,0.085277,3.5582),(1525,2905,0.085622,3.5569),(1525,2915,0.085956,3.5556),(1525,2925,0.086275,3.5543),(1525,2935,0.086594,3.553),(1525,2945,0.086913,3.5517),(1525,2955,0.08722,3.5503),(1525,2965,0.087511,3.549),(1525,2975,0.087803,3.5476),(1525,2985,0.088094,3.5463),(1525,2995,0.08837,3.5449),(1525,3005,0.088631,3.5435),(1525,3015,0.088892,3.5422),(1525,3025,0.089153,3.5408),(1525,3035,0.089397,3.5394),(1525,3045,0.089625,3.538),(1525,3055,0.089854,3.5366),(1525,3065,0.090082,3.5352),(1525,3075,0.09029,3.5338),(1525,3085,0.090483,3.5323),(1525,3095,0.090676,3.5309),(1525,3105,0.090869,3.5295),(1525,3115,0.091039,3.5281),(1525,3125,0.091195,3.5266),(1525,3135,0.09135,3.5252),(1525,3145,0.091506,3.5237),(1525,3155,0.091636,3.5223),(1525,3165,0.091751,3.5208),(1525,3175,0.091866,3.5194),(1525,3185,0.091982,3.5179),(1525,3195,0.092068,3.5164),(1525,3205,0.092141,3.515),(1525,3215,0.092213,3.5135),(1525,3225,0.092286,3.512),(1525,3235,0.092326,3.5105),(1525,3245,0.092354,3.5091),(1525,3255,0.092382,3.5076),(1525,3265,0.09241,3.5061),(1525,3275,0.092401,3.5046),(1525,3285,0.092381,3.5031),(1525,3295,0.092362,3.5016),(1525,3305,0.092342,3.5001),(1525,3315,0.092282,3.4986),(1525,3325,0.092213,3.4971),(1525,3335,0.092144,3.4956),(1525,3345,0.092075,3.4941),(1525,3355,0.091962,3.4926),(1525,3365,0.09184,3.4911),(1525,3375,0.091719,3.4896),(1525,3385,0.091598,3.4881),(1525,3395,0.091429,3.4866),(1525,3405,0.091254,3.4851),(1525,3415,0.091079,3.4836),(1525,3425,0.090905,3.4821),(1525,3435,0.090678,3.4806),(1525,3445,0.090447,3.4792),(1525,3455,0.090216,3.4777),(1525,3465,0.089985,3.4762),(1525,3475,0.089698,3.4747),(1525,3485,0.089409,3.4732),(1525,3495,0.089121,3.4717),(1525,3505,0.088832,3.4702),(1525,3515,0.088483,3.4687),(1525,3525,0.088135,3.4673),(1525,3535,0.087786,3.4658),(1525,3545,0.087435,3.4643),(1525,3555,0.087025,3.4629),(1525,3565,0.086615,3.4614),(1525,3575,0.086205,3.4599),(1525,3585,0.08579,3.4585),(1525,3595,0.085317,3.457),(1525,3605,0.084845,3.4556),(1525,3615,0.084372,3.4541),(1525,3625,0.083891,3.4527),(1525,3635,0.083354,3.4512),(1525,3645,0.082818,3.4498),(1525,3655,0.082281,3.4484),(1525,3665,0.081733,3.447),(1525,3675,0.081131,3.4455),(1525,3685,0.080529,3.4441),(1525,3695,0.079926,3.4427),(1525,3705,0.079311,3.4413),(1525,3715,0.078642,3.4399),(1525,3725,0.077973,3.4385),(1525,3735,0.077304,3.4372),(1525,3745,0.076619,3.4358),(1525,3755,0.075883,3.4344),(1525,3765,0.075146,3.433),(1525,3775,0.07441,3.4317),(1525,3785,0.073654,3.4303),(1525,3795,0.072849,3.429),(1525,3805,0.072044,3.4276),(1525,3815,0.071239,3.4263),(1525,3825,0.070412,3.425),(1525,3835,0.069537,3.4236),(1525,3845,0.068662,3.4223),(1525,3855,0.067787,3.421),(1525,3865,0.066886,3.4197),(1525,3875,0.06594,3.4184),(1525,3885,0.064993,3.4171),(1525,3895,0.064046,3.4159),(1525,3905,0.0742,3.4146),(1525,3915,0.10094,3.4133),(1525,3925,0.12767,3.4112),(1525,3935,0.15441,3.408),(1525,3945,0.18411,3.4047),(1525,3955,0.21759,3.4015),(1525,3965,0.25106,3.3973),(1525,3975,0.28453,3.392),(1525,3985,0.30484,3.3867),(1525,3995,0.3109,3.3814),(1525,4005,0.31697,3.376),(1525,4015,0.32303,3.3705),(1525,4025,0.32913,3.3651),(1525,4035,0.33523,3.3596),(1525,4045,0.34132,3.3539),(1525,4055,0.34713,3.3483),(1525,4065,0.35283,3.3426),(1525,4075,0.35854,3.3367),(1525,4085,0.36383,3.3308),(1525,4095,0.36879,3.3249),(1525,4105,0.37375,3.3185),(1525,4115,0.36428,3.312),(1525,4125,0.33088,3.3056),(1525,4135,0.29749,3.3003),(1525,4145,0.26306,3.2953),(1525,4155,0.22448,3.2902),(1525,4165,0.1859,3.2861),(1525,4175,0.14949,3.2825),(1525,4185,0.22092,3.2789),(1525,4195,0.29234,3.2739),(1525,4205,0.36377,3.2671),(1525,4215,0.36066,3.2603),(1525,4225,0.34352,3.254),(1525,4235,0.32638,3.2491),(1525,4245,0.30002,3.2443),(1525,4255,0.26898,3.2395),(1525,4265,0.23793,3.2366),(1525,4275,0.19705,3.2336),(1525,4285,0.14573,3.2306),(1525,4295,0.094404,3.2297),(1525,4305,0.087318,3.2291),(1525,4315,0.18013,3.2285),(1525,4325,0.27293,3.2254),(1525,4335,0.35538,3.2214),(1525,4345,0.36767,3.2173),(1525,4355,0.37997,3.212),(1525,4365,0.39227,3.2055),(1525,4375,0.39353,3.1991),(1525,4385,0.39421,3.1919),(1525,4395,0.3949,3.1833),(1525,4405,0.34243,3.1748),(1525,4415,0.27429,3.1668),(1525,4425,0.20615,3.1616),(1525,4435,0.18153,3.1564),(1525,4445,0.18664,3.1512),(1525,4455,0.19175,3.1469),(1525,4465,0.23597,3.1427),(1525,4475,0.33513,3.1384),(1525,4485,0.43428,3.1296),(1525,4495,0.51391,3.1199),(1525,4505,0.53087,3.1102),(1525,4515,0.54784,3.1002),(1525,4525,0.5634,3.0899),(1525,4535,0.5567,3.0796),(1525,4545,0.55,3.0696),(1525,4555,0.5433,3.0598),(1525,4565,0.40196,3.05),(1525,4575,0.24247,3.0427),(1525,4585,0.082982,3.0415),(1525,4595,0.081041,3.0403),(1525,4605,0.14567,3.0385),(1525,4615,0.21029,3.0322),(1525,4625,0.27597,3.0259),(1525,4635,0.34259,3.0196),(1525,4645,0.40922,3.0107),(1525,4655,0.47095,3.0017),(1525,4665,0.52347,2.9926),(1525,4675,0.57598,2.9838),(1525,4685,0.59833,2.975),(1525,4695,0.47165,2.9663),(1525,4705,0.34497,2.9613),(1525,4715,0.21828,2.9591),(1525,4725,0.29498,2.9568),(1525,4735,0.37371,2.9527),(1525,4745,0.45245,2.9457),(1525,4755,0.5484,2.9386),(1525,4765,0.64835,2.9308),(1525,4775,0.7483,2.9202),(1525,4785,0.79774,2.9096),(1525,4795,0.81799,2.8991),(1525,4805,0.83823,2.8884),(1525,4815,0.81199,2.8778),(1525,4825,0.73016,2.8671),(1525,4835,0.64833,2.8593),(1525,4845,0.55811,2.852),(1525,4855,0.446,2.8447),(1525,4865,0.33388,2.8395),(1525,4875,0.25335,2.8353),(1525,4885,0.46016,2.8311),(1525,4895,0.66697,2.8219),(1525,4905,0.87378,2.808),(1525,4915,0.87459,2.794),(1525,4925,0.85767,2.7804),(1525,4935,0.84075,2.7674),(1525,4945,0.76965,2.7545),(1525,4955,0.67977,2.7422),(1525,4965,0.58989,2.7333),(1525,4975,0.46025,2.7244),(1525,4985,0.29992,2.7154),(1525,4995,0.13959,2.7144),(1525,5005,0.13376,2.7136),(1525,5015,0.37355,2.7127),(1525,5025,0.61334,2.7041),(1525,5035,0.8243,2.6934),(1525,5045,0.92542,2.6828),(1525,5055,1.0265,2.6703),(1525,5065,1.1253,2.6567),(1525,5075,1.1473,2.643),(1525,5085,1.1694,2.6295),(1525,5095,1.1914,2.6162),(1525,5105,1.0489,2.6029),(1525,5115,0.87761,2.5913),(1525,5125,0.70636,2.5844),(1525,5135,0.60396,2.5776),(1525,5145,0.53498,2.5708),(1525,5155,0.466,2.5644),(1525,5165,0.54894,2.5581),(1525,5175,0.78682,2.5517),(1525,5185,1.0247,2.537),(1525,5195,1.1947,2.5214),(1525,5205,1.2184,2.5057),(1525,5215,1.2421,2.4904),(1525,5225,1.2589,2.4752),(1525,5235,1.2323,2.46),(1525,5245,1.2058,2.446),(1525,5255,1.1792,2.433),(1525,5265,0.8247,2.4201),(1525,5275,0.45664,2.4118),(1525,5285,0.088587,2.4115),(1525,5295,0.18791,2.4112),(1525,5305,0.41739,2.4085),(1525,5315,0.64686,2.3956),(1525,5325,0.82132,2.3827),(1525,5335,0.9597,2.3697),(1525,5345,1.0981,2.3541),(1525,5355,1.2003,2.3384),(1525,5365,1.2537,2.3228),(1525,5375,1.3071,2.3077),(1525,5385,1.2711,2.2928),(1525,5395,0.96355,2.2778),(1525,5405,0.65598,2.2702),(1525,5415,0.37315,2.2664),(1525,5425,0.42289,2.2626),(1525,5435,0.47263,2.2549),(1525,5445,0.52238,2.2429),(1525,5455,0.63422,2.231),(1525,5465,0.75365,2.2167),(1525,5475,0.87308,2.197),(1525,5485,0.92699,2.1773),(1525,5495,0.9545,2.1575),(1525,5505,0.98202,2.1371),(1525,5515,1.0106,2.1168),(1525,5525,1.0402,2.0965),(1525,5535,1.0698,2.0756),(1525,5545,1.0994,2.0547),(1525,5555,1.1291,2.0338),(1525,5565,1.1587,2.0126),(1525,5575,1.1883,1.9913),(1525,5585,1.2174,1.97),(1525,5595,1.2465,1.9486),(1525,5605,1.2756,1.9271),(1525,5615,1.3039,1.9056),(1525,5625,1.3321,1.884),(1525,5635,1.3604,1.8625),(1525,5645,1.3877,1.8409),(1525,5655,1.4149,1.8193),(1525,5665,1.442,1.7978),(1525,5675,1.4684,1.7762),(1525,5685,1.4944,1.7547),(1525,5695,1.5203,1.7334),(1525,5705,1.5457,1.712),(1525,5715,1.5703,1.6907),(1525,5725,1.5949,1.6695),(1525,5735,1.619,1.6484),(1525,5745,1.6422,1.6272),(1525,5755,1.6654,1.6063),(1525,5765,1.6885,1.5854),(1525,5775,1.7103,1.5645),(1525,5785,1.732,1.5438),(1525,5795,1.7538,1.5233),(1525,5805,1.7743,1.5027),(1525,5815,1.7946,1.4823),(1525,5825,1.815,1.4621),(1525,5835,1.8343,1.4418),(1525,5845,1.8533,1.4217),(1525,5855,1.8723,1.4018),(1525,5865,1.8905,1.3818),(1525,5875,1.9081,1.3619),(1525,5885,1.9258,1.3423),(1525,5895,1.943,1.3226),(1525,5905,1.9594,1.303),(1525,5915,1.9758,1.2836),(1525,5925,1.9919,1.2643),(1525,5935,2.0072,1.245),(1525,5945,2.0224,1.2259),(1525,5955,2.0376,1.2068),(1525,5965,2.0522,1.1878),(1525,5975,2.0668,1.1688),(1525,5985,2.0814,1.1501),(1525,5995,1.593,1.1313),(1525,6005,1.0236,1.117),(1525,6015,0.45425,1.1146),(1525,6025,0.43398,1.1123),(1525,6035,0.66837,1.1089),(1525,6045,0.90275,1.095),(1525,6055,1.0744,1.0812),(1525,6065,1.1846,1.0673),(1525,6075,1.2948,1.0492),(1525,6085,1.371,1.0308),(1525,6095,1.3772,1.0123),(1525,6105,1.3835,0.99356),(1525,6115,1.3896,0.97478),(1525,6125,1.3956,0.956),(1525,6135,1.4016,0.93715),(1525,6145,1.4075,0.91825),(1525,6155,1.4131,0.89935),(1525,6165,1.4187,0.88037),(1525,6175,1.4243,0.86126),(1525,6185,1.4297,0.84215),(1525,6195,1.4349,0.82302),(1525,6205,1.4402,0.80379),(1525,6215,1.4452,0.78457),(1525,6225,1.4501,0.76534),(1525,6235,1.455,0.74607),(1525,6245,1.4597,0.7268),(1525,6255,1.4641,0.70754),(1525,6265,1.4686,0.68808),(1525,6275,1.473,0.66859),(1525,6285,1.4772,0.6491),(1525,6295,1.4813,0.62948),(1525,6305,1.4854,0.60979),(1525,6315,1.489,0.59011),(1525,6325,1.4926,0.57046),(1525,6335,1.4962,0.55084),(1525,6345,1.4996,0.53122),(1525,6355,1.5029,0.51154),(1525,6365,1.5062,0.49174),(1525,6375,1.5092,0.47195),(1525,6385,1.5121,0.45213),(1525,6395,1.515,0.43215),(1525,6405,1.5177,0.41218),(1525,6415,1.5202,0.3922),(1525,6425,1.5228,0.37226),(1525,6435,1.5251,0.35231),(1525,6445,1.5272,0.33237),(1525,6455,1.5294,0.31245),(1525,6465,1.5314,0.29254),(1525,6475,1.5331,0.27262),(1525,6485,1.5348,0.25266),(1525,6495,1.5365,0.23265),(1525,6505,1.5378,0.21264),(1525,6515,1.539,0.19261),(1525,6525,1.5403,0.17256),(1525,6535,1.5412,0.1525),(1525,6545,1.5421,0.13244),(1525,6555,1.543,0.11239),(1525,6565,1.5436,0.092328),(1525,6575,1.5441,0.07227),(1525,6585,1.5446,0.052179),(1525,6595,1.3139,0.032088),(1525,6605,0.82798,0.011998),(1525,6615,0.34207,0.009694),(1525,6625,0.000483,0.009675),(1525,6635,0.000486,0.009657),(1525,6645,0.000488,0.009646),(1525,6655,0.000491,0.009637),(1525,6665,0.000493,0.009629),(1525,6675,0.000496,0.009621),(1525,6685,0.000498,0.009613),(1525,6695,0.0005,0.009605),(1525,6705,0.000503,0.009597),(1525,6715,0.000505,0.009589),(1525,6725,0.000507,0.009581),(1525,6735,0.00051,0.009573),(1525,6745,0.000512,0.009565),(1525,6755,0.000514,0.009556),(1525,6765,0.000516,0.009548),(1525,6775,0.000518,0.00954),(1525,6785,0.00052,0.009532),(1525,6795,0.000522,0.009524),(1525,6805,0.000524,0.009515),(1525,6815,0.000526,0.009507),(1525,6825,0.000528,0.009499),(1525,6835,0.00053,0.009491),(1525,6845,0.000532,0.009482),(1525,6855,0.000534,0.009474),(1525,6865,0.000536,0.009466),(1525,6875,0.000538,0.009458),(1525,6885,0.00054,0.009449),(1525,6895,0.000542,0.009441),(1525,6905,0.000544,0.009433),(1525,6915,0.000545,0.009424),(1525,6925,0.000547,0.009416),(1525,6935,0.000549,0.009408),(1525,6945,0.00055,0.009399),(1525,6955,0.000552,0.009391),(1525,6965,0.000554,0.009383),(1525,6975,0.000555,0.009374),(1525,6985,0.000557,0.009366),(1535,5,5.8e-05,3.6753),(1535,15,0.000174,3.6753),(1535,25,0.000291,3.6753),(1535,35,0.000407,3.6753),(1535,45,0.000524,3.6753),(1535,55,0.00064,3.6753),(1535,65,0.000757,3.6753),(1535,75,0.000874,3.6753),(1535,85,0.00099,3.6753),(1535,95,0.001107,3.6753),(1535,105,0.001224,3.6753),(1535,115,0.001342,3.6753),(1535,125,0.001459,3.6753),(1535,135,0.001577,3.6752),(1535,145,0.001695,3.6752),(1535,155,0.001813,3.6752),(1535,165,0.001932,3.6752),(1535,175,0.00205,3.6752),(1535,185,0.002169,3.6752),(1535,195,0.002288,3.6752),(1535,205,0.002408,3.6751),(1535,215,0.002527,3.6751),(1535,225,0.002648,3.6751),(1535,235,0.002769,3.6751),(1535,245,0.002889,3.675),(1535,255,0.00301,3.675),(1535,265,0.003132,3.675),(1535,275,0.003255,3.675),(1535,285,0.003377,3.6749),(1535,295,0.003499,3.6749),(1535,305,0.003623,3.6749),(1535,315,0.003747,3.6749),(1535,325,0.003871,3.6748),(1535,335,0.003995,3.6748),(1535,345,0.004121,3.6748),(1535,355,0.004248,3.6747),(1535,365,0.004374,3.6747),(1535,375,0.0045,3.6746),(1535,385,0.004628,3.6746),(1535,395,0.004757,3.6746),(1535,405,0.004886,3.6745),(1535,415,0.005014,3.6745),(1535,425,0.005145,3.6744),(1535,435,0.005276,3.6744),(1535,445,0.005408,3.6744),(1535,455,0.005539,3.6743),(1535,465,0.005673,3.6743),(1535,475,0.005807,3.6742),(1535,485,0.005941,3.6742),(1535,495,0.006075,3.6741),(1535,505,0.006213,3.6741),(1535,515,0.00635,3.674),(1535,525,0.006487,3.674),(1535,535,0.006625,3.6739),(1535,545,0.006765,3.6738),(1535,555,0.006906,3.6738),(1535,565,0.007046,3.6737),(1535,575,0.007187,3.6737),(1535,585,0.007332,3.6736),(1535,595,0.007476,3.6735),(1535,605,0.00762,3.6735),(1535,615,0.007765,3.6734),(1535,625,0.007913,3.6733),(1535,635,0.008061,3.6733),(1535,645,0.00821,3.6732),(1535,655,0.008358,3.6731),(1535,665,0.008511,3.6731),(1535,675,0.008663,3.673),(1535,685,0.008816,3.6729),(1535,695,0.008969,3.6728),(1535,705,0.009126,3.6728),(1535,715,0.009283,3.6727),(1535,725,0.00944,3.6726),(1535,735,0.009599,3.6725),(1535,745,0.009761,3.6724),(1535,755,0.009922,3.6723),(1535,765,0.010084,3.6723),(1535,775,0.010248,3.6722),(1535,785,0.010415,3.6721),(1535,795,0.010581,3.672),(1535,805,0.010748,3.6719),(1535,815,0.010917,3.6718),(1535,825,0.011089,3.6717),(1535,835,0.011262,3.6716),(1535,845,0.011434,3.6715),(1535,855,0.011608,3.6714),(1535,865,0.011786,3.6713),(1535,875,0.011964,3.6712),(1535,885,0.012142,3.6711),(1535,895,0.012322,3.671),(1535,905,0.012506,3.6709),(1535,915,0.01269,3.6707),(1535,925,0.012874,3.6706),(1535,935,0.013061,3.6705),(1535,945,0.013251,3.6704),(1535,955,0.013441,3.6703),(1535,965,0.013632,3.6702),(1535,975,0.013825,3.67),(1535,985,0.014022,3.6699),(1535,995,0.014219,3.6698),(1535,1005,0.014416,3.6696),(1535,1015,0.014616,3.6695),(1535,1025,0.01482,3.6694),(1535,1035,0.015023,3.6692),(1535,1045,0.015227,3.6691),(1535,1055,0.015434,3.669),(1535,1065,0.015645,3.6688),(1535,1075,0.015856,3.6687),(1535,1085,0.016067,3.6685),(1535,1095,0.016282,3.6684),(1535,1105,0.0165,3.6682),(1535,1115,0.016718,3.6681),(1535,1125,0.016937,3.6679),(1535,1135,0.01716,3.6678),(1535,1145,0.017386,3.6676),(1535,1155,0.017612,3.6674),(1535,1165,0.017838,3.6673),(1535,1175,0.018069,3.6671),(1535,1185,0.018303,3.6669),(1535,1195,0.018538,3.6668),(1535,1205,0.018772,3.6666),(1535,1215,0.019012,3.6664),(1535,1225,0.019254,3.6662),(1535,1235,0.019497,3.666),(1535,1245,0.019739,3.6658),(1535,1255,0.019988,3.6657),(1535,1265,0.020239,3.6655),(1535,1275,0.02049,3.6653),(1535,1285,0.020741,3.6651),(1535,1295,0.020999,3.6649),(1535,1305,0.021259,3.6647),(1535,1315,0.021519,3.6645),(1535,1325,0.021779,3.6642),(1535,1335,0.022046,3.664),(1535,1345,0.022315,3.6638),(1535,1355,0.022584,3.6636),(1535,1365,0.022853,3.6634),(1535,1375,0.02313,3.6631),(1535,1385,0.023408,3.6629),(1535,1395,0.023686,3.6627),(1535,1405,0.023965,3.6624),(1535,1415,0.024252,3.6622),(1535,1425,0.02454,3.662),(1535,1435,0.024827,3.6617),(1535,1445,0.025115,3.6614),(1535,1455,0.025413,3.6612),(1535,1465,0.02571,3.6609),(1535,1475,0.026008,3.6607),(1535,1485,0.026306,3.6604),(1535,1495,0.026613,3.6601),(1535,1505,0.026921,3.6599),(1535,1515,0.027228,3.6596),(1535,1525,0.027536,3.6593),(1535,1535,0.027854,3.659),(1535,1545,0.028172,3.6587),(1535,1555,0.02849,3.6584),(1535,1565,0.028808,3.6581),(1535,1575,0.029136,3.6578),(1535,1585,0.029464,3.6575),(1535,1595,0.029792,3.6572),(1535,1605,0.030121,3.6569),(1535,1615,0.030459,3.6566),(1535,1625,0.030797,3.6563),(1535,1635,0.031136,3.6559),(1535,1645,0.031476,3.6556),(1535,1655,0.031824,3.6553),(1535,1665,0.032173,3.6549),(1535,1675,0.032522,3.6546),(1535,1685,0.032873,3.6542),(1535,1695,0.033232,3.6538),(1535,1705,0.033592,3.6535),(1535,1715,0.033951,3.6531),(1535,1725,0.034313,3.6527),(1535,1735,0.034683,3.6524),(1535,1745,0.035053,3.652),(1535,1755,0.035423,3.6516),(1535,1765,0.035796,3.6512),(1535,1775,0.036176,3.6508),(1535,1785,0.036556,3.6504),(1535,1795,0.036936,3.65),(1535,1805,0.03732,3.6496),(1535,1815,0.03771,3.6491),(1535,1825,0.038101,3.6487),(1535,1835,0.038491,3.6483),(1535,1845,0.038885,3.6478),(1535,1855,0.039286,3.6474),(1535,1865,0.039687,3.647),(1535,1875,0.040087,3.6465),(1535,1885,0.040492,3.646),(1535,1895,0.040903,3.6456),(1535,1905,0.041313,3.6451),(1535,1915,0.041724,3.6446),(1535,1925,0.042139,3.6441),(1535,1935,0.042559,3.6436),(1535,1945,0.042979,3.6431),(1535,1955,0.0434,3.6426),(1535,1965,0.043824,3.6421),(1535,1975,0.044254,3.6416),(1535,1985,0.044684,3.6411),(1535,1995,0.045113,3.6405),(1535,2005,0.045547,3.64),(1535,2015,0.045986,3.6394),(1535,2025,0.046424,3.6389),(1535,2035,0.046863,3.6383),(1535,2045,0.047306,3.6377),(1535,2055,0.047753,3.6372),(1535,2065,0.0482,3.6366),(1535,2075,0.048647,3.636),(1535,2085,0.049098,3.6354),(1535,2095,0.049553,3.6348),(1535,2105,0.050008,3.6342),(1535,2115,0.050463,3.6336),(1535,2125,0.050923,3.6329),(1535,2135,0.051385,3.6323),(1535,2145,0.051847,3.6316),(1535,2155,0.05231,3.631),(1535,2165,0.052776,3.6303),(1535,2175,0.053245,3.6297),(1535,2185,0.053714,3.629),(1535,2195,0.054182,3.6283),(1535,2205,0.054655,3.6276),(1535,2215,0.055129,3.6269),(1535,2225,0.055604,3.6262),(1535,2235,0.056078,3.6255),(1535,2245,0.056556,3.6248),(1535,2255,0.057035,3.6241),(1535,2265,0.057514,3.6233),(1535,2275,0.057993,3.6225),(1535,2285,0.058475,3.6218),(1535,2295,0.058958,3.621),(1535,2305,0.059441,3.6203),(1535,2315,0.059924,3.6195),(1535,2325,0.060409,3.6187),(1535,2335,0.060894,3.6179),(1535,2345,0.06138,3.6171),(1535,2355,0.061865,3.6162),(1535,2365,0.062351,3.6154),(1535,2375,0.062838,3.6146),(1535,2385,0.063325,3.6137),(1535,2395,0.063812,3.6129),(1535,2405,0.064299,3.612),(1535,2415,0.064786,3.6112),(1535,2425,0.065272,3.6103),(1535,2435,0.065759,3.6094),(1535,2445,0.066245,3.6085),(1535,2455,0.066731,3.6076),(1535,2465,0.067216,3.6067),(1535,2475,0.067702,3.6057),(1535,2485,0.068185,3.6048),(1535,2495,0.068667,3.6039),(1535,2505,0.06915,3.6029),(1535,2515,0.069633,3.6019),(1535,2525,0.070111,3.601),(1535,2535,0.070589,3.6),(1535,2545,0.071067,3.599),(1535,2555,0.071545,3.598),(1535,2565,0.072017,3.597),(1535,2575,0.07249,3.596),(1535,2585,0.072962,3.5949),(1535,2595,0.073433,3.5939),(1535,2605,0.073897,3.5929),(1535,2615,0.074361,3.5918),(1535,2625,0.074825,3.5907),(1535,2635,0.075288,3.5896),(1535,2645,0.075742,3.5886),(1535,2655,0.076196,3.5875),(1535,2665,0.07665,3.5864),(1535,2675,0.077103,3.5853),(1535,2685,0.077545,3.5841),(1535,2695,0.077987,3.583),(1535,2705,0.078428,3.5819),(1535,2715,0.078867,3.5807),(1535,2725,0.079295,3.5796),(1535,2735,0.079723,3.5784),(1535,2745,0.080151,3.5772),(1535,2755,0.080575,3.576),(1535,2765,0.080986,3.5749),(1535,2775,0.081398,3.5737),(1535,2785,0.08181,3.5724),(1535,2795,0.082216,3.5712),(1535,2805,0.08261,3.57),(1535,2815,0.083003,3.5688),(1535,2825,0.083396,3.5675),(1535,2835,0.083783,3.5663),(1535,2845,0.084155,3.565),(1535,2855,0.084528,3.5638),(1535,2865,0.084901,3.5625),(1535,2875,0.085264,3.5612),(1535,2885,0.085614,3.5599),(1535,2895,0.085963,3.5586),(1535,2905,0.086313,3.5573),(1535,2915,0.086652,3.556),(1535,2925,0.086975,3.5546),(1535,2935,0.087299,3.5533),(1535,2945,0.087623,3.552),(1535,2955,0.087934,3.5506),(1535,2965,0.08823,3.5493),(1535,2975,0.088526,3.5479),(1535,2985,0.088822,3.5466),(1535,2995,0.089102,3.5452),(1535,3005,0.089368,3.5438),(1535,3015,0.089633,3.5424),(1535,3025,0.089898,3.541),(1535,3035,0.090145,3.5396),(1535,3045,0.090378,3.5382),(1535,3055,0.09061,3.5368),(1535,3065,0.090842,3.5354),(1535,3075,0.091054,3.534),(1535,3085,0.09125,3.5325),(1535,3095,0.091447,3.5311),(1535,3105,0.091643,3.5297),(1535,3115,0.091817,3.5282),(1535,3125,0.091975,3.5268),(1535,3135,0.092134,3.5253),(1535,3145,0.092293,3.5239),(1535,3155,0.092425,3.5224),(1535,3165,0.092543,3.5209),(1535,3175,0.092662,3.5195),(1535,3185,0.09278,3.518),(1535,3195,0.092868,3.5165),(1535,3205,0.092944,3.515),(1535,3215,0.093019,3.5136),(1535,3225,0.093094,3.5121),(1535,3235,0.093136,3.5106),(1535,3245,0.093166,3.5091),(1535,3255,0.093196,3.5076),(1535,3265,0.093226,3.5061),(1535,3275,0.093219,3.5046),(1535,3285,0.093201,3.5031),(1535,3295,0.093183,3.5016),(1535,3305,0.093165,3.5001),(1535,3315,0.093107,3.4986),(1535,3325,0.093039,3.4971),(1535,3335,0.092971,3.4955),(1535,3345,0.092903,3.494),(1535,3355,0.09279,3.4925),(1535,3365,0.09267,3.491),(1535,3375,0.09255,3.4895),(1535,3385,0.09243,3.488),(1535,3395,0.092261,3.4865),(1535,3405,0.092087,3.485),(1535,3415,0.091912,3.4835),(1535,3425,0.091738,3.4819),(1535,3435,0.091511,3.4804),(1535,3445,0.091281,3.4789),(1535,3455,0.09105,3.4774),(1535,3465,0.090819,3.4759),(1535,3475,0.090532,3.4744),(1535,3485,0.090243,3.4729),(1535,3495,0.089954,3.4714),(1535,3505,0.089665,3.4699),(1535,3515,0.089316,3.4684),(1535,3525,0.088967,3.4669),(1535,3535,0.088619,3.4654),(1535,3545,0.088267,3.4639),(1535,3555,0.087856,3.4625),(1535,3565,0.087446,3.461),(1535,3575,0.087035,3.4595),(1535,3585,0.08662,3.458),(1535,3595,0.086146,3.4566),(1535,3605,0.085672,3.4551),(1535,3615,0.085199,3.4536),(1535,3625,0.084717,3.4522),(1535,3635,0.08418,3.4507),(1535,3645,0.083642,3.4493),(1535,3655,0.083104,3.4478),(1535,3665,0.082556,3.4464),(1535,3675,0.081952,3.445),(1535,3685,0.081349,3.4435),(1535,3695,0.080746,3.4421),(1535,3705,0.080129,3.4407),(1535,3715,0.07946,3.4393),(1535,3725,0.07879,3.4379),(1535,3735,0.07812,3.4365),(1535,3745,0.077434,3.4351),(1535,3755,0.076697,3.4337),(1535,3765,0.07596,3.4323),(1535,3775,0.075222,3.4309),(1535,3785,0.074466,3.4295),(1535,3795,0.07366,3.4282),(1535,3805,0.072855,3.4268),(1535,3815,0.072049,3.4255),(1535,3825,0.071221,3.4241),(1535,3835,0.070346,3.4228),(1535,3845,0.06947,3.4214),(1535,3855,0.068595,3.4201),(1535,3865,0.067694,3.4188),(1535,3875,0.066746,3.4175),(1535,3885,0.065799,3.4162),(1535,3895,0.064852,3.4149),(1535,3905,0.075128,3.4136),(1535,3915,0.10217,3.4123),(1535,3925,0.12921,3.4102),(1535,3935,0.15626,3.4069),(1535,3945,0.18626,3.4035),(1535,3955,0.22002,3.4002),(1535,3965,0.25378,3.396),(1535,3975,0.28754,3.3906),(1535,3985,0.308,3.3853),(1535,3995,0.31406,3.3799),(1535,4005,0.32013,3.3744),(1535,4015,0.32619,3.369),(1535,4025,0.3323,3.3635),(1535,4035,0.33842,3.3579),(1535,4045,0.34454,3.3522),(1535,4055,0.35039,3.3466),(1535,4065,0.35615,3.3409),(1535,4075,0.3619,3.3349),(1535,4085,0.36728,3.329),(1535,4095,0.37236,3.323),(1535,4105,0.37744,3.3166),(1535,4115,0.36797,3.3102),(1535,4125,0.33437,3.3037),(1535,4135,0.30077,3.2984),(1535,4145,0.26614,3.2933),(1535,4155,0.22737,3.2883),(1535,4165,0.18859,3.2841),(1535,4175,0.152,3.2805),(1535,4185,0.22394,3.2768),(1535,4195,0.29588,3.2718),(1535,4205,0.36782,3.265),(1535,4215,0.36439,3.2582),(1535,4225,0.34677,3.2519),(1535,4235,0.32916,3.247),(1535,4245,0.30238,3.2422),(1535,4255,0.27095,3.2374),(1535,4265,0.23953,3.2344),(1535,4275,0.19827,3.2314),(1535,4285,0.14656,3.2283),(1535,4295,0.094859,3.2274),(1535,4305,0.087661,3.2267),(1535,4315,0.18096,3.2261),(1535,4325,0.27425,3.223),(1535,4335,0.3572,3.2189),(1535,4345,0.3701,3.2148),(1535,4355,0.383,3.2094),(1535,4365,0.39589,3.2029),(1535,4375,0.39777,3.1963),(1535,4385,0.39906,3.189),(1535,4395,0.40036,3.1803),(1535,4405,0.34759,3.1716),(1535,4415,0.27888,3.1635),(1535,4425,0.21018,3.1582),(1535,4435,0.18513,3.153),(1535,4445,0.18993,3.1477),(1535,4455,0.19473,3.1434),(1535,4465,0.23918,3.139),(1535,4475,0.33932,3.1347),(1535,4485,0.43947,3.1258),(1535,4495,0.51985,3.1161),(1535,4505,0.53685,3.1063),(1535,4515,0.55386,3.0961),(1535,4525,0.56944,3.0858),(1535,4535,0.5626,3.0754),(1535,4545,0.55576,3.0653),(1535,4555,0.54892,3.0553),(1535,4565,0.40624,3.0454),(1535,4575,0.24526,3.038),(1535,4585,0.084268,3.0367),(1535,4595,0.082628,3.0354),(1535,4605,0.14831,3.0336),(1535,4615,0.214,3.0271),(1535,4625,0.28039,3.0206),(1535,4635,0.34742,3.0141),(1535,4645,0.41445,3.0052),(1535,4655,0.47631,2.996),(1535,4665,0.52844,2.9869),(1535,4675,0.58056,2.9781),(1535,4685,0.60239,2.9694),(1535,4695,0.4746,2.9607),(1535,4705,0.3468,2.9558),(1535,4715,0.219,2.9536),(1535,4725,0.29662,2.9515),(1535,4735,0.37628,2.9475),(1535,4745,0.45595,2.9406),(1535,4755,0.55239,2.9337),(1535,4765,0.65271,2.926),(1535,4775,0.75304,2.9154),(1535,4785,0.80254,2.9049),(1535,4795,0.82265,2.8943),(1535,4805,0.84277,2.8836),(1535,4815,0.81625,2.8729),(1535,4825,0.73398,2.8623),(1535,4835,0.65172,2.8545),(1535,4845,0.56112,2.8471),(1535,4855,0.4488,2.8397),(1535,4865,0.33649,2.8345),(1535,4875,0.25592,2.8304),(1535,4885,0.46428,2.8262),(1535,4895,0.67264,2.817),(1535,4905,0.881,2.803),(1535,4915,0.88171,2.7891),(1535,4925,0.86457,2.7755),(1535,4935,0.84743,2.7626),(1535,4945,0.77581,2.7497),(1535,4955,0.68532,2.7374),(1535,4965,0.59483,2.7284),(1535,4975,0.46418,2.7194),(1535,4985,0.30254,2.7105),(1535,4995,0.14089,2.7094),(1535,5005,0.13478,2.7086),(1535,5015,0.37592,2.7077),(1535,5025,0.61706,2.6991),(1535,5035,0.82914,2.6885),(1535,5045,0.93048,2.6779),(1535,5055,1.0318,2.6654),(1535,5065,1.1308,2.6518),(1535,5075,1.1526,2.6382),(1535,5085,1.1744,2.6248),(1535,5095,1.1962,2.6115),(1535,5105,1.0529,2.5983),(1535,5115,0.88089,2.5867),(1535,5125,0.70883,2.5799),(1535,5135,0.60637,2.573),(1535,5145,0.53768,2.5663),(1535,5155,0.46898,2.5599),(1535,5165,0.55265,2.5536),(1535,5175,0.79171,2.5473),(1535,5185,1.0308,2.5326),(1535,5195,1.2015,2.517),(1535,5205,1.225,2.5014),(1535,5215,1.2484,2.4862),(1535,5225,1.2648,2.471),(1535,5235,1.2378,2.4558),(1535,5245,1.2108,2.4419),(1535,5255,1.1838,2.429),(1535,5265,0.82791,2.4161),(1535,5275,0.4585,2.4078),(1535,5285,0.089092,2.4075),(1535,5295,0.18982,2.4072),(1535,5305,0.42147,2.4045),(1535,5315,0.65312,2.3916),(1535,5325,0.8284,2.3787),(1535,5335,0.96672,2.3657),(1535,5345,1.105,2.3501),(1535,5355,1.207,2.3345),(1535,5365,1.2598,2.319),(1535,5375,1.3127,2.304),(1535,5385,1.276,2.2891),(1535,5395,0.96718,2.2742),(1535,5405,0.65832,2.2666),(1535,5415,0.37445,2.2628),(1535,5425,0.42623,2.2591),(1535,5435,0.47801,2.2513),(1535,5445,0.52979,2.2393),(1535,5455,0.64313,2.2273),(1535,5465,0.764,2.2129),(1535,5475,0.88486,2.193),(1535,5485,0.9392,2.1732),(1535,5495,0.96674,2.1533),(1535,5505,0.99429,2.1329),(1535,5515,1.0229,2.1125),(1535,5525,1.0525,2.0921),(1535,5535,1.082,2.0712),(1535,5545,1.1116,2.0502),(1535,5555,1.1412,2.0293),(1535,5565,1.1708,2.008),(1535,5575,1.2003,1.9867),(1535,5585,1.2293,1.9654),(1535,5595,1.2583,1.944),(1535,5605,1.2873,1.9225),(1535,5615,1.3154,1.901),(1535,5625,1.3435,1.8795),(1535,5635,1.3716,1.858),(1535,5645,1.3988,1.8364),(1535,5655,1.4258,1.8149),(1535,5665,1.4528,1.7934),(1535,5675,1.479,1.7719),(1535,5685,1.5047,1.7505),(1535,5695,1.5305,1.7292),(1535,5705,1.5556,1.708),(1535,5715,1.5799,1.6867),(1535,5725,1.6043,1.6656),(1535,5735,1.6283,1.6446),(1535,5745,1.6513,1.6235),(1535,5755,1.6742,1.6026),(1535,5765,1.697,1.5819),(1535,5775,1.7186,1.5611),(1535,5785,1.7401,1.5405),(1535,5795,1.7617,1.52),(1535,5805,1.7819,1.4996),(1535,5815,1.8021,1.4793),(1535,5825,1.8222,1.4592),(1535,5835,1.8413,1.4391),(1535,5845,1.8601,1.419),(1535,5855,1.8789,1.3992),(1535,5865,1.8969,1.3794),(1535,5875,1.9144,1.3595),(1535,5885,1.9318,1.34),(1535,5895,1.9488,1.3205),(1535,5905,1.965,1.301),(1535,5915,1.9812,1.2817),(1535,5925,1.9972,1.2625),(1535,5935,2.0123,1.2433),(1535,5945,2.0274,1.2242),(1535,5955,2.0424,1.2053),(1535,5965,2.0569,1.1864),(1535,5975,2.0713,1.1675),(1535,5985,2.0857,1.1488),(1535,5995,1.5963,1.1302),(1535,6005,1.0257,1.1159),(1535,6015,0.45513,1.1136),(1535,6025,0.43583,1.1113),(1535,6035,0.6722,1.1079),(1535,6045,0.90858,1.094),(1535,6055,1.0816,1.0802),(1535,6065,1.1925,1.0663),(1535,6075,1.3034,1.0482),(1535,6085,1.3801,1.0297),(1535,6095,1.3863,1.0112),(1535,6105,1.3926,0.99254),(1535,6115,1.3988,0.97377),(1535,6125,1.4047,0.95499),(1535,6135,1.4107,0.93616),(1535,6145,1.4167,0.91727),(1535,6155,1.4223,0.89838),(1535,6165,1.4279,0.87942),(1535,6175,1.4335,0.86033),(1535,6185,1.4389,0.84124),(1535,6195,1.4442,0.82213),(1535,6205,1.4494,0.80292),(1535,6215,1.4545,0.78371),(1535,6225,1.4594,0.7645),(1535,6235,1.4643,0.74524),(1535,6245,1.469,0.72597),(1535,6255,1.4735,0.70671),(1535,6265,1.478,0.68725),(1535,6275,1.4824,0.66774),(1535,6285,1.4866,0.64824),(1535,6295,1.4908,0.62867),(1535,6305,1.4949,0.60906),(1535,6315,1.4985,0.58945),(1535,6325,1.5021,0.56983),(1535,6335,1.5057,0.55021),(1535,6345,1.509,0.53058),(1535,6355,1.5123,0.51091),(1535,6365,1.5157,0.49113),(1535,6375,1.5187,0.47135),(1535,6385,1.5216,0.45155),(1535,6395,1.5245,0.4316),(1535,6405,1.5272,0.41165),(1535,6415,1.5297,0.39171),(1535,6425,1.5322,0.37179),(1535,6435,1.5346,0.35187),(1535,6445,1.5367,0.33196),(1535,6455,1.5389,0.31206),(1535,6465,1.5409,0.29217),(1535,6475,1.5426,0.27228),(1535,6485,1.5443,0.25233),(1535,6495,1.546,0.23234),(1535,6505,1.5473,0.21235),(1535,6515,1.5486,0.19234),(1535,6525,1.5499,0.17231),(1535,6535,1.5508,0.15227),(1535,6545,1.5516,0.13223),(1535,6555,1.5525,0.11218),(1535,6565,1.5531,0.092124),(1535,6575,1.5536,0.072072),(1535,6585,1.5541,0.052036),(1535,6595,1.322,0.032),(1535,6605,0.83312,0.011964),(1535,6615,0.34419,0.009675),(1535,6625,0.000488,0.009666),(1535,6635,0.00049,0.009657),(1535,6645,0.000493,0.009648),(1535,6655,0.000495,0.00964),(1535,6665,0.000498,0.009632),(1535,6675,0.0005,0.009624),(1535,6685,0.000503,0.009616),(1535,6695,0.000505,0.009607),(1535,6705,0.000507,0.009599),(1535,6715,0.00051,0.009591),(1535,6725,0.000512,0.009583),(1535,6735,0.000514,0.009575),(1535,6745,0.000516,0.009567),(1535,6755,0.000518,0.009559),(1535,6765,0.000521,0.00955),(1535,6775,0.000523,0.009542),(1535,6785,0.000525,0.009534),(1535,6795,0.000527,0.009526),(1535,6805,0.000529,0.009517),(1535,6815,0.000531,0.009509),(1535,6825,0.000533,0.009501),(1535,6835,0.000535,0.009493),(1535,6845,0.000537,0.009484),(1535,6855,0.000539,0.009476),(1535,6865,0.000541,0.009468),(1535,6875,0.000543,0.009459),(1535,6885,0.000544,0.009451),(1535,6895,0.000546,0.009443),(1535,6905,0.000548,0.009434),(1535,6915,0.00055,0.009426),(1535,6925,0.000551,0.009418),(1535,6935,0.000553,0.009409),(1535,6945,0.000555,0.009401),(1535,6955,0.000556,0.009393),(1535,6965,0.000558,0.009384),(1535,6975,0.00056,0.009376),(1535,6985,0.000561,0.009367),(1545,5,5.8e-05,3.6755),(1545,15,0.000175,3.6755),(1545,25,0.000291,3.6755),(1545,35,0.000408,3.6754),(1545,45,0.000524,3.6754),(1545,55,0.000641,3.6754),(1545,65,0.000758,3.6754),(1545,75,0.000875,3.6754),(1545,85,0.000992,3.6754),(1545,95,0.001109,3.6754),(1545,105,0.001226,3.6754),(1545,115,0.001344,3.6754),(1545,125,0.001461,3.6754),(1545,135,0.001579,3.6754),(1545,145,0.001697,3.6754),(1545,155,0.001816,3.6753),(1545,165,0.001934,3.6753),(1545,175,0.002053,3.6753),(1545,185,0.002172,3.6753),(1545,195,0.002291,3.6753),(1545,205,0.002411,3.6753),(1545,215,0.002531,3.6752),(1545,225,0.002651,3.6752),(1545,235,0.002772,3.6752),(1545,245,0.002893,3.6752),(1545,255,0.003014,3.6751),(1545,265,0.003136,3.6751),(1545,275,0.003259,3.6751),(1545,285,0.003381,3.6751),(1545,295,0.003504,3.675),(1545,305,0.003628,3.675),(1545,315,0.003752,3.675),(1545,325,0.003877,3.6749),(1545,335,0.004001,3.6749),(1545,345,0.004127,3.6749),(1545,355,0.004254,3.6748),(1545,365,0.00438,3.6748),(1545,375,0.004507,3.6748),(1545,385,0.004635,3.6747),(1545,395,0.004764,3.6747),(1545,405,0.004893,3.6747),(1545,415,0.005021,3.6746),(1545,425,0.005153,3.6746),(1545,435,0.005284,3.6745),(1545,445,0.005416,3.6745),(1545,455,0.005547,3.6744),(1545,465,0.005681,3.6744),(1545,475,0.005816,3.6743),(1545,485,0.00595,3.6743),(1545,495,0.006084,3.6742),(1545,505,0.006222,3.6742),(1545,515,0.00636,3.6741),(1545,525,0.006497,3.6741),(1545,535,0.006635,3.674),(1545,545,0.006776,3.674),(1545,555,0.006917,3.6739),(1545,565,0.007058,3.6739),(1545,575,0.007199,3.6738),(1545,585,0.007343,3.6737),(1545,595,0.007488,3.6737),(1545,605,0.007633,3.6736),(1545,615,0.007777,3.6736),(1545,625,0.007926,3.6735),(1545,635,0.008075,3.6734),(1545,645,0.008223,3.6734),(1545,655,0.008372,3.6733),(1545,665,0.008525,3.6732),(1545,675,0.008678,3.6731),(1545,685,0.008831,3.6731),(1545,695,0.008985,3.673),(1545,705,0.009142,3.6729),(1545,715,0.0093,3.6728),(1545,725,0.009457,3.6728),(1545,735,0.009616,3.6727),(1545,745,0.009778,3.6726),(1545,755,0.00994,3.6725),(1545,765,0.010102,3.6724),(1545,775,0.010266,3.6723),(1545,785,0.010434,3.6722),(1545,795,0.010601,3.6721),(1545,805,0.010768,3.6721),(1545,815,0.010938,3.672),(1545,825,0.01111,3.6719),(1545,835,0.011283,3.6718),(1545,845,0.011456,3.6717),(1545,855,0.011631,3.6716),(1545,865,0.011809,3.6715),(1545,875,0.011988,3.6714),(1545,885,0.012166,3.6713),(1545,895,0.012347,3.6712),(1545,905,0.012531,3.671),(1545,915,0.012716,3.6709),(1545,925,0.0129,3.6708),(1545,935,0.013088,3.6707),(1545,945,0.013279,3.6706),(1545,955,0.01347,3.6705),(1545,965,0.01366,3.6703),(1545,975,0.013855,3.6702),(1545,985,0.014052,3.6701),(1545,995,0.01425,3.67),(1545,1005,0.014447,3.6698),(1545,1015,0.014648,3.6697),(1545,1025,0.014853,3.6696),(1545,1035,0.015057,3.6695),(1545,1045,0.015261,3.6693),(1545,1055,0.01547,3.6692),(1545,1065,0.015681,3.669),(1545,1075,0.015893,3.6689),(1545,1085,0.016104,3.6687),(1545,1095,0.01632,3.6686),(1545,1105,0.01654,3.6685),(1545,1115,0.016759,3.6683),(1545,1125,0.016978,3.6681),(1545,1135,0.017202,3.668),(1545,1145,0.017429,3.6678),(1545,1155,0.017656,3.6677),(1545,1165,0.017883,3.6675),(1545,1175,0.018115,3.6673),(1545,1185,0.01835,3.6672),(1545,1195,0.018585,3.667),(1545,1205,0.018821,3.6668),(1545,1215,0.019062,3.6666),(1545,1225,0.019305,3.6665),(1545,1235,0.019549,3.6663),(1545,1245,0.019792,3.6661),(1545,1255,0.020042,3.6659),(1545,1265,0.020295,3.6657),(1545,1275,0.020547,3.6655),(1545,1285,0.020799,3.6653),(1545,1295,0.021058,3.6651),(1545,1305,0.021319,3.6649),(1545,1315,0.021581,3.6647),(1545,1325,0.021842,3.6645),(1545,1335,0.02211,3.6643),(1545,1345,0.022381,3.6641),(1545,1355,0.022651,3.6639),(1545,1365,0.022921,3.6636),(1545,1375,0.0232,3.6634),(1545,1385,0.02348,3.6632),(1545,1395,0.023759,3.663),(1545,1405,0.024039,3.6627),(1545,1415,0.024328,3.6625),(1545,1425,0.024617,3.6622),(1545,1435,0.024907,3.662),(1545,1445,0.025196,3.6617),(1545,1455,0.025495,3.6615),(1545,1465,0.025794,3.6612),(1545,1475,0.026094,3.661),(1545,1485,0.026393,3.6607),(1545,1495,0.026703,3.6604),(1545,1505,0.027012,3.6602),(1545,1515,0.027322,3.6599),(1545,1525,0.027631,3.6596),(1545,1535,0.027951,3.6593),(1545,1545,0.028271,3.6591),(1545,1555,0.028591,3.6588),(1545,1565,0.028911,3.6585),(1545,1575,0.029241,3.6582),(1545,1585,0.029571,3.6579),(1545,1595,0.029901,3.6575),(1545,1605,0.030232,3.6572),(1545,1615,0.030573,3.6569),(1545,1625,0.030913,3.6566),(1545,1635,0.031254,3.6563),(1545,1645,0.031596,3.6559),(1545,1655,0.031947,3.6556),(1545,1665,0.032298,3.6553),(1545,1675,0.03265,3.6549),(1545,1685,0.033003,3.6546),(1545,1695,0.033365,3.6542),(1545,1705,0.033727,3.6538),(1545,1715,0.034089,3.6535),(1545,1725,0.034453,3.6531),(1545,1735,0.034826,3.6527),(1545,1745,0.035198,3.6524),(1545,1755,0.035571,3.652),(1545,1765,0.035946,3.6516),(1545,1775,0.036329,3.6512),(1545,1785,0.036713,3.6508),(1545,1795,0.037096,3.6504),(1545,1805,0.037482,3.6499),(1545,1815,0.037876,3.6495),(1545,1825,0.038269,3.6491),(1545,1835,0.038663,3.6487),(1545,1845,0.03906,3.6482),(1545,1855,0.039464,3.6478),(1545,1865,0.039868,3.6474),(1545,1875,0.040271,3.6469),(1545,1885,0.040679,3.6464),(1545,1895,0.041093,3.646),(1545,1905,0.041507,3.6455),(1545,1915,0.041921,3.645),(1545,1925,0.04234,3.6445),(1545,1935,0.042764,3.644),(1545,1945,0.043188,3.6435),(1545,1955,0.043612,3.643),(1545,1965,0.04404,3.6425),(1545,1975,0.044473,3.642),(1545,1985,0.044907,3.6415),(1545,1995,0.04534,3.6409),(1545,2005,0.045778,3.6404),(1545,2015,0.04622,3.6399),(1545,2025,0.046663,3.6393),(1545,2035,0.047105,3.6388),(1545,2045,0.047552,3.6382),(1545,2055,0.048003,3.6376),(1545,2065,0.048454,3.637),(1545,2075,0.048905,3.6364),(1545,2085,0.049361,3.6358),(1545,2095,0.04982,3.6352),(1545,2105,0.05028,3.6346),(1545,2115,0.050739,3.634),(1545,2125,0.051203,3.6334),(1545,2135,0.051669,3.6328),(1545,2145,0.052136,3.6321),(1545,2155,0.052603,3.6315),(1545,2165,0.053074,3.6308),(1545,2175,0.053547,3.6301),(1545,2185,0.054021,3.6295),(1545,2195,0.054494,3.6288),(1545,2205,0.054972,3.6281),(1545,2215,0.055451,3.6274),(1545,2225,0.05593,3.6267),(1545,2235,0.056409,3.626),(1545,2245,0.056892,3.6253),(1545,2255,0.057376,3.6245),(1545,2265,0.05786,3.6238),(1545,2275,0.058344,3.623),(1545,2285,0.058832,3.6223),(1545,2295,0.05932,3.6215),(1545,2305,0.059808,3.6207),(1545,2315,0.060296,3.62),(1545,2325,0.060786,3.6192),(1545,2335,0.061276,3.6184),(1545,2345,0.061767,3.6176),(1545,2355,0.062258,3.6167),(1545,2365,0.06275,3.6159),(1545,2375,0.063242,3.6151),(1545,2385,0.063734,3.6142),(1545,2395,0.064226,3.6134),(1545,2405,0.064719,3.6125),(1545,2415,0.065211,3.6117),(1545,2425,0.065704,3.6108),(1545,2435,0.066196,3.6099),(1545,2445,0.066687,3.609),(1545,2455,0.067179,3.6081),(1545,2465,0.06767,3.6071),(1545,2475,0.068161,3.6062),(1545,2485,0.06865,3.6053),(1545,2495,0.069138,3.6044),(1545,2505,0.069626,3.6034),(1545,2515,0.070115,3.6024),(1545,2525,0.070599,3.6014),(1545,2535,0.071083,3.6005),(1545,2545,0.071567,3.5995),(1545,2555,0.072051,3.5985),(1545,2565,0.072528,3.5975),(1545,2575,0.073006,3.5964),(1545,2585,0.073484,3.5954),(1545,2595,0.073962,3.5944),(1545,2605,0.074431,3.5933),(1545,2615,0.074901,3.5923),(1545,2625,0.075371,3.5912),(1545,2635,0.07584,3.5901),(1545,2645,0.0763,3.589),(1545,2655,0.07676,3.5879),(1545,2665,0.07722,3.5868),(1545,2675,0.077678,3.5857),(1545,2685,0.078126,3.5846),(1545,2695,0.078574,3.5835),(1545,2705,0.079021,3.5823),(1545,2715,0.079466,3.5812),(1545,2725,0.0799,3.58),(1545,2735,0.080333,3.5788),(1545,2745,0.080767,3.5777),(1545,2755,0.081197,3.5765),(1545,2765,0.081614,3.5753),(1545,2775,0.082031,3.5741),(1545,2785,0.082448,3.5729),(1545,2795,0.08286,3.5716),(1545,2805,0.083259,3.5704),(1545,2815,0.083658,3.5692),(1545,2825,0.084057,3.5679),(1545,2835,0.084449,3.5667),(1545,2845,0.084827,3.5654),(1545,2855,0.085205,3.5641),(1545,2865,0.085583,3.5628),(1545,2875,0.085952,3.5615),(1545,2885,0.086307,3.5603),(1545,2895,0.086661,3.5589),(1545,2905,0.087016,3.5576),(1545,2915,0.08736,3.5563),(1545,2925,0.087689,3.555),(1545,2935,0.088018,3.5536),(1545,2945,0.088346,3.5523),(1545,2955,0.088662,3.5509),(1545,2965,0.088963,3.5496),(1545,2975,0.089263,3.5482),(1545,2985,0.089564,3.5468),(1545,2995,0.089849,3.5455),(1545,3005,0.090119,3.5441),(1545,3015,0.090389,3.5427),(1545,3025,0.090658,3.5413),(1545,3035,0.09091,3.5399),(1545,3045,0.091146,3.5385),(1545,3055,0.091383,3.537),(1545,3065,0.091619,3.5356),(1545,3075,0.091835,3.5342),(1545,3085,0.092035,3.5328),(1545,3095,0.092235,3.5313),(1545,3105,0.092436,3.5299),(1545,3115,0.092613,3.5284),(1545,3125,0.092775,3.5269),(1545,3135,0.092937,3.5255),(1545,3145,0.093099,3.524),(1545,3155,0.093235,3.5225),(1545,3165,0.093356,3.5211),(1545,3175,0.093477,3.5196),(1545,3185,0.093599,3.5181),(1545,3195,0.09369,3.5166),(1545,3205,0.093768,3.5151),(1545,3215,0.093846,3.5136),(1545,3225,0.093924,3.5121),(1545,3235,0.093969,3.5106),(1545,3245,0.094001,3.5091),(1545,3255,0.094033,3.5076),(1545,3265,0.094065,3.5061),(1545,3275,0.09406,3.5046),(1545,3285,0.094044,3.5031),(1545,3295,0.094028,3.5016),(1545,3305,0.094012,3.5),(1545,3315,0.093956,3.4985),(1545,3325,0.093889,3.497),(1545,3335,0.093823,3.4955),(1545,3345,0.093756,3.4939),(1545,3355,0.093645,3.4924),(1545,3365,0.093526,3.4909),(1545,3375,0.093407,3.4894),(1545,3385,0.093288,3.4878),(1545,3395,0.09312,3.4863),(1545,3405,0.092947,3.4848),(1545,3415,0.092773,3.4833),(1545,3425,0.092599,3.4817),(1545,3435,0.092373,3.4802),(1545,3445,0.092143,3.4787),(1545,3455,0.091912,3.4772),(1545,3465,0.091682,3.4757),(1545,3475,0.091395,3.4741),(1545,3485,0.091106,3.4726),(1545,3495,0.090817,3.4711),(1545,3505,0.090528,3.4696),(1545,3515,0.090179,3.4681),(1545,3525,0.08983,3.4666),(1545,3535,0.089481,3.4651),(1545,3545,0.089129,3.4636),(1545,3555,0.088718,3.4621),(1545,3565,0.088307,3.4606),(1545,3575,0.087896,3.4591),(1545,3585,0.08748,3.4576),(1545,3595,0.087006,3.4561),(1545,3605,0.086532,3.4546),(1545,3615,0.086058,3.4531),(1545,3625,0.085575,3.4517),(1545,3635,0.085037,3.4502),(1545,3645,0.084498,3.4487),(1545,3655,0.08396,3.4473),(1545,3665,0.08341,3.4458),(1545,3675,0.082806,3.4444),(1545,3685,0.082202,3.4429),(1545,3695,0.081598,3.4415),(1545,3705,0.080981,3.44),(1545,3715,0.08031,3.4386),(1545,3725,0.07964,3.4372),(1545,3735,0.078969,3.4358),(1545,3745,0.078282,3.4344),(1545,3755,0.077544,3.4329),(1545,3765,0.076806,3.4315),(1545,3775,0.076068,3.4302),(1545,3785,0.075311,3.4288),(1545,3795,0.074505,3.4274),(1545,3805,0.073699,3.426),(1545,3815,0.072893,3.4246),(1545,3825,0.072065,3.4233),(1545,3835,0.071189,3.4219),(1545,3845,0.070314,3.4206),(1545,3855,0.069438,3.4192),(1545,3865,0.068537,3.4179),(1545,3875,0.067589,3.4165),(1545,3885,0.066642,3.4152),(1545,3895,0.065695,3.4139),(1545,3905,0.076102,3.4126),(1545,3915,0.10347,3.4113),(1545,3925,0.13084,3.4091),(1545,3935,0.15821,3.4057),(1545,3945,0.18852,3.4024),(1545,3955,0.22257,3.399),(1545,3965,0.25662,3.3947),(1545,3975,0.29067,3.3893),(1545,3985,0.31128,3.3838),(1545,3995,0.31733,3.3784),(1545,4005,0.32339,3.3729),(1545,4015,0.32945,3.3674),(1545,4025,0.33557,3.3618),(1545,4035,0.3417,3.3562),(1545,4045,0.34782,3.3505),(1545,4055,0.35371,3.3448),(1545,4065,0.35951,3.3391),(1545,4075,0.3653,3.3331),(1545,4085,0.37076,3.3271),(1545,4095,0.37596,3.3212),(1545,4105,0.38115,3.3147),(1545,4115,0.37167,3.3083),(1545,4125,0.33787,3.3019),(1545,4135,0.30407,3.2965),(1545,4145,0.26925,3.2914),(1545,4155,0.23029,3.2863),(1545,4165,0.19133,3.2821),(1545,4175,0.15458,3.2785),(1545,4185,0.22701,3.2748),(1545,4195,0.29945,3.2698),(1545,4205,0.37188,3.263),(1545,4215,0.36812,3.2561),(1545,4225,0.35002,3.2498),(1545,4235,0.33192,3.2449),(1545,4245,0.30475,3.2401),(1545,4255,0.27298,3.2353),(1545,4265,0.24121,3.2322),(1545,4275,0.19959,3.2291),(1545,4285,0.1475,3.226),(1545,4295,0.095414,3.2251),(1545,4305,0.088091,3.2244),(1545,4315,0.18185,3.2237),(1545,4325,0.27561,3.2205),(1545,4335,0.35905,3.2164),(1545,4345,0.37261,3.2124),(1545,4355,0.38617,3.2069),(1545,4365,0.39974,3.2002),(1545,4375,0.40224,3.1935),(1545,4385,0.40416,3.1861),(1545,4395,0.40608,3.1773),(1545,4405,0.35298,3.1684),(1545,4415,0.28365,3.1602),(1545,4425,0.21433,3.1549),(1545,4435,0.18886,3.1496),(1545,4445,0.19336,3.1442),(1545,4455,0.19787,3.1398),(1545,4465,0.24255,3.1354),(1545,4475,0.34367,3.131),(1545,4485,0.4448,3.1221),(1545,4495,0.52594,3.1122),(1545,4505,0.54297,3.1023),(1545,4515,0.56001,3.0921),(1545,4525,0.57562,3.0817),(1545,4535,0.5687,3.0712),(1545,4545,0.56178,3.061),(1545,4555,0.55486,3.0509),(1545,4565,0.4108,3.0408),(1545,4575,0.24826,3.0332),(1545,4585,0.085708,3.0319),(1545,4595,0.084401,3.0306),(1545,4605,0.15122,3.0286),(1545,4615,0.21804,3.022),(1545,4625,0.28515,3.0153),(1545,4635,0.35252,3.0086),(1545,4645,0.41989,2.9996),(1545,4655,0.48181,2.9904),(1545,4665,0.53345,2.9812),(1545,4675,0.58509,2.9724),(1545,4685,0.60633,2.9638),(1545,4695,0.4774,2.9551),(1545,4705,0.34846,2.9503),(1545,4715,0.21953,2.9482),(1545,4725,0.29801,2.9462),(1545,4735,0.37856,2.9422),(1545,4745,0.45912,2.9355),(1545,4755,0.5561,2.9287),(1545,4765,0.65688,2.9211),(1545,4775,0.75767,2.9106),(1545,4785,0.80729,2.9001),(1545,4795,0.82733,2.8896),(1545,4805,0.84737,2.8788),(1545,4815,0.82061,2.8681),(1545,4825,0.7379,2.8574),(1545,4835,0.65518,2.8496),(1545,4845,0.5642,2.8422),(1545,4855,0.45165,2.8348),(1545,4865,0.3391,2.8296),(1545,4875,0.25848,2.8254),(1545,4885,0.46837,2.8212),(1545,4895,0.67826,2.812),(1545,4905,0.88814,2.7981),(1545,4915,0.88879,2.7842),(1545,4925,0.87143,2.7706),(1545,4935,0.85408,2.7577),(1545,4945,0.78198,2.7448),(1545,4955,0.6909,2.7325),(1545,4965,0.59982,2.7235),(1545,4975,0.46817,2.7145),(1545,4985,0.30519,2.7055),(1545,4995,0.14222,2.7044),(1545,5005,0.1358,2.7036),(1545,5015,0.37827,2.7027),(1545,5025,0.62074,2.6941),(1545,5035,0.83391,2.6835),(1545,5045,0.93547,2.673),(1545,5055,1.037,2.6605),(1545,5065,1.1362,2.647),(1545,5075,1.1578,2.6335),(1545,5085,1.1794,2.6201),(1545,5095,1.2009,2.6069),(1545,5105,1.057,2.5936),(1545,5115,0.88413,2.5821),(1545,5125,0.71129,2.5753),(1545,5135,0.60876,2.5685),(1545,5145,0.54035,2.5617),(1545,5155,0.47194,2.5554),(1545,5165,0.55632,2.5491),(1545,5175,0.79654,2.5428),(1545,5185,1.0368,2.5281),(1545,5195,1.2082,2.5126),(1545,5205,1.2314,2.4971),(1545,5215,1.2546,2.4819),(1545,5225,1.2707,2.4668),(1545,5235,1.2432,2.4517),(1545,5245,1.2157,2.4378),(1545,5255,1.1882,2.4249),(1545,5265,0.83109,2.4121),(1545,5275,0.46034,2.4038),(1545,5285,0.089599,2.4035),(1545,5295,0.19173,2.4032),(1545,5305,0.42554,2.4005),(1545,5315,0.65936,2.3876),(1545,5325,0.83544,2.3747),(1545,5335,0.97366,2.3617),(1545,5345,1.1119,2.3462),(1545,5355,1.2135,2.3307),(1545,5365,1.2659,2.3151),(1545,5375,1.3182,2.3002),(1545,5385,1.2809,2.2854),(1545,5395,0.97075,2.2706),(1545,5405,0.66063,2.263),(1545,5415,0.37573,2.2593),(1545,5425,0.4296,2.2555),(1545,5435,0.48347,2.2477),(1545,5445,0.53735,2.2356),(1545,5455,0.6522,2.2235),(1545,5465,0.77451,2.209),(1545,5475,0.89682,2.1891),(1545,5485,0.95158,2.1691),(1545,5495,0.97914,2.1491),(1545,5505,1.0067,2.1286),(1545,5515,1.0353,2.1081),(1545,5525,1.0648,2.0876),(1545,5535,1.0944,2.0667),(1545,5545,1.1239,2.0457),(1545,5555,1.1534,2.0247),(1545,5565,1.1829,2.0035),(1545,5575,1.2123,1.9821),(1545,5585,1.2412,1.9608),(1545,5595,1.2701,1.9394),(1545,5605,1.2989,1.9179),(1545,5615,1.3269,1.8964),(1545,5625,1.3548,1.875),(1545,5635,1.3827,1.8534),(1545,5645,1.4098,1.8319),(1545,5655,1.4366,1.8105),(1545,5665,1.4634,1.7891),(1545,5675,1.4893,1.7677),(1545,5685,1.5149,1.7463),(1545,5695,1.5404,1.7251),(1545,5705,1.5653,1.7039),(1545,5715,1.5895,1.6827),(1545,5725,1.6136,1.6617),(1545,5735,1.6374,1.6408),(1545,5745,1.6601,1.6198),(1545,5755,1.6829,1.599),(1545,5765,1.7054,1.5784),(1545,5775,1.7268,1.5577),(1545,5785,1.7481,1.5372),(1545,5795,1.7694,1.5168),(1545,5805,1.7894,1.4965),(1545,5815,1.8094,1.4763),(1545,5825,1.8293,1.4563),(1545,5835,1.8482,1.4363),(1545,5845,1.8668,1.4163),(1545,5855,1.8853,1.3966),(1545,5865,1.9031,1.3769),(1545,5875,1.9204,1.3572),(1545,5885,1.9377,1.3378),(1545,5895,1.9545,1.3184),(1545,5905,1.9705,1.2989),(1545,5915,1.9866,1.2798),(1545,5925,2.0024,1.2607),(1545,5935,2.0173,1.2416),(1545,5945,2.0322,1.2226),(1545,5955,2.0471,1.2038),(1545,5965,2.0613,1.1849),(1545,5975,2.0756,1.1662),(1545,5985,2.0899,1.1476),(1545,5995,1.5994,1.129),(1545,6005,1.0277,1.1149),(1545,6015,0.45597,1.1126),(1545,6025,0.43766,1.1103),(1545,6035,0.67602,1.1069),(1545,6045,0.91439,1.093),(1545,6055,1.0887,1.0792),(1545,6065,1.2004,1.0653),(1545,6075,1.312,1.0472),(1545,6085,1.3891,1.0287),(1545,6095,1.3954,1.0102),(1545,6105,1.4017,0.99153),(1545,6115,1.4079,0.97276),(1545,6125,1.4139,0.95399),(1545,6135,1.4199,0.93516),(1545,6145,1.4258,0.91629),(1545,6155,1.4315,0.89742),(1545,6165,1.4371,0.87847),(1545,6175,1.4427,0.8594),(1545,6185,1.4481,0.84034),(1545,6195,1.4534,0.82124),(1545,6205,1.4586,0.80205),(1545,6215,1.4637,0.78285),(1545,6225,1.4686,0.76366),(1545,6235,1.4735,0.7444),(1545,6245,1.4783,0.72514),(1545,6255,1.4828,0.70588),(1545,6265,1.4873,0.68641),(1545,6275,1.4917,0.6669),(1545,6285,1.4959,0.64738),(1545,6295,1.5001,0.62785),(1545,6305,1.5042,0.60832),(1545,6315,1.5078,0.58878),(1545,6325,1.5115,0.5692),(1545,6335,1.5151,0.54958),(1545,6345,1.5184,0.52995),(1545,6355,1.5218,0.51028),(1545,6365,1.5251,0.49052),(1545,6375,1.5281,0.47076),(1545,6385,1.5311,0.45097),(1545,6395,1.534,0.43105),(1545,6405,1.5367,0.41113),(1545,6415,1.5392,0.39121),(1545,6425,1.5417,0.37132),(1545,6435,1.5441,0.35143),(1545,6445,1.5462,0.33154),(1545,6455,1.5483,0.31167),(1545,6465,1.5504,0.2918),(1545,6475,1.5521,0.27193),(1545,6485,1.5538,0.252),(1545,6495,1.5555,0.23203),(1545,6505,1.5568,0.21206),(1545,6515,1.5581,0.19207),(1545,6525,1.5594,0.17205),(1545,6535,1.5603,0.15204),(1545,6545,1.5612,0.13202),(1545,6555,1.562,0.11197),(1545,6565,1.5627,0.091919),(1545,6575,1.5631,0.071874),(1545,6585,1.5636,0.051893),(1545,6595,1.3301,0.031912),(1545,6605,0.8382,0.01193),(1545,6615,0.34629,0.009656),(1545,6625,0.000492,0.009656),(1545,6635,0.000495,0.009656),(1545,6645,0.000497,0.009651),(1545,6655,0.0005,0.009643),(1545,6665,0.000502,0.009634),(1545,6675,0.000505,0.009626),(1545,6685,0.000507,0.009618),(1545,6695,0.00051,0.00961),(1545,6705,0.000512,0.009602),(1545,6715,0.000514,0.009593),(1545,6725,0.000516,0.009585),(1545,6735,0.000519,0.009577),(1545,6745,0.000521,0.009569),(1545,6755,0.000523,0.009561),(1545,6765,0.000525,0.009553),(1545,6775,0.000527,0.009544),(1545,6785,0.000529,0.009536),(1545,6795,0.000532,0.009528),(1545,6805,0.000534,0.00952),(1545,6815,0.000536,0.009511),(1545,6825,0.000538,0.009503),(1545,6835,0.00054,0.009495),(1545,6845,0.000542,0.009486),(1545,6855,0.000543,0.009478),(1545,6865,0.000545,0.00947),(1545,6875,0.000547,0.009461),(1545,6885,0.000549,0.009453),(1545,6895,0.000551,0.009445),(1545,6905,0.000553,0.009436),(1545,6915,0.000554,0.009428),(1545,6925,0.000556,0.00942),(1545,6935,0.000558,0.009411),(1545,6945,0.000559,0.009403),(1545,6955,0.000561,0.009394),(1545,6965,0.000563,0.009386),(1545,6975,0.000564,0.009377),(1545,6985,0.000566,0.009369),(1555,5,5.8e-05,3.6756),(1555,15,0.000175,3.6756),(1555,25,0.000291,3.6756),(1555,35,0.000408,3.6756),(1555,45,0.000525,3.6756),(1555,55,0.000642,3.6756),(1555,65,0.000759,3.6756),(1555,75,0.000876,3.6755),(1555,85,0.000993,3.6755),(1555,95,0.00111,3.6755),(1555,105,0.001228,3.6755),(1555,115,0.001345,3.6755),(1555,125,0.001463,3.6755),(1555,135,0.001581,3.6755),(1555,145,0.001699,3.6755),(1555,155,0.001818,3.6755),(1555,165,0.001936,3.6754),(1555,175,0.002055,3.6754),(1555,185,0.002174,3.6754),(1555,195,0.002294,3.6754),(1555,205,0.002414,3.6754),(1555,215,0.002534,3.6754),(1555,225,0.002654,3.6753),(1555,235,0.002776,3.6753),(1555,245,0.002897,3.6753),(1555,255,0.003018,3.6753),(1555,265,0.00314,3.6752),(1555,275,0.003263,3.6752),(1555,285,0.003386,3.6752),(1555,295,0.003508,3.6752),(1555,305,0.003633,3.6751),(1555,315,0.003757,3.6751),(1555,325,0.003882,3.6751),(1555,335,0.004006,3.675),(1555,345,0.004132,3.675),(1555,355,0.004259,3.675),(1555,365,0.004386,3.6749),(1555,375,0.004512,3.6749),(1555,385,0.004641,3.6749),(1555,395,0.00477,3.6748),(1555,405,0.004899,3.6748),(1555,415,0.005028,3.6747),(1555,425,0.00516,3.6747),(1555,435,0.005291,3.6747),(1555,445,0.005423,3.6746),(1555,455,0.005555,3.6746),(1555,465,0.005689,3.6745),(1555,475,0.005824,3.6745),(1555,485,0.005958,3.6744),(1555,495,0.006093,3.6744),(1555,505,0.006231,3.6743),(1555,515,0.006369,3.6743),(1555,525,0.006506,3.6742),(1555,535,0.006644,3.6742),(1555,545,0.006785,3.6741),(1555,555,0.006927,3.6741),(1555,565,0.007068,3.674),(1555,575,0.007209,3.6739),(1555,585,0.007354,3.6739),(1555,595,0.007499,3.6738),(1555,605,0.007644,3.6738),(1555,615,0.007789,3.6737),(1555,625,0.007938,3.6736),(1555,635,0.008087,3.6736),(1555,645,0.008236,3.6735),(1555,655,0.008385,3.6734),(1555,665,0.008539,3.6734),(1555,675,0.008692,3.6733),(1555,685,0.008845,3.6732),(1555,695,0.008999,3.6731),(1555,705,0.009157,3.6731),(1555,715,0.009314,3.673),(1555,725,0.009472,3.6729),(1555,735,0.009631,3.6728),(1555,745,0.009794,3.6727),(1555,755,0.009957,3.6727),(1555,765,0.010119,3.6726),(1555,775,0.010283,3.6725),(1555,785,0.010451,3.6724),(1555,795,0.010619,3.6723),(1555,805,0.010787,3.6722),(1555,815,0.010957,3.6721),(1555,825,0.01113,3.672),(1555,835,0.011303,3.6719),(1555,845,0.011476,3.6718),(1555,855,0.011652,3.6717),(1555,865,0.011831,3.6716),(1555,875,0.01201,3.6715),(1555,885,0.012189,3.6714),(1555,895,0.01237,3.6713),(1555,905,0.012555,3.6712),(1555,915,0.01274,3.6711),(1555,925,0.012925,3.671),(1555,935,0.013113,3.6709),(1555,945,0.013305,3.6708),(1555,955,0.013496,3.6707),(1555,965,0.013688,3.6705),(1555,975,0.013882,3.6704),(1555,985,0.014081,3.6703),(1555,995,0.014279,3.6702),(1555,1005,0.014477,3.67),(1555,1015,0.014679,3.6699),(1555,1025,0.014884,3.6698),(1555,1035,0.015089,3.6697),(1555,1045,0.015294,3.6695),(1555,1055,0.015503,3.6694),(1555,1065,0.015716,3.6692),(1555,1075,0.015928,3.6691),(1555,1085,0.01614,3.669),(1555,1095,0.016357,3.6688),(1555,1105,0.016577,3.6687),(1555,1115,0.016797,3.6685),(1555,1125,0.017017,3.6684),(1555,1135,0.017242,3.6682),(1555,1145,0.01747,3.6681),(1555,1155,0.017698,3.6679),(1555,1165,0.017926,3.6677),(1555,1175,0.018159,3.6676),(1555,1185,0.018395,3.6674),(1555,1195,0.018631,3.6672),(1555,1205,0.018867,3.6671),(1555,1215,0.019109,3.6669),(1555,1225,0.019354,3.6667),(1555,1235,0.019599,3.6665),(1555,1245,0.019843,3.6663),(1555,1255,0.020095,3.6662),(1555,1265,0.020348,3.666),(1555,1275,0.020601,3.6658),(1555,1285,0.020855,3.6656),(1555,1295,0.021115,3.6654),(1555,1305,0.021378,3.6652),(1555,1315,0.02164,3.665),(1555,1325,0.021902,3.6648),(1555,1335,0.022172,3.6646),(1555,1345,0.022444,3.6644),(1555,1355,0.022716,3.6641),(1555,1365,0.022988,3.6639),(1555,1375,0.023268,3.6637),(1555,1385,0.023549,3.6635),(1555,1395,0.02383,3.6632),(1555,1405,0.024111,3.663),(1555,1415,0.024401,3.6628),(1555,1425,0.024692,3.6625),(1555,1435,0.024984,3.6623),(1555,1445,0.025275,3.662),(1555,1455,0.025575,3.6618),(1555,1465,0.025876,3.6615),(1555,1475,0.026177,3.6613),(1555,1485,0.026478,3.661),(1555,1495,0.02679,3.6607),(1555,1505,0.027101,3.6605),(1555,1515,0.027412,3.6602),(1555,1525,0.027724,3.6599),(1555,1535,0.028045,3.6596),(1555,1545,0.028367,3.6594),(1555,1555,0.028689,3.6591),(1555,1565,0.029011,3.6588),(1555,1575,0.029343,3.6585),(1555,1585,0.029676,3.6582),(1555,1595,0.030008,3.6579),(1555,1605,0.030341,3.6576),(1555,1615,0.030684,3.6573),(1555,1625,0.031026,3.6569),(1555,1635,0.031369,3.6566),(1555,1645,0.031714,3.6563),(1555,1655,0.032067,3.6559),(1555,1665,0.032421,3.6556),(1555,1675,0.032774,3.6553),(1555,1685,0.03313,3.6549),(1555,1695,0.033494,3.6546),(1555,1705,0.033859,3.6542),(1555,1715,0.034223,3.6538),(1555,1725,0.03459,3.6535),(1555,1735,0.034966,3.6531),(1555,1745,0.035341,3.6527),(1555,1755,0.035716,3.6523),(1555,1765,0.036094,3.6519),(1555,1775,0.03648,3.6516),(1555,1785,0.036866,3.6512),(1555,1795,0.037252,3.6507),(1555,1805,0.037642,3.6503),(1555,1815,0.038038,3.6499),(1555,1825,0.038435,3.6495),(1555,1835,0.038831,3.6491),(1555,1845,0.039232,3.6486),(1555,1855,0.039639,3.6482),(1555,1865,0.040046,3.6478),(1555,1875,0.040453,3.6473),(1555,1885,0.040864,3.6468),(1555,1895,0.041281,3.6464),(1555,1905,0.041699,3.6459),(1555,1915,0.042116,3.6454),(1555,1925,0.042538,3.6449),(1555,1935,0.042966,3.6445),(1555,1945,0.043393,3.644),(1555,1955,0.043821,3.6435),(1555,1965,0.044253,3.6429),(1555,1975,0.04469,3.6424),(1555,1985,0.045127,3.6419),(1555,1995,0.045564,3.6414),(1555,2005,0.046006,3.6408),(1555,2015,0.046452,3.6403),(1555,2025,0.046899,3.6398),(1555,2035,0.047345,3.6392),(1555,2045,0.047796,3.6386),(1555,2055,0.048252,3.6381),(1555,2065,0.048707,3.6375),(1555,2075,0.049162,3.6369),(1555,2085,0.049622,3.6363),(1555,2095,0.050085,3.6357),(1555,2105,0.050549,3.6351),(1555,2115,0.051013,3.6345),(1555,2125,0.051481,3.6338),(1555,2135,0.051952,3.6332),(1555,2145,0.052423,3.6326),(1555,2155,0.052895,3.6319),(1555,2165,0.05337,3.6313),(1555,2175,0.053848,3.6306),(1555,2185,0.054327,3.6299),(1555,2195,0.054805,3.6293),(1555,2205,0.055287,3.6286),(1555,2215,0.055771,3.6279),(1555,2225,0.056255,3.6272),(1555,2235,0.056739,3.6265),(1555,2245,0.057227,3.6257),(1555,2255,0.057716,3.625),(1555,2265,0.058205,3.6243),(1555,2275,0.058694,3.6235),(1555,2285,0.059187,3.6228),(1555,2295,0.05968,3.622),(1555,2305,0.060173,3.6212),(1555,2315,0.060667,3.6204),(1555,2325,0.061162,3.6197),(1555,2335,0.061658,3.6189),(1555,2345,0.062154,3.618),(1555,2355,0.06265,3.6172),(1555,2365,0.063148,3.6164),(1555,2375,0.063645,3.6156),(1555,2385,0.064143,3.6147),(1555,2395,0.064641,3.6139),(1555,2405,0.065139,3.613),(1555,2415,0.065637,3.6121),(1555,2425,0.066135,3.6113),(1555,2435,0.066633,3.6104),(1555,2445,0.06713,3.6095),(1555,2455,0.067627,3.6086),(1555,2465,0.068124,3.6076),(1555,2475,0.068621,3.6067),(1555,2485,0.069115,3.6058),(1555,2495,0.06961,3.6048),(1555,2505,0.070104,3.6039),(1555,2515,0.070598,3.6029),(1555,2525,0.071088,3.6019),(1555,2535,0.071578,3.601),(1555,2545,0.072068,3.5999),(1555,2555,0.072557,3.5989),(1555,2565,0.073041,3.5979),(1555,2575,0.073525,3.5969),(1555,2585,0.074009,3.5959),(1555,2595,0.074492,3.5948),(1555,2605,0.074968,3.5938),(1555,2615,0.075444,3.5927),(1555,2625,0.07592,3.5917),(1555,2635,0.076394,3.5906),(1555,2645,0.07686,3.5895),(1555,2655,0.077326,3.5884),(1555,2665,0.077792,3.5873),(1555,2675,0.078256,3.5862),(1555,2685,0.07871,3.585),(1555,2695,0.079164,3.5839),(1555,2705,0.079618,3.5828),(1555,2715,0.080069,3.5816),(1555,2725,0.080508,3.5804),(1555,2735,0.080948,3.5793),(1555,2745,0.081387,3.5781),(1555,2755,0.081823,3.5769),(1555,2765,0.082246,3.5757),(1555,2775,0.082669,3.5745),(1555,2785,0.083092,3.5733),(1555,2795,0.08351,3.572),(1555,2805,0.083914,3.5708),(1555,2815,0.084319,3.5696),(1555,2825,0.084723,3.5683),(1555,2835,0.085121,3.567),(1555,2845,0.085504,3.5658),(1555,2855,0.085888,3.5645),(1555,2865,0.086271,3.5632),(1555,2875,0.086646,3.5619),(1555,2885,0.087006,3.5606),(1555,2895,0.087366,3.5593),(1555,2905,0.087726,3.558),(1555,2915,0.088075,3.5566),(1555,2925,0.088409,3.5553),(1555,2935,0.088743,3.554),(1555,2945,0.089077,3.5526),(1555,2955,0.089398,3.5512),(1555,2965,0.089704,3.5499),(1555,2975,0.090009,3.5485),(1555,2985,0.090314,3.5471),(1555,2995,0.090605,3.5457),(1555,3005,0.090879,3.5443),(1555,3015,0.091153,3.5429),(1555,3025,0.091427,3.5415),(1555,3035,0.091684,3.5401),(1555,3045,0.091924,3.5387),(1555,3055,0.092165,3.5373),(1555,3065,0.092406,3.5358),(1555,3075,0.092626,3.5344),(1555,3085,0.09283,3.533),(1555,3095,0.093034,3.5315),(1555,3105,0.093239,3.53),(1555,3115,0.09342,3.5286),(1555,3125,0.093585,3.5271),(1555,3135,0.093751,3.5256),(1555,3145,0.093917,3.5242),(1555,3155,0.094056,3.5227),(1555,3165,0.09418,3.5212),(1555,3175,0.094305,3.5197),(1555,3185,0.09443,3.5182),(1555,3195,0.094524,3.5167),(1555,3205,0.094605,3.5152),(1555,3215,0.094686,3.5137),(1555,3225,0.094767,3.5122),(1555,3235,0.094814,3.5107),(1555,3245,0.094849,3.5092),(1555,3255,0.094883,3.5076),(1555,3265,0.094918,3.5061),(1555,3275,0.094915,3.5046),(1555,3285,0.094901,3.5031),(1555,3295,0.094888,3.5015),(1555,3305,0.094874,3.5),(1555,3315,0.094819,3.4985),(1555,3325,0.094754,3.4969),(1555,3335,0.094689,3.4954),(1555,3345,0.094624,3.4939),(1555,3355,0.094515,3.4923),(1555,3365,0.094397,3.4908),(1555,3375,0.094279,3.4892),(1555,3385,0.094161,3.4877),(1555,3395,0.093995,3.4862),(1555,3405,0.093822,3.4846),(1555,3415,0.093649,3.4831),(1555,3425,0.093476,3.4815),(1555,3435,0.09325,3.48),(1555,3445,0.093021,3.4785),(1555,3455,0.092791,3.4769),(1555,3465,0.092561,3.4754),(1555,3475,0.092274,3.4739),(1555,3485,0.091986,3.4723),(1555,3495,0.091697,3.4708),(1555,3505,0.091408,3.4693),(1555,3515,0.091059,3.4677),(1555,3525,0.09071,3.4662),(1555,3535,0.090361,3.4647),(1555,3545,0.090009,3.4632),(1555,3555,0.089597,3.4617),(1555,3565,0.089186,3.4601),(1555,3575,0.088775,3.4586),(1555,3585,0.088358,3.4571),(1555,3595,0.087883,3.4556),(1555,3605,0.087409,3.4541),(1555,3615,0.086934,3.4526),(1555,3625,0.086451,3.4512),(1555,3635,0.085912,3.4497),(1555,3645,0.085373,3.4482),(1555,3655,0.084833,3.4467),(1555,3665,0.084283,3.4452),(1555,3675,0.083678,3.4438),(1555,3685,0.083074,3.4423),(1555,3695,0.082469,3.4409),(1555,3705,0.081851,3.4394),(1555,3715,0.081179,3.438),(1555,3725,0.080508,3.4365),(1555,3735,0.079837,3.4351),(1555,3745,0.079149,3.4337),(1555,3755,0.078411,3.4322),(1555,3765,0.077672,3.4308),(1555,3775,0.076934,3.4294),(1555,3785,0.076176,3.428),(1555,3795,0.075369,3.4266),(1555,3805,0.074563,3.4252),(1555,3815,0.073756,3.4238),(1555,3825,0.072928,3.4224),(1555,3835,0.072052,3.421),(1555,3845,0.071176,3.4197),(1555,3855,0.070301,3.4183),(1555,3865,0.0694,3.417),(1555,3875,0.068453,3.4156),(1555,3885,0.067506,3.4143),(1555,3895,0.06656,3.4129),(1555,3905,0.077101,3.4116),(1555,3915,0.1048,3.4103),(1555,3925,0.13251,3.4081),(1555,3935,0.16021,3.4046),(1555,3945,0.19084,3.4012),(1555,3955,0.22519,3.3978),(1555,3965,0.25953,3.3935),(1555,3975,0.29388,3.3879),(1555,3985,0.31463,3.3824),(1555,3995,0.32067,3.3769),(1555,4005,0.32671,3.3714),(1555,4015,0.33276,3.3658),(1555,4025,0.33888,3.3602),(1555,4035,0.34501,3.3545),(1555,4045,0.35114,3.3488),(1555,4055,0.35706,3.3431),(1555,4065,0.36289,3.3373),(1555,4075,0.36872,3.3313),(1555,4085,0.37426,3.3253),(1555,4095,0.37956,3.3193),(1555,4105,0.38486,3.3129),(1555,4115,0.37538,3.3064),(1555,4125,0.34138,3.3),(1555,4135,0.30739,3.2946),(1555,4145,0.27237,3.2895),(1555,4155,0.23324,3.2844),(1555,4165,0.19411,3.2802),(1555,4175,0.15719,3.2765),(1555,4185,0.23011,3.2728),(1555,4195,0.30303,3.2678),(1555,4205,0.37595,3.2609),(1555,4215,0.37186,3.2541),(1555,4225,0.35326,3.2477),(1555,4235,0.33467,3.2428),(1555,4245,0.30713,3.238),(1555,4255,0.27504,3.2332),(1555,4265,0.24295,3.2301),(1555,4275,0.20097,3.2269),(1555,4285,0.1485,3.2238),(1555,4295,0.096025,3.2228),(1555,4305,0.088572,3.222),(1555,4315,0.18278,3.2213),(1555,4325,0.27698,3.2181),(1555,4335,0.3609,3.214),(1555,4345,0.37517,3.2099),(1555,4355,0.38944,3.2043),(1555,4365,0.40371,3.1976),(1555,4375,0.40684,3.1908),(1555,4385,0.4094,3.1832),(1555,4395,0.41195,3.1742),(1555,4405,0.3585,3.1653),(1555,4415,0.28852,3.1569),(1555,4425,0.21855,3.1515),(1555,4435,0.19265,3.1462),(1555,4445,0.19686,3.1408),(1555,4455,0.20108,3.1363),(1555,4465,0.246,3.1318),(1555,4475,0.3481,3.1273),(1555,4485,0.45021,3.1183),(1555,4495,0.5321,3.1083),(1555,4505,0.54917,3.0984),(1555,4515,0.56625,3.088),(1555,4525,0.58189,3.0775),(1555,4535,0.57492,3.067),(1555,4545,0.56795,3.0566),(1555,4555,0.56099,3.0464),(1555,4565,0.41552,3.0362),(1555,4575,0.25138,3.0285),(1555,4585,0.087234,3.0271),(1555,4595,0.086279,3.0257),(1555,4605,0.15427,3.0237),(1555,4615,0.22227,3.0169),(1555,4625,0.29009,3.01),(1555,4635,0.35777,3.0032),(1555,4645,0.42545,2.9941),(1555,4655,0.48738,2.9848),(1555,4665,0.53849,2.9755),(1555,4675,0.58959,2.9667),(1555,4685,0.6102,2.9581),(1555,4695,0.48011,2.9495),(1555,4705,0.35002,2.9448),(1555,4715,0.21994,2.9428),(1555,4725,0.29926,2.9408),(1555,4735,0.38067,2.937),(1555,4745,0.46209,2.9304),(1555,4755,0.55964,2.9238),(1555,4765,0.66093,2.9163),(1555,4775,0.76223,2.9058),(1555,4785,0.81201,2.8953),(1555,4795,0.83201,2.8848),(1555,4805,0.85201,2.8741),(1555,4815,0.82503,2.8633),(1555,4825,0.74186,2.8525),(1555,4835,0.65869,2.8447),(1555,4845,0.5673,2.8373),(1555,4855,0.45451,2.8298),(1555,4865,0.34172,2.8246),(1555,4875,0.26103,2.8205),(1555,4885,0.47244,2.8163),(1555,4895,0.68385,2.8071),(1555,4905,0.89526,2.7932),(1555,4915,0.89583,2.7793),(1555,4925,0.87828,2.7657),(1555,4935,0.86072,2.7528),(1555,4945,0.78814,2.7399),(1555,4955,0.69649,2.7276),(1555,4965,0.60484,2.7186),(1555,4975,0.47218,2.7095),(1555,4985,0.30787,2.7005),(1555,4995,0.14355,2.6994),(1555,5005,0.13682,2.6986),(1555,5015,0.3806,2.6977),(1555,5025,0.62439,2.6891),(1555,5035,0.83865,2.6786),(1555,5045,0.94043,2.668),(1555,5055,1.0422,2.6557),(1555,5065,1.1416,2.6422),(1555,5075,1.1629,2.6287),(1555,5085,1.1843,2.6154),(1555,5095,1.2056,2.6022),(1555,5105,1.061,2.589),(1555,5115,0.88736,2.5775),(1555,5125,0.71374,2.5707),(1555,5135,0.61114,2.564),(1555,5145,0.543,2.5572),(1555,5155,0.47487,2.5509),(1555,5165,0.55996,2.5446),(1555,5175,0.80133,2.5383),(1555,5185,1.0427,2.5237),(1555,5195,1.2148,2.5082),(1555,5205,1.2378,2.4928),(1555,5215,1.2607,2.4776),(1555,5225,1.2765,2.4626),(1555,5235,1.2486,2.4475),(1555,5245,1.2206,2.4337),(1555,5255,1.1927,2.4209),(1555,5265,0.83424,2.408),(1555,5275,0.46217,2.3999),(1555,5285,0.090107,2.3996),(1555,5295,0.19364,2.3993),(1555,5305,0.42961,2.3965),(1555,5315,0.66558,2.3836),(1555,5325,0.84246,2.3707),(1555,5335,0.98058,2.3577),(1555,5345,1.1187,2.3423),(1555,5355,1.2201,2.3268),(1555,5365,1.2719,2.3113),(1555,5375,1.3237,2.2965),(1555,5385,1.2856,2.2817),(1555,5395,0.97428,2.267),(1555,5405,0.66291,2.2595),(1555,5415,0.377,2.2557),(1555,5425,0.43299,2.252),(1555,5435,0.48899,2.2441),(1555,5445,0.54498,2.2319),(1555,5455,0.66136,2.2197),(1555,5465,0.78512,2.2052),(1555,5475,0.90889,2.1851),(1555,5485,0.96407,2.1651),(1555,5495,0.99163,2.1449),(1555,5505,1.0192,2.1244),(1555,5515,1.0478,2.1038),(1555,5525,1.0773,2.0832),(1555,5535,1.1067,2.0622),(1555,5545,1.1362,2.0412),(1555,5555,1.1656,2.0201),(1555,5565,1.195,1.9989),(1555,5575,1.2243,1.9775),(1555,5585,1.2531,1.9562),(1555,5595,1.2818,1.9348),(1555,5605,1.3105,1.9133),(1555,5615,1.3383,1.8919),(1555,5625,1.3661,1.8704),(1555,5635,1.3938,1.8489),(1555,5645,1.4206,1.8275),(1555,5655,1.4473,1.806),(1555,5665,1.4739,1.7847),(1555,5675,1.4996,1.7634),(1555,5685,1.525,1.742),(1555,5695,1.5503,1.7209),(1555,5705,1.575,1.6998),(1555,5715,1.5989,1.6787),(1555,5725,1.6228,1.6578),(1555,5735,1.6464,1.6369),(1555,5745,1.6689,1.6161),(1555,5755,1.6914,1.5954),(1555,5765,1.7138,1.5748),(1555,5775,1.7349,1.5543),(1555,5785,1.756,1.5339),(1555,5795,1.7771,1.5136),(1555,5805,1.7969,1.4934),(1555,5815,1.8166,1.4733),(1555,5825,1.8363,1.4534),(1555,5835,1.855,1.4335),(1555,5845,1.8733,1.4136),(1555,5855,1.8917,1.394),(1555,5865,1.9093,1.3744),(1555,5875,1.9264,1.3548),(1555,5885,1.9435,1.3355),(1555,5895,1.9601,1.3162),(1555,5905,1.9759,1.2969),(1555,5915,1.9918,1.2778),(1555,5925,2.0074,1.2588),(1555,5935,2.0222,1.2398),(1555,5945,2.0369,1.221),(1555,5955,2.0516,1.2023),(1555,5965,2.0657,1.1835),(1555,5975,2.0799,1.1649),(1555,5985,2.094,1.1464),(1555,5995,1.6025,1.1279),(1555,6005,1.0296,1.1138),(1555,6015,0.45679,1.1115),(1555,6025,0.43949,1.1092),(1555,6035,0.67984,1.1058),(1555,6045,0.92019,1.092),(1555,6055,1.0959,1.0781),(1555,6065,1.2082,1.0643),(1555,6075,1.3205,1.0462),(1555,6085,1.3982,1.0277),(1555,6095,1.4045,1.0092),(1555,6105,1.4108,0.99051),(1555,6115,1.417,0.97175),(1555,6125,1.423,0.95299),(1555,6135,1.429,0.93417),(1555,6145,1.435,0.91531),(1555,6155,1.4407,0.89645),(1555,6165,1.4463,0.87752),(1555,6175,1.4519,0.85848),(1555,6185,1.4573,0.83943),(1555,6195,1.4626,0.82036),(1555,6205,1.4679,0.80118),(1555,6215,1.4729,0.782),(1555,6225,1.4778,0.76281),(1555,6235,1.4828,0.74356),(1555,6245,1.4875,0.72431),(1555,6255,1.492,0.70506),(1555,6265,1.4966,0.68557),(1555,6275,1.501,0.66605),(1555,6285,1.5051,0.64652),(1555,6295,1.5093,0.62704),(1555,6305,1.5134,0.60758),(1555,6315,1.5171,0.58812),(1555,6325,1.5208,0.56858),(1555,6335,1.5245,0.54895),(1555,6345,1.5279,0.52932),(1555,6355,1.5312,0.50966),(1555,6365,1.5345,0.48991),(1555,6375,1.5376,0.47016),(1555,6385,1.5405,0.4504),(1555,6395,1.5434,0.4305),(1555,6405,1.5461,0.4106),(1555,6415,1.5486,0.39071),(1555,6425,1.5512,0.37084),(1555,6435,1.5535,0.35098),(1555,6445,1.5557,0.33112),(1555,6455,1.5578,0.31127),(1555,6465,1.5598,0.29143),(1555,6475,1.5616,0.27158),(1555,6485,1.5633,0.25167),(1555,6495,1.565,0.23172),(1555,6505,1.5663,0.21176),(1555,6515,1.5676,0.19179),(1555,6525,1.5689,0.1718),(1555,6535,1.5698,0.15181),(1555,6545,1.5707,0.13181),(1555,6555,1.5716,0.11176),(1555,6565,1.5722,0.091715),(1555,6575,1.5726,0.071677),(1555,6585,1.5731,0.05175),(1555,6595,1.3381,0.031823),(1555,6605,0.84325,0.011897),(1555,6615,0.34838,0.009637),(1555,6625,0.000497,0.009646),(1555,6635,0.000499,0.009656),(1555,6645,0.000502,0.009653),(1555,6655,0.000504,0.009645),(1555,6665,0.000507,0.009637),(1555,6675,0.000509,0.009628),(1555,6685,0.000512,0.00962),(1555,6695,0.000514,0.009612),(1555,6705,0.000517,0.009604),(1555,6715,0.000519,0.009596),(1555,6725,0.000521,0.009588),(1555,6735,0.000523,0.009579),(1555,6745,0.000526,0.009571),(1555,6755,0.000528,0.009563),(1555,6765,0.00053,0.009555),(1555,6775,0.000532,0.009546),(1555,6785,0.000534,0.009538),(1555,6795,0.000536,0.00953),(1555,6805,0.000538,0.009522),(1555,6815,0.00054,0.009513),(1555,6825,0.000542,0.009505),(1555,6835,0.000544,0.009496),(1555,6845,0.000546,0.009488),(1555,6855,0.000548,0.00948),(1555,6865,0.00055,0.009471),(1555,6875,0.000552,0.009463),(1555,6885,0.000554,0.009455),(1555,6895,0.000555,0.009446),(1555,6905,0.000557,0.009438),(1555,6915,0.000559,0.00943),(1555,6925,0.000561,0.009421),(1555,6935,0.000562,0.009413),(1555,6945,0.000564,0.009404),(1555,6955,0.000566,0.009396),(1555,6965,0.000567,0.009388),(1555,6975,0.000569,0.009379),(1555,6985,0.00057,0.009371),(1565,5,5.8e-05,3.6757),(1565,15,0.000175,3.6757),(1565,25,0.000292,3.6757),(1565,35,0.000409,3.6757),(1565,45,0.000526,3.6757),(1565,55,0.000643,3.6757),(1565,65,0.00076,3.6757),(1565,75,0.000877,3.6757),(1565,85,0.000994,3.6757),(1565,95,0.001112,3.6756),(1565,105,0.001229,3.6756),(1565,115,0.001347,3.6756),(1565,125,0.001465,3.6756),(1565,135,0.001583,3.6756),(1565,145,0.001701,3.6756),(1565,155,0.00182,3.6756),(1565,165,0.001939,3.6756),(1565,175,0.002057,3.6755),(1565,185,0.002177,3.6755),(1565,195,0.002297,3.6755),(1565,205,0.002417,3.6755),(1565,215,0.002537,3.6755),(1565,225,0.002658,3.6755),(1565,235,0.002779,3.6754),(1565,245,0.0029,3.6754),(1565,255,0.003021,3.6754),(1565,265,0.003144,3.6754),(1565,275,0.003267,3.6753),(1565,285,0.00339,3.6753),(1565,295,0.003513,3.6753),(1565,305,0.003637,3.6753),(1565,315,0.003762,3.6752),(1565,325,0.003887,3.6752),(1565,335,0.004011,3.6752),(1565,345,0.004138,3.6751),(1565,355,0.004265,3.6751),(1565,365,0.004391,3.6751),(1565,375,0.004518,3.675),(1565,385,0.004647,3.675),(1565,395,0.004776,3.675),(1565,405,0.004906,3.6749),(1565,415,0.005035,3.6749),(1565,425,0.005166,3.6748),(1565,435,0.005298,3.6748),(1565,445,0.00543,3.6748),(1565,455,0.005562,3.6747),(1565,465,0.005697,3.6747),(1565,475,0.005832,3.6746),(1565,485,0.005966,3.6746),(1565,495,0.006101,3.6745),(1565,505,0.006239,3.6745),(1565,515,0.006377,3.6744),(1565,525,0.006515,3.6744),(1565,535,0.006654,3.6743),(1565,545,0.006795,3.6743),(1565,555,0.006936,3.6742),(1565,565,0.007078,3.6741),(1565,575,0.00722,3.6741),(1565,585,0.007365,3.674),(1565,595,0.00751,3.674),(1565,605,0.007655,3.6739),(1565,615,0.007801,3.6738),(1565,625,0.00795,3.6738),(1565,635,0.008099,3.6737),(1565,645,0.008249,3.6737),(1565,655,0.008398,3.6736),(1565,665,0.008552,3.6735),(1565,675,0.008705,3.6734),(1565,685,0.008859,3.6734),(1565,695,0.009013,3.6733),(1565,705,0.009171,3.6732),(1565,715,0.009329,3.6731),(1565,725,0.009488,3.6731),(1565,735,0.009647,3.673),(1565,745,0.00981,3.6729),(1565,755,0.009973,3.6728),(1565,765,0.010136,3.6727),(1565,775,0.010301,3.6727),(1565,785,0.010469,3.6726),(1565,795,0.010637,3.6725),(1565,805,0.010806,3.6724),(1565,815,0.010976,3.6723),(1565,825,0.011149,3.6722),(1565,835,0.011323,3.6721),(1565,845,0.011497,3.672),(1565,855,0.011673,3.6719),(1565,865,0.011852,3.6718),(1565,875,0.012032,3.6717),(1565,885,0.012211,3.6716),(1565,895,0.012393,3.6715),(1565,905,0.012579,3.6714),(1565,915,0.012764,3.6713),(1565,925,0.01295,3.6712),(1565,935,0.013138,3.6711),(1565,945,0.013331,3.671),(1565,955,0.013523,3.6709),(1565,965,0.013715,3.6707),(1565,975,0.01391,3.6706),(1565,985,0.014109,3.6705),(1565,995,0.014308,3.6704),(1565,1005,0.014507,3.6702),(1565,1015,0.014709,3.6701),(1565,1025,0.014915,3.67),(1565,1035,0.015121,3.6699),(1565,1045,0.015327,3.6697),(1565,1055,0.015537,3.6696),(1565,1065,0.01575,3.6695),(1565,1075,0.015963,3.6693),(1565,1085,0.016176,3.6692),(1565,1095,0.016394,3.669),(1565,1105,0.016615,3.6689),(1565,1115,0.016835,3.6687),(1565,1125,0.017056,3.6686),(1565,1135,0.017282,3.6684),(1565,1145,0.017511,3.6683),(1565,1155,0.01774,3.6681),(1565,1165,0.017968,3.668),(1565,1175,0.018203,3.6678),(1565,1185,0.01844,3.6676),(1565,1195,0.018677,3.6675),(1565,1205,0.018914,3.6673),(1565,1215,0.019157,3.6671),(1565,1225,0.019403,3.667),(1565,1235,0.019649,3.6668),(1565,1245,0.019894,3.6666),(1565,1255,0.020147,3.6664),(1565,1265,0.020401,3.6662),(1565,1275,0.020656,3.666),(1565,1285,0.02091,3.6658),(1565,1295,0.021172,3.6656),(1565,1305,0.021436,3.6654),(1565,1315,0.021699,3.6652),(1565,1325,0.021963,3.665),(1565,1335,0.022235,3.6648),(1565,1345,0.022508,3.6646),(1565,1355,0.022781,3.6644),(1565,1365,0.023054,3.6642),(1565,1375,0.023335,3.664),(1565,1385,0.023618,3.6638),(1565,1395,0.023901,3.6635),(1565,1405,0.024183,3.6633),(1565,1415,0.024475,3.6631),(1565,1425,0.024768,3.6628),(1565,1435,0.02506,3.6626),(1565,1445,0.025353,3.6623),(1565,1455,0.025655,3.6621),(1565,1465,0.025958,3.6618),(1565,1475,0.026261,3.6616),(1565,1485,0.026563,3.6613),(1565,1495,0.026876,3.6611),(1565,1505,0.02719,3.6608),(1565,1515,0.027503,3.6605),(1565,1525,0.027816,3.6602),(1565,1535,0.02814,3.66),(1565,1545,0.028463,3.6597),(1565,1555,0.028787,3.6594),(1565,1565,0.029111,3.6591),(1565,1575,0.029446,3.6588),(1565,1585,0.02978,3.6585),(1565,1595,0.030114,3.6582),(1565,1605,0.03045,3.6579),(1565,1615,0.030795,3.6576),(1565,1625,0.03114,3.6573),(1565,1635,0.031485,3.657),(1565,1645,0.031831,3.6566),(1565,1655,0.032187,3.6563),(1565,1665,0.032543,3.656),(1565,1675,0.032899,3.6556),(1565,1685,0.033257,3.6553),(1565,1695,0.033624,3.6549),(1565,1705,0.033991,3.6546),(1565,1715,0.034358,3.6542),(1565,1725,0.034727,3.6538),(1565,1735,0.035105,3.6535),(1565,1745,0.035483,3.6531),(1565,1755,0.035861,3.6527),(1565,1765,0.036242,3.6523),(1565,1775,0.036631,3.6519),(1565,1785,0.03702,3.6516),(1565,1795,0.037409,3.6511),(1565,1805,0.037801,3.6507),(1565,1815,0.038201,3.6503),(1565,1825,0.038601,3.6499),(1565,1835,0.039,3.6495),(1565,1845,0.039404,3.649),(1565,1855,0.039814,3.6486),(1565,1865,0.040224,3.6482),(1565,1875,0.040634,3.6477),(1565,1885,0.041049,3.6473),(1565,1895,0.04147,3.6468),(1565,1905,0.04189,3.6463),(1565,1915,0.042311,3.6459),(1565,1925,0.042737,3.6454),(1565,1935,0.043168,3.6449),(1565,1945,0.043599,3.6444),(1565,1955,0.04403,3.6439),(1565,1965,0.044466,3.6434),(1565,1975,0.044907,3.6429),(1565,1985,0.045348,3.6424),(1565,1995,0.045789,3.6418),(1565,2005,0.046234,3.6413),(1565,2015,0.046685,3.6408),(1565,2025,0.047135,3.6402),(1565,2035,0.047585,3.6396),(1565,2045,0.048041,3.6391),(1565,2055,0.0485,3.6385),(1565,2065,0.048959,3.6379),(1565,2075,0.049419,3.6374),(1565,2085,0.049883,3.6368),(1565,2095,0.050351,3.6362),(1565,2105,0.050818,3.6356),(1565,2115,0.051286,3.6349),(1565,2125,0.051759,3.6343),(1565,2135,0.052235,3.6337),(1565,2145,0.052711,3.6331),(1565,2155,0.053186,3.6324),(1565,2165,0.053667,3.6318),(1565,2175,0.054149,3.6311),(1565,2185,0.054632,3.6304),(1565,2195,0.055115,3.6297),(1565,2205,0.055602,3.6291),(1565,2215,0.056091,3.6284),(1565,2225,0.05658,3.6277),(1565,2235,0.057069,3.6269),(1565,2245,0.057562,3.6262),(1565,2255,0.058056,3.6255),(1565,2265,0.05855,3.6248),(1565,2275,0.059044,3.624),(1565,2285,0.059542,3.6233),(1565,2295,0.060041,3.6225),(1565,2305,0.060539,3.6217),(1565,2315,0.061037,3.6209),(1565,2325,0.061538,3.6202),(1565,2335,0.06204,3.6194),(1565,2345,0.062541,3.6185),(1565,2355,0.063043,3.6177),(1565,2365,0.063546,3.6169),(1565,2375,0.064049,3.6161),(1565,2385,0.064552,3.6152),(1565,2395,0.065055,3.6144),(1565,2405,0.065559,3.6135),(1565,2415,0.066063,3.6127),(1565,2425,0.066566,3.6118),(1565,2435,0.06707,3.6109),(1565,2445,0.067573,3.61),(1565,2455,0.068076,3.6091),(1565,2465,0.068578,3.6081),(1565,2475,0.069081,3.6072),(1565,2485,0.069581,3.6063),(1565,2495,0.070081,3.6053),(1565,2505,0.070581,3.6044),(1565,2515,0.071081,3.6034),(1565,2525,0.071577,3.6024),(1565,2535,0.072073,3.6015),(1565,2545,0.072569,3.6004),(1565,2555,0.073064,3.5994),(1565,2565,0.073554,3.5984),(1565,2575,0.074044,3.5974),(1565,2585,0.074534,3.5964),(1565,2595,0.075023,3.5953),(1565,2605,0.075505,3.5943),(1565,2615,0.075986,3.5932),(1565,2625,0.076468,3.5921),(1565,2635,0.076949,3.591),(1565,2645,0.077421,3.59),(1565,2655,0.077893,3.5889),(1565,2665,0.078365,3.5877),(1565,2675,0.078835,3.5866),(1565,2685,0.079295,3.5855),(1565,2695,0.079754,3.5844),(1565,2705,0.080214,3.5832),(1565,2715,0.080671,3.5821),(1565,2725,0.081117,3.5809),(1565,2735,0.081562,3.5797),(1565,2745,0.082008,3.5785),(1565,2755,0.082449,3.5773),(1565,2765,0.082878,3.5761),(1565,2775,0.083307,3.5749),(1565,2785,0.083735,3.5737),(1565,2795,0.084159,3.5725),(1565,2805,0.084569,3.5712),(1565,2815,0.084979,3.57),(1565,2825,0.085389,3.5687),(1565,2835,0.085793,3.5674),(1565,2845,0.086182,3.5662),(1565,2855,0.086571,3.5649),(1565,2865,0.08696,3.5636),(1565,2875,0.08734,3.5623),(1565,2885,0.087705,3.561),(1565,2895,0.08807,3.5597),(1565,2905,0.088436,3.5583),(1565,2915,0.08879,3.557),(1565,2925,0.089129,3.5557),(1565,2935,0.089469,3.5543),(1565,2945,0.089808,3.5529),(1565,2955,0.090134,3.5516),(1565,2965,0.090444,3.5502),(1565,2975,0.090755,3.5488),(1565,2985,0.091065,3.5474),(1565,2995,0.09136,3.546),(1565,3005,0.091639,3.5446),(1565,3015,0.091918,3.5432),(1565,3025,0.092197,3.5418),(1565,3035,0.092458,3.5404),(1565,3045,0.092702,3.5389),(1565,3055,0.092947,3.5375),(1565,3065,0.093192,3.5361),(1565,3075,0.093416,3.5346),(1565,3085,0.093625,3.5332),(1565,3095,0.093833,3.5317),(1565,3105,0.094042,3.5302),(1565,3115,0.094226,3.5288),(1565,3125,0.094396,3.5273),(1565,3135,0.094565,3.5258),(1565,3145,0.094734,3.5243),(1565,3155,0.094877,3.5228),(1565,3165,0.095005,3.5213),(1565,3175,0.095132,3.5198),(1565,3185,0.09526,3.5183),(1565,3195,0.095358,3.5168),(1565,3205,0.095442,3.5153),(1565,3215,0.095525,3.5138),(1565,3225,0.095609,3.5122),(1565,3235,0.095659,3.5107),(1565,3245,0.095696,3.5092),(1565,3255,0.095733,3.5077),(1565,3265,0.095771,3.5061),(1565,3275,0.09577,3.5046),(1565,3285,0.095758,3.5031),(1565,3295,0.095747,3.5015),(1565,3305,0.095735,3.5),(1565,3315,0.095682,3.4984),(1565,3325,0.095619,3.4969),(1565,3335,0.095556,3.4953),(1565,3345,0.095493,3.4938),(1565,3355,0.095384,3.4922),(1565,3365,0.095268,3.4907),(1565,3375,0.095151,3.4891),(1565,3385,0.095035,3.4876),(1565,3395,0.094869,3.486),(1565,3405,0.094697,3.4844),(1565,3415,0.094525,3.4829),(1565,3425,0.094353,3.4813),(1565,3435,0.094128,3.4798),(1565,3445,0.093899,3.4782),(1565,3455,0.093669,3.4767),(1565,3465,0.09344,3.4751),(1565,3475,0.093154,3.4736),(1565,3485,0.092865,3.472),(1565,3495,0.092577,3.4705),(1565,3505,0.092288,3.469),(1565,3515,0.091939,3.4674),(1565,3525,0.09159,3.4659),(1565,3535,0.09124,3.4643),(1565,3545,0.090888,3.4628),(1565,3555,0.090477,3.4613),(1565,3565,0.090065,3.4597),(1565,3575,0.089653,3.4582),(1565,3585,0.089236,3.4567),(1565,3595,0.088761,3.4552),(1565,3605,0.088286,3.4537),(1565,3615,0.08781,3.4522),(1565,3625,0.087327,3.4506),(1565,3635,0.086787,3.4491),(1565,3645,0.086247,3.4476),(1565,3655,0.085707,3.4462),(1565,3665,0.085156,3.4447),(1565,3675,0.084551,3.4432),(1565,3685,0.083945,3.4417),(1565,3695,0.083339,3.4402),(1565,3705,0.08272,3.4388),(1565,3715,0.082048,3.4373),(1565,3725,0.081376,3.4358),(1565,3735,0.080704,3.4344),(1565,3745,0.080016,3.4329),(1565,3755,0.079277,3.4315),(1565,3765,0.078538,3.4301),(1565,3775,0.077799,3.4286),(1565,3785,0.07704,3.4272),(1565,3795,0.076233,3.4258),(1565,3805,0.075426,3.4244),(1565,3815,0.074619,3.423),(1565,3825,0.07379,3.4216),(1565,3835,0.072915,3.4202),(1565,3845,0.072039,3.4188),(1565,3855,0.071164,3.4174),(1565,3865,0.070263,3.416),(1565,3875,0.069316,3.4147),(1565,3885,0.06837,3.4133),(1565,3895,0.067424,3.412),(1565,3905,0.0781,3.4106),(1565,3915,0.10614,3.4093),(1565,3925,0.13418,3.407),(1565,3935,0.16222,3.4036),(1565,3945,0.19316,3.4001),(1565,3955,0.2278,3.3966),(1565,3965,0.26244,3.3922),(1565,3975,0.29709,3.3866),(1565,3985,0.31799,3.3811),(1565,3995,0.32401,3.3755),(1565,4005,0.33004,3.3699),(1565,4015,0.33607,3.3642),(1565,4025,0.34219,3.3586),(1565,4035,0.34833,3.3529),(1565,4045,0.35446,3.3471),(1565,4055,0.3604,3.3413),(1565,4065,0.36627,3.3355),(1565,4075,0.37213,3.3295),(1565,4085,0.37775,3.3235),(1565,4095,0.38316,3.3174),(1565,4105,0.38858,3.311),(1565,4115,0.37909,3.3045),(1565,4125,0.3449,3.2981),(1565,4135,0.3107,3.2928),(1565,4145,0.2755,3.2877),(1565,4155,0.23619,3.2827),(1565,4165,0.19688,3.2785),(1565,4175,0.1598,3.2749),(1565,4185,0.23321,3.2712),(1565,4195,0.30662,3.2662),(1565,4205,0.38003,3.2594),(1565,4215,0.37559,3.2525),(1565,4225,0.35651,3.2461),(1565,4235,0.33742,3.2412),(1565,4245,0.3095,3.2362),(1565,4255,0.27709,3.2314),(1565,4265,0.24469,3.2281),(1565,4275,0.20236,3.2248),(1565,4285,0.1495,3.2215),(1565,4295,0.096637,3.2204),(1565,4305,0.089053,3.2196),(1565,4315,0.1837,3.2188),(1565,4325,0.27836,3.2155),(1565,4335,0.36275,3.2112),(1565,4345,0.37773,3.2069),(1565,4355,0.3927,3.2012),(1565,4365,0.40767,3.1942),(1565,4375,0.41145,3.1873),(1565,4385,0.41463,3.1795),(1565,4395,0.41782,3.1704),(1565,4405,0.36401,3.1614),(1565,4415,0.29339,3.153),(1565,4425,0.22277,3.1477),(1565,4435,0.19644,3.1423),(1565,4445,0.20037,3.137),(1565,4455,0.2043,3.1325),(1565,4465,0.24946,3.128),(1565,4475,0.35254,3.1234),(1565,4485,0.45562,3.1144),(1565,4495,0.53827,3.1044),(1565,4505,0.55537,3.0944),(1565,4515,0.57248,3.084),(1565,4525,0.58815,3.0735),(1565,4535,0.58114,3.0629),(1565,4545,0.57412,3.0524),(1565,4555,0.56711,3.042),(1565,4565,0.42023,3.0316),(1565,4575,0.2545,3.0239),(1565,4585,0.088761,3.0224),(1565,4595,0.088157,3.021),(1565,4605,0.15733,3.0189),(1565,4615,0.22649,3.0119),(1565,4625,0.29504,3.005),(1565,4635,0.36302,2.998),(1565,4645,0.431,2.9889),(1565,4655,0.49295,2.9796),(1565,4665,0.54352,2.9703),(1565,4675,0.59409,2.9615),(1565,4685,0.61406,2.9529),(1565,4695,0.48282,2.9443),(1565,4705,0.35159,2.9395),(1565,4715,0.22035,2.9376),(1565,4725,0.30051,2.9356),(1565,4735,0.38278,2.9318),(1565,4745,0.46506,2.9253),(1565,4755,0.56319,2.9188),(1565,4765,0.66499,2.9114),(1565,4775,0.76679,2.9009),(1565,4785,0.81674,2.8904),(1565,4795,0.8367,2.8798),(1565,4805,0.85666,2.869),(1565,4815,0.82944,2.8582),(1565,4825,0.74582,2.8474),(1565,4835,0.66219,2.8396),(1565,4845,0.57041,2.8322),(1565,4855,0.45738,2.8248),(1565,4865,0.34434,2.8196),(1565,4875,0.26358,2.8154),(1565,4885,0.47651,2.8112),(1565,4895,0.68944,2.8021),(1565,4905,0.90237,2.7882),(1565,4915,0.90288,2.7743),(1565,4925,0.88512,2.7608),(1565,4935,0.86736,2.7479),(1565,4945,0.7943,2.735),(1565,4955,0.70208,2.7227),(1565,4965,0.60986,2.7136),(1565,4975,0.4762,2.7045),(1565,4985,0.31054,2.6954),(1565,4995,0.14489,2.6944),(1565,5005,0.13784,2.6935),(1565,5015,0.38294,2.6926),(1565,5025,0.62804,2.6841),(1565,5035,0.84338,2.6736),(1565,5045,0.94538,2.6631),(1565,5055,1.0474,2.6507),(1565,5065,1.147,2.6373),(1565,5075,1.1681,2.6238),(1565,5085,1.1892,2.6105),(1565,5095,1.2103,2.5974),(1565,5105,1.065,2.5843),(1565,5115,0.89058,2.5728),(1565,5125,0.71618,2.5661),(1565,5135,0.61351,2.5593),(1565,5145,0.54566,2.5526),(1565,5155,0.47781,2.5463),(1565,5165,0.56361,2.54),(1565,5175,0.80612,2.5337),(1565,5185,1.0486,2.5192),(1565,5195,1.2215,2.5038),(1565,5205,1.2441,2.4883),(1565,5215,1.2668,2.4732),(1565,5225,1.2823,2.4582),(1565,5235,1.2539,2.4432),(1565,5245,1.2255,2.4295),(1565,5255,1.1971,2.4167),(1565,5265,0.83739,2.4039),(1565,5275,0.464,2.3958),(1565,5285,0.090616,2.3955),(1565,5295,0.19554,2.3951),(1565,5305,0.43367,2.3924),(1565,5315,0.6718,2.3795),(1565,5325,0.84947,2.3666),(1565,5335,0.98749,2.3536),(1565,5345,1.1255,2.3382),(1565,5355,1.2266,2.3228),(1565,5365,1.2779,2.3074),(1565,5375,1.3292,2.2926),(1565,5385,1.2904,2.2779),(1565,5395,0.97781,2.2632),(1565,5405,0.6652,2.2557),(1565,5415,0.37827,2.252),(1565,5425,0.43639,2.2483),(1565,5435,0.4945,2.2404),(1565,5445,0.55261,2.2281),(1565,5455,0.67052,2.2159),(1565,5465,0.79573,2.2012),(1565,5475,0.92095,2.181),(1565,5485,0.97655,2.1609),(1565,5495,1.0041,2.1407),(1565,5505,1.0317,2.12),(1565,5515,1.0603,2.0994),(1565,5525,1.0897,2.0788),(1565,5535,1.1191,2.0577),(1565,5545,1.1485,2.0366),(1565,5555,1.1778,2.0156),(1565,5565,1.2071,1.9943),(1565,5575,1.2363,1.973),(1565,5585,1.2649,1.9516),(1565,5595,1.2935,1.9302),(1565,5605,1.3221,1.9088),(1565,5615,1.3497,1.8873),(1565,5625,1.3773,1.8659),(1565,5635,1.4049,1.8445),(1565,5645,1.4315,1.8231),(1565,5655,1.458,1.8017),(1565,5665,1.4844,1.7804),(1565,5675,1.5099,1.7591),(1565,5685,1.5351,1.7379),(1565,5695,1.5602,1.7169),(1565,5705,1.5846,1.6958),(1565,5715,1.6083,1.6748),(1565,5725,1.632,1.654),(1565,5735,1.6554,1.6332),(1565,5745,1.6776,1.6124),(1565,5755,1.6999,1.5918),(1565,5765,1.7221,1.5714),(1565,5775,1.7429,1.5509),(1565,5785,1.7638,1.5306),(1565,5795,1.7847,1.5105),(1565,5805,1.8043,1.4903),(1565,5815,1.8238,1.4703),(1565,5825,1.8433,1.4505),(1565,5835,1.8617,1.4307),(1565,5845,1.8799,1.411),(1565,5855,1.8981,1.3915),(1565,5865,1.9155,1.372),(1565,5875,1.9324,1.3525),(1565,5885,1.9492,1.3333),(1565,5895,1.9656,1.3141),(1565,5905,1.9813,1.2949),(1565,5915,1.997,1.2759),(1565,5925,2.0125,1.257),(1565,5935,2.027,1.2381),(1565,5945,2.0416,1.2194),(1565,5955,2.0562,1.2007),(1565,5965,2.0701,1.1821),(1565,5975,2.0841,1.1636),(1565,5985,2.0981,1.1452),(1565,5995,1.6056,1.1268),(1565,6005,1.0316,1.1128),(1565,6015,0.45762,1.1105),(1565,6025,0.44131,1.1082),(1565,6035,0.68366,1.1048),(1565,6045,0.926,1.0909),(1565,6055,1.103,1.0771),(1565,6065,1.2161,1.0632),(1565,6075,1.3291,1.0451),(1565,6085,1.4073,1.0266),(1565,6095,1.4136,1.0081),(1565,6105,1.4199,0.98946),(1565,6115,1.4262,0.9707),(1565,6125,1.4322,0.95193),(1565,6135,1.4382,0.93312),(1565,6145,1.4442,0.91427),(1565,6155,1.4499,0.89542),(1565,6165,1.4555,0.87651),(1565,6175,1.4611,0.85748),(1565,6185,1.4665,0.83845),(1565,6195,1.4718,0.8194),(1565,6205,1.4771,0.80024),(1565,6215,1.4821,0.78108),(1565,6225,1.4871,0.76192),(1565,6235,1.492,0.74268),(1565,6245,1.4968,0.72345),(1565,6255,1.5013,0.70422),(1565,6265,1.5059,0.68477),(1565,6275,1.5103,0.66527),(1565,6285,1.5144,0.64578),(1565,6295,1.5185,0.62629),(1565,6305,1.5225,0.60682),(1565,6315,1.5263,0.58734),(1565,6325,1.5301,0.56781),(1565,6335,1.5339,0.54821),(1565,6345,1.5373,0.52862),(1565,6355,1.5406,0.50898),(1565,6365,1.5439,0.48926),(1565,6375,1.547,0.46953),(1565,6385,1.5499,0.44979),(1565,6395,1.5528,0.42992),(1565,6405,1.5555,0.41005),(1565,6415,1.5581,0.39018),(1565,6425,1.5606,0.37035),(1565,6435,1.563,0.35052),(1565,6445,1.5651,0.33069),(1565,6455,1.5673,0.31086),(1565,6465,1.5693,0.29104),(1565,6475,1.571,0.27122),(1565,6485,1.5727,0.25133),(1565,6495,1.5745,0.2314),(1565,6505,1.5758,0.21147),(1565,6515,1.5771,0.19153),(1565,6525,1.5784,0.17157),(1565,6535,1.5793,0.15161),(1565,6545,1.5802,0.13164),(1565,6555,1.5811,0.11165),(1565,6565,1.5817,0.091649),(1565,6575,1.5821,0.071657),(1565,6585,1.5825,0.051743),(1565,6595,1.3461,0.031828),(1565,6605,0.84831,0.011914),(1565,6615,0.35047,0.00965),(1565,6625,0.000502,0.009655),(1565,6635,0.000504,0.00966),(1565,6645,0.000507,0.009656),(1565,6655,0.000509,0.009647),(1565,6665,0.000512,0.009639),(1565,6675,0.000514,0.009631),(1565,6685,0.000517,0.009623),(1565,6695,0.000519,0.009614),(1565,6705,0.000521,0.009606),(1565,6715,0.000524,0.009598),(1565,6725,0.000526,0.00959),(1565,6735,0.000528,0.009582),(1565,6745,0.00053,0.009573),(1565,6755,0.000532,0.009565),(1565,6765,0.000535,0.009557),(1565,6775,0.000537,0.009548),(1565,6785,0.000539,0.00954),(1565,6795,0.000541,0.009532),(1565,6805,0.000543,0.009524),(1565,6815,0.000545,0.009515),(1565,6825,0.000547,0.009507),(1565,6835,0.000549,0.009498),(1565,6845,0.000551,0.00949),(1565,6855,0.000553,0.009482),(1565,6865,0.000555,0.009473),(1565,6875,0.000556,0.009465),(1565,6885,0.000558,0.009456),(1565,6895,0.00056,0.009448),(1565,6905,0.000562,0.00944),(1565,6915,0.000563,0.009431),(1565,6925,0.000565,0.009423),(1565,6935,0.000567,0.009414),(1565,6945,0.000569,0.009406),(1565,6955,0.00057,0.009398),(1565,6965,0.000572,0.009389),(1565,6975,0.000574,0.009381),(1565,6985,0.000575,0.009372),(1575,5,5.8e-05,3.6758),(1575,15,0.000175,3.6758),(1575,25,0.000292,3.6758),(1575,35,0.000409,3.6758),(1575,45,0.000526,3.6758),(1575,55,0.000643,3.6758),(1575,65,0.000761,3.6758),(1575,75,0.000878,3.6758),(1575,85,0.000995,3.6758),(1575,95,0.001113,3.6758),(1575,105,0.001231,3.6758),(1575,115,0.001349,3.6757),(1575,125,0.001467,3.6757),(1575,135,0.001585,3.6757),(1575,145,0.001703,3.6757),(1575,155,0.001822,3.6757),(1575,165,0.001941,3.6757),(1575,175,0.00206,3.6757),(1575,185,0.00218,3.6756),(1575,195,0.0023,3.6756),(1575,205,0.00242,3.6756),(1575,215,0.00254,3.6756),(1575,225,0.002661,3.6756),(1575,235,0.002782,3.6756),(1575,245,0.002904,3.6755),(1575,255,0.003025,3.6755),(1575,265,0.003148,3.6755),(1575,275,0.003271,3.6755),(1575,285,0.003394,3.6754),(1575,295,0.003517,3.6754),(1575,305,0.003642,3.6754),(1575,315,0.003767,3.6754),(1575,325,0.003891,3.6753),(1575,335,0.004017,3.6753),(1575,345,0.004143,3.6753),(1575,355,0.00427,3.6752),(1575,365,0.004397,3.6752),(1575,375,0.004524,3.6752),(1575,385,0.004653,3.6751),(1575,395,0.004783,3.6751),(1575,405,0.004912,3.675),(1575,415,0.005041,3.675),(1575,425,0.005173,3.675),(1575,435,0.005305,3.6749),(1575,445,0.005437,3.6749),(1575,455,0.005569,3.6748),(1575,465,0.005705,3.6748),(1575,475,0.00584,3.6748),(1575,485,0.005975,3.6747),(1575,495,0.00611,3.6747),(1575,505,0.006248,3.6746),(1575,515,0.006386,3.6746),(1575,525,0.006525,3.6745),(1575,535,0.006663,3.6745),(1575,545,0.006805,3.6744),(1575,555,0.006947,3.6743),(1575,565,0.007088,3.6743),(1575,575,0.00723,3.6742),(1575,585,0.007376,3.6742),(1575,595,0.007521,3.6741),(1575,605,0.007667,3.6741),(1575,615,0.007813,3.674),(1575,625,0.007962,3.6739),(1575,635,0.008112,3.6739),(1575,645,0.008261,3.6738),(1575,655,0.008411,3.6737),(1575,665,0.008565,3.6737),(1575,675,0.008719,3.6736),(1575,685,0.008873,3.6735),(1575,695,0.009028,3.6735),(1575,705,0.009186,3.6734),(1575,715,0.009345,3.6733),(1575,725,0.009503,3.6732),(1575,735,0.009663,3.6732),(1575,745,0.009826,3.6731),(1575,755,0.00999,3.673),(1575,765,0.010153,3.6729),(1575,775,0.010318,3.6728),(1575,785,0.010487,3.6727),(1575,795,0.010655,3.6727),(1575,805,0.010824,3.6726),(1575,815,0.010995,3.6725),(1575,825,0.011169,3.6724),(1575,835,0.011343,3.6723),(1575,845,0.011517,3.6722),(1575,855,0.011694,3.6721),(1575,865,0.011874,3.672),(1575,875,0.012054,3.6719),(1575,885,0.012234,3.6718),(1575,895,0.012416,3.6717),(1575,905,0.012602,3.6716),(1575,915,0.012789,3.6715),(1575,925,0.012975,3.6714),(1575,935,0.013164,3.6713),(1575,945,0.013356,3.6712),(1575,955,0.013549,3.671),(1575,965,0.013742,3.6709),(1575,975,0.013938,3.6708),(1575,985,0.014137,3.6707),(1575,995,0.014337,3.6706),(1575,1005,0.014537,3.6705),(1575,1015,0.01474,3.6703),(1575,1025,0.014946,3.6702),(1575,1035,0.015153,3.6701),(1575,1045,0.01536,3.6699),(1575,1055,0.01557,3.6698),(1575,1065,0.015784,3.6697),(1575,1075,0.015998,3.6695),(1575,1085,0.016212,3.6694),(1575,1095,0.016431,3.6693),(1575,1105,0.016652,3.6691),(1575,1115,0.016874,3.669),(1575,1125,0.017095,3.6688),(1575,1135,0.017322,3.6687),(1575,1145,0.017552,3.6685),(1575,1155,0.017781,3.6684),(1575,1165,0.018011,3.6682),(1575,1175,0.018246,3.668),(1575,1185,0.018485,3.6679),(1575,1195,0.018723,3.6677),(1575,1205,0.018961,3.6675),(1575,1215,0.019205,3.6674),(1575,1225,0.019452,3.6672),(1575,1235,0.019699,3.667),(1575,1245,0.019945,3.6668),(1575,1255,0.020199,3.6667),(1575,1265,0.020455,3.6665),(1575,1275,0.02071,3.6663),(1575,1285,0.020966,3.6661),(1575,1295,0.021229,3.6659),(1575,1305,0.021494,3.6657),(1575,1315,0.021759,3.6655),(1575,1325,0.022024,3.6653),(1575,1335,0.022297,3.6651),(1575,1345,0.022571,3.6649),(1575,1355,0.022846,3.6647),(1575,1365,0.02312,3.6645),(1575,1375,0.023403,3.6643),(1575,1385,0.023687,3.664),(1575,1395,0.023971,3.6638),(1575,1405,0.024255,3.6636),(1575,1415,0.024549,3.6633),(1575,1425,0.024843,3.6631),(1575,1435,0.025137,3.6629),(1575,1445,0.025431,3.6626),(1575,1455,0.025735,3.6624),(1575,1465,0.02604,3.6621),(1575,1475,0.026344,3.6619),(1575,1485,0.026649,3.6616),(1575,1495,0.026963,3.6614),(1575,1505,0.027278,3.6611),(1575,1515,0.027593,3.6608),(1575,1525,0.027908,3.6606),(1575,1535,0.028234,3.6603),(1575,1545,0.02856,3.66),(1575,1555,0.028885,3.6597),(1575,1565,0.029212,3.6594),(1575,1575,0.029548,3.6592),(1575,1585,0.029884,3.6589),(1575,1595,0.030221,3.6586),(1575,1605,0.030558,3.6582),(1575,1615,0.030906,3.6579),(1575,1625,0.031253,3.6576),(1575,1635,0.0316,3.6573),(1575,1645,0.031949,3.657),(1575,1655,0.032307,3.6567),(1575,1665,0.032665,3.6563),(1575,1675,0.033024,3.656),(1575,1685,0.033384,3.6556),(1575,1695,0.033754,3.6553),(1575,1705,0.034123,3.6549),(1575,1715,0.034493,3.6546),(1575,1725,0.034865,3.6542),(1575,1735,0.035245,3.6539),(1575,1745,0.035626,3.6535),(1575,1755,0.036007,3.6531),(1575,1765,0.03639,3.6527),(1575,1775,0.036782,3.6523),(1575,1785,0.037174,3.6519),(1575,1795,0.037566,3.6515),(1575,1805,0.037961,3.6511),(1575,1815,0.038364,3.6507),(1575,1825,0.038766,3.6503),(1575,1835,0.039169,3.6499),(1575,1845,0.039575,3.6495),(1575,1855,0.039989,3.649),(1575,1865,0.040402,3.6486),(1575,1875,0.040816,3.6481),(1575,1885,0.041233,3.6477),(1575,1895,0.041658,3.6472),(1575,1905,0.042082,3.6468),(1575,1915,0.042506,3.6463),(1575,1925,0.042935,3.6458),(1575,1935,0.04337,3.6453),(1575,1945,0.043804,3.6448),(1575,1955,0.044239,3.6443),(1575,1965,0.044679,3.6438),(1575,1975,0.045123,3.6433),(1575,1985,0.045568,3.6428),(1575,1995,0.046013,3.6423),(1575,2005,0.046462,3.6417),(1575,2015,0.046917,3.6412),(1575,2025,0.047371,3.6407),(1575,2035,0.047826,3.6401),(1575,2045,0.048285,3.6395),(1575,2055,0.048748,3.639),(1575,2065,0.049212,3.6384),(1575,2075,0.049675,3.6378),(1575,2085,0.050144,3.6372),(1575,2095,0.050616,3.6366),(1575,2105,0.051088,3.636),(1575,2115,0.05156,3.6354),(1575,2125,0.052037,3.6348),(1575,2135,0.052517,3.6342),(1575,2145,0.052998,3.6335),(1575,2155,0.053478,3.6329),(1575,2165,0.053963,3.6322),(1575,2175,0.05445,3.6316),(1575,2185,0.054938,3.6309),(1575,2195,0.055425,3.6302),(1575,2205,0.055917,3.6295),(1575,2215,0.056411,3.6289),(1575,2225,0.056905,3.6282),(1575,2235,0.057399,3.6274),(1575,2245,0.057897,3.6267),(1575,2255,0.058396,3.626),(1575,2265,0.058895,3.6253),(1575,2275,0.059394,3.6245),(1575,2285,0.059897,3.6238),(1575,2295,0.060401,3.623),(1575,2305,0.060905,3.6222),(1575,2315,0.061408,3.6214),(1575,2325,0.061915,3.6207),(1575,2335,0.062422,3.6199),(1575,2345,0.062928,3.6191),(1575,2355,0.063435,3.6182),(1575,2365,0.063944,3.6174),(1575,2375,0.064452,3.6166),(1575,2385,0.064961,3.6157),(1575,2395,0.06547,3.6149),(1575,2405,0.065979,3.614),(1575,2415,0.066488,3.6132),(1575,2425,0.066998,3.6123),(1575,2435,0.067507,3.6114),(1575,2445,0.068016,3.6105),(1575,2455,0.068524,3.6096),(1575,2465,0.069033,3.6086),(1575,2475,0.069541,3.6077),(1575,2485,0.070047,3.6068),(1575,2495,0.070553,3.6058),(1575,2505,0.071059,3.6049),(1575,2515,0.071565,3.6039),(1575,2525,0.072066,3.6029),(1575,2535,0.072568,3.602),(1575,2545,0.07307,3.6009),(1575,2555,0.073571,3.5999),(1575,2565,0.074067,3.5989),(1575,2575,0.074562,3.5979),(1575,2585,0.075058,3.5969),(1575,2595,0.075553,3.5958),(1575,2605,0.076041,3.5948),(1575,2615,0.076529,3.5937),(1575,2625,0.077017,3.5926),(1575,2635,0.077503,3.5915),(1575,2645,0.077981,3.5904),(1575,2655,0.078459,3.5894),(1575,2665,0.078937,3.5882),(1575,2675,0.079413,3.5871),(1575,2685,0.079879,3.586),(1575,2695,0.080345,3.5848),(1575,2705,0.080811,3.5837),(1575,2715,0.081274,3.5825),(1575,2725,0.081725,3.5813),(1575,2735,0.082176,3.5802),(1575,2745,0.082628,3.579),(1575,2755,0.083075,3.5778),(1575,2765,0.08351,3.5766),(1575,2775,0.083944,3.5754),(1575,2785,0.084379,3.5741),(1575,2795,0.084808,3.5729),(1575,2805,0.085224,3.5716),(1575,2815,0.08564,3.5704),(1575,2825,0.086056,3.5691),(1575,2835,0.086464,3.5678),(1575,2845,0.086859,3.5666),(1575,2855,0.087253,3.5653),(1575,2865,0.087648,3.564),(1575,2875,0.088034,3.5627),(1575,2885,0.088404,3.5614),(1575,2895,0.088775,3.56),(1575,2905,0.089146,3.5587),(1575,2915,0.089505,3.5573),(1575,2925,0.08985,3.556),(1575,2935,0.090194,3.5546),(1575,2945,0.090538,3.5533),(1575,2955,0.09087,3.5519),(1575,2965,0.091185,3.5505),(1575,2975,0.0915,3.5491),(1575,2985,0.091815,3.5477),(1575,2995,0.092115,3.5463),(1575,3005,0.092399,3.5449),(1575,3015,0.092682,3.5435),(1575,3025,0.092966,3.5421),(1575,3035,0.093231,3.5406),(1575,3045,0.093481,3.5392),(1575,3055,0.09373,3.5378),(1575,3065,0.093979,3.5363),(1575,3075,0.094207,3.5348),(1575,3085,0.09442,3.5334),(1575,3095,0.094632,3.5319),(1575,3105,0.094844,3.5304),(1575,3115,0.095033,3.5289),(1575,3125,0.095206,3.5275),(1575,3135,0.095379,3.526),(1575,3145,0.095552,3.5245),(1575,3155,0.095698,3.523),(1575,3165,0.095829,3.5215),(1575,3175,0.09596,3.5199),(1575,3185,0.096091,3.5184),(1575,3195,0.096192,3.5169),(1575,3205,0.096278,3.5154),(1575,3215,0.096365,3.5138),(1575,3225,0.096451,3.5123),(1575,3235,0.096504,3.5108),(1575,3245,0.096544,3.5092),(1575,3255,0.096583,3.5077),(1575,3265,0.096623,3.5061),(1575,3275,0.096625,3.5046),(1575,3285,0.096615,3.503),(1575,3295,0.096606,3.5015),(1575,3305,0.096596,3.4999),(1575,3315,0.096545,3.4984),(1575,3325,0.096483,3.4968),(1575,3335,0.096422,3.4952),(1575,3345,0.096361,3.4937),(1575,3355,0.096254,3.4921),(1575,3365,0.096138,3.4906),(1575,3375,0.096023,3.489),(1575,3385,0.095908,3.4874),(1575,3395,0.095743,3.4858),(1575,3405,0.095572,3.4843),(1575,3415,0.095401,3.4827),(1575,3425,0.09523,3.4811),(1575,3435,0.095005,3.4796),(1575,3445,0.094777,3.478),(1575,3455,0.094548,3.4764),(1575,3465,0.094319,3.4749),(1575,3475,0.094033,3.4733),(1575,3485,0.093745,3.4717),(1575,3495,0.093456,3.4702),(1575,3505,0.093168,3.4686),(1575,3515,0.092819,3.4671),(1575,3525,0.092469,3.4655),(1575,3535,0.09212,3.464),(1575,3545,0.091768,3.4624),(1575,3555,0.091356,3.4609),(1575,3565,0.090944,3.4593),(1575,3575,0.090532,3.4578),(1575,3585,0.090114,3.4562),(1575,3595,0.089638,3.4547),(1575,3605,0.089163,3.4532),(1575,3615,0.088687,3.4517),(1575,3625,0.088203,3.4501),(1575,3635,0.087662,3.4486),(1575,3645,0.087121,3.4471),(1575,3655,0.086581,3.4456),(1575,3665,0.086029,3.4441),(1575,3675,0.085423,3.4426),(1575,3685,0.084816,3.4411),(1575,3695,0.08421,3.4396),(1575,3705,0.08359,3.4381),(1575,3715,0.082918,3.4366),(1575,3725,0.082245,3.4352),(1575,3735,0.081572,3.4337),(1575,3745,0.080883,3.4322),(1575,3755,0.080143,3.4308),(1575,3765,0.079403,3.4293),(1575,3775,0.078664,3.4279),(1575,3785,0.077905,3.4264),(1575,3795,0.077097,3.425),(1575,3805,0.07629,3.4236),(1575,3815,0.075483,3.4221),(1575,3825,0.074653,3.4207),(1575,3835,0.073778,3.4193),(1575,3845,0.072902,3.4179),(1575,3855,0.072026,3.4165),(1575,3865,0.071126,3.4151),(1575,3875,0.07018,3.4137),(1575,3885,0.069234,3.4124),(1575,3895,0.068289,3.411),(1575,3905,0.0791,3.4096),(1575,3915,0.10747,3.4082),(1575,3925,0.13585,3.406),(1575,3935,0.16422,3.4025),(1575,3945,0.19549,3.3989),(1575,3955,0.23042,3.3954),(1575,3965,0.26536,3.3909),(1575,3975,0.30029,3.3853),(1575,3985,0.32134,3.3797),(1575,3995,0.32735,3.3741),(1575,4005,0.33336,3.3684),(1575,4015,0.33938,3.3627),(1575,4025,0.3455,3.357),(1575,4035,0.35164,3.3513),(1575,4045,0.35778,3.3454),(1575,4055,0.36375,3.3396),(1575,4065,0.36965,3.3337),(1575,4075,0.37555,3.3277),(1575,4085,0.38124,3.3216),(1575,4095,0.38677,3.3155),(1575,4105,0.39229,3.3091),(1575,4115,0.3828,3.3027),(1575,4125,0.34841,3.2962),(1575,4135,0.31402,3.2909),(1575,4145,0.27862,3.286),(1575,4155,0.23914,3.281),(1575,4165,0.19965,3.2769),(1575,4175,0.16241,3.2733),(1575,4185,0.23631,3.2698),(1575,4195,0.31021,3.2648),(1575,4205,0.38411,3.258),(1575,4215,0.37933,3.2511),(1575,4225,0.35975,3.2447),(1575,4235,0.34017,3.2396),(1575,4245,0.31187,3.2345),(1575,4255,0.27915,3.2296),(1575,4265,0.24642,3.2261),(1575,4275,0.20374,3.2227),(1575,4285,0.15049,3.2193),(1575,4295,0.097248,3.2181),(1575,4305,0.089534,3.2172),(1575,4315,0.18463,3.2163),(1575,4325,0.27973,3.2129),(1575,4335,0.36461,3.2084),(1575,4345,0.38028,3.2039),(1575,4355,0.39596,3.1979),(1575,4365,0.41164,3.1907),(1575,4375,0.41605,3.1836),(1575,4385,0.41987,3.1757),(1575,4395,0.42369,3.1665),(1575,4405,0.36953,3.1573),(1575,4415,0.29826,3.1489),(1575,4425,0.22699,3.1436),(1575,4435,0.20023,3.1384),(1575,4445,0.20387,3.1332),(1575,4455,0.20752,3.1286),(1575,4465,0.25291,3.1241),(1575,4475,0.35697,3.1196),(1575,4485,0.46103,3.1105),(1575,4495,0.54443,3.1005),(1575,4505,0.56157,3.0904),(1575,4515,0.57871,3.08),(1575,4525,0.59442,3.0694),(1575,4535,0.58736,3.0587),(1575,4545,0.5803,3.0482),(1575,4555,0.57324,3.0377),(1575,4565,0.42495,3.0272),(1575,4575,0.25762,3.0193),(1575,4585,0.090287,3.0178),(1575,4595,0.090036,3.0163),(1575,4605,0.16038,3.0141),(1575,4615,0.23072,3.0071),(1575,4625,0.29998,3),(1575,4635,0.36827,2.9929),(1575,4645,0.43656,2.9838),(1575,4655,0.49852,2.9744),(1575,4665,0.54856,2.9651),(1575,4675,0.5986,2.9564),(1575,4685,0.61793,2.9478),(1575,4695,0.48554,2.9392),(1575,4705,0.35315,2.9344),(1575,4715,0.22076,2.9324),(1575,4725,0.30176,2.9305),(1575,4735,0.38489,2.9267),(1575,4745,0.46803,2.9203),(1575,4755,0.56673,2.9138),(1575,4765,0.66904,2.9064),(1575,4775,0.77135,2.8959),(1575,4785,0.82146,2.8854),(1575,4795,0.84138,2.8748),(1575,4805,0.8613,2.8639),(1575,4815,0.83386,2.8531),(1575,4825,0.74978,2.8422),(1575,4835,0.6657,2.8344),(1575,4845,0.57352,2.8271),(1575,4855,0.46024,2.8197),(1575,4865,0.34696,2.8146),(1575,4875,0.26614,2.8104),(1575,4885,0.48058,2.8062),(1575,4895,0.69503,2.797),(1575,4905,0.90948,2.7832),(1575,4915,0.90992,2.7693),(1575,4925,0.89196,2.7558),(1575,4935,0.874,2.7429),(1575,4945,0.80047,2.73),(1575,4955,0.70767,2.7177),(1575,4965,0.61488,2.7086),(1575,4975,0.48021,2.6995),(1575,4985,0.31322,2.6904),(1575,4995,0.14623,2.6893),(1575,5005,0.13887,2.6884),(1575,5015,0.38528,2.6876),(1575,5025,0.63169,2.679),(1575,5035,0.84812,2.6685),(1575,5045,0.95033,2.658),(1575,5055,1.0525,2.6458),(1575,5065,1.1523,2.6324),(1575,5075,1.1732,2.6189),(1575,5085,1.1941,2.6057),(1575,5095,1.215,2.5926),(1575,5105,1.069,2.5795),(1575,5115,0.8938,2.5681),(1575,5125,0.71863,2.5614),(1575,5135,0.61589,2.5546),(1575,5145,0.54832,2.5479),(1575,5155,0.48074,2.5417),(1575,5165,0.56725,2.5354),(1575,5175,0.81091,2.5291),(1575,5185,1.0546,2.5146),(1575,5195,1.2281,2.4992),(1575,5205,1.2505,2.4839),(1575,5215,1.2729,2.4688),(1575,5225,1.2881,2.4539),(1575,5235,1.2593,2.4389),(1575,5245,1.2304,2.4252),(1575,5255,1.2016,2.4125),(1575,5265,0.84054,2.3998),(1575,5275,0.46583,2.3916),(1575,5285,0.091124,2.3913),(1575,5295,0.19745,2.391),(1575,5305,0.43774,2.3883),(1575,5315,0.67803,2.3753),(1575,5325,0.85649,2.3624),(1575,5335,0.9944,2.3495),(1575,5345,1.1323,2.3341),(1575,5355,1.2331,2.3188),(1575,5365,1.2839,2.3034),(1575,5375,1.3347,2.2887),(1575,5385,1.2952,2.274),(1575,5395,0.98135,2.2594),(1575,5405,0.66749,2.252),(1575,5415,0.37955,2.2482),(1575,5425,0.43978,2.2445),(1575,5435,0.50001,2.2367),(1575,5445,0.56024,2.2243),(1575,5455,0.67967,2.2119),(1575,5465,0.80634,2.1972),(1575,5475,0.93301,2.177),(1575,5485,0.98904,2.1567),(1575,5495,1.0166,2.1364),(1575,5505,1.0442,2.1157),(1575,5515,1.0727,2.095),(1575,5525,1.1021,2.0743),(1575,5535,1.1315,2.0532),(1575,5545,1.1608,2.0321),(1575,5555,1.19,2.011),(1575,5565,1.2193,1.9897),(1575,5575,1.2483,1.9684),(1575,5585,1.2768,1.947),(1575,5595,1.3053,1.9256),(1575,5605,1.3337,1.9042),(1575,5615,1.3611,1.8828),(1575,5625,1.3886,1.8614),(1575,5635,1.416,1.84),(1575,5645,1.4424,1.8187),(1575,5655,1.4687,1.7973),(1575,5665,1.4949,1.7761),(1575,5675,1.5202,1.755),(1575,5685,1.5451,1.7338),(1575,5695,1.57,1.7128),(1575,5705,1.5943,1.6919),(1575,5715,1.6178,1.6709),(1575,5725,1.6413,1.6502),(1575,5735,1.6643,1.6295),(1575,5745,1.6864,1.6088),(1575,5755,1.7085,1.5883),(1575,5765,1.7304,1.5679),(1575,5775,1.751,1.5476),(1575,5785,1.7717,1.5274),(1575,5795,1.7923,1.5073),(1575,5805,1.8117,1.4873),(1575,5815,1.831,1.4674),(1575,5825,1.8502,1.4477),(1575,5835,1.8685,1.428),(1575,5845,1.8865,1.4083),(1575,5855,1.9044,1.3889),(1575,5865,1.9216,1.3695),(1575,5875,1.9383,1.3501),(1575,5885,1.955,1.331),(1575,5895,1.9712,1.3119),(1575,5905,1.9867,1.2928),(1575,5915,2.0022,1.274),(1575,5925,2.0175,1.2552),(1575,5935,2.0319,1.2364),(1575,5945,2.0463,1.2177),(1575,5955,2.0607,1.1992),(1575,5965,2.0745,1.1806),(1575,5975,2.0883,1.1622),(1575,5985,2.1021,1.1439),(1575,5995,1.6087,1.1256),(1575,6005,1.0336,1.1117),(1575,6015,0.45844,1.1094),(1575,6025,0.44314,1.1071),(1575,6035,0.68747,1.1037),(1575,6045,0.9318,1.0898),(1575,6055,1.1102,1.076),(1575,6065,1.2239,1.0622),(1575,6075,1.3377,1.0441),(1575,6085,1.4163,1.0256),(1575,6095,1.4227,1.0071),(1575,6105,1.429,0.98839),(1575,6115,1.4353,0.96963),(1575,6125,1.4413,0.95087),(1575,6135,1.4474,0.93206),(1575,6145,1.4534,0.91322),(1575,6155,1.459,0.89438),(1575,6165,1.4647,0.87547),(1575,6175,1.4703,0.85646),(1575,6185,1.4757,0.83745),(1575,6195,1.481,0.81842),(1575,6205,1.4863,0.79928),(1575,6215,1.4914,0.78014),(1575,6225,1.4963,0.76101),(1575,6235,1.5012,0.7418),(1575,6245,1.506,0.72259),(1575,6255,1.5106,0.70338),(1575,6265,1.5152,0.68396),(1575,6275,1.5196,0.66451),(1575,6285,1.5236,0.64506),(1575,6295,1.5277,0.62556),(1575,6305,1.5317,0.60605),(1575,6315,1.5356,0.58654),(1575,6325,1.5394,0.567),(1575,6335,1.5433,0.54745),(1575,6345,1.5467,0.52789),(1575,6355,1.55,0.50829),(1575,6365,1.5534,0.48859),(1575,6375,1.5564,0.46889),(1575,6385,1.5593,0.44917),(1575,6395,1.5623,0.42933),(1575,6405,1.565,0.40949),(1575,6415,1.5675,0.38965),(1575,6425,1.57,0.36985),(1575,6435,1.5724,0.35004),(1575,6445,1.5746,0.33024),(1575,6455,1.5767,0.31045),(1575,6465,1.5788,0.29065),(1575,6475,1.5805,0.27085),(1575,6485,1.5822,0.25099),(1575,6495,1.5839,0.23109),(1575,6505,1.5852,0.21118),(1575,6515,1.5866,0.19127),(1575,6525,1.5879,0.17135),(1575,6535,1.5888,0.15142),(1575,6545,1.5898,0.13149),(1575,6555,1.5907,0.11156),(1575,6565,1.5912,0.091617),(1575,6575,1.5916,0.07168),(1575,6585,1.592,0.051768),(1575,6595,1.3542,0.031855),(1575,6605,0.85336,0.011943),(1575,6615,0.35256,0.009672),(1575,6625,0.000506,0.009669),(1575,6635,0.000509,0.009665),(1575,6645,0.000511,0.009658),(1575,6655,0.000514,0.00965),(1575,6665,0.000516,0.009642),(1575,6675,0.000519,0.009633),(1575,6685,0.000521,0.009625),(1575,6695,0.000523,0.009617),(1575,6705,0.000526,0.009609),(1575,6715,0.000528,0.0096),(1575,6725,0.00053,0.009592),(1575,6735,0.000533,0.009584),(1575,6745,0.000535,0.009576),(1575,6755,0.000537,0.009567),(1575,6765,0.000539,0.009559),(1575,6775,0.000541,0.009551),(1575,6785,0.000543,0.009542),(1575,6795,0.000545,0.009534),(1575,6805,0.000548,0.009525),(1575,6815,0.00055,0.009517),(1575,6825,0.000551,0.009509),(1575,6835,0.000553,0.0095),(1575,6845,0.000555,0.009492),(1575,6855,0.000557,0.009484),(1575,6865,0.000559,0.009475),(1575,6875,0.000561,0.009467),(1575,6885,0.000563,0.009458),(1575,6895,0.000565,0.00945),(1575,6905,0.000566,0.009442),(1575,6915,0.000568,0.009433),(1575,6925,0.00057,0.009425),(1575,6935,0.000572,0.009416),(1575,6945,0.000573,0.009408),(1575,6955,0.000575,0.009399),(1575,6965,0.000576,0.009391),(1575,6975,0.000578,0.009382),(1575,6985,0.00058,0.009374),(1585,5,5.8e-05,3.6759),(1585,15,0.000175,3.6759),(1585,25,0.000292,3.6759),(1585,35,0.00041,3.6759),(1585,45,0.000527,3.6759),(1585,55,0.000644,3.6759),(1585,65,0.000761,3.6759),(1585,75,0.000879,3.6759),(1585,85,0.000996,3.6759),(1585,95,0.001114,3.6759),(1585,105,0.001232,3.6759),(1585,115,0.00135,3.6759),(1585,125,0.001468,3.6759),(1585,135,0.001586,3.6758),(1585,145,0.001705,3.6758),(1585,155,0.001824,3.6758),(1585,165,0.001943,3.6758),(1585,175,0.002062,3.6758),(1585,185,0.002182,3.6758),(1585,195,0.002302,3.6758),(1585,205,0.002422,3.6757),(1585,215,0.002542,3.6757),(1585,225,0.002663,3.6757),(1585,235,0.002785,3.6757),(1585,245,0.002906,3.6757),(1585,255,0.003028,3.6756),(1585,265,0.003151,3.6756),(1585,275,0.003274,3.6756),(1585,285,0.003397,3.6756),(1585,295,0.00352,3.6755),(1585,305,0.003645,3.6755),(1585,315,0.00377,3.6755),(1585,325,0.003895,3.6754),(1585,335,0.00402,3.6754),(1585,345,0.004147,3.6754),(1585,355,0.004274,3.6754),(1585,365,0.004401,3.6753),(1585,375,0.004528,3.6753),(1585,385,0.004658,3.6752),(1585,395,0.004787,3.6752),(1585,405,0.004917,3.6752),(1585,415,0.005046,3.6751),(1585,425,0.005178,3.6751),(1585,435,0.005311,3.6751),(1585,445,0.005443,3.675),(1585,455,0.005575,3.675),(1585,465,0.00571,3.6749),(1585,475,0.005845,3.6749),(1585,485,0.005981,3.6748),(1585,495,0.006116,3.6748),(1585,505,0.006254,3.6747),(1585,515,0.006393,3.6747),(1585,525,0.006531,3.6746),(1585,535,0.00667,3.6746),(1585,545,0.006812,3.6745),(1585,555,0.006954,3.6745),(1585,565,0.007096,3.6744),(1585,575,0.007238,3.6744),(1585,585,0.007384,3.6743),(1585,595,0.00753,3.6743),(1585,605,0.007675,3.6742),(1585,615,0.007822,3.6741),(1585,625,0.007971,3.6741),(1585,635,0.008121,3.674),(1585,645,0.008271,3.674),(1585,655,0.008421,3.6739),(1585,665,0.008575,3.6738),(1585,675,0.008729,3.6738),(1585,685,0.008884,3.6737),(1585,695,0.009039,3.6736),(1585,705,0.009198,3.6735),(1585,715,0.009356,3.6735),(1585,725,0.009515,3.6734),(1585,735,0.009675,3.6733),(1585,745,0.009839,3.6732),(1585,755,0.010003,3.6732),(1585,765,0.010166,3.6731),(1585,775,0.010332,3.673),(1585,785,0.010501,3.6729),(1585,795,0.01067,3.6728),(1585,805,0.010839,3.6727),(1585,815,0.01101,3.6726),(1585,825,0.011185,3.6726),(1585,835,0.011359,3.6725),(1585,845,0.011534,3.6724),(1585,855,0.011711,3.6723),(1585,865,0.011891,3.6722),(1585,875,0.012072,3.6721),(1585,885,0.012252,3.672),(1585,895,0.012435,3.6719),(1585,905,0.012622,3.6718),(1585,915,0.012808,3.6717),(1585,925,0.012995,3.6716),(1585,935,0.013185,3.6715),(1585,945,0.013378,3.6714),(1585,955,0.013571,3.6712),(1585,965,0.013764,3.6711),(1585,975,0.013961,3.671),(1585,985,0.014161,3.6709),(1585,995,0.014361,3.6708),(1585,1005,0.014562,3.6707),(1585,1015,0.014765,3.6705),(1585,1025,0.014973,3.6704),(1585,1035,0.01518,3.6703),(1585,1045,0.015387,3.6701),(1585,1055,0.015599,3.67),(1585,1065,0.015813,3.6699),(1585,1075,0.016028,3.6698),(1585,1085,0.016243,3.6696),(1585,1095,0.016462,3.6695),(1585,1105,0.016684,3.6693),(1585,1115,0.016907,3.6692),(1585,1125,0.017129,3.669),(1585,1135,0.017357,3.6689),(1585,1145,0.017587,3.6687),(1585,1155,0.017818,3.6686),(1585,1165,0.018048,3.6684),(1585,1175,0.018285,3.6683),(1585,1185,0.018524,3.6681),(1585,1195,0.018763,3.6679),(1585,1205,0.019002,3.6678),(1585,1215,0.019247,3.6676),(1585,1225,0.019495,3.6674),(1585,1235,0.019742,3.6673),(1585,1245,0.01999,3.6671),(1585,1255,0.020245,3.6669),(1585,1265,0.020502,3.6667),(1585,1275,0.020758,3.6665),(1585,1285,0.021015,3.6664),(1585,1295,0.021279,3.6662),(1585,1305,0.021546,3.666),(1585,1315,0.021812,3.6658),(1585,1325,0.022078,3.6656),(1585,1335,0.022352,3.6654),(1585,1345,0.022628,3.6652),(1585,1355,0.022904,3.665),(1585,1365,0.023179,3.6647),(1585,1375,0.023464,3.6645),(1585,1385,0.023749,3.6643),(1585,1395,0.024035,3.6641),(1585,1405,0.02432,3.6639),(1585,1415,0.024615,3.6636),(1585,1425,0.024911,3.6634),(1585,1435,0.025207,3.6632),(1585,1445,0.025502,3.6629),(1585,1455,0.025808,3.6627),(1585,1465,0.026114,3.6625),(1585,1475,0.02642,3.6622),(1585,1485,0.026726,3.6619),(1585,1495,0.027043,3.6617),(1585,1505,0.02736,3.6614),(1585,1515,0.027676,3.6612),(1585,1525,0.027993,3.6609),(1585,1535,0.028321,3.6606),(1585,1545,0.028648,3.6603),(1585,1555,0.028976,3.6601),(1585,1565,0.029304,3.6598),(1585,1575,0.029643,3.6595),(1585,1585,0.029981,3.6592),(1585,1595,0.03032,3.6589),(1585,1605,0.030659,3.6586),(1585,1615,0.031009,3.6583),(1585,1625,0.031358,3.658),(1585,1635,0.031708,3.6577),(1585,1645,0.032059,3.6573),(1585,1655,0.032419,3.657),(1585,1665,0.03278,3.6567),(1585,1675,0.033141,3.6563),(1585,1685,0.033503,3.656),(1585,1695,0.033875,3.6557),(1585,1705,0.034247,3.6553),(1585,1715,0.034619,3.655),(1585,1725,0.034994,3.6546),(1585,1735,0.035377,3.6542),(1585,1745,0.035761,3.6539),(1585,1755,0.036144,3.6535),(1585,1765,0.03653,3.6531),(1585,1775,0.036925,3.6527),(1585,1785,0.03732,3.6523),(1585,1795,0.037715,3.6519),(1585,1805,0.038113,3.6515),(1585,1815,0.038518,3.6511),(1585,1825,0.038924,3.6507),(1585,1835,0.03933,3.6503),(1585,1845,0.039739,3.6499),(1585,1855,0.040156,3.6494),(1585,1865,0.040573,3.649),(1585,1875,0.04099,3.6485),(1585,1885,0.041411,3.6481),(1585,1895,0.041838,3.6476),(1585,1905,0.042266,3.6472),(1585,1915,0.042694,3.6467),(1585,1925,0.043126,3.6462),(1585,1935,0.043564,3.6458),(1585,1945,0.044003,3.6453),(1585,1955,0.044441,3.6448),(1585,1965,0.044884,3.6443),(1585,1975,0.045333,3.6438),(1585,1985,0.045781,3.6433),(1585,1995,0.04623,3.6427),(1585,2005,0.046684,3.6422),(1585,2015,0.047142,3.6417),(1585,2025,0.0476,3.6411),(1585,2035,0.048059,3.6406),(1585,2045,0.048522,3.64),(1585,2055,0.04899,3.6395),(1585,2065,0.049458,3.6389),(1585,2075,0.049925,3.6383),(1585,2085,0.050398,3.6377),(1585,2095,0.050875,3.6371),(1585,2105,0.051351,3.6365),(1585,2115,0.051828,3.6359),(1585,2125,0.05231,3.6353),(1585,2135,0.052795,3.6347),(1585,2145,0.053279,3.634),(1585,2155,0.053764,3.6334),(1585,2165,0.054254,3.6327),(1585,2175,0.054746,3.6321),(1585,2185,0.055239,3.6314),(1585,2195,0.055731,3.6307),(1585,2205,0.056228,3.63),(1585,2215,0.056727,3.6294),(1585,2225,0.057226,3.6287),(1585,2235,0.057725,3.6279),(1585,2245,0.058228,3.6272),(1585,2255,0.058732,3.6265),(1585,2265,0.059237,3.6258),(1585,2275,0.059741,3.625),(1585,2285,0.060249,3.6243),(1585,2295,0.060758,3.6235),(1585,2305,0.061267,3.6227),(1585,2315,0.061777,3.622),(1585,2325,0.062288,3.6212),(1585,2335,0.062801,3.6204),(1585,2345,0.063313,3.6196),(1585,2355,0.063826,3.6187),(1585,2365,0.06434,3.6179),(1585,2375,0.064855,3.6171),(1585,2385,0.065369,3.6162),(1585,2395,0.065884,3.6154),(1585,2405,0.066399,3.6145),(1585,2415,0.066914,3.6137),(1585,2425,0.067429,3.6128),(1585,2435,0.067944,3.6119),(1585,2445,0.068459,3.611),(1585,2455,0.068973,3.6101),(1585,2465,0.069488,3.6092),(1585,2475,0.070002,3.6082),(1585,2485,0.070515,3.6073),(1585,2495,0.071027,3.6064),(1585,2505,0.071539,3.6054),(1585,2515,0.072051,3.6044),(1585,2525,0.072559,3.6034),(1585,2535,0.073067,3.6025),(1585,2545,0.073574,3.6014),(1585,2555,0.074082,3.6004),(1585,2565,0.074584,3.5994),(1585,2575,0.075086,3.5984),(1585,2585,0.075588,3.5974),(1585,2595,0.076089,3.5963),(1585,2605,0.076584,3.5953),(1585,2615,0.077078,3.5942),(1585,2625,0.077572,3.5931),(1585,2635,0.078065,3.592),(1585,2645,0.078549,3.5909),(1585,2655,0.079034,3.5898),(1585,2665,0.079518,3.5887),(1585,2675,0.08,3.5876),(1585,2685,0.080472,3.5864),(1585,2695,0.080945,3.5853),(1585,2705,0.081417,3.5841),(1585,2715,0.081886,3.583),(1585,2725,0.082344,3.5818),(1585,2735,0.082802,3.5806),(1585,2745,0.083259,3.5794),(1585,2755,0.083713,3.5782),(1585,2765,0.084154,3.577),(1585,2775,0.084595,3.5758),(1585,2785,0.085036,3.5745),(1585,2795,0.085471,3.5733),(1585,2805,0.085893,3.5721),(1585,2815,0.086315,3.5708),(1585,2825,0.086737,3.5695),(1585,2835,0.087152,3.5682),(1585,2845,0.087552,3.567),(1585,2855,0.087953,3.5657),(1585,2865,0.088353,3.5644),(1585,2875,0.088745,3.563),(1585,2885,0.089122,3.5617),(1585,2895,0.089498,3.5604),(1585,2905,0.089874,3.559),(1585,2915,0.09024,3.5577),(1585,2925,0.09059,3.5563),(1585,2935,0.09094,3.555),(1585,2945,0.09129,3.5536),(1585,2955,0.091627,3.5522),(1585,2965,0.091947,3.5508),(1585,2975,0.092268,3.5494),(1585,2985,0.092589,3.548),(1585,2995,0.092894,3.5466),(1585,3005,0.093182,3.5452),(1585,3015,0.093471,3.5438),(1585,3025,0.09376,3.5423),(1585,3035,0.09403,3.5409),(1585,3045,0.094284,3.5395),(1585,3055,0.094538,3.538),(1585,3065,0.094792,3.5365),(1585,3075,0.095025,3.5351),(1585,3085,0.095242,3.5336),(1585,3095,0.095459,3.5321),(1585,3105,0.095676,3.5306),(1585,3115,0.095869,3.5291),(1585,3125,0.096046,3.5276),(1585,3135,0.096223,3.5261),(1585,3145,0.0964,3.5246),(1585,3155,0.09655,3.5231),(1585,3165,0.096685,3.5216),(1585,3175,0.09682,3.5201),(1585,3185,0.096954,3.5185),(1585,3195,0.097058,3.517),(1585,3205,0.097148,3.5155),(1585,3215,0.097238,3.5139),(1585,3225,0.097329,3.5124),(1585,3235,0.097384,3.5108),(1585,3245,0.097427,3.5093),(1585,3255,0.097469,3.5077),(1585,3265,0.097512,3.5062),(1585,3275,0.097517,3.5046),(1585,3285,0.097509,3.503),(1585,3295,0.097502,3.5015),(1585,3305,0.097495,3.4999),(1585,3315,0.097446,3.4983),(1585,3325,0.097387,3.4968),(1585,3335,0.097328,3.4952),(1585,3345,0.097269,3.4936),(1585,3355,0.097163,3.492),(1585,3365,0.09705,3.4904),(1585,3375,0.096936,3.4889),(1585,3385,0.096823,3.4873),(1585,3395,0.09666,3.4857),(1585,3405,0.09649,3.4841),(1585,3415,0.09632,3.4825),(1585,3425,0.09615,3.4809),(1585,3435,0.095926,3.4794),(1585,3445,0.095698,3.4778),(1585,3455,0.095471,3.4762),(1585,3465,0.095243,3.4746),(1585,3475,0.094957,3.473),(1585,3485,0.094669,3.4715),(1585,3495,0.094382,3.4699),(1585,3505,0.094093,3.4683),(1585,3515,0.093744,3.4667),(1585,3525,0.093395,3.4652),(1585,3535,0.093046,3.4636),(1585,3545,0.092694,3.462),(1585,3555,0.092282,3.4605),(1585,3565,0.09187,3.4589),(1585,3575,0.091457,3.4574),(1585,3585,0.09104,3.4558),(1585,3595,0.090564,3.4543),(1585,3605,0.090087,3.4527),(1585,3615,0.089611,3.4512),(1585,3625,0.089127,3.4496),(1585,3635,0.088586,3.4481),(1585,3645,0.088044,3.4466),(1585,3655,0.087503,3.445),(1585,3665,0.086951,3.4435),(1585,3675,0.086344,3.442),(1585,3685,0.085737,3.4405),(1585,3695,0.08513,3.439),(1585,3705,0.084509,3.4375),(1585,3715,0.083836,3.436),(1585,3725,0.083162,3.4345),(1585,3735,0.082489,3.433),(1585,3745,0.081799,3.4315),(1585,3755,0.081059,3.43),(1585,3765,0.080319,3.4286),(1585,3775,0.079578,3.4271),(1585,3785,0.078819,3.4257),(1585,3795,0.078011,3.4242),(1585,3805,0.077204,3.4228),(1585,3815,0.076396,3.4213),(1585,3825,0.075567,3.4199),(1585,3835,0.074691,3.4185),(1585,3845,0.073816,3.417),(1585,3855,0.072941,3.4156),(1585,3865,0.07204,3.4142),(1585,3875,0.071096,3.4128),(1585,3885,0.070152,3.4114),(1585,3895,0.069207,3.41),(1585,3905,0.080164,3.4086),(1585,3915,0.1089,3.4072),(1585,3925,0.13764,3.4049),(1585,3935,0.16637,3.4014),(1585,3945,0.19797,3.3978),(1585,3955,0.23321,3.3942),(1585,3965,0.26844,3.3897),(1585,3975,0.30368,3.384),(1585,3985,0.32487,3.3783),(1585,3995,0.33086,3.3726),(1585,4005,0.33684,3.3669),(1585,4015,0.34283,3.3611),(1585,4025,0.34896,3.3554),(1585,4035,0.35509,3.3496),(1585,4045,0.36123,3.3437),(1585,4055,0.36721,3.3378),(1585,4065,0.37314,3.3319),(1585,4075,0.37906,3.3258),(1585,4085,0.3848,3.3198),(1585,4095,0.39039,3.3137),(1585,4105,0.39598,3.3072),(1585,4115,0.38643,3.3008),(1585,4125,0.35178,3.2944),(1585,4135,0.31714,3.2891),(1585,4145,0.28149,3.2842),(1585,4155,0.24181,3.2793),(1585,4165,0.20213,3.2753),(1585,4175,0.16471,3.2718),(1585,4185,0.23919,3.2684),(1585,4195,0.31368,3.2634),(1585,4205,0.38817,3.2566),(1585,4215,0.38317,3.2497),(1585,4225,0.3632,3.2432),(1585,4235,0.34324,3.238),(1585,4245,0.31463,3.2328),(1585,4255,0.28164,3.2278),(1585,4265,0.24864,3.2242),(1585,4275,0.20559,3.2206),(1585,4285,0.15187,3.217),(1585,4295,0.098151,3.2158),(1585,4305,0.09029,3.2148),(1585,4315,0.18598,3.2139),(1585,4325,0.28166,3.2102),(1585,4335,0.36714,3.2055),(1585,4345,0.38353,3.2008),(1585,4355,0.39991,3.1947),(1585,4365,0.4163,3.1873),(1585,4375,0.42121,3.1799),(1585,4385,0.42553,3.1718),(1585,4395,0.42984,3.1625),(1585,4405,0.37514,3.1533),(1585,4415,0.30303,3.1448),(1585,4425,0.23092,3.1396),(1585,4435,0.20371,3.1345),(1585,4445,0.20718,3.1293),(1585,4455,0.21065,3.1248),(1585,4465,0.25636,3.1203),(1585,4475,0.36141,3.1157),(1585,4485,0.46647,3.1066),(1585,4495,0.55065,3.0965),(1585,4505,0.56786,3.0865),(1585,4515,0.58507,3.076),(1585,4525,0.60084,3.0653),(1585,4535,0.59381,3.0546),(1585,4545,0.58678,3.0439),(1585,4555,0.57976,3.0333),(1585,4565,0.43001,3.0227),(1585,4575,0.26102,3.0147),(1585,4585,0.092027,3.0131),(1585,4595,0.092137,3.0115),(1585,4605,0.1637,3.0093),(1585,4615,0.23525,3.0022),(1585,4625,0.3052,2.995),(1585,4635,0.37369,2.9878),(1585,4645,0.44217,2.9787),(1585,4655,0.50408,2.9693),(1585,4665,0.55359,2.96),(1585,4675,0.60309,2.9512),(1585,4685,0.62179,2.9426),(1585,4695,0.48825,2.934),(1585,4705,0.35471,2.9293),(1585,4715,0.22118,2.9273),(1585,4725,0.30293,2.9253),(1585,4735,0.38685,2.9216),(1585,4745,0.47076,2.9152),(1585,4755,0.57011,2.9088),(1585,4765,0.67304,2.9015),(1585,4775,0.77597,2.8909),(1585,4785,0.8263,2.8803),(1585,4795,0.8462,2.8698),(1585,4805,0.86611,2.8589),(1585,4815,0.8384,2.848),(1585,4825,0.75378,2.8371),(1585,4835,0.66915,2.8293),(1585,4845,0.57652,2.822),(1585,4855,0.46303,2.8147),(1585,4865,0.34954,2.8095),(1585,4875,0.26867,2.8053),(1585,4885,0.4846,2.8011),(1585,4895,0.70054,2.792),(1585,4905,0.91648,2.7782),(1585,4915,0.91687,2.7643),(1585,4925,0.89873,2.7508),(1585,4935,0.88059,2.7379),(1585,4945,0.80662,2.7251),(1585,4955,0.7133,2.7127),(1585,4965,0.61998,2.7036),(1585,4975,0.48431,2.6945),(1585,4985,0.31596,2.6853),(1585,4995,0.14761,2.6842),(1585,5005,0.1399,2.6834),(1585,5015,0.38759,2.6825),(1585,5025,0.63528,2.674),(1585,5035,0.85277,2.6635),(1585,5045,0.9552,2.653),(1585,5055,1.0576,2.6408),(1585,5065,1.1576,2.6274),(1585,5075,1.1783,2.6141),(1585,5085,1.199,2.6008),(1585,5095,1.2197,2.5878),(1585,5105,1.0729,2.5748),(1585,5115,0.89698,2.5634),(1585,5125,0.72104,2.5567),(1585,5135,0.61824,2.55),(1585,5145,0.55093,2.5433),(1585,5155,0.48363,2.537),(1585,5165,0.57083,2.5308),(1585,5175,0.81561,2.5245),(1585,5185,1.0604,2.51),(1585,5195,1.2346,2.4947),(1585,5205,1.2567,2.4794),(1585,5215,1.2789,2.4644),(1585,5225,1.2938,2.4495),(1585,5235,1.2645,2.4346),(1585,5245,1.2352,2.421),(1585,5255,1.2059,2.4083),(1585,5265,0.84363,2.3956),(1585,5275,0.46763,2.3875),(1585,5285,0.091635,2.3872),(1585,5295,0.19936,2.3869),(1585,5305,0.44178,2.3841),(1585,5315,0.68421,2.3712),(1585,5325,0.86344,2.3583),(1585,5335,1.0012,2.3454),(1585,5345,1.139,2.33),(1585,5355,1.2395,2.3147),(1585,5365,1.2898,2.2994),(1585,5375,1.34,2.2847),(1585,5385,1.2999,2.2702),(1585,5395,0.98479,2.2556),(1585,5405,0.66972,2.2482),(1585,5415,0.3808,2.2445),(1585,5425,0.44321,2.2408),(1585,5435,0.50562,2.2329),(1585,5445,0.56803,2.2205),(1585,5455,0.689,2.208),(1585,5465,0.81713,2.1932),(1585,5475,0.94526,2.1729),(1585,5485,1.0017,2.1525),(1585,5495,1.0292,2.1321),(1585,5505,1.0568,2.1114),(1585,5515,1.0853,2.0906),(1585,5525,1.1146,2.0698),(1585,5535,1.1439,2.0487),(1585,5545,1.1732,2.0275),(1585,5555,1.2023,2.0064),(1585,5565,1.2314,1.9851),(1585,5575,1.2603,1.9638),(1585,5585,1.2886,1.9424),(1585,5595,1.3169,1.9211),(1585,5605,1.3452,1.8997),(1585,5615,1.3725,1.8783),(1585,5625,1.3997,1.8569),(1585,5635,1.4269,1.8356),(1585,5645,1.4531,1.8143),(1585,5655,1.4792,1.793),(1585,5665,1.5052,1.7719),(1585,5675,1.5303,1.7508),(1585,5685,1.555,1.7297),(1585,5695,1.5797,1.7088),(1585,5705,1.6037,1.6879),(1585,5715,1.6269,1.667),(1585,5725,1.6502,1.6464),(1585,5735,1.6731,1.6258),(1585,5745,1.6949,1.6051),(1585,5755,1.7167,1.5848),(1585,5765,1.7384,1.5645),(1585,5775,1.7589,1.5442),(1585,5785,1.7793,1.5241),(1585,5795,1.7997,1.5042),(1585,5805,1.8189,1.4843),(1585,5815,1.838,1.4644),(1585,5825,1.857,1.4448),(1585,5835,1.8751,1.4252),(1585,5845,1.8928,1.4057),(1585,5855,1.9106,1.3864),(1585,5865,1.9276,1.3671),(1585,5875,1.9441,1.3478),(1585,5885,1.9606,1.3288),(1585,5895,1.9767,1.3098),(1585,5905,1.992,1.2908),(1585,5915,2.0073,1.272),(1585,5925,2.0224,1.2533),(1585,5935,2.0367,1.2346),(1585,5945,2.0509,1.2161),(1585,5955,2.0652,1.1976),(1585,5965,2.0788,1.1792),(1585,5975,2.0925,1.1609),(1585,5985,2.1061,1.1427),(1585,5995,1.6117,1.1245),(1585,6005,1.0354,1.1106),(1585,6015,0.45923,1.1083),(1585,6025,0.44494,1.106),(1585,6035,0.69127,1.1026),(1585,6045,0.9376,1.0887),(1585,6055,1.1173,1.0749),(1585,6065,1.2318,1.0611),(1585,6075,1.3462,1.043),(1585,6085,1.4254,1.0245),(1585,6095,1.4317,1.006),(1585,6105,1.4381,0.98732),(1585,6115,1.4444,0.96856),(1585,6125,1.4504,0.9498),(1585,6135,1.4565,0.931),(1585,6145,1.4625,0.91217),(1585,6155,1.4682,0.89333),(1585,6165,1.4739,0.87444),(1585,6175,1.4795,0.85545),(1585,6185,1.4849,0.83646),(1585,6195,1.4902,0.81744),(1585,6205,1.4955,0.79832),(1585,6215,1.5006,0.77921),(1585,6225,1.5055,0.76009),(1585,6235,1.5105,0.74091),(1585,6245,1.5152,0.72172),(1585,6255,1.5198,0.70254),(1585,6265,1.5244,0.68316),(1585,6275,1.5288,0.66375),(1585,6285,1.5329,0.64434),(1585,6295,1.537,0.62484),(1585,6305,1.541,0.60529),(1585,6315,1.5449,0.58574),(1585,6325,1.5487,0.5662),(1585,6335,1.5525,0.54669),(1585,6345,1.5559,0.52717),(1585,6355,1.5593,0.50761),(1585,6365,1.5626,0.48793),(1585,6375,1.5657,0.46825),(1585,6385,1.5686,0.44856),(1585,6395,1.5716,0.42875),(1585,6405,1.5743,0.40893),(1585,6415,1.5769,0.38912),(1585,6425,1.5794,0.36934),(1585,6435,1.5818,0.34957),(1585,6445,1.5839,0.3298),(1585,6455,1.5861,0.31003),(1585,6465,1.5882,0.29026),(1585,6475,1.5899,0.27049),(1585,6485,1.5916,0.25065),(1585,6495,1.5933,0.23077),(1585,6505,1.5946,0.21089),(1585,6515,1.596,0.19101),(1585,6525,1.5973,0.17112),(1585,6535,1.5982,0.15123),(1585,6545,1.5991,0.13135),(1585,6555,1.6001,0.11147),(1585,6565,1.6006,0.091585),(1585,6575,1.601,0.071703),(1585,6585,1.6014,0.051793),(1585,6595,1.3622,0.031882),(1585,6605,0.8584,0.011972),(1585,6615,0.35464,0.009694),(1585,6625,0.000511,0.009682),(1585,6635,0.000513,0.00967),(1585,6645,0.000516,0.009661),(1585,6655,0.000519,0.009652),(1585,6665,0.000521,0.009644),(1585,6675,0.000523,0.009636),(1585,6685,0.000526,0.009628),(1585,6695,0.000528,0.009619),(1585,6705,0.000531,0.009611),(1585,6715,0.000533,0.009603),(1585,6725,0.000535,0.009594),(1585,6735,0.000537,0.009586),(1585,6745,0.00054,0.009578),(1585,6755,0.000542,0.009569),(1585,6765,0.000544,0.009561),(1585,6775,0.000546,0.009553),(1585,6785,0.000548,0.009544),(1585,6795,0.00055,0.009536),(1585,6805,0.000552,0.009528),(1585,6815,0.000554,0.009519),(1585,6825,0.000556,0.009511),(1585,6835,0.000558,0.009502),(1585,6845,0.00056,0.009494),(1585,6855,0.000562,0.009485),(1585,6865,0.000564,0.009477),(1585,6875,0.000566,0.009469),(1585,6885,0.000567,0.00946),(1585,6895,0.000569,0.009452),(1585,6905,0.000571,0.009443),(1585,6915,0.000573,0.009435),(1585,6925,0.000574,0.009426),(1585,6935,0.000576,0.009418),(1585,6945,0.000578,0.009409),(1585,6955,0.00058,0.009401),(1585,6965,0.000581,0.009392),(1585,6975,0.000583,0.009384),(1585,6985,0.000584,0.009375),(1595,5,5.8e-05,3.676),(1595,15,0.000176,3.676),(1595,25,0.000293,3.676),(1595,35,0.00041,3.676),(1595,45,0.000527,3.676),(1595,55,0.000644,3.676),(1595,65,0.000762,3.676),(1595,75,0.000879,3.676),(1595,85,0.000997,3.676),(1595,95,0.001115,3.676),(1595,105,0.001233,3.676),(1595,115,0.001351,3.676),(1595,125,0.001469,3.676),(1595,135,0.001587,3.676),(1595,145,0.001706,3.6759),(1595,155,0.001825,3.6759),(1595,165,0.001945,3.6759),(1595,175,0.002064,3.6759),(1595,185,0.002183,3.6759),(1595,195,0.002304,3.6759),(1595,205,0.002424,3.6759),(1595,215,0.002544,3.6758),(1595,225,0.002665,3.6758),(1595,235,0.002787,3.6758),(1595,245,0.002909,3.6758),(1595,255,0.00303,3.6758),(1595,265,0.003153,3.6757),(1595,275,0.003276,3.6757),(1595,285,0.0034,3.6757),(1595,295,0.003523,3.6757),(1595,305,0.003648,3.6756),(1595,315,0.003773,3.6756),(1595,325,0.003898,3.6756),(1595,335,0.004024,3.6755),(1595,345,0.004151,3.6755),(1595,355,0.004278,3.6755),(1595,365,0.004405,3.6754),(1595,375,0.004533,3.6754),(1595,385,0.004662,3.6754),(1595,395,0.004792,3.6753),(1595,405,0.004921,3.6753),(1595,415,0.005051,3.6753),(1595,425,0.005183,3.6752),(1595,435,0.005316,3.6752),(1595,445,0.005448,3.6751),(1595,455,0.005581,3.6751),(1595,465,0.005716,3.6751),(1595,475,0.005851,3.675),(1595,485,0.005987,3.675),(1595,495,0.006122,3.6749),(1595,505,0.006261,3.6749),(1595,515,0.006399,3.6748),(1595,525,0.006538,3.6748),(1595,535,0.006677,3.6747),(1595,545,0.006819,3.6747),(1595,555,0.006961,3.6746),(1595,565,0.007104,3.6746),(1595,575,0.007246,3.6745),(1595,585,0.007392,3.6745),(1595,595,0.007538,3.6744),(1595,605,0.007684,3.6743),(1595,615,0.00783,3.6743),(1595,625,0.00798,3.6742),(1595,635,0.008131,3.6742),(1595,645,0.00828,3.6741),(1595,655,0.008431,3.674),(1595,665,0.008586,3.674),(1595,675,0.00874,3.6739),(1595,685,0.008894,3.6738),(1595,695,0.00905,3.6738),(1595,705,0.009209,3.6737),(1595,715,0.009368,3.6736),(1595,725,0.009527,3.6735),(1595,735,0.009687,3.6735),(1595,745,0.009851,3.6734),(1595,755,0.010016,3.6733),(1595,765,0.01018,3.6732),(1595,775,0.010345,3.6732),(1595,785,0.010515,3.6731),(1595,795,0.010684,3.673),(1595,805,0.010854,3.6729),(1595,815,0.011025,3.6728),(1595,825,0.0112,3.6727),(1595,835,0.011375,3.6726),(1595,845,0.01155,3.6725),(1595,855,0.011728,3.6725),(1595,865,0.011909,3.6724),(1595,875,0.01209,3.6723),(1595,885,0.012271,3.6722),(1595,895,0.012454,3.6721),(1595,905,0.012641,3.672),(1595,915,0.012828,3.6719),(1595,925,0.013015,3.6718),(1595,935,0.013205,3.6717),(1595,945,0.013399,3.6715),(1595,955,0.013593,3.6714),(1595,965,0.013787,3.6713),(1595,975,0.013984,3.6712),(1595,985,0.014185,3.6711),(1595,995,0.014386,3.671),(1595,1005,0.014586,3.6709),(1595,1015,0.014791,3.6707),(1595,1025,0.014999,3.6706),(1595,1035,0.015207,3.6705),(1595,1045,0.015415,3.6704),(1595,1055,0.015627,3.6702),(1595,1065,0.015842,3.6701),(1595,1075,0.016058,3.67),(1595,1085,0.016273,3.6698),(1595,1095,0.016493,3.6697),(1595,1105,0.016716,3.6696),(1595,1115,0.01694,3.6694),(1595,1125,0.017163,3.6693),(1595,1135,0.017391,3.6691),(1595,1145,0.017623,3.669),(1595,1155,0.017854,3.6688),(1595,1165,0.018085,3.6687),(1595,1175,0.018322,3.6685),(1595,1185,0.018562,3.6684),(1595,1195,0.018802,3.6682),(1595,1205,0.019042,3.668),(1595,1215,0.019289,3.6679),(1595,1225,0.019537,3.6677),(1595,1235,0.019786,3.6675),(1595,1245,0.020035,3.6673),(1595,1255,0.020291,3.6672),(1595,1265,0.020549,3.667),(1595,1275,0.020806,3.6668),(1595,1285,0.021064,3.6666),(1595,1295,0.02133,3.6664),(1595,1305,0.021597,3.6662),(1595,1315,0.021864,3.666),(1595,1325,0.022132,3.6658),(1595,1335,0.022407,3.6656),(1595,1345,0.022684,3.6654),(1595,1355,0.022961,3.6652),(1595,1365,0.023238,3.665),(1595,1375,0.023524,3.6648),(1595,1385,0.023811,3.6646),(1595,1395,0.024098,3.6644),(1595,1405,0.024385,3.6642),(1595,1415,0.024682,3.6639),(1595,1425,0.024979,3.6637),(1595,1435,0.025276,3.6635),(1595,1445,0.025573,3.6632),(1595,1455,0.025881,3.663),(1595,1465,0.026188,3.6628),(1595,1475,0.026496,3.6625),(1595,1485,0.026804,3.6623),(1595,1495,0.027122,3.662),(1595,1505,0.027441,3.6617),(1595,1515,0.027759,3.6615),(1595,1525,0.028078,3.6612),(1595,1535,0.028408,3.6609),(1595,1545,0.028737,3.6607),(1595,1555,0.029066,3.6604),(1595,1565,0.029397,3.6601),(1595,1575,0.029737,3.6598),(1595,1585,0.030078,3.6595),(1595,1595,0.030418,3.6592),(1595,1605,0.03076,3.6589),(1595,1615,0.031112,3.6586),(1595,1625,0.031463,3.6583),(1595,1635,0.031815,3.658),(1595,1645,0.032168,3.6577),(1595,1655,0.032531,3.6574),(1595,1665,0.032894,3.657),(1595,1675,0.033257,3.6567),(1595,1685,0.033622,3.6564),(1595,1695,0.033997,3.656),(1595,1705,0.034371,3.6557),(1595,1715,0.034746,3.6553),(1595,1725,0.035123,3.655),(1595,1735,0.035509,3.6546),(1595,1745,0.035895,3.6543),(1595,1755,0.036281,3.6539),(1595,1765,0.03667,3.6535),(1595,1775,0.037068,3.6531),(1595,1785,0.037466,3.6527),(1595,1795,0.037863,3.6523),(1595,1805,0.038264,3.6519),(1595,1815,0.038673,3.6515),(1595,1825,0.039082,3.6511),(1595,1835,0.039491,3.6507),(1595,1845,0.039903,3.6503),(1595,1855,0.040323,3.6498),(1595,1865,0.040743,3.6494),(1595,1875,0.041163,3.649),(1595,1885,0.041588,3.6485),(1595,1895,0.042019,3.6481),(1595,1905,0.04245,3.6476),(1595,1915,0.042881,3.6471),(1595,1925,0.043317,3.6467),(1595,1935,0.043759,3.6462),(1595,1945,0.044201,3.6457),(1595,1955,0.044643,3.6452),(1595,1965,0.045089,3.6447),(1595,1975,0.045542,3.6442),(1595,1985,0.045994,3.6437),(1595,1995,0.046447,3.6432),(1595,2005,0.046904,3.6426),(1595,2015,0.047367,3.6421),(1595,2025,0.047829,3.6416),(1595,2035,0.048292,3.641),(1595,2045,0.04876,3.6405),(1595,2055,0.049232,3.6399),(1595,2065,0.049704,3.6393),(1595,2075,0.050175,3.6388),(1595,2085,0.050653,3.6382),(1595,2095,0.051134,3.6376),(1595,2105,0.051615,3.637),(1595,2115,0.052096,3.6364),(1595,2125,0.052582,3.6358),(1595,2135,0.053072,3.6351),(1595,2145,0.053561,3.6345),(1595,2155,0.054051,3.6339),(1595,2165,0.054545,3.6332),(1595,2175,0.055042,3.6326),(1595,2185,0.055539,3.6319),(1595,2195,0.056037,3.6312),(1595,2205,0.056538,3.6305),(1595,2215,0.057042,3.6299),(1595,2225,0.057546,3.6291),(1595,2235,0.05805,3.6284),(1595,2245,0.058558,3.6277),(1595,2255,0.059068,3.627),(1595,2265,0.059578,3.6263),(1595,2275,0.060088,3.6255),(1595,2285,0.060601,3.6248),(1595,2295,0.061116,3.624),(1595,2305,0.06163,3.6232),(1595,2315,0.062145,3.6225),(1595,2325,0.062662,3.6217),(1595,2335,0.06318,3.6209),(1595,2345,0.063698,3.6201),(1595,2355,0.064217,3.6193),(1595,2365,0.064736,3.6184),(1595,2375,0.065257,3.6176),(1595,2385,0.065777,3.6168),(1595,2395,0.066297,3.6159),(1595,2405,0.066818,3.615),(1595,2415,0.067339,3.6142),(1595,2425,0.067861,3.6133),(1595,2435,0.068382,3.6124),(1595,2445,0.068902,3.6115),(1595,2455,0.069423,3.6106),(1595,2465,0.069943,3.6097),(1595,2475,0.070464,3.6087),(1595,2485,0.070982,3.6078),(1595,2495,0.071501,3.6069),(1595,2505,0.072019,3.6059),(1595,2515,0.072537,3.6049),(1595,2525,0.073051,3.6039),(1595,2535,0.073565,3.603),(1595,2545,0.074079,3.6019),(1595,2555,0.074593,3.6009),(1595,2565,0.075102,3.5999),(1595,2575,0.07561,3.5989),(1595,2585,0.076118,3.5979),(1595,2595,0.076626,3.5968),(1595,2605,0.077126,3.5957),(1595,2615,0.077627,3.5947),(1595,2625,0.078127,3.5936),(1595,2635,0.078627,3.5925),(1595,2645,0.079117,3.5914),(1595,2655,0.079608,3.5903),(1595,2665,0.080099,3.5892),(1595,2675,0.080587,3.588),(1595,2685,0.081066,3.5869),(1595,2695,0.081545,3.5858),(1595,2705,0.082023,3.5846),(1595,2715,0.082499,3.5834),(1595,2725,0.082963,3.5823),(1595,2735,0.083427,3.5811),(1595,2745,0.083891,3.5799),(1595,2755,0.084351,3.5787),(1595,2765,0.084798,3.5774),(1595,2775,0.085246,3.5762),(1595,2785,0.085693,3.575),(1595,2795,0.086135,3.5737),(1595,2805,0.086563,3.5725),(1595,2815,0.086991,3.5712),(1595,2825,0.087419,3.5699),(1595,2835,0.08784,3.5686),(1595,2845,0.088246,3.5674),(1595,2855,0.088653,3.5661),(1595,2865,0.089059,3.5647),(1595,2875,0.089457,3.5634),(1595,2885,0.089839,3.5621),(1595,2895,0.090222,3.5608),(1595,2905,0.090604,3.5594),(1595,2915,0.090975,3.5581),(1595,2925,0.091331,3.5567),(1595,2935,0.091686,3.5553),(1595,2945,0.092042,3.5539),(1595,2955,0.092384,3.5526),(1595,2965,0.09271,3.5512),(1595,2975,0.093036,3.5498),(1595,2985,0.093362,3.5483),(1595,2995,0.093673,3.5469),(1595,3005,0.093966,3.5455),(1595,3015,0.09426,3.5441),(1595,3025,0.094554,3.5426),(1595,3035,0.09483,3.5412),(1595,3045,0.095089,3.5397),(1595,3055,0.095348,3.5382),(1595,3065,0.095607,3.5368),(1595,3075,0.095844,3.5353),(1595,3085,0.096066,3.5338),(1595,3095,0.096287,3.5323),(1595,3105,0.096508,3.5308),(1595,3115,0.096705,3.5293),(1595,3125,0.096887,3.5278),(1595,3135,0.097068,3.5263),(1595,3145,0.097249,3.5248),(1595,3155,0.097403,3.5233),(1595,3165,0.097542,3.5217),(1595,3175,0.09768,3.5202),(1595,3185,0.097819,3.5187),(1595,3195,0.097926,3.5171),(1595,3205,0.09802,3.5156),(1595,3215,0.098113,3.514),(1595,3225,0.098206,3.5124),(1595,3235,0.098265,3.5109),(1595,3245,0.098311,3.5093),(1595,3255,0.098356,3.5078),(1595,3265,0.098402,3.5062),(1595,3275,0.098409,3.5046),(1595,3285,0.098405,3.503),(1595,3295,0.0984,3.5014),(1595,3305,0.098396,3.4999),(1595,3315,0.098349,3.4983),(1595,3325,0.098292,3.4967),(1595,3335,0.098235,3.4951),(1595,3345,0.098177,3.4935),(1595,3355,0.098074,3.4919),(1595,3365,0.097962,3.4903),(1595,3375,0.097851,3.4887),(1595,3385,0.097739,3.4871),(1595,3395,0.097577,3.4855),(1595,3405,0.097408,3.4839),(1595,3415,0.09724,3.4823),(1595,3425,0.097071,3.4807),(1595,3435,0.096848,3.4791),(1595,3445,0.096621,3.4776),(1595,3455,0.096394,3.476),(1595,3465,0.096167,3.4744),(1595,3475,0.095882,3.4728),(1595,3485,0.095595,3.4712),(1595,3495,0.095308,3.4696),(1595,3505,0.09502,3.468),(1595,3515,0.094671,3.4664),(1595,3525,0.094322,3.4648),(1595,3535,0.093973,3.4632),(1595,3545,0.093621,3.4617),(1595,3555,0.093209,3.4601),(1595,3565,0.092797,3.4585),(1595,3575,0.092384,3.4569),(1595,3585,0.091967,3.4554),(1595,3595,0.09149,3.4538),(1595,3605,0.091014,3.4522),(1595,3615,0.090537,3.4507),(1595,3625,0.090052,3.4491),(1595,3635,0.08951,3.4476),(1595,3645,0.088968,3.446),(1595,3655,0.088427,3.4445),(1595,3665,0.087874,3.4429),(1595,3675,0.087266,3.4414),(1595,3685,0.086659,3.4399),(1595,3695,0.086051,3.4383),(1595,3705,0.08543,3.4368),(1595,3715,0.084755,3.4353),(1595,3725,0.084081,3.4338),(1595,3735,0.083407,3.4323),(1595,3745,0.082717,3.4308),(1595,3755,0.081976,3.4293),(1595,3765,0.081235,3.4278),(1595,3775,0.080494,3.4264),(1595,3785,0.079735,3.4249),(1595,3795,0.078927,3.4234),(1595,3805,0.078119,3.4219),(1595,3815,0.077311,3.4205),(1595,3825,0.076481,3.419),(1595,3835,0.075606,3.4176),(1595,3845,0.074731,3.4161),(1595,3855,0.073856,3.4147),(1595,3865,0.072957,3.4133),(1595,3875,0.072014,3.4119),(1595,3885,0.071071,3.4104),(1595,3895,0.070128,3.409),(1595,3905,0.081231,3.4076),(1595,3915,0.11033,3.4062),(1595,3925,0.13943,3.4039),(1595,3935,0.16853,3.4003),(1595,3945,0.20046,3.3966),(1595,3955,0.236,3.393),(1595,3965,0.27153,3.3884),(1595,3975,0.30707,3.3827),(1595,3985,0.3284,3.3769),(1595,3995,0.33436,3.3712),(1595,4005,0.34033,3.3654),(1595,4015,0.34629,3.3596),(1595,4025,0.35241,3.3538),(1595,4035,0.35855,3.348),(1595,4045,0.36469,3.342),(1595,4055,0.37068,3.3361),(1595,4065,0.37663,3.3301),(1595,4075,0.38258,3.324),(1595,4085,0.38836,3.3179),(1595,4095,0.39401,3.3118),(1595,4105,0.39966,3.3053),(1595,4115,0.39006,3.2989),(1595,4125,0.35516,3.2925),(1595,4135,0.32025,3.2873),(1595,4145,0.28437,3.2825),(1595,4155,0.24448,3.2776),(1595,4165,0.2046,3.2737),(1595,4175,0.16699,3.2703),(1595,4185,0.24207,3.267),(1595,4195,0.31715,3.2621),(1595,4205,0.39223,3.2552),(1595,4215,0.387,3.2483),(1595,4225,0.36666,3.2418),(1595,4235,0.34632,3.2365),(1595,4245,0.31741,3.2312),(1595,4255,0.28414,3.226),(1595,4265,0.25087,3.2222),(1595,4275,0.20745,3.2185),(1595,4285,0.15326,3.2147),(1595,4295,0.099061,3.2134),(1595,4305,0.091053,3.2124),(1595,4315,0.18733,3.2114),(1595,4325,0.28361,3.2075),(1595,4335,0.3697,3.2026),(1595,4345,0.38679,3.1977),(1595,4355,0.40389,3.1913),(1595,4365,0.42098,3.1837),(1595,4375,0.42639,3.1761),(1595,4385,0.43119,3.1678),(1595,4395,0.436,3.1585),(1595,4405,0.38075,3.1491),(1595,4415,0.30779,3.1406),(1595,4425,0.23484,3.1355),(1595,4435,0.20718,3.1305),(1595,4445,0.21048,3.1255),(1595,4455,0.21378,3.1209),(1595,4465,0.2598,3.1164),(1595,4475,0.36586,3.1118),(1595,4485,0.47191,3.1027),(1595,4495,0.55687,3.0926),(1595,4505,0.57415,3.0825),(1595,4515,0.59143,3.072),(1595,4525,0.60727,3.0612),(1595,4535,0.60028,3.0505),(1595,4545,0.59328,3.0397),(1595,4555,0.58628,3.029),(1595,4565,0.43507,3.0182),(1595,4575,0.26442,3.0101),(1595,4585,0.093772,3.0085),(1595,4595,0.094244,3.0069),(1595,4605,0.16702,3.0046),(1595,4615,0.23979,2.9974),(1595,4625,0.31042,2.9901),(1595,4635,0.37911,2.9828),(1595,4645,0.44779,2.9737),(1595,4655,0.50965,2.9643),(1595,4665,0.55862,2.955),(1595,4675,0.60759,2.9462),(1595,4685,0.62565,2.9376),(1595,4695,0.49096,2.929),(1595,4705,0.35628,2.9242),(1595,4715,0.22159,2.9222),(1595,4725,0.30411,2.9202),(1595,4735,0.38879,2.9165),(1595,4745,0.47348,2.9102),(1595,4755,0.57349,2.9038),(1595,4765,0.67704,2.8965),(1595,4775,0.78059,2.8859),(1595,4785,0.83114,2.8753),(1595,4795,0.85103,2.8647),(1595,4805,0.87092,2.8537),(1595,4815,0.84296,2.8428),(1595,4825,0.75778,2.8318),(1595,4835,0.6726,2.8241),(1595,4845,0.57952,2.8168),(1595,4855,0.46582,2.8096),(1595,4865,0.35211,2.8044),(1595,4875,0.2712,2.8002),(1595,4885,0.48862,2.796),(1595,4895,0.70605,2.7869),(1595,4905,0.92347,2.7731),(1595,4915,0.92382,2.7593),(1595,4925,0.9055,2.7459),(1595,4935,0.88718,2.733),(1595,4945,0.81277,2.7201),(1595,4955,0.71892,2.7078),(1595,4965,0.62508,2.6986),(1595,4975,0.48841,2.6894),(1595,4985,0.3187,2.6803),(1595,4995,0.14898,2.6792),(1595,5005,0.14093,2.6783),(1595,5015,0.3899,2.6774),(1595,5025,0.63888,2.6689),(1595,5035,0.85742,2.6584),(1595,5045,0.96006,2.648),(1595,5055,1.0627,2.6358),(1595,5065,1.1629,2.6225),(1595,5075,1.1834,2.6092),(1595,5085,1.2038,2.596),(1595,5095,1.2243,2.583),(1595,5105,1.0769,2.57),(1595,5115,0.90015,2.5586),(1595,5125,0.72345,2.5519),(1595,5135,0.62058,2.5453),(1595,5145,0.55355,2.5386),(1595,5155,0.48652,2.5324),(1595,5165,0.57441,2.5261),(1595,5175,0.82031,2.5199),(1595,5185,1.0662,2.5055),(1595,5195,1.2411,2.4902),(1595,5205,1.263,2.4749),(1595,5215,1.2848,2.46),(1595,5225,1.2995,2.4452),(1595,5235,1.2698,2.4303),(1595,5245,1.24,2.4167),(1595,5255,1.2102,2.4041),(1595,5265,0.84672,2.3914),(1595,5275,0.46944,2.3833),(1595,5285,0.092147,2.383),(1595,5295,0.20126,2.3827),(1595,5305,0.44583,2.3799),(1595,5315,0.69039,2.367),(1595,5325,0.87039,2.3541),(1595,5335,1.008,2.3412),(1595,5345,1.1457,2.3259),(1595,5355,1.2459,2.3107),(1595,5365,1.2956,2.2954),(1595,5375,1.3454,2.2808),(1595,5385,1.3045,2.2663),(1595,5395,0.98823,2.2518),(1595,5405,0.67195,2.2444),(1595,5415,0.38206,2.2407),(1595,5425,0.44665,2.237),(1595,5435,0.51124,2.2291),(1595,5445,0.57583,2.2166),(1595,5455,0.69833,2.2041),(1595,5465,0.82792,2.1892),(1595,5475,0.9575,2.1688),(1595,5485,1.0143,2.1483),(1595,5495,1.0419,2.1278),(1595,5505,1.0694,2.107),(1595,5515,1.0978,2.0862),(1595,5525,1.1271,2.0653),(1595,5535,1.1563,2.0442),(1595,5545,1.1855,2.023),(1595,5555,1.2145,2.0018),(1595,5565,1.2435,1.9805),(1595,5575,1.2723,1.9592),(1595,5585,1.3004,1.9379),(1595,5595,1.3286,1.9165),(1595,5605,1.3567,1.8951),(1595,5615,1.3838,1.8738),(1595,5625,1.4108,1.8524),(1595,5635,1.4378,1.8312),(1595,5645,1.4639,1.8099),(1595,5655,1.4897,1.7887),(1595,5665,1.5155,1.7676),(1595,5675,1.5404,1.7466),(1595,5685,1.5648,1.7255),(1595,5695,1.5893,1.7047),(1595,5705,1.6131,1.6839),(1595,5715,1.6361,1.6631),(1595,5725,1.6592,1.6426),(1595,5735,1.6818,1.622),(1595,5745,1.7034,1.6015),(1595,5755,1.725,1.5812),(1595,5765,1.7465,1.5611),(1595,5775,1.7667,1.5409),(1595,5785,1.7869,1.5209),(1595,5795,1.8071,1.5011),(1595,5805,1.8261,1.4812),(1595,5815,1.8449,1.4615),(1595,5825,1.8638,1.442),(1595,5835,1.8817,1.4225),(1595,5845,1.8992,1.403),(1595,5855,1.9168,1.3838),(1595,5865,1.9336,1.3646),(1595,5875,1.9499,1.3454),(1595,5885,1.9662,1.3265),(1595,5895,1.9821,1.3076),(1595,5905,1.9973,1.2887),(1595,5915,2.0124,1.2701),(1595,5925,2.0273,1.2515),(1595,5935,2.0414,1.2329),(1595,5945,2.0555,1.2144),(1595,5955,2.0696,1.1961),(1595,5965,2.0831,1.1778),(1595,5975,2.0966,1.1595),(1595,5985,2.11,1.1414),(1595,5995,1.6146,1.1233),(1595,6005,1.0373,1.1095),(1595,6015,0.46002,1.1072),(1595,6025,0.44675,1.1049),(1595,6035,0.69508,1.1015),(1595,6045,0.9434,1.0876),(1595,6055,1.1245,1.0738),(1595,6065,1.2396,1.06),(1595,6075,1.3548,1.0419),(1595,6085,1.4344,1.0234),(1595,6095,1.4408,1.0049),(1595,6105,1.4471,0.98624),(1595,6115,1.4534,0.96749),(1595,6125,1.4595,0.94873),(1595,6135,1.4656,0.92993),(1595,6145,1.4717,0.91111),(1595,6155,1.4774,0.89228),(1595,6165,1.4831,0.8734),(1595,6175,1.4887,0.85442),(1595,6185,1.4941,0.83545),(1595,6195,1.4994,0.81645),(1595,6205,1.5048,0.79736),(1595,6215,1.5098,0.77826),(1595,6225,1.5148,0.75917),(1595,6235,1.5197,0.74001),(1595,6245,1.5245,0.72085),(1595,6255,1.529,0.70168),(1595,6265,1.5336,0.68234),(1595,6275,1.538,0.66297),(1595,6285,1.5421,0.6436),(1595,6295,1.5462,0.62409),(1595,6305,1.5503,0.60451),(1595,6315,1.5541,0.58494),(1595,6325,1.558,0.56541),(1595,6335,1.5618,0.54593),(1595,6345,1.5652,0.52645),(1595,6355,1.5686,0.50692),(1595,6365,1.5719,0.48727),(1595,6375,1.575,0.46761),(1595,6385,1.5779,0.44794),(1595,6395,1.5809,0.42816),(1595,6405,1.5836,0.40837),(1595,6415,1.5862,0.38859),(1595,6425,1.5887,0.36884),(1595,6435,1.5912,0.3491),(1595,6445,1.5933,0.32935),(1595,6455,1.5955,0.30961),(1595,6465,1.5975,0.28986),(1595,6475,1.5993,0.27012),(1595,6485,1.601,0.25031),(1595,6495,1.6027,0.23046),(1595,6505,1.604,0.2106),(1595,6515,1.6054,0.19075),(1595,6525,1.6067,0.17089),(1595,6535,1.6076,0.15104),(1595,6545,1.6085,0.13119),(1595,6555,1.6094,0.11136),(1595,6565,1.61,0.091534),(1595,6575,1.6104,0.071703),(1595,6585,1.6108,0.051799),(1595,6595,1.3702,0.031896),(1595,6605,0.86345,0.011992),(1595,6615,0.35673,0.00971),(1595,6625,0.000516,0.009692),(1595,6635,0.000518,0.009674),(1595,6645,0.000521,0.009663),(1595,6655,0.000523,0.009655),(1595,6665,0.000526,0.009647),(1595,6675,0.000528,0.009638),(1595,6685,0.000531,0.00963),(1595,6695,0.000533,0.009621),(1595,6705,0.000535,0.009613),(1595,6715,0.000538,0.009605),(1595,6725,0.00054,0.009597),(1595,6735,0.000542,0.009588),(1595,6745,0.000544,0.00958),(1595,6755,0.000547,0.009572),(1595,6765,0.000549,0.009563),(1595,6775,0.000551,0.009555),(1595,6785,0.000553,0.009546),(1595,6795,0.000555,0.009538),(1595,6805,0.000557,0.00953),(1595,6815,0.000559,0.009521),(1595,6825,0.000561,0.009513),(1595,6835,0.000563,0.009504),(1595,6845,0.000565,0.009496),(1595,6855,0.000567,0.009487),(1595,6865,0.000569,0.009479),(1595,6875,0.00057,0.00947),(1595,6885,0.000572,0.009462),(1595,6895,0.000574,0.009454),(1595,6905,0.000576,0.009445),(1595,6915,0.000577,0.009437),(1595,6925,0.000579,0.009428),(1595,6935,0.000581,0.00942),(1595,6945,0.000583,0.009411),(1595,6955,0.000584,0.009403),(1595,6965,0.000586,0.009394),(1595,6975,0.000587,0.009385),(1595,6985,0.000589,0.009377),(1605,5,5.9e-05,3.6762),(1605,15,0.000176,3.6762),(1605,25,0.000293,3.6762),(1605,35,0.00041,3.6762),(1605,45,0.000528,3.6761),(1605,55,0.000645,3.6761),(1605,65,0.000762,3.6761),(1605,75,0.00088,3.6761),(1605,85,0.000998,3.6761),(1605,95,0.001116,3.6761),(1605,105,0.001234,3.6761),(1605,115,0.001352,3.6761),(1605,125,0.001471,3.6761),(1605,135,0.001589,3.6761),(1605,145,0.001708,3.6761),(1605,155,0.001827,3.6761),(1605,165,0.001946,3.676),(1605,175,0.002065,3.676),(1605,185,0.002185,3.676),(1605,195,0.002306,3.676),(1605,205,0.002426,3.676),(1605,215,0.002546,3.676),(1605,225,0.002668,3.6759),(1605,235,0.002789,3.6759),(1605,245,0.002911,3.6759),(1605,255,0.003033,3.6759),(1605,265,0.003156,3.6759),(1605,275,0.003279,3.6758),(1605,285,0.003403,3.6758),(1605,295,0.003526,3.6758),(1605,305,0.003651,3.6758),(1605,315,0.003776,3.6757),(1605,325,0.003902,3.6757),(1605,335,0.004027,3.6757),(1605,345,0.004154,3.6756),(1605,355,0.004282,3.6756),(1605,365,0.004409,3.6756),(1605,375,0.004537,3.6755),(1605,385,0.004666,3.6755),(1605,395,0.004796,3.6755),(1605,405,0.004926,3.6754),(1605,415,0.005056,3.6754),(1605,425,0.005188,3.6754),(1605,435,0.005321,3.6753),(1605,445,0.005453,3.6753),(1605,455,0.005586,3.6752),(1605,465,0.005722,3.6752),(1605,475,0.005857,3.6752),(1605,485,0.005993,3.6751),(1605,495,0.006128,3.6751),(1605,505,0.006267,3.675),(1605,515,0.006406,3.675),(1605,525,0.006545,3.6749),(1605,535,0.006684,3.6749),(1605,545,0.006826,3.6748),(1605,555,0.006969,3.6748),(1605,565,0.007111,3.6747),(1605,575,0.007254,3.6747),(1605,585,0.0074,3.6746),(1605,595,0.007546,3.6746),(1605,605,0.007693,3.6745),(1605,615,0.007839,3.6744),(1605,625,0.00799,3.6744),(1605,635,0.00814,3.6743),(1605,645,0.00829,3.6743),(1605,655,0.008441,3.6742),(1605,665,0.008596,3.6741),(1605,675,0.00875,3.6741),(1605,685,0.008905,3.674),(1605,695,0.009061,3.6739),(1605,705,0.00922,3.6739),(1605,715,0.00938,3.6738),(1605,725,0.009539,3.6737),(1605,735,0.0097,3.6736),(1605,745,0.009864,3.6736),(1605,755,0.010029,3.6735),(1605,765,0.010193,3.6734),(1605,775,0.010359,3.6733),(1605,785,0.010529,3.6732),(1605,795,0.010699,3.6732),(1605,805,0.010869,3.6731),(1605,815,0.01104,3.673),(1605,825,0.011216,3.6729),(1605,835,0.011391,3.6728),(1605,845,0.011567,3.6727),(1605,855,0.011745,3.6726),(1605,865,0.011926,3.6725),(1605,875,0.012107,3.6724),(1605,885,0.012289,3.6724),(1605,895,0.012473,3.6723),(1605,905,0.01266,3.6722),(1605,915,0.012848,3.6721),(1605,925,0.013036,3.672),(1605,935,0.013226,3.6718),(1605,945,0.013421,3.6717),(1605,955,0.013615,3.6716),(1605,965,0.013809,3.6715),(1605,975,0.014007,3.6714),(1605,985,0.014208,3.6713),(1605,995,0.01441,3.6712),(1605,1005,0.014611,3.6711),(1605,1015,0.014816,3.6709),(1605,1025,0.015025,3.6708),(1605,1035,0.015234,3.6707),(1605,1045,0.015442,3.6706),(1605,1055,0.015655,3.6704),(1605,1065,0.015871,3.6703),(1605,1075,0.016087,3.6702),(1605,1085,0.016304,3.67),(1605,1095,0.016524,3.6699),(1605,1105,0.016748,3.6698),(1605,1115,0.016972,3.6696),(1605,1125,0.017196,3.6695),(1605,1135,0.017426,3.6693),(1605,1145,0.017658,3.6692),(1605,1155,0.01789,3.6691),(1605,1165,0.018122,3.6689),(1605,1175,0.01836,3.6687),(1605,1185,0.018601,3.6686),(1605,1195,0.018842,3.6684),(1605,1205,0.019083,3.6683),(1605,1215,0.01933,3.6681),(1605,1225,0.01958,3.6679),(1605,1235,0.01983,3.6678),(1605,1245,0.02008,3.6676),(1605,1255,0.020336,3.6674),(1605,1265,0.020595,3.6672),(1605,1275,0.020854,3.6671),(1605,1285,0.021113,3.6669),(1605,1295,0.02138,3.6667),(1605,1305,0.021649,3.6665),(1605,1315,0.021917,3.6663),(1605,1325,0.022186,3.6661),(1605,1335,0.022462,3.6659),(1605,1345,0.022741,3.6657),(1605,1355,0.023019,3.6655),(1605,1365,0.023298,3.6653),(1605,1375,0.023585,3.6651),(1605,1385,0.023873,3.6649),(1605,1395,0.024162,3.6647),(1605,1405,0.02445,3.6645),(1605,1415,0.024748,3.6642),(1605,1425,0.025047,3.664),(1605,1435,0.025346,3.6638),(1605,1445,0.025644,3.6635),(1605,1455,0.025953,3.6633),(1605,1465,0.026263,3.6631),(1605,1475,0.026572,3.6628),(1605,1485,0.026882,3.6626),(1605,1495,0.027202,3.6623),(1605,1505,0.027522,3.6621),(1605,1515,0.027842,3.6618),(1605,1525,0.028163,3.6615),(1605,1535,0.028494,3.6613),(1605,1545,0.028825,3.661),(1605,1555,0.029157,3.6607),(1605,1565,0.029489,3.6604),(1605,1575,0.029832,3.6602),(1605,1585,0.030174,3.6599),(1605,1595,0.030517,3.6596),(1605,1605,0.030861,3.6593),(1605,1615,0.031214,3.659),(1605,1625,0.031568,3.6587),(1605,1635,0.031922,3.6584),(1605,1645,0.032278,3.658),(1605,1655,0.032643,3.6577),(1605,1665,0.033009,3.6574),(1605,1675,0.033374,3.6571),(1605,1685,0.033742,3.6567),(1605,1695,0.034119,3.6564),(1605,1705,0.034496,3.6561),(1605,1715,0.034873,3.6557),(1605,1725,0.035252,3.6554),(1605,1735,0.035641,3.655),(1605,1745,0.03603,3.6546),(1605,1755,0.036419,3.6543),(1605,1765,0.03681,3.6539),(1605,1775,0.037211,3.6535),(1605,1785,0.037611,3.6531),(1605,1795,0.038012,3.6527),(1605,1805,0.038416,3.6523),(1605,1815,0.038828,3.6519),(1605,1825,0.039239,3.6515),(1605,1835,0.039651,3.6511),(1605,1845,0.040067,3.6507),(1605,1855,0.040491,3.6503),(1605,1865,0.040914,3.6498),(1605,1875,0.041337,3.6494),(1605,1885,0.041765,3.649),(1605,1895,0.042199,3.6485),(1605,1905,0.042634,3.6481),(1605,1915,0.043068,3.6476),(1605,1925,0.043507,3.6471),(1605,1935,0.043953,3.6466),(1605,1945,0.044399,3.6462),(1605,1955,0.044844,3.6457),(1605,1965,0.045295,3.6452),(1605,1975,0.045751,3.6447),(1605,1985,0.046207,3.6442),(1605,1995,0.046664,3.6436),(1605,2005,0.047125,3.6431),(1605,2015,0.047592,3.6426),(1605,2025,0.048058,3.6421),(1605,2035,0.048525,3.6415),(1605,2045,0.048997,3.6409),(1605,2055,0.049473,3.6404),(1605,2065,0.049949,3.6398),(1605,2075,0.050426,3.6392),(1605,2085,0.050907,3.6387),(1605,2095,0.051393,3.6381),(1605,2105,0.051878,3.6375),(1605,2115,0.052364,3.6369),(1605,2125,0.052854,3.6363),(1605,2135,0.053349,3.6356),(1605,2145,0.053843,3.635),(1605,2155,0.054337,3.6344),(1605,2165,0.054836,3.6337),(1605,2175,0.055338,3.6331),(1605,2185,0.05584,3.6324),(1605,2195,0.056342,3.6317),(1605,2205,0.056849,3.631),(1605,2215,0.057358,3.6304),(1605,2225,0.057867,3.6297),(1605,2235,0.058376,3.629),(1605,2245,0.058889,3.6282),(1605,2255,0.059404,3.6275),(1605,2265,0.059919,3.6268),(1605,2275,0.060434,3.626),(1605,2285,0.060953,3.6253),(1605,2295,0.061473,3.6245),(1605,2305,0.061993,3.6238),(1605,2315,0.062513,3.623),(1605,2325,0.063036,3.6222),(1605,2335,0.06356,3.6214),(1605,2345,0.064083,3.6206),(1605,2355,0.064607,3.6198),(1605,2365,0.065133,3.619),(1605,2375,0.065659,3.6181),(1605,2385,0.066185,3.6173),(1605,2395,0.066711,3.6164),(1605,2405,0.067238,3.6156),(1605,2415,0.067765,3.6147),(1605,2425,0.068292,3.6138),(1605,2435,0.068819,3.6129),(1605,2445,0.069346,3.612),(1605,2455,0.069872,3.6111),(1605,2465,0.070399,3.6102),(1605,2475,0.070926,3.6093),(1605,2485,0.07145,3.6083),(1605,2495,0.071974,3.6074),(1605,2505,0.072499,3.6064),(1605,2515,0.073023,3.6054),(1605,2525,0.073544,3.6045),(1605,2535,0.074064,3.6035),(1605,2545,0.074584,3.6025),(1605,2555,0.075104,3.6015),(1605,2565,0.075619,3.6004),(1605,2575,0.076134,3.5994),(1605,2585,0.076648,3.5984),(1605,2595,0.077162,3.5973),(1605,2605,0.077669,3.5963),(1605,2615,0.078176,3.5952),(1605,2625,0.078683,3.5941),(1605,2635,0.079188,3.593),(1605,2645,0.079685,3.5919),(1605,2655,0.080182,3.5908),(1605,2665,0.080679,3.5897),(1605,2675,0.081174,3.5885),(1605,2685,0.081659,3.5874),(1605,2695,0.082145,3.5863),(1605,2705,0.08263,3.5851),(1605,2715,0.083111,3.5839),(1605,2725,0.083582,3.5827),(1605,2735,0.084053,3.5815),(1605,2745,0.084523,3.5803),(1605,2755,0.084989,3.5791),(1605,2765,0.085443,3.5779),(1605,2775,0.085896,3.5767),(1605,2785,0.08635,3.5754),(1605,2795,0.086798,3.5742),(1605,2805,0.087232,3.5729),(1605,2815,0.087666,3.5717),(1605,2825,0.088101,3.5704),(1605,2835,0.088528,3.5691),(1605,2845,0.08894,3.5678),(1605,2855,0.089353,3.5665),(1605,2865,0.089765,3.5652),(1605,2875,0.090169,3.5638),(1605,2885,0.090557,3.5625),(1605,2895,0.090945,3.5612),(1605,2905,0.091333,3.5598),(1605,2915,0.09171,3.5584),(1605,2925,0.092071,3.5571),(1605,2935,0.092433,3.5557),(1605,2945,0.092794,3.5543),(1605,2955,0.093142,3.5529),(1605,2965,0.093473,3.5515),(1605,2975,0.093805,3.5501),(1605,2985,0.094136,3.5487),(1605,2995,0.094452,3.5472),(1605,3005,0.094751,3.5458),(1605,3015,0.09505,3.5444),(1605,3025,0.095349,3.5429),(1605,3035,0.095629,3.5414),(1605,3045,0.095893,3.54),(1605,3055,0.096157,3.5385),(1605,3065,0.096421,3.537),(1605,3075,0.096663,3.5355),(1605,3085,0.096889,3.534),(1605,3095,0.097115,3.5325),(1605,3105,0.097341,3.531),(1605,3115,0.097542,3.5295),(1605,3125,0.097728,3.528),(1605,3135,0.097913,3.5265),(1605,3145,0.098098,3.525),(1605,3155,0.098256,3.5234),(1605,3165,0.098398,3.5219),(1605,3175,0.098541,3.5203),(1605,3185,0.098683,3.5188),(1605,3195,0.098794,3.5172),(1605,3205,0.098891,3.5157),(1605,3215,0.098988,3.5141),(1605,3225,0.099084,3.5125),(1605,3235,0.099146,3.511),(1605,3245,0.099195,3.5094),(1605,3255,0.099243,3.5078),(1605,3265,0.099292,3.5062),(1605,3275,0.099302,3.5046),(1605,3285,0.0993,3.503),(1605,3295,0.099298,3.5014),(1605,3305,0.099296,3.4998),(1605,3315,0.099251,3.4982),(1605,3325,0.099196,3.4966),(1605,3335,0.099141,3.495),(1605,3345,0.099086,3.4934),(1605,3355,0.098985,3.4918),(1605,3365,0.098875,3.4902),(1605,3375,0.098765,3.4886),(1605,3385,0.098655,3.487),(1605,3395,0.098494,3.4854),(1605,3405,0.098327,3.4838),(1605,3415,0.09816,3.4822),(1605,3425,0.097992,3.4806),(1605,3435,0.097771,3.4789),(1605,3445,0.097544,3.4773),(1605,3455,0.097318,3.4757),(1605,3465,0.097092,3.4741),(1605,3475,0.096807,3.4725),(1605,3485,0.096521,3.4709),(1605,3495,0.096234,3.4693),(1605,3505,0.095947,3.4677),(1605,3515,0.095598,3.4661),(1605,3525,0.095249,3.4645),(1605,3535,0.0949,3.4629),(1605,3545,0.094548,3.4613),(1605,3555,0.094136,3.4597),(1605,3565,0.093724,3.4581),(1605,3575,0.093311,3.4565),(1605,3585,0.092894,3.4549),(1605,3595,0.092417,3.4533),(1605,3605,0.09194,3.4517),(1605,3615,0.091463,3.4502),(1605,3625,0.090977,3.4486),(1605,3635,0.090435,3.447),(1605,3645,0.089893,3.4455),(1605,3655,0.08935,3.4439),(1605,3665,0.088797,3.4424),(1605,3675,0.088189,3.4408),(1605,3685,0.08758,3.4393),(1605,3695,0.086972,3.4377),(1605,3705,0.08635,3.4362),(1605,3715,0.085675,3.4347),(1605,3725,0.085,3.4331),(1605,3735,0.084326,3.4316),(1605,3745,0.083635,3.4301),(1605,3755,0.082893,3.4286),(1605,3765,0.082152,3.4271),(1605,3775,0.08141,3.4256),(1605,3785,0.08065,3.4241),(1605,3795,0.079842,3.4226),(1605,3805,0.079034,3.4211),(1605,3815,0.078226,3.4197),(1605,3825,0.077396,3.4182),(1605,3835,0.076521,3.4167),(1605,3845,0.075647,3.4153),(1605,3855,0.074772,3.4138),(1605,3865,0.073873,3.4124),(1605,3875,0.072931,3.4109),(1605,3885,0.07199,3.4095),(1605,3895,0.071048,3.4081),(1605,3905,0.082297,3.4067),(1605,3915,0.11176,3.4052),(1605,3925,0.14122,3.4029),(1605,3935,0.17068,3.3992),(1605,3945,0.20295,3.3955),(1605,3955,0.23879,3.3919),(1605,3965,0.27462,3.3872),(1605,3975,0.31046,3.3814),(1605,3985,0.33193,3.3756),(1605,3995,0.33787,3.3698),(1605,4005,0.34381,3.364),(1605,4015,0.34975,3.3581),(1605,4025,0.35587,3.3523),(1605,4035,0.362,3.3464),(1605,4045,0.36814,3.3404),(1605,4055,0.37415,3.3344),(1605,4065,0.38012,3.3284),(1605,4075,0.38609,3.3222),(1605,4085,0.39192,3.316),(1605,4095,0.39764,3.3098),(1605,4105,0.40335,3.3034),(1605,4115,0.39369,3.297),(1605,4125,0.35853,3.2906),(1605,4135,0.32337,3.2855),(1605,4145,0.28724,3.2807),(1605,4155,0.24715,3.276),(1605,4165,0.20707,3.2722),(1605,4175,0.16927,3.269),(1605,4185,0.24494,3.2657),(1605,4195,0.32061,3.2609),(1605,4205,0.39629,3.254),(1605,4215,0.39084,3.2471),(1605,4225,0.37012,3.2406),(1605,4235,0.3494,3.2351),(1605,4245,0.32018,3.2296),(1605,4255,0.28664,3.2242),(1605,4265,0.2531,3.2202),(1605,4275,0.20931,3.2163),(1605,4285,0.15464,3.2123),(1605,4295,0.099971,3.2109),(1605,4305,0.091815,3.2098),(1605,4315,0.18869,3.2087),(1605,4325,0.28556,3.2046),(1605,4335,0.37225,3.1994),(1605,4345,0.39005,3.1941),(1605,4355,0.40786,3.1874),(1605,4365,0.42566,3.1796),(1605,4375,0.43157,3.1717),(1605,4385,0.43686,3.1633),(1605,4395,0.44215,3.1539),(1605,4405,0.38636,3.1445),(1605,4415,0.31256,3.136),(1605,4425,0.23876,3.1311),(1605,4435,0.21066,3.1262),(1605,4445,0.21378,3.1213),(1605,4455,0.21691,3.1168),(1605,4465,0.26325,3.1123),(1605,4475,0.3703,3.1078),(1605,4485,0.47735,3.0987),(1605,4495,0.56309,3.0886),(1605,4505,0.58044,3.0785),(1605,4515,0.59779,3.0679),(1605,4525,0.6137,3.0571),(1605,4535,0.60674,3.0463),(1605,4545,0.59978,3.0355),(1605,4555,0.59281,3.0247),(1605,4565,0.44014,3.0139),(1605,4575,0.26783,3.0058),(1605,4585,0.095516,3.0042),(1605,4595,0.096351,3.0025),(1605,4605,0.17034,3.0002),(1605,4615,0.24434,2.9929),(1605,4625,0.31565,2.9857),(1605,4635,0.38453,2.9784),(1605,4645,0.45341,2.9693),(1605,4655,0.51521,2.96),(1605,4665,0.56365,2.9508),(1605,4675,0.61208,2.942),(1605,4685,0.62951,2.9333),(1605,4695,0.49368,2.9246),(1605,4705,0.35784,2.9197),(1605,4715,0.22201,2.9175),(1605,4725,0.30528,2.9154),(1605,4735,0.39074,2.9116),(1605,4745,0.4762,2.9052),(1605,4755,0.57686,2.8988),(1605,4765,0.68104,2.8914),(1605,4775,0.78522,2.8807),(1605,4785,0.83598,2.87),(1605,4795,0.85585,2.8593),(1605,4805,0.87573,2.8484),(1605,4815,0.84751,2.8374),(1605,4825,0.76178,2.8264),(1605,4835,0.67605,2.8187),(1605,4845,0.58251,2.8116),(1605,4855,0.4686,2.8044),(1605,4865,0.35469,2.7992),(1605,4875,0.27373,2.7951),(1605,4885,0.49264,2.7909),(1605,4895,0.71155,2.7818),(1605,4905,0.93046,2.768),(1605,4915,0.93076,2.7543),(1605,4925,0.91226,2.7408),(1605,4935,0.89376,2.728),(1605,4945,0.81892,2.7151),(1605,4955,0.72455,2.7028),(1605,4965,0.63018,2.6936),(1605,4975,0.49251,2.6843),(1605,4985,0.32144,2.6751),(1605,4995,0.15036,2.674),(1605,5005,0.14197,2.6731),(1605,5015,0.39222,2.6722),(1605,5025,0.64247,2.6637),(1605,5035,0.86207,2.6533),(1605,5045,0.96492,2.6429),(1605,5055,1.0678,2.6307),(1605,5065,1.1682,2.6174),(1605,5075,1.1884,2.6041),(1605,5085,1.2086,2.591),(1605,5095,1.2289,2.578),(1605,5105,1.0808,2.5651),(1605,5115,0.90333,2.5538),(1605,5125,0.72586,2.5471),(1605,5135,0.62293,2.5404),(1605,5145,0.55617,2.5338),(1605,5155,0.4894,2.5276),(1605,5165,0.57798,2.5213),(1605,5175,0.825,2.5151),(1605,5185,1.072,2.5008),(1605,5195,1.2476,2.4856),(1605,5205,1.2692,2.4703),(1605,5215,1.2908,2.4554),(1605,5225,1.3052,2.4407),(1605,5235,1.275,2.4259),(1605,5245,1.2448,2.4123),(1605,5255,1.2146,2.3997),(1605,5265,0.84981,2.3871),(1605,5275,0.47124,2.3791),(1605,5285,0.092659,2.3787),(1605,5295,0.20317,2.3784),(1605,5305,0.44987,2.3757),(1605,5315,0.69658,2.3628),(1605,5325,0.87733,2.3499),(1605,5335,1.0148,2.3369),(1605,5345,1.1524,2.3217),(1605,5355,1.2523,2.3065),(1605,5365,1.3015,2.2913),(1605,5375,1.3507,2.2767),(1605,5385,1.3092,2.2623),(1605,5395,0.99167,2.2478),(1605,5405,0.67418,2.2405),(1605,5415,0.38332,2.2368),(1605,5425,0.45008,2.2331),(1605,5435,0.51685,2.2251),(1605,5445,0.58362,2.2126),(1605,5455,0.70766,2.2),(1605,5465,0.83871,2.185),(1605,5475,0.96975,2.1645),(1605,5485,1.027,2.144),(1605,5495,1.0545,2.1235),(1605,5505,1.082,2.1026),(1605,5515,1.1104,2.0817),(1605,5525,1.1396,2.0608),(1605,5535,1.1687,2.0396),(1605,5545,1.1978,2.0184),(1605,5555,1.2267,1.9972),(1605,5565,1.2556,1.9759),(1605,5575,1.2843,1.9546),(1605,5585,1.3122,1.9333),(1605,5595,1.3402,1.912),(1605,5605,1.3682,1.8906),(1605,5615,1.3951,1.8693),(1605,5625,1.4219,1.848),(1605,5635,1.4488,1.8268),(1605,5645,1.4746,1.8056),(1605,5655,1.5002,1.7844),(1605,5665,1.5258,1.7634),(1605,5675,1.5505,1.7424),(1605,5685,1.5747,1.7215),(1605,5695,1.5989,1.7007),(1605,5705,1.6225,1.68),(1605,5715,1.6453,1.6593),(1605,5725,1.6681,1.6388),(1605,5735,1.6905,1.6184),(1605,5745,1.7119,1.598),(1605,5755,1.7333,1.5778),(1605,5765,1.7545,1.5577),(1605,5775,1.7745,1.5376),(1605,5785,1.7945,1.5177),(1605,5795,1.8145,1.498),(1605,5805,1.8333,1.4782),(1605,5815,1.8519,1.4586),(1605,5825,1.8706,1.4392),(1605,5835,1.8882,1.4198),(1605,5845,1.9056,1.4004),(1605,5855,1.9229,1.3813),(1605,5865,1.9396,1.3622),(1605,5875,1.9557,1.3431),(1605,5885,1.9719,1.3243),(1605,5895,1.9875,1.3055),(1605,5905,2.0025,1.2867),(1605,5915,2.0175,1.2681),(1605,5925,2.0322,1.2496),(1605,5935,2.0462,1.2311),(1605,5945,2.0601,1.2127),(1605,5955,2.074,1.1945),(1605,5965,2.0873,1.1762),(1605,5975,2.1007,1.1581),(1605,5985,2.114,1.1401),(1605,5995,1.6176,1.122),(1605,6005,1.0392,1.1083),(1605,6015,0.46081,1.106),(1605,6025,0.44855,1.1037),(1605,6035,0.69888,1.1003),(1605,6045,0.9492,1.0865),(1605,6055,1.1316,1.0726),(1605,6065,1.2475,1.0588),(1605,6075,1.3633,1.0407),(1605,6085,1.4434,1.0223),(1605,6095,1.4498,1.0038),(1605,6105,1.4562,0.98512),(1605,6115,1.4625,0.96637),(1605,6125,1.4686,0.94762),(1605,6135,1.4747,0.92883),(1605,6145,1.4808,0.91001),(1605,6155,1.4865,0.89119),(1605,6165,1.4922,0.87232),(1605,6175,1.4979,0.85336),(1605,6185,1.5033,0.83439),(1605,6195,1.5087,0.81541),(1605,6205,1.514,0.79633),(1605,6215,1.5191,0.77725),(1605,6225,1.524,0.75817),(1605,6235,1.5289,0.73903),(1605,6245,1.5337,0.71988),(1605,6255,1.5383,0.70074),(1605,6265,1.5428,0.68141),(1605,6275,1.5472,0.66205),(1605,6285,1.5514,0.64269),(1605,6295,1.5555,0.62321),(1605,6305,1.5596,0.60368),(1605,6315,1.5634,0.58415),(1605,6325,1.5672,0.56466),(1605,6335,1.571,0.5452),(1605,6345,1.5744,0.52574),(1605,6355,1.5778,0.50623),(1605,6365,1.5812,0.4866),(1605,6375,1.5843,0.46697),(1605,6385,1.5872,0.44733),(1605,6395,1.5902,0.42757),(1605,6405,1.593,0.40781),(1605,6415,1.5955,0.38806),(1605,6425,1.5981,0.36834),(1605,6435,1.6005,0.34862),(1605,6445,1.6027,0.3289),(1605,6455,1.6048,0.30918),(1605,6465,1.6069,0.28946),(1605,6475,1.6087,0.26974),(1605,6485,1.6104,0.24995),(1605,6495,1.6121,0.23013),(1605,6505,1.6134,0.2103),(1605,6515,1.6148,0.19047),(1605,6525,1.6161,0.17064),(1605,6535,1.617,0.1508),(1605,6545,1.6179,0.13098),(1605,6555,1.6188,0.11117),(1605,6565,1.6194,0.09137),(1605,6575,1.6198,0.071562),(1605,6585,1.6202,0.051695),(1605,6595,1.3782,0.031829),(1605,6605,0.8685,0.011962),(1605,6615,0.35882,0.009692),(1605,6625,0.00052,0.009683),(1605,6635,0.000523,0.009674),(1605,6645,0.000525,0.009666),(1605,6655,0.000528,0.009657),(1605,6665,0.00053,0.009649),(1605,6675,0.000533,0.009641),(1605,6685,0.000535,0.009632),(1605,6695,0.000538,0.009624),(1605,6705,0.00054,0.009616),(1605,6715,0.000542,0.009607),(1605,6725,0.000545,0.009599),(1605,6735,0.000547,0.009591),(1605,6745,0.000549,0.009582),(1605,6755,0.000551,0.009574),(1605,6765,0.000553,0.009565),(1605,6775,0.000556,0.009557),(1605,6785,0.000558,0.009548),(1605,6795,0.00056,0.00954),(1605,6805,0.000562,0.009532),(1605,6815,0.000564,0.009523),(1605,6825,0.000566,0.009515),(1605,6835,0.000568,0.009506),(1605,6845,0.00057,0.009498),(1605,6855,0.000571,0.009489),(1605,6865,0.000573,0.009481),(1605,6875,0.000575,0.009472),(1605,6885,0.000577,0.009464),(1605,6895,0.000579,0.009455),(1605,6905,0.00058,0.009447),(1605,6915,0.000582,0.009438),(1605,6925,0.000584,0.00943),(1605,6935,0.000586,0.009421),(1605,6945,0.000587,0.009413),(1605,6955,0.000589,0.009404),(1605,6965,0.00059,0.009396),(1605,6975,0.000592,0.009387),(1605,6985,0.000594,0.009378),(1615,5,5.9e-05,3.6763),(1615,15,0.000176,3.6763),(1615,25,0.000293,3.6763),(1615,35,0.000411,3.6763),(1615,45,0.000528,3.6763),(1615,55,0.000645,3.6763),(1615,65,0.000763,3.6763),(1615,75,0.000881,3.6763),(1615,85,0.000999,3.6762),(1615,95,0.001117,3.6762),(1615,105,0.001235,3.6762),(1615,115,0.001353,3.6762),(1615,125,0.001472,3.6762),(1615,135,0.00159,3.6762),(1615,145,0.001709,3.6762),(1615,155,0.001828,3.6762),(1615,165,0.001948,3.6762),(1615,175,0.002067,3.6761),(1615,185,0.002187,3.6761),(1615,195,0.002307,3.6761),(1615,205,0.002428,3.6761),(1615,215,0.002548,3.6761),(1615,225,0.00267,3.6761),(1615,235,0.002791,3.676),(1615,245,0.002913,3.676),(1615,255,0.003035,3.676),(1615,265,0.003158,3.676),(1615,275,0.003282,3.676),(1615,285,0.003405,3.6759),(1615,295,0.003529,3.6759),(1615,305,0.003654,3.6759),(1615,315,0.003779,3.6759),(1615,325,0.003905,3.6758),(1615,335,0.00403,3.6758),(1615,345,0.004158,3.6758),(1615,355,0.004285,3.6757),(1615,365,0.004413,3.6757),(1615,375,0.004541,3.6757),(1615,385,0.00467,3.6756),(1615,395,0.0048,3.6756),(1615,405,0.00493,3.6756),(1615,415,0.00506,3.6755),(1615,425,0.005193,3.6755),(1615,435,0.005325,3.6755),(1615,445,0.005458,3.6754),(1615,455,0.005591,3.6754),(1615,465,0.005726,3.6753),(1615,475,0.005862,3.6753),(1615,485,0.005998,3.6752),(1615,495,0.006134,3.6752),(1615,505,0.006273,3.6752),(1615,515,0.006412,3.6751),(1615,525,0.006551,3.6751),(1615,535,0.00669,3.675),(1615,545,0.006833,3.675),(1615,555,0.006975,3.6749),(1615,565,0.007118,3.6749),(1615,575,0.007261,3.6748),(1615,585,0.007407,3.6748),(1615,595,0.007554,3.6747),(1615,605,0.0077,3.6746),(1615,615,0.007847,3.6746),(1615,625,0.007998,3.6745),(1615,635,0.008148,3.6745),(1615,645,0.008299,3.6744),(1615,655,0.00845,3.6743),(1615,665,0.008605,3.6743),(1615,675,0.00876,3.6742),(1615,685,0.008915,3.6741),(1615,695,0.009071,3.6741),(1615,705,0.009231,3.674),(1615,715,0.00939,3.6739),(1615,725,0.00955,3.6739),(1615,735,0.009711,3.6738),(1615,745,0.009876,3.6737),(1615,755,0.01004,3.6737),(1615,765,0.010205,3.6736),(1615,775,0.010372,3.6735),(1615,785,0.010542,3.6734),(1615,795,0.010712,3.6733),(1615,805,0.010882,3.6733),(1615,815,0.011054,3.6732),(1615,825,0.01123,3.6731),(1615,835,0.011406,3.673),(1615,845,0.011582,3.6729),(1615,855,0.01176,3.6728),(1615,865,0.011942,3.6727),(1615,875,0.012124,3.6726),(1615,885,0.012306,3.6725),(1615,895,0.01249,3.6724),(1615,905,0.012678,3.6723),(1615,915,0.012866,3.6722),(1615,925,0.013055,3.6721),(1615,935,0.013246,3.672),(1615,945,0.01344,3.6719),(1615,955,0.013635,3.6718),(1615,965,0.01383,3.6717),(1615,975,0.014028,3.6716),(1615,985,0.01423,3.6715),(1615,995,0.014432,3.6714),(1615,1005,0.014634,3.6713),(1615,1015,0.01484,3.6711),(1615,1025,0.015049,3.671),(1615,1035,0.015259,3.6709),(1615,1045,0.015468,3.6708),(1615,1055,0.015681,3.6707),(1615,1065,0.015898,3.6705),(1615,1075,0.016115,3.6704),(1615,1085,0.016332,3.6703),(1615,1095,0.016554,3.6701),(1615,1105,0.016779,3.67),(1615,1115,0.017003,3.6699),(1615,1125,0.017228,3.6697),(1615,1135,0.017458,3.6696),(1615,1145,0.017691,3.6694),(1615,1155,0.017924,3.6693),(1615,1165,0.018158,3.6691),(1615,1175,0.018396,3.669),(1615,1185,0.018638,3.6688),(1615,1195,0.01888,3.6687),(1615,1205,0.019122,3.6685),(1615,1215,0.01937,3.6684),(1615,1225,0.019621,3.6682),(1615,1235,0.019872,3.668),(1615,1245,0.020122,3.6678),(1615,1255,0.02038,3.6677),(1615,1265,0.02064,3.6675),(1615,1275,0.0209,3.6673),(1615,1285,0.02116,3.6671),(1615,1295,0.021428,3.667),(1615,1305,0.021698,3.6668),(1615,1315,0.021968,3.6666),(1615,1325,0.022237,3.6664),(1615,1335,0.022515,3.6662),(1615,1345,0.022795,3.666),(1615,1355,0.023075,3.6658),(1615,1365,0.023355,3.6656),(1615,1375,0.023643,3.6654),(1615,1385,0.023933,3.6652),(1615,1395,0.024223,3.665),(1615,1405,0.024513,3.6647),(1615,1415,0.024812,3.6645),(1615,1425,0.025112,3.6643),(1615,1435,0.025413,3.6641),(1615,1445,0.025713,3.6638),(1615,1455,0.026024,3.6636),(1615,1465,0.026335,3.6634),(1615,1475,0.026646,3.6631),(1615,1485,0.026957,3.6629),(1615,1495,0.027279,3.6626),(1615,1505,0.027601,3.6624),(1615,1515,0.027923,3.6621),(1615,1525,0.028245,3.6619),(1615,1535,0.028578,3.6616),(1615,1545,0.028911,3.6613),(1615,1555,0.029245,3.6611),(1615,1565,0.029579,3.6608),(1615,1575,0.029923,3.6605),(1615,1585,0.030268,3.6602),(1615,1595,0.030613,3.6599),(1615,1605,0.030959,3.6596),(1615,1615,0.031315,3.6593),(1615,1625,0.031671,3.659),(1615,1635,0.032027,3.6587),(1615,1645,0.032385,3.6584),(1615,1655,0.032753,3.6581),(1615,1665,0.03312,3.6578),(1615,1675,0.033488,3.6574),(1615,1685,0.033858,3.6571),(1615,1695,0.034238,3.6568),(1615,1705,0.034617,3.6564),(1615,1715,0.034997,3.6561),(1615,1725,0.035379,3.6557),(1615,1735,0.03577,3.6554),(1615,1745,0.036162,3.655),(1615,1755,0.036553,3.6547),(1615,1765,0.036948,3.6543),(1615,1775,0.037351,3.6539),(1615,1785,0.037754,3.6535),(1615,1795,0.038158,3.6531),(1615,1805,0.038564,3.6527),(1615,1815,0.038979,3.6524),(1615,1825,0.039394,3.6519),(1615,1835,0.03981,3.6515),(1615,1845,0.040228,3.6511),(1615,1855,0.040655,3.6507),(1615,1865,0.041082,3.6503),(1615,1875,0.041508,3.6498),(1615,1885,0.041939,3.6494),(1615,1895,0.042377,3.6489),(1615,1905,0.042815,3.6485),(1615,1915,0.043253,3.648),(1615,1925,0.043696,3.6476),(1615,1935,0.044145,3.6471),(1615,1945,0.044594,3.6466),(1615,1955,0.045043,3.6461),(1615,1965,0.045498,3.6456),(1615,1975,0.045958,3.6451),(1615,1985,0.046418,3.6446),(1615,1995,0.046878,3.6441),(1615,2005,0.047344,3.6436),(1615,2015,0.047814,3.6431),(1615,2025,0.048285,3.6425),(1615,2035,0.048756,3.642),(1615,2045,0.049232,3.6414),(1615,2055,0.049712,3.6409),(1615,2065,0.050193,3.6403),(1615,2075,0.050673,3.6397),(1615,2085,0.051159,3.6391),(1615,2095,0.051649,3.6386),(1615,2105,0.052139,3.638),(1615,2115,0.052629,3.6374),(1615,2125,0.053125,3.6367),(1615,2135,0.053624,3.6361),(1615,2145,0.054122,3.6355),(1615,2155,0.054621,3.6349),(1615,2165,0.055125,3.6342),(1615,2175,0.055632,3.6336),(1615,2185,0.056139,3.6329),(1615,2195,0.056646,3.6322),(1615,2205,0.057158,3.6316),(1615,2215,0.057672,3.6309),(1615,2225,0.058186,3.6302),(1615,2235,0.0587,3.6295),(1615,2245,0.059219,3.6288),(1615,2255,0.059739,3.628),(1615,2265,0.060259,3.6273),(1615,2275,0.060779,3.6266),(1615,2285,0.061304,3.6258),(1615,2295,0.061829,3.6251),(1615,2305,0.062355,3.6243),(1615,2315,0.06288,3.6235),(1615,2325,0.063409,3.6227),(1615,2335,0.063938,3.6219),(1615,2345,0.064468,3.6211),(1615,2355,0.064997,3.6203),(1615,2365,0.065529,3.6195),(1615,2375,0.066061,3.6187),(1615,2385,0.066592,3.6178),(1615,2395,0.067124,3.617),(1615,2405,0.067657,3.6161),(1615,2415,0.06819,3.6152),(1615,2425,0.068723,3.6144),(1615,2435,0.069256,3.6135),(1615,2445,0.069789,3.6126),(1615,2455,0.070322,3.6117),(1615,2465,0.070855,3.6107),(1615,2475,0.071387,3.6098),(1615,2485,0.071918,3.6089),(1615,2495,0.072449,3.6079),(1615,2505,0.07298,3.6069),(1615,2515,0.07351,3.606),(1615,2525,0.074037,3.605),(1615,2535,0.074564,3.604),(1615,2545,0.07509,3.603),(1615,2555,0.075617,3.602),(1615,2565,0.076138,3.601),(1615,2575,0.076659,3.5999),(1615,2585,0.07718,3.5989),(1615,2595,0.0777,3.5978),(1615,2605,0.078214,3.5968),(1615,2615,0.078727,3.5957),(1615,2625,0.07924,3.5946),(1615,2635,0.079752,3.5935),(1615,2645,0.080256,3.5924),(1615,2655,0.080759,3.5913),(1615,2665,0.081263,3.5902),(1615,2675,0.081764,3.589),(1615,2685,0.082256,3.5879),(1615,2695,0.082747,3.5867),(1615,2705,0.083239,3.5856),(1615,2715,0.083727,3.5844),(1615,2725,0.084204,3.5832),(1615,2735,0.084682,3.582),(1615,2745,0.085159,3.5808),(1615,2755,0.085631,3.5796),(1615,2765,0.086091,3.5784),(1615,2775,0.086551,3.5771),(1615,2785,0.087011,3.5759),(1615,2795,0.087466,3.5746),(1615,2805,0.087906,3.5734),(1615,2815,0.088347,3.5721),(1615,2825,0.088787,3.5708),(1615,2835,0.089221,3.5695),(1615,2845,0.089639,3.5682),(1615,2855,0.090058,3.5669),(1615,2865,0.090477,3.5656),(1615,2875,0.090886,3.5642),(1615,2885,0.09128,3.5629),(1615,2895,0.091675,3.5615),(1615,2905,0.092069,3.5602),(1615,2915,0.092452,3.5588),(1615,2925,0.092819,3.5574),(1615,2935,0.093186,3.5561),(1615,2945,0.093553,3.5546),(1615,2955,0.093906,3.5532),(1615,2965,0.094243,3.5518),(1615,2975,0.09458,3.5504),(1615,2985,0.094917,3.549),(1615,2995,0.095238,3.5475),(1615,3005,0.095543,3.5461),(1615,3015,0.095847,3.5447),(1615,3025,0.096151,3.5432),(1615,3035,0.096437,3.5417),(1615,3045,0.096706,3.5403),(1615,3055,0.096975,3.5388),(1615,3065,0.097244,3.5373),(1615,3075,0.097491,3.5358),(1615,3085,0.097721,3.5343),(1615,3095,0.097952,3.5328),(1615,3105,0.098183,3.5312),(1615,3115,0.098388,3.5297),(1615,3125,0.098578,3.5282),(1615,3135,0.098768,3.5267),(1615,3145,0.098958,3.5251),(1615,3155,0.099119,3.5236),(1615,3165,0.099265,3.522),(1615,3175,0.099412,3.5205),(1615,3185,0.099558,3.5189),(1615,3195,0.099673,3.5173),(1615,3205,0.099773,3.5158),(1615,3215,0.099873,3.5142),(1615,3225,0.099974,3.5126),(1615,3235,0.10004,3.511),(1615,3245,0.10009,3.5094),(1615,3255,0.10014,3.5078),(1615,3265,0.10019,3.5062),(1615,3275,0.10021,3.5046),(1615,3285,0.10021,3.503),(1615,3295,0.10021,3.5014),(1615,3305,0.10021,3.4998),(1615,3315,0.10017,3.4982),(1615,3325,0.10011,3.4966),(1615,3335,0.10006,3.495),(1615,3345,0.10001,3.4934),(1615,3355,0.099909,3.4917),(1615,3365,0.0998,3.4901),(1615,3375,0.099692,3.4885),(1615,3385,0.099584,3.4869),(1615,3395,0.099425,3.4852),(1615,3405,0.099259,3.4836),(1615,3415,0.099093,3.482),(1615,3425,0.098928,3.4804),(1615,3435,0.098707,3.4787),(1615,3445,0.098482,3.4771),(1615,3455,0.098256,3.4755),(1615,3465,0.098031,3.4739),(1615,3475,0.097747,3.4722),(1615,3485,0.097461,3.4706),(1615,3495,0.097175,3.469),(1615,3505,0.096888,3.4674),(1615,3515,0.09654,3.4657),(1615,3525,0.096191,3.4641),(1615,3535,0.095842,3.4625),(1615,3545,0.095491,3.4609),(1615,3555,0.095078,3.4593),(1615,3565,0.094666,3.4577),(1615,3575,0.094254,3.4561),(1615,3585,0.093836,3.4545),(1615,3595,0.093358,3.4529),(1615,3605,0.092881,3.4513),(1615,3615,0.092404,3.4497),(1615,3625,0.091918,3.4481),(1615,3635,0.091375,3.4465),(1615,3645,0.090832,3.4449),(1615,3655,0.090289,3.4433),(1615,3665,0.089735,3.4418),(1615,3675,0.089126,3.4402),(1615,3685,0.088517,3.4386),(1615,3695,0.087908,3.4371),(1615,3705,0.087286,3.4355),(1615,3715,0.08661,3.434),(1615,3725,0.085935,3.4324),(1615,3735,0.085259,3.4309),(1615,3745,0.084568,3.4294),(1615,3755,0.083826,3.4279),(1615,3765,0.083084,3.4263),(1615,3775,0.082342,3.4248),(1615,3785,0.081581,3.4233),(1615,3795,0.080773,3.4218),(1615,3805,0.079964,3.4203),(1615,3815,0.079156,3.4188),(1615,3825,0.078326,3.4173),(1615,3835,0.077452,3.4159),(1615,3845,0.076577,3.4144),(1615,3855,0.075703,3.4129),(1615,3865,0.074804,3.4115),(1615,3875,0.073864,3.41),(1615,3885,0.072924,3.4086),(1615,3895,0.071983,3.4071),(1615,3905,0.083382,3.4057),(1615,3915,0.11321,3.4042),(1615,3925,0.14304,3.4018),(1615,3935,0.17287,3.3981),(1615,3945,0.20548,3.3944),(1615,3955,0.24162,3.3907),(1615,3965,0.27776,3.386),(1615,3975,0.3139,3.3801),(1615,3985,0.33552,3.3743),(1615,3995,0.34143,3.3684),(1615,4005,0.34735,3.3625),(1615,4015,0.35326,3.3566),(1615,4025,0.35937,3.3507),(1615,4035,0.36551,3.3448),(1615,4045,0.37165,3.3387),(1615,4055,0.37768,3.3327),(1615,4065,0.38367,3.3266),(1615,4075,0.38966,3.3204),(1615,4085,0.39552,3.3141),(1615,4095,0.40127,3.3079),(1615,4105,0.40703,3.3015),(1615,4115,0.39729,3.2951),(1615,4125,0.36184,3.2887),(1615,4135,0.32639,3.2836),(1615,4145,0.28998,3.279),(1615,4155,0.24968,3.2744),(1615,4165,0.20938,3.2707),(1615,4175,0.17139,3.2676),(1615,4185,0.24771,3.2645),(1615,4195,0.32403,3.2598),(1615,4205,0.40035,3.2529),(1615,4215,0.39473,3.2459),(1615,4225,0.3737,3.2393),(1615,4235,0.35266,3.2336),(1615,4245,0.32315,3.2279),(1615,4255,0.28935,3.2224),(1615,4265,0.25554,3.2182),(1615,4275,0.21136,3.2141),(1615,4285,0.15617,3.2099),(1615,4295,0.10099,3.2084),(1615,4305,0.092681,3.2073),(1615,4315,0.19024,3.2061),(1615,4325,0.28779,3.2018),(1615,4335,0.37517,3.1961),(1615,4345,0.39365,3.1905),(1615,4355,0.41212,3.1836),(1615,4365,0.43059,3.1755),(1615,4375,0.43693,3.1673),(1615,4385,0.44264,3.1588),(1615,4395,0.44834,3.1493),(1615,4405,0.39194,3.1399),(1615,4415,0.31723,3.1314),(1615,4425,0.24251,3.1266),(1615,4435,0.21396,3.1219),(1615,4445,0.21696,3.1172),(1615,4455,0.21995,3.1127),(1615,4465,0.26664,3.1083),(1615,4475,0.3747,3.1038),(1615,4485,0.48277,3.0947),(1615,4495,0.5693,3.0845),(1615,4505,0.58674,3.0744),(1615,4515,0.60417,3.0638),(1615,4525,0.62016,3.053),(1615,4535,0.61323,3.0421),(1615,4545,0.6063,3.0313),(1615,4555,0.59937,3.0205),(1615,4565,0.44524,3.0097),(1615,4575,0.27127,3.0015),(1615,4585,0.0973,2.9998),(1615,4595,0.098487,2.9981),(1615,4605,0.17368,2.9958),(1615,4615,0.24888,2.9885),(1615,4625,0.32085,2.9812),(1615,4635,0.3899,2.974),(1615,4645,0.45895,2.9649),(1615,4655,0.52069,2.9557),(1615,4665,0.56865,2.9466),(1615,4675,0.61661,2.9377),(1615,4685,0.63345,2.9289),(1615,4695,0.49649,2.9201),(1615,4705,0.35954,2.9151),(1615,4715,0.22258,2.9129),(1615,4725,0.30658,2.9106),(1615,4735,0.39279,2.9067),(1615,4745,0.47899,2.9002),(1615,4755,0.5803,2.8937),(1615,4765,0.68511,2.8863),(1615,4775,0.78992,2.8755),(1615,4785,0.84089,2.8648),(1615,4795,0.86073,2.854),(1615,4805,0.88058,2.843),(1615,4815,0.85207,2.832),(1615,4825,0.76576,2.821),(1615,4835,0.67945,2.8134),(1615,4845,0.58544,2.8063),(1615,4855,0.47134,2.7992),(1615,4865,0.35723,2.7941),(1615,4875,0.27626,2.7899),(1615,4885,0.49664,2.7857),(1615,4895,0.71702,2.7767),(1615,4905,0.9374,2.7629),(1615,4915,0.93767,2.7492),(1615,4925,0.919,2.7358),(1615,4935,0.90033,2.7229),(1615,4945,0.82507,2.7101),(1615,4955,0.73019,2.6978),(1615,4965,0.63531,2.6885),(1615,4975,0.49665,2.6792),(1615,4985,0.3242,2.67),(1615,4995,0.15175,2.6689),(1615,5005,0.14301,2.668),(1615,5015,0.39453,2.667),(1615,5025,0.64605,2.6586),(1615,5035,0.86671,2.6482),(1615,5045,0.96977,2.6378),(1615,5055,1.0728,2.6256),(1615,5065,1.1734,2.6124),(1615,5075,1.1934,2.5991),(1615,5085,1.2135,2.586),(1615,5095,1.2335,2.5731),(1615,5105,1.0847,2.5602),(1615,5115,0.90649,2.5489),(1615,5125,0.72826,2.5423),(1615,5135,0.62527,2.5356),(1615,5145,0.55877,2.529),(1615,5155,0.49228,2.5228),(1615,5165,0.58154,2.5166),(1615,5175,0.82967,2.5104),(1615,5185,1.0778,2.4961),(1615,5195,1.2541,2.4809),(1615,5205,1.2754,2.4657),(1615,5215,1.2967,2.4509),(1615,5225,1.3109,2.4362),(1615,5235,1.2802,2.4214),(1615,5245,1.2496,2.4079),(1615,5255,1.2189,2.3953),(1615,5265,0.85288,2.3828),(1615,5275,0.47303,2.3748),(1615,5285,0.093172,2.3745),(1615,5295,0.20507,2.3741),(1615,5305,0.45391,2.3714),(1615,5315,0.70275,2.3585),(1615,5325,0.88427,2.3456),(1615,5335,1.0216,2.3326),(1615,5345,1.159,2.3175),(1615,5355,1.2586,2.3023),(1615,5365,1.3073,2.2871),(1615,5375,1.356,2.2726),(1615,5385,1.3138,2.2582),(1615,5395,0.99508,2.2438),(1615,5405,0.67639,2.2365),(1615,5415,0.38457,2.2328),(1615,5425,0.45353,2.2292),(1615,5435,0.52249,2.2212),(1615,5445,0.59146,2.2086),(1615,5455,0.71704,2.1959),(1615,5465,0.84954,2.1809),(1615,5475,0.98204,2.1603),(1615,5485,1.0397,2.1397),(1615,5495,1.0671,2.1191),(1615,5505,1.0946,2.0982),(1615,5515,1.123,2.0772),(1615,5525,1.1521,2.0563),(1615,5535,1.1811,2.0351),(1615,5545,1.2101,2.0139),(1615,5555,1.2389,1.9926),(1615,5565,1.2676,1.9714),(1615,5575,1.2962,1.95),(1615,5585,1.324,1.9287),(1615,5595,1.3518,1.9074),(1615,5605,1.3797,1.8861),(1615,5615,1.4063,1.8648),(1615,5625,1.433,1.8435),(1615,5635,1.4596,1.8224),(1615,5645,1.4852,1.8012),(1615,5655,1.5106,1.7801),(1615,5665,1.536,1.7592),(1615,5675,1.5605,1.7383),(1615,5685,1.5845,1.7174),(1615,5695,1.6085,1.6968),(1615,5705,1.6318,1.6761),(1615,5715,1.6544,1.6555),(1615,5725,1.677,1.6351),(1615,5735,1.6992,1.6147),(1615,5745,1.7203,1.5944),(1615,5755,1.7415,1.5743),(1615,5765,1.7625,1.5543),(1615,5775,1.7823,1.5343),(1615,5785,1.8021,1.5145),(1615,5795,1.8219,1.4949),(1615,5805,1.8404,1.4752),(1615,5815,1.8588,1.4557),(1615,5825,1.8773,1.4364),(1615,5835,1.8947,1.4171),(1615,5845,1.9119,1.3978),(1615,5855,1.929,1.3788),(1615,5865,1.9455,1.3598),(1615,5875,1.9615,1.3408),(1615,5885,1.9774,1.322),(1615,5895,1.9929,1.3033),(1615,5905,2.0077,1.2846),(1615,5915,2.0225,1.2661),(1615,5925,2.0371,1.2477),(1615,5935,2.0509,1.2293),(1615,5945,2.0646,1.211),(1615,5955,2.0784,1.1929),(1615,5965,2.0916,1.1747),(1615,5975,2.1048,1.1566),(1615,5985,2.1179,1.1387),(1615,5995,1.6206,1.1208),(1615,6005,1.0411,1.1071),(1615,6015,0.4616,1.1048),(1615,6025,0.45036,1.1025),(1615,6035,0.70269,1.0991),(1615,6045,0.95501,1.0853),(1615,6055,1.1388,1.0715),(1615,6065,1.2553,1.0576),(1615,6075,1.3719,1.0396),(1615,6085,1.4524,1.0211),(1615,6095,1.4588,1.0027),(1615,6105,1.4652,0.98399),(1615,6115,1.4716,0.96525),(1615,6125,1.4777,0.94651),(1615,6135,1.4838,0.92773),(1615,6145,1.4899,0.90892),(1615,6155,1.4957,0.89011),(1615,6165,1.5014,0.87124),(1615,6175,1.5071,0.85229),(1615,6185,1.5125,0.83334),(1615,6195,1.5179,0.81436),(1615,6205,1.5232,0.7953),(1615,6215,1.5283,0.77624),(1615,6225,1.5332,0.75718),(1615,6235,1.5382,0.73805),(1615,6245,1.5429,0.71892),(1615,6255,1.5475,0.69979),(1615,6265,1.552,0.68048),(1615,6275,1.5565,0.66113),(1615,6285,1.5606,0.64178),(1615,6295,1.5648,0.62234),(1615,6305,1.5689,0.60286),(1615,6315,1.5727,0.58337),(1615,6325,1.5765,0.56391),(1615,6335,1.5803,0.54447),(1615,6345,1.5837,0.52503),(1615,6355,1.5871,0.50553),(1615,6365,1.5904,0.48593),(1615,6375,1.5935,0.46633),(1615,6385,1.5965,0.44671),(1615,6395,1.5995,0.42698),(1615,6405,1.6023,0.40725),(1615,6415,1.6048,0.38753),(1615,6425,1.6074,0.36783),(1615,6435,1.6098,0.34814),(1615,6445,1.612,0.32845),(1615,6455,1.6142,0.30875),(1615,6465,1.6163,0.28906),(1615,6475,1.618,0.26936),(1615,6485,1.6198,0.2496),(1615,6495,1.6215,0.2298),(1615,6505,1.6228,0.20999),(1615,6515,1.6241,0.19019),(1615,6525,1.6254,0.17038),(1615,6535,1.6264,0.15057),(1615,6545,1.6273,0.13077),(1615,6555,1.6282,0.11099),(1615,6565,1.6287,0.091206),(1615,6575,1.6292,0.071421),(1615,6585,1.6296,0.051591),(1615,6595,1.3862,0.031762),(1615,6605,0.87354,0.011932),(1615,6615,0.3609,0.009674),(1615,6625,0.000525,0.009674),(1615,6635,0.000527,0.009674),(1615,6645,0.00053,0.009669),(1615,6655,0.000533,0.00966),(1615,6665,0.000535,0.009652),(1615,6675,0.000538,0.009643),(1615,6685,0.00054,0.009635),(1615,6695,0.000542,0.009626),(1615,6705,0.000545,0.009618),(1615,6715,0.000547,0.009609),(1615,6725,0.000549,0.009601),(1615,6735,0.000552,0.009593),(1615,6745,0.000554,0.009584),(1615,6755,0.000556,0.009576),(1615,6765,0.000558,0.009567),(1615,6775,0.00056,0.009559),(1615,6785,0.000562,0.00955);
INSERT INTO `ILD_00_Brho_Bz` VALUES (1615,6795,0.000564,0.009542),(1615,6805,0.000566,0.009534),(1615,6815,0.000568,0.009525),(1615,6825,0.00057,0.009517),(1615,6835,0.000572,0.009508),(1615,6845,0.000574,0.0095),(1615,6855,0.000576,0.009491),(1615,6865,0.000578,0.009483),(1615,6875,0.00058,0.009474),(1615,6885,0.000582,0.009466),(1615,6895,0.000583,0.009457),(1615,6905,0.000585,0.009449),(1615,6915,0.000587,0.00944),(1615,6925,0.000589,0.009431),(1615,6935,0.00059,0.009423),(1615,6945,0.000592,0.009414),(1615,6955,0.000594,0.009406),(1615,6965,0.000595,0.009397),(1615,6975,0.000597,0.009389),(1615,6985,0.000598,0.00938),(1625,5,5.9e-05,3.6764),(1625,15,0.000176,3.6764),(1625,25,0.000293,3.6764),(1625,35,0.000411,3.6764),(1625,45,0.000528,3.6764),(1625,55,0.000646,3.6764),(1625,65,0.000763,3.6764),(1625,75,0.000881,3.6764),(1625,85,0.000999,3.6764),(1625,95,0.001117,3.6764),(1625,105,0.001235,3.6763),(1625,115,0.001354,3.6763),(1625,125,0.001472,3.6763),(1625,135,0.001591,3.6763),(1625,145,0.00171,3.6763),(1625,155,0.001829,3.6763),(1625,165,0.001948,3.6763),(1625,175,0.002068,3.6763),(1625,185,0.002188,3.6762),(1625,195,0.002308,3.6762),(1625,205,0.002429,3.6762),(1625,215,0.002549,3.6762),(1625,225,0.002671,3.6762),(1625,235,0.002793,3.6762),(1625,245,0.002915,3.6761),(1625,255,0.003037,3.6761),(1625,265,0.00316,3.6761),(1625,275,0.003283,3.6761),(1625,285,0.003407,3.6761),(1625,295,0.003531,3.676),(1625,305,0.003656,3.676),(1625,315,0.003781,3.676),(1625,325,0.003907,3.6759),(1625,335,0.004032,3.6759),(1625,345,0.00416,3.6759),(1625,355,0.004288,3.6759),(1625,365,0.004415,3.6758),(1625,375,0.004543,3.6758),(1625,385,0.004673,3.6758),(1625,395,0.004803,3.6757),(1625,405,0.004933,3.6757),(1625,415,0.005063,3.6757),(1625,425,0.005196,3.6756),(1625,435,0.005329,3.6756),(1625,445,0.005461,3.6755),(1625,455,0.005594,3.6755),(1625,465,0.00573,3.6755),(1625,475,0.005866,3.6754),(1625,485,0.006002,3.6754),(1625,495,0.006138,3.6753),(1625,505,0.006277,3.6753),(1625,515,0.006416,3.6753),(1625,525,0.006555,3.6752),(1625,535,0.006695,3.6752),(1625,545,0.006837,3.6751),(1625,555,0.00698,3.6751),(1625,565,0.007123,3.675),(1625,575,0.007266,3.675),(1625,585,0.007413,3.6749),(1625,595,0.007559,3.6748),(1625,605,0.007706,3.6748),(1625,615,0.007853,3.6747),(1625,625,0.008004,3.6747),(1625,635,0.008155,3.6746),(1625,645,0.008306,3.6746),(1625,655,0.008457,3.6745),(1625,665,0.008612,3.6744),(1625,675,0.008767,3.6744),(1625,685,0.008923,3.6743),(1625,695,0.009079,3.6742),(1625,705,0.009239,3.6742),(1625,715,0.009399,3.6741),(1625,725,0.009559,3.674),(1625,735,0.00972,3.674),(1625,745,0.009885,3.6739),(1625,755,0.01005,3.6738),(1625,765,0.010215,3.6737),(1625,775,0.010382,3.6737),(1625,785,0.010552,3.6736),(1625,795,0.010723,3.6735),(1625,805,0.010893,3.6734),(1625,815,0.011066,3.6733),(1625,825,0.011242,3.6733),(1625,835,0.011418,3.6732),(1625,845,0.011594,3.6731),(1625,855,0.011773,3.673),(1625,865,0.011955,3.6729),(1625,875,0.012137,3.6728),(1625,885,0.01232,3.6727),(1625,895,0.012504,3.6726),(1625,905,0.012693,3.6725),(1625,915,0.012882,3.6724),(1625,925,0.01307,3.6723),(1625,935,0.013262,3.6722),(1625,945,0.013457,3.6721),(1625,955,0.013652,3.672),(1625,965,0.013848,3.6719),(1625,975,0.014046,3.6718),(1625,985,0.014249,3.6717),(1625,995,0.014451,3.6716),(1625,1005,0.014654,3.6715),(1625,1015,0.01486,3.6714),(1625,1025,0.01507,3.6712),(1625,1035,0.01528,3.6711),(1625,1045,0.01549,3.671),(1625,1055,0.015704,3.6709),(1625,1065,0.015922,3.6707),(1625,1075,0.016139,3.6706),(1625,1085,0.016357,3.6705),(1625,1095,0.016579,3.6704),(1625,1105,0.016805,3.6702),(1625,1115,0.01703,3.6701),(1625,1125,0.017256,3.6699),(1625,1135,0.017487,3.6698),(1625,1145,0.017721,3.6697),(1625,1155,0.017955,3.6695),(1625,1165,0.018188,3.6694),(1625,1175,0.018428,3.6692),(1625,1185,0.018671,3.6691),(1625,1195,0.018914,3.6689),(1625,1205,0.019156,3.6688),(1625,1215,0.019405,3.6686),(1625,1225,0.019657,3.6684),(1625,1235,0.019909,3.6683),(1625,1245,0.020161,3.6681),(1625,1255,0.020419,3.6679),(1625,1265,0.02068,3.6678),(1625,1275,0.020942,3.6676),(1625,1285,0.021203,3.6674),(1625,1295,0.021472,3.6672),(1625,1305,0.021743,3.667),(1625,1315,0.022013,3.6669),(1625,1325,0.022284,3.6667),(1625,1335,0.022564,3.6665),(1625,1345,0.022844,3.6663),(1625,1355,0.023125,3.6661),(1625,1365,0.023406,3.6659),(1625,1375,0.023696,3.6657),(1625,1385,0.023988,3.6655),(1625,1395,0.024279,3.6653),(1625,1405,0.02457,3.665),(1625,1415,0.024871,3.6648),(1625,1425,0.025173,3.6646),(1625,1435,0.025475,3.6644),(1625,1445,0.025776,3.6641),(1625,1455,0.026088,3.6639),(1625,1465,0.026401,3.6637),(1625,1475,0.026714,3.6634),(1625,1485,0.027026,3.6632),(1625,1495,0.02735,3.663),(1625,1505,0.027674,3.6627),(1625,1515,0.027998,3.6624),(1625,1525,0.028322,3.6622),(1625,1535,0.028657,3.6619),(1625,1545,0.028992,3.6617),(1625,1555,0.029327,3.6614),(1625,1565,0.029663,3.6611),(1625,1575,0.03001,3.6608),(1625,1585,0.030356,3.6606),(1625,1595,0.030703,3.6603),(1625,1605,0.031051,3.66),(1625,1615,0.031409,3.6597),(1625,1625,0.031768,3.6594),(1625,1635,0.032126,3.6591),(1625,1645,0.032486,3.6588),(1625,1655,0.032856,3.6585),(1625,1665,0.033226,3.6581),(1625,1675,0.033596,3.6578),(1625,1685,0.033969,3.6575),(1625,1695,0.034351,3.6572),(1625,1705,0.034733,3.6568),(1625,1715,0.035115,3.6565),(1625,1725,0.035499,3.6561),(1625,1735,0.035894,3.6558),(1625,1745,0.036288,3.6554),(1625,1755,0.036682,3.6551),(1625,1765,0.037079,3.6547),(1625,1775,0.037485,3.6543),(1625,1785,0.037891,3.6539),(1625,1795,0.038298,3.6535),(1625,1805,0.038707,3.6532),(1625,1815,0.039125,3.6528),(1625,1825,0.039544,3.6524),(1625,1835,0.039962,3.6519),(1625,1845,0.040384,3.6515),(1625,1855,0.040814,3.6511),(1625,1865,0.041243,3.6507),(1625,1875,0.041673,3.6503),(1625,1885,0.042108,3.6498),(1625,1895,0.042549,3.6494),(1625,1905,0.04299,3.6489),(1625,1915,0.043432,3.6485),(1625,1925,0.043878,3.648),(1625,1935,0.044331,3.6475),(1625,1945,0.044784,3.6471),(1625,1955,0.045237,3.6466),(1625,1965,0.045695,3.6461),(1625,1975,0.046159,3.6456),(1625,1985,0.046623,3.6451),(1625,1995,0.047087,3.6446),(1625,2005,0.047557,3.644),(1625,2015,0.048032,3.6435),(1625,2025,0.048506,3.643),(1625,2035,0.048981,3.6424),(1625,2045,0.049461,3.6419),(1625,2055,0.049946,3.6413),(1625,2065,0.050431,3.6408),(1625,2075,0.050916,3.6402),(1625,2085,0.051407,3.6396),(1625,2095,0.051901,3.6391),(1625,2105,0.052396,3.6385),(1625,2115,0.05289,3.6378),(1625,2125,0.053391,3.6372),(1625,2135,0.053894,3.6366),(1625,2145,0.054398,3.636),(1625,2155,0.054901,3.6354),(1625,2165,0.05541,3.6347),(1625,2175,0.055922,3.6341),(1625,2185,0.056434,3.6334),(1625,2195,0.056946,3.6327),(1625,2205,0.057463,3.6321),(1625,2215,0.057982,3.6314),(1625,2225,0.058502,3.6307),(1625,2235,0.059021,3.63),(1625,2245,0.059545,3.6293),(1625,2255,0.060071,3.6286),(1625,2265,0.060596,3.6278),(1625,2275,0.061122,3.6271),(1625,2285,0.061652,3.6263),(1625,2295,0.062183,3.6256),(1625,2305,0.062714,3.6248),(1625,2315,0.063245,3.624),(1625,2325,0.06378,3.6233),(1625,2335,0.064315,3.6225),(1625,2345,0.06485,3.6217),(1625,2355,0.065385,3.6208),(1625,2365,0.065923,3.62),(1625,2375,0.066461,3.6192),(1625,2385,0.066999,3.6183),(1625,2395,0.067537,3.6175),(1625,2405,0.068076,3.6166),(1625,2415,0.068615,3.6158),(1625,2425,0.069154,3.6149),(1625,2435,0.069694,3.614),(1625,2445,0.070233,3.6131),(1625,2455,0.070772,3.6122),(1625,2465,0.071311,3.6113),(1625,2475,0.07185,3.6103),(1625,2485,0.072387,3.6094),(1625,2495,0.072924,3.6084),(1625,2505,0.073462,3.6075),(1625,2515,0.073999,3.6065),(1625,2525,0.074532,3.6055),(1625,2535,0.075066,3.6045),(1625,2545,0.075599,3.6035),(1625,2555,0.076132,3.6025),(1625,2565,0.07666,3.6015),(1625,2575,0.077187,3.6005),(1625,2585,0.077715,3.5994),(1625,2595,0.078242,3.5983),(1625,2605,0.078762,3.5973),(1625,2615,0.079282,3.5962),(1625,2625,0.079802,3.5951),(1625,2635,0.080321,3.594),(1625,2645,0.080831,3.5929),(1625,2655,0.081342,3.5918),(1625,2665,0.081852,3.5907),(1625,2675,0.08236,3.5895),(1625,2685,0.082859,3.5884),(1625,2695,0.083357,3.5872),(1625,2705,0.083855,3.5861),(1625,2715,0.084351,3.5849),(1625,2725,0.084834,3.5837),(1625,2735,0.085318,3.5825),(1625,2745,0.085802,3.5813),(1625,2755,0.086282,3.5801),(1625,2765,0.086749,3.5788),(1625,2775,0.087215,3.5776),(1625,2785,0.087682,3.5763),(1625,2795,0.088143,3.5751),(1625,2805,0.08859,3.5738),(1625,2815,0.089038,3.5725),(1625,2825,0.089485,3.5712),(1625,2835,0.089925,3.5699),(1625,2845,0.09035,3.5686),(1625,2855,0.090775,3.5673),(1625,2865,0.0912,3.566),(1625,2875,0.091616,3.5646),(1625,2885,0.092017,3.5633),(1625,2895,0.092417,3.5619),(1625,2905,0.092818,3.5606),(1625,2915,0.093207,3.5592),(1625,2925,0.09358,3.5578),(1625,2935,0.093953,3.5564),(1625,2945,0.094326,3.555),(1625,2955,0.094686,3.5536),(1625,2965,0.095029,3.5522),(1625,2975,0.095372,3.5508),(1625,2985,0.095715,3.5493),(1625,2995,0.096042,3.5479),(1625,3005,0.096352,3.5464),(1625,3015,0.096662,3.545),(1625,3025,0.096972,3.5435),(1625,3035,0.097263,3.542),(1625,3045,0.097537,3.5405),(1625,3055,0.097811,3.539),(1625,3065,0.098086,3.5375),(1625,3075,0.098338,3.536),(1625,3085,0.098574,3.5345),(1625,3095,0.098809,3.533),(1625,3105,0.099045,3.5315),(1625,3115,0.099256,3.5299),(1625,3125,0.09945,3.5284),(1625,3135,0.099645,3.5268),(1625,3145,0.099839,3.5253),(1625,3155,0.10001,3.5237),(1625,3165,0.10016,3.5222),(1625,3175,0.10031,3.5206),(1625,3185,0.10046,3.519),(1625,3195,0.10058,3.5174),(1625,3205,0.10068,3.5159),(1625,3215,0.10078,3.5143),(1625,3225,0.10089,3.5127),(1625,3235,0.10096,3.5111),(1625,3245,0.10101,3.5095),(1625,3255,0.10107,3.5079),(1625,3265,0.10112,3.5063),(1625,3275,0.10114,3.5047),(1625,3285,0.10114,3.503),(1625,3295,0.10114,3.5014),(1625,3305,0.10115,3.4998),(1625,3315,0.10111,3.4982),(1625,3325,0.10106,3.4965),(1625,3335,0.10101,3.4949),(1625,3345,0.10096,3.4933),(1625,3355,0.10086,3.4916),(1625,3365,0.10076,3.49),(1625,3375,0.10065,3.4884),(1625,3385,0.10054,3.4867),(1625,3395,0.10039,3.4851),(1625,3405,0.10022,3.4834),(1625,3415,0.10006,3.4818),(1625,3425,0.099893,3.4802),(1625,3435,0.099674,3.4785),(1625,3445,0.09945,3.4769),(1625,3455,0.099226,3.4752),(1625,3465,0.099002,3.4736),(1625,3475,0.098719,3.472),(1625,3485,0.098433,3.4703),(1625,3495,0.098148,3.4687),(1625,3505,0.097862,3.467),(1625,3515,0.097514,3.4654),(1625,3525,0.097166,3.4638),(1625,3535,0.096818,3.4621),(1625,3545,0.096466,3.4605),(1625,3555,0.096054,3.4589),(1625,3565,0.095642,3.4573),(1625,3575,0.095229,3.4556),(1625,3585,0.094812,3.454),(1625,3595,0.094334,3.4524),(1625,3605,0.093856,3.4508),(1625,3615,0.093379,3.4492),(1625,3625,0.092893,3.4476),(1625,3635,0.09235,3.446),(1625,3645,0.091806,3.4444),(1625,3655,0.091263,3.4428),(1625,3665,0.090708,3.4412),(1625,3675,0.090099,3.4396),(1625,3685,0.089489,3.438),(1625,3695,0.088879,3.4365),(1625,3705,0.088256,3.4349),(1625,3715,0.08758,3.4333),(1625,3725,0.086904,3.4318),(1625,3735,0.086227,3.4302),(1625,3745,0.085535,3.4287),(1625,3755,0.084792,3.4271),(1625,3765,0.08405,3.4256),(1625,3775,0.083307,3.4241),(1625,3785,0.082546,3.4225),(1625,3795,0.081737,3.421),(1625,3805,0.080928,3.4195),(1625,3815,0.08012,3.418),(1625,3825,0.07929,3.4165),(1625,3835,0.078416,3.415),(1625,3845,0.077541,3.4135),(1625,3855,0.076667,3.412),(1625,3865,0.07577,3.4106),(1625,3875,0.074831,3.4091),(1625,3885,0.073892,3.4076),(1625,3895,0.072953,3.4062),(1625,3905,0.084505,3.4047),(1625,3915,0.11472,3.4032),(1625,3925,0.14493,3.4008),(1625,3935,0.17515,3.3971),(1625,3945,0.20811,3.3933),(1625,3955,0.24455,3.3896),(1625,3965,0.281,3.3848),(1625,3975,0.31745,3.3789),(1625,3985,0.33922,3.373),(1625,3995,0.34511,3.367),(1625,4005,0.35099,3.3611),(1625,4015,0.35688,3.3551),(1625,4025,0.363,3.3492),(1625,4035,0.36914,3.3432),(1625,4045,0.37528,3.337),(1625,4055,0.38132,3.3309),(1625,4065,0.38732,3.3248),(1625,4075,0.39333,3.3185),(1625,4085,0.39919,3.3122),(1625,4095,0.40495,3.306),(1625,4105,0.4107,3.2996),(1625,4115,0.40082,3.2932),(1625,4125,0.36501,3.2868),(1625,4135,0.3292,3.2818),(1625,4145,0.29246,3.2773),(1625,4155,0.25191,3.2727),(1625,4165,0.21136,3.2692),(1625,4175,0.17313,3.2663),(1625,4185,0.25023,3.2633),(1625,4195,0.32732,3.2587),(1625,4205,0.40442,3.2517),(1625,4215,0.39876,3.2448),(1625,4225,0.37754,3.2381),(1625,4235,0.35632,3.2322),(1625,4245,0.32657,3.2263),(1625,4255,0.29251,3.2206),(1625,4265,0.25845,3.2162),(1625,4275,0.21384,3.2118),(1625,4285,0.15804,3.2075),(1625,4295,0.10223,3.2059),(1625,4305,0.093774,3.2047),(1625,4315,0.19222,3.2035),(1625,4325,0.29067,3.1989),(1625,4335,0.3789,3.1929),(1625,4345,0.39796,3.187),(1625,4355,0.41702,3.1797),(1625,4365,0.43609,3.1713),(1625,4375,0.44269,3.163),(1625,4385,0.44865,3.1542),(1625,4395,0.4546,3.1448),(1625,4405,0.39744,3.1353),(1625,4415,0.32167,3.1268),(1625,4425,0.2459,3.1222),(1625,4435,0.2169,3.1176),(1625,4445,0.21985,3.1131),(1625,4455,0.22281,3.1086),(1625,4465,0.26991,3.1042),(1625,4475,0.37903,3.0998),(1625,4485,0.48815,3.0906),(1625,4495,0.57551,3.0805),(1625,4505,0.59305,3.0703),(1625,4515,0.6106,3.0597),(1625,4525,0.62668,3.0488),(1625,4535,0.61978,3.0379),(1625,4545,0.61288,3.0271),(1625,4555,0.60598,3.0162),(1625,4565,0.4504,3.0054),(1625,4575,0.27479,2.9972),(1625,4585,0.099168,2.9955),(1625,4595,0.10069,2.9937),(1625,4605,0.17705,2.9913),(1625,4615,0.25341,2.9841),(1625,4625,0.32599,2.9768),(1625,4635,0.39515,2.9695),(1625,4645,0.4643,2.9605),(1625,4655,0.52599,2.9514),(1625,4665,0.5736,2.9423),(1625,4675,0.62121,2.9334),(1625,4685,0.63757,2.9246),(1625,4695,0.49954,2.9157),(1625,4705,0.36151,2.9106),(1625,4715,0.22348,2.9082),(1625,4725,0.30814,2.9058),(1625,4735,0.39504,2.9017),(1625,4745,0.48193,2.8952),(1625,4755,0.58389,2.8887),(1625,4765,0.68934,2.8812),(1625,4775,0.7948,2.8704),(1625,4785,0.84596,2.8595),(1625,4795,0.86574,2.8487),(1625,4805,0.88552,2.8377),(1625,4815,0.85668,2.8266),(1625,4825,0.7697,2.8156),(1625,4835,0.68273,2.808),(1625,4845,0.5882,2.801),(1625,4855,0.47396,2.794),(1625,4865,0.35971,2.7889),(1625,4875,0.27875,2.7847),(1625,4885,0.50058,2.7805),(1625,4895,0.72241,2.7715),(1625,4905,0.94424,2.7578),(1625,4915,0.94449,2.7442),(1625,4925,0.92567,2.7308),(1625,4935,0.90686,2.7179),(1625,4945,0.83121,2.7051),(1625,4955,0.73585,2.6927),(1625,4965,0.6405,2.6834),(1625,4975,0.50085,2.6741),(1625,4985,0.32701,2.6648),(1625,4995,0.15317,2.6637),(1625,5005,0.14407,2.6628),(1625,5015,0.39684,2.6619),(1625,5025,0.64962,2.6534),(1625,5035,0.87131,2.643),(1625,5045,0.97457,2.6327),(1625,5055,1.0778,2.6205),(1625,5065,1.1786,2.6073),(1625,5075,1.1984,2.5941),(1625,5085,1.2182,2.5811),(1625,5095,1.238,2.5682),(1625,5105,1.0886,2.5553),(1625,5115,0.90961,2.5441),(1625,5125,0.73064,2.5374),(1625,5135,0.62757,2.5308),(1625,5145,0.56134,2.5242),(1625,5155,0.49512,2.518),(1625,5165,0.58506,2.5118),(1625,5175,0.83428,2.5056),(1625,5185,1.0835,2.4914),(1625,5195,1.2604,2.4762),(1625,5205,1.2815,2.4611),(1625,5215,1.3026,2.4464),(1625,5225,1.3164,2.4317),(1625,5235,1.2854,2.417),(1625,5245,1.2543,2.4035),(1625,5255,1.2232,2.391),(1625,5265,0.85592,2.3785),(1625,5275,0.4748,2.3705),(1625,5285,0.093688,2.3702),(1625,5295,0.20697,2.3698),(1625,5305,0.45794,2.3671),(1625,5315,0.70891,2.3542),(1625,5325,0.89116,2.3413),(1625,5335,1.0284,2.3284),(1625,5345,1.1656,2.3132),(1625,5355,1.2649,2.2981),(1625,5365,1.313,2.283),(1625,5375,1.3612,2.2685),(1625,5385,1.3183,2.2542),(1625,5395,0.99845,2.2399),(1625,5405,0.67858,2.2326),(1625,5415,0.38581,2.2289),(1625,5425,0.457,2.2252),(1625,5435,0.5282,2.2172),(1625,5445,0.5994,2.2045),(1625,5455,0.72652,2.1919),(1625,5465,0.86048,2.1768),(1625,5475,0.99444,2.1561),(1625,5485,1.0524,2.1354),(1625,5495,1.0799,2.1147),(1625,5505,1.1073,2.0937),(1625,5515,1.1355,2.0727),(1625,5525,1.1645,2.0517),(1625,5535,1.1935,2.0305),(1625,5545,1.2224,2.0093),(1625,5555,1.251,1.9881),(1625,5565,1.2796,1.9668),(1625,5575,1.308,1.9455),(1625,5585,1.3357,1.9241),(1625,5595,1.3633,1.9029),(1625,5605,1.391,1.8816),(1625,5615,1.4174,1.8603),(1625,5625,1.4439,1.8391),(1625,5635,1.4703,1.818),(1625,5645,1.4957,1.7969),(1625,5655,1.5209,1.7759),(1625,5665,1.546,1.755),(1625,5675,1.5703,1.7342),(1625,5685,1.5941,1.7134),(1625,5695,1.6179,1.6928),(1625,5705,1.641,1.6722),(1625,5715,1.6634,1.6516),(1625,5725,1.6857,1.6313),(1625,5735,1.7077,1.6111),(1625,5745,1.7286,1.5908),(1625,5755,1.7495,1.5708),(1625,5765,1.7703,1.5509),(1625,5775,1.7899,1.5311),(1625,5785,1.8094,1.5113),(1625,5795,1.829,1.4918),(1625,5805,1.8473,1.4722),(1625,5815,1.8656,1.4528),(1625,5825,1.8838,1.4336),(1625,5835,1.9011,1.4144),(1625,5845,1.918,1.3952),(1625,5855,1.935,1.3763),(1625,5865,1.9513,1.3573),(1625,5875,1.9671,1.3384),(1625,5885,1.9828,1.3198),(1625,5895,1.9982,1.3012),(1625,5905,2.0128,1.2825),(1625,5915,2.0275,1.2641),(1625,5925,2.0419,1.2458),(1625,5935,2.0555,1.2275),(1625,5945,2.0691,1.2093),(1625,5955,2.0827,1.1913),(1625,5965,2.0958,1.1732),(1625,5975,2.1088,1.1552),(1625,5985,2.1218,1.1374),(1625,5995,1.6236,1.1195),(1625,6005,1.043,1.1059),(1625,6015,0.4624,1.1036),(1625,6025,0.45218,1.1013),(1625,6035,0.7065,1.098),(1625,6045,0.96082,1.0841),(1625,6055,1.1459,1.0703),(1625,6065,1.2632,1.0565),(1625,6075,1.3804,1.0384),(1625,6085,1.4615,1.02),(1625,6095,1.4679,1.0015),(1625,6105,1.4743,0.98286),(1625,6115,1.4807,0.96413),(1625,6125,1.4868,0.9454),(1625,6135,1.4929,0.92663),(1625,6145,1.499,0.90782),(1625,6155,1.5048,0.88902),(1625,6165,1.5105,0.87017),(1625,6175,1.5162,0.85122),(1625,6185,1.5217,0.83228),(1625,6195,1.527,0.81332),(1625,6205,1.5324,0.79427),(1625,6215,1.5375,0.77523),(1625,6225,1.5424,0.75618),(1625,6235,1.5474,0.73707),(1625,6245,1.5522,0.71796),(1625,6255,1.5567,0.69885),(1625,6265,1.5613,0.67955),(1625,6275,1.5657,0.66021),(1625,6285,1.5699,0.64087),(1625,6295,1.574,0.62147),(1625,6305,1.5782,0.60203),(1625,6315,1.5819,0.58259),(1625,6325,1.5857,0.56316),(1625,6335,1.5895,0.54374),(1625,6345,1.5929,0.52431),(1625,6355,1.5963,0.50484),(1625,6365,1.5997,0.48526),(1625,6375,1.6028,0.46568),(1625,6385,1.6057,0.44609),(1625,6395,1.6087,0.42639),(1625,6405,1.6115,0.40669),(1625,6415,1.6141,0.38699),(1625,6425,1.6166,0.36733),(1625,6435,1.6191,0.34766),(1625,6445,1.6212,0.328),(1625,6455,1.6234,0.30833),(1625,6465,1.6255,0.28865),(1625,6475,1.6273,0.26898),(1625,6485,1.629,0.24924),(1625,6495,1.6308,0.22947),(1625,6505,1.6321,0.20969),(1625,6515,1.6334,0.18991),(1625,6525,1.6348,0.17012),(1625,6535,1.6357,0.15034),(1625,6545,1.6366,0.13056),(1625,6555,1.6375,0.1108),(1625,6565,1.6381,0.091042),(1625,6575,1.6385,0.07128),(1625,6585,1.6389,0.051487),(1625,6595,1.3941,0.031695),(1625,6605,0.87856,0.011902),(1625,6615,0.36297,0.009656),(1625,6625,0.00053,0.009665),(1625,6635,0.000532,0.009674),(1625,6645,0.000535,0.009671),(1625,6655,0.000538,0.009662),(1625,6665,0.00054,0.009654),(1625,6675,0.000542,0.009646),(1625,6685,0.000545,0.009637),(1625,6695,0.000547,0.009629),(1625,6705,0.00055,0.00962),(1625,6715,0.000552,0.009612),(1625,6725,0.000554,0.009603),(1625,6735,0.000556,0.009595),(1625,6745,0.000559,0.009586),(1625,6755,0.000561,0.009578),(1625,6765,0.000563,0.009569),(1625,6775,0.000565,0.009561),(1625,6785,0.000567,0.009553),(1625,6795,0.000569,0.009544),(1625,6805,0.000571,0.009536),(1625,6815,0.000573,0.009527),(1625,6825,0.000575,0.009519),(1625,6835,0.000577,0.00951),(1625,6845,0.000579,0.009501),(1625,6855,0.000581,0.009493),(1625,6865,0.000583,0.009484),(1625,6875,0.000585,0.009476),(1625,6885,0.000586,0.009467),(1625,6895,0.000588,0.009459),(1625,6905,0.00059,0.00945),(1625,6915,0.000592,0.009442),(1625,6925,0.000593,0.009433),(1625,6935,0.000595,0.009425),(1625,6945,0.000597,0.009416),(1625,6955,0.000598,0.009407),(1625,6965,0.0006,0.009399),(1625,6975,0.000602,0.00939),(1625,6985,0.000603,0.009381),(1635,5,5.9e-05,3.6765),(1635,15,0.000176,3.6765),(1635,25,0.000293,3.6765),(1635,35,0.000411,3.6765),(1635,45,0.000528,3.6765),(1635,55,0.000646,3.6765),(1635,65,0.000764,3.6765),(1635,75,0.000882,3.6765),(1635,85,0.001,3.6765),(1635,95,0.001118,3.6765),(1635,105,0.001236,3.6765),(1635,115,0.001354,3.6765),(1635,125,0.001473,3.6764),(1635,135,0.001592,3.6764),(1635,145,0.001711,3.6764),(1635,155,0.00183,3.6764),(1635,165,0.00195,3.6764),(1635,175,0.002069,3.6764),(1635,185,0.002189,3.6764),(1635,195,0.00231,3.6764),(1635,205,0.00243,3.6763),(1635,215,0.002551,3.6763),(1635,225,0.002672,3.6763),(1635,235,0.002794,3.6763),(1635,245,0.002916,3.6763),(1635,255,0.003038,3.6762),(1635,265,0.003161,3.6762),(1635,275,0.003285,3.6762),(1635,285,0.003409,3.6762),(1635,295,0.003532,3.6762),(1635,305,0.003658,3.6761),(1635,315,0.003783,3.6761),(1635,325,0.003909,3.6761),(1635,335,0.004035,3.676),(1635,345,0.004162,3.676),(1635,355,0.00429,3.676),(1635,365,0.004418,3.676),(1635,375,0.004546,3.6759),(1635,385,0.004675,3.6759),(1635,395,0.004806,3.6759),(1635,405,0.004936,3.6758),(1635,415,0.005066,3.6758),(1635,425,0.005199,3.6758),(1635,435,0.005332,3.6757),(1635,445,0.005465,3.6757),(1635,455,0.005598,3.6756),(1635,465,0.005733,3.6756),(1635,475,0.005869,3.6756),(1635,485,0.006006,3.6755),(1635,495,0.006142,3.6755),(1635,505,0.006281,3.6754),(1635,515,0.00642,3.6754),(1635,525,0.00656,3.6753),(1635,535,0.006699,3.6753),(1635,545,0.006842,3.6753),(1635,555,0.006985,3.6752),(1635,565,0.007128,3.6752),(1635,575,0.007271,3.6751),(1635,585,0.007418,3.675),(1635,595,0.007565,3.675),(1635,605,0.007712,3.6749),(1635,615,0.007859,3.6749),(1635,625,0.00801,3.6748),(1635,635,0.008161,3.6748),(1635,645,0.008312,3.6747),(1635,655,0.008464,3.6746),(1635,665,0.008619,3.6746),(1635,675,0.008775,3.6745),(1635,685,0.00893,3.6745),(1635,695,0.009087,3.6744),(1635,705,0.009247,3.6743),(1635,715,0.009407,3.6743),(1635,725,0.009567,3.6742),(1635,735,0.009728,3.6741),(1635,745,0.009894,3.6741),(1635,755,0.010059,3.674),(1635,765,0.010225,3.6739),(1635,775,0.010392,3.6738),(1635,785,0.010562,3.6738),(1635,795,0.010733,3.6737),(1635,805,0.010904,3.6736),(1635,815,0.011077,3.6735),(1635,825,0.011254,3.6734),(1635,835,0.01143,3.6733),(1635,845,0.011607,3.6733),(1635,855,0.011786,3.6732),(1635,865,0.011968,3.6731),(1635,875,0.012151,3.673),(1635,885,0.012334,3.6729),(1635,895,0.012519,3.6728),(1635,905,0.012708,3.6727),(1635,915,0.012897,3.6726),(1635,925,0.013086,3.6725),(1635,935,0.013278,3.6724),(1635,945,0.013474,3.6723),(1635,955,0.01367,3.6722),(1635,965,0.013865,3.6721),(1635,975,0.014065,3.672),(1635,985,0.014268,3.6719),(1635,995,0.014471,3.6718),(1635,1005,0.014674,3.6717),(1635,1015,0.01488,3.6716),(1635,1025,0.015091,3.6714),(1635,1035,0.015301,3.6713),(1635,1045,0.015512,3.6712),(1635,1055,0.015727,3.6711),(1635,1065,0.015945,3.671),(1635,1075,0.016163,3.6708),(1635,1085,0.016382,3.6707),(1635,1095,0.016605,3.6706),(1635,1105,0.016831,3.6704),(1635,1115,0.017057,3.6703),(1635,1125,0.017284,3.6702),(1635,1135,0.017515,3.67),(1635,1145,0.01775,3.6699),(1635,1155,0.017985,3.6698),(1635,1165,0.018219,3.6696),(1635,1175,0.01846,3.6695),(1635,1185,0.018704,3.6693),(1635,1195,0.018947,3.6692),(1635,1205,0.019191,3.669),(1635,1215,0.019441,3.6688),(1635,1225,0.019693,3.6687),(1635,1235,0.019946,3.6685),(1635,1245,0.020199,3.6684),(1635,1255,0.020459,3.6682),(1635,1265,0.020721,3.668),(1635,1275,0.020983,3.6679),(1635,1285,0.021245,3.6677),(1635,1295,0.021515,3.6675),(1635,1305,0.021787,3.6673),(1635,1315,0.022059,3.6671),(1635,1325,0.022331,3.6669),(1635,1335,0.022612,3.6668),(1635,1345,0.022894,3.6666),(1635,1355,0.023176,3.6664),(1635,1365,0.023458,3.6662),(1635,1375,0.023749,3.666),(1635,1385,0.024042,3.6658),(1635,1395,0.024335,3.6655),(1635,1405,0.024627,3.6653),(1635,1415,0.02493,3.6651),(1635,1425,0.025233,3.6649),(1635,1435,0.025536,3.6647),(1635,1445,0.02584,3.6645),(1635,1455,0.026153,3.6642),(1635,1465,0.026468,3.664),(1635,1475,0.026782,3.6638),(1635,1485,0.027096,3.6635),(1635,1495,0.027421,3.6633),(1635,1505,0.027747,3.663),(1635,1515,0.028072,3.6628),(1635,1525,0.028398,3.6625),(1635,1535,0.028735,3.6623),(1635,1545,0.029072,3.662),(1635,1555,0.029409,3.6617),(1635,1565,0.029747,3.6615),(1635,1575,0.030096,3.6612),(1635,1585,0.030444,3.6609),(1635,1595,0.030793,3.6606),(1635,1605,0.031143,3.6603),(1635,1615,0.031504,3.66),(1635,1625,0.031864,3.6598),(1635,1635,0.032225,3.6594),(1635,1645,0.032587,3.6591),(1635,1655,0.03296,3.6588),(1635,1665,0.033332,3.6585),(1635,1675,0.033705,3.6582),(1635,1685,0.034079,3.6579),(1635,1695,0.034464,3.6575),(1635,1705,0.034848,3.6572),(1635,1715,0.035233,3.6569),(1635,1725,0.03562,3.6565),(1635,1735,0.036017,3.6562),(1635,1745,0.036414,3.6558),(1635,1755,0.036811,3.6555),(1635,1765,0.037211,3.6551),(1635,1775,0.03762,3.6547),(1635,1785,0.038029,3.6543),(1635,1795,0.038438,3.654),(1635,1805,0.03885,3.6536),(1635,1815,0.039272,3.6532),(1635,1825,0.039693,3.6528),(1635,1835,0.040114,3.6524),(1635,1845,0.040539,3.652),(1635,1855,0.040972,3.6515),(1635,1865,0.041405,3.6511),(1635,1875,0.041838,3.6507),(1635,1885,0.042276,3.6503),(1635,1895,0.042721,3.6498),(1635,1905,0.043166,3.6494),(1635,1915,0.043611,3.6489),(1635,1925,0.044061,3.6484),(1635,1935,0.044517,3.648),(1635,1945,0.044974,3.6475),(1635,1955,0.04543,3.647),(1635,1965,0.045892,3.6465),(1635,1975,0.04636,3.6461),(1635,1985,0.046828,3.6455),(1635,1995,0.047296,3.645),(1635,2005,0.04777,3.6445),(1635,2015,0.048249,3.644),(1635,2025,0.048728,3.6435),(1635,2035,0.049207,3.6429),(1635,2045,0.049691,3.6424),(1635,2055,0.05018,3.6418),(1635,2065,0.05067,3.6413),(1635,2075,0.051159,3.6407),(1635,2085,0.051654,3.6401),(1635,2095,0.052153,3.6395),(1635,2105,0.052652,3.639),(1635,2115,0.053151,3.6383),(1635,2125,0.053656,3.6377),(1635,2135,0.054165,3.6371),(1635,2145,0.054673,3.6365),(1635,2155,0.055181,3.6359),(1635,2165,0.055695,3.6352),(1635,2175,0.056212,3.6346),(1635,2185,0.056729,3.6339),(1635,2195,0.057246,3.6333),(1635,2205,0.057768,3.6326),(1635,2215,0.058293,3.6319),(1635,2225,0.058817,3.6312),(1635,2235,0.059342,3.6305),(1635,2245,0.059871,3.6298),(1635,2255,0.060402,3.6291),(1635,2265,0.060933,3.6284),(1635,2275,0.061464,3.6276),(1635,2285,0.062,3.6269),(1635,2295,0.062537,3.6261),(1635,2305,0.063073,3.6254),(1635,2315,0.06361,3.6246),(1635,2325,0.06415,3.6238),(1635,2335,0.064691,3.623),(1635,2345,0.065233,3.6222),(1635,2355,0.065774,3.6214),(1635,2365,0.066317,3.6206),(1635,2375,0.066861,3.6197),(1635,2385,0.067405,3.6189),(1635,2395,0.067949,3.618),(1635,2405,0.068495,3.6172),(1635,2415,0.06904,3.6163),(1635,2425,0.069586,3.6154),(1635,2435,0.070131,3.6145),(1635,2445,0.070676,3.6136),(1635,2455,0.071222,3.6127),(1635,2465,0.071767,3.6118),(1635,2475,0.072313,3.6109),(1635,2485,0.072856,3.6099),(1635,2495,0.0734,3.609),(1635,2505,0.073944,3.608),(1635,2515,0.074487,3.607),(1635,2525,0.075027,3.6061),(1635,2535,0.075568,3.6051),(1635,2545,0.076108,3.6041),(1635,2555,0.076647,3.603),(1635,2565,0.077182,3.602),(1635,2575,0.077716,3.601),(1635,2585,0.07825,3.5999),(1635,2595,0.078784,3.5989),(1635,2605,0.079311,3.5978),(1635,2615,0.079838,3.5967),(1635,2625,0.080365,3.5956),(1635,2635,0.08089,3.5945),(1635,2645,0.081407,3.5934),(1635,2655,0.081924,3.5923),(1635,2665,0.082441,3.5912),(1635,2675,0.082956,3.59),(1635,2685,0.083462,3.5889),(1635,2695,0.083967,3.5877),(1635,2705,0.084472,3.5866),(1635,2715,0.084974,3.5854),(1635,2725,0.085464,3.5842),(1635,2735,0.085955,3.583),(1635,2745,0.086446,3.5818),(1635,2755,0.086932,3.5805),(1635,2765,0.087406,3.5793),(1635,2775,0.087879,3.5781),(1635,2785,0.088353,3.5768),(1635,2795,0.088821,3.5755),(1635,2805,0.089275,3.5743),(1635,2815,0.089728,3.573),(1635,2825,0.090182,3.5717),(1635,2835,0.090629,3.5704),(1635,2845,0.091061,3.5691),(1635,2855,0.091492,3.5677),(1635,2865,0.091924,3.5664),(1635,2875,0.092347,3.565),(1635,2885,0.092753,3.5637),(1635,2895,0.09316,3.5623),(1635,2905,0.093567,3.561),(1635,2915,0.093963,3.5596),(1635,2925,0.094342,3.5582),(1635,2935,0.094721,3.5568),(1635,2945,0.0951,3.5554),(1635,2955,0.095466,3.5539),(1635,2965,0.095815,3.5525),(1635,2975,0.096164,3.5511),(1635,2985,0.096513,3.5496),(1635,2995,0.096845,3.5482),(1635,3005,0.097161,3.5467),(1635,3015,0.097477,3.5453),(1635,3025,0.097792,3.5438),(1635,3035,0.098089,3.5423),(1635,3045,0.098369,3.5408),(1635,3055,0.098648,3.5393),(1635,3065,0.098928,3.5378),(1635,3075,0.099185,3.5363),(1635,3085,0.099426,3.5348),(1635,3095,0.099667,3.5332),(1635,3105,0.099908,3.5317),(1635,3115,0.10012,3.5301),(1635,3125,0.10032,3.5286),(1635,3135,0.10052,3.527),(1635,3145,0.10072,3.5255),(1635,3155,0.10089,3.5239),(1635,3165,0.10105,3.5223),(1635,3175,0.1012,3.5208),(1635,3185,0.10136,3.5192),(1635,3195,0.10148,3.5176),(1635,3205,0.10159,3.516),(1635,3215,0.10169,3.5144),(1635,3225,0.1018,3.5128),(1635,3235,0.10187,3.5112),(1635,3245,0.10193,3.5095),(1635,3255,0.10199,3.5079),(1635,3265,0.10205,3.5063),(1635,3275,0.10207,3.5047),(1635,3285,0.10208,3.503),(1635,3295,0.10208,3.5014),(1635,3305,0.10209,3.4998),(1635,3315,0.10205,3.4981),(1635,3325,0.102,3.4965),(1635,3335,0.10196,3.4948),(1635,3345,0.10191,3.4932),(1635,3355,0.10181,3.4915),(1635,3365,0.10171,3.4899),(1635,3375,0.10161,3.4882),(1635,3385,0.1015,3.4866),(1635,3395,0.10135,3.4849),(1635,3405,0.10118,3.4833),(1635,3415,0.10102,3.4816),(1635,3425,0.10086,3.48),(1635,3435,0.10064,3.4783),(1635,3445,0.10042,3.4767),(1635,3455,0.1002,3.475),(1635,3465,0.099973,3.4733),(1635,3475,0.09969,3.4717),(1635,3485,0.099406,3.47),(1635,3495,0.099121,3.4684),(1635,3505,0.098836,3.4667),(1635,3515,0.098488,3.4651),(1635,3525,0.098141,3.4634),(1635,3535,0.097793,3.4618),(1635,3545,0.097442,3.4601),(1635,3555,0.09703,3.4585),(1635,3565,0.096617,3.4568),(1635,3575,0.096205,3.4552),(1635,3585,0.095787,3.4536),(1635,3595,0.09531,3.4519),(1635,3605,0.094832,3.4503),(1635,3615,0.094354,3.4487),(1635,3625,0.093868,3.4471),(1635,3635,0.093324,3.4454),(1635,3645,0.09278,3.4438),(1635,3655,0.092236,3.4422),(1635,3665,0.091681,3.4406),(1635,3675,0.091071,3.439),(1635,3685,0.09046,3.4374),(1635,3695,0.08985,3.4358),(1635,3705,0.089226,3.4342),(1635,3715,0.088549,3.4327),(1635,3725,0.087872,3.4311),(1635,3735,0.087195,3.4295),(1635,3745,0.086502,3.428),(1635,3755,0.085759,3.4264),(1635,3765,0.085016,3.4248),(1635,3775,0.084273,3.4233),(1635,3785,0.083511,3.4218),(1635,3795,0.082702,3.4202),(1635,3805,0.081893,3.4187),(1635,3815,0.081084,3.4172),(1635,3825,0.080254,3.4157),(1635,3835,0.07938,3.4141),(1635,3845,0.078506,3.4126),(1635,3855,0.077632,3.4111),(1635,3865,0.076735,3.4096),(1635,3875,0.075797,3.4081),(1635,3885,0.074859,3.4067),(1635,3895,0.073922,3.4052),(1635,3905,0.085629,3.4037),(1635,3915,0.11623,3.4022),(1635,3925,0.14682,3.3998),(1635,3935,0.17742,3.396),(1635,3945,0.21073,3.3922),(1635,3955,0.24749,3.3884),(1635,3965,0.28425,3.3836),(1635,3975,0.321,3.3776),(1635,3985,0.34292,3.3717),(1635,3995,0.34878,3.3657),(1635,4005,0.35464,3.3597),(1635,4015,0.3605,3.3537),(1635,4025,0.36662,3.3476),(1635,4035,0.37276,3.3416),(1635,4045,0.37891,3.3354),(1635,4055,0.38496,3.3292),(1635,4065,0.39098,3.323),(1635,4075,0.397,3.3167),(1635,4085,0.40287,3.3104),(1635,4095,0.40862,3.304),(1635,4105,0.41437,3.2976),(1635,4115,0.40435,3.2912),(1635,4125,0.36818,3.2848),(1635,4135,0.33201,3.28),(1635,4145,0.29493,3.2755),(1635,4155,0.25413,3.2711),(1635,4165,0.21333,3.2676),(1635,4175,0.17488,3.2648),(1635,4185,0.25275,3.262),(1635,4195,0.33062,3.2574),(1635,4205,0.40848,3.2505),(1635,4215,0.4028,3.2435),(1635,4225,0.38138,3.2367),(1635,4235,0.35997,3.2306),(1635,4245,0.33,3.2246),(1635,4255,0.29568,3.2186),(1635,4265,0.26136,3.2141),(1635,4275,0.21632,3.2095),(1635,4285,0.1599,3.205),(1635,4295,0.10348,3.2033),(1635,4305,0.094868,3.202),(1635,4315,0.1942,3.2007),(1635,4325,0.29354,3.1959),(1635,4335,0.38262,3.1895),(1635,4345,0.40227,3.1832),(1635,4355,0.42193,3.1757),(1635,4365,0.44158,3.1671),(1635,4375,0.44845,3.1586),(1635,4385,0.45466,3.1497),(1635,4395,0.46087,3.1402),(1635,4405,0.40295,3.1307),(1635,4415,0.32612,3.1222),(1635,4425,0.24929,3.1177),(1635,4435,0.21983,3.1133),(1635,4445,0.22275,3.1089),(1635,4455,0.22566,3.1045),(1635,4465,0.27318,3.1001),(1635,4475,0.38335,3.0957),(1635,4485,0.49353,3.0865),(1635,4495,0.58172,3.0764),(1635,4505,0.59937,3.0662),(1635,4515,0.61702,3.0555),(1635,4525,0.63321,3.0446),(1635,4535,0.62634,3.0337),(1635,4545,0.61946,3.0228),(1635,4555,0.61259,3.012),(1635,4565,0.45557,3.0012),(1635,4575,0.2783,2.9931),(1635,4585,0.10104,2.9913),(1635,4595,0.10289,2.9895),(1635,4605,0.18042,2.9871),(1635,4615,0.25795,2.9799),(1635,4625,0.33114,2.9727),(1635,4635,0.4004,2.9654),(1635,4645,0.46966,2.9565),(1635,4655,0.53129,2.9475),(1635,4665,0.57855,2.9385),(1635,4675,0.6258,2.9295),(1635,4685,0.64169,2.9206),(1635,4695,0.50259,2.9116),(1635,4705,0.36348,2.9063),(1635,4715,0.22438,2.9037),(1635,4725,0.30971,2.9011),(1635,4735,0.39729,2.8969),(1635,4745,0.48487,2.8903),(1635,4755,0.58748,2.8837),(1635,4765,0.69358,2.8761),(1635,4775,0.79968,2.8651),(1635,4785,0.85104,2.8542),(1635,4795,0.87075,2.8433),(1635,4805,0.89046,2.8323),(1635,4815,0.86128,2.8212),(1635,4825,0.77365,2.8102),(1635,4835,0.68601,2.8027),(1635,4845,0.59096,2.7957),(1635,4855,0.47658,2.7887),(1635,4865,0.36219,2.7837),(1635,4875,0.28124,2.7795),(1635,4885,0.50452,2.7753),(1635,4895,0.7278,2.7663),(1635,4905,0.95108,2.7527),(1635,4915,0.95131,2.7391),(1635,4925,0.93235,2.7257),(1635,4935,0.91338,2.7128),(1635,4945,0.83734,2.7),(1635,4955,0.74152,2.6877),(1635,4965,0.64569,2.6784),(1635,4975,0.50505,2.669),(1635,4985,0.32983,2.6597),(1635,4995,0.1546,2.6585),(1635,5005,0.14512,2.6576),(1635,5015,0.39915,2.6567),(1635,5025,0.65318,2.6482),(1635,5035,0.87591,2.6379),(1635,5045,0.97937,2.6275),(1635,5055,1.0828,2.6154),(1635,5065,1.1838,2.6022),(1635,5075,1.2034,2.589),(1635,5085,1.223,2.576),(1635,5095,1.2426,2.5632),(1635,5105,1.0924,2.5503),(1635,5115,0.91273,2.5391),(1635,5125,0.73301,2.5325),(1635,5135,0.62988,2.5259),(1635,5145,0.56392,2.5194),(1635,5155,0.49795,2.5132),(1635,5165,0.58857,2.507),(1635,5175,0.83888,2.5008),(1635,5185,1.0892,2.4866),(1635,5195,1.2668,2.4715),(1635,5205,1.2876,2.4565),(1635,5215,1.3085,2.4417),(1635,5225,1.322,2.4271),(1635,5235,1.2905,2.4125),(1635,5245,1.259,2.399),(1635,5255,1.2274,2.3866),(1635,5265,0.85895,2.3741),(1635,5275,0.47658,2.3661),(1635,5285,0.094204,2.3658),(1635,5295,0.20888,2.3655),(1635,5305,0.46197,2.3627),(1635,5315,0.71506,2.3498),(1635,5325,0.89806,2.3369),(1635,5335,1.0351,2.324),(1635,5345,1.1721,2.3089),(1635,5355,1.2711,2.2938),(1635,5365,1.3188,2.2788),(1635,5375,1.3665,2.2644),(1635,5385,1.3229,2.2501),(1635,5395,1.0018,2.2358),(1635,5405,0.68076,2.2285),(1635,5415,0.38705,2.2249),(1635,5425,0.46048,2.2212),(1635,5435,0.53391,2.2132),(1635,5445,0.60734,2.2004),(1635,5455,0.73601,2.1877),(1635,5465,0.87143,2.1725),(1635,5475,1.0068,2.1518),(1635,5485,1.0652,2.1311),(1635,5495,1.0926,2.1103),(1635,5505,1.1199,2.0893),(1635,5515,1.1481,2.0682),(1635,5525,1.177,2.0472),(1635,5535,1.2059,2.026),(1635,5545,1.2346,2.0047),(1635,5555,1.2631,1.9835),(1635,5565,1.2916,1.9622),(1635,5575,1.3198,1.9409),(1635,5585,1.3473,1.9196),(1635,5595,1.3748,1.8983),(1635,5605,1.4023,1.8771),(1635,5615,1.4285,1.8558),(1635,5625,1.4548,1.8347),(1635,5635,1.4811,1.8136),(1635,5645,1.5062,1.7926),(1635,5655,1.5312,1.7716),(1635,5665,1.5561,1.7508),(1635,5675,1.5802,1.7301),(1635,5685,1.6037,1.7093),(1635,5695,1.6273,1.6888),(1635,5705,1.6502,1.6683),(1635,5715,1.6723,1.6478),(1635,5725,1.6944,1.6276),(1635,5735,1.7161,1.6075),(1635,5745,1.7368,1.5873),(1635,5755,1.7576,1.5674),(1635,5765,1.7781,1.5476),(1635,5775,1.7975,1.5278),(1635,5785,1.8168,1.5082),(1635,5795,1.8362,1.4887),(1635,5805,1.8543,1.4692),(1635,5815,1.8723,1.4499),(1635,5825,1.8903,1.4308),(1635,5835,1.9074,1.4116),(1635,5845,1.9242,1.3926),(1635,5855,1.941,1.3737),(1635,5865,1.9571,1.3549),(1635,5875,1.9727,1.3361),(1635,5885,1.9883,1.3175),(1635,5895,2.0034,1.299),(1635,5905,2.0179,1.2805),(1635,5915,2.0324,1.2622),(1635,5925,2.0467,1.2439),(1635,5935,2.0601,1.2257),(1635,5945,2.0736,1.2076),(1635,5955,2.087,1.1896),(1635,5965,2.1,1.1716),(1635,5975,2.1129,1.1537),(1635,5985,2.1258,1.136),(1635,5995,1.6265,1.1182),(1635,6005,1.0449,1.1047),(1635,6015,0.46319,1.1024),(1635,6025,0.454,1.1001),(1635,6035,0.71032,1.0968),(1635,6045,0.96664,1.0829),(1635,6055,1.1531,1.0691),(1635,6065,1.2711,1.0553),(1635,6075,1.389,1.0372),(1635,6085,1.4705,1.0188),(1635,6095,1.4769,1.0003),(1635,6105,1.4833,0.98168),(1635,6115,1.4897,0.96296),(1635,6125,1.4958,0.94424),(1635,6135,1.502,0.92548),(1635,6145,1.5081,0.90669),(1635,6155,1.5138,0.8879),(1635,6165,1.5196,0.86906),(1635,6175,1.5253,0.85013),(1635,6185,1.5308,0.8312),(1635,6195,1.5361,0.81225),(1635,6205,1.5415,0.79322),(1635,6215,1.5466,0.77419),(1635,6225,1.5516,0.75516),(1635,6235,1.5566,0.73607),(1635,6245,1.5614,0.71697),(1635,6255,1.5659,0.69788),(1635,6265,1.5705,0.67859),(1635,6275,1.5749,0.65927),(1635,6285,1.5791,0.63995),(1635,6295,1.5833,0.62057),(1635,6305,1.5874,0.60117),(1635,6315,1.5912,0.58177),(1635,6325,1.595,0.56236),(1635,6335,1.5987,0.54296),(1635,6345,1.6022,0.52356),(1635,6355,1.6055,0.50412),(1635,6365,1.6089,0.48456),(1635,6375,1.612,0.46501),(1635,6385,1.6149,0.44544),(1635,6395,1.6179,0.42578),(1635,6405,1.6207,0.40612),(1635,6415,1.6233,0.38645),(1635,6425,1.6259,0.36682),(1635,6435,1.6283,0.34718),(1635,6445,1.6305,0.32754),(1635,6455,1.6327,0.3079),(1635,6465,1.6348,0.28825),(1635,6475,1.6365,0.2686),(1635,6485,1.6383,0.24889),(1635,6495,1.6401,0.22914),(1635,6505,1.6414,0.20939),(1635,6515,1.6427,0.18963),(1635,6525,1.6441,0.16987),(1635,6535,1.645,0.15011),(1635,6545,1.6459,0.13036),(1635,6555,1.6468,0.11063),(1635,6565,1.6474,0.090892),(1635,6575,1.6479,0.071158),(1635,6585,1.6483,0.051404),(1635,6595,1.4021,0.03165),(1635,6605,0.88358,0.011896),(1635,6615,0.36505,0.009656),(1635,6625,0.000535,0.009666),(1635,6635,0.000537,0.009677),(1635,6645,0.00054,0.009674),(1635,6655,0.000542,0.009665),(1635,6665,0.000545,0.009657),(1635,6675,0.000547,0.009648),(1635,6685,0.00055,0.00964),(1635,6695,0.000552,0.009631),(1635,6705,0.000554,0.009623),(1635,6715,0.000557,0.009614),(1635,6725,0.000559,0.009606),(1635,6735,0.000561,0.009597),(1635,6745,0.000563,0.009589),(1635,6755,0.000566,0.00958),(1635,6765,0.000568,0.009572),(1635,6775,0.00057,0.009563),(1635,6785,0.000572,0.009555),(1635,6795,0.000574,0.009546),(1635,6805,0.000576,0.009538),(1635,6815,0.000578,0.009529),(1635,6825,0.00058,0.009521),(1635,6835,0.000582,0.009512),(1635,6845,0.000584,0.009503),(1635,6855,0.000586,0.009495),(1635,6865,0.000588,0.009486),(1635,6875,0.000589,0.009478),(1635,6885,0.000591,0.009469),(1635,6895,0.000593,0.009461),(1635,6905,0.000595,0.009452),(1635,6915,0.000596,0.009443),(1635,6925,0.000598,0.009435),(1635,6935,0.0006,0.009426),(1635,6945,0.000601,0.009418),(1635,6955,0.000603,0.009409),(1635,6965,0.000605,0.0094),(1635,6975,0.000606,0.009392),(1635,6985,0.000608,0.009383),(1645,5,5.9e-05,3.6766),(1645,15,0.000176,3.6766),(1645,25,0.000294,3.6766),(1645,35,0.000411,3.6766),(1645,45,0.000529,3.6766),(1645,55,0.000646,3.6766),(1645,65,0.000764,3.6766),(1645,75,0.000882,3.6766),(1645,85,0.001,3.6766),(1645,95,0.001118,3.6766),(1645,105,0.001236,3.6766),(1645,115,0.001355,3.6766),(1645,125,0.001474,3.6766),(1645,135,0.001592,3.6766),(1645,145,0.001711,3.6765),(1645,155,0.001831,3.6765),(1645,165,0.00195,3.6765),(1645,175,0.00207,3.6765),(1645,185,0.00219,3.6765),(1645,195,0.002311,3.6765),(1645,205,0.002431,3.6765),(1645,215,0.002552,3.6764),(1645,225,0.002674,3.6764),(1645,235,0.002796,3.6764),(1645,245,0.002918,3.6764),(1645,255,0.00304,3.6764),(1645,265,0.003163,3.6763),(1645,275,0.003287,3.6763),(1645,285,0.00341,3.6763),(1645,295,0.003534,3.6763),(1645,305,0.003659,3.6763),(1645,315,0.003785,3.6762),(1645,325,0.003911,3.6762),(1645,335,0.004037,3.6762),(1645,345,0.004164,3.6761),(1645,355,0.004292,3.6761),(1645,365,0.00442,3.6761),(1645,375,0.004548,3.6761),(1645,385,0.004678,3.676),(1645,395,0.004808,3.676),(1645,405,0.004939,3.676),(1645,415,0.005069,3.6759),(1645,425,0.005202,3.6759),(1645,435,0.005335,3.6759),(1645,445,0.005468,3.6758),(1645,455,0.005601,3.6758),(1645,465,0.005737,3.6757),(1645,475,0.005873,3.6757),(1645,485,0.006009,3.6757),(1645,495,0.006145,3.6756),(1645,505,0.006285,3.6756),(1645,515,0.006424,3.6755),(1645,525,0.006564,3.6755),(1645,535,0.006704,3.6754),(1645,545,0.006847,3.6754),(1645,555,0.00699,3.6753),(1645,565,0.007133,3.6753),(1645,575,0.007276,3.6752),(1645,585,0.007424,3.6752),(1645,595,0.00757,3.6751),(1645,605,0.007718,3.6751),(1645,615,0.007865,3.675),(1645,625,0.008016,3.675),(1645,635,0.008167,3.6749),(1645,645,0.008319,3.6749),(1645,655,0.008471,3.6748),(1645,665,0.008626,3.6747),(1645,675,0.008782,3.6747),(1645,685,0.008938,3.6746),(1645,695,0.009094,3.6746),(1645,705,0.009255,3.6745),(1645,715,0.009415,3.6744),(1645,725,0.009576,3.6744),(1645,735,0.009737,3.6743),(1645,745,0.009903,3.6742),(1645,755,0.010069,3.6741),(1645,765,0.010234,3.6741),(1645,775,0.010401,3.674),(1645,785,0.010573,3.6739),(1645,795,0.010744,3.6738),(1645,805,0.010915,3.6738),(1645,815,0.011088,3.6737),(1645,825,0.011265,3.6736),(1645,835,0.011442,3.6735),(1645,845,0.011619,3.6734),(1645,855,0.011798,3.6734),(1645,865,0.011981,3.6733),(1645,875,0.012165,3.6732),(1645,885,0.012348,3.6731),(1645,895,0.012533,3.673),(1645,905,0.012723,3.6729),(1645,915,0.012912,3.6728),(1645,925,0.013102,3.6727),(1645,935,0.013294,3.6726),(1645,945,0.01349,3.6725),(1645,955,0.013687,3.6724),(1645,965,0.013883,3.6723),(1645,975,0.014083,3.6722),(1645,985,0.014286,3.6721),(1645,995,0.01449,3.672),(1645,1005,0.014693,3.6719),(1645,1015,0.014901,3.6718),(1645,1025,0.015112,3.6717),(1645,1035,0.015323,3.6715),(1645,1045,0.015534,3.6714),(1645,1055,0.015749,3.6713),(1645,1065,0.015968,3.6712),(1645,1075,0.016187,3.6711),(1645,1085,0.016406,3.6709),(1645,1095,0.01663,3.6708),(1645,1105,0.016857,3.6707),(1645,1115,0.017084,3.6705),(1645,1125,0.017311,3.6704),(1645,1135,0.017544,3.6703),(1645,1145,0.017779,3.6701),(1645,1155,0.018015,3.67),(1645,1165,0.01825,3.6698),(1645,1175,0.018492,3.6697),(1645,1185,0.018736,3.6696),(1645,1195,0.018981,3.6694),(1645,1205,0.019225,3.6693),(1645,1215,0.019476,3.6691),(1645,1225,0.01973,3.6689),(1645,1235,0.019983,3.6688),(1645,1245,0.020237,3.6686),(1645,1255,0.020498,3.6685),(1645,1265,0.020761,3.6683),(1645,1275,0.021024,3.6681),(1645,1285,0.021287,3.6679),(1645,1295,0.021559,3.6678),(1645,1305,0.021832,3.6676),(1645,1315,0.022105,3.6674),(1645,1325,0.022378,3.6672),(1645,1335,0.02266,3.667),(1645,1345,0.022943,3.6668),(1645,1355,0.023227,3.6667),(1645,1365,0.02351,3.6665),(1645,1375,0.023803,3.6663),(1645,1385,0.024097,3.6661),(1645,1395,0.024391,3.6658),(1645,1405,0.024685,3.6656),(1645,1415,0.024988,3.6654),(1645,1425,0.025293,3.6652),(1645,1435,0.025598,3.665),(1645,1445,0.025903,3.6648),(1645,1455,0.026218,3.6645),(1645,1465,0.026534,3.6643),(1645,1475,0.02685,3.6641),(1645,1485,0.027166,3.6638),(1645,1495,0.027493,3.6636),(1645,1505,0.02782,3.6634),(1645,1515,0.028147,3.6631),(1645,1525,0.028475,3.6629),(1645,1535,0.028814,3.6626),(1645,1545,0.029153,3.6623),(1645,1555,0.029492,3.6621),(1645,1565,0.029831,3.6618),(1645,1575,0.030182,3.6615),(1645,1585,0.030533,3.6613),(1645,1595,0.030883,3.661),(1645,1605,0.031235,3.6607),(1645,1615,0.031598,3.6604),(1645,1625,0.031961,3.6601),(1645,1635,0.032324,3.6598),(1645,1645,0.032688,3.6595),(1645,1655,0.033063,3.6592),(1645,1665,0.033438,3.6589),(1645,1675,0.033813,3.6586),(1645,1685,0.03419,3.6583),(1645,1695,0.034577,3.6579),(1645,1705,0.034964,3.6576),(1645,1715,0.035351,3.6573),(1645,1725,0.035741,3.6569),(1645,1735,0.03614,3.6566),(1645,1745,0.03654,3.6562),(1645,1755,0.036939,3.6559),(1645,1765,0.037342,3.6555),(1645,1775,0.037754,3.6551),(1645,1785,0.038166,3.6548),(1645,1795,0.038578,3.6544),(1645,1805,0.038993,3.654),(1645,1815,0.039418,3.6536),(1645,1825,0.039842,3.6532),(1645,1835,0.040266,3.6528),(1645,1845,0.040694,3.6524),(1645,1855,0.041131,3.652),(1645,1865,0.041567,3.6516),(1645,1875,0.042004,3.6511),(1645,1885,0.042445,3.6507),(1645,1895,0.042893,3.6503),(1645,1905,0.043341,3.6498),(1645,1915,0.04379,3.6494),(1645,1925,0.044243,3.6489),(1645,1935,0.044703,3.6484),(1645,1945,0.045164,3.648),(1645,1955,0.045624,3.6475),(1645,1965,0.04609,3.647),(1645,1975,0.046561,3.6465),(1645,1985,0.047033,3.646),(1645,1995,0.047505,3.6455),(1645,2005,0.047983,3.645),(1645,2015,0.048466,3.6445),(1645,2025,0.048949,3.644),(1645,2035,0.049432,3.6434),(1645,2045,0.049921,3.6429),(1645,2055,0.050415,3.6423),(1645,2065,0.050908,3.6418),(1645,2075,0.051402,3.6412),(1645,2085,0.051901,3.6406),(1645,2095,0.052405,3.6401),(1645,2105,0.052909,3.6395),(1645,2115,0.053413,3.6389),(1645,2125,0.053922,3.6383),(1645,2135,0.054435,3.6376),(1645,2145,0.054948,3.637),(1645,2155,0.055462,3.6364),(1645,2165,0.05598,3.6358),(1645,2175,0.056502,3.6351),(1645,2185,0.057024,3.6345),(1645,2195,0.057546,3.6338),(1645,2205,0.058074,3.6331),(1645,2215,0.058603,3.6324),(1645,2225,0.059133,3.6317),(1645,2235,0.059663,3.631),(1645,2245,0.060197,3.6303),(1645,2255,0.060734,3.6296),(1645,2265,0.061271,3.6289),(1645,2275,0.061807,3.6282),(1645,2285,0.062348,3.6274),(1645,2295,0.06289,3.6267),(1645,2305,0.063433,3.6259),(1645,2315,0.063975,3.6251),(1645,2325,0.064521,3.6243),(1645,2335,0.065068,3.6236),(1645,2345,0.065615,3.6227),(1645,2355,0.066162,3.6219),(1645,2365,0.066712,3.6211),(1645,2375,0.067262,3.6203),(1645,2385,0.067812,3.6194),(1645,2395,0.068362,3.6186),(1645,2405,0.068913,3.6177),(1645,2415,0.069465,3.6169),(1645,2425,0.070017,3.616),(1645,2435,0.070568,3.6151),(1645,2445,0.07112,3.6142),(1645,2455,0.071672,3.6133),(1645,2465,0.072224,3.6124),(1645,2475,0.072775,3.6114),(1645,2485,0.073326,3.6105),(1645,2495,0.073876,3.6095),(1645,2505,0.074426,3.6086),(1645,2515,0.074976,3.6076),(1645,2525,0.075523,3.6066),(1645,2535,0.076069,3.6056),(1645,2545,0.076616,3.6046),(1645,2555,0.077162,3.6036),(1645,2565,0.077703,3.6026),(1645,2575,0.078245,3.6015),(1645,2585,0.078786,3.6005),(1645,2595,0.079326,3.5994),(1645,2605,0.07986,3.5983),(1645,2615,0.080393,3.5973),(1645,2625,0.080927,3.5962),(1645,2635,0.081459,3.5951),(1645,2645,0.081983,3.594),(1645,2655,0.082507,3.5929),(1645,2665,0.083031,3.5917),(1645,2675,0.083553,3.5906),(1645,2685,0.084064,3.5894),(1645,2695,0.084576,3.5883),(1645,2705,0.085088,3.5871),(1645,2715,0.085597,3.5859),(1645,2725,0.086094,3.5847),(1645,2735,0.086592,3.5835),(1645,2745,0.087089,3.5823),(1645,2755,0.087582,3.581),(1645,2765,0.088063,3.5798),(1645,2775,0.088543,3.5785),(1645,2785,0.089023,3.5773),(1645,2795,0.089498,3.576),(1645,2805,0.089959,3.5747),(1645,2815,0.090419,3.5734),(1645,2825,0.09088,3.5721),(1645,2835,0.091333,3.5708),(1645,2845,0.091771,3.5695),(1645,2855,0.092209,3.5682),(1645,2865,0.092648,3.5668),(1645,2875,0.093077,3.5655),(1645,2885,0.09349,3.5641),(1645,2895,0.093903,3.5627),(1645,2905,0.094316,3.5614),(1645,2915,0.094718,3.56),(1645,2925,0.095104,3.5586),(1645,2935,0.095489,3.5572),(1645,2945,0.095874,3.5557),(1645,2955,0.096246,3.5543),(1645,2965,0.096601,3.5529),(1645,2975,0.096956,3.5514),(1645,2985,0.09731,3.55),(1645,2995,0.097649,3.5485),(1645,3005,0.09797,3.5471),(1645,3015,0.098291,3.5456),(1645,3025,0.098613,3.5441),(1645,3035,0.098915,3.5426),(1645,3045,0.0992,3.5411),(1645,3055,0.099485,3.5396),(1645,3065,0.09977,3.5381),(1645,3075,0.10003,3.5365),(1645,3085,0.10028,3.535),(1645,3095,0.10052,3.5335),(1645,3105,0.10077,3.5319),(1645,3115,0.10099,3.5304),(1645,3125,0.10119,3.5288),(1645,3135,0.1014,3.5272),(1645,3145,0.1016,3.5257),(1645,3155,0.10178,3.5241),(1645,3165,0.10194,3.5225),(1645,3175,0.1021,3.5209),(1645,3185,0.10225,3.5193),(1645,3195,0.10238,3.5177),(1645,3205,0.10249,3.5161),(1645,3215,0.1026,3.5145),(1645,3225,0.10272,3.5129),(1645,3235,0.10279,3.5112),(1645,3245,0.10285,3.5096),(1645,3255,0.10292,3.508),(1645,3265,0.10298,3.5063),(1645,3275,0.103,3.5047),(1645,3285,0.10301,3.5031),(1645,3295,0.10302,3.5014),(1645,3305,0.10303,3.4998),(1645,3315,0.10299,3.4981),(1645,3325,0.10295,3.4965),(1645,3335,0.1029,3.4948),(1645,3345,0.10286,3.4931),(1645,3355,0.10277,3.4915),(1645,3365,0.10267,3.4898),(1645,3375,0.10256,3.4881),(1645,3385,0.10246,3.4865),(1645,3395,0.10231,3.4848),(1645,3405,0.10215,3.4831),(1645,3415,0.10199,3.4815),(1645,3425,0.10183,3.4798),(1645,3435,0.10161,3.4781),(1645,3445,0.10139,3.4764),(1645,3455,0.10117,3.4748),(1645,3465,0.10094,3.4731),(1645,3475,0.10066,3.4714),(1645,3485,0.10038,3.4697),(1645,3495,0.10009,3.4681),(1645,3505,0.09981,3.4664),(1645,3515,0.099463,3.4647),(1645,3525,0.099115,3.4631),(1645,3535,0.098768,3.4614),(1645,3545,0.098418,3.4597),(1645,3555,0.098005,3.4581),(1645,3565,0.097593,3.4564),(1645,3575,0.097181,3.4548),(1645,3585,0.096763,3.4531),(1645,3595,0.096285,3.4515),(1645,3605,0.095807,3.4498),(1645,3615,0.095329,3.4482),(1645,3625,0.094843,3.4466),(1645,3635,0.094298,3.4449),(1645,3645,0.093754,3.4433),(1645,3655,0.093209,3.4417),(1645,3665,0.092654,3.44),(1645,3675,0.092043,3.4384),(1645,3685,0.091432,3.4368),(1645,3695,0.090821,3.4352),(1645,3705,0.090196,3.4336),(1645,3715,0.089519,3.432),(1645,3725,0.088841,3.4304),(1645,3735,0.088163,3.4288),(1645,3745,0.08747,3.4272),(1645,3755,0.086726,3.4257),(1645,3765,0.085982,3.4241),(1645,3775,0.085238,3.4225),(1645,3785,0.084476,3.421),(1645,3795,0.083666,3.4194),(1645,3805,0.082857,3.4179),(1645,3815,0.082048,3.4163),(1645,3825,0.081217,3.4148),(1645,3835,0.080344,3.4133),(1645,3845,0.07947,3.4117),(1645,3855,0.078596,3.4102),(1645,3865,0.0777,3.4087),(1645,3875,0.076764,3.4072),(1645,3885,0.075827,3.4057),(1645,3895,0.074891,3.4042),(1645,3905,0.086753,3.4027),(1645,3915,0.11773,3.4013),(1645,3925,0.14871,3.3988),(1645,3935,0.17969,3.395),(1645,3945,0.21336,3.3911),(1645,3955,0.25042,3.3873),(1645,3965,0.28749,3.3825),(1645,3975,0.32456,3.3764),(1645,3985,0.34662,3.3704),(1645,3995,0.35245,3.3644),(1645,4005,0.35829,3.3583),(1645,4015,0.36412,3.3522),(1645,4025,0.37024,3.3461),(1645,4035,0.37639,3.34),(1645,4045,0.38254,3.3338),(1645,4055,0.3886,3.3275),(1645,4065,0.39464,3.3213),(1645,4075,0.40067,3.3149),(1645,4085,0.40655,3.3085),(1645,4095,0.41229,3.3021),(1645,4105,0.41804,3.2957),(1645,4115,0.40788,3.2893),(1645,4125,0.37135,3.2829),(1645,4135,0.33483,3.2781),(1645,4145,0.29741,3.2737),(1645,4155,0.25636,3.2693),(1645,4165,0.21531,3.266),(1645,4175,0.17663,3.2633),(1645,4185,0.25527,3.2606),(1645,4195,0.33391,3.2561),(1645,4205,0.41255,3.2491),(1645,4215,0.40683,3.242),(1645,4225,0.38523,3.2352),(1645,4235,0.36363,3.2289),(1645,4245,0.33342,3.2227),(1645,4255,0.29884,3.2165),(1645,4265,0.26427,3.2118),(1645,4275,0.2188,3.2071),(1645,4285,0.16176,3.2023),(1645,4295,0.10473,3.2006),(1645,4305,0.095961,3.1993),(1645,4315,0.19619,3.1979),(1645,4325,0.29641,3.1928),(1645,4335,0.38634,3.1861),(1645,4345,0.40659,3.1794),(1645,4355,0.42683,3.1716),(1645,4365,0.44708,3.1628),(1645,4375,0.45422,3.1541),(1645,4385,0.46067,3.145),(1645,4395,0.46713,3.1356),(1645,4405,0.40845,3.1261),(1645,4415,0.33056,3.1175),(1645,4425,0.25268,3.1132),(1645,4435,0.22277,3.1089),(1645,4445,0.22564,3.1046),(1645,4455,0.22852,3.1002),(1645,4465,0.27645,3.0959),(1645,4475,0.38768,3.0915),(1645,4485,0.49891,3.0823),(1645,4495,0.58793,3.0721),(1645,4505,0.60568,3.0619),(1645,4515,0.62344,3.0513),(1645,4525,0.63973,3.0403),(1645,4535,0.63289,3.0294),(1645,4545,0.62605,3.0186),(1645,4555,0.6192,3.0079),(1645,4565,0.46073,2.9972),(1645,4575,0.28182,2.9891),(1645,4585,0.1029,2.9873),(1645,4595,0.10509,2.9856),(1645,4605,0.18378,2.9832),(1645,4615,0.26248,2.976),(1645,4625,0.33628,2.9689),(1645,4635,0.40565,2.9617),(1645,4645,0.47501,2.953),(1645,4655,0.5366,2.9441),(1645,4665,0.5835,2.9352),(1645,4675,0.6304,2.9261),(1645,4685,0.64581,2.9169),(1645,4695,0.50563,2.9078),(1645,4705,0.36546,2.9023),(1645,4715,0.22528,2.8995),(1645,4725,0.31128,2.8966),(1645,4735,0.39954,2.8922),(1645,4745,0.4878,2.8854),(1645,4755,0.59107,2.8786),(1645,4765,0.69781,2.8709),(1645,4775,0.80456,2.8599),(1645,4785,0.85611,2.8489),(1645,4795,0.87576,2.8379),(1645,4805,0.8954,2.8268),(1645,4815,0.86589,2.8158),(1645,4825,0.77759,2.8048),(1645,4835,0.68929,2.7973),(1645,4845,0.59372,2.7904),(1645,4855,0.4792,2.7834),(1645,4865,0.36467,2.7784),(1645,4875,0.28374,2.7743),(1645,4885,0.50847,2.7701),(1645,4895,0.73319,2.7611),(1645,4905,0.95792,2.7475),(1645,4915,0.95812,2.7339),(1645,4925,0.93902,2.7206),(1645,4935,0.91991,2.7078),(1645,4945,0.84348,2.6949),(1645,4955,0.74718,2.6826),(1645,4965,0.65089,2.6732),(1645,4975,0.50926,2.6638),(1645,4985,0.33264,2.6544),(1645,4995,0.15602,2.6533),(1645,5005,0.14618,2.6523),(1645,5015,0.40146,2.6514),(1645,5025,0.65675,2.643),(1645,5035,0.88051,2.6326),(1645,5045,0.98417,2.6223),(1645,5055,1.0878,2.6102),(1645,5065,1.189,2.597),(1645,5075,1.2084,2.5839),(1645,5085,1.2277,2.5709),(1645,5095,1.2471,2.5581),(1645,5105,1.0963,2.5453),(1645,5115,0.91585,2.5342),(1645,5125,0.73539,2.5276),(1645,5135,0.63219,2.521),(1645,5145,0.56649,2.5144),(1645,5155,0.50079,2.5083),(1645,5165,0.59208,2.5021),(1645,5175,0.84349,2.4959),(1645,5185,1.0949,2.4817),(1645,5195,1.2732,2.4667),(1645,5205,1.2937,2.4517),(1645,5215,1.3143,2.437),(1645,5225,1.3276,2.4225),(1645,5235,1.2956,2.4079),(1645,5245,1.2637,2.3945),(1645,5255,1.2317,2.3821),(1645,5265,0.86199,2.3696),(1645,5275,0.47835,2.3617),(1645,5285,0.09472,2.3614),(1645,5295,0.21078,2.361),(1645,5305,0.466,2.3583),(1645,5315,0.72121,2.3454),(1645,5325,0.90496,2.3325),(1645,5335,1.0418,2.3196),(1645,5345,1.1787,2.3045),(1645,5355,1.2774,2.2895),(1645,5365,1.3245,2.2744),(1645,5375,1.3717,2.2601),(1645,5385,1.3274,2.2459),(1645,5395,1.0052,2.2316),(1645,5405,0.68295,2.2244),(1645,5415,0.38829,2.2207),(1645,5425,0.46395,2.2171),(1645,5435,0.53962,2.2091),(1645,5445,0.61528,2.1962),(1645,5455,0.74549,2.1834),(1645,5465,0.88237,2.1682),(1645,5475,1.0192,2.1474),(1645,5485,1.078,2.1266),(1645,5495,1.1053,2.1058),(1645,5505,1.1326,2.0847),(1645,5515,1.1607,2.0637),(1645,5525,1.1895,2.0426),(1645,5535,1.2183,2.0214),(1645,5545,1.2469,2.0001),(1645,5555,1.2752,1.9789),(1645,5565,1.3035,1.9576),(1645,5575,1.3317,1.9363),(1645,5585,1.359,1.915),(1645,5595,1.3863,1.8938),(1645,5605,1.4136,1.8726),(1645,5615,1.4396,1.8514),(1645,5625,1.4657,1.8303),(1645,5635,1.4918,1.8093),(1645,5645,1.5167,1.7883),(1645,5655,1.5415,1.7674),(1645,5665,1.5662,1.7467),(1645,5675,1.59,1.726),(1645,5685,1.6133,1.7053),(1645,5695,1.6367,1.6849),(1645,5705,1.6593,1.6645),(1645,5715,1.6812,1.6441),(1645,5725,1.7031,1.6239),(1645,5735,1.7246,1.6039),(1645,5745,1.7451,1.5838),(1645,5755,1.7656,1.564),(1645,5765,1.7859,1.5442),(1645,5775,1.8051,1.5245),(1645,5785,1.8242,1.505),(1645,5795,1.8433,1.4856),(1645,5805,1.8612,1.4663),(1645,5815,1.8791,1.447),(1645,5825,1.8969,1.428),(1645,5835,1.9138,1.4089),(1645,5845,1.9304,1.39),(1645,5855,1.9469,1.3712),(1645,5865,1.9629,1.3525),(1645,5875,1.9783,1.3337),(1645,5885,1.9937,1.3153),(1645,5895,2.0087,1.2968),(1645,5905,2.023,1.2784),(1645,5915,2.0373,1.2602),(1645,5925,2.0515,1.242),(1645,5935,2.0648,1.2239),(1645,5945,2.0781,1.2059),(1645,5955,2.0914,1.1879),(1645,5965,2.1041,1.17),(1645,5975,2.1169,1.1522),(1645,5985,2.1297,1.1346),(1645,5995,1.6295,1.1169),(1645,6005,1.0467,1.1034),(1645,6015,0.46398,1.1011),(1645,6025,0.45582,1.0989),(1645,6035,0.71414,1.0955),(1645,6045,0.97245,1.0817),(1645,6055,1.1603,1.0678),(1645,6065,1.2789,1.054),(1645,6075,1.3976,1.036),(1645,6085,1.4796,1.0175),(1645,6095,1.486,0.99909),(1645,6105,1.4924,0.98045),(1645,6115,1.4988,0.96175),(1645,6125,1.5049,0.94304),(1645,6135,1.511,0.9243),(1645,6145,1.5172,0.90553),(1645,6155,1.5229,0.88675),(1645,6165,1.5287,0.86793),(1645,6175,1.5345,0.84901),(1645,6185,1.5399,0.8301),(1645,6195,1.5453,0.81116),(1645,6205,1.5507,0.79215),(1645,6215,1.5558,0.77314),(1645,6225,1.5608,0.75412),(1645,6235,1.5658,0.73504),(1645,6245,1.5706,0.71596),(1645,6255,1.5751,0.69688),(1645,6265,1.5797,0.67761),(1645,6275,1.5842,0.65831),(1645,6285,1.5884,0.63901),(1645,6295,1.5925,0.61966),(1645,6305,1.5967,0.60028),(1645,6315,1.6004,0.5809),(1645,6325,1.6042,0.56152),(1645,6335,1.608,0.54215),(1645,6345,1.6114,0.52277),(1645,6355,1.6148,0.50335),(1645,6365,1.6181,0.48383),(1645,6375,1.6212,0.4643),(1645,6385,1.6242,0.44477),(1645,6395,1.6271,0.42514),(1645,6405,1.6299,0.40552),(1645,6415,1.6325,0.3859),(1645,6425,1.6351,0.36629),(1645,6435,1.6375,0.34669),(1645,6445,1.6397,0.32709),(1645,6455,1.6419,0.30747),(1645,6465,1.644,0.28785),(1645,6475,1.6458,0.26823),(1645,6485,1.6476,0.24854),(1645,6495,1.6494,0.22882),(1645,6505,1.6507,0.20909),(1645,6515,1.652,0.18936),(1645,6525,1.6534,0.16962),(1645,6535,1.6544,0.14989),(1645,6545,1.6553,0.13016),(1645,6555,1.6562,0.11046),(1645,6565,1.6568,0.090759),(1645,6575,1.6572,0.071057),(1645,6585,1.6577,0.051343),(1645,6595,1.4101,0.031629),(1645,6605,0.8886,0.011915),(1645,6615,0.36712,0.009674),(1645,6625,0.000539,0.009678),(1645,6635,0.000542,0.009681),(1645,6645,0.000545,0.009676),(1645,6655,0.000547,0.009668),(1645,6665,0.00055,0.009659),(1645,6675,0.000552,0.00965),(1645,6685,0.000555,0.009642),(1645,6695,0.000557,0.009633),(1645,6705,0.000559,0.009625),(1645,6715,0.000562,0.009616),(1645,6725,0.000564,0.009608),(1645,6735,0.000566,0.0096),(1645,6745,0.000568,0.009591),(1645,6755,0.00057,0.009582),(1645,6765,0.000573,0.009574),(1645,6775,0.000575,0.009565),(1645,6785,0.000577,0.009557),(1645,6795,0.000579,0.009548),(1645,6805,0.000581,0.00954),(1645,6815,0.000583,0.009531),(1645,6825,0.000585,0.009522),(1645,6835,0.000587,0.009514),(1645,6845,0.000589,0.009505),(1645,6855,0.000591,0.009497),(1645,6865,0.000592,0.009488),(1645,6875,0.000594,0.00948),(1645,6885,0.000596,0.009471),(1645,6895,0.000598,0.009462),(1645,6905,0.0006,0.009454),(1645,6915,0.000601,0.009445),(1645,6925,0.000603,0.009436),(1645,6935,0.000605,0.009428),(1645,6945,0.000606,0.009419),(1645,6955,0.000608,0.009411),(1645,6965,0.000609,0.009402),(1645,6975,0.000611,0.009393),(1645,6985,0.000613,0.009385),(1655,5,5.9e-05,3.6767),(1655,15,0.000176,3.6767),(1655,25,0.000294,3.6767),(1655,35,0.000411,3.6767),(1655,45,0.000529,3.6767),(1655,55,0.000646,3.6767),(1655,65,0.000764,3.6767),(1655,75,0.000882,3.6767),(1655,85,0.001,3.6767),(1655,95,0.001118,3.6767),(1655,105,0.001237,3.6767),(1655,115,0.001355,3.6767),(1655,125,0.001474,3.6767),(1655,135,0.001593,3.6767),(1655,145,0.001712,3.6767),(1655,155,0.001831,3.6767),(1655,165,0.001951,3.6766),(1655,175,0.00207,3.6766),(1655,185,0.002191,3.6766),(1655,195,0.002311,3.6766),(1655,205,0.002432,3.6766),(1655,215,0.002553,3.6766),(1655,225,0.002674,3.6765),(1655,235,0.002796,3.6765),(1655,245,0.002918,3.6765),(1655,255,0.00304,3.6765),(1655,265,0.003164,3.6765),(1655,275,0.003288,3.6764),(1655,285,0.003411,3.6764),(1655,295,0.003535,3.6764),(1655,305,0.003661,3.6764),(1655,315,0.003786,3.6764),(1655,325,0.003912,3.6763),(1655,335,0.004038,3.6763),(1655,345,0.004165,3.6763),(1655,355,0.004293,3.6762),(1655,365,0.004421,3.6762),(1655,375,0.004549,3.6762),(1655,385,0.004679,3.6762),(1655,395,0.00481,3.6761),(1655,405,0.00494,3.6761),(1655,415,0.005071,3.6761),(1655,425,0.005204,3.676),(1655,435,0.005337,3.676),(1655,445,0.00547,3.676),(1655,455,0.005603,3.6759),(1655,465,0.005739,3.6759),(1655,475,0.005875,3.6758),(1655,485,0.006012,3.6758),(1655,495,0.006148,3.6758),(1655,505,0.006287,3.6757),(1655,515,0.006427,3.6757),(1655,525,0.006567,3.6756),(1655,535,0.006706,3.6756),(1655,545,0.00685,3.6755),(1655,555,0.006993,3.6755),(1655,565,0.007136,3.6754),(1655,575,0.00728,3.6754),(1655,585,0.007427,3.6753),(1655,595,0.007574,3.6753),(1655,605,0.007721,3.6752),(1655,615,0.007869,3.6752),(1655,625,0.00802,3.6751),(1655,635,0.008172,3.6751),(1655,645,0.008323,3.675),(1655,655,0.008475,3.675),(1655,665,0.008631,3.6749),(1655,675,0.008787,3.6748),(1655,685,0.008943,3.6748),(1655,695,0.0091,3.6747),(1655,705,0.009261,3.6747),(1655,715,0.009421,3.6746),(1655,725,0.009582,3.6745),(1655,735,0.009744,3.6745),(1655,745,0.00991,3.6744),(1655,755,0.010076,3.6743),(1655,765,0.010242,3.6742),(1655,775,0.010409,3.6742),(1655,785,0.01058,3.6741),(1655,795,0.010752,3.674),(1655,805,0.010923,3.6739),(1655,815,0.011097,3.6739),(1655,825,0.011274,3.6738),(1655,835,0.011451,3.6737),(1655,845,0.011629,3.6736),(1655,855,0.011808,3.6735),(1655,865,0.011992,3.6735),(1655,875,0.012175,3.6734),(1655,885,0.012359,3.6733),(1655,895,0.012545,3.6732),(1655,905,0.012735,3.6731),(1655,915,0.012924,3.673),(1655,925,0.013114,3.6729),(1655,935,0.013307,3.6728),(1655,945,0.013504,3.6727),(1655,955,0.013701,3.6726),(1655,965,0.013897,3.6725),(1655,975,0.014098,3.6724),(1655,985,0.014302,3.6723),(1655,995,0.014506,3.6722),(1655,1005,0.01471,3.6721),(1655,1015,0.014917,3.672),(1655,1025,0.015129,3.6719),(1655,1035,0.015341,3.6718),(1655,1045,0.015552,3.6716),(1655,1055,0.015768,3.6715),(1655,1065,0.015988,3.6714),(1655,1075,0.016208,3.6713),(1655,1085,0.016427,3.6712),(1655,1095,0.016652,3.671),(1655,1105,0.016879,3.6709),(1655,1115,0.017107,3.6708),(1655,1125,0.017335,3.6706),(1655,1135,0.017568,3.6705),(1655,1145,0.017804,3.6704),(1655,1155,0.018041,3.6702),(1655,1165,0.018277,3.6701),(1655,1175,0.018519,3.6699),(1655,1185,0.018765,3.6698),(1655,1195,0.01901,3.6697),(1655,1205,0.019255,3.6695),(1655,1215,0.019507,3.6694),(1655,1225,0.019762,3.6692),(1655,1235,0.020016,3.669),(1655,1245,0.020271,3.6689),(1655,1255,0.020533,3.6687),(1655,1265,0.020797,3.6686),(1655,1275,0.021061,3.6684),(1655,1285,0.021325,3.6682),(1655,1295,0.021597,3.668),(1655,1305,0.021872,3.6679),(1655,1315,0.022146,3.6677),(1655,1325,0.02242,3.6675),(1655,1335,0.022703,3.6673),(1655,1345,0.022988,3.6671),(1655,1355,0.023272,3.6669),(1655,1365,0.023557,3.6667),(1655,1375,0.023851,3.6665),(1655,1385,0.024146,3.6664),(1655,1395,0.024442,3.6661),(1655,1405,0.024737,3.6659),(1655,1415,0.025042,3.6657),(1655,1425,0.025348,3.6655),(1655,1435,0.025655,3.6653),(1655,1445,0.025961,3.6651),(1655,1455,0.026278,3.6649),(1655,1465,0.026595,3.6646),(1655,1475,0.026913,3.6644),(1655,1485,0.02723,3.6642),(1655,1495,0.027559,3.6639),(1655,1505,0.027888,3.6637),(1655,1515,0.028217,3.6634),(1655,1525,0.028546,3.6632),(1655,1535,0.028887,3.6629),(1655,1545,0.029228,3.6627),(1655,1555,0.029568,3.6624),(1655,1565,0.02991,3.6622),(1655,1575,0.030262,3.6619),(1655,1585,0.030615,3.6616),(1655,1595,0.030968,3.6613),(1655,1605,0.031322,3.6611),(1655,1615,0.031687,3.6608),(1655,1625,0.032052,3.6605),(1655,1635,0.032417,3.6602),(1655,1645,0.032783,3.6599),(1655,1655,0.033161,3.6596),(1655,1665,0.033538,3.6593),(1655,1675,0.033915,3.659),(1655,1685,0.034294,3.6586),(1655,1695,0.034684,3.6583),(1655,1705,0.035074,3.658),(1655,1715,0.035463,3.6576),(1655,1725,0.035856,3.6573),(1655,1735,0.036258,3.657),(1655,1745,0.03666,3.6566),(1655,1755,0.037062,3.6563),(1655,1765,0.037467,3.6559),(1655,1775,0.037882,3.6555),(1655,1785,0.038297,3.6552),(1655,1795,0.038712,3.6548),(1655,1805,0.03913,3.6544),(1655,1815,0.039558,3.654),(1655,1825,0.039985,3.6536),(1655,1835,0.040412,3.6532),(1655,1845,0.040844,3.6528),(1655,1855,0.041284,3.6524),(1655,1865,0.041723,3.652),(1655,1875,0.042163,3.6516),(1655,1885,0.042607,3.6511),(1655,1895,0.043059,3.6507),(1655,1905,0.043511,3.6503),(1655,1915,0.043963,3.6498),(1655,1925,0.04442,3.6494),(1655,1935,0.044884,3.6489),(1655,1945,0.045348,3.6484),(1655,1955,0.045812,3.648),(1655,1965,0.046281,3.6475),(1655,1975,0.046757,3.647),(1655,1985,0.047233,3.6465),(1655,1995,0.047709,3.646),(1655,2005,0.04819,3.6455),(1655,2015,0.048678,3.645),(1655,2025,0.049165,3.6444),(1655,2035,0.049652,3.6439),(1655,2045,0.050145,3.6434),(1655,2055,0.050643,3.6428),(1655,2065,0.051142,3.6423),(1655,2075,0.05164,3.6417),(1655,2085,0.052144,3.6411),(1655,2095,0.052652,3.6406),(1655,2105,0.05316,3.64),(1655,2115,0.053669,3.6394),(1655,2125,0.054183,3.6388),(1655,2135,0.054701,3.6382),(1655,2145,0.055219,3.6375),(1655,2155,0.055737,3.6369),(1655,2165,0.056261,3.6363),(1655,2175,0.056788,3.6356),(1655,2185,0.057315,3.635),(1655,2195,0.057842,3.6343),(1655,2205,0.058375,3.6336),(1655,2215,0.05891,3.633),(1655,2225,0.059445,3.6323),(1655,2235,0.05998,3.6316),(1655,2245,0.06052,3.6309),(1655,2255,0.061062,3.6302),(1655,2265,0.061605,3.6294),(1655,2275,0.062147,3.6287),(1655,2285,0.062693,3.628),(1655,2295,0.063242,3.6272),(1655,2305,0.06379,3.6264),(1655,2315,0.064338,3.6257),(1655,2325,0.06489,3.6249),(1655,2335,0.065443,3.6241),(1655,2345,0.065996,3.6233),(1655,2355,0.066548,3.6225),(1655,2365,0.067104,3.6217),(1655,2375,0.067661,3.6208),(1655,2385,0.068217,3.62),(1655,2395,0.068773,3.6191),(1655,2405,0.069331,3.6183),(1655,2415,0.069889,3.6174),(1655,2425,0.070447,3.6165),(1655,2435,0.071005,3.6156),(1655,2445,0.071564,3.6147),(1655,2455,0.072122,3.6138),(1655,2465,0.07268,3.6129),(1655,2475,0.073239,3.612),(1655,2485,0.073795,3.611),(1655,2495,0.074352,3.6101),(1655,2505,0.074909,3.6091),(1655,2515,0.075466,3.6081),(1655,2525,0.07602,3.6072),(1655,2535,0.076573,3.6062),(1655,2545,0.077127,3.6051),(1655,2555,0.07768,3.6041),(1655,2565,0.078228,3.6031),(1655,2575,0.078776,3.6021),(1655,2585,0.079324,3.601),(1655,2595,0.079871,3.5999),(1655,2605,0.080412,3.5989),(1655,2615,0.080953,3.5978),(1655,2625,0.081493,3.5967),(1655,2635,0.082032,3.5956),(1655,2645,0.082563,3.5945),(1655,2655,0.083094,3.5934),(1655,2665,0.083625,3.5922),(1655,2675,0.084154,3.5911),(1655,2685,0.084673,3.5899),(1655,2695,0.085192,3.5888),(1655,2705,0.085711,3.5876),(1655,2715,0.086227,3.5864),(1655,2725,0.086732,3.5852),(1655,2735,0.087236,3.584),(1655,2745,0.087741,3.5827),(1655,2755,0.088241,3.5815),(1655,2765,0.088728,3.5803),(1655,2775,0.089216,3.579),(1655,2785,0.089703,3.5777),(1655,2795,0.090185,3.5765),(1655,2805,0.090652,3.5752),(1655,2815,0.09112,3.5739),(1655,2825,0.091587,3.5726),(1655,2835,0.092048,3.5713),(1655,2845,0.092493,3.5699),(1655,2855,0.092938,3.5686),(1655,2865,0.093383,3.5673),(1655,2875,0.093819,3.5659),(1655,2885,0.094239,3.5645),(1655,2895,0.094659,3.5632),(1655,2905,0.095079,3.5618),(1655,2915,0.095487,3.5604),(1655,2925,0.095879,3.559),(1655,2935,0.096271,3.5576),(1655,2945,0.096663,3.5561),(1655,2955,0.097041,3.5547),(1655,2965,0.097402,3.5533),(1655,2975,0.097763,3.5518),(1655,2985,0.098124,3.5503),(1655,2995,0.098469,3.5489),(1655,3005,0.098796,3.5474),(1655,3015,0.099123,3.5459),(1655,3025,0.099451,3.5444),(1655,3035,0.099759,3.5429),(1655,3045,0.10005,3.5414),(1655,3055,0.10034,3.5399),(1655,3065,0.10063,3.5383),(1655,3075,0.1009,3.5368),(1655,3085,0.10115,3.5353),(1655,3095,0.1014,3.5337),(1655,3105,0.10165,3.5321),(1655,3115,0.10188,3.5306),(1655,3125,0.10209,3.529),(1655,3135,0.1023,3.5274),(1655,3145,0.1025,3.5258),(1655,3155,0.10268,3.5243),(1655,3165,0.10285,3.5227),(1655,3175,0.10301,3.5211),(1655,3185,0.10318,3.5194),(1655,3195,0.10331,3.5178),(1655,3205,0.10342,3.5162),(1655,3215,0.10354,3.5146),(1655,3225,0.10365,3.5129),(1655,3235,0.10373,3.5113),(1655,3245,0.1038,3.5097),(1655,3255,0.10387,3.508),(1655,3265,0.10393,3.5064),(1655,3275,0.10396,3.5047),(1655,3285,0.10397,3.5031),(1655,3295,0.10398,3.5014),(1655,3305,0.104,3.4997),(1655,3315,0.10396,3.4981),(1655,3325,0.10392,3.4964),(1655,3335,0.10388,3.4947),(1655,3345,0.10384,3.4931),(1655,3355,0.10375,3.4914),(1655,3365,0.10365,3.4897),(1655,3375,0.10355,3.488),(1655,3385,0.10345,3.4863),(1655,3395,0.1033,3.4847),(1655,3405,0.10314,3.483),(1655,3415,0.10298,3.4813),(1655,3425,0.10282,3.4796),(1655,3435,0.10261,3.4779),(1655,3445,0.10239,3.4762),(1655,3455,0.10217,3.4745),(1655,3465,0.10194,3.4728),(1655,3475,0.10166,3.4712),(1655,3485,0.10138,3.4695),(1655,3495,0.1011,3.4678),(1655,3505,0.10082,3.4661),(1655,3515,0.10047,3.4644),(1655,3525,0.10012,3.4627),(1655,3535,0.099775,3.461),(1655,3545,0.099425,3.4594),(1655,3555,0.099013,3.4577),(1655,3565,0.098601,3.456),(1655,3575,0.098189,3.4543),(1655,3585,0.097771,3.4527),(1655,3595,0.097293,3.451),(1655,3605,0.096815,3.4493),(1655,3615,0.096336,3.4477),(1655,3625,0.09585,3.446),(1655,3635,0.095305,3.4444),(1655,3645,0.09476,3.4427),(1655,3655,0.094215,3.4411),(1655,3665,0.093659,3.4395),(1655,3675,0.093047,3.4378),(1655,3685,0.092436,3.4362),(1655,3695,0.091824,3.4346),(1655,3705,0.091198,3.433),(1655,3715,0.09052,3.4313),(1655,3725,0.089842,3.4297),(1655,3735,0.089163,3.4281),(1655,3745,0.088469,3.4265),(1655,3755,0.087724,3.4249),(1655,3765,0.086979,3.4233),(1655,3775,0.086235,3.4218),(1655,3785,0.085472,3.4202),(1655,3795,0.084662,3.4186),(1655,3805,0.083852,3.4171),(1655,3815,0.083042,3.4155),(1655,3825,0.082211,3.414),(1655,3835,0.081337,3.4124),(1655,3845,0.080464,3.4109),(1655,3855,0.07959,3.4093),(1655,3865,0.078694,3.4078),(1655,3875,0.077758,3.4063),(1655,3885,0.076823,3.4048),(1655,3895,0.075887,3.4033),(1655,3905,0.087907,3.4018),(1655,3915,0.11928,3.4003),(1655,3925,0.15065,3.3978),(1655,3935,0.18202,3.3939),(1655,3945,0.21605,3.3901),(1655,3955,0.25343,3.3862),(1655,3965,0.29082,3.3813),(1655,3975,0.32821,3.3752),(1655,3985,0.35043,3.3691),(1655,3995,0.35624,3.363),(1655,4005,0.36205,3.3569),(1655,4015,0.36785,3.3508),(1655,4025,0.37398,3.3446),(1655,4035,0.38014,3.3384),(1655,4045,0.3863,3.3321),(1655,4055,0.39237,3.3258),(1655,4065,0.39842,3.3195),(1655,4075,0.40446,3.3131),(1655,4085,0.41032,3.3066),(1655,4095,0.41602,3.3002),(1655,4105,0.42172,3.2937),(1655,4115,0.41138,3.2873),(1655,4125,0.37444,3.2809),(1655,4135,0.33749,3.2762),(1655,4145,0.29968,3.2719),(1655,4155,0.25835,3.2676),(1655,4165,0.21702,3.2643),(1655,4175,0.17809,3.2618),(1655,4185,0.25761,3.2592),(1655,4195,0.33714,3.2547),(1655,4205,0.41666,3.2477),(1655,4215,0.41102,3.2406),(1655,4225,0.38935,3.2337),(1655,4235,0.36767,3.2272),(1655,4245,0.33727,3.2208),(1655,4255,0.30243,3.2144),(1655,4265,0.26759,3.2095),(1655,4275,0.22163,3.2046),(1655,4285,0.16389,3.1997),(1655,4295,0.10615,3.1979),(1655,4305,0.097242,3.1965),(1655,4315,0.19858,3.1951),(1655,4325,0.29992,3.1897),(1655,4335,0.39088,3.1826),(1655,4345,0.41158,3.1756),(1655,4355,0.43228,3.1675),(1655,4365,0.45298,3.1585),(1655,4375,0.46025,3.1496),(1655,4385,0.46681,3.1404),(1655,4395,0.47337,3.1309),(1655,4405,0.41384,3.1214),(1655,4415,0.33483,3.1129),(1655,4425,0.25581,3.1087),(1655,4435,0.22545,3.1045),(1655,4445,0.22835,3.1003),(1655,4455,0.23124,3.096),(1655,4465,0.27964,3.0916),(1655,4475,0.39195,3.0873),(1655,4485,0.50427,3.0781),(1655,4495,0.59414,3.0679),(1655,4505,0.61199,3.0577),(1655,4515,0.62985,3.047),(1655,4525,0.64623,3.0361),(1655,4535,0.63934,3.0251),(1655,4545,0.63246,3.0144),(1655,4555,0.62557,3.0037),(1655,4565,0.46571,2.9931),(1655,4575,0.28522,2.9851),(1655,4585,0.10473,2.9834),(1655,4595,0.10721,2.9816),(1655,4605,0.18701,2.9792),(1655,4615,0.2668,2.9722),(1655,4625,0.34117,2.9651),(1655,4635,0.41063,2.9581),(1655,4645,0.48009,2.9494),(1655,4655,0.54168,2.9406),(1655,4665,0.58842,2.9318),(1655,4675,0.63517,2.9226),(1655,4685,0.65029,2.9133),(1655,4695,0.50911,2.904),(1655,4705,0.36793,2.8983),(1655,4715,0.22675,2.8952),(1655,4725,0.31336,2.8922),(1655,4735,0.40225,2.8875),(1655,4745,0.49113,2.8805),(1655,4755,0.59499,2.8736),(1655,4765,0.70232,2.8657),(1655,4775,0.80965,2.8546),(1655,4785,0.86134,2.8435),(1655,4795,0.88086,2.8324),(1655,4805,0.90038,2.8214),(1655,4815,0.87048,2.8104),(1655,4825,0.78148,2.7993),(1655,4835,0.69248,2.7919),(1655,4845,0.59637,2.785),(1655,4855,0.48173,2.7781),(1655,4865,0.36709,2.7732),(1655,4875,0.28619,2.769),(1655,4885,0.51234,2.7649),(1655,4895,0.7385,2.7559),(1655,4905,0.96465,2.7424),(1655,4915,0.96486,2.7288),(1655,4925,0.94563,2.7155),(1655,4935,0.92641,2.7027),(1655,4945,0.84962,2.6898),(1655,4955,0.75289,2.6775),(1655,4965,0.65615,2.6681),(1655,4975,0.51354,2.6586),(1655,4985,0.33552,2.6492),(1655,4995,0.15749,2.648),(1655,5005,0.14726,2.6471),(1655,5015,0.40378,2.6461),(1655,5025,0.66031,2.6377),(1655,5035,0.88509,2.6274),(1655,5045,0.98895,2.617),(1655,5055,1.0928,2.605),(1655,5065,1.1942,2.5919),(1655,5075,1.2133,2.5788),(1655,5085,1.2324,2.5658),(1655,5095,1.2516,2.553),(1655,5105,1.1001,2.5403),(1655,5115,0.91894,2.5292),(1655,5125,0.73774,2.5226),(1655,5135,0.63448,2.516),(1655,5145,0.56904,2.5095),(1655,5155,0.5036,2.5033),(1655,5165,0.59555,2.4972),(1655,5175,0.84803,2.491),(1655,5185,1.1005,2.4769),(1655,5195,1.2794,2.4619),(1655,5205,1.2998,2.447),(1655,5215,1.3201,2.4324),(1655,5225,1.3331,2.4178),(1655,5235,1.3007,2.4033),(1655,5245,1.2683,2.3899),(1655,5255,1.2359,2.3776),(1655,5265,0.86499,2.3652),(1655,5275,0.48012,2.3573),(1655,5285,0.095239,2.3569),(1655,5295,0.21268,2.3566),(1655,5305,0.47002,2.3538),(1655,5315,0.72735,2.3409),(1655,5325,0.91182,2.328),(1655,5335,1.0485,2.3151),(1655,5345,1.1852,2.3001),(1655,5355,1.2836,2.2851),(1655,5365,1.3302,2.2701),(1655,5375,1.3769,2.2558),(1655,5385,1.3319,2.2416),(1655,5395,1.0085,2.2275),(1655,5405,0.68512,2.2202),(1655,5415,0.38953,2.2166),(1655,5425,0.46745,2.213),(1655,5435,0.54538,2.2049),(1655,5445,0.62331,2.1921),(1655,5455,0.75507,2.1792),(1655,5465,0.8934,2.1639),(1655,5475,1.0317,2.143),(1655,5485,1.0909,2.1222),(1655,5495,1.1181,2.1013),(1655,5505,1.1453,2.0802),(1655,5515,1.1733,2.0591),(1655,5525,1.202,2.038),(1655,5535,1.2306,2.0168),(1655,5545,1.2591,1.9955),(1655,5555,1.2873,1.9743),(1655,5565,1.3154,1.953),(1655,5575,1.3434,1.9318),(1655,5585,1.3705,1.9105),(1655,5595,1.3976,1.8893),(1655,5605,1.4247,1.8681),(1655,5615,1.4506,1.8469),(1655,5625,1.4765,1.8259),(1655,5635,1.5023,1.805),(1655,5645,1.5271,1.784),(1655,5655,1.5516,1.7632),(1655,5665,1.5761,1.7425),(1655,5675,1.5997,1.7219),(1655,5685,1.6228,1.7013),(1655,5695,1.6459,1.681),(1655,5705,1.6683,1.6606),(1655,5715,1.69,1.6403),(1655,5725,1.7117,1.6202),(1655,5735,1.7329,1.6002),(1655,5745,1.7532,1.5803),(1655,5755,1.7735,1.5605),(1655,5765,1.7936,1.5409),(1655,5775,1.8125,1.5213),(1655,5785,1.8314,1.5018),(1655,5795,1.8504,1.4826),(1655,5805,1.8681,1.4633),(1655,5815,1.8857,1.4441),(1655,5825,1.9033,1.4252),(1655,5835,1.92,1.4062),(1655,5845,1.9364,1.3873),(1655,5855,1.9528,1.3687),(1655,5865,1.9685,1.35),(1655,5875,1.9838,1.3314),(1655,5885,1.999,1.313),(1655,5895,2.0138,1.2947),(1655,5905,2.028,1.2763),(1655,5915,2.0422,1.2582),(1655,5925,2.0561,1.2401),(1655,5935,2.0693,1.222),(1655,5945,2.0825,1.2041),(1655,5955,2.0956,1.1863),(1655,5965,2.1083,1.1685),(1655,5975,2.1209,1.1507),(1655,5985,2.1335,1.1331),(1655,5995,1.6324,1.1155),(1655,6005,1.0486,1.1021),(1655,6015,0.46477,1.0998),(1655,6025,0.45763,1.0976),(1655,6035,0.71795,1.0942),(1655,6045,0.97827,1.0804),(1655,6055,1.1674,1.0666),(1655,6065,1.2868,1.0527),(1655,6075,1.4061,1.0347),(1655,6085,1.4886,1.0163),(1655,6095,1.495,0.99785),(1655,6105,1.5015,0.97922),(1655,6115,1.5078,0.96053),(1655,6125,1.514,0.94184),(1655,6135,1.5201,0.92311),(1655,6145,1.5263,0.90436),(1655,6155,1.532,0.8856),(1655,6165,1.5378,0.86679),(1655,6175,1.5436,0.84789),(1655,6185,1.549,0.829),(1655,6195,1.5544,0.81008),(1655,6205,1.5598,0.79108),(1655,6215,1.5649,0.77208),(1655,6225,1.5699,0.75308),(1655,6235,1.5749,0.73402),(1655,6245,1.5797,0.71495),(1655,6255,1.5843,0.69588),(1655,6265,1.5889,0.67663),(1655,6275,1.5934,0.65735),(1655,6285,1.5976,0.63807),(1655,6295,1.6017,0.61874),(1655,6305,1.6059,0.59939),(1655,6315,1.6097,0.58003),(1655,6325,1.6134,0.56068),(1655,6335,1.6172,0.54133),(1655,6345,1.6206,0.52198),(1655,6355,1.624,0.50258),(1655,6365,1.6273,0.48309),(1655,6375,1.6304,0.4636),(1655,6385,1.6334,0.4441),(1655,6395,1.6364,0.42451),(1655,6405,1.6391,0.40492),(1655,6415,1.6417,0.38534),(1655,6425,1.6443,0.36577),(1655,6435,1.6467,0.3462),(1655,6445,1.6489,0.32663),(1655,6455,1.6511,0.30704),(1655,6465,1.6532,0.28745),(1655,6475,1.655,0.26785),(1655,6485,1.6568,0.2482),(1655,6495,1.6586,0.22849),(1655,6505,1.6599,0.20879),(1655,6515,1.6613,0.18908),(1655,6525,1.6626,0.16937),(1655,6535,1.6636,0.14966),(1655,6545,1.6645,0.12996),(1655,6555,1.6654,0.11029),(1655,6565,1.666,0.090625),(1655,6575,1.6665,0.070956),(1655,6585,1.6669,0.051282),(1655,6595,1.4179,0.031608),(1655,6605,0.89356,0.011935),(1655,6615,0.36918,0.009692),(1655,6625,0.000544,0.009689),(1655,6635,0.000547,0.009686),(1655,6645,0.000549,0.009679),(1655,6655,0.000552,0.00967),(1655,6665,0.000555,0.009661),(1655,6675,0.000557,0.009653),(1655,6685,0.000559,0.009644),(1655,6695,0.000562,0.009636),(1655,6705,0.000564,0.009627),(1655,6715,0.000566,0.009619),(1655,6725,0.000569,0.00961),(1655,6735,0.000571,0.009602),(1655,6745,0.000573,0.009593),(1655,6755,0.000575,0.009584),(1655,6765,0.000577,0.009576),(1655,6775,0.00058,0.009567),(1655,6785,0.000582,0.009559),(1655,6795,0.000584,0.00955),(1655,6805,0.000586,0.009542),(1655,6815,0.000588,0.009533),(1655,6825,0.00059,0.009524),(1655,6835,0.000592,0.009516),(1655,6845,0.000594,0.009507),(1655,6855,0.000595,0.009498),(1655,6865,0.000597,0.00949),(1655,6875,0.000599,0.009481),(1655,6885,0.000601,0.009473),(1655,6895,0.000603,0.009464),(1655,6905,0.000604,0.009455),(1655,6915,0.000606,0.009447),(1655,6925,0.000608,0.009438),(1655,6935,0.000609,0.00943),(1655,6945,0.000611,0.009421),(1655,6955,0.000613,0.009412),(1655,6965,0.000614,0.009404),(1655,6975,0.000616,0.009395),(1655,6985,0.000617,0.009386),(1665,5,5.9e-05,3.6769),(1665,15,0.000176,3.6769),(1665,25,0.000294,3.6769),(1665,35,0.000411,3.6769),(1665,45,0.000529,3.6769),(1665,55,0.000646,3.6768),(1665,65,0.000764,3.6768),(1665,75,0.000882,3.6768),(1665,85,0.001,3.6768),(1665,95,0.001118,3.6768),(1665,105,0.001237,3.6768),(1665,115,0.001355,3.6768),(1665,125,0.001474,3.6768),(1665,135,0.001593,3.6768),(1665,145,0.001712,3.6768),(1665,155,0.001832,3.6768),(1665,165,0.001951,3.6768),(1665,175,0.002071,3.6767),(1665,185,0.002191,3.6767),(1665,195,0.002312,3.6767),(1665,205,0.002432,3.6767),(1665,215,0.002553,3.6767),(1665,225,0.002675,3.6767),(1665,235,0.002797,3.6767),(1665,245,0.002919,3.6766),(1665,255,0.003041,3.6766),(1665,265,0.003164,3.6766),(1665,275,0.003288,3.6766),(1665,285,0.003412,3.6765),(1665,295,0.003536,3.6765),(1665,305,0.003661,3.6765),(1665,315,0.003787,3.6765),(1665,325,0.003913,3.6765),(1665,335,0.004038,3.6764),(1665,345,0.004166,3.6764),(1665,355,0.004294,3.6764),(1665,365,0.004422,3.6763),(1665,375,0.00455,3.6763),(1665,385,0.00468,3.6763),(1665,395,0.004811,3.6763),(1665,405,0.004941,3.6762),(1665,415,0.005072,3.6762),(1665,425,0.005205,3.6762),(1665,435,0.005338,3.6761),(1665,445,0.005471,3.6761),(1665,455,0.005604,3.676),(1665,465,0.005741,3.676),(1665,475,0.005877,3.676),(1665,485,0.006013,3.6759),(1665,495,0.006149,3.6759),(1665,505,0.006289,3.6759),(1665,515,0.006429,3.6758),(1665,525,0.006568,3.6758),(1665,535,0.006708,3.6757),(1665,545,0.006852,3.6757),(1665,555,0.006995,3.6756),(1665,565,0.007138,3.6756),(1665,575,0.007282,3.6755),(1665,585,0.00743,3.6755),(1665,595,0.007577,3.6754),(1665,605,0.007724,3.6754),(1665,615,0.007872,3.6753),(1665,625,0.008024,3.6753),(1665,635,0.008175,3.6752),(1665,645,0.008327,3.6752),(1665,655,0.008479,3.6751),(1665,665,0.008635,3.6751),(1665,675,0.008791,3.675),(1665,685,0.008947,3.6749),(1665,695,0.009104,3.6749),(1665,705,0.009265,3.6748),(1665,715,0.009426,3.6747),(1665,725,0.009587,3.6747),(1665,735,0.009749,3.6746),(1665,745,0.009915,3.6745),(1665,755,0.010081,3.6745),(1665,765,0.010247,3.6744),(1665,775,0.010415,3.6743),(1665,785,0.010587,3.6743),(1665,795,0.010759,3.6742),(1665,805,0.01093,3.6741),(1665,815,0.011104,3.674),(1665,825,0.011282,3.674),(1665,835,0.011459,3.6739),(1665,845,0.011637,3.6738),(1665,855,0.011817,3.6737),(1665,865,0.012001,3.6736),(1665,875,0.012184,3.6735),(1665,885,0.012368,3.6735),(1665,895,0.012555,3.6734),(1665,905,0.012745,3.6733),(1665,915,0.012935,3.6732),(1665,925,0.013125,3.6731),(1665,935,0.013319,3.673),(1665,945,0.013516,3.6729),(1665,955,0.013713,3.6728),(1665,965,0.01391,3.6727),(1665,975,0.014111,3.6726),(1665,985,0.014315,3.6725),(1665,995,0.01452,3.6724),(1665,1005,0.014724,3.6723),(1665,1015,0.014932,3.6722),(1665,1025,0.015145,3.6721),(1665,1035,0.015357,3.672),(1665,1045,0.015569,3.6719),(1665,1055,0.015786,3.6717),(1665,1065,0.016006,3.6716),(1665,1075,0.016226,3.6715),(1665,1085,0.016446,3.6714),(1665,1095,0.016671,3.6713),(1665,1105,0.0169,3.6711),(1665,1115,0.017128,3.671),(1665,1125,0.017357,3.6709),(1665,1135,0.01759,3.6707),(1665,1145,0.017827,3.6706),(1665,1155,0.018065,3.6705),(1665,1165,0.018302,3.6703),(1665,1175,0.018545,3.6702),(1665,1185,0.018791,3.67),(1665,1195,0.019037,3.6699),(1665,1205,0.019283,3.6698),(1665,1215,0.019536,3.6696),(1665,1225,0.019791,3.6695),(1665,1235,0.020047,3.6693),(1665,1245,0.020302,3.6691),(1665,1255,0.020565,3.669),(1665,1265,0.02083,3.6688),(1665,1275,0.021095,3.6686),(1665,1285,0.021361,3.6685),(1665,1295,0.021634,3.6683),(1665,1305,0.021909,3.6681),(1665,1315,0.022184,3.668),(1665,1325,0.02246,3.6678),(1665,1335,0.022744,3.6676),(1665,1345,0.02303,3.6674),(1665,1355,0.023315,3.6672),(1665,1365,0.023601,3.667),(1665,1375,0.023896,3.6668),(1665,1385,0.024193,3.6666),(1665,1395,0.02449,3.6664),(1665,1405,0.024786,3.6662),(1665,1415,0.025093,3.666),(1665,1425,0.025401,3.6658),(1665,1435,0.025708,3.6656),(1665,1445,0.026016,3.6654),(1665,1455,0.026335,3.6652),(1665,1465,0.026654,3.6649),(1665,1475,0.026973,3.6647),(1665,1485,0.027292,3.6645),(1665,1495,0.027622,3.6643),(1665,1505,0.027953,3.664),(1665,1515,0.028283,3.6638),(1665,1525,0.028614,3.6635),(1665,1535,0.028957,3.6633),(1665,1545,0.029299,3.663),(1665,1555,0.029642,3.6628),(1665,1565,0.029985,3.6625),(1665,1575,0.03034,3.6622),(1665,1585,0.030695,3.662),(1665,1595,0.031049,3.6617),(1665,1605,0.031405,3.6614),(1665,1615,0.031772,3.6611),(1665,1625,0.032139,3.6608),(1665,1635,0.032507,3.6605),(1665,1645,0.032875,3.6602),(1665,1655,0.033255,3.66),(1665,1665,0.033634,3.6596),(1665,1675,0.034014,3.6593),(1665,1685,0.034396,3.659),(1665,1695,0.034788,3.6587),(1665,1705,0.03518,3.6584),(1665,1715,0.035572,3.658),(1665,1725,0.035967,3.6577),(1665,1735,0.036372,3.6574),(1665,1745,0.036777,3.657),(1665,1755,0.037182,3.6567),(1665,1765,0.03759,3.6563),(1665,1775,0.038007,3.656),(1665,1785,0.038425,3.6556),(1665,1795,0.038843,3.6552),(1665,1805,0.039264,3.6548),(1665,1815,0.039695,3.6545),(1665,1825,0.040125,3.6541),(1665,1835,0.040555,3.6537),(1665,1845,0.04099,3.6533),(1665,1855,0.041433,3.6529),(1665,1865,0.041876,3.6524),(1665,1875,0.042319,3.652),(1665,1885,0.042767,3.6516),(1665,1895,0.043222,3.6512),(1665,1905,0.043678,3.6507),(1665,1915,0.044133,3.6503),(1665,1925,0.044594,3.6498),(1665,1935,0.045061,3.6494),(1665,1945,0.045529,3.6489),(1665,1955,0.045997,3.6484),(1665,1965,0.04647,3.6479),(1665,1975,0.04695,3.6475),(1665,1985,0.04743,3.647),(1665,1995,0.047909,3.6465),(1665,2005,0.048395,3.646),(1665,2015,0.048887,3.6455),(1665,2025,0.049378,3.6449),(1665,2035,0.04987,3.6444),(1665,2045,0.050367,3.6439),(1665,2055,0.05087,3.6433),(1665,2065,0.051372,3.6428),(1665,2075,0.051875,3.6422),(1665,2085,0.052383,3.6416),(1665,2095,0.052896,3.6411),(1665,2105,0.05341,3.6405),(1665,2115,0.053923,3.6399),(1665,2125,0.054442,3.6393),(1665,2135,0.054965,3.6387),(1665,2145,0.055488,3.6381),(1665,2155,0.056011,3.6374),(1665,2165,0.05654,3.6368),(1665,2175,0.057072,3.6362),(1665,2185,0.057604,3.6355),(1665,2195,0.058136,3.6348),(1665,2205,0.058674,3.6342),(1665,2215,0.059215,3.6335),(1665,2225,0.059755,3.6328),(1665,2235,0.060296,3.6321),(1665,2245,0.060841,3.6314),(1665,2255,0.061389,3.6307),(1665,2265,0.061937,3.63),(1665,2275,0.062485,3.6292),(1665,2285,0.063037,3.6285),(1665,2295,0.063591,3.6278),(1665,2305,0.064145,3.627),(1665,2315,0.064699,3.6262),(1665,2325,0.065257,3.6254),(1665,2335,0.065816,3.6247),(1665,2345,0.066375,3.6238),(1665,2355,0.066934,3.623),(1665,2365,0.067496,3.6222),(1665,2375,0.068059,3.6214),(1665,2385,0.068621,3.6205),(1665,2395,0.069184,3.6197),(1665,2405,0.069748,3.6188),(1665,2415,0.070313,3.618),(1665,2425,0.070877,3.6171),(1665,2435,0.071442,3.6162),(1665,2445,0.072007,3.6153),(1665,2455,0.072572,3.6144),(1665,2465,0.073137,3.6135),(1665,2475,0.073702,3.6125),(1665,2485,0.074266,3.6116),(1665,2495,0.074829,3.6106),(1665,2505,0.075393,3.6097),(1665,2515,0.075957,3.6087),(1665,2525,0.076517,3.6077),(1665,2535,0.077078,3.6067),(1665,2545,0.077638,3.6057),(1665,2555,0.078199,3.6047),(1665,2565,0.078754,3.6036),(1665,2575,0.079309,3.6026),(1665,2585,0.079864,3.6016),(1665,2595,0.080419,3.6005),(1665,2605,0.080966,3.5994),(1665,2615,0.081514,3.5984),(1665,2625,0.082062,3.5972),(1665,2635,0.082608,3.5961),(1665,2645,0.083146,3.595),(1665,2655,0.083685,3.5939),(1665,2665,0.084223,3.5927),(1665,2675,0.084759,3.5916),(1665,2685,0.085285,3.5904),(1665,2695,0.085811,3.5893),(1665,2705,0.086338,3.5881),(1665,2715,0.086861,3.5869),(1665,2725,0.087373,3.5857),(1665,2735,0.087884,3.5845),(1665,2745,0.088396,3.5832),(1665,2755,0.088904,3.582),(1665,2765,0.089398,3.5808),(1665,2775,0.089893,3.5795),(1665,2785,0.090388,3.5782),(1665,2795,0.090876,3.5769),(1665,2805,0.091351,3.5757),(1665,2815,0.091826,3.5744),(1665,2825,0.092301,3.573),(1665,2835,0.092768,3.5717),(1665,2845,0.09322,3.5704),(1665,2855,0.093672,3.5691),(1665,2865,0.094125,3.5677),(1665,2875,0.094567,3.5663),(1665,2885,0.094994,3.565),(1665,2895,0.095421,3.5636),(1665,2905,0.095848,3.5622),(1665,2915,0.096263,3.5608),(1665,2925,0.096662,3.5594),(1665,2935,0.09706,3.5579),(1665,2945,0.097459,3.5565),(1665,2955,0.097844,3.5551),(1665,2965,0.098211,3.5536),(1665,2975,0.098579,3.5522),(1665,2985,0.098946,3.5507),(1665,2995,0.099297,3.5492),(1665,3005,0.099631,3.5477),(1665,3015,0.099964,3.5462),(1665,3025,0.1003,3.5447),(1665,3035,0.10061,3.5432),(1665,3045,0.10091,3.5417),(1665,3055,0.10121,3.5401),(1665,3065,0.1015,3.5386),(1665,3075,0.10178,3.5371),(1665,3085,0.10203,3.5355),(1665,3095,0.10229,3.5339),(1665,3105,0.10255,3.5324),(1665,3115,0.10278,3.5308),(1665,3125,0.10299,3.5292),(1665,3135,0.10321,3.5276),(1665,3145,0.10342,3.526),(1665,3155,0.1036,3.5244),(1665,3165,0.10377,3.5228),(1665,3175,0.10394,3.5212),(1665,3185,0.10411,3.5196),(1665,3195,0.10425,3.518),(1665,3205,0.10437,3.5163),(1665,3215,0.10449,3.5147),(1665,3225,0.10461,3.513),(1665,3235,0.10469,3.5114),(1665,3245,0.10476,3.5097),(1665,3255,0.10483,3.5081),(1665,3265,0.1049,3.5064),(1665,3275,0.10493,3.5048),(1665,3285,0.10494,3.5031),(1665,3295,0.10496,3.5014),(1665,3305,0.10498,3.4997),(1665,3315,0.10495,3.498),(1665,3325,0.10491,3.4964),(1665,3335,0.10487,3.4947),(1665,3345,0.10483,3.493),(1665,3355,0.10474,3.4913),(1665,3365,0.10465,3.4896),(1665,3375,0.10455,3.4879),(1665,3385,0.10445,3.4862),(1665,3395,0.1043,3.4845),(1665,3405,0.10415,3.4828),(1665,3415,0.10399,3.4811),(1665,3425,0.10383,3.4794),(1665,3435,0.10362,3.4777),(1665,3445,0.1034,3.476),(1665,3455,0.10318,3.4743),(1665,3465,0.10296,3.4726),(1665,3475,0.10268,3.4709),(1665,3485,0.1024,3.4692),(1665,3495,0.10212,3.4675),(1665,3505,0.10184,3.4658),(1665,3515,0.10149,3.4641),(1665,3525,0.10114,3.4624),(1665,3535,0.1008,3.4607),(1665,3545,0.10045,3.459),(1665,3555,0.10004,3.4573),(1665,3565,0.099626,3.4556),(1665,3575,0.099214,3.4539),(1665,3585,0.098796,3.4522),(1665,3595,0.098318,3.4505),(1665,3605,0.097839,3.4489),(1665,3615,0.097361,3.4472),(1665,3625,0.096874,3.4455),(1665,3635,0.096329,3.4439),(1665,3645,0.095784,3.4422),(1665,3655,0.095238,3.4405),(1665,3665,0.094682,3.4389),(1665,3675,0.094069,3.4372),(1665,3685,0.093457,3.4356),(1665,3695,0.092844,3.4339),(1665,3705,0.092218,3.4323),(1665,3715,0.091539,3.4307),(1665,3725,0.09086,3.429),(1665,3735,0.09018,3.4274),(1665,3745,0.089485,3.4258),(1665,3755,0.088739,3.4242),(1665,3765,0.087994,3.4226),(1665,3775,0.087248,3.421),(1665,3785,0.086484,3.4194),(1665,3795,0.085674,3.4178),(1665,3805,0.084863,3.4162),(1665,3815,0.084052,3.4147),(1665,3825,0.083221,3.4131),(1665,3835,0.082347,3.4115),(1665,3845,0.081473,3.41),(1665,3855,0.080599,3.4085),(1665,3865,0.079703,3.4069),(1665,3875,0.078768,3.4054),(1665,3885,0.077833,3.4038),(1665,3895,0.076899,3.4023),(1665,3905,0.089077,3.4008),(1665,3915,0.12084,3.3993),(1665,3925,0.15261,3.3968),(1665,3935,0.18438,3.3929),(1665,3945,0.21877,3.389),(1665,3955,0.25648,3.3851),(1665,3965,0.2942,3.3802),(1665,3975,0.33191,3.374),(1665,3985,0.3543,3.3679),(1665,3995,0.36008,3.3617),(1665,4005,0.36587,3.3555),(1665,4015,0.37165,3.3493),(1665,4025,0.37779,3.3431),(1665,4035,0.38396,3.3369),(1665,4045,0.39013,3.3305),(1665,4055,0.39621,3.3241),(1665,4065,0.40226,3.3177),(1665,4075,0.40831,3.3112),(1665,4085,0.41413,3.3047),(1665,4095,0.41978,3.2982),(1665,4105,0.42542,3.2918),(1665,4115,0.41487,3.2854),(1665,4125,0.37747,3.279),(1665,4135,0.34008,3.2743),(1665,4145,0.30185,3.27),(1665,4155,0.26023,3.2658),(1665,4165,0.2186,3.2627),(1665,4175,0.1794,3.2603),(1665,4185,0.25987,3.2578),(1665,4195,0.34033,3.2534),(1665,4205,0.4208,3.2463),(1665,4215,0.4153,3.2392),(1665,4225,0.39361,3.2322),(1665,4235,0.37193,3.2255),(1665,4245,0.34134,3.2189),(1665,4255,0.30623,3.2123),(1665,4265,0.27112,3.2072),(1665,4275,0.22467,3.2021),(1665,4285,0.16618,3.197),(1665,4295,0.10768,3.1952),(1665,4305,0.098624,3.1937),(1665,4315,0.2012,3.1923),(1665,4325,0.30377,3.1866),(1665,4335,0.39585,3.1791),(1665,4345,0.41694,3.1717),(1665,4355,0.43802,3.1634),(1665,4365,0.4591,3.1542),(1665,4375,0.46642,3.1451),(1665,4385,0.47301,3.1358),(1665,4395,0.47961,3.1263),(1665,4405,0.41918,3.1168),(1665,4415,0.33899,3.1083),(1665,4425,0.2588,3.1042),(1665,4435,0.228,3.1001),(1665,4445,0.23095,3.096),(1665,4455,0.2339,3.0917),(1665,4465,0.28278,3.0874),(1665,4475,0.3962,3.0831),(1665,4485,0.50962,3.0739),(1665,4495,0.60035,3.0636),(1665,4505,0.6183,3.0534),(1665,4515,0.63624,3.0427),(1665,4525,0.65271,3.0318),(1665,4535,0.64574,3.0209),(1665,4545,0.63877,3.0101),(1665,4555,0.63181,2.9996),(1665,4565,0.47058,2.9891),(1665,4575,0.28855,2.9811),(1665,4585,0.10653,2.9794),(1665,4595,0.1093,2.9776),(1665,4605,0.19016,2.9753),(1665,4615,0.27101,2.9683),(1665,4625,0.34593,2.9614),(1665,4635,0.41547,2.9544),(1665,4645,0.48501,2.9458),(1665,4655,0.54664,2.9371),(1665,4665,0.59334,2.9284),(1665,4675,0.64005,2.9192),(1665,4685,0.65497,2.9097),(1665,4695,0.51283,2.9002),(1665,4705,0.37068,2.8943),(1665,4715,0.22854,2.891),(1665,4725,0.31572,2.8877),(1665,4735,0.4052,2.8828),(1665,4745,0.49468,2.8757),(1665,4755,0.5991,2.8685),(1665,4765,0.70698,2.8605),(1665,4775,0.81486,2.8493),(1665,4785,0.86665,2.8381),(1665,4795,0.88602,2.827),(1665,4805,0.90538,2.816),(1665,4815,0.87507,2.8049),(1665,4825,0.78535,2.7939),(1665,4835,0.69563,2.7865),(1665,4845,0.59897,2.7797),(1665,4855,0.48422,2.7729),(1665,4865,0.36947,2.7679),(1665,4875,0.28862,2.7638),(1665,4885,0.51619,2.7596),(1665,4895,0.74376,2.7507),(1665,4905,0.97132,2.7372),(1665,4915,0.97155,2.7237),(1665,4925,0.95222,2.7104),(1665,4935,0.93289,2.6976),(1665,4945,0.85577,2.6847),(1665,4955,0.75862,2.6724),(1665,4965,0.66147,2.6629),(1665,4975,0.51787,2.6535),(1665,4985,0.33842,2.644),(1665,4995,0.15898,2.6428),(1665,5005,0.14835,2.6418),(1665,5015,0.4061,2.6408),(1665,5025,0.66386,2.6324),(1665,5035,0.88966,2.6221),(1665,5045,0.99371,2.6118),(1665,5055,1.0978,2.5998),(1665,5065,1.1993,2.5867),(1665,5075,1.2182,2.5736),(1665,5085,1.2371,2.5607),(1665,5095,1.256,2.548),(1665,5105,1.1039,2.5353),(1665,5115,0.92201,2.5242),(1665,5125,0.74007,2.5176),(1665,5135,0.63675,2.5111),(1665,5145,0.57157,2.5046),(1665,5155,0.50639,2.4984),(1665,5165,0.599,2.4923),(1665,5175,0.85255,2.4861),(1665,5185,1.1061,2.4721),(1665,5195,1.2857,2.4572),(1665,5205,1.3057,2.4423),(1665,5215,1.3258,2.4277),(1665,5225,1.3386,2.4132),(1665,5235,1.3058,2.3987),(1665,5245,1.2729,2.3854),(1665,5255,1.2401,2.3731),(1665,5265,0.86798,2.3607),(1665,5275,0.48187,2.3528),(1665,5285,0.095759,2.3525),(1665,5295,0.21459,2.3521),(1665,5305,0.47403,2.3494),(1665,5315,0.73348,2.3365),(1665,5325,0.91867,2.3236),(1665,5335,1.0552,2.3107),(1665,5345,1.1917,2.2957),(1665,5355,1.2897,2.2808),(1665,5365,1.3359,2.2658),(1665,5375,1.382,2.2516),(1665,5385,1.3364,2.2374),(1665,5395,1.0118,2.2233),(1665,5405,0.68728,2.2161),(1665,5415,0.39077,2.2125),(1665,5425,0.47097,2.2089),(1665,5435,0.55117,2.2008),(1665,5445,0.63138,2.1879),(1665,5455,0.76469,2.1749),(1665,5465,0.90449,2.1596),(1665,5475,1.0443,2.1387),(1665,5485,1.1038,2.1177),(1665,5495,1.1309,2.0968),(1665,5505,1.158,2.0757),(1665,5515,1.1859,2.0545),(1665,5525,1.2145,2.0334),(1665,5535,1.243,2.0122),(1665,5545,1.2713,1.9909),(1665,5555,1.2993,1.9697),(1665,5565,1.3273,1.9484),(1665,5575,1.3551,1.9272),(1665,5585,1.382,1.906),(1665,5595,1.4089,1.8848),(1665,5605,1.4359,1.8636),(1665,5615,1.4615,1.8425),(1665,5625,1.4871,1.8215),(1665,5635,1.5128,1.8006),(1665,5645,1.5373,1.7797),(1665,5655,1.5616,1.759),(1665,5665,1.5859,1.7384),(1665,5675,1.6093,1.7178),(1665,5685,1.6322,1.6973),(1665,5695,1.655,1.677),(1665,5705,1.6772,1.6568),(1665,5715,1.6987,1.6365),(1665,5725,1.7201,1.6165),(1665,5735,1.7412,1.5966),(1665,5745,1.7612,1.5767),(1665,5755,1.7813,1.5571),(1665,5765,1.8012,1.5376),(1665,5775,1.8199,1.518),(1665,5785,1.8386,1.4987),(1665,5795,1.8573,1.4795),(1665,5805,1.8748,1.4603),(1665,5815,1.8922,1.4412),(1665,5825,1.9097,1.4224),(1665,5835,1.9262,1.4035),(1665,5845,1.9424,1.3847),(1665,5855,1.9586,1.3662),(1665,5865,1.9741,1.3476),(1665,5875,1.9892,1.3291),(1665,5885,2.0043,1.3108),(1665,5895,2.0189,1.2925),(1665,5905,2.033,1.2742),(1665,5915,2.047,1.2562),(1665,5925,2.0608,1.2382),(1665,5935,2.0738,1.2202),(1665,5945,2.0868,1.2024),(1665,5955,2.0998,1.1846),(1665,5965,2.1123,1.1669),(1665,5975,2.1248,1.1492),(1665,5985,2.1373,1.1317),(1665,5995,1.6353,1.1142),(1665,6005,1.0504,1.1008),(1665,6015,0.46555,1.0986),(1665,6025,0.45945,1.0963),(1665,6035,0.72176,1.093),(1665,6045,0.98408,1.0792),(1665,6055,1.1746,1.0653),(1665,6065,1.2947,1.0515),(1665,6075,1.4147,1.0334),(1665,6085,1.4977,1.015),(1665,6095,1.5041,0.9966),(1665,6105,1.5106,0.978),(1665,6115,1.5169,0.95932),(1665,6125,1.5231,0.94064),(1665,6135,1.5292,0.92193),(1665,6145,1.5354,0.90319),(1665,6155,1.5412,0.88445),(1665,6165,1.5469,0.86566),(1665,6175,1.5527,0.84677),(1665,6185,1.5581,0.82789),(1665,6195,1.5635,0.80899),(1665,6205,1.5689,0.79001),(1665,6215,1.5741,0.77103),(1665,6225,1.5791,0.75204),(1665,6235,1.584,0.73299),(1665,6245,1.5889,0.71394),(1665,6255,1.5935,0.69488),(1665,6265,1.598,0.67565),(1665,6275,1.6025,0.65639),(1665,6285,1.6067,0.63712),(1665,6295,1.6109,0.61782),(1665,6305,1.6151,0.59849),(1665,6315,1.6189,0.57917),(1665,6325,1.6226,0.55984),(1665,6335,1.6264,0.54051),(1665,6345,1.6298,0.52119),(1665,6355,1.6332,0.50182),(1665,6365,1.6366,0.48236),(1665,6375,1.6396,0.46289),(1665,6385,1.6426,0.44342),(1665,6395,1.6456,0.42388),(1665,6405,1.6483,0.40433),(1665,6415,1.6509,0.38478),(1665,6425,1.6535,0.36525),(1665,6435,1.6559,0.34571),(1665,6445,1.6581,0.32617),(1665,6455,1.6603,0.30661),(1665,6465,1.6624,0.28705),(1665,6475,1.6642,0.26748),(1665,6485,1.666,0.24785),(1665,6495,1.6677,0.22817),(1665,6505,1.6691,0.20849),(1665,6515,1.6705,0.18881),(1665,6525,1.6718,0.16912),(1665,6535,1.6728,0.14944),(1665,6545,1.6737,0.12976),(1665,6555,1.6746,0.11013),(1665,6565,1.6753,0.090491),(1665,6575,1.6757,0.070855),(1665,6585,1.6761,0.051221),(1665,6595,1.4258,0.031588),(1665,6605,0.8985,0.011954),(1665,6615,0.37122,0.00971),(1665,6625,0.000549,0.0097),(1665,6635,0.000552,0.00969),(1665,6645,0.000554,0.009681),(1665,6655,0.000557,0.009673),(1665,6665,0.000559,0.009664),(1665,6675,0.000562,0.009655),(1665,6685,0.000564,0.009647),(1665,6695,0.000567,0.009638),(1665,6705,0.000569,0.009629),(1665,6715,0.000571,0.009621),(1665,6725,0.000574,0.009612),(1665,6735,0.000576,0.009604),(1665,6745,0.000578,0.009595),(1665,6755,0.00058,0.009587),(1665,6765,0.000582,0.009578),(1665,6775,0.000585,0.009569),(1665,6785,0.000587,0.009561),(1665,6795,0.000589,0.009552),(1665,6805,0.000591,0.009544),(1665,6815,0.000593,0.009535),(1665,6825,0.000595,0.009526),(1665,6835,0.000597,0.009518),(1665,6845,0.000598,0.009509),(1665,6855,0.0006,0.0095),(1665,6865,0.000602,0.009492),(1665,6875,0.000604,0.009483),(1665,6885,0.000606,0.009474),(1665,6895,0.000607,0.009466),(1665,6905,0.000609,0.009457),(1665,6915,0.000611,0.009448),(1665,6925,0.000613,0.00944),(1665,6935,0.000614,0.009431),(1665,6945,0.000616,0.009423),(1665,6955,0.000618,0.009414),(1665,6965,0.000619,0.009405),(1665,6975,0.000621,0.009397),(1665,6985,0.000622,0.009388),(1675,5,5.9e-05,3.677),(1675,15,0.000176,3.677),(1675,25,0.000294,3.677),(1675,35,0.000411,3.677),(1675,45,0.000529,3.677),(1675,55,0.000647,3.677),(1675,65,0.000764,3.677),(1675,75,0.000882,3.677),(1675,85,0.001001,3.677),(1675,95,0.001118,3.6769),(1675,105,0.001237,3.6769),(1675,115,0.001356,3.6769),(1675,125,0.001474,3.6769),(1675,135,0.001593,3.6769),(1675,145,0.001712,3.6769),(1675,155,0.001832,3.6769),(1675,165,0.001951,3.6769),(1675,175,0.002071,3.6769),(1675,185,0.002191,3.6769),(1675,195,0.002312,3.6768),(1675,205,0.002433,3.6768),(1675,215,0.002553,3.6768),(1675,225,0.002675,3.6768),(1675,235,0.002797,3.6768),(1675,245,0.002919,3.6768),(1675,255,0.003041,3.6767),(1675,265,0.003165,3.6767),(1675,275,0.003289,3.6767),(1675,285,0.003412,3.6767),(1675,295,0.003536,3.6767),(1675,305,0.003662,3.6766),(1675,315,0.003787,3.6766),(1675,325,0.003913,3.6766),(1675,335,0.004039,3.6766),(1675,345,0.004167,3.6765),(1675,355,0.004295,3.6765),(1675,365,0.004423,3.6765),(1675,375,0.004551,3.6764),(1675,385,0.004681,3.6764),(1675,395,0.004812,3.6764),(1675,405,0.004942,3.6764),(1675,415,0.005073,3.6763),(1675,425,0.005206,3.6763),(1675,435,0.005339,3.6763),(1675,445,0.005472,3.6762),(1675,455,0.005606,3.6762),(1675,465,0.005742,3.6761),(1675,475,0.005878,3.6761),(1675,485,0.006015,3.6761),(1675,495,0.006151,3.676),(1675,505,0.006291,3.676),(1675,515,0.006431,3.676),(1675,525,0.00657,3.6759),(1675,535,0.00671,3.6759),(1675,545,0.006854,3.6758),(1675,555,0.006997,3.6758),(1675,565,0.007141,3.6757),(1675,575,0.007285,3.6757),(1675,585,0.007432,3.6756),(1675,595,0.00758,3.6756),(1675,605,0.007727,3.6755),(1675,615,0.007875,3.6755),(1675,625,0.008027,3.6754),(1675,635,0.008178,3.6754),(1675,645,0.00833,3.6753),(1675,655,0.008483,3.6753),(1675,665,0.008639,3.6752),(1675,675,0.008795,3.6752),(1675,685,0.008951,3.6751),(1675,695,0.009109,3.675),(1675,705,0.00927,3.675),(1675,715,0.009431,3.6749),(1675,725,0.009592,3.6748),(1675,735,0.009754,3.6748),(1675,745,0.009921,3.6747),(1675,755,0.010087,3.6746),(1675,765,0.010253,3.6746),(1675,775,0.010421,3.6745),(1675,785,0.010593,3.6744),(1675,795,0.010765,3.6744),(1675,805,0.010937,3.6743),(1675,815,0.011111,3.6742),(1675,825,0.011289,3.6741),(1675,835,0.011467,3.6741),(1675,845,0.011645,3.674),(1675,855,0.011825,3.6739),(1675,865,0.012009,3.6738),(1675,875,0.012193,3.6737),(1675,885,0.012378,3.6736),(1675,895,0.012564,3.6736),(1675,905,0.012755,3.6735),(1675,915,0.012946,3.6734),(1675,925,0.013136,3.6733),(1675,935,0.01333,3.6732),(1675,945,0.013528,3.6731),(1675,955,0.013725,3.673),(1675,965,0.013923,3.6729),(1675,975,0.014124,3.6728),(1675,985,0.014329,3.6727),(1675,995,0.014534,3.6726),(1675,1005,0.014739,3.6725),(1675,1015,0.014947,3.6724),(1675,1025,0.01516,3.6723),(1675,1035,0.015373,3.6722),(1675,1045,0.015586,3.6721),(1675,1055,0.015803,3.672),(1675,1065,0.016023,3.6718),(1675,1075,0.016244,3.6717),(1675,1085,0.016465,3.6716),(1675,1095,0.016691,3.6715),(1675,1105,0.01692,3.6714),(1675,1115,0.017149,3.6712),(1675,1125,0.017378,3.6711),(1675,1135,0.017613,3.671),(1675,1145,0.01785,3.6708),(1675,1155,0.018088,3.6707),(1675,1165,0.018326,3.6706),(1675,1175,0.01857,3.6704),(1675,1185,0.018817,3.6703),(1675,1195,0.019064,3.6701),(1675,1205,0.019311,3.67),(1675,1215,0.019565,3.6699),(1675,1225,0.019821,3.6697),(1675,1235,0.020077,3.6696),(1675,1245,0.020334,3.6694),(1675,1255,0.020597,3.6692),(1675,1265,0.020864,3.6691),(1675,1275,0.02113,3.6689),(1675,1285,0.021396,3.6687),(1675,1295,0.02167,3.6686),(1675,1305,0.021947,3.6684),(1675,1315,0.022223,3.6682),(1675,1325,0.022499,3.6681),(1675,1335,0.022785,3.6679),(1675,1345,0.023072,3.6677),(1675,1355,0.023359,3.6675),(1675,1365,0.023646,3.6673),(1675,1375,0.023942,3.6671),(1675,1385,0.02424,3.6669),(1675,1395,0.024538,3.6667),(1675,1405,0.024836,3.6665),(1675,1415,0.025144,3.6663),(1675,1425,0.025453,3.6661),(1675,1435,0.025762,3.6659),(1675,1445,0.026071,3.6657),(1675,1455,0.026391,3.6655),(1675,1465,0.026712,3.6653),(1675,1475,0.027032,3.665),(1675,1485,0.027353,3.6648),(1675,1495,0.027685,3.6646),(1675,1505,0.028018,3.6644),(1675,1515,0.02835,3.6641),(1675,1525,0.028683,3.6639),(1675,1535,0.029027,3.6636),(1675,1545,0.029371,3.6634),(1675,1555,0.029716,3.6631),(1675,1565,0.030061,3.6628),(1675,1575,0.030418,3.6626),(1675,1585,0.030774,3.6623),(1675,1595,0.031131,3.662),(1675,1605,0.031489,3.6618),(1675,1615,0.031858,3.6615),(1675,1625,0.032227,3.6612),(1675,1635,0.032596,3.6609),(1675,1645,0.032967,3.6606),(1675,1655,0.033349,3.6603),(1675,1665,0.033731,3.66),(1675,1675,0.034113,3.6597),(1675,1685,0.034497,3.6594),(1675,1695,0.034892,3.6591),(1675,1705,0.035287,3.6588),(1675,1715,0.035681,3.6584),(1675,1725,0.036079,3.6581),(1675,1735,0.036486,3.6578),(1675,1745,0.036894,3.6574),(1675,1755,0.037301,3.6571),(1675,1765,0.037712,3.6567),(1675,1775,0.038133,3.6564),(1675,1785,0.038553,3.656),(1675,1795,0.038974,3.6556),(1675,1805,0.039398,3.6553),(1675,1815,0.039832,3.6549),(1675,1825,0.040265,3.6545),(1675,1835,0.040699,3.6541),(1675,1845,0.041136,3.6537),(1675,1855,0.041583,3.6533),(1675,1865,0.042029,3.6529),(1675,1875,0.042475,3.6525),(1675,1885,0.042927,3.652),(1675,1895,0.043385,3.6516),(1675,1905,0.043844,3.6512),(1675,1915,0.044303,3.6507),(1675,1925,0.044768,3.6503),(1675,1935,0.045239,3.6498),(1675,1945,0.04571,3.6494),(1675,1955,0.046182,3.6489),(1675,1965,0.046659,3.6484),(1675,1975,0.047143,3.6479),(1675,1985,0.047626,3.6475),(1675,1995,0.04811,3.647),(1675,2005,0.0486,3.6465),(1675,2015,0.049095,3.6459),(1675,2025,0.049591,3.6454),(1675,2035,0.050087,3.6449),(1675,2045,0.050589,3.6444),(1675,2055,0.051096,3.6438),(1675,2065,0.051603,3.6433),(1675,2075,0.05211,3.6427),(1675,2085,0.052623,3.6421),(1675,2095,0.053141,3.6416),(1675,2105,0.053659,3.641),(1675,2115,0.054176,3.6404),(1675,2125,0.0547,3.6398),(1675,2135,0.055228,3.6392),(1675,2145,0.055756,3.6386),(1675,2155,0.056284,3.638),(1675,2165,0.056818,3.6373),(1675,2175,0.057355,3.6367),(1675,2185,0.057893,3.636),(1675,2195,0.05843,3.6354),(1675,2205,0.058973,3.6347),(1675,2215,0.059519,3.6341),(1675,2225,0.060065,3.6334),(1675,2235,0.060611,3.6327),(1675,2245,0.061163,3.632),(1675,2255,0.061716,3.6313),(1675,2265,0.062269,3.6305),(1675,2275,0.062823,3.6298),(1675,2285,0.063381,3.6291),(1675,2295,0.063941,3.6283),(1675,2305,0.064501,3.6276),(1675,2315,0.06506,3.6268),(1675,2325,0.065625,3.626),(1675,2335,0.06619,3.6252),(1675,2345,0.066755,3.6244),(1675,2355,0.06732,3.6236),(1675,2365,0.067888,3.6228),(1675,2375,0.068457,3.622),(1675,2385,0.069026,3.6211),(1675,2395,0.069594,3.6203),(1675,2405,0.070165,3.6194),(1675,2415,0.070736,3.6186),(1675,2425,0.071307,3.6177),(1675,2435,0.071879,3.6168),(1675,2445,0.07245,3.6159),(1675,2455,0.073022,3.615),(1675,2465,0.073594,3.614),(1675,2475,0.074165,3.6131),(1675,2485,0.074736,3.6122),(1675,2495,0.075306,3.6112),(1675,2505,0.075877,3.6102),(1675,2515,0.076448,3.6093),(1675,2525,0.077015,3.6083),(1675,2535,0.077583,3.6073),(1675,2545,0.07815,3.6063),(1675,2555,0.078717,3.6052),(1675,2565,0.07928,3.6042),(1675,2575,0.079842,3.6032),(1675,2585,0.080404,3.6021),(1675,2595,0.080966,3.601),(1675,2605,0.081521,3.6),(1675,2615,0.082076,3.5989),(1675,2625,0.08263,3.5978),(1675,2635,0.083184,3.5967),(1675,2645,0.08373,3.5956),(1675,2655,0.084275,3.5944),(1675,2665,0.08482,3.5933),(1675,2675,0.085364,3.5921),(1675,2685,0.085897,3.591),(1675,2695,0.086431,3.5898),(1675,2705,0.086964,3.5886),(1675,2715,0.087495,3.5874),(1675,2725,0.088014,3.5862),(1675,2735,0.088533,3.585),(1675,2745,0.089052,3.5838),(1675,2755,0.089566,3.5825),(1675,2765,0.090068,3.5813),(1675,2775,0.09057,3.58),(1675,2785,0.091072,3.5787),(1675,2795,0.091568,3.5774),(1675,2805,0.09205,3.5761),(1675,2815,0.092532,3.5748),(1675,2825,0.093014,3.5735),(1675,2835,0.093488,3.5722),(1675,2845,0.093948,3.5709),(1675,2855,0.094407,3.5695),(1675,2865,0.094866,3.5681),(1675,2875,0.095316,3.5668),(1675,2885,0.09575,3.5654),(1675,2895,0.096183,3.564),(1675,2905,0.096617,3.5626),(1675,2915,0.097039,3.5612),(1675,2925,0.097445,3.5598),(1675,2935,0.09785,3.5583),(1675,2945,0.098255,3.5569),(1675,2955,0.098647,3.5554),(1675,2965,0.099021,3.554),(1675,2975,0.099395,3.5525),(1675,2985,0.099769,3.551),(1675,2995,0.10013,3.5495),(1675,3005,0.10047,3.5481),(1675,3015,0.10081,3.5466),(1675,3025,0.10115,3.545),(1675,3035,0.10147,3.5435),(1675,3045,0.10177,3.542),(1675,3055,0.10207,3.5404),(1675,3065,0.10237,3.5389),(1675,3075,0.10265,3.5373),(1675,3085,0.10292,3.5358),(1675,3095,0.10318,3.5342),(1675,3105,0.10344,3.5326),(1675,3115,0.10368,3.531),(1675,3125,0.1039,3.5294),(1675,3135,0.10411,3.5278),(1675,3145,0.10433,3.5262),(1675,3155,0.10452,3.5246),(1675,3165,0.1047,3.523),(1675,3175,0.10487,3.5214),(1675,3185,0.10504,3.5197),(1675,3195,0.10518,3.5181),(1675,3205,0.10531,3.5165),(1675,3215,0.10543,3.5148),(1675,3225,0.10556,3.5131),(1675,3235,0.10565,3.5115),(1675,3245,0.10572,3.5098),(1675,3255,0.10579,3.5081),(1675,3265,0.10587,3.5065),(1675,3275,0.1059,3.5048),(1675,3285,0.10592,3.5031),(1675,3295,0.10594,3.5014),(1675,3305,0.10596,3.4997),(1675,3315,0.10593,3.498),(1675,3325,0.1059,3.4963),(1675,3335,0.10586,3.4946),(1675,3345,0.10582,3.4929),(1675,3355,0.10574,3.4912),(1675,3365,0.10564,3.4895),(1675,3375,0.10555,3.4878),(1675,3385,0.10546,3.4861),(1675,3395,0.10531,3.4844),(1675,3405,0.10515,3.4827),(1675,3415,0.105,3.4809),(1675,3425,0.10484,3.4792),(1675,3435,0.10463,3.4775),(1675,3445,0.10441,3.4758),(1675,3455,0.1042,3.4741),(1675,3465,0.10398,3.4723),(1675,3475,0.1037,3.4706),(1675,3485,0.10342,3.4689),(1675,3495,0.10314,3.4672),(1675,3505,0.10286,3.4655),(1675,3515,0.10251,3.4637),(1675,3525,0.10217,3.462),(1675,3535,0.10182,3.4603),(1675,3545,0.10147,3.4586),(1675,3555,0.10106,3.4569),(1675,3565,0.10065,3.4552),(1675,3575,0.10024,3.4535),(1675,3585,0.099821,3.4518),(1675,3595,0.099343,3.4501),(1675,3605,0.098864,3.4484),(1675,3615,0.098386,3.4467),(1675,3625,0.097899,3.445),(1675,3635,0.097353,3.4433),(1675,3645,0.096807,3.4416),(1675,3655,0.096261,3.44),(1675,3665,0.095704,3.4383),(1675,3675,0.095091,3.4366),(1675,3685,0.094478,3.435),(1675,3695,0.093865,3.4333),(1675,3705,0.093238,3.4317),(1675,3715,0.092558,3.43),(1675,3725,0.091878,3.4284),(1675,3735,0.091197,3.4267),(1675,3745,0.090501,3.4251),(1675,3755,0.089755,3.4235),(1675,3765,0.089008,3.4218),(1675,3775,0.088262,3.4202),(1675,3785,0.087497,3.4186),(1675,3795,0.086686,3.417),(1675,3805,0.085874,3.4154),(1675,3815,0.085063,3.4138),(1675,3825,0.084231,3.4123),(1675,3835,0.083357,3.4107),(1675,3845,0.082483,3.4091),(1675,3855,0.081608,3.4076),(1675,3865,0.080712,3.406),(1675,3875,0.079778,3.4044),(1675,3885,0.078844,3.4029),(1675,3895,0.07791,3.4014),(1675,3905,0.090247,3.3998),(1675,3915,0.12241,3.3983),(1675,3925,0.15457,3.3958),(1675,3935,0.18674,3.3918),(1675,3945,0.22149,3.3879),(1675,3955,0.25953,3.384),(1675,3965,0.29758,3.379),(1675,3975,0.33562,3.3728),(1675,3985,0.35816,3.3666),(1675,3995,0.36393,3.3604),(1675,4005,0.36969,3.3542),(1675,4015,0.37545,3.3479),(1675,4025,0.3816,3.3416),(1675,4035,0.38778,3.3353),(1675,4045,0.39396,3.3289),(1675,4055,0.40005,3.3224),(1675,4065,0.4061,3.316),(1675,4075,0.41216,3.3094),(1675,4085,0.41795,3.3029),(1675,4095,0.42353,3.2963),(1675,4105,0.42911,3.2899),(1675,4115,0.41835,3.2834),(1675,4125,0.38051,3.277),(1675,4135,0.34266,3.2723),(1675,4145,0.30401,3.2681),(1675,4155,0.2621,3.2639),(1675,4165,0.22018,3.2608),(1675,4175,0.18071,3.2584),(1675,4185,0.26212,3.256),(1675,4195,0.34353,3.2516),(1675,4205,0.42494,3.2445),(1675,4215,0.41957,3.2373),(1675,4225,0.39788,3.2302),(1675,4235,0.37619,3.2234),(1675,4245,0.34542,3.2166),(1675,4255,0.31004,3.21),(1675,4265,0.27466,3.2047),(1675,4275,0.2277,3.1995),(1675,4285,0.16846,3.1942),(1675,4295,0.10921,3.1924),(1675,4305,0.10001,3.1909),(1675,4315,0.20381,3.1894),(1675,4325,0.30762,3.1834),(1675,4335,0.40083,3.1757),(1675,4345,0.42229,3.1679),(1675,4355,0.44376,3.1594),(1675,4365,0.46523,3.1501),(1675,4375,0.47259,3.1408),(1675,4385,0.47922,3.1314),(1675,4395,0.48585,3.1219),(1675,4405,0.42452,3.1125),(1675,4415,0.34316,3.104),(1675,4425,0.26179,3.0999),(1675,4435,0.23054,3.0958),(1675,4445,0.23355,3.0917),(1675,4455,0.23655,3.0874),(1675,4465,0.28593,3.0831),(1675,4475,0.40045,3.0788),(1675,4485,0.51497,3.0695),(1675,4495,0.60656,3.0593),(1675,4505,0.6246,3.049),(1675,4515,0.64264,3.0383),(1675,4525,0.65919,3.0274),(1675,4535,0.65214,3.0165),(1675,4545,0.64509,3.0059),(1675,4555,0.63804,2.9955),(1675,4565,0.47545,2.9852),(1675,4575,0.29189,2.9774),(1675,4585,0.10833,2.9757),(1675,4595,0.11139,2.974),(1675,4605,0.1933,2.9717),(1675,4615,0.27522,2.9648),(1675,4625,0.35068,2.958),(1675,4635,0.42031,2.9511),(1675,4645,0.48993,2.9426),(1675,4655,0.5516,2.934),(1675,4665,0.59826,2.9253),(1675,4675,0.64492,2.9159),(1675,4685,0.65964,2.9063),(1675,4695,0.51654,2.8966),(1675,4705,0.37343,2.8904),(1675,4715,0.23033,2.8869),(1675,4725,0.31808,2.8833),(1675,4735,0.40815,2.8782),(1675,4745,0.49822,2.8709),(1675,4755,0.6032,2.8635),(1675,4765,0.71163,2.8553),(1675,4775,0.82007,2.8441),(1675,4785,0.87196,2.8329),(1675,4795,0.89117,2.8217),(1675,4805,0.91038,2.8106),(1675,4815,0.87965,2.7996),(1675,4825,0.78921,2.7886),(1675,4835,0.69877,2.7812),(1675,4845,0.60157,2.7744),(1675,4855,0.48671,2.7675),(1675,4865,0.37186,2.7626),(1675,4875,0.29105,2.7585),(1675,4885,0.52003,2.7543),(1675,4895,0.74901,2.7454),(1675,4905,0.97799,2.732),(1675,4915,0.97823,2.7185),(1675,4925,0.9588,2.7052),(1675,4935,0.93936,2.6924),(1675,4945,0.86191,2.6796),(1675,4955,0.76434,2.6672),(1675,4965,0.66678,2.6577),(1675,4975,0.5222,2.6482),(1675,4985,0.34133,2.6386),(1675,4995,0.16046,2.6374),(1675,5005,0.14944,2.6365),(1675,5015,0.40843,2.6355),(1675,5025,0.66742,2.6271),(1675,5035,0.89424,2.6168),(1675,5045,0.99847,2.6065),(1675,5055,1.1027,2.5945),(1675,5065,1.2044,2.5814),(1675,5075,1.2231,2.5684),(1675,5085,1.2418,2.5555),(1675,5095,1.2605,2.5428),(1675,5105,1.1078,2.5301),(1675,5115,0.92508,2.5191),(1675,5125,0.74241,2.5125),(1675,5135,0.63902,2.506),(1675,5145,0.5741,2.4995),(1675,5155,0.50918,2.4934),(1675,5165,0.60245,2.4873),(1675,5175,0.85706,2.4811),(1675,5185,1.1117,2.4671),(1675,5195,1.2919,2.4523),(1675,5205,1.3117,2.4374),(1675,5215,1.3316,2.4228),(1675,5225,1.344,2.4084),(1675,5235,1.3108,2.394),(1675,5245,1.2775,2.3807),(1675,5255,1.2443,2.3684),(1675,5265,0.87096,2.3561),(1675,5275,0.48362,2.3483),(1675,5285,0.096279,2.3479),(1675,5295,0.21649,2.3476),(1675,5305,0.47805,2.3448),(1675,5315,0.7396,2.3319),(1675,5325,0.92552,2.319),(1675,5335,1.0618,2.3061),(1675,5345,1.1981,2.2912),(1675,5355,1.2959,2.2763),(1675,5365,1.3415,2.2614),(1675,5375,1.3871,2.2472),(1675,5385,1.3409,2.2331),(1675,5395,1.0151,2.219),(1675,5405,0.68944,2.2118),(1675,5415,0.39201,2.2082),(1675,5425,0.47449,2.2046),(1675,5435,0.55697,2.1965),(1675,5445,0.63945,2.1835),(1675,5455,0.77431,2.1705),(1675,5465,0.91557,2.1551),(1675,5475,1.0568,2.1342),(1675,5485,1.1167,2.1132),(1675,5495,1.1437,2.0922),(1675,5505,1.1708,2.071),(1675,5515,1.1986,2.0499),(1675,5525,1.227,2.0287),(1675,5535,1.2554,2.0075),(1675,5545,1.2836,1.9863),(1675,5555,1.3114,1.965),(1675,5565,1.3392,1.9438),(1675,5575,1.3668,1.9226),(1675,5585,1.3935,1.9014),(1675,5595,1.4202,1.8803),(1675,5605,1.447,1.8592),(1675,5615,1.4724,1.8381),(1675,5625,1.4978,1.8171),(1675,5635,1.5233,1.7963),(1675,5645,1.5476,1.7755),(1675,5655,1.5716,1.7548),(1675,5665,1.5957,1.7343),(1675,5675,1.6189,1.7138),(1675,5685,1.6415,1.6933),(1675,5695,1.6642,1.6731),(1675,5705,1.6862,1.6529),(1675,5715,1.7074,1.6327),(1675,5725,1.7286,1.6129),(1675,5735,1.7494,1.5931),(1675,5745,1.7693,1.5732),(1675,5755,1.7891,1.5537),(1675,5765,1.8088,1.5342),(1675,5775,1.8273,1.5148),(1675,5785,1.8458,1.4955),(1675,5795,1.8643,1.4764),(1675,5805,1.8816,1.4573),(1675,5815,1.8988,1.4383),(1675,5825,1.916,1.4196),(1675,5835,1.9323,1.4008),(1675,5845,1.9484,1.3821),(1675,5855,1.9644,1.3636),(1675,5865,1.9798,1.3451),(1675,5875,1.9947,1.3267),(1675,5885,2.0096,1.3085),(1675,5895,2.024,1.2903),(1675,5905,2.0379,1.2721),(1675,5915,2.0517,1.2541),(1675,5925,2.0654,1.2362),(1675,5935,2.0783,1.2183),(1675,5945,2.0912,1.2006),(1675,5955,2.104,1.1829),(1675,5965,2.1164,1.1653),(1675,5975,2.1288,1.1477),(1675,5985,2.1411,1.1303),(1675,5995,1.6382,1.1128),(1675,6005,1.0522,1.0995),(1675,6015,0.46634,1.0973),(1675,6025,0.46126,1.095),(1675,6035,0.72558,1.0917),(1675,6045,0.98989,1.0778),(1675,6055,1.1817,1.064),(1675,6065,1.3025,1.0502),(1675,6075,1.4233,1.0321),(1675,6085,1.5067,1.0137),(1675,6095,1.5132,0.9953),(1675,6105,1.5196,0.9767),(1675,6115,1.526,0.95803),(1675,6125,1.5322,0.93937),(1675,6135,1.5383,0.92067),(1675,6145,1.5445,0.90194),(1675,6155,1.5503,0.88322),(1675,6165,1.556,0.86444),(1675,6175,1.5618,0.84558),(1675,6185,1.5673,0.82671),(1675,6195,1.5726,0.80783),(1675,6205,1.578,0.78887),(1675,6215,1.5832,0.76991),(1675,6225,1.5882,0.75095),(1675,6235,1.5932,0.73192),(1675,6245,1.598,0.71288),(1675,6255,1.6026,0.69385),(1675,6265,1.6072,0.67464),(1675,6275,1.6117,0.6554),(1675,6285,1.6159,0.63616),(1675,6295,1.6201,0.61688),(1675,6305,1.6243,0.59758),(1675,6315,1.6281,0.57828),(1675,6325,1.6319,0.55898),(1675,6335,1.6357,0.53967),(1675,6345,1.6391,0.52036),(1675,6355,1.6424,0.50101),(1675,6365,1.6458,0.48157),(1675,6375,1.6489,0.46214),(1675,6385,1.6518,0.44269),(1675,6395,1.6548,0.42318),(1675,6405,1.6575,0.40368),(1675,6415,1.6601,0.38417),(1675,6425,1.6627,0.36467),(1675,6435,1.6651,0.34517),(1675,6445,1.6673,0.32568),(1675,6455,1.6695,0.30615),(1675,6465,1.6716,0.28662),(1675,6475,1.6734,0.26709),(1675,6485,1.6751,0.24749),(1675,6495,1.6769,0.22784),(1675,6505,1.6783,0.2082),(1675,6515,1.6797,0.18854),(1675,6525,1.681,0.16888),(1675,6535,1.682,0.14922),(1675,6545,1.6829,0.12957),(1675,6555,1.6839,0.10996),(1675,6565,1.6845,0.090352),(1675,6575,1.6849,0.070743),(1675,6585,1.6854,0.051138),(1675,6595,1.4336,0.031534),(1675,6605,0.90344,0.01193),(1675,6615,0.37326,0.009695),(1675,6625,0.000554,0.009693),(1675,6635,0.000557,0.009691),(1675,6645,0.000559,0.009684),(1675,6655,0.000562,0.009675),(1675,6665,0.000564,0.009666),(1675,6675,0.000567,0.009658),(1675,6685,0.000569,0.009649),(1675,6695,0.000572,0.00964),(1675,6705,0.000574,0.009632),(1675,6715,0.000576,0.009623),(1675,6725,0.000579,0.009615),(1675,6735,0.000581,0.009606),(1675,6745,0.000583,0.009598),(1675,6755,0.000585,0.009589),(1675,6765,0.000587,0.00958),(1675,6775,0.000589,0.009572),(1675,6785,0.000591,0.009563),(1675,6795,0.000594,0.009554),(1675,6805,0.000596,0.009546),(1675,6815,0.000598,0.009537),(1675,6825,0.000599,0.009528),(1675,6835,0.000601,0.00952),(1675,6845,0.000603,0.009511),(1675,6855,0.000605,0.009502),(1675,6865,0.000607,0.009494),(1675,6875,0.000609,0.009485),(1675,6885,0.000611,0.009476),(1675,6895,0.000612,0.009468),(1675,6905,0.000614,0.009459),(1675,6915,0.000616,0.00945),(1675,6925,0.000617,0.009441),(1675,6935,0.000619,0.009433),(1675,6945,0.000621,0.009424),(1675,6955,0.000622,0.009416),(1675,6965,0.000624,0.009407),(1675,6975,0.000626,0.009398),(1675,6985,0.000627,0.009389),(1685,5,5.9e-05,3.6771),(1685,15,0.000176,3.6771),(1685,25,0.000294,3.6771),(1685,35,0.000411,3.6771),(1685,45,0.000529,3.6771),(1685,55,0.000647,3.6771),(1685,65,0.000764,3.6771),(1685,75,0.000883,3.6771),(1685,85,0.001001,3.6771),(1685,95,0.001119,3.6771),(1685,105,0.001237,3.6771),(1685,115,0.001356,3.677),(1685,125,0.001474,3.677),(1685,135,0.001593,3.677),(1685,145,0.001712,3.677),(1685,155,0.001832,3.677),(1685,165,0.001951,3.677),(1685,175,0.002071,3.677),(1685,185,0.002191,3.677),(1685,195,0.002312,3.677),(1685,205,0.002433,3.6769),(1685,215,0.002554,3.6769),(1685,225,0.002675,3.6769),(1685,235,0.002797,3.6769),(1685,245,0.002919,3.6769),(1685,255,0.003042,3.6769),(1685,265,0.003165,3.6768),(1685,275,0.003289,3.6768),(1685,285,0.003413,3.6768),(1685,295,0.003537,3.6768),(1685,305,0.003662,3.6768),(1685,315,0.003788,3.6767),(1685,325,0.003914,3.6767),(1685,335,0.00404,3.6767),(1685,345,0.004168,3.6767),(1685,355,0.004296,3.6766),(1685,365,0.004424,3.6766),(1685,375,0.004552,3.6766),(1685,385,0.004682,3.6765),(1685,395,0.004813,3.6765),(1685,405,0.004943,3.6765),(1685,415,0.005074,3.6765),(1685,425,0.005207,3.6764),(1685,435,0.00534,3.6764),(1685,445,0.005474,3.6764),(1685,455,0.005607,3.6763),(1685,465,0.005743,3.6763),(1685,475,0.00588,3.6762),(1685,485,0.006016,3.6762),(1685,495,0.006153,3.6762),(1685,505,0.006293,3.6761),(1685,515,0.006432,3.6761),(1685,525,0.006572,3.676),(1685,535,0.006712,3.676),(1685,545,0.006856,3.676),(1685,555,0.006999,3.6759),(1685,565,0.007143,3.6759),(1685,575,0.007287,3.6758),(1685,585,0.007435,3.6758),(1685,595,0.007582,3.6757),(1685,605,0.00773,3.6757),(1685,615,0.007878,3.6756),(1685,625,0.00803,3.6756),(1685,635,0.008182,3.6755),(1685,645,0.008334,3.6755),(1685,655,0.008486,3.6754),(1685,665,0.008643,3.6754),(1685,675,0.008799,3.6753),(1685,685,0.008956,3.6752),(1685,695,0.009113,3.6752),(1685,705,0.009274,3.6751),(1685,715,0.009436,3.6751),(1685,725,0.009597,3.675),(1685,735,0.00976,3.6749),(1685,745,0.009926,3.6749),(1685,755,0.010093,3.6748),(1685,765,0.010259,3.6747),(1685,775,0.010427,3.6747),(1685,785,0.0106,3.6746),(1685,795,0.010772,3.6745),(1685,805,0.010944,3.6745),(1685,815,0.011118,3.6744),(1685,825,0.011297,3.6743),(1685,835,0.011475,3.6742),(1685,845,0.011653,3.6742),(1685,855,0.011834,3.6741),(1685,865,0.012018,3.674),(1685,875,0.012203,3.6739),(1685,885,0.012387,3.6738),(1685,895,0.012574,3.6737),(1685,905,0.012765,3.6737),(1685,915,0.012956,3.6736),(1685,925,0.013147,3.6735),(1685,935,0.013342,3.6734),(1685,945,0.01354,3.6733),(1685,955,0.013738,3.6732),(1685,965,0.013936,3.6731),(1685,975,0.014137,3.673),(1685,985,0.014342,3.6729),(1685,995,0.014548,3.6728),(1685,1005,0.014753,3.6727),(1685,1015,0.014962,3.6726),(1685,1025,0.015176,3.6725),(1685,1035,0.015389,3.6724),(1685,1045,0.015602,3.6723),(1685,1055,0.01582,3.6722),(1685,1065,0.016041,3.6721),(1685,1075,0.016262,3.6719),(1685,1085,0.016484,3.6718),(1685,1095,0.01671,3.6717),(1685,1105,0.01694,3.6716),(1685,1115,0.01717,3.6715),(1685,1125,0.0174,3.6713),(1685,1135,0.017635,3.6712),(1685,1145,0.017873,3.6711),(1685,1155,0.018112,3.6709),(1685,1165,0.018351,3.6708),(1685,1175,0.018595,3.6707),(1685,1185,0.018843,3.6705),(1685,1195,0.019091,3.6704),(1685,1205,0.019339,3.6703),(1685,1215,0.019593,3.6701),(1685,1225,0.019851,3.67),(1685,1235,0.020108,3.6698),(1685,1245,0.020365,3.6697),(1685,1255,0.02063,3.6695),(1685,1265,0.020897,3.6693),(1685,1275,0.021164,3.6692),(1685,1285,0.021431,3.669),(1685,1295,0.021707,3.6689),(1685,1305,0.021984,3.6687),(1685,1315,0.022262,3.6685),(1685,1325,0.022539,3.6683),(1685,1335,0.022825,3.6682),(1685,1345,0.023114,3.668),(1685,1355,0.023402,3.6678),(1685,1365,0.02369,3.6676),(1685,1375,0.023988,3.6674),(1685,1385,0.024287,3.6672),(1685,1395,0.024586,3.667),(1685,1405,0.024885,3.6668),(1685,1415,0.025195,3.6666),(1685,1425,0.025505,3.6664),(1685,1435,0.025816,3.6662),(1685,1445,0.026126,3.666),(1685,1455,0.026448,3.6658),(1685,1465,0.02677,3.6656),(1685,1475,0.027092,3.6654),(1685,1485,0.027415,3.6651),(1685,1495,0.027748,3.6649),(1685,1505,0.028082,3.6647),(1685,1515,0.028417,3.6644),(1685,1525,0.028751,3.6642),(1685,1535,0.029097,3.664),(1685,1545,0.029443,3.6637),(1685,1555,0.02979,3.6635),(1685,1565,0.030137,3.6632),(1685,1575,0.030495,3.6629),(1685,1585,0.030854,3.6627),(1685,1595,0.031212,3.6624),(1685,1605,0.031572,3.6621),(1685,1615,0.031944,3.6619),(1685,1625,0.032315,3.6616),(1685,1635,0.032686,3.6613),(1685,1645,0.03306,3.661),(1685,1655,0.033444,3.6607),(1685,1665,0.033828,3.6604),(1685,1675,0.034212,3.6601),(1685,1685,0.034599,3.6598),(1685,1695,0.034996,3.6595),(1685,1705,0.035393,3.6592),(1685,1715,0.03579,3.6588),(1685,1725,0.03619,3.6585),(1685,1735,0.0366,3.6582),(1685,1745,0.037011,3.6578),(1685,1755,0.037421,3.6575),(1685,1765,0.037835,3.6571),(1685,1775,0.038258,3.6568),(1685,1785,0.038681,3.6564),(1685,1795,0.039105,3.6561),(1685,1805,0.039532,3.6557),(1685,1815,0.039969,3.6553),(1685,1825,0.040405,3.6549),(1685,1835,0.040842,3.6545),(1685,1845,0.041283,3.6541),(1685,1855,0.041732,3.6537),(1685,1865,0.042182,3.6533),(1685,1875,0.042632,3.6529),(1685,1885,0.043086,3.6525),(1685,1895,0.043549,3.6521),(1685,1905,0.044011,3.6517),(1685,1915,0.044473,3.6512),(1685,1925,0.044941,3.6508),(1685,1935,0.045416,3.6503),(1685,1945,0.045892,3.6499),(1685,1955,0.046367,3.6494),(1685,1965,0.046848,3.6489),(1685,1975,0.047335,3.6484),(1685,1985,0.047823,3.6479),(1685,1995,0.048311,3.6474),(1685,2005,0.048804,3.6469),(1685,2015,0.049304,3.6464),(1685,2025,0.049804,3.6459),(1685,2035,0.050304,3.6454),(1685,2045,0.05081,3.6449),(1685,2055,0.051322,3.6443),(1685,2065,0.051833,3.6438),(1685,2075,0.052345,3.6432),(1685,2085,0.052863,3.6427),(1685,2095,0.053385,3.6421),(1685,2105,0.053908,3.6415),(1685,2115,0.05443,3.6409),(1685,2125,0.054959,3.6403),(1685,2135,0.055492,3.6397),(1685,2145,0.056025,3.6391),(1685,2155,0.056557,3.6385),(1685,2165,0.057097,3.6379),(1685,2175,0.057639,3.6372),(1685,2185,0.058182,3.6366),(1685,2195,0.058724,3.6359),(1685,2205,0.059273,3.6353),(1685,2215,0.059824,3.6346),(1685,2225,0.060375,3.6339),(1685,2235,0.060927,3.6332),(1685,2245,0.061484,3.6325),(1685,2255,0.062043,3.6318),(1685,2265,0.062602,3.6311),(1685,2275,0.063161,3.6304),(1685,2285,0.063725,3.6296),(1685,2295,0.064291,3.6289),(1685,2305,0.064856,3.6281),(1685,2315,0.065422,3.6273),(1685,2325,0.065992,3.6266),(1685,2335,0.066563,3.6258),(1685,2345,0.067134,3.625),(1685,2355,0.067705,3.6242),(1685,2365,0.06828,3.6234),(1685,2375,0.068855,3.6225),(1685,2385,0.06943,3.6217),(1685,2395,0.070005,3.6208),(1685,2405,0.070582,3.62),(1685,2415,0.07116,3.6191),(1685,2425,0.071738,3.6182),(1685,2435,0.072315,3.6173),(1685,2445,0.072894,3.6164),(1685,2455,0.073472,3.6155),(1685,2465,0.07405,3.6146),(1685,2475,0.074629,3.6137),(1685,2485,0.075206,3.6127),(1685,2495,0.075784,3.6118),(1685,2505,0.076361,3.6108),(1685,2515,0.076938,3.6098),(1685,2525,0.077513,3.6088),(1685,2535,0.078087,3.6079),(1685,2545,0.078662,3.6068),(1685,2555,0.079236,3.6058),(1685,2565,0.079805,3.6048),(1685,2575,0.080375,3.6038),(1685,2585,0.080944,3.6027),(1685,2595,0.081513,3.6016),(1685,2605,0.082075,3.6005),(1685,2615,0.082637,3.5995),(1685,2625,0.083199,3.5984),(1685,2635,0.08376,3.5972),(1685,2645,0.084313,3.5961),(1685,2655,0.084865,3.595),(1685,2665,0.085418,3.5938),(1685,2675,0.085969,3.5927),(1685,2685,0.086509,3.5915),(1685,2695,0.08705,3.5904),(1685,2705,0.087591,3.5891),(1685,2715,0.088128,3.5879),(1685,2725,0.088655,3.5867),(1685,2735,0.089181,3.5855),(1685,2745,0.089707,3.5843),(1685,2755,0.090229,3.583),(1685,2765,0.090738,3.5818),(1685,2775,0.091247,3.5805),(1685,2785,0.091757,3.5792),(1685,2795,0.09226,3.5779),(1685,2805,0.092749,3.5766),(1685,2815,0.093238,3.5753),(1685,2825,0.093727,3.574),(1685,2835,0.094209,3.5727),(1685,2845,0.094675,3.5713),(1685,2855,0.095141,3.57),(1685,2865,0.095608,3.5686),(1685,2875,0.096064,3.5672),(1685,2885,0.096505,3.5658),(1685,2895,0.096946,3.5644),(1685,2905,0.097387,3.563),(1685,2915,0.097815,3.5616),(1685,2925,0.098228,3.5602),(1685,2935,0.09864,3.5588),(1685,2945,0.099052,3.5573),(1685,2955,0.099449,3.5558),(1685,2965,0.09983,3.5544),(1685,2975,0.10021,3.5529),(1685,2985,0.10059,3.5514),(1685,2995,0.10095,3.5499),(1685,3005,0.1013,3.5484),(1685,3015,0.10165,3.5469),(1685,3025,0.10199,3.5454),(1685,3035,0.10232,3.5438),(1685,3045,0.10263,3.5423),(1685,3055,0.10294,3.5408),(1685,3065,0.10324,3.5392),(1685,3075,0.10353,3.5376),(1685,3085,0.1038,3.5361),(1685,3095,0.10407,3.5345),(1685,3105,0.10433,3.5329),(1685,3115,0.10457,3.5313),(1685,3125,0.1048,3.5297),(1685,3135,0.10502,3.5281),(1685,3145,0.10525,3.5264),(1685,3155,0.10544,3.5248),(1685,3165,0.10562,3.5232),(1685,3175,0.1058,3.5215),(1685,3185,0.10598,3.5199),(1685,3195,0.10612,3.5182),(1685,3205,0.10625,3.5166),(1685,3215,0.10638,3.5149),(1685,3225,0.10651,3.5133),(1685,3235,0.1066,3.5116),(1685,3245,0.10668,3.5099),(1685,3255,0.10676,3.5082),(1685,3265,0.10683,3.5065),(1685,3275,0.10687,3.5048),(1685,3285,0.10689,3.5031),(1685,3295,0.10692,3.5014),(1685,3305,0.10694,3.4997),(1685,3315,0.10692,3.498),(1685,3325,0.10688,3.4963),(1685,3335,0.10685,3.4946),(1685,3345,0.10682,3.4929),(1685,3355,0.10674,3.4911),(1685,3365,0.10664,3.4894),(1685,3375,0.10655,3.4877),(1685,3385,0.10646,3.486),(1685,3395,0.10631,3.4842),(1685,3405,0.10616,3.4825),(1685,3415,0.10601,3.4808),(1685,3425,0.10586,3.479),(1685,3435,0.10564,3.4773),(1685,3445,0.10543,3.4756),(1685,3455,0.10521,3.4738),(1685,3465,0.105,3.4721),(1685,3475,0.10472,3.4704),(1685,3485,0.10444,3.4686),(1685,3495,0.10416,3.4669),(1685,3505,0.10388,3.4652),(1685,3515,0.10354,3.4634),(1685,3525,0.10319,3.4617),(1685,3535,0.10285,3.46),(1685,3545,0.1025,3.4582),(1685,3555,0.10209,3.4565),(1685,3565,0.10168,3.4548),(1685,3575,0.10126,3.4531),(1685,3585,0.10085,3.4513),(1685,3595,0.10037,3.4496),(1685,3605,0.099889,3.4479),(1685,3615,0.099411,3.4462),(1685,3625,0.098924,3.4445),(1685,3635,0.098377,3.4428),(1685,3645,0.097831,3.4411),(1685,3655,0.097285,3.4394),(1685,3665,0.096727,3.4377),(1685,3675,0.096113,3.436),(1685,3685,0.095499,3.4343),(1685,3695,0.094885,3.4327),(1685,3705,0.094258,3.431),(1685,3715,0.093577,3.4293),(1685,3725,0.092895,3.4277),(1685,3735,0.092214,3.426),(1685,3745,0.091517,3.4244),(1685,3755,0.09077,3.4227),(1685,3765,0.090023,3.4211),(1685,3775,0.089275,3.4195),(1685,3785,0.08851,3.4178),(1685,3795,0.087698,3.4162),(1685,3805,0.086886,3.4146),(1685,3815,0.086074,3.413),(1685,3825,0.085242,3.4114),(1685,3835,0.084367,3.4098),(1685,3845,0.083492,3.4082),(1685,3855,0.082618,3.4067),(1685,3865,0.081722,3.4051),(1685,3875,0.080788,3.4035),(1685,3885,0.079854,3.402),(1685,3895,0.078921,3.4004),(1685,3905,0.091417,3.3989),(1685,3915,0.12398,3.3973),(1685,3925,0.15654,3.3948),(1685,3935,0.18909,3.3908),(1685,3945,0.22421,3.3869),(1685,3955,0.26259,3.3829),(1685,3965,0.30096,3.3779),(1685,3975,0.33933,3.3717),(1685,3985,0.36203,3.3654),(1685,3995,0.36777,3.3591),(1685,4005,0.37351,3.3528),(1685,4015,0.37925,3.3465),(1685,4025,0.38541,3.3402),(1685,4035,0.3916,3.3338),(1685,4045,0.39779,3.3273),(1685,4055,0.40389,3.3208),(1685,4065,0.40995,3.3143),(1685,4075,0.41601,3.3076),(1685,4085,0.42177,3.301),(1685,4095,0.42729,3.2944),(1685,4105,0.4328,3.2879),(1685,4115,0.42184,3.2815),(1685,4125,0.38354,3.275),(1685,4135,0.34525,3.2703),(1685,4145,0.30618,3.2661),(1685,4155,0.26397,3.2619),(1685,4165,0.22176,3.2589),(1685,4175,0.18202,3.2565),(1685,4185,0.26437,3.2542),(1685,4195,0.34672,3.2497),(1685,4205,0.42908,3.2425),(1685,4215,0.42385,3.2353),(1685,4225,0.40215,3.2282),(1685,4235,0.38044,3.2213),(1685,4245,0.34949,3.2143),(1685,4255,0.31385,3.2075),(1685,4265,0.2782,3.2021),(1685,4275,0.23074,3.1968),(1685,4285,0.17074,3.1914),(1685,4295,0.11073,3.1895),(1685,4305,0.10139,3.1879),(1685,4315,0.20643,3.1864),(1685,4325,0.31147,3.1802),(1685,4335,0.4058,3.1722),(1685,4345,0.42765,3.1642),(1685,4355,0.4495,3.1554),(1685,4365,0.47135,3.146),(1685,4375,0.47876,3.1366),(1685,4385,0.48542,3.1272),(1685,4395,0.49208,3.1177),(1685,4405,0.42986,3.1082),(1685,4415,0.34732,3.0996),(1685,4425,0.26478,3.0956),(1685,4435,0.23309,3.0915),(1685,4445,0.23615,3.0875),(1685,4455,0.23921,3.0831),(1685,4465,0.28907,3.0788),(1685,4475,0.40469,3.0744),(1685,4485,0.52032,3.0652),(1685,4495,0.61277,3.0549),(1685,4505,0.6309,3.0445),(1685,4515,0.64904,3.0339),(1685,4525,0.66567,3.023),(1685,4535,0.65854,3.0122),(1685,4545,0.65141,3.0016),(1685,4555,0.64428,2.9915),(1685,4565,0.48032,2.9813),(1685,4575,0.29523,2.9736),(1685,4585,0.11013,2.972),(1685,4595,0.11348,2.9704),(1685,4605,0.19645,2.9681),(1685,4615,0.27942,2.9614),(1685,4625,0.35544,2.9547),(1685,4635,0.42514,2.9479),(1685,4645,0.49485,2.9395),(1685,4655,0.55656,2.9309),(1685,4665,0.60318,2.9223),(1685,4675,0.6498,2.9127),(1685,4685,0.66432,2.9028),(1685,4695,0.52025,2.893),(1685,4705,0.37618,2.8866),(1685,4715,0.23211,2.8827),(1685,4725,0.32044,2.8789),(1685,4735,0.4111,2.8736),(1685,4745,0.50176,2.8661),(1685,4755,0.6073,2.8586),(1685,4765,0.71629,2.8502),(1685,4775,0.82528,2.8389),(1685,4785,0.87728,2.8276),(1685,4795,0.89633,2.8164),(1685,4805,0.91538,2.8054),(1685,4815,0.88424,2.7943),(1685,4825,0.79308,2.7833),(1685,4835,0.70192,2.7759),(1685,4845,0.60416,2.7691),(1685,4855,0.48921,2.7622),(1685,4865,0.37425,2.7572),(1685,4875,0.29348,2.7531),(1685,4885,0.52388,2.749),(1685,4895,0.75427,2.7402),(1685,4905,0.98466,2.7267),(1685,4915,0.98492,2.7133),(1685,4925,0.96538,2.7),(1685,4935,0.94584,2.6872),(1685,4945,0.86805,2.6744),(1685,4955,0.77007,2.662),(1685,4965,0.67209,2.6525),(1685,4975,0.52653,2.6429),(1685,4985,0.34424,2.6333),(1685,4995,0.16195,2.6321),(1685,5005,0.15053,2.6311),(1685,5015,0.41075,2.6301),(1685,5025,0.67097,2.6217),(1685,5035,0.89881,2.6114),(1685,5045,1.0032,2.6011),(1685,5055,1.1077,2.5891),(1685,5065,1.2095,2.5761),(1685,5075,1.228,2.5631),(1685,5085,1.2465,2.5502),(1685,5095,1.265,2.5376),(1685,5105,1.1116,2.525),(1685,5115,0.92815,2.5139),(1685,5125,0.74474,2.5074),(1685,5135,0.64128,2.5009),(1685,5145,0.57663,2.4945),(1685,5155,0.51197,2.4883),(1685,5165,0.6059,2.4822),(1685,5175,0.86157,2.4761),(1685,5185,1.1172,2.4621),(1685,5195,1.2981,2.4473),(1685,5205,1.3177,2.4325),(1685,5215,1.3373,2.418),(1685,5225,1.3495,2.4036),(1685,5235,1.3158,2.3892),(1685,5245,1.2822,2.376),(1685,5255,1.2485,2.3638),(1685,5265,0.87395,2.3515),(1685,5275,0.48537,2.3437),(1685,5285,0.096799,2.3433),(1685,5295,0.21839,2.343),(1685,5305,0.48206,2.3402),(1685,5315,0.74573,2.3273),(1685,5325,0.93237,2.3144),(1685,5335,1.0685,2.3015),(1685,5345,1.2046,2.2866),(1685,5355,1.302,2.2718),(1685,5365,1.3471,2.2569),(1685,5375,1.3923,2.2427),(1685,5385,1.3453,2.2287),(1685,5395,1.0185,2.2146),(1685,5405,0.6916,2.2075),(1685,5415,0.39324,2.2039),(1685,5425,0.478,2.2003),(1685,5435,0.56276,2.1922),(1685,5445,0.64752,2.1791),(1685,5455,0.78393,2.1661),(1685,5465,0.92666,2.1506),(1685,5475,1.0694,2.1296),(1685,5485,1.1296,2.1086),(1685,5495,1.1566,2.0876),(1685,5505,1.1835,2.0664),(1685,5515,1.2112,2.0452),(1685,5525,1.2395,2.024),(1685,5535,1.2677,2.0028),(1685,5545,1.2958,1.9816),(1685,5555,1.3234,1.9604),(1685,5565,1.3511,1.9392),(1685,5575,1.3785,1.918),(1685,5585,1.405,1.8968),(1685,5595,1.4315,1.8757),(1685,5605,1.4581,1.8547),(1685,5615,1.4833,1.8336),(1685,5625,1.5085,1.8127),(1685,5635,1.5337,1.792),(1685,5645,1.5578,1.7713),(1685,5655,1.5817,1.7506),(1685,5665,1.6055,1.7302),(1685,5675,1.6285,1.7097),(1685,5685,1.6509,1.6893),(1685,5695,1.6733,1.6692),(1685,5705,1.6951,1.6491),(1685,5715,1.7161,1.629),(1685,5725,1.7371,1.6092),(1685,5735,1.7577,1.5895),(1685,5745,1.7773,1.5697),(1685,5755,1.7969,1.5503),(1685,5765,1.8164,1.5309),(1685,5775,1.8347,1.5115),(1685,5785,1.8529,1.4924),(1685,5795,1.8712,1.4733),(1685,5805,1.8883,1.4543),(1685,5815,1.9054,1.4354),(1685,5825,1.9224,1.4167),(1685,5835,1.9385,1.3981),(1685,5845,1.9543,1.3794),(1685,5855,1.9702,1.361),(1685,5865,1.9854,1.3427),(1685,5875,2.0001,1.3243),(1685,5885,2.0148,1.3062),(1685,5895,2.0291,1.2881),(1685,5905,2.0428,1.2699),(1685,5915,2.0565,1.2521),(1685,5925,2.07,1.2343),(1685,5935,2.0828,1.2164),(1685,5945,2.0955,1.1988),(1685,5955,2.1082,1.1812),(1685,5965,2.1205,1.1636),(1685,5975,2.1327,1.1461),(1685,5985,2.1449,1.1288),(1685,5995,1.641,1.1114),(1685,6005,1.0541,1.0982),(1685,6015,0.46712,1.0959),(1685,6025,0.46308,1.0937),(1685,6035,0.72939,1.0903),(1685,6045,0.99571,1.0765),(1685,6055,1.1889,1.0627),(1685,6065,1.3104,1.0488),(1685,6075,1.4319,1.0308),(1685,6085,1.5158,1.0124),(1685,6095,1.5223,0.99399),(1685,6105,1.5287,0.97539),(1685,6115,1.5351,0.95674),(1685,6125,1.5413,0.93808),(1685,6135,1.5474,0.91939),(1685,6145,1.5536,0.90068),(1685,6155,1.5594,0.88196),(1685,6165,1.5651,0.8632),(1685,6175,1.5709,0.84436),(1685,6185,1.5764,0.82552),(1685,6195,1.5817,0.80666),(1685,6205,1.5871,0.78772),(1685,6215,1.5923,0.76878),(1685,6225,1.5973,0.74984),(1685,6235,1.6023,0.73083),(1685,6245,1.6071,0.71182),(1685,6255,1.6117,0.69281),(1685,6265,1.6163,0.67363),(1685,6275,1.6209,0.65441),(1685,6285,1.6251,0.6352),(1685,6295,1.6293,0.61594),(1685,6305,1.6335,0.59666),(1685,6315,1.6373,0.57739),(1685,6325,1.6411,0.5581),(1685,6335,1.6449,0.53881),(1685,6345,1.6483,0.51952),(1685,6355,1.6517,0.50019),(1685,6365,1.655,0.48078),(1685,6375,1.6581,0.46137),(1685,6385,1.661,0.44195),(1685,6395,1.664,0.42248),(1685,6405,1.6667,0.40301),(1685,6415,1.6693,0.38354),(1685,6425,1.6718,0.36408),(1685,6435,1.6743,0.34463),(1685,6445,1.6765,0.32517),(1685,6455,1.6786,0.30569),(1685,6465,1.6808,0.28619),(1685,6475,1.6825,0.26669),(1685,6485,1.6843,0.24713),(1685,6495,1.6861,0.22751),(1685,6505,1.6875,0.2079),(1685,6515,1.6888,0.18828),(1685,6525,1.6902,0.16864),(1685,6535,1.6912,0.149),(1685,6545,1.6921,0.12938),(1685,6555,1.6931,0.1098),(1685,6565,1.6937,0.090212),(1685,6575,1.6941,0.070628),(1685,6585,1.6946,0.051051),(1685,6595,1.4415,0.031473),(1685,6605,0.90838,0.011895),(1685,6615,0.3753,0.009674),(1685,6625,0.000559,0.009682),(1685,6635,0.000562,0.00969),(1685,6645,0.000564,0.009686),(1685,6655,0.000567,0.009678),(1685,6665,0.000569,0.009669),(1685,6675,0.000572,0.00966),(1685,6685,0.000574,0.009652),(1685,6695,0.000577,0.009643),(1685,6705,0.000579,0.009634),(1685,6715,0.000581,0.009626),(1685,6725,0.000584,0.009617),(1685,6735,0.000586,0.009608),(1685,6745,0.000588,0.0096),(1685,6755,0.00059,0.009591),(1685,6765,0.000592,0.009582),(1685,6775,0.000594,0.009574),(1685,6785,0.000596,0.009565),(1685,6795,0.000598,0.009556),(1685,6805,0.0006,0.009548),(1685,6815,0.000602,0.009539),(1685,6825,0.000604,0.00953),(1685,6835,0.000606,0.009522),(1685,6845,0.000608,0.009513),(1685,6855,0.00061,0.009504),(1685,6865,0.000612,0.009495),(1685,6875,0.000614,0.009487),(1685,6885,0.000615,0.009478),(1685,6895,0.000617,0.009469),(1685,6905,0.000619,0.009461),(1685,6915,0.000621,0.009452),(1685,6925,0.000622,0.009443),(1685,6935,0.000624,0.009434),(1685,6945,0.000626,0.009426),(1685,6955,0.000627,0.009417),(1685,6965,0.000629,0.009408),(1685,6975,0.00063,0.0094),(1685,6985,0.000632,0.009391),(1695,5,5.9e-05,3.6772),(1695,15,0.000176,3.6772),(1695,25,0.000294,3.6772),(1695,35,0.000411,3.6772),(1695,45,0.000529,3.6772),(1695,55,0.000646,3.6772),(1695,65,0.000764,3.6772),(1695,75,0.000882,3.6772),(1695,85,0.001,3.6772),(1695,95,0.001118,3.6772),(1695,105,0.001237,3.6772),(1695,115,0.001355,3.6772),(1695,125,0.001474,3.6772),(1695,135,0.001593,3.6771),(1695,145,0.001712,3.6771),(1695,155,0.001831,3.6771),(1695,165,0.001951,3.6771),(1695,175,0.00207,3.6771),(1695,185,0.002191,3.6771),(1695,195,0.002312,3.6771),(1695,205,0.002432,3.6771),(1695,215,0.002553,3.677),(1695,225,0.002674,3.677),(1695,235,0.002797,3.677),(1695,245,0.002919,3.677),(1695,255,0.003041,3.677),(1695,265,0.003164,3.677),(1695,275,0.003288,3.6769),(1695,285,0.003412,3.6769),(1695,295,0.003536,3.6769),(1695,305,0.003661,3.6769),(1695,315,0.003787,3.6769),(1695,325,0.003913,3.6768),(1695,335,0.004039,3.6768),(1695,345,0.004167,3.6768),(1695,355,0.004295,3.6768),(1695,365,0.004423,3.6767),(1695,375,0.004551,3.6767),(1695,385,0.004681,3.6767),(1695,395,0.004812,3.6766),(1695,405,0.004942,3.6766),(1695,415,0.005073,3.6766),(1695,425,0.005206,3.6766),(1695,435,0.00534,3.6765),(1695,445,0.005473,3.6765),(1695,455,0.005606,3.6765),(1695,465,0.005743,3.6764),(1695,475,0.005879,3.6764),(1695,485,0.006016,3.6763),(1695,495,0.006152,3.6763),(1695,505,0.006292,3.6763),(1695,515,0.006432,3.6762),(1695,525,0.006572,3.6762),(1695,535,0.006712,3.6761),(1695,545,0.006855,3.6761),(1695,555,0.006999,3.6761),(1695,565,0.007143,3.676),(1695,575,0.007287,3.676),(1695,585,0.007434,3.6759),(1695,595,0.007582,3.6759),(1695,605,0.00773,3.6758),(1695,615,0.007878,3.6758),(1695,625,0.00803,3.6757),(1695,635,0.008182,3.6757),(1695,645,0.008334,3.6756),(1695,655,0.008487,3.6756),(1695,665,0.008643,3.6755),(1695,675,0.0088,3.6755),(1695,685,0.008956,3.6754),(1695,695,0.009114,3.6753),(1695,705,0.009276,3.6753),(1695,715,0.009437,3.6752),(1695,725,0.009598,3.6752),(1695,735,0.009761,3.6751),(1695,745,0.009928,3.675),(1695,755,0.010095,3.675),(1695,765,0.010261,3.6749),(1695,775,0.01043,3.6748),(1695,785,0.010602,3.6748),(1695,795,0.010775,3.6747),(1695,805,0.010947,3.6746),(1695,815,0.011121,3.6746),(1695,825,0.0113,3.6745),(1695,835,0.011478,3.6744),(1695,845,0.011657,3.6743),(1695,855,0.011838,3.6743),(1695,865,0.012022,3.6742),(1695,875,0.012207,3.6741),(1695,885,0.012392,3.674),(1695,895,0.012579,3.6739),(1695,905,0.012771,3.6739),(1695,915,0.012962,3.6738),(1695,925,0.013154,3.6737),(1695,935,0.013348,3.6736),(1695,945,0.013546,3.6735),(1695,955,0.013745,3.6734),(1695,965,0.013943,3.6733),(1695,975,0.014145,3.6732),(1695,985,0.014351,3.6731),(1695,995,0.014557,3.673),(1695,1005,0.014762,3.6729),(1695,1015,0.014972,3.6728),(1695,1025,0.015186,3.6727),(1695,1035,0.015399,3.6726),(1695,1045,0.015613,3.6725),(1695,1055,0.015831,3.6724),(1695,1065,0.016053,3.6723),(1695,1075,0.016275,3.6722),(1695,1085,0.016497,3.672),(1695,1095,0.016724,3.6719),(1695,1105,0.016954,3.6718),(1695,1115,0.017185,3.6717),(1695,1125,0.017415,3.6716),(1695,1135,0.017651,3.6714),(1695,1145,0.01789,3.6713),(1695,1155,0.018129,3.6712),(1695,1165,0.018369,3.6711),(1695,1175,0.018614,3.6709),(1695,1185,0.018863,3.6708),(1695,1195,0.019111,3.6706),(1695,1205,0.01936,3.6705),(1695,1215,0.019615,3.6704),(1695,1225,0.019873,3.6702),(1695,1235,0.020131,3.6701),(1695,1245,0.02039,3.6699),(1695,1255,0.020655,3.6698),(1695,1265,0.020923,3.6696),(1695,1275,0.021191,3.6695),(1695,1285,0.02146,3.6693),(1695,1295,0.021736,3.6691),(1695,1305,0.022014,3.669),(1695,1315,0.022293,3.6688),(1695,1325,0.022571,3.6686),(1695,1335,0.022859,3.6685),(1695,1345,0.023148,3.6683),(1695,1355,0.023437,3.6681),(1695,1365,0.023726,3.6679),(1695,1375,0.024025,3.6677),(1695,1385,0.024326,3.6675),(1695,1395,0.024626,3.6673),(1695,1405,0.024927,3.6671),(1695,1415,0.025238,3.667),(1695,1425,0.025549,3.6668),(1695,1435,0.025861,3.6665),(1695,1445,0.026173,3.6663),(1695,1455,0.026496,3.6661),(1695,1465,0.02682,3.6659),(1695,1475,0.027144,3.6657),(1695,1485,0.027467,3.6655),(1695,1495,0.027803,3.6652),(1695,1505,0.028139,3.665),(1695,1515,0.028474,3.6648),(1695,1525,0.02881,3.6645),(1695,1535,0.029158,3.6643),(1695,1545,0.029506,3.6641),(1695,1555,0.029854,3.6638),(1695,1565,0.030203,3.6636),(1695,1575,0.030564,3.6633),(1695,1585,0.030924,3.663),(1695,1595,0.031285,3.6628),(1695,1605,0.031647,3.6625),(1695,1615,0.03202,3.6622),(1695,1625,0.032394,3.662),(1695,1635,0.032767,3.6617),(1695,1645,0.033142,3.6614),(1695,1655,0.033529,3.6611),(1695,1665,0.033915,3.6608),(1695,1675,0.034302,3.6605),(1695,1685,0.034691,3.6602),(1695,1695,0.03509,3.6599),(1695,1705,0.03549,3.6596),(1695,1715,0.03589,3.6592),(1695,1725,0.036292,3.6589),(1695,1735,0.036705,3.6586),(1695,1745,0.037118,3.6583),(1695,1755,0.037531,3.6579),(1695,1765,0.037947,3.6576),(1695,1775,0.038374,3.6572),(1695,1785,0.0388,3.6569),(1695,1795,0.039226,3.6565),(1695,1805,0.039656,3.6561),(1695,1815,0.040096,3.6558),(1695,1825,0.040536,3.6554),(1695,1835,0.040975,3.655),(1695,1845,0.041419,3.6546),(1695,1855,0.041872,3.6542),(1695,1865,0.042325,3.6538),(1695,1875,0.042778,3.6534),(1695,1885,0.043236,3.653),(1695,1895,0.043702,3.6525),(1695,1905,0.044168,3.6521),(1695,1915,0.044634,3.6517),(1695,1925,0.045106,3.6512),(1695,1935,0.045585,3.6508),(1695,1945,0.046064,3.6503),(1695,1955,0.046542,3.6499),(1695,1965,0.047027,3.6494),(1695,1975,0.047519,3.6489),(1695,1985,0.048011,3.6484),(1695,1995,0.048502,3.6479),(1695,2005,0.049,3.6474),(1695,2015,0.049504,3.6469),(1695,2025,0.050009,3.6464),(1695,2035,0.050513,3.6459),(1695,2045,0.051023,3.6454),(1695,2055,0.051539,3.6448),(1695,2065,0.052055,3.6443),(1695,2075,0.052571,3.6437),(1695,2085,0.053094,3.6432),(1695,2095,0.053621,3.6426),(1695,2105,0.054148,3.642),(1695,2115,0.054676,3.6415),(1695,2125,0.05521,3.6409),(1695,2135,0.055747,3.6403),(1695,2145,0.056285,3.6397),(1695,2155,0.056823,3.639),(1695,2165,0.057368,3.6384),(1695,2175,0.057916,3.6378),(1695,2185,0.058463,3.6371),(1695,2195,0.059011,3.6365),(1695,2205,0.059565,3.6358),(1695,2215,0.060122,3.6352),(1695,2225,0.060679,3.6345),(1695,2235,0.061236,3.6338),(1695,2245,0.061799,3.6331),(1695,2255,0.062364,3.6324),(1695,2265,0.062929,3.6317),(1695,2275,0.063493,3.6309),(1695,2285,0.064064,3.6302),(1695,2295,0.064635,3.6294),(1695,2305,0.065207,3.6287),(1695,2315,0.065779,3.6279),(1695,2325,0.066355,3.6271),(1695,2335,0.066933,3.6264),(1695,2345,0.06751,3.6256),(1695,2355,0.068087,3.6247),(1695,2365,0.068669,3.6239),(1695,2375,0.06925,3.6231),(1695,2385,0.069832,3.6223),(1695,2395,0.070414,3.6214),(1695,2405,0.070998,3.6206),(1695,2415,0.071582,3.6197),(1695,2425,0.072166,3.6188),(1695,2435,0.072751,3.6179),(1695,2445,0.073336,3.617),(1695,2455,0.073922,3.6161),(1695,2465,0.074507,3.6152),(1695,2475,0.075092,3.6142),(1695,2485,0.075677,3.6133),(1695,2495,0.076262,3.6124),(1695,2505,0.076846,3.6114),(1695,2515,0.077431,3.6104),(1695,2525,0.078012,3.6094),(1695,2535,0.078594,3.6084),(1695,2545,0.079176,3.6074),(1695,2555,0.079758,3.6064),(1695,2565,0.080335,3.6054),(1695,2575,0.080912,3.6043),(1695,2585,0.081488,3.6033),(1695,2595,0.082065,3.6022),(1695,2605,0.082634,3.6011),(1695,2615,0.083204,3.6),(1695,2625,0.083774,3.5989),(1695,2635,0.084342,3.5978),(1695,2645,0.084903,3.5967),(1695,2655,0.085463,3.5956),(1695,2665,0.086023,3.5944),(1695,2675,0.086582,3.5932),(1695,2685,0.08713,3.5921),(1695,2695,0.087679,3.5909),(1695,2705,0.088227,3.5897),(1695,2715,0.088773,3.5885),(1695,2725,0.089307,3.5873),(1695,2735,0.089841,3.5861),(1695,2745,0.090375,3.5848),(1695,2755,0.090904,3.5835),(1695,2765,0.091421,3.5823),(1695,2775,0.091938,3.581),(1695,2785,0.092455,3.5797),(1695,2795,0.092966,3.5784),(1695,2805,0.093463,3.5771),(1695,2815,0.09396,3.5758),(1695,2825,0.094456,3.5745),(1695,2835,0.094946,3.5731),(1695,2845,0.09542,3.5718),(1695,2855,0.095893,3.5704),(1695,2865,0.096367,3.5691),(1695,2875,0.096832,3.5677),(1695,2885,0.09728,3.5663),(1695,2895,0.097728,3.5649),(1695,2905,0.098176,3.5635),(1695,2915,0.098612,3.562),(1695,2925,0.099032,3.5606),(1695,2935,0.099451,3.5592),(1695,2945,0.09987,3.5577),(1695,2955,0.10028,3.5562),(1695,2965,0.10066,3.5548),(1695,2975,0.10105,3.5533),(1695,2985,0.10144,3.5518),(1695,2995,0.10181,3.5503),(1695,3005,0.10216,3.5488),(1695,3015,0.10251,3.5472),(1695,3025,0.10287,3.5457),(1695,3035,0.1032,3.5442),(1695,3045,0.10351,3.5426),(1695,3055,0.10383,3.5411),(1695,3065,0.10414,3.5395),(1695,3075,0.10444,3.5379),(1695,3085,0.10471,3.5363),(1695,3095,0.10498,3.5347),(1695,3105,0.10526,3.5331),(1695,3115,0.10551,3.5315),(1695,3125,0.10574,3.5299),(1695,3135,0.10597,3.5283),(1695,3145,0.1062,3.5266),(1695,3155,0.1064,3.525),(1695,3165,0.10658,3.5234),(1695,3175,0.10676,3.5217),(1695,3185,0.10695,3.5201),(1695,3195,0.1071,3.5184),(1695,3205,0.10723,3.5167),(1695,3215,0.10736,3.515),(1695,3225,0.1075,3.5134),(1695,3235,0.1076,3.5117),(1695,3245,0.10768,3.51),(1695,3255,0.10776,3.5083),(1695,3265,0.10784,3.5066),(1695,3275,0.10788,3.5049),(1695,3285,0.10791,3.5032),(1695,3295,0.10794,3.5014),(1695,3305,0.10796,3.4997),(1695,3315,0.10794,3.498),(1695,3325,0.10791,3.4963),(1695,3335,0.10788,3.4945),(1695,3345,0.10785,3.4928),(1695,3355,0.10777,3.4911),(1695,3365,0.10769,3.4893),(1695,3375,0.1076,3.4876),(1695,3385,0.10751,3.4858),(1695,3395,0.10736,3.4841),(1695,3405,0.10721,3.4824),(1695,3415,0.10706,3.4806),(1695,3425,0.10691,3.4789),(1695,3435,0.1067,3.4771),(1695,3445,0.10649,3.4753),(1695,3455,0.10628,3.4736),(1695,3465,0.10606,3.4718),(1695,3475,0.10579,3.4701),(1695,3485,0.10551,3.4683),(1695,3495,0.10523,3.4666),(1695,3505,0.10495,3.4648),(1695,3515,0.10461,3.4631),(1695,3525,0.10426,3.4613),(1695,3535,0.10392,3.4596),(1695,3545,0.10357,3.4579),(1695,3555,0.10316,3.4561),(1695,3565,0.10275,3.4544),(1695,3575,0.10234,3.4526),(1695,3585,0.10192,3.4509),(1695,3595,0.10144,3.4492),(1695,3605,0.10096,3.4474),(1695,3615,0.10048,3.4457),(1695,3625,0.099997,3.444),(1695,3635,0.099451,3.4423),(1695,3645,0.098904,3.4405),(1695,3655,0.098357,3.4388),(1695,3665,0.097799,3.4371),(1695,3675,0.097184,3.4354),(1695,3685,0.096569,3.4337),(1695,3695,0.095955,3.432),(1695,3705,0.095326,3.4304),(1695,3715,0.094644,3.4287),(1695,3725,0.093962,3.427),(1695,3735,0.093279,3.4253),(1695,3745,0.092581,3.4237),(1695,3755,0.091833,3.422),(1695,3765,0.091084,3.4203),(1695,3775,0.090336,3.4187),(1695,3785,0.089569,3.4171),(1695,3795,0.088755,3.4154),(1695,3805,0.087942,3.4138),(1695,3815,0.087129,3.4122),(1695,3825,0.086295,3.4106),(1695,3835,0.08542,3.409),(1695,3845,0.084544,3.4074),(1695,3855,0.083668,3.4058),(1695,3865,0.082771,3.4042),(1695,3875,0.081837,3.4026),(1695,3885,0.080902,3.401),(1695,3895,0.079968,3.3995),(1695,3905,0.092625,3.3979),(1695,3915,0.12559,3.3963),(1695,3925,0.15855,3.3938),(1695,3935,0.19151,3.3898),(1695,3945,0.22701,3.3858),(1695,3955,0.26573,3.3819),(1695,3965,0.30446,3.3768),(1695,3975,0.34318,3.3705),(1695,3985,0.36606,3.3642),(1695,3995,0.37179,3.3578),(1695,4005,0.37752,3.3515),(1695,4015,0.38324,3.3451),(1695,4025,0.38941,3.3387),(1695,4035,0.39561,3.3322),(1695,4045,0.40181,3.3257),(1695,4055,0.40791,3.3191),(1695,4065,0.41396,3.3125),(1695,4075,0.42002,3.3059),(1695,4085,0.42572,3.2992),(1695,4095,0.43115,3.2925),(1695,4105,0.43658,3.286),(1695,4115,0.42538,3.2795),(1695,4125,0.3866,3.273),(1695,4135,0.34782,3.2683),(1695,4145,0.3083,3.2642),(1695,4155,0.26577,3.26),(1695,4165,0.22324,3.2569),(1695,4175,0.1832,3.2546),(1695,4185,0.26658,3.2523),(1695,4195,0.34996,3.2478),(1695,4205,0.43334,3.2406),(1695,4215,0.42835,3.2334),(1695,4225,0.40673,3.2261),(1695,4235,0.38511,3.2191),(1695,4245,0.354,3.212),(1695,4255,0.31807,3.205),(1695,4265,0.28214,3.1995),(1695,4275,0.23413,3.194),(1695,4285,0.17328,3.1886),(1695,4295,0.11243,3.1866),(1695,4305,0.10297,3.185),(1695,4315,0.20951,3.1834),(1695,4325,0.31606,3.177),(1695,4335,0.41173,3.1687),(1695,4345,0.43376,3.1604),(1695,4355,0.45579,3.1514),(1695,4365,0.47781,3.1419),(1695,4375,0.48515,3.1324),(1695,4385,0.49172,3.1229),(1695,4395,0.4983,3.1134),(1695,4405,0.43514,3.1039),(1695,4415,0.35142,3.0953),(1695,4425,0.2677,3.0913),(1695,4435,0.23558,3.0872),(1695,4445,0.23873,3.0832),(1695,4455,0.24188,3.0788),(1695,4465,0.29225,3.0745),(1695,4475,0.40898,3.0701),(1695,4485,0.52571,3.0608),(1695,4495,0.61902,3.0504),(1695,4505,0.63717,3.0401),(1695,4515,0.65532,3.0294),(1695,4525,0.67195,3.0186),(1695,4535,0.66458,3.0078),(1695,4545,0.6572,2.9974),(1695,4555,0.64982,2.9874),(1695,4565,0.48463,2.9775),(1695,4575,0.29815,2.9699),(1695,4585,0.11168,2.9683),(1695,4595,0.1153,2.9667),(1695,4605,0.19924,2.9646),(1695,4615,0.28317,2.958),(1695,4625,0.35974,2.9514),(1695,4635,0.42962,2.9448),(1695,4645,0.4995,2.9363),(1695,4655,0.56141,2.9278),(1695,4665,0.60828,2.9193),(1695,4675,0.65515,2.9095),(1695,4685,0.66973,2.8994),(1695,4695,0.52475,2.8893),(1695,4705,0.37976,2.8827),(1695,4715,0.23478,2.8786),(1695,4725,0.32362,2.8745),(1695,4735,0.4148,2.869),(1695,4745,0.50598,2.8613),(1695,4755,0.61194,2.8536),(1695,4765,0.72134,2.8451),(1695,4775,0.83073,2.8337),(1695,4785,0.88273,2.8224),(1695,4795,0.90156,2.8111),(1695,4805,0.92038,2.8001),(1695,4815,0.88881,2.7891),(1695,4825,0.79697,2.7781),(1695,4835,0.70513,2.7706),(1695,4845,0.60684,2.7638),(1695,4855,0.49172,2.7569),(1695,4865,0.37661,2.7519),(1695,4875,0.29585,2.7478),(1695,4885,0.52763,2.7437),(1695,4895,0.75941,2.7349),(1695,4905,0.9912,2.7215),(1695,4915,0.99151,2.7081),(1695,4925,0.97192,2.6949),(1695,4935,0.95232,2.682),(1695,4945,0.87424,2.6692),(1695,4955,0.77589,2.6568),(1695,4965,0.67753,2.6472),(1695,4975,0.53099,2.6376),(1695,4985,0.34724,2.6279),(1695,4995,0.16349,2.6267),(1695,5005,0.15165,2.6257),(1695,5015,0.41309,2.6247),(1695,5025,0.67453,2.6163),(1695,5035,0.90336,2.606),(1695,5045,1.008,2.5957),(1695,5055,1.1126,2.5838),(1695,5065,1.2146,2.5708),(1695,5075,1.2329,2.5578),(1695,5085,1.2511,2.545),(1695,5095,1.2694,2.5324),(1695,5105,1.1153,2.5198),(1695,5115,0.93117,2.5088),(1695,5125,0.74703,2.5023),(1695,5135,0.64351,2.4958),(1695,5145,0.57912,2.4894),(1695,5155,0.51472,2.4833),(1695,5165,0.60929,2.4772),(1695,5175,0.866,2.4711),(1695,5185,1.1227,2.4572),(1695,5195,1.3042,2.4424),(1695,5205,1.3236,2.4276),(1695,5215,1.3429,2.4132),(1695,5225,1.3549,2.3988),(1695,5235,1.3208,2.3845),(1695,5245,1.2867,2.3713),(1695,5255,1.2526,2.3591),(1695,5265,0.87689,2.3469),(1695,5275,0.48711,2.3391),(1695,5285,0.097324,2.3388),(1695,5295,0.2203,2.3384),(1695,5305,0.48606,2.3356),(1695,5315,0.75183,2.3227),(1695,5325,0.93917,2.3098),(1695,5335,1.0751,2.2969),(1695,5345,1.211,2.2821),(1695,5355,1.3081,2.2673),(1695,5365,1.3527,2.2524),(1695,5375,1.3973,2.2383),(1695,5385,1.3498,2.2243),(1695,5395,1.0217,2.2103),(1695,5405,0.69373,2.2031),(1695,5415,0.39448,2.1996),(1695,5425,0.48154,2.196),(1695,5435,0.56861,2.1878),(1695,5445,0.65567,2.1747),(1695,5455,0.79363,2.1617),(1695,5465,0.93781,2.1462),(1695,5475,1.082,2.1251),(1695,5485,1.1425,2.104),(1695,5495,1.1694,2.0829),(1695,5505,1.1963,2.0617),(1695,5515,1.2238,2.0405),(1695,5525,1.2519,2.0193),(1695,5535,1.28,1.9981),(1695,5545,1.3079,1.9769),(1695,5555,1.3354,1.9557),(1695,5565,1.3628,1.9345),(1695,5575,1.3901,1.9134),(1695,5585,1.4164,1.8923),(1695,5595,1.4427,1.8712),(1695,5605,1.469,1.8502),(1695,5615,1.494,1.8292),(1695,5625,1.519,1.8084),(1695,5635,1.544,1.7877),(1695,5645,1.5679,1.767),(1695,5655,1.5915,1.7464),(1695,5665,1.6151,1.7261),(1695,5675,1.6378,1.7057),(1695,5685,1.66,1.6854),(1695,5695,1.6822,1.6653),(1695,5705,1.7038,1.6453),(1695,5715,1.7245,1.6253),(1695,5725,1.7453,1.6055),(1695,5735,1.7657,1.5859),(1695,5745,1.7851,1.5662),(1695,5755,1.8045,1.5468),(1695,5765,1.8238,1.5276),(1695,5775,1.8418,1.5083),(1695,5785,1.8599,1.4892),(1695,5795,1.878,1.4703),(1695,5805,1.8949,1.4513),(1695,5815,1.9117,1.4325),(1695,5825,1.9286,1.4139),(1695,5835,1.9445,1.3953),(1695,5845,1.9602,1.3768),(1695,5855,1.9758,1.3585),(1695,5865,1.9908,1.3402),(1695,5875,2.0054,1.3219),(1695,5885,2.02,1.3039),(1695,5895,2.0341,1.2858),(1695,5905,2.0477,1.2678),(1695,5915,2.0612,1.25),(1695,5925,2.0745,1.2323),(1695,5935,2.0871,1.2145),(1695,5945,2.0997,1.197),(1695,5955,2.1123,1.1795),(1695,5965,2.1244,1.162),(1695,5975,2.1365,1.1446),(1695,5985,2.1486,1.1273),(1695,5995,1.6438,1.11),(1695,6005,1.0558,1.0968),(1695,6015,0.46787,1.0946),(1695,6025,0.46487,1.0923),(1695,6035,0.73317,1.089),(1695,6045,1.0015,1.0752),(1695,6055,1.196,1.0613),(1695,6065,1.3182,1.0475),(1695,6075,1.4404,1.0295),(1695,6085,1.5248,1.0111),(1695,6095,1.5313,0.99268),(1695,6105,1.5378,0.97409),(1695,6115,1.5442,0.95544),(1695,6125,1.5504,0.93678),(1695,6135,1.5565,0.91811),(1695,6145,1.5627,0.89941),(1695,6155,1.5685,0.88071),(1695,6165,1.5742,0.86196),(1695,6175,1.58,0.84314),(1695,6185,1.5855,0.82432),(1695,6195,1.5909,0.80548),(1695,6205,1.5963,0.78657),(1695,6215,1.6014,0.76765),(1695,6225,1.6064,0.74874),(1695,6235,1.6114,0.72975),(1695,6245,1.6162,0.71076),(1695,6255,1.6208,0.69177),(1695,6265,1.6254,0.67261),(1695,6275,1.6299,0.65342),(1695,6285,1.6341,0.63423),(1695,6295,1.6384,0.615),(1695,6305,1.6425,0.59575),(1695,6315,1.6464,0.57649),(1695,6325,1.6502,0.55723),(1695,6335,1.654,0.53796),(1695,6345,1.6574,0.51868),(1695,6355,1.6608,0.49937),(1695,6365,1.6642,0.47999),(1695,6375,1.6672,0.4606),(1695,6385,1.6702,0.44121),(1695,6395,1.6731,0.42177),(1695,6405,1.6759,0.40234),(1695,6415,1.6784,0.38291),(1695,6425,1.681,0.3635),(1695,6435,1.6834,0.34408),(1695,6445,1.6856,0.32467),(1695,6455,1.6878,0.30522),(1695,6465,1.6899,0.28576),(1695,6475,1.6916,0.2663),(1695,6485,1.6934,0.24677),(1695,6495,1.6952,0.22719),(1695,6505,1.6966,0.20761),(1695,6515,1.6979,0.18801),(1695,6525,1.6993,0.1684),(1695,6535,1.7003,0.14879),(1695,6545,1.7013,0.12919),(1695,6555,1.7022,0.10963),(1695,6565,1.7028,0.090072),(1695,6575,1.7033,0.070514),(1695,6585,1.7037,0.050963),(1695,6595,1.4493,0.031412),(1695,6605,0.91329,0.011861),(1695,6615,0.37733,0.009652),(1695,6625,0.000564,0.009671),(1695,6635,0.000567,0.00969),(1695,6645,0.000569,0.009689),(1695,6655,0.000572,0.00968),(1695,6665,0.000574,0.009671),(1695,6675,0.000577,0.009663),(1695,6685,0.000579,0.009654),(1695,6695,0.000582,0.009645),(1695,6705,0.000584,0.009636),(1695,6715,0.000586,0.009628),(1695,6725,0.000589,0.009619),(1695,6735,0.000591,0.009611),(1695,6745,0.000593,0.009602),(1695,6755,0.000595,0.009593),(1695,6765,0.000597,0.009584),(1695,6775,0.000599,0.009576),(1695,6785,0.000601,0.009567),(1695,6795,0.000603,0.009558),(1695,6805,0.000605,0.00955),(1695,6815,0.000607,0.009541),(1695,6825,0.000609,0.009532),(1695,6835,0.000611,0.009524),(1695,6845,0.000613,0.009515),(1695,6855,0.000615,0.009506),(1695,6865,0.000617,0.009497),(1695,6875,0.000619,0.009489),(1695,6885,0.00062,0.00948),(1695,6895,0.000622,0.009471),(1695,6905,0.000624,0.009462),(1695,6915,0.000626,0.009454),(1695,6925,0.000627,0.009445),(1695,6935,0.000629,0.009436),(1695,6945,0.00063,0.009427),(1695,6955,0.000632,0.009419),(1695,6965,0.000634,0.00941),(1695,6975,0.000635,0.009401),(1695,6985,0.000637,0.009392),(1705,5,5.9e-05,3.6773),(1705,15,0.000176,3.6773),(1705,25,0.000294,3.6773),(1705,35,0.000411,3.6773),(1705,45,0.000529,3.6773),(1705,55,0.000646,3.6773),(1705,65,0.000764,3.6773),(1705,75,0.000882,3.6773),(1705,85,0.001,3.6773),(1705,95,0.001118,3.6773),(1705,105,0.001236,3.6773),(1705,115,0.001355,3.6773),(1705,125,0.001474,3.6773),(1705,135,0.001592,3.6773),(1705,145,0.001711,3.6773),(1705,155,0.001831,3.6772),(1705,165,0.00195,3.6772),(1705,175,0.00207,3.6772),(1705,185,0.00219,3.6772),(1705,195,0.002311,3.6772),(1705,205,0.002432,3.6772),(1705,215,0.002552,3.6772),(1705,225,0.002674,3.6772),(1705,235,0.002796,3.6771),(1705,245,0.002918,3.6771),(1705,255,0.00304,3.6771),(1705,265,0.003164,3.6771),(1705,275,0.003287,3.6771),(1705,285,0.003411,3.677),(1705,295,0.003535,3.677),(1705,305,0.00366,3.677),(1705,315,0.003786,3.677),(1705,325,0.003912,3.677),(1705,335,0.004038,3.6769),(1705,345,0.004166,3.6769),(1705,355,0.004294,3.6769),(1705,365,0.004422,3.6769),(1705,375,0.00455,3.6768),(1705,385,0.00468,3.6768),(1705,395,0.004811,3.6768),(1705,405,0.004942,3.6767),(1705,415,0.005072,3.6767),(1705,425,0.005205,3.6767),(1705,435,0.005339,3.6767),(1705,445,0.005472,3.6766),(1705,455,0.005606,3.6766),(1705,465,0.005742,3.6766),(1705,475,0.005878,3.6765),(1705,485,0.006015,3.6765),(1705,495,0.006151,3.6764),(1705,505,0.006291,3.6764),(1705,515,0.006431,3.6764),(1705,525,0.006571,3.6763),(1705,535,0.006711,3.6763),(1705,545,0.006855,3.6762),(1705,555,0.006999,3.6762),(1705,565,0.007142,3.6762),(1705,575,0.007286,3.6761),(1705,585,0.007434,3.6761),(1705,595,0.007582,3.676),(1705,605,0.00773,3.676),(1705,615,0.007878,3.6759),(1705,625,0.00803,3.6759),(1705,635,0.008182,3.6758),(1705,645,0.008334,3.6758),(1705,655,0.008487,3.6757),(1705,665,0.008644,3.6757),(1705,675,0.008801,3.6756),(1705,685,0.008957,3.6756),(1705,695,0.009115,3.6755),(1705,705,0.009277,3.6755),(1705,715,0.009438,3.6754),(1705,725,0.0096,3.6753),(1705,735,0.009763,3.6753),(1705,745,0.00993,3.6752),(1705,755,0.010097,3.6751),(1705,765,0.010264,3.6751),(1705,775,0.010432,3.675),(1705,785,0.010605,3.6749),(1705,795,0.010777,3.6749),(1705,805,0.01095,3.6748),(1705,815,0.011124,3.6747),(1705,825,0.011303,3.6747),(1705,835,0.011482,3.6746),(1705,845,0.011661,3.6745),(1705,855,0.011842,3.6744),(1705,865,0.012027,3.6744),(1705,875,0.012212,3.6743),(1705,885,0.012397,3.6742),(1705,895,0.012585,3.6741),(1705,905,0.012776,3.674),(1705,915,0.012968,3.674),(1705,925,0.01316,3.6739),(1705,935,0.013355,3.6738),(1705,945,0.013553,3.6737),(1705,955,0.013752,3.6736),(1705,965,0.013951,3.6735),(1705,975,0.014153,3.6734),(1705,985,0.014359,3.6733),(1705,995,0.014565,3.6732),(1705,1005,0.014772,3.6731),(1705,1015,0.014982,3.673),(1705,1025,0.015196,3.6729),(1705,1035,0.01541,3.6728),(1705,1045,0.015624,3.6727),(1705,1055,0.015843,3.6726),(1705,1065,0.016065,3.6725),(1705,1075,0.016288,3.6724),(1705,1085,0.01651,3.6723),(1705,1095,0.016737,3.6722),(1705,1105,0.016968,3.672),(1705,1115,0.017199,3.6719),(1705,1125,0.01743,3.6718),(1705,1135,0.017667,3.6717),(1705,1145,0.017907,3.6716),(1705,1155,0.018147,3.6714),(1705,1165,0.018387,3.6713),(1705,1175,0.018633,3.6712),(1705,1185,0.018882,3.671),(1705,1195,0.019131,3.6709),(1705,1205,0.019381,3.6708),(1705,1215,0.019637,3.6706),(1705,1225,0.019896,3.6705),(1705,1235,0.020155,3.6703),(1705,1245,0.020414,3.6702),(1705,1255,0.02068,3.67),(1705,1265,0.02095,3.6699),(1705,1275,0.021219,3.6697),(1705,1285,0.021488,3.6696),(1705,1295,0.021765,3.6694),(1705,1305,0.022044,3.6692),(1705,1315,0.022324,3.6691),(1705,1325,0.022603,3.6689),(1705,1335,0.022892,3.6687),(1705,1345,0.023182,3.6686),(1705,1355,0.023473,3.6684),(1705,1365,0.023763,3.6682),(1705,1375,0.024063,3.668),(1705,1385,0.024365,3.6678),(1705,1395,0.024666,3.6676),(1705,1405,0.024968,3.6675),(1705,1415,0.02528,3.6673),(1705,1425,0.025594,3.6671),(1705,1435,0.025907,3.6669),(1705,1445,0.02622,3.6667),(1705,1455,0.026545,3.6664),(1705,1465,0.02687,3.6662),(1705,1475,0.027195,3.666),(1705,1485,0.02752,3.6658),(1705,1495,0.027857,3.6656),(1705,1505,0.028195,3.6654),(1705,1515,0.028532,3.6651),(1705,1525,0.02887,3.6649),(1705,1535,0.02922,3.6646),(1705,1545,0.029569,3.6644),(1705,1555,0.029919,3.6642),(1705,1565,0.03027,3.6639),(1705,1575,0.030632,3.6637),(1705,1585,0.030995,3.6634),(1705,1595,0.031357,3.6631),(1705,1605,0.031721,3.6629),(1705,1615,0.032097,3.6626),(1705,1625,0.032472,3.6623),(1705,1635,0.032848,3.662),(1705,1645,0.033225,3.6618),(1705,1655,0.033614,3.6615),(1705,1665,0.034003,3.6612),(1705,1675,0.034391,3.6609),(1705,1685,0.034783,3.6606),(1705,1695,0.035185,3.6603),(1705,1705,0.035587,3.66),(1705,1715,0.035989,3.6596),(1705,1725,0.036394,3.6593),(1705,1735,0.03681,3.659),(1705,1745,0.037225,3.6587),(1705,1755,0.037641,3.6583),(1705,1765,0.03806,3.658),(1705,1775,0.038489,3.6576),(1705,1785,0.038918,3.6573),(1705,1795,0.039347,3.6569),(1705,1805,0.03978,3.6566),(1705,1815,0.040223,3.6562),(1705,1825,0.040666,3.6558),(1705,1835,0.041109,3.6554),(1705,1845,0.041556,3.655),(1705,1855,0.042012,3.6546),(1705,1865,0.042469,3.6542),(1705,1875,0.042925,3.6538),(1705,1885,0.043386,3.6534),(1705,1895,0.043856,3.653),(1705,1905,0.044325,3.6526),(1705,1915,0.044795,3.6521),(1705,1925,0.04527,3.6517),(1705,1935,0.045753,3.6513),(1705,1945,0.046235,3.6508),(1705,1955,0.046718,3.6503),(1705,1965,0.047207,3.6499),(1705,1975,0.047702,3.6494),(1705,1985,0.048198,3.6489),(1705,1995,0.048694,3.6484),(1705,2005,0.049196,3.6479),(1705,2015,0.049704,3.6474),(1705,2025,0.050213,3.6469),(1705,2035,0.050721,3.6464),(1705,2045,0.051236,3.6459),(1705,2055,0.051757,3.6454),(1705,2065,0.052277,3.6448),(1705,2075,0.052798,3.6443),(1705,2085,0.053325,3.6437),(1705,2095,0.053857,3.6431),(1705,2105,0.054389,3.6426),(1705,2115,0.054921,3.642),(1705,2125,0.05546,3.6414),(1705,2135,0.056003,3.6408),(1705,2145,0.056546,3.6402),(1705,2155,0.057089,3.6396),(1705,2165,0.057639,3.6389),(1705,2175,0.058192,3.6383),(1705,2185,0.058745,3.6377),(1705,2195,0.059298,3.637),(1705,2205,0.059858,3.6364),(1705,2215,0.06042,3.6357),(1705,2225,0.060983,3.635),(1705,2235,0.061545,3.6343),(1705,2245,0.062114,3.6336),(1705,2255,0.062685,3.6329),(1705,2265,0.063255,3.6322),(1705,2275,0.063826,3.6315),(1705,2285,0.064402,3.6308),(1705,2295,0.06498,3.63),(1705,2305,0.065558,3.6293),(1705,2315,0.066136,3.6285),(1705,2325,0.066719,3.6277),(1705,2335,0.067302,3.6269),(1705,2345,0.067886,3.6261),(1705,2355,0.06847,3.6253),(1705,2365,0.069057,3.6245),(1705,2375,0.069646,3.6237),(1705,2385,0.070234,3.6228),(1705,2395,0.070822,3.622),(1705,2405,0.071413,3.6211),(1705,2415,0.072004,3.6203),(1705,2425,0.072595,3.6194),(1705,2435,0.073186,3.6185),(1705,2445,0.073779,3.6176),(1705,2455,0.074371,3.6167),(1705,2465,0.074964,3.6158),(1705,2475,0.075556,3.6148),(1705,2485,0.076148,3.6139),(1705,2495,0.076739,3.613),(1705,2505,0.077331,3.612),(1705,2515,0.077923,3.611),(1705,2525,0.078512,3.61),(1705,2535,0.079101,3.609),(1705,2545,0.079691,3.608),(1705,2555,0.08028,3.607),(1705,2565,0.080864,3.6059),(1705,2575,0.081448,3.6049),(1705,2585,0.082033,3.6038),(1705,2595,0.082617,3.6028),(1705,2605,0.083194,3.6017),(1705,2615,0.083771,3.6006),(1705,2625,0.084349,3.5995),(1705,2635,0.084925,3.5984),(1705,2645,0.085493,3.5972),(1705,2655,0.086061,3.5961),(1705,2665,0.086629,3.5949),(1705,2675,0.087195,3.5938),(1705,2685,0.087751,3.5926),(1705,2695,0.088307,3.5914),(1705,2705,0.088864,3.5902),(1705,2715,0.089417,3.589),(1705,2725,0.089958,3.5878),(1705,2735,0.0905,3.5866),(1705,2745,0.091042,3.5853),(1705,2755,0.09158,3.5841),(1705,2765,0.092104,3.5828),(1705,2775,0.092629,3.5815),(1705,2785,0.093153,3.5802),(1705,2795,0.093672,3.5789),(1705,2805,0.094177,3.5776),(1705,2815,0.094681,3.5763),(1705,2825,0.095186,3.575),(1705,2835,0.095683,3.5736),(1705,2845,0.096164,3.5723),(1705,2855,0.096646,3.5709),(1705,2865,0.097127,3.5695),(1705,2875,0.097599,3.5681),(1705,2885,0.098055,3.5667),(1705,2895,0.09851,3.5653),(1705,2905,0.098966,3.5639),(1705,2915,0.099409,3.5625),(1705,2925,0.099836,3.561),(1705,2935,0.10026,3.5596),(1705,2945,0.10069,3.5581),(1705,2955,0.1011,3.5566),(1705,2965,0.1015,3.5552),(1705,2975,0.10189,3.5537),(1705,2985,0.10229,3.5521),(1705,2995,0.10266,3.5506),(1705,3005,0.10302,3.5491),(1705,3015,0.10338,3.5476),(1705,3025,0.10374,3.546),(1705,3035,0.10408,3.5445),(1705,3045,0.1044,3.5429),(1705,3055,0.10472,3.5414),(1705,3065,0.10504,3.5398),(1705,3075,0.10534,3.5382),(1705,3085,0.10562,3.5366),(1705,3095,0.1059,3.535),(1705,3105,0.10618,3.5334),(1705,3115,0.10644,3.5318),(1705,3125,0.10667,3.5301),(1705,3135,0.10691,3.5285),(1705,3145,0.10715,3.5269),(1705,3155,0.10735,3.5252),(1705,3165,0.10754,3.5236),(1705,3175,0.10773,3.5219),(1705,3185,0.10792,3.5202),(1705,3195,0.10807,3.5185),(1705,3205,0.10821,3.5169),(1705,3215,0.10835,3.5152),(1705,3225,0.10849,3.5135),(1705,3235,0.10859,3.5118),(1705,3245,0.10868,3.5101),(1705,3255,0.10876,3.5084),(1705,3265,0.10885,3.5066),(1705,3275,0.10889,3.5049),(1705,3285,0.10892,3.5032),(1705,3295,0.10895,3.5015),(1705,3305,0.10899,3.4997),(1705,3315,0.10897,3.498),(1705,3325,0.10894,3.4962),(1705,3335,0.10892,3.4945),(1705,3345,0.10889,3.4927),(1705,3355,0.10881,3.491),(1705,3365,0.10873,3.4892),(1705,3375,0.10864,3.4875),(1705,3385,0.10856,3.4857),(1705,3395,0.10841,3.484),(1705,3405,0.10827,3.4822),(1705,3415,0.10812,3.4804),(1705,3425,0.10797,3.4787),(1705,3435,0.10776,3.4769),(1705,3445,0.10755,3.4751),(1705,3455,0.10734,3.4734),(1705,3465,0.10713,3.4716),(1705,3475,0.10685,3.4698),(1705,3485,0.10658,3.4681),(1705,3495,0.1063,3.4663),(1705,3505,0.10602,3.4645),(1705,3515,0.10568,3.4628),(1705,3525,0.10534,3.461),(1705,3535,0.10499,3.4592),(1705,3545,0.10465,3.4575),(1705,3555,0.10423,3.4557),(1705,3565,0.10382,3.454),(1705,3575,0.10341,3.4522),(1705,3585,0.103,3.4504),(1705,3595,0.10252,3.4487),(1705,3605,0.10204,3.4469),(1705,3615,0.10156,3.4452),(1705,3625,0.10107,3.4435),(1705,3635,0.10052,3.4417),(1705,3645,0.099977,3.44),(1705,3655,0.09943,3.4383),(1705,3665,0.098872,3.4365),(1705,3675,0.098256,3.4348),(1705,3685,0.09764,3.4331),(1705,3695,0.097025,3.4314),(1705,3705,0.096395,3.4297),(1705,3715,0.095712,3.428),(1705,3725,0.095029,3.4263),(1705,3735,0.094345,3.4246),(1705,3745,0.093646,3.4229),(1705,3755,0.092896,3.4213),(1705,3765,0.092146,3.4196),(1705,3775,0.091396,3.4179),(1705,3785,0.090628,3.4163),(1705,3795,0.089814,3.4146),(1705,3805,0.088999,3.413),(1705,3815,0.088184,3.4113),(1705,3825,0.08735,3.4097),(1705,3835,0.086473,3.4081),(1705,3845,0.085596,3.4065),(1705,3855,0.084719,3.4049),(1705,3865,0.083821,3.4033),(1705,3875,0.082886,3.4017),(1705,3885,0.081951,3.4001),(1705,3895,0.081016,3.3985),(1705,3905,0.093834,3.3969),(1705,3915,0.1272,3.3954),(1705,3925,0.16056,3.3928),(1705,3935,0.19393,3.3888),(1705,3945,0.22981,3.3848),(1705,3955,0.26888,3.3808),(1705,3965,0.30796,3.3757),(1705,3975,0.34703,3.3693),(1705,3985,0.37009,3.3629),(1705,3995,0.37581,3.3566),(1705,4005,0.38152,3.3501),(1705,4015,0.38724,3.3437),(1705,4025,0.39341,3.3372),(1705,4035,0.39962,3.3307),(1705,4045,0.40584,3.3241),(1705,4055,0.41193,3.3174),(1705,4065,0.41798,3.3108),(1705,4075,0.42403,3.3041),(1705,4085,0.42968,3.2974),(1705,4095,0.43502,3.2906),(1705,4105,0.44036,3.2841),(1705,4115,0.42892,3.2776),(1705,4125,0.38965,3.271),(1705,4135,0.35039,3.2664),(1705,4145,0.31041,3.2622),(1705,4155,0.26756,3.258),(1705,4165,0.22471,3.2549),(1705,4175,0.18438,3.2526),(1705,4185,0.26879,3.2503),(1705,4195,0.3532,3.2459),(1705,4205,0.43761,3.2386),(1705,4215,0.43285,3.2313),(1705,4225,0.41132,3.224),(1705,4235,0.38978,3.2168),(1705,4245,0.35851,3.2096),(1705,4255,0.3223,3.2025),(1705,4265,0.2861,3.1969),(1705,4275,0.23752,3.1913),(1705,4285,0.17583,3.1857),(1705,4295,0.11413,3.1837),(1705,4305,0.10454,3.1821),(1705,4315,0.21261,3.1805),(1705,4325,0.32067,3.1739),(1705,4335,0.41768,3.1653),(1705,4345,0.43988,3.1567),(1705,4355,0.46208,3.1475),(1705,4365,0.48428,3.1379),(1705,4375,0.49154,3.1283),(1705,4385,0.49803,3.1187),(1705,4395,0.50451,3.1092),(1705,4405,0.44042,3.0996),(1705,4415,0.35552,3.0911),(1705,4425,0.27062,3.087),(1705,4435,0.23807,3.083),(1705,4445,0.24131,3.0789),(1705,4455,0.24455,3.0745),(1705,4465,0.29544,3.0701),(1705,4475,0.41328,3.0657),(1705,4485,0.53111,3.0564),(1705,4495,0.62527,3.046),(1705,4505,0.64343,3.0357),(1705,4515,0.6616,3.025),(1705,4525,0.67823,3.0142),(1705,4535,0.67061,3.0034),(1705,4545,0.66298,2.9931),(1705,4555,0.65536,2.9834),(1705,4565,0.48892,2.9736),(1705,4575,0.30107,2.9662),(1705,4585,0.11322,2.9647),(1705,4595,0.11711,2.9631),(1705,4605,0.20201,2.961),(1705,4615,0.28692,2.9546),(1705,4625,0.36403,2.9481),(1705,4635,0.43409,2.9416),(1705,4645,0.50414,2.9332),(1705,4655,0.56625,2.9247),(1705,4665,0.61339,2.9161),(1705,4675,0.66052,2.9062),(1705,4685,0.67516,2.8959),(1705,4695,0.52926,2.8856),(1705,4705,0.38336,2.8788),(1705,4715,0.23746,2.8744),(1705,4725,0.3268,2.8701),(1705,4735,0.4185,2.8644),(1705,4745,0.51021,2.8565),(1705,4755,0.6166,2.8486),(1705,4765,0.72639,2.84),(1705,4775,0.83618,2.8286),(1705,4785,0.88819,2.8172),(1705,4795,0.90679,2.8058),(1705,4805,0.92538,2.7948),(1705,4815,0.89337,2.7838),(1705,4825,0.80086,2.7728),(1705,4835,0.70834,2.7654),(1705,4845,0.60951,2.7585),(1705,4855,0.49424,2.7516),(1705,4865,0.37897,2.7466),(1705,4875,0.29821,2.7425),(1705,4885,0.53138,2.7384),(1705,4895,0.76456,2.7296),(1705,4905,0.99773,2.7162),(1705,4915,0.9981,2.7029),(1705,4925,0.97845,2.6897),(1705,4935,0.9588,2.6768),(1705,4945,0.88043,2.664),(1705,4955,0.78171,2.6516),(1705,4965,0.68298,2.6419),(1705,4975,0.53545,2.6322),(1705,4985,0.35025,2.6225),(1705,4995,0.16504,2.6213),(1705,5005,0.15277,2.6203),(1705,5015,0.41543,2.6193),(1705,5025,0.67808,2.6109),(1705,5035,0.90792,2.6006),(1705,5045,1.0127,2.5903),(1705,5055,1.1175,2.5784),(1705,5065,1.2197,2.5654),(1705,5075,1.2377,2.5525),(1705,5085,1.2557,2.5397),(1705,5095,1.2738,2.5272),(1705,5105,1.119,2.5146),(1705,5115,0.93418,2.5037),(1705,5125,0.74933,2.4972),(1705,5135,0.64574,2.4907),(1705,5145,0.5816,2.4843),(1705,5155,0.51746,2.4782),(1705,5165,0.61267,2.4721),(1705,5175,0.87042,2.4661),(1705,5185,1.1282,2.4522),(1705,5195,1.3103,2.4374),(1705,5205,1.3294,2.4227),(1705,5215,1.3486,2.4083),(1705,5225,1.3602,2.394),(1705,5235,1.3257,2.3797),(1705,5245,1.2912,2.3666),(1705,5255,1.2567,2.3545),(1705,5265,0.87983,2.3423),(1705,5275,0.48884,2.3345),(1705,5285,0.097848,2.3341),(1705,5295,0.2222,2.3338),(1705,5305,0.49006,2.331),(1705,5315,0.75792,2.3181),(1705,5325,0.94597,2.3052),(1705,5335,1.0817,2.2923),(1705,5345,1.2174,2.2775),(1705,5355,1.3141,2.2627),(1705,5365,1.3583,2.2479),(1705,5375,1.4024,2.2338),(1705,5385,1.3542,2.2199),(1705,5395,1.025,2.2059),(1705,5405,0.69587,2.1988),(1705,5415,0.39572,2.1952),(1705,5425,0.48508,2.1916),(1705,5435,0.57445,2.1835),(1705,5445,0.66382,2.1703),(1705,5455,0.80333,2.1572),(1705,5465,0.94896,2.1417),(1705,5475,1.0946,2.1205),(1705,5485,1.1555,2.0994),(1705,5495,1.1823,2.0783),(1705,5505,1.209,2.0571),(1705,5515,1.2364,2.0358),(1705,5525,1.2644,2.0146),(1705,5535,1.2924,1.9934),(1705,5545,1.3201,1.9722),(1705,5555,1.3473,1.951),(1705,5565,1.3746,1.9299),(1705,5575,1.4017,1.9088),(1705,5585,1.4277,1.8877),(1705,5595,1.4538,1.8667),(1705,5605,1.4799,1.8457),(1705,5615,1.5047,1.8248),(1705,5625,1.5295,1.804),(1705,5635,1.5543,1.7834),(1705,5645,1.5779,1.7628),(1705,5655,1.6013,1.7422),(1705,5665,1.6247,1.7219),(1705,5675,1.6472,1.7017),(1705,5685,1.6691,1.6814),(1705,5695,1.6911,1.6614),(1705,5705,1.7124,1.6415),(1705,5715,1.733,1.6215),(1705,5725,1.7535,1.6019),(1705,5735,1.7737,1.5823),(1705,5745,1.7929,1.5627),(1705,5755,1.8121,1.5434),(1705,5765,1.8311,1.5242),(1705,5775,1.849,1.5051),(1705,5785,1.8669,1.486),(1705,5795,1.8848,1.4672),(1705,5805,1.9015,1.4483),(1705,5815,1.9181,1.4296),(1705,5825,1.9348,1.4111),(1705,5835,1.9505,1.3926),(1705,5845,1.966,1.3741),(1705,5855,1.9815,1.3559),(1705,5865,1.9963,1.3377),(1705,5875,2.0107,1.3195),(1705,5885,2.0251,1.3016),(1705,5895,2.0391,1.2836),(1705,5905,2.0525,1.2657),(1705,5915,2.0659,1.248),(1705,5925,2.079,1.2303),(1705,5935,2.0915,1.2126),(1705,5945,2.104,1.1951),(1705,5955,2.1164,1.1777),(1705,5965,2.1284,1.1603),(1705,5975,2.1403,1.143),(1705,5985,2.1523,1.1258),(1705,5995,1.6466,1.1086),(1705,6005,1.0576,1.0955),(1705,6015,0.46863,1.0932),(1705,6025,0.46666,1.091),(1705,6035,0.73696,1.0876),(1705,6045,1.0072,1.0738),(1705,6055,1.2031,1.06),(1705,6065,1.326,1.0462),(1705,6075,1.4489,1.0282),(1705,6085,1.5338,1.0098),(1705,6095,1.5403,0.99135),(1705,6105,1.5468,0.97277),(1705,6115,1.5532,0.95413),(1705,6125,1.5594,0.93549),(1705,6135,1.5656,0.91682),(1705,6145,1.5718,0.89813),(1705,6155,1.5776,0.87945),(1705,6165,1.5834,0.86072),(1705,6175,1.5891,0.84191),(1705,6185,1.5946,0.82311),(1705,6195,1.6,0.80429),(1705,6205,1.6054,0.7854),(1705,6215,1.6105,0.76651),(1705,6225,1.6155,0.74762),(1705,6235,1.6205,0.72865),(1705,6245,1.6253,0.70968),(1705,6255,1.6299,0.69071),(1705,6265,1.6345,0.67158),(1705,6275,1.639,0.65242),(1705,6285,1.6432,0.63326),(1705,6295,1.6474,0.61405),(1705,6305,1.6516,0.59482),(1705,6315,1.6554,0.5756),(1705,6325,1.6593,0.55635),(1705,6335,1.6631,0.5371),(1705,6345,1.6665,0.51784),(1705,6355,1.6699,0.49855),(1705,6365,1.6733,0.47919),(1705,6375,1.6764,0.45983),(1705,6385,1.6793,0.44046),(1705,6395,1.6823,0.42106),(1705,6405,1.685,0.40167),(1705,6415,1.6876,0.38228),(1705,6425,1.6901,0.3629),(1705,6435,1.6926,0.34353),(1705,6445,1.6947,0.32415),(1705,6455,1.6969,0.30474),(1705,6465,1.699,0.28532),(1705,6475,1.7007,0.2659),(1705,6485,1.7025,0.2464),(1705,6495,1.7043,0.22685),(1705,6505,1.7057,0.20731),(1705,6515,1.707,0.18774),(1705,6525,1.7084,0.16816),(1705,6535,1.7094,0.14857),(1705,6545,1.7104,0.129),(1705,6555,1.7113,0.10947),(1705,6565,1.712,0.089938),(1705,6575,1.7124,0.070407),(1705,6585,1.7129,0.050884),(1705,6595,1.4571,0.031362),(1705,6605,0.91821,0.011839),(1705,6615,0.37937,0.009639),(1705,6625,0.000569,0.009665),(1705,6635,0.000572,0.00969),(1705,6645,0.000574,0.009692),(1705,6655,0.000577,0.009683),(1705,6665,0.000579,0.009674),(1705,6675,0.000582,0.009665),(1705,6685,0.000584,0.009656),(1705,6695,0.000587,0.009648),(1705,6705,0.000589,0.009639),(1705,6715,0.000591,0.00963),(1705,6725,0.000594,0.009621),(1705,6735,0.000596,0.009613),(1705,6745,0.000598,0.009604),(1705,6755,0.0006,0.009595),(1705,6765,0.000602,0.009586),(1705,6775,0.000604,0.009578),(1705,6785,0.000606,0.009569),(1705,6795,0.000608,0.00956),(1705,6805,0.00061,0.009552),(1705,6815,0.000612,0.009543),(1705,6825,0.000614,0.009534),(1705,6835,0.000616,0.009525),(1705,6845,0.000618,0.009517),(1705,6855,0.00062,0.009508),(1705,6865,0.000622,0.009499),(1705,6875,0.000624,0.00949),(1705,6885,0.000625,0.009482),(1705,6895,0.000627,0.009473),(1705,6905,0.000629,0.009464),(1705,6915,0.00063,0.009455),(1705,6925,0.000632,0.009446),(1705,6935,0.000634,0.009438),(1705,6945,0.000635,0.009429),(1705,6955,0.000637,0.00942),(1705,6965,0.000639,0.009411),(1705,6975,0.00064,0.009403),(1705,6985,0.000642,0.009394),(1715,5,5.9e-05,3.6774),(1715,15,0.000176,3.6774),(1715,25,0.000293,3.6774),(1715,35,0.000411,3.6774),(1715,45,0.000529,3.6774),(1715,55,0.000646,3.6774),(1715,65,0.000764,3.6774),(1715,75,0.000882,3.6774),(1715,85,0.001,3.6774),(1715,95,0.001118,3.6774),(1715,105,0.001236,3.6774),(1715,115,0.001355,3.6774),(1715,125,0.001473,3.6774),(1715,135,0.001592,3.6774),(1715,145,0.001711,3.6774),(1715,155,0.00183,3.6774),(1715,165,0.00195,3.6774),(1715,175,0.002069,3.6773),(1715,185,0.00219,3.6773),(1715,195,0.00231,3.6773),(1715,205,0.002431,3.6773),(1715,215,0.002551,3.6773),(1715,225,0.002673,3.6773),(1715,235,0.002795,3.6773),(1715,245,0.002917,3.6772),(1715,255,0.003039,3.6772),(1715,265,0.003163,3.6772),(1715,275,0.003286,3.6772),(1715,285,0.00341,3.6772),(1715,295,0.003534,3.6771),(1715,305,0.00366,3.6771),(1715,315,0.003785,3.6771),(1715,325,0.003911,3.6771),(1715,335,0.004037,3.6771),(1715,345,0.004165,3.677),(1715,355,0.004293,3.677),(1715,365,0.004421,3.677),(1715,375,0.004549,3.677),(1715,385,0.004679,3.6769),(1715,395,0.00481,3.6769),(1715,405,0.004941,3.6769),(1715,415,0.005071,3.6768),(1715,425,0.005205,3.6768),(1715,435,0.005338,3.6768),(1715,445,0.005471,3.6768),(1715,455,0.005605,3.6767),(1715,465,0.005741,3.6767),(1715,475,0.005878,3.6767),(1715,485,0.006014,3.6766),(1715,495,0.006151,3.6766),(1715,505,0.006291,3.6765),(1715,515,0.006431,3.6765),(1715,525,0.006571,3.6765),(1715,535,0.006711,3.6764),(1715,545,0.006855,3.6764),(1715,555,0.006998,3.6764),(1715,565,0.007142,3.6763),(1715,575,0.007286,3.6763),(1715,585,0.007434,3.6762),(1715,595,0.007582,3.6762),(1715,605,0.00773,3.6761),(1715,615,0.007878,3.6761),(1715,625,0.00803,3.676),(1715,635,0.008182,3.676),(1715,645,0.008334,3.6759),(1715,655,0.008487,3.6759),(1715,665,0.008644,3.6758),(1715,675,0.008801,3.6758),(1715,685,0.008958,3.6757),(1715,695,0.009116,3.6757),(1715,705,0.009278,3.6756),(1715,715,0.00944,3.6756),(1715,725,0.009601,3.6755),(1715,735,0.009764,3.6754),(1715,745,0.009931,3.6754),(1715,755,0.010099,3.6753),(1715,765,0.010266,3.6753),(1715,775,0.010434,3.6752),(1715,785,0.010607,3.6751),(1715,795,0.01078,3.6751),(1715,805,0.010953,3.675),(1715,815,0.011127,3.6749),(1715,825,0.011306,3.6748),(1715,835,0.011485,3.6748),(1715,845,0.011664,3.6747),(1715,855,0.011845,3.6746),(1715,865,0.012031,3.6746),(1715,875,0.012216,3.6745),(1715,885,0.012402,3.6744),(1715,895,0.01259,3.6743),(1715,905,0.012782,3.6742),(1715,915,0.012974,3.6742),(1715,925,0.013166,3.6741),(1715,935,0.013361,3.674),(1715,945,0.01356,3.6739),(1715,955,0.013759,3.6738),(1715,965,0.013958,3.6737),(1715,975,0.014161,3.6736),(1715,985,0.014368,3.6735),(1715,995,0.014574,3.6734),(1715,1005,0.014781,3.6733),(1715,1015,0.014992,3.6732),(1715,1025,0.015206,3.6731),(1715,1035,0.015421,3.673),(1715,1045,0.015635,3.6729),(1715,1055,0.015854,3.6728),(1715,1065,0.016077,3.6727),(1715,1075,0.0163,3.6726),(1715,1085,0.016523,3.6725),(1715,1095,0.016751,3.6724),(1715,1105,0.016982,3.6723),(1715,1115,0.017214,3.6722),(1715,1125,0.017446,3.672),(1715,1135,0.017683,3.6719),(1715,1145,0.017923,3.6718),(1715,1155,0.018164,3.6717),(1715,1165,0.018405,3.6715),(1715,1175,0.018651,3.6714),(1715,1185,0.018901,3.6713),(1715,1195,0.019152,3.6712),(1715,1205,0.019402,3.671),(1715,1215,0.019659,3.6709),(1715,1225,0.019918,3.6707),(1715,1235,0.020178,3.6706),(1715,1245,0.020438,3.6704),(1715,1255,0.020706,3.6703),(1715,1265,0.020976,3.6702),(1715,1275,0.021246,3.67),(1715,1285,0.021516,3.6698),(1715,1295,0.021794,3.6697),(1715,1305,0.022075,3.6695),(1715,1315,0.022355,3.6694),(1715,1325,0.022636,3.6692),(1715,1335,0.022925,3.669),(1715,1345,0.023217,3.6689),(1715,1355,0.023508,3.6687),(1715,1365,0.0238,3.6685),(1715,1375,0.024101,3.6683),(1715,1385,0.024404,3.6681),(1715,1395,0.024707,3.668),(1715,1405,0.025009,3.6678),(1715,1415,0.025323,3.6676),(1715,1425,0.025638,3.6674),(1715,1435,0.025952,3.6672),(1715,1445,0.026267,3.667),(1715,1455,0.026593,3.6668),(1715,1465,0.02692,3.6666),(1715,1475,0.027246,3.6663),(1715,1485,0.027573,3.6661),(1715,1495,0.027912,3.6659),(1715,1505,0.028251,3.6657),(1715,1515,0.02859,3.6655),(1715,1525,0.028929,3.6652),(1715,1535,0.029281,3.665),(1715,1545,0.029632,3.6648),(1715,1555,0.029984,3.6645),(1715,1565,0.030336,3.6643),(1715,1575,0.030701,3.664),(1715,1585,0.031065,3.6638),(1715,1595,0.03143,3.6635),(1715,1605,0.031796,3.6632),(1715,1615,0.032173,3.663),(1715,1625,0.032551,3.6627),(1715,1635,0.032928,3.6624),(1715,1645,0.033308,3.6621),(1715,1655,0.033699,3.6619),(1715,1665,0.03409,3.6616),(1715,1675,0.034481,3.6613),(1715,1685,0.034875,3.661),(1715,1695,0.035279,3.6607),(1715,1705,0.035684,3.6604),(1715,1715,0.036088,3.6601),(1715,1725,0.036496,3.6597),(1715,1735,0.036914,3.6594),(1715,1745,0.037332,3.6591),(1715,1755,0.037751,3.6588),(1715,1765,0.038173,3.6584),(1715,1775,0.038604,3.6581),(1715,1785,0.039036,3.6577),(1715,1795,0.039468,3.6574),(1715,1805,0.039905,3.657),(1715,1815,0.04035,3.6566),(1715,1825,0.040796,3.6563),(1715,1835,0.041242,3.6559),(1715,1845,0.041693,3.6555),(1715,1855,0.042152,3.6551),(1715,1865,0.042612,3.6547),(1715,1875,0.043071,3.6543),(1715,1885,0.043536,3.6539),(1715,1895,0.044009,3.6535),(1715,1905,0.044482,3.6531),(1715,1915,0.044955,3.6526),(1715,1925,0.045434,3.6522),(1715,1935,0.045921,3.6517),(1715,1945,0.046407,3.6513),(1715,1955,0.046894,3.6508),(1715,1965,0.047386,3.6504),(1715,1975,0.047886,3.6499),(1715,1985,0.048386,3.6494),(1715,1995,0.048885,3.6489),(1715,2005,0.049392,3.6484),(1715,2015,0.049904,3.648),(1715,2025,0.050417,3.6475),(1715,2035,0.05093,3.6469),(1715,2045,0.051449,3.6464),(1715,2055,0.051974,3.6459),(1715,2065,0.052499,3.6453),(1715,2075,0.053024,3.6448),(1715,2085,0.053556,3.6442),(1715,2095,0.054093,3.6437),(1715,2105,0.05463,3.6431),(1715,2115,0.055167,3.6425),(1715,2125,0.055711,3.6419),(1715,2135,0.056259,3.6414),(1715,2145,0.056807,3.6407),(1715,2155,0.057355,3.6401),(1715,2165,0.05791,3.6395),(1715,2175,0.058468,3.6389),(1715,2185,0.059027,3.6382),(1715,2195,0.059585,3.6376),(1715,2205,0.06015,3.6369),(1715,2215,0.060718,3.6363),(1715,2225,0.061286,3.6356),(1715,2235,0.061854,3.6349),(1715,2245,0.062429,3.6342),(1715,2255,0.063005,3.6335),(1715,2265,0.063582,3.6328),(1715,2275,0.064159,3.6321),(1715,2285,0.064741,3.6313),(1715,2295,0.065325,3.6306),(1715,2305,0.065909,3.6298),(1715,2315,0.066493,3.6291),(1715,2325,0.067082,3.6283),(1715,2335,0.067672,3.6275),(1715,2345,0.068262,3.6267),(1715,2355,0.068852,3.6259),(1715,2365,0.069446,3.6251),(1715,2375,0.070041,3.6243),(1715,2385,0.070636,3.6234),(1715,2395,0.07123,3.6226),(1715,2405,0.071828,3.6217),(1715,2415,0.072426,3.6209),(1715,2425,0.073024,3.62),(1715,2435,0.073622,3.6191),(1715,2445,0.074221,3.6182),(1715,2455,0.074821,3.6173),(1715,2465,0.07542,3.6164),(1715,2475,0.076019,3.6154),(1715,2485,0.076618,3.6145),(1715,2495,0.077217,3.6136),(1715,2505,0.077816,3.6126),(1715,2515,0.078415,3.6116),(1715,2525,0.079012,3.6106),(1715,2535,0.079608,3.6096),(1715,2545,0.080205,3.6086),(1715,2555,0.080801,3.6076),(1715,2565,0.081393,3.6065),(1715,2575,0.081985,3.6055),(1715,2585,0.082577,3.6044),(1715,2595,0.083169,3.6033),(1715,2605,0.083754,3.6023),(1715,2615,0.084338,3.6012),(1715,2625,0.084923,3.6001),(1715,2635,0.085507,3.5989),(1715,2645,0.086083,3.5978),(1715,2655,0.086659,3.5967),(1715,2665,0.087234,3.5955),(1715,2675,0.087808,3.5944),(1715,2685,0.088372,3.5932),(1715,2695,0.088936,3.592),(1715,2705,0.0895,3.5908),(1715,2715,0.090061,3.5896),(1715,2725,0.09061,3.5884),(1715,2735,0.09116,3.5871),(1715,2745,0.09171,3.5859),(1715,2755,0.092255,3.5846),(1715,2765,0.092787,3.5833),(1715,2775,0.09332,3.5821),(1715,2785,0.093852,3.5808),(1715,2795,0.094378,3.5795),(1715,2805,0.094891,3.5781),(1715,2815,0.095403,3.5768),(1715,2825,0.095915,3.5755),(1715,2835,0.09642,3.5741),(1715,2845,0.096909,3.5728),(1715,2855,0.097398,3.5714),(1715,2865,0.097887,3.57),(1715,2875,0.098366,3.5686),(1715,2885,0.098829,3.5672),(1715,2895,0.099292,3.5658),(1715,2905,0.099756,3.5644),(1715,2915,0.10021,3.5629),(1715,2925,0.10064,3.5615),(1715,2935,0.10107,3.56),(1715,2945,0.10151,3.5585),(1715,2955,0.10193,3.557),(1715,2965,0.10233,3.5556),(1715,2975,0.10273,3.5541),(1715,2985,0.10313,3.5525),(1715,2995,0.10352,3.551),(1715,3005,0.10388,3.5495),(1715,3015,0.10425,3.5479),(1715,3025,0.10462,3.5464),(1715,3035,0.10496,3.5448),(1715,3045,0.10529,3.5433),(1715,3055,0.10562,3.5417),(1715,3065,0.10595,3.5401),(1715,3075,0.10625,3.5385),(1715,3085,0.10654,3.5369),(1715,3095,0.10682,3.5353),(1715,3105,0.10711,3.5336),(1715,3115,0.10737,3.532),(1715,3125,0.10761,3.5304),(1715,3135,0.10785,3.5287),(1715,3145,0.10809,3.5271),(1715,3155,0.1083,3.5254),(1715,3165,0.1085,3.5238),(1715,3175,0.10869,3.5221),(1715,3185,0.10889,3.5204),(1715,3195,0.10905,3.5187),(1715,3205,0.10919,3.517),(1715,3215,0.10933,3.5153),(1715,3225,0.10948,3.5136),(1715,3235,0.10958,3.5119),(1715,3245,0.10967,3.5102),(1715,3255,0.10977,3.5084),(1715,3265,0.10986,3.5067),(1715,3275,0.1099,3.505),(1715,3285,0.10994,3.5032),(1715,3295,0.10997,3.5015),(1715,3305,0.11001,3.4997),(1715,3315,0.11,3.498),(1715,3325,0.10997,3.4962),(1715,3335,0.10995,3.4945),(1715,3345,0.10993,3.4927),(1715,3355,0.10985,3.4909),(1715,3365,0.10977,3.4892),(1715,3375,0.10969,3.4874),(1715,3385,0.1096,3.4856),(1715,3395,0.10947,3.4838),(1715,3405,0.10932,3.4821),(1715,3415,0.10917,3.4803),(1715,3425,0.10903,3.4785),(1715,3435,0.10882,3.4767),(1715,3445,0.10861,3.4749),(1715,3455,0.1084,3.4731),(1715,3465,0.10819,3.4714),(1715,3475,0.10792,3.4696),(1715,3485,0.10764,3.4678),(1715,3495,0.10737,3.466),(1715,3505,0.10709,3.4642),(1715,3515,0.10675,3.4624),(1715,3525,0.10641,3.4607),(1715,3535,0.10606,3.4589),(1715,3545,0.10572,3.4571),(1715,3555,0.10531,3.4553),(1715,3565,0.1049,3.4535),(1715,3575,0.10449,3.4518),(1715,3585,0.10407,3.45),(1715,3595,0.10359,3.4482),(1715,3605,0.10311,3.4465),(1715,3615,0.10263,3.4447),(1715,3625,0.10215,3.443),(1715,3635,0.1016,3.4412),(1715,3645,0.10105,3.4394),(1715,3655,0.1005,3.4377),(1715,3665,0.099944,3.436),(1715,3675,0.099328,3.4342),(1715,3685,0.098711,3.4325),(1715,3695,0.098095,3.4308),(1715,3705,0.097464,3.429),(1715,3715,0.09678,3.4273),(1715,3725,0.096096,3.4256),(1715,3735,0.095411,3.4239),(1715,3745,0.094711,3.4222),(1715,3755,0.093959,3.4205),(1715,3765,0.093208,3.4188),(1715,3775,0.092457,3.4172),(1715,3785,0.091688,3.4155),(1715,3795,0.090872,3.4138),(1715,3805,0.090056,3.4122),(1715,3815,0.08924,3.4105),(1715,3825,0.088404,3.4089),(1715,3835,0.087526,3.4072),(1715,3845,0.086648,3.4056),(1715,3855,0.08577,3.404),(1715,3865,0.084871,3.4024),(1715,3875,0.083935,3.4007),(1715,3885,0.082999,3.3991),(1715,3895,0.082063,3.3976),(1715,3905,0.095043,3.396),(1715,3915,0.12881,3.3944),(1715,3925,0.16258,3.3918),(1715,3935,0.19634,3.3878),(1715,3945,0.2326,3.3837),(1715,3955,0.27203,3.3797),(1715,3965,0.31146,3.3746),(1715,3975,0.35089,3.3682),(1715,3985,0.37412,3.3617),(1715,3995,0.37983,3.3553),(1715,4005,0.38553,3.3488),(1715,4015,0.39123,3.3423),(1715,4025,0.39741,3.3357),(1715,4035,0.40363,3.3292),(1715,4045,0.40986,3.3225),(1715,4055,0.41595,3.3158),(1715,4065,0.42199,3.3091),(1715,4075,0.42803,3.3023),(1715,4085,0.43364,3.2956),(1715,4095,0.43889,3.2888),(1715,4105,0.44414,3.2822),(1715,4115,0.43246,3.2756),(1715,4125,0.39271,3.269),(1715,4135,0.35296,3.2643),(1715,4145,0.31253,3.26),(1715,4155,0.26936,3.2558),(1715,4165,0.22619,3.2527),(1715,4175,0.18556,3.2503),(1715,4185,0.271,3.248),(1715,4195,0.35644,3.2435),(1715,4205,0.44188,3.2361),(1715,4215,0.43735,3.2288),(1715,4225,0.4159,3.2214),(1715,4235,0.39445,3.2142),(1715,4245,0.36302,3.2069),(1715,4255,0.32653,3.1998),(1715,4265,0.29005,3.1941),(1715,4275,0.24092,3.1884),(1715,4285,0.17838,3.1827),(1715,4295,0.11584,3.1807),(1715,4305,0.10612,3.1791),(1715,4315,0.2157,3.1775),(1715,4325,0.32527,3.1707),(1715,4335,0.42363,3.1619),(1715,4345,0.446,3.1532),(1715,4355,0.46837,3.1439),(1715,4365,0.49075,3.1342),(1715,4375,0.49793,3.1246),(1715,4385,0.50433,3.1149),(1715,4395,0.51072,3.1053),(1715,4405,0.4457,3.0958),(1715,4415,0.35962,3.0872),(1715,4425,0.27353,3.083),(1715,4435,0.24056,3.0789),(1715,4445,0.24389,3.0748),(1715,4455,0.24722,3.0703),(1715,4465,0.29862,3.0659),(1715,4475,0.41757,3.0614),(1715,4485,0.53651,3.052),(1715,4495,0.63151,3.0416),(1715,4505,0.6497,3.0312),(1715,4515,0.66788,3.0206),(1715,4525,0.68452,3.0098),(1715,4535,0.67664,2.9991),(1715,4545,0.66877,2.9889),(1715,4555,0.66089,2.9793),(1715,4565,0.49321,2.9697),(1715,4575,0.30399,2.9625),(1715,4585,0.11476,2.9611),(1715,4595,0.11892,2.9596),(1715,4605,0.20479,2.9576),(1715,4615,0.29066,2.9511),(1715,4625,0.36832,2.9447),(1715,4635,0.43855,2.9383),(1715,4645,0.50879,2.9298),(1715,4655,0.5711,2.9212),(1715,4665,0.61849,2.9126),(1715,4675,0.66588,2.9025),(1715,4685,0.68058,2.892),(1715,4695,0.53377,2.8815),(1715,4705,0.38695,2.8744),(1715,4715,0.24014,2.87),(1715,4725,0.32999,2.8656),(1715,4735,0.42221,2.8597),(1715,4745,0.51443,2.8517),(1715,4755,0.62125,2.8437),(1715,4765,0.73144,2.835),(1715,4775,0.84164,2.8236),(1715,4785,0.89365,2.8122),(1715,4795,0.91202,2.8008),(1715,4805,0.93039,2.7898),(1715,4815,0.89794,2.7788),(1715,4825,0.80474,2.7678),(1715,4835,0.71154,2.7602),(1715,4845,0.61218,2.7532),(1715,4855,0.49676,2.7462),(1715,4865,0.38134,2.7412),(1715,4875,0.30057,2.7371),(1715,4885,0.53513,2.7331),(1715,4895,0.7697,2.7243),(1715,4905,1.0043,2.7109),(1715,4915,1.0047,2.6975),(1715,4925,0.98498,2.6843),(1715,4935,0.96528,2.6715),(1715,4945,0.88662,2.6586),(1715,4955,0.78752,2.6462),(1715,4965,0.68843,2.6365),(1715,4975,0.53992,2.6268),(1715,4985,0.35325,2.617),(1715,4995,0.16659,2.6158),(1715,5005,0.15389,2.6147),(1715,5015,0.41777,2.6137),(1715,5025,0.68164,2.6053),(1715,5035,0.91247,2.5951),(1715,5045,1.0174,2.5848),(1715,5055,1.1224,2.5729),(1715,5065,1.2248,2.56),(1715,5075,1.2426,2.5471),(1715,5085,1.2604,2.5343),(1715,5095,1.2782,2.5218),(1715,5105,1.1228,2.5093),(1715,5115,0.9372,2.4984),(1715,5125,0.75162,2.492),(1715,5135,0.64797,2.4855),(1715,5145,0.58409,2.4791),(1715,5155,0.5202,2.473),(1715,5165,0.61606,2.467),(1715,5175,0.87485,2.4609),(1715,5185,1.1336,2.447),(1715,5195,1.3164,2.4324),(1715,5205,1.3353,2.4177),(1715,5215,1.3542,2.4034),(1715,5225,1.3656,2.3891),(1715,5235,1.3307,2.3749),(1715,5245,1.2957,2.3618),(1715,5255,1.2608,2.3497),(1715,5265,0.88276,2.3375),(1715,5275,0.49057,2.3298),(1715,5285,0.098373,2.3294),(1715,5295,0.2241,2.329),(1715,5305,0.49406,2.3262),(1715,5315,0.76402,2.3134),(1715,5325,0.95277,2.3005),(1715,5335,1.0883,2.2876),(1715,5345,1.2238,2.2728),(1715,5355,1.3201,2.258),(1715,5365,1.3638,2.2433),(1715,5375,1.4075,2.2292),(1715,5385,1.3586,2.2153),(1715,5395,1.0283,2.2014),(1715,5405,0.698,2.1943),(1715,5415,0.39696,2.1907),(1715,5425,0.48863,2.1871),(1715,5435,0.5803,2.179),(1715,5445,0.67197,2.1658),(1715,5455,0.81302,2.1526),(1715,5465,0.96012,2.137),(1715,5475,1.1072,2.1159),(1715,5485,1.1684,2.0947),(1715,5495,1.1951,2.0735),(1715,5505,1.2218,2.0523),(1715,5515,1.249,2.0311),(1715,5525,1.2769,2.0099),(1715,5535,1.3047,1.9887),(1715,5545,1.3322,1.9675),(1715,5555,1.3593,1.9463),(1715,5565,1.3864,1.9252),(1715,5575,1.4132,1.9041),(1715,5585,1.4391,1.8831),(1715,5595,1.465,1.8621),(1715,5605,1.4909,1.8412),(1715,5615,1.5154,1.8203),(1715,5625,1.54,1.7996),(1715,5635,1.5645,1.779),(1715,5645,1.5879,1.7585),(1715,5655,1.6111,1.738),(1715,5665,1.6342,1.7178),(1715,5675,1.6565,1.6976),(1715,5685,1.6782,1.6774),(1715,5695,1.7,1.6575),(1715,5705,1.7211,1.6377),(1715,5715,1.7414,1.6178),(1715,5725,1.7618,1.5982),(1715,5735,1.7817,1.5787),(1715,5745,1.8007,1.5592),(1715,5755,1.8197,1.54),(1715,5765,1.8385,1.5209),(1715,5775,1.8562,1.5018),(1715,5785,1.8739,1.4829),(1715,5795,1.8915,1.4641),(1715,5805,1.9081,1.4453),(1715,5815,1.9245,1.4267),(1715,5825,1.941,1.4082),(1715,5835,1.9566,1.3898),(1715,5845,1.9718,1.3714),(1715,5855,1.9871,1.3533),(1715,5865,2.0018,1.3352),(1715,5875,2.016,1.317),(1715,5885,2.0303,1.2992),(1715,5895,2.0441,1.2813),(1715,5905,2.0573,1.2635),(1715,5915,2.0705,1.2458),(1715,5925,2.0836,1.2282),(1715,5935,2.0959,1.2107),(1715,5945,2.1082,1.1932),(1715,5955,2.1205,1.1759),(1715,5965,2.1323,1.1586),(1715,5975,2.1441,1.1414),(1715,5985,2.1559,1.1242),(1715,5995,1.6494,1.1071),(1715,6005,1.0594,1.0941),(1715,6015,0.46938,1.0918),(1715,6025,0.46845,1.0896),(1715,6035,0.74074,1.0862),(1715,6045,1.013,1.0724),(1715,6055,1.2102,1.0586),(1715,6065,1.3338,1.0448),(1715,6075,1.4574,1.0268),(1715,6085,1.5428,1.0084),(1715,6095,1.5493,0.98999),(1715,6105,1.5558,0.97142),(1715,6115,1.5623,0.95279),(1715,6125,1.5685,0.93415),(1715,6135,1.5747,0.91549),(1715,6145,1.5809,0.89681),(1715,6155,1.5867,0.87813),(1715,6165,1.5925,0.85941),(1715,6175,1.5983,0.84062),(1715,6185,1.6037,0.82183),(1715,6195,1.6091,0.80302),(1715,6205,1.6145,0.78415),(1715,6215,1.6196,0.76528),(1715,6225,1.6246,0.74641),(1715,6235,1.6296,0.72747),(1715,6245,1.6344,0.70852),(1715,6255,1.639,0.68958),(1715,6265,1.6436,0.67048),(1715,6275,1.6481,0.65136),(1715,6285,1.6523,0.63223),(1715,6295,1.6565,0.61306),(1715,6305,1.6607,0.59386),(1715,6315,1.6645,0.57467),(1715,6325,1.6684,0.55546),(1715,6335,1.6722,0.53622),(1715,6345,1.6756,0.51699),(1715,6355,1.679,0.49773),(1715,6365,1.6824,0.47838),(1715,6375,1.6855,0.45904),(1715,6385,1.6885,0.43969),(1715,6395,1.6915,0.42033),(1715,6405,1.6942,0.40096),(1715,6415,1.6967,0.3816),(1715,6425,1.6993,0.36226),(1715,6435,1.7017,0.34292),(1715,6445,1.7038,0.32358),(1715,6455,1.706,0.30421),(1715,6465,1.7081,0.28483),(1715,6475,1.7099,0.26545),(1715,6485,1.7116,0.246),(1715,6495,1.7134,0.2265),(1715,6505,1.7148,0.20699),(1715,6515,1.7161,0.18747),(1715,6525,1.7175,0.16792),(1715,6535,1.7185,0.14837),(1715,6545,1.7195,0.12883),(1715,6555,1.7205,0.10933),(1715,6565,1.7211,0.089835),(1715,6575,1.7216,0.070337),(1715,6585,1.7221,0.050853),(1715,6595,1.4649,0.031369),(1715,6605,0.92313,0.011884),(1715,6615,0.3814,0.009675),(1715,6625,0.000574,0.009686),(1715,6635,0.000577,0.009697),(1715,6645,0.000579,0.009694),(1715,6655,0.000582,0.009685),(1715,6665,0.000584,0.009676),(1715,6675,0.000587,0.009668),(1715,6685,0.000589,0.009659),(1715,6695,0.000592,0.00965),(1715,6705,0.000594,0.009641),(1715,6715,0.000596,0.009632),(1715,6725,0.000599,0.009624),(1715,6735,0.000601,0.009615),(1715,6745,0.000603,0.009606),(1715,6755,0.000605,0.009597),(1715,6765,0.000607,0.009589),(1715,6775,0.000609,0.00958),(1715,6785,0.000611,0.009571),(1715,6795,0.000613,0.009562),(1715,6805,0.000615,0.009554),(1715,6815,0.000617,0.009545),(1715,6825,0.000619,0.009536),(1715,6835,0.000621,0.009527),(1715,6845,0.000623,0.009518),(1715,6855,0.000625,0.00951),(1715,6865,0.000627,0.009501),(1715,6875,0.000628,0.009492),(1715,6885,0.00063,0.009483),(1715,6895,0.000632,0.009475),(1715,6905,0.000634,0.009466),(1715,6915,0.000635,0.009457),(1715,6925,0.000637,0.009448),(1715,6935,0.000639,0.009439),(1715,6945,0.00064,0.009431),(1715,6955,0.000642,0.009422),(1715,6965,0.000643,0.009413),(1715,6975,0.000645,0.009404),(1715,6985,0.000646,0.009395),(1725,5,5.9e-05,3.6776),(1725,15,0.000176,3.6776),(1725,25,0.000293,3.6776),(1725,35,0.000411,3.6776),(1725,45,0.000528,3.6776),(1725,55,0.000646,3.6776),(1725,65,0.000764,3.6776),(1725,75,0.000881,3.6775),(1725,85,0.000999,3.6775),(1725,95,0.001117,3.6775),(1725,105,0.001235,3.6775),(1725,115,0.001354,3.6775),(1725,125,0.001473,3.6775),(1725,135,0.001591,3.6775),(1725,145,0.00171,3.6775),(1725,155,0.00183,3.6775),(1725,165,0.001949,3.6775),(1725,175,0.002068,3.6775),(1725,185,0.002189,3.6775),(1725,195,0.002309,3.6774),(1725,205,0.00243,3.6774),(1725,215,0.00255,3.6774),(1725,225,0.002672,3.6774),(1725,235,0.002794,3.6774),(1725,245,0.002916,3.6774),(1725,255,0.003038,3.6773),(1725,265,0.003162,3.6773),(1725,275,0.003285,3.6773),(1725,285,0.003409,3.6773),(1725,295,0.003533,3.6773),(1725,305,0.003658,3.6773),(1725,315,0.003784,3.6772),(1725,325,0.00391,3.6772),(1725,335,0.004036,3.6772),(1725,345,0.004163,3.6772),(1725,355,0.004292,3.6771),(1725,365,0.00442,3.6771),(1725,375,0.004548,3.6771),(1725,385,0.004678,3.6771),(1725,395,0.004809,3.677),(1725,405,0.004939,3.677),(1725,415,0.00507,3.677),(1725,425,0.005203,3.677),(1725,435,0.005337,3.6769),(1725,445,0.00547,3.6769),(1725,455,0.005603,3.6769),(1725,465,0.00574,3.6768),(1725,475,0.005876,3.6768),(1725,485,0.006013,3.6768),(1725,495,0.006149,3.6767),(1725,505,0.006289,3.6767),(1725,515,0.006429,3.6767),(1725,525,0.006569,3.6766),(1725,535,0.00671,3.6766),(1725,545,0.006853,3.6765),(1725,555,0.006997,3.6765),(1725,565,0.007141,3.6765),(1725,575,0.007285,3.6764),(1725,585,0.007433,3.6764),(1725,595,0.007581,3.6763),(1725,605,0.007729,3.6763),(1725,615,0.007877,3.6762),(1725,625,0.008029,3.6762),(1725,635,0.008181,3.6761),(1725,645,0.008334,3.6761),(1725,655,0.008487,3.676),(1725,665,0.008644,3.676),(1725,675,0.008801,3.6759),(1725,685,0.008958,3.6759),(1725,695,0.009116,3.6758),(1725,705,0.009278,3.6758),(1725,715,0.00944,3.6757),(1725,725,0.009602,3.6757),(1725,735,0.009765,3.6756),(1725,745,0.009932,3.6755),(1725,755,0.010099,3.6755),(1725,765,0.010267,3.6754),(1725,775,0.010435,3.6754),(1725,785,0.010608,3.6753),(1725,795,0.010781,3.6752),(1725,805,0.010954,3.6752),(1725,815,0.011129,3.6751),(1725,825,0.011308,3.675),(1725,835,0.011487,3.675),(1725,845,0.011667,3.6749),(1725,855,0.011848,3.6748),(1725,865,0.012034,3.6747),(1725,875,0.012219,3.6747),(1725,885,0.012405,3.6746),(1725,895,0.012593,3.6745),(1725,905,0.012786,3.6744),(1725,915,0.012978,3.6743),(1725,925,0.01317,3.6743),(1725,935,0.013366,3.6742),(1725,945,0.013565,3.6741),(1725,955,0.013765,3.674),(1725,965,0.013964,3.6739),(1725,975,0.014167,3.6738),(1725,985,0.014374,3.6737),(1725,995,0.014581,3.6736),(1725,1005,0.014788,3.6735),(1725,1015,0.014999,3.6735),(1725,1025,0.015214,3.6734),(1725,1035,0.015429,3.6733),(1725,1045,0.015644,3.6732),(1725,1055,0.015864,3.673),(1725,1065,0.016087,3.6729),(1725,1075,0.016311,3.6728),(1725,1085,0.016534,3.6727),(1725,1095,0.016763,3.6726),(1725,1105,0.016995,3.6725),(1725,1115,0.017227,3.6724),(1725,1125,0.017459,3.6723),(1725,1135,0.017697,3.6722),(1725,1145,0.017938,3.672),(1725,1155,0.018179,3.6719),(1725,1165,0.01842,3.6718),(1725,1175,0.018668,3.6717),(1725,1185,0.018919,3.6715),(1725,1195,0.019169,3.6714),(1725,1205,0.01942,3.6713),(1725,1215,0.019678,3.6711),(1725,1225,0.019939,3.671),(1725,1235,0.020199,3.6709),(1725,1245,0.02046,3.6707),(1725,1255,0.020728,3.6706),(1725,1265,0.020999,3.6704),(1725,1275,0.02127,3.6703),(1725,1285,0.021541,3.6701),(1725,1295,0.021821,3.67),(1725,1305,0.022102,3.6698),(1725,1315,0.022384,3.6696),(1725,1325,0.022665,3.6695),(1725,1335,0.022956,3.6693),(1725,1345,0.023248,3.6691),(1725,1355,0.023541,3.669),(1725,1365,0.023833,3.6688),(1725,1375,0.024136,3.6686),(1725,1385,0.02444,3.6684),(1725,1395,0.024744,3.6683),(1725,1405,0.025048,3.6681),(1725,1415,0.025363,3.6679),(1725,1425,0.025679,3.6677),(1725,1435,0.025995,3.6675),(1725,1445,0.026311,3.6673),(1725,1455,0.026638,3.6671),(1725,1465,0.026966,3.6669),(1725,1475,0.027295,3.6667),(1725,1485,0.027623,3.6665),(1725,1495,0.027963,3.6662),(1725,1505,0.028304,3.666),(1725,1515,0.028644,3.6658),(1725,1525,0.028985,3.6656),(1725,1535,0.029339,3.6653),(1725,1545,0.029692,3.6651),(1725,1555,0.030046,3.6649),(1725,1565,0.0304,3.6646),(1725,1575,0.030766,3.6644),(1725,1585,0.031133,3.6641),(1725,1595,0.031499,3.6639),(1725,1605,0.031867,3.6636),(1725,1615,0.032246,3.6634),(1725,1625,0.032626,3.6631),(1725,1635,0.033006,3.6628),(1725,1645,0.033388,3.6625),(1725,1655,0.033781,3.6623),(1725,1665,0.034174,3.662),(1725,1675,0.034567,3.6617),(1725,1685,0.034963,3.6614),(1725,1695,0.03537,3.6611),(1725,1705,0.035777,3.6608),(1725,1715,0.036184,3.6605),(1725,1725,0.036595,3.6602),(1725,1735,0.037015,3.6598),(1725,1745,0.037436,3.6595),(1725,1755,0.037857,3.6592),(1725,1765,0.038282,3.6588),(1725,1775,0.038717,3.6585),(1725,1785,0.039152,3.6582),(1725,1795,0.039586,3.6578),(1725,1805,0.040025,3.6574),(1725,1815,0.040474,3.6571),(1725,1825,0.040923,3.6567),(1725,1835,0.041372,3.6563),(1725,1845,0.041826,3.6559),(1725,1855,0.042289,3.6556),(1725,1865,0.042752,3.6552),(1725,1875,0.043215,3.6548),(1725,1885,0.043683,3.6544),(1725,1895,0.044159,3.654),(1725,1905,0.044636,3.6535),(1725,1915,0.045113,3.6531),(1725,1925,0.045595,3.6527),(1725,1935,0.046085,3.6522),(1725,1945,0.046576,3.6518),(1725,1955,0.047066,3.6513),(1725,1965,0.047562,3.6509),(1725,1975,0.048066,3.6504),(1725,1985,0.04857,3.6499),(1725,1995,0.049074,3.6494),(1725,2005,0.049584,3.649),(1725,2015,0.050101,3.6485),(1725,2025,0.050618,3.648),(1725,2035,0.051135,3.6474),(1725,2045,0.051659,3.6469),(1725,2055,0.052188,3.6464),(1725,2065,0.052718,3.6459),(1725,2075,0.053248,3.6453),(1725,2085,0.053785,3.6448),(1725,2095,0.054326,3.6442),(1725,2105,0.054868,3.6437),(1725,2115,0.05541,3.6431),(1725,2125,0.055959,3.6425),(1725,2135,0.056512,3.6419),(1725,2145,0.057065,3.6413),(1725,2155,0.057618,3.6407),(1725,2165,0.058178,3.6401),(1725,2175,0.058742,3.6394),(1725,2185,0.059306,3.6388),(1725,2195,0.05987,3.6382),(1725,2205,0.06044,3.6375),(1725,2215,0.061014,3.6368),(1725,2225,0.061588,3.6362),(1725,2235,0.062161,3.6355),(1725,2245,0.062742,3.6348),(1725,2255,0.063324,3.6341),(1725,2265,0.063907,3.6334),(1725,2275,0.064489,3.6327),(1725,2285,0.065078,3.6319),(1725,2295,0.065668,3.6312),(1725,2305,0.066258,3.6304),(1725,2315,0.066848,3.6297),(1725,2325,0.067444,3.6289),(1725,2335,0.06804,3.6281),(1725,2345,0.068637,3.6273),(1725,2355,0.069233,3.6265),(1725,2365,0.069834,3.6257),(1725,2375,0.070435,3.6249),(1725,2385,0.071037,3.624),(1725,2395,0.071638,3.6232),(1725,2405,0.072243,3.6223),(1725,2415,0.072847,3.6215),(1725,2425,0.073452,3.6206),(1725,2435,0.074057,3.6197),(1725,2445,0.074663,3.6188),(1725,2455,0.07527,3.6179),(1725,2465,0.075876,3.617),(1725,2475,0.076483,3.616),(1725,2485,0.077089,3.6151),(1725,2495,0.077696,3.6142),(1725,2505,0.078302,3.6132),(1725,2515,0.078908,3.6122),(1725,2525,0.079512,3.6112),(1725,2535,0.080116,3.6102),(1725,2545,0.08072,3.6092),(1725,2555,0.081324,3.6082),(1725,2565,0.081924,3.6071),(1725,2575,0.082523,3.6061),(1725,2585,0.083123,3.605),(1725,2595,0.083722,3.6039),(1725,2605,0.084315,3.6029),(1725,2615,0.084907,3.6018),(1725,2625,0.0855,3.6007),(1725,2635,0.086092,3.5995),(1725,2645,0.086675,3.5984),(1725,2655,0.087259,3.5973),(1725,2665,0.087842,3.5961),(1725,2675,0.088424,3.5949),(1725,2685,0.088996,3.5938),(1725,2695,0.089568,3.5926),(1725,2705,0.09014,3.5914),(1725,2715,0.090708,3.5901),(1725,2725,0.091266,3.5889),(1725,2735,0.091823,3.5877),(1725,2745,0.092381,3.5864),(1725,2755,0.092934,3.5852),(1725,2765,0.093474,3.5839),(1725,2775,0.094015,3.5826),(1725,2785,0.094555,3.5813),(1725,2795,0.095089,3.58),(1725,2805,0.095609,3.5787),(1725,2815,0.09613,3.5773),(1725,2825,0.09665,3.576),(1725,2835,0.097162,3.5746),(1725,2845,0.097659,3.5733),(1725,2855,0.098156,3.5719),(1725,2865,0.098653,3.5705),(1725,2875,0.09914,3.5691),(1725,2885,0.099611,3.5677),(1725,2895,0.10008,3.5663),(1725,2905,0.10055,3.5648),(1725,2915,0.10101,3.5634),(1725,2925,0.10145,3.5619),(1725,2935,0.10189,3.5604),(1725,2945,0.10233,3.559),(1725,2955,0.10276,3.5575),(1725,2965,0.10317,3.556),(1725,2975,0.10358,3.5545),(1725,2985,0.10399,3.5529),(1725,2995,0.10438,3.5514),(1725,3005,0.10475,3.5499),(1725,3015,0.10513,3.5483),(1725,3025,0.1055,3.5467),(1725,3035,0.10585,3.5452),(1725,3045,0.10619,3.5436),(1725,3055,0.10652,3.542),(1725,3065,0.10686,3.5404),(1725,3075,0.10717,3.5388),(1725,3085,0.10746,3.5372),(1725,3095,0.10775,3.5356),(1725,3105,0.10804,3.5339),(1725,3115,0.10831,3.5323),(1725,3125,0.10856,3.5306),(1725,3135,0.10881,3.529),(1725,3145,0.10905,3.5273),(1725,3155,0.10927,3.5256),(1725,3165,0.10947,3.524),(1725,3175,0.10967,3.5223),(1725,3185,0.10987,3.5206),(1725,3195,0.11003,3.5189),(1725,3205,0.11018,3.5172),(1725,3215,0.11033,3.5154),(1725,3225,0.11048,3.5137),(1725,3235,0.11059,3.512),(1725,3245,0.11069,3.5103),(1725,3255,0.11078,3.5085),(1725,3265,0.11088,3.5068),(1725,3275,0.11093,3.505),(1725,3285,0.11097,3.5033),(1725,3295,0.11101,3.5015),(1725,3305,0.11105,3.4997),(1725,3315,0.11104,3.498),(1725,3325,0.11102,3.4962),(1725,3335,0.111,3.4944),(1725,3345,0.11098,3.4926),(1725,3355,0.11091,3.4909),(1725,3365,0.11083,3.4891),(1725,3375,0.11075,3.4873),(1725,3385,0.11067,3.4855),(1725,3395,0.11053,3.4837),(1725,3405,0.11039,3.4819),(1725,3415,0.11025,3.4801),(1725,3425,0.1101,3.4783),(1725,3435,0.1099,3.4765),(1725,3445,0.10969,3.4747),(1725,3455,0.10948,3.4729),(1725,3465,0.10928,3.4711),(1725,3475,0.109,3.4693),(1725,3485,0.10873,3.4675),(1725,3495,0.10845,3.4657),(1725,3505,0.10818,3.4639),(1725,3515,0.10784,3.4621),(1725,3525,0.1075,3.4603),(1725,3535,0.10715,3.4585),(1725,3545,0.10681,3.4567),(1725,3555,0.1064,3.4549),(1725,3565,0.10599,3.4531),(1725,3575,0.10558,3.4513),(1725,3585,0.10516,3.4496),(1725,3595,0.10468,3.4478),(1725,3605,0.1042,3.446),(1725,3615,0.10373,3.4442),(1725,3625,0.10324,3.4424),(1725,3635,0.10269,3.4407),(1725,3645,0.10214,3.4389),(1725,3655,0.10159,3.4371),(1725,3665,0.10103,3.4354),(1725,3675,0.10042,3.4336),(1725,3685,0.099798,3.4319),(1725,3695,0.099181,3.4301),(1725,3705,0.09855,3.4284),(1725,3715,0.097864,3.4267),(1725,3725,0.097178,3.4249),(1725,3735,0.096493,3.4232),(1725,3745,0.095791,3.4215),(1725,3755,0.095038,3.4198),(1725,3765,0.094286,3.4181),(1725,3775,0.093533,3.4164),(1725,3785,0.092762,3.4147),(1725,3795,0.091945,3.413),(1725,3805,0.091127,3.4113),(1725,3815,0.09031,3.4097),(1725,3825,0.089473,3.408),(1725,3835,0.088593,3.4064),(1725,3845,0.087714,3.4047),(1725,3855,0.086834,3.4031),(1725,3865,0.085934,3.4014),(1725,3875,0.084997,3.3998),(1725,3885,0.084059,3.3982),(1725,3895,0.083122,3.3966),(1725,3905,0.096263,3.395),(1725,3915,0.13043,3.3934),(1725,3925,0.1646,3.3908),(1725,3935,0.19878,3.3867),(1725,3945,0.23542,3.3827),(1725,3955,0.27521,3.3786),(1725,3965,0.315,3.3735),(1725,3975,0.35479,3.367),(1725,3985,0.37821,3.3605),(1725,3995,0.3839,3.354),(1725,4005,0.38959,3.3475),(1725,4015,0.39529,3.3409),(1725,4025,0.40147,3.3343),(1725,4035,0.40771,3.3276),(1725,4045,0.41394,3.3209),(1725,4055,0.42003,3.3142),(1725,4065,0.42606,3.3074),(1725,4075,0.43209,3.3006),(1725,4085,0.43764,3.2938),(1725,4095,0.4428,3.287),(1725,4105,0.44797,3.2803),(1725,4115,0.43605,3.2737),(1725,4125,0.39582,3.267),(1725,4135,0.35559,3.2622),(1725,4145,0.31471,3.2579),(1725,4155,0.27121,3.2536),(1725,4165,0.22772,3.2504),(1725,4175,0.18679,3.248),(1725,4185,0.27326,3.2457),(1725,4195,0.35973,3.2411),(1725,4205,0.44619,3.2337),(1725,4215,0.44191,3.2263),(1725,4225,0.42054,3.2189),(1725,4235,0.39918,3.2115),(1725,4245,0.36759,3.2042),(1725,4255,0.33082,3.197),(1725,4265,0.29405,3.1913),(1725,4275,0.24436,3.1855),(1725,4285,0.18096,3.1798),(1725,4295,0.11756,3.1777),(1725,4305,0.10774,3.1761),(1725,4315,0.21888,3.1744),(1725,4325,0.33001,3.1676),(1725,4335,0.42974,3.1586),(1725,4345,0.45225,3.1497),(1725,4355,0.47475,3.1403),(1725,4365,0.49725,3.1306),(1725,4375,0.50435,3.1208),(1725,4385,0.51066,3.1111),(1725,4395,0.51696,3.1015),(1725,4405,0.45102,3.0919),(1725,4415,0.36377,3.0833),(1725,4425,0.27652,3.079),(1725,4435,0.24313,3.0748),(1725,4445,0.24654,3.0706),(1725,4455,0.24995,3.0661),(1725,4465,0.30186,3.0616),(1725,4475,0.4219,3.0571),(1725,4485,0.54194,3.0477),(1725,4495,0.63778,3.0372),(1725,4505,0.65595,3.0267),(1725,4515,0.67412,3.0161),(1725,4525,0.69072,3.0055),(1725,4535,0.68255,2.9948),(1725,4545,0.67438,2.9847),(1725,4555,0.66621,2.9753),(1725,4565,0.49732,2.9659),(1725,4575,0.30677,2.9588),(1725,4585,0.11621,2.9574),(1725,4595,0.12065,2.956),(1725,4605,0.20747,2.9541),(1725,4615,0.2943,2.9477),(1725,4625,0.37254,2.9414),(1725,4635,0.44301,2.935),(1725,4645,0.51348,2.9265),(1725,4655,0.57606,2.9178),(1725,4665,0.62375,2.909),(1725,4675,0.67144,2.8988),(1725,4685,0.68623,2.888),(1725,4695,0.53847,2.8773),(1725,4705,0.39071,2.8701),(1725,4715,0.24295,2.8656),(1725,4725,0.33331,2.861),(1725,4735,0.42605,2.855),(1725,4745,0.51879,2.8469),(1725,4755,0.626,2.8388),(1725,4765,0.73656,2.83),(1725,4775,0.84712,2.8186),(1725,4785,0.89912,2.8071),(1725,4795,0.91726,2.7958),(1725,4805,0.9354,2.7847),(1725,4815,0.90254,2.7737),(1725,4825,0.80869,2.7627),(1725,4835,0.71485,2.7551),(1725,4845,0.61497,2.748),(1725,4855,0.49935,2.7409),(1725,4865,0.38373,2.7358),(1725,4875,0.30292,2.7318),(1725,4885,0.53887,2.7277),(1725,4895,0.77482,2.7189),(1725,4905,1.0108,2.7056),(1725,4915,1.0113,2.6922),(1725,4925,0.99152,2.679),(1725,4935,0.97177,2.6661),(1725,4945,0.89283,2.6532),(1725,4955,0.79337,2.6408),(1725,4965,0.69392,2.6311),(1725,4975,0.54442,2.6213),(1725,4985,0.35629,2.6115),(1725,4995,0.16815,2.6102),(1725,5005,0.15502,2.6092),(1725,5015,0.4201,2.6082),(1725,5025,0.68519,2.5998),(1725,5035,0.91701,2.5895),(1725,5045,1.0221,2.5793),(1725,5055,1.1273,2.5674),(1725,5065,1.2298,2.5545),(1725,5075,1.2474,2.5417),(1725,5085,1.265,2.529),(1725,5095,1.2825,2.5165),(1725,5105,1.1265,2.504),(1725,5115,0.9402,2.4931),(1725,5125,0.7539,2.4867),(1725,5135,0.65019,2.4803),(1725,5145,0.58656,2.4739),(1725,5155,0.52293,2.4679),(1725,5165,0.61943,2.4618),(1725,5175,0.87925,2.4558),(1725,5185,1.1391,2.4419),(1725,5195,1.3225,2.4273),(1725,5205,1.3411,2.4127),(1725,5215,1.3598,2.3984),(1725,5225,1.3709,2.3842),(1725,5235,1.3356,2.37),(1725,5245,1.3003,2.3569),(1725,5255,1.2649,2.3449),(1725,5265,0.88569,2.3328),(1725,5275,0.49229,2.325),(1725,5285,0.098899,2.3247),(1725,5295,0.226,2.3243),(1725,5305,0.49806,2.3215),(1725,5315,0.77011,2.3086),(1725,5325,0.95955,2.2957),(1725,5335,1.0948,2.2828),(1725,5345,1.2301,2.2681),(1725,5355,1.3262,2.2534),(1725,5365,1.3693,2.2387),(1725,5375,1.4125,2.2246),(1725,5385,1.363,2.2107),(1725,5395,1.0316,2.1968),(1725,5405,0.70013,2.1898),(1725,5415,0.39819,2.1862),(1725,5425,0.49217,2.1826),(1725,5435,0.58615,2.1744),(1725,5445,0.68013,2.1612),(1725,5455,0.82273,2.148),(1725,5465,0.97127,2.1324),(1725,5475,1.1198,2.1112),(1725,5485,1.1814,2.09),(1725,5495,1.2079,2.0688),(1725,5505,1.2345,2.0476),(1725,5515,1.2616,2.0263),(1725,5525,1.2893,2.0051),(1725,5535,1.3169,1.9839),(1725,5545,1.3443,1.9627),(1725,5555,1.3712,1.9416),(1725,5565,1.3981,1.9205),(1725,5575,1.4248,1.8995),(1725,5585,1.4504,1.8784),(1725,5595,1.4761,1.8575),(1725,5605,1.5017,1.8367),(1725,5615,1.5261,1.8159),(1725,5625,1.5504,1.7952),(1725,5635,1.5747,1.7747),(1725,5645,1.5979,1.7543),(1725,5655,1.6208,1.7339),(1725,5665,1.6437,1.7137),(1725,5675,1.6658,1.6936),(1725,5685,1.6873,1.6735),(1725,5695,1.7088,1.6537),(1725,5705,1.7297,1.6338),(1725,5715,1.7498,1.614),(1725,5725,1.7699,1.5946),(1725,5735,1.7896,1.5751),(1725,5745,1.8084,1.5557),(1725,5755,1.8272,1.5366),(1725,5765,1.8458,1.5176),(1725,5775,1.8633,1.4985),(1725,5785,1.8808,1.4797),(1725,5795,1.8983,1.461),(1725,5805,1.9146,1.4423),(1725,5815,1.9309,1.4237),(1725,5825,1.9471,1.4054),(1725,5835,1.9625,1.387),(1725,5845,1.9776,1.3687),(1725,5855,1.9927,1.3507),(1725,5865,2.0073,1.3326),(1725,5875,2.0213,1.3146),(1725,5885,2.0354,1.2968),(1725,5895,2.049,1.279),(1725,5905,2.0621,1.2612),(1725,5915,2.0752,1.2437),(1725,5925,2.0881,1.2262),(1725,5935,2.1002,1.2087),(1725,5945,2.1124,1.1913),(1725,5955,2.1246,1.1741),(1725,5965,2.1362,1.1568),(1725,5975,2.1479,1.1397),(1725,5985,2.1596,1.1227),(1725,5995,1.6521,1.1056),(1725,6005,1.0611,1.0926),(1725,6015,0.47013,1.0904),(1725,6025,0.47024,1.0881),(1725,6035,0.74452,1.0848),(1725,6045,1.0188,1.071),(1725,6055,1.2173,1.0572),(1725,6065,1.3416,1.0434),(1725,6075,1.4659,1.0254),(1725,6085,1.5518,1.007),(1725,6095,1.5583,0.98863),(1725,6105,1.5648,0.97007),(1725,6115,1.5713,0.95144),(1725,6125,1.5775,0.93281),(1725,6135,1.5837,0.91416),(1725,6145,1.5899,0.89549),(1725,6155,1.5957,0.87682),(1725,6165,1.6015,0.85811),(1725,6175,1.6073,0.83933),(1725,6185,1.6128,0.82055),(1725,6195,1.6182,0.80176),(1725,6205,1.6236,0.78291),(1725,6215,1.6287,0.76405),(1725,6225,1.6337,0.7452),(1725,6235,1.6387,0.72628),(1725,6245,1.6435,0.70737),(1725,6255,1.6481,0.68845),(1725,6265,1.6527,0.66939),(1725,6275,1.6572,0.65029),(1725,6285,1.6614,0.6312),(1725,6295,1.6656,0.61206),(1725,6305,1.6698,0.5929),(1725,6315,1.6736,0.57374),(1725,6325,1.6774,0.55456),(1725,6335,1.6813,0.53535),(1725,6345,1.6847,0.51614),(1725,6355,1.6881,0.4969),(1725,6365,1.6915,0.47757),(1725,6375,1.6946,0.45825),(1725,6385,1.6976,0.43893),(1725,6395,1.7006,0.41959),(1725,6405,1.7033,0.40025),(1725,6415,1.7059,0.38091),(1725,6425,1.7084,0.36161),(1725,6435,1.7108,0.34231),(1725,6445,1.713,0.32301),(1725,6455,1.7151,0.30368),(1725,6465,1.7172,0.28435),(1725,6475,1.7189,0.26501),(1725,6485,1.7207,0.2456),(1725,6495,1.7225,0.22614),(1725,6505,1.7238,0.20668),(1725,6515,1.7252,0.18719),(1725,6525,1.7266,0.16768),(1725,6535,1.7276,0.14817),(1725,6545,1.7286,0.12866),(1725,6555,1.7295,0.1092),(1725,6565,1.7302,0.089732),(1725,6575,1.7307,0.070268),(1725,6585,1.7312,0.050822),(1725,6595,1.4726,0.031376),(1725,6605,0.92801,0.01193),(1725,6615,0.38342,0.009712),(1725,6625,0.000579,0.009708),(1725,6635,0.000582,0.009704),(1725,6645,0.000585,0.009697),(1725,6655,0.000587,0.009688),(1725,6665,0.00059,0.009679),(1725,6675,0.000592,0.00967),(1725,6685,0.000594,0.009661),(1725,6695,0.000597,0.009652),(1725,6705,0.000599,0.009643),(1725,6715,0.000601,0.009635),(1725,6725,0.000604,0.009626),(1725,6735,0.000606,0.009617),(1725,6745,0.000608,0.009608),(1725,6755,0.00061,0.0096),(1725,6765,0.000612,0.009591),(1725,6775,0.000614,0.009582),(1725,6785,0.000616,0.009573),(1725,6795,0.000618,0.009564),(1725,6805,0.00062,0.009556),(1725,6815,0.000622,0.009547),(1725,6825,0.000624,0.009538),(1725,6835,0.000626,0.009529),(1725,6845,0.000628,0.00952),(1725,6855,0.00063,0.009511),(1725,6865,0.000632,0.009503),(1725,6875,0.000633,0.009494),(1725,6885,0.000635,0.009485),(1725,6895,0.000637,0.009476),(1725,6905,0.000639,0.009467),(1725,6915,0.00064,0.009458),(1725,6925,0.000642,0.00945),(1725,6935,0.000644,0.009441),(1725,6945,0.000645,0.009432),(1725,6955,0.000647,0.009423),(1725,6965,0.000648,0.009415),(1725,6975,0.00065,0.009406),(1725,6985,0.000651,0.009397),(1735,5,5.9e-05,3.6777),(1735,15,0.000176,3.6777),(1735,25,0.000293,3.6777),(1735,35,0.000411,3.6777),(1735,45,0.000528,3.6777),(1735,55,0.000645,3.6777),(1735,65,0.000763,3.6777),(1735,75,0.000881,3.6777),(1735,85,0.000999,3.6777),(1735,95,0.001116,3.6777),(1735,105,0.001235,3.6776),(1735,115,0.001353,3.6776),(1735,125,0.001471,3.6776),(1735,135,0.00159,3.6776),(1735,145,0.001709,3.6776),(1735,155,0.001828,3.6776),(1735,165,0.001948,3.6776),(1735,175,0.002067,3.6776),(1735,185,0.002187,3.6776),(1735,195,0.002308,3.6776),(1735,205,0.002428,3.6775),(1735,215,0.002549,3.6775),(1735,225,0.00267,3.6775),(1735,235,0.002792,3.6775),(1735,245,0.002914,3.6775),(1735,255,0.003036,3.6775),(1735,265,0.00316,3.6775),(1735,275,0.003283,3.6774),(1735,285,0.003407,3.6774),(1735,295,0.003531,3.6774),(1735,305,0.003656,3.6774),(1735,315,0.003782,3.6774),(1735,325,0.003908,3.6773),(1735,335,0.004033,3.6773),(1735,345,0.004161,3.6773),(1735,355,0.004289,3.6773),(1735,365,0.004417,3.6772),(1735,375,0.004545,3.6772),(1735,385,0.004675,3.6772),(1735,395,0.004806,3.6772),(1735,405,0.004937,3.6771),(1735,415,0.005067,3.6771),(1735,425,0.0052,3.6771),(1735,435,0.005334,3.6771),(1735,445,0.005467,3.677),(1735,455,0.0056,3.677),(1735,465,0.005737,3.677),(1735,475,0.005873,3.6769),(1735,485,0.00601,3.6769),(1735,495,0.006146,3.6769),(1735,505,0.006286,3.6768),(1735,515,0.006426,3.6768),(1735,525,0.006566,3.6768),(1735,535,0.006706,3.6767),(1735,545,0.00685,3.6767),(1735,555,0.006994,3.6766),(1735,565,0.007138,3.6766),(1735,575,0.007282,3.6766),(1735,585,0.00743,3.6765),(1735,595,0.007578,3.6765),(1735,605,0.007725,3.6764),(1735,615,0.007874,3.6764),(1735,625,0.008026,3.6763),(1735,635,0.008179,3.6763),(1735,645,0.008331,3.6762),(1735,655,0.008484,3.6762),(1735,665,0.008641,3.6761),(1735,675,0.008798,3.6761),(1735,685,0.008955,3.676),(1735,695,0.009113,3.676),(1735,705,0.009275,3.6759),(1735,715,0.009437,3.6759),(1735,725,0.009599,3.6758),(1735,735,0.009763,3.6758),(1735,745,0.00993,3.6757),(1735,755,0.010097,3.6756),(1735,765,0.010265,3.6756),(1735,775,0.010434,3.6755),(1735,785,0.010607,3.6755),(1735,795,0.01078,3.6754),(1735,805,0.010953,3.6753),(1735,815,0.011128,3.6753),(1735,825,0.011307,3.6752),(1735,835,0.011487,3.6751),(1735,845,0.011666,3.6751),(1735,855,0.011847,3.675),(1735,865,0.012033,3.6749),(1735,875,0.012219,3.6748),(1735,885,0.012405,3.6748),(1735,895,0.012593,3.6747),(1735,905,0.012786,3.6746),(1735,915,0.012979,3.6745),(1735,925,0.013172,3.6745),(1735,935,0.013367,3.6744),(1735,945,0.013567,3.6743),(1735,955,0.013767,3.6742),(1735,965,0.013967,3.6741),(1735,975,0.01417,3.674),(1735,985,0.014377,3.6739),(1735,995,0.014585,3.6739),(1735,1005,0.014792,3.6738),(1735,1015,0.015003,3.6737),(1735,1025,0.015219,3.6736),(1735,1035,0.015434,3.6735),(1735,1045,0.01565,3.6734),(1735,1055,0.01587,3.6733),(1735,1065,0.016093,3.6732),(1735,1075,0.016317,3.6731),(1735,1085,0.016541,3.673),(1735,1095,0.01677,3.6728),(1735,1105,0.017003,3.6727),(1735,1115,0.017235,3.6726),(1735,1125,0.017468,3.6725),(1735,1135,0.017706,3.6724),(1735,1145,0.017948,3.6723),(1735,1155,0.01819,3.6722),(1735,1165,0.018432,3.672),(1735,1175,0.01868,3.6719),(1735,1185,0.018931,3.6718),(1735,1195,0.019183,3.6717),(1735,1205,0.019434,3.6715),(1735,1215,0.019693,3.6714),(1735,1225,0.019954,3.6713),(1735,1235,0.020215,3.6711),(1735,1245,0.020477,3.671),(1735,1255,0.020746,3.6708),(1735,1265,0.021018,3.6707),(1735,1275,0.02129,3.6705),(1735,1285,0.021562,3.6704),(1735,1295,0.021842,3.6702),(1735,1305,0.022124,3.6701),(1735,1315,0.022407,3.6699),(1735,1325,0.022689,3.6698),(1735,1335,0.022981,3.6696),(1735,1345,0.023275,3.6694),(1735,1355,0.023568,3.6693),(1735,1365,0.023862,3.6691),(1735,1375,0.024166,3.6689),(1735,1385,0.024471,3.6688),(1735,1395,0.024776,3.6686),(1735,1405,0.025081,3.6684),(1735,1415,0.025397,3.6682),(1735,1425,0.025715,3.668),(1735,1435,0.026032,3.6678),(1735,1445,0.026349,3.6676),(1735,1455,0.026678,3.6674),(1735,1465,0.027007,3.6672),(1735,1475,0.027337,3.667),(1735,1485,0.027667,3.6668),(1735,1495,0.028009,3.6666),(1735,1505,0.028351,3.6664),(1735,1515,0.028693,3.6661),(1735,1525,0.029035,3.6659),(1735,1535,0.029391,3.6657),(1735,1545,0.029746,3.6655),(1735,1555,0.030101,3.6652),(1735,1565,0.030457,3.665),(1735,1575,0.030825,3.6647),(1735,1585,0.031193,3.6645),(1735,1595,0.031562,3.6642),(1735,1605,0.031931,3.664),(1735,1615,0.032313,3.6637),(1735,1625,0.032695,3.6635),(1735,1635,0.033077,3.6632),(1735,1645,0.03346,3.6629),(1735,1655,0.033856,3.6626),(1735,1665,0.034252,3.6624),(1735,1675,0.034647,3.6621),(1735,1685,0.035045,3.6618),(1735,1695,0.035455,3.6615),(1735,1705,0.035864,3.6612),(1735,1715,0.036274,3.6609),(1735,1725,0.036686,3.6606),(1735,1735,0.03711,3.6603),(1735,1745,0.037533,3.6599),(1735,1755,0.037957,3.6596),(1735,1765,0.038384,3.6593),(1735,1775,0.038822,3.6589),(1735,1785,0.03926,3.6586),(1735,1795,0.039697,3.6582),(1735,1805,0.040139,3.6579),(1735,1815,0.040591,3.6575),(1735,1825,0.041043,3.6572),(1735,1835,0.041495,3.6568),(1735,1845,0.041952,3.6564),(1735,1855,0.042418,3.656),(1735,1865,0.042885,3.6556),(1735,1875,0.043351,3.6552),(1735,1885,0.043822,3.6548),(1735,1895,0.044303,3.6544),(1735,1905,0.044783,3.654),(1735,1915,0.045263,3.6536),(1735,1925,0.045749,3.6532),(1735,1935,0.046243,3.6527),(1735,1945,0.046738,3.6523),(1735,1955,0.047232,3.6518),(1735,1965,0.047732,3.6514),(1735,1975,0.04824,3.6509),(1735,1985,0.048748,3.6504),(1735,1995,0.049255,3.65),(1735,2005,0.04977,3.6495),(1735,2015,0.050291,3.649),(1735,2025,0.050813,3.6485),(1735,2035,0.051334,3.648),(1735,2045,0.051862,3.6475),(1735,2055,0.052396,3.6469),(1735,2065,0.052931,3.6464),(1735,2075,0.053465,3.6459),(1735,2085,0.054007,3.6453),(1735,2095,0.054553,3.6448),(1735,2105,0.0551,3.6442),(1735,2115,0.055647,3.6436),(1735,2125,0.056201,3.643),(1735,2135,0.056759,3.6425),(1735,2145,0.057317,3.6419),(1735,2155,0.057876,3.6412),(1735,2165,0.058441,3.6406),(1735,2175,0.05901,3.64),(1735,2185,0.05958,3.6394),(1735,2195,0.060149,3.6387),(1735,2205,0.060725,3.6381),(1735,2215,0.061305,3.6374),(1735,2225,0.061884,3.6367),(1735,2235,0.062464,3.6361),(1735,2245,0.06305,3.6354),(1735,2255,0.063639,3.6347),(1735,2265,0.064227,3.634),(1735,2275,0.064816,3.6332),(1735,2285,0.06541,3.6325),(1735,2295,0.066007,3.6318),(1735,2305,0.066603,3.631),(1735,2315,0.0672,3.6303),(1735,2325,0.067802,3.6295),(1735,2335,0.068405,3.6287),(1735,2345,0.069008,3.6279),(1735,2355,0.069611,3.6271),(1735,2365,0.070219,3.6263),(1735,2375,0.070827,3.6255),(1735,2385,0.071435,3.6246),(1735,2395,0.072044,3.6238),(1735,2405,0.072655,3.6229),(1735,2415,0.073267,3.6221),(1735,2425,0.073879,3.6212),(1735,2435,0.074491,3.6203),(1735,2445,0.075105,3.6194),(1735,2455,0.075719,3.6185),(1735,2465,0.076332,3.6176),(1735,2475,0.076946,3.6166),(1735,2485,0.07756,3.6157),(1735,2495,0.078174,3.6148),(1735,2505,0.078788,3.6138),(1735,2515,0.079402,3.6128),(1735,2525,0.080013,3.6118),(1735,2535,0.080625,3.6108),(1735,2545,0.081237,3.6098),(1735,2555,0.081849,3.6088),(1735,2565,0.082456,3.6077),(1735,2575,0.083064,3.6067),(1735,2585,0.083671,3.6056),(1735,2595,0.084278,3.6045),(1735,2605,0.084879,3.6035),(1735,2615,0.08548,3.6024),(1735,2625,0.086081,3.6012),(1735,2635,0.08668,3.6001),(1735,2645,0.087272,3.599),(1735,2655,0.087864,3.5979),(1735,2665,0.088456,3.5967),(1735,2675,0.089045,3.5955),(1735,2685,0.089625,3.5943),(1735,2695,0.090206,3.5931),(1735,2705,0.090786,3.5919),(1735,2715,0.091363,3.5907),(1735,2725,0.091929,3.5895),(1735,2735,0.092494,3.5882),(1735,2745,0.09306,3.587),(1735,2755,0.093622,3.5857),(1735,2765,0.09417,3.5844),(1735,2775,0.094719,3.5831),(1735,2785,0.095267,3.5818),(1735,2795,0.09581,3.5805),(1735,2805,0.096338,3.5792),(1735,2815,0.096867,3.5779),(1735,2825,0.097395,3.5765),(1735,2835,0.097916,3.5751),(1735,2845,0.098421,3.5738),(1735,2855,0.098926,3.5724),(1735,2865,0.099431,3.571),(1735,2875,0.099926,3.5696),(1735,2885,0.10041,3.5682),(1735,2895,0.10088,3.5667),(1735,2905,0.10136,3.5653),(1735,2915,0.10183,3.5638),(1735,2925,0.10228,3.5624),(1735,2935,0.10273,3.5609),(1735,2945,0.10318,3.5594),(1735,2955,0.10361,3.5579),(1735,2965,0.10403,3.5564),(1735,2975,0.10444,3.5549),(1735,2985,0.10486,3.5533),(1735,2995,0.10526,3.5518),(1735,3005,0.10564,3.5502),(1735,3015,0.10602,3.5487),(1735,3025,0.1064,3.5471),(1735,3035,0.10676,3.5455),(1735,3045,0.1071,3.5439),(1735,3055,0.10745,3.5423),(1735,3065,0.10779,3.5407),(1735,3075,0.1081,3.5391),(1735,3085,0.1084,3.5375),(1735,3095,0.1087,3.5358),(1735,3105,0.109,3.5342),(1735,3115,0.10927,3.5325),(1735,3125,0.10953,3.5309),(1735,3135,0.10978,3.5292),(1735,3145,0.11004,3.5275),(1735,3155,0.11026,3.5258),(1735,3165,0.11047,3.5242),(1735,3175,0.11067,3.5225),(1735,3185,0.11088,3.5207),(1735,3195,0.11105,3.519),(1735,3205,0.1112,3.5173),(1735,3215,0.11136,3.5156),(1735,3225,0.11151,3.5138),(1735,3235,0.11163,3.5121),(1735,3245,0.11173,3.5104),(1735,3255,0.11183,3.5086),(1735,3265,0.11193,3.5068),(1735,3275,0.11198,3.5051),(1735,3285,0.11203,3.5033),(1735,3295,0.11207,3.5015),(1735,3305,0.11211,3.4998),(1735,3315,0.11211,3.498),(1735,3325,0.11209,3.4962),(1735,3335,0.11208,3.4944),(1735,3345,0.11206,3.4926),(1735,3355,0.11199,3.4908),(1735,3365,0.11192,3.489),(1735,3375,0.11184,3.4872),(1735,3385,0.11176,3.4854),(1735,3395,0.11163,3.4836),(1735,3405,0.11149,3.4818),(1735,3415,0.11135,3.48),(1735,3425,0.11121,3.4781),(1735,3435,0.11101,3.4763),(1735,3445,0.1108,3.4745),(1735,3455,0.1106,3.4727),(1735,3465,0.11039,3.4709),(1735,3475,0.11012,3.4691),(1735,3485,0.10985,3.4672),(1735,3495,0.10957,3.4654),(1735,3505,0.1093,3.4636),(1735,3515,0.10896,3.4618),(1735,3525,0.10862,3.46),(1735,3535,0.10828,3.4582),(1735,3545,0.10793,3.4563),(1735,3555,0.10752,3.4545),(1735,3565,0.10711,3.4527),(1735,3575,0.1067,3.4509),(1735,3585,0.10629,3.4491),(1735,3595,0.10581,3.4473),(1735,3605,0.10533,3.4455),(1735,3615,0.10485,3.4437),(1735,3625,0.10436,3.4419),(1735,3635,0.10381,3.4401),(1735,3645,0.10327,3.4383),(1735,3655,0.10272,3.4366),(1735,3665,0.10216,3.4348),(1735,3675,0.10154,3.433),(1735,3685,0.10092,3.4312),(1735,3695,0.1003,3.4295),(1735,3705,0.099668,3.4277),(1735,3715,0.098981,3.426),(1735,3725,0.098294,3.4242),(1735,3735,0.097607,3.4225),(1735,3745,0.096904,3.4208),(1735,3755,0.096149,3.419),(1735,3765,0.095395,3.4173),(1735,3775,0.094641,3.4156),(1735,3785,0.093868,3.4139),(1735,3795,0.093049,3.4122),(1735,3805,0.092229,3.4105),(1735,3815,0.09141,3.4088),(1735,3825,0.09057,3.4072),(1735,3835,0.089689,3.4055),(1735,3845,0.088807,3.4038),(1735,3855,0.087926,3.4022),(1735,3865,0.087023,3.4005),(1735,3875,0.086084,3.3989),(1735,3885,0.085144,3.3973),(1735,3895,0.084205,3.3956),(1735,3905,0.097507,3.394),(1735,3915,0.13209,3.3924),(1735,3925,0.16666,3.3898),(1735,3935,0.20124,3.3857),(1735,3945,0.23829,3.3816),(1735,3955,0.27845,3.3776),(1735,3965,0.31862,3.3724),(1735,3975,0.35879,3.3658),(1735,3985,0.3824,3.3593),(1735,3995,0.38809,3.3527),(1735,4005,0.39378,3.3461),(1735,4015,0.39947,3.3395),(1735,4025,0.40566,3.3328),(1735,4035,0.4119,3.3261),(1735,4045,0.41814,3.3193),(1735,4055,0.42421,3.3125),(1735,4065,0.43022,3.3057),(1735,4075,0.43624,3.2988),(1735,4085,0.44173,3.292),(1735,4095,0.44682,3.2851),(1735,4105,0.4519,3.2784),(1735,4115,0.43976,3.2717),(1735,4125,0.39906,3.265),(1735,4135,0.35836,3.2602),(1735,4145,0.31703,3.2558),(1735,4155,0.2732,3.2514),(1735,4165,0.22937,3.2482),(1735,4175,0.18814,3.2458),(1735,4185,0.27563,3.2433),(1735,4195,0.36313,3.2387),(1735,4205,0.45062,3.2312),(1735,4215,0.44657,3.2238),(1735,4225,0.4253,3.2163),(1735,4235,0.40402,3.2089),(1735,4245,0.37228,3.2015),(1735,4255,0.33523,3.1942),(1735,4265,0.29818,3.1884),(1735,4275,0.24792,3.1826),(1735,4285,0.18363,3.1768),(1735,4295,0.11935,3.1747),(1735,4305,0.10942,3.1731),(1735,4315,0.22223,3.1714),(1735,4325,0.33503,3.1644),(1735,4335,0.43622,3.1553),(1735,4345,0.45876,3.1462),(1735,4355,0.4813,3.1367),(1735,4365,0.50383,3.1269),(1735,4375,0.51085,3.1171),(1735,4385,0.51705,3.1074),(1735,4395,0.52326,3.0977),(1735,4405,0.45642,3.088),(1735,4415,0.36804,3.0793),(1735,4425,0.27967,3.075),(1735,4435,0.24586,3.0707),(1735,4445,0.24933,3.0664),(1735,4455,0.25281,3.0619),(1735,4465,0.3052,3.0573),(1735,4475,0.42632,3.0527),(1735,4485,0.54744,3.0433),(1735,4495,0.64408,3.0328),(1735,4505,0.66217,3.0223),(1735,4515,0.68026,3.0117),(1735,4525,0.69676,3.0011),(1735,4535,0.68819,2.9904),(1735,4545,0.67963,2.9805),(1735,4555,0.67106,2.9713),(1735,4565,0.50103,2.9621),(1735,4575,0.30924,2.9552),(1735,4585,0.11745,2.9538),(1735,4595,0.12218,2.9525),(1735,4605,0.20996,2.9506),(1735,4615,0.29773,2.9443),(1735,4625,0.37661,2.938),(1735,4635,0.44745,2.9318),(1735,4645,0.51828,2.9231),(1735,4655,0.58123,2.9143),(1735,4665,0.62932,2.9055),(1735,4675,0.6774,2.8951),(1735,4685,0.69236,2.8841),(1735,4695,0.54359,2.8731),(1735,4705,0.39482,2.8658),(1735,4715,0.24606,2.8611),(1735,4725,0.33691,2.8565),(1735,4735,0.43016,2.8504),(1735,4745,0.52341,2.8421),(1735,4755,0.63095,2.8339),(1735,4765,0.7418,2.825),(1735,4775,0.85265,2.8136),(1735,4785,0.90461,2.8021),(1735,4795,0.92253,2.7907),(1735,4805,0.94044,2.7797),(1735,4815,0.90719,2.7687),(1735,4825,0.81278,2.7577),(1735,4835,0.71836,2.7499),(1735,4845,0.61798,2.7427),(1735,4855,0.50207,2.7355),(1735,4865,0.38617,2.7305),(1735,4875,0.30524,2.7264),(1735,4885,0.54257,2.7223),(1735,4895,0.77991,2.7136),(1735,4905,1.0172,2.7002),(1735,4915,1.0178,2.6869),(1735,4925,0.99806,2.6737),(1735,4935,0.97829,2.6608),(1735,4945,0.8991,2.6479),(1735,4955,0.7993,2.6355),(1735,4965,0.6995,2.6256),(1735,4975,0.549,2.6158),(1735,4985,0.35938,2.606),(1735,4995,0.16975,2.6047),(1735,5005,0.15617,2.6037),(1735,5015,0.42245,2.6026),(1735,5025,0.68873,2.5942),(1735,5035,0.92154,2.584),(1735,5045,1.0268,2.5738),(1735,5055,1.1321,2.5619),(1735,5065,1.2348,2.5491),(1735,5075,1.2522,2.5362),(1735,5085,1.2695,2.5236),(1735,5095,1.2868,2.5112),(1735,5105,1.1302,2.4987),(1735,5115,0.94317,2.4879),(1735,5125,0.75616,2.4815),(1735,5135,0.65239,2.4751),(1735,5145,0.589,2.4687),(1735,5155,0.52562,2.4627),(1735,5165,0.62275,2.4566),(1735,5175,0.88358,2.4506),(1735,5185,1.1444,2.4368),(1735,5195,1.3284,2.4223),(1735,5205,1.3469,2.4077),(1735,5215,1.3653,2.3934),(1735,5225,1.3762,2.3793),(1735,5235,1.3405,2.3651),(1735,5245,1.3047,2.3521),(1735,5255,1.269,2.34),(1735,5265,0.88858,2.328),(1735,5275,0.49401,2.3203),(1735,5285,0.099428,2.3199),(1735,5295,0.22791,2.3195),(1735,5305,0.50205,2.3167),(1735,5315,0.77619,2.3039),(1735,5325,0.96631,2.291),(1735,5335,1.1014,2.2781),(1735,5345,1.2364,2.2634),(1735,5355,1.3321,2.2487),(1735,5365,1.3748,2.234),(1735,5375,1.4175,2.22),(1735,5385,1.3673,2.2062),(1735,5395,1.0348,2.1923),(1735,5405,0.70225,2.1852),(1735,5415,0.39943,2.1817),(1735,5425,0.49573,2.1781),(1735,5435,0.59203,2.1699),(1735,5445,0.68833,2.1567),(1735,5455,0.83246,2.1434),(1735,5465,0.98245,2.1278),(1735,5475,1.1324,2.1065),(1735,5485,1.1943,2.0853),(1735,5495,1.2207,2.0641),(1735,5505,1.2472,2.0428),(1735,5515,1.2742,2.0216),(1735,5525,1.3016,2.0003),(1735,5535,1.3291,1.9791),(1735,5545,1.3563,1.958),(1735,5555,1.383,1.9368),(1735,5565,1.4097,1.9158),(1735,5575,1.4362,1.8948),(1735,5585,1.4616,1.8738),(1735,5595,1.487,1.8529),(1735,5605,1.5125,1.8322),(1735,5615,1.5366,1.8114),(1735,5625,1.5607,1.7908),(1735,5635,1.5847,1.7704),(1735,5645,1.6077,1.75),(1735,5655,1.6304,1.7297),(1735,5665,1.6531,1.7096),(1735,5675,1.6749,1.6895),(1735,5685,1.6962,1.6695),(1735,5695,1.7175,1.6498),(1735,5705,1.7381,1.63),(1735,5715,1.758,1.6103),(1735,5725,1.7779,1.5909),(1735,5735,1.7974,1.5716),(1735,5745,1.816,1.5522),(1735,5755,1.8345,1.5332),(1735,5765,1.853,1.5142),(1735,5775,1.8702,1.4953),(1735,5785,1.8875,1.4765),(1735,5795,1.9048,1.4579),(1735,5805,1.921,1.4393),(1735,5815,1.9371,1.4208),(1735,5825,1.9531,1.4025),(1735,5835,1.9684,1.3843),(1735,5845,1.9833,1.366),(1735,5855,1.9983,1.3481),(1735,5865,2.0126,1.3301),(1735,5875,2.0265,1.3121),(1735,5885,2.0404,1.2944),(1735,5895,2.0539,1.2767),(1735,5905,2.0668,1.259),(1735,5915,2.0798,1.2415),(1735,5925,2.0925,1.2241),(1735,5935,2.1045,1.2067),(1735,5945,2.1166,1.1894),(1735,5955,2.1286,1.1723),(1735,5965,2.1401,1.1551),(1735,5975,2.1517,1.138),(1735,5985,2.1632,1.1211),(1735,5995,1.6549,1.1041),(1735,6005,1.0629,1.0912),(1735,6015,0.47088,1.0889),(1735,6025,0.47203,1.0867),(1735,6035,0.74829,1.0834),(1735,6045,1.0245,1.0696),(1735,6055,1.2244,1.0558),(1735,6065,1.3494,1.042),(1735,6075,1.4744,1.024),(1735,6085,1.5607,1.0056),(1735,6095,1.5672,0.98727),(1735,6105,1.5737,0.96872),(1735,6115,1.5802,0.9501),(1735,6125,1.5865,0.93148),(1735,6135,1.5927,0.91283),(1735,6145,1.5989,0.89417),(1735,6155,1.6047,0.87551),(1735,6165,1.6105,0.8568),(1735,6175,1.6164,0.83804),(1735,6185,1.6218,0.81927),(1735,6195,1.6272,0.80049),(1735,6205,1.6326,0.78166),(1735,6215,1.6378,0.76283),(1735,6225,1.6428,0.74399),(1735,6235,1.6478,0.7251),(1735,6245,1.6526,0.70621),(1735,6255,1.6572,0.68732),(1735,6265,1.6618,0.66829),(1735,6275,1.6662,0.64923),(1735,6285,1.6704,0.63017),(1735,6295,1.6746,0.61107),(1735,6305,1.6788,0.59194),(1735,6315,1.6826,0.57282),(1735,6325,1.6865,0.55366),(1735,6335,1.6903,0.53448),(1735,6345,1.6937,0.51529),(1735,6355,1.6972,0.49607),(1735,6365,1.7006,0.47677),(1735,6375,1.7037,0.45746),(1735,6385,1.7067,0.43816),(1735,6395,1.7096,0.41885),(1735,6405,1.7124,0.39954),(1735,6415,1.7149,0.38023),(1735,6425,1.7175,0.36097),(1735,6435,1.7199,0.34171),(1735,6445,1.722,0.32244),(1735,6455,1.7242,0.30316),(1735,6465,1.7263,0.28386),(1735,6475,1.728,0.26457),(1735,6485,1.7298,0.2452),(1735,6495,1.7315,0.22578),(1735,6505,1.7329,0.20636),(1735,6515,1.7342,0.18692),(1735,6525,1.7356,0.16744),(1735,6535,1.7366,0.14796),(1735,6545,1.7376,0.1285),(1735,6555,1.7385,0.10906),(1735,6565,1.7392,0.089629),(1735,6575,1.7397,0.070198),(1735,6585,1.7401,0.05079),(1735,6595,1.4802,0.031383),(1735,6605,0.93282,0.011975),(1735,6615,0.38541,0.009748),(1735,6625,0.000585,0.00973),(1735,6635,0.000587,0.009711),(1735,6645,0.00059,0.009699),(1735,6655,0.000592,0.00969),(1735,6665,0.000595,0.009681),(1735,6675,0.000597,0.009672),(1735,6685,0.0006,0.009664),(1735,6695,0.000602,0.009655),(1735,6705,0.000604,0.009646),(1735,6715,0.000606,0.009637),(1735,6725,0.000609,0.009628),(1735,6735,0.000611,0.009619),(1735,6745,0.000613,0.00961),(1735,6755,0.000615,0.009602),(1735,6765,0.000617,0.009593),(1735,6775,0.000619,0.009584),(1735,6785,0.000621,0.009575),(1735,6795,0.000623,0.009566),(1735,6805,0.000625,0.009558),(1735,6815,0.000627,0.009549),(1735,6825,0.000629,0.00954),(1735,6835,0.000631,0.009531),(1735,6845,0.000633,0.009522),(1735,6855,0.000635,0.009513),(1735,6865,0.000637,0.009504),(1735,6875,0.000638,0.009496),(1735,6885,0.00064,0.009487),(1735,6895,0.000642,0.009478),(1735,6905,0.000644,0.009469),(1735,6915,0.000645,0.00946),(1735,6925,0.000647,0.009451),(1735,6935,0.000649,0.009443),(1735,6945,0.00065,0.009434),(1735,6955,0.000652,0.009425),(1735,6965,0.000653,0.009416),(1735,6975,0.000655,0.009407),(1735,6985,0.000656,0.009398),(1745,5,5.9e-05,3.6778),(1745,15,0.000176,3.6778),(1745,25,0.000293,3.6778),(1745,35,0.00041,3.6778),(1745,45,0.000528,3.6778),(1745,55,0.000645,3.6778),(1745,65,0.000762,3.6778),(1745,75,0.00088,3.6778),(1745,85,0.000998,3.6778),(1745,95,0.001116,3.6778),(1745,105,0.001234,3.6778),(1745,115,0.001352,3.6778),(1745,125,0.001471,3.6778),(1745,135,0.001589,3.6777),(1745,145,0.001708,3.6777),(1745,155,0.001827,3.6777),(1745,165,0.001946,3.6777),(1745,175,0.002066,3.6777),(1745,185,0.002186,3.6777),(1745,195,0.002306,3.6777),(1745,205,0.002427,3.6777),(1745,215,0.002547,3.6777),(1745,225,0.002669,3.6776),(1745,235,0.002791,3.6776),(1745,245,0.002913,3.6776),(1745,255,0.003034,3.6776),(1745,265,0.003158,3.6776),(1745,275,0.003281,3.6776),(1745,285,0.003405,3.6775),(1745,295,0.003528,3.6775),(1745,305,0.003654,3.6775),(1745,315,0.003779,3.6775),(1745,325,0.003905,3.6775),(1745,335,0.004031,3.6774),(1745,345,0.004158,3.6774),(1745,355,0.004287,3.6774),(1745,365,0.004415,3.6774),(1745,375,0.004542,3.6773),(1745,385,0.004673,3.6773),(1745,395,0.004803,3.6773),(1745,405,0.004934,3.6773),(1745,415,0.005064,3.6772),(1745,425,0.005197,3.6772),(1745,435,0.005331,3.6772),(1745,445,0.005464,3.6772),(1745,455,0.005598,3.6771),(1745,465,0.005734,3.6771),(1745,475,0.00587,3.6771),(1745,485,0.006007,3.677),(1745,495,0.006143,3.677),(1745,505,0.006283,3.677),(1745,515,0.006423,3.6769),(1745,525,0.006563,3.6769),(1745,535,0.006703,3.6769),(1745,545,0.006847,3.6768),(1745,555,0.006991,3.6768),(1745,565,0.007135,3.6767),(1745,575,0.007279,3.6767),(1745,585,0.007427,3.6767),(1745,595,0.007575,3.6766),(1745,605,0.007723,3.6766),(1745,615,0.007871,3.6765),(1745,625,0.008023,3.6765),(1745,635,0.008176,3.6764),(1745,645,0.008328,3.6764),(1745,655,0.008481,3.6763),(1745,665,0.008638,3.6763),(1745,675,0.008795,3.6763),(1745,685,0.008952,3.6762),(1745,695,0.009111,3.6761),(1745,705,0.009273,3.6761),(1745,715,0.009435,3.676),(1745,725,0.009597,3.676),(1745,735,0.00976,3.6759),(1745,745,0.009928,3.6759),(1745,755,0.010095,3.6758),(1745,765,0.010263,3.6758),(1745,775,0.010432,3.6757),(1745,785,0.010605,3.6756),(1745,795,0.010778,3.6756),(1745,805,0.010952,3.6755),(1745,815,0.011127,3.6754),(1745,825,0.011306,3.6754),(1745,835,0.011486,3.6753),(1745,845,0.011665,3.6752),(1745,855,0.011847,3.6752),(1745,865,0.012033,3.6751),(1745,875,0.012219,3.675),(1745,885,0.012405,3.675),(1745,895,0.012594,3.6749),(1745,905,0.012787,3.6748),(1745,915,0.01298,3.6747),(1745,925,0.013173,3.6747),(1745,935,0.013369,3.6746),(1745,945,0.013569,3.6745),(1745,955,0.013769,3.6744),(1745,965,0.013969,3.6743),(1745,975,0.014173,3.6742),(1745,985,0.01438,3.6742),(1745,995,0.014588,3.6741),(1745,1005,0.014796,3.674),(1745,1015,0.015008,3.6739),(1745,1025,0.015223,3.6738),(1745,1035,0.015439,3.6737),(1745,1045,0.015655,3.6736),(1745,1055,0.015875,3.6735),(1745,1065,0.016099,3.6734),(1745,1075,0.016324,3.6733),(1745,1085,0.016548,3.6732),(1745,1095,0.016777,3.6731),(1745,1105,0.017011,3.673),(1745,1115,0.017244,3.6729),(1745,1125,0.017477,3.6727),(1745,1135,0.017716,3.6726),(1745,1145,0.017958,3.6725),(1745,1155,0.018201,3.6724),(1745,1165,0.018443,3.6723),(1745,1175,0.018692,3.6722),(1745,1185,0.018944,3.672),(1745,1195,0.019196,3.6719),(1745,1205,0.019448,3.6718),(1745,1215,0.019707,3.6716),(1745,1225,0.019969,3.6715),(1745,1235,0.020232,3.6714),(1745,1245,0.020494,3.6712),(1745,1255,0.020764,3.6711),(1745,1265,0.021036,3.671),(1745,1275,0.021309,3.6708),(1745,1285,0.021582,3.6707),(1745,1295,0.021863,3.6705),(1745,1305,0.022147,3.6704),(1745,1315,0.02243,3.6702),(1745,1325,0.022713,3.6701),(1745,1335,0.023006,3.6699),(1745,1345,0.023301,3.6697),(1745,1355,0.023596,3.6696),(1745,1365,0.02389,3.6694),(1745,1375,0.024195,3.6692),(1745,1385,0.024501,3.6691),(1745,1395,0.024808,3.6689),(1745,1405,0.025114,3.6687),(1745,1415,0.025432,3.6685),(1745,1425,0.02575,3.6683),(1745,1435,0.026069,3.6681),(1745,1445,0.026387,3.6679),(1745,1455,0.026717,3.6677),(1745,1465,0.027048,3.6675),(1745,1475,0.027379,3.6673),(1745,1485,0.02771,3.6671),(1745,1495,0.028054,3.6669),(1745,1505,0.028398,3.6667),(1745,1515,0.028741,3.6665),(1745,1525,0.029085,3.6663),(1745,1535,0.029442,3.666),(1745,1545,0.029799,3.6658),(1745,1555,0.030156,3.6656),(1745,1565,0.030514,3.6653),(1745,1575,0.030884,3.6651),(1745,1585,0.031254,3.6649),(1745,1595,0.031624,3.6646),(1745,1605,0.031996,3.6644),(1745,1615,0.03238,3.6641),(1745,1625,0.032764,3.6639),(1745,1635,0.033148,3.6636),(1745,1645,0.033533,3.6633),(1745,1655,0.033931,3.663),(1745,1665,0.034329,3.6628),(1745,1675,0.034727,3.6625),(1745,1685,0.035127,3.6622),(1745,1695,0.035539,3.6619),(1745,1705,0.035951,3.6616),(1745,1715,0.036363,3.6613),(1745,1725,0.036778,3.661),(1745,1735,0.037204,3.6607),(1745,1745,0.03763,3.6604),(1745,1755,0.038056,3.66),(1745,1765,0.038486,3.6597),(1745,1775,0.038927,3.6594),(1745,1785,0.039368,3.659),(1745,1795,0.039808,3.6587),(1745,1805,0.040253,3.6583),(1745,1815,0.040708,3.658),(1745,1825,0.041163,3.6576),(1745,1835,0.041618,3.6572),(1745,1845,0.042078,3.6569),(1745,1855,0.042548,3.6565),(1745,1865,0.043017,3.6561),(1745,1875,0.043487,3.6557),(1745,1885,0.043962,3.6553),(1745,1895,0.044446,3.6549),(1745,1905,0.04493,3.6545),(1745,1915,0.045414,3.6541),(1745,1925,0.045903,3.6536),(1745,1935,0.046401,3.6532),(1745,1945,0.046899,3.6528),(1745,1955,0.047397,3.6523),(1745,1965,0.047902,3.6519),(1745,1975,0.048413,3.6514),(1745,1985,0.048925,3.651),(1745,1995,0.049437,3.6505),(1745,2005,0.049956,3.65),(1745,2015,0.050481,3.6495),(1745,2025,0.051007,3.649),(1745,2035,0.051533,3.6485),(1745,2045,0.052065,3.648),(1745,2055,0.052604,3.6475),(1745,2065,0.053143,3.6469),(1745,2075,0.053682,3.6464),(1745,2085,0.054229,3.6459),(1745,2095,0.05478,3.6453),(1745,2105,0.055332,3.6447),(1745,2115,0.055883,3.6442),(1745,2125,0.056442,3.6436),(1745,2135,0.057006,3.643),(1745,2145,0.05757,3.6424),(1745,2155,0.058133,3.6418),(1745,2165,0.058704,3.6412),(1745,2175,0.059279,3.6406),(1745,2185,0.059854,3.6399),(1745,2195,0.060428,3.6393),(1745,2205,0.06101,3.6386),(1745,2215,0.061596,3.638),(1745,2225,0.062181,3.6373),(1745,2235,0.062766,3.6366),(1745,2245,0.063358,3.636),(1745,2255,0.063953,3.6353),(1745,2265,0.064547,3.6346),(1745,2275,0.065142,3.6338),(1745,2285,0.065743,3.6331),(1745,2295,0.066346,3.6324),(1745,2305,0.066949,3.6316),(1745,2315,0.067552,3.6309),(1745,2325,0.06816,3.6301),(1745,2335,0.06877,3.6293),(1745,2345,0.06938,3.6285),(1745,2355,0.069989,3.6277),(1745,2365,0.070604,3.6269),(1745,2375,0.071219,3.6261),(1745,2385,0.071834,3.6253),(1745,2395,0.072449,3.6244),(1745,2405,0.073068,3.6236),(1745,2415,0.073687,3.6227),(1745,2425,0.074306,3.6218),(1745,2435,0.074925,3.6209),(1745,2445,0.075546,3.62),(1745,2455,0.076167,3.6191),(1745,2465,0.076788,3.6182),(1745,2475,0.077409,3.6173),(1745,2485,0.078031,3.6163),(1745,2495,0.078652,3.6154),(1745,2505,0.079274,3.6144),(1745,2515,0.079895,3.6134),(1745,2525,0.080515,3.6124),(1745,2535,0.081134,3.6114),(1745,2545,0.081754,3.6104),(1745,2555,0.082373,3.6094),(1745,2565,0.082989,3.6083),(1745,2575,0.083604,3.6073),(1745,2585,0.08422,3.6062),(1745,2595,0.084834,3.6051),(1745,2605,0.085443,3.6041),(1745,2615,0.086052,3.603),(1745,2625,0.086661,3.6018),(1745,2635,0.087269,3.6007),(1745,2645,0.087869,3.5996),(1745,2655,0.088469,3.5984),(1745,2665,0.089069,3.5973),(1745,2675,0.089667,3.5961),(1745,2685,0.090255,3.5949),(1745,2695,0.090844,3.5937),(1745,2705,0.091432,3.5925),(1745,2715,0.092017,3.5913),(1745,2725,0.092591,3.59),(1745,2735,0.093165,3.5888),(1745,2745,0.093739,3.5875),(1745,2755,0.094309,3.5863),(1745,2765,0.094866,3.585),(1745,2775,0.095423,3.5837),(1745,2785,0.09598,3.5824),(1745,2795,0.096531,3.5811),(1745,2805,0.097067,3.5797),(1745,2815,0.097604,3.5784),(1745,2825,0.098141,3.577),(1745,2835,0.09867,3.5756),(1745,2845,0.099183,3.5743),(1745,2855,0.099696,3.5729),(1745,2865,0.10021,3.5715),(1745,2875,0.10071,3.5701),(1745,2885,0.1012,3.5686),(1745,2895,0.10169,3.5672),(1745,2905,0.10217,3.5657),(1745,2915,0.10265,3.5643),(1745,2925,0.10311,3.5628),(1745,2935,0.10356,3.5613),(1745,2945,0.10402,3.5598),(1745,2955,0.10446,3.5583),(1745,2965,0.10489,3.5568),(1745,2975,0.10531,3.5553),(1745,2985,0.10573,3.5537),(1745,2995,0.10614,3.5522),(1745,3005,0.10653,3.5506),(1745,3015,0.10692,3.5491),(1745,3025,0.10731,3.5475),(1745,3035,0.10767,3.5459),(1745,3045,0.10802,3.5443),(1745,3055,0.10837,3.5427),(1745,3065,0.10872,3.541),(1745,3075,0.10904,3.5394),(1745,3085,0.10935,3.5378),(1745,3095,0.10966,3.5361),(1745,3105,0.10996,3.5345),(1745,3115,0.11024,3.5328),(1745,3125,0.1105,3.5312),(1745,3135,0.11076,3.5295),(1745,3145,0.11102,3.5278),(1745,3155,0.11125,3.5261),(1745,3165,0.11146,3.5244),(1745,3175,0.11167,3.5227),(1745,3185,0.11188,3.5209),(1745,3195,0.11206,3.5192),(1745,3205,0.11222,3.5175),(1745,3215,0.11238,3.5157),(1745,3225,0.11254,3.514),(1745,3235,0.11266,3.5122),(1745,3245,0.11276,3.5105),(1745,3255,0.11287,3.5087),(1745,3265,0.11297,3.5069),(1745,3275,0.11304,3.5051),(1745,3285,0.11308,3.5034),(1745,3295,0.11313,3.5016),(1745,3305,0.11318,3.4998),(1745,3315,0.11318,3.498),(1745,3325,0.11317,3.4962),(1745,3335,0.11316,3.4944),(1745,3345,0.11314,3.4926),(1745,3355,0.11308,3.4907),(1745,3365,0.11301,3.4889),(1745,3375,0.11293,3.4871),(1745,3385,0.11286,3.4853),(1745,3395,0.11273,3.4835),(1745,3405,0.11259,3.4816),(1745,3415,0.11245,3.4798),(1745,3425,0.11231,3.478),(1745,3435,0.11212,3.4761),(1745,3445,0.11191,3.4743),(1745,3455,0.11171,3.4725),(1745,3465,0.1115,3.4706),(1745,3475,0.11124,3.4688),(1745,3485,0.11096,3.467),(1745,3495,0.11069,3.4651),(1745,3505,0.11042,3.4633),(1745,3515,0.11008,3.4615),(1745,3525,0.10974,3.4596),(1745,3535,0.1094,3.4578),(1745,3545,0.10906,3.456),(1745,3555,0.10865,3.4541),(1745,3565,0.10824,3.4523),(1745,3575,0.10783,3.4505),(1745,3585,0.10741,3.4487),(1745,3595,0.10694,3.4468),(1745,3605,0.10646,3.445),(1745,3615,0.10598,3.4432),(1745,3625,0.10549,3.4414),(1745,3635,0.10494,3.4396),(1745,3645,0.10439,3.4378),(1745,3655,0.10384,3.436),(1745,3665,0.10328,3.4342),(1745,3675,0.10266,3.4324),(1745,3685,0.10204,3.4306),(1745,3695,0.10142,3.4289),(1745,3705,0.10079,3.4271),(1745,3715,0.1001,3.4253),(1745,3725,0.09941,3.4235),(1745,3735,0.098722,3.4218),(1745,3745,0.098017,3.42),(1745,3755,0.097261,3.4183),(1745,3765,0.096505,3.4166),(1745,3775,0.095749,3.4148),(1745,3785,0.094974,3.4131),(1745,3795,0.094153,3.4114),(1745,3805,0.093331,3.4097),(1745,3815,0.09251,3.408),(1745,3825,0.091668,3.4063),(1745,3835,0.090785,3.4046),(1745,3845,0.089901,3.4029),(1745,3855,0.089017,3.4013),(1745,3865,0.088112,3.3996),(1745,3875,0.087171,3.398),(1745,3885,0.086229,3.3963),(1745,3895,0.085287,3.3947),(1745,3905,0.098752,3.3931),(1745,3915,0.13374,3.3914),(1745,3925,0.16872,3.3888),(1745,3935,0.20371,3.3847),(1745,3945,0.24115,3.3806),(1745,3955,0.2817,3.3765),(1745,3965,0.32225,3.3713),(1745,3975,0.36279,3.3647),(1745,3985,0.3866,3.358),(1745,3995,0.39228,3.3514),(1745,4005,0.39797,3.3448),(1745,4015,0.40365,3.3381),(1745,4025,0.40985,3.3313),(1745,4035,0.41609,3.3246),(1745,4045,0.42233,3.3177),(1745,4055,0.4284,3.3109),(1745,4065,0.43439,3.304),(1745,4075,0.44038,3.2971),(1745,4085,0.44583,3.2902),(1745,4095,0.45083,3.2833),(1745,4105,0.45583,3.2765),(1745,4115,0.44346,3.2698),(1745,4125,0.40229,3.263),(1745,4135,0.36112,3.2581),(1745,4145,0.31936,3.2536),(1745,4155,0.27519,3.2491),(1745,4165,0.23103,3.2459),(1745,4175,0.18949,3.2434),(1745,4185,0.27801,3.2408),(1745,4195,0.36653,3.2362),(1745,4205,0.45504,3.2287),(1745,4215,0.45123,3.2211),(1745,4225,0.43005,3.2136),(1745,4235,0.40887,3.2062),(1745,4245,0.37697,3.1987),(1745,4255,0.33964,3.1914),(1745,4265,0.30231,3.185547),(1745,4275,0.25147,3.1797),(1745,4285,0.1863,3.1739),(1745,4295,0.12113,3.1717),(1745,4305,0.1111,3.1701),(1745,4315,0.22558,3.1684),(1745,4325,0.34005,3.1613),(1745,4335,0.4427,3.1521),(1745,4345,0.46527,3.1428),(1745,4355,0.48784,3.1333),(1745,4365,0.51041,3.1234),(1745,4375,0.51734,3.1136),(1745,4385,0.52344,3.1038),(1745,4395,0.52955,3.0941),(1745,4405,0.46182,3.0843),(1745,4415,0.37232,3.0756),(1745,4425,0.28281,3.0712),(1745,4435,0.24858,3.0668),(1745,4445,0.25212,3.0624),(1745,4455,0.25567,3.0577),(1745,4465,0.30855,3.0531),(1745,4475,0.43075,3.0485),(1745,4485,0.55294,3.039),(1745,4495,0.65038,3.0284),(1745,4505,0.66839,3.0179),(1745,4515,0.6864,3.0073),(1745,4525,0.7028,2.9967),(1745,4535,0.69384,2.9862),(1745,4545,0.68487,2.9763),(1745,4555,0.67591,2.9672),(1745,4565,0.50474,2.9581),(1745,4575,0.31172,2.9513),(1745,4585,0.11869,2.9501),(1745,4595,0.12372,2.9488),(1745,4605,0.21244,2.9469),(1745,4615,0.30116,2.9407),(1745,4625,0.38069,2.9344),(1745,4635,0.45188,2.9281),(1745,4645,0.52308,2.9194),(1745,4655,0.58641,2.9104),(1745,4665,0.63489,2.9014),(1745,4675,0.68337,2.8908),(1745,4685,0.69848,2.8797),(1745,4695,0.54871,2.8686),(1745,4705,0.39894,2.8612),(1745,4715,0.24916,2.8564),(1745,4725,0.34051,2.8517),(1745,4735,0.43427,2.8456),(1745,4745,0.52803,2.8373),(1745,4755,0.6359,2.829),(1745,4765,0.74704,2.82),(1745,4775,0.85819,2.8086),(1745,4785,0.91011,2.7972),(1745,4795,0.9278,2.7858),(1745,4805,0.94548,2.7747),(1745,4815,0.91185,2.7637),(1745,4825,0.81686,2.7526),(1745,4835,0.72187,2.7448),(1745,4845,0.621,2.7375),(1745,4855,0.5048,2.7301),(1745,4865,0.38861,2.725),(1745,4875,0.30756,2.721),(1745,4885,0.54628,2.7169),(1745,4895,0.78499,2.7081),(1745,4905,1.0237,2.6948),(1745,4915,1.0244,2.6815),(1745,4925,1.0046,2.6683),(1745,4935,0.98482,2.6554),(1745,4945,0.90536,2.6424),(1745,4955,0.80522,2.63),(1745,4965,0.70507,2.6201),(1745,4975,0.55359,2.6102),(1745,4985,0.36247,2.6004),(1745,4995,0.17135,2.5991),(1745,5005,0.15731,2.598),(1745,5015,0.42479,2.597),(1745,5025,0.69226,2.5886),(1745,5035,0.92606,2.5784),(1745,5045,1.0315,2.5682),(1745,5055,1.137,2.5564),(1745,5065,1.2398,2.5436),(1745,5075,1.2569,2.5308),(1745,5085,1.274,2.5181),(1745,5095,1.2912,2.5058),(1745,5105,1.1339,2.4934),(1745,5115,0.94614,2.4826),(1745,5125,0.75842,2.4762),(1745,5135,0.65458,2.4698),(1745,5145,0.59145,2.4635),(1745,5155,0.52832,2.4574),(1745,5165,0.62607,2.4514),(1745,5175,0.88792,2.4454),(1745,5185,1.1498,2.4317),(1745,5195,1.3344,2.4171),(1745,5205,1.3526,2.4026),(1745,5215,1.3708,2.3884),(1745,5225,1.3815,2.3743),(1745,5235,1.3453,2.3601),(1745,5245,1.3092,2.3472),(1745,5255,1.273,2.3352),(1745,5265,0.89148,2.3232),(1745,5275,0.49572,2.3155),(1745,5285,0.099957,2.3151),(1745,5295,0.22981,2.3147),(1745,5305,0.50604,2.3119),(1745,5315,0.78226,2.299),(1745,5325,0.97308,2.2861),(1745,5335,1.1079,2.2732),(1745,5345,1.2427,2.2586),(1745,5355,1.3381,2.2439),(1745,5365,1.3803,2.2293),(1745,5375,1.4225,2.2153),(1745,5385,1.3717,2.2015),(1745,5395,1.038,2.1877),(1745,5405,0.70436,2.1806),(1745,5415,0.40066,2.1771),(1745,5425,0.49928,2.1735),(1745,5435,0.5979,2.1653),(1745,5445,0.69653,2.152),(1745,5455,0.8422,2.1388),(1745,5465,0.99362,2.1231),(1745,5475,1.145,2.1018),(1745,5485,1.2073,2.0805),(1745,5495,1.2335,2.0593),(1745,5505,1.2598,2.038),(1745,5515,1.2867,2.0167),(1745,5525,1.314,1.9955),(1745,5535,1.3413,1.9743),(1745,5545,1.3683,1.9532),(1745,5555,1.3948,1.9321),(1745,5565,1.4213,1.9111),(1745,5575,1.4476,1.8901),(1745,5585,1.4728,1.8692),(1745,5595,1.498,1.8484),(1745,5605,1.5232,1.8276),(1745,5615,1.5471,1.8069),(1745,5625,1.5709,1.7864),(1745,5635,1.5948,1.766),(1745,5645,1.6175,1.7457),(1745,5655,1.64,1.7255),(1745,5665,1.6624,1.7055),(1745,5675,1.684,1.6855),(1745,5685,1.705,1.6655),(1745,5695,1.7261,1.6459),(1745,5705,1.7465,1.6262),(1745,5715,1.7662,1.6066),(1745,5725,1.7859,1.5872),(1745,5735,1.8052,1.568),(1745,5745,1.8235,1.5487),(1745,5755,1.8419,1.5297),(1745,5765,1.8601,1.5109),(1745,5775,1.8772,1.492),(1745,5785,1.8943,1.4733),(1745,5795,1.9114,1.4548),(1745,5805,1.9274,1.4363),(1745,5815,1.9433,1.4179),(1745,5825,1.9592,1.3997),(1745,5835,1.9742,1.3815),(1745,5845,1.989,1.3633),(1745,5855,2.0038,1.3454),(1745,5865,2.018,1.3275),(1745,5875,2.0317,1.3096),(1745,5885,2.0454,1.292),(1745,5895,2.0588,1.2744),(1745,5905,2.0716,1.2568),(1745,5915,2.0844,1.2394),(1745,5925,2.097,1.222),(1745,5935,2.1089,1.2047),(1745,5945,2.1208,1.1875),(1745,5955,2.1326,1.1704),(1745,5965,2.1441,1.1533),(1745,5975,2.1555,1.1363),(1745,5985,2.1669,1.1194),(1745,5995,1.6577,1.1025),(1745,6005,1.0646,1.0897),(1745,6015,0.47163,1.0874),(1745,6025,0.47382,1.0852),(1745,6035,0.75206,1.0819),(1745,6045,1.0303,1.0681),(1745,6055,1.2315,1.0543),(1745,6065,1.3572,1.0406),(1745,6075,1.4829,1.0226),(1745,6085,1.5696,1.0042),(1745,6095,1.5761,0.98586),(1745,6105,1.5827,0.96732),(1745,6115,1.5892,0.94872),(1745,6125,1.5954,0.93011),(1745,6135,1.6016,0.91148),(1745,6145,1.6079,0.89283),(1745,6155,1.6137,0.87418),(1745,6165,1.6196,0.85549),(1745,6175,1.6254,0.83673),(1745,6185,1.6309,0.81798),(1745,6195,1.6363,0.79921),(1745,6205,1.6417,0.78039),(1745,6215,1.6469,0.76157),(1745,6225,1.6519,0.74275),(1745,6235,1.6568,0.72389),(1745,6245,1.6617,0.70502),(1745,6255,1.6662,0.68615),(1745,6265,1.6708,0.66715),(1745,6275,1.6753,0.64813),(1745,6285,1.6795,0.6291),(1745,6295,1.6837,0.61003),(1745,6305,1.6879,0.59094),(1745,6315,1.6917,0.57185),(1745,6325,1.6955,0.55273),(1745,6335,1.6993,0.53357),(1745,6345,1.7028,0.51442),(1745,6355,1.7062,0.49523),(1745,6365,1.7096,0.47595),(1745,6375,1.7127,0.45667),(1745,6385,1.7157,0.43739),(1745,6395,1.7187,0.41811),(1745,6405,1.7214,0.39883),(1745,6415,1.724,0.37955),(1745,6425,1.7266,0.36032),(1745,6435,1.729,0.34109),(1745,6445,1.7311,0.32186),(1745,6455,1.7333,0.30261),(1745,6465,1.7353,0.28335),(1745,6475,1.7371,0.2641),(1745,6485,1.7388,0.24478),(1745,6495,1.7406,0.2254),(1745,6505,1.7419,0.20602),(1745,6515,1.7433,0.18662),(1745,6525,1.7446,0.16718),(1745,6535,1.7456,0.14774),(1745,6545,1.7466,0.12831),(1745,6555,1.7475,0.10891),(1745,6565,1.7482,0.089514),(1745,6575,1.7486,0.070117),(1745,6585,1.7491,0.050744),(1745,6595,1.4879,0.031371),(1745,6605,0.93763,0.011998),(1745,6615,0.38739,0.009769),(1745,6625,0.00059,0.009742),(1745,6635,0.000592,0.009716),(1745,6645,0.000595,0.009702),(1745,6655,0.000597,0.009693),(1745,6665,0.0006,0.009684),(1745,6675,0.000602,0.009675),(1745,6685,0.000605,0.009666),(1745,6695,0.000607,0.009657),(1745,6705,0.000609,0.009648),(1745,6715,0.000612,0.009639),(1745,6725,0.000614,0.00963),(1745,6735,0.000616,0.009622),(1745,6745,0.000618,0.009613),(1745,6755,0.00062,0.009604),(1745,6765,0.000622,0.009595),(1745,6775,0.000624,0.009586),(1745,6785,0.000627,0.009577),(1745,6795,0.000629,0.009568),(1745,6805,0.00063,0.00956),(1745,6815,0.000632,0.009551),(1745,6825,0.000634,0.009542),(1745,6835,0.000636,0.009533),(1745,6845,0.000638,0.009524),(1745,6855,0.00064,0.009515),(1745,6865,0.000642,0.009506),(1745,6875,0.000643,0.009497),(1745,6885,0.000645,0.009489),(1745,6895,0.000647,0.00948),(1745,6905,0.000649,0.009471),(1745,6915,0.00065,0.009462),(1745,6925,0.000652,0.009453),(1745,6935,0.000654,0.009444),(1745,6945,0.000655,0.009435),(1745,6955,0.000657,0.009427),(1745,6965,0.000658,0.009418),(1745,6975,0.00066,0.009409),(1745,6985,0.000661,0.0094),(1755,5,5.9e-05,3.6779),(1755,15,0.000176,3.6779),(1755,25,0.000293,3.6779),(1755,35,0.00041,3.6779),(1755,45,0.000527,3.6779),(1755,55,0.000645,3.6779),(1755,65,0.000762,3.6779),(1755,75,0.00088,3.6779),(1755,85,0.000997,3.6779),(1755,95,0.001115,3.6779),(1755,105,0.001233,3.6779),(1755,115,0.001351,3.6779),(1755,125,0.00147,3.6779),(1755,135,0.001588,3.6779),(1755,145,0.001707,3.6779),(1755,155,0.001826,3.6778),(1755,165,0.001945,3.6778),(1755,175,0.002064,3.6778),(1755,185,0.002184,3.6778),(1755,195,0.002305,3.6778),(1755,205,0.002425,3.6778),(1755,215,0.002546,3.6778),(1755,225,0.002667,3.6778),(1755,235,0.002789,3.6777),(1755,245,0.002911,3.6777),(1755,255,0.003032,3.6777),(1755,265,0.003156,3.6777),(1755,275,0.003279,3.6777),(1755,285,0.003403,3.6777),(1755,295,0.003526,3.6776),(1755,305,0.003651,3.6776),(1755,315,0.003777,3.6776),(1755,325,0.003903,3.6776),(1755,335,0.004028,3.6776),(1755,345,0.004156,3.6775),(1755,355,0.004284,3.6775),(1755,365,0.004412,3.6775),(1755,375,0.00454,3.6775),(1755,385,0.00467,3.6775),(1755,395,0.004801,3.6774),(1755,405,0.004931,3.6774),(1755,415,0.005062,3.6774),(1755,425,0.005195,3.6773),(1755,435,0.005328,3.6773),(1755,445,0.005461,3.6773),(1755,455,0.005595,3.6773),(1755,465,0.005731,3.6772),(1755,475,0.005868,3.6772),(1755,485,0.006004,3.6772),(1755,495,0.00614,3.6771),(1755,505,0.00628,3.6771),(1755,515,0.00642,3.6771),(1755,525,0.00656,3.677),(1755,535,0.0067,3.677),(1755,545,0.006844,3.677),(1755,555,0.006988,3.6769),(1755,565,0.007132,3.6769),(1755,575,0.007276,3.6768),(1755,585,0.007424,3.6768),(1755,595,0.007572,3.6768),(1755,605,0.007719,3.6767),(1755,615,0.007868,3.6767),(1755,625,0.00802,3.6766),(1755,635,0.008173,3.6766),(1755,645,0.008325,3.6765),(1755,655,0.008478,3.6765),(1755,665,0.008635,3.6765),(1755,675,0.008792,3.6764),(1755,685,0.00895,3.6764),(1755,695,0.009108,3.6763),(1755,705,0.00927,3.6763),(1755,715,0.009432,3.6762),(1755,725,0.009595,3.6762),(1755,735,0.009758,3.6761),(1755,745,0.009926,3.676),(1755,755,0.010093,3.676),(1755,765,0.010261,3.6759),(1755,775,0.01043,3.6759),(1755,785,0.010604,3.6758),(1755,795,0.010777,3.6758),(1755,805,0.01095,3.6757),(1755,815,0.011126,3.6756),(1755,825,0.011305,3.6756),(1755,835,0.011485,3.6755),(1755,845,0.011664,3.6754),(1755,855,0.011846,3.6754),(1755,865,0.012033,3.6753),(1755,875,0.012219,3.6752),(1755,885,0.012405,3.6751),(1755,895,0.012594,3.6751),(1755,905,0.012787,3.675),(1755,915,0.01298,3.6749),(1755,925,0.013174,3.6748),(1755,935,0.01337,3.6748),(1755,945,0.01357,3.6747),(1755,955,0.013771,3.6746),(1755,965,0.013971,3.6745),(1755,975,0.014175,3.6744),(1755,985,0.014383,3.6744),(1755,995,0.014591,3.6743),(1755,1005,0.014799,3.6742),(1755,1015,0.015012,3.6741),(1755,1025,0.015228,3.674),(1755,1035,0.015444,3.6739),(1755,1045,0.01566,3.6738),(1755,1055,0.015881,3.6737),(1755,1065,0.016106,3.6736),(1755,1075,0.01633,3.6735),(1755,1085,0.016555,3.6734),(1755,1095,0.016785,3.6733),(1755,1105,0.017019,3.6732),(1755,1115,0.017252,3.6731),(1755,1125,0.017486,3.673),(1755,1135,0.017725,3.6729),(1755,1145,0.017968,3.6728),(1755,1155,0.018211,3.6726),(1755,1165,0.018454,3.6725),(1755,1175,0.018704,3.6724),(1755,1185,0.018956,3.6723),(1755,1195,0.019209,3.6722),(1755,1205,0.019462,3.672),(1755,1215,0.019722,3.6719),(1755,1225,0.019985,3.6718),(1755,1235,0.020248,3.6716),(1755,1245,0.020511,3.6715),(1755,1255,0.020781,3.6714),(1755,1265,0.021055,3.6712),(1755,1275,0.021329,3.6711),(1755,1285,0.021602,3.6709),(1755,1295,0.021884,3.6708),(1755,1305,0.022169,3.6707),(1755,1315,0.022453,3.6705),(1755,1325,0.022738,3.6703),(1755,1335,0.023031,3.6702),(1755,1345,0.023327,3.67),(1755,1355,0.023623,3.6699),(1755,1365,0.023919,3.6697),(1755,1375,0.024225,3.6695),(1755,1385,0.024532,3.6694),(1755,1395,0.02484,3.6692),(1755,1405,0.025147,3.669),(1755,1415,0.025466,3.6688),(1755,1425,0.025786,3.6686),(1755,1435,0.026105,3.6685),(1755,1445,0.026425,3.6683),(1755,1455,0.026757,3.6681),(1755,1465,0.027089,3.6679),(1755,1475,0.027422,3.6677),(1755,1485,0.027754,3.6675),(1755,1495,0.028099,3.6673),(1755,1505,0.028444,3.6671),(1755,1515,0.02879,3.6668),(1755,1525,0.029135,3.6666),(1755,1535,0.029494,3.6664),(1755,1545,0.029853,3.6662),(1755,1555,0.030211,3.666),(1755,1565,0.030571,3.6657),(1755,1575,0.030943,3.6655),(1755,1585,0.031315,3.6652),(1755,1595,0.031687,3.665),(1755,1605,0.032061,3.6647),(1755,1615,0.032447,3.6645),(1755,1625,0.032832,3.6642),(1755,1635,0.033218,3.664),(1755,1645,0.033606,3.6637),(1755,1655,0.034006,3.6634),(1755,1665,0.034406,3.6632),(1755,1675,0.034806,3.6629),(1755,1685,0.035209,3.6626),(1755,1695,0.035623,3.6623),(1755,1705,0.036038,3.662),(1755,1715,0.036452,3.6617),(1755,1725,0.03687,3.6614),(1755,1735,0.037298,3.6611),(1755,1745,0.037727,3.6608),(1755,1755,0.038156,3.6605),(1755,1765,0.038589,3.6601),(1755,1775,0.039032,3.6598),(1755,1785,0.039476,3.6595),(1755,1795,0.039919,3.6591),(1755,1805,0.040367,3.6588),(1755,1815,0.040825,3.6584),(1755,1825,0.041283,3.6581),(1755,1835,0.041741,3.6577),(1755,1845,0.042205,3.6573),(1755,1855,0.042677,3.657),(1755,1865,0.04315,3.6566),(1755,1875,0.043623,3.6562),(1755,1885,0.044102,3.6558),(1755,1895,0.044589,3.6554),(1755,1905,0.045077,3.655),(1755,1915,0.045564,3.6546),(1755,1925,0.046058,3.6541),(1755,1935,0.046559,3.6537),(1755,1945,0.047061,3.6533),(1755,1955,0.047563,3.6528),(1755,1965,0.048071,3.6524),(1755,1975,0.048587,3.6519),(1755,1985,0.049103,3.6515),(1755,1995,0.049619,3.651),(1755,2005,0.050142,3.6505),(1755,2015,0.050672,3.65),(1755,2025,0.051202,3.6495),(1755,2035,0.051732,3.649),(1755,2045,0.052269,3.6485),(1755,2055,0.052812,3.648),(1755,2065,0.053356,3.6475),(1755,2075,0.0539,3.6469),(1755,2085,0.054451,3.6464),(1755,2095,0.055007,3.6459),(1755,2105,0.055564,3.6453),(1755,2115,0.05612,3.6447),(1755,2125,0.056684,3.6442),(1755,2135,0.057253,3.6436),(1755,2145,0.057822,3.643),(1755,2155,0.058391,3.6424),(1755,2165,0.058967,3.6418),(1755,2175,0.059547,3.6412),(1755,2185,0.060128,3.6405),(1755,2195,0.060708,3.6399),(1755,2205,0.061296,3.6392),(1755,2215,0.061886,3.6386),(1755,2225,0.062477,3.6379),(1755,2235,0.063068,3.6372),(1755,2245,0.063667,3.6366),(1755,2255,0.064267,3.6359),(1755,2265,0.064868,3.6352),(1755,2275,0.065469,3.6344),(1755,2285,0.066076,3.6337),(1755,2295,0.066685,3.633),(1755,2305,0.067294,3.6322),(1755,2315,0.067903,3.6315),(1755,2325,0.068518,3.6307),(1755,2335,0.069135,3.6299),(1755,2345,0.069751,3.6291),(1755,2355,0.070367,3.6283),(1755,2365,0.070989,3.6275),(1755,2375,0.071611,3.6267),(1755,2385,0.072233,3.6259),(1755,2395,0.072855,3.625),(1755,2405,0.07348,3.6242),(1755,2415,0.074107,3.6233),(1755,2425,0.074733,3.6225),(1755,2435,0.075359,3.6216),(1755,2445,0.075987,3.6207),(1755,2455,0.076616,3.6198),(1755,2465,0.077244,3.6188),(1755,2475,0.077873,3.6179),(1755,2485,0.078502,3.617),(1755,2495,0.079131,3.616),(1755,2505,0.07976,3.615),(1755,2515,0.080388,3.614),(1755,2525,0.081016,3.6131),(1755,2535,0.081643,3.6121),(1755,2545,0.08227,3.611),(1755,2555,0.082898,3.61),(1755,2565,0.083521,3.609),(1755,2575,0.084144,3.6079),(1755,2585,0.084768,3.6068),(1755,2595,0.085391,3.6058),(1755,2605,0.086008,3.6047),(1755,2615,0.086625,3.6036),(1755,2625,0.087242,3.6025),(1755,2635,0.087858,3.6013),(1755,2645,0.088466,3.6002),(1755,2655,0.089074,3.5991),(1755,2665,0.089682,3.5979),(1755,2675,0.090288,3.5967),(1755,2685,0.090885,3.5955),(1755,2695,0.091481,3.5943),(1755,2705,0.092078,3.5931),(1755,2715,0.092672,3.5919),(1755,2725,0.093254,3.5906),(1755,2735,0.093836,3.5894),(1755,2745,0.094419,3.5881),(1755,2755,0.094997,3.5868),(1755,2765,0.095562,3.5856),(1755,2775,0.096127,3.5843),(1755,2785,0.096692,3.5829),(1755,2795,0.097251,3.5816),(1755,2805,0.097796,3.5803),(1755,2815,0.098341,3.5789),(1755,2825,0.098886,3.5776),(1755,2835,0.099424,3.5762),(1755,2845,0.099945,3.5748),(1755,2855,0.10047,3.5734),(1755,2865,0.10099,3.572),(1755,2875,0.1015,3.5706),(1755,2885,0.10199,3.5691),(1755,2895,0.10249,3.5677),(1755,2905,0.10298,3.5662),(1755,2915,0.10347,3.5648),(1755,2925,0.10393,3.5633),(1755,2935,0.1044,3.5618),(1755,2945,0.10486,3.5603),(1755,2955,0.10531,3.5588),(1755,2965,0.10574,3.5572),(1755,2975,0.10618,3.5557),(1755,2985,0.10661,3.5542),(1755,2995,0.10702,3.5526),(1755,3005,0.10742,3.551),(1755,3015,0.10781,3.5495),(1755,3025,0.10821,3.5479),(1755,3035,0.10858,3.5463),(1755,3045,0.10894,3.5447),(1755,3055,0.10929,3.543),(1755,3065,0.10965,3.5414),(1755,3075,0.10998,3.5398),(1755,3085,0.11029,3.5381),(1755,3095,0.11061,3.5365),(1755,3105,0.11092,3.5348),(1755,3115,0.1112,3.5331),(1755,3125,0.11147,3.5314),(1755,3135,0.11174,3.5297),(1755,3145,0.112,3.528),(1755,3155,0.11224,3.5263),(1755,3165,0.11246,3.5246),(1755,3175,0.11267,3.5229),(1755,3185,0.11289,3.5211),(1755,3195,0.11307,3.5194),(1755,3205,0.11324,3.5176),(1755,3215,0.1134,3.5159),(1755,3225,0.11357,3.5141),(1755,3235,0.11369,3.5123),(1755,3245,0.1138,3.5106),(1755,3255,0.11391,3.5088),(1755,3265,0.11402,3.507),(1755,3275,0.11409,3.5052),(1755,3285,0.11414,3.5034),(1755,3295,0.11419,3.5016),(1755,3305,0.11425,3.4998),(1755,3315,0.11425,3.498),(1755,3325,0.11424,3.4962),(1755,3335,0.11423,3.4944),(1755,3345,0.11423,3.4925),(1755,3355,0.11417,3.4907),(1755,3365,0.11409,3.4889),(1755,3375,0.11402,3.487),(1755,3385,0.11395,3.4852),(1755,3395,0.11383,3.4833),(1755,3405,0.11369,3.4815),(1755,3415,0.11356,3.4797),(1755,3425,0.11342,3.4778),(1755,3435,0.11322,3.476),(1755,3445,0.11302,3.4741),(1755,3455,0.11282,3.4723),(1755,3465,0.11262,3.4704),(1755,3475,0.11235,3.4686),(1755,3485,0.11208,3.4667),(1755,3495,0.11181,3.4648),(1755,3505,0.11154,3.463),(1755,3515,0.1112,3.4611),(1755,3525,0.11086,3.4593),(1755,3535,0.11052,3.4574),(1755,3545,0.11018,3.4556),(1755,3555,0.10977,3.4537),(1755,3565,0.10936,3.4519),(1755,3575,0.10896,3.4501),(1755,3585,0.10854,3.4482),(1755,3595,0.10806,3.4464),(1755,3605,0.10758,3.4445),(1755,3615,0.1071,3.4427),(1755,3625,0.10661,3.4409),(1755,3635,0.10606,3.4391),(1755,3645,0.10551,3.4372),(1755,3655,0.10496,3.4354),(1755,3665,0.1044,3.4336),(1755,3675,0.10378,3.4318),(1755,3685,0.10316,3.43),(1755,3695,0.10254,3.4282),(1755,3705,0.10191,3.4264),(1755,3715,0.10122,3.4246),(1755,3725,0.10053,3.4228),(1755,3735,0.099836,3.4211),(1755,3745,0.09913,3.4193),(1755,3755,0.098372,3.4176),(1755,3765,0.097614,3.4158),(1755,3775,0.096856,3.4141),(1755,3785,0.09608,3.4123),(1755,3795,0.095257,3.4106),(1755,3805,0.094433,3.4089),(1755,3815,0.09361,3.4071),(1755,3825,0.092766,3.4054),(1755,3835,0.09188,3.4037),(1755,3845,0.090994,3.402),(1755,3855,0.090108,3.4004),(1755,3865,0.089202,3.3987),(1755,3875,0.088257,3.397),(1755,3885,0.087313,3.3954),(1755,3895,0.086369,3.3937),(1755,3905,0.099996,3.3921),(1755,3915,0.13539,3.3905),(1755,3925,0.17078,3.3878),(1755,3935,0.20618,3.3837),(1755,3945,0.24401,3.3795),(1755,3955,0.28494,3.3754),(1755,3965,0.32587,3.3701),(1755,3975,0.3668,3.3635),(1755,3985,0.3908,3.3568),(1755,3995,0.39648,3.3502),(1755,4005,0.40215,3.3434),(1755,4015,0.40783,3.3367),(1755,4025,0.41403,3.3299),(1755,4035,0.42028,3.3231),(1755,4045,0.42653,3.3162),(1755,4055,0.43258,3.3092),(1755,4065,0.43856,3.3023),(1755,4075,0.44453,3.2954),(1755,4085,0.44992,3.2884),(1755,4095,0.45485,3.2814),(1755,4105,0.45977,3.2746),(1755,4115,0.44717,3.2678),(1755,4125,0.40553,3.2609),(1755,4135,0.36389,3.2559),(1755,4145,0.32168,3.2513),(1755,4155,0.27718,3.2468),(1755,4165,0.23269,3.2434),(1755,4175,0.19085,3.2408),(1755,4185,0.28039,3.2383),(1755,4195,0.36993,3.2335),(1755,4205,0.45947,3.2259),(1755,4215,0.4559,3.2184),(1755,4225,0.4348,3.2108),(1755,4235,0.41371,3.2033),(1755,4245,0.38166,3.1958),(1755,4255,0.34405,3.1885),(1755,4265,0.30643,3.1826),(1755,4275,0.25502,3.1767),(1755,4285,0.18897,3.1708),(1755,4295,0.12292,3.1687),(1755,4305,0.11279,3.167),(1755,4315,0.22893,3.1653),(1755,4325,0.34507,3.1582),(1755,4335,0.44918,3.1489),(1755,4345,0.47179,3.1396),(1755,4355,0.49439,3.13),(1755,4365,0.517,3.1202),(1755,4375,0.52383,3.1103),(1755,4385,0.52983,3.1005),(1755,4395,0.53584,3.0907),(1755,4405,0.46722,3.0809),(1755,4415,0.37659,3.072),(1755,4425,0.28596,3.0675),(1755,4435,0.25131,3.0629),(1755,4445,0.25492,3.0584),(1755,4455,0.25852,3.0537),(1755,4465,0.31189,3.049),(1755,4475,0.43517,3.0443),(1755,4485,0.55844,3.0347),(1755,4495,0.65668,3.0241),(1755,4505,0.67461,3.0136),(1755,4515,0.69254,3.003),(1755,4525,0.70884,2.9924),(1755,4535,0.69948,2.9819),(1755,4545,0.69012,2.9721),(1755,4555,0.68075,2.9631),(1755,4565,0.50846,2.9541),(1755,4575,0.31419,2.9474),(1755,4585,0.11993,2.9462),(1755,4595,0.12526,2.9449),(1755,4605,0.21492,2.9431),(1755,4615,0.30459,2.9368),(1755,4625,0.38476,2.9305),(1755,4635,0.45632,2.9242),(1755,4645,0.52788,2.9152),(1755,4655,0.59158,2.906),(1755,4665,0.64046,2.8968),(1755,4675,0.68933,2.8861),(1755,4685,0.7046,2.8748),(1755,4695,0.55383,2.8636),(1755,4705,0.40305,2.8561),(1755,4715,0.25227,2.8514),(1755,4725,0.34411,2.8468),(1755,4735,0.43838,2.8406),(1755,4745,0.53265,2.8324),(1755,4755,0.64085,2.8241),(1755,4765,0.75229,2.8152),(1755,4775,0.86372,2.8037),(1755,4785,0.91561,2.7923),(1755,4795,0.93306,2.7809),(1755,4805,0.95052,2.7698),(1755,4815,0.9165,2.7587),(1755,4825,0.82094,2.7476),(1755,4835,0.72537,2.7397),(1755,4845,0.62401,2.7322),(1755,4855,0.50753,2.7247),(1755,4865,0.39105,2.7196),(1755,4875,0.30988,2.7155),(1755,4885,0.54998,2.7115),(1755,4895,0.79008,2.7027),(1755,4905,1.0302,2.6893),(1755,4915,1.031,2.676),(1755,4925,1.0112,2.6628),(1755,4935,0.99135,2.6498),(1755,4945,0.91163,2.6368),(1755,4955,0.81114,2.6244),(1755,4965,0.71065,2.6145),(1755,4975,0.55817,2.6046),(1755,4985,0.36556,2.5947),(1755,4995,0.17295,2.5934),(1755,5005,0.15845,2.5923),(1755,5015,0.42713,2.5913),(1755,5025,0.6958,2.5829),(1755,5035,0.93058,2.5728),(1755,5045,1.0362,2.5626),(1755,5055,1.1418,2.5508),(1755,5065,1.2448,2.538),(1755,5075,1.2617,2.5252),(1755,5085,1.2786,2.5127),(1755,5095,1.2955,2.5003),(1755,5105,1.1375,2.488),(1755,5115,0.94911,2.4772),(1755,5125,0.76068,2.4708),(1755,5135,0.65677,2.4645),(1755,5145,0.59389,2.4581),(1755,5155,0.53101,2.4521),(1755,5165,0.6294,2.4461),(1755,5175,0.89226,2.4401),(1755,5185,1.1551,2.4264),(1755,5195,1.3404,2.4119),(1755,5205,1.3584,2.3974),(1755,5215,1.3763,2.3833),(1755,5225,1.3867,2.3692),(1755,5235,1.3502,2.3551),(1755,5245,1.3136,2.3422),(1755,5255,1.277,2.3302),(1755,5265,0.89437,2.3183),(1755,5275,0.49743,2.3106),(1755,5285,0.10049,2.3102),(1755,5295,0.23171,2.3098),(1755,5305,0.51003,2.307),(1755,5315,0.78834,2.2941),(1755,5325,0.97984,2.2812),(1755,5335,1.1144,2.2683),(1755,5345,1.249,2.2537),(1755,5355,1.344,2.2391),(1755,5365,1.3857,2.2245),(1755,5375,1.4275,2.2106),(1755,5385,1.376,2.1968),(1755,5395,1.0413,2.183),(1755,5405,0.70648,2.1759),(1755,5415,0.40189,2.1724),(1755,5425,0.50284,2.1688),(1755,5435,0.60378,2.1606),(1755,5445,0.70472,2.1473),(1755,5455,0.85193,2.134),(1755,5465,1.0048,2.1183),(1755,5475,1.1576,2.097),(1755,5485,1.2202,2.0757),(1755,5495,1.2463,2.0544),(1755,5505,1.2725,2.0332),(1755,5515,1.2992,2.0119),(1755,5525,1.3263,1.9906),(1755,5535,1.3535,1.9695),(1755,5545,1.3803,1.9484),(1755,5555,1.4066,1.9273),(1755,5565,1.4329,1.9063),(1755,5575,1.459,1.8854),(1755,5585,1.484,1.8645),(1755,5595,1.509,1.8437),(1755,5605,1.534,1.8231),(1755,5615,1.5576,1.8024),(1755,5625,1.5812,1.7819),(1755,5635,1.6048,1.7617),(1755,5645,1.6273,1.7414),(1755,5655,1.6495,1.7212),(1755,5665,1.6718,1.7013),(1755,5675,1.6931,1.6814),(1755,5685,1.7139,1.6615),(1755,5695,1.7348,1.6419),(1755,5705,1.7549,1.6224),(1755,5715,1.7744,1.6028),(1755,5725,1.7939,1.5836),(1755,5735,1.8129,1.5644),(1755,5745,1.8311,1.5452),(1755,5755,1.8492,1.5263),(1755,5765,1.8672,1.5075),(1755,5775,1.8841,1.4887),(1755,5785,1.901,1.4701),(1755,5795,1.9179,1.4517),(1755,5805,1.9337,1.4332),(1755,5815,1.9495,1.4149),(1755,5825,1.9652,1.3968),(1755,5835,1.9801,1.3786),(1755,5845,1.9947,1.3606),(1755,5855,2.0093,1.3428),(1755,5865,2.0233,1.3249),(1755,5875,2.0369,1.3071),(1755,5885,2.0505,1.2896),(1755,5895,2.0637,1.272),(1755,5905,2.0763,1.2545),(1755,5915,2.089,1.2371),(1755,5925,2.1014,1.2199),(1755,5935,2.1132,1.2026),(1755,5945,2.1249,1.1855),(1755,5955,2.1367,1.1685),(1755,5965,2.148,1.1514),(1755,5975,2.1592,1.1345),(1755,5985,2.1705,1.1177),(1755,5995,1.6604,1.1009),(1755,6005,1.0664,1.0881),(1755,6015,0.47238,1.0859),(1755,6025,0.47561,1.0837),(1755,6035,0.75584,1.0804),(1755,6045,1.0361,1.0666),(1755,6055,1.2386,1.0528),(1755,6065,1.365,1.0391),(1755,6075,1.4913,1.0211),(1755,6085,1.5785,1.0027),(1755,6095,1.5851,0.98441),(1755,6105,1.5916,0.96588),(1755,6115,1.5981,0.9473),(1755,6125,1.6044,0.92872),(1755,6135,1.6106,0.9101),(1755,6145,1.6168,0.89147),(1755,6155,1.6227,0.87283),(1755,6165,1.6286,0.85415),(1755,6175,1.6344,0.83541),(1755,6185,1.6399,0.81667),(1755,6195,1.6453,0.79791),(1755,6205,1.6508,0.77911),(1755,6215,1.6559,0.7603),(1755,6225,1.6609,0.74149),(1755,6235,1.6659,0.72264),(1755,6245,1.6707,0.70379),(1755,6255,1.6753,0.68495),(1755,6265,1.6799,0.66597),(1755,6275,1.6844,0.64698),(1755,6285,1.6886,0.62798),(1755,6295,1.6927,0.60895),(1755,6305,1.6969,0.58989),(1755,6315,1.7007,0.57084),(1755,6325,1.7045,0.55176),(1755,6335,1.7083,0.53264),(1755,6345,1.7118,0.51352),(1755,6355,1.7152,0.49437),(1755,6365,1.7186,0.47512),(1755,6375,1.7217,0.45587),(1755,6385,1.7247,0.43663),(1755,6395,1.7277,0.41737),(1755,6405,1.7305,0.39811),(1755,6415,1.7331,0.37886),(1755,6425,1.7356,0.35965),(1755,6435,1.7381,0.34045),(1755,6445,1.7402,0.32125),(1755,6455,1.7423,0.30204),(1755,6465,1.7444,0.28282),(1755,6475,1.7461,0.2636),(1755,6485,1.7479,0.24432),(1755,6495,1.7496,0.22498),(1755,6505,1.7509,0.20565),(1755,6515,1.7523,0.18629),(1755,6525,1.7536,0.1669),(1755,6535,1.7546,0.1475),(1755,6545,1.7556,0.12811),(1755,6555,1.7565,0.10875),(1755,6565,1.7572,0.089385),(1755,6575,1.7576,0.070023),(1755,6585,1.7581,0.050682),(1755,6595,1.4955,0.03134),(1755,6605,0.94244,0.011999),(1755,6615,0.38938,0.009772),(1755,6625,0.000595,0.009745),(1755,6635,0.000597,0.009718),(1755,6645,0.0006,0.009704),(1755,6655,0.000602,0.009695),(1755,6665,0.000605,0.009686),(1755,6675,0.000607,0.009677),(1755,6685,0.00061,0.009668),(1755,6695,0.000612,0.009659),(1755,6705,0.000614,0.00965),(1755,6715,0.000617,0.009642),(1755,6725,0.000619,0.009633),(1755,6735,0.000621,0.009624),(1755,6745,0.000623,0.009615),(1755,6755,0.000625,0.009606),(1755,6765,0.000628,0.009597),(1755,6775,0.00063,0.009588),(1755,6785,0.000632,0.009579),(1755,6795,0.000634,0.00957),(1755,6805,0.000636,0.009561),(1755,6815,0.000637,0.009553),(1755,6825,0.000639,0.009544),(1755,6835,0.000641,0.009535),(1755,6845,0.000643,0.009526),(1755,6855,0.000645,0.009517),(1755,6865,0.000647,0.009508),(1755,6875,0.000648,0.009499),(1755,6885,0.00065,0.00949),(1755,6895,0.000652,0.009481),(1755,6905,0.000654,0.009472),(1755,6915,0.000655,0.009463),(1755,6925,0.000657,0.009455),(1755,6935,0.000659,0.009446),(1755,6945,0.00066,0.009437),(1755,6955,0.000662,0.009428),(1755,6965,0.000663,0.009419),(1755,6975,0.000665,0.00941),(1755,6985,0.000666,0.009401),(1765,5,5.8e-05,3.678),(1765,15,0.000175,3.678),(1765,25,0.000293,3.678),(1765,35,0.00041,3.678),(1765,45,0.000527,3.678),(1765,55,0.000644,3.678),(1765,65,0.000761,3.678),(1765,75,0.000879,3.678),(1765,85,0.000996,3.678),(1765,95,0.001114,3.678),(1765,105,0.001232,3.678),(1765,115,0.00135,3.678),(1765,125,0.001468,3.678),(1765,135,0.001586,3.678),(1765,145,0.001705,3.678),(1765,155,0.001824,3.678),(1765,165,0.001943,3.678),(1765,175,0.002062,3.6779),(1765,185,0.002182,3.6779),(1765,195,0.002303,3.6779),(1765,205,0.002423,3.6779),(1765,215,0.002543,3.6779),(1765,225,0.002665,3.6779),(1765,235,0.002786,3.6779),(1765,245,0.002908,3.6779),(1765,255,0.00303,3.6778),(1765,265,0.003153,3.6778),(1765,275,0.003276,3.6778),(1765,285,0.0034,3.6778),(1765,295,0.003523,3.6778),(1765,305,0.003648,3.6778),(1765,315,0.003774,3.6777),(1765,325,0.003899,3.6777),(1765,335,0.004025,3.6777),(1765,345,0.004152,3.6777),(1765,355,0.00428,3.6777),(1765,365,0.004408,3.6776),(1765,375,0.004536,3.6776),(1765,385,0.004666,3.6776),(1765,395,0.004797,3.6776),(1765,405,0.004927,3.6775),(1765,415,0.005058,3.6775),(1765,425,0.00519,3.6775),(1765,435,0.005324,3.6775),(1765,445,0.005457,3.6774),(1765,455,0.00559,3.6774),(1765,465,0.005727,3.6774),(1765,475,0.005863,3.6773),(1765,485,0.005999,3.6773),(1765,495,0.006136,3.6773),(1765,505,0.006276,3.6772),(1765,515,0.006416,3.6772),(1765,525,0.006556,3.6772),(1765,535,0.006696,3.6771),(1765,545,0.006839,3.6771),(1765,555,0.006983,3.6771),(1765,565,0.007127,3.677),(1765,575,0.007271,3.677),(1765,585,0.007419,3.677),(1765,595,0.007567,3.6769),(1765,605,0.007714,3.6769),(1765,615,0.007863,3.6768),(1765,625,0.008015,3.6768),(1765,635,0.008168,3.6767),(1765,645,0.00832,3.6767),(1765,655,0.008473,3.6767),(1765,665,0.00863,3.6766),(1765,675,0.008788,3.6766),(1765,685,0.008945,3.6765),(1765,695,0.009103,3.6765),(1765,705,0.009265,3.6764),(1765,715,0.009428,3.6764),(1765,725,0.00959,3.6763),(1765,735,0.009754,3.6763),(1765,745,0.009921,3.6762),(1765,755,0.010089,3.6762),(1765,765,0.010257,3.6761),(1765,775,0.010426,3.676),(1765,785,0.010599,3.676),(1765,795,0.010773,3.6759),(1765,805,0.010946,3.6759),(1765,815,0.011122,3.6758),(1765,825,0.011301,3.6757),(1765,835,0.011481,3.6757),(1765,845,0.011661,3.6756),(1765,855,0.011843,3.6755),(1765,865,0.012029,3.6755),(1765,875,0.012216,3.6754),(1765,885,0.012402,3.6753),(1765,895,0.012591,3.6753),(1765,905,0.012785,3.6752),(1765,915,0.012978,3.6751),(1765,925,0.013171,3.675),(1765,935,0.013368,3.675),(1765,945,0.013569,3.6749),(1765,955,0.013769,3.6748),(1765,965,0.01397,3.6747),(1765,975,0.014174,3.6746),(1765,985,0.014383,3.6746),(1765,995,0.014591,3.6745),(1765,1005,0.014799,3.6744),(1765,1015,0.015012,3.6743),(1765,1025,0.015228,3.6742),(1765,1035,0.015445,3.6741),(1765,1045,0.015661,3.674),(1765,1055,0.015883,3.6739),(1765,1065,0.016108,3.6738),(1765,1075,0.016333,3.6737),(1765,1085,0.016558,3.6736),(1765,1095,0.016788,3.6735),(1765,1105,0.017022,3.6734),(1765,1115,0.017256,3.6733),(1765,1125,0.017491,3.6732),(1765,1135,0.017731,3.6731),(1765,1145,0.017974,3.673),(1765,1155,0.018217,3.6729),(1765,1165,0.018461,3.6728),(1765,1175,0.018711,3.6727),(1765,1185,0.018964,3.6725),(1765,1195,0.019218,3.6724),(1765,1205,0.019471,3.6723),(1765,1215,0.019732,3.6722),(1765,1225,0.019995,3.672),(1765,1235,0.020259,3.6719),(1765,1245,0.020522,3.6718),(1765,1255,0.020794,3.6716),(1765,1265,0.021068,3.6715),(1765,1275,0.021343,3.6714),(1765,1285,0.021617,3.6712),(1765,1295,0.0219,3.6711),(1765,1305,0.022186,3.6709),(1765,1315,0.022471,3.6708),(1765,1325,0.022756,3.6706),(1765,1335,0.023051,3.6705),(1765,1345,0.023348,3.6703),(1765,1355,0.023645,3.6702),(1765,1365,0.023941,3.67),(1765,1375,0.024249,3.6698),(1765,1385,0.024557,3.6697),(1765,1395,0.024866,3.6695),(1765,1405,0.025174,3.6693),(1765,1415,0.025494,3.6691),(1765,1425,0.025815,3.669),(1765,1435,0.026136,3.6688),(1765,1445,0.026457,3.6686),(1765,1455,0.02679,3.6684),(1765,1465,0.027124,3.6682),(1765,1475,0.027458,3.668),(1765,1485,0.027792,3.6678),(1765,1495,0.028138,3.6676),(1765,1505,0.028485,3.6674),(1765,1515,0.028832,3.6672),(1765,1525,0.029179,3.667),(1765,1535,0.029539,3.6668),(1765,1545,0.0299,3.6665),(1765,1555,0.03026,3.6663),(1765,1565,0.030621,3.6661),(1765,1575,0.030995,3.6659),(1765,1585,0.031369,3.6656),(1765,1595,0.031743,3.6654),(1765,1605,0.032118,3.6651),(1765,1615,0.032506,3.6649),(1765,1625,0.032894,3.6646),(1765,1635,0.033282,3.6644),(1765,1645,0.033672,3.6641),(1765,1655,0.034075,3.6638),(1765,1665,0.034477,3.6636),(1765,1675,0.034879,3.6633),(1765,1685,0.035284,3.663),(1765,1695,0.035701,3.6627),(1765,1705,0.036117,3.6624),(1765,1715,0.036534,3.6621),(1765,1725,0.036954,3.6618),(1765,1735,0.037386,3.6615),(1765,1745,0.037817,3.6612),(1765,1755,0.038249,3.6609),(1765,1765,0.038684,3.6606),(1765,1775,0.03913,3.6603),(1765,1785,0.039576,3.6599),(1765,1795,0.040023,3.6596),(1765,1805,0.040473,3.6592),(1765,1815,0.040935,3.6589),(1765,1825,0.041396,3.6585),(1765,1835,0.041857,3.6582),(1765,1845,0.042324,3.6578),(1765,1855,0.0428,3.6574),(1765,1865,0.043276,3.6571),(1765,1875,0.043752,3.6567),(1765,1885,0.044234,3.6563),(1765,1895,0.044725,3.6559),(1765,1905,0.045216,3.6555),(1765,1915,0.045707,3.6551),(1765,1925,0.046204,3.6546),(1765,1935,0.04671,3.6542),(1765,1945,0.047216,3.6538),(1765,1955,0.047721,3.6533),(1765,1965,0.048233,3.6529),(1765,1975,0.048754,3.6525),(1765,1985,0.049274,3.652),(1765,1995,0.049794,3.6515),(1765,2005,0.050321,3.651),(1765,2015,0.050855,3.6506),(1765,2025,0.051389,3.6501),(1765,2035,0.051924,3.6496),(1765,2045,0.052466,3.6491),(1765,2055,0.053014,3.6486),(1765,2065,0.053562,3.648),(1765,2075,0.05411,3.6475),(1765,2085,0.054666,3.647),(1765,2095,0.055228,3.6464),(1765,2105,0.055789,3.6459),(1765,2115,0.056351,3.6453),(1765,2125,0.05692,3.6447),(1765,2135,0.057494,3.6442),(1765,2145,0.058068,3.6436),(1765,2155,0.058642,3.643),(1765,2165,0.059224,3.6423),(1765,2175,0.05981,3.6417),(1765,2185,0.060396,3.6411),(1765,2195,0.060982,3.6405),(1765,2205,0.061575,3.6398),(1765,2215,0.062172,3.6392),(1765,2225,0.062769,3.6385),(1765,2235,0.063366,3.6378),(1765,2245,0.06397,3.6372),(1765,2255,0.064577,3.6365),(1765,2265,0.065183,3.6358),(1765,2275,0.06579,3.635),(1765,2285,0.066404,3.6343),(1765,2295,0.06702,3.6336),(1765,2305,0.067635,3.6328),(1765,2315,0.068251,3.6321),(1765,2325,0.068873,3.6313),(1765,2335,0.069496,3.6306),(1765,2345,0.070119,3.6298),(1765,2355,0.070742,3.629),(1765,2365,0.071371,3.6282),(1765,2375,0.072,3.6274),(1765,2385,0.072629,3.6265),(1765,2395,0.073258,3.6257),(1765,2405,0.073891,3.6248),(1765,2415,0.074524,3.624),(1765,2425,0.075158,3.6231),(1765,2435,0.075791,3.6222),(1765,2445,0.076427,3.6213),(1765,2455,0.077063,3.6204),(1765,2465,0.077699,3.6195),(1765,2475,0.078335,3.6185),(1765,2485,0.078972,3.6176),(1765,2495,0.079609,3.6166),(1765,2505,0.080246,3.6157),(1765,2515,0.080882,3.6147),(1765,2525,0.081518,3.6137),(1765,2535,0.082153,3.6127),(1765,2545,0.082788,3.6117),(1765,2555,0.083423,3.6106),(1765,2565,0.084055,3.6096),(1765,2575,0.084687,3.6086),(1765,2585,0.085318,3.6075),(1765,2595,0.08595,3.6064),(1765,2605,0.086575,3.6053),(1765,2615,0.087201,3.6042),(1765,2625,0.087826,3.6031),(1765,2635,0.08845,3.6019),(1765,2645,0.089067,3.6008),(1765,2655,0.089684,3.5997),(1765,2665,0.0903,3.5985),(1765,2675,0.090915,3.5973),(1765,2685,0.09152,3.5961),(1765,2695,0.092125,3.5949),(1765,2705,0.092731,3.5937),(1765,2715,0.093333,3.5925),(1765,2725,0.093924,3.5912),(1765,2735,0.094515,3.59),(1765,2745,0.095106,3.5887),(1765,2755,0.095692,3.5874),(1765,2765,0.096266,3.5861),(1765,2775,0.09684,3.5848),(1765,2785,0.097414,3.5835),(1765,2795,0.097982,3.5822),(1765,2805,0.098535,3.5808),(1765,2815,0.099089,3.5795),(1765,2825,0.099643,3.5781),(1765,2835,0.10019,3.5767),(1765,2845,0.10072,3.5753),(1765,2855,0.10125,3.5739),(1765,2865,0.10178,3.5725),(1765,2875,0.1023,3.5711),(1765,2885,0.1028,3.5696),(1765,2895,0.10331,3.5682),(1765,2905,0.10381,3.5667),(1765,2915,0.1043,3.5652),(1765,2925,0.10477,3.5638),(1765,2935,0.10525,3.5623),(1765,2945,0.10572,3.5607),(1765,2955,0.10618,3.5592),(1765,2965,0.10662,3.5577),(1765,2975,0.10706,3.5561),(1765,2985,0.1075,3.5546),(1765,2995,0.10792,3.553),(1765,3005,0.10832,3.5514),(1765,3015,0.10873,3.5498),(1765,3025,0.10913,3.5482),(1765,3035,0.10951,3.5466),(1765,3045,0.10987,3.545),(1765,3055,0.11024,3.5434),(1765,3065,0.1106,3.5417),(1765,3075,0.11094,3.5401),(1765,3085,0.11126,3.5384),(1765,3095,0.11158,3.5368),(1765,3105,0.1119,3.5351),(1765,3115,0.11219,3.5334),(1765,3125,0.11246,3.5317),(1765,3135,0.11274,3.53),(1765,3145,0.11301,3.5283),(1765,3155,0.11325,3.5265),(1765,3165,0.11348,3.5248),(1765,3175,0.1137,3.5231),(1765,3185,0.11392,3.5213),(1765,3195,0.11411,3.5196),(1765,3205,0.11428,3.5178),(1765,3215,0.11445,3.516),(1765,3225,0.11462,3.5143),(1765,3235,0.11476,3.5125),(1765,3245,0.11487,3.5107),(1765,3255,0.11499,3.5089),(1765,3265,0.1151,3.5071),(1765,3275,0.11517,3.5053),(1765,3285,0.11523,3.5035),(1765,3295,0.11529,3.5017),(1765,3305,0.11534,3.4998),(1765,3315,0.11535,3.498),(1765,3325,0.11535,3.4962),(1765,3335,0.11534,3.4943),(1765,3345,0.11534,3.4925),(1765,3355,0.11528,3.4906),(1765,3365,0.11521,3.4888),(1765,3375,0.11515,3.4869),(1765,3385,0.11508,3.4851),(1765,3395,0.11496,3.4832),(1765,3405,0.11482,3.4814),(1765,3415,0.11469,3.4795),(1765,3425,0.11456,3.4776),(1765,3435,0.11436,3.4758),(1765,3445,0.11416,3.4739),(1765,3455,0.11397,3.472),(1765,3465,0.11377,3.4702),(1765,3475,0.1135,3.4683),(1765,3485,0.11323,3.4664),(1765,3495,0.11296,3.4646),(1765,3505,0.1127,3.4627),(1765,3515,0.11236,3.4608),(1765,3525,0.11202,3.4589),(1765,3535,0.11168,3.4571),(1765,3545,0.11134,3.4552),(1765,3555,0.11093,3.4534),(1765,3565,0.11052,3.4515),(1765,3575,0.11012,3.4496),(1765,3585,0.1097,3.4478),(1765,3595,0.10922,3.4459),(1765,3605,0.10874,3.4441),(1765,3615,0.10826,3.4422),(1765,3625,0.10777,3.4404),(1765,3635,0.10722,3.4385),(1765,3645,0.10667,3.4367),(1765,3655,0.10612,3.4349),(1765,3665,0.10556,3.433),(1765,3675,0.10494,3.4312),(1765,3685,0.10432,3.4294),(1765,3695,0.10369,3.4276),(1765,3705,0.10306,3.4258),(1765,3715,0.10237,3.424),(1765,3725,0.10167,3.4222),(1765,3735,0.10098,3.4204),(1765,3745,0.10028,3.4186),(1765,3755,0.099515,3.4168),(1765,3765,0.098755,3.415),(1765,3775,0.097995,3.4133),(1765,3785,0.097217,3.4115),(1765,3795,0.096391,3.4098),(1765,3805,0.095565,3.408),(1765,3815,0.094739,3.4063),(1765,3825,0.093893,3.4046),(1765,3835,0.093004,3.4029),(1765,3845,0.092115,3.4011),(1765,3855,0.091226,3.3995),(1765,3865,0.090317,3.3978),(1765,3875,0.089369,3.3961),(1765,3885,0.088422,3.3944),(1765,3895,0.087475,3.3928),(1765,3905,0.10127,3.3911),(1765,3915,0.13707,3.3895),(1765,3925,0.17288,3.3868),(1765,3935,0.20868,3.3826),(1765,3945,0.24692,3.3785),(1765,3955,0.28824,3.3743),(1765,3965,0.32956,3.369),(1765,3975,0.37089,3.3623),(1765,3985,0.39509,3.3556),(1765,3995,0.40077,3.3489),(1765,4005,0.40645,3.3421),(1765,4015,0.41213,3.3353),(1765,4025,0.41833,3.3284),(1765,4035,0.42458,3.3215),(1765,4045,0.43083,3.3146),(1765,4055,0.43687,3.3076),(1765,4065,0.44282,3.3006),(1765,4075,0.44878,3.2936),(1765,4085,0.45413,3.2866),(1765,4095,0.45899,3.2796),(1765,4105,0.46384,3.2727),(1765,4115,0.45104,3.2658),(1765,4125,0.40894,3.2589),(1765,4135,0.36685,3.2537),(1765,4145,0.32421,3.2491),(1765,4155,0.27937,3.2444),(1765,4165,0.23454,3.241),(1765,4175,0.19238,3.2383),(1765,4185,0.28292,3.2357),(1765,4195,0.37346,3.2309),(1765,4205,0.464,3.2232),(1765,4215,0.46064,3.2156),(1765,4225,0.43962,3.208),(1765,4235,0.41859,3.2005),(1765,4245,0.38638,3.193),(1765,4255,0.34849,3.1856),(1765,4265,0.3106,3.1797),(1765,4275,0.25861,3.1737),(1765,4285,0.19167,3.1678),(1765,4295,0.12472,3.1657),(1765,4305,0.11449,3.164),(1765,4315,0.23232,3.1623),(1765,4325,0.35015,3.1551),(1765,4335,0.45573,3.1458),(1765,4345,0.47834,3.1364),(1765,4355,0.50095,3.1268),(1765,4365,0.52356,3.1169),(1765,4375,0.53035,3.1071),(1765,4385,0.53631,3.0972),(1765,4395,0.54227,3.0873),(1765,4405,0.4728,3.0774),(1765,4415,0.3811,3.0684),(1765,4425,0.28939,3.0637),(1765,4435,0.25431,3.059),(1765,4445,0.25793,3.0543),(1765,4455,0.26156,3.0496),(1765,4465,0.31537,3.0448),(1765,4475,0.43969,3.04),(1765,4485,0.56402,3.0304),(1765,4495,0.66303,3.0198),(1765,4505,0.68082,3.0092),(1765,4515,0.69862,2.9987),(1765,4525,0.71477,2.9882),(1765,4535,0.70497,2.9776),(1765,4545,0.69517,2.9679),(1765,4555,0.68537,2.959),(1765,4565,0.51197,2.9501),(1765,4575,0.31651,2.9435),(1765,4585,0.12105,2.9423),(1765,4595,0.12673,2.9411),(1765,4605,0.2174,2.9393),(1765,4615,0.30806,2.9329),(1765,4625,0.38896,2.9266),(1765,4635,0.46101,2.9202),(1765,4645,0.53307,2.911),(1765,4655,0.59721,2.9016),(1765,4665,0.64642,2.8923),(1765,4675,0.69564,2.8813),(1765,4685,0.711,2.8699),(1765,4695,0.55908,2.8585),(1765,4705,0.40717,2.8511),(1765,4715,0.25525,2.8464),(1765,4725,0.34761,2.8418),(1765,4735,0.44241,2.8357),(1765,4745,0.53722,2.8275),(1765,4755,0.64576,2.8192),(1765,4765,0.7575,2.8103),(1765,4775,0.86923,2.7988),(1765,4785,0.92111,2.7874),(1765,4795,0.93838,2.776),(1765,4805,0.95565,2.7649),(1765,4815,0.9213,2.7537),(1765,4825,0.82523,2.7426),(1765,4835,0.72916,2.7345),(1765,4845,0.62733,2.7269),(1765,4855,0.51046,2.7193),(1765,4865,0.3936,2.7141),(1765,4875,0.31222,2.7101),(1765,4885,0.5537,2.706),(1765,4895,0.79518,2.6972),(1765,4905,1.0367,2.6838),(1765,4915,1.0376,2.6705),(1765,4925,1.0177,2.6572),(1765,4935,0.99793,2.6443),(1765,4945,0.91795,2.6313),(1765,4955,0.81712,2.6188),(1765,4965,0.71629,2.6088),(1765,4975,0.56281,2.5989),(1765,4985,0.36868,2.589),(1765,4995,0.17456,2.5877),(1765,5005,0.15959,2.5866),(1765,5015,0.42945,2.5856),(1765,5025,0.6993,2.5772),(1765,5035,0.93505,2.5671),(1765,5045,1.0408,2.5569),(1765,5055,1.1466,2.5452),(1765,5065,1.2498,2.5324),(1765,5075,1.2664,2.5197),(1765,5085,1.2831,2.5072),(1765,5095,1.2997,2.4948),(1765,5105,1.1412,2.4825),(1765,5115,0.95205,2.4718),(1765,5125,0.76292,2.4654),(1765,5135,0.65895,2.4591),(1765,5145,0.59632,2.4528),(1765,5155,0.53368,2.4468),(1765,5165,0.63268,2.4408),(1765,5175,0.89654,2.4348),(1765,5185,1.1604,2.4212),(1765,5195,1.3463,2.4067),(1765,5205,1.364,2.3923),(1765,5215,1.3818,2.3782),(1765,5225,1.3919,2.3641),(1765,5235,1.355,2.3501),(1765,5245,1.318,2.3372),(1765,5255,1.2811,2.3253),(1765,5265,0.89724,2.3133),(1765,5275,0.49913,2.3057),(1765,5285,0.10102,2.3053),(1765,5295,0.23362,2.3049),(1765,5305,0.51402,2.3021),(1765,5315,0.79442,2.2892),(1765,5325,0.98659,2.2763),(1765,5335,1.1209,2.2634),(1765,5345,1.2552,2.2488),(1765,5355,1.3499,2.2343),(1765,5365,1.3912,2.2197),(1765,5375,1.4324,2.2058),(1765,5385,1.3804,2.192),(1765,5395,1.0445,2.1783),(1765,5405,0.70859,2.1712),(1765,5415,0.40313,2.1677),(1765,5425,0.5064,2.1642),(1765,5435,0.60967,2.1559),(1765,5445,0.71295,2.1426),(1765,5455,0.86168,2.1292),(1765,5465,1.016,2.1135),(1765,5475,1.1703,2.0922),(1765,5485,1.2331,2.0709),(1765,5495,1.2591,2.0496),(1765,5505,1.2851,2.0283),(1765,5515,1.3116,2.007),(1765,5525,1.3386,1.9858),(1765,5535,1.3656,1.9647),(1765,5545,1.3922,1.9436),(1765,5555,1.4183,1.9225),(1765,5565,1.4444,1.9016),(1765,5575,1.4702,1.8807),(1765,5585,1.495,1.8598),(1765,5595,1.5198,1.8391),(1765,5605,1.5445,1.8185),(1765,5615,1.5679,1.7979),(1765,5625,1.5913,1.7775),(1765,5635,1.6147,1.7573),(1765,5645,1.637,1.7371),(1765,5655,1.659,1.717),(1765,5665,1.681,1.6972),(1765,5675,1.7021,1.6773),(1765,5685,1.7227,1.6575),(1765,5695,1.7433,1.638),(1765,5705,1.7632,1.6185),(1765,5715,1.7825,1.599),(1765,5725,1.8017,1.5799),(1765,5735,1.8206,1.5608),(1765,5745,1.8385,1.5417),(1765,5755,1.8565,1.5229),(1765,5765,1.8743,1.5042),(1765,5775,1.891,1.4855),(1765,5785,1.9077,1.4669),(1765,5795,1.9244,1.4486),(1765,5805,1.94,1.4302),(1765,5815,1.9555,1.4119),(1765,5825,1.9711,1.3939),(1765,5835,1.9858,1.3758),(1765,5845,2.0002,1.3578),(1765,5855,2.0147,1.3401),(1765,5865,2.0286,1.3224),(1765,5875,2.042,1.3046),(1765,5885,2.0554,1.2871),(1765,5895,2.0685,1.2697),(1765,5905,2.081,1.2522),(1765,5915,2.0935,1.2349),(1765,5925,2.1058,1.2177),(1765,5935,2.1174,1.2005),(1765,5945,2.1291,1.1835),(1765,5955,2.1407,1.1665),(1765,5965,2.1518,1.1496),(1765,5975,2.163,1.1327),(1765,5985,2.1741,1.116),(1765,5995,1.6632,1.0993),(1765,6005,1.0682,1.0865),(1765,6015,0.47314,1.0843),(1765,6025,0.47741,1.0821),(1765,6035,0.75963,1.0789),(1765,6045,1.0418,1.0651),(1765,6055,1.2457,1.0513),(1765,6065,1.3728,1.0375),(1765,6075,1.4998,1.0196),(1765,6085,1.5875,1.0013),(1765,6095,1.594,0.98295),(1765,6105,1.6006,0.96445),(1765,6115,1.607,0.94588),(1765,6125,1.6133,0.92732),(1765,6135,1.6195,0.90872),(1765,6145,1.6258,0.8901),(1765,6155,1.6316,0.87148),(1765,6165,1.6375,0.85282),(1765,6175,1.6433,0.83409),(1765,6185,1.6489,0.81536),(1765,6195,1.6543,0.79662),(1765,6205,1.6597,0.77782),(1765,6215,1.6649,0.75902),(1765,6225,1.6699,0.74022),(1765,6235,1.6749,0.7214),(1765,6245,1.6797,0.70257),(1765,6255,1.6843,0.68374),(1765,6265,1.6889,0.6648),(1765,6275,1.6934,0.64583),(1765,6285,1.6976,0.62686),(1765,6295,1.7018,0.60786),(1765,6305,1.7059,0.58885),(1765,6315,1.7097,0.56984),(1765,6325,1.7135,0.55079),(1765,6335,1.7173,0.53171),(1765,6345,1.7208,0.51263),(1765,6355,1.7242,0.49351),(1765,6365,1.7276,0.47429),(1765,6375,1.7307,0.45508),(1765,6385,1.7337,0.43586),(1765,6395,1.7367,0.41663),(1765,6405,1.7395,0.3974),(1765,6415,1.7421,0.37817),(1765,6425,1.7446,0.35899),(1765,6435,1.747,0.33982),(1765,6445,1.7492,0.32065),(1765,6455,1.7513,0.30147),(1765,6465,1.7534,0.28229),(1765,6475,1.7551,0.2631),(1765,6485,1.7569,0.24386),(1765,6495,1.7586,0.22457),(1765,6505,1.7599,0.20528),(1765,6515,1.7613,0.18597),(1765,6525,1.7626,0.16661),(1765,6535,1.7636,0.14726),(1765,6545,1.7645,0.12791),(1765,6555,1.7655,0.10858),(1765,6565,1.7661,0.089256),(1765,6575,1.7666,0.06993),(1765,6585,1.767,0.05062),(1765,6595,1.5031,0.031309),(1765,6605,0.94724,0.011999),(1765,6615,0.39137,0.009776),(1765,6625,0.0006,0.009748),(1765,6635,0.000603,0.009721),(1765,6645,0.000605,0.009707),(1765,6655,0.000608,0.009698),(1765,6665,0.00061,0.009689),(1765,6675,0.000613,0.00968),(1765,6685,0.000615,0.009671),(1765,6695,0.000617,0.009662),(1765,6705,0.00062,0.009653),(1765,6715,0.000622,0.009644),(1765,6725,0.000624,0.009635),(1765,6735,0.000626,0.009626),(1765,6745,0.000628,0.009617),(1765,6755,0.000631,0.009608),(1765,6765,0.000633,0.009599),(1765,6775,0.000635,0.00959),(1765,6785,0.000637,0.009581),(1765,6795,0.000639,0.009572),(1765,6805,0.000641,0.009563),(1765,6815,0.000643,0.009555),(1765,6825,0.000644,0.009546),(1765,6835,0.000646,0.009537),(1765,6845,0.000648,0.009528),(1765,6855,0.00065,0.009519),(1765,6865,0.000652,0.00951),(1765,6875,0.000654,0.009501),(1765,6885,0.000655,0.009492),(1765,6895,0.000657,0.009483),(1765,6905,0.000659,0.009474),(1765,6915,0.00066,0.009465),(1765,6925,0.000662,0.009456),(1765,6935,0.000664,0.009447),(1765,6945,0.000665,0.009439),(1765,6955,0.000667,0.00943),(1765,6965,0.000668,0.009421),(1765,6975,0.00067,0.009412),(1765,6985,0.000671,0.009403),(1775,5,5.8e-05,3.6781),(1775,15,0.000175,3.6781),(1775,25,0.000292,3.6781),(1775,35,0.000409,3.6781),(1775,45,0.000526,3.6781),(1775,55,0.000643,3.6781),(1775,65,0.00076,3.6781),(1775,75,0.000878,3.6781),(1775,85,0.000995,3.6781),(1775,95,0.001113,3.6781),(1775,105,0.00123,3.6781),(1775,115,0.001349,3.6781),(1775,125,0.001466,3.6781),(1775,135,0.001585,3.6781),(1775,145,0.001703,3.6781),(1775,155,0.001822,3.6781),(1775,165,0.001941,3.6781),(1775,175,0.00206,3.6781),(1775,185,0.00218,3.6781),(1775,195,0.0023,3.678),(1775,205,0.00242,3.678),(1775,215,0.00254,3.678),(1775,225,0.002662,3.678),(1775,235,0.002783,3.678),(1775,245,0.002905,3.678),(1775,255,0.003027,3.678),(1775,265,0.00315,3.6779),(1775,275,0.003273,3.6779),(1775,285,0.003396,3.6779),(1775,295,0.00352,3.6779),(1775,305,0.003645,3.6779),(1775,315,0.00377,3.6779),(1775,325,0.003896,3.6778),(1775,335,0.004021,3.6778),(1775,345,0.004148,3.6778),(1775,355,0.004276,3.6778),(1775,365,0.004404,3.6778),(1775,375,0.004532,3.6777),(1775,385,0.004662,3.6777),(1775,395,0.004792,3.6777),(1775,405,0.004922,3.6777),(1775,415,0.005053,3.6776),(1775,425,0.005186,3.6776),(1775,435,0.005319,3.6776),(1775,445,0.005452,3.6776),(1775,455,0.005585,3.6775),(1775,465,0.005722,3.6775),(1775,475,0.005858,3.6775),(1775,485,0.005994,3.6774),(1775,495,0.006131,3.6774),(1775,505,0.00627,3.6774),(1775,515,0.00641,3.6774),(1775,525,0.00655,3.6773),(1775,535,0.00669,3.6773),(1775,545,0.006834,3.6772),(1775,555,0.006977,3.6772),(1775,565,0.007121,3.6772),(1775,575,0.007265,3.6771),(1775,585,0.007413,3.6771),(1775,595,0.007561,3.6771),(1775,605,0.007708,3.677),(1775,615,0.007857,3.677),(1775,625,0.008009,3.6769),(1775,635,0.008161,3.6769),(1775,645,0.008314,3.6769),(1775,655,0.008467,3.6768),(1775,665,0.008624,3.6768),(1775,675,0.008781,3.6767),(1775,685,0.008939,3.6767),(1775,695,0.009097,3.6766),(1775,705,0.009259,3.6766),(1775,715,0.009421,3.6765),(1775,725,0.009584,3.6765),(1775,735,0.009747,3.6764),(1775,745,0.009915,3.6764),(1775,755,0.010083,3.6763),(1775,765,0.010251,3.6763),(1775,775,0.01042,3.6762),(1775,785,0.010594,3.6762),(1775,795,0.010767,3.6761),(1775,805,0.010941,3.676),(1775,815,0.011116,3.676),(1775,825,0.011296,3.6759),(1775,835,0.011476,3.6759),(1775,845,0.011656,3.6758),(1775,855,0.011838,3.6757),(1775,865,0.012024,3.6757),(1775,875,0.012211,3.6756),(1775,885,0.012397,3.6755),(1775,895,0.012587,3.6755),(1775,905,0.01278,3.6754),(1775,915,0.012974,3.6753),(1775,925,0.013167,3.6752),(1775,935,0.013364,3.6752),(1775,945,0.013565,3.6751),(1775,955,0.013766,3.675),(1775,965,0.013967,3.6749),(1775,975,0.014171,3.6749),(1775,985,0.01438,3.6748),(1775,995,0.014589,3.6747),(1775,1005,0.014797,3.6746),(1775,1015,0.01501,3.6745),(1775,1025,0.015227,3.6744),(1775,1035,0.015444,3.6743),(1775,1045,0.015661,3.6742),(1775,1055,0.015882,3.6742),(1775,1065,0.016108,3.6741),(1775,1075,0.016333,3.674),(1775,1085,0.016559,3.6739),(1775,1095,0.016789,3.6738),(1775,1105,0.017024,3.6737),(1775,1115,0.017259,3.6736),(1775,1125,0.017493,3.6735),(1775,1135,0.017734,3.6734),(1775,1145,0.017978,3.6732),(1775,1155,0.018221,3.6731),(1775,1165,0.018465,3.673),(1775,1175,0.018716,3.6729),(1775,1185,0.01897,3.6728),(1775,1195,0.019224,3.6727),(1775,1205,0.019478,3.6726),(1775,1215,0.019739,3.6724),(1775,1225,0.020003,3.6723),(1775,1235,0.020267,3.6722),(1775,1245,0.020532,3.672),(1775,1255,0.020804,3.6719),(1775,1265,0.021079,3.6718),(1775,1275,0.021354,3.6716),(1775,1285,0.02163,3.6715),(1775,1295,0.021913,3.6714),(1775,1305,0.0222,3.6712),(1775,1315,0.022486,3.6711),(1775,1325,0.022772,3.6709),(1775,1335,0.023068,3.6708),(1775,1345,0.023366,3.6706),(1775,1355,0.023664,3.6705),(1775,1365,0.023961,3.6703),(1775,1375,0.024269,3.6701),(1775,1385,0.024579,3.67),(1775,1395,0.024889,3.6698),(1775,1405,0.025199,3.6696),(1775,1415,0.02552,3.6695),(1775,1425,0.025842,3.6693),(1775,1435,0.026164,3.6691),(1775,1445,0.026486,3.6689),(1775,1455,0.026821,3.6687),(1775,1465,0.027156,3.6685),(1775,1475,0.027491,3.6684),(1775,1485,0.027826,3.6682),(1775,1495,0.028174,3.668),(1775,1505,0.028523,3.6678),(1775,1515,0.028871,3.6675),(1775,1525,0.02922,3.6673),(1775,1535,0.029581,3.6671),(1775,1545,0.029943,3.6669),(1775,1555,0.030305,3.6667),(1775,1565,0.030668,3.6664),(1775,1575,0.031044,3.6662),(1775,1585,0.03142,3.666),(1775,1595,0.031796,3.6657),(1775,1605,0.032173,3.6655),(1775,1615,0.032563,3.6653),(1775,1625,0.032953,3.665),(1775,1635,0.033343,3.6648),(1775,1645,0.033735,3.6645),(1775,1655,0.034139,3.6642),(1775,1665,0.034544,3.664),(1775,1675,0.034948,3.6637),(1775,1685,0.035355,3.6634),(1775,1695,0.035774,3.6631),(1775,1705,0.036194,3.6628),(1775,1715,0.036613,3.6626),(1775,1725,0.037035,3.6623),(1775,1735,0.037469,3.662),(1775,1745,0.037903,3.6617),(1775,1755,0.038337,3.6613),(1775,1765,0.038775,3.661),(1775,1775,0.039224,3.6607),(1775,1785,0.039674,3.6604),(1775,1795,0.040123,3.66),(1775,1805,0.040576,3.6597),(1775,1815,0.041041,3.6593),(1775,1825,0.041505,3.659),(1775,1835,0.041969,3.6586),(1775,1845,0.042439,3.6583),(1775,1855,0.042918,3.6579),(1775,1865,0.043398,3.6575),(1775,1875,0.043877,3.6571),(1775,1885,0.044363,3.6568),(1775,1895,0.044857,3.6564),(1775,1905,0.045352,3.656),(1775,1915,0.045847,3.6555),(1775,1925,0.046347,3.6551),(1775,1935,0.046857,3.6547),(1775,1945,0.047366,3.6543),(1775,1955,0.047876,3.6539),(1775,1965,0.048392,3.6534),(1775,1975,0.048916,3.653),(1775,1985,0.049441,3.6525),(1775,1995,0.049965,3.652),(1775,2005,0.050496,3.6516),(1775,2015,0.051035,3.6511),(1775,2025,0.051574,3.6506),(1775,2035,0.052112,3.6501),(1775,2045,0.052659,3.6496),(1775,2055,0.053212,3.6491),(1775,2065,0.053765,3.6486),(1775,2075,0.054317,3.648),(1775,2085,0.054878,3.6475),(1775,2095,0.055445,3.647),(1775,2105,0.056011,3.6464),(1775,2115,0.056578,3.6459),(1775,2125,0.057152,3.6453),(1775,2135,0.057732,3.6447),(1775,2145,0.058311,3.6441),(1775,2155,0.058891,3.6435),(1775,2165,0.059478,3.6429),(1775,2175,0.060069,3.6423),(1775,2185,0.060661,3.6417),(1775,2195,0.061252,3.6411),(1775,2205,0.061852,3.6404),(1775,2215,0.062455,3.6398),(1775,2225,0.063057,3.6391),(1775,2235,0.06366,3.6384),(1775,2245,0.064271,3.6378),(1775,2255,0.064884,3.6371),(1775,2265,0.065497,3.6364),(1775,2275,0.06611,3.6356),(1775,2285,0.06673,3.6349),(1775,2295,0.067352,3.6342),(1775,2305,0.067974,3.6335),(1775,2315,0.068597,3.6327),(1775,2325,0.069225,3.6319),(1775,2335,0.069855,3.6312),(1775,2345,0.070485,3.6304),(1775,2355,0.071115,3.6296),(1775,2365,0.071751,3.6288),(1775,2375,0.072387,3.628),(1775,2385,0.073023,3.6271),(1775,2395,0.07366,3.6263),(1775,2405,0.0743,3.6254),(1775,2415,0.074941,3.6246),(1775,2425,0.075582,3.6237),(1775,2435,0.076223,3.6228),(1775,2445,0.076866,3.6219),(1775,2455,0.07751,3.621),(1775,2465,0.078154,3.6201),(1775,2475,0.078798,3.6192),(1775,2485,0.079442,3.6182),(1775,2495,0.080087,3.6173),(1775,2505,0.080732,3.6163),(1775,2515,0.081376,3.6153),(1775,2525,0.08202,3.6143),(1775,2535,0.082663,3.6133),(1775,2545,0.083307,3.6123),(1775,2555,0.08395,3.6113),(1775,2565,0.08459,3.6102),(1775,2575,0.08523,3.6092),(1775,2585,0.08587,3.6081),(1775,2595,0.08651,3.607),(1775,2605,0.087144,3.6059),(1775,2615,0.087778,3.6048),(1775,2625,0.088412,3.6037),(1775,2635,0.089045,3.6026),(1775,2645,0.08967,3.6014),(1775,2655,0.090295,3.6003),(1775,2665,0.090921,3.5991),(1775,2675,0.091544,3.5979),(1775,2685,0.092158,3.5967),(1775,2695,0.092772,3.5955),(1775,2705,0.093386,3.5943),(1775,2715,0.093997,3.593),(1775,2725,0.094597,3.5918),(1775,2735,0.095197,3.5906),(1775,2745,0.095797,3.5893),(1775,2755,0.096392,3.588),(1775,2765,0.096975,3.5867),(1775,2775,0.097558,3.5854),(1775,2785,0.09814,3.5841),(1775,2795,0.098717,3.5827),(1775,2805,0.09928,3.5814),(1775,2815,0.099842,3.58),(1775,2825,0.1004,3.5786),(1775,2835,0.10096,3.5772),(1775,2845,0.1015,3.5759),(1775,2855,0.10204,3.5745),(1775,2865,0.10258,3.573),(1775,2875,0.1031,3.5716),(1775,2885,0.10362,3.5701),(1775,2895,0.10413,3.5687),(1775,2905,0.10464,3.5672),(1775,2915,0.10514,3.5657),(1775,2925,0.10562,3.5642),(1775,2935,0.1061,3.5627),(1775,2945,0.10659,3.5612),(1775,2955,0.10705,3.5597),(1775,2965,0.1075,3.5581),(1775,2975,0.10795,3.5566),(1775,2985,0.1084,3.555),(1775,2995,0.10883,3.5534),(1775,3005,0.10924,3.5518),(1775,3015,0.10965,3.5502),(1775,3025,0.11006,3.5486),(1775,3035,0.11045,3.547),(1775,3045,0.11082,3.5454),(1775,3055,0.11119,3.5437),(1775,3065,0.11156,3.5421),(1775,3075,0.11191,3.5404),(1775,3085,0.11224,3.5388),(1775,3095,0.11256,3.5371),(1775,3105,0.11289,3.5354),(1775,3115,0.11319,3.5337),(1775,3125,0.11347,3.532),(1775,3135,0.11375,3.5302),(1775,3145,0.11403,3.5285),(1775,3155,0.11428,3.5268),(1775,3165,0.11451,3.525),(1775,3175,0.11474,3.5233),(1775,3185,0.11497,3.5215),(1775,3195,0.11516,3.5198),(1775,3205,0.11534,3.518),(1775,3215,0.11552,3.5162),(1775,3225,0.11569,3.5144),(1775,3235,0.11583,3.5126),(1775,3245,0.11595,3.5108),(1775,3255,0.11607,3.509),(1775,3265,0.11619,3.5072),(1775,3275,0.11627,3.5054),(1775,3285,0.11633,3.5035),(1775,3295,0.11639,3.5017),(1775,3305,0.11645,3.4999),(1775,3315,0.11647,3.498),(1775,3325,0.11647,3.4962),(1775,3335,0.11647,3.4943),(1775,3345,0.11647,3.4925),(1775,3355,0.11641,3.4906),(1775,3365,0.11635,3.4887),(1775,3375,0.11629,3.4869),(1775,3385,0.11622,3.485),(1775,3395,0.1161,3.4831),(1775,3405,0.11597,3.4812),(1775,3415,0.11584,3.4794),(1775,3425,0.11571,3.4775),(1775,3435,0.11552,3.4756),(1775,3445,0.11532,3.4737),(1775,3455,0.11513,3.4718),(1775,3465,0.11493,3.4699),(1775,3475,0.11467,3.468),(1775,3485,0.1144,3.4662),(1775,3495,0.11413,3.4643),(1775,3505,0.11387,3.4624),(1775,3515,0.11353,3.4605),(1775,3525,0.11319,3.4586),(1775,3535,0.11286,3.4567),(1775,3545,0.11252,3.4548),(1775,3555,0.11211,3.453),(1775,3565,0.1117,3.4511),(1775,3575,0.11129,3.4492),(1775,3585,0.11088,3.4473),(1775,3595,0.1104,3.4455),(1775,3605,0.10992,3.4436),(1775,3615,0.10944,3.4417),(1775,3625,0.10895,3.4399),(1775,3635,0.1084,3.438),(1775,3645,0.10785,3.4361),(1775,3655,0.1073,3.4343),(1775,3665,0.10673,3.4324),(1775,3675,0.10611,3.4306),(1775,3685,0.10549,3.4288),(1775,3695,0.10486,3.4269),(1775,3705,0.10423,3.4251),(1775,3715,0.10353,3.4233),(1775,3725,0.10284,3.4215),(1775,3735,0.10215,3.4197),(1775,3745,0.10144,3.4179),(1775,3755,0.10067,3.4161),(1775,3765,0.099912,3.4143),(1775,3775,0.09915,3.4125),(1775,3785,0.098369,3.4107),(1775,3795,0.09754,3.409),(1775,3805,0.096712,3.4072),(1775,3815,0.095883,3.4055),(1775,3825,0.095034,3.4037),(1775,3835,0.094142,3.402),(1775,3845,0.09325,3.4003),(1775,3855,0.092358,3.3986),(1775,3865,0.091445,3.3969),(1775,3875,0.090494,3.3952),(1775,3885,0.089543,3.3935),(1775,3895,0.088593,3.3918),(1775,3905,0.10255,3.3901),(1775,3915,0.13877,3.3885),(1775,3925,0.17499,3.3858),(1775,3935,0.21121,3.3816),(1775,3945,0.24985,3.3774),(1775,3955,0.29158,3.3733),(1775,3965,0.3333,3.3679),(1775,3975,0.37503,3.3611),(1775,3985,0.39944,3.3544),(1775,3995,0.40512,3.3476),(1775,4005,0.4108,3.3408),(1775,4015,0.41648,3.3339),(1775,4025,0.42268,3.327),(1775,4035,0.42893,3.32),(1775,4045,0.43519,3.313),(1775,4055,0.44121,3.306),(1775,4065,0.44714,3.299),(1775,4075,0.45308,3.2919),(1775,4085,0.45838,3.2848),(1775,4095,0.46319,3.2778),(1775,4105,0.468,3.2708),(1775,4115,0.45499,3.2638),(1775,4125,0.41245,3.2568),(1775,4135,0.36991,3.2516),(1775,4145,0.32685,3.2468),(1775,4155,0.28167,3.2421),(1775,4165,0.23649,3.2386),(1775,4175,0.19401,3.2358),(1775,4185,0.28553,3.2331),(1775,4195,0.37706,3.2282),(1775,4205,0.46859,3.2205),(1775,4215,0.46543,3.2128),(1775,4225,0.44446,3.2052),(1775,4235,0.42348,3.1976),(1775,4245,0.39111,3.1901),(1775,4255,0.35295,3.1827),(1775,4265,0.31479,3.1767),(1775,4275,0.26222,3.1708),(1775,4285,0.19438,3.1648),(1775,4295,0.12654,3.1627),(1775,4305,0.11621,3.161),(1775,4315,0.23574,3.1592),(1775,4325,0.35527,3.152),(1775,4335,0.46232,3.1426),(1775,4345,0.48492,3.1332),(1775,4355,0.50752,3.1236),(1775,4365,0.53012,3.1137),(1775,4375,0.53688,3.1038),(1775,4385,0.54282,3.0939),(1775,4395,0.54876,3.0839),(1775,4405,0.47848,3.0739),(1775,4415,0.38573,3.0649),(1775,4425,0.29298,3.06),(1775,4435,0.25747,3.0552),(1775,4445,0.26107,3.0503),(1775,4455,0.26468,3.0455),(1775,4465,0.31891,3.0407),(1775,4475,0.44427,3.0358),(1775,4485,0.56963,3.0262),(1775,4495,0.66939,3.0155),(1775,4505,0.68703,3.0049),(1775,4515,0.70467,2.9944),(1775,4525,0.72065,2.9839),(1775,4535,0.71039,2.9734),(1775,4545,0.70012,2.9637),(1775,4555,0.68986,2.9549),(1775,4565,0.51537,2.9461),(1775,4575,0.31875,2.9396),(1775,4585,0.12212,2.9384),(1775,4595,0.12817,2.9372),(1775,4605,0.21986,2.9354),(1775,4615,0.31155,2.9291),(1775,4625,0.39323,2.9227),(1775,4635,0.46584,2.9163),(1775,4645,0.53845,2.9069),(1775,4655,0.60306,2.8973),(1775,4665,0.65259,2.8877),(1775,4675,0.70212,2.8766),(1775,4685,0.71754,2.8651),(1775,4695,0.56442,2.8535),(1775,4705,0.4113,2.846),(1775,4715,0.25817,2.8414),(1775,4725,0.35106,2.8369),(1775,4735,0.44641,2.8308),(1775,4745,0.54176,2.8226),(1775,4755,0.65066,2.8143),(1775,4765,0.76269,2.8054),(1775,4775,0.87472,2.794),(1775,4785,0.92661,2.7826),(1775,4795,0.94371,2.7711),(1775,4805,0.96082,2.76),(1775,4815,0.92617,2.7488),(1775,4825,0.82963,2.7376),(1775,4835,0.73309,2.7294),(1775,4845,0.6308,2.7216),(1775,4855,0.5135,2.7139),(1775,4865,0.39619,2.7087),(1775,4875,0.31456,2.7046),(1775,4885,0.55743,2.7005),(1775,4895,0.8003,2.6917),(1775,4905,1.0432,2.6783),(1775,4915,1.0442,2.665),(1775,4925,1.0244,2.6517),(1775,4935,1.0045,2.6387),(1775,4945,0.92431,2.6257),(1775,4955,0.82314,2.6131),(1775,4965,0.72197,2.6032),(1775,4975,0.56747,2.5932),(1775,4985,0.37182,2.5832),(1775,4995,0.17617,2.582),(1775,5005,0.16073,2.5809),(1775,5015,0.43176,2.5798),(1775,5025,0.70279,2.5715),(1775,5035,0.9395,2.5614),(1775,5045,1.0454,2.5513),(1775,5055,1.1514,2.5396),(1775,5065,1.2547,2.5269),(1775,5075,1.2711,2.5142),(1775,5085,1.2875,2.5017),(1775,5095,1.304,2.4894),(1775,5105,1.1448,2.4771),(1775,5115,0.95497,2.4664),(1775,5125,0.76514,2.4601),(1775,5135,0.66112,2.4538),(1775,5145,0.59873,2.4475),(1775,5155,0.53633,2.4415),(1775,5165,0.63595,2.4355),(1775,5175,0.90079,2.4295),(1775,5185,1.1656,2.4159),(1775,5195,1.3521,2.4015),(1775,5205,1.3697,2.3871),(1775,5215,1.3872,2.373),(1775,5225,1.3971,2.3591),(1775,5235,1.3597,2.3451),(1775,5245,1.3224,2.3322),(1775,5255,1.285,2.3203),(1775,5265,0.9001,2.3084),(1775,5275,0.50083,2.3008),(1775,5285,0.10155,2.3004),(1775,5295,0.23553,2.3),(1775,5305,0.51801,2.2972),(1775,5315,0.80049,2.2843),(1775,5325,0.99333,2.2714),(1775,5335,1.1274,2.2585),(1775,5345,1.2614,2.2439),(1775,5355,1.3558,2.2294),(1775,5365,1.3966,2.2149),(1775,5375,1.4374,2.201),(1775,5385,1.3847,2.1873),(1775,5395,1.0477,2.1736),(1775,5405,0.7107,2.1665),(1775,5415,0.40437,2.163),(1775,5425,0.50997,2.1595),(1775,5435,0.61558,2.1512),(1775,5445,0.72118,2.1378),(1775,5455,0.87143,2.1245),(1775,5465,1.0271,2.1087),(1775,5475,1.1829,2.0874),(1775,5485,1.246,2.066),(1775,5495,1.2719,2.0447),(1775,5505,1.2977,2.0235),(1775,5515,1.3241,2.0022),(1775,5525,1.3508,1.9809),(1775,5535,1.3776,1.9599),(1775,5545,1.4041,1.9388),(1775,5555,1.4299,1.9177),(1775,5565,1.4558,1.8968),(1775,5575,1.4814,1.876),(1775,5585,1.506,1.8552),(1775,5595,1.5305,1.8345),(1775,5605,1.5551,1.814),(1775,5615,1.5782,1.7934),(1775,5625,1.6014,1.7731),(1775,5635,1.6245,1.753),(1775,5645,1.6466,1.7328),(1775,5655,1.6683,1.7128),(1775,5665,1.6901,1.693),(1775,5675,1.711,1.6733),(1775,5685,1.7313,1.6535),(1775,5695,1.7517,1.6341),(1775,5705,1.7714,1.6147),(1775,5715,1.7905,1.5953),(1775,5725,1.8095,1.5762),(1775,5735,1.8281,1.5572),(1775,5745,1.8459,1.5382),(1775,5755,1.8636,1.5194),(1775,5765,1.8812,1.5008),(1775,5775,1.8977,1.4822),(1775,5785,1.9142,1.4637),(1775,5795,1.9307,1.4454),(1775,5805,1.9462,1.4271),(1775,5815,1.9615,1.409),(1775,5825,1.9769,1.391),(1775,5835,1.9914,1.373),(1775,5845,2.0057,1.3551),(1775,5855,2.02,1.3374),(1775,5865,2.0337,1.3198),(1775,5875,2.047,1.3021),(1775,5885,2.0603,1.2847),(1775,5895,2.0732,1.2673),(1775,5905,2.0856,1.2499),(1775,5915,2.098,1.2327),(1775,5925,2.1101,1.2156),(1775,5935,2.1216,1.1985),(1775,5945,2.1332,1.1815),(1775,5955,2.1447,1.1646),(1775,5965,2.1557,1.1477),(1775,5975,2.1667,1.1309),(1775,5985,2.1778,1.1143),(1775,5995,1.6659,1.0976),(1775,6005,1.0699,1.0849),(1775,6015,0.4739,1.0828),(1775,6025,0.47921,1.0806),(1775,6035,0.76342,1.0774),(1775,6045,1.0476,1.0636),(1775,6055,1.2528,1.0498),(1775,6065,1.3806,1.036),(1775,6075,1.5083,1.0181),(1775,6085,1.5964,0.9998),(1775,6095,1.603,0.98149),(1775,6105,1.6095,0.96301),(1775,6115,1.616,0.94447),(1775,6125,1.6222,0.92592),(1775,6135,1.6284,0.90735),(1775,6145,1.6347,0.88874),(1775,6155,1.6405,0.87013),(1775,6165,1.6464,0.85149),(1775,6175,1.6522,0.83277),(1775,6185,1.6578,0.81405),(1775,6195,1.6632,0.79532),(1775,6205,1.6687,0.77653),(1775,6215,1.6738,0.75775),(1775,6225,1.6788,0.73896),(1775,6235,1.6839,0.72015),(1775,6245,1.6887,0.70134),(1775,6255,1.6933,0.68253),(1775,6265,1.6979,0.66362),(1775,6275,1.7024,0.64468),(1775,6285,1.7066,0.62574),(1775,6295,1.7107,0.60678),(1775,6305,1.7149,0.5878),(1775,6315,1.7187,0.56883),(1775,6325,1.7225,0.54982),(1775,6335,1.7263,0.53078),(1775,6345,1.7297,0.51173),(1775,6355,1.7331,0.49265),(1775,6365,1.7365,0.47346),(1775,6375,1.7396,0.45428),(1775,6385,1.7426,0.43509),(1775,6395,1.7456,0.41589),(1775,6405,1.7484,0.39668),(1775,6415,1.751,0.37748),(1775,6425,1.7536,0.35833),(1775,6435,1.756,0.33919),(1775,6445,1.7581,0.32005),(1775,6455,1.7603,0.3009),(1775,6465,1.7624,0.28175),(1775,6475,1.7641,0.2626),(1775,6485,1.7658,0.2434),(1775,6495,1.7676,0.22416),(1775,6505,1.7689,0.20491),(1775,6515,1.7702,0.18564),(1775,6525,1.7715,0.16633),(1775,6535,1.7725,0.14702),(1775,6545,1.7735,0.12771),(1775,6555,1.7744,0.10842),(1775,6565,1.775,0.089127),(1775,6575,1.7755,0.069836),(1775,6585,1.776,0.050557),(1775,6595,1.5107,0.031278),(1775,6605,0.95203,0.011999),(1775,6615,0.39335,0.009779),(1775,6625,0.000605,0.009751),(1775,6635,0.000608,0.009724),(1775,6645,0.00061,0.009709),(1775,6655,0.000613,0.0097),(1775,6665,0.000615,0.009691),(1775,6675,0.000618,0.009682),(1775,6685,0.00062,0.009673),(1775,6695,0.000623,0.009664),(1775,6705,0.000625,0.009655),(1775,6715,0.000627,0.009646),(1775,6725,0.000629,0.009637),(1775,6735,0.000631,0.009628),(1775,6745,0.000634,0.009619),(1775,6755,0.000636,0.00961),(1775,6765,0.000638,0.009601),(1775,6775,0.00064,0.009592),(1775,6785,0.000642,0.009583),(1775,6795,0.000644,0.009574),(1775,6805,0.000646,0.009565),(1775,6815,0.000648,0.009556),(1775,6825,0.00065,0.009548),(1775,6835,0.000651,0.009539),(1775,6845,0.000653,0.009529),(1775,6855,0.000655,0.00952),(1775,6865,0.000657,0.009512),(1775,6875,0.000659,0.009503),(1775,6885,0.00066,0.009494),(1775,6895,0.000662,0.009485),(1775,6905,0.000664,0.009476),(1775,6915,0.000665,0.009467),(1775,6925,0.000667,0.009458),(1775,6935,0.000669,0.009449),(1775,6945,0.00067,0.00944),(1775,6955,0.000672,0.009431),(1775,6965,0.000673,0.009422),(1775,6975,0.000675,0.009413),(1775,6985,0.000676,0.009404),(1785,5,5.8e-05,3.6783),(1785,15,0.000175,3.6783),(1785,25,0.000292,3.6783),(1785,35,0.000409,3.6783),(1785,45,0.000526,3.6783),(1785,55,0.000643,3.6783),(1785,65,0.00076,3.6783),(1785,75,0.000877,3.6783),(1785,85,0.000994,3.6782),(1785,95,0.001111,3.6782),(1785,105,0.001229,3.6782),(1785,115,0.001347,3.6782),(1785,125,0.001465,3.6782),(1785,135,0.001583,3.6782),(1785,145,0.001701,3.6782),(1785,155,0.00182,3.6782),(1785,165,0.001939,3.6782),(1785,175,0.002058,3.6782),(1785,185,0.002178,3.6782),(1785,195,0.002298,3.6782),(1785,205,0.002418,3.6782),(1785,215,0.002538,3.6781),(1785,225,0.002659,3.6781),(1785,235,0.00278,3.6781),(1785,245,0.002902,3.6781),(1785,255,0.003024,3.6781),(1785,265,0.003146,3.6781),(1785,275,0.00327,3.6781),(1785,285,0.003393,3.678),(1785,295,0.003516,3.678),(1785,305,0.003641,3.678),(1785,315,0.003766,3.678),(1785,325,0.003892,3.678),(1785,335,0.004017,3.6779),(1785,345,0.004144,3.6779),(1785,355,0.004272,3.6779),(1785,365,0.004399,3.6779),(1785,375,0.004527,3.6779),(1785,385,0.004657,3.6778),(1785,395,0.004787,3.6778),(1785,405,0.004918,3.6778),(1785,415,0.005048,3.6778),(1785,425,0.005181,3.6777),(1785,435,0.005314,3.6777),(1785,445,0.005447,3.6777),(1785,455,0.00558,3.6777),(1785,465,0.005716,3.6776),(1785,475,0.005853,3.6776),(1785,485,0.005989,3.6776),(1785,495,0.006125,3.6776),(1785,505,0.006265,3.6775),(1785,515,0.006405,3.6775),(1785,525,0.006544,3.6775),(1785,535,0.006684,3.6774),(1785,545,0.006828,3.6774),(1785,555,0.006972,3.6774),(1785,565,0.007115,3.6773),(1785,575,0.007259,3.6773),(1785,585,0.007407,3.6772),(1785,595,0.007555,3.6772),(1785,605,0.007703,3.6772),(1785,615,0.007851,3.6771),(1785,625,0.008003,3.6771),(1785,635,0.008155,3.6771),(1785,645,0.008308,3.677),(1785,655,0.008461,3.677),(1785,665,0.008618,3.6769),(1785,675,0.008775,3.6769),(1785,685,0.008932,3.6768),(1785,695,0.00909,3.6768),(1785,705,0.009253,3.6767),(1785,715,0.009415,3.6767),(1785,725,0.009578,3.6766),(1785,735,0.009741,3.6766),(1785,745,0.009909,3.6765),(1785,755,0.010077,3.6765),(1785,765,0.010245,3.6764),(1785,775,0.010414,3.6764),(1785,785,0.010588,3.6763),(1785,795,0.010762,3.6763),(1785,805,0.010935,3.6762),(1785,815,0.011111,3.6762),(1785,825,0.011291,3.6761),(1785,835,0.011471,3.676),(1785,845,0.01165,3.676),(1785,855,0.011833,3.6759),(1785,865,0.012019,3.6758),(1785,875,0.012206,3.6758),(1785,885,0.012393,3.6757),(1785,895,0.012582,3.6756),(1785,905,0.012776,3.6756),(1785,915,0.012969,3.6755),(1785,925,0.013163,3.6754),(1785,935,0.01336,3.6754),(1785,945,0.013561,3.6753),(1785,955,0.013762,3.6752),(1785,965,0.013964,3.6751),(1785,975,0.014168,3.6751),(1785,985,0.014377,3.675),(1785,995,0.014586,3.6749),(1785,1005,0.014795,3.6748),(1785,1015,0.015008,3.6747),(1785,1025,0.015226,3.6746),(1785,1035,0.015443,3.6746),(1785,1045,0.01566,3.6745),(1785,1055,0.015882,3.6744),(1785,1065,0.016108,3.6743),(1785,1075,0.016334,3.6742),(1785,1085,0.016559,3.6741),(1785,1095,0.016791,3.674),(1785,1105,0.017026,3.6739),(1785,1115,0.017261,3.6738),(1785,1125,0.017496,3.6737),(1785,1135,0.017737,3.6736),(1785,1145,0.017981,3.6735),(1785,1155,0.018225,3.6734),(1785,1165,0.01847,3.6733),(1785,1175,0.018721,3.6732),(1785,1185,0.018976,3.673),(1785,1195,0.01923,3.6729),(1785,1205,0.019484,3.6728),(1785,1215,0.019746,3.6727),(1785,1225,0.020011,3.6726),(1785,1235,0.020276,3.6724),(1785,1245,0.020541,3.6723),(1785,1255,0.020814,3.6722),(1785,1265,0.02109,3.6721),(1785,1275,0.021366,3.6719),(1785,1285,0.021642,3.6718),(1785,1295,0.021927,3.6716),(1785,1305,0.022214,3.6715),(1785,1315,0.022501,3.6714),(1785,1325,0.022788,3.6712),(1785,1335,0.023085,3.6711),(1785,1345,0.023384,3.6709),(1785,1355,0.023682,3.6708),(1785,1365,0.023981,3.6706),(1785,1375,0.02429,3.6704),(1785,1385,0.024601,3.6703),(1785,1395,0.024912,3.6701),(1785,1405,0.025223,3.67),(1785,1415,0.025545,3.6698),(1785,1425,0.025869,3.6696),(1785,1435,0.026192,3.6694),(1785,1445,0.026515,3.6692),(1785,1455,0.026851,3.6691),(1785,1465,0.027188,3.6689),(1785,1475,0.027524,3.6687),(1785,1485,0.027861,3.6685),(1785,1495,0.02821,3.6683),(1785,1505,0.02856,3.6681),(1785,1515,0.02891,3.6679),(1785,1525,0.02926,3.6677),(1785,1535,0.029623,3.6675),(1785,1545,0.029987,3.6673),(1785,1555,0.030351,3.667),(1785,1565,0.030715,3.6668),(1785,1575,0.031093,3.6666),(1785,1585,0.03147,3.6664),(1785,1595,0.031848,3.6661),(1785,1605,0.032227,3.6659),(1785,1615,0.032619,3.6656),(1785,1625,0.033011,3.6654),(1785,1635,0.033403,3.6652),(1785,1645,0.033797,3.6649),(1785,1655,0.034204,3.6646),(1785,1665,0.034611,3.6644),(1785,1675,0.035017,3.6641),(1785,1685,0.035427,3.6638),(1785,1695,0.035848,3.6636),(1785,1705,0.03627,3.6633),(1785,1715,0.036691,3.663),(1785,1725,0.037116,3.6627),(1785,1735,0.037553,3.6624),(1785,1745,0.037989,3.6621),(1785,1755,0.038426,3.6618),(1785,1765,0.038867,3.6615),(1785,1775,0.039319,3.6611),(1785,1785,0.039771,3.6608),(1785,1795,0.040223,3.6605),(1785,1805,0.040679,3.6601),(1785,1815,0.041147,3.6598),(1785,1825,0.041614,3.6595),(1785,1835,0.042081,3.6591),(1785,1845,0.042554,3.6587),(1785,1855,0.043037,3.6584),(1785,1865,0.04352,3.658),(1785,1875,0.044002,3.6576),(1785,1885,0.044491,3.6572),(1785,1895,0.044989,3.6569),(1785,1905,0.045488,3.6565),(1785,1915,0.045986,3.6561),(1785,1925,0.046491,3.6556),(1785,1935,0.047004,3.6552),(1785,1945,0.047517,3.6548),(1785,1955,0.048031,3.6544),(1785,1965,0.048551,3.6539),(1785,1975,0.049079,3.6535),(1785,1985,0.049608,3.653),(1785,1995,0.050136,3.6526),(1785,2005,0.050672,3.6521),(1785,2015,0.051215,3.6516),(1785,2025,0.051758,3.6512),(1785,2035,0.052301,3.6507),(1785,2045,0.052852,3.6502),(1785,2055,0.053409,3.6497),(1785,2065,0.053967,3.6491),(1785,2075,0.054525,3.6486),(1785,2085,0.05509,3.6481),(1785,2095,0.055662,3.6476),(1785,2105,0.056233,3.647),(1785,2115,0.056805,3.6464),(1785,2125,0.057385,3.6459),(1785,2135,0.057969,3.6453),(1785,2145,0.058554,3.6447),(1785,2155,0.059139,3.6441),(1785,2165,0.059732,3.6435),(1785,2175,0.060329,3.6429),(1785,2185,0.060926,3.6423),(1785,2195,0.061523,3.6417),(1785,2205,0.062128,3.641),(1785,2215,0.062737,3.6404),(1785,2225,0.063346,3.6397),(1785,2235,0.063955,3.639),(1785,2245,0.064571,3.6384),(1785,2255,0.065191,3.6377),(1785,2265,0.06581,3.637),(1785,2275,0.066429,3.6363),(1785,2285,0.067056,3.6356),(1785,2295,0.067685,3.6348),(1785,2305,0.068314,3.6341),(1785,2315,0.068942,3.6333),(1785,2325,0.069578,3.6326),(1785,2335,0.070215,3.6318),(1785,2345,0.070852,3.631),(1785,2355,0.071488,3.6302),(1785,2365,0.072131,3.6294),(1785,2375,0.072774,3.6286),(1785,2385,0.073418,3.6278),(1785,2395,0.074061,3.6269),(1785,2405,0.074709,3.6261),(1785,2415,0.075358,3.6252),(1785,2425,0.076006,3.6244),(1785,2435,0.076654,3.6235),(1785,2445,0.077306,3.6226),(1785,2455,0.077957,3.6217),(1785,2465,0.078608,3.6207),(1785,2475,0.07926,3.6198),(1785,2485,0.079913,3.6189),(1785,2495,0.080565,3.6179),(1785,2505,0.081218,3.6169),(1785,2515,0.08187,3.616),(1785,2525,0.082522,3.615),(1785,2535,0.083174,3.614),(1785,2545,0.083825,3.6129),(1785,2555,0.084477,3.6119),(1785,2565,0.085125,3.6109),(1785,2575,0.085774,3.6098),(1785,2585,0.086422,3.6087),(1785,2595,0.08707,3.6077),(1785,2605,0.087712,3.6066),(1785,2615,0.088355,3.6055),(1785,2625,0.088998,3.6043),(1785,2635,0.089639,3.6032),(1785,2645,0.090273,3.6021),(1785,2655,0.090907,3.6009),(1785,2665,0.091541,3.5997),(1785,2675,0.092174,3.5985),(1785,2685,0.092796,3.5973),(1785,2695,0.093419,3.5961),(1785,2705,0.094042,3.5949),(1785,2715,0.094662,3.5937),(1785,2725,0.095271,3.5924),(1785,2735,0.095879,3.5912),(1785,2745,0.096488,3.5899),(1785,2755,0.097092,3.5886),(1785,2765,0.097684,3.5873),(1785,2775,0.098275,3.586),(1785,2785,0.098867,3.5846),(1785,2795,0.099452,3.5833),(1785,2805,0.10002,3.582),(1785,2815,0.10059,3.5806),(1785,2825,0.10117,3.5792),(1785,2835,0.10173,3.5778),(1785,2845,0.10228,3.5764),(1785,2855,0.10283,3.575),(1785,2865,0.10337,3.5736),(1785,2875,0.10391,3.5721),(1785,2885,0.10443,3.5707),(1785,2895,0.10495,3.5692),(1785,2905,0.10547,3.5677),(1785,2915,0.10598,3.5662),(1785,2925,0.10647,3.5647),(1785,2935,0.10696,3.5632),(1785,2945,0.10745,3.5617),(1785,2955,0.10793,3.5601),(1785,2965,0.10838,3.5586),(1785,2975,0.10884,3.557),(1785,2985,0.1093,3.5554),(1785,2995,0.10973,3.5539),(1785,3005,0.11015,3.5523),(1785,3015,0.11057,3.5507),(1785,3025,0.11099,3.549),(1785,3035,0.11139,3.5474),(1785,3045,0.11177,3.5458),(1785,3055,0.11215,3.5441),(1785,3065,0.11253,3.5424),(1785,3075,0.11288,3.5408),(1785,3085,0.11321,3.5391),(1785,3095,0.11355,3.5374),(1785,3105,0.11388,3.5357),(1785,3115,0.11419,3.534),(1785,3125,0.11448,3.5323),(1785,3135,0.11476,3.5305),(1785,3145,0.11505,3.5288),(1785,3155,0.11531,3.527),(1785,3165,0.11554,3.5253),(1785,3175,0.11578,3.5235),(1785,3185,0.11602,3.5217),(1785,3195,0.11622,3.52),(1785,3205,0.1164,3.5182),(1785,3215,0.11658,3.5164),(1785,3225,0.11676,3.5146),(1785,3235,0.11691,3.5128),(1785,3245,0.11703,3.5109),(1785,3255,0.11716,3.5091),(1785,3265,0.11728,3.5073),(1785,3275,0.11736,3.5054),(1785,3285,0.11743,3.5036),(1785,3295,0.1175,3.5018),(1785,3305,0.11756,3.4999),(1785,3315,0.11758,3.498),(1785,3325,0.11759,3.4962),(1785,3335,0.11759,3.4943),(1785,3345,0.1176,3.4924),(1785,3355,0.11755,3.4906),(1785,3365,0.11749,3.4887),(1785,3375,0.11743,3.4868),(1785,3385,0.11737,3.4849),(1785,3395,0.11725,3.483),(1785,3405,0.11712,3.4811),(1785,3415,0.11699,3.4792),(1785,3425,0.11687,3.4773),(1785,3435,0.11668,3.4754),(1785,3445,0.11648,3.4735),(1785,3455,0.11629,3.4716),(1785,3465,0.1161,3.4697),(1785,3475,0.11583,3.4678),(1785,3485,0.11557,3.4659),(1785,3495,0.1153,3.464),(1785,3505,0.11504,3.4621),(1785,3515,0.1147,3.4602),(1785,3525,0.11437,3.4583),(1785,3535,0.11403,3.4564),(1785,3545,0.11369,3.4545),(1785,3555,0.11329,3.4526),(1785,3565,0.11288,3.4507),(1785,3575,0.11247,3.4488),(1785,3585,0.11206,3.4469),(1785,3595,0.11158,3.445),(1785,3605,0.1111,3.4431),(1785,3615,0.11062,3.4412),(1785,3625,0.11013,3.4393),(1785,3635,0.10958,3.4375),(1785,3645,0.10902,3.4356),(1785,3655,0.10847,3.4337),(1785,3665,0.10791,3.4318),(1785,3675,0.10728,3.43),(1785,3685,0.10666,3.4281),(1785,3695,0.10603,3.4263),(1785,3705,0.1054,3.4244),(1785,3715,0.1047,3.4226),(1785,3725,0.10401,3.4208),(1785,3735,0.10331,3.4189),(1785,3745,0.1026,3.4171),(1785,3755,0.10183,3.4153),(1785,3765,0.10107,3.4135),(1785,3775,0.10031,3.4117),(1785,3785,0.099522,3.4099),(1785,3795,0.09869,3.4081),(1785,3805,0.097859,3.4064),(1785,3815,0.097027,3.4046),(1785,3825,0.096175,3.4029),(1785,3835,0.09528,3.4011),(1785,3845,0.094385,3.3994),(1785,3855,0.09349,3.3976),(1785,3865,0.092574,3.3959),(1785,3875,0.091619,3.3942),(1785,3885,0.090665,3.3925),(1785,3895,0.08971,3.3908),(1785,3905,0.10383,3.3891),(1785,3915,0.14046,3.3875),(1785,3925,0.17709,3.3847),(1785,3935,0.21373,3.3805),(1785,3945,0.25278,3.3763),(1785,3955,0.29491,3.3722),(1785,3965,0.33704,3.3668),(1785,3975,0.37917,3.3599),(1785,3985,0.40379,3.3531),(1785,3995,0.40947,3.3463),(1785,4005,0.41515,3.3394),(1785,4015,0.42083,3.3325),(1785,4025,0.42704,3.3255),(1785,4035,0.43329,3.3185),(1785,4045,0.43954,3.3114),(1785,4055,0.44555,3.3043),(1785,4065,0.45146,3.2973),(1785,4075,0.45737,3.2901),(1785,4085,0.46264,3.283),(1785,4095,0.46739,3.2759),(1785,4105,0.47215,3.2688),(1785,4115,0.45894,3.2617),(1785,4125,0.41596,3.2547),(1785,4135,0.37298,3.2494),(1785,4145,0.32949,3.2445),(1785,4155,0.28396,3.2397),(1785,4165,0.23843,3.2361),(1785,4175,0.19564,3.2333),(1785,4185,0.28815,3.2305),(1785,4195,0.38066,3.2255),(1785,4205,0.47317,3.2178),(1785,4215,0.47022,3.21),(1785,4225,0.4493,3.2023),(1785,4235,0.42838,3.1947),(1785,4245,0.39584,3.1872),(1785,4255,0.35741,3.1797),(1785,4265,0.31897,3.1737),(1785,4275,0.26584,3.1677),(1785,4285,0.1971,3.1618),(1785,4295,0.12836,3.1596),(1785,4305,0.11792,3.1579),(1785,4315,0.23915,3.1562),(1785,4325,0.36038,3.1489),(1785,4335,0.46891,3.1396),(1785,4345,0.4915,3.1302),(1785,4355,0.51409,3.1205),(1785,4365,0.53668,3.1106),(1785,4375,0.54342,3.1007),(1785,4385,0.54933,3.0908),(1785,4395,0.55525,3.0807),(1785,4405,0.48416,3.0706),(1785,4415,0.39036,3.0614),(1785,4425,0.29656,3.0564),(1785,4435,0.26062,3.0514),(1785,4445,0.26421,3.0464),(1785,4455,0.2678,3.0415),(1785,4465,0.32245,3.0366),(1785,4475,0.44884,3.0317),(1785,4485,0.57524,3.022),(1785,4495,0.67575,3.0113),(1785,4505,0.69323,3.0007),(1785,4515,0.71072,2.9901),(1785,4525,0.72652,2.9796),(1785,4535,0.7158,2.9691),(1785,4545,0.70507,2.9595),(1785,4555,0.69435,2.9507),(1785,4565,0.51878,2.9419),(1785,4575,0.32098,2.9353),(1785,4585,0.12319,2.9341),(1785,4595,0.12961,2.9329),(1785,4605,0.22233,2.9312),(1785,4615,0.31504,2.9246),(1785,4625,0.3975,2.9181),(1785,4635,0.47067,2.9116),(1785,4645,0.54383,2.9019),(1785,4655,0.60892,2.8921),(1785,4665,0.65876,2.8823),(1785,4675,0.7086,2.8711),(1785,4685,0.72408,2.8595),(1785,4695,0.56975,2.8479),(1785,4705,0.41542,2.8405),(1785,4715,0.26109,2.836),(1785,4725,0.35451,2.8315),(1785,4735,0.45041,2.8256),(1785,4745,0.5463,2.8175),(1785,4755,0.65555,2.8093),(1785,4765,0.76788,2.8004),(1785,4775,0.88021,2.789),(1785,4785,0.93211,2.7776),(1785,4795,0.94905,2.7662),(1785,4805,0.966,2.7549),(1785,4815,0.93105,2.7436),(1785,4825,0.83404,2.7324),(1785,4835,0.73703,2.7241),(1785,4845,0.63427,2.7162),(1785,4855,0.51653,2.7084),(1785,4865,0.39879,2.7031),(1785,4875,0.3169,2.699),(1785,4885,0.56116,2.6949),(1785,4895,0.80541,2.6861),(1785,4905,1.0497,2.6727),(1785,4915,1.0508,2.6593),(1785,4925,1.031,2.646),(1785,4935,1.0112,2.633),(1785,4945,0.93067,2.6199),(1785,4955,0.82915,2.6074),(1785,4965,0.72764,2.5974),(1785,4975,0.57214,2.5874),(1785,4985,0.37496,2.5774),(1785,4995,0.17779,2.5761),(1785,5005,0.16186,2.5751),(1785,5015,0.43407,2.574),(1785,5025,0.70627,2.5657),(1785,5035,0.94395,2.5556),(1785,5045,1.05,2.5455),(1785,5055,1.1561,2.5339),(1785,5065,1.2596,2.5212),(1785,5075,1.2758,2.5086),(1785,5085,1.292,2.4961),(1785,5095,1.3082,2.4838),(1785,5105,1.1484,2.4716),(1785,5115,0.95789,2.4609),(1785,5125,0.76737,2.4546),(1785,5135,0.66328,2.4483),(1785,5145,0.60113,2.442),(1785,5155,0.53899,2.4361),(1785,5165,0.63921,2.4301),(1785,5175,0.90505,2.4241),(1785,5185,1.1709,2.4106),(1785,5195,1.358,2.3962),(1785,5205,1.3753,2.3819),(1785,5215,1.3926,2.3678),(1785,5225,1.4023,2.3539),(1785,5235,1.3645,2.3399),(1785,5245,1.3268,2.3271),(1785,5255,1.289,2.3153),(1785,5265,0.90295,2.3034),(1785,5275,0.50252,2.2958),(1785,5285,0.10209,2.2954),(1785,5295,0.23744,2.295),(1785,5305,0.522,2.2922),(1785,5315,0.80656,2.2793),(1785,5325,1.0001,2.2664),(1785,5335,1.1339,2.2534),(1785,5345,1.2677,2.2389),(1785,5355,1.3617,2.2244),(1785,5365,1.402,2.2099),(1785,5375,1.4423,2.1961),(1785,5385,1.389,2.1824),(1785,5395,1.0509,2.1687),(1785,5405,0.71281,2.1617),(1785,5415,0.40561,2.1581),(1785,5425,0.51355,2.1546),(1785,5435,0.62148,2.1463),(1785,5445,0.72941,2.133),(1785,5455,0.88119,2.1196),(1785,5465,1.0383,2.1038),(1785,5475,1.1955,2.0824),(1785,5485,1.2589,2.0611),(1785,5495,1.2846,2.0397),(1785,5505,1.3103,2.0185),(1785,5515,1.3365,1.9973),(1785,5525,1.3631,1.976),(1785,5535,1.3896,1.955),(1785,5545,1.4159,1.9339),(1785,5555,1.4415,1.9129),(1785,5565,1.4672,1.8921),(1785,5575,1.4926,1.8713),(1785,5585,1.5169,1.8505),(1785,5595,1.5412,1.8299),(1785,5605,1.5656,1.8094),(1785,5615,1.5885,1.7889),(1785,5625,1.6114,1.7686),(1785,5635,1.6344,1.7486),(1785,5645,1.6561,1.7285),(1785,5655,1.6777,1.7086),(1785,5665,1.6992,1.6889),(1785,5675,1.7198,1.6692),(1785,5685,1.74,1.6495),(1785,5695,1.7601,1.6302),(1785,5705,1.7796,1.6108),(1785,5715,1.7984,1.5915),(1785,5725,1.8173,1.5725),(1785,5735,1.8357,1.5535),(1785,5745,1.8532,1.5346),(1785,5755,1.8707,1.5159),(1785,5765,1.8881,1.4974),(1785,5775,1.9044,1.4789),(1785,5785,1.9208,1.4605),(1785,5795,1.9371,1.4423),(1785,5805,1.9523,1.4241),(1785,5815,1.9675,1.4059),(1785,5825,1.9827,1.3881),(1785,5835,1.9971,1.3702),(1785,5845,2.0112,1.3523),(1785,5855,2.0254,1.3347),(1785,5865,2.0389,1.3171),(1785,5875,2.0521,1.2995),(1785,5885,2.0652,1.2822),(1785,5895,2.078,1.2649),(1785,5905,2.0902,1.2476),(1785,5915,2.1024,1.2304),(1785,5925,2.1145,1.2134),(1785,5935,2.1259,1.1963),(1785,5945,2.1373,1.1794),(1785,5955,2.1486,1.1626),(1785,5965,2.1596,1.1458),(1785,5975,2.1705,1.1291),(1785,5985,2.1814,1.1125),(1785,5995,1.6687,1.0959),(1785,6005,1.0717,1.0833),(1785,6015,0.47466,1.0811),(1785,6025,0.48102,1.079),(1785,6035,0.76721,1.0758),(1785,6045,1.0534,1.062),(1785,6055,1.2599,1.0482),(1785,6065,1.3884,1.0344),(1785,6075,1.5168,1.0165),(1785,6085,1.6054,0.99823),(1785,6095,1.6119,0.97993),(1785,6105,1.6184,0.96147),(1785,6115,1.6249,0.94295),(1785,6125,1.6311,0.92442),(1785,6135,1.6374,0.90587),(1785,6145,1.6436,0.88729),(1785,6155,1.6494,0.86871),(1785,6165,1.6553,0.85008),(1785,6175,1.6611,0.83139),(1785,6185,1.6667,0.81269),(1785,6195,1.6721,0.79398),(1785,6205,1.6776,0.77521),(1785,6215,1.6828,0.75644),(1785,6225,1.6878,0.73767),(1785,6235,1.6928,0.71889),(1785,6245,1.6977,0.7001),(1785,6255,1.7023,0.68131),(1785,6265,1.7069,0.66241),(1785,6275,1.7114,0.6435),(1785,6285,1.7155,0.62459),(1785,6295,1.7197,0.60565),(1785,6305,1.7239,0.5867),(1785,6315,1.7277,0.56776),(1785,6325,1.7314,0.54878),(1785,6335,1.7352,0.52977),(1785,6345,1.7387,0.51077),(1785,6355,1.742,0.49172),(1785,6365,1.7454,0.47258),(1785,6375,1.7485,0.45343),(1785,6385,1.7515,0.43429),(1785,6395,1.7545,0.41512),(1785,6405,1.7573,0.39596),(1785,6415,1.7599,0.37679),(1785,6425,1.7625,0.35767),(1785,6435,1.7649,0.33856),(1785,6445,1.7671,0.31944),(1785,6455,1.7693,0.30033),(1785,6465,1.7713,0.28121),(1785,6475,1.7731,0.2621),(1785,6485,1.7748,0.24293),(1785,6495,1.7765,0.22372),(1785,6505,1.7778,0.20452),(1785,6515,1.7792,0.18528),(1785,6525,1.7805,0.16602),(1785,6535,1.7815,0.14675),(1785,6545,1.7824,0.12749),(1785,6555,1.7833,0.10824),(1785,6565,1.784,0.088986),(1785,6575,1.7844,0.069737),(1785,6585,1.7849,0.050495),(1785,6595,1.5183,0.031253),(1785,6605,0.95682,0.012012),(1785,6615,0.39533,0.009792),(1785,6625,0.000611,0.00976),(1785,6635,0.000613,0.009727),(1785,6645,0.000616,0.009712),(1785,6655,0.000618,0.009702),(1785,6665,0.000621,0.009693),(1785,6675,0.000623,0.009684),(1785,6685,0.000625,0.009675),(1785,6695,0.000628,0.009666),(1785,6705,0.00063,0.009657),(1785,6715,0.000632,0.009648),(1785,6725,0.000635,0.009639),(1785,6735,0.000637,0.00963),(1785,6745,0.000639,0.009621),(1785,6755,0.000641,0.009612),(1785,6765,0.000643,0.009603),(1785,6775,0.000645,0.009594),(1785,6785,0.000647,0.009585),(1785,6795,0.000649,0.009576),(1785,6805,0.000651,0.009567),(1785,6815,0.000653,0.009558),(1785,6825,0.000655,0.009549),(1785,6835,0.000657,0.00954),(1785,6845,0.000658,0.009531),(1785,6855,0.00066,0.009522),(1785,6865,0.000662,0.009513),(1785,6875,0.000664,0.009504),(1785,6885,0.000665,0.009495),(1785,6895,0.000667,0.009486),(1785,6905,0.000669,0.009477),(1785,6915,0.00067,0.009468),(1785,6925,0.000672,0.009459),(1785,6935,0.000674,0.009451),(1785,6945,0.000675,0.009442),(1785,6955,0.000677,0.009433),(1785,6965,0.000678,0.009424),(1785,6975,0.00068,0.009415),(1785,6985,0.000681,0.009406),(1795,5,5.8e-05,3.6784),(1795,15,0.000175,3.6784),(1795,25,0.000292,3.6784),(1795,35,0.000408,3.6784),(1795,45,0.000525,3.6784),(1795,55,0.000642,3.6784),(1795,65,0.000759,3.6784),(1795,75,0.000876,3.6784),(1795,85,0.000993,3.6784),(1795,95,0.00111,3.6784),(1795,105,0.001228,3.6784),(1795,115,0.001346,3.6783),(1795,125,0.001463,3.6783),(1795,135,0.001581,3.6783),(1795,145,0.0017,3.6783),(1795,155,0.001818,3.6783),(1795,165,0.001937,3.6783),(1795,175,0.002056,3.6783),(1795,185,0.002175,3.6783),(1795,195,0.002295,3.6783),(1795,205,0.002415,3.6783),(1795,215,0.002535,3.6783),(1795,225,0.002656,3.6782),(1795,235,0.002778,3.6782),(1795,245,0.002899,3.6782),(1795,255,0.00302,3.6782),(1795,265,0.003143,3.6782),(1795,275,0.003266,3.6782),(1795,285,0.003389,3.6782),(1795,295,0.003512,3.6781),(1795,305,0.003637,3.6781),(1795,315,0.003762,3.6781),(1795,325,0.003888,3.6781),(1795,335,0.004013,3.6781),(1795,345,0.00414,3.6781),(1795,355,0.004268,3.678),(1795,365,0.004395,3.678),(1795,375,0.004523,3.678),(1795,385,0.004653,3.678),(1795,395,0.004783,3.678),(1795,405,0.004913,3.6779),(1795,415,0.005043,3.6779),(1795,425,0.005176,3.6779),(1795,435,0.005309,3.6779),(1795,445,0.005442,3.6778),(1795,455,0.005575,3.6778),(1795,465,0.005711,3.6778),(1795,475,0.005847,3.6777),(1795,485,0.005984,3.6777),(1795,495,0.00612,3.6777),(1795,505,0.00626,3.6777),(1795,515,0.006399,3.6776),(1795,525,0.006539,3.6776),(1795,535,0.006679,3.6776),(1795,545,0.006822,3.6775),(1795,555,0.006966,3.6775),(1795,565,0.00711,3.6775),(1795,575,0.007253,3.6774),(1795,585,0.007401,3.6774),(1795,595,0.007549,3.6774),(1795,605,0.007697,3.6773),(1795,615,0.007845,3.6773),(1795,625,0.007997,3.6772),(1795,635,0.008149,3.6772),(1795,645,0.008301,3.6772),(1795,655,0.008455,3.6771),(1795,665,0.008612,3.6771),(1795,675,0.008769,3.677),(1795,685,0.008926,3.677),(1795,695,0.009084,3.6769),(1795,705,0.009247,3.6769),(1795,715,0.009409,3.6769),(1795,725,0.009572,3.6768),(1795,735,0.009735,3.6768),(1795,745,0.009903,3.6767),(1795,755,0.010071,3.6767),(1795,765,0.010239,3.6766),(1795,775,0.010409,3.6766),(1795,785,0.010582,3.6765),(1795,795,0.010756,3.6764),(1795,805,0.01093,3.6764),(1795,815,0.011105,3.6763),(1795,825,0.011285,3.6763),(1795,835,0.011465,3.6762),(1795,845,0.011645,3.6762),(1795,855,0.011828,3.6761),(1795,865,0.012014,3.676),(1795,875,0.012201,3.676),(1795,885,0.012388,3.6759),(1795,895,0.012577,3.6758),(1795,905,0.012771,3.6758),(1795,915,0.012965,3.6757),(1795,925,0.013159,3.6756),(1795,935,0.013356,3.6756),(1795,945,0.013558,3.6755),(1795,955,0.013759,3.6754),(1795,965,0.01396,3.6753),(1795,975,0.014166,3.6753),(1795,985,0.014375,3.6752),(1795,995,0.014584,3.6751),(1795,1005,0.014793,3.675),(1795,1015,0.015007,3.6749),(1795,1025,0.015224,3.6749),(1795,1035,0.015442,3.6748),(1795,1045,0.015659,3.6747),(1795,1055,0.015881,3.6746),(1795,1065,0.016108,3.6745),(1795,1075,0.016334,3.6744),(1795,1085,0.01656,3.6743),(1795,1095,0.016792,3.6742),(1795,1105,0.017027,3.6741),(1795,1115,0.017263,3.674),(1795,1125,0.017498,3.6739),(1795,1135,0.01774,3.6738),(1795,1145,0.017985,3.6737),(1795,1155,0.018229,3.6736),(1795,1165,0.018474,3.6735),(1795,1175,0.018726,3.6734),(1795,1185,0.018981,3.6733),(1795,1195,0.019236,3.6732),(1795,1205,0.019491,3.6731),(1795,1215,0.019754,3.673),(1795,1225,0.020019,3.6728),(1795,1235,0.020285,3.6727),(1795,1245,0.02055,3.6726),(1795,1255,0.020824,3.6725),(1795,1265,0.021101,3.6723),(1795,1275,0.021377,3.6722),(1795,1285,0.021654,3.6721),(1795,1295,0.02194,3.6719),(1795,1305,0.022228,3.6718),(1795,1315,0.022516,3.6717),(1795,1325,0.022804,3.6715),(1795,1335,0.023102,3.6714),(1795,1345,0.023401,3.6712),(1795,1355,0.023701,3.6711),(1795,1365,0.024001,3.6709),(1795,1375,0.024311,3.6708),(1795,1385,0.024623,3.6706),(1795,1395,0.024935,3.6704),(1795,1405,0.025247,3.6703),(1795,1415,0.025571,3.6701),(1795,1425,0.025895,3.6699),(1795,1435,0.02622,3.6698),(1795,1445,0.026545,3.6696),(1795,1455,0.026882,3.6694),(1795,1465,0.027219,3.6692),(1795,1475,0.027557,3.669),(1795,1485,0.027895,3.6688),(1795,1495,0.028246,3.6686),(1795,1505,0.028597,3.6685),(1795,1515,0.028949,3.6683),(1795,1525,0.0293,3.668),(1795,1535,0.029666,3.6678),(1795,1545,0.030031,3.6676),(1795,1555,0.030396,3.6674),(1795,1565,0.030762,3.6672),(1795,1575,0.031142,3.667),(1795,1585,0.031521,3.6667),(1795,1595,0.031901,3.6665),(1795,1605,0.032281,3.6663),(1795,1615,0.032675,3.666),(1795,1625,0.03307,3.6658),(1795,1635,0.033464,3.6655),(1795,1645,0.03386,3.6653),(1795,1655,0.034269,3.665),(1795,1665,0.034677,3.6648),(1795,1675,0.035086,3.6645),(1795,1685,0.035498,3.6642),(1795,1695,0.035922,3.664),(1795,1705,0.036346,3.6637),(1795,1715,0.03677,3.6634),(1795,1725,0.037197,3.6631),(1795,1735,0.037636,3.6628),(1795,1745,0.038076,3.6625),(1795,1755,0.038515,3.6622),(1795,1765,0.038958,3.6619),(1795,1775,0.039413,3.6616),(1795,1785,0.039868,3.6613),(1795,1795,0.040323,3.6609),(1795,1805,0.040782,3.6606),(1795,1815,0.041252,3.6603),(1795,1825,0.041723,3.6599),(1795,1835,0.042193,3.6596),(1795,1845,0.042669,3.6592),(1795,1855,0.043155,3.6589),(1795,1865,0.043641,3.6585),(1795,1875,0.044128,3.6581),(1795,1885,0.04462,3.6577),(1795,1895,0.045122,3.6574),(1795,1905,0.045623,3.657),(1795,1915,0.046125,3.6566),(1795,1925,0.046634,3.6562),(1795,1935,0.047151,3.6557),(1795,1945,0.047668,3.6553),(1795,1955,0.048185,3.6549),(1795,1965,0.04871,3.6545),(1795,1975,0.049242,3.654),(1795,1985,0.049775,3.6536),(1795,1995,0.050307,3.6531),(1795,2005,0.050847,3.6526),(1795,2015,0.051394,3.6522),(1795,2025,0.051942,3.6517),(1795,2035,0.05249,3.6512),(1795,2045,0.053045,3.6507),(1795,2055,0.053607,3.6502),(1795,2065,0.05417,3.6497),(1795,2075,0.054732,3.6492),(1795,2085,0.055302,3.6487),(1795,2095,0.055879,3.6481),(1795,2105,0.056456,3.6476),(1795,2115,0.057032,3.647),(1795,2125,0.057617,3.6465),(1795,2135,0.058207,3.6459),(1795,2145,0.058797,3.6453),(1795,2155,0.059387,3.6447),(1795,2165,0.059986,3.6441),(1795,2175,0.060589,3.6435),(1795,2185,0.061191,3.6429),(1795,2195,0.061794,3.6423),(1795,2205,0.062405,3.6416),(1795,2215,0.06302,3.641),(1795,2225,0.063635,3.6403),(1795,2235,0.064249,3.6397),(1795,2245,0.064872,3.639),(1795,2255,0.065498,3.6383),(1795,2265,0.066123,3.6376),(1795,2275,0.066749,3.6369),(1795,2285,0.067382,3.6362),(1795,2295,0.068017,3.6355),(1795,2305,0.068653,3.6347),(1795,2315,0.069288,3.634),(1795,2325,0.06993,3.6332),(1795,2335,0.070574,3.6325),(1795,2345,0.071218,3.6317),(1795,2355,0.071861,3.6309),(1795,2365,0.072511,3.6301),(1795,2375,0.073162,3.6293),(1795,2385,0.073812,3.6284),(1795,2395,0.074463,3.6276),(1795,2405,0.075118,3.6267),(1795,2415,0.075774,3.6259),(1795,2425,0.07643,3.625),(1795,2435,0.077086,3.6241),(1795,2445,0.077745,3.6232),(1795,2455,0.078404,3.6223),(1795,2465,0.079063,3.6214),(1795,2475,0.079722,3.6205),(1795,2485,0.080383,3.6195),(1795,2495,0.081043,3.6186),(1795,2505,0.081704,3.6176),(1795,2515,0.082364,3.6166),(1795,2525,0.083024,3.6156),(1795,2535,0.083684,3.6146),(1795,2545,0.084344,3.6136),(1795,2555,0.085004,3.6126),(1795,2565,0.08566,3.6115),(1795,2575,0.086317,3.6105),(1795,2585,0.086974,3.6094),(1795,2595,0.08763,3.6083),(1795,2605,0.088281,3.6072),(1795,2615,0.088932,3.6061),(1795,2625,0.089584,3.605),(1795,2635,0.090234,3.6038),(1795,2645,0.090876,3.6027),(1795,2655,0.091519,3.6016),(1795,2665,0.092162,3.6004),(1795,2675,0.092803,3.5992),(1795,2685,0.093435,3.598),(1795,2695,0.094066,3.5968),(1795,2705,0.094698,3.5955),(1795,2715,0.095326,3.5943),(1795,2725,0.095944,3.593),(1795,2735,0.096561,3.5918),(1795,2745,0.097179,3.5905),(1795,2755,0.097792,3.5892),(1795,2765,0.098392,3.5879),(1795,2775,0.098993,3.5866),(1795,2785,0.099593,3.5852),(1795,2795,0.10019,3.5839),(1795,2805,0.10077,3.5825),(1795,2815,0.10135,3.5812),(1795,2825,0.10193,3.5798),(1795,2835,0.1025,3.5784),(1795,2845,0.10306,3.577),(1795,2855,0.10361,3.5756),(1795,2865,0.10417,3.5741),(1795,2875,0.10472,3.5727),(1795,2885,0.10525,3.5712),(1795,2895,0.10577,3.5697),(1795,2905,0.1063,3.5682),(1795,2915,0.10682,3.5667),(1795,2925,0.10732,3.5652),(1795,2935,0.10782,3.5637),(1795,2945,0.10832,3.5622),(1795,2955,0.1088,3.5606),(1795,2965,0.10927,3.5591),(1795,2975,0.10973,3.5575),(1795,2985,0.1102,3.5559),(1795,2995,0.11064,3.5543),(1795,3005,0.11107,3.5527),(1795,3015,0.1115,3.5511),(1795,3025,0.11192,3.5494),(1795,3035,0.11233,3.5478),(1795,3045,0.11272,3.5462),(1795,3055,0.1131,3.5445),(1795,3065,0.11349,3.5428),(1795,3075,0.11385,3.5411),(1795,3085,0.11419,3.5394),(1795,3095,0.11453,3.5377),(1795,3105,0.11488,3.536),(1795,3115,0.11519,3.5343),(1795,3125,0.11548,3.5326),(1795,3135,0.11578,3.5308),(1795,3145,0.11607,3.5291),(1795,3155,0.11633,3.5273),(1795,3165,0.11657,3.5255),(1795,3175,0.11682,3.5238),(1795,3185,0.11706,3.522),(1795,3195,0.11727,3.5202),(1795,3205,0.11746,3.5184),(1795,3215,0.11764,3.5166),(1795,3225,0.11783,3.5147),(1795,3235,0.11798,3.5129),(1795,3245,0.11811,3.5111),(1795,3255,0.11824,3.5092),(1795,3265,0.11838,3.5074),(1795,3275,0.11846,3.5055),(1795,3285,0.11853,3.5037),(1795,3295,0.1186,3.5018),(1795,3305,0.11868,3.4999),(1795,3315,0.1187,3.4981),(1795,3325,0.11871,3.4962),(1795,3335,0.11871,3.4943),(1795,3345,0.11872,3.4924),(1795,3355,0.11868,3.4905),(1795,3365,0.11862,3.4886),(1795,3375,0.11857,3.4867),(1795,3385,0.11851,3.4848),(1795,3395,0.11839,3.4829),(1795,3405,0.11827,3.481),(1795,3415,0.11815,3.4791),(1795,3425,0.11802,3.4772),(1795,3435,0.11784,3.4752),(1795,3445,0.11764,3.4733),(1795,3455,0.11745,3.4714),(1795,3465,0.11726,3.4695),(1795,3475,0.117,3.4676),(1795,3485,0.11674,3.4656),(1795,3495,0.11647,3.4637),(1795,3505,0.11621,3.4618),(1795,3515,0.11588,3.4599),(1795,3525,0.11554,3.4579),(1795,3535,0.11521,3.456),(1795,3545,0.11487,3.4541),(1795,3555,0.11446,3.4522),(1795,3565,0.11406,3.4503),(1795,3575,0.11365,3.4483),(1795,3585,0.11323,3.4464),(1795,3595,0.11275,3.4445),(1795,3605,0.11227,3.4426),(1795,3615,0.11179,3.4407),(1795,3625,0.11131,3.4388),(1795,3635,0.11075,3.4369),(1795,3645,0.1102,3.435),(1795,3655,0.10965,3.4331),(1795,3665,0.10908,3.4313),(1795,3675,0.10846,3.4294),(1795,3685,0.10783,3.4275),(1795,3695,0.10721,3.4256),(1795,3705,0.10657,3.4238),(1795,3715,0.10587,3.4219),(1795,3725,0.10517,3.4201),(1795,3735,0.10447,3.4182),(1795,3745,0.10376,3.4164),(1795,3755,0.10299,3.4146),(1795,3765,0.10223,3.4127),(1795,3775,0.10146,3.4109),(1795,3785,0.10067,3.4091),(1795,3795,0.09984,3.4073),(1795,3805,0.099006,3.4055),(1795,3815,0.098172,3.4038),(1795,3825,0.097317,3.402),(1795,3835,0.096419,3.4002),(1795,3845,0.09552,3.3985),(1795,3855,0.094622,3.3967),(1795,3865,0.093702,3.395),(1795,3875,0.092744,3.3933),(1795,3885,0.091786,3.3915),(1795,3895,0.090828,3.3898),(1795,3905,0.10511,3.3882),(1795,3915,0.14216,3.3865),(1795,3925,0.1792,3.3837),(1795,3935,0.21625,3.3795),(1795,3945,0.25571,3.3753),(1795,3955,0.29824,3.3711),(1795,3965,0.34078,3.3656),(1795,3975,0.38331,3.3587),(1795,3985,0.40814,3.3519),(1795,3995,0.41382,3.345),(1795,4005,0.41951,3.3381),(1795,4015,0.42519,3.331),(1795,4025,0.43139,3.324),(1795,4035,0.43764,3.317),(1795,4045,0.4439,3.3098),(1795,4055,0.44988,3.3027),(1795,4065,0.45578,3.2956),(1795,4075,0.46167,3.2884),(1795,4085,0.4669,3.2812),(1795,4095,0.4716,3.274),(1795,4105,0.4763,3.2668),(1795,4115,0.46289,3.2597),(1795,4125,0.41947,3.2525),(1795,4135,0.37604,3.2471),(1795,4145,0.33213,3.2422),(1795,4155,0.28626,3.2373),(1795,4165,0.24038,3.2336),(1795,4175,0.19727,3.2307),(1795,4185,0.29077,3.2278),(1795,4195,0.38426,3.2228),(1795,4205,0.47776,3.215),(1795,4215,0.47501,3.2072),(1795,4225,0.45414,3.1995),(1795,4235,0.43328,3.1919),(1795,4245,0.40057,3.1842),(1795,4255,0.36187,3.1767),(1795,4265,0.32316,3.1707),(1795,4275,0.26945,3.1647),(1795,4285,0.19981,3.1587),(1795,4295,0.13017,3.1565),(1795,4305,0.11964,3.1548),(1795,4315,0.24256,3.1531),(1795,4325,0.36549,3.1459),(1795,4335,0.47549,3.1365),(1795,4345,0.49807,3.1272),(1795,4355,0.52065,3.1175),(1795,4365,0.54323,3.1076),(1795,4375,0.54995,3.0977),(1795,4385,0.55584,3.0877),(1795,4395,0.56174,3.0775),(1795,4405,0.48984,3.0673),(1795,4415,0.39499,3.058),(1795,4425,0.30015,3.0529),(1795,4435,0.26377,3.0477),(1795,4445,0.26734,3.0425),(1795,4455,0.27092,3.0376),(1795,4465,0.32599,3.0326),(1795,4475,0.45342,3.0276),(1795,4485,0.58085,3.0179),(1795,4495,0.68212,3.0072),(1795,4505,0.69944,2.9965),(1795,4515,0.71677,2.9859),(1795,4525,0.7324,2.9754),(1795,4535,0.72121,2.9649),(1795,4545,0.71003,2.9552),(1795,4555,0.69884,2.9464),(1795,4565,0.52218,2.9376),(1795,4575,0.32322,2.931),(1795,4585,0.12425,2.9298),(1795,4595,0.13105,2.9286),(1795,4605,0.22479,2.9268),(1795,4615,0.31853,2.9201),(1795,4625,0.40177,2.9134),(1795,4635,0.47549,2.9067),(1795,4645,0.54922,2.8968),(1795,4655,0.61478,2.8868),(1795,4665,0.66493,2.8767),(1795,4675,0.71508,2.8654),(1795,4685,0.73061,2.8538),(1795,4695,0.57508,2.8422),(1795,4705,0.41955,2.8348),(1795,4715,0.26401,2.8305),(1795,4725,0.35796,2.8262),(1795,4735,0.4544,2.8204),(1795,4745,0.55085,2.8123),(1795,4755,0.66044,2.8043),(1795,4765,0.77307,2.7955),(1795,4775,0.88571,2.784),(1795,4785,0.93761,2.7726),(1795,4795,0.95439,2.7612),(1795,4805,0.97117,2.7498),(1795,4815,0.93592,2.7385),(1795,4825,0.83844,2.7271),(1795,4835,0.74096,2.7187),(1795,4845,0.63774,2.7108),(1795,4855,0.51957,2.7029),(1795,4865,0.40139,2.6975),(1795,4875,0.31924,2.6934),(1795,4885,0.56488,2.6893),(1795,4895,0.81053,2.6804),(1795,4905,1.0562,2.667),(1795,4915,1.0574,2.6535),(1795,4925,1.0376,2.6402),(1795,4935,1.0178,2.6272),(1795,4945,0.93703,2.6141),(1795,4955,0.83517,2.6015),(1795,4965,0.73331,2.5915),(1795,4975,0.5768,2.5815),(1795,4985,0.37811,2.5715),(1795,4995,0.17941,2.5702),(1795,5005,0.163,2.5692),(1795,5015,0.43638,2.5681),(1795,5025,0.70976,2.5599),(1795,5035,0.9484,2.5498),(1795,5045,1.0547,2.5398),(1795,5055,1.1609,2.5281),(1795,5065,1.2645,2.5155),(1795,5075,1.2805,2.5029),(1795,5085,1.2965,2.4905),(1795,5095,1.3125,2.4783),(1795,5105,1.152,2.4661),(1795,5115,0.96081,2.4554),(1795,5125,0.7696,2.4491),(1795,5135,0.66545,2.4428),(1795,5145,0.60354,2.4366),(1795,5155,0.54164,2.4306),(1795,5165,0.64248,2.4247),(1795,5175,0.9093,2.4187),(1795,5185,1.1761,2.4052),(1795,5195,1.3638,2.3909),(1795,5205,1.3809,2.3766),(1795,5215,1.398,2.3626),(1795,5225,1.4074,2.3487),(1795,5235,1.3693,2.3348),(1795,5245,1.3312,2.322),(1795,5255,1.293,2.3102),(1795,5265,0.90581,2.2983),(1795,5275,0.50422,2.2907),(1795,5285,0.10262,2.2903),(1795,5295,0.23935,2.2899),(1795,5305,0.52599,2.2871),(1795,5315,0.81263,2.2742),(1795,5325,1.0068,2.2613),(1795,5335,1.1403,2.2483),(1795,5345,1.2739,2.2339),(1795,5355,1.3675,2.2194),(1795,5365,1.4074,2.2049),(1795,5375,1.4473,2.1911),(1795,5385,1.3933,2.1775),(1795,5395,1.0541,2.1638),(1795,5405,0.71492,2.1568),(1795,5415,0.40685,2.1533),(1795,5425,0.51712,2.1497),(1795,5435,0.62738,2.1414),(1795,5445,0.73765,2.128),(1795,5455,0.89095,2.1146),(1795,5465,1.0495,2.0988),(1795,5475,1.2081,2.0775),(1795,5485,1.2718,2.0561),(1795,5495,1.2973,2.0348),(1795,5505,1.3229,2.0135),(1795,5515,1.3489,1.9923),(1795,5525,1.3753,1.9711),(1795,5535,1.4017,1.9501),(1795,5545,1.4277,1.9291),(1795,5555,1.4532,1.9081),(1795,5565,1.4786,1.8873),(1795,5575,1.5038,1.8665),(1795,5585,1.5279,1.8458),(1795,5595,1.552,1.8252),(1795,5605,1.5761,1.8048),(1795,5615,1.5988,1.7844),(1795,5625,1.6215,1.7642),(1795,5635,1.6442,1.7442),(1795,5645,1.6657,1.7242),(1795,5655,1.687,1.7043),(1795,5665,1.7083,1.6847),(1795,5675,1.7287,1.6651),(1795,5685,1.7486,1.6455),(1795,5695,1.7686,1.6262),(1795,5705,1.7879,1.6069),(1795,5715,1.8064,1.5877),(1795,5725,1.825,1.5688),(1795,5735,1.8432,1.5499),(1795,5745,1.8606,1.531),(1795,5755,1.8779,1.5125),(1795,5765,1.8951,1.494),(1795,5775,1.9112,1.4755),(1795,5785,1.9273,1.4572),(1795,5795,1.9434,1.4391),(1795,5805,1.9585,1.421),(1795,5815,1.9735,1.4029),(1795,5825,1.9885,1.3851),(1795,5835,2.0028,1.3673),(1795,5845,2.0167,1.3495),(1795,5855,2.0307,1.332),(1795,5865,2.0441,1.3145),(1795,5875,2.0571,1.297),(1795,5885,2.0701,1.2797),(1795,5895,2.0827,1.2625),(1795,5905,2.0948,1.2452),(1795,5915,2.1069,1.2282),(1795,5925,2.1188,1.2112),(1795,5935,2.1301,1.1942),(1795,5945,2.1414,1.1774),(1795,5955,2.1526,1.1606),(1795,5965,2.1634,1.1439),(1795,5975,2.1742,1.1273),(1795,5985,2.185,1.1107),(1795,5995,1.6714,1.0942),(1795,6005,1.0734,1.0816),(1795,6015,0.47542,1.0795),(1795,6025,0.48282,1.0774),(1795,6035,0.771,1.0741),(1795,6045,1.0592,1.0604),(1795,6055,1.2671,1.0466),(1795,6065,1.3962,1.0328),(1795,6075,1.5253,1.0149),(1795,6085,1.6144,0.99663),(1795,6095,1.6209,0.97835),(1795,6105,1.6274,0.9599),(1795,6115,1.6338,0.9414),(1795,6125,1.6401,0.9229),(1795,6135,1.6463,0.90437),(1795,6145,1.6525,0.88582),(1795,6155,1.6583,0.86726),(1795,6165,1.6642,0.84867),(1795,6175,1.67,0.82999),(1795,6185,1.6756,0.81132),(1795,6195,1.681,0.79263),(1795,6205,1.6865,0.77388),(1795,6215,1.6917,0.75513),(1795,6225,1.6967,0.73638),(1795,6235,1.7018,0.71762),(1795,6245,1.7066,0.69885),(1795,6255,1.7112,0.68008),(1795,6265,1.7158,0.66121),(1795,6275,1.7203,0.64231),(1795,6285,1.7245,0.62342),(1795,6295,1.7287,0.60451),(1795,6305,1.7329,0.58559),(1795,6315,1.7366,0.56667),(1795,6325,1.7404,0.54773),(1795,6335,1.7442,0.52876),(1795,6345,1.7476,0.50979),(1795,6355,1.751,0.49078),(1795,6365,1.7544,0.47168),(1795,6375,1.7575,0.45258),(1795,6385,1.7605,0.43348),(1795,6395,1.7634,0.41435),(1795,6405,1.7662,0.39522),(1795,6415,1.7688,0.3761),(1795,6425,1.7714,0.35701),(1795,6435,1.7739,0.33793),(1795,6445,1.776,0.31884),(1795,6455,1.7782,0.29976),(1795,6465,1.7803,0.28067),(1795,6475,1.782,0.26159),(1795,6485,1.7838,0.24245),(1795,6495,1.7855,0.22328),(1795,6505,1.7868,0.20411),(1795,6515,1.7881,0.18492),(1795,6525,1.7894,0.1657),(1795,6535,1.7904,0.14648),(1795,6545,1.7914,0.12726),(1795,6555,1.7923,0.10805),(1795,6565,1.7929,0.088842),(1795,6575,1.7934,0.069635),(1795,6585,1.7938,0.050432),(1795,6595,1.5259,0.031229),(1795,6605,0.9616,0.012026),(1795,6615,0.3973,0.009806),(1795,6625,0.000616,0.009769),(1795,6635,0.000618,0.009731),(1795,6645,0.000621,0.009714),(1795,6655,0.000624,0.009705),(1795,6665,0.000626,0.009696),(1795,6675,0.000628,0.009687),(1795,6685,0.000631,0.009678),(1795,6695,0.000633,0.009669),(1795,6705,0.000635,0.009659),(1795,6715,0.000638,0.00965),(1795,6725,0.00064,0.009642),(1795,6735,0.000642,0.009633),(1795,6745,0.000644,0.009623),(1795,6755,0.000646,0.009614),(1795,6765,0.000648,0.009605),(1795,6775,0.00065,0.009596),(1795,6785,0.000652,0.009587),(1795,6795,0.000654,0.009578),(1795,6805,0.000656,0.009569),(1795,6815,0.000658,0.00956),(1795,6825,0.00066,0.009551),(1795,6835,0.000662,0.009542),(1795,6845,0.000664,0.009533),(1795,6855,0.000665,0.009524),(1795,6865,0.000667,0.009515),(1795,6875,0.000669,0.009506),(1795,6885,0.000671,0.009497),(1795,6895,0.000672,0.009488),(1795,6905,0.000674,0.009479),(1795,6915,0.000676,0.00947),(1795,6925,0.000677,0.009461),(1795,6935,0.000679,0.009452),(1795,6945,0.00068,0.009443),(1795,6955,0.000682,0.009434),(1795,6965,0.000683,0.009425),(1795,6975,0.000685,0.009416),(1795,6985,0.000686,0.009407),(1805,5,5.8e-05,3.6785),(1805,15,0.000175,3.6785),(1805,25,0.000291,3.6785),(1805,35,0.000408,3.6785),(1805,45,0.000524,3.6785),(1805,55,0.000641,3.6785),(1805,65,0.000758,3.6785),(1805,75,0.000875,3.6785),(1805,85,0.000992,3.6785),(1805,95,0.001109,3.6785),(1805,105,0.001226,3.6785),(1805,115,0.001344,3.6785),(1805,125,0.001461,3.6785),(1805,135,0.001579,3.6785),(1805,145,0.001697,3.6784),(1805,155,0.001816,3.6784),(1805,165,0.001934,3.6784),(1805,175,0.002053,3.6784),(1805,185,0.002172,3.6784),(1805,195,0.002292,3.6784),(1805,205,0.002412,3.6784),(1805,215,0.002531,3.6784),(1805,225,0.002652,3.6784),(1805,235,0.002774,3.6784),(1805,245,0.002895,3.6783),(1805,255,0.003016,3.6783),(1805,265,0.003139,3.6783),(1805,275,0.003262,3.6783),(1805,285,0.003385,3.6783),(1805,295,0.003508,3.6783),(1805,305,0.003632,3.6783),(1805,315,0.003757,3.6782),(1805,325,0.003882,3.6782),(1805,335,0.004007,3.6782),(1805,345,0.004134,3.6782),(1805,355,0.004262,3.6782),(1805,365,0.004389,3.6781),(1805,375,0.004517,3.6781),(1805,385,0.004646,3.6781),(1805,395,0.004776,3.6781),(1805,405,0.004906,3.6781),(1805,415,0.005036,3.678),(1805,425,0.005169,3.678),(1805,435,0.005302,3.678),(1805,445,0.005435,3.678),(1805,455,0.005568,3.6779),(1805,465,0.005704,3.6779),(1805,475,0.00584,3.6779),(1805,485,0.005976,3.6779),(1805,495,0.006112,3.6778),(1805,505,0.006252,3.6778),(1805,515,0.006391,3.6778),(1805,525,0.006531,3.6777),(1805,535,0.006671,3.6777),(1805,545,0.006814,3.6777),(1805,555,0.006958,3.6776),(1805,565,0.007101,3.6776),(1805,575,0.007245,3.6776),(1805,585,0.007392,3.6775),(1805,595,0.00754,3.6775),(1805,605,0.007687,3.6775),(1805,615,0.007836,3.6774),(1805,625,0.007988,3.6774),(1805,635,0.00814,3.6774),(1805,645,0.008292,3.6773),(1805,655,0.008445,3.6773),(1805,665,0.008602,3.6772),(1805,675,0.008759,3.6772),(1805,685,0.008916,3.6772),(1805,695,0.009074,3.6771),(1805,705,0.009237,3.6771),(1805,715,0.009399,3.677),(1805,725,0.009562,3.677),(1805,735,0.009725,3.6769),(1805,745,0.009893,3.6769),(1805,755,0.010061,3.6768),(1805,765,0.010229,3.6768),(1805,775,0.010399,3.6767),(1805,785,0.010572,3.6767),(1805,795,0.010746,3.6766),(1805,805,0.01092,3.6766),(1805,815,0.011096,3.6765),(1805,825,0.011276,3.6765),(1805,835,0.011456,3.6764),(1805,845,0.011636,3.6763),(1805,855,0.011818,3.6763),(1805,865,0.012005,3.6762),(1805,875,0.012192,3.6762),(1805,885,0.012378,3.6761),(1805,895,0.012568,3.676),(1805,905,0.012762,3.676),(1805,915,0.012956,3.6759),(1805,925,0.01315,3.6758),(1805,935,0.013347,3.6758),(1805,945,0.013549,3.6757),(1805,955,0.01375,3.6756),(1805,965,0.013952,3.6755),(1805,975,0.014157,3.6755),(1805,985,0.014366,3.6754),(1805,995,0.014576,3.6753),(1805,1005,0.014785,3.6752),(1805,1015,0.014999,3.6752),(1805,1025,0.015217,3.6751),(1805,1035,0.015434,3.675),(1805,1045,0.015652,3.6749),(1805,1055,0.015875,3.6748),(1805,1065,0.016101,3.6747),(1805,1075,0.016328,3.6746),(1805,1085,0.016554,3.6746),(1805,1095,0.016786,3.6745),(1805,1105,0.017022,3.6744),(1805,1115,0.017258,3.6743),(1805,1125,0.017494,3.6742),(1805,1135,0.017736,3.6741),(1805,1145,0.017981,3.674),(1805,1155,0.018227,3.6739),(1805,1165,0.018472,3.6738),(1805,1175,0.018724,3.6737),(1805,1185,0.01898,3.6736),(1805,1195,0.019235,3.6734),(1805,1205,0.019491,3.6733),(1805,1215,0.019754,3.6732),(1805,1225,0.02002,3.6731),(1805,1235,0.020286,3.673),(1805,1245,0.020552,3.6729),(1805,1255,0.020827,3.6727),(1805,1265,0.021104,3.6726),(1805,1275,0.021381,3.6725),(1805,1285,0.021658,3.6723),(1805,1295,0.021945,3.6722),(1805,1305,0.022234,3.6721),(1805,1315,0.022522,3.6719),(1805,1325,0.022811,3.6718),(1805,1335,0.02311,3.6717),(1805,1345,0.023411,3.6715),(1805,1355,0.023711,3.6714),(1805,1365,0.024012,3.6712),(1805,1375,0.024323,3.6711),(1805,1385,0.024636,3.6709),(1805,1395,0.024949,3.6708),(1805,1405,0.025262,3.6706),(1805,1415,0.025587,3.6704),(1805,1425,0.025913,3.6703),(1805,1435,0.026238,3.6701),(1805,1445,0.026564,3.6699),(1805,1455,0.026903,3.6697),(1805,1465,0.027242,3.6696),(1805,1475,0.027581,3.6694),(1805,1485,0.02792,3.6692),(1805,1495,0.028272,3.669),(1805,1505,0.028625,3.6688),(1805,1515,0.028978,3.6686),(1805,1525,0.029331,3.6684),(1805,1535,0.029698,3.6682),(1805,1545,0.030064,3.668),(1805,1555,0.030431,3.6678),(1805,1565,0.030799,3.6676),(1805,1575,0.03118,3.6673),(1805,1585,0.031561,3.6671),(1805,1595,0.031942,3.6669),(1805,1605,0.032325,3.6667),(1805,1615,0.032721,3.6664),(1805,1625,0.033117,3.6662),(1805,1635,0.033513,3.6659),(1805,1645,0.033911,3.6657),(1805,1655,0.034322,3.6654),(1805,1665,0.034733,3.6652),(1805,1675,0.035144,3.6649),(1805,1685,0.035558,3.6647),(1805,1695,0.035984,3.6644),(1805,1705,0.036411,3.6641),(1805,1715,0.036837,3.6638),(1805,1725,0.037267,3.6635),(1805,1735,0.037709,3.6633),(1805,1745,0.03815,3.663),(1805,1755,0.038592,3.6627),(1805,1765,0.039038,3.6624),(1805,1775,0.039496,3.662),(1805,1785,0.039953,3.6617),(1805,1795,0.040411,3.6614),(1805,1805,0.040873,3.6611),(1805,1815,0.041347,3.6607),(1805,1825,0.04182,3.6604),(1805,1835,0.042294,3.6601),(1805,1845,0.042773,3.6597),(1805,1855,0.043262,3.6594),(1805,1865,0.043752,3.659),(1805,1875,0.044241,3.6586),(1805,1885,0.044737,3.6582),(1805,1895,0.045242,3.6579),(1805,1905,0.045747,3.6575),(1805,1915,0.046253,3.6571),(1805,1925,0.046765,3.6567),(1805,1935,0.047286,3.6563),(1805,1945,0.047807,3.6558),(1805,1955,0.048329,3.6554),(1805,1965,0.048857,3.655),(1805,1975,0.049393,3.6546),(1805,1985,0.04993,3.6541),(1805,1995,0.050467,3.6537),(1805,2005,0.051011,3.6532),(1805,2015,0.051563,3.6527),(1805,2025,0.052115,3.6523),(1805,2035,0.052667,3.6518),(1805,2045,0.053227,3.6513),(1805,2055,0.053794,3.6508),(1805,2065,0.054361,3.6503),(1805,2075,0.054928,3.6498),(1805,2085,0.055504,3.6492),(1805,2095,0.056086,3.6487),(1805,2105,0.056667,3.6482),(1805,2115,0.057249,3.6476),(1805,2125,0.057839,3.647),(1805,2135,0.058435,3.6465),(1805,2145,0.05903,3.6459),(1805,2155,0.059626,3.6453),(1805,2165,0.06023,3.6447),(1805,2175,0.060838,3.6441),(1805,2185,0.061447,3.6435),(1805,2195,0.062056,3.6429),(1805,2205,0.062673,3.6422),(1805,2215,0.063294,3.6416),(1805,2225,0.063914,3.641),(1805,2235,0.064535,3.6403),(1805,2245,0.065164,3.6396),(1805,2255,0.065796,3.6389),(1805,2265,0.066428,3.6382),(1805,2275,0.06706,3.6375),(1805,2285,0.0677,3.6368),(1805,2295,0.068342,3.6361),(1805,2305,0.068985,3.6354),(1805,2315,0.069627,3.6346),(1805,2325,0.070276,3.6339),(1805,2335,0.070927,3.6331),(1805,2345,0.071578,3.6323),(1805,2355,0.072229,3.6315),(1805,2365,0.072886,3.6307),(1805,2375,0.073544,3.6299),(1805,2385,0.074202,3.6291),(1805,2395,0.07486,3.6282),(1805,2405,0.075523,3.6274),(1805,2415,0.076187,3.6266),(1805,2425,0.07685,3.6257),(1805,2435,0.077514,3.6248),(1805,2445,0.078181,3.6239),(1805,2455,0.078848,3.623),(1805,2465,0.079516,3.6221),(1805,2475,0.080183,3.6211),(1805,2485,0.080852,3.6202),(1805,2495,0.081521,3.6193),(1805,2505,0.082189,3.6183),(1805,2515,0.082858,3.6173),(1805,2525,0.083527,3.6163),(1805,2535,0.084195,3.6153),(1805,2545,0.084864,3.6143),(1805,2555,0.085532,3.6132),(1805,2565,0.086197,3.6122),(1805,2575,0.086863,3.6111),(1805,2585,0.087529,3.6101),(1805,2595,0.088194,3.609),(1805,2605,0.088854,3.6079),(1805,2615,0.089514,3.6068),(1805,2625,0.090174,3.6056),(1805,2635,0.090833,3.6045),(1805,2645,0.091485,3.6034),(1805,2655,0.092137,3.6022),(1805,2665,0.092789,3.601),(1805,2675,0.09344,3.5998),(1805,2685,0.094081,3.5986),(1805,2695,0.094722,3.5974),(1805,2705,0.095362,3.5962),(1805,2715,0.096,3.5949),(1805,2725,0.096627,3.5937),(1805,2735,0.097254,3.5924),(1805,2745,0.097881,3.5911),(1805,2755,0.098504,3.5898),(1805,2765,0.099114,3.5885),(1805,2775,0.099724,3.5872),(1805,2785,0.10033,3.5858),(1805,2795,0.10094,3.5845),(1805,2805,0.10153,3.5831),(1805,2815,0.10212,3.5818),(1805,2825,0.10271,3.5803),(1805,2835,0.10329,3.5789),(1805,2845,0.10385,3.5775),(1805,2855,0.10442,3.5761),(1805,2865,0.10499,3.5747),(1805,2875,0.10554,3.5732),(1805,2885,0.10608,3.5717),(1805,2895,0.10662,3.5703),(1805,2905,0.10716,3.5688),(1805,2915,0.10768,3.5672),(1805,2925,0.10819,3.5657),(1805,2935,0.1087,3.5642),(1805,2945,0.10921,3.5626),(1805,2955,0.1097,3.5611),(1805,2965,0.11017,3.5595),(1805,2975,0.11065,3.5579),(1805,2985,0.11112,3.5563),(1805,2995,0.11158,3.5547),(1805,3005,0.11201,3.5531),(1805,3015,0.11245,3.5515),(1805,3025,0.11288,3.5498),(1805,3035,0.1133,3.5482),(1805,3045,0.11369,3.5465),(1805,3055,0.11409,3.5449),(1805,3065,0.11448,3.5432),(1805,3075,0.11485,3.5415),(1805,3085,0.1152,3.5398),(1805,3095,0.11555,3.5381),(1805,3105,0.1159,3.5363),(1805,3115,0.11622,3.5346),(1805,3125,0.11652,3.5329),(1805,3135,0.11683,3.5311),(1805,3145,0.11713,3.5293),(1805,3155,0.1174,3.5276),(1805,3165,0.11765,3.5258),(1805,3175,0.1179,3.524),(1805,3185,0.11815,3.5222),(1805,3195,0.11836,3.5204),(1805,3205,0.11855,3.5186),(1805,3215,0.11875,3.5167),(1805,3225,0.11895,3.5149),(1805,3235,0.1191,3.5131),(1805,3245,0.11924,3.5112),(1805,3255,0.11937,3.5094),(1805,3265,0.11951,3.5075),(1805,3275,0.1196,3.5056),(1805,3285,0.11968,3.5038),(1805,3295,0.11976,3.5019),(1805,3305,0.11983,3.5),(1805,3315,0.11986,3.4981),(1805,3325,0.11987,3.4962),(1805,3335,0.11989,3.4943),(1805,3345,0.1199,3.4924),(1805,3355,0.11986,3.4905),(1805,3365,0.11981,3.4886),(1805,3375,0.11975,3.4866),(1805,3385,0.1197,3.4847),(1805,3395,0.11959,3.4828),(1805,3405,0.11947,3.4809),(1805,3415,0.11935,3.4789),(1805,3425,0.11923,3.477),(1805,3435,0.11905,3.4751),(1805,3445,0.11886,3.4731),(1805,3455,0.11867,3.4712),(1805,3465,0.11848,3.4693),(1805,3475,0.11822,3.4673),(1805,3485,0.11796,3.4654),(1805,3495,0.1177,3.4634),(1805,3505,0.11744,3.4615),(1805,3515,0.1171,3.4595),(1805,3525,0.11677,3.4576),(1805,3535,0.11644,3.4557),(1805,3545,0.1161,3.4537),(1805,3555,0.11569,3.4518),(1805,3565,0.11529,3.4499),(1805,3575,0.11488,3.4479),(1805,3585,0.11447,3.446),(1805,3595,0.11399,3.4441),(1805,3605,0.1135,3.4421),(1805,3615,0.11302,3.4402),(1805,3625,0.11254,3.4383),(1805,3635,0.11198,3.4364),(1805,3645,0.11143,3.4345),(1805,3655,0.11087,3.4326),(1805,3665,0.11031,3.4307),(1805,3675,0.10968,3.4288),(1805,3685,0.10905,3.4269),(1805,3695,0.10843,3.425),(1805,3705,0.10779,3.4231),(1805,3715,0.10709,3.4212),(1805,3725,0.10639,3.4194),(1805,3735,0.10569,3.4175),(1805,3745,0.10497,3.4157),(1805,3755,0.1042,3.4138),(1805,3765,0.10343,3.412),(1805,3775,0.10266,3.4101),(1805,3785,0.10187,3.4083),(1805,3795,0.10104,3.4065),(1805,3805,0.1002,3.4047),(1805,3815,0.099361,3.4029),(1805,3825,0.098502,3.4011),(1805,3835,0.0976,3.3993),(1805,3845,0.096698,3.3975),(1805,3855,0.095795,3.3958),(1805,3865,0.094871,3.3941),(1805,3875,0.093908,3.3923),(1805,3885,0.092945,3.3906),(1805,3895,0.091982,3.3889),(1805,3905,0.10643,3.3872),(1805,3915,0.1439,3.3855),(1805,3925,0.18136,3.3827),(1805,3935,0.21883,3.3784),(1805,3945,0.25872,3.3742),(1805,3955,0.30167,3.37),(1805,3965,0.34462,3.3645),(1805,3975,0.38758,3.3575),(1805,3985,0.41264,3.3506),(1805,3995,0.41833,3.3437),(1805,4005,0.42401,3.3367),(1805,4015,0.4297,3.3296),(1805,4025,0.43591,3.3226),(1805,4035,0.44216,3.3155),(1805,4045,0.44842,3.3083),(1805,4055,0.45439,3.3011),(1805,4065,0.46027,3.2939),(1805,4075,0.46615,3.2866),(1805,4085,0.47136,3.2793),(1805,4095,0.47604,3.2721),(1805,4105,0.48071,3.2648),(1805,4115,0.46712,3.2576),(1805,4125,0.42326,3.2503),(1805,4135,0.37939,3.2449),(1805,4145,0.33506,3.2398),(1805,4155,0.28881,3.2348),(1805,4165,0.24256,3.2311),(1805,4175,0.19909,3.2281),(1805,4185,0.29357,3.2252),(1805,4195,0.38804,3.2202),(1805,4205,0.48251,3.2123),(1805,4215,0.47993,3.2044),(1805,4225,0.4591,3.1966),(1805,4235,0.43826,3.189),(1805,4245,0.40538,3.1813),(1805,4255,0.3664,3.1738),(1805,4265,0.32742,3.1677),(1805,4275,0.27312,3.1617),(1805,4285,0.20257,3.1556),(1805,4295,0.13201,3.1534),(1805,4305,0.12134,3.1517),(1805,4315,0.24589,3.15),(1805,4325,0.37044,3.1428),(1805,4335,0.48187,3.1335),(1805,4345,0.50449,3.1242),(1805,4355,0.52711,3.1146),(1805,4365,0.54973,3.1047),(1805,4375,0.55654,3.0947),(1805,4385,0.56253,3.0847),(1805,4395,0.56851,3.0744),(1805,4405,0.49589,3.064),(1805,4415,0.40008,3.0546),(1805,4425,0.30427,3.0493),(1805,4435,0.26742,3.044),(1805,4445,0.27087,3.0386),(1805,4455,0.27431,3.0336),(1805,4465,0.32972,3.0285),(1805,4475,0.45814,3.0235),(1805,4485,0.58655,3.0137),(1805,4495,0.68853,3.003),(1805,4505,0.70567,2.9923),(1805,4515,0.72281,2.9817),(1805,4525,0.73824,2.9712),(1805,4535,0.72664,2.9607),(1805,4545,0.71503,2.951),(1805,4555,0.70342,2.9421),(1805,4565,0.52567,2.9333),(1805,4575,0.32552,2.9266),(1805,4585,0.12538,2.9254),(1805,4595,0.13264,2.9242),(1805,4605,0.22755,2.9224),(1805,4615,0.32246,2.9155),(1805,4625,0.40659,2.9087),(1805,4635,0.48097,2.9018),(1805,4645,0.55535,2.8917),(1805,4655,0.62136,2.8814),(1805,4665,0.6716,2.8711),(1805,4675,0.72184,2.8598),(1805,4685,0.73721,2.8481),(1805,4695,0.58027,2.8365),(1805,4705,0.42334,2.8291),(1805,4715,0.2664,2.825),(1805,4725,0.36092,2.8208),(1805,4735,0.45795,2.8151),(1805,4745,0.55498,2.8072),(1805,4755,0.66503,2.7992),(1805,4765,0.7781,2.7905),(1805,4775,0.89117,2.779),(1805,4785,0.94318,2.7676),(1805,4795,0.95989,2.7561),(1805,4805,0.9766,2.7447),(1805,4815,0.9411,2.7333),(1805,4825,0.84316,2.7218),(1805,4835,0.74523,2.7134),(1805,4845,0.64154,2.7053),(1805,4855,0.52284,2.6973),(1805,4865,0.40415,2.6919),(1805,4875,0.32167,2.6878),(1805,4885,0.56871,2.6836),(1805,4895,0.81574,2.6747),(1805,4905,1.0628,2.6613),(1805,4915,1.0641,2.6478),(1805,4925,1.0443,2.6345),(1805,4935,1.0245,2.6214),(1805,4945,0.94345,2.6083),(1805,4955,0.84123,2.5957),(1805,4965,0.73902,2.5857),(1805,4975,0.58149,2.5757),(1805,4985,0.38125,2.5656),(1805,4995,0.18101,2.5644),(1805,5005,0.1641,2.5633),(1805,5015,0.43863,2.5623),(1805,5025,0.71316,2.5541),(1805,5035,0.95274,2.5441),(1805,5045,1.0591,2.534),(1805,5055,1.1656,2.5224),(1805,5065,1.2693,2.5099),(1805,5075,1.2851,2.4973),(1805,5085,1.3008,2.4849),(1805,5095,1.3166,2.4727),(1805,5105,1.1556,2.4606),(1805,5115,0.96369,2.4499),(1805,5125,0.77181,2.4437),(1805,5135,0.6676,2.4374),(1805,5145,0.60592,2.4311),(1805,5155,0.54425,2.4252),(1805,5165,0.64569,2.4193),(1805,5175,0.91348,2.4133),(1805,5185,1.1813,2.3998),(1805,5195,1.3696,2.3856),(1805,5205,1.3864,2.3713),(1805,5215,1.4033,2.3573),(1805,5225,1.4125,2.3435),(1805,5235,1.374,2.3296),(1805,5245,1.3355,2.3169),(1805,5255,1.297,2.3051),(1805,5265,0.90864,2.2932),(1805,5275,0.5059,2.2857),(1805,5285,0.10316,2.2853),(1805,5295,0.24127,2.2849),(1805,5305,0.52999,2.2821),(1805,5315,0.81871,2.2691),(1805,5325,1.0135,2.2562),(1805,5335,1.1468,2.2433),(1805,5345,1.2801,2.2288),(1805,5355,1.3734,2.2144),(1805,5365,1.4128,2.1999),(1805,5375,1.4522,2.1862),(1805,5385,1.3977,2.1725),(1805,5395,1.0574,2.1589),(1805,5405,0.71704,2.1519),(1805,5415,0.40811,2.1484),(1805,5425,0.5207,2.1448),(1805,5435,0.63329,2.1365),(1805,5445,0.74589,2.1231),(1805,5455,0.90069,2.1097),(1805,5465,1.0607,2.0939),(1805,5475,1.2206,2.0725),(1805,5485,1.2846,2.0511),(1805,5495,1.31,2.0298),(1805,5505,1.3354,2.0086),(1805,5515,1.3612,1.9874),(1805,5525,1.3874,1.9662),(1805,5535,1.4136,1.9452),(1805,5545,1.4394,1.9242),(1805,5555,1.4646,1.9032),(1805,5565,1.4898,1.8825),(1805,5575,1.5148,1.8618),(1805,5585,1.5386,1.8411),(1805,5595,1.5625,1.8206),(1805,5605,1.5864,1.8002),(1805,5615,1.6088,1.7799),(1805,5625,1.6313,1.7597),(1805,5635,1.6538,1.7398),(1805,5645,1.6751,1.7199),(1805,5655,1.6962,1.7),(1805,5665,1.7172,1.6805),(1805,5675,1.7374,1.6609),(1805,5685,1.7571,1.6414),(1805,5695,1.7768,1.6222),(1805,5705,1.7959,1.603),(1805,5715,1.8142,1.5839),(1805,5725,1.8326,1.565),(1805,5735,1.8506,1.5463),(1805,5745,1.8677,1.5275),(1805,5755,1.8848,1.509),(1805,5765,1.9018,1.4906),(1805,5775,1.9178,1.4722),(1805,5785,1.9337,1.454),(1805,5795,1.9496,1.4359),(1805,5805,1.9646,1.4179),(1805,5815,1.9794,1.3999),(1805,5825,1.9942,1.3822),(1805,5835,2.0083,1.3644),(1805,5845,2.0221,1.3467),(1805,5855,2.0359,1.3293),(1805,5865,2.0491,1.3119),(1805,5875,2.062,1.2944),(1805,5885,2.0748,1.2772),(1805,5895,2.0873,1.26),(1805,5905,2.0993,1.2429),(1805,5915,2.1112,1.2259),(1805,5925,2.123,1.209),(1805,5935,2.1342,1.1921),(1805,5945,2.1453,1.1753),(1805,5955,2.1564,1.1587),(1805,5965,2.1671,1.142),(1805,5975,2.1778,1.1254),(1805,5985,2.1885,1.109),(1805,5995,1.6741,1.0925),(1805,6005,1.0751,1.0799),(1805,6015,0.47616,1.0778),(1805,6025,0.48461,1.0757),(1805,6035,0.77478,1.0725),(1805,6045,1.065,1.0588),(1805,6055,1.2742,1.045),(1805,6065,1.404,1.0312),(1805,6075,1.5338,1.0133),(1805,6085,1.6233,0.99504),(1805,6095,1.6298,0.97676),(1805,6105,1.6364,0.95834),(1805,6115,1.6428,0.93986),(1805,6125,1.649,0.92138),(1805,6135,1.6552,0.90288),(1805,6145,1.6615,0.88435),(1805,6155,1.6673,0.86582),(1805,6165,1.6731,0.84725),(1805,6175,1.679,0.8286),(1805,6185,1.6845,0.80995),(1805,6195,1.6899,0.79129),(1805,6205,1.6954,0.77256),(1805,6215,1.7006,0.75383),(1805,6225,1.7056,0.7351),(1805,6235,1.7106,0.71635),(1805,6245,1.7155,0.6976),(1805,6255,1.7201,0.67885),(1805,6265,1.7247,0.66),(1805,6275,1.7292,0.64113),(1805,6285,1.7334,0.62226),(1805,6295,1.7376,0.60337),(1805,6305,1.7418,0.58448),(1805,6315,1.7456,0.56559),(1805,6325,1.7493,0.54668),(1805,6335,1.7531,0.52774),(1805,6345,1.7565,0.50881),(1805,6355,1.7599,0.48983),(1805,6365,1.7632,0.47078),(1805,6375,1.7663,0.45172),(1805,6385,1.7693,0.43266),(1805,6395,1.7723,0.41358),(1805,6405,1.7751,0.39449),(1805,6415,1.7777,0.37541),(1805,6425,1.7803,0.35635),(1805,6435,1.7827,0.3373),(1805,6445,1.7849,0.31824),(1805,6455,1.787,0.29919),(1805,6465,1.7891,0.28013),(1805,6475,1.7909,0.26107),(1805,6485,1.7926,0.24197),(1805,6495,1.7943,0.22284),(1805,6505,1.7956,0.20371),(1805,6515,1.797,0.18456),(1805,6525,1.7983,0.16538),(1805,6535,1.7993,0.1462),(1805,6545,1.8002,0.12703),(1805,6555,1.8011,0.10786),(1805,6565,1.8017,0.088698),(1805,6575,1.8022,0.069534),(1805,6585,1.8027,0.05037),(1805,6595,1.5334,0.031205),(1805,6605,0.96633,0.012041),(1805,6615,0.39926,0.009821),(1805,6625,0.000621,0.009778),(1805,6635,0.000624,0.009735),(1805,6645,0.000626,0.009716),(1805,6655,0.000629,0.009707),(1805,6665,0.000631,0.009698),(1805,6675,0.000634,0.009689),(1805,6685,0.000636,0.00968),(1805,6695,0.000638,0.009671),(1805,6705,0.000641,0.009662),(1805,6715,0.000643,0.009653),(1805,6725,0.000645,0.009644),(1805,6735,0.000647,0.009635),(1805,6745,0.000649,0.009626),(1805,6755,0.000651,0.009616),(1805,6765,0.000653,0.009607),(1805,6775,0.000656,0.009598),(1805,6785,0.000658,0.009589),(1805,6795,0.000659,0.00958),(1805,6805,0.000661,0.009571),(1805,6815,0.000663,0.009562),(1805,6825,0.000665,0.009553),(1805,6835,0.000667,0.009544),(1805,6845,0.000669,0.009535),(1805,6855,0.00067,0.009526),(1805,6865,0.000672,0.009517),(1805,6875,0.000674,0.009508),(1805,6885,0.000676,0.009499),(1805,6895,0.000677,0.00949),(1805,6905,0.000679,0.009481),(1805,6915,0.000681,0.009472),(1805,6925,0.000682,0.009463),(1805,6935,0.000684,0.009454),(1805,6945,0.000685,0.009445),(1805,6955,0.000687,0.009436),(1805,6965,0.000688,0.009427),(1805,6975,0.00069,0.009418),(1805,6985,0.000691,0.009409),(1815,5,5.8e-05,3.6786),(1815,15,0.000174,3.6786),(1815,25,0.000291,3.6786),(1815,35,0.000407,3.6786),(1815,45,0.000524,3.6786),(1815,55,0.00064,3.6786),(1815,65,0.000757,3.6786),(1815,75,0.000873,3.6786),(1815,85,0.00099,3.6786),(1815,95,0.001107,3.6786),(1815,105,0.001224,3.6786),(1815,115,0.001342,3.6786),(1815,125,0.001459,3.6786),(1815,135,0.001577,3.6786),(1815,145,0.001695,3.6786),(1815,155,0.001813,3.6786),(1815,165,0.001931,3.6785),(1815,175,0.00205,3.6785),(1815,185,0.002169,3.6785),(1815,195,0.002289,3.6785),(1815,205,0.002408,3.6785),(1815,215,0.002528,3.6785),(1815,225,0.002649,3.6785),(1815,235,0.00277,3.6785),(1815,245,0.002891,3.6785),(1815,255,0.003012,3.6785),(1815,265,0.003134,3.6784),(1815,275,0.003257,3.6784),(1815,285,0.00338,3.6784),(1815,295,0.003503,3.6784),(1815,305,0.003627,3.6784),(1815,315,0.003752,3.6784),(1815,325,0.003877,3.6783),(1815,335,0.004002,3.6783),(1815,345,0.004129,3.6783),(1815,355,0.004256,3.6783),(1815,365,0.004383,3.6783),(1815,375,0.00451,3.6783),(1815,385,0.00464,3.6782),(1815,395,0.00477,3.6782),(1815,405,0.0049,3.6782),(1815,415,0.00503,3.6782),(1815,425,0.005162,3.6781),(1815,435,0.005295,3.6781),(1815,445,0.005428,3.6781),(1815,455,0.005561,3.6781),(1815,465,0.005696,3.678),(1815,475,0.005832,3.678),(1815,485,0.005968,3.678),(1815,495,0.006104,3.678),(1815,505,0.006244,3.6779),(1815,515,0.006383,3.6779),(1815,525,0.006523,3.6779),(1815,535,0.006662,3.6778),(1815,545,0.006806,3.6778),(1815,555,0.006949,3.6778),(1815,565,0.007092,3.6778),(1815,575,0.007236,3.6777),(1815,585,0.007384,3.6777),(1815,595,0.007531,3.6777),(1815,605,0.007679,3.6776),(1815,615,0.007827,3.6776),(1815,625,0.007979,3.6775),(1815,635,0.008131,3.6775),(1815,645,0.008283,3.6775),(1815,655,0.008436,3.6774),(1815,665,0.008593,3.6774),(1815,675,0.00875,3.6774),(1815,685,0.008907,3.6773),(1815,695,0.009065,3.6773),(1815,705,0.009227,3.6772),(1815,715,0.009389,3.6772),(1815,725,0.009552,3.6771),(1815,735,0.009715,3.6771),(1815,745,0.009883,3.677),(1815,755,0.010051,3.677),(1815,765,0.010219,3.6769),(1815,775,0.010389,3.6769),(1815,785,0.010562,3.6768),(1815,795,0.010736,3.6768),(1815,805,0.01091,3.6767),(1815,815,0.011086,3.6767),(1815,825,0.011266,3.6766),(1815,835,0.011446,3.6766),(1815,845,0.011626,3.6765),(1815,855,0.011808,3.6765),(1815,865,0.011995,3.6764),(1815,875,0.012182,3.6763),(1815,885,0.012369,3.6763),(1815,895,0.012558,3.6762),(1815,905,0.012752,3.6762),(1815,915,0.012947,3.6761),(1815,925,0.013141,3.676),(1815,935,0.013338,3.676),(1815,945,0.01354,3.6759),(1815,955,0.013741,3.6758),(1815,965,0.013943,3.6757),(1815,975,0.014149,3.6757),(1815,985,0.014358,3.6756),(1815,995,0.014568,3.6755),(1815,1005,0.014777,3.6755),(1815,1015,0.014991,3.6754),(1815,1025,0.015209,3.6753),(1815,1035,0.015427,3.6752),(1815,1045,0.015645,3.6751),(1815,1055,0.015868,3.675),(1815,1065,0.016095,3.675),(1815,1075,0.016322,3.6749),(1815,1085,0.016549,3.6748),(1815,1095,0.016781,3.6747),(1815,1105,0.017017,3.6746),(1815,1115,0.017253,3.6745),(1815,1125,0.01749,3.6744),(1815,1135,0.017732,3.6743),(1815,1145,0.017978,3.6742),(1815,1155,0.018224,3.6741),(1815,1165,0.018469,3.674),(1815,1175,0.018722,3.6739),(1815,1185,0.018978,3.6738),(1815,1195,0.019234,3.6737),(1815,1205,0.01949,3.6736),(1815,1215,0.019754,3.6735),(1815,1225,0.02002,3.6734),(1815,1235,0.020287,3.6732),(1815,1245,0.020554,3.6731),(1815,1255,0.020829,3.673),(1815,1265,0.021107,3.6729),(1815,1275,0.021385,3.6728),(1815,1285,0.021663,3.6726),(1815,1295,0.02195,3.6725),(1815,1305,0.022239,3.6724),(1815,1315,0.022529,3.6722),(1815,1325,0.022819,3.6721),(1815,1335,0.023118,3.672),(1815,1345,0.02342,3.6718),(1815,1355,0.023721,3.6717),(1815,1365,0.024023,3.6715),(1815,1375,0.024335,3.6714),(1815,1385,0.024649,3.6712),(1815,1395,0.024963,3.6711),(1815,1405,0.025277,3.6709),(1815,1415,0.025603,3.6707),(1815,1425,0.02593,3.6706),(1815,1435,0.026257,3.6704),(1815,1445,0.026584,3.6702),(1815,1455,0.026923,3.6701),(1815,1465,0.027264,3.6699),(1815,1475,0.027604,3.6697),(1815,1485,0.027944,3.6695),(1815,1495,0.028298,3.6693),(1815,1505,0.028652,3.6692),(1815,1515,0.029007,3.669),(1815,1525,0.029361,3.6688),(1815,1535,0.029729,3.6686),(1815,1545,0.030098,3.6684),(1815,1555,0.030466,3.6682),(1815,1565,0.030836,3.6679),(1815,1575,0.031218,3.6677),(1815,1585,0.031601,3.6675),(1815,1595,0.031984,3.6673),(1815,1605,0.032369,3.6671),(1815,1615,0.032767,3.6668),(1815,1625,0.033165,3.6666),(1815,1635,0.033563,3.6663),(1815,1645,0.033963,3.6661),(1815,1655,0.034376,3.6659),(1815,1665,0.034789,3.6656),(1815,1675,0.035202,3.6653),(1815,1685,0.035618,3.6651),(1815,1695,0.036047,3.6648),(1815,1705,0.036475,3.6645),(1815,1715,0.036904,3.6643),(1815,1725,0.037336,3.664),(1815,1735,0.037781,3.6637),(1815,1745,0.038225,3.6634),(1815,1755,0.03867,3.6631),(1815,1765,0.039118,3.6628),(1815,1775,0.039579,3.6625),(1815,1785,0.040039,3.6622),(1815,1795,0.040499,3.6619),(1815,1805,0.040965,3.6615),(1815,1815,0.041441,3.6612),(1815,1825,0.041918,3.6609),(1815,1835,0.042394,3.6605),(1815,1845,0.042876,3.6602),(1815,1855,0.043369,3.6598),(1815,1865,0.043862,3.6595),(1815,1875,0.044354,3.6591),(1815,1885,0.044853,3.6587),(1815,1895,0.045362,3.6584),(1815,1905,0.045871,3.658),(1815,1915,0.04638,3.6576),(1815,1925,0.046896,3.6572),(1815,1935,0.047421,3.6568),(1815,1945,0.047946,3.6564),(1815,1955,0.048472,3.6559),(1815,1965,0.049004,3.6555),(1815,1975,0.049545,3.6551),(1815,1985,0.050086,3.6546),(1815,1995,0.050626,3.6542),(1815,2005,0.051175,3.6537),(1815,2015,0.051731,3.6533),(1815,2025,0.052288,3.6528),(1815,2035,0.052844,3.6523),(1815,2045,0.053409,3.6518),(1815,2055,0.053981,3.6513),(1815,2065,0.054553,3.6508),(1815,2075,0.055125,3.6503),(1815,2085,0.055705,3.6498),(1815,2095,0.056292,3.6493),(1815,2105,0.056879,3.6487),(1815,2115,0.057466,3.6482),(1815,2125,0.058061,3.6476),(1815,2135,0.058662,3.6471),(1815,2145,0.059263,3.6465),(1815,2155,0.059864,3.6459),(1815,2165,0.060474,3.6453),(1815,2175,0.061088,3.6447),(1815,2185,0.061703,3.6441),(1815,2195,0.062317,3.6435),(1815,2205,0.06294,3.6429),(1815,2215,0.063567,3.6422),(1815,2225,0.064194,3.6416),(1815,2235,0.064821,3.6409),(1815,2245,0.065456,3.6402),(1815,2255,0.066095,3.6396),(1815,2265,0.066733,3.6389),(1815,2275,0.067372,3.6382),(1815,2285,0.068019,3.6375),(1815,2295,0.068667,3.6368),(1815,2305,0.069316,3.636),(1815,2315,0.069965,3.6353),(1815,2325,0.070622,3.6345),(1815,2335,0.07128,3.6338),(1815,2345,0.071938,3.633),(1815,2355,0.072596,3.6322),(1815,2365,0.07326,3.6314),(1815,2375,0.073926,3.6306),(1815,2385,0.074592,3.6297),(1815,2395,0.075257,3.6289),(1815,2405,0.075928,3.6281),(1815,2415,0.076599,3.6272),(1815,2425,0.077271,3.6263),(1815,2435,0.077942,3.6254),(1815,2445,0.078617,3.6246),(1815,2455,0.079293,3.6237),(1815,2465,0.079968,3.6227),(1815,2475,0.080643,3.6218),(1815,2485,0.08132,3.6209),(1815,2495,0.081998,3.6199),(1815,2505,0.082675,3.6189),(1815,2515,0.083352,3.6179),(1815,2525,0.084029,3.617),(1815,2535,0.084706,3.616),(1815,2545,0.085383,3.6149),(1815,2555,0.08606,3.6139),(1815,2565,0.086735,3.6128),(1815,2575,0.087409,3.6118),(1815,2585,0.088083,3.6107),(1815,2595,0.088757,3.6096),(1815,2605,0.089427,3.6085),(1815,2615,0.090096,3.6074),(1815,2625,0.090765,3.6063),(1815,2635,0.091433,3.6051),(1815,2645,0.092094,3.604),(1815,2655,0.092756,3.6028),(1815,2665,0.093417,3.6017),(1815,2675,0.094076,3.6005),(1815,2685,0.094727,3.5993),(1815,2695,0.095377,3.598),(1815,2705,0.096027,3.5968),(1815,2715,0.096675,3.5955),(1815,2725,0.097311,3.5943),(1815,2735,0.097948,3.593),(1815,2745,0.098584,3.5917),(1815,2755,0.099216,3.5904),(1815,2765,0.099835,3.5891),(1815,2775,0.10045,3.5878),(1815,2785,0.10107,3.5864),(1815,2795,0.10169,3.5851),(1815,2805,0.10229,3.5837),(1815,2815,0.10289,3.5823),(1815,2825,0.10348,3.5809),(1815,2835,0.10408,3.5795),(1815,2845,0.10465,3.5781),(1815,2855,0.10523,3.5767),(1815,2865,0.1058,3.5752),(1815,2875,0.10637,3.5737),(1815,2885,0.10691,3.5723),(1815,2895,0.10746,3.5708),(1815,2905,0.10801,3.5693),(1815,2915,0.10855,3.5678),(1815,2925,0.10906,3.5662),(1815,2935,0.10958,3.5647),(1815,2945,0.1101,3.5631),(1815,2955,0.1106,3.5616),(1815,2965,0.11108,3.56),(1815,2975,0.11156,3.5584),(1815,2985,0.11205,3.5568),(1815,2995,0.11251,3.5552),(1815,3005,0.11296,3.5536),(1815,3015,0.1134,3.5519),(1815,3025,0.11385,3.5503),(1815,3035,0.11427,3.5486),(1815,3045,0.11467,3.5469),(1815,3055,0.11507,3.5453),(1815,3065,0.11548,3.5436),(1815,3075,0.11585,3.5418),(1815,3085,0.11621,3.5401),(1815,3095,0.11657,3.5384),(1815,3105,0.11693,3.5367),(1815,3115,0.11726,3.5349),(1815,3125,0.11757,3.5332),(1815,3135,0.11787,3.5314),(1815,3145,0.11818,3.5296),(1815,3155,0.11846,3.5278),(1815,3165,0.11872,3.526),(1815,3175,0.11897,3.5242),(1815,3185,0.11923,3.5224),(1815,3195,0.11945,3.5206),(1815,3205,0.11965,3.5188),(1815,3215,0.11985,3.5169),(1815,3225,0.12006,3.5151),(1815,3235,0.12022,3.5132),(1815,3245,0.12036,3.5114),(1815,3255,0.1205,3.5095),(1815,3265,0.12065,3.5076),(1815,3275,0.12074,3.5057),(1815,3285,0.12083,3.5038),(1815,3295,0.12091,3.5019),(1815,3305,0.12099,3.5),(1815,3315,0.12102,3.4981),(1815,3325,0.12104,3.4962),(1815,3335,0.12106,3.4943),(1815,3345,0.12108,3.4924),(1815,3355,0.12104,3.4904),(1815,3365,0.12099,3.4885),(1815,3375,0.12094,3.4866),(1815,3385,0.12089,3.4846),(1815,3395,0.12078,3.4827),(1815,3405,0.12067,3.4808),(1815,3415,0.12055,3.4788),(1815,3425,0.12044,3.4768),(1815,3435,0.12025,3.4749),(1815,3445,0.12007,3.4729),(1815,3455,0.11988,3.471),(1815,3465,0.11969,3.469),(1815,3475,0.11944,3.4671),(1815,3485,0.11918,3.4651),(1815,3495,0.11892,3.4631),(1815,3505,0.11866,3.4612),(1815,3515,0.11833,3.4592),(1815,3525,0.118,3.4573),(1815,3535,0.11766,3.4553),(1815,3545,0.11733,3.4534),(1815,3555,0.11692,3.4514),(1815,3565,0.11652,3.4494),(1815,3575,0.11611,3.4475),(1815,3585,0.1157,3.4455),(1815,3595,0.11522,3.4436),(1815,3605,0.11474,3.4416),(1815,3615,0.11426,3.4397),(1815,3625,0.11377,3.4378),(1815,3635,0.11321,3.4358),(1815,3645,0.11266,3.4339),(1815,3655,0.1121,3.432),(1815,3665,0.11153,3.4301),(1815,3675,0.11091,3.4282),(1815,3685,0.11028,3.4262),(1815,3695,0.10965,3.4243),(1815,3705,0.10901,3.4224),(1815,3715,0.1083,3.4205),(1815,3725,0.1076,3.4187),(1815,3735,0.1069,3.4168),(1815,3745,0.10618,3.4149),(1815,3755,0.10541,3.413),(1815,3765,0.10464,3.4112),(1815,3775,0.10387,3.4093),(1815,3785,0.10307,3.4075),(1815,3795,0.10223,3.4057),(1815,3805,0.10139,3.4038),(1815,3815,0.10055,3.402),(1815,3825,0.099688,3.4002),(1815,3835,0.098782,3.3984),(1815,3845,0.097875,3.3966),(1815,3855,0.096969,3.3949),(1815,3865,0.09604,3.3931),(1815,3875,0.095072,3.3914),(1815,3885,0.094105,3.3896),(1815,3895,0.093137,3.3879),(1815,3905,0.10775,3.3862),(1815,3915,0.14564,3.3845),(1815,3925,0.18353,3.3817),(1815,3935,0.22141,3.3774),(1815,3945,0.26172,3.3731),(1815,3955,0.3051,3.3688),(1815,3965,0.34847,3.3633),(1815,3975,0.39185,3.3564),(1815,3985,0.41713,3.3494),(1815,3995,0.42283,3.3424),(1815,4005,0.42852,3.3353),(1815,4015,0.43422,3.3282),(1815,4025,0.44042,3.3211),(1815,4035,0.44668,3.3139),(1815,4045,0.45294,3.3067),(1815,4055,0.45891,3.2994),(1815,4065,0.46477,3.2921),(1815,4075,0.47064,3.2848),(1815,4085,0.47583,3.2775),(1815,4095,0.48047,3.2702),(1815,4105,0.48512,3.2628),(1815,4115,0.47135,3.2555),(1815,4125,0.42705,3.2482),(1815,4135,0.38275,3.2426),(1815,4145,0.33799,3.2375),(1815,4155,0.29136,3.2324),(1815,4165,0.24473,3.2286),(1815,4175,0.20092,3.2256),(1815,4185,0.29636,3.2226),(1815,4195,0.39181,3.2175),(1815,4205,0.48726,3.2096),(1815,4215,0.48486,3.2016),(1815,4225,0.46405,3.1938),(1815,4235,0.44324,3.1861),(1815,4245,0.41019,3.1784),(1815,4255,0.37094,3.1708),(1815,4265,0.33169,3.1647),(1815,4275,0.2768,3.1586),(1815,4285,0.20533,3.1525),(1815,4295,0.13385,3.1503),(1815,4305,0.12304,3.1486),(1815,4315,0.24921,3.1469),(1815,4325,0.37539,3.1397),(1815,4335,0.48824,3.1305),(1815,4345,0.5109,3.1212),(1815,4355,0.53357,3.1116),(1815,4365,0.55623,3.1017),(1815,4375,0.56313,3.0917),(1815,4385,0.56921,3.0816),(1815,4395,0.57529,3.0712),(1815,4405,0.50194,3.0608),(1815,4415,0.40517,3.0512),(1815,4425,0.30839,3.0457),(1815,4435,0.27107,3.0402),(1815,4445,0.27439,3.0347),(1815,4455,0.27771,3.0296),(1815,4465,0.33346,3.0245),(1815,4475,0.46286,3.0194),(1815,4485,0.59226,3.0096),(1815,4495,0.69494,2.9988),(1815,4505,0.7119,2.9881),(1815,4515,0.72885,2.9775),(1815,4525,0.74409,2.967),(1815,4535,0.73206,2.9565),(1815,4545,0.72003,2.9467),(1815,4555,0.70799,2.9378),(1815,4565,0.52915,2.9289),(1815,4575,0.32783,2.9223),(1815,4585,0.1265,2.921),(1815,4595,0.13424,2.9198),(1815,4605,0.23031,2.9179),(1815,4615,0.32638,2.9109),(1815,4625,0.41142,2.9039),(1815,4635,0.48645,2.8969),(1815,4645,0.56148,2.8865),(1815,4655,0.62795,2.876),(1815,4665,0.67827,2.8654),(1815,4675,0.7286,2.854),(1815,4685,0.7438,2.8424),(1815,4695,0.58546,2.8307),(1815,4705,0.42713,2.8234),(1815,4715,0.26879,2.8194),(1815,4725,0.36387,2.8154),(1815,4735,0.46149,2.8098),(1815,4745,0.55911,2.802),(1815,4755,0.66963,2.7941),(1815,4765,0.78313,2.7855),(1815,4775,0.89664,2.774),(1815,4785,0.94876,2.7625),(1815,4795,0.9654,2.7511),(1815,4805,0.98204,2.7395),(1815,4815,0.94628,2.728),(1815,4825,0.84789,2.7165),(1815,4835,0.7495,2.7079),(1815,4845,0.64534,2.6998),(1815,4855,0.52612,2.6917),(1815,4865,0.40691,2.6863),(1815,4875,0.3241,2.6821),(1815,4885,0.57253,2.6779),(1815,4895,0.82096,2.669),(1815,4905,1.0694,2.6555),(1815,4915,1.0708,2.642),(1815,4925,1.051,2.6287),(1815,4935,1.0311,2.6156),(1815,4945,0.94987,2.6025),(1815,4955,0.8473,2.5899),(1815,4965,0.74473,2.5798),(1815,4975,0.58617,2.5698),(1815,4985,0.3844,2.5598),(1815,4995,0.18262,2.5585),(1815,5005,0.1652,2.5574),(1815,5015,0.44088,2.5564),(1815,5025,0.71656,2.5482),(1815,5035,0.95708,2.5382),(1815,5045,1.0636,2.5283),(1815,5055,1.1702,2.5167),(1815,5065,1.2741,2.5042),(1815,5075,1.2896,2.4916),(1815,5085,1.3052,2.4793),(1815,5095,1.3208,2.4672),(1815,5105,1.1591,2.455),(1815,5115,0.96658,2.4444),(1815,5125,0.77402,2.4382),(1815,5135,0.66974,2.4319),(1815,5145,0.60831,2.4256),(1815,5155,0.54687,2.4197),(1815,5165,0.6489,2.4138),(1815,5175,0.91766,2.4079),(1815,5185,1.1864,2.3944),(1815,5195,1.3753,2.3802),(1815,5205,1.392,2.366),(1815,5215,1.4086,2.3521),(1815,5225,1.4176,2.3382),(1815,5235,1.3787,2.3244),(1815,5245,1.3398,2.3117),(1815,5255,1.3009,2.2999),(1815,5265,0.91146,2.2882),(1815,5275,0.50758,2.2806),(1815,5285,0.1037,2.2802),(1815,5295,0.24318,2.2798),(1815,5305,0.53399,2.277),(1815,5315,0.82479,2.264),(1815,5325,1.0203,2.2511),(1815,5335,1.1532,2.2382),(1815,5345,1.2862,2.2237),(1815,5355,1.3792,2.2093),(1815,5365,1.4182,2.1949),(1815,5375,1.4572,2.1812),(1815,5385,1.402,2.1676),(1815,5395,1.0606,2.1539),(1815,5405,0.71916,2.147),(1815,5415,0.40937,2.1434),(1815,5425,0.52428,2.1399),(1815,5435,0.6392,2.1316),(1815,5445,0.75412,2.1182),(1815,5455,0.91044,2.1047),(1815,5465,1.0718,2.0889),(1815,5475,1.2332,2.0675),(1815,5485,1.2975,2.0461),(1815,5495,1.3227,2.0248),(1815,5505,1.3479,2.0036),(1815,5515,1.3735,1.9824),(1815,5525,1.3995,1.9612),(1815,5535,1.4255,1.9403),(1815,5545,1.4511,1.9193),(1815,5555,1.476,1.8984),(1815,5565,1.501,1.8777),(1815,5575,1.5258,1.857),(1815,5585,1.5494,1.8364),(1815,5595,1.573,1.8159),(1815,5605,1.5967,1.7956),(1815,5615,1.6189,1.7753),(1815,5625,1.6411,1.7552),(1815,5635,1.6634,1.7354),(1815,5645,1.6844,1.7155),(1815,5655,1.7053,1.6958),(1815,5665,1.7261,1.6763),(1815,5675,1.7461,1.6568),(1815,5685,1.7656,1.6374),(1815,5695,1.785,1.6183),(1815,5705,1.8039,1.5992),(1815,5715,1.822,1.58),(1815,5725,1.8402,1.5613),(1815,5735,1.858,1.5426),(1815,5745,1.8749,1.5239),(1815,5755,1.8918,1.5055),(1815,5765,1.9086,1.4872),(1815,5775,1.9244,1.4689),(1815,5785,1.9401,1.4507),(1815,5795,1.9559,1.4327),(1815,5805,1.9706,1.4148),(1815,5815,1.9852,1.3969),(1815,5825,1.9999,1.3792),(1815,5835,2.0138,1.3616),(1815,5845,2.0274,1.3439),(1815,5855,2.0411,1.3266),(1815,5865,2.0542,1.3092),(1815,5875,2.0669,1.2918),(1815,5885,2.0796,1.2747),(1815,5895,2.0919,1.2576),(1815,5905,2.1037,1.2405),(1815,5915,2.1156,1.2236),(1815,5925,2.1272,1.2068),(1815,5935,2.1382,1.1899),(1815,5945,2.1493,1.1732),(1815,5955,2.1603,1.1567),(1815,5965,2.1709,1.1401),(1815,5975,2.1814,1.1236),(1815,5985,2.192,1.1072),(1815,5995,1.6767,1.0908),(1815,6005,1.0768,1.0783),(1815,6015,0.4769,1.0762),(1815,6025,0.4864,1.0741),(1815,6035,0.77856,1.0709),(1815,6045,1.0707,1.0571),(1815,6055,1.2813,1.0434),(1815,6065,1.4118,1.0296),(1815,6075,1.5423,1.0117),(1815,6085,1.6323,0.99343),(1815,6095,1.6388,0.97517),(1815,6105,1.6453,0.95676),(1815,6115,1.6518,0.9383),(1815,6125,1.658,0.91985),(1815,6135,1.6642,0.90136),(1815,6145,1.6704,0.88286),(1815,6155,1.6763,0.86436),(1815,6165,1.6821,0.84581),(1815,6175,1.6879,0.82719),(1815,6185,1.6934,0.80856),(1815,6195,1.6988,0.78992),(1815,6205,1.7043,0.77121),(1815,6215,1.7094,0.7525),(1815,6225,1.7145,0.73379),(1815,6235,1.7195,0.71507),(1815,6245,1.7243,0.69634),(1815,6255,1.729,0.67761),(1815,6265,1.7336,0.65878),(1815,6275,1.7381,0.63994),(1815,6285,1.7423,0.62109),(1815,6295,1.7465,0.60223),(1815,6305,1.7507,0.58337),(1815,6315,1.7545,0.5645),(1815,6325,1.7582,0.54562),(1815,6335,1.762,0.52672),(1815,6345,1.7654,0.50782),(1815,6355,1.7688,0.48888),(1815,6365,1.7721,0.46987),(1815,6375,1.7752,0.45086),(1815,6385,1.7782,0.43184),(1815,6395,1.7811,0.4128),(1815,6405,1.7839,0.39375),(1815,6415,1.7865,0.37471),(1815,6425,1.7891,0.35569),(1815,6435,1.7915,0.33666),(1815,6445,1.7937,0.31764),(1815,6455,1.7959,0.29861),(1815,6465,1.7979,0.27959),(1815,6475,1.7997,0.26056),(1815,6485,1.8014,0.2415),(1815,6495,1.8032,0.2224),(1815,6505,1.8045,0.20331),(1815,6515,1.8058,0.1842),(1815,6525,1.8071,0.16506),(1815,6535,1.8081,0.14593),(1815,6545,1.809,0.12679),(1815,6555,1.8099,0.10767),(1815,6565,1.8106,0.088551),(1815,6575,1.811,0.069429),(1815,6585,1.8115,0.050304),(1815,6595,1.5409,0.031179),(1815,6605,0.97105,0.012054),(1815,6615,0.40121,0.009834),(1815,6625,0.000627,0.009787),(1815,6635,0.000629,0.009739),(1815,6645,0.000632,0.009719),(1815,6655,0.000634,0.00971),(1815,6665,0.000637,0.009701),(1815,6675,0.000639,0.009692),(1815,6685,0.000641,0.009682),(1815,6695,0.000644,0.009673),(1815,6705,0.000646,0.009664),(1815,6715,0.000648,0.009655),(1815,6725,0.00065,0.009646),(1815,6735,0.000652,0.009637),(1815,6745,0.000655,0.009628),(1815,6755,0.000657,0.009618),(1815,6765,0.000659,0.009609),(1815,6775,0.000661,0.0096),(1815,6785,0.000663,0.009591),(1815,6795,0.000665,0.009582),(1815,6805,0.000667,0.009573),(1815,6815,0.000669,0.009564),(1815,6825,0.00067,0.009555),(1815,6835,0.000672,0.009546),(1815,6845,0.000674,0.009537),(1815,6855,0.000676,0.009528),(1815,6865,0.000677,0.009519),(1815,6875,0.000679,0.00951),(1815,6885,0.000681,0.009501),(1815,6895,0.000682,0.009491),(1815,6905,0.000684,0.009482),(1815,6915,0.000686,0.009473),(1815,6925,0.000687,0.009464),(1815,6935,0.000689,0.009455),(1815,6945,0.00069,0.009446),(1815,6955,0.000692,0.009437),(1815,6965,0.000693,0.009428),(1815,6975,0.000695,0.009419),(1815,6985,0.000696,0.00941),(1825,5,5.8e-05,3.6787),(1825,15,0.000174,3.6787),(1825,25,0.00029,3.6787),(1825,35,0.000407,3.6787),(1825,45,0.000523,3.6787),(1825,55,0.000639,3.6787),(1825,65,0.000755,3.6787),(1825,75,0.000872,3.6787),(1825,85,0.000989,3.6787),(1825,95,0.001105,3.6787),(1825,105,0.001222,3.6787),(1825,115,0.00134,3.6787),(1825,125,0.001457,3.6787),(1825,135,0.001574,3.6787),(1825,145,0.001692,3.6787),(1825,155,0.00181,3.6787),(1825,165,0.001929,3.6787),(1825,175,0.002047,3.6787),(1825,185,0.002166,3.6786),(1825,195,0.002285,3.6786),(1825,205,0.002405,3.6786),(1825,215,0.002524,3.6786),(1825,225,0.002645,3.6786),(1825,235,0.002766,3.6786),(1825,245,0.002887,3.6786),(1825,255,0.003008,3.6786),(1825,265,0.00313,3.6786),(1825,275,0.003253,3.6785),(1825,285,0.003375,3.6785),(1825,295,0.003498,3.6785),(1825,305,0.003622,3.6785),(1825,315,0.003747,3.6785),(1825,325,0.003871,3.6785),(1825,335,0.003996,3.6785),(1825,345,0.004123,3.6784),(1825,355,0.00425,3.6784),(1825,365,0.004377,3.6784),(1825,375,0.004504,3.6784),(1825,385,0.004634,3.6784),(1825,395,0.004763,3.6783),(1825,405,0.004893,3.6783),(1825,415,0.005023,3.6783),(1825,425,0.005155,3.6783),(1825,435,0.005288,3.6783),(1825,445,0.00542,3.6782),(1825,455,0.005553,3.6782),(1825,465,0.005689,3.6782),(1825,475,0.005825,3.6782),(1825,485,0.005961,3.6781),(1825,495,0.006097,3.6781),(1825,505,0.006236,3.6781),(1825,515,0.006375,3.678),(1825,525,0.006515,3.678),(1825,535,0.006654,3.678),(1825,545,0.006797,3.678),(1825,555,0.006941,3.6779),(1825,565,0.007084,3.6779),(1825,575,0.007227,3.6779),(1825,585,0.007375,3.6778),(1825,595,0.007522,3.6778),(1825,605,0.00767,3.6778),(1825,615,0.007818,3.6777),(1825,625,0.007969,3.6777),(1825,635,0.008122,3.6777),(1825,645,0.008273,3.6776),(1825,655,0.008426,3.6776),(1825,665,0.008583,3.6775),(1825,675,0.00874,3.6775),(1825,685,0.008897,3.6775),(1825,695,0.009055,3.6774),(1825,705,0.009217,3.6774),(1825,715,0.00938,3.6773),(1825,725,0.009542,3.6773),(1825,735,0.009705,3.6773),(1825,745,0.009873,3.6772),(1825,755,0.010041,3.6772),(1825,765,0.010209,3.6771),(1825,775,0.010379,3.6771),(1825,785,0.010553,3.677),(1825,795,0.010726,3.677),(1825,805,0.0109,3.6769),(1825,815,0.011076,3.6769),(1825,825,0.011256,3.6768),(1825,835,0.011436,3.6768),(1825,845,0.011616,3.6767),(1825,855,0.011799,3.6766),(1825,865,0.011985,3.6766),(1825,875,0.012172,3.6765),(1825,885,0.012359,3.6765),(1825,895,0.012549,3.6764),(1825,905,0.012743,3.6764),(1825,915,0.012937,3.6763),(1825,925,0.013131,3.6762),(1825,935,0.013329,3.6762),(1825,945,0.013531,3.6761),(1825,955,0.013733,3.676),(1825,965,0.013934,3.676),(1825,975,0.01414,3.6759),(1825,985,0.01435,3.6758),(1825,995,0.01456,3.6757),(1825,1005,0.014769,3.6757),(1825,1015,0.014984,3.6756),(1825,1025,0.015202,3.6755),(1825,1035,0.01542,3.6754),(1825,1045,0.015638,3.6754),(1825,1055,0.015861,3.6753),(1825,1065,0.016089,3.6752),(1825,1075,0.016316,3.6751),(1825,1085,0.016543,3.675),(1825,1095,0.016776,3.6749),(1825,1105,0.017012,3.6748),(1825,1115,0.017249,3.6748),(1825,1125,0.017485,3.6747),(1825,1135,0.017728,3.6746),(1825,1145,0.017974,3.6745),(1825,1155,0.018221,3.6744),(1825,1165,0.018467,3.6743),(1825,1175,0.01872,3.6742),(1825,1185,0.018976,3.6741),(1825,1195,0.019233,3.674),(1825,1205,0.019489,3.6739),(1825,1215,0.019754,3.6737),(1825,1225,0.020021,3.6736),(1825,1235,0.020288,3.6735),(1825,1245,0.020555,3.6734),(1825,1255,0.020831,3.6733),(1825,1265,0.02111,3.6732),(1825,1275,0.021388,3.673),(1825,1285,0.021667,3.6729),(1825,1295,0.021955,3.6728),(1825,1305,0.022245,3.6727),(1825,1315,0.022535,3.6725),(1825,1325,0.022826,3.6724),(1825,1335,0.023126,3.6723),(1825,1345,0.023429,3.6721),(1825,1355,0.023731,3.672),(1825,1365,0.024034,3.6718),(1825,1375,0.024347,3.6717),(1825,1385,0.024662,3.6715),(1825,1395,0.024977,3.6714),(1825,1405,0.025292,3.6712),(1825,1415,0.025619,3.6711),(1825,1425,0.025947,3.6709),(1825,1435,0.026275,3.6707),(1825,1445,0.026603,3.6706),(1825,1455,0.026944,3.6704),(1825,1465,0.027286,3.6702),(1825,1475,0.027627,3.6701),(1825,1485,0.027969,3.6699),(1825,1495,0.028324,3.6697),(1825,1505,0.02868,3.6695),(1825,1515,0.029036,3.6693),(1825,1525,0.029391,3.6691),(1825,1535,0.029761,3.6689),(1825,1545,0.030131,3.6687),(1825,1555,0.030501,3.6685),(1825,1565,0.030872,3.6683),(1825,1575,0.031257,3.6681),(1825,1585,0.031642,3.6679),(1825,1595,0.032026,3.6677),(1825,1605,0.032413,3.6674),(1825,1615,0.032812,3.6672),(1825,1625,0.033212,3.667),(1825,1635,0.033612,3.6668),(1825,1645,0.034014,3.6665),(1825,1655,0.034429,3.6663),(1825,1665,0.034845,3.666),(1825,1675,0.03526,3.6658),(1825,1685,0.035678,3.6655),(1825,1695,0.036109,3.6652),(1825,1705,0.03654,3.665),(1825,1715,0.036971,3.6647),(1825,1725,0.037406,3.6644),(1825,1735,0.037853,3.6641),(1825,1745,0.0383,3.6639),(1825,1755,0.038747,3.6636),(1825,1765,0.039198,3.6633),(1825,1775,0.039661,3.663),(1825,1785,0.040125,3.6627),(1825,1795,0.040588,3.6623),(1825,1805,0.041056,3.662),(1825,1815,0.041535,3.6617),(1825,1825,0.042015,3.6614),(1825,1835,0.042494,3.661),(1825,1845,0.04298,3.6607),(1825,1855,0.043476,3.6603),(1825,1865,0.043972,3.66),(1825,1875,0.044468,3.6596),(1825,1885,0.04497,3.6592),(1825,1895,0.045483,3.6589),(1825,1905,0.045995,3.6585),(1825,1915,0.046508,3.6581),(1825,1925,0.047028,3.6577),(1825,1935,0.047557,3.6573),(1825,1945,0.048086,3.6569),(1825,1955,0.048615,3.6565),(1825,1965,0.049151,3.6561),(1825,1975,0.049696,3.6556),(1825,1985,0.050241,3.6552),(1825,1995,0.050786,3.6547),(1825,2005,0.051339,3.6543),(1825,2015,0.0519,3.6538),(1825,2025,0.052461,3.6534),(1825,2035,0.053022,3.6529),(1825,2045,0.053591,3.6524),(1825,2055,0.054168,3.6519),(1825,2065,0.054744,3.6514),(1825,2075,0.055321,3.6509),(1825,2085,0.055907,3.6504),(1825,2095,0.056498,3.6499),(1825,2105,0.05709,3.6493),(1825,2115,0.057682,3.6488),(1825,2125,0.058283,3.6482),(1825,2135,0.05889,3.6477),(1825,2145,0.059496,3.6471),(1825,2155,0.060103,3.6465),(1825,2165,0.060718,3.6459),(1825,2175,0.061338,3.6454),(1825,2185,0.061958,3.6447),(1825,2195,0.062579,3.6441),(1825,2205,0.063208,3.6435),(1825,2215,0.063841,3.6429),(1825,2225,0.064474,3.6422),(1825,2235,0.065107,3.6416),(1825,2245,0.065749,3.6409),(1825,2255,0.066394,3.6402),(1825,2265,0.067039,3.6395),(1825,2275,0.067684,3.6388),(1825,2285,0.068337,3.6381),(1825,2295,0.068993,3.6374),(1825,2305,0.069648,3.6367),(1825,2315,0.070304,3.6359),(1825,2325,0.070967,3.6352),(1825,2335,0.071633,3.6344),(1825,2345,0.072298,3.6336),(1825,2355,0.072963,3.6328),(1825,2365,0.073635,3.6321),(1825,2375,0.074308,3.6313),(1825,2385,0.074981,3.6304),(1825,2395,0.075654,3.6296),(1825,2405,0.076333,3.6287),(1825,2415,0.077012,3.6279),(1825,2425,0.077691,3.627),(1825,2435,0.07837,3.6261),(1825,2445,0.079053,3.6252),(1825,2455,0.079737,3.6244),(1825,2465,0.08042,3.6234),(1825,2475,0.081104,3.6225),(1825,2485,0.081789,3.6215),(1825,2495,0.082475,3.6206),(1825,2505,0.083161,3.6196),(1825,2515,0.083846,3.6186),(1825,2525,0.084532,3.6176),(1825,2535,0.085217,3.6167),(1825,2545,0.085903,3.6156),(1825,2555,0.086589,3.6146),(1825,2565,0.087272,3.6135),(1825,2575,0.087955,3.6125),(1825,2585,0.088638,3.6114),(1825,2595,0.089321,3.6103),(1825,2605,0.089999,3.6092),(1825,2615,0.090677,3.6081),(1825,2625,0.091356,3.607),(1825,2635,0.092033,3.6058),(1825,2645,0.092703,3.6047),(1825,2655,0.093374,3.6035),(1825,2665,0.094044,3.6023),(1825,2675,0.094713,3.6011),(1825,2685,0.095373,3.5999),(1825,2695,0.096032,3.5987),(1825,2705,0.096692,3.5975),(1825,2715,0.097349,3.5962),(1825,2725,0.097995,3.5949),(1825,2735,0.098641,3.5937),(1825,2745,0.099286,3.5924),(1825,2755,0.099928,3.5911),(1825,2765,0.10056,3.5898),(1825,2775,0.10119,3.5884),(1825,2785,0.10181,3.5871),(1825,2795,0.10244,3.5857),(1825,2805,0.10305,3.5843),(1825,2815,0.10365,3.583),(1825,2825,0.10426,3.5815),(1825,2835,0.10486,3.5801),(1825,2845,0.10545,3.5787),(1825,2855,0.10603,3.5773),(1825,2865,0.10662,3.5758),(1825,2875,0.10719,3.5743),(1825,2885,0.10775,3.5728),(1825,2895,0.10831,3.5714),(1825,2905,0.10886,3.5698),(1825,2915,0.10941,3.5683),(1825,2925,0.10993,3.5668),(1825,2935,0.11046,3.5652),(1825,2945,0.11099,3.5637),(1825,2955,0.1115,3.5621),(1825,2965,0.11199,3.5605),(1825,2975,0.11248,3.5589),(1825,2985,0.11297,3.5573),(1825,2995,0.11345,3.5557),(1825,3005,0.1139,3.554),(1825,3015,0.11435,3.5524),(1825,3025,0.11481,3.5507),(1825,3035,0.11524,3.549),(1825,3045,0.11565,3.5474),(1825,3055,0.11606,3.5457),(1825,3065,0.11647,3.5439),(1825,3075,0.11686,3.5422),(1825,3085,0.11722,3.5405),(1825,3095,0.11759,3.5388),(1825,3105,0.11795,3.537),(1825,3115,0.11829,3.5353),(1825,3125,0.11861,3.5335),(1825,3135,0.11892,3.5317),(1825,3145,0.11924,3.5299),(1825,3155,0.11952,3.5281),(1825,3165,0.11979,3.5263),(1825,3175,0.12005,3.5245),(1825,3185,0.12032,3.5226),(1825,3195,0.12054,3.5208),(1825,3205,0.12075,3.519),(1825,3215,0.12096,3.5171),(1825,3225,0.12117,3.5152),(1825,3235,0.12133,3.5134),(1825,3245,0.12148,3.5115),(1825,3255,0.12163,3.5096),(1825,3265,0.12178,3.5077),(1825,3275,0.12188,3.5058),(1825,3285,0.12197,3.5039),(1825,3295,0.12206,3.502),(1825,3305,0.12215,3.5001),(1825,3315,0.12218,3.4982),(1825,3325,0.12221,3.4962),(1825,3335,0.12223,3.4943),(1825,3345,0.12225,3.4924),(1825,3355,0.12222,3.4904),(1825,3365,0.12217,3.4885),(1825,3375,0.12213,3.4865),(1825,3385,0.12209,3.4846),(1825,3395,0.12198,3.4826),(1825,3405,0.12187,3.4806),(1825,3415,0.12175,3.4787),(1825,3425,0.12164,3.4767),(1825,3435,0.12146,3.4747),(1825,3445,0.12128,3.4728),(1825,3455,0.12109,3.4708),(1825,3465,0.12091,3.4688),(1825,3475,0.12065,3.4668),(1825,3485,0.1204,3.4649),(1825,3495,0.12014,3.4629),(1825,3505,0.11988,3.4609),(1825,3515,0.11955,3.4589),(1825,3525,0.11922,3.4569),(1825,3535,0.11889,3.455),(1825,3545,0.11856,3.453),(1825,3555,0.11815,3.451),(1825,3565,0.11775,3.449),(1825,3575,0.11734,3.4471),(1825,3585,0.11693,3.4451),(1825,3595,0.11645,3.4431),(1825,3605,0.11597,3.4412),(1825,3615,0.11549,3.4392),(1825,3625,0.115,3.4373),(1825,3635,0.11444,3.4353),(1825,3645,0.11388,3.4333),(1825,3655,0.11333,3.4314),(1825,3665,0.11276,3.4295),(1825,3675,0.11213,3.4275),(1825,3685,0.1115,3.4256),(1825,3695,0.11087,3.4237),(1825,3705,0.11023,3.4218),(1825,3715,0.10952,3.4199),(1825,3725,0.10882,3.4179),(1825,3735,0.10812,3.4161),(1825,3745,0.10739,3.4142),(1825,3755,0.10662,3.4123),(1825,3765,0.10584,3.4104),(1825,3775,0.10507,3.4085),(1825,3785,0.10427,3.4067),(1825,3795,0.10343,3.4048),(1825,3805,0.10258,3.403),(1825,3815,0.10174,3.4012),(1825,3825,0.10087,3.3993),(1825,3835,0.099964,3.3975),(1825,3845,0.099053,3.3957),(1825,3855,0.098142,3.3939),(1825,3865,0.097209,3.3922),(1825,3875,0.096237,3.3904),(1825,3885,0.095264,3.3886),(1825,3895,0.094292,3.3869),(1825,3905,0.10907,3.3852),(1825,3915,0.14738,3.3834),(1825,3925,0.18569,3.3806),(1825,3935,0.224,3.3763),(1825,3945,0.26472,3.372),(1825,3955,0.30852,3.3677),(1825,3965,0.35232,3.3622),(1825,3975,0.39612,3.3551),(1825,3985,0.42162,3.3481),(1825,3995,0.42733,3.3411),(1825,4005,0.43303,3.334),(1825,4015,0.43873,3.3268),(1825,4025,0.44494,3.3196),(1825,4035,0.4512,3.3124),(1825,4045,0.45746,3.3051),(1825,4055,0.46342,3.2977),(1825,4065,0.46927,3.2904),(1825,4075,0.47512,3.283),(1825,4085,0.48029,3.2756),(1825,4095,0.48491,3.2682),(1825,4105,0.48953,3.2607),(1825,4115,0.47558,3.2533),(1825,4125,0.43084,3.2459),(1825,4135,0.3861,3.2402),(1825,4145,0.34092,3.2351),(1825,4155,0.29391,3.2299),(1825,4165,0.24691,3.226),(1825,4175,0.20274,3.223),(1825,4185,0.29916,3.22),(1825,4195,0.39558,3.2149),(1825,4205,0.492,3.2069),(1825,4215,0.48979,3.1989),(1825,4225,0.469,3.191),(1825,4235,0.44822,3.1832),(1825,4245,0.415,3.1754),(1825,4255,0.37548,3.1678),(1825,4265,0.33596,3.1617),(1825,4275,0.28048,3.1555),(1825,4285,0.20808,3.1493),(1825,4295,0.13568,3.1471),(1825,4305,0.12473,3.1454),(1825,4315,0.25254,3.1437),(1825,4325,0.38034,3.1366),(1825,4335,0.49461,3.1274),(1825,4345,0.51732,3.1182),(1825,4355,0.54002,3.1086),(1825,4365,0.56273,3.0986),(1825,4375,0.56972,3.0887),(1825,4385,0.5759,3.0785),(1825,4395,0.58207,3.0679),(1825,4405,0.50799,3.0574),(1825,4415,0.41025,3.0477),(1825,4425,0.31251,3.0421),(1825,4435,0.27473,3.0364),(1825,4445,0.27792,3.0308),(1825,4455,0.28111,3.0256),(1825,4465,0.33719,3.0205),(1825,4475,0.46758,3.0153),(1825,4485,0.59796,3.0055),(1825,4495,0.70135,2.9947),(1825,4505,0.71813,2.9839),(1825,4515,0.7349,2.9733),(1825,4525,0.74993,2.9628),(1825,4535,0.73748,2.9523),(1825,4545,0.72503,2.9424),(1825,4555,0.71257,2.9334),(1825,4565,0.53264,2.9244),(1825,4575,0.33013,2.9176),(1825,4585,0.12762,2.9163),(1825,4595,0.13583,2.915),(1825,4605,0.23307,2.913),(1825,4615,0.33031,2.9058),(1825,4625,0.41624,2.8986),(1825,4635,0.49193,2.8913),(1825,4645,0.56761,2.8808),(1825,4655,0.63454,2.8701),(1825,4665,0.68495,2.8594),(1825,4675,0.73535,2.848),(1825,4685,0.75039,2.8363),(1825,4695,0.59065,2.8246),(1825,4705,0.43092,2.8175),(1825,4715,0.27118,2.8136),(1825,4725,0.36683,2.8097),(1825,4735,0.46504,2.8042),(1825,4745,0.56324,2.7965),(1825,4755,0.67422,2.7888),(1825,4765,0.78816,2.7802),(1825,4775,0.9021,2.7687),(1825,4785,0.95434,2.7571),(1825,4795,0.9709,2.7456),(1825,4805,0.98747,2.734),(1825,4815,0.95147,2.7224),(1825,4825,0.85262,2.7108),(1825,4835,0.75377,2.7022),(1825,4845,0.64913,2.6941),(1825,4855,0.5294,2.686),(1825,4865,0.40967,2.6806),(1825,4875,0.32654,2.6763),(1825,4885,0.57636,2.6721),(1825,4895,0.82617,2.6631),(1825,4905,1.076,2.6496),(1825,4915,1.0775,2.6361),(1825,4925,1.0577,2.6227),(1825,4935,1.0378,2.6096),(1825,4945,0.95629,2.5965),(1825,4955,0.85337,2.5839),(1825,4965,0.75044,2.5738),(1825,4975,0.59086,2.5638),(1825,4985,0.38754,2.5538),(1825,4995,0.18422,2.5525),(1825,5005,0.1663,2.5515),(1825,5015,0.44313,2.5504),(1825,5025,0.71996,2.5423),(1825,5035,0.96142,2.5324),(1825,5045,1.0681,2.5224),(1825,5055,1.1749,2.5109),(1825,5065,1.2789,2.4984),(1825,5075,1.2942,2.4859),(1825,5085,1.3096,2.4736),(1825,5095,1.3249,2.4615),(1825,5105,1.1627,2.4494),(1825,5115,0.96946,2.4388),(1825,5125,0.77623,2.4326),(1825,5135,0.67189,2.4263),(1825,5145,0.61069,2.4201),(1825,5155,0.54948,2.4142),(1825,5165,0.65211,2.4082),(1825,5175,0.92184,2.4023),(1825,5185,1.1916,2.3889),(1825,5195,1.381,2.3748),(1825,5205,1.3975,2.3606),(1825,5215,1.414,2.3467),(1825,5225,1.4227,2.3329),(1825,5235,1.3834,2.3191),(1825,5245,1.3441,2.3064),(1825,5255,1.3048,2.2947),(1825,5265,0.91428,2.2829),(1825,5275,0.50926,2.2754),(1825,5285,0.10424,2.275),(1825,5295,0.2451,2.2746),(1825,5305,0.53798,2.2717),(1825,5315,0.83086,2.2588),(1825,5325,1.027,2.2459),(1825,5335,1.1597,2.2329),(1825,5345,1.2924,2.2185),(1825,5355,1.385,2.2041),(1825,5365,1.4236,2.1898),(1825,5375,1.4621,2.176),(1825,5385,1.4063,2.1624),(1825,5395,1.0638,2.1488),(1825,5405,0.72128,2.1419),(1825,5415,0.41062,2.1384),(1825,5425,0.52787,2.1348),(1825,5435,0.64511,2.1265),(1825,5445,0.76236,2.1131),(1825,5455,0.92018,2.0996),(1825,5465,1.083,2.0838),(1825,5475,1.2457,2.0624),(1825,5485,1.3103,2.041),(1825,5495,1.3354,2.0197),(1825,5505,1.3604,1.9985),(1825,5515,1.3858,1.9773),(1825,5525,1.4116,1.9562),(1825,5535,1.4373,1.9353),(1825,5545,1.4627,1.9144),(1825,5555,1.4875,1.8935),(1825,5565,1.5122,1.8728),(1825,5575,1.5367,1.8522),(1825,5585,1.5601,1.8316),(1825,5595,1.5835,1.8112),(1825,5605,1.6069,1.791),(1825,5615,1.6289,1.7708),(1825,5625,1.6509,1.7507),(1825,5635,1.6729,1.731),(1825,5645,1.6938,1.7112),(1825,5655,1.7144,1.6915),(1825,5665,1.735,1.6721),(1825,5675,1.7548,1.6527),(1825,5685,1.774,1.6333),(1825,5695,1.7932,1.6143),(1825,5705,1.8119,1.5952),(1825,5715,1.8298,1.5762),(1825,5725,1.8478,1.5575),(1825,5735,1.8654,1.5389),(1825,5745,1.8821,1.5203),(1825,5755,1.8988,1.5019),(1825,5765,1.9154,1.4837),(1825,5775,1.9309,1.4655),(1825,5785,1.9465,1.4474),(1825,5795,1.9621,1.4295),(1825,5805,1.9766,1.4116),(1825,5815,1.9911,1.3938),(1825,5825,2.0056,1.3762),(1825,5835,2.0193,1.3586),(1825,5845,2.0328,1.3411),(1825,5855,2.0463,1.3238),(1825,5865,2.0592,1.3065),(1825,5875,2.0717,1.2892),(1825,5885,2.0843,1.2722),(1825,5895,2.0965,1.2551),(1825,5905,2.1082,1.2381),(1825,5915,2.1199,1.2213),(1825,5925,2.1314,1.2045),(1825,5935,2.1423,1.1877),(1825,5945,2.1532,1.1711),(1825,5955,2.1641,1.1546),(1825,5965,2.1746,1.1381),(1825,5975,2.1851,1.1216),(1825,5985,2.1955,1.1053),(1825,5995,1.6794,1.089),(1825,6005,1.0785,1.0765),(1825,6015,0.47764,1.0745),(1825,6025,0.4882,1.0724),(1825,6035,0.78234,1.0692),(1825,6045,1.0765,1.0554),(1825,6055,1.2884,1.0417),(1825,6065,1.4196,1.0279),(1825,6075,1.5508,1.01),(1825,6085,1.6413,0.99177),(1825,6095,1.6478,0.97351),(1825,6105,1.6543,0.95512),(1825,6115,1.6608,0.93667),(1825,6125,1.667,0.91822),(1825,6135,1.6732,0.89976),(1825,6145,1.6794,0.88128),(1825,6155,1.6852,0.86279),(1825,6165,1.691,0.84427),(1825,6175,1.6968,0.82567),(1825,6185,1.7023,0.80707),(1825,6195,1.7077,0.78846),(1825,6205,1.7132,0.76978),(1825,6215,1.7183,0.7511),(1825,6225,1.7233,0.73242),(1825,6235,1.7284,0.71373),(1825,6245,1.7332,0.69503),(1825,6255,1.7378,0.67634),(1825,6265,1.7425,0.65754),(1825,6275,1.747,0.63872),(1825,6285,1.7512,0.61991),(1825,6295,1.7554,0.60107),(1825,6305,1.7596,0.58223),(1825,6315,1.7634,0.56338),(1825,6325,1.7671,0.54453),(1825,6335,1.7709,0.52565),(1825,6345,1.7743,0.50677),(1825,6355,1.7777,0.48787),(1825,6365,1.781,0.4689),(1825,6375,1.7841,0.44993),(1825,6385,1.787,0.43096),(1825,6395,1.79,0.41196),(1825,6405,1.7928,0.39296),(1825,6415,1.7953,0.37396),(1825,6425,1.7979,0.35498),(1825,6435,1.8003,0.336),(1825,6445,1.8025,0.31702),(1825,6455,1.8047,0.29803),(1825,6465,1.8068,0.27904),(1825,6475,1.8085,0.26005),(1825,6485,1.8103,0.24102),(1825,6495,1.812,0.22196),(1825,6505,1.8133,0.2029),(1825,6515,1.8146,0.18383),(1825,6525,1.816,0.16473),(1825,6535,1.817,0.14564),(1825,6545,1.8179,0.12654),(1825,6555,1.8188,0.10746),(1825,6565,1.8194,0.088385),(1825,6575,1.8198,0.069305),(1825,6585,1.8203,0.050224),(1825,6595,1.5484,0.031143),(1825,6605,0.97578,0.012062),(1825,6615,0.40317,0.009844),(1825,6625,0.000632,0.009794),(1825,6635,0.000635,0.009743),(1825,6645,0.000637,0.009721),(1825,6655,0.00064,0.009712),(1825,6665,0.000642,0.009703),(1825,6675,0.000644,0.009694),(1825,6685,0.000647,0.009685),(1825,6695,0.000649,0.009675),(1825,6705,0.000651,0.009666),(1825,6715,0.000654,0.009657),(1825,6725,0.000656,0.009648),(1825,6735,0.000658,0.009639),(1825,6745,0.00066,0.00963),(1825,6755,0.000662,0.009621),(1825,6765,0.000664,0.009611),(1825,6775,0.000666,0.009602),(1825,6785,0.000668,0.009593),(1825,6795,0.00067,0.009584),(1825,6805,0.000672,0.009575),(1825,6815,0.000674,0.009566),(1825,6825,0.000676,0.009557),(1825,6835,0.000677,0.009548),(1825,6845,0.000679,0.009539),(1825,6855,0.000681,0.009529),(1825,6865,0.000683,0.00952),(1825,6875,0.000684,0.009511),(1825,6885,0.000686,0.009502),(1825,6895,0.000688,0.009493),(1825,6905,0.000689,0.009484),(1825,6915,0.000691,0.009475),(1825,6925,0.000692,0.009466),(1825,6935,0.000694,0.009457),(1825,6945,0.000696,0.009448),(1825,6955,0.000697,0.009439),(1825,6965,0.000699,0.00943),(1825,6975,0.0007,0.009421),(1825,6985,0.000701,0.009412),(1835,5,5.8e-05,3.6788),(1835,15,0.000174,3.6788),(1835,25,0.00029,3.6788),(1835,35,0.000406,3.6788),(1835,45,0.000522,3.6788),(1835,55,0.000638,3.6788),(1835,65,0.000754,3.6788),(1835,75,0.000871,3.6788),(1835,85,0.000987,3.6788),(1835,95,0.001104,3.6788),(1835,105,0.00122,3.6788),(1835,115,0.001337,3.6788),(1835,125,0.001455,3.6788),(1835,135,0.001572,3.6788),(1835,145,0.001689,3.6788),(1835,155,0.001807,3.6788),(1835,165,0.001925,3.6788),(1835,175,0.002044,3.6788),(1835,185,0.002162,3.6788),(1835,195,0.002282,3.6788),(1835,205,0.002401,3.6787),(1835,215,0.00252,3.6787),(1835,225,0.002641,3.6787),(1835,235,0.002761,3.6787),(1835,245,0.002882,3.6787),(1835,255,0.003003,3.6787),(1835,265,0.003125,3.6787),(1835,275,0.003247,3.6787),(1835,285,0.00337,3.6787),(1835,295,0.003492,3.6786),(1835,305,0.003617,3.6786),(1835,315,0.003741,3.6786),(1835,325,0.003866,3.6786),(1835,335,0.00399,3.6786),(1835,345,0.004117,3.6786),(1835,355,0.004244,3.6785),(1835,365,0.004371,3.6785),(1835,375,0.004497,3.6785),(1835,385,0.004627,3.6785),(1835,395,0.004756,3.6785),(1835,405,0.004886,3.6784),(1835,415,0.005015,3.6784),(1835,425,0.005148,3.6784),(1835,435,0.00528,3.6784),(1835,445,0.005413,3.6784),(1835,455,0.005545,3.6783),(1835,465,0.005681,3.6783),(1835,475,0.005816,3.6783),(1835,485,0.005952,3.6783),(1835,495,0.006088,3.6782),(1835,505,0.006227,3.6782),(1835,515,0.006366,3.6782),(1835,525,0.006506,3.6782),(1835,535,0.006645,3.6781),(1835,545,0.006788,3.6781),(1835,555,0.006931,3.6781),(1835,565,0.007074,3.678),(1835,575,0.007218,3.678),(1835,585,0.007365,3.678),(1835,595,0.007512,3.678),(1835,605,0.00766,3.6779),(1835,615,0.007808,3.6779),(1835,625,0.007959,3.6778),(1835,635,0.008111,3.6778),(1835,645,0.008263,3.6778),(1835,655,0.008416,3.6777),(1835,665,0.008573,3.6777),(1835,675,0.008729,3.6777),(1835,685,0.008886,3.6776),(1835,695,0.009044,3.6776),(1835,705,0.009206,3.6775),(1835,715,0.009368,3.6775),(1835,725,0.009531,3.6775),(1835,735,0.009694,3.6774),(1835,745,0.009862,3.6774),(1835,755,0.01003,3.6773),(1835,765,0.010198,3.6773),(1835,775,0.010367,3.6772),(1835,785,0.010541,3.6772),(1835,795,0.010715,3.6771),(1835,805,0.010889,3.6771),(1835,815,0.011065,3.677),(1835,825,0.011245,3.677),(1835,835,0.011425,3.6769),(1835,845,0.011605,3.6769),(1835,855,0.011787,3.6768),(1835,865,0.011974,3.6768),(1835,875,0.012161,3.6767),(1835,885,0.012348,3.6767),(1835,895,0.012538,3.6766),(1835,905,0.012732,3.6765),(1835,915,0.012926,3.6765),(1835,925,0.01312,3.6764),(1835,935,0.013318,3.6764),(1835,945,0.01352,3.6763),(1835,955,0.013722,3.6762),(1835,965,0.013924,3.6762),(1835,975,0.01413,3.6761),(1835,985,0.01434,3.676),(1835,995,0.01455,3.676),(1835,1005,0.01476,3.6759),(1835,1015,0.014974,3.6758),(1835,1025,0.015192,3.6757),(1835,1035,0.015411,3.6757),(1835,1045,0.015629,3.6756),(1835,1055,0.015853,3.6755),(1835,1065,0.01608,3.6754),(1835,1075,0.016307,3.6753),(1835,1085,0.016535,3.6752),(1835,1095,0.016768,3.6752),(1835,1105,0.017005,3.6751),(1835,1115,0.017242,3.675),(1835,1125,0.017479,3.6749),(1835,1135,0.017722,3.6748),(1835,1145,0.017968,3.6747),(1835,1155,0.018215,3.6746),(1835,1165,0.018462,3.6745),(1835,1175,0.018715,3.6744),(1835,1185,0.018972,3.6743),(1835,1195,0.019229,3.6742),(1835,1205,0.019486,3.6741),(1835,1215,0.019751,3.674),(1835,1225,0.020019,3.6739),(1835,1235,0.020287,3.6738),(1835,1245,0.020554,3.6737),(1835,1255,0.020831,3.6736),(1835,1265,0.02111,3.6734),(1835,1275,0.021389,3.6733),(1835,1285,0.021668,3.6732),(1835,1295,0.021957,3.6731),(1835,1305,0.022248,3.673),(1835,1315,0.022539,3.6728),(1835,1325,0.02283,3.6727),(1835,1335,0.023131,3.6726),(1835,1345,0.023435,3.6724),(1835,1355,0.023738,3.6723),(1835,1365,0.024042,3.6721),(1835,1375,0.024356,3.672),(1835,1385,0.024672,3.6719),(1835,1395,0.024988,3.6717),(1835,1405,0.025304,3.6716),(1835,1415,0.025632,3.6714),(1835,1425,0.025961,3.6712),(1835,1435,0.026291,3.6711),(1835,1445,0.02662,3.6709),(1835,1455,0.026962,3.6707),(1835,1465,0.027305,3.6706),(1835,1475,0.027648,3.6704),(1835,1485,0.02799,3.6702),(1835,1495,0.028347,3.6701),(1835,1505,0.028704,3.6699),(1835,1515,0.029061,3.6697),(1835,1525,0.029418,3.6695),(1835,1535,0.02979,3.6693),(1835,1545,0.030161,3.6691),(1835,1555,0.030533,3.6689),(1835,1565,0.030905,3.6687),(1835,1575,0.031292,3.6685),(1835,1585,0.031678,3.6683),(1835,1595,0.032065,3.6681),(1835,1605,0.032453,3.6678),(1835,1615,0.032854,3.6676),(1835,1625,0.033256,3.6674),(1835,1635,0.033658,3.6672),(1835,1645,0.034062,3.6669),(1835,1655,0.034479,3.6667),(1835,1665,0.034897,3.6664),(1835,1675,0.035314,3.6662),(1835,1685,0.035734,3.6659),(1835,1695,0.036168,3.6657),(1835,1705,0.036601,3.6654),(1835,1715,0.037034,3.6651),(1835,1725,0.037471,3.6649),(1835,1735,0.037921,3.6646),(1835,1745,0.038371,3.6643),(1835,1755,0.03882,3.664),(1835,1765,0.039274,3.6637),(1835,1775,0.03974,3.6634),(1835,1785,0.040206,3.6631),(1835,1795,0.040672,3.6628),(1835,1805,0.041143,3.6625),(1835,1815,0.041626,3.6622),(1835,1825,0.042108,3.6618),(1835,1835,0.042591,3.6615),(1835,1845,0.043079,3.6612),(1835,1855,0.043578,3.6608),(1835,1865,0.044078,3.6605),(1835,1875,0.044577,3.6601),(1835,1885,0.045083,3.6598),(1835,1895,0.045599,3.6594),(1835,1905,0.046115,3.659),(1835,1915,0.046631,3.6586),(1835,1925,0.047155,3.6582),(1835,1935,0.047688,3.6578),(1835,1945,0.04822,3.6574),(1835,1955,0.048753,3.657),(1835,1965,0.049294,3.6566),(1835,1975,0.049843,3.6562),(1835,1985,0.050392,3.6557),(1835,1995,0.050942,3.6553),(1835,2005,0.051499,3.6549),(1835,2015,0.052064,3.6544),(1835,2025,0.05263,3.6539),(1835,2035,0.053195,3.6535),(1835,2045,0.053769,3.653),(1835,2055,0.054351,3.6525),(1835,2065,0.054932,3.652),(1835,2075,0.055513,3.6515),(1835,2085,0.056104,3.651),(1835,2095,0.056701,3.6505),(1835,2105,0.057298,3.6499),(1835,2115,0.057895,3.6494),(1835,2125,0.058501,3.6488),(1835,2135,0.059113,3.6483),(1835,2145,0.059725,3.6477),(1835,2155,0.060337,3.6471),(1835,2165,0.060958,3.6466),(1835,2175,0.061585,3.646),(1835,2185,0.062211,3.6454),(1835,2195,0.062837,3.6447),(1835,2205,0.063472,3.6441),(1835,2215,0.064111,3.6435),(1835,2225,0.06475,3.6429),(1835,2235,0.06539,3.6422),(1835,2245,0.066038,3.6415),(1835,2255,0.066689,3.6409),(1835,2265,0.067341,3.6402),(1835,2275,0.067992,3.6395),(1835,2285,0.068652,3.6388),(1835,2295,0.069315,3.6381),(1835,2305,0.069978,3.6373),(1835,2315,0.07064,3.6366),(1835,2325,0.071311,3.6358),(1835,2335,0.071983,3.6351),(1835,2345,0.072656,3.6343),(1835,2355,0.073328,3.6335),(1835,2365,0.074007,3.6327),(1835,2375,0.074688,3.6319),(1835,2385,0.075369,3.6311),(1835,2395,0.076049,3.6303),(1835,2405,0.076736,3.6294),(1835,2415,0.077423,3.6286),(1835,2425,0.07811,3.6277),(1835,2435,0.078797,3.6268),(1835,2445,0.079488,3.6259),(1835,2455,0.08018,3.625),(1835,2465,0.080872,3.6241),(1835,2475,0.081563,3.6232),(1835,2485,0.082257,3.6222),(1835,2495,0.082951,3.6213),(1835,2505,0.083646,3.6203),(1835,2515,0.08434,3.6193),(1835,2525,0.085034,3.6183),(1835,2535,0.085729,3.6173),(1835,2545,0.086423,3.6163),(1835,2555,0.087117,3.6153),(1835,2565,0.087809,3.6142),(1835,2575,0.088502,3.6132),(1835,2585,0.089194,3.6121),(1835,2595,0.089886,3.611),(1835,2605,0.090573,3.6099),(1835,2615,0.09126,3.6088),(1835,2625,0.091948,3.6077),(1835,2635,0.092634,3.6065),(1835,2645,0.093314,3.6054),(1835,2655,0.093994,3.6042),(1835,2665,0.094674,3.603),(1835,2675,0.095352,3.6018),(1835,2685,0.096021,3.6006),(1835,2695,0.09669,3.5994),(1835,2705,0.09736,3.5981),(1835,2715,0.098026,3.5969),(1835,2725,0.098682,3.5956),(1835,2735,0.099337,3.5943),(1835,2745,0.099993,3.593),(1835,2755,0.10064,3.5917),(1835,2765,0.10128,3.5904),(1835,2775,0.10192,3.5891),(1835,2785,0.10256,3.5877),(1835,2795,0.10319,3.5863),(1835,2805,0.10381,3.585),(1835,2815,0.10443,3.5836),(1835,2825,0.10505,3.5821),(1835,2835,0.10566,3.5807),(1835,2845,0.10625,3.5793),(1835,2855,0.10685,3.5778),(1835,2865,0.10744,3.5764),(1835,2875,0.10802,3.5749),(1835,2885,0.10859,3.5734),(1835,2895,0.10916,3.5719),(1835,2905,0.10972,3.5704),(1835,2915,0.11028,3.5688),(1835,2925,0.11081,3.5673),(1835,2935,0.11135,3.5658),(1835,2945,0.11189,3.5642),(1835,2955,0.11241,3.5626),(1835,2965,0.11291,3.561),(1835,2975,0.11341,3.5594),(1835,2985,0.11391,3.5578),(1835,2995,0.11439,3.5561),(1835,3005,0.11485,3.5545),(1835,3015,0.11531,3.5528),(1835,3025,0.11578,3.5512),(1835,3035,0.11622,3.5495),(1835,3045,0.11664,3.5478),(1835,3055,0.11706,3.5461),(1835,3065,0.11748,3.5443),(1835,3075,0.11787,3.5426),(1835,3085,0.11825,3.5409),(1835,3095,0.11862,3.5391),(1835,3105,0.11899,3.5374),(1835,3115,0.11934,3.5356),(1835,3125,0.11966,3.5338),(1835,3135,0.11999,3.532),(1835,3145,0.12031,3.5302),(1835,3155,0.1206,3.5284),(1835,3165,0.12087,3.5266),(1835,3175,0.12114,3.5247),(1835,3185,0.12142,3.5229),(1835,3195,0.12165,3.521),(1835,3205,0.12186,3.5192),(1835,3215,0.12208,3.5173),(1835,3225,0.12229,3.5154),(1835,3235,0.12247,3.5136),(1835,3245,0.12262,3.5117),(1835,3255,0.12278,3.5098),(1835,3265,0.12293,3.5078),(1835,3275,0.12304,3.5059),(1835,3285,0.12313,3.504),(1835,3295,0.12323,3.5021),(1835,3305,0.12332,3.5001),(1835,3315,0.12336,3.4982),(1835,3325,0.12339,3.4963),(1835,3335,0.12342,3.4943),(1835,3345,0.12344,3.4924),(1835,3355,0.12342,3.4904),(1835,3365,0.12338,3.4884),(1835,3375,0.12334,3.4865),(1835,3385,0.1233,3.4845),(1835,3395,0.12319,3.4825),(1835,3405,0.12308,3.4805),(1835,3415,0.12297,3.4785),(1835,3425,0.12286,3.4766),(1835,3435,0.12269,3.4746),(1835,3445,0.12251,3.4726),(1835,3455,0.12233,3.4706),(1835,3465,0.12214,3.4686),(1835,3475,0.12189,3.4666),(1835,3485,0.12164,3.4646),(1835,3495,0.12138,3.4626),(1835,3505,0.12113,3.4606),(1835,3515,0.1208,3.4586),(1835,3525,0.12047,3.4566),(1835,3535,0.12014,3.4546),(1835,3545,0.1198,3.4526),(1835,3555,0.1194,3.4506),(1835,3565,0.11899,3.4486),(1835,3575,0.11859,3.4466),(1835,3585,0.11818,3.4447),(1835,3595,0.1177,3.4427),(1835,3605,0.11722,3.4407),(1835,3615,0.11674,3.4387),(1835,3625,0.11624,3.4367),(1835,3635,0.11569,3.4348),(1835,3645,0.11513,3.4328),(1835,3655,0.11458,3.4308),(1835,3665,0.11401,3.4289),(1835,3675,0.11337,3.4269),(1835,3685,0.11274,3.425),(1835,3695,0.11211,3.423),(1835,3705,0.11146,3.4211),(1835,3715,0.11076,3.4192),(1835,3725,0.11005,3.4172),(1835,3735,0.10935,3.4153),(1835,3745,0.10862,3.4134),(1835,3755,0.10785,3.4115),(1835,3765,0.10707,3.4096),(1835,3775,0.10629,3.4077),(1835,3785,0.10549,3.4059),(1835,3795,0.10464,3.404),(1835,3805,0.10379,3.4021),(1835,3815,0.10295,3.4003),(1835,3825,0.10208,3.3985),(1835,3835,0.10116,3.3966),(1835,3845,0.10025,3.3948),(1835,3855,0.09933,3.393),(1835,3865,0.098392,3.3912),(1835,3875,0.097415,3.3894),(1835,3885,0.096437,3.3876),(1835,3895,0.095459,3.3859),(1835,3905,0.1104,3.3842),(1835,3915,0.14914,3.3824),(1835,3925,0.18787,3.3796),(1835,3935,0.2266,3.3752),(1835,3945,0.26775,3.3709),(1835,3955,0.31198,3.3666),(1835,3965,0.35621,3.361),(1835,3975,0.40043,3.3539),(1835,3985,0.42617,3.3468),(1835,3995,0.43188,3.3398),(1835,4005,0.43759,3.3326),(1835,4015,0.4433,3.3254),(1835,4025,0.44952,3.3181),(1835,4035,0.45578,3.3108),(1835,4045,0.46204,3.3034),(1835,4055,0.468,3.2961),(1835,4065,0.47384,3.2887),(1835,4075,0.47969,3.2812),(1835,4085,0.48484,3.2737),(1835,4095,0.48944,3.2662),(1835,4105,0.49403,3.2587),(1835,4115,0.4799,3.2511),(1835,4125,0.43472,3.2436),(1835,4135,0.38954,3.2379),(1835,4145,0.34392,3.2326),(1835,4155,0.29652,3.2274),(1835,4165,0.24912,3.2235),(1835,4175,0.20459,3.2205),(1835,4185,0.302,3.2174),(1835,4195,0.3994,3.2122),(1835,4205,0.4968,3.2042),(1835,4215,0.49476,3.1961),(1835,4225,0.47401,3.1882),(1835,4235,0.45326,3.1803),(1835,4245,0.41987,3.1725),(1835,4255,0.38007,3.1648),(1835,4265,0.34027,3.1586),(1835,4275,0.2842,3.1524),(1835,4285,0.21087,3.1462),(1835,4295,0.13754,3.144),(1835,4305,0.12643,3.1422),(1835,4315,0.25582,3.1405),(1835,4325,0.3852,3.1334),(1835,4335,0.50087,3.1243),(1835,4345,0.52367,3.1152),(1835,4355,0.54646,3.1056),(1835,4365,0.56925,3.0956),(1835,4375,0.57637,3.0856),(1835,4385,0.58267,3.0753),(1835,4395,0.58897,3.0646),(1835,4405,0.51418,3.054),(1835,4415,0.41547,3.0442),(1835,4425,0.31677,3.0384),(1835,4435,0.2785,3.0327),(1835,4445,0.28154,3.0269),(1835,4455,0.28457,3.0217),(1835,4465,0.34097,3.0165),(1835,4475,0.47232,3.0112),(1835,4485,0.60368,3.0014),(1835,4495,0.70777,2.9906),(1835,4505,0.72437,2.9798),(1835,4515,0.74096,2.9691),(1835,4525,0.7558,2.9586),(1835,4535,0.74297,2.948),(1835,4545,0.73013,2.9381),(1835,4555,0.71729,2.9289),(1835,4565,0.53625,2.9198),(1835,4575,0.33253,2.9129),(1835,4585,0.12882,2.9115),(1835,4595,0.13752,2.9102),(1835,4605,0.23599,2.9081),(1835,4615,0.33445,2.9007),(1835,4625,0.4213,2.8933),(1835,4635,0.49763,2.8858),(1835,4645,0.57395,2.8751),(1835,4655,0.6413,2.8642),(1835,4665,0.69172,2.8533),(1835,4675,0.74213,2.8419),(1835,4685,0.75693,2.8302),(1835,4695,0.59576,2.8186),(1835,4705,0.43458,2.8116),(1835,4715,0.2734,2.8078),(1835,4725,0.36963,2.804),(1835,4735,0.46844,2.7987),(1835,4745,0.56724,2.7911),(1835,4755,0.67874,2.7834),(1835,4765,0.79317,2.7749),(1835,4775,0.90761,2.7633),(1835,4785,0.95999,2.7517),(1835,4795,0.9765,2.7402),(1835,4805,0.993,2.7284),(1835,4815,0.95675,2.7167),(1835,4825,0.85741,2.705),(1835,4835,0.75807,2.6965),(1835,4845,0.65294,2.6884),(1835,4855,0.5327,2.6803),(1835,4865,0.41247,2.6748),(1835,4875,0.32902,2.6705),(1835,4885,0.58022,2.6662),(1835,4895,0.83143,2.6572),(1835,4905,1.0826,2.6437),(1835,4915,1.0842,2.6301),(1835,4925,1.0644,2.6167),(1835,4935,1.0445,2.6036),(1835,4945,0.96272,2.5905),(1835,4955,0.85943,2.5779),(1835,4965,0.75615,2.5679),(1835,4975,0.59554,2.5578),(1835,4985,0.39068,2.5478),(1835,4995,0.18581,2.5465),(1835,5005,0.16739,2.5455),(1835,5015,0.44535,2.5445),(1835,5025,0.72332,2.5364),(1835,5035,0.96571,2.5265),(1835,5045,1.0726,2.5166),(1835,5055,1.1795,2.5051),(1835,5065,1.2836,2.4926),(1835,5075,1.2988,2.4802),(1835,5085,1.3139,2.4679),(1835,5095,1.3291,2.4558),(1835,5105,1.1662,2.4438),(1835,5115,0.97234,2.4332),(1835,5125,0.77844,2.427),(1835,5135,0.67404,2.4207),(1835,5145,0.61306,2.4145),(1835,5155,0.55209,2.4086),(1835,5165,0.65531,2.4027),(1835,5175,0.926,2.3968),(1835,5185,1.1967,2.3834),(1835,5195,1.3868,2.3693),(1835,5205,1.403,2.3552),(1835,5215,1.4193,2.3413),(1835,5225,1.4278,2.3276),(1835,5235,1.3881,2.3138),(1835,5245,1.3484,2.3012),(1835,5255,1.3087,2.2894),(1835,5265,0.9171,2.2777),(1835,5275,0.51094,2.2702),(1835,5285,0.10478,2.2698),(1835,5295,0.24702,2.2694),(1835,5305,0.54198,2.2665),(1835,5315,0.83694,2.2536),(1835,5325,1.0337,2.2406),(1835,5335,1.1661,2.2277),(1835,5345,1.2986,2.2133),(1835,5355,1.3908,2.1989),(1835,5365,1.4289,2.1846),(1835,5375,1.467,2.1709),(1835,5385,1.4106,2.1573),(1835,5395,1.067,2.1437),(1835,5405,0.72341,2.1368),(1835,5415,0.41188,2.1333),(1835,5425,0.53145,2.1297),(1835,5435,0.65102,2.1214),(1835,5445,0.77059,2.108),(1835,5455,0.92991,2.0945),(1835,5465,1.0941,2.0787),(1835,5475,1.2583,2.0573),(1835,5485,1.3231,2.0359),(1835,5495,1.348,2.0146),(1835,5505,1.3728,1.9934),(1835,5515,1.3981,1.9723),(1835,5525,1.4236,1.9511),(1835,5535,1.4492,1.9303),(1835,5545,1.4744,1.9094),(1835,5555,1.4989,1.8886),(1835,5565,1.5234,1.868),(1835,5575,1.5477,1.8474),(1835,5585,1.5708,1.8269),(1835,5595,1.594,1.8065),(1835,5605,1.6172,1.7864),(1835,5615,1.6389,1.7662),(1835,5625,1.6607,1.7462),(1835,5635,1.6825,1.7265),(1835,5645,1.7031,1.7068),(1835,5655,1.7235,1.6872),(1835,5665,1.7438,1.6679),(1835,5675,1.7634,1.6485),(1835,5685,1.7824,1.6292),(1835,5695,1.8014,1.6103),(1835,5705,1.8198,1.5913),(1835,5715,1.8376,1.5723),(1835,5725,1.8553,1.5537),(1835,5735,1.8727,1.5352),(1835,5745,1.8892,1.5167),(1835,5755,1.9057,1.4984),(1835,5765,1.9221,1.4802),(1835,5775,1.9375,1.4621),(1835,5785,1.9528,1.4441),(1835,5795,1.9682,1.4263),(1835,5805,1.9826,1.4084),(1835,5815,1.9969,1.3907),(1835,5825,2.0112,1.3732),(1835,5835,2.0248,1.3557),(1835,5845,2.0381,1.3382),(1835,5855,2.0514,1.321),(1835,5865,2.0642,1.3038),(1835,5875,2.0766,1.2866),(1835,5885,2.089,1.2696),(1835,5895,2.1011,1.2526),(1835,5905,2.1126,1.2357),(1835,5915,2.1242,1.2189),(1835,5925,2.1356,1.2022),(1835,5935,2.1464,1.1855),(1835,5945,2.1572,1.169),(1835,5955,2.1679,1.1525),(1835,5965,2.1783,1.1361),(1835,5975,2.1886,1.1197),(1835,5985,2.199,1.1035),(1835,5995,1.682,1.0872),(1835,6005,1.0802,1.0748),(1835,6015,0.47837,1.0727),(1835,6025,0.48998,1.0707),(1835,6035,0.78611,1.0675),(1835,6045,1.0822,1.0537),(1835,6055,1.2954,1.04),(1835,6065,1.4274,1.0262),(1835,6075,1.5593,1.0084),(1835,6085,1.6502,0.99011),(1835,6095,1.6568,0.97185),(1835,6105,1.6633,0.95347),(1835,6115,1.6698,0.93504),(1835,6125,1.676,0.9166),(1835,6135,1.6821,0.89815),(1835,6145,1.6883,0.87969),(1835,6155,1.6942,0.86123),(1835,6165,1.7,0.84273),(1835,6175,1.7058,0.82416),(1835,6185,1.7112,0.80559),(1835,6195,1.7166,0.787),(1835,6205,1.722,0.76835),(1835,6215,1.7272,0.7497),(1835,6225,1.7322,0.73105),(1835,6235,1.7372,0.71239),(1835,6245,1.7421,0.69372),(1835,6255,1.7467,0.67506),(1835,6265,1.7513,0.65629),(1835,6275,1.7558,0.63751),(1835,6285,1.76,0.61872),(1835,6295,1.7643,0.59991),(1835,6305,1.7684,0.58109),(1835,6315,1.7722,0.56227),(1835,6325,1.776,0.54343),(1835,6335,1.7798,0.52458),(1835,6345,1.7832,0.50573),(1835,6355,1.7865,0.48686),(1835,6365,1.7899,0.46793),(1835,6375,1.7929,0.449),(1835,6385,1.7959,0.43007),(1835,6395,1.7988,0.41112),(1835,6405,1.8016,0.39217),(1835,6415,1.8041,0.37322),(1835,6425,1.8067,0.35428),(1835,6435,1.8091,0.33534),(1835,6445,1.8113,0.3164),(1835,6455,1.8135,0.29744),(1835,6465,1.8156,0.27849),(1835,6475,1.8173,0.25954),(1835,6485,1.8191,0.24054),(1835,6495,1.8208,0.22152),(1835,6505,1.8221,0.2025),(1835,6515,1.8234,0.18346),(1835,6525,1.8248,0.1644),(1835,6535,1.8257,0.14535),(1835,6545,1.8267,0.12629),(1835,6555,1.8276,0.10726),(1835,6565,1.8282,0.088218),(1835,6575,1.8286,0.069181),(1835,6585,1.8291,0.050144),(1835,6595,1.5559,0.031107),(1835,6605,0.98049,0.01207),(1835,6615,0.40511,0.009854),(1835,6625,0.000638,0.0098),(1835,6635,0.00064,0.009746),(1835,6645,0.000643,0.009724),(1835,6655,0.000645,0.009715),(1835,6665,0.000647,0.009705),(1835,6675,0.00065,0.009696),(1835,6685,0.000652,0.009687),(1835,6695,0.000654,0.009678),(1835,6705,0.000657,0.009669),(1835,6715,0.000659,0.009659),(1835,6725,0.000661,0.00965),(1835,6735,0.000663,0.009641),(1835,6745,0.000665,0.009632),(1835,6755,0.000667,0.009623),(1835,6765,0.000669,0.009613),(1835,6775,0.000671,0.009604),(1835,6785,0.000673,0.009595),(1835,6795,0.000675,0.009586),(1835,6805,0.000677,0.009577),(1835,6815,0.000679,0.009568),(1835,6825,0.000681,0.009558),(1835,6835,0.000683,0.009549),(1835,6845,0.000684,0.00954),(1835,6855,0.000686,0.009531),(1835,6865,0.000688,0.009522),(1835,6875,0.00069,0.009513),(1835,6885,0.000691,0.009504),(1835,6895,0.000693,0.009495),(1835,6905,0.000694,0.009485),(1835,6915,0.000696,0.009476),(1835,6925,0.000698,0.009467),(1835,6935,0.000699,0.009458),(1835,6945,0.000701,0.009449),(1835,6955,0.000702,0.00944),(1835,6965,0.000704,0.009431),(1835,6975,0.000705,0.009422),(1835,6985,0.000706,0.009413),(1845,5,5.8e-05,3.679),(1845,15,0.000174,3.679),(1845,25,0.000289,3.679),(1845,35,0.000405,3.679),(1845,45,0.000521,3.679),(1845,55,0.000637,3.679),(1845,65,0.000753,3.679),(1845,75,0.000869,3.679),(1845,85,0.000985,3.6789),(1845,95,0.001102,3.6789),(1845,105,0.001218,3.6789),(1845,115,0.001335,3.6789),(1845,125,0.001452,3.6789),(1845,135,0.001569,3.6789),(1845,145,0.001686,3.6789),(1845,155,0.001804,3.6789),(1845,165,0.001922,3.6789),(1845,175,0.00204,3.6789),(1845,185,0.002158,3.6789),(1845,195,0.002278,3.6789),(1845,205,0.002397,3.6789),(1845,215,0.002516,3.6789),(1845,225,0.002636,3.6788),(1845,235,0.002756,3.6788),(1845,245,0.002877,3.6788),(1845,255,0.002997,3.6788),(1845,265,0.003119,3.6788),(1845,275,0.003242,3.6788),(1845,285,0.003364,3.6788),(1845,295,0.003486,3.6788),(1845,305,0.00361,3.6787),(1845,315,0.003734,3.6787),(1845,325,0.003859,3.6787),(1845,335,0.003983,3.6787),(1845,345,0.004109,3.6787),(1845,355,0.004236,3.6787),(1845,365,0.004363,3.6787),(1845,375,0.004489,3.6786),(1845,385,0.004619,3.6786),(1845,395,0.004748,3.6786),(1845,405,0.004877,3.6786),(1845,415,0.005007,3.6786),(1845,425,0.005139,3.6785),(1845,435,0.005271,3.6785),(1845,445,0.005403,3.6785),(1845,455,0.005536,3.6785),(1845,465,0.005671,3.6785),(1845,475,0.005807,3.6784),(1845,485,0.005942,3.6784),(1845,495,0.006078,3.6784),(1845,505,0.006217,3.6784),(1845,515,0.006356,3.6783),(1845,525,0.006495,3.6783),(1845,535,0.006634,3.6783),(1845,545,0.006777,3.6782),(1845,555,0.00692,3.6782),(1845,565,0.007063,3.6782),(1845,575,0.007206,3.6782),(1845,585,0.007353,3.6781),(1845,595,0.007501,3.6781),(1845,605,0.007648,3.6781),(1845,615,0.007795,3.678),(1845,625,0.007947,3.678),(1845,635,0.008099,3.678),(1845,645,0.00825,3.6779),(1845,655,0.008403,3.6779),(1845,665,0.00856,3.6779),(1845,675,0.008716,3.6778),(1845,685,0.008873,3.6778),(1845,695,0.009031,3.6777),(1845,705,0.009193,3.6777),(1845,715,0.009355,3.6777),(1845,725,0.009517,3.6776),(1845,735,0.00968,3.6776),(1845,745,0.009848,3.6775),(1845,755,0.010016,3.6775),(1845,765,0.010184,3.6775),(1845,775,0.010353,3.6774),(1845,785,0.010527,3.6774),(1845,795,0.010701,3.6773),(1845,805,0.010874,3.6773),(1845,815,0.01105,3.6772),(1845,825,0.01123,3.6772),(1845,835,0.01141,3.6771),(1845,845,0.01159,3.6771),(1845,855,0.011773,3.677),(1845,865,0.01196,3.677),(1845,875,0.012147,3.6769),(1845,885,0.012334,3.6769),(1845,895,0.012523,3.6768),(1845,905,0.012718,3.6767),(1845,915,0.012912,3.6767),(1845,925,0.013106,3.6766),(1845,935,0.013304,3.6766),(1845,945,0.013506,3.6765),(1845,955,0.013708,3.6764),(1845,965,0.01391,3.6764),(1845,975,0.014115,3.6763),(1845,985,0.014325,3.6762),(1845,995,0.014536,3.6762),(1845,1005,0.014746,3.6761),(1845,1015,0.01496,3.676),(1845,1025,0.015179,3.6759),(1845,1035,0.015397,3.6759),(1845,1045,0.015616,3.6758),(1845,1055,0.01584,3.6757),(1845,1065,0.016067,3.6756),(1845,1075,0.016295,3.6756),(1845,1085,0.016522,3.6755),(1845,1095,0.016756,3.6754),(1845,1105,0.016993,3.6753),(1845,1115,0.01723,3.6752),(1845,1125,0.017467,3.6751),(1845,1135,0.017711,3.675),(1845,1145,0.017958,3.675),(1845,1155,0.018205,3.6749),(1845,1165,0.018452,3.6748),(1845,1175,0.018706,3.6747),(1845,1185,0.018963,3.6746),(1845,1195,0.019221,3.6745),(1845,1205,0.019478,3.6744),(1845,1215,0.019743,3.6743),(1845,1225,0.020012,3.6742),(1845,1235,0.02028,3.6741),(1845,1245,0.020548,3.6739),(1845,1255,0.020825,3.6738),(1845,1265,0.021105,3.6737),(1845,1275,0.021385,3.6736),(1845,1285,0.021664,3.6735),(1845,1295,0.021954,3.6734),(1845,1305,0.022245,3.6732),(1845,1315,0.022537,3.6731),(1845,1325,0.022829,3.673),(1845,1335,0.023131,3.6729),(1845,1345,0.023435,3.6727),(1845,1355,0.023739,3.6726),(1845,1365,0.024043,3.6724),(1845,1375,0.024359,3.6723),(1845,1385,0.024676,3.6722),(1845,1395,0.024993,3.672),(1845,1405,0.02531,3.6719),(1845,1415,0.025639,3.6717),(1845,1425,0.025969,3.6716),(1845,1435,0.026299,3.6714),(1845,1445,0.026629,3.6712),(1845,1455,0.026973,3.6711),(1845,1465,0.027317,3.6709),(1845,1475,0.027661,3.6708),(1845,1485,0.028005,3.6706),(1845,1495,0.028363,3.6704),(1845,1505,0.028721,3.6702),(1845,1515,0.029079,3.67),(1845,1525,0.029438,3.6699),(1845,1535,0.029811,3.6697),(1845,1545,0.030184,3.6695),(1845,1555,0.030557,3.6693),(1845,1565,0.030931,3.6691),(1845,1575,0.031319,3.6689),(1845,1585,0.031707,3.6687),(1845,1595,0.032095,3.6685),(1845,1605,0.032485,3.6682),(1845,1615,0.032889,3.668),(1845,1625,0.033292,3.6678),(1845,1635,0.033696,3.6676),(1845,1645,0.034102,3.6673),(1845,1655,0.034521,3.6671),(1845,1665,0.034941,3.6669),(1845,1675,0.03536,3.6666),(1845,1685,0.035783,3.6664),(1845,1695,0.036218,3.6661),(1845,1705,0.036654,3.6658),(1845,1715,0.03709,3.6656),(1845,1725,0.037529,3.6653),(1845,1735,0.037981,3.665),(1845,1745,0.038433,3.6648),(1845,1755,0.038885,3.6645),(1845,1765,0.039342,3.6642),(1845,1775,0.039811,3.6639),(1845,1785,0.040279,3.6636),(1845,1795,0.040748,3.6633),(1845,1805,0.041222,3.663),(1845,1815,0.041708,3.6627),(1845,1825,0.042193,3.6623),(1845,1835,0.042679,3.662),(1845,1845,0.04317,3.6617),(1845,1855,0.043673,3.6613),(1845,1865,0.044175,3.661),(1845,1875,0.044678,3.6606),(1845,1885,0.045187,3.6603),(1845,1895,0.045707,3.6599),(1845,1905,0.046227,3.6595),(1845,1915,0.046746,3.6591),(1845,1925,0.047273,3.6588),(1845,1935,0.04781,3.6584),(1845,1945,0.048347,3.658),(1845,1955,0.048884,3.6576),(1845,1965,0.049428,3.6571),(1845,1975,0.049982,3.6567),(1845,1985,0.050535,3.6563),(1845,1995,0.051089,3.6559),(1845,2005,0.05165,3.6554),(1845,2015,0.05222,3.655),(1845,2025,0.05279,3.6545),(1845,2035,0.05336,3.654),(1845,2045,0.053939,3.6536),(1845,2055,0.054525,3.6531),(1845,2065,0.055112,3.6526),(1845,2075,0.055698,3.6521),(1845,2085,0.056294,3.6516),(1845,2095,0.056896,3.6511),(1845,2105,0.057498,3.6505),(1845,2115,0.0581,3.65),(1845,2125,0.058712,3.6494),(1845,2135,0.059329,3.6489),(1845,2145,0.059947,3.6483),(1845,2155,0.060565,3.6478),(1845,2165,0.061192,3.6472),(1845,2175,0.061824,3.6466),(1845,2185,0.062456,3.646),(1845,2195,0.063088,3.6454),(1845,2205,0.063729,3.6448),(1845,2215,0.064375,3.6441),(1845,2225,0.06502,3.6435),(1845,2235,0.065666,3.6428),(1845,2245,0.066321,3.6422),(1845,2255,0.066979,3.6415),(1845,2265,0.067637,3.6408),(1845,2275,0.068295,3.6401),(1845,2285,0.068962,3.6394),(1845,2295,0.069632,3.6387),(1845,2305,0.070301,3.638),(1845,2315,0.070971,3.6373),(1845,2325,0.071649,3.6365),(1845,2335,0.072329,3.6358),(1845,2345,0.073008,3.635),(1845,2355,0.073688,3.6342),(1845,2365,0.074375,3.6334),(1845,2375,0.075064,3.6326),(1845,2385,0.075752,3.6318),(1845,2395,0.076441,3.6309),(1845,2405,0.077135,3.6301),(1845,2415,0.07783,3.6293),(1845,2425,0.078526,3.6284),(1845,2435,0.079221,3.6275),(1845,2445,0.079921,3.6266),(1845,2455,0.080621,3.6257),(1845,2465,0.081321,3.6248),(1845,2475,0.082021,3.6239),(1845,2485,0.082724,3.6229),(1845,2495,0.083427,3.622),(1845,2505,0.08413,3.621),(1845,2515,0.084832,3.62),(1845,2525,0.085536,3.619),(1845,2535,0.086239,3.618),(1845,2545,0.086943,3.617),(1845,2555,0.087646,3.616),(1845,2565,0.088348,3.6149),(1845,2575,0.089049,3.6139),(1845,2585,0.089751,3.6128),(1845,2595,0.090452,3.6117),(1845,2605,0.091149,3.6106),(1845,2615,0.091846,3.6095),(1845,2625,0.092543,3.6083),(1845,2635,0.093239,3.6072),(1845,2645,0.093929,3.606),(1845,2655,0.094618,3.6049),(1845,2665,0.095308,3.6037),(1845,2675,0.095996,3.6025),(1845,2685,0.096675,3.6013),(1845,2695,0.097354,3.6),(1845,2705,0.098033,3.5988),(1845,2715,0.098709,3.5975),(1845,2725,0.099375,3.5963),(1845,2735,0.10004,3.595),(1845,2745,0.10071,3.5937),(1845,2755,0.10137,3.5923),(1845,2765,0.10202,3.591),(1845,2775,0.10266,3.5897),(1845,2785,0.10331,3.5883),(1845,2795,0.10396,3.5869),(1845,2805,0.10458,3.5856),(1845,2815,0.10521,3.5842),(1845,2825,0.10584,3.5827),(1845,2835,0.10646,3.5813),(1845,2845,0.10707,3.5799),(1845,2855,0.10767,3.5784),(1845,2865,0.10827,3.577),(1845,2875,0.10887,3.5755),(1845,2885,0.10945,3.574),(1845,2895,0.11002,3.5725),(1845,2905,0.1106,3.5709),(1845,2915,0.11116,3.5694),(1845,2925,0.11171,3.5679),(1845,2935,0.11225,3.5663),(1845,2945,0.1128,3.5647),(1845,2955,0.11333,3.5631),(1845,2965,0.11384,3.5615),(1845,2975,0.11435,3.5599),(1845,2985,0.11486,3.5582),(1845,2995,0.11535,3.5566),(1845,3005,0.11582,3.555),(1845,3015,0.1163,3.5533),(1845,3025,0.11677,3.5516),(1845,3035,0.11722,3.5499),(1845,3045,0.11765,3.5482),(1845,3055,0.11808,3.5465),(1845,3065,0.1185,3.5447),(1845,3075,0.11891,3.543),(1845,3085,0.11929,3.5413),(1845,3095,0.11967,3.5395),(1845,3105,0.12006,3.5377),(1845,3115,0.12041,3.5359),(1845,3125,0.12074,3.5341),(1845,3135,0.12107,3.5323),(1845,3145,0.12141,3.5305),(1845,3155,0.1217,3.5287),(1845,3165,0.12198,3.5269),(1845,3175,0.12226,3.525),(1845,3185,0.12254,3.5231),(1845,3195,0.12278,3.5213),(1845,3205,0.123,3.5194),(1845,3215,0.12323,3.5175),(1845,3225,0.12345,3.5156),(1845,3235,0.12363,3.5137),(1845,3245,0.12379,3.5118),(1845,3255,0.12395,3.5099),(1845,3265,0.12411,3.508),(1845,3275,0.12423,3.506),(1845,3285,0.12433,3.5041),(1845,3295,0.12443,3.5022),(1845,3305,0.12453,3.5002),(1845,3315,0.12457,3.4983),(1845,3325,0.1246,3.4963),(1845,3335,0.12464,3.4943),(1845,3345,0.12467,3.4924),(1845,3355,0.12465,3.4904),(1845,3365,0.12461,3.4884),(1845,3375,0.12457,3.4864),(1845,3385,0.12454,3.4844),(1845,3395,0.12444,3.4824),(1845,3405,0.12434,3.4804),(1845,3415,0.12423,3.4784),(1845,3425,0.12412,3.4764),(1845,3435,0.12395,3.4744),(1845,3445,0.12377,3.4724),(1845,3455,0.12359,3.4704),(1845,3465,0.12341,3.4684),(1845,3475,0.12316,3.4664),(1845,3485,0.12291,3.4643),(1845,3495,0.12266,3.4623),(1845,3505,0.1224,3.4603),(1845,3515,0.12208,3.4583),(1845,3525,0.12175,3.4563),(1845,3535,0.12142,3.4543),(1845,3545,0.12109,3.4522),(1845,3555,0.12068,3.4502),(1845,3565,0.12028,3.4482),(1845,3575,0.11988,3.4462),(1845,3585,0.11946,3.4442),(1845,3595,0.11898,3.4422),(1845,3605,0.1185,3.4402),(1845,3615,0.11802,3.4382),(1845,3625,0.11753,3.4362),(1845,3635,0.11697,3.4342),(1845,3645,0.11642,3.4322),(1845,3655,0.11586,3.4303),(1845,3665,0.11529,3.4283),(1845,3675,0.11465,3.4263),(1845,3685,0.11402,3.4243),(1845,3695,0.11339,3.4224),(1845,3705,0.11274,3.4204),(1845,3715,0.11203,3.4185),(1845,3725,0.11132,3.4165),(1845,3735,0.11061,3.4146),(1845,3745,0.10989,3.4127),(1845,3755,0.1091,3.4108),(1845,3765,0.10832,3.4088),(1845,3775,0.10754,3.4069),(1845,3785,0.10674,3.4051),(1845,3795,0.10589,3.4032),(1845,3805,0.10503,3.4013),(1845,3815,0.10418,3.3994),(1845,3825,0.10331,3.3976),(1845,3835,0.10239,3.3957),(1845,3845,0.10147,3.3939),(1845,3855,0.10055,3.3921),(1845,3865,0.099604,3.3903),(1845,3875,0.09862,3.3885),(1845,3885,0.097636,3.3867),(1845,3895,0.096653,3.3849),(1845,3905,0.11177,3.3831),(1845,3915,0.15093,3.3814),(1845,3925,0.19009,3.3785),(1845,3935,0.22924,3.3742),(1845,3945,0.27083,3.3698),(1845,3955,0.3155,3.3655),(1845,3965,0.36016,3.3598),(1845,3975,0.40483,3.3527),(1845,3985,0.4308,3.3456),(1845,3995,0.43653,3.3385),(1845,4005,0.44225,3.3312),(1845,4015,0.44798,3.3239),(1845,4025,0.45421,3.3166),(1845,4035,0.46048,3.3093),(1845,4045,0.46676,3.3018),(1845,4055,0.47272,3.2944),(1845,4065,0.47857,3.2869),(1845,4075,0.48441,3.2793),(1845,4085,0.48956,3.2718),(1845,4095,0.49415,3.2642),(1845,4105,0.49873,3.2566),(1845,4115,0.48442,3.249),(1845,4125,0.43878,3.2413),(1845,4135,0.39313,3.2355),(1845,4145,0.34706,3.2302),(1845,4155,0.29924,3.2249),(1845,4165,0.25141,3.221),(1845,4175,0.20649,3.2179),(1845,4185,0.30489,3.2148),(1845,4195,0.40329,3.2096),(1845,4205,0.5017,3.2015),(1845,4215,0.49985,3.1934),(1845,4225,0.47913,3.1853),(1845,4235,0.45841,3.1775),(1845,4245,0.42485,3.1696),(1845,4255,0.38476,3.1618),(1845,4265,0.34468,3.1555),(1845,4275,0.288,3.1493),(1845,4285,0.21371,3.143),(1845,4295,0.13942,3.1408),(1845,4305,0.12811,3.139),(1845,4315,0.259,3.1373),(1845,4325,0.3899,3.1303),(1845,4335,0.5069,3.1212),(1845,4345,0.52987,3.1122),(1845,4355,0.55284,3.1026),(1845,4365,0.57582,3.0926),(1845,4375,0.58312,3.0825),(1845,4385,0.58961,3.0722),(1845,4395,0.5961,3.0614),(1845,4405,0.52062,3.0506),(1845,4415,0.42097,3.0406),(1845,4425,0.32131,3.0348),(1845,4435,0.28253,3.0289),(1845,4445,0.28535,3.023),(1845,4455,0.28817,3.0177),(1845,4465,0.34483,3.0124),(1845,4475,0.47714,3.0072),(1845,4485,0.60944,2.9973),(1845,4495,0.7142,2.9865),(1845,4505,0.73063,2.9756),(1845,4515,0.74706,2.965),(1845,4525,0.76173,2.9544),(1845,4535,0.74859,2.9438),(1845,4545,0.73545,2.9338),(1845,4555,0.72231,2.9245),(1845,4565,0.54012,2.9152),(1845,4575,0.33514,2.9082),(1845,4585,0.13017,2.9068),(1845,4595,0.13943,2.9054),(1845,4605,0.23922,2.9032),(1845,4615,0.33901,2.8956),(1845,4625,0.42681,2.888),(1845,4635,0.50376,2.8803),(1845,4645,0.58071,2.8694),(1845,4655,0.64841,2.8583),(1845,4665,0.69868,2.8473),(1845,4675,0.74894,2.8358),(1845,4685,0.76337,2.8242),(1845,4695,0.60068,2.8126),(1845,4705,0.43799,2.8056),(1845,4715,0.2753,2.802),(1845,4725,0.37213,2.7983),(1845,4735,0.47155,2.7931),(1845,4745,0.57097,2.7856),(1845,4755,0.68308,2.7781),(1845,4765,0.79814,2.7696),(1845,4775,0.91319,2.758),(1845,4785,0.96578,2.7463),(1845,4795,0.98226,2.7347),(1845,4805,0.99875,2.7229),(1845,4815,0.96222,2.7111),(1845,4825,0.86232,2.6993),(1845,4835,0.76242,2.6907),(1845,4845,0.65675,2.6826),(1845,4855,0.53604,2.6745),(1845,4865,0.41533,2.669),(1845,4875,0.33159,2.6647),(1845,4885,0.58418,2.6604),(1845,4895,0.83676,2.6513),(1845,4905,1.0894,2.6378),(1845,4915,1.091,2.6242),(1845,4925,1.0711,2.6108),(1845,4935,1.0512,2.5977),(1845,4945,0.96914,2.5846),(1845,4955,0.8655,2.5719),(1845,4965,0.76185,2.5619),(1845,4975,0.60021,2.5518),(1845,4985,0.3938,2.5418),(1845,4995,0.18739,2.5405),(1845,5005,0.16844,2.5395),(1845,5015,0.44752,2.5385),(1845,5025,0.72661,2.5304),(1845,5035,0.96992,2.5206),(1845,5045,1.077,2.5107),(1845,5055,1.184,2.4993),(1845,5065,1.2883,2.4869),(1845,5075,1.3033,2.4745),(1845,5085,1.3182,2.4622),(1845,5095,1.3332,2.4502),(1845,5105,1.1698,2.4381),(1845,5115,0.97521,2.4276),(1845,5125,0.78066,2.4214),(1845,5135,0.67618,2.4151),(1845,5145,0.61543,2.4089),(1845,5155,0.55467,2.403),(1845,5165,0.65847,2.3971),(1845,5175,0.93011,2.3913),(1845,5185,1.2018,2.3779),(1845,5195,1.3924,2.3638),(1845,5205,1.4085,2.3497),(1845,5215,1.4245,2.3359),(1845,5225,1.4328,2.3222),(1845,5235,1.3927,2.3085),(1845,5245,1.3527,2.2959),(1845,5255,1.3126,2.2842),(1845,5265,0.9199,2.2725),(1845,5275,0.51261,2.265),(1845,5285,0.10533,2.2646),(1845,5295,0.24895,2.2642),(1845,5305,0.54599,2.2613),(1845,5315,0.84303,2.2484),(1845,5325,1.0405,2.2354),(1845,5335,1.1726,2.2224),(1845,5345,1.3047,2.2081),(1845,5355,1.3966,2.1937),(1845,5365,1.4343,2.1794),(1845,5375,1.4719,2.1657),(1845,5385,1.415,2.1522),(1845,5395,1.0702,2.1387),(1845,5405,0.72553,2.1317),(1845,5415,0.41315,2.1282),(1845,5425,0.53503,2.1247),(1845,5435,0.65691,2.1164),(1845,5445,0.77879,2.1029),(1845,5455,0.9396,2.0894),(1845,5465,1.1052,2.0735),(1845,5475,1.2707,2.0522),(1845,5485,1.3359,2.0308),(1845,5495,1.3605,2.0095),(1845,5505,1.3852,1.9883),(1845,5515,1.4102,1.9672),(1845,5525,1.4355,1.9461),(1845,5535,1.4609,1.9253),(1845,5545,1.4858,1.9045),(1845,5555,1.5101,1.8837),(1845,5565,1.5344,1.8631),(1845,5575,1.5584,1.8426),(1845,5585,1.5814,1.8221),(1845,5595,1.6043,1.8018),(1845,5605,1.6272,1.7817),(1845,5615,1.6487,1.7616),(1845,5625,1.6703,1.7417),(1845,5635,1.6918,1.7221),(1845,5645,1.7122,1.7025),(1845,5655,1.7324,1.6829),(1845,5665,1.7525,1.6636),(1845,5675,1.7718,1.6444),(1845,5685,1.7906,1.6251),(1845,5695,1.8094,1.6062),(1845,5705,1.8276,1.5874),(1845,5715,1.8451,1.5685),(1845,5725,1.8627,1.55),(1845,5735,1.8798,1.5315),(1845,5745,1.8962,1.513),(1845,5755,1.9125,1.4948),(1845,5765,1.9287,1.4768),(1845,5775,1.9439,1.4587),(1845,5785,1.9591,1.4408),(1845,5795,1.9743,1.423),(1845,5805,1.9885,1.4053),(1845,5815,2.0026,1.3876),(1845,5825,2.0167,1.3702),(1845,5835,2.0301,1.3527),(1845,5845,2.0433,1.3353),(1845,5855,2.0565,1.3182),(1845,5865,2.0691,1.3011),(1845,5875,2.0814,1.2839),(1845,5885,2.0936,1.267),(1845,5895,2.1056,1.2501),(1845,5905,2.117,1.2332),(1845,5915,2.1284,1.2166),(1845,5925,2.1397,1.1999),(1845,5935,2.1503,1.1833),(1845,5945,2.161,1.1668),(1845,5955,2.1717,1.1505),(1845,5965,2.1819,1.1341),(1845,5975,2.1921,1.1178),(1845,5985,2.2024,1.1016),(1845,5995,1.6846,1.0854),(1845,6005,1.0818,1.0731),(1845,6015,0.47908,1.071),(1845,6025,0.49175,1.069),(1845,6035,0.78984,1.0658),(1845,6045,1.0879,1.052),(1845,6055,1.3025,1.0383),(1845,6065,1.4351,1.0246),(1845,6075,1.5677,1.0067),(1845,6085,1.6591,0.98844),(1845,6095,1.6656,0.9702),(1845,6105,1.6722,0.95182),(1845,6115,1.6786,0.9334),(1845,6125,1.6848,0.91498),(1845,6135,1.6911,0.89655),(1845,6145,1.6973,0.87811),(1845,6155,1.7031,0.85967),(1845,6165,1.7089,0.84119),(1845,6175,1.7147,0.82264),(1845,6185,1.7201,0.8041),(1845,6195,1.7255,0.78554),(1845,6205,1.7309,0.76692),(1845,6215,1.7361,0.7483),(1845,6225,1.7411,0.72968),(1845,6235,1.7461,0.71105),(1845,6245,1.7509,0.69241),(1845,6255,1.7555,0.67378),(1845,6265,1.7601,0.65505),(1845,6275,1.7646,0.63629),(1845,6285,1.7688,0.61754),(1845,6295,1.773,0.59875),(1845,6305,1.7772,0.57995),(1845,6315,1.781,0.56115),(1845,6325,1.7848,0.54234),(1845,6335,1.7886,0.52352),(1845,6345,1.792,0.50469),(1845,6355,1.7953,0.48585),(1845,6365,1.7987,0.46696),(1845,6375,1.8017,0.44808),(1845,6385,1.8047,0.42919),(1845,6395,1.8076,0.41028),(1845,6405,1.8103,0.39138),(1845,6415,1.8129,0.37247),(1845,6425,1.8155,0.35357),(1845,6435,1.8179,0.33467),(1845,6445,1.82,0.31577),(1845,6455,1.8222,0.29686),(1845,6465,1.8243,0.27794),(1845,6475,1.826,0.25902),(1845,6485,1.8278,0.24007),(1845,6495,1.8295,0.22108),(1845,6505,1.8308,0.20209),(1845,6515,1.8322,0.18309),(1845,6525,1.8335,0.16407),(1845,6535,1.8345,0.14506),(1845,6545,1.8354,0.12604),(1845,6555,1.8363,0.10705),(1845,6565,1.8369,0.088052),(1845,6575,1.8373,0.069057),(1845,6585,1.8378,0.050064),(1845,6595,1.5633,0.031071),(1845,6605,0.98516,0.012078),(1845,6615,0.40704,0.009865),(1845,6625,0.000643,0.009807),(1845,6635,0.000646,0.00975),(1845,6645,0.000648,0.009726),(1845,6655,0.000651,0.009717),(1845,6665,0.000653,0.009708),(1845,6675,0.000655,0.009699),(1845,6685,0.000658,0.009689),(1845,6695,0.00066,0.00968),(1845,6705,0.000662,0.009671),(1845,6715,0.000664,0.009661),(1845,6725,0.000666,0.009652),(1845,6735,0.000669,0.009643),(1845,6745,0.000671,0.009634),(1845,6755,0.000673,0.009625),(1845,6765,0.000675,0.009615),(1845,6775,0.000677,0.009606),(1845,6785,0.000679,0.009597),(1845,6795,0.000681,0.009588),(1845,6805,0.000682,0.009579),(1845,6815,0.000684,0.009569),(1845,6825,0.000686,0.00956),(1845,6835,0.000688,0.009551),(1845,6845,0.00069,0.009542),(1845,6855,0.000691,0.009533),(1845,6865,0.000693,0.009524),(1845,6875,0.000695,0.009515),(1845,6885,0.000696,0.009505),(1845,6895,0.000698,0.009496),(1845,6905,0.0007,0.009487),(1845,6915,0.000701,0.009478),(1845,6925,0.000703,0.009469),(1845,6935,0.000704,0.00946),(1845,6945,0.000706,0.009451),(1845,6955,0.000707,0.009442),(1845,6965,0.000709,0.009433),(1845,6975,0.00071,0.009424),(1845,6985,0.000712,0.009414),(1855,5,5.8e-05,3.6791),(1855,15,0.000173,3.6791),(1855,25,0.000289,3.6791),(1855,35,0.000404,3.6791),(1855,45,0.00052,3.6791),(1855,55,0.000636,3.6791),(1855,65,0.000751,3.6791),(1855,75,0.000867,3.6791),(1855,85,0.000983,3.6791),(1855,95,0.001099,3.6791),(1855,105,0.001216,3.6791),(1855,115,0.001332,3.6791),(1855,125,0.001449,3.679),(1855,135,0.001566,3.679),(1855,145,0.001683,3.679),(1855,155,0.001801,3.679),(1855,165,0.001918,3.679),(1855,175,0.002036,3.679),(1855,185,0.002154,3.679),(1855,195,0.002273,3.679),(1855,205,0.002392,3.679),(1855,215,0.002511,3.679),(1855,225,0.002631,3.679),(1855,235,0.002751,3.679),(1855,245,0.002872,3.6789),(1855,255,0.002992,3.6789),(1855,265,0.003114,3.6789),(1855,275,0.003236,3.6789),(1855,285,0.003358,3.6789),(1855,295,0.00348,3.6789),(1855,305,0.003604,3.6789),(1855,315,0.003728,3.6789),(1855,325,0.003852,3.6788),(1855,335,0.003976,3.6788),(1855,345,0.004102,3.6788),(1855,355,0.004228,3.6788),(1855,365,0.004355,3.6788),(1855,375,0.004482,3.6788),(1855,385,0.00461,3.6787),(1855,395,0.004739,3.6787),(1855,405,0.004869,3.6787),(1855,415,0.004998,3.6787),(1855,425,0.00513,3.6787),(1855,435,0.005262,3.6787),(1855,445,0.005394,3.6786),(1855,455,0.005526,3.6786),(1855,465,0.005661,3.6786),(1855,475,0.005797,3.6786),(1855,485,0.005932,3.6785),(1855,495,0.006067,3.6785),(1855,505,0.006206,3.6785),(1855,515,0.006345,3.6785),(1855,525,0.006484,3.6784),(1855,535,0.006623,3.6784),(1855,545,0.006766,3.6784),(1855,555,0.006909,3.6784),(1855,565,0.007051,3.6783),(1855,575,0.007195,3.6783),(1855,585,0.007342,3.6783),(1855,595,0.007489,3.6782),(1855,605,0.007636,3.6782),(1855,615,0.007783,3.6782),(1855,625,0.007935,3.6782),(1855,635,0.008086,3.6781),(1855,645,0.008238,3.6781),(1855,655,0.00839,3.678),(1855,665,0.008547,3.678),(1855,675,0.008703,3.678),(1855,685,0.00886,3.6779),(1855,695,0.009017,3.6779),(1855,705,0.009179,3.6779),(1855,715,0.009341,3.6778),(1855,725,0.009503,3.6778),(1855,735,0.009666,3.6778),(1855,745,0.009834,3.6777),(1855,755,0.010002,3.6777),(1855,765,0.010169,3.6776),(1855,775,0.010339,3.6776),(1855,785,0.010513,3.6775),(1855,795,0.010686,3.6775),(1855,805,0.01086,3.6774),(1855,815,0.011036,3.6774),(1855,825,0.011216,3.6773),(1855,835,0.011396,3.6773),(1855,845,0.011576,3.6772),(1855,855,0.011759,3.6772),(1855,865,0.011945,3.6771),(1855,875,0.012132,3.6771),(1855,885,0.012319,3.677),(1855,895,0.012509,3.677),(1855,905,0.012703,3.6769),(1855,915,0.012897,3.6769),(1855,925,0.013092,3.6768),(1855,935,0.013289,3.6768),(1855,945,0.013491,3.6767),(1855,955,0.013693,3.6766),(1855,965,0.013895,3.6766),(1855,975,0.014101,3.6765),(1855,985,0.014311,3.6764),(1855,995,0.014522,3.6764),(1855,1005,0.014732,3.6763),(1855,1015,0.014946,3.6762),(1855,1025,0.015165,3.6762),(1855,1035,0.015384,3.6761),(1855,1045,0.015603,3.676),(1855,1055,0.015827,3.6759),(1855,1065,0.016054,3.6759),(1855,1075,0.016282,3.6758),(1855,1085,0.01651,3.6757),(1855,1095,0.016744,3.6756),(1855,1105,0.016981,3.6756),(1855,1115,0.017218,3.6755),(1855,1125,0.017456,3.6754),(1855,1135,0.0177,3.6753),(1855,1145,0.017947,3.6752),(1855,1155,0.018195,3.6751),(1855,1165,0.018442,3.675),(1855,1175,0.018696,3.6749),(1855,1185,0.018954,3.6748),(1855,1195,0.019212,3.6747),(1855,1205,0.01947,3.6746),(1855,1215,0.019736,3.6745),(1855,1225,0.020004,3.6744),(1855,1235,0.020273,3.6743),(1855,1245,0.020542,3.6742),(1855,1255,0.020819,3.6741),(1855,1265,0.0211,3.674),(1855,1275,0.02138,3.6739),(1855,1285,0.02166,3.6738),(1855,1295,0.02195,3.6737),(1855,1305,0.022243,3.6735),(1855,1315,0.022535,3.6734),(1855,1325,0.022827,3.6733),(1855,1335,0.02313,3.6732),(1855,1345,0.023435,3.673),(1855,1355,0.02374,3.6729),(1855,1365,0.024045,3.6728),(1855,1375,0.024361,3.6726),(1855,1385,0.024679,3.6725),(1855,1395,0.024997,3.6723),(1855,1405,0.025315,3.6722),(1855,1415,0.025645,3.672),(1855,1425,0.025976,3.6719),(1855,1435,0.026308,3.6717),(1855,1445,0.026639,3.6716),(1855,1455,0.026983,3.6714),(1855,1465,0.027329,3.6713),(1855,1475,0.027674,3.6711),(1855,1485,0.028019,3.6709),(1855,1495,0.028379,3.6708),(1855,1505,0.028738,3.6706),(1855,1515,0.029098,3.6704),(1855,1525,0.029458,3.6702),(1855,1535,0.029832,3.67),(1855,1545,0.030207,3.6699),(1855,1555,0.030581,3.6697),(1855,1565,0.030957,3.6695),(1855,1575,0.031347,3.6693),(1855,1585,0.031736,3.6691),(1855,1595,0.032126,3.6688),(1855,1605,0.032518,3.6686),(1855,1615,0.032923,3.6684),(1855,1625,0.033329,3.6682),(1855,1635,0.033734,3.668),(1855,1645,0.034142,3.6677),(1855,1655,0.034563,3.6675),(1855,1665,0.034985,3.6673),(1855,1675,0.035406,3.667),(1855,1685,0.035831,3.6668),(1855,1695,0.036269,3.6665),(1855,1705,0.036707,3.6663),(1855,1715,0.037145,3.666),(1855,1725,0.037586,3.6658),(1855,1735,0.038041,3.6655),(1855,1745,0.038496,3.6652),(1855,1755,0.03895,3.6649),(1855,1765,0.03941,3.6646),(1855,1775,0.039881,3.6644),(1855,1785,0.040353,3.6641),(1855,1795,0.040824,3.6638),(1855,1805,0.041301,3.6634),(1855,1815,0.04179,3.6631),(1855,1825,0.042278,3.6628),(1855,1835,0.042767,3.6625),(1855,1845,0.043261,3.6622),(1855,1855,0.043767,3.6618),(1855,1865,0.044273,3.6615),(1855,1875,0.044779,3.6611),(1855,1885,0.045291,3.6608),(1855,1895,0.045815,3.6604),(1855,1905,0.046338,3.6601),(1855,1915,0.046861,3.6597),(1855,1925,0.047392,3.6593),(1855,1935,0.047933,3.6589),(1855,1945,0.048473,3.6585),(1855,1955,0.049014,3.6581),(1855,1965,0.049563,3.6577),(1855,1975,0.05012,3.6573),(1855,1985,0.050678,3.6569),(1855,1995,0.051236,3.6564),(1855,2005,0.051802,3.656),(1855,2015,0.052377,3.6555),(1855,2025,0.052951,3.6551),(1855,2035,0.053526,3.6546),(1855,2045,0.054109,3.6541),(1855,2055,0.0547,3.6537),(1855,2065,0.055291,3.6532),(1855,2075,0.055883,3.6527),(1855,2085,0.056483,3.6522),(1855,2095,0.057091,3.6517),(1855,2105,0.057698,3.6511),(1855,2115,0.058305,3.6506),(1855,2125,0.058923,3.6501),(1855,2135,0.059546,3.6495),(1855,2145,0.060169,3.649),(1855,2155,0.060792,3.6484),(1855,2165,0.061425,3.6478),(1855,2175,0.062063,3.6472),(1855,2185,0.062701,3.6466),(1855,2195,0.063339,3.646),(1855,2205,0.063986,3.6454),(1855,2215,0.064638,3.6448),(1855,2225,0.06529,3.6441),(1855,2235,0.065942,3.6435),(1855,2245,0.066603,3.6428),(1855,2255,0.067268,3.6422),(1855,2265,0.067933,3.6415),(1855,2275,0.068598,3.6408),(1855,2285,0.069272,3.6401),(1855,2295,0.069949,3.6394),(1855,2305,0.070625,3.6387),(1855,2315,0.071302,3.6379),(1855,2325,0.071987,3.6372),(1855,2335,0.072674,3.6364),(1855,2345,0.073361,3.6357),(1855,2355,0.074049,3.6349),(1855,2365,0.074743,3.6341),(1855,2375,0.07544,3.6333),(1855,2385,0.076136,3.6325),(1855,2395,0.076832,3.6316),(1855,2405,0.077535,3.6308),(1855,2415,0.078238,3.63),(1855,2425,0.078941,3.6291),(1855,2435,0.079645,3.6282),(1855,2445,0.080353,3.6273),(1855,2455,0.081062,3.6264),(1855,2465,0.08177,3.6255),(1855,2475,0.082479,3.6246),(1855,2485,0.08319,3.6236),(1855,2495,0.083902,3.6227),(1855,2505,0.084614,3.6217),(1855,2515,0.085325,3.6207),(1855,2525,0.086038,3.6197),(1855,2535,0.08675,3.6187),(1855,2545,0.087463,3.6177),(1855,2555,0.088175,3.6167),(1855,2565,0.088886,3.6156),(1855,2575,0.089597,3.6146),(1855,2585,0.090308,3.6135),(1855,2595,0.091019,3.6124),(1855,2605,0.091725,3.6113),(1855,2615,0.092432,3.6102),(1855,2625,0.093138,3.609),(1855,2635,0.093844,3.6079),(1855,2645,0.094543,3.6067),(1855,2655,0.095242,3.6056),(1855,2665,0.095942,3.6044),(1855,2675,0.096639,3.6032),(1855,2685,0.097328,3.6019),(1855,2695,0.098017,3.6007),(1855,2705,0.098707,3.5995),(1855,2715,0.099393,3.5982),(1855,2725,0.10007,3.5969),(1855,2735,0.10074,3.5957),(1855,2745,0.10142,3.5943),(1855,2755,0.10209,3.593),(1855,2765,0.10275,3.5917),(1855,2775,0.10341,3.5903),(1855,2785,0.10407,3.589),(1855,2795,0.10472,3.5876),(1855,2805,0.10536,3.5862),(1855,2815,0.106,3.5848),(1855,2825,0.10664,3.5834),(1855,2835,0.10727,3.5819),(1855,2845,0.10788,3.5805),(1855,2855,0.1085,3.579),(1855,2865,0.10911,3.5776),(1855,2875,0.10971,3.5761),(1855,2885,0.1103,3.5746),(1855,2895,0.11089,3.5731),(1855,2905,0.11147,3.5715),(1855,2915,0.11205,3.57),(1855,2925,0.1126,3.5684),(1855,2935,0.11316,3.5668),(1855,2945,0.11372,3.5652),(1855,2955,0.11425,3.5636),(1855,2965,0.11477,3.562),(1855,2975,0.11529,3.5604),(1855,2985,0.11582,3.5587),(1855,2995,0.11632,3.5571),(1855,3005,0.1168,3.5554),(1855,3015,0.11728,3.5538),(1855,3025,0.11776,3.5521),(1855,3035,0.11822,3.5504),(1855,3045,0.11866,3.5486),(1855,3055,0.11909,3.5469),(1855,3065,0.11953,3.5452),(1855,3075,0.11994,3.5434),(1855,3085,0.12034,3.5417),(1855,3095,0.12073,3.5399),(1855,3105,0.12112,3.5381),(1855,3115,0.12148,3.5363),(1855,3125,0.12182,3.5345),(1855,3135,0.12216,3.5327),(1855,3145,0.1225,3.5308),(1855,3155,0.12281,3.529),(1855,3165,0.12309,3.5271),(1855,3175,0.12338,3.5253),(1855,3185,0.12367,3.5234),(1855,3195,0.12392,3.5215),(1855,3205,0.12414,3.5196),(1855,3215,0.12437,3.5177),(1855,3225,0.1246,3.5158),(1855,3235,0.12479,3.5139),(1855,3245,0.12496,3.512),(1855,3255,0.12513,3.5101),(1855,3265,0.1253,3.5081),(1855,3275,0.12542,3.5062),(1855,3285,0.12552,3.5042),(1855,3295,0.12563,3.5023),(1855,3305,0.12573,3.5003),(1855,3315,0.12578,3.4983),(1855,3325,0.12582,3.4963),(1855,3335,0.12586,3.4943),(1855,3345,0.1259,3.4924),(1855,3355,0.12588,3.4904),(1855,3365,0.12584,3.4884),(1855,3375,0.12581,3.4864),(1855,3385,0.12578,3.4843),(1855,3395,0.12569,3.4823),(1855,3405,0.12559,3.4803),(1855,3415,0.12548,3.4783),(1855,3425,0.12538,3.4763),(1855,3435,0.12521,3.4742),(1855,3445,0.12504,3.4722),(1855,3455,0.12486,3.4702),(1855,3465,0.12468,3.4682),(1855,3475,0.12444,3.4661),(1855,3485,0.12419,3.4641),(1855,3495,0.12393,3.4621),(1855,3505,0.12368,3.46),(1855,3515,0.12336,3.458),(1855,3525,0.12303,3.4559),(1855,3535,0.1227,3.4539),(1855,3545,0.12237,3.4519),(1855,3555,0.12197,3.4498),(1855,3565,0.12157,3.4478),(1855,3575,0.12116,3.4458),(1855,3585,0.12075,3.4438),(1855,3595,0.12027,3.4417),(1855,3605,0.11979,3.4397),(1855,3615,0.11931,3.4377),(1855,3625,0.11882,3.4357),(1855,3635,0.11826,3.4337),(1855,3645,0.1177,3.4317),(1855,3655,0.11714,3.4297),(1855,3665,0.11657,3.4277),(1855,3675,0.11593,3.4257),(1855,3685,0.1153,3.4237),(1855,3695,0.11466,3.4217),(1855,3705,0.11401,3.4198),(1855,3715,0.1133,3.4178),(1855,3725,0.11259,3.4158),(1855,3735,0.11188,3.4139),(1855,3745,0.11115,3.4119),(1855,3755,0.11036,3.41),(1855,3765,0.10958,3.4081),(1855,3775,0.10879,3.4061),(1855,3785,0.10799,3.4042),(1855,3795,0.10713,3.4023),(1855,3805,0.10628,3.4004),(1855,3815,0.10542,3.3986),(1855,3825,0.10454,3.3967),(1855,3835,0.10361,3.3948),(1855,3845,0.10269,3.393),(1855,3855,0.10176,3.3911),(1855,3865,0.10081,3.3893),(1855,3875,0.099825,3.3875),(1855,3885,0.098836,3.3857),(1855,3895,0.097846,3.3839),(1855,3905,0.11313,3.3821),(1855,3915,0.15271,3.3803),(1855,3925,0.1923,3.3775),(1855,3935,0.23189,3.3731),(1855,3945,0.27391,3.3687),(1855,3955,0.31901,3.3643),(1855,3965,0.36412,3.3587),(1855,3975,0.40923,3.3515),(1855,3985,0.43543,3.3443),(1855,3995,0.44117,3.3371),(1855,4005,0.44692,3.3299),(1855,4015,0.45266,3.3225),(1855,4025,0.4589,3.3151),(1855,4035,0.46518,3.3077),(1855,4045,0.47147,3.3002),(1855,4055,0.47744,3.2927),(1855,4065,0.48329,3.2851),(1855,4075,0.48914,3.2775),(1855,4085,0.49428,3.2698),(1855,4095,0.49886,3.2622),(1855,4105,0.50343,3.2544),(1855,4115,0.48894,3.2467),(1855,4125,0.44283,3.239),(1855,4135,0.39673,3.2331),(1855,4145,0.3502,3.2278),(1855,4155,0.30195,3.2224),(1855,4165,0.2537,3.2184),(1855,4175,0.20838,3.2153),(1855,4185,0.30778,3.2123),(1855,4195,0.40719,3.207),(1855,4205,0.50659,3.1988),(1855,4215,0.50493,3.1906),(1855,4225,0.48425,3.1825),(1855,4235,0.46356,3.1746),(1855,4245,0.42982,3.1666),(1855,4255,0.38946,3.1587),(1855,4265,0.3491,3.1524),(1855,4275,0.29181,3.1461),(1855,4285,0.21655,3.1397),(1855,4295,0.1413,3.1375),(1855,4305,0.12978,3.1357),(1855,4315,0.26219,3.134),(1855,4325,0.39459,3.127),(1855,4335,0.51293,3.1181),(1855,4345,0.53608,3.1091),(1855,4355,0.55923,3.0995),(1855,4365,0.58238,3.0894),(1855,4375,0.58988,3.0792),(1855,4385,0.59656,3.0688),(1855,4395,0.60324,3.0579),(1855,4405,0.52706,3.0469),(1855,4415,0.42646,3.0369),(1855,4425,0.32585,3.0309),(1855,4435,0.28656,3.0249),(1855,4445,0.28917,3.019),(1855,4455,0.29177,3.0137),(1855,4465,0.3487,3.0084),(1855,4475,0.48195,3.0031),(1855,4485,0.61519,2.9932),(1855,4495,0.72063,2.9823),(1855,4505,0.7369,2.9715),(1855,4515,0.75316,2.9608),(1855,4525,0.76765,2.9501),(1855,4535,0.75421,2.9395),(1855,4545,0.74077,2.9294),(1855,4555,0.72733,2.92),(1855,4565,0.54399,2.9105),(1855,4575,0.33776,2.9034),(1855,4585,0.13152,2.9019),(1855,4595,0.14134,2.9004),(1855,4605,0.24246,2.8982),(1855,4615,0.34357,2.8904),(1855,4625,0.43233,2.8825),(1855,4635,0.5099,2.8747),(1855,4645,0.58747,2.8637),(1855,4655,0.65553,2.8525),(1855,4665,0.70564,2.8412),(1855,4675,0.75576,2.8297),(1855,4685,0.7698,2.8182),(1855,4695,0.6056,2.8066),(1855,4705,0.4414,2.7997),(1855,4715,0.2772,2.7962),(1855,4725,0.37462,2.7926),(1855,4735,0.47466,2.7875),(1855,4745,0.5747,2.78),(1855,4755,0.68743,2.7725),(1855,4765,0.8031,2.7641),(1855,4775,0.91877,2.7524),(1855,4785,0.97158,2.7407),(1855,4795,0.98803,2.729),(1855,4805,1.0045,2.7171),(1855,4815,0.9677,2.7052),(1855,4825,0.86723,2.6933),(1855,4835,0.76677,2.6848),(1855,4845,0.66056,2.6767),(1855,4855,0.53938,2.6687),(1855,4865,0.41819,2.6632),(1855,4875,0.33416,2.6588),(1855,4885,0.58813,2.6544),(1855,4895,0.8421,2.6454),(1855,4905,1.0961,2.6318),(1855,4915,1.0978,2.6182),(1855,4925,1.0779,2.6048),(1855,4935,1.0579,2.5917),(1855,4945,0.97557,2.5786),(1855,4955,0.87156,2.5659),(1855,4965,0.76755,2.5559),(1855,4975,0.60488,2.5458),(1855,4985,0.39692,2.5358),(1855,4995,0.18896,2.5345),(1855,5005,0.16949,2.5335),(1855,5015,0.44969,2.5325),(1855,5025,0.7299,2.5245),(1855,5035,0.97413,2.5147),(1855,5045,1.0813,2.5048),(1855,5055,1.1886,2.4934),(1855,5065,1.293,2.4811),(1855,5075,1.3078,2.4687),(1855,5085,1.3225,2.4565),(1855,5095,1.3373,2.4445),(1855,5105,1.1733,2.4325),(1855,5115,0.97808,2.422),(1855,5125,0.78287,2.4157),(1855,5135,0.67833,2.4095),(1855,5145,0.61779,2.4033),(1855,5155,0.55725,2.3974),(1855,5165,0.66164,2.3915),(1855,5175,0.93423,2.3856),(1855,5185,1.2068,2.3724),(1855,5195,1.3981,2.3583),(1855,5205,1.4139,2.3442),(1855,5215,1.4298,2.3305),(1855,5225,1.4378,2.3168),(1855,5235,1.3974,2.3031),(1855,5245,1.357,2.2905),(1855,5255,1.3165,2.2789),(1855,5265,0.92271,2.2672),(1855,5275,0.51429,2.2597),(1855,5285,0.10587,2.2593),(1855,5295,0.25087,2.2589),(1855,5305,0.54999,2.256),(1855,5315,0.84911,2.243),(1855,5325,1.0472,2.2301),(1855,5335,1.179,2.2171),(1855,5345,1.3108,2.2028),(1855,5355,1.4024,2.1885),(1855,5365,1.4396,2.1742),(1855,5375,1.4768,2.1605),(1855,5385,1.4193,2.147),(1855,5395,1.0735,2.1335),(1855,5405,0.72766,2.1265),(1855,5415,0.41442,2.123),(1855,5425,0.53861,2.1195),(1855,5435,0.6628,2.1112),(1855,5445,0.78699,2.0977),(1855,5455,0.94929,2.0842),(1855,5465,1.1162,2.0683),(1855,5475,1.2832,2.047),(1855,5485,1.3486,2.0256),(1855,5495,1.3731,2.0043),(1855,5505,1.3975,1.9832),(1855,5515,1.4224,1.9621),(1855,5525,1.4475,1.941),(1855,5535,1.4726,1.9202),(1855,5545,1.4973,1.8995),(1855,5555,1.5214,1.8787),(1855,5565,1.5454,1.8582),(1855,5575,1.5692,1.8378),(1855,5585,1.5919,1.8173),(1855,5595,1.6146,1.7971),(1855,5605,1.6373,1.7771),(1855,5615,1.6586,1.757),(1855,5625,1.6799,1.7372),(1855,5635,1.7012,1.7176),(1855,5645,1.7213,1.6981),(1855,5655,1.7413,1.6786),(1855,5665,1.7612,1.6594),(1855,5675,1.7802,1.6402),(1855,5685,1.7988,1.621),(1855,5695,1.8174,1.6022),(1855,5705,1.8354,1.5834),(1855,5715,1.8527,1.5646),(1855,5725,1.87,1.5462),(1855,5735,1.887,1.5278),(1855,5745,1.9031,1.5094),(1855,5755,1.9193,1.4913),(1855,5765,1.9353,1.4733),(1855,5775,1.9503,1.4553),(1855,5785,1.9653,1.4374),(1855,5795,1.9803,1.4197),(1855,5805,1.9943,1.4021),(1855,5815,2.0083,1.3845),(1855,5825,2.0223,1.3671),(1855,5835,2.0355,1.3498),(1855,5845,2.0485,1.3324),(1855,5855,2.0615,1.3154),(1855,5865,2.074,1.2983),(1855,5875,2.0862,1.2812),(1855,5885,2.0983,1.2644),(1855,5895,2.1101,1.2476),(1855,5905,2.1214,1.2308),(1855,5915,2.1326,1.2142),(1855,5925,2.1438,1.1976),(1855,5935,2.1543,1.1811),(1855,5945,2.1649,1.1647),(1855,5955,2.1754,1.1484),(1855,5965,2.1855,1.132),(1855,5975,2.1956,1.1158),(1855,5985,2.2057,1.0997),(1855,5995,1.6871,1.0836),(1855,6005,1.0835,1.0713),(1855,6015,0.47979,1.0693),(1855,6025,0.49351,1.0672),(1855,6035,0.79358,1.064),(1855,6045,1.0936,1.0503),(1855,6055,1.3095,1.0366),(1855,6065,1.4428,1.0228),(1855,6075,1.5761,1.005),(1855,6085,1.6679,0.98675),(1855,6095,1.6745,0.96851),(1855,6105,1.681,0.95015),(1855,6115,1.6875,0.93174),(1855,6125,1.6937,0.91334),(1855,6135,1.7,0.89492),(1855,6145,1.7062,0.8765),(1855,6155,1.712,0.85807),(1855,6165,1.7178,0.83961),(1855,6175,1.7236,0.82109),(1855,6185,1.7291,0.80257),(1855,6195,1.7344,0.78403),(1855,6205,1.7398,0.76544),(1855,6215,1.745,0.74684),(1855,6225,1.75,0.72825),(1855,6235,1.7549,0.70965),(1855,6245,1.7598,0.69105),(1855,6255,1.7643,0.67246),(1855,6265,1.7689,0.65376),(1855,6275,1.7734,0.63504),(1855,6285,1.7776,0.61632),(1855,6295,1.7818,0.59757),(1855,6305,1.786,0.57879),(1855,6315,1.7898,0.56002),(1855,6325,1.7936,0.54123),(1855,6335,1.7974,0.52244),(1855,6345,1.8008,0.50364),(1855,6355,1.8041,0.48483),(1855,6365,1.8075,0.46598),(1855,6375,1.8105,0.44713),(1855,6385,1.8135,0.42828),(1855,6395,1.8164,0.40942),(1855,6405,1.8191,0.39055),(1855,6415,1.8217,0.37169),(1855,6425,1.8242,0.35284),(1855,6435,1.8266,0.33398),(1855,6445,1.8288,0.31512),(1855,6455,1.8309,0.29625),(1855,6465,1.833,0.27737),(1855,6475,1.8347,0.2585),(1855,6485,1.8365,0.23958),(1855,6495,1.8382,0.22063),(1855,6505,1.8395,0.20168),(1855,6515,1.8409,0.18272),(1855,6525,1.8422,0.16374),(1855,6535,1.8432,0.14476),(1855,6545,1.8441,0.12579),(1855,6555,1.845,0.10684),(1855,6565,1.8456,0.087885),(1855,6575,1.846,0.068932),(1855,6585,1.8465,0.049983),(1855,6595,1.5707,0.031033),(1855,6605,0.98983,0.012084),(1855,6615,0.40897,0.009873),(1855,6625,0.000649,0.009813),(1855,6635,0.000651,0.009753),(1855,6645,0.000654,0.009729),(1855,6655,0.000656,0.00972),(1855,6665,0.000658,0.00971),(1855,6675,0.000661,0.009701),(1855,6685,0.000663,0.009692),(1855,6695,0.000665,0.009682),(1855,6705,0.000667,0.009673),(1855,6715,0.00067,0.009664),(1855,6725,0.000672,0.009654),(1855,6735,0.000674,0.009645),(1855,6745,0.000676,0.009636),(1855,6755,0.000678,0.009627),(1855,6765,0.00068,0.009617),(1855,6775,0.000682,0.009608),(1855,6785,0.000684,0.009599),(1855,6795,0.000686,0.00959),(1855,6805,0.000688,0.00958),(1855,6815,0.00069,0.009571),(1855,6825,0.000691,0.009562),(1855,6835,0.000693,0.009553),(1855,6845,0.000695,0.009544),(1855,6855,0.000697,0.009534),(1855,6865,0.000698,0.009525),(1855,6875,0.0007,0.009516),(1855,6885,0.000702,0.009507),(1855,6895,0.000703,0.009498),(1855,6905,0.000705,0.009489),(1855,6915,0.000706,0.00948),(1855,6925,0.000708,0.00947),(1855,6935,0.00071,0.009461),(1855,6945,0.000711,0.009452),(1855,6955,0.000712,0.009443),(1855,6965,0.000714,0.009434),(1855,6975,0.000715,0.009425),(1855,6985,0.000717,0.009416),(1865,5,5.8e-05,3.6792),(1865,15,0.000173,3.6792),(1865,25,0.000288,3.6792),(1865,35,0.000404,3.6792),(1865,45,0.000519,3.6792),(1865,55,0.000635,3.6792),(1865,65,0.00075,3.6792),(1865,75,0.000866,3.6792),(1865,85,0.000982,3.6792),(1865,95,0.001097,3.6792),(1865,105,0.001213,3.6792),(1865,115,0.00133,3.6792),(1865,125,0.001446,3.6792),(1865,135,0.001563,3.6792),(1865,145,0.00168,3.6792),(1865,155,0.001797,3.6791),(1865,165,0.001915,3.6791),(1865,175,0.002032,3.6791),(1865,185,0.00215,3.6791),(1865,195,0.002269,3.6791),(1865,205,0.002388,3.6791),(1865,215,0.002506,3.6791),(1865,225,0.002626,3.6791),(1865,235,0.002746,3.6791),(1865,245,0.002866,3.6791),(1865,255,0.002986,3.6791),(1865,265,0.003108,3.679),(1865,275,0.00323,3.679),(1865,285,0.003352,3.679),(1865,295,0.003474,3.679),(1865,305,0.003597,3.679),(1865,315,0.003721,3.679),(1865,325,0.003845,3.679),(1865,335,0.003969,3.679),(1865,345,0.004095,3.6789),(1865,355,0.004221,3.6789),(1865,365,0.004347,3.6789),(1865,375,0.004474,3.6789),(1865,385,0.004602,3.6789),(1865,395,0.004731,3.6789),(1865,405,0.00486,3.6788),(1865,415,0.004989,3.6788),(1865,425,0.005121,3.6788),(1865,435,0.005253,3.6788),(1865,445,0.005385,3.6788),(1865,455,0.005516,3.6787),(1865,465,0.005652,3.6787),(1865,475,0.005787,3.6787),(1865,485,0.005922,3.6787),(1865,495,0.006057,3.6787),(1865,505,0.006196,3.6786),(1865,515,0.006335,3.6786),(1865,525,0.006473,3.6786),(1865,535,0.006612,3.6786),(1865,545,0.006755,3.6785),(1865,555,0.006897,3.6785),(1865,565,0.00704,3.6785),(1865,575,0.007183,3.6784),(1865,585,0.00733,3.6784),(1865,595,0.007477,3.6784),(1865,605,0.007624,3.6784),(1865,615,0.007771,3.6783),(1865,625,0.007923,3.6783),(1865,635,0.008074,3.6783),(1865,645,0.008225,3.6782),(1865,655,0.008377,3.6782),(1865,665,0.008534,3.6782),(1865,675,0.00869,3.6781),(1865,685,0.008847,3.6781),(1865,695,0.009004,3.6781),(1865,705,0.009166,3.678),(1865,715,0.009328,3.678),(1865,725,0.009489,3.678),(1865,735,0.009652,3.6779),(1865,745,0.00982,3.6779),(1865,755,0.009988,3.6778),(1865,765,0.010155,3.6778),(1865,775,0.010325,3.6778),(1865,785,0.010498,3.6777),(1865,795,0.010672,3.6777),(1865,805,0.010846,3.6776),(1865,815,0.011021,3.6776),(1865,825,0.011201,3.6775),(1865,835,0.011382,3.6775),(1865,845,0.011562,3.6774),(1865,855,0.011744,3.6774),(1865,865,0.011931,3.6773),(1865,875,0.012118,3.6773),(1865,885,0.012305,3.6772),(1865,895,0.012494,3.6772),(1865,905,0.012689,3.6771),(1865,915,0.012883,3.6771),(1865,925,0.013077,3.677),(1865,935,0.013275,3.677),(1865,945,0.013477,3.6769),(1865,955,0.013679,3.6768),(1865,965,0.013881,3.6768),(1865,975,0.014087,3.6767),(1865,985,0.014297,3.6766),(1865,995,0.014508,3.6766),(1865,1005,0.014718,3.6765),(1865,1015,0.014933,3.6765),(1865,1025,0.015152,3.6764),(1865,1035,0.015371,3.6763),(1865,1045,0.015589,3.6762),(1865,1055,0.015813,3.6762),(1865,1065,0.016042,3.6761),(1865,1075,0.01627,3.676),(1865,1085,0.016498,3.6759),(1865,1095,0.016731,3.6759),(1865,1105,0.016969,3.6758),(1865,1115,0.017207,3.6757),(1865,1125,0.017444,3.6756),(1865,1135,0.017689,3.6755),(1865,1145,0.017936,3.6755),(1865,1155,0.018184,3.6754),(1865,1165,0.018432,3.6753),(1865,1175,0.018687,3.6752),(1865,1185,0.018945,3.6751),(1865,1195,0.019204,3.675),(1865,1205,0.019462,3.6749),(1865,1215,0.019728,3.6748),(1865,1225,0.019997,3.6747),(1865,1235,0.020266,3.6746),(1865,1245,0.020536,3.6745),(1865,1255,0.020814,3.6744),(1865,1265,0.021095,3.6743),(1865,1275,0.021375,3.6742),(1865,1285,0.021656,3.6741),(1865,1295,0.021947,3.6739),(1865,1305,0.02224,3.673828),(1865,1315,0.022533,3.6737),(1865,1325,0.022826,3.6736),(1865,1335,0.02313,3.6735),(1865,1345,0.023435,3.6733),(1865,1355,0.023741,3.6732),(1865,1365,0.024047,3.6731),(1865,1375,0.024364,3.6729),(1865,1385,0.024683,3.6728),(1865,1395,0.025002,3.6727),(1865,1405,0.02532,3.6725),(1865,1415,0.025652,3.6724),(1865,1425,0.025984,3.6722),(1865,1435,0.026316,3.6721),(1865,1445,0.026649,3.6719),(1865,1455,0.026994,3.6718),(1865,1465,0.027341,3.6716),(1865,1475,0.027687,3.6715),(1865,1485,0.028034,3.6713),(1865,1495,0.028394,3.6711),(1865,1505,0.028755,3.6709),(1865,1515,0.029116,3.6708),(1865,1525,0.029478,3.6706),(1865,1535,0.029854,3.6704),(1865,1545,0.03023,3.6702),(1865,1555,0.030606,3.67),(1865,1565,0.030983,3.6698),(1865,1575,0.031374,3.6696),(1865,1585,0.031766,3.6695),(1865,1595,0.032157,3.6692),(1865,1605,0.03255,3.669),(1865,1615,0.032958,3.6688),(1865,1625,0.033365,3.6686),(1865,1635,0.033772,3.6684),(1865,1645,0.034182,3.6682),(1865,1655,0.034605,3.6679),(1865,1665,0.035029,3.6677),(1865,1675,0.035453,3.6675),(1865,1685,0.035879,3.6672),(1865,1695,0.036319,3.667),(1865,1705,0.03676,3.6667),(1865,1715,0.0372,3.6665),(1865,1725,0.037644,3.6662),(1865,1735,0.038101,3.6659),(1865,1745,0.038558,3.6657),(1865,1755,0.039016,3.6654),(1865,1765,0.039477,3.6651),(1865,1775,0.039952,3.6648),(1865,1785,0.040426,3.6645),(1865,1795,0.0409,3.6642),(1865,1805,0.04138,3.6639),(1865,1815,0.041871,3.6636),(1865,1825,0.042363,3.6633),(1865,1835,0.042855,3.663),(1865,1845,0.043352,3.6627),(1865,1855,0.043862,3.6623),(1865,1865,0.044371,3.662),(1865,1875,0.04488,3.6616),(1865,1885,0.045396,3.6613),(1865,1895,0.045923,3.6609),(1865,1905,0.046449,3.6606),(1865,1915,0.046976,3.6602),(1865,1925,0.047511,3.6598),(1865,1935,0.048055,3.6594),(1865,1945,0.0486,3.6591),(1865,1955,0.049144,3.6587),(1865,1965,0.049697,3.6582),(1865,1975,0.050259,3.6578),(1865,1985,0.050821,3.6574),(1865,1995,0.051383,3.657),(1865,2005,0.051954,3.6565),(1865,2015,0.052533,3.6561),(1865,2025,0.053112,3.6557),(1865,2035,0.053691,3.6552),(1865,2045,0.054279,3.6547),(1865,2055,0.054875,3.6543),(1865,2065,0.055471,3.6538),(1865,2075,0.056067,3.6533),(1865,2085,0.056673,3.6528),(1865,2095,0.057285,3.6523),(1865,2105,0.057898,3.6518),(1865,2115,0.058511,3.6512),(1865,2125,0.059133,3.6507),(1865,2135,0.059762,3.6502),(1865,2145,0.060391,3.6496),(1865,2155,0.061019,3.649),(1865,2165,0.061658,3.6485),(1865,2175,0.062302,3.6479),(1865,2185,0.062946,3.6473),(1865,2195,0.06359,3.6467),(1865,2205,0.064244,3.6461),(1865,2215,0.064902,3.6454),(1865,2225,0.06556,3.6448),(1865,2235,0.066218,3.6442),(1865,2245,0.066886,3.6435),(1865,2255,0.067558,3.6429),(1865,2265,0.068229,3.6422),(1865,2275,0.068901,3.6415),(1865,2285,0.069582,3.6408),(1865,2295,0.070265,3.6401),(1865,2305,0.070949,3.6394),(1865,2315,0.071633,3.6386),(1865,2325,0.072325,3.6379),(1865,2335,0.07302,3.6371),(1865,2345,0.073714,3.6364),(1865,2355,0.074409,3.6356),(1865,2365,0.075112,3.6348),(1865,2375,0.075815,3.634),(1865,2385,0.076519,3.6332),(1865,2395,0.077223,3.6324),(1865,2405,0.077934,3.6315),(1865,2415,0.078646,3.6307),(1865,2425,0.079357,3.6298),(1865,2435,0.080069,3.6289),(1865,2445,0.080785,3.628),(1865,2455,0.081502,3.6272),(1865,2465,0.082219,3.6262),(1865,2475,0.082936,3.6253),(1865,2485,0.083657,3.6244),(1865,2495,0.084377,3.6234),(1865,2505,0.085098,3.6224),(1865,2515,0.085818,3.6214),(1865,2525,0.08654,3.6205),(1865,2535,0.087261,3.6195),(1865,2545,0.087983,3.6184),(1865,2555,0.088704,3.6174),(1865,2565,0.089425,3.6163),(1865,2575,0.090145,3.6153),(1865,2585,0.090865,3.6142),(1865,2595,0.091585,3.6131),(1865,2605,0.092301,3.612),(1865,2615,0.093017,3.6109),(1865,2625,0.093733,3.6098),(1865,2635,0.094448,3.6086),(1865,2645,0.095158,3.6074),(1865,2655,0.095867,3.6063),(1865,2665,0.096576,3.6051),(1865,2675,0.097283,3.6039),(1865,2685,0.097982,3.6027),(1865,2695,0.098681,3.6014),(1865,2705,0.09938,3.6002),(1865,2715,0.10008,3.5989),(1865,2725,0.10076,3.5976),(1865,2735,0.10145,3.5963),(1865,2745,0.10213,3.595),(1865,2755,0.10281,3.5937),(1865,2765,0.10348,3.5924),(1865,2775,0.10415,3.591),(1865,2785,0.10482,3.5896),(1865,2795,0.10548,3.5882),(1865,2805,0.10613,3.5869),(1865,2815,0.10678,3.5855),(1865,2825,0.10743,3.584),(1865,2835,0.10807,3.5826),(1865,2845,0.1087,3.5811),(1865,2855,0.10932,3.5797),(1865,2865,0.10994,3.5782),(1865,2875,0.11056,3.5767),(1865,2885,0.11116,3.5752),(1865,2895,0.11175,3.5736),(1865,2905,0.11235,3.5721),(1865,2915,0.11293,3.5705),(1865,2925,0.1135,3.569),(1865,2935,0.11406,3.5674),(1865,2945,0.11463,3.5658),(1865,2955,0.11518,3.5642),(1865,2965,0.11571,3.5626),(1865,2975,0.11624,3.5609),(1865,2985,0.11677,3.5593),(1865,2995,0.11728,3.5576),(1865,3005,0.11777,3.5559),(1865,3015,0.11826,3.5542),(1865,3025,0.11875,3.5525),(1865,3035,0.11922,3.5508),(1865,3045,0.11967,3.5491),(1865,3055,0.12011,3.5474),(1865,3065,0.12056,3.5456),(1865,3075,0.12098,3.5438),(1865,3085,0.12138,3.5421),(1865,3095,0.12178,3.5403),(1865,3105,0.12218,3.5385),(1865,3115,0.12255,3.5367),(1865,3125,0.1229,3.5348),(1865,3135,0.12325,3.533),(1865,3145,0.1236,3.5312),(1865,3155,0.12391,3.5293),(1865,3165,0.1242,3.5274),(1865,3175,0.1245,3.5256),(1865,3185,0.12479,3.5237),(1865,3195,0.12505,3.5218),(1865,3205,0.12529,3.5199),(1865,3215,0.12552,3.518),(1865,3225,0.12576,3.516),(1865,3235,0.12595,3.5141),(1865,3245,0.12613,3.5122),(1865,3255,0.1263,3.5102),(1865,3265,0.12648,3.5083),(1865,3275,0.1266,3.5063),(1865,3285,0.12671,3.5043),(1865,3295,0.12682,3.5024),(1865,3305,0.12694,3.5004),(1865,3315,0.12699,3.4984),(1865,3325,0.12704,3.4964),(1865,3335,0.12708,3.4944),(1865,3345,0.12712,3.4924),(1865,3355,0.12711,3.4904),(1865,3365,0.12708,3.4883),(1865,3375,0.12705,3.4863),(1865,3385,0.12703,3.4843),(1865,3395,0.12694,3.4823),(1865,3405,0.12684,3.4802),(1865,3415,0.12674,3.4782),(1865,3425,0.12664,3.4761),(1865,3435,0.12647,3.4741),(1865,3445,0.1263,3.4721),(1865,3455,0.12613,3.47),(1865,3465,0.12595,3.4679),(1865,3475,0.12571,3.4659),(1865,3485,0.12546,3.4638),(1865,3495,0.12521,3.4618),(1865,3505,0.12496,3.4597),(1865,3515,0.12464,3.4577),(1865,3525,0.12431,3.4556),(1865,3535,0.12399,3.4536),(1865,3545,0.12366,3.4515),(1865,3555,0.12325,3.4495),(1865,3565,0.12285,3.4474),(1865,3575,0.12245,3.4454),(1865,3585,0.12204,3.4433),(1865,3595,0.12156,3.4413),(1865,3605,0.12107,3.4392),(1865,3615,0.12059,3.4372),(1865,3625,0.1201,3.4352),(1865,3635,0.11954,3.4331),(1865,3645,0.11898,3.4311),(1865,3655,0.11842,3.4291),(1865,3665,0.11785,3.4271),(1865,3675,0.11721,3.4251),(1865,3685,0.11658,3.4231),(1865,3695,0.11594,3.4211),(1865,3705,0.11529,3.4191),(1865,3715,0.11457,3.4171),(1865,3725,0.11386,3.4151),(1865,3735,0.11314,3.4131),(1865,3745,0.11241,3.4112),(1865,3755,0.11162,3.4092),(1865,3765,0.11084,3.4073),(1865,3775,0.11005,3.4053),(1865,3785,0.10924,3.4034),(1865,3795,0.10838,3.4015),(1865,3805,0.10752,3.3996),(1865,3815,0.10665,3.3977),(1865,3825,0.10577,3.3958),(1865,3835,0.10484,3.3939),(1865,3845,0.10391,3.392),(1865,3855,0.10298,3.3902),(1865,3865,0.10203,3.3883),(1865,3875,0.10103,3.3865),(1865,3885,0.10004,3.3847),(1865,3895,0.09904,3.3829),(1865,3905,0.11449,3.3811),(1865,3915,0.1545,3.3793),(1865,3925,0.19452,3.3764),(1865,3935,0.23453,3.372),(1865,3945,0.27699,3.3676),(1865,3955,0.32253,3.3632),(1865,3965,0.36808,3.3575),(1865,3975,0.41362,3.3502),(1865,3985,0.44006,3.343),(1865,3995,0.44582,3.3358),(1865,4005,0.45158,3.3285),(1865,4015,0.45734,3.321),(1865,4025,0.46359,3.3136),(1865,4035,0.46989,3.3061),(1865,4045,0.47619,3.2985),(1865,4055,0.48216,3.2909),(1865,4065,0.48801,3.2833),(1865,4075,0.49386,3.2756),(1865,4085,0.499,3.2678),(1865,4095,0.50356,3.2601),(1865,4105,0.50813,3.2523),(1865,4115,0.49345,3.2444),(1865,4125,0.44689,3.2366),(1865,4135,0.40032,3.2307),(1865,4145,0.35334,3.2252),(1865,4155,0.30467,3.2198),(1865,4165,0.25599,3.2158),(1865,4175,0.21027,3.2127),(1865,4185,0.31068,3.2097),(1865,4195,0.41108,3.2044),(1865,4205,0.51149,3.1961),(1865,4215,0.51002,3.1879),(1865,4225,0.48936,3.1797),(1865,4235,0.46871,3.1716),(1865,4245,0.4348,3.1636),(1865,4255,0.39415,3.1556),(1865,4265,0.35351,3.1492),(1865,4275,0.29561,3.1428),(1865,4285,0.2194,3.1364),(1865,4295,0.14318,3.1341),(1865,4305,0.13146,3.1323),(1865,4315,0.26537,3.1306),(1865,4325,0.39928,3.1237),(1865,4335,0.51895,3.1147),(1865,4345,0.54229,3.1058),(1865,4355,0.56562,3.0962),(1865,4365,0.58895,3.086),(1865,4375,0.59663,3.0757),(1865,4385,0.6035,3.0652),(1865,4395,0.61037,3.0541),(1865,4405,0.53351,3.043),(1865,4415,0.43195,3.0329),(1865,4425,0.33039,3.0269),(1865,4435,0.29059,3.0209),(1865,4445,0.29298,3.0149),(1865,4455,0.29537,3.0096),(1865,4465,0.35257,3.0043),(1865,4475,0.48676,2.999),(1865,4485,0.62094,2.9891),(1865,4495,0.72707,2.9782),(1865,4505,0.74316,2.9673),(1865,4515,0.75926,2.9566),(1865,4525,0.77358,2.9459),(1865,4535,0.75983,2.9352),(1865,4545,0.74609,2.925),(1865,4555,0.73234,2.9154),(1865,4565,0.54786,2.9058),(1865,4575,0.34037,2.8985),(1865,4585,0.13287,2.897),(1865,4595,0.14325,2.8954),(1865,4605,0.24569,2.8931),(1865,4615,0.34813,2.8851),(1865,4625,0.43785,2.877),(1865,4635,0.51604,2.869),(1865,4645,0.59423,2.8579),(1865,4655,0.66264,2.8465),(1865,4665,0.7126,2.8352),(1865,4675,0.76257,2.8237),(1865,4685,0.77623,2.8122),(1865,4695,0.61052,2.8007),(1865,4705,0.44481,2.7938),(1865,4715,0.2791,2.7903),(1865,4725,0.37712,2.7868),(1865,4735,0.47777,2.7817),(1865,4745,0.57843,2.7743),(1865,4755,0.69177,2.7668),(1865,4765,0.80806,2.7584),(1865,4775,0.92436,2.7466),(1865,4785,0.97737,2.7348),(1865,4795,0.9938,2.7229),(1865,4805,1.0102,2.711),(1865,4815,0.97317,2.6991),(1865,4825,0.87215,2.6871),(1865,4835,0.77112,2.6786),(1865,4845,0.66437,2.6707),(1865,4855,0.54271,2.6627),(1865,4865,0.42106,2.6572),(1865,4875,0.33673,2.6528),(1865,4885,0.59208,2.6484),(1865,4895,0.84743,2.6393),(1865,4905,1.1028,2.6257),(1865,4915,1.1046,2.6121),(1865,4925,1.0846,2.5987),(1865,4935,1.0647,2.5856),(1865,4945,0.982,2.5725),(1865,4955,0.87763,2.5599),(1865,4965,0.77325,2.5498),(1865,4975,0.60954,2.5398),(1865,4985,0.40004,2.5297),(1865,4995,0.19053,2.5285),(1865,5005,0.17055,2.5275),(1865,5015,0.45187,2.5265),(1865,5025,0.73319,2.5185),(1865,5035,0.97834,2.5087),(1865,5045,1.0857,2.4989),(1865,5055,1.1931,2.4876),(1865,5065,1.2977,2.4752),(1865,5075,1.3123,2.4629),(1865,5085,1.3269,2.4507),(1865,5095,1.3414,2.4387),(1865,5105,1.1768,2.4267),(1865,5115,0.98095,2.4163),(1865,5125,0.78508,2.41),(1865,5135,0.68048,2.4038),(1865,5145,0.62016,2.3975),(1865,5155,0.55984,2.3917),(1865,5165,0.6648,2.3858),(1865,5175,0.93834,2.38),(1865,5185,1.2119,2.3667),(1865,5195,1.4037,2.3527),(1865,5205,1.4194,2.3387),(1865,5215,1.435,2.3249),(1865,5225,1.4428,2.3113),(1865,5235,1.402,2.2976),(1865,5245,1.3612,2.2851),(1865,5255,1.3205,2.2735),(1865,5265,0.92551,2.2618),(1865,5275,0.51596,2.2543),(1865,5285,0.10642,2.2539),(1865,5295,0.2528,2.2535),(1865,5305,0.554,2.2506),(1865,5315,0.8552,2.2377),(1865,5325,1.0539,2.2247),(1865,5335,1.1854,2.2117),(1865,5345,1.3169,2.1974),(1865,5355,1.4081,2.1831),(1865,5365,1.4449,2.1688),(1865,5375,1.4817,2.1552),(1865,5385,1.4236,2.1417),(1865,5395,1.0767,2.1282),(1865,5405,0.72979,2.1212),(1865,5415,0.41569,2.1177),(1865,5425,0.54219,2.1142),(1865,5435,0.66869,2.1059),(1865,5445,0.79519,2.0924),(1865,5455,0.95897,2.0789),(1865,5465,1.1273,2.0631),(1865,5475,1.2957,2.0417),(1865,5485,1.3613,2.0204),(1865,5495,1.3856,1.9991),(1865,5505,1.4099,1.978),(1865,5515,1.4345,1.957),(1865,5525,1.4594,1.9359),(1865,5535,1.4843,1.9152),(1865,5545,1.5088,1.8944),(1865,5555,1.5326,1.8737),(1865,5565,1.5564,1.8532),(1865,5575,1.58,1.8329),(1865,5585,1.6024,1.8125),(1865,5595,1.6249,1.7924),(1865,5605,1.6473,1.7724),(1865,5615,1.6684,1.7524),(1865,5625,1.6895,1.7326),(1865,5635,1.7105,1.7131),(1865,5645,1.7305,1.6936),(1865,5655,1.7502,1.6742),(1865,5665,1.7698,1.6551),(1865,5675,1.7887,1.636),(1865,5685,1.8071,1.6169),(1865,5695,1.8254,1.5982),(1865,5705,1.8432,1.5794),(1865,5715,1.8603,1.5607),(1865,5725,1.8774,1.5423),(1865,5735,1.8942,1.524),(1865,5745,1.9101,1.5057),(1865,5755,1.9261,1.4877),(1865,5765,1.9419,1.4697),(1865,5775,1.9567,1.4518),(1865,5785,1.9715,1.434),(1865,5795,1.9864,1.4164),(1865,5805,2.0002,1.3988),(1865,5815,2.014,1.3813),(1865,5825,2.0278,1.364),(1865,5835,2.0409,1.3467),(1865,5845,2.0538,1.3295),(1865,5855,2.0666,1.3125),(1865,5865,2.079,1.2955),(1865,5875,2.0909,1.2785),(1865,5885,2.1029,1.2617),(1865,5895,2.1145,1.245),(1865,5905,2.1257,1.2283),(1865,5915,2.1369,1.2117),(1865,5925,2.1479,1.1952),(1865,5935,2.1583,1.1788),(1865,5945,2.1687,1.1624),(1865,5955,2.1791,1.1462),(1865,5965,2.1891,1.1299),(1865,5975,2.1991,1.1138),(1865,5985,2.2091,1.0978),(1865,5995,1.6897,1.0817),(1865,6005,1.0851,1.0695),(1865,6015,0.48051,1.0674),(1865,6025,0.49528,1.0654),(1865,6035,0.79731,1.0622),(1865,6045,1.0993,1.0485),(1865,6055,1.3165,1.0348),(1865,6065,1.4505,1.0211),(1865,6075,1.5845,1.0032),(1865,6085,1.6768,0.98502),(1865,6095,1.6834,0.9668),(1865,6105,1.6899,0.94846),(1865,6115,1.6964,0.93006),(1865,6125,1.7026,0.91167),(1865,6135,1.7089,0.89327),(1865,6145,1.7151,0.87486),(1865,6155,1.7209,0.85645),(1865,6165,1.7267,0.838),(1865,6175,1.7325,0.8195),(1865,6185,1.738,0.801),(1865,6195,1.7434,0.78248),(1865,6205,1.7487,0.76391),(1865,6215,1.7539,0.74534),(1865,6225,1.7588,0.72677),(1865,6235,1.7638,0.7082),(1865,6245,1.7686,0.68964),(1865,6255,1.7732,0.67108),(1865,6265,1.7777,0.65242),(1865,6275,1.7822,0.63375),(1865,6285,1.7864,0.61508),(1865,6295,1.7906,0.59636),(1865,6305,1.7948,0.57761),(1865,6315,1.7986,0.55886),(1865,6325,1.8024,0.5401),(1865,6335,1.8062,0.52134),(1865,6345,1.8096,0.50258),(1865,6355,1.8129,0.4838),(1865,6365,1.8163,0.46498),(1865,6375,1.8193,0.44616),(1865,6385,1.8223,0.42735),(1865,6395,1.8252,0.40852),(1865,6405,1.8279,0.3897),(1865,6415,1.8304,0.37088),(1865,6425,1.833,0.35207),(1865,6435,1.8354,0.33326),(1865,6445,1.8375,0.31445),(1865,6455,1.8396,0.29562),(1865,6465,1.8417,0.27678),(1865,6475,1.8434,0.25795),(1865,6485,1.8452,0.23907),(1865,6495,1.8469,0.22016),(1865,6505,1.8482,0.20126),(1865,6515,1.8496,0.18234),(1865,6525,1.8509,0.1634),(1865,6535,1.8519,0.14447),(1865,6545,1.8528,0.12554),(1865,6555,1.8537,0.10663),(1865,6565,1.8543,0.087718),(1865,6575,1.8548,0.068807),(1865,6585,1.8552,0.0499),(1865,6595,1.5781,0.030994),(1865,6605,0.9945,0.012087),(1865,6615,0.41091,0.009879),(1865,6625,0.000654,0.009818),(1865,6635,0.000657,0.009756),(1865,6645,0.000659,0.009731),(1865,6655,0.000662,0.009722),(1865,6665,0.000664,0.009713),(1865,6675,0.000666,0.009703),(1865,6685,0.000669,0.009694),(1865,6695,0.000671,0.009685),(1865,6705,0.000673,0.009675),(1865,6715,0.000675,0.009666),(1865,6725,0.000677,0.009657),(1865,6735,0.000679,0.009647),(1865,6745,0.000681,0.009638),(1865,6755,0.000683,0.009629),(1865,6765,0.000685,0.009619),(1865,6775,0.000687,0.00961),(1865,6785,0.000689,0.009601),(1865,6795,0.000691,0.009591),(1865,6805,0.000693,0.009582),(1865,6815,0.000695,0.009573),(1865,6825,0.000697,0.009564),(1865,6835,0.000699,0.009555),(1865,6845,0.0007,0.009545),(1865,6855,0.000702,0.009536),(1865,6865,0.000704,0.009527),(1865,6875,0.000705,0.009518),(1865,6885,0.000707,0.009509),(1865,6895,0.000709,0.009499),(1865,6905,0.00071,0.00949),(1865,6915,0.000712,0.009481),(1865,6925,0.000713,0.009472),(1865,6935,0.000715,0.009463),(1865,6945,0.000716,0.009454),(1865,6955,0.000718,0.009445),(1865,6965,0.000719,0.009435),(1865,6975,0.00072,0.009426),(1865,6985,0.000722,0.009417),(1875,5,5.8e-05,3.6793),(1875,15,0.000173,3.6793),(1875,25,0.000288,3.6793),(1875,35,0.000403,3.6793),(1875,45,0.000518,3.6793),(1875,55,0.000633,3.6793),(1875,65,0.000749,3.6793),(1875,75,0.000864,3.6793),(1875,85,0.000979,3.6793),(1875,95,0.001095,3.6793),(1875,105,0.001211,3.6793),(1875,115,0.001327,3.6793),(1875,125,0.001443,3.6793),(1875,135,0.001559,3.6793),(1875,145,0.001676,3.6793),(1875,155,0.001793,3.6793),(1875,165,0.001911,3.6793),(1875,175,0.002028,3.6792),(1875,185,0.002146,3.6792),(1875,195,0.002264,3.6792),(1875,205,0.002383,3.6792),(1875,215,0.002501,3.6792),(1875,225,0.00262,3.6792),(1875,235,0.00274,3.6792),(1875,245,0.00286,3.6792),(1875,255,0.00298,3.6792),(1875,265,0.003101,3.6792),(1875,275,0.003223,3.6792),(1875,285,0.003345,3.6791),(1875,295,0.003466,3.6791),(1875,305,0.00359,3.6791),(1875,315,0.003713,3.6791),(1875,325,0.003837,3.6791),(1875,335,0.003961,3.6791),(1875,345,0.004086,3.6791),(1875,355,0.004212,3.6791),(1875,365,0.004338,3.679),(1875,375,0.004464,3.679),(1875,385,0.004593,3.679),(1875,395,0.004722,3.679),(1875,405,0.00485,3.679),(1875,415,0.004979,3.679),(1875,425,0.00511,3.6789),(1875,435,0.005242,3.6789),(1875,445,0.005374,3.6789),(1875,455,0.005505,3.6789),(1875,465,0.00564,3.6789),(1875,475,0.005775,3.6788),(1875,485,0.00591,3.6788),(1875,495,0.006045,3.6788),(1875,505,0.006184,3.6788),(1875,515,0.006322,3.6787),(1875,525,0.006461,3.6787),(1875,535,0.0066,3.6787),(1875,545,0.006742,3.6787),(1875,555,0.006884,3.6786),(1875,565,0.007027,3.6786),(1875,575,0.007169,3.6786),(1875,585,0.007316,3.6786),(1875,595,0.007463,3.6785),(1875,605,0.00761,3.6785),(1875,615,0.007757,3.6785),(1875,625,0.007908,3.6785),(1875,635,0.008059,3.6784),(1875,645,0.008211,3.6784),(1875,655,0.008363,3.6784),(1875,665,0.008519,3.6783),(1875,675,0.008675,3.6783),(1875,685,0.008831,3.6783),(1875,695,0.008988,3.6782),(1875,705,0.00915,3.6782),(1875,715,0.009312,3.6782),(1875,725,0.009473,3.6781),(1875,735,0.009636,3.6781),(1875,745,0.009803,3.678),(1875,755,0.009971,3.678),(1875,765,0.010138,3.678),(1875,775,0.010307,3.6779),(1875,785,0.010481,3.6779),(1875,795,0.010655,3.6778),(1875,805,0.010828,3.6778),(1875,815,0.011004,3.6778),(1875,825,0.011184,3.6777),(1875,835,0.011364,3.6777),(1875,845,0.011544,3.6776),(1875,855,0.011726,3.6776),(1875,865,0.011913,3.6775),(1875,875,0.0121,3.6775),(1875,885,0.012287,3.6774),(1875,895,0.012477,3.6774),(1875,905,0.012671,3.6773),(1875,915,0.012865,3.6773),(1875,925,0.013059,3.6772),(1875,935,0.013257,3.6772),(1875,945,0.013459,3.6771),(1875,955,0.013661,3.677),(1875,965,0.013863,3.677),(1875,975,0.014069,3.6769),(1875,985,0.014279,3.6769),(1875,995,0.01449,3.6768),(1875,1005,0.0147,3.6767),(1875,1015,0.014915,3.6767),(1875,1025,0.015134,3.6766),(1875,1035,0.015353,3.6765),(1875,1045,0.015572,3.6765),(1875,1055,0.015796,3.6764),(1875,1065,0.016024,3.6763),(1875,1075,0.016252,3.6763),(1875,1085,0.016481,3.6762),(1875,1095,0.016715,3.6761),(1875,1105,0.016953,3.676),(1875,1115,0.01719,3.6759),(1875,1125,0.017428,3.6759),(1875,1135,0.017673,3.6758),(1875,1145,0.017921,3.6757),(1875,1155,0.018169,3.6756),(1875,1165,0.018417,3.6755),(1875,1175,0.018672,3.6754),(1875,1185,0.018931,3.6753),(1875,1195,0.01919,3.6753),(1875,1205,0.019448,3.6752),(1875,1215,0.019715,3.6751),(1875,1225,0.019985,3.675),(1875,1235,0.020254,3.6749),(1875,1245,0.020524,3.6748),(1875,1255,0.020802,3.6747),(1875,1265,0.021084,3.6746),(1875,1275,0.021365,3.6745),(1875,1285,0.021647,3.6743),(1875,1295,0.021938,3.6742),(1875,1305,0.022231,3.6741),(1875,1315,0.022525,3.674),(1875,1325,0.022819,3.6739),(1875,1335,0.023123,3.6738),(1875,1345,0.023429,3.6736),(1875,1355,0.023736,3.6735),(1875,1365,0.024042,3.6734),(1875,1375,0.02436,3.6733),(1875,1385,0.02468,3.6731),(1875,1395,0.025,3.673),(1875,1405,0.025319,3.6728),(1875,1415,0.025651,3.6727),(1875,1425,0.025985,3.6726),(1875,1435,0.026318,3.6724),(1875,1445,0.026651,3.6723),(1875,1455,0.026998,3.6721),(1875,1465,0.027346,3.672),(1875,1475,0.027693,3.6718),(1875,1485,0.028041,3.6716),(1875,1495,0.028403,3.6715),(1875,1505,0.028765,3.6713),(1875,1515,0.029128,3.6711),(1875,1525,0.02949,3.671),(1875,1535,0.029868,3.6708),(1875,1545,0.030245,3.6706),(1875,1555,0.030622,3.6704),(1875,1565,0.031001,3.6702),(1875,1575,0.031394,3.67),(1875,1585,0.031787,3.6698),(1875,1595,0.03218,3.6696),(1875,1605,0.032575,3.6694),(1875,1615,0.032984,3.6692),(1875,1625,0.033393,3.669),(1875,1635,0.033802,3.6688),(1875,1645,0.034214,3.6686),(1875,1655,0.034639,3.6684),(1875,1665,0.035065,3.6681),(1875,1675,0.035491,3.6679),(1875,1685,0.035919,3.6677),(1875,1695,0.036362,3.6674),(1875,1705,0.036804,3.6672),(1875,1715,0.037247,3.6669),(1875,1725,0.037693,3.6667),(1875,1735,0.038153,3.6664),(1875,1745,0.038612,3.6661),(1875,1755,0.039072,3.6659),(1875,1765,0.039536,3.6656),(1875,1775,0.040013,3.6653),(1875,1785,0.040491,3.665),(1875,1795,0.040968,3.6647),(1875,1805,0.04145,3.6644),(1875,1815,0.041945,3.6641),(1875,1825,0.042439,3.6638),(1875,1835,0.042934,3.6635),(1875,1845,0.043435,3.6632),(1875,1855,0.043947,3.6628),(1875,1865,0.04446,3.6625),(1875,1875,0.044972,3.6622),(1875,1885,0.045491,3.6618),(1875,1895,0.046022,3.6615),(1875,1905,0.046552,3.6611),(1875,1915,0.047082,3.6607),(1875,1925,0.04762,3.6604),(1875,1935,0.048169,3.66),(1875,1945,0.048717,3.6596),(1875,1955,0.049266,3.6592),(1875,1965,0.049823,3.6588),(1875,1975,0.050389,3.6584),(1875,1985,0.050955,3.658),(1875,1995,0.051521,3.6576),(1875,2005,0.052096,3.6571),(1875,2015,0.05268,3.6567),(1875,2025,0.053264,3.6562),(1875,2035,0.053847,3.6558),(1875,2045,0.05444,3.6553),(1875,2055,0.055041,3.6549),(1875,2065,0.055642,3.6544),(1875,2075,0.056243,3.6539),(1875,2085,0.056854,3.6534),(1875,2095,0.057472,3.6529),(1875,2105,0.058089,3.6524),(1875,2115,0.058707,3.6518),(1875,2125,0.059335,3.6513),(1875,2135,0.05997,3.6508),(1875,2145,0.060604,3.6502),(1875,2155,0.061238,3.6497),(1875,2165,0.061883,3.6491),(1875,2175,0.062533,3.6485),(1875,2185,0.063183,3.6479),(1875,2195,0.063833,3.6473),(1875,2205,0.064493,3.6467),(1875,2215,0.065158,3.6461),(1875,2225,0.065823,3.6455),(1875,2235,0.066487,3.6448),(1875,2245,0.067162,3.6442),(1875,2255,0.06784,3.6435),(1875,2265,0.068519,3.6428),(1875,2275,0.069197,3.6422),(1875,2285,0.069885,3.6415),(1875,2295,0.070576,3.6408),(1875,2305,0.071267,3.64),(1875,2315,0.071958,3.6393),(1875,2325,0.072658,3.6386),(1875,2335,0.07336,3.6378),(1875,2345,0.074062,3.6371),(1875,2355,0.074764,3.6363),(1875,2365,0.075475,3.6355),(1875,2375,0.076186,3.6347),(1875,2385,0.076898,3.6339),(1875,2395,0.07761,3.6331),(1875,2405,0.078329,3.6322),(1875,2415,0.079049,3.6314),(1875,2425,0.079769,3.6305),(1875,2435,0.080489,3.6296),(1875,2445,0.081214,3.6288),(1875,2455,0.08194,3.6279),(1875,2465,0.082666,3.6269),(1875,2475,0.083392,3.626),(1875,2485,0.084121,3.6251),(1875,2495,0.084851,3.6241),(1875,2505,0.08558,3.6232),(1875,2515,0.08631,3.6222),(1875,2525,0.087041,3.6212),(1875,2535,0.087772,3.6202),(1875,2545,0.088503,3.6192),(1875,2555,0.089233,3.6181),(1875,2565,0.089963,3.6171),(1875,2575,0.090693,3.616),(1875,2585,0.091423,3.6149),(1875,2595,0.092153,3.6138),(1875,2605,0.092879,3.6127),(1875,2615,0.093605,3.6116),(1875,2625,0.094331,3.6105),(1875,2635,0.095056,3.6093),(1875,2645,0.095775,3.6082),(1875,2655,0.096494,3.607),(1875,2665,0.097214,3.6058),(1875,2675,0.097931,3.6046),(1875,2685,0.098641,3.6034),(1875,2695,0.09935,3.6021),(1875,2705,0.10006,3.6009),(1875,2715,0.10077,3.5996),(1875,2725,0.10146,3.5983),(1875,2735,0.10216,3.597),(1875,2745,0.10285,3.5957),(1875,2755,0.10355,3.5944),(1875,2765,0.10423,3.593),(1875,2775,0.10491,3.5917),(1875,2785,0.10558,3.5903),(1875,2795,0.10626,3.5889),(1875,2805,0.10692,3.5875),(1875,2815,0.10758,3.5861),(1875,2825,0.10824,3.5847),(1875,2835,0.10889,3.5832),(1875,2845,0.10952,3.5818),(1875,2855,0.11016,3.5803),(1875,2865,0.11079,3.5788),(1875,2875,0.11142,3.5773),(1875,2885,0.11202,3.5758),(1875,2895,0.11263,3.5742),(1875,2905,0.11324,3.5727),(1875,2915,0.11383,3.5711),(1875,2925,0.11441,3.5696),(1875,2935,0.11499,3.568),(1875,2945,0.11556,3.5663),(1875,2955,0.11612,3.5647),(1875,2965,0.11666,3.5631),(1875,2975,0.1172,3.5615),(1875,2985,0.11774,3.5598),(1875,2995,0.11826,3.5581),(1875,3005,0.11876,3.5564),(1875,3015,0.11926,3.5547),(1875,3025,0.11976,3.553),(1875,3035,0.12024,3.5513),(1875,3045,0.1207,3.5496),(1875,3055,0.12115,3.5478),(1875,3065,0.12161,3.546),(1875,3075,0.12204,3.5442),(1875,3085,0.12245,3.5425),(1875,3095,0.12286,3.5407),(1875,3105,0.12327,3.5388),(1875,3115,0.12364,3.537),(1875,3125,0.124,3.5352),(1875,3135,0.12436,3.5333),(1875,3145,0.12472,3.5315),(1875,3155,0.12504,3.5296),(1875,3165,0.12534,3.5277),(1875,3175,0.12565,3.5259),(1875,3185,0.12595,3.5239),(1875,3195,0.12621,3.522),(1875,3205,0.12645,3.5201),(1875,3215,0.1267,3.5182),(1875,3225,0.12694,3.5162),(1875,3235,0.12714,3.5143),(1875,3245,0.12732,3.5124),(1875,3255,0.12751,3.5104),(1875,3265,0.12769,3.5084),(1875,3275,0.12782,3.5064),(1875,3285,0.12794,3.5045),(1875,3295,0.12806,3.5025),(1875,3305,0.12817,3.5004),(1875,3315,0.12823,3.4984),(1875,3325,0.12828,3.4964),(1875,3335,0.12833,3.4944),(1875,3345,0.12838,3.4924),(1875,3355,0.12837,3.4904),(1875,3365,0.12835,3.4883),(1875,3375,0.12833,3.4863),(1875,3385,0.12831,3.4842),(1875,3395,0.12822,3.4822),(1875,3405,0.12812,3.4801),(1875,3415,0.12803,3.4781),(1875,3425,0.12793,3.476),(1875,3435,0.12777,3.4739),(1875,3445,0.1276,3.4719),(1875,3455,0.12743,3.4698),(1875,3465,0.12726,3.4677),(1875,3475,0.12702,3.4657),(1875,3485,0.12677,3.4636),(1875,3495,0.12653,3.4615),(1875,3505,0.12628,3.4594),(1875,3515,0.12595,3.4574),(1875,3525,0.12563,3.4553),(1875,3535,0.12531,3.4532),(1875,3545,0.12498,3.4512),(1875,3555,0.12458,3.4491),(1875,3565,0.12417,3.447),(1875,3575,0.12377,3.4449),(1875,3585,0.12336,3.4429),(1875,3595,0.12288,3.4408),(1875,3605,0.1224,3.4387),(1875,3615,0.12192,3.4367),(1875,3625,0.12142,3.4346),(1875,3635,0.12086,3.4326),(1875,3645,0.1203,3.4305),(1875,3655,0.11974,3.4285),(1875,3665,0.11917,3.4265),(1875,3675,0.11853,3.4244),(1875,3685,0.11789,3.4224),(1875,3695,0.11725,3.4204),(1875,3705,0.1166,3.4184),(1875,3715,0.11588,3.4164),(1875,3725,0.11516,3.4144),(1875,3735,0.11445,3.4124),(1875,3745,0.11371,3.4104),(1875,3755,0.11292,3.4084),(1875,3765,0.11213,3.4065),(1875,3775,0.11133,3.4045),(1875,3785,0.11052,3.4026),(1875,3795,0.10966,3.4006),(1875,3805,0.10879,3.3987),(1875,3815,0.10792,3.3968),(1875,3825,0.10704,3.3949),(1875,3835,0.1061,3.393),(1875,3845,0.10516,3.3911),(1875,3855,0.10423,3.3892),(1875,3865,0.10327,3.3874),(1875,3875,0.10227,3.3855),(1875,3885,0.10126,3.3837),(1875,3895,0.10026,3.3819),(1875,3905,0.11588,3.3801),(1875,3915,0.15633,3.3782),(1875,3925,0.19677,3.3753),(1875,3935,0.23722,3.3709),(1875,3945,0.28011,3.3665),(1875,3955,0.32611,3.362),(1875,3965,0.37211,3.3563),(1875,3975,0.4181,3.349),(1875,3985,0.44479,3.3417),(1875,3995,0.45057,3.3345),(1875,4005,0.45635,3.3271),(1875,4015,0.46213,3.3196),(1875,4025,0.4684,3.3121),(1875,4035,0.47473,3.3046),(1875,4045,0.48105,3.2969),(1875,4055,0.48704,3.2892),(1875,4065,0.49291,3.2815),(1875,4075,0.49877,3.2737),(1875,4085,0.50392,3.2658),(1875,4095,0.50848,3.258),(1875,4105,0.51303,3.2501),(1875,4115,0.49817,3.2422),(1875,4125,0.45112,3.2342),(1875,4135,0.40406,3.2282),(1875,4145,0.35659,3.2227),(1875,4155,0.30745,3.2172),(1875,4165,0.2583,3.2132),(1875,4175,0.21214,3.2101),(1875,4185,0.31359,3.2071),(1875,4195,0.41505,3.2017),(1875,4205,0.5165,3.1934),(1875,4215,0.51524,3.1851),(1875,4225,0.49464,3.1769),(1875,4235,0.47404,3.1687),(1875,4245,0.43995,3.1605),(1875,4255,0.39901,3.1525),(1875,4265,0.35807,3.146),(1875,4275,0.29954,3.1395),(1875,4285,0.22233,3.133),(1875,4295,0.14511,3.1308),(1875,4305,0.13315,3.129),(1875,4315,0.2685,3.1272),(1875,4325,0.40385,3.1203),(1875,4335,0.52482,3.1114),(1875,4345,0.54845,3.1026),(1875,4355,0.57209,3.0929),(1875,4365,0.59572,3.0826),(1875,4375,0.60361,3.0722),(1875,4385,0.61068,3.0615),(1875,4395,0.61775,3.0503),(1875,4405,0.54015,3.0391),(1875,4415,0.43757,3.0289),(1875,4425,0.335,3.0229),(1875,4435,0.29465,3.0168),(1875,4445,0.29682,3.0108),(1875,4455,0.29899,3.0055),(1875,4465,0.35644,3.0002),(1875,4475,0.49157,2.9948),(1875,4485,0.62669,2.9849),(1875,4495,0.7335,2.974),(1875,4505,0.74947,2.9632),(1875,4515,0.76543,2.9524),(1875,4525,0.77962,2.9416),(1875,4535,0.76566,2.9309),(1875,4545,0.75169,2.9206),(1875,4555,0.73773,2.9108),(1875,4565,0.55205,2.901),(1875,4575,0.34323,2.8936),(1875,4585,0.13441,2.892),(1875,4595,0.14539,2.8904),(1875,4605,0.24924,2.888),(1875,4615,0.35309,2.8797),(1875,4625,0.44376,2.8715),(1875,4635,0.52249,2.8633),(1875,4645,0.60123,2.8521),(1875,4655,0.66991,2.8406),(1875,4665,0.71963,2.8292),(1875,4675,0.76936,2.8177),(1875,4685,0.78257,2.8062),(1875,4695,0.61533,2.7947),(1875,4705,0.44809,2.7879),(1875,4715,0.28086,2.7845),(1875,4725,0.3795,2.781),(1875,4735,0.4808,2.776),(1875,4745,0.58211,2.7685),(1875,4755,0.69615,2.7611),(1875,4765,0.81314,2.7526),(1875,4775,0.93013,2.7407),(1875,4785,0.98338,2.7288),(1875,4795,0.99977,2.7169),(1875,4805,1.0162,2.7049),(1875,4815,0.97876,2.6929),(1875,4825,0.87705,2.6809),(1875,4835,0.77534,2.6725),(1875,4845,0.66799,2.6646),(1875,4855,0.54595,2.6568),(1875,4865,0.42392,2.6512),(1875,4875,0.33939,2.6468),(1875,4885,0.5961,2.6424),(1875,4895,0.85281,2.6333),(1875,4905,1.1095,2.6197),(1875,4915,1.1114,2.6061),(1875,4925,1.0914,2.5926),(1875,4935,1.0713,2.5796),(1875,4945,0.9884,2.5665),(1875,4955,0.88367,2.5539),(1875,4965,0.77894,2.5438),(1875,4975,0.6142,2.5338),(1875,4985,0.40314,2.5237),(1875,4995,0.19209,2.5225),(1875,5005,0.17157,2.5215),(1875,5015,0.45399,2.5205),(1875,5025,0.73641,2.5125),(1875,5035,0.98247,2.5028),(1875,5045,1.09,2.493),(1875,5055,1.1976,2.4817),(1875,5065,1.3024,2.4694),(1875,5075,1.3167,2.4571),(1875,5085,1.3311,2.445),(1875,5095,1.3455,2.433),(1875,5105,1.1803,2.421),(1875,5115,0.98383,2.4105),(1875,5125,0.78731,2.4043),(1875,5135,0.68263,2.3981),(1875,5145,0.62252,2.3918),(1875,5155,0.5624,2.386),(1875,5165,0.66793,2.3801),(1875,5175,0.94241,2.3743),(1875,5185,1.2169,2.3611),(1875,5195,1.4093,2.3471),(1875,5205,1.4248,2.3331),(1875,5215,1.4402,2.3194),(1875,5225,1.4478,2.3058),(1875,5235,1.4067,2.2922),(1875,5245,1.3655,2.2797),(1875,5255,1.3243,2.2681),(1875,5265,0.9283,2.2564),(1875,5275,0.51763,2.249),(1875,5285,0.10697,2.2486),(1875,5295,0.25474,2.2481),(1875,5305,0.55802,2.2453),(1875,5315,0.86131,2.2323),(1875,5325,1.0607,2.2193),(1875,5335,1.1918,2.2062),(1875,5345,1.323,2.192),(1875,5355,1.4139,2.1777),(1875,5365,1.4503,2.1635),(1875,5375,1.4867,2.1499),(1875,5385,1.4279,2.1364),(1875,5395,1.0799,2.1229),(1875,5405,0.73192,2.116),(1875,5415,0.41696,2.1125),(1875,5425,0.54576,2.1089),(1875,5435,0.67456,2.1006),(1875,5445,0.80336,2.0871),(1875,5455,0.96861,2.0737),(1875,5465,1.1383,2.0578),(1875,5475,1.308,2.0365),(1875,5485,1.3739,2.0151),(1875,5495,1.398,1.9938),(1875,5505,1.4221,1.9728),(1875,5515,1.4465,1.9518),(1875,5525,1.4712,1.9308),(1875,5535,1.4959,1.9101),(1875,5545,1.5201,1.8894),(1875,5555,1.5437,1.8687),(1875,5565,1.5673,1.8483),(1875,5575,1.5906,1.828),(1875,5585,1.6128,1.8077),(1875,5595,1.635,1.7876),(1875,5605,1.6572,1.7677),(1875,5615,1.6781,1.7478),(1875,5625,1.6989,1.7281),(1875,5635,1.7197,1.7087),(1875,5645,1.7394,1.6892),(1875,5655,1.7589,1.6699),(1875,5665,1.7784,1.6508),(1875,5675,1.797,1.6318),(1875,5685,1.8151,1.6127),(1875,5695,1.8333,1.5941),(1875,5705,1.8509,1.5754),(1875,5715,1.8678,1.5568),(1875,5725,1.8847,1.5385),(1875,5735,1.9012,1.5202),(1875,5745,1.917,1.502),(1875,5755,1.9327,1.484),(1875,5765,1.9483,1.4662),(1875,5775,1.963,1.4483),(1875,5785,1.9776,1.4307),(1875,5795,1.9923,1.4131),(1875,5805,2.006,1.3956),(1875,5815,2.0196,1.3782),(1875,5825,2.0333,1.3609),(1875,5835,2.0462,1.3437),(1875,5845,2.0589,1.3265),(1875,5855,2.0716,1.3096),(1875,5865,2.0838,1.2927),(1875,5875,2.0956,1.2758),(1875,5885,2.1075,1.2591),(1875,5895,2.119,1.2424),(1875,5905,2.13,1.2257),(1875,5915,2.141,1.2093),(1875,5925,2.1519,1.1929),(1875,5935,2.1622,1.1765),(1875,5945,2.1725,1.1602),(1875,5955,2.1828,1.144),(1875,5965,2.1927,1.1279),(1875,5975,2.2026,1.1118),(1875,5985,2.2125,1.0958),(1875,5995,1.6922,1.0798),(1875,6005,1.0867,1.0677),(1875,6015,0.48122,1.0656),(1875,6025,0.49704,1.0636),(1875,6035,0.80104,1.0604),(1875,6045,1.105,1.0467),(1875,6055,1.3235,1.033),(1875,6065,1.4582,1.0193),(1875,6075,1.5928,1.0015),(1875,6085,1.6856,0.9833),(1875,6095,1.6922,0.9651),(1875,6105,1.6987,0.94676),(1875,6115,1.7052,0.92838),(1875,6125,1.7114,0.91001),(1875,6135,1.7177,0.89162),(1875,6145,1.7239,0.87322),(1875,6155,1.7297,0.85482),(1875,6165,1.7355,0.83639),(1875,6175,1.7413,0.81791),(1875,6185,1.7468,0.79943),(1875,6195,1.7522,0.78093),(1875,6205,1.7576,0.76238),(1875,6215,1.7627,0.74383),(1875,6225,1.7676,0.72529),(1875,6235,1.7726,0.70676),(1875,6245,1.7774,0.68823),(1875,6255,1.782,0.6697),(1875,6265,1.7865,0.65109),(1875,6275,1.791,0.63246),(1875,6285,1.7952,0.61384),(1875,6295,1.7994,0.59515),(1875,6305,1.8035,0.57642),(1875,6315,1.8073,0.5577),(1875,6325,1.8111,0.53898),(1875,6335,1.8149,0.52024),(1875,6345,1.8183,0.50151),(1875,6355,1.8216,0.48276),(1875,6365,1.825,0.46398),(1875,6375,1.828,0.4452),(1875,6385,1.831,0.42642),(1875,6395,1.8339,0.40763),(1875,6405,1.8366,0.38885),(1875,6415,1.8391,0.37007),(1875,6425,1.8417,0.3513),(1875,6435,1.8441,0.33254),(1875,6445,1.8462,0.31377),(1875,6455,1.8483,0.29498),(1875,6465,1.8504,0.2762),(1875,6475,1.8521,0.25741),(1875,6485,1.8538,0.23857),(1875,6495,1.8556,0.2197),(1875,6505,1.8569,0.20083),(1875,6515,1.8582,0.18196),(1875,6525,1.8595,0.16306),(1875,6535,1.8605,0.14417),(1875,6545,1.8614,0.12529),(1875,6555,1.8623,0.10642),(1875,6565,1.8629,0.08755),(1875,6575,1.8634,0.068682),(1875,6585,1.8638,0.049818),(1875,6595,1.5854,0.030954),(1875,6605,0.99913,0.01209),(1875,6615,0.41282,0.009886),(1875,6625,0.00066,0.009822),(1875,6635,0.000662,0.009759),(1875,6645,0.000665,0.009734),(1875,6655,0.000667,0.009724),(1875,6665,0.000669,0.009715),(1875,6675,0.000672,0.009706),(1875,6685,0.000674,0.009696),(1875,6695,0.000676,0.009687),(1875,6705,0.000678,0.009677),(1875,6715,0.000681,0.009668),(1875,6725,0.000683,0.009659),(1875,6735,0.000685,0.009649),(1875,6745,0.000687,0.00964),(1875,6755,0.000689,0.009631),(1875,6765,0.000691,0.009621),(1875,6775,0.000693,0.009612),(1875,6785,0.000695,0.009603),(1875,6795,0.000697,0.009593),(1875,6805,0.000699,0.009584),(1875,6815,0.0007,0.009575),(1875,6825,0.000702,0.009566),(1875,6835,0.000704,0.009556),(1875,6845,0.000706,0.009547),(1875,6855,0.000707,0.009538),(1875,6865,0.000709,0.009529),(1875,6875,0.000711,0.00952),(1875,6885,0.000712,0.00951),(1875,6895,0.000714,0.009501),(1875,6905,0.000715,0.009492),(1875,6915,0.000717,0.009483),(1875,6925,0.000718,0.009473),(1875,6935,0.00072,0.009464),(1875,6945,0.000721,0.009455),(1875,6955,0.000723,0.009446),(1875,6965,0.000724,0.009437),(1875,6975,0.000726,0.009428),(1875,6985,0.000727,0.009419),(1885,5,5.7e-05,3.6794),(1885,15,0.000172,3.6794),(1885,25,0.000287,3.6794),(1885,35,0.000402,3.6794),(1885,45,0.000517,3.6794),(1885,55,0.000632,3.6794),(1885,65,0.000747,3.6794),(1885,75,0.000862,3.6794),(1885,85,0.000977,3.6794),(1885,95,0.001092,3.6794),(1885,105,0.001208,3.6794),(1885,115,0.001324,3.6794),(1885,125,0.00144,3.6794),(1885,135,0.001556,3.6794),(1885,145,0.001672,3.6794),(1885,155,0.001789,3.6794),(1885,165,0.001906,3.6794),(1885,175,0.002023,3.6794),(1885,185,0.002141,3.6794),(1885,195,0.002259,3.6794),(1885,205,0.002377,3.6793),(1885,215,0.002495,3.6793),(1885,225,0.002615,3.6793),(1885,235,0.002734,3.6793),(1885,245,0.002854,3.6793),(1885,255,0.002974,3.6793),(1885,265,0.003094,3.6793),(1885,275,0.003216,3.6793),(1885,285,0.003337,3.6793),(1885,295,0.003459,3.6793),(1885,305,0.003582,3.6792),(1885,315,0.003705,3.6792),(1885,325,0.003829,3.6792),(1885,335,0.003952,3.6792),(1885,345,0.004077,3.6792),(1885,355,0.004203,3.6792),(1885,365,0.004329,3.6792),(1885,375,0.004455,3.6791),(1885,385,0.004583,3.6791),(1885,395,0.004711,3.6791),(1885,405,0.00484,3.6791),(1885,415,0.004968,3.6791),(1885,425,0.005099,3.6791),(1885,435,0.005231,3.679),(1885,445,0.005362,3.679),(1885,455,0.005494,3.679),(1885,465,0.005628,3.679),(1885,475,0.005763,3.679),(1885,485,0.005898,3.6789),(1885,495,0.006032,3.6789),(1885,505,0.006171,3.6789),(1885,515,0.006309,3.6789),(1885,525,0.006447,3.6789),(1885,535,0.006586,3.6788),(1885,545,0.006728,3.6788),(1885,555,0.00687,3.6788),(1885,565,0.007012,3.6788),(1885,575,0.007155,3.6787),(1885,585,0.007301,3.6787),(1885,595,0.007448,3.6787),(1885,605,0.007594,3.6787),(1885,615,0.007741,3.6786),(1885,625,0.007893,3.6786),(1885,635,0.008044,3.6786),(1885,645,0.008195,3.6785),(1885,655,0.008346,3.6785),(1885,665,0.008502,3.6785),(1885,675,0.008658,3.6785),(1885,685,0.008814,3.6784),(1885,695,0.008971,3.6784),(1885,705,0.009133,3.6784),(1885,715,0.009294,3.6783),(1885,725,0.009456,3.6783),(1885,735,0.009618,3.6782),(1885,745,0.009786,3.6782),(1885,755,0.009953,3.6782),(1885,765,0.01012,3.6781),(1885,775,0.010289,3.6781),(1885,785,0.010462,3.6781),(1885,795,0.010636,3.678),(1885,805,0.010809,3.678),(1885,815,0.010985,3.6779),(1885,825,0.011165,3.6779),(1885,835,0.011345,3.6778),(1885,845,0.011525,3.6778),(1885,855,0.011707,3.6778),(1885,865,0.011894,3.6777),(1885,875,0.012081,3.6777),(1885,885,0.012267,3.6776),(1885,895,0.012457,3.6776),(1885,905,0.012651,3.6775),(1885,915,0.012845,3.6775),(1885,925,0.013039,3.6774),(1885,935,0.013237,3.6774),(1885,945,0.013439,3.6773),(1885,955,0.013641,3.6772),(1885,965,0.013843,3.6772),(1885,975,0.014049,3.6771),(1885,985,0.014259,3.6771),(1885,995,0.01447,3.677),(1885,1005,0.01468,3.6769),(1885,1015,0.014895,3.6769),(1885,1025,0.015114,3.6768),(1885,1035,0.015333,3.6768),(1885,1045,0.015552,3.6767),(1885,1055,0.015777,3.6766),(1885,1065,0.016005,3.6766),(1885,1075,0.016233,3.6765),(1885,1085,0.016462,3.6764),(1885,1095,0.016696,3.6763),(1885,1105,0.016934,3.6763),(1885,1115,0.017172,3.6762),(1885,1125,0.01741,3.6761),(1885,1135,0.017654,3.676),(1885,1145,0.017903,3.6759),(1885,1155,0.018151,3.6759),(1885,1165,0.0184,3.6758),(1885,1175,0.018655,3.6757),(1885,1185,0.018914,3.6756),(1885,1195,0.019173,3.6755),(1885,1205,0.019432,3.6754),(1885,1215,0.019699,3.6753),(1885,1225,0.019969,3.6752),(1885,1235,0.020239,3.6751),(1885,1245,0.020509,3.675),(1885,1255,0.020788,3.6749),(1885,1265,0.02107,3.6748),(1885,1275,0.021352,3.6747),(1885,1285,0.021634,3.6746),(1885,1295,0.021926,3.6745),(1885,1305,0.02222,3.6744),(1885,1315,0.022514,3.6743),(1885,1325,0.022808,3.6742),(1885,1335,0.023113,3.6741),(1885,1345,0.02342,3.6739),(1885,1355,0.023728,3.6738),(1885,1365,0.024035,3.6737),(1885,1375,0.024353,3.6736),(1885,1385,0.024674,3.6734),(1885,1395,0.024994,3.6733),(1885,1405,0.025315,3.6732),(1885,1415,0.025648,3.673),(1885,1425,0.025982,3.6729),(1885,1435,0.026316,3.6728),(1885,1445,0.026651,3.6726),(1885,1455,0.026999,3.6725),(1885,1465,0.027347,3.6723),(1885,1475,0.027696,3.6722),(1885,1485,0.028045,3.672),(1885,1495,0.028408,3.6718),(1885,1505,0.028771,3.6717),(1885,1515,0.029135,3.6715),(1885,1525,0.029499,3.6713),(1885,1535,0.029878,3.6712),(1885,1545,0.030257,3.671),(1885,1555,0.030635,3.6708),(1885,1565,0.031015,3.6706),(1885,1575,0.03141,3.6704),(1885,1585,0.031805,3.6702),(1885,1595,0.032199,3.67),(1885,1605,0.032596,3.6698),(1885,1615,0.033007,3.6696),(1885,1625,0.033418,3.6694),(1885,1635,0.033828,3.6692),(1885,1645,0.034242,3.669),(1885,1655,0.034669,3.6688),(1885,1665,0.035097,3.6686),(1885,1675,0.035525,3.6683),(1885,1685,0.035955,3.6681),(1885,1695,0.0364,3.6679),(1885,1705,0.036845,3.6676),(1885,1715,0.037289,3.6674),(1885,1725,0.037738,3.6671),(1885,1735,0.0382,3.6669),(1885,1745,0.038662,3.6666),(1885,1755,0.039124,3.6663),(1885,1765,0.039591,3.666),(1885,1775,0.040071,3.6658),(1885,1785,0.040551,3.6655),(1885,1795,0.041031,3.6652),(1885,1805,0.041516,3.6649),(1885,1815,0.042013,3.6646),(1885,1825,0.042511,3.6643),(1885,1835,0.043009,3.664),(1885,1845,0.043513,3.6637),(1885,1855,0.044028,3.6633),(1885,1865,0.044544,3.663),(1885,1875,0.04506,3.6627),(1885,1885,0.045582,3.6623),(1885,1895,0.046116,3.662),(1885,1905,0.04665,3.6616),(1885,1915,0.047184,3.6613),(1885,1925,0.047726,3.6609),(1885,1935,0.048278,3.6605),(1885,1945,0.048831,3.6602),(1885,1955,0.049383,3.6598),(1885,1965,0.049944,3.6594),(1885,1975,0.050514,3.659),(1885,1985,0.051085,3.6586),(1885,1995,0.051655,3.6581),(1885,2005,0.052234,3.6577),(1885,2015,0.052823,3.6573),(1885,2025,0.053411,3.6568),(1885,2035,0.053999,3.6564),(1885,2045,0.054597,3.6559),(1885,2055,0.055203,3.6555),(1885,2065,0.055809,3.655),(1885,2075,0.056415,3.6545),(1885,2085,0.057031,3.654),(1885,2095,0.057654,3.6535),(1885,2105,0.058277,3.653),(1885,2115,0.0589,3.6525),(1885,2125,0.059534,3.6519),(1885,2135,0.060174,3.6514),(1885,2145,0.060814,3.6509),(1885,2155,0.061454,3.6503),(1885,2165,0.062104,3.6497),(1885,2175,0.06276,3.6492),(1885,2185,0.063416,3.6486),(1885,2195,0.064073,3.648),(1885,2205,0.064739,3.6474),(1885,2215,0.06541,3.6468),(1885,2225,0.066082,3.6461),(1885,2235,0.066753,3.6455),(1885,2245,0.067434,3.6448),(1885,2255,0.068119,3.6442),(1885,2265,0.068805,3.6435),(1885,2275,0.06949,3.6428),(1885,2285,0.070185,3.6421),(1885,2295,0.070883,3.6415),(1885,2305,0.071581,3.6407),(1885,2315,0.07228,3.64),(1885,2325,0.072987,3.6393),(1885,2335,0.073697,3.6385),(1885,2345,0.074407,3.6378),(1885,2355,0.075117,3.637),(1885,2365,0.075835,3.6362),(1885,2375,0.076555,3.6354),(1885,2385,0.077275,3.6346),(1885,2395,0.077995,3.6338),(1885,2405,0.078722,3.6329),(1885,2415,0.079451,3.6321),(1885,2425,0.080179,3.6312),(1885,2435,0.080907,3.6304),(1885,2445,0.081642,3.6295),(1885,2455,0.082376,3.6286),(1885,2465,0.083111,3.6277),(1885,2475,0.083846,3.6267),(1885,2485,0.084584,3.6258),(1885,2495,0.085323,3.6249),(1885,2505,0.086062,3.6239),(1885,2515,0.0868,3.6229),(1885,2525,0.087541,3.6219),(1885,2535,0.088281,3.6209),(1885,2545,0.089022,3.6199),(1885,2555,0.089762,3.6188),(1885,2565,0.090502,3.6178),(1885,2575,0.091242,3.6167),(1885,2585,0.091982,3.6156),(1885,2595,0.092721,3.6145),(1885,2605,0.093457,3.6135),(1885,2615,0.094193,3.6123),(1885,2625,0.09493,3.6112),(1885,2635,0.095665,3.61),(1885,2645,0.096394,3.6089),(1885,2655,0.097124,3.6077),(1885,2665,0.097854,3.6065),(1885,2675,0.098582,3.6053),(1885,2685,0.099301,3.6041),(1885,2695,0.10002,3.6028),(1885,2705,0.10074,3.6016),(1885,2715,0.10146,3.6003),(1885,2725,0.10216,3.599),(1885,2735,0.10287,3.5977),(1885,2745,0.10358,3.5964),(1885,2755,0.10428,3.595),(1885,2765,0.10497,3.5937),(1885,2775,0.10566,3.5924),(1885,2785,0.10635,3.591),(1885,2795,0.10704,3.5896),(1885,2805,0.10771,3.5882),(1885,2815,0.10838,3.5868),(1885,2825,0.10905,3.5853),(1885,2835,0.10971,3.5839),(1885,2845,0.11035,3.5824),(1885,2855,0.111,3.5809),(1885,2865,0.11165,3.5794),(1885,2875,0.11228,3.5779),(1885,2885,0.1129,3.5764),(1885,2895,0.11352,3.5748),(1885,2905,0.11414,3.5733),(1885,2915,0.11474,3.5717),(1885,2925,0.11533,3.5701),(1885,2935,0.11591,3.5685),(1885,2945,0.1165,3.5669),(1885,2955,0.11707,3.5653),(1885,2965,0.11762,3.5636),(1885,2975,0.11817,3.562),(1885,2985,0.11872,3.5603),(1885,2995,0.11925,3.5586),(1885,3005,0.11976,3.5569),(1885,3015,0.12027,3.5552),(1885,3025,0.12078,3.5535),(1885,3035,0.12127,3.5517),(1885,3045,0.12174,3.55),(1885,3055,0.1222,3.5482),(1885,3065,0.12267,3.5465),(1885,3075,0.12311,3.5447),(1885,3085,0.12353,3.5429),(1885,3095,0.12395,3.5411),(1885,3105,0.12437,3.5392),(1885,3115,0.12475,3.5374),(1885,3125,0.12512,3.5356),(1885,3135,0.12549,3.5337),(1885,3145,0.12585,3.5318),(1885,3155,0.12618,3.5299),(1885,3165,0.12649,3.528),(1885,3175,0.12681,3.5261),(1885,3185,0.12712,3.5242),(1885,3195,0.12739,3.5223),(1885,3205,0.12764,3.5204),(1885,3215,0.12789,3.5184),(1885,3225,0.12814,3.5165),(1885,3235,0.12835,3.5145),(1885,3245,0.12854,3.5125),(1885,3255,0.12873,3.5106),(1885,3265,0.12892,3.5086),(1885,3275,0.12906,3.5066),(1885,3285,0.12918,3.5046),(1885,3295,0.1293,3.5026),(1885,3305,0.12943,3.5005),(1885,3315,0.12949,3.4985),(1885,3325,0.12955,3.4965),(1885,3335,0.1296,3.4944),(1885,3345,0.12966,3.4924),(1885,3355,0.12965,3.4903),(1885,3365,0.12964,3.4883),(1885,3375,0.12962,3.4862),(1885,3385,0.1296,3.4842),(1885,3395,0.12952,3.4821),(1885,3405,0.12943,3.48),(1885,3415,0.12934,3.478),(1885,3425,0.12925,3.4759),(1885,3435,0.12909,3.4738),(1885,3445,0.12892,3.4717),(1885,3455,0.12875,3.4696),(1885,3465,0.12859,3.4675),(1885,3475,0.12835,3.4654),(1885,3485,0.1281,3.4633),(1885,3495,0.12786,3.4613),(1885,3505,0.12761,3.4592),(1885,3515,0.12729,3.4571),(1885,3525,0.12697,3.455),(1885,3535,0.12665,3.4529),(1885,3545,0.12632,3.4508),(1885,3555,0.12592,3.4487),(1885,3565,0.12552,3.4466),(1885,3575,0.12511,3.4445),(1885,3585,0.12471,3.4424),(1885,3595,0.12422,3.4403),(1885,3605,0.12374,3.4383),(1885,3615,0.12326,3.4362),(1885,3625,0.12277,3.4341),(1885,3635,0.1222,3.432),(1885,3645,0.12164,3.43),(1885,3655,0.12108,3.4279),(1885,3665,0.12051,3.4259),(1885,3675,0.11986,3.4238),(1885,3685,0.11922,3.4218),(1885,3695,0.11858,3.4197),(1885,3705,0.11792,3.4177),(1885,3715,0.1172,3.4157),(1885,3725,0.11649,3.4137),(1885,3735,0.11577,3.4117),(1885,3745,0.11503,3.4097),(1885,3755,0.11423,3.4077),(1885,3765,0.11344,3.4057),(1885,3775,0.11264,3.4037),(1885,3785,0.11182,3.4017),(1885,3795,0.11095,3.3998),(1885,3805,0.11008,3.3978),(1885,3815,0.10921,3.3959),(1885,3825,0.10832,3.394),(1885,3835,0.10737,3.3921),(1885,3845,0.10643,3.3901),(1885,3855,0.10549,3.3883),(1885,3865,0.10452,3.3864),(1885,3875,0.10351,3.3845),(1885,3885,0.1025,3.3827),(1885,3895,0.1015,3.3808),(1885,3905,0.11728,3.379),(1885,3915,0.15816,3.3772),(1885,3925,0.19904,3.3743),(1885,3935,0.23992,3.3698),(1885,3945,0.28326,3.3653),(1885,3955,0.32972,3.3609),(1885,3965,0.37617,3.3551),(1885,3975,0.42263,3.3478),(1885,3985,0.44956,3.3404),(1885,3995,0.45537,3.3331),(1885,4005,0.46118,3.3257),(1885,4015,0.46698,3.3181),(1885,4025,0.47328,3.3106),(1885,4035,0.47963,3.303),(1885,4045,0.48598,3.2952),(1885,4055,0.492,3.2875),(1885,4065,0.49789,3.2797),(1885,4075,0.50378,3.2718),(1885,4085,0.50893,3.2638),(1885,4095,0.51349,3.2559),(1885,4105,0.51804,3.2479),(1885,4115,0.50299,3.2399),(1885,4125,0.45543,3.2319),(1885,4135,0.40787,3.2258),(1885,4145,0.3599,3.2202),(1885,4155,0.31026,3.2146),(1885,4165,0.26063,3.2106),(1885,4175,0.214,3.2075),(1885,4185,0.31652,3.2045),(1885,4195,0.41904,3.1991),(1885,4205,0.52156,3.1907),(1885,4215,0.52053,3.1824),(1885,4225,0.5,3.174),(1885,4235,0.47947,3.1658),(1885,4245,0.4452,3.1575),(1885,4255,0.40396,3.1494),(1885,4265,0.36271,3.1428),(1885,4275,0.30353,3.1362),(1885,4285,0.2253,3.1297),(1885,4295,0.14707,3.1274),(1885,4305,0.13483,3.1256),(1885,4315,0.27159,3.1238),(1885,4325,0.40836,3.1169),(1885,4335,0.53061,3.1081),(1885,4345,0.5546,3.0993),(1885,4355,0.5786,3.0896),(1885,4365,0.6026,3.0791),(1885,4375,0.6107,3.0687),(1885,4385,0.61798,3.0579),(1885,4395,0.62526,3.0466),(1885,4405,0.54689,3.0352),(1885,4415,0.44326,3.0249),(1885,4425,0.33963,3.0188),(1885,4435,0.29872,3.0128),(1885,4445,0.30066,3.0068),(1885,4455,0.30261,3.0014),(1885,4465,0.36032,2.9961),(1885,4475,0.49638,2.9907),(1885,4485,0.63243,2.9808),(1885,4495,0.73993,2.9699),(1885,4505,0.75579,2.959),(1885,4515,0.77165,2.9482),(1885,4525,0.78573,2.9374),(1885,4535,0.77158,2.9266),(1885,4545,0.75744,2.9162),(1885,4555,0.74329,2.9062),(1885,4565,0.5564,2.8963),(1885,4575,0.34622,2.8888),(1885,4585,0.13605,2.8871),(1885,4595,0.14764,2.8853),(1885,4605,0.25295,2.8829),(1885,4615,0.35825,2.8744),(1885,4625,0.44987,2.866),(1885,4635,0.52911,2.8576),(1885,4645,0.60835,2.8462),(1885,4655,0.67726,2.8347),(1885,4665,0.7267,2.8232),(1885,4675,0.77614,2.8117),(1885,4685,0.78885,2.8003),(1885,4695,0.62008,2.7888),(1885,4705,0.45131,2.782),(1885,4715,0.28254,2.7786),(1885,4725,0.38182,2.7753),(1885,4735,0.48379,2.7703),(1885,4745,0.58576,2.7628),(1885,4755,0.70053,2.7554),(1885,4765,0.81827,2.7469),(1885,4775,0.936,2.7349),(1885,4785,0.98949,2.7229),(1885,4795,1.0058,2.7109),(1885,4805,1.0222,2.6988),(1885,4815,0.98439,2.6868),(1885,4825,0.88194,2.6747),(1885,4835,0.77949,2.6663),(1885,4845,0.67151,2.6586),(1885,4855,0.54915,2.6508),(1885,4865,0.42678,2.6453),(1885,4875,0.34209,2.6408),(1885,4885,0.60015,2.6363),(1885,4895,0.85821,2.6272),(1885,4905,1.1163,2.6136),(1885,4915,1.1182,2.6),(1885,4925,1.0981,2.5866),(1885,4935,1.078,2.5735),(1885,4945,0.99478,2.5604),(1885,4955,0.88969,2.5478),(1885,4965,0.78461,2.5378),(1885,4975,0.61885,2.5277),(1885,4985,0.40624,2.5177),(1885,4995,0.19363,2.5164),(1885,5005,0.17259,2.5154),(1885,5015,0.45609,2.5145),(1885,5025,0.73959,2.5065),(1885,5035,0.98655,2.4968),(1885,5045,1.0943,2.4871),(1885,5055,1.202,2.4758),(1885,5065,1.307,2.4636),(1885,5075,1.3212,2.4513),(1885,5085,1.3354,2.4392),(1885,5095,1.3496,2.4272),(1885,5105,1.1839,2.4153),(1885,5115,0.98671,2.4048),(1885,5125,0.78955,2.3986),(1885,5135,0.68479,2.3923),(1885,5145,0.62488,2.3861),(1885,5155,0.56496,2.3803),(1885,5165,0.67105,2.3745),(1885,5175,0.94647,2.3686),(1885,5185,1.2219,2.3554),(1885,5195,1.4149,2.3415),(1885,5205,1.4301,2.3276),(1885,5215,1.4454,2.3139),(1885,5225,1.4528,2.3003),(1885,5235,1.4113,2.2867),(1885,5245,1.3697,2.2742),(1885,5255,1.3282,2.2627),(1885,5265,0.93109,2.2511),(1885,5275,0.5193,2.2436),(1885,5285,0.10752,2.2432),(1885,5295,0.25668,2.2428),(1885,5305,0.56205,2.2399),(1885,5315,0.86742,2.2269),(1885,5325,1.0674,2.2139),(1885,5335,1.1983,2.2008),(1885,5345,1.3291,2.1866),(1885,5355,1.4196,2.1724),(1885,5365,1.4556,2.1581),(1885,5375,1.4915,2.1445),(1885,5385,1.4322,2.1311),(1885,5395,1.0831,2.1176),(1885,5405,0.73406,2.1107),(1885,5415,0.41824,2.1072),(1885,5425,0.54933,2.1037),(1885,5435,0.68042,2.0954),(1885,5445,0.8115,2.0819),(1885,5455,0.97822,2.0684),(1885,5465,1.1493,2.0525),(1885,5475,1.3204,2.0312),(1885,5485,1.3865,2.0099),(1885,5495,1.4104,1.9886),(1885,5505,1.4343,1.9676),(1885,5515,1.4585,1.9466),(1885,5525,1.4829,1.9256),(1885,5535,1.5074,1.905),(1885,5545,1.5314,1.8844),(1885,5555,1.5547,1.8637),(1885,5565,1.5781,1.8434),(1885,5575,1.6012,1.8231),(1885,5585,1.6231,1.8029),(1885,5595,1.6451,1.7828),(1885,5605,1.6671,1.763),(1885,5615,1.6877,1.7432),(1885,5625,1.7083,1.7235),(1885,5635,1.7289,1.7042),(1885,5645,1.7483,1.6848),(1885,5655,1.7676,1.6655),(1885,5665,1.7868,1.6466),(1885,5675,1.8052,1.6276),(1885,5685,1.8232,1.6086),(1885,5695,1.8411,1.59),(1885,5705,1.8585,1.5714),(1885,5715,1.8752,1.5529),(1885,5725,1.8919,1.5346),(1885,5735,1.9082,1.5165),(1885,5745,1.9238,1.4983),(1885,5755,1.9393,1.4804),(1885,5765,1.9548,1.4627),(1885,5775,1.9692,1.4449),(1885,5785,1.9837,1.4273),(1885,5795,1.9982,1.4098),(1885,5805,2.0117,1.3923),(1885,5815,2.0252,1.375),(1885,5825,2.0387,1.3578),(1885,5835,2.0514,1.3407),(1885,5845,2.064,1.3236),(1885,5855,2.0765,1.3067),(1885,5865,2.0886,1.2899),(1885,5875,2.1003,1.273),(1885,5885,2.112,1.2564),(1885,5895,2.1234,1.2398),(1885,5905,2.1343,1.2232),(1885,5915,2.1452,1.2068),(1885,5925,2.1559,1.1905),(1885,5935,2.1661,1.1742),(1885,5945,2.1763,1.158),(1885,5955,2.1864,1.1419),(1885,5965,2.1962,1.1258),(1885,5975,2.206,1.1098),(1885,5985,2.2158,1.0939),(1885,5995,1.6948,1.078),(1885,6005,1.0883,1.0658),(1885,6015,0.48193,1.0638),(1885,6025,0.4988,1.0617),(1885,6035,0.80476,1.0586),(1885,6045,1.1107,1.0449),(1885,6055,1.3305,1.0312),(1885,6065,1.4658,1.0176),(1885,6075,1.6012,0.99975),(1885,6085,1.6944,0.98157),(1885,6095,1.701,0.96339),(1885,6105,1.7075,0.94507),(1885,6115,1.714,0.9267),(1885,6125,1.7202,0.90834),(1885,6135,1.7264,0.88996),(1885,6145,1.7327,0.87158),(1885,6155,1.7385,0.85319),(1885,6165,1.7443,0.83478),(1885,6175,1.7501,0.81632),(1885,6185,1.7556,0.79786),(1885,6195,1.761,0.77938),(1885,6205,1.7664,0.76086),(1885,6215,1.7715,0.74233),(1885,6225,1.7764,0.7238),(1885,6235,1.7814,0.70531),(1885,6245,1.7862,0.68682),(1885,6255,1.7907,0.66833),(1885,6265,1.7953,0.64976),(1885,6275,1.7997,0.63118),(1885,6285,1.8039,0.61259),(1885,6295,1.8081,0.59394),(1885,6305,1.8123,0.57524),(1885,6315,1.8161,0.55655),(1885,6325,1.8198,0.53785),(1885,6335,1.8236,0.51915),(1885,6345,1.827,0.50044),(1885,6355,1.8303,0.48173),(1885,6365,1.8337,0.46298),(1885,6375,1.8367,0.44423),(1885,6385,1.8397,0.42548),(1885,6395,1.8426,0.40674),(1885,6405,1.8453,0.388),(1885,6415,1.8478,0.36926),(1885,6425,1.8504,0.35054),(1885,6435,1.8527,0.33181),(1885,6445,1.8549,0.31309),(1885,6455,1.857,0.29435),(1885,6465,1.859,0.27561),(1885,6475,1.8607,0.25686),(1885,6485,1.8625,0.23807),(1885,6495,1.8642,0.21924),(1885,6505,1.8655,0.20041),(1885,6515,1.8668,0.18158),(1885,6525,1.8681,0.16273),(1885,6535,1.8691,0.14388),(1885,6545,1.87,0.12503),(1885,6555,1.8709,0.10621),(1885,6565,1.8715,0.087382),(1885,6575,1.872,0.068556),(1885,6585,1.8724,0.049735),(1885,6595,1.5928,0.030914),(1885,6605,1.0037,0.012093),(1885,6615,0.41473,0.009892),(1885,6625,0.000665,0.009827),(1885,6635,0.000668,0.009762),(1885,6645,0.00067,0.009736),(1885,6655,0.000673,0.009727),(1885,6665,0.000675,0.009717),(1885,6675,0.000677,0.009708),(1885,6685,0.00068,0.009698),(1885,6695,0.000682,0.009689),(1885,6705,0.000684,0.00968),(1885,6715,0.000686,0.00967),(1885,6725,0.000688,0.009661),(1885,6735,0.00069,0.009652),(1885,6745,0.000692,0.009642),(1885,6755,0.000694,0.009633),(1885,6765,0.000696,0.009623),(1885,6775,0.000698,0.009614),(1885,6785,0.0007,0.009605),(1885,6795,0.000702,0.009595),(1885,6805,0.000704,0.009586),(1885,6815,0.000706,0.009577),(1885,6825,0.000708,0.009567),(1885,6835,0.000709,0.009558),(1885,6845,0.000711,0.009549),(1885,6855,0.000713,0.00954),(1885,6865,0.000714,0.00953),(1885,6875,0.000716,0.009521),(1885,6885,0.000718,0.009512),(1885,6895,0.000719,0.009503),(1885,6905,0.000721,0.009493),(1885,6915,0.000722,0.009484),(1885,6925,0.000724,0.009475),(1885,6935,0.000725,0.009466),(1885,6945,0.000727,0.009457),(1885,6955,0.000728,0.009447),(1885,6965,0.000729,0.009438),(1885,6975,0.000731,0.009429),(1885,6985,0.000732,0.00942),(1895,5,5.7e-05,3.6795),(1895,15,0.000172,3.6795),(1895,25,0.000286,3.6795),(1895,35,0.000401,3.6795),(1895,45,0.000516,3.6795),(1895,55,0.00063,3.6795),(1895,65,0.000745,3.6795),(1895,75,0.00086,3.6795),(1895,85,0.000975,3.6795),(1895,95,0.00109,3.6795),(1895,105,0.001205,3.6795),(1895,115,0.001321,3.6795),(1895,125,0.001437,3.6795),(1895,135,0.001552,3.6795),(1895,145,0.001669,3.6795),(1895,155,0.001785,3.6795),(1895,165,0.001902,3.6795),(1895,175,0.002019,3.6795),(1895,185,0.002136,3.6795),(1895,195,0.002254,3.6795),(1895,205,0.002372,3.6795),(1895,215,0.00249,3.6795),(1895,225,0.002609,3.6794),(1895,235,0.002728,3.6794),(1895,245,0.002847,3.6794),(1895,255,0.002967,3.6794),(1895,265,0.003087,3.6794),(1895,275,0.003209,3.6794),(1895,285,0.00333,3.6794),(1895,295,0.003451,3.6794),(1895,305,0.003574,3.6794),(1895,315,0.003697,3.6794),(1895,325,0.00382,3.6793),(1895,335,0.003943,3.6793),(1895,345,0.004068,3.6793),(1895,355,0.004194,3.6793),(1895,365,0.00432,3.6793),(1895,375,0.004445,3.6793),(1895,385,0.004573,3.6793),(1895,395,0.004701,3.6792),(1895,405,0.004829,3.6792),(1895,415,0.004957,3.6792),(1895,425,0.005088,3.6792),(1895,435,0.00522,3.6792),(1895,445,0.005351,3.6792),(1895,455,0.005482,3.6791),(1895,465,0.005616,3.6791),(1895,475,0.005751,3.6791),(1895,485,0.005885,3.6791),(1895,495,0.00602,3.6791),(1895,505,0.006158,3.679),(1895,515,0.006296,3.679),(1895,525,0.006434,3.679),(1895,535,0.006572,3.679),(1895,545,0.006714,3.679),(1895,555,0.006856,3.6789),(1895,565,0.006998,3.6789),(1895,575,0.007141,3.6789),(1895,585,0.007287,3.6789),(1895,595,0.007433,3.6788),(1895,605,0.007579,3.6788),(1895,615,0.007726,3.6788),(1895,625,0.007877,3.6788),(1895,635,0.008028,3.6787),(1895,645,0.008179,3.6787),(1895,655,0.00833,3.6787),(1895,665,0.008486,3.6786),(1895,675,0.008642,3.6786),(1895,685,0.008798,3.6786),(1895,695,0.008955,3.6785),(1895,705,0.009116,3.6785),(1895,715,0.009277,3.6785),(1895,725,0.009438,3.6784),(1895,735,0.009601,3.6784),(1895,745,0.009768,3.6784),(1895,755,0.009935,3.6783),(1895,765,0.010102,3.6783),(1895,775,0.010271,3.6783),(1895,785,0.010444,3.6782),(1895,795,0.010617,3.6782),(1895,805,0.010791,3.6781),(1895,815,0.010966,3.6781),(1895,825,0.011146,3.6781),(1895,835,0.011326,3.678),(1895,845,0.011505,3.678),(1895,855,0.011688,3.6779),(1895,865,0.011874,3.6779),(1895,875,0.012061,3.6778),(1895,885,0.012248,3.6778),(1895,895,0.012437,3.6778),(1895,905,0.012631,3.6777),(1895,915,0.012825,3.6777),(1895,925,0.013019,3.6776),(1895,935,0.013217,3.6776),(1895,945,0.013419,3.6775),(1895,955,0.013621,3.6774),(1895,965,0.013823,3.6774),(1895,975,0.014029,3.6773),(1895,985,0.014239,3.6773),(1895,995,0.01445,3.6772),(1895,1005,0.01466,3.6772),(1895,1015,0.014875,3.6771),(1895,1025,0.015094,3.677),(1895,1035,0.015314,3.677),(1895,1045,0.015533,3.6769),(1895,1055,0.015757,3.6768),(1895,1065,0.015985,3.6768),(1895,1075,0.016214,3.6767),(1895,1085,0.016442,3.6766),(1895,1095,0.016677,3.6766),(1895,1105,0.016915,3.6765),(1895,1115,0.017153,3.6764),(1895,1125,0.017391,3.6763),(1895,1135,0.017636,3.6763),(1895,1145,0.017885,3.6762),(1895,1155,0.018133,3.6761),(1895,1165,0.018382,3.676),(1895,1175,0.018638,3.6759),(1895,1185,0.018897,3.6759),(1895,1195,0.019157,3.6758),(1895,1205,0.019416,3.6757),(1895,1215,0.019683,3.6756),(1895,1225,0.019954,3.6755),(1895,1235,0.020224,3.6754),(1895,1245,0.020495,3.6753),(1895,1255,0.020774,3.6752),(1895,1265,0.021057,3.6751),(1895,1275,0.021339,3.675),(1895,1285,0.021622,3.6749),(1895,1295,0.021914,3.6748),(1895,1305,0.022209,3.6747),(1895,1315,0.022503,3.6746),(1895,1325,0.022798,3.6745),(1895,1335,0.023104,3.6744),(1895,1345,0.023411,3.6743),(1895,1355,0.023719,3.6741),(1895,1365,0.024027,3.674),(1895,1375,0.024346,3.6739),(1895,1385,0.024668,3.6738),(1895,1395,0.024989,3.6736),(1895,1405,0.02531,3.6735),(1895,1415,0.025644,3.6734),(1895,1425,0.02598,3.6732),(1895,1435,0.026315,3.6731),(1895,1445,0.02665,3.6729),(1895,1455,0.026999,3.6728),(1895,1465,0.027349,3.6727),(1895,1475,0.027699,3.6725),(1895,1485,0.028048,3.6723),(1895,1495,0.028413,3.6722),(1895,1505,0.028778,3.672),(1895,1515,0.029142,3.6719),(1895,1525,0.029508,3.6717),(1895,1535,0.029888,3.6715),(1895,1545,0.030268,3.6714),(1895,1555,0.030648,3.6712),(1895,1565,0.03103,3.671),(1895,1575,0.031426,3.6708),(1895,1585,0.031822,3.6706),(1895,1595,0.032219,3.6704),(1895,1605,0.032617,3.6702),(1895,1615,0.033029,3.67),(1895,1625,0.033442,3.6698),(1895,1635,0.033855,3.6696),(1895,1645,0.03427,3.6694),(1895,1655,0.034699,3.6692),(1895,1665,0.035129,3.669),(1895,1675,0.035558,3.6688),(1895,1685,0.035991,3.6685),(1895,1695,0.036438,3.6683),(1895,1705,0.036885,3.6681),(1895,1715,0.037332,3.6678),(1895,1725,0.037783,3.6676),(1895,1735,0.038247,3.6673),(1895,1745,0.038712,3.6671),(1895,1755,0.039177,3.6668),(1895,1765,0.039646,3.6665),(1895,1775,0.040128,3.6663),(1895,1785,0.040611,3.666),(1895,1795,0.041093,3.6657),(1895,1805,0.041582,3.6654),(1895,1815,0.042082,3.6651),(1895,1825,0.042583,3.6648),(1895,1835,0.043084,3.6645),(1895,1845,0.04359,3.6642),(1895,1855,0.044109,3.6639),(1895,1865,0.044628,3.6635),(1895,1875,0.045147,3.6632),(1895,1885,0.045673,3.6629),(1895,1895,0.046211,3.6625),(1895,1905,0.046748,3.6622),(1895,1915,0.047286,3.6618),(1895,1925,0.047831,3.6615),(1895,1935,0.048387,3.6611),(1895,1945,0.048944,3.6607),(1895,1955,0.0495,3.6603),(1895,1965,0.050065,3.6599),(1895,1975,0.050639,3.6595),(1895,1985,0.051214,3.6591),(1895,1995,0.051789,3.6587),(1895,2005,0.052373,3.6583),(1895,2015,0.052966,3.6579),(1895,2025,0.053558,3.6574),(1895,2035,0.054151,3.657),(1895,2045,0.054754,3.6565),(1895,2055,0.055365,3.6561),(1895,2065,0.055976,3.6556),(1895,2075,0.056586,3.6551),(1895,2085,0.057207,3.6546),(1895,2095,0.057836,3.6541),(1895,2105,0.058464,3.6536),(1895,2115,0.059093,3.6531),(1895,2125,0.059732,3.6526),(1895,2135,0.060377,3.6521),(1895,2145,0.061023,3.6515),(1895,2155,0.061669,3.651),(1895,2165,0.062325,3.6504),(1895,2175,0.062988,3.6498),(1895,2185,0.06365,3.6492),(1895,2195,0.064312,3.6486),(1895,2205,0.064985,3.648),(1895,2215,0.065663,3.6474),(1895,2225,0.06634,3.6468),(1895,2235,0.067018,3.6462),(1895,2245,0.067706,3.6455),(1895,2255,0.068399,3.6449),(1895,2265,0.069091,3.6442),(1895,2275,0.069783,3.6435),(1895,2285,0.070485,3.6429),(1895,2295,0.071191,3.6422),(1895,2305,0.071896,3.6414),(1895,2315,0.072601,3.6407),(1895,2325,0.073317,3.64),(1895,2335,0.074034,3.6393),(1895,2345,0.074752,3.6385),(1895,2355,0.075469,3.6377),(1895,2365,0.076196,3.6369),(1895,2375,0.076924,3.6362),(1895,2385,0.077652,3.6353),(1895,2395,0.07838,3.6345),(1895,2405,0.079116,3.6337),(1895,2415,0.079852,3.6329),(1895,2425,0.080589,3.632),(1895,2435,0.081326,3.6311),(1895,2445,0.082069,3.6302),(1895,2455,0.082813,3.6293),(1895,2465,0.083556,3.6284),(1895,2475,0.0843,3.6275),(1895,2485,0.085047,3.6266),(1895,2495,0.085795,3.6256),(1895,2505,0.086543,3.6246),(1895,2515,0.087291,3.6236),(1895,2525,0.088041,3.6227),(1895,2535,0.088791,3.6217),(1895,2545,0.089541,3.6206),(1895,2555,0.090291,3.6196),(1895,2565,0.091041,3.6185),(1895,2575,0.09179,3.6175),(1895,2585,0.09254,3.6164),(1895,2595,0.093289,3.6153),(1895,2605,0.094036,3.6142),(1895,2615,0.094782,3.6131),(1895,2625,0.095528,3.6119),(1895,2635,0.096274,3.6108),(1895,2645,0.097014,3.6096),(1895,2655,0.097754,3.6085),(1895,2665,0.098494,3.6072),(1895,2675,0.099232,3.606),(1895,2685,0.099962,3.6048),(1895,2695,0.10069,3.6036),(1895,2705,0.10142,3.6023),(1895,2715,0.10215,3.601),(1895,2725,0.10287,3.5997),(1895,2735,0.10359,3.5984),(1895,2745,0.1043,3.5971),(1895,2755,0.10502,3.5958),(1895,2765,0.10572,3.5944),(1895,2775,0.10642,3.5931),(1895,2785,0.10712,3.5917),(1895,2795,0.10782,3.5903),(1895,2805,0.1085,3.5889),(1895,2815,0.10918,3.5874),(1895,2825,0.10986,3.586),(1895,2835,0.11053,3.5845),(1895,2845,0.11119,3.5831),(1895,2855,0.11184,3.5816),(1895,2865,0.1125,3.5801),(1895,2875,0.11315,3.5785),(1895,2885,0.11378,3.577),(1895,2895,0.11441,3.5755),(1895,2905,0.11503,3.5739),(1895,2915,0.11565,3.5723),(1895,2925,0.11625,3.5707),(1895,2935,0.11684,3.5691),(1895,2945,0.11744,3.5675),(1895,2955,0.11802,3.5659),(1895,2965,0.11858,3.5642),(1895,2975,0.11914,3.5625),(1895,2985,0.1197,3.5609),(1895,2995,0.12024,3.5592),(1895,3005,0.12076,3.5575),(1895,3015,0.12129,3.5557),(1895,3025,0.12181,3.554),(1895,3035,0.1223,3.5522),(1895,3045,0.12278,3.5505),(1895,3055,0.12326,3.5487),(1895,3065,0.12373,3.5469),(1895,3075,0.12418,3.5451),(1895,3085,0.12461,3.5433),(1895,3095,0.12504,3.5415),(1895,3105,0.12546,3.5396),(1895,3115,0.12586,3.5378),(1895,3125,0.12624,3.5359),(1895,3135,0.12661,3.5341),(1895,3145,0.12699,3.5322),(1895,3155,0.12733,3.5303),(1895,3165,0.12765,3.5284),(1895,3175,0.12797,3.5265),(1895,3185,0.12829,3.5245),(1895,3195,0.12856,3.5226),(1895,3205,0.12882,3.5206),(1895,3215,0.12908,3.5187),(1895,3225,0.12934,3.5167),(1895,3235,0.12956,3.5147),(1895,3245,0.12975,3.5127),(1895,3255,0.12995,3.5107),(1895,3265,0.13015,3.5087),(1895,3275,0.13029,3.5067),(1895,3285,0.13042,3.5047),(1895,3295,0.13055,3.5027),(1895,3305,0.13068,3.5006),(1895,3315,0.13075,3.4986),(1895,3325,0.13081,3.4966),(1895,3335,0.13088,3.4945),(1895,3345,0.13094,3.4924),(1895,3355,0.13093,3.4904),(1895,3365,0.13092,3.4883),(1895,3375,0.13091,3.4862),(1895,3385,0.1309,3.4841),(1895,3395,0.13082,3.482),(1895,3405,0.13073,3.48),(1895,3415,0.13065,3.4779),(1895,3425,0.13056,3.4758),(1895,3435,0.1304,3.4737),(1895,3445,0.13024,3.4715),(1895,3455,0.13008,3.4694),(1895,3465,0.12991,3.4673),(1895,3475,0.12967,3.4652),(1895,3485,0.12943,3.4631),(1895,3495,0.12919,3.461),(1895,3505,0.12895,3.4589),(1895,3515,0.12863,3.4568),(1895,3525,0.12831,3.4547),(1895,3535,0.12799,3.4525),(1895,3545,0.12766,3.4504),(1895,3555,0.12726,3.4483),(1895,3565,0.12686,3.4462),(1895,3575,0.12646,3.4441),(1895,3585,0.12605,3.442),(1895,3595,0.12557,3.4399),(1895,3605,0.12508,3.4378),(1895,3615,0.1246,3.4357),(1895,3625,0.12411,3.4336),(1895,3635,0.12355,3.4315),(1895,3645,0.12298,3.4294),(1895,3655,0.12242,3.4273),(1895,3665,0.12184,3.4253),(1895,3675,0.1212,3.4232),(1895,3685,0.12056,3.4211),(1895,3695,0.11991,3.4191),(1895,3705,0.11925,3.417),(1895,3715,0.11853,3.415),(1895,3725,0.11781,3.4129),(1895,3735,0.11709,3.4109),(1895,3745,0.11634,3.4089),(1895,3755,0.11554,3.4069),(1895,3765,0.11474,3.4049),(1895,3775,0.11394,3.4029),(1895,3785,0.11312,3.4009),(1895,3795,0.11225,3.3989),(1895,3805,0.11137,3.3969),(1895,3815,0.1105,3.395),(1895,3825,0.1096,3.3931),(1895,3835,0.10865,3.3911),(1895,3845,0.1077,3.3892),(1895,3855,0.10675,3.3873),(1895,3865,0.10578,3.3854),(1895,3875,0.10476,3.3835),(1895,3885,0.10375,3.3816),(1895,3895,0.10273,3.3798),(1895,3905,0.11869,3.378),(1895,3915,0.16,3.3761),(1895,3925,0.20132,3.3732),(1895,3935,0.24263,3.3687),(1895,3945,0.28641,3.3642),(1895,3955,0.33332,3.3597),(1895,3965,0.38024,3.3539),(1895,3975,0.42715,3.3465),(1895,3985,0.45433,3.3391),(1895,3995,0.46017,3.3317),(1895,4005,0.466,3.3242),(1895,4015,0.47183,3.3166),(1895,4025,0.47816,3.309),(1895,4035,0.48454,3.3014),(1895,4045,0.49092,3.2935),(1895,4055,0.49696,3.2857),(1895,4065,0.50287,3.2778),(1895,4075,0.50878,3.2698),(1895,4085,0.51394,3.2618),(1895,4095,0.5185,3.2538),(1895,4105,0.52305,3.2457),(1895,4115,0.50781,3.2375),(1895,4125,0.45974,3.2294),(1895,4135,0.41168,3.2232),(1895,4145,0.3632,3.2176),(1895,4155,0.31308,3.212),(1895,4165,0.26295,3.2079),(1895,4175,0.21586,3.2048),(1895,4185,0.31945,3.2018),(1895,4195,0.42304,3.1964),(1895,4205,0.52663,3.1879),(1895,4215,0.52582,3.1795),(1895,4225,0.50535,3.171),(1895,4235,0.48489,3.1626),(1895,4245,0.45044,3.1543),(1895,4255,0.4089,3.146),(1895,4265,0.36735,3.1394),(1895,4275,0.30752,3.1328),(1895,4285,0.22827,3.1261),(1895,4295,0.14903,3.1238),(1895,4305,0.13651,3.122),(1895,4315,0.27469,3.1202),(1895,4325,0.41287,3.1133),(1895,4335,0.53639,3.1045),(1895,4345,0.56075,3.0956),(1895,4355,0.58511,3.0859),(1895,4365,0.60947,3.0752),(1895,4375,0.6178,3.0646),(1895,4385,0.62528,3.0537),(1895,4395,0.63277,3.0423),(1895,4405,0.55363,3.0309),(1895,4415,0.44895,3.0204),(1895,4425,0.34427,3.0145),(1895,4435,0.30279,3.0085),(1895,4445,0.30451,3.0025),(1895,4455,0.30623,2.9972),(1895,4465,0.3642,2.9918),(1895,4475,0.50119,2.9865),(1895,4485,0.63818,2.9766),(1895,4495,0.74636,2.9657),(1895,4505,0.76211,2.9548),(1895,4515,0.77787,2.9439),(1895,4525,0.79183,2.933),(1895,4535,0.77751,2.9221),(1895,4545,0.76318,2.9116),(1895,4555,0.74886,2.9015),(1895,4565,0.56075,2.8915),(1895,4575,0.34922,2.8838),(1895,4585,0.13768,2.8821),(1895,4595,0.1499,2.8803),(1895,4605,0.25665,2.8778),(1895,4615,0.36341,2.8692),(1895,4625,0.45599,2.8606),(1895,4635,0.53573,2.852),(1895,4645,0.61547,2.8406),(1895,4655,0.68461,2.8291),(1895,4665,0.73376,2.8175),(1895,4675,0.78291,2.8061),(1895,4685,0.79513,2.7946),(1895,4695,0.62482,2.7831),(1895,4705,0.45452,2.7763),(1895,4715,0.28422,2.773),(1895,4725,0.38415,2.7696),(1895,4735,0.48679,2.7645),(1895,4745,0.58942,2.757),(1895,4755,0.70492,2.7494),(1895,4765,0.8234,2.7409),(1895,4775,0.94187,2.7288),(1895,4785,0.9956,2.7167),(1895,4795,1.0119,2.7046),(1895,4805,1.0282,2.6925),(1895,4815,0.99003,2.6804),(1895,4825,0.88684,2.6683),(1895,4835,0.78364,2.66),(1895,4845,0.67504,2.6524),(1895,4855,0.55234,2.6447),(1895,4865,0.42964,2.6392),(1895,4875,0.34478,2.6347),(1895,4885,0.6042,2.6302),(1895,4895,0.86361,2.6211),(1895,4905,1.123,2.6075),(1895,4915,1.125,2.5939),(1895,4925,1.1048,2.5805),(1895,4935,1.0846,2.5675),(1895,4945,1.0012,2.5545),(1895,4955,0.89572,2.5419),(1895,4965,0.79029,2.5318),(1895,4975,0.62349,2.5217),(1895,4985,0.40934,2.5117),(1895,4995,0.19518,2.5104),(1895,5005,0.1736,2.5094),(1895,5015,0.45819,2.5084),(1895,5025,0.74278,2.5005),(1895,5035,0.99063,2.4909),(1895,5045,1.0985,2.4812),(1895,5055,1.2065,2.4699),(1895,5065,1.3116,2.4577),(1895,5075,1.3256,2.4455),(1895,5085,1.3397,2.4333),(1895,5095,1.3537,2.4214),(1895,5105,1.1874,2.4095),(1895,5115,0.98959,2.399),(1895,5125,0.79179,2.3928),(1895,5135,0.68696,2.3865),(1895,5145,0.62724,2.3803),(1895,5155,0.56751,2.3745),(1895,5165,0.67417,2.3687),(1895,5175,0.95052,2.3628),(1895,5185,1.2269,2.3497),(1895,5195,1.4204,2.3358),(1895,5205,1.4355,2.3219),(1895,5215,1.4506,2.3082),(1895,5225,1.4577,2.2947),(1895,5235,1.4159,2.2811),(1895,5245,1.374,2.2687),(1895,5255,1.3321,2.2571),(1895,5265,0.93387,2.2456),(1895,5275,0.52097,2.2381),(1895,5285,0.10807,2.2377),(1895,5295,0.25862,2.2373),(1895,5305,0.56607,2.2344),(1895,5315,0.87353,2.2214),(1895,5325,1.0741,2.2083),(1895,5335,1.2047,2.1953),(1895,5345,1.3352,2.181),(1895,5355,1.4253,2.1668),(1895,5365,1.4609,2.1526),(1895,5375,1.4964,2.139),(1895,5385,1.4365,2.1256),(1895,5395,1.0864,2.1122),(1895,5405,0.73619,2.1053),(1895,5415,0.41952,2.1017),(1895,5425,0.5529,2.0982),(1895,5435,0.68627,2.0899),(1895,5445,0.81965,2.0764),(1895,5455,0.98783,2.0629),(1895,5465,1.1603,2.0471),(1895,5475,1.3327,2.0258),(1895,5485,1.3991,2.0045),(1895,5495,1.4228,1.9833),(1895,5505,1.4465,1.9623),(1895,5515,1.4705,1.9414),(1895,5525,1.4947,1.9204),(1895,5535,1.5189,1.8998),(1895,5545,1.5427,1.8792),(1895,5555,1.5658,1.8586),(1895,5565,1.5889,1.8384),(1895,5575,1.6117,1.8182),(1895,5585,1.6334,1.798),(1895,5595,1.6552,1.778),(1895,5605,1.6769,1.7582),(1895,5615,1.6973,1.7385),(1895,5625,1.7176,1.7189),(1895,5635,1.738,1.6996),(1895,5645,1.7572,1.6803),(1895,5655,1.7763,1.6611),(1895,5665,1.7953,1.6422),(1895,5675,1.8134,1.6233),(1895,5685,1.8312,1.6044),(1895,5695,1.8489,1.5859),(1895,5705,1.866,1.5674),(1895,5715,1.8825,1.5489),(1895,5725,1.899,1.5307),(1895,5735,1.9152,1.5127),(1895,5745,1.9306,1.4946),(1895,5755,1.9459,1.4768),(1895,5765,1.9612,1.4591),(1895,5775,1.9755,1.4413),(1895,5785,1.9898,1.4238),(1895,5795,2.0041,1.4064),(1895,5805,2.0174,1.389),(1895,5815,2.0308,1.3718),(1895,5825,2.0441,1.3547),(1895,5835,2.0567,1.3376),(1895,5845,2.0691,1.3206),(1895,5855,2.0815,1.3038),(1895,5865,2.0934,1.287),(1895,5875,2.1049,1.2702),(1895,5885,2.1165,1.2537),(1895,5895,2.1277,1.2372),(1895,5905,2.1385,1.2206),(1895,5915,2.1493,1.2043),(1895,5925,2.1599,1.188),(1895,5935,2.17,1.1718),(1895,5945,2.1801,1.1557),(1895,5955,2.1901,1.1396),(1895,5965,2.1998,1.1236),(1895,5975,2.2094,1.1076),(1895,5985,2.2191,1.0918),(1895,5995,1.6973,1.076),(1895,6005,1.09,1.0639),(1895,6015,0.48263,1.0619),(1895,6025,0.50056,1.0598),(1895,6035,0.80849,1.0567),(1895,6045,1.1164,1.043),(1895,6055,1.3375,1.0294),(1895,6065,1.4735,1.0157),(1895,6075,1.6095,0.99791),(1895,6085,1.7032,0.97975),(1895,6095,1.7097,0.96159),(1895,6105,1.7163,0.94329),(1895,6115,1.7227,0.92495),(1895,6125,1.729,0.90661),(1895,6135,1.7352,0.88826),(1895,6145,1.7414,0.86989),(1895,6155,1.7472,0.85153),(1895,6165,1.7531,0.83314),(1895,6175,1.7589,0.8147),(1895,6185,1.7644,0.79626),(1895,6195,1.7698,0.77781),(1895,6205,1.7751,0.7593),(1895,6215,1.7803,0.74079),(1895,6225,1.7852,0.72228),(1895,6235,1.7902,0.70381),(1895,6245,1.795,0.68534),(1895,6255,1.7995,0.66687),(1895,6265,1.8041,0.64834),(1895,6275,1.8085,0.62979),(1895,6285,1.8127,0.61124),(1895,6295,1.8169,0.59263),(1895,6305,1.821,0.574),(1895,6315,1.8248,0.55536),(1895,6325,1.8285,0.53671),(1895,6335,1.8322,0.51803),(1895,6345,1.8356,0.49936),(1895,6355,1.839,0.48067),(1895,6365,1.8423,0.46196),(1895,6375,1.8454,0.44325),(1895,6385,1.8483,0.42453),(1895,6395,1.8513,0.40583),(1895,6405,1.854,0.38713),(1895,6415,1.8565,0.36843),(1895,6425,1.859,0.34974),(1895,6435,1.8614,0.33106),(1895,6445,1.8635,0.31238),(1895,6455,1.8656,0.29368),(1895,6465,1.8677,0.27498),(1895,6475,1.8694,0.25628),(1895,6485,1.8711,0.23753),(1895,6495,1.8728,0.21874),(1895,6505,1.8741,0.19996),(1895,6515,1.8754,0.18117),(1895,6525,1.8767,0.16236),(1895,6535,1.8777,0.14356),(1895,6545,1.8786,0.12476),(1895,6555,1.8795,0.10597),(1895,6565,1.8801,0.087179),(1895,6575,1.8806,0.06839),(1895,6585,1.881,0.049624),(1895,6595,1.6001,0.030858),(1895,6605,1.0084,0.012093),(1895,6615,0.41663,0.009897),(1895,6625,0.000671,0.009831),(1895,6635,0.000673,0.009765),(1895,6645,0.000676,0.009739),(1895,6655,0.000678,0.009729),(1895,6665,0.000681,0.00972),(1895,6675,0.000683,0.00971),(1895,6685,0.000685,0.009701),(1895,6695,0.000687,0.009691),(1895,6705,0.000689,0.009682),(1895,6715,0.000692,0.009672),(1895,6725,0.000694,0.009663),(1895,6735,0.000696,0.009654),(1895,6745,0.000698,0.009644),(1895,6755,0.0007,0.009635),(1895,6765,0.000702,0.009625),(1895,6775,0.000704,0.009616),(1895,6785,0.000706,0.009607),(1895,6795,0.000707,0.009597),(1895,6805,0.000709,0.009588),(1895,6815,0.000711,0.009579),(1895,6825,0.000713,0.009569),(1895,6835,0.000715,0.00956),(1895,6845,0.000716,0.00955),(1895,6855,0.000718,0.009541),(1895,6865,0.00072,0.009532),(1895,6875,0.000721,0.009523),(1895,6885,0.000723,0.009513),(1895,6895,0.000724,0.009504),(1895,6905,0.000726,0.009495),(1895,6915,0.000728,0.009486),(1895,6925,0.000729,0.009476),(1895,6935,0.00073,0.009467),(1895,6945,0.000732,0.009458),(1895,6955,0.000733,0.009449),(1895,6965,0.000735,0.00944),(1895,6975,0.000736,0.009431),(1895,6985,0.000737,0.009421),(1905,5,5.7e-05,3.6797),(1905,15,0.000171,3.6797),(1905,25,0.000286,3.6797),(1905,35,0.0004,3.6797),(1905,45,0.000514,3.6797),(1905,55,0.000629,3.6797),(1905,65,0.000743,3.6796),(1905,75,0.000858,3.6796),(1905,85,0.000973,3.6796),(1905,95,0.001087,3.6796),(1905,105,0.001203,3.6796),(1905,115,0.001318,3.6796),(1905,125,0.001434,3.6796),(1905,135,0.001549,3.6796),(1905,145,0.001665,3.6796),(1905,155,0.001781,3.6796),(1905,165,0.001898,3.6796),(1905,175,0.002014,3.6796),(1905,185,0.002131,3.6796),(1905,195,0.002249,3.6796),(1905,205,0.002366,3.6796),(1905,215,0.002484,3.6796),(1905,225,0.002603,3.6796),(1905,235,0.002722,3.6796),(1905,245,0.002841,3.6795),(1905,255,0.00296,3.6795),(1905,265,0.00308,3.6795),(1905,275,0.003201,3.6795),(1905,285,0.003322,3.6795),(1905,295,0.003443,3.6795),(1905,305,0.003566,3.6795),(1905,315,0.003689,3.6795),(1905,325,0.003812,3.6795),(1905,335,0.003935,3.6795),(1905,345,0.004059,3.6794),(1905,355,0.004185,3.6794),(1905,365,0.00431,3.6794),(1905,375,0.004435,3.6794),(1905,385,0.004563,3.6794),(1905,395,0.004691,3.6794),(1905,405,0.004819,3.6794),(1905,415,0.004947,3.6793),(1905,425,0.005077,3.6793),(1905,435,0.005208,3.6793),(1905,445,0.005339,3.6793),(1905,455,0.00547,3.6793),(1905,465,0.005604,3.6793),(1905,475,0.005738,3.6792),(1905,485,0.005873,3.6792),(1905,495,0.006007,3.6792),(1905,505,0.006145,3.6792),(1905,515,0.006283,3.6792),(1905,525,0.00642,3.6791),(1905,535,0.006559,3.6791),(1905,545,0.0067,3.6791),(1905,555,0.006842,3.6791),(1905,565,0.006984,3.679),(1905,575,0.007126,3.679),(1905,585,0.007272,3.679),(1905,595,0.007418,3.679),(1905,605,0.007564,3.679),(1905,615,0.007711,3.6789),(1905,625,0.007861,3.6789),(1905,635,0.008012,3.6789),(1905,645,0.008163,3.6788),(1905,655,0.008314,3.6788),(1905,665,0.00847,3.6788),(1905,675,0.008625,3.6788),(1905,685,0.008781,3.6787),(1905,695,0.008938,3.6787),(1905,705,0.009099,3.6787),(1905,715,0.00926,3.6786),(1905,725,0.009421,3.6786),(1905,735,0.009583,3.6786),(1905,745,0.00975,3.6785),(1905,755,0.009917,3.6785),(1905,765,0.010084,3.6785),(1905,775,0.010252,3.6784),(1905,785,0.010425,3.6784),(1905,795,0.010598,3.6784),(1905,805,0.010772,3.6783),(1905,815,0.010947,3.6783),(1905,825,0.011127,3.6782),(1905,835,0.011306,3.6782),(1905,845,0.011486,3.6782),(1905,855,0.011668,3.6781),(1905,865,0.011855,3.6781),(1905,875,0.012042,3.678),(1905,885,0.012228,3.678),(1905,895,0.012418,3.6779),(1905,905,0.012612,3.6779),(1905,915,0.012806,3.6778),(1905,925,0.013,3.6778),(1905,935,0.013197,3.6777),(1905,945,0.013399,3.6777),(1905,955,0.013601,3.6776),(1905,965,0.013803,3.6776),(1905,975,0.014009,3.6775),(1905,985,0.014219,3.6775),(1905,995,0.01443,3.6774),(1905,1005,0.01464,3.6774),(1905,1015,0.014855,3.6773),(1905,1025,0.015075,3.6773),(1905,1035,0.015294,3.6772),(1905,1045,0.015513,3.6771),(1905,1055,0.015737,3.6771),(1905,1065,0.015966,3.677),(1905,1075,0.016195,3.6769),(1905,1085,0.016423,3.6769),(1905,1095,0.016657,3.6768),(1905,1105,0.016896,3.6767),(1905,1115,0.017134,3.6767),(1905,1125,0.017373,3.6766),(1905,1135,0.017618,3.6765),(1905,1145,0.017867,3.6764),(1905,1155,0.018115,3.6764),(1905,1165,0.018364,3.6763),(1905,1175,0.018621,3.6762),(1905,1185,0.01888,3.6761),(1905,1195,0.01914,3.676),(1905,1205,0.0194,3.676),(1905,1215,0.019667,3.6759),(1905,1225,0.019938,3.6758),(1905,1235,0.020209,3.6757),(1905,1245,0.02048,3.6756),(1905,1255,0.02076,3.6755),(1905,1265,0.021043,3.6754),(1905,1275,0.021326,3.6753),(1905,1285,0.021609,3.6752),(1905,1295,0.021902,3.6751),(1905,1305,0.022197,3.675),(1905,1315,0.022492,3.6749),(1905,1325,0.022788,3.6748),(1905,1335,0.023094,3.6747),(1905,1345,0.023402,3.6746),(1905,1355,0.023711,3.6744),(1905,1365,0.024019,3.6743),(1905,1375,0.02434,3.6742),(1905,1385,0.024662,3.6741),(1905,1395,0.024984,3.674),(1905,1405,0.025306,3.6738),(1905,1415,0.025641,3.6737),(1905,1425,0.025977,3.6736),(1905,1435,0.026313,3.6734),(1905,1445,0.026649,3.6733),(1905,1455,0.026999,3.6732),(1905,1465,0.02735,3.673),(1905,1475,0.027701,3.6729),(1905,1485,0.028052,3.6727),(1905,1495,0.028418,3.6726),(1905,1505,0.028784,3.6724),(1905,1515,0.02915,3.6722),(1905,1525,0.029516,3.6721),(1905,1535,0.029898,3.6719),(1905,1545,0.03028,3.6717),(1905,1555,0.030661,3.6716),(1905,1565,0.031044,3.6714),(1905,1575,0.031442,3.6712),(1905,1585,0.03184,3.671),(1905,1595,0.032238,3.6708),(1905,1605,0.032637,3.6706),(1905,1615,0.033052,3.6705),(1905,1625,0.033466,3.6703),(1905,1635,0.033881,3.67),(1905,1645,0.034298,3.6698),(1905,1655,0.034729,3.6696),(1905,1665,0.035161,3.6694),(1905,1675,0.035592,3.6692),(1905,1685,0.036027,3.669),(1905,1695,0.036476,3.6687),(1905,1705,0.036925,3.6685),(1905,1715,0.037374,3.6683),(1905,1725,0.037827,3.668),(1905,1735,0.038295,3.6678),(1905,1745,0.038762,3.6675),(1905,1755,0.039229,3.6673),(1905,1765,0.039701,3.667),(1905,1775,0.040186,3.6667),(1905,1785,0.040671,3.6665),(1905,1795,0.041156,3.6662),(1905,1805,0.041647,3.6659),(1905,1815,0.042151,3.6656),(1905,1825,0.042655,3.6653),(1905,1835,0.043158,3.665),(1905,1845,0.043668,3.6647),(1905,1855,0.044191,3.6644),(1905,1865,0.044713,3.6641),(1905,1875,0.045235,3.6637),(1905,1885,0.045764,3.6634),(1905,1895,0.046305,3.6631),(1905,1905,0.046846,3.6627),(1905,1915,0.047388,3.6624),(1905,1925,0.047937,3.662),(1905,1935,0.048497,3.6616),(1905,1945,0.049057,3.6613),(1905,1955,0.049617,3.6609),(1905,1965,0.050186,3.6605),(1905,1975,0.050765,3.6601),(1905,1985,0.051344,3.6597),(1905,1995,0.051923,3.6593),(1905,2005,0.052511,3.6589),(1905,2015,0.053108,3.6585),(1905,2025,0.053706,3.658),(1905,2035,0.054303,3.6576),(1905,2045,0.054911,3.6571),(1905,2055,0.055526,3.6567),(1905,2065,0.056142,3.6562),(1905,2075,0.056758,3.6557),(1905,2085,0.057384,3.6552),(1905,2095,0.058018,3.6548),(1905,2105,0.058652,3.6543),(1905,2115,0.059285,3.6537),(1905,2125,0.05993,3.6532),(1905,2135,0.060581,3.6527),(1905,2145,0.061233,3.6522),(1905,2155,0.061884,3.6516),(1905,2165,0.062546,3.6511),(1905,2175,0.063215,3.6505),(1905,2185,0.063883,3.6499),(1905,2195,0.064551,3.6493),(1905,2205,0.065231,3.6487),(1905,2215,0.065915,3.6481),(1905,2225,0.066599,3.6475),(1905,2235,0.067283,3.6469),(1905,2245,0.067979,3.6462),(1905,2255,0.068678,3.6456),(1905,2265,0.069377,3.6449),(1905,2275,0.070076,3.6442),(1905,2285,0.070785,3.6436),(1905,2295,0.071498,3.6429),(1905,2305,0.072211,3.6422),(1905,2315,0.072923,3.6414),(1905,2325,0.073646,3.6407),(1905,2335,0.074371,3.64),(1905,2345,0.075096,3.6392),(1905,2355,0.075822,3.6384),(1905,2365,0.076556,3.6377),(1905,2375,0.077292,3.6369),(1905,2385,0.078028,3.6361),(1905,2395,0.078764,3.6352),(1905,2405,0.079509,3.6344),(1905,2415,0.080254,3.6336),(1905,2425,0.080999,3.6327),(1905,2435,0.081744,3.6319),(1905,2445,0.082496,3.631),(1905,2455,0.083249,3.6301),(1905,2465,0.084001,3.6292),(1905,2475,0.084753,3.6282),(1905,2485,0.08551,3.6273),(1905,2495,0.086268,3.6264),(1905,2505,0.087025,3.6254),(1905,2515,0.087782,3.6244),(1905,2525,0.088541,3.6234),(1905,2535,0.089301,3.6224),(1905,2545,0.090061,3.6214),(1905,2555,0.09082,3.6203),(1905,2565,0.09158,3.6193),(1905,2575,0.092339,3.6183),(1905,2585,0.093099,3.6172),(1905,2595,0.093858,3.6161),(1905,2605,0.094614,3.615),(1905,2615,0.095371,3.6139),(1905,2625,0.096127,3.6127),(1905,2635,0.096883,3.6115),(1905,2645,0.097633,3.6104),(1905,2655,0.098383,3.6092),(1905,2665,0.099134,3.608),(1905,2675,0.099882,3.6068),(1905,2685,0.10062,3.6055),(1905,2695,0.10136,3.6043),(1905,2705,0.1021,3.603),(1905,2715,0.10284,3.6017),(1905,2725,0.10357,3.6005),(1905,2735,0.1043,3.5992),(1905,2745,0.10503,3.5978),(1905,2755,0.10575,3.5965),(1905,2765,0.10646,3.5951),(1905,2775,0.10718,3.5938),(1905,2785,0.10789,3.5924),(1905,2795,0.10859,3.591),(1905,2805,0.10929,3.5896),(1905,2815,0.10998,3.5881),(1905,2825,0.11067,3.5867),(1905,2835,0.11135,3.5852),(1905,2845,0.11202,3.5837),(1905,2855,0.11269,3.5822),(1905,2865,0.11336,3.5807),(1905,2875,0.11401,3.5792),(1905,2885,0.11465,3.5777),(1905,2895,0.11529,3.5761),(1905,2905,0.11593,3.5745),(1905,2915,0.11656,3.5729),(1905,2925,0.11717,3.5713),(1905,2935,0.11777,3.5697),(1905,2945,0.11838,3.5681),(1905,2955,0.11897,3.5664),(1905,2965,0.11954,3.5648),(1905,2975,0.12011,3.5631),(1905,2985,0.12068,3.5614),(1905,2995,0.12124,3.5597),(1905,3005,0.12177,3.558),(1905,3015,0.1223,3.5563),(1905,3025,0.12283,3.5545),(1905,3035,0.12333,3.5527),(1905,3045,0.12382,3.551),(1905,3055,0.12431,3.5492),(1905,3065,0.12479,3.5474),(1905,3075,0.12525,3.5456),(1905,3085,0.12569,3.5438),(1905,3095,0.12613,3.5419),(1905,3105,0.12656,3.5401),(1905,3115,0.12697,3.5382),(1905,3125,0.12735,3.5363),(1905,3135,0.12774,3.5344),(1905,3145,0.12812,3.5325),(1905,3155,0.12847,3.5306),(1905,3165,0.1288,3.5287),(1905,3175,0.12913,3.5268),(1905,3185,0.12945,3.5248),(1905,3195,0.12974,3.5229),(1905,3205,0.13001,3.5209),(1905,3215,0.13028,3.5189),(1905,3225,0.13054,3.5169),(1905,3235,0.13076,3.5149),(1905,3245,0.13097,3.513),(1905,3255,0.13117,3.5109),(1905,3265,0.13137,3.5089),(1905,3275,0.13153,3.5069),(1905,3285,0.13166,3.5048),(1905,3295,0.1318,3.5028),(1905,3305,0.13193,3.5007),(1905,3315,0.13201,3.4987),(1905,3325,0.13208,3.4966),(1905,3335,0.13215,3.4945),(1905,3345,0.13221,3.4925),(1905,3355,0.13222,3.4904),(1905,3365,0.13221,3.4883),(1905,3375,0.1322,3.4862),(1905,3385,0.1322,3.4841),(1905,3395,0.13212,3.482),(1905,3405,0.13204,3.4799),(1905,3415,0.13196,3.4778),(1905,3425,0.13187,3.4756),(1905,3435,0.13172,3.4735),(1905,3445,0.13156,3.4714),(1905,3455,0.1314,3.4693),(1905,3465,0.13124,3.4671),(1905,3475,0.131,3.465),(1905,3485,0.13076,3.4629),(1905,3495,0.13052,3.4607),(1905,3505,0.13028,3.4586),(1905,3515,0.12997,3.4565),(1905,3525,0.12965,3.4543),(1905,3535,0.12933,3.4522),(1905,3545,0.129,3.4501),(1905,3555,0.1286,3.4479),(1905,3565,0.1282,3.4458),(1905,3575,0.1278,3.4437),(1905,3585,0.12739,3.4415),(1905,3595,0.12691,3.4394),(1905,3605,0.12643,3.4373),(1905,3615,0.12594,3.4352),(1905,3625,0.12545,3.4331),(1905,3635,0.12489,3.431),(1905,3645,0.12432,3.4288),(1905,3655,0.12376,3.4268),(1905,3665,0.12318,3.4247),(1905,3675,0.12254,3.4226),(1905,3685,0.12189,3.4205),(1905,3695,0.12124,3.4184),(1905,3705,0.12058,3.4163),(1905,3715,0.11986,3.4143),(1905,3725,0.11913,3.4122),(1905,3735,0.11841,3.4102),(1905,3745,0.11766,3.4081),(1905,3755,0.11686,3.4061),(1905,3765,0.11605,3.4041),(1905,3775,0.11525,3.402),(1905,3785,0.11442,3.4),(1905,3795,0.11354,3.398),(1905,3805,0.11266,3.3961),(1905,3815,0.11178,3.3941),(1905,3825,0.11088,3.3921),(1905,3835,0.10992,3.3902),(1905,3845,0.10897,3.3882),(1905,3855,0.10801,3.3863),(1905,3865,0.10704,3.3844),(1905,3875,0.10601,3.3825),(1905,3885,0.10499,3.3806),(1905,3895,0.10396,3.3788),(1905,3905,0.12009,3.3769),(1905,3915,0.16184,3.375),(1905,3925,0.20359,3.3721),(1905,3935,0.24534,3.3676),(1905,3945,0.28956,3.363),(1905,3955,0.33693,3.3585),(1905,3965,0.3843,3.3527),(1905,3975,0.43167,3.3452),(1905,3985,0.45911,3.3378),(1905,3995,0.46497,3.3304),(1905,4005,0.47083,3.3228),(1905,4015,0.47668,3.3151),(1905,4025,0.48304,3.3075),(1905,4035,0.48945,3.2997),(1905,4045,0.49586,3.2918),(1905,4055,0.50192,3.2839),(1905,4065,0.50785,3.276),(1905,4075,0.51379,3.2679),(1905,4085,0.51895,3.2597),(1905,4095,0.52351,3.2516),(1905,4105,0.52806,3.2434),(1905,4115,0.51263,3.2352),(1905,4125,0.46406,3.2269),(1905,4135,0.41549,3.2207),(1905,4145,0.36651,3.215),(1905,4155,0.31589,3.2093),(1905,4165,0.26527,3.2052),(1905,4175,0.21773,3.2021),(1905,4185,0.32238,3.199),(1905,4195,0.42704,3.1936),(1905,4205,0.53169,3.1851),(1905,4215,0.53111,3.1765),(1905,4225,0.51071,3.168),(1905,4235,0.49032,3.1595),(1905,4245,0.45569,3.151),(1905,4255,0.41384,3.1427),(1905,4265,0.37199,3.1359),(1905,4275,0.31151,3.1292),(1905,4285,0.23125,3.1225),(1905,4295,0.15098,3.1202),(1905,4305,0.1382,3.1183),(1905,4315,0.27779,3.1165),(1905,4325,0.41738,3.1096),(1905,4335,0.54218,3.1008),(1905,4345,0.5669,3.0919),(1905,4355,0.59163,3.082),(1905,4365,0.61635,3.0713),(1905,4375,0.62489,3.0605),(1905,4385,0.63259,3.0494),(1905,4395,0.64028,3.0379),(1905,4405,0.56038,3.0264),(1905,4415,0.45464,3.0159),(1905,4425,0.3489,3.01),(1905,4435,0.30686,3.0041),(1905,4445,0.30836,2.9982),(1905,4455,0.30985,2.9929),(1905,4465,0.36808,2.9876),(1905,4475,0.506,2.9823),(1905,4485,0.64392,2.9723),(1905,4495,0.75279,2.9614),(1905,4505,0.76844,2.9505),(1905,4515,0.78408,2.9395),(1905,4525,0.79794,2.9285),(1905,4535,0.78343,2.9176),(1905,4545,0.76893,2.907),(1905,4555,0.75443,2.8968),(1905,4565,0.5651,2.8867),(1905,4575,0.35221,2.8789),(1905,4585,0.13932,2.8771),(1905,4595,0.15215,2.8753),(1905,4605,0.26036,2.8726),(1905,4615,0.36856,2.8639),(1905,4625,0.4621,2.8552),(1905,4635,0.54235,2.8465),(1905,4645,0.62259,2.8351),(1905,4655,0.69196,2.8235),(1905,4665,0.74083,2.812),(1905,4675,0.78969,2.8005),(1905,4685,0.80141,2.789),(1905,4695,0.62957,2.7775),(1905,4705,0.45773,2.7707),(1905,4715,0.2859,2.7673),(1905,4725,0.38647,2.7639),(1905,4735,0.48978,2.7588),(1905,4745,0.59308,2.7511),(1905,4755,0.70931,2.7434),(1905,4765,0.82853,2.7348),(1905,4775,0.94775,2.7226),(1905,4785,1.0017,2.7104),(1905,4795,1.0179,2.6982),(1905,4805,1.0342,2.6861),(1905,4815,0.99567,2.674),(1905,4825,0.89173,2.6618),(1905,4835,0.78779,2.6537),(1905,4845,0.67856,2.6462),(1905,4855,0.55553,2.6386),(1905,4865,0.4325,2.6332),(1905,4875,0.34748,2.6286),(1905,4885,0.60825,2.6241),(1905,4895,0.86901,2.615),(1905,4905,1.1298,2.6014),(1905,4915,1.1318,2.5879),(1905,4925,1.1115,2.5745),(1905,4935,1.0913,2.5615),(1905,4945,1.0075,2.5485),(1905,4955,0.90175,2.5359),(1905,4965,0.79596,2.5258),(1905,4975,0.62814,2.5157),(1905,4985,0.41243,2.5056),(1905,4995,0.19673,2.5044),(1905,5005,0.17462,2.5034),(1905,5015,0.46029,2.5024),(1905,5025,0.74596,2.4945),(1905,5035,0.99472,2.4849),(1905,5045,1.1028,2.4752),(1905,5055,1.2109,2.464),(1905,5065,1.3162,2.4518),(1905,5075,1.3301,2.4396),(1905,5085,1.344,2.4275),(1905,5095,1.3578,2.4156),(1905,5105,1.1909,2.4036),(1905,5115,0.99248,2.3932),(1905,5125,0.79403,2.3869),(1905,5135,0.68912,2.3807),(1905,5145,0.62959,2.3745),(1905,5155,0.57007,2.3687),(1905,5165,0.67729,2.3629),(1905,5175,0.95457,2.357),(1905,5185,1.2319,2.3439),(1905,5195,1.426,2.33),(1905,5205,1.4409,2.3162),(1905,5215,1.4558,2.3025),(1905,5225,1.4627,2.289),(1905,5235,1.4205,2.2755),(1905,5245,1.3782,2.2631),(1905,5255,1.336,2.2516),(1905,5265,0.93666,2.24),(1905,5275,0.52264,2.2326),(1905,5285,0.10862,2.2322),(1905,5295,0.26056,2.2317),(1905,5305,0.5701,2.2289),(1905,5315,0.87965,2.2158),(1905,5325,1.0809,2.2027),(1905,5335,1.2111,2.1897),(1905,5345,1.3413,2.1755),(1905,5355,1.431,2.1613),(1905,5365,1.4662,2.1471),(1905,5375,1.5013,2.1335),(1905,5385,1.4409,2.1201),(1905,5395,1.0896,2.1067),(1905,5405,0.73833,2.0998),(1905,5415,0.4208,2.0963),(1905,5425,0.55647,2.0928),(1905,5435,0.69213,2.0845),(1905,5445,0.8278,2.071),(1905,5455,0.99743,2.0575),(1905,5465,1.1712,2.0417),(1905,5475,1.345,2.0204),(1905,5485,1.4117,1.9991),(1905,5495,1.4352,1.9779),(1905,5505,1.4587,1.957),(1905,5515,1.4824,1.9361),(1905,5525,1.5064,1.9152),(1905,5535,1.5304,1.8946),(1905,5545,1.554,1.8741),(1905,5555,1.5768,1.8536),(1905,5565,1.5997,1.8333),(1905,5575,1.6223,1.8132),(1905,5585,1.6438,1.7931),(1905,5595,1.6652,1.7732),(1905,5605,1.6867,1.7535),(1905,5615,1.7069,1.7338),(1905,5625,1.727,1.7143),(1905,5635,1.7471,1.6951),(1905,5645,1.7661,1.6758),(1905,5655,1.7849,1.6567),(1905,5665,1.8037,1.6379),(1905,5675,1.8217,1.619),(1905,5685,1.8392,1.6002),(1905,5695,1.8567,1.5818),(1905,5705,1.8736,1.5633),(1905,5715,1.8899,1.5449),(1905,5725,1.9062,1.5268),(1905,5735,1.9222,1.5088),(1905,5745,1.9374,1.4908),(1905,5755,1.9525,1.4731),(1905,5765,1.9676,1.4554),(1905,5775,1.9817,1.4378),(1905,5785,1.9958,1.4203),(1905,5795,2.0099,1.403),(1905,5805,2.0232,1.3857),(1905,5815,2.0363,1.3685),(1905,5825,2.0495,1.3515),(1905,5835,2.0619,1.3345),(1905,5845,2.0742,1.3175),(1905,5855,2.0864,1.3008),(1905,5865,2.0982,1.2841),(1905,5875,2.1096,1.2674),(1905,5885,2.121,1.2509),(1905,5895,2.1321,1.2345),(1905,5905,2.1428,1.218),(1905,5915,2.1534,1.2018),(1905,5925,2.1639,1.1856),(1905,5935,2.1739,1.1694),(1905,5945,2.1838,1.1533),(1905,5955,2.1938,1.1374),(1905,5965,2.2033,1.1214),(1905,5975,2.2129,1.1055),(1905,5985,2.2224,1.0898),(1905,5995,1.6998,1.074),(1905,6005,1.0916,1.062),(1905,6015,0.48334,1.0599),(1905,6025,0.50232,1.0579),(1905,6035,0.81221,1.0548),(1905,6045,1.1221,1.0411),(1905,6055,1.3445,1.0275),(1905,6065,1.4812,1.0138),(1905,6075,1.6178,0.99605),(1905,6085,1.712,0.97791),(1905,6095,1.7185,0.95977),(1905,6105,1.725,0.9415),(1905,6115,1.7315,0.92318),(1905,6125,1.7377,0.90487),(1905,6135,1.744,0.88654),(1905,6145,1.7502,0.8682),(1905,6155,1.756,0.84986),(1905,6165,1.7618,0.83149),(1905,6175,1.7676,0.81307),(1905,6185,1.7731,0.79466),(1905,6195,1.7785,0.77622),(1905,6205,1.7839,0.75773),(1905,6215,1.7891,0.73924),(1905,6225,1.794,0.72075),(1905,6235,1.799,0.7023),(1905,6245,1.8038,0.68385),(1905,6255,1.8083,0.66541),(1905,6265,1.8128,0.6469),(1905,6275,1.8173,0.62838),(1905,6285,1.8214,0.60987),(1905,6295,1.8256,0.59131),(1905,6305,1.8298,0.57274),(1905,6315,1.8335,0.55417),(1905,6325,1.8372,0.53556),(1905,6335,1.8409,0.51692),(1905,6345,1.8443,0.49827),(1905,6355,1.8477,0.47962),(1905,6365,1.851,0.46094),(1905,6375,1.8541,0.44226),(1905,6385,1.857,0.42358),(1905,6395,1.86,0.40492),(1905,6405,1.8627,0.38625),(1905,6415,1.8652,0.36759),(1905,6425,1.8677,0.34894),(1905,6435,1.8701,0.3303),(1905,6445,1.8722,0.31166),(1905,6455,1.8743,0.293),(1905,6465,1.8763,0.27435),(1905,6475,1.878,0.25569),(1905,6485,1.8797,0.23698),(1905,6495,1.8814,0.21824),(1905,6505,1.8827,0.1995),(1905,6515,1.884,0.18075),(1905,6525,1.8853,0.16199),(1905,6535,1.8863,0.14324),(1905,6545,1.8872,0.12448),(1905,6555,1.8881,0.10572),(1905,6565,1.8887,0.086968),(1905,6575,1.8892,0.068216),(1905,6585,1.8896,0.049508),(1905,6595,1.6074,0.030799),(1905,6605,1.013,0.012091),(1905,6615,0.41854,0.009902),(1905,6625,0.000677,0.009834),(1905,6635,0.000679,0.009767),(1905,6645,0.000681,0.009741),(1905,6655,0.000684,0.009731),(1905,6665,0.000686,0.009722),(1905,6675,0.000688,0.009712),(1905,6685,0.000691,0.009703),(1905,6695,0.000693,0.009693),(1905,6705,0.000695,0.009684),(1905,6715,0.000697,0.009674),(1905,6725,0.000699,0.009665),(1905,6735,0.000701,0.009656),(1905,6745,0.000703,0.009646),(1905,6755,0.000705,0.009637),(1905,6765,0.000707,0.009627),(1905,6775,0.000709,0.009618),(1905,6785,0.000711,0.009608),(1905,6795,0.000713,0.009599),(1905,6805,0.000715,0.00959),(1905,6815,0.000717,0.00958),(1905,6825,0.000718,0.009571),(1905,6835,0.00072,0.009562),(1905,6845,0.000722,0.009552),(1905,6855,0.000723,0.009543),(1905,6865,0.000725,0.009534),(1905,6875,0.000727,0.009524),(1905,6885,0.000728,0.009515),(1905,6895,0.00073,0.009506),(1905,6905,0.000731,0.009496),(1905,6915,0.000733,0.009487),(1905,6925,0.000734,0.009478),(1905,6935,0.000736,0.009469),(1905,6945,0.000737,0.009459),(1905,6955,0.000739,0.00945),(1905,6965,0.00074,0.009441),(1905,6975,0.000741,0.009432),(1905,6985,0.000743,0.009423),(1915,5,5.7e-05,3.6798),(1915,15,0.000171,3.6798),(1915,25,0.000285,3.6798),(1915,35,0.000399,3.6798),(1915,45,0.000513,3.6798),(1915,55,0.000627,3.6798),(1915,65,0.000741,3.6798),(1915,75,0.000856,3.6798),(1915,85,0.00097,3.6798),(1915,95,0.001085,3.6798),(1915,105,0.001199,3.6798),(1915,115,0.001314,3.6797),(1915,125,0.00143,3.6797),(1915,135,0.001545,3.6797),(1915,145,0.00166,3.6797),(1915,155,0.001777,3.6797),(1915,165,0.001893,3.6797),(1915,175,0.002009,3.6797),(1915,185,0.002125,3.6797),(1915,195,0.002243,3.6797),(1915,205,0.00236,3.6797),(1915,215,0.002477,3.6797),(1915,225,0.002596,3.6797),(1915,235,0.002714,3.6797),(1915,245,0.002833,3.6797),(1915,255,0.002952,3.6797),(1915,265,0.003072,3.6796),(1915,275,0.003193,3.6796),(1915,285,0.003314,3.6796),(1915,295,0.003434,3.6796),(1915,305,0.003556,3.6796),(1915,315,0.003679,3.6796),(1915,325,0.003802,3.6796),(1915,335,0.003924,3.6796),(1915,345,0.004049,3.6796),(1915,355,0.004174,3.6796),(1915,365,0.004299,3.6795),(1915,375,0.004424,3.6795),(1915,385,0.004551,3.6795),(1915,395,0.004679,3.6795),(1915,405,0.004806,3.6795),(1915,415,0.004934,3.6795),(1915,425,0.005064,3.6795),(1915,435,0.005195,3.6794),(1915,445,0.005326,3.6794),(1915,455,0.005456,3.6794),(1915,465,0.00559,3.6794),(1915,475,0.005724,3.6794),(1915,485,0.005858,3.6794),(1915,495,0.005992,3.6793),(1915,505,0.006129,3.6793),(1915,515,0.006267,3.6793),(1915,525,0.006404,3.6793),(1915,535,0.006542,3.6793),(1915,545,0.006684,3.6792),(1915,555,0.006825,3.6792),(1915,565,0.006967,3.6792),(1915,575,0.007108,3.6792),(1915,585,0.007254,3.6791),(1915,595,0.0074,3.6791),(1915,605,0.007546,3.6791),(1915,615,0.007692,3.6791),(1915,625,0.007843,3.6791),(1915,635,0.007993,3.679),(1915,645,0.008143,3.679),(1915,655,0.008294,3.679),(1915,665,0.00845,3.6789),(1915,675,0.008605,3.6789),(1915,685,0.008761,3.6789),(1915,695,0.008917,3.6789),(1915,705,0.009078,3.6788),(1915,715,0.009239,3.6788),(1915,725,0.009399,3.6788),(1915,735,0.009561,3.6787),(1915,745,0.009728,3.6787),(1915,755,0.009895,3.6787),(1915,765,0.010061,3.6786),(1915,775,0.010229,3.6786),(1915,785,0.010402,3.6786),(1915,795,0.010575,3.6785),(1915,805,0.010748,3.6785),(1915,815,0.010923,3.6785),(1915,825,0.011103,3.6784),(1915,835,0.011282,3.6784),(1915,845,0.011462,3.6783),(1915,855,0.011644,3.6783),(1915,865,0.01183,3.6783),(1915,875,0.012017,3.6782),(1915,885,0.012203,3.6782),(1915,895,0.012393,3.6781),(1915,905,0.012587,3.6781),(1915,915,0.012781,3.678),(1915,925,0.012974,3.678),(1915,935,0.013172,3.6779),(1915,945,0.013374,3.6779),(1915,955,0.013576,3.6779),(1915,965,0.013777,3.6778),(1915,975,0.013983,3.6777),(1915,985,0.014194,3.6777),(1915,995,0.014404,3.6776),(1915,1005,0.014614,3.6776),(1915,1015,0.014829,3.6775),(1915,1025,0.015048,3.6775),(1915,1035,0.015268,3.6774),(1915,1045,0.015487,3.6774),(1915,1055,0.015711,3.6773),(1915,1065,0.01594,3.6772),(1915,1075,0.016169,3.6772),(1915,1085,0.016397,3.6771),(1915,1095,0.016632,3.677),(1915,1105,0.01687,3.677),(1915,1115,0.017108,3.6769),(1915,1125,0.017347,3.6768),(1915,1135,0.017592,3.6768),(1915,1145,0.017841,3.6767),(1915,1155,0.01809,3.6766),(1915,1165,0.018339,3.6765),(1915,1175,0.018595,3.6765),(1915,1185,0.018855,3.6764),(1915,1195,0.019115,3.6763),(1915,1205,0.019375,3.6762),(1915,1215,0.019643,3.6761),(1915,1225,0.019915,3.6761),(1915,1235,0.020186,3.676),(1915,1245,0.020457,3.6759),(1915,1255,0.020738,3.6758),(1915,1265,0.021021,3.6757),(1915,1275,0.021304,3.6756),(1915,1285,0.021588,3.6755),(1915,1295,0.021881,3.6754),(1915,1305,0.022177,3.6753),(1915,1315,0.022472,3.6752),(1915,1325,0.022768,3.6751),(1915,1335,0.023075,3.675),(1915,1345,0.023384,3.6749),(1915,1355,0.023693,3.6748),(1915,1365,0.024002,3.6746),(1915,1375,0.024323,3.6745),(1915,1385,0.024646,3.6744),(1915,1395,0.024969,3.6743),(1915,1405,0.025291,3.6742),(1915,1415,0.025627,3.674),(1915,1425,0.025964,3.6739),(1915,1435,0.026301,3.6738),(1915,1445,0.026638,3.6736),(1915,1455,0.026989,3.6735),(1915,1465,0.027341,3.6734),(1915,1475,0.027693,3.6732),(1915,1485,0.028045,3.6731),(1915,1495,0.028412,3.6729),(1915,1505,0.028779,3.6728),(1915,1515,0.029146,3.6726),(1915,1525,0.029513,3.6724),(1915,1535,0.029897,3.6723),(1915,1545,0.03028,3.6721),(1915,1555,0.030663,3.672),(1915,1565,0.031047,3.6718),(1915,1575,0.031446,3.6716),(1915,1585,0.031845,3.6714),(1915,1595,0.032245,3.6712),(1915,1605,0.032646,3.6711),(1915,1615,0.033062,3.6709),(1915,1625,0.033478,3.6707),(1915,1635,0.033894,3.6705),(1915,1645,0.034313,3.6703),(1915,1655,0.034747,3.6701),(1915,1665,0.03518,3.6699),(1915,1675,0.035613,3.6696),(1915,1685,0.03605,3.6694),(1915,1695,0.036501,3.6692),(1915,1705,0.036953,3.669),(1915,1715,0.037404,3.6687),(1915,1725,0.037859,3.6685),(1915,1735,0.038328,3.6682),(1915,1745,0.038798,3.668),(1915,1755,0.039267,3.6677),(1915,1765,0.039742,3.6675),(1915,1775,0.04023,3.6672),(1915,1785,0.040717,3.6669),(1915,1795,0.041205,3.6667),(1915,1805,0.041699,3.6664),(1915,1815,0.042206,3.6661),(1915,1825,0.042712,3.6658),(1915,1835,0.043219,3.6655),(1915,1845,0.043732,3.6652),(1915,1855,0.044258,3.6649),(1915,1865,0.044783,3.6646),(1915,1875,0.045309,3.6643),(1915,1885,0.045841,3.6639),(1915,1895,0.046386,3.6636),(1915,1905,0.04693,3.6633),(1915,1915,0.047475,3.6629),(1915,1925,0.048028,3.6626),(1915,1935,0.048592,3.6622),(1915,1945,0.049156,3.6618),(1915,1955,0.04972,3.6615),(1915,1965,0.050292,3.6611),(1915,1975,0.050876,3.6607),(1915,1985,0.051459,3.6603),(1915,1995,0.052042,3.6599),(1915,2005,0.052635,3.6595),(1915,2015,0.053237,3.6591),(1915,2025,0.053839,3.6586),(1915,2035,0.054441,3.6582),(1915,2045,0.055053,3.6577),(1915,2055,0.055674,3.6573),(1915,2065,0.056295,3.6568),(1915,2075,0.056916,3.6564),(1915,2085,0.057547,3.6559),(1915,2095,0.058186,3.6554),(1915,2105,0.058825,3.6549),(1915,2115,0.059464,3.6544),(1915,2125,0.060115,3.6539),(1915,2135,0.060772,3.6534),(1915,2145,0.061429,3.6528),(1915,2155,0.062086,3.6523),(1915,2165,0.062755,3.6517),(1915,2175,0.063429,3.6512),(1915,2185,0.064104,3.6506),(1915,2195,0.064778,3.65),(1915,2205,0.065464,3.6494),(1915,2215,0.066155,3.6488),(1915,2225,0.066846,3.6482),(1915,2235,0.067537,3.6476),(1915,2245,0.068239,3.6469),(1915,2255,0.068945,3.6463),(1915,2265,0.069651,3.6456),(1915,2275,0.070357,3.6449),(1915,2285,0.071074,3.6443),(1915,2295,0.071795,3.6436),(1915,2305,0.072515,3.6429),(1915,2315,0.073235,3.6422),(1915,2325,0.073966,3.6414),(1915,2335,0.074699,3.6407),(1915,2345,0.075432,3.6399),(1915,2355,0.076165,3.6392),(1915,2365,0.076908,3.6384),(1915,2375,0.077652,3.6376),(1915,2385,0.078397,3.6368),(1915,2395,0.079141,3.636),(1915,2405,0.079894,3.6352),(1915,2415,0.080648,3.6343),(1915,2425,0.081403,3.6335),(1915,2435,0.082157,3.6326),(1915,2445,0.082918,3.6317),(1915,2455,0.083679,3.6308),(1915,2465,0.084441,3.6299),(1915,2475,0.085203,3.629),(1915,2485,0.085969,3.6281),(1915,2495,0.086736,3.6271),(1915,2505,0.087503,3.6262),(1915,2515,0.08827,3.6252),(1915,2525,0.089039,3.6242),(1915,2535,0.089809,3.6232),(1915,2545,0.090578,3.6222),(1915,2555,0.091348,3.6211),(1915,2565,0.092118,3.6201),(1915,2575,0.092888,3.619),(1915,2585,0.093657,3.6179),(1915,2595,0.094427,3.6168),(1915,2605,0.095194,3.6157),(1915,2615,0.095961,3.6146),(1915,2625,0.096728,3.6134),(1915,2635,0.097495,3.6123),(1915,2645,0.098256,3.6111),(1915,2655,0.099017,3.61),(1915,2665,0.099779,3.6087),(1915,2675,0.10054,3.6075),(1915,2685,0.10129,3.6063),(1915,2695,0.10204,3.605),(1915,2705,0.10279,3.6038),(1915,2715,0.10354,3.6025),(1915,2725,0.10428,3.6012),(1915,2735,0.10502,3.5999),(1915,2745,0.10576,3.5985),(1915,2755,0.1065,3.5972),(1915,2765,0.10722,3.5958),(1915,2775,0.10794,3.5945),(1915,2785,0.10867,3.5931),(1915,2795,0.10939,3.5917),(1915,2805,0.11009,3.5903),(1915,2815,0.11079,3.5888),(1915,2825,0.1115,3.5874),(1915,2835,0.11219,3.5859),(1915,2845,0.11287,3.5844),(1915,2855,0.11355,3.5829),(1915,2865,0.11423,3.5814),(1915,2875,0.1149,3.5798),(1915,2885,0.11555,3.5783),(1915,2895,0.1162,3.5767),(1915,2905,0.11685,3.5751),(1915,2915,0.11749,3.5736),(1915,2925,0.11811,3.572),(1915,2935,0.11873,3.5703),(1915,2945,0.11935,3.5687),(1915,2955,0.11995,3.567),(1915,2965,0.12053,3.5654),(1915,2975,0.12111,3.5637),(1915,2985,0.12169,3.562),(1915,2995,0.12226,3.5603),(1915,3005,0.1228,3.5585),(1915,3015,0.12334,3.5568),(1915,3025,0.12388,3.555),(1915,3035,0.1244,3.5533),(1915,3045,0.1249,3.5515),(1915,3055,0.12539,3.5497),(1915,3065,0.12589,3.5479),(1915,3075,0.12636,3.546),(1915,3085,0.12681,3.5442),(1915,3095,0.12725,3.5423),(1915,3105,0.1277,3.5405),(1915,3115,0.12812,3.5386),(1915,3125,0.12851,3.5367),(1915,3135,0.1289,3.5348),(1915,3145,0.1293,3.5329),(1915,3155,0.12966,3.531),(1915,3165,0.12999,3.529),(1915,3175,0.13033,3.5271),(1915,3185,0.13067,3.5251),(1915,3195,0.13096,3.5231),(1915,3205,0.13124,3.5212),(1915,3215,0.13151,3.5192),(1915,3225,0.13179,3.5172),(1915,3235,0.13202,3.5152),(1915,3245,0.13223,3.5132),(1915,3255,0.13244,3.5111),(1915,3265,0.13265,3.5091),(1915,3275,0.13281,3.507),(1915,3285,0.13295,3.505),(1915,3295,0.1331,3.5029),(1915,3305,0.13324,3.5008),(1915,3315,0.13333,3.4988),(1915,3325,0.1334,3.4967),(1915,3335,0.13347,3.4946),(1915,3345,0.13354,3.4925),(1915,3355,0.13355,3.4904),(1915,3365,0.13355,3.4883),(1915,3375,0.13355,3.4862),(1915,3385,0.13355,3.484),(1915,3395,0.13348,3.4819),(1915,3405,0.1334,3.4798),(1915,3415,0.13332,3.4777),(1915,3425,0.13324,3.4755),(1915,3435,0.13309,3.4734),(1915,3445,0.13294,3.4712),(1915,3455,0.13278,3.4691),(1915,3465,0.13262,3.4669),(1915,3475,0.13239,3.4648),(1915,3485,0.13215,3.4626),(1915,3495,0.13192,3.4605),(1915,3505,0.13168,3.4583),(1915,3515,0.13136,3.4562),(1915,3525,0.13104,3.454),(1915,3535,0.13072,3.4519),(1915,3545,0.1304,3.4497),(1915,3555,0.13,3.4476),(1915,3565,0.1296,3.4454),(1915,3575,0.1292,3.4433),(1915,3585,0.1288,3.4411),(1915,3595,0.12831,3.439),(1915,3605,0.12783,3.4368),(1915,3615,0.12735,3.4347),(1915,3625,0.12685,3.4325),(1915,3635,0.12629,3.4304),(1915,3645,0.12572,3.4283),(1915,3655,0.12516,3.4262),(1915,3665,0.12458,3.424),(1915,3675,0.12393,3.4219),(1915,3685,0.12328,3.4198),(1915,3695,0.12263,3.4177),(1915,3705,0.12197,3.4156),(1915,3715,0.12124,3.4136),(1915,3725,0.12051,3.4115),(1915,3735,0.11978,3.4094),(1915,3745,0.11903,3.4074),(1915,3755,0.11823,3.4053),(1915,3765,0.11742,3.4032),(1915,3775,0.11661,3.4012),(1915,3785,0.11578,3.3992),(1915,3795,0.11489,3.3972),(1915,3805,0.11401,3.3952),(1915,3815,0.11312,3.3932),(1915,3825,0.11221,3.3912),(1915,3835,0.11125,3.3892),(1915,3845,0.11029,3.3873),(1915,3855,0.10933,3.3853),(1915,3865,0.10834,3.3834),(1915,3875,0.10731,3.3815),(1915,3885,0.10628,3.3796),(1915,3895,0.10524,3.3777),(1915,3905,0.12154,3.3758),(1915,3915,0.16373,3.374),(1915,3925,0.20591,3.371),(1915,3935,0.2481,3.3664),(1915,3945,0.29278,3.3619),(1915,3955,0.34063,3.3573),(1915,3965,0.38848,3.3515),(1915,3975,0.43632,3.344),(1915,3985,0.46403,3.3365),(1915,3995,0.46992,3.329),(1915,4005,0.47582,3.3214),(1915,4015,0.48172,3.3136),(1915,4025,0.48812,3.3059),(1915,4035,0.49457,3.2981),(1915,4045,0.50102,3.2901),(1915,4055,0.50712,3.2821),(1915,4065,0.51309,3.2741),(1915,4075,0.51907,3.2659),(1915,4085,0.52426,3.2577),(1915,4095,0.52883,3.2495),(1915,4105,0.5334,3.2411),(1915,4115,0.51777,3.2328),(1915,4125,0.46866,3.2245),(1915,4135,0.41954,3.2181),(1915,4145,0.37002,3.2124),(1915,4155,0.31883,3.2066),(1915,4165,0.26764,3.2024),(1915,4175,0.21957,3.1994),(1915,4185,0.32537,3.1963),(1915,4195,0.43117,3.1908),(1915,4205,0.53698,3.1822),(1915,4215,0.53666,3.1736),(1915,4225,0.51637,3.165),(1915,4235,0.49608,3.1564),(1915,4245,0.46126,3.1478),(1915,4255,0.41907,3.1393),(1915,4265,0.37688,3.1325),(1915,4275,0.3157,3.1257),(1915,4285,0.23436,3.1189),(1915,4295,0.15302,3.1166),(1915,4305,0.13992,3.1147),(1915,4315,0.28092,3.1128),(1915,4325,0.42193,3.1059),(1915,4335,0.54803,3.097),(1915,4345,0.57325,3.0882),(1915,4355,0.59847,3.0782),(1915,4365,0.62369,3.0673),(1915,4375,0.63239,3.0563),(1915,4385,0.64023,3.0452),(1915,4395,0.64807,3.0336),(1915,4405,0.56724,3.0219),(1915,4415,0.46027,3.0114),(1915,4425,0.3533,3.0055),(1915,4435,0.31066,2.9997),(1915,4445,0.31198,2.9939),(1915,4455,0.3133,2.9886),(1915,4465,0.37184,2.9833),(1915,4475,0.51075,2.978),(1915,4485,0.64965,2.9681),(1915,4495,0.75926,2.9571),(1915,4505,0.77487,2.9462),(1915,4515,0.79048,2.9352),(1915,4525,0.80429,2.9241),(1915,4535,0.78965,2.9131),(1915,4545,0.77501,2.9024),(1915,4555,0.76037,2.8921),(1915,4565,0.56979,2.8818),(1915,4575,0.35548,2.874),(1915,4585,0.14118,2.8721),(1915,4595,0.15466,2.8702),(1915,4605,0.26439,2.8675),(1915,4615,0.37411,2.8587),(1915,4625,0.46857,2.8498),(1915,4635,0.54919,2.841),(1915,4645,0.62981,2.8296),(1915,4655,0.69932,2.818),(1915,4665,0.74789,2.8064),(1915,4675,0.79646,2.7949),(1915,4685,0.80767,2.7834),(1915,4695,0.63434,2.7719),(1915,4705,0.461,2.7651),(1915,4715,0.28766,2.7616),(1915,4725,0.38898,2.7582),(1915,4735,0.49305,2.753),(1915,4745,0.59712,2.7452),(1915,4755,0.71408,2.7375),(1915,4765,0.83403,2.7287),(1915,4775,0.95398,2.7164),(1915,4785,1.0081,2.7041),(1915,4795,1.0242,2.6918),(1915,4805,1.0403,2.6797),(1915,4815,1.0013,2.6675),(1915,4825,0.89647,2.6554),(1915,4835,0.79163,2.6473),(1915,4845,0.68169,2.6399),(1915,4855,0.55849,2.6325),(1915,4865,0.43529,2.6271),(1915,4875,0.35024,2.6226),(1915,4885,0.61231,2.618),(1915,4895,0.87438,2.6089),(1915,4905,1.1364,2.5953),(1915,4915,1.1385,2.5818),(1915,4925,1.1182,2.5684),(1915,4935,1.0978,2.5555),(1915,4945,1.0138,2.5425),(1915,4955,0.90774,2.5299),(1915,4965,0.80165,2.5198),(1915,4975,0.63282,2.5097),(1915,4985,0.41555,2.4996),(1915,4995,0.19828,2.4984),(1915,5005,0.17562,2.4974),(1915,5015,0.46235,2.4964),(1915,5025,0.74908,2.4885),(1915,5035,0.99871,2.4789),(1915,5045,1.107,2.4693),(1915,5055,1.2153,2.4581),(1915,5065,1.3208,2.4459),(1915,5075,1.3345,2.4337),(1915,5085,1.3482,2.4216),(1915,5095,1.362,2.4097),(1915,5105,1.1945,2.3978),(1915,5115,0.99539,2.3874),(1915,5125,0.79631,2.3811),(1915,5135,0.69131,2.3749),(1915,5145,0.63196,2.3687),(1915,5155,0.57261,2.3628),(1915,5165,0.68037,2.357),(1915,5175,0.95857,2.3512),(1915,5185,1.2368,2.3381),(1915,5195,1.4315,2.3243),(1915,5205,1.4462,2.3105),(1915,5215,1.4609,2.2969),(1915,5225,1.4676,2.2834),(1915,5235,1.425,2.2699),(1915,5245,1.3824,2.2575),(1915,5255,1.3398,2.246),(1915,5265,0.93943,2.2345),(1915,5275,0.52431,2.2271),(1915,5285,0.10918,2.2266),(1915,5295,0.26252,2.2262),(1915,5305,0.57416,2.2233),(1915,5315,0.8858,2.2102),(1915,5325,1.0877,2.1972),(1915,5335,1.2175,2.1841),(1915,5345,1.3474,2.1699),(1915,5355,1.4367,2.1557),(1915,5365,1.4715,2.1415),(1915,5375,1.5062,2.128),(1915,5385,1.4452,2.1146),(1915,5395,1.0928,2.1012),(1915,5405,0.74048,2.0943),(1915,5415,0.4221,2.0908),(1915,5425,0.56002,2.0873),(1915,5435,0.69794,2.079),(1915,5445,0.83586,2.0655),(1915,5455,1.0069,2.052),(1915,5465,1.1821,2.0362),(1915,5475,1.3572,2.015),(1915,5485,1.4241,1.9937),(1915,5495,1.4474,1.9726),(1915,5505,1.4706,1.9517),(1915,5515,1.4942,1.9308),(1915,5525,1.5179,1.91),(1915,5535,1.5417,1.8895),(1915,5545,1.565,1.869),(1915,5555,1.5876,1.8485),(1915,5565,1.6102,1.8283),(1915,5575,1.6326,1.8082),(1915,5585,1.6538,1.7882),(1915,5595,1.6751,1.7683),(1915,5605,1.6963,1.7487),(1915,5615,1.7162,1.7291),(1915,5625,1.7361,1.7096),(1915,5635,1.756,1.6905),(1915,5645,1.7748,1.6714),(1915,5655,1.7934,1.6523),(1915,5665,1.8119,1.6335),(1915,5675,1.8297,1.6148),(1915,5685,1.847,1.596),(1915,5695,1.8643,1.5776),(1915,5705,1.881,1.5593),(1915,5715,1.8971,1.5409),(1915,5725,1.9132,1.5229),(1915,5735,1.929,1.505),(1915,5745,1.944,1.487),(1915,5755,1.959,1.4694),(1915,5765,1.9738,1.4518),(1915,5775,1.9878,1.4343),(1915,5785,2.0017,1.4169),(1915,5795,2.0157,1.3996),(1915,5805,2.0287,1.3824),(1915,5815,2.0417,1.3653),(1915,5825,2.0547,1.3483),(1915,5835,2.067,1.3314),(1915,5845,2.0791,1.3145),(1915,5855,2.0912,1.2979),(1915,5865,2.1029,1.2812),(1915,5875,2.1141,1.2646),(1915,5885,2.1254,1.2482),(1915,5895,2.1364,1.2318),(1915,5905,2.1469,1.2154),(1915,5915,2.1575,1.1992),(1915,5925,2.1678,1.1831),(1915,5935,2.1777,1.167),(1915,5945,2.1875,1.151),(1915,5955,2.1973,1.1351),(1915,5965,2.2068,1.1192),(1915,5975,2.2162,1.1034),(1915,5985,2.2257,1.0877),(1915,5995,1.7023,1.072),(1915,6005,1.0932,1.06),(1915,6015,0.48404,1.058),(1915,6025,0.50408,1.056),(1915,6035,0.81594,1.0529),(1915,6045,1.1278,1.0392),(1915,6055,1.3515,1.0256),(1915,6065,1.4889,1.0119),(1915,6075,1.6262,0.99419),(1915,6085,1.7208,0.97607),(1915,6095,1.7273,0.95795),(1915,6105,1.7338,0.93971),(1915,6115,1.7403,0.92142),(1915,6125,1.7465,0.90313),(1915,6135,1.7527,0.88482),(1915,6145,1.7589,0.8665),(1915,6155,1.7647,0.84818),(1915,6165,1.7705,0.82984),(1915,6175,1.7763,0.81144),(1915,6185,1.7818,0.79305),(1915,6195,1.7872,0.77464),(1915,6205,1.7926,0.75617),(1915,6215,1.7977,0.73769),(1915,6225,1.8027,0.71921),(1915,6235,1.8076,0.70079),(1915,6245,1.8124,0.68236),(1915,6255,1.8169,0.66394),(1915,6265,1.8215,0.64546),(1915,6275,1.8259,0.62698),(1915,6285,1.8301,0.60849),(1915,6295,1.8342,0.58999),(1915,6305,1.8384,0.57149),(1915,6315,1.8421,0.55298),(1915,6325,1.8458,0.53442),(1915,6335,1.8495,0.5158),(1915,6345,1.8529,0.49718),(1915,6355,1.8563,0.47856),(1915,6365,1.8596,0.45991),(1915,6375,1.8626,0.44127),(1915,6385,1.8656,0.42263),(1915,6395,1.8685,0.404),(1915,6405,1.8712,0.38537),(1915,6415,1.8737,0.36675),(1915,6425,1.8762,0.34814),(1915,6435,1.8786,0.32954),(1915,6445,1.8807,0.31094),(1915,6455,1.8828,0.29232),(1915,6465,1.8849,0.27371),(1915,6475,1.8866,0.2551),(1915,6485,1.8883,0.23644),(1915,6495,1.89,0.21774),(1915,6505,1.8913,0.19904),(1915,6515,1.8925,0.18034),(1915,6525,1.8938,0.16162),(1915,6535,1.8948,0.14291),(1915,6545,1.8957,0.1242),(1915,6555,1.8966,0.10548),(1915,6565,1.8972,0.086757),(1915,6575,1.8976,0.068042),(1915,6585,1.8981,0.049391),(1915,6595,1.6146,0.030741),(1915,6605,1.0175,0.01209),(1915,6615,0.42041,0.009906),(1915,6625,0.000682,0.009838),(1915,6635,0.000685,0.00977),(1915,6645,0.000687,0.009743),(1915,6655,0.00069,0.009734),(1915,6665,0.000692,0.009724),(1915,6675,0.000694,0.009714),(1915,6685,0.000696,0.009705),(1915,6695,0.000699,0.009695),(1915,6705,0.000701,0.009686),(1915,6715,0.000703,0.009676),(1915,6725,0.000705,0.009667),(1915,6735,0.000707,0.009658),(1915,6745,0.000709,0.009648),(1915,6755,0.000711,0.009639),(1915,6765,0.000713,0.009629),(1915,6775,0.000715,0.00962),(1915,6785,0.000717,0.00961),(1915,6795,0.000718,0.009601),(1915,6805,0.00072,0.009591),(1915,6815,0.000722,0.009582),(1915,6825,0.000724,0.009573),(1915,6835,0.000725,0.009563),(1915,6845,0.000727,0.009554),(1915,6855,0.000729,0.009544),(1915,6865,0.00073,0.009535),(1915,6875,0.000732,0.009526),(1915,6885,0.000734,0.009517),(1915,6895,0.000735,0.009507),(1915,6905,0.000737,0.009498),(1915,6915,0.000738,0.009489),(1915,6925,0.00074,0.009479),(1915,6935,0.000741,0.00947),(1915,6945,0.000742,0.009461),(1915,6955,0.000744,0.009452),(1915,6965,0.000745,0.009442),(1915,6975,0.000747,0.009433),(1915,6985,0.000748,0.009424),(1925,5,5.7e-05,3.6799),(1925,15,0.000171,3.6799),(1925,25,0.000284,3.6799),(1925,35,0.000398,3.6799),(1925,45,0.000512,3.6799),(1925,55,0.000625,3.6799),(1925,65,0.000739,3.6799),(1925,75,0.000853,3.6799),(1925,85,0.000968,3.6799),(1925,95,0.001082,3.6799),(1925,105,0.001196,3.6799),(1925,115,0.001311,3.6799),(1925,125,0.001426,3.6799),(1925,135,0.001541,3.6799),(1925,145,0.001656,3.6799),(1925,155,0.001772,3.6798),(1925,165,0.001887,3.6798),(1925,175,0.002003,3.6798),(1925,185,0.00212,3.6798),(1925,195,0.002237,3.6798),(1925,205,0.002354,3.6798),(1925,215,0.002471,3.6798),(1925,225,0.002589,3.6798),(1925,235,0.002707,3.6798),(1925,245,0.002826,3.6798),(1925,255,0.002944,3.6798),(1925,265,0.003064,3.6798),(1925,275,0.003184,3.6798),(1925,285,0.003305,3.6798),(1925,295,0.003425,3.6797),(1925,305,0.003547,3.6797),(1925,315,0.003669,3.6797),(1925,325,0.003792,3.6797),(1925,335,0.003914,3.6797),(1925,345,0.004038,3.6797),(1925,355,0.004163,3.6797),(1925,365,0.004288,3.6797),(1925,375,0.004412,3.6797),(1925,385,0.004539,3.6796),(1925,395,0.004667,3.6796),(1925,405,0.004794,3.6796),(1925,415,0.004921,3.6796),(1925,425,0.005051,3.6796),(1925,435,0.005182,3.6796),(1925,445,0.005312,3.6796),(1925,455,0.005442,3.6795),(1925,465,0.005576,3.6795),(1925,475,0.005709,3.6795),(1925,485,0.005843,3.6795),(1925,495,0.005977,3.6795),(1925,505,0.006114,3.6795),(1925,515,0.006251,3.6794),(1925,525,0.006388,3.6794),(1925,535,0.006526,3.6794),(1925,545,0.006667,3.6794),(1925,555,0.006808,3.6794),(1925,565,0.006949,3.6793),(1925,575,0.007091,3.6793),(1925,585,0.007236,3.6793),(1925,595,0.007382,3.6793),(1925,605,0.007528,3.6792),(1925,615,0.007673,3.6792),(1925,625,0.007824,3.6792),(1925,635,0.007974,3.6792),(1925,645,0.008124,3.6792),(1925,655,0.008275,3.6791),(1925,665,0.00843,3.6791),(1925,675,0.008585,3.6791),(1925,685,0.00874,3.679),(1925,695,0.008896,3.679),(1925,705,0.009057,3.679),(1925,715,0.009217,3.679),(1925,725,0.009378,3.6789),(1925,735,0.00954,3.6789),(1925,745,0.009706,3.6789),(1925,755,0.009872,3.6788),(1925,765,0.010039,3.6788),(1925,775,0.010207,3.6788),(1925,785,0.01038,3.6787),(1925,795,0.010552,3.6787),(1925,805,0.010725,3.6787),(1925,815,0.0109,3.6786),(1925,825,0.011079,3.6786),(1925,835,0.011258,3.6786),(1925,845,0.011438,3.6785),(1925,855,0.01162,3.6785),(1925,865,0.011806,3.6784),(1925,875,0.011992,3.6784),(1925,885,0.012179,3.6784),(1925,895,0.012368,3.6783),(1925,905,0.012562,3.6783),(1925,915,0.012755,3.6782),(1925,925,0.012949,3.6782),(1925,935,0.013146,3.6781),(1925,945,0.013348,3.6781),(1925,955,0.01355,3.6781),(1925,965,0.013752,3.678),(1925,975,0.013957,3.678),(1925,985,0.014168,3.6779),(1925,995,0.014378,3.6779),(1925,1005,0.014588,3.6778),(1925,1015,0.014803,3.6777),(1925,1025,0.015022,3.6777),(1925,1035,0.015242,3.6776),(1925,1045,0.015461,3.6776),(1925,1055,0.015685,3.6775),(1925,1065,0.015914,3.6775),(1925,1075,0.016142,3.6774),(1925,1085,0.016371,3.6773),(1925,1095,0.016606,3.6773),(1925,1105,0.016844,3.6772),(1925,1115,0.017083,3.6771),(1925,1125,0.017321,3.6771),(1925,1135,0.017566,3.677),(1925,1145,0.017816,3.6769),(1925,1155,0.018065,3.6769),(1925,1165,0.018314,3.6768),(1925,1175,0.01857,3.6767),(1925,1185,0.018831,3.6766),(1925,1195,0.019091,3.6766),(1925,1205,0.019351,3.6765),(1925,1215,0.019619,3.6764),(1925,1225,0.019891,3.6763),(1925,1235,0.020163,3.6762),(1925,1245,0.020434,3.6761),(1925,1255,0.020715,3.6761),(1925,1265,0.020999,3.676),(1925,1275,0.021282,3.6759),(1925,1285,0.021566,3.6758),(1925,1295,0.02186,3.6757),(1925,1305,0.022156,3.6756),(1925,1315,0.022452,3.6755),(1925,1325,0.022749,3.6754),(1925,1335,0.023056,3.6753),(1925,1345,0.023366,3.6752),(1925,1355,0.023675,3.6751),(1925,1365,0.023985,3.675),(1925,1375,0.024306,3.6748),(1925,1385,0.02463,3.6747),(1925,1395,0.024953,3.6746),(1925,1405,0.025277,3.6745),(1925,1415,0.025613,3.6744),(1925,1425,0.025951,3.6742),(1925,1435,0.026289,3.6741),(1925,1445,0.026627,3.674),(1925,1455,0.026979,3.6738),(1925,1465,0.027332,3.6737),(1925,1475,0.027684,3.6736),(1925,1485,0.028037,3.6734),(1925,1495,0.028405,3.6733),(1925,1505,0.028774,3.6731),(1925,1515,0.029142,3.673),(1925,1525,0.029511,3.6728),(1925,1535,0.029895,3.6727),(1925,1545,0.030279,3.6725),(1925,1555,0.030664,3.6723),(1925,1565,0.031049,3.6722),(1925,1575,0.03145,3.672),(1925,1585,0.031851,3.6718),(1925,1595,0.032252,3.6716),(1925,1605,0.032654,3.6715),(1925,1615,0.033072,3.6713),(1925,1625,0.03349,3.6711),(1925,1635,0.033908,3.6709),(1925,1645,0.034328,3.6707),(1925,1655,0.034764,3.6705),(1925,1665,0.035199,3.6703),(1925,1675,0.035635,3.6701),(1925,1685,0.036073,3.6698),(1925,1695,0.036527,3.6696),(1925,1705,0.03698,3.6694),(1925,1715,0.037433,3.6692),(1925,1725,0.037891,3.6689),(1925,1735,0.038362,3.6687),(1925,1745,0.038834,3.6685),(1925,1755,0.039306,3.6682),(1925,1765,0.039783,3.668),(1925,1775,0.040273,3.6677),(1925,1785,0.040764,3.6674),(1925,1795,0.041254,3.6672),(1925,1805,0.041751,3.6669),(1925,1815,0.04226,3.6666),(1925,1825,0.04277,3.6663),(1925,1835,0.04328,3.666),(1925,1845,0.043796,3.6657),(1925,1855,0.044325,3.6654),(1925,1865,0.044853,3.6651),(1925,1875,0.045382,3.6648),(1925,1885,0.045918,3.6645),(1925,1895,0.046466,3.6641),(1925,1905,0.047014,3.6638),(1925,1915,0.047563,3.6635),(1925,1925,0.048119,3.6631),(1925,1935,0.048687,3.6628),(1925,1945,0.049255,3.6624),(1925,1955,0.049822,3.662),(1925,1965,0.050399,3.6616),(1925,1975,0.050987,3.6613),(1925,1985,0.051574,3.6609),(1925,1995,0.052161,3.6605),(1925,2005,0.052758,3.6601),(1925,2015,0.053365,3.6597),(1925,2025,0.053972,3.6592),(1925,2035,0.054579,3.6588),(1925,2045,0.055196,3.6583),(1925,2055,0.055822,3.6579),(1925,2065,0.056447,3.6575),(1925,2075,0.057073,3.657),(1925,2085,0.05771,3.6565),(1925,2095,0.058354,3.656),(1925,2105,0.058999,3.6555),(1925,2115,0.059643,3.655),(1925,2125,0.060299,3.6545),(1925,2135,0.060962,3.654),(1925,2145,0.061625,3.6535),(1925,2155,0.062288,3.6529),(1925,2165,0.062963,3.6524),(1925,2175,0.063643,3.6518),(1925,2185,0.064324,3.6513),(1925,2195,0.065005,3.6507),(1925,2205,0.065697,3.6501),(1925,2215,0.066395,3.6495),(1925,2225,0.067092,3.6489),(1925,2235,0.06779,3.6483),(1925,2245,0.068499,3.6476),(1925,2255,0.069212,3.647),(1925,2265,0.069926,3.6463),(1925,2275,0.070639,3.6457),(1925,2285,0.071364,3.645),(1925,2295,0.072091,3.6443),(1925,2305,0.072819,3.6436),(1925,2315,0.073547,3.6429),(1925,2325,0.074286,3.6422),(1925,2335,0.075027,3.6414),(1925,2345,0.075768,3.6407),(1925,2355,0.076509,3.6399),(1925,2365,0.07726,3.6391),(1925,2375,0.078013,3.6384),(1925,2385,0.078766,3.6376),(1925,2395,0.079518,3.6367),(1925,2405,0.08028,3.6359),(1925,2415,0.081043,3.6351),(1925,2425,0.081806,3.6342),(1925,2435,0.082569,3.6334),(1925,2445,0.083339,3.6325),(1925,2455,0.08411,3.6316),(1925,2465,0.084881,3.6307),(1925,2475,0.085652,3.6298),(1925,2485,0.086428,3.6288),(1925,2495,0.087205,3.6279),(1925,2505,0.087981,3.6269),(1925,2515,0.088757,3.6259),(1925,2525,0.089537,3.6249),(1925,2535,0.090317,3.624),(1925,2545,0.091096,3.6229),(1925,2555,0.091876,3.6219),(1925,2565,0.092656,3.6208),(1925,2575,0.093436,3.6198),(1925,2585,0.094216,3.6187),(1925,2595,0.094996,3.6176),(1925,2605,0.095774,3.6165),(1925,2615,0.096552,3.6154),(1925,2625,0.09733,3.6142),(1925,2635,0.098107,3.613),(1925,2645,0.098879,3.6119),(1925,2655,0.099651,3.6107),(1925,2665,0.10042,3.6095),(1925,2675,0.10119,3.6083),(1925,2685,0.10196,3.607),(1925,2695,0.10272,3.6058),(1925,2705,0.10348,3.6045),(1925,2715,0.10425,3.6032),(1925,2725,0.105,3.6019),(1925,2735,0.10575,3.6006),(1925,2745,0.1065,3.5993),(1925,2755,0.10724,3.5979),(1925,2765,0.10798,3.5966),(1925,2775,0.10871,3.5952),(1925,2785,0.10945,3.5938),(1925,2795,0.11018,3.5924),(1925,2805,0.11089,3.591),(1925,2815,0.11161,3.5895),(1925,2825,0.11232,3.588),(1925,2835,0.11303,3.5866),(1925,2845,0.11372,3.5851),(1925,2855,0.11441,3.5836),(1925,2865,0.1151,3.582),(1925,2875,0.11578,3.5805),(1925,2885,0.11645,3.579),(1925,2895,0.11711,3.5774),(1925,2905,0.11777,3.5758),(1925,2915,0.11842,3.5742),(1925,2925,0.11905,3.5726),(1925,2935,0.11968,3.5709),(1925,2945,0.12031,3.5693),(1925,2955,0.12092,3.5676),(1925,2965,0.12152,3.5659),(1925,2975,0.12211,3.5643),(1925,2985,0.1227,3.5625),(1925,2995,0.12328,3.5608),(1925,3005,0.12383,3.5591),(1925,3015,0.12438,3.5573),(1925,3025,0.12494,3.5555),(1925,3035,0.12546,3.5538),(1925,3045,0.12597,3.552),(1925,3055,0.12648,3.5502),(1925,3065,0.12699,3.5483),(1925,3075,0.12746,3.5465),(1925,3085,0.12792,3.5447),(1925,3095,0.12838,3.5428),(1925,3105,0.12884,3.5409),(1925,3115,0.12926,3.539),(1925,3125,0.12967,3.5371),(1925,3135,0.13007,3.5352),(1925,3145,0.13047,3.5333),(1925,3155,0.13084,3.5313),(1925,3165,0.13119,3.5294),(1925,3175,0.13153,3.5274),(1925,3185,0.13188,3.5254),(1925,3195,0.13218,3.5234),(1925,3205,0.13247,3.5215),(1925,3215,0.13275,3.5194),(1925,3225,0.13303,3.5174),(1925,3235,0.13327,3.5154),(1925,3245,0.13349,3.5134),(1925,3255,0.13371,3.5113),(1925,3265,0.13393,3.5093),(1925,3275,0.13409,3.5072),(1925,3285,0.13424,3.5051),(1925,3295,0.1344,3.503),(1925,3305,0.13455,3.501),(1925,3315,0.13464,3.4989),(1925,3325,0.13472,3.4968),(1925,3335,0.13479,3.4946),(1925,3345,0.13487,3.4925),(1925,3355,0.13489,3.4904),(1925,3365,0.13489,3.488281),(1925,3375,0.1349,3.4861),(1925,3385,0.1349,3.484),(1925,3395,0.13483,3.4819),(1925,3405,0.13476,3.4797),(1925,3415,0.13469,3.4776),(1925,3425,0.13461,3.4754),(1925,3435,0.13447,3.4732),(1925,3445,0.13431,3.4711),(1925,3455,0.13416,3.4689),(1925,3465,0.13401,3.4667),(1925,3475,0.13378,3.4646),(1925,3485,0.13354,3.4624),(1925,3495,0.13331,3.4602),(1925,3505,0.13307,3.458),(1925,3515,0.13276,3.4559),(1925,3525,0.13244,3.4537),(1925,3535,0.13212,3.4515),(1925,3545,0.1318,3.4493),(1925,3555,0.1314,3.4472),(1925,3565,0.131,3.445),(1925,3575,0.1306,3.4428),(1925,3585,0.1302,3.4407),(1925,3595,0.12971,3.4385),(1925,3605,0.12923,3.4363),(1925,3615,0.12875,3.4342),(1925,3625,0.12825,3.432),(1925,3635,0.12769,3.4299),(1925,3645,0.12712,3.4277),(1925,3655,0.12655,3.4256),(1925,3665,0.12597,3.4234),(1925,3675,0.12532,3.4213),(1925,3685,0.12467,3.4192),(1925,3695,0.12402,3.4171),(1925,3705,0.12336,3.415),(1925,3715,0.12262,3.4128),(1925,3725,0.12189,3.4107),(1925,3735,0.12116,3.4087),(1925,3745,0.12041,3.4066),(1925,3755,0.11959,3.4045),(1925,3765,0.11878,3.4024),(1925,3775,0.11797,3.4004),(1925,3785,0.11713,3.3983),(1925,3795,0.11624,3.3963),(1925,3805,0.11535,3.3943),(1925,3815,0.11446,3.3923),(1925,3825,0.11354,3.3903),(1925,3835,0.11257,3.3883),(1925,3845,0.11161,3.3863),(1925,3855,0.11064,3.3844),(1925,3865,0.10964,3.3824),(1925,3875,0.1086,3.3805),(1925,3885,0.10756,3.3785),(1925,3895,0.10652,3.3767),(1925,3905,0.12299,3.3748),(1925,3915,0.16562,3.3729),(1925,3925,0.20824,3.3699),(1925,3935,0.25087,3.3653),(1925,3945,0.296,3.3607),(1925,3955,0.34433,3.3562),(1925,3965,0.39265,3.3502),(1925,3975,0.44098,3.3427),(1925,3985,0.46895,3.3351),(1925,3995,0.47488,3.3276),(1925,4005,0.48082,3.3199),(1925,4015,0.48675,3.3121),(1925,4025,0.49319,3.3043),(1925,4035,0.49968,3.2964),(1925,4045,0.50618,3.2884),(1925,4055,0.51232,3.2803),(1925,4065,0.51833,3.2722),(1925,4075,0.52435,3.2639),(1925,4085,0.52957,3.2556),(1925,4095,0.53415,3.2473),(1925,4105,0.53873,3.2389),(1925,4115,0.52291,3.2304),(1925,4125,0.47325,3.222),(1925,4135,0.4236,3.2156),(1925,4145,0.37353,3.2097),(1925,4155,0.32177,3.2039),(1925,4165,0.27002,3.1997),(1925,4175,0.2214,3.1966),(1925,4185,0.32836,3.1935),(1925,4195,0.43531,3.188),(1925,4205,0.54226,3.1793),(1925,4215,0.54221,3.1706),(1925,4225,0.52203,3.1619),(1925,4235,0.50184,3.1532),(1925,4245,0.46683,3.1444),(1925,4255,0.4243,3.1359),(1925,4265,0.38177,3.129),(1925,4275,0.31989,3.1222),(1925,4285,0.23747,3.1153),(1925,4295,0.15505,3.1129),(1925,4305,0.14164,3.111),(1925,4315,0.28406,3.1092),(1925,4325,0.42648,3.1022),(1925,4335,0.55388,3.0933),(1925,4345,0.5796,3.0843),(1925,4355,0.60532,3.0742),(1925,4365,0.63104,3.0632),(1925,4375,0.63989,3.0521),(1925,4385,0.64787,3.0408),(1925,4395,0.65585,3.0291),(1925,4405,0.5741,3.0174),(1925,4415,0.4659,3.0068),(1925,4425,0.3577,3.001),(1925,4435,0.31445,2.9953),(1925,4445,0.3156,2.9895),(1925,4455,0.31675,2.9843),(1925,4465,0.3756,2.979),(1925,4475,0.51549,2.9738),(1925,4485,0.65539,2.9638),(1925,4495,0.76574,2.9528),(1925,4505,0.7813,2.9418),(1925,4515,0.79687,2.9308),(1925,4525,0.81063,2.9196),(1925,4535,0.79586,2.9085),(1925,4545,0.78109,2.8977),(1925,4555,0.76632,2.8874),(1925,4565,0.57447,2.877),(1925,4575,0.35876,2.8691),(1925,4585,0.14304,2.8671),(1925,4595,0.15717,2.8652),(1925,4605,0.26842,2.8624),(1925,4615,0.37966,2.8535),(1925,4625,0.47503,2.8445),(1925,4635,0.55603,2.8355),(1925,4645,0.63702,2.8241),(1925,4655,0.70668,2.8125),(1925,4665,0.75495,2.8009),(1925,4675,0.80322,2.7894),(1925,4685,0.81394,2.7779),(1925,4695,0.6391,2.7664),(1925,4705,0.46426,2.7595),(1925,4715,0.28942,2.756),(1925,4725,0.39148,2.7526),(1925,4735,0.49632,2.7473),(1925,4745,0.60115,2.7394),(1925,4755,0.71885,2.7315),(1925,4765,0.83953,2.7226),(1925,4775,0.96021,2.7102),(1925,4785,1.0145,2.6978),(1925,4795,1.0305,2.6854),(1925,4805,1.0464,2.6733),(1925,4815,1.007,2.6611),(1925,4825,0.90121,2.649),(1925,4835,0.79546,2.641),(1925,4845,0.68483,2.6337),(1925,4855,0.56145,2.6264),(1925,4865,0.43808,2.621),(1925,4875,0.353,2.6165),(1925,4885,0.61638,2.6119),(1925,4895,0.87975,2.6028),(1925,4905,1.1431,2.5893),(1925,4915,1.1452,2.5757),(1925,4925,1.1248,2.5624),(1925,4935,1.1044,2.5495),(1925,4945,1.0201,2.5365),(1925,4955,0.91374,2.524),(1925,4965,0.80734,2.5139),(1925,4975,0.63749,2.5037),(1925,4985,0.41866,2.4936),(1925,4995,0.19983,2.4924),(1925,5005,0.17663,2.4914),(1925,5015,0.46441,2.4904),(1925,5025,0.7522,2.4825),(1925,5035,1.0027,2.4729),(1925,5045,1.1112,2.4633),(1925,5055,1.2197,2.4522),(1925,5065,1.3253,2.44),(1925,5075,1.3389,2.4278),(1925,5085,1.3525,2.4158),(1925,5095,1.3661,2.4038),(1925,5105,1.198,2.3919),(1925,5115,0.99831,2.3815),(1925,5125,0.79859,2.3752),(1925,5135,0.69349,2.369),(1925,5145,0.63432,2.3628),(1925,5155,0.57514,2.357),(1925,5165,0.68345,2.3512),(1925,5175,0.96257,2.3454),(1925,5185,1.2417,2.3323),(1925,5195,1.437,2.3185),(1925,5205,1.4515,2.3047),(1925,5215,1.466,2.2912),(1925,5225,1.4725,2.2777),(1925,5235,1.4296,2.2643),(1925,5245,1.3866,2.2519),(1925,5255,1.3437,2.2404),(1925,5265,0.94221,2.2289),(1925,5275,0.52597,2.2215),(1925,5285,0.10974,2.2211),(1925,5295,0.26447,2.2206),(1925,5305,0.57821,2.2178),(1925,5315,0.89195,2.2047),(1925,5325,1.0944,2.1916),(1925,5335,1.2239,2.1785),(1925,5345,1.3535,2.1643),(1925,5355,1.4425,2.1501),(1925,5365,1.4768,2.136),(1925,5375,1.5112,2.1225),(1925,5385,1.4495,2.1091),(1925,5395,1.0961,2.0957),(1925,5405,0.74264,2.0888),(1925,5415,0.42339,2.0853),(1925,5425,0.56357,2.0818),(1925,5435,0.70375,2.0735),(1925,5445,0.84393,2.06),(1925,5455,1.0164,2.0466),(1925,5465,1.1929,2.0308),(1925,5475,1.3694,2.0095),(1925,5485,1.4365,1.9883),(1925,5495,1.4595,1.9672),(1925,5505,1.4826,1.9464),(1925,5515,1.5059,1.9255),(1925,5525,1.5294,1.9047),(1925,5535,1.553,1.8842),(1925,5545,1.5761,1.8638),(1925,5555,1.5984,1.8434),(1925,5565,1.6208,1.8233),(1925,5575,1.6429,1.8033),(1925,5585,1.6639,1.7832),(1925,5595,1.6849,1.7635),(1925,5605,1.7059,1.7439),(1925,5615,1.7256,1.7244),(1925,5625,1.7452,1.705),(1925,5635,1.7649,1.6859),(1925,5645,1.7835,1.6669),(1925,5655,1.8018,1.6479),(1925,5665,1.8202,1.6292),(1925,5675,1.8377,1.6105),(1925,5685,1.8548,1.5918),(1925,5695,1.8719,1.5735),(1925,5705,1.8884,1.5552),(1925,5715,1.9043,1.5369),(1925,5725,1.9202,1.519),(1925,5735,1.9358,1.5011),(1925,5745,1.9506,1.4833),(1925,5755,1.9654,1.4657),(1925,5765,1.9801,1.4482),(1925,5775,1.9939,1.4307),(1925,5785,2.0076,1.4134),(1925,5795,2.0214,1.3962),(1925,5805,2.0343,1.379),(1925,5815,2.0471,1.362),(1925,5825,2.06,1.3451),(1925,5835,2.0721,1.3283),(1925,5845,2.0841,1.3115),(1925,5855,2.096,1.2949),(1925,5865,2.1075,1.2783),(1925,5875,2.1187,1.2617),(1925,5885,2.1298,1.2454),(1925,5895,2.1407,1.2291),(1925,5905,2.1511,1.2128),(1925,5915,2.1615,1.1967),(1925,5925,2.1717,1.1806),(1925,5935,2.1814,1.1646),(1925,5945,2.1912,1.1487),(1925,5955,2.2009,1.1328),(1925,5965,2.2102,1.117),(1925,5975,2.2195,1.1013),(1925,5985,2.2289,1.0856),(1925,5995,1.7047,1.07),(1925,6005,1.0947,1.0581),(1925,6015,0.48473,1.0561),(1925,6025,0.50584,1.0541),(1925,6035,0.81966,1.051),(1925,6045,1.1335,1.0373),(1925,6055,1.3585,1.0237),(1925,6065,1.4965,1.01),(1925,6075,1.6345,0.99231),(1925,6085,1.7296,0.97421),(1925,6095,1.7361,0.95611),(1925,6105,1.7426,0.93789),(1925,6115,1.749,0.91963),(1925,6125,1.7552,0.90136),(1925,6135,1.7614,0.88308),(1925,6145,1.7675,0.86479),(1925,6155,1.7734,0.84649),(1925,6165,1.7791,0.82817),(1925,6175,1.7849,0.8098),(1925,6185,1.7904,0.79144),(1925,6195,1.7958,0.77305),(1925,6205,1.8012,0.75459),(1925,6215,1.8063,0.73613),(1925,6225,1.8113,0.71768),(1925,6235,1.8163,0.69927),(1925,6245,1.8211,0.68087),(1925,6255,1.8256,0.66247),(1925,6265,1.8301,0.64403),(1925,6275,1.8346,0.62558),(1925,6285,1.8387,0.60712),(1925,6295,1.8428,0.58867),(1925,6305,1.8469,0.57022),(1925,6315,1.8507,0.55177),(1925,6325,1.8544,0.53325),(1925,6335,1.8581,0.51467),(1925,6345,1.8615,0.49608),(1925,6355,1.8648,0.47749),(1925,6365,1.8682,0.45888),(1925,6375,1.8712,0.44027),(1925,6385,1.8741,0.42167),(1925,6395,1.8771,0.40308),(1925,6405,1.8798,0.38449),(1925,6415,1.8823,0.3659),(1925,6425,1.8848,0.34734),(1925,6435,1.8872,0.32877),(1925,6445,1.8893,0.31021),(1925,6455,1.8914,0.29164),(1925,6465,1.8934,0.27307),(1925,6475,1.8951,0.2545),(1925,6485,1.8968,0.23588),(1925,6495,1.8985,0.21723),(1925,6505,1.8998,0.19858),(1925,6515,1.9011,0.17992),(1925,6525,1.9024,0.16125),(1925,6535,1.9033,0.14259),(1925,6545,1.9042,0.12391),(1925,6555,1.9051,0.10523),(1925,6565,1.9057,0.086552),(1925,6575,1.9061,0.067876),(1925,6585,1.9065,0.049279),(1925,6595,1.6218,0.030682),(1925,6605,1.022,0.012084),(1925,6615,0.42229,0.009907),(1925,6625,0.000688,0.00984),(1925,6635,0.000691,0.009772),(1925,6645,0.000693,0.009746),(1925,6655,0.000695,0.009736),(1925,6665,0.000698,0.009726),(1925,6675,0.0007,0.009717),(1925,6685,0.000702,0.009707),(1925,6695,0.000704,0.009698),(1925,6705,0.000706,0.009688),(1925,6715,0.000708,0.009679),(1925,6725,0.00071,0.009669),(1925,6735,0.000712,0.00966),(1925,6745,0.000714,0.00965),(1925,6755,0.000716,0.009641),(1925,6765,0.000718,0.009631),(1925,6775,0.00072,0.009622),(1925,6785,0.000722,0.009612),(1925,6795,0.000724,0.009603),(1925,6805,0.000726,0.009593),(1925,6815,0.000728,0.009584),(1925,6825,0.000729,0.009574),(1925,6835,0.000731,0.009565),(1925,6845,0.000733,0.009556),(1925,6855,0.000734,0.009546),(1925,6865,0.000736,0.009537),(1925,6875,0.000737,0.009527),(1925,6885,0.000739,0.009518),(1925,6895,0.000741,0.009509),(1925,6905,0.000742,0.009499),(1925,6915,0.000744,0.00949),(1925,6925,0.000745,0.009481),(1925,6935,0.000746,0.009472),(1925,6945,0.000748,0.009462),(1925,6955,0.000749,0.009453),(1925,6965,0.000751,0.009444),(1925,6975,0.000752,0.009435),(1925,6985,0.000753,0.009425),(1935,5,5.7e-05,3.68),(1935,15,0.00017,3.68),(1935,25,0.000283,3.68),(1935,35,0.000397,3.68),(1935,45,0.00051,3.68),(1935,55,0.000624,3.68),(1935,65,0.000737,3.68),(1935,75,0.000851,3.68),(1935,85,0.000965,3.68),(1935,95,0.001079,3.68),(1935,105,0.001193,3.68),(1935,115,0.001308,3.68),(1935,125,0.001422,3.68),(1935,135,0.001536,3.68),(1935,145,0.001651,3.68),(1935,155,0.001767,3.68),(1935,165,0.001882,3.68),(1935,175,0.001998,3.68),(1935,185,0.002114,3.6799),(1935,195,0.002231,3.6799),(1935,205,0.002347,3.6799),(1935,215,0.002464,3.6799),(1935,225,0.002582,3.6799),(1935,235,0.0027,3.6799),(1935,245,0.002818,3.6799),(1935,255,0.002936,3.6799),(1935,265,0.003056,3.6799),(1935,275,0.003176,3.6799),(1935,285,0.003296,3.6799),(1935,295,0.003416,3.6799),(1935,305,0.003538,3.6799),(1935,315,0.00366,3.6798),(1935,325,0.003782,3.6798),(1935,335,0.003904,3.6798),(1935,345,0.004028,3.6798),(1935,355,0.004152,3.6798),(1935,365,0.004276,3.6798),(1935,375,0.004401,3.6798),(1935,385,0.004528,3.6798),(1935,395,0.004654,3.6798),(1935,405,0.004782,3.6797),(1935,415,0.004908,3.6797),(1935,425,0.005038,3.6797),(1935,435,0.005168,3.6797),(1935,445,0.005298,3.6797),(1935,455,0.005428,3.6797),(1935,465,0.005561,3.6797),(1935,475,0.005695,3.6796),(1935,485,0.005828,3.6796),(1935,495,0.005961,3.6796),(1935,505,0.006098,3.6796),(1935,515,0.006235,3.6796),(1935,525,0.006372,3.6796),(1935,535,0.006509,3.6795),(1935,545,0.00665,3.6795),(1935,555,0.006791,3.6795),(1935,565,0.006932,3.6795),(1935,575,0.007073,3.6795),(1935,585,0.007219,3.6794),(1935,595,0.007364,3.6794),(1935,605,0.007509,3.6794),(1935,615,0.007655,3.6794),(1935,625,0.007805,3.6793),(1935,635,0.007955,3.6793),(1935,645,0.008105,3.6793),(1935,655,0.008255,3.6793),(1935,665,0.00841,3.6793),(1935,675,0.008565,3.6792),(1935,685,0.00872,3.6792),(1935,695,0.008876,3.6792),(1935,705,0.009036,3.6791),(1935,715,0.009196,3.6791),(1935,725,0.009357,3.6791),(1935,735,0.009518,3.6791),(1935,745,0.009684,3.679),(1935,755,0.00985,3.679),(1935,765,0.010016,3.679),(1935,775,0.010184,3.6789),(1935,785,0.010357,3.6789),(1935,795,0.010529,3.6789),(1935,805,0.010702,3.6788),(1935,815,0.010876,3.6788),(1935,825,0.011055,3.6788),(1935,835,0.011234,3.6787),(1935,845,0.011414,3.6787),(1935,855,0.011595,3.6787),(1935,865,0.011781,3.6786),(1935,875,0.011968,3.6786),(1935,885,0.012154,3.6786),(1935,895,0.012343,3.6785),(1935,905,0.012537,3.6785),(1935,915,0.01273,3.6784),(1935,925,0.012924,3.6784),(1935,935,0.013121,3.6783),(1935,945,0.013323,3.6783),(1935,955,0.013524,3.6783),(1935,965,0.013726,3.6782),(1935,975,0.013932,3.6782),(1935,985,0.014142,3.6781),(1935,995,0.014352,3.6781),(1935,1005,0.014562,3.678),(1935,1015,0.014777,3.678),(1935,1025,0.014996,3.6779),(1935,1035,0.015216,3.6779),(1935,1045,0.015435,3.6778),(1935,1055,0.015659,3.6777),(1935,1065,0.015888,3.6777),(1935,1075,0.016116,3.6776),(1935,1085,0.016345,3.6776),(1935,1095,0.01658,3.6775),(1935,1105,0.016818,3.6774),(1935,1115,0.017057,3.6774),(1935,1125,0.017295,3.6773),(1935,1135,0.017541,3.6773),(1935,1145,0.01779,3.6772),(1935,1155,0.018039,3.6771),(1935,1165,0.018289,3.677),(1935,1175,0.018545,3.677),(1935,1185,0.018806,3.6769),(1935,1195,0.019066,3.6768),(1935,1205,0.019327,3.6767),(1935,1215,0.019595,3.6767),(1935,1225,0.019867,3.6766),(1935,1235,0.020139,3.6765),(1935,1245,0.020411,3.6764),(1935,1255,0.020692,3.6763),(1935,1265,0.020976,3.6763),(1935,1275,0.02126,3.6762),(1935,1285,0.021545,3.6761),(1935,1295,0.021839,3.676),(1935,1305,0.022135,3.6759),(1935,1315,0.022432,3.6758),(1935,1325,0.022729,3.6757),(1935,1335,0.023037,3.6756),(1935,1345,0.023347,3.6755),(1935,1355,0.023657,3.6754),(1935,1365,0.023968,3.6753),(1935,1375,0.02429,3.6752),(1935,1385,0.024614,3.6751),(1935,1395,0.024938,3.6749),(1935,1405,0.025262,3.6748),(1935,1415,0.0256,3.6747),(1935,1425,0.025938,3.6746),(1935,1435,0.026277,3.6745),(1935,1445,0.026616,3.6743),(1935,1455,0.026969,3.6742),(1935,1465,0.027322,3.6741),(1935,1475,0.027676,3.6739),(1935,1485,0.02803,3.6738),(1935,1495,0.028399,3.6736),(1935,1505,0.028769,3.6735),(1935,1515,0.029138,3.6734),(1935,1525,0.029508,3.6732),(1935,1535,0.029893,3.673),(1935,1545,0.030279,3.6729),(1935,1555,0.030665,3.6727),(1935,1565,0.031051,3.6726),(1935,1575,0.031454,3.6724),(1935,1585,0.031856,3.6722),(1935,1595,0.032259,3.6721),(1935,1605,0.032663,3.6719),(1935,1615,0.033082,3.6717),(1935,1625,0.033502,3.6715),(1935,1635,0.033922,3.6713),(1935,1645,0.034344,3.6711),(1935,1655,0.034781,3.6709),(1935,1665,0.035218,3.6707),(1935,1675,0.035656,3.6705),(1935,1685,0.036096,3.6703),(1935,1695,0.036552,3.6701),(1935,1705,0.037007,3.6699),(1935,1715,0.037463,3.6696),(1935,1725,0.037922,3.6694),(1935,1735,0.038396,3.6692),(1935,1745,0.038871,3.6689),(1935,1755,0.039345,3.6687),(1935,1765,0.039824,3.6684),(1935,1775,0.040317,3.6682),(1935,1785,0.04081,3.6679),(1935,1795,0.041304,3.6677),(1935,1805,0.041803,3.6674),(1935,1815,0.042315,3.6671),(1935,1825,0.042828,3.6668),(1935,1835,0.04334,3.6665),(1935,1845,0.04386,3.6663),(1935,1855,0.044392,3.666),(1935,1865,0.044924,3.6657),(1935,1875,0.045456,3.6653),(1935,1885,0.045995,3.665),(1935,1895,0.046547,3.6647),(1935,1905,0.047098,3.6644),(1935,1915,0.04765,3.664),(1935,1925,0.04821,3.6637),(1935,1935,0.048782,3.6633),(1935,1945,0.049353,3.663),(1935,1955,0.049925,3.6626),(1935,1965,0.050506,3.6622),(1935,1975,0.051098,3.6619),(1935,1985,0.051689,3.6615),(1935,1995,0.052281,3.6611),(1935,2005,0.052882,3.6607),(1935,2015,0.053494,3.6603),(1935,2025,0.054105,3.6598),(1935,2035,0.054717,3.6594),(1935,2045,0.055338,3.659),(1935,2055,0.055969,3.6585),(1935,2065,0.0566,3.6581),(1935,2075,0.057231,3.6576),(1935,2085,0.057873,3.6572),(1935,2095,0.058523,3.6567),(1935,2105,0.059173,3.6562),(1935,2115,0.059823,3.6557),(1935,2125,0.060484,3.6552),(1935,2135,0.061153,3.6547),(1935,2145,0.061821,3.6542),(1935,2155,0.06249,3.6536),(1935,2165,0.063171,3.6531),(1935,2175,0.063858,3.6525),(1935,2185,0.064544,3.652),(1935,2195,0.065231,3.6514),(1935,2205,0.06593,3.6508),(1935,2215,0.066635,3.6502),(1935,2225,0.067339,3.6496),(1935,2235,0.068043,3.649),(1935,2245,0.068759,3.6483),(1935,2255,0.06948,3.6477),(1935,2265,0.0702,3.6471),(1935,2275,0.070921,3.6464),(1935,2285,0.071653,3.6457),(1935,2295,0.072388,3.645),(1935,2305,0.073123,3.6443),(1935,2315,0.073859,3.6436),(1935,2325,0.074605,3.6429),(1935,2335,0.075354,3.6422),(1935,2345,0.076103,3.6414),(1935,2355,0.076852,3.6407),(1935,2365,0.077612,3.6399),(1935,2375,0.078373,3.6391),(1935,2385,0.079134,3.6383),(1935,2395,0.079895,3.6375),(1935,2405,0.080666,3.6367),(1935,2415,0.081438,3.6359),(1935,2425,0.082209,3.635),(1935,2435,0.082981,3.6341),(1935,2445,0.083761,3.6333),(1935,2455,0.084541,3.6324),(1935,2465,0.085321,3.6315),(1935,2475,0.086101,3.6305),(1935,2485,0.086887,3.6296),(1935,2495,0.087673,3.6287),(1935,2505,0.088459,3.6277),(1935,2515,0.089245,3.6267),(1935,2525,0.090035,3.6257),(1935,2535,0.090824,3.6248),(1935,2545,0.091614,3.6237),(1935,2555,0.092404,3.6227),(1935,2565,0.093194,3.6216),(1935,2575,0.093985,3.6206),(1935,2585,0.094775,3.6195),(1935,2595,0.095565,3.6184),(1935,2605,0.096354,3.6173),(1935,2615,0.097143,3.6162),(1935,2625,0.097931,3.615),(1935,2635,0.098719,3.6138),(1935,2645,0.099502,3.6127),(1935,2655,0.10029,3.6115),(1935,2665,0.10107,3.6103),(1935,2675,0.10185,3.609),(1935,2685,0.10263,3.6078),(1935,2695,0.1034,3.6066),(1935,2705,0.10417,3.6053),(1935,2715,0.10495,3.604),(1935,2725,0.10571,3.6027),(1935,2735,0.10647,3.6014),(1935,2745,0.10723,3.6),(1935,2755,0.10799,3.5987),(1935,2765,0.10874,3.5973),(1935,2775,0.10948,3.596),(1935,2785,0.11023,3.5945),(1935,2795,0.11097,3.5931),(1935,2805,0.1117,3.5917),(1935,2815,0.11242,3.5903),(1935,2825,0.11315,3.5888),(1935,2835,0.11387,3.5873),(1935,2845,0.11457,3.5858),(1935,2855,0.11527,3.5843),(1935,2865,0.11598,3.5827),(1935,2875,0.11667,3.5812),(1935,2885,0.11734,3.5796),(1935,2895,0.11802,3.5781),(1935,2905,0.11869,3.5765),(1935,2915,0.11935,3.5748),(1935,2925,0.11999,3.5732),(1935,2935,0.12063,3.5716),(1935,2945,0.12128,3.5699),(1935,2955,0.1219,3.5682),(1935,2965,0.12251,3.5666),(1935,2975,0.12311,3.5649),(1935,2985,0.12371,3.5631),(1935,2995,0.1243,3.5614),(1935,3005,0.12486,3.5597),(1935,3015,0.12543,3.5579),(1935,3025,0.12599,3.5561),(1935,3035,0.12653,3.5543),(1935,3045,0.12705,3.5525),(1935,3055,0.12756,3.5507),(1935,3065,0.12808,3.5488),(1935,3075,0.12857,3.547),(1935,3085,0.12904,3.5451),(1935,3095,0.12951,3.5432),(1935,3105,0.12997,3.5413),(1935,3115,0.13041,3.5394),(1935,3125,0.13082,3.5375),(1935,3135,0.13124,3.5356),(1935,3145,0.13165,3.5337),(1935,3155,0.13203,3.5317),(1935,3165,0.13238,3.5297),(1935,3175,0.13274,3.5278),(1935,3185,0.13309,3.5258),(1935,3195,0.1334,3.5238),(1935,3205,0.1337,3.5218),(1935,3215,0.13399,3.5197),(1935,3225,0.13428,3.5177),(1935,3235,0.13453,3.5156),(1935,3245,0.13475,3.5136),(1935,3255,0.13498,3.5115),(1935,3265,0.13521,3.5095),(1935,3275,0.13538,3.5074),(1935,3285,0.13554,3.5053),(1935,3295,0.13569,3.5032),(1935,3305,0.13585,3.5011),(1935,3315,0.13595,3.499),(1935,3325,0.13603,3.4969),(1935,3335,0.13612,3.4947),(1935,3345,0.1362,3.4926),(1935,3355,0.13622,3.4904),(1935,3365,0.13623,3.4883),(1935,3375,0.13624,3.4861),(1935,3385,0.13625,3.484),(1935,3395,0.13619,3.4818),(1935,3405,0.13612,3.4796),(1935,3415,0.13605,3.4775),(1935,3425,0.13598,3.4753),(1935,3435,0.13584,3.4731),(1935,3445,0.13569,3.4709),(1935,3455,0.13554,3.4687),(1935,3465,0.13539,3.4665),(1935,3475,0.13516,3.4644),(1935,3485,0.13493,3.4622),(1935,3495,0.1347,3.46),(1935,3505,0.13447,3.4578),(1935,3515,0.13415,3.4556),(1935,3525,0.13384,3.4534),(1935,3535,0.13352,3.4512),(1935,3545,0.1332,3.449),(1935,3555,0.1328,3.4468),(1935,3565,0.13241,3.4446),(1935,3575,0.13201,3.4424),(1935,3585,0.1316,3.4402),(1935,3595,0.13112,3.438),(1935,3605,0.13063,3.4358),(1935,3615,0.13015,3.4337),(1935,3625,0.12966,3.4315),(1935,3635,0.12909,3.4293),(1935,3645,0.12852,3.4271),(1935,3655,0.12795,3.425),(1935,3665,0.12737,3.4228),(1935,3675,0.12672,3.4207),(1935,3685,0.12606,3.4185),(1935,3695,0.12541,3.4164),(1935,3705,0.12474,3.4143),(1935,3715,0.12401,3.4121),(1935,3725,0.12327,3.41),(1935,3735,0.12253,3.4079),(1935,3745,0.12178,3.4058),(1935,3755,0.12096,3.4037),(1935,3765,0.12014,3.4016),(1935,3775,0.11933,3.3995),(1935,3785,0.11849,3.3975),(1935,3795,0.11759,3.3954),(1935,3805,0.11669,3.3934),(1935,3815,0.1158,3.3914),(1935,3825,0.11487,3.3893),(1935,3835,0.1139,3.3873),(1935,3845,0.11292,3.3853),(1935,3855,0.11195,3.3834),(1935,3865,0.11095,3.3814),(1935,3875,0.1099,3.3794),(1935,3885,0.10885,3.3775),(1935,3895,0.1078,3.3756),(1935,3905,0.12444,3.3737),(1935,3915,0.16751,3.3718),(1935,3925,0.21057,3.3687),(1935,3935,0.25363,3.3641),(1935,3945,0.29923,3.3595),(1935,3955,0.34803,3.3549),(1935,3965,0.39683,3.349),(1935,3975,0.44563,3.3414),(1935,3985,0.47387,3.3338),(1935,3995,0.47984,3.3262),(1935,4005,0.48581,3.3184),(1935,4015,0.49179,3.3106),(1935,4025,0.49827,3.3027),(1935,4035,0.5048,3.2947),(1935,4045,0.51134,3.2866),(1935,4055,0.51752,3.2785),(1935,4065,0.52358,3.2703),(1935,4075,0.52963,3.2619),(1935,4085,0.53488,3.2535),(1935,4095,0.53947,3.2452),(1935,4105,0.54406,3.2366),(1935,4115,0.52805,3.228),(1935,4125,0.47785,3.2195),(1935,4135,0.42766,3.2129),(1935,4145,0.37704,3.207),(1935,4155,0.32472,3.201),(1935,4165,0.27239,3.1968),(1935,4175,0.22324,3.1936),(1935,4185,0.33134,3.1905),(1935,4195,0.43945,3.1849),(1935,4205,0.54755,3.1761),(1935,4215,0.54777,3.1673),(1935,4225,0.52768,3.1585),(1935,4235,0.5076,3.1497),(1935,4245,0.4724,3.1409),(1935,4255,0.42953,3.1322),(1935,4265,0.38666,3.1253),(1935,4275,0.32408,3.1184),(1935,4285,0.24058,3.1115),(1935,4295,0.15708,3.1091),(1935,4305,0.14336,3.1072),(1935,4315,0.2872,3.1053),(1935,4325,0.43104,3.0982),(1935,4335,0.55973,3.0892),(1935,4345,0.58595,3.0801),(1935,4355,0.61216,3.0699),(1935,4365,0.63838,3.0587),(1935,4375,0.64739,3.0475),(1935,4385,0.65551,3.0361),(1935,4395,0.66363,3.0244),(1935,4405,0.58097,3.0126),(1935,4415,0.47153,3.002),(1935,4425,0.36209,2.9963),(1935,4435,0.31825,2.9907),(1935,4445,0.31923,2.985),(1935,4455,0.3202,2.9798),(1935,4465,0.37936,2.9746),(1935,4475,0.52024,2.9693),(1935,4485,0.66112,2.9593),(1935,4495,0.77221,2.9483),(1935,4505,0.78774,2.9373),(1935,4515,0.80327,2.9261),(1935,4525,0.81698,2.9149),(1935,4535,0.80208,2.9037),(1935,4545,0.78717,2.8929),(1935,4555,0.77226,2.8825),(1935,4565,0.57916,2.8722),(1935,4575,0.36203,2.8642),(1935,4585,0.1449,2.8623),(1935,4595,0.15968,2.8603),(1935,4605,0.27244,2.8575),(1935,4615,0.38521,2.8485),(1935,4625,0.4815,2.8395),(1935,4635,0.56287,2.8304),(1935,4645,0.64424,2.819),(1935,4655,0.71404,2.8075),(1935,4665,0.76201,2.7959),(1935,4675,0.80999,2.7844),(1935,4685,0.82021,2.7728),(1935,4695,0.64387,2.7613),(1935,4705,0.46753,2.7543),(1935,4715,0.29119,2.7507),(1935,4725,0.39399,2.7471),(1935,4735,0.49959,2.7418),(1935,4745,0.60518,2.7337),(1935,4755,0.72362,2.7256),(1935,4765,0.84503,2.7165),(1935,4775,0.96645,2.704),(1935,4785,1.0209,2.6916),(1935,4795,1.0368,2.6791),(1935,4805,1.0526,2.667),(1935,4815,1.0126,2.6548),(1935,4825,0.90595,2.6427),(1935,4835,0.7993,2.6348),(1935,4845,0.68796,2.6276),(1935,4855,0.56441,2.6203),(1935,4865,0.44087,2.6149),(1935,4875,0.35576,2.6104),(1935,4885,0.62044,2.6058),(1935,4895,0.88512,2.5967),(1935,4905,1.1498,2.5833),(1935,4915,1.1519,2.5698),(1935,4925,1.1314,2.5565),(1935,4935,1.111,2.5436),(1935,4945,1.0264,2.5306),(1935,4955,0.91973,2.5181),(1935,4965,0.81303,2.508),(1935,4975,0.64216,2.4978),(1935,4985,0.42177,2.4876),(1935,4995,0.20139,2.4864),(1935,5005,0.17763,2.4854),(1935,5015,0.46647,2.4843),(1935,5025,0.75532,2.4765),(1935,5035,1.0067,2.4669),(1935,5045,1.1154,2.4574),(1935,5055,1.2241,2.4462),(1935,5065,1.3299,2.434),(1935,5075,1.3433,2.4219),(1935,5085,1.3568,2.4098),(1935,5095,1.3702,2.3979),(1935,5105,1.2016,2.386),(1935,5115,1.0012,2.3755),(1935,5125,0.80087,2.3693),(1935,5135,0.69568,2.363),(1935,5145,0.63668,2.3568),(1935,5155,0.57768,2.351),(1935,5165,0.68653,2.3453),(1935,5175,0.96657,2.3395),(1935,5185,1.2466,2.3264),(1935,5195,1.4425,2.3127),(1935,5205,1.4568,2.2989),(1935,5215,1.4711,2.2853),(1935,5225,1.4775,2.2719),(1935,5235,1.4341,2.2585),(1935,5245,1.3908,2.2461),(1935,5255,1.3475,2.2347),(1935,5265,0.94498,2.2232),(1935,5275,0.52764,2.2159),(1935,5285,0.1103,2.2154),(1935,5295,0.26643,2.215),(1935,5305,0.58227,2.2121),(1935,5315,0.8981,2.1989),(1935,5325,1.1012,2.1858),(1935,5335,1.2304,2.1727),(1935,5345,1.3595,2.1586),(1935,5355,1.4482,2.1444),(1935,5365,1.4821,2.1303),(1935,5375,1.5161,2.1168),(1935,5385,1.4539,2.1034),(1935,5395,1.0993,2.09),(1935,5405,0.74479,2.0831),(1935,5415,0.42469,2.0796),(1935,5425,0.56712,2.0761),(1935,5435,0.70956,2.0679),(1935,5445,0.85199,2.0544),(1935,5455,1.0259,2.0409),(1935,5465,1.2037,2.0251),(1935,5475,1.3815,2.004),(1935,5485,1.4489,1.9828),(1935,5495,1.4717,1.9617),(1935,5505,1.4946,1.9409),(1935,5515,1.5177,1.9201),(1935,5525,1.541,1.8994),(1935,5535,1.5642,1.879),(1935,5545,1.5871,1.8586),(1935,5555,1.6092,1.8382),(1935,5565,1.6313,1.8181),(1935,5575,1.6532,1.7982),(1935,5585,1.674,1.7782),(1935,5595,1.6948,1.7586),(1935,5605,1.7155,1.7391),(1935,5615,1.735,1.7196),(1935,5625,1.7544,1.7003),(1935,5635,1.7738,1.6813),(1935,5645,1.7922,1.6623),(1935,5655,1.8103,1.6434),(1935,5665,1.8284,1.6247),(1935,5675,1.8457,1.6061),(1935,5685,1.8626,1.5875),(1935,5695,1.8795,1.5693),(1935,5705,1.8958,1.5511),(1935,5715,1.9115,1.5328),(1935,5725,1.9272,1.515),(1935,5735,1.9426,1.4972),(1935,5745,1.9572,1.4794),(1935,5755,1.9719,1.4619),(1935,5765,1.9864,1.4445),(1935,5775,2,1.4271),(1935,5785,2.0136,1.4098),(1935,5795,2.0272,1.3927),(1935,5805,2.0399,1.3756),(1935,5815,2.0526,1.3586),(1935,5825,2.0652,1.3418),(1935,5835,2.0772,1.3251),(1935,5845,2.089,1.3083),(1935,5855,2.1008,1.2918),(1935,5865,2.1122,1.2753),(1935,5875,2.1232,1.2588),(1935,5885,2.1342,1.2426),(1935,5895,2.1449,1.2263),(1935,5905,2.1552,1.2101),(1935,5915,2.1655,1.194),(1935,5925,2.1756,1.1781),(1935,5935,2.1852,1.1621),(1935,5945,2.1948,1.1462),(1935,5955,2.2044,1.1305),(1935,5965,2.2137,1.1147),(1935,5975,2.2229,1.099),(1935,5985,2.2321,1.0835),(1935,5995,1.7072,1.0679),(1935,6005,1.0963,1.0561),(1935,6015,0.48543,1.0541),(1935,6025,0.5076,1.052),(1935,6035,0.82339,1.0489),(1935,6045,1.1392,1.0353),(1935,6055,1.3655,1.0217),(1935,6065,1.5042,1.008),(1935,6075,1.6429,0.99033),(1935,6085,1.7384,0.97225),(1935,6095,1.7448,0.95417),(1935,6105,1.7513,0.93597),(1935,6115,1.7577,0.91773),(1935,6125,1.7639,0.89949),(1935,6135,1.7701,0.88124),(1935,6145,1.7762,0.86297),(1935,6155,1.782,0.84471),(1935,6165,1.7878,0.82642),(1935,6175,1.7936,0.80809),(1935,6185,1.799,0.78976),(1935,6195,1.8044,0.77141),(1935,6205,1.8098,0.75298),(1935,6215,1.815,0.73455),(1935,6225,1.8199,0.71612),(1935,6235,1.8249,0.69775),(1935,6245,1.8297,0.67937),(1935,6255,1.8343,0.661),(1935,6265,1.8388,0.64259),(1935,6275,1.8432,0.62418),(1935,6285,1.8473,0.60577),(1935,6295,1.8514,0.58734),(1935,6305,1.8555,0.5689),(1935,6315,1.8593,0.55047),(1935,6325,1.863,0.53198),(1935,6335,1.8668,0.51344),(1935,6345,1.8701,0.4949),(1935,6355,1.8734,0.47635),(1935,6365,1.8767,0.45779),(1935,6375,1.8798,0.43923),(1935,6385,1.8827,0.42067),(1935,6395,1.8856,0.40212),(1935,6405,1.8883,0.38358),(1935,6415,1.8908,0.36504),(1935,6425,1.8933,0.34652),(1935,6435,1.8957,0.328),(1935,6445,1.8978,0.30948),(1935,6455,1.8999,0.29095),(1935,6465,1.9019,0.27242),(1935,6475,1.9036,0.25389),(1935,6485,1.9053,0.23531),(1935,6495,1.907,0.2167),(1935,6505,1.9083,0.19809),(1935,6515,1.9096,0.17948),(1935,6525,1.9109,0.16086),(1935,6535,1.9118,0.14225),(1935,6545,1.9127,0.12363),(1935,6555,1.9136,0.105),(1935,6565,1.9142,0.086372),(1935,6575,1.9146,0.067748),(1935,6585,1.915,0.049185),(1935,6595,1.6289,0.030622),(1935,6605,1.0265,0.012059),(1935,6615,0.42416,0.009892),(1935,6625,0.000694,0.009832),(1935,6635,0.000696,0.009772),(1935,6645,0.000699,0.009748),(1935,6655,0.000701,0.009738),(1935,6665,0.000703,0.009729),(1935,6675,0.000706,0.009719),(1935,6685,0.000708,0.009709),(1935,6695,0.00071,0.0097),(1935,6705,0.000712,0.00969),(1935,6715,0.000714,0.009681),(1935,6725,0.000716,0.009671),(1935,6735,0.000718,0.009662),(1935,6745,0.00072,0.009652),(1935,6755,0.000722,0.009643),(1935,6765,0.000724,0.009633),(1935,6775,0.000726,0.009623),(1935,6785,0.000728,0.009614),(1935,6795,0.000729,0.009604),(1935,6805,0.000731,0.009595),(1935,6815,0.000733,0.009586),(1935,6825,0.000735,0.009576),(1935,6835,0.000736,0.009567),(1935,6845,0.000738,0.009557),(1935,6855,0.00074,0.009548),(1935,6865,0.000741,0.009538),(1935,6875,0.000743,0.009529),(1935,6885,0.000744,0.00952),(1935,6895,0.000746,0.00951),(1935,6905,0.000747,0.009501),(1935,6915,0.000749,0.009492),(1935,6925,0.00075,0.009482),(1935,6935,0.000752,0.009473),(1935,6945,0.000753,0.009464),(1935,6955,0.000754,0.009454),(1935,6965,0.000756,0.009445),(1935,6975,0.000757,0.009436),(1935,6985,0.000758,0.009427),(1945,5,5.7e-05,3.6801),(1945,15,0.00017,3.6801),(1945,25,0.000283,3.6801),(1945,35,0.000396,3.6801),(1945,45,0.000509,3.6801),(1945,55,0.000622,3.6801),(1945,65,0.000735,3.6801),(1945,75,0.000849,3.6801),(1945,85,0.000962,3.6801),(1945,95,0.001076,3.6801),(1945,105,0.00119,3.6801),(1945,115,0.001304,3.6801),(1945,125,0.001418,3.6801),(1945,135,0.001532,3.6801),(1945,145,0.001647,3.6801),(1945,155,0.001762,3.6801),(1945,165,0.001877,3.6801),(1945,175,0.001992,3.6801),(1945,185,0.002108,3.6801),(1945,195,0.002224,3.6801),(1945,205,0.002341,3.6801),(1945,215,0.002457,3.68),(1945,225,0.002574,3.68),(1945,235,0.002692,3.68),(1945,245,0.00281,3.68),(1945,255,0.002928,3.68),(1945,265,0.003047,3.68),(1945,275,0.003167,3.68),(1945,285,0.003287,3.68),(1945,295,0.003406,3.68),(1945,305,0.003528,3.68),(1945,315,0.003649,3.68),(1945,325,0.003771,3.68),(1945,335,0.003893,3.6799),(1945,345,0.004017,3.6799),(1945,355,0.004141,3.6799),(1945,365,0.004265,3.6799),(1945,375,0.004389,3.6799),(1945,385,0.004515,3.6799),(1945,395,0.004642,3.6799),(1945,405,0.004768,3.6799),(1945,415,0.004895,3.6799),(1945,425,0.005025,3.6798),(1945,435,0.005154,3.6798),(1945,445,0.005284,3.6798),(1945,455,0.005413,3.6798),(1945,465,0.005546,3.6798),(1945,475,0.005679,3.6798),(1945,485,0.005812,3.6798),(1945,495,0.005945,3.6797),(1945,505,0.006082,3.6797),(1945,515,0.006219,3.6797),(1945,525,0.006355,3.6797),(1945,535,0.006492,3.6797),(1945,545,0.006633,3.6797),(1945,555,0.006773,3.6796),(1945,565,0.006914,3.6796),(1945,575,0.007055,3.6796),(1945,585,0.0072,3.6796),(1945,595,0.007345,3.6796),(1945,605,0.00749,3.6795),(1945,615,0.007635,3.6795),(1945,625,0.007785,3.6795),(1945,635,0.007935,3.6795),(1945,645,0.008084,3.6795),(1945,655,0.008235,3.6794),(1945,665,0.008389,3.6794),(1945,675,0.008544,3.6794),(1945,685,0.008698,3.6794),(1945,695,0.008854,3.6793),(1945,705,0.009014,3.6793),(1945,715,0.009174,3.6793),(1945,725,0.009334,3.6793),(1945,735,0.009495,3.6792),(1945,745,0.009661,3.6792),(1945,755,0.009827,3.6792),(1945,765,0.009993,3.6791),(1945,775,0.01016,3.6791),(1945,785,0.010332,3.6791),(1945,795,0.010505,3.6791),(1945,805,0.010677,3.679),(1945,815,0.010851,3.679),(1945,825,0.01103,3.679),(1945,835,0.011209,3.6789),(1945,845,0.011388,3.6789),(1945,855,0.011569,3.6789),(1945,865,0.011755,3.6788),(1945,875,0.011941,3.6788),(1945,885,0.012127,3.6787),(1945,895,0.012316,3.6787),(1945,905,0.01251,3.6787),(1945,915,0.012703,3.6786),(1945,925,0.012897,3.6786),(1945,935,0.013094,3.6785),(1945,945,0.013295,3.6785),(1945,955,0.013497,3.6785),(1945,965,0.013698,3.6784),(1945,975,0.013904,3.6784),(1945,985,0.014114,3.6783),(1945,995,0.014324,3.6783),(1945,1005,0.014534,3.6782),(1945,1015,0.014749,3.6782),(1945,1025,0.014968,3.6781),(1945,1035,0.015187,3.6781),(1945,1045,0.015406,3.678),(1945,1055,0.015631,3.678),(1945,1065,0.015859,3.6779),(1945,1075,0.016088,3.6779),(1945,1085,0.016317,3.6778),(1945,1095,0.016551,3.6777),(1945,1105,0.01679,3.6777),(1945,1115,0.017028,3.6776),(1945,1125,0.017267,3.6776),(1945,1135,0.017512,3.6775),(1945,1145,0.017762,3.6774),(1945,1155,0.018011,3.6774),(1945,1165,0.018261,3.6773),(1945,1175,0.018517,3.6772),(1945,1185,0.018778,3.6772),(1945,1195,0.019039,3.6771),(1945,1205,0.019299,3.677),(1945,1215,0.019568,3.6769),(1945,1225,0.01984,3.6769),(1945,1235,0.020113,3.6768),(1945,1245,0.020385,3.6767),(1945,1255,0.020666,3.6766),(1945,1265,0.020951,3.6765),(1945,1275,0.021235,3.6765),(1945,1285,0.02152,3.6764),(1945,1295,0.021814,3.6763),(1945,1305,0.022112,3.6762),(1945,1315,0.022409,3.6761),(1945,1325,0.022706,3.676),(1945,1335,0.023015,3.6759),(1945,1345,0.023325,3.6758),(1945,1355,0.023636,3.6757),(1945,1365,0.023947,3.6756),(1945,1375,0.02427,3.6755),(1945,1385,0.024595,3.6754),(1945,1395,0.024919,3.6753),(1945,1405,0.025244,3.6752),(1945,1415,0.025582,3.675),(1945,1425,0.025922,3.6749),(1945,1435,0.026261,3.6748),(1945,1445,0.026601,3.6747),(1945,1455,0.026955,3.6745),(1945,1465,0.027309,3.6744),(1945,1475,0.027664,3.6743),(1945,1485,0.028019,3.6741),(1945,1495,0.028389,3.674),(1945,1505,0.028759,3.6739),(1945,1515,0.02913,3.6737),(1945,1525,0.029501,3.6736),(1945,1535,0.029888,3.6734),(1945,1545,0.030275,3.6733),(1945,1555,0.030662,3.6731),(1945,1565,0.03105,3.673),(1945,1575,0.031454,3.6728),(1945,1585,0.031857,3.6726),(1945,1595,0.032261,3.6725),(1945,1605,0.032667,3.6723),(1945,1615,0.033088,3.6721),(1945,1625,0.033509,3.6719),(1945,1635,0.033931,3.6717),(1945,1645,0.034355,3.6715),(1945,1655,0.034794,3.6714),(1945,1665,0.035233,3.6712),(1945,1675,0.035672,3.671),(1945,1685,0.036115,3.6707),(1945,1695,0.036572,3.6705),(1945,1705,0.03703,3.6703),(1945,1715,0.037487,3.6701),(1945,1725,0.037949,3.6699),(1945,1735,0.038426,3.6696),(1945,1745,0.038902,3.6694),(1945,1755,0.039378,3.6692),(1945,1765,0.03986,3.6689),(1945,1775,0.040356,3.6687),(1945,1785,0.040852,3.6684),(1945,1795,0.041348,3.6682),(1945,1805,0.041849,3.6679),(1945,1815,0.042365,3.6676),(1945,1825,0.04288,3.6674),(1945,1835,0.043396,3.6671),(1945,1845,0.043918,3.6668),(1945,1855,0.044453,3.6665),(1945,1865,0.044989,3.6662),(1945,1875,0.045524,3.6659),(1945,1885,0.046067,3.6656),(1945,1895,0.046622,3.6652),(1945,1905,0.047177,3.6649),(1945,1915,0.047732,3.6646),(1945,1925,0.048296,3.6642),(1945,1935,0.048872,3.6639),(1945,1945,0.049447,3.6636),(1945,1955,0.050023,3.6632),(1945,1965,0.050607,3.6628),(1945,1975,0.051203,3.6625),(1945,1985,0.051799,3.6621),(1945,1995,0.052395,3.6617),(1945,2005,0.053001,3.6613),(1945,2015,0.053617,3.6609),(1945,2025,0.054233,3.6605),(1945,2035,0.054849,3.66),(1945,2045,0.055476,3.6596),(1945,2055,0.056112,3.6592),(1945,2065,0.056748,3.6587),(1945,2075,0.057383,3.6583),(1945,2085,0.058031,3.6578),(1945,2095,0.058686,3.6573),(1945,2105,0.059341,3.6569),(1945,2115,0.059997,3.6564),(1945,2125,0.060664,3.6559),(1945,2135,0.061338,3.6554),(1945,2145,0.062013,3.6548),(1945,2155,0.062687,3.6543),(1945,2165,0.063374,3.6538),(1945,2175,0.064067,3.6532),(1945,2185,0.06476,3.6526),(1945,2195,0.065453,3.6521),(1945,2205,0.066159,3.6515),(1945,2215,0.06687,3.6509),(1945,2225,0.067581,3.6503),(1945,2235,0.068292,3.6497),(1945,2245,0.069015,3.6491),(1945,2255,0.069743,3.6484),(1945,2265,0.07047,3.6478),(1945,2275,0.071198,3.6471),(1945,2285,0.071938,3.6465),(1945,2295,0.072681,3.6458),(1945,2305,0.073424,3.6451),(1945,2315,0.074167,3.6444),(1945,2325,0.074921,3.6437),(1945,2335,0.075678,3.6429),(1945,2345,0.076435,3.6422),(1945,2355,0.077192,3.6414),(1945,2365,0.07796,3.6407),(1945,2375,0.07873,3.6399),(1945,2385,0.0795,3.6391),(1945,2395,0.080269,3.6383),(1945,2405,0.081049,3.6375),(1945,2415,0.081829,3.6366),(1945,2425,0.08261,3.6358),(1945,2435,0.083391,3.6349),(1945,2445,0.084179,3.634),(1945,2455,0.084969,3.6332),(1945,2465,0.085759,3.6323),(1945,2475,0.086548,3.6313),(1945,2485,0.087344,3.6304),(1945,2495,0.08814,3.6295),(1945,2505,0.088936,3.6285),(1945,2515,0.089732,3.6275),(1945,2525,0.090531,3.6265),(1945,2535,0.091331,3.6256),(1945,2545,0.092131,3.6245),(1945,2555,0.092931,3.6235),(1945,2565,0.093732,3.6224),(1945,2575,0.094533,3.6214),(1945,2585,0.095334,3.6203),(1945,2595,0.096135,3.6192),(1945,2605,0.096934,3.6181),(1945,2615,0.097734,3.617),(1945,2625,0.098533,3.6158),(1945,2635,0.099332,3.6146),(1945,2645,0.10013,3.6135),(1945,2655,0.10092,3.6123),(1945,2665,0.10172,3.6111),(1945,2675,0.10251,3.6098),(1945,2685,0.10329,3.6086),(1945,2695,0.10408,3.6074),(1945,2705,0.10487,3.6061),(1945,2715,0.10565,3.6048),(1945,2725,0.10642,3.6035),(1945,2735,0.1072,3.6022),(1945,2745,0.10797,3.6008),(1945,2755,0.10874,3.5994),(1945,2765,0.1095,3.5981),(1945,2775,0.11026,3.5967),(1945,2785,0.11102,3.5953),(1945,2795,0.11177,3.5939),(1945,2805,0.11251,3.5924),(1945,2815,0.11324,3.591),(1945,2825,0.11398,3.5895),(1945,2835,0.11471,3.588),(1945,2845,0.11543,3.5865),(1945,2855,0.11614,3.585),(1945,2865,0.11686,3.5834),(1945,2875,0.11756,3.5819),(1945,2885,0.11825,3.5803),(1945,2895,0.11893,3.5787),(1945,2905,0.11962,3.5771),(1945,2915,0.12029,3.5755),(1945,2925,0.12094,3.5739),(1945,2935,0.1216,3.5722),(1945,2945,0.12225,3.5706),(1945,2955,0.12289,3.5689),(1945,2965,0.1235,3.5672),(1945,2975,0.12412,3.5655),(1945,2985,0.12474,3.5637),(1945,2995,0.12533,3.562),(1945,3005,0.12591,3.5602),(1945,3015,0.12648,3.5585),(1945,3025,0.12705,3.5566),(1945,3035,0.1276,3.5548),(1945,3045,0.12813,3.553),(1945,3055,0.12866,3.5512),(1945,3065,0.12919,3.5493),(1945,3075,0.12969,3.5475),(1945,3085,0.13017,3.5456),(1945,3095,0.13065,3.5437),(1945,3105,0.13112,3.5418),(1945,3115,0.13157,3.5399),(1945,3125,0.13199,3.538),(1945,3135,0.13242,3.536),(1945,3145,0.13284,3.534),(1945,3155,0.13322,3.5321),(1945,3165,0.13359,3.5301),(1945,3175,0.13395,3.5281),(1945,3185,0.13432,3.5261),(1945,3195,0.13464,3.5241),(1945,3205,0.13494,3.5221),(1945,3215,0.13524,3.52),(1945,3225,0.13554,3.518),(1945,3235,0.1358,3.5159),(1945,3245,0.13603,3.5138),(1945,3255,0.13627,3.5118),(1945,3265,0.1365,3.5097),(1945,3275,0.13668,3.5076),(1945,3285,0.13685,3.5055),(1945,3295,0.13701,3.5033),(1945,3305,0.13717,3.5012),(1945,3315,0.13728,3.4991),(1945,3325,0.13737,3.4969),(1945,3335,0.13746,3.4948),(1945,3345,0.13755,3.4926),(1945,3355,0.13758,3.4905),(1945,3365,0.13759,3.4883),(1945,3375,0.13761,3.4861),(1945,3385,0.13762,3.4839),(1945,3395,0.13757,3.4818),(1945,3405,0.1375,3.4796),(1945,3415,0.13744,3.4774),(1945,3425,0.13737,3.4752),(1945,3435,0.13723,3.473),(1945,3445,0.13709,3.4708),(1945,3455,0.13694,3.4686),(1945,3465,0.1368,3.4664),(1945,3475,0.13657,3.4641),(1945,3485,0.13634,3.4619),(1945,3495,0.13611,3.4597),(1945,3505,0.13588,3.4575),(1945,3515,0.13557,3.4553),(1945,3525,0.13526,3.4531),(1945,3535,0.13494,3.4508),(1945,3545,0.13463,3.4486),(1945,3555,0.13423,3.4464),(1945,3565,0.13383,3.4442),(1945,3575,0.13343,3.442),(1945,3585,0.13302,3.4398),(1945,3595,0.13254,3.4376),(1945,3605,0.13206,3.4354),(1945,3615,0.13157,3.4332),(1945,3625,0.13108,3.431),(1945,3635,0.13051,3.4288),(1945,3645,0.12994,3.4266),(1945,3655,0.12937,3.4244),(1945,3665,0.12879,3.4222),(1945,3675,0.12813,3.42),(1945,3685,0.12748,3.4179),(1945,3695,0.12682,3.4157),(1945,3705,0.12615,3.4136),(1945,3715,0.12541,3.4114),(1945,3725,0.12467,3.4093),(1945,3735,0.12393,3.4071),(1945,3745,0.12317,3.405),(1945,3755,0.12235,3.4029),(1945,3765,0.12153,3.4008),(1945,3775,0.12071,3.3987),(1945,3785,0.11986,3.3966),(1945,3795,0.11896,3.3945),(1945,3805,0.11806,3.3925),(1945,3815,0.11715,3.3904),(1945,3825,0.11622,3.3884),(1945,3835,0.11524,3.3864),(1945,3845,0.11426,3.3843),(1945,3855,0.11328,3.3823),(1945,3865,0.11227,3.3804),(1945,3875,0.11121,3.3784),(1945,3885,0.11015,3.3764),(1945,3895,0.1091,3.3745),(1945,3905,0.12591,3.3726),(1945,3915,0.16941,3.3707),(1945,3925,0.21292,3.3676),(1945,3935,0.25642,3.363),(1945,3945,0.30248,3.3583),(1945,3955,0.35176,3.3537),(1945,3965,0.40105,3.3477),(1945,3975,0.45034,3.34),(1945,3985,0.47884,3.3324),(1945,3995,0.48486,3.3247),(1945,4005,0.49087,3.3169),(1945,4015,0.49688,3.309),(1945,4025,0.50341,3.301),(1945,4035,0.50999,3.293),(1945,4045,0.51657,3.2848),(1945,4055,0.52279,3.2766),(1945,4065,0.52889,3.2684),(1945,4075,0.535,3.2599),(1945,4085,0.54027,3.2514),(1945,4095,0.54489,3.243),(1945,4105,0.54951,3.2343),(1945,4115,0.5333,3.2256),(1945,4125,0.48257,3.217),(1945,4135,0.43183,3.2103),(1945,4145,0.38067,3.2042),(1945,4155,0.32775,3.1982),(1945,4165,0.27483,3.1938),(1945,4175,0.22513,3.1907),(1945,4185,0.3344,3.1875),(1945,4195,0.44366,3.1818),(1945,4205,0.55293,3.1729),(1945,4215,0.55342,3.164),(1945,4225,0.53344,3.1551),(1945,4235,0.51345,3.1462),(1945,4245,0.47805,3.1373),(1945,4255,0.43483,3.1286),(1945,4265,0.39161,3.1216),(1945,4275,0.32832,3.1146),(1945,4285,0.24373,3.1077),(1945,4295,0.15914,3.1052),(1945,4305,0.14511,3.1033),(1945,4315,0.2904,3.1014),(1945,4325,0.43569,3.0943),(1945,4335,0.56572,3.0851),(1945,4345,0.59243,3.0759),(1945,4355,0.61914,3.0655),(1945,4365,0.64585,3.0542),(1945,4375,0.65499,3.0429),(1945,4385,0.66322,3.0314),(1945,4395,0.67145,3.0196),(1945,4405,0.58782,3.0079),(1945,4415,0.4771,2.9972),(1945,4425,0.36639,2.9916),(1945,4435,0.32193,2.9861),(1945,4445,0.32276,2.9805),(1945,4455,0.32359,2.9753),(1945,4465,0.38308,2.9701),(1945,4475,0.52498,2.9649),(1945,4485,0.66687,2.9549),(1945,4495,0.77874,2.9438),(1945,4505,0.79423,2.9327),(1945,4515,0.80973,2.9215),(1945,4525,0.82341,2.9102),(1945,4535,0.80834,2.8989),(1945,4545,0.79327,2.8881),(1945,4555,0.7782,2.8777),(1945,4565,0.58385,2.8673),(1945,4575,0.36532,2.8594),(1945,4585,0.14679,2.8574),(1945,4595,0.16223,2.8553),(1945,4605,0.27651,2.8525),(1945,4615,0.39079,2.8435),(1945,4625,0.48798,2.8344),(1945,4635,0.5697,2.8253),(1945,4645,0.65141,2.814),(1945,4655,0.72134,2.8024),(1945,4665,0.76906,2.7909),(1945,4675,0.81677,2.7793),(1945,4685,0.82653,2.7677),(1945,4695,0.64871,2.7561),(1945,4705,0.47089,2.7491),(1945,4715,0.29307,2.7454),(1945,4725,0.39665,2.7417),(1945,4735,0.50305,2.7362),(1945,4745,0.60945,2.7279),(1945,4755,0.72859,2.7196),(1945,4765,0.85069,2.7104),(1945,4775,0.97278,2.6978),(1945,4785,1.0274,2.6853),(1945,4795,1.0431,2.6728),(1945,4805,1.0587,2.6607),(1945,4815,1.0182,2.6485),(1945,4825,0.91065,2.6364),(1945,4835,0.80308,2.6286),(1945,4845,0.69103,2.6214),(1945,4855,0.56733,2.6142),(1945,4865,0.44363,2.6088),(1945,4875,0.35851,2.6043),(1945,4885,0.62448,2.5997),(1945,4895,0.89045,2.5907),(1945,4905,1.1564,2.5772),(1945,4915,1.1586,2.5638),(1945,4925,1.138,2.5506),(1945,4935,1.1175,2.5377),(1945,4945,1.0327,2.5248),(1945,4955,0.92574,2.5123),(1945,4965,0.81874,2.5021),(1945,4975,0.64687,2.4919),(1945,4985,0.42491,2.4816),(1945,4995,0.20296,2.4804),(1945,5005,0.17864,2.4794),(1945,5015,0.46853,2.4783),(1945,5025,0.75843,2.4705),(1945,5035,1.0107,2.4609),(1945,5045,1.1196,2.4514),(1945,5055,1.2284,2.4402),(1945,5065,1.3345,2.4281),(1945,5075,1.3478,2.4159),(1945,5085,1.361,2.4039),(1945,5095,1.3743,2.3919),(1945,5105,1.2052,2.38),(1945,5115,1.0042,2.3696),(1945,5125,0.80316,2.3633),(1945,5135,0.69788,2.3571),(1945,5145,0.63905,2.3509),(1945,5155,0.58021,2.3451),(1945,5165,0.6896,2.3393),(1945,5175,0.97055,2.3335),(1945,5185,1.2515,2.3205),(1945,5195,1.4479,2.3068),(1945,5205,1.4621,2.293),(1945,5215,1.4762,2.2795),(1945,5225,1.4824,2.2661),(1945,5235,1.4387,2.2527),(1945,5245,1.395,2.2404),(1945,5255,1.3514,2.229),(1945,5265,0.94775,2.2175),(1945,5275,0.5293,2.2102),(1945,5285,0.11086,2.2097),(1945,5295,0.26839,2.2093),(1945,5305,0.58633,2.2064),(1945,5315,0.90427,2.1932),(1945,5325,1.108,2.1801),(1945,5335,1.2368,2.1669),(1945,5345,1.3656,2.1528),(1945,5355,1.4539,2.1387),(1945,5365,1.4874,2.1246),(1945,5375,1.521,2.1111),(1945,5385,1.4582,2.0977),(1945,5395,1.1026,2.0843),(1945,5405,0.74695,2.0775),(1945,5415,0.42599,2.074),(1945,5425,0.57067,2.0705),(1945,5435,0.71535,2.0622),(1945,5445,0.86002,2.0488),(1945,5455,1.0354,2.0353),(1945,5465,1.2145,2.0195),(1945,5475,1.3936,1.9984),(1945,5485,1.4612,1.9773),(1945,5495,1.4839,1.9562),(1945,5505,1.5065,1.9355),(1945,5515,1.5294,1.9147),(1945,5525,1.5524,1.894),(1945,5535,1.5755,1.8737),(1945,5545,1.5981,1.8533),(1945,5555,1.62,1.833),(1945,5565,1.6418,1.813),(1945,5575,1.6635,1.7931),(1945,5585,1.684,1.7733),(1945,5595,1.7045,1.7536),(1945,5605,1.7251,1.7342),(1945,5615,1.7442,1.7148),(1945,5625,1.7634,1.6956),(1945,5635,1.7826,1.6766),(1945,5645,1.8008,1.6577),(1945,5655,1.8187,1.6389),(1945,5665,1.8366,1.6203),(1945,5675,1.8537,1.6018),(1945,5685,1.8703,1.5832),(1945,5695,1.887,1.5651),(1945,5705,1.9032,1.5469),(1945,5715,1.9187,1.5288),(1945,5725,1.9342,1.511),(1945,5735,1.9494,1.4933),(1945,5745,1.9638,1.4756),(1945,5755,1.9782,1.4581),(1945,5765,1.9926,1.4408),(1945,5775,2.006,1.4234),(1945,5785,2.0194,1.4062),(1945,5795,2.0328,1.3892),(1945,5805,2.0454,1.3722),(1945,5815,2.0579,1.3553),(1945,5825,2.0704,1.3386),(1945,5835,2.0823,1.3219),(1945,5845,2.094,1.3052),(1945,5855,2.1056,1.2888),(1945,5865,2.1168,1.2723),(1945,5875,2.1277,1.2559),(1945,5885,2.1386,1.2397),(1945,5895,2.1492,1.2235),(1945,5905,2.1593,1.2074),(1945,5915,2.1695,1.1914),(1945,5925,2.1795,1.1755),(1945,5935,2.189,1.1596),(1945,5945,2.1985,1.1438),(1945,5955,2.208,1.1281),(1945,5965,2.2171,1.1124),(1945,5975,2.2262,1.0968),(1945,5985,2.2353,1.0813),(1945,5995,1.7096,1.0659),(1945,6005,1.0979,1.054),(1945,6015,0.48612,1.052),(1945,6025,0.50935,1.05),(1945,6035,0.8271,1.0469),(1945,6045,1.1448,1.0333),(1945,6055,1.3725,1.0197),(1945,6065,1.5119,1.006),(1945,6075,1.6512,0.98835),(1945,6085,1.7472,0.97029),(1945,6095,1.7536,0.95223),(1945,6105,1.7601,0.93405),(1945,6115,1.7665,0.91584),(1945,6125,1.7726,0.89762),(1945,6135,1.7788,0.87939),(1945,6145,1.7849,0.86116),(1945,6155,1.7907,0.84293),(1945,6165,1.7965,0.82467),(1945,6175,1.8022,0.80638),(1945,6185,1.8077,0.78809),(1945,6195,1.8131,0.76977),(1945,6205,1.8184,0.75137),(1945,6215,1.8236,0.73297),(1945,6225,1.8286,0.71456),(1945,6235,1.8335,0.69622),(1945,6245,1.8383,0.67787),(1945,6255,1.8429,0.65952),(1945,6265,1.8474,0.64116),(1945,6275,1.8518,0.62279),(1945,6285,1.8559,0.60442),(1945,6295,1.86,0.58601),(1945,6305,1.8641,0.56758),(1945,6315,1.8678,0.54916),(1945,6325,1.8716,0.5307),(1945,6335,1.8753,0.51221),(1945,6345,1.8787,0.49371),(1945,6355,1.882,0.47521),(1945,6365,1.8853,0.4567),(1945,6375,1.8883,0.43818),(1945,6385,1.8912,0.41967),(1945,6395,1.8941,0.40117),(1945,6405,1.8968,0.38267),(1945,6415,1.8993,0.36417),(1945,6425,1.9018,0.3457),(1945,6435,1.9042,0.32722),(1945,6445,1.9063,0.30874),(1945,6455,1.9084,0.29025),(1945,6465,1.9104,0.27177),(1945,6475,1.9121,0.25328),(1945,6485,1.9138,0.23475),(1945,6495,1.9155,0.21618),(1945,6505,1.9168,0.19761),(1945,6515,1.9181,0.17904),(1945,6525,1.9193,0.16048),(1945,6535,1.9203,0.14191),(1945,6545,1.9212,0.12334),(1945,6555,1.9221,0.10477),(1945,6565,1.9226,0.086192),(1945,6575,1.923,0.067621),(1945,6585,1.9234,0.049092),(1945,6595,1.6361,0.030562),(1945,6605,1.0311,0.012033),(1945,6615,0.42603,0.009877),(1945,6625,0.0007,0.009825),(1945,6635,0.000702,0.009772),(1945,6645,0.000705,0.00975),(1945,6655,0.000707,0.00974),(1945,6665,0.000709,0.009731),(1945,6675,0.000711,0.009721),(1945,6685,0.000713,0.009711),(1945,6695,0.000716,0.009702),(1945,6705,0.000718,0.009692),(1945,6715,0.00072,0.009683),(1945,6725,0.000722,0.009673),(1945,6735,0.000724,0.009664),(1945,6745,0.000726,0.009654),(1945,6755,0.000728,0.009644),(1945,6765,0.000729,0.009635),(1945,6775,0.000731,0.009625),(1945,6785,0.000733,0.009616),(1945,6795,0.000735,0.009606),(1945,6805,0.000737,0.009597),(1945,6815,0.000738,0.009587),(1945,6825,0.00074,0.009578),(1945,6835,0.000742,0.009568),(1945,6845,0.000744,0.009559),(1945,6855,0.000745,0.009549),(1945,6865,0.000747,0.00954),(1945,6875,0.000748,0.009531),(1945,6885,0.00075,0.009521),(1945,6895,0.000751,0.009512),(1945,6905,0.000753,0.009502),(1945,6915,0.000754,0.009493),(1945,6925,0.000756,0.009484),(1945,6935,0.000757,0.009474),(1945,6945,0.000758,0.009465),(1945,6955,0.00076,0.009456),(1945,6965,0.000761,0.009446),(1945,6975,0.000762,0.009437),(1945,6985,0.000764,0.009428),(1955,5,5.6e-05,3.6802),(1955,15,0.000169,3.6802),(1955,25,0.000282,3.6802),(1955,35,0.000395,3.6802),(1955,45,0.000507,3.6802),(1955,55,0.00062,3.6802),(1955,65,0.000733,3.6802),(1955,75,0.000846,3.6802),(1955,85,0.000959,3.6802),(1955,95,0.001072,3.6802),(1955,105,0.001186,3.6802),(1955,115,0.0013,3.6802),(1955,125,0.001414,3.6802),(1955,135,0.001527,3.6802),(1955,145,0.001642,3.6802),(1955,155,0.001757,3.6802),(1955,165,0.001871,3.6802),(1955,175,0.001986,3.6802),(1955,185,0.002102,3.6802),(1955,195,0.002217,3.6802),(1955,205,0.002333,3.6802),(1955,215,0.002449,3.6802),(1955,225,0.002567,3.6802),(1955,235,0.002684,3.6801),(1955,245,0.002802,3.6801),(1955,255,0.002919,3.6801),(1955,265,0.003038,3.6801),(1955,275,0.003157,3.6801),(1955,285,0.003276,3.6801),(1955,295,0.003396,3.6801),(1955,305,0.003517,3.6801),(1955,315,0.003638,3.6801),(1955,325,0.00376,3.6801),(1955,335,0.003881,3.6801),(1955,345,0.004004,3.6801),(1955,355,0.004128,3.68),(1955,365,0.004252,3.68),(1955,375,0.004375,3.68),(1955,385,0.004501,3.68),(1955,395,0.004628,3.68),(1955,405,0.004754,3.68),(1955,415,0.00488,3.68),(1955,425,0.005009,3.68),(1955,435,0.005139,3.68),(1955,445,0.005268,3.6799),(1955,455,0.005397,3.6799),(1955,465,0.00553,3.6799),(1955,475,0.005662,3.6799),(1955,485,0.005795,3.6799),(1955,495,0.005928,3.6799),(1955,505,0.006064,3.6799),(1955,515,0.0062,3.6798),(1955,525,0.006337,3.6798),(1955,535,0.006473,3.6798),(1955,545,0.006613,3.6798),(1955,555,0.006754,3.6798),(1955,565,0.006894,3.6798),(1955,575,0.007034,3.6797),(1955,585,0.007179,3.6797),(1955,595,0.007324,3.6797),(1955,605,0.007468,3.6797),(1955,615,0.007613,3.6797),(1955,625,0.007763,3.6796),(1955,635,0.007912,3.6796),(1955,645,0.008061,3.6796),(1955,655,0.008211,3.6796),(1955,665,0.008366,3.6796),(1955,675,0.00852,3.6795),(1955,685,0.008674,3.6795),(1955,695,0.00883,3.6795),(1955,705,0.008989,3.6795),(1955,715,0.009149,3.6794),(1955,725,0.009309,3.6794),(1955,735,0.00947,3.6794),(1955,745,0.009635,3.6794),(1955,755,0.009801,3.6793),(1955,765,0.009966,3.6793),(1955,775,0.010133,3.6793),(1955,785,0.010305,3.6793),(1955,795,0.010477,3.6792),(1955,805,0.010649,3.6792),(1955,815,0.010823,3.6792),(1955,825,0.011002,3.6791),(1955,835,0.01118,3.6791),(1955,845,0.011359,3.6791),(1955,855,0.01154,3.679),(1955,865,0.011726,3.679),(1955,875,0.011912,3.679),(1955,885,0.012097,3.6789),(1955,895,0.012286,3.6789),(1955,905,0.012479,3.6789),(1955,915,0.012673,3.6788),(1955,925,0.012866,3.6788),(1955,935,0.013063,3.6787),(1955,945,0.013264,3.6787),(1955,955,0.013465,3.6787),(1955,965,0.013667,3.6786),(1955,975,0.013872,3.6786),(1955,985,0.014082,3.6785),(1955,995,0.014292,3.6785),(1955,1005,0.014502,3.6784),(1955,1015,0.014716,3.6784),(1955,1025,0.014935,3.6783),(1955,1035,0.015155,3.6783),(1955,1045,0.015374,3.6782),(1955,1055,0.015598,3.6782),(1955,1065,0.015826,3.6781),(1955,1075,0.016055,3.6781),(1955,1085,0.016284,3.678),(1955,1095,0.016518,3.678),(1955,1105,0.016757,3.6779),(1955,1115,0.016995,3.6779),(1955,1125,0.017234,3.6778),(1955,1135,0.017479,3.6777),(1955,1145,0.017729,3.6777),(1955,1155,0.017978,3.6776),(1955,1165,0.018227,3.6776),(1955,1175,0.018484,3.6775),(1955,1185,0.018745,3.6774),(1955,1195,0.019006,3.6774),(1955,1205,0.019267,3.6773),(1955,1215,0.019536,3.6772),(1955,1225,0.019808,3.6771),(1955,1235,0.020081,3.6771),(1955,1245,0.020353,3.677),(1955,1255,0.020635,3.6769),(1955,1265,0.020919,3.6768),(1955,1275,0.021204,3.6767),(1955,1285,0.021489,3.6767),(1955,1295,0.021784,3.6766),(1955,1305,0.022082,3.6765),(1955,1315,0.022379,3.6764),(1955,1325,0.022677,3.6763),(1955,1335,0.022986,3.6762),(1955,1345,0.023297,3.6761),(1955,1355,0.023608,3.676),(1955,1365,0.02392,3.6759),(1955,1375,0.024243,3.6758),(1955,1385,0.024568,3.6757),(1955,1395,0.024894,3.6756),(1955,1405,0.025219,3.6755),(1955,1415,0.025558,3.6754),(1955,1425,0.025898,3.6753),(1955,1435,0.026238,3.6751),(1955,1445,0.026579,3.675),(1955,1455,0.026933,3.6749),(1955,1465,0.027289,3.6748),(1955,1475,0.027644,3.6746),(1955,1485,0.028,3.6745),(1955,1495,0.028371,3.6744),(1955,1505,0.028743,3.6742),(1955,1515,0.029114,3.6741),(1955,1525,0.029486,3.674),(1955,1535,0.029874,3.6738),(1955,1545,0.030262,3.6737),(1955,1555,0.030651,3.6735),(1955,1565,0.03104,3.6734),(1955,1575,0.031445,3.6732),(1955,1585,0.03185,3.673),(1955,1595,0.032255,3.6729),(1955,1605,0.032662,3.6727),(1955,1615,0.033085,3.6725),(1955,1625,0.033508,3.6724),(1955,1635,0.033931,3.6722),(1955,1645,0.034357,3.672),(1955,1655,0.034798,3.6718),(1955,1665,0.035238,3.6716),(1955,1675,0.035679,3.6714),(1955,1685,0.036124,3.6712),(1955,1695,0.036584,3.671),(1955,1705,0.037043,3.6708),(1955,1715,0.037503,3.6706),(1955,1725,0.037967,3.6703),(1955,1735,0.038445,3.6701),(1955,1745,0.038924,3.6699),(1955,1755,0.039403,3.6697),(1955,1765,0.039887,3.6694),(1955,1775,0.040385,3.6692),(1955,1785,0.040884,3.6689),(1955,1795,0.041382,3.6687),(1955,1805,0.041886,3.6684),(1955,1815,0.042405,3.6681),(1955,1825,0.042923,3.6679),(1955,1835,0.043442,3.6676),(1955,1845,0.043967,3.6673),(1955,1855,0.044505,3.667),(1955,1865,0.045044,3.6667),(1955,1875,0.045582,3.6664),(1955,1885,0.046128,3.6661),(1955,1895,0.046687,3.6658),(1955,1905,0.047246,3.6655),(1955,1915,0.047805,3.6651),(1955,1925,0.048372,3.6648),(1955,1935,0.048951,3.6645),(1955,1945,0.049531,3.6641),(1955,1955,0.05011,3.6638),(1955,1965,0.050699,3.6634),(1955,1975,0.051299,3.663),(1955,1985,0.051899,3.6627),(1955,1995,0.052499,3.6623),(1955,2005,0.053109,3.6619),(1955,2015,0.05373,3.6615),(1955,2025,0.054351,3.6611),(1955,2035,0.054971,3.6607),(1955,2045,0.055603,3.6602),(1955,2055,0.056244,3.6598),(1955,2065,0.056885,3.6594),(1955,2075,0.057526,3.6589),(1955,2085,0.058178,3.6584),(1955,2095,0.058839,3.658),(1955,2105,0.0595,3.6575),(1955,2115,0.060161,3.657),(1955,2125,0.060834,3.6565),(1955,2135,0.061514,3.656),(1955,2145,0.062195,3.6555),(1955,2155,0.062875,3.655),(1955,2165,0.063568,3.6544),(1955,2175,0.064267,3.6539),(1955,2185,0.064967,3.6533),(1955,2195,0.065666,3.6528),(1955,2205,0.066378,3.6522),(1955,2215,0.067096,3.6516),(1955,2225,0.067814,3.651),(1955,2235,0.068532,3.6504),(1955,2245,0.069262,3.6498),(1955,2255,0.069997,3.6492),(1955,2265,0.070732,3.6485),(1955,2275,0.071467,3.6479),(1955,2285,0.072214,3.6472),(1955,2295,0.072965,3.6465),(1955,2305,0.073716,3.6458),(1955,2315,0.074467,3.6451),(1955,2325,0.07523,3.6444),(1955,2335,0.075995,3.6437),(1955,2345,0.07676,3.6429),(1955,2355,0.077526,3.6422),(1955,2365,0.078302,3.6414),(1955,2375,0.079081,3.6407),(1955,2385,0.079859,3.6399),(1955,2395,0.080637,3.6391),(1955,2405,0.081426,3.6382),(1955,2415,0.082216,3.6374),(1955,2425,0.083005,3.6366),(1955,2435,0.083795,3.6357),(1955,2445,0.084594,3.6348),(1955,2455,0.085393,3.634),(1955,2465,0.086192,3.633),(1955,2475,0.086991,3.6321),(1955,2485,0.087797,3.6312),(1955,2495,0.088603,3.6303),(1955,2505,0.089409,3.6293),(1955,2515,0.090215,3.6283),(1955,2525,0.091026,3.6273),(1955,2535,0.091836,3.6263),(1955,2545,0.092646,3.6253),(1955,2555,0.093457,3.6243),(1955,2565,0.094269,3.6232),(1955,2575,0.095081,3.6222),(1955,2585,0.095892,3.6211),(1955,2595,0.096704,3.62),(1955,2605,0.097515,3.6189),(1955,2615,0.098326,3.6178),(1955,2625,0.099136,3.6166),(1955,2635,0.099946,3.6154),(1955,2645,0.10075,3.6143),(1955,2655,0.10156,3.6131),(1955,2665,0.10236,3.6118),(1955,2675,0.10317,3.6106),(1955,2685,0.10397,3.6094),(1955,2695,0.10476,3.6081),(1955,2705,0.10556,3.6068),(1955,2715,0.10636,3.6055),(1955,2725,0.10714,3.6042),(1955,2735,0.10793,3.6029),(1955,2745,0.10872,3.6016),(1955,2755,0.1095,3.6002),(1955,2765,0.11027,3.5988),(1955,2775,0.11104,3.5975),(1955,2785,0.11181,3.596),(1955,2795,0.11257,3.5946),(1955,2805,0.11332,3.5932),(1955,2815,0.11407,3.5917),(1955,2825,0.11483,3.5902),(1955,2835,0.11557,3.5887),(1955,2845,0.11629,3.5872),(1955,2855,0.11702,3.5857),(1955,2865,0.11775,3.5841),(1955,2875,0.11846,3.5826),(1955,2885,0.11916,3.581),(1955,2895,0.11986,3.5794),(1955,2905,0.12056,3.5778),(1955,2915,0.12124,3.5762),(1955,2925,0.12191,3.5745),(1955,2935,0.12258,3.5729),(1955,2945,0.12324,3.5712),(1955,2955,0.12389,3.5695),(1955,2965,0.12452,3.5678),(1955,2975,0.12515,3.5661),(1955,2985,0.12577,3.5643),(1955,2995,0.12638,3.5626),(1955,3005,0.12697,3.5608),(1955,3015,0.12755,3.559),(1955,3025,0.12814,3.5572),(1955,3035,0.1287,3.5554),(1955,3045,0.12924,3.5536),(1955,3055,0.12978,3.5517),(1955,3065,0.13032,3.5498),(1955,3075,0.13083,3.548),(1955,3085,0.13132,3.5461),(1955,3095,0.13181,3.5442),(1955,3105,0.1323,3.5423),(1955,3115,0.13276,3.5403),(1955,3125,0.13319,3.5384),(1955,3135,0.13362,3.5364),(1955,3145,0.13406,3.5344),(1955,3155,0.13445,3.5325),(1955,3165,0.13483,3.5305),(1955,3175,0.1352,3.5285),(1955,3185,0.13558,3.5264),(1955,3195,0.13591,3.5244),(1955,3205,0.13622,3.5224),(1955,3215,0.13653,3.5203),(1955,3225,0.13684,3.5182),(1955,3235,0.1371,3.5162),(1955,3245,0.13734,3.5141),(1955,3255,0.13759,3.512),(1955,3265,0.13783,3.5099),(1955,3275,0.13802,3.5077),(1955,3285,0.13819,3.5056),(1955,3295,0.13836,3.5035),(1955,3305,0.13853,3.5013),(1955,3315,0.13864,3.4992),(1955,3325,0.13874,3.497),(1955,3335,0.13884,3.4949),(1955,3345,0.13894,3.4927),(1955,3355,0.13897,3.4905),(1955,3365,0.13899,3.4883),(1955,3375,0.13901,3.4861),(1955,3385,0.13903,3.4839),(1955,3395,0.13898,3.4817),(1955,3405,0.13892,3.4795),(1955,3415,0.13886,3.4773),(1955,3425,0.1388,3.4751),(1955,3435,0.13867,3.4729),(1955,3445,0.13852,3.4706),(1955,3455,0.13838,3.4684),(1955,3465,0.13824,3.4662),(1955,3475,0.13802,3.4639),(1955,3485,0.13779,3.4617),(1955,3495,0.13756,3.4595),(1955,3505,0.13734,3.4572),(1955,3515,0.13703,3.455),(1955,3525,0.13671,3.4527),(1955,3535,0.1364,3.4505),(1955,3545,0.13609,3.4483),(1955,3555,0.13569,3.446),(1955,3565,0.13529,3.4438),(1955,3575,0.13489,3.4416),(1955,3585,0.13449,3.4393),(1955,3595,0.13401,3.4371),(1955,3605,0.13352,3.4349),(1955,3615,0.13304,3.4326),(1955,3625,0.13254,3.4304),(1955,3635,0.13197,3.4282),(1955,3645,0.1314,3.426),(1955,3655,0.13083,3.4238),(1955,3665,0.13024,3.4216),(1955,3675,0.12959,3.4194),(1955,3685,0.12893,3.4172),(1955,3695,0.12827,3.415),(1955,3705,0.1276,3.4129),(1955,3715,0.12685,3.4107),(1955,3725,0.12611,3.4085),(1955,3735,0.12537,3.4064),(1955,3745,0.1246,3.4042),(1955,3755,0.12378,3.4021),(1955,3765,0.12295,3.4),(1955,3775,0.12212,3.3979),(1955,3785,0.12127,3.3957),(1955,3795,0.12036,3.3936),(1955,3805,0.11946,3.3916),(1955,3815,0.11855,3.3895),(1955,3825,0.11761,3.3874),(1955,3835,0.11662,3.3854),(1955,3845,0.11563,3.3833),(1955,3855,0.11464,3.3813),(1955,3865,0.11363,3.3793),(1955,3875,0.11256,3.3773),(1955,3885,0.11149,3.3754),(1955,3895,0.11043,3.3734),(1955,3905,0.12741,3.3715),(1955,3915,0.17136,3.3695),(1955,3925,0.21531,3.3665),(1955,3935,0.25926,3.3618),(1955,3945,0.30578,3.3571),(1955,3955,0.35557,3.3525),(1955,3965,0.40535,3.3464),(1955,3975,0.45514,3.3387),(1955,3985,0.48393,3.331),(1955,3995,0.48999,3.3233),(1955,4005,0.49605,3.3154),(1955,4015,0.50211,3.3074),(1955,4025,0.50868,3.2994),(1955,4035,0.51531,3.2913),(1955,4045,0.52193,3.283),(1955,4055,0.52821,3.2748),(1955,4065,0.53436,3.2665),(1955,4075,0.54052,3.2579),(1955,4085,0.54584,3.2494),(1955,4095,0.55051,3.2408),(1955,4105,0.55517,3.232),(1955,4115,0.53879,3.2232),(1955,4125,0.48752,3.2144),(1955,4135,0.43624,3.2077),(1955,4145,0.38452,3.2015),(1955,4155,0.33096,3.1953),(1955,4165,0.27741,3.1909),(1955,4175,0.22711,3.1877),(1955,4185,0.33757,3.1845),(1955,4195,0.44804,3.1788),(1955,4205,0.5585,3.1697),(1955,4215,0.55926,3.1607),(1955,4225,0.53937,3.1517),(1955,4235,0.51948,3.1427),(1955,4245,0.48386,3.1338),(1955,4255,0.44027,3.1249),(1955,4265,0.39667,3.1179),(1955,4275,0.33265,3.1109),(1955,4285,0.24695,3.1038),(1955,4295,0.16125,3.1014),(1955,4305,0.14692,3.0995),(1955,4315,0.29373,3.0975),(1955,4325,0.44054,3.0903),(1955,4335,0.57195,3.081),(1955,4345,0.59916,3.0717),(1955,4355,0.62636,3.0612),(1955,4365,0.65357,3.0498),(1955,4375,0.66277,3.0383),(1955,4385,0.67104,3.0267),(1955,4395,0.67931,3.0149),(1955,4405,0.59464,3.0031),(1955,4415,0.48256,2.9924),(1955,4425,0.37047,2.9869),(1955,4435,0.3254,2.9814),(1955,4445,0.32613,2.9759),(1955,4455,0.32685,2.9708),(1955,4465,0.38672,2.9656),(1955,4475,0.5297,2.9605),(1955,4485,0.67267,2.9504),(1955,4495,0.78536,2.9393),(1955,4505,0.80085,2.9281),(1955,4515,0.81634,2.9168),(1955,4525,0.83,2.9055),(1955,4535,0.81471,2.8941),(1955,4545,0.79943,2.8832),(1955,4555,0.78414,2.8729),(1955,4565,0.58855,2.8625),(1955,4575,0.36865,2.8545),(1955,4585,0.14875,2.8525),(1955,4595,0.16484,2.8504),(1955,4605,0.28064,2.8476),(1955,4615,0.39644,2.8385),(1955,4625,0.4945,2.8294),(1955,4635,0.57649,2.8202),(1955,4645,0.65848,2.8089),(1955,4655,0.72853,2.7974),(1955,4665,0.77606,2.7859),(1955,4675,0.82358,2.7743),(1955,4685,0.83294,2.7627),(1955,4695,0.65369,2.751),(1955,4705,0.47444,2.7439),(1955,4715,0.29518,2.7401),(1955,4725,0.39962,2.7363),(1955,4735,0.50689,2.7306),(1955,4745,0.61416,2.7221),(1955,4755,0.73395,2.7137),(1955,4765,0.85663,2.7042),(1955,4775,0.97932,2.6916),(1955,4785,1.034,2.6791),(1955,4795,1.0494,2.6665),(1955,4805,1.0648,2.6544),(1955,4815,1.0238,2.6423),(1955,4825,0.91527,2.6301),(1955,4835,0.80674,2.6224),(1955,4845,0.69398,2.6152),(1955,4855,0.57016,2.6081),(1955,4865,0.44635,2.6028),(1955,4875,0.36125,2.5982),(1955,4885,0.62847,2.5937),(1955,4895,0.8957,2.5846),(1955,4905,1.1629,2.5712),(1955,4915,1.1651,2.5579),(1955,4925,1.1445,2.5446),(1955,4935,1.1239,2.5318),(1955,4945,1.039,2.5189),(1955,4955,0.93175,2.5064),(1955,4965,0.82451,2.4962),(1955,4975,0.65164,2.4859),(1955,4985,0.4281,2.4757),(1955,4995,0.20456,2.4744),(1955,5005,0.17967,2.4734),(1955,5015,0.4706,2.4723),(1955,5025,0.76153,2.4645),(1955,5035,1.0147,2.4549),(1955,5045,1.1237,2.4454),(1955,5055,1.2328,2.4342),(1955,5065,1.339,2.4221),(1955,5075,1.3522,2.41),(1955,5085,1.3654,2.3979),(1955,5095,1.3785,2.386),(1955,5105,1.2088,2.3741),(1955,5115,1.0071,2.3636),(1955,5125,0.80548,2.3574),(1955,5135,0.7001,2.3511),(1955,5145,0.64142,2.3449),(1955,5155,0.58274,2.3391),(1955,5165,0.69264,2.3334),(1955,5175,0.9745,2.3276),(1955,5185,1.2564,2.3146),(1955,5195,1.4533,2.3009),(1955,5205,1.4673,2.2872),(1955,5215,1.4813,2.2737),(1955,5225,1.4872,2.2603),(1955,5235,1.4432,2.247),(1955,5245,1.3992,2.2347),(1955,5255,1.3552,2.2232),(1955,5265,0.95051,2.2118),(1955,5275,0.53097,2.2045),(1955,5285,0.11142,2.204),(1955,5295,0.27037,2.2036),(1955,5305,0.59042,2.2007),(1955,5315,0.91046,2.1875),(1955,5325,1.1148,2.1744),(1955,5335,1.2432,2.1612),(1955,5345,1.3717,2.1471),(1955,5355,1.4595,2.133),(1955,5365,1.4927,2.1188),(1955,5375,1.5259,2.1054),(1955,5385,1.4625,2.092),(1955,5395,1.1058,2.0787),(1955,5405,0.74912,2.0718),(1955,5415,0.4273,2.0683),(1955,5425,0.57419,2.0648),(1955,5435,0.72109,2.0566),(1955,5445,0.86798,2.0431),(1955,5455,1.0448,2.0297),(1955,5465,1.2252,2.0139),(1955,5475,1.4056,1.9928),(1955,5485,1.4734,1.9717),(1955,5495,1.4958,1.9507),(1955,5505,1.5183,1.93),(1955,5515,1.5409,1.9093),(1955,5525,1.5637,1.8886),(1955,5535,1.5865,1.8684),(1955,5545,1.6089,1.8481),(1955,5555,1.6305,1.8278),(1955,5565,1.6522,1.8079),(1955,5575,1.6736,1.7881),(1955,5585,1.6938,1.7683),(1955,5595,1.7141,1.7487),(1955,5605,1.7344,1.7294),(1955,5615,1.7534,1.71),(1955,5625,1.7723,1.6909),(1955,5635,1.7913,1.672),(1955,5645,1.8092,1.6531),(1955,5655,1.8269,1.6344),(1955,5665,1.8446,1.6159),(1955,5675,1.8615,1.5974),(1955,5685,1.8779,1.5789),(1955,5695,1.8944,1.5609),(1955,5705,1.9103,1.5428),(1955,5715,1.9257,1.5247),(1955,5725,1.941,1.507),(1955,5735,1.956,1.4893),(1955,5745,1.9703,1.4717),(1955,5755,1.9845,1.4543),(1955,5765,1.9987,1.437),(1955,5775,2.0119,1.4198),(1955,5785,2.0252,1.4027),(1955,5795,2.0384,1.3857),(1955,5805,2.0509,1.3688),(1955,5815,2.0632,1.3519),(1955,5825,2.0756,1.3353),(1955,5835,2.0873,1.3186),(1955,5845,2.0988,1.302),(1955,5855,2.1103,1.2857),(1955,5865,2.1214,1.2693),(1955,5875,2.1321,1.253),(1955,5885,2.1429,1.2369),(1955,5895,2.1533,1.2208),(1955,5905,2.1634,1.2047),(1955,5915,2.1734,1.1888),(1955,5925,2.1833,1.1729),(1955,5935,2.1927,1.1571),(1955,5945,2.202,1.1414),(1955,5955,2.2114,1.1257),(1955,5965,2.2204,1.1101),(1955,5975,2.2294,1.0946),(1955,5985,2.2384,1.0792),(1955,5995,1.712,1.0638),(1955,6005,1.0994,1.052),(1955,6015,0.48679,1.05),(1955,6025,0.5111,1.048),(1955,6035,0.8308,1.0449),(1955,6045,1.1505,1.0313),(1955,6055,1.3795,1.0177),(1955,6065,1.5195,1.004),(1955,6075,1.6595,0.98638),(1955,6085,1.7559,0.96833),(1955,6095,1.7624,0.95028),(1955,6105,1.7688,0.93213),(1955,6115,1.7753,0.91394),(1955,6125,1.7814,0.89575),(1955,6135,1.7875,0.87755),(1955,6145,1.7936,0.85935),(1955,6155,1.7994,0.84115),(1955,6165,1.8051,0.82292),(1955,6175,1.8109,0.80467),(1955,6185,1.8163,0.78641),(1955,6195,1.8217,0.76813),(1955,6205,1.827,0.74976),(1955,6215,1.8321,0.73138),(1955,6225,1.8371,0.71301),(1955,6235,1.8421,0.69469),(1955,6245,1.8468,0.67637),(1955,6255,1.8514,0.65805),(1955,6265,1.8559,0.63972),(1955,6275,1.8604,0.62139),(1955,6285,1.8644,0.60306),(1955,6295,1.8685,0.58468),(1955,6305,1.8726,0.56627),(1955,6315,1.8763,0.54785),(1955,6325,1.8801,0.52942),(1955,6335,1.8838,0.51098),(1955,6345,1.8872,0.49253),(1955,6355,1.8905,0.47407),(1955,6365,1.8937,0.45561),(1955,6375,1.8968,0.43714),(1955,6385,1.8996,0.41867),(1955,6395,1.9025,0.40022),(1955,6405,1.9052,0.38176),(1955,6415,1.9077,0.36331),(1955,6425,1.9102,0.34487),(1955,6435,1.9126,0.32644),(1955,6445,1.9147,0.308),(1955,6455,1.9168,0.28956),(1955,6465,1.9188,0.27111),(1955,6475,1.9205,0.25267),(1955,6485,1.9222,0.23418),(1955,6495,1.9239,0.21565),(1955,6505,1.9252,0.19713),(1955,6515,1.9265,0.17861),(1955,6525,1.9277,0.16009),(1955,6535,1.9287,0.14157),(1955,6545,1.9296,0.12305),(1955,6555,1.9304,0.10453),(1955,6565,1.931,0.086011),(1955,6575,1.9314,0.067493),(1955,6585,1.9318,0.048998),(1955,6595,1.6433,0.030503),(1955,6605,1.0356,0.012007),(1955,6615,0.42789,0.009862),(1955,6625,0.000706,0.009817),(1955,6635,0.000708,0.009772),(1955,6645,0.00071,0.009753),(1955,6655,0.000713,0.009743),(1955,6665,0.000715,0.009733),(1955,6675,0.000717,0.009723),(1955,6685,0.000719,0.009714),(1955,6695,0.000721,0.009704),(1955,6705,0.000723,0.009694),(1955,6715,0.000725,0.009685),(1955,6725,0.000727,0.009675),(1955,6735,0.000729,0.009666),(1955,6745,0.000731,0.009656),(1955,6755,0.000733,0.009646),(1955,6765,0.000735,0.009637),(1955,6775,0.000737,0.009627),(1955,6785,0.000739,0.009618),(1955,6795,0.000741,0.009608),(1955,6805,0.000742,0.009598),(1955,6815,0.000744,0.009589),(1955,6825,0.000746,0.009579),(1955,6835,0.000747,0.00957),(1955,6845,0.000749,0.00956),(1955,6855,0.000751,0.009551),(1955,6865,0.000752,0.009542),(1955,6875,0.000754,0.009532),(1955,6885,0.000755,0.009523),(1955,6895,0.000757,0.009513),(1955,6905,0.000758,0.009504),(1955,6915,0.00076,0.009494),(1955,6925,0.000761,0.009485),(1955,6935,0.000762,0.009476),(1955,6945,0.000764,0.009466),(1955,6955,0.000765,0.009457),(1955,6965,0.000766,0.009448),(1955,6975,0.000768,0.009439),(1955,6985,0.000769,0.009429),(1965,5,5.6e-05,3.6803),(1965,15,0.000169,3.6803),(1965,25,0.000281,3.6803),(1965,35,0.000393,3.6803),(1965,45,0.000506,3.6803),(1965,55,0.000618,3.6803),(1965,65,0.000731,3.6803),(1965,75,0.000843,3.6803),(1965,85,0.000956,3.6803),(1965,95,0.001069,3.6803),(1965,105,0.001182,3.6803),(1965,115,0.001296,3.6803),(1965,125,0.001409,3.6803),(1965,135,0.001522,3.6803),(1965,145,0.001637,3.6803),(1965,155,0.001751,3.6803),(1965,165,0.001865,3.6803),(1965,175,0.00198,3.6803),(1965,185,0.002095,3.6803),(1965,195,0.002211,3.6803),(1965,205,0.002326,3.6803),(1965,215,0.002442,3.6803),(1965,225,0.002559,3.6803),(1965,235,0.002676,3.6803),(1965,245,0.002793,3.6803),(1965,255,0.00291,3.6803),(1965,265,0.003028,3.6802),(1965,275,0.003147,3.6802),(1965,285,0.003266,3.6802),(1965,295,0.003385,3.6802),(1965,305,0.003506,3.6802),(1965,315,0.003627,3.6802),(1965,325,0.003748,3.6802),(1965,335,0.003869,3.6802),(1965,345,0.003992,3.6802),(1965,355,0.004115,3.6802),(1965,365,0.004239,3.6802),(1965,375,0.004362,3.6802),(1965,385,0.004488,3.6801),(1965,395,0.004614,3.6801),(1965,405,0.00474,3.6801),(1965,415,0.004866,3.6801),(1965,425,0.004994,3.6801),(1965,435,0.005123,3.6801),(1965,445,0.005252,3.6801),(1965,455,0.005381,3.6801),(1965,465,0.005513,3.68),(1965,475,0.005646,3.68),(1965,485,0.005778,3.68),(1965,495,0.00591,3.68),(1965,505,0.006046,3.68),(1965,515,0.006182,3.68),(1965,525,0.006318,3.68),(1965,535,0.006454,3.6799),(1965,545,0.006594,3.6799),(1965,555,0.006734,3.6799),(1965,565,0.006874,3.6799),(1965,575,0.007014,3.6799),(1965,585,0.007158,3.6799),(1965,595,0.007302,3.6799),(1965,605,0.007447,3.6798),(1965,615,0.007592,3.6798),(1965,625,0.00774,3.6798),(1965,635,0.00789,3.6798),(1965,645,0.008038,3.6798),(1965,655,0.008188,3.6797),(1965,665,0.008342,3.6797),(1965,675,0.008496,3.6797),(1965,685,0.00865,3.6797),(1965,695,0.008805,3.6796),(1965,705,0.008965,3.6796),(1965,715,0.009124,3.6796),(1965,725,0.009283,3.6796),(1965,735,0.009444,3.6796),(1965,745,0.009609,3.6795),(1965,755,0.009775,3.6795),(1965,765,0.00994,3.6795),(1965,775,0.010107,3.6795),(1965,785,0.010278,3.6794),(1965,795,0.01045,3.6794),(1965,805,0.010621,3.6794),(1965,815,0.010795,3.6793),(1965,825,0.010973,3.6793),(1965,835,0.011151,3.6793),(1965,845,0.01133,3.6793),(1965,855,0.011511,3.6792),(1965,865,0.011696,3.6792),(1965,875,0.011882,3.6792),(1965,885,0.012067,3.6791),(1965,895,0.012256,3.6791),(1965,905,0.012449,3.6791),(1965,915,0.012642,3.679),(1965,925,0.012835,3.679),(1965,935,0.013032,3.6789),(1965,945,0.013233,3.6789),(1965,955,0.013434,3.6789),(1965,965,0.013635,3.6788),(1965,975,0.01384,3.6788),(1965,985,0.01405,3.6787),(1965,995,0.01426,3.6787),(1965,1005,0.01447,3.6787),(1965,1015,0.014684,3.6786),(1965,1025,0.014903,3.6786),(1965,1035,0.015122,3.6785),(1965,1045,0.015341,3.6785),(1965,1055,0.015565,3.6784),(1965,1065,0.015794,3.6784),(1965,1075,0.016022,3.6783),(1965,1085,0.016251,3.6783),(1965,1095,0.016485,3.6782),(1965,1105,0.016724,3.6782),(1965,1115,0.016962,3.6781),(1965,1125,0.017201,3.678),(1965,1135,0.017446,3.678),(1965,1145,0.017696,3.6779),(1965,1155,0.017945,3.6779),(1965,1165,0.018194,3.6778),(1965,1175,0.018451,3.6777),(1965,1185,0.018712,3.6777),(1965,1195,0.018973,3.6776),(1965,1205,0.019234,3.6775),(1965,1215,0.019503,3.6775),(1965,1225,0.019776,3.6774),(1965,1235,0.020048,3.6773),(1965,1245,0.020321,3.6773),(1965,1255,0.020603,3.6772),(1965,1265,0.020888,3.6771),(1965,1275,0.021173,3.677),(1965,1285,0.021458,3.6769),(1965,1295,0.021754,3.6769),(1965,1305,0.022052,3.6768),(1965,1315,0.02235,3.6767),(1965,1325,0.022648,3.6766),(1965,1335,0.022957,3.6765),(1965,1345,0.023269,3.6764),(1965,1355,0.023581,3.6763),(1965,1365,0.023892,3.6762),(1965,1375,0.024216,3.6761),(1965,1385,0.024542,3.676),(1965,1395,0.024868,3.6759),(1965,1405,0.025194,3.6758),(1965,1415,0.025534,3.6757),(1965,1425,0.025875,3.6756),(1965,1435,0.026216,3.6755),(1965,1445,0.026556,3.6754),(1965,1455,0.026912,3.6752),(1965,1465,0.027268,3.6751),(1965,1475,0.027625,3.675),(1965,1485,0.027981,3.6749),(1965,1495,0.028353,3.6747),(1965,1505,0.028726,3.6746),(1965,1515,0.029099,3.6745),(1965,1525,0.029472,3.6743),(1965,1535,0.029861,3.6742),(1965,1545,0.03025,3.6741),(1965,1555,0.030639,3.6739),(1965,1565,0.03103,3.6738),(1965,1575,0.031436,3.6736),(1965,1585,0.031843,3.6734),(1965,1595,0.03225,3.6733),(1965,1605,0.032658,3.6731),(1965,1615,0.033082,3.6729),(1965,1625,0.033507,3.6728),(1965,1635,0.033931,3.6726),(1965,1645,0.034358,3.6724),(1965,1655,0.034801,3.6722),(1965,1665,0.035244,3.672),(1965,1675,0.035687,3.6718),(1965,1685,0.036133,3.6716),(1965,1695,0.036595,3.6714),(1965,1705,0.037057,3.6712),(1965,1715,0.037518,3.671),(1965,1725,0.037984,3.6708),(1965,1735,0.038465,3.6706),(1965,1745,0.038946,3.6704),(1965,1755,0.039427,3.6701),(1965,1765,0.039914,3.6699),(1965,1775,0.040415,3.6697),(1965,1785,0.040916,3.6694),(1965,1795,0.041417,3.6692),(1965,1805,0.041924,3.6689),(1965,1815,0.042445,3.6687),(1965,1825,0.042966,3.6684),(1965,1835,0.043487,3.6681),(1965,1845,0.044015,3.6678),(1965,1855,0.044557,3.6676),(1965,1865,0.045099,3.6673),(1965,1875,0.045641,3.667),(1965,1885,0.04619,3.6667),(1965,1895,0.046752,3.6664),(1965,1905,0.047315,3.666),(1965,1915,0.047877,3.6657),(1965,1925,0.048448,3.6654),(1965,1935,0.049031,3.6651),(1965,1945,0.049614,3.6647),(1965,1955,0.050198,3.6644),(1965,1965,0.05079,3.664),(1965,1975,0.051395,3.6636),(1965,1985,0.051999,3.6633),(1965,1995,0.052603,3.6629),(1965,2005,0.053218,3.6625),(1965,2015,0.053843,3.6621),(1965,2025,0.054469,3.6617),(1965,2035,0.055094,3.6613),(1965,2045,0.05573,3.6609),(1965,2055,0.056376,3.6604),(1965,2065,0.057022,3.66),(1965,2075,0.057668,3.6596),(1965,2085,0.058326,3.6591),(1965,2095,0.058992,3.6586),(1965,2105,0.059659,3.6582),(1965,2115,0.060325,3.6577),(1965,2125,0.061004,3.6572),(1965,2135,0.06169,3.6567),(1965,2145,0.062376,3.6562),(1965,2155,0.063063,3.6557),(1965,2165,0.063762,3.6551),(1965,2175,0.064467,3.6546),(1965,2185,0.065173,3.654),(1965,2195,0.065879,3.6535),(1965,2205,0.066598,3.6529),(1965,2215,0.067322,3.6523),(1965,2225,0.068047,3.6517),(1965,2235,0.068771,3.6511),(1965,2245,0.069509,3.6505),(1965,2255,0.070251,3.6499),(1965,2265,0.070994,3.6493),(1965,2275,0.071736,3.6486),(1965,2285,0.072491,3.6479),(1965,2295,0.07325,3.6473),(1965,2305,0.074008,3.6466),(1965,2315,0.074767,3.6459),(1965,2325,0.075538,3.6452),(1965,2335,0.076312,3.6445),(1965,2345,0.077085,3.6437),(1965,2355,0.077859,3.643),(1965,2365,0.078644,3.6422),(1965,2375,0.079431,3.6415),(1965,2385,0.080218,3.6406),(1965,2395,0.081005,3.6398),(1965,2405,0.081803,3.639),(1965,2415,0.082602,3.6382),(1965,2425,0.083401,3.6374),(1965,2435,0.0842,3.6365),(1965,2445,0.085008,3.6356),(1965,2455,0.085817,3.6348),(1965,2465,0.086625,3.6339),(1965,2475,0.087434,3.6329),(1965,2485,0.08825,3.632),(1965,2495,0.089066,3.6311),(1965,2505,0.089883,3.6301),(1965,2515,0.090699,3.6291),(1965,2525,0.09152,3.6281),(1965,2535,0.092341,3.6272),(1965,2545,0.093162,3.6261),(1965,2555,0.093982,3.6251),(1965,2565,0.094805,3.624),(1965,2575,0.095628,3.623),(1965,2585,0.096451,3.6219),(1965,2595,0.097274,3.6208),(1965,2605,0.098096,3.6197),(1965,2615,0.098917,3.6186),(1965,2625,0.099739,3.6174),(1965,2635,0.10056,3.6162),(1965,2645,0.10138,3.6151),(1965,2655,0.1022,3.6139),(1965,2665,0.10301,3.6127),(1965,2675,0.10383,3.6114),(1965,2685,0.10464,3.6102),(1965,2695,0.10545,3.6089),(1965,2705,0.10626,3.6076),(1965,2715,0.10707,3.6063),(1965,2725,0.10786,3.605),(1965,2735,0.10866,3.6037),(1965,2745,0.10946,3.6024),(1965,2755,0.11026,3.601),(1965,2765,0.11104,3.5996),(1965,2775,0.11182,3.5982),(1965,2785,0.1126,3.5968),(1965,2795,0.11338,3.5954),(1965,2805,0.11414,3.5939),(1965,2815,0.11491,3.5925),(1965,2825,0.11567,3.591),(1965,2835,0.11642,3.5895),(1965,2845,0.11716,3.588),(1965,2855,0.1179,3.5864),(1965,2865,0.11864,3.5849),(1965,2875,0.11937,3.5833),(1965,2885,0.12008,3.5817),(1965,2895,0.12079,3.5801),(1965,2905,0.1215,3.5785),(1965,2915,0.1222,3.5769),(1965,2925,0.12288,3.5752),(1965,2935,0.12355,3.5735),(1965,2945,0.12423,3.5718),(1965,2955,0.12489,3.5701),(1965,2965,0.12553,3.5684),(1965,2975,0.12617,3.5667),(1965,2985,0.12681,3.5649),(1965,2995,0.12743,3.5632),(1965,3005,0.12803,3.5614),(1965,3015,0.12863,3.5596),(1965,3025,0.12923,3.5578),(1965,3035,0.1298,3.5559),(1965,3045,0.13035,3.5541),(1965,3055,0.1309,3.5523),(1965,3065,0.13145,3.5504),(1965,3075,0.13198,3.5485),(1965,3085,0.13248,3.5466),(1965,3095,0.13298,3.5447),(1965,3105,0.13348,3.5427),(1965,3115,0.13394,3.5408),(1965,3125,0.13439,3.5388),(1965,3135,0.13483,3.5369),(1965,3145,0.13528,3.5349),(1965,3155,0.13568,3.5329),(1965,3165,0.13606,3.5309),(1965,3175,0.13645,3.5288),(1965,3185,0.13683,3.5268),(1965,3195,0.13717,3.5247),(1965,3205,0.13749,3.5227),(1965,3215,0.13781,3.5206),(1965,3225,0.13813,3.5185),(1965,3235,0.1384,3.5164),(1965,3245,0.13865,3.5143),(1965,3255,0.13891,3.5122),(1965,3265,0.13916,3.5101),(1965,3275,0.13935,3.5079),(1965,3285,0.13953,3.5058),(1965,3295,0.13971,3.5036),(1965,3305,0.13989,3.5015),(1965,3315,0.14001,3.4993),(1965,3325,0.14011,3.4971),(1965,3335,0.14022,3.4949),(1965,3345,0.14032,3.4928),(1965,3355,0.14036,3.4906),(1965,3365,0.14039,3.4884),(1965,3375,0.14041,3.4861),(1965,3385,0.14044,3.4839),(1965,3395,0.14039,3.4817),(1965,3405,0.14034,3.4795),(1965,3415,0.14028,3.4772),(1965,3425,0.14023,3.475),(1965,3435,0.1401,3.4727),(1965,3445,0.13996,3.4705),(1965,3455,0.13982,3.4682),(1965,3465,0.13968,3.466),(1965,3475,0.13946,3.4637),(1965,3485,0.13924,3.4615),(1965,3495,0.13902,3.4592),(1965,3505,0.13879,3.457),(1965,3515,0.13848,3.4547),(1965,3525,0.13817,3.4524),(1965,3535,0.13786,3.4502),(1965,3545,0.13755,3.4479),(1965,3555,0.13715,3.4457),(1965,3565,0.13676,3.4434),(1965,3575,0.13636,3.4411),(1965,3585,0.13595,3.4389),(1965,3595,0.13547,3.4366),(1965,3605,0.13499,3.4344),(1965,3615,0.1345,3.4321),(1965,3625,0.13401,3.4299),(1965,3635,0.13343,3.4277),(1965,3645,0.13286,3.4254),(1965,3655,0.13229,3.4232),(1965,3665,0.1317,3.421),(1965,3675,0.13104,3.4188),(1965,3685,0.13038,3.4165),(1965,3695,0.12972,3.4143),(1965,3705,0.12904,3.4121),(1965,3715,0.1283,3.4099),(1965,3725,0.12755,3.4078),(1965,3735,0.1268,3.4056),(1965,3745,0.12604,3.4034),(1965,3755,0.1252,3.4013),(1965,3765,0.12437,3.3991),(1965,3775,0.12354,3.397),(1965,3785,0.12269,3.3949),(1965,3795,0.12177,3.3927),(1965,3805,0.12086,3.3906),(1965,3815,0.11994,3.3886),(1965,3825,0.119,3.3865),(1965,3835,0.118,3.3844),(1965,3845,0.117,3.3823),(1965,3855,0.11601,3.3803),(1965,3865,0.11498,3.3783),(1965,3875,0.11391,3.3763),(1965,3885,0.11283,3.3743),(1965,3895,0.11175,3.3723),(1965,3905,0.12891,3.3704),(1965,3915,0.17331,3.3684),(1965,3925,0.2177,3.3653),(1965,3935,0.2621,3.3606),(1965,3945,0.30909,3.3559),(1965,3955,0.35937,3.3512),(1965,3965,0.40966,3.3451),(1965,3975,0.45994,3.3373),(1965,3985,0.48901,3.3296),(1965,3995,0.49512,3.3218),(1965,4005,0.50122,3.3139),(1965,4015,0.50733,3.3058),(1965,4025,0.51395,3.2977),(1965,4035,0.52062,3.2896),(1965,4045,0.5273,3.2812),(1965,4055,0.53363,3.2729),(1965,4065,0.53983,3.2645),(1965,4075,0.54604,3.2559),(1965,4085,0.55141,3.2473),(1965,4095,0.55612,3.2386),(1965,4105,0.56083,3.2297),(1965,4115,0.54428,3.2208),(1965,4125,0.49246,3.2119),(1965,4135,0.44065,3.2051),(1965,4145,0.38837,3.1987),(1965,4155,0.33418,3.1924),(1965,4165,0.27999,3.1879),(1965,4175,0.22909,3.1846),(1965,4185,0.34075,3.1813),(1965,4195,0.45241,3.1755),(1965,4205,0.56408,3.1664),(1965,4215,0.56511,3.1573),(1965,4225,0.54531,3.1482),(1965,4235,0.52551,3.1391),(1965,4245,0.48968,3.1301),(1965,4255,0.4457,3.1211),(1965,4265,0.40173,3.1141),(1965,4275,0.33697,3.107),(1965,4285,0.25016,3.0999),(1965,4295,0.16336,3.0975),(1965,4305,0.14872,3.0955),(1965,4315,0.29705,3.0936),(1965,4325,0.44538,3.0863),(1965,4335,0.57819,3.0768),(1965,4345,0.60589,3.0673),(1965,4355,0.63359,3.0568),(1965,4365,0.66129,3.0452),(1965,4375,0.67056,3.0337),(1965,4385,0.67887,3.0221),(1965,4395,0.68718,3.0102),(1965,4405,0.60146,2.9984),(1965,4415,0.48801,2.9877),(1965,4425,0.37456,2.9823),(1965,4435,0.32887,2.9768),(1965,4445,0.32949,2.9714),(1965,4455,0.33011,2.9662),(1965,4465,0.39037,2.9611),(1965,4475,0.53442,2.9559),(1965,4485,0.67847,2.9458),(1965,4495,0.79198,2.9346),(1965,4505,0.80746,2.9234),(1965,4515,0.82294,2.912),(1965,4525,0.83659,2.9006),(1965,4535,0.82108,2.8892),(1965,4545,0.80558,2.8783),(1965,4555,0.79008,2.868),(1965,4565,0.59326,2.8577),(1965,4575,0.37198,2.8498),(1965,4585,0.15071,2.8477),(1965,4595,0.16746,2.8456),(1965,4605,0.28478,2.8427),(1965,4615,0.40209,2.8336),(1965,4625,0.50101,2.8245),(1965,4635,0.58329,2.8154),(1965,4645,0.66556,2.8041),(1965,4655,0.73572,2.7927),(1965,4665,0.78306,2.7812),(1965,4675,0.8304,2.7696),(1965,4685,0.83935,2.7579),(1965,4695,0.65867,2.7461),(1965,4705,0.47798,2.7389),(1965,4715,0.2973,2.735),(1965,4725,0.40258,2.7311),(1965,4735,0.51073,2.7253),(1965,4745,0.61888,2.7166),(1965,4755,0.7393,2.7079),(1965,4765,0.86258,2.6983),(1965,4775,0.98585,2.6857),(1965,4785,1.0406,2.673),(1965,4795,1.0558,2.6604),(1965,4805,1.071,2.6483),(1965,4815,1.0294,2.6362),(1965,4825,0.91989,2.6241),(1965,4835,0.81041,2.6163),(1965,4845,0.69692,2.6092),(1965,4855,0.57299,2.6021),(1965,4865,0.44906,2.5967),(1965,4875,0.36399,2.5922),(1965,4885,0.63247,2.5876),(1965,4895,0.90095,2.5786),(1965,4905,1.1694,2.5653),(1965,4915,1.1717,2.552),(1965,4925,1.151,2.5388),(1965,4935,1.1304,2.5259),(1965,4945,1.0452,2.5131),(1965,4955,0.93776,2.5006),(1965,4965,0.83028,2.4903),(1965,4975,0.65641,2.48),(1965,4985,0.43128,2.4697),(1965,4995,0.20616,2.4684),(1965,5005,0.1807,2.4674),(1965,5015,0.47267,2.4663),(1965,5025,0.76463,2.4585),(1965,5035,1.0186,2.4489),(1965,5045,1.1279,2.4394),(1965,5055,1.2372,2.4282),(1965,5065,1.3436,2.4161),(1965,5075,1.3566,2.404),(1965,5085,1.3697,2.3919),(1965,5095,1.3827,2.38),(1965,5105,1.2124,2.368),(1965,5115,1.0101,2.3576),(1965,5125,0.80781,2.3513),(1965,5135,0.70231,2.3451),(1965,5145,0.64379,2.3389),(1965,5155,0.58526,2.3331),(1965,5165,0.69569,2.3273),(1965,5175,0.97845,2.3216),(1965,5185,1.2612,2.3086),(1965,5195,1.4588,2.2949),(1965,5205,1.4726,2.2812),(1965,5215,1.4864,2.2678),(1965,5225,1.4921,2.2545),(1965,5235,1.4477,2.2411),(1965,5245,1.4034,2.2288),(1965,5255,1.359,2.2174),(1965,5265,0.95328,2.2061),(1965,5275,0.53263,2.1987),(1965,5285,0.11199,2.1983),(1965,5295,0.27235,2.1978),(1965,5305,0.5945,2.1949),(1965,5315,0.91666,2.1817),(1965,5325,1.1216,2.1685),(1965,5335,1.2497,2.1553),(1965,5345,1.3777,2.1412),(1965,5355,1.4652,2.1271),(1965,5365,1.498,2.113),(1965,5375,1.5308,2.0996),(1965,5385,1.4669,2.0862),(1965,5395,1.1091,2.0729),(1965,5405,0.75129,2.0661),(1965,5415,0.42861,2.0626),(1965,5425,0.57772,2.0591),(1965,5435,0.72683,2.0508),(1965,5445,0.87594,2.0374),(1965,5455,1.0541,2.024),(1965,5465,1.2359,2.0082),(1965,5475,1.4176,1.9872),(1965,5485,1.4856,1.9661),(1965,5495,1.5078,1.9451),(1965,5505,1.53,1.9245),(1965,5515,1.5525,1.9039),(1965,5525,1.575,1.8832),(1965,5535,1.5976,1.863),(1965,5545,1.6197,1.8428),(1965,5555,1.6411,1.8226),(1965,5565,1.6625,1.8027),(1965,5575,1.6836,1.783),(1965,5585,1.7037,1.7632),(1965,5595,1.7237,1.7437),(1965,5605,1.7438,1.7245),(1965,5615,1.7625,1.7052),(1965,5625,1.7813,1.6861),(1965,5635,1.8,1.6673),(1965,5645,1.8177,1.6485),(1965,5655,1.8351,1.6298),(1965,5665,1.8526,1.6114),(1965,5675,1.8693,1.593),(1965,5685,1.8855,1.5746),(1965,5695,1.9018,1.5566),(1965,5705,1.9175,1.5386),(1965,5715,1.9327,1.5206),(1965,5725,1.9478,1.503),(1965,5735,1.9626,1.4854),(1965,5745,1.9767,1.4678),(1965,5755,1.9908,1.4505),(1965,5765,2.0048,1.4333),(1965,5775,2.0179,1.4161),(1965,5785,2.031,1.399),(1965,5795,2.0441,1.3822),(1965,5805,2.0563,1.3653),(1965,5815,2.0685,1.3485),(1965,5825,2.0807,1.3319),(1965,5835,2.0923,1.3154),(1965,5845,2.1036,1.2989),(1965,5855,2.115,1.2826),(1965,5865,2.1259,1.2663),(1965,5875,2.1366,1.25),(1965,5885,2.1472,1.234),(1965,5895,2.1575,1.2179),(1965,5905,2.1674,1.2019),(1965,5915,2.1773,1.1861),(1965,5925,2.1871,1.1703),(1965,5935,2.1963,1.1545),(1965,5945,2.2056,1.1389),(1965,5955,2.2149,1.1233),(1965,5965,2.2238,1.1078),(1965,5975,2.2327,1.0923),(1965,5985,2.2416,1.077),(1965,5995,1.7144,1.0617),(1965,6005,1.1009,1.0499),(1965,6015,0.48746,1.0479),(1965,6025,0.51284,1.0459),(1965,6035,0.8345,1.0428),(1965,6045,1.1562,1.0292),(1965,6055,1.3865,1.0156),(1965,6065,1.5272,1.002),(1965,6075,1.6679,0.98436),(1965,6085,1.7647,0.96633),(1965,6095,1.7712,0.9483),(1965,6105,1.7776,0.93017),(1965,6115,1.784,0.912),(1965,6125,1.7901,0.89383),(1965,6135,1.7962,0.87565),(1965,6145,1.8024,0.85748),(1965,6155,1.8081,0.8393),(1965,6165,1.8138,0.82111),(1965,6175,1.8195,0.80289),(1965,6185,1.8249,0.78467),(1965,6195,1.8303,0.76643),(1965,6205,1.8356,0.74809),(1965,6215,1.8407,0.72975),(1965,6225,1.8457,0.71141),(1965,6235,1.8506,0.69312),(1965,6245,1.8554,0.67483),(1965,6255,1.8599,0.65655),(1965,6265,1.8644,0.63825),(1965,6275,1.8689,0.61996),(1965,6285,1.873,0.60167),(1965,6295,1.8771,0.58331),(1965,6305,1.8811,0.56493),(1965,6315,1.8849,0.54654),(1965,6325,1.8886,0.52815),(1965,6335,1.8923,0.50974),(1965,6345,1.8956,0.49133),(1965,6355,1.8989,0.47292),(1965,6365,1.9022,0.45449),(1965,6375,1.9052,0.43607),(1965,6385,1.9081,0.41765),(1965,6395,1.911,0.39924),(1965,6405,1.9136,0.38083),(1965,6415,1.9161,0.36243),(1965,6425,1.9186,0.34404),(1965,6435,1.921,0.32565),(1965,6445,1.9231,0.30726),(1965,6455,1.9252,0.28886),(1965,6465,1.9272,0.27045),(1965,6475,1.9289,0.25205),(1965,6485,1.9306,0.2336),(1965,6495,1.9323,0.21512),(1965,6505,1.9336,0.19664),(1965,6515,1.9348,0.17817),(1965,6525,1.9361,0.15969),(1965,6535,1.9371,0.14122),(1965,6545,1.9379,0.12275),(1965,6555,1.9388,0.10428),(1965,6565,1.9394,0.085813),(1965,6575,1.9398,0.067344),(1965,6585,1.9402,0.048896),(1965,6595,1.6504,0.030447),(1965,6605,1.0401,0.011998),(1965,6615,0.42975,0.00986),(1965,6625,0.000712,0.009817),(1965,6635,0.000714,0.009774),(1965,6645,0.000716,0.009755),(1965,6655,0.000719,0.009745),(1965,6665,0.000721,0.009735),(1965,6675,0.000723,0.009725),(1965,6685,0.000725,0.009716),(1965,6695,0.000727,0.009706),(1965,6705,0.000729,0.009696),(1965,6715,0.000731,0.009687),(1965,6725,0.000733,0.009677),(1965,6735,0.000735,0.009668),(1965,6745,0.000737,0.009658),(1965,6755,0.000739,0.009648),(1965,6765,0.000741,0.009638),(1965,6775,0.000743,0.009629),(1965,6785,0.000744,0.009619),(1965,6795,0.000746,0.00961),(1965,6805,0.000748,0.0096),(1965,6815,0.00075,0.009591),(1965,6825,0.000751,0.009581),(1965,6835,0.000753,0.009572),(1965,6845,0.000755,0.009562),(1965,6855,0.000756,0.009553),(1965,6865,0.000758,0.009543),(1965,6875,0.000759,0.009534),(1965,6885,0.000761,0.009524),(1965,6895,0.000762,0.009515),(1965,6905,0.000764,0.009505),(1965,6915,0.000765,0.009496),(1965,6925,0.000766,0.009486),(1965,6935,0.000768,0.009477),(1965,6945,0.000769,0.009468),(1965,6955,0.000771,0.009458),(1965,6965,0.000772,0.009449),(1965,6975,0.000773,0.00944),(1965,6985,0.000774,0.00943),(1975,5,5.6e-05,3.6804),(1975,15,0.000168,3.6804),(1975,25,0.00028,3.6804),(1975,35,0.000392,3.6804),(1975,45,0.000504,3.6804),(1975,55,0.000616,3.6804),(1975,65,0.000728,3.6804),(1975,75,0.000841,3.6804),(1975,85,0.000953,3.6804),(1975,95,0.001066,3.6804),(1975,105,0.001179,3.6804),(1975,115,0.001292,3.6804),(1975,125,0.001405,3.6804),(1975,135,0.001518,3.6804),(1975,145,0.001631,3.6804),(1975,155,0.001746,3.6804),(1975,165,0.00186,3.6804),(1975,175,0.001974,3.6804),(1975,185,0.002088,3.6804),(1975,195,0.002204,3.6804),(1975,205,0.002319,3.6804),(1975,215,0.002434,3.6804),(1975,225,0.00255,3.6804),(1975,235,0.002667,3.6804),(1975,245,0.002784,3.6804),(1975,255,0.002901,3.6804),(1975,265,0.003019,3.6804),(1975,275,0.003138,3.6804),(1975,285,0.003256,3.6804),(1975,295,0.003375,3.6803),(1975,305,0.003495,3.6803),(1975,315,0.003616,3.6803),(1975,325,0.003736,3.6803),(1975,335,0.003857,3.6803),(1975,345,0.00398,3.6803),(1975,355,0.004103,3.6803),(1975,365,0.004226,3.6803),(1975,375,0.004349,3.6803),(1975,385,0.004474,3.6803),(1975,395,0.0046,3.6803),(1975,405,0.004725,3.6802),(1975,415,0.004851,3.6802),(1975,425,0.004979,3.6802),(1975,435,0.005108,3.6802),(1975,445,0.005236,3.6802),(1975,455,0.005365,3.6802),(1975,465,0.005497,3.6802),(1975,475,0.005629,3.6802),(1975,485,0.005761,3.6802),(1975,495,0.005893,3.6801),(1975,505,0.006028,3.6801),(1975,515,0.006164,3.6801),(1975,525,0.006299,3.6801),(1975,535,0.006435,3.6801),(1975,545,0.006574,3.6801),(1975,555,0.006714,3.6801),(1975,565,0.006854,3.68),(1975,575,0.006993,3.68),(1975,585,0.007137,3.68),(1975,595,0.007281,3.68),(1975,605,0.007425,3.68),(1975,615,0.00757,3.68),(1975,625,0.007718,3.6799),(1975,635,0.007867,3.6799),(1975,645,0.008016,3.6799),(1975,655,0.008165,3.6799),(1975,665,0.008319,3.6799),(1975,675,0.008472,3.6798),(1975,685,0.008626,3.6798),(1975,695,0.008781,3.6798),(1975,705,0.00894,3.6798),(1975,715,0.009099,3.6798),(1975,725,0.009258,3.6797),(1975,735,0.009418,3.6797),(1975,745,0.009583,3.6797),(1975,755,0.009748,3.6797),(1975,765,0.009913,3.6796),(1975,775,0.01008,3.6796),(1975,785,0.010251,3.6796),(1975,795,0.010422,3.6796),(1975,805,0.010593,3.6795),(1975,815,0.010767,3.6795),(1975,825,0.010945,3.6795),(1975,835,0.011123,3.6795),(1975,845,0.011301,3.6794),(1975,855,0.011481,3.6794),(1975,865,0.011667,3.6794),(1975,875,0.011852,3.6793),(1975,885,0.012037,3.6793),(1975,895,0.012226,3.6793),(1975,905,0.012419,3.6792),(1975,915,0.012611,3.6792),(1975,925,0.012804,3.6792),(1975,935,0.013001,3.6791),(1975,945,0.013202,3.6791),(1975,955,0.013402,3.6791),(1975,965,0.013603,3.679),(1975,975,0.013808,3.679),(1975,985,0.014018,3.679),(1975,995,0.014228,3.6789),(1975,1005,0.014437,3.6789),(1975,1015,0.014652,3.6788),(1975,1025,0.01487,3.6788),(1975,1035,0.015089,3.6787),(1975,1045,0.015308,3.6787),(1975,1055,0.015532,3.6786),(1975,1065,0.015761,3.6786),(1975,1075,0.015989,3.6786),(1975,1085,0.016218,3.6785),(1975,1095,0.016452,3.6785),(1975,1105,0.016691,3.6784),(1975,1115,0.016929,3.6783),(1975,1125,0.017168,3.6783),(1975,1135,0.017413,3.6782),(1975,1145,0.017663,3.6782),(1975,1155,0.017912,3.6781),(1975,1165,0.018161,3.6781),(1975,1175,0.018418,3.678),(1975,1185,0.018679,3.6779),(1975,1195,0.01894,3.6779),(1975,1205,0.019201,3.6778),(1975,1215,0.01947,3.6777),(1975,1225,0.019743,3.6777),(1975,1235,0.020016,3.6776),(1975,1245,0.020289,3.6775),(1975,1255,0.020571,3.6775),(1975,1265,0.020857,3.6774),(1975,1275,0.021142,3.6773),(1975,1285,0.021427,3.6772),(1975,1295,0.021723,3.6772),(1975,1305,0.022022,3.6771),(1975,1315,0.02232,3.677),(1975,1325,0.022618,3.6769),(1975,1335,0.022928,3.6768),(1975,1345,0.023241,3.6767),(1975,1355,0.023553,3.6766),(1975,1365,0.023865,3.6765),(1975,1375,0.02419,3.6765),(1975,1385,0.024516,3.6764),(1975,1395,0.024843,3.6763),(1975,1405,0.025169,3.6761),(1975,1415,0.02551,3.676),(1975,1425,0.025851,3.6759),(1975,1435,0.026193,3.6758),(1975,1445,0.026534,3.6757),(1975,1455,0.026891,3.6756),(1975,1465,0.027248,3.6755),(1975,1475,0.027605,3.6754),(1975,1485,0.027962,3.6752),(1975,1495,0.028336,3.6751),(1975,1505,0.028709,3.675),(1975,1515,0.029083,3.6749),(1975,1525,0.029457,3.6747),(1975,1535,0.029847,3.6746),(1975,1545,0.030238,3.6744),(1975,1555,0.030628,3.6743),(1975,1565,0.03102,3.6742),(1975,1575,0.031428,3.674),(1975,1585,0.031836,3.6739),(1975,1595,0.032244,3.6737),(1975,1605,0.032654,3.6735),(1975,1615,0.03308,3.6734),(1975,1625,0.033506,3.6732),(1975,1635,0.033932,3.673),(1975,1645,0.03436,3.6728),(1975,1655,0.034805,3.6727),(1975,1665,0.03525,3.6725),(1975,1675,0.035694,3.6723),(1975,1685,0.036143,3.6721),(1975,1695,0.036606,3.6719),(1975,1705,0.03707,3.6717),(1975,1715,0.037534,3.6715),(1975,1725,0.038002,3.6713),(1975,1735,0.038485,3.6711),(1975,1745,0.038968,3.6709),(1975,1755,0.039452,3.6706),(1975,1765,0.03994,3.6704),(1975,1775,0.040444,3.6702),(1975,1785,0.040947,3.6699),(1975,1795,0.041451,3.6697),(1975,1805,0.041961,3.6694),(1975,1815,0.042485,3.6692),(1975,1825,0.043009,3.6689),(1975,1835,0.043533,3.6686),(1975,1845,0.044064,3.6684),(1975,1855,0.044609,3.6681),(1975,1865,0.045154,3.6678),(1975,1875,0.045699,3.6675),(1975,1885,0.046252,3.6672),(1975,1895,0.046818,3.6669),(1975,1905,0.047383,3.6666),(1975,1915,0.047949,3.6663),(1975,1925,0.048524,3.666),(1975,1935,0.049111,3.6656),(1975,1945,0.049698,3.6653),(1975,1955,0.050285,3.665),(1975,1965,0.050882,3.6646),(1975,1975,0.05149,3.6642),(1975,1985,0.052099,3.6639),(1975,1995,0.052707,3.6635),(1975,2005,0.053327,3.6631),(1975,2015,0.053956,3.6627),(1975,2025,0.054586,3.6623),(1975,2035,0.055216,3.6619),(1975,2045,0.055858,3.6615),(1975,2055,0.056509,3.6611),(1975,2065,0.05716,3.6607),(1975,2075,0.057811,3.6602),(1975,2085,0.058474,3.6598),(1975,2095,0.059146,3.6593),(1975,2105,0.059818,3.6589),(1975,2115,0.060489,3.6584),(1975,2125,0.061174,3.6579),(1975,2135,0.061866,3.6574),(1975,2145,0.062558,3.6569),(1975,2155,0.06325,3.6564),(1975,2165,0.063956,3.6558),(1975,2175,0.064668,3.6553),(1975,2185,0.06538,3.6548),(1975,2195,0.066092,3.6542),(1975,2205,0.066817,3.6536),(1975,2215,0.067549,3.6531),(1975,2225,0.06828,3.6525),(1975,2235,0.069011,3.6519),(1975,2245,0.069756,3.6513),(1975,2255,0.070506,3.6507),(1975,2265,0.071255,3.65),(1975,2275,0.072005,3.6494),(1975,2285,0.072768,3.6487),(1975,2295,0.073534,3.648),(1975,2305,0.074301,3.6474),(1975,2315,0.075067,3.6467),(1975,2325,0.075846,3.646),(1975,2335,0.076628,3.6453),(1975,2345,0.07741,3.6445),(1975,2355,0.078192,3.6438),(1975,2365,0.078986,3.643),(1975,2375,0.079782,3.6422),(1975,2385,0.080578,3.6414),(1975,2395,0.081373,3.6406),(1975,2405,0.08218,3.6398),(1975,2415,0.082988,3.639),(1975,2425,0.083796,3.6382),(1975,2435,0.084604,3.6373),(1975,2445,0.085422,3.6365),(1975,2455,0.086241,3.6356),(1975,2465,0.087059,3.6347),(1975,2475,0.087877,3.6338),(1975,2485,0.088704,3.6328),(1975,2495,0.08953,3.6319),(1975,2505,0.090356,3.6309),(1975,2515,0.091183,3.63),(1975,2525,0.092014,3.629),(1975,2535,0.092845,3.628),(1975,2545,0.093677,3.627),(1975,2555,0.094508,3.6259),(1975,2565,0.095342,3.6249),(1975,2575,0.096176,3.6238),(1975,2585,0.097009,3.6227),(1975,2595,0.097843,3.6216),(1975,2605,0.098676,3.6205),(1975,2615,0.099509,3.6194),(1975,2625,0.10034,3.6182),(1975,2635,0.10118,3.6171),(1975,2645,0.102,3.6159),(1975,2655,0.10283,3.6147),(1975,2665,0.10366,3.6135),(1975,2675,0.10449,3.6123),(1975,2685,0.10531,3.611),(1975,2695,0.10613,3.6098),(1975,2705,0.10696,3.6085),(1975,2715,0.10778,3.6072),(1975,2725,0.10859,3.6059),(1975,2735,0.1094,3.6045),(1975,2745,0.11021,3.6032),(1975,2755,0.11101,3.6018),(1975,2765,0.11181,3.6004),(1975,2775,0.1126,3.599),(1975,2785,0.1134,3.5976),(1975,2795,0.11419,3.5962),(1975,2805,0.11496,3.5947),(1975,2815,0.11574,3.5932),(1975,2825,0.11651,3.5917),(1975,2835,0.11728,3.5902),(1975,2845,0.11803,3.5887),(1975,2855,0.11878,3.5872),(1975,2865,0.11953,3.5856),(1975,2875,0.12027,3.584),(1975,2885,0.121,3.5825),(1975,2895,0.12172,3.5809),(1975,2905,0.12244,3.5792),(1975,2915,0.12315,3.5776),(1975,2925,0.12384,3.5759),(1975,2935,0.12453,3.5742),(1975,2945,0.12522,3.5725),(1975,2955,0.1259,3.5708),(1975,2965,0.12655,3.5691),(1975,2975,0.1272,3.5674),(1975,2985,0.12785,3.5656),(1975,2995,0.12848,3.5638),(1975,3005,0.12909,3.562),(1975,3015,0.1297,3.5602),(1975,3025,0.13031,3.5584),(1975,3035,0.1309,3.5565),(1975,3045,0.13146,3.5547),(1975,3055,0.13202,3.5528),(1975,3065,0.13259,3.5509),(1975,3075,0.13312,3.549),(1975,3085,0.13363,3.5471),(1975,3095,0.13414,3.5452),(1975,3105,0.13465,3.5432),(1975,3115,0.13513,3.5413),(1975,3125,0.13558,3.5393),(1975,3135,0.13604,3.5373),(1975,3145,0.13649,3.5353),(1975,3155,0.13691,3.5333),(1975,3165,0.1373,3.5313),(1975,3175,0.1377,3.5292),(1975,3185,0.13809,3.5272),(1975,3195,0.13844,3.5251),(1975,3205,0.13877,3.523),(1975,3215,0.1391,3.5209),(1975,3225,0.13943,3.5188),(1975,3235,0.13971,3.5167),(1975,3245,0.13997,3.5146),(1975,3255,0.14023,3.5125),(1975,3265,0.14048,3.5103),(1975,3275,0.14069,3.5082),(1975,3285,0.14088,3.506),(1975,3295,0.14106,3.5038),(1975,3305,0.14125,3.5016),(1975,3315,0.14138,3.4994),(1975,3325,0.14149,3.4973),(1975,3335,0.1416,3.495),(1975,3345,0.14171,3.4928),(1975,3355,0.14175,3.4906),(1975,3365,0.14179,3.4884),(1975,3375,0.14182,3.4861),(1975,3385,0.14185,3.4839),(1975,3395,0.14181,3.4817),(1975,3405,0.14176,3.4794),(1975,3415,0.14171,3.4772),(1975,3425,0.14166,3.4749),(1975,3435,0.14153,3.4726),(1975,3445,0.1414,3.4704),(1975,3455,0.14126,3.4681),(1975,3465,0.14113,3.4658),(1975,3475,0.14091,3.4635),(1975,3485,0.14069,3.4613),(1975,3495,0.14047,3.459),(1975,3505,0.14025,3.4567),(1975,3515,0.13994,3.4544),(1975,3525,0.13963,3.4521),(1975,3535,0.13932,3.4498),(1975,3545,0.13901,3.4476),(1975,3555,0.13862,3.4453),(1975,3565,0.13822,3.443),(1975,3575,0.13782,3.4407),(1975,3585,0.13742,3.4384),(1975,3595,0.13693,3.4362),(1975,3605,0.13645,3.4339),(1975,3615,0.13596,3.4316),(1975,3625,0.13547,3.4294),(1975,3635,0.13489,3.4271),(1975,3645,0.13432,3.4248),(1975,3655,0.13375,3.4226),(1975,3665,0.13316,3.4204),(1975,3675,0.1325,3.4181),(1975,3685,0.13183,3.4159),(1975,3695,0.13117,3.4137),(1975,3705,0.13049,3.4114),(1975,3715,0.12974,3.4092),(1975,3725,0.12899,3.407),(1975,3735,0.12824,3.4048),(1975,3745,0.12747,3.4026),(1975,3755,0.12663,3.4004),(1975,3765,0.1258,3.3983),(1975,3775,0.12496,3.3961),(1975,3785,0.1241,3.394),(1975,3795,0.12318,3.3918),(1975,3805,0.12226,3.3897),(1975,3815,0.12133,3.3876),(1975,3825,0.12039,3.3855),(1975,3835,0.11938,3.3834),(1975,3845,0.11838,3.3813),(1975,3855,0.11737,3.3793),(1975,3865,0.11634,3.3772),(1975,3875,0.11525,3.3752),(1975,3885,0.11417,3.3732),(1975,3895,0.11308,3.3712),(1975,3905,0.13041,3.3692),(1975,3915,0.17525,3.3672),(1975,3925,0.22009,3.3641),(1975,3935,0.26493,3.3594),(1975,3945,0.31239,3.3547),(1975,3955,0.36318,3.3499),(1975,3965,0.41396,3.3438),(1975,3975,0.46474,3.3359),(1975,3985,0.49409,3.3281),(1975,3995,0.50025,3.3203),(1975,4005,0.5064,3.3123),(1975,4015,0.51255,3.3041),(1975,4025,0.51922,3.296),(1975,4035,0.52594,3.2878),(1975,4045,0.53266,3.2794),(1975,4055,0.53905,3.271),(1975,4065,0.5453,3.2626),(1975,4075,0.55156,3.2539),(1975,4085,0.55698,3.2452),(1975,4095,0.56174,3.2365),(1975,4105,0.56649,3.2275),(1975,4115,0.54976,3.2184),(1975,4125,0.49741,3.2094),(1975,4135,0.44506,3.2024),(1975,4145,0.39222,3.1959),(1975,4155,0.33739,3.1895),(1975,4165,0.28257,3.1848),(1975,4175,0.23106,3.1814),(1975,4185,0.34393,3.178),(1975,4195,0.45679,3.1721),(1975,4205,0.56965,3.1629),(1975,4215,0.57095,3.1537),(1975,4225,0.55125,3.1445),(1975,4235,0.53154,3.1353),(1975,4245,0.49549,3.1262),(1975,4255,0.45114,3.1172),(1975,4265,0.40678,3.1102),(1975,4275,0.3413,3.1031),(1975,4285,0.25338,3.096),(1975,4295,0.16546,3.0935),(1975,4305,0.15052,3.0915),(1975,4315,0.30038,3.0896),(1975,4325,0.45023,3.0821),(1975,4335,0.58442,3.0725),(1975,4345,0.61262,3.0629),(1975,4355,0.64081,3.0523),(1975,4365,0.669,3.0407),(1975,4375,0.67834,3.0291),(1975,4385,0.68669,3.0174),(1975,4395,0.69504,3.0056),(1975,4405,0.60828,2.9937),(1975,4415,0.49347,2.9831),(1975,4425,0.37865,2.9776),(1975,4435,0.33235,2.9722),(1975,4445,0.33286,2.9668),(1975,4455,0.33337,2.9616),(1975,4465,0.39401,2.9564),(1975,4475,0.53915,2.9513),(1975,4485,0.68428,2.941),(1975,4495,0.7986,2.9297),(1975,4505,0.81407,2.9184),(1975,4515,0.82955,2.907),(1975,4525,0.84317,2.8956),(1975,4535,0.82746,2.8841),(1975,4545,0.81174,2.8732),(1975,4555,0.79602,2.863),(1975,4565,0.59796,2.8528),(1975,4575,0.37532,2.845),(1975,4585,0.15267,2.8429),(1975,4595,0.17008,2.8409),(1975,4605,0.28891,2.838),(1975,4615,0.40774,2.8289),(1975,4625,0.50753,2.8199),(1975,4635,0.59008,2.8108),(1975,4645,0.67263,2.7996),(1975,4655,0.74291,2.7882),(1975,4665,0.79006,2.7768),(1975,4675,0.83721,2.7651),(1975,4685,0.84577,2.7533),(1975,4695,0.66365,2.7415),(1975,4705,0.48153,2.7342),(1975,4715,0.29941,2.7301),(1975,4725,0.40554,2.726),(1975,4735,0.51457,2.72),(1975,4745,0.62359,2.7111),(1975,4755,0.74466,2.7023),(1975,4765,0.86852,2.6925),(1975,4775,0.99238,2.6799),(1975,4785,1.0472,2.6672),(1975,4795,1.0622,2.6545),(1975,4805,1.0771,2.6424),(1975,4815,1.0349,2.6304),(1975,4825,0.92451,2.6183),(1975,4835,0.81407,2.6104),(1975,4845,0.69987,2.6032),(1975,4855,0.57582,2.5961),(1975,4865,0.45178,2.5907),(1975,4875,0.36672,2.5862),(1975,4885,0.63646,2.5817),(1975,4895,0.9062,2.5727),(1975,4905,1.1759,2.5594),(1975,4915,1.1782,2.5461),(1975,4925,1.1575,2.533),(1975,4935,1.1368,2.5202),(1975,4945,1.0515,2.5073),(1975,4955,0.94377,2.4948),(1975,4965,0.83606,2.4845),(1975,4975,0.66118,2.4741),(1975,4985,0.43447,2.4637),(1975,4995,0.20776,2.4624),(1975,5005,0.18172,2.4614),(1975,5015,0.47473,2.4603),(1975,5025,0.76774,2.4525),(1975,5035,1.0226,2.4429),(1975,5045,1.1321,2.4334),(1975,5055,1.2416,2.4222),(1975,5065,1.3482,2.41),(1975,5075,1.3611,2.3979),(1975,5085,1.374,2.3858),(1975,5095,1.3868,2.3739),(1975,5105,1.216,2.362),(1975,5115,1.0131,2.3515),(1975,5125,0.81013,2.3453),(1975,5135,0.70453,2.339),(1975,5145,0.64616,2.3328),(1975,5155,0.58778,2.327),(1975,5165,0.69874,2.3213),(1975,5175,0.9824,2.3155),(1975,5185,1.2661,2.3026),(1975,5195,1.4642,2.2889),(1975,5205,1.4778,2.2752),(1975,5215,1.4914,2.2618),(1975,5225,1.497,2.2485),(1975,5235,1.4523,2.2352),(1975,5245,1.4076,2.2229),(1975,5255,1.3629,2.2116),(1975,5265,0.95604,2.2002),(1975,5275,0.5343,2.1929),(1975,5285,0.11255,2.1924),(1975,5295,0.27432,2.192),(1975,5305,0.59859,2.189),(1975,5315,0.92286,2.1758),(1975,5325,1.1284,2.1626),(1975,5335,1.2561,2.1494),(1975,5345,1.3838,2.1353),(1975,5355,1.4709,2.1212),(1975,5365,1.5033,2.1072),(1975,5375,1.5357,2.0937),(1975,5385,1.4712,2.0804),(1975,5395,1.1123,2.0671),(1975,5405,0.75345,2.0602),(1975,5415,0.42992,2.0567),(1975,5425,0.58125,2.0532),(1975,5435,0.73257,2.045),(1975,5445,0.8839,2.0316),(1975,5455,1.0635,2.0182),(1975,5465,1.2465,2.0025),(1975,5475,1.4296,1.9815),(1975,5485,1.4978,1.9605),(1975,5495,1.5198,1.9395),(1975,5505,1.5418,1.9189),(1975,5515,1.564,1.8983),(1975,5525,1.5863,1.8778),(1975,5535,1.6086,1.8576),(1975,5545,1.6305,1.8374),(1975,5555,1.6517,1.8173),(1975,5565,1.6728,1.7975),(1975,5575,1.6937,1.7778),(1975,5585,1.7135,1.7581),(1975,5595,1.7334,1.7387),(1975,5605,1.7532,1.7195),(1975,5615,1.7717,1.7003),(1975,5625,1.7902,1.6813),(1975,5635,1.8087,1.6626),(1975,5645,1.8261,1.6438),(1975,5655,1.8434,1.6252),(1975,5665,1.8606,1.6069),(1975,5675,1.8771,1.5885),(1975,5685,1.8931,1.5702),(1975,5695,1.9092,1.5523),(1975,5705,1.9247,1.5344),(1975,5715,1.9397,1.5164),(1975,5725,1.9546,1.4989),(1975,5735,1.9693,1.4813),(1975,5745,1.9832,1.4638),(1975,5755,1.9971,1.4466),(1975,5765,2.0109,1.4295),(1975,5775,2.0238,1.4123),(1975,5785,2.0367,1.3954),(1975,5795,2.0497,1.3786),(1975,5805,2.0618,1.3618),(1975,5815,2.0738,1.345),(1975,5825,2.0858,1.3286),(1975,5835,2.0973,1.3121),(1975,5845,2.1085,1.2956),(1975,5855,2.1197,1.2794),(1975,5865,2.1305,1.2632),(1975,5875,2.141,1.2469),(1975,5885,2.1515,1.231),(1975,5895,2.1617,1.215),(1975,5905,2.1714,1.1991),(1975,5915,2.1812,1.1833),(1975,5925,2.1909,1.1676),(1975,5935,2.2,1.1519),(1975,5945,2.2092,1.1363),(1975,5955,2.2183,1.1208),(1975,5965,2.2271,1.1054),(1975,5975,2.2359,1.09),(1975,5985,2.2447,1.0747),(1975,5995,1.7168,1.0595),(1975,6005,1.1024,1.0478),(1975,6015,0.48814,1.0458),(1975,6025,0.51458,1.0438),(1975,6035,0.8382,1.0407),(1975,6045,1.1618,1.0271),(1975,6055,1.3934,1.0135),(1975,6065,1.5348,0.99994),(1975,6075,1.6762,0.9823),(1975,6085,1.7735,0.96429),(1975,6095,1.7799,0.94628),(1975,6105,1.7864,0.92817),(1975,6115,1.7928,0.91001),(1975,6125,1.7989,0.89186),(1975,6135,1.805,0.8737),(1975,6145,1.8111,0.85555),(1975,6155,1.8168,0.8374),(1975,6165,1.8225,0.81924),(1975,6175,1.8282,0.80106),(1975,6185,1.8336,0.78288),(1975,6195,1.8389,0.76467),(1975,6205,1.8442,0.74637),(1975,6215,1.8493,0.72807),(1975,6225,1.8542,0.70977),(1975,6235,1.8591,0.69152),(1975,6245,1.8639,0.67327),(1975,6255,1.8684,0.65501),(1975,6265,1.8729,0.63675),(1975,6275,1.8774,0.61849),(1975,6285,1.8815,0.60023),(1975,6295,1.8856,0.58191),(1975,6305,1.8897,0.56357),(1975,6315,1.8934,0.54523),(1975,6325,1.8971,0.52687),(1975,6335,1.9008,0.50849),(1975,6345,1.9041,0.49011),(1975,6355,1.9074,0.47174),(1975,6365,1.9107,0.45335),(1975,6375,1.9137,0.43497),(1975,6385,1.9165,0.41659),(1975,6395,1.9194,0.39824),(1975,6405,1.9221,0.37988),(1975,6415,1.9246,0.36152),(1975,6425,1.927,0.34318),(1975,6435,1.9294,0.32484),(1975,6445,1.9315,0.3065),(1975,6455,1.9336,0.28814),(1975,6465,1.9356,0.26979),(1975,6475,1.9373,0.25143),(1975,6485,1.939,0.23302),(1975,6495,1.9407,0.21459),(1975,6505,1.942,0.19615),(1975,6515,1.9432,0.17772),(1975,6525,1.9445,0.1593),(1975,6535,1.9455,0.14087),(1975,6545,1.9463,0.12245),(1975,6555,1.9472,0.10402),(1975,6565,1.9478,0.085597),(1975,6575,1.9482,0.067175),(1975,6585,1.9486,0.048785),(1975,6595,1.6575,0.030395),(1975,6605,1.0446,0.012005),(1975,6615,0.43162,0.00987),(1975,6625,0.000718,0.009824),(1975,6635,0.00072,0.009777),(1975,6645,0.000722,0.009757),(1975,6655,0.000724,0.009747),(1975,6665,0.000727,0.009737),(1975,6675,0.000729,0.009728),(1975,6685,0.000731,0.009718),(1975,6695,0.000733,0.009708),(1975,6705,0.000735,0.009698),(1975,6715,0.000737,0.009689),(1975,6725,0.000739,0.009679),(1975,6735,0.000741,0.009669),(1975,6745,0.000743,0.00966),(1975,6755,0.000745,0.00965),(1975,6765,0.000746,0.00964),(1975,6775,0.000748,0.009631),(1975,6785,0.00075,0.009621),(1975,6795,0.000752,0.009612),(1975,6805,0.000753,0.009602),(1975,6815,0.000755,0.009592),(1975,6825,0.000757,0.009583),(1975,6835,0.000758,0.009573),(1975,6845,0.00076,0.009564),(1975,6855,0.000762,0.009554),(1975,6865,0.000763,0.009545),(1975,6875,0.000765,0.009535),(1975,6885,0.000766,0.009526),(1975,6895,0.000768,0.009516),(1975,6905,0.000769,0.009507),(1975,6915,0.00077,0.009497),(1975,6925,0.000772,0.009488),(1975,6935,0.000773,0.009478),(1975,6945,0.000775,0.009469),(1975,6955,0.000776,0.00946),(1975,6965,0.000777,0.00945),(1975,6975,0.000778,0.009441),(1975,6985,0.00078,0.009432),(1985,5,5.6e-05,3.6806),(1985,15,0.000167,3.6806),(1985,25,0.000279,3.6806),(1985,35,0.000391,3.6806),(1985,45,0.000502,3.6806),(1985,55,0.000614,3.6806),(1985,65,0.000726,3.6806),(1985,75,0.000838,3.6806),(1985,85,0.00095,3.6806),(1985,95,0.001062,3.6805),(1985,105,0.001174,3.6805),(1985,115,0.001287,3.6805),(1985,125,0.0014,3.6805),(1985,135,0.001513,3.6805),(1985,145,0.001626,3.6805),(1985,155,0.00174,3.6805),(1985,165,0.001853,3.6805),(1985,175,0.001967,3.6805),(1985,185,0.002081,3.6805),(1985,195,0.002196,3.6805),(1985,205,0.002311,3.6805),(1985,215,0.002426,3.6805),(1985,225,0.002542,3.6805),(1985,235,0.002658,3.6805),(1985,245,0.002775,3.6805),(1985,255,0.002891,3.6805),(1985,265,0.003009,3.6805),(1985,275,0.003127,3.6805),(1985,285,0.003245,3.6805),(1985,295,0.003363,3.6805),(1985,305,0.003483,3.6805),(1985,315,0.003603,3.6804),(1985,325,0.003724,3.6804),(1985,335,0.003844,3.6804),(1985,345,0.003966,3.6804),(1985,355,0.004089,3.6804),(1985,365,0.004212,3.6804),(1985,375,0.004334,3.6804),(1985,385,0.004459,3.6804),(1985,395,0.004584,3.6804),(1985,405,0.00471,3.6804),(1985,415,0.004835,3.6804),(1985,425,0.004963,3.6804),(1985,435,0.005091,3.6803),(1985,445,0.005219,3.6803),(1985,455,0.005347,3.6803),(1985,465,0.005479,3.6803),(1985,475,0.00561,3.6803),(1985,485,0.005742,3.6803),(1985,495,0.005873,3.6803),(1985,505,0.006008,3.6803),(1985,515,0.006144,3.6803),(1985,525,0.006279,3.6802),(1985,535,0.006414,3.6802),(1985,545,0.006553,3.6802),(1985,555,0.006692,3.6802),(1985,565,0.006832,3.6802),(1985,575,0.006971,3.6802),(1985,585,0.007115,3.6802),(1985,595,0.007258,3.6801),(1985,605,0.007402,3.6801),(1985,615,0.007546,3.6801),(1985,625,0.007694,3.6801),(1985,635,0.007842,3.6801),(1985,645,0.00799,3.6801),(1985,655,0.008139,3.68),(1985,665,0.008293,3.68),(1985,675,0.008446,3.68),(1985,685,0.008599,3.68),(1985,695,0.008754,3.68),(1985,705,0.008913,3.6799),(1985,715,0.009071,3.6799),(1985,725,0.00923,3.6799),(1985,735,0.00939,3.6799),(1985,745,0.009555,3.6799),(1985,755,0.009719,3.6798),(1985,765,0.009884,3.6798),(1985,775,0.01005,3.6798),(1985,785,0.010221,3.6798),(1985,795,0.010392,3.6797),(1985,805,0.010562,3.6797),(1985,815,0.010735,3.6797),(1985,825,0.010913,3.6797),(1985,835,0.011091,3.6796),(1985,845,0.011269,3.6796),(1985,855,0.011449,3.6796),(1985,865,0.011634,3.6796),(1985,875,0.011819,3.6795),(1985,885,0.012004,3.6795),(1985,895,0.012192,3.6795),(1985,905,0.012384,3.6794),(1985,915,0.012577,3.6794),(1985,925,0.01277,3.6794),(1985,935,0.012966,3.6793),(1985,945,0.013166,3.6793),(1985,955,0.013367,3.6793),(1985,965,0.013568,3.6792),(1985,975,0.013772,3.6792),(1985,985,0.013982,3.6792),(1985,995,0.014191,3.6791),(1985,1005,0.014401,3.6791),(1985,1015,0.014615,3.679),(1985,1025,0.014833,3.679),(1985,1035,0.015052,3.679),(1985,1045,0.015271,3.6789),(1985,1055,0.015495,3.6789),(1985,1065,0.015723,3.6788),(1985,1075,0.015951,3.6788),(1985,1085,0.01618,3.6787),(1985,1095,0.016414,3.6787),(1985,1105,0.016653,3.6786),(1985,1115,0.016891,3.6786),(1985,1125,0.01713,3.6785),(1985,1135,0.017375,3.6785),(1985,1145,0.017624,3.6784),(1985,1155,0.017874,3.6784),(1985,1165,0.018123,3.6783),(1985,1175,0.01838,3.6783),(1985,1185,0.018641,3.6782),(1985,1195,0.018902,3.6781),(1985,1205,0.019163,3.6781),(1985,1215,0.019432,3.678),(1985,1225,0.019705,3.678),(1985,1235,0.019978,3.6779),(1985,1245,0.020251,3.6778),(1985,1255,0.020533,3.6777),(1985,1265,0.020819,3.6777),(1985,1275,0.021105,3.6776),(1985,1285,0.02139,3.6775),(1985,1295,0.021686,3.6775),(1985,1305,0.021985,3.6774),(1985,1315,0.022284,3.6773),(1985,1325,0.022582,3.6772),(1985,1335,0.022893,3.6771),(1985,1345,0.023205,3.677),(1985,1355,0.023518,3.677),(1985,1365,0.02383,3.6769),(1985,1375,0.024156,3.6768),(1985,1385,0.024483,3.6767),(1985,1395,0.02481,3.6766),(1985,1405,0.025137,3.6765),(1985,1415,0.025478,3.6764),(1985,1425,0.02582,3.6763),(1985,1435,0.026162,3.6762),(1985,1445,0.026505,3.6761),(1985,1455,0.026862,3.676),(1985,1465,0.02722,3.6758),(1985,1475,0.027578,3.6757),(1985,1485,0.027936,3.6756),(1985,1495,0.02831,3.6755),(1985,1505,0.028684,3.6754),(1985,1515,0.029059,3.6752),(1985,1525,0.029434,3.6751),(1985,1535,0.029825,3.675),(1985,1545,0.030217,3.6748),(1985,1555,0.030608,3.6747),(1985,1565,0.031001,3.6746),(1985,1575,0.03141,3.6744),(1985,1585,0.03182,3.6743),(1985,1595,0.032229,3.6741),(1985,1605,0.03264,3.6739),(1985,1615,0.033068,3.6738),(1985,1625,0.033495,3.6736),(1985,1635,0.033923,3.6735),(1985,1645,0.034353,3.6733),(1985,1655,0.034799,3.6731),(1985,1665,0.035246,3.6729),(1985,1675,0.035692,3.6727),(1985,1685,0.036142,3.6726),(1985,1695,0.036608,3.6724),(1985,1705,0.037074,3.6722),(1985,1715,0.037539,3.672),(1985,1725,0.038009,3.6718),(1985,1735,0.038495,3.6716),(1985,1745,0.03898,3.6713),(1985,1755,0.039466,3.6711),(1985,1765,0.039957,3.6709),(1985,1775,0.040463,3.6707),(1985,1785,0.040969,3.6704),(1985,1795,0.041475,3.6702),(1985,1805,0.041987,3.6699),(1985,1815,0.042514,3.6697),(1985,1825,0.043041,3.6694),(1985,1835,0.043568,3.6692),(1985,1845,0.044102,3.6689),(1985,1855,0.04465,3.6686),(1985,1865,0.045198,3.6684),(1985,1875,0.045746,3.6681),(1985,1885,0.046302,3.6678),(1985,1895,0.046872,3.6675),(1985,1905,0.047441,3.6672),(1985,1915,0.04801,3.6669),(1985,1925,0.048589,3.6665),(1985,1935,0.04918,3.6662),(1985,1945,0.049771,3.6659),(1985,1955,0.050361,3.6655),(1985,1965,0.050962,3.6652),(1985,1975,0.051575,3.6649),(1985,1985,0.052188,3.6645),(1985,1995,0.0528,3.6641),(1985,2005,0.053424,3.6637),(1985,2015,0.054058,3.6634),(1985,2025,0.054693,3.663),(1985,2035,0.055328,3.6626),(1985,2045,0.055974,3.6622),(1985,2055,0.05663,3.6617),(1985,2065,0.057286,3.6613),(1985,2075,0.057942,3.6609),(1985,2085,0.05861,3.6604),(1985,2095,0.059288,3.66),(1985,2105,0.059965,3.6595),(1985,2115,0.060643,3.659),(1985,2125,0.061333,3.6586),(1985,2135,0.062031,3.6581),(1985,2145,0.062729,3.6576),(1985,2155,0.063427,3.6571),(1985,2165,0.064139,3.6565),(1985,2175,0.064857,3.656),(1985,2185,0.065576,3.6555),(1985,2195,0.066294,3.6549),(1985,2205,0.067027,3.6544),(1985,2215,0.067765,3.6538),(1985,2225,0.068503,3.6532),(1985,2235,0.069241,3.6526),(1985,2245,0.069993,3.652),(1985,2255,0.07075,3.6514),(1985,2265,0.071507,3.6508),(1985,2275,0.072264,3.6501),(1985,2285,0.073035,3.6495),(1985,2295,0.073809,3.6488),(1985,2305,0.074584,3.6481),(1985,2315,0.075358,3.6474),(1985,2325,0.076146,3.6467),(1985,2335,0.076936,3.646),(1985,2345,0.077727,3.6453),(1985,2355,0.078517,3.6445),(1985,2365,0.07932,3.6438),(1985,2375,0.080125,3.643),(1985,2385,0.080929,3.6423),(1985,2395,0.081734,3.6414),(1985,2405,0.08255,3.6406),(1985,2415,0.083368,3.6398),(1985,2425,0.084185,3.639),(1985,2435,0.085003,3.6381),(1985,2445,0.085831,3.6373),(1985,2455,0.086659,3.6364),(1985,2465,0.087487,3.6355),(1985,2475,0.088316,3.6346),(1985,2485,0.089152,3.6337),(1985,2495,0.089989,3.6327),(1985,2505,0.090826,3.6318),(1985,2515,0.091662,3.6308),(1985,2525,0.092505,3.6298),(1985,2535,0.093347,3.6288),(1985,2545,0.094189,3.6278),(1985,2555,0.095032,3.6268),(1985,2565,0.095877,3.6257),(1985,2575,0.096722,3.6247),(1985,2585,0.097567,3.6236),(1985,2595,0.098412,3.6225),(1985,2605,0.099257,3.6214),(1985,2615,0.1001,3.6202),(1985,2625,0.10095,3.6191),(1985,2635,0.10179,3.6179),(1985,2645,0.10263,3.6167),(1985,2655,0.10347,3.6156),(1985,2665,0.10431,3.6143),(1985,2675,0.10515,3.6131),(1985,2685,0.10599,3.6118),(1985,2695,0.10682,3.6106),(1985,2705,0.10766,3.6093),(1985,2715,0.10849,3.608),(1985,2725,0.10931,3.6067),(1985,2735,0.11013,3.6054),(1985,2745,0.11096,3.604),(1985,2755,0.11178,3.6026),(1985,2765,0.11258,3.6012),(1985,2775,0.11339,3.5998),(1985,2785,0.1142,3.5984),(1985,2795,0.115,3.5969),(1985,2805,0.11579,3.5955),(1985,2815,0.11658,3.594),(1985,2825,0.11737,3.5925),(1985,2835,0.11815,3.591),(1985,2845,0.11891,3.5895),(1985,2855,0.11967,3.5879),(1985,2865,0.12044,3.5864),(1985,2875,0.12119,3.5848),(1985,2885,0.12193,3.5832),(1985,2895,0.12266,3.5816),(1985,2905,0.1234,3.5799),(1985,2915,0.12412,3.5783),(1985,2925,0.12483,3.5766),(1985,2935,0.12553,3.5749),(1985,2945,0.12623,3.5732),(1985,2955,0.12692,3.5715),(1985,2965,0.12758,3.5698),(1985,2975,0.12825,3.568),(1985,2985,0.12891,3.5662),(1985,2995,0.12956,3.5644),(1985,3005,0.13018,3.5626),(1985,3015,0.1308,3.5608),(1985,3025,0.13142,3.559),(1985,3035,0.13202,3.5571),(1985,3045,0.13259,3.5553),(1985,3055,0.13317,3.5534),(1985,3065,0.13374,3.5515),(1985,3075,0.13429,3.5495),(1985,3085,0.13481,3.5476),(1985,3095,0.13533,3.5457),(1985,3105,0.13586,3.5437),(1985,3115,0.13634,3.5417),(1985,3125,0.13681,3.5398),(1985,3135,0.13728,3.5378),(1985,3145,0.13774,3.5357),(1985,3155,0.13817,3.5337),(1985,3165,0.13857,3.5317),(1985,3175,0.13898,3.5296),(1985,3185,0.13938,3.5275),(1985,3195,0.13974,3.5254),(1985,3205,0.14008,3.5234),(1985,3215,0.14042,3.5212),(1985,3225,0.14075,3.5191),(1985,3235,0.14104,3.517),(1985,3245,0.14131,3.5149),(1985,3255,0.14158,3.5127),(1985,3265,0.14185,3.5105),(1985,3275,0.14206,3.5084),(1985,3285,0.14226,3.5062),(1985,3295,0.14245,3.504),(1985,3305,0.14265,3.5018),(1985,3315,0.14278,3.4996),(1985,3325,0.1429,3.4974),(1985,3335,0.14302,3.4951),(1985,3345,0.14313,3.4929),(1985,3355,0.14318,3.4907),(1985,3365,0.14322,3.4884),(1985,3375,0.14326,3.4862),(1985,3385,0.1433,3.4839),(1985,3395,0.14326,3.4816),(1985,3405,0.14322,3.4794),(1985,3415,0.14317,3.4771),(1985,3425,0.14313,3.4748),(1985,3435,0.14301,3.4725),(1985,3445,0.14287,3.4702),(1985,3455,0.14274,3.4679),(1985,3465,0.14261,3.4656),(1985,3475,0.1424,3.4633),(1985,3485,0.14218,3.461),(1985,3495,0.14197,3.4587),(1985,3505,0.14175,3.4564),(1985,3515,0.14144,3.4541),(1985,3525,0.14114,3.4518),(1985,3535,0.14083,3.4495),(1985,3545,0.14052,3.4472),(1985,3555,0.14012,3.4449),(1985,3565,0.13973,3.4426),(1985,3575,0.13933,3.4403),(1985,3585,0.13893,3.438),(1985,3595,0.13844,3.4357),(1985,3605,0.13796,3.4334),(1985,3615,0.13747,3.4311),(1985,3625,0.13698,3.4288),(1985,3635,0.1364,3.4265),(1985,3645,0.13583,3.4243),(1985,3655,0.13525,3.422),(1985,3665,0.13466,3.4197),(1985,3675,0.13399,3.4175),(1985,3685,0.13333,3.4152),(1985,3695,0.13266,3.413),(1985,3705,0.13198,3.4107),(1985,3715,0.13123,3.4085),(1985,3725,0.13047,3.4062),(1985,3735,0.12972,3.404),(1985,3745,0.12894,3.4018),(1985,3755,0.1281,3.3996),(1985,3765,0.12726,3.3974),(1985,3775,0.12642,3.3953),(1985,3785,0.12555,3.3931),(1985,3795,0.12462,3.3909),(1985,3805,0.1237,3.3888),(1985,3815,0.12277,3.3867),(1985,3825,0.12181,3.3845),(1985,3835,0.1208,3.3824),(1985,3845,0.11979,3.3803),(1985,3855,0.11878,3.3783),(1985,3865,0.11773,3.3762),(1985,3875,0.11664,3.3741),(1985,3885,0.11554,3.3721),(1985,3895,0.11445,3.3701),(1985,3905,0.13196,3.3681),(1985,3915,0.17725,3.3661),(1985,3925,0.22254,3.3629),(1985,3935,0.26784,3.3582),(1985,3945,0.31577,3.3534),(1985,3955,0.36707,3.3486),(1985,3965,0.41836,3.3424),(1985,3975,0.46966,3.3345),(1985,3985,0.4993,3.3266),(1985,3995,0.50549,3.3187),(1985,4005,0.51169,3.3107),(1985,4015,0.51789,3.3025),(1985,4025,0.52461,3.2943),(1985,4035,0.53138,3.286),(1985,4045,0.53814,3.2776),(1985,4055,0.54458,3.2691),(1985,4065,0.5509,3.2606),(1985,4075,0.55721,3.2518),(1985,4085,0.5627,3.2431),(1985,4095,0.56754,3.2343),(1985,4105,0.57237,3.2252),(1985,4115,0.5555,3.216),(1985,4125,0.50264,3.2069),(1985,4135,0.44978,3.1997),(1985,4145,0.3964,3.1931),(1985,4155,0.34091,3.1865),(1985,4165,0.28542,3.1818),(1985,4175,0.23328,3.1782),(1985,4185,0.34734,3.1747),(1985,4195,0.4614,3.1687),(1985,4205,0.57545,3.1594),(1985,4215,0.57699,3.15),(1985,4225,0.55734,3.1407),(1985,4235,0.53769,3.1316),(1985,4245,0.50139,3.1224),(1985,4255,0.45664,3.1134),(1985,4265,0.41189,3.1062),(1985,4275,0.34565,3.0991),(1985,4285,0.25662,3.092),(1985,4295,0.16758,3.0895),(1985,4305,0.15237,3.0875),(1985,4315,0.30384,3.0856),(1985,4325,0.45531,3.078),(1985,4335,0.59096,3.0683),(1985,4345,0.61957,3.0585),(1985,4355,0.64819,3.0478),(1985,4365,0.6768,3.0361),(1985,4375,0.68616,3.0245),(1985,4385,0.69451,3.0128),(1985,4395,0.70287,3.0009),(1985,4405,0.61505,2.9891),(1985,4415,0.49886,2.9784),(1985,4425,0.38268,2.973),(1985,4435,0.33577,2.9676),(1985,4445,0.3362,2.9622),(1985,4455,0.33664,2.957),(1985,4465,0.39771,2.9518),(1985,4475,0.54396,2.9466),(1985,4485,0.69022,2.9363),(1985,4495,0.80539,2.9249),(1985,4505,0.82083,2.9135),(1985,4515,0.83628,2.9021),(1985,4525,0.84985,2.8905),(1985,4535,0.83379,2.879),(1985,4545,0.81773,2.8682),(1985,4555,0.80167,2.8581),(1985,4565,0.60244,2.848),(1985,4575,0.37851,2.8403),(1985,4585,0.15459,2.8382),(1985,4595,0.17265,2.8361),(1985,4605,0.29296,2.8333),(1985,4615,0.41326,2.8243),(1985,4625,0.51389,2.8152),(1985,4635,0.5967,2.8062),(1985,4645,0.67951,2.795),(1985,4655,0.74993,2.7837),(1985,4665,0.79701,2.7724),(1985,4675,0.84409,2.7607),(1985,4685,0.85236,2.7488),(1985,4695,0.66887,2.7369),(1985,4705,0.48538,2.7294),(1985,4715,0.30189,2.7252),(1985,4725,0.40891,2.7209),(1985,4735,0.51883,2.7148),(1985,4745,0.62876,2.7057),(1985,4755,0.75038,2.6966),(1985,4765,0.8747,2.6868),(1985,4775,0.99903,2.674),(1985,4785,1.0539,2.6613),(1985,4795,1.0685,2.6487),(1985,4805,1.0832,2.6366),(1985,4815,1.0405,2.6245),(1985,4825,0.92917,2.6124),(1985,4835,0.81784,2.6046),(1985,4845,0.70294,2.5973),(1985,4855,0.57872,2.5901),(1985,4865,0.45449,2.5847),(1985,4875,0.3694,2.5802),(1985,4885,0.64037,2.5757),(1985,4895,0.91135,2.5668),(1985,4905,1.1823,2.5535),(1985,4915,1.1847,2.5403),(1985,4925,1.1639,2.5272),(1985,4935,1.1432,2.5144),(1985,4945,1.0577,2.5015),(1985,4955,0.94983,2.4891),(1985,4965,0.84194,2.4786),(1985,4975,0.66607,2.4682),(1985,4985,0.43774,2.4578),(1985,4995,0.20941,2.4564),(1985,5005,0.18279,2.4554),(1985,5015,0.47683,2.4543),(1985,5025,0.77087,2.4464),(1985,5035,1.0266,2.4369),(1985,5045,1.1363,2.4273),(1985,5055,1.246,2.4162),(1985,5065,1.3528,2.404),(1985,5075,1.3656,2.3919),(1985,5085,1.3783,2.3798),(1985,5095,1.3911,2.3678),(1985,5105,1.2196,2.3559),(1985,5115,1.0161,2.3454),(1985,5125,0.8125,2.3392),(1985,5135,0.70677,2.3329),(1985,5145,0.64854,2.3267),(1985,5155,0.5903,2.3209),(1985,5165,0.70177,2.3152),(1985,5175,0.98633,2.3094),(1985,5185,1.2709,2.2965),(1985,5195,1.4696,2.2829),(1985,5205,1.483,2.2693),(1985,5215,1.4965,2.2559),(1985,5225,1.5018,2.2426),(1985,5235,1.4568,2.2293),(1985,5245,1.4117,2.217),(1985,5255,1.3667,2.2057),(1985,5265,0.9588,2.1943),(1985,5275,0.53596,2.187),(1985,5285,0.11312,2.1866),(1985,5295,0.27631,2.1861),(1985,5305,0.6027,2.1832),(1985,5315,0.92909,2.17),(1985,5325,1.1352,2.1567),(1985,5335,1.2626,2.1435),(1985,5345,1.3899,2.1294),(1985,5355,1.4766,2.1153),(1985,5365,1.5086,2.1013),(1985,5375,1.5406,2.0878),(1985,5385,1.4756,2.0745),(1985,5395,1.1156,2.0612),(1985,5405,0.75563,2.0544),(1985,5415,0.43124,2.0509),(1985,5425,0.58475,2.0474),(1985,5435,0.73826,2.0391),(1985,5445,0.89178,2.0258),(1985,5455,1.0727,2.0124),(1985,5465,1.2571,1.9967),(1985,5475,1.4414,1.9757),(1985,5485,1.5099,1.9548),(1985,5495,1.5316,1.9339),(1985,5505,1.5534,1.9133),(1985,5515,1.5754,1.8928),(1985,5525,1.5974,1.8723),(1985,5535,1.6195,1.8522),(1985,5545,1.6412,1.8321),(1985,5555,1.6621,1.812),(1985,5565,1.683,1.7922),(1985,5575,1.7037,1.7726),(1985,5585,1.7232,1.753),(1985,5595,1.7428,1.7337),(1985,5605,1.7624,1.7145),(1985,5615,1.7807,1.6954),(1985,5625,1.7989,1.6765),(1985,5635,1.8172,1.6578),(1985,5645,1.8344,1.6392),(1985,5655,1.8515,1.6206),(1985,5665,1.8685,1.6023),(1985,5675,1.8848,1.5841),(1985,5685,1.9006,1.5658),(1985,5695,1.9165,1.548),(1985,5705,1.9318,1.5301),(1985,5715,1.9466,1.5123),(1985,5725,1.9613,1.4948),(1985,5735,1.9758,1.4773),(1985,5745,1.9895,1.4599),(1985,5755,2.0032,1.4427),(1985,5765,2.0168,1.4257),(1985,5775,2.0296,1.4086),(1985,5785,2.0424,1.3917),(1985,5795,2.0552,1.375),(1985,5805,2.0671,1.3582),(1985,5815,2.079,1.3416),(1985,5825,2.0909,1.3252),(1985,5835,2.1022,1.3087),(1985,5845,2.1133,1.2923),(1985,5855,2.1243,1.2762),(1985,5865,2.135,1.2601),(1985,5875,2.1453,1.2439),(1985,5885,2.1557,1.228),(1985,5895,2.1658,1.2121),(1985,5905,2.1754,1.1962),(1985,5915,2.1851,1.1805),(1985,5925,2.1946,1.1649),(1985,5935,2.2036,1.1493),(1985,5945,2.2127,1.1338),(1985,5955,2.2217,1.1184),(1985,5965,2.2304,1.103),(1985,5975,2.2391,1.0877),(1985,5985,2.2478,1.0725),(1985,5995,1.7191,1.0573),(1985,6005,1.1039,1.0457),(1985,6015,0.4888,1.0437),(1985,6025,0.51631,1.0417),(1985,6035,0.84187,1.0386),(1985,6045,1.1674,1.025),(1985,6055,1.4003,1.0114),(1985,6065,1.5424,0.99787),(1985,6075,1.6844,0.98025),(1985,6085,1.7822,0.96226),(1985,6095,1.7886,0.94426),(1985,6105,1.795,0.92616),(1985,6115,1.8014,0.90802),(1985,6125,1.8075,0.88988),(1985,6135,1.8136,0.87175),(1985,6145,1.8197,0.85363),(1985,6155,1.8254,0.8355),(1985,6165,1.8311,0.81737),(1985,6175,1.8368,0.79922),(1985,6185,1.8421,0.78108),(1985,6195,1.8474,0.76292),(1985,6205,1.8527,0.74465),(1985,6215,1.8578,0.72639),(1985,6225,1.8627,0.70813),(1985,6235,1.8676,0.68992),(1985,6245,1.8724,0.6717),(1985,6255,1.8769,0.65348),(1985,6265,1.8814,0.63525),(1985,6275,1.8858,0.61702),(1985,6285,1.8899,0.59879),(1985,6295,1.894,0.58052),(1985,6305,1.8981,0.56221),(1985,6315,1.9018,0.54391),(1985,6325,1.9055,0.52559),(1985,6335,1.9092,0.50725),(1985,6345,1.9125,0.4889),(1985,6355,1.9158,0.47056),(1985,6365,1.9191,0.45222),(1985,6375,1.922,0.43388),(1985,6385,1.9249,0.41554),(1985,6395,1.9278,0.39723),(1985,6405,1.9304,0.37893),(1985,6415,1.9329,0.36062),(1985,6425,1.9354,0.34232),(1985,6435,1.9377,0.32403),(1985,6445,1.9398,0.30574),(1985,6455,1.9419,0.28743),(1985,6465,1.9439,0.26912),(1985,6475,1.9456,0.25081),(1985,6485,1.9473,0.23245),(1985,6495,1.949,0.21405),(1985,6505,1.9502,0.19566),(1985,6515,1.9515,0.17728),(1985,6525,1.9528,0.1589),(1985,6535,1.9537,0.14052),(1985,6545,1.9546,0.12214),(1985,6555,1.9555,0.10376),(1985,6565,1.9561,0.085381),(1985,6575,1.9565,0.067006),(1985,6585,1.9569,0.048674),(1985,6595,1.6646,0.030343),(1985,6605,1.049,0.012011),(1985,6615,0.43345,0.00988),(1985,6625,0.000724,0.00983),(1985,6635,0.000726,0.009781),(1985,6645,0.000728,0.009759),(1985,6655,0.00073,0.009749),(1985,6665,0.000732,0.009739),(1985,6675,0.000735,0.00973),(1985,6685,0.000737,0.00972),(1985,6695,0.000739,0.00971),(1985,6705,0.000741,0.0097),(1985,6715,0.000743,0.009691),(1985,6725,0.000745,0.009681),(1985,6735,0.000746,0.009671),(1985,6745,0.000748,0.009662),(1985,6755,0.00075,0.009652),(1985,6765,0.000752,0.009642),(1985,6775,0.000754,0.009633),(1985,6785,0.000756,0.009623),(1985,6795,0.000757,0.009613),(1985,6805,0.000759,0.009604),(1985,6815,0.000761,0.009594),(1985,6825,0.000762,0.009584),(1985,6835,0.000764,0.009575),(1985,6845,0.000766,0.009565),(1985,6855,0.000767,0.009556),(1985,6865,0.000769,0.009546),(1985,6875,0.00077,0.009537),(1985,6885,0.000772,0.009527),(1985,6895,0.000773,0.009518),(1985,6905,0.000775,0.009508),(1985,6915,0.000776,0.009499),(1985,6925,0.000777,0.009489),(1985,6935,0.000779,0.00948),(1985,6945,0.00078,0.00947),(1985,6955,0.000781,0.009461),(1985,6965,0.000783,0.009452),(1985,6975,0.000784,0.009442),(1985,6985,0.000785,0.009433),(1995,5,5.6e-05,3.6807),(1995,15,0.000167,3.6807),(1995,25,0.000278,3.6807),(1995,35,0.000389,3.6807),(1995,45,0.000501,3.6807),(1995,55,0.000612,3.6807),(1995,65,0.000723,3.6807),(1995,75,0.000835,3.6807),(1995,85,0.000947,3.6807),(1995,95,0.001058,3.6807),(1995,105,0.00117,3.6807),(1995,115,0.001283,3.6807),(1995,125,0.001395,3.6807),(1995,135,0.001507,3.6807),(1995,145,0.00162,3.6806),(1995,155,0.001733,3.6806),(1995,165,0.001847,3.6806),(1995,175,0.00196,3.6806),(1995,185,0.002074,3.6806),(1995,195,0.002188,3.6806),(1995,205,0.002303,3.6806),(1995,215,0.002417,3.6806),(1995,225,0.002533,3.6806),(1995,235,0.002649,3.6806),(1995,245,0.002765,3.6806),(1995,255,0.002881,3.6806),(1995,265,0.002998,3.6806),(1995,275,0.003116,3.6806),(1995,285,0.003234,3.6806),(1995,295,0.003351,3.6806),(1995,305,0.003471,3.6806),(1995,315,0.003591,3.6806),(1995,325,0.003711,3.6806),(1995,335,0.003831,3.6806),(1995,345,0.003952,3.6805),(1995,355,0.004075,3.6805),(1995,365,0.004197,3.6805),(1995,375,0.004319,3.6805),(1995,385,0.004444,3.6805),(1995,395,0.004568,3.6805),(1995,405,0.004693,3.6805),(1995,415,0.004818,3.6805),(1995,425,0.004946,3.6805),(1995,435,0.005073,3.6805),(1995,445,0.005201,3.6805),(1995,455,0.005329,3.6805),(1995,465,0.00546,3.6804),(1995,475,0.005591,3.6804),(1995,485,0.005722,3.6804),(1995,495,0.005853,3.6804),(1995,505,0.005988,3.6804),(1995,515,0.006123,3.6804),(1995,525,0.006258,3.6804),(1995,535,0.006392,3.6804),(1995,545,0.006531,3.6804),(1995,555,0.00667,3.6803),(1995,565,0.006809,3.6803),(1995,575,0.006948,3.6803),(1995,585,0.007091,3.6803),(1995,595,0.007234,3.6803),(1995,605,0.007377,3.6803),(1995,615,0.007521,3.6803),(1995,625,0.007668,3.6802),(1995,635,0.007816,3.6802),(1995,645,0.007964,3.6802),(1995,655,0.008113,3.6802),(1995,665,0.008266,3.6802),(1995,675,0.008419,3.6802),(1995,685,0.008572,3.6801),(1995,695,0.008726,3.6801),(1995,705,0.008884,3.6801),(1995,715,0.009042,3.6801),(1995,725,0.009201,3.6801),(1995,735,0.009361,3.68),(1995,745,0.009525,3.68),(1995,755,0.009689,3.68),(1995,765,0.009853,3.68),(1995,775,0.010019,3.68),(1995,785,0.010189,3.6799),(1995,795,0.01036,3.6799),(1995,805,0.01053,3.6799),(1995,815,0.010703,3.6799),(1995,825,0.01088,3.6798),(1995,835,0.011057,3.6798),(1995,845,0.011235,3.6798),(1995,855,0.011415,3.6798),(1995,865,0.011599,3.6797),(1995,875,0.011784,3.6797),(1995,885,0.011969,3.6797),(1995,895,0.012156,3.6797),(1995,905,0.012349,3.6796),(1995,915,0.012541,3.6796),(1995,925,0.012733,3.6796),(1995,935,0.012929,3.6795),(1995,945,0.013129,3.6795),(1995,955,0.01333,3.6795),(1995,965,0.01353,3.6794),(1995,975,0.013735,3.6794),(1995,985,0.013944,3.6794),(1995,995,0.014153,3.6793),(1995,1005,0.014362,3.6793),(1995,1015,0.014576,3.6793),(1995,1025,0.014794,3.6792),(1995,1035,0.015013,3.6792),(1995,1045,0.015231,3.6791),(1995,1055,0.015455,3.6791),(1995,1065,0.015683,3.6791),(1995,1075,0.015911,3.679),(1995,1085,0.016139,3.679),(1995,1095,0.016374,3.6789),(1995,1105,0.016612,3.6789),(1995,1115,0.01685,3.6788),(1995,1125,0.017089,3.6788),(1995,1135,0.017334,3.6787),(1995,1145,0.017583,3.6787),(1995,1155,0.017833,3.6786),(1995,1165,0.018082,3.6786),(1995,1175,0.018339,3.6785),(1995,1185,0.0186,3.6785),(1995,1195,0.018861,3.6784),(1995,1205,0.019122,3.6783),(1995,1215,0.019391,3.6783),(1995,1225,0.019664,3.6782),(1995,1235,0.019937,3.6782),(1995,1245,0.02021,3.6781),(1995,1255,0.020493,3.678),(1995,1265,0.020778,3.678),(1995,1275,0.021064,3.6779),(1995,1285,0.02135,3.6778),(1995,1295,0.021646,3.6777),(1995,1305,0.021945,3.6777),(1995,1315,0.022244,3.6776),(1995,1325,0.022543,3.6775),(1995,1335,0.022854,3.6774),(1995,1345,0.023167,3.6774),(1995,1355,0.02348,3.6773),(1995,1365,0.023793,3.6772),(1995,1375,0.024118,3.6771),(1995,1385,0.024446,3.677),(1995,1395,0.024773,3.6769),(1995,1405,0.025101,3.6768),(1995,1415,0.025442,3.6767),(1995,1425,0.025785,3.6766),(1995,1435,0.026128,3.6765),(1995,1445,0.026471,3.6764),(1995,1455,0.026829,3.6763),(1995,1465,0.027188,3.6762),(1995,1475,0.027546,3.6761),(1995,1485,0.027905,3.676),(1995,1495,0.02828,3.6759),(1995,1505,0.028656,3.6757),(1995,1515,0.029031,3.6756),(1995,1525,0.029407,3.6755),(1995,1535,0.029799,3.6754),(1995,1545,0.030192,3.6752),(1995,1555,0.030585,3.6751),(1995,1565,0.030978,3.675),(1995,1575,0.031389,3.6748),(1995,1585,0.031799,3.6747),(1995,1595,0.03221,3.6745),(1995,1605,0.032622,3.6744),(1995,1615,0.033051,3.6742),(1995,1625,0.03348,3.6741),(1995,1635,0.033909,3.6739),(1995,1645,0.034341,3.6737),(1995,1655,0.034789,3.6736),(1995,1665,0.035237,3.6734),(1995,1675,0.035685,3.6732),(1995,1685,0.036137,3.673),(1995,1695,0.036605,3.6728),(1995,1705,0.037072,3.6726),(1995,1715,0.03754,3.6724),(1995,1725,0.038012,3.6722),(1995,1735,0.0385,3.672),(1995,1745,0.038988,3.6718),(1995,1755,0.039475,3.6716),(1995,1765,0.039969,3.6714),(1995,1775,0.040477,3.6712),(1995,1785,0.040986,3.6709),(1995,1795,0.041494,3.6707),(1995,1805,0.042009,3.6705),(1995,1815,0.042539,3.6702),(1995,1825,0.043068,3.67),(1995,1835,0.043598,3.6697),(1995,1845,0.044135,3.6694),(1995,1855,0.044686,3.6692),(1995,1865,0.045237,3.6689),(1995,1875,0.045788,3.6686),(1995,1885,0.046348,3.6683),(1995,1895,0.046921,3.668),(1995,1905,0.047493,3.6678),(1995,1915,0.048066,3.6674),(1995,1925,0.048648,3.6671),(1995,1935,0.049243,3.6668),(1995,1945,0.049838,3.6665),(1995,1955,0.050433,3.6661),(1995,1965,0.051037,3.6658),(1995,1975,0.051654,3.6655),(1995,1985,0.052271,3.6651),(1995,1995,0.052888,3.6647),(1995,2005,0.053516,3.6644),(1995,2015,0.054155,3.664),(1995,2025,0.054794,3.6636),(1995,2035,0.055433,3.6632),(1995,2045,0.056084,3.6628),(1995,2055,0.056746,3.6624),(1995,2065,0.057407,3.662),(1995,2075,0.058068,3.6615),(1995,2085,0.058742,3.6611),(1995,2095,0.059425,3.6607),(1995,2105,0.060108,3.6602),(1995,2115,0.060791,3.6597),(1995,2125,0.061487,3.6593),(1995,2135,0.062191,3.6588),(1995,2145,0.062895,3.6583),(1995,2155,0.063599,3.6578),(1995,2165,0.064317,3.6573),(1995,2175,0.065042,3.6567),(1995,2185,0.065767,3.6562),(1995,2195,0.066492,3.6556),(1995,2205,0.067231,3.6551),(1995,2215,0.067976,3.6545),(1995,2225,0.068721,3.654),(1995,2235,0.069466,3.6534),(1995,2245,0.070226,3.6528),(1995,2255,0.07099,3.6522),(1995,2265,0.071755,3.6515),(1995,2275,0.072519,3.6509),(1995,2285,0.073298,3.6502),(1995,2295,0.07408,3.6496),(1995,2305,0.074863,3.6489),(1995,2315,0.075645,3.6482),(1995,2325,0.076441,3.6475),(1995,2335,0.07724,3.6468),(1995,2345,0.078039,3.6461),(1995,2355,0.078838,3.6453),(1995,2365,0.07965,3.6446),(1995,2375,0.080464,3.6438),(1995,2385,0.081278,3.6431),(1995,2395,0.082092,3.6423),(1995,2405,0.082918,3.6415),(1995,2415,0.083745,3.6407),(1995,2425,0.084572,3.6398),(1995,2435,0.085399,3.6389),(1995,2445,0.086236,3.6381),(1995,2455,0.087075,3.6372),(1995,2465,0.087913,3.6363),(1995,2475,0.088751,3.6354),(1995,2485,0.089598,3.6345),(1995,2495,0.090446,3.6336),(1995,2505,0.091293,3.6326),(1995,2515,0.092141,3.6316),(1995,2525,0.092994,3.6306),(1995,2535,0.093847,3.6297),(1995,2545,0.094701,3.6286),(1995,2555,0.095554,3.6276),(1995,2565,0.096411,3.6266),(1995,2575,0.097267,3.6255),(1995,2585,0.098124,3.6244),(1995,2595,0.09898,3.6233),(1995,2605,0.099837,3.6222),(1995,2615,0.10069,3.6211),(1995,2625,0.10155,3.6199),(1995,2635,0.10241,3.6187),(1995,2645,0.10326,3.6176),(1995,2655,0.10411,3.6164),(1995,2665,0.10497,3.6151),(1995,2675,0.10582,3.6139),(1995,2685,0.10667,3.6127),(1995,2695,0.10751,3.6114),(1995,2705,0.10836,3.6101),(1995,2715,0.1092,3.6088),(1995,2725,0.11004,3.6075),(1995,2735,0.11088,3.6062),(1995,2745,0.11171,3.6048),(1995,2755,0.11254,3.6034),(1995,2765,0.11336,3.602),(1995,2775,0.11418,3.6006),(1995,2785,0.11501,3.5992),(1995,2795,0.11582,3.5977),(1995,2805,0.11662,3.5963),(1995,2815,0.11742,3.5948),(1995,2825,0.11822,3.5933),(1995,2835,0.11902,3.5918),(1995,2845,0.11979,3.5902),(1995,2855,0.12057,3.5887),(1995,2865,0.12135,3.5871),(1995,2875,0.12212,3.5855),(1995,2885,0.12287,3.5839),(1995,2895,0.12362,3.5823),(1995,2905,0.12436,3.5806),(1995,2915,0.1251,3.579),(1995,2925,0.12582,3.5773),(1995,2935,0.12653,3.5756),(1995,2945,0.12725,3.5739),(1995,2955,0.12795,3.5722),(1995,2965,0.12862,3.5704),(1995,2975,0.1293,3.5687),(1995,2985,0.12998,3.5669),(1995,2995,0.13064,3.5651),(1995,3005,0.13127,3.5633),(1995,3015,0.13191,3.5614),(1995,3025,0.13254,3.5596),(1995,3035,0.13315,3.5577),(1995,3045,0.13374,3.5558),(1995,3055,0.13433,3.5539),(1995,3065,0.13491,3.552),(1995,3075,0.13547,3.5501),(1995,3085,0.136,3.5482),(1995,3095,0.13654,3.5462),(1995,3105,0.13707,3.5442),(1995,3115,0.13757,3.5422),(1995,3125,0.13805,3.5402),(1995,3135,0.13853,3.5382),(1995,3145,0.139,3.5362),(1995,3155,0.13944,3.5341),(1995,3165,0.13985,3.5321),(1995,3175,0.14027,3.53),(1995,3185,0.14068,3.5279),(1995,3195,0.14105,3.5258),(1995,3205,0.1414,3.5237),(1995,3215,0.14175,3.5216),(1995,3225,0.1421,3.5194),(1995,3235,0.1424,3.5173),(1995,3245,0.14267,3.5151),(1995,3255,0.14295,3.513),(1995,3265,0.14323,3.5108),(1995,3275,0.14345,3.5086),(1995,3285,0.14365,3.5064),(1995,3295,0.14386,3.5042),(1995,3305,0.14406,3.5019),(1995,3315,0.1442,3.4997),(1995,3325,0.14433,3.4975),(1995,3335,0.14445,3.4952),(1995,3345,0.14458,3.493),(1995,3355,0.14463,3.4907),(1995,3365,0.14468,3.4885),(1995,3375,0.14472,3.4862),(1995,3385,0.14477,3.4839),(1995,3395,0.14474,3.4816),(1995,3405,0.1447,3.4793),(1995,3415,0.14466,3.477),(1995,3425,0.14462,3.4747),(1995,3435,0.1445,3.4724),(1995,3445,0.14437,3.4701),(1995,3455,0.14425,3.4678),(1995,3465,0.14412,3.4655),(1995,3475,0.14391,3.4631),(1995,3485,0.1437,3.4608),(1995,3495,0.14348,3.4585),(1995,3505,0.14327,3.4562),(1995,3515,0.14296,3.4538),(1995,3525,0.14266,3.4515),(1995,3535,0.14235,3.4492),(1995,3545,0.14205,3.4469),(1995,3555,0.14165,3.4445),(1995,3565,0.14126,3.4422),(1995,3575,0.14086,3.4399),(1995,3585,0.14046,3.4376),(1995,3595,0.13997,3.4352),(1995,3605,0.13949,3.4329),(1995,3615,0.139,3.4306),(1995,3625,0.1385,3.4283),(1995,3635,0.13793,3.426),(1995,3645,0.13735,3.4237),(1995,3655,0.13677,3.4214),(1995,3665,0.13618,3.4191),(1995,3675,0.13551,3.4168),(1995,3685,0.13485,3.4145),(1995,3695,0.13418,3.4123),(1995,3705,0.13349,3.41),(1995,3715,0.13273,3.4077),(1995,3725,0.13198,3.4055),(1995,3735,0.13122,3.4033),(1995,3745,0.13044,3.401),(1995,3755,0.12959,3.3988),(1995,3765,0.12874,3.3966),(1995,3775,0.1279,3.3944),(1995,3785,0.12703,3.3922),(1995,3795,0.12609,3.39),(1995,3805,0.12516,3.3878),(1995,3815,0.12422,3.3857),(1995,3825,0.12326,3.3836),(1995,3835,0.12224,3.3814),(1995,3845,0.12122,3.3793),(1995,3855,0.1202,3.3772),(1995,3865,0.11915,3.3751),(1995,3875,0.11804,3.3731),(1995,3885,0.11694,3.371),(1995,3895,0.11583,3.369),(1995,3905,0.13352,3.367),(1995,3915,0.17927,3.3649),(1995,3925,0.22502,3.3617),(1995,3935,0.27077,3.3569),(1995,3945,0.31919,3.3521),(1995,3955,0.371,3.3473),(1995,3965,0.42281,3.3411),(1995,3975,0.47462,3.3331),(1995,3985,0.50455,3.3252),(1995,3995,0.5108,3.3172),(1995,4005,0.51705,3.3091),(1995,4015,0.52329,3.3008),(1995,4025,0.53006,3.2926),(1995,4035,0.53687,3.2842),(1995,4045,0.54368,3.2757),(1995,4055,0.55017,3.2672),(1995,4065,0.55655,3.2586),(1995,4075,0.56292,3.2498),(1995,4085,0.56849,3.2409),(1995,4095,0.57342,3.2321),(1995,4105,0.57835,3.2229),(1995,4115,0.56135,3.2136),(1995,4125,0.50801,3.2044),(1995,4135,0.45466,3.1971),(1995,4145,0.40075,3.1903),(1995,4155,0.34457,3.1835),(1995,4165,0.28839,3.1787),(1995,4175,0.23561,3.1751),(1995,4185,0.35086,3.1714),(1995,4195,0.46611,3.1653),(1995,4205,0.58137,3.1559),(1995,4215,0.58312,3.1464),(1995,4225,0.5635,3.137),(1995,4235,0.54389,3.1278),(1995,4245,0.50733,3.1185),(1995,4255,0.46217,3.1095),(1995,4265,0.41701,3.1023),(1995,4275,0.35002,3.0951),(1995,4285,0.25987,3.088),(1995,4295,0.16971,3.0855),(1995,4305,0.15423,3.0835),(1995,4315,0.30736,3.0815),(1995,4325,0.46049,3.0739),(1995,4335,0.59764,3.064),(1995,4345,0.62664,3.0541),(1995,4355,0.65564,3.0432),(1995,4365,0.68463,3.0316),(1995,4375,0.694,3.0199),(1995,4385,0.70234,3.0081),(1995,4395,0.71068,2.9963),(1995,4405,0.62179,2.9844),(1995,4415,0.50423,2.9737),(1995,4425,0.38667,2.9683),(1995,4435,0.33917,2.9629),(1995,4445,0.33954,2.9575),(1995,4455,0.33991,2.9523),(1995,4465,0.40143,2.9471),(1995,4475,0.54883,2.9419),(1995,4485,0.69623,2.9315),(1995,4495,0.81226,2.9201),(1995,4505,0.82766,2.9086),(1995,4515,0.84306,2.8971),(1995,4525,0.85656,2.8855),(1995,4535,0.8401,2.874),(1995,4545,0.82364,2.8631),(1995,4555,0.80718,2.8532),(1995,4565,0.60681,2.8432),(1995,4575,0.38165,2.8355),(1995,4585,0.15648,2.8335),(1995,4595,0.1752,2.8314),(1995,4605,0.29696,2.8286),(1995,4615,0.41872,2.8196),(1995,4625,0.52018,2.8106),(1995,4635,0.60323,2.8016),(1995,4645,0.68629,2.7905),(1995,4655,0.75687,2.7793),(1995,4665,0.80393,2.768),(1995,4675,0.851,2.7562),(1995,4685,0.85903,2.7442),(1995,4695,0.6742,2.7323),(1995,4705,0.48938,2.7247),(1995,4715,0.30455,2.7203),(1995,4725,0.41246,2.7159),(1995,4735,0.5233,2.7095),(1995,4745,0.63415,2.7003),(1995,4755,0.75626,2.691),(1995,4765,0.88099,2.681),(1995,4775,1.0057,2.6682),(1995,4785,1.0605,2.6555),(1995,4795,1.0749,2.6428),(1995,4805,1.0893,2.6307),(1995,4815,1.0461,2.6187),(1995,4825,0.93387,2.6066),(1995,4835,0.82167,2.5987),(1995,4845,0.70607,2.5914),(1995,4855,0.58164,2.5841),(1995,4865,0.45721,2.5787),(1995,4875,0.37205,2.5742),(1995,4885,0.64425,2.5697),(1995,4895,0.91644,2.5608),(1995,4905,1.1886,2.5477),(1995,4915,1.1911,2.5345),(1995,4925,1.1703,2.5214),(1995,4935,1.1496,2.5086),(1995,4945,1.064,2.4958),(1995,4955,0.95593,2.4833),(1995,4965,0.84787,2.4728),(1995,4975,0.67101,2.4623),(1995,4985,0.44105,2.4518),(1995,4995,0.2111,2.4505),(1995,5005,0.18387,2.4493),(1995,5015,0.47894,2.4482),(1995,5025,0.77402,2.4404),(1995,5035,1.0306,2.4308),(1995,5045,1.1405,2.4213),(1995,5055,1.2504,2.4101),(1995,5065,1.3574,2.398),(1995,5075,1.3701,2.3858),(1995,5085,1.3827,2.3737),(1995,5095,1.3953,2.3618),(1995,5105,1.2233,2.3498),(1995,5115,1.0191,2.3394),(1995,5125,0.81488,2.3331),(1995,5135,0.70903,2.3268),(1995,5145,0.65092,2.3206),(1995,5155,0.59281,2.3148),(1995,5165,0.70479,2.3091),(1995,5175,0.99025,2.3033),(1995,5185,1.2757,2.2905),(1995,5195,1.4749,2.2769),(1995,5205,1.4882,2.2633),(1995,5215,1.5015,2.2499),(1995,5225,1.5067,2.2366),(1995,5235,1.4613,2.2233),(1995,5245,1.4159,2.2111),(1995,5255,1.3705,2.1998),(1995,5265,0.96155,2.1885),(1995,5275,0.53762,2.1812),(1995,5285,0.11369,2.1807),(1995,5295,0.27831,2.1803),(1995,5305,0.60682,2.1773),(1995,5315,0.93534,2.1641),(1995,5325,1.1421,2.1508),(1995,5335,1.269,2.1376),(1995,5345,1.3959,2.1235),(1995,5355,1.4823,2.1094),(1995,5365,1.5139,2.0954),(1995,5375,1.5455,2.082),(1995,5385,1.4799,2.0687),(1995,5395,1.1189,2.0554),(1995,5405,0.75781,2.0485),(1995,5415,0.43255,2.045),(1995,5425,0.58824,2.0415),(1995,5435,0.74393,2.0333),(1995,5445,0.89962,2.0199),(1995,5455,1.082,2.0066),(1995,5465,1.2676,1.9909),(1995,5475,1.4532,1.97),(1995,5485,1.5218,1.9491),(1995,5495,1.5434,1.9282),(1995,5505,1.5649,1.9077),(1995,5515,1.5866,1.8873),(1995,5525,1.6085,1.8668),(1995,5535,1.6303,1.8467),(1995,5545,1.6517,1.8267),(1995,5555,1.6724,1.8067),(1995,5565,1.6931,1.787),(1995,5575,1.7135,1.7675),(1995,5585,1.7328,1.7479),(1995,5595,1.7522,1.7286),(1995,5605,1.7715,1.7096),(1995,5615,1.7896,1.6905),(1995,5625,1.8076,1.6716),(1995,5635,1.8256,1.6531),(1995,5645,1.8427,1.6345),(1995,5655,1.8595,1.616),(1995,5665,1.8763,1.5978),(1995,5675,1.8924,1.5796),(1995,5685,1.908,1.5615),(1995,5695,1.9237,1.5437),(1995,5705,1.9388,1.5259),(1995,5715,1.9534,1.5081),(1995,5725,1.9679,1.4907),(1995,5735,1.9822,1.4733),(1995,5745,1.9958,1.4559),(1995,5755,2.0093,1.4388),(1995,5765,2.0228,1.4218),(1995,5775,2.0354,1.4048),(1995,5785,2.048,1.388),(1995,5795,2.0606,1.3714),(1995,5805,2.0724,1.3547),(1995,5815,2.0841,1.3381),(1995,5825,2.0959,1.3218),(1995,5835,2.107,1.3054),(1995,5845,2.118,1.2891),(1995,5855,2.1289,1.273),(1995,5865,2.1394,1.2569),(1995,5875,2.1497,1.2409),(1995,5885,2.1599,1.225),(1995,5895,2.1698,1.2092),(1995,5905,2.1794,1.1934),(1995,5915,2.1889,1.1778),(1995,5925,2.1983,1.1622),(1995,5935,2.2072,1.1466),(1995,5945,2.2162,1.1312),(1995,5955,2.2251,1.1159),(1995,5965,2.2337,1.1006),(1995,5975,2.2422,1.0853),(1995,5985,2.2508,1.0702),(1995,5995,1.7214,1.0551),(1995,6005,1.1054,1.0435),(1995,6015,0.48947,1.0415),(1995,6025,0.51803,1.0395),(1995,6035,0.84553,1.0365),(1995,6045,1.173,1.0229),(1995,6055,1.4072,1.0094),(1995,6065,1.5499,0.9958),(1995,6075,1.6926,0.9782),(1995,6085,1.7908,0.96022),(1995,6095,1.7973,0.94224),(1995,6105,1.8037,0.92416),(1995,6115,1.8101,0.90604),(1995,6125,1.8162,0.88791),(1995,6135,1.8222,0.8698),(1995,6145,1.8283,0.8517),(1995,6155,1.834,0.8336),(1995,6165,1.8397,0.8155),(1995,6175,1.8454,0.79739),(1995,6185,1.8507,0.77929),(1995,6195,1.856,0.76116),(1995,6205,1.8613,0.74294),(1995,6215,1.8663,0.72472),(1995,6225,1.8712,0.70649),(1995,6235,1.8761,0.68831),(1995,6245,1.8808,0.67013),(1995,6255,1.8853,0.65195),(1995,6265,1.8898,0.63375),(1995,6275,1.8942,0.61555),(1995,6285,1.8983,0.59736),(1995,6295,1.9024,0.57912),(1995,6305,1.9065,0.56086),(1995,6315,1.9102,0.5426),(1995,6325,1.9139,0.52431),(1995,6335,1.9176,0.506),(1995,6345,1.9209,0.48769),(1995,6355,1.9241,0.46938),(1995,6365,1.9274,0.45108),(1995,6375,1.9304,0.43278),(1995,6385,1.9332,0.41449),(1995,6395,1.9361,0.39623),(1995,6405,1.9387,0.37797),(1995,6415,1.9412,0.35971),(1995,6425,1.9437,0.34147),(1995,6435,1.946,0.32322),(1995,6445,1.9481,0.30498),(1995,6455,1.9502,0.28672),(1995,6465,1.9522,0.26845),(1995,6475,1.9538,0.25018),(1995,6485,1.9555,0.23187),(1995,6495,1.9572,0.21352),(1995,6505,1.9585,0.19517),(1995,6515,1.9598,0.17683),(1995,6525,1.961,0.1585),(1995,6535,1.962,0.14016),(1995,6545,1.9628,0.12183),(1995,6555,1.9637,0.1035),(1995,6565,1.9643,0.085165),(1995,6575,1.9647,0.066836),(1995,6585,1.9651,0.048563),(1995,6595,1.6716,0.03029),(1995,6605,1.0534,0.012017),(1995,6615,0.43528,0.00989),(1995,6625,0.00073,0.009837),(1995,6635,0.000732,0.009784),(1995,6645,0.000734,0.009761),(1995,6655,0.000736,0.009752),(1995,6665,0.000738,0.009742),(1995,6675,0.00074,0.009732),(1995,6685,0.000743,0.009722),(1995,6695,0.000745,0.009712),(1995,6705,0.000746,0.009702),(1995,6715,0.000748,0.009693),(1995,6725,0.00075,0.009683),(1995,6735,0.000752,0.009673),(1995,6745,0.000754,0.009664),(1995,6755,0.000756,0.009654),(1995,6765,0.000758,0.009644),(1995,6775,0.00076,0.009634),(1995,6785,0.000761,0.009625),(1995,6795,0.000763,0.009615),(1995,6805,0.000765,0.009605),(1995,6815,0.000766,0.009596),(1995,6825,0.000768,0.009586),(1995,6835,0.00077,0.009576),(1995,6845,0.000771,0.009567),(1995,6855,0.000773,0.009557),(1995,6865,0.000774,0.009548),(1995,6875,0.000776,0.009538),(1995,6885,0.000777,0.009529),(1995,6895,0.000779,0.009519),(1995,6905,0.00078,0.00951),(1995,6915,0.000781,0.0095),(1995,6925,0.000783,0.009491),(1995,6935,0.000784,0.009481),(1995,6945,0.000785,0.009472),(1995,6955,0.000787,0.009462),(1995,6965,0.000788,0.009453),(1995,6975,0.000789,0.009444),(1995,6985,0.00079,0.009434),(2005,5,5.5e-05,3.6808),(2005,15,0.000166,3.6808),(2005,25,0.000277,3.6808),(2005,35,0.000388,3.6808),(2005,45,0.000499,3.6808),(2005,55,0.00061,3.6808),(2005,65,0.000721,3.6808),(2005,75,0.000832,3.6808),(2005,85,0.000943,3.6808),(2005,95,0.001054,3.6808),(2005,105,0.001166,3.6808),(2005,115,0.001278,3.6808),(2005,125,0.00139,3.6808),(2005,135,0.001502,3.6808),(2005,145,0.001614,3.6808),(2005,155,0.001727,3.6808),(2005,165,0.00184,3.6808),(2005,175,0.001953,3.6808),(2005,185,0.002067,3.6808),(2005,195,0.002181,3.6807),(2005,205,0.002295,3.6807),(2005,215,0.002409,3.6807),(2005,225,0.002524,3.6807),(2005,235,0.002639,3.6807),(2005,245,0.002755,3.6807),(2005,255,0.00287,3.6807),(2005,265,0.002987,3.6807),(2005,275,0.003105,3.6807),(2005,285,0.003222,3.6807),(2005,295,0.00334,3.6807),(2005,305,0.003459,3.6807),(2005,315,0.003578,3.6807),(2005,325,0.003697,3.6807),(2005,335,0.003817,3.6807),(2005,345,0.003938,3.6807),(2005,355,0.00406,3.6807),(2005,365,0.004182,3.6807),(2005,375,0.004304,3.6806),(2005,385,0.004428,3.6806),(2005,395,0.004553,3.6806),(2005,405,0.004677,3.6806),(2005,415,0.004801,3.6806),(2005,425,0.004928,3.6806),(2005,435,0.005056,3.6806),(2005,445,0.005183,3.6806),(2005,455,0.005311,3.6806),(2005,465,0.005441,3.6806),(2005,475,0.005572,3.6806),(2005,485,0.005703,3.6806),(2005,495,0.005833,3.6805),(2005,505,0.005968,3.6805),(2005,515,0.006102,3.6805),(2005,525,0.006236,3.6805),(2005,535,0.006371,3.6805),(2005,545,0.006509,3.6805),(2005,555,0.006647,3.6805),(2005,565,0.006786,3.6805),(2005,575,0.006924,3.6805),(2005,585,0.007067,3.6804),(2005,595,0.00721,3.6804),(2005,605,0.007352,3.6804),(2005,615,0.007496,3.6804),(2005,625,0.007643,3.6804),(2005,635,0.00779,3.6804),(2005,645,0.007938,3.6804),(2005,655,0.008086,3.6803),(2005,665,0.008239,3.6803),(2005,675,0.008391,3.6803),(2005,685,0.008544,3.6803),(2005,695,0.008697,3.6803),(2005,705,0.008855,3.6803),(2005,715,0.009013,3.6802),(2005,725,0.009172,3.6802),(2005,735,0.009331,3.6802),(2005,745,0.009495,3.6802),(2005,755,0.009658,3.6802),(2005,765,0.009822,3.6801),(2005,775,0.009988,3.6801),(2005,785,0.010158,3.6801),(2005,795,0.010328,3.6801),(2005,805,0.010498,3.6801),(2005,815,0.01067,3.68),(2005,825,0.010847,3.68),(2005,835,0.011024,3.68),(2005,845,0.011201,3.68),(2005,855,0.011381,3.6799),(2005,865,0.011565,3.6799),(2005,875,0.011749,3.6799),(2005,885,0.011933,3.6799),(2005,895,0.012121,3.6798),(2005,905,0.012313,3.6798),(2005,915,0.012505,3.6798),(2005,925,0.012697,3.6798),(2005,935,0.012892,3.6797),(2005,945,0.013092,3.6797),(2005,955,0.013292,3.6797),(2005,965,0.013493,3.6796),(2005,975,0.013697,3.6796),(2005,985,0.013906,3.6796),(2005,995,0.014114,3.6795),(2005,1005,0.014323,3.6795),(2005,1015,0.014537,3.6795),(2005,1025,0.014755,3.6794),(2005,1035,0.014973,3.6794),(2005,1045,0.015191,3.6794),(2005,1055,0.015415,3.6793),(2005,1065,0.015643,3.6793),(2005,1075,0.015871,3.6792),(2005,1085,0.016099,3.6792),(2005,1095,0.016333,3.6792),(2005,1105,0.016572,3.6791),(2005,1115,0.01681,3.6791),(2005,1125,0.017048,3.679),(2005,1135,0.017293,3.679),(2005,1145,0.017543,3.6789),(2005,1155,0.017792,3.6789),(2005,1165,0.018041,3.6788),(2005,1175,0.018298,3.6788),(2005,1185,0.018559,3.6787),(2005,1195,0.01882,3.6787),(2005,1205,0.01908,3.6786),(2005,1215,0.01935,3.6786),(2005,1225,0.019623,3.6785),(2005,1235,0.019896,3.6784),(2005,1245,0.020169,3.6784),(2005,1255,0.020452,3.6783),(2005,1265,0.020738,3.6782),(2005,1275,0.021024,3.6782),(2005,1285,0.021309,3.6781),(2005,1295,0.021606,3.678),(2005,1305,0.021905,3.678),(2005,1315,0.022205,3.6779),(2005,1325,0.022504,3.6778),(2005,1335,0.022815,3.6777),(2005,1345,0.023128,3.6777),(2005,1355,0.023441,3.6776),(2005,1365,0.023755,3.6775),(2005,1375,0.024081,3.6774),(2005,1385,0.024409,3.6773),(2005,1395,0.024737,3.6772),(2005,1405,0.025065,3.6772),(2005,1415,0.025407,3.6771),(2005,1425,0.025751,3.677),(2005,1435,0.026094,3.6769),(2005,1445,0.026438,3.6768),(2005,1455,0.026796,3.6767),(2005,1465,0.027156,3.6766),(2005,1475,0.027515,3.6765),(2005,1485,0.027875,3.6763),(2005,1495,0.028251,3.6762),(2005,1505,0.028627,3.6761),(2005,1515,0.029003,3.676),(2005,1525,0.02938,3.6759),(2005,1535,0.029773,3.6757),(2005,1545,0.030167,3.6756),(2005,1555,0.030561,3.6755),(2005,1565,0.030956,3.6754),(2005,1575,0.031367,3.6752),(2005,1585,0.031779,3.6751),(2005,1595,0.032191,3.6749),(2005,1605,0.032605,3.6748),(2005,1615,0.033035,3.6746),(2005,1625,0.033465,3.6745),(2005,1635,0.033896,3.6743),(2005,1645,0.034329,3.6742),(2005,1655,0.034779,3.674),(2005,1665,0.035229,3.6738),(2005,1675,0.035679,3.6737),(2005,1685,0.036132,3.6735),(2005,1695,0.036602,3.6733),(2005,1705,0.037071,3.6731),(2005,1715,0.037541,3.6729),(2005,1725,0.038015,3.6727),(2005,1735,0.038505,3.6725),(2005,1745,0.038995,3.6723),(2005,1755,0.039485,3.6721),(2005,1765,0.03998,3.6719),(2005,1775,0.040491,3.6717),(2005,1785,0.041002,3.6715),(2005,1795,0.041513,3.6712),(2005,1805,0.042031,3.671),(2005,1815,0.042563,3.6708),(2005,1825,0.043095,3.6705),(2005,1835,0.043628,3.6703),(2005,1845,0.044168,3.67),(2005,1855,0.044722,3.6697),(2005,1865,0.045276,3.6695),(2005,1875,0.045831,3.6692),(2005,1885,0.046393,3.6689),(2005,1895,0.04697,3.6686),(2005,1905,0.047546,3.6683),(2005,1915,0.048122,3.668),(2005,1925,0.048708,3.6677),(2005,1935,0.049307,3.6674),(2005,1945,0.049905,3.6671),(2005,1955,0.050504,3.6668),(2005,1965,0.051113,3.6664),(2005,1975,0.051734,3.6661),(2005,1985,0.052355,3.6657),(2005,1995,0.052976,3.6654),(2005,2005,0.053608,3.665),(2005,2015,0.054252,3.6646),(2005,2025,0.054896,3.6643),(2005,2035,0.055539,3.6639),(2005,2045,0.056195,3.6635),(2005,2055,0.056862,3.6631),(2005,2065,0.057528,3.6626),(2005,2075,0.058194,3.6622),(2005,2085,0.058873,3.6618),(2005,2095,0.059562,3.6614),(2005,2105,0.06025,3.6609),(2005,2115,0.060939,3.6604),(2005,2125,0.06164,3.66),(2005,2135,0.062351,3.6595),(2005,2145,0.063061,3.659),(2005,2155,0.063771,3.6585),(2005,2165,0.064495,3.658),(2005,2175,0.065227,3.6575),(2005,2185,0.065958,3.6569),(2005,2195,0.06669,3.6564),(2005,2205,0.067436,3.6558),(2005,2215,0.068188,3.6553),(2005,2225,0.06894,3.6547),(2005,2235,0.069692,3.6541),(2005,2245,0.070458,3.6535),(2005,2255,0.07123,3.6529),(2005,2265,0.072002,3.6523),(2005,2275,0.072774,3.6517),(2005,2285,0.073561,3.651),(2005,2295,0.074351,3.6504),(2005,2305,0.075142,3.6497),(2005,2315,0.075932,3.649),(2005,2325,0.076737,3.6483),(2005,2335,0.077544,3.6476),(2005,2345,0.078352,3.6469),(2005,2355,0.07916,3.6462),(2005,2365,0.07998,3.6454),(2005,2375,0.080803,3.6447),(2005,2385,0.081626,3.6439),(2005,2395,0.082449,3.6431),(2005,2405,0.083285,3.6423),(2005,2415,0.084121,3.6415),(2005,2425,0.084958,3.6406),(2005,2435,0.085794,3.6398),(2005,2445,0.086642,3.6389),(2005,2455,0.08749,3.6381),(2005,2465,0.088339,3.6372),(2005,2475,0.089187,3.6363),(2005,2485,0.090045,3.6354),(2005,2495,0.090903,3.6344),(2005,2505,0.091761,3.6335),(2005,2515,0.092619,3.6325),(2005,2525,0.093483,3.6315),(2005,2535,0.094348,3.6305),(2005,2545,0.095212,3.6295),(2005,2555,0.096077,3.6285),(2005,2565,0.096945,3.6274),(2005,2575,0.097813,3.6264),(2005,2585,0.098681,3.6253),(2005,2595,0.099549,3.6242),(2005,2605,0.10042,3.6231),(2005,2615,0.10129,3.622),(2005,2625,0.10215,3.6208),(2005,2635,0.10302,3.6196),(2005,2645,0.10389,3.6184),(2005,2655,0.10475,3.6173),(2005,2665,0.10562,3.616),(2005,2675,0.10648,3.6148),(2005,2685,0.10734,3.6135),(2005,2695,0.1082,3.6123),(2005,2705,0.10906,3.611),(2005,2715,0.10992,3.6097),(2005,2725,0.11077,3.6083),(2005,2735,0.11162,3.607),(2005,2745,0.11247,3.6056),(2005,2755,0.11331,3.6043),(2005,2765,0.11414,3.6029),(2005,2775,0.11498,3.6015),(2005,2785,0.11581,3.6),(2005,2795,0.11664,3.5986),(2005,2805,0.11745,3.5971),(2005,2815,0.11827,3.5956),(2005,2825,0.11908,3.5941),(2005,2835,0.11989,3.5926),(2005,2845,0.12068,3.591),(2005,2855,0.12147,3.5895),(2005,2865,0.12226,3.5879),(2005,2875,0.12304,3.5863),(2005,2885,0.1238,3.5847),(2005,2895,0.12457,3.5831),(2005,2905,0.12533,3.5814),(2005,2915,0.12608,3.5797),(2005,2925,0.12681,3.578),(2005,2935,0.12754,3.5763),(2005,2945,0.12827,3.5746),(2005,2955,0.12898,3.5729),(2005,2965,0.12967,3.5711),(2005,2975,0.13036,3.5693),(2005,2985,0.13105,3.5675),(2005,2995,0.13172,3.5657),(2005,3005,0.13237,3.5639),(2005,3015,0.13301,3.5621),(2005,3025,0.13366,3.5602),(2005,3035,0.13428,3.5583),(2005,3045,0.13488,3.5564),(2005,3055,0.13548,3.5545),(2005,3065,0.13608,3.5526),(2005,3075,0.13665,3.5506),(2005,3085,0.1372,3.5487),(2005,3095,0.13774,3.5467),(2005,3105,0.13829,3.5447),(2005,3115,0.1388,3.5427),(2005,3125,0.13929,3.5407),(2005,3135,0.13978,3.5387),(2005,3145,0.14026,3.5366),(2005,3155,0.14071,3.5346),(2005,3165,0.14114,3.5325),(2005,3175,0.14156,3.5304),(2005,3185,0.14199,3.5283),(2005,3195,0.14237,3.5262),(2005,3205,0.14273,3.5241),(2005,3215,0.14309,3.5219),(2005,3225,0.14344,3.5198),(2005,3235,0.14375,3.5176),(2005,3245,0.14404,3.5154),(2005,3255,0.14432,3.5132),(2005,3265,0.14461,3.511),(2005,3275,0.14484,3.5088),(2005,3285,0.14505,3.5066),(2005,3295,0.14526,3.5044),(2005,3305,0.14548,3.5021),(2005,3315,0.14562,3.4999),(2005,3325,0.14576,3.4976),(2005,3335,0.14589,3.4954),(2005,3345,0.14602,3.4931),(2005,3355,0.14608,3.4908),(2005,3365,0.14614,3.4885),(2005,3375,0.14619,3.4862),(2005,3385,0.14624,3.4839),(2005,3395,0.14621,3.4816),(2005,3405,0.14618,3.4793),(2005,3415,0.14614,3.477),(2005,3425,0.14611,3.4746),(2005,3435,0.14599,3.4723),(2005,3445,0.14587,3.47),(2005,3455,0.14575,3.4676),(2005,3465,0.14563,3.4653),(2005,3475,0.14542,3.463),(2005,3485,0.14521,3.4606),(2005,3495,0.145,3.4583),(2005,3505,0.14479,3.4559),(2005,3515,0.14448,3.4536),(2005,3525,0.14418,3.4512),(2005,3535,0.14388,3.4489),(2005,3545,0.14357,3.4465),(2005,3555,0.14318,3.4442),(2005,3565,0.14279,3.4418),(2005,3575,0.14239,3.4395),(2005,3585,0.14199,3.4371),(2005,3595,0.1415,3.4348),(2005,3605,0.14102,3.4324),(2005,3615,0.14053,3.4301),(2005,3625,0.14003,3.4278),(2005,3635,0.13945,3.4254),(2005,3645,0.13888,3.4231),(2005,3655,0.1383,3.4208),(2005,3665,0.1377,3.4185),(2005,3675,0.13703,3.4162),(2005,3685,0.13636,3.4139),(2005,3695,0.13569,3.4116),(2005,3705,0.135,3.4093),(2005,3715,0.13424,3.407),(2005,3725,0.13348,3.4047),(2005,3735,0.13272,3.4025),(2005,3745,0.13193,3.4002),(2005,3755,0.13108,3.398),(2005,3765,0.13023,3.3957),(2005,3775,0.12938,3.3935),(2005,3785,0.1285,3.3913),(2005,3795,0.12756,3.3891),(2005,3805,0.12662,3.3869),(2005,3815,0.12568,3.3847),(2005,3825,0.12471,3.3826),(2005,3835,0.12368,3.3804),(2005,3845,0.12265,3.3783),(2005,3855,0.12162,3.3762),(2005,3865,0.12056,3.3741),(2005,3875,0.11945,3.3719),(2005,3885,0.11833,3.3699),(2005,3895,0.11722,3.3678),(2005,3905,0.13508,3.3658),(2005,3915,0.18129,3.3637),(2005,3925,0.22749,3.3605),(2005,3935,0.2737,3.3557),(2005,3945,0.3226,3.3508),(2005,3955,0.37493,3.346),(2005,3965,0.42726,3.3397),(2005,3975,0.47958,3.3316),(2005,3985,0.50981,3.3236),(2005,3995,0.5161,3.3156),(2005,4005,0.5224,3.3074),(2005,4015,0.52869,3.2991),(2005,4025,0.5355,3.2908),(2005,4035,0.54236,3.2824),(2005,4045,0.54922,3.2738),(2005,4055,0.55576,3.2652),(2005,4065,0.5622,3.2566),(2005,4075,0.56863,3.2477),(2005,4085,0.57428,3.2388),(2005,4095,0.57931,3.2299),(2005,4105,0.58433,3.2206),(2005,4115,0.56721,3.2112),(2005,4125,0.51337,3.2019),(2005,4135,0.45953,3.1944),(2005,4145,0.40509,3.1875),(2005,4155,0.34823,3.1805),(2005,4165,0.29137,3.1755),(2005,4175,0.23794,3.1718),(2005,4185,0.35438,3.168),(2005,4195,0.47083,3.1617),(2005,4205,0.58728,3.1522),(2005,4215,0.58925,3.1426),(2005,4225,0.56967,3.1331),(2005,4235,0.55009,3.1239),(2005,4245,0.51327,3.1146),(2005,4255,0.4677,3.1055),(2005,4265,0.42214,3.0983),(2005,4275,0.35439,3.0912),(2005,4285,0.26312,3.084),(2005,4295,0.17184,3.0815),(2005,4305,0.15609,3.0795),(2005,4315,0.31088,3.0775),(2005,4325,0.46567,3.0698),(2005,4335,0.60432,3.0598),(2005,4345,0.6337,3.0498),(2005,4355,0.66308,3.0389),(2005,4365,0.69246,3.0272),(2005,4375,0.70184,3.0155),(2005,4385,0.71016,3.0038),(2005,4395,0.71849,2.9919),(2005,4405,0.62854,2.98),(2005,4415,0.5096,2.9694),(2005,4425,0.39066,2.9639),(2005,4435,0.34256,2.9584),(2005,4445,0.34288,2.953),(2005,4455,0.34319,2.9477),(2005,4465,0.40514,2.9424),(2005,4475,0.55369,2.9371),(2005,4485,0.70224,2.9266),(2005,4495,0.81914,2.915),(2005,4505,0.83449,2.9035),(2005,4515,0.84984,2.8919),(2005,4525,0.86328,2.8803),(2005,4535,0.84642,2.8688),(2005,4545,0.82956,2.858),(2005,4555,0.8127,2.8482),(2005,4565,0.61119,2.8384),(2005,4575,0.38478,2.8309),(2005,4585,0.15838,2.8289),(2005,4595,0.17775,2.8268),(2005,4605,0.30097,2.824),(2005,4615,0.42419,2.8151),(2005,4625,0.52646,2.8062),(2005,4635,0.60976,2.7973),(2005,4645,0.69307,2.7862),(2005,4655,0.76381,2.775),(2005,4665,0.81086,2.7638),(2005,4675,0.8579,2.752),(2005,4685,0.8657,2.7399),(2005,4695,0.67954,2.7278),(2005,4705,0.49337,2.7201),(2005,4715,0.30721,2.7156),(2005,4725,0.41602,2.711),(2005,4735,0.52778,2.7045),(2005,4745,0.63953,2.6951),(2005,4755,0.76215,2.6858),(2005,4765,0.88729,2.6756),(2005,4775,1.0124,2.6629),(2005,4785,1.0672,2.6501),(2005,4795,1.0813,2.6374),(2005,4805,1.0954,2.6253),(2005,4815,1.0516,2.6132),(2005,4825,0.93856,2.6011),(2005,4835,0.82549,2.5931),(2005,4845,0.70921,2.5856),(2005,4855,0.58457,2.5782),(2005,4865,0.45993,2.5728),(2005,4875,0.37471,2.5683),(2005,4885,0.64812,2.5639),(2005,4895,0.92154,2.555),(2005,4905,1.195,2.5419),(2005,4915,1.1975,2.5287),(2005,4925,1.1767,2.5157),(2005,4935,1.1559,2.5029),(2005,4945,1.0702,2.49),(2005,4955,0.96202,2.4775),(2005,4965,0.8538,2.467),(2005,4975,0.67596,2.4564),(2005,4985,0.44437,2.4458),(2005,4995,0.21278,2.4444),(2005,5005,0.18495,2.4433),(2005,5015,0.48106,2.4422),(2005,5025,0.77716,2.4343),(2005,5035,1.0346,2.4248),(2005,5045,1.1447,2.4152),(2005,5055,1.2548,2.404),(2005,5065,1.3621,2.3918),(2005,5075,1.3746,2.3797),(2005,5085,1.3871,2.3676),(2005,5095,1.3996,2.3556),(2005,5105,1.227,2.3437),(2005,5115,1.0221,2.3332),(2005,5125,0.81726,2.3269),(2005,5135,0.71129,2.3206),(2005,5145,0.65331,2.3143),(2005,5155,0.59533,2.3086),(2005,5165,0.70782,2.3029),(2005,5175,0.99416,2.2971),(2005,5185,1.2805,2.2843),(2005,5195,1.4803,2.2707),(2005,5205,1.4934,2.2571),(2005,5215,1.5065,2.2438),(2005,5225,1.5115,2.2305),(2005,5235,1.4658,2.2173),(2005,5245,1.42,2.2051),(2005,5255,1.3743,2.1938),(2005,5265,0.9643,2.1825),(2005,5275,0.53928,2.1752),(2005,5285,0.11426,2.1747),(2005,5295,0.28031,2.1743),(2005,5305,0.61095,2.1713),(2005,5315,0.94159,2.158),(2005,5325,1.149,2.1448),(2005,5335,1.2755,2.1315),(2005,5345,1.402,2.1174),(2005,5355,1.4879,2.1034),(2005,5365,1.5192,2.0893),(2005,5375,1.5504,2.0759),(2005,5385,1.4843,2.0626),(2005,5395,1.1221,2.0494),(2005,5405,0.75999,2.0425),(2005,5415,0.43387,2.039),(2005,5425,0.59173,2.0355),(2005,5435,0.7496,2.0273),(2005,5445,0.90746,2.014),(2005,5455,1.0912,2.0006),(2005,5465,1.2781,1.985),(2005,5475,1.4649,1.9641),(2005,5485,1.5338,1.9433),(2005,5495,1.5551,1.9225),(2005,5505,1.5765,1.902),(2005,5515,1.5979,1.8816),(2005,5525,1.6195,1.8612),(2005,5535,1.6411,1.8412),(2005,5545,1.6623,1.8213),(2005,5555,1.6827,1.8013),(2005,5565,1.7031,1.7817),(2005,5575,1.7233,1.7622),(2005,5585,1.7424,1.7427),(2005,5595,1.7615,1.7235),(2005,5605,1.7807,1.7045),(2005,5615,1.7985,1.6855),(2005,5625,1.8163,1.6667),(2005,5635,1.8341,1.6482),(2005,5645,1.8509,1.6297),(2005,5655,1.8675,1.6113),(2005,5665,1.8841,1.5932),(2005,5675,1.9,1.5751),(2005,5685,1.9154,1.557),(2005,5695,1.9309,1.5393),(2005,5705,1.9458,1.5216),(2005,5715,1.9602,1.5038),(2005,5725,1.9746,1.4865),(2005,5735,1.9887,1.4692),(2005,5745,2.002,1.4519),(2005,5755,2.0154,1.4349),(2005,5765,2.0287,1.4179),(2005,5775,2.0411,1.401),(2005,5785,2.0536,1.3843),(2005,5795,2.066,1.3677),(2005,5805,2.0777,1.3511),(2005,5815,2.0893,1.3346),(2005,5825,2.1009,1.3183),(2005,5835,2.1119,1.302),(2005,5845,2.1227,1.2857),(2005,5855,2.1335,1.2697),(2005,5865,2.1439,1.2537),(2005,5875,2.154,1.2377),(2005,5885,2.1641,1.222),(2005,5895,2.1739,1.2062),(2005,5905,2.1833,1.1905),(2005,5915,2.1927,1.1749),(2005,5925,2.202,1.1594),(2005,5935,2.2108,1.1439),(2005,5945,2.2197,1.1286),(2005,5955,2.2285,1.1133),(2005,5965,2.2369,1.098),(2005,5975,2.2454,1.0829),(2005,5985,2.2539,1.0678),(2005,5995,1.7237,1.0528),(2005,6005,1.1069,1.0413),(2005,6015,0.49013,1.0393),(2005,6025,0.51975,1.0373),(2005,6035,0.84919,1.0342),(2005,6045,1.1786,1.0207),(2005,6055,1.4141,1.0072),(2005,6065,1.5575,0.99364),(2005,6075,1.7009,0.97606),(2005,6085,1.7995,0.95811),(2005,6095,1.8059,0.94016),(2005,6105,1.8123,0.9221),(2005,6115,1.8187,0.90399),(2005,6125,1.8248,0.88589),(2005,6135,1.8309,0.8678),(2005,6145,1.837,0.84972),(2005,6155,1.8426,0.83164),(2005,6165,1.8483,0.81356),(2005,6175,1.8539,0.79549),(2005,6185,1.8593,0.77741),(2005,6195,1.8646,0.75932),(2005,6205,1.8698,0.74114),(2005,6215,1.8748,0.72295),(2005,6225,1.8797,0.70477),(2005,6235,1.8846,0.68663),(2005,6245,1.8893,0.66849),(2005,6255,1.8938,0.65035),(2005,6265,1.8983,0.6322),(2005,6275,1.9026,0.61404),(2005,6285,1.9067,0.59588),(2005,6295,1.9108,0.57768),(2005,6305,1.9149,0.55946),(2005,6315,1.9186,0.54124),(2005,6325,1.9223,0.523),(2005,6335,1.9259,0.50472),(2005,6345,1.9292,0.48644),(2005,6355,1.9325,0.46817),(2005,6365,1.9358,0.44991),(2005,6375,1.9387,0.43165),(2005,6385,1.9416,0.4134),(2005,6395,1.9444,0.39519),(2005,6405,1.9471,0.37698),(2005,6415,1.9495,0.35877),(2005,6425,1.952,0.34057),(2005,6435,1.9543,0.32238),(2005,6445,1.9564,0.30418),(2005,6455,1.9584,0.28597),(2005,6465,1.9604,0.26775),(2005,6475,1.9621,0.24953),(2005,6485,1.9638,0.23127),(2005,6495,1.9654,0.21297),(2005,6505,1.9667,0.19467),(2005,6515,1.968,0.17638),(2005,6525,1.9693,0.15809),(2005,6535,1.9702,0.1398),(2005,6545,1.9711,0.12151),(2005,6555,1.9719,0.10323),(2005,6565,1.9725,0.084944),(2005,6575,1.9729,0.066664),(2005,6585,1.9733,0.048448),(2005,6595,1.6786,0.030232),(2005,6605,1.0578,0.012016),(2005,6615,0.4371,0.009894),(2005,6625,0.000736,0.00984),(2005,6635,0.000738,0.009787),(2005,6645,0.00074,0.009764),(2005,6655,0.000742,0.009754),(2005,6665,0.000744,0.009744),(2005,6675,0.000746,0.009734),(2005,6685,0.000748,0.009724),(2005,6695,0.00075,0.009714),(2005,6705,0.000752,0.009704),(2005,6715,0.000754,0.009695),(2005,6725,0.000756,0.009685),(2005,6735,0.000758,0.009675),(2005,6745,0.00076,0.009665),(2005,6755,0.000762,0.009655),(2005,6765,0.000763,0.009646),(2005,6775,0.000765,0.009636),(2005,6785,0.000767,0.009626),(2005,6795,0.000769,0.009617),(2005,6805,0.00077,0.009607),(2005,6815,0.000772,0.009597),(2005,6825,0.000774,0.009588),(2005,6835,0.000775,0.009578),(2005,6845,0.000777,0.009568),(2005,6855,0.000778,0.009559),(2005,6865,0.00078,0.009549),(2005,6875,0.000781,0.00954),(2005,6885,0.000783,0.00953),(2005,6895,0.000784,0.009521),(2005,6905,0.000785,0.009511),(2005,6915,0.000787,0.009501),(2005,6925,0.000788,0.009492),(2005,6935,0.00079,0.009482),(2005,6945,0.000791,0.009473),(2005,6955,0.000792,0.009463),(2005,6965,0.000793,0.009454),(2005,6975,0.000795,0.009445),(2005,6985,0.000796,0.009435),(2015,5,5.5e-05,3.6809),(2015,15,0.000166,3.6809),(2015,25,0.000276,3.6809),(2015,35,0.000387,3.6809),(2015,45,0.000497,3.6809),(2015,55,0.000607,3.6809),(2015,65,0.000718,3.6809),(2015,75,0.000829,3.6809),(2015,85,0.00094,3.6809),(2015,95,0.001051,3.6809),(2015,105,0.001162,3.6809),(2015,115,0.001273,3.6809),(2015,125,0.001385,3.6809),(2015,135,0.001497,3.6809),(2015,145,0.001609,3.6809),(2015,155,0.001721,3.6809),(2015,165,0.001834,3.6809),(2015,175,0.001946,3.6809),(2015,185,0.002059,3.6809),(2015,195,0.002173,3.6809),(2015,205,0.002286,3.6809),(2015,215,0.0024,3.6809),(2015,225,0.002515,3.6808),(2015,235,0.00263,3.6808),(2015,245,0.002745,3.6808),(2015,255,0.00286,3.6808),(2015,265,0.002977,3.6808),(2015,275,0.003094,3.6808),(2015,285,0.003211,3.6808),(2015,295,0.003328,3.6808),(2015,305,0.003446,3.6808),(2015,315,0.003565,3.6808),(2015,325,0.003684,3.6808),(2015,335,0.003803,3.6808),(2015,345,0.003925,3.6808),(2015,355,0.004046,3.6808),(2015,365,0.004167,3.6808),(2015,375,0.004289,3.6808),(2015,385,0.004412,3.6808),(2015,395,0.004537,3.6808),(2015,405,0.004661,3.6807),(2015,415,0.004785,3.6807),(2015,425,0.004911,3.6807),(2015,435,0.005038,3.6807),(2015,445,0.005165,3.6807),(2015,455,0.005292,3.6807),(2015,465,0.005422,3.6807),(2015,475,0.005553,3.6807),(2015,485,0.005683,3.6807),(2015,495,0.005813,3.6807),(2015,505,0.005947,3.6807),(2015,515,0.006081,3.6807),(2015,525,0.006215,3.6806),(2015,535,0.006349,3.6806),(2015,545,0.006487,3.6806),(2015,555,0.006625,3.6806),(2015,565,0.006763,3.6806),(2015,575,0.006901,3.6806),(2015,585,0.007043,3.6806),(2015,595,0.007186,3.6806),(2015,605,0.007328,3.6806),(2015,615,0.00747,3.6805),(2015,625,0.007618,3.6805),(2015,635,0.007765,3.6805),(2015,645,0.007912,3.6805),(2015,655,0.008059,3.6805),(2015,665,0.008212,3.6805),(2015,675,0.008364,3.6805),(2015,685,0.008516,3.6804),(2015,695,0.008669,3.6804),(2015,705,0.008827,3.6804),(2015,715,0.008984,3.6804),(2015,725,0.009142,3.6804),(2015,735,0.009301,3.6804),(2015,745,0.009465,3.6803),(2015,755,0.009628,3.6803),(2015,765,0.009791,3.6803),(2015,775,0.009956,3.6803),(2015,785,0.010126,3.6803),(2015,795,0.010296,3.6803),(2015,805,0.010466,3.6802),(2015,815,0.010637,3.6802),(2015,825,0.010814,3.6802),(2015,835,0.010991,3.6802),(2015,845,0.011167,3.6802),(2015,855,0.011346,3.6801),(2015,865,0.01153,3.6801),(2015,875,0.011714,3.6801),(2015,885,0.011898,3.6801),(2015,895,0.012085,3.68),(2015,905,0.012277,3.68),(2015,915,0.012469,3.68),(2015,925,0.01266,3.68),(2015,935,0.012855,3.6799),(2015,945,0.013055,3.6799),(2015,955,0.013255,3.6799),(2015,965,0.013455,3.6798),(2015,975,0.013659,3.6798),(2015,985,0.013867,3.6798),(2015,995,0.014076,3.6798),(2015,1005,0.014285,3.6797),(2015,1015,0.014498,3.6797),(2015,1025,0.014716,3.6797),(2015,1035,0.014934,3.6796),(2015,1045,0.015152,3.6796),(2015,1055,0.015375,3.6795),(2015,1065,0.015603,3.6795),(2015,1075,0.015831,3.6795),(2015,1085,0.016059,3.6794),(2015,1095,0.016293,3.6794),(2015,1105,0.016531,3.6793),(2015,1115,0.016769,3.6793),(2015,1125,0.017007,3.6793),(2015,1135,0.017253,3.6792),(2015,1145,0.017502,3.6792),(2015,1155,0.017751,3.6791),(2015,1165,0.018,3.6791),(2015,1175,0.018257,3.679),(2015,1185,0.018518,3.679),(2015,1195,0.018778,3.6789),(2015,1205,0.019039,3.6789),(2015,1215,0.019309,3.6788),(2015,1225,0.019582,3.6788),(2015,1235,0.019855,3.6787),(2015,1245,0.020128,3.6787),(2015,1255,0.020411,3.6786),(2015,1265,0.020697,3.6785),(2015,1275,0.020983,3.6785),(2015,1285,0.021269,3.6784),(2015,1295,0.021566,3.6783),(2015,1305,0.021865,3.6783),(2015,1315,0.022165,3.6782),(2015,1325,0.022464,3.6781),(2015,1335,0.022776,3.6781),(2015,1345,0.023089,3.678),(2015,1355,0.023403,3.6779),(2015,1365,0.023717,3.6778),(2015,1375,0.024043,3.6777),(2015,1385,0.024372,3.6777),(2015,1395,0.024701,3.6776),(2015,1405,0.025029,3.6775),(2015,1415,0.025372,3.6774),(2015,1425,0.025716,3.6773),(2015,1435,0.02606,3.6772),(2015,1445,0.026404,3.6771),(2015,1455,0.026763,3.677),(2015,1465,0.027123,3.6769),(2015,1475,0.027484,3.6768),(2015,1485,0.027844,3.6767),(2015,1495,0.028221,3.6766),(2015,1505,0.028598,3.6765),(2015,1515,0.028975,3.6764),(2015,1525,0.029353,3.6763),(2015,1535,0.029747,3.6761),(2015,1545,0.030142,3.676),(2015,1555,0.030537,3.6759),(2015,1565,0.030933,3.6758),(2015,1575,0.031346,3.6756),(2015,1585,0.031759,3.6755),(2015,1595,0.032172,3.6754),(2015,1605,0.032587,3.6752),(2015,1615,0.033018,3.6751),(2015,1625,0.03345,3.6749),(2015,1635,0.033882,3.6748),(2015,1645,0.034317,3.6746),(2015,1655,0.034769,3.6744),(2015,1665,0.03522,3.6743),(2015,1675,0.035671,3.6741),(2015,1685,0.036127,3.6739),(2015,1695,0.036598,3.6738),(2015,1705,0.03707,3.6736),(2015,1715,0.037541,3.6734),(2015,1725,0.038017,3.6732),(2015,1735,0.03851,3.673),(2015,1745,0.039002,3.6728),(2015,1755,0.039494,3.6726),(2015,1765,0.039992,3.6724),(2015,1775,0.040505,3.6722),(2015,1785,0.041019,3.672),(2015,1795,0.041532,3.6717),(2015,1805,0.042052,3.6715),(2015,1815,0.042587,3.6713),(2015,1825,0.043122,3.671),(2015,1835,0.043658,3.6708),(2015,1845,0.0442,3.6705),(2015,1855,0.044758,3.6703),(2015,1865,0.045315,3.67),(2015,1875,0.045873,3.6698),(2015,1885,0.046438,3.6695),(2015,1895,0.047018,3.6692),(2015,1905,0.047598,3.6689),(2015,1915,0.048178,3.6686),(2015,1925,0.048767,3.6683),(2015,1935,0.04937,3.668),(2015,1945,0.049972,3.6677),(2015,1955,0.050574,3.6674),(2015,1965,0.051187,3.667),(2015,1975,0.051813,3.6667),(2015,1985,0.052438,3.6664),(2015,1995,0.053063,3.666),(2015,2005,0.0537,3.6656),(2015,2015,0.054348,3.6653),(2015,2025,0.054997,3.6649),(2015,2035,0.055645,3.6645),(2015,2045,0.056306,3.6641),(2015,2055,0.056977,3.6637),(2015,2065,0.057648,3.6633),(2015,2075,0.05832,3.6629),(2015,2085,0.059004,3.6625),(2015,2095,0.059698,3.662),(2015,2105,0.060392,3.6616),(2015,2115,0.061086,3.6611),(2015,2125,0.061794,3.6607),(2015,2135,0.06251,3.6602),(2015,2145,0.063226,3.6597),(2015,2155,0.063943,3.6592),(2015,2165,0.064673,3.6587),(2015,2175,0.065411,3.6582),(2015,2185,0.066149,3.6577),(2015,2195,0.066887,3.6571),(2015,2205,0.06764,3.6566),(2015,2215,0.068399,3.656),(2015,2225,0.069158,3.6555),(2015,2235,0.069917,3.6549),(2015,2245,0.070691,3.6543),(2015,2255,0.07147,3.6537),(2015,2265,0.07225,3.6531),(2015,2275,0.073029,3.6524),(2015,2285,0.073823,3.6518),(2015,2295,0.074622,3.6512),(2015,2305,0.07542,3.6505),(2015,2315,0.076219,3.6498),(2015,2325,0.077032,3.6491),(2015,2335,0.077848,3.6484),(2015,2345,0.078664,3.6477),(2015,2355,0.079481,3.647),(2015,2365,0.08031,3.6462),(2015,2375,0.081143,3.6455),(2015,2385,0.081975,3.6447),(2015,2395,0.082807,3.6439),(2015,2405,0.083651,3.6431),(2015,2415,0.084498,3.6423),(2015,2425,0.085344,3.6415),(2015,2435,0.08619,3.6406),(2015,2445,0.087048,3.6398),(2015,2455,0.087906,3.6389),(2015,2465,0.088764,3.638),(2015,2475,0.089623,3.6371),(2015,2485,0.090491,3.6362),(2015,2495,0.09136,3.6353),(2015,2505,0.092228,3.6343),(2015,2515,0.093097,3.6334),(2015,2525,0.093972,3.6324),(2015,2535,0.094848,3.6314),(2015,2545,0.095723,3.6304),(2015,2555,0.096599,3.6293),(2015,2565,0.097479,3.6283),(2015,2575,0.098358,3.6273),(2015,2585,0.099238,3.6262),(2015,2595,0.10012,3.6251),(2015,2605,0.101,3.6239),(2015,2615,0.10188,3.6228),(2015,2625,0.10276,3.6217),(2015,2635,0.10364,3.6205),(2015,2645,0.10452,3.6193),(2015,2655,0.10539,3.6181),(2015,2665,0.10627,3.6169),(2015,2675,0.10715,3.6157),(2015,2685,0.10802,3.6144),(2015,2695,0.10889,3.6132),(2015,2705,0.10977,3.6118),(2015,2715,0.11063,3.6105),(2015,2725,0.1115,3.6092),(2015,2735,0.11236,3.6079),(2015,2745,0.11322,3.6065),(2015,2755,0.11408,3.6051),(2015,2765,0.11492,3.6037),(2015,2775,0.11577,3.6023),(2015,2785,0.11662,3.6009),(2015,2795,0.11746,3.5994),(2015,2805,0.11829,3.5979),(2015,2815,0.11911,3.5964),(2015,2825,0.11994,3.5949),(2015,2835,0.12076,3.5934),(2015,2845,0.12157,3.5918),(2015,2855,0.12237,3.5903),(2015,2865,0.12317,3.5887),(2015,2875,0.12397,3.5871),(2015,2885,0.12474,3.5855),(2015,2895,0.12552,3.5838),(2015,2905,0.12629,3.5822),(2015,2915,0.12706,3.5805),(2015,2925,0.1278,3.5788),(2015,2935,0.12854,3.5771),(2015,2945,0.12928,3.5753),(2015,2955,0.13001,3.5736),(2015,2965,0.13071,3.5718),(2015,2975,0.13142,3.57),(2015,2985,0.13212,3.5682),(2015,2995,0.1328,3.5664),(2015,3005,0.13346,3.5646),(2015,3015,0.13412,3.5627),(2015,3025,0.13478,3.5608),(2015,3035,0.13542,3.5589),(2015,3045,0.13603,3.5571),(2015,3055,0.13664,3.5551),(2015,3065,0.13725,3.5532),(2015,3075,0.13783,3.5512),(2015,3085,0.13839,3.5493),(2015,3095,0.13895,3.5473),(2015,3105,0.13951,3.5453),(2015,3115,0.14003,3.5432),(2015,3125,0.14053,3.5412),(2015,3135,0.14103,3.5392),(2015,3145,0.14153,3.5371),(2015,3155,0.14199,3.535),(2015,3165,0.14242,3.5329),(2015,3175,0.14286,3.5308),(2015,3185,0.14329,3.5287),(2015,3195,0.14368,3.5266),(2015,3205,0.14405,3.5244),(2015,3215,0.14442,3.5223),(2015,3225,0.14479,3.5201),(2015,3235,0.1451,3.5179),(2015,3245,0.1454,3.5157),(2015,3255,0.1457,3.5135),(2015,3265,0.14599,3.5113),(2015,3275,0.14623,3.5091),(2015,3285,0.14645,3.5068),(2015,3295,0.14667,3.5046),(2015,3305,0.14689,3.5023),(2015,3315,0.14705,3.5),(2015,3325,0.14719,3.4978),(2015,3335,0.14733,3.4955),(2015,3345,0.14747,3.4932),(2015,3355,0.14754,3.4909),(2015,3365,0.14759,3.4886),(2015,3375,0.14765,3.4863),(2015,3385,0.14771,3.4839),(2015,3395,0.14769,3.4816),(2015,3405,0.14766,3.4793),(2015,3415,0.14763,3.4769),(2015,3425,0.1476,3.4746),(2015,3435,0.14749,3.4722),(2015,3445,0.14737,3.4699),(2015,3455,0.14725,3.4675),(2015,3465,0.14714,3.4651),(2015,3475,0.14693,3.4628),(2015,3485,0.14672,3.4604),(2015,3495,0.14652,3.458),(2015,3505,0.14631,3.4557),(2015,3515,0.14601,3.4533),(2015,3525,0.14571,3.4509),(2015,3535,0.14541,3.4485),(2015,3545,0.1451,3.4462),(2015,3555,0.14471,3.4438),(2015,3565,0.14431,3.4414),(2015,3575,0.14392,3.439),(2015,3585,0.14352,3.4367),(2015,3595,0.14303,3.4343),(2015,3605,0.14255,3.4319),(2015,3615,0.14206,3.4296),(2015,3625,0.14156,3.4272),(2015,3635,0.14098,3.4249),(2015,3645,0.1404,3.4225),(2015,3655,0.13982,3.4202),(2015,3665,0.13923,3.4178),(2015,3675,0.13855,3.4155),(2015,3685,0.13788,3.4132),(2015,3695,0.13721,3.4109),(2015,3705,0.13651,3.4086),(2015,3715,0.13575,3.4063),(2015,3725,0.13498,3.404),(2015,3735,0.13422,3.4017),(2015,3745,0.13343,3.3994),(2015,3755,0.13257,3.3971),(2015,3765,0.13171,3.3949),(2015,3775,0.13086,3.3926),(2015,3785,0.12997,3.3904),(2015,3795,0.12903,3.3882),(2015,3805,0.12808,3.3859),(2015,3815,0.12713,3.3838),(2015,3825,0.12616,3.3816),(2015,3835,0.12512,3.3794),(2015,3845,0.12408,3.3772),(2015,3855,0.12305,3.3751),(2015,3865,0.12198,3.373),(2015,3875,0.12085,3.3708),(2015,3885,0.11973,3.3687),(2015,3895,0.11861,3.3667),(2015,3905,0.13664,3.3646),(2015,3915,0.18331,3.3625),(2015,3925,0.22997,3.3593),(2015,3935,0.27663,3.3544),(2015,3945,0.32602,3.3495),(2015,3955,0.37886,3.3446),(2015,3965,0.43171,3.3382),(2015,3975,0.48455,3.3301),(2015,3985,0.51507,3.3221),(2015,3995,0.52141,3.314),(2015,4005,0.52775,3.3057),(2015,4015,0.5341,3.2974),(2015,4025,0.54095,3.289),(2015,4035,0.54785,3.2805),(2015,4045,0.55475,3.2719),(2015,4055,0.56136,3.2633),(2015,4065,0.56785,3.2546),(2015,4075,0.57434,3.2456),(2015,4085,0.58007,3.2367),(2015,4095,0.58519,3.2277),(2015,4105,0.59031,3.2182),(2015,4115,0.57307,3.2088),(2015,4125,0.51874,3.1993),(2015,4135,0.46441,3.1917),(2015,4145,0.40945,3.1846),(2015,4155,0.3519,3.1775),(2015,4165,0.29435,3.1723),(2015,4175,0.24027,3.1684),(2015,4185,0.35791,3.1645),(2015,4195,0.47556,3.1581),(2015,4205,0.5932,3.1485),(2015,4215,0.59538,3.1388),(2015,4225,0.57583,3.1292),(2015,4235,0.55629,3.12),(2015,4245,0.51921,3.1107),(2015,4255,0.47323,3.1015),(2015,4265,0.42726,3.0944),(2015,4275,0.35876,3.0872),(2015,4285,0.26636,3.08),(2015,4295,0.17397,3.0775),(2015,4305,0.15795,3.0755),(2015,4315,0.3144,3.0735),(2015,4325,0.47086,3.0657),(2015,4335,0.61101,3.0556),(2015,4345,0.64077,3.0455),(2015,4355,0.67053,3.0346),(2015,4365,0.7003,3.0229),(2015,4375,0.70967,3.0112),(2015,4385,0.71799,2.9995),(2015,4395,0.7263,2.9876),(2015,4405,0.63528,2.9757),(2015,4415,0.51497,2.965),(2015,4425,0.39466,2.9595),(2015,4435,0.34597,2.9539),(2015,4445,0.34622,2.9484),(2015,4455,0.34647,2.943),(2015,4465,0.40886,2.9376),(2015,4475,0.55856,2.9322),(2015,4485,0.70826,2.9217),(2015,4495,0.82602,2.91),(2015,4505,0.84132,2.8983),(2015,4515,0.85663,2.8867),(2015,4525,0.87,2.8752),(2015,4535,0.85273,2.8636),(2015,4545,0.83547,2.8529),(2015,4555,0.81821,2.8433),(2015,4565,0.61555,2.8336),(2015,4575,0.38791,2.8262),(2015,4585,0.16027,2.8243),(2015,4595,0.18029,2.8223),(2015,4605,0.30497,2.8195),(2015,4615,0.42965,2.8107),(2015,4625,0.53274,2.8019),(2015,4635,0.61629,2.793),(2015,4645,0.69984,2.782),(2015,4655,0.77074,2.7709),(2015,4665,0.81778,2.7597),(2015,4675,0.86482,2.7478),(2015,4685,0.87238,2.7356),(2015,4695,0.68488,2.7234),(2015,4705,0.49738,2.7156),(2015,4715,0.30988,2.7109),(2015,4725,0.41958,2.7062),(2015,4735,0.53225,2.6996),(2015,4745,0.64493,2.6901),(2015,4755,0.76804,2.6806),(2015,4765,0.89358,2.6704),(2015,4775,1.0191,2.6576),(2015,4785,1.0739,2.6448),(2015,4795,1.0877,2.6321),(2015,4805,1.1016,2.62),(2015,4815,1.0572,2.6079),(2015,4825,0.94326,2.5957),(2015,4835,0.82931,2.5875),(2015,4845,0.71235,2.5799),(2015,4855,0.5875,2.5723),(2015,4865,0.46265,2.5669),(2015,4875,0.37736,2.5625),(2015,4885,0.65199,2.558),(2015,4895,0.92663,2.5492),(2015,4905,1.2013,2.5361),(2015,4915,1.2039,2.523),(2015,4925,1.1831,2.51),(2015,4935,1.1623,2.4971),(2015,4945,1.0765,2.4843),(2015,4955,0.96812,2.4718),(2015,4965,0.85973,2.4611),(2015,4975,0.6809,2.4505),(2015,4985,0.44768,2.4398),(2015,4995,0.21446,2.4384),(2015,5005,0.18603,2.4373),(2015,5015,0.48317,2.4361),(2015,5025,0.78031,2.4282),(2015,5035,1.0386,2.4186),(2015,5045,1.1489,2.4091),(2015,5055,1.2593,2.3979),(2015,5065,1.3667,2.3857),(2015,5075,1.3791,2.3735),(2015,5085,1.3914,2.3614),(2015,5095,1.4038,2.3494),(2015,5105,1.2307,2.3374),(2015,5115,1.0251,2.327),(2015,5125,0.81964,2.3207),(2015,5135,0.71354,2.3143),(2015,5145,0.65569,2.3081),(2015,5155,0.59785,2.3024),(2015,5165,0.71084,2.2966),(2015,5175,0.99808,2.2909),(2015,5185,1.2853,2.2781),(2015,5195,1.4856,2.2645),(2015,5205,1.4986,2.251),(2015,5215,1.5116,2.2377),(2015,5225,1.5163,2.2244),(2015,5235,1.4703,2.2112),(2015,5245,1.4242,2.1991),(2015,5255,1.3781,2.1878),(2015,5265,0.96706,2.1765),(2015,5275,0.54094,2.1692),(2015,5285,0.11483,2.1687),(2015,5295,0.2823,2.1683),(2015,5305,0.61507,2.1653),(2015,5315,0.94785,2.152),(2015,5325,1.1558,2.1387),(2015,5335,1.2819,2.1254),(2015,5345,1.4081,2.1113),(2015,5355,1.4936,2.0973),(2015,5365,1.5245,2.0833),(2015,5375,1.5553,2.0699),(2015,5385,1.4886,2.0566),(2015,5395,1.1254,2.0433),(2015,5405,0.76217,2.0365),(2015,5415,0.43519,2.033),(2015,5425,0.59523,2.0295),(2015,5435,0.75526,2.0213),(2015,5445,0.91529,2.008),(2015,5455,1.1004,1.9947),(2015,5465,1.2885,1.9791),(2015,5475,1.4767,1.9582),(2015,5485,1.5458,1.9374),(2015,5495,1.5669,1.9167),(2015,5505,1.588,1.8963),(2015,5515,1.6092,1.876),(2015,5525,1.6306,1.8556),(2015,5535,1.6519,1.8357),(2015,5545,1.6728,1.8158),(2015,5555,1.693,1.7959),(2015,5565,1.7132,1.7763),(2015,5575,1.7332,1.7569),(2015,5585,1.752,1.7375),(2015,5595,1.7709,1.7184),(2015,5605,1.7898,1.6994),(2015,5615,1.8074,1.6805),(2015,5625,1.825,1.6618),(2015,5635,1.8426,1.6434),(2015,5645,1.8592,1.6249),(2015,5655,1.8755,1.6066),(2015,5665,1.8919,1.5885),(2015,5675,1.9076,1.5705),(2015,5685,1.9228,1.5525),(2015,5695,1.9381,1.5348),(2015,5705,1.9528,1.5172),(2015,5715,1.967,1.4996),(2015,5725,1.9812,1.4823),(2015,5735,1.9951,1.4651),(2015,5745,2.0083,1.4478),(2015,5755,2.0215,1.4309),(2015,5765,2.0346,1.414),(2015,5775,2.0469,1.3972),(2015,5785,2.0592,1.3805),(2015,5795,2.0715,1.3639),(2015,5805,2.083,1.3474),(2015,5815,2.0944,1.331),(2015,5825,2.1059,1.3148),(2015,5835,2.1167,1.2985),(2015,5845,2.1274,1.2824),(2015,5855,2.1381,1.2664),(2015,5865,2.1483,1.2505),(2015,5875,2.1583,1.2346),(2015,5885,2.1683,1.2189),(2015,5895,2.178,1.2032),(2015,5905,2.1873,1.1875),(2015,5915,2.1966,1.172),(2015,5925,2.2057,1.1566),(2015,5935,2.2144,1.1412),(2015,5945,2.2232,1.1259),(2015,5955,2.2318,1.1107),(2015,5965,2.2402,1.0955),(2015,5975,2.2486,1.0804),(2015,5985,2.2569,1.0654),(2015,5995,1.7261,1.0504),(2015,6005,1.1084,1.039),(2015,6015,0.49079,1.037),(2015,6025,0.52148,1.0351),(2015,6035,0.85285,1.032),(2015,6045,1.1842,1.0185),(2015,6055,1.421,1.005),(2015,6065,1.565,0.99146),(2015,6075,1.7091,0.97391),(2015,6085,1.8081,0.95598),(2015,6095,1.8146,0.93806),(2015,6105,1.821,0.92002),(2015,6115,1.8273,0.90194),(2015,6125,1.8334,0.88386),(2015,6135,1.8395,0.86579),(2015,6145,1.8456,0.84773),(2015,6155,1.8512,0.82967),(2015,6165,1.8569,0.81162),(2015,6175,1.8625,0.79357),(2015,6185,1.8679,0.77553),(2015,6195,1.8731,0.75746),(2015,6205,1.8783,0.73932),(2015,6215,1.8834,0.72118),(2015,6225,1.8882,0.70303),(2015,6235,1.8931,0.68494),(2015,6245,1.8977,0.66684),(2015,6255,1.9022,0.64874),(2015,6265,1.9067,0.63063),(2015,6275,1.9111,0.61251),(2015,6285,1.9151,0.5944),(2015,6295,1.9192,0.57624),(2015,6305,1.9233,0.55806),(2015,6315,1.927,0.53988),(2015,6325,1.9306,0.52167),(2015,6335,1.9343,0.50343),(2015,6345,1.9376,0.48519),(2015,6355,1.9409,0.46696),(2015,6365,1.9441,0.44874),(2015,6375,1.9471,0.43052),(2015,6385,1.9499,0.41231),(2015,6395,1.9528,0.39414),(2015,6405,1.9554,0.37598),(2015,6415,1.9578,0.35781),(2015,6425,1.9603,0.33967),(2015,6435,1.9626,0.32153),(2015,6445,1.9646,0.30338),(2015,6455,1.9667,0.28522),(2015,6465,1.9687,0.26705),(2015,6475,1.9703,0.24888),(2015,6485,1.972,0.23066),(2015,6495,1.9737,0.21241),(2015,6505,1.9749,0.19416),(2015,6515,1.9762,0.17592),(2015,6525,1.9775,0.15768),(2015,6535,1.9784,0.13943),(2015,6545,1.9793,0.12119),(2015,6555,1.9802,0.10296),(2015,6565,1.9807,0.084723),(2015,6575,1.9811,0.066492),(2015,6585,1.9816,0.048332),(2015,6595,1.6856,0.030172),(2015,6605,1.0622,0.012012),(2015,6615,0.43892,0.009897),(2015,6625,0.000742,0.009843),(2015,6635,0.000744,0.009789),(2015,6645,0.000746,0.009766),(2015,6655,0.000748,0.009756),(2015,6665,0.00075,0.009746),(2015,6675,0.000752,0.009736),(2015,6685,0.000754,0.009726),(2015,6695,0.000756,0.009716),(2015,6705,0.000758,0.009706),(2015,6715,0.00076,0.009697),(2015,6725,0.000762,0.009687),(2015,6735,0.000764,0.009677),(2015,6745,0.000766,0.009667),(2015,6755,0.000767,0.009657),(2015,6765,0.000769,0.009647),(2015,6775,0.000771,0.009638),(2015,6785,0.000773,0.009628),(2015,6795,0.000774,0.009618),(2015,6805,0.000776,0.009609),(2015,6815,0.000778,0.009599),(2015,6825,0.000779,0.009589),(2015,6835,0.000781,0.00958),(2015,6845,0.000782,0.00957),(2015,6855,0.000784,0.00956),(2015,6865,0.000785,0.009551),(2015,6875,0.000787,0.009541),(2015,6885,0.000788,0.009532),(2015,6895,0.00079,0.009522),(2015,6905,0.000791,0.009512),(2015,6915,0.000792,0.009503),(2015,6925,0.000794,0.009493),(2015,6935,0.000795,0.009484),(2015,6945,0.000796,0.009474),(2015,6955,0.000797,0.009465),(2015,6965,0.000799,0.009455),(2015,6975,0.0008,0.009446),(2015,6985,0.000801,0.009437),(2025,5,5.5e-05,3.681),(2025,15,0.000165,3.681),(2025,25,0.000275,3.681),(2025,35,0.000385,3.681),(2025,45,0.000495,3.681),(2025,55,0.000605,3.681),(2025,65,0.000715,3.681),(2025,75,0.000826,3.681),(2025,85,0.000936,3.681),(2025,95,0.001046,3.681),(2025,105,0.001157,3.681),(2025,115,0.001268,3.681),(2025,125,0.001379,3.681),(2025,135,0.001491,3.681),(2025,145,0.001602,3.681),(2025,155,0.001714,3.681),(2025,165,0.001826,3.681),(2025,175,0.001938,3.681),(2025,185,0.002051,3.681),(2025,195,0.002164,3.681),(2025,205,0.002277,3.681),(2025,215,0.002391,3.681),(2025,225,0.002505,3.681),(2025,235,0.002619,3.681),(2025,245,0.002734,3.681),(2025,255,0.002849,3.681),(2025,265,0.002965,3.6809),(2025,275,0.003081,3.6809),(2025,285,0.003198,3.6809),(2025,295,0.003314,3.6809),(2025,305,0.003432,3.6809),(2025,315,0.003551,3.6809),(2025,325,0.00367,3.6809),(2025,335,0.003788,3.6809),(2025,345,0.003909,3.6809),(2025,355,0.00403,3.6809),(2025,365,0.004151,3.6809),(2025,375,0.004272,3.6809),(2025,385,0.004395,3.6809),(2025,395,0.004519,3.6809),(2025,405,0.004642,3.6809),(2025,415,0.004766,3.6809),(2025,425,0.004892,3.6809),(2025,435,0.005019,3.6809),(2025,445,0.005145,3.6808),(2025,455,0.005272,3.6808),(2025,465,0.005401,3.6808),(2025,475,0.005531,3.6808),(2025,485,0.005661,3.6808),(2025,495,0.005791,3.6808),(2025,505,0.005924,3.6808),(2025,515,0.006058,3.6808),(2025,525,0.006191,3.6808),(2025,535,0.006325,3.6808),(2025,545,0.006462,3.6808),(2025,555,0.0066,3.6808),(2025,565,0.006737,3.6807),(2025,575,0.006875,3.6807),(2025,585,0.007017,3.6807),(2025,595,0.007158,3.6807),(2025,605,0.0073,3.6807),(2025,615,0.007442,3.6807),(2025,625,0.007589,3.6807),(2025,635,0.007735,3.6807),(2025,645,0.007882,3.6807),(2025,655,0.008029,3.6806),(2025,665,0.008181,3.6806),(2025,675,0.008333,3.6806),(2025,685,0.008484,3.6806),(2025,695,0.008637,3.6806),(2025,705,0.008794,3.6806),(2025,715,0.008951,3.6806),(2025,725,0.009109,3.6805),(2025,735,0.009267,3.6805),(2025,745,0.00943,3.6805),(2025,755,0.009593,3.6805),(2025,765,0.009756,3.6805),(2025,775,0.009921,3.6805),(2025,785,0.01009,3.6804),(2025,795,0.010259,3.6804),(2025,805,0.010429,3.6804),(2025,815,0.0106,3.6804),(2025,825,0.010776,3.6804),(2025,835,0.010952,3.6803),(2025,845,0.011128,3.6803),(2025,855,0.011307,3.6803),(2025,865,0.011491,3.6803),(2025,875,0.011674,3.6803),(2025,885,0.011858,3.6802),(2025,895,0.012044,3.6802),(2025,905,0.012236,3.6802),(2025,915,0.012427,3.6802),(2025,925,0.012618,3.6801),(2025,935,0.012813,3.6801),(2025,945,0.013012,3.6801),(2025,955,0.013212,3.6801),(2025,965,0.013411,3.68),(2025,975,0.013615,3.68),(2025,985,0.013823,3.68),(2025,995,0.014031,3.68),(2025,1005,0.014239,3.6799),(2025,1015,0.014452,3.6799),(2025,1025,0.01467,3.6799),(2025,1035,0.014888,3.6798),(2025,1045,0.015105,3.6798),(2025,1055,0.015328,3.6798),(2025,1065,0.015556,3.6797),(2025,1075,0.015784,3.6797),(2025,1085,0.016011,3.6797),(2025,1095,0.016245,3.6796),(2025,1105,0.016483,3.6796),(2025,1115,0.016721,3.6795),(2025,1125,0.016959,3.6795),(2025,1135,0.017204,3.6795),(2025,1145,0.017453,3.6794),(2025,1155,0.017702,3.6794),(2025,1165,0.017951,3.6793),(2025,1175,0.018207,3.6793),(2025,1185,0.018468,3.6792),(2025,1195,0.018729,3.6792),(2025,1205,0.018989,3.6791),(2025,1215,0.019259,3.6791),(2025,1225,0.019532,3.679),(2025,1235,0.019805,3.679),(2025,1245,0.020078,3.6789),(2025,1255,0.020361,3.6789),(2025,1265,0.020647,3.6788),(2025,1275,0.020933,3.6788),(2025,1285,0.021219,3.6787),(2025,1295,0.021516,3.6786),(2025,1305,0.021816,3.6786),(2025,1315,0.022115,3.6785),(2025,1325,0.022415,3.6784),(2025,1335,0.022726,3.6784),(2025,1345,0.02304,3.6783),(2025,1355,0.023354,3.6782),(2025,1365,0.023668,3.6781),(2025,1375,0.023995,3.6781),(2025,1385,0.024324,3.678),(2025,1395,0.024653,3.6779),(2025,1405,0.024982,3.6778),(2025,1415,0.025325,3.6777),(2025,1425,0.025669,3.6777),(2025,1435,0.026014,3.6776),(2025,1445,0.026359,3.6775),(2025,1455,0.026718,3.6774),(2025,1465,0.027079,3.6773),(2025,1475,0.02744,3.6772),(2025,1485,0.027801,3.6771),(2025,1495,0.028179,3.677),(2025,1505,0.028557,3.6769),(2025,1515,0.028934,3.6768),(2025,1525,0.029313,3.6766),(2025,1535,0.029708,3.6765),(2025,1545,0.030104,3.6764),(2025,1555,0.0305,3.6763),(2025,1565,0.030897,3.6762),(2025,1575,0.031311,3.676),(2025,1585,0.031725,3.6759),(2025,1595,0.032139,3.6758),(2025,1605,0.032555,3.6756),(2025,1615,0.032988,3.6755),(2025,1625,0.033421,3.6754),(2025,1635,0.033855,3.6752),(2025,1645,0.034291,3.675),(2025,1655,0.034744,3.6749),(2025,1665,0.035197,3.6747),(2025,1675,0.03565,3.6746),(2025,1685,0.036106,3.6744),(2025,1695,0.03658,3.6742),(2025,1705,0.037053,3.6741),(2025,1715,0.037527,3.6739),(2025,1725,0.038005,3.6737),(2025,1735,0.038499,3.6735),(2025,1745,0.038993,3.6733),(2025,1755,0.039488,3.6731),(2025,1765,0.039987,3.6729),(2025,1775,0.040503,3.6727),(2025,1785,0.041019,3.6725),(2025,1795,0.041535,3.6723),(2025,1805,0.042057,3.672),(2025,1815,0.042595,3.6718),(2025,1825,0.043133,3.6716),(2025,1835,0.043671,3.6713),(2025,1845,0.044216,3.6711),(2025,1855,0.044777,3.6708),(2025,1865,0.045337,3.6706),(2025,1875,0.045898,3.6703),(2025,1885,0.046467,3.67),(2025,1895,0.04705,3.6698),(2025,1905,0.047633,3.6695),(2025,1915,0.048216,3.6692),(2025,1925,0.048809,3.6689),(2025,1935,0.049416,3.6686),(2025,1945,0.050022,3.6683),(2025,1955,0.050628,3.668),(2025,1965,0.051245,3.6677),(2025,1975,0.051874,3.6673),(2025,1985,0.052504,3.667),(2025,1995,0.053133,3.6666),(2025,2005,0.053775,3.6663),(2025,2015,0.054428,3.6659),(2025,2025,0.05508,3.6656),(2025,2035,0.055733,3.6652),(2025,2045,0.056399,3.6648),(2025,2055,0.057075,3.6644),(2025,2065,0.057752,3.664),(2025,2075,0.058428,3.6636),(2025,2085,0.059118,3.6632),(2025,2095,0.059818,3.6627),(2025,2105,0.060517,3.6623),(2025,2115,0.061217,3.6618),(2025,2125,0.06193,3.6614),(2025,2135,0.062653,3.6609),(2025,2145,0.063375,3.6604),(2025,2155,0.064097,3.6599),(2025,2165,0.064834,3.6594),(2025,2175,0.065579,3.6589),(2025,2185,0.066323,3.6584),(2025,2195,0.067068,3.6579),(2025,2205,0.067828,3.6573),(2025,2215,0.068594,3.6568),(2025,2225,0.06936,3.6562),(2025,2235,0.070126,3.6557),(2025,2245,0.070908,3.6551),(2025,2255,0.071695,3.6545),(2025,2265,0.072482,3.6539),(2025,2275,0.073269,3.6532),(2025,2285,0.074071,3.6526),(2025,2295,0.074878,3.652),(2025,2305,0.075685,3.6513),(2025,2315,0.076491,3.6506),(2025,2325,0.077313,3.6499),(2025,2335,0.078138,3.6493),(2025,2345,0.078963,3.6485),(2025,2355,0.079788,3.6478),(2025,2365,0.080627,3.6471),(2025,2375,0.081469,3.6463),(2025,2385,0.08231,3.6456),(2025,2395,0.083152,3.6448),(2025,2405,0.084007,3.644),(2025,2415,0.084863,3.6432),(2025,2425,0.085719,3.6423),(2025,2435,0.086575,3.6415),(2025,2445,0.087443,3.6406),(2025,2455,0.088312,3.6398),(2025,2465,0.089181,3.6389),(2025,2475,0.09005,3.638),(2025,2485,0.090929,3.6371),(2025,2495,0.091809,3.6362),(2025,2505,0.092688,3.6352),(2025,2515,0.093568,3.6342),(2025,2525,0.094455,3.6333),(2025,2535,0.095342,3.6323),(2025,2545,0.096229,3.6313),(2025,2555,0.097117,3.6302),(2025,2565,0.098009,3.6292),(2025,2575,0.0989,3.6281),(2025,2585,0.099792,3.627),(2025,2595,0.10068,3.6259),(2025,2605,0.10158,3.6248),(2025,2615,0.10247,3.6237),(2025,2625,0.10336,3.6225),(2025,2635,0.10426,3.6214),(2025,2645,0.10515,3.6202),(2025,2655,0.10604,3.619),(2025,2665,0.10693,3.6178),(2025,2675,0.10782,3.6165),(2025,2685,0.1087,3.6153),(2025,2695,0.10959,3.614),(2025,2705,0.11047,3.6127),(2025,2715,0.11136,3.6114),(2025,2725,0.11223,3.6101),(2025,2735,0.11311,3.6087),(2025,2745,0.11398,3.6073),(2025,2755,0.11485,3.606),(2025,2765,0.11571,3.6046),(2025,2775,0.11657,3.6032),(2025,2785,0.11744,3.6017),(2025,2795,0.11829,3.6002),(2025,2805,0.11913,3.5988),(2025,2815,0.11997,3.5973),(2025,2825,0.12082,3.5957),(2025,2835,0.12165,3.5942),(2025,2845,0.12247,3.5927),(2025,2855,0.12329,3.5911),(2025,2865,0.1241,3.5895),(2025,2875,0.12491,3.5879),(2025,2885,0.1257,3.5862),(2025,2895,0.12649,3.5846),(2025,2905,0.12728,3.5829),(2025,2915,0.12806,3.5812),(2025,2925,0.12881,3.5795),(2025,2935,0.12957,3.5778),(2025,2945,0.13033,3.5761),(2025,2955,0.13107,3.5743),(2025,2965,0.13178,3.5725),(2025,2975,0.1325,3.5707),(2025,2985,0.13322,3.5689),(2025,2995,0.13391,3.5671),(2025,3005,0.13459,3.5652),(2025,3015,0.13526,3.5634),(2025,3025,0.13594,3.5615),(2025,3035,0.13658,3.5596),(2025,3045,0.13721,3.5577),(2025,3055,0.13783,3.5557),(2025,3065,0.13846,3.5538),(2025,3075,0.13905,3.5518),(2025,3085,0.13962,3.5498),(2025,3095,0.14019,3.5478),(2025,3105,0.14077,3.5458),(2025,3115,0.1413,3.5438),(2025,3125,0.14181,3.5417),(2025,3135,0.14232,3.5397),(2025,3145,0.14283,3.5376),(2025,3155,0.1433,3.5355),(2025,3165,0.14375,3.5334),(2025,3175,0.1442,3.5313),(2025,3185,0.14465,3.5291),(2025,3195,0.14505,3.527),(2025,3205,0.14543,3.5248),(2025,3215,0.14581,3.5226),(2025,3225,0.14619,3.5204),(2025,3235,0.14651,3.5182),(2025,3245,0.14682,3.516),(2025,3255,0.14712,3.5138),(2025,3265,0.14743,3.5115),(2025,3275,0.14768,3.5093),(2025,3285,0.14791,3.5071),(2025,3295,0.14813,3.5048),(2025,3305,0.14836,3.5025),(2025,3315,0.14853,3.5002),(2025,3325,0.14868,3.4979),(2025,3335,0.14882,3.4956),(2025,3345,0.14897,3.4933),(2025,3355,0.14905,3.491),(2025,3365,0.14911,3.4886),(2025,3375,0.14918,3.4863),(2025,3385,0.14924,3.4839),(2025,3395,0.14923,3.4816),(2025,3405,0.1492,3.4792),(2025,3415,0.14918,3.4769),(2025,3425,0.14916,3.4745),(2025,3435,0.14905,3.4721),(2025,3445,0.14894,3.4698),(2025,3455,0.14882,3.4674),(2025,3465,0.14871,3.465),(2025,3475,0.14851,3.4626),(2025,3485,0.1483,3.4602),(2025,3495,0.1481,3.4578),(2025,3505,0.14789,3.4554),(2025,3515,0.14759,3.453),(2025,3525,0.1473,3.4506),(2025,3535,0.147,3.4482),(2025,3545,0.1467,3.4458),(2025,3555,0.1463,3.4434),(2025,3565,0.14591,3.441),(2025,3575,0.14552,3.4386),(2025,3585,0.14512,3.4362),(2025,3595,0.14463,3.4338),(2025,3605,0.14414,3.4315),(2025,3615,0.14366,3.4291),(2025,3625,0.14316,3.4267),(2025,3635,0.14258,3.4243),(2025,3645,0.14199,3.4219),(2025,3655,0.14141,3.4196),(2025,3665,0.14082,3.4172),(2025,3675,0.14014,3.4149),(2025,3685,0.13946,3.4125),(2025,3695,0.13879,3.4102),(2025,3705,0.13809,3.4078),(2025,3715,0.13732,3.4055),(2025,3725,0.13655,3.4032),(2025,3735,0.13578,3.4009),(2025,3745,0.13499,3.3986),(2025,3755,0.13413,3.3963),(2025,3765,0.13326,3.394),(2025,3775,0.1324,3.3917),(2025,3785,0.13151,3.3895),(2025,3795,0.13056,3.3872),(2025,3805,0.1296,3.385),(2025,3815,0.12865,3.3828),(2025,3825,0.12767,3.3806),(2025,3835,0.12662,3.3784),(2025,3845,0.12558,3.3762),(2025,3855,0.12453,3.374),(2025,3865,0.12346,3.3719),(2025,3875,0.12232,3.3697),(2025,3885,0.12119,3.3676),(2025,3895,0.12006,3.3655),(2025,3905,0.13828,3.3634),(2025,3915,0.18541,3.3613),(2025,3925,0.23255,3.3581),(2025,3935,0.27969,3.3531),(2025,3945,0.32957,3.3482),(2025,3955,0.38294,3.3432),(2025,3965,0.43631,3.3368),(2025,3975,0.48968,3.3287),(2025,3985,0.52049,3.3205),(2025,3995,0.52688,3.3124),(2025,4005,0.53327,3.3041),(2025,4015,0.53965,3.2956),(2025,4025,0.54655,3.2872),(2025,4035,0.55349,3.2787),(2025,4045,0.56044,3.27),(2025,4055,0.5671,3.2613),(2025,4065,0.57366,3.2526),(2025,4075,0.58022,3.2435),(2025,4085,0.58606,3.2345),(2025,4095,0.59133,3.2255),(2025,4105,0.5966,3.2159),(2025,4115,0.57928,3.2063),(2025,4125,0.52453,3.1968),(2025,4135,0.46977,3.189),(2025,4145,0.41432,3.1817),(2025,4155,0.35608,3.1745),(2025,4165,0.29784,3.1692),(2025,4175,0.2431,3.1651),(2025,4185,0.36189,3.1611),(2025,4195,0.48067,3.1546),(2025,4205,0.59946,3.1448),(2025,4215,0.60176,3.135),(2025,4225,0.58215,3.1253),(2025,4235,0.56253,3.116),(2025,4245,0.52515,3.1067),(2025,4255,0.47876,3.0976),(2025,4265,0.43237,3.0904),(2025,4275,0.36312,3.0832),(2025,4285,0.2696,3.076),(2025,4295,0.17609,3.0735),(2025,4305,0.15983,3.0715),(2025,4315,0.31804,3.0695),(2025,4325,0.47625,3.0617),(2025,4335,0.61796,3.0515),(2025,4345,0.64798,3.0413),(2025,4355,0.678,3.0303),(2025,4365,0.70802,3.0186),(2025,4375,0.71742,3.0069),(2025,4385,0.72574,2.9952),(2025,4395,0.73406,2.9833),(2025,4405,0.64205,2.9714),(2025,4415,0.52045,2.9607),(2025,4425,0.39884,2.9551),(2025,4435,0.34961,2.9495),(2025,4445,0.34983,2.9438),(2025,4455,0.35005,2.9384),(2025,4465,0.4129,2.9329),(2025,4475,0.56374,2.9274),(2025,4485,0.71458,2.9167),(2025,4495,0.83317,2.9049),(2025,4505,0.84833,2.8932),(2025,4515,0.86348,2.8816),(2025,4525,0.87668,2.87),(2025,4535,0.85882,2.8584),(2025,4545,0.84096,2.8478),(2025,4555,0.8231,2.8383),(2025,4565,0.61942,2.8289),(2025,4575,0.39068,2.8216),(2025,4585,0.16194,2.8197),(2025,4595,0.18262,2.8177),(2025,4605,0.30869,2.815),(2025,4615,0.43476,2.8063),(2025,4625,0.53867,2.7975),(2025,4635,0.62252,2.7888),(2025,4645,0.70637,2.7778),(2025,4655,0.77752,2.7667),(2025,4665,0.8247,2.7556),(2025,4675,0.87188,2.7436),(2025,4685,0.87935,2.7313),(2025,4695,0.6906,2.719),(2025,4705,0.50184,2.7111),(2025,4715,0.31308,2.7062),(2025,4725,0.42362,2.7013),(2025,4735,0.53716,2.6946),(2025,4745,0.6507,2.685),(2025,4755,0.77422,2.6754),(2025,4765,0.90005,2.6651),(2025,4775,1.0259,2.6523),(2025,4785,1.0806,2.6395),(2025,4795,1.0942,2.6268),(2025,4805,1.1078,2.6146),(2025,4815,1.0629,2.6025),(2025,4825,0.94826,2.5903),(2025,4835,0.83359,2.582),(2025,4845,0.71598,2.5742),(2025,4855,0.59072,2.5665),(2025,4865,0.46546,2.561),(2025,4875,0.37991,2.5566),(2025,4885,0.65576,2.5522),(2025,4895,0.9316,2.5434),(2025,4905,1.2074,2.5303),(2025,4915,1.2102,2.5173),(2025,4925,1.1894,2.5043),(2025,4935,1.1687,2.4914),(2025,4945,1.0828,2.4786),(2025,4955,0.97435,2.466),(2025,4965,0.86588,2.4553),(2025,4975,0.68606,2.4445),(2025,4985,0.45115,2.4338),(2025,4995,0.21625,2.4324),(2025,5005,0.18718,2.4312),(2025,5015,0.48536,2.4301),(2025,5025,0.78354,2.4222),(2025,5035,1.0427,2.4125),(2025,5045,1.1532,2.4029),(2025,5055,1.2638,2.3917),(2025,5065,1.3714,2.3795),(2025,5075,1.3837,2.3673),(2025,5085,1.3959,2.3552),(2025,5095,1.4082,2.3432),(2025,5105,1.2344,2.3312),(2025,5115,1.0283,2.3207),(2025,5125,0.82209,2.3144),(2025,5135,0.71585,2.3081),(2025,5145,0.6581,2.3019),(2025,5155,0.60036,2.2961),(2025,5165,0.71384,2.2904),(2025,5175,1.002,2.2847),(2025,5185,1.2901,2.2719),(2025,5195,1.491,2.2584),(2025,5205,1.5038,2.2448),(2025,5215,1.5165,2.2315),(2025,5225,1.5211,2.2183),(2025,5235,1.4747,2.2051),(2025,5245,1.4283,2.193),(2025,5255,1.3819,2.1817),(2025,5265,0.9698,2.1705),(2025,5275,0.54261,2.1632),(2025,5285,0.11541,2.1627),(2025,5295,0.28432,2.1622),(2025,5305,0.61924,2.1593),(2025,5315,0.95416,2.1459),(2025,5325,1.1627,2.1326),(2025,5335,1.2884,2.1193),(2025,5345,1.4141,2.1053),(2025,5355,1.4993,2.0912),(2025,5365,1.5298,2.0772),(2025,5375,1.5603,2.0638),(2025,5385,1.493,2.0506),(2025,5395,1.1287,2.0373),(2025,5405,0.76437,2.0305),(2025,5415,0.43652,2.027),(2025,5425,0.59868,2.0235),(2025,5435,0.76085,2.0153),(2025,5445,0.92301,2.002),(2025,5455,1.1094,1.9887),(2025,5465,1.2988,1.9731),(2025,5475,1.4882,1.9524),(2025,5485,1.5575,1.9316),(2025,5495,1.5784,1.9109),(2025,5505,1.5993,1.8906),(2025,5515,1.6203,1.8703),(2025,5525,1.6414,1.85),(2025,5535,1.6625,1.8301),(2025,5545,1.6832,1.8103),(2025,5555,1.7031,1.7905),(2025,5565,1.723,1.771),(2025,5575,1.7427,1.7516),(2025,5585,1.7614,1.7323),(2025,5595,1.78,1.7132),(2025,5605,1.7987,1.6944),(2025,5615,1.816,1.6755),(2025,5625,1.8334,1.6568),(2025,5635,1.8508,1.6385),(2025,5645,1.8672,1.6201),(2025,5655,1.8833,1.6019),(2025,5665,1.8995,1.5839),(2025,5675,1.915,1.5659),(2025,5685,1.93,1.548),(2025,5695,1.9451,1.5304),(2025,5705,1.9596,1.5128),(2025,5715,1.9736,1.4953),(2025,5725,1.9876,1.4781),(2025,5735,2.0014,1.4609),(2025,5745,2.0144,1.4438),(2025,5755,2.0274,1.4269),(2025,5765,2.0404,1.4101),(2025,5775,2.0525,1.3933),(2025,5785,2.0646,1.3767),(2025,5795,2.0768,1.3602),(2025,5805,2.0881,1.3438),(2025,5815,2.0994,1.3274),(2025,5825,2.1107,1.3113),(2025,5835,2.1215,1.2951),(2025,5845,2.132,1.279),(2025,5855,2.1425,1.2631),(2025,5865,2.1527,1.2473),(2025,5875,2.1625,1.2314),(2025,5885,2.1723,1.2158),(2025,5895,2.1819,1.2002),(2025,5905,2.1911,1.1846),(2025,5915,2.2003,1.1692),(2025,5925,2.2093,1.1538),(2025,5935,2.2179,1.1384),(2025,5945,2.2265,1.1232),(2025,5955,2.2351,1.1081),(2025,5965,2.2434,1.093),(2025,5975,2.2517,1.078),(2025,5985,2.2599,1.063),(2025,5995,1.7283,1.0481),(2025,6005,1.1099,1.0367),(2025,6015,0.49145,1.0348),(2025,6025,0.52319,1.0328),(2025,6035,0.8565,1.0298),(2025,6045,1.1898,1.0163),(2025,6055,1.4279,1.0028),(2025,6065,1.5726,0.98927),(2025,6075,1.7172,0.97175),(2025,6085,1.8167,0.95386),(2025,6095,1.8231,0.93597),(2025,6105,1.8295,0.91795),(2025,6115,1.8359,0.89989),(2025,6125,1.8419,0.88183),(2025,6135,1.848,0.86378),(2025,6145,1.854,0.84574),(2025,6155,1.8597,0.8277),(2025,6165,1.8653,0.80967),(2025,6175,1.871,0.79166),(2025,6185,1.8763,0.77364),(2025,6195,1.8815,0.75561),(2025,6205,1.8868,0.7375),(2025,6215,1.8918,0.7194),(2025,6225,1.8966,0.7013),(2025,6235,1.9014,0.68324),(2025,6245,1.9061,0.66518),(2025,6255,1.9106,0.64713),(2025,6265,1.915,0.62906),(2025,6275,1.9194,0.61099),(2025,6285,1.9234,0.59291),(2025,6295,1.9275,0.5748),(2025,6305,1.9315,0.55666),(2025,6315,1.9352,0.53852),(2025,6325,1.9389,0.52035),(2025,6335,1.9425,0.50214),(2025,6345,1.9458,0.48394),(2025,6355,1.9491,0.46574),(2025,6365,1.9523,0.44756),(2025,6375,1.9553,0.42938),(2025,6385,1.9581,0.41121),(2025,6395,1.961,0.39309),(2025,6405,1.9636,0.37498),(2025,6415,1.966,0.35686),(2025,6425,1.9685,0.33876),(2025,6435,1.9707,0.32067),(2025,6445,1.9728,0.30258),(2025,6455,1.9748,0.28447),(2025,6465,1.9768,0.26635),(2025,6475,1.9785,0.24823),(2025,6485,1.9801,0.23006),(2025,6495,1.9818,0.21186),(2025,6505,1.9831,0.19366),(2025,6515,1.9843,0.17546),(2025,6525,1.9856,0.15726),(2025,6535,1.9865,0.13907),(2025,6545,1.9874,0.12087),(2025,6555,1.9882,0.10269),(2025,6565,1.9888,0.084501),(2025,6575,1.9892,0.06632),(2025,6585,1.9896,0.048216),(2025,6595,1.6924,0.030112),(2025,6605,1.0666,0.012009),(2025,6615,0.44071,0.009899),(2025,6625,0.000748,0.009845),(2025,6635,0.00075,0.009791),(2025,6645,0.000752,0.009768),(2025,6655,0.000754,0.009758),(2025,6665,0.000756,0.009748),(2025,6675,0.000758,0.009738),(2025,6685,0.00076,0.009728),(2025,6695,0.000762,0.009718),(2025,6705,0.000764,0.009708),(2025,6715,0.000766,0.009698),(2025,6725,0.000768,0.009688),(2025,6735,0.00077,0.009679),(2025,6745,0.000772,0.009669),(2025,6755,0.000773,0.009659),(2025,6765,0.000775,0.009649),(2025,6775,0.000777,0.00964),(2025,6785,0.000778,0.00963),(2025,6795,0.00078,0.00962),(2025,6805,0.000782,0.00961),(2025,6815,0.000783,0.0096),(2025,6825,0.000785,0.009591),(2025,6835,0.000786,0.009581),(2025,6845,0.000788,0.009571),(2025,6855,0.000789,0.009562),(2025,6865,0.000791,0.009552),(2025,6875,0.000792,0.009543),(2025,6885,0.000794,0.009533),(2025,6895,0.000795,0.009523),(2025,6905,0.000796,0.009514),(2025,6915,0.000798,0.009504),(2025,6925,0.000799,0.009495),(2025,6935,0.0008,0.009485),(2025,6945,0.000802,0.009475),(2025,6955,0.000803,0.009466),(2025,6965,0.000804,0.009457),(2025,6975,0.000805,0.009447),(2025,6985,0.000807,0.009438),(2035,5,5.5e-05,3.6811),(2035,15,0.000164,3.6811),(2035,25,0.000274,3.6811),(2035,35,0.000383,3.6811),(2035,45,0.000493,3.6811),(2035,55,0.000602,3.6811),(2035,65,0.000712,3.6811),(2035,75,0.000822,3.6811),(2035,85,0.000932,3.6811),(2035,95,0.001042,3.6811),(2035,105,0.001153,3.6811),(2035,115,0.001263,3.6811),(2035,125,0.001374,3.6811),(2035,135,0.001484,3.6811),(2035,145,0.001596,3.6811),(2035,155,0.001707,3.6811),(2035,165,0.001819,3.6811),(2035,175,0.00193,3.6811),(2035,185,0.002043,3.6811),(2035,195,0.002156,3.6811),(2035,205,0.002268,3.6811),(2035,215,0.002381,3.6811),(2035,225,0.002495,3.6811),(2035,235,0.002609,3.6811),(2035,245,0.002723,3.6811),(2035,255,0.002838,3.6811),(2035,265,0.002953,3.6811),(2035,275,0.003069,3.6811),(2035,285,0.003185,3.6811),(2035,295,0.003301,3.6811),(2035,305,0.003419,3.681),(2035,315,0.003537,3.681),(2035,325,0.003655,3.681),(2035,335,0.003773,3.681),(2035,345,0.003893,3.681),(2035,355,0.004014,3.681),(2035,365,0.004134,3.681),(2035,375,0.004255,3.681),(2035,385,0.004378,3.681),(2035,395,0.004501,3.681),(2035,405,0.004624,3.681),(2035,415,0.004747,3.681),(2035,425,0.004873,3.681),(2035,435,0.004999,3.681),(2035,445,0.005125,3.681),(2035,455,0.005251,3.681),(2035,465,0.00538,3.681),(2035,475,0.00551,3.681),(2035,485,0.005639,3.6809),(2035,495,0.005768,3.6809),(2035,505,0.005901,3.6809),(2035,515,0.006034,3.6809),(2035,525,0.006167,3.6809),(2035,535,0.0063,3.6809),(2035,545,0.006437,3.6809),(2035,555,0.006574,3.6809),(2035,565,0.006711,3.6809),(2035,575,0.006848,3.6809),(2035,585,0.00699,3.6809),(2035,595,0.007131,3.6809),(2035,605,0.007272,3.6808),(2035,615,0.007414,3.6808),(2035,625,0.00756,3.6808),(2035,635,0.007706,3.6808),(2035,645,0.007852,3.6808),(2035,655,0.007999,3.6808),(2035,665,0.00815,3.6808),(2035,675,0.008302,3.6808),(2035,685,0.008453,3.6808),(2035,695,0.008605,3.6807),(2035,705,0.008762,3.6807),(2035,715,0.008918,3.6807),(2035,725,0.009075,3.6807),(2035,735,0.009233,3.6807),(2035,745,0.009396,3.6807),(2035,755,0.009558,3.6807),(2035,765,0.009721,3.6806),(2035,775,0.009885,3.6806),(2035,785,0.010054,3.6806),(2035,795,0.010223,3.6806),(2035,805,0.010392,3.6806),(2035,815,0.010563,3.6806),(2035,825,0.010738,3.6805),(2035,835,0.010914,3.6805),(2035,845,0.01109,3.6805),(2035,855,0.011268,3.6805),(2035,865,0.011451,3.6805),(2035,875,0.011634,3.6805),(2035,885,0.011817,3.6804),(2035,895,0.012003,3.6804),(2035,905,0.012194,3.6804),(2035,915,0.012385,3.6804),(2035,925,0.012576,3.6803),(2035,935,0.01277,3.6803),(2035,945,0.01297,3.6803),(2035,955,0.013169,3.6803),(2035,965,0.013368,3.6802),(2035,975,0.013571,3.6802),(2035,985,0.013779,3.6802),(2035,995,0.013987,3.6802),(2035,1005,0.014194,3.6801),(2035,1015,0.014407,3.6801),(2035,1025,0.014624,3.6801),(2035,1035,0.014842,3.6801),(2035,1045,0.015059,3.68),(2035,1055,0.015282,3.68),(2035,1065,0.015509,3.68),(2035,1075,0.015736,3.6799),(2035,1085,0.015964,3.6799),(2035,1095,0.016197,3.6799),(2035,1105,0.016435,3.6798),(2035,1115,0.016673,3.6798),(2035,1125,0.016911,3.6797),(2035,1135,0.017155,3.6797),(2035,1145,0.017404,3.6797),(2035,1155,0.017653,3.6796),(2035,1165,0.017902,3.6796),(2035,1175,0.018158,3.6795),(2035,1185,0.018419,3.6795),(2035,1195,0.018679,3.6795),(2035,1205,0.01894,3.6794),(2035,1215,0.019209,3.6794),(2035,1225,0.019482,3.6793),(2035,1235,0.019755,3.6793),(2035,1245,0.020028,3.6792),(2035,1255,0.020311,3.6792),(2035,1265,0.020597,3.6791),(2035,1275,0.020883,3.679),(2035,1285,0.021169,3.679),(2035,1295,0.021466,3.6789),(2035,1305,0.021766,3.6789),(2035,1315,0.022066,3.6788),(2035,1325,0.022365,3.6787),(2035,1335,0.022677,3.6787),(2035,1345,0.022991,3.6786),(2035,1355,0.023305,3.6785),(2035,1365,0.023619,3.6785),(2035,1375,0.023947,3.6784),(2035,1385,0.024276,3.6783),(2035,1395,0.024605,3.6782),(2035,1405,0.024934,3.6782),(2035,1415,0.025278,3.6781),(2035,1425,0.025623,3.678),(2035,1435,0.025968,3.6779),(2035,1445,0.026313,3.6778),(2035,1455,0.026674,3.6777),(2035,1465,0.027035,3.6776),(2035,1475,0.027397,3.6775),(2035,1485,0.027758,3.6774),(2035,1495,0.028137,3.6773),(2035,1505,0.028515,3.6772),(2035,1515,0.028894,3.6771),(2035,1525,0.029273,3.677),(2035,1535,0.02967,3.6769),(2035,1545,0.030066,3.6768),(2035,1555,0.030463,3.6767),(2035,1565,0.03086,3.6766),(2035,1575,0.031276,3.6764),(2035,1585,0.031691,3.6763),(2035,1595,0.032106,3.6762),(2035,1605,0.032523,3.6761),(2035,1615,0.032958,3.6759),(2035,1625,0.033392,3.6758),(2035,1635,0.033827,3.6756),(2035,1645,0.034264,3.6755),(2035,1655,0.034719,3.6753),(2035,1665,0.035173,3.6752),(2035,1675,0.035628,3.675),(2035,1685,0.036086,3.6749),(2035,1695,0.036562,3.6747),(2035,1705,0.037037,3.6745),(2035,1715,0.037512,3.6744),(2035,1725,0.037992,3.6742),(2035,1735,0.038488,3.674),(2035,1745,0.038985,3.6738),(2035,1755,0.039481,3.6736),(2035,1765,0.039983,3.6734),(2035,1775,0.040501,3.6732),(2035,1785,0.041019,3.673),(2035,1795,0.041538,3.6728),(2035,1805,0.042063,3.6726),(2035,1815,0.042603,3.6723),(2035,1825,0.043144,3.6721),(2035,1835,0.043684,3.6719),(2035,1845,0.044233,3.6716),(2035,1855,0.044796,3.6714),(2035,1865,0.045359,3.6711),(2035,1875,0.045923,3.6709),(2035,1885,0.046495,3.6706),(2035,1895,0.047082,3.6704),(2035,1905,0.047668,3.6701),(2035,1915,0.048255,3.6698),(2035,1925,0.048851,3.6695),(2035,1935,0.049461,3.6692),(2035,1945,0.050071,3.6689),(2035,1955,0.050681,3.6686),(2035,1965,0.051302,3.6683),(2035,1975,0.051936,3.668),(2035,1985,0.05257,3.6676),(2035,1995,0.053203,3.6673),(2035,2005,0.053849,3.6669),(2035,2015,0.054507,3.6666),(2035,2025,0.055164,3.6662),(2035,2035,0.055822,3.6658),(2035,2045,0.056492,3.6655),(2035,2055,0.057174,3.6651),(2035,2065,0.057855,3.6647),(2035,2075,0.058536,3.6643),(2035,2085,0.059232,3.6638),(2035,2095,0.059937,3.6634),(2035,2105,0.060642,3.663),(2035,2115,0.061347,3.6625),(2035,2125,0.062067,3.6621),(2035,2135,0.062795,3.6616),(2035,2145,0.063523,3.6612),(2035,2155,0.064252,3.6607),(2035,2165,0.064995,3.6602),(2035,2175,0.065746,3.6597),(2035,2185,0.066498,3.6592),(2035,2195,0.067249,3.6586),(2035,2205,0.068015,3.6581),(2035,2215,0.068789,3.6576),(2035,2225,0.069562,3.657),(2035,2235,0.070335,3.6564),(2035,2245,0.071124,3.6558),(2035,2255,0.071919,3.6553),(2035,2265,0.072714,3.6547),(2035,2275,0.073508,3.654),(2035,2285,0.074319,3.6534),(2035,2295,0.075134,3.6528),(2035,2305,0.075949,3.6521),(2035,2315,0.076764,3.6514),(2035,2325,0.077594,3.6508),(2035,2335,0.078428,3.6501),(2035,2345,0.079262,3.6494),(2035,2355,0.080096,3.6486),(2035,2365,0.080944,3.6479),(2035,2375,0.081795,3.6472),(2035,2385,0.082646,3.6464),(2035,2395,0.083497,3.6456),(2035,2405,0.084362,3.6448),(2035,2415,0.085228,3.644),(2035,2425,0.086094,3.6432),(2035,2435,0.08696,3.6424),(2035,2445,0.087839,3.6415),(2035,2455,0.088718,3.6407),(2035,2465,0.089598,3.6398),(2035,2475,0.090477,3.6389),(2035,2485,0.091367,3.638),(2035,2495,0.092258,3.6371),(2035,2505,0.093148,3.6361),(2035,2515,0.094039,3.6351),(2035,2525,0.094938,3.6341),(2035,2535,0.095837,3.6332),(2035,2545,0.096735,3.6321),(2035,2555,0.097634,3.6311),(2035,2565,0.098538,3.6301),(2035,2575,0.099442,3.629),(2035,2585,0.10035,3.6279),(2035,2595,0.10125,3.6268),(2035,2605,0.10216,3.6257),(2035,2615,0.10306,3.6246),(2035,2625,0.10397,3.6234),(2035,2635,0.10487,3.6223),(2035,2645,0.10578,3.6211),(2035,2655,0.10668,3.6199),(2035,2665,0.10758,3.6187),(2035,2675,0.10849,3.6174),(2035,2685,0.10938,3.6162),(2035,2695,0.11028,3.6149),(2035,2705,0.11118,3.6136),(2035,2715,0.11208,3.6123),(2035,2725,0.11297,3.6109),(2035,2735,0.11386,3.6096),(2035,2745,0.11474,3.6082),(2035,2755,0.11563,3.6068),(2035,2765,0.1165,3.6054),(2035,2775,0.11738,3.604),(2035,2785,0.11825,3.6025),(2035,2795,0.11912,3.6011),(2035,2805,0.11998,3.5996),(2035,2815,0.12083,3.5981),(2035,2825,0.12169,3.5966),(2035,2835,0.12254,3.595),(2035,2845,0.12337,3.5935),(2035,2855,0.1242,3.5919),(2035,2865,0.12504,3.5903),(2035,2875,0.12586,3.5887),(2035,2885,0.12666,3.587),(2035,2895,0.12746,3.5854),(2035,2905,0.12827,3.5837),(2035,2915,0.12906,3.582),(2035,2925,0.12983,3.5803),(2035,2935,0.1306,3.5786),(2035,2945,0.13137,3.5768),(2035,2955,0.13212,3.575),(2035,2965,0.13285,3.5733),(2035,2975,0.13359,3.5715),(2035,2985,0.13432,3.5696),(2035,2995,0.13503,3.5678),(2035,3005,0.13572,3.5659),(2035,3015,0.1364,3.564),(2035,3025,0.13709,3.5621),(2035,3035,0.13775,3.5602),(2035,3045,0.13839,3.5583),(2035,3055,0.13903,3.5564),(2035,3065,0.13967,3.5544),(2035,3075,0.14027,3.5524),(2035,3085,0.14086,3.5504),(2035,3095,0.14144,3.5484),(2035,3105,0.14202,3.5463),(2035,3115,0.14257,3.5443),(2035,3125,0.14309,3.5422),(2035,3135,0.14362,3.5402),(2035,3145,0.14414,3.5381),(2035,3155,0.14462,3.5359),(2035,3165,0.14508,3.5338),(2035,3175,0.14554,3.5317),(2035,3185,0.146,3.5295),(2035,3195,0.14641,3.5274),(2035,3205,0.1468,3.5252),(2035,3215,0.14719,3.523),(2035,3225,0.14758,3.5208),(2035,3235,0.14792,3.5186),(2035,3245,0.14823,3.5163),(2035,3255,0.14855,3.5141),(2035,3265,0.14887,3.5118),(2035,3275,0.14912,3.5096),(2035,3285,0.14936,3.5073),(2035,3295,0.1496,3.505),(2035,3305,0.14984,3.5027),(2035,3315,0.15001,3.5004),(2035,3325,0.15016,3.4981),(2035,3335,0.15032,3.4957),(2035,3345,0.15048,3.4934),(2035,3355,0.15056,3.491),(2035,3365,0.15063,3.4887),(2035,3375,0.1507,3.4863),(2035,3385,0.15077,3.484),(2035,3395,0.15076,3.4816),(2035,3405,0.15075,3.4792),(2035,3415,0.15073,3.4768),(2035,3425,0.15071,3.4744),(2035,3435,0.15061,3.472),(2035,3445,0.1505,3.4696),(2035,3455,0.15039,3.4672),(2035,3465,0.15028,3.4648),(2035,3475,0.15008,3.4624),(2035,3485,0.14988,3.46),(2035,3495,0.14968,3.4576),(2035,3505,0.14948,3.4552),(2035,3515,0.14918,3.4527),(2035,3525,0.14889,3.4503),(2035,3535,0.14859,3.4479),(2035,3545,0.14829,3.4455),(2035,3555,0.1479,3.443),(2035,3565,0.14751,3.4406),(2035,3575,0.14712,3.4382),(2035,3585,0.14672,3.4358),(2035,3595,0.14623,3.4334),(2035,3605,0.14574,3.431),(2035,3615,0.14525,3.4286),(2035,3625,0.14475,3.4262),(2035,3635,0.14417,3.4238),(2035,3645,0.14359,3.4214),(2035,3655,0.143,3.419),(2035,3665,0.1424,3.4166),(2035,3675,0.14173,3.4142),(2035,3685,0.14105,3.4118),(2035,3695,0.14037,3.4095),(2035,3705,0.13967,3.4071),(2035,3715,0.13889,3.4048),(2035,3725,0.13812,3.4024),(2035,3735,0.13735,3.4001),(2035,3745,0.13655,3.3978),(2035,3755,0.13568,3.3954),(2035,3765,0.13481,3.3931),(2035,3775,0.13395,3.3909),(2035,3785,0.13305,3.3886),(2035,3795,0.13209,3.3863),(2035,3805,0.13113,3.384),(2035,3815,0.13017,3.3818),(2035,3825,0.12918,3.3796),(2035,3835,0.12813,3.3773),(2035,3845,0.12707,3.3751),(2035,3855,0.12602,3.373),(2035,3865,0.12494,3.3708),(2035,3875,0.12379,3.3686),(2035,3885,0.12265,3.3665),(2035,3895,0.12151,3.3644),(2035,3905,0.13991,3.3622),(2035,3915,0.18752,3.3601),(2035,3925,0.23513,3.3568),(2035,3935,0.28275,3.3518),(2035,3945,0.33313,3.3468),(2035,3955,0.38702,3.3418),(2035,3965,0.44092,3.3354),(2035,3975,0.49481,3.3272),(2035,3985,0.52592,3.3189),(2035,3995,0.53235,3.3107),(2035,4005,0.53878,3.3024),(2035,4015,0.54521,3.2939),(2035,4025,0.55215,3.2854),(2035,4035,0.55913,3.2768),(2035,4045,0.56612,3.2681),(2035,4055,0.57284,3.2593),(2035,4065,0.57947,3.2505),(2035,4075,0.5861,3.2414),(2035,4085,0.59205,3.2323),(2035,4095,0.59747,3.2232),(2035,4105,0.60288,3.2136),(2035,4115,0.5855,3.2039),(2035,4125,0.53031,3.1942),(2035,4135,0.47512,3.1863),(2035,4145,0.4192,3.1789),(2035,4155,0.36026,3.1715),(2035,4165,0.30133,3.166),(2035,4175,0.24593,3.1618),(2035,4185,0.36586,3.1576),(2035,4195,0.48579,3.151),(2035,4205,0.60572,3.1411),(2035,4215,0.60815,3.1312),(2035,4225,0.58846,3.1215),(2035,4235,0.56878,3.1121),(2035,4245,0.5311,3.1028),(2035,4255,0.48429,3.0937),(2035,4265,0.43748,3.0864),(2035,4275,0.36747,3.0792),(2035,4285,0.27284,3.072),(2035,4295,0.17821,3.0695),(2035,4305,0.16172,3.0675),(2035,4315,0.32168,3.0655),(2035,4325,0.48164,3.0576),(2035,4335,0.62491,3.0473),(2035,4345,0.65519,3.037),(2035,4355,0.68547,3.026),(2035,4365,0.71575,3.0143),(2035,4375,0.72517,3.0027),(2035,4385,0.73349,2.9909),(2035,4395,0.74182,2.979),(2035,4405,0.64881,2.9671),(2035,4415,0.52592,2.9564),(2035,4425,0.40303,2.9507),(2035,4435,0.35326,2.945),(2035,4445,0.35344,2.9393),(2035,4455,0.35363,2.9337),(2035,4465,0.41694,2.9281),(2035,4475,0.56892,2.9225),(2035,4485,0.7209,2.9118),(2035,4495,0.84033,2.8999),(2035,4505,0.85533,2.8881),(2035,4515,0.87034,2.8764),(2035,4525,0.88336,2.8648),(2035,4535,0.8649,2.8532),(2035,4545,0.84645,2.8427),(2035,4555,0.828,2.8334),(2035,4565,0.62328,2.8241),(2035,4575,0.39345,2.817),(2035,4585,0.16362,2.8151),(2035,4595,0.18495,2.8132),(2035,4605,0.31241,2.8105),(2035,4615,0.43987,2.8018),(2035,4625,0.5446,2.7932),(2035,4635,0.62875,2.7845),(2035,4645,0.7129,2.7736),(2035,4655,0.78429,2.7625),(2035,4665,0.83162,2.7514),(2035,4675,0.87895,2.7393),(2035,4685,0.88633,2.7269),(2035,4695,0.69631,2.7146),(2035,4705,0.50629,2.7065),(2035,4715,0.31628,2.7015),(2035,4725,0.42766,2.6965),(2035,4735,0.54206,2.6896),(2035,4745,0.65647,2.6799),(2035,4755,0.78039,2.6702),(2035,4765,0.90652,2.6599),(2035,4775,1.0327,2.6471),(2035,4785,1.0873,2.6343),(2035,4795,1.1006,2.6215),(2035,4805,1.114,2.6093),(2035,4815,1.0687,2.5971),(2035,4825,0.95326,2.5849),(2035,4835,0.83786,2.5765),(2035,4845,0.71961,2.5685),(2035,4855,0.59394,2.5606),(2035,4865,0.46827,2.5551),(2035,4875,0.38247,2.5507),(2035,4885,0.65952,2.5463),(2035,4895,0.93656,2.5375),(2035,4905,1.2136,2.5245),(2035,4915,1.2165,2.5115),(2035,4925,1.1958,2.4985),(2035,4935,1.1751,2.4857),(2035,4945,1.0891,2.4728),(2035,4955,0.98059,2.4603),(2035,4965,0.87203,2.4494),(2035,4975,0.69122,2.4386),(2035,4985,0.45463,2.4278),(2035,4995,0.21803,2.4264),(2035,5005,0.18833,2.4252),(2035,5015,0.48755,2.424),(2035,5025,0.78676,2.4161),(2035,5035,1.0468,2.4064),(2035,5045,1.1575,2.3968),(2035,5055,1.2683,2.3856),(2035,5065,1.3761,2.3734),(2035,5075,1.3882,2.3611),(2035,5085,1.4004,2.349),(2035,5095,1.4125,2.337),(2035,5105,1.2382,2.325),(2035,5115,1.0314,2.3145),(2035,5125,0.82453,2.3082),(2035,5135,0.71815,2.3019),(2035,5145,0.66051,2.2956),(2035,5155,0.60287,2.2899),(2035,5165,0.71685,2.2842),(2035,5175,1.0059,2.2784),(2035,5185,1.2949,2.2657),(2035,5195,1.4963,2.2522),(2035,5205,1.5089,2.2386),(2035,5215,1.5215,2.2254),(2035,5225,1.5259,2.2122),(2035,5235,1.4792,2.199),(2035,5245,1.4325,2.1869),(2035,5255,1.3857,2.1757),(2035,5265,0.97255,2.1644),(2035,5275,0.54427,2.1572),(2035,5285,0.11599,2.1567),(2035,5295,0.28635,2.1562),(2035,5305,0.62341,2.1532),(2035,5315,0.96048,2.1399),(2035,5325,1.1696,2.1265),(2035,5335,1.2949,2.1131),(2035,5345,1.4202,2.0991),(2035,5355,1.505,2.0851),(2035,5365,1.5351,2.0711),(2035,5375,1.5652,2.0577),(2035,5385,1.4974,2.0445),(2035,5395,1.132,2.0312),(2035,5405,0.76658,2.0244),(2035,5415,0.43786,2.0209),(2035,5425,0.60214,2.0174),(2035,5435,0.76643,2.0092),(2035,5445,0.93072,1.9959),(2035,5455,1.1185,1.9827),(2035,5465,1.3091,1.9671),(2035,5475,1.4998,1.9464),(2035,5485,1.5692,1.9257),(2035,5495,1.5899,1.9051),(2035,5505,1.6105,1.8848),(2035,5515,1.6313,1.8646),(2035,5525,1.6522,1.8444),(2035,5535,1.673,1.8246),(2035,5545,1.6935,1.8048),(2035,5555,1.7132,1.785),(2035,5565,1.7329,1.7656),(2035,5575,1.7523,1.7463),(2035,5585,1.7707,1.7271),(2035,5595,1.7891,1.7081),(2035,5605,1.8076,1.6893),(2035,5615,1.8247,1.6705),(2035,5625,1.8419,1.6519),(2035,5635,1.859,1.6336),(2035,5645,1.8752,1.6153),(2035,5655,1.8912,1.5971),(2035,5665,1.9071,1.5792),(2035,5675,1.9224,1.5613),(2035,5685,1.9372,1.5435),(2035,5695,1.9521,1.526),(2035,5705,1.9665,1.5085),(2035,5715,1.9803,1.491),(2035,5725,1.9941,1.4738),(2035,5735,2.0076,1.4568),(2035,5745,2.0205,1.4397),(2035,5755,2.0334,1.4229),(2035,5765,2.0461,1.4061),(2035,5775,2.0581,1.3894),(2035,5785,2.0701,1.3729),(2035,5795,2.0821,1.3565),(2035,5805,2.0933,1.3401),(2035,5815,2.1044,1.3238),(2035,5825,2.1156,1.3077),(2035,5835,2.1262,1.2916),(2035,5845,2.1366,1.2756),(2035,5855,2.147,1.2598),(2035,5865,2.157,1.244),(2035,5875,2.1667,1.2282),(2035,5885,2.1764,1.2127),(2035,5895,2.1859,1.1971),(2035,5905,2.1949,1.1816),(2035,5915,2.204,1.1663),(2035,5925,2.2129,1.151),(2035,5935,2.2214,1.1357),(2035,5945,2.2299,1.1205),(2035,5955,2.2384,1.1055),(2035,5965,2.2466,1.0904),(2035,5975,2.2547,1.0755),(2035,5985,2.2629,1.0606),(2035,5995,1.7306,1.0458),(2035,6005,1.1114,1.0344),(2035,6015,0.4921,1.0325),(2035,6025,0.52491,1.0305),(2035,6035,0.86015,1.0275),(2035,6045,1.1954,1.014),(2035,6055,1.4347,1.0006),(2035,6065,1.5801,0.98707),(2035,6075,1.7254,0.96958),(2035,6085,1.8253,0.95171),(2035,6095,1.8317,0.93385),(2035,6105,1.8381,0.91586),(2035,6115,1.8444,0.89782),(2035,6125,1.8504,0.87978),(2035,6135,1.8565,0.86175),(2035,6145,1.8625,0.84373),(2035,6155,1.8682,0.82572),(2035,6165,1.8738,0.80771),(2035,6175,1.8794,0.78973),(2035,6185,1.8847,0.77174),(2035,6195,1.89,0.75374),(2035,6205,1.8952,0.73568),(2035,6215,1.9002,0.71761),(2035,6225,1.905,0.69954),(2035,6235,1.9098,0.68153),(2035,6245,1.9145,0.66352),(2035,6255,1.9189,0.6455),(2035,6265,1.9233,0.62748),(2035,6275,1.9277,0.60945),(2035,6285,1.9317,0.59142),(2035,6295,1.9358,0.57334),(2035,6305,1.9398,0.55524),(2035,6315,1.9435,0.53715),(2035,6325,1.9471,0.51901),(2035,6335,1.9508,0.50085),(2035,6345,1.9541,0.48268),(2035,6355,1.9573,0.46452),(2035,6365,1.9606,0.44638),(2035,6375,1.9635,0.42824),(2035,6385,1.9663,0.41011),(2035,6395,1.9692,0.39204),(2035,6405,1.9718,0.37397),(2035,6415,1.9742,0.3559),(2035,6425,1.9766,0.33786),(2035,6435,1.9789,0.31981),(2035,6445,1.981,0.30177),(2035,6455,1.983,0.28371),(2035,6465,1.985,0.26564),(2035,6475,1.9866,0.24757),(2035,6485,1.9883,0.22945),(2035,6495,1.9899,0.2113),(2035,6505,1.9912,0.19315),(2035,6515,1.9924,0.175),(2035,6525,1.9937,0.15685),(2035,6535,1.9946,0.1387),(2035,6545,1.9955,0.12055),(2035,6555,1.9963,0.10242),(2035,6565,1.9969,0.084277),(2035,6575,1.9973,0.066145),(2035,6585,1.9977,0.048097),(2035,6595,1.6993,0.030048),(2035,6605,1.0709,0.011999),(2035,6615,0.44251,0.009898),(2035,6625,0.000754,0.009845),(2035,6635,0.000756,0.009793),(2035,6645,0.000758,0.00977),(2035,6655,0.00076,0.00976),(2035,6665,0.000762,0.00975),(2035,6675,0.000764,0.00974),(2035,6685,0.000766,0.00973),(2035,6695,0.000768,0.00972),(2035,6705,0.00077,0.00971),(2035,6715,0.000772,0.0097),(2035,6725,0.000774,0.00969),(2035,6735,0.000776,0.00968),(2035,6745,0.000777,0.009671),(2035,6755,0.000779,0.009661),(2035,6765,0.000781,0.009651),(2035,6775,0.000782,0.009641),(2035,6785,0.000784,0.009631),(2035,6795,0.000786,0.009622),(2035,6805,0.000787,0.009612),(2035,6815,0.000789,0.009602),(2035,6825,0.000791,0.009592),(2035,6835,0.000792,0.009583),(2035,6845,0.000794,0.009573),(2035,6855,0.000795,0.009563),(2035,6865,0.000796,0.009554),(2035,6875,0.000798,0.009544),(2035,6885,0.000799,0.009534),(2035,6895,0.000801,0.009525),(2035,6905,0.000802,0.009515),(2035,6915,0.000803,0.009506),(2035,6925,0.000805,0.009496),(2035,6935,0.000806,0.009486),(2035,6945,0.000807,0.009477),(2035,6955,0.000808,0.009467),(2035,6965,0.00081,0.009458),(2035,6975,0.000811,0.009448),(2035,6985,0.000812,0.009439),(2045,5,5.5e-05,3.6812),(2045,15,0.000164,3.6812),(2045,25,0.000273,3.6812),(2045,35,0.000382,3.6812),(2045,45,0.000491,3.6812),(2045,55,0.0006,3.6812),(2045,65,0.000709,3.6812),(2045,75,0.000819,3.6812),(2045,85,0.000928,3.6812),(2045,95,0.001038,3.6812),(2045,105,0.001148,3.6812),(2045,115,0.001258,3.6812),(2045,125,0.001368,3.6812),(2045,135,0.001478,3.6812),(2045,145,0.001589,3.6812),(2045,155,0.0017,3.6812),(2045,165,0.001812,3.6812),(2045,175,0.001923,3.6812),(2045,185,0.002035,3.6812),(2045,195,0.002147,3.6812),(2045,205,0.002259,3.6812),(2045,215,0.002371,3.6812),(2045,225,0.002485,3.6812),(2045,235,0.002599,3.6812),(2045,245,0.002712,3.6812),(2045,255,0.002826,3.6812),(2045,265,0.002941,3.6812),(2045,275,0.003057,3.6812),(2045,285,0.003172,3.6812),(2045,295,0.003288,3.6812),(2045,305,0.003405,3.6812),(2045,315,0.003523,3.6812),(2045,325,0.003641,3.6812),(2045,335,0.003758,3.6812),(2045,345,0.003878,3.6812),(2045,355,0.003998,3.6811),(2045,365,0.004118,3.6811),(2045,375,0.004238,3.6811),(2045,385,0.00436,3.6811),(2045,395,0.004483,3.6811),(2045,405,0.004606,3.6811),(2045,415,0.004728,3.6811),(2045,425,0.004854,3.6811),(2045,435,0.004979,3.6811),(2045,445,0.005105,3.6811),(2045,455,0.00523,3.6811),(2045,465,0.005359,3.6811),(2045,475,0.005488,3.6811),(2045,485,0.005617,3.6811),(2045,495,0.005746,3.6811),(2045,505,0.005878,3.6811),(2045,515,0.006011,3.6811),(2045,525,0.006143,3.681),(2045,535,0.006276,3.681),(2045,545,0.006412,3.681),(2045,555,0.006549,3.681),(2045,565,0.006685,3.681),(2045,575,0.006822,3.681),(2045,585,0.006963,3.681),(2045,595,0.007104,3.681),(2045,605,0.007245,3.681),(2045,615,0.007386,3.681),(2045,625,0.007532,3.681),(2045,635,0.007677,3.681),(2045,645,0.007823,3.6809),(2045,655,0.007969,3.6809),(2045,665,0.00812,3.6809),(2045,675,0.008271,3.6809),(2045,685,0.008421,3.6809),(2045,695,0.008573,3.6809),(2045,705,0.008729,3.6809),(2045,715,0.008886,3.6809),(2045,725,0.009042,3.6809),(2045,735,0.009199,3.6808),(2045,745,0.009362,3.6808),(2045,755,0.009524,3.6808),(2045,765,0.009686,3.6808),(2045,775,0.00985,3.6808),(2045,785,0.010018,3.6808),(2045,795,0.010187,3.6808),(2045,805,0.010355,3.6807),(2045,815,0.010525,3.6807),(2045,825,0.010701,3.6807),(2045,835,0.010876,3.6807),(2045,845,0.011051,3.6807),(2045,855,0.011229,3.6807),(2045,865,0.011411,3.6807),(2045,875,0.011594,3.6806),(2045,885,0.011777,3.6806),(2045,895,0.011962,3.6806),(2045,905,0.012153,3.6806),(2045,915,0.012343,3.6806),(2045,925,0.012534,3.6805),(2045,935,0.012728,3.6805),(2045,945,0.012927,3.6805),(2045,955,0.013125,3.6805),(2045,965,0.013324,3.6804),(2045,975,0.013527,3.6804),(2045,985,0.013734,3.6804),(2045,995,0.013942,3.6804),(2045,1005,0.014149,3.6804),(2045,1015,0.014362,3.6803),(2045,1025,0.014579,3.6803),(2045,1035,0.014796,3.6803),(2045,1045,0.015012,3.6802),(2045,1055,0.015235,3.6802),(2045,1065,0.015462,3.6802),(2045,1075,0.015689,3.6802),(2045,1085,0.015916,3.6801),(2045,1095,0.016149,3.6801),(2045,1105,0.016387,3.6801),(2045,1115,0.016624,3.68),(2045,1125,0.016862,3.68),(2045,1135,0.017107,3.68),(2045,1145,0.017355,3.6799),(2045,1155,0.017604,3.6799),(2045,1165,0.017852,3.6798),(2045,1175,0.018109,3.6798),(2045,1185,0.018369,3.6798),(2045,1195,0.01863,3.6797),(2045,1205,0.01889,3.6797),(2045,1215,0.019159,3.6796),(2045,1225,0.019432,3.6796),(2045,1235,0.019705,3.6795),(2045,1245,0.019978,3.6795),(2045,1255,0.020261,3.6794),(2045,1265,0.020547,3.6794),(2045,1275,0.020833,3.6793),(2045,1285,0.021119,3.6793),(2045,1295,0.021416,3.6792),(2045,1305,0.021716,3.6792),(2045,1315,0.022016,3.6791),(2045,1325,0.022316,3.679),(2045,1335,0.022628,3.679),(2045,1345,0.022942,3.6789),(2045,1355,0.023256,3.6789),(2045,1365,0.023571,3.6788),(2045,1375,0.023898,3.6787),(2045,1385,0.024228,3.6787),(2045,1395,0.024558,3.6786),(2045,1405,0.024887,3.6785),(2045,1415,0.025231,3.6784),(2045,1425,0.025577,3.6783),(2045,1435,0.025922,3.6783),(2045,1445,0.026268,3.6782),(2045,1455,0.026629,3.6781),(2045,1465,0.026991,3.678),(2045,1475,0.027353,3.6779),(2045,1485,0.027715,3.6778),(2045,1495,0.028094,3.6777),(2045,1505,0.028474,3.6776),(2045,1515,0.028853,3.6775),(2045,1525,0.029233,3.6774),(2045,1535,0.029631,3.6773),(2045,1545,0.030028,3.6772),(2045,1555,0.030426,3.6771),(2045,1565,0.030824,3.677),(2045,1575,0.031241,3.6769),(2045,1585,0.031657,3.6767),(2045,1595,0.032073,3.6766),(2045,1605,0.032492,3.6765),(2045,1615,0.032927,3.6764),(2045,1625,0.033363,3.6762),(2045,1635,0.033799,3.6761),(2045,1645,0.034238,3.6759),(2045,1655,0.034694,3.6758),(2045,1665,0.03515,3.6757),(2045,1675,0.035606,3.6755),(2045,1685,0.036066,3.6753),(2045,1695,0.036543,3.6752),(2045,1705,0.03702,3.675),(2045,1715,0.037497,3.6748),(2045,1725,0.037979,3.6747),(2045,1735,0.038478,3.6745),(2045,1745,0.038976,3.6743),(2045,1755,0.039475,3.6741),(2045,1765,0.039979,3.6739),(2045,1775,0.040499,3.6737),(2045,1785,0.04102,3.6735),(2045,1795,0.04154,3.6733),(2045,1805,0.042068,3.6731),(2045,1815,0.042611,3.6729),(2045,1825,0.043154,3.6727),(2045,1835,0.043697,3.6724),(2045,1845,0.044249,3.6722),(2045,1855,0.044815,3.672),(2045,1865,0.045381,3.6717),(2045,1875,0.045948,3.6715),(2045,1885,0.046523,3.6712),(2045,1895,0.047113,3.6709),(2045,1905,0.047703,3.6707),(2045,1915,0.048293,3.6704),(2045,1925,0.048894,3.6701),(2045,1935,0.049507,3.6698),(2045,1945,0.050121,3.6695),(2045,1955,0.050735,3.6692),(2045,1965,0.05136,3.6689),(2045,1975,0.051998,3.6686),(2045,1985,0.052636,3.6683),(2045,1995,0.053273,3.6679),(2045,2005,0.053923,3.6676),(2045,2015,0.054586,3.6672),(2045,2025,0.055248,3.6669),(2045,2035,0.05591,3.6665),(2045,2045,0.056585,3.6661),(2045,2055,0.057272,3.6658),(2045,2065,0.057958,3.6654),(2045,2075,0.058645,3.665),(2045,2085,0.059345,3.6646),(2045,2095,0.060056,3.6641),(2045,2105,0.060767,3.6637),(2045,2115,0.061477,3.6633),(2045,2125,0.062203,3.6628),(2045,2135,0.062937,3.6624),(2045,2145,0.063672,3.6619),(2045,2155,0.064406,3.6614),(2045,2165,0.065156,3.6609),(2045,2175,0.065914,3.6604),(2045,2185,0.066672,3.6599),(2045,2195,0.06743,3.6594),(2045,2205,0.068203,3.6589),(2045,2215,0.068984,3.6584),(2045,2225,0.069764,3.6578),(2045,2235,0.070544,3.6572),(2045,2245,0.071341,3.6566),(2045,2255,0.072143,3.6561),(2045,2265,0.072946,3.6555),(2045,2275,0.073748,3.6548),(2045,2285,0.074566,3.6542),(2045,2295,0.07539,3.6536),(2045,2305,0.076213,3.6529),(2045,2315,0.077036,3.6523),(2045,2325,0.077875,3.6516),(2045,2335,0.078718,3.6509),(2045,2345,0.079561,3.6502),(2045,2355,0.080403,3.6495),(2045,2365,0.081261,3.6488),(2045,2375,0.082122,3.648),(2045,2385,0.082982,3.6473),(2045,2395,0.083843,3.6465),(2045,2405,0.084717,3.6457),(2045,2415,0.085593,3.6449),(2045,2425,0.086469,3.6441),(2045,2435,0.087346,3.6432),(2045,2445,0.088235,3.6424),(2045,2455,0.089124,3.6416),(2045,2465,0.090014,3.6407),(2045,2475,0.090904,3.6398),(2045,2485,0.091806,3.6389),(2045,2495,0.092707,3.638),(2045,2505,0.093609,3.637),(2045,2515,0.09451,3.636),(2045,2525,0.095421,3.6351),(2045,2535,0.096331,3.6341),(2045,2545,0.097241,3.6331),(2045,2555,0.098152,3.632),(2045,2565,0.099068,3.631),(2045,2575,0.099984,3.63),(2045,2585,0.1009,3.6288),(2045,2595,0.10182,3.6277),(2045,2605,0.10273,3.6266),(2045,2615,0.10365,3.6255),(2045,2625,0.10457,3.6244),(2045,2635,0.10549,3.6232),(2045,2645,0.1064,3.622),(2045,2655,0.10732,3.6208),(2045,2665,0.10824,3.6196),(2045,2675,0.10915,3.6183),(2045,2685,0.11007,3.6171),(2045,2695,0.11098,3.6158),(2045,2705,0.11189,3.6145),(2045,2715,0.1128,3.6132),(2045,2725,0.1137,3.6119),(2045,2735,0.1146,3.6105),(2045,2745,0.11551,3.6091),(2045,2755,0.11641,3.6077),(2045,2765,0.11729,3.6063),(2045,2775,0.11818,3.6049),(2045,2785,0.11907,3.6034),(2045,2795,0.11995,3.602),(2045,2805,0.12082,3.6005),(2045,2815,0.12169,3.599),(2045,2825,0.12256,3.5974),(2045,2835,0.12343,3.5959),(2045,2845,0.12427,3.5943),(2045,2855,0.12512,3.5928),(2045,2865,0.12597,3.5911),(2045,2875,0.1268,3.5895),(2045,2885,0.12762,3.5879),(2045,2895,0.12844,3.5862),(2045,2905,0.12926,3.5845),(2045,2915,0.13006,3.5828),(2045,2925,0.13084,3.5811),(2045,2935,0.13163,3.5794),(2045,2945,0.13241,3.5776),(2045,2955,0.13318,3.5758),(2045,2965,0.13393,3.574),(2045,2975,0.13467,3.5722),(2045,2985,0.13542,3.5703),(2045,2995,0.13614,3.5685),(2045,3005,0.13684,3.5666),(2045,3015,0.13754,3.5647),(2045,3025,0.13824,3.5628),(2045,3035,0.13892,3.5609),(2045,3045,0.13957,3.559),(2045,3055,0.14022,3.557),(2045,3065,0.14087,3.555),(2045,3075,0.14149,3.553),(2045,3085,0.14209,3.551),(2045,3095,0.14269,3.549),(2045,3105,0.14328,3.5469),(2045,3115,0.14384,3.5449),(2045,3125,0.14438,3.5428),(2045,3135,0.14491,3.5407),(2045,3145,0.14545,3.5386),(2045,3155,0.14594,3.5364),(2045,3165,0.14641,3.5343),(2045,3175,0.14688,3.5322),(2045,3185,0.14736,3.53),(2045,3195,0.14778,3.5278),(2045,3205,0.14818,3.5256),(2045,3215,0.14858,3.5234),(2045,3225,0.14898,3.5211),(2045,3235,0.14933,3.5189),(2045,3245,0.14965,3.5167),(2045,3255,0.14998,3.5144),(2045,3265,0.1503,3.5121),(2045,3275,0.15057,3.5098),(2045,3285,0.15082,3.5075),(2045,3295,0.15106,3.5052),(2045,3305,0.15131,3.5029),(2045,3315,0.15149,3.5006),(2045,3325,0.15165,3.4982),(2045,3335,0.15182,3.4959),(2045,3345,0.15198,3.4935),(2045,3355,0.15207,3.4912),(2045,3365,0.15215,3.4888),(2045,3375,0.15223,3.4864),(2045,3385,0.1523,3.484),(2045,3395,0.1523,3.4816),(2045,3405,0.15229,3.4792),(2045,3415,0.15228,3.4768),(2045,3425,0.15226,3.4744),(2045,3435,0.15217,3.472),(2045,3445,0.15206,3.4695),(2045,3455,0.15196,3.4671),(2045,3465,0.15186,3.4647),(2045,3475,0.15166,3.4622),(2045,3485,0.15146,3.4598),(2045,3495,0.15126,3.4574),(2045,3505,0.15107,3.4549),(2045,3515,0.15077,3.4525),(2045,3525,0.15048,3.45),(2045,3535,0.15018,3.4476),(2045,3545,0.14989,3.4451),(2045,3555,0.1495,3.4427),(2045,3565,0.1491,3.4402),(2045,3575,0.14871,3.4378),(2045,3585,0.14831,3.4354),(2045,3595,0.14783,3.4329),(2045,3605,0.14734,3.4305),(2045,3615,0.14685,3.428),(2045,3625,0.14635,3.4256),(2045,3635,0.14577,3.4232),(2045,3645,0.14518,3.4208),(2045,3655,0.1446,3.4184),(2045,3665,0.14399,3.4159),(2045,3675,0.14331,3.4135),(2045,3685,0.14263,3.4111),(2045,3695,0.14195,3.4088),(2045,3705,0.14125,3.4064),(2045,3715,0.14047,3.404),(2045,3725,0.13969,3.4016),(2045,3735,0.13891,3.3993),(2045,3745,0.13811,3.3969),(2045,3755,0.13724,3.3946),(2045,3765,0.13636,3.3923),(2045,3775,0.13549,3.3899),(2045,3785,0.13459,3.3876),(2045,3795,0.13362,3.3853),(2045,3805,0.13266,3.3831),(2045,3815,0.13169,3.3808),(2045,3825,0.13069,3.3785),(2045,3835,0.12963,3.3763),(2045,3845,0.12857,3.3741),(2045,3855,0.12751,3.3719),(2045,3865,0.12642,3.3697),(2045,3875,0.12526,3.3675),(2045,3885,0.12411,3.3653),(2045,3895,0.12296,3.3632),(2045,3905,0.14155,3.361),(2045,3915,0.18963,3.3589),(2045,3925,0.23772,3.3555),(2045,3935,0.2858,3.3505),(2045,3945,0.33668,3.3454),(2045,3955,0.3911,3.3404),(2045,3965,0.44552,3.3339),(2045,3975,0.49995,3.3256),(2045,3985,0.53134,3.3173),(2045,3995,0.53782,3.3091),(2045,4005,0.54429,3.3006),(2045,4015,0.55077,3.2921),(2045,4025,0.55774,3.2835),(2045,4035,0.56477,3.2749),(2045,4045,0.5718,3.2661),(2045,4055,0.57858,3.2573),(2045,4065,0.58528,3.2484),(2045,4075,0.59198,3.2393),(2045,4085,0.59804,3.2301),(2045,4095,0.6036,3.2209),(2045,4105,0.60917,3.2111),(2045,4115,0.59171,3.2013),(2045,4125,0.5361,3.1915),(2045,4135,0.48048,3.1835),(2045,4145,0.42407,3.176),(2045,4155,0.36444,3.1685),(2045,4165,0.30481,3.1629),(2045,4175,0.24876,3.1586),(2045,4185,0.36983,3.1542),(2045,4195,0.4909,3.1475),(2045,4205,0.61197,3.1375),(2045,4215,0.61453,3.1275),(2045,4225,0.59478,3.1177),(2045,4235,0.57502,3.1084),(2045,4245,0.53705,3.099),(2045,4255,0.48982,3.0899),(2045,4265,0.44259,3.0826),(2045,4275,0.37183,3.0754),(2045,4285,0.27608,3.0682),(2045,4295,0.18033,3.0656),(2045,4305,0.1636,3.0636),(2045,4315,0.32531,3.0616),(2045,4325,0.48702,3.0537),(2045,4335,0.63185,3.0434),(2045,4345,0.6624,3.033),(2045,4355,0.69294,3.022),(2045,4365,0.72348,3.0104),(2045,4375,0.73291,2.9987),(2045,4385,0.74124,2.987),(2045,4395,0.74957,2.9751),(2045,4405,0.65557,2.9631),(2045,4415,0.5314,2.9523),(2045,4425,0.40722,2.9465),(2045,4435,0.3569,2.9407),(2045,4445,0.35706,2.9349),(2045,4455,0.35721,2.9292),(2045,4465,0.42098,2.9234),(2045,4475,0.5741,2.9177),(2045,4485,0.72722,2.9069),(2045,4495,0.84748,2.8949),(2045,4505,0.86234,2.883),(2045,4515,0.8772,2.8713),(2045,4525,0.89004,2.8598),(2045,4535,0.87099,2.8482),(2045,4545,0.85194,2.8378),(2045,4555,0.83289,2.8286),(2045,4565,0.62714,2.8194),(2045,4575,0.39621,2.8123),(2045,4585,0.16529,2.8105),(2045,4595,0.18728,2.8086),(2045,4605,0.31613,2.806),(2045,4615,0.44498,2.7974),(2045,4625,0.55053,2.7888),(2045,4635,0.63498,2.7802),(2045,4645,0.71943,2.7692),(2045,4655,0.79107,2.7581),(2045,4665,0.83854,2.7469),(2045,4675,0.88602,2.7348),(2045,4685,0.89331,2.7224),(2045,4695,0.70203,2.7099),(2045,4705,0.51075,2.7017),(2045,4715,0.31948,2.6967),(2045,4725,0.4317,2.6916),(2045,4735,0.54697,2.6847),(2045,4745,0.66224,2.675),(2045,4755,0.78657,2.6653),(2045,4765,0.91299,2.6549),(2045,4775,1.0394,2.6421),(2045,4785,1.094,2.6293),(2045,4795,1.1071,2.6165),(2045,4805,1.1202,2.6042),(2045,4815,1.0744,2.5919),(2045,4825,0.95826,2.5796),(2045,4835,0.84213,2.571),(2045,4845,0.72325,2.5629),(2045,4855,0.59716,2.5548),(2045,4865,0.47108,2.5493),(2045,4875,0.38503,2.5449),(2045,4885,0.66328,2.5405),(2045,4895,0.94153,2.5318),(2045,4905,1.2198,2.5188),(2045,4915,1.2228,2.5058),(2045,4925,1.2021,2.4928),(2045,4935,1.1815,2.4799),(2045,4945,1.0955,2.467),(2045,4955,0.98683,2.4544),(2045,4965,0.87818,2.4435),(2045,4975,0.69638,2.4326),(2045,4985,0.4581,2.4217),(2045,4995,0.21982,2.4202),(2045,5005,0.18948,2.419),(2045,5015,0.48974,2.4178),(2045,5025,0.78999,2.4099),(2045,5035,1.0509,2.4002),(2045,5045,1.1619,2.3906),(2045,5055,1.2728,2.3793),(2045,5065,1.3808,2.3671),(2045,5075,1.3928,2.3549),(2045,5085,1.4048,2.3427),(2045,5095,1.4168,2.3307),(2045,5105,1.242,2.3187),(2045,5115,1.0345,2.3082),(2045,5125,0.82698,2.3018),(2045,5135,0.72045,2.2955),(2045,5145,0.66292,2.2892),(2045,5155,0.60539,2.2835),(2045,5165,0.71985,2.2778),(2045,5175,1.0097,2.2721),(2045,5185,1.2996,2.2593),(2045,5195,1.5016,2.2458),(2045,5205,1.5141,2.2323),(2045,5215,1.5265,2.2191),(2045,5225,1.5307,2.2059),(2045,5235,1.4837,2.1928),(2045,5245,1.4366,2.1807),(2045,5255,1.3895,2.1695),(2045,5265,0.9753,2.1582),(2045,5275,0.54593,2.151),(2045,5285,0.11657,2.1505),(2045,5295,0.28837,2.15),(2045,5305,0.62759,2.147),(2045,5315,0.9668,2.1336),(2045,5325,1.1766,2.1203),(2045,5335,1.3014,2.1069),(2045,5345,1.4263,2.0929),(2045,5355,1.5107,2.0789),(2045,5365,1.5404,2.0649),(2045,5375,1.5701,2.0515),(2045,5385,1.5018,2.0382),(2045,5395,1.1353,2.025),(2045,5405,0.76878,2.0182),(2045,5415,0.43919,2.0147),(2045,5425,0.6056,2.0112),(2045,5435,0.77202,2.003),(2045,5445,0.93843,1.9897),(2045,5455,1.1275,1.9765),(2045,5465,1.3194,1.961),(2045,5475,1.5113,1.9404),(2045,5485,1.581,1.9197),(2045,5495,1.6014,1.8991),(2045,5505,1.6218,1.879),(2045,5515,1.6423,1.8588),(2045,5525,1.6629,1.8386),(2045,5535,1.6836,1.8189),(2045,5545,1.7038,1.7992),(2045,5555,1.7232,1.7795),(2045,5565,1.7427,1.7601),(2045,5575,1.7619,1.7409),(2045,5585,1.7801,1.7217),(2045,5595,1.7983,1.7028),(2045,5605,1.8164,1.6841),(2045,5615,1.8334,1.6654),(2045,5625,1.8503,1.6468),(2045,5635,1.8673,1.6286),(2045,5645,1.8832,1.6104),(2045,5655,1.899,1.5923),(2045,5665,1.9147,1.5745),(2045,5675,1.9298,1.5566),(2045,5685,1.9444,1.5388),(2045,5695,1.9591,1.5214),(2045,5705,1.9733,1.504),(2045,5715,1.9869,1.4866),(2045,5725,2.0005,1.4695),(2045,5735,2.0139,1.4525),(2045,5745,2.0266,1.4355),(2045,5755,2.0393,1.4187),(2045,5765,2.0519,1.4021),(2045,5775,2.0637,1.3855),(2045,5785,2.0755,1.369),(2045,5795,2.0874,1.3527),(2045,5805,2.0984,1.3363),(2045,5815,2.1094,1.3201),(2045,5825,2.1204,1.3041),(2045,5835,2.1309,1.2881),(2045,5845,2.1412,1.2721),(2045,5855,2.1514,1.2564),(2045,5865,2.1613,1.2407),(2045,5875,2.1709,1.2249),(2045,5885,2.1805,1.2095),(2045,5895,2.1898,1.194),(2045,5905,2.1988,1.1785),(2045,5915,2.2077,1.1633),(2045,5925,2.2165,1.1481),(2045,5935,2.2249,1.1328),(2045,5945,2.2333,1.1178),(2045,5955,2.2417,1.1028),(2045,5965,2.2497,1.0878),(2045,5975,2.2578,1.0729),(2045,5985,2.2659,1.0581),(2045,5995,1.7329,1.0434),(2045,6005,1.1128,1.0321),(2045,6015,0.49275,1.0301),(2045,6025,0.52663,1.0282),(2045,6035,0.8638,1.0252),(2045,6045,1.201,1.0117),(2045,6055,1.4416,0.99823),(2045,6065,1.5876,0.98476),(2045,6075,1.7336,0.96729),(2045,6085,1.8339,0.94946),(2045,6095,1.8403,0.93163),(2045,6105,1.8466,0.91367),(2045,6115,1.8529,0.89566),(2045,6125,1.8589,0.87766),(2045,6135,1.865,0.85966),(2045,6145,1.871,0.84167),(2045,6155,1.8766,0.82368),(2045,6165,1.8823,0.80571),(2045,6175,1.8879,0.78775),(2045,6185,1.8932,0.7698),(2045,6195,1.8984,0.75183),(2045,6205,1.9036,0.7338),(2045,6215,1.9086,0.71576),(2045,6225,1.9134,0.69773),(2045,6235,1.9182,0.67976),(2045,6245,1.9228,0.66179),(2045,6255,1.9272,0.64382),(2045,6265,1.9317,0.62583),(2045,6275,1.936,0.60785),(2045,6285,1.94,0.58987),(2045,6295,1.9441,0.57184),(2045,6305,1.9481,0.55379),(2045,6315,1.9517,0.53573),(2045,6325,1.9554,0.51764),(2045,6335,1.959,0.49952),(2045,6345,1.9623,0.4814),(2045,6355,1.9655,0.46328),(2045,6365,1.9688,0.44518),(2045,6375,1.9717,0.42708),(2045,6385,1.9745,0.409),(2045,6395,1.9774,0.39097),(2045,6405,1.98,0.37294),(2045,6415,1.9824,0.35492),(2045,6425,1.9848,0.33692),(2045,6435,1.9871,0.31892),(2045,6445,1.9891,0.30093),(2045,6455,1.9912,0.28292),(2045,6465,1.9931,0.2649),(2045,6475,1.9948,0.24688),(2045,6485,1.9964,0.22882),(2045,6495,1.9981,0.21072),(2045,6505,1.9993,0.19262),(2045,6515,2.0006,0.17452),(2045,6525,2.0018,0.15642),(2045,6535,2.0027,0.13832),(2045,6545,2.0036,0.12022),(2045,6555,2.0044,0.10213),(2045,6565,2.005,0.084044),(2045,6575,2.0054,0.065961),(2045,6585,2.0058,0.047963),(2045,6595,1.7062,0.029964),(2045,6605,1.0752,0.011965),(2045,6615,0.4443,0.009878),(2045,6625,0.00076,0.009835),(2045,6635,0.000762,0.009792),(2045,6645,0.000764,0.009772),(2045,6655,0.000766,0.009762),(2045,6665,0.000768,0.009752),(2045,6675,0.00077,0.009742),(2045,6685,0.000772,0.009732),(2045,6695,0.000774,0.009722),(2045,6705,0.000776,0.009712),(2045,6715,0.000778,0.009702),(2045,6725,0.00078,0.009692),(2045,6735,0.000781,0.009682),(2045,6745,0.000783,0.009672),(2045,6755,0.000785,0.009662),(2045,6765,0.000787,0.009653),(2045,6775,0.000788,0.009643),(2045,6785,0.00079,0.009633),(2045,6795,0.000792,0.009623),(2045,6805,0.000793,0.009613),(2045,6815,0.000795,0.009604),(2045,6825,0.000796,0.009594),(2045,6835,0.000798,0.009584),(2045,6845,0.000799,0.009574),(2045,6855,0.000801,0.009565),(2045,6865,0.000802,0.009555),(2045,6875,0.000804,0.009545),(2045,6885,0.000805,0.009536),(2045,6895,0.000806,0.009526),(2045,6905,0.000808,0.009516),(2045,6915,0.000809,0.009507),(2045,6925,0.00081,0.009497),(2045,6935,0.000811,0.009488),(2045,6945,0.000813,0.009478),(2045,6955,0.000814,0.009468),(2045,6965,0.000815,0.009459),(2045,6975,0.000816,0.009449),(2045,6985,0.000817,0.00944),(2055,5,5.4e-05,3.6813),(2055,15,0.000163,3.6813),(2055,25,0.000272,3.6813),(2055,35,0.00038,3.6813),(2055,45,0.000489,3.6813),(2055,55,0.000597,3.6813),(2055,65,0.000706,3.6813),(2055,75,0.000815,3.6813),(2055,85,0.000925,3.6813),(2055,95,0.001034,3.6813),(2055,105,0.001143,3.6813),(2055,115,0.001253,3.6813),(2055,125,0.001363,3.6813),(2055,135,0.001472,3.6813),(2055,145,0.001583,3.6813),(2055,155,0.001693,3.6813),(2055,165,0.001804,3.6813),(2055,175,0.001915,3.6813),(2055,185,0.002026,3.6813),(2055,195,0.002138,3.6813),(2055,205,0.00225,3.6813),(2055,215,0.002362,3.6813),(2055,225,0.002475,3.6813),(2055,235,0.002588,3.6813),(2055,245,0.002701,3.6813),(2055,255,0.002814,3.6813),(2055,265,0.002929,3.6813),(2055,275,0.003044,3.6813),(2055,285,0.003159,3.6813),(2055,295,0.003274,3.6813),(2055,305,0.003391,3.6813),(2055,315,0.003508,3.6813),(2055,325,0.003625,3.6813),(2055,335,0.003743,3.6813),(2055,345,0.003862,3.6813),(2055,355,0.003981,3.6813),(2055,365,0.004101,3.6813),(2055,375,0.00422,3.6813),(2055,385,0.004342,3.6813),(2055,395,0.004464,3.6812),(2055,405,0.004587,3.6812),(2055,415,0.004709,3.6812),(2055,425,0.004834,3.6812),(2055,435,0.004959,3.6812),(2055,445,0.005084,3.6812),(2055,455,0.005209,3.6812),(2055,465,0.005337,3.6812),(2055,475,0.005466,3.6812),(2055,485,0.005594,3.6812),(2055,495,0.005723,3.6812),(2055,505,0.005855,3.6812),(2055,515,0.005987,3.6812),(2055,525,0.006119,3.6812),(2055,535,0.006251,3.6812),(2055,545,0.006387,3.6812),(2055,555,0.006523,3.6812),(2055,565,0.006659,3.6812),(2055,575,0.006795,3.6811),(2055,585,0.006935,3.6811),(2055,595,0.007076,3.6811),(2055,605,0.007216,3.6811),(2055,615,0.007357,3.6811),(2055,625,0.007502,3.6811),(2055,635,0.007647,3.6811),(2055,645,0.007792,3.6811),(2055,655,0.007938,3.6811),(2055,665,0.008088,3.6811),(2055,675,0.008238,3.6811),(2055,685,0.008388,3.6811),(2055,695,0.00854,3.681),(2055,705,0.008696,3.681),(2055,715,0.008851,3.681),(2055,725,0.009007,3.681),(2055,735,0.009164,3.681),(2055,745,0.009326,3.681),(2055,755,0.009487,3.681),(2055,765,0.009649,3.681),(2055,775,0.009813,3.681),(2055,785,0.00998,3.6809),(2055,795,0.010148,3.6809),(2055,805,0.010316,3.6809),(2055,815,0.010486,3.6809),(2055,825,0.010661,3.6809),(2055,835,0.010836,3.6809),(2055,845,0.011011,3.6809),(2055,855,0.011188,3.6808),(2055,865,0.01137,3.6808),(2055,875,0.011552,3.6808),(2055,885,0.011734,3.6808),(2055,895,0.01192,3.6808),(2055,905,0.01211,3.6808),(2055,915,0.0123,3.6807),(2055,925,0.01249,3.6807),(2055,935,0.012683,3.6807),(2055,945,0.012882,3.6807),(2055,955,0.01308,3.6807),(2055,965,0.013278,3.6807),(2055,975,0.013481,3.6806),(2055,985,0.013688,3.6806),(2055,995,0.013895,3.6806),(2055,1005,0.014102,3.6806),(2055,1015,0.014314,3.6805),(2055,1025,0.01453,3.6805),(2055,1035,0.014747,3.6805),(2055,1045,0.014964,3.6805),(2055,1055,0.015186,3.6804),(2055,1065,0.015412,3.6804),(2055,1075,0.015639,3.6804),(2055,1085,0.015866,3.6804),(2055,1095,0.016099,3.6803),(2055,1105,0.016336,3.6803),(2055,1115,0.016573,3.6803),(2055,1125,0.016811,3.6802),(2055,1135,0.017055,3.6802),(2055,1145,0.017304,3.6802),(2055,1155,0.017552,3.6801),(2055,1165,0.0178,3.6801),(2055,1175,0.018057,3.6801),(2055,1185,0.018317,3.68),(2055,1195,0.018577,3.68),(2055,1205,0.018837,3.6799),(2055,1215,0.019106,3.6799),(2055,1225,0.019379,3.6799),(2055,1235,0.019652,3.6798),(2055,1245,0.019925,3.6798),(2055,1255,0.020208,3.6797),(2055,1265,0.020494,3.6797),(2055,1275,0.02078,3.6796),(2055,1285,0.021066,3.6796),(2055,1295,0.021363,3.6795),(2055,1305,0.021663,3.6795),(2055,1315,0.021963,3.6794),(2055,1325,0.022263,3.6794),(2055,1335,0.022575,3.6793),(2055,1345,0.022889,3.6792),(2055,1355,0.023204,3.6792),(2055,1365,0.023518,3.6791),(2055,1375,0.023846,3.679),(2055,1385,0.024176,3.679),(2055,1395,0.024506,3.6789),(2055,1405,0.024836,3.6788),(2055,1415,0.02518,3.6788),(2055,1425,0.025526,3.6787),(2055,1435,0.025872,3.6786),(2055,1445,0.026218,3.6785),(2055,1455,0.02658,3.6785),(2055,1465,0.026942,3.6784),(2055,1475,0.027305,3.6783),(2055,1485,0.027668,3.6782),(2055,1495,0.028048,3.6781),(2055,1505,0.028428,3.678),(2055,1515,0.028808,3.6779),(2055,1525,0.029189,3.6778),(2055,1535,0.029587,3.6777),(2055,1545,0.029985,3.6776),(2055,1555,0.030384,3.6775),(2055,1565,0.030783,3.6774),(2055,1575,0.031201,3.6773),(2055,1585,0.031618,3.6772),(2055,1595,0.032035,3.677),(2055,1605,0.032455,3.6769),(2055,1615,0.032892,3.6768),(2055,1625,0.033329,3.6767),(2055,1635,0.033766,3.6765),(2055,1645,0.034206,3.6764),(2055,1655,0.034664,3.6762),(2055,1665,0.035122,3.6761),(2055,1675,0.035579,3.676),(2055,1685,0.036041,3.6758),(2055,1695,0.036519,3.6756),(2055,1705,0.036998,3.6755),(2055,1715,0.037477,3.6753),(2055,1725,0.037961,3.6752),(2055,1735,0.038461,3.675),(2055,1745,0.038962,3.6748),(2055,1755,0.039462,3.6746),(2055,1765,0.039969,3.6744),(2055,1775,0.040491,3.6742),(2055,1785,0.041014,3.6741),(2055,1795,0.041537,3.6738),(2055,1805,0.042067,3.6736),(2055,1815,0.042613,3.6734),(2055,1825,0.043159,3.6732),(2055,1835,0.043705,3.673),(2055,1845,0.044258,3.6728),(2055,1855,0.044828,3.6725),(2055,1865,0.045397,3.6723),(2055,1875,0.045967,3.672),(2055,1885,0.046545,3.6718),(2055,1895,0.047139,3.6715),(2055,1905,0.047732,3.6713),(2055,1915,0.048325,3.671),(2055,1925,0.048929,3.6707),(2055,1935,0.049547,3.6704),(2055,1945,0.050164,3.6701),(2055,1955,0.050782,3.6698),(2055,1965,0.051411,3.6695),(2055,1975,0.052053,3.6692),(2055,1985,0.052695,3.6689),(2055,1995,0.053337,3.6686),(2055,2005,0.053991,3.6682),(2055,2015,0.054658,3.6679),(2055,2025,0.055325,3.6676),(2055,2035,0.055992,3.6672),(2055,2045,0.056672,3.6668),(2055,2055,0.057363,3.6664),(2055,2065,0.058055,3.6661),(2055,2075,0.058747,3.6657),(2055,2085,0.059452,3.6653),(2055,2095,0.060169,3.6649),(2055,2105,0.060885,3.6644),(2055,2115,0.061601,3.664),(2055,2125,0.062333,3.6636),(2055,2135,0.063073,3.6631),(2055,2145,0.063814,3.6626),(2055,2155,0.064554,3.6622),(2055,2165,0.065311,3.6617),(2055,2175,0.066075,3.6612),(2055,2185,0.06684,3.6607),(2055,2195,0.067604,3.6602),(2055,2205,0.068385,3.6597),(2055,2215,0.069172,3.6591),(2055,2225,0.06996,3.6586),(2055,2235,0.070747,3.658),(2055,2245,0.071552,3.6574),(2055,2255,0.072362,3.6569),(2055,2265,0.073172,3.6563),(2055,2275,0.073982,3.6557),(2055,2285,0.074808,3.655),(2055,2295,0.07564,3.6544),(2055,2305,0.076471,3.6538),(2055,2315,0.077303,3.6531),(2055,2325,0.078151,3.6524),(2055,2335,0.079002,3.6518),(2055,2345,0.079854,3.6511),(2055,2355,0.080706,3.6503),(2055,2365,0.081573,3.6496),(2055,2375,0.082443,3.6489),(2055,2385,0.083313,3.6481),(2055,2395,0.084183,3.6474),(2055,2405,0.085067,3.6466),(2055,2415,0.085954,3.6458),(2055,2425,0.08684,3.645),(2055,2435,0.087726,3.6441),(2055,2445,0.088626,3.6433),(2055,2455,0.089527,3.6425),(2055,2465,0.090427,3.6416),(2055,2475,0.091328,3.6407),(2055,2485,0.09224,3.6398),(2055,2495,0.093153,3.6389),(2055,2505,0.094066,3.6379),(2055,2515,0.094978,3.6369),(2055,2525,0.095901,3.636),(2055,2535,0.096823,3.635),(2055,2545,0.097745,3.634),(2055,2555,0.098667,3.6329),(2055,2565,0.099596,3.6319),(2055,2575,0.10052,3.6309),(2055,2585,0.10145,3.6298),(2055,2595,0.10238,3.6287),(2055,2605,0.10331,3.6276),(2055,2615,0.10424,3.6265),(2055,2625,0.10517,3.6253),(2055,2635,0.1061,3.6241),(2055,2645,0.10703,3.6229),(2055,2655,0.10796,3.6217),(2055,2665,0.10889,3.6205),(2055,2675,0.10982,3.6193),(2055,2685,0.11075,3.618),(2055,2695,0.11167,3.6167),(2055,2705,0.1126,3.6154),(2055,2715,0.11352,3.6141),(2055,2725,0.11444,3.6128),(2055,2735,0.11536,3.6114),(2055,2745,0.11627,3.61),(2055,2755,0.11718,3.6086),(2055,2765,0.11809,3.6072),(2055,2775,0.11899,3.6058),(2055,2785,0.11989,3.6043),(2055,2795,0.12079,3.6028),(2055,2805,0.12168,3.6014),(2055,2815,0.12256,3.5999),(2055,2825,0.12344,3.5983),(2055,2835,0.12432,3.5967),(2055,2845,0.12518,3.5952),(2055,2855,0.12604,3.5936),(2055,2865,0.1269,3.592),(2055,2875,0.12775,3.5903),(2055,2885,0.12859,3.5887),(2055,2895,0.12942,3.587),(2055,2905,0.13025,3.5853),(2055,2915,0.13107,3.5836),(2055,2925,0.13187,3.5819),(2055,2935,0.13267,3.5801),(2055,2945,0.13347,3.5784),(2055,2955,0.13425,3.5766),(2055,2965,0.13501,3.5748),(2055,2975,0.13577,3.573),(2055,2985,0.13653,3.5711),(2055,2995,0.13726,3.5692),(2055,3005,0.13798,3.5674),(2055,3015,0.1387,3.5655),(2055,3025,0.13941,3.5635),(2055,3035,0.1401,3.5616),(2055,3045,0.14076,3.5596),(2055,3055,0.14143,3.5577),(2055,3065,0.14209,3.5556),(2055,3075,0.14273,3.5536),(2055,3085,0.14334,3.5516),(2055,3095,0.14395,3.5496),(2055,3105,0.14456,3.5475),(2055,3115,0.14513,3.5454),(2055,3125,0.14568,3.5433),(2055,3135,0.14623,3.5412),(2055,3145,0.14677,3.5391),(2055,3155,0.14728,3.5369),(2055,3165,0.14776,3.5348),(2055,3175,0.14824,3.5326),(2055,3185,0.14873,3.5304),(2055,3195,0.14916,3.5282),(2055,3205,0.14957,3.526),(2055,3215,0.14998,3.5238),(2055,3225,0.1504,3.5215),(2055,3235,0.15075,3.5193),(2055,3245,0.15109,3.517),(2055,3255,0.15142,3.5147),(2055,3265,0.15176,3.5124),(2055,3275,0.15203,3.5101),(2055,3285,0.15229,3.5078),(2055,3295,0.15255,3.5055),(2055,3305,0.1528,3.5031),(2055,3315,0.15299,3.5008),(2055,3325,0.15316,3.4984),(2055,3335,0.15333,3.496),(2055,3345,0.15351,3.4936),(2055,3355,0.1536,3.4913),(2055,3365,0.15369,3.4889),(2055,3375,0.15377,3.4865),(2055,3385,0.15386,3.484),(2055,3395,0.15386,3.4816),(2055,3405,0.15386,3.4792),(2055,3415,0.15385,3.4768),(2055,3425,0.15384,3.4743),(2055,3435,0.15375,3.4719),(2055,3445,0.15365,3.4694),(2055,3455,0.15355,3.467),(2055,3465,0.15345,3.4645),(2055,3475,0.15326,3.4621),(2055,3485,0.15307,3.4596),(2055,3495,0.15287,3.4571),(2055,3505,0.15268,3.4547),(2055,3515,0.15239,3.4522),(2055,3525,0.15209,3.4497),(2055,3535,0.1518,3.4473),(2055,3545,0.15151,3.4448),(2055,3555,0.15112,3.4423),(2055,3565,0.15073,3.4398),(2055,3575,0.15034,3.4374),(2055,3585,0.14994,3.4349),(2055,3595,0.14945,3.4324),(2055,3605,0.14896,3.43),(2055,3615,0.14847,3.4275),(2055,3625,0.14797,3.4251),(2055,3635,0.14739,3.4226),(2055,3645,0.1468,3.4202),(2055,3655,0.14621,3.4177),(2055,3665,0.14561,3.4153),(2055,3675,0.14492,3.4129),(2055,3685,0.14424,3.4104),(2055,3695,0.14355,3.408),(2055,3705,0.14285,3.4056),(2055,3715,0.14207,3.4032),(2055,3725,0.14128,3.4008),(2055,3735,0.1405,3.3985),(2055,3745,0.1397,3.3961),(2055,3755,0.13882,3.3937),(2055,3765,0.13794,3.3914),(2055,3775,0.13706,3.389),(2055,3785,0.13615,3.3867),(2055,3795,0.13518,3.3844),(2055,3805,0.1342,3.3821),(2055,3815,0.13323,3.3798),(2055,3825,0.13223,3.3775),(2055,3835,0.13116,3.3752),(2055,3845,0.13009,3.373),(2055,3855,0.12902,3.3708),(2055,3865,0.12792,3.3685),(2055,3875,0.12676,3.3663),(2055,3885,0.12559,3.3641),(2055,3895,0.12443,3.362),(2055,3905,0.14321,3.3598),(2055,3915,0.19178,3.3576),(2055,3925,0.24034,3.3543),(2055,3935,0.28891,3.3492),(2055,3945,0.34029,3.3441),(2055,3955,0.39524,3.339),(2055,3965,0.45019,3.3324),(2055,3975,0.50514,3.324),(2055,3985,0.53683,3.3157),(2055,3995,0.54334,3.3074),(2055,4005,0.54986,3.2989),(2055,4015,0.55637,3.2903),(2055,4025,0.5634,3.2817),(2055,4035,0.57047,3.273),(2055,4045,0.57754,3.2641),(2055,4055,0.58439,3.2553),(2055,4065,0.59116,3.2463),(2055,4075,0.59793,3.2371),(2055,4085,0.60411,3.2278),(2055,4095,0.60983,3.2186),(2055,4105,0.61555,3.2087),(2055,4115,0.59804,3.1988),(2055,4125,0.542,3.1889),(2055,4135,0.48596,3.1808),(2055,4145,0.42908,3.1731),(2055,4155,0.36876,3.1655),(2055,4165,0.30845,3.1598),(2055,4175,0.25175,3.1553),(2055,4185,0.37395,3.1509),(2055,4195,0.49614,3.144),(2055,4205,0.61834,3.1339),(2055,4215,0.62098,3.1238),(2055,4225,0.60113,3.1139),(2055,4235,0.58127,3.1046),(2055,4245,0.54299,3.0953),(2055,4255,0.49535,3.0861),(2055,4265,0.44771,3.0788),(2055,4275,0.37619,3.0716),(2055,4285,0.27932,3.0643),(2055,4295,0.18246,3.0618),(2055,4305,0.1655,3.0598),(2055,4315,0.32896,3.0577),(2055,4325,0.49243,3.0498),(2055,4335,0.63881,3.0394),(2055,4345,0.66959,3.0291),(2055,4355,0.70037,3.018),(2055,4365,0.73115,3.0064),(2055,4375,0.74062,2.9948),(2055,4385,0.74898,2.983),(2055,4395,0.75734,2.9711),(2055,4405,0.66238,2.9591),(2055,4415,0.53695,2.9483),(2055,4425,0.41152,2.9424),(2055,4435,0.36068,2.9365),(2055,4445,0.36082,2.9305),(2055,4455,0.36096,2.9247),(2055,4465,0.42517,2.9188),(2055,4475,0.57941,2.9129),(2055,4485,0.73364,2.9019),(2055,4495,0.85471,2.89),(2055,4505,0.86938,2.878),(2055,4515,0.88405,2.8663),(2055,4525,0.89668,2.8547),(2055,4535,0.877,2.8432),(2055,4545,0.85732,2.8328),(2055,4555,0.83764,2.8237),(2055,4565,0.63087,2.8146),(2055,4575,0.39887,2.8077),(2055,4585,0.16687,2.8059),(2055,4595,0.18952,2.8041),(2055,4605,0.31976,2.8016),(2055,4615,0.45,2.793),(2055,4625,0.55638,2.7845),(2055,4635,0.64117,2.7759),(2055,4645,0.72596,2.7649),(2055,4655,0.79788,2.7537),(2055,4665,0.84552,2.7425),(2055,4675,0.89316,2.7303),(2055,4685,0.90038,2.7178),(2055,4695,0.70784,2.7052),(2055,4705,0.5153,2.697),(2055,4715,0.32276,2.6918),(2055,4725,0.43581,2.6867),(2055,4735,0.55191,2.6797),(2055,4745,0.66801,2.67),(2055,4755,0.79274,2.6603),(2055,4765,0.91948,2.6499),(2055,4775,1.0462,2.6371),(2055,4785,1.1008,2.6243),(2055,4795,1.1136,2.6114),(2055,4805,1.1265,2.5991),(2055,4815,1.0802,2.5867),(2055,4825,0.96341,2.5743),(2055,4835,0.84659,2.5655),(2055,4845,0.72706,2.5573),(2055,4855,0.60049,2.549),(2055,4865,0.47393,2.5435),(2055,4875,0.38756,2.5391),(2055,4885,0.66701,2.5347),(2055,4895,0.94646,2.526),(2055,4905,1.2259,2.513),(2055,4915,1.2291,2.5),(2055,4925,1.2085,2.4871),(2055,4935,1.1879,2.4741),(2055,4945,1.1018,2.4612),(2055,4955,0.99313,2.4486),(2055,4965,0.88442,2.4376),(2055,4975,0.70162,2.4266),(2055,4985,0.46163,2.4156),(2055,4995,0.22164,2.4141),(2055,5005,0.19066,2.4129),(2055,5015,0.49196,2.4117),(2055,5025,0.79325,2.4037),(2055,5035,1.055,2.394),(2055,5045,1.1662,2.3843),(2055,5055,1.2774,2.3731),(2055,5065,1.3856,2.3608),(2055,5075,1.3975,2.3486),(2055,5085,1.4094,2.3364),(2055,5095,1.4212,2.3244),(2055,5105,1.2458,2.3123),(2055,5115,1.0376,2.3018),(2055,5125,0.82946,2.2954),(2055,5135,0.72278,2.2891),(2055,5145,0.66534,2.2828),(2055,5155,0.6079,2.2771),(2055,5165,0.72285,2.2714),(2055,5175,1.0136,2.2657),(2055,5185,1.3044,2.253),(2055,5195,1.5069,2.2395),(2055,5205,1.5192,2.226),(2055,5215,1.5315,2.2128),(2055,5225,1.5355,2.1997),(2055,5235,1.4881,2.1865),(2055,5245,1.4407,2.1745),(2055,5255,1.3933,2.1633),(2055,5265,0.97805,2.152),(2055,5275,0.5476,2.1448),(2055,5285,0.11714,2.1443),(2055,5295,0.2904,2.1438),(2055,5305,0.63177,2.1408),(2055,5315,0.97315,2.1274),(2055,5325,1.1835,2.114),(2055,5335,1.308,2.1006),(2055,5345,1.4324,2.0866),(2055,5355,1.5164,2.0726),(2055,5365,1.5457,2.0586),(2055,5375,1.5751,2.0452),(2055,5385,1.5062,2.032),(2055,5395,1.1386,2.0188),(2055,5405,0.77099,2.0119),(2055,5415,0.44053,2.0084),(2055,5425,0.60905,2.0049),(2055,5435,0.77757,1.9968),(2055,5445,0.94609,1.9836),(2055,5455,1.1365,1.9704),(2055,5465,1.3297,1.9549),(2055,5475,1.5228,1.9343),(2055,5485,1.5926,1.9137),(2055,5495,1.6128,1.8932),(2055,5505,1.633,1.8731),(2055,5515,1.6533,1.853),(2055,5525,1.6737,1.8329),(2055,5535,1.694,1.8132),(2055,5545,1.714,1.7936),(2055,5555,1.7332,1.7739),(2055,5565,1.7524,1.7547),(2055,5575,1.7714,1.7355),(2055,5585,1.7893,1.7164),(2055,5595,1.8073,1.6975),(2055,5605,1.8252,1.6789),(2055,5615,1.842,1.6602),(2055,5625,1.8587,1.6418),(2055,5635,1.8754,1.6236),(2055,5645,1.8912,1.6055),(2055,5655,1.9067,1.5874),(2055,5665,1.9223,1.5697),(2055,5675,1.9371,1.5519),(2055,5685,1.9516,1.5342),(2055,5695,1.966,1.5169),(2055,5705,1.98,1.4995),(2055,5715,1.9935,1.4822),(2055,5725,2.0069,1.4652),(2055,5735,2.0201,1.4482),(2055,5745,2.0327,1.4313),(2055,5755,2.0452,1.4146),(2055,5765,2.0576,1.3981),(2055,5775,2.0693,1.3815),(2055,5785,2.0809,1.3651),(2055,5795,2.0926,1.3488),(2055,5805,2.1035,1.3326),(2055,5815,2.1144,1.3164),(2055,5825,2.1253,1.3005),(2055,5835,2.1356,1.2845),(2055,5845,2.1457,1.2686),(2055,5855,2.1558,1.253),(2055,5865,2.1656,1.2373),(2055,5875,2.175,1.2217),(2055,5885,2.1845,1.2063),(2055,5895,2.1937,1.1909),(2055,5905,2.2026,1.1755),(2055,5915,2.2114,1.1603),(2055,5925,2.2201,1.1451),(2055,5935,2.2284,1.13),(2055,5945,2.2367,1.115),(2055,5955,2.2449,1.1001),(2055,5965,2.2529,1.0852),(2055,5975,2.2608,1.0703),(2055,5985,2.2688,1.0556),(2055,5995,1.7351,1.0409),(2055,6005,1.1143,1.0297),(2055,6015,0.49339,1.0278),(2055,6025,0.52834,1.0258),(2055,6035,0.86744,1.0228),(2055,6045,1.2065,1.0094),(2055,6055,1.4485,0.9959),(2055,6065,1.5951,0.98245),(2055,6075,1.7417,0.96501),(2055,6085,1.8425,0.94721),(2055,6095,1.8488,0.92941),(2055,6105,1.8551,0.91148),(2055,6115,1.8614,0.89351),(2055,6125,1.8674,0.87553),(2055,6135,1.8734,0.85757),(2055,6145,1.8794,0.83961),(2055,6155,1.8851,0.82165),(2055,6165,1.8907,0.8037),(2055,6175,1.8963,0.78578),(2055,6185,1.9016,0.76785),(2055,6195,1.9068,0.74991),(2055,6205,1.912,0.73192),(2055,6215,1.9169,0.71392),(2055,6225,1.9217,0.69592),(2055,6235,1.9265,0.67799),(2055,6245,1.9311,0.66006),(2055,6255,1.9355,0.64213),(2055,6265,1.9399,0.62419),(2055,6275,1.9443,0.60626),(2055,6285,1.9483,0.58832),(2055,6295,1.9523,0.57033),(2055,6305,1.9563,0.55233),(2055,6315,1.9599,0.53432),(2055,6325,1.9636,0.51628),(2055,6335,1.9672,0.49819),(2055,6345,1.9705,0.48011),(2055,6355,1.9737,0.46204),(2055,6365,1.9769,0.44398),(2055,6375,1.9799,0.42592),(2055,6385,1.9827,0.40788),(2055,6395,1.9855,0.3899),(2055,6405,1.9881,0.37191),(2055,6415,1.9905,0.35393),(2055,6425,1.993,0.33598),(2055,6435,1.9952,0.31804),(2055,6445,1.9973,0.30009),(2055,6455,1.9993,0.28213),(2055,6465,2.0012,0.26416),(2055,6475,2.0029,0.2462),(2055,6485,2.0045,0.22818),(2055,6495,2.0061,0.21013),(2055,6505,2.0074,0.19209),(2055,6515,2.0086,0.17404),(2055,6525,2.0099,0.15599),(2055,6535,2.0108,0.13794),(2055,6545,2.0116,0.11989),(2055,6555,2.0125,0.10185),(2055,6565,2.0131,0.08381),(2055,6575,2.0135,0.065777),(2055,6585,2.0139,0.047828),(2055,6595,1.713,0.029879),(2055,6605,1.0796,0.011931),(2055,6615,0.44608,0.009857),(2055,6625,0.000766,0.009824),(2055,6635,0.000768,0.009791),(2055,6645,0.00077,0.009774),(2055,6655,0.000772,0.009764),(2055,6665,0.000774,0.009754),(2055,6675,0.000776,0.009744),(2055,6685,0.000778,0.009734),(2055,6695,0.00078,0.009724),(2055,6705,0.000782,0.009714),(2055,6715,0.000784,0.009704),(2055,6725,0.000786,0.009694),(2055,6735,0.000787,0.009684),(2055,6745,0.000789,0.009674),(2055,6755,0.000791,0.009664),(2055,6765,0.000792,0.009654),(2055,6775,0.000794,0.009645),(2055,6785,0.000796,0.009635),(2055,6795,0.000797,0.009625),(2055,6805,0.000799,0.009615),(2055,6815,0.0008,0.009605),(2055,6825,0.000802,0.009595),(2055,6835,0.000803,0.009586),(2055,6845,0.000805,0.009576),(2055,6855,0.000806,0.009566),(2055,6865,0.000808,0.009556),(2055,6875,0.000809,0.009547),(2055,6885,0.00081,0.009537),(2055,6895,0.000812,0.009527),(2055,6905,0.000813,0.009518),(2055,6915,0.000814,0.009508),(2055,6925,0.000816,0.009498),(2055,6935,0.000817,0.009489),(2055,6945,0.000818,0.009479),(2055,6955,0.000819,0.00947),(2055,6965,0.000821,0.00946),(2055,6975,0.000822,0.009451),(2055,6985,0.000823,0.009441),(2065,5,5.4e-05,3.6814),(2065,15,0.000162,3.6814),(2065,25,0.00027,3.6814),(2065,35,0.000378,3.6814),(2065,45,0.000487,3.6814),(2065,55,0.000595,3.6814),(2065,65,0.000703,3.6814),(2065,75,0.000812,3.6814),(2065,85,0.00092,3.6814),(2065,95,0.001029,3.6814),(2065,105,0.001138,3.6814),(2065,115,0.001247,3.6814),(2065,125,0.001357,3.6814),(2065,135,0.001466,3.6814),(2065,145,0.001576,3.6814),(2065,155,0.001686,3.6814),(2065,165,0.001796,3.6814),(2065,175,0.001906,3.6814),(2065,185,0.002017,3.6814),(2065,195,0.002129,3.6814),(2065,205,0.00224,3.6814),(2065,215,0.002351,3.6814),(2065,225,0.002464,3.6814),(2065,235,0.002576,3.6814),(2065,245,0.002689,3.6814),(2065,255,0.002802,3.6814),(2065,265,0.002916,3.6814),(2065,275,0.003031,3.6814),(2065,285,0.003145,3.6814),(2065,295,0.00326,3.6814),(2065,305,0.003376,3.6814),(2065,315,0.003493,3.6814),(2065,325,0.003609,3.6814),(2065,335,0.003726,3.6814),(2065,345,0.003844,3.6814),(2065,355,0.003964,3.6814),(2065,365,0.004083,3.6814),(2065,375,0.004202,3.6814),(2065,385,0.004323,3.6814),(2065,395,0.004445,3.6814),(2065,405,0.004566,3.6814),(2065,415,0.004688,3.6814),(2065,425,0.004812,3.6814),(2065,435,0.004937,3.6814),(2065,445,0.005062,3.6814),(2065,455,0.005186,3.6813),(2065,465,0.005314,3.6813),(2065,475,0.005442,3.6813),(2065,485,0.00557,3.6813),(2065,495,0.005698,3.6813),(2065,505,0.005829,3.6813),(2065,515,0.005961,3.6813),(2065,525,0.006092,3.6813),(2065,535,0.006224,3.6813),(2065,545,0.006359,3.6813),(2065,555,0.006495,3.6813),(2065,565,0.00663,3.6813),(2065,575,0.006766,3.6813),(2065,585,0.006906,3.6813),(2065,595,0.007045,3.6813),(2065,605,0.007185,3.6813),(2065,615,0.007326,3.6813),(2065,625,0.00747,3.6813),(2065,635,0.007614,3.6812),(2065,645,0.007759,3.6812),(2065,655,0.007904,3.6812),(2065,665,0.008054,3.6812),(2065,675,0.008204,3.6812),(2065,685,0.008353,3.6812),(2065,695,0.008504,3.6812),(2065,705,0.008659,3.6812),(2065,715,0.008814,3.6812),(2065,725,0.00897,3.6812),(2065,735,0.009126,3.6812),(2065,745,0.009287,3.6812),(2065,755,0.009449,3.6811),(2065,765,0.00961,3.6811),(2065,775,0.009773,3.6811),(2065,785,0.00994,3.6811),(2065,795,0.010107,3.6811),(2065,805,0.010275,3.6811),(2065,815,0.010444,3.6811),(2065,825,0.010619,3.6811),(2065,835,0.010793,3.6811),(2065,845,0.010967,3.681),(2065,855,0.011144,3.681),(2065,865,0.011325,3.681),(2065,875,0.011507,3.681),(2065,885,0.011689,3.681),(2065,895,0.011873,3.681),(2065,905,0.012063,3.681),(2065,915,0.012252,3.6809),(2065,925,0.012442,3.6809),(2065,935,0.012635,3.6809),(2065,945,0.012833,3.6809),(2065,955,0.013031,3.6809),(2065,965,0.013229,3.6809),(2065,975,0.013431,3.6808),(2065,985,0.013637,3.6808),(2065,995,0.013844,3.6808),(2065,1005,0.01405,3.6808),(2065,1015,0.014262,3.6808),(2065,1025,0.014478,3.6807),(2065,1035,0.014694,3.6807),(2065,1045,0.01491,3.6807),(2065,1055,0.015132,3.6807),(2065,1065,0.015358,3.6806),(2065,1075,0.015584,3.6806),(2065,1085,0.015811,3.6806),(2065,1095,0.016043,3.6806),(2065,1105,0.01628,3.6805),(2065,1115,0.016517,3.6805),(2065,1125,0.016754,3.6805),(2065,1135,0.016998,3.6804),(2065,1145,0.017247,3.6804),(2065,1155,0.017495,3.6804),(2065,1165,0.017743,3.6803),(2065,1175,0.017999,3.6803),(2065,1185,0.018259,3.6803),(2065,1195,0.018519,3.6802),(2065,1205,0.018779,3.6802),(2065,1215,0.019048,3.6802),(2065,1225,0.01932,3.6801),(2065,1235,0.019593,3.6801),(2065,1245,0.019866,3.68),(2065,1255,0.020148,3.68),(2065,1265,0.020434,3.68),(2065,1275,0.02072,3.6799),(2065,1285,0.021006,3.6799),(2065,1295,0.021303,3.6798),(2065,1305,0.021603,3.6798),(2065,1315,0.021903,3.6797),(2065,1325,0.022203,3.6797),(2065,1335,0.022515,3.6796),(2065,1345,0.022829,3.6796),(2065,1355,0.023144,3.6795),(2065,1365,0.023459,3.6794),(2065,1375,0.023787,3.6794),(2065,1385,0.024117,3.6793),(2065,1395,0.024447,3.6792),(2065,1405,0.024777,3.6792),(2065,1415,0.025122,3.6791),(2065,1425,0.025468,3.679),(2065,1435,0.025814,3.679),(2065,1445,0.02616,3.6789),(2065,1455,0.026523,3.6788),(2065,1465,0.026886,3.6787),(2065,1475,0.027249,3.6786),(2065,1485,0.027612,3.6786),(2065,1495,0.027993,3.6785),(2065,1505,0.028373,3.6784),(2065,1515,0.028754,3.6783),(2065,1525,0.029135,3.6782),(2065,1535,0.029534,3.6781),(2065,1545,0.029934,3.678),(2065,1555,0.030333,3.6779),(2065,1565,0.030733,3.6778),(2065,1575,0.031152,3.6777),(2065,1585,0.03157,3.6776),(2065,1595,0.031988,3.6775),(2065,1605,0.032409,3.6773),(2065,1615,0.032847,3.6772),(2065,1625,0.033285,3.6771),(2065,1635,0.033724,3.677),(2065,1645,0.034165,3.6768),(2065,1655,0.034624,3.6767),(2065,1665,0.035083,3.6766),(2065,1675,0.035542,3.6764),(2065,1685,0.036005,3.6763),(2065,1695,0.036485,3.6761),(2065,1705,0.036966,3.676),(2065,1715,0.037446,3.6758),(2065,1725,0.037932,3.6756),(2065,1735,0.038434,3.6755),(2065,1745,0.038936,3.6753),(2065,1755,0.039439,3.6751),(2065,1765,0.039947,3.6749),(2065,1775,0.040473,3.6748),(2065,1785,0.040998,3.6746),(2065,1795,0.041523,3.6744),(2065,1805,0.042055,3.6742),(2065,1815,0.042603,3.674),(2065,1825,0.043152,3.6738),(2065,1835,0.0437,3.6735),(2065,1845,0.044257,3.6733),(2065,1855,0.044829,3.6731),(2065,1865,0.045402,3.6729),(2065,1875,0.045974,3.6726),(2065,1885,0.046555,3.6724),(2065,1895,0.047152,3.6721),(2065,1905,0.047749,3.6719),(2065,1915,0.048346,3.6716),(2065,1925,0.048953,3.6713),(2065,1935,0.049574,3.671),(2065,1945,0.050195,3.6708),(2065,1955,0.050817,3.6705),(2065,1965,0.051449,3.6702),(2065,1975,0.052096,3.6699),(2065,1985,0.052742,3.6696),(2065,1995,0.053388,3.6692),(2065,2005,0.054047,3.6689),(2065,2015,0.054718,3.6686),(2065,2025,0.05539,3.6682),(2065,2035,0.056061,3.6679),(2065,2045,0.056746,3.6675),(2065,2055,0.057443,3.6671),(2065,2065,0.058139,3.6668),(2065,2075,0.058836,3.6664),(2065,2085,0.059547,3.666),(2065,2095,0.060269,3.6656),(2065,2105,0.060991,3.6651),(2065,2115,0.061713,3.6647),(2065,2125,0.06245,3.6643),(2065,2135,0.063197,3.6638),(2065,2145,0.063943,3.6634),(2065,2155,0.06469,3.6629),(2065,2165,0.065453,3.6624),(2065,2175,0.066224,3.662),(2065,2185,0.066995,3.6615),(2065,2195,0.067766,3.661),(2065,2205,0.068554,3.6604),(2065,2215,0.069349,3.6599),(2065,2225,0.070144,3.6594),(2065,2235,0.070939,3.6588),(2065,2245,0.071751,3.6582),(2065,2255,0.072568,3.6577),(2065,2265,0.073386,3.6571),(2065,2275,0.074204,3.6565),(2065,2285,0.075039,3.6559),(2065,2295,0.075879,3.6553),(2065,2305,0.076719,3.6546),(2065,2315,0.077559,3.6539),(2065,2325,0.078416,3.6533),(2065,2335,0.079277,3.6526),(2065,2345,0.080137,3.6519),(2065,2355,0.080998,3.6512),(2065,2365,0.081875,3.6505),(2065,2375,0.082755,3.6498),(2065,2385,0.083634,3.649),(2065,2395,0.084514,3.6482),(2065,2405,0.085409,3.6475),(2065,2415,0.086306,3.6467),(2065,2425,0.087202,3.6459),(2065,2435,0.088099,3.645),(2065,2445,0.08901,3.6442),(2065,2455,0.089921,3.6434),(2065,2465,0.090833,3.6425),(2065,2475,0.091744,3.6416),(2065,2485,0.092668,3.6407),(2065,2495,0.093593,3.6398),(2065,2505,0.094517,3.6388),(2065,2515,0.095441,3.6379),(2065,2525,0.096375,3.6369),(2065,2535,0.09731,3.6359),(2065,2545,0.098244,3.6349),(2065,2555,0.099179,3.6339),(2065,2565,0.10012,3.6328),(2065,2575,0.10106,3.6318),(2065,2585,0.102,3.6307),(2065,2595,0.10294,3.6296),(2065,2605,0.10389,3.6285),(2065,2615,0.10483,3.6274),(2065,2625,0.10578,3.6262),(2065,2635,0.10672,3.625),(2065,2645,0.10766,3.6239),(2065,2655,0.10861,3.6227),(2065,2665,0.10955,3.6214),(2065,2675,0.11049,3.6202),(2065,2685,0.11143,3.6189),(2065,2695,0.11237,3.6177),(2065,2705,0.11331,3.6163),(2065,2715,0.11425,3.615),(2065,2725,0.11518,3.6137),(2065,2735,0.11611,3.6123),(2065,2745,0.11704,3.6109),(2065,2755,0.11797,3.6095),(2065,2765,0.11889,3.6081),(2065,2775,0.1198,3.6067),(2065,2785,0.12072,3.6052),(2065,2795,0.12163,3.6037),(2065,2805,0.12253,3.6022),(2065,2815,0.12343,3.6007),(2065,2825,0.12433,3.5992),(2065,2835,0.12522,3.5976),(2065,2845,0.1261,3.5961),(2065,2855,0.12698,3.5945),(2065,2865,0.12785,3.5928),(2065,2875,0.12872,3.5912),(2065,2885,0.12957,3.5895),(2065,2895,0.13041,3.5879),(2065,2905,0.13126,3.5861),(2065,2915,0.1321,3.5844),(2065,2925,0.13291,3.5827),(2065,2935,0.13372,3.5809),(2065,2945,0.13454,3.5791),(2065,2955,0.13533,3.5773),(2065,2965,0.13611,3.5755),(2065,2975,0.13688,3.5737),(2065,2985,0.13766,3.5718),(2065,2995,0.13841,3.5699),(2065,3005,0.13914,3.5681),(2065,3015,0.13987,3.5662),(2065,3025,0.1406,3.5642),(2065,3035,0.1413,3.5623),(2065,3045,0.14198,3.5603),(2065,3055,0.14266,3.5583),(2065,3065,0.14334,3.5563),(2065,3075,0.14399,3.5543),(2065,3085,0.14461,3.5522),(2065,3095,0.14523,3.5502),(2065,3105,0.14586,3.5481),(2065,3115,0.14644,3.546),(2065,3125,0.147,3.5439),(2065,3135,0.14757,3.5418),(2065,3145,0.14813,3.5396),(2065,3155,0.14865,3.5374),(2065,3165,0.14914,3.5353),(2065,3175,0.14964,3.5331),(2065,3185,0.15013,3.5309),(2065,3195,0.15058,3.5286),(2065,3205,0.151,3.5264),(2065,3215,0.15142,3.5242),(2065,3225,0.15185,3.5219),(2065,3235,0.15221,3.5196),(2065,3245,0.15256,3.5173),(2065,3255,0.15291,3.515),(2065,3265,0.15325,3.5127),(2065,3275,0.15354,3.5104),(2065,3285,0.1538,3.5081),(2065,3295,0.15407,3.5057),(2065,3305,0.15434,3.5033),(2065,3315,0.15453,3.501),(2065,3325,0.15471,3.4986),(2065,3335,0.15489,3.4962),(2065,3345,0.15507,3.4938),(2065,3355,0.15518,3.4914),(2065,3365,0.15527,3.489),(2065,3375,0.15536,3.4865),(2065,3385,0.15546,3.4841),(2065,3395,0.15547,3.4816),(2065,3405,0.15547,3.4792),(2065,3415,0.15547,3.4767),(2065,3425,0.15547,3.4743),(2065,3435,0.15538,3.4718),(2065,3445,0.15528,3.4693),(2065,3455,0.15519,3.4669),(2065,3465,0.1551,3.4644),(2065,3475,0.15491,3.4619),(2065,3485,0.15472,3.4594),(2065,3495,0.15453,3.4569),(2065,3505,0.15433,3.4544),(2065,3515,0.15404,3.4519),(2065,3525,0.15376,3.4494),(2065,3535,0.15347,3.4469),(2065,3545,0.15317,3.4444),(2065,3555,0.15278,3.4419),(2065,3565,0.15239,3.4395),(2065,3575,0.15201,3.437),(2065,3585,0.15161,3.4345),(2065,3595,0.15112,3.432),(2065,3605,0.15063,3.4295),(2065,3615,0.15014,3.427),(2065,3625,0.14964,3.4245),(2065,3635,0.14905,3.4221),(2065,3645,0.14846,3.4196),(2065,3655,0.14787,3.4171),(2065,3665,0.14727,3.4147),(2065,3675,0.14658,3.4122),(2065,3685,0.14589,3.4098),(2065,3695,0.1452,3.4073),(2065,3705,0.1445,3.4049),(2065,3715,0.14371,3.4025),(2065,3725,0.14292,3.4),(2065,3735,0.14214,3.3977),(2065,3745,0.14133,3.3953),(2065,3755,0.14044,3.3929),(2065,3765,0.13956,3.3905),(2065,3775,0.13867,3.3881),(2065,3785,0.13776,3.3858),(2065,3795,0.13678,3.3834),(2065,3805,0.1358,3.3811),(2065,3815,0.13482,3.3788),(2065,3825,0.13381,3.3765),(2065,3835,0.13273,3.3742),(2065,3845,0.13165,3.3719),(2065,3855,0.13058,3.3697),(2065,3865,0.12947,3.3674),(2065,3875,0.12829,3.3652),(2065,3885,0.12712,3.363),(2065,3895,0.12595,3.3608),(2065,3905,0.14492,3.3586),(2065,3915,0.19399,3.3564),(2065,3925,0.24305,3.353),(2065,3935,0.29211,3.3478),(2065,3945,0.344,3.3427),(2065,3955,0.39948,3.3375),(2065,3965,0.45496,3.3309),(2065,3975,0.51043,3.3225),(2065,3985,0.54242,3.3141),(2065,3995,0.54897,3.3057),(2065,4005,0.55553,3.2972),(2065,4015,0.56208,3.2885),(2065,4025,0.56915,3.2798),(2065,4035,0.57626,3.2711),(2065,4045,0.58338,3.2622),(2065,4055,0.59031,3.2532),(2065,4065,0.59716,3.2442),(2065,4075,0.60401,3.2349),(2065,4085,0.61033,3.2256),(2065,4095,0.61623,3.2162),(2065,4105,0.62213,3.2063),(2065,4115,0.60457,3.1963),(2065,4125,0.54812,3.1863),(2065,4135,0.49167,3.178),(2065,4145,0.43433,3.1703),(2065,4155,0.37335,3.1625),(2065,4165,0.31237,3.1567),(2065,4175,0.25504,3.1521),(2065,4185,0.37833,3.1475),(2065,4195,0.50161,3.1405),(2065,4205,0.62489,3.1303),(2065,4215,0.62757,3.1201),(2065,4225,0.60755,3.1102),(2065,4235,0.58753,3.1008),(2065,4245,0.54892,3.0915),(2065,4255,0.50087,3.0823),(2065,4265,0.45283,3.075),(2065,4275,0.38056,3.0677),(2065,4285,0.28258,3.0605),(2065,4295,0.1846,3.0579),(2065,4305,0.16741,3.0559),(2065,4315,0.33263,3.0538),(2065,4325,0.49786,3.0458),(2065,4335,0.6458,3.0354),(2065,4345,0.67677,3.0251),(2065,4355,0.70774,3.014),(2065,4365,0.73871,3.0024),(2065,4375,0.74825,2.9908),(2065,4385,0.75668,2.9791),(2065,4395,0.76511,2.9671),(2065,4405,0.66925,2.9551),(2065,4415,0.54264,2.9442),(2065,4425,0.41604,2.9382),(2065,4435,0.36472,2.9322),(2065,4445,0.36486,2.9261),(2065,4455,0.365,2.9201),(2065,4465,0.42966,2.9141),(2065,4475,0.58496,2.9081),(2065,4485,0.74025,2.897),(2065,4495,0.86207,2.885),(2065,4505,0.87648,2.8729),(2065,4515,0.89088,2.8612),(2065,4525,0.90323,2.8497),(2065,4535,0.88286,2.8382),(2065,4545,0.86248,2.8278),(2065,4555,0.84211,2.8189),(2065,4565,0.63435,2.8099),(2065,4575,0.40132,2.803),(2065,4585,0.16829,2.8013),(2065,4595,0.1916,2.7996),(2065,4605,0.32321,2.7971),(2065,4615,0.45482,2.7886),(2065,4625,0.56208,2.7801),(2065,4635,0.64729,2.7716),(2065,4645,0.7325,2.7606),(2065,4655,0.80476,2.7493),(2065,4665,0.8526,2.7381),(2065,4675,0.90044,2.7258),(2065,4685,0.90761,2.7132),(2065,4695,0.71381,2.7006),(2065,4705,0.52001,2.6922),(2065,4715,0.32621,2.687),(2065,4725,0.44002,2.6818),(2065,4735,0.5569,2.6748),(2065,4745,0.67378,2.6651),(2065,4755,0.79893,2.6554),(2065,4765,0.92599,2.645),(2065,4775,1.053,2.6321),(2065,4785,1.1076,2.6192),(2065,4795,1.1203,2.6064),(2065,4805,1.1329,2.5939),(2065,4815,1.0863,2.5815),(2065,4825,0.96884,2.569),(2065,4835,0.85138,2.5601),(2065,4845,0.73123,2.5517),(2065,4855,0.60404,2.5432),(2065,4865,0.47685,2.5376),(2065,4875,0.39005,2.5333),(2065,4885,0.6707,2.5289),(2065,4895,0.95135,2.5202),(2065,4905,1.232,2.5072),(2065,4915,1.2353,2.4943),(2065,4925,1.2148,2.4813),(2065,4935,1.1943,2.4684),(2065,4945,1.1083,2.4554),(2065,4955,0.99955,2.4427),(2065,4965,0.89081,2.4317),(2065,4975,0.70701,2.4206),(2065,4985,0.46527,2.4095),(2065,4995,0.22353,2.408),(2065,5005,0.19188,2.4068),(2065,5015,0.49423,2.4055),(2065,5025,0.79658,2.3975),(2065,5035,1.0592,2.3878),(2065,5045,1.1706,2.3781),(2065,5055,1.282,2.3668),(2065,5065,1.3904,2.3545),(2065,5075,1.4022,2.3423),(2065,5085,1.4139,2.3301),(2065,5095,1.4257,2.318),(2065,5105,1.2496,2.306),(2065,5115,1.0408,2.2954),(2065,5125,0.83198,2.2891),(2065,5135,0.72513,2.2827),(2065,5145,0.66778,2.2764),(2065,5155,0.61042,2.2707),(2065,5165,0.72584,2.265),(2065,5175,1.0175,2.2593),(2065,5185,1.3091,2.2466),(2065,5195,1.5122,2.2332),(2065,5205,1.5244,2.2197),(2065,5215,1.5365,2.2065),(2065,5225,1.5403,2.1934),(2065,5235,1.4926,2.1803),(2065,5245,1.4449,2.1682),(2065,5255,1.3971,2.1571),(2065,5265,0.98079,2.1459),(2065,5275,0.54926,2.1386),(2065,5285,0.11773,2.1381),(2065,5295,0.29244,2.1376),(2065,5305,0.63599,2.1347),(2065,5315,0.97954,2.1212),(2065,5325,1.1905,2.1078),(2065,5335,1.3145,2.0943),(2065,5345,1.4385,2.0803),(2065,5355,1.5221,2.0663),(2065,5365,1.5511,2.0523),(2065,5375,1.5801,2.039),(2065,5385,1.5106,2.0258),(2065,5395,1.1419,2.0125),(2065,5405,0.77323,2.0057),(2065,5415,0.44188,2.0022),(2065,5425,0.61248,1.9987),(2065,5435,0.78307,1.9906),(2065,5445,0.95366,1.9774),(2065,5455,1.1454,1.9642),(2065,5465,1.3398,1.9488),(2065,5475,1.5341,1.9283),(2065,5485,1.6041,1.9077),(2065,5495,1.6241,1.8872),(2065,5505,1.644,1.8672),(2065,5515,1.6641,1.8472),(2065,5525,1.6842,1.8271),(2065,5535,1.7043,1.8075),(2065,5545,1.724,1.7879),(2065,5555,1.743,1.7684),(2065,5565,1.762,1.7492),(2065,5575,1.7807,1.7301),(2065,5585,1.7984,1.7111),(2065,5595,1.8162,1.6923),(2065,5605,1.8339,1.6737),(2065,5615,1.8504,1.6551),(2065,5625,1.8669,1.6367),(2065,5635,1.8834,1.6187),(2065,5645,1.8989,1.6006),(2065,5655,1.9143,1.5826),(2065,5665,1.9296,1.5649),(2065,5675,1.9443,1.5472),(2065,5685,1.9586,1.5296),(2065,5695,1.9728,1.5123),(2065,5705,1.9867,1.495),(2065,5715,1.9999,1.4778),(2065,5725,2.0132,1.4609),(2065,5735,2.0262,1.444),(2065,5745,2.0386,1.4271),(2065,5755,2.051,1.4105),(2065,5765,2.0632,1.394),(2065,5775,2.0747,1.3775),(2065,5785,2.0862,1.3612),(2065,5795,2.0977,1.345),(2065,5805,2.1085,1.3288),(2065,5815,2.1192,1.3127),(2065,5825,2.13,1.2969),(2065,5835,2.1401,1.281),(2065,5845,2.1501,1.2652),(2065,5855,2.1602,1.2496),(2065,5865,2.1698,1.234),(2065,5875,2.1791,1.2184),(2065,5885,2.1884,1.2031),(2065,5895,2.1975,1.1877),(2065,5905,2.2063,1.1724),(2065,5915,2.215,1.1573),(2065,5925,2.2236,1.1422),(2065,5935,2.2318,1.1271),(2065,5945,2.2399,1.1122),(2065,5955,2.2481,1.0974),(2065,5965,2.2559,1.0825),(2065,5975,2.2638,1.0678),(2065,5985,2.2716,1.0532),(2065,5995,1.7373,1.0385),(2065,6005,1.1156,1.0274),(2065,6015,0.49402,1.0254),(2065,6025,0.53004,1.0235),(2065,6035,0.87107,1.0205),(2065,6045,1.2121,1.007),(2065,6055,1.4553,0.99358),(2065,6065,1.6026,0.98013),(2065,6075,1.7499,0.96273),(2065,6085,1.8511,0.94496),(2065,6095,1.8574,0.92719),(2065,6105,1.8637,0.90929),(2065,6115,1.8699,0.89135),(2065,6125,1.8759,0.87341),(2065,6135,1.8819,0.85547),(2065,6145,1.8879,0.83754),(2065,6155,1.8935,0.81961),(2065,6165,1.899,0.80169),(2065,6175,1.9046,0.7838),(2065,6185,1.9099,0.76591),(2065,6195,1.9151,0.748),(2065,6205,1.9203,0.73004),(2065,6215,1.9252,0.71207),(2065,6225,1.93,0.69411),(2065,6235,1.9348,0.67622),(2065,6245,1.9394,0.65833),(2065,6255,1.9438,0.64044),(2065,6265,1.9481,0.62255),(2065,6275,1.9524,0.60466),(2065,6285,1.9564,0.58677),(2065,6295,1.9604,0.56883),(2065,6305,1.9644,0.55087),(2065,6315,1.968,0.53291),(2065,6325,1.9717,0.51491),(2065,6335,1.9753,0.49687),(2065,6345,1.9785,0.47883),(2065,6355,1.9818,0.46079),(2065,6365,1.985,0.44278),(2065,6375,1.9879,0.42476),(2065,6385,1.9907,0.40676),(2065,6395,1.9936,0.38882),(2065,6405,1.9962,0.37089),(2065,6415,1.9986,0.35295),(2065,6425,2.001,0.33505),(2065,6435,2.0033,0.31715),(2065,6445,2.0053,0.29925),(2065,6455,2.0073,0.28134),(2065,6465,2.0092,0.26342),(2065,6475,2.0109,0.24551),(2065,6485,2.0125,0.22754),(2065,6495,2.0141,0.20955),(2065,6505,2.0154,0.19156),(2065,6515,2.0166,0.17356),(2065,6525,2.0179,0.15556),(2065,6535,2.0188,0.13755),(2065,6545,2.0196,0.11955),(2065,6555,2.0205,0.10157),(2065,6565,2.021,0.083576),(2065,6575,2.0214,0.065593),(2065,6585,2.0219,0.047694),(2065,6595,1.7198,0.029795),(2065,6605,1.0838,0.011896),(2065,6615,0.44785,0.009837),(2065,6625,0.000772,0.009814),(2065,6635,0.000774,0.009791),(2065,6645,0.000776,0.009777),(2065,6655,0.000779,0.009766),(2065,6665,0.00078,0.009756),(2065,6675,0.000782,0.009746),(2065,6685,0.000784,0.009736),(2065,6695,0.000786,0.009726),(2065,6705,0.000788,0.009716),(2065,6715,0.00079,0.009706),(2065,6725,0.000792,0.009696),(2065,6735,0.000793,0.009686),(2065,6745,0.000795,0.009676),(2065,6755,0.000797,0.009666),(2065,6765,0.000798,0.009656),(2065,6775,0.0008,0.009646),(2065,6785,0.000802,0.009636),(2065,6795,0.000803,0.009626),(2065,6805,0.000805,0.009617),(2065,6815,0.000806,0.009607),(2065,6825,0.000808,0.009597),(2065,6835,0.000809,0.009587),(2065,6845,0.000811,0.009577),(2065,6855,0.000812,0.009567),(2065,6865,0.000813,0.009558),(2065,6875,0.000815,0.009548),(2065,6885,0.000816,0.009538),(2065,6895,0.000817,0.009529),(2065,6905,0.000819,0.009519),(2065,6915,0.00082,0.009509),(2065,6925,0.000821,0.0095),(2065,6935,0.000822,0.00949),(2065,6945,0.000824,0.00948),(2065,6955,0.000825,0.009471),(2065,6965,0.000826,0.009461),(2065,6975,0.000827,0.009452),(2065,6985,0.000828,0.009442),(2075,5,5.4e-05,3.6815),(2075,15,0.000161,3.6815),(2075,25,0.000269,3.6815),(2075,35,0.000377,3.6815),(2075,45,0.000484,3.6815),(2075,55,0.000592,3.6815),(2075,65,0.0007,3.6815),(2075,75,0.000808,3.6815),(2075,85,0.000916,3.6815),(2075,95,0.001024,3.6815),(2075,105,0.001133,3.6815),(2075,115,0.001242,3.6815),(2075,125,0.00135,3.6815),(2075,135,0.001459,3.6815),(2075,145,0.001569,3.6815),(2075,155,0.001678,3.6815),(2075,165,0.001788,3.6815),(2075,175,0.001898,3.6815),(2075,185,0.002008,3.6815),(2075,195,0.002119,3.6815),(2075,205,0.00223,3.6815),(2075,215,0.002341,3.6815),(2075,225,0.002453,3.6815),(2075,235,0.002565,3.6815),(2075,245,0.002677,3.6815),(2075,255,0.002789,3.6815),(2075,265,0.002903,3.6815),(2075,275,0.003017,3.6815),(2075,285,0.003131,3.6815),(2075,295,0.003245,3.6815),(2075,305,0.003361,3.6815),(2075,315,0.003477,3.6815),(2075,325,0.003593,3.6815),(2075,335,0.003709,3.6815),(2075,345,0.003827,3.6815),(2075,355,0.003946,3.6815),(2075,365,0.004064,3.6815),(2075,375,0.004183,3.6815),(2075,385,0.004304,3.6815),(2075,395,0.004425,3.6815),(2075,405,0.004546,3.6815),(2075,415,0.004667,3.6815),(2075,425,0.004791,3.6815),(2075,435,0.004915,3.6815),(2075,445,0.005039,3.6815),(2075,455,0.005163,3.6815),(2075,465,0.005291,3.6815),(2075,475,0.005418,3.6815),(2075,485,0.005545,3.6815),(2075,495,0.005673,3.6815),(2075,505,0.005804,3.6815),(2075,515,0.005935,3.6815),(2075,525,0.006066,3.6814),(2075,535,0.006197,3.6814),(2075,545,0.006332,3.6814),(2075,555,0.006467,3.6814),(2075,565,0.006601,3.6814),(2075,575,0.006737,3.6814),(2075,585,0.006876,3.6814),(2075,595,0.007015,3.6814),(2075,605,0.007154,3.6814),(2075,615,0.007294,3.6814),(2075,625,0.007438,3.6814),(2075,635,0.007582,3.6814),(2075,645,0.007726,3.6814),(2075,655,0.007871,3.6814),(2075,665,0.00802,3.6814),(2075,675,0.008169,3.6814),(2075,685,0.008318,3.6814),(2075,695,0.008468,3.6814),(2075,705,0.008623,3.6813),(2075,715,0.008778,3.6813),(2075,725,0.008932,3.6813),(2075,735,0.009088,3.6813),(2075,745,0.009249,3.6813),(2075,755,0.00941,3.6813),(2075,765,0.00957,3.6813),(2075,775,0.009732,3.6813),(2075,785,0.009899,3.6813),(2075,795,0.010066,3.6813),(2075,805,0.010233,3.6813),(2075,815,0.010402,3.6812),(2075,825,0.010576,3.6812),(2075,835,0.01075,3.6812),(2075,845,0.010923,3.6812),(2075,855,0.0111,3.6812),(2075,865,0.011281,3.6812),(2075,875,0.011462,3.6812),(2075,885,0.011643,3.6812),(2075,895,0.011827,3.6812),(2075,905,0.012016,3.6811),(2075,915,0.012205,3.6811),(2075,925,0.012394,3.6811),(2075,935,0.012587,3.6811),(2075,945,0.012784,3.6811),(2075,955,0.012982,3.6811),(2075,965,0.013179,3.6811),(2075,975,0.01338,3.681),(2075,985,0.013587,3.681),(2075,995,0.013793,3.681),(2075,1005,0.013999,3.681),(2075,1015,0.01421,3.681),(2075,1025,0.014426,3.6809),(2075,1035,0.014641,3.6809),(2075,1045,0.014857,3.6809),(2075,1055,0.015078,3.6809),(2075,1065,0.015304,3.6809),(2075,1075,0.01553,3.6808),(2075,1085,0.015756,3.6808),(2075,1095,0.015988,3.6808),(2075,1105,0.016225,3.6808),(2075,1115,0.016461,3.6807),(2075,1125,0.016698,3.6807),(2075,1135,0.016942,3.6807),(2075,1145,0.01719,3.6807),(2075,1155,0.017437,3.6806),(2075,1165,0.017685,3.6806),(2075,1175,0.017941,3.6806),(2075,1185,0.018201,3.6805),(2075,1195,0.018461,3.6805),(2075,1205,0.01872,3.6805),(2075,1215,0.018989,3.6804),(2075,1225,0.019261,3.6804),(2075,1235,0.019534,3.6804),(2075,1245,0.019806,3.6803),(2075,1255,0.020089,3.6803),(2075,1265,0.020375,3.6802),(2075,1275,0.02066,3.6802),(2075,1285,0.020946,3.6802),(2075,1295,0.021243,3.6801),(2075,1305,0.021543,3.6801),(2075,1315,0.021843,3.68),(2075,1325,0.022143,3.68),(2075,1335,0.022455,3.6799),(2075,1345,0.02277,3.6799),(2075,1355,0.023084,3.6798),(2075,1365,0.023399,3.6798),(2075,1375,0.023727,3.6797),(2075,1385,0.024057,3.6796),(2075,1395,0.024388,3.6796),(2075,1405,0.024718,3.6795),(2075,1415,0.025063,3.6794),(2075,1425,0.02541,3.6794),(2075,1435,0.025756,3.6793),(2075,1445,0.026103,3.6792),(2075,1455,0.026465,3.6792),(2075,1465,0.026829,3.6791),(2075,1475,0.027193,3.679),(2075,1485,0.027556,3.6789),(2075,1495,0.027937,3.6789),(2075,1505,0.028319,3.6788),(2075,1515,0.0287,3.6787),(2075,1525,0.029082,3.6786),(2075,1535,0.029482,3.6785),(2075,1545,0.029882,3.6784),(2075,1555,0.030282,3.6783),(2075,1565,0.030683,3.6782),(2075,1575,0.031103,3.6781),(2075,1585,0.031522,3.678),(2075,1595,0.031941,3.6779),(2075,1605,0.032363,3.6778),(2075,1615,0.032802,3.6777),(2075,1625,0.033242,3.6775),(2075,1635,0.033681,3.6774),(2075,1645,0.034124,3.6773),(2075,1655,0.034584,3.6772),(2075,1665,0.035044,3.677),(2075,1675,0.035505,3.6769),(2075,1685,0.035969,3.6767),(2075,1695,0.036451,3.6766),(2075,1705,0.036933,3.6765),(2075,1715,0.037415,3.6763),(2075,1725,0.037902,3.6761),(2075,1735,0.038407,3.676),(2075,1745,0.038911,3.6758),(2075,1755,0.039416,3.6756),(2075,1765,0.039926,3.6755),(2075,1775,0.040454,3.6753),(2075,1785,0.040981,3.6751),(2075,1795,0.041508,3.6749),(2075,1805,0.042043,3.6747),(2075,1815,0.042594,3.6745),(2075,1825,0.043145,3.6743),(2075,1835,0.043696,3.6741),(2075,1845,0.044255,3.6739),(2075,1855,0.044831,3.6737),(2075,1865,0.045406,3.6734),(2075,1875,0.045981,3.6732),(2075,1885,0.046566,3.673),(2075,1895,0.047166,3.6727),(2075,1905,0.047766,3.6725),(2075,1915,0.048366,3.6722),(2075,1925,0.048976,3.6719),(2075,1935,0.049601,3.6717),(2075,1945,0.050226,3.6714),(2075,1955,0.050851,3.6711),(2075,1965,0.051488,3.6708),(2075,1975,0.052138,3.6705),(2075,1985,0.052789,3.6702),(2075,1995,0.053439,3.6699),(2075,2005,0.054102,3.6696),(2075,2015,0.054778,3.6692),(2075,2025,0.055454,3.6689),(2075,2035,0.05613,3.6685),(2075,2045,0.05682,3.6682),(2075,2055,0.057522,3.6678),(2075,2065,0.058224,3.6675),(2075,2075,0.058925,3.6671),(2075,2085,0.059642,3.6667),(2075,2095,0.060369,3.6663),(2075,2105,0.061097,3.6659),(2075,2115,0.061824,3.6654),(2075,2125,0.062567,3.665),(2075,2135,0.06332,3.6646),(2075,2145,0.064073,3.6641),(2075,2155,0.064826,3.6637),(2075,2165,0.065595,3.6632),(2075,2175,0.066373,3.6627),(2075,2185,0.067151,3.6622),(2075,2195,0.067929,3.6617),(2075,2205,0.068724,3.6612),(2075,2215,0.069526,3.6607),(2075,2225,0.070328,3.6602),(2075,2235,0.07113,3.6596),(2075,2245,0.07195,3.6591),(2075,2255,0.072775,3.6585),(2075,2265,0.073601,3.6579),(2075,2275,0.074427,3.6573),(2075,2285,0.07527,3.6567),(2075,2295,0.076119,3.6561),(2075,2305,0.076967,3.6555),(2075,2315,0.077815,3.6548),(2075,2325,0.078681,3.6541),(2075,2335,0.079551,3.6535),(2075,2345,0.080421,3.6528),(2075,2355,0.08129,3.6521),(2075,2365,0.082177,3.6514),(2075,2375,0.083066,3.6507),(2075,2385,0.083956,3.6499),(2075,2395,0.084845,3.6491),(2075,2405,0.085751,3.6484),(2075,2415,0.086658,3.6476),(2075,2425,0.087565,3.6468),(2075,2435,0.088472,3.6459),(2075,2445,0.089393,3.6451),(2075,2455,0.090316,3.6443),(2075,2465,0.091239,3.6434),(2075,2475,0.092161,3.6425),(2075,2485,0.093097,3.6416),(2075,2495,0.094032,3.6407),(2075,2505,0.094968,3.6397),(2075,2515,0.095904,3.6388),(2075,2525,0.09685,3.6378),(2075,2535,0.097797,3.6369),(2075,2545,0.098743,3.6358),(2075,2555,0.09969,3.6348),(2075,2565,0.10064,3.6338),(2075,2575,0.1016,3.6327),(2075,2585,0.10255,3.6316),(2075,2595,0.10351,3.6305),(2075,2605,0.10446,3.6294),(2075,2615,0.10542,3.6283),(2075,2625,0.10638,3.6272),(2075,2635,0.10734,3.626),(2075,2645,0.10829,3.6248),(2075,2655,0.10925,3.6236),(2075,2665,0.11021,3.6224),(2075,2675,0.11116,3.6211),(2075,2685,0.11212,3.6199),(2075,2695,0.11307,3.6186),(2075,2705,0.11402,3.6173),(2075,2715,0.11498,3.616),(2075,2725,0.11592,3.6146),(2075,2735,0.11687,3.6133),(2075,2745,0.11781,3.6119),(2075,2755,0.11875,3.6105),(2075,2765,0.11969,3.6091),(2075,2775,0.12062,3.6076),(2075,2785,0.12155,3.6061),(2075,2795,0.12248,3.6046),(2075,2805,0.12339,3.6032),(2075,2815,0.12431,3.6016),(2075,2825,0.12522,3.6001),(2075,2835,0.12613,3.5985),(2075,2845,0.12702,3.5969),(2075,2855,0.12791,3.5953),(2075,2865,0.1288,3.5937),(2075,2875,0.12968,3.592),(2075,2885,0.13055,3.5904),(2075,2895,0.13141,3.5887),(2075,2905,0.13227,3.587),(2075,2915,0.13312,3.5853),(2075,2925,0.13395,3.5835),(2075,2935,0.13478,3.5818),(2075,2945,0.13561,3.5799),(2075,2955,0.13642,3.5781),(2075,2965,0.13721,3.5763),(2075,2975,0.138,3.5745),(2075,2985,0.13879,3.5726),(2075,2995,0.13956,3.5707),(2075,3005,0.1403,3.5688),(2075,3015,0.14104,3.5669),(2075,3025,0.14179,3.5649),(2075,3035,0.14251,3.563),(2075,3045,0.1432,3.561),(2075,3055,0.14389,3.559),(2075,3065,0.14459,3.5569),(2075,3075,0.14525,3.5549),(2075,3085,0.14589,3.5529),(2075,3095,0.14652,3.5508),(2075,3105,0.14716,3.5487),(2075,3115,0.14776,3.5466),(2075,3125,0.14833,3.5445),(2075,3135,0.14891,3.5423),(2075,3145,0.14948,3.5401),(2075,3155,0.15001,3.538),(2075,3165,0.15052,3.5358),(2075,3175,0.15103,3.5336),(2075,3185,0.15154,3.5313),(2075,3195,0.15199,3.5291),(2075,3205,0.15243,3.5269),(2075,3215,0.15286,3.5246),(2075,3225,0.1533,3.5223),(2075,3235,0.15368,3.52),(2075,3245,0.15403,3.5177),(2075,3255,0.15439,3.5154),(2075,3265,0.15475,3.513),(2075,3275,0.15504,3.5107),(2075,3285,0.15532,3.5083),(2075,3295,0.15559,3.5059),(2075,3305,0.15587,3.5036),(2075,3315,0.15608,3.5012),(2075,3325,0.15626,3.4988),(2075,3335,0.15645,3.4963),(2075,3345,0.15664,3.4939),(2075,3355,0.15676,3.4915),(2075,3365,0.15686,3.4891),(2075,3375,0.15695,3.4866),(2075,3385,0.15705,3.4841),(2075,3395,0.15707,3.4817),(2075,3405,0.15708,3.4792),(2075,3415,0.15708,3.4767),(2075,3425,0.15709,3.4742),(2075,3435,0.15701,3.4717),(2075,3445,0.15692,3.4692),(2075,3455,0.15683,3.4667),(2075,3465,0.15674,3.4642),(2075,3475,0.15655,3.4617),(2075,3485,0.15637,3.4592),(2075,3495,0.15618,3.4567),(2075,3505,0.15599,3.4542),(2075,3515,0.1557,3.4517),(2075,3525,0.15542,3.4491),(2075,3535,0.15513,3.4466),(2075,3545,0.15484,3.4441),(2075,3555,0.15445,3.4416),(2075,3565,0.15406,3.4391),(2075,3575,0.15367,3.4365),(2075,3585,0.15328,3.434),(2075,3595,0.15279,3.4315),(2075,3605,0.1523,3.429),(2075,3615,0.15181,3.4265),(2075,3625,0.15131,3.424),(2075,3635,0.15072,3.4215),(2075,3645,0.15013,3.419),(2075,3655,0.14954,3.4165),(2075,3665,0.14893,3.414),(2075,3675,0.14824,3.4115),(2075,3685,0.14755,3.4091),(2075,3695,0.14686,3.4066),(2075,3705,0.14614,3.4042),(2075,3715,0.14535,3.4017),(2075,3725,0.14456,3.3993),(2075,3735,0.14377,3.3968),(2075,3745,0.14296,3.3944),(2075,3755,0.14207,3.392),(2075,3765,0.14118,3.3896),(2075,3775,0.14029,3.3872),(2075,3785,0.13937,3.3848),(2075,3795,0.13838,3.3825),(2075,3805,0.13739,3.3801),(2075,3815,0.1364,3.3778),(2075,3825,0.13539,3.3755),(2075,3835,0.1343,3.3731),(2075,3845,0.13322,3.3708),(2075,3855,0.13213,3.3686),(2075,3865,0.13101,3.3663),(2075,3875,0.12983,3.364),(2075,3885,0.12865,3.3618),(2075,3895,0.12747,3.3596),(2075,3905,0.14664,3.3574),(2075,3915,0.1962,3.3551),(2075,3925,0.24576,3.3517),(2075,3935,0.29532,3.3465),(2075,3945,0.34772,3.3413),(2075,3955,0.40372,3.3361),(2075,3965,0.45973,3.3294),(2075,3975,0.51573,3.3209),(2075,3985,0.54801,3.3124),(2075,3995,0.5546,3.304),(2075,4005,0.56119,3.2954),(2075,4015,0.56779,3.2867),(2075,4025,0.5749,3.278),(2075,4035,0.58206,3.2691),(2075,4045,0.58923,3.2601),(2075,4055,0.59622,3.2511),(2075,4065,0.60316,3.2421),(2075,4075,0.6101,3.2326),(2075,4085,0.61656,3.2232),(2075,4095,0.62263,3.2138),(2075,4105,0.6287,3.2037),(2075,4115,0.6111,3.1936),(2075,4125,0.55424,3.1836),(2075,4135,0.49738,3.1752),(2075,4145,0.43958,3.1674),(2075,4155,0.37793,3.1596),(2075,4165,0.31629,3.1536),(2075,4175,0.25833,3.1489),(2075,4185,0.3827,3.1443),(2075,4195,0.50707,3.1372),(2075,4205,0.63144,3.1269),(2075,4215,0.63415,3.1167),(2075,4225,0.61397,3.1066),(2075,4235,0.59378,3.0972),(2075,4245,0.55484,3.0878),(2075,4255,0.50639,3.0786),(2075,4265,0.45795,3.0713),(2075,4275,0.38493,3.064),(2075,4285,0.28584,3.0567),(2075,4295,0.18675,3.0541),(2075,4305,0.16932,3.052),(2075,4315,0.3363,3.05),(2075,4325,0.50329,3.042),(2075,4335,0.65279,3.0316),(2075,4345,0.68395,3.0212),(2075,4355,0.71511,3.0102),(2075,4365,0.74627,2.9986),(2075,4375,0.75589,2.987),(2075,4385,0.76438,2.9753),(2075,4395,0.77288,2.9632),(2075,4405,0.67613,2.9512),(2075,4415,0.54834,2.9403),(2075,4425,0.42055,2.9341),(2075,4435,0.36876,2.928),(2075,4445,0.3689,2.9219),(2075,4455,0.36905,2.9157),(2075,4465,0.43415,2.9096),(2075,4475,0.5905,2.9034),(2075,4485,0.74686,2.8923),(2075,4495,0.86942,2.8802),(2075,4505,0.88357,2.8681),(2075,4515,0.89772,2.8563),(2075,4525,0.90977,2.8448),(2075,4535,0.88871,2.8333),(2075,4545,0.86765,2.823),(2075,4555,0.84659,2.8141),(2075,4565,0.63783,2.8051),(2075,4575,0.40377,2.7983),(2075,4585,0.16971,2.7966),(2075,4595,0.19367,2.795),(2075,4605,0.32666,2.7925),(2075,4615,0.45965,2.7841),(2075,4625,0.56778,2.7756),(2075,4635,0.65341,2.7671),(2075,4645,0.73904,2.756),(2075,4655,0.81165,2.7446),(2075,4665,0.85968,2.7333),(2075,4675,0.90772,2.7209),(2075,4685,0.91485,2.7082),(2075,4695,0.71979,2.6955),(2075,4705,0.52472,2.6871),(2075,4715,0.32966,2.6819),(2075,4725,0.44423,2.6767),(2075,4735,0.56189,2.6697),(2075,4745,0.67956,2.66),(2075,4755,0.80511,2.6503),(2075,4765,0.9325,2.6399),(2075,4775,1.0599,2.627),(2075,4785,1.1144,2.6141),(2075,4795,1.1269,2.6012),(2075,4805,1.1394,2.5887),(2075,4815,1.0924,2.5761),(2075,4825,0.97426,2.5636),(2075,4835,0.85617,2.5545),(2075,4845,0.73539,2.546),(2075,4855,0.60758,2.5374),(2075,4865,0.47978,2.5318),(2075,4875,0.39254,2.5274),(2075,4885,0.67439,2.5231),(2075,4895,0.95624,2.5144),(2075,4905,1.2381,2.5014),(2075,4915,1.2416,2.4885),(2075,4925,1.2212,2.4755),(2075,4935,1.2008,2.4625),(2075,4945,1.1147,2.4495),(2075,4955,1.006,2.4368),(2075,4965,0.8972,2.4257),(2075,4975,0.7124,2.4145),(2075,4985,0.4689,2.4033),(2075,4995,0.22541,2.4018),(2075,5005,0.1931,2.4006),(2075,5015,0.4965,2.3993),(2075,5025,0.7999,2.3913),(2075,5035,1.0634,2.3815),(2075,5045,1.175,2.3718),(2075,5055,1.2866,2.3605),(2075,5065,1.3952,2.3482),(2075,5075,1.4069,2.3359),(2075,5085,1.4185,2.3237),(2075,5095,1.4302,2.3116),(2075,5105,1.2535,2.2996),(2075,5115,1.044,2.289),(2075,5125,0.8345,2.2826),(2075,5135,0.72749,2.2763),(2075,5145,0.67021,2.27),(2075,5155,0.61294,2.2643),(2075,5165,0.72884,2.2586),(2075,5175,1.0214,2.2529),(2075,5185,1.3139,2.2402),(2075,5195,1.5175,2.2268),(2075,5205,1.5295,2.2133),(2075,5215,1.5415,2.2002),(2075,5225,1.5451,2.1871),(2075,5235,1.4971,2.174),(2075,5245,1.449,2.1619),(2075,5255,1.4009,2.1508),(2075,5265,0.98354,2.1396),(2075,5275,0.55093,2.1324),(2075,5285,0.11831,2.1319),(2075,5295,0.29449,2.1314),(2075,5305,0.64021,2.1284),(2075,5315,0.98593,2.1149),(2075,5325,1.1975,2.1014),(2075,5335,1.321,2.088),(2075,5345,1.4446,2.074),(2075,5355,1.5278,2.06),(2075,5365,1.5564,2.046),(2075,5375,1.585,2.0327),(2075,5385,1.5151,2.0194),(2075,5395,1.1453,2.0062),(2075,5405,0.77546,1.9994),(2075,5415,0.44324,1.9959),(2075,5425,0.6159,1.9924),(2075,5435,0.78857,1.9843),(2075,5445,0.96123,1.9711),(2075,5455,1.1543,1.958),(2075,5465,1.3499,1.9426),(2075,5475,1.5454,1.9221),(2075,5485,1.6156,1.9016),(2075,5495,1.6353,1.8812),(2075,5505,1.6551,1.8612),(2075,5515,1.6749,1.8413),(2075,5525,1.6947,1.8213),(2075,5535,1.7146,1.8018),(2075,5545,1.7341,1.7823),(2075,5555,1.7528,1.7628),(2075,5565,1.7715,1.7437),(2075,5575,1.7901,1.7247),(2075,5585,1.8075,1.7057),(2075,5595,1.825,1.687),(2075,5605,1.8425,1.6685),(2075,5615,1.8588,1.6499),(2075,5625,1.8751,1.6316),(2075,5635,1.8914,1.6136),(2075,5645,1.9067,1.5956),(2075,5655,1.9219,1.5777),(2075,5665,1.937,1.5601),(2075,5675,1.9515,1.5425),(2075,5685,1.9656,1.5249),(2075,5695,1.9797,1.5077),(2075,5705,1.9933,1.4905),(2075,5715,2.0064,1.4733),(2075,5725,2.0195,1.4565),(2075,5735,2.0323,1.4397),(2075,5745,2.0445,1.4229),(2075,5755,2.0567,1.4063),(2075,5765,2.0688,1.3899),(2075,5775,2.0802,1.3735),(2075,5785,2.0915,1.3572),(2075,5795,2.1029,1.3411),(2075,5805,2.1135,1.325),(2075,5815,2.1241,1.309),(2075,5825,2.1347,1.2932),(2075,5835,2.1447,1.2774),(2075,5845,2.1546,1.2616),(2075,5855,2.1645,1.2461),(2075,5865,2.174,1.2306),(2075,5875,2.1832,1.2151),(2075,5885,2.1924,1.1998),(2075,5895,2.2014,1.1845),(2075,5905,2.21,1.1693),(2075,5915,2.2186,1.1542),(2075,5925,2.2271,1.1392),(2075,5935,2.2351,1.1242),(2075,5945,2.2432,1.1094),(2075,5955,2.2512,1.0946),(2075,5965,2.259,1.0798),(2075,5975,2.2667,1.0652),(2075,5985,2.2745,1.0506),(2075,5995,1.7394,1.0361),(2075,6005,1.117,1.0249),(2075,6015,0.49464,1.023),(2075,6025,0.53174,1.0211),(2075,6035,0.8747,1.0181),(2075,6045,1.2177,1.0046),(2075,6055,1.4622,0.9912),(2075,6065,1.6101,0.97777),(2075,6075,1.758,0.96039),(2075,6085,1.8597,0.94265),(2075,6095,1.8659,0.92491),(2075,6105,1.8722,0.90704),(2075,6115,1.8784,0.88913),(2075,6125,1.8844,0.87122),(2075,6135,1.8903,0.85332),(2075,6145,1.8963,0.83542),(2075,6155,1.9018,0.81752),(2075,6165,1.9074,0.79964),(2075,6175,1.913,0.78178),(2075,6185,1.9182,0.76392),(2075,6195,1.9234,0.74605),(2075,6205,1.9285,0.72812),(2075,6215,1.9335,0.71019),(2075,6225,1.9382,0.69227),(2075,6235,1.943,0.67442),(2075,6245,1.9476,0.65657),(2075,6255,1.952,0.63872),(2075,6265,1.9563,0.62087),(2075,6275,1.9606,0.60303),(2075,6285,1.9646,0.58518),(2075,6295,1.9686,0.56729),(2075,6305,1.9726,0.54937),(2075,6315,1.9762,0.53146),(2075,6325,1.9798,0.51351),(2075,6335,1.9834,0.49551),(2075,6345,1.9866,0.47752),(2075,6355,1.9898,0.45953),(2075,6365,1.993,0.44156),(2075,6375,1.996,0.42359),(2075,6385,1.9988,0.40563),(2075,6395,2.0016,0.38774),(2075,6405,2.0042,0.36985),(2075,6415,2.0066,0.35196),(2075,6425,2.009,0.33411),(2075,6435,2.0113,0.31625),(2075,6445,2.0133,0.2984),(2075,6455,2.0153,0.28054),(2075,6465,2.0173,0.26267),(2075,6475,2.0189,0.24481),(2075,6485,2.0205,0.2269),(2075,6495,2.0221,0.20896),(2075,6505,2.0234,0.19102),(2075,6515,2.0246,0.17307),(2075,6525,2.0258,0.15512),(2075,6535,2.0268,0.13717),(2075,6545,2.0276,0.11922),(2075,6555,2.0285,0.10128),(2075,6565,2.029,0.083344),(2075,6575,2.0294,0.065413),(2075,6585,2.0298,0.047566),(2075,6595,1.7266,0.029719),(2075,6605,1.0881,0.011873),(2075,6615,0.44962,0.009825),(2075,6625,0.000779,0.009808),(2075,6635,0.000781,0.009791),(2075,6645,0.000783,0.009779),(2075,6655,0.000785,0.009768),(2075,6665,0.000787,0.009758),(2075,6675,0.000789,0.009748),(2075,6685,0.00079,0.009738),(2075,6695,0.000792,0.009728),(2075,6705,0.000794,0.009718),(2075,6715,0.000796,0.009708),(2075,6725,0.000798,0.009697),(2075,6735,0.000799,0.009687),(2075,6745,0.000801,0.009678),(2075,6755,0.000803,0.009668),(2075,6765,0.000804,0.009658),(2075,6775,0.000806,0.009648),(2075,6785,0.000807,0.009638),(2075,6795,0.000809,0.009628),(2075,6805,0.00081,0.009618),(2075,6815,0.000812,0.009608),(2075,6825,0.000813,0.009598),(2075,6835,0.000815,0.009589),(2075,6845,0.000816,0.009579),(2075,6855,0.000818,0.009569),(2075,6865,0.000819,0.009559),(2075,6875,0.00082,0.009549),(2075,6885,0.000822,0.00954),(2075,6895,0.000823,0.00953),(2075,6905,0.000824,0.00952),(2075,6915,0.000826,0.009511),(2075,6925,0.000827,0.009501),(2075,6935,0.000828,0.009491),(2075,6945,0.000829,0.009482),(2075,6955,0.00083,0.009472),(2075,6965,0.000832,0.009462),(2075,6975,0.000833,0.009453),(2075,6985,0.000834,0.009443),(2085,5,5.4e-05,3.6817),(2085,15,0.000161,3.6817),(2085,25,0.000268,3.6817),(2085,35,0.000375,3.6817),(2085,45,0.000482,3.6817),(2085,55,0.000589,3.6817),(2085,65,0.000697,3.6817),(2085,75,0.000804,3.6817),(2085,85,0.000912,3.6817),(2085,95,0.00102,3.6817),(2085,105,0.001128,3.6817),(2085,115,0.001236,3.6817),(2085,125,0.001344,3.6816),(2085,135,0.001453,3.6816),(2085,145,0.001561,3.6816),(2085,155,0.001671,3.6816),(2085,165,0.00178,3.6816),(2085,175,0.001889,3.6816),(2085,185,0.001999,3.6816),(2085,195,0.002109,3.6816),(2085,205,0.00222,3.6816),(2085,215,0.00233,3.6816),(2085,225,0.002442,3.6816),(2085,235,0.002553,3.6816),(2085,245,0.002665,3.6816),(2085,255,0.002777,3.6816),(2085,265,0.00289,3.6816),(2085,275,0.003004,3.6816),(2085,285,0.003117,3.6816),(2085,295,0.003231,3.6816),(2085,305,0.003346,3.6816),(2085,315,0.003461,3.6816),(2085,325,0.003577,3.6816),(2085,335,0.003693,3.6816),(2085,345,0.00381,3.6816),(2085,355,0.003928,3.6816),(2085,365,0.004046,3.6816),(2085,375,0.004164,3.6816),(2085,385,0.004285,3.6816),(2085,395,0.004405,3.6816),(2085,405,0.004526,3.6816),(2085,415,0.004647,3.6816),(2085,425,0.00477,3.6816),(2085,435,0.004894,3.6816),(2085,445,0.005017,3.6816),(2085,455,0.005141,3.6816),(2085,465,0.005267,3.6816),(2085,475,0.005394,3.6816),(2085,485,0.005521,3.6816),(2085,495,0.005648,3.6816),(2085,505,0.005778,3.6816),(2085,515,0.005909,3.6816),(2085,525,0.006039,3.6816),(2085,535,0.00617,3.6816),(2085,545,0.006304,3.6816),(2085,555,0.006438,3.6816),(2085,565,0.006573,3.6816),(2085,575,0.006708,3.6816),(2085,585,0.006846,3.6816),(2085,595,0.006985,3.6816),(2085,605,0.007124,3.6815),(2085,615,0.007263,3.6815),(2085,625,0.007406,3.6815),(2085,635,0.00755,3.6815),(2085,645,0.007693,3.6815),(2085,655,0.007837,3.6815),(2085,665,0.007986,3.6815),(2085,675,0.008134,3.6815),(2085,685,0.008283,3.6815),(2085,695,0.008432,3.6815),(2085,705,0.008587,3.6815),(2085,715,0.008741,3.6815),(2085,725,0.008895,3.6815),(2085,735,0.00905,3.6815),(2085,745,0.00921,3.6815),(2085,755,0.009371,3.6815),(2085,765,0.009531,3.6815),(2085,775,0.009692,3.6814),(2085,785,0.009859,3.6814),(2085,795,0.010025,3.6814),(2085,805,0.010192,3.6814),(2085,815,0.01036,3.6814),(2085,825,0.010533,3.6814),(2085,835,0.010706,3.6814),(2085,845,0.01088,3.6814),(2085,855,0.011055,3.6814),(2085,865,0.011236,3.6814),(2085,875,0.011417,3.6814),(2085,885,0.011597,3.6814),(2085,895,0.011781,3.6813),(2085,905,0.011969,3.6813),(2085,915,0.012158,3.6813),(2085,925,0.012346,3.6813),(2085,935,0.012539,3.6813),(2085,945,0.012735,3.6813),(2085,955,0.012932,3.6813),(2085,965,0.013129,3.6813),(2085,975,0.01333,3.6812),(2085,985,0.013536,3.6812),(2085,995,0.013742,3.6812),(2085,1005,0.013947,3.6812),(2085,1015,0.014158,3.6812),(2085,1025,0.014373,3.6812),(2085,1035,0.014588,3.6811),(2085,1045,0.014804,3.6811),(2085,1055,0.015024,3.6811),(2085,1065,0.01525,3.6811),(2085,1075,0.015475,3.6811),(2085,1085,0.015701,3.681),(2085,1095,0.015933,3.681),(2085,1105,0.016169,3.681),(2085,1115,0.016405,3.681),(2085,1125,0.016642,3.681),(2085,1135,0.016885,3.6809),(2085,1145,0.017133,3.6809),(2085,1155,0.01738,3.6809),(2085,1165,0.017628,3.6809),(2085,1175,0.017883,3.6808),(2085,1185,0.018143,3.6808),(2085,1195,0.018402,3.6808),(2085,1205,0.018662,3.6807),(2085,1215,0.01893,3.6807),(2085,1225,0.019203,3.6807),(2085,1235,0.019475,3.6806),(2085,1245,0.019747,3.6806),(2085,1255,0.020029,3.6806),(2085,1265,0.020315,3.6805),(2085,1275,0.020601,3.6805),(2085,1285,0.020886,3.6804),(2085,1295,0.021183,3.6804),(2085,1305,0.021483,3.6804),(2085,1315,0.021783,3.6803),(2085,1325,0.022083,3.6803),(2085,1335,0.022395,3.6802),(2085,1345,0.02271,3.6802),(2085,1355,0.023025,3.6801),(2085,1365,0.023339,3.6801),(2085,1375,0.023668,3.68),(2085,1385,0.023998,3.68),(2085,1395,0.024329,3.6799),(2085,1405,0.024659,3.6798),(2085,1415,0.025004,3.6798),(2085,1425,0.025351,3.6797),(2085,1435,0.025698,3.6797),(2085,1445,0.026045,3.6796),(2085,1455,0.026408,3.6795),(2085,1465,0.026772,3.6795),(2085,1475,0.027136,3.6794),(2085,1485,0.0275,3.6793),(2085,1495,0.027882,3.6792),(2085,1505,0.028264,3.6792),(2085,1515,0.028646,3.6791),(2085,1525,0.029029,3.679),(2085,1535,0.02943,3.6789),(2085,1545,0.02983,3.6788),(2085,1555,0.030231,3.6787),(2085,1565,0.030633,3.6786),(2085,1575,0.031053,3.6785),(2085,1585,0.031474,3.6784),(2085,1595,0.031894,3.6783),(2085,1605,0.032317,3.6782),(2085,1615,0.032757,3.6781),(2085,1625,0.033198,3.678),(2085,1635,0.033638,3.6779),(2085,1645,0.034082,3.6777),(2085,1655,0.034544,3.6776),(2085,1665,0.035006,3.6775),(2085,1675,0.035468,3.6774),(2085,1685,0.035934,3.6772),(2085,1695,0.036417,3.6771),(2085,1705,0.036901,3.6769),(2085,1715,0.037385,3.6768),(2085,1725,0.037873,3.6766),(2085,1735,0.03838,3.6765),(2085,1745,0.038886,3.6763),(2085,1755,0.039393,3.6762),(2085,1765,0.039905,3.676),(2085,1775,0.040435,3.6758),(2085,1785,0.040964,3.6756),(2085,1795,0.041494,3.6754),(2085,1805,0.042031,3.6753),(2085,1815,0.042585,3.6751),(2085,1825,0.043138,3.6749),(2085,1835,0.043692,3.6747),(2085,1845,0.044254,3.6744),(2085,1855,0.044832,3.6742),(2085,1865,0.04541,3.674),(2085,1875,0.045988,3.6738),(2085,1885,0.046576,3.6736),(2085,1895,0.047179,3.6733),(2085,1905,0.047782,3.6731),(2085,1915,0.048386,3.6728),(2085,1925,0.049,3.6726),(2085,1935,0.049629,3.6723),(2085,1945,0.050257,3.672),(2085,1955,0.050886,3.6717),(2085,1965,0.051527,3.6714),(2085,1975,0.052181,3.6712),(2085,1985,0.052836,3.6709),(2085,1995,0.05349,3.6705),(2085,2005,0.054158,3.6702),(2085,2015,0.054838,3.6699),(2085,2025,0.055519,3.6696),(2085,2035,0.056199,3.6692),(2085,2045,0.056894,3.6689),(2085,2055,0.057601,3.6685),(2085,2065,0.058308,3.6682),(2085,2075,0.059015,3.6678),(2085,2085,0.059737,3.6674),(2085,2095,0.06047,3.667),(2085,2105,0.061203,3.6666),(2085,2115,0.061936,3.6662),(2085,2125,0.062685,3.6658),(2085,2135,0.063444,3.6654),(2085,2145,0.064203,3.6649),(2085,2155,0.064962,3.6644),(2085,2165,0.065737,3.664),(2085,2175,0.066522,3.6635),(2085,2185,0.067306,3.663),(2085,2195,0.068091,3.6625),(2085,2205,0.068893,3.662),(2085,2215,0.069702,3.6615),(2085,2225,0.070512,3.661),(2085,2235,0.071321,3.6604),(2085,2245,0.072149,3.6599),(2085,2255,0.072982,3.6593),(2085,2265,0.073816,3.6588),(2085,2275,0.07465,3.6582),(2085,2285,0.075501,3.6576),(2085,2295,0.076358,3.657),(2085,2305,0.077215,3.6563),(2085,2315,0.078072,3.6557),(2085,2325,0.078946,3.655),(2085,2335,0.079825,3.6544),(2085,2345,0.080704,3.6537),(2085,2355,0.081583,3.653),(2085,2365,0.082479,3.6523),(2085,2375,0.083378,3.6516),(2085,2385,0.084277,3.6508),(2085,2395,0.085176,3.65),(2085,2405,0.086092,3.6493),(2085,2415,0.08701,3.6485),(2085,2425,0.087927,3.6477),(2085,2435,0.088845,3.6469),(2085,2445,0.089777,3.646),(2085,2455,0.090711,3.6452),(2085,2465,0.091644,3.6443),(2085,2475,0.092578,3.6434),(2085,2485,0.093525,3.6425),(2085,2495,0.094472,3.6417),(2085,2505,0.095419,3.6407),(2085,2515,0.096367,3.6397),(2085,2525,0.097325,3.6388),(2085,2535,0.098284,3.6378),(2085,2545,0.099242,3.6368),(2085,2555,0.1002,3.6358),(2085,2565,0.10117,3.6347),(2085,2575,0.10213,3.6337),(2085,2585,0.1031,3.6326),(2085,2595,0.10407,3.6315),(2085,2605,0.10504,3.6304),(2085,2615,0.10601,3.6293),(2085,2625,0.10698,3.6281),(2085,2635,0.10795,3.627),(2085,2645,0.10892,3.6258),(2085,2655,0.10989,3.6246),(2085,2665,0.11086,3.6233),(2085,2675,0.11183,3.6221),(2085,2685,0.1128,3.6208),(2085,2695,0.11377,3.6196),(2085,2705,0.11474,3.6183),(2085,2715,0.1157,3.6169),(2085,2725,0.11666,3.6156),(2085,2735,0.11762,3.6142),(2085,2745,0.11858,3.6128),(2085,2755,0.11954,3.6114),(2085,2765,0.12049,3.61),(2085,2775,0.12143,3.6086),(2085,2785,0.12238,3.6071),(2085,2795,0.12332,3.6056),(2085,2805,0.12425,3.6041),(2085,2815,0.12518,3.6026),(2085,2825,0.12611,3.601),(2085,2835,0.12703,3.5994),(2085,2845,0.12794,3.5979),(2085,2855,0.12885,3.5963),(2085,2865,0.12975,3.5946),(2085,2875,0.13065,3.5929),(2085,2885,0.13153,3.5913),(2085,2895,0.1324,3.5896),(2085,2905,0.13328,3.5879),(2085,2915,0.13415,3.5861),(2085,2925,0.13499,3.5844),(2085,2935,0.13583,3.5826),(2085,2945,0.13668,3.5808),(2085,2955,0.1375,3.579),(2085,2965,0.13831,3.5771),(2085,2975,0.13911,3.5753),(2085,2985,0.13992,3.5734),(2085,2995,0.1407,3.5715),(2085,3005,0.14146,3.5696),(2085,3015,0.14222,3.5676),(2085,3025,0.14298,3.5657),(2085,3035,0.14371,3.5637),(2085,3045,0.14442,3.5617),(2085,3055,0.14513,3.5597),(2085,3065,0.14583,3.5576),(2085,3075,0.14651,3.5556),(2085,3085,0.14716,3.5535),(2085,3095,0.14781,3.5514),(2085,3105,0.14846,3.5493),(2085,3115,0.14907,3.5472),(2085,3125,0.14966,3.5451),(2085,3135,0.15025,3.5429),(2085,3145,0.15084,3.5407),(2085,3155,0.15138,3.5385),(2085,3165,0.1519,3.5363),(2085,3175,0.15242,3.5341),(2085,3185,0.15294,3.5318),(2085,3195,0.15341,3.5296),(2085,3205,0.15386,3.5273),(2085,3215,0.1543,3.525),(2085,3225,0.15475,3.5227),(2085,3235,0.15514,3.5204),(2085,3245,0.15551,3.5181),(2085,3255,0.15588,3.5157),(2085,3265,0.15624,3.5134),(2085,3275,0.15655,3.511),(2085,3285,0.15683,3.5086),(2085,3295,0.15712,3.5062),(2085,3305,0.1574,3.5038),(2085,3315,0.15762,3.5014),(2085,3325,0.15782,3.499),(2085,3335,0.15801,3.4965),(2085,3345,0.15821,3.4941),(2085,3355,0.15833,3.4916),(2085,3365,0.15844,3.4892),(2085,3375,0.15855,3.4867),(2085,3385,0.15865,3.4842),(2085,3395,0.15868,3.4817),(2085,3405,0.15869,3.4792),(2085,3415,0.1587,3.4767),(2085,3425,0.15871,3.4742),(2085,3435,0.15863,3.4717),(2085,3445,0.15855,3.4692),(2085,3455,0.15847,3.4666),(2085,3465,0.15838,3.4641),(2085,3475,0.1582,3.4616),(2085,3485,0.15802,3.459),(2085,3495,0.15783,3.4565),(2085,3505,0.15765,3.4539),(2085,3515,0.15736,3.4514),(2085,3525,0.15708,3.4489),(2085,3535,0.15679,3.4463),(2085,3545,0.1565,3.4438),(2085,3555,0.15612,3.4412),(2085,3565,0.15573,3.4387),(2085,3575,0.15534,3.4361),(2085,3585,0.15495,3.4336),(2085,3595,0.15446,3.431),(2085,3605,0.15397,3.4285),(2085,3615,0.15348,3.426),(2085,3625,0.15298,3.4234),(2085,3635,0.15238,3.4209),(2085,3645,0.15179,3.4184),(2085,3655,0.1512,3.4159),(2085,3665,0.15059,3.4134),(2085,3675,0.1499,3.4109),(2085,3685,0.1492,3.4084),(2085,3695,0.14851,3.4059),(2085,3705,0.14779,3.4034),(2085,3715,0.147,3.4009),(2085,3725,0.1462,3.3985),(2085,3735,0.14541,3.396),(2085,3745,0.14459,3.3936),(2085,3755,0.14369,3.3911),(2085,3765,0.14279,3.3887),(2085,3775,0.1419,3.3863),(2085,3785,0.14098,3.3839),(2085,3795,0.13998,3.3815),(2085,3805,0.13899,3.3791),(2085,3815,0.13799,3.3767),(2085,3825,0.13697,3.3744),(2085,3835,0.13587,3.372),(2085,3845,0.13478,3.3697),(2085,3855,0.13369,3.3674),(2085,3865,0.13256,3.3651),(2085,3875,0.13137,3.3628),(2085,3885,0.13018,3.3606),(2085,3895,0.12899,3.3583),(2085,3905,0.14835,3.3561),(2085,3915,0.19841,3.3539),(2085,3925,0.24847,3.3504),(2085,3935,0.29852,3.3451),(2085,3945,0.35143,3.3398),(2085,3955,0.40797,3.3346),(2085,3965,0.4645,3.3278),(2085,3975,0.52103,3.3193),(2085,3985,0.5536,3.3108),(2085,3995,0.56023,3.3023),(2085,4005,0.56686,3.2936),(2085,4015,0.57349,3.2848),(2085,4025,0.58065,3.276),(2085,4035,0.58786,3.2672),(2085,4045,0.59507,3.2581),(2085,4055,0.60214,3.249),(2085,4065,0.60916,3.2398),(2085,4075,0.61618,3.2303),(2085,4085,0.62278,3.2208),(2085,4095,0.62903,3.2113),(2085,4105,0.63527,3.2012),(2085,4115,0.61763,3.191),(2085,4125,0.56036,3.1808),(2085,4135,0.50309,3.1724),(2085,4145,0.44483,3.1645),(2085,4155,0.38252,3.1567),(2085,4165,0.32021,3.1507),(2085,4175,0.26162,3.1459),(2085,4185,0.38708,3.1412),(2085,4195,0.51254,3.134),(2085,4205,0.638,3.1237),(2085,4215,0.64074,3.1133),(2085,4225,0.62039,3.1032),(2085,4235,0.60003,3.0938),(2085,4245,0.56077,3.0844),(2085,4255,0.51192,3.0751),(2085,4265,0.46307,3.0677),(2085,4275,0.3893,3.0603),(2085,4285,0.28909,3.053),(2085,4295,0.18889,3.0503),(2085,4305,0.17123,3.0483),(2085,4315,0.33997,3.0462),(2085,4325,0.50871,3.0382),(2085,4335,0.65977,3.0278),(2085,4345,0.69112,3.0174),(2085,4355,0.72248,3.0064),(2085,4365,0.75383,2.9948),(2085,4375,0.76352,2.9832),(2085,4385,0.77209,2.9715),(2085,4395,0.78065,2.9594),(2085,4405,0.683,2.9474),(2085,4415,0.55404,2.9364),(2085,4425,0.42507,2.9302),(2085,4435,0.3728,2.9239),(2085,4445,0.37295,2.9177),(2085,4455,0.37309,2.9114),(2085,4465,0.43864,2.9052),(2085,4475,0.59605,2.8989),(2085,4485,0.75347,2.8877),(2085,4495,0.87678,2.8756),(2085,4505,0.89067,2.8634),(2085,4515,0.90455,2.8517),(2085,4525,0.91632,2.8402),(2085,4535,0.89457,2.8287),(2085,4545,0.87282,2.8184),(2085,4555,0.85107,2.8094),(2085,4565,0.64132,2.8003),(2085,4575,0.40622,2.7935),(2085,4585,0.17112,2.7919),(2085,4595,0.19575,2.7902),(2085,4605,0.33011,2.7878),(2085,4615,0.46447,2.7793),(2085,4625,0.57348,2.7708),(2085,4635,0.65953,2.7623),(2085,4645,0.74558,2.751),(2085,4655,0.81853,2.7396),(2085,4665,0.86677,2.7281),(2085,4675,0.91501,2.7156),(2085,4685,0.92208,2.7029),(2085,4695,0.72576,2.6902),(2085,4705,0.52944,2.6818),(2085,4715,0.33311,2.6766),(2085,4725,0.44844,2.6714),(2085,4735,0.56688,2.6644),(2085,4745,0.68533,2.6548),(2085,4755,0.8113,2.6452),(2085,4765,0.93901,2.6348),(2085,4775,1.0667,2.6219),(2085,4785,1.1213,2.6089),(2085,4795,1.1335,2.5959),(2085,4805,1.1458,2.5833),(2085,4815,1.0984,2.5707),(2085,4825,0.97968,2.558),(2085,4835,0.86096,2.5488),(2085,4845,0.73955,2.5402),(2085,4855,0.61113,2.5316),(2085,4865,0.4827,2.5259),(2085,4875,0.39503,2.5215),(2085,4885,0.67808,2.5172),(2085,4895,0.96113,2.5085),(2085,4905,1.2442,2.4955),(2085,4915,1.2479,2.4826),(2085,4925,1.2275,2.4696),(2085,4935,1.2072,2.4566),(2085,4945,1.1212,2.4436),(2085,4955,1.0124,2.4309),(2085,4965,0.90359,2.4196),(2085,4975,0.71779,2.4083),(2085,4985,0.47254,2.3971),(2085,4995,0.2273,2.3956),(2085,5005,0.19431,2.3943),(2085,5015,0.49877,2.393),(2085,5025,0.80323,2.385),(2085,5035,1.0676,2.3752),(2085,5045,1.1794,2.3654),(2085,5055,1.2912,2.3541),(2085,5065,1.4001,2.3418),(2085,5075,1.4116,2.3295),(2085,5085,1.4231,2.3173),(2085,5095,1.4346,2.3052),(2085,5105,1.2574,2.2931),(2085,5115,1.0472,2.2825),(2085,5125,0.83702,2.2761),(2085,5135,0.72985,2.2697),(2085,5145,0.67265,2.2634),(2085,5155,0.61545,2.2577),(2085,5165,0.73183,2.252),(2085,5175,1.0252,2.2463),(2085,5185,1.3186,2.2337),(2085,5195,1.5228,2.2203),(2085,5205,1.5346,2.2069),(2085,5215,1.5464,2.1937),(2085,5225,1.5499,2.1806),(2085,5235,1.5015,2.1676),(2085,5245,1.4531,2.1556),(2085,5255,1.4047,2.1444),(2085,5265,0.98629,2.1332),(2085,5275,0.55259,2.126),(2085,5285,0.11889,2.1255),(2085,5295,0.29654,2.125),(2085,5305,0.64443,2.122),(2085,5315,0.99231,2.1085),(2085,5325,1.2045,2.095),(2085,5335,1.3276,2.0815),(2085,5345,1.4507,2.0675),(2085,5355,1.5335,2.0536),(2085,5365,1.5617,2.0396),(2085,5375,1.59,2.0262),(2085,5385,1.5195,2.013),(2085,5395,1.1486,1.9998),(2085,5405,0.77769,1.993),(2085,5415,0.44459,1.9895),(2085,5425,0.61933,1.986),(2085,5435,0.79407,1.9779),(2085,5445,0.96881,1.9647),(2085,5455,1.1632,1.9516),(2085,5465,1.36,1.9363),(2085,5475,1.5567,1.9159),(2085,5485,1.6271,1.8955),(2085,5495,1.6466,1.8751),(2085,5505,1.6661,1.8552),(2085,5515,1.6857,1.8353),(2085,5525,1.7053,1.8154),(2085,5535,1.7249,1.7959),(2085,5545,1.7441,1.7765),(2085,5555,1.7626,1.7571),(2085,5565,1.7811,1.738),(2085,5575,1.7994,1.7191),(2085,5585,1.8166,1.7002),(2085,5595,1.8339,1.6816),(2085,5605,1.8512,1.6631),(2085,5615,1.8672,1.6447),(2085,5625,1.8833,1.6265),(2085,5635,1.8994,1.6085),(2085,5645,1.9145,1.5906),(2085,5655,1.9295,1.5728),(2085,5665,1.9444,1.5552),(2085,5675,1.9587,1.5377),(2085,5685,1.9726,1.5202),(2085,5695,1.9865,1.503),(2085,5705,1.9999,1.4859),(2085,5715,2.0129,1.4688),(2085,5725,2.0258,1.452),(2085,5735,2.0384,1.4353),(2085,5745,2.0505,1.4186),(2085,5755,2.0625,1.4021),(2085,5765,2.0744,1.3857),(2085,5775,2.0856,1.3694),(2085,5785,2.0968,1.3532),(2085,5795,2.108,1.3371),(2085,5805,2.1185,1.3211),(2085,5815,2.129,1.3052),(2085,5825,2.1394,1.2894),(2085,5835,2.1493,1.2737),(2085,5845,2.159,1.258),(2085,5855,2.1688,1.2426),(2085,5865,2.1782,1.2271),(2085,5875,2.1872,1.2117),(2085,5885,2.1963,1.1965),(2085,5895,2.2052,1.1813),(2085,5905,2.2137,1.1661),(2085,5915,2.2222,1.1511),(2085,5925,2.2306,1.1362),(2085,5935,2.2385,1.1212),(2085,5945,2.2465,1.1065),(2085,5955,2.2544,1.0918),(2085,5965,2.262,1.0771),(2085,5975,2.2697,1.0625),(2085,5985,2.2773,1.048),(2085,5995,1.7416,1.0335),(2085,6005,1.1184,1.0225),(2085,6015,0.49527,1.0205),(2085,6025,0.53344,1.0186),(2085,6035,0.87833,1.0156),(2085,6045,1.2232,1.0022),(2085,6055,1.469,0.98876),(2085,6065,1.6176,0.97535),(2085,6075,1.7662,0.95799),(2085,6085,1.8683,0.94028),(2085,6095,1.8745,0.92256),(2085,6105,1.8807,0.90473),(2085,6115,1.8869,0.88685),(2085,6125,1.8928,0.86897),(2085,6135,1.8988,0.8511),(2085,6145,1.9047,0.83324),(2085,6155,1.9102,0.81538),(2085,6165,1.9158,0.79753),(2085,6175,1.9213,0.77971),(2085,6185,1.9265,0.76189),(2085,6195,1.9317,0.74406),(2085,6205,1.9368,0.72617),(2085,6215,1.9417,0.70828),(2085,6225,1.9465,0.6904),(2085,6235,1.9512,0.67259),(2085,6245,1.9558,0.65478),(2085,6255,1.9602,0.63697),(2085,6265,1.9645,0.61916),(2085,6275,1.9688,0.60136),(2085,6285,1.9728,0.58356),(2085,6295,1.9767,0.56571),(2085,6305,1.9807,0.54785),(2085,6315,1.9843,0.52999),(2085,6325,1.9879,0.51209),(2085,6335,1.9915,0.49414),(2085,6345,1.9947,0.47619),(2085,6355,1.9979,0.45825),(2085,6365,2.0011,0.44033),(2085,6375,2.004,0.4224),(2085,6385,2.0068,0.40449),(2085,6395,2.0096,0.38665),(2085,6405,2.0122,0.3688),(2085,6415,2.0146,0.35096),(2085,6425,2.017,0.33315),(2085,6435,2.0193,0.31535),(2085,6445,2.0213,0.29755),(2085,6455,2.0233,0.27973),(2085,6465,2.0253,0.26192),(2085,6475,2.0269,0.2441),(2085,6485,2.0285,0.22625),(2085,6495,2.0301,0.20836),(2085,6505,2.0314,0.19047),(2085,6515,2.0326,0.17258),(2085,6525,2.0338,0.15468),(2085,6535,2.0347,0.13678),(2085,6545,2.0356,0.11888),(2085,6555,2.0364,0.101),(2085,6565,2.037,0.083113),(2085,6575,2.0374,0.065236),(2085,6585,2.0378,0.047444),(2085,6595,1.7334,0.029651),(2085,6605,1.0924,0.011859),(2085,6615,0.45139,0.00982),(2085,6625,0.000785,0.009806),(2085,6635,0.000787,0.009792),(2085,6645,0.000789,0.00978),(2085,6655,0.000791,0.00977),(2085,6665,0.000793,0.00976),(2085,6675,0.000795,0.00975),(2085,6685,0.000796,0.009739),(2085,6695,0.000798,0.009729),(2085,6705,0.0008,0.009719),(2085,6715,0.000802,0.009709),(2085,6725,0.000804,0.009699),(2085,6735,0.000805,0.009689),(2085,6745,0.000807,0.009679),(2085,6755,0.000808,0.009669),(2085,6765,0.00081,0.009659),(2085,6775,0.000812,0.009649),(2085,6785,0.000813,0.009639),(2085,6795,0.000815,0.009629),(2085,6805,0.000816,0.009619),(2085,6815,0.000818,0.00961),(2085,6825,0.000819,0.0096),(2085,6835,0.000821,0.00959),(2085,6845,0.000822,0.00958),(2085,6855,0.000823,0.00957),(2085,6865,0.000825,0.00956),(2085,6875,0.000826,0.009551),(2085,6885,0.000827,0.009541),(2085,6895,0.000829,0.009531),(2085,6905,0.00083,0.009522),(2085,6915,0.000831,0.009512),(2085,6925,0.000832,0.009502),(2085,6935,0.000834,0.009492),(2085,6945,0.000835,0.009483),(2085,6955,0.000836,0.009473),(2085,6965,0.000837,0.009463),(2085,6975,0.000838,0.009454),(2085,6985,0.000839,0.009444),(2095,5,5.3e-05,3.6818),(2095,15,0.00016,3.6818),(2095,25,0.000267,3.6818),(2095,35,0.000373,3.6818),(2095,45,0.00048,3.6818),(2095,55,0.000587,3.6818),(2095,65,0.000693,3.6818),(2095,75,0.000801,3.6818),(2095,85,0.000908,3.6818),(2095,95,0.001015,3.6818),(2095,105,0.001122,3.6818),(2095,115,0.00123,3.6818),(2095,125,0.001338,3.6818),(2095,135,0.001445,3.6818),(2095,145,0.001554,3.6818),(2095,155,0.001663,3.6818),(2095,165,0.001771,3.6818),(2095,175,0.00188,3.6818),(2095,185,0.001989,3.6818),(2095,195,0.002099,3.6818),(2095,205,0.002209,3.6818),(2095,215,0.002319,3.6818),(2095,225,0.00243,3.6818),(2095,235,0.002541,3.6818),(2095,245,0.002652,3.6818),(2095,255,0.002764,3.6817),(2095,265,0.002876,3.6817),(2095,275,0.002989,3.6817),(2095,285,0.003102,3.6817),(2095,295,0.003215,3.6817),(2095,305,0.00333,3.6817),(2095,315,0.003445,3.6817),(2095,325,0.00356,3.6817),(2095,335,0.003675,3.6817),(2095,345,0.003792,3.6817),(2095,355,0.003909,3.6817),(2095,365,0.004027,3.6817),(2095,375,0.004144,3.6817),(2095,385,0.004264,3.6817),(2095,395,0.004384,3.6817),(2095,405,0.004504,3.6817),(2095,415,0.004625,3.6817),(2095,425,0.004747,3.6817),(2095,435,0.00487,3.6817),(2095,445,0.004993,3.6817),(2095,455,0.005116,3.6817),(2095,465,0.005242,3.6817),(2095,475,0.005369,3.6817),(2095,485,0.005495,3.6817),(2095,495,0.005621,3.6817),(2095,505,0.005751,3.6817),(2095,515,0.005881,3.6817),(2095,525,0.006011,3.6817),(2095,535,0.006141,3.6817),(2095,545,0.006275,3.6817),(2095,555,0.006408,3.6817),(2095,565,0.006542,3.6817),(2095,575,0.006676,3.6817),(2095,585,0.006815,3.6817),(2095,595,0.006953,3.6817),(2095,605,0.007091,3.6817),(2095,615,0.007229,3.6817),(2095,625,0.007372,3.6817),(2095,635,0.007515,3.6817),(2095,645,0.007658,3.6817),(2095,655,0.007801,3.6817),(2095,665,0.007949,3.6817),(2095,675,0.008097,3.6817),(2095,685,0.008245,3.6817),(2095,695,0.008394,3.6817),(2095,705,0.008548,3.6817),(2095,715,0.008701,3.6816),(2095,725,0.008855,3.681641),(2095,735,0.00901,3.6816),(2095,745,0.009169,3.6816),(2095,755,0.009329,3.6816),(2095,765,0.009488,3.6816),(2095,775,0.009649,3.6816),(2095,785,0.009815,3.6816),(2095,795,0.009981,3.6816),(2095,805,0.010147,3.6816),(2095,815,0.010315,3.6816),(2095,825,0.010487,3.6816),(2095,835,0.01066,3.6816),(2095,845,0.010833,3.6816),(2095,855,0.011008,3.6816),(2095,865,0.011188,3.6816),(2095,875,0.011368,3.6815),(2095,885,0.011548,3.6815),(2095,895,0.011731,3.6815),(2095,905,0.011919,3.6815),(2095,915,0.012107,3.6815),(2095,925,0.012295,3.6815),(2095,935,0.012486,3.6815),(2095,945,0.012683,3.6815),(2095,955,0.012879,3.6815),(2095,965,0.013075,3.6815),(2095,975,0.013276,3.6814),(2095,985,0.013481,3.6814),(2095,995,0.013686,3.6814),(2095,1005,0.013891,3.6814),(2095,1015,0.014101,3.6814),(2095,1025,0.014316,3.6814),(2095,1035,0.014531,3.6814),(2095,1045,0.014746,3.6813),(2095,1055,0.014966,3.6813),(2095,1065,0.015191,3.6813),(2095,1075,0.015416,3.6813),(2095,1085,0.015641,3.6813),(2095,1095,0.015872,3.6813),(2095,1105,0.016108,3.6812),(2095,1115,0.016344,3.6812),(2095,1125,0.01658,3.6812),(2095,1135,0.016823,3.6812),(2095,1145,0.01707,3.6812),(2095,1155,0.017317,3.6811),(2095,1165,0.017564,3.6811),(2095,1175,0.01782,3.6811),(2095,1185,0.018079,3.6811),(2095,1195,0.018338,3.681),(2095,1205,0.018597,3.681),(2095,1215,0.018865,3.681),(2095,1225,0.019137,3.6809),(2095,1235,0.019409,3.6809),(2095,1245,0.019681,3.6809),(2095,1255,0.019963,3.6808),(2095,1265,0.020249,3.6808),(2095,1275,0.020534,3.6808),(2095,1285,0.02082,3.6807),(2095,1295,0.021116,3.6807),(2095,1305,0.021416,3.6807),(2095,1315,0.021716,3.6806),(2095,1325,0.022016,3.6806),(2095,1335,0.022328,3.6805),(2095,1345,0.022643,3.6805),(2095,1355,0.022957,3.6804),(2095,1365,0.023272,3.6804),(2095,1375,0.0236,3.6803),(2095,1385,0.023931,3.6803),(2095,1395,0.024261,3.6802),(2095,1405,0.024592,3.6802),(2095,1415,0.024937,3.6801),(2095,1425,0.025285,3.6801),(2095,1435,0.025632,3.68),(2095,1445,0.025979,3.6799),(2095,1455,0.026342,3.6799),(2095,1465,0.026707,3.6798),(2095,1475,0.027071,3.6798),(2095,1485,0.027436,3.6797),(2095,1495,0.027818,3.6796),(2095,1505,0.0282,3.6795),(2095,1515,0.028583,3.6795),(2095,1525,0.028966,3.6794),(2095,1535,0.029367,3.6793),(2095,1545,0.029769,3.6792),(2095,1555,0.03017,3.6791),(2095,1565,0.030573,3.679),(2095,1575,0.030994,3.6789),(2095,1585,0.031415,3.6788),(2095,1595,0.031837,3.6787),(2095,1605,0.03226,3.6786),(2095,1615,0.032702,3.6785),(2095,1625,0.033143,3.6784),(2095,1635,0.033585,3.6783),(2095,1645,0.03403,3.6782),(2095,1655,0.034493,3.6781),(2095,1665,0.034956,3.678),(2095,1675,0.035419,3.6778),(2095,1685,0.035887,3.6777),(2095,1695,0.036372,3.6776),(2095,1705,0.036857,3.6774),(2095,1715,0.037342,3.6773),(2095,1725,0.037833,3.6771),(2095,1735,0.038341,3.677),(2095,1745,0.038849,3.6768),(2095,1755,0.039357,3.6767),(2095,1765,0.039872,3.6765),(2095,1775,0.040404,3.6763),(2095,1785,0.040935,3.6762),(2095,1795,0.041467,3.676),(2095,1805,0.042006,3.6758),(2095,1815,0.042562,3.6756),(2095,1825,0.043119,3.6754),(2095,1835,0.043675,3.6752),(2095,1845,0.044239,3.675),(2095,1855,0.04482,3.6748),(2095,1865,0.045401,3.6746),(2095,1875,0.045982,3.6744),(2095,1885,0.046573,3.6741),(2095,1895,0.047179,3.6739),(2095,1905,0.047786,3.6737),(2095,1915,0.048392,3.6734),(2095,1925,0.04901,3.6732),(2095,1935,0.049642,3.6729),(2095,1945,0.050275,3.6727),(2095,1955,0.050907,3.6724),(2095,1965,0.051552,3.6721),(2095,1975,0.05221,3.6718),(2095,1985,0.052869,3.6715),(2095,1995,0.053527,3.6712),(2095,2005,0.054199,3.6709),(2095,2015,0.054884,3.6706),(2095,2025,0.05557,3.6703),(2095,2035,0.056255,3.6699),(2095,2045,0.056954,3.6696),(2095,2055,0.057666,3.6692),(2095,2065,0.058378,3.6689),(2095,2075,0.05909,3.6685),(2095,2085,0.059817,3.6681),(2095,2095,0.060556,3.6678),(2095,2105,0.061294,3.6674),(2095,2115,0.062033,3.6669),(2095,2125,0.062788,3.6665),(2095,2135,0.063553,3.6661),(2095,2145,0.064318,3.6657),(2095,2155,0.065083,3.6652),(2095,2165,0.065866,3.6648),(2095,2175,0.066657,3.6643),(2095,2185,0.067448,3.6638),(2095,2195,0.06824,3.6633),(2095,2205,0.069049,3.6628),(2095,2215,0.069866,3.6623),(2095,2225,0.070682,3.6618),(2095,2235,0.071499,3.6613),(2095,2245,0.072334,3.6607),(2095,2255,0.073176,3.6602),(2095,2265,0.074018,3.6596),(2095,2275,0.074859,3.659),(2095,2285,0.075719,3.6584),(2095,2295,0.076585,3.6578),(2095,2305,0.07745,3.6572),(2095,2315,0.078315,3.6565),(2095,2325,0.079199,3.6559),(2095,2335,0.080087,3.6552),(2095,2345,0.080975,3.6546),(2095,2355,0.081863,3.6539),(2095,2365,0.08277,3.6532),(2095,2375,0.083679,3.6525),(2095,2385,0.084588,3.6517),(2095,2395,0.085497,3.6509),(2095,2405,0.086423,3.6502),(2095,2415,0.087351,3.6494),(2095,2425,0.088279,3.6486),(2095,2435,0.089207,3.6478),(2095,2445,0.090151,3.647),(2095,2455,0.091096,3.6461),(2095,2465,0.092041,3.6453),(2095,2475,0.092986,3.6444),(2095,2485,0.093945,3.6435),(2095,2495,0.094904,3.6426),(2095,2505,0.095863,3.6417),(2095,2515,0.096823,3.6407),(2095,2525,0.097794,3.6397),(2095,2535,0.098765,3.6388),(2095,2545,0.099736,3.6378),(2095,2555,0.10071,3.6367),(2095,2565,0.10169,3.6357),(2095,2575,0.10267,3.6347),(2095,2585,0.10365,3.6336),(2095,2595,0.10463,3.6325),(2095,2605,0.10561,3.6314),(2095,2615,0.1066,3.6303),(2095,2625,0.10758,3.6291),(2095,2635,0.10856,3.6279),(2095,2645,0.10955,3.6268),(2095,2655,0.11053,3.6256),(2095,2665,0.11152,3.6243),(2095,2675,0.11251,3.6231),(2095,2685,0.11349,3.6218),(2095,2695,0.11447,3.6206),(2095,2705,0.11545,3.6192),(2095,2715,0.11643,3.6179),(2095,2725,0.11741,3.6166),(2095,2735,0.11838,3.6152),(2095,2745,0.11936,3.6138),(2095,2755,0.12033,3.6124),(2095,2765,0.12129,3.611),(2095,2775,0.12225,3.6095),(2095,2785,0.12322,3.608),(2095,2795,0.12417,3.6065),(2095,2805,0.12512,3.605),(2095,2815,0.12606,3.6035),(2095,2825,0.12701,3.6019),(2095,2835,0.12795,3.6004),(2095,2845,0.12887,3.5988),(2095,2855,0.12979,3.5972),(2095,2865,0.13071,3.5955),(2095,2875,0.13163,3.5938),(2095,2885,0.13252,3.5922),(2095,2895,0.13341,3.5905),(2095,2905,0.13431,3.5887),(2095,2915,0.13519,3.587),(2095,2925,0.13605,3.5852),(2095,2935,0.13691,3.5834),(2095,2945,0.13777,3.5816),(2095,2955,0.13861,3.5798),(2095,2965,0.13943,3.578),(2095,2975,0.14025,3.5761),(2095,2985,0.14107,3.5742),(2095,2995,0.14187,3.5723),(2095,3005,0.14264,3.5704),(2095,3015,0.14342,3.5684),(2095,3025,0.14419,3.5664),(2095,3035,0.14494,3.5644),(2095,3045,0.14566,3.5624),(2095,3055,0.14638,3.5604),(2095,3065,0.14711,3.5583),(2095,3075,0.1478,3.5563),(2095,3085,0.14846,3.5542),(2095,3095,0.14913,3.5521),(2095,3105,0.14979,3.5499),(2095,3115,0.15042,3.5478),(2095,3125,0.15102,3.5457),(2095,3135,0.15162,3.5435),(2095,3145,0.15223,3.5413),(2095,3155,0.15278,3.5391),(2095,3165,0.15332,3.5369),(2095,3175,0.15385,3.5346),(2095,3185,0.15438,3.5323),(2095,3195,0.15486,3.53),(2095,3205,0.15532,3.5278),(2095,3215,0.15578,3.5255),(2095,3225,0.15624,3.5231),(2095,3235,0.15664,3.5208),(2095,3245,0.15702,3.5185),(2095,3255,0.1574,3.5161),(2095,3265,0.15778,3.5137),(2095,3275,0.15809,3.5113),(2095,3285,0.15839,3.5089),(2095,3295,0.15869,3.5065),(2095,3305,0.15898,3.5041),(2095,3315,0.1592,3.5016),(2095,3325,0.15941,3.4992),(2095,3335,0.15962,3.4967),(2095,3345,0.15983,3.4942),(2095,3355,0.15995,3.4918),(2095,3365,0.16007,3.4893),(2095,3375,0.16018,3.4868),(2095,3385,0.1603,3.4843),(2095,3395,0.16033,3.4817),(2095,3405,0.16035,3.4792),(2095,3415,0.16037,3.4767),(2095,3425,0.16038,3.4742),(2095,3435,0.16031,3.4716),(2095,3445,0.16023,3.4691),(2095,3455,0.16015,3.4665),(2095,3465,0.16007,3.464),(2095,3475,0.1599,3.4614),(2095,3485,0.15972,3.4589),(2095,3495,0.15954,3.4563),(2095,3505,0.15936,3.4537),(2095,3515,0.15907,3.4511),(2095,3525,0.15879,3.4486),(2095,3535,0.15851,3.446),(2095,3545,0.15822,3.4434),(2095,3555,0.15784,3.4409),(2095,3565,0.15745,3.4383),(2095,3575,0.15706,3.4357),(2095,3585,0.15667,3.4331),(2095,3595,0.15618,3.4306),(2095,3605,0.15569,3.428),(2095,3615,0.1552,3.4255),(2095,3625,0.1547,3.4229),(2095,3635,0.1541,3.4203),(2095,3645,0.15351,3.4178),(2095,3655,0.15291,3.4153),(2095,3665,0.1523,3.4127),(2095,3675,0.1516,3.4102),(2095,3685,0.15091,3.4077),(2095,3695,0.15021,3.4052),(2095,3705,0.14949,3.4027),(2095,3715,0.14869,3.4001),(2095,3725,0.14789,3.3976),(2095,3735,0.14709,3.3952),(2095,3745,0.14627,3.3927),(2095,3755,0.14536,3.3902),(2095,3765,0.14446,3.3878),(2095,3775,0.14356,3.3854),(2095,3785,0.14263,3.3829),(2095,3795,0.14163,3.3805),(2095,3805,0.14063,3.3781),(2095,3815,0.13963,3.3757),(2095,3825,0.13859,3.3733),(2095,3835,0.13749,3.371),(2095,3845,0.13639,3.3686),(2095,3855,0.13529,3.3663),(2095,3865,0.13416,3.364),(2095,3875,0.13296,3.3617),(2095,3885,0.13176,3.3594),(2095,3895,0.13056,3.3571),(2095,3905,0.15012,3.3549),(2095,3915,0.20069,3.3526),(2095,3925,0.25126,3.3491),(2095,3935,0.30183,3.3437),(2095,3945,0.35526,3.3384),(2095,3955,0.41232,3.3331),(2095,3965,0.46939,3.3263),(2095,3975,0.52645,3.3177),(2095,3985,0.55931,3.3091),(2095,3995,0.56598,3.3005),(2095,4005,0.57265,3.2918),(2095,4015,0.57931,3.283),(2095,4025,0.58653,3.2741),(2095,4035,0.5938,3.2652),(2095,4045,0.60107,3.256),(2095,4055,0.60822,3.2469),(2095,4065,0.61534,3.2376),(2095,4075,0.62246,3.228),(2095,4085,0.62919,3.2184),(2095,4095,0.63561,3.2088),(2095,4105,0.64202,3.1986),(2095,4115,0.62431,3.1883),(2095,4125,0.5666,3.178),(2095,4135,0.50889,3.1696),(2095,4145,0.45014,3.1617),(2095,4155,0.38719,3.1538),(2095,4165,0.32425,3.1477),(2095,4175,0.26505,3.1429),(2095,4185,0.3916,3.1381),(2095,4195,0.51816,3.1309),(2095,4205,0.64471,3.1204),(2095,4215,0.64746,3.11),(2095,4225,0.62691,3.0999),(2095,4235,0.60637,3.0904),(2095,4245,0.56678,3.0809),(2095,4255,0.51753,3.0715),(2095,4265,0.46829,3.0641),(2095,4275,0.39377,3.0567),(2095,4285,0.29243,3.0492),(2095,4295,0.19109,3.0466),(2095,4305,0.17318,3.0445),(2095,4315,0.34364,3.0424),(2095,4325,0.5141,3.0344),(2095,4335,0.66668,3.024),(2095,4345,0.69823,3.0136),(2095,4355,0.72977,3.0026),(2095,4365,0.76132,2.9911),(2095,4375,0.77112,2.9795),(2095,4385,0.77979,2.9677),(2095,4395,0.78846,2.9556),(2095,4405,0.68996,2.9435),(2095,4415,0.55986,2.9325),(2095,4425,0.42976,2.9262),(2095,4435,0.37705,2.9199),(2095,4445,0.37723,2.9135),(2095,4455,0.3774,2.9071),(2095,4465,0.44337,2.9008),(2095,4475,0.60178,2.8944),(2095,4485,0.76019,2.8832),(2095,4495,0.88419,2.871),(2095,4505,0.89778,2.8588),(2095,4515,0.91137,2.847),(2095,4525,0.92283,2.8355),(2095,4535,0.90043,2.824),(2095,4545,0.87803,2.8137),(2095,4555,0.85563,2.8046),(2095,4565,0.64484,2.7956),(2095,4575,0.40865,2.7887),(2095,4585,0.17245,2.7871),(2095,4595,0.19775,2.7855),(2095,4605,0.33352,2.7831),(2095,4615,0.4693,2.7746),(2095,4625,0.57925,2.7661),(2095,4635,0.6658,2.7575),(2095,4645,0.75236,2.7461),(2095,4655,0.82569,2.7345),(2095,4665,0.87406,2.7229),(2095,4675,0.92243,2.7104),(2095,4685,0.92939,2.6976),(2095,4695,0.73175,2.6848),(2095,4705,0.5341,2.6764),(2095,4715,0.33645,2.6713),(2095,4725,0.45252,2.6661),(2095,4735,0.57173,2.6592),(2095,4745,0.69094,2.6496),(2095,4755,0.81739,2.6401),(2095,4765,0.94552,2.6298),(2095,4775,1.0737,2.6167),(2095,4785,1.1283,2.6037),(2095,4795,1.1404,2.5907),(2095,4805,1.1525,2.5779),(2095,4815,1.1047,2.5652),(2095,4825,0.98534,2.5525),(2095,4835,0.86598,2.5432),(2095,4845,0.74392,2.5344),(2095,4855,0.6148,2.5257),(2095,4865,0.48568,2.52),(2095,4875,0.3975,2.5157),(2095,4885,0.68175,2.5113),(2095,4895,0.966,2.5026),(2095,4905,1.2502,2.4897),(2095,4915,1.2541,2.4767),(2095,4925,1.2339,2.4637),(2095,4935,1.2137,2.4507),(2095,4945,1.1277,2.4377),(2095,4955,1.0189,2.4249),(2095,4965,0.91014,2.4135),(2095,4975,0.72333,2.4022),(2095,4985,0.47629,2.3909),(2095,4995,0.22925,2.3893),(2095,5005,0.19558,2.388),(2095,5015,0.5011,2.3867),(2095,5025,0.80662,2.3787),(2095,5035,1.0719,2.3689),(2095,5045,1.1839,2.3591),(2095,5055,1.2959,2.3477),(2095,5065,1.405,2.3354),(2095,5075,1.4164,2.323),(2095,5085,1.4278,2.3108),(2095,5095,1.4391,2.2987),(2095,5105,1.2613,2.2866),(2095,5115,1.0504,2.276),(2095,5125,0.83959,2.2696),(2095,5135,0.73224,2.2632),(2095,5145,0.6751,2.2569),(2095,5155,0.61797,2.2512),(2095,5165,0.73481,2.2455),(2095,5175,1.0291,2.2398),(2095,5185,1.3233,2.2272),(2095,5195,1.5281,2.2138),(2095,5205,1.5397,2.2004),(2095,5215,1.5514,2.1873),(2095,5225,1.5547,2.1742),(2095,5235,1.506,2.1612),(2095,5245,1.4572,2.1492),(2095,5255,1.4085,2.138),(2095,5265,0.98903,2.1269),(2095,5275,0.55426,2.1197),(2095,5285,0.11948,2.1192),(2095,5295,0.2986,2.1187),(2095,5305,0.64868,2.1157),(2095,5315,0.99875,2.1021),(2095,5325,1.2115,2.0886),(2095,5335,1.3342,2.0751),(2095,5345,1.4568,2.0611),(2095,5355,1.5392,2.0471),(2095,5365,1.5671,2.0332),(2095,5375,1.595,2.0198),(2095,5385,1.524,2.0066),(2095,5395,1.1519,1.9934),(2095,5405,0.77994,1.9866),(2095,5415,0.44595,1.9831),(2095,5425,0.62273,1.9796),(2095,5435,0.7995,1.9715),(2095,5445,0.97627,1.9584),(2095,5455,1.1719,1.9453),(2095,5465,1.3699,1.93),(2095,5475,1.5679,1.9097),(2095,5485,1.6384,1.8893),(2095,5495,1.6577,1.869),(2095,5505,1.677,1.8492),(2095,5515,1.6963,1.8293),(2095,5525,1.7157,1.8095),(2095,5535,1.735,1.7901),(2095,5545,1.754,1.7708),(2095,5555,1.7723,1.7514),(2095,5565,1.7905,1.7324),(2095,5575,1.8086,1.7136),(2095,5585,1.8256,1.6948),(2095,5595,1.8426,1.6762),(2095,5605,1.8597,1.6578),(2095,5615,1.8755,1.6395),(2095,5625,1.8914,1.6213),(2095,5635,1.9072,1.6034),(2095,5645,1.9222,1.5856),(2095,5655,1.9369,1.5678),(2095,5665,1.9517,1.5503),(2095,5675,1.9657,1.5329),(2095,5685,1.9794,1.5154),(2095,5695,1.9932,1.4984),(2095,5705,2.0064,1.4813),(2095,5715,2.0192,1.4643),(2095,5725,2.0319,1.4476),(2095,5735,2.0444,1.4309),(2095,5745,2.0563,1.4143),(2095,5755,2.0682,1.3979),(2095,5765,2.0799,1.3816),(2095,5775,2.091,1.3653),(2095,5785,2.102,1.3492),(2095,5795,2.1131,1.3332),(2095,5805,2.1234,1.3172),(2095,5815,2.1337,1.3014),(2095,5825,2.144,1.2857),(2095,5835,2.1538,1.27),(2095,5845,2.1634,1.2544),(2095,5855,2.173,1.239),(2095,5865,2.1823,1.2236),(2095,5875,2.1912,1.2083),(2095,5885,2.2002,1.1931),(2095,5895,2.2089,1.178),(2095,5905,2.2173,1.1629),(2095,5915,2.2257,1.148),(2095,5925,2.234,1.1331),(2095,5935,2.2418,1.1183),(2095,5945,2.2497,1.1035),(2095,5955,2.2575,1.0889),(2095,5965,2.265,1.0743),(2095,5975,2.2726,1.0598),(2095,5985,2.2801,1.0454),(2095,5995,1.7437,1.031),(2095,6005,1.1198,1.02),(2095,6015,0.49588,1.0181),(2095,6025,0.53512,1.0161),(2095,6035,0.88194,1.0131),(2095,6045,1.2288,0.99974),(2095,6055,1.4758,0.98633),(2095,6065,1.625,0.97293),(2095,6075,1.7743,0.9556),(2095,6085,1.8768,0.93791),(2095,6095,1.883,0.92022),(2095,6105,1.8892,0.90241),(2095,6115,1.8954,0.88457),(2095,6125,1.9013,0.86672),(2095,6135,1.9072,0.84889),(2095,6145,1.9131,0.83106),(2095,6155,1.9186,0.81323),(2095,6165,1.9241,0.79542),(2095,6175,1.9296,0.77764),(2095,6185,1.9348,0.75986),(2095,6195,1.9399,0.74207),(2095,6205,1.9451,0.72422),(2095,6215,1.95,0.70637),(2095,6225,1.9547,0.68852),(2095,6235,1.9594,0.67075),(2095,6245,1.964,0.65298),(2095,6255,1.9683,0.63522),(2095,6265,1.9727,0.61745),(2095,6275,1.9769,0.5997),(2095,6285,1.9809,0.58194),(2095,6295,1.9848,0.56414),(2095,6305,1.9887,0.54633),(2095,6315,1.9923,0.52852),(2095,6325,1.9959,0.51066),(2095,6335,1.9995,0.49276),(2095,6345,2.0027,0.47487),(2095,6355,2.0059,0.45697),(2095,6365,2.0091,0.4391),(2095,6375,2.012,0.42122),(2095,6385,2.0148,0.40335),(2095,6395,2.0176,0.38555),(2095,6405,2.0201,0.36776),(2095,6415,2.0225,0.34996),(2095,6425,2.0249,0.3322),(2095,6435,2.0272,0.31445),(2095,6445,2.0292,0.29669),(2095,6455,2.0312,0.27893),(2095,6465,2.0331,0.26116),(2095,6475,2.0348,0.2434),(2095,6485,2.0364,0.22559),(2095,6495,2.038,0.20776),(2095,6505,2.0392,0.18992),(2095,6515,2.0405,0.17208),(2095,6525,2.0417,0.15424),(2095,6535,2.0426,0.13639),(2095,6545,2.0434,0.11854),(2095,6555,2.0443,0.10071),(2095,6565,2.0449,0.082883),(2095,6575,2.0453,0.065059),(2095,6585,2.0457,0.047321),(2095,6595,1.7401,0.029583),(2095,6605,1.0966,0.011846),(2095,6615,0.45314,0.009816),(2095,6625,0.000791,0.009805),(2095,6635,0.000793,0.009793),(2095,6645,0.000795,0.009782),(2095,6655,0.000797,0.009772),(2095,6665,0.000799,0.009762),(2095,6675,0.000801,0.009751),(2095,6685,0.000803,0.009741),(2095,6695,0.000804,0.009731),(2095,6705,0.000806,0.009721),(2095,6715,0.000808,0.009711),(2095,6725,0.00081,0.009701),(2095,6735,0.000811,0.009691),(2095,6745,0.000813,0.009681),(2095,6755,0.000814,0.009671),(2095,6765,0.000816,0.009661),(2095,6775,0.000818,0.009651),(2095,6785,0.000819,0.009641),(2095,6795,0.000821,0.009631),(2095,6805,0.000822,0.009621),(2095,6815,0.000824,0.009611),(2095,6825,0.000825,0.009601),(2095,6835,0.000826,0.009591),(2095,6845,0.000828,0.009581),(2095,6855,0.000829,0.009572),(2095,6865,0.00083,0.009562),(2095,6875,0.000832,0.009552),(2095,6885,0.000833,0.009542),(2095,6895,0.000834,0.009532),(2095,6905,0.000836,0.009523),(2095,6915,0.000837,0.009513),(2095,6925,0.000838,0.009503),(2095,6935,0.000839,0.009494),(2095,6945,0.00084,0.009484),(2095,6955,0.000841,0.009474),(2095,6965,0.000843,0.009465),(2095,6975,0.000844,0.009455),(2095,6985,0.000845,0.009446),(2105,5,5.3e-05,3.6819),(2105,15,0.000159,3.6819),(2105,25,0.000265,3.6819),(2105,35,0.000371,3.6819),(2105,45,0.000477,3.6819),(2105,55,0.000584,3.6819),(2105,65,0.00069,3.6819),(2105,75,0.000797,3.6819),(2105,85,0.000903,3.6819),(2105,95,0.00101,3.6819),(2105,105,0.001117,3.6819),(2105,115,0.001224,3.6819),(2105,125,0.001331,3.6819),(2105,135,0.001438,3.6819),(2105,145,0.001546,3.6819),(2105,155,0.001654,3.6819),(2105,165,0.001762,3.6819),(2105,175,0.001871,3.6819),(2105,185,0.00198,3.6819),(2105,195,0.002089,3.6819),(2105,205,0.002198,3.6819),(2105,215,0.002308,3.6819),(2105,225,0.002418,3.6819),(2105,235,0.002529,3.6819),(2105,245,0.002639,3.6819),(2105,255,0.00275,3.6819),(2105,265,0.002862,3.6819),(2105,275,0.002975,3.6819),(2105,285,0.003087,3.6819),(2105,295,0.0032,3.6819),(2105,305,0.003314,3.6819),(2105,315,0.003428,3.6819),(2105,325,0.003543,3.6819),(2105,335,0.003657,3.6819),(2105,345,0.003773,3.6819),(2105,355,0.00389,3.6819),(2105,365,0.004007,3.6819),(2105,375,0.004124,3.6819),(2105,385,0.004243,3.6819),(2105,395,0.004363,3.6819),(2105,405,0.004482,3.6819),(2105,415,0.004602,3.6819),(2105,425,0.004724,3.6819),(2105,435,0.004846,3.6819),(2105,445,0.004969,3.6818),(2105,455,0.005091,3.6818),(2105,465,0.005217,3.6818),(2105,475,0.005343,3.6818),(2105,485,0.005468,3.6818),(2105,495,0.005594,3.6818),(2105,505,0.005723,3.6818),(2105,515,0.005852,3.6818),(2105,525,0.005982,3.6818),(2105,535,0.006111,3.6818),(2105,545,0.006244,3.6818),(2105,555,0.006378,3.6818),(2105,565,0.006511,3.6818),(2105,575,0.006644,3.6818),(2105,585,0.006782,3.6818),(2105,595,0.006919,3.6818),(2105,605,0.007057,3.6818),(2105,615,0.007195,3.6818),(2105,625,0.007337,3.6818),(2105,635,0.007479,3.6818),(2105,645,0.007621,3.6818),(2105,655,0.007764,3.6818),(2105,665,0.007912,3.6818),(2105,675,0.008059,3.6818),(2105,685,0.008206,3.6818),(2105,695,0.008355,3.6818),(2105,705,0.008507,3.6818),(2105,715,0.00866,3.6818),(2105,725,0.008813,3.6818),(2105,735,0.008968,3.6818),(2105,745,0.009126,3.6818),(2105,755,0.009285,3.6818),(2105,765,0.009444,3.6818),(2105,775,0.009605,3.6818),(2105,785,0.00977,3.6818),(2105,795,0.009935,3.6818),(2105,805,0.010101,3.6818),(2105,815,0.010268,3.6818),(2105,825,0.01044,3.6818),(2105,835,0.010612,3.6817),(2105,845,0.010784,3.6817),(2105,855,0.010958,3.6817),(2105,865,0.011138,3.6817),(2105,875,0.011317,3.6817),(2105,885,0.011497,3.6817),(2105,895,0.011679,3.6817),(2105,905,0.011866,3.6817),(2105,915,0.012054,3.6817),(2105,925,0.012241,3.6817),(2105,935,0.012432,3.6817),(2105,945,0.012628,3.6817),(2105,955,0.012824,3.6817),(2105,965,0.013019,3.6817),(2105,975,0.013219,3.6816),(2105,985,0.013424,3.6816),(2105,995,0.013629,3.6816),(2105,1005,0.013833,3.6816),(2105,1015,0.014043,3.6816),(2105,1025,0.014257,3.6816),(2105,1035,0.014471,3.6816),(2105,1045,0.014685,3.6816),(2105,1055,0.014905,3.6815),(2105,1065,0.015129,3.6815),(2105,1075,0.015354,3.6815),(2105,1085,0.015578,3.6815),(2105,1095,0.015809,3.6815),(2105,1105,0.016044,3.6815),(2105,1115,0.01628,3.6815),(2105,1125,0.016515,3.6814),(2105,1135,0.016758,3.6814),(2105,1145,0.017005,3.6814),(2105,1155,0.017251,3.6814),(2105,1165,0.017498,3.6814),(2105,1175,0.017753,3.6813),(2105,1185,0.018012,3.6813),(2105,1195,0.018271,3.6813),(2105,1205,0.01853,3.6813),(2105,1215,0.018798,3.6812),(2105,1225,0.019069,3.6812),(2105,1235,0.019341,3.6812),(2105,1245,0.019612,3.6812),(2105,1255,0.019894,3.6811),(2105,1265,0.02018,3.6811),(2105,1275,0.020465,3.6811),(2105,1285,0.02075,3.681),(2105,1295,0.021046,3.681),(2105,1305,0.021346,3.681),(2105,1315,0.021646,3.6809),(2105,1325,0.021945,3.6809),(2105,1335,0.022257,3.6808),(2105,1345,0.022572,3.6808),(2105,1355,0.022887,3.6808),(2105,1365,0.023201,3.6807),(2105,1375,0.02353,3.6807),(2105,1385,0.02386,3.6806),(2105,1395,0.024191,3.6806),(2105,1405,0.024521,3.6805),(2105,1415,0.024867,3.6805),(2105,1425,0.025214,3.6804),(2105,1435,0.025561,3.6804),(2105,1445,0.025909,3.6803),(2105,1455,0.026272,3.6802),(2105,1465,0.026637,3.6802),(2105,1475,0.027002,3.6801),(2105,1485,0.027367,3.6801),(2105,1495,0.027749,3.68),(2105,1505,0.028132,3.6799),(2105,1515,0.028515,3.6798),(2105,1525,0.028899,3.6798),(2105,1535,0.029301,3.6797),(2105,1545,0.029703,3.6796),(2105,1555,0.030105,3.6795),(2105,1565,0.030508,3.6794),(2105,1575,0.03093,3.6793),(2105,1585,0.031352,3.6793),(2105,1595,0.031774,3.6792),(2105,1605,0.032199,3.6791),(2105,1615,0.032641,3.679),(2105,1625,0.033084,3.6789),(2105,1635,0.033527,3.6788),(2105,1645,0.033973,3.6786),(2105,1655,0.034437,3.6785),(2105,1665,0.034902,3.6784),(2105,1675,0.035366,3.6783),(2105,1685,0.035834,3.6782),(2105,1695,0.036321,3.678),(2105,1705,0.036808,3.6779),(2105,1715,0.037295,3.6778),(2105,1725,0.037787,3.6776),(2105,1735,0.038297,3.6775),(2105,1745,0.038807,3.6773),(2105,1755,0.039317,3.6772),(2105,1765,0.039833,3.677),(2105,1775,0.040367,3.6769),(2105,1785,0.040901,3.6767),(2105,1795,0.041435,3.6765),(2105,1805,0.041976,3.6763),(2105,1815,0.042535,3.6762),(2105,1825,0.043093,3.676),(2105,1835,0.043652,3.6758),(2105,1845,0.044219,3.6756),(2105,1855,0.044803,3.6754),(2105,1865,0.045386,3.6752),(2105,1875,0.04597,3.675),(2105,1885,0.046564,3.6747),(2105,1895,0.047173,3.6745),(2105,1905,0.047783,3.6743),(2105,1915,0.048393,3.674),(2105,1925,0.049014,3.6738),(2105,1935,0.04965,3.6735),(2105,1945,0.050286,3.6733),(2105,1955,0.050922,3.673),(2105,1965,0.05157,3.6727),(2105,1975,0.052233,3.6725),(2105,1985,0.052896,3.6722),(2105,1995,0.053558,3.6719),(2105,2005,0.054234,3.6716),(2105,2015,0.054924,3.6713),(2105,2025,0.055614,3.671),(2105,2035,0.056303,3.6706),(2105,2045,0.057008,3.6703),(2105,2055,0.057725,3.6699),(2105,2065,0.058442,3.6696),(2105,2075,0.059159,3.6692),(2105,2085,0.059891,3.6689),(2105,2095,0.060636,3.6685),(2105,2105,0.06138,3.6681),(2105,2115,0.062124,3.6677),(2105,2125,0.062885,3.6673),(2105,2135,0.063656,3.6669),(2105,2145,0.064427,3.6664),(2105,2155,0.065199,3.666),(2105,2165,0.065988,3.6655),(2105,2175,0.066786,3.6651),(2105,2185,0.067584,3.6646),(2105,2195,0.068382,3.6641),(2105,2205,0.069198,3.6636),(2105,2215,0.070022,3.6631),(2105,2225,0.070847,3.6626),(2105,2235,0.071671,3.6621),(2105,2245,0.072514,3.6615),(2105,2255,0.073364,3.661),(2105,2265,0.074213,3.6604),(2105,2275,0.075063,3.6598),(2105,2285,0.075931,3.6593),(2105,2295,0.076806,3.6587),(2105,2305,0.07768,3.658),(2105,2315,0.078554,3.6574),(2105,2325,0.079447,3.6568),(2105,2335,0.080344,3.6561),(2105,2345,0.081242,3.6554),(2105,2355,0.082139,3.6547),(2105,2365,0.083055,3.6541),(2105,2375,0.083974,3.6534),(2105,2385,0.084893,3.6526),(2105,2395,0.085812,3.6519),(2105,2405,0.086749,3.6511),(2105,2415,0.087688,3.6503),(2105,2425,0.088627,3.6495),(2105,2435,0.089566,3.6487),(2105,2445,0.090521,3.6479),(2105,2455,0.091477,3.6471),(2105,2465,0.092434,3.6462),(2105,2475,0.09339,3.6453),(2105,2485,0.094361,3.6444),(2105,2495,0.095332,3.6436),(2105,2505,0.096304,3.6426),(2105,2515,0.097275,3.6417),(2105,2525,0.098259,3.6407),(2105,2535,0.099243,3.6398),(2105,2545,0.10023,3.6387),(2105,2555,0.10121,3.6377),(2105,2565,0.1022,3.6367),(2105,2575,0.1032,3.6357),(2105,2585,0.10419,3.6346),(2105,2595,0.10518,3.6335),(2105,2605,0.10618,3.6324),(2105,2615,0.10718,3.6313),(2105,2625,0.10818,3.6301),(2105,2635,0.10918,3.6289),(2105,2645,0.11018,3.6277),(2105,2655,0.11118,3.6266),(2105,2665,0.11218,3.6253),(2105,2675,0.11318,3.624),(2105,2685,0.11417,3.6228),(2105,2695,0.11517,3.6215),(2105,2705,0.11617,3.6202),(2105,2715,0.11716,3.6189),(2105,2725,0.11815,3.6175),(2105,2735,0.11914,3.6162),(2105,2745,0.12013,3.6148),(2105,2755,0.12112,3.6133),(2105,2765,0.1221,3.6119),(2105,2775,0.12308,3.6105),(2105,2785,0.12406,3.609),(2105,2795,0.12503,3.6075),(2105,2805,0.12599,3.606),(2105,2815,0.12695,3.6044),(2105,2825,0.12791,3.6029),(2105,2835,0.12887,3.6013),(2105,2845,0.1298,3.5997),(2105,2855,0.13074,3.5981),(2105,2865,0.13168,3.5964),(2105,2875,0.13261,3.5947),(2105,2885,0.13352,3.5931),(2105,2895,0.13443,3.5914),(2105,2905,0.13534,3.5896),(2105,2915,0.13624,3.5878),(2105,2925,0.13711,3.5861),(2105,2935,0.13799,3.5843),(2105,2945,0.13887,3.5824),(2105,2955,0.13972,3.5806),(2105,2965,0.14056,3.5788),(2105,2975,0.1414,3.5769),(2105,2985,0.14223,3.575),(2105,2995,0.14305,3.573),(2105,3005,0.14384,3.5711),(2105,3015,0.14463,3.5692),(2105,3025,0.14542,3.5672),(2105,3035,0.14618,3.5652),(2105,3045,0.14692,3.5631),(2105,3055,0.14766,3.5611),(2105,3065,0.14839,3.559),(2105,3075,0.1491,3.5569),(2105,3085,0.14978,3.5549),(2105,3095,0.15046,3.5527),(2105,3105,0.15114,3.5506),(2105,3115,0.15178,3.5484),(2105,3125,0.1524,3.5463),(2105,3135,0.15301,3.5441),(2105,3145,0.15363,3.5418),(2105,3155,0.1542,3.5396),(2105,3165,0.15475,3.5374),(2105,3175,0.15529,3.5351),(2105,3185,0.15584,3.5328),(2105,3195,0.15633,3.5305),(2105,3205,0.15681,3.5282),(2105,3215,0.15728,3.5259),(2105,3225,0.15775,3.5235),(2105,3235,0.15816,3.5212),(2105,3245,0.15855,3.5188),(2105,3255,0.15894,3.5164),(2105,3265,0.15933,3.514),(2105,3275,0.15966,3.5116),(2105,3285,0.15997,3.5092),(2105,3295,0.16027,3.5068),(2105,3305,0.16058,3.5043),(2105,3315,0.16081,3.5018),(2105,3325,0.16103,3.4994),(2105,3335,0.16124,3.4969),(2105,3345,0.16146,3.4944),(2105,3355,0.1616,3.4919),(2105,3365,0.16172,3.4894),(2105,3375,0.16184,3.4869),(2105,3385,0.16197,3.4843),(2105,3395,0.162,3.4818),(2105,3405,0.16203,3.4793),(2105,3415,0.16205,3.4767),(2105,3425,0.16208,3.4741),(2105,3435,0.16201,3.4716),(2105,3445,0.16194,3.469),(2105,3455,0.16186,3.4664),(2105,3465,0.16179,3.4638),(2105,3475,0.16162,3.4613),(2105,3485,0.16144,3.4587),(2105,3495,0.16126,3.4561),(2105,3505,0.16109,3.4535),(2105,3515,0.16081,3.4509),(2105,3525,0.16053,3.4483),(2105,3535,0.16025,3.4457),(2105,3545,0.15996,3.4431),(2105,3555,0.15958,3.4405),(2105,3565,0.15919,3.4379),(2105,3575,0.15881,3.4353),(2105,3585,0.15841,3.4327),(2105,3595,0.15792,3.4301),(2105,3605,0.15743,3.4275),(2105,3615,0.15694,3.4249),(2105,3625,0.15644,3.4224),(2105,3635,0.15584,3.4198),(2105,3645,0.15525,3.4172),(2105,3655,0.15465,3.4146),(2105,3665,0.15404,3.4121),(2105,3675,0.15334,3.4095),(2105,3685,0.15264,3.407),(2105,3695,0.15194,3.4044),(2105,3705,0.15121,3.4019),(2105,3715,0.15041,3.3994),(2105,3725,0.1496,3.3968),(2105,3735,0.1488,3.3944),(2105,3745,0.14797,3.3919),(2105,3755,0.14706,3.3894),(2105,3765,0.14615,3.3869),(2105,3775,0.14525,3.3844),(2105,3785,0.14431,3.382),(2105,3795,0.1433,3.3795),(2105,3805,0.14229,3.3771),(2105,3815,0.14129,3.3747),(2105,3825,0.14025,3.3723),(2105,3835,0.13914,3.3699),(2105,3845,0.13803,3.3675),(2105,3855,0.13692,3.3652),(2105,3865,0.13578,3.3628),(2105,3875,0.13457,3.3605),(2105,3885,0.13336,3.3582),(2105,3895,0.13216,3.3559),(2105,3905,0.15192,3.3536),(2105,3915,0.20301,3.3513),(2105,3925,0.25409,3.3477),(2105,3935,0.30518,3.3424),(2105,3945,0.35913,3.337),(2105,3955,0.41673,3.3316),(2105,3965,0.47432,3.3248),(2105,3975,0.53192,3.3161),(2105,3985,0.56508,3.3075),(2105,3995,0.57178,3.2988),(2105,4005,0.57848,3.29),(2105,4015,0.58519,3.2811),(2105,4025,0.59246,3.2722),(2105,4035,0.5998,3.2632),(2105,4045,0.60713,3.254),(2105,4055,0.61438,3.2447),(2105,4065,0.6216,3.2354),(2105,4075,0.62882,3.2257),(2105,4085,0.63569,3.216),(2105,4095,0.64227,3.2063),(2105,4105,0.64885,3.196),(2105,4115,0.63107,3.1856),(2105,4125,0.5729,3.1752),(2105,4135,0.51473,3.1668),(2105,4145,0.45549,3.1588),(2105,4155,0.39191,3.1509),(2105,4165,0.32834,3.1448),(2105,4175,0.26855,3.1399),(2105,4185,0.3962,3.135),(2105,4195,0.52385,3.1277),(2105,4205,0.6515,3.1172),(2105,4215,0.65425,3.1067),(2105,4225,0.63349,3.0965),(2105,4235,0.61274,3.0869),(2105,4245,0.57283,3.0774),(2105,4255,0.52319,3.068),(2105,4265,0.47355,3.0605),(2105,4275,0.39828,3.053),(2105,4285,0.2958,3.0455),(2105,4295,0.19332,3.0429),(2105,4305,0.17514,3.0408),(2105,4315,0.34731,3.0386),(2105,4325,0.51947,3.0306),(2105,4335,0.67356,3.0202),(2105,4345,0.7053,3.0099),(2105,4355,0.73703,2.9989),(2105,4365,0.76877,2.9873),(2105,4375,0.7787,2.9758),(2105,4385,0.78749,2.964),(2105,4395,0.79629,2.9518),(2105,4405,0.69696,2.9397),(2105,4415,0.56575,2.9286),(2105,4425,0.43454,2.9222),(2105,4435,0.3814,2.9158),(2105,4445,0.38161,2.9094),(2105,4455,0.38183,2.9029),(2105,4465,0.44822,2.8964),(2105,4475,0.60759,2.8898),(2105,4485,0.76696,2.8786),(2105,4495,0.89161,2.8663),(2105,4505,0.9049,2.8541),(2105,4515,0.91818,2.8424),(2105,4525,0.92931,2.8309),(2105,4535,0.90629,2.8194),(2105,4545,0.88327,2.809),(2105,4555,0.86024,2.7999),(2105,4565,0.64838,2.7908),(2105,4575,0.41106,2.7839),(2105,4585,0.17374,2.7824),(2105,4595,0.19971,2.7808),(2105,4605,0.33692,2.7785),(2105,4615,0.47412,2.7699),(2105,4625,0.58504,2.7613),(2105,4635,0.67215,2.7528),(2105,4645,0.75925,2.7412),(2105,4655,0.83297,2.7295),(2105,4665,0.88144,2.7177),(2105,4675,0.92992,2.7051),(2105,4685,0.93674,2.6923),(2105,4695,0.73774,2.6794),(2105,4705,0.53874,2.6711),(2105,4715,0.33975,2.6659),(2105,4725,0.45655,2.6608),(2105,4735,0.57651,2.6539),(2105,4745,0.69648,2.6444),(2105,4755,0.82344,2.635),(2105,4765,0.95203,2.6247),(2105,4775,1.0806,2.6116),(2105,4785,1.1353,2.5985),(2105,4795,1.1473,2.5854),(2105,4805,1.1592,2.5726),(2105,4815,1.1111,2.5597),(2105,4825,0.99109,2.5469),(2105,4835,0.8711,2.5375),(2105,4845,0.74838,2.5287),(2105,4855,0.61853,2.5199),(2105,4865,0.48868,2.5141),(2105,4875,0.39995,2.5098),(2105,4885,0.68541,2.5055),(2105,4895,0.97086,2.4967),(2105,4905,1.2563,2.4838),(2105,4915,1.2604,2.4709),(2105,4925,1.2403,2.4579),(2105,4935,1.2202,2.4448),(2105,4945,1.1343,2.4317),(2105,4955,1.0255,2.4189),(2105,4965,0.91677,2.4075),(2105,4975,0.72895,2.396),(2105,4985,0.48009,2.3846),(2105,4995,0.23124,2.3831),(2105,5005,0.19686,2.3817),(2105,5015,0.50345,2.3804),(2105,5025,0.81004,2.3723),(2105,5035,1.0762,2.3625),(2105,5045,1.1885,2.3527),(2105,5055,1.3007,2.3413),(2105,5065,1.4099,2.329),(2105,5075,1.4212,2.3166),(2105,5085,1.4324,2.3043),(2105,5095,1.4437,2.2922),(2105,5105,1.2653,2.2801),(2105,5115,1.0537,2.2695),(2105,5125,0.84219,2.2631),(2105,5135,0.73464,2.2567),(2105,5145,0.67757,2.2503),(2105,5155,0.62049,2.2447),(2105,5165,0.73779,2.239),(2105,5175,1.0329,2.2333),(2105,5185,1.3281,2.2207),(2105,5195,1.5333,2.2073),(2105,5205,1.5448,2.1939),(2105,5215,1.5563,2.1808),(2105,5225,1.5595,2.1678),(2105,5235,1.5104,2.1548),(2105,5245,1.4614,2.1428),(2105,5255,1.4123,2.1317),(2105,5265,0.99178,2.1205),(2105,5275,0.55592,2.1133),(2105,5285,0.12007,2.1128),(2105,5295,0.30067,2.1123),(2105,5305,0.65294,2.1093),(2105,5315,1.0052,2.0958),(2105,5325,1.2185,2.0822),(2105,5335,1.3407,2.0686),(2105,5345,1.4629,2.0547),(2105,5355,1.5449,2.0407),(2105,5365,1.5724,2.0267),(2105,5375,1.6,2.0134),(2105,5385,1.5284,2.0002),(2105,5395,1.1553,1.987),(2105,5405,0.78219,1.9802),(2105,5415,0.44732,1.9767),(2105,5425,0.62611,1.9732),(2105,5435,0.8049,1.9651),(2105,5445,0.98368,1.952),(2105,5455,1.1806,1.939),(2105,5465,1.3798,1.9237),(2105,5475,1.5789,1.9034),(2105,5485,1.6497,1.8831),(2105,5495,1.6687,1.8629),(2105,5505,1.6877,1.8431),(2105,5515,1.7068,1.8234),(2105,5525,1.726,1.8036),(2105,5535,1.7451,1.7843),(2105,5545,1.7638,1.765),(2105,5555,1.7818,1.7457),(2105,5565,1.7998,1.7268),(2105,5575,1.8176,1.7081),(2105,5585,1.8345,1.6893),(2105,5595,1.8513,1.6708),(2105,5605,1.8681,1.6525),(2105,5615,1.8837,1.6342),(2105,5625,1.8994,1.6161),(2105,5635,1.915,1.5983),(2105,5645,1.9297,1.5806),(2105,5655,1.9443,1.5628),(2105,5665,1.9588,1.5455),(2105,5675,1.9727,1.5281),(2105,5685,1.9862,1.5107),(2105,5695,1.9998,1.4937),(2105,5705,2.0129,1.4767),(2105,5715,2.0254,1.4597),(2105,5725,2.038,1.4431),(2105,5735,2.0504,1.4265),(2105,5745,2.0621,1.4099),(2105,5755,2.0738,1.3936),(2105,5765,2.0854,1.3774),(2105,5775,2.0963,1.3612),(2105,5785,2.1072,1.3451),(2105,5795,2.1181,1.3292),(2105,5805,2.1283,1.3133),(2105,5815,2.1384,1.2975),(2105,5825,2.1486,1.2819),(2105,5835,2.1583,1.2664),(2105,5845,2.1677,1.2508),(2105,5855,2.1772,1.2355),(2105,5865,2.1863,1.2202),(2105,5875,2.1952,1.2049),(2105,5885,2.204,1.1898),(2105,5895,2.2126,1.1748),(2105,5905,2.2209,1.1597),(2105,5915,2.2292,1.1449),(2105,5925,2.2373,1.1301),(2105,5935,2.2451,1.1153),(2105,5945,2.2528,1.1006),(2105,5955,2.2606,1.0861),(2105,5965,2.268,1.0715),(2105,5975,2.2754,1.0571),(2105,5985,2.2829,1.0428),(2105,5995,1.7458,1.0284),(2105,6005,1.1211,1.0175),(2105,6015,0.49648,1.0156),(2105,6025,0.5368,1.0137),(2105,6035,0.88553,1.0107),(2105,6045,1.2343,0.99729),(2105,6055,1.4826,0.9839),(2105,6065,1.6325,0.97051),(2105,6075,1.7824,0.9532),(2105,6085,1.8853,0.93554),(2105,6095,1.8915,0.91787),(2105,6105,1.8977,0.9001),(2105,6115,1.9038,0.88228),(2105,6125,1.9097,0.86447),(2105,6135,1.9156,0.84667),(2105,6145,1.9215,0.82888),(2105,6155,1.927,0.81109),(2105,6165,1.9324,0.79332),(2105,6175,1.9379,0.77558),(2105,6185,1.9431,0.75784),(2105,6195,1.9482,0.74008),(2105,6205,1.9533,0.72227),(2105,6215,1.9582,0.70446),(2105,6225,1.9629,0.68665),(2105,6235,1.9676,0.66892),(2105,6245,1.9721,0.65119),(2105,6255,1.9765,0.63346),(2105,6265,1.9808,0.61574),(2105,6275,1.985,0.59803),(2105,6285,1.9889,0.58031),(2105,6295,1.9929,0.56257),(2105,6305,1.9968,0.54481),(2105,6315,2.0003,0.52704),(2105,6325,2.0039,0.50924),(2105,6335,2.0074,0.49139),(2105,6345,2.0106,0.47354),(2105,6355,2.0138,0.4557),(2105,6365,2.017,0.43786),(2105,6375,2.0199,0.42003),(2105,6385,2.0226,0.40221),(2105,6395,2.0254,0.38446),(2105,6405,2.028,0.36671),(2105,6415,2.0304,0.34896),(2105,6425,2.0328,0.33125),(2105,6435,2.035,0.31355),(2105,6445,2.037,0.29584),(2105,6455,2.039,0.27812),(2105,6465,2.041,0.26041),(2105,6475,2.0426,0.24269),(2105,6485,2.0442,0.22494),(2105,6495,2.0458,0.20716),(2105,6505,2.047,0.18938),(2105,6515,2.0483,0.17159),(2105,6525,2.0495,0.15379),(2105,6535,2.0504,0.136),(2105,6545,2.0513,0.1182),(2105,6555,2.0521,0.10043),(2105,6565,2.0527,0.082652),(2105,6575,2.0531,0.064882),(2105,6585,2.0535,0.047199),(2105,6595,1.7467,0.029515),(2105,6605,1.1008,0.011832),(2105,6615,0.45487,0.009811),(2105,6625,0.000798,0.009803),(2105,6635,0.000799,0.009794),(2105,6645,0.000801,0.009784),(2105,6655,0.000803,0.009774),(2105,6665,0.000805,0.009764),(2105,6675,0.000807,0.009753),(2105,6685,0.000809,0.009743),(2105,6695,0.000811,0.009733),(2105,6705,0.000812,0.009723),(2105,6715,0.000814,0.009713),(2105,6725,0.000816,0.009703),(2105,6735,0.000817,0.009692),(2105,6745,0.000819,0.009682),(2105,6755,0.00082,0.009672),(2105,6765,0.000822,0.009662),(2105,6775,0.000824,0.009652),(2105,6785,0.000825,0.009642),(2105,6795,0.000826,0.009632),(2105,6805,0.000828,0.009623),(2105,6815,0.000829,0.009613),(2105,6825,0.000831,0.009603),(2105,6835,0.000832,0.009593),(2105,6845,0.000834,0.009583),(2105,6855,0.000835,0.009573),(2105,6865,0.000836,0.009563),(2105,6875,0.000837,0.009553),(2105,6885,0.000839,0.009544),(2105,6895,0.00084,0.009534),(2105,6905,0.000841,0.009524),(2105,6915,0.000842,0.009514),(2105,6925,0.000844,0.009505),(2105,6935,0.000845,0.009495),(2105,6945,0.000846,0.009485),(2105,6955,0.000847,0.009475),(2105,6965,0.000848,0.009466),(2105,6975,0.000849,0.009456),(2105,6985,0.00085,0.009447),(2115,5,5.3e-05,3.682),(2115,15,0.000158,3.682),(2115,25,0.000264,3.682),(2115,35,0.000369,3.682),(2115,45,0.000475,3.682),(2115,55,0.000581,3.682),(2115,65,0.000687,3.682),(2115,75,0.000793,3.682),(2115,85,0.000899,3.682),(2115,95,0.001004,3.682),(2115,105,0.001111,3.682),(2115,115,0.001218,3.682),(2115,125,0.001324,3.682),(2115,135,0.001431,3.682),(2115,145,0.001538,3.682),(2115,155,0.001646,3.682),(2115,165,0.001754,3.682),(2115,175,0.001861,3.682),(2115,185,0.00197,3.682),(2115,195,0.002079,3.682),(2115,205,0.002187,3.682),(2115,215,0.002296,3.682),(2115,225,0.002406,3.682),(2115,235,0.002516,3.682),(2115,245,0.002626,3.682),(2115,255,0.002737,3.682),(2115,265,0.002848,3.682),(2115,275,0.00296,3.682),(2115,285,0.003072,3.682),(2115,295,0.003184,3.682),(2115,305,0.003297,3.682),(2115,315,0.003411,3.682),(2115,325,0.003525,3.682),(2115,335,0.003639,3.682),(2115,345,0.003755,3.682),(2115,355,0.003871,3.682),(2115,365,0.003987,3.682),(2115,375,0.004104,3.682),(2115,385,0.004222,3.682),(2115,395,0.004341,3.682),(2115,405,0.00446,3.682),(2115,415,0.004579,3.682),(2115,425,0.004701,3.682),(2115,435,0.004823,3.682),(2115,445,0.004944,3.682),(2115,455,0.005066,3.682),(2115,465,0.005191,3.682),(2115,475,0.005316,3.682),(2115,485,0.005442,3.682),(2115,495,0.005567,3.682),(2115,505,0.005695,3.682),(2115,515,0.005824,3.682),(2115,525,0.005953,3.682),(2115,535,0.006081,3.682),(2115,545,0.006214,3.682),(2115,555,0.006347,3.682),(2115,565,0.006479,3.682),(2115,575,0.006612,3.682),(2115,585,0.006749,3.682),(2115,595,0.006886,3.682),(2115,605,0.007023,3.682),(2115,615,0.007161,3.682),(2115,625,0.007302,3.682),(2115,635,0.007444,3.682),(2115,645,0.007585,3.682),(2115,655,0.007727,3.682),(2115,665,0.007874,3.682),(2115,675,0.008021,3.682),(2115,685,0.008167,3.682),(2115,695,0.008315,3.682),(2115,705,0.008467,3.682),(2115,715,0.00862,3.682),(2115,725,0.008772,3.682),(2115,735,0.008926,3.6819),(2115,745,0.009084,3.6819),(2115,755,0.009242,3.6819),(2115,765,0.0094,3.6819),(2115,775,0.00956,3.6819),(2115,785,0.009725,3.6819),(2115,795,0.00989,3.6819),(2115,805,0.010054,3.6819),(2115,815,0.010221,3.6819),(2115,825,0.010392,3.6819),(2115,835,0.010564,3.6819),(2115,845,0.010735,3.6819),(2115,855,0.010909,3.6819),(2115,865,0.011088,3.6819),(2115,875,0.011267,3.6819),(2115,885,0.011445,3.6819),(2115,895,0.011627,3.6819),(2115,905,0.011814,3.6819),(2115,915,0.012001,3.6819),(2115,925,0.012188,3.6819),(2115,935,0.012378,3.6819),(2115,945,0.012573,3.6819),(2115,955,0.012768,3.6819),(2115,965,0.012964,3.6819),(2115,975,0.013163,3.6818),(2115,985,0.013367,3.6818),(2115,995,0.013571,3.6818),(2115,1005,0.013775,3.6818),(2115,1015,0.013984,3.6818),(2115,1025,0.014198,3.6818),(2115,1035,0.014412,3.6818),(2115,1045,0.014625,3.6818),(2115,1055,0.014844,3.6818),(2115,1065,0.015068,3.6818),(2115,1075,0.015292,3.6817),(2115,1085,0.015516,3.6817),(2115,1095,0.015746,3.6817),(2115,1105,0.015981,3.6817),(2115,1115,0.016216,3.6817),(2115,1125,0.016451,3.6817),(2115,1135,0.016693,3.6817),(2115,1145,0.016939,3.6816),(2115,1155,0.017186,3.6816),(2115,1165,0.017432,3.6816),(2115,1175,0.017687,3.6816),(2115,1185,0.017945,3.6816),(2115,1195,0.018204,3.6816),(2115,1205,0.018462,3.6815),(2115,1215,0.01873,3.6815),(2115,1225,0.019001,3.6815),(2115,1235,0.019272,3.6815),(2115,1245,0.019544,3.6814),(2115,1255,0.019825,3.6814),(2115,1265,0.02011,3.6814),(2115,1275,0.020395,3.6814),(2115,1285,0.02068,3.6813),(2115,1295,0.020977,3.6813),(2115,1305,0.021276,3.6813),(2115,1315,0.021575,3.6812),(2115,1325,0.021875,3.6812),(2115,1335,0.022187,3.6812),(2115,1345,0.022501,3.6811),(2115,1355,0.022816,3.6811),(2115,1365,0.02313,3.681),(2115,1375,0.023459,3.681),(2115,1385,0.023789,3.681),(2115,1395,0.02412,3.6809),(2115,1405,0.02445,3.6809),(2115,1415,0.024796,3.6808),(2115,1425,0.025144,3.6808),(2115,1435,0.025491,3.6807),(2115,1445,0.025838,3.6807),(2115,1455,0.026202,3.6806),(2115,1465,0.026567,3.6806),(2115,1475,0.026932,3.6805),(2115,1485,0.027297,3.6804),(2115,1495,0.027681,3.6804),(2115,1505,0.028064,3.6803),(2115,1515,0.028448,3.6802),(2115,1525,0.028832,3.6802),(2115,1535,0.029234,3.6801),(2115,1545,0.029637,3.68),(2115,1555,0.03004,3.6799),(2115,1565,0.030444,3.6798),(2115,1575,0.030867,3.6798),(2115,1585,0.031289,3.6797),(2115,1595,0.031712,3.6796),(2115,1605,0.032137,3.6795),(2115,1615,0.032581,3.6794),(2115,1625,0.033025,3.6793),(2115,1635,0.033469,3.6792),(2115,1645,0.033916,3.6791),(2115,1655,0.034381,3.679),(2115,1665,0.034847,3.6789),(2115,1675,0.035313,3.6788),(2115,1685,0.035782,3.6786),(2115,1695,0.036271,3.6785),(2115,1705,0.036759,3.6784),(2115,1715,0.037247,3.6783),(2115,1725,0.037741,3.6781),(2115,1735,0.038253,3.678),(2115,1745,0.038764,3.6779),(2115,1755,0.039276,3.6777),(2115,1765,0.039794,3.6775),(2115,1775,0.04033,3.6774),(2115,1785,0.040866,3.6772),(2115,1795,0.041402,3.6771),(2115,1805,0.041946,3.6769),(2115,1815,0.042507,3.6767),(2115,1825,0.043068,3.6765),(2115,1835,0.043629,3.6764),(2115,1845,0.044198,3.6762),(2115,1855,0.044785,3.676),(2115,1865,0.045372,3.6758),(2115,1875,0.045958,3.6756),(2115,1885,0.046555,3.6753),(2115,1895,0.047168,3.6751),(2115,1905,0.04778,3.6749),(2115,1915,0.048393,3.6747),(2115,1925,0.049017,3.6744),(2115,1935,0.049657,3.6742),(2115,1945,0.050297,3.6739),(2115,1955,0.050937,3.6737),(2115,1965,0.051589,3.6734),(2115,1975,0.052255,3.6731),(2115,1985,0.052922,3.6729),(2115,1995,0.053589,3.6726),(2115,2005,0.05427,3.6723),(2115,2015,0.054964,3.672),(2115,2025,0.055658,3.6717),(2115,2035,0.056352,3.6713),(2115,2045,0.057061,3.671),(2115,2055,0.057783,3.6707),(2115,2065,0.058505,3.6703),(2115,2075,0.059227,3.67),(2115,2085,0.059965,3.6696),(2115,2095,0.060715,3.6692),(2115,2105,0.061465,3.6688),(2115,2115,0.062215,3.6684),(2115,2125,0.062982,3.668),(2115,2135,0.063759,3.6676),(2115,2145,0.064537,3.6672),(2115,2155,0.065314,3.6668),(2115,2165,0.06611,3.6663),(2115,2175,0.066915,3.6659),(2115,2185,0.067719,3.6654),(2115,2195,0.068524,3.6649),(2115,2205,0.069348,3.6645),(2115,2215,0.070179,3.664),(2115,2225,0.071011,3.6635),(2115,2235,0.071843,3.6629),(2115,2245,0.072693,3.6624),(2115,2255,0.073551,3.6619),(2115,2265,0.074409,3.6613),(2115,2275,0.075266,3.6607),(2115,2285,0.076144,3.6601),(2115,2295,0.077026,3.6596),(2115,2305,0.077909,3.6589),(2115,2315,0.078792,3.6583),(2115,2325,0.079694,3.6577),(2115,2335,0.080601,3.657),(2115,2345,0.081508,3.6564),(2115,2355,0.082415,3.6557),(2115,2365,0.08334,3.655),(2115,2375,0.08427,3.6543),(2115,2385,0.085199,3.6535),(2115,2395,0.086128,3.6528),(2115,2405,0.087075,3.6521),(2115,2415,0.088025,3.6513),(2115,2425,0.088975,3.6505),(2115,2435,0.089924,3.6497),(2115,2445,0.090891,3.6489),(2115,2455,0.091859,3.6481),(2115,2465,0.092826,3.6472),(2115,2475,0.093794,3.6463),(2115,2485,0.094777,3.6454),(2115,2495,0.095761,3.6445),(2115,2505,0.096744,3.6436),(2115,2515,0.097728,3.6427),(2115,2525,0.098724,3.6417),(2115,2535,0.09972,3.6408),(2115,2545,0.10072,3.6397),(2115,2555,0.10171,3.6387),(2115,2565,0.10272,3.6377),(2115,2575,0.10373,3.6367),(2115,2585,0.10473,3.6356),(2115,2595,0.10574,3.6345),(2115,2605,0.10675,3.6334),(2115,2615,0.10776,3.6323),(2115,2625,0.10878,3.6311),(2115,2635,0.10979,3.6299),(2115,2645,0.1108,3.6288),(2115,2655,0.11182,3.6276),(2115,2665,0.11283,3.6263),(2115,2675,0.11385,3.6251),(2115,2685,0.11486,3.6238),(2115,2695,0.11587,3.6225),(2115,2705,0.11688,3.6212),(2115,2715,0.11789,3.6199),(2115,2725,0.1189,3.6185),(2115,2735,0.11991,3.6172),(2115,2745,0.12091,3.6158),(2115,2755,0.12191,3.6143),(2115,2765,0.12291,3.6129),(2115,2775,0.1239,3.6115),(2115,2785,0.1249,3.61),(2115,2795,0.12588,3.6085),(2115,2805,0.12686,3.607),(2115,2815,0.12784,3.6054),(2115,2825,0.12882,3.6038),(2115,2835,0.12979,3.6022),(2115,2845,0.13074,3.6007),(2115,2855,0.1317,3.599),(2115,2865,0.13265,3.5973),(2115,2875,0.13359,3.5957),(2115,2885,0.13452,3.594),(2115,2895,0.13545,3.5923),(2115,2905,0.13637,3.5905),(2115,2915,0.13729,3.5888),(2115,2925,0.13818,3.587),(2115,2935,0.13907,3.5852),(2115,2945,0.13996,3.5833),(2115,2955,0.14084,3.5815),(2115,2965,0.14169,3.5796),(2115,2975,0.14254,3.5777),(2115,2985,0.14339,3.5758),(2115,2995,0.14422,3.5739),(2115,3005,0.14503,3.5719),(2115,3015,0.14584,3.57),(2115,3025,0.14664,3.5679),(2115,3035,0.14742,3.5659),(2115,3045,0.14817,3.5639),(2115,3055,0.14893,3.5619),(2115,3065,0.14968,3.5598),(2115,3075,0.1504,3.5577),(2115,3085,0.1511,3.5556),(2115,3095,0.15179,3.5534),(2115,3105,0.15249,3.5512),(2115,3115,0.15314,3.5491),(2115,3125,0.15377,3.5469),(2115,3135,0.1544,3.5447),(2115,3145,0.15503,3.5424),(2115,3155,0.15562,3.5402),(2115,3165,0.15618,3.538),(2115,3175,0.15674,3.5357),(2115,3185,0.1573,3.5334),(2115,3195,0.15781,3.531),(2115,3205,0.15829,3.5287),(2115,3215,0.15877,3.5264),(2115,3225,0.15926,3.524),(2115,3235,0.15968,3.5216),(2115,3245,0.16008,3.5192),(2115,3255,0.16049,3.5168),(2115,3265,0.16089,3.5144),(2115,3275,0.16123,3.512),(2115,3285,0.16154,3.5095),(2115,3295,0.16186,3.5071),(2115,3305,0.16218,3.5046),(2115,3315,0.16242,3.5021),(2115,3325,0.16264,3.4996),(2115,3335,0.16287,3.4971),(2115,3345,0.16309,3.4946),(2115,3355,0.16324,3.4921),(2115,3365,0.16337,3.4895),(2115,3375,0.1635,3.487),(2115,3385,0.16363,3.4844),(2115,3395,0.16368,3.4819),(2115,3405,0.16371,3.4793),(2115,3415,0.16374,3.4767),(2115,3425,0.16377,3.4741),(2115,3435,0.16371,3.4715),(2115,3445,0.16364,3.4689),(2115,3455,0.16357,3.4663),(2115,3465,0.16351,3.4637),(2115,3475,0.16334,3.4611),(2115,3485,0.16316,3.4585),(2115,3495,0.16299,3.4559),(2115,3505,0.16282,3.4533),(2115,3515,0.16254,3.4506),(2115,3525,0.16226,3.448),(2115,3535,0.16199,3.4454),(2115,3545,0.1617,3.4428),(2115,3555,0.16132,3.4401),(2115,3565,0.16094,3.4375),(2115,3575,0.16055,3.4349),(2115,3585,0.16016,3.4323),(2115,3595,0.15967,3.4296),(2115,3605,0.15918,3.427),(2115,3615,0.15869,3.4244),(2115,3625,0.15818,3.4218),(2115,3635,0.15758,3.4192),(2115,3645,0.15699,3.4166),(2115,3655,0.15639,3.414),(2115,3665,0.15577,3.4114),(2115,3675,0.15507,3.4088),(2115,3685,0.15436,3.4063),(2115,3695,0.15366,3.4037),(2115,3705,0.15294,3.4011),(2115,3715,0.15213,3.3986),(2115,3725,0.15132,3.396),(2115,3735,0.15051,3.3935),(2115,3745,0.14967,3.391),(2115,3755,0.14876,3.3885),(2115,3765,0.14785,3.386),(2115,3775,0.14693,3.3835),(2115,3785,0.14599,3.381),(2115,3795,0.14498,3.3785),(2115,3805,0.14396,3.3761),(2115,3815,0.14294,3.3736),(2115,3825,0.1419,3.3712),(2115,3835,0.14078,3.3688),(2115,3845,0.13966,3.3664),(2115,3855,0.13855,3.364),(2115,3865,0.1374,3.3616),(2115,3875,0.13618,3.3593),(2115,3885,0.13496,3.3569),(2115,3895,0.13375,3.3546),(2115,3905,0.15371,3.3523),(2115,3915,0.20532,3.35),(2115,3925,0.25692,3.3464),(2115,3935,0.30853,3.341),(2115,3945,0.36301,3.3356),(2115,3955,0.42114,3.3301),(2115,3965,0.47926,3.3232),(2115,3975,0.53739,3.3145),(2115,3985,0.57084,3.3058),(2115,3995,0.57758,3.2971),(2115,4005,0.58432,3.2882),(2115,4015,0.59106,3.2792),(2115,4025,0.5984,3.2702),(2115,4035,0.6058,3.2611),(2115,4045,0.61319,3.2518),(2115,4055,0.62053,3.2425),(2115,4065,0.62785,3.2331),(2115,4075,0.63518,3.2233),(2115,4085,0.64218,3.2135),(2115,4095,0.64893,3.2037),(2115,4105,0.65568,3.1933),(2115,4115,0.63783,3.1828),(2115,4125,0.5792,3.1724),(2115,4135,0.52057,3.1639),(2115,4145,0.46083,3.156),(2115,4155,0.39663,3.148),(2115,4165,0.33242,3.142),(2115,4175,0.27204,3.1371),(2115,4185,0.40079,3.1322),(2115,4195,0.52953,3.1249),(2115,4205,0.65828,3.1143),(2115,4215,0.66103,3.1037),(2115,4225,0.64007,3.0934),(2115,4235,0.61911,3.0837),(2115,4245,0.57887,3.0741),(2115,4255,0.52884,3.0646),(2115,4265,0.47882,3.057),(2115,4275,0.40279,3.0494),(2115,4285,0.29917,3.0418),(2115,4295,0.19555,3.0391),(2115,4305,0.1771,3.037),(2115,4315,0.35097,3.0349),(2115,4325,0.52484,3.0269),(2115,4335,0.68044,3.0165),(2115,4345,0.71237,3.0062),(2115,4355,0.74429,2.9952),(2115,4365,0.77622,2.9836),(2115,4375,0.78628,2.972),(2115,4385,0.7952,2.9602),(2115,4395,0.80411,2.9481),(2115,4405,0.70396,2.9359),(2115,4415,0.57164,2.9248),(2115,4425,0.43932,2.9183),(2115,4435,0.38575,2.9119),(2115,4445,0.386,2.9054),(2115,4455,0.38625,2.8988),(2115,4465,0.45307,2.8922),(2115,4475,0.6134,2.8857),(2115,4485,0.77373,2.8744),(2115,4495,0.89904,2.8621),(2115,4505,0.91202,2.8499),(2115,4515,0.92499,2.8381),(2115,4525,0.93579,2.8266),(2115,4535,0.91215,2.815),(2115,4545,0.8885,2.8046),(2115,4555,0.86485,2.7952),(2115,4565,0.65193,2.7859),(2115,4575,0.41348,2.7789),(2115,4585,0.17503,2.7773),(2115,4595,0.20167,2.7758),(2115,4605,0.34031,2.7734),(2115,4615,0.47895,2.7647),(2115,4625,0.59083,2.756),(2115,4635,0.67849,2.7473),(2115,4645,0.76614,2.7356),(2115,4655,0.84025,2.7237),(2115,4665,0.88883,2.7118),(2115,4675,0.93741,2.6991),(2115,4685,0.94409,2.6863),(2115,4695,0.74374,2.6734),(2115,4705,0.54339,2.6651),(2115,4715,0.34304,2.6601),(2115,4725,0.46058,2.6551),(2115,4735,0.5813,2.6483),(2115,4745,0.70201,2.6388),(2115,4755,0.82949,2.6294),(2115,4765,0.95853,2.6191),(2115,4775,1.0876,2.606),(2115,4785,1.1423,2.5929),(2115,4795,1.1542,2.5797),(2115,4805,1.166,2.5668),(2115,4815,1.1175,2.5539),(2115,4825,0.99684,2.541),(2115,4835,0.87622,2.5316),(2115,4845,0.75284,2.5227),(2115,4855,0.62226,2.5139),(2115,4865,0.49168,2.5081),(2115,4875,0.40241,2.5038),(2115,4885,0.68907,2.4995),(2115,4895,0.97572,2.4907),(2115,4905,1.2624,2.4778),(2115,4915,1.2667,2.4649),(2115,4925,1.2467,2.4518),(2115,4935,1.2268,2.4387),(2115,4945,1.1409,2.4256),(2115,4955,1.0321,2.4128),(2115,4965,0.9234,2.4013),(2115,4975,0.73456,2.3897),(2115,4985,0.48389,2.3782),(2115,4995,0.23322,2.3767),(2115,5005,0.19814,2.3753),(2115,5015,0.5058,2.374),(2115,5025,0.81346,2.3659),(2115,5035,1.0805,2.356),(2115,5045,1.193,2.3462),(2115,5055,1.3054,2.3348),(2115,5065,1.4149,2.3224),(2115,5075,1.426,2.31),(2115,5085,1.4371,2.2977),(2115,5095,1.4483,2.2856),(2115,5105,1.2692,2.2735),(2115,5115,1.057,2.2628),(2115,5125,0.84478,2.2564),(2115,5135,0.73705,2.25),(2115,5145,0.68003,2.2437),(2115,5155,0.62301,2.238),(2115,5165,0.74077,2.2323),(2115,5175,1.0368,2.2266),(2115,5185,1.3328,2.214),(2115,5195,1.5386,2.2007),(2115,5205,1.5499,2.1873),(2115,5215,1.5613,2.1742),(2115,5225,1.5642,2.1612),(2115,5235,1.5149,2.1482),(2115,5245,1.4655,2.1362),(2115,5255,1.4161,2.1251),(2115,5265,0.99452,2.114),(2115,5275,0.55759,2.1069),(2115,5285,0.12066,2.1064),(2115,5295,0.30274,2.1058),(2115,5305,0.65721,2.1028),(2115,5315,1.0117,2.0892),(2115,5325,1.2256,2.0756),(2115,5335,1.3473,2.062),(2115,5345,1.4691,2.0481),(2115,5355,1.5506,2.0341),(2115,5365,1.5778,2.0202),(2115,5375,1.605,2.0068),(2115,5385,1.5329,1.9936),(2115,5395,1.1587,1.9804),(2115,5405,0.78445,1.9736),(2115,5415,0.44869,1.9701),(2115,5425,0.62949,1.9666),(2115,5435,0.81029,1.9585),(2115,5445,0.9911,1.9455),(2115,5455,1.1893,1.9325),(2115,5465,1.3897,1.9173),(2115,5475,1.59,1.8971),(2115,5485,1.6609,1.8768),(2115,5495,1.6797,1.8567),(2115,5505,1.6985,1.837),(2115,5515,1.7174,1.8173),(2115,5525,1.7362,1.7976),(2115,5535,1.7551,1.7783),(2115,5545,1.7736,1.7591),(2115,5555,1.7914,1.7399),(2115,5565,1.8092,1.7211),(2115,5575,1.8267,1.7024),(2115,5585,1.8433,1.6837),(2115,5595,1.8599,1.6653),(2115,5605,1.8765,1.6471),(2115,5615,1.8919,1.6289),(2115,5625,1.9073,1.6109),(2115,5635,1.9228,1.5931),(2115,5645,1.9373,1.5754),(2115,5655,1.9517,1.5578),(2115,5665,1.966,1.5405),(2115,5675,1.9797,1.5232),(2115,5685,1.993,1.5059),(2115,5695,2.0064,1.4889),(2115,5705,2.0193,1.472),(2115,5715,2.0317,1.4551),(2115,5725,2.0441,1.4386),(2115,5735,2.0563,1.422),(2115,5745,2.0678,1.4055),(2115,5755,2.0794,1.3893),(2115,5765,2.0908,1.3731),(2115,5775,2.1016,1.357),(2115,5785,2.1123,1.341),(2115,5795,2.1231,1.3252),(2115,5805,2.1332,1.3093),(2115,5815,2.1432,1.2936),(2115,5825,2.1532,1.2781),(2115,5835,2.1627,1.2626),(2115,5845,2.1721,1.2471),(2115,5855,2.1814,1.2319),(2115,5865,2.1904,1.2166),(2115,5875,2.1991,1.2014),(2115,5885,2.2079,1.1864),(2115,5895,2.2164,1.1714),(2115,5905,2.2245,1.1564),(2115,5915,2.2327,1.1417),(2115,5925,2.2407,1.1269),(2115,5935,2.2484,1.1122),(2115,5945,2.256,1.0976),(2115,5955,2.2636,1.0831),(2115,5965,2.2709,1.0687),(2115,5975,2.2783,1.0543),(2115,5985,2.2856,1.04),(2115,5995,1.7479,1.0258),(2115,6005,1.1225,1.0149),(2115,6015,0.49709,1.013),(2115,6025,0.53848,1.0111),(2115,6035,0.88913,1.0081),(2115,6045,1.2398,0.99475),(2115,6055,1.4894,0.98138),(2115,6065,1.6399,0.96801),(2115,6075,1.7905,0.95073),(2115,6085,1.8938,0.93309),(2115,6095,1.9,0.91546),(2115,6105,1.9062,0.89771),(2115,6115,1.9123,0.87992),(2115,6125,1.9182,0.86213),(2115,6135,1.924,0.84436),(2115,6145,1.9299,0.82661),(2115,6155,1.9353,0.80885),(2115,6165,1.9408,0.79112),(2115,6175,1.9462,0.77342),(2115,6185,1.9514,0.75572),(2115,6195,1.9564,0.73801),(2115,6205,1.9615,0.72024),(2115,6215,1.9664,0.70248),(2115,6225,1.9711,0.68471),(2115,6235,1.9757,0.66702),(2115,6245,1.9803,0.64934),(2115,6255,1.9846,0.63165),(2115,6265,1.9889,0.61398),(2115,6275,1.9931,0.5963),(2115,6285,1.997,0.57863),(2115,6295,2.0009,0.56093),(2115,6305,2.0048,0.54322),(2115,6315,2.0083,0.52551),(2115,6325,2.0118,0.50775),(2115,6335,2.0154,0.48996),(2115,6345,2.0186,0.47216),(2115,6355,2.0217,0.45437),(2115,6365,2.0249,0.43659),(2115,6375,2.0278,0.4188),(2115,6385,2.0305,0.40103),(2115,6395,2.0333,0.38333),(2115,6405,2.0359,0.36564),(2115,6415,2.0382,0.34794),(2115,6425,2.0406,0.33028),(2115,6435,2.0429,0.31263),(2115,6445,2.0449,0.29497),(2115,6455,2.0469,0.27731),(2115,6465,2.0488,0.25965),(2115,6475,2.0504,0.24198),(2115,6485,2.052,0.22428),(2115,6495,2.0536,0.20655),(2115,6505,2.0549,0.18883),(2115,6515,2.0561,0.17109),(2115,6525,2.0573,0.15335),(2115,6535,2.0582,0.1356),(2115,6545,2.0591,0.11786),(2115,6555,2.0599,0.10014),(2115,6565,2.0605,0.08242),(2115,6575,2.0609,0.064705),(2115,6585,2.0613,0.04708),(2115,6595,1.7534,0.029454),(2115,6605,1.105,0.011829),(2115,6615,0.4566,0.009814),(2115,6625,0.000804,0.009805),(2115,6635,0.000806,0.009796),(2115,6645,0.000808,0.009786),(2115,6655,0.00081,0.009776),(2115,6665,0.000811,0.009765),(2115,6675,0.000813,0.009755),(2115,6685,0.000815,0.009745),(2115,6695,0.000817,0.009735),(2115,6705,0.000818,0.009724),(2115,6715,0.00082,0.009714),(2115,6725,0.000822,0.009704),(2115,6735,0.000823,0.009694),(2115,6745,0.000825,0.009684),(2115,6755,0.000826,0.009674),(2115,6765,0.000828,0.009664),(2115,6775,0.000829,0.009654),(2115,6785,0.000831,0.009644),(2115,6795,0.000832,0.009634),(2115,6805,0.000834,0.009624),(2115,6815,0.000835,0.009614),(2115,6825,0.000837,0.009604),(2115,6835,0.000838,0.009594),(2115,6845,0.000839,0.009584),(2115,6855,0.000841,0.009574),(2115,6865,0.000842,0.009565),(2115,6875,0.000843,0.009555),(2115,6885,0.000844,0.009545),(2115,6895,0.000846,0.009535),(2115,6905,0.000847,0.009525),(2115,6915,0.000848,0.009515),(2115,6925,0.000849,0.009506),(2115,6935,0.00085,0.009496),(2115,6945,0.000851,0.009486),(2115,6955,0.000853,0.009476),(2115,6965,0.000854,0.009467),(2115,6975,0.000855,0.009457),(2115,6985,0.000856,0.009448),(2125,5,5.2e-05,3.6821),(2125,15,0.000157,3.6821),(2125,25,0.000263,3.6821),(2125,35,0.000368,3.6821),(2125,45,0.000473,3.6821),(2125,55,0.000578,3.6821),(2125,65,0.000683,3.6821),(2125,75,0.000789,3.6821),(2125,85,0.000894,3.6821),(2125,95,0.000999,3.6821),(2125,105,0.001105,3.6821),(2125,115,0.001211,3.6821),(2125,125,0.001318,3.6821),(2125,135,0.001424,3.6821),(2125,145,0.001531,3.6821),(2125,155,0.001638,3.6821),(2125,165,0.001745,3.6821),(2125,175,0.001852,3.6821),(2125,185,0.00196,3.6821),(2125,195,0.002068,3.6821),(2125,205,0.002176,3.6821),(2125,215,0.002285,3.6821),(2125,225,0.002394,3.6821),(2125,235,0.002504,3.6821),(2125,245,0.002613,3.6821),(2125,255,0.002723,3.6821),(2125,265,0.002834,3.6821),(2125,275,0.002945,3.6821),(2125,285,0.003057,3.6821),(2125,295,0.003168,3.6821),(2125,305,0.003281,3.6821),(2125,315,0.003394,3.6821),(2125,325,0.003507,3.6821),(2125,335,0.003621,3.6821),(2125,345,0.003736,3.6821),(2125,355,0.003852,3.6821),(2125,365,0.003967,3.6821),(2125,375,0.004083,3.6821),(2125,385,0.004201,3.6821),(2125,395,0.00432,3.6821),(2125,405,0.004438,3.6821),(2125,415,0.004556,3.6821),(2125,425,0.004677,3.6821),(2125,435,0.004799,3.6821),(2125,445,0.00492,3.6821),(2125,455,0.005041,3.6821),(2125,465,0.005166,3.6821),(2125,475,0.00529,3.6821),(2125,485,0.005415,3.6821),(2125,495,0.005539,3.6821),(2125,505,0.005667,3.6821),(2125,515,0.005795,3.6821),(2125,525,0.005923,3.6821),(2125,535,0.006052,3.6821),(2125,545,0.006184,3.6821),(2125,555,0.006316,3.6821),(2125,565,0.006448,3.6821),(2125,575,0.00658,3.6821),(2125,585,0.006716,3.6821),(2125,595,0.006853,3.6821),(2125,605,0.006989,3.6821),(2125,615,0.007126,3.6821),(2125,625,0.007267,3.6821),(2125,635,0.007408,3.6821),(2125,645,0.007549,3.6821),(2125,655,0.007691,3.6821),(2125,665,0.007837,3.6821),(2125,675,0.007983,3.6821),(2125,685,0.008129,3.6821),(2125,695,0.008276,3.6821),(2125,705,0.008427,3.6821),(2125,715,0.008579,3.6821),(2125,725,0.008731,3.6821),(2125,735,0.008884,3.6821),(2125,745,0.009041,3.6821),(2125,755,0.009199,3.6821),(2125,765,0.009357,3.6821),(2125,775,0.009516,3.6821),(2125,785,0.00968,3.6821),(2125,795,0.009844,3.6821),(2125,805,0.010008,3.6821),(2125,815,0.010174,3.6821),(2125,825,0.010345,3.6821),(2125,835,0.010516,3.6821),(2125,845,0.010686,3.6821),(2125,855,0.01086,3.6821),(2125,865,0.011038,3.6821),(2125,875,0.011216,3.6821),(2125,885,0.011394,3.6821),(2125,895,0.011575,3.6821),(2125,905,0.011762,3.6821),(2125,915,0.011948,3.6821),(2125,925,0.012134,3.6821),(2125,935,0.012324,3.6821),(2125,945,0.012518,3.6821),(2125,955,0.012713,3.6821),(2125,965,0.012908,3.682),(2125,975,0.013106,3.682),(2125,985,0.01331,3.682),(2125,995,0.013514,3.682),(2125,1005,0.013717,3.682),(2125,1015,0.013926,3.682),(2125,1025,0.014139,3.682),(2125,1035,0.014352,3.682),(2125,1045,0.014565,3.682),(2125,1055,0.014783,3.682),(2125,1065,0.015007,3.682),(2125,1075,0.01523,3.682),(2125,1085,0.015453,3.682),(2125,1095,0.015683,3.682),(2125,1105,0.015917,3.6819),(2125,1115,0.016152,3.6819),(2125,1125,0.016386,3.6819),(2125,1135,0.016628,3.6819),(2125,1145,0.016874,3.6819),(2125,1155,0.01712,3.6819),(2125,1165,0.017366,3.6819),(2125,1175,0.01762,3.6818),(2125,1185,0.017878,3.6818),(2125,1195,0.018136,3.6818),(2125,1205,0.018394,3.6818),(2125,1215,0.018662,3.6818),(2125,1225,0.018933,3.6818),(2125,1235,0.019204,3.6817),(2125,1245,0.019475,3.6817),(2125,1255,0.019756,3.6817),(2125,1265,0.020041,3.6817),(2125,1275,0.020325,3.6816),(2125,1285,0.02061,3.6816),(2125,1295,0.020906,3.6816),(2125,1305,0.021205,3.6816),(2125,1315,0.021505,3.6815),(2125,1325,0.021804,3.6815),(2125,1335,0.022116,3.6815),(2125,1345,0.02243,3.6814),(2125,1355,0.022745,3.6814),(2125,1365,0.023059,3.6814),(2125,1375,0.023388,3.6813),(2125,1385,0.023718,3.6813),(2125,1395,0.024049,3.6812),(2125,1405,0.024379,3.6812),(2125,1415,0.024725,3.6812),(2125,1425,0.025073,3.6811),(2125,1435,0.02542,3.6811),(2125,1445,0.025768,3.681),(2125,1455,0.026132,3.681),(2125,1465,0.026497,3.6809),(2125,1475,0.026863,3.6809),(2125,1485,0.027228,3.6808),(2125,1495,0.027612,3.6807),(2125,1505,0.027996,3.6807),(2125,1515,0.02838,3.6806),(2125,1525,0.028764,3.6806),(2125,1535,0.029167,3.6805),(2125,1545,0.029571,3.6804),(2125,1555,0.029974,3.6803),(2125,1565,0.030379,3.6803),(2125,1575,0.030802,3.6802),(2125,1585,0.031226,3.6801),(2125,1595,0.03165,3.68),(2125,1605,0.032076,3.6799),(2125,1615,0.03252,3.6798),(2125,1625,0.032965,3.6798),(2125,1635,0.03341,3.6797),(2125,1645,0.033858,3.6796),(2125,1655,0.034325,3.6795),(2125,1665,0.034792,3.6794),(2125,1675,0.035259,3.6792),(2125,1685,0.03573,3.6791),(2125,1695,0.03622,3.679),(2125,1705,0.036709,3.6789),(2125,1715,0.037199,3.6788),(2125,1725,0.037694,3.6786),(2125,1735,0.038208,3.6785),(2125,1745,0.038721,3.6784),(2125,1755,0.039235,3.6782),(2125,1765,0.039755,3.6781),(2125,1775,0.040293,3.6779),(2125,1785,0.040831,3.6778),(2125,1795,0.041369,3.6776),(2125,1805,0.041915,3.6774),(2125,1815,0.042478,3.6773),(2125,1825,0.043042,3.6771),(2125,1835,0.043605,3.6769),(2125,1845,0.044178,3.6767),(2125,1855,0.044767,3.6766),(2125,1865,0.045356,3.6764),(2125,1875,0.045946,3.6762),(2125,1885,0.046545,3.6759),(2125,1895,0.047161,3.6757),(2125,1905,0.047777,3.6755),(2125,1915,0.048393,3.6753),(2125,1925,0.049021,3.6751),(2125,1935,0.049664,3.6748),(2125,1945,0.050307,3.6746),(2125,1955,0.050951,3.6743),(2125,1965,0.051607,3.6741),(2125,1975,0.052278,3.6738),(2125,1985,0.052949,3.6735),(2125,1995,0.053619,3.6732),(2125,2005,0.054304,3.6729),(2125,2015,0.055003,3.6727),(2125,2025,0.055702,3.6724),(2125,2035,0.056401,3.672),(2125,2045,0.057115,3.6717),(2125,2055,0.057842,3.6714),(2125,2065,0.058569,3.6711),(2125,2075,0.059296,3.6707),(2125,2085,0.060039,3.6703),(2125,2095,0.060794,3.67),(2125,2105,0.06155,3.6696),(2125,2115,0.062305,3.6692),(2125,2125,0.063078,3.6688),(2125,2135,0.063862,3.6684),(2125,2145,0.064645,3.668),(2125,2155,0.065429,3.6676),(2125,2165,0.066231,3.6671),(2125,2175,0.067043,3.6667),(2125,2185,0.067854,3.6662),(2125,2195,0.068666,3.6658),(2125,2205,0.069497,3.6653),(2125,2215,0.070336,3.6648),(2125,2225,0.071175,3.6643),(2125,2235,0.072014,3.6638),(2125,2245,0.072872,3.6633),(2125,2255,0.073738,3.6627),(2125,2265,0.074604,3.6622),(2125,2275,0.07547,3.6616),(2125,2285,0.076355,3.661),(2125,2295,0.077247,3.6605),(2125,2305,0.078138,3.6598),(2125,2315,0.07903,3.6592),(2125,2325,0.079941,3.6586),(2125,2335,0.080857,3.658),(2125,2345,0.081774,3.6573),(2125,2355,0.08269,3.6566),(2125,2365,0.083625,3.6559),(2125,2375,0.084565,3.6552),(2125,2385,0.085504,3.6545),(2125,2395,0.086443,3.6537),(2125,2405,0.087401,3.653),(2125,2415,0.088361,3.6523),(2125,2425,0.089322,3.6515),(2125,2435,0.090282,3.6507),(2125,2445,0.09126,3.6498),(2125,2455,0.09224,3.649),(2125,2465,0.093219,3.6482),(2125,2475,0.094198,3.6473),(2125,2485,0.095193,3.6464),(2125,2495,0.096189,3.6455),(2125,2505,0.097184,3.6446),(2125,2515,0.09818,3.6437),(2125,2525,0.099189,3.6427),(2125,2535,0.1002,3.6418),(2125,2545,0.10121,3.6407),(2125,2555,0.10222,3.6397),(2125,2565,0.10324,3.6387),(2125,2575,0.10426,3.6377),(2125,2585,0.10528,3.6366),(2125,2595,0.1063,3.6355),(2125,2605,0.10732,3.6344),(2125,2615,0.10835,3.6333),(2125,2625,0.10938,3.6321),(2125,2635,0.1104,3.631),(2125,2645,0.11143,3.6298),(2125,2655,0.11246,3.6286),(2125,2665,0.11349,3.6273),(2125,2675,0.11452,3.6261),(2125,2685,0.11555,3.6248),(2125,2695,0.11657,3.6236),(2125,2705,0.1176,3.6222),(2125,2715,0.11863,3.6209),(2125,2725,0.11965,3.6196),(2125,2735,0.12067,3.6182),(2125,2745,0.12169,3.6168),(2125,2755,0.12271,3.6154),(2125,2765,0.12372,3.6139),(2125,2775,0.12473,3.6125),(2125,2785,0.12574,3.611),(2125,2795,0.12674,3.6095),(2125,2805,0.12773,3.608),(2125,2815,0.12873,3.6064),(2125,2825,0.12972,3.6048),(2125,2835,0.13071,3.6032),(2125,2845,0.13168,3.6016),(2125,2855,0.13265,3.6),(2125,2865,0.13362,3.5983),(2125,2875,0.13458,3.5966),(2125,2885,0.13552,3.5949),(2125,2895,0.13646,3.5932),(2125,2905,0.13741,3.5914),(2125,2915,0.13834,3.5897),(2125,2925,0.13924,3.5879),(2125,2935,0.14015,3.5861),(2125,2945,0.14106,3.5842),(2125,2955,0.14195,3.5824),(2125,2965,0.14282,3.5805),(2125,2975,0.14369,3.5786),(2125,2985,0.14456,3.5767),(2125,2995,0.1454,3.5747),(2125,3005,0.14622,3.5728),(2125,3015,0.14705,3.5708),(2125,3025,0.14787,3.5687),(2125,3035,0.14866,3.5667),(2125,3045,0.14943,3.5647),(2125,3055,0.1502,3.5626),(2125,3065,0.15097,3.5605),(2125,3075,0.1517,3.5584),(2125,3085,0.15241,3.5563),(2125,3095,0.15312,3.5541),(2125,3105,0.15383,3.5519),(2125,3115,0.1545,3.5497),(2125,3125,0.15515,3.5476),(2125,3135,0.15579,3.5453),(2125,3145,0.15644,3.5431),(2125,3155,0.15704,3.5408),(2125,3165,0.15761,3.5385),(2125,3175,0.15818,3.5362),(2125,3185,0.15876,3.5339),(2125,3195,0.15928,3.5316),(2125,3205,0.15977,3.5292),(2125,3215,0.16027,3.5269),(2125,3225,0.16077,3.5245),(2125,3235,0.1612,3.5221),(2125,3245,0.16162,3.5197),(2125,3255,0.16203,3.5172),(2125,3265,0.16245,3.5148),(2125,3275,0.16279,3.5123),(2125,3285,0.16312,3.5099),(2125,3295,0.16345,3.5074),(2125,3305,0.16377,3.5049),(2125,3315,0.16403,3.5024),(2125,3325,0.16426,3.4999),(2125,3335,0.1645,3.4973),(2125,3345,0.16473,3.4948),(2125,3355,0.16489,3.4922),(2125,3365,0.16502,3.4897),(2125,3375,0.16516,3.4871),(2125,3385,0.1653,3.4845),(2125,3395,0.16535,3.4819),(2125,3405,0.16539,3.4793),(2125,3415,0.16543,3.4767),(2125,3425,0.16547,3.4741),(2125,3435,0.16541,3.4715),(2125,3445,0.16535,3.4689),(2125,3455,0.16529,3.4662),(2125,3465,0.16522,3.4636),(2125,3475,0.16506,3.461),(2125,3485,0.16489,3.4583),(2125,3495,0.16472,3.4557),(2125,3505,0.16455,3.453),(2125,3515,0.16428,3.4504),(2125,3525,0.164,3.4477),(2125,3535,0.16373,3.4451),(2125,3545,0.16345,3.4424),(2125,3555,0.16306,3.4398),(2125,3565,0.16268,3.4371),(2125,3575,0.1623,3.4345),(2125,3585,0.16191,3.4318),(2125,3595,0.16141,3.4292),(2125,3605,0.16092,3.4265),(2125,3615,0.16043,3.4239),(2125,3625,0.15993,3.4213),(2125,3635,0.15933,3.4186),(2125,3645,0.15873,3.416),(2125,3655,0.15813,3.4134),(2125,3665,0.15751,3.4108),(2125,3675,0.1568,3.4081),(2125,3685,0.1561,3.4055),(2125,3695,0.15539,3.403),(2125,3705,0.15466,3.4004),(2125,3715,0.15384,3.3978),(2125,3725,0.15303,3.3952),(2125,3735,0.15222,3.3927),(2125,3745,0.15138,3.3901),(2125,3755,0.15046,3.3876),(2125,3765,0.14954,3.385),(2125,3775,0.14862,3.3825),(2125,3785,0.14767,3.38),(2125,3795,0.14665,3.3775),(2125,3805,0.14563,3.375),(2125,3815,0.1446,3.3726),(2125,3825,0.14355,3.3701),(2125,3835,0.14242,3.3677),(2125,3845,0.1413,3.3652),(2125,3855,0.14018,3.3629),(2125,3865,0.13902,3.3605),(2125,3875,0.13779,3.3581),(2125,3885,0.13657,3.3557),(2125,3895,0.13534,3.3534),(2125,3905,0.15551,3.351),(2125,3915,0.20764,3.3487),(2125,3925,0.25976,3.3451),(2125,3935,0.31188,3.3396),(2125,3945,0.36689,3.3341),(2125,3955,0.42555,3.3286),(2125,3965,0.48421,3.3216),(2125,3975,0.54287,3.3129),(2125,3985,0.57661,3.3041),(2125,3995,0.58339,3.2953),(2125,4005,0.59017,3.2864),(2125,4015,0.59694,3.2773),(2125,4025,0.60434,3.2683),(2125,4035,0.6118,3.2591),(2125,4045,0.61926,3.2497),(2125,4055,0.62669,3.2402),(2125,4065,0.63412,3.2307),(2125,4075,0.64154,3.2208),(2125,4085,0.64869,3.2109),(2125,4095,0.6556,3.201),(2125,4105,0.66252,3.1905),(2125,4115,0.6446,3.18),(2125,4125,0.5855,3.1696),(2125,4135,0.52641,3.1611),(2125,4145,0.46617,3.1532),(2125,4155,0.40134,3.1452),(2125,4165,0.33651,3.1392),(2125,4175,0.27553,3.1343),(2125,4185,0.40538,3.1294),(2125,4195,0.53522,3.1221),(2125,4205,0.66507,3.1114),(2125,4215,0.66783,3.1008),(2125,4225,0.64666,3.0903),(2125,4235,0.62549,3.0806),(2125,4245,0.58492,3.0708),(2125,4255,0.53451,3.0613),(2125,4265,0.48409,3.0536),(2125,4275,0.40731,3.0459),(2125,4285,0.30254,3.0382),(2125,4295,0.19778,3.0354),(2125,4305,0.17906,3.0333),(2125,4315,0.35463,3.0311),(2125,4325,0.53021,3.0231),(2125,4335,0.68731,3.0128),(2125,4345,0.71943,3.0025),(2125,4355,0.75155,2.9915),(2125,4365,0.78367,2.9799),(2125,4375,0.79386,2.9683),(2125,4385,0.8029,2.9565),(2125,4395,0.81194,2.9443),(2125,4405,0.71096,2.9321),(2125,4415,0.57753,2.921),(2125,4425,0.4441,2.9145),(2125,4435,0.3901,2.9079),(2125,4445,0.39039,2.9014),(2125,4455,0.39068,2.8948),(2125,4465,0.45792,2.8882),(2125,4475,0.61921,2.8816),(2125,4485,0.7805,2.8703),(2125,4495,0.90647,2.858),(2125,4505,0.91914,2.8457),(2125,4515,0.9318,2.8339),(2125,4525,0.94228,2.8223),(2125,4535,0.91801,2.8107),(2125,4545,0.89375,2.8001),(2125,4555,0.86948,2.7906),(2125,4565,0.65548,2.781),(2125,4575,0.41591,2.7738),(2125,4585,0.17633,2.7722),(2125,4595,0.20364,2.7707),(2125,4605,0.34371,2.7683),(2125,4615,0.48379,2.7594),(2125,4625,0.59664,2.7506),(2125,4635,0.68484,2.7418),(2125,4645,0.77304,2.7299),(2125,4655,0.84755,2.7178),(2125,4665,0.89622,2.7057),(2125,4675,0.9449,2.693),(2125,4685,0.95143,2.6802),(2125,4695,0.74973,2.6673),(2125,4705,0.54803,2.6591),(2125,4715,0.34632,2.6542),(2125,4725,0.46459,2.6492),(2125,4735,0.58607,2.6425),(2125,4745,0.70755,2.6332),(2125,4755,0.83554,2.6238),(2125,4765,0.96504,2.6135),(2125,4775,1.0945,2.6003),(2125,4785,1.1494,2.5872),(2125,4795,1.1611,2.574),(2125,4805,1.1727,2.561),(2125,4815,1.1239,2.548),(2125,4825,1.0026,2.535),(2125,4835,0.88135,2.5256),(2125,4845,0.7573,2.5167),(2125,4855,0.62599,2.5078),(2125,4865,0.49467,2.5021),(2125,4875,0.40487,2.4978),(2125,4885,0.69273,2.4934),(2125,4895,0.98059,2.4847),(2125,4905,1.2684,2.4718),(2125,4915,1.273,2.4588),(2125,4925,1.2531,2.4458),(2125,4935,1.2333,2.4326),(2125,4945,1.1475,2.4195),(2125,4955,1.0387,2.4066),(2125,4965,0.93003,2.395),(2125,4975,0.74018,2.3834),(2125,4985,0.48769,2.3718),(2125,4995,0.2352,2.3702),(2125,5005,0.19942,2.3689),(2125,5015,0.50815,2.3675),(2125,5025,0.81689,2.3594),(2125,5035,1.0849,2.3495),(2125,5045,1.1975,2.3397),(2125,5055,1.3102,2.3282),(2125,5065,1.4198,2.3158),(2125,5075,1.4308,2.3034),(2125,5085,1.4418,2.2911),(2125,5095,1.4528,2.279),(2125,5105,1.2732,2.2668),(2125,5115,1.0603,2.2562),(2125,5125,0.84737,2.2497),(2125,5135,0.73945,2.2433),(2125,5145,0.68249,2.237),(2125,5155,0.62553,2.2313),(2125,5165,0.74374,2.2256),(2125,5175,1.0406,2.2199),(2125,5185,1.3375,2.2073),(2125,5195,1.5438,2.194),(2125,5205,1.555,2.1807),(2125,5215,1.5662,2.1676),(2125,5225,1.569,2.1546),(2125,5235,1.5193,2.1416),(2125,5245,1.4696,2.1297),(2125,5255,1.4199,2.1186),(2125,5265,0.99727,2.1075),(2125,5275,0.55926,2.1004),(2125,5285,0.12125,2.0998),(2125,5295,0.30482,2.0993),(2125,5305,0.66148,2.0963),(2125,5315,1.0181,2.0827),(2125,5325,1.2326,2.069),(2125,5335,1.3539,2.0554),(2125,5345,1.4752,2.0415),(2125,5355,1.5563,2.0275),(2125,5365,1.5831,2.0136),(2125,5375,1.61,2.0002),(2125,5385,1.5373,1.987),(2125,5395,1.162,1.9738),(2125,5405,0.7867,1.967),(2125,5415,0.45006,1.9635),(2125,5425,0.63287,1.96),(2125,5435,0.81569,1.952),(2125,5445,0.99851,1.939),(2125,5455,1.198,1.926),(2125,5465,1.3995,1.9108),(2125,5475,1.6011,1.8907),(2125,5485,1.6722,1.8705),(2125,5495,1.6907,1.8504),(2125,5505,1.7093,1.8308),(2125,5515,1.7279,1.8111),(2125,5525,1.7465,1.7915),(2125,5535,1.7652,1.7723),(2125,5545,1.7834,1.7532),(2125,5555,1.801,1.7341),(2125,5565,1.8185,1.7153),(2125,5575,1.8358,1.6967),(2125,5585,1.8522,1.6781),(2125,5595,1.8685,1.6598),(2125,5605,1.8849,1.6416),(2125,5615,1.9001,1.6235),(2125,5625,1.9153,1.6056),(2125,5635,1.9305,1.5879),(2125,5645,1.9449,1.5703),(2125,5655,1.959,1.5527),(2125,5665,1.9732,1.5355),(2125,5675,1.9867,1.5182),(2125,5685,1.9998,1.501),(2125,5695,2.013,1.4842),(2125,5705,2.0257,1.4673),(2125,5715,2.038,1.4505),(2125,5725,2.0502,1.434),(2125,5735,2.0622,1.4176),(2125,5745,2.0736,1.4011),(2125,5755,2.085,1.3849),(2125,5765,2.0963,1.3688),(2125,5775,2.1069,1.3528),(2125,5785,2.1175,1.3368),(2125,5795,2.1281,1.3211),(2125,5805,2.138,1.3053),(2125,5815,2.1479,1.2897),(2125,5825,2.1578,1.2742),(2125,5835,2.1672,1.2588),(2125,5845,2.1764,1.2434),(2125,5855,2.1856,1.2282),(2125,5865,2.1945,1.213),(2125,5875,2.2031,1.1979),(2125,5885,2.2117,1.1829),(2125,5895,2.2201,1.168),(2125,5905,2.2281,1.1531),(2125,5915,2.2362,1.1384),(2125,5925,2.2441,1.1238),(2125,5935,2.2516,1.1091),(2125,5945,2.2592,1.0946),(2125,5955,2.2667,1.0802),(2125,5965,2.2739,1.0658),(2125,5975,2.2811,1.0515),(2125,5985,2.2884,1.0373),(2125,5995,1.75,1.0231),(2125,6005,1.1239,1.0123),(2125,6015,0.4977,1.0104),(2125,6025,0.54016,1.0085),(2125,6035,0.89272,1.0055),(2125,6045,1.2453,0.9922),(2125,6055,1.4962,0.97885),(2125,6065,1.6474,0.96551),(2125,6075,1.7986,0.94825),(2125,6085,1.9024,0.93064),(2125,6095,1.9085,0.91303),(2125,6105,1.9147,0.89531),(2125,6115,1.9208,0.87755),(2125,6125,1.9266,0.85978),(2125,6135,1.9324,0.84205),(2125,6145,1.9382,0.82432),(2125,6155,1.9437,0.8066),(2125,6165,1.9491,0.7889),(2125,6175,1.9545,0.77125),(2125,6185,1.9596,0.75359),(2125,6195,1.9647,0.73592),(2125,6205,1.9697,0.7182),(2125,6215,1.9746,0.70048),(2125,6225,1.9792,0.68276),(2125,6235,1.9839,0.66512),(2125,6245,1.9884,0.64747),(2125,6255,1.9927,0.62983),(2125,6265,1.997,0.6122),(2125,6275,2.0012,0.59457),(2125,6285,2.005,0.57694),(2125,6295,2.0089,0.55929),(2125,6305,2.0128,0.54162),(2125,6315,2.0163,0.52396),(2125,6325,2.0198,0.50626),(2125,6335,2.0233,0.48852),(2125,6345,2.0265,0.47077),(2125,6355,2.0297,0.45303),(2125,6365,2.0328,0.4353),(2125,6375,2.0357,0.41757),(2125,6385,2.0384,0.39985),(2125,6395,2.0412,0.3822),(2125,6405,2.0437,0.36456),(2125,6415,2.0461,0.34691),(2125,6425,2.0485,0.32931),(2125,6435,2.0507,0.31171),(2125,6445,2.0527,0.2941),(2125,6455,2.0547,0.27649),(2125,6465,2.0566,0.25888),(2125,6475,2.0582,0.24127),(2125,6485,2.0598,0.22362),(2125,6495,2.0615,0.20595),(2125,6505,2.0627,0.18828),(2125,6515,2.0639,0.17059),(2125,6525,2.0651,0.1529),(2125,6535,2.066,0.13521),(2125,6545,2.0669,0.11752),(2125,6555,2.0677,0.099855),(2125,6565,2.0683,0.082188),(2125,6575,2.0687,0.064528),(2125,6585,2.0691,0.046962),(2125,6595,1.76,0.029395),(2125,6605,1.1092,0.011828),(2125,6615,0.45833,0.009819),(2125,6625,0.00081,0.009809),(2125,6635,0.000812,0.009799),(2125,6645,0.000814,0.009788),(2125,6655,0.000816,0.009778),(2125,6665,0.000818,0.009767),(2125,6675,0.000819,0.009757),(2125,6685,0.000821,0.009747),(2125,6695,0.000823,0.009736),(2125,6705,0.000825,0.009726),(2125,6715,0.000826,0.009716),(2125,6725,0.000828,0.009706),(2125,6735,0.000829,0.009696),(2125,6745,0.000831,0.009685),(2125,6755,0.000832,0.009675),(2125,6765,0.000834,0.009665),(2125,6775,0.000835,0.009655),(2125,6785,0.000837,0.009645),(2125,6795,0.000838,0.009635),(2125,6805,0.00084,0.009625),(2125,6815,0.000841,0.009615),(2125,6825,0.000842,0.009605),(2125,6835,0.000844,0.009595),(2125,6845,0.000845,0.009586),(2125,6855,0.000846,0.009576),(2125,6865,0.000848,0.009566),(2125,6875,0.000849,0.009556),(2125,6885,0.00085,0.009546),(2125,6895,0.000851,0.009536),(2125,6905,0.000852,0.009526),(2125,6915,0.000854,0.009517),(2125,6925,0.000855,0.009507),(2125,6935,0.000856,0.009497),(2125,6945,0.000857,0.009487),(2125,6955,0.000858,0.009477),(2125,6965,0.000859,0.009468),(2125,6975,0.00086,0.009458),(2125,6985,0.000861,0.009449),(2135,5,5.2e-05,3.6822),(2135,15,0.000157,3.6822),(2135,25,0.000261,3.6822),(2135,35,0.000366,3.6822),(2135,45,0.00047,3.6822),(2135,55,0.000575,3.6822),(2135,65,0.000679,3.6822),(2135,75,0.000784,3.6822),(2135,85,0.000889,3.6822),(2135,95,0.000994,3.6822),(2135,105,0.001099,3.6822),(2135,115,0.001205,3.6822),(2135,125,0.00131,3.6822),(2135,135,0.001416,3.6822),(2135,145,0.001522,3.6822),(2135,155,0.001629,3.6822),(2135,165,0.001735,3.6822),(2135,175,0.001842,3.6822),(2135,185,0.001949,3.6822),(2135,195,0.002057,3.6822),(2135,205,0.002165,3.6822),(2135,215,0.002272,3.6822),(2135,225,0.002381,3.6822),(2135,235,0.00249,3.6822),(2135,245,0.002599,3.6822),(2135,255,0.002708,3.6822),(2135,265,0.002818,3.6822),(2135,275,0.002929,3.6822),(2135,285,0.00304,3.6822),(2135,295,0.003151,3.6822),(2135,305,0.003263,3.6822),(2135,315,0.003376,3.6822),(2135,325,0.003488,3.6822),(2135,335,0.003601,3.6822),(2135,345,0.003716,3.6822),(2135,355,0.003831,3.6822),(2135,365,0.003946,3.6822),(2135,375,0.004061,3.6822),(2135,385,0.004178,3.6822),(2135,395,0.004296,3.6822),(2135,405,0.004414,3.6822),(2135,415,0.004532,3.6822),(2135,425,0.004652,3.6822),(2135,435,0.004773,3.6822),(2135,445,0.004893,3.6822),(2135,455,0.005014,3.6822),(2135,465,0.005138,3.6822),(2135,475,0.005262,3.6822),(2135,485,0.005386,3.6822),(2135,495,0.005509,3.6822),(2135,505,0.005637,3.6822),(2135,515,0.005764,3.6822),(2135,525,0.005892,3.6822),(2135,535,0.006019,3.6822),(2135,545,0.006151,3.6822),(2135,555,0.006282,3.6822),(2135,565,0.006413,3.6822),(2135,575,0.006545,3.6822),(2135,585,0.006681,3.6822),(2135,595,0.006816,3.6822),(2135,605,0.006952,3.6822),(2135,615,0.007088,3.6822),(2135,625,0.007229,3.6822),(2135,635,0.007369,3.6822),(2135,645,0.007509,3.6822),(2135,655,0.00765,3.6822),(2135,665,0.007796,3.6822),(2135,675,0.007941,3.6823),(2135,685,0.008086,3.6823),(2135,695,0.008233,3.6823),(2135,705,0.008384,3.6823),(2135,715,0.008534,3.6823),(2135,725,0.008685,3.6823),(2135,735,0.008837,3.6823),(2135,745,0.008995,3.6823),(2135,755,0.009151,3.6823),(2135,765,0.009308,3.6823),(2135,775,0.009467,3.6823),(2135,785,0.00963,3.6823),(2135,795,0.009794,3.6823),(2135,805,0.009957,3.6823),(2135,815,0.010122,3.6823),(2135,825,0.010292,3.6823),(2135,835,0.010463,3.6823),(2135,845,0.010633,3.6823),(2135,855,0.010805,3.6823),(2135,865,0.010983,3.6823),(2135,875,0.01116,3.6823),(2135,885,0.011338,3.6823),(2135,895,0.011518,3.6823),(2135,905,0.011704,3.6823),(2135,915,0.011889,3.6823),(2135,925,0.012075,3.6823),(2135,935,0.012264,3.6823),(2135,945,0.012458,3.6823),(2135,955,0.012652,3.6823),(2135,965,0.012846,3.6822),(2135,975,0.013044,3.6822),(2135,985,0.013247,3.6822),(2135,995,0.01345,3.6822),(2135,1005,0.013652,3.6822),(2135,1015,0.01386,3.6822),(2135,1025,0.014073,3.6822),(2135,1035,0.014285,3.6822),(2135,1045,0.014497,3.6822),(2135,1055,0.014715,3.6822),(2135,1065,0.014938,3.6822),(2135,1075,0.015161,3.6822),(2135,1085,0.015383,3.6822),(2135,1095,0.015613,3.6822),(2135,1105,0.015846,3.6822),(2135,1115,0.01608,3.6822),(2135,1125,0.016314,3.6822),(2135,1135,0.016555,3.6821),(2135,1145,0.0168,3.6821),(2135,1155,0.017046,3.6821),(2135,1165,0.017291,3.6821),(2135,1175,0.017545,3.6821),(2135,1185,0.017802,3.6821),(2135,1195,0.01806,3.6821),(2135,1205,0.018318,3.6821),(2135,1215,0.018584,3.682),(2135,1225,0.018855,3.682),(2135,1235,0.019126,3.682),(2135,1245,0.019396,3.682),(2135,1255,0.019677,3.682),(2135,1265,0.019961,3.682),(2135,1275,0.020246,3.6819),(2135,1285,0.02053,3.6819),(2135,1295,0.020826,3.6819),(2135,1305,0.021125,3.6819),(2135,1315,0.021424,3.6818),(2135,1325,0.021723,3.6818),(2135,1335,0.022034,3.6818),(2135,1345,0.022348,3.6817),(2135,1355,0.022663,3.6817),(2135,1365,0.022977,3.6817),(2135,1375,0.023305,3.6817),(2135,1385,0.023636,3.6816),(2135,1395,0.023966,3.6816),(2135,1405,0.024296,3.6815),(2135,1415,0.024642,3.6815),(2135,1425,0.02499,3.6815),(2135,1435,0.025337,3.6814),(2135,1445,0.025685,3.6814),(2135,1455,0.026049,3.6813),(2135,1465,0.026415,3.6813),(2135,1475,0.02678,3.6812),(2135,1485,0.027146,3.6812),(2135,1495,0.027529,3.6811),(2135,1505,0.027914,3.6811),(2135,1515,0.028298,3.681),(2135,1525,0.028683,3.6809),(2135,1535,0.029086,3.6809),(2135,1545,0.02949,3.6808),(2135,1555,0.029894,3.6807),(2135,1565,0.030299,3.6807),(2135,1575,0.030723,3.6806),(2135,1585,0.031148,3.6805),(2135,1595,0.031572,3.6804),(2135,1605,0.031998,3.6804),(2135,1615,0.032444,3.6803),(2135,1625,0.03289,3.6802),(2135,1635,0.033336,3.6801),(2135,1645,0.033784,3.68),(2135,1655,0.034252,3.6799),(2135,1665,0.03472,3.6798),(2135,1675,0.035188,3.6797),(2135,1685,0.035661,3.6796),(2135,1695,0.036152,3.6795),(2135,1705,0.036643,3.6794),(2135,1715,0.037134,3.6793),(2135,1725,0.037631,3.6791),(2135,1735,0.038146,3.679),(2135,1745,0.038661,3.6789),(2135,1755,0.039176,3.6787),(2135,1765,0.039698,3.6786),(2135,1775,0.040238,3.6785),(2135,1785,0.040778,3.6783),(2135,1795,0.041318,3.6782),(2135,1805,0.041866,3.678),(2135,1815,0.042431,3.6778),(2135,1825,0.042997,3.6777),(2135,1835,0.043563,3.6775),(2135,1845,0.044137,3.6773),(2135,1855,0.044729,3.6771),(2135,1865,0.045321,3.677),(2135,1875,0.045913,3.6768),(2135,1885,0.046516,3.6766),(2135,1895,0.047135,3.6764),(2135,1905,0.047754,3.6761),(2135,1915,0.048373,3.6759),(2135,1925,0.049004,3.6757),(2135,1935,0.049651,3.6755),(2135,1945,0.050297,3.6752),(2135,1955,0.050944,3.675),(2135,1965,0.051604,3.6747),(2135,1975,0.052279,3.6745),(2135,1985,0.052954,3.6742),(2135,1995,0.053629,3.6739),(2135,2005,0.054318,3.6736),(2135,2015,0.055021,3.6734),(2135,2025,0.055724,3.6731),(2135,2035,0.056427,3.6727),(2135,2045,0.057146,3.6724),(2135,2055,0.057878,3.6721),(2135,2065,0.05861,3.6718),(2135,2075,0.059342,3.6714),(2135,2085,0.060091,3.6711),(2135,2095,0.060852,3.6707),(2135,2105,0.061613,3.6704),(2135,2115,0.062374,3.67),(2135,2125,0.063153,3.6696),(2135,2135,0.063943,3.6692),(2135,2145,0.064733,3.6688),(2135,2155,0.065522,3.6684),(2135,2165,0.066331,3.6679),(2135,2175,0.067149,3.6675),(2135,2185,0.067968,3.6671),(2135,2195,0.068786,3.6666),(2135,2205,0.069624,3.6661),(2135,2215,0.070471,3.6657),(2135,2225,0.071317,3.6651),(2135,2235,0.072164,3.6646),(2135,2245,0.073031,3.6641),(2135,2255,0.073905,3.6636),(2135,2265,0.074778,3.663),(2135,2275,0.075652,3.6625),(2135,2285,0.076547,3.6619),(2135,2295,0.077447,3.6613),(2135,2305,0.078348,3.6607),(2135,2315,0.079248,3.6601),(2135,2325,0.080169,3.6595),(2135,2335,0.081095,3.6589),(2135,2345,0.08202,3.6582),(2135,2355,0.082946,3.6575),(2135,2365,0.083892,3.6568),(2135,2375,0.084842,3.6562),(2135,2385,0.085791,3.6554),(2135,2395,0.086741,3.6547),(2135,2405,0.08771,3.654),(2135,2415,0.088681,3.6532),(2135,2425,0.089653,3.6524),(2135,2435,0.090624,3.6516),(2135,2445,0.091614,3.6508),(2135,2455,0.092605,3.65),(2135,2465,0.093597,3.6491),(2135,2475,0.094588,3.6483),(2135,2485,0.095595,3.6474),(2135,2495,0.096603,3.6465),(2135,2505,0.097612,3.6456),(2135,2515,0.09862,3.6447),(2135,2525,0.099642,3.6437),(2135,2535,0.10066,3.6428),(2135,2545,0.10169,3.6418),(2135,2555,0.10271,3.6407),(2135,2565,0.10374,3.6397),(2135,2575,0.10478,3.6387),(2135,2585,0.10581,3.6376),(2135,2595,0.10685,3.6365),(2135,2605,0.10789,3.6354),(2135,2615,0.10893,3.6343),(2135,2625,0.10997,3.6332),(2135,2635,0.11101,3.632),(2135,2645,0.11206,3.6308),(2135,2655,0.1131,3.6296),(2135,2665,0.11414,3.6284),(2135,2675,0.11519,3.6271),(2135,2685,0.11623,3.6259),(2135,2695,0.11727,3.6246),(2135,2705,0.11832,3.6233),(2135,2715,0.11936,3.6219),(2135,2725,0.1204,3.6206),(2135,2735,0.12143,3.6192),(2135,2745,0.12247,3.6178),(2135,2755,0.12351,3.6164),(2135,2765,0.12453,3.6149),(2135,2775,0.12556,3.6135),(2135,2785,0.12658,3.612),(2135,2795,0.12761,3.6105),(2135,2805,0.12862,3.6089),(2135,2815,0.12963,3.6074),(2135,2825,0.13064,3.6058),(2135,2835,0.13164,3.6042),(2135,2845,0.13263,3.6026),(2135,2855,0.13362,3.601),(2135,2865,0.1346,3.5993),(2135,2875,0.13558,3.5976),(2135,2885,0.13654,3.5959),(2135,2895,0.1375,3.5942),(2135,2905,0.13846,3.5924),(2135,2915,0.13941,3.5906),(2135,2925,0.14033,3.5888),(2135,2935,0.14126,3.587),(2135,2945,0.14219,3.5851),(2135,2955,0.14309,3.5833),(2135,2965,0.14398,3.5814),(2135,2975,0.14487,3.5795),(2135,2985,0.14575,3.5775),(2135,2995,0.14661,3.5756),(2135,3005,0.14745,3.5736),(2135,3015,0.14829,3.5716),(2135,3025,0.14913,3.5695),(2135,3035,0.14994,3.5675),(2135,3045,0.15073,3.5655),(2135,3055,0.15151,3.5634),(2135,3065,0.1523,3.5612),(2135,3075,0.15305,3.5591),(2135,3085,0.15377,3.557),(2135,3095,0.1545,3.5548),(2135,3105,0.15523,3.5526),(2135,3115,0.15591,3.5504),(2135,3125,0.15657,3.5482),(2135,3135,0.15723,3.546),(2135,3145,0.15789,3.5437),(2135,3155,0.15851,3.5414),(2135,3165,0.15909,3.5391),(2135,3175,0.15968,3.5368),(2135,3185,0.16027,3.5344),(2135,3195,0.16081,3.5321),(2135,3205,0.16132,3.5297),(2135,3215,0.16183,3.5273),(2135,3225,0.16234,3.5249),(2135,3235,0.16278,3.5225),(2135,3245,0.16321,3.5201),(2135,3255,0.16364,3.5176),(2135,3265,0.16406,3.5151),(2135,3275,0.16442,3.5127),(2135,3285,0.16476,3.5102),(2135,3295,0.1651,3.5077),(2135,3305,0.16544,3.5052),(2135,3315,0.1657,3.5026),(2135,3325,0.16595,3.5001),(2135,3335,0.16619,3.4975),(2135,3345,0.16644,3.495),(2135,3355,0.1666,3.4924),(2135,3365,0.16675,3.4898),(2135,3375,0.16689,3.4872),(2135,3385,0.16704,3.4846),(2135,3395,0.1671,3.482),(2135,3405,0.16715,3.4794),(2135,3415,0.16719,3.4767),(2135,3425,0.16724,3.4741),(2135,3435,0.16719,3.4715),(2135,3445,0.16713,3.4688),(2135,3455,0.16707,3.4662),(2135,3465,0.16702,3.4635),(2135,3475,0.16686,3.4608),(2135,3485,0.16669,3.4582),(2135,3495,0.16653,3.4555),(2135,3505,0.16636,3.4528),(2135,3515,0.16609,3.4501),(2135,3525,0.16582,3.4475),(2135,3535,0.16554,3.4448),(2135,3545,0.16527,3.4421),(2135,3555,0.16489,3.4394),(2135,3565,0.1645,3.4367),(2135,3575,0.16412,3.4341),(2135,3585,0.16373,3.4314),(2135,3595,0.16324,3.4287),(2135,3605,0.16275,3.426),(2135,3615,0.16225,3.4234),(2135,3625,0.16175,3.4207),(2135,3635,0.16115,3.418),(2135,3645,0.16055,3.4154),(2135,3655,0.15994,3.4127),(2135,3665,0.15932,3.4101),(2135,3675,0.15861,3.4075),(2135,3685,0.1579,3.4048),(2135,3695,0.15719,3.4022),(2135,3705,0.15646,3.3996),(2135,3715,0.15564,3.397),(2135,3725,0.15482,3.3944),(2135,3735,0.154,3.3918),(2135,3745,0.15316,3.3892),(2135,3755,0.15223,3.3867),(2135,3765,0.15131,3.3841),(2135,3775,0.15038,3.3816),(2135,3785,0.14943,3.379),(2135,3795,0.1484,3.3765),(2135,3805,0.14737,3.374),(2135,3815,0.14634,3.3715),(2135,3825,0.14527,3.3691),(2135,3835,0.14414,3.3666),(2135,3845,0.14301,3.3641),(2135,3855,0.14188,3.3617),(2135,3865,0.14071,3.3593),(2135,3875,0.13947,3.3569),(2135,3885,0.13824,3.3545),(2135,3895,0.13701,3.3521),(2135,3905,0.15739,3.3498),(2135,3915,0.21005,3.3474),(2135,3925,0.26271,3.3437),(2135,3935,0.31537,3.3382),(2135,3945,0.37092,3.3327),(2135,3955,0.43012,3.3271),(2135,3965,0.48932,3.3201),(2135,3975,0.54852,3.3112),(2135,3985,0.58257,3.3024),(2135,3995,0.58939,3.2935),(2135,4005,0.59621,3.2845),(2135,4015,0.60303,3.2754),(2135,4025,0.61051,3.2663),(2135,4035,0.61805,3.257),(2135,4045,0.62559,3.2475),(2135,4055,0.63313,3.238),(2135,4065,0.64066,3.2284),(2135,4075,0.6482,3.2184),(2135,4085,0.65547,3.2084),(2135,4095,0.66251,3.1984),(2135,4105,0.66955,3.1878),(2135,4115,0.6515,3.1773),(2135,4125,0.59185,3.1667),(2135,4135,0.5322,3.1582),(2135,4145,0.4714,3.1503),(2135,4155,0.40596,3.1424),(2135,4165,0.34051,3.1364),(2135,4175,0.27896,3.1315),(2135,4185,0.40999,3.1267),(2135,4195,0.54103,3.1193),(2135,4205,0.67206,3.1085),(2135,4215,0.67486,3.0978),(2135,4225,0.65352,3.0873),(2135,4235,0.63217,3.0774),(2135,4245,0.59128,3.0676),(2135,4255,0.54047,3.0579),(2135,4265,0.48966,3.0501),(2135,4275,0.41208,3.0423),(2135,4285,0.30611,3.0345),(2135,4295,0.20013,3.0317),(2135,4305,0.18107,3.0295),(2135,4315,0.35827,3.0274),(2135,4325,0.53547,3.0194),(2135,4335,0.69403,3.0091),(2135,4345,0.72638,2.9988),(2135,4355,0.75873,2.9878),(2135,4365,0.79108,2.9762),(2135,4375,0.80142,2.9646),(2135,4385,0.8106,2.9528),(2135,4395,0.81979,2.9406),(2135,4405,0.718,2.9283),(2135,4415,0.58349,2.9171),(2135,4425,0.44898,2.9106),(2135,4435,0.39457,2.904),(2135,4445,0.39491,2.8975),(2135,4455,0.39525,2.8908),(2135,4465,0.46289,2.8841),(2135,4475,0.62509,2.8775),(2135,4485,0.78729,2.8661),(2135,4495,0.91389,2.8539),(2135,4505,0.9263,2.8416),(2135,4515,0.93871,2.8297),(2135,4525,0.94891,2.8181),(2135,4535,0.92422,2.8064),(2135,4545,0.89954,2.7957),(2135,4555,0.87485,2.7859),(2135,4565,0.65961,2.7762),(2135,4575,0.41867,2.7688),(2135,4585,0.17773,2.7672),(2135,4595,0.20573,2.7656),(2135,4605,0.34736,2.7631),(2135,4615,0.48898,2.7542),(2135,4625,0.60288,2.7452),(2135,4635,0.69168,2.7363),(2135,4645,0.78048,2.7242),(2135,4655,0.85534,2.7119),(2135,4665,0.90392,2.6996),(2135,4675,0.95251,2.6869),(2135,4685,0.95872,2.6741),(2135,4695,0.75555,2.6612),(2135,4705,0.55238,2.653),(2135,4715,0.3492,2.6482),(2135,4725,0.46826,2.6434),(2135,4735,0.59055,2.6368),(2135,4745,0.71283,2.6275),(2135,4755,0.84145,2.6181),(2135,4765,0.97153,2.6079),(2135,4775,1.1016,2.5947),(2135,4785,1.1566,2.5814),(2135,4795,1.1681,2.5682),(2135,4805,1.1797,2.5552),(2135,4815,1.1304,2.5421),(2135,4825,1.0085,2.5291),(2135,4835,0.88655,2.5196),(2135,4845,0.7618,2.5107),(2135,4855,0.62974,2.5018),(2135,4865,0.49768,2.4961),(2135,4875,0.40732,2.4917),(2135,4885,0.69639,2.4874),(2135,4895,0.98545,2.4787),(2135,4905,1.2745,2.4657),(2135,4915,1.2793,2.4528),(2135,4925,1.2596,2.4397),(2135,4935,1.2399,2.4266),(2135,4945,1.1542,2.4134),(2135,4955,1.0455,2.4004),(2135,4965,0.93689,2.3888),(2135,4975,0.74601,2.3771),(2135,4985,0.49164,2.3654),(2135,4995,0.23727,2.3638),(2135,5005,0.20076,2.3624),(2135,5015,0.51058,2.3611),(2135,5025,0.8204,2.3529),(2135,5035,1.0893,2.343),(2135,5045,1.2021,2.3331),(2135,5055,1.315,2.3217),(2135,5065,1.4249,2.3092),(2135,5075,1.4357,2.2968),(2135,5085,1.4466,2.2845),(2135,5095,1.4575,2.2723),(2135,5105,1.2772,2.2601),(2135,5115,1.0636,2.2495),(2135,5125,0.85002,2.2431),(2135,5135,0.7419,2.2366),(2135,5145,0.68498,2.2303),(2135,5155,0.62806,2.2246),(2135,5165,0.74671,2.2189),(2135,5175,1.0444,2.2133),(2135,5185,1.3422,2.2007),(2135,5195,1.5491,2.1874),(2135,5205,1.5601,2.1741),(2135,5215,1.5712,2.161),(2135,5225,1.5738,2.148),(2135,5235,1.5237,2.1351),(2135,5245,1.4737,2.1231),(2135,5255,1.4237,2.1121),(2135,5265,1,2.101),(2135,5275,0.56093,2.0938),(2135,5285,0.12184,2.0933),(2135,5295,0.30691,2.0928),(2135,5305,0.6658,2.0898),(2135,5315,1.0247,2.0761),(2135,5325,1.2398,2.0625),(2135,5335,1.3606,2.0488),(2135,5345,1.4813,2.0348),(2135,5355,1.562,2.0209),(2135,5365,1.5885,2.007),(2135,5375,1.615,1.9936),(2135,5385,1.5418,1.9804),(2135,5395,1.1654,1.9672),(2135,5405,0.78898,1.9604),(2135,5415,0.45144,1.9569),(2135,5425,0.63621,1.9534),(2135,5435,0.82098,1.9454),(2135,5445,1.0058,1.9324),(2135,5455,1.2065,1.9195),(2135,5465,1.4092,1.9044),(2135,5475,1.6119,1.8843),(2135,5485,1.6831,1.8642),(2135,5495,1.7015,1.8442),(2135,5505,1.7198,1.8246),(2135,5515,1.7382,1.805),(2135,5525,1.7566,1.7855),(2135,5535,1.775,1.7664),(2135,5545,1.793,1.7473),(2135,5555,1.8103,1.7283),(2135,5565,1.8276,1.7096),(2135,5575,1.8447,1.6911),(2135,5585,1.8608,1.6725),(2135,5595,1.8769,1.6543),(2135,5605,1.8931,1.6362),(2135,5615,1.9081,1.6181),(2135,5625,1.9231,1.6003),(2135,5635,1.9381,1.5827),(2135,5645,1.9522,1.5651),(2135,5655,1.9662,1.5476),(2135,5665,1.9801,1.5305),(2135,5675,1.9935,1.5133),(2135,5685,2.0064,1.4961),(2135,5695,2.0194,1.4794),(2135,5705,2.032,1.4626),(2135,5715,2.044,1.4459),(2135,5725,2.0561,1.4294),(2135,5735,2.0679,1.4131),(2135,5745,2.0792,1.3967),(2135,5755,2.0904,1.3806),(2135,5765,2.1016,1.3645),(2135,5775,2.112,1.3485),(2135,5785,2.1225,1.3327),(2135,5795,2.1329,1.317),(2135,5805,2.1427,1.3013),(2135,5815,2.1525,1.2857),(2135,5825,2.1622,1.2704),(2135,5835,2.1715,1.255),(2135,5845,2.1806,1.2397),(2135,5855,2.1897,1.2245),(2135,5865,2.1984,1.2094),(2135,5875,2.2069,1.1943),(2135,5885,2.2154,1.1795),(2135,5895,2.2237,1.1647),(2135,5905,2.2316,1.1498),(2135,5915,2.2395,1.1352),(2135,5925,2.2474,1.1206),(2135,5935,2.2548,1.106),(2135,5945,2.2622,1.0916),(2135,5955,2.2696,1.0772),(2135,5965,2.2768,1.0629),(2135,5975,2.2839,1.0486),(2135,5985,2.291,1.0345),(2135,5995,1.7521,1.0204),(2135,6005,1.1252,1.0096),(2135,6015,0.4983,1.0078),(2135,6025,0.54182,1.0059),(2135,6035,0.89627,1.003),(2135,6045,1.2507,0.98965),(2135,6055,1.5029,0.97632),(2135,6065,1.6547,0.963),(2135,6075,1.8065,0.94577),(2135,6085,1.9107,0.92819),(2135,6095,1.9169,0.9106),(2135,6105,1.923,0.8929),(2135,6115,1.9291,0.87517),(2135,6125,1.9349,0.85744),(2135,6135,1.9407,0.83973),(2135,6145,1.9465,0.82204),(2135,6155,1.9519,0.80435),(2135,6165,1.9573,0.78669),(2135,6175,1.9627,0.76907),(2135,6185,1.9678,0.75146),(2135,6195,1.9729,0.73383),(2135,6205,1.9779,0.71616),(2135,6215,1.9827,0.69848),(2135,6225,1.9873,0.68081),(2135,6235,1.992,0.66321),(2135,6245,1.9965,0.64561),(2135,6255,2.0007,0.628),(2135,6265,2.005,0.61042),(2135,6275,2.0091,0.59283),(2135,6285,2.013,0.57525),(2135,6295,2.0169,0.55764),(2135,6305,2.0207,0.54003),(2135,6315,2.0242,0.52241),(2135,6325,2.0277,0.50476),(2135,6335,2.0312,0.48707),(2135,6345,2.0344,0.46938),(2135,6355,2.0375,0.4517),(2135,6365,2.0406,0.43402),(2135,6375,2.0435,0.41634),(2135,6385,2.0462,0.39867),(2135,6395,2.0489,0.38107),(2135,6405,2.0515,0.36348),(2135,6415,2.0538,0.34588),(2135,6425,2.0562,0.32833),(2135,6435,2.0584,0.31078),(2135,6445,2.0604,0.29324),(2135,6455,2.0624,0.27568),(2135,6465,2.0643,0.25812),(2135,6475,2.0659,0.24055),(2135,6485,2.0675,0.22296),(2135,6495,2.0691,0.20534),(2135,6505,2.0703,0.18772),(2135,6515,2.0715,0.1701),(2135,6525,2.0728,0.15245),(2135,6535,2.0737,0.13481),(2135,6545,2.0745,0.11718),(2135,6555,2.0754,0.099568),(2135,6565,2.0759,0.081957),(2135,6575,2.0763,0.064352),(2135,6585,2.0767,0.046843),(2135,6595,1.7665,0.029335),(2135,6605,1.1133,0.011827),(2135,6615,0.46003,0.009823),(2135,6625,0.000817,0.009812),(2135,6635,0.000819,0.009801),(2135,6645,0.00082,0.00979),(2135,6655,0.000822,0.009779),(2135,6665,0.000824,0.009769),(2135,6675,0.000826,0.009759),(2135,6685,0.000827,0.009748),(2135,6695,0.000829,0.009738),(2135,6705,0.000831,0.009728),(2135,6715,0.000832,0.009718),(2135,6725,0.000834,0.009707),(2135,6735,0.000835,0.009697),(2135,6745,0.000837,0.009687),(2135,6755,0.000839,0.009677),(2135,6765,0.00084,0.009667),(2135,6775,0.000841,0.009657),(2135,6785,0.000843,0.009647),(2135,6795,0.000844,0.009637),(2135,6805,0.000846,0.009627),(2135,6815,0.000847,0.009617),(2135,6825,0.000848,0.009607),(2135,6835,0.00085,0.009597),(2135,6845,0.000851,0.009587),(2135,6855,0.000852,0.009577),(2135,6865,0.000853,0.009567),(2135,6875,0.000855,0.009557),(2135,6885,0.000856,0.009547),(2135,6895,0.000857,0.009537),(2135,6905,0.000858,0.009528),(2135,6915,0.000859,0.009518),(2135,6925,0.00086,0.009508),(2135,6935,0.000862,0.009498),(2135,6945,0.000863,0.009488),(2135,6955,0.000864,0.009479),(2135,6965,0.000865,0.009469),(2135,6975,0.000866,0.009459),(2135,6985,0.000867,0.00945),(2145,5,5.2e-05,3.6823),(2145,15,0.000156,3.6823),(2145,25,0.00026,3.6823),(2145,35,0.000364,3.6823),(2145,45,0.000467,3.6823),(2145,55,0.000571,3.6823),(2145,65,0.000676,3.6823),(2145,75,0.00078,3.6823),(2145,85,0.000884,3.6823),(2145,95,0.000989,3.6823),(2145,105,0.001093,3.6823),(2145,115,0.001198,3.6823),(2145,125,0.001303,3.6823),(2145,135,0.001408,3.6823),(2145,145,0.001514,3.6823),(2145,155,0.00162,3.6823),(2145,165,0.001726,3.6823),(2145,175,0.001832,3.6823),(2145,185,0.001938,3.6823),(2145,195,0.002046,3.6823),(2145,205,0.002153,3.6823),(2145,215,0.00226,3.6823),(2145,225,0.002368,3.6823),(2145,235,0.002476,3.6823),(2145,245,0.002585,3.6823),(2145,255,0.002693,3.6823),(2145,265,0.002803,3.6823),(2145,275,0.002913,3.6823),(2145,285,0.003024,3.6823),(2145,295,0.003134,3.6823),(2145,305,0.003245,3.6823),(2145,315,0.003357,3.6823),(2145,325,0.00347,3.6823),(2145,335,0.003582,3.6823),(2145,345,0.003696,3.6823),(2145,355,0.00381,3.6823),(2145,365,0.003925,3.6823),(2145,375,0.004039,3.6823),(2145,385,0.004156,3.6823),(2145,395,0.004273,3.6823),(2145,405,0.00439,3.6823),(2145,415,0.004507,3.6823),(2145,425,0.004627,3.6823),(2145,435,0.004747,3.6823),(2145,445,0.004867,3.6823),(2145,455,0.004987,3.6823),(2145,465,0.00511,3.6823),(2145,475,0.005233,3.6823),(2145,485,0.005357,3.6823),(2145,495,0.00548,3.6823),(2145,505,0.005607,3.6824),(2145,515,0.005733,3.6824),(2145,525,0.00586,3.6824),(2145,535,0.005987,3.6824),(2145,545,0.006118,3.6824),(2145,555,0.006248,3.6824),(2145,565,0.006379,3.6824),(2145,575,0.00651,3.6824),(2145,585,0.006645,3.6824),(2145,595,0.00678,3.6824),(2145,605,0.006915,3.6824),(2145,615,0.007051,3.6824),(2145,625,0.00719,3.6824),(2145,635,0.00733,3.6824),(2145,645,0.007469,3.6824),(2145,655,0.00761,3.6824),(2145,665,0.007755,3.6824),(2145,675,0.007899,3.6824),(2145,685,0.008044,3.6824),(2145,695,0.00819,3.6824),(2145,705,0.00834,3.6824),(2145,715,0.00849,3.6824),(2145,725,0.00864,3.6824),(2145,735,0.008792,3.6824),(2145,745,0.008948,3.6824),(2145,755,0.009104,3.6824),(2145,765,0.00926,3.6824),(2145,775,0.009418,3.6824),(2145,785,0.009581,3.6824),(2145,795,0.009744,3.6824),(2145,805,0.009906,3.6824),(2145,815,0.010071,3.6824),(2145,825,0.01024,3.6824),(2145,835,0.01041,3.6824),(2145,845,0.010579,3.6824),(2145,855,0.010751,3.6824),(2145,865,0.010928,3.6824),(2145,875,0.011104,3.6824),(2145,885,0.011281,3.6824),(2145,895,0.011461,3.6824),(2145,905,0.011646,3.6824),(2145,915,0.01183,3.6824),(2145,925,0.012015,3.6824),(2145,935,0.012204,3.6824),(2145,945,0.012397,3.6824),(2145,955,0.01259,3.6824),(2145,965,0.012783,3.6824),(2145,975,0.012981,3.6824),(2145,985,0.013183,3.6824),(2145,995,0.013385,3.6824),(2145,1005,0.013588,3.6824),(2145,1015,0.013795,3.6824),(2145,1025,0.014007,3.6824),(2145,1035,0.014218,3.6824),(2145,1045,0.01443,3.6824),(2145,1055,0.014648,3.6824),(2145,1065,0.01487,3.6824),(2145,1075,0.015091,3.6824),(2145,1085,0.015313,3.6824),(2145,1095,0.015542,3.6824),(2145,1105,0.015775,3.6824),(2145,1115,0.016008,3.6824),(2145,1125,0.016241,3.6824),(2145,1135,0.016482,3.6824),(2145,1145,0.016727,3.6824),(2145,1155,0.016971,3.6824),(2145,1165,0.017216,3.6824),(2145,1175,0.017469,3.6824),(2145,1185,0.017726,3.6823),(2145,1195,0.017984,3.6823),(2145,1205,0.018241,3.6823),(2145,1215,0.018507,3.6823),(2145,1225,0.018777,3.6823),(2145,1235,0.019047,3.6823),(2145,1245,0.019318,3.6823),(2145,1255,0.019598,3.6822),(2145,1265,0.019882,3.6822),(2145,1275,0.020166,3.6822),(2145,1285,0.02045,3.6822),(2145,1295,0.020745,3.6822),(2145,1305,0.021044,3.6822),(2145,1315,0.021343,3.6821),(2145,1325,0.021641,3.6821),(2145,1335,0.021952,3.6821),(2145,1345,0.022267,3.6821),(2145,1355,0.022581,3.682),(2145,1365,0.022895,3.682),(2145,1375,0.023223,3.682),(2145,1385,0.023553,3.6819),(2145,1395,0.023883,3.6819),(2145,1405,0.024214,3.6819),(2145,1415,0.024559,3.6818),(2145,1425,0.024907,3.6818),(2145,1435,0.025254,3.6818),(2145,1445,0.025602,3.6817),(2145,1455,0.025966,3.6817),(2145,1465,0.026332,3.6816),(2145,1475,0.026697,3.6816),(2145,1485,0.027063,3.6816),(2145,1495,0.027447,3.6815),(2145,1505,0.027832,3.6815),(2145,1515,0.028216,3.6814),(2145,1525,0.028601,3.6813),(2145,1535,0.029005,3.6813),(2145,1545,0.02941,3.6812),(2145,1555,0.029814,3.6812),(2145,1565,0.030219,3.6811),(2145,1575,0.030644,3.681),(2145,1585,0.031069,3.681),(2145,1595,0.031494,3.6809),(2145,1605,0.031921,3.6808),(2145,1615,0.032368,3.6807),(2145,1625,0.032814,3.6806),(2145,1635,0.033261,3.6806),(2145,1645,0.033711,3.6805),(2145,1655,0.03418,3.6804),(2145,1665,0.034649,3.6803),(2145,1675,0.035118,3.6802),(2145,1685,0.035591,3.6801),(2145,1695,0.036084,3.68),(2145,1705,0.036576,3.6799),(2145,1715,0.037069,3.6798),(2145,1725,0.037567,3.6796),(2145,1735,0.038084,3.6795),(2145,1745,0.0386,3.6794),(2145,1755,0.039117,3.6793),(2145,1765,0.03964,3.6791),(2145,1775,0.040182,3.679),(2145,1785,0.040724,3.6789),(2145,1795,0.041266,3.6787),(2145,1805,0.041816,3.6786),(2145,1815,0.042384,3.6784),(2145,1825,0.042952,3.6782),(2145,1835,0.04352,3.6781),(2145,1845,0.044097,3.6779),(2145,1855,0.044692,3.6777),(2145,1865,0.045286,3.6775),(2145,1875,0.045881,3.6774),(2145,1885,0.046486,3.6772),(2145,1895,0.047108,3.677),(2145,1905,0.047731,3.6768),(2145,1915,0.048353,3.6765),(2145,1925,0.048987,3.6763),(2145,1935,0.049637,3.6761),(2145,1945,0.050287,3.6759),(2145,1955,0.050938,3.6756),(2145,1965,0.051601,3.6754),(2145,1975,0.05228,3.6751),(2145,1985,0.052959,3.6749),(2145,1995,0.053638,3.6746),(2145,2005,0.054331,3.6743),(2145,2015,0.055039,3.6741),(2145,2025,0.055747,3.6738),(2145,2035,0.056454,3.6735),(2145,2045,0.057178,3.6731),(2145,2055,0.057915,3.6728),(2145,2065,0.058652,3.6725),(2145,2075,0.059389,3.6722),(2145,2085,0.060143,3.6718),(2145,2095,0.06091,3.6715),(2145,2105,0.061676,3.6711),(2145,2115,0.062443,3.6708),(2145,2125,0.063228,3.6704),(2145,2135,0.064024,3.67),(2145,2145,0.06482,3.6696),(2145,2155,0.065616,3.6692),(2145,2165,0.066431,3.6688),(2145,2175,0.067256,3.6683),(2145,2185,0.068081,3.6679),(2145,2195,0.068907,3.6674),(2145,2205,0.069752,3.667),(2145,2215,0.070606,3.6665),(2145,2225,0.07146,3.666),(2145,2235,0.072314,3.6655),(2145,2245,0.073189,3.665),(2145,2255,0.074071,3.6645),(2145,2265,0.074953,3.6639),(2145,2275,0.075835,3.6634),(2145,2285,0.076738,3.6628),(2145,2295,0.077648,3.6622),(2145,2305,0.078557,3.6616),(2145,2315,0.079466,3.661),(2145,2325,0.080397,3.6604),(2145,2335,0.081332,3.6598),(2145,2345,0.082267,3.6591),(2145,2355,0.083203,3.6585),(2145,2365,0.084159,3.6578),(2145,2375,0.085119,3.6571),(2145,2385,0.086079,3.6564),(2145,2395,0.087039,3.6557),(2145,2405,0.088019,3.6549),(2145,2415,0.089001,3.6542),(2145,2425,0.089984,3.6534),(2145,2435,0.090967,3.6526),(2145,2445,0.091968,3.6518),(2145,2455,0.092971,3.651),(2145,2465,0.093974,3.6501),(2145,2475,0.094977,3.6493),(2145,2485,0.095998,3.6484),(2145,2495,0.097018,3.6475),(2145,2505,0.098039,3.6466),(2145,2515,0.09906,3.6457),(2145,2525,0.1001,3.6447),(2145,2535,0.10113,3.6438),(2145,2545,0.10217,3.6428),(2145,2555,0.1032,3.6418),(2145,2565,0.10425,3.6408),(2145,2575,0.1053,3.6397),(2145,2585,0.10635,3.6386),(2145,2595,0.1074,3.6376),(2145,2605,0.10845,3.6365),(2145,2615,0.10951,3.6354),(2145,2625,0.11056,3.6342),(2145,2635,0.11162,3.633),(2145,2645,0.11268,3.6319),(2145,2655,0.11374,3.6307),(2145,2665,0.1148,3.6294),(2145,2675,0.11586,3.6282),(2145,2685,0.11692,3.6269),(2145,2695,0.11798,3.6256),(2145,2705,0.11903,3.6243),(2145,2715,0.12009,3.623),(2145,2725,0.12115,3.6216),(2145,2735,0.1222,3.6203),(2145,2745,0.12325,3.6188),(2145,2755,0.1243,3.6174),(2145,2765,0.12535,3.616),(2145,2775,0.12639,3.6145),(2145,2785,0.12743,3.613),(2145,2795,0.12847,3.6115),(2145,2805,0.1295,3.61),(2145,2815,0.13053,3.6084),(2145,2825,0.13155,3.6068),(2145,2835,0.13257,3.6052),(2145,2845,0.13358,3.6036),(2145,2855,0.13458,3.6019),(2145,2865,0.13559,3.6002),(2145,2875,0.13659,3.5985),(2145,2885,0.13756,3.5968),(2145,2895,0.13854,3.5951),(2145,2905,0.13952,3.5933),(2145,2915,0.14048,3.5915),(2145,2925,0.14143,3.5897),(2145,2935,0.14237,3.5879),(2145,2945,0.14331,3.586),(2145,2955,0.14424,3.5841),(2145,2965,0.14514,3.5823),(2145,2975,0.14604,3.5803),(2145,2985,0.14695,3.5784),(2145,2995,0.14783,3.5764),(2145,3005,0.14868,3.5744),(2145,3015,0.14954,3.5724),(2145,3025,0.15039,3.5704),(2145,3035,0.15122,3.5683),(2145,3045,0.15202,3.5662),(2145,3055,0.15282,3.5641),(2145,3065,0.15363,3.562),(2145,3075,0.15439,3.5599),(2145,3085,0.15514,3.5577),(2145,3095,0.15588,3.5555),(2145,3105,0.15662,3.5533),(2145,3115,0.15732,3.5511),(2145,3125,0.158,3.5489),(2145,3135,0.15867,3.5466),(2145,3145,0.15935,3.5443),(2145,3155,0.15998,3.542),(2145,3165,0.16058,3.5397),(2145,3175,0.16118,3.5374),(2145,3185,0.16178,3.535),(2145,3195,0.16233,3.5326),(2145,3205,0.16286,3.5302),(2145,3215,0.16338,3.5278),(2145,3225,0.1639,3.5254),(2145,3235,0.16437,3.5229),(2145,3245,0.1648,3.5205),(2145,3255,0.16524,3.518),(2145,3265,0.16568,3.5155),(2145,3275,0.16605,3.513),(2145,3285,0.1664,3.5105),(2145,3295,0.16675,3.508),(2145,3305,0.1671,3.5054),(2145,3315,0.16738,3.5029),(2145,3325,0.16763,3.5003),(2145,3335,0.16789,3.4978),(2145,3345,0.16814,3.4952),(2145,3355,0.16831,3.4926),(2145,3365,0.16847,3.49),(2145,3375,0.16863,3.4873),(2145,3385,0.16878,3.4847),(2145,3395,0.16885,3.4821),(2145,3405,0.1689,3.4794),(2145,3415,0.16895,3.4768),(2145,3425,0.16901,3.4741),(2145,3435,0.16896,3.4714),(2145,3445,0.16891,3.4688),(2145,3455,0.16886,3.4661),(2145,3465,0.16881,3.4634),(2145,3475,0.16865,3.4607),(2145,3485,0.16849,3.458),(2145,3495,0.16833,3.4553),(2145,3505,0.16817,3.4526),(2145,3515,0.1679,3.4499),(2145,3525,0.16763,3.4472),(2145,3535,0.16736,3.4445),(2145,3545,0.16709,3.4418),(2145,3555,0.16671,3.4391),(2145,3565,0.16633,3.4364),(2145,3575,0.16594,3.4337),(2145,3585,0.16555,3.4309),(2145,3595,0.16506,3.4282),(2145,3605,0.16457,3.4255),(2145,3615,0.16408,3.4229),(2145,3625,0.16357,3.4202),(2145,3635,0.16297,3.4175),(2145,3645,0.16236,3.4148),(2145,3655,0.16176,3.4121),(2145,3665,0.16114,3.4094),(2145,3675,0.16042,3.4068),(2145,3685,0.15971,3.4041),(2145,3695,0.15899,3.4015),(2145,3705,0.15826,3.3988),(2145,3715,0.15743,3.3962),(2145,3725,0.15661,3.3936),(2145,3735,0.15579,3.391),(2145,3745,0.15494,3.3884),(2145,3755,0.15401,3.3858),(2145,3765,0.15307,3.3832),(2145,3775,0.15214,3.3806),(2145,3785,0.15118,3.3781),(2145,3795,0.15014,3.3755),(2145,3805,0.14911,3.373),(2145,3815,0.14807,3.3705),(2145,3825,0.147,3.368),(2145,3835,0.14586,3.3655),(2145,3845,0.14472,3.363),(2145,3855,0.14358,3.3605),(2145,3865,0.1424,3.3581),(2145,3875,0.14116,3.3556),(2145,3885,0.13991,3.3532),(2145,3895,0.13867,3.3508),(2145,3905,0.15926,3.3485),(2145,3915,0.21246,3.3461),(2145,3925,0.26566,3.3424),(2145,3935,0.31886,3.3368),(2145,3945,0.37494,3.3312),(2145,3955,0.43469,3.3256),(2145,3965,0.49443,3.3185),(2145,3975,0.55418,3.3096),(2145,3985,0.58853,3.3007),(2145,3995,0.59539,3.2918),(2145,4005,0.60225,3.2827),(2145,4015,0.60911,3.2735),(2145,4025,0.61667,3.2643),(2145,4035,0.62429,3.2549),(2145,4045,0.63192,3.2453),(2145,4055,0.63956,3.2357),(2145,4065,0.64721,3.226),(2145,4075,0.65486,3.2159),(2145,4085,0.66224,3.2058),(2145,4095,0.66941,3.1957),(2145,4105,0.67658,3.1851),(2145,4115,0.6584,3.1745),(2145,4125,0.5982,3.1639),(2145,4135,0.53799,3.1554),(2145,4145,0.47663,3.1475),(2145,4155,0.41057,3.1396),(2145,4165,0.34451,3.1336),(2145,4175,0.28238,3.1287),(2145,4185,0.4146,3.1239),(2145,4195,0.54683,3.1165),(2145,4205,0.67905,3.1057),(2145,4215,0.68189,3.0949),(2145,4225,0.66037,3.0843),(2145,4235,0.63886,3.0743),(2145,4245,0.59764,3.0643),(2145,4255,0.54643,3.0545),(2145,4265,0.49523,3.0466),(2145,4275,0.41686,3.0387),(2145,4285,0.30967,3.0308),(2145,4295,0.20248,3.028),(2145,4305,0.18308,3.0258),(2145,4315,0.36191,3.0236),(2145,4325,0.54074,3.0156),(2145,4335,0.70075,3.0053),(2145,4345,0.73333,2.9951),(2145,4355,0.76591,2.9841),(2145,4365,0.79849,2.9725),(2145,4375,0.80897,2.9609),(2145,4385,0.81831,2.949),(2145,4395,0.82764,2.9368),(2145,4405,0.72505,2.9245),(2145,4415,0.58946,2.9133),(2145,4425,0.45386,2.9067),(2145,4435,0.39904,2.9001),(2145,4445,0.39943,2.8935),(2145,4455,0.39981,2.8868),(2145,4465,0.46786,2.8801),(2145,4475,0.63097,2.8734),(2145,4485,0.79408,2.8621),(2145,4495,0.92132,2.8498),(2145,4505,0.93346,2.8375),(2145,4515,0.94561,2.8256),(2145,4525,0.95554,2.8139),(2145,4535,0.93044,2.8022),(2145,4545,0.90533,2.7913),(2145,4555,0.88022,2.7812),(2145,4565,0.66373,2.7712),(2145,4575,0.42143,2.7637),(2145,4585,0.17914,2.762),(2145,4595,0.20782,2.7604),(2145,4605,0.351,2.7579),(2145,4615,0.49417,2.7488),(2145,4625,0.60913,2.7397),(2145,4635,0.69852,2.7306),(2145,4645,0.78791,2.7184),(2145,4655,0.86313,2.7059),(2145,4665,0.91162,2.6934),(2145,4675,0.96011,2.6807),(2145,4685,0.966,2.6679),(2145,4695,0.76136,2.655),(2145,4705,0.55673,2.6469),(2145,4715,0.35209,2.6422),(2145,4725,0.47193,2.6375),(2145,4735,0.59502,2.631),(2145,4745,0.71812,2.6217),(2145,4755,0.84735,2.6124),(2145,4765,0.97802,2.6022),(2145,4775,1.1087,2.589),(2145,4785,1.1638,2.5757),(2145,4795,1.1752,2.5624),(2145,4805,1.1866,2.5493),(2145,4815,1.137,2.5362),(2145,4825,1.0144,2.5231),(2145,4835,0.89174,2.5136),(2145,4845,0.76629,2.5047),(2145,4855,0.63349,2.4958),(2145,4865,0.50068,2.49),(2145,4875,0.40977,2.4857),(2145,4885,0.70004,2.4814),(2145,4895,0.99032,2.4726),(2145,4905,1.2806,2.4597),(2145,4915,1.2856,2.4467),(2145,4925,1.2661,2.4336),(2145,4935,1.2466,2.4204),(2145,4945,1.1609,2.4072),(2145,4955,1.0523,2.3942),(2145,4965,0.94375,2.3825),(2145,4975,0.75183,2.3707),(2145,4985,0.49559,2.359),(2145,4995,0.23934,2.3573),(2145,5005,0.20209,2.356),(2145,5015,0.51301,2.3546),(2145,5025,0.82392,2.3464),(2145,5035,1.0937,2.3365),(2145,5045,1.2068,2.3265),(2145,5055,1.3199,2.3151),(2145,5065,1.4299,2.3026),(2145,5075,1.4407,2.2902),(2145,5085,1.4514,2.2778),(2145,5095,1.4622,2.2656),(2145,5105,1.2813,2.2534),(2145,5115,1.067,2.2428),(2145,5125,0.85267,2.2363),(2145,5135,0.74435,2.2299),(2145,5145,0.68746,2.2235),(2145,5155,0.63058,2.2179),(2145,5165,0.74968,2.2122),(2145,5175,1.0483,2.2065),(2145,5185,1.3469,2.194),(2145,5195,1.5543,2.1807),(2145,5205,1.5652,2.1674),(2145,5215,1.5761,2.1544),(2145,5225,1.5785,2.1414),(2145,5235,1.5282,2.1285),(2145,5245,1.4778,2.1166),(2145,5255,1.4275,2.1055),(2145,5265,1.0027,2.0944),(2145,5275,0.56259,2.0873),(2145,5285,0.12244,2.0868),(2145,5295,0.30901,2.0863),(2145,5305,0.67012,2.0832),(2145,5315,1.0312,2.0695),(2145,5325,1.2469,2.0558),(2145,5335,1.3672,2.0421),(2145,5345,1.4875,2.0282),(2145,5355,1.5677,2.0143),(2145,5365,1.5939,2.0003),(2145,5375,1.6201,1.987),(2145,5385,1.5463,1.9738),(2145,5395,1.1688,1.9606),(2145,5405,0.79126,1.9538),(2145,5415,0.45282,1.9503),(2145,5425,0.63955,1.9468),(2145,5435,0.82627,1.9388),(2145,5445,1.013,1.9259),(2145,5455,1.215,1.913),(2145,5465,1.4188,1.8979),(2145,5475,1.6226,1.8779),(2145,5485,1.6941,1.8578),(2145,5495,1.7122,1.8379),(2145,5505,1.7303,1.8184),(2145,5515,1.7484,1.7989),(2145,5525,1.7666,1.7794),(2145,5535,1.7848,1.7604),(2145,5545,1.8025,1.7414),(2145,5555,1.8196,1.7224),(2145,5565,1.8367,1.7038),(2145,5575,1.8535,1.6854),(2145,5585,1.8694,1.6669),(2145,5595,1.8853,1.6487),(2145,5605,1.9012,1.6307),(2145,5615,1.916,1.6127),(2145,5625,1.9308,1.595),(2145,5635,1.9456,1.5774),(2145,5645,1.9596,1.5599),(2145,5655,1.9733,1.5425),(2145,5665,1.9871,1.5254),(2145,5675,2.0002,1.5083),(2145,5685,2.013,1.4913),(2145,5695,2.0258,1.4746),(2145,5705,2.0382,1.4579),(2145,5715,2.0501,1.4412),(2145,5725,2.062,1.4248),(2145,5735,2.0737,1.4085),(2145,5745,2.0848,1.3922),(2145,5755,2.0958,1.3762),(2145,5765,2.1068,1.3602),(2145,5775,2.1171,1.3443),(2145,5785,2.1275,1.3285),(2145,5795,2.1378,1.3129),(2145,5805,2.1474,1.2973),(2145,5815,2.157,1.2818),(2145,5825,2.1666,1.2665),(2145,5835,2.1758,1.2512),(2145,5845,2.1847,1.2359),(2145,5855,2.1937,1.2209),(2145,5865,2.2023,1.2058),(2145,5875,2.2107,1.1908),(2145,5885,2.2191,1.176),(2145,5895,2.2272,1.1613),(2145,5905,2.2351,1.1465),(2145,5915,2.2429,1.1319),(2145,5925,2.2506,1.1174),(2145,5935,2.258,1.1029),(2145,5945,2.2653,1.0885),(2145,5955,2.2726,1.0743),(2145,5965,2.2796,1.06),(2145,5975,2.2867,1.0458),(2145,5985,2.2937,1.0318),(2145,5995,1.7541,1.0177),(2145,6005,1.1265,1.007),(2145,6015,0.4989,1.0051),(2145,6025,0.54348,1.0033),(2145,6035,0.89982,1.0004),(2145,6045,1.2562,0.98707),(2145,6055,1.5096,0.97377),(2145,6065,1.662,0.96048),(2145,6075,1.8145,0.94328),(2145,6085,1.9191,0.92572),(2145,6095,1.9253,0.90816),(2145,6105,1.9314,0.89049),(2145,6115,1.9374,0.87278),(2145,6125,1.9432,0.85507),(2145,6135,1.949,0.83739),(2145,6145,1.9548,0.81974),(2145,6155,1.9602,0.80208),(2145,6165,1.9656,0.78446),(2145,6175,1.971,0.76688),(2145,6185,1.976,0.74931),(2145,6195,1.981,0.73173),(2145,6205,1.986,0.7141),(2145,6215,1.9908,0.69647),(2145,6225,1.9954,0.67884),(2145,6235,2,0.66128),(2145,6245,2.0045,0.64373),(2145,6255,2.0087,0.62617),(2145,6265,2.013,0.60863),(2145,6275,2.0171,0.59109),(2145,6285,2.021,0.57354),(2145,6295,2.0248,0.55599),(2145,6305,2.0287,0.53842),(2145,6315,2.0321,0.52086),(2145,6325,2.0356,0.50326),(2145,6335,2.0391,0.48562),(2145,6345,2.0422,0.46798),(2145,6355,2.0453,0.45035),(2145,6365,2.0484,0.43272),(2145,6375,2.0513,0.41509),(2145,6385,2.054,0.39748),(2145,6395,2.0567,0.37993),(2145,6405,2.0592,0.36239),(2145,6415,2.0616,0.34485),(2145,6425,2.0639,0.32735),(2145,6435,2.0661,0.30986),(2145,6445,2.0681,0.29236),(2145,6455,2.0701,0.27486),(2145,6465,2.072,0.25735),(2145,6475,2.0736,0.23984),(2145,6485,2.0752,0.2223),(2145,6495,2.0767,0.20473),(2145,6505,2.078,0.18717),(2145,6515,2.0792,0.1696),(2145,6525,2.0804,0.15201),(2145,6535,2.0813,0.13442),(2145,6545,2.0822,0.11684),(2145,6555,2.083,0.099282),(2145,6565,2.0836,0.081725),(2145,6575,2.084,0.064174),(2145,6585,2.0844,0.046724),(2145,6595,1.773,0.029274),(2145,6605,1.1174,0.011823),(2145,6615,0.46172,0.009826),(2145,6625,0.000823,0.009815),(2145,6635,0.000825,0.009803),(2145,6645,0.000827,0.009792),(2145,6655,0.000829,0.009781),(2145,6665,0.00083,0.009771),(2145,6675,0.000832,0.00976),(2145,6685,0.000834,0.00975),(2145,6695,0.000835,0.00974),(2145,6705,0.000837,0.009729),(2145,6715,0.000839,0.009719),(2145,6725,0.00084,0.009709),(2145,6735,0.000842,0.009699),(2145,6745,0.000843,0.009689),(2145,6755,0.000845,0.009678),(2145,6765,0.000846,0.009668),(2145,6775,0.000847,0.009658),(2145,6785,0.000849,0.009648),(2145,6795,0.00085,0.009638),(2145,6805,0.000852,0.009628),(2145,6815,0.000853,0.009618),(2145,6825,0.000854,0.009608),(2145,6835,0.000855,0.009598),(2145,6845,0.000857,0.009588),(2145,6855,0.000858,0.009578),(2145,6865,0.000859,0.009568),(2145,6875,0.00086,0.009558),(2145,6885,0.000862,0.009548),(2145,6895,0.000863,0.009539),(2145,6905,0.000864,0.009529),(2145,6915,0.000865,0.009519),(2145,6925,0.000866,0.009509),(2145,6935,0.000867,0.009499),(2145,6945,0.000868,0.009489),(2145,6955,0.000869,0.00948),(2145,6965,0.00087,0.00947),(2145,6975,0.000871,0.00946),(2145,6985,0.000872,0.009451),(2155,5,5.2e-05,3.6824),(2155,15,0.000155,3.6824),(2155,25,0.000258,3.6824),(2155,35,0.000362,3.6824),(2155,45,0.000465,3.6824),(2155,55,0.000568,3.6824),(2155,65,0.000672,3.6824),(2155,75,0.000776,3.6824),(2155,85,0.000879,3.6824),(2155,95,0.000983,3.6824),(2155,105,0.001087,3.6824),(2155,115,0.001192,3.6824),(2155,125,0.001296,3.6824),(2155,135,0.0014,3.6824),(2155,145,0.001505,3.6824),(2155,155,0.001611,3.6824),(2155,165,0.001716,3.6824),(2155,175,0.001821,3.6824),(2155,185,0.001928,3.6824),(2155,195,0.002034,3.6824),(2155,205,0.002141,3.6824),(2155,215,0.002247,3.6824),(2155,225,0.002355,3.6824),(2155,235,0.002463,3.6824),(2155,245,0.002571,3.6824),(2155,255,0.002679,3.6824),(2155,265,0.002788,3.6824),(2155,275,0.002897,3.6824),(2155,285,0.003007,3.6824),(2155,295,0.003116,3.6824),(2155,305,0.003228,3.6824),(2155,315,0.003339,3.6824),(2155,325,0.003451,3.6824),(2155,335,0.003562,3.6824),(2155,345,0.003676,3.6824),(2155,355,0.003789,3.6824),(2155,365,0.003903,3.6824),(2155,375,0.004017,3.6824),(2155,385,0.004133,3.6824),(2155,395,0.00425,3.6824),(2155,405,0.004366,3.6824),(2155,415,0.004483,3.6824),(2155,425,0.004602,3.6825),(2155,435,0.004721,3.6825),(2155,445,0.004841,3.6825),(2155,455,0.00496,3.6825),(2155,465,0.005082,3.6825),(2155,475,0.005205,3.6825),(2155,485,0.005327,3.6825),(2155,495,0.00545,3.6825),(2155,505,0.005576,3.6825),(2155,515,0.005702,3.6825),(2155,525,0.005828,3.6825),(2155,535,0.005955,3.6825),(2155,545,0.006085,3.6825),(2155,555,0.006215,3.6825),(2155,565,0.006345,3.6825),(2155,575,0.006475,3.6825),(2155,585,0.006609,3.6825),(2155,595,0.006744,3.6825),(2155,605,0.006878,3.6825),(2155,615,0.007013,3.6825),(2155,625,0.007152,3.6825),(2155,635,0.007291,3.6825),(2155,645,0.00743,3.6825),(2155,655,0.00757,3.6825),(2155,665,0.007713,3.6825),(2155,675,0.007857,3.6825),(2155,685,0.008001,3.6825),(2155,695,0.008146,3.6825),(2155,705,0.008296,3.6826),(2155,715,0.008445,3.6826),(2155,725,0.008595,3.6826),(2155,735,0.008746,3.6826),(2155,745,0.008901,3.6826),(2155,755,0.009057,3.6826),(2155,765,0.009212,3.6826),(2155,775,0.009369,3.6826),(2155,785,0.009531,3.6826),(2155,795,0.009693,3.6826),(2155,805,0.009855,3.6826),(2155,815,0.010019,3.6826),(2155,825,0.010188,3.6826),(2155,835,0.010357,3.6826),(2155,845,0.010525,3.6826),(2155,855,0.010697,3.6826),(2155,865,0.010873,3.6826),(2155,875,0.011049,3.6826),(2155,885,0.011225,3.6826),(2155,895,0.011404,3.6826),(2155,905,0.011588,3.6826),(2155,915,0.011772,3.6826),(2155,925,0.011956,3.6826),(2155,935,0.012143,3.6826),(2155,945,0.012336,3.6826),(2155,955,0.012529,3.6826),(2155,965,0.012721,3.6826),(2155,975,0.012918,3.6826),(2155,985,0.01312,3.6826),(2155,995,0.013321,3.6826),(2155,1005,0.013523,3.6826),(2155,1015,0.013729,3.6826),(2155,1025,0.013941,3.6826),(2155,1035,0.014152,3.6826),(2155,1045,0.014363,3.6826),(2155,1055,0.01458,3.6826),(2155,1065,0.014801,3.6826),(2155,1075,0.015022,3.6826),(2155,1085,0.015244,3.6826),(2155,1095,0.015471,3.6826),(2155,1105,0.015704,3.6826),(2155,1115,0.015936,3.6826),(2155,1125,0.016169,3.6826),(2155,1135,0.016409,3.6826),(2155,1145,0.016653,3.6826),(2155,1155,0.016897,3.6826),(2155,1165,0.017141,3.6826),(2155,1175,0.017394,3.6826),(2155,1185,0.017651,3.6826),(2155,1195,0.017907,3.6826),(2155,1205,0.018164,3.6826),(2155,1215,0.01843,3.6826),(2155,1225,0.0187,3.6826),(2155,1235,0.018969,3.6826),(2155,1245,0.019239,3.6825),(2155,1255,0.019519,3.6825),(2155,1265,0.019803,3.6825),(2155,1275,0.020086,3.6825),(2155,1285,0.02037,3.6825),(2155,1295,0.020665,3.6825),(2155,1305,0.020963,3.6825),(2155,1315,0.021261,3.6824),(2155,1325,0.02156,3.6824),(2155,1335,0.021871,3.6824),(2155,1345,0.022185,3.6824),(2155,1355,0.022498,3.6824),(2155,1365,0.022812,3.6823),(2155,1375,0.02314,3.6823),(2155,1385,0.02347,3.6823),(2155,1395,0.023801,3.6822),(2155,1405,0.024131,3.6822),(2155,1415,0.024476,3.6822),(2155,1425,0.024824,3.6822),(2155,1435,0.025171,3.6821),(2155,1445,0.025519,3.6821),(2155,1455,0.025883,3.682),(2155,1465,0.026249,3.682),(2155,1475,0.026615,3.682),(2155,1485,0.02698,3.6819),(2155,1495,0.027365,3.6819),(2155,1505,0.02775,3.6818),(2155,1515,0.028134,3.6818),(2155,1525,0.02852,3.6817),(2155,1535,0.028924,3.6817),(2155,1545,0.029329,3.6816),(2155,1555,0.029734,3.6816),(2155,1565,0.03014,3.6815),(2155,1575,0.030565,3.6814),(2155,1585,0.030991,3.6814),(2155,1595,0.031416,3.6813),(2155,1605,0.031844,3.6812),(2155,1615,0.032292,3.6812),(2155,1625,0.032739,3.6811),(2155,1635,0.033186,3.681),(2155,1645,0.033637,3.6809),(2155,1655,0.034107,3.6808),(2155,1665,0.034578,3.6808),(2155,1675,0.035048,3.6807),(2155,1685,0.035522,3.6806),(2155,1695,0.036016,3.6805),(2155,1705,0.03651,3.6804),(2155,1715,0.037004,3.6803),(2155,1725,0.037503,3.6801),(2155,1735,0.038021,3.68),(2155,1745,0.03854,3.6799),(2155,1755,0.039058,3.6798),(2155,1765,0.039583,3.6797),(2155,1775,0.040127,3.6795),(2155,1785,0.040671,3.6794),(2155,1795,0.041215,3.6793),(2155,1805,0.041767,3.6791),(2155,1815,0.042337,3.679),(2155,1825,0.042907,3.6788),(2155,1835,0.043477,3.6787),(2155,1845,0.044057,3.6785),(2155,1855,0.044654,3.6783),(2155,1865,0.045252,3.6782),(2155,1875,0.045849,3.678),(2155,1885,0.046457,3.6778),(2155,1895,0.047082,3.6776),(2155,1905,0.047707,3.6774),(2155,1915,0.048333,3.6772),(2155,1925,0.04897,3.677),(2155,1935,0.049624,3.6768),(2155,1945,0.050277,3.6765),(2155,1955,0.050931,3.6763),(2155,1965,0.051598,3.6761),(2155,1975,0.052281,3.6758),(2155,1985,0.052964,3.6756),(2155,1995,0.053647,3.6753),(2155,2005,0.054344,3.675),(2155,2015,0.055057,3.6748),(2155,2025,0.055769,3.6745),(2155,2035,0.056481,3.6742),(2155,2045,0.05721,3.6739),(2155,2055,0.057952,3.6736),(2155,2065,0.058694,3.6733),(2155,2075,0.059436,3.6729),(2155,2085,0.060195,3.6726),(2155,2095,0.060967,3.6723),(2155,2105,0.061739,3.6719);
INSERT INTO `ILD_00_Brho_Bz` VALUES (2155,2115,0.062511,3.6715),(2155,2125,0.063302,3.6712),(2155,2135,0.064104,3.6708),(2155,2145,0.064907,3.6704),(2155,2155,0.065709,3.67),(2155,2165,0.066531,3.6696),(2155,2175,0.067363,3.6692),(2155,2185,0.068195,3.6687),(2155,2195,0.069027,3.6683),(2155,2205,0.06988,3.6678),(2155,2215,0.070741,3.6674),(2155,2225,0.071603,3.6669),(2155,2235,0.072464,3.6664),(2155,2245,0.073347,3.6659),(2155,2255,0.074237,3.6654),(2155,2265,0.075128,3.6648),(2155,2275,0.076018,3.6643),(2155,2285,0.07693,3.6637),(2155,2295,0.077848,3.6632),(2155,2305,0.078766,3.6626),(2155,2315,0.079684,3.662),(2155,2325,0.080624,3.6613),(2155,2335,0.081569,3.6607),(2155,2345,0.082514,3.6601),(2155,2355,0.083459,3.6594),(2155,2365,0.084426,3.6588),(2155,2375,0.085396,3.6581),(2155,2385,0.086366,3.6574),(2155,2395,0.087336,3.6566),(2155,2405,0.088328,3.6559),(2155,2415,0.089321,3.6552),(2155,2425,0.090315,3.6544),(2155,2435,0.091309,3.6536),(2155,2445,0.092322,3.6528),(2155,2455,0.093337,3.652),(2155,2465,0.094352,3.6512),(2155,2475,0.095367,3.6503),(2155,2485,0.0964,3.6494),(2155,2495,0.097433,3.6486),(2155,2505,0.098467,3.6477),(2155,2515,0.0995,3.6467),(2155,2525,0.10055,3.6458),(2155,2535,0.1016,3.6449),(2155,2545,0.10265,3.6438),(2155,2555,0.1037,3.6428),(2155,2565,0.10476,3.6418),(2155,2575,0.10582,3.6408),(2155,2585,0.10688,3.6397),(2155,2595,0.10794,3.6386),(2155,2605,0.10902,3.6375),(2155,2615,0.11009,3.6364),(2155,2625,0.11116,3.6353),(2155,2635,0.11223,3.6341),(2155,2645,0.1133,3.6329),(2155,2655,0.11438,3.6318),(2155,2665,0.11545,3.6305),(2155,2675,0.11653,3.6292),(2155,2685,0.1176,3.628),(2155,2695,0.11868,3.6267),(2155,2705,0.11975,3.6254),(2155,2715,0.12083,3.624),(2155,2725,0.1219,3.6227),(2155,2735,0.12297,3.6213),(2155,2745,0.12404,3.6199),(2155,2755,0.1251,3.6185),(2155,2765,0.12616,3.617),(2155,2775,0.12722,3.6156),(2155,2785,0.12828,3.6141),(2155,2795,0.12934,3.6125),(2155,2805,0.13038,3.611),(2155,2815,0.13143,3.6095),(2155,2825,0.13247,3.6079),(2155,2835,0.13351,3.6062),(2155,2845,0.13453,3.6046),(2155,2855,0.13555,3.603),(2155,2865,0.13658,3.6013),(2155,2875,0.13759,3.5996),(2155,2885,0.13858,3.5979),(2155,2895,0.13958,3.5961),(2155,2905,0.14057,3.5943),(2155,2915,0.14155,3.5925),(2155,2925,0.14252,3.5907),(2155,2935,0.14348,3.5889),(2155,2945,0.14444,3.587),(2155,2955,0.14538,3.5851),(2155,2965,0.1463,3.5832),(2155,2975,0.14722,3.5813),(2155,2985,0.14814,3.5793),(2155,2995,0.14904,3.5773),(2155,3005,0.14991,3.5753),(2155,3015,0.15078,3.5733),(2155,3025,0.15165,3.5712),(2155,3035,0.1525,3.5692),(2155,3045,0.15332,3.5671),(2155,3055,0.15414,3.565),(2155,3065,0.15495,3.5628),(2155,3075,0.15574,3.5607),(2155,3085,0.1565,3.5585),(2155,3095,0.15725,3.5563),(2155,3105,0.15801,3.5541),(2155,3115,0.15873,3.5518),(2155,3125,0.15942,3.5496),(2155,3135,0.16011,3.5473),(2155,3145,0.1608,3.545),(2155,3155,0.16145,3.5427),(2155,3165,0.16206,3.5403),(2155,3175,0.16268,3.538),(2155,3185,0.1633,3.5356),(2155,3195,0.16386,3.5332),(2155,3205,0.1644,3.5308),(2155,3215,0.16493,3.5284),(2155,3225,0.16547,3.5259),(2155,3235,0.16595,3.5234),(2155,3245,0.1664,3.521),(2155,3255,0.16685,3.5185),(2155,3265,0.1673,3.516),(2155,3275,0.16768,3.5134),(2155,3285,0.16805,3.5109),(2155,3295,0.16841,3.5083),(2155,3305,0.16877,3.5058),(2155,3315,0.16905,3.5032),(2155,3325,0.16932,3.5006),(2155,3335,0.16958,3.498),(2155,3345,0.16985,3.4954),(2155,3355,0.17003,3.4928),(2155,3365,0.17019,3.4901),(2155,3375,0.17036,3.4875),(2155,3385,0.17052,3.4848),(2155,3395,0.17059,3.4822),(2155,3405,0.17066,3.4795),(2155,3415,0.17072,3.4768),(2155,3425,0.17078,3.4741),(2155,3435,0.17074,3.4714),(2155,3445,0.17069,3.4687),(2155,3455,0.17065,3.466),(2155,3465,0.1706,3.4633),(2155,3475,0.17045,3.4606),(2155,3485,0.17029,3.4578),(2155,3495,0.17014,3.4551),(2155,3505,0.16998,3.4524),(2155,3515,0.16971,3.4497),(2155,3525,0.16945,3.4469),(2155,3535,0.16918,3.4442),(2155,3545,0.16891,3.4414),(2155,3555,0.16853,3.4387),(2155,3565,0.16815,3.436),(2155,3575,0.16777,3.4332),(2155,3585,0.16738,3.4305),(2155,3595,0.16689,3.4278),(2155,3605,0.16639,3.425),(2155,3615,0.1659,3.4223),(2155,3625,0.16539,3.4196),(2155,3635,0.16479,3.4169),(2155,3645,0.16418,3.4142),(2155,3655,0.16358,3.4115),(2155,3665,0.16295,3.4088),(2155,3675,0.16223,3.4061),(2155,3685,0.16152,3.4034),(2155,3695,0.1608,3.4007),(2155,3705,0.16006,3.3981),(2155,3715,0.15923,3.3954),(2155,3725,0.1584,3.3927),(2155,3735,0.15757,3.3901),(2155,3745,0.15672,3.3875),(2155,3755,0.15578,3.3848),(2155,3765,0.15484,3.3822),(2155,3775,0.1539,3.3796),(2155,3785,0.15294,3.3771),(2155,3795,0.15189,3.3745),(2155,3805,0.15085,3.3719),(2155,3815,0.1498,3.3694),(2155,3825,0.14872,3.3669),(2155,3835,0.14757,3.3643),(2155,3845,0.14643,3.3618),(2155,3855,0.14528,3.3593),(2155,3865,0.14409,3.3569),(2155,3875,0.14284,3.3544),(2155,3885,0.14159,3.352),(2155,3895,0.14034,3.3496),(2155,3905,0.16113,3.3472),(2155,3915,0.21487,3.3447),(2155,3925,0.26861,3.341),(2155,3935,0.32235,3.3354),(2155,3945,0.37897,3.3297),(2155,3955,0.43926,3.3241),(2155,3965,0.49954,3.3169),(2155,3975,0.55983,3.3079),(2155,3985,0.59448,3.2989),(2155,3995,0.60139,3.2899),(2155,4005,0.60829,3.2808),(2155,4015,0.6152,3.2715),(2155,4025,0.62283,3.2622),(2155,4035,0.63054,3.2528),(2155,4045,0.63824,3.2431),(2155,4055,0.64599,3.2334),(2155,4065,0.65376,3.2236),(2155,4075,0.66152,3.2134),(2155,4085,0.66902,3.2032),(2155,4095,0.67631,3.193),(2155,4105,0.68361,3.1824),(2155,4115,0.6653,3.1717),(2155,4125,0.60454,3.161),(2155,4135,0.54379,3.1525),(2155,4145,0.48186,3.1447),(2155,4155,0.41519,3.1368),(2155,4165,0.34852,3.1308),(2155,4175,0.2858,3.126),(2155,4185,0.41922,3.1212),(2155,4195,0.55263,3.1138),(2155,4205,0.68604,3.1029),(2155,4215,0.68892,3.092),(2155,4225,0.66723,3.0813),(2155,4235,0.64554,3.0712),(2155,4245,0.604,3.0611),(2155,4255,0.5524,3.0511),(2155,4265,0.50079,3.0431),(2155,4275,0.42163,3.0351),(2155,4285,0.31323,3.027),(2155,4295,0.20483,3.0242),(2155,4305,0.18509,3.022),(2155,4315,0.36555,3.0198),(2155,4325,0.54601,3.0118),(2155,4335,0.70747,3.0016),(2155,4345,0.74028,2.9913),(2155,4355,0.77309,2.9803),(2155,4365,0.8059,2.9687),(2155,4375,0.81653,2.9571),(2155,4385,0.82601,2.9453),(2155,4395,0.83549,2.933),(2155,4405,0.7321,2.9207),(2155,4415,0.59542,2.9095),(2155,4425,0.45875,2.9029),(2155,4435,0.40352,2.8963),(2155,4445,0.40395,2.8897),(2155,4455,0.40437,2.883),(2155,4465,0.47283,2.8763),(2155,4475,0.63685,2.8696),(2155,4485,0.80087,2.8583),(2155,4495,0.92874,2.8459),(2155,4505,0.94063,2.8336),(2155,4515,0.95251,2.8216),(2155,4525,0.96217,2.8098),(2155,4535,0.93665,2.798),(2155,4545,0.91112,2.7868),(2155,4555,0.88559,2.7765),(2155,4565,0.66785,2.7662),(2155,4575,0.4242,2.7583),(2155,4585,0.18055,2.7566),(2155,4595,0.20992,2.7549),(2155,4605,0.35464,2.7524),(2155,4615,0.49937,2.7431),(2155,4625,0.61537,2.7337),(2155,4635,0.70536,2.7244),(2155,4645,0.79535,2.712),(2155,4655,0.87092,2.6994),(2155,4665,0.91932,2.6868),(2155,4675,0.96772,2.674),(2155,4685,0.97329,2.6612),(2155,4695,0.76718,2.6484),(2155,4705,0.56108,2.6404),(2155,4715,0.35497,2.6358),(2155,4725,0.4756,2.6312),(2155,4735,0.5995,2.6247),(2155,4745,0.7234,2.6155),(2155,4755,0.85326,2.6063),(2155,4765,0.98451,2.5961),(2155,4775,1.1158,2.5828),(2155,4785,1.171,2.5695),(2155,4795,1.1823,2.5562),(2155,4805,1.1936,2.543),(2155,4815,1.1436,2.5299),(2155,4825,1.0203,2.5168),(2155,4835,0.89694,2.5073),(2155,4845,0.77079,2.4985),(2155,4855,0.63723,2.4896),(2155,4865,0.50368,2.4838),(2155,4875,0.41222,2.4795),(2155,4885,0.7037,2.4751),(2155,4895,0.99519,2.4664),(2155,4905,1.2867,2.4534),(2155,4915,1.2919,2.4404),(2155,4925,1.2726,2.4274),(2155,4935,1.2532,2.4141),(2155,4945,1.1676,2.4009),(2155,4955,1.0591,2.3878),(2155,4965,0.9506,2.376),(2155,4975,0.75766,2.3642),(2155,4985,0.49954,2.3524),(2155,4995,0.24141,2.3507),(2155,5005,0.20343,2.3493),(2155,5015,0.51543,2.3479),(2155,5025,0.82744,2.3397),(2155,5035,1.0981,2.3298),(2155,5045,1.2114,2.3198),(2155,5055,1.3247,2.3083),(2155,5065,1.435,2.2958),(2155,5075,1.4456,2.2834),(2155,5085,1.4562,2.271),(2155,5095,1.4669,2.2588),(2155,5105,1.2854,2.2466),(2155,5115,1.0703,2.2359),(2155,5125,0.85532,2.2295),(2155,5135,0.74679,2.2231),(2155,5145,0.68995,2.2167),(2155,5155,0.6331,2.211),(2155,5165,0.75265,2.2054),(2155,5175,1.0521,2.1997),(2155,5185,1.3516,2.1871),(2155,5195,1.5595,2.1739),(2155,5205,1.5703,2.1606),(2155,5215,1.581,2.1476),(2155,5225,1.5833,2.1347),(2155,5235,1.5326,2.1217),(2155,5245,1.4819,2.1098),(2155,5255,1.4313,2.0988),(2155,5265,1.0055,2.0878),(2155,5275,0.56426,2.0806),(2155,5285,0.12303,2.0801),(2155,5295,0.31111,2.0796),(2155,5305,0.67444,2.0765),(2155,5315,1.0378,2.0628),(2155,5325,1.254,2.0491),(2155,5335,1.3738,2.0354),(2155,5345,1.4936,2.0214),(2155,5355,1.5734,2.0075),(2155,5365,1.5993,1.9935),(2155,5375,1.6251,1.9802),(2155,5385,1.5508,1.967),(2155,5395,1.1722,1.9539),(2155,5405,0.79354,1.947),(2155,5415,0.4542,1.9435),(2155,5425,0.64288,1.94),(2155,5435,0.83156,1.932),(2155,5445,1.0202,1.9192),(2155,5455,1.2235,1.9063),(2155,5465,1.4285,1.8913),(2155,5475,1.6334,1.8713),(2155,5485,1.705,1.8514),(2155,5495,1.7229,1.8315),(2155,5505,1.7408,1.812),(2155,5515,1.7587,1.7926),(2155,5525,1.7766,1.7732),(2155,5535,1.7945,1.7543),(2155,5545,1.8121,1.7353),(2155,5555,1.8289,1.7164),(2155,5565,1.8458,1.6979),(2155,5575,1.8624,1.6795),(2155,5585,1.8781,1.6612),(2155,5595,1.8937,1.6431),(2155,5605,1.9094,1.6251),(2155,5615,1.924,1.6072),(2155,5625,1.9386,1.5895),(2155,5635,1.9532,1.5721),(2155,5645,1.9669,1.5547),(2155,5655,1.9805,1.5373),(2155,5665,1.9941,1.5203),(2155,5675,2.007,1.5033),(2155,5685,2.0196,1.4863),(2155,5695,2.0323,1.4697),(2155,5705,2.0445,1.453),(2155,5715,2.0562,1.4364),(2155,5725,2.0679,1.4201),(2155,5735,2.0794,1.4039),(2155,5745,2.0904,1.3877),(2155,5755,2.1013,1.3717),(2155,5765,2.1121,1.3558),(2155,5775,2.1223,1.34),(2155,5785,2.1324,1.3243),(2155,5795,2.1426,1.3087),(2155,5805,2.1521,1.2932),(2155,5815,2.1616,1.2777),(2155,5825,2.1711,1.2625),(2155,5835,2.1801,1.2472),(2155,5845,2.1889,1.2321),(2155,5855,2.1978,1.2171),(2155,5865,2.2063,1.2021),(2155,5875,2.2145,1.1872),(2155,5885,2.2228,1.1725),(2155,5895,2.2308,1.1578),(2155,5905,2.2386,1.1431),(2155,5915,2.2463,1.1286),(2155,5925,2.2539,1.1141),(2155,5935,2.2611,1.0997),(2155,5945,2.2684,1.0854),(2155,5955,2.2756,1.0712),(2155,5965,2.2825,1.057),(2155,5975,2.2895,1.0429),(2155,5985,2.2964,1.0289),(2155,5995,1.7561,1.0149),(2155,6005,1.1278,1.0043),(2155,6015,0.49949,1.0024),(2155,6025,0.54514,1.0006),(2155,6035,0.90337,0.99767),(2155,6045,1.2616,0.98441),(2155,6055,1.5163,0.97114),(2155,6065,1.6694,0.95787),(2155,6075,1.8225,0.94071),(2155,6085,1.9275,0.92318),(2155,6095,1.9336,0.90566),(2155,6105,1.9397,0.88802),(2155,6115,1.9458,0.87034),(2155,6125,1.9515,0.85266),(2155,6135,1.9573,0.83501),(2155,6145,1.9631,0.81738),(2155,6155,1.9684,0.79976),(2155,6165,1.9738,0.78217),(2155,6175,1.9792,0.76463),(2155,6185,1.9842,0.7471),(2155,6195,1.9892,0.72956),(2155,6205,1.9942,0.71197),(2155,6215,1.9989,0.69439),(2155,6225,2.0035,0.67681),(2155,6235,2.0081,0.6593),(2155,6245,2.0126,0.64179),(2155,6255,2.0168,0.62428),(2155,6265,2.021,0.60678),(2155,6275,2.0251,0.58929),(2155,6285,2.029,0.57179),(2155,6295,2.0328,0.55428),(2155,6305,2.0366,0.53677),(2155,6315,2.0401,0.51925),(2155,6325,2.0435,0.5017),(2155,6335,2.047,0.48412),(2155,6345,2.0501,0.46653),(2155,6355,2.0532,0.44895),(2155,6365,2.0562,0.43138),(2155,6375,2.0591,0.4138),(2155,6385,2.0618,0.39624),(2155,6395,2.0645,0.37875),(2155,6405,2.067,0.36126),(2155,6415,2.0693,0.34377),(2155,6425,2.0716,0.32633),(2155,6435,2.0738,0.30889),(2155,6445,2.0758,0.29145),(2155,6455,2.0777,0.27401),(2155,6465,2.0796,0.25655),(2155,6475,2.0812,0.2391),(2155,6485,2.0828,0.22162),(2155,6495,2.0844,0.20411),(2155,6505,2.0856,0.18661),(2155,6515,2.0868,0.16909),(2155,6525,2.0881,0.15156),(2155,6535,2.089,0.13403),(2155,6545,2.0898,0.1165),(2155,6555,2.0906,0.098997),(2155,6565,2.0912,0.081493),(2155,6575,2.0916,0.063996),(2155,6585,2.092,0.0466),(2155,6595,1.7795,0.029205),(2155,6605,1.1215,0.011809),(2155,6615,0.46342,0.009821),(2155,6625,0.00083,0.009812),(2155,6635,0.000831,0.009804),(2155,6645,0.000833,0.009794),(2155,6655,0.000835,0.009783),(2155,6665,0.000837,0.009772),(2155,6675,0.000838,0.009762),(2155,6685,0.00084,0.009752),(2155,6695,0.000842,0.009741),(2155,6705,0.000843,0.009731),(2155,6715,0.000845,0.009721),(2155,6725,0.000846,0.00971),(2155,6735,0.000848,0.0097),(2155,6745,0.000849,0.00969),(2155,6755,0.000851,0.00968),(2155,6765,0.000852,0.00967),(2155,6775,0.000853,0.009659),(2155,6785,0.000855,0.009649),(2155,6795,0.000856,0.009639),(2155,6805,0.000857,0.009629),(2155,6815,0.000859,0.009619),(2155,6825,0.00086,0.009609),(2155,6835,0.000861,0.009599),(2155,6845,0.000863,0.009589),(2155,6855,0.000864,0.009579),(2155,6865,0.000865,0.009569),(2155,6875,0.000866,0.00956),(2155,6885,0.000867,0.00955),(2155,6895,0.000868,0.00954),(2155,6905,0.00087,0.00953),(2155,6915,0.000871,0.00952),(2155,6925,0.000872,0.00951),(2155,6935,0.000873,0.0095),(2155,6945,0.000874,0.009491),(2155,6955,0.000875,0.009481),(2155,6965,0.000876,0.009471),(2155,6975,0.000877,0.009461),(2155,6985,0.000878,0.009452),(2165,5,5.1e-05,3.6825),(2165,15,0.000154,3.6825),(2165,25,0.000257,3.6825),(2165,35,0.000359,3.6825),(2165,45,0.000462,3.6825),(2165,55,0.000565,3.6825),(2165,65,0.000668,3.6825),(2165,75,0.000771,3.6825),(2165,85,0.000874,3.6825),(2165,95,0.000977,3.6825),(2165,105,0.001081,3.6825),(2165,115,0.001185,3.6825),(2165,125,0.001289,3.6825),(2165,135,0.001392,3.6825),(2165,145,0.001497,3.6825),(2165,155,0.001602,3.6825),(2165,165,0.001706,3.6825),(2165,175,0.001811,3.6825),(2165,185,0.001917,3.6825),(2165,195,0.002023,3.6825),(2165,205,0.002129,3.6825),(2165,215,0.002234,3.6825),(2165,225,0.002341,3.6825),(2165,235,0.002449,3.6825),(2165,245,0.002556,3.6825),(2165,255,0.002664,3.6825),(2165,265,0.002772,3.6825),(2165,275,0.002881,3.6825),(2165,285,0.00299,3.6825),(2165,295,0.003099,3.6825),(2165,305,0.003209,3.6825),(2165,315,0.00332,3.6825),(2165,325,0.003431,3.6825),(2165,335,0.003542,3.6825),(2165,345,0.003655,3.6825),(2165,355,0.003768,3.6825),(2165,365,0.003881,3.6825),(2165,375,0.003994,3.6826),(2165,385,0.00411,3.6826),(2165,395,0.004226,3.6826),(2165,405,0.004341,3.6826),(2165,415,0.004457,3.6826),(2165,425,0.004576,3.6826),(2165,435,0.004694,3.6826),(2165,445,0.004813,3.6826),(2165,455,0.004932,3.6826),(2165,465,0.005054,3.6826),(2165,475,0.005176,3.6826),(2165,485,0.005298,3.6826),(2165,495,0.005419,3.6826),(2165,505,0.005545,3.6826),(2165,515,0.00567,3.6826),(2165,525,0.005796,3.6826),(2165,535,0.005921,3.6826),(2165,545,0.006051,3.6826),(2165,555,0.00618,3.6826),(2165,565,0.00631,3.6826),(2165,575,0.006439,3.6826),(2165,585,0.006573,3.6826),(2165,595,0.006706,3.6826),(2165,605,0.00684,3.6826),(2165,615,0.006974,3.6827),(2165,625,0.007112,3.6827),(2165,635,0.007251,3.6827),(2165,645,0.007389,3.6827),(2165,655,0.007528,3.6827),(2165,665,0.007671,3.6827),(2165,675,0.007815,3.6827),(2165,685,0.007958,3.6827),(2165,695,0.008102,3.6827),(2165,705,0.008251,3.6827),(2165,715,0.0084,3.6827),(2165,725,0.008548,3.6827),(2165,735,0.008698,3.6827),(2165,745,0.008853,3.6827),(2165,755,0.009008,3.6827),(2165,765,0.009163,3.6827),(2165,775,0.009319,3.6827),(2165,785,0.00948,3.6827),(2165,795,0.009642,3.6828),(2165,805,0.009803,3.6828),(2165,815,0.009966,3.6828),(2165,825,0.010134,3.6828),(2165,835,0.010302,3.6828),(2165,845,0.01047,3.6828),(2165,855,0.01064,3.6828),(2165,865,0.010816,3.6828),(2165,875,0.010991,3.6828),(2165,885,0.011166,3.6828),(2165,895,0.011345,3.6828),(2165,905,0.011528,3.6828),(2165,915,0.011711,3.6828),(2165,925,0.011894,3.6828),(2165,935,0.012081,3.6828),(2165,945,0.012273,3.6828),(2165,955,0.012465,3.6828),(2165,965,0.012657,3.6828),(2165,975,0.012853,3.6828),(2165,985,0.013054,3.6828),(2165,995,0.013255,3.6828),(2165,1005,0.013456,3.6828),(2165,1015,0.013662,3.6829),(2165,1025,0.013872,3.6829),(2165,1035,0.014082,3.6829),(2165,1045,0.014293,3.6829),(2165,1055,0.014509,3.6829),(2165,1065,0.01473,3.6829),(2165,1075,0.01495,3.6829),(2165,1085,0.015171,3.6829),(2165,1095,0.015398,3.6829),(2165,1105,0.01563,3.6829),(2165,1115,0.015862,3.6829),(2165,1125,0.016093,3.6829),(2165,1135,0.016333,3.6829),(2165,1145,0.016576,3.6829),(2165,1155,0.01682,3.6829),(2165,1165,0.017064,3.6829),(2165,1175,0.017316,3.6829),(2165,1185,0.017572,3.6829),(2165,1195,0.017828,3.6828),(2165,1205,0.018084,3.6828),(2165,1215,0.018349,3.6828),(2165,1225,0.018618,3.6828),(2165,1235,0.018888,3.6828),(2165,1245,0.019157,3.6828),(2165,1255,0.019437,3.6828),(2165,1265,0.01972,3.6828),(2165,1275,0.020003,3.6828),(2165,1285,0.020286,3.6828),(2165,1295,0.020581,3.6828),(2165,1305,0.020879,3.6828),(2165,1315,0.021176,3.6827),(2165,1325,0.021474,3.6827),(2165,1335,0.021785,3.6827),(2165,1345,0.022099,3.6827),(2165,1355,0.022412,3.6827),(2165,1365,0.022726,3.6826),(2165,1375,0.023053,3.6826),(2165,1385,0.023383,3.6826),(2165,1395,0.023713,3.6826),(2165,1405,0.024043,3.6826),(2165,1415,0.024389,3.6825),(2165,1425,0.024736,3.6825),(2165,1435,0.025084,3.6825),(2165,1445,0.025431,3.6824),(2165,1455,0.025796,3.6824),(2165,1465,0.026161,3.6824),(2165,1475,0.026527,3.6823),(2165,1485,0.026893,3.6823),(2165,1495,0.027277,3.6823),(2165,1505,0.027662,3.6822),(2165,1515,0.028047,3.6822),(2165,1525,0.028433,3.6821),(2165,1535,0.028838,3.6821),(2165,1545,0.029243,3.682),(2165,1555,0.029648,3.682),(2165,1565,0.030054,3.6819),(2165,1575,0.030481,3.6819),(2165,1585,0.030907,3.6818),(2165,1595,0.031333,3.6817),(2165,1605,0.031761,3.6817),(2165,1615,0.032209,3.6816),(2165,1625,0.032658,3.6815),(2165,1635,0.033106,3.6815),(2165,1645,0.033557,3.6814),(2165,1655,0.034028,3.6813),(2165,1665,0.0345,3.6812),(2165,1675,0.034971,3.6811),(2165,1685,0.035447,3.681),(2165,1695,0.035942,3.681),(2165,1705,0.036437,3.6809),(2165,1715,0.036932,3.6808),(2165,1725,0.037433,3.6807),(2165,1735,0.037952,3.6806),(2165,1745,0.038472,3.6804),(2165,1755,0.038992,3.6803),(2165,1765,0.039519,3.6802),(2165,1775,0.040065,3.6801),(2165,1785,0.04061,3.68),(2165,1795,0.041156,3.6798),(2165,1805,0.04171,3.6797),(2165,1815,0.042283,3.6795),(2165,1825,0.042855,3.6794),(2165,1835,0.043427,3.6792),(2165,1845,0.044009,3.6791),(2165,1855,0.044609,3.6789),(2165,1865,0.045209,3.6788),(2165,1875,0.045809,3.6786),(2165,1885,0.04642,3.6784),(2165,1895,0.047048,3.6782),(2165,1905,0.047676,3.678),(2165,1915,0.048304,3.6778),(2165,1925,0.048945,3.6776),(2165,1935,0.049602,3.6774),(2165,1945,0.050259,3.6772),(2165,1955,0.050916,3.677),(2165,1965,0.051587,3.6767),(2165,1975,0.052274,3.6765),(2165,1985,0.052961,3.6763),(2165,1995,0.053648,3.676),(2165,2005,0.054349,3.6757),(2165,2015,0.055066,3.6755),(2165,2025,0.055783,3.6752),(2165,2035,0.0565,3.6749),(2165,2045,0.057233,3.6746),(2165,2055,0.05798,3.6743),(2165,2065,0.058727,3.674),(2165,2075,0.059474,3.6737),(2165,2085,0.060239,3.6734),(2165,2095,0.061016,3.673),(2165,2105,0.061794,3.6727),(2165,2115,0.062572,3.6723),(2165,2125,0.063368,3.672),(2165,2135,0.064177,3.6716),(2165,2145,0.064985,3.6712),(2165,2155,0.065793,3.6708),(2165,2165,0.066622,3.6704),(2165,2175,0.067461,3.67),(2165,2185,0.0683,3.6696),(2165,2195,0.069139,3.6691),(2165,2205,0.069999,3.6687),(2165,2215,0.070868,3.6682),(2165,2225,0.071737,3.6677),(2165,2235,0.072606,3.6672),(2165,2245,0.073497,3.6668),(2165,2255,0.074395,3.6663),(2165,2265,0.075294,3.6657),(2165,2275,0.076192,3.6652),(2165,2285,0.077113,3.6646),(2165,2295,0.07804,3.6641),(2165,2305,0.078967,3.6635),(2165,2315,0.079895,3.6629),(2165,2325,0.080844,3.6623),(2165,2335,0.081799,3.6617),(2165,2345,0.082753,3.661),(2165,2355,0.083708,3.6604),(2165,2365,0.084685,3.6597),(2165,2375,0.085666,3.6591),(2165,2385,0.086646,3.6584),(2165,2395,0.087627,3.6576),(2165,2405,0.088629,3.6569),(2165,2415,0.089634,3.6562),(2165,2425,0.090639,3.6554),(2165,2435,0.091644,3.6546),(2165,2445,0.09267,3.6538),(2165,2455,0.093697,3.653),(2165,2465,0.094724,3.6522),(2165,2475,0.095751,3.6513),(2165,2485,0.096796,3.6505),(2165,2495,0.097843,3.6496),(2165,2505,0.098889,3.6487),(2165,2515,0.099935,3.6478),(2165,2525,0.101,3.6468),(2165,2535,0.10206,3.6459),(2165,2545,0.10312,3.6449),(2165,2555,0.10419,3.6439),(2165,2565,0.10526,3.6429),(2165,2575,0.10634,3.6419),(2165,2585,0.10741,3.6408),(2165,2595,0.10849,3.6397),(2165,2605,0.10958,3.6386),(2165,2615,0.11066,3.6375),(2165,2625,0.11175,3.6364),(2165,2635,0.11283,3.6352),(2165,2645,0.11392,3.634),(2165,2655,0.11501,3.6328),(2165,2665,0.11611,3.6316),(2165,2675,0.1172,3.6303),(2165,2685,0.11829,3.6291),(2165,2695,0.11938,3.6278),(2165,2705,0.12047,3.6265),(2165,2715,0.12156,3.6251),(2165,2725,0.12265,3.6238),(2165,2735,0.12373,3.6224),(2165,2745,0.12482,3.621),(2165,2755,0.1259,3.6195),(2165,2765,0.12698,3.6181),(2165,2775,0.12806,3.6167),(2165,2785,0.12914,3.6151),(2165,2795,0.13021,3.6136),(2165,2805,0.13127,3.6121),(2165,2815,0.13233,3.6105),(2165,2825,0.13339,3.6089),(2165,2835,0.13445,3.6073),(2165,2845,0.13549,3.6057),(2165,2855,0.13653,3.604),(2165,2865,0.13757,3.6023),(2165,2875,0.1386,3.6006),(2165,2885,0.13961,3.5989),(2165,2895,0.14062,3.5971),(2165,2905,0.14164,3.5953),(2165,2915,0.14264,3.5935),(2165,2925,0.14361,3.5917),(2165,2935,0.14459,3.589844),(2165,2945,0.14557,3.5879),(2165,2955,0.14653,3.586),(2165,2965,0.14747,3.5841),(2165,2975,0.14841,3.5822),(2165,2985,0.14935,3.5802),(2165,2995,0.15026,3.5782),(2165,3005,0.15115,3.5762),(2165,3015,0.15204,3.5742),(2165,3025,0.15293,3.5721),(2165,3035,0.15379,3.57),(2165,3045,0.15463,3.5679),(2165,3055,0.15546,3.5658),(2165,3065,0.1563,3.5636),(2165,3075,0.1571,3.5614),(2165,3085,0.15787,3.5593),(2165,3095,0.15865,3.557),(2165,3105,0.15942,3.5548),(2165,3115,0.16016,3.5525),(2165,3125,0.16086,3.5503),(2165,3135,0.16157,3.548),(2165,3145,0.16228,3.5456),(2165,3155,0.16294,3.5433),(2165,3165,0.16357,3.541),(2165,3175,0.1642,3.5386),(2165,3185,0.16483,3.5362),(2165,3195,0.16541,3.5338),(2165,3205,0.16596,3.5313),(2165,3215,0.16651,3.5289),(2165,3225,0.16706,3.5264),(2165,3235,0.16755,3.5239),(2165,3245,0.16802,3.5214),(2165,3255,0.16848,3.5189),(2165,3265,0.16894,3.5164),(2165,3275,0.16934,3.5138),(2165,3285,0.16971,3.5113),(2165,3295,0.17008,3.5087),(2165,3305,0.17046,3.5061),(2165,3315,0.17075,3.5035),(2165,3325,0.17103,3.5009),(2165,3335,0.1713,3.4983),(2165,3345,0.17158,3.4956),(2165,3355,0.17177,3.493),(2165,3365,0.17194,3.4903),(2165,3375,0.17212,3.4876),(2165,3385,0.17229,3.4849),(2165,3395,0.17237,3.4822),(2165,3405,0.17244,3.4796),(2165,3415,0.17251,3.4768),(2165,3425,0.17258,3.4741),(2165,3435,0.17254,3.4714),(2165,3445,0.1725,3.4687),(2165,3455,0.17246,3.4659),(2165,3465,0.17242,3.4632),(2165,3475,0.17228,3.4604),(2165,3485,0.17212,3.4577),(2165,3495,0.17197,3.4549),(2165,3505,0.17182,3.4522),(2165,3515,0.17156,3.4494),(2165,3525,0.17129,3.4467),(2165,3535,0.17103,3.4439),(2165,3545,0.17076,3.4411),(2165,3555,0.17038,3.4384),(2165,3565,0.17,3.4356),(2165,3575,0.16962,3.4328),(2165,3585,0.16923,3.4301),(2165,3595,0.16874,3.4273),(2165,3605,0.16825,3.4246),(2165,3615,0.16775,3.4218),(2165,3625,0.16725,3.4191),(2165,3635,0.16664,3.4163),(2165,3645,0.16603,3.4136),(2165,3655,0.16542,3.4108),(2165,3665,0.1648,3.4081),(2165,3675,0.16407,3.4054),(2165,3685,0.16335,3.4027),(2165,3695,0.16263,3.4),(2165,3705,0.16189,3.3973),(2165,3715,0.16105,3.3946),(2165,3725,0.16022,3.3919),(2165,3735,0.15939,3.3892),(2165,3745,0.15853,3.3866),(2165,3755,0.15758,3.3839),(2165,3765,0.15664,3.3813),(2165,3775,0.15569,3.3787),(2165,3785,0.15472,3.3761),(2165,3795,0.15367,3.3734),(2165,3805,0.15261,3.3709),(2165,3815,0.15156,3.3683),(2165,3825,0.15048,3.3657),(2165,3835,0.14932,3.3632),(2165,3845,0.14816,3.3607),(2165,3855,0.147,3.3582),(2165,3865,0.14581,3.3557),(2165,3875,0.14455,3.3532),(2165,3885,0.14329,3.3507),(2165,3895,0.14203,3.3483),(2165,3905,0.16304,3.3458),(2165,3915,0.21732,3.3434),(2165,3925,0.2716,3.3396),(2165,3935,0.32588,3.3339),(2165,3945,0.38305,3.3283),(2165,3955,0.44389,3.3226),(2165,3965,0.50472,3.3154),(2165,3975,0.56556,3.3063),(2165,3985,0.60052,3.2972),(2165,3995,0.60747,3.2881),(2165,4005,0.61442,3.2789),(2165,4015,0.62137,3.2695),(2165,4025,0.62909,3.2601),(2165,4035,0.63688,3.2506),(2165,4045,0.64467,3.2408),(2165,4055,0.65252,3.231),(2165,4065,0.6604,3.2212),(2165,4075,0.66827,3.2109),(2165,4085,0.67588,3.2006),(2165,4095,0.68328,3.1903),(2165,4105,0.69068,3.1796),(2165,4115,0.67222,3.1689),(2165,4125,0.61089,3.1582),(2165,4135,0.54956,3.1497),(2165,4145,0.48704,3.1419),(2165,4155,0.41975,3.134),(2165,4165,0.35246,3.1281),(2165,4175,0.28917,3.1233),(2165,4185,0.42382,3.1185),(2165,4195,0.55846,3.1111),(2165,4205,0.69311,3.1001),(2165,4215,0.69605,3.0891),(2165,4225,0.67421,3.0783),(2165,4235,0.65237,3.0681),(2165,4245,0.61051,3.0578),(2165,4255,0.55851,3.0477),(2165,4265,0.5065,3.0396),(2165,4275,0.42653,3.0314),(2165,4285,0.31688,3.0233),(2165,4295,0.20723,3.0204),(2165,4305,0.18711,3.0182),(2165,4315,0.36917,3.0159),(2165,4325,0.55123,3.008),(2165,4335,0.71412,2.9978),(2165,4345,0.74718,2.9876),(2165,4355,0.78024,2.9766),(2165,4365,0.8133,2.965),(2165,4375,0.82409,2.9533),(2165,4385,0.83371,2.9415),(2165,4395,0.84333,2.9292),(2165,4405,0.73914,2.9169),(2165,4415,0.60138,2.9057),(2165,4425,0.46363,2.8991),(2165,4435,0.40798,2.8924),(2165,4445,0.40844,2.8858),(2165,4455,0.40891,2.8791),(2165,4465,0.47776,2.8725),(2165,4475,0.64271,2.8658),(2165,4485,0.80765,2.8544),(2165,4495,0.93618,2.8421),(2165,4505,0.94785,2.8298),(2165,4515,0.95952,2.8177),(2165,4525,0.96895,2.8057),(2165,4535,0.94309,2.7938),(2165,4545,0.91722,2.7824),(2165,4555,0.89136,2.7718),(2165,4565,0.67229,2.7611),(2165,4575,0.42718,2.753),(2165,4585,0.18207,2.7512),(2165,4595,0.21213,2.7495),(2165,4605,0.35846,2.7468),(2165,4615,0.50479,2.7373),(2165,4625,0.62185,2.7278),(2165,4635,0.71241,2.7182),(2165,4645,0.80297,2.7057),(2165,4655,0.87886,2.6929),(2165,4665,0.9271,2.6802),(2165,4675,0.97534,2.6674),(2165,4685,0.98052,2.6546),(2165,4695,0.77292,2.6418),(2165,4705,0.56531,2.6339),(2165,4715,0.35771,2.6294),(2165,4725,0.47915,2.6249),(2165,4735,0.60389,2.6185),(2165,4745,0.72862,2.6093),(2165,4755,0.85913,2.6001),(2165,4765,0.99098,2.59),(2165,4775,1.1228,2.5766),(2165,4785,1.1782,2.5633),(2165,4795,1.1894,2.5499),(2165,4805,1.2005,2.5368),(2165,4815,1.1501,2.5237),(2165,4825,1.0261,2.5105),(2165,4835,0.90212,2.5011),(2165,4845,0.77526,2.4922),(2165,4855,0.64097,2.4834),(2165,4865,0.50668,2.4776),(2165,4875,0.41467,2.4733),(2165,4885,0.70737,2.4689),(2165,4895,1.0001,2.4602),(2165,4905,1.2928,2.4472),(2165,4915,1.2983,2.4342),(2165,4925,1.2791,2.4211),(2165,4935,1.2599,2.4078),(2165,4945,1.1744,2.3945),(2165,4955,1.066,2.3815),(2165,4965,0.95754,2.3695),(2165,4975,0.76356,2.3576),(2165,4985,0.50353,2.3457),(2165,4995,0.24351,2.3441),(2165,5005,0.20479,2.3427),(2165,5015,0.51789,2.3413),(2165,5025,0.83099,2.333),(2165,5035,1.1026,2.3231),(2165,5045,1.2161,2.3131),(2165,5055,1.3296,2.3016),(2165,5065,1.4401,2.2891),(2165,5075,1.4506,2.2766),(2165,5085,1.4611,2.2642),(2165,5095,1.4716,2.252),(2165,5105,1.2894,2.2398),(2165,5115,1.0737,2.2291),(2165,5125,0.85798,2.2226),(2165,5135,0.74925,2.2162),(2165,5145,0.69244,2.2098),(2165,5155,0.63562,2.2042),(2165,5165,0.75562,2.1985),(2165,5175,1.0559,2.1929),(2165,5185,1.3562,2.1803),(2165,5195,1.5648,2.1671),(2165,5205,1.5754,2.1538),(2165,5215,1.586,2.1408),(2165,5225,1.588,2.1279),(2165,5235,1.537,2.115),(2165,5245,1.486,2.1031),(2165,5255,1.435,2.0921),(2165,5265,1.0082,2.0811),(2165,5275,0.56593,2.0739),(2165,5285,0.12363,2.0734),(2165,5295,0.31322,2.0729),(2165,5305,0.67878,2.0698),(2165,5315,1.0443,2.0561),(2165,5325,1.2612,2.0423),(2165,5335,1.3805,2.0286),(2165,5345,1.4998,2.0146),(2165,5355,1.5792,2.0007),(2165,5365,1.6047,1.9868),(2165,5375,1.6302,1.9735),(2165,5385,1.5554,1.9603),(2165,5395,1.1756,1.9471),(2165,5405,0.79583,1.9403),(2165,5415,0.45559,1.9368),(2165,5425,0.6462,1.9333),(2165,5435,0.83681,1.9253),(2165,5445,1.0274,1.9125),(2165,5455,1.2319,1.8996),(2165,5465,1.438,1.8847),(2165,5475,1.6441,1.8648),(2165,5485,1.7159,1.8449),(2165,5495,1.7335,1.8251),(2165,5505,1.7512,1.8057),(2165,5515,1.7688,1.7864),(2165,5525,1.7865,1.767),(2165,5535,1.8042,1.7481),(2165,5545,1.8215,1.7293),(2165,5555,1.8381,1.7105),(2165,5565,1.8547,1.692),(2165,5575,1.8711,1.6737),(2165,5585,1.8866,1.6554),(2165,5595,1.9021,1.6374),(2165,5605,1.9175,1.6196),(2165,5615,1.9319,1.6017),(2165,5625,1.9463,1.5841),(2165,5635,1.9607,1.5667),(2165,5645,1.9742,1.5494),(2165,5655,1.9876,1.5321),(2165,5665,2.001,1.5152),(2165,5675,2.0137,1.4982),(2165,5685,2.0262,1.4813),(2165,5695,2.0386,1.4647),(2165,5705,2.0506,1.4482),(2165,5715,2.0622,1.4317),(2165,5725,2.0738,1.4154),(2165,5735,2.0851,1.3993),(2165,5745,2.0959,1.3831),(2165,5755,2.1066,1.3672),(2165,5765,2.1173,1.3514),(2165,5775,2.1274,1.3356),(2165,5785,2.1374,1.32),(2165,5795,2.1474,1.3045),(2165,5805,2.1568,1.289),(2165,5815,2.1661,1.2737),(2165,5825,2.1755,1.2585),(2165,5835,2.1843,1.2433),(2165,5845,2.1931,1.2282),(2165,5855,2.2018,1.2133),(2165,5865,2.2102,1.1984),(2165,5875,2.2183,1.1835),(2165,5885,2.2264,1.1689),(2165,5895,2.2344,1.1543),(2165,5905,2.242,1.1397),(2165,5915,2.2496,1.1252),(2165,5925,2.2571,1.1109),(2165,5935,2.2642,1.0965),(2165,5945,2.2714,1.0823),(2165,5955,2.2785,1.0681),(2165,5965,2.2853,1.054),(2165,5975,2.2922,1.04),(2165,5985,2.299,1.0261),(2165,5995,1.7581,1.0122),(2165,6005,1.1291,1.0015),(2165,6015,0.50008,0.99971),(2165,6025,0.54679,0.99788),(2165,6035,0.9069,0.99498),(2165,6045,1.267,0.98174),(2165,6055,1.5229,0.9685),(2165,6065,1.6767,0.95527),(2165,6075,1.8304,0.93813),(2165,6085,1.9359,0.92064),(2165,6095,1.942,0.90315),(2165,6105,1.948,0.88554),(2165,6115,1.954,0.8679),(2165,6125,1.9598,0.85025),(2165,6135,1.9655,0.83263),(2165,6145,1.9713,0.81503),(2165,6155,1.9766,0.79744),(2165,6165,1.982,0.77988),(2165,6175,1.9873,0.76238),(2165,6185,1.9924,0.74489),(2165,6195,1.9973,0.72739),(2165,6205,2.0023,0.70985),(2165,6215,2.007,0.69231),(2165,6225,2.0116,0.67477),(2165,6235,2.0161,0.65731),(2165,6245,2.0205,0.63985),(2165,6255,2.0247,0.62239),(2165,6265,2.029,0.60494),(2165,6275,2.0331,0.58749),(2165,6285,2.0369,0.57004),(2165,6295,2.0407,0.55258),(2165,6305,2.0445,0.53511),(2165,6315,2.0479,0.51764),(2165,6325,2.0514,0.50014),(2165,6335,2.0548,0.48261),(2165,6345,2.0579,0.46508),(2165,6355,2.061,0.44755),(2165,6365,2.064,0.43003),(2165,6375,2.0668,0.41251),(2165,6385,2.0695,0.395),(2165,6395,2.0722,0.37757),(2165,6405,2.0747,0.36013),(2165,6415,2.077,0.34269),(2165,6425,2.0793,0.32531),(2165,6435,2.0815,0.30793),(2165,6445,2.0834,0.29055),(2165,6455,2.0854,0.27316),(2165,6465,2.0873,0.25576),(2165,6475,2.0888,0.23837),(2165,6485,2.0904,0.22094),(2165,6495,2.092,0.2035),(2165,6505,2.0932,0.18605),(2165,6515,2.0944,0.16859),(2165,6525,2.0956,0.15111),(2165,6535,2.0965,0.13363),(2165,6545,2.0974,0.11616),(2165,6555,2.0982,0.098711),(2165,6565,2.0988,0.08126),(2165,6575,2.0992,0.063817),(2165,6585,2.0996,0.046476),(2165,6595,1.7859,0.029136),(2165,6605,1.1255,0.011795),(2165,6615,0.4651,0.009816),(2165,6625,0.000836,0.00981),(2165,6635,0.000838,0.009805),(2165,6645,0.00084,0.009796),(2165,6655,0.000841,0.009785),(2165,6665,0.000843,0.009774),(2165,6675,0.000845,0.009764),(2165,6685,0.000846,0.009753),(2165,6695,0.000848,0.009743),(2165,6705,0.000849,0.009732),(2165,6715,0.000851,0.009722),(2165,6725,0.000852,0.009712),(2165,6735,0.000854,0.009702),(2165,6745,0.000855,0.009691),(2165,6755,0.000857,0.009681),(2165,6765,0.000858,0.009671),(2165,6775,0.00086,0.009661),(2165,6785,0.000861,0.009651),(2165,6795,0.000862,0.009641),(2165,6805,0.000863,0.009631),(2165,6815,0.000865,0.009621),(2165,6825,0.000866,0.009611),(2165,6835,0.000867,0.0096),(2165,6845,0.000868,0.009591),(2165,6855,0.00087,0.009581),(2165,6865,0.000871,0.009571),(2165,6875,0.000872,0.009561),(2165,6885,0.000873,0.009551),(2165,6895,0.000874,0.009541),(2165,6905,0.000875,0.009531),(2165,6915,0.000876,0.009521),(2165,6925,0.000877,0.009511),(2165,6935,0.000878,0.009501),(2165,6945,0.000879,0.009492),(2165,6955,0.000881,0.009482),(2165,6965,0.000882,0.009472),(2165,6975,0.000883,0.009462),(2165,6985,0.000883,0.009453),(2175,5,5.1e-05,3.6826),(2175,15,0.000153,3.6826),(2175,25,0.000255,3.6826),(2175,35,0.000357,3.6826),(2175,45,0.000459,3.6826),(2175,55,0.000562,3.6826),(2175,65,0.000664,3.6826),(2175,75,0.000767,3.6826),(2175,85,0.000869,3.6826),(2175,95,0.000972,3.6826),(2175,105,0.001074,3.6826),(2175,115,0.001178,3.6826),(2175,125,0.001281,3.6826),(2175,135,0.001384,3.6826),(2175,145,0.001488,3.6826),(2175,155,0.001592,3.6826),(2175,165,0.001696,3.6826),(2175,175,0.0018,3.6826),(2175,185,0.001905,3.6826),(2175,195,0.00201,3.6826),(2175,205,0.002116,3.6826),(2175,215,0.002221,3.6826),(2175,225,0.002327,3.6826),(2175,235,0.002434,3.6826),(2175,245,0.002541,3.6826),(2175,255,0.002648,3.6826),(2175,265,0.002756,3.6826),(2175,275,0.002864,3.6826),(2175,285,0.002972,3.6826),(2175,295,0.00308,3.6826),(2175,305,0.00319,3.6826),(2175,315,0.003301,3.6826),(2175,325,0.003411,3.6826),(2175,335,0.003521,3.6827),(2175,345,0.003633,3.6827),(2175,355,0.003746,3.6827),(2175,365,0.003858,3.6827),(2175,375,0.003971,3.6827),(2175,385,0.004085,3.6827),(2175,395,0.004201,3.6827),(2175,405,0.004316,3.6827),(2175,415,0.004431,3.6827),(2175,425,0.004549,3.6827),(2175,435,0.004667,3.6827),(2175,445,0.004785,3.6827),(2175,455,0.004903,3.6827),(2175,465,0.005024,3.6827),(2175,475,0.005145,3.6827),(2175,485,0.005266,3.6827),(2175,495,0.005387,3.6827),(2175,505,0.005512,3.6827),(2175,515,0.005637,3.6827),(2175,525,0.005762,3.6827),(2175,535,0.005887,3.6827),(2175,545,0.006015,3.6827),(2175,555,0.006144,3.6828),(2175,565,0.006272,3.6828),(2175,575,0.006401,3.6828),(2175,585,0.006534,3.6828),(2175,595,0.006667,3.6828),(2175,605,0.0068,3.6828),(2175,615,0.006933,3.6828),(2175,625,0.007071,3.6828),(2175,635,0.007208,3.6828),(2175,645,0.007346,3.6828),(2175,655,0.007484,3.6828),(2175,665,0.007627,3.6828),(2175,675,0.007769,3.6828),(2175,685,0.007912,3.6828),(2175,695,0.008055,3.6828),(2175,705,0.008203,3.6828),(2175,715,0.008351,3.6829),(2175,725,0.008499,3.6829),(2175,735,0.008648,3.6829),(2175,745,0.008802,3.6829),(2175,755,0.008956,3.6829),(2175,765,0.00911,3.6829),(2175,775,0.009266,3.6829),(2175,785,0.009426,3.6829),(2175,795,0.009587,3.6829),(2175,805,0.009747,3.6829),(2175,815,0.00991,3.6829),(2175,825,0.010077,3.6829),(2175,835,0.010244,3.6829),(2175,845,0.010411,3.6829),(2175,855,0.010581,3.683),(2175,865,0.010755,3.683),(2175,875,0.01093,3.683),(2175,885,0.011104,3.683),(2175,895,0.011282,3.683),(2175,905,0.011464,3.683),(2175,915,0.011647,3.683),(2175,925,0.011829,3.683),(2175,935,0.012015,3.683),(2175,945,0.012206,3.683),(2175,955,0.012398,3.683),(2175,965,0.012589,3.683),(2175,975,0.012784,3.683),(2175,985,0.012984,3.683),(2175,995,0.013184,3.683),(2175,1005,0.013384,3.6831),(2175,1015,0.013589,3.6831),(2175,1025,0.013799,3.6831),(2175,1035,0.014009,3.6831),(2175,1045,0.014219,3.6831),(2175,1055,0.014434,3.6831),(2175,1065,0.014654,3.6831),(2175,1075,0.014874,3.6831),(2175,1085,0.015094,3.6831),(2175,1095,0.01532,3.6831),(2175,1105,0.015551,3.6831),(2175,1115,0.015782,3.6831),(2175,1125,0.016013,3.6831),(2175,1135,0.016251,3.6831),(2175,1145,0.016494,3.6831),(2175,1155,0.016737,3.6831),(2175,1165,0.01698,3.6831),(2175,1175,0.017231,3.6831),(2175,1185,0.017487,3.6831),(2175,1195,0.017742,3.6831),(2175,1205,0.017998,3.6831),(2175,1215,0.018263,3.6831),(2175,1225,0.018531,3.6831),(2175,1235,0.0188,3.6831),(2175,1245,0.019068,3.6831),(2175,1255,0.019347,3.6831),(2175,1265,0.01963,3.6831),(2175,1275,0.019913,3.6831),(2175,1285,0.020195,3.6831),(2175,1295,0.020489,3.6831),(2175,1305,0.020787,3.683),(2175,1315,0.021084,3.683),(2175,1325,0.021382,3.683),(2175,1335,0.021692,3.683),(2175,1345,0.022005,3.683),(2175,1355,0.022318,3.683),(2175,1365,0.022632,3.683),(2175,1375,0.022959,3.683),(2175,1385,0.023289,3.6829),(2175,1395,0.023618,3.6829),(2175,1405,0.023948,3.6829),(2175,1415,0.024293,3.6829),(2175,1425,0.024641,3.6829),(2175,1435,0.024988,3.6828),(2175,1445,0.025335,3.6828),(2175,1455,0.025699,3.6828),(2175,1465,0.026065,3.6827),(2175,1475,0.026431,3.6827),(2175,1485,0.026796,3.6827),(2175,1495,0.027181,3.6826),(2175,1505,0.027566,3.6826),(2175,1515,0.027951,3.6826),(2175,1525,0.028337,3.6825),(2175,1535,0.028742,3.6825),(2175,1545,0.029147,3.6824),(2175,1555,0.029553,3.6824),(2175,1565,0.029959,3.6823),(2175,1575,0.030386,3.6823),(2175,1585,0.030812,3.6822),(2175,1595,0.031239,3.6822),(2175,1605,0.031668,3.6821),(2175,1615,0.032117,3.6821),(2175,1625,0.032566,3.682),(2175,1635,0.033014,3.6819),(2175,1645,0.033466,3.6818),(2175,1655,0.033939,3.6818),(2175,1665,0.034411,3.6817),(2175,1675,0.034883,3.6816),(2175,1685,0.035359,3.6815),(2175,1695,0.035856,3.6814),(2175,1705,0.036352,3.6814),(2175,1715,0.036848,3.6813),(2175,1725,0.03735,3.6812),(2175,1735,0.037871,3.6811),(2175,1745,0.038393,3.681),(2175,1755,0.038914,3.6808),(2175,1765,0.039442,3.6807),(2175,1775,0.03999,3.6806),(2175,1785,0.040537,3.6805),(2175,1795,0.041085,3.6804),(2175,1805,0.041641,3.6802),(2175,1815,0.042215,3.6801),(2175,1825,0.04279,3.68),(2175,1835,0.043364,3.6798),(2175,1845,0.043948,3.6797),(2175,1855,0.044551,3.6795),(2175,1865,0.045153,3.6794),(2175,1875,0.045755,3.6792),(2175,1885,0.046369,3.679),(2175,1895,0.047,3.6788),(2175,1905,0.047631,3.6787),(2175,1915,0.048262,3.6785),(2175,1925,0.048906,3.6783),(2175,1935,0.049566,3.6781),(2175,1945,0.050227,3.6779),(2175,1955,0.050887,3.6776),(2175,1965,0.051562,3.6774),(2175,1975,0.052252,3.6772),(2175,1985,0.052943,3.6769),(2175,1995,0.053634,3.6767),(2175,2005,0.054339,3.6764),(2175,2015,0.055061,3.6762),(2175,2025,0.055782,3.6759),(2175,2035,0.056503,3.6756),(2175,2045,0.057241,3.6754),(2175,2055,0.057993,3.6751),(2175,2065,0.058745,3.6748),(2175,2075,0.059497,3.6744),(2175,2085,0.060267,3.6741),(2175,2095,0.06105,3.6738),(2175,2105,0.061833,3.6735),(2175,2115,0.062616,3.6731),(2175,2125,0.063419,3.6728),(2175,2135,0.064234,3.6724),(2175,2145,0.065048,3.672),(2175,2155,0.065863,3.6716),(2175,2165,0.066698,3.6712),(2175,2175,0.067544,3.6708),(2175,2185,0.06839,3.6704),(2175,2195,0.069235,3.67),(2175,2205,0.070103,3.6695),(2175,2215,0.070979,3.6691),(2175,2225,0.071856,3.6686),(2175,2235,0.072733,3.6681),(2175,2245,0.073631,3.6676),(2175,2255,0.074538,3.6671),(2175,2265,0.075445,3.6666),(2175,2275,0.076352,3.6661),(2175,2285,0.077282,3.6655),(2175,2295,0.078218,3.665),(2175,2305,0.079154,3.6644),(2175,2315,0.080091,3.6638),(2175,2325,0.08105,3.6632),(2175,2335,0.082014,3.6626),(2175,2345,0.082979,3.662),(2175,2355,0.083943,3.6613),(2175,2365,0.084931,3.6607),(2175,2375,0.085922,3.66),(2175,2385,0.086913,3.6593),(2175,2395,0.087905,3.6586),(2175,2405,0.088919,3.6579),(2175,2415,0.089935,3.6572),(2175,2425,0.090952,3.6564),(2175,2435,0.091968,3.6556),(2175,2445,0.093006,3.6549),(2175,2455,0.094045,3.6541),(2175,2465,0.095084,3.6532),(2175,2475,0.096124,3.6524),(2175,2485,0.097182,3.6515),(2175,2495,0.098242,3.6507),(2175,2505,0.099301,3.6497),(2175,2515,0.10036,3.6488),(2175,2525,0.10144,3.6479),(2175,2535,0.10251,3.647),(2175,2545,0.10359,3.646),(2175,2555,0.10467,3.645),(2175,2565,0.10576,3.644),(2175,2575,0.10685,3.643),(2175,2585,0.10794,3.6419),(2175,2595,0.10903,3.6408),(2175,2605,0.11013,3.6397),(2175,2615,0.11123,3.6386),(2175,2625,0.11233,3.6374),(2175,2635,0.11344,3.6363),(2175,2645,0.11454,3.6351),(2175,2655,0.11565,3.6339),(2175,2665,0.11676,3.6327),(2175,2675,0.11786,3.6314),(2175,2685,0.11897,3.6302),(2175,2695,0.12008,3.6289),(2175,2705,0.12119,3.6275),(2175,2715,0.12229,3.6262),(2175,2725,0.1234,3.6249),(2175,2735,0.1245,3.6235),(2175,2745,0.12561,3.6221),(2175,2755,0.12671,3.6206),(2175,2765,0.1278,3.6192),(2175,2775,0.1289,3.6177),(2175,2785,0.12999,3.6162),(2175,2795,0.13108,3.6147),(2175,2805,0.13216,3.6131),(2175,2815,0.13324,3.6116),(2175,2825,0.13432,3.6099),(2175,2835,0.1354,3.6083),(2175,2845,0.13645,3.6067),(2175,2855,0.13751,3.605),(2175,2865,0.13857,3.6033),(2175,2875,0.13962,3.6016),(2175,2885,0.14065,3.5999),(2175,2895,0.14168,3.5981),(2175,2905,0.14272,3.5963),(2175,2915,0.14373,3.5945),(2175,2925,0.14473,3.5927),(2175,2935,0.14573,3.5908),(2175,2945,0.14672,3.5889),(2175,2955,0.1477,3.587),(2175,2965,0.14866,3.5851),(2175,2975,0.14962,3.5831),(2175,2985,0.15057,3.5811),(2175,2995,0.15151,3.5791),(2175,3005,0.15241,3.5771),(2175,3015,0.15332,3.575),(2175,3025,0.15423,3.573),(2175,3035,0.15511,3.5709),(2175,3045,0.15596,3.5688),(2175,3055,0.15682,3.5666),(2175,3065,0.15767,3.5644),(2175,3075,0.15849,3.5622),(2175,3085,0.15928,3.56),(2175,3095,0.16007,3.5578),(2175,3105,0.16086,3.5555),(2175,3115,0.16161,3.5533),(2175,3125,0.16234,3.551),(2175,3135,0.16306,3.5487),(2175,3145,0.16378,3.5463),(2175,3155,0.16446,3.544),(2175,3165,0.16511,3.5416),(2175,3175,0.16576,3.5392),(2175,3185,0.1664,3.5368),(2175,3195,0.16699,3.5343),(2175,3205,0.16756,3.5319),(2175,3215,0.16813,3.5294),(2175,3225,0.16869,3.5269),(2175,3235,0.1692,3.5244),(2175,3245,0.16967,3.5219),(2175,3255,0.17015,3.5194),(2175,3265,0.17063,3.5168),(2175,3275,0.17104,3.5142),(2175,3285,0.17142,3.5117),(2175,3295,0.17181,3.509),(2175,3305,0.17219,3.5064),(2175,3315,0.1725,3.5038),(2175,3325,0.17278,3.5012),(2175,3335,0.17307,3.4985),(2175,3345,0.17336,3.4958),(2175,3355,0.17356,3.4932),(2175,3365,0.17374,3.4905),(2175,3375,0.17392,3.4878),(2175,3385,0.17411,3.4851),(2175,3395,0.1742,3.4823),(2175,3405,0.17427,3.4796),(2175,3415,0.17435,3.4769),(2175,3425,0.17443,3.4741),(2175,3435,0.1744,3.4714),(2175,3445,0.17437,3.4686),(2175,3455,0.17433,3.4659),(2175,3465,0.1743,3.4631),(2175,3475,0.17415,3.4603),(2175,3485,0.17401,3.4575),(2175,3495,0.17386,3.4548),(2175,3505,0.17371,3.452),(2175,3515,0.17345,3.4492),(2175,3525,0.17319,3.4464),(2175,3535,0.17293,3.4436),(2175,3545,0.17266,3.4408),(2175,3555,0.17228,3.438),(2175,3565,0.17191,3.4352),(2175,3575,0.17153,3.4324),(2175,3585,0.17114,3.4296),(2175,3595,0.17065,3.4268),(2175,3605,0.17015,3.4241),(2175,3615,0.16966,3.4213),(2175,3625,0.16915,3.4185),(2175,3635,0.16854,3.4157),(2175,3645,0.16793,3.4129),(2175,3655,0.16732,3.4102),(2175,3665,0.16669,3.4074),(2175,3675,0.16597,3.4047),(2175,3685,0.16524,3.4019),(2175,3695,0.16452,3.3992),(2175,3705,0.16377,3.3965),(2175,3715,0.16293,3.3938),(2175,3725,0.16209,3.3911),(2175,3735,0.16125,3.3884),(2175,3745,0.16038,3.3857),(2175,3755,0.15943,3.383),(2175,3765,0.15848,3.3803),(2175,3775,0.15753,3.3777),(2175,3785,0.15655,3.3751),(2175,3795,0.15549,3.3724),(2175,3805,0.15443,3.3698),(2175,3815,0.15337,3.3672),(2175,3825,0.15228,3.3646),(2175,3835,0.15111,3.362),(2175,3845,0.14994,3.3595),(2175,3855,0.14878,3.357),(2175,3865,0.14757,3.3544),(2175,3875,0.1463,3.3519),(2175,3885,0.14503,3.3494),(2175,3895,0.14376,3.347),(2175,3905,0.16499,3.3445),(2175,3915,0.21983,3.3421),(2175,3925,0.27467,3.3382),(2175,3935,0.3295,3.3325),(2175,3945,0.38723,3.3268),(2175,3955,0.44863,3.3211),(2175,3965,0.51002,3.3138),(2175,3975,0.57142,3.3046),(2175,3985,0.6067,3.2955),(2175,3995,0.6137,3.2863),(2175,4005,0.6207,3.277),(2175,4015,0.6277,3.2675),(2175,4025,0.6355,3.2581),(2175,4035,0.64339,3.2485),(2175,4045,0.65127,3.2386),(2175,4055,0.65922,3.2287),(2175,4065,0.6672,3.2187),(2175,4075,0.67519,3.2084),(2175,4085,0.68289,3.198),(2175,4095,0.69037,3.1876),(2175,4105,0.69785,3.1769),(2175,4115,0.6792,3.1661),(2175,4125,0.61724,3.1553),(2175,4135,0.55528,3.1469),(2175,4145,0.49214,3.1391),(2175,4155,0.42423,3.1312),(2175,4165,0.35631,3.1253),(2175,4175,0.29244,3.1206),(2175,4185,0.42839,3.1158),(2175,4195,0.56435,3.1084),(2175,4205,0.7003,3.0973),(2175,4215,0.70336,3.0862),(2175,4225,0.68141,3.0753),(2175,4235,0.65946,3.0649),(2175,4245,0.6173,3.0545),(2175,4255,0.56487,3.0443),(2175,4265,0.51245,3.036),(2175,4275,0.43162,3.0278),(2175,4285,0.32066,3.0195),(2175,4295,0.2097,3.0166),(2175,4305,0.18915,3.0144),(2175,4315,0.37276,3.0121),(2175,4325,0.55637,3.0042),(2175,4335,0.72065,2.994),(2175,4345,0.754,2.9838),(2175,4355,0.78735,2.9729),(2175,4365,0.8207,2.9612),(2175,4375,0.83162,2.9496),(2175,4385,0.84139,2.9377),(2175,4395,0.85115,2.9254),(2175,4405,0.74616,2.9131),(2175,4415,0.60734,2.9019),(2175,4425,0.46852,2.8952),(2175,4435,0.41244,2.8886),(2175,4445,0.41291,2.882),(2175,4455,0.41338,2.8753),(2175,4465,0.48263,2.8686),(2175,4475,0.64853,2.862),(2175,4485,0.81442,2.8506),(2175,4495,0.94364,2.8383),(2175,4505,0.95517,2.8259),(2175,4515,0.96669,2.8137),(2175,4525,0.97599,2.8017),(2175,4535,0.94994,2.7896),(2175,4545,0.92389,2.778),(2175,4555,0.89784,2.767),(2175,4565,0.67731,2.756),(2175,4575,0.43055,2.7477),(2175,4585,0.1838,2.7458),(2175,4595,0.21456,2.744),(2175,4605,0.36258,2.7413),(2175,4615,0.5106,2.7315),(2175,4625,0.62874,2.7218),(2175,4635,0.71983,2.712),(2175,4645,0.81092,2.6993),(2175,4655,0.88706,2.6864),(2175,4665,0.93502,2.6735),(2175,4675,0.98297,2.6607),(2175,4685,0.98765,2.648),(2175,4695,0.7785,2.6352),(2175,4705,0.56935,2.6273),(2175,4715,0.3602,2.623),(2175,4725,0.4825,2.6186),(2175,4735,0.60812,2.6123),(2175,4745,0.73374,2.6031),(2175,4755,0.86493,2.5939),(2175,4765,0.99742,2.5838),(2175,4775,1.1299,2.5704),(2175,4785,1.1854,2.5571),(2175,4795,1.1965,2.5437),(2175,4805,1.2075,2.5306),(2175,4815,1.1567,2.5174),(2175,4825,1.032,2.5043),(2175,4835,0.90727,2.4949),(2175,4845,0.77968,2.486),(2175,4855,0.64467,2.4772),(2175,4865,0.50966,2.4714),(2175,4875,0.41713,2.467),(2175,4885,0.71104,2.4627),(2175,4895,1.005,2.4539),(2175,4905,1.2989,2.4409),(2175,4915,1.3046,2.4279),(2175,4925,1.2856,2.4148),(2175,4935,1.2666,2.4015),(2175,4945,1.1813,2.3882),(2175,4955,1.0729,2.3751),(2175,4965,0.96462,2.3631),(2175,4975,0.76959,2.3511),(2175,4985,0.50762,2.3391),(2175,4995,0.24566,2.3374),(2175,5005,0.20617,2.336),(2175,5015,0.52038,2.3346),(2175,5025,0.83459,2.3264),(2175,5035,1.1071,2.3164),(2175,5045,1.2208,2.3064),(2175,5055,1.3346,2.2948),(2175,5065,1.4452,2.2823),(2175,5075,1.4556,2.2698),(2175,5085,1.466,2.2574),(2175,5095,1.4763,2.2452),(2175,5105,1.2936,2.2329),(2175,5115,1.0771,2.2222),(2175,5125,0.86068,2.2158),(2175,5135,0.75173,2.2093),(2175,5145,0.69494,2.203),(2175,5155,0.63815,2.1973),(2175,5165,0.75858,2.1917),(2175,5175,1.0597,2.186),(2175,5185,1.3609,2.1735),(2175,5195,1.57,2.1603),(2175,5205,1.5804,2.147),(2175,5215,1.5909,2.134),(2175,5225,1.5927,2.1211),(2175,5235,1.5414,2.1083),(2175,5245,1.4901,2.0964),(2175,5255,1.4388,2.0854),(2175,5265,1.011,2.0744),(2175,5275,0.5676,2.0673),(2175,5285,0.12422,2.0667),(2175,5295,0.31534,2.0662),(2175,5305,0.68315,2.0631),(2175,5315,1.051,2.0493),(2175,5325,1.2684,2.0356),(2175,5335,1.3872,2.0218),(2175,5345,1.506,2.0078),(2175,5355,1.5849,1.9939),(2175,5365,1.6101,1.98),(2175,5375,1.6352,1.9667),(2175,5385,1.5599,1.9535),(2175,5395,1.179,1.9403),(2175,5405,0.79814,1.9335),(2175,5415,0.45699,1.93),(2175,5425,0.64949,1.9265),(2175,5435,0.84199,1.9185),(2175,5445,1.0345,1.9058),(2175,5455,1.2401,1.893),(2175,5465,1.4474,1.8781),(2175,5475,1.6547,1.8582),(2175,5485,1.7266,1.8384),(2175,5495,1.744,1.8187),(2175,5505,1.7614,1.7994),(2175,5515,1.7788,1.7801),(2175,5525,1.7963,1.7608),(2175,5535,1.8137,1.742),(2175,5545,1.8308,1.7233),(2175,5555,1.8472,1.7045),(2175,5565,1.8636,1.6861),(2175,5575,1.8797,1.6679),(2175,5585,1.895,1.6497),(2175,5595,1.9102,1.6317),(2175,5605,1.9255,1.614),(2175,5615,1.9397,1.5962),(2175,5625,1.9538,1.5786),(2175,5635,1.968,1.5614),(2175,5645,1.9814,1.5441),(2175,5655,1.9946,1.5269),(2175,5665,2.0077,1.51),(2175,5675,2.0203,1.4931),(2175,5685,2.0326,1.4763),(2175,5695,2.0448,1.4598),(2175,5705,2.0567,1.4434),(2175,5715,2.0681,1.4269),(2175,5725,2.0795,1.4108),(2175,5735,2.0907,1.3947),(2175,5745,2.1013,1.3786),(2175,5755,2.1119,1.3627),(2175,5765,2.1224,1.347),(2175,5775,2.1323,1.3313),(2175,5785,2.1422,1.3157),(2175,5795,2.1521,1.3003),(2175,5805,2.1613,1.2849),(2175,5815,2.1706,1.2696),(2175,5825,2.1798,1.2545),(2175,5835,2.1885,1.2394),(2175,5845,2.1971,1.2244),(2175,5855,2.2057,1.2095),(2175,5865,2.214,1.1947),(2175,5875,2.222,1.1799),(2175,5885,2.23,1.1654),(2175,5895,2.2378,1.1508),(2175,5905,2.2453,1.1362),(2175,5915,2.2528,1.1219),(2175,5925,2.2602,1.1076),(2175,5935,2.2673,1.0933),(2175,5945,2.2743,1.0791),(2175,5955,2.2813,1.0651),(2175,5965,2.2881,1.051),(2175,5975,2.2948,1.0371),(2175,5985,2.3016,1.0232),(2175,5995,1.7601,1.0094),(2175,6005,1.1304,0.99881),(2175,6015,0.50065,0.997),(2175,6025,0.54842,0.99518),(2175,6035,0.91041,0.99229),(2175,6045,1.2724,0.97908),(2175,6055,1.5295,0.96587),(2175,6065,1.6839,0.95266),(2175,6075,1.8383,0.93556),(2175,6085,1.9442,0.9181),(2175,6095,1.9502,0.90065),(2175,6105,1.9562,0.88307),(2175,6115,1.9622,0.86545),(2175,6125,1.968,0.84783),(2175,6135,1.9737,0.83024),(2175,6145,1.9794,0.81268),(2175,6155,1.9847,0.79511),(2175,6165,1.9901,0.77759),(2175,6175,1.9954,0.76013),(2175,6185,2.0004,0.74268),(2175,6195,2.0053,0.72521),(2175,6205,2.0103,0.70772),(2175,6215,2.015,0.69023),(2175,6225,2.0195,0.67274),(2175,6235,2.0241,0.65532),(2175,6245,2.0285,0.63791),(2175,6255,2.0326,0.6205),(2175,6265,2.0368,0.60309),(2175,6275,2.0409,0.58569),(2175,6285,2.0447,0.56829),(2175,6295,2.0485,0.55088),(2175,6305,2.0523,0.53345),(2175,6315,2.0557,0.51603),(2175,6325,2.0591,0.49858),(2175,6335,2.0625,0.48111),(2175,6345,2.0656,0.46363),(2175,6355,2.0687,0.44615),(2175,6365,2.0717,0.42869),(2175,6375,2.0745,0.41122),(2175,6385,2.0772,0.39377),(2175,6395,2.0798,0.37638),(2175,6405,2.0823,0.359),(2175,6415,2.0846,0.34161),(2175,6425,2.0869,0.32429),(2175,6435,2.0891,0.30696),(2175,6445,2.091,0.28964),(2175,6455,2.0929,0.27231),(2175,6465,2.0948,0.25497),(2175,6475,2.0964,0.23763),(2175,6485,2.0979,0.22026),(2175,6495,2.0995,0.20288),(2175,6505,2.1007,0.18549),(2175,6515,2.1019,0.16809),(2175,6525,2.1031,0.15067),(2175,6535,2.104,0.13324),(2175,6545,2.1048,0.11582),(2175,6555,2.1057,0.098426),(2175,6565,2.1062,0.081028),(2175,6575,2.1067,0.063638),(2175,6585,2.1071,0.046352),(2175,6595,1.7923,0.029067),(2175,6605,1.1295,0.011781),(2175,6615,0.46676,0.009811),(2175,6625,0.000843,0.009808),(2175,6635,0.000844,0.009805),(2175,6645,0.000846,0.009797),(2175,6655,0.000848,0.009787),(2175,6665,0.000849,0.009776),(2175,6675,0.000851,0.009765),(2175,6685,0.000853,0.009755),(2175,6695,0.000854,0.009744),(2175,6705,0.000856,0.009734),(2175,6715,0.000857,0.009724),(2175,6725,0.000859,0.009713),(2175,6735,0.00086,0.009703),(2175,6745,0.000862,0.009693),(2175,6755,0.000863,0.009683),(2175,6765,0.000864,0.009672),(2175,6775,0.000866,0.009662),(2175,6785,0.000867,0.009652),(2175,6795,0.000868,0.009642),(2175,6805,0.000869,0.009632),(2175,6815,0.000871,0.009622),(2175,6825,0.000872,0.009612),(2175,6835,0.000873,0.009602),(2175,6845,0.000874,0.009592),(2175,6855,0.000875,0.009582),(2175,6865,0.000877,0.009572),(2175,6875,0.000878,0.009562),(2175,6885,0.000879,0.009552),(2175,6895,0.00088,0.009542),(2175,6905,0.000881,0.009532),(2175,6915,0.000882,0.009522),(2175,6925,0.000883,0.009512),(2175,6935,0.000884,0.009503),(2175,6945,0.000885,0.009493),(2175,6955,0.000886,0.009483),(2175,6965,0.000887,0.009473),(2175,6975,0.000888,0.009463),(2175,6985,0.000889,0.009454),(2185,5,5.1e-05,3.6827),(2185,15,0.000152,3.6827),(2185,25,0.000254,3.6827),(2185,35,0.000355,3.6827),(2185,45,0.000457,3.6827),(2185,55,0.000558,3.6827),(2185,65,0.00066,3.6827),(2185,75,0.000762,3.6827),(2185,85,0.000864,3.6827),(2185,95,0.000966,3.6827),(2185,105,0.001068,3.6827),(2185,115,0.001171,3.6827),(2185,125,0.001273,3.6827),(2185,135,0.001376,3.6827),(2185,145,0.001479,3.6827),(2185,155,0.001582,3.6827),(2185,165,0.001686,3.6827),(2185,175,0.001789,3.6827),(2185,185,0.001894,3.6827),(2185,195,0.001998,3.6827),(2185,205,0.002103,3.6827),(2185,215,0.002208,3.6827),(2185,225,0.002313,3.6827),(2185,235,0.002419,3.6827),(2185,245,0.002525,3.6827),(2185,255,0.002632,3.6827),(2185,265,0.002739,3.6827),(2185,275,0.002847,3.6827),(2185,285,0.002954,3.6827),(2185,295,0.003062,3.6827),(2185,305,0.003171,3.6828),(2185,315,0.003281,3.6828),(2185,325,0.00339,3.6828),(2185,335,0.0035,3.6828),(2185,345,0.003612,3.6828),(2185,355,0.003723,3.6828),(2185,365,0.003835,3.6828),(2185,375,0.003947,3.6828),(2185,385,0.004061,3.6828),(2185,395,0.004176,3.6828),(2185,405,0.00429,3.6828),(2185,415,0.004404,3.6828),(2185,425,0.004522,3.6828),(2185,435,0.004639,3.6828),(2185,445,0.004756,3.6828),(2185,455,0.004874,3.6828),(2185,465,0.004994,3.6828),(2185,475,0.005115,3.6828),(2185,485,0.005235,3.6828),(2185,495,0.005356,3.6828),(2185,505,0.00548,3.6828),(2185,515,0.005604,3.6829),(2185,525,0.005728,3.6829),(2185,535,0.005852,3.6829),(2185,545,0.00598,3.6829),(2185,555,0.006107,3.6829),(2185,565,0.006235,3.6829),(2185,575,0.006364,3.6829),(2185,585,0.006496,3.6829),(2185,595,0.006628,3.6829),(2185,605,0.00676,3.6829),(2185,615,0.006893,3.6829),(2185,625,0.00703,3.6829),(2185,635,0.007166,3.6829),(2185,645,0.007303,3.6829),(2185,655,0.007441,3.683),(2185,665,0.007582,3.683),(2185,675,0.007724,3.683),(2185,685,0.007866,3.683),(2185,695,0.008009,3.683),(2185,705,0.008156,3.683),(2185,715,0.008303,3.683),(2185,725,0.00845,3.683),(2185,735,0.008599,3.683),(2185,745,0.008752,3.683),(2185,755,0.008905,3.683),(2185,765,0.009058,3.683),(2185,775,0.009213,3.6831),(2185,785,0.009373,3.6831),(2185,795,0.009532,3.6831),(2185,805,0.009692,3.6831),(2185,815,0.009853,3.6831),(2185,825,0.01002,3.6831),(2185,835,0.010186,3.6831),(2185,845,0.010353,3.6831),(2185,855,0.010521,3.6831),(2185,865,0.010695,3.6831),(2185,875,0.010869,3.6831),(2185,885,0.011042,3.6832),(2185,895,0.011219,3.6832),(2185,905,0.011401,3.6832),(2185,915,0.011583,3.6832),(2185,925,0.011764,3.6832),(2185,935,0.011949,3.6832),(2185,945,0.01214,3.6832),(2185,955,0.01233,3.6832),(2185,965,0.01252,3.6832),(2185,975,0.012715,3.6832),(2185,985,0.012914,3.6832),(2185,995,0.013114,3.6832),(2185,1005,0.013313,3.6833),(2185,1015,0.013517,3.6833),(2185,1025,0.013726,3.6833),(2185,1035,0.013935,3.6833),(2185,1045,0.014144,3.6833),(2185,1055,0.014359,3.6833),(2185,1065,0.014578,3.6833),(2185,1075,0.014797,3.6833),(2185,1085,0.015016,3.6833),(2185,1095,0.015242,3.6833),(2185,1105,0.015472,3.6833),(2185,1115,0.015702,3.6833),(2185,1125,0.015933,3.6833),(2185,1135,0.01617,3.6833),(2185,1145,0.016412,3.6833),(2185,1155,0.016655,3.6834),(2185,1165,0.016897,3.6834),(2185,1175,0.017147,3.6834),(2185,1185,0.017402,3.6834),(2185,1195,0.017657,3.6834),(2185,1205,0.017912,3.6834),(2185,1215,0.018176,3.6834),(2185,1225,0.018444,3.6834),(2185,1235,0.018712,3.6834),(2185,1245,0.01898,3.6834),(2185,1255,0.019258,3.6834),(2185,1265,0.01954,3.6834),(2185,1275,0.019822,3.6834),(2185,1285,0.020105,3.6834),(2185,1295,0.020398,3.6834),(2185,1305,0.020695,3.6833),(2185,1315,0.020992,3.6833),(2185,1325,0.021289,3.6833),(2185,1335,0.021599,3.6833),(2185,1345,0.021912,3.6833),(2185,1355,0.022225,3.6833),(2185,1365,0.022537,3.6833),(2185,1375,0.022864,3.6833),(2185,1385,0.023194,3.6833),(2185,1395,0.023523,3.6833),(2185,1405,0.023853,3.6832),(2185,1415,0.024198,3.6832),(2185,1425,0.024545,3.6832),(2185,1435,0.024892,3.6832),(2185,1445,0.025239,3.6832),(2185,1455,0.025603,3.6831),(2185,1465,0.025969,3.6831),(2185,1475,0.026334,3.6831),(2185,1485,0.0267,3.6831),(2185,1495,0.027085,3.683),(2185,1505,0.02747,3.683),(2185,1515,0.027855,3.683),(2185,1525,0.02824,3.6829),(2185,1535,0.028646,3.6829),(2185,1545,0.029052,3.6828),(2185,1555,0.029457,3.6828),(2185,1565,0.029864,3.6828),(2185,1575,0.030291,3.6827),(2185,1585,0.030718,3.6827),(2185,1595,0.031145,3.6826),(2185,1605,0.031574,3.6826),(2185,1615,0.032024,3.6825),(2185,1625,0.032473,3.6824),(2185,1635,0.032923,3.6824),(2185,1645,0.033376,3.6823),(2185,1655,0.033849,3.6822),(2185,1665,0.034322,3.6822),(2185,1675,0.034795,3.6821),(2185,1685,0.035272,3.682),(2185,1695,0.03577,3.6819),(2185,1705,0.036267,3.6819),(2185,1715,0.036764,3.6818),(2185,1725,0.037268,3.6817),(2185,1735,0.03779,3.6816),(2185,1745,0.038313,3.6815),(2185,1755,0.038836,3.6814),(2185,1765,0.039366,3.6813),(2185,1775,0.039915,3.6812),(2185,1785,0.040464,3.6811),(2185,1795,0.041013,3.6809),(2185,1805,0.041571,3.6808),(2185,1815,0.042148,3.6807),(2185,1825,0.042724,3.6805),(2185,1835,0.043301,3.6804),(2185,1845,0.043887,3.6803),(2185,1855,0.044492,3.6801),(2185,1865,0.045097,3.68),(2185,1875,0.045702,3.6798),(2185,1885,0.046318,3.6796),(2185,1895,0.046952,3.6795),(2185,1905,0.047586,3.6793),(2185,1915,0.04822,3.6791),(2185,1925,0.048866,3.6789),(2185,1935,0.04953,3.6787),(2185,1945,0.050194,3.6785),(2185,1955,0.050858,3.6783),(2185,1965,0.051536,3.6781),(2185,1975,0.052231,3.6779),(2185,1985,0.052925,3.6776),(2185,1995,0.05362,3.6774),(2185,2005,0.05433,3.6772),(2185,2015,0.055055,3.6769),(2185,2025,0.055781,3.6766),(2185,2035,0.056506,3.6764),(2185,2045,0.057249,3.6761),(2185,2055,0.058006,3.6758),(2185,2065,0.058763,3.6755),(2185,2075,0.05952,3.6752),(2185,2085,0.060295,3.6749),(2185,2095,0.061084,3.6746),(2185,2105,0.061872,3.6743),(2185,2115,0.062661,3.6739),(2185,2125,0.06347,3.6736),(2185,2135,0.06429,3.6732),(2185,2145,0.065111,3.6728),(2185,2155,0.065932,3.6725),(2185,2165,0.066774,3.6721),(2185,2175,0.067626,3.6717),(2185,2185,0.068479,3.6713),(2185,2195,0.069332,3.6708),(2185,2205,0.070207,3.6704),(2185,2215,0.071091,3.67),(2185,2225,0.071975,3.6695),(2185,2235,0.072859,3.669),(2185,2245,0.073766,3.6685),(2185,2255,0.074681,3.6681),(2185,2265,0.075597,3.6675),(2185,2275,0.076512,3.667),(2185,2285,0.07745,3.6665),(2185,2295,0.078396,3.6659),(2185,2305,0.079341,3.6654),(2185,2315,0.080286,3.6648),(2185,2325,0.081255,3.6642),(2185,2335,0.08223,3.6636),(2185,2345,0.083204,3.663),(2185,2355,0.084179,3.6623),(2185,2365,0.085177,3.6617),(2185,2375,0.086179,3.661),(2185,2385,0.087181,3.6603),(2185,2395,0.088183,3.6596),(2185,2405,0.089208,3.6589),(2185,2415,0.090236,3.6582),(2185,2425,0.091264,3.6574),(2185,2435,0.092292,3.6567),(2185,2445,0.093342,3.6559),(2185,2455,0.094393,3.6551),(2185,2465,0.095445,3.6543),(2185,2475,0.096497,3.6534),(2185,2485,0.097569,3.6526),(2185,2495,0.098641,3.6517),(2185,2505,0.099714,3.6508),(2185,2515,0.10079,3.6499),(2185,2525,0.10188,3.649),(2185,2535,0.10297,3.6481),(2185,2545,0.10406,3.6471),(2185,2555,0.10515,3.6461),(2185,2565,0.10625,3.6451),(2185,2575,0.10736,3.6441),(2185,2585,0.10847,3.643),(2185,2595,0.10957,3.6419),(2185,2605,0.11069,3.6408),(2185,2615,0.1118,3.6397),(2185,2625,0.11292,3.6386),(2185,2635,0.11404,3.6374),(2185,2645,0.11516,3.6362),(2185,2655,0.11628,3.635),(2185,2665,0.11741,3.6338),(2185,2675,0.11853,3.6325),(2185,2685,0.11965,3.6313),(2185,2695,0.12078,3.63),(2185,2705,0.1219,3.6287),(2185,2715,0.12303,3.6273),(2185,2725,0.12415,3.626),(2185,2735,0.12527,3.6246),(2185,2745,0.12639,3.6232),(2185,2755,0.12751,3.6217),(2185,2765,0.12862,3.6203),(2185,2775,0.12974,3.6188),(2185,2785,0.13085,3.6173),(2185,2795,0.13196,3.6158),(2185,2805,0.13306,3.6142),(2185,2815,0.13416,3.6127),(2185,2825,0.13525,3.611),(2185,2835,0.13634,3.6094),(2185,2845,0.13742,3.6078),(2185,2855,0.1385,3.6061),(2185,2865,0.13958,3.6044),(2185,2875,0.14064,3.6027),(2185,2885,0.14169,3.6009),(2185,2895,0.14274,3.5992),(2185,2905,0.14379,3.5973),(2185,2915,0.14483,3.5955),(2185,2925,0.14585,3.5937),(2185,2935,0.14686,3.5918),(2185,2945,0.14788,3.5899),(2185,2955,0.14887,3.588),(2185,2965,0.14985,3.586),(2185,2975,0.15082,3.5841),(2185,2985,0.1518,3.5821),(2185,2995,0.15275,3.58),(2185,3005,0.15368,3.578),(2185,3015,0.1546,3.576),(2185,3025,0.15553,3.5738),(2185,3035,0.15643,3.5717),(2185,3045,0.1573,3.5696),(2185,3055,0.15817,3.5675),(2185,3065,0.15904,3.5653),(2185,3075,0.15988,3.5631),(2185,3085,0.16069,3.5609),(2185,3095,0.1615,3.5586),(2185,3105,0.16231,3.5563),(2185,3115,0.16307,3.554),(2185,3125,0.16381,3.5517),(2185,3135,0.16455,3.5494),(2185,3145,0.16529,3.547),(2185,3155,0.16598,3.5446),(2185,3165,0.16665,3.5423),(2185,3175,0.16731,3.5398),(2185,3185,0.16797,3.5374),(2185,3195,0.16858,3.5349),(2185,3205,0.16916,3.5325),(2185,3215,0.16974,3.53),(2185,3225,0.17032,3.5274),(2185,3235,0.17084,3.5249),(2185,3245,0.17133,3.5224),(2185,3255,0.17182,3.5198),(2185,3265,0.17232,3.5172),(2185,3275,0.17274,3.5146),(2185,3285,0.17313,3.5121),(2185,3295,0.17353,3.5094),(2185,3305,0.17393,3.5068),(2185,3315,0.17424,3.5041),(2185,3325,0.17454,3.5015),(2185,3335,0.17484,3.4988),(2185,3345,0.17514,3.4961),(2185,3355,0.17535,3.4934),(2185,3365,0.17554,3.4907),(2185,3375,0.17573,3.4879),(2185,3385,0.17592,3.4852),(2185,3395,0.17602,3.4825),(2185,3405,0.17611,3.4797),(2185,3415,0.17619,3.4769),(2185,3425,0.17627,3.4742),(2185,3435,0.17625,3.4714),(2185,3445,0.17623,3.4686),(2185,3455,0.1762,3.4658),(2185,3465,0.17617,3.463),(2185,3475,0.17603,3.4602),(2185,3485,0.17589,3.4574),(2185,3495,0.17575,3.4546),(2185,3505,0.17561,3.4518),(2185,3515,0.17535,3.4489),(2185,3525,0.17509,3.4461),(2185,3535,0.17483,3.4433),(2185,3545,0.17457,3.4405),(2185,3555,0.17419,3.4377),(2185,3565,0.17381,3.4348),(2185,3575,0.17344,3.432),(2185,3585,0.17305,3.4292),(2185,3595,0.17256,3.4264),(2185,3605,0.17206,3.4236),(2185,3615,0.17157,3.4208),(2185,3625,0.17106,3.4179),(2185,3635,0.17045,3.4151),(2185,3645,0.16983,3.4123),(2185,3655,0.16922,3.4096),(2185,3665,0.16859,3.4068),(2185,3675,0.16786,3.404),(2185,3685,0.16713,3.4012),(2185,3695,0.1664,3.3985),(2185,3705,0.16565,3.3957),(2185,3715,0.1648,3.3929),(2185,3725,0.16396,3.3902),(2185,3735,0.16312,3.3875),(2185,3745,0.16224,3.3848),(2185,3755,0.16129,3.3821),(2185,3765,0.16033,3.3794),(2185,3775,0.15937,3.3767),(2185,3785,0.15838,3.374),(2185,3795,0.15732,3.3714),(2185,3805,0.15625,3.3687),(2185,3815,0.15518,3.3661),(2185,3825,0.15408,3.3635),(2185,3835,0.1529,3.3609),(2185,3845,0.15173,3.3583),(2185,3855,0.15055,3.3558),(2185,3865,0.14934,3.3532),(2185,3875,0.14806,3.3507),(2185,3885,0.14678,3.3481),(2185,3895,0.1455,3.3457),(2185,3905,0.16694,3.3432),(2185,3915,0.22234,3.3407),(2185,3925,0.27773,3.3368),(2185,3935,0.33312,3.3311),(2185,3945,0.39141,3.3253),(2185,3955,0.45336,3.3195),(2185,3965,0.51532,3.3122),(2185,3975,0.57728,3.3029),(2185,3985,0.61287,3.2937),(2185,3995,0.61992,3.2845),(2185,4005,0.62697,3.2751),(2185,4015,0.63403,3.2655),(2185,4025,0.64192,3.256),(2185,4035,0.64989,3.2463),(2185,4045,0.65787,3.2363),(2185,4055,0.66593,3.2263),(2185,4065,0.67401,3.2163),(2185,4075,0.6821,3.2058),(2185,4085,0.68989,3.1954),(2185,4095,0.69746,3.1849),(2185,4105,0.70502,3.1741),(2185,4115,0.68618,3.1633),(2185,4125,0.62359,3.1525),(2185,4135,0.561,3.144),(2185,4145,0.49723,3.1362),(2185,4155,0.4287,3.1284),(2185,4165,0.36016,3.1225),(2185,4175,0.29571,3.1178),(2185,4185,0.43297,3.113),(2185,4195,0.57023,3.1056),(2185,4205,0.7075,3.0944),(2185,4215,0.71068,3.0833),(2185,4225,0.68862,3.0723),(2185,4235,0.66656,3.0618),(2185,4245,0.62408,3.0512),(2185,4255,0.57124,3.0408),(2185,4265,0.5184,3.0325),(2185,4275,0.43672,3.0241),(2185,4285,0.32444,3.0157),(2185,4295,0.21217,3.0128),(2185,4305,0.19118,3.0105),(2185,4315,0.37635,3.0082),(2185,4325,0.56151,3.0003),(2185,4335,0.72718,2.9901),(2185,4345,0.76081,2.98),(2185,4355,0.79445,2.9691),(2185,4365,0.82809,2.9574),(2185,4375,0.83916,2.9457),(2185,4385,0.84906,2.9338),(2185,4395,0.85897,2.9215),(2185,4405,0.75319,2.9092),(2185,4415,0.6133,2.898),(2185,4425,0.47341,2.8913),(2185,4435,0.4169,2.8847),(2185,4445,0.41738,2.878),(2185,4455,0.41785,2.8714),(2185,4465,0.4875,2.8648),(2185,4475,0.65435,2.8582),(2185,4485,0.82119,2.8468),(2185,4495,0.95109,2.8344),(2185,4505,0.96248,2.822),(2185,4515,0.97387,2.8097),(2185,4525,0.98303,2.7975),(2185,4535,0.95679,2.7853),(2185,4545,0.93056,2.7735),(2185,4555,0.90433,2.7621),(2185,4565,0.68232,2.7508),(2185,4575,0.43393,2.7422),(2185,4585,0.18553,2.7403),(2185,4595,0.21699,2.7384),(2185,4605,0.3667,2.7356),(2185,4615,0.51641,2.7256),(2185,4625,0.63564,2.7156),(2185,4635,0.72726,2.7057),(2185,4645,0.81888,2.6929),(2185,4655,0.89527,2.6798),(2185,4665,0.94293,2.6668),(2185,4675,0.9906,2.654),(2185,4685,0.99478,2.6413),(2185,4695,0.78409,2.6286),(2185,4705,0.57339,2.6207),(2185,4715,0.36269,2.6164),(2185,4725,0.48585,2.6121),(2185,4735,0.61235,2.6059),(2185,4745,0.73885,2.5967),(2185,4755,0.87073,2.5876),(2185,4765,1.0039,2.5775),(2185,4775,1.137,2.5641),(2185,4785,1.1927,2.5508),(2185,4795,1.2036,2.5374),(2185,4805,1.2145,2.5243),(2185,4815,1.1633,2.5111),(2185,4825,1.0379,2.498),(2185,4835,0.91241,2.4885),(2185,4845,0.78411,2.4797),(2185,4855,0.64838,2.4708),(2185,4865,0.51265,2.4651),(2185,4875,0.41958,2.4607),(2185,4885,0.71471,2.4564),(2185,4895,1.0098,2.4476),(2185,4905,1.305,2.4346),(2185,4915,1.311,2.4216),(2185,4925,1.2922,2.4084),(2185,4935,1.2733,2.3951),(2185,4945,1.1881,2.3817),(2185,4955,1.0799,2.3686),(2185,4965,0.97169,2.3565),(2185,4975,0.77561,2.3444),(2185,4985,0.51171,2.3324),(2185,4995,0.24781,2.3307),(2185,5005,0.20756,2.3293),(2185,5015,0.52288,2.3278),(2185,5025,0.8382,2.3196),(2185,5035,1.1117,2.3095),(2185,5045,1.2256,2.2995),(2185,5055,1.3395,2.288),(2185,5065,1.4504,2.2754),(2185,5075,1.4606,2.2629),(2185,5085,1.4709,2.2505),(2185,5095,1.4811,2.2382),(2185,5105,1.2977,2.226),(2185,5115,1.0805,2.2153),(2185,5125,0.86337,2.2088),(2185,5135,0.7542,2.2024),(2185,5145,0.69744,2.196),(2185,5155,0.64067,2.1904),(2185,5165,0.76154,2.1847),(2185,5175,1.0636,2.1791),(2185,5185,1.3656,2.1666),(2185,5195,1.5752,2.1534),(2185,5205,1.5855,2.1401),(2185,5215,1.5958,2.1272),(2185,5225,1.5975,2.1143),(2185,5235,1.5459,2.1014),(2185,5245,1.4942,2.0896),(2185,5255,1.4426,2.0786),(2185,5265,1.0137,2.0676),(2185,5275,0.56927,2.0605),(2185,5285,0.12482,2.06),(2185,5295,0.31747,2.0594),(2185,5305,0.68753,2.0563),(2185,5315,1.0576,2.0425),(2185,5325,1.2756,2.0287),(2185,5335,1.3939,2.0149),(2185,5345,1.5121,2.001),(2185,5355,1.5906,1.9871),(2185,5365,1.6155,1.9731),(2185,5375,1.6403,1.9598),(2185,5385,1.5644,1.9466),(2185,5395,1.1824,1.9335),(2185,5405,0.80045,1.9266),(2185,5415,0.45839,1.9231),(2185,5425,0.65278,1.9196),(2185,5435,0.84717,1.9117),(2185,5445,1.0416,1.899),(2185,5455,1.2484,1.8862),(2185,5465,1.4568,1.8714),(2185,5475,1.6652,1.8516),(2185,5485,1.7372,1.8319),(2185,5495,1.7544,1.8122),(2185,5505,1.7716,1.793),(2185,5515,1.7888,1.7738),(2185,5525,1.806,1.7546),(2185,5535,1.8232,1.7358),(2185,5545,1.8401,1.7171),(2185,5555,1.8562,1.6985),(2185,5565,1.8724,1.6802),(2185,5575,1.8883,1.662),(2185,5585,1.9034,1.6439),(2185,5595,1.9184,1.626),(2185,5605,1.9334,1.6083),(2185,5615,1.9474,1.5906),(2185,5625,1.9614,1.5731),(2185,5635,1.9754,1.5559),(2185,5645,1.9885,1.5387),(2185,5655,2.0015,1.5216),(2185,5665,2.0145,1.5048),(2185,5675,2.0269,1.488),(2185,5685,2.039,1.4712),(2185,5695,2.0511,1.4548),(2185,5705,2.0628,1.4385),(2185,5715,2.074,1.4221),(2185,5725,2.0852,1.406),(2185,5735,2.0963,1.39),(2185,5745,2.1067,1.374),(2185,5755,2.1172,1.3582),(2185,5765,2.1276,1.3425),(2185,5775,2.1373,1.3269),(2185,5785,2.147,1.3114),(2185,5795,2.1568,1.296),(2185,5805,2.1659,1.2807),(2185,5815,2.175,1.2655),(2185,5825,2.1841,1.2505),(2185,5835,2.1927,1.2354),(2185,5845,2.2011,1.2204),(2185,5855,2.2096,1.2057),(2185,5865,2.2177,1.191),(2185,5875,2.2257,1.1762),(2185,5885,2.2336,1.1617),(2185,5895,2.2413,1.1472),(2185,5905,2.2487,1.1328),(2185,5915,2.2561,1.1185),(2185,5925,2.2634,1.1043),(2185,5935,2.2703,1.09),(2185,5945,2.2772,1.0759),(2185,5955,2.2841,1.062),(2185,5965,2.2908,1.048),(2185,5975,2.2974,1.0341),(2185,5985,2.3041,1.0203),(2185,5995,1.762,1.0065),(2185,6005,1.1316,0.99604),(2185,6015,0.50122,0.99423),(2185,6025,0.55006,0.99241),(2185,6035,0.91392,0.98953),(2185,6045,1.2778,0.97635),(2185,6055,1.5362,0.96317),(2185,6065,1.6912,0.94999),(2185,6075,1.8461,0.93292),(2185,6085,1.9524,0.9155),(2185,6095,1.9584,0.89809),(2185,6105,1.9644,0.88055),(2185,6115,1.9704,0.86296),(2185,6125,1.9761,0.84538),(2185,6135,1.9818,0.82782),(2185,6145,1.9875,0.81029),(2185,6155,1.9928,0.79276),(2185,6165,1.9981,0.77527),(2185,6175,2.0034,0.75785),(2185,6185,2.0084,0.74044),(2185,6195,2.0133,0.72301),(2185,6205,2.0182,0.70556),(2185,6215,2.0229,0.68811),(2185,6225,2.0275,0.67067),(2185,6235,2.032,0.6533),(2185,6245,2.0364,0.63594),(2185,6255,2.0405,0.61857),(2185,6265,2.0447,0.60122),(2185,6275,2.0487,0.58387),(2185,6285,2.0525,0.56651),(2185,6295,2.0563,0.54915),(2185,6305,2.06,0.53177),(2185,6315,2.0635,0.5144),(2185,6325,2.0669,0.497),(2185,6335,2.0703,0.47958),(2185,6345,2.0733,0.46215),(2185,6355,2.0764,0.44473),(2185,6365,2.0794,0.42732),(2185,6375,2.0822,0.40991),(2185,6385,2.0848,0.39251),(2185,6395,2.0875,0.37518),(2185,6405,2.0899,0.35784),(2185,6415,2.0922,0.34051),(2185,6425,2.0945,0.32324),(2185,6435,2.0967,0.30597),(2185,6445,2.0986,0.28871),(2185,6455,2.1005,0.27143),(2185,6465,2.1023,0.25415),(2185,6475,2.1039,0.23687),(2185,6485,2.1054,0.21957),(2185,6495,2.107,0.20224),(2185,6505,2.1082,0.18492),(2185,6515,2.1094,0.16758),(2185,6525,2.1106,0.15021),(2185,6535,2.1115,0.13285),(2185,6545,2.1123,0.11549),(2185,6555,2.1132,0.098145),(2185,6565,2.1137,0.080803),(2185,6575,2.1141,0.063468),(2185,6585,2.1146,0.046237),(2185,6595,1.7987,0.029006),(2185,6605,1.1335,0.011775),(2185,6615,0.46842,0.009811),(2185,6625,0.000849,0.009809),(2185,6635,0.000851,0.009807),(2185,6645,0.000853,0.009799),(2185,6655,0.000854,0.009788),(2185,6665,0.000856,0.009777),(2185,6675,0.000857,0.009767),(2185,6685,0.000859,0.009756),(2185,6695,0.00086,0.009746),(2185,6705,0.000862,0.009735),(2185,6715,0.000863,0.009725),(2185,6725,0.000865,0.009715),(2185,6735,0.000866,0.009704),(2185,6745,0.000868,0.009694),(2185,6755,0.000869,0.009684),(2185,6765,0.00087,0.009674),(2185,6775,0.000872,0.009664),(2185,6785,0.000873,0.009653),(2185,6795,0.000874,0.009643),(2185,6805,0.000875,0.009633),(2185,6815,0.000877,0.009623),(2185,6825,0.000878,0.009613),(2185,6835,0.000879,0.009603),(2185,6845,0.00088,0.009593),(2185,6855,0.000881,0.009583),(2185,6865,0.000882,0.009573),(2185,6875,0.000884,0.009563),(2185,6885,0.000885,0.009553),(2185,6895,0.000886,0.009543),(2185,6905,0.000887,0.009533),(2185,6915,0.000888,0.009523),(2185,6925,0.000889,0.009513),(2185,6935,0.00089,0.009503),(2185,6945,0.000891,0.009494),(2185,6955,0.000892,0.009484),(2185,6965,0.000893,0.009474),(2185,6975,0.000894,0.009464),(2185,6985,0.000895,0.009454),(2195,5,5e-05,3.6828),(2195,15,0.000151,3.6828),(2195,25,0.000252,3.6828),(2195,35,0.000353,3.6828),(2195,45,0.000454,3.6828),(2195,55,0.000555,3.6828),(2195,65,0.000656,3.6828),(2195,75,0.000757,3.6828),(2195,85,0.000859,3.6828),(2195,95,0.00096,3.6828),(2195,105,0.001062,3.6828),(2195,115,0.001164,3.6828),(2195,125,0.001265,3.6828),(2195,135,0.001367,3.6828),(2195,145,0.00147,3.6828),(2195,155,0.001573,3.6828),(2195,165,0.001676,3.6828),(2195,175,0.001778,3.6828),(2195,185,0.001882,3.6828),(2195,195,0.001986,3.6828),(2195,205,0.00209,3.6828),(2195,215,0.002194,3.6828),(2195,225,0.002299,3.6828),(2195,235,0.002405,3.6828),(2195,245,0.00251,3.6828),(2195,255,0.002616,3.6828),(2195,265,0.002722,3.6828),(2195,275,0.002829,3.6828),(2195,285,0.002937,3.6829),(2195,295,0.003044,3.6829),(2195,305,0.003152,3.6829),(2195,315,0.003261,3.6829),(2195,325,0.00337,3.6829),(2195,335,0.003479,3.6829),(2195,345,0.00359,3.6829),(2195,355,0.003701,3.6829),(2195,365,0.003812,3.6829),(2195,375,0.003923,3.6829),(2195,385,0.004037,3.6829),(2195,395,0.00415,3.6829),(2195,405,0.004264,3.6829),(2195,415,0.004378,3.6829),(2195,425,0.004494,3.6829),(2195,435,0.004611,3.6829),(2195,445,0.004728,3.6829),(2195,455,0.004844,3.6829),(2195,465,0.004964,3.6829),(2195,475,0.005084,3.683),(2195,485,0.005204,3.683),(2195,495,0.005324,3.683),(2195,505,0.005447,3.683),(2195,515,0.00557,3.683),(2195,525,0.005693,3.683),(2195,535,0.005817,3.683),(2195,545,0.005944,3.683),(2195,555,0.006071,3.683),(2195,565,0.006198,3.683),(2195,575,0.006326,3.683),(2195,585,0.006457,3.683),(2195,595,0.006588,3.683),(2195,605,0.00672,3.683),(2195,615,0.006852,3.6831),(2195,625,0.006988,3.6831),(2195,635,0.007124,3.6831),(2195,645,0.00726,3.6831),(2195,655,0.007397,3.6831),(2195,665,0.007538,3.6831),(2195,675,0.007679,3.6831),(2195,685,0.00782,3.6831),(2195,695,0.007962,3.6831),(2195,705,0.008108,3.6831),(2195,715,0.008255,3.6832),(2195,725,0.008401,3.6832),(2195,735,0.008549,3.6832),(2195,745,0.008701,3.6832),(2195,755,0.008853,3.6832),(2195,765,0.009006,3.6832),(2195,775,0.00916,3.6832),(2195,785,0.009319,3.6832),(2195,795,0.009477,3.6832),(2195,805,0.009636,3.6832),(2195,815,0.009797,3.6833),(2195,825,0.009963,3.6833),(2195,835,0.010128,3.6833),(2195,845,0.010294,3.6833),(2195,855,0.010462,3.6833),(2195,865,0.010635,3.6833),(2195,875,0.010808,3.6833),(2195,885,0.010981,3.6833),(2195,895,0.011157,3.6833),(2195,905,0.011337,3.6834),(2195,915,0.011518,3.6834),(2195,925,0.011699,3.6834),(2195,935,0.011884,3.6834),(2195,945,0.012073,3.6834),(2195,955,0.012262,3.6834),(2195,965,0.012452,3.6834),(2195,975,0.012646,3.6834),(2195,985,0.012844,3.6834),(2195,995,0.013043,3.6834),(2195,1005,0.013241,3.6835),(2195,1015,0.013445,3.6835),(2195,1025,0.013653,3.6835),(2195,1035,0.013861,3.6835),(2195,1045,0.01407,3.6835),(2195,1055,0.014283,3.6835),(2195,1065,0.014502,3.6835),(2195,1075,0.01472,3.6835),(2195,1085,0.014939,3.6835),(2195,1095,0.015164,3.6835),(2195,1105,0.015393,3.6836),(2195,1115,0.015623,3.6836),(2195,1125,0.015852,3.6836),(2195,1135,0.016089,3.6836),(2195,1145,0.016331,3.6836),(2195,1155,0.016572,3.6836),(2195,1165,0.016813,3.6836),(2195,1175,0.017063,3.6836),(2195,1185,0.017317,3.6836),(2195,1195,0.017571,3.6836),(2195,1205,0.017826,3.6836),(2195,1215,0.018089,3.6836),(2195,1225,0.018356,3.6836),(2195,1235,0.018624,3.6836),(2195,1245,0.018891,3.6836),(2195,1255,0.019169,3.6836),(2195,1265,0.019451,3.6836),(2195,1275,0.019732,3.6836),(2195,1285,0.020014,3.6836),(2195,1295,0.020307,3.6836),(2195,1305,0.020604,3.6836),(2195,1315,0.0209,3.6836),(2195,1325,0.021197,3.6836),(2195,1335,0.021506,3.6836),(2195,1345,0.021819,3.6836),(2195,1355,0.022131,3.6836),(2195,1365,0.022443,3.6836),(2195,1375,0.02277,3.6836),(2195,1385,0.023099,3.6836),(2195,1395,0.023428,3.6836),(2195,1405,0.023757,3.6836),(2195,1415,0.024102,3.6836),(2195,1425,0.024449,3.6835),(2195,1435,0.024796,3.6835),(2195,1445,0.025143,3.6835),(2195,1455,0.025507,3.6835),(2195,1465,0.025872,3.6835),(2195,1475,0.026238,3.6835),(2195,1485,0.026603,3.6834),(2195,1495,0.026988,3.6834),(2195,1505,0.027373,3.6834),(2195,1515,0.027759,3.6833),(2195,1525,0.028144,3.6833),(2195,1535,0.02855,3.6833),(2195,1545,0.028956,3.6833),(2195,1555,0.029362,3.6832),(2195,1565,0.029769,3.6832),(2195,1575,0.030196,3.6831),(2195,1585,0.030624,3.6831),(2195,1595,0.031051,3.683),(2195,1605,0.031481,3.683),(2195,1615,0.031931,3.6829),(2195,1625,0.032381,3.6829),(2195,1635,0.032831,3.6828),(2195,1645,0.033285,3.6828),(2195,1655,0.033759,3.6827),(2195,1665,0.034233,3.6827),(2195,1675,0.034707,3.6826),(2195,1685,0.035185,3.6825),(2195,1695,0.035684,3.6824),(2195,1705,0.036182,3.6824),(2195,1715,0.036681,3.6823),(2195,1725,0.037185,3.6822),(2195,1735,0.037709,3.6821),(2195,1745,0.038234,3.682),(2195,1755,0.038758,3.6819),(2195,1765,0.039289,3.6818),(2195,1775,0.03984,3.6817),(2195,1785,0.040391,3.6816),(2195,1795,0.040942,3.6815),(2195,1805,0.041501,3.6814),(2195,1815,0.04208,3.6813),(2195,1825,0.042659,3.6811),(2195,1835,0.043238,3.681),(2195,1845,0.043826,3.6809),(2195,1855,0.044434,3.6807),(2195,1865,0.045041,3.6806),(2195,1875,0.045648,3.6804),(2195,1885,0.046267,3.6803),(2195,1895,0.046904,3.6801),(2195,1905,0.047541,3.6799),(2195,1915,0.048178,3.6797),(2195,1925,0.048827,3.6796),(2195,1935,0.049494,3.6794),(2195,1945,0.050162,3.6792),(2195,1955,0.050829,3.679),(2195,1965,0.051511,3.6788),(2195,1975,0.052209,3.6786),(2195,1985,0.052907,3.6783),(2195,1995,0.053606,3.6781),(2195,2005,0.05432,3.6779),(2195,2015,0.05505,3.6776),(2195,2025,0.05578,3.6774),(2195,2035,0.05651,3.6771),(2195,2045,0.057257,3.6768),(2195,2055,0.058019,3.6766),(2195,2065,0.058781,3.6763),(2195,2075,0.059542,3.676),(2195,2085,0.060323,3.6757),(2195,2095,0.061117,3.6754),(2195,2105,0.061912,3.6751),(2195,2115,0.062706,3.6747),(2195,2125,0.06352,3.6744),(2195,2135,0.064347,3.674),(2195,2145,0.065174,3.6737),(2195,2155,0.066001,3.6733),(2195,2165,0.06685,3.6729),(2195,2175,0.067709,3.6725),(2195,2185,0.068569,3.6721),(2195,2195,0.069428,3.6717),(2195,2205,0.07031,3.6713),(2195,2215,0.071202,3.6709),(2195,2225,0.072094,3.6704),(2195,2235,0.072986,3.6699),(2195,2245,0.073901,3.6695),(2195,2255,0.074824,3.669),(2195,2265,0.075748,3.6685),(2195,2275,0.076671,3.6679),(2195,2285,0.077619,3.6674),(2195,2295,0.078573,3.6669),(2195,2305,0.079528,3.6663),(2195,2315,0.080482,3.6658),(2195,2325,0.081461,3.6652),(2195,2335,0.082445,3.6646),(2195,2345,0.08343,3.664),(2195,2355,0.084414,3.6633),(2195,2365,0.085423,3.6627),(2195,2375,0.086435,3.6621),(2195,2385,0.087448,3.6614),(2195,2395,0.088461,3.6607),(2195,2405,0.089497,3.66),(2195,2415,0.090537,3.6593),(2195,2425,0.091576,3.6585),(2195,2435,0.092615,3.6577),(2195,2445,0.093678,3.657),(2195,2455,0.094742,3.6562),(2195,2465,0.095806,3.6553),(2195,2475,0.09687,3.6545),(2195,2485,0.097955,3.6537),(2195,2495,0.09904,3.6528),(2195,2505,0.10013,3.6519),(2195,2515,0.10121,3.651),(2195,2525,0.10232,3.6501),(2195,2535,0.10342,3.6492),(2195,2545,0.10453,3.6482),(2195,2555,0.10563,3.6472),(2195,2565,0.10675,3.6462),(2195,2575,0.10787,3.6452),(2195,2585,0.10899,3.6441),(2195,2595,0.11011,3.643),(2195,2605,0.11124,3.6419),(2195,2615,0.11238,3.6409),(2195,2625,0.11351,3.6397),(2195,2635,0.11464,3.6385),(2195,2645,0.11578,3.6374),(2195,2655,0.11692,3.6362),(2195,2665,0.11806,3.6349),(2195,2675,0.1192,3.6337),(2195,2685,0.12034,3.6324),(2195,2695,0.12148,3.6312),(2195,2705,0.12262,3.6298),(2195,2715,0.12376,3.6285),(2195,2725,0.1249,3.6271),(2195,2735,0.12604,3.6257),(2195,2745,0.12718,3.6243),(2195,2755,0.12832,3.6229),(2195,2765,0.12945,3.6214),(2195,2775,0.13058,3.62),(2195,2785,0.13171,3.6184),(2195,2795,0.13283,3.6169),(2195,2805,0.13395,3.6153),(2195,2815,0.13507,3.6138),(2195,2825,0.13618,3.6121),(2195,2835,0.13729,3.6105),(2195,2845,0.13839,3.6089),(2195,2855,0.13948,3.6072),(2195,2865,0.14058,3.6055),(2195,2875,0.14167,3.6037),(2195,2885,0.14273,3.602),(2195,2895,0.1438,3.6002),(2195,2905,0.14487,3.5984),(2195,2915,0.14593,3.5966),(2195,2925,0.14696,3.5947),(2195,2935,0.148,3.5929),(2195,2945,0.14903,3.5909),(2195,2955,0.15005,3.589),(2195,2965,0.15104,3.5871),(2195,2975,0.15203,3.5851),(2195,2985,0.15303,3.583),(2195,2995,0.154,3.581),(2195,3005,0.15494,3.579),(2195,3015,0.15589,3.5769),(2195,3025,0.15683,3.5748),(2195,3035,0.15775,3.5727),(2195,3045,0.15864,3.5705),(2195,3055,0.15953,3.5683),(2195,3065,0.16041,3.5661),(2195,3075,0.16127,3.5639),(2195,3085,0.16209,3.5617),(2195,3095,0.16292,3.5594),(2195,3105,0.16375,3.5571),(2195,3115,0.16453,3.5548),(2195,3125,0.16529,3.5525),(2195,3135,0.16604,3.5501),(2195,3145,0.1668,3.5477),(2195,3155,0.16751,3.5453),(2195,3165,0.16819,3.543),(2195,3175,0.16887,3.5405),(2195,3185,0.16955,3.538),(2195,3195,0.17017,3.5356),(2195,3205,0.17076,3.5331),(2195,3215,0.17136,3.5306),(2195,3225,0.17196,3.528),(2195,3235,0.17249,3.5255),(2195,3245,0.17299,3.5229),(2195,3255,0.1735,3.5203),(2195,3265,0.174,3.5177),(2195,3275,0.17443,3.5151),(2195,3285,0.17484,3.5125),(2195,3295,0.17525,3.5098),(2195,3305,0.17566,3.5071),(2195,3315,0.17599,3.5045),(2195,3325,0.1763,3.5018),(2195,3335,0.17661,3.4991),(2195,3345,0.17692,3.4963),(2195,3355,0.17713,3.4936),(2195,3365,0.17734,3.4909),(2195,3375,0.17754,3.4881),(2195,3385,0.17774,3.4853),(2195,3395,0.17785,3.4826),(2195,3405,0.17794,3.4798),(2195,3415,0.17803,3.477),(2195,3425,0.17812,3.4742),(2195,3435,0.17811,3.4714),(2195,3445,0.17809,3.4686),(2195,3455,0.17807,3.4658),(2195,3465,0.17805,3.4629),(2195,3475,0.17791,3.4601),(2195,3485,0.17777,3.4573),(2195,3495,0.17764,3.4544),(2195,3505,0.1775,3.4516),(2195,3515,0.17724,3.4487),(2195,3525,0.17699,3.4459),(2195,3535,0.17673,3.443),(2195,3545,0.17647,3.4402),(2195,3555,0.17609,3.4373),(2195,3565,0.17572,3.4345),(2195,3575,0.17534,3.4316),(2195,3585,0.17496,3.4288),(2195,3595,0.17446,3.4259),(2195,3605,0.17397,3.4231),(2195,3615,0.17347,3.4202),(2195,3625,0.17296,3.4174),(2195,3635,0.17235,3.4145),(2195,3645,0.17173,3.4117),(2195,3655,0.17112,3.4089),(2195,3665,0.17049,3.4061),(2195,3675,0.16975,3.4033),(2195,3685,0.16902,3.4005),(2195,3695,0.16829,3.3977),(2195,3705,0.16753,3.3949),(2195,3715,0.16668,3.3921),(2195,3725,0.16583,3.3893),(2195,3735,0.16498,3.3866),(2195,3745,0.1641,3.3839),(2195,3755,0.16314,3.3811),(2195,3765,0.16218,3.3784),(2195,3775,0.16121,3.3757),(2195,3785,0.16022,3.373),(2195,3795,0.15914,3.3703),(2195,3805,0.15807,3.3676),(2195,3815,0.15699,3.365),(2195,3825,0.15588,3.3624),(2195,3835,0.15469,3.3597),(2195,3845,0.15351,3.3571),(2195,3855,0.15233,3.3545),(2195,3865,0.1511,3.352),(2195,3875,0.14981,3.3494),(2195,3885,0.14852,3.3468),(2195,3895,0.14723,3.3443),(2195,3905,0.1689,3.3418),(2195,3915,0.22484,3.3393),(2195,3925,0.28079,3.3354),(2195,3935,0.33674,3.3296),(2195,3945,0.39558,3.3238),(2195,3955,0.4581,3.3179),(2195,3965,0.52062,3.3105),(2195,3975,0.58314,3.3012),(2195,3985,0.61905,3.2919),(2195,3995,0.62615,3.2826),(2195,4005,0.63325,3.2731),(2195,4015,0.64035,3.2635),(2195,4025,0.64833,3.2538),(2195,4035,0.6564,3.2441),(2195,4045,0.66447,3.234),(2195,4055,0.67263,3.224),(2195,4065,0.68082,3.2138),(2195,4075,0.68901,3.2033),(2195,4085,0.6969,3.1928),(2195,4095,0.70454,3.1823),(2195,4105,0.71218,3.1714),(2195,4115,0.69316,3.1606),(2195,4125,0.62994,3.1497),(2195,4135,0.56672,3.1412),(2195,4145,0.50233,3.1334),(2195,4155,0.43317,3.1256),(2195,4165,0.36402,3.1196),(2195,4175,0.29897,3.1149),(2195,4185,0.43755,3.1102),(2195,4195,0.57612,3.1027),(2195,4205,0.71469,3.0915),(2195,4215,0.71799,3.0803),(2195,4225,0.69582,3.0692),(2195,4235,0.67366,3.0585),(2195,4245,0.63086,3.0478),(2195,4255,0.57761,3.0373),(2195,4265,0.52435,3.0288),(2195,4275,0.44182,3.0203),(2195,4285,0.32823,3.0118),(2195,4295,0.21464,3.0089),(2195,4305,0.19322,3.0065),(2195,4315,0.37994,3.0042),(2195,4325,0.56665,2.9963),(2195,4335,0.7337,2.9862),(2195,4345,0.76763,2.9761),(2195,4355,0.80155,2.9652),(2195,4365,0.83548,2.9535),(2195,4375,0.8467,2.9418),(2195,4385,0.85674,2.9299),(2195,4395,0.86678,2.9176),(2195,4405,0.76022,2.9053),(2195,4415,0.61926,2.894),(2195,4425,0.4783,2.8873),(2195,4435,0.42136,2.8807),(2195,4445,0.42184,2.874),(2195,4455,0.42232,2.8675),(2195,4465,0.49237,2.8609),(2195,4475,0.66017,2.8544),(2195,4485,0.82796,2.8429),(2195,4495,0.95855,2.8305),(2195,4505,0.9698,2.818),(2195,4515,0.98105,2.8056),(2195,4525,0.99006,2.7932),(2195,4535,0.96365,2.7808),(2195,4545,0.93723,2.7688),(2195,4555,0.91081,2.7572),(2195,4565,0.68734,2.7455),(2195,4575,0.4373,2.7367),(2195,4585,0.18726,2.7347),(2195,4595,0.21942,2.7327),(2195,4605,0.37082,2.7297),(2195,4615,0.52223,2.7196),(2195,4625,0.64254,2.7094),(2195,4635,0.73468,2.6992),(2195,4645,0.82683,2.6863),(2195,4655,0.90347,2.6731),(2195,4665,0.95085,2.66),(2195,4675,0.99823,2.6472),(2195,4685,1.0019,2.6345),(2195,4695,0.78967,2.6218),(2195,4705,0.57743,2.614),(2195,4715,0.36518,2.6097),(2195,4725,0.4892,2.6055),(2195,4735,0.61659,2.5993),(2195,4745,0.74397,2.5902),(2195,4755,0.87653,2.581),(2195,4765,1.0103,2.571),(2195,4775,1.1441,2.5576),(2195,4785,1.1999,2.5443),(2195,4795,1.2107,2.531),(2195,4805,1.2215,2.5178),(2195,4815,1.1699,2.5047),(2195,4825,1.0437,2.4916),(2195,4835,0.91755,2.4821),(2195,4845,0.78854,2.4733),(2195,4855,0.65208,2.4644),(2195,4865,0.51563,2.4587),(2195,4875,0.42204,2.4543),(2195,4885,0.71839,2.4499),(2195,4895,1.0147,2.4412),(2195,4905,1.3111,2.4281),(2195,4915,1.3174,2.4151),(2195,4925,1.2987,2.4019),(2195,4935,1.2801,2.3885),(2195,4945,1.195,2.3751),(2195,4955,1.0869,2.3619),(2195,4965,0.97877,2.3498),(2195,4975,0.78164,2.3377),(2195,4985,0.5158,2.3256),(2195,4995,0.24996,2.3238),(2195,5005,0.20895,2.3224),(2195,5015,0.52538,2.321),(2195,5025,0.84181,2.3127),(2195,5035,1.1162,2.3026),(2195,5045,1.2303,2.2926),(2195,5055,1.3445,2.281),(2195,5065,1.4556,2.2684),(2195,5075,1.4657,2.2559),(2195,5085,1.4758,2.2435),(2195,5095,1.4858,2.2312),(2195,5105,1.3018,2.219),(2195,5115,1.0839,2.2083),(2195,5125,0.86607,2.2018),(2195,5135,0.75668,2.1954),(2195,5145,0.69994,2.189),(2195,5155,0.6432,2.1833),(2195,5165,0.7645,2.1777),(2195,5175,1.0674,2.1721),(2195,5185,1.3703,2.1596),(2195,5195,1.5804,2.1464),(2195,5205,1.5905,2.1332),(2195,5215,1.6007,2.1202),(2195,5225,1.6022,2.1074),(2195,5235,1.5503,2.0945),(2195,5245,1.4983,2.0827),(2195,5255,1.4464,2.0717),(2195,5265,1.0164,2.0607),(2195,5275,0.57093,2.0536),(2195,5285,0.12542,2.0531),(2195,5295,0.31959,2.0526),(2195,5305,0.6919,2.0495),(2195,5315,1.0642,2.0356),(2195,5325,1.2828,2.0218),(2195,5335,1.4006,2.0079),(2195,5345,1.5183,1.994),(2195,5355,1.5964,1.9801),(2195,5365,1.6209,1.9662),(2195,5375,1.6454,1.9529),(2195,5385,1.569,1.9397),(2195,5395,1.1859,1.9265),(2195,5405,0.80276,1.9197),(2195,5415,0.45979,1.9162),(2195,5425,0.65607,1.9127),(2195,5435,0.85235,1.9048),(2195,5445,1.0486,1.8921),(2195,5455,1.2567,1.8794),(2195,5465,1.4662,1.8646),(2195,5475,1.6757,1.8449),(2195,5485,1.7479,1.8252),(2195,5495,1.7649,1.8056),(2195,5505,1.7818,1.7865),(2195,5515,1.7988,1.7674),(2195,5525,1.8158,1.7482),(2195,5535,1.8328,1.7296),(2195,5545,1.8494,1.711),(2195,5555,1.8653,1.6924),(2195,5565,1.8812,1.6742),(2195,5575,1.8969,1.6561),(2195,5585,1.9118,1.638),(2195,5595,1.9266,1.6202),(2195,5605,1.9414,1.6026),(2195,5615,1.9552,1.585),(2195,5625,1.9689,1.5676),(2195,5635,1.9827,1.5504),(2195,5645,1.9957,1.5333),(2195,5655,2.0085,1.5163),(2195,5665,2.0213,1.4995),(2195,5675,2.0335,1.4828),(2195,5685,2.0454,1.4661),(2195,5695,2.0573,1.4498),(2195,5705,2.0688,1.4335),(2195,5715,2.0799,1.4172),(2195,5725,2.091,1.4012),(2195,5735,2.1018,1.3852),(2195,5745,2.1121,1.3693),(2195,5755,2.1224,1.3536),(2195,5765,2.1327,1.338),(2195,5775,2.1423,1.3224),(2195,5785,2.1519,1.307),(2195,5795,2.1615,1.2917),(2195,5805,2.1705,1.2765),(2195,5815,2.1794,1.2613),(2195,5825,2.1883,1.2463),(2195,5835,2.1968,1.2314),(2195,5845,2.2052,1.2165),(2195,5855,2.2135,1.2018),(2195,5865,2.2215,1.1871),(2195,5875,2.2293,1.1725),(2195,5885,2.2371,1.158),(2195,5895,2.2447,1.1436),(2195,5905,2.252,1.1292),(2195,5915,2.2593,1.115),(2195,5925,2.2665,1.1009),(2195,5935,2.2733,1.0867),(2195,5945,2.2801,1.0727),(2195,5955,2.2869,1.0588),(2195,5965,2.2935,1.0449),(2195,5975,2.3,1.031),(2195,5985,2.3066,1.0174),(2195,5995,1.7639,1.0037),(2195,6005,1.1329,0.99321),(2195,6015,0.50178,0.99141),(2195,6025,0.55169,0.9896),(2195,6035,0.91743,0.98672),(2195,6045,1.2832,0.97356),(2195,6055,1.5428,0.96041),(2195,6065,1.6984,0.94725),(2195,6075,1.854,0.93023),(2195,6085,1.9607,0.91285),(2195,6095,1.9667,0.89547),(2195,6105,1.9727,0.87797),(2195,6115,1.9786,0.86043),(2195,6125,1.9843,0.84289),(2195,6135,1.9899,0.82537),(2195,6145,1.9956,0.80787),(2195,6155,2.0009,0.79038),(2195,6165,2.0062,0.77293),(2195,6175,2.0115,0.75555),(2195,6185,2.0165,0.73817),(2195,6195,2.0214,0.72078),(2195,6205,2.0262,0.70338),(2195,6215,2.0309,0.68597),(2195,6225,2.0354,0.66857),(2195,6235,2.0399,0.65125),(2195,6245,2.0443,0.63393),(2195,6255,2.0484,0.61662),(2195,6265,2.0525,0.59931),(2195,6275,2.0566,0.58201),(2195,6285,2.0603,0.56471),(2195,6295,2.0641,0.54739),(2195,6305,2.0678,0.53007),(2195,6315,2.0712,0.51275),(2195,6325,2.0746,0.4954),(2195,6335,2.078,0.47803),(2195,6345,2.0811,0.46066),(2195,6355,2.0841,0.4433),(2195,6365,2.0871,0.42594),(2195,6375,2.0898,0.40858),(2195,6385,2.0925,0.39123),(2195,6395,2.0951,0.37395),(2195,6405,2.0976,0.35667),(2195,6415,2.0998,0.33939),(2195,6425,2.1021,0.32217),(2195,6435,2.1042,0.30496),(2195,6445,2.1061,0.28775),(2195,6455,2.108,0.27053),(2195,6465,2.1099,0.25331),(2195,6475,2.1114,0.23609),(2195,6485,2.1129,0.21885),(2195,6495,2.1145,0.20159),(2195,6505,2.1157,0.18433),(2195,6515,2.1169,0.16706),(2195,6525,2.118,0.14975),(2195,6535,2.1189,0.13245),(2195,6545,2.1198,0.11515),(2195,6555,2.1206,0.097869),(2195,6565,2.1212,0.080584),(2195,6575,2.1216,0.063307),(2195,6585,2.122,0.04613),(2195,6595,1.805,0.028953),(2195,6605,1.1376,0.011776),(2195,6615,0.47008,0.009817),(2195,6625,0.000856,0.009813),(2195,6635,0.000857,0.009809),(2195,6645,0.000859,0.009801),(2195,6655,0.000861,0.00979),(2195,6665,0.000862,0.009779),(2195,6675,0.000864,0.009768),(2195,6685,0.000865,0.009758),(2195,6695,0.000867,0.009747),(2195,6705,0.000868,0.009737),(2195,6715,0.00087,0.009727),(2195,6725,0.000871,0.009716),(2195,6735,0.000872,0.009706),(2195,6745,0.000874,0.009696),(2195,6755,0.000875,0.009685),(2195,6765,0.000876,0.009675),(2195,6775,0.000878,0.009665),(2195,6785,0.000879,0.009655),(2195,6795,0.00088,0.009644),(2195,6805,0.000881,0.009634),(2195,6815,0.000883,0.009624),(2195,6825,0.000884,0.009614),(2195,6835,0.000885,0.009604),(2195,6845,0.000886,0.009594),(2195,6855,0.000887,0.009584),(2195,6865,0.000888,0.009574),(2195,6875,0.000889,0.009564),(2195,6885,0.00089,0.009554),(2195,6895,0.000891,0.009544),(2195,6905,0.000892,0.009534),(2195,6915,0.000893,0.009524),(2195,6925,0.000894,0.009514),(2195,6935,0.000895,0.009505),(2195,6945,0.000896,0.009495),(2195,6955,0.000897,0.009485),(2195,6965,0.000898,0.009475),(2195,6975,0.000899,0.009465),(2195,6985,0.0009,0.009455),(2205,5,5e-05,3.6829),(2205,15,0.00015,3.6829),(2205,25,0.00025,3.6829),(2205,35,0.000351,3.6829),(2205,45,0.000451,3.6829),(2205,55,0.000551,3.6829),(2205,65,0.000652,3.6829),(2205,75,0.000753,3.6829),(2205,85,0.000853,3.6829),(2205,95,0.000954,3.6829),(2205,105,0.001055,3.6829),(2205,115,0.001156,3.6829),(2205,125,0.001257,3.6829),(2205,135,0.001359,3.6829),(2205,145,0.00146,3.6829),(2205,155,0.001563,3.6829),(2205,165,0.001665,3.6829),(2205,175,0.001767,3.6829),(2205,185,0.00187,3.6829),(2205,195,0.001973,3.6829),(2205,205,0.002077,3.6829),(2205,215,0.00218,3.6829),(2205,225,0.002285,3.6829),(2205,235,0.002389,3.6829),(2205,245,0.002494,3.6829),(2205,255,0.002599,3.6829),(2205,265,0.002705,3.683),(2205,275,0.002812,3.683),(2205,285,0.002918,3.683),(2205,295,0.003024,3.683),(2205,305,0.003132,3.683),(2205,315,0.00324,3.683),(2205,325,0.003349,3.683),(2205,335,0.003457,3.683),(2205,345,0.003567,3.683),(2205,355,0.003678,3.683),(2205,365,0.003788,3.683),(2205,375,0.003899,3.683),(2205,385,0.004011,3.683),(2205,395,0.004124,3.683),(2205,405,0.004237,3.683),(2205,415,0.00435,3.683),(2205,425,0.004466,3.683),(2205,435,0.004582,3.683),(2205,445,0.004698,3.683),(2205,455,0.004814,3.6831),(2205,465,0.004933,3.6831),(2205,475,0.005052,3.6831),(2205,485,0.005171,3.6831),(2205,495,0.00529,3.6831),(2205,505,0.005412,3.6831),(2205,515,0.005535,3.6831),(2205,525,0.005658,3.6831),(2205,535,0.00578,3.6831),(2205,545,0.005907,3.6831),(2205,555,0.006033,3.6831),(2205,565,0.006159,3.6831),(2205,575,0.006286,3.6832),(2205,585,0.006417,3.6832),(2205,595,0.006547,3.6832),(2205,605,0.006678,3.6832),(2205,615,0.006809,3.6832),(2205,625,0.006944,3.6832),(2205,635,0.007079,3.6832),(2205,645,0.007215,3.6832),(2205,655,0.007351,3.6832),(2205,665,0.007491,3.6832),(2205,675,0.007631,3.6833),(2205,685,0.007771,3.6833),(2205,695,0.007912,3.6833),(2205,705,0.008058,3.6833),(2205,715,0.008204,3.6833),(2205,725,0.008349,3.6833),(2205,735,0.008496,3.6833),(2205,745,0.008648,3.6833),(2205,755,0.008799,3.6833),(2205,765,0.008951,3.6834),(2205,775,0.009104,3.6834),(2205,785,0.009262,3.6834),(2205,795,0.00942,3.6834),(2205,805,0.009578,3.6834),(2205,815,0.009738,3.6834),(2205,825,0.009902,3.6834),(2205,835,0.010067,3.6834),(2205,845,0.010232,3.6835),(2205,855,0.010399,3.6835),(2205,865,0.010571,3.6835),(2205,875,0.010743,3.6835),(2205,885,0.010915,3.6835),(2205,895,0.01109,3.6835),(2205,905,0.01127,3.6835),(2205,915,0.01145,3.6835),(2205,925,0.01163,3.6836),(2205,935,0.011814,3.6836),(2205,945,0.012002,3.6836),(2205,955,0.012191,3.6836),(2205,965,0.012379,3.6836),(2205,975,0.012572,3.6836),(2205,985,0.01277,3.6836),(2205,995,0.012968,3.6836),(2205,1005,0.013165,3.6837),(2205,1015,0.013368,3.6837),(2205,1025,0.013575,3.6837),(2205,1035,0.013783,3.6837),(2205,1045,0.01399,3.6837),(2205,1055,0.014203,3.6837),(2205,1065,0.014421,3.6837),(2205,1075,0.014638,3.6837),(2205,1085,0.014856,3.6838),(2205,1095,0.01508,3.6838),(2205,1105,0.015309,3.6838),(2205,1115,0.015537,3.6838),(2205,1125,0.015766,3.6838),(2205,1135,0.016002,3.6838),(2205,1145,0.016243,3.6838),(2205,1155,0.016483,3.6838),(2205,1165,0.016724,3.6838),(2205,1175,0.016973,3.6839),(2205,1185,0.017226,3.6839),(2205,1195,0.01748,3.6839),(2205,1205,0.017733,3.6839),(2205,1215,0.017996,3.6839),(2205,1225,0.018262,3.6839),(2205,1235,0.018529,3.6839),(2205,1245,0.018796,3.6839),(2205,1255,0.019073,3.6839),(2205,1265,0.019354,3.6839),(2205,1275,0.019635,3.6839),(2205,1285,0.019916,3.6839),(2205,1295,0.020208,3.6839),(2205,1305,0.020504,3.6839),(2205,1315,0.0208,3.6839),(2205,1325,0.021096,3.6839),(2205,1335,0.021405,3.6839),(2205,1345,0.021717,3.6839),(2205,1355,0.022029,3.6839),(2205,1365,0.022341,3.6839),(2205,1375,0.022667,3.6839),(2205,1385,0.022996,3.6839),(2205,1395,0.023324,3.6839),(2205,1405,0.023653,3.6839),(2205,1415,0.023998,3.6839),(2205,1425,0.024344,3.6839),(2205,1435,0.024691,3.6839),(2205,1445,0.025037,3.6839),(2205,1455,0.025401,3.6839),(2205,1465,0.025766,3.6838),(2205,1475,0.026132,3.6838),(2205,1485,0.026497,3.6838),(2205,1495,0.026882,3.6838),(2205,1505,0.027267,3.6838),(2205,1515,0.027652,3.6837),(2205,1525,0.028038,3.6837),(2205,1535,0.028443,3.6837),(2205,1545,0.028849,3.6837),(2205,1555,0.029255,3.6836),(2205,1565,0.029663,3.6836),(2205,1575,0.03009,3.6836),(2205,1585,0.030518,3.6835),(2205,1595,0.030946,3.6835),(2205,1605,0.031376,3.6834),(2205,1615,0.031827,3.6834),(2205,1625,0.032277,3.6833),(2205,1635,0.032728,3.6833),(2205,1645,0.033182,3.6832),(2205,1655,0.033656,3.6832),(2205,1665,0.034131,3.6831),(2205,1675,0.034606,3.6831),(2205,1685,0.035085,3.683),(2205,1695,0.035584,3.6829),(2205,1705,0.036084,3.6829),(2205,1715,0.036584,3.6828),(2205,1725,0.037089,3.6827),(2205,1735,0.037615,3.6826),(2205,1745,0.03814,3.6825),(2205,1755,0.038666,3.6824),(2205,1765,0.039198,3.6824),(2205,1775,0.039751,3.6823),(2205,1785,0.040304,3.6822),(2205,1795,0.040856,3.682),(2205,1805,0.041417,3.6819),(2205,1815,0.041998,3.6818),(2205,1825,0.042579,3.6817),(2205,1835,0.043159,3.6816),(2205,1845,0.04375,3.6814),(2205,1855,0.04436,3.6813),(2205,1865,0.044969,3.6812),(2205,1875,0.045579,3.681),(2205,1885,0.0462,3.6809),(2205,1895,0.04684,3.6807),(2205,1905,0.04748,3.6806),(2205,1915,0.048119,3.6804),(2205,1925,0.048772,3.6802),(2205,1935,0.049442,3.68),(2205,1945,0.050113,3.6799),(2205,1955,0.050783,3.6797),(2205,1965,0.051468,3.6795),(2205,1975,0.05217,3.6793),(2205,1985,0.052872,3.679),(2205,1995,0.053574,3.6788),(2205,2005,0.054293,3.6786),(2205,2015,0.055027,3.6784),(2205,2025,0.055761,3.6781),(2205,2035,0.056495,3.6779),(2205,2045,0.057247,3.6776),(2205,2055,0.058014,3.6773),(2205,2065,0.058781,3.6771),(2205,2075,0.059548,3.6768),(2205,2085,0.060333,3.6765),(2205,2095,0.061133,3.6762),(2205,2105,0.061933,3.6759),(2205,2115,0.062733,3.6755),(2205,2125,0.063553,3.6752),(2205,2135,0.064386,3.6749),(2205,2145,0.065219,3.6745),(2205,2155,0.066052,3.6741),(2205,2165,0.066907,3.6738),(2205,2175,0.067774,3.6734),(2205,2185,0.06864,3.673),(2205,2195,0.069507,3.6726),(2205,2205,0.070396,3.6722),(2205,2215,0.071296,3.6717),(2205,2225,0.072195,3.6713),(2205,2235,0.073094,3.6708),(2205,2245,0.074018,3.6704),(2205,2255,0.07495,3.6699),(2205,2265,0.075882,3.6694),(2205,2275,0.076814,3.6689),(2205,2285,0.07777,3.6684),(2205,2295,0.078734,3.6679),(2205,2305,0.079697,3.6673),(2205,2315,0.080661,3.6667),(2205,2325,0.08165,3.6662),(2205,2335,0.082644,3.6656),(2205,2345,0.083638,3.665),(2205,2355,0.084633,3.6643),(2205,2365,0.085652,3.6637),(2205,2375,0.086676,3.6631),(2205,2385,0.087699,3.6624),(2205,2395,0.088723,3.6617),(2205,2405,0.089771,3.661),(2205,2415,0.090822,3.6603),(2205,2425,0.091873,3.6595),(2205,2435,0.092925,3.6588),(2205,2445,0.094,3.658),(2205,2455,0.095076,3.6573),(2205,2465,0.096153,3.6564),(2205,2475,0.097229,3.6556),(2205,2485,0.098328,3.6547),(2205,2495,0.099427,3.6539),(2205,2505,0.10053,3.653),(2205,2515,0.10163,3.6521),(2205,2525,0.10274,3.6512),(2205,2535,0.10386,3.6503),(2205,2545,0.10498,3.6493),(2205,2555,0.1061,3.6483),(2205,2565,0.10724,3.6473),(2205,2575,0.10837,3.6463),(2205,2585,0.10951,3.6452),(2205,2595,0.11064,3.6442),(2205,2605,0.11179,3.6431),(2205,2615,0.11294,3.642),(2205,2625,0.11409,3.6408),(2205,2635,0.11524,3.6397),(2205,2645,0.11639,3.6385),(2205,2655,0.11755,3.6373),(2205,2665,0.1187,3.6361),(2205,2675,0.11986,3.6348),(2205,2685,0.12102,3.6336),(2205,2695,0.12218,3.6323),(2205,2705,0.12334,3.631),(2205,2715,0.1245,3.6296),(2205,2725,0.12565,3.6283),(2205,2735,0.12681,3.6269),(2205,2745,0.12797,3.6254),(2205,2755,0.12912,3.624),(2205,2765,0.13027,3.6226),(2205,2775,0.13142,3.6211),(2205,2785,0.13257,3.6196),(2205,2795,0.13372,3.618),(2205,2805,0.13485,3.6165),(2205,2815,0.13599,3.6149),(2205,2825,0.13712,3.6133),(2205,2835,0.13825,3.6116),(2205,2845,0.13937,3.61),(2205,2855,0.14048,3.6083),(2205,2865,0.1416,3.6066),(2205,2875,0.1427,3.6048),(2205,2885,0.14379,3.6031),(2205,2895,0.14488,3.6013),(2205,2905,0.14597,3.5995),(2205,2915,0.14704,3.5976),(2205,2925,0.14809,3.5958),(2205,2935,0.14915,3.5939),(2205,2945,0.1502,3.5919),(2205,2955,0.15124,3.59),(2205,2965,0.15225,3.5881),(2205,2975,0.15326,3.5861),(2205,2985,0.15428,3.584),(2205,2995,0.15527,3.582),(2205,3005,0.15623,3.5799),(2205,3015,0.15719,3.5778),(2205,3025,0.15816,3.5757),(2205,3035,0.15909,3.5736),(2205,3045,0.16,3.5714),(2205,3055,0.16091,3.5692),(2205,3065,0.16182,3.567),(2205,3075,0.16269,3.5648),(2205,3085,0.16353,3.5625),(2205,3095,0.16438,3.5602),(2205,3105,0.16522,3.5579),(2205,3115,0.16603,3.5556),(2205,3125,0.1668,3.5533),(2205,3135,0.16757,3.5509),(2205,3145,0.16835,3.5485),(2205,3155,0.16907,3.5461),(2205,3165,0.16977,3.5436),(2205,3175,0.17046,3.5412),(2205,3185,0.17116,3.5387),(2205,3195,0.1718,3.5362),(2205,3205,0.17241,3.5337),(2205,3215,0.17302,3.5311),(2205,3225,0.17363,3.5286),(2205,3235,0.17418,3.526),(2205,3245,0.1747,3.5234),(2205,3255,0.17522,3.5208),(2205,3265,0.17574,3.5182),(2205,3275,0.17618,3.5155),(2205,3285,0.1766,3.5129),(2205,3295,0.17703,3.5102),(2205,3305,0.17745,3.5075),(2205,3315,0.17779,3.5048),(2205,3325,0.17811,3.5021),(2205,3335,0.17843,3.4994),(2205,3345,0.17875,3.4966),(2205,3355,0.17898,3.4938),(2205,3365,0.17919,3.4911),(2205,3375,0.1794,3.4883),(2205,3385,0.17962,3.4855),(2205,3395,0.17973,3.4827),(2205,3405,0.17983,3.4799),(2205,3415,0.17993,3.4771),(2205,3425,0.18003,3.4742),(2205,3435,0.18002,3.4714),(2205,3445,0.18001,3.4686),(2205,3455,0.17999,3.4657),(2205,3465,0.17998,3.4628),(2205,3475,0.17985,3.46),(2205,3485,0.17972,3.4571),(2205,3495,0.17959,3.4542),(2205,3505,0.17945,3.4514),(2205,3515,0.1792,3.4485),(2205,3525,0.17895,3.4456),(2205,3535,0.17869,3.4427),(2205,3545,0.17843,3.4398),(2205,3555,0.17806,3.437),(2205,3565,0.17769,3.4341),(2205,3575,0.17731,3.4312),(2205,3585,0.17693,3.4283),(2205,3595,0.17643,3.4254),(2205,3605,0.17594,3.4226),(2205,3615,0.17544,3.4197),(2205,3625,0.17493,3.4168),(2205,3635,0.17431,3.414),(2205,3645,0.1737,3.4111),(2205,3655,0.17308,3.4083),(2205,3665,0.17244,3.4054),(2205,3675,0.17171,3.4026),(2205,3685,0.17097,3.3997),(2205,3695,0.17023,3.3969),(2205,3705,0.16947,3.3941),(2205,3715,0.16862,3.3913),(2205,3725,0.16776,3.3885),(2205,3735,0.16691,3.3857),(2205,3745,0.16602,3.3829),(2205,3755,0.16505,3.3802),(2205,3765,0.16408,3.3774),(2205,3775,0.16311,3.3747),(2205,3785,0.16211,3.372),(2205,3795,0.16102,3.3693),(2205,3805,0.15994,3.3666),(2205,3815,0.15885,3.3639),(2205,3825,0.15774,3.3612),(2205,3835,0.15654,3.3586),(2205,3845,0.15535,3.3559),(2205,3855,0.15415,3.3533),(2205,3865,0.15292,3.3507),(2205,3875,0.15162,3.3481),(2205,3885,0.15032,3.3455),(2205,3895,0.14902,3.343),(2205,3905,0.1709,3.3405),(2205,3915,0.22742,3.3379),(2205,3925,0.28394,3.334),(2205,3935,0.34045,3.3281),(2205,3945,0.39987,3.3223),(2205,3955,0.46296,3.3164),(2205,3965,0.52606,3.3089),(2205,3975,0.58916,3.2995),(2205,3985,0.62539,3.2901),(2205,3995,0.63254,3.2807),(2205,4005,0.6397,3.2711),(2205,4015,0.64685,3.2614),(2205,4025,0.65492,3.2517),(2205,4035,0.66307,3.2419),(2205,4045,0.67123,3.2317),(2205,4055,0.67948,3.2216),(2205,4065,0.68777,3.2114),(2205,4075,0.69606,3.2008),(2205,4085,0.70402,3.1902),(2205,4095,0.71172,3.1796),(2205,4105,0.71942,3.1687),(2205,4115,0.7002,3.1578),(2205,4125,0.63633,3.1469),(2205,4135,0.57246,3.1384),(2205,4145,0.50742,3.1306),(2205,4155,0.43763,3.1227),(2205,4165,0.36784,3.1168),(2205,4175,0.3022,3.1121),(2205,4185,0.44214,3.1074),(2205,4195,0.58208,3.0998),(2205,4205,0.72202,3.0885),(2205,4215,0.72548,3.0772),(2205,4225,0.70325,3.0661),(2205,4235,0.68102,3.0553),(2205,4245,0.63792,3.0444),(2205,4255,0.58424,3.0338),(2205,4265,0.53055,3.0252),(2205,4275,0.44714,3.0166),(2205,4285,0.33217,3.0079),(2205,4295,0.21719,3.0049),(2205,4305,0.19528,3.0026),(2205,4315,0.3835,3.0003),(2205,4325,0.57171,2.9924),(2205,4335,0.74011,2.9823),(2205,4345,0.77436,2.9723),(2205,4355,0.80862,2.9613),(2205,4365,0.84288,2.9496),(2205,4375,0.85424,2.9379),(2205,4385,0.86441,2.9259),(2205,4395,0.87458,2.9136),(2205,4405,0.76722,2.9013),(2205,4415,0.62519,2.89),(2205,4425,0.48317,2.8834),(2205,4435,0.42578,2.8767),(2205,4445,0.42622,2.8701),(2205,4455,0.42666,2.8636),(2205,4465,0.49711,2.8571),(2205,4475,0.66593,2.8506),(2205,4485,0.83475,2.8391),(2205,4495,0.96612,2.8266),(2205,4505,0.97733,2.8141),(2205,4515,0.98853,2.8015),(2205,4525,0.99749,2.789),(2205,4535,0.971,2.7764),(2205,4545,0.94451,2.7641),(2205,4555,0.91803,2.7522),(2205,4565,0.69295,2.7403),(2205,4575,0.44111,2.7312),(2205,4585,0.18926,2.7291),(2205,4595,0.22214,2.727),(2205,4605,0.37533,2.7239),(2205,4615,0.52851,2.7135),(2205,4625,0.64989,2.7031),(2205,4635,0.74247,2.6927),(2205,4645,0.83505,2.6797),(2205,4655,0.91184,2.6665),(2205,4665,0.95886,2.6532),(2205,4675,1.0059,2.6404),(2205,4685,1.009,2.6277),(2205,4695,0.79516,2.615),(2205,4705,0.58134,2.6073),(2205,4715,0.36753,2.6031),(2205,4725,0.49242,2.5989),(2205,4735,0.6207,2.5927),(2205,4745,0.74899,2.5836),(2205,4755,0.88224,2.5745),(2205,4765,1.0167,2.5645),(2205,4775,1.1511,2.5512),(2205,4785,1.2071,2.5378),(2205,4795,1.2177,2.5245),(2205,4805,1.2284,2.5114),(2205,4815,1.1764,2.4983),(2205,4825,1.0495,2.4852),(2205,4835,0.92268,2.4757),(2205,4845,0.79295,2.4669),(2205,4855,0.65579,2.458),(2205,4865,0.51863,2.4523),(2205,4875,0.42452,2.4479),(2205,4885,0.72208,2.4435),(2205,4895,1.0197,2.4347),(2205,4905,1.3172,2.4217),(2205,4915,1.3238,2.4086),(2205,4925,1.3054,2.3954),(2205,4935,1.2869,2.382),(2205,4945,1.202,2.3686),(2205,4955,1.094,2.3553),(2205,4965,0.98599,2.3431),(2205,4975,0.7878,2.3309),(2205,4985,0.51998,2.3187),(2205,4995,0.25215,2.317),(2205,5005,0.21036,2.3155),(2205,5015,0.52792,2.3141),(2205,5025,0.84547,2.3058),(2205,5035,1.1208,2.2957),(2205,5045,1.2352,2.2857),(2205,5055,1.3495,2.274),(2205,5065,1.4608,2.2615),(2205,5075,1.4708,2.2489),(2205,5085,1.4807,2.2365),(2205,5095,1.4907,2.2242),(2205,5105,1.306,2.212),(2205,5115,1.0874,2.2012),(2205,5125,0.86879,2.1948),(2205,5135,0.75917,2.1883),(2205,5145,0.70245,2.182),(2205,5155,0.64572,2.1763),(2205,5165,0.76745,2.1707),(2205,5175,1.0712,2.165),(2205,5185,1.3749,2.1526),(2205,5195,1.5856,2.1394),(2205,5205,1.5956,2.1262),(2205,5215,1.6056,2.1133),(2205,5225,1.6069,2.1005),(2205,5235,1.5547,2.0876),(2205,5245,1.5024,2.0758),(2205,5255,1.4502,2.0648),(2205,5265,1.0192,2.0539),(2205,5275,0.5726,2.0468),(2205,5285,0.12602,2.0463),(2205,5295,0.32173,2.0457),(2205,5305,0.69631,2.0426),(2205,5315,1.0709,2.0287),(2205,5325,1.2901,2.0149),(2205,5335,1.4073,2.001),(2205,5345,1.5245,1.9871),(2205,5355,1.6021,1.9731),(2205,5365,1.6263,1.9592),(2205,5375,1.6505,1.9459),(2205,5385,1.5736,1.9328),(2205,5395,1.1893,1.9196),(2205,5405,0.80509,1.9128),(2205,5415,0.4612,1.9092),(2205,5425,0.65933,1.9057),(2205,5435,0.85745,1.8978),(2205,5445,1.0556,1.8852),(2205,5455,1.2648,1.8725),(2205,5465,1.4754,1.8578),(2205,5475,1.686,1.8382),(2205,5485,1.7584,1.8186),(2205,5495,1.7751,1.7991),(2205,5505,1.7918,1.78),(2205,5515,1.8086,1.7609),(2205,5525,1.8253,1.7419),(2205,5535,1.8421,1.7233),(2205,5545,1.8584,1.7048),(2205,5555,1.8741,1.6863),(2205,5565,1.8898,1.6681),(2205,5575,1.9053,1.6501),(2205,5585,1.92,1.6321),(2205,5595,1.9346,1.6144),(2205,5605,1.9492,1.5969),(2205,5615,1.9628,1.5793),(2205,5625,1.9763,1.562),(2205,5635,1.9899,1.5449),(2205,5645,2.0027,1.5279),(2205,5655,2.0153,1.5109),(2205,5665,2.0279,1.4943),(2205,5675,2.04,1.4776),(2205,5685,2.0517,1.461),(2205,5695,2.0634,1.4447),(2205,5705,2.0748,1.4285),(2205,5715,2.0857,1.4123),(2205,5725,2.0966,1.3963),(2205,5735,2.1073,1.3805),(2205,5745,2.1174,1.3646),(2205,5755,2.1276,1.349),(2205,5765,2.1377,1.3335),(2205,5775,2.1471,1.3179),(2205,5785,2.1566,1.3026),(2205,5795,2.166,1.2874),(2205,5805,2.1749,1.2722),(2205,5815,2.1837,1.2571),(2205,5825,2.1925,1.2422),(2205,5835,2.2009,1.2273),(2205,5845,2.2091,1.2125),(2205,5855,2.2173,1.1979),(2205,5865,2.2252,1.1833),(2205,5875,2.2329,1.1687),(2205,5885,2.2406,1.1544),(2205,5895,2.2481,1.14),(2205,5905,2.2553,1.1257),(2205,5915,2.2624,1.1115),(2205,5925,2.2695,1.0975),(2205,5935,2.2762,1.0834),(2205,5945,2.2829,1.0694),(2205,5955,2.2897,1.0556),(2205,5965,2.2961,1.0418),(2205,5975,2.3026,1.028),(2205,5985,2.309,1.0144),(2205,5995,1.7658,1.0008),(2205,6005,1.1341,0.99039),(2205,6015,0.50233,0.98859),(2205,6025,0.5533,0.98678),(2205,6035,0.92091,0.98391),(2205,6045,1.2885,0.97078),(2205,6055,1.5494,0.95765),(2205,6065,1.7056,0.94452),(2205,6075,1.8618,0.92753),(2205,6085,1.9689,0.9102),(2205,6095,1.9749,0.89286),(2205,6105,1.9808,0.8754),(2205,6115,1.9867,0.8579),(2205,6125,1.9924,0.84039),(2205,6135,1.998,0.82291),(2205,6145,2.0036,0.80546),(2205,6155,2.0089,0.788),(2205,6165,2.0142,0.77059),(2205,6175,2.0194,0.75324),(2205,6185,2.0244,0.7359),(2205,6195,2.0293,0.71855),(2205,6205,2.0341,0.70119),(2205,6215,2.0388,0.68382),(2205,6225,2.0432,0.66646),(2205,6235,2.0477,0.6492),(2205,6245,2.052,0.63193),(2205,6255,2.0562,0.61466),(2205,6265,2.0603,0.59741),(2205,6275,2.0643,0.58016),(2205,6285,2.068,0.56291),(2205,6295,2.0718,0.54564),(2205,6305,2.0755,0.52837),(2205,6315,2.0789,0.5111),(2205,6325,2.0822,0.49381),(2205,6335,2.0856,0.47649),(2205,6345,2.0887,0.45917),(2205,6355,2.0917,0.44186),(2205,6365,2.0947,0.42455),(2205,6375,2.0974,0.40725),(2205,6385,2.1,0.38995),(2205,6395,2.1027,0.37272),(2205,6405,2.1051,0.35549),(2205,6415,2.1074,0.33827),(2205,6425,2.1096,0.32111),(2205,6435,2.1117,0.30395),(2205,6445,2.1136,0.28679),(2205,6455,2.1155,0.26963),(2205,6465,2.1173,0.25247),(2205,6475,2.1188,0.23531),(2205,6485,2.1204,0.21813),(2205,6495,2.1219,0.20094),(2205,6505,2.1231,0.18375),(2205,6515,2.1242,0.16654),(2205,6525,2.1254,0.1493),(2205,6535,2.1263,0.13206),(2205,6545,2.1271,0.11482),(2205,6555,2.128,0.097592),(2205,6565,2.1285,0.080366),(2205,6575,2.129,0.063146),(2205,6585,2.1294,0.046023),(2205,6595,1.8113,0.0289),(2205,6605,1.1415,0.011777),(2205,6615,0.47171,0.009822),(2205,6625,0.000862,0.009817),(2205,6635,0.000864,0.009811),(2205,6645,0.000866,0.009802),(2205,6655,0.000867,0.009791),(2205,6665,0.000869,0.00978),(2205,6675,0.00087,0.00977),(2205,6685,0.000872,0.009759),(2205,6695,0.000873,0.009749),(2205,6705,0.000875,0.009738),(2205,6715,0.000876,0.009728),(2205,6725,0.000877,0.009718),(2205,6735,0.000879,0.009707),(2205,6745,0.00088,0.009697),(2205,6755,0.000881,0.009687),(2205,6765,0.000883,0.009676),(2205,6775,0.000884,0.009666),(2205,6785,0.000885,0.009656),(2205,6795,0.000886,0.009646),(2205,6805,0.000887,0.009635),(2205,6815,0.000889,0.009625),(2205,6825,0.00089,0.009615),(2205,6835,0.000891,0.009605),(2205,6845,0.000892,0.009595),(2205,6855,0.000893,0.009585),(2205,6865,0.000894,0.009575),(2205,6875,0.000895,0.009565),(2205,6885,0.000896,0.009555),(2205,6895,0.000897,0.009545),(2205,6905,0.000898,0.009535),(2205,6915,0.000899,0.009525),(2205,6925,0.0009,0.009515),(2205,6935,0.000901,0.009505),(2205,6945,0.000902,0.009496),(2205,6955,0.000903,0.009486),(2205,6965,0.000904,0.009476),(2205,6975,0.000905,0.009466),(2205,6985,0.000906,0.009456),(2215,5,5e-05,3.683),(2215,15,0.000149,3.683),(2215,25,0.000249,3.683),(2215,35,0.000348,3.683),(2215,45,0.000448,3.683),(2215,55,0.000548,3.683),(2215,65,0.000648,3.683),(2215,75,0.000748,3.683),(2215,85,0.000848,3.683),(2215,95,0.000948,3.683),(2215,105,0.001048,3.683),(2215,115,0.001149,3.683),(2215,125,0.001249,3.683),(2215,135,0.00135,3.683),(2215,145,0.001451,3.683),(2215,155,0.001553,3.683),(2215,165,0.001654,3.683),(2215,175,0.001755,3.683),(2215,185,0.001858,3.683),(2215,195,0.001961,3.683),(2215,205,0.002063,3.683),(2215,215,0.002166,3.683),(2215,225,0.00227,3.683),(2215,235,0.002374,3.683),(2215,245,0.002478,3.683),(2215,255,0.002582,3.6831),(2215,265,0.002687,3.6831),(2215,275,0.002793,3.6831),(2215,285,0.002899,3.6831),(2215,295,0.003005,3.6831),(2215,305,0.003112,3.6831),(2215,315,0.003219,3.6831),(2215,325,0.003327,3.6831),(2215,335,0.003435,3.6831),(2215,345,0.003544,3.6831),(2215,355,0.003654,3.6831),(2215,365,0.003763,3.6831),(2215,375,0.003873,3.6831),(2215,385,0.003985,3.6831),(2215,395,0.004097,3.6831),(2215,405,0.00421,3.6831),(2215,415,0.004322,3.6831),(2215,425,0.004437,3.6832),(2215,435,0.004552,3.6832),(2215,445,0.004667,3.6832),(2215,455,0.004783,3.6832),(2215,465,0.004901,3.6832),(2215,475,0.005019,3.6832),(2215,485,0.005137,3.6832),(2215,495,0.005256,3.6832),(2215,505,0.005378,3.6832),(2215,515,0.005499,3.6832),(2215,525,0.005621,3.6832),(2215,535,0.005743,3.6832),(2215,545,0.005868,3.6833),(2215,555,0.005994,3.6833),(2215,565,0.00612,3.6833),(2215,575,0.006246,3.6833),(2215,585,0.006375,3.6833),(2215,595,0.006505,3.6833),(2215,605,0.006635,3.6833),(2215,615,0.006765,3.6833),(2215,625,0.0069,3.6833),(2215,635,0.007034,3.6833),(2215,645,0.007168,3.6834),(2215,655,0.007304,3.6834),(2215,665,0.007443,3.6834),(2215,675,0.007582,3.6834),(2215,685,0.007722,3.6834),(2215,695,0.007862,3.6834),(2215,705,0.008007,3.6834),(2215,715,0.008152,3.6834),(2215,725,0.008296,3.6835),(2215,735,0.008442,3.6835),(2215,745,0.008593,3.6835),(2215,755,0.008743,3.6835),(2215,765,0.008894,3.6835),(2215,775,0.009047,3.6835),(2215,785,0.009203,3.6835),(2215,795,0.009361,3.6835),(2215,805,0.009518,3.6836),(2215,815,0.009677,3.6836),(2215,825,0.009841,3.6836),(2215,835,0.010004,3.6836),(2215,845,0.010168,3.6836),(2215,855,0.010335,3.6836),(2215,865,0.010506,3.6837),(2215,875,0.010677,3.6837),(2215,885,0.010848,3.6837),(2215,895,0.011022,3.6837),(2215,905,0.011201,3.6837),(2215,915,0.01138,3.6837),(2215,925,0.011559,3.6837),(2215,935,0.011742,3.6838),(2215,945,0.011929,3.6838),(2215,955,0.012117,3.6838),(2215,965,0.012305,3.6838),(2215,975,0.012497,3.6838),(2215,985,0.012693,3.6838),(2215,995,0.01289,3.6838),(2215,1005,0.013087,3.6839),(2215,1015,0.013289,3.6839),(2215,1025,0.013495,3.6839),(2215,1035,0.013702,3.6839),(2215,1045,0.013908,3.6839),(2215,1055,0.014121,3.6839),(2215,1065,0.014337,3.684),(2215,1075,0.014554,3.684),(2215,1085,0.014771,3.684),(2215,1095,0.014994,3.684),(2215,1105,0.015222,3.684),(2215,1115,0.01545,3.684),(2215,1125,0.015677,3.684),(2215,1135,0.015913,3.6841),(2215,1145,0.016152,3.6841),(2215,1155,0.016392,3.6841),(2215,1165,0.016632,3.6841),(2215,1175,0.01688,3.6841),(2215,1185,0.017133,3.6841),(2215,1195,0.017385,3.6841),(2215,1205,0.017637,3.6841),(2215,1215,0.017899,3.6842),(2215,1225,0.018165,3.6842),(2215,1235,0.018431,3.6842),(2215,1245,0.018697,3.6842),(2215,1255,0.018974,3.6842),(2215,1265,0.019254,3.6842),(2215,1275,0.019534,3.6842),(2215,1285,0.019814,3.6842),(2215,1295,0.020106,3.6842),(2215,1305,0.020402,3.6842),(2215,1315,0.020697,3.6842),(2215,1325,0.020992,3.6842),(2215,1335,0.021301,3.6842),(2215,1345,0.021612,3.6842),(2215,1355,0.021923,3.6843),(2215,1365,0.022234,3.6843),(2215,1375,0.02256,3.6843),(2215,1385,0.022888,3.6843),(2215,1395,0.023217,3.6842),(2215,1405,0.023545,3.6842),(2215,1415,0.023889,3.6842),(2215,1425,0.024235,3.6842),(2215,1435,0.024581,3.6842),(2215,1445,0.024927,3.6842),(2215,1455,0.025291,3.6842),(2215,1465,0.025656,3.6842),(2215,1475,0.026021,3.6842),(2215,1485,0.026386,3.6842),(2215,1495,0.026771,3.6842),(2215,1505,0.027156,3.6841),(2215,1515,0.027541,3.6841),(2215,1525,0.027926,3.6841),(2215,1535,0.028332,3.6841),(2215,1545,0.028738,3.6841),(2215,1555,0.029144,3.684),(2215,1565,0.029552,3.684),(2215,1575,0.02998,3.684),(2215,1585,0.030407,3.6839),(2215,1595,0.030835,3.6839),(2215,1605,0.031266,3.6839),(2215,1615,0.031717,3.6838),(2215,1625,0.032168,3.6838),(2215,1635,0.032619,3.6837),(2215,1645,0.033073,3.6837),(2215,1655,0.033549,3.6837),(2215,1665,0.034024,3.6836),(2215,1675,0.034499,3.6835),(2215,1685,0.034979,3.6835),(2215,1695,0.03548,3.6834),(2215,1705,0.03598,3.6834),(2215,1715,0.036481,3.6833),(2215,1725,0.036987,3.6832),(2215,1735,0.037514,3.6831),(2215,1745,0.038041,3.6831),(2215,1755,0.038567,3.683),(2215,1765,0.039101,3.6829),(2215,1775,0.039656,3.6828),(2215,1785,0.04021,3.6827),(2215,1795,0.040764,3.6826),(2215,1805,0.041327,3.6825),(2215,1815,0.041909,3.6824),(2215,1825,0.042492,3.6823),(2215,1835,0.043074,3.6822),(2215,1845,0.043667,3.682),(2215,1855,0.044279,3.6819),(2215,1865,0.044891,3.6818),(2215,1875,0.045503,3.6816),(2215,1885,0.046127,3.6815),(2215,1895,0.046769,3.6814),(2215,1905,0.047411,3.6812),(2215,1915,0.048054,3.681),(2215,1925,0.048709,3.6809),(2215,1935,0.049383,3.6807),(2215,1945,0.050056,3.6805),(2215,1955,0.05073,3.6803),(2215,1965,0.051419,3.6801),(2215,1975,0.052124,3.68),(2215,1985,0.05283,3.6798),(2215,1995,0.053536,3.6795),(2215,2005,0.054258,3.6793),(2215,2015,0.054996,3.6791),(2215,2025,0.055735,3.6789),(2215,2035,0.056473,3.6786),(2215,2045,0.05723,3.6784),(2215,2055,0.058001,3.6781),(2215,2065,0.058773,3.6778),(2215,2075,0.059545,3.6775),(2215,2085,0.060336,3.6773),(2215,2095,0.061141,3.677),(2215,2105,0.061947,3.6767),(2215,2115,0.062752,3.6763),(2215,2125,0.063578,3.676),(2215,2135,0.064417,3.6757),(2215,2145,0.065256,3.6753),(2215,2155,0.066096,3.675),(2215,2165,0.066957,3.6746),(2215,2175,0.067831,3.6743),(2215,2185,0.068704,3.6739),(2215,2195,0.069577,3.6735),(2215,2205,0.070474,3.673),(2215,2215,0.071381,3.6726),(2215,2225,0.072288,3.6722),(2215,2235,0.073195,3.6717),(2215,2245,0.074127,3.6713),(2215,2255,0.075067,3.6708),(2215,2265,0.076008,3.6703),(2215,2275,0.076948,3.6698),(2215,2285,0.077914,3.6693),(2215,2295,0.078887,3.6688),(2215,2305,0.079859,3.6683),(2215,2315,0.080832,3.6677),(2215,2325,0.081831,3.6671),(2215,2335,0.082835,3.6666),(2215,2345,0.08384,3.666),(2215,2355,0.084844,3.6653),(2215,2365,0.085874,3.6647),(2215,2375,0.086909,3.6641),(2215,2385,0.087944,3.6634),(2215,2395,0.088978,3.6627),(2215,2405,0.090038,3.662),(2215,2415,0.091101,3.6613),(2215,2425,0.092164,3.6606),(2215,2435,0.093227,3.6598),(2215,2445,0.094315,3.6591),(2215,2455,0.095404,3.6583),(2215,2465,0.096494,3.6575),(2215,2475,0.097583,3.6567),(2215,2485,0.098696,3.6558),(2215,2495,0.099808,3.655),(2215,2505,0.10092,3.6541),(2215,2515,0.10203,3.6532),(2215,2525,0.10317,3.6523),(2215,2535,0.1043,3.6514),(2215,2545,0.10544,3.650391),(2215,2555,0.10657,3.6494),(2215,2565,0.10772,3.6484),(2215,2575,0.10887,3.6474),(2215,2585,0.11002,3.6464),(2215,2595,0.11117,3.6453),(2215,2605,0.11234,3.6442),(2215,2615,0.1135,3.6431),(2215,2625,0.11467,3.642),(2215,2635,0.11583,3.6408),(2215,2645,0.117,3.6396),(2215,2655,0.11818,3.6385),(2215,2665,0.11935,3.6372),(2215,2675,0.12052,3.636),(2215,2685,0.1217,3.6347),(2215,2695,0.12288,3.6334),(2215,2705,0.12405,3.6321),(2215,2715,0.12523,3.6308),(2215,2725,0.12641,3.6294),(2215,2735,0.12758,3.628),(2215,2745,0.12876,3.6266),(2215,2755,0.12993,3.6251),(2215,2765,0.1311,3.6237),(2215,2775,0.13227,3.6222),(2215,2785,0.13343,3.6207),(2215,2795,0.1346,3.6191),(2215,2805,0.13575,3.6176),(2215,2815,0.13691,3.616),(2215,2825,0.13806,3.6144),(2215,2835,0.13921,3.6127),(2215,2845,0.14035,3.6111),(2215,2855,0.14148,3.6094),(2215,2865,0.14262,3.6077),(2215,2875,0.14374,3.6059),(2215,2885,0.14485,3.6042),(2215,2895,0.14596,3.6024),(2215,2905,0.14707,3.6005),(2215,2915,0.14816,3.5987),(2215,2925,0.14923,3.5968),(2215,2935,0.15031,3.5949),(2215,2945,0.15138,3.593),(2215,2955,0.15244,3.591),(2215,2965,0.15347,3.5891),(2215,2975,0.1545,3.5871),(2215,2985,0.15554,3.585),(2215,2995,0.15655,3.583),(2215,3005,0.15753,3.5809),(2215,3015,0.15851,3.5788),(2215,3025,0.1595,3.5766),(2215,3035,0.16045,3.5745),(2215,3045,0.16138,3.5723),(2215,3055,0.16231,3.5701),(2215,3065,0.16323,3.5679),(2215,3075,0.16413,3.5656),(2215,3085,0.16499,3.5634),(2215,3095,0.16585,3.5611),(2215,3105,0.16672,3.5587),(2215,3115,0.16754,3.5564),(2215,3125,0.16833,3.554),(2215,3135,0.16912,3.5516),(2215,3145,0.16991,3.5492),(2215,3155,0.17065,3.5468),(2215,3165,0.17137,3.5443),(2215,3175,0.17208,3.5418),(2215,3185,0.17279,3.5393),(2215,3195,0.17345,3.5368),(2215,3205,0.17407,3.5343),(2215,3215,0.1747,3.5317),(2215,3225,0.17533,3.5291),(2215,3235,0.17589,3.5265),(2215,3245,0.17642,3.5239),(2215,3255,0.17696,3.5213),(2215,3265,0.17749,3.5186),(2215,3275,0.17795,3.516),(2215,3285,0.17839,3.5133),(2215,3295,0.17882,3.5106),(2215,3305,0.17926,3.5079),(2215,3315,0.17961,3.5051),(2215,3325,0.17994,3.5024),(2215,3335,0.18028,3.4996),(2215,3345,0.18061,3.4969),(2215,3355,0.18085,3.4941),(2215,3365,0.18107,3.4913),(2215,3375,0.18129,3.4885),(2215,3385,0.18151,3.4857),(2215,3395,0.18164,3.4828),(2215,3405,0.18175,3.48),(2215,3415,0.18185,3.4771),(2215,3425,0.18196,3.4743),(2215,3435,0.18196,3.4714),(2215,3445,0.18196,3.4685),(2215,3455,0.18195,3.4657),(2215,3465,0.18194,3.4628),(2215,3475,0.18182,3.4599),(2215,3485,0.18169,3.457),(2215,3495,0.18156,3.4541),(2215,3505,0.18143,3.4512),(2215,3515,0.18118,3.4483),(2215,3525,0.18093,3.4454),(2215,3535,0.18068,3.4424),(2215,3545,0.18043,3.4395),(2215,3555,0.18005,3.4366),(2215,3565,0.17968,3.4337),(2215,3575,0.17931,3.4308),(2215,3585,0.17892,3.4279),(2215,3595,0.17843,3.425),(2215,3605,0.17793,3.4221),(2215,3615,0.17744,3.4192),(2215,3625,0.17692,3.4163),(2215,3635,0.1763,3.4134),(2215,3645,0.17569,3.4105),(2215,3655,0.17507,3.4076),(2215,3665,0.17443,3.4047),(2215,3675,0.17369,3.4019),(2215,3685,0.17294,3.399),(2215,3695,0.1722,3.3961),(2215,3705,0.17144,3.3933),(2215,3715,0.17058,3.3905),(2215,3725,0.16972,3.3876),(2215,3735,0.16886,3.3848),(2215,3745,0.16797,3.382),(2215,3755,0.16699,3.3792),(2215,3765,0.16601,3.3764),(2215,3775,0.16503,3.3737),(2215,3785,0.16402,3.3709),(2215,3795,0.16293,3.3682),(2215,3805,0.16184,3.3655),(2215,3815,0.16074,3.3628),(2215,3825,0.15962,3.3601),(2215,3835,0.15841,3.3574),(2215,3845,0.15721,3.3547),(2215,3855,0.156,3.3521),(2215,3865,0.15476,3.3495),(2215,3875,0.15345,3.3468),(2215,3885,0.15214,3.3442),(2215,3895,0.15083,3.3417),(2215,3905,0.17294,3.3391),(2215,3915,0.23003,3.3366),(2215,3925,0.28712,3.3326),(2215,3935,0.34421,3.3267),(2215,3945,0.4042,3.3207),(2215,3955,0.46788,3.3148),(2215,3965,0.53156,3.3072),(2215,3975,0.59524,3.2978),(2215,3985,0.6318,3.2883),(2215,3995,0.63901,3.2788),(2215,4005,0.64622,3.2692),(2215,4015,0.65343,3.2594),(2215,4025,0.66158,3.2496),(2215,4035,0.66982,3.2396),(2215,4045,0.67806,3.2294),(2215,4055,0.6864,3.2192),(2215,4065,0.69478,3.2089),(2215,4075,0.70316,3.1982),(2215,4085,0.71119,3.1876),(2215,4095,0.71894,3.1769),(2215,4105,0.72669,3.166),(2215,4115,0.70725,3.1551),(2215,4125,0.64273,3.1441),(2215,4135,0.5782,3.1356),(2215,4145,0.51251,3.1277),(2215,4155,0.44208,3.1199),(2215,4165,0.37165,3.1139),(2215,4175,0.30541,3.1092),(2215,4185,0.44674,3.1045),(2215,4195,0.58808,3.097),(2215,4205,0.72941,3.0856),(2215,4215,0.73305,3.0742),(2215,4225,0.71077,3.0629),(2215,4235,0.68849,3.052),(2215,4245,0.6451,3.0411),(2215,4255,0.59099,3.0303),(2215,4265,0.53687,3.0215),(2215,4275,0.45255,3.0128),(2215,4285,0.33617,3.004),(2215,4295,0.21979,3.001),(2215,4305,0.19735,2.9987),(2215,4315,0.38704,2.9963),(2215,4325,0.57673,2.9885),(2215,4335,0.74646,2.9784),(2215,4345,0.78107,2.9684),(2215,4355,0.81568,2.9574),(2215,4365,0.85028,2.9457),(2215,4375,0.86178,2.934),(2215,4385,0.87207,2.922),(2215,4395,0.88237,2.9097),(2215,4405,0.77421,2.8973),(2215,4415,0.63112,2.8861),(2215,4425,0.48803,2.8794),(2215,4435,0.43017,2.8727),(2215,4445,0.43055,2.8661),(2215,4455,0.43093,2.8596),(2215,4465,0.50179,2.8532),(2215,4475,0.67168,2.8467),(2215,4485,0.84156,2.8352),(2215,4495,0.97374,2.8227),(2215,4505,0.98494,2.8101),(2215,4515,0.99614,2.7975),(2215,4525,1.0051,2.7847),(2215,4535,0.97858,2.772),(2215,4545,0.95207,2.7595),(2215,4555,0.92555,2.7472),(2215,4565,0.69882,2.735),(2215,4575,0.4451,2.7257),(2215,4585,0.19138,2.7235),(2215,4595,0.22499,2.7213),(2215,4605,0.37999,2.7181),(2215,4615,0.535,2.7075),(2215,4625,0.65745,2.6968),(2215,4635,0.75042,2.6862),(2215,4645,0.84339,2.6731),(2215,4655,0.92029,2.6598),(2215,4665,0.9669,2.6464),(2215,4675,1.0135,2.6336),(2215,4685,1.016,2.6209),(2215,4695,0.80061,2.6083),(2215,4705,0.58521,2.6005),(2215,4715,0.3698,2.5964),(2215,4725,0.49558,2.5922),(2215,4735,0.62477,2.5861),(2215,4745,0.75396,2.5771),(2215,4755,0.88791,2.568),(2215,4765,1.023,2.558),(2215,4775,1.158,2.5447),(2215,4785,1.2142,2.5314),(2215,4795,1.2247,2.5181),(2215,4805,1.2353,2.505),(2215,4815,1.1829,2.4919),(2215,4825,1.0554,2.4788),(2215,4835,0.92779,2.4693),(2215,4845,0.79737,2.4605),(2215,4855,0.6595,2.4516),(2215,4865,0.52163,2.4459),(2215,4875,0.427,2.4415),(2215,4885,0.7258,2.4371),(2215,4895,1.0246,2.4283),(2215,4905,1.3234,2.4152),(2215,4915,1.3303,2.4021),(2215,4925,1.312,2.3889),(2215,4935,1.2938,2.3755),(2215,4945,1.209,2.362),(2215,4955,1.1011,2.3487),(2215,4965,0.99327,2.3364),(2215,4975,0.79401,2.3241),(2215,4985,0.52419,2.3119),(2215,4995,0.25437,2.3101),(2215,5005,0.21179,2.3087),(2215,5015,0.53047,2.3072),(2215,5025,0.84915,2.2989),(2215,5035,1.1254,2.2888),(2215,5045,1.24,2.2787),(2215,5055,1.3546,2.2671),(2215,5065,1.4661,2.2545),(2215,5075,1.4759,2.2419),(2215,5085,1.4857,2.2295),(2215,5095,1.4955,2.2172),(2215,5105,1.3102,2.205),(2215,5115,1.0909,2.1942),(2215,5125,0.87152,2.1878),(2215,5135,0.76167,2.1813),(2215,5145,0.70496,2.1749),(2215,5155,0.64825,2.1693),(2215,5165,0.77041,2.1637),(2215,5175,1.075,2.158),(2215,5185,1.3796,2.1456),(2215,5195,1.5908,2.1324),(2215,5205,1.6006,2.1193),(2215,5215,1.6105,2.1064),(2215,5225,1.6117,2.0935),(2215,5235,1.5591,2.0807),(2215,5245,1.5065,2.0689),(2215,5255,1.4539,2.058),(2215,5265,1.0219,2.047),(2215,5275,0.57427,2.0399),(2215,5285,0.12662,2.0394),(2215,5295,0.32388,2.0389),(2215,5305,0.70074,2.0358),(2215,5315,1.0776,2.0218),(2215,5325,1.2973,2.0079),(2215,5335,1.414,1.994),(2215,5345,1.5307,1.9801),(2215,5355,1.6079,1.9662),(2215,5365,1.6317,1.9523),(2215,5375,1.6556,1.939),(2215,5385,1.5781,1.9258),(2215,5395,1.1928,1.9126),(2215,5405,0.80742,1.9058),(2215,5415,0.46262,1.9023),(2215,5425,0.66257,1.8988),(2215,5435,0.86252,1.8909),(2215,5445,1.0625,1.8783),(2215,5455,1.2729,1.8657),(2215,5465,1.4846,1.851),(2215,5475,1.6962,1.8315),(2215,5485,1.7688,1.812),(2215,5495,1.7853,1.7925),(2215,5505,1.8018,1.7735),(2215,5515,1.8183,1.7545),(2215,5525,1.8348,1.7356),(2215,5535,1.8513,1.7171),(2215,5545,1.8674,1.6986),(2215,5555,1.8829,1.6802),(2215,5565,1.8984,1.6621),(2215,5575,1.9137,1.6442),(2215,5585,1.9281,1.6263),(2215,5595,1.9425,1.6086),(2215,5605,1.9569,1.5911),(2215,5615,1.9703,1.5737),(2215,5625,1.9836,1.5564),(2215,5635,1.997,1.5394),(2215,5645,2.0096,1.5224),(2215,5655,2.022,1.5056),(2215,5665,2.0345,1.489),(2215,5675,2.0463,1.4724),(2215,5685,2.0579,1.4559),(2215,5695,2.0695,1.4397),(2215,5705,2.0806,1.4235),(2215,5715,2.0914,1.4074),(2215,5725,2.1021,1.3915),(2215,5735,2.1127,1.3757),(2215,5745,2.1227,1.3599),(2215,5755,2.1327,1.3444),(2215,5765,2.1426,1.3289),(2215,5775,2.1519,1.3135),(2215,5785,2.1613,1.2982),(2215,5795,2.1706,1.2831),(2215,5805,2.1793,1.268),(2215,5815,2.188,1.2529),(2215,5825,2.1967,1.2381),(2215,5835,2.2049,1.2233),(2215,5845,2.213,1.2085),(2215,5855,2.2211,1.194),(2215,5865,2.2289,1.1795),(2215,5875,2.2365,1.1649),(2215,5885,2.244,1.1507),(2215,5895,2.2514,1.1364),(2215,5905,2.2585,1.1221),(2215,5915,2.2655,1.1081),(2215,5925,2.2725,1.0941),(2215,5935,2.2791,1.08),(2215,5945,2.2857,1.0662),(2215,5955,2.2924,1.0524),(2215,5965,2.2987,1.0387),(2215,5975,2.3051,1.025),(2215,5985,2.3114,1.0115),(2215,5995,1.7676,0.99791),(2215,6005,1.1352,0.98757),(2215,6015,0.50286,0.98577),(2215,6025,0.55491,0.98396),(2215,6035,0.92438,0.9811),(2215,6045,1.2939,0.96799),(2215,6055,1.556,0.95489),(2215,6065,1.7128,0.94178),(2215,6075,1.8696,0.92484),(2215,6085,1.9772,0.90754),(2215,6095,1.9831,0.89024),(2215,6105,1.989,0.87282),(2215,6115,1.9948,0.85536),(2215,6125,2.0004,0.8379),(2215,6135,2.006,0.82046),(2215,6145,2.0116,0.80304),(2215,6155,2.0169,0.78562),(2215,6165,2.0221,0.76824),(2215,6175,2.0273,0.75094),(2215,6185,2.0323,0.73363),(2215,6195,2.0371,0.71632),(2215,6205,2.042,0.699),(2215,6215,2.0466,0.68168),(2215,6225,2.051,0.66436),(2215,6235,2.0555,0.64714),(2215,6245,2.0598,0.62992),(2215,6255,2.0639,0.6127),(2215,6265,2.068,0.5955),(2215,6275,2.072,0.5783),(2215,6285,2.0757,0.5611),(2215,6295,2.0794,0.54389),(2215,6305,2.0831,0.52667),(2215,6315,2.0865,0.50945),(2215,6325,2.0898,0.49221),(2215,6335,2.0932,0.47494),(2215,6345,2.0962,0.45768),(2215,6355,2.0992,0.44042),(2215,6365,2.1022,0.42317),(2215,6375,2.1049,0.40591),(2215,6385,2.1075,0.38867),(2215,6395,2.1102,0.3715),(2215,6405,2.1126,0.35432),(2215,6415,2.1148,0.33714),(2215,6425,2.1171,0.32004),(2215,6435,2.1192,0.30293),(2215,6445,2.1211,0.28583),(2215,6455,2.1229,0.26873),(2215,6465,2.1247,0.25163),(2215,6475,2.1262,0.23453),(2215,6485,2.1278,0.21742),(2215,6495,2.1293,0.20029),(2215,6505,2.1304,0.18316),(2215,6515,2.1316,0.16601),(2215,6525,2.1328,0.14884),(2215,6535,2.1336,0.13166),(2215,6545,2.1345,0.11448),(2215,6555,2.1353,0.097316),(2215,6565,2.1358,0.080147),(2215,6575,2.1363,0.062984),(2215,6585,2.1367,0.045915),(2215,6595,1.8175,0.028846),(2215,6605,1.1454,0.011777),(2215,6615,0.47333,0.009827),(2215,6625,0.000869,0.00982),(2215,6635,0.000871,0.009813),(2215,6645,0.000872,0.009804),(2215,6655,0.000874,0.009793),(2215,6665,0.000875,0.009782),(2215,6675,0.000877,0.009771),(2215,6685,0.000878,0.009761),(2215,6695,0.00088,0.00975),(2215,6705,0.000881,0.00974),(2215,6715,0.000882,0.009729),(2215,6725,0.000884,0.009719),(2215,6735,0.000885,0.009709),(2215,6745,0.000886,0.009698),(2215,6755,0.000888,0.009688),(2215,6765,0.000889,0.009678),(2215,6775,0.00089,0.009667),(2215,6785,0.000891,0.009657),(2215,6795,0.000892,0.009647),(2215,6805,0.000894,0.009637),(2215,6815,0.000895,0.009627),(2215,6825,0.000896,0.009616),(2215,6835,0.000897,0.009606),(2215,6845,0.000898,0.009596),(2215,6855,0.000899,0.009586),(2215,6865,0.0009,0.009576),(2215,6875,0.000901,0.009566),(2215,6885,0.000902,0.009556),(2215,6895,0.000903,0.009546),(2215,6905,0.000904,0.009536),(2215,6915,0.000905,0.009526),(2215,6925,0.000906,0.009516),(2215,6935,0.000907,0.009506),(2215,6945,0.000908,0.009496),(2215,6955,0.000909,0.009487),(2215,6965,0.00091,0.009477),(2215,6975,0.000911,0.009467),(2215,6985,0.000911,0.009457),(2225,5,4.9e-05,3.6831),(2225,15,0.000148,3.6831),(2225,25,0.000247,3.6831),(2225,35,0.000346,3.6831),(2225,45,0.000445,3.6831),(2225,55,0.000544,3.6831),(2225,65,0.000643,3.6831),(2225,75,0.000743,3.6831),(2225,85,0.000842,3.6831),(2225,95,0.000941,3.6831),(2225,105,0.001041,3.6831),(2225,115,0.001141,3.6831),(2225,125,0.001241,3.6831),(2225,135,0.001341,3.6831),(2225,145,0.001442,3.6831),(2225,155,0.001542,3.6831),(2225,165,0.001643,3.6831),(2225,175,0.001744,3.6831),(2225,185,0.001846,3.6831),(2225,195,0.001948,3.6831),(2225,205,0.00205,3.6831),(2225,215,0.002152,3.6831),(2225,225,0.002255,3.6831),(2225,235,0.002358,3.6831),(2225,245,0.002462,3.6832),(2225,255,0.002565,3.6832),(2225,265,0.00267,3.6832),(2225,275,0.002775,3.6832),(2225,285,0.00288,3.6832),(2225,295,0.002985,3.6832),(2225,305,0.003091,3.6832),(2225,315,0.003198,3.6832),(2225,325,0.003305,3.6832),(2225,335,0.003412,3.6832),(2225,345,0.003521,3.6832),(2225,355,0.00363,3.6832),(2225,365,0.003739,3.6832),(2225,375,0.003848,3.6832),(2225,385,0.003959,3.6832),(2225,395,0.004071,3.6832),(2225,405,0.004182,3.6832),(2225,415,0.004294,3.6833),(2225,425,0.004408,3.6833),(2225,435,0.004522,3.6833),(2225,445,0.004637,3.6833),(2225,455,0.004751,3.6833),(2225,465,0.004869,3.6833),(2225,475,0.004986,3.6833),(2225,485,0.005104,3.6833),(2225,495,0.005221,3.6833),(2225,505,0.005343,3.6833),(2225,515,0.005463,3.6833),(2225,525,0.005584,3.6834),(2225,535,0.005706,3.6834),(2225,545,0.00583,3.6834),(2225,555,0.005955,3.6834),(2225,565,0.00608,3.6834),(2225,575,0.006205,3.6834),(2225,585,0.006334,3.6834),(2225,595,0.006463,3.6834),(2225,605,0.006592,3.6834),(2225,615,0.006721,3.6835),(2225,625,0.006855,3.6835),(2225,635,0.006988,3.6835),(2225,645,0.007122,3.6835),(2225,655,0.007256,3.6835),(2225,665,0.007395,3.6835),(2225,675,0.007534,3.6835),(2225,685,0.007672,3.6835),(2225,695,0.007812,3.6836),(2225,705,0.007956,3.6836),(2225,715,0.008099,3.6836),(2225,725,0.008243,3.6836),(2225,735,0.008388,3.6836),(2225,745,0.008538,3.6836),(2225,755,0.008688,3.6836),(2225,765,0.008838,3.6837),(2225,775,0.008989,3.6837),(2225,785,0.009145,3.6837),(2225,795,0.009301,3.6837),(2225,805,0.009458,3.6837),(2225,815,0.009616,3.6837),(2225,825,0.009779,3.6838),(2225,835,0.009942,3.6838),(2225,845,0.010105,3.6838),(2225,855,0.01027,3.6838),(2225,865,0.010441,3.6838),(2225,875,0.010611,3.6838),(2225,885,0.010781,3.6839),(2225,895,0.010954,3.6839),(2225,905,0.011132,3.6839),(2225,915,0.01131,3.6839),(2225,925,0.011488,3.6839),(2225,935,0.01167,3.6839),(2225,945,0.011857,3.684),(2225,955,0.012044,3.684),(2225,965,0.01223,3.684),(2225,975,0.012421,3.684),(2225,985,0.012617,3.684),(2225,995,0.012813,3.684),(2225,1005,0.013009,3.6841),(2225,1015,0.01321,3.6841),(2225,1025,0.013415,3.6841),(2225,1035,0.013621,3.6841),(2225,1045,0.013827,3.6841),(2225,1055,0.014038,3.6842),(2225,1065,0.014254,3.6842),(2225,1075,0.01447,3.6842),(2225,1085,0.014686,3.6842),(2225,1095,0.014908,3.6842),(2225,1105,0.015135,3.6842),(2225,1115,0.015362,3.6843),(2225,1125,0.015589,3.6843),(2225,1135,0.015823,3.6843),(2225,1145,0.016062,3.6843),(2225,1155,0.016301,3.6843),(2225,1165,0.01654,3.6843),(2225,1175,0.016787,3.6844),(2225,1185,0.017039,3.6844),(2225,1195,0.01729,3.6844),(2225,1205,0.017542,3.6844),(2225,1215,0.017803,3.6844),(2225,1225,0.018068,3.6844),(2225,1235,0.018334,3.6844),(2225,1245,0.018599,3.6845),(2225,1255,0.018874,3.6845),(2225,1265,0.019154,3.6845),(2225,1275,0.019433,3.6845),(2225,1285,0.019713,3.6845),(2225,1295,0.020004,3.6845),(2225,1305,0.020299,3.6845),(2225,1315,0.020593,3.6845),(2225,1325,0.020888,3.6845),(2225,1335,0.021196,3.6846),(2225,1345,0.021507,3.6846),(2225,1355,0.021817,3.6846),(2225,1365,0.022128,3.6846),(2225,1375,0.022454,3.6846),(2225,1385,0.022781,3.6846),(2225,1395,0.023109,3.6846),(2225,1405,0.023437,3.6846),(2225,1415,0.023781,3.6846),(2225,1425,0.024126,3.6846),(2225,1435,0.024472,3.6846),(2225,1445,0.024818,3.6846),(2225,1455,0.025181,3.6846),(2225,1465,0.025546,3.6846),(2225,1475,0.025911,3.6846),(2225,1485,0.026275,3.6846),(2225,1495,0.02666,3.6845),(2225,1505,0.027045,3.6845),(2225,1515,0.02743,3.6845),(2225,1525,0.027815,3.6845),(2225,1535,0.028221,3.6845),(2225,1545,0.028627,3.6845),(2225,1555,0.029033,3.6844),(2225,1565,0.02944,3.6844),(2225,1575,0.029869,3.6844),(2225,1585,0.030297,3.6844),(2225,1595,0.030725,3.6843),(2225,1605,0.031156,3.6843),(2225,1615,0.031607,3.6843),(2225,1625,0.032059,3.6842),(2225,1635,0.03251,3.6842),(2225,1645,0.032965,3.6842),(2225,1655,0.033441,3.6841),(2225,1665,0.033917,3.6841),(2225,1675,0.034393,3.684),(2225,1685,0.034873,3.684),(2225,1695,0.035375,3.6839),(2225,1705,0.035876,3.6839),(2225,1715,0.036378,3.6838),(2225,1725,0.036885,3.6837),(2225,1735,0.037413,3.6837),(2225,1745,0.037941,3.6836),(2225,1755,0.038469,3.6835),(2225,1765,0.039004,3.6834),(2225,1775,0.03956,3.6834),(2225,1785,0.040116,3.6833),(2225,1795,0.040672,3.6832),(2225,1805,0.041236,3.6831),(2225,1815,0.04182,3.683),(2225,1825,0.042405,3.6829),(2225,1835,0.042989,3.6828),(2225,1845,0.043584,3.6826),(2225,1855,0.044198,3.6825),(2225,1865,0.044813,3.6824),(2225,1875,0.045427,3.6823),(2225,1885,0.046053,3.6821),(2225,1895,0.046698,3.682),(2225,1905,0.047343,3.6819),(2225,1915,0.047988,3.6817),(2225,1925,0.048647,3.6815),(2225,1935,0.049324,3.6814),(2225,1945,0.05,3.6812),(2225,1955,0.050677,3.681),(2225,1965,0.051369,3.6808),(2225,1975,0.052078,3.6807),(2225,1985,0.052788,3.6805),(2225,1995,0.053497,3.6803),(2225,2005,0.054223,3.68),(2225,2015,0.054966,3.6798),(2225,2025,0.055709,3.6796),(2225,2035,0.056451,3.6794),(2225,2045,0.057212,3.6791),(2225,2055,0.057989,3.6789),(2225,2065,0.058766,3.6786),(2225,2075,0.059542,3.6783),(2225,2085,0.060339,3.6781),(2225,2095,0.061149,3.6778),(2225,2105,0.06196,3.6775),(2225,2115,0.062771,3.6772),(2225,2125,0.063603,3.6769),(2225,2135,0.064448,3.6765),(2225,2145,0.065294,3.6762),(2225,2155,0.066139,3.6758),(2225,2165,0.067007,3.6755),(2225,2175,0.067887,3.6751),(2225,2185,0.068768,3.6748),(2225,2195,0.069648,3.6744),(2225,2205,0.070552,3.674),(2225,2215,0.071467,3.6736),(2225,2225,0.072381,3.6731),(2225,2235,0.073296,3.6727),(2225,2245,0.074236,3.6722),(2225,2255,0.075185,3.6718),(2225,2265,0.076134,3.6713),(2225,2275,0.077082,3.6708),(2225,2285,0.078057,3.6703),(2225,2295,0.079039,3.6698),(2225,2305,0.080021,3.6693),(2225,2315,0.081004,3.6687),(2225,2325,0.082012,3.6681),(2225,2335,0.083027,3.6676),(2225,2345,0.084041,3.667),(2225,2355,0.085056,3.6664),(2225,2365,0.086097,3.6657),(2225,2375,0.087142,3.6651),(2225,2385,0.088188,3.6645),(2225,2395,0.089234,3.6638),(2225,2405,0.090305,3.6631),(2225,2415,0.09138,3.6624),(2225,2425,0.092455,3.6617),(2225,2435,0.09353,3.6609),(2225,2445,0.094631,3.6602),(2225,2455,0.095733,3.6594),(2225,2465,0.096835,3.6586),(2225,2475,0.097937,3.6578),(2225,2485,0.099063,3.657),(2225,2495,0.10019,3.6561),(2225,2505,0.10132,3.6552),(2225,2515,0.10244,3.6543),(2225,2525,0.10359,3.6534),(2225,2535,0.10474,3.6525),(2225,2545,0.10589,3.6516),(2225,2555,0.10704,3.6506),(2225,2565,0.1082,3.6496),(2225,2575,0.10937,3.6486),(2225,2585,0.11053,3.6475),(2225,2595,0.1117,3.6465),(2225,2605,0.11288,3.6454),(2225,2615,0.11406,3.6443),(2225,2625,0.11524,3.6432),(2225,2635,0.11642,3.642),(2225,2645,0.11761,3.6408),(2225,2655,0.1188,3.6397),(2225,2665,0.11999,3.6384),(2225,2675,0.12119,3.6372),(2225,2685,0.12238,3.6359),(2225,2695,0.12357,3.6346),(2225,2705,0.12477,3.6333),(2225,2715,0.12596,3.632),(2225,2725,0.12716,3.6306),(2225,2735,0.12835,3.6292),(2225,2745,0.12955,3.6278),(2225,2755,0.13074,3.6263),(2225,2765,0.13192,3.6249),(2225,2775,0.13311,3.6234),(2225,2785,0.1343,3.6219),(2225,2795,0.13548,3.6203),(2225,2805,0.13666,3.6188),(2225,2815,0.13783,3.6172),(2225,2825,0.13901,3.6156),(2225,2835,0.14017,3.6139),(2225,2845,0.14133,3.6123),(2225,2855,0.14248,3.6106),(2225,2865,0.14364,3.6088),(2225,2875,0.14478,3.6071),(2225,2885,0.14591,3.6053),(2225,2895,0.14704,3.6035),(2225,2905,0.14817,3.6016),(2225,2915,0.14928,3.5998),(2225,2925,0.15037,3.5979),(2225,2935,0.15147,3.596),(2225,2945,0.15256,3.5941),(2225,2955,0.15364,3.5921),(2225,2965,0.15469,3.5901),(2225,2975,0.15574,3.5881),(2225,2985,0.1568,3.5861),(2225,2995,0.15783,3.584),(2225,3005,0.15883,3.5819),(2225,3015,0.15983,3.5798),(2225,3025,0.16084,3.5776),(2225,3035,0.16181,3.5755),(2225,3045,0.16276,3.5733),(2225,3055,0.1637,3.5711),(2225,3065,0.16465,3.5688),(2225,3075,0.16556,3.5665),(2225,3085,0.16644,3.5643),(2225,3095,0.16732,3.5619),(2225,3105,0.16821,3.5596),(2225,3115,0.16905,3.5572),(2225,3125,0.16985,3.5549),(2225,3135,0.17066,3.5524),(2225,3145,0.17147,3.55),(2225,3155,0.17223,3.5475),(2225,3165,0.17296,3.5451),(2225,3175,0.17369,3.5426),(2225,3185,0.17442,3.54),(2225,3195,0.17509,3.5375),(2225,3205,0.17574,3.535),(2225,3215,0.17638,3.5324),(2225,3225,0.17702,3.5297),(2225,3235,0.1776,3.5271),(2225,3245,0.17815,3.5245),(2225,3255,0.1787,3.5218),(2225,3265,0.17925,3.5191),(2225,3275,0.17972,3.5165),(2225,3285,0.18017,3.5138),(2225,3295,0.18062,3.511),(2225,3305,0.18107,3.5083),(2225,3315,0.18143,3.5055),(2225,3325,0.18178,3.5028),(2225,3335,0.18212,3.5),(2225,3345,0.18246,3.4972),(2225,3355,0.18271,3.4944),(2225,3365,0.18295,3.4915),(2225,3375,0.18318,3.4887),(2225,3385,0.18341,3.4858),(2225,3395,0.18354,3.483),(2225,3405,0.18366,3.4801),(2225,3415,0.18378,3.4772),(2225,3425,0.1839,3.4743),(2225,3435,0.1839,3.4714),(2225,3445,0.1839,3.4686),(2225,3455,0.1839,3.4656),(2225,3465,0.1839,3.4627),(2225,3475,0.18378,3.4598),(2225,3485,0.18366,3.4569),(2225,3495,0.18354,3.4539),(2225,3505,0.18341,3.451),(2225,3515,0.18316,3.4481),(2225,3525,0.18292,3.4451),(2225,3535,0.18267,3.4422),(2225,3545,0.18242,3.4392),(2225,3555,0.18205,3.4363),(2225,3565,0.18168,3.4333),(2225,3575,0.1813,3.4304),(2225,3585,0.18092,3.4274),(2225,3595,0.18042,3.4245),(2225,3605,0.17993,3.4216),(2225,3615,0.17943,3.4186),(2225,3625,0.17892,3.4157),(2225,3635,0.1783,3.4128),(2225,3645,0.17767,3.4098),(2225,3655,0.17705,3.4069),(2225,3665,0.17641,3.404),(2225,3675,0.17567,3.4011),(2225,3685,0.17492,3.3982),(2225,3695,0.17418,3.3954),(2225,3705,0.17341,3.3925),(2225,3715,0.17254,3.3896),(2225,3725,0.17167,3.3868),(2225,3735,0.17081,3.3839),(2225,3745,0.16991,3.3811),(2225,3755,0.16892,3.3783),(2225,3765,0.16794,3.3754),(2225,3775,0.16695,3.3727),(2225,3785,0.16594,3.3699),(2225,3795,0.16483,3.3671),(2225,3805,0.16373,3.3644),(2225,3815,0.16263,3.3616),(2225,3825,0.16149,3.3589),(2225,3835,0.16028,3.3562),(2225,3845,0.15907,3.3535),(2225,3855,0.15786,3.3508),(2225,3865,0.1566,3.3482),(2225,3875,0.15528,3.3455),(2225,3885,0.15396,3.3429),(2225,3895,0.15264,3.3403),(2225,3905,0.17497,3.3377),(2225,3915,0.23263,3.3352),(2225,3925,0.2903,3.3311),(2225,3935,0.34796,3.3252),(2225,3945,0.40853,3.3192),(2225,3955,0.47279,3.3132),(2225,3965,0.53706,3.3056),(2225,3975,0.60132,3.296),(2225,3985,0.63821,3.2864),(2225,3995,0.64547,3.2769),(2225,4005,0.65274,3.2672),(2225,4015,0.66,3.2573),(2225,4025,0.66823,3.2474),(2225,4035,0.67657,3.2374),(2225,4045,0.6849,3.2271),(2225,4055,0.69333,3.2168),(2225,4065,0.70179,3.2064),(2225,4075,0.71026,3.1957),(2225,4085,0.71835,3.185),(2225,4095,0.72616,3.1743),(2225,4105,0.73397,3.1633),(2225,4115,0.71431,3.1523),(2225,4125,0.64913,3.1413),(2225,4135,0.58394,3.1328),(2225,4145,0.51759,3.1249),(2225,4155,0.44653,3.117),(2225,4165,0.37546,3.111),(2225,4175,0.30862,3.1063),(2225,4185,0.45135,3.1016),(2225,4195,0.59407,3.0939),(2225,4205,0.7368,3.0825),(2225,4215,0.74062,3.071),(2225,4225,0.71829,3.0597),(2225,4235,0.69597,3.0486),(2225,4245,0.65227,3.0375),(2225,4255,0.59773,3.0267),(2225,4265,0.54319,3.0178),(2225,4275,0.45797,3.0089),(2225,4285,0.34018,3),(2225,4295,0.22239,2.997),(2225,4305,0.19943,2.9946),(2225,4315,0.39059,2.9922),(2225,4325,0.58175,2.9844),(2225,4335,0.75281,2.9743),(2225,4345,0.78777,2.9643),(2225,4355,0.82273,2.9534),(2225,4365,0.85769,2.9416),(2225,4375,0.86932,2.9298),(2225,4385,0.87974,2.9178),(2225,4395,0.89015,2.9054),(2225,4405,0.7812,2.8931),(2225,4415,0.63704,2.8818),(2225,4425,0.49289,2.8751),(2225,4435,0.43456,2.8685),(2225,4445,0.43488,2.8618),(2225,4455,0.4352,2.8554),(2225,4465,0.50647,2.849),(2225,4475,0.67742,2.8426),(2225,4485,0.84837,2.831),(2225,4495,0.98135,2.8184),(2225,4505,0.99255,2.8058),(2225,4515,1.0037,2.793),(2225,4525,1.0127,2.78),(2225,4535,0.98615,2.7671),(2225,4545,0.95962,2.7545),(2225,4555,0.93308,2.742),(2225,4565,0.70469,2.7295),(2225,4575,0.4491,2.7201),(2225,4585,0.1935,2.7178),(2225,4595,0.22783,2.7155),(2225,4605,0.38466,2.7122),(2225,4615,0.54149,2.7014),(2225,4625,0.66501,2.6906),(2225,4635,0.75837,2.6797),(2225,4645,0.85173,2.6665),(2225,4655,0.92874,2.6532),(2225,4665,0.97495,2.6398),(2225,4675,1.0211,2.6269),(2225,4685,1.0231,2.6142),(2225,4695,0.80606,2.6015),(2225,4705,0.58907,2.5938),(2225,4715,0.37208,2.5896),(2225,4725,0.49874,2.5855),(2225,4735,0.62883,2.5794),(2225,4745,0.75893,2.5704),(2225,4755,0.89358,2.5614),(2225,4765,1.0293,2.5514),(2225,4775,1.165,2.5381),(2225,4785,1.2213,2.5248),(2225,4795,1.2317,2.5116),(2225,4805,1.2422,2.4985),(2225,4815,1.1894,2.4854),(2225,4825,1.0612,2.4722),(2225,4835,0.93291,2.4628),(2225,4845,0.80178,2.4539),(2225,4855,0.66321,2.4451),(2225,4865,0.52463,2.4393),(2225,4875,0.42949,2.4349),(2225,4885,0.72951,2.4305),(2225,4895,1.0295,2.4216),(2225,4905,1.3295,2.4085),(2225,4915,1.3367,2.3954),(2225,4925,1.3187,2.3822),(2225,4935,1.3006,2.3687),(2225,4945,1.216,2.3552),(2225,4955,1.1083,2.3418),(2225,4965,1.0006,2.3295),(2225,4975,0.80022,2.3172),(2225,4985,0.5284,2.3048),(2225,4995,0.25659,2.3031),(2225,5005,0.21321,2.3016),(2225,5015,0.53303,2.3002),(2225,5025,0.85284,2.2918),(2225,5035,1.13,2.2817),(2225,5045,1.2448,2.2716),(2225,5055,1.3596,2.26),(2225,5065,1.4713,2.2474),(2225,5075,1.481,2.2348),(2225,5085,1.4907,2.2223),(2225,5095,1.5003,2.2101),(2225,5105,1.3144,2.1978),(2225,5115,1.0943,2.1871),(2225,5125,0.87425,2.1806),(2225,5135,0.76417,2.1741),(2225,5145,0.70747,2.1678),(2225,5155,0.65077,2.1621),(2225,5165,0.77336,2.1565),(2225,5175,1.0788,2.1509),(2225,5185,1.3842,2.1384),(2225,5195,1.596,2.1253),(2225,5205,1.6057,2.1122),(2225,5215,1.6154,2.0993),(2225,5225,1.6164,2.0865),(2225,5235,1.5635,2.0737),(2225,5245,1.5106,2.0619),(2225,5255,1.4577,2.051),(2225,5265,1.0247,2.04),(2225,5275,0.57594,2.0329),(2225,5285,0.12722,2.0324),(2225,5295,0.32604,2.0319),(2225,5305,0.70517,2.0288),(2225,5315,1.0843,2.0148),(2225,5325,1.3046,2.0008),(2225,5335,1.4208,1.9869),(2225,5345,1.5369,1.973),(2225,5355,1.6137,1.9591),(2225,5365,1.6372,1.9452),(2225,5375,1.6607,1.9319),(2225,5385,1.5827,1.9187),(2225,5395,1.1962,1.9055),(2225,5405,0.80976,1.8987),(2225,5415,0.46403,1.8952),(2225,5425,0.66581,1.8917),(2225,5435,0.86759,1.8838),(2225,5445,1.0694,1.8713),(2225,5455,1.2809,1.8587),(2225,5465,1.4937,1.8441),(2225,5475,1.7065,1.8246),(2225,5485,1.7792,1.8052),(2225,5495,1.7954,1.7858),(2225,5505,1.8117,1.7669),(2225,5515,1.828,1.748),(2225,5525,1.8442,1.7291),(2225,5535,1.8605,1.7107),(2225,5545,1.8764,1.6923),(2225,5555,1.8917,1.6739),(2225,5565,1.9069,1.656),(2225,5575,1.922,1.6381),(2225,5585,1.9362,1.6203),(2225,5595,1.9504,1.6027),(2225,5605,1.9646,1.5853),(2225,5615,1.9778,1.5679),(2225,5625,1.991,1.5507),(2225,5635,2.0041,1.5338),(2225,5645,2.0165,1.5169),(2225,5655,2.0288,1.5001),(2225,5665,2.041,1.4836),(2225,5675,2.0527,1.4671),(2225,5685,2.0641,1.4506),(2225,5695,2.0755,1.4345),(2225,5705,2.0865,1.4184),(2225,5715,2.0971,1.4023),(2225,5725,2.1077,1.3866),(2225,5735,2.1181,1.3709),(2225,5745,2.1279,1.3551),(2225,5755,2.1378,1.3396),(2225,5765,2.1476,1.3243),(2225,5775,2.1568,1.3089),(2225,5785,2.1659,1.2937),(2225,5795,2.1751,1.2786),(2225,5805,2.1837,1.2636),(2225,5815,2.1923,1.2486),(2225,5825,2.2008,1.2339),(2225,5835,2.2089,1.2192),(2225,5845,2.2169,1.2045),(2225,5855,2.2249,1.19),(2225,5865,2.2326,1.1755),(2225,5875,2.24,1.1611),(2225,5885,2.2475,1.1469),(2225,5895,2.2547,1.1327),(2225,5905,2.2617,1.1185),(2225,5915,2.2687,1.1045),(2225,5925,2.2755,1.0905),(2225,5935,2.282,1.0766),(2225,5945,2.2885,1.0628),(2225,5955,2.295,1.0491),(2225,5965,2.3013,1.0354),(2225,5975,2.3076,1.0218),(2225,5985,2.3138,1.0084),(2225,5995,1.7694,0.99491),(2225,6005,1.1364,0.98462),(2225,6015,0.5034,0.98283),(2225,6025,0.55652,0.98104),(2225,6035,0.92786,0.97818),(2225,6045,1.2992,0.9651),(2225,6055,1.5625,0.95202),(2225,6065,1.72,0.93894),(2225,6075,1.8774,0.92203),(2225,6085,1.9854,0.90477),(2225,6095,1.9912,0.88752),(2225,6105,1.9971,0.87014),(2225,6115,2.0029,0.85272),(2225,6125,2.0085,0.83531),(2225,6135,2.014,0.81791),(2225,6145,2.0196,0.80054),(2225,6155,2.0248,0.78316),(2225,6165,2.03,0.76583),(2225,6175,2.0352,0.74857),(2225,6185,2.0401,0.73131),(2225,6195,2.045,0.71404),(2225,6205,2.0498,0.69677),(2225,6215,2.0544,0.67949),(2225,6225,2.0588,0.66221),(2225,6235,2.0633,0.64504),(2225,6245,2.0675,0.62787),(2225,6255,2.0716,0.61069),(2225,6265,2.0757,0.59354),(2225,6275,2.0796,0.57639),(2225,6285,2.0833,0.55925),(2225,6295,2.087,0.54209),(2225,6305,2.0907,0.52492),(2225,6315,2.094,0.50776),(2225,6325,2.0974,0.49058),(2225,6335,2.1007,0.47337),(2225,6345,2.1037,0.45616),(2225,6355,2.1067,0.43896),(2225,6365,2.1097,0.42176),(2225,6375,2.1124,0.40457),(2225,6385,2.115,0.38738),(2225,6395,2.1177,0.37026),(2225,6405,2.1201,0.35313),(2225,6415,2.1223,0.33601),(2225,6425,2.1245,0.31895),(2225,6435,2.1266,0.3019),(2225,6445,2.1285,0.28485),(2225,6455,2.1304,0.26781),(2225,6465,2.1322,0.25076),(2225,6475,2.1337,0.23372),(2225,6485,2.1351,0.21666),(2225,6495,2.1366,0.1996),(2225,6505,2.1378,0.18254),(2225,6515,2.1389,0.16546),(2225,6525,2.1401,0.14835),(2225,6535,2.141,0.13124),(2225,6545,2.1418,0.11413),(2225,6555,2.1426,0.097027),(2225,6565,2.1431,0.079923),(2225,6575,2.1436,0.062826),(2225,6585,2.144,0.045818),(2225,6595,1.8237,0.028811),(2225,6605,1.1493,0.011804),(2225,6615,0.47495,0.009852),(2225,6625,0.000876,0.009835),(2225,6635,0.000877,0.009818),(2225,6645,0.000879,0.009805),(2225,6655,0.00088,0.009794),(2225,6665,0.000882,0.009784),(2225,6675,0.000883,0.009773),(2225,6685,0.000885,0.009762),(2225,6695,0.000886,0.009752),(2225,6705,0.000887,0.009741),(2225,6715,0.000889,0.009731),(2225,6725,0.00089,0.00972),(2225,6735,0.000891,0.00971),(2225,6745,0.000893,0.009699),(2225,6755,0.000894,0.009689),(2225,6765,0.000895,0.009679),(2225,6775,0.000896,0.009669),(2225,6785,0.000897,0.009658),(2225,6795,0.000898,0.009648),(2225,6805,0.0009,0.009638),(2225,6815,0.000901,0.009628),(2225,6825,0.000902,0.009617),(2225,6835,0.000903,0.009607),(2225,6845,0.000904,0.009597),(2225,6855,0.000905,0.009587),(2225,6865,0.000906,0.009577),(2225,6875,0.000907,0.009567),(2225,6885,0.000908,0.009557),(2225,6895,0.000909,0.009547),(2225,6905,0.00091,0.009537),(2225,6915,0.000911,0.009527),(2225,6925,0.000912,0.009517),(2225,6935,0.000913,0.009507),(2225,6945,0.000914,0.009497),(2225,6955,0.000914,0.009487),(2225,6965,0.000915,0.009478),(2225,6975,0.000916,0.009468),(2225,6985,0.000917,0.009458),(2235,5,4.9e-05,3.6832),(2235,15,0.000147,3.6832),(2235,25,0.000245,3.6832),(2235,35,0.000344,3.6832),(2235,45,0.000442,3.6832),(2235,55,0.000541,3.6832),(2235,65,0.000639,3.6832),(2235,75,0.000738,3.6832),(2235,85,0.000837,3.6832),(2235,95,0.000935,3.6832),(2235,105,0.001034,3.6832),(2235,115,0.001134,3.6832),(2235,125,0.001233,3.6832),(2235,135,0.001332,3.6832),(2235,145,0.001432,3.6832),(2235,155,0.001532,3.6832),(2235,165,0.001632,3.6832),(2235,175,0.001732,3.6832),(2235,185,0.001833,3.6832),(2235,195,0.001935,3.6832),(2235,205,0.002036,3.6832),(2235,215,0.002137,3.6832),(2235,225,0.00224,3.6832),(2235,235,0.002342,3.6833),(2235,245,0.002445,3.6833),(2235,255,0.002548,3.6833),(2235,265,0.002652,3.6833),(2235,275,0.002756,3.6833),(2235,285,0.002861,3.6833),(2235,295,0.002965,3.6833),(2235,305,0.003071,3.6833),(2235,315,0.003177,3.6833),(2235,325,0.003283,3.6833),(2235,335,0.00339,3.6833),(2235,345,0.003498,3.6833),(2235,355,0.003606,3.6833),(2235,365,0.003714,3.6833),(2235,375,0.003823,3.6833),(2235,385,0.003933,3.6833),(2235,395,0.004044,3.6834),(2235,405,0.004155,3.6834),(2235,415,0.004266,3.6834),(2235,425,0.004379,3.6834),(2235,435,0.004493,3.6834),(2235,445,0.004606,3.6834),(2235,455,0.00472,3.6834),(2235,465,0.004837,3.6834),(2235,475,0.004953,3.6834),(2235,485,0.00507,3.6834),(2235,495,0.005187,3.6834),(2235,505,0.005307,3.6835),(2235,515,0.005428,3.6835),(2235,525,0.005548,3.6835),(2235,535,0.005668,3.6835),(2235,545,0.005792,3.6835),(2235,555,0.005916,3.6835),(2235,565,0.00604,3.6835),(2235,575,0.006164,3.6835),(2235,585,0.006293,3.6835),(2235,595,0.006421,3.6836),(2235,605,0.006549,3.6836),(2235,615,0.006678,3.6836),(2235,625,0.00681,3.6836),(2235,635,0.006943,3.6836),(2235,645,0.007076,3.6836),(2235,655,0.007209,3.6836),(2235,665,0.007347,3.6837),(2235,675,0.007485,3.6837),(2235,685,0.007622,3.6837),(2235,695,0.007761,3.6837),(2235,705,0.007904,3.6837),(2235,715,0.008047,3.6837),(2235,725,0.00819,3.6837),(2235,735,0.008334,3.6838),(2235,745,0.008483,3.6838),(2235,755,0.008632,3.6838),(2235,765,0.008781,3.6838),(2235,775,0.008932,3.6838),(2235,785,0.009087,3.6838),(2235,795,0.009242,3.6839),(2235,805,0.009397,3.6839),(2235,815,0.009555,3.6839),(2235,825,0.009717,3.6839),(2235,835,0.009879,3.6839),(2235,845,0.010041,3.684),(2235,855,0.010206,3.684),(2235,865,0.010375,3.684),(2235,875,0.010544,3.684),(2235,885,0.010714,3.684),(2235,895,0.010886,3.684),(2235,905,0.011063,3.6841),(2235,915,0.01124,3.6841),(2235,925,0.011417,3.6841),(2235,935,0.011598,3.6841),(2235,945,0.011784,3.6841),(2235,955,0.01197,3.6842),(2235,965,0.012155,3.6842),(2235,975,0.012346,3.6842),(2235,985,0.012541,3.6842),(2235,995,0.012735,3.6842),(2235,1005,0.01293,3.6843),(2235,1015,0.01313,3.6843),(2235,1025,0.013335,3.6843),(2235,1035,0.01354,3.6843),(2235,1045,0.013745,3.6843),(2235,1055,0.013955,3.6844),(2235,1065,0.01417,3.6844),(2235,1075,0.014385,3.6844),(2235,1085,0.0146,3.6844),(2235,1095,0.014822,3.6844),(2235,1105,0.015048,3.6845),(2235,1115,0.015274,3.6845),(2235,1125,0.0155,3.6845),(2235,1135,0.015734,3.6845),(2235,1145,0.015972,3.6845),(2235,1155,0.016209,3.6846),(2235,1165,0.016447,3.6846),(2235,1175,0.016694,3.6846),(2235,1185,0.016945,3.6846),(2235,1195,0.017196,3.6846),(2235,1205,0.017446,3.6847),(2235,1215,0.017707,3.6847),(2235,1225,0.017971,3.6847),(2235,1235,0.018235,3.6847),(2235,1245,0.0185,3.6847),(2235,1255,0.018775,3.6847),(2235,1265,0.019054,3.6848),(2235,1275,0.019332,3.6848),(2235,1285,0.019611,3.6848),(2235,1295,0.019902,3.6848),(2235,1305,0.020196,3.6848),(2235,1315,0.02049,3.6848),(2235,1325,0.020784,3.6848),(2235,1335,0.021091,3.6849),(2235,1345,0.021401,3.6849),(2235,1355,0.021711,3.6849),(2235,1365,0.022021,3.6849),(2235,1375,0.022346,3.6849),(2235,1385,0.022674,3.6849),(2235,1395,0.023001,3.6849),(2235,1405,0.023328,3.6849),(2235,1415,0.023672,3.6849),(2235,1425,0.024017,3.6849),(2235,1435,0.024362,3.6849),(2235,1445,0.024707,3.6849),(2235,1455,0.025071,3.6849),(2235,1465,0.025435,3.6849),(2235,1475,0.0258,3.6849),(2235,1485,0.026164,3.6849),(2235,1495,0.026548,3.6849),(2235,1505,0.026933,3.6849),(2235,1515,0.027318,3.6849),(2235,1525,0.027703,3.6849),(2235,1535,0.028109,3.6849),(2235,1545,0.028515,3.6849),(2235,1555,0.028921,3.6849),(2235,1565,0.029329,3.6848),(2235,1575,0.029757,3.6848),(2235,1585,0.030186,3.6848),(2235,1595,0.030614,3.6848),(2235,1605,0.031045,3.6848),(2235,1615,0.031497,3.6847),(2235,1625,0.031949,3.6847),(2235,1635,0.0324,3.6847),(2235,1645,0.032856,3.6846),(2235,1655,0.033332,3.6846),(2235,1665,0.033809,3.6846),(2235,1675,0.034286,3.6845),(2235,1685,0.034767,3.6845),(2235,1695,0.035269,3.6844),(2235,1705,0.035772,3.6844),(2235,1715,0.036274,3.6843),(2235,1725,0.036782,3.6842),(2235,1735,0.037312,3.6842),(2235,1745,0.037841,3.6841),(2235,1755,0.03837,3.6841),(2235,1765,0.038907,3.684),(2235,1775,0.039464,3.6839),(2235,1785,0.040021,3.6838),(2235,1795,0.040578,3.6837),(2235,1805,0.041145,3.6837),(2235,1815,0.041731,3.6836),(2235,1825,0.042317,3.6835),(2235,1835,0.042904,3.6834),(2235,1845,0.0435,3.6833),(2235,1855,0.044117,3.6831),(2235,1865,0.044733,3.683),(2235,1875,0.04535,3.6829),(2235,1885,0.045979,3.6828),(2235,1895,0.046626,3.6826),(2235,1905,0.047274,3.6825),(2235,1915,0.047922,3.6824),(2235,1925,0.048583,3.6822),(2235,1935,0.049263,3.6821),(2235,1945,0.049943,3.6819),(2235,1955,0.050623,3.6817),(2235,1965,0.051318,3.6815),(2235,1975,0.052031,3.6814),(2235,1985,0.052744,3.6812),(2235,1995,0.053458,3.681),(2235,2005,0.054188,3.6808),(2235,2015,0.054935,3.6806),(2235,2025,0.055682,3.6804),(2235,2035,0.056429,3.6801),(2235,2045,0.057194,3.6799),(2235,2055,0.057976,3.6797),(2235,2065,0.058757,3.6794),(2235,2075,0.059539,3.6791),(2235,2085,0.06034,3.6789),(2235,2095,0.061156,3.6786),(2235,2105,0.061973,3.6783),(2235,2115,0.062789,3.678),(2235,2125,0.063627,3.6777),(2235,2135,0.064478,3.6774),(2235,2145,0.06533,3.6771),(2235,2155,0.066181,3.6767),(2235,2165,0.067056,3.6764),(2235,2175,0.067943,3.676),(2235,2185,0.06883,3.6756),(2235,2195,0.069717,3.6753),(2235,2205,0.070629,3.6749),(2235,2215,0.071551,3.6745),(2235,2225,0.072474,3.6741),(2235,2235,0.073396,3.6736),(2235,2245,0.074344,3.6732),(2235,2255,0.075301,3.6727),(2235,2265,0.076259,3.6723),(2235,2275,0.077216,3.6718),(2235,2285,0.0782,3.6713),(2235,2295,0.079191,3.6708),(2235,2305,0.080183,3.6703),(2235,2315,0.081174,3.6697),(2235,2325,0.082192,3.6692),(2235,2335,0.083217,3.6686),(2235,2345,0.084242,3.668),(2235,2355,0.085266,3.6674),(2235,2365,0.086318,3.6668),(2235,2375,0.087375,3.6662),(2235,2385,0.088432,3.6655),(2235,2395,0.089488,3.6649),(2235,2405,0.090572,3.6642),(2235,2415,0.091659,3.6635),(2235,2425,0.092745,3.6628),(2235,2435,0.093832,3.662),(2235,2445,0.094945,3.6613),(2235,2455,0.09606,3.6605),(2235,2465,0.097175,3.6597),(2235,2475,0.09829,3.6589),(2235,2485,0.09943,3.6581),(2235,2495,0.10057,3.6573),(2235,2505,0.10171,3.6564),(2235,2515,0.10285,3.6555),(2235,2525,0.10401,3.6546),(2235,2535,0.10518,3.6537),(2235,2545,0.10634,3.6527),(2235,2555,0.1075,3.6517),(2235,2565,0.10868,3.6508),(2235,2575,0.10987,3.6498),(2235,2585,0.11105,3.6487),(2235,2595,0.11223,3.6477),(2235,2605,0.11343,3.6466),(2235,2615,0.11462,3.6455),(2235,2625,0.11582,3.6444),(2235,2635,0.11702,3.6432),(2235,2645,0.11822,3.642),(2235,2655,0.11943,3.6409),(2235,2665,0.12064,3.6396),(2235,2675,0.12185,3.6384),(2235,2685,0.12306,3.6371),(2235,2695,0.12427,3.6359),(2235,2705,0.12548,3.6345),(2235,2715,0.1267,3.6332),(2235,2725,0.12791,3.6318),(2235,2735,0.12912,3.6304),(2235,2745,0.13033,3.629),(2235,2755,0.13154,3.6276),(2235,2765,0.13275,3.6261),(2235,2775,0.13396,3.6246),(2235,2785,0.13516,3.6231),(2235,2795,0.13637,3.6215),(2235,2805,0.13756,3.62),(2235,2815,0.13875,3.6184),(2235,2825,0.13995,3.6167),(2235,2835,0.14113,3.6151),(2235,2845,0.14231,3.6134),(2235,2855,0.14348,3.6117),(2235,2865,0.14466,3.61),(2235,2875,0.14582,3.6082),(2235,2885,0.14697,3.6065),(2235,2895,0.14812,3.6046),(2235,2905,0.14927,3.6028),(2235,2915,0.1504,3.6009),(2235,2925,0.15152,3.599),(2235,2935,0.15263,3.5971),(2235,2945,0.15374,3.5952),(2235,2955,0.15484,3.5932),(2235,2965,0.15591,3.5912),(2235,2975,0.15699,3.5892),(2235,2985,0.15806,3.5871),(2235,2995,0.15911,3.585),(2235,3005,0.16013,3.5829),(2235,3015,0.16115,3.5808),(2235,3025,0.16218,3.5786),(2235,3035,0.16317,3.5764),(2235,3045,0.16414,3.5743),(2235,3055,0.1651,3.572),(2235,3065,0.16607,3.5697),(2235,3075,0.167,3.5675),(2235,3085,0.1679,3.5652),(2235,3095,0.1688,3.5628),(2235,3105,0.1697,3.5605),(2235,3115,0.17056,3.5581),(2235,3125,0.17138,3.5557),(2235,3135,0.17221,3.5533),(2235,3145,0.17304,3.5508),(2235,3155,0.17382,3.5483),(2235,3165,0.17456,3.5458),(2235,3175,0.17531,3.5433),(2235,3185,0.17606,3.5407),(2235,3195,0.17675,3.5382),(2235,3205,0.1774,3.5356),(2235,3215,0.17806,3.533),(2235,3225,0.17872,3.5304),(2235,3235,0.17931,3.5277),(2235,3245,0.17988,3.5251),(2235,3255,0.18044,3.5224),(2235,3265,0.18101,3.5197),(2235,3275,0.18149,3.517),(2235,3285,0.18196,3.5142),(2235,3295,0.18242,3.5115),(2235,3305,0.18288,3.5087),(2235,3315,0.18326,3.5059),(2235,3325,0.18361,3.5031),(2235,3335,0.18397,3.5003),(2235,3345,0.18432,3.4975),(2235,3355,0.18459,3.4946),(2235,3365,0.18483,3.4918),(2235,3375,0.18507,3.4889),(2235,3385,0.18531,3.486),(2235,3395,0.18545,3.4831),(2235,3405,0.18558,3.4803),(2235,3415,0.18571,3.4773),(2235,3425,0.18583,3.4744),(2235,3435,0.18585,3.4715),(2235,3445,0.18585,3.4686),(2235,3455,0.18586,3.4656),(2235,3465,0.18586,3.4627),(2235,3475,0.18575,3.4597),(2235,3485,0.18563,3.4567),(2235,3495,0.18551,3.4538),(2235,3505,0.18539,3.4508),(2235,3515,0.18515,3.4478),(2235,3525,0.18491,3.4449),(2235,3535,0.18466,3.4419),(2235,3545,0.18441,3.4389),(2235,3555,0.18404,3.4359),(2235,3565,0.18367,3.433),(2235,3575,0.1833,3.43),(2235,3585,0.18292,3.427),(2235,3595,0.18242,3.424),(2235,3605,0.18193,3.4211),(2235,3615,0.18143,3.4181),(2235,3625,0.18091,3.4151),(2235,3635,0.18029,3.4122),(2235,3645,0.17967,3.4092),(2235,3655,0.17904,3.4063),(2235,3665,0.1784,3.4033),(2235,3675,0.17765,3.4004),(2235,3685,0.1769,3.3975),(2235,3695,0.17615,3.3946),(2235,3705,0.17538,3.3917),(2235,3715,0.1745,3.3888),(2235,3725,0.17363,3.3859),(2235,3735,0.17276,3.383),(2235,3745,0.17186,3.3802),(2235,3755,0.17086,3.3773),(2235,3765,0.16987,3.3744),(2235,3775,0.16888,3.3716),(2235,3785,0.16785,3.3688),(2235,3795,0.16674,3.366),(2235,3805,0.16563,3.3632),(2235,3815,0.16452,3.3605),(2235,3825,0.16338,3.3577),(2235,3835,0.16216,3.355),(2235,3845,0.16093,3.3523),(2235,3855,0.15971,3.3496),(2235,3865,0.15845,3.3469),(2235,3875,0.15712,3.3442),(2235,3885,0.15578,3.3416),(2235,3895,0.15445,3.3389),(2235,3905,0.17701,3.3363),(2235,3915,0.23525,3.3337),(2235,3925,0.29348,3.3297),(2235,3935,0.35172,3.3236),(2235,3945,0.41287,3.3176),(2235,3955,0.47772,3.3116),(2235,3965,0.54256,3.3039),(2235,3975,0.60741,3.2942),(2235,3985,0.64463,3.2846),(2235,3995,0.65195,3.275),(2235,4005,0.65926,3.2651),(2235,4015,0.66658,3.2552),(2235,4025,0.6749,3.2452),(2235,4035,0.68332,3.2351),(2235,4045,0.69174,3.2248),(2235,4055,0.70025,3.2144),(2235,4065,0.70881,3.204),(2235,4075,0.71736,3.1932),(2235,4085,0.72553,3.1825),(2235,4095,0.73339,3.1717),(2235,4105,0.74124,3.1606),(2235,4115,0.72137,3.1496),(2235,4125,0.65553,3.1385),(2235,4135,0.58969,3.1299),(2235,4145,0.52269,3.122),(2235,4155,0.45098,3.114),(2235,4165,0.37927,3.108),(2235,4175,0.31183,3.1033),(2235,4185,0.45595,3.0986),(2235,4195,0.60007,3.0909),(2235,4205,0.74419,3.0793),(2235,4215,0.7482,3.0678),(2235,4225,0.72583,3.0564),(2235,4235,0.70346,3.0452),(2235,4245,0.65946,3.034),(2235,4255,0.60449,3.023),(2235,4265,0.54953,3.014),(2235,4275,0.46339,3.005),(2235,4285,0.34419,2.996),(2235,4295,0.22499,2.9929),(2235,4305,0.2015,2.9905),(2235,4315,0.39414,2.9881),(2235,4325,0.58677,2.9802),(2235,4335,0.75915,2.9702),(2235,4345,0.79447,2.9602),(2235,4355,0.82978,2.9492),(2235,4365,0.8651,2.9374),(2235,4375,0.87686,2.9255),(2235,4385,0.8874,2.9135),(2235,4395,0.89794,2.9011),(2235,4405,0.78819,2.8887),(2235,4415,0.64297,2.8774),(2235,4425,0.49774,2.8708),(2235,4435,0.43894,2.8642),(2235,4445,0.43921,2.8575),(2235,4455,0.43947,2.8512),(2235,4465,0.51115,2.8448),(2235,4475,0.68316,2.8384),(2235,4485,0.85518,2.8268),(2235,4495,0.98898,2.8141),(2235,4505,1.0002,2.8013),(2235,4515,1.0114,2.7884),(2235,4525,1.0203,2.7753),(2235,4535,0.99375,2.7622),(2235,4545,0.96719,2.7494),(2235,4555,0.94063,2.7367),(2235,4565,0.71058,2.7241),(2235,4575,0.45311,2.7144),(2235,4585,0.19564,2.7121),(2235,4595,0.23069,2.7097),(2235,4605,0.38934,2.7063),(2235,4615,0.54799,2.6953),(2235,4625,0.67258,2.6843),(2235,4635,0.76633,2.6733),(2235,4645,0.86007,2.66),(2235,4655,0.9372,2.6466),(2235,4665,0.983,2.6331),(2235,4675,1.0288,2.6202),(2235,4685,1.0301,2.6075),(2235,4695,0.81151,2.5948),(2235,4705,0.59294,2.587),(2235,4715,0.37436,2.5829),(2235,4725,0.5019,2.5787),(2235,4735,0.6329,2.5727),(2235,4745,0.7639,2.5637),(2235,4755,0.89924,2.5547),(2235,4765,1.0356,2.5448),(2235,4775,1.1719,2.5315),(2235,4785,1.2284,2.5183),(2235,4795,1.2387,2.505),(2235,4805,1.2491,2.4919),(2235,4815,1.1959,2.4788),(2235,4825,1.067,2.4657),(2235,4835,0.93802,2.4563),(2235,4845,0.8062,2.4474),(2235,4855,0.66692,2.4385),(2235,4865,0.52763,2.4327),(2235,4875,0.43197,2.4282),(2235,4885,0.73322,2.4238),(2235,4895,1.0345,2.4149),(2235,4905,1.3357,2.4018),(2235,4915,1.3432,2.3887),(2235,4925,1.3253,2.3754),(2235,4935,1.3075,2.3619),(2235,4945,1.223,2.3483),(2235,4955,1.1154,2.335),(2235,4965,1.0078,2.3226),(2235,4975,0.80644,2.3101),(2235,4985,0.53262,2.2977),(2235,4995,0.2588,2.296),(2235,5005,0.21464,2.2945),(2235,5015,0.53558,2.2931),(2235,5025,0.85652,2.2847),(2235,5035,1.1347,2.2746),(2235,5045,1.2497,2.2645),(2235,5055,1.3647,2.2528),(2235,5065,1.4766,2.2402),(2235,5075,1.4861,2.2276),(2235,5085,1.4956,2.2151),(2235,5095,1.5052,2.2029),(2235,5105,1.3186,2.1906),(2235,5115,1.0978,2.1799),(2235,5125,0.87698,2.1734),(2235,5135,0.76667,2.167),(2235,5145,0.70998,2.1606),(2235,5155,0.6533,2.1549),(2235,5165,0.77631,2.1493),(2235,5175,1.0826,2.1437),(2235,5185,1.3889,2.1313),(2235,5195,1.6012,2.1182),(2235,5205,1.6107,2.105),(2235,5215,1.6203,2.0922),(2235,5225,1.6211,2.0794),(2235,5235,1.5679,2.0666),(2235,5245,1.5147,2.0548),(2235,5255,1.4615,2.0439),(2235,5265,1.0274,2.033),(2235,5275,0.57761,2.0259),(2235,5285,0.12783,2.0254),(2235,5295,0.32819,2.0249),(2235,5305,0.70961,2.0217),(2235,5315,1.091,2.0077),(2235,5325,1.3119,1.9937),(2235,5335,1.4275,1.9798),(2235,5345,1.5431,1.9659),(2235,5355,1.6194,1.952),(2235,5365,1.6426,1.9381),(2235,5375,1.6658,1.9248),(2235,5385,1.5873,1.9116),(2235,5395,1.1997,1.8984),(2235,5405,0.81209,1.8916),(2235,5415,0.46545,1.8881),(2235,5425,0.66905,1.8846),(2235,5435,0.87265,1.8767),(2235,5445,1.0762,1.8642),(2235,5455,1.289,1.8517),(2235,5465,1.5028,1.8371),(2235,5475,1.7167,1.8178),(2235,5485,1.7895,1.7984),(2235,5495,1.8056,1.7791),(2235,5505,1.8216,1.7603),(2235,5515,1.8376,1.7414),(2235,5525,1.8537,1.7226),(2235,5535,1.8697,1.7043),(2235,5545,1.8854,1.686),(2235,5555,1.9004,1.6677),(2235,5565,1.9155,1.6498),(2235,5575,1.9303,1.632),(2235,5585,1.9443,1.6143),(2235,5595,1.9583,1.5968),(2235,5605,1.9723,1.5794),(2235,5615,1.9853,1.5621),(2235,5625,1.9983,1.545),(2235,5635,2.0112,1.5282),(2235,5645,2.0235,1.5113),(2235,5655,2.0355,1.4946),(2235,5665,2.0476,1.4782),(2235,5675,2.0591,1.4618),(2235,5685,2.0703,1.4454),(2235,5695,2.0815,1.4293),(2235,5705,2.0924,1.4133),(2235,5715,2.1028,1.3973),(2235,5725,2.1132,1.3816),(2235,5735,2.1235,1.366),(2235,5745,2.1332,1.3503),(2235,5755,2.1429,1.3349),(2235,5765,2.1525,1.3196),(2235,5775,2.1616,1.3043),(2235,5785,2.1706,1.2892),(2235,5795,2.1796,1.2742),(2235,5805,2.1881,1.2592),(2235,5815,2.1965,1.2443),(2235,5825,2.205,1.2297),(2235,5835,2.213,1.215),(2235,5845,2.2208,1.2004),(2235,5855,2.2287,1.186),(2235,5865,2.2362,1.1716),(2235,5875,2.2436,1.1572),(2235,5885,2.2509,1.1431),(2235,5895,2.2581,1.1289),(2235,5905,2.2649,1.1148),(2235,5915,2.2718,1.1009),(2235,5925,2.2785,1.087),(2235,5935,2.2849,1.0732),(2235,5945,2.2913,1.0594),(2235,5955,2.2977,1.0458),(2235,5965,2.3039,1.0322),(2235,5975,2.31,1.0187),(2235,5985,2.3162,1.0053),(2235,5995,1.7712,0.99189),(2235,6005,1.1376,0.98165),(2235,6015,0.50394,0.97987),(2235,6025,0.55812,0.97809),(2235,6035,0.93133,0.97525),(2235,6045,1.3045,0.9622),(2235,6055,1.5691,0.94914),(2235,6065,1.7272,0.93608),(2235,6075,1.8853,0.91921),(2235,6085,1.9936,0.90199),(2235,6095,1.9994,0.88477),(2235,6105,2.0052,0.86744),(2235,6115,2.011,0.85007),(2235,6125,2.0165,0.8327),(2235,6135,2.0221,0.81535),(2235,6145,2.0276,0.79803),(2235,6155,2.0328,0.7807),(2235,6165,2.038,0.76341),(2235,6175,2.0431,0.7462),(2235,6185,2.048,0.72898),(2235,6195,2.0528,0.71176),(2235,6205,2.0576,0.69452),(2235,6215,2.0622,0.67729),(2235,6225,2.0666,0.66006),(2235,6235,2.071,0.64293),(2235,6245,2.0753,0.6258),(2235,6255,2.0793,0.60868),(2235,6265,2.0834,0.59157),(2235,6275,2.0873,0.57448),(2235,6285,2.091,0.55738),(2235,6295,2.0947,0.54028),(2235,6305,2.0983,0.52317),(2235,6315,2.1016,0.50607),(2235,6325,2.1049,0.48894),(2235,6335,2.1083,0.47179),(2235,6345,2.1113,0.45464),(2235,6355,2.1142,0.43749),(2235,6365,2.1172,0.42035),(2235,6375,2.1199,0.40322),(2235,6385,2.1225,0.38609),(2235,6395,2.1251,0.36902),(2235,6405,2.1275,0.35195),(2235,6415,2.1298,0.33487),(2235,6425,2.132,0.31787),(2235,6435,2.1341,0.30087),(2235,6445,2.1359,0.28387),(2235,6455,2.1378,0.26688),(2235,6465,2.1396,0.24989),(2235,6475,2.1411,0.2329),(2235,6485,2.1425,0.2159),(2235,6495,2.144,0.19891),(2235,6505,2.1451,0.18191),(2235,6515,2.1463,0.16489),(2235,6525,2.1474,0.14785),(2235,6535,2.1483,0.13081),(2235,6545,2.1491,0.11377),(2235,6555,2.1499,0.096736),(2235,6565,2.1504,0.079699),(2235,6575,2.1509,0.062667),(2235,6585,2.1513,0.045723),(2235,6595,1.8299,0.028779),(2235,6605,1.1532,0.011835),(2235,6615,0.47657,0.00988),(2235,6625,0.000882,0.009852),(2235,6635,0.000884,0.009823),(2235,6645,0.000885,0.009807),(2235,6655,0.000887,0.009796),(2235,6665,0.000888,0.009785),(2235,6675,0.00089,0.009774),(2235,6685,0.000891,0.009764),(2235,6695,0.000892,0.009753),(2235,6705,0.000894,0.009742),(2235,6715,0.000895,0.009732),(2235,6725,0.000896,0.009722),(2235,6735,0.000898,0.009711),(2235,6745,0.000899,0.009701),(2235,6755,0.0009,0.00969),(2235,6765,0.000901,0.00968),(2235,6775,0.000902,0.00967),(2235,6785,0.000903,0.009659),(2235,6795,0.000905,0.009649),(2235,6805,0.000906,0.009639),(2235,6815,0.000907,0.009629),(2235,6825,0.000908,0.009619),(2235,6835,0.000909,0.009608),(2235,6845,0.00091,0.009598),(2235,6855,0.000911,0.009588),(2235,6865,0.000912,0.009578),(2235,6875,0.000913,0.009568),(2235,6885,0.000914,0.009558),(2235,6895,0.000915,0.009548),(2235,6905,0.000916,0.009538),(2235,6915,0.000917,0.009528),(2235,6925,0.000917,0.009518),(2235,6935,0.000918,0.009508),(2235,6945,0.000919,0.009498),(2235,6955,0.00092,0.009488),(2235,6965,0.000921,0.009478),(2235,6975,0.000922,0.009469),(2235,6985,0.000923,0.009459),(2245,5,4.9e-05,3.6833),(2245,15,0.000146,3.6833),(2245,25,0.000244,3.6833),(2245,35,0.000341,3.6833),(2245,45,0.000439,3.6833),(2245,55,0.000537,3.6833),(2245,65,0.000635,3.6833),(2245,75,0.000733,3.6833),(2245,85,0.000831,3.6833),(2245,95,0.000929,3.6833),(2245,105,0.001027,3.6833),(2245,115,0.001126,3.6833),(2245,125,0.001224,3.6833),(2245,135,0.001323,3.6833),(2245,145,0.001422,3.6833),(2245,155,0.001521,3.6833),(2245,165,0.001621,3.6833),(2245,175,0.00172,3.6833),(2245,185,0.00182,3.6833),(2245,195,0.001921,3.6833),(2245,205,0.002021,3.6833),(2245,215,0.002122,3.6833),(2245,225,0.002224,3.6833),(2245,235,0.002326,3.6834),(2245,245,0.002428,3.6834),(2245,255,0.00253,3.6834),(2245,265,0.002633,3.6834),(2245,275,0.002737,3.6834),(2245,285,0.00284,3.6834),(2245,295,0.002944,3.6834),(2245,305,0.003049,3.6834),(2245,315,0.003155,3.6834),(2245,325,0.00326,3.6834),(2245,335,0.003366,3.6834),(2245,345,0.003473,3.6834),(2245,355,0.00358,3.6834),(2245,365,0.003688,3.6834),(2245,375,0.003796,3.6834),(2245,385,0.003905,3.6835),(2245,395,0.004015,3.6835),(2245,405,0.004125,3.6835),(2245,415,0.004235,3.6835),(2245,425,0.004348,3.6835),(2245,435,0.004461,3.6835),(2245,445,0.004574,3.6835),(2245,455,0.004687,3.6835),(2245,465,0.004803,3.6835),(2245,475,0.004919,3.6835),(2245,485,0.005035,3.6836),(2245,495,0.005151,3.6836),(2245,505,0.00527,3.6836),(2245,515,0.005389,3.6836),(2245,525,0.005509,3.6836),(2245,535,0.005628,3.6836),(2245,545,0.005751,3.6836),(2245,555,0.005875,3.6836),(2245,565,0.005998,3.6836),(2245,575,0.006121,3.6837),(2245,585,0.006248,3.6837),(2245,595,0.006376,3.6837),(2245,605,0.006503,3.6837),(2245,615,0.006631,3.6837),(2245,625,0.006763,3.6837),(2245,635,0.006894,3.6837),(2245,645,0.007026,3.6838),(2245,655,0.007159,3.6838),(2245,665,0.007296,3.6838),(2245,675,0.007432,3.6838),(2245,685,0.007569,3.6838),(2245,695,0.007707,3.6838),(2245,705,0.007849,3.6839),(2245,715,0.007991,3.6839),(2245,725,0.008133,3.6839),(2245,735,0.008277,3.6839),(2245,745,0.008425,3.6839),(2245,755,0.008573,3.6839),(2245,765,0.00872,3.684),(2245,775,0.00887,3.684),(2245,785,0.009024,3.684),(2245,795,0.009179,3.684),(2245,805,0.009333,3.684),(2245,815,0.009489,3.6841),(2245,825,0.00965,3.6841),(2245,835,0.009812,3.6841),(2245,845,0.009973,3.6841),(2245,855,0.010136,3.6841),(2245,865,0.010305,3.6842),(2245,875,0.010473,3.6842),(2245,885,0.010641,3.6842),(2245,895,0.010813,3.6842),(2245,905,0.010989,3.6842),(2245,915,0.011165,3.6843),(2245,925,0.011341,3.6843),(2245,935,0.011521,3.6843),(2245,945,0.011705,3.6843),(2245,955,0.01189,3.6843),(2245,965,0.012075,3.6844),(2245,975,0.012264,3.6844),(2245,985,0.012458,3.6844),(2245,995,0.012652,3.6844),(2245,1005,0.012846,3.6845),(2245,1015,0.013045,3.6845),(2245,1025,0.013248,3.6845),(2245,1035,0.013452,3.6845),(2245,1045,0.013656,3.6846),(2245,1055,0.013865,3.6846),(2245,1065,0.014079,3.6846),(2245,1075,0.014293,3.6846),(2245,1085,0.014507,3.6846),(2245,1095,0.014728,3.6847),(2245,1105,0.014953,3.6847),(2245,1115,0.015178,3.6847),(2245,1125,0.015403,3.6847),(2245,1135,0.015636,3.6848),(2245,1145,0.015873,3.6848),(2245,1155,0.01611,3.6848),(2245,1165,0.016347,3.6848),(2245,1175,0.016592,3.6848),(2245,1185,0.016842,3.6849),(2245,1195,0.017092,3.6849),(2245,1205,0.017342,3.6849),(2245,1215,0.017601,3.6849),(2245,1225,0.017864,3.685),(2245,1235,0.018128,3.685),(2245,1245,0.018391,3.685),(2245,1255,0.018665,3.685),(2245,1265,0.018943,3.685),(2245,1275,0.019221,3.6851),(2245,1285,0.019499,3.6851),(2245,1295,0.019789,3.6851),(2245,1305,0.020082,3.6851),(2245,1315,0.020375,3.6851),(2245,1325,0.020668,3.6851),(2245,1335,0.020975,3.6852),(2245,1345,0.021284,3.6852),(2245,1355,0.021593,3.6852),(2245,1365,0.021903,3.6852),(2245,1375,0.022227,3.6852),(2245,1385,0.022554,3.6852),(2245,1395,0.02288,3.6852),(2245,1405,0.023207,3.6853),(2245,1415,0.02355,3.6853),(2245,1425,0.023894,3.6853),(2245,1435,0.024239,3.6853),(2245,1445,0.024584,3.6853),(2245,1455,0.024947,3.6853),(2245,1465,0.025311,3.6853),(2245,1475,0.025675,3.6853),(2245,1485,0.026039,3.6853),(2245,1495,0.026423,3.6853),(2245,1505,0.026807,3.6853),(2245,1515,0.027191,3.6853),(2245,1525,0.027576,3.6853),(2245,1535,0.027982,3.6853),(2245,1545,0.028388,3.6853),(2245,1555,0.028794,3.6853),(2245,1565,0.029201,3.6853),(2245,1575,0.02963,3.6852),(2245,1585,0.030058,3.6852),(2245,1595,0.030486,3.6852),(2245,1605,0.030917,3.6852),(2245,1615,0.031369,3.6852),(2245,1625,0.031821,3.6852),(2245,1635,0.032274,3.6851),(2245,1645,0.032729,3.6851),(2245,1655,0.033206,3.6851),(2245,1665,0.033683,3.685),(2245,1675,0.03416,3.685),(2245,1685,0.034642,3.685),(2245,1695,0.035145,3.6849),(2245,1705,0.035648,3.6849),(2245,1715,0.036151,3.6848),(2245,1725,0.03666,3.6848),(2245,1735,0.03719,3.6847),(2245,1745,0.037721,3.6847),(2245,1755,0.038251,3.6846),(2245,1765,0.038789,3.6845),(2245,1775,0.039347,3.6845),(2245,1785,0.039906,3.6844),(2245,1795,0.040464,3.6843),(2245,1805,0.041032,3.6842),(2245,1815,0.04162,3.6841),(2245,1825,0.042208,3.6841),(2245,1835,0.042796,3.684),(2245,1845,0.043394,3.6839),(2245,1855,0.044013,3.6838),(2245,1865,0.044632,3.6836),(2245,1875,0.04525,3.6835),(2245,1885,0.045881,3.6834),(2245,1895,0.046531,3.6833),(2245,1905,0.047182,3.6832),(2245,1915,0.047832,3.683),(2245,1925,0.048496,3.6829),(2245,1935,0.049179,3.6827),(2245,1945,0.049862,3.6826),(2245,1955,0.050545,3.6824),(2245,1965,0.051243,3.6822),(2245,1975,0.05196,3.6821),(2245,1985,0.052676,3.6819),(2245,1995,0.053393,3.6817),(2245,2005,0.054127,3.6815),(2245,2015,0.054878,3.6813),(2245,2025,0.055629,3.6811),(2245,2035,0.05638,3.6809),(2245,2045,0.05715,3.6807),(2245,2055,0.057936,3.6804),(2245,2065,0.058722,3.6802),(2245,2075,0.059508,3.6799),(2245,2085,0.060315,3.6797),(2245,2095,0.061137,3.6794),(2245,2105,0.061958,3.6791),(2245,2115,0.06278,3.6788),(2245,2125,0.063624,3.6785),(2245,2135,0.064482,3.6782),(2245,2145,0.065339,3.6779),(2245,2155,0.066197,3.6776),(2245,2165,0.067078,3.6772),(2245,2175,0.067972,3.6769),(2245,2185,0.068866,3.6765),(2245,2195,0.06976,3.6762),(2245,2205,0.070679,3.6758),(2245,2215,0.071609,3.6754),(2245,2225,0.072539,3.675),(2245,2235,0.073469,3.6746),(2245,2245,0.074425,3.6741),(2245,2255,0.075391,3.6737),(2245,2265,0.076357,3.6732),(2245,2275,0.077322,3.6727),(2245,2285,0.078315,3.6723),(2245,2295,0.079316,3.6718),(2245,2305,0.080317,3.6712),(2245,2315,0.081318,3.6707),(2245,2325,0.082347,3.6702),(2245,2335,0.083382,3.6696),(2245,2345,0.084417,3.669),(2245,2355,0.085452,3.6684),(2245,2365,0.086515,3.6678),(2245,2375,0.087583,3.6672),(2245,2385,0.088651,3.6666),(2245,2395,0.089718,3.6659),(2245,2405,0.090814,3.6653),(2245,2415,0.091913,3.6646),(2245,2425,0.093012,3.6639),(2245,2435,0.094111,3.6631),(2245,2445,0.095238,3.6624),(2245,2455,0.096366,3.6617),(2245,2465,0.097494,3.6608),(2245,2475,0.098622,3.66),(2245,2485,0.099776,3.6592),(2245,2495,0.10093,3.6584),(2245,2505,0.10209,3.6575),(2245,2515,0.10324,3.6566),(2245,2525,0.10442,3.6557),(2245,2535,0.1056,3.6549),(2245,2545,0.10677,3.6539),(2245,2555,0.10795,3.6529),(2245,2565,0.10915,3.6519),(2245,2575,0.11035,3.651),(2245,2585,0.11155,3.6499),(2245,2595,0.11275,3.6488),(2245,2605,0.11396,3.6478),(2245,2615,0.11517,3.6467),(2245,2625,0.11639,3.6456),(2245,2635,0.1176,3.6444),(2245,2645,0.11883,3.6433),(2245,2655,0.12005,3.6421),(2245,2665,0.12128,3.6408),(2245,2675,0.1225,3.6396),(2245,2685,0.12373,3.6383),(2245,2695,0.12496,3.6371),(2245,2705,0.1262,3.6357),(2245,2715,0.12743,3.6344),(2245,2725,0.12866,3.633),(2245,2735,0.12989,3.6317),(2245,2745,0.13112,3.6302),(2245,2755,0.13235,3.6288),(2245,2765,0.13358,3.6273),(2245,2775,0.13481,3.6258),(2245,2785,0.13603,3.6243),(2245,2795,0.13726,3.6227),(2245,2805,0.13847,3.6212),(2245,2815,0.13969,3.6196),(2245,2825,0.1409,3.6179),(2245,2835,0.14211,3.6163),(2245,2845,0.1433,3.6146),(2245,2855,0.1445,3.6129),(2245,2865,0.14569,3.6111),(2245,2875,0.14688,3.6094),(2245,2885,0.14805,3.6076),(2245,2895,0.14922,3.6058),(2245,2905,0.15039,3.6039),(2245,2915,0.15154,3.602),(2245,2925,0.15268,3.6002),(2245,2935,0.15382,3.5982),(2245,2945,0.15495,3.5963),(2245,2955,0.15607,3.5943),(2245,2965,0.15716,3.5923),(2245,2975,0.15826,3.5902),(2245,2985,0.15935,3.5882),(2245,2995,0.16042,3.5861),(2245,3005,0.16147,3.584),(2245,3015,0.16251,3.5818),(2245,3025,0.16356,3.5796),(2245,3035,0.16457,3.5774),(2245,3045,0.16556,3.5752),(2245,3055,0.16654,3.573),(2245,3065,0.16753,3.5707),(2245,3075,0.16848,3.5684),(2245,3085,0.1694,3.5661),(2245,3095,0.17032,3.5637),(2245,3105,0.17124,3.5613),(2245,3115,0.17212,3.5589),(2245,3125,0.17297,3.5565),(2245,3135,0.17381,3.5541),(2245,3145,0.17466,3.5516),(2245,3155,0.17546,3.5491),(2245,3165,0.17622,3.5466),(2245,3175,0.17699,3.544),(2245,3185,0.17775,3.5415),(2245,3195,0.17846,3.5389),(2245,3205,0.17914,3.5363),(2245,3215,0.17981,3.5336),(2245,3225,0.18049,3.531),(2245,3235,0.1811,3.5283),(2245,3245,0.18168,3.5256),(2245,3255,0.18226,3.5229),(2245,3265,0.18284,3.5202),(2245,3275,0.18334,3.5174),(2245,3285,0.18382,3.5147),(2245,3295,0.18429,3.5119),(2245,3305,0.18477,3.5091),(2245,3315,0.18516,3.5063),(2245,3325,0.18553,3.5035),(2245,3335,0.1859,3.5006),(2245,3345,0.18626,3.4978),(2245,3355,0.18654,3.4949),(2245,3365,0.18679,3.492),(2245,3375,0.18705,3.4891),(2245,3385,0.1873,3.4862),(2245,3395,0.18745,3.4833),(2245,3405,0.18758,3.4804),(2245,3415,0.18772,3.4774),(2245,3425,0.18785,3.4745),(2245,3435,0.18788,3.4715),(2245,3445,0.18789,3.4686),(2245,3455,0.1879,3.4656),(2245,3465,0.18791,3.4626),(2245,3475,0.18781,3.4596),(2245,3485,0.18769,3.4566),(2245,3495,0.18758,3.4536),(2245,3505,0.18747,3.4506),(2245,3515,0.18723,3.4476),(2245,3525,0.18699,3.4446),(2245,3535,0.18675,3.4416),(2245,3545,0.1865,3.4386),(2245,3555,0.18613,3.4356),(2245,3565,0.18576,3.4326),(2245,3575,0.18539,3.4296),(2245,3585,0.18501,3.4266),(2245,3595,0.18451,3.4236),(2245,3605,0.18401,3.4206),(2245,3615,0.18352,3.4176),(2245,3625,0.183,3.4146),(2245,3635,0.18237,3.4116),(2245,3645,0.18175,3.4086),(2245,3655,0.18112,3.4056),(2245,3665,0.18047,3.4027),(2245,3675,0.17972,3.3997),(2245,3685,0.17897,3.3967),(2245,3695,0.17821,3.3938),(2245,3705,0.17743,3.3909),(2245,3715,0.17655,3.3879),(2245,3725,0.17567,3.385),(2245,3735,0.1748,3.3821),(2245,3745,0.17389,3.3792),(2245,3755,0.17289,3.3763),(2245,3765,0.17189,3.3734),(2245,3775,0.17089,3.3706),(2245,3785,0.16985,3.3678),(2245,3795,0.16873,3.3649),(2245,3805,0.16761,3.3621),(2245,3815,0.1665,3.3593),(2245,3825,0.16534,3.3566),(2245,3835,0.16411,3.3538),(2245,3845,0.16287,3.351),(2245,3855,0.16164,3.3483),(2245,3865,0.16037,3.3456),(2245,3875,0.15902,3.3429),(2245,3885,0.15768,3.3402),(2245,3895,0.15634,3.3376),(2245,3905,0.17913,3.3349),(2245,3915,0.23796,3.3323),(2245,3925,0.29679,3.3282),(2245,3935,0.35562,3.3221),(2245,3945,0.41737,3.316),(2245,3955,0.48282,3.3099),(2245,3965,0.54827,3.3022),(2245,3975,0.61372,3.2925),(2245,3985,0.65128,3.2827),(2245,3995,0.65864,3.273),(2245,4005,0.66601,3.2631),(2245,4015,0.67338,3.2531),(2245,4025,0.68177,3.243),(2245,4035,0.69026,3.2329),(2245,4045,0.69876,3.2224),(2245,4055,0.70735,3.212),(2245,4065,0.71597,3.2015),(2245,4075,0.7246,3.1907),(2245,4085,0.73282,3.1799),(2245,4095,0.74073,3.1691),(2245,4105,0.74864,3.158),(2245,4115,0.72855,3.1469),(2245,4125,0.66205,3.1358),(2245,4135,0.59556,3.1271),(2245,4145,0.52789,3.1191),(2245,4155,0.45552,3.1111),(2245,4165,0.38315,3.1051),(2245,4175,0.31509,3.1003),(2245,4185,0.46065,3.0955),(2245,4195,0.60621,3.0878),(2245,4205,0.75177,3.0762),(2245,4215,0.756,3.0646),(2245,4225,0.73363,3.0531),(2245,4235,0.71126,3.0418),(2245,4245,0.66699,3.0305),(2245,4255,0.6116,3.0193),(2245,4265,0.55621,3.0102),(2245,4275,0.46913,3.0011),(2245,4285,0.34844,2.992),(2245,4295,0.22775,2.9889),(2245,4305,0.20366,2.9864),(2245,4315,0.3977,2.984),(2245,4325,0.59174,2.9761),(2245,4335,0.7654,2.9661),(2245,4345,0.80114,2.9561),(2245,4355,0.83688,2.9451),(2245,4365,0.87261,2.9332),(2245,4375,0.88449,2.9213),(2245,4385,0.89512,2.9092),(2245,4395,0.90575,2.8968),(2245,4405,0.79518,2.8844),(2245,4415,0.64885,2.8731),(2245,4425,0.50253,2.8664),(2245,4435,0.44323,2.8598),(2245,4445,0.44339,2.8532),(2245,4455,0.44356,2.8469),(2245,4465,0.51569,2.8406),(2245,4475,0.68891,2.8342),(2245,4485,0.86213,2.8226),(2245,4495,0.99687,2.8097),(2245,4505,1.0082,2.7969),(2245,4515,1.0194,2.7838),(2245,4525,1.0285,2.7706),(2245,4535,1.0019,2.7573),(2245,4545,0.97533,2.7443),(2245,4555,0.94877,2.7314),(2245,4565,0.71699,2.7186),(2245,4575,0.45754,2.7088),(2245,4585,0.19809,2.7064),(2245,4595,0.2339,2.7039),(2245,4605,0.39447,2.7004),(2245,4615,0.55504,2.6892),(2245,4625,0.68067,2.678),(2245,4635,0.77466,2.6668),(2245,4645,0.86865,2.6535),(2245,4655,0.94579,2.64),(2245,4665,0.99115,2.6265),(2245,4675,1.0365,2.6136),(2245,4685,1.0372,2.6008),(2245,4695,0.81701,2.588),(2245,4705,0.59682,2.5803),(2245,4715,0.37663,2.5761),(2245,4725,0.50499,2.572),(2245,4735,0.63684,2.5659),(2245,4745,0.76869,2.557),(2245,4755,0.90473,2.548),(2245,4765,1.0417,2.5381),(2245,4775,1.1788,2.5249),(2245,4785,1.2354,2.5117),(2245,4795,1.2457,2.4985),(2245,4805,1.2559,2.4854),(2245,4815,1.2024,2.4723),(2245,4825,1.0728,2.4592),(2245,4835,0.94319,2.4497),(2245,4845,0.81069,2.4408),(2245,4855,0.67069,2.4319),(2245,4865,0.5307,2.426),(2245,4875,0.43452,2.4216),(2245,4885,0.737,2.4171),(2245,4895,1.0395,2.4083),(2245,4905,1.342,2.3951),(2245,4915,1.3497,2.382),(2245,4925,1.3321,2.3687),(2245,4935,1.3145,2.3551),(2245,4945,1.2302,2.3415),(2245,4955,1.1227,2.3281),(2245,4965,1.0153,2.3156),(2245,4975,0.81282,2.3031),(2245,4985,0.53694,2.2907),(2245,4995,0.26107,2.2889),(2245,5005,0.21609,2.2874),(2245,5015,0.53818,2.2859),(2245,5025,0.86026,2.2776),(2245,5035,1.1393,2.2674),(2245,5045,1.2546,2.2573),(2245,5055,1.3698,2.2456),(2245,5065,1.4819,2.233),(2245,5075,1.4913,2.2204),(2245,5085,1.5007,2.208),(2245,5095,1.51,2.1957),(2245,5105,1.3228,2.1834),(2245,5115,1.1013,2.1727),(2245,5125,0.87973,2.1662),(2245,5135,0.76919,2.1598),(2245,5145,0.7125,2.1534),(2245,5155,0.65582,2.1478),(2245,5165,0.77925,2.1421),(2245,5175,1.0864,2.1365),(2245,5185,1.3935,2.1241),(2245,5195,1.6063,2.111),(2245,5205,1.6158,2.0979),(2245,5215,1.6252,2.0851),(2245,5225,1.6259,2.0723),(2245,5235,1.5723,2.0595),(2245,5245,1.5188,2.0478),(2245,5255,1.4653,2.0369),(2245,5265,1.0301,2.026),(2245,5275,0.57929,2.0189),(2245,5285,0.12843,2.0184),(2245,5295,0.33037,2.0178),(2245,5305,0.7141,2.0147),(2245,5315,1.0978,2.0007),(2245,5325,1.3193,1.9866),(2245,5335,1.4343,1.9726),(2245,5345,1.5494,1.9587),(2245,5355,1.6252,1.9448),(2245,5365,1.6481,1.9309),(2245,5375,1.6709,1.9177),(2245,5385,1.5919,1.9045),(2245,5395,1.2032,1.8913),(2245,5405,0.81446,1.8845),(2245,5415,0.46688,1.881),(2245,5425,0.67224,1.8774),(2245,5435,0.8776,1.8696),(2245,5445,1.083,1.8572),(2245,5455,1.2968,1.8447),(2245,5465,1.5117,1.8302),(2245,5475,1.7267,1.8109),(2245,5485,1.7996,1.7916),(2245,5495,1.8154,1.7724),(2245,5505,1.8313,1.7536),(2245,5515,1.8471,1.7349),(2245,5525,1.8629,1.7161),(2245,5535,1.8787,1.6979),(2245,5545,1.8941,1.6797),(2245,5555,1.909,1.6615),(2245,5565,1.9238,1.6436),(2245,5575,1.9384,1.6259),(2245,5585,1.9522,1.6082),(2245,5595,1.966,1.5908),(2245,5605,1.9797,1.5736),(2245,5615,1.9925,1.5563),(2245,5625,2.0053,1.5393),(2245,5635,2.0181,1.5225),(2245,5645,2.0302,1.5058),(2245,5655,2.0421,1.4891),(2245,5665,2.0539,1.4728),(2245,5675,2.0653,1.4564),(2245,5685,2.0763,1.4401),(2245,5695,2.0874,1.4242),(2245,5705,2.0981,1.4082),(2245,5715,2.1083,1.3923),(2245,5725,2.1186,1.3767),(2245,5735,2.1287,1.3611),(2245,5745,2.1382,1.3455),(2245,5755,2.1478,1.3302),(2245,5765,2.1573,1.3149),(2245,5775,2.1662,1.2997),(2245,5785,2.1751,1.2847),(2245,5795,2.184,1.2697),(2245,5805,2.1924,1.2548),(2245,5815,2.2007,1.24),(2245,5825,2.209,1.2254),(2245,5835,2.2168,1.2108),(2245,5845,2.2246,1.1963),(2245,5855,2.2323,1.1819),(2245,5865,2.2398,1.1676),(2245,5875,2.247,1.1533),(2245,5885,2.2542,1.1392),(2245,5895,2.2613,1.1252),(2245,5905,2.268,1.1111),(2245,5915,2.2748,1.0973),(2245,5925,2.2814,1.0835),(2245,5935,2.2877,1.0697),(2245,5945,2.294,1.0561),(2245,5955,2.3003,1.0425),(2245,5965,2.3064,1.0289),(2245,5975,2.3124,1.0155),(2245,5985,2.3185,1.0022),(2245,5995,1.773,0.98886),(2245,6005,1.1387,0.97869),(2245,6015,0.50446,0.97692),(2245,6025,0.55971,0.97515),(2245,6035,0.93476,0.97232),(2245,6045,1.3098,0.95929),(2245,6055,1.5756,0.94626),(2245,6065,1.7343,0.93323),(2245,6075,1.893,0.91639),(2245,6085,2.0017,0.89921),(2245,6095,2.0075,0.88202),(2245,6105,2.0133,0.86474),(2245,6115,2.019,0.84741),(2245,6125,2.0245,0.83009),(2245,6135,2.03,0.81279),(2245,6145,2.0355,0.79551),(2245,6155,2.0407,0.77823),(2245,6165,2.0458,0.76099),(2245,6175,2.0509,0.74382),(2245,6185,2.0558,0.72665),(2245,6195,2.0606,0.70947),(2245,6205,2.0653,0.69228),(2245,6215,2.0699,0.67509),(2245,6225,2.0743,0.65791),(2245,6235,2.0787,0.64082),(2245,6245,2.0829,0.62374),(2245,6255,2.0869,0.60666),(2245,6265,2.0909,0.58961),(2245,6275,2.0949,0.57256),(2245,6285,2.0985,0.55552),(2245,6295,2.1021,0.53847),(2245,6305,2.1058,0.52142),(2245,6315,2.1091,0.50437),(2245,6325,2.1124,0.4873),(2245,6335,2.1157,0.47021),(2245,6345,2.1186,0.45311),(2245,6355,2.1216,0.43603),(2245,6365,2.1245,0.41895),(2245,6375,2.1272,0.40187),(2245,6385,2.1298,0.3848),(2245,6395,2.1324,0.36778),(2245,6405,2.1348,0.35076),(2245,6415,2.137,0.33374),(2245,6425,2.1393,0.31678),(2245,6435,2.1413,0.29983),(2245,6445,2.1432,0.28288),(2245,6455,2.145,0.26595),(2245,6465,2.1468,0.24901),(2245,6475,2.1483,0.23208),(2245,6485,2.1498,0.21515),(2245,6495,2.1512,0.19821),(2245,6505,2.1524,0.18128),(2245,6515,2.1535,0.16433),(2245,6525,2.1546,0.14736),(2245,6535,2.1555,0.13039),(2245,6545,2.1563,0.11342),(2245,6555,2.1571,0.096446),(2245,6565,2.1576,0.079474),(2245,6575,2.158,0.062508),(2245,6585,2.1584,0.045628),(2245,6595,1.836,0.028747),(2245,6605,1.1571,0.011866),(2245,6615,0.47815,0.009908),(2245,6625,0.000889,0.009868),(2245,6635,0.00089,0.009828),(2245,6645,0.000892,0.009808),(2245,6655,0.000893,0.009797),(2245,6665,0.000895,0.009786),(2245,6675,0.000896,0.009776),(2245,6685,0.000897,0.009765),(2245,6695,0.000899,0.009754),(2245,6705,0.0009,0.009744),(2245,6715,0.000901,0.009733),(2245,6725,0.000903,0.009723),(2245,6735,0.000904,0.009712),(2245,6745,0.000905,0.009702),(2245,6755,0.000906,0.009692),(2245,6765,0.000907,0.009681),(2245,6775,0.000909,0.009671),(2245,6785,0.00091,0.009661),(2245,6795,0.000911,0.00965),(2245,6805,0.000912,0.00964),(2245,6815,0.000913,0.00963),(2245,6825,0.000914,0.00962),(2245,6835,0.000915,0.009609),(2245,6845,0.000916,0.009599),(2245,6855,0.000917,0.009589),(2245,6865,0.000918,0.009579),(2245,6875,0.000919,0.009569),(2245,6885,0.00092,0.009559),(2245,6895,0.000921,0.009549),(2245,6905,0.000921,0.009539),(2245,6915,0.000922,0.009529),(2245,6925,0.000923,0.009519),(2245,6935,0.000924,0.009509),(2245,6945,0.000925,0.009499),(2245,6955,0.000926,0.009489),(2245,6965,0.000927,0.009479),(2245,6975,0.000927,0.009469),(2245,6985,0.000928,0.00946),(2255,5,4.8e-05,3.6834),(2255,15,0.000145,3.6834),(2255,25,0.000242,3.6834),(2255,35,0.000339,3.6834),(2255,45,0.000436,3.6834),(2255,55,0.000533,3.6834),(2255,65,0.00063,3.6834),(2255,75,0.000727,3.6834),(2255,85,0.000825,3.6834),(2255,95,0.000922,3.6834),(2255,105,0.00102,3.6834),(2255,115,0.001118,3.6834),(2255,125,0.001216,3.6834),(2255,135,0.001313,3.6834),(2255,145,0.001412,3.6834),(2255,155,0.001511,3.6834),(2255,165,0.001609,3.6834),(2255,175,0.001708,3.6834),(2255,185,0.001808,3.6834),(2255,195,0.001907,3.6834),(2255,205,0.002007,3.6834),(2255,215,0.002107,3.6834),(2255,225,0.002208,3.6835),(2255,235,0.002309,3.6835),(2255,245,0.00241,3.6835),(2255,255,0.002512,3.6835),(2255,265,0.002614,3.6835),(2255,275,0.002717,3.6835),(2255,285,0.00282,3.6835),(2255,295,0.002923,3.6835),(2255,305,0.003027,3.6835),(2255,315,0.003132,3.6835),(2255,325,0.003237,3.6835),(2255,335,0.003342,3.6835),(2255,345,0.003448,3.6835),(2255,355,0.003555,3.6835),(2255,365,0.003662,3.6835),(2255,375,0.003769,3.6836),(2255,385,0.003878,3.6836),(2255,395,0.003987,3.6836),(2255,405,0.004096,3.6836),(2255,415,0.004206,3.6836),(2255,425,0.004317,3.6836),(2255,435,0.004429,3.6836),(2255,445,0.004542,3.6836),(2255,455,0.004653,3.6836),(2255,465,0.004769,3.6836),(2255,475,0.004884,3.6837),(2255,485,0.004999,3.6837),(2255,495,0.005114,3.6837),(2255,505,0.005233,3.6837),(2255,515,0.005351,3.6837),(2255,525,0.00547,3.6837),(2255,535,0.005589,3.6837),(2255,545,0.005711,3.6837),(2255,555,0.005833,3.6838),(2255,565,0.005955,3.6838),(2255,575,0.006078,3.6838),(2255,585,0.006204,3.6838),(2255,595,0.006331,3.6838),(2255,605,0.006457,3.6838),(2255,615,0.006584,3.6838),(2255,625,0.006715,3.6839),(2255,635,0.006846,3.6839),(2255,645,0.006977,3.6839),(2255,655,0.007109,3.6839),(2255,665,0.007244,3.6839),(2255,675,0.00738,3.6839),(2255,685,0.007516,3.684),(2255,695,0.007653,3.684),(2255,705,0.007794,3.684),(2255,715,0.007935,3.684),(2255,725,0.008077,3.684),(2255,735,0.008219,3.6841),(2255,745,0.008366,3.6841),(2255,755,0.008513,3.6841),(2255,765,0.00866,3.6841),(2255,775,0.008808,3.6841),(2255,785,0.008962,3.6842),(2255,795,0.009115,3.6842),(2255,805,0.009268,3.6842),(2255,815,0.009424,3.6842),(2255,825,0.009584,3.6842),(2255,835,0.009744,3.6843),(2255,845,0.009904,3.6843),(2255,855,0.010067,3.6843),(2255,865,0.010234,3.6843),(2255,875,0.010402,3.6843),(2255,885,0.010569,3.6844),(2255,895,0.010739,3.6844),(2255,905,0.010914,3.6844),(2255,915,0.011089,3.6844),(2255,925,0.011265,3.6845),(2255,935,0.011443,3.6845),(2255,945,0.011627,3.6845),(2255,955,0.011811,3.6845),(2255,965,0.011994,3.6846),(2255,975,0.012182,3.6846),(2255,985,0.012375,3.6846),(2255,995,0.012568,3.6846),(2255,1005,0.012761,3.6847),(2255,1015,0.012959,3.6847),(2255,1025,0.013161,3.6847),(2255,1035,0.013364,3.6847),(2255,1045,0.013567,3.6848),(2255,1055,0.013775,3.6848),(2255,1065,0.013988,3.6848),(2255,1075,0.014201,3.6848),(2255,1085,0.014414,3.6849),(2255,1095,0.014634,3.6849),(2255,1105,0.014858,3.6849),(2255,1115,0.015082,3.6849),(2255,1125,0.015306,3.685),(2255,1135,0.015538,3.685),(2255,1145,0.015774,3.685),(2255,1155,0.01601,3.685),(2255,1165,0.016246,3.6851),(2255,1175,0.01649,3.6851),(2255,1185,0.016739,3.6851),(2255,1195,0.016988,3.6851),(2255,1205,0.017237,3.6852),(2255,1215,0.017495,3.6852),(2255,1225,0.017758,3.6852),(2255,1235,0.01802,3.6852),(2255,1245,0.018283,3.6853),(2255,1255,0.018556,3.6853),(2255,1265,0.018833,3.6853),(2255,1275,0.01911,3.6853),(2255,1285,0.019387,3.6854),(2255,1295,0.019676,3.6854),(2255,1305,0.019968,3.6854),(2255,1315,0.02026,3.6854),(2255,1325,0.020552,3.6854),(2255,1335,0.020858,3.6855),(2255,1345,0.021167,3.6855),(2255,1355,0.021475,3.6855),(2255,1365,0.021784,3.6855),(2255,1375,0.022108,3.6855),(2255,1385,0.022434,3.6856),(2255,1395,0.02276,3.6856),(2255,1405,0.023085,3.6856),(2255,1415,0.023428,3.6856),(2255,1425,0.023772,3.6856),(2255,1435,0.024116,3.6856),(2255,1445,0.02446,3.6856),(2255,1455,0.024823,3.6857),(2255,1465,0.025186,3.6857),(2255,1475,0.02555,3.6857),(2255,1485,0.025913,3.6857),(2255,1495,0.026297,3.6857),(2255,1505,0.026681,3.6857),(2255,1515,0.027065,3.6857),(2255,1525,0.027449,3.6857),(2255,1535,0.027855,3.6857),(2255,1545,0.028261,3.6857),(2255,1555,0.028666,3.6857),(2255,1565,0.029073,3.6857),(2255,1575,0.029502,3.6857),(2255,1585,0.02993,3.6857),(2255,1595,0.030359,3.6856),(2255,1605,0.03079,3.6856),(2255,1615,0.031242,3.6856),(2255,1625,0.031694,3.6856),(2255,1635,0.032147,3.6856),(2255,1645,0.032602,3.6856),(2255,1655,0.03308,3.6855),(2255,1665,0.033557,3.6855),(2255,1675,0.034035,3.6855),(2255,1685,0.034517,3.6854),(2255,1695,0.035021,3.6854),(2255,1705,0.035524,3.6854),(2255,1715,0.036028,3.6853),(2255,1725,0.036538,3.6853),(2255,1735,0.037069,3.6852),(2255,1745,0.0376,3.6852),(2255,1755,0.038132,3.6851),(2255,1765,0.03867,3.6851),(2255,1775,0.03923,3.685),(2255,1785,0.03979,3.6849),(2255,1795,0.04035,3.6849),(2255,1805,0.040919,3.6848),(2255,1815,0.041508,3.6847),(2255,1825,0.042098,3.6846),(2255,1835,0.042688,3.6846),(2255,1845,0.043288,3.6845),(2255,1855,0.043909,3.6844),(2255,1865,0.04453,3.6843),(2255,1875,0.04515,3.6842),(2255,1885,0.045783,3.684),(2255,1895,0.046436,3.6839),(2255,1905,0.047089,3.6838),(2255,1915,0.047742,3.6837),(2255,1925,0.048409,3.6835),(2255,1935,0.049095,3.6834),(2255,1945,0.049781,3.6833),(2255,1955,0.050466,3.6831),(2255,1965,0.051168,3.683),(2255,1975,0.051888,3.6828),(2255,1985,0.052608,3.6826),(2255,1995,0.053328,3.6824),(2255,2005,0.054066,3.6822),(2255,2015,0.054821,3.6821),(2255,2025,0.055576,3.6819),(2255,2035,0.056331,3.6816),(2255,2045,0.057106,3.6814),(2255,2055,0.057896,3.6812),(2255,2065,0.058687,3.681),(2255,2075,0.059478,3.6807),(2255,2085,0.06029,3.6805),(2255,2095,0.061117,3.6802),(2255,2105,0.061944,3.68),(2255,2115,0.062771,3.6797),(2255,2125,0.063621,3.6794),(2255,2135,0.064485,3.6791),(2255,2145,0.065348,3.6788),(2255,2155,0.066212,3.6785),(2255,2165,0.0671,3.6781),(2255,2175,0.068001,3.6778),(2255,2185,0.068901,3.6774),(2255,2195,0.069802,3.6771),(2255,2205,0.070728,3.6767),(2255,2215,0.071666,3.6763),(2255,2225,0.072604,3.6759),(2255,2235,0.073541,3.6755),(2255,2245,0.074506,3.6751),(2255,2255,0.07548,3.6747),(2255,2265,0.076455,3.6742),(2255,2275,0.077429,3.6737),(2255,2285,0.078431,3.6732),(2255,2295,0.079442,3.6728),(2255,2305,0.080452,3.6723),(2255,2315,0.081462,3.6717),(2255,2325,0.082501,3.6712),(2255,2335,0.083546,3.6707),(2255,2345,0.084592,3.6701),(2255,2355,0.085637,3.6695),(2255,2365,0.086711,3.6689),(2255,2375,0.08779,3.6683),(2255,2385,0.088869,3.6677),(2255,2395,0.089949,3.667),(2255,2405,0.091057,3.6663),(2255,2415,0.092168,3.6657),(2255,2425,0.093279,3.665),(2255,2435,0.09439,3.6642),(2255,2445,0.09553,3.6635),(2255,2455,0.096671,3.6628),(2255,2465,0.097813,3.662),(2255,2475,0.098954,3.6612),(2255,2485,0.10012,3.6604),(2255,2495,0.10129,3.6596),(2255,2505,0.10246,3.6587),(2255,2515,0.10363,3.6578),(2255,2525,0.10482,3.6569),(2255,2535,0.10602,3.656),(2255,2545,0.10721,3.6551),(2255,2555,0.1084,3.6541),(2255,2565,0.10962,3.6531),(2255,2575,0.11083,3.6522),(2255,2585,0.11204,3.6511),(2255,2595,0.11326,3.65),(2255,2605,0.11449,3.649),(2255,2615,0.11572,3.6479),(2255,2625,0.11695,3.6468),(2255,2635,0.11818,3.6456),(2255,2645,0.11943,3.6445),(2255,2655,0.12067,3.6433),(2255,2665,0.12191,3.6421),(2255,2675,0.12316,3.6408),(2255,2685,0.12441,3.6396),(2255,2695,0.12566,3.6383),(2255,2705,0.12691,3.637),(2255,2715,0.12816,3.6356),(2255,2725,0.12941,3.6343),(2255,2735,0.13066,3.6329),(2255,2745,0.13191,3.6314),(2255,2755,0.13316,3.63),(2255,2765,0.13441,3.6285),(2255,2775,0.13566,3.6271),(2255,2785,0.1369,3.6255),(2255,2795,0.13815,3.6239),(2255,2805,0.13938,3.6224),(2255,2815,0.14062,3.6208),(2255,2825,0.14185,3.6191),(2255,2835,0.14308,3.6175),(2255,2845,0.1443,3.6158),(2255,2855,0.14551,3.6141),(2255,2865,0.14673,3.6123),(2255,2875,0.14794,3.6105),(2255,2885,0.14913,3.6088),(2255,2895,0.15032,3.607),(2255,2905,0.15151,3.6051),(2255,2915,0.15269,3.6032),(2255,2925,0.15385,3.6013),(2255,2935,0.155,3.5994),(2255,2945,0.15616,3.5974),(2255,2955,0.1573,3.5954),(2255,2965,0.15841,3.5934),(2255,2975,0.15953,3.5913),(2255,2985,0.16065,3.5892),(2255,2995,0.16174,3.5871),(2255,3005,0.1628,3.585),(2255,3015,0.16387,3.5829),(2255,3025,0.16494,3.5806),(2255,3035,0.16597,3.5784),(2255,3045,0.16698,3.5762),(2255,3055,0.16799,3.574),(2255,3065,0.16899,3.5716),(2255,3075,0.16996,3.5693),(2255,3085,0.17091,3.567),(2255,3095,0.17185,3.5646),(2255,3105,0.17279,3.5622),(2255,3115,0.17368,3.5598),(2255,3125,0.17455,3.5574),(2255,3135,0.17542,3.5549),(2255,3145,0.17628,3.5524),(2255,3155,0.1771,3.5499),(2255,3165,0.17788,3.5474),(2255,3175,0.17867,3.5448),(2255,3185,0.17945,3.5422),(2255,3195,0.18017,3.5396),(2255,3205,0.18087,3.537),(2255,3215,0.18156,3.5343),(2255,3225,0.18225,3.5316),(2255,3235,0.18288,3.5289),(2255,3245,0.18347,3.5262),(2255,3255,0.18407,3.5235),(2255,3265,0.18467,3.5207),(2255,3275,0.18518,3.518),(2255,3285,0.18567,3.5152),(2255,3295,0.18617,3.5124),(2255,3305,0.18666,3.5095),(2255,3315,0.18706,3.5067),(2255,3325,0.18744,3.5039),(2255,3335,0.18782,3.501),(2255,3345,0.18821,3.4981),(2255,3355,0.18849,3.4952),(2255,3365,0.18875,3.4923),(2255,3375,0.18902,3.4894),(2255,3385,0.18928,3.4864),(2255,3395,0.18944,3.4835),(2255,3405,0.18959,3.4805),(2255,3415,0.18973,3.4775),(2255,3425,0.18988,3.4745),(2255,3435,0.18991,3.4716),(2255,3445,0.18993,3.4686),(2255,3455,0.18995,3.4656),(2255,3465,0.18997,3.4625),(2255,3475,0.18986,3.4595),(2255,3485,0.18976,3.4565),(2255,3495,0.18965,3.4535),(2255,3505,0.18954,3.4504),(2255,3515,0.1893,3.4474),(2255,3525,0.18907,3.4444),(2255,3535,0.18883,3.4413),(2255,3545,0.18858,3.4383),(2255,3555,0.18822,3.4353),(2255,3565,0.18785,3.4322),(2255,3575,0.18748,3.4292),(2255,3585,0.1871,3.4261),(2255,3595,0.1866,3.4231),(2255,3605,0.1861,3.4201),(2255,3615,0.1856,3.417),(2255,3625,0.18509,3.414),(2255,3635,0.18446,3.411),(2255,3645,0.18383,3.408),(2255,3655,0.1832,3.405),(2255,3665,0.18255,3.402),(2255,3675,0.18179,3.399),(2255,3685,0.18103,3.396),(2255,3695,0.18027,3.393),(2255,3705,0.17949,3.39),(2255,3715,0.1786,3.3871),(2255,3725,0.17772,3.3841),(2255,3735,0.17683,3.3812),(2255,3745,0.17592,3.3783),(2255,3755,0.17491,3.3753),(2255,3765,0.1739,3.3724),(2255,3775,0.17289,3.3696),(2255,3785,0.17185,3.3667),(2255,3795,0.17072,3.3638),(2255,3805,0.16959,3.361),(2255,3815,0.16847,3.3582),(2255,3825,0.1673,3.3554),(2255,3835,0.16606,3.3526),(2255,3845,0.16481,3.3498),(2255,3855,0.16357,3.3471),(2255,3865,0.16229,3.3443),(2255,3875,0.16093,3.3416),(2255,3885,0.15958,3.3389),(2255,3895,0.15823,3.3362),(2255,3905,0.18124,3.3335),(2255,3915,0.24067,3.3309),(2255,3925,0.30009,3.3268),(2255,3935,0.35952,3.3206),(2255,3945,0.42186,3.3145),(2255,3955,0.48792,3.3083),(2255,3965,0.55397,3.3005),(2255,3975,0.62002,3.2907),(2255,3985,0.65792,3.2809),(2255,3995,0.66534,3.2711),(2255,4005,0.67276,3.2611),(2255,4015,0.68017,3.251),(2255,4025,0.68864,3.2409),(2255,4035,0.69721,3.2306),(2255,4045,0.70578,3.2201),(2255,4055,0.71444,3.2096),(2255,4065,0.72314,3.1991),(2255,4075,0.73183,3.1882),(2255,4085,0.74012,3.1773),(2255,4095,0.74808,3.1664),(2255,4105,0.75603,3.1553),(2255,4115,0.73573,3.1441),(2255,4125,0.66857,3.133),(2255,4135,0.60142,3.1243),(2255,4145,0.5331,3.1162),(2255,4155,0.46006,3.1082),(2255,4165,0.38702,3.1021),(2255,4175,0.31834,3.0973),(2255,4185,0.46534,3.0925),(2255,4195,0.61235,3.0847),(2255,4205,0.75935,3.0731),(2255,4215,0.76381,3.0614),(2255,4225,0.74144,3.0497),(2255,4235,0.71907,3.0383),(2255,4245,0.67451,3.0269),(2255,4255,0.6187,3.0157),(2255,4265,0.56289,3.0064),(2255,4275,0.47487,2.9972),(2255,4285,0.35269,2.988),(2255,4295,0.2305,2.9848),(2255,4305,0.20581,2.9823),(2255,4315,0.40126,2.9798),(2255,4325,0.59671,2.9719),(2255,4335,0.77166,2.9619),(2255,4345,0.80782,2.9519),(2255,4355,0.84397,2.9409),(2255,4365,0.88013,2.9289),(2255,4375,0.89212,2.917),(2255,4385,0.90284,2.9049),(2255,4395,0.91357,2.8924),(2255,4405,0.80216,2.88),(2255,4415,0.65474,2.8686),(2255,4425,0.50732,2.862),(2255,4435,0.44751,2.8554),(2255,4445,0.44758,2.8488),(2255,4455,0.44765,2.8425),(2255,4465,0.52023,2.8362),(2255,4475,0.69466,2.8299),(2255,4485,0.86909,2.8182),(2255,4495,1.0048,2.8053),(2255,4505,1.0161,2.7923),(2255,4515,1.0275,2.7791),(2255,4525,1.0366,2.7657),(2255,4535,1.01,2.7523),(2255,4545,0.98348,2.7391),(2255,4555,0.95692,2.7261),(2255,4565,0.72339,2.7131),(2255,4575,0.46196,2.7032),(2255,4585,0.20053,2.7006),(2255,4595,0.23711,2.6981),(2255,4605,0.3996,2.6945),(2255,4615,0.56209,2.6832),(2255,4625,0.68876,2.6718),(2255,4635,0.78299,2.6604),(2255,4645,0.87722,2.647),(2255,4655,0.95437,2.6335),(2255,4665,0.99931,2.6199),(2255,4675,1.0443,2.6069),(2255,4685,1.0443,2.5941),(2255,4695,0.8225,2.5813),(2255,4705,0.6007,2.5735),(2255,4715,0.37891,2.5694),(2255,4725,0.50809,2.5652),(2255,4735,0.64079,2.5592),(2255,4745,0.77348,2.5503),(2255,4755,0.91022,2.5414),(2255,4765,1.0479,2.5315),(2255,4775,1.1856,2.5183),(2255,4785,1.2424,2.5051),(2255,4795,1.2526,2.4919),(2255,4805,1.2627,2.4788),(2255,4815,1.2089,2.4657),(2255,4825,1.0786,2.4526),(2255,4835,0.94835,2.4431),(2255,4845,0.81517,2.4342),(2255,4855,0.67447,2.4252),(2255,4865,0.53376,2.4194),(2255,4875,0.43707,2.4149),(2255,4885,0.74079,2.4104),(2255,4895,1.0445,2.4015),(2255,4905,1.3482,2.3884),(2255,4915,1.3563,2.3752),(2255,4925,1.3389,2.3619),(2255,4935,1.3215,2.3482),(2255,4945,1.2373,2.3346),(2255,4955,1.13,2.3211),(2255,4965,1.0228,2.3086),(2255,4975,0.81919,2.2961),(2255,4985,0.54126,2.2835),(2255,4995,0.26334,2.2818),(2255,5005,0.21754,2.2803),(2255,5015,0.54077,2.2788),(2255,5025,0.864,2.2704),(2255,5035,1.144,2.2603),(2255,5045,1.2595,2.2501),(2255,5055,1.3749,2.2384),(2255,5065,1.4872,2.2258),(2255,5075,1.4965,2.2132),(2255,5085,1.5057,2.2007),(2255,5095,1.5149,2.1885),(2255,5105,1.327,2.1762),(2255,5115,1.1048,2.1654),(2255,5125,0.88249,2.159),(2255,5135,0.7717,2.1525),(2255,5145,0.71502,2.1461),(2255,5155,0.65834,2.1405),(2255,5165,0.78219,2.1349),(2255,5175,1.0902,2.1293),(2255,5185,1.3982,2.1169),(2255,5195,1.6115,2.1038),(2255,5205,1.6208,2.0908),(2255,5215,1.6301,2.0779),(2255,5225,1.6306,2.0652),(2255,5235,1.5767,2.0524),(2255,5245,1.5229,2.0407),(2255,5255,1.4691,2.0298),(2255,5265,1.0329,2.0189),(2255,5275,0.58096,2.0118),(2255,5285,0.12903,2.0113),(2255,5295,0.33254,2.0108),(2255,5305,0.71858,2.0076),(2255,5315,1.1046,1.9936),(2255,5325,1.3267,1.9795),(2255,5335,1.4411,1.9654),(2255,5345,1.5556,1.9516),(2255,5355,1.631,1.9377),(2255,5365,1.6535,1.9238),(2255,5375,1.6761,1.9105),(2255,5385,1.5966,1.8973),(2255,5395,1.2067,1.8842),(2255,5405,0.81682,1.8773),(2255,5415,0.46831,1.8738),(2255,5425,0.67543,1.8703),(2255,5435,0.88255,1.8625),(2255,5445,1.0897,1.8501),(2255,5455,1.3047,1.8377),(2255,5465,1.5207,1.8232),(2255,5475,1.7366,1.804),(2255,5485,1.8097,1.7848),(2255,5495,1.8253,1.7656),(2255,5505,1.8409,1.7469),(2255,5515,1.8565,1.7283),(2255,5525,1.8721,1.7096),(2255,5535,1.8876,1.6915),(2255,5545,1.9029,1.6733),(2255,5555,1.9175,1.6552),(2255,5565,1.9321,1.6374),(2255,5575,1.9465,1.6198),(2255,5585,1.96,1.6022),(2255,5595,1.9736,1.5849),(2255,5605,1.9872,1.5677),(2255,5615,1.9998,1.5505),(2255,5625,2.0124,1.5336),(2255,5635,2.025,1.5169),(2255,5645,2.0369,1.5002),(2255,5655,2.0486,1.4836),(2255,5665,2.0603,1.4673),(2255,5675,2.0715,1.4511),(2255,5685,2.0823,1.4348),(2255,5695,2.0932,1.419),(2255,5705,2.1038,1.4031),(2255,5715,2.1139,1.3872),(2255,5725,2.124,1.3717),(2255,5735,2.1339,1.3562),(2255,5745,2.1433,1.3407),(2255,5755,2.1527,1.3254),(2255,5765,2.1621,1.3103),(2255,5775,2.1709,1.2951),(2255,5785,2.1796,1.2801),(2255,5795,2.1884,1.2653),(2255,5805,2.1966,1.2504),(2255,5815,2.2048,1.2357),(2255,5825,2.213,1.2212),(2255,5835,2.2207,1.2066),(2255,5845,2.2283,1.1921),(2255,5855,2.236,1.1779),(2255,5865,2.2433,1.1636),(2255,5875,2.2504,1.1494),(2255,5885,2.2575,1.1354),(2255,5895,2.2645,1.1214),(2255,5905,2.2711,1.1074),(2255,5915,2.2777,1.0937),(2255,5925,2.2843,1.0799),(2255,5935,2.2905,1.0662),(2255,5945,2.2967,1.0526),(2255,5955,2.3029,1.0392),(2255,5965,2.3089,1.0257),(2255,5975,2.3149,1.0123),(2255,5985,2.3208,0.99906),(2255,5995,1.7748,0.98581),(2255,6005,1.1399,0.97569),(2255,6015,0.50498,0.97394),(2255,6025,0.56129,0.97218),(2255,6035,0.93819,0.96937),(2255,6045,1.3151,0.95636),(2255,6055,1.5821,0.94336),(2255,6065,1.7414,0.93035),(2255,6075,1.9007,0.91355),(2255,6085,2.0098,0.89641),(2255,6095,2.0156,0.87926),(2255,6105,2.0213,0.86202),(2255,6115,2.0271,0.84474),(2255,6125,2.0325,0.82746),(2255,6135,2.038,0.81021),(2255,6145,2.0434,0.79298),(2255,6155,2.0486,0.77574),(2255,6165,2.0537,0.75855),(2255,6175,2.0588,0.74142),(2255,6185,2.0636,0.7243),(2255,6195,2.0683,0.70717),(2255,6205,2.0731,0.69002),(2255,6215,2.0776,0.67288),(2255,6225,2.0819,0.65574),(2255,6235,2.0863,0.6387),(2255,6245,2.0905,0.62166),(2255,6255,2.0945,0.60462),(2255,6265,2.0985,0.58762),(2255,6275,2.1024,0.57063),(2255,6285,2.106,0.55364),(2255,6295,2.1096,0.53664),(2255,6305,2.1132,0.51965),(2255,6315,2.1165,0.50266),(2255,6325,2.1198,0.48565),(2255,6335,2.123,0.46861),(2255,6345,2.126,0.45158),(2255,6355,2.1289,0.43455),(2255,6365,2.1318,0.41753),(2255,6375,2.1345,0.40051),(2255,6385,2.1371,0.3835),(2255,6395,2.1397,0.36653),(2255,6405,2.1421,0.34957),(2255,6415,2.1443,0.3326),(2255,6425,2.1465,0.3157),(2255,6435,2.1486,0.2988),(2255,6445,2.1504,0.2819),(2255,6455,2.1523,0.26502),(2255,6465,2.1541,0.24814),(2255,6475,2.1555,0.23126),(2255,6485,2.157,0.21438),(2255,6495,2.1585,0.19751),(2255,6505,2.1596,0.18064),(2255,6515,2.1607,0.16376),(2255,6525,2.1618,0.14686),(2255,6535,2.1626,0.12996),(2255,6545,2.1634,0.11305),(2255,6555,2.1642,0.096147),(2255,6565,2.1647,0.079242),(2255,6575,2.1651,0.062343),(2255,6585,2.1655,0.045524),(2255,6595,1.842,0.028706),(2255,6605,1.1609,0.011887),(2255,6615,0.47973,0.009929),(2255,6625,0.000896,0.00988),(2255,6635,0.000897,0.009832),(2255,6645,0.000898,0.00981),(2255,6655,0.0009,0.009799),(2255,6665,0.000901,0.009788),(2255,6675,0.000903,0.009777),(2255,6685,0.000904,0.009766),(2255,6695,0.000905,0.009756),(2255,6705,0.000907,0.009745),(2255,6715,0.000908,0.009735),(2255,6725,0.000909,0.009724),(2255,6735,0.00091,0.009714),(2255,6745,0.000911,0.009703),(2255,6755,0.000912,0.009693),(2255,6765,0.000914,0.009682),(2255,6775,0.000915,0.009672),(2255,6785,0.000916,0.009662),(2255,6795,0.000917,0.009651),(2255,6805,0.000918,0.009641),(2255,6815,0.000919,0.009631),(2255,6825,0.00092,0.009621),(2255,6835,0.000921,0.00961),(2255,6845,0.000922,0.0096),(2255,6855,0.000923,0.00959),(2255,6865,0.000924,0.00958),(2255,6875,0.000925,0.00957),(2255,6885,0.000926,0.00956),(2255,6895,0.000926,0.00955),(2255,6905,0.000927,0.00954),(2255,6915,0.000928,0.00953),(2255,6925,0.000929,0.00952),(2255,6935,0.00093,0.00951),(2255,6945,0.000931,0.0095),(2255,6955,0.000932,0.00949),(2255,6965,0.000932,0.00948),(2255,6975,0.000933,0.00947),(2255,6985,0.000934,0.00946),(2265,5,4.8e-05,3.6835),(2265,15,0.000144,3.6835),(2265,25,0.00024,3.6835),(2265,35,0.000337,3.6835),(2265,45,0.000433,3.6835),(2265,55,0.000529,3.6835),(2265,65,0.000626,3.6835),(2265,75,0.000722,3.6835),(2265,85,0.000819,3.6835),(2265,95,0.000916,3.6835),(2265,105,0.001012,3.6835),(2265,115,0.00111,3.6835),(2265,125,0.001207,3.6835),(2265,135,0.001304,3.6835),(2265,145,0.001402,3.6835),(2265,155,0.0015,3.6835),(2265,165,0.001598,3.6835),(2265,175,0.001696,3.6835),(2265,185,0.001795,3.6835),(2265,195,0.001894,3.6835),(2265,205,0.001993,3.6835),(2265,215,0.002092,3.6835),(2265,225,0.002192,3.6836),(2265,235,0.002293,3.6836),(2265,245,0.002393,3.6836),(2265,255,0.002494,3.6836),(2265,265,0.002596,3.6836),(2265,275,0.002698,3.6836),(2265,285,0.0028,3.6836),(2265,295,0.002902,3.6836),(2265,305,0.003006,3.6836),(2265,315,0.00311,3.6836),(2265,325,0.003214,3.6836),(2265,335,0.003318,3.6836),(2265,345,0.003424,3.6836),(2265,355,0.00353,3.6836),(2265,365,0.003636,3.6837),(2265,375,0.003742,3.6837),(2265,385,0.00385,3.6837),(2265,395,0.003959,3.6837),(2265,405,0.004067,3.6837),(2265,415,0.004176,3.6837),(2265,425,0.004287,3.6837),(2265,435,0.004398,3.6837),(2265,445,0.004509,3.6837),(2265,455,0.00462,3.6837),(2265,465,0.004734,3.6838),(2265,475,0.004849,3.6838),(2265,485,0.004963,3.6838),(2265,495,0.005078,3.6838),(2265,505,0.005195,3.6838),(2265,515,0.005313,3.6838),(2265,525,0.005431,3.6838),(2265,535,0.005549,3.6839),(2265,545,0.00567,3.6839),(2265,555,0.005792,3.6839),(2265,565,0.005913,3.6839),(2265,575,0.006035,3.6839),(2265,585,0.00616,3.6839),(2265,595,0.006286,3.6839),(2265,605,0.006411,3.684),(2265,615,0.006537,3.684),(2265,625,0.006667,3.684),(2265,635,0.006797,3.684),(2265,645,0.006927,3.684),(2265,655,0.007058,3.684),(2265,665,0.007193,3.6841),(2265,675,0.007328,3.6841),(2265,685,0.007463,3.6841),(2265,695,0.007599,3.6841),(2265,705,0.007739,3.6841),(2265,715,0.007879,3.6842),(2265,725,0.00802,3.6842),(2265,735,0.008161,3.6842),(2265,745,0.008307,3.6842),(2265,755,0.008453,3.6842),(2265,765,0.008599,3.6843),(2265,775,0.008747,3.6843),(2265,785,0.008899,3.6843),(2265,795,0.009052,3.6843),(2265,805,0.009204,3.6843),(2265,815,0.009358,3.6844),(2265,825,0.009517,3.6844),(2265,835,0.009677,3.6844),(2265,845,0.009836,3.6844),(2265,855,0.009997,3.6845),(2265,865,0.010164,3.6845),(2265,875,0.01033,3.6845),(2265,885,0.010496,3.6845),(2265,895,0.010666,3.6846),(2265,905,0.01084,3.6846),(2265,915,0.011014,3.6846),(2265,925,0.011188,3.6846),(2265,935,0.011366,3.6847),(2265,945,0.011549,3.6847),(2265,955,0.011731,3.6847),(2265,965,0.011914,3.6847),(2265,975,0.012101,3.6848),(2265,985,0.012292,3.6848),(2265,995,0.012484,3.6848),(2265,1005,0.012676,3.6849),(2265,1015,0.012873,3.6849),(2265,1025,0.013075,3.6849),(2265,1035,0.013276,3.6849),(2265,1045,0.013478,3.685),(2265,1055,0.013685,3.685),(2265,1065,0.013897,3.685),(2265,1075,0.014109,3.685),(2265,1085,0.014322,3.6851),(2265,1095,0.01454,3.6851),(2265,1105,0.014763,3.6851),(2265,1115,0.014986,3.6852),(2265,1125,0.015209,3.6852),(2265,1135,0.01544,3.6852),(2265,1145,0.015675,3.6853),(2265,1155,0.01591,3.6853),(2265,1165,0.016145,3.6853),(2265,1175,0.016389,3.6853),(2265,1185,0.016636,3.6854),(2265,1195,0.016884,3.6854),(2265,1205,0.017132,3.6854),(2265,1215,0.01739,3.6855),(2265,1225,0.017651,3.6855),(2265,1235,0.017912,3.6855),(2265,1245,0.018174,3.6855),(2265,1255,0.018446,3.6856),(2265,1265,0.018722,3.6856),(2265,1275,0.018998,3.6856),(2265,1285,0.019274,3.6856),(2265,1295,0.019562,3.6857),(2265,1305,0.019854,3.6857),(2265,1315,0.020145,3.6857),(2265,1325,0.020437,3.6857),(2265,1335,0.020742,3.6858),(2265,1345,0.02105,3.6858),(2265,1355,0.021358,3.6858),(2265,1365,0.021665,3.6858),(2265,1375,0.021988,3.6859),(2265,1385,0.022314,3.6859),(2265,1395,0.022639,3.6859),(2265,1405,0.022964,3.6859),(2265,1415,0.023306,3.6859),(2265,1425,0.02365,3.686),(2265,1435,0.023993,3.686),(2265,1445,0.024337,3.686),(2265,1455,0.024699,3.686),(2265,1465,0.025062,3.686),(2265,1475,0.025425,3.686),(2265,1485,0.025788,3.686),(2265,1495,0.026171,3.6861),(2265,1505,0.026555,3.6861),(2265,1515,0.026938,3.6861),(2265,1525,0.027323,3.6861),(2265,1535,0.027728,3.6861),(2265,1545,0.028133,3.6861),(2265,1555,0.028539,3.6861),(2265,1565,0.028946,3.6861),(2265,1575,0.029374,3.6861),(2265,1585,0.029803,3.6861),(2265,1595,0.030231,3.6861),(2265,1605,0.030662,3.6861),(2265,1615,0.031115,3.6861),(2265,1625,0.031567,3.6861),(2265,1635,0.03202,3.686),(2265,1645,0.032476,3.686),(2265,1655,0.032954,3.686),(2265,1665,0.033431,3.686),(2265,1675,0.033909,3.686),(2265,1685,0.034392,3.6859),(2265,1695,0.034896,3.6859),(2265,1705,0.035401,3.6859),(2265,1715,0.035905,3.6858),(2265,1725,0.036416,3.6858),(2265,1735,0.036948,3.6858),(2265,1745,0.03748,3.6857),(2265,1755,0.038012,3.6857),(2265,1765,0.038552,3.6856),(2265,1775,0.039113,3.6856),(2265,1785,0.039674,3.6855),(2265,1795,0.040236,3.6854),(2265,1805,0.040806,3.6854),(2265,1815,0.041397,3.6853),(2265,1825,0.041989,3.6852),(2265,1835,0.04258,3.6852),(2265,1845,0.043182,3.6851),(2265,1855,0.043805,3.685),(2265,1865,0.044428,3.6849),(2265,1875,0.045051,3.6848),(2265,1885,0.045686,3.6847),(2265,1895,0.046341,3.6846),(2265,1905,0.046996,3.6845),(2265,1915,0.047652,3.6843),(2265,1925,0.048321,3.6842),(2265,1935,0.04901,3.6841),(2265,1945,0.049699,3.684),(2265,1955,0.050388,3.6838),(2265,1965,0.051093,3.6837),(2265,1975,0.051817,3.6835),(2265,1985,0.05254,3.6834),(2265,1995,0.053264,3.6832),(2265,2005,0.054005,3.683),(2265,2015,0.054764,3.6828),(2265,2025,0.055523,3.6826),(2265,2035,0.056282,3.6824),(2265,2045,0.057061,3.6822),(2265,2055,0.057857,3.682),(2265,2065,0.058652,3.6818),(2265,2075,0.059448,3.6815),(2265,2085,0.060265,3.6813),(2265,2095,0.061097,3.6811),(2265,2105,0.06193,3.6808),(2265,2115,0.062762,3.6805),(2265,2125,0.063618,3.6802),(2265,2135,0.064488,3.68),(2265,2145,0.065358,3.6797),(2265,2155,0.066227,3.6793),(2265,2165,0.067122,3.679),(2265,2175,0.068029,3.6787),(2265,2185,0.068937,3.6784),(2265,2195,0.069844,3.678),(2265,2205,0.070778,3.6776),(2265,2215,0.071724,3.6773),(2265,2225,0.072669,3.6769),(2265,2235,0.073614,3.6765),(2265,2245,0.074587,3.676),(2265,2255,0.07557,3.6756),(2265,2265,0.076553,3.6752),(2265,2275,0.077536,3.6747),(2265,2285,0.078547,3.6743),(2265,2295,0.079567,3.6738),(2265,2305,0.080586,3.6733),(2265,2315,0.081606,3.6728),(2265,2325,0.082655,3.6722),(2265,2335,0.083711,3.6717),(2265,2345,0.084767,3.6712),(2265,2355,0.085822,3.6706),(2265,2365,0.086908,3.67),(2265,2375,0.087998,3.6694),(2265,2385,0.089088,3.6688),(2265,2395,0.090179,3.6681),(2265,2405,0.091299,3.6675),(2265,2415,0.092422,3.6668),(2265,2425,0.093546,3.6661),(2265,2435,0.09467,3.6654),(2265,2445,0.095822,3.6647),(2265,2455,0.096977,3.6639),(2265,2465,0.098132,3.6631),(2265,2475,0.099286,3.6624),(2265,2485,0.10047,3.6616),(2265,2495,0.10165,3.6608),(2265,2505,0.10283,3.6599),(2265,2515,0.10402,3.659),(2265,2525,0.10523,3.6581),(2265,2535,0.10644,3.6572),(2265,2545,0.10764,3.6563),(2265,2555,0.10885,3.6553),(2265,2565,0.11008,3.6544),(2265,2575,0.11131,3.6534),(2265,2585,0.11254,3.6523),(2265,2595,0.11378,3.6513),(2265,2605,0.11502,3.6502),(2265,2615,0.11627,3.6492),(2265,2625,0.11752,3.648),(2265,2635,0.11877,3.6469),(2265,2645,0.12003,3.6457),(2265,2655,0.12129,3.6446),(2265,2665,0.12255,3.6433),(2265,2675,0.12381,3.6421),(2265,2685,0.12508,3.6408),(2265,2695,0.12635,3.6396),(2265,2705,0.12762,3.6382),(2265,2715,0.12889,3.6369),(2265,2725,0.13016,3.6355),(2265,2735,0.13143,3.6342),(2265,2745,0.1327,3.6327),(2265,2755,0.13397,3.6313),(2265,2765,0.13524,3.6298),(2265,2775,0.13651,3.6283),(2265,2785,0.13777,3.6268),(2265,2795,0.13904,3.6252),(2265,2805,0.14029,3.6237),(2265,2815,0.14155,3.6221),(2265,2825,0.1428,3.6204),(2265,2835,0.14405,3.6187),(2265,2845,0.14529,3.6171),(2265,2855,0.14653,3.6153),(2265,2865,0.14777,3.6136),(2265,2875,0.149,3.6118),(2265,2885,0.15021,3.61),(2265,2895,0.15142,3.6082),(2265,2905,0.15263,3.6063),(2265,2915,0.15383,3.6044),(2265,2925,0.15501,3.6025),(2265,2935,0.15619,3.6006),(2265,2945,0.15737,3.5985),(2265,2955,0.15853,3.5965),(2265,2965,0.15967,3.5945),(2265,2975,0.1608,3.5925),(2265,2985,0.16194,3.5904),(2265,2995,0.16305,3.5882),(2265,3005,0.16414,3.5861),(2265,3015,0.16523,3.584),(2265,3025,0.16631,3.5817),(2265,3035,0.16737,3.5795),(2265,3045,0.1684,3.5773),(2265,3055,0.16943,3.575),(2265,3065,0.17046,3.5727),(2265,3075,0.17145,3.5703),(2265,3085,0.17241,3.568),(2265,3095,0.17337,3.5656),(2265,3105,0.17433,3.5632),(2265,3115,0.17525,3.5607),(2265,3125,0.17613,3.5583),(2265,3135,0.17702,3.5558),(2265,3145,0.17791,3.5532),(2265,3155,0.17874,3.5507),(2265,3165,0.17954,3.5482),(2265,3175,0.18034,3.5456),(2265,3185,0.18115,3.5429),(2265,3195,0.18189,3.5403),(2265,3205,0.1826,3.5377),(2265,3215,0.18331,3.535),(2265,3225,0.18402,3.5323),(2265,3235,0.18466,3.5296),(2265,3245,0.18527,3.5269),(2265,3255,0.18588,3.5241),(2265,3265,0.1865,3.5213),(2265,3275,0.18703,3.5185),(2265,3285,0.18753,3.5157),(2265,3295,0.18804,3.5129),(2265,3305,0.18855,3.51),(2265,3315,0.18896,3.5071),(2265,3325,0.18936,3.5043),(2265,3335,0.18975,3.5014),(2265,3345,0.19015,3.4984),(2265,3355,0.19044,3.4955),(2265,3365,0.19072,3.4926),(2265,3375,0.19099,3.4896),(2265,3385,0.19127,3.4866),(2265,3395,0.19144,3.4837),(2265,3405,0.19159,3.4807),(2265,3415,0.19174,3.4777),(2265,3425,0.1919,3.4746),(2265,3435,0.19194,3.4716),(2265,3445,0.19196,3.4686),(2265,3455,0.19199,3.4656),(2265,3465,0.19202,3.4625),(2265,3475,0.19192,3.4595),(2265,3485,0.19182,3.4564),(2265,3495,0.19172,3.4534),(2265,3505,0.19161,3.4503),(2265,3515,0.19138,3.4472),(2265,3525,0.19114,3.4441),(2265,3535,0.19091,3.4411),(2265,3545,0.19067,3.438),(2265,3555,0.1903,3.4349),(2265,3565,0.18994,3.4318),(2265,3575,0.18957,3.4288),(2265,3585,0.18919,3.4257),(2265,3595,0.18869,3.4226),(2265,3605,0.18819,3.4196),(2265,3615,0.18769,3.4165),(2265,3625,0.18717,3.4134),(2265,3635,0.18654,3.4104),(2265,3645,0.18591,3.4073),(2265,3655,0.18528,3.4043),(2265,3665,0.18462,3.4013),(2265,3675,0.18386,3.3982),(2265,3685,0.1831,3.3952),(2265,3695,0.18234,3.3922),(2265,3705,0.18155,3.3892),(2265,3715,0.18065,3.3862),(2265,3725,0.17976,3.3832),(2265,3735,0.17887,3.3803),(2265,3745,0.17795,3.3773),(2265,3755,0.17693,3.3744),(2265,3765,0.17592,3.3714),(2265,3775,0.1749,3.3685),(2265,3785,0.17385,3.3656),(2265,3795,0.17271,3.3627),(2265,3805,0.17158,3.3598),(2265,3815,0.17044,3.357),(2265,3825,0.16926,3.3542),(2265,3835,0.16801,3.3513),(2265,3845,0.16676,3.3485),(2265,3855,0.1655,3.3458),(2265,3865,0.16421,3.343),(2265,3875,0.16284,3.3402),(2265,3885,0.16148,3.3375),(2265,3895,0.16011,3.3348),(2265,3905,0.18336,3.3321),(2265,3915,0.24338,3.3294),(2265,3925,0.3034,3.3252),(2265,3935,0.36341,3.319),(2265,3945,0.42636,3.3128),(2265,3955,0.49302,3.3066),(2265,3965,0.55967,3.2988),(2265,3975,0.62633,3.2889),(2265,3985,0.66457,3.279),(2265,3995,0.67203,3.2691),(2265,4005,0.6795,3.259),(2265,4015,0.68697,3.2489),(2265,4025,0.69551,3.2387),(2265,4035,0.70415,3.2283),(2265,4045,0.7128,3.2178),(2265,4055,0.72153,3.2072),(2265,4065,0.7303,3.1966),(2265,4075,0.73907,3.1857),(2265,4085,0.74742,3.1747),(2265,4095,0.75542,3.1638),(2265,4105,0.76343,3.1526),(2265,4115,0.74291,3.1414),(2265,4125,0.6751,3.1301),(2265,4135,0.60729,3.1214),(2265,4145,0.53831,3.1132),(2265,4155,0.4646,3.1051),(2265,4165,0.3909,3.099),(2265,4175,0.32159,3.0942),(2265,4185,0.47004,3.0894),(2265,4195,0.61848,3.0816),(2265,4205,0.76693,3.0698),(2265,4215,0.77161,3.058),(2265,4225,0.74924,3.0463),(2265,4235,0.72687,3.0347),(2265,4245,0.68204,3.0232),(2265,4255,0.6258,3.0118),(2265,4265,0.56957,3.0025),(2265,4275,0.48061,2.9931),(2265,4285,0.35693,2.9838),(2265,4295,0.23326,2.9805),(2265,4305,0.20796,2.978),(2265,4315,0.40482,2.9755),(2265,4325,0.60168,2.9676),(2265,4335,0.77791,2.9575),(2265,4345,0.81449,2.9475),(2265,4355,0.85107,2.9364),(2265,4365,0.88764,2.9243),(2265,4375,0.89974,2.9123),(2265,4385,0.91056,2.9001),(2265,4395,0.92138,2.8876),(2265,4405,0.80915,2.8751),(2265,4415,0.66063,2.8637),(2265,4425,0.51211,2.8572),(2265,4435,0.4518,2.8506),(2265,4445,0.45177,2.844),(2265,4455,0.45175,2.8377),(2265,4465,0.52477,2.8314),(2265,4475,0.70041,2.8252),(2265,4485,0.87604,2.8133),(2265,4495,1.0127,2.8003),(2265,4505,1.0241,2.7873),(2265,4515,1.0356,2.7739),(2265,4525,1.0448,2.7604),(2265,4535,1.0182,2.7469),(2265,4545,0.99163,2.7336),(2265,4555,0.96506,2.7205),(2265,4565,0.72979,2.7075),(2265,4575,0.46639,2.6975),(2265,4585,0.20298,2.6949),(2265,4595,0.24032,2.6923),(2265,4605,0.40473,2.6887),(2265,4615,0.56914,2.6772),(2265,4625,0.69685,2.6657),(2265,4635,0.79133,2.6542),(2265,4645,0.8858,2.6407),(2265,4655,0.96296,2.6272),(2265,4665,1.0075,2.6136),(2265,4675,1.052,2.6005),(2265,4685,1.0514,2.5876),(2265,4695,0.82799,2.5747),(2265,4705,0.60458,2.5669),(2265,4715,0.38118,2.5627),(2265,4725,0.51119,2.5584),(2265,4735,0.64473,2.5524),(2265,4745,0.77828,2.5435),(2265,4755,0.91571,2.5346),(2265,4765,1.054,2.5248),(2265,4775,1.1924,2.5116),(2265,4785,1.2494,2.4984),(2265,4795,1.2595,2.4853),(2265,4805,1.2696,2.4721),(2265,4815,1.2154,2.459),(2265,4825,1.0845,2.4459),(2265,4835,0.95351,2.4364),(2265,4845,0.81966,2.4274),(2265,4855,0.67824,2.4184),(2265,4865,0.53683,2.4125),(2265,4875,0.43961,2.408),(2265,4885,0.74457,2.4035),(2265,4895,1.0495,2.3946),(2265,4905,1.3545,2.3814),(2265,4915,1.3628,2.3682),(2265,4925,1.3456,2.3548),(2265,4935,1.3284,2.3412),(2265,4945,1.2445,2.3275),(2265,4955,1.1374,2.314),(2265,4965,1.0302,2.3014),(2265,4975,0.82557,2.2888),(2265,4985,0.54558,2.2762),(2265,4995,0.2656,2.2745),(2265,5005,0.21898,2.273),(2265,5015,0.54336,2.2715),(2265,5025,0.86774,2.2631),(2265,5035,1.1487,2.2529),(2265,5045,1.2644,2.2428),(2265,5055,1.3801,2.2311),(2265,5065,1.4926,2.2185),(2265,5075,1.5016,2.2058),(2265,5085,1.5107,2.1934),(2265,5095,1.5198,2.1811),(2265,5105,1.3313,2.1688),(2265,5115,1.1083,2.1581),(2265,5125,0.88524,2.1516),(2265,5135,0.77421,2.1452),(2265,5145,0.71754,2.1388),(2265,5155,0.66086,2.1332),(2265,5165,0.78513,2.1276),(2265,5175,1.094,2.122),(2265,5185,1.4028,2.1096),(2265,5195,1.6167,2.0965),(2265,5205,1.6258,2.0835),(2265,5215,1.6349,2.0706),(2265,5225,1.6353,2.0579),(2265,5235,1.5812,2.0452),(2265,5245,1.527,2.0335),(2265,5255,1.4728,2.0226),(2265,5265,1.0356,2.0117),(2265,5275,0.58264,2.0047),(2265,5285,0.12964,2.0041),(2265,5295,0.33472,2.0036),(2265,5305,0.72307,2.0004),(2265,5315,1.1114,1.9863),(2265,5325,1.334,1.9722),(2265,5335,1.4479,1.9581),(2265,5345,1.5619,1.9443),(2265,5355,1.6367,1.9304),(2265,5365,1.659,1.9165),(2265,5375,1.6812,1.9032),(2265,5385,1.6012,1.89),(2265,5395,1.2102,1.8769),(2265,5405,0.81918,1.8701),(2265,5415,0.46973,1.8665),(2265,5425,0.67862,1.863),(2265,5435,0.8875,1.8552),(2265,5445,1.0964,1.8429),(2265,5455,1.3125,1.8305),(2265,5465,1.5296,1.8161),(2265,5475,1.7466,1.7969),(2265,5485,1.8198,1.7778),(2265,5495,1.8352,1.7587),(2265,5505,1.8506,1.7401),(2265,5515,1.8659,1.7216),(2265,5525,1.8813,1.703),(2265,5535,1.8966,1.6849),(2265,5545,1.9116,1.6668),(2265,5555,1.926,1.6488),(2265,5565,1.9404,1.6311),(2265,5575,1.9545,1.6136),(2265,5585,1.9679,1.5961),(2265,5595,1.9813,1.5788),(2265,5605,1.9946,1.5617),(2265,5615,2.0071,1.5446),(2265,5625,2.0195,1.5277),(2265,5635,2.0319,1.5111),(2265,5645,2.0436,1.4945),(2265,5655,2.0551,1.478),(2265,5665,2.0666,1.4618),(2265,5675,2.0776,1.4456),(2265,5685,2.0884,1.4294),(2265,5695,2.0991,1.4136),(2265,5705,2.1094,1.3978),(2265,5715,2.1194,1.3821),(2265,5725,2.1294,1.3666),(2265,5735,2.1391,1.3512),(2265,5745,2.1484,1.3357),(2265,5755,2.1577,1.3205),(2265,5765,2.1669,1.3055),(2265,5775,2.1755,1.2904),(2265,5785,2.1841,1.2755),(2265,5795,2.1928,1.2607),(2265,5805,2.2009,1.2459),(2265,5815,2.2089,1.2313),(2265,5825,2.217,1.2168),(2265,5835,2.2246,1.2023),(2265,5845,2.2321,1.1879),(2265,5855,2.2396,1.1738),(2265,5865,2.2468,1.1596),(2265,5875,2.2538,1.1454),(2265,5885,2.2608,1.1315),(2265,5895,2.2677,1.1176),(2265,5905,2.2742,1.1037),(2265,5915,2.2807,1.09),(2265,5925,2.2872,1.0763),(2265,5935,2.2933,1.0626),(2265,5945,2.2994,1.0491),(2265,5955,2.3055,1.0357),(2265,5965,2.3114,1.0223),(2265,5975,2.3173,1.009),(2265,5985,2.3231,0.99584),(2265,5995,1.7765,0.98266),(2265,6005,1.141,0.9726),(2265,6015,0.50551,0.97086),(2265,6025,0.56288,0.96912),(2265,6035,0.94161,0.96632),(2265,6045,1.3203,0.95335),(2265,6055,1.5886,0.94037),(2265,6065,1.7485,0.9274),(2265,6075,1.9084,0.91063),(2265,6085,2.018,0.89352),(2265,6095,2.0237,0.87641),(2265,6105,2.0294,0.85921),(2265,6115,2.0351,0.84197),(2265,6125,2.0405,0.82474),(2265,6135,2.0459,0.80753),(2265,6145,2.0514,0.79035),(2265,6155,2.0564,0.77317),(2265,6165,2.0615,0.75603),(2265,6175,2.0666,0.73895),(2265,6185,2.0713,0.72188),(2265,6195,2.0761,0.7048),(2265,6205,2.0808,0.68771),(2265,6215,2.0853,0.67061),(2265,6225,2.0896,0.65352),(2265,6235,2.094,0.63653),(2265,6245,2.0981,0.61954),(2265,6255,2.1021,0.60255),(2265,6265,2.1061,0.5856),(2265,6275,2.1099,0.56865),(2265,6285,2.1135,0.55171),(2265,6295,2.1171,0.53477),(2265,6305,2.1207,0.51783),(2265,6315,2.1239,0.5009),(2265,6325,2.1272,0.48394),(2265,6335,2.1304,0.46697),(2265,6345,2.1334,0.45),(2265,6355,2.1363,0.43304),(2265,6365,2.1392,0.41608),(2265,6375,2.1418,0.39913),(2265,6385,2.1444,0.38218),(2265,6395,2.147,0.36528),(2265,6405,2.1493,0.34837),(2265,6415,2.1516,0.33146),(2265,6425,2.1538,0.31462),(2265,6435,2.1559,0.29777),(2265,6445,2.1577,0.28093),(2265,6455,2.1595,0.26409),(2265,6465,2.1613,0.24726),(2265,6475,2.1628,0.23044),(2265,6485,2.1642,0.21362),(2265,6495,2.1657,0.1968),(2265,6505,2.1668,0.17999),(2265,6515,2.1679,0.16316),(2265,6525,2.169,0.14633),(2265,6535,2.1698,0.12949),(2265,6545,2.1706,0.11266),(2265,6555,2.1714,0.095819),(2265,6565,2.1719,0.078981),(2265,6575,2.1723,0.062148),(2265,6585,2.1727,0.045388),(2265,6595,1.8481,0.028628),(2265,6605,1.1647,0.011869),(2265,6615,0.48131,0.009921),(2265,6625,0.000902,0.009876),(2265,6635,0.000904,0.009832),(2265,6645,0.000905,0.009811),(2265,6655,0.000906,0.0098),(2265,6665,0.000908,0.009789),(2265,6675,0.000909,0.009778),(2265,6685,0.00091,0.009768),(2265,6695,0.000912,0.009757),(2265,6705,0.000913,0.009746),(2265,6715,0.000914,0.009736),(2265,6725,0.000915,0.009725),(2265,6735,0.000916,0.009715),(2265,6745,0.000918,0.009704),(2265,6755,0.000919,0.009694),(2265,6765,0.00092,0.009683),(2265,6775,0.000921,0.009673),(2265,6785,0.000922,0.009663),(2265,6795,0.000923,0.009652),(2265,6805,0.000924,0.009642),(2265,6815,0.000925,0.009632),(2265,6825,0.000926,0.009621),(2265,6835,0.000927,0.009611),(2265,6845,0.000928,0.009601),(2265,6855,0.000929,0.009591),(2265,6865,0.00093,0.009581),(2265,6875,0.000931,0.009571),(2265,6885,0.000931,0.009561),(2265,6895,0.000932,0.009551),(2265,6905,0.000933,0.009541),(2265,6915,0.000934,0.009531),(2265,6925,0.000935,0.009521),(2265,6935,0.000936,0.009511),(2265,6945,0.000936,0.009501),(2265,6955,0.000937,0.009491),(2265,6965,0.000938,0.009481),(2265,6975,0.000939,0.009471),(2265,6985,0.00094,0.009461),(2275,5,4.8e-05,3.6836),(2275,15,0.000143,3.6836),(2275,25,0.000239,3.6836),(2275,35,0.000334,3.6836),(2275,45,0.00043,3.6836),(2275,55,0.000525,3.6836),(2275,65,0.000621,3.6836),(2275,75,0.000717,3.6836),(2275,85,0.000813,3.6836),(2275,95,0.000909,3.6836),(2275,105,0.001005,3.6836),(2275,115,0.001102,3.6836),(2275,125,0.001198,3.6836),(2275,135,0.001295,3.6836),(2275,145,0.001391,3.6836),(2275,155,0.001489,3.6836),(2275,165,0.001586,3.6836),(2275,175,0.001683,3.6836),(2275,185,0.001781,3.6836),(2275,195,0.00188,3.6836),(2275,205,0.001978,3.6836),(2275,215,0.002076,3.6836),(2275,225,0.002176,3.6837),(2275,235,0.002276,3.6837),(2275,245,0.002376,3.6837),(2275,255,0.002475,3.6837),(2275,265,0.002576,3.6837),(2275,275,0.002678,3.6837),(2275,285,0.002779,3.6837),(2275,295,0.002881,3.6837),(2275,305,0.002984,3.6837),(2275,315,0.003087,3.6837),(2275,325,0.00319,3.6837),(2275,335,0.003293,3.6837),(2275,345,0.003398,3.6837),(2275,355,0.003504,3.6837),(2275,365,0.003609,3.6838),(2275,375,0.003714,3.6838),(2275,385,0.003822,3.6838),(2275,395,0.003929,3.6838),(2275,405,0.004037,3.6838),(2275,415,0.004145,3.6838),(2275,425,0.004255,3.6838),(2275,435,0.004365,3.6838),(2275,445,0.004476,3.6838),(2275,455,0.004586,3.6839),(2275,465,0.0047,3.6839),(2275,475,0.004813,3.6839),(2275,485,0.004927,3.6839),(2275,495,0.00504,3.6839),(2275,505,0.005157,3.6839),(2275,515,0.005274,3.6839),(2275,525,0.005391,3.684),(2275,535,0.005508,3.684),(2275,545,0.005629,3.684),(2275,555,0.005749,3.684),(2275,565,0.00587,3.684),(2275,575,0.005991,3.684),(2275,585,0.006115,3.684),(2275,595,0.00624,3.6841),(2275,605,0.006364,3.6841),(2275,615,0.006489,3.6841),(2275,625,0.006619,3.6841),(2275,635,0.006748,3.6841),(2275,645,0.006877,3.6842),(2275,655,0.007007,3.6842),(2275,665,0.007141,3.6842),(2275,675,0.007275,3.6842),(2275,685,0.007409,3.6842),(2275,695,0.007544,3.6843),(2275,705,0.007683,3.6843),(2275,715,0.007822,3.6843),(2275,725,0.007961,3.6843),(2275,735,0.008102,3.6843),(2275,745,0.008247,3.6844),(2275,755,0.008392,3.6844),(2275,765,0.008537,3.6844),(2275,775,0.008684,3.6844),(2275,785,0.008835,3.6845),(2275,795,0.008986,3.6845),(2275,805,0.009138,3.6845),(2275,815,0.009291,3.6845),(2275,825,0.009449,3.6846),(2275,835,0.009607,3.6846),(2275,845,0.009765,3.6846),(2275,855,0.009926,3.6846),(2275,865,0.010091,3.6847),(2275,875,0.010257,3.6847),(2275,885,0.010422,3.6847),(2275,895,0.010591,3.6847),(2275,905,0.010764,3.6848),(2275,915,0.010937,3.6848),(2275,925,0.01111,3.6848),(2275,935,0.011286,3.6848),(2275,945,0.011468,3.6849),(2275,955,0.011649,3.6849),(2275,965,0.011831,3.6849),(2275,975,0.012017,3.685),(2275,985,0.012207,3.685),(2275,995,0.012398,3.685),(2275,1005,0.012589,3.685),(2275,1015,0.012785,3.6851),(2275,1025,0.012985,3.6851),(2275,1035,0.013186,3.6851),(2275,1045,0.013386,3.6852),(2275,1055,0.013593,3.6852),(2275,1065,0.013804,3.6852),(2275,1075,0.014015,3.6853),(2275,1085,0.014226,3.6853),(2275,1095,0.014443,3.6853),(2275,1105,0.014665,3.6854),(2275,1115,0.014887,3.6854),(2275,1125,0.015109,3.6854),(2275,1135,0.015339,3.6855),(2275,1145,0.015573,3.6855),(2275,1155,0.015807,3.6855),(2275,1165,0.016041,3.6855),(2275,1175,0.016283,3.6856),(2275,1185,0.01653,3.6856),(2275,1195,0.016777,3.6856),(2275,1205,0.017024,3.6857),(2275,1215,0.01728,3.6857),(2275,1225,0.017541,3.6857),(2275,1235,0.017801,3.6858),(2275,1245,0.018062,3.6858),(2275,1255,0.018333,3.6858),(2275,1265,0.018608,3.6859),(2275,1275,0.018883,3.6859),(2275,1285,0.019158,3.6859),(2275,1295,0.019445,3.686),(2275,1305,0.019736,3.686),(2275,1315,0.020026,3.686),(2275,1325,0.020317,3.686),(2275,1335,0.020621,3.6861),(2275,1345,0.020928,3.6861),(2275,1355,0.021235,3.6861),(2275,1365,0.021542,3.6862),(2275,1375,0.021864,3.6862),(2275,1385,0.022189,3.6862),(2275,1395,0.022513,3.6862),(2275,1405,0.022838,3.6863),(2275,1415,0.023179,3.6863),(2275,1425,0.023522,3.6863),(2275,1435,0.023865,3.6863),(2275,1445,0.024208,3.6863),(2275,1455,0.024569,3.6864),(2275,1465,0.024932,3.6864),(2275,1475,0.025294,3.6864),(2275,1485,0.025657,3.6864),(2275,1495,0.02604,3.6864),(2275,1505,0.026423,3.6865),(2275,1515,0.026806,3.6865),(2275,1525,0.02719,3.6865),(2275,1535,0.027595,3.6865),(2275,1545,0.028,3.6865),(2275,1555,0.028405,3.6865),(2275,1565,0.028812,3.6865),(2275,1575,0.02924,3.6865),(2275,1585,0.029669,3.6865),(2275,1595,0.030097,3.6865),(2275,1605,0.030528,3.6865),(2275,1615,0.03098,3.6865),(2275,1625,0.031433,3.6865),(2275,1635,0.031886,3.6865),(2275,1645,0.032342,3.6865),(2275,1655,0.03282,3.6865),(2275,1665,0.033298,3.6865),(2275,1675,0.033776,3.6865),(2275,1685,0.034259,3.6864),(2275,1695,0.034764,3.6864),(2275,1705,0.035269,3.6864),(2275,1715,0.035774,3.6864),(2275,1725,0.036286,3.6863),(2275,1735,0.036819,3.6863),(2275,1745,0.037352,3.6863),(2275,1755,0.037885,3.6862),(2275,1765,0.038426,3.6862),(2275,1775,0.038988,3.6861),(2275,1785,0.03955,3.6861),(2275,1795,0.040113,3.686),(2275,1805,0.040684,3.686),(2275,1815,0.041277,3.6859),(2275,1825,0.04187,3.6858),(2275,1835,0.042463,3.6858),(2275,1845,0.043067,3.6857),(2275,1855,0.043692,3.6856),(2275,1865,0.044317,3.6855),(2275,1875,0.044941,3.6854),(2275,1885,0.045579,3.6853),(2275,1895,0.046236,3.6852),(2275,1905,0.046894,3.6851),(2275,1915,0.047552,3.685),(2275,1925,0.048224,3.6849),(2275,1935,0.048916,3.6848),(2275,1945,0.049608,3.6847),(2275,1955,0.0503,3.6845),(2275,1965,0.051008,3.6844),(2275,1975,0.051735,3.6842),(2275,1985,0.052462,3.6841),(2275,1995,0.053189,3.6839),(2275,2005,0.053934,3.6837),(2275,2015,0.054697,3.6836),(2275,2025,0.05546,3.6834),(2275,2035,0.056223,3.6832),(2275,2045,0.057006,3.683),(2275,2055,0.057806,3.6828),(2275,2065,0.058607,3.6826),(2275,2075,0.059407,3.6824),(2275,2085,0.060229,3.6821),(2275,2095,0.061067,3.6819),(2275,2105,0.061905,3.6816),(2275,2115,0.062742,3.6814),(2275,2125,0.063604,3.6811),(2275,2135,0.06448,3.6808),(2275,2145,0.065356,3.6805),(2275,2155,0.066231,3.6802),(2275,2165,0.067133,3.6799),(2275,2175,0.068047,3.6796),(2275,2185,0.068961,3.6793),(2275,2195,0.069875,3.6789),(2275,2205,0.070817,3.6786),(2275,2215,0.07177,3.6782),(2275,2225,0.072723,3.6778),(2275,2235,0.073676,3.6774),(2275,2245,0.074657,3.677),(2275,2255,0.075648,3.6766),(2275,2265,0.07664,3.6762),(2275,2275,0.077631,3.6757),(2275,2285,0.078652,3.6753),(2275,2295,0.079681,3.6748),(2275,2305,0.08071,3.6743),(2275,2315,0.081739,3.6738),(2275,2325,0.082798,3.6733),(2275,2335,0.083865,3.6728),(2275,2345,0.084931,3.6722),(2275,2355,0.085997,3.6716),(2275,2365,0.087093,3.6711),(2275,2375,0.088195,3.6705),(2275,2385,0.089297,3.6699),(2275,2395,0.090399,3.6692),(2275,2405,0.091531,3.6686),(2275,2415,0.092667,3.6679),(2275,2425,0.093803,3.6672),(2275,2435,0.094939,3.6665),(2275,2445,0.096105,3.6658),(2275,2455,0.097273,3.6651),(2275,2465,0.098441,3.6643),(2275,2475,0.099609,3.6635),(2275,2485,0.10081,3.6627),(2275,2495,0.102,3.662),(2275,2505,0.1032,3.6611),(2275,2515,0.1044,3.6602),(2275,2525,0.10562,3.6593),(2275,2535,0.10685,3.6585),(2275,2545,0.10807,3.6575),(2275,2555,0.1093,3.6566),(2275,2565,0.11054,3.6556),(2275,2575,0.11179,3.6546),(2275,2585,0.11304,3.6536),(2275,2595,0.11428,3.6525),(2275,2605,0.11555,3.6515),(2275,2615,0.11681,3.6504),(2275,2625,0.11808,3.6493),(2275,2635,0.11935,3.6481),(2275,2645,0.12063,3.647),(2275,2655,0.1219,3.6458),(2275,2665,0.12318,3.6446),(2275,2675,0.12447,3.6434),(2275,2685,0.12575,3.6421),(2275,2695,0.12704,3.6409),(2275,2705,0.12833,3.6395),(2275,2715,0.12962,3.6382),(2275,2725,0.13091,3.6368),(2275,2735,0.1322,3.6355),(2275,2745,0.13349,3.634),(2275,2755,0.13478,3.6325),(2275,2765,0.13607,3.6311),(2275,2775,0.13736,3.6296),(2275,2785,0.13864,3.628),(2275,2795,0.13993,3.6265),(2275,2805,0.14121,3.6249),(2275,2815,0.14248,3.6233),(2275,2825,0.14376,3.6217),(2275,2835,0.14503,3.62),(2275,2845,0.14629,3.6183),(2275,2855,0.14755,3.6166),(2275,2865,0.14881,3.6148),(2275,2875,0.15006,3.613),(2275,2885,0.15129,3.6112),(2275,2895,0.15253,3.6094),(2275,2905,0.15376,3.6075),(2275,2915,0.15498,3.6056),(2275,2925,0.15618,3.6037),(2275,2935,0.15739,3.6017),(2275,2945,0.15859,3.5997),(2275,2955,0.15977,3.5977),(2275,2965,0.16093,3.5957),(2275,2975,0.16209,3.5936),(2275,2985,0.16325,3.5915),(2275,2995,0.16438,3.5894),(2275,3005,0.16549,3.5872),(2275,3015,0.1666,3.585),(2275,3025,0.16771,3.5828),(2275,3035,0.16879,3.5806),(2275,3045,0.16984,3.5783),(2275,3055,0.17089,3.576),(2275,3065,0.17194,3.5737),(2275,3075,0.17295,3.5713),(2275,3085,0.17393,3.569),(2275,3095,0.17491,3.5666),(2275,3105,0.1759,3.5641),(2275,3115,0.17683,3.5616),(2275,3125,0.17774,3.5592),(2275,3135,0.17864,3.5567),(2275,3145,0.17955,3.5541),(2275,3155,0.1804,3.5516),(2275,3165,0.18122,3.549),(2275,3175,0.18204,3.5464),(2275,3185,0.18287,3.5437),(2275,3195,0.18362,3.5411),(2275,3205,0.18435,3.5384),(2275,3215,0.18508,3.5357),(2275,3225,0.18581,3.533),(2275,3235,0.18647,3.5302),(2275,3245,0.1871,3.5275),(2275,3255,0.18773,3.5247),(2275,3265,0.18836,3.5219),(2275,3275,0.1889,3.519),(2275,3285,0.18942,3.5162),(2275,3295,0.18994,3.5134),(2275,3305,0.19047,3.5105),(2275,3315,0.1909,3.5076),(2275,3325,0.1913,3.5047),(2275,3335,0.19171,3.5017),(2275,3345,0.19212,3.4988),(2275,3355,0.19242,3.4958),(2275,3365,0.19271,3.4929),(2275,3375,0.193,3.4899),(2275,3385,0.19329,3.4869),(2275,3395,0.19347,3.4838),(2275,3405,0.19363,3.4808),(2275,3415,0.19379,3.4778),(2275,3425,0.19396,3.4747),(2275,3435,0.194,3.4717),(2275,3445,0.19403,3.4686),(2275,3455,0.19407,3.4656),(2275,3465,0.1941,3.4625),(2275,3475,0.19401,3.4594),(2275,3485,0.19392,3.4563),(2275,3495,0.19382,3.4532),(2275,3505,0.19372,3.4501),(2275,3515,0.19349,3.447),(2275,3525,0.19326,3.4439),(2275,3535,0.19303,3.4408),(2275,3545,0.19279,3.4377),(2275,3555,0.19243,3.4346),(2275,3565,0.19206,3.4315),(2275,3575,0.1917,3.4284),(2275,3585,0.19132,3.4253),(2275,3595,0.19082,3.4222),(2275,3605,0.19032,3.419),(2275,3615,0.18982,3.416),(2275,3625,0.1893,3.4129),(2275,3635,0.18866,3.4098),(2275,3645,0.18803,3.4067),(2275,3655,0.18739,3.4036),(2275,3665,0.18674,3.4005),(2275,3675,0.18597,3.3975),(2275,3685,0.1852,3.3944),(2275,3695,0.18443,3.3914),(2275,3705,0.18364,3.3884),(2275,3715,0.18274,3.3853),(2275,3725,0.18184,3.3823),(2275,3735,0.18094,3.3793),(2275,3745,0.18002,3.3763),(2275,3755,0.17899,3.3734),(2275,3765,0.17797,3.3704),(2275,3775,0.17694,3.3675),(2275,3785,0.17588,3.3645),(2275,3795,0.17474,3.3616),(2275,3805,0.17359,3.3587),(2275,3815,0.17244,3.3558),(2275,3825,0.17126,3.353),(2275,3835,0.16999,3.3501),(2275,3845,0.16873,3.3472),(2275,3855,0.16746,3.3445),(2275,3865,0.16616,3.3417),(2275,3875,0.16478,3.3389),(2275,3885,0.1634,3.3361),(2275,3895,0.16203,3.3334),(2275,3905,0.18551,3.3307),(2275,3915,0.24613,3.328),(2275,3925,0.30675,3.3237),(2275,3935,0.36737,3.3175),(2275,3945,0.43092,3.3112),(2275,3955,0.49818,3.305),(2275,3965,0.56545,3.297),(2275,3975,0.63272,3.287),(2275,3985,0.67129,3.2771),(2275,3995,0.67881,3.2671),(2275,4005,0.68633,3.257),(2275,4015,0.69384,3.2467),(2275,4025,0.70245,3.2365),(2275,4035,0.71116,3.2261),(2275,4045,0.71988,3.2154),(2275,4055,0.72868,3.2048),(2275,4065,0.73752,3.1941),(2275,4075,0.74636,3.1831),(2275,4085,0.75477,3.1722),(2275,4095,0.76282,3.1612),(2275,4105,0.77088,3.1499),(2275,4115,0.75015,3.1386),(2275,4125,0.68168,3.1273),(2275,4135,0.61322,3.1185),(2275,4145,0.54359,3.1103),(2275,4155,0.4692,3.1021),(2275,4165,0.39482,3.0959),(2275,4175,0.32487,3.0911),(2275,4185,0.47478,3.0862),(2275,4195,0.62468,3.0784),(2275,4205,0.77459,3.0665),(2275,4215,0.77952,3.0546),(2275,4225,0.75716,3.0428),(2275,4235,0.7348,3.0312),(2275,4245,0.6897,3.0195),(2275,4255,0.63304,3.008),(2275,4265,0.57639,2.9985),(2275,4275,0.48648,2.9891),(2275,4285,0.36128,2.9796),(2275,4295,0.23608,2.9763),(2275,4305,0.21016,2.9737),(2275,4315,0.40842,2.9712),(2275,4325,0.60669,2.9632),(2275,4335,0.7842,2.9531),(2275,4345,0.82121,2.9431),(2275,4355,0.85823,2.9319),(2275,4365,0.89524,2.9198),(2275,4375,0.90744,2.9076),(2275,4385,0.91834,2.8954),(2275,4395,0.92924,2.8828),(2275,4405,0.81615,2.8703),(2275,4415,0.6665,2.8589),(2275,4425,0.51686,2.8523),(2275,4435,0.45604,2.8458),(2275,4445,0.45593,2.8392),(2275,4455,0.45582,2.833),(2275,4465,0.52931,2.8267),(2275,4475,0.7062,2.8204),(2275,4485,0.88309,2.8084),(2275,4495,1.0207,2.7953),(2275,4505,1.0322,2.7822),(2275,4515,1.0438,2.7687),(2275,4525,1.053,2.7551),(2275,4535,1.0264,2.7414),(2275,4545,0.99984,2.728),(2275,4555,0.97324,2.715),(2275,4565,0.73624,2.7019),(2275,4575,0.47087,2.6919),(2275,4585,0.2055,2.6892),(2275,4595,0.24363,2.6865),(2275,4605,0.40998,2.6829),(2275,4615,0.57633,2.6712),(2275,4625,0.70507,2.6596),(2275,4635,0.79975,2.6479),(2275,4645,0.89443,2.6345),(2275,4655,0.97158,2.6208),(2275,4665,1.0157,2.6072),(2275,4675,1.0598,2.5941),(2275,4685,1.0586,2.5811),(2275,4695,0.83357,2.5682),(2275,4705,0.60855,2.5602),(2275,4715,0.38353,2.5559),(2275,4725,0.51431,2.5517),(2275,4735,0.64866,2.5456),(2275,4745,0.78301,2.5367),(2275,4755,0.92114,2.5279),(2275,4765,1.0602,2.5181),(2275,4775,1.1992,2.5049),(2275,4785,1.2564,2.4918),(2275,4795,1.2664,2.4786),(2275,4805,1.2764,2.4654),(2275,4815,1.2219,2.4523),(2275,4825,1.0903,2.4391),(2275,4835,0.9587,2.4296),(2275,4845,0.82417,2.4206),(2275,4855,0.68205,2.4116),(2275,4865,0.53993,2.4057),(2275,4875,0.4422,2.4012),(2275,4885,0.74839,2.3966),(2275,4895,1.0546,2.3877),(2275,4905,1.3608,2.3744),(2275,4915,1.3694,2.3612),(2275,4925,1.3524,2.3478),(2275,4935,1.3355,2.3341),(2275,4945,1.2517,2.3204),(2275,4955,1.1447,2.3069),(2275,4965,1.0378,2.2942),(2275,4975,0.83199,2.2815),(2275,4985,0.54994,2.2689),(2275,4995,0.26788,2.2671),(2275,5005,0.22043,2.2656),(2275,5015,0.54596,2.2642),(2275,5025,0.87149,2.2558),(2275,5035,1.1534,2.2456),(2275,5045,1.2693,2.2354),(2275,5055,1.3852,2.2237),(2275,5065,1.4979,2.2111),(2275,5075,1.5068,2.1985),(2275,5085,1.5158,2.186),(2275,5095,1.5247,2.1737),(2275,5105,1.3355,2.1615),(2275,5115,1.1118,2.1507),(2275,5125,0.888,2.1443),(2275,5135,0.77674,2.1378),(2275,5145,0.72006,2.1314),(2275,5155,0.66338,2.1258),(2275,5165,0.78807,2.1202),(2275,5175,1.0977,2.1146),(2275,5185,1.4074,2.1023),(2275,5195,1.6218,2.0892),(2275,5205,1.6308,2.0762),(2275,5215,1.6398,2.0634),(2275,5225,1.64,2.0506),(2275,5235,1.5856,2.0379),(2275,5245,1.5311,2.0262),(2275,5255,1.4766,2.0154),(2275,5265,1.0384,2.0045),(2275,5275,0.58432,1.9975),(2275,5285,0.13024,1.9969),(2275,5295,0.33691,1.9964),(2275,5305,0.72758,1.9932),(2275,5315,1.1183,1.9791),(2275,5325,1.3414,1.9649),(2275,5335,1.4548,1.9508),(2275,5345,1.5681,1.9369),(2275,5355,1.6425,1.9231),(2275,5365,1.6645,1.9092),(2275,5375,1.6864,1.8959),(2275,5385,1.6058,1.8827),(2275,5395,1.2137,1.8696),(2275,5405,0.82155,1.8628),(2275,5415,0.47117,1.8592),(2275,5425,0.68179,1.8557),(2275,5435,0.89241,1.848),(2275,5445,1.103,1.8356),(2275,5455,1.3203,1.8233),(2275,5465,1.5384,1.809),(2275,5475,1.7564,1.7899),(2275,5485,1.8298,1.7708),(2275,5495,1.845,1.7518),(2275,5505,1.8601,1.7333),(2275,5515,1.8752,1.7148),(2275,5525,1.8904,1.6963),(2275,5535,1.9055,1.6783),(2275,5545,1.9202,1.6604),(2275,5555,1.9344,1.6424),(2275,5565,1.9486,1.6248),(2275,5575,1.9625,1.6074),(2275,5585,1.9757,1.5899),(2275,5595,1.9889,1.5727),(2275,5605,2.002,1.5557),(2275,5615,2.0142,1.5387),(2275,5625,2.0265,1.5219),(2275,5635,2.0387,1.5054),(2275,5645,2.0502,1.4888),(2275,5655,2.0616,1.4724),(2275,5665,2.0729,1.4563),(2275,5675,2.0837,1.4401),(2275,5685,2.0943,1.424),(2275,5695,2.1048,1.4083),(2275,5705,2.115,1.3926),(2275,5715,2.1249,1.3769),(2275,5725,2.1347,1.3615),(2275,5735,2.1443,1.3461),(2275,5745,2.1534,1.3308),(2275,5755,2.1625,1.3157),(2275,5765,2.1716,1.3007),(2275,5775,2.1801,1.2857),(2275,5785,2.1886,1.2708),(2275,5795,2.1971,1.2561),(2275,5805,2.2051,1.2414),(2275,5815,2.213,1.2268),(2275,5825,2.2209,1.2125),(2275,5835,2.2284,1.1981),(2275,5845,2.2358,1.1837),(2275,5855,2.2432,1.1696),(2275,5865,2.2503,1.1555),(2275,5875,2.2572,1.1414),(2275,5885,2.2641,1.1276),(2275,5895,2.2708,1.1137),(2275,5905,2.2772,1.0999),(2275,5915,2.2837,1.0862),(2275,5925,2.29,1.0727),(2275,5935,2.2961,1.0591),(2275,5945,2.3021,1.0456),(2275,5955,2.3081,1.0323),(2275,5965,2.3139,1.019),(2275,5975,2.3196,1.0057),(2275,5985,2.3254,0.99262),(2275,5995,1.7783,0.97952),(2275,6005,1.1421,0.96951),(2275,6015,0.50602,0.96778),(2275,6025,0.56445,0.96605),(2275,6035,0.94502,0.96327),(2275,6045,1.3256,0.95033),(2275,6055,1.595,0.93739),(2275,6065,1.7556,0.92444),(2275,6075,1.9161,0.90771),(2275,6085,2.026,0.89064),(2275,6095,2.0317,0.87356),(2275,6105,2.0374,0.8564),(2275,6115,2.0431,0.83921),(2275,6125,2.0485,0.82202),(2275,6135,2.0538,0.80486),(2275,6145,2.0592,0.78773),(2275,6155,2.0643,0.77059),(2275,6165,2.0693,0.7535),(2275,6175,2.0743,0.73648),(2275,6185,2.0791,0.71946),(2275,6195,2.0838,0.70243),(2275,6205,2.0884,0.68539),(2275,6215,2.0929,0.66835),(2275,6225,2.0972,0.65131),(2275,6235,2.1015,0.63436),(2275,6245,2.1057,0.61741),(2275,6255,2.1096,0.60047),(2275,6265,2.1136,0.58357),(2275,6275,2.1174,0.56667),(2275,6285,2.121,0.54978),(2275,6295,2.1246,0.5329),(2275,6305,2.1281,0.51601),(2275,6315,2.1313,0.49913),(2275,6325,2.1345,0.48224),(2275,6335,2.1378,0.46533),(2275,6345,2.1407,0.44843),(2275,6355,2.1436,0.43153),(2275,6365,2.1464,0.41464),(2275,6375,2.1491,0.39775),(2275,6385,2.1516,0.38086),(2275,6395,2.1542,0.36402),(2275,6405,2.1565,0.34717),(2275,6415,2.1588,0.33033),(2275,6425,2.161,0.31353),(2275,6435,2.163,0.29674),(2275,6445,2.1649,0.27995),(2275,6455,2.1667,0.26317),(2275,6465,2.1685,0.24639),(2275,6475,2.1699,0.22961),(2275,6485,2.1714,0.21285),(2275,6495,2.1729,0.19609),(2275,6505,2.1739,0.17933),(2275,6515,2.175,0.16257),(2275,6525,2.1761,0.1458),(2275,6535,2.177,0.12903),(2275,6545,2.1777,0.11226),(2275,6555,2.1785,0.095491),(2275,6565,2.179,0.07872),(2275,6575,2.1794,0.061954),(2275,6585,2.1797,0.045252),(2275,6595,1.8541,0.028551),(2275,6605,1.1685,0.01185),(2275,6615,0.48288,0.009913),(2275,6625,0.000909,0.009872),(2275,6635,0.00091,0.009832),(2275,6645,0.000912,0.009812),(2275,6655,0.000913,0.009801),(2275,6665,0.000914,0.00979),(2275,6675,0.000916,0.00978),(2275,6685,0.000917,0.009769),(2275,6695,0.000918,0.009758),(2275,6705,0.000919,0.009748),(2275,6715,0.000921,0.009737),(2275,6725,0.000922,0.009726),(2275,6735,0.000923,0.009716),(2275,6745,0.000924,0.009705),(2275,6755,0.000925,0.009695),(2275,6765,0.000926,0.009684),(2275,6775,0.000927,0.009674),(2275,6785,0.000928,0.009664),(2275,6795,0.000929,0.009653),(2275,6805,0.00093,0.009643),(2275,6815,0.000931,0.009633),(2275,6825,0.000932,0.009623),(2275,6835,0.000933,0.009612),(2275,6845,0.000934,0.009602),(2275,6855,0.000935,0.009592),(2275,6865,0.000936,0.009582),(2275,6875,0.000936,0.009572),(2275,6885,0.000937,0.009562),(2275,6895,0.000938,0.009551),(2275,6905,0.000939,0.009541),(2275,6915,0.00094,0.009532),(2275,6925,0.000941,0.009522),(2275,6935,0.000941,0.009512),(2275,6945,0.000942,0.009501),(2275,6955,0.000943,0.009491),(2275,6965,0.000944,0.009482),(2275,6975,0.000944,0.009472),(2275,6985,0.000945,0.009462),(2285,5,4.7e-05,3.6837),(2285,15,0.000142,3.6837),(2285,25,0.000237,3.6837),(2285,35,0.000332,3.6837),(2285,45,0.000426,3.6837),(2285,55,0.000521,3.6837),(2285,65,0.000616,3.6837),(2285,75,0.000712,3.6837),(2285,85,0.000807,3.6837),(2285,95,0.000902,3.6837),(2285,105,0.000997,3.6837),(2285,115,0.001093,3.6837),(2285,125,0.001189,3.6837),(2285,135,0.001285,3.6837),(2285,145,0.001381,3.6837),(2285,155,0.001478,3.6837),(2285,165,0.001574,3.6837),(2285,175,0.001671,3.6837),(2285,185,0.001768,3.6837),(2285,195,0.001865,3.6837),(2285,205,0.001963,3.6837),(2285,215,0.002061,3.6837),(2285,225,0.002159,3.6837),(2285,235,0.002258,3.6838),(2285,245,0.002357,3.6838),(2285,255,0.002456,3.6838),(2285,265,0.002557,3.6838),(2285,275,0.002657,3.6838),(2285,285,0.002758,3.6838),(2285,295,0.002858,3.6838),(2285,305,0.002961,3.6838),(2285,315,0.003063,3.6838),(2285,325,0.003166,3.6838),(2285,335,0.003268,3.6838),(2285,345,0.003372,3.6838),(2285,355,0.003477,3.6839),(2285,365,0.003581,3.6839),(2285,375,0.003686,3.6839),(2285,385,0.003792,3.6839),(2285,395,0.003899,3.6839),(2285,405,0.004006,3.6839),(2285,415,0.004113,3.6839),(2285,425,0.004222,3.6839),(2285,435,0.004332,3.6839),(2285,445,0.004442,3.684),(2285,455,0.004551,3.684),(2285,465,0.004664,3.684),(2285,475,0.004776,3.684),(2285,485,0.004889,3.684),(2285,495,0.005002,3.684),(2285,505,0.005118,3.684),(2285,515,0.005234,3.6841),(2285,525,0.00535,3.6841),(2285,535,0.005466,3.6841),(2285,545,0.005586,3.6841),(2285,555,0.005705,3.6841),(2285,565,0.005825,3.6841),(2285,575,0.005945,3.6842),(2285,585,0.006068,3.6842),(2285,595,0.006192,3.6842),(2285,605,0.006316,3.6842),(2285,615,0.00644,3.6842),(2285,625,0.006568,3.6842),(2285,635,0.006696,3.6843),(2285,645,0.006824,3.6843),(2285,655,0.006953,3.6843),(2285,665,0.007086,3.6843),(2285,675,0.007219,3.6843),(2285,685,0.007352,3.6844),(2285,695,0.007486,3.6844),(2285,705,0.007624,3.6844),(2285,715,0.007763,3.6844),(2285,725,0.007901,3.6845),(2285,735,0.008041,3.6845),(2285,745,0.008185,3.6845),(2285,755,0.008328,3.6845),(2285,765,0.008472,3.6846),(2285,775,0.008618,3.6846),(2285,785,0.008768,3.6846),(2285,795,0.008918,3.6846),(2285,805,0.009069,3.6847),(2285,815,0.009221,3.6847),(2285,825,0.009378,3.6847),(2285,835,0.009535,3.6847),(2285,845,0.009692,3.6848),(2285,855,0.009852,3.6848),(2285,865,0.010016,3.6848),(2285,875,0.01018,3.6848),(2285,885,0.010344,3.6849),(2285,895,0.010512,3.6849),(2285,905,0.010684,3.6849),(2285,915,0.010856,3.685),(2285,925,0.011028,3.685),(2285,935,0.011203,3.685),(2285,945,0.011384,3.6851),(2285,955,0.011564,3.6851),(2285,965,0.011744,3.6851),(2285,975,0.011929,3.6851),(2285,985,0.012118,3.6852),(2285,995,0.012308,3.6852),(2285,1005,0.012497,3.6852),(2285,1015,0.012692,3.6853),(2285,1025,0.012891,3.6853),(2285,1035,0.013091,3.6853),(2285,1045,0.01329,3.6854),(2285,1055,0.013495,3.6854),(2285,1065,0.013705,3.6854),(2285,1075,0.013915,3.6855),(2285,1085,0.014125,3.6855),(2285,1095,0.014341,3.6855),(2285,1105,0.014562,3.6856),(2285,1115,0.014783,3.6856),(2285,1125,0.015004,3.6856),(2285,1135,0.015233,3.6857),(2285,1145,0.015465,3.6857),(2285,1155,0.015698,3.6858),(2285,1165,0.015931,3.6858),(2285,1175,0.016173,3.6858),(2285,1185,0.016418,3.6859),(2285,1195,0.016664,3.6859),(2285,1205,0.016909,3.6859),(2285,1215,0.017165,3.686),(2285,1225,0.017424,3.686),(2285,1235,0.017684,3.686),(2285,1245,0.017943,3.6861),(2285,1255,0.018213,3.6861),(2285,1265,0.018487,3.6861),(2285,1275,0.018761,3.6862),(2285,1285,0.019035,3.6862),(2285,1295,0.019321,3.6862),(2285,1305,0.019611,3.6863),(2285,1315,0.0199,3.6863),(2285,1325,0.02019,3.6863),(2285,1335,0.020493,3.6864),(2285,1345,0.020799,3.6864),(2285,1355,0.021105,3.6864),(2285,1365,0.021411,3.6865),(2285,1375,0.021732,3.6865),(2285,1385,0.022056,3.6865),(2285,1395,0.02238,3.6866),(2285,1405,0.022703,3.6866),(2285,1415,0.023044,3.6866),(2285,1425,0.023386,3.6866),(2285,1435,0.023728,3.6867),(2285,1445,0.02407,3.6867),(2285,1455,0.024431,3.6867),(2285,1465,0.024793,3.6868),(2285,1475,0.025154,3.6868),(2285,1485,0.025516,3.6868),(2285,1495,0.025898,3.6868),(2285,1505,0.026281,3.6868),(2285,1515,0.026664,3.6869),(2285,1525,0.027047,3.6869),(2285,1535,0.027452,3.6869),(2285,1545,0.027856,3.6869),(2285,1555,0.028261,3.6869),(2285,1565,0.028667,3.6869),(2285,1575,0.029096,3.6869),(2285,1585,0.029524,3.687),(2285,1595,0.029952,3.687),(2285,1605,0.030382,3.687),(2285,1615,0.030835,3.687),(2285,1625,0.031287,3.687),(2285,1635,0.03174,3.687),(2285,1645,0.032196,3.687),(2285,1655,0.032675,3.687),(2285,1665,0.033153,3.687),(2285,1675,0.033631,3.6869),(2285,1685,0.034114,3.6869),(2285,1695,0.03462,3.6869),(2285,1705,0.035125,3.6869),(2285,1715,0.035631,3.6869),(2285,1725,0.036142,3.6868),(2285,1735,0.036676,3.6868),(2285,1745,0.03721,3.6868),(2285,1755,0.037744,3.6868),(2285,1765,0.038285,3.6867),(2285,1775,0.038849,3.6867),(2285,1785,0.039412,3.6866),(2285,1795,0.039976,3.6866),(2285,1805,0.040548,3.6865),(2285,1815,0.041143,3.6865),(2285,1825,0.041737,3.6864),(2285,1835,0.042331,3.6864),(2285,1845,0.042937,3.6863),(2285,1855,0.043563,3.6862),(2285,1865,0.04419,3.6862),(2285,1875,0.044816,3.6861),(2285,1885,0.045456,3.686),(2285,1895,0.046116,3.6859),(2285,1905,0.046776,3.6858),(2285,1915,0.047436,3.6857),(2285,1925,0.04811,3.6856),(2285,1935,0.048805,3.6855),(2285,1945,0.0495,3.6854),(2285,1955,0.050194,3.6852),(2285,1965,0.050905,3.6851),(2285,1975,0.051636,3.685),(2285,1985,0.052366,3.6848),(2285,1995,0.053096,3.6847),(2285,2005,0.053845,3.6845),(2285,2015,0.054612,3.6843),(2285,2025,0.055379,3.6842),(2285,2035,0.056146,3.684),(2285,2045,0.056933,3.6838),(2285,2055,0.057738,3.6836),(2285,2065,0.058543,3.6834),(2285,2075,0.059347,3.6832),(2285,2085,0.060174,3.6829),(2285,2095,0.061017,3.6827),(2285,2105,0.061861,3.6825),(2285,2115,0.062704,3.6822),(2285,2125,0.063571,3.682),(2285,2135,0.064453,3.6817),(2285,2145,0.065335,3.6814),(2285,2155,0.066216,3.6811),(2285,2165,0.067124,3.6808),(2285,2175,0.068045,3.6805),(2285,2185,0.068966,3.6802),(2285,2195,0.069887,3.6799),(2285,2205,0.070836,3.6795),(2285,2215,0.071797,3.6792),(2285,2225,0.072757,3.6788),(2285,2235,0.073718,3.6784),(2285,2245,0.074707,3.678),(2285,2255,0.075707,3.6776),(2285,2265,0.076707,3.6772),(2285,2275,0.077707,3.6767),(2285,2285,0.078737,3.6763),(2285,2295,0.079776,3.6758),(2285,2305,0.080815,3.6754),(2285,2315,0.081853,3.6748),(2285,2325,0.082923,3.6743),(2285,2335,0.084,3.6738),(2285,2345,0.085076,3.6733),(2285,2355,0.086153,3.6727),(2285,2365,0.087261,3.6722),(2285,2375,0.088374,3.6716),(2285,2385,0.089487,3.671),(2285,2395,0.090601,3.6703),(2285,2405,0.091746,3.6697),(2285,2415,0.092894,3.6691),(2285,2425,0.094043,3.6684),(2285,2435,0.095191,3.6677),(2285,2445,0.096371,3.667),(2285,2455,0.097553,3.6663),(2285,2465,0.098734,3.6655),(2285,2475,0.099916,3.6647),(2285,2485,0.10113,3.6639),(2285,2495,0.10234,3.6631),(2285,2505,0.10355,3.6623),(2285,2515,0.10477,3.6614),(2285,2525,0.10601,3.6606),(2285,2535,0.10724,3.6597),(2285,2545,0.10848,3.6587),(2285,2555,0.10973,3.6578),(2285,2565,0.11099,3.6568),(2285,2575,0.11225,3.6559),(2285,2585,0.11352,3.6548),(2285,2595,0.11478,3.6538),(2285,2605,0.11606,3.6527),(2285,2615,0.11735,3.6517),(2285,2625,0.11863,3.6506),(2285,2635,0.11992,3.6494),(2285,2645,0.12121,3.6483),(2285,2655,0.12251,3.6471),(2285,2665,0.12381,3.6459),(2285,2675,0.12511,3.6446),(2285,2685,0.12642,3.6434),(2285,2695,0.12773,3.6421),(2285,2705,0.12903,3.6408),(2285,2715,0.13034,3.6394),(2285,2725,0.13166,3.6381),(2285,2735,0.13297,3.6367),(2285,2745,0.13428,3.6353),(2285,2755,0.13559,3.6338),(2285,2765,0.1369,3.6324),(2285,2775,0.13821,3.6309),(2285,2785,0.13952,3.6293),(2285,2795,0.14082,3.6278),(2285,2805,0.14212,3.6262),(2285,2815,0.14342,3.6246),(2285,2825,0.14472,3.6229),(2285,2835,0.14602,3.6212),(2285,2845,0.1473,3.6196),(2285,2855,0.14858,3.6178),(2285,2865,0.14986,3.616),(2285,2875,0.15113,3.6143),(2285,2885,0.15239,3.6125),(2285,2895,0.15365,3.6106),(2285,2905,0.15491,3.6087),(2285,2915,0.15615,3.6068),(2285,2925,0.15737,3.6049),(2285,2935,0.1586,3.6029),(2285,2945,0.15982,3.6009),(2285,2955,0.16103,3.5989),(2285,2965,0.16221,3.5968),(2285,2975,0.16339,3.5948),(2285,2985,0.16457,3.5926),(2285,2995,0.16573,3.5905),(2285,3005,0.16686,3.5883),(2285,3015,0.168,3.5861),(2285,3025,0.16913,3.5839),(2285,3035,0.17023,3.5816),(2285,3045,0.1713,3.5794),(2285,3055,0.17237,3.5771),(2285,3065,0.17345,3.5747),(2285,3075,0.17448,3.5723),(2285,3085,0.17548,3.5699),(2285,3095,0.17649,3.5675),(2285,3105,0.17749,3.565),(2285,3115,0.17845,3.5626),(2285,3125,0.17938,3.5601),(2285,3135,0.18031,3.5576),(2285,3145,0.18123,3.555),(2285,3155,0.1821,3.5524),(2285,3165,0.18295,3.5498),(2285,3175,0.18379,3.5472),(2285,3185,0.18463,3.5445),(2285,3195,0.18541,3.5418),(2285,3205,0.18615,3.5392),(2285,3215,0.1869,3.5364),(2285,3225,0.18765,3.5336),(2285,3235,0.18832,3.5309),(2285,3245,0.18897,3.5281),(2285,3255,0.18962,3.5253),(2285,3265,0.19026,3.5224),(2285,3275,0.19083,3.5196),(2285,3285,0.19136,3.5167),(2285,3295,0.1919,3.5138),(2285,3305,0.19244,3.5109),(2285,3315,0.19288,3.508),(2285,3325,0.1933,3.5051),(2285,3335,0.19372,3.5021),(2285,3345,0.19415,3.4991),(2285,3355,0.19446,3.4961),(2285,3365,0.19476,3.4932),(2285,3375,0.19506,3.4901),(2285,3385,0.19536,3.4871),(2285,3395,0.19555,3.484),(2285,3405,0.19573,3.481),(2285,3415,0.1959,3.4779),(2285,3425,0.19607,3.4748),(2285,3435,0.19612,3.4718),(2285,3445,0.19617,3.4687),(2285,3455,0.19621,3.4656),(2285,3465,0.19625,3.4625),(2285,3475,0.19617,3.4593),(2285,3485,0.19608,3.4562),(2285,3495,0.19598,3.4531),(2285,3505,0.19589,3.45),(2285,3515,0.19567,3.4468),(2285,3525,0.19544,3.4437),(2285,3535,0.19521,3.4405),(2285,3545,0.19498,3.4374),(2285,3555,0.19461,3.4343),(2285,3565,0.19425,3.4311),(2285,3575,0.19388,3.428),(2285,3585,0.19351,3.4248),(2285,3595,0.19301,3.4217),(2285,3605,0.1925,3.4185),(2285,3615,0.192,3.4154),(2285,3625,0.19148,3.4123),(2285,3635,0.19085,3.4092),(2285,3645,0.19021,3.406),(2285,3655,0.18957,3.4029),(2285,3665,0.18891,3.3998),(2285,3675,0.18814,3.3967),(2285,3685,0.18736,3.3936),(2285,3695,0.18659,3.3906),(2285,3705,0.18579,3.3875),(2285,3715,0.18489,3.3845),(2285,3725,0.18398,3.3814),(2285,3735,0.18308,3.3784),(2285,3745,0.18214,3.3754),(2285,3755,0.18111,3.3724),(2285,3765,0.18007,3.3694),(2285,3775,0.17904,3.3664),(2285,3785,0.17797,3.3634),(2285,3795,0.17681,3.3605),(2285,3805,0.17566,3.3575),(2285,3815,0.1745,3.3546),(2285,3825,0.1733,3.3517),(2285,3835,0.17203,3.3488),(2285,3845,0.17075,3.346),(2285,3855,0.16948,3.3432),(2285,3865,0.16816,3.3403),(2285,3875,0.16677,3.3375),(2285,3885,0.16538,3.3347),(2285,3895,0.16399,3.332),(2285,3905,0.18771,3.3292),(2285,3915,0.24894,3.3265),(2285,3925,0.31018,3.3222),(2285,3935,0.37141,3.3159),(2285,3945,0.43558,3.3096),(2285,3955,0.50347,3.3033),(2285,3965,0.57135,3.2953),(2285,3975,0.63924,3.2852),(2285,3985,0.67816,3.2752),(2285,3995,0.68572,3.2651),(2285,4005,0.69328,3.2549),(2285,4015,0.70084,3.2446),(2285,4025,0.70951,3.2343),(2285,4035,0.71828,3.2238),(2285,4045,0.72706,3.2131),(2285,4055,0.73593,3.2024),(2285,4065,0.74483,3.1917),(2285,4075,0.75374,3.1806),(2285,4085,0.7622,3.1696),(2285,4095,0.77032,3.1585),(2285,4105,0.77843,3.1472),(2285,4115,0.75749,3.1358),(2285,4125,0.68838,3.1245),(2285,4135,0.61927,3.1156),(2285,4145,0.54898,3.1073),(2285,4155,0.47389,3.0991),(2285,4165,0.39881,3.0929),(2285,4175,0.32821,3.088),(2285,4185,0.4796,3.0831),(2285,4195,0.63099,3.0752),(2285,4205,0.78238,3.0632),(2285,4215,0.78758,3.0513),(2285,4225,0.76526,3.0394),(2285,4235,0.74295,3.0276),(2285,4245,0.69758,3.0158),(2285,4255,0.64052,3.0042),(2285,4265,0.58345,2.9946),(2285,4275,0.49257,2.985),(2285,4285,0.36579,2.9754),(2285,4295,0.23901,2.972),(2285,4305,0.21242,2.9694),(2285,4315,0.41208,2.9668),(2285,4325,0.61174,2.9588),(2285,4335,0.79053,2.9487),(2285,4345,0.82802,2.9386),(2285,4355,0.8655,2.9274),(2285,4365,0.90299,2.9152),(2285,4375,0.91525,2.903),(2285,4385,0.92621,2.8906),(2285,4395,0.93716,2.8781),(2285,4405,0.82318,2.8655),(2285,4415,0.67236,2.854),(2285,4425,0.52154,2.8475),(2285,4435,0.46021,2.841),(2285,4445,0.46003,2.8345),(2285,4455,0.45985,2.8282),(2285,4465,0.53385,2.8219),(2285,4475,0.71206,2.8156),(2285,4485,0.89027,2.8036),(2285,4495,1.0289,2.7903),(2285,4505,1.0405,2.7771),(2285,4515,1.0522,2.7635),(2285,4525,1.0615,2.7497),(2285,4535,1.0349,2.736),(2285,4545,1.0082,2.7225),(2285,4555,0.98148,2.7094),(2285,4565,0.74276,2.6963),(2285,4575,0.47545,2.6862),(2285,4585,0.20815,2.6835),(2285,4595,0.24708,2.6808),(2285,4605,0.41542,2.677),(2285,4615,0.58375,2.6652),(2285,4625,0.71351,2.6535),(2285,4635,0.80832,2.6417),(2285,4645,0.90314,2.6282),(2285,4655,0.98025,2.6145),(2285,4665,1.024,2.6009),(2285,4675,1.0677,2.5877),(2285,4685,1.0659,2.5746),(2285,4695,0.8393,2.5616),(2285,4705,0.61265,2.5536),(2285,4715,0.386,2.5492),(2285,4725,0.51749,2.5449),(2285,4735,0.65257,2.5388),(2285,4745,0.78765,2.53),(2285,4755,0.92649,2.5212),(2285,4765,1.0662,2.5114),(2285,4775,1.2059,2.4983),(2285,4785,1.2634,2.4851),(2285,4795,1.2733,2.4719),(2285,4805,1.2833,2.4587),(2285,4815,1.2285,2.4456),(2285,4825,1.0962,2.4324),(2285,4835,0.96393,2.4228),(2285,4845,0.82873,2.4138),(2285,4855,0.6859,2.4048),(2285,4865,0.54308,2.3989),(2285,4875,0.44484,2.3943),(2285,4885,0.75228,2.3898),(2285,4895,1.0597,2.3808),(2285,4905,1.3672,2.3675),(2285,4915,1.3761,2.3542),(2285,4925,1.3593,2.3408),(2285,4935,1.3426,2.327),(2285,4945,1.259,2.3133),(2285,4955,1.1522,2.2997),(2285,4965,1.0454,2.287),(2285,4975,0.8385,2.2743),(2285,4985,0.55434,2.2616),(2285,4995,0.27018,2.2598),(2285,5005,0.22188,2.2583),(2285,5015,0.54857,2.2568),(2285,5025,0.87526,2.2484),(2285,5035,1.1582,2.2383),(2285,5045,1.2743,2.2281),(2285,5055,1.3904,2.2164),(2285,5065,1.5033,2.2038),(2285,5075,1.5121,2.1911),(2285,5085,1.5209,2.1787),(2285,5095,1.5296,2.1664),(2285,5105,1.3398,2.1541),(2285,5115,1.1153,2.1434),(2285,5125,0.89078,2.1369),(2285,5135,0.77926,2.1305),(2285,5145,0.72258,2.1241),(2285,5155,0.66589,2.1185),(2285,5165,0.79099,2.1129),(2285,5175,1.1015,2.1073),(2285,5185,1.412,2.0949),(2285,5195,1.627,2.0819),(2285,5205,1.6358,2.0689),(2285,5215,1.6447,2.0561),(2285,5225,1.6447,2.0434),(2285,5235,1.59,2.0307),(2285,5245,1.5352,2.019),(2285,5255,1.4804,2.0081),(2285,5265,1.0411,1.9973),(2285,5275,0.58599,1.9903),(2285,5285,0.13085,1.9897),(2285,5295,0.33912,1.9892),(2285,5305,0.73213,1.986),(2285,5315,1.1251,1.9718),(2285,5325,1.3489,1.9577),(2285,5335,1.4616,1.9435),(2285,5345,1.5744,1.9296),(2285,5355,1.6483,1.9158),(2285,5365,1.67,1.9019),(2285,5375,1.6916,1.8886),(2285,5385,1.6105,1.8755),(2285,5395,1.2172,1.8623),(2285,5405,0.82394,1.8555),(2285,5415,0.47262,1.8519),(2285,5425,0.68493,1.8484),(2285,5435,0.89724,1.8407),(2285,5445,1.1095,1.8284),(2285,5455,1.3279,1.8161),(2285,5465,1.547,1.8018),(2285,5475,1.7661,1.7829),(2285,5485,1.8397,1.7639),(2285,5495,1.8546,1.745),(2285,5505,1.8695,1.7265),(2285,5515,1.8844,1.7081),(2285,5525,1.8993,1.6897),(2285,5535,1.9142,1.6718),(2285,5545,1.9287,1.6539),(2285,5555,1.9427,1.636),(2285,5565,1.9566,1.6185),(2285,5575,1.9704,1.6011),(2285,5585,1.9833,1.5838),(2285,5595,1.9963,1.5667),(2285,5605,2.0092,1.5497),(2285,5615,2.0213,1.5328),(2285,5625,2.0333,1.5161),(2285,5635,2.0454,1.4996),(2285,5645,2.0567,1.4831),(2285,5655,2.0679,1.4668),(2285,5665,2.079,1.4507),(2285,5675,2.0897,1.4347),(2285,5685,2.1001,1.4186),(2285,5695,2.1105,1.403),(2285,5705,2.1205,1.3874),(2285,5715,2.1302,1.3717),(2285,5725,2.1398,1.3564),(2285,5735,2.1493,1.3411),(2285,5745,2.1583,1.3258),(2285,5755,2.1673,1.3108),(2285,5765,2.1762,1.2959),(2285,5775,2.1846,1.2809),(2285,5785,2.1929,1.2662),(2285,5795,2.2013,1.2515),(2285,5805,2.2091,1.2369),(2285,5815,2.2169,1.2224),(2285,5825,2.2247,1.2081),(2285,5835,2.2321,1.1938),(2285,5845,2.2394,1.1795),(2285,5855,2.2467,1.1655),(2285,5865,2.2537,1.1514),(2285,5875,2.2605,1.1374),(2285,5885,2.2672,1.1236),(2285,5895,2.2739,1.1099),(2285,5905,2.2802,1.0961),(2285,5915,2.2865,1.0825),(2285,5925,2.2928,1.069),(2285,5935,2.2987,1.0555),(2285,5945,2.3046,1.0421),(2285,5955,2.310547,1.0289),(2285,5965,2.3162,1.0156),(2285,5975,2.3219,1.0024),(2285,5985,2.3276,0.9894),(2285,5995,1.7799,0.97637),(2285,6005,1.1432,0.96641),(2285,6015,0.50653,0.9647),(2285,6025,0.56601,0.96299),(2285,6035,0.94838,0.96023),(2285,6045,1.3308,0.94731),(2285,6055,1.6014,0.9344),(2285,6065,1.7626,0.92149),(2285,6075,1.9237,0.9048),(2285,6085,2.034,0.88775),(2285,6095,2.0397,0.87071),(2285,6105,2.0453,0.85359),(2285,6115,2.051,0.83645),(2285,6125,2.0563,0.8193),(2285,6135,2.0617,0.80219),(2285,6145,2.067,0.7851),(2285,6155,2.0721,0.76801),(2285,6165,2.077,0.75097),(2285,6175,2.082,0.73401),(2285,6185,2.0868,0.71704),(2285,6195,2.0914,0.70007),(2285,6205,2.0961,0.68308),(2285,6215,2.1005,0.66608),(2285,6225,2.1048,0.64909),(2285,6235,2.1091,0.63219),(2285,6245,2.1132,0.61529),(2285,6255,2.1171,0.59839),(2285,6265,2.121,0.58154),(2285,6275,2.1249,0.5647),(2285,6285,2.1284,0.54785),(2285,6295,2.1319,0.53102),(2285,6305,2.1355,0.51419),(2285,6315,2.1386,0.49737),(2285,6325,2.1418,0.48053),(2285,6335,2.145,0.46369),(2285,6345,2.1479,0.44685),(2285,6355,2.1508,0.43001),(2285,6365,2.1536,0.41319),(2285,6375,2.1562,0.39637),(2285,6385,2.1588,0.37955),(2285,6395,2.1613,0.36276),(2285,6405,2.1636,0.34598),(2285,6415,2.1658,0.32919),(2285,6425,2.168,0.31245),(2285,6435,2.1701,0.29571),(2285,6445,2.1719,0.27897),(2285,6455,2.1737,0.26224),(2285,6465,2.1755,0.24552),(2285,6475,2.177,0.22879),(2285,6485,2.1784,0.21208),(2285,6495,2.1799,0.19538),(2285,6505,2.181,0.17867),(2285,6515,2.1821,0.16197),(2285,6525,2.1832,0.14527),(2285,6535,2.184,0.12857),(2285,6545,2.1847,0.11187),(2285,6555,2.1855,0.095163),(2285,6565,2.186,0.078459),(2285,6575,2.1864,0.061759),(2285,6585,2.1868,0.045117),(2285,6595,1.8601,0.028474),(2285,6605,1.1723,0.011832),(2285,6615,0.48444,0.009905),(2285,6625,0.000916,0.009868),(2285,6635,0.000917,0.009832),(2285,6645,0.000918,0.009814),(2285,6655,0.00092,0.009803),(2285,6665,0.000921,0.009792),(2285,6675,0.000922,0.009781),(2285,6685,0.000924,0.00977),(2285,6695,0.000925,0.009759),(2285,6705,0.000926,0.009749),(2285,6715,0.000927,0.009738),(2285,6725,0.000928,0.009728),(2285,6735,0.000929,0.009717),(2285,6745,0.00093,0.009706),(2285,6755,0.000931,0.009696),(2285,6765,0.000932,0.009685),(2285,6775,0.000933,0.009675),(2285,6785,0.000934,0.009665),(2285,6795,0.000935,0.009654),(2285,6805,0.000936,0.009644),(2285,6815,0.000937,0.009634),(2285,6825,0.000938,0.009623),(2285,6835,0.000939,0.009613),(2285,6845,0.00094,0.009603),(2285,6855,0.000941,0.009593),(2285,6865,0.000942,0.009583),(2285,6875,0.000942,0.009573),(2285,6885,0.000943,0.009562),(2285,6895,0.000944,0.009552),(2285,6905,0.000945,0.009542),(2285,6915,0.000946,0.009532),(2285,6925,0.000946,0.009522),(2285,6935,0.000947,0.009512),(2285,6945,0.000948,0.009502),(2285,6955,0.000949,0.009492),(2285,6965,0.000949,0.009482),(2285,6975,0.00095,0.009473),(2285,6985,0.000951,0.009463),(2295,5,4.7e-05,3.6838),(2295,15,0.000141,3.6838),(2295,25,0.000235,3.6838),(2295,35,0.000329,3.6838),(2295,45,0.000423,3.6838),(2295,55,0.000517,3.6838),(2295,65,0.000612,3.6838),(2295,75,0.000706,3.6838),(2295,85,0.000801,3.6838),(2295,95,0.000895,3.6838),(2295,105,0.00099,3.6838),(2295,115,0.001085,3.6838),(2295,125,0.00118,3.6838),(2295,135,0.001275,3.6838),(2295,145,0.00137,3.6838),(2295,155,0.001466,3.6838),(2295,165,0.001562,3.6838),(2295,175,0.001658,3.6838),(2295,185,0.001754,3.6838),(2295,195,0.001851,3.6838),(2295,205,0.001948,3.6838),(2295,215,0.002045,3.6838),(2295,225,0.002143,3.6838),(2295,235,0.002241,3.6839),(2295,245,0.002339,3.6839),(2295,255,0.002437,3.6839),(2295,265,0.002537,3.6839),(2295,275,0.002637,3.6839),(2295,285,0.002736,3.6839),(2295,295,0.002836,3.6839),(2295,305,0.002938,3.6839),(2295,315,0.003039,3.6839),(2295,325,0.003141,3.6839),(2295,335,0.003243,3.6839),(2295,345,0.003346,3.6839),(2295,355,0.00345,3.684),(2295,365,0.003554,3.684),(2295,375,0.003658,3.684),(2295,385,0.003763,3.684),(2295,395,0.003869,3.684),(2295,405,0.003975,3.684),(2295,415,0.004081,3.684),(2295,425,0.00419,3.684),(2295,435,0.004299,3.6841),(2295,445,0.004407,3.6841),(2295,455,0.004516,3.6841),(2295,465,0.004628,3.6841),(2295,475,0.004739,3.6841),(2295,485,0.004851,3.6841),(2295,495,0.004963,3.6841),(2295,505,0.005078,3.6842),(2295,515,0.005193,3.6842),(2295,525,0.005308,3.6842),(2295,535,0.005424,3.6842),(2295,545,0.005542,3.6842),(2295,555,0.005661,3.6842),(2295,565,0.00578,3.6843),(2295,575,0.005899,3.6843),(2295,585,0.006022,3.6843),(2295,595,0.006144,3.6843),(2295,605,0.006267,3.6843),(2295,615,0.00639,3.6844),(2295,625,0.006517,3.6844),(2295,635,0.006645,3.6844),(2295,645,0.006772,3.6844),(2295,655,0.0069,3.6844),(2295,665,0.007032,3.6845),(2295,675,0.007164,3.6845),(2295,685,0.007296,3.6845),(2295,695,0.007429,3.6845),(2295,705,0.007566,3.6846),(2295,715,0.007703,3.6846),(2295,725,0.00784,3.6846),(2295,735,0.007979,3.6846),(2295,745,0.008122,3.6846),(2295,755,0.008265,3.6847),(2295,765,0.008408,3.6847),(2295,775,0.008552,3.6847),(2295,785,0.008701,3.6848),(2295,795,0.008851,3.6848),(2295,805,0.009,3.6848),(2295,815,0.009151,3.6848),(2295,825,0.009307,3.6849),(2295,835,0.009463,3.6849),(2295,845,0.009619,3.6849),(2295,855,0.009777,3.6849),(2295,865,0.00994,3.685),(2295,875,0.010104,3.685),(2295,885,0.010267,3.685),(2295,895,0.010433,3.6851),(2295,905,0.010604,3.6851),(2295,915,0.010775,3.6851),(2295,925,0.010946,3.6852),(2295,935,0.01112,3.6852),(2295,945,0.011299,3.6852),(2295,955,0.011478,3.6853),(2295,965,0.011658,3.6853),(2295,975,0.011841,3.6853),(2295,985,0.012029,3.6854),(2295,995,0.012218,3.6854),(2295,1005,0.012406,3.6854),(2295,1015,0.012599,3.6855),(2295,1025,0.012798,3.6855),(2295,1035,0.012996,3.6855),(2295,1045,0.013194,3.6856),(2295,1055,0.013398,3.6856),(2295,1065,0.013607,3.6856),(2295,1075,0.013816,3.6857),(2295,1085,0.014024,3.6857),(2295,1095,0.01424,3.6858),(2295,1105,0.014459,3.6858),(2295,1115,0.014679,3.6858),(2295,1125,0.014899,3.6859),(2295,1135,0.015126,3.6859),(2295,1145,0.015358,3.6859),(2295,1155,0.01559,3.686),(2295,1165,0.015821,3.686),(2295,1175,0.016062,3.6861),(2295,1185,0.016306,3.6861),(2295,1195,0.016551,3.6861),(2295,1205,0.016795,3.6862),(2295,1215,0.017049,3.6862),(2295,1225,0.017308,3.6863),(2295,1235,0.017566,3.6863),(2295,1245,0.017824,3.6863),(2295,1255,0.018093,3.6864),(2295,1265,0.018366,3.6864),(2295,1275,0.018639,3.6865),(2295,1285,0.018912,3.6865),(2295,1295,0.019197,3.6865),(2295,1305,0.019486,3.6866),(2295,1315,0.019774,3.6866),(2295,1325,0.020062,3.6866),(2295,1335,0.020365,3.6867),(2295,1345,0.02067,3.6867),(2295,1355,0.020975,3.6867),(2295,1365,0.02128,3.6868),(2295,1375,0.0216,3.6868),(2295,1385,0.021923,3.6869),(2295,1395,0.022246,3.6869),(2295,1405,0.022568,3.6869),(2295,1415,0.022908,3.687),(2295,1425,0.023249,3.687),(2295,1435,0.023591,3.687),(2295,1445,0.023932,3.6871),(2295,1455,0.024292,3.6871),(2295,1465,0.024653,3.6871),(2295,1475,0.025014,3.6871),(2295,1485,0.025376,3.6872),(2295,1495,0.025757,3.6872),(2295,1505,0.026139,3.6872),(2295,1515,0.026521,3.6872),(2295,1525,0.026904,3.6873),(2295,1535,0.027308,3.6873),(2295,1545,0.027713,3.6873),(2295,1555,0.028117,3.6873),(2295,1565,0.028523,3.6873),(2295,1575,0.028951,3.6874),(2295,1585,0.029379,3.6874),(2295,1595,0.029806,3.6874),(2295,1605,0.030237,3.6874),(2295,1615,0.030689,3.6874),(2295,1625,0.031142,3.6874),(2295,1635,0.031594,3.6874),(2295,1645,0.032051,3.6874),(2295,1655,0.032529,3.6874),(2295,1665,0.033008,3.6874),(2295,1675,0.033486,3.6874),(2295,1685,0.03397,3.6874),(2295,1695,0.034475,3.6874),(2295,1705,0.034981,3.6874),(2295,1715,0.035487,3.6874),(2295,1725,0.035999,3.6874),(2295,1735,0.036534,3.6874),(2295,1745,0.037068,3.6873),(2295,1755,0.037603,3.6873),(2295,1765,0.038145,3.6873),(2295,1775,0.038709,3.6872),(2295,1785,0.039274,3.6872),(2295,1795,0.039838,3.6872),(2295,1805,0.040412,3.6871),(2295,1815,0.041008,3.6871),(2295,1825,0.041604,3.687),(2295,1835,0.0422,3.687),(2295,1845,0.042807,3.6869),(2295,1855,0.043435,3.6868),(2295,1865,0.044063,3.6868),(2295,1875,0.044692,3.6867),(2295,1885,0.045333,3.6866),(2295,1895,0.045995,3.6865),(2295,1905,0.046658,3.6865),(2295,1915,0.04732,3.6864),(2295,1925,0.047997,3.6863),(2295,1935,0.048694,3.6862),(2295,1945,0.049392,3.6861),(2295,1955,0.050089,3.6859),(2295,1965,0.050803,3.6858),(2295,1975,0.051537,3.6857),(2295,1985,0.05227,3.6855),(2295,1995,0.053004,3.6854),(2295,2005,0.053756,3.6852),(2295,2015,0.054527,3.6851),(2295,2025,0.055298,3.6849),(2295,2035,0.056069,3.6848),(2295,2045,0.05686,3.6846),(2295,2055,0.057669,3.6844),(2295,2065,0.058479,3.6842),(2295,2075,0.059288,3.684),(2295,2085,0.06012,3.6838),(2295,2095,0.060968,3.6836),(2295,2105,0.061816,3.6833),(2295,2115,0.062665,3.6831),(2295,2125,0.063538,3.6828),(2295,2135,0.064426,3.6826),(2295,2145,0.065313,3.6823),(2295,2155,0.066201,3.682),(2295,2165,0.067116,3.6817),(2295,2175,0.068044,3.6814),(2295,2185,0.068971,3.6811),(2295,2195,0.069899,3.6808),(2295,2205,0.070855,3.6805),(2295,2215,0.071824,3.6801),(2295,2225,0.072792,3.6798),(2295,2235,0.07376,3.6794),(2295,2245,0.074758,3.679),(2295,2255,0.075766,3.6786),(2295,2265,0.076775,3.6782),(2295,2275,0.077783,3.6778),(2295,2285,0.078823,3.6773),(2295,2295,0.079871,3.6769),(2295,2305,0.080919,3.6764),(2295,2315,0.081967,3.6759),(2295,2325,0.083047,3.6754),(2295,2335,0.084135,3.6749),(2295,2345,0.085222,3.6744),(2295,2355,0.086309,3.6738),(2295,2365,0.087428,3.6733),(2295,2375,0.088553,3.6727),(2295,2385,0.089678,3.6721),(2295,2395,0.090803,3.6715),(2295,2405,0.09196,3.6709),(2295,2415,0.093121,3.6702),(2295,2425,0.094283,3.6695),(2295,2435,0.095444,3.6688),(2295,2445,0.096637,3.6682),(2295,2455,0.097832,3.6675),(2295,2465,0.099028,3.6667),(2295,2475,0.10022,3.6659),(2295,2485,0.10145,3.6651),(2295,2495,0.10268,3.6644),(2295,2505,0.1039,3.6635),(2295,2515,0.10513,3.6627),(2295,2525,0.10639,3.6618),(2295,2535,0.10764,3.6609),(2295,2545,0.1089,3.66),(2295,2555,0.11016,3.659),(2295,2565,0.11144,3.6581),(2295,2575,0.11272,3.6571),(2295,2585,0.114,3.6561),(2295,2595,0.11528,3.6551),(2295,2605,0.11658,3.654),(2295,2615,0.11788,3.653),(2295,2625,0.11918,3.6519),(2295,2635,0.12049,3.6507),(2295,2645,0.1218,3.6496),(2295,2655,0.12312,3.6484),(2295,2665,0.12444,3.6472),(2295,2675,0.12576,3.646),(2295,2685,0.12708,3.6447),(2295,2695,0.12841,3.6435),(2295,2705,0.12974,3.6421),(2295,2715,0.13107,3.6408),(2295,2725,0.1324,3.6394),(2295,2735,0.13373,3.6381),(2295,2745,0.13507,3.6366),(2295,2755,0.1364,3.6352),(2295,2765,0.13773,3.6337),(2295,2775,0.13906,3.6322),(2295,2785,0.14039,3.6306),(2295,2795,0.14172,3.6291),(2295,2805,0.14304,3.6275),(2295,2815,0.14436,3.6259),(2295,2825,0.14568,3.6242),(2295,2835,0.147,3.6225),(2295,2845,0.1483,3.6209),(2295,2855,0.14961,3.6191),(2295,2865,0.15091,3.6173),(2295,2875,0.15221,3.6155),(2295,2885,0.15349,3.6137),(2295,2895,0.15477,3.6119),(2295,2905,0.15605,3.61),(2295,2915,0.15732,3.608),(2295,2925,0.15856,3.6061),(2295,2935,0.15981,3.6042),(2295,2945,0.16106,3.6021),(2295,2955,0.16229,3.6001),(2295,2965,0.16349,3.598),(2295,2975,0.1647,3.596),(2295,2985,0.1659,3.5938),(2295,2995,0.16708,3.5916),(2295,3005,0.16824,3.5895),(2295,3015,0.16939,3.5873),(2295,3025,0.17055,3.585),(2295,3035,0.17167,3.5827),(2295,3045,0.17277,3.5805),(2295,3055,0.17386,3.5781),(2295,3065,0.17496,3.5757),(2295,3075,0.17601,3.5734),(2295,3085,0.17704,3.571),(2295,3095,0.17807,3.5685),(2295,3105,0.17909,3.566),(2295,3115,0.18007,3.5635),(2295,3125,0.18102,3.561),(2295,3135,0.18197,3.5585),(2295,3145,0.18292,3.5559),(2295,3155,0.18381,3.5533),(2295,3165,0.18467,3.5507),(2295,3175,0.18553,3.548),(2295,3185,0.18639,3.5453),(2295,3195,0.18719,3.5426),(2295,3205,0.18796,3.5399),(2295,3215,0.18872,3.5372),(2295,3225,0.18949,3.5344),(2295,3235,0.19018,3.5316),(2295,3245,0.19084,3.5288),(2295,3255,0.19151,3.5259),(2295,3265,0.19217,3.5231),(2295,3275,0.19275,3.5202),(2295,3285,0.1933,3.5173),(2295,3295,0.19386,3.5144),(2295,3305,0.19441,3.5114),(2295,3315,0.19487,3.5085),(2295,3325,0.1953,3.5055),(2295,3335,0.19574,3.5025),(2295,3345,0.19617,3.4995),(2295,3355,0.19651,3.4965),(2295,3365,0.19682,3.4935),(2295,3375,0.19713,3.4904),(2295,3385,0.19744,3.4873),(2295,3395,0.19764,3.4843),(2295,3405,0.19782,3.4812),(2295,3415,0.19801,3.4781),(2295,3425,0.19819,3.475),(2295,3435,0.19825,3.4718),(2295,3445,0.1983,3.4687),(2295,3455,0.19835,3.4656),(2295,3465,0.1984,3.4624),(2295,3475,0.19832,3.4593),(2295,3485,0.19824,3.4561),(2295,3495,0.19815,3.453),(2295,3505,0.19806,3.4498),(2295,3515,0.19784,3.4466),(2295,3525,0.19762,3.4435),(2295,3535,0.19739,3.4403),(2295,3545,0.19716,3.4371),(2295,3555,0.1968,3.4339),(2295,3565,0.19644,3.4307),(2295,3575,0.19607,3.4276),(2295,3585,0.1957,3.4244),(2295,3595,0.19519,3.4212),(2295,3605,0.19469,3.418),(2295,3615,0.19419,3.4149),(2295,3625,0.19367,3.4117),(2295,3635,0.19303,3.4086),(2295,3645,0.19239,3.4054),(2295,3655,0.19174,3.4023),(2295,3665,0.19108,3.3991),(2295,3675,0.1903,3.396),(2295,3685,0.18952,3.3929),(2295,3695,0.18875,3.3898),(2295,3705,0.18794,3.3867),(2295,3715,0.18703,3.3836),(2295,3725,0.18612,3.3805),(2295,3735,0.18521,3.3774),(2295,3745,0.18426,3.3744),(2295,3755,0.18322,3.3713),(2295,3765,0.18218,3.3683),(2295,3775,0.18114,3.3653),(2295,3785,0.18006,3.3623),(2295,3795,0.17889,3.3593),(2295,3805,0.17772,3.3564),(2295,3815,0.17656,3.3534),(2295,3825,0.17535,3.3505),(2295,3835,0.17406,3.3476),(2295,3845,0.17277,3.3447),(2295,3855,0.17149,3.3418),(2295,3865,0.17016,3.339),(2295,3875,0.16876,3.3361),(2295,3885,0.16736,3.3333),(2295,3895,0.16595,3.3305),(2295,3905,0.18991,3.3278),(2295,3915,0.25176,3.325),(2295,3925,0.31361,3.3207),(2295,3935,0.37545,3.3144),(2295,3945,0.44024,3.308),(2295,3955,0.50875,3.3016),(2295,3965,0.57726,3.2935),(2295,3975,0.64577,3.2834),(2295,3985,0.68503,3.2733),(2295,3995,0.69263,3.2631),(2295,4005,0.70023,3.2529),(2295,4015,0.70783,3.2425),(2295,4025,0.71656,3.232),(2295,4035,0.72541,3.2215),(2295,4045,0.73425,3.2108),(2295,4055,0.74318,3.2),(2295,4065,0.75215,3.1892),(2295,4075,0.76111,3.1781),(2295,4085,0.76964,3.167),(2295,4095,0.77781,3.1559),(2295,4105,0.78598,3.1445),(2295,4115,0.76484,3.133),(2295,4125,0.69508,3.1216),(2295,4135,0.62532,3.1126),(2295,4145,0.55437,3.1043),(2295,4155,0.47859,3.096),(2295,4165,0.4028,3.0897),(2295,4175,0.33154,3.0848),(2295,4185,0.48442,3.0799),(2295,4195,0.63729,3.0719),(2295,4205,0.79017,3.0599),(2295,4215,0.79564,3.0478),(2295,4225,0.77337,3.0358),(2295,4235,0.75109,3.0239),(2295,4245,0.70547,3.012),(2295,4255,0.64799,3.0003),(2295,4265,0.59052,2.9906),(2295,4275,0.49866,2.9808),(2295,4285,0.3703,2.9711),(2295,4295,0.24194,2.9677),(2295,4305,0.21469,2.9651),(2295,4315,0.41575,2.9624),(2295,4325,0.6168,2.9544),(2295,4335,0.79687,2.9442),(2295,4345,0.83482,2.934),(2295,4355,0.87277,2.9227),(2295,4365,0.91073,2.9104),(2295,4375,0.92307,2.8981),(2295,4385,0.93407,2.8857),(2295,4395,0.94508,2.873),(2295,4405,0.8302,2.8604),(2295,4415,0.67821,2.8489),(2295,4425,0.52622,2.8424),(2295,4435,0.46437,2.8359),(2295,4445,0.46413,2.8294),(2295,4455,0.46388,2.8231),(2295,4465,0.53839,2.8168),(2295,4475,0.71793,2.8105),(2295,4485,0.89746,2.7984),(2295,4495,1.0371,2.785),(2295,4505,1.0489,2.7717),(2295,4515,1.0606,2.758),(2295,4525,1.0701,2.7442),(2295,4535,1.0433,2.7303),(2295,4545,1.0165,2.7168),(2295,4555,0.98972,2.7037),(2295,4565,0.74928,2.6907),(2295,4575,0.48003,2.6806),(2295,4585,0.21079,2.6778),(2295,4595,0.25054,2.675),(2295,4605,0.42086,2.6712),(2295,4615,0.59117,2.6594),(2295,4625,0.72194,2.6475),(2295,4635,0.81689,2.6356),(2295,4645,0.91185,2.6221),(2295,4655,0.98893,2.6084),(2295,4665,1.0323,2.5947),(2295,4675,1.0757,2.5814),(2295,4685,1.0733,2.5683),(2295,4695,0.84503,2.5551),(2295,4705,0.61675,2.547),(2295,4715,0.38847,2.5426),(2295,4725,0.52067,2.5381),(2295,4735,0.65648,2.532),(2295,4745,0.79229,2.5232),(2295,4755,0.93183,2.5144),(2295,4765,1.0722,2.5047),(2295,4775,1.2126,2.4915),(2295,4785,1.2704,2.4783),(2295,4795,1.2803,2.4651),(2295,4805,1.2902,2.4519),(2295,4815,1.235,2.4387),(2295,4825,1.1021,2.4255),(2295,4835,0.96916,2.4159),(2295,4845,0.83328,2.4069),(2295,4855,0.68975,2.3979),(2295,4865,0.54623,2.3919),(2295,4875,0.44748,2.3873),(2295,4885,0.75617,2.3827),(2295,4895,1.0649,2.3737),(2295,4905,1.3736,2.3604),(2295,4915,1.3828,2.3471),(2295,4925,1.3662,2.3336),(2295,4935,1.3497,2.3198),(2295,4945,1.2663,2.3061),(2295,4955,1.1596,2.2924),(2295,4965,1.053,2.2797),(2295,4975,0.84501,2.2669),(2295,4985,0.55874,2.2541),(2295,4995,0.27247,2.2524),(2295,5005,0.22333,2.2509),(2295,5015,0.55118,2.2494),(2295,5025,0.87903,2.241),(2295,5035,1.1629,2.2308),(2295,5045,1.2792,2.2206),(2295,5055,1.3955,2.2089),(2295,5065,1.5086,2.1963),(2295,5075,1.5173,2.1837),(2295,5085,1.5259,2.1712),(2295,5095,1.5346,2.1589),(2295,5105,1.3441,2.1467),(2295,5115,1.1188,2.1359),(2295,5125,0.89356,2.1295),(2295,5135,0.78179,2.123),(2295,5145,0.7251,2.1166),(2295,5155,0.6684,2.111),(2295,5165,0.79392,2.1054),(2295,5175,1.1053,2.0998),(2295,5185,1.4166,2.0875),(2295,5195,1.6321,2.0745),(2295,5205,1.6408,2.0615),(2295,5215,1.6496,2.0487),(2295,5225,1.6494,2.036),(2295,5235,1.5944,2.0234),(2295,5245,1.5393,2.0117),(2295,5255,1.4842,2.0008),(2295,5265,1.0439,1.99),(2295,5275,0.58767,1.983),(2295,5285,0.13146,1.9824),(2295,5295,0.34132,1.9819),(2295,5305,0.73668,1.9787),(2295,5315,1.132,1.9645),(2295,5325,1.3563,1.9503),(2295,5335,1.4685,1.9361),(2295,5345,1.5807,1.9222),(2295,5355,1.6541,1.9084),(2295,5365,1.6755,1.8945),(2295,5375,1.6968,1.8812),(2295,5385,1.6152,1.8681),(2295,5395,1.2208,1.8549),(2295,5405,0.82633,1.8481),(2295,5415,0.47406,1.8446),(2295,5425,0.68806,1.841),(2295,5435,0.90207,1.8333),(2295,5445,1.1161,1.8211),(2295,5455,1.3355,1.8089),(2295,5465,1.5557,1.7946),(2295,5475,1.7758,1.7757),(2295,5485,1.8495,1.7568),(2295,5495,1.8642,1.738),(2295,5505,1.8789,1.7197),(2295,5515,1.8935,1.7013),(2295,5525,1.9082,1.683),(2295,5535,1.9229,1.6651),(2295,5545,1.9372,1.6473),(2295,5555,1.9509,1.6295),(2295,5565,1.9647,1.6121),(2295,5575,1.9782,1.5948),(2295,5585,1.991,1.5775),(2295,5595,2.0037,1.5605),(2295,5605,2.0165,1.5436),(2295,5615,2.0283,1.5268),(2295,5625,2.0402,1.5101),(2295,5635,2.052,1.4938),(2295,5645,2.0632,1.4774),(2295,5655,2.0742,1.4611),(2295,5665,2.0852,1.4451),(2295,5675,2.0957,1.4291),(2295,5685,2.1059,1.4132),(2295,5695,2.1161,1.3976),(2295,5705,2.126,1.3821),(2295,5715,2.1355,1.3665),(2295,5725,2.145,1.3512),(2295,5735,2.1543,1.336),(2295,5745,2.1632,1.3208),(2295,5755,2.172,1.3059),(2295,5765,2.1808,1.291),(2295,5775,2.189,1.2761),(2295,5785,2.1973,1.2614),(2295,5795,2.2055,1.2469),(2295,5805,2.2132,1.2324),(2295,5815,2.2209,1.2179),(2295,5825,2.2286,1.2037),(2295,5835,2.2359,1.1894),(2295,5845,2.243,1.1752),(2295,5855,2.2502,1.1613),(2295,5865,2.257,1.1473),(2295,5875,2.2637,1.1333),(2295,5885,2.2704,1.1196),(2295,5895,2.2769,1.1059),(2295,5905,2.2831,1.0922),(2295,5915,2.2894,1.0788),(2295,5925,2.2955,1.0653),(2295,5935,2.3014,1.0519),(2295,5945,2.3072,1.0386),(2295,5955,2.313,1.0254),(2295,5965,2.3186,1.0122),(2295,5975,2.3242,0.9991),(2295,5985,2.3298,0.98613),(2295,5995,1.7816,0.97317),(2295,6005,1.1443,0.96327),(2295,6015,0.50703,0.96157),(2295,6025,0.56756,0.95987),(2295,6035,0.95175,0.95711),(2295,6045,1.3359,0.94424),(2295,6055,1.6078,0.93136),(2295,6065,1.7695,0.91848),(2295,6075,1.9313,0.90183),(2295,6085,2.042,0.88482),(2295,6095,2.0476,0.86782),(2295,6105,2.0533,0.85074),(2295,6115,2.0589,0.83364),(2295,6125,2.0642,0.81654),(2295,6135,2.0695,0.79947),(2295,6145,2.0749,0.78243),(2295,6155,2.0798,0.76539),(2295,6165,2.0848,0.7484),(2295,6175,2.0898,0.73149),(2295,6185,2.0944,0.71457),(2295,6195,2.0991,0.69765),(2295,6205,2.1037,0.68072),(2295,6215,2.1081,0.66378),(2295,6225,2.1123,0.64684),(2295,6235,2.1166,0.62999),(2295,6245,2.1207,0.61313),(2295,6255,2.1246,0.59628),(2295,6265,2.1285,0.57948),(2295,6275,2.1323,0.56268),(2295,6285,2.1358,0.54589),(2295,6295,2.1393,0.52911),(2295,6305,2.1428,0.51234),(2295,6315,2.146,0.49557),(2295,6325,2.1491,0.4788),(2295,6335,2.1523,0.46202),(2295,6345,2.1551,0.44524),(2295,6355,2.158,0.42846),(2295,6365,2.1608,0.41171),(2295,6375,2.1634,0.39495),(2295,6385,2.1659,0.37819),(2295,6395,2.1684,0.36148),(2295,6405,2.1707,0.34476),(2295,6415,2.1729,0.32804),(2295,6425,2.175,0.31136),(2295,6435,2.1771,0.29468),(2295,6445,2.1789,0.278),(2295,6455,2.1807,0.26132),(2295,6465,2.1825,0.24465),(2295,6475,2.184,0.22798),(2295,6485,2.1854,0.21132),(2295,6495,2.1869,0.19467),(2295,6505,2.188,0.17802),(2295,6515,2.1891,0.16138),(2295,6525,2.1902,0.14474),(2295,6535,2.191,0.12811),(2295,6545,2.1917,0.11147),(2295,6555,2.1925,0.094829),(2295,6565,2.193,0.078189),(2295,6575,2.1934,0.061553),(2295,6585,2.1938,0.044977),(2295,6595,1.8661,0.028401),(2295,6605,1.176,0.011825),(2295,6615,0.486,0.009906),(2295,6625,0.000923,0.00987),(2295,6635,0.000924,0.009834),(2295,6645,0.000925,0.009815),(2295,6655,0.000926,0.009804),(2295,6665,0.000928,0.009793),(2295,6675,0.000929,0.009782),(2295,6685,0.00093,0.009771),(2295,6695,0.000931,0.009761),(2295,6705,0.000932,0.00975),(2295,6715,0.000933,0.009739),(2295,6725,0.000935,0.009729),(2295,6735,0.000936,0.009718),(2295,6745,0.000937,0.009708),(2295,6755,0.000938,0.009697),(2295,6765,0.000939,0.009686),(2295,6775,0.00094,0.009676),(2295,6785,0.000941,0.009666),(2295,6795,0.000941,0.009655),(2295,6805,0.000942,0.009645),(2295,6815,0.000943,0.009635),(2295,6825,0.000944,0.009624),(2295,6835,0.000945,0.009614),(2295,6845,0.000946,0.009604),(2295,6855,0.000947,0.009594),(2295,6865,0.000948,0.009584),(2295,6875,0.000948,0.009573),(2295,6885,0.000949,0.009563),(2295,6895,0.00095,0.009553),(2295,6905,0.000951,0.009543),(2295,6915,0.000951,0.009533),(2295,6925,0.000952,0.009523),(2295,6935,0.000953,0.009513),(2295,6945,0.000954,0.009503),(2295,6955,0.000954,0.009493),(2295,6965,0.000955,0.009483),(2295,6975,0.000956,0.009473),(2295,6985,0.000957,0.009463),(2305,5,4.7e-05,3.6839),(2305,15,0.00014,3.6839),(2305,25,0.000233,3.6839),(2305,35,0.000326,3.6839),(2305,45,0.00042,3.6839),(2305,55,0.000513,3.6839),(2305,65,0.000607,3.6839),(2305,75,0.000701,3.6839),(2305,85,0.000794,3.6839),(2305,95,0.000888,3.6839),(2305,105,0.000982,3.6839),(2305,115,0.001076,3.6839),(2305,125,0.001171,3.6839),(2305,135,0.001265,3.6839),(2305,145,0.00136,3.6839),(2305,155,0.001455,3.6839),(2305,165,0.00155,3.6839),(2305,175,0.001645,3.6839),(2305,185,0.001741,3.6839),(2305,195,0.001837,3.6839),(2305,205,0.001933,3.6839),(2305,215,0.002029,3.6839),(2305,225,0.002126,3.6839),(2305,235,0.002223,3.684),(2305,245,0.002321,3.684),(2305,255,0.002418,3.684),(2305,265,0.002517,3.684),(2305,275,0.002616,3.684),(2305,285,0.002715,3.684),(2305,295,0.002814,3.684),(2305,305,0.002915,3.684),(2305,315,0.003016,3.684),(2305,325,0.003116,3.684),(2305,335,0.003217,3.684),(2305,345,0.00332,3.6841),(2305,355,0.003423,3.6841),(2305,365,0.003526,3.6841),(2305,375,0.003629,3.6841),(2305,385,0.003734,3.6841),(2305,395,0.003839,3.6841),(2305,405,0.003944,3.6841),(2305,415,0.00405,3.6841),(2305,425,0.004157,3.6841),(2305,435,0.004265,3.6842),(2305,445,0.004373,3.6842),(2305,455,0.004481,3.6842),(2305,465,0.004592,3.6842),(2305,475,0.004703,3.6842),(2305,485,0.004813,3.6842),(2305,495,0.004924,3.6843),(2305,505,0.005038,3.6843),(2305,515,0.005153,3.6843),(2305,525,0.005267,3.6843),(2305,535,0.005381,3.6843),(2305,545,0.005499,3.6843),(2305,555,0.005617,3.6844),(2305,565,0.005735,3.6844),(2305,575,0.005853,3.6844),(2305,585,0.005975,3.6844),(2305,595,0.006097,3.6844),(2305,605,0.006218,3.6845),(2305,615,0.006341,3.6845),(2305,625,0.006467,3.6845),(2305,635,0.006593,3.6845),(2305,645,0.006719,3.6845),(2305,655,0.006846,3.6846),(2305,665,0.006977,3.6846),(2305,675,0.007108,3.6846),(2305,685,0.007239,3.6846),(2305,695,0.007371,3.6847),(2305,705,0.007507,3.6847),(2305,715,0.007644,3.6847),(2305,725,0.00778,3.6847),(2305,735,0.007917,3.6848),(2305,745,0.008059,3.6848),(2305,755,0.008201,3.6848),(2305,765,0.008343,3.6848),(2305,775,0.008487,3.6849),(2305,785,0.008635,3.6849),(2305,795,0.008783,3.6849),(2305,805,0.008931,3.685),(2305,815,0.009081,3.685),(2305,825,0.009236,3.685),(2305,835,0.009391,3.685),(2305,845,0.009546,3.6851),(2305,855,0.009703,3.6851),(2305,865,0.009865,3.6851),(2305,875,0.010027,3.6852),(2305,885,0.010189,3.6852),(2305,895,0.010354,3.6852),(2305,905,0.010524,3.6853),(2305,915,0.010694,3.6853),(2305,925,0.010863,3.6853),(2305,935,0.011037,3.6854),(2305,945,0.011215,3.6854),(2305,955,0.011393,3.6854),(2305,965,0.011571,3.6855),(2305,975,0.011753,3.6855),(2305,985,0.01194,3.6856),(2305,995,0.012128,3.6856),(2305,1005,0.012315,3.6856),(2305,1015,0.012507,3.6857),(2305,1025,0.012704,3.6857),(2305,1035,0.012901,3.6857),(2305,1045,0.013098,3.6858),(2305,1055,0.013301,3.6858),(2305,1065,0.013508,3.6859),(2305,1075,0.013716,3.6859),(2305,1085,0.013924,3.6859),(2305,1095,0.014138,3.686),(2305,1105,0.014356,3.686),(2305,1115,0.014575,3.6861),(2305,1125,0.014794,3.6861),(2305,1135,0.01502,3.6861),(2305,1145,0.015251,3.6862),(2305,1155,0.015481,3.6862),(2305,1165,0.015712,3.6863),(2305,1175,0.015951,3.6863),(2305,1185,0.016194,3.6863),(2305,1195,0.016438,3.6864),(2305,1205,0.016681,3.6864),(2305,1215,0.016934,3.6865),(2305,1225,0.017191,3.6865),(2305,1235,0.017448,3.6866),(2305,1245,0.017706,3.6866),(2305,1255,0.017974,3.6866),(2305,1265,0.018245,3.6867),(2305,1275,0.018517,3.6867),(2305,1285,0.018789,3.6868),(2305,1295,0.019073,3.6868),(2305,1305,0.01936,3.6869),(2305,1315,0.019648,3.6869),(2305,1325,0.019935,3.6869),(2305,1335,0.020236,3.687),(2305,1345,0.020541,3.687),(2305,1355,0.020845,3.6871),(2305,1365,0.021149,3.6871),(2305,1375,0.021468,3.6871),(2305,1385,0.02179,3.6872),(2305,1395,0.022112,3.6872),(2305,1405,0.022434,3.6873),(2305,1415,0.022773,3.6873),(2305,1425,0.023113,3.6873),(2305,1435,0.023454,3.6874),(2305,1445,0.023794,3.6874),(2305,1455,0.024154,3.6874),(2305,1465,0.024514,3.6875),(2305,1475,0.024875,3.6875),(2305,1485,0.025235,3.6875),(2305,1495,0.025616,3.6876),(2305,1505,0.025998,3.6876),(2305,1515,0.026379,3.6876),(2305,1525,0.026761,3.6877),(2305,1535,0.027165,3.6877),(2305,1545,0.027569,3.6877),(2305,1555,0.027973,3.6877),(2305,1565,0.028378,3.6878),(2305,1575,0.028806,3.6878),(2305,1585,0.029234,3.6878),(2305,1595,0.029661,3.6878),(2305,1605,0.030091,3.6878),(2305,1615,0.030544,3.6879),(2305,1625,0.030996,3.6879),(2305,1635,0.031449,3.6879),(2305,1645,0.031905,3.6879),(2305,1655,0.032384,3.6879),(2305,1665,0.032862,3.6879),(2305,1675,0.033341,3.6879),(2305,1685,0.033825,3.6879),(2305,1695,0.034331,3.6879),(2305,1705,0.034837,3.6879),(2305,1715,0.035343,3.6879),(2305,1725,0.035856,3.6879),(2305,1735,0.036391,3.6879),(2305,1745,0.036926,3.6879),(2305,1755,0.037462,3.6878),(2305,1765,0.038005,3.6878),(2305,1775,0.03857,3.6878),(2305,1785,0.039136,3.6878),(2305,1795,0.039701,3.6877),(2305,1805,0.040276,3.6877),(2305,1815,0.040874,3.6877),(2305,1825,0.041471,3.6876),(2305,1835,0.042068,3.6876),(2305,1845,0.042676,3.6875),(2305,1855,0.043306,3.6875),(2305,1865,0.043937,3.6874),(2305,1875,0.044567,3.6873),(2305,1885,0.04521,3.6873),(2305,1895,0.045875,3.6872),(2305,1905,0.046539,3.6871),(2305,1915,0.047204,3.687),(2305,1925,0.047883,3.6869),(2305,1935,0.048583,3.6869),(2305,1945,0.049284,3.6868),(2305,1955,0.049984,3.6866),(2305,1965,0.050701,3.6865),(2305,1975,0.051438,3.6864),(2305,1985,0.052175,3.6863),(2305,1995,0.052911,3.6862),(2305,2005,0.053667,3.686),(2305,2015,0.054442,3.6859),(2305,2025,0.055217,3.6857),(2305,2035,0.055991,3.6855),(2305,2045,0.056787,3.6854),(2305,2055,0.057601,3.6852),(2305,2065,0.058415,3.685),(2305,2075,0.059228,3.6848),(2305,2085,0.060065,3.6846),(2305,2095,0.060919,3.6844),(2305,2105,0.061772,3.6842),(2305,2115,0.062626,3.684),(2305,2125,0.063504,3.6837),(2305,2135,0.064398,3.6835),(2305,2145,0.065292,3.6832),(2305,2155,0.066186,3.6829),(2305,2165,0.067107,3.6827),(2305,2175,0.068042,3.6824),(2305,2185,0.068977,3.6821),(2305,2195,0.069911,3.6817),(2305,2205,0.070875,3.6814),(2305,2215,0.07185,3.6811),(2305,2225,0.072826,3.6807),(2305,2235,0.073802,3.6804),(2305,2245,0.074808,3.68),(2305,2255,0.075825,3.6796),(2305,2265,0.076842,3.6792),(2305,2275,0.07786,3.6788),(2305,2285,0.078908,3.6784),(2305,2295,0.079966,3.6779),(2305,2305,0.081024,3.6775),(2305,2315,0.082081,3.677),(2305,2325,0.083172,3.6765),(2305,2335,0.08427,3.676),(2305,2345,0.085367,3.6755),(2305,2355,0.086465,3.6749),(2305,2365,0.087596,3.6744),(2305,2375,0.088732,3.6739),(2305,2385,0.089869,3.6732),(2305,2395,0.091005,3.6726),(2305,2405,0.092175,3.672),(2305,2415,0.093349,3.6714),(2305,2425,0.094523,3.6707),(2305,2435,0.095696,3.67),(2305,2445,0.096903,3.6694),(2305,2455,0.098112,3.6687),(2305,2465,0.099321,3.6679),(2305,2475,0.10053,3.6671),(2305,2485,0.10177,3.6664),(2305,2495,0.10301,3.6656),(2305,2505,0.10426,3.6648),(2305,2515,0.1055,3.6639),(2305,2525,0.10677,3.6631),(2305,2535,0.10804,3.6622),(2305,2545,0.10931,3.6613),(2305,2555,0.11059,3.6603),(2305,2565,0.11188,3.6594),(2305,2575,0.11318,3.6585),(2305,2585,0.11448,3.6574),(2305,2595,0.11578,3.6564),(2305,2605,0.1171,3.6554),(2305,2615,0.11842,3.6543),(2305,2625,0.11974,3.6532),(2305,2635,0.12106,3.6521),(2305,2645,0.12239,3.6509),(2305,2655,0.12373,3.6498),(2305,2665,0.12507,3.6485),(2305,2675,0.1264,3.6473),(2305,2685,0.12775,3.6461),(2305,2695,0.1291,3.6448),(2305,2705,0.13045,3.6435),(2305,2715,0.1318,3.6421),(2305,2725,0.13315,3.6408),(2305,2735,0.1345,3.6394),(2305,2745,0.13585,3.638),(2305,2755,0.13721,3.6365),(2305,2765,0.13856,3.6351),(2305,2775,0.13991,3.6336),(2305,2785,0.14126,3.632),(2305,2795,0.14261,3.6304),(2305,2805,0.14396,3.6289),(2305,2815,0.1453,3.6273),(2305,2825,0.14664,3.6256),(2305,2835,0.14798,3.6239),(2305,2845,0.14931,3.6222),(2305,2855,0.15064,3.6205),(2305,2865,0.15197,3.6187),(2305,2875,0.15328,3.6169),(2305,2885,0.15459,3.615),(2305,2895,0.15589,3.6132),(2305,2905,0.15719,3.6113),(2305,2915,0.15848,3.6093),(2305,2925,0.15975,3.6074),(2305,2935,0.16102,3.6054),(2305,2945,0.16229,3.6034),(2305,2955,0.16355,3.6013),(2305,2965,0.16477,3.5993),(2305,2975,0.166,3.5972),(2305,2985,0.16723,3.595),(2305,2995,0.16843,3.5928),(2305,3005,0.16961,3.5907),(2305,3015,0.17079,3.5885),(2305,3025,0.17197,3.5862),(2305,3035,0.17311,3.5839),(2305,3045,0.17423,3.5816),(2305,3055,0.17535,3.5792),(2305,3065,0.17647,3.5768),(2305,3075,0.17755,3.5744),(2305,3085,0.17859,3.572),(2305,3095,0.17964,3.5696),(2305,3105,0.18069,3.5671),(2305,3115,0.18169,3.5645),(2305,3125,0.18266,3.562),(2305,3135,0.18363,3.5594),(2305,3145,0.1846,3.5568),(2305,3155,0.18551,3.5542),(2305,3165,0.18639,3.5516),(2305,3175,0.18727,3.5489),(2305,3185,0.18816,3.5462),(2305,3195,0.18897,3.5434),(2305,3205,0.18976,3.5407),(2305,3215,0.19054,3.5379),(2305,3225,0.19133,3.5351),(2305,3235,0.19204,3.5323),(2305,3245,0.19272,3.5295),(2305,3255,0.1934,3.5266),(2305,3265,0.19408,3.5237),(2305,3275,0.19467,3.5208),(2305,3285,0.19524,3.5179),(2305,3295,0.19581,3.5149),(2305,3305,0.19638,3.5119),(2305,3315,0.19685,3.509),(2305,3325,0.1973,3.506),(2305,3335,0.19775,3.5029),(2305,3345,0.1982,3.4999),(2305,3355,0.19855,3.4968),(2305,3365,0.19887,3.4938),(2305,3375,0.19919,3.4907),(2305,3385,0.19952,3.4876),(2305,3395,0.19973,3.4845),(2305,3405,0.19992,3.4814),(2305,3415,0.20011,3.4782),(2305,3425,0.20031,3.4751),(2305,3435,0.20037,3.4719),(2305,3445,0.20043,3.4688),(2305,3455,0.20049,3.4656),(2305,3465,0.20055,3.4624),(2305,3475,0.20047,3.4592),(2305,3485,0.20039,3.4561),(2305,3495,0.20032,3.4529),(2305,3505,0.20023,3.4496),(2305,3515,0.20001,3.4464),(2305,3525,0.19979,3.4432),(2305,3535,0.19957,3.44),(2305,3545,0.19935,3.4368),(2305,3555,0.19899,3.4336),(2305,3565,0.19862,3.4304),(2305,3575,0.19826,3.4272),(2305,3585,0.19789,3.424),(2305,3595,0.19738,3.4207),(2305,3605,0.19688,3.4175),(2305,3615,0.19638,3.4143),(2305,3625,0.19585,3.4111),(2305,3635,0.19521,3.4079),(2305,3645,0.19457,3.4047),(2305,3655,0.19392,3.4016),(2305,3665,0.19325,3.3984),(2305,3675,0.19247,3.3952),(2305,3685,0.19169,3.3921),(2305,3695,0.1909,3.3889),(2305,3705,0.19009,3.3858),(2305,3715,0.18917,3.3827),(2305,3725,0.18826,3.3796),(2305,3735,0.18734,3.3765),(2305,3745,0.18639,3.3734),(2305,3755,0.18534,3.3703),(2305,3765,0.18428,3.3672),(2305,3775,0.18323,3.3642),(2305,3785,0.18215,3.3612),(2305,3795,0.18097,3.3582),(2305,3805,0.17979,3.3552),(2305,3815,0.17861,3.3522),(2305,3825,0.1774,3.3493),(2305,3835,0.1761,3.3463),(2305,3845,0.1748,3.3434),(2305,3855,0.1735,3.3405),(2305,3865,0.17216,3.3376),(2305,3875,0.17075,3.3347),(2305,3885,0.16933,3.3319),(2305,3895,0.16792,3.3291),(2305,3905,0.19212,3.3263),(2305,3915,0.25458,3.3235),(2305,3925,0.31704,3.3192),(2305,3935,0.3795,3.3128),(2305,3945,0.4449,3.3063),(2305,3955,0.51403,3.2999),(2305,3965,0.58316,3.2918),(2305,3975,0.65229,3.2816),(2305,3985,0.6919,3.2713),(2305,3995,0.69954,3.2611),(2305,4005,0.70719,3.2508),(2305,4015,0.71483,3.2403),(2305,4025,0.72362,3.2298),(2305,4035,0.73253,3.2192),(2305,4045,0.74143,3.2084),(2305,4055,0.75043,3.1976),(2305,4065,0.75946,3.1867),(2305,4075,0.76849,3.1755),(2305,4085,0.77708,3.1644),(2305,4095,0.78531,3.1532),(2305,4105,0.79354,3.1417),(2305,4115,0.77218,3.1302),(2305,4125,0.70178,3.1187),(2305,4135,0.63137,3.1096),(2305,4145,0.55977,3.1012),(2305,4155,0.48328,3.0928),(2305,4165,0.40679,3.0865),(2305,4175,0.33487,3.0816),(2305,4185,0.48924,3.0766),(2305,4195,0.6436,3.0685),(2305,4205,0.79797,3.0564),(2305,4215,0.8037,3.0443),(2305,4225,0.78147,3.0322),(2305,4235,0.75923,3.0202),(2305,4245,0.71335,3.0082),(2305,4255,0.65547,2.9963),(2305,4265,0.59758,2.9865),(2305,4275,0.50474,2.9766),(2305,4285,0.37481,2.9667),(2305,4295,0.24487,2.9633),(2305,4305,0.21696,2.9606),(2305,4315,0.41941,2.9579),(2305,4325,0.62186,2.9498),(2305,4335,0.8032,2.9395),(2305,4345,0.84162,2.9292),(2305,4355,0.88005,2.9177),(2305,4365,0.91847,2.9054),(2305,4375,0.93088,2.893),(2305,4385,0.94194,2.8805),(2305,4395,0.953,2.8678),(2305,4405,0.83723,2.8551),(2305,4415,0.68406,2.8436),(2305,4425,0.5309,2.8371),(2305,4435,0.46854,2.8307),(2305,4445,0.46823,2.8242),(2305,4455,0.46791,2.8178),(2305,4465,0.54294,2.8114),(2305,4475,0.72379,2.8051),(2305,4485,0.90464,2.7929),(2305,4495,1.0453,2.7794),(2305,4505,1.0572,2.766),(2305,4515,1.069,2.7523),(2305,4525,1.0786,2.7384),(2305,4535,1.0517,2.7245),(2305,4545,1.0248,2.711),(2305,4555,0.99796,2.698),(2305,4565,0.7558,2.685),(2305,4575,0.48461,2.675),(2305,4585,0.21343,2.6722),(2305,4595,0.254,2.6693),(2305,4605,0.4263,2.6655),(2305,4615,0.59859,2.6536),(2305,4625,0.73038,2.6416),(2305,4635,0.82547,2.6297),(2305,4645,0.92056,2.6161),(2305,4655,0.9976,2.6024),(2305,4665,1.0406,2.5887),(2305,4675,1.0836,2.5753),(2305,4685,1.0807,2.562),(2305,4695,0.85075,2.5487),(2305,4705,0.62085,2.5405),(2305,4715,0.39095,2.536),(2305,4725,0.52385,2.5314),(2305,4735,0.66039,2.5252),(2305,4745,0.79692,2.5164),(2305,4755,0.93717,2.5076),(2305,4765,1.0783,2.4978),(2305,4775,1.2194,2.4846),(2305,4785,1.2773,2.4714),(2305,4795,1.2872,2.4582),(2305,4805,1.2971,2.4449),(2305,4815,1.2416,2.4317),(2305,4825,1.108,2.4184),(2305,4835,0.97438,2.4089),(2305,4845,0.83783,2.3998),(2305,4855,0.69361,2.3908),(2305,4865,0.54938,2.3848),(2305,4875,0.45013,2.3802),(2305,4885,0.76006,2.3756),(2305,4895,1.07,2.3665),(2305,4905,1.3799,2.3532),(2305,4915,1.3895,2.3398),(2305,4925,1.3731,2.3263),(2305,4935,1.3568,2.3125),(2305,4945,1.2736,2.2987),(2305,4955,1.1671,2.2851),(2305,4965,1.0606,2.2722),(2305,4975,0.85153,2.2594),(2305,4985,0.56315,2.2466),(2305,4995,0.27477,2.2448),(2305,5005,0.22478,2.2434),(2305,5015,0.55379,2.2419),(2305,5025,0.8828,2.2335),(2305,5035,1.1676,2.2233),(2305,5045,1.2842,2.2131),(2305,5055,1.4007,2.2014),(2305,5065,1.514,2.1888),(2305,5075,1.5225,2.1762),(2305,5085,1.531,2.1637),(2305,5095,1.5395,2.1514),(2305,5105,1.3483,2.1391),(2305,5115,1.1223,2.1284),(2305,5125,0.89634,2.1219),(2305,5135,0.78432,2.1155),(2305,5145,0.72762,2.1091),(2305,5155,0.67091,2.1035),(2305,5165,0.79684,2.0979),(2305,5175,1.109,2.0923),(2305,5185,1.4213,2.08),(2305,5195,1.6373,2.067),(2305,5205,1.6458,2.054),(2305,5215,1.6544,2.0413),(2305,5225,1.6542,2.0286),(2305,5235,1.5988,2.0159),(2305,5245,1.5434,2.0043),(2305,5255,1.488,1.9935),(2305,5265,1.0466,1.9826),(2305,5275,0.58935,1.9756),(2305,5285,0.13207,1.9751),(2305,5295,0.34353,1.9745),(2305,5305,0.74122,1.9713),(2305,5315,1.1389,1.9571),(2305,5325,1.3638,1.9429),(2305,5335,1.4754,1.9286),(2305,5345,1.5869,1.9148),(2305,5355,1.66,1.9009),(2305,5365,1.681,1.887),(2305,5375,1.702,1.8738),(2305,5385,1.6199,1.8606),(2305,5395,1.2243,1.8474),(2305,5405,0.82873,1.8406),(2305,5415,0.47551,1.8371),(2305,5425,0.6912,1.8336),(2305,5435,0.9069,1.8259),(2305,5445,1.1226,1.8137),(2305,5455,1.3432,1.8015),(2305,5465,1.5643,1.7874),(2305,5475,1.7855,1.7685),(2305,5485,1.8593,1.7497),(2305,5495,1.8738,1.731),(2305,5505,1.8882,1.7127),(2305,5515,1.9027,1.6944),(2305,5525,1.9171,1.6762),(2305,5535,1.9316,1.6584),(2305,5545,1.9457,1.6407),(2305,5555,1.9592,1.623),(2305,5565,1.9727,1.6056),(2305,5575,1.986,1.5884),(2305,5585,1.9986,1.5712),(2305,5595,2.0111,1.5543),(2305,5605,2.0237,1.5375),(2305,5615,2.0354,1.5207),(2305,5625,2.047,1.5042),(2305,5635,2.0587,1.4878),(2305,5645,2.0697,1.4715),(2305,5655,2.0805,1.4553),(2305,5665,2.0913,1.4394),(2305,5675,2.1016,1.4235),(2305,5685,2.1117,1.4077),(2305,5695,2.1218,1.3922),(2305,5705,2.1315,1.3767),(2305,5715,2.1409,1.3612),(2305,5725,2.1502,1.346),(2305,5735,2.1594,1.3309),(2305,5745,2.1681,1.3158),(2305,5755,2.1768,1.3009),(2305,5765,2.1854,1.2861),(2305,5775,2.1935,1.2713),(2305,5785,2.2016,1.2567),(2305,5795,2.2097,1.2422),(2305,5805,2.2173,1.2277),(2305,5815,2.2249,1.2134),(2305,5825,2.2324,1.1992),(2305,5835,2.2396,1.185),(2305,5845,2.2466,1.1709),(2305,5855,2.2537,1.157),(2305,5865,2.2604,1.1431),(2305,5875,2.267,1.1292),(2305,5885,2.2736,1.1156),(2305,5895,2.28,1.102),(2305,5905,2.2861,1.0883),(2305,5915,2.2922,1.0749),(2305,5925,2.2983,1.0616),(2305,5935,2.304,1.0482),(2305,5945,2.3097,1.035),(2305,5955,2.3155,1.0219),(2305,5965,2.321,1.0087),(2305,5975,2.3265,0.99571),(2305,5985,2.332,0.98282),(2305,5995,1.7833,0.96992),(2305,6005,1.1454,0.96008),(2305,6015,0.50753,0.95838),(2305,6025,0.56912,0.95669),(2305,6035,0.95511,0.95395),(2305,6045,1.3411,0.94111),(2305,6055,1.6142,0.92827),(2305,6065,1.7765,0.91543),(2305,6075,1.9388,0.89881),(2305,6085,2.05,0.88185),(2305,6095,2.0556,0.86489),(2305,6105,2.0612,0.84786),(2305,6115,2.0667,0.8308),(2305,6125,2.072,0.81374),(2305,6135,2.0774,0.79672),(2305,6145,2.0827,0.77972),(2305,6155,2.0876,0.76273),(2305,6165,2.0925,0.74579),(2305,6175,2.0975,0.72893),(2305,6185,2.1021,0.71207),(2305,6195,2.1067,0.6952),(2305,6205,2.1113,0.67832),(2305,6215,2.1157,0.66144),(2305,6225,2.1199,0.64456),(2305,6235,2.1241,0.62775),(2305,6245,2.1282,0.61095),(2305,6255,2.1321,0.59414),(2305,6265,2.1359,0.57738),(2305,6275,2.1397,0.56064),(2305,6285,2.1432,0.54389),(2305,6295,2.1467,0.52717),(2305,6305,2.1502,0.51046),(2305,6315,2.1533,0.49375),(2305,6325,2.1564,0.47704),(2305,6335,2.1595,0.46032),(2305,6345,2.1624,0.44359),(2305,6355,2.1652,0.42688),(2305,6365,2.168,0.41019),(2305,6375,2.1705,0.3935),(2305,6385,2.173,0.37681),(2305,6395,2.1755,0.36016),(2305,6405,2.1778,0.34351),(2305,6415,2.1799,0.32686),(2305,6425,2.1821,0.31025),(2305,6435,2.1841,0.29363),(2305,6445,2.1859,0.27702),(2305,6455,2.1878,0.2604),(2305,6465,2.1895,0.24378),(2305,6475,2.191,0.22717),(2305,6485,2.1924,0.21057),(2305,6495,2.1939,0.19397),(2305,6505,2.195,0.17738),(2305,6515,2.1961,0.16079),(2305,6525,2.1972,0.14422),(2305,6535,2.198,0.12765),(2305,6545,2.1987,0.11107),(2305,6555,2.1995,0.094491),(2305,6565,2.2,0.077913),(2305,6575,2.2004,0.061339),(2305,6585,2.2008,0.044836),(2305,6595,1.872,0.028332),(2305,6605,1.1798,0.011829),(2305,6615,0.48755,0.009915),(2305,6625,0.000929,0.009875),(2305,6635,0.000931,0.009836),(2305,6645,0.000932,0.009816),(2305,6655,0.000933,0.009805),(2305,6665,0.000934,0.009794),(2305,6675,0.000935,0.009783),(2305,6685,0.000937,0.009772),(2305,6695,0.000938,0.009762),(2305,6705,0.000939,0.009751),(2305,6715,0.00094,0.00974),(2305,6725,0.000941,0.00973),(2305,6735,0.000942,0.009719),(2305,6745,0.000943,0.009709),(2305,6755,0.000944,0.009698),(2305,6765,0.000945,0.009687),(2305,6775,0.000946,0.009677),(2305,6785,0.000947,0.009666),(2305,6795,0.000948,0.009656),(2305,6805,0.000949,0.009646),(2305,6815,0.000949,0.009635),(2305,6825,0.00095,0.009625),(2305,6835,0.000951,0.009615),(2305,6845,0.000952,0.009605),(2305,6855,0.000953,0.009595),(2305,6865,0.000954,0.009584),(2305,6875,0.000954,0.009574),(2305,6885,0.000955,0.009564),(2305,6895,0.000956,0.009554),(2305,6905,0.000957,0.009544),(2305,6915,0.000957,0.009534),(2305,6925,0.000958,0.009524),(2305,6935,0.000959,0.009514),(2305,6945,0.000959,0.009504),(2305,6955,0.00096,0.009494),(2305,6965,0.000961,0.009484),(2305,6975,0.000962,0.009474),(2305,6985,0.000962,0.009464),(2315,5,4.6e-05,3.684),(2315,15,0.000139,3.684),(2315,25,0.000231,3.684),(2315,35,0.000324,3.684),(2315,45,0.000416,3.684),(2315,55,0.000509,3.684),(2315,65,0.000602,3.684),(2315,75,0.000695,3.684),(2315,85,0.000788,3.684),(2315,95,0.000881,3.684),(2315,105,0.000974,3.684),(2315,115,0.001068,3.684),(2315,125,0.001161,3.684),(2315,135,0.001255,3.684),(2315,145,0.001349,3.684),(2315,155,0.001443,3.684),(2315,165,0.001537,3.684),(2315,175,0.001632,3.684),(2315,185,0.001727,3.684),(2315,195,0.001822,3.684),(2315,205,0.001917,3.684),(2315,215,0.002013,3.684),(2315,225,0.002109,3.684),(2315,235,0.002205,3.684),(2315,245,0.002302,3.6841),(2315,255,0.002399,3.6841),(2315,265,0.002497,3.6841),(2315,275,0.002595,3.6841),(2315,285,0.002693,3.6841),(2315,295,0.002791,3.6841),(2315,305,0.002891,3.6841),(2315,315,0.002991,3.6841),(2315,325,0.003091,3.6841),(2315,335,0.003191,3.6841),(2315,345,0.003293,3.6842),(2315,355,0.003395,3.6842),(2315,365,0.003497,3.6842),(2315,375,0.003599,3.6842),(2315,385,0.003704,3.6842),(2315,395,0.003808,3.6842),(2315,405,0.003912,3.6842),(2315,415,0.004017,3.6842),(2315,425,0.004123,3.6843),(2315,435,0.00423,3.6843),(2315,445,0.004337,3.6843),(2315,455,0.004444,3.6843),(2315,465,0.004554,3.6843),(2315,475,0.004664,3.6843),(2315,485,0.004774,3.6843),(2315,495,0.004884,3.6844),(2315,505,0.004998,3.6844),(2315,515,0.005111,3.6844),(2315,525,0.005224,3.6844),(2315,535,0.005338,3.6844),(2315,545,0.005454,3.6845),(2315,555,0.005571,3.6845),(2315,565,0.005688,3.6845),(2315,575,0.005805,3.6845),(2315,585,0.005926,3.6845),(2315,595,0.006047,3.6846),(2315,605,0.006168,3.6846),(2315,615,0.006289,3.6846),(2315,625,0.006414,3.6846),(2315,635,0.00654,3.6846),(2315,645,0.006665,3.6847),(2315,655,0.00679,3.6847),(2315,665,0.00692,3.6847),(2315,675,0.00705,3.6847),(2315,685,0.00718,3.6848),(2315,695,0.007311,3.6848),(2315,705,0.007446,3.6848),(2315,715,0.007582,3.6848),(2315,725,0.007717,3.6849),(2315,735,0.007853,3.6849),(2315,745,0.007994,3.6849),(2315,755,0.008135,3.685),(2315,765,0.008276,3.685),(2315,775,0.008418,3.685),(2315,785,0.008565,3.685),(2315,795,0.008712,3.6851),(2315,805,0.008859,3.6851),(2315,815,0.009008,3.6851),(2315,825,0.009161,3.6852),(2315,835,0.009315,3.6852),(2315,845,0.009469,3.6852),(2315,855,0.009625,3.6853),(2315,865,0.009786,3.6853),(2315,875,0.009947,3.6853),(2315,885,0.010108,3.6854),(2315,895,0.010272,3.6854),(2315,905,0.01044,3.6854),(2315,915,0.010609,3.6855),(2315,925,0.010777,3.6855),(2315,935,0.01095,3.6855),(2315,945,0.011126,3.6856),(2315,955,0.011303,3.6856),(2315,965,0.01148,3.6857),(2315,975,0.011661,3.6857),(2315,985,0.011847,3.6857),(2315,995,0.012033,3.6858),(2315,1005,0.012219,3.6858),(2315,1015,0.01241,3.6859),(2315,1025,0.012606,3.6859),(2315,1035,0.012801,3.6859),(2315,1045,0.012997,3.686),(2315,1055,0.013199,3.686),(2315,1065,0.013405,3.6861),(2315,1075,0.013611,3.6861),(2315,1085,0.013817,3.6861),(2315,1095,0.01403,3.6862),(2315,1105,0.014248,3.6862),(2315,1115,0.014465,3.6863),(2315,1125,0.014683,3.6863),(2315,1135,0.014908,3.6864),(2315,1145,0.015137,3.6864),(2315,1155,0.015366,3.6865),(2315,1165,0.015596,3.6865),(2315,1175,0.015833,3.6865),(2315,1185,0.016076,3.6866),(2315,1195,0.016318,3.6866),(2315,1205,0.01656,3.6867),(2315,1215,0.016812,3.6867),(2315,1225,0.017068,3.6868),(2315,1235,0.017324,3.6868),(2315,1245,0.01758,3.6869),(2315,1255,0.017846,3.6869),(2315,1265,0.018117,3.687),(2315,1275,0.018388,3.687),(2315,1285,0.018658,3.687),(2315,1295,0.018941,3.6871),(2315,1305,0.019227,3.6871),(2315,1315,0.019514,3.6872),(2315,1325,0.0198,3.6872),(2315,1335,0.0201,3.6873),(2315,1345,0.020403,3.6873),(2315,1355,0.020706,3.6874),(2315,1365,0.021009,3.6874),(2315,1375,0.021327,3.6875),(2315,1385,0.021648,3.6875),(2315,1395,0.021969,3.6875),(2315,1405,0.02229,3.6876),(2315,1415,0.022627,3.6876),(2315,1425,0.022967,3.6877),(2315,1435,0.023307,3.6877),(2315,1445,0.023646,3.6878),(2315,1455,0.024005,3.6878),(2315,1465,0.024364,3.6878),(2315,1475,0.024724,3.6879),(2315,1485,0.025084,3.6879),(2315,1495,0.025464,3.6879),(2315,1505,0.025845,3.688),(2315,1515,0.026226,3.688),(2315,1525,0.026607,3.6881),(2315,1535,0.02701,3.6881),(2315,1545,0.027413,3.6881),(2315,1555,0.027817,3.6881),(2315,1565,0.028222,3.6882),(2315,1575,0.028649,3.6882),(2315,1585,0.029076,3.6882),(2315,1595,0.029503,3.6883),(2315,1605,0.029933,3.6883),(2315,1615,0.030385,3.6883),(2315,1625,0.030837,3.6883),(2315,1635,0.031289,3.6883),(2315,1645,0.031745,3.6884),(2315,1655,0.032224,3.6884),(2315,1665,0.032703,3.6884),(2315,1675,0.033181,3.6884),(2315,1685,0.033665,3.6884),(2315,1695,0.034171,3.6884),(2315,1705,0.034678,3.6884),(2315,1715,0.035184,3.6884),(2315,1725,0.035697,3.6884),(2315,1735,0.036233,3.6884),(2315,1745,0.036769,3.6884),(2315,1755,0.037304,3.6884),(2315,1765,0.037848,3.6884),(2315,1775,0.038414,3.6884),(2315,1785,0.038981,3.6883),(2315,1795,0.039547,3.6883),(2315,1805,0.040123,3.6883),(2315,1815,0.040722,3.6883),(2315,1825,0.04132,3.6882),(2315,1835,0.041918,3.6882),(2315,1845,0.042528,3.6881),(2315,1855,0.04316,3.6881),(2315,1865,0.043792,3.6881),(2315,1875,0.044423,3.688),(2315,1885,0.045068,3.6879),(2315,1895,0.045735,3.6879),(2315,1905,0.046402,3.6878),(2315,1915,0.047068,3.6877),(2315,1925,0.04775,3.6876),(2315,1935,0.048453,3.6876),(2315,1945,0.049155,3.6875),(2315,1955,0.049858,3.6874),(2315,1965,0.050578,3.6873),(2315,1975,0.051318,3.6871),(2315,1985,0.052058,3.687),(2315,1995,0.052798,3.6869),(2315,2005,0.053557,3.6868),(2315,2015,0.054336,3.6866),(2315,2025,0.055114,3.6865),(2315,2035,0.055893,3.6863),(2315,2045,0.056693,3.6862),(2315,2055,0.057511,3.686),(2315,2065,0.058329,3.6858),(2315,2075,0.059147,3.6856),(2315,2085,0.059988,3.6855),(2315,2095,0.060847,3.6853),(2315,2105,0.061706,3.6851),(2315,2115,0.062564,3.6848),(2315,2125,0.063449,3.6846),(2315,2135,0.064348,3.6844),(2315,2145,0.065248,3.6841),(2315,2155,0.066148,3.6838),(2315,2165,0.067075,3.6836),(2315,2175,0.068017,3.6833),(2315,2185,0.068958,3.683),(2315,2195,0.0699,3.6827),(2315,2205,0.07087,3.6824),(2315,2215,0.071854,3.6821),(2315,2225,0.072837,3.6817),(2315,2235,0.073821,3.6814),(2315,2245,0.074835,3.681),(2315,2255,0.075861,3.6806),(2315,2265,0.076887,3.6802),(2315,2275,0.077912,3.6798),(2315,2285,0.07897,3.6794),(2315,2295,0.080038,3.679),(2315,2305,0.081105,3.6785),(2315,2315,0.082172,3.6781),(2315,2325,0.083273,3.6776),(2315,2335,0.084381,3.6771),(2315,2345,0.08549,3.6766),(2315,2355,0.086598,3.6761),(2315,2365,0.087741,3.6755),(2315,2375,0.088889,3.675),(2315,2385,0.090037,3.6744),(2315,2395,0.091185,3.6738),(2315,2405,0.092368,3.6732),(2315,2415,0.093554,3.6726),(2315,2425,0.094741,3.6719),(2315,2435,0.095928,3.6712),(2315,2445,0.097148,3.6706),(2315,2455,0.098371,3.6699),(2315,2465,0.099595,3.6691),(2315,2475,0.10082,3.6684),(2315,2485,0.10207,3.6676),(2315,2495,0.10333,3.6669),(2315,2505,0.10459,3.666),(2315,2515,0.10585,3.6652),(2315,2525,0.10713,3.6643),(2315,2535,0.10842,3.6635),(2315,2545,0.10971,3.6626),(2315,2555,0.111,3.6616),(2315,2565,0.11231,3.6607),(2315,2575,0.11363,3.6598),(2315,2585,0.11494,3.6587),(2315,2595,0.11626,3.6577),(2315,2605,0.1176,3.6567),(2315,2615,0.11894,3.6556),(2315,2625,0.12027,3.6545),(2315,2635,0.12161,3.6534),(2315,2645,0.12297,3.6523),(2315,2655,0.12433,3.6511),(2315,2665,0.12568,3.6499),(2315,2675,0.12704,3.6487),(2315,2685,0.12841,3.6474),(2315,2695,0.12978,3.6462),(2315,2705,0.13115,3.6448),(2315,2715,0.13252,3.6435),(2315,2725,0.13389,3.6421),(2315,2735,0.13527,3.6408),(2315,2745,0.13664,3.6393),(2315,2755,0.13801,3.6379),(2315,2765,0.13939,3.6364),(2315,2775,0.14076,3.6349),(2315,2785,0.14214,3.6334),(2315,2795,0.14351,3.6318),(2315,2805,0.14488,3.6302),(2315,2815,0.14624,3.6286),(2315,2825,0.14761,3.6269),(2315,2835,0.14897,3.6252),(2315,2845,0.15032,3.6235),(2315,2855,0.15168,3.6218),(2315,2865,0.15303,3.62),(2315,2875,0.15437,3.6182),(2315,2885,0.1557,3.6164),(2315,2895,0.15702,3.6145),(2315,2905,0.15835,3.6126),(2315,2915,0.15966,3.6106),(2315,2925,0.16096,3.6087),(2315,2935,0.16225,3.6067),(2315,2945,0.16355,3.6046),(2315,2955,0.16482,3.6026),(2315,2965,0.16608,3.6005),(2315,2975,0.16733,3.5984),(2315,2985,0.16858,3.5962),(2315,2995,0.16981,3.5941),(2315,3005,0.17101,3.5919),(2315,3015,0.17222,3.5896),(2315,3025,0.17342,3.5873),(2315,3035,0.17459,3.585),(2315,3045,0.17573,3.5827),(2315,3055,0.17687,3.5804),(2315,3065,0.17801,3.5779),(2315,3075,0.17911,3.5755),(2315,3085,0.18018,3.5731),(2315,3095,0.18126,3.5706),(2315,3105,0.18233,3.5681),(2315,3115,0.18335,3.5655),(2315,3125,0.18434,3.563),(2315,3135,0.18533,3.5604),(2315,3145,0.18633,3.5578),(2315,3155,0.18726,3.5551),(2315,3165,0.18816,3.5525),(2315,3175,0.18907,3.5498),(2315,3185,0.18997,3.547),(2315,3195,0.1908,3.5443),(2315,3205,0.19161,3.5415),(2315,3215,0.19242,3.5387),(2315,3225,0.19322,3.5359),(2315,3235,0.19395,3.533),(2315,3245,0.19465,3.5302),(2315,3255,0.19535,3.5273),(2315,3265,0.19605,3.5243),(2315,3275,0.19666,3.5214),(2315,3285,0.19724,3.5185),(2315,3295,0.19783,3.5155),(2315,3305,0.19842,3.5125),(2315,3315,0.1989,3.5094),(2315,3325,0.19937,3.5064),(2315,3335,0.19983,3.5034),(2315,3345,0.2003,3.5003),(2315,3355,0.20065,3.4972),(2315,3365,0.20099,3.4941),(2315,3375,0.20133,3.491),(2315,3385,0.20166,3.4879),(2315,3395,0.20188,3.4847),(2315,3405,0.20209,3.4816),(2315,3415,0.20229,3.4784),(2315,3425,0.20249,3.4752),(2315,3435,0.20257,3.472),(2315,3445,0.20264,3.4689),(2315,3455,0.2027,3.4656),(2315,3465,0.20277,3.4624),(2315,3475,0.2027,3.4592),(2315,3485,0.20263,3.456),(2315,3495,0.20255,3.4527),(2315,3505,0.20248,3.4495),(2315,3515,0.20226,3.4463),(2315,3525,0.20205,3.443),(2315,3535,0.20183,3.4398),(2315,3545,0.20161,3.4365),(2315,3555,0.20125,3.4333),(2315,3565,0.20089,3.43),(2315,3575,0.20052,3.4268),(2315,3585,0.20015,3.4235),(2315,3595,0.19965,3.4203),(2315,3605,0.19914,3.417),(2315,3615,0.19864,3.4138),(2315,3625,0.19811,3.4106),(2315,3635,0.19747,3.4073),(2315,3645,0.19682,3.4041),(2315,3655,0.19617,3.4009),(2315,3665,0.1955,3.3977),(2315,3675,0.19471,3.3945),(2315,3685,0.19392,3.3913),(2315,3695,0.19313,3.3881),(2315,3705,0.19232,3.385),(2315,3715,0.19139,3.3818),(2315,3725,0.19046,3.3786),(2315,3735,0.18954,3.3755),(2315,3745,0.18858,3.3724),(2315,3755,0.18752,3.3693),(2315,3765,0.18646,3.3662),(2315,3775,0.1854,3.3631),(2315,3785,0.1843,3.3601),(2315,3795,0.18311,3.357),(2315,3805,0.18192,3.354),(2315,3815,0.18073,3.351),(2315,3825,0.17951,3.348),(2315,3835,0.17819,3.345),(2315,3845,0.17688,3.3421),(2315,3855,0.17557,3.3392),(2315,3865,0.17422,3.3362),(2315,3875,0.17279,3.3333),(2315,3885,0.17136,3.3305),(2315,3895,0.16994,3.3276),(2315,3905,0.19438,3.3248),(2315,3915,0.25747,3.322),(2315,3925,0.32055,3.3176),(2315,3935,0.38364,3.3112),(2315,3945,0.44967,3.3047),(2315,3955,0.51943,3.2982),(2315,3965,0.5892,3.29),(2315,3975,0.65896,3.2797),(2315,3985,0.69891,3.2694),(2315,3995,0.7066,3.2591),(2315,4005,0.71428,3.2487),(2315,4015,0.72196,3.2382),(2315,4025,0.73081,3.2276),(2315,4035,0.73978,3.2169),(2315,4045,0.74874,3.206),(2315,4055,0.7578,3.1951),(2315,4065,0.76689,3.1842),(2315,4075,0.77598,3.173),(2315,4085,0.78463,3.1617),(2315,4095,0.79293,3.1505),(2315,4105,0.80123,3.1389),(2315,4115,0.77967,3.1273),(2315,4125,0.70862,3.1158),(2315,4135,0.63758,3.1066),(2315,4145,0.56531,3.0982),(2315,4155,0.4881,3.0897),(2315,4165,0.41089,3.0833),(2315,4175,0.33829,3.0783),(2315,4185,0.49417,3.0733),(2315,4195,0.65005,3.0652),(2315,4205,0.80593,3.053),(2315,4215,0.81196,3.0408),(2315,4225,0.78979,3.0286),(2315,4235,0.76761,3.0164),(2315,4245,0.72148,3.0043),(2315,4255,0.6632,2.9924),(2315,4265,0.60492,2.9824),(2315,4275,0.51108,2.9724),(2315,4285,0.37951,2.9623),(2315,4295,0.24794,2.9589),(2315,4305,0.21934,2.9561),(2315,4315,0.42322,2.9534),(2315,4325,0.62711,2.9452),(2315,4335,0.80976,2.9348),(2315,4345,0.84864,2.9244),(2315,4355,0.88752,2.9128),(2315,4365,0.9264,2.9004),(2315,4375,0.93885,2.8879),(2315,4385,0.94993,2.8753),(2315,4395,0.96101,2.8626),(2315,4405,0.8443,2.8499),(2315,4415,0.68991,2.8383),(2315,4425,0.53552,2.8318),(2315,4435,0.47265,2.8254),(2315,4445,0.47233,2.8189),(2315,4455,0.47201,2.8125),(2315,4465,0.54759,2.8061),(2315,4475,0.72979,2.7997),(2315,4485,0.91199,2.7874),(2315,4495,1.0537,2.7739),(2315,4505,1.0656,2.7603),(2315,4515,1.0775,2.7466),(2315,4525,1.0871,2.7326),(2315,4535,1.0601,2.7187),(2315,4545,1.033,2.7052),(2315,4555,1.006,2.6923),(2315,4565,0.76218,2.6793),(2315,4575,0.48915,2.6693),(2315,4585,0.21611,2.6665),(2315,4595,0.25754,2.6637),(2315,4605,0.43184,2.6598),(2315,4615,0.60613,2.6478),(2315,4625,0.73892,2.6358),(2315,4635,0.83411,2.6237),(2315,4645,0.92931,2.6101),(2315,4655,1.0063,2.5964),(2315,4665,1.049,2.5827),(2315,4675,1.0917,2.5692),(2315,4685,1.0883,2.5558),(2315,4695,0.85677,2.5424),(2315,4705,0.62524,2.534),(2315,4715,0.39371,2.5293),(2315,4725,0.52722,2.5247),(2315,4735,0.6644,2.5184),(2315,4745,0.80157,2.5096),(2315,4755,0.94252,2.5008),(2315,4765,1.0843,2.491),(2315,4775,1.2262,2.4778),(2315,4785,1.2844,2.4645),(2315,4795,1.2942,2.4513),(2315,4805,1.304,2.438),(2315,4815,1.2482,2.4247),(2315,4825,1.1139,2.4114),(2315,4835,0.97964,2.4018),(2315,4845,0.8424,2.3928),(2315,4855,0.6975,2.3838),(2315,4865,0.55259,2.3778),(2315,4875,0.45285,2.3731),(2315,4885,0.76404,2.3685),(2315,4895,1.0752,2.3593),(2315,4905,1.3864,2.346),(2315,4915,1.3962,2.3326),(2315,4925,1.3801,2.319),(2315,4935,1.364,2.3052),(2315,4945,1.2809,2.2914),(2315,4955,1.1747,2.2777),(2315,4965,1.0684,2.2648),(2315,4975,0.85812,2.2519),(2315,4985,0.5676,2.2391),(2315,4995,0.27707,2.2373),(2315,5005,0.22622,2.2358),(2315,5015,0.5564,2.2343),(2315,5025,0.88657,2.2259),(2315,5035,1.1724,2.2158),(2315,5045,1.2891,2.2056),(2315,5055,1.4059,2.1939),(2315,5065,1.5194,2.1813),(2315,5075,1.5277,2.1686),(2315,5085,1.5361,2.1562),(2315,5095,1.5444,2.1439),(2315,5105,1.3526,2.1316),(2315,5115,1.1259,2.1209),(2315,5125,0.89914,2.1144),(2315,5135,0.78687,2.108),(2315,5145,0.73014,2.1016),(2315,5155,0.67342,2.096),(2315,5165,0.79976,2.0904),(2315,5175,1.1128,2.0848),(2315,5185,1.4258,2.0725),(2315,5195,1.6424,2.0596),(2315,5205,1.6508,2.0466),(2315,5215,1.6593,2.0339),(2315,5225,1.6589,2.0212),(2315,5235,1.6032,2.0085),(2315,5245,1.5475,1.9969),(2315,5255,1.4918,1.9861),(2315,5265,1.0494,1.9753),(2315,5275,0.59103,1.9683),(2315,5285,0.13267,1.9677),(2315,5295,0.34575,1.9672),(2315,5305,0.74581,1.964),(2315,5315,1.1459,1.9497),(2315,5325,1.3713,1.9354),(2315,5335,1.4823,1.9211),(2315,5345,1.5932,1.9073),(2315,5355,1.6658,1.8934),(2315,5365,1.6865,1.8796),(2315,5375,1.7072,1.8663),(2315,5385,1.6246,1.8531),(2315,5395,1.2279,1.84),(2315,5405,0.83114,1.8332),(2315,5415,0.47697,1.8296),(2315,5425,0.6943,1.8261),(2315,5435,0.91163,1.8184),(2315,5445,1.129,1.8063),(2315,5455,1.3506,1.7942),(2315,5465,1.5728,1.7801),(2315,5475,1.7949,1.7614),(2315,5485,1.8689,1.7426),(2315,5495,1.8831,1.7239),(2315,5505,1.8974,1.7058),(2315,5515,1.9116,1.6876),(2315,5525,1.9259,1.6694),(2315,5535,1.9401,1.6517),(2315,5545,1.954,1.6341),(2315,5555,1.9673,1.6164),(2315,5565,1.9806,1.5992),(2315,5575,1.9937,1.582),(2315,5585,2.0061,1.5649),(2315,5595,2.0184,1.548),(2315,5605,2.0308,1.5314),(2315,5615,2.0422,1.5147),(2315,5625,2.0537,1.4982),(2315,5635,2.0652,1.4819),(2315,5645,2.076,1.4657),(2315,5655,2.0866,1.4496),(2315,5665,2.0973,1.4338),(2315,5675,2.1075,1.418),(2315,5685,2.1174,1.4022),(2315,5695,2.1273,1.3867),(2315,5705,2.1369,1.3713),(2315,5715,2.1461,1.3559),(2315,5725,2.1553,1.3408),(2315,5735,2.1643,1.3257),(2315,5745,2.1729,1.3107),(2315,5755,2.1814,1.2959),(2315,5765,2.1899,1.2812),(2315,5775,2.1979,1.2664),(2315,5785,2.2059,1.2519),(2315,5795,2.2138,1.2375),(2315,5805,2.2213,1.2231),(2315,5815,2.2287,1.2088),(2315,5825,2.2361,1.1947),(2315,5835,2.2432,1.1806),(2315,5845,2.2501,1.1665),(2315,5855,2.257,1.1527),(2315,5865,2.2637,1.1389),(2315,5875,2.2701,1.1251),(2315,5885,2.2766,1.1115),(2315,5895,2.2829,1.098),(2315,5905,2.2889,1.0844),(2315,5915,2.295,1.0711),(2315,5925,2.3009,1.0578),(2315,5935,2.3065,1.0445),(2315,5945,2.3122,1.0314),(2315,5955,2.3178,1.0183),(2315,5965,2.3232,1.0053),(2315,5975,2.3286,0.99232),(2315,5985,2.3341,0.9795),(2315,5995,1.7849,0.96668),(2315,6005,1.1464,0.95689),(2315,6015,0.50801,0.9552),(2315,6025,0.57064,0.95351),(2315,6035,0.95843,0.95078),(2315,6045,1.3462,0.93798),(2315,6055,1.6205,0.92518),(2315,6065,1.7834,0.91238),(2315,6075,1.9463,0.8958),(2315,6085,2.0578,0.87888),(2315,6095,2.0634,0.86196),(2315,6105,2.069,0.84497),(2315,6115,2.0745,0.82796),(2315,6125,2.0798,0.81094),(2315,6135,2.0851,0.79396),(2315,6145,2.0903,0.77701),(2315,6155,2.0952,0.76007),(2315,6165,2.1001,0.74317),(2315,6175,2.105,0.72637),(2315,6185,2.1097,0.70956),(2315,6195,2.1142,0.69275),(2315,6205,2.1188,0.67593),(2315,6215,2.1231,0.6591),(2315,6225,2.1273,0.64227),(2315,6235,2.1315,0.62552),(2315,6245,2.1356,0.60876),(2315,6255,2.1394,0.59201),(2315,6265,2.1433,0.57529),(2315,6275,2.147,0.55859),(2315,6285,2.1505,0.54189),(2315,6295,2.154,0.52522),(2315,6305,2.1574,0.50858),(2315,6315,2.1605,0.49193),(2315,6325,2.1636,0.47528),(2315,6335,2.1667,0.45861),(2315,6345,2.1695,0.44195),(2315,6355,2.1723,0.4253),(2315,6365,2.1751,0.40867),(2315,6375,2.1776,0.39205),(2315,6385,2.1801,0.37543),(2315,6395,2.1825,0.35885),(2315,6405,2.1848,0.34227),(2315,6415,2.1869,0.32569),(2315,6425,2.1891,0.30914),(2315,6435,2.1911,0.29259),(2315,6445,2.1929,0.27604),(2315,6455,2.1947,0.25948),(2315,6465,2.1964,0.24292),(2315,6475,2.1979,0.22636),(2315,6485,2.1993,0.20981),(2315,6495,2.2008,0.19327),(2315,6505,2.2019,0.17674),(2315,6515,2.203,0.16021),(2315,6525,2.204,0.1437),(2315,6535,2.2049,0.12718),(2315,6545,2.2056,0.11067),(2315,6555,2.2064,0.094153),(2315,6565,2.2069,0.077636),(2315,6575,2.2073,0.061124),(2315,6585,2.2076,0.044694),(2315,6595,1.8778,0.028263),(2315,6605,1.1835,0.011833),(2315,6615,0.48908,0.009924),(2315,6625,0.000936,0.009881),(2315,6635,0.000937,0.009838),(2315,6645,0.000939,0.009817),(2315,6655,0.00094,0.009806),(2315,6665,0.000941,0.009795),(2315,6675,0.000942,0.009784),(2315,6685,0.000943,0.009774),(2315,6695,0.000944,0.009763),(2315,6705,0.000945,0.009752),(2315,6715,0.000946,0.009741),(2315,6725,0.000947,0.009731),(2315,6735,0.000948,0.00972),(2315,6745,0.000949,0.009709),(2315,6755,0.00095,0.009699),(2315,6765,0.000951,0.009688),(2315,6775,0.000952,0.009678),(2315,6785,0.000953,0.009667),(2315,6795,0.000954,0.009657),(2315,6805,0.000955,0.009647),(2315,6815,0.000956,0.009636),(2315,6825,0.000956,0.009626),(2315,6835,0.000957,0.009616),(2315,6845,0.000958,0.009605),(2315,6855,0.000959,0.009595),(2315,6865,0.00096,0.009585),(2315,6875,0.00096,0.009575),(2315,6885,0.000961,0.009565),(2315,6895,0.000962,0.009555),(2315,6905,0.000963,0.009545),(2315,6915,0.000963,0.009535),(2315,6925,0.000964,0.009524),(2315,6935,0.000965,0.009515),(2315,6945,0.000965,0.009504),(2315,6955,0.000966,0.009494),(2315,6965,0.000967,0.009484),(2315,6975,0.000967,0.009475),(2315,6985,0.000968,0.009465),(2325,5,4.6e-05,3.6841),(2325,15,0.000137,3.6841),(2325,25,0.000229,3.6841),(2325,35,0.000321,3.6841),(2325,45,0.000413,3.6841),(2325,55,0.000505,3.6841),(2325,65,0.000597,3.6841),(2325,75,0.000689,3.6841),(2325,85,0.000781,3.6841),(2325,95,0.000874,3.6841),(2325,105,0.000966,3.6841),(2325,115,0.001059,3.6841),(2325,125,0.001152,3.6841),(2325,135,0.001245,3.6841),(2325,145,0.001338,3.6841),(2325,155,0.001431,3.6841),(2325,165,0.001525,3.6841),(2325,175,0.001618,3.6841),(2325,185,0.001713,3.6841),(2325,195,0.001807,3.6841),(2325,205,0.001901,3.6841),(2325,215,0.001996,3.6841),(2325,225,0.002091,3.6841),(2325,235,0.002187,3.6841),(2325,245,0.002283,3.6842),(2325,255,0.002379,3.6842),(2325,265,0.002476,3.6842),(2325,275,0.002573,3.6842),(2325,285,0.002671,3.6842),(2325,295,0.002768,3.6842),(2325,305,0.002867,3.6842),(2325,315,0.002966,3.6842),(2325,325,0.003065,3.6842),(2325,335,0.003165,3.6842),(2325,345,0.003266,3.6843),(2325,355,0.003367,3.6843),(2325,365,0.003468,3.6843),(2325,375,0.003569,3.6843),(2325,385,0.003673,3.6843),(2325,395,0.003776,3.6843),(2325,405,0.00388,3.6843),(2325,415,0.003983,3.6843),(2325,425,0.004089,3.6844),(2325,435,0.004195,3.6844),(2325,445,0.004301,3.6844),(2325,455,0.004407,3.6844),(2325,465,0.004516,3.6844),(2325,475,0.004625,3.6844),(2325,485,0.004734,3.6845),(2325,495,0.004843,3.6845),(2325,505,0.004956,3.6845),(2325,515,0.005068,3.6845),(2325,525,0.005181,3.6845),(2325,535,0.005293,3.6846),(2325,545,0.005409,3.6846),(2325,555,0.005525,3.6846),(2325,565,0.005641,3.6846),(2325,575,0.005757,3.6846),(2325,585,0.005877,3.6847),(2325,595,0.005997,3.6847),(2325,605,0.006116,3.6847),(2325,615,0.006237,3.6847),(2325,625,0.006361,3.6847),(2325,635,0.006485,3.6848),(2325,645,0.006609,3.6848),(2325,655,0.006734,3.6848),(2325,665,0.006863,3.6848),(2325,675,0.006992,3.6849),(2325,685,0.007121,3.6849),(2325,695,0.00725,3.6849),(2325,705,0.007384,3.685),(2325,715,0.007519,3.685),(2325,725,0.007653,3.685),(2325,735,0.007788,3.685),(2325,745,0.007928,3.6851),(2325,755,0.008067,3.6851),(2325,765,0.008207,3.6851),(2325,775,0.008348,3.6852),(2325,785,0.008494,3.6852),(2325,795,0.00864,3.6852),(2325,805,0.008785,3.6853),(2325,815,0.008933,3.6853),(2325,825,0.009086,3.6853),(2325,835,0.009238,3.6854),(2325,845,0.009391,3.6854),(2325,855,0.009546,3.6854),(2325,865,0.009706,3.6855),(2325,875,0.009865,3.6855),(2325,885,0.010025,3.6855),(2325,895,0.010188,3.6856),(2325,905,0.010355,3.6856),(2325,915,0.010522,3.6856),(2325,925,0.01069,3.6857),(2325,935,0.010861,3.6857),(2325,945,0.011036,3.6858),(2325,955,0.011212,3.6858),(2325,965,0.011387,3.6858),(2325,975,0.011567,3.6859),(2325,985,0.011752,3.6859),(2325,995,0.011936,3.686),(2325,1005,0.012121,3.686),(2325,1015,0.012311,3.686),(2325,1025,0.012505,3.6861),(2325,1035,0.0127,3.6861),(2325,1045,0.012894,3.6862),(2325,1055,0.013094,3.6862),(2325,1065,0.013299,3.6863),(2325,1075,0.013504,3.6863),(2325,1085,0.013709,3.6864),(2325,1095,0.013921,3.6864),(2325,1105,0.014137,3.6864),(2325,1115,0.014353,3.6865),(2325,1125,0.014569,3.6865),(2325,1135,0.014793,3.6866),(2325,1145,0.015021,3.6866),(2325,1155,0.015249,3.6867),(2325,1165,0.015477,3.6867),(2325,1175,0.015713,3.6868),(2325,1185,0.015954,3.6868),(2325,1195,0.016195,3.6869),(2325,1205,0.016436,3.6869),(2325,1215,0.016687,3.687),(2325,1225,0.016941,3.687),(2325,1235,0.017196,3.6871),(2325,1245,0.017451,3.6871),(2325,1255,0.017716,3.6872),(2325,1265,0.017986,3.6872),(2325,1275,0.018255,3.6873),(2325,1285,0.018524,3.6873),(2325,1295,0.018806,3.6874),(2325,1305,0.019091,3.6874),(2325,1315,0.019376,3.6875),(2325,1325,0.019661,3.6875),(2325,1335,0.01996,3.6876),(2325,1345,0.020261,3.6876),(2325,1355,0.020563,3.6877),(2325,1365,0.020865,3.6877),(2325,1375,0.021182,3.6878),(2325,1385,0.021502,3.6878),(2325,1395,0.021822,3.6879),(2325,1405,0.022141,3.6879),(2325,1415,0.022478,3.688),(2325,1425,0.022817,3.688),(2325,1435,0.023155,3.6881),(2325,1445,0.023494,3.6881),(2325,1455,0.023852,3.6881),(2325,1465,0.02421,3.6882),(2325,1475,0.024569,3.6882),(2325,1485,0.024928,3.6883),(2325,1495,0.025307,3.6883),(2325,1505,0.025687,3.6884),(2325,1515,0.026067,3.6884),(2325,1525,0.026448,3.6884),(2325,1535,0.02685,3.6885),(2325,1545,0.027253,3.6885),(2325,1555,0.027656,3.6886),(2325,1565,0.02806,3.6886),(2325,1575,0.028486,3.6886),(2325,1585,0.028913,3.6887),(2325,1595,0.029339,3.6887),(2325,1605,0.029769,3.6887),(2325,1615,0.030221,3.6888),(2325,1625,0.030672,3.6888),(2325,1635,0.031124,3.6888),(2325,1645,0.03158,3.6888),(2325,1655,0.032059,3.6888),(2325,1665,0.032537,3.6889),(2325,1675,0.033016,3.6889),(2325,1685,0.033499,3.6889),(2325,1695,0.034006,3.6889),(2325,1705,0.034512,3.6889),(2325,1715,0.035019,3.6889),(2325,1725,0.035532,3.6889),(2325,1735,0.036068,3.6889),(2325,1745,0.036604,3.6889),(2325,1755,0.037141,3.6889),(2325,1765,0.037685,3.6889),(2325,1775,0.038252,3.6889),(2325,1785,0.038819,3.6889),(2325,1795,0.039386,3.6889),(2325,1805,0.039963,3.6889),(2325,1815,0.040562,3.6889),(2325,1825,0.041162,3.6888),(2325,1835,0.041761,3.6888),(2325,1845,0.042372,3.6888),(2325,1855,0.043006,3.6887),(2325,1865,0.043639,3.6887),(2325,1875,0.044272,3.6886),(2325,1885,0.044919,3.6886),(2325,1895,0.045588,3.6885),(2325,1905,0.046256,3.6885),(2325,1915,0.046925,3.6884),(2325,1925,0.047609,3.6883),(2325,1935,0.048314,3.6882),(2325,1945,0.049019,3.6882),(2325,1955,0.049724,3.6881),(2325,1965,0.050447,3.688),(2325,1975,0.05119,3.6879),(2325,1985,0.051933,3.6878),(2325,1995,0.052676,3.6877),(2325,2005,0.053439,3.6875),(2325,2015,0.054221,3.6874),(2325,2025,0.055003,3.6873),(2325,2035,0.055785,3.6871),(2325,2045,0.056589,3.687),(2325,2055,0.057411,3.6868),(2325,2065,0.058234,3.6867),(2325,2075,0.059056,3.6865),(2325,2085,0.059902,3.6863),(2325,2095,0.060766,3.6861),(2325,2105,0.06163,3.6859),(2325,2115,0.062493,3.6857),(2325,2125,0.063383,3.6855),(2325,2135,0.064289,3.6853),(2325,2145,0.065195,3.685),(2325,2155,0.0661,3.6848),(2325,2165,0.067034,3.6845),(2325,2175,0.067982,3.6842),(2325,2185,0.06893,3.684),(2325,2195,0.069879,3.6837),(2325,2205,0.070857,3.6834),(2325,2215,0.071848,3.6831),(2325,2225,0.072839,3.6827),(2325,2235,0.07383,3.6824),(2325,2245,0.074853,3.682),(2325,2255,0.075887,3.6817),(2325,2265,0.076921,3.6813),(2325,2275,0.077955,3.6809),(2325,2285,0.079023,3.6805),(2325,2295,0.0801,3.6801),(2325,2305,0.081177,3.6796),(2325,2315,0.082253,3.6791),(2325,2325,0.083365,3.6787),(2325,2335,0.084484,3.6782),(2325,2345,0.085603,3.6777),(2325,2355,0.086722,3.6772),(2325,2365,0.087876,3.6767),(2325,2375,0.089036,3.6761),(2325,2385,0.090196,3.6755),(2325,2395,0.091356,3.675),(2325,2405,0.092551,3.6744),(2325,2415,0.093751,3.6738),(2325,2425,0.094951,3.6731),(2325,2435,0.09615,3.6724),(2325,2445,0.097385,3.6718),(2325,2455,0.098622,3.6711),(2325,2465,0.099859,3.6703),(2325,2475,0.1011,3.6696),(2325,2485,0.10237,3.6689),(2325,2495,0.10364,3.6681),(2325,2505,0.10491,3.6673),(2325,2515,0.10619,3.6664),(2325,2525,0.10749,3.6656),(2325,2535,0.10879,3.6648),(2325,2545,0.1101,3.6638),(2325,2555,0.11141,3.6629),(2325,2565,0.11274,3.662),(2325,2575,0.11407,3.6611),(2325,2585,0.1154,3.66),(2325,2595,0.11674,3.659),(2325,2605,0.1181,3.658),(2325,2615,0.11945,3.657),(2325,2625,0.12081,3.6558),(2325,2635,0.12217,3.6547),(2325,2645,0.12354,3.6536),(2325,2655,0.12492,3.6525),(2325,2665,0.1263,3.6512),(2325,2675,0.12767,3.65),(2325,2685,0.12906,3.6488),(2325,2695,0.13045,3.6475),(2325,2705,0.13184,3.6462),(2325,2715,0.13323,3.6448),(2325,2725,0.13463,3.6435),(2325,2735,0.13603,3.6421),(2325,2745,0.13742,3.6407),(2325,2755,0.13882,3.6392),(2325,2765,0.14022,3.6378),(2325,2775,0.14162,3.6363),(2325,2785,0.14301,3.6347),(2325,2795,0.14441,3.6331),(2325,2805,0.1458,3.6316),(2325,2815,0.14719,3.63),(2325,2825,0.14858,3.6283),(2325,2835,0.14997,3.6266),(2325,2845,0.15134,3.6249),(2325,2855,0.15272,3.6231),(2325,2865,0.15409,3.6213),(2325,2875,0.15546,3.6195),(2325,2885,0.15681,3.6177),(2325,2895,0.15816,3.6158),(2325,2905,0.15951,3.6139),(2325,2915,0.16085,3.6119),(2325,2925,0.16217,3.61),(2325,2935,0.16349,3.608),(2325,2945,0.16481,3.6059),(2325,2955,0.16611,3.6038),(2325,2965,0.16739,3.6018),(2325,2975,0.16867,3.5996),(2325,2985,0.16995,3.5975),(2325,2995,0.1712,3.5953),(2325,3005,0.17243,3.5931),(2325,3015,0.17365,3.5908),(2325,3025,0.17488,3.5885),(2325,3035,0.17607,3.5862),(2325,3045,0.17724,3.5839),(2325,3055,0.1784,3.5815),(2325,3065,0.17957,3.579),(2325,3075,0.1807,3.5766),(2325,3085,0.18179,3.5742),(2325,3095,0.18289,3.5717),(2325,3105,0.18398,3.5691),(2325,3115,0.18503,3.5665),(2325,3125,0.18604,3.564),(2325,3135,0.18706,3.5614),(2325,3145,0.18807,3.5587),(2325,3155,0.18903,3.556),(2325,3165,0.18995,3.5534),(2325,3175,0.19088,3.5506),(2325,3185,0.1918,3.5479),(2325,3195,0.19266,3.5451),(2325,3205,0.19348,3.5423),(2325,3215,0.19431,3.5395),(2325,3225,0.19514,3.5366),(2325,3235,0.19588,3.5337),(2325,3245,0.1966,3.5309),(2325,3255,0.19732,3.5279),(2325,3265,0.19804,3.525),(2325,3275,0.19867,3.522),(2325,3285,0.19927,3.519),(2325,3295,0.19987,3.516),(2325,3305,0.20048,3.513),(2325,3315,0.20098,3.5099),(2325,3325,0.20146,3.5069),(2325,3335,0.20194,3.5038),(2325,3345,0.20242,3.5007),(2325,3355,0.20279,3.4976),(2325,3365,0.20314,3.4945),(2325,3375,0.20349,3.4913),(2325,3385,0.20384,3.4881),(2325,3395,0.20407,3.485),(2325,3405,0.20428,3.4818),(2325,3415,0.2045,3.4786),(2325,3425,0.20471,3.4754),(2325,3435,0.2048,3.4721),(2325,3445,0.20487,3.4689),(2325,3455,0.20495,3.4657),(2325,3465,0.20502,3.4624),(2325,3475,0.20496,3.4592),(2325,3485,0.20489,3.4559),(2325,3495,0.20482,3.4526),(2325,3505,0.20476,3.4493),(2325,3515,0.20454,3.4461),(2325,3525,0.20433,3.4428),(2325,3535,0.20412,3.4395),(2325,3545,0.2039,3.4362),(2325,3555,0.20354,3.4329),(2325,3565,0.20318,3.4296),(2325,3575,0.20282,3.4264),(2325,3585,0.20245,3.4231),(2325,3595,0.20194,3.4198),(2325,3605,0.20143,3.4165),(2325,3615,0.20093,3.4132),(2325,3625,0.2004,3.41),(2325,3635,0.19975,3.4067),(2325,3645,0.1991,3.4034),(2325,3655,0.19845,3.4002),(2325,3665,0.19777,3.397),(2325,3675,0.19698,3.3937),(2325,3685,0.19619,3.3905),(2325,3695,0.19539,3.3873),(2325,3705,0.19457,3.3841),(2325,3715,0.19363,3.3809),(2325,3725,0.1927,3.3777),(2325,3735,0.19177,3.3746),(2325,3745,0.1908,3.3714),(2325,3755,0.18973,3.3683),(2325,3765,0.18866,3.3651),(2325,3775,0.18759,3.362),(2325,3785,0.18648,3.3589),(2325,3795,0.18528,3.3559),(2325,3805,0.18408,3.3528),(2325,3815,0.18288,3.3498),(2325,3825,0.18164,3.3468),(2325,3835,0.18032,3.3437),(2325,3845,0.17899,3.3407),(2325,3855,0.17767,3.3378),(2325,3865,0.1763,3.3349),(2325,3875,0.17486,3.3319),(2325,3885,0.17342,3.329),(2325,3895,0.17198,3.3262),(2325,3905,0.19667,3.3233),(2325,3915,0.26038,3.3205),(2325,3925,0.3241,3.3161),(2325,3935,0.38782,3.3096),(2325,3945,0.45448,3.303),(2325,3955,0.52488,3.2965),(2325,3965,0.59529,3.2882),(2325,3975,0.66569,3.2779),(2325,3985,0.70599,3.2675),(2325,3995,0.71371,3.2571),(2325,4005,0.72144,3.2466),(2325,4015,0.72916,3.236),(2325,4025,0.73806,3.2254),(2325,4035,0.74708,3.2146),(2325,4045,0.75609,3.2037),(2325,4055,0.76521,3.1927),(2325,4065,0.77437,3.1817),(2325,4075,0.78353,3.1704),(2325,4085,0.79224,3.1591),(2325,4095,0.80061,3.1478),(2325,4105,0.80898,3.1362),(2325,4115,0.78722,3.1245),(2325,4125,0.71553,3.1128),(2325,4135,0.64384,3.1036),(2325,4145,0.57091,3.0951),(2325,4155,0.49297,3.0865),(2325,4165,0.41503,3.0801),(2325,4175,0.34174,3.0751),(2325,4185,0.49915,3.07),(2325,4195,0.65656,3.0618),(2325,4205,0.81397,3.0495),(2325,4215,0.8203,3.0372),(2325,4225,0.79819,3.0249),(2325,4235,0.77609,3.0127),(2325,4245,0.72972,3.0005),(2325,4255,0.67104,2.9884),(2325,4265,0.61236,2.9782),(2325,4275,0.51752,2.9681),(2325,4285,0.38429,2.958),(2325,4295,0.25107,2.9544),(2325,4305,0.22176,2.9517),(2325,4315,0.4271,2.9489),(2325,4325,0.63244,2.9406),(2325,4335,0.81641,2.9301),(2325,4345,0.85574,2.9196),(2325,4355,0.89507,2.9079),(2325,4365,0.93441,2.8954),(2325,4375,0.94689,2.8828),(2325,4385,0.95797,2.8702),(2325,4395,0.96905,2.8574),(2325,4405,0.85138,2.8446),(2325,4415,0.69575,2.833),(2325,4425,0.54012,2.8266),(2325,4435,0.47675,2.8201),(2325,4445,0.47645,2.8137),(2325,4455,0.47614,2.8072),(2325,4465,0.55229,2.8007),(2325,4475,0.73584,2.7943),(2325,4485,0.91939,2.7819),(2325,4495,1.0622,2.7683),(2325,4505,1.0741,2.7547),(2325,4515,1.0861,2.7408),(2325,4525,1.0957,2.7268),(2325,4535,1.0685,2.7129),(2325,4545,1.0412,2.6994),(2325,4555,1.0139,2.6865),(2325,4565,0.76851,2.6737),(2325,4575,0.49366,2.6637),(2325,4585,0.21881,2.6608),(2325,4595,0.26111,2.658),(2325,4605,0.43741,2.654),(2325,4615,0.61372,2.642),(2325,4625,0.74751,2.6299),(2325,4635,0.84279,2.6178),(2325,4645,0.93807,2.6042),(2325,4655,1.0151,2.5904),(2325,4665,1.0575,2.5766),(2325,4675,1.1,2.5631),(2325,4685,1.0961,2.5495),(2325,4695,0.8629,2.536),(2325,4705,0.62974,2.5275),(2325,4715,0.39659,2.5227),(2325,4725,0.53068,2.518),(2325,4735,0.66845,2.5116),(2325,4745,0.80622,2.5028),(2325,4755,0.94787,2.494),(2325,4765,1.0904,2.4842),(2325,4775,1.233,2.4709),(2325,4785,1.2914,2.4576),(2325,4795,1.3012,2.4444),(2325,4805,1.311,2.431),(2325,4815,1.2549,2.4177),(2325,4825,1.1199,2.4044),(2325,4835,0.9849,2.3948),(2325,4845,0.84697,2.3858),(2325,4855,0.7014,2.3767),(2325,4865,0.55583,2.3707),(2325,4875,0.45562,2.366),(2325,4885,0.76806,2.3613),(2325,4895,1.0805,2.3522),(2325,4905,1.3929,2.3387),(2325,4915,1.403,2.3253),(2325,4925,1.3871,2.3118),(2325,4935,1.3712,2.2979),(2325,4945,1.2883,2.284),(2325,4955,1.1822,2.2703),(2325,4965,1.0761,2.2574),(2325,4975,0.86475,2.2445),(2325,4985,0.57207,2.2315),(2325,4995,0.27939,2.2298),(2325,5005,0.22766,2.2283),(2325,5015,0.559,2.2268),(2325,5025,0.89034,2.2184),(2325,5035,1.1771,2.2082),(2325,5045,1.2941,2.1981),(2325,5055,1.4111,2.1864),(2325,5065,1.5248,2.1737),(2325,5075,1.533,2.1611),(2325,5085,1.5412,2.1487),(2325,5095,1.5494,2.1364),(2325,5105,1.3569,2.1241),(2325,5115,1.1294,2.1134),(2325,5125,0.90194,2.1069),(2325,5135,0.78941,2.1004),(2325,5145,0.73267,2.0941),(2325,5155,0.67593,2.0885),(2325,5165,0.80267,2.0829),(2325,5175,1.1165,2.0773),(2325,5185,1.4304,2.0651),(2325,5195,1.6475,2.0521),(2325,5205,1.6558,2.0391),(2325,5215,1.6642,2.0264),(2325,5225,1.6636,2.0138),(2325,5235,1.6076,2.0011),(2325,5245,1.5516,1.9895),(2325,5255,1.4956,1.9787),(2325,5265,1.0521,1.9679),(2325,5275,0.59271,1.9609),(2325,5285,0.13328,1.9603),(2325,5295,0.34798,1.9598),(2325,5305,0.75041,1.9566),(2325,5315,1.1528,1.9423),(2325,5325,1.3789,1.928),(2325,5335,1.4892,1.9137),(2325,5345,1.5995,1.8998),(2325,5355,1.6716,1.8859),(2325,5365,1.692,1.8721),(2325,5375,1.7124,1.8588),(2325,5385,1.6293,1.8457),(2325,5395,1.2314,1.8325),(2325,5405,0.83355,1.8257),(2325,5415,0.47843,1.8222),(2325,5425,0.69738,1.8186),(2325,5435,0.91633,1.811),(2325,5445,1.1353,1.7989),(2325,5455,1.358,1.7869),(2325,5465,1.5811,1.7728),(2325,5475,1.8043,1.7542),(2325,5485,1.8784,1.7355),(2325,5495,1.8924,1.7169),(2325,5505,1.9065,1.6988),(2325,5515,1.9205,1.6807),(2325,5525,1.9345,1.6626),(2325,5535,1.9485,1.645),(2325,5545,1.9622,1.6274),(2325,5555,1.9753,1.6099),(2325,5565,1.9884,1.5927),(2325,5575,2.0013,1.5757),(2325,5585,2.0135,1.5586),(2325,5595,2.0256,1.5418),(2325,5605,2.0378,1.5252),(2325,5615,2.0491,1.5086),(2325,5625,2.0604,1.4922),(2325,5635,2.0716,1.476),(2325,5645,2.0823,1.4599),(2325,5655,2.0928,1.4438),(2325,5665,2.1032,1.4281),(2325,5675,2.1132,1.4124),(2325,5685,2.123,1.3966),(2325,5695,2.1327,1.3813),(2325,5705,2.1422,1.3659),(2325,5715,2.1512,1.3506),(2325,5725,2.1603,1.3356),(2325,5735,2.1691,1.3206),(2325,5745,2.1776,1.3056),(2325,5755,2.186,1.2909),(2325,5765,2.1944,1.2762),(2325,5775,2.2022,1.2616),(2325,5785,2.21,1.2471),(2325,5795,2.2179,1.2328),(2325,5805,2.2252,1.2185),(2325,5815,2.2325,1.2042),(2325,5825,2.2398,1.1902),(2325,5835,2.2468,1.1762),(2325,5845,2.2536,1.1622),(2325,5855,2.2604,1.1485),(2325,5865,2.2669,1.1347),(2325,5875,2.2733,1.121),(2325,5885,2.2796,1.1075),(2325,5895,2.2858,1.094),(2325,5905,2.2917,1.0805),(2325,5915,2.2977,1.0673),(2325,5925,2.3035,1.054),(2325,5935,2.309,1.0408),(2325,5945,2.3146,1.0278),(2325,5955,2.3201,1.0148),(2325,5965,2.3254,1.0018),(2325,5975,2.3308,0.98894),(2325,5985,2.3361,0.97619),(2325,5995,1.7864,0.96344),(2325,6005,1.1474,0.9537),(2325,6015,0.50847,0.95202),(2325,6025,0.57215,0.95034),(2325,6035,0.96172,0.94761),(2325,6045,1.3513,0.93485),(2325,6055,1.6267,0.92209),(2325,6065,1.7902,0.90933),(2325,6075,1.9538,0.89279),(2325,6085,2.0657,0.87591),(2325,6095,2.0712,0.85903),(2325,6105,2.0767,0.84208),(2325,6115,2.0822,0.82511),(2325,6125,2.0875,0.80814),(2325,6135,2.0927,0.79121),(2325,6145,2.098,0.77431),(2325,6155,2.1028,0.7574),(2325,6165,2.1077,0.74056),(2325,6175,2.1126,0.72381),(2325,6185,2.1172,0.70706),(2325,6195,2.1217,0.6903),(2325,6205,2.1262,0.67353),(2325,6215,2.1305,0.65676),(2325,6225,2.1347,0.63999),(2325,6235,2.1389,0.62328),(2325,6245,2.1429,0.60658),(2325,6255,2.1468,0.58987),(2325,6265,2.1506,0.5732),(2325,6275,2.1543,0.55655),(2325,6285,2.1578,0.53989),(2325,6295,2.1612,0.52328),(2325,6305,2.1646,0.5067),(2325,6315,2.1677,0.49011),(2325,6325,2.1708,0.47351),(2325,6335,2.1739,0.45691),(2325,6345,2.1767,0.4403),(2325,6355,2.1794,0.42371),(2325,6365,2.1822,0.40715),(2325,6375,2.1847,0.39059),(2325,6385,2.1871,0.37404),(2325,6395,2.1895,0.35753),(2325,6405,2.1918,0.34103),(2325,6415,2.1939,0.32452),(2325,6425,2.196,0.30803),(2325,6435,2.198,0.29154),(2325,6445,2.1998,0.27506),(2325,6455,2.2015,0.25856),(2325,6465,2.2033,0.24205),(2325,6475,2.2047,0.22555),(2325,6485,2.2062,0.20906),(2325,6495,2.2076,0.19258),(2325,6505,2.2087,0.17609),(2325,6515,2.2098,0.15962),(2325,6525,2.2109,0.14317),(2325,6535,2.2117,0.12672),(2325,6545,2.2124,0.11027),(2325,6555,2.2132,0.093815),(2325,6565,2.2137,0.077359),(2325,6575,2.2141,0.060909),(2325,6585,2.2144,0.044552),(2325,6595,1.8836,0.028194),(2325,6605,1.1871,0.011837),(2325,6615,0.49058,0.009933),(2325,6625,0.000943,0.009887),(2325,6635,0.000944,0.00984),(2325,6645,0.000945,0.009819),(2325,6655,0.000947,0.009808),(2325,6665,0.000948,0.009796),(2325,6675,0.000949,0.009786),(2325,6685,0.00095,0.009775),(2325,6695,0.000951,0.009764),(2325,6705,0.000952,0.009753),(2325,6715,0.000953,0.009742),(2325,6725,0.000954,0.009732),(2325,6735,0.000955,0.009721),(2325,6745,0.000956,0.00971),(2325,6755,0.000957,0.0097),(2325,6765,0.000958,0.009689),(2325,6775,0.000958,0.009679),(2325,6785,0.000959,0.009668),(2325,6795,0.00096,0.009658),(2325,6805,0.000961,0.009647),(2325,6815,0.000962,0.009637),(2325,6825,0.000963,0.009627),(2325,6835,0.000963,0.009617),(2325,6845,0.000964,0.009606),(2325,6855,0.000965,0.009596),(2325,6865,0.000966,0.009586),(2325,6875,0.000966,0.009576),(2325,6885,0.000967,0.009565),(2325,6895,0.000968,0.009555),(2325,6905,0.000968,0.009545),(2325,6915,0.000969,0.009535),(2325,6925,0.00097,0.009525),(2325,6935,0.00097,0.009515),(2325,6945,0.000971,0.009505),(2325,6955,0.000972,0.009495),(2325,6965,0.000972,0.009485),(2325,6975,0.000973,0.009475),(2325,6985,0.000974,0.009465),(2335,5,4.5e-05,3.6841),(2335,15,0.000136,3.6841),(2335,25,0.000227,3.6841),(2335,35,0.000318,3.6841),(2335,45,0.00041,3.6841),(2335,55,0.000501,3.6841),(2335,65,0.000592,3.6842),(2335,75,0.000684,3.6842),(2335,85,0.000775,3.6842),(2335,95,0.000866,3.6842),(2335,105,0.000958,3.6842),(2335,115,0.00105,3.6842),(2335,125,0.001142,3.6842),(2335,135,0.001234,3.6842),(2335,145,0.001327,3.6842),(2335,155,0.001419,3.6842),(2335,165,0.001512,3.6842),(2335,175,0.001605,3.6842),(2335,185,0.001698,3.6842),(2335,195,0.001792,3.6842),(2335,205,0.001886,3.6842),(2335,215,0.001979,3.6842),(2335,225,0.002074,3.6842),(2335,235,0.002169,3.6842),(2335,245,0.002264,3.6842),(2335,255,0.002359,3.6843),(2335,265,0.002455,3.6843),(2335,275,0.002552,3.6843),(2335,285,0.002648,3.6843),(2335,295,0.002745,3.6843),(2335,305,0.002843,3.6843),(2335,315,0.002941,3.6843),(2335,325,0.00304,3.6843),(2335,335,0.003138,3.6843),(2335,345,0.003238,3.6844),(2335,355,0.003338,3.6844),(2335,365,0.003439,3.6844),(2335,375,0.003539,3.6844),(2335,385,0.003642,3.6844),(2335,395,0.003744,3.6844),(2335,405,0.003847,3.6844),(2335,415,0.00395,3.6845),(2335,425,0.004055,3.6845),(2335,435,0.00416,3.6845),(2335,445,0.004265,3.6845),(2335,455,0.00437,3.6845),(2335,465,0.004478,3.6845),(2335,475,0.004586,3.6846),(2335,485,0.004694,3.6846),(2335,495,0.004803,3.6846),(2335,505,0.004914,3.6846),(2335,515,0.005025,3.6846),(2335,525,0.005137,3.6846),(2335,535,0.005248,3.6847),(2335,545,0.005363,3.6847),(2335,555,0.005478,3.6847),(2335,565,0.005593,3.6847),(2335,575,0.005708,3.6848),(2335,585,0.005827,3.6848),(2335,595,0.005946,3.6848),(2335,605,0.006065,3.6848),(2335,615,0.006184,3.6848),(2335,625,0.006307,3.6849),(2335,635,0.00643,3.6849),(2335,645,0.006554,3.6849),(2335,655,0.006677,3.6849),(2335,665,0.006805,3.685),(2335,675,0.006933,3.685),(2335,685,0.007061,3.685),(2335,695,0.00719,3.6851),(2335,705,0.007323,3.6851),(2335,715,0.007456,3.6851),(2335,725,0.007588,3.6851),(2335,735,0.007723,3.6852),(2335,745,0.007861,3.6852),(2335,755,0.008,3.6852),(2335,765,0.008138,3.6853),(2335,775,0.008278,3.6853),(2335,785,0.008423,3.6853),(2335,795,0.008568,3.6854),(2335,805,0.008712,3.6854),(2335,815,0.008859,3.6854),(2335,825,0.00901,3.6855),(2335,835,0.009161,3.6855),(2335,845,0.009313,3.6855),(2335,855,0.009466,3.6856),(2335,865,0.009625,3.6856),(2335,875,0.009784,3.6857),(2335,885,0.009942,3.6857),(2335,895,0.010103,3.6857),(2335,905,0.01027,3.6858),(2335,915,0.010436,3.6858),(2335,925,0.010602,3.6859),(2335,935,0.010772,3.6859),(2335,945,0.010946,3.6859),(2335,955,0.01112,3.686),(2335,965,0.011295,3.686),(2335,975,0.011473,3.6861),(2335,985,0.011657,3.6861),(2335,995,0.01184,3.6861),(2335,1005,0.012023,3.6862),(2335,1015,0.012212,3.6862),(2335,1025,0.012405,3.6863),(2335,1035,0.012598,3.6863),(2335,1045,0.012791,3.6864),(2335,1055,0.01299,3.6864),(2335,1065,0.013194,3.6865),(2335,1075,0.013397,3.6865),(2335,1085,0.013601,3.6866),(2335,1095,0.013811,3.6866),(2335,1105,0.014026,3.6867),(2335,1115,0.014241,3.6867),(2335,1125,0.014456,3.6868),(2335,1135,0.014678,3.6868),(2335,1145,0.014905,3.6869),(2335,1155,0.015131,3.6869),(2335,1165,0.015358,3.687),(2335,1175,0.015593,3.687),(2335,1185,0.015833,3.6871),(2335,1195,0.016073,3.6871),(2335,1205,0.016312,3.6872),(2335,1215,0.016561,3.6872),(2335,1225,0.016815,3.6873),(2335,1235,0.017068,3.6873),(2335,1245,0.017322,3.6874),(2335,1255,0.017586,3.6874),(2335,1265,0.017854,3.6875),(2335,1275,0.018122,3.6875),(2335,1285,0.01839,3.6876),(2335,1295,0.018671,3.6877),(2335,1305,0.018954,3.6877),(2335,1315,0.019238,3.6878),(2335,1325,0.019522,3.6878),(2335,1335,0.01982,3.6879),(2335,1345,0.02012,3.6879),(2335,1355,0.020421,3.688),(2335,1365,0.020721,3.688),(2335,1375,0.021037,3.6881),(2335,1385,0.021356,3.6881),(2335,1395,0.021675,3.6882),(2335,1405,0.021993,3.6882),(2335,1415,0.022329,3.6883),(2335,1425,0.022667,3.6883),(2335,1435,0.023004,3.6884),(2335,1445,0.023342,3.6884),(2335,1455,0.023698,3.6885),(2335,1465,0.024056,3.6885),(2335,1475,0.024414,3.6886),(2335,1485,0.024772,3.6886),(2335,1495,0.025151,3.6887),(2335,1505,0.02553,3.6887),(2335,1515,0.025909,3.6888),(2335,1525,0.026289,3.6888),(2335,1535,0.026691,3.6889),(2335,1545,0.027092,3.6889),(2335,1555,0.027494,3.689),(2335,1565,0.027898,3.689),(2335,1575,0.028324,3.689),(2335,1585,0.02875,3.6891),(2335,1595,0.029176,3.6891),(2335,1605,0.029605,3.6892),(2335,1615,0.030056,3.6892),(2335,1625,0.030508,3.6892),(2335,1635,0.030959,3.6893),(2335,1645,0.031415,3.6893),(2335,1655,0.031893,3.6893),(2335,1665,0.032372,3.6893),(2335,1675,0.03285,3.6894),(2335,1685,0.033334,3.6894),(2335,1695,0.03384,3.6894),(2335,1705,0.034347,3.6894),(2335,1715,0.034854,3.6894),(2335,1725,0.035367,3.6895),(2335,1735,0.035904,3.6895),(2335,1745,0.03644,3.6895),(2335,1755,0.036977,3.6895),(2335,1765,0.037522,3.6895),(2335,1775,0.038089,3.6895),(2335,1785,0.038657,3.6895),(2335,1795,0.039225,3.6895),(2335,1805,0.039803,3.6895),(2335,1815,0.040403,3.6894),(2335,1825,0.041004,3.6894),(2335,1835,0.041605,3.6894),(2335,1845,0.042217,3.6894),(2335,1855,0.042852,3.6894),(2335,1865,0.043486,3.6893),(2335,1875,0.044121,3.6893),(2335,1885,0.04477,3.6892),(2335,1895,0.04544,3.6892),(2335,1905,0.046111,3.6891),(2335,1915,0.046781,3.6891),(2335,1925,0.047467,3.689),(2335,1935,0.048175,3.689),(2335,1945,0.048883,3.6889),(2335,1955,0.04959,3.6888),(2335,1965,0.050316,3.6887),(2335,1975,0.051062,3.6886),(2335,1985,0.051808,3.6885),(2335,1995,0.052554,3.6884),(2335,2005,0.05332,3.6883),(2335,2015,0.054106,3.6882),(2335,2025,0.054892,3.6881),(2335,2035,0.055678,3.6879),(2335,2045,0.056486,3.6878),(2335,2055,0.057312,3.6877),(2335,2065,0.058139,3.6875),(2335,2075,0.058965,3.6873),(2335,2085,0.059816,3.6872),(2335,2095,0.060685,3.687),(2335,2105,0.061554,3.6868),(2335,2115,0.062423,3.6866),(2335,2125,0.063318,3.6864),(2335,2135,0.064229,3.6862),(2335,2145,0.065141,3.6859),(2335,2155,0.066052,3.6857),(2335,2165,0.066993,3.6854),(2335,2175,0.067947,3.6852),(2335,2185,0.068902,3.6849),(2335,2195,0.069857,3.6846),(2335,2205,0.070843,3.6843),(2335,2215,0.071841,3.6841),(2335,2225,0.07284,3.6837),(2335,2235,0.073839,3.6834),(2335,2245,0.07487,3.683),(2335,2255,0.075913,3.6827),(2335,2265,0.076955,3.6823),(2335,2275,0.077998,3.6819),(2335,2285,0.079075,3.6815),(2335,2295,0.080162,3.6812),(2335,2305,0.081248,3.6807),(2335,2315,0.082335,3.6803),(2335,2325,0.083456,3.6798),(2335,2335,0.084586,3.6794),(2335,2345,0.085716,3.6789),(2335,2355,0.086846,3.6783),(2335,2365,0.088011,3.6778),(2335,2375,0.089183,3.6773),(2335,2385,0.090355,3.6767),(2335,2395,0.091527,3.6761),(2335,2405,0.092735,3.6756),(2335,2415,0.093948,3.675),(2335,2425,0.09516,3.6743),(2335,2435,0.096373,3.6737),(2335,2445,0.097622,3.673),(2335,2455,0.098873,3.6724),(2335,2465,0.10012,3.6716),(2335,2475,0.10138,3.6709),(2335,2485,0.10266,3.6701),(2335,2495,0.10395,3.6694),(2335,2505,0.10524,3.6686),(2335,2515,0.10653,3.6677),(2335,2525,0.10785,3.6669),(2335,2535,0.10917,3.6661),(2335,2545,0.11049,3.6652),(2335,2555,0.11181,3.6643),(2335,2565,0.11316,3.6633),(2335,2575,0.11451,3.6624),(2335,2585,0.11586,3.6614),(2335,2595,0.11722,3.6604),(2335,2605,0.11859,3.6594),(2335,2615,0.11997,3.6583),(2335,2625,0.12134,3.6572),(2335,2635,0.12272,3.6561),(2335,2645,0.12412,3.655),(2335,2655,0.12551,3.6539),(2335,2665,0.12691,3.6526),(2335,2675,0.12831,3.6514),(2335,2685,0.12972,3.6502),(2335,2695,0.13113,3.6489),(2335,2705,0.13254,3.6476),(2335,2715,0.13395,3.6463),(2335,2725,0.13537,3.6449),(2335,2735,0.13679,3.6436),(2335,2745,0.13821,3.6421),(2335,2755,0.13963,3.6407),(2335,2765,0.14105,3.6392),(2335,2775,0.14247,3.6377),(2335,2785,0.14389,3.6361),(2335,2795,0.14531,3.6346),(2335,2805,0.14672,3.633),(2335,2815,0.14813,3.6314),(2335,2825,0.14955,3.6297),(2335,2835,0.15096,3.628),(2335,2845,0.15236,3.6263),(2335,2855,0.15376,3.6245),(2335,2865,0.15516,3.6227),(2335,2875,0.15655,3.6209),(2335,2885,0.15792,3.6191),(2335,2895,0.1593,3.6172),(2335,2905,0.16068,3.6152),(2335,2915,0.16204,3.6133),(2335,2925,0.16339,3.6113),(2335,2935,0.16473,3.6093),(2335,2945,0.16607,3.6073),(2335,2955,0.1674,3.6052),(2335,2965,0.1687,3.6031),(2335,2975,0.17001,3.601),(2335,2985,0.17131,3.5987),(2335,2995,0.17259,3.5965),(2335,3005,0.17384,3.5943),(2335,3015,0.17509,3.5921),(2335,3025,0.17634,3.5897),(2335,3035,0.17756,3.5874),(2335,3045,0.17875,3.5851),(2335,3055,0.17994,3.5827),(2335,3065,0.18113,3.5802),(2335,3075,0.18228,3.5778),(2335,3085,0.1834,3.5753),(2335,3095,0.18452,3.5728),(2335,3105,0.18564,3.5702),(2335,3115,0.1867,3.5676),(2335,3125,0.18774,3.565),(2335,3135,0.18878,3.5624),(2335,3145,0.18982,3.5597),(2335,3155,0.1908,3.557),(2335,3165,0.19174,3.5543),(2335,3175,0.19269,3.5516),(2335,3185,0.19364,3.5488),(2335,3195,0.19451,3.546),(2335,3205,0.19536,3.5432),(2335,3215,0.19621,3.5403),(2335,3225,0.19705,3.5374),(2335,3235,0.19782,3.5345),(2335,3245,0.19856,3.5316),(2335,3255,0.19929,3.5286),(2335,3265,0.20003,3.5257),(2335,3275,0.20068,3.5227),(2335,3285,0.2013,3.5197),(2335,3295,0.20192,3.5166),(2335,3305,0.20254,3.5135),(2335,3315,0.20305,3.5105),(2335,3325,0.20355,3.5074),(2335,3335,0.20404,3.5043),(2335,3345,0.20454,3.5011),(2335,3355,0.20492,3.498),(2335,3365,0.20528,3.4948),(2335,3375,0.20565,3.4916),(2335,3385,0.20601,3.4884),(2335,3395,0.20625,3.4852),(2335,3405,0.20648,3.482),(2335,3415,0.2067,3.4788),(2335,3425,0.20693,3.4755),(2335,3435,0.20702,3.4723),(2335,3445,0.20711,3.469),(2335,3455,0.20719,3.4657),(2335,3465,0.20727,3.4624),(2335,3475,0.20722,3.4591),(2335,3485,0.20716,3.4558),(2335,3495,0.20709,3.4525),(2335,3505,0.20703,3.4492),(2335,3515,0.20682,3.4459),(2335,3525,0.20661,3.4426),(2335,3535,0.2064,3.4393),(2335,3545,0.20619,3.4359),(2335,3555,0.20583,3.4326),(2335,3565,0.20547,3.4293),(2335,3575,0.20511,3.426),(2335,3585,0.20474,3.4226),(2335,3595,0.20423,3.4193),(2335,3605,0.20373,3.416),(2335,3615,0.20322,3.4127),(2335,3625,0.20269,3.4094),(2335,3635,0.20204,3.4061),(2335,3645,0.20138,3.4028),(2335,3655,0.20073,3.3995),(2335,3665,0.20005,3.3962),(2335,3675,0.19925,3.393),(2335,3685,0.19845,3.3897),(2335,3695,0.19765,3.3864),(2335,3705,0.19682,3.3832),(2335,3715,0.19588,3.38),(2335,3725,0.19494,3.3767),(2335,3735,0.19399,3.3736),(2335,3745,0.19302,3.3704),(2335,3755,0.19194,3.3672),(2335,3765,0.19086,3.364),(2335,3775,0.18978,3.3609),(2335,3785,0.18866,3.3578),(2335,3795,0.18745,3.3547),(2335,3805,0.18624,3.3516),(2335,3815,0.18503,3.3485),(2335,3825,0.18377,3.3455),(2335,3835,0.18244,3.3424),(2335,3845,0.1811,3.3394),(2335,3855,0.17976,3.3364),(2335,3865,0.17838,3.3335),(2335,3875,0.17693,3.3305),(2335,3885,0.17547,3.3276),(2335,3895,0.17402,3.3247),(2335,3905,0.19895,3.3218),(2335,3915,0.2633,3.3189),(2335,3925,0.32765,3.3145),(2335,3935,0.392,3.3079),(2335,3945,0.4593,3.3013),(2335,3955,0.53034,3.2948),(2335,3965,0.60138,3.2864),(2335,3975,0.67242,3.276),(2335,3985,0.71307,3.2655),(2335,3995,0.72083,3.2551),(2335,4005,0.72859,3.2445),(2335,4015,0.73635,3.2338),(2335,4025,0.7453,3.2231),(2335,4035,0.75438,3.2123),(2335,4045,0.76345,3.2013),(2335,4055,0.77263,3.1902),(2335,4065,0.78185,3.1791),(2335,4075,0.79107,3.1678),(2335,4085,0.79985,3.1564),(2335,4095,0.80829,3.145),(2335,4105,0.81672,3.1333),(2335,4115,0.79477,3.1216),(2335,4125,0.72244,3.1098),(2335,4135,0.6501,3.1005),(2335,4145,0.57651,3.0919),(2335,4155,0.49784,3.0833),(2335,4165,0.41917,3.0768),(2335,4175,0.3452,3.0717),(2335,4185,0.50414,3.0666),(2335,4195,0.66307,3.0583),(2335,4205,0.822,3.0459),(2335,4215,0.82863,3.0335),(2335,4225,0.8066,3.0212),(2335,4235,0.78456,3.0088),(2335,4245,0.73796,2.9965),(2335,4255,0.67888,2.9843),(2335,4265,0.61981,2.974),(2335,4275,0.52396,2.9638),(2335,4285,0.38907,2.9535),(2335,4295,0.25419,2.9499),(2335,4305,0.22418,2.9471),(2335,4315,0.43097,2.9443),(2335,4325,0.63776,2.9358),(2335,4335,0.82306,2.9252),(2335,4345,0.86284,2.9145),(2335,4355,0.90263,2.9028),(2335,4365,0.94241,2.8902),(2335,4375,0.95492,2.8775),(2335,4385,0.96601,2.8648),(2335,4395,0.9771,2.852),(2335,4405,0.85847,2.8391),(2335,4415,0.70159,2.8275),(2335,4425,0.54471,2.8211),(2335,4435,0.48085,2.8146),(2335,4445,0.48056,2.8082),(2335,4455,0.48027,2.8016),(2335,4465,0.55698,2.7951),(2335,4475,0.74189,2.7885),(2335,4485,0.9268,2.7761),(2335,4495,1.0706,2.7624),(2335,4505,1.0826,2.7488),(2335,4515,1.0947,2.7349),(2335,4525,1.1043,2.7209),(2335,4535,1.0769,2.707),(2335,4545,1.0494,2.6936),(2335,4555,1.0219,2.6808),(2335,4565,0.77484,2.668),(2335,4575,0.49817,2.6581),(2335,4585,0.22151,2.6552),(2335,4595,0.26468,2.6524),(2335,4605,0.44299,2.6484),(2335,4615,0.6213,2.6363),(2335,4625,0.75609,2.6242),(2335,4635,0.85147,2.6121),(2335,4645,0.94684,2.5984),(2335,4655,1.0238,2.5846),(2335,4665,1.066,2.5708),(2335,4675,1.1082,2.5571),(2335,4685,1.1038,2.5434),(2335,4695,0.86903,2.5297),(2335,4705,0.63425,2.5211),(2335,4715,0.39946,2.5162),(2335,4725,0.53413,2.5112),(2335,4735,0.6725,2.5047),(2335,4745,0.81087,2.4959),(2335,4755,0.95323,2.4871),(2335,4765,1.0965,2.4772),(2335,4775,1.2398,2.4639),(2335,4785,1.2985,2.4505),(2335,4795,1.3082,2.4372),(2335,4805,1.318,2.4239),(2335,4815,1.2615,2.4105),(2335,4825,1.1258,2.3972),(2335,4835,0.99016,2.3876),(2335,4845,0.85155,2.3785),(2335,4855,0.70531,2.3695),(2335,4865,0.55907,2.3634),(2335,4875,0.45838,2.3587),(2335,4885,0.77207,2.354),(2335,4895,1.0858,2.3448),(2335,4905,1.3995,2.3313),(2335,4915,1.4098,2.3179),(2335,4925,1.3941,2.3043),(2335,4935,1.3784,2.2904),(2335,4945,1.2957,2.2765),(2335,4955,1.1898,2.2628),(2335,4965,1.0839,2.2498),(2335,4975,0.87138,2.2368),(2335,4985,0.57654,2.2238),(2335,4995,0.2817,2.2221),(2335,5005,0.2291,2.2206),(2335,5015,0.56161,2.2191),(2335,5025,0.89412,2.2107),(2335,5035,1.1819,2.2006),(2335,5045,1.299,2.1904),(2335,5055,1.4162,2.1787),(2335,5065,1.5302,2.1661),(2335,5075,1.5382,2.1535),(2335,5085,1.5463,2.141),(2335,5095,1.5544,2.1287),(2335,5105,1.3612,2.1165),(2335,5115,1.133,2.1057),(2335,5125,0.90475,2.0992),(2335,5135,0.79196,2.0928),(2335,5145,0.7352,2.0864),(2335,5155,0.67843,2.0808),(2335,5165,0.80558,2.0753),(2335,5175,1.1203,2.0697),(2335,5185,1.435,2.0574),(2335,5195,1.6526,2.0445),(2335,5205,1.6608,2.0316),(2335,5215,1.669,2.0188),(2335,5225,1.6683,2.0062),(2335,5235,1.612,1.9936),(2335,5245,1.5557,1.982),(2335,5255,1.4994,1.9712),(2335,5265,1.0549,1.9604),(2335,5275,0.5944,1.9534),(2335,5285,0.13389,1.9528),(2335,5295,0.35021,1.9523),(2335,5305,0.75501,1.9491),(2335,5315,1.1598,1.9347),(2335,5325,1.3864,1.9204),(2335,5335,1.4961,1.906),(2335,5345,1.6058,1.8922),(2335,5355,1.6774,1.8783),(2335,5365,1.6975,1.8645),(2335,5375,1.7176,1.8512),(2335,5385,1.634,1.8381),(2335,5395,1.235,1.8249),(2335,5405,0.83597,1.8181),(2335,5415,0.47988,1.8146),(2335,5425,0.70046,1.811),(2335,5435,0.92103,1.8034),(2335,5445,1.1416,1.7914),(2335,5455,1.3654,1.7794),(2335,5465,1.5895,1.7654),(2335,5475,1.8137,1.7468),(2335,5485,1.8879,1.7283),(2335,5495,1.9017,1.7097),(2335,5505,1.9155,1.6917),(2335,5515,1.9294,1.6737),(2335,5525,1.9431,1.6557),(2335,5535,1.9569,1.6382),(2335,5545,1.9704,1.6207),(2335,5555,1.9833,1.6032),(2335,5565,1.9962,1.5861),(2335,5575,2.0089,1.5691),(2335,5585,2.0209,1.5522),(2335,5595,2.0328,1.5355),(2335,5605,2.0448,1.5189),(2335,5615,2.0559,1.5024),(2335,5625,2.067,1.4861),(2335,5635,2.0781,1.47),(2335,5645,2.0885,1.4539),(2335,5655,2.0989,1.438),(2335,5665,2.1092,1.4223),(2335,5675,2.119,1.4066),(2335,5685,2.1286,1.391),(2335,5695,2.1382,1.3757),(2335,5705,2.1475,1.3605),(2335,5715,2.1564,1.3452),(2335,5725,2.1653,1.3302),(2335,5735,2.174,1.3153),(2335,5745,2.1823,1.3004),(2335,5755,2.1906,1.2858),(2335,5765,2.1988,1.2712),(2335,5775,2.2065,1.2566),(2335,5785,2.2142,1.2422),(2335,5795,2.2219,1.228),(2335,5805,2.2291,1.2137),(2335,5815,2.2363,1.1996),(2335,5825,2.2435,1.1856),(2335,5835,2.2503,1.1717),(2335,5845,2.257,1.1578),(2335,5855,2.2637,1.1441),(2335,5865,2.2701,1.1304),(2335,5875,2.2764,1.1167),(2335,5885,2.2826,1.1033),(2335,5895,2.2887,1.0899),(2335,5905,2.2945,1.0765),(2335,5915,2.3004,1.0633),(2335,5925,2.3061,1.0502),(2335,5935,2.3115,1.037),(2335,5945,2.317,1.024),(2335,5955,2.3224,1.0111),(2335,5965,2.3277,0.99824),(2335,5975,2.3329,0.98544),(2335,5985,2.3381,0.97276),(2335,5995,1.788,0.96009),(2335,6005,1.1485,0.95041),(2335,6015,0.50894,0.94873),(2335,6025,0.57367,0.94706),(2335,6035,0.96502,0.94434),(2335,6045,1.3564,0.93162),(2335,6055,1.633,0.9189),(2335,6065,1.7971,0.90617),(2335,6075,1.9612,0.88968),(2335,6085,2.0735,0.87285),(2335,6095,2.079,0.85601),(2335,6105,2.0845,0.83911),(2335,6115,2.0899,0.82219),(2335,6125,2.0952,0.80527),(2335,6135,2.1004,0.78839),(2335,6145,2.1056,0.77153),(2335,6155,2.1104,0.75467),(2335,6165,2.1153,0.73788),(2335,6175,2.1201,0.72118),(2335,6185,2.1247,0.70449),(2335,6195,2.1292,0.68779),(2335,6205,2.1337,0.67108),(2335,6215,2.138,0.65436),(2335,6225,2.1421,0.63765),(2335,6235,2.1463,0.621),(2335,6245,2.1503,0.60435),(2335,6255,2.1541,0.5877),(2335,6265,2.1579,0.57109),(2335,6275,2.1616,0.55449),(2335,6285,2.165,0.53788),(2335,6295,2.1684,0.52132),(2335,6305,2.1718,0.50478),(2335,6315,2.1749,0.48825),(2335,6325,2.178,0.4717),(2335,6335,2.1811,0.45516),(2335,6345,2.1838,0.43861),(2335,6355,2.1866,0.42208),(2335,6365,2.1893,0.40558),(2335,6375,2.1918,0.38908),(2335,6385,2.1942,0.37259),(2335,6395,2.1965,0.35616),(2335,6405,2.1988,0.33972),(2335,6415,2.2008,0.32328),(2335,6425,2.2029,0.30686),(2335,6435,2.2049,0.29045),(2335,6445,2.2066,0.27403),(2335,6455,2.2084,0.2576),(2335,6465,2.2101,0.24116),(2335,6475,2.2115,0.22473),(2335,6485,2.213,0.2083),(2335,6495,2.2144,0.19187),(2335,6505,2.2155,0.17545),(2335,6515,2.2166,0.15904),(2335,6525,2.2177,0.14266),(2335,6535,2.2185,0.12627),(2335,6545,2.2192,0.10989),(2335,6555,2.22,0.093499),(2335,6565,2.2205,0.077112),(2335,6575,2.2209,0.060732),(2335,6585,2.2212,0.044439),(2335,6595,1.8894,0.028145),(2335,6605,1.1907,0.011852),(2335,6615,0.49209,0.00995),(2335,6625,0.00095,0.009897),(2335,6635,0.000951,0.009843),(2335,6645,0.000952,0.00982),(2335,6655,0.000953,0.009809),(2335,6665,0.000954,0.009798),(2335,6675,0.000955,0.009787),(2335,6685,0.000956,0.009776),(2335,6695,0.000957,0.009765),(2335,6705,0.000958,0.009754),(2335,6715,0.000959,0.009743),(2335,6725,0.00096,0.009733),(2335,6735,0.000961,0.009722),(2335,6745,0.000962,0.009711),(2335,6755,0.000963,0.009701),(2335,6765,0.000964,0.00969),(2335,6775,0.000965,0.00968),(2335,6785,0.000966,0.009669),(2335,6795,0.000966,0.009659),(2335,6805,0.000967,0.009648),(2335,6815,0.000968,0.009638),(2335,6825,0.000969,0.009628),(2335,6835,0.000969,0.009617),(2335,6845,0.00097,0.009607),(2335,6855,0.000971,0.009597),(2335,6865,0.000972,0.009586),(2335,6875,0.000972,0.009576),(2335,6885,0.000973,0.009566),(2335,6895,0.000974,0.009556),(2335,6905,0.000974,0.009546),(2335,6915,0.000975,0.009536),(2335,6925,0.000976,0.009526),(2335,6935,0.000976,0.009516),(2335,6945,0.000977,0.009506),(2335,6955,0.000977,0.009496),(2335,6965,0.000978,0.009486),(2335,6975,0.000979,0.009476),(2335,6985,0.000979,0.009466),(2345,5,4.5e-05,3.6842),(2345,15,0.000135,3.6842),(2345,25,0.000225,3.6842),(2345,35,0.000316,3.6842),(2345,45,0.000406,3.6842),(2345,55,0.000497,3.6842),(2345,65,0.000587,3.6842),(2345,75,0.000678,3.6842),(2345,85,0.000768,3.6842),(2345,95,0.000859,3.6843),(2345,105,0.00095,3.6843),(2345,115,0.001041,3.6843),(2345,125,0.001133,3.6843),(2345,135,0.001224,3.6843),(2345,145,0.001316,3.6843),(2345,155,0.001408,3.6843),(2345,165,0.0015,3.6843),(2345,175,0.001592,3.6843),(2345,185,0.001684,3.6843),(2345,195,0.001777,3.6843),(2345,205,0.00187,3.6843),(2345,215,0.001963,3.6843),(2345,225,0.002057,3.6843),(2345,235,0.002151,3.6843),(2345,245,0.002245,3.6843),(2345,255,0.002339,3.6844),(2345,265,0.002434,3.6844),(2345,275,0.00253,3.6844),(2345,285,0.002626,3.6844),(2345,295,0.002721,3.6844),(2345,305,0.002819,3.6844),(2345,315,0.002916,3.6844),(2345,325,0.003014,3.6844),(2345,335,0.003111,3.6844),(2345,345,0.003211,3.6845),(2345,355,0.00331,3.6845),(2345,365,0.00341,3.6845),(2345,375,0.003509,3.6845),(2345,385,0.003611,3.6845),(2345,395,0.003713,3.6845),(2345,405,0.003815,3.6845),(2345,415,0.003916,3.6846),(2345,425,0.00402,3.6846),(2345,435,0.004125,3.6846),(2345,445,0.004229,3.6846),(2345,455,0.004333,3.6846),(2345,465,0.00444,3.6846),(2345,475,0.004547,3.6847),(2345,485,0.004655,3.6847),(2345,495,0.004762,3.6847),(2345,505,0.004872,3.6847),(2345,515,0.004983,3.6847),(2345,525,0.005093,3.6848),(2345,535,0.005204,3.6848),(2345,545,0.005318,3.6848),(2345,555,0.005432,3.6848),(2345,565,0.005546,3.6848),(2345,575,0.00566,3.6849),(2345,585,0.005778,3.6849),(2345,595,0.005895,3.6849),(2345,605,0.006013,3.6849),(2345,615,0.006132,3.685),(2345,625,0.006254,3.685),(2345,635,0.006376,3.685),(2345,645,0.006498,3.685),(2345,655,0.006621,3.6851),(2345,665,0.006747,3.6851),(2345,675,0.006874,3.6851),(2345,685,0.007001,3.6852),(2345,695,0.007129,3.6852),(2345,705,0.00726,3.6852),(2345,715,0.007392,3.6852),(2345,725,0.007524,3.6853),(2345,735,0.007657,3.6853),(2345,745,0.007795,3.6853),(2345,755,0.007932,3.6854),(2345,765,0.00807,3.6854),(2345,775,0.008209,3.6854),(2345,785,0.008352,3.6855),(2345,795,0.008495,3.6855),(2345,805,0.008639,3.6855),(2345,815,0.008784,3.6856),(2345,825,0.008934,3.6856),(2345,835,0.009084,3.6857),(2345,845,0.009234,3.6857),(2345,855,0.009387,3.6857),(2345,865,0.009544,3.6858),(2345,875,0.009702,3.6858),(2345,885,0.009859,3.6859),(2345,895,0.010019,3.6859),(2345,905,0.010184,3.6859),(2345,915,0.010349,3.686),(2345,925,0.010514,3.686),(2345,935,0.010683,3.6861),(2345,945,0.010856,3.6861),(2345,955,0.011029,3.6861),(2345,965,0.011202,3.6862),(2345,975,0.011379,3.6862),(2345,985,0.011561,3.6863),(2345,995,0.011743,3.6863),(2345,1005,0.011925,3.6864),(2345,1015,0.012112,3.6864),(2345,1025,0.012304,3.6865),(2345,1035,0.012496,3.6865),(2345,1045,0.012688,3.6866),(2345,1055,0.012885,3.6866),(2345,1065,0.013088,3.6867),(2345,1075,0.01329,3.6867),(2345,1085,0.013492,3.6868),(2345,1095,0.013701,3.6868),(2345,1105,0.013915,3.6869),(2345,1115,0.014128,3.6869),(2345,1125,0.014342,3.687),(2345,1135,0.014563,3.687),(2345,1145,0.014788,3.6871),(2345,1155,0.015014,3.6871),(2345,1165,0.015239,3.6872),(2345,1175,0.015473,3.6872),(2345,1185,0.015711,3.6873),(2345,1195,0.01595,3.6874),(2345,1205,0.016188,3.6874),(2345,1215,0.016436,3.6875),(2345,1225,0.016688,3.6875),(2345,1235,0.01694,3.6876),(2345,1245,0.017192,3.6876),(2345,1255,0.017455,3.6877),(2345,1265,0.017722,3.6878),(2345,1275,0.017989,3.6878),(2345,1285,0.018256,3.6879),(2345,1295,0.018535,3.6879),(2345,1305,0.018818,3.688),(2345,1315,0.0191,3.688),(2345,1325,0.019383,3.6881),(2345,1335,0.019679,3.6882),(2345,1345,0.019978,3.6882),(2345,1355,0.020278,3.6883),(2345,1365,0.020577,3.6883),(2345,1375,0.020892,3.6884),(2345,1385,0.021209,3.6885),(2345,1395,0.021527,3.6885),(2345,1405,0.021844,3.6886),(2345,1415,0.022179,3.6886),(2345,1425,0.022516,3.6887),(2345,1435,0.022852,3.6887),(2345,1445,0.023189,3.6888),(2345,1455,0.023545,3.6888),(2345,1465,0.023901,3.6889),(2345,1475,0.024258,3.689),(2345,1485,0.024615,3.689),(2345,1495,0.024993,3.6891),(2345,1505,0.025372,3.6891),(2345,1515,0.02575,3.6892),(2345,1525,0.026129,3.6892),(2345,1535,0.02653,3.6893),(2345,1545,0.026931,3.6893),(2345,1555,0.027332,3.6894),(2345,1565,0.027735,3.6894),(2345,1575,0.028161,3.6895),(2345,1585,0.028586,3.6895),(2345,1595,0.029012,3.6896),(2345,1605,0.02944,3.6896),(2345,1615,0.029891,3.6896),(2345,1625,0.030342,3.6897),(2345,1635,0.030793,3.6897),(2345,1645,0.031249,3.6898),(2345,1655,0.031727,3.6898),(2345,1665,0.032205,3.6898),(2345,1675,0.032684,3.6899),(2345,1685,0.033167,3.6899),(2345,1695,0.033674,3.6899),(2345,1705,0.034181,3.6899),(2345,1715,0.034688,3.69),(2345,1725,0.035201,3.69),(2345,1735,0.035738,3.69),(2345,1745,0.036275,3.69),(2345,1755,0.036812,3.69),(2345,1765,0.037357,3.69),(2345,1775,0.037926,3.69),(2345,1785,0.038494,3.6901),(2345,1795,0.039063,3.6901),(2345,1805,0.039641,3.69),(2345,1815,0.040243,3.69),(2345,1825,0.040845,3.69),(2345,1835,0.041447,3.69),(2345,1845,0.04206,3.69),(2345,1855,0.042696,3.69),(2345,1865,0.043333,3.69),(2345,1875,0.043969,3.6899),(2345,1885,0.044619,3.6899),(2345,1895,0.045291,3.6899),(2345,1905,0.045964,3.6898),(2345,1915,0.046636,3.6898),(2345,1925,0.047325,3.6897),(2345,1935,0.048035,3.6897),(2345,1945,0.048745,3.6896),(2345,1955,0.049455,3.6895),(2345,1965,0.050183,3.6894),(2345,1975,0.050933,3.6894),(2345,1985,0.051682,3.6893),(2345,1995,0.052431,3.6892),(2345,2005,0.0532,3.6891),(2345,2015,0.05399,3.689),(2345,2025,0.054779,3.6889),(2345,2035,0.055569,3.6887),(2345,2045,0.056381,3.6886),(2345,2055,0.057211,3.6885),(2345,2065,0.058042,3.6883),(2345,2075,0.058873,3.6882),(2345,2085,0.059729,3.688),(2345,2095,0.060603,3.6879),(2345,2105,0.061476,3.6877),(2345,2115,0.06235,3.6875),(2345,2125,0.063251,3.6873),(2345,2135,0.064168,3.6871),(2345,2145,0.065086,3.6869),(2345,2155,0.066003,3.6866),(2345,2165,0.06695,3.6864),(2345,2175,0.067911,3.6862),(2345,2185,0.068873,3.6859),(2345,2195,0.069835,3.6856),(2345,2205,0.070827,3.6853),(2345,2215,0.071834,3.6851),(2345,2225,0.07284,3.6847),(2345,2235,0.073846,3.6844),(2345,2245,0.074886,3.6841),(2345,2255,0.075937,3.6838),(2345,2265,0.076988,3.6834),(2345,2275,0.078039,3.683),(2345,2285,0.079126,3.6826),(2345,2295,0.080222,3.6822),(2345,2305,0.081318,3.6818),(2345,2315,0.082414,3.6814),(2345,2325,0.083547,3.6809),(2345,2335,0.084687,3.6805),(2345,2345,0.085827,3.68),(2345,2355,0.086968,3.6795),(2345,2365,0.088145,3.679),(2345,2375,0.089329,3.6785),(2345,2385,0.090513,3.6779),(2345,2395,0.091696,3.6774),(2345,2405,0.092917,3.6768),(2345,2415,0.094143,3.6762),(2345,2425,0.095368,3.6756),(2345,2435,0.096594,3.6749),(2345,2445,0.097857,3.6743),(2345,2455,0.099122,3.6736),(2345,2465,0.10039,3.6729),(2345,2475,0.10165,3.6722),(2345,2485,0.10296,3.6714),(2345,2495,0.10426,3.6707),(2345,2505,0.10556,3.6699),(2345,2515,0.10687,3.6691),(2345,2525,0.1082,3.6683),(2345,2535,0.10954,3.6674),(2345,2545,0.11088,3.6665),(2345,2555,0.11222,3.6656),(2345,2565,0.11359,3.6647),(2345,2575,0.11495,3.6638),(2345,2585,0.11632,3.6628),(2345,2595,0.11769,3.6618),(2345,2605,0.11909,3.6608),(2345,2615,0.12048,3.6597),(2345,2625,0.12188,3.6586),(2345,2635,0.12327,3.6575),(2345,2645,0.12469,3.6564),(2345,2655,0.12611,3.6553),(2345,2665,0.12752,3.6541),(2345,2675,0.12894,3.6528),(2345,2685,0.13037,3.6516),(2345,2695,0.1318,3.6504),(2345,2705,0.13324,3.649),(2345,2715,0.13467,3.6477),(2345,2725,0.13611,3.6464),(2345,2735,0.13755,3.645),(2345,2745,0.13899,3.6436),(2345,2755,0.14043,3.6421),(2345,2765,0.14188,3.6406),(2345,2775,0.14332,3.6392),(2345,2785,0.14476,3.6376),(2345,2795,0.1462,3.636),(2345,2805,0.14764,3.6344),(2345,2815,0.14908,3.6328),(2345,2825,0.15052,3.6311),(2345,2835,0.15195,3.6294),(2345,2845,0.15337,3.6277),(2345,2855,0.1548,3.626),(2345,2865,0.15622,3.6241),(2345,2875,0.15764,3.6223),(2345,2885,0.15904,3.6205),(2345,2895,0.16044,3.6186),(2345,2905,0.16184,3.6166),(2345,2915,0.16323,3.6147),(2345,2925,0.1646,3.6127),(2345,2935,0.16597,3.6107),(2345,2945,0.16734,3.6086),(2345,2955,0.16869,3.6065),(2345,2965,0.17002,3.6044),(2345,2975,0.17134,3.6023),(2345,2985,0.17267,3.6001),(2345,2995,0.17398,3.5978),(2345,3005,0.17525,3.5956),(2345,3015,0.17653,3.5933),(2345,3025,0.1778,3.591),(2345,3035,0.17905,3.5886),(2345,3045,0.18026,3.5863),(2345,3055,0.18148,3.5839),(2345,3065,0.18269,3.5814),(2345,3075,0.18386,3.5789),(2345,3085,0.18501,3.5764),(2345,3095,0.18615,3.5739),(2345,3105,0.18729,3.5713),(2345,3115,0.18839,3.5687),(2345,3125,0.18945,3.5661),(2345,3135,0.19051,3.5634),(2345,3145,0.19157,3.5607),(2345,3155,0.19257,3.558),(2345,3165,0.19354,3.5553),(2345,3175,0.1945,3.5525),(2345,3185,0.19547,3.5497),(2345,3195,0.19637,3.5469),(2345,3205,0.19724,3.544),(2345,3215,0.1981,3.5412),(2345,3225,0.19897,3.5382),(2345,3235,0.19976,3.5353),(2345,3245,0.20051,3.5324),(2345,3255,0.20127,3.5294),(2345,3265,0.20202,3.5264),(2345,3275,0.20269,3.5233),(2345,3285,0.20333,3.5203),(2345,3295,0.20396,3.5172),(2345,3305,0.2046,3.5141),(2345,3315,0.20513,3.511),(2345,3325,0.20564,3.5079),(2345,3335,0.20615,3.5048),(2345,3345,0.20666,3.5016),(2345,3355,0.20706,3.4984),(2345,3365,0.20744,3.4952),(2345,3375,0.20781,3.492),(2345,3385,0.20819,3.4887),(2345,3395,0.20844,3.4855),(2345,3405,0.20868,3.4823),(2345,3415,0.20891,3.479),(2345,3425,0.20915,3.4757),(2345,3435,0.20925,3.4724),(2345,3445,0.20935,3.4691),(2345,3455,0.20944,3.4658),(2345,3465,0.20953,3.4624),(2345,3475,0.20948,3.4591),(2345,3485,0.20943,3.4558),(2345,3495,0.20937,3.4524),(2345,3505,0.20931,3.4491),(2345,3515,0.20911,3.4457),(2345,3525,0.2089,3.4424),(2345,3535,0.2087,3.439),(2345,3545,0.20848,3.4357),(2345,3555,0.20813,3.4323),(2345,3565,0.20777,3.4289),(2345,3575,0.20741,3.4256),(2345,3585,0.20704,3.4222),(2345,3595,0.20653,3.4188),(2345,3605,0.20602,3.4155),(2345,3615,0.20552,3.4121),(2345,3625,0.20499,3.4088),(2345,3635,0.20433,3.4055),(2345,3645,0.20367,3.4021),(2345,3655,0.20301,3.3988),(2345,3665,0.20233,3.3955),(2345,3675,0.20152,3.3922),(2345,3685,0.20072,3.3889),(2345,3695,0.19991,3.3856),(2345,3705,0.19908,3.3823),(2345,3715,0.19813,3.3791),(2345,3725,0.19718,3.3758),(2345,3735,0.19623,3.3726),(2345,3745,0.19524,3.3694),(2345,3755,0.19415,3.3661),(2345,3765,0.19306,3.3629),(2345,3775,0.19197,3.3598),(2345,3785,0.19085,3.3566),(2345,3795,0.18962,3.3535),(2345,3805,0.1884,3.3503),(2345,3815,0.18718,3.3473),(2345,3825,0.18591,3.3442),(2345,3835,0.18456,3.3411),(2345,3845,0.18321,3.338),(2345,3855,0.18186,3.335),(2345,3865,0.18047,3.332),(2345,3875,0.179,3.329),(2345,3885,0.17753,3.3261),(2345,3895,0.17607,3.3232),(2345,3905,0.20124,3.3203),(2345,3915,0.26622,3.3174),(2345,3925,0.3312,3.3129),(2345,3935,0.39618,3.3063),(2345,3945,0.46412,3.2997),(2345,3955,0.5358,3.293),(2345,3965,0.60748,3.2846),(2345,3975,0.67916,3.2741),(2345,3985,0.72016,3.2636),(2345,3995,0.72796,3.2531),(2345,4005,0.73575,3.2424),(2345,4015,0.74355,3.2316),(2345,4025,0.75256,3.2208),(2345,4035,0.76169,3.2099),(2345,4045,0.77082,3.1988),(2345,4055,0.78006,3.1877),(2345,4065,0.78934,3.1766),(2345,4075,0.79862,3.1651),(2345,4085,0.80747,3.1537),(2345,4095,0.81598,3.1422),(2345,4105,0.82448,3.1304),(2345,4115,0.80233,3.1186),(2345,4125,0.72935,3.1068),(2345,4135,0.65638,3.0974),(2345,4145,0.58213,3.0887),(2345,4155,0.50272,3.08),(2345,4165,0.42332,3.0735),(2345,4175,0.34866,3.0683),(2345,4185,0.50913,3.0631),(2345,4195,0.66959,3.0548),(2345,4205,0.83005,3.0423),(2345,4215,0.83698,3.0299),(2345,4225,0.81502,3.0174),(2345,4235,0.79305,3.0049),(2345,4245,0.74621,2.9925),(2345,4255,0.68674,2.9802),(2345,4265,0.62727,2.9698),(2345,4275,0.53041,2.9594),(2345,4285,0.39387,2.9491),(2345,4295,0.25733,2.9454),(2345,4305,0.22661,2.9425),(2345,4315,0.43486,2.9396),(2345,4325,0.6431,2.9311),(2345,4335,0.82972,2.9203),(2345,4345,0.86996,2.9095),(2345,4355,0.91019,2.8976),(2345,4365,0.95043,2.8849),(2345,4375,0.96296,2.8722),(2345,4385,0.97406,2.8594),(2345,4395,0.98515,2.8465),(2345,4405,0.86556,2.8337),(2345,4415,0.70743,2.822),(2345,4425,0.54931,2.8155),(2345,4435,0.48495,2.8091),(2345,4445,0.48468,2.8026),(2345,4455,0.4844,2.796),(2345,4465,0.56169,2.7893),(2345,4475,0.74796,2.7827),(2345,4485,0.93422,2.7702),(2345,4495,1.0791,2.7565),(2345,4505,1.0912,2.7428),(2345,4515,1.1032,2.729),(2345,4525,1.1129,2.715),(2345,4535,1.0852,2.7011),(2345,4545,1.0575,2.6877),(2345,4555,1.0298,2.675),(2345,4565,0.78116,2.6623),(2345,4575,0.50268,2.6525),(2345,4585,0.2242,2.6496),(2345,4595,0.26825,2.6468),(2345,4605,0.44857,2.6428),(2345,4615,0.62889,2.6307),(2345,4625,0.76468,2.6185),(2345,4635,0.86014,2.6064),(2345,4645,0.95561,2.5926),(2345,4655,1.0325,2.5788),(2345,4665,1.0745,2.565),(2345,4675,1.1165,2.5511),(2345,4685,1.1116,2.5373),(2345,4695,0.87518,2.5235),(2345,4705,0.63877,2.5147),(2345,4715,0.40237,2.5096),(2345,4725,0.53761,2.5045),(2345,4735,0.67657,2.4979),(2345,4745,0.81553,2.489),(2345,4755,0.95859,2.4801),(2345,4765,1.1026,2.4702),(2345,4775,1.2466,2.4568),(2345,4785,1.3055,2.4434),(2345,4795,1.3153,2.43),(2345,4805,1.325,2.4167),(2345,4815,1.2682,2.4033),(2345,4825,1.1318,2.3899),(2345,4835,0.99542,2.3803),(2345,4845,0.85612,2.3713),(2345,4855,0.70922,2.3623),(2345,4865,0.56231,2.3562),(2345,4875,0.46114,2.3514),(2345,4885,0.77609,2.3466),(2345,4895,1.091,2.3374),(2345,4905,1.406,2.3239),(2345,4915,1.4167,2.3104),(2345,4925,1.4012,2.2968),(2345,4935,1.3857,2.2829),(2345,4945,1.3032,2.269),(2345,4955,1.1974,2.2552),(2345,4965,1.0917,2.2422),(2345,4975,0.87801,2.2291),(2345,4985,0.58101,2.2161),(2345,4995,0.28401,2.2144),(2345,5005,0.23053,2.2129),(2345,5015,0.56421,2.2114),(2345,5025,0.89789,2.203),(2345,5035,1.1866,2.1929),(2345,5045,1.304,2.1827),(2345,5055,1.4214,2.171),(2345,5065,1.5356,2.1584),(2345,5075,1.5435,2.1458),(2345,5085,1.5514,2.1333),(2345,5095,1.5593,2.1211),(2345,5105,1.3655,2.1088),(2345,5115,1.1365,2.098),(2345,5125,0.90756,2.0916),(2345,5135,0.79451,2.0851),(2345,5145,0.73772,2.0787),(2345,5155,0.68094,2.0732),(2345,5165,0.80848,2.0676),(2345,5175,1.124,2.062),(2345,5185,1.4396,2.0498),(2345,5195,1.6577,2.0369),(2345,5205,1.6658,2.024),(2345,5215,1.6739,2.0113),(2345,5225,1.673,1.9986),(2345,5235,1.6164,1.986),(2345,5245,1.5598,1.9744),(2345,5255,1.5032,1.9636),(2345,5265,1.0577,1.9528),(2345,5275,0.59608,1.9458),(2345,5285,0.1345,1.9453),(2345,5295,0.35244,1.9447),(2345,5305,0.75962,1.9415),(2345,5315,1.1668,1.9271),(2345,5325,1.3939,1.9128),(2345,5335,1.503,1.8984),(2345,5345,1.6121,1.8845),(2345,5355,1.6832,1.8707),(2345,5365,1.703,1.8568),(2345,5375,1.7228,1.8436),(2345,5385,1.6387,1.8304),(2345,5395,1.2385,1.8173),(2345,5405,0.83838,1.8105),(2345,5415,0.48134,1.8069),(2345,5425,0.70353,1.8034),(2345,5435,0.92572,1.7958),(2345,5445,1.1479,1.7839),(2345,5455,1.3727,1.7719),(2345,5465,1.5979,1.758),(2345,5475,1.823,1.7395),(2345,5485,1.8974,1.721),(2345,5495,1.911,1.7026),(2345,5505,1.9246,1.6846),(2345,5515,1.9382,1.6667),(2345,5525,1.9518,1.6488),(2345,5535,1.9654,1.6313),(2345,5545,1.9786,1.6139),(2345,5555,1.9913,1.5965),(2345,5565,2.004,1.5795),(2345,5575,2.0165,1.5626),(2345,5585,2.0282,1.5457),(2345,5595,2.04,1.5291),(2345,5605,2.0518,1.5127),(2345,5615,2.0627,1.4962),(2345,5625,2.0736,1.4799),(2345,5635,2.0845,1.464),(2345,5645,2.0948,1.448),(2345,5655,2.105,1.4321),(2345,5665,2.1151,1.4165),(2345,5675,2.1248,1.4009),(2345,5685,2.1342,1.3853),(2345,5695,2.1436,1.3701),(2345,5705,2.1527,1.355),(2345,5715,2.1615,1.3398),(2345,5725,2.1703,1.3249),(2345,5735,2.1788,1.3101),(2345,5745,2.187,1.2952),(2345,5755,2.1951,1.2806),(2345,5765,2.2032,1.2661),(2345,5775,2.2108,1.2516),(2345,5785,2.2184,1.2373),(2345,5795,2.226,1.2231),(2345,5805,2.2331,1.209),(2345,5815,2.2401,1.1949),(2345,5825,2.2472,1.181),(2345,5835,2.2539,1.1671),(2345,5845,2.2605,1.1533),(2345,5855,2.267,1.1397),(2345,5865,2.2734,1.1261),(2345,5875,2.2795,1.1125),(2345,5885,2.2856,1.0991),(2345,5895,2.2916,1.0858),(2345,5905,2.2973,1.0725),(2345,5915,2.3031,1.0594),(2345,5925,2.3087,1.0463),(2345,5935,2.314,1.0332),(2345,5945,2.3194,1.0203),(2345,5955,2.3247,1.0075),(2345,5965,2.3299,0.99465),(2345,5975,2.335,0.98192),(2345,5985,2.3401,0.96933),(2345,5995,1.7895,0.95673),(2345,6005,1.1495,0.9471),(2345,6015,0.5094,0.94543),(2345,6025,0.57518,0.94377),(2345,6035,0.96831,0.94106),(2345,6045,1.3614,0.92837),(2345,6055,1.6392,0.91569),(2345,6065,1.8039,0.903),(2345,6075,1.9686,0.88656),(2345,6085,2.0813,0.86977),(2345,6095,2.0868,0.85298),(2345,6105,2.0922,0.83613),(2345,6115,2.0977,0.81926),(2345,6125,2.1028,0.80239),(2345,6135,2.108,0.78555),(2345,6145,2.1132,0.76874),(2345,6155,2.118,0.75193),(2345,6165,2.1228,0.73519),(2345,6175,2.1276,0.71855),(2345,6185,2.1322,0.70191),(2345,6195,2.1366,0.68526),(2345,6205,2.1411,0.66861),(2345,6215,2.1454,0.65196),(2345,6225,2.1495,0.63531),(2345,6235,2.1536,0.61872),(2345,6245,2.1576,0.60212),(2345,6255,2.1614,0.58553),(2345,6265,2.1652,0.56897),(2345,6275,2.1689,0.55242),(2345,6285,2.1723,0.53587),(2345,6295,2.1757,0.51936),(2345,6305,2.179,0.50287),(2345,6315,2.1821,0.48638),(2345,6325,2.1852,0.46988),(2345,6335,2.1882,0.45339),(2345,6345,2.191,0.4369),(2345,6355,2.1937,0.42043),(2345,6365,2.1964,0.404),(2345,6375,2.1988,0.38756),(2345,6385,2.2012,0.37114),(2345,6395,2.2035,0.35477),(2345,6405,2.2057,0.3384),(2345,6415,2.2078,0.32203),(2345,6425,2.2098,0.30569),(2345,6435,2.2118,0.28934),(2345,6445,2.2135,0.273),(2345,6455,2.2153,0.25664),(2345,6465,2.2169,0.24027),(2345,6475,2.2184,0.2239),(2345,6485,2.2198,0.20754),(2345,6495,2.2212,0.19117),(2345,6505,2.2223,0.17481),(2345,6515,2.2234,0.15846),(2345,6525,2.2245,0.14214),(2345,6535,2.2253,0.12582),(2345,6545,2.226,0.1095),(2345,6555,2.2268,0.093187),(2345,6565,2.2273,0.07687),(2345,6575,2.2276,0.06056),(2345,6585,2.228,0.04433),(2345,6595,1.8952,0.0281),(2345,6605,1.1944,0.011869),(2345,6615,0.49359,0.009968),(2345,6625,0.000957,0.009907),(2345,6635,0.000958,0.009846),(2345,6645,0.000959,0.009821),(2345,6655,0.00096,0.00981),(2345,6665,0.000961,0.009798),(2345,6675,0.000962,0.009787),(2345,6685,0.000963,0.009777),(2345,6695,0.000964,0.009766),(2345,6705,0.000965,0.009755),(2345,6715,0.000966,0.009744),(2345,6725,0.000967,0.009734),(2345,6735,0.000968,0.009723),(2345,6745,0.000969,0.009712),(2345,6755,0.000969,0.009702),(2345,6765,0.00097,0.009691),(2345,6775,0.000971,0.00968),(2345,6785,0.000972,0.00967),(2345,6795,0.000973,0.009659),(2345,6805,0.000973,0.009649),(2345,6815,0.000974,0.009639),(2345,6825,0.000975,0.009628),(2345,6835,0.000976,0.009618),(2345,6845,0.000976,0.009608),(2345,6855,0.000977,0.009597),(2345,6865,0.000978,0.009587),(2345,6875,0.000978,0.009577),(2345,6885,0.000979,0.009567),(2345,6895,0.00098,0.009557),(2345,6905,0.00098,0.009547),(2345,6915,0.000981,0.009537),(2345,6925,0.000981,0.009527),(2345,6935,0.000982,0.009516),(2345,6945,0.000983,0.009506),(2345,6955,0.000983,0.009496),(2345,6965,0.000984,0.009486),(2345,6975,0.000984,0.009476),(2345,6985,0.000985,0.009466),(2355,5,4.5e-05,3.6843),(2355,15,0.000134,3.6843),(2355,25,0.000223,3.6843),(2355,35,0.000313,3.6843),(2355,45,0.000403,3.6843),(2355,55,0.000492,3.6843),(2355,65,0.000582,3.6843),(2355,75,0.000672,3.6843),(2355,85,0.000762,3.6843),(2355,95,0.000852,3.6843),(2355,105,0.000942,3.6843),(2355,115,0.001032,3.6843),(2355,125,0.001123,3.6844),(2355,135,0.001213,3.6844),(2355,145,0.001304,3.6844),(2355,155,0.001395,3.6844),(2355,165,0.001486,3.6844),(2355,175,0.001577,3.6844),(2355,185,0.001669,3.6844),(2355,195,0.001761,3.6844),(2355,205,0.001853,3.6844),(2355,215,0.001946,3.6844),(2355,225,0.002038,3.6844),(2355,235,0.002132,3.6844),(2355,245,0.002225,3.6844),(2355,255,0.002318,3.6844),(2355,265,0.002413,3.6845),(2355,275,0.002508,3.6845),(2355,285,0.002603,3.6845),(2355,295,0.002697,3.6845),(2355,305,0.002794,3.6845),(2355,315,0.00289,3.6845),(2355,325,0.002987,3.6845),(2355,335,0.003083,3.6845),(2355,345,0.003182,3.6846),(2355,355,0.00328,3.6846),(2355,365,0.003379,3.6846),(2355,375,0.003478,3.6846),(2355,385,0.003579,3.6846),(2355,395,0.003679,3.6846),(2355,405,0.00378,3.6846),(2355,415,0.003881,3.6847),(2355,425,0.003984,3.6847),(2355,435,0.004088,3.6847),(2355,445,0.004191,3.6847),(2355,455,0.004294,3.6847),(2355,465,0.0044,3.6847),(2355,475,0.004507,3.6848),(2355,485,0.004613,3.6848),(2355,495,0.004719,3.6848),(2355,505,0.004829,3.6848),(2355,515,0.004938,3.6848),(2355,525,0.005047,3.6849),(2355,535,0.005157,3.6849),(2355,545,0.00527,3.6849),(2355,555,0.005383,3.6849),(2355,565,0.005496,3.685),(2355,575,0.005609,3.685),(2355,585,0.005726,3.685),(2355,595,0.005842,3.685),(2355,605,0.005959,3.6851),(2355,615,0.006076,3.6851),(2355,625,0.006197,3.6851),(2355,635,0.006318,3.6851),(2355,645,0.006439,3.6852),(2355,655,0.006561,3.6852),(2355,665,0.006687,3.6852),(2355,675,0.006812,3.6853),(2355,685,0.006938,3.6853),(2355,695,0.007064,3.6853),(2355,705,0.007195,3.6853),(2355,715,0.007326,3.6854),(2355,725,0.007456,3.6854),(2355,735,0.007588,3.6854),(2355,745,0.007725,3.6855),(2355,755,0.007861,3.6855),(2355,765,0.007997,3.6855),(2355,775,0.008135,3.6856),(2355,785,0.008277,3.6856),(2355,795,0.008419,3.6857),(2355,805,0.008561,3.6857),(2355,815,0.008706,3.6857),(2355,825,0.008854,3.6858),(2355,835,0.009003,3.6858),(2355,845,0.009152,3.6858),(2355,855,0.009303,3.6859),(2355,865,0.009459,3.6859),(2355,875,0.009615,3.686),(2355,885,0.009771,3.686),(2355,895,0.00993,3.6861),(2355,905,0.010094,3.6861),(2355,915,0.010257,3.6861),(2355,925,0.010421,3.6862),(2355,935,0.010588,3.6862),(2355,945,0.01076,3.6863),(2355,955,0.010931,3.6863),(2355,965,0.011103,3.6864),(2355,975,0.011279,3.6864),(2355,985,0.01146,3.6865),(2355,995,0.01164,3.6865),(2355,1005,0.011821,3.6866),(2355,1015,0.012007,3.6866),(2355,1025,0.012197,3.6867),(2355,1035,0.012387,3.6867),(2355,1045,0.012578,3.6868),(2355,1055,0.012774,3.6868),(2355,1065,0.012975,3.6869),(2355,1075,0.013175,3.6869),(2355,1085,0.013376,3.687),(2355,1095,0.013584,3.687),(2355,1105,0.013796,3.6871),(2355,1115,0.014008,3.6871),(2355,1125,0.01422,3.6872),(2355,1135,0.014439,3.6873),(2355,1145,0.014663,3.6873),(2355,1155,0.014887,3.6874),(2355,1165,0.015111,3.6874),(2355,1175,0.015344,3.6875),(2355,1185,0.015581,3.6875),(2355,1195,0.015818,3.6876),(2355,1205,0.016054,3.6877),(2355,1215,0.016301,3.6877),(2355,1225,0.016551,3.6878),(2355,1235,0.016802,3.6878),(2355,1245,0.017053,3.6879),(2355,1255,0.017314,3.688),(2355,1265,0.01758,3.688),(2355,1275,0.017845,3.6881),(2355,1285,0.018111,3.6881),(2355,1295,0.018388,3.6882),(2355,1305,0.01867,3.6883),(2355,1315,0.018951,3.6883),(2355,1325,0.019232,3.6884),(2355,1335,0.019527,3.6885),(2355,1345,0.019825,3.6885),(2355,1355,0.020123,3.6886),(2355,1365,0.020421,3.6886),(2355,1375,0.020734,3.6887),(2355,1385,0.02105,3.6888),(2355,1395,0.021366,3.6888),(2355,1405,0.021682,3.6889),(2355,1415,0.022016,3.689),(2355,1425,0.022351,3.689),(2355,1435,0.022687,3.6891),(2355,1445,0.023022,3.6891),(2355,1455,0.023376,3.6892),(2355,1465,0.023732,3.6893),(2355,1475,0.024088,3.6893),(2355,1485,0.024443,3.6894),(2355,1495,0.02482,3.6894),(2355,1505,0.025198,3.6895),(2355,1515,0.025575,3.6896),(2355,1525,0.025953,3.6896),(2355,1535,0.026353,3.6897),(2355,1545,0.026753,3.6897),(2355,1555,0.027154,3.6898),(2355,1565,0.027555,3.6898),(2355,1575,0.02798,3.6899),(2355,1585,0.028405,3.6899),(2355,1595,0.028829,3.69),(2355,1605,0.029257,3.69),(2355,1615,0.029707,3.6901),(2355,1625,0.030158,3.6901),(2355,1635,0.030609,3.6902),(2355,1645,0.031063,3.6902),(2355,1655,0.031541,3.6903),(2355,1665,0.032019,3.6903),(2355,1675,0.032497,3.6903),(2355,1685,0.03298,3.6904),(2355,1695,0.033487,3.6904),(2355,1705,0.033993,3.6905),(2355,1715,0.0345,3.6905),(2355,1725,0.035014,3.6905),(2355,1735,0.035551,3.6905),(2355,1745,0.036088,3.6906),(2355,1755,0.036625,3.6906),(2355,1765,0.03717,3.6906),(2355,1775,0.037739,3.6906),(2355,1785,0.038308,3.6906),(2355,1795,0.038877,3.6906),(2355,1805,0.039456,3.6906),(2355,1815,0.040059,3.6906),(2355,1825,0.040661,3.6906),(2355,1835,0.041263,3.6906),(2355,1845,0.041878,3.6906),(2355,1855,0.042515,3.6906),(2355,1865,0.043153,3.6906),(2355,1875,0.04379,3.6906),(2355,1885,0.044442,3.6906),(2355,1895,0.045116,3.6905),(2355,1905,0.04579,3.6905),(2355,1915,0.046464,3.6905),(2355,1925,0.047154,3.6904),(2355,1935,0.047867,3.6904),(2355,1945,0.048579,3.6903),(2355,1955,0.049291,3.6902),(2355,1965,0.050022,3.6902),(2355,1975,0.050774,3.6901),(2355,1985,0.051526,3.69),(2355,1995,0.052278,3.6899),(2355,2005,0.05305,3.6899),(2355,2015,0.053843,3.6898),(2355,2025,0.054636,3.6897),(2355,2035,0.055429,3.6895),(2355,2045,0.056244,3.6894),(2355,2055,0.057079,3.6893),(2355,2065,0.057914,3.6892),(2355,2075,0.058749,3.689),(2355,2085,0.05961,3.6889),(2355,2095,0.060488,3.6887),(2355,2105,0.061367,3.6886),(2355,2115,0.062245,3.6884),(2355,2125,0.063151,3.6882),(2355,2135,0.064074,3.688),(2355,2145,0.064997,3.6878),(2355,2155,0.06592,3.6876),(2355,2165,0.066873,3.6873),(2355,2175,0.067841,3.6871),(2355,2185,0.068809,3.6869),(2355,2195,0.069777,3.6866),(2355,2205,0.070778,3.6863),(2355,2215,0.071791,3.6861),(2355,2225,0.072805,3.6858),(2355,2235,0.073819,3.6854),(2355,2245,0.074867,3.6851),(2355,2255,0.075927,3.6848),(2355,2265,0.076986,3.6844),(2355,2275,0.078046,3.6841),(2355,2285,0.079142,3.6837),(2355,2295,0.080248,3.6833),(2355,2305,0.081353,3.6829),(2355,2315,0.082459,3.6825),(2355,2325,0.083602,3.6821),(2355,2335,0.084753,3.6816),(2355,2345,0.085905,3.6812),(2355,2355,0.087056,3.6807),(2355,2365,0.088245,3.6802),(2355,2375,0.089441,3.6797),(2355,2385,0.090637,3.6791),(2355,2395,0.091832,3.6786),(2355,2405,0.093067,3.678),(2355,2415,0.094306,3.6774),(2355,2425,0.095544,3.6768),(2355,2435,0.096783,3.6762),(2355,2445,0.098061,3.6755),(2355,2455,0.099341,3.6749),(2355,2465,0.10062,3.6742),(2355,2475,0.1019,3.6734),(2355,2485,0.10322,3.6727),(2355,2495,0.10454,3.672),(2355,2505,0.10586,3.6712),(2355,2515,0.10718,3.6704),(2355,2525,0.10853,3.6696),(2355,2535,0.10989,3.6688),(2355,2545,0.11124,3.6679),(2355,2555,0.1126,3.667),(2355,2565,0.11398,3.6661),(2355,2575,0.11537,3.6652),(2355,2585,0.11676,3.6642),(2355,2595,0.11815,3.6632),(2355,2605,0.11956,3.6622),(2355,2615,0.12098,3.6611),(2355,2625,0.12239,3.66),(2355,2635,0.12381,3.6589),(2355,2645,0.12525,3.6578),(2355,2655,0.12668,3.6567),(2355,2665,0.12812,3.6555),(2355,2675,0.12956,3.6543),(2355,2685,0.13101,3.653),(2355,2695,0.13247,3.6518),(2355,2705,0.13392,3.6505),(2355,2715,0.13538,3.6491),(2355,2725,0.13684,3.6478),(2355,2735,0.13831,3.6464),(2355,2745,0.13977,3.645),(2355,2755,0.14123,3.6435),(2355,2765,0.1427,3.6421),(2355,2775,0.14417,3.6406),(2355,2785,0.14564,3.639),(2355,2795,0.1471,3.6374),(2355,2805,0.14857,3.6359),(2355,2815,0.15003,3.6342),(2355,2825,0.15149,3.6325),(2355,2835,0.15295,3.6308),(2355,2845,0.1544,3.6291),(2355,2855,0.15585,3.6274),(2355,2865,0.1573,3.6255),(2355,2875,0.15874,3.6237),(2355,2885,0.16017,3.6219),(2355,2895,0.1616,3.62),(2355,2905,0.16303,3.618),(2355,2915,0.16444,3.6161),(2355,2925,0.16584,3.6141),(2355,2935,0.16723,3.6121),(2355,2945,0.16863,3.61),(2355,2955,0.17001,3.6079),(2355,2965,0.17136,3.6058),(2355,2975,0.17272,3.6036),(2355,2985,0.17407,3.6014),(2355,2995,0.1754,3.5991),(2355,3005,0.1767,3.5969),(2355,3015,0.17801,3.5946),(2355,3025,0.17931,3.5922),(2355,3035,0.18058,3.5899),(2355,3045,0.18182,3.5875),(2355,3055,0.18306,3.5851),(2355,3065,0.1843,3.5826),(2355,3075,0.1855,3.5801),(2355,3085,0.18667,3.5776),(2355,3095,0.18784,3.575),(2355,3105,0.18901,3.5724),(2355,3115,0.19012,3.5698),(2355,3125,0.19121,3.5672),(2355,3135,0.19229,3.5645),(2355,3145,0.19338,3.5618),(2355,3155,0.1944,3.559),(2355,3165,0.1954,3.5563),(2355,3175,0.19639,3.5535),(2355,3185,0.19738,3.5506),(2355,3195,0.1983,3.5478),(2355,3205,0.19919,3.5449),(2355,3215,0.20008,3.542),(2355,3225,0.20097,3.539),(2355,3235,0.20177,3.5361),(2355,3245,0.20255,3.5331),(2355,3255,0.20333,3.5301),(2355,3265,0.2041,3.5271),(2355,3275,0.20479,3.524),(2355,3285,0.20544,3.521),(2355,3295,0.2061,3.5178),(2355,3305,0.20675,3.5147),(2355,3315,0.20731,3.5116),(2355,3325,0.20783,3.5084),(2355,3335,0.20836,3.5052),(2355,3345,0.20888,3.502),(2355,3355,0.2093,3.4988),(2355,3365,0.20969,3.4956),(2355,3375,0.21008,3.4923),(2355,3385,0.21047,3.4891),(2355,3395,0.21073,3.4858),(2355,3405,0.21098,3.4825),(2355,3415,0.21123,3.4792),(2355,3425,0.21148,3.4758),(2355,3435,0.21159,3.4725),(2355,3445,0.21169,3.4692),(2355,3455,0.21179,3.4658),(2355,3465,0.21189,3.4625),(2355,3475,0.21185,3.4591),(2355,3485,0.2118,3.4557),(2355,3495,0.21175,3.4523),(2355,3505,0.2117,3.449),(2355,3515,0.2115,3.4456),(2355,3525,0.2113,3.4422),(2355,3535,0.2111,3.4388),(2355,3545,0.21089,3.4354),(2355,3555,0.21053,3.432),(2355,3565,0.21017,3.4286),(2355,3575,0.20982,3.4252),(2355,3585,0.20945,3.4218),(2355,3595,0.20894,3.4184),(2355,3605,0.20843,3.415),(2355,3615,0.20792,3.4116),(2355,3625,0.20739,3.4082),(2355,3635,0.20673,3.4048),(2355,3645,0.20606,3.4015),(2355,3655,0.2054,3.3981),(2355,3665,0.20471,3.3948),(2355,3675,0.2039,3.3914),(2355,3685,0.20309,3.3881),(2355,3695,0.20228,3.3848),(2355,3705,0.20143,3.3814),(2355,3715,0.20048,3.3781),(2355,3725,0.19952,3.3748),(2355,3735,0.19856,3.3716),(2355,3745,0.19756,3.3683),(2355,3755,0.19646,3.3651),(2355,3765,0.19536,3.3618),(2355,3775,0.19426,3.3586),(2355,3785,0.19312,3.3555),(2355,3795,0.19189,3.3523),(2355,3805,0.19065,3.3491),(2355,3815,0.18942,3.346),(2355,3825,0.18814,3.3429),(2355,3835,0.18677,3.3398),(2355,3845,0.18541,3.3367),(2355,3855,0.18405,3.3336),(2355,3865,0.18264,3.3306),(2355,3875,0.18115,3.3276),(2355,3885,0.17967,3.3246),(2355,3895,0.17818,3.3217),(2355,3905,0.20361,3.3187),(2355,3915,0.26923,3.3158),(2355,3925,0.33486,3.3113),(2355,3935,0.40048,3.3046),(2355,3945,0.46907,3.298),(2355,3955,0.54141,3.2913),(2355,3965,0.61375,3.2828),(2355,3975,0.68609,3.2722),(2355,3985,0.72745,3.2616),(2355,3995,0.73529,3.251),(2355,4005,0.74312,3.2403),(2355,4015,0.75095,3.2294),(2355,4025,0.76001,3.2186),(2355,4035,0.76919,3.2076),(2355,4045,0.77837,3.1964),(2355,4055,0.78767,3.1852),(2355,4065,0.79702,3.174),(2355,4075,0.80636,3.1625),(2355,4085,0.81528,3.151),(2355,4095,0.82387,3.1394),(2355,4105,0.83245,3.1276),(2355,4115,0.8101,3.1157),(2355,4125,0.73648,3.1038),(2355,4135,0.66286,3.0943),(2355,4145,0.58794,3.0855),(2355,4155,0.5078,3.0768),(2355,4165,0.42765,3.0702),(2355,4175,0.3523,3.0649),(2355,4185,0.51431,3.0597),(2355,4195,0.67633,3.0513),(2355,4205,0.83834,3.0387),(2355,4215,0.84559,3.0262),(2355,4225,0.8237,3.0136),(2355,4235,0.80182,3.001),(2355,4245,0.75475,2.9885),(2355,4255,0.69491,2.9761),(2355,4265,0.63507,2.9656),(2355,4275,0.53718,2.9551),(2355,4285,0.39892,2.9446),(2355,4295,0.26065,2.9409),(2355,4305,0.22922,2.9379),(2355,4315,0.43902,2.935),(2355,4325,0.64882,2.9263),(2355,4335,0.83684,2.9154),(2355,4345,0.87744,2.9044),(2355,4355,0.91804,2.8925),(2355,4365,0.95864,2.8797),(2355,4375,0.97117,2.8669),(2355,4385,0.98224,2.854),(2355,4395,0.99331,2.8411),(2355,4405,0.87272,2.8282),(2355,4415,0.71332,2.8164),(2355,4425,0.55392,2.81),(2355,4435,0.4891,2.8035),(2355,4445,0.48891,2.797),(2355,4455,0.48873,2.7903),(2355,4465,0.56662,2.7836),(2355,4475,0.75419,2.7769),(2355,4485,0.94176,2.7644),(2355,4495,1.0876,2.7506),(2355,4505,1.0997,2.7369),(2355,4515,1.1117,2.723),(2355,4525,1.1214,2.7091),(2355,4535,1.0934,2.6952),(2355,4545,1.0654,2.6819),(2355,4555,1.0374,2.6693),(2355,4565,0.78721,2.6567),(2355,4575,0.50703,2.6469),(2355,4585,0.22685,2.644),(2355,4595,0.27181,2.6412),(2355,4605,0.45416,2.6372),(2355,4615,0.63651,2.625),(2355,4625,0.77331,2.6129),(2355,4635,0.86888,2.6007),(2355,4645,0.96444,2.5869),(2355,4655,1.0414,2.573),(2355,4665,1.0832,2.5591),(2355,4675,1.1251,2.5452),(2355,4685,1.1198,2.5312),(2355,4695,0.8818,2.5172),(2355,4705,0.64379,2.5083),(2355,4715,0.40577,2.5031),(2355,4725,0.54149,2.4978),(2355,4735,0.68095,2.4911),(2355,4745,0.82041,2.4821),(2355,4755,0.96414,2.4731),(2355,4765,1.1089,2.4632),(2355,4775,1.2536,2.4497),(2355,4785,1.3127,2.4363),(2355,4795,1.3224,2.4229),(2355,4805,1.3321,2.4095),(2355,4815,1.2749,2.3961),(2355,4825,1.1378,2.3826),(2355,4835,1.0007,2.373),(2355,4845,0.8607,2.364),(2355,4855,0.71317,2.355),(2355,4865,0.56564,2.3489),(2355,4875,0.46403,2.3441),(2355,4885,0.78023,2.3393),(2355,4895,1.0964,2.33),(2355,4905,1.4126,2.3165),(2355,4915,1.4236,2.303),(2355,4925,1.4083,2.2893),(2355,4935,1.393,2.2754),(2355,4945,1.3107,2.2614),(2355,4955,1.2051,2.2476),(2355,4965,1.0996,2.2345),(2355,4975,0.88474,2.2215),(2355,4985,0.58554,2.2084),(2355,4995,0.28633,2.2067),(2355,5005,0.23195,2.2052),(2355,5015,0.5668,2.2037),(2355,5025,0.90164,2.1953),(2355,5035,1.1913,2.1852),(2355,5045,1.309,2.175),(2355,5055,1.4266,2.1634),(2355,5065,1.541,2.1507),(2355,5075,1.5488,2.1381),(2355,5085,1.5565,2.1257),(2355,5095,1.5643,2.1134),(2355,5105,1.3699,2.1011),(2355,5115,1.1401,2.0904),(2355,5125,0.9104,2.0839),(2355,5135,0.79708,2.0774),(2355,5145,0.74026,2.071),(2355,5155,0.68344,2.0655),(2355,5165,0.81138,2.0599),(2355,5175,1.1278,2.0544),(2355,5185,1.4442,2.0421),(2355,5195,1.6628,2.0292),(2355,5205,1.6708,2.0163),(2355,5215,1.6787,2.0037),(2355,5225,1.6777,1.9911),(2355,5235,1.6208,1.9785),(2355,5245,1.5639,1.9669),(2355,5255,1.507,1.9561),(2355,5265,1.0604,1.9453),(2355,5275,0.59777,1.9383),(2355,5285,0.13511,1.9378),(2355,5295,0.3547,1.9372),(2355,5305,0.76428,1.934),(2355,5315,1.1739,1.9196),(2355,5325,1.4016,1.9051),(2355,5335,1.51,1.8907),(2355,5345,1.6185,1.8769),(2355,5355,1.689,1.8631),(2355,5365,1.7086,1.8492),(2355,5375,1.7281,1.836),(2355,5385,1.6434,1.8228),(2355,5395,1.2421,1.8097),(2355,5405,0.84082,1.8028),(2355,5415,0.48281,1.7993),(2355,5425,0.70655,1.7958),(2355,5435,0.93029,1.7882),(2355,5445,1.154,1.7763),(2355,5455,1.3799,1.7644),(2355,5465,1.606,1.7506),(2355,5475,1.8321,1.7322),(2355,5485,1.9065,1.7137),(2355,5495,1.9199,1.6954),(2355,5505,1.9334,1.6776),(2355,5515,1.9467,1.6597),(2355,5525,1.9601,1.6419),(2355,5535,1.9735,1.6245),(2355,5545,1.9865,1.6072),(2355,5555,1.999,1.5898),(2355,5565,2.0115,1.5729),(2355,5575,2.0238,1.5561),(2355,5585,2.0354,1.5393),(2355,5595,2.047,1.5227),(2355,5605,2.0585,1.5064),(2355,5615,2.0693,1.49),(2355,5625,2.08,1.4738),(2355,5635,2.0908,1.4579),(2355,5645,2.1009,1.442),(2355,5655,2.1109,1.4262),(2355,5665,2.1208,1.4107),(2355,5675,2.1304,1.3952),(2355,5685,2.1396,1.3797),(2355,5695,2.1489,1.3646),(2355,5705,2.1579,1.3495),(2355,5715,2.1665,1.3343),(2355,5725,2.1751,1.3195),(2355,5735,2.1835,1.3048),(2355,5745,2.1915,1.29),(2355,5755,2.1995,1.2755),(2355,5765,2.2075,1.2611),(2355,5775,2.215,1.2467),(2355,5785,2.2224,1.2324),(2355,5795,2.2299,1.2183),(2355,5805,2.2368,1.2042),(2355,5815,2.2438,1.1902),(2355,5825,2.2507,1.1764),(2355,5835,2.2573,1.1626),(2355,5845,2.2638,1.1488),(2355,5855,2.2702,1.1353),(2355,5865,2.2765,1.1218),(2355,5875,2.2825,1.1082),(2355,5885,2.2885,1.095),(2355,5895,2.2944,1.0817),(2355,5905,2.3,1.0685),(2355,5915,2.3056,1.0554),(2355,5925,2.3112,1.0424),(2355,5935,2.3164,1.0294),(2355,5945,2.3217,1.0166),(2355,5955,2.3269,1.0038),(2355,5965,2.332,0.99106),(2355,5975,2.337,0.97841),(2355,5985,2.342,0.96589),(2355,5995,1.791,0.95336),(2355,6005,1.1504,0.9438),(2355,6015,0.50984,0.94213),(2355,6025,0.57666,0.94047),(2355,6035,0.97155,0.93777),(2355,6045,1.3664,0.92513),(2355,6055,1.6454,0.91248),(2355,6065,1.8107,0.89983),(2355,6075,1.9759,0.88344),(2355,6085,2.089,0.86669),(2355,6095,2.0944,0.84995),(2355,6105,2.0998,0.83315),(2355,6115,2.1052,0.81633),(2355,6125,2.1104,0.7995),(2355,6135,2.1155,0.78272),(2355,6145,2.1207,0.76596),(2355,6155,2.1255,0.7492),(2355,6165,2.1302,0.7325),(2355,6175,2.135,0.71592),(2355,6185,2.1395,0.69933),(2355,6195,2.1439,0.68274),(2355,6205,2.1484,0.66615),(2355,6215,2.1526,0.64956),(2355,6225,2.1567,0.63297),(2355,6235,2.1608,0.61643),(2355,6245,2.1647,0.59989),(2355,6255,2.1685,0.58335),(2355,6265,2.1722,0.56685),(2355,6275,2.1759,0.55036),(2355,6285,2.1793,0.53387),(2355,6295,2.1827,0.5174),(2355,6305,2.1861,0.50095),(2355,6315,2.1891,0.48451),(2355,6325,2.1922,0.46806),(2355,6335,2.1952,0.45163),(2355,6345,2.1979,0.4352),(2355,6355,2.2006,0.41879),(2355,6365,2.2033,0.40241),(2355,6375,2.2057,0.38604),(2355,6385,2.2081,0.36968),(2355,6395,2.2104,0.35338),(2355,6405,2.2126,0.33708),(2355,6415,2.2146,0.32078),(2355,6425,2.2167,0.30451),(2355,6435,2.2186,0.28824),(2355,6445,2.2203,0.27197),(2355,6455,2.222,0.25567),(2355,6465,2.2237,0.23937),(2355,6475,2.2251,0.22307),(2355,6485,2.2265,0.20677),(2355,6495,2.2279,0.19047),(2355,6505,2.229,0.17417),(2355,6515,2.23,0.15789),(2355,6525,2.2311,0.14163),(2355,6535,2.2319,0.12537),(2355,6545,2.2327,0.10912),(2355,6555,2.2334,0.092874),(2355,6565,2.2339,0.076628),(2355,6575,2.2343,0.060388),(2355,6585,2.2346,0.044221),(2355,6595,1.9008,0.028054),(2355,6605,1.1979,0.011887),(2355,6615,0.49506,0.009986),(2355,6625,0.000964,0.009918),(2355,6635,0.000965,0.00985),(2355,6645,0.000966,0.009822),(2355,6655,0.000967,0.009811),(2355,6665,0.000968,0.009799),(2355,6675,0.000969,0.009789),(2355,6685,0.00097,0.009778),(2355,6695,0.000971,0.009767),(2355,6705,0.000971,0.009756),(2355,6715,0.000972,0.009745),(2355,6725,0.000973,0.009734),(2355,6735,0.000974,0.009724),(2355,6745,0.000975,0.009713),(2355,6755,0.000976,0.009702),(2355,6765,0.000977,0.009692),(2355,6775,0.000977,0.009681),(2355,6785,0.000978,0.009671),(2355,6795,0.000979,0.00966),(2355,6805,0.00098,0.00965),(2355,6815,0.00098,0.009639),(2355,6825,0.000981,0.009629),(2355,6835,0.000982,0.009619),(2355,6845,0.000982,0.009608),(2355,6855,0.000983,0.009598),(2355,6865,0.000984,0.009588),(2355,6875,0.000984,0.009578),(2355,6885,0.000985,0.009567),(2355,6895,0.000985,0.009557),(2355,6905,0.000986,0.009547),(2355,6915,0.000987,0.009537),(2355,6925,0.000987,0.009527),(2355,6935,0.000988,0.009517),(2355,6945,0.000988,0.009507),(2355,6955,0.000989,0.009497),(2355,6965,0.00099,0.009487),(2355,6975,0.00099,0.009477),(2355,6985,0.000991,0.009467),(2365,5,4.4e-05,3.6844),(2365,15,0.000133,3.6844),(2365,25,0.000221,3.6844),(2365,35,0.00031,3.6844),(2365,45,0.000399,3.6844),(2365,55,0.000488,3.6844),(2365,65,0.000577,3.6844),(2365,75,0.000666,3.6844),(2365,85,0.000755,3.6844),(2365,95,0.000844,3.6844),(2365,105,0.000933,3.6844),(2365,115,0.001023,3.6844),(2365,125,0.001113,3.6844),(2365,135,0.001202,3.6844),(2365,145,0.001292,3.6845),(2365,155,0.001383,3.6845),(2365,165,0.001473,3.6845),(2365,175,0.001564,3.6845),(2365,185,0.001654,3.6845),(2365,195,0.001746,3.6845),(2365,205,0.001837,3.6845),(2365,215,0.001928,3.6845),(2365,225,0.00202,3.6845),(2365,235,0.002113,3.6845),(2365,245,0.002205,3.6845),(2365,255,0.002298,3.6845),(2365,265,0.002391,3.6846),(2365,275,0.002485,3.6846),(2365,285,0.002579,3.6846),(2365,295,0.002673,3.6846),(2365,305,0.002769,3.6846),(2365,315,0.002864,3.6846),(2365,325,0.00296,3.6846),(2365,335,0.003056,3.6846),(2365,345,0.003153,3.6847),(2365,355,0.003251,3.6847),(2365,365,0.003349,3.6847),(2365,375,0.003446,3.6847),(2365,385,0.003546,3.6847),(2365,395,0.003646,3.6847),(2365,405,0.003746,3.6847),(2365,415,0.003846,3.6848),(2365,425,0.003948,3.6848),(2365,435,0.004051,3.6848),(2365,445,0.004153,3.6848),(2365,455,0.004256,3.6848),(2365,465,0.004361,3.6849),(2365,475,0.004466,3.6849),(2365,485,0.004571,3.6849),(2365,495,0.004676,3.6849),(2365,505,0.004785,3.6849),(2365,515,0.004893,3.685),(2365,525,0.005001,3.685),(2365,535,0.00511,3.685),(2365,545,0.005222,3.685),(2365,555,0.005334,3.685),(2365,565,0.005446,3.6851),(2365,575,0.005558,3.6851),(2365,585,0.005674,3.6851),(2365,595,0.005789,3.6852),(2365,605,0.005905,3.6852),(2365,615,0.006021,3.6852),(2365,625,0.006141,3.6852),(2365,635,0.006261,3.6853),(2365,645,0.006381,3.6853),(2365,655,0.006501,3.6853),(2365,665,0.006626,3.6854),(2365,675,0.00675,3.6854),(2365,685,0.006875,3.6854),(2365,695,0.007,3.6854),(2365,705,0.00713,3.6855),(2365,715,0.007259,3.6855),(2365,725,0.007389,3.6855),(2365,735,0.00752,3.6856),(2365,745,0.007655,3.6856),(2365,755,0.00779,3.6857),(2365,765,0.007925,3.6857),(2365,775,0.008061,3.6857),(2365,785,0.008202,3.6858),(2365,795,0.008343,3.6858),(2365,805,0.008484,3.6858),(2365,815,0.008627,3.6859),(2365,825,0.008774,3.6859),(2365,835,0.008922,3.686),(2365,845,0.009069,3.686),(2365,855,0.009219,3.686),(2365,865,0.009374,3.6861),(2365,875,0.009529,3.6861),(2365,885,0.009683,3.6862),(2365,895,0.009841,3.6862),(2365,905,0.010003,3.6863),(2365,915,0.010165,3.6863),(2365,925,0.010327,3.6864),(2365,935,0.010493,3.6864),(2365,945,0.010664,3.6864),(2365,955,0.010834,3.6865),(2365,965,0.011004,3.6865),(2365,975,0.011179,3.6866),(2365,985,0.011358,3.6866),(2365,995,0.011538,3.6867),(2365,1005,0.011717,3.6867),(2365,1015,0.011901,3.6868),(2365,1025,0.01209,3.6869),(2365,1035,0.012279,3.6869),(2365,1045,0.012468,3.687),(2365,1055,0.012662,3.687),(2365,1065,0.012862,3.6871),(2365,1075,0.013061,3.6871),(2365,1085,0.01326,3.6872),(2365,1095,0.013466,3.6872),(2365,1105,0.013677,3.6873),(2365,1115,0.013888,3.6874),(2365,1125,0.014098,3.6874),(2365,1135,0.014316,3.6875),(2365,1145,0.014539,3.6875),(2365,1155,0.014761,3.6876),(2365,1165,0.014984,3.6877),(2365,1175,0.015215,3.6877),(2365,1185,0.01545,3.6878),(2365,1195,0.015685,3.6878),(2365,1205,0.015921,3.6879),(2365,1215,0.016166,3.688),(2365,1225,0.016415,3.688),(2365,1235,0.016664,3.6881),(2365,1245,0.016913,3.6882),(2365,1255,0.017174,3.6882),(2365,1265,0.017438,3.6883),(2365,1275,0.017702,3.6884),(2365,1285,0.017965,3.6884),(2365,1295,0.018242,3.6885),(2365,1305,0.018522,3.6885),(2365,1315,0.018801,3.6886),(2365,1325,0.019081,3.6887),(2365,1335,0.019375,3.6888),(2365,1345,0.019671,3.6888),(2365,1355,0.019968,3.6889),(2365,1365,0.020264,3.689),(2365,1375,0.020577,3.689),(2365,1385,0.020891,3.6891),(2365,1395,0.021206,3.6892),(2365,1405,0.021521,3.6892),(2365,1415,0.021853,3.6893),(2365,1425,0.022187,3.6894),(2365,1435,0.022521,3.6894),(2365,1445,0.022855,3.6895),(2365,1455,0.023208,3.6896),(2365,1465,0.023563,3.6896),(2365,1475,0.023917,3.6897),(2365,1485,0.024272,3.6897),(2365,1495,0.024648,3.6898),(2365,1505,0.025024,3.6899),(2365,1515,0.0254,3.6899),(2365,1525,0.025777,3.69),(2365,1535,0.026176,3.6901),(2365,1545,0.026576,3.6901),(2365,1555,0.026975,3.6902),(2365,1565,0.027376,3.6902),(2365,1575,0.0278,3.6903),(2365,1585,0.028223,3.6904),(2365,1595,0.028647,3.6904),(2365,1605,0.029074,3.6905),(2365,1615,0.029524,3.6905),(2365,1625,0.029974,3.6906),(2365,1635,0.030424,3.6906),(2365,1645,0.030878,3.6907),(2365,1655,0.031355,3.6907),(2365,1665,0.031833,3.6908),(2365,1675,0.03231,3.6908),(2365,1685,0.032793,3.6909),(2365,1695,0.0333,3.6909),(2365,1705,0.033806,3.691),(2365,1715,0.034313,3.691),(2365,1725,0.034826,3.691),(2365,1735,0.035363,3.6911),(2365,1745,0.0359,3.6911),(2365,1755,0.036437,3.6911),(2365,1765,0.036983,3.6911),(2365,1775,0.037552,3.6912),(2365,1785,0.038122,3.6912),(2365,1795,0.038691,3.6912),(2365,1805,0.039271,3.6912),(2365,1815,0.039874,3.6912),(2365,1825,0.040477,3.6912),(2365,1835,0.04108,3.6912),(2365,1845,0.041696,3.6912),(2365,1855,0.042335,3.6912),(2365,1865,0.042973,3.6912),(2365,1875,0.043612,3.6912),(2365,1885,0.044265,3.6912),(2365,1895,0.04494,3.6912),(2365,1905,0.045616,3.6912),(2365,1915,0.046292,3.6911),(2365,1925,0.046984,3.6911),(2365,1935,0.047698,3.6911),(2365,1945,0.048413,3.691),(2365,1955,0.049127,3.691),(2365,1965,0.04986,3.6909),(2365,1975,0.050615,3.6909),(2365,1985,0.05137,3.6908),(2365,1995,0.052124,3.6907),(2365,2005,0.0529,3.6906),(2365,2015,0.053696,3.6906),(2365,2025,0.054492,3.6905),(2365,2035,0.055289,3.6904),(2365,2045,0.056108,3.6902),(2365,2055,0.056947,3.6901),(2365,2065,0.057786,3.69),(2365,2075,0.058625,3.6899),(2365,2085,0.05949,3.6897),(2365,2095,0.060373,3.6896),(2365,2105,0.061257,3.6894),(2365,2115,0.06214,3.6893),(2365,2125,0.063051,3.6891),(2365,2135,0.06398,3.6889),(2365,2145,0.064909,3.6887),(2365,2155,0.065837,3.6885),(2365,2165,0.066796,3.6883),(2365,2175,0.067771,3.6881),(2365,2185,0.068746,3.6878),(2365,2195,0.06972,3.6876),(2365,2205,0.070728,3.6873),(2365,2215,0.071749,3.6871),(2365,2225,0.07277,3.6868),(2365,2235,0.073792,3.6865),(2365,2245,0.074848,3.6862),(2365,2255,0.075916,3.6859),(2365,2265,0.076985,3.6855),(2365,2275,0.078053,3.6852),(2365,2285,0.079158,3.6848),(2365,2295,0.080273,3.6844),(2365,2305,0.081389,3.684),(2365,2315,0.082504,3.6836),(2365,2325,0.083658,3.6832),(2365,2335,0.08482,3.6828),(2365,2345,0.085982,3.6823),(2365,2355,0.087144,3.6818),(2365,2365,0.088345,3.6813),(2365,2375,0.089553,3.6809),(2365,2385,0.090761,3.6803),(2365,2395,0.091968,3.6798),(2365,2405,0.093216,3.6792),(2365,2415,0.094468,3.6787),(2365,2425,0.09572,3.678),(2365,2435,0.096972,3.6774),(2365,2445,0.098264,3.6768),(2365,2455,0.099559,3.6762),(2365,2465,0.10085,3.6754),(2365,2475,0.10215,3.6747),(2365,2485,0.10348,3.674),(2365,2495,0.10482,3.6733),(2365,2505,0.10615,3.6725),(2365,2515,0.10749,3.6717),(2365,2525,0.10886,3.6709),(2365,2535,0.11023,3.6701),(2365,2545,0.1116,3.6692),(2365,2555,0.11298,3.6683),(2365,2565,0.11438,3.6674),(2365,2575,0.11579,3.6665),(2365,2585,0.11719,3.6655),(2365,2595,0.1186,3.6645),(2365,2605,0.12004,3.6636),(2365,2615,0.12147,3.6625),(2365,2625,0.1229,3.6614),(2365,2635,0.12434,3.6603),(2365,2645,0.1258,3.6592),(2365,2655,0.12726,3.6581),(2365,2665,0.12872,3.6569),(2365,2675,0.13018,3.6557),(2365,2685,0.13165,3.6545),(2365,2695,0.13313,3.6533),(2365,2705,0.13461,3.6519),(2365,2715,0.13608,3.6506),(2365,2725,0.13757,3.6493),(2365,2735,0.13906,3.6479),(2365,2745,0.14055,3.6465),(2365,2755,0.14204,3.645),(2365,2765,0.14353,3.6435),(2365,2775,0.14502,3.6421),(2365,2785,0.14651,3.6405),(2365,2795,0.148,3.6389),(2365,2805,0.14949,3.6373),(2365,2815,0.15098,3.6357),(2365,2825,0.15247,3.634),(2365,2835,0.15395,3.6323),(2365,2845,0.15543,3.6306),(2365,2855,0.1569,3.6288),(2365,2865,0.15838,3.627),(2365,2875,0.15985,3.6251),(2365,2885,0.1613,3.6233),(2365,2895,0.16275,3.6214),(2365,2905,0.16421,3.6194),(2365,2915,0.16565,3.6175),(2365,2925,0.16707,3.6155),(2365,2935,0.1685,3.6134),(2365,2945,0.16992,3.6113),(2365,2955,0.17132,3.6092),(2365,2965,0.1727,3.6071),(2365,2975,0.17409,3.6049),(2365,2985,0.17547,3.6027),(2365,2995,0.17682,3.6004),(2365,3005,0.17815,3.5982),(2365,3015,0.17948,3.5959),(2365,3025,0.18081,3.5935),(2365,3035,0.18211,3.5911),(2365,3045,0.18338,3.5887),(2365,3055,0.18464,3.5863),(2365,3065,0.18591,3.5838),(2365,3075,0.18714,3.5813),(2365,3085,0.18833,3.5788),(2365,3095,0.18952,3.5762),(2365,3105,0.19072,3.5735),(2365,3115,0.19186,3.5709),(2365,3125,0.19297,3.5683),(2365,3135,0.19408,3.5656),(2365,3145,0.19519,3.5628),(2365,3155,0.19624,3.56),(2365,3165,0.19726,3.5573),(2365,3175,0.19827,3.5544),(2365,3185,0.19929,3.5516),(2365,3195,0.20023,3.5487),(2365,3205,0.20114,3.5458),(2365,3215,0.20205,3.5429),(2365,3225,0.20296,3.5399),(2365,3235,0.20379,3.5369),(2365,3245,0.20459,3.5339),(2365,3255,0.20539,3.5309),(2365,3265,0.20618,3.5278),(2365,3275,0.20689,3.5247),(2365,3285,0.20756,3.5216),(2365,3295,0.20823,3.5185),(2365,3305,0.20891,3.5153),(2365,3315,0.20948,3.5121),(2365,3325,0.21002,3.509),(2365,3335,0.21056,3.5057),(2365,3345,0.2111,3.5025),(2365,3355,0.21153,3.4992),(2365,3365,0.21194,3.496),(2365,3375,0.21234,3.4927),(2365,3385,0.21274,3.4894),(2365,3395,0.21302,3.4861),(2365,3405,0.21328,3.4827),(2365,3415,0.21354,3.4794),(2365,3425,0.2138,3.476),(2365,3435,0.21392,3.4727),(2365,3445,0.21403,3.4693),(2365,3455,0.21414,3.4659),(2365,3465,0.21425,3.4625),(2365,3475,0.21422,3.4591),(2365,3485,0.21417,3.4557),(2365,3495,0.21413,3.4523),(2365,3505,0.21409,3.4488),(2365,3515,0.21389,3.4454),(2365,3525,0.21369,3.442),(2365,3535,0.21349,3.4385),(2365,3545,0.21329,3.4351),(2365,3555,0.21293,3.4317),(2365,3565,0.21258,3.4282),(2365,3575,0.21222,3.4248),(2365,3585,0.21186,3.4213),(2365,3595,0.21135,3.4179),(2365,3605,0.21083,3.4145),(2365,3615,0.21032,3.411),(2365,3625,0.20979,3.4076),(2365,3635,0.20912,3.4042),(2365,3645,0.20846,3.4008),(2365,3655,0.20779,3.3974),(2365,3665,0.2071,3.394),(2365,3675,0.20628,3.3906),(2365,3685,0.20546,3.3872),(2365,3695,0.20464,3.3839),(2365,3705,0.20379,3.3805),(2365,3715,0.20282,3.3772),(2365,3725,0.20186,3.3739),(2365,3735,0.20089,3.3706),(2365,3745,0.19989,3.3673),(2365,3755,0.19878,3.364),(2365,3765,0.19766,3.3607),(2365,3775,0.19655,3.3575),(2365,3785,0.1954,3.3543),(2365,3795,0.19415,3.3511),(2365,3805,0.1929,3.3479),(2365,3815,0.19166,3.3447),(2365,3825,0.19037,3.3416),(2365,3835,0.18899,3.3384),(2365,3845,0.18761,3.3353),(2365,3855,0.18623,3.3322),(2365,3865,0.18481,3.3292),(2365,3875,0.18331,3.3261),(2365,3885,0.1818,3.3231),(2365,3895,0.1803,3.3201),(2365,3905,0.20598,3.3172),(2365,3915,0.27225,3.3142),(2365,3925,0.33851,3.3097),(2365,3935,0.40478,3.303),(2365,3945,0.47402,3.2963),(2365,3955,0.54702,3.2895),(2365,3965,0.62002,3.281),(2365,3975,0.69302,3.2703),(2365,3985,0.73475,3.2597),(2365,3995,0.74262,3.249),(2365,4005,0.75048,3.2382),(2365,4015,0.75835,3.2272),(2365,4025,0.76747,3.2163),(2365,4035,0.7767,3.2052),(2365,4045,0.78593,3.194),(2365,4055,0.79529,3.1827),(2365,4065,0.8047,3.1714),(2365,4075,0.8141,3.1598),(2365,4085,0.8231,3.1482),(2365,4095,0.83176,3.1366),(2365,4105,0.84042,3.1247),(2365,4115,0.81788,3.1127),(2365,4125,0.74361,3.1007),(2365,4135,0.66934,3.0912),(2365,4145,0.59376,3.0823),(2365,4155,0.51287,3.0735),(2365,4165,0.43198,3.0668),(2365,4175,0.35593,3.0615),(2365,4185,0.5195,3.0562),(2365,4195,0.68307,3.0478),(2365,4205,0.84663,3.0351),(2365,4215,0.85419,3.0224),(2365,4225,0.83239,3.0098),(2365,4235,0.81058,2.9971),(2365,4245,0.7633,2.9845),(2365,4255,0.70308,2.972),(2365,4265,0.64287,2.9614),(2365,4275,0.54395,2.9507),(2365,4285,0.40396,2.9401),(2365,4295,0.26398,2.9363),(2365,4305,0.23183,2.9334),(2365,4315,0.44318,2.9304),(2365,4325,0.65454,2.9216),(2365,4335,0.84396,2.9105),(2365,4345,0.88493,2.8994),(2365,4355,0.92589,2.8873),(2365,4365,0.96686,2.8744),(2365,4375,0.97938,2.8615),(2365,4385,0.99042,2.8486),(2365,4395,1.0015,2.8357),(2365,4405,0.87989,2.8227),(2365,4415,0.71921,2.8109),(2365,4425,0.55852,2.8044),(2365,4435,0.49324,2.798),(2365,4445,0.49315,2.7915),(2365,4455,0.49306,2.7847),(2365,4465,0.57154,2.7779),(2365,4475,0.76042,2.7711),(2365,4485,0.94929,2.7585),(2365,4495,1.0961,2.7447),(2365,4505,1.1082,2.7309),(2365,4515,1.1202,2.7171),(2365,4525,1.1298,2.7032),(2365,4535,1.1015,2.6893),(2365,4545,1.0733,2.6761),(2365,4555,1.045,2.6635),(2365,4565,0.79326,2.651),(2365,4575,0.51138,2.6413),(2365,4585,0.22949,2.6384),(2365,4595,0.27538,2.6356),(2365,4605,0.45975,2.6316),(2365,4615,0.64412,2.6194),(2365,4625,0.78194,2.6072),(2365,4635,0.87761,2.595),(2365,4645,0.97327,2.5811),(2365,4655,1.0502,2.5672),(2365,4665,1.092,2.5533),(2365,4675,1.1337,2.5392),(2365,4685,1.1281,2.5251),(2365,4695,0.88843,2.511),(2365,4705,0.6488,2.5019),(2365,4715,0.40918,2.4965),(2365,4725,0.54537,2.4911),(2365,4735,0.68533,2.4843),(2365,4745,0.82529,2.4752),(2365,4755,0.9697,2.4662),(2365,4765,1.1151,2.4561),(2365,4775,1.2606,2.4426),(2365,4785,1.3199,2.4292),(2365,4795,1.3296,2.4157),(2365,4805,1.3392,2.4022),(2365,4815,1.2817,2.3888),(2365,4825,1.1438,2.3753),(2365,4835,1.006,2.3657),(2365,4845,0.86527,2.3567),(2365,4855,0.71712,2.3477),(2365,4865,0.56896,2.3415),(2365,4875,0.46691,2.3367),(2365,4885,0.78437,2.3319),(2365,4895,1.1018,2.3226),(2365,4905,1.4193,2.309),(2365,4915,1.4305,2.2955),(2365,4925,1.4154,2.2818),(2365,4935,1.4003,2.2678),(2365,4945,1.3182,2.2538),(2365,4955,1.2128,2.24),(2365,4965,1.1075,2.2269),(2365,4975,0.89148,2.2138),(2365,4985,0.59006,2.2007),(2365,4995,0.28865,2.1989),(2365,5005,0.23337,2.1974),(2365,5015,0.56938,2.196),(2365,5025,0.9054,2.1876),(2365,5035,1.1961,2.1774),(2365,5045,1.3139,2.1673),(2365,5055,1.4318,2.1556),(2365,5065,1.5464,2.143),(2365,5075,1.554,2.1304),(2365,5085,1.5617,2.118),(2365,5095,1.5693,2.1057),(2365,5105,1.3742,2.0934),(2365,5115,1.1437,2.0827),(2365,5125,0.91324,2.0762),(2365,5135,0.79965,2.0697),(2365,5145,0.74279,2.0633),(2365,5155,0.68594,2.0578),(2365,5165,0.81427,2.0522),(2365,5175,1.1315,2.0467),(2365,5185,1.4487,2.0345),(2365,5195,1.6679,2.0216),(2365,5205,1.6757,2.0087),(2365,5215,1.6836,1.996),(2365,5225,1.6824,1.9834),(2365,5235,1.6252,1.9709),(2365,5245,1.568,1.9593),(2365,5255,1.5108,1.9485),(2365,5265,1.0632,1.9377),(2365,5275,0.59945,1.9307),(2365,5285,0.13572,1.9302),(2365,5295,0.35695,1.9296),(2365,5305,0.76894,1.9264),(2365,5315,1.1809,1.9119),(2365,5325,1.4092,1.8975),(2365,5335,1.517,1.8831),(2365,5345,1.6248,1.8692),(2365,5355,1.6949,1.8554),(2365,5365,1.7141,1.8415),(2365,5375,1.7333,1.8283),(2365,5385,1.6482,1.8151),(2365,5395,1.2457,1.802),(2365,5405,0.84325,1.7952),(2365,5415,0.48428,1.7916),(2365,5425,0.70957,1.7881),(2365,5435,0.93486,1.7806),(2365,5445,1.1602,1.7687),(2365,5455,1.387,1.7569),(2365,5465,1.6141,1.7431),(2365,5475,1.8411,1.7248),(2365,5485,1.9157,1.7065),(2365,5495,1.9289,1.6882),(2365,5505,1.9421,1.6704),(2365,5515,1.9553,1.6527),(2365,5525,1.9684,1.6349),(2365,5535,1.9816,1.6176),(2365,5545,1.9944,1.6004),(2365,5555,2.0067,1.5831),(2365,5565,2.019,1.5663),(2365,5575,2.0311,1.5495),(2365,5585,2.0425,1.5328),(2365,5595,2.0539,1.5163),(2365,5605,2.0653,1.5001),(2365,5615,2.0759,1.4838),(2365,5625,2.0864,1.4677),(2365,5635,2.097,1.4518),(2365,5645,2.107,1.436),(2365,5655,2.1168,1.4202),(2365,5665,2.1266,1.4048),(2365,5675,2.1359,1.3894),(2365,5685,2.145,1.374),(2365,5695,2.1542,1.359),(2365,5705,2.163,1.3439),(2365,5715,2.1714,1.3289),(2365,5725,2.1799,1.3142),(2365,5735,2.1882,1.2995),(2365,5745,2.1961,1.2848),(2365,5755,2.204,1.2703),(2365,5765,2.2118,1.256),(2365,5775,2.2191,1.2417),(2365,5785,2.2264,1.2275),(2365,5795,2.2338,1.2134),(2365,5805,2.2406,1.1994),(2365,5815,2.2474,1.1855),(2365,5825,2.2543,1.1718),(2365,5835,2.2607,1.158),(2365,5845,2.2671,1.1443),(2365,5855,2.2734,1.1309),(2365,5865,2.2795,1.1174),(2365,5875,2.2855,1.104),(2365,5885,2.2914,1.0908),(2365,5895,2.2972,1.0776),(2365,5905,2.3027,1.0644),(2365,5915,2.3082,1.0514),(2365,5925,2.3136,1.0385),(2365,5935,2.3188,1.0256),(2365,5945,2.324,1.0128),(2365,5955,2.3291,1.0001),(2365,5965,2.334,0.98745),(2365,5975,2.339,0.97487),(2365,5985,2.3439,0.96242),(2365,5995,1.7924,0.94997),(2365,6005,1.1513,0.94046),(2365,6015,0.51028,0.93881),(2365,6025,0.57814,0.93715),(2365,6035,0.97479,0.93447),(2365,6045,1.3714,0.92186),(2365,6055,1.6515,0.90925),(2365,6065,1.8174,0.89664),(2365,6075,1.9832,0.88029),(2365,6085,2.0967,0.8636),(2365,6095,2.1021,0.8469),(2365,6105,2.1075,0.83015),(2365,6115,2.1128,0.81337),(2365,6125,2.1179,0.7966),(2365,6135,2.123,0.77986),(2365,6145,2.1281,0.76315),(2365,6155,2.1329,0.74644),(2365,6165,2.1376,0.7298),(2365,6175,2.1424,0.71326),(2365,6185,2.1468,0.69673),(2365,6195,2.1512,0.6802),(2365,6205,2.1556,0.66367),(2365,6215,2.1598,0.64714),(2365,6225,2.1639,0.63061),(2365,6235,2.168,0.61413),(2365,6245,2.1719,0.59765),(2365,6255,2.1756,0.58117),(2365,6265,2.1793,0.56472),(2365,6275,2.183,0.54829),(2365,6285,2.1863,0.53185),(2365,6295,2.1897,0.51544),(2365,6305,2.1931,0.49903),(2365,6315,2.1961,0.48263),(2365,6325,2.1991,0.46625),(2365,6335,2.2022,0.44987),(2365,6345,2.2049,0.4335),(2365,6355,2.2076,0.41714),(2365,6365,2.2102,0.40083),(2365,6375,2.2127,0.38451),(2365,6385,2.215,0.36821),(2365,6395,2.2173,0.35198),(2365,6405,2.2195,0.33575),(2365,6415,2.2215,0.31952),(2365,6425,2.2235,0.30332),(2365,6435,2.2254,0.28712),(2365,6445,2.2271,0.27092),(2365,6455,2.2288,0.2547),(2365,6465,2.2304,0.23847),(2365,6475,2.2318,0.22224),(2365,6485,2.2332,0.206),(2365,6495,2.2346,0.18976),(2365,6505,2.2356,0.17352),(2365,6515,2.2367,0.1573),(2365,6525,2.2377,0.14111),(2365,6535,2.2385,0.12492),(2365,6545,2.2393,0.10873),(2365,6555,2.24,0.092556),(2365,6565,2.2405,0.076379),(2365,6575,2.2409,0.060207),(2365,6585,2.2412,0.044103),(2365,6595,1.9064,0.028),(2365,6605,1.2015,0.011896),(2365,6615,0.49653,0.009998),(2365,6625,0.000971,0.009925),(2365,6635,0.000972,0.009852),(2365,6645,0.000973,0.009823),(2365,6655,0.000974,0.009812),(2365,6665,0.000974,0.009801),(2365,6675,0.000975,0.009789),(2365,6685,0.000976,0.009779),(2365,6695,0.000977,0.009768),(2365,6705,0.000978,0.009757),(2365,6715,0.000979,0.009746),(2365,6725,0.00098,0.009735),(2365,6735,0.000981,0.009725),(2365,6745,0.000981,0.009714),(2365,6755,0.000982,0.009703),(2365,6765,0.000983,0.009692),(2365,6775,0.000984,0.009682),(2365,6785,0.000984,0.009671),(2365,6795,0.000985,0.009661),(2365,6805,0.000986,0.00965),(2365,6815,0.000986,0.00964),(2365,6825,0.000987,0.00963),(2365,6835,0.000988,0.009619),(2365,6845,0.000988,0.009609),(2365,6855,0.000989,0.009599),(2365,6865,0.00099,0.009588),(2365,6875,0.00099,0.009578),(2365,6885,0.000991,0.009568),(2365,6895,0.000991,0.009558),(2365,6905,0.000992,0.009548),(2365,6915,0.000993,0.009538),(2365,6925,0.000993,0.009528),(2365,6935,0.000994,0.009518),(2365,6945,0.000994,0.009508),(2365,6955,0.000995,0.009497),(2365,6965,0.000995,0.009487),(2365,6975,0.000996,0.009477),(2365,6985,0.000996,0.009468),(2375,5,4.4e-05,3.6845),(2375,15,0.000132,3.6845),(2375,25,0.000219,3.6845),(2375,35,0.000307,3.6845),(2375,45,0.000395,3.6845),(2375,55,0.000483,3.6845),(2375,65,0.000571,3.6845),(2375,75,0.00066,3.6845),(2375,85,0.000748,3.6845),(2375,95,0.000836,3.6845),(2375,105,0.000925,3.6845),(2375,115,0.001014,3.6845),(2375,125,0.001103,3.6845),(2375,135,0.001192,3.6845),(2375,145,0.001281,3.6845),(2375,155,0.00137,3.6845),(2375,165,0.00146,3.6846),(2375,175,0.00155,3.6846),(2375,185,0.00164,3.6846),(2375,195,0.00173,3.6846),(2375,205,0.001821,3.6846),(2375,215,0.001911,3.6846),(2375,225,0.002002,3.6846),(2375,235,0.002094,3.6846),(2375,245,0.002185,3.6846),(2375,255,0.002277,3.6846),(2375,265,0.00237,3.6846),(2375,275,0.002463,3.6847),(2375,285,0.002556,3.6847),(2375,295,0.002649,3.6847),(2375,305,0.002743,3.6847),(2375,315,0.002838,3.6847),(2375,325,0.002933,3.6847),(2375,335,0.003028,3.6847),(2375,345,0.003125,3.6847),(2375,355,0.003221,3.6848),(2375,365,0.003318,3.6848),(2375,375,0.003415,3.6848),(2375,385,0.003514,3.6848),(2375,395,0.003613,3.6848),(2375,405,0.003712,3.6848),(2375,415,0.003811,3.6849),(2375,425,0.003912,3.6849),(2375,435,0.004014,3.6849),(2375,445,0.004115,3.6849),(2375,455,0.004217,3.6849),(2375,465,0.004321,3.685),(2375,475,0.004425,3.685),(2375,485,0.004529,3.685),(2375,495,0.004633,3.685),(2375,505,0.004741,3.685),(2375,515,0.004848,3.6851),(2375,525,0.004956,3.6851),(2375,535,0.005063,3.6851),(2375,545,0.005174,3.6851),(2375,555,0.005285,3.6852),(2375,565,0.005396,3.6852),(2375,575,0.005507,3.6852),(2375,585,0.005622,3.6852),(2375,595,0.005736,3.6853),(2375,605,0.005851,3.6853),(2375,615,0.005966,3.6853),(2375,625,0.006085,3.6854),(2375,635,0.006203,3.6854),(2375,645,0.006322,3.6854),(2375,655,0.006442,3.6854),(2375,665,0.006565,3.6855),(2375,675,0.006688,3.6855),(2375,685,0.006812,3.6855),(2375,695,0.006936,3.6856),(2375,705,0.007064,3.6856),(2375,715,0.007193,3.6856),(2375,725,0.007321,3.6857),(2375,735,0.007451,3.6857),(2375,745,0.007585,3.6857),(2375,755,0.007718,3.6858),(2375,765,0.007852,3.6858),(2375,775,0.007987,3.6859),(2375,785,0.008127,3.6859),(2375,795,0.008267,3.6859),(2375,805,0.008407,3.686),(2375,815,0.008548,3.686),(2375,825,0.008695,3.6861),(2375,835,0.008841,3.6861),(2375,845,0.008987,3.6861),(2375,855,0.009135,3.6862),(2375,865,0.009289,3.6862),(2375,875,0.009442,3.6863),(2375,885,0.009595,3.6863),(2375,895,0.009751,3.6864),(2375,905,0.009912,3.6864),(2375,915,0.010073,3.6865),(2375,925,0.010234,3.6865),(2375,935,0.010399,3.6866),(2375,945,0.010568,3.6866),(2375,955,0.010737,3.6867),(2375,965,0.010906,3.6867),(2375,975,0.011079,3.6868),(2375,985,0.011257,3.6868),(2375,995,0.011435,3.6869),(2375,1005,0.011613,3.6869),(2375,1015,0.011795,3.687),(2375,1025,0.011983,3.687),(2375,1035,0.01217,3.6871),(2375,1045,0.012358,3.6872),(2375,1055,0.012551,3.6872),(2375,1065,0.012749,3.6873),(2375,1075,0.012947,3.6873),(2375,1085,0.013145,3.6874),(2375,1095,0.013349,3.6874),(2375,1105,0.013558,3.6875),(2375,1115,0.013767,3.6876),(2375,1125,0.013976,3.6876),(2375,1135,0.014193,3.6877),(2375,1145,0.014414,3.6878),(2375,1155,0.014635,3.6878),(2375,1165,0.014856,3.6879),(2375,1175,0.015086,3.6879),(2375,1185,0.01532,3.688),(2375,1195,0.015553,3.6881),(2375,1205,0.015787,3.6881),(2375,1215,0.016031,3.6882),(2375,1225,0.016279,3.6883),(2375,1235,0.016526,3.6883),(2375,1245,0.016774,3.6884),(2375,1255,0.017033,3.6885),(2375,1265,0.017295,3.6885),(2375,1275,0.017558,3.6886),(2375,1285,0.01782,3.6887),(2375,1295,0.018095,3.6888),(2375,1305,0.018374,3.6888),(2375,1315,0.018652,3.6889),(2375,1325,0.01893,3.689),(2375,1335,0.019223,3.689),(2375,1345,0.019518,3.6891),(2375,1355,0.019813,3.6892),(2375,1365,0.020108,3.6893),(2375,1375,0.020419,3.6893),(2375,1385,0.020732,3.6894),(2375,1395,0.021046,3.6895),(2375,1405,0.021359,3.6895),(2375,1415,0.02169,3.6896),(2375,1425,0.022022,3.6897),(2375,1435,0.022355,3.6898),(2375,1445,0.022688,3.6898),(2375,1455,0.02304,3.6899),(2375,1465,0.023393,3.69),(2375,1475,0.023747,3.69),(2375,1485,0.0241,3.6901),(2375,1495,0.024475,3.6902),(2375,1505,0.02485,3.6903),(2375,1515,0.025225,3.6903),(2375,1525,0.025601,3.6904),(2375,1535,0.025999,3.6905),(2375,1545,0.026398,3.6905),(2375,1555,0.026796,3.6906),(2375,1565,0.027196,3.6907),(2375,1575,0.027619,3.6907),(2375,1585,0.028042,3.6908),(2375,1595,0.028465,3.6909),(2375,1605,0.028891,3.6909),(2375,1615,0.02934,3.691),(2375,1625,0.02979,3.691),(2375,1635,0.030239,3.6911),(2375,1645,0.030692,3.6912),(2375,1655,0.031169,3.6912),(2375,1665,0.031646,3.6913),(2375,1675,0.032124,3.6913),(2375,1685,0.032606,3.6914),(2375,1695,0.033112,3.6914),(2375,1705,0.033619,3.6915),(2375,1715,0.034125,3.6915),(2375,1725,0.034638,3.6916),(2375,1735,0.035175,3.6916),(2375,1745,0.035713,3.6916),(2375,1755,0.03625,3.6917),(2375,1765,0.036796,3.6917),(2375,1775,0.037366,3.6917),(2375,1785,0.037935,3.6918),(2375,1795,0.038505,3.6918),(2375,1805,0.039085,3.6918),(2375,1815,0.039689,3.6918),(2375,1825,0.040293,3.6919),(2375,1835,0.040897,3.6919),(2375,1845,0.041514,3.6919),(2375,1855,0.042154,3.6919),(2375,1865,0.042793,3.6919),(2375,1875,0.043433,3.6919),(2375,1885,0.044088,3.6919),(2375,1895,0.044765,3.6919),(2375,1905,0.045442,3.6919),(2375,1915,0.04612,3.6918),(2375,1925,0.046814,3.6918),(2375,1935,0.04753,3.6918),(2375,1945,0.048247,3.6917),(2375,1955,0.048963,3.6917),(2375,1965,0.049699,3.6917),(2375,1975,0.050456,3.6916),(2375,1985,0.051214,3.6916),(2375,1995,0.051971,3.6915),(2375,2005,0.05275,3.6914),(2375,2015,0.053549,3.6913),(2375,2025,0.054349,3.6913),(2375,2035,0.055149,3.6912),(2375,2045,0.055972,3.6911),(2375,2055,0.056815,3.691),(2375,2065,0.057658,3.6909),(2375,2075,0.058501,3.6907),(2375,2085,0.059371,3.6906),(2375,2095,0.060259,3.6905),(2375,2105,0.061147,3.6903),(2375,2115,0.062035,3.6902),(2375,2125,0.062951,3.69),(2375,2135,0.063886,3.6898),(2375,2145,0.06482,3.6897),(2375,2155,0.065754,3.6895),(2375,2165,0.066719,3.6893),(2375,2175,0.067701,3.6891),(2375,2185,0.068682,3.6888),(2375,2195,0.069663,3.6886),(2375,2205,0.070678,3.6883),(2375,2215,0.071707,3.6881),(2375,2225,0.072736,3.6878),(2375,2235,0.073765,3.6875),(2375,2245,0.074829,3.6872),(2375,2255,0.075906,3.6869),(2375,2265,0.076983,3.6866),(2375,2275,0.07806,3.6863),(2375,2285,0.079174,3.6859),(2375,2295,0.080299,3.6856),(2375,2305,0.081424,3.6852),(2375,2315,0.082549,3.6848),(2375,2325,0.083714,3.6844),(2375,2335,0.084886,3.684),(2375,2345,0.086059,3.6835),(2375,2355,0.087232,3.683),(2375,2365,0.088445,3.6826),(2375,2375,0.089665,3.6821),(2375,2385,0.090885,3.6816),(2375,2395,0.092105,3.681),(2375,2405,0.093365,3.6805),(2375,2415,0.094631,3.6799),(2375,2425,0.095896,3.6793),(2375,2435,0.097161,3.6787),(2375,2445,0.098468,3.6781),(2375,2455,0.099777,3.6775),(2375,2465,0.10109,3.6768),(2375,2475,0.1024,3.6761),(2375,2485,0.10375,3.6754),(2375,2495,0.1051,3.6747),(2375,2505,0.10645,3.6739),(2375,2515,0.1078,3.6731),(2375,2525,0.10919,3.6723),(2375,2535,0.11058,3.6715),(2375,2545,0.11197,3.6706),(2375,2555,0.11336,3.6697),(2375,2565,0.11478,3.6689),(2375,2575,0.1162,3.668),(2375,2585,0.11763,3.667),(2375,2595,0.11905,3.666),(2375,2605,0.12051,3.665),(2375,2615,0.12196,3.664),(2375,2625,0.12342,3.6629),(2375,2635,0.12488,3.6618),(2375,2645,0.12635,3.6607),(2375,2655,0.12783,3.6596),(2375,2665,0.12931,3.6584),(2375,2675,0.1308,3.6572),(2375,2685,0.13229,3.656),(2375,2695,0.13379,3.6548),(2375,2705,0.13529,3.6534),(2375,2715,0.13679,3.6521),(2375,2725,0.1383,3.6508),(2375,2735,0.13981,3.6494),(2375,2745,0.14132,3.648),(2375,2755,0.14284,3.6465),(2375,2765,0.14435,3.6451),(2375,2775,0.14587,3.6436),(2375,2785,0.14739,3.642),(2375,2795,0.1489,3.6404),(2375,2805,0.15041,3.6389),(2375,2815,0.15193,3.6372),(2375,2825,0.15344,3.6355),(2375,2835,0.15495,3.6338),(2375,2845,0.15645,3.6321),(2375,2855,0.15795,3.6303),(2375,2865,0.15946,3.6285),(2375,2875,0.16095,3.6266),(2375,2885,0.16243,3.6248),(2375,2895,0.16391,3.6229),(2375,2905,0.16539,3.6209),(2375,2915,0.16686,3.6189),(2375,2925,0.16831,3.6169),(2375,2935,0.16976,3.6149),(2375,2945,0.17121,3.6128),(2375,2955,0.17264,3.6107),(2375,2965,0.17405,3.6085),(2375,2975,0.17546,3.6064),(2375,2985,0.17686,3.6041),(2375,2995,0.17825,3.6018),(2375,3005,0.1796,3.5996),(2375,3015,0.18096,3.5972),(2375,3025,0.18232,3.5949),(2375,3035,0.18364,3.5925),(2375,3045,0.18493,3.5901),(2375,3055,0.18623,3.5876),(2375,3065,0.18752,3.5851),(2375,3075,0.18877,3.5825),(2375,3085,0.18999,3.58),(2375,3095,0.19121,3.5774),(2375,3105,0.19243,3.5747),(2375,3115,0.1936,3.5721),(2375,3125,0.19473,3.5694),(2375,3135,0.19587,3.5667),(2375,3145,0.197,3.5639),(2375,3155,0.19808,3.5611),(2375,3165,0.19912,3.5583),(2375,3175,0.20015,3.5555),(2375,3185,0.20119,3.5526),(2375,3195,0.20216,3.5497),(2375,3205,0.20309,3.5468),(2375,3215,0.20403,3.5438),(2375,3225,0.20496,3.5408),(2375,3235,0.20581,3.5378),(2375,3245,0.20663,3.5348),(2375,3255,0.20744,3.5317),(2375,3265,0.20826,3.5286),(2375,3275,0.20898,3.5254),(2375,3285,0.20968,3.5223),(2375,3295,0.21037,3.5191),(2375,3305,0.21106,3.5159),(2375,3315,0.21165,3.5127),(2375,3325,0.21221,3.5095),(2375,3335,0.21277,3.5063),(2375,3345,0.21333,3.503),(2375,3355,0.21377,3.4997),(2375,3365,0.21418,3.4964),(2375,3375,0.2146,3.4931),(2375,3385,0.21502,3.4897),(2375,3395,0.21531,3.4864),(2375,3405,0.21558,3.483),(2375,3415,0.21585,3.4796),(2375,3425,0.21613,3.4762),(2375,3435,0.21626,3.4728),(2375,3445,0.21638,3.4694),(2375,3455,0.2165,3.466),(2375,3465,0.21662,3.4625),(2375,3475,0.21659,3.4591),(2375,3485,0.21655,3.4557),(2375,3495,0.21651,3.4522),(2375,3505,0.21648,3.4487),(2375,3515,0.21628,3.4452),(2375,3525,0.21609,3.4418),(2375,3535,0.21589,3.4383),(2375,3545,0.21569,3.4348),(2375,3555,0.21534,3.4313),(2375,3565,0.21499,3.4279),(2375,3575,0.21463,3.4244),(2375,3585,0.21426,3.4209),(2375,3595,0.21375,3.4174),(2375,3605,0.21324,3.4139),(2375,3615,0.21273,3.4105),(2375,3625,0.21219,3.407),(2375,3635,0.21152,3.4036),(2375,3645,0.21085,3.4001),(2375,3655,0.21018,3.3967),(2375,3665,0.20948,3.3933),(2375,3675,0.20866,3.3898),(2375,3685,0.20783,3.3864),(2375,3695,0.20701,3.383),(2375,3705,0.20615,3.3796),(2375,3715,0.20517,3.3763),(2375,3725,0.2042,3.3729),(2375,3735,0.20322,3.3696),(2375,3745,0.20221,3.3662),(2375,3755,0.20109,3.3629),(2375,3765,0.19996,3.3596),(2375,3775,0.19884,3.3563),(2375,3785,0.19768,3.3531),(2375,3795,0.19642,3.3498),(2375,3805,0.19516,3.3466),(2375,3815,0.1939,3.3434),(2375,3825,0.19259,3.3402),(2375,3835,0.1912,3.337),(2375,3845,0.1898,3.3339),(2375,3855,0.18841,3.3308),(2375,3865,0.18697,3.3277),(2375,3875,0.18546,3.3246),(2375,3885,0.18394,3.3216),(2375,3895,0.18242,3.3186),(2375,3905,0.20835,3.3156),(2375,3915,0.27526,3.3126),(2375,3925,0.34217,3.308),(2375,3935,0.40908,3.3013),(2375,3945,0.47897,3.2945),(2375,3955,0.55263,3.2878),(2375,3965,0.62629,3.2792),(2375,3975,0.69995,3.2684),(2375,3985,0.74204,3.2576),(2375,3995,0.74994,3.2469),(2375,4005,0.75785,3.236),(2375,4015,0.76576,3.225),(2375,4025,0.77492,3.2139),(2375,4035,0.7842,3.2028),(2375,4045,0.79349,3.1915),(2375,4055,0.80291,3.1801),(2375,4065,0.81238,3.1687),(2375,4075,0.82185,3.1571),(2375,4085,0.83091,3.1454),(2375,4095,0.83965,3.1337),(2375,4105,0.84838,3.1217),(2375,4115,0.82565,3.1096),(2375,4125,0.75073,3.0975),(2375,4135,0.67582,3.088),(2375,4145,0.59958,3.079),(2375,4155,0.51794,3.0701),(2375,4165,0.43631,3.0634),(2375,4175,0.35956,3.058),(2375,4185,0.52468,3.0527),(2375,4195,0.6898,3.0441),(2375,4205,0.85492,3.0314),(2375,4215,0.8628,3.0186),(2375,4225,0.84107,3.0059),(2375,4235,0.81935,2.9931),(2375,4245,0.77184,2.9804),(2375,4255,0.71126,2.9678),(2375,4265,0.65067,2.9571),(2375,4275,0.55072,2.9463),(2375,4285,0.40901,2.9356),(2375,4295,0.2673,2.9318),(2375,4305,0.23444,2.9287),(2375,4315,0.44735,2.9257),(2375,4325,0.66026,2.9168),(2375,4335,0.85108,2.9055),(2375,4345,0.89241,2.8943),(2375,4355,0.93374,2.8821),(2375,4365,0.97508,2.8691),(2375,4375,0.98759,2.8562),(2375,4385,0.99861,2.8432),(2375,4395,1.0096,2.8302),(2375,4405,0.88706,2.8172),(2375,4415,0.72509,2.8054),(2375,4425,0.56313,2.7988),(2375,4435,0.49738,2.7923),(2375,4445,0.49738,2.7858),(2375,4455,0.49739,2.7789),(2375,4465,0.57647,2.7721),(2375,4475,0.76665,2.7652),(2375,4485,0.95683,2.7526),(2375,4495,1.1047,2.7388),(2375,4505,1.1167,2.725),(2375,4515,1.1287,2.7112),(2375,4525,1.1383,2.6974),(2375,4535,1.1097,2.6835),(2375,4545,1.0812,2.6703),(2375,4555,1.0526,2.6578),(2375,4565,0.79931,2.6454),(2375,4575,0.51572,2.6357),(2375,4585,0.23214,2.6328),(2375,4595,0.27894,2.63),(2375,4605,0.46534,2.6261),(2375,4615,0.65174,2.6138),(2375,4625,0.79058,2.6015),(2375,4635,0.88634,2.5893),(2375,4645,0.98211,2.5753),(2375,4655,1.0591,2.5613),(2375,4665,1.1007,2.5473),(2375,4675,1.1423,2.5331),(2375,4685,1.1363,2.5188),(2375,4695,0.89505,2.5045),(2375,4705,0.65382,2.4953),(2375,4715,0.41258,2.4898),(2375,4725,0.54926,2.4843),(2375,4735,0.68972,2.4773),(2375,4745,0.83018,2.4682),(2375,4755,0.97525,2.459),(2375,4765,1.1214,2.4489),(2375,4775,1.2675,2.4354),(2375,4785,1.3271,2.4218),(2375,4795,1.3367,2.4083),(2375,4805,1.3463,2.3948),(2375,4815,1.2884,2.3814),(2375,4825,1.1498,2.3679),(2375,4835,1.0113,2.3583),(2375,4845,0.86985,2.3493),(2375,4855,0.72107,2.3402),(2375,4865,0.57228,2.3341),(2375,4875,0.46979,2.3292),(2375,4885,0.78851,2.3243),(2375,4895,1.1072,2.315),(2375,4905,1.426,2.3014),(2375,4915,1.4374,2.2878),(2375,4925,1.4225,2.2741),(2375,4935,1.4076,2.2601),(2375,4945,1.3257,2.2462),(2375,4955,1.2205,2.2323),(2375,4965,1.1154,2.2191),(2375,4975,0.89821,2.206),(2375,4985,0.59459,2.1928),(2375,4995,0.29097,2.1911),(2375,5005,0.23478,2.1896),(2375,5015,0.57197,2.1881),(2375,5025,0.90915,2.1797),(2375,5035,1.2008,2.1696),(2375,5045,1.3189,2.1595),(2375,5055,1.437,2.1478),(2375,5065,1.5518,2.1352),(2375,5075,1.5593,2.1226),(2375,5085,1.5668,2.1102),(2375,5095,1.5743,2.0979),(2375,5105,1.3785,2.0856),(2375,5115,1.1473,2.0748),(2375,5125,0.91608,2.0684),(2375,5135,0.80222,2.0619),(2375,5145,0.74533,2.0555),(2375,5155,0.68843,2.0499),(2375,5165,0.81717,2.0444),(2375,5175,1.1352,2.0388),(2375,5185,1.4533,2.0267),(2375,5195,1.673,2.0138),(2375,5205,1.6807,2.0009),(2375,5215,1.6884,1.9883),(2375,5225,1.6871,1.9757),(2375,5235,1.6296,1.9631),(2375,5245,1.5721,1.9515),(2375,5255,1.5146,1.9408),(2375,5265,1.066,1.93),(2375,5275,0.60114,1.923),(2375,5285,0.13633,1.9225),(2375,5295,0.35921,1.9219),(2375,5305,0.77359,1.9187),(2375,5315,1.188,1.9042),(2375,5325,1.4168,1.8897),(2375,5335,1.524,1.8752),(2375,5345,1.6311,1.8614),(2375,5355,1.7007,1.8476),(2375,5365,1.7196,1.8337),(2375,5375,1.7386,1.8205),(2375,5385,1.6529,1.8074),(2375,5395,1.2493,1.7942),(2375,5405,0.84568,1.7874),(2375,5415,0.48575,1.7839),(2375,5425,0.71259,1.7803),(2375,5435,0.93943,1.7728),(2375,5445,1.1663,1.761),(2375,5455,1.3942,1.7493),(2375,5465,1.6222,1.7355),(2375,5475,1.8502,1.7173),(2375,5485,1.9249,1.6991),(2375,5495,1.9379,1.6809),(2375,5505,1.9509,1.6632),(2375,5515,1.9638,1.6455),(2375,5525,1.9768,1.6278),(2375,5535,1.9897,1.6107),(2375,5545,2.0024,1.5935),(2375,5555,2.0144,1.5763),(2375,5565,2.0265,1.5595),(2375,5575,2.0385,1.5429),(2375,5585,2.0497,1.5262),(2375,5595,2.0609,1.5098),(2375,5605,2.0721,1.4936),(2375,5615,2.0825,1.4774),(2375,5625,2.0929,1.4614),(2375,5635,2.1033,1.4456),(2375,5645,2.113,1.4299),(2375,5655,2.1227,1.4142),(2375,5665,2.1323,1.3989),(2375,5675,2.1415,1.3835),(2375,5685,2.1505,1.3682),(2375,5695,2.1594,1.3532),(2375,5705,2.1681,1.3383),(2375,5715,2.1764,1.3233),(2375,5725,2.1847,1.3087),(2375,5735,2.1929,1.2941),(2375,5745,2.2006,1.2795),(2375,5755,2.2084,1.2651),(2375,5765,2.216,1.2508),(2375,5775,2.2232,1.2366),(2375,5785,2.2304,1.2224),(2375,5795,2.2376,1.2085),(2375,5805,2.2444,1.1945),(2375,5815,2.2511,1.1807),(2375,5825,2.2578,1.167),(2375,5835,2.2642,1.1534),(2375,5845,2.2704,1.1397),(2375,5855,2.2766,1.1264),(2375,5865,2.2826,1.113),(2375,5875,2.2885,1.0996),(2375,5885,2.2943,1.0865),(2375,5895,2.2999,1.0734),(2375,5905,2.3053,1.0602),(2375,5915,2.3108,1.0474),(2375,5925,2.3161,1.0345),(2375,5935,2.3212,1.0217),(2375,5945,2.3262,1.009),(2375,5955,2.3313,0.99635),(2375,5965,2.3361,0.98374),(2375,5975,2.341,0.97123),(2375,5985,2.3458,0.95886),(2375,5995,1.7939,0.94648),(2375,6005,1.1523,0.93703),(2375,6015,0.51072,0.93538),(2375,6025,0.57962,0.93374),(2375,6035,0.97803,0.93106),(2375,6045,1.3764,0.91849),(2375,6055,1.6577,0.90592),(2375,6065,1.8241,0.89335),(2375,6075,1.9905,0.87705),(2375,6085,2.1043,0.86041),(2375,6095,2.1097,0.84377),(2375,6105,2.1151,0.82706),(2375,6115,2.1204,0.81034),(2375,6125,2.1254,0.79362),(2375,6135,2.1305,0.77693),(2375,6145,2.1356,0.76028),(2375,6155,2.1403,0.74362),(2375,6165,2.145,0.72703),(2375,6175,2.1497,0.71055),(2375,6185,2.1542,0.69407),(2375,6195,2.1585,0.67759),(2375,6205,2.1629,0.66112),(2375,6215,2.1671,0.64465),(2375,6225,2.1711,0.62818),(2375,6235,2.1751,0.61177),(2375,6245,2.179,0.59535),(2375,6255,2.1827,0.57893),(2375,6265,2.1864,0.56255),(2375,6275,2.19,0.54617),(2375,6285,2.1934,0.52979),(2375,6295,2.1968,0.51344),(2375,6305,2.2001,0.4971),(2375,6315,2.2031,0.48076),(2375,6325,2.2061,0.46443),(2375,6335,2.2091,0.44811),(2375,6345,2.2118,0.43179),(2375,6355,2.2145,0.41549),(2375,6365,2.2172,0.39923),(2375,6375,2.2196,0.38297),(2375,6385,2.2219,0.36673),(2375,6395,2.2242,0.35056),(2375,6405,2.2263,0.33439),(2375,6415,2.2283,0.31822),(2375,6425,2.2303,0.30209),(2375,6435,2.2322,0.28596),(2375,6445,2.2338,0.26983),(2375,6455,2.2355,0.25367),(2375,6465,2.2371,0.23751),(2375,6475,2.2385,0.22136),(2375,6485,2.2399,0.20519),(2375,6495,2.2412,0.18902),(2375,6505,2.2423,0.17286),(2375,6515,2.2433,0.15671),(2375,6525,2.2444,0.14058),(2375,6535,2.2452,0.12445),(2375,6545,2.2459,0.10833),(2375,6555,2.2466,0.092217),(2375,6565,2.2471,0.076104),(2375,6575,2.2475,0.059995),(2375,6585,2.2478,0.043956),(2375,6595,1.912,0.027916),(2375,6605,1.205,0.011877),(2375,6615,0.49799,0.00999),(2375,6625,0.000978,0.009921),(2375,6635,0.000978,0.009852),(2375,6645,0.000979,0.009824),(2375,6655,0.00098,0.009813),(2375,6665,0.000981,0.009801),(2375,6675,0.000982,0.00979),(2375,6685,0.000983,0.009779),(2375,6695,0.000984,0.009768),(2375,6705,0.000985,0.009758),(2375,6715,0.000985,0.009747),(2375,6725,0.000986,0.009736),(2375,6735,0.000987,0.009725),(2375,6745,0.000988,0.009715),(2375,6755,0.000988,0.009704),(2375,6765,0.000989,0.009693),(2375,6775,0.00099,0.009683),(2375,6785,0.000991,0.009672),(2375,6795,0.000991,0.009661),(2375,6805,0.000992,0.009651),(2375,6815,0.000993,0.009641),(2375,6825,0.000993,0.00963),(2375,6835,0.000994,0.00962),(2375,6845,0.000994,0.00961),(2375,6855,0.000995,0.009599),(2375,6865,0.000996,0.009589),(2375,6875,0.000996,0.009579),(2375,6885,0.000997,0.009569),(2375,6895,0.000997,0.009558),(2375,6905,0.000998,0.009548),(2375,6915,0.000998,0.009538),(2375,6925,0.000999,0.009528),(2375,6935,0.001,0.009518),(2375,6945,0.001,0.009508),(2375,6955,0.001001,0.009498),(2375,6965,0.001001,0.009488),(2375,6975,0.001002,0.009478),(2375,6985,0.001002,0.009468),(2385,5,4.3e-05,3.6846),(2385,15,0.00013,3.6846),(2385,25,0.000217,3.6846),(2385,35,0.000305,3.6846),(2385,45,0.000392,3.6846),(2385,55,0.000479,3.6846),(2385,65,0.000566,3.6846),(2385,75,0.000654,3.6846),(2385,85,0.000741,3.6846),(2385,95,0.000829,3.6846),(2385,105,0.000917,3.6846),(2385,115,0.001004,3.6846),(2385,125,0.001092,3.6846),(2385,135,0.001181,3.6846),(2385,145,0.001269,3.6846),(2385,155,0.001358,3.6846),(2385,165,0.001447,3.6846),(2385,175,0.001535,3.6847),(2385,185,0.001625,3.6847),(2385,195,0.001714,3.6847),(2385,205,0.001804,3.6847),(2385,215,0.001894,3.6847),(2385,225,0.001984,3.6847),(2385,235,0.002075,3.6847),(2385,245,0.002165,3.6847),(2385,255,0.002256,3.6847),(2385,265,0.002348,3.6847),(2385,275,0.00244,3.6847),(2385,285,0.002532,3.6848),(2385,295,0.002625,3.6848),(2385,305,0.002718,3.6848),(2385,315,0.002812,3.6848),(2385,325,0.002906,3.6848),(2385,335,0.003,3.6848),(2385,345,0.003095,3.6848),(2385,355,0.003191,3.6849),(2385,365,0.003287,3.6849),(2385,375,0.003383,3.6849),(2385,385,0.003481,3.6849),(2385,395,0.003579,3.6849),(2385,405,0.003677,3.6849),(2385,415,0.003775,3.685),(2385,425,0.003876,3.685),(2385,435,0.003976,3.685),(2385,445,0.004077,3.685),(2385,455,0.004177,3.685),(2385,465,0.00428,3.6851),(2385,475,0.004384,3.6851),(2385,485,0.004487,3.6851),(2385,495,0.00459,3.6851),(2385,505,0.004696,3.6851),(2385,515,0.004803,3.6852),(2385,525,0.004909,3.6852),(2385,535,0.005016,3.6852),(2385,545,0.005125,3.6852),(2385,555,0.005235,3.6853),(2385,565,0.005345,3.6853),(2385,575,0.005455,3.6853),(2385,585,0.005569,3.6854),(2385,595,0.005682,3.6854),(2385,605,0.005796,3.6854),(2385,615,0.00591,3.6854),(2385,625,0.006027,3.6855),(2385,635,0.006145,3.6855),(2385,645,0.006263,3.6855),(2385,655,0.006381,3.6856),(2385,665,0.006503,3.6856),(2385,675,0.006625,3.6856),(2385,685,0.006748,3.6857),(2385,695,0.006871,3.6857),(2385,705,0.006998,3.6857),(2385,715,0.007125,3.6858),(2385,725,0.007252,3.6858),(2385,735,0.00738,3.6858),(2385,745,0.007513,3.6859),(2385,755,0.007646,3.6859),(2385,765,0.007778,3.686),(2385,775,0.007912,3.686),(2385,785,0.008051,3.686),(2385,795,0.008189,3.6861),(2385,805,0.008328,3.6861),(2385,815,0.008468,3.6862),(2385,825,0.008613,3.6862),(2385,835,0.008758,3.6863),(2385,845,0.008903,3.6863),(2385,855,0.00905,3.6863),(2385,865,0.009202,3.6864),(2385,875,0.009354,3.6864),(2385,885,0.009505,3.6865),(2385,895,0.00966,3.6865),(2385,905,0.00982,3.6866),(2385,915,0.009979,3.6866),(2385,925,0.010139,3.6867),(2385,935,0.010302,3.6867),(2385,945,0.01047,3.6868),(2385,955,0.010637,3.6868),(2385,965,0.010805,3.6869),(2385,975,0.010977,3.6869),(2385,985,0.011153,3.687),(2385,995,0.011329,3.6871),(2385,1005,0.011506,3.6871),(2385,1015,0.011687,3.6872),(2385,1025,0.011873,3.6872),(2385,1035,0.012059,3.6873),(2385,1045,0.012245,3.6873),(2385,1055,0.012437,3.6874),(2385,1065,0.012633,3.6875),(2385,1075,0.01283,3.6875),(2385,1085,0.013026,3.6876),(2385,1095,0.013229,3.6876),(2385,1105,0.013436,3.6877),(2385,1115,0.013644,3.6878),(2385,1125,0.013852,3.6878),(2385,1135,0.014067,3.6879),(2385,1145,0.014286,3.688),(2385,1155,0.014506,3.688),(2385,1165,0.014725,3.6881),(2385,1175,0.014953,3.6882),(2385,1185,0.015186,3.6882),(2385,1195,0.015418,3.6883),(2385,1205,0.01565,3.6884),(2385,1215,0.015892,3.6885),(2385,1225,0.016138,3.6885),(2385,1235,0.016385,3.6886),(2385,1245,0.016631,3.6887),(2385,1255,0.016888,3.6887),(2385,1265,0.017149,3.6888),(2385,1275,0.01741,3.6889),(2385,1285,0.017671,3.689),(2385,1295,0.017944,3.689),(2385,1305,0.018221,3.6891),(2385,1315,0.018498,3.6892),(2385,1325,0.018775,3.6893),(2385,1335,0.019066,3.6893),(2385,1345,0.019359,3.6894),(2385,1355,0.019653,3.6895),(2385,1365,0.019947,3.6896),(2385,1375,0.020256,3.6896),(2385,1385,0.020568,3.6897),(2385,1395,0.02088,3.6898),(2385,1405,0.021192,3.6899),(2385,1415,0.021521,3.6899),(2385,1425,0.021853,3.69),(2385,1435,0.022184,3.6901),(2385,1445,0.022515,3.6902),(2385,1455,0.022866,3.6902),(2385,1465,0.023218,3.6903),(2385,1475,0.02357,3.6904),(2385,1485,0.023922,3.6905),(2385,1495,0.024296,3.6906),(2385,1505,0.02467,3.6906),(2385,1515,0.025044,3.6907),(2385,1525,0.025419,3.6908),(2385,1535,0.025816,3.6909),(2385,1545,0.026213,3.6909),(2385,1555,0.026611,3.691),(2385,1565,0.027009,3.6911),(2385,1575,0.027432,3.6911),(2385,1585,0.027854,3.6912),(2385,1595,0.028276,3.6913),(2385,1605,0.028701,3.6914),(2385,1615,0.029149,3.6914),(2385,1625,0.029598,3.6915),(2385,1635,0.030046,3.6916),(2385,1645,0.030499,3.6916),(2385,1655,0.030976,3.6917),(2385,1665,0.031452,3.6917),(2385,1675,0.031929,3.6918),(2385,1685,0.032411,3.6919),(2385,1695,0.032917,3.6919),(2385,1705,0.033423,3.692),(2385,1715,0.033929,3.692),(2385,1725,0.034442,3.6921),(2385,1735,0.034979,3.6921),(2385,1745,0.035516,3.6922),(2385,1755,0.036053,3.6922),(2385,1765,0.036599,3.6923),(2385,1775,0.037169,3.6923),(2385,1785,0.037739,3.6923),(2385,1795,0.03831,3.6924),(2385,1805,0.03889,3.6924),(2385,1815,0.039495,3.6924),(2385,1825,0.040099,3.6925),(2385,1835,0.040704,3.6925),(2385,1845,0.041321,3.6925),(2385,1855,0.041962,3.6925),(2385,1865,0.042603,3.6925),(2385,1875,0.043244,3.6925),(2385,1885,0.043899,3.6925),(2385,1895,0.044578,3.6925),(2385,1905,0.045257,3.6925),(2385,1915,0.045936,3.6925),(2385,1925,0.046632,3.6925),(2385,1935,0.04735,3.6925),(2385,1945,0.048069,3.6925),(2385,1955,0.048787,3.6924),(2385,1965,0.049525,3.6924),(2385,1975,0.050285,3.6924),(2385,1985,0.051045,3.6923),(2385,1995,0.051805,3.6923),(2385,2005,0.052587,3.6922),(2385,2015,0.05339,3.6921),(2385,2025,0.054193,3.6921),(2385,2035,0.054996,3.692),(2385,2045,0.055822,3.6919),(2385,2055,0.05667,3.6918),(2385,2065,0.057517,3.6917),(2385,2075,0.058364,3.6916),(2385,2085,0.059237,3.6915),(2385,2095,0.06013,3.6914),(2385,2105,0.061023,3.6912),(2385,2115,0.061916,3.6911),(2385,2125,0.062838,3.6909),(2385,2135,0.063777,3.6908),(2385,2145,0.064717,3.6906),(2385,2155,0.065657,3.6904),(2385,2165,0.066628,3.6902),(2385,2175,0.067616,3.69),(2385,2185,0.068604,3.6898),(2385,2195,0.069592,3.6896),(2385,2205,0.070613,3.6894),(2385,2215,0.07165,3.6891),(2385,2225,0.072686,3.6889),(2385,2235,0.073723,3.6886),(2385,2245,0.074795,3.6883),(2385,2255,0.075881,3.688),(2385,2265,0.076966,3.6877),(2385,2275,0.078051,3.6874),(2385,2285,0.079175,3.687),(2385,2295,0.08031,3.6867),(2385,2305,0.081445,3.6863),(2385,2315,0.082579,3.6859),(2385,2325,0.083754,3.6855),(2385,2335,0.084938,3.6851),(2385,2345,0.086122,3.6847),(2385,2355,0.087305,3.6842),(2385,2365,0.08853,3.6838),(2385,2375,0.089762,3.6833),(2385,2385,0.090994,3.6828),(2385,2395,0.092226,3.6823),(2385,2405,0.0935,3.6817),(2385,2415,0.094779,3.6812),(2385,2425,0.096057,3.6806),(2385,2435,0.097336,3.68),(2385,2445,0.098657,3.6794),(2385,2455,0.099981,3.6788),(2385,2465,0.10131,3.6781),(2385,2475,0.10263,3.6774),(2385,2485,0.10399,3.6767),(2385,2495,0.10536,3.676),(2385,2505,0.10673,3.6753),(2385,2515,0.1081,3.6745),(2385,2525,0.1095,3.6737),(2385,2535,0.11091,3.6729),(2385,2545,0.11232,3.672),(2385,2555,0.11372,3.6712),(2385,2565,0.11517,3.6703),(2385,2575,0.11661,3.6694),(2385,2585,0.11805,3.6684),(2385,2595,0.1195,3.6675),(2385,2605,0.12097,3.6665),(2385,2615,0.12245,3.6655),(2385,2625,0.12392,3.6644),(2385,2635,0.1254,3.6633),(2385,2645,0.1269,3.6622),(2385,2655,0.1284,3.6611),(2385,2665,0.1299,3.6599),(2385,2675,0.13141,3.6587),(2385,2685,0.13293,3.6575),(2385,2695,0.13445,3.6563),(2385,2705,0.13597,3.655),(2385,2715,0.13749,3.6536),(2385,2725,0.13903,3.6523),(2385,2735,0.14056,3.651),(2385,2745,0.1421,3.6495),(2385,2755,0.14364,3.6481),(2385,2765,0.14518,3.6466),(2385,2775,0.14672,3.6451),(2385,2785,0.14826,3.6435),(2385,2795,0.1498,3.642),(2385,2805,0.15134,3.6404),(2385,2815,0.15288,3.6388),(2385,2825,0.15442,3.637),(2385,2835,0.15595,3.6353),(2385,2845,0.15748,3.6336),(2385,2855,0.15901,3.6319),(2385,2865,0.16054,3.63),(2385,2875,0.16206,3.6282),(2385,2885,0.16357,3.6263),(2385,2895,0.16507,3.6244),(2385,2905,0.16658,3.6224),(2385,2915,0.16808,3.6204),(2385,2925,0.16955,3.6184),(2385,2935,0.17103,3.6164),(2385,2945,0.17251,3.6142),(2385,2955,0.17397,3.6121),(2385,2965,0.1754,3.61),(2385,2975,0.17684,3.6078),(2385,2985,0.17828,3.6055),(2385,2995,0.17969,3.6032),(2385,3005,0.18107,3.601),(2385,3015,0.18245,3.5986),(2385,3025,0.18384,3.5962),(2385,3035,0.18519,3.5938),(2385,3045,0.18651,3.5914),(2385,3055,0.18783,3.5889),(2385,3065,0.18915,3.5863),(2385,3075,0.19043,3.5838),(2385,3085,0.19167,3.5812),(2385,3095,0.19292,3.5786),(2385,3105,0.19417,3.5759),(2385,3115,0.19536,3.5733),(2385,3125,0.19652,3.5706),(2385,3135,0.19768,3.5678),(2385,3145,0.19884,3.565),(2385,3155,0.19994,3.5622),(2385,3165,0.201,3.5594),(2385,3175,0.20207,3.5565),(2385,3185,0.20313,3.5536),(2385,3195,0.20412,3.5507),(2385,3205,0.20508,3.5477),(2385,3215,0.20603,3.5447),(2385,3225,0.20699,3.5417),(2385,3235,0.20786,3.5386),(2385,3245,0.2087,3.5356),(2385,3255,0.20954,3.5325),(2385,3265,0.21038,3.5293),(2385,3275,0.21112,3.5262),(2385,3285,0.21183,3.523),(2385,3295,0.21254,3.5198),(2385,3305,0.21325,3.5166),(2385,3315,0.21386,3.5133),(2385,3325,0.21443,3.5101),(2385,3335,0.21501,3.5068),(2385,3345,0.21559,3.5035),(2385,3355,0.21604,3.5002),(2385,3365,0.21648,3.4969),(2385,3375,0.21691,3.4935),(2385,3385,0.21734,3.4901),(2385,3395,0.21764,3.4867),(2385,3405,0.21793,3.4833),(2385,3415,0.21821,3.4799),(2385,3425,0.2185,3.4764),(2385,3435,0.21864,3.473),(2385,3445,0.21876,3.4695),(2385,3455,0.21889,3.4661),(2385,3465,0.21902,3.4626),(2385,3475,0.219,3.4591),(2385,3485,0.21897,3.4556),(2385,3495,0.21894,3.4521),(2385,3505,0.21891,3.4486),(2385,3515,0.21872,3.4451),(2385,3525,0.21853,3.4416),(2385,3535,0.21834,3.4381),(2385,3545,0.21814,3.4345),(2385,3555,0.21779,3.431),(2385,3565,0.21744,3.4275),(2385,3575,0.21708,3.424),(2385,3585,0.21672,3.4205),(2385,3595,0.2162,3.4169),(2385,3605,0.21569,3.4134),(2385,3615,0.21517,3.4099),(2385,3625,0.21464,3.4064),(2385,3635,0.21396,3.4029),(2385,3645,0.21329,3.3994),(2385,3655,0.21261,3.396),(2385,3665,0.21191,3.3925),(2385,3675,0.21108,3.389),(2385,3685,0.21025,3.3856),(2385,3695,0.20941,3.3821),(2385,3705,0.20855,3.3787),(2385,3715,0.20757,3.3753),(2385,3725,0.20658,3.3719),(2385,3735,0.20559,3.3685),(2385,3745,0.20457,3.3652),(2385,3755,0.20344,3.3618),(2385,3765,0.2023,3.3584),(2385,3775,0.20117,3.3552),(2385,3785,0.2,3.3519),(2385,3795,0.19872,3.3486),(2385,3805,0.19745,3.3453),(2385,3815,0.19617,3.3421),(2385,3825,0.19485,3.3389),(2385,3835,0.19344,3.3357),(2385,3845,0.19204,3.3325),(2385,3855,0.19063,3.3294),(2385,3865,0.18917,3.3262),(2385,3875,0.18764,3.3231),(2385,3885,0.18611,3.32),(2385,3895,0.18457,3.317),(2385,3905,0.21075,3.314),(2385,3915,0.27831,3.311),(2385,3925,0.34586,3.3064),(2385,3935,0.41342,3.2996),(2385,3945,0.48397,3.2928),(2385,3955,0.5583,3.286),(2385,3965,0.63263,3.2773),(2385,3975,0.70696,3.2665),(2385,3985,0.74941,3.2556),(2385,3995,0.75736,3.2448),(2385,4005,0.7653,3.2338),(2385,4015,0.77325,3.2227),(2385,4025,0.78246,3.2116),(2385,4035,0.7918,3.2004),(2385,4045,0.80113,3.189),(2385,4055,0.81061,3.1775),(2385,4065,0.82014,3.1661),(2385,4075,0.82967,3.1543),(2385,4085,0.83881,3.1426),(2385,4095,0.84762,3.1308),(2385,4105,0.85643,3.1187),(2385,4115,0.8335,3.1065),(2385,4125,0.75794,3.0944),(2385,4135,0.68238,3.0847),(2385,4145,0.60547,3.0758),(2385,4155,0.52309,3.0668),(2385,4165,0.44071,3.06),(2385,4175,0.36327,3.0545),(2385,4185,0.52995,3.0491),(2385,4195,0.69663,3.0405),(2385,4205,0.86331,3.0277),(2385,4215,0.8715,3.0148),(2385,4225,0.84985,3.002),(2385,4235,0.82821,2.9892),(2385,4245,0.78049,2.9763),(2385,4255,0.71954,2.9636),(2385,4265,0.65859,2.9528),(2385,4275,0.55761,2.9419),(2385,4285,0.41415,2.9311),(2385,4295,0.2707,2.9272),(2385,4305,0.23711,2.9241),(2385,4315,0.45162,2.921),(2385,4325,0.66612,2.912),(2385,4335,0.85838,2.9006),(2385,4345,0.90004,2.8891),(2385,4355,0.94169,2.8769),(2385,4365,0.98335,2.8639),(2385,4375,0.99585,2.8509),(2385,4385,1.0068,2.8378),(2385,4395,1.0178,2.8248),(2385,4405,0.89427,2.8117),(2385,4415,0.73102,2.7998),(2385,4425,0.56778,2.7932),(2385,4435,0.50158,2.7867),(2385,4445,0.50168,2.7801),(2385,4455,0.50178,2.7732),(2385,4465,0.58146,2.7663),(2385,4475,0.77291,2.7593),(2385,4485,0.96437,2.7467),(2385,4495,1.1132,2.7329),(2385,4505,1.1251,2.7191),(2385,4515,1.1371,2.7053),(2385,4525,1.1466,2.6915),(2385,4535,1.1178,2.6777),(2385,4545,1.089,2.6646),(2385,4555,1.0601,2.6521),(2385,4565,0.8053,2.6397),(2385,4575,0.52003,2.6301),(2385,4585,0.23475,2.6272),(2385,4595,0.28249,2.6244),(2385,4605,0.47093,2.6205),(2385,4615,0.65937,2.6082),(2385,4625,0.79925,2.5959),(2385,4635,0.89514,2.5836),(2385,4645,0.99102,2.5696),(2385,4655,1.0681,2.5554),(2385,4665,1.1096,2.5413),(2385,4675,1.1511,2.527),(2385,4685,1.1447,2.5125),(2385,4695,0.90185,2.4981),(2385,4705,0.659,2.4888),(2385,4715,0.41615,2.4831),(2385,4725,0.55329,2.4775),(2385,4735,0.69424,2.4704),(2385,4745,0.83519,2.4612),(2385,4755,0.98092,2.4519),(2385,4765,1.1277,2.4417),(2385,4775,1.2746,2.4281),(2385,4785,1.3344,2.4145),(2385,4795,1.3439,2.4009),(2385,4805,1.3534,2.3875),(2385,4815,1.2952,2.374),(2385,4825,1.1559,2.3605),(2385,4835,1.0166,2.3508),(2385,4845,0.87444,2.3418),(2385,4855,0.72504,2.3328),(2385,4865,0.57564,2.3266),(2385,4875,0.47271,2.3217),(2385,4885,0.79269,2.3168),(2385,4895,1.1127,2.3074),(2385,4905,1.4327,2.2938),(2385,4915,1.4444,2.2802),(2385,4925,1.4297,2.2664),(2385,4935,1.4149,2.2525),(2385,4945,1.3332,2.2385),(2385,4955,1.2282,2.2246),(2385,4965,1.1233,2.2114),(2385,4975,0.90498,2.1982),(2385,4985,0.59914,2.1849),(2385,4995,0.29329,2.1832),(2385,5005,0.23619,2.1817),(2385,5015,0.57455,2.1803),(2385,5025,0.9129,2.1719),(2385,5035,1.2055,2.1618),(2385,5045,1.3238,2.1517),(2385,5055,1.4422,2.14),(2385,5065,1.5572,2.1274),(2385,5075,1.5646,2.1148),(2385,5085,1.5719,2.1023),(2385,5095,1.5793,2.0901),(2385,5105,1.3829,2.0778),(2385,5115,1.1509,2.067),(2385,5125,0.91893,2.0605),(2385,5135,0.8048,2.0541),(2385,5145,0.74787,2.0476),(2385,5155,0.69093,2.0421),(2385,5165,0.82006,2.0366),(2385,5175,1.139,2.031),(2385,5185,1.4578,2.0189),(2385,5195,1.6781,2.006),(2385,5205,1.6857,1.9932),(2385,5215,1.6932,1.9805),(2385,5225,1.6918,1.968),(2385,5235,1.634,1.9554),(2385,5245,1.5762,1.9438),(2385,5255,1.5184,1.9331),(2385,5265,1.0687,1.9223),(2385,5275,0.60283,1.9153),(2385,5285,0.13694,1.9148),(2385,5295,0.36147,1.9142),(2385,5305,0.77827,1.911),(2385,5315,1.1951,1.8965),(2385,5325,1.4245,1.8819),(2385,5335,1.5309,1.8674),(2385,5345,1.6374,1.8536),(2385,5355,1.7065,1.8398),(2385,5365,1.7252,1.8259),(2385,5375,1.7438,1.8127),(2385,5385,1.6577,1.7996),(2385,5395,1.2529,1.7864),(2385,5405,0.84813,1.7796),(2385,5415,0.48722,1.7761),(2385,5425,0.71559,1.7725),(2385,5435,0.94395,1.7651),(2385,5445,1.1723,1.7533),(2385,5455,1.4012,1.7416),(2385,5465,1.6302,1.7279),(2385,5475,1.8591,1.7098),(2385,5485,1.934,1.6916),(2385,5495,1.9467,1.6736),(2385,5505,1.9595,1.656),(2385,5515,1.9723,1.6384),(2385,5525,1.985,1.6208),(2385,5535,1.9977,1.6037),(2385,5545,2.0102,1.5866),(2385,5555,2.022,1.5695),(2385,5565,2.0339,1.5528),(2385,5575,2.0457,1.5362),(2385,5585,2.0567,1.5197),(2385,5595,2.0677,1.5033),(2385,5605,2.0787,1.4872),(2385,5615,2.089,1.4711),(2385,5625,2.0992,1.4551),(2385,5635,2.1094,1.4395),(2385,5645,2.119,1.4238),(2385,5655,2.1285,1.4082),(2385,5665,2.138,1.3929),(2385,5675,2.147,1.3776),(2385,5685,2.1558,1.3624),(2385,5695,2.1646,1.3475),(2385,5705,2.1731,1.3326),(2385,5715,2.1813,1.3178),(2385,5725,2.1895,1.3032),(2385,5735,2.1975,1.2887),(2385,5745,2.2051,1.2741),(2385,5755,2.2127,1.2598),(2385,5765,2.2203,1.2456),(2385,5775,2.2273,1.2314),(2385,5785,2.2344,1.2174),(2385,5795,2.2415,1.2035),(2385,5805,2.2481,1.1897),(2385,5815,2.2547,1.1759),(2385,5825,2.2613,1.1623),(2385,5835,2.2675,1.1487),(2385,5845,2.2736,1.1352),(2385,5855,2.2798,1.1218),(2385,5865,2.2857,1.1085),(2385,5875,2.2914,1.0952),(2385,5885,2.2971,1.0822),(2385,5895,2.3026,1.0691),(2385,5905,2.308,1.0561),(2385,5915,2.3133,1.0433),(2385,5925,2.3185,1.0305),(2385,5935,2.3235,1.0177),(2385,5945,2.3285,1.0051),(2385,5955,2.3334,0.99257),(2385,5965,2.3382,0.98003),(2385,5975,2.3429,0.9676),(2385,5985,2.3477,0.95529),(2385,5995,1.7953,0.94299),(2385,6005,1.1532,0.93359),(2385,6015,0.51115,0.93195),(2385,6025,0.58109,0.93032),(2385,6035,0.98124,0.92766),(2385,6045,1.3814,0.91513),(2385,6055,1.6638,0.9026),(2385,6065,1.8308,0.89007),(2385,6075,1.9978,0.87382),(2385,6085,2.112,0.85722),(2385,6095,2.1173,0.84063),(2385,6105,2.1226,0.82398),(2385,6115,2.1279,0.80731),(2385,6125,2.1329,0.79064),(2385,6135,2.138,0.77401),(2385,6145,2.143,0.7574),(2385,6155,2.1477,0.7408),(2385,6165,2.1524,0.72426),(2385,6175,2.157,0.70783),(2385,6185,2.1615,0.69141),(2385,6195,2.1658,0.67499),(2385,6205,2.1701,0.65858),(2385,6215,2.1742,0.64217),(2385,6225,2.1782,0.62576),(2385,6235,2.1822,0.6094),(2385,6245,2.1861,0.59305),(2385,6255,2.1898,0.57669),(2385,6265,2.1934,0.56037),(2385,6275,2.197,0.54406),(2385,6285,2.2004,0.52774),(2385,6295,2.2037,0.51145),(2385,6305,2.207,0.49517),(2385,6315,2.21,0.47888),(2385,6325,2.213,0.46261),(2385,6335,2.216,0.44635),(2385,6345,2.2187,0.43008),(2385,6355,2.2213,0.41384),(2385,6365,2.224,0.39764),(2385,6375,2.2264,0.38143),(2385,6385,2.2287,0.36525),(2385,6395,2.231,0.34914),(2385,6405,2.2331,0.33303),(2385,6415,2.2351,0.31692),(2385,6425,2.2371,0.30086),(2385,6435,2.2389,0.28479),(2385,6445,2.2406,0.26873),(2385,6455,2.2422,0.25265),(2385,6465,2.2438,0.23656),(2385,6475,2.2451,0.22048),(2385,6485,2.2465,0.20438),(2385,6495,2.2478,0.18829),(2385,6505,2.2489,0.17219),(2385,6515,2.2499,0.15611),(2385,6525,2.251,0.14005),(2385,6535,2.2517,0.12399),(2385,6545,2.2525,0.10793),(2385,6555,2.2532,0.091879),(2385,6565,2.2537,0.075828),(2385,6575,2.254,0.059783),(2385,6585,2.2544,0.043808),(2385,6595,1.9176,0.027833),(2385,6605,1.2085,0.011858),(2385,6615,0.49945,0.009982),(2385,6625,0.000984,0.009916),(2385,6635,0.000985,0.009851),(2385,6645,0.000986,0.009825),(2385,6655,0.000987,0.009813),(2385,6665,0.000988,0.009802),(2385,6675,0.000989,0.009791),(2385,6685,0.00099,0.00978),(2385,6695,0.00099,0.009769),(2385,6705,0.000991,0.009758),(2385,6715,0.000992,0.009748),(2385,6725,0.000993,0.009737),(2385,6735,0.000993,0.009726),(2385,6745,0.000994,0.009715),(2385,6755,0.000995,0.009705),(2385,6765,0.000996,0.009694),(2385,6775,0.000996,0.009683),(2385,6785,0.000997,0.009673),(2385,6795,0.000998,0.009662),(2385,6805,0.000998,0.009652),(2385,6815,0.000999,0.009641),(2385,6825,0.000999,0.009631),(2385,6835,0.001,0.009621),(2385,6845,0.001001,0.00961),(2385,6855,0.001001,0.0096),(2385,6865,0.001002,0.00959),(2385,6875,0.001002,0.009579),(2385,6885,0.001003,0.009569),(2385,6895,0.001003,0.009559),(2385,6905,0.001004,0.009549),(2385,6915,0.001004,0.009539),(2385,6925,0.001005,0.009529),(2385,6935,0.001005,0.009519),(2385,6945,0.001006,0.009508),(2385,6955,0.001006,0.009498),(2385,6965,0.001007,0.009488),(2385,6975,0.001007,0.009478),(2385,6985,0.001008,0.009468),(2395,5,4.3e-05,3.6847),(2395,15,0.000129,3.6847),(2395,25,0.000215,3.6847),(2395,35,0.000302,3.6847),(2395,45,0.000388,3.6847),(2395,55,0.000474,3.6847),(2395,65,0.000561,3.6847),(2395,75,0.000647,3.6847),(2395,85,0.000734,3.6847),(2395,95,0.000821,3.6847),(2395,105,0.000908,3.6847),(2395,115,0.000995,3.6847),(2395,125,0.001082,3.6847),(2395,135,0.001169,3.6847),(2395,145,0.001257,3.6847),(2395,155,0.001345,3.6847),(2395,165,0.001433,3.6847),(2395,175,0.001521,3.6847),(2395,185,0.001609,3.6847),(2395,195,0.001698,3.6848),(2395,205,0.001787,3.6848),(2395,215,0.001875,3.6848),(2395,225,0.001965,3.6848),(2395,235,0.002055,3.6848),(2395,245,0.002145,3.6848),(2395,255,0.002235,3.6848),(2395,265,0.002326,3.6848),(2395,275,0.002417,3.6848),(2395,285,0.002508,3.6849),(2395,295,0.002599,3.6849),(2395,305,0.002692,3.6849),(2395,315,0.002785,3.6849),(2395,325,0.002878,3.6849),(2395,335,0.002971,3.6849),(2395,345,0.003066,3.6849),(2395,355,0.003161,3.685),(2395,365,0.003256,3.685),(2395,375,0.003351,3.685),(2395,385,0.003447,3.685),(2395,395,0.003544,3.685),(2395,405,0.003642,3.685),(2395,415,0.003739,3.6851),(2395,425,0.003838,3.6851),(2395,435,0.003938,3.6851),(2395,445,0.004037,3.6851),(2395,455,0.004137,3.6851),(2395,465,0.004239,3.6852),(2395,475,0.004341,3.6852),(2395,485,0.004443,3.6852),(2395,495,0.004545,3.6852),(2395,505,0.004651,3.6853),(2395,515,0.004756,3.6853),(2395,525,0.004861,3.6853),(2395,535,0.004967,3.6853),(2395,545,0.005075,3.6854),(2395,555,0.005184,3.6854),(2395,565,0.005293,3.6854),(2395,575,0.005402,3.6854),(2395,585,0.005514,3.6855),(2395,595,0.005627,3.6855),(2395,605,0.005739,3.6855),(2395,615,0.005852,3.6856),(2395,625,0.005968,3.6856),(2395,635,0.006085,3.6856),(2395,645,0.006201,3.6856),(2395,655,0.006319,3.6857),(2395,665,0.006439,3.6857),(2395,675,0.00656,3.6857),(2395,685,0.006681,3.6858),(2395,695,0.006803,3.6858),(2395,705,0.006929,3.6859),(2395,715,0.007055,3.6859),(2395,725,0.007181,3.6859),(2395,735,0.007308,3.686),(2395,745,0.007439,3.686),(2395,755,0.007571,3.6861),(2395,765,0.007702,3.6861),(2395,775,0.007835,3.6861),(2395,785,0.007972,3.6862),(2395,795,0.008109,3.6862),(2395,805,0.008246,3.6863),(2395,815,0.008385,3.6863),(2395,825,0.008529,3.6864),(2395,835,0.008672,3.6864),(2395,845,0.008816,3.6864),(2395,855,0.008961,3.6865),(2395,865,0.009112,3.6865),(2395,875,0.009262,3.6866),(2395,885,0.009413,3.6866),(2395,895,0.009566,3.6867),(2395,905,0.009724,3.6867),(2395,915,0.009882,3.6868),(2395,925,0.01004,3.6868),(2395,935,0.010202,3.6869),(2395,945,0.010368,3.6869),(2395,955,0.010534,3.687),(2395,965,0.0107,3.6871),(2395,975,0.010871,3.6871),(2395,985,0.011045,3.6872),(2395,995,0.01122,3.6872),(2395,1005,0.011395,3.6873),(2395,1015,0.011575,3.6874),(2395,1025,0.011759,3.6874),(2395,1035,0.011944,3.6875),(2395,1045,0.012128,3.6875),(2395,1055,0.012318,3.6876),(2395,1065,0.012513,3.6877),(2395,1075,0.012708,3.6877),(2395,1085,0.012903,3.6878),(2395,1095,0.013104,3.6879),(2395,1105,0.01331,3.6879),(2395,1115,0.013516,3.688),(2395,1125,0.013722,3.6881),(2395,1135,0.013935,3.6881),(2395,1145,0.014153,3.6882),(2395,1155,0.014371,3.6883),(2395,1165,0.014589,3.6883),(2395,1175,0.014815,3.6884),(2395,1185,0.015046,3.6885),(2395,1195,0.015277,3.6885),(2395,1205,0.015507,3.6886),(2395,1215,0.015748,3.6887),(2395,1225,0.015992,3.6888),(2395,1235,0.016237,3.6888),(2395,1245,0.016481,3.6889),(2395,1255,0.016737,3.689),(2395,1265,0.016996,3.6891),(2395,1275,0.017255,3.6891),(2395,1285,0.017515,3.6892),(2395,1295,0.017786,3.6893),(2395,1305,0.018062,3.6894),(2395,1315,0.018337,3.6895),(2395,1325,0.018612,3.6895),(2395,1335,0.018901,3.6896),(2395,1345,0.019193,3.6897),(2395,1355,0.019486,3.6898),(2395,1365,0.019778,3.6899),(2395,1375,0.020085,3.6899),(2395,1385,0.020396,3.69),(2395,1395,0.020706,3.6901),(2395,1405,0.021016,3.6902),(2395,1415,0.021344,3.6903),(2395,1425,0.021674,3.6903),(2395,1435,0.022004,3.6904),(2395,1445,0.022334,3.6905),(2395,1455,0.022683,3.6906),(2395,1465,0.023034,3.6907),(2395,1475,0.023384,3.6908),(2395,1485,0.023735,3.6908),(2395,1495,0.024107,3.6909),(2395,1505,0.02448,3.691),(2395,1515,0.024852,3.6911),(2395,1525,0.025226,3.6912),(2395,1535,0.025622,3.6912),(2395,1545,0.026018,3.6913),(2395,1555,0.026414,3.6914),(2395,1565,0.026812,3.6915),(2395,1575,0.027233,3.6916),(2395,1585,0.027654,3.6916),(2395,1595,0.028075,3.6917),(2395,1605,0.028498,3.6918),(2395,1615,0.028946,3.6919),(2395,1625,0.029394,3.6919),(2395,1635,0.029841,3.692),(2395,1645,0.030293,3.6921),(2395,1655,0.030769,3.6922),(2395,1665,0.031245,3.6922),(2395,1675,0.03172,3.6923),(2395,1685,0.032202,3.6924),(2395,1695,0.032707,3.6924),(2395,1705,0.033213,3.6925),(2395,1715,0.033718,3.6925),(2395,1725,0.034231,3.6926),(2395,1735,0.034768,3.6927),(2395,1745,0.035305,3.6927),(2395,1755,0.035842,3.6928),(2395,1765,0.036387,3.6928),(2395,1775,0.036957,3.6929),(2395,1785,0.037528,3.6929),(2395,1795,0.038098,3.693),(2395,1805,0.038679,3.693),(2395,1815,0.039284,3.693),(2395,1825,0.039889,3.6931),(2395,1835,0.040494,3.6931),(2395,1845,0.041111,3.6931),(2395,1855,0.041753,3.6932),(2395,1865,0.042395,3.6932),(2395,1875,0.043037,3.6932),(2395,1885,0.043693,3.6932),(2395,1895,0.044373,3.6932),(2395,1905,0.045053,3.6932),(2395,1915,0.045734,3.6932),(2395,1925,0.046431,3.6932),(2395,1935,0.047151,3.6932),(2395,1945,0.047871,3.6932),(2395,1955,0.048592,3.6932),(2395,1965,0.049332,3.6931),(2395,1975,0.050094,3.6931),(2395,1985,0.050856,3.6931),(2395,1995,0.051619,3.693),(2395,2005,0.052403,3.693),(2395,2015,0.053209,3.6929),(2395,2025,0.054015,3.6929),(2395,2035,0.054821,3.6928),(2395,2045,0.055651,3.6927),(2395,2055,0.056502,3.6927),(2395,2065,0.057353,3.6926),(2395,2075,0.058204,3.6925),(2395,2085,0.059082,3.6924),(2395,2095,0.059979,3.6923),(2395,2105,0.060877,3.6921),(2395,2115,0.061774,3.692),(2395,2125,0.062701,3.6919),(2395,2135,0.063646,3.6917),(2395,2145,0.064591,3.6916),(2395,2155,0.065536,3.6914),(2395,2165,0.066514,3.6912),(2395,2175,0.067508,3.691),(2395,2185,0.068502,3.6908),(2395,2195,0.069496,3.6906),(2395,2205,0.070525,3.6904),(2395,2215,0.071569,3.6902),(2395,2225,0.072612,3.6899),(2395,2235,0.073656,3.6896),(2395,2245,0.074737,3.6894),(2395,2255,0.075831,3.6891),(2395,2265,0.076925,3.6888),(2395,2275,0.078019,3.6885),(2395,2285,0.079152,3.6881),(2395,2295,0.080296,3.6878),(2395,2305,0.081441,3.6875),(2395,2315,0.082585,3.6871),(2395,2325,0.08377,3.6867),(2395,2335,0.084965,3.6863),(2395,2345,0.08616,3.6859),(2395,2355,0.087354,3.6854),(2395,2365,0.088591,3.685),(2395,2375,0.089835,3.6845),(2395,2385,0.091079,3.684),(2395,2395,0.092324,3.6835),(2395,2405,0.093611,3.683),(2395,2415,0.094903,3.6825),(2395,2425,0.096196,3.6819),(2395,2435,0.097488,3.6813),(2395,2445,0.098824,3.6807),(2395,2455,0.10016,3.6801),(2395,2465,0.1015,3.6794),(2395,2475,0.10284,3.6788),(2395,2485,0.10422,3.6781),(2395,2495,0.10561,3.6774),(2395,2505,0.10699,3.6766),(2395,2515,0.10837,3.6759),(2395,2525,0.1098,3.6751),(2395,2535,0.11122,3.6743),(2395,2545,0.11265,3.6735),(2395,2555,0.11407,3.6726),(2395,2565,0.11554,3.6717),(2395,2575,0.117,3.6708),(2395,2585,0.11846,3.6699),(2395,2595,0.11992,3.6689),(2395,2605,0.12142,3.6679),(2395,2615,0.12292,3.6669),(2395,2625,0.12441,3.6659),(2395,2635,0.12591,3.6648),(2395,2645,0.12743,3.6637),(2395,2655,0.12896,3.6626),(2395,2665,0.13048,3.6614),(2395,2675,0.132,3.6602),(2395,2685,0.13355,3.659),(2395,2695,0.13509,3.6578),(2395,2705,0.13664,3.6565),(2395,2715,0.13819,3.6552),(2395,2725,0.13975,3.6538),(2395,2735,0.14131,3.6525),(2395,2745,0.14287,3.651),(2395,2755,0.14443,3.6496),(2395,2765,0.146,3.6481),(2395,2775,0.14756,3.6467),(2395,2785,0.14913,3.6451),(2395,2795,0.1507,3.6435),(2395,2805,0.15226,3.6419),(2395,2815,0.15383,3.6403),(2395,2825,0.15539,3.6386),(2395,2835,0.15696,3.6369),(2395,2845,0.15851,3.6351),(2395,2855,0.16007,3.6334),(2395,2865,0.16162,3.6315),(2395,2875,0.16317,3.6297),(2395,2885,0.16471,3.6278),(2395,2895,0.16625,3.6259),(2395,2905,0.16778,3.6239),(2395,2915,0.16931,3.6219),(2395,2925,0.17081,3.6199),(2395,2935,0.17232,3.6178),(2395,2945,0.17382,3.6157),(2395,2955,0.17531,3.6135),(2395,2965,0.17678,3.6114),(2395,2975,0.17824,3.6092),(2395,2985,0.17971,3.6069),(2395,2995,0.18115,3.6046),(2395,3005,0.18256,3.6023),(2395,3015,0.18397,3.6),(2395,3025,0.18538,3.5976),(2395,3035,0.18676,3.5951),(2395,3045,0.18811,3.5927),(2395,3055,0.18946,3.5902),(2395,3065,0.19081,3.5876),(2395,3075,0.19212,3.5851),(2395,3085,0.19339,3.5825),(2395,3095,0.19467,3.5798),(2395,3105,0.19594,3.5771),(2395,3115,0.19716,3.5744),(2395,3125,0.19835,3.5717),(2395,3135,0.19954,3.569),(2395,3145,0.20072,3.5661),(2395,3155,0.20185,3.5633),(2395,3165,0.20294,3.5605),(2395,3175,0.20403,3.5575),(2395,3185,0.20512,3.5546),(2395,3195,0.20613,3.5516),(2395,3205,0.20711,3.5487),(2395,3215,0.20809,3.5456),(2395,3225,0.20907,3.5426),(2395,3235,0.20997,3.5395),(2395,3245,0.21083,3.5364),(2395,3255,0.21169,3.5333),(2395,3265,0.21255,3.5301),(2395,3275,0.21331,3.5269),(2395,3285,0.21404,3.5237),(2395,3295,0.21478,3.5205),(2395,3305,0.21551,3.5172),(2395,3315,0.21613,3.514),(2395,3325,0.21672,3.5107),(2395,3335,0.21732,3.5073),(2395,3345,0.21791,3.504),(2395,3355,0.21838,3.5006),(2395,3365,0.21883,3.4973),(2395,3375,0.21928,3.4939),(2395,3385,0.21973,3.4904),(2395,3395,0.22004,3.487),(2395,3405,0.22034,3.4836),(2395,3415,0.22064,3.4801),(2395,3425,0.22093,3.4766),(2395,3435,0.22109,3.4732),(2395,3445,0.22122,3.4697),(2395,3455,0.22136,3.4662),(2395,3465,0.2215,3.4626),(2395,3475,0.22149,3.4591),(2395,3485,0.22146,3.4556),(2395,3495,0.22144,3.452),(2395,3505,0.22142,3.4485),(2395,3515,0.22123,3.4449),(2395,3525,0.22105,3.4414),(2395,3535,0.22086,3.4378),(2395,3545,0.22067,3.4343),(2395,3555,0.22031,3.4307),(2395,3565,0.21996,3.4271),(2395,3575,0.21961,3.4236),(2395,3585,0.21925,3.42),(2395,3595,0.21873,3.4165),(2395,3605,0.21821,3.4129),(2395,3615,0.2177,3.4094),(2395,3625,0.21716,3.4058),(2395,3635,0.21648,3.4023),(2395,3645,0.2158,3.3988),(2395,3655,0.21512,3.3952),(2395,3665,0.21441,3.3917),(2395,3675,0.21357,3.3882),(2395,3685,0.21273,3.3847),(2395,3695,0.21189,3.3813),(2395,3705,0.21102,3.3778),(2395,3715,0.21003,3.3743),(2395,3725,0.20903,3.3709),(2395,3735,0.20803,3.3675),(2395,3745,0.207,3.3641),(2395,3755,0.20586,3.3607),(2395,3765,0.20471,3.3573),(2395,3775,0.20356,3.354),(2395,3785,0.20238,3.3507),(2395,3795,0.20109,3.3473),(2395,3805,0.1998,3.344),(2395,3815,0.19851,3.3408),(2395,3825,0.19718,3.3375),(2395,3835,0.19575,3.3343),(2395,3845,0.19432,3.3311),(2395,3855,0.1929,3.3279),(2395,3865,0.19143,3.3248),(2395,3875,0.18988,3.3216),(2395,3885,0.18833,3.3185),(2395,3895,0.18677,3.3155),(2395,3905,0.2132,3.3124),(2395,3915,0.28141,3.3094),(2395,3925,0.34962,3.3047),(2395,3935,0.41783,3.2979),(2395,3945,0.48904,3.291),(2395,3955,0.56406,3.2842),(2395,3965,0.63908,3.2755),(2395,3975,0.7141,3.2645),(2395,3985,0.75692,3.2536),(2395,3995,0.76491,3.2427),(2395,4005,0.77289,3.2317),(2395,4015,0.78088,3.2205),(2395,4025,0.79014,3.2093),(2395,4035,0.79953,3.198),(2395,4045,0.80892,3.1865),(2395,4055,0.81846,3.175),(2395,4065,0.82805,3.1634),(2395,4075,0.83764,3.1516),(2395,4085,0.84684,3.1397),(2395,4095,0.85573,3.1279),(2395,4105,0.86462,3.1157),(2395,4115,0.84149,3.1035),(2395,4125,0.76528,3.0912),(2395,4135,0.68906,3.0815),(2395,4145,0.61148,3.0725),(2395,4155,0.52836,3.0634),(2395,4165,0.44524,3.0565),(2395,4175,0.3671,3.0511),(2395,4185,0.53535,3.0456),(2395,4195,0.7036,3.0369),(2395,4205,0.87185,3.024),(2395,4215,0.88035,3.011),(2395,4225,0.85879,2.9981),(2395,4235,0.83723,2.9852),(2395,4245,0.78931,2.9723),(2395,4255,0.72801,2.9595),(2395,4265,0.66672,2.9485),(2395,4275,0.56469,2.9375),(2395,4285,0.41945,2.9265),(2395,4295,0.27421,2.9226),(2395,4305,0.23989,2.9195),(2395,4315,0.45606,2.9164),(2395,4325,0.67223,2.9072),(2395,4335,0.86597,2.8956),(2395,4345,0.90788,2.884),(2395,4355,0.9498,2.8717),(2395,4365,0.99171,2.8586),(2395,4375,1.0042,2.8455),(2395,4385,1.0152,2.8325),(2395,4395,1.0261,2.8193),(2395,4405,0.90155,2.8062),(2395,4415,0.73703,2.7943),(2395,4425,0.57251,2.7877),(2395,4435,0.50585,2.781),(2395,4445,0.50607,2.7744),(2395,4455,0.50629,2.7674),(2395,4465,0.58655,2.7605),(2395,4475,0.77923,2.7535),(2395,4485,0.97191,2.7408),(2395,4495,1.1216,2.727),(2395,4505,1.1335,2.7132),(2395,4515,1.1454,2.6995),(2395,4525,1.1549,2.6857),(2395,4535,1.1258,2.672),(2395,4545,1.0966,2.6588),(2395,4555,1.0675,2.6464),(2395,4565,0.81119,2.634),(2395,4575,0.52425,2.6245),(2395,4585,0.2373,2.6216),(2395,4595,0.286,2.6188),(2395,4605,0.47652,2.6149),(2395,4615,0.66703,2.6026),(2395,4625,0.80798,2.5902),(2395,4635,0.90403,2.5779),(2395,4645,1.0001,2.5638),(2395,4655,1.0772,2.5495),(2395,4665,1.1187,2.5353),(2395,4675,1.1601,2.5208),(2395,4685,1.1534,2.5063),(2395,4695,0.90893,2.4917),(2395,4705,0.66446,2.4822),(2395,4715,0.41999,2.4765),(2395,4725,0.55758,2.4707),(2395,4735,0.699,2.4635),(2395,4745,0.84042,2.4541),(2395,4755,0.98677,2.4448),(2395,4765,1.1343,2.4345),(2395,4775,1.2817,2.4208),(2395,4785,1.3418,2.4072),(2395,4795,1.3512,2.3936),(2395,4805,1.3606,2.3801),(2395,4815,1.302,2.3666),(2395,4825,1.1619,2.353),(2395,4835,1.0219,2.3434),(2395,4845,0.87905,2.3344),(2395,4855,0.72904,2.3253),(2395,4865,0.57904,2.3191),(2395,4875,0.4757,2.3142),(2395,4885,0.79694,2.3092),(2395,4895,1.1182,2.2999),(2395,4905,1.4394,2.2862),(2395,4915,1.4514,2.2726),(2395,4925,1.4369,2.2588),(2395,4935,1.4223,2.2448),(2395,4945,1.3408,2.2308),(2395,4955,1.236,2.2169),(2395,4965,1.1313,2.2036),(2395,4975,0.91182,2.1904),(2395,4985,0.60372,2.1771),(2395,4995,0.29563,2.1753),(2395,5005,0.23759,2.1739),(2395,5015,0.57711,2.1724),(2395,5025,0.91663,2.1641),(2395,5035,1.2102,2.1539),(2395,5045,1.3288,2.1438),(2395,5055,1.4473,2.1322),(2395,5065,1.5626,2.1196),(2395,5075,1.5699,2.107),(2395,5085,1.5771,2.0945),(2395,5095,1.5844,2.0822),(2395,5105,1.3873,2.07),(2395,5115,1.1545,2.0592),(2395,5125,0.92181,2.0527),(2395,5135,0.8074,2.0462),(2395,5145,0.75041,2.0398),(2395,5155,0.69343,2.0343),(2395,5165,0.82294,2.0287),(2395,5175,1.1427,2.0232),(2395,5185,1.4624,2.0111),(2395,5195,1.6832,1.9982),(2395,5205,1.6906,1.9854),(2395,5215,1.6981,1.9728),(2395,5225,1.6965,1.9602),(2395,5235,1.6384,1.9477),(2395,5245,1.5803,1.9361),(2395,5255,1.5223,1.9254),(2395,5265,1.0715,1.9146),(2395,5275,0.60452,1.9076),(2395,5285,0.13755,1.9071),(2395,5295,0.36375,1.9065),(2395,5305,0.78299,1.9033),(2395,5315,1.2022,1.8887),(2395,5325,1.4322,1.8741),(2395,5335,1.538,1.8596),(2395,5345,1.6438,1.8458),(2395,5355,1.7124,1.832),(2395,5365,1.7307,1.8181),(2395,5375,1.7491,1.8049),(2395,5385,1.6625,1.7918),(2395,5395,1.2565,1.7786),(2395,5405,0.85059,1.7718),(2395,5415,0.4887,1.7683),(2395,5425,0.71855,1.7647),(2395,5435,0.9484,1.7573),(2395,5445,1.1783,1.7456),(2395,5455,1.4081,1.734),(2395,5465,1.638,1.7204),(2395,5475,1.8679,1.7023),(2395,5485,1.9429,1.6842),(2395,5495,1.9554,1.6662),(2395,5505,1.968,1.6487),(2395,5515,1.9805,1.6312),(2395,5525,1.993,1.6137),(2395,5535,2.0056,1.5967),(2395,5545,2.0178,1.5797),(2395,5555,2.0295,1.5627),(2395,5565,2.0412,1.5461),(2395,5575,2.0527,1.5296),(2395,5585,2.0635,1.5131),(2395,5595,2.0744,1.4969),(2395,5605,2.0852,1.4808),(2395,5615,2.0953,1.4647),(2395,5625,2.1053,1.4489),(2395,5635,2.1154,1.4333),(2395,5645,2.1248,1.4177),(2395,5655,2.1342,1.4022),(2395,5665,2.1435,1.387),(2395,5675,2.1524,1.3718),(2395,5685,2.161,1.3566),(2395,5695,2.1697,1.3418),(2395,5705,2.178,1.327),(2395,5715,2.1861,1.3122),(2395,5725,2.1941,1.2977),(2395,5735,2.202,1.2833),(2395,5745,2.2095,1.2688),(2395,5755,2.2169,1.2546),(2395,5765,2.2244,1.2405),(2395,5775,2.2313,1.2263),(2395,5785,2.2383,1.2124),(2395,5795,2.2452,1.1986),(2395,5805,2.2517,1.1848),(2395,5815,2.2582,1.1711),(2395,5825,2.2646,1.1575),(2395,5835,2.2708,1.144),(2395,5845,2.2768,1.1306),(2395,5855,2.2828,1.1173),(2395,5865,2.2886,1.1041),(2395,5875,2.2942,1.0908),(2395,5885,2.2998,1.0779),(2395,5895,2.3053,1.0649),(2395,5905,2.3105,1.0519),(2395,5915,2.3157,1.0392),(2395,5925,2.3209,1.0265),(2395,5935,2.3258,1.0138),(2395,5945,2.3306,1.0012),(2395,5955,2.3355,0.98878),(2395,5965,2.3402,0.97632),(2395,5975,2.3448,0.96396),(2395,5985,2.3495,0.95173),(2395,5995,1.7967,0.93949),(2395,6005,1.1541,0.93015),(2395,6015,0.51157,0.92853),(2395,6025,0.58253,0.9269),(2395,6035,0.98442,0.92426),(2395,6045,1.3863,0.91177),(2395,6055,1.6699,0.89927),(2395,6065,1.8374,0.88678),(2395,6075,2.005,0.87058),(2395,6085,2.1195,0.85404),(2395,6095,2.1248,0.8375),(2395,6105,2.1301,0.8209),(2395,6115,2.1353,0.80428),(2395,6125,2.1403,0.78766),(2395,6135,2.1453,0.77108),(2395,6145,2.1503,0.75453),(2395,6155,2.155,0.73797),(2395,6165,2.1596,0.72149),(2395,6175,2.1643,0.70512),(2395,6185,2.1686,0.68875),(2395,6195,2.1729,0.67238),(2395,6205,2.1772,0.65603),(2395,6215,2.1813,0.63968),(2395,6225,2.1853,0.62334),(2395,6235,2.1892,0.60704),(2395,6245,2.1931,0.59075),(2395,6255,2.1967,0.57446),(2395,6265,2.2003,0.5582),(2395,6275,2.2039,0.54194),(2395,6285,2.2072,0.52568),(2395,6295,2.2105,0.50945),(2395,6305,2.2138,0.49323),(2395,6315,2.2168,0.47701),(2395,6325,2.2198,0.46079),(2395,6335,2.2227,0.44458),(2395,6345,2.2254,0.42837),(2395,6355,2.228,0.41219),(2395,6365,2.2307,0.39604),(2395,6375,2.2331,0.37989),(2395,6385,2.2354,0.36376),(2395,6395,2.2377,0.34771),(2395,6405,2.2398,0.33167),(2395,6415,2.2417,0.31562),(2395,6425,2.2437,0.29962),(2395,6435,2.2455,0.28363),(2395,6445,2.2472,0.26764),(2395,6455,2.2488,0.25163),(2395,6465,2.2504,0.23561),(2395,6475,2.2517,0.2196),(2395,6485,2.253,0.20357),(2395,6495,2.2544,0.18755),(2395,6505,2.2554,0.17152),(2395,6515,2.2564,0.15551),(2395,6525,2.2575,0.13951),(2395,6535,2.2582,0.12352),(2395,6545,2.2589,0.10753),(2395,6555,2.2596,0.091541),(2395,6565,2.2601,0.075553),(2395,6575,2.2605,0.059571),(2395,6585,2.2609,0.04366),(2395,6595,1.9231,0.02775),(2395,6605,1.212,0.011839),(2395,6615,0.50088,0.009973),(2395,6625,0.000991,0.009912),(2395,6635,0.000992,0.009851),(2395,6645,0.000993,0.009825),(2395,6655,0.000994,0.009814),(2395,6665,0.000995,0.009803),(2395,6675,0.000995,0.009792),(2395,6685,0.000996,0.009781),(2395,6695,0.000997,0.00977),(2395,6705,0.000998,0.009759),(2395,6715,0.000998,0.009748),(2395,6725,0.000999,0.009738),(2395,6735,0.001,0.009727),(2395,6745,0.001001,0.009716),(2395,6755,0.001001,0.009705),(2395,6765,0.001002,0.009695),(2395,6775,0.001003,0.009684),(2395,6785,0.001003,0.009673),(2395,6795,0.001004,0.009663),(2395,6805,0.001004,0.009652),(2395,6815,0.001005,0.009642),(2395,6825,0.001006,0.009631),(2395,6835,0.001006,0.009621),(2395,6845,0.001007,0.009611),(2395,6855,0.001007,0.0096),(2395,6865,0.001008,0.00959),(2395,6875,0.001008,0.00958),(2395,6885,0.001009,0.00957),(2395,6895,0.001009,0.00956),(2395,6905,0.00101,0.00955),(2395,6915,0.00101,0.009539),(2395,6925,0.001011,0.009529),(2395,6935,0.001011,0.009519),(2395,6945,0.001012,0.009509),(2395,6955,0.001012,0.009499),(2395,6965,0.001013,0.009489),(2395,6975,0.001013,0.009479),(2395,6985,0.001014,0.009469),(2405,5,4.3e-05,3.6848),(2405,15,0.000128,3.6848),(2405,25,0.000213,3.6848),(2405,35,0.000299,3.6848),(2405,45,0.000384,3.6848),(2405,55,0.00047,3.6848),(2405,65,0.000555,3.6848),(2405,75,0.000641,3.6848),(2405,85,0.000727,3.6848),(2405,95,0.000813,3.6848),(2405,105,0.000899,3.6848),(2405,115,0.000985,3.6848),(2405,125,0.001072,3.6848),(2405,135,0.001158,3.6848),(2405,145,0.001245,3.6848),(2405,155,0.001332,3.6848),(2405,165,0.001419,3.6848),(2405,175,0.001506,3.6848),(2405,185,0.001594,3.6848),(2405,195,0.001682,3.6848),(2405,205,0.00177,3.6849),(2405,215,0.001857,3.6849),(2405,225,0.001946,3.6849),(2405,235,0.002035,3.6849),(2405,245,0.002124,3.6849),(2405,255,0.002213,3.6849),(2405,265,0.002303,3.6849),(2405,275,0.002394,3.6849),(2405,285,0.002484,3.6849),(2405,295,0.002574,3.685),(2405,305,0.002666,3.685),(2405,315,0.002758,3.685),(2405,325,0.00285,3.685),(2405,335,0.002942,3.685),(2405,345,0.003036,3.685),(2405,355,0.00313,3.685),(2405,365,0.003224,3.6851),(2405,375,0.003318,3.6851),(2405,385,0.003414,3.6851),(2405,395,0.00351,3.6851),(2405,405,0.003606,3.6851),(2405,415,0.003702,3.6852),(2405,425,0.003801,3.6852),(2405,435,0.003899,3.6852),(2405,445,0.003998,3.6852),(2405,455,0.004096,3.6852),(2405,465,0.004197,3.6853),(2405,475,0.004299,3.6853),(2405,485,0.0044,3.6853),(2405,495,0.004501,3.6853),(2405,505,0.004605,3.6854),(2405,515,0.004709,3.6854),(2405,525,0.004813,3.6854),(2405,535,0.004918,3.6854),(2405,545,0.005025,3.6855),(2405,555,0.005133,3.6855),(2405,565,0.005241,3.6855),(2405,575,0.005348,3.6855),(2405,585,0.00546,3.6856),(2405,595,0.005571,3.6856),(2405,605,0.005682,3.6856),(2405,615,0.005794,3.6857),(2405,625,0.005909,3.6857),(2405,635,0.006025,3.6857),(2405,645,0.00614,3.6858),(2405,655,0.006256,3.6858),(2405,665,0.006376,3.6858),(2405,675,0.006495,3.6859),(2405,685,0.006615,3.6859),(2405,695,0.006736,3.6859),(2405,705,0.00686,3.686),(2405,715,0.006985,3.686),(2405,725,0.00711,3.6861),(2405,735,0.007235,3.6861),(2405,745,0.007365,3.6861),(2405,755,0.007496,3.6862),(2405,765,0.007626,3.6862),(2405,775,0.007757,3.6863),(2405,785,0.007893,3.6863),(2405,795,0.008029,3.6864),(2405,805,0.008164,3.6864),(2405,815,0.008302,3.6864),(2405,825,0.008444,3.6865),(2405,835,0.008586,3.6865),(2405,845,0.008728,3.6866),(2405,855,0.008873,3.6866),(2405,865,0.009022,3.6867),(2405,875,0.009171,3.6867),(2405,885,0.00932,3.6868),(2405,895,0.009472,3.6868),(2405,905,0.009628,3.6869),(2405,915,0.009785,3.6869),(2405,925,0.009942,3.687),(2405,935,0.010102,3.6871),(2405,945,0.010266,3.6871),(2405,955,0.010431,3.6872),(2405,965,0.010596,3.6872),(2405,975,0.010764,3.6873),(2405,985,0.010938,3.6873),(2405,995,0.011111,3.6874),(2405,1005,0.011285,3.6875),(2405,1015,0.011463,3.6875),(2405,1025,0.011646,3.6876),(2405,1035,0.011829,3.6877),(2405,1045,0.012011,3.6877),(2405,1055,0.0122,3.6878),(2405,1065,0.012393,3.6879),(2405,1075,0.012586,3.6879),(2405,1085,0.012779,3.688),(2405,1095,0.012979,3.6881),(2405,1105,0.013183,3.6881),(2405,1115,0.013388,3.6882),(2405,1125,0.013592,3.6883),(2405,1135,0.013804,3.6883),(2405,1145,0.01402,3.6884),(2405,1155,0.014236,3.6885),(2405,1165,0.014452,3.6886),(2405,1175,0.014677,3.6886),(2405,1185,0.014906,3.6887),(2405,1195,0.015135,3.6888),(2405,1205,0.015364,3.6889),(2405,1215,0.015603,3.6889),(2405,1225,0.015846,3.689),(2405,1235,0.016089,3.6891),(2405,1245,0.016331,3.6892),(2405,1255,0.016585,3.6892),(2405,1265,0.016843,3.6893),(2405,1275,0.017101,3.6894),(2405,1285,0.017358,3.6895),(2405,1295,0.017629,3.6896),(2405,1305,0.017902,3.6897),(2405,1315,0.018176,3.6897),(2405,1325,0.018449,3.6898),(2405,1335,0.018737,3.6899),(2405,1345,0.019027,3.69),(2405,1355,0.019318,3.6901),(2405,1365,0.019608,3.6902),(2405,1375,0.019915,3.6902),(2405,1385,0.020223,3.6903),(2405,1395,0.020532,3.6904),(2405,1405,0.020841,3.6905),(2405,1415,0.021167,3.6906),(2405,1425,0.021495,3.6907),(2405,1435,0.021824,3.6908),(2405,1445,0.022152,3.6909),(2405,1455,0.0225,3.6909),(2405,1465,0.022849,3.691),(2405,1475,0.023198,3.6911),(2405,1485,0.023547,3.6912),(2405,1495,0.023918,3.6913),(2405,1505,0.02429,3.6914),(2405,1515,0.024661,3.6915),(2405,1525,0.025033,3.6915),(2405,1535,0.025428,3.6916),(2405,1545,0.025822,3.6917),(2405,1555,0.026217,3.6918),(2405,1565,0.026614,3.6919),(2405,1575,0.027034,3.692),(2405,1585,0.027454,3.6921),(2405,1595,0.027873,3.6921),(2405,1605,0.028296,3.6922),(2405,1615,0.028743,3.6923),(2405,1625,0.02919,3.6924),(2405,1635,0.029636,3.6925),(2405,1645,0.030087,3.6925),(2405,1655,0.030562,3.6926),(2405,1665,0.031037,3.6927),(2405,1675,0.031512,3.6928),(2405,1685,0.031992,3.6928),(2405,1695,0.032497,3.6929),(2405,1705,0.033003,3.693),(2405,1715,0.033508,3.6931),(2405,1725,0.03402,3.6931),(2405,1735,0.034556,3.6932),(2405,1745,0.035093,3.6933),(2405,1755,0.03563,3.6933),(2405,1765,0.036175,3.6934),(2405,1775,0.036746,3.6934),(2405,1785,0.037316,3.6935),(2405,1795,0.037886,3.6935),(2405,1805,0.038467,3.6936),(2405,1815,0.039072,3.6936),(2405,1825,0.039678,3.6937),(2405,1835,0.040283,3.6937),(2405,1845,0.040902,3.6938),(2405,1855,0.041544,3.6938),(2405,1865,0.042187,3.6938),(2405,1875,0.042829,3.6938),(2405,1885,0.043487,3.6939),(2405,1895,0.044168,3.6939),(2405,1905,0.04485,3.6939),(2405,1915,0.045531,3.6939),(2405,1925,0.04623,3.6939),(2405,1935,0.046952,3.6939),(2405,1945,0.047674,3.6939),(2405,1955,0.048396,3.6939),(2405,1965,0.049138,3.6939),(2405,1975,0.049903,3.6939),(2405,1985,0.050668,3.6939),(2405,1995,0.051432,3.6938),(2405,2005,0.052219,3.6938),(2405,2015,0.053028,3.6937),(2405,2025,0.053837,3.6937),(2405,2035,0.054646,3.6936),(2405,2045,0.05548,3.6936),(2405,2055,0.056335,3.6935),(2405,2065,0.05719,3.6934),(2405,2075,0.058044,3.6933),(2405,2085,0.058927,3.6932),(2405,2095,0.059828,3.6931),(2405,2105,0.06073,3.693),(2405,2115,0.061632,3.6929),(2405,2125,0.062564,3.6928),(2405,2135,0.063515,3.6927),(2405,2145,0.064465,3.6925),(2405,2155,0.065416,3.6923),(2405,2165,0.066399,3.6922),(2405,2175,0.0674,3.692),(2405,2185,0.0684,3.6918),(2405,2195,0.069401,3.6916),(2405,2205,0.070436,3.6914),(2405,2215,0.071488,3.6912),(2405,2225,0.072539,3.691),(2405,2235,0.07359,3.6907),(2405,2245,0.074679,3.6904),(2405,2255,0.075781,3.6902),(2405,2265,0.076883,3.6899),(2405,2275,0.077986,3.6896),(2405,2285,0.079128,3.6893),(2405,2295,0.080282,3.689),(2405,2305,0.081436,3.6886),(2405,2315,0.08259,3.6882),(2405,2325,0.083786,3.6879),(2405,2335,0.084992,3.6875),(2405,2345,0.086198,3.6871),(2405,2355,0.087403,3.6867),(2405,2365,0.088652,3.6862),(2405,2375,0.089908,3.6858),(2405,2385,0.091165,3.6853),(2405,2395,0.092421,3.6848),(2405,2405,0.093722,3.6843),(2405,2415,0.095028,3.6838),(2405,2425,0.096334,3.6832),(2405,2435,0.09764,3.6826),(2405,2445,0.098991,3.682),(2405,2455,0.10034,3.6815),(2405,2465,0.1017,3.6808),(2405,2475,0.10305,3.6801),(2405,2485,0.10445,3.6795),(2405,2495,0.10585,3.6788),(2405,2505,0.10725,3.678),(2405,2515,0.10865,3.6773),(2405,2525,0.11009,3.6765),(2405,2535,0.11154,3.6758),(2405,2545,0.11298,3.6749),(2405,2555,0.11442,3.674),(2405,2565,0.1159,3.6732),(2405,2575,0.11738,3.6723),(2405,2585,0.11887,3.6714),(2405,2595,0.12035,3.6704),(2405,2605,0.12187,3.6694),(2405,2615,0.12338,3.6685),(2405,2625,0.1249,3.6674),(2405,2635,0.12642,3.6663),(2405,2645,0.12796,3.6652),(2405,2655,0.12951,3.6641),(2405,2665,0.13105,3.663),(2405,2675,0.1326,3.6618),(2405,2685,0.13417,3.6606),(2405,2695,0.13574,3.6594),(2405,2705,0.13731,3.658),(2405,2715,0.13888,3.6567),(2405,2725,0.14046,3.6554),(2405,2735,0.14205,3.6541),(2405,2745,0.14363,3.6526),(2405,2755,0.14522,3.6512),(2405,2765,0.14681,3.6497),(2405,2775,0.14841,3.6482),(2405,2785,0.15,3.6467),(2405,2795,0.15159,3.6451),(2405,2805,0.15319,3.6435),(2405,2815,0.15478,3.6419),(2405,2825,0.15637,3.6402),(2405,2835,0.15796,3.6384),(2405,2845,0.15955,3.6367),(2405,2855,0.16113,3.6349),(2405,2865,0.16271,3.6331),(2405,2875,0.16429,3.6312),(2405,2885,0.16585,3.6294),(2405,2895,0.16742,3.6274),(2405,2905,0.16898,3.6254),(2405,2915,0.17054,3.6234),(2405,2925,0.17207,3.6214),(2405,2935,0.17361,3.6193),(2405,2945,0.17514,3.6172),(2405,2955,0.17666,3.615),(2405,2965,0.17815,3.6129),(2405,2975,0.17964,3.6107),(2405,2985,0.18114,3.6084),(2405,2995,0.18261,3.6061),(2405,3005,0.18405,3.6038),(2405,3015,0.18549,3.6014),(2405,3025,0.18693,3.599),(2405,3035,0.18834,3.5965),(2405,3045,0.18972,3.5941),(2405,3055,0.1911,3.5915),(2405,3065,0.19247,3.589),(2405,3075,0.19381,3.5864),(2405,3085,0.19511,3.5838),(2405,3095,0.19641,3.5811),(2405,3105,0.19771,3.5784),(2405,3115,0.19896,3.5757),(2405,3125,0.20018,3.573),(2405,3135,0.20139,3.5701),(2405,3145,0.20261,3.5673),(2405,3155,0.20376,3.5644),(2405,3165,0.20487,3.5616),(2405,3175,0.20599,3.5586),(2405,3185,0.2071,3.5556),(2405,3195,0.20814,3.5527),(2405,3205,0.20915,3.5497),(2405,3215,0.21015,3.5466),(2405,3225,0.21115,3.5435),(2405,3235,0.21207,3.5404),(2405,3245,0.21296,3.5373),(2405,3255,0.21384,3.5341),(2405,3265,0.21472,3.5309),(2405,3275,0.21551,3.5277),(2405,3285,0.21626,3.5245),(2405,3295,0.21701,3.5212),(2405,3305,0.21776,3.5179),(2405,3315,0.2184,3.5146),(2405,3325,0.21901,3.5113),(2405,3335,0.21963,3.5079),(2405,3345,0.22024,3.5045),(2405,3355,0.22073,3.5011),(2405,3365,0.22119,3.4977),(2405,3375,0.22165,3.4943),(2405,3385,0.22212,3.4908),(2405,3395,0.22245,3.4874),(2405,3405,0.22276,3.4839),(2405,3415,0.22307,3.4804),(2405,3425,0.22337,3.4769),(2405,3435,0.22354,3.4733),(2405,3445,0.22368,3.4698),(2405,3455,0.22383,3.4663),(2405,3465,0.22398,3.4627),(2405,3475,0.22397,3.4591),(2405,3485,0.22396,3.4556),(2405,3495,0.22394,3.452),(2405,3505,0.22393,3.4484),(2405,3515,0.22374,3.4448),(2405,3525,0.22356,3.4412),(2405,3535,0.22338,3.4376),(2405,3545,0.22319,3.434),(2405,3555,0.22284,3.4304),(2405,3565,0.22249,3.4268),(2405,3575,0.22214,3.4232),(2405,3585,0.22177,3.4196),(2405,3595,0.22125,3.416),(2405,3605,0.22074,3.4124),(2405,3615,0.22022,3.4088),(2405,3625,0.21968,3.4052),(2405,3635,0.21899,3.4016),(2405,3645,0.21831,3.3981),(2405,3655,0.21763,3.3945),(2405,3665,0.21691,3.391),(2405,3675,0.21607,3.3874),(2405,3685,0.21522,3.3839),(2405,3695,0.21437,3.3804),(2405,3705,0.21349,3.3769),(2405,3715,0.21249,3.3734),(2405,3725,0.21148,3.3699),(2405,3735,0.21048,3.3664),(2405,3745,0.20943,3.363),(2405,3755,0.20827,3.3596),(2405,3765,0.20712,3.3561),(2405,3775,0.20596,3.3528),(2405,3785,0.20476,3.3494),(2405,3795,0.20345,3.346),(2405,3805,0.20215,3.3427),(2405,3815,0.20085,3.3394),(2405,3825,0.1995,3.3361),(2405,3835,0.19806,3.3329),(2405,3845,0.19661,3.3296),(2405,3855,0.19517,3.3264),(2405,3865,0.19368,3.3233),(2405,3875,0.19211,3.3201),(2405,3885,0.19054,3.3169),(2405,3895,0.18897,3.3138),(2405,3905,0.21565,3.3108),(2405,3915,0.28451,3.3077),(2405,3925,0.35338,3.303),(2405,3935,0.42224,3.2961),(2405,3945,0.49412,3.2892),(2405,3955,0.56982,3.2823),(2405,3965,0.64553,3.2736),(2405,3975,0.72123,3.2626),(2405,3985,0.76443,3.2516),(2405,3995,0.77246,3.2406),(2405,4005,0.78049,3.2294),(2405,4015,0.78851,3.2182),(2405,4025,0.79783,3.2069),(2405,4035,0.80727,3.1955),(2405,4045,0.81671,3.1839),(2405,4055,0.8263,3.1723),(2405,4065,0.83595,3.1607),(2405,4075,0.8456,3.1487),(2405,4085,0.85487,3.1368),(2405,4095,0.86384,3.1249),(2405,4105,0.87281,3.1126),(2405,4115,0.84948,3.1003),(2405,4125,0.77261,3.088),(2405,4135,0.69575,3.0782),(2405,4145,0.61749,3.0691),(2405,4155,0.53363,3.06),(2405,4165,0.44977,3.0531),(2405,4175,0.37094,3.0475),(2405,4185,0.54075,3.042),(2405,4195,0.71057,3.0332),(2405,4205,0.88038,3.0202),(2405,4215,0.8892,3.0072),(2405,4225,0.86773,2.9942),(2405,4235,0.84625,2.9812),(2405,4245,0.79813,2.9682),(2405,4255,0.73648,2.9553),(2405,4265,0.67484,2.9442),(2405,4275,0.57177,2.9331),(2405,4285,0.42475,2.922),(2405,4295,0.27772,2.918),(2405,4305,0.24268,2.9149),(2405,4315,0.46051,2.9117),(2405,4325,0.67834,2.9024),(2405,4335,0.87356,2.8907),(2405,4345,0.91573,2.879),(2405,4355,0.9579,2.8665),(2405,4365,1.0001,2.8534),(2405,4375,1.0125,2.8403),(2405,4385,1.0235,2.8271),(2405,4395,1.0344,2.8139),(2405,4405,0.90883,2.8008),(2405,4415,0.74303,2.7888),(2405,4425,0.57723,2.7821),(2405,4435,0.51013,2.7754),(2405,4445,0.51047,2.7688),(2405,4455,0.5108,2.7617),(2405,4465,0.59163,2.7547),(2405,4475,0.78554,2.7477),(2405,4485,0.97945,2.735),(2405,4495,1.1301,2.7212),(2405,4505,1.1419,2.7074),(2405,4515,1.1537,2.6937),(2405,4525,1.1631,2.6799),(2405,4535,1.1337,2.6662),(2405,4545,1.1043,2.6531),(2405,4555,1.0749,2.6407),(2405,4565,0.81709,2.6283),(2405,4575,0.52847,2.6187),(2405,4585,0.23986,2.6159),(2405,4595,0.28952,2.6131),(2405,4605,0.4821,2.6092),(2405,4615,0.67469,2.5968),(2405,4625,0.81671,2.5844),(2405,4635,0.91292,2.5719),(2405,4645,1.0091,2.5577),(2405,4655,1.0864,2.5434),(2405,4665,1.1277,2.529),(2405,4675,1.1691,2.5144),(2405,4685,1.1621,2.4997),(2405,4695,0.91602,2.485),(2405,4705,0.66992,2.4754),(2405,4715,0.42382,2.4696),(2405,4725,0.56187,2.4637),(2405,4735,0.70376,2.4565),(2405,4745,0.84565,2.447),(2405,4755,0.99262,2.4376),(2405,4765,1.1408,2.4272),(2405,4775,1.2889,2.4135),(2405,4785,1.3491,2.3998),(2405,4795,1.3585,2.3861),(2405,4805,1.3678,2.3726),(2405,4815,1.3088,2.359),(2405,4825,1.168,2.3455),(2405,4835,1.0272,2.3359),(2405,4845,0.88365,2.3268),(2405,4855,0.73305,2.3178),(2405,4865,0.58245,2.3115),(2405,4875,0.47869,2.3066),(2405,4885,0.80119,2.3016),(2405,4895,1.1237,2.2922),(2405,4905,1.4462,2.2785),(2405,4915,1.4585,2.2648),(2405,4925,1.444,2.2511),(2405,4935,1.4296,2.237),(2405,4945,1.3483,2.223),(2405,4955,1.2438,2.2091),(2405,4965,1.1393,2.1958),(2405,4975,0.91866,2.1825),(2405,4985,0.60831,2.1692),(2405,4995,0.29796,2.1674),(2405,5005,0.23899,2.166),(2405,5015,0.57968,2.1645),(2405,5025,0.92037,2.1561),(2405,5035,1.2149,2.146),(2405,5045,1.3337,2.1359),(2405,5055,1.4525,2.1243),(2405,5065,1.568,2.1117),(2405,5075,1.5751,2.0991),(2405,5085,1.5823,2.0866),(2405,5095,1.5894,2.0743),(2405,5105,1.3916,2.0621),(2405,5115,1.1582,2.0513),(2405,5125,0.92468,2.0448),(2405,5135,0.80999,2.0383),(2405,5145,0.75296,2.0319),(2405,5155,0.69592,2.0264),(2405,5165,0.82582,2.0208),(2405,5175,1.1464,2.0153),(2405,5185,1.4669,2.0032),(2405,5195,1.6883,1.9904),(2405,5205,1.6956,1.9775),(2405,5215,1.7029,1.9649),(2405,5225,1.7012,1.9524),(2405,5235,1.6428,1.9398),(2405,5245,1.5845,1.9283),(2405,5255,1.5261,1.9175),(2405,5265,1.0743,1.9068),(2405,5275,0.60622,1.8998),(2405,5285,0.13816,1.8993),(2405,5295,0.36603,1.8987),(2405,5305,0.7877,1.8955),(2405,5315,1.2094,1.8809),(2405,5325,1.4399,1.8663),(2405,5335,1.545,1.8517),(2405,5345,1.6501,1.8379),(2405,5355,1.7182,1.8241),(2405,5365,1.7363,1.8103),(2405,5375,1.7544,1.797),(2405,5385,1.6672,1.7839),(2405,5395,1.2601,1.7708),(2405,5405,0.85305,1.7639),(2405,5415,0.49018,1.7604),(2405,5425,0.72152,1.7569),(2405,5435,0.95285,1.7494),(2405,5445,1.1842,1.7378),(2405,5455,1.415,1.7262),(2405,5465,1.6459,1.7127),(2405,5475,1.8767,1.6947),(2405,5485,1.9517,1.6767),(2405,5495,1.9641,1.6588),(2405,5505,1.9764,1.6414),(2405,5515,1.9888,1.624),(2405,5525,2.0011,1.6066),(2405,5535,2.0134,1.5896),(2405,5545,2.0254,1.5727),(2405,5555,2.0369,1.5558),(2405,5565,2.0484,1.5393),(2405,5575,2.0597,1.5229),(2405,5585,2.0704,1.5064),(2405,5595,2.0811,1.4903),(2405,5605,2.0917,1.4743),(2405,5615,2.1016,1.4583),(2405,5625,2.1115,1.4425),(2405,5635,2.1214,1.427),(2405,5645,2.1307,1.4115),(2405,5655,2.1398,1.3961),(2405,5665,2.149,1.3809),(2405,5675,2.1577,1.3658),(2405,5685,2.1662,1.3507),(2405,5695,2.1747,1.336),(2405,5705,2.183,1.3213),(2405,5715,2.1909,1.3066),(2405,5725,2.1988,1.2922),(2405,5735,2.2065,1.2778),(2405,5745,2.2138,1.2634),(2405,5755,2.2212,1.2492),(2405,5765,2.2285,1.2352),(2405,5775,2.2353,1.2212),(2405,5785,2.2421,1.2073),(2405,5795,2.2489,1.1936),(2405,5805,2.2553,1.1798),(2405,5815,2.2617,1.1662),(2405,5825,2.268,1.1527),(2405,5835,2.274,1.1393),(2405,5845,2.28,1.1259),(2405,5855,2.2859,1.1127),(2405,5865,2.2915,1.0996),(2405,5875,2.297,1.0864),(2405,5885,2.3026,1.0735),(2405,5895,2.3079,1.0606),(2405,5905,2.313,1.0477),(2405,5915,2.3182,1.0351),(2405,5925,2.3232,1.0224),(2405,5935,2.328,1.0098),(2405,5945,2.3328,0.99733),(2405,5955,2.3376,0.98494),(2405,5965,2.3421,0.97255),(2405,5975,2.3467,0.96026),(2405,5985,2.3513,0.9481),(2405,5995,1.798,0.93594),(2405,6005,1.155,0.92665),(2405,6015,0.51199,0.92504),(2405,6025,0.58398,0.92343),(2405,6035,0.9876,0.92079),(2405,6045,1.3912,0.90834),(2405,6055,1.6759,0.89588),(2405,6065,1.844,0.88342),(2405,6075,2.0121,0.86728),(2405,6085,2.127,0.85079),(2405,6095,2.1323,0.8343),(2405,6105,2.1375,0.81776),(2405,6115,2.1427,0.8012),(2405,6125,2.1477,0.78463),(2405,6135,2.1527,0.7681),(2405,6145,2.1576,0.75161),(2405,6155,2.1622,0.73511),(2405,6165,2.1669,0.71868),(2405,6175,2.1715,0.70236),(2405,6185,2.1758,0.68604),(2405,6195,2.1801,0.66973),(2405,6205,2.1843,0.65344),(2405,6215,2.1884,0.63715),(2405,6225,2.1923,0.62087),(2405,6235,2.1962,0.60464),(2405,6245,2.2,0.58841),(2405,6255,2.2036,0.57218),(2405,6265,2.2072,0.55598),(2405,6275,2.2108,0.53979),(2405,6285,2.214,0.52359),(2405,6295,2.2173,0.50743),(2405,6305,2.2206,0.49127),(2405,6315,2.2235,0.47511),(2405,6325,2.2265,0.45896),(2405,6335,2.2295,0.44281),(2405,6345,2.2321,0.42666),(2405,6355,2.2347,0.41053),(2405,6365,2.2374,0.39444),(2405,6375,2.2397,0.37835),(2405,6385,2.242,0.36228),(2405,6395,2.2443,0.34629),(2405,6405,2.2464,0.33031),(2405,6415,2.2484,0.31432),(2405,6425,2.2503,0.29839),(2405,6435,2.2522,0.28246),(2405,6445,2.2538,0.26653),(2405,6455,2.2554,0.25058),(2405,6465,2.257,0.23464),(2405,6475,2.2583,0.21869),(2405,6485,2.2596,0.20274),(2405,6495,2.2609,0.18679),(2405,6505,2.2619,0.17083),(2405,6515,2.2629,0.15489),(2405,6525,2.2639,0.13897),(2405,6535,2.2647,0.12304),(2405,6545,2.2654,0.10712),(2405,6555,2.2661,0.091199),(2405,6565,2.2666,0.075279),(2405,6575,2.267,0.059364),(2405,6585,2.2673,0.043518),(2405,6595,1.9286,0.027673),(2405,6605,1.2155,0.011827),(2405,6615,0.50232,0.00997),(2405,6625,0.000998,0.009911),(2405,6635,0.000999,0.009852),(2405,6645,0.001,0.009826),(2405,6655,0.001001,0.009815),(2405,6665,0.001002,0.009804),(2405,6675,0.001002,0.009793),(2405,6685,0.001003,0.009782),(2405,6695,0.001004,0.009771),(2405,6705,0.001004,0.00976),(2405,6715,0.001005,0.009749),(2405,6725,0.001006,0.009738),(2405,6735,0.001006,0.009728),(2405,6745,0.001007,0.009717),(2405,6755,0.001008,0.009706),(2405,6765,0.001008,0.009695),(2405,6775,0.001009,0.009685),(2405,6785,0.001009,0.009674),(2405,6795,0.00101,0.009663),(2405,6805,0.001011,0.009653),(2405,6815,0.001011,0.009643),(2405,6825,0.001012,0.009632),(2405,6835,0.001012,0.009622),(2405,6845,0.001013,0.009611),(2405,6855,0.001013,0.009601),(2405,6865,0.001014,0.009591),(2405,6875,0.001014,0.009581),(2405,6885,0.001015,0.00957),(2405,6895,0.001015,0.00956),(2405,6905,0.001016,0.00955),(2405,6915,0.001016,0.00954),(2405,6925,0.001017,0.00953),(2405,6935,0.001017,0.00952),(2405,6945,0.001017,0.00951),(2405,6955,0.001018,0.009499),(2405,6965,0.001018,0.009489),(2405,6975,0.001019,0.009479),(2405,6985,0.001019,0.009469),(2415,5,4.2e-05,3.6848),(2415,15,0.000127,3.6848),(2415,25,0.000211,3.6848),(2415,35,0.000296,3.6848),(2415,45,0.000381,3.6849),(2415,55,0.000465,3.6849),(2415,65,0.00055,3.6849),(2415,75,0.000635,3.6849),(2415,85,0.00072,3.6849),(2415,95,0.000805,3.6849),(2415,105,0.00089,3.6849),(2415,115,0.000976,3.6849),(2415,125,0.001061,3.6849),(2415,135,0.001147,3.6849),(2415,145,0.001233,3.6849),(2415,155,0.001319,3.6849),(2415,165,0.001405,3.6849),(2415,175,0.001491,3.6849),(2415,185,0.001578,3.6849),(2415,195,0.001665,3.6849),(2415,205,0.001752,3.6849),(2415,215,0.00184,3.685),(2415,225,0.001927,3.685),(2415,235,0.002016,3.685),(2415,245,0.002104,3.685),(2415,255,0.002192,3.685),(2415,265,0.002281,3.685),(2415,275,0.002371,3.685),(2415,285,0.00246,3.685),(2415,295,0.002549,3.685),(2415,305,0.00264,3.6851),(2415,315,0.002731,3.6851),(2415,325,0.002822,3.6851),(2415,335,0.002913,3.6851),(2415,345,0.003006,3.6851),(2415,355,0.003099,3.6851),(2415,365,0.003192,3.6852),(2415,375,0.003285,3.6852),(2415,385,0.00338,3.6852),(2415,395,0.003475,3.6852),(2415,405,0.00357,3.6852),(2415,415,0.003666,3.6853),(2415,425,0.003763,3.6853),(2415,435,0.003861,3.6853),(2415,445,0.003958,3.6853),(2415,455,0.004056,3.6853),(2415,465,0.004156,3.6854),(2415,475,0.004256,3.6854),(2415,485,0.004356,3.6854),(2415,495,0.004456,3.6854),(2415,505,0.004559,3.6855),(2415,515,0.004662,3.6855),(2415,525,0.004765,3.6855),(2415,535,0.004869,3.6855),(2415,545,0.004975,3.6856),(2415,555,0.005082,3.6856),(2415,565,0.005188,3.6856),(2415,575,0.005295,3.6857),(2415,585,0.005405,3.6857),(2415,595,0.005515,3.6857),(2415,605,0.005626,3.6857),(2415,615,0.005736,3.6858),(2415,625,0.00585,3.6858),(2415,635,0.005964,3.6858),(2415,645,0.006078,3.6859),(2415,655,0.006193,3.6859),(2415,665,0.006312,3.686),(2415,675,0.00643,3.686),(2415,685,0.006549,3.686),(2415,695,0.006668,3.6861),(2415,705,0.006792,3.6861),(2415,715,0.006915,3.6861),(2415,725,0.007038,3.6862),(2415,735,0.007163,3.6862),(2415,745,0.007292,3.6863),(2415,755,0.007421,3.6863),(2415,765,0.007549,3.6864),(2415,775,0.007679,3.6864),(2415,785,0.007814,3.6864),(2415,795,0.007949,3.6865),(2415,805,0.008083,3.6865),(2415,815,0.008219,3.6866),(2415,825,0.00836,3.6866),(2415,835,0.008501,3.6867),(2415,845,0.008641,3.6867),(2415,855,0.008785,3.6868),(2415,865,0.008932,3.6868),(2415,875,0.00908,3.6869),(2415,885,0.009227,3.6869),(2415,895,0.009378,3.687),(2415,905,0.009533,3.687),(2415,915,0.009688,3.6871),(2415,925,0.009843,3.6872),(2415,935,0.010002,3.6872),(2415,945,0.010165,3.6873),(2415,955,0.010328,3.6873),(2415,965,0.010491,3.6874),(2415,975,0.010658,3.6875),(2415,985,0.01083,3.6875),(2415,995,0.011002,3.6876),(2415,1005,0.011174,3.6876),(2415,1015,0.011351,3.6877),(2415,1025,0.011532,3.6878),(2415,1035,0.011713,3.6878),(2415,1045,0.011894,3.6879),(2415,1055,0.012081,3.688),(2415,1065,0.012273,3.688),(2415,1075,0.012465,3.6881),(2415,1085,0.012656,3.6882),(2415,1095,0.012854,3.6883),(2415,1105,0.013057,3.6883),(2415,1115,0.01326,3.6884),(2415,1125,0.013462,3.6885),(2415,1135,0.013672,3.6885),(2415,1145,0.013887,3.6886),(2415,1155,0.014102,3.6887),(2415,1165,0.014316,3.6888),(2415,1175,0.014539,3.6889),(2415,1185,0.014767,3.6889),(2415,1195,0.014994,3.689),(2415,1205,0.015221,3.6891),(2415,1215,0.015458,3.6892),(2415,1225,0.015699,3.6892),(2415,1235,0.015941,3.6893),(2415,1245,0.016182,3.6894),(2415,1255,0.016434,3.6895),(2415,1265,0.01669,3.6896),(2415,1275,0.016946,3.6897),(2415,1285,0.017202,3.6898),(2415,1295,0.017471,3.6898),(2415,1305,0.017743,3.6899),(2415,1315,0.018015,3.69),(2415,1325,0.018287,3.6901),(2415,1335,0.018573,3.6902),(2415,1345,0.018861,3.6903),(2415,1355,0.01915,3.6904),(2415,1365,0.019439,3.6905),(2415,1375,0.019744,3.6905),(2415,1385,0.020051,3.6906),(2415,1395,0.020358,3.6907),(2415,1405,0.020665,3.6908),(2415,1415,0.02099,3.6909),(2415,1425,0.021317,3.691),(2415,1435,0.021643,3.6911),(2415,1445,0.02197,3.6912),(2415,1455,0.022317,3.6913),(2415,1465,0.022664,3.6914),(2415,1475,0.023012,3.6915),(2415,1485,0.02336,3.6916),(2415,1495,0.023729,3.6916),(2415,1505,0.024099,3.6917),(2415,1515,0.024469,3.6918),(2415,1525,0.02484,3.6919),(2415,1535,0.025233,3.692),(2415,1545,0.025627,3.6921),(2415,1555,0.026021,3.6922),(2415,1565,0.026416,3.6923),(2415,1575,0.026835,3.6924),(2415,1585,0.027253,3.6925),(2415,1595,0.027672,3.6926),(2415,1605,0.028094,3.6927),(2415,1615,0.02854,3.6927),(2415,1625,0.028985,3.6928),(2415,1635,0.029431,3.6929),(2415,1645,0.029881,3.693),(2415,1655,0.030355,3.6931),(2415,1665,0.030829,3.6932),(2415,1675,0.031304,3.6933),(2415,1685,0.031783,3.6933),(2415,1695,0.032288,3.6934),(2415,1705,0.032792,3.6935),(2415,1715,0.033297,3.6936),(2415,1725,0.033809,3.6936),(2415,1735,0.034345,3.6937),(2415,1745,0.034882,3.6938),(2415,1755,0.035418,3.6939),(2415,1765,0.035963,3.6939),(2415,1775,0.036534,3.694),(2415,1785,0.037104,3.6941),(2415,1795,0.037674,3.6941),(2415,1805,0.038255,3.6942),(2415,1815,0.038861,3.6942),(2415,1825,0.039467,3.6943),(2415,1835,0.040073,3.6943),(2415,1845,0.040692,3.6944),(2415,1855,0.041335,3.6944),(2415,1865,0.041979,3.6945),(2415,1875,0.042622,3.6945),(2415,1885,0.043281,3.6945),(2415,1895,0.043963,3.6946),(2415,1905,0.044646,3.6946),(2415,1915,0.045329,3.6946),(2415,1925,0.046029,3.6946),(2415,1935,0.046753,3.6946),(2415,1945,0.047477,3.6946),(2415,1955,0.048201,3.6946),(2415,1965,0.048945,3.6946),(2415,1975,0.049712,3.6946),(2415,1985,0.050479,3.6946),(2415,1995,0.051246,3.6946),(2415,2005,0.052036,3.6946),(2415,2015,0.052848,3.6946),(2415,2025,0.05366,3.6945),(2415,2035,0.054472,3.6945),(2415,2045,0.055309,3.6944),(2415,2055,0.056168,3.6944),(2415,2065,0.057026,3.6943),(2415,2075,0.057885,3.6942),(2415,2085,0.058771,3.6941),(2415,2095,0.059678,3.6941),(2415,2105,0.060584,3.694),(2415,2115,0.06149,3.6938),(2415,2125,0.062428,3.6937),(2415,2135,0.063383,3.6936),(2415,2145,0.064339,3.6935),(2415,2155,0.065295,3.6933),(2415,2165,0.066285,3.6932),(2415,2175,0.067291,3.693),(2415,2185,0.068298,3.6928),(2415,2195,0.069305,3.6926),(2415,2205,0.070348,3.6925),(2415,2215,0.071406,3.6923),(2415,2225,0.072465,3.692),(2415,2235,0.073523,3.6918),(2415,2245,0.074621,3.6915),(2415,2255,0.075731,3.6913),(2415,2265,0.076842,3.691),(2415,2275,0.077953,3.6907),(2415,2285,0.079105,3.6904),(2415,2295,0.080269,3.6901),(2415,2305,0.081432,3.6898),(2415,2315,0.082596,3.6894),(2415,2325,0.083803,3.6891),(2415,2335,0.085019,3.6887),(2415,2345,0.086235,3.6883),(2415,2355,0.087452,3.6879),(2415,2365,0.088713,3.6875),(2415,2375,0.089981,3.6871),(2415,2385,0.09125,3.6866),(2415,2395,0.092519,3.6861),(2415,2405,0.093833,3.6856),(2415,2415,0.095152,3.6851),(2415,2425,0.096472,3.6845),(2415,2435,0.097791,3.684),(2415,2445,0.099157,3.6834),(2415,2455,0.10053,3.6828),(2415,2465,0.1019,3.6822),(2415,2475,0.10326,3.6815),(2415,2485,0.10468,3.6809),(2415,2495,0.10609,3.6802),(2415,2505,0.10751,3.6795),(2415,2515,0.10893,3.6787),(2415,2525,0.11039,3.678),(2415,2535,0.11185,3.6772),(2415,2545,0.11331,3.6764),(2415,2555,0.11477,3.6755),(2415,2565,0.11627,3.6747),(2415,2575,0.11777,3.6738),(2415,2585,0.11927,3.6729),(2415,2595,0.12078,3.6719),(2415,2605,0.12231,3.671),(2415,2615,0.12385,3.67),(2415,2625,0.12539,3.6689),(2415,2635,0.12693,3.6679),(2415,2645,0.1285,3.6668),(2415,2655,0.13006,3.6657),(2415,2665,0.13163,3.6645),(2415,2675,0.1332,3.6633),(2415,2685,0.13479,3.6622),(2415,2695,0.13639,3.661),(2415,2705,0.13798,3.6596),(2415,2715,0.13957,3.6583),(2415,2725,0.14118,3.657),(2415,2735,0.14279,3.6557),(2415,2745,0.1444,3.6542),(2415,2755,0.14601,3.6528),(2415,2765,0.14763,3.6513),(2415,2775,0.14925,3.6499),(2415,2785,0.15087,3.6483),(2415,2795,0.15249,3.6467),(2415,2805,0.15411,3.6451),(2415,2815,0.15573,3.6435),(2415,2825,0.15735,3.6418),(2415,2835,0.15897,3.6401),(2415,2845,0.16058,3.6383),(2415,2855,0.16219,3.6366),(2415,2865,0.1638,3.6347),(2415,2875,0.16541,3.6328),(2415,2885,0.167,3.631),(2415,2895,0.16859,3.629),(2415,2905,0.17018,3.627),(2415,2915,0.17177,3.625),(2415,2925,0.17333,3.623),(2415,2935,0.17489,3.6209),(2415,2945,0.17646,3.6188),(2415,2955,0.178,3.6166),(2415,2965,0.17952,3.6144),(2415,2975,0.18105,3.6122),(2415,2985,0.18257,3.6099),(2415,2995,0.18407,3.6076),(2415,3005,0.18554,3.6053),(2415,3015,0.18701,3.6029),(2415,3025,0.18848,3.6004),(2415,3035,0.18992,3.598),(2415,3045,0.19132,3.5955),(2415,3055,0.19273,3.593),(2415,3065,0.19414,3.5903),(2415,3075,0.1955,3.5877),(2415,3085,0.19683,3.5851),(2415,3095,0.19816,3.5824),(2415,3105,0.19949,3.5797),(2415,3115,0.20076,3.577),(2415,3125,0.202,3.5742),(2415,3135,0.20325,3.5714),(2415,3145,0.20449,3.5685),(2415,3155,0.20566,3.5656),(2415,3165,0.2068,3.5627),(2415,3175,0.20795,3.5598),(2415,3185,0.20909,3.5567),(2415,3195,0.21015,3.5537),(2415,3205,0.21118,3.5507),(2415,3215,0.21221,3.5476),(2415,3225,0.21324,3.5445),(2415,3235,0.21418,3.5414),(2415,3245,0.21508,3.5382),(2415,3255,0.21599,3.535),(2415,3265,0.21689,3.5318),(2415,3275,0.2177,3.5285),(2415,3285,0.21847,3.5253),(2415,3295,0.21924,3.522),(2415,3305,0.22002,3.5186),(2415,3315,0.22067,3.5153),(2415,3325,0.2213,3.5119),(2415,3335,0.22194,3.5085),(2415,3345,0.22257,3.5051),(2415,3355,0.22307,3.5017),(2415,3365,0.22355,3.4982),(2415,3375,0.22403,3.4947),(2415,3385,0.22451,3.4912),(2415,3395,0.22485,3.4877),(2415,3405,0.22517,3.4842),(2415,3415,0.22549,3.4807),(2415,3425,0.22581,3.4771),(2415,3435,0.22599,3.4736),(2415,3445,0.22614,3.47),(2415,3455,0.2263,3.4664),(2415,3465,0.22646,3.4628),(2415,3475,0.22646,3.4592),(2415,3485,0.22645,3.4556),(2415,3495,0.22644,3.4519),(2415,3505,0.22643,3.4483),(2415,3515,0.22626,3.4447),(2415,3525,0.22608,3.441),(2415,3535,0.2259,3.4374),(2415,3545,0.22571,3.4337),(2415,3555,0.22536,3.4301),(2415,3565,0.22501,3.4264),(2415,3575,0.22466,3.4228),(2415,3585,0.2243,3.4191),(2415,3595,0.22378,3.4155),(2415,3605,0.22326,3.4119),(2415,3615,0.22274,3.4082),(2415,3625,0.2222,3.4046),(2415,3635,0.22151,3.401),(2415,3645,0.22082,3.3974),(2415,3655,0.22013,3.3938),(2415,3665,0.21941,3.3902),(2415,3675,0.21856,3.3866),(2415,3685,0.21771,3.383),(2415,3695,0.21685,3.3795),(2415,3705,0.21596,3.3759),(2415,3715,0.21495,3.3724),(2415,3725,0.21393,3.3689),(2415,3735,0.21292,3.3654),(2415,3745,0.21186,3.3619),(2415,3755,0.21069,3.3584),(2415,3765,0.20952,3.355),(2415,3775,0.20835,3.3516),(2415,3785,0.20714,3.3482),(2415,3795,0.20582,3.3448),(2415,3805,0.2045,3.3414),(2415,3815,0.20318,3.3381),(2415,3825,0.20182,3.3347),(2415,3835,0.20036,3.3314),(2415,3845,0.1989,3.3281),(2415,3855,0.19744,3.3249),(2415,3865,0.19594,3.3217),(2415,3875,0.19435,3.3185),(2415,3885,0.19276,3.3153),(2415,3895,0.19117,3.3122),(2415,3905,0.2181,3.3091),(2415,3915,0.28761,3.306),(2415,3925,0.35713,3.3013),(2415,3935,0.42665,3.2943),(2415,3945,0.4992,3.2874),(2415,3955,0.57558,3.2805),(2415,3965,0.65197,3.2716),(2415,3975,0.72836,3.2606),(2415,3985,0.77195,3.2495),(2415,3995,0.78001,3.2384),(2415,4005,0.78808,3.2272),(2415,4015,0.79615,3.2158),(2415,4025,0.80551,3.2044),(2415,4035,0.815,3.193),(2415,4045,0.82449,3.1813),(2415,4055,0.83414,3.1696),(2415,4065,0.84385,3.1579),(2415,4075,0.85357,3.1459),(2415,4085,0.86291,3.1339),(2415,4095,0.87195,3.1219),(2415,4105,0.881,3.1095),(2415,4115,0.85747,3.0971),(2415,4125,0.77995,3.0848),(2415,4135,0.70243,3.0749),(2415,4145,0.6235,3.0657),(2415,4155,0.5389,3.0566),(2415,4165,0.4543,3.0496),(2415,4175,0.37477,3.044),(2415,4185,0.54615,3.0384),(2415,4195,0.71754,3.0296),(2415,4205,0.88892,3.0165),(2415,4215,0.89806,3.0034),(2415,4225,0.87666,2.9903),(2415,4235,0.85527,2.9772),(2415,4245,0.80694,2.9641),(2415,4255,0.74496,2.9512),(2415,4265,0.68297,2.9399),(2415,4275,0.57886,2.9287),(2415,4285,0.43004,2.9175),(2415,4295,0.28123,2.9135),(2415,4305,0.24546,2.9103),(2415,4315,0.46495,2.9071),(2415,4325,0.68445,2.8976),(2415,4335,0.88116,2.8858),(2415,4345,0.92358,2.8739),(2415,4355,0.966,2.8614),(2415,4365,1.0084,2.8482),(2415,4375,1.0209,2.8351),(2415,4385,1.0318,2.8219),(2415,4395,1.0427,2.8086),(2415,4405,0.91611,2.7954),(2415,4415,0.74904,2.7833),(2415,4425,0.58196,2.7766),(2415,4435,0.5144,2.7698),(2415,4445,0.51486,2.7631),(2415,4455,0.51531,2.756),(2415,4465,0.59672,2.749),(2415,4475,0.79186,2.7419),(2415,4485,0.987,2.7293),(2415,4495,1.1386,2.7155),(2415,4505,1.1503,2.7017),(2415,4515,1.1621,2.6879),(2415,4525,1.1714,2.6742),(2415,4535,1.1417,2.6605),(2415,4545,1.112,2.6474),(2415,4555,1.0823,2.635),(2415,4565,0.82298,2.6225),(2415,4575,0.5327,2.6129),(2415,4585,0.24241,2.6101),(2415,4595,0.29303,2.6073),(2415,4605,0.48769,2.6034),(2415,4615,0.68235,2.5909),(2415,4625,0.82544,2.5784),(2415,4635,0.92182,2.5659),(2415,4645,1.0182,2.5515),(2415,4655,1.0955,2.537),(2415,4665,1.1368,2.5225),(2415,4675,1.1781,2.5077),(2415,4685,1.1708,2.4929),(2415,4695,0.9231,2.4781),(2415,4705,0.67538,2.4684),(2415,4715,0.42766,2.4625),(2415,4725,0.56616,2.4566),(2415,4735,0.70852,2.4493),(2415,4745,0.85088,2.4398),(2415,4755,0.99847,2.4302),(2415,4765,1.1473,2.4198),(2415,4775,1.2961,2.406),(2415,4785,1.3565,2.3923),(2415,4795,1.3657,2.3786),(2415,4805,1.375,2.365),(2415,4815,1.3156,2.3514),(2415,4825,1.1741,2.3379),(2415,4835,1.0325,2.3282),(2415,4845,0.88826,2.3192),(2415,4855,0.73706,2.3101),(2415,4865,0.58585,2.3039),(2415,4875,0.48168,2.2989),(2415,4885,0.80544,2.2939),(2415,4895,1.1292,2.2845),(2415,4905,1.453,2.2708),(2415,4915,1.4655,2.2571),(2415,4925,1.4512,2.2433),(2415,4935,1.437,2.2292),(2415,4945,1.3559,2.2152),(2415,4955,1.2516,2.2013),(2415,4965,1.1473,2.1879),(2415,4975,0.9255,2.1746),(2415,4985,0.61289,2.1612),(2415,4995,0.30029,2.1594),(2415,5005,0.24039,2.158),(2415,5015,0.58225,2.1565),(2415,5025,0.9241,2.1482),(2415,5035,1.2196,2.1381),(2415,5045,1.3387,2.128),(2415,5055,1.4577,2.1163),(2415,5065,1.5734,2.1037),(2415,5075,1.5804,2.0911),(2415,5085,1.5874,2.0787),(2415,5095,1.5944,2.0664),(2415,5105,1.396,2.0541),(2415,5115,1.1618,2.0433),(2415,5125,0.92755,2.0368),(2415,5135,0.81259,2.0303),(2415,5145,0.7555,2.0239),(2415,5155,0.69841,2.0184),(2415,5165,0.8287,2.0129),(2415,5175,1.1501,2.0073),(2415,5185,1.4715,1.9952),(2415,5195,1.6933,1.9824),(2415,5205,1.7006,1.9696),(2415,5215,1.7078,1.957),(2415,5225,1.7059,1.9445),(2415,5235,1.6472,1.932),(2415,5245,1.5886,1.9204),(2415,5255,1.5299,1.9097),(2415,5265,1.0771,1.8989),(2415,5275,0.60791,1.892),(2415,5285,0.13877,1.8914),(2415,5295,0.36831,1.8909),(2415,5305,0.79241,1.8876),(2415,5315,1.2165,1.873),(2415,5325,1.4476,1.8583),(2415,5335,1.552,1.8437),(2415,5345,1.6565,1.8299),(2415,5355,1.7241,1.8161),(2415,5365,1.7419,1.8023),(2415,5375,1.7597,1.7891),(2415,5385,1.672,1.7759),(2415,5395,1.2638,1.7628),(2415,5405,0.85551,1.756),(2415,5415,0.49166,1.7525),(2415,5425,0.72448,1.7489),(2415,5435,0.9573,1.7415),(2415,5445,1.1901,1.73),(2415,5455,1.422,1.7184),(2415,5465,1.6537,1.7049),(2415,5475,1.8854,1.687),(2415,5485,1.9606,1.6692),(2415,5495,1.9728,1.6514),(2415,5505,1.9849,1.634),(2415,5515,1.997,1.6167),(2415,5525,2.0091,1.5994),(2415,5535,2.0212,1.5825),(2415,5545,2.033,1.5657),(2415,5555,2.0443,1.5489),(2415,5565,2.0556,1.5324),(2415,5575,2.0668,1.5161),(2415,5585,2.0773,1.4997),(2415,5595,2.0877,1.4837),(2415,5605,2.0982,1.4678),(2415,5615,2.1079,1.4519),(2415,5625,2.1177,1.4362),(2415,5635,2.1274,1.4207),(2415,5645,2.1365,1.4053),(2415,5655,2.1455,1.3899),(2415,5665,2.1545,1.3749),(2415,5675,2.1631,1.3598),(2415,5685,2.1715,1.3448),(2415,5695,2.1798,1.3302),(2415,5705,2.1879,1.3155),(2415,5715,2.1956,1.3009),(2415,5725,2.2034,1.2865),(2415,5735,2.211,1.2722),(2415,5745,2.2182,1.2579),(2415,5755,2.2254,1.2439),(2415,5765,2.2326,1.2299),(2415,5775,2.2393,1.2159),(2415,5785,2.246,1.2021),(2415,5795,2.2527,1.1885),(2415,5805,2.2589,1.1748),(2415,5815,2.2652,1.1613),(2415,5825,2.2714,1.1479),(2415,5835,2.2773,1.1345),(2415,5845,2.2831,1.1212),(2415,5855,2.2889,1.1081),(2415,5865,2.2945,1.095),(2415,5875,2.2999,1.0819),(2415,5885,2.3053,1.0691),(2415,5895,2.3105,1.0563),(2415,5905,2.3156,1.0435),(2415,5915,2.3206,1.0309),(2415,5925,2.3256,1.0183),(2415,5935,2.3302,1.0058),(2415,5945,2.3349,0.99336),(2415,5955,2.3396,0.98104),(2415,5965,2.3441,0.96873),(2415,5975,2.3486,0.95652),(2415,5985,2.3531,0.94443),(2415,5995,1.7994,0.93235),(2415,6005,1.1559,0.92311),(2415,6015,0.51241,0.92151),(2415,6025,0.58543,0.9199),(2415,6035,0.99078,0.91727),(2415,6045,1.3961,0.90485),(2415,6055,1.682,0.89243),(2415,6065,1.8506,0.88001),(2415,6075,2.0193,0.86392),(2415,6085,2.1346,0.84749),(2415,6095,2.1398,0.83106),(2415,6105,2.145,0.81457),(2415,6115,2.1501,0.79807),(2415,6125,2.1551,0.78156),(2415,6135,2.16,0.76509),(2415,6145,2.1649,0.74865),(2415,6155,2.1695,0.73221),(2415,6165,2.1741,0.71583),(2415,6175,2.1787,0.69957),(2415,6185,2.183,0.68331),(2415,6195,2.1872,0.66705),(2415,6205,2.1914,0.65082),(2415,6215,2.1955,0.63459),(2415,6225,2.1994,0.61836),(2415,6235,2.2033,0.60219),(2415,6245,2.207,0.58602),(2415,6255,2.2106,0.56985),(2415,6265,2.2141,0.55372),(2415,6275,2.2176,0.5376),(2415,6285,2.2209,0.52148),(2415,6295,2.2241,0.50537),(2415,6305,2.2274,0.48928),(2415,6315,2.2303,0.47319),(2415,6325,2.2332,0.45711),(2415,6335,2.2362,0.44102),(2415,6345,2.2388,0.42493),(2415,6355,2.2414,0.40887),(2415,6365,2.244,0.39284),(2415,6375,2.2464,0.37681),(2415,6385,2.2487,0.3608),(2415,6395,2.251,0.34487),(2415,6405,2.2531,0.32895),(2415,6415,2.255,0.31302),(2415,6425,2.257,0.29715),(2415,6435,2.2588,0.28128),(2415,6445,2.2604,0.26541),(2415,6455,2.262,0.24953),(2415,6465,2.2635,0.23365),(2415,6475,2.2648,0.21777),(2415,6485,2.2661,0.20189),(2415,6495,2.2674,0.18601),(2415,6505,2.2684,0.17013),(2415,6515,2.2694,0.15426),(2415,6525,2.2704,0.13841),(2415,6535,2.2712,0.12255),(2415,6545,2.2719,0.1067),(2415,6555,2.2726,0.090854),(2415,6565,2.2731,0.075006),(2415,6575,2.2734,0.059162),(2415,6585,2.2738,0.043382),(2415,6595,1.9341,0.027601),(2415,6605,1.2189,0.011821),(2415,6615,0.50375,0.009971),(2415,6625,0.001005,0.009912),(2415,6635,0.001006,0.009852),(2415,6645,0.001007,0.009827),(2415,6655,0.001008,0.009816),(2415,6665,0.001008,0.009805),(2415,6675,0.001009,0.009793),(2415,6685,0.00101,0.009782),(2415,6695,0.00101,0.009772),(2415,6705,0.001011,0.009761),(2415,6715,0.001012,0.00975),(2415,6725,0.001012,0.009739),(2415,6735,0.001013,0.009728),(2415,6745,0.001014,0.009717),(2415,6755,0.001014,0.009707),(2415,6765,0.001015,0.009696),(2415,6775,0.001015,0.009685),(2415,6785,0.001016,0.009675),(2415,6795,0.001016,0.009664),(2415,6805,0.001017,0.009653),(2415,6815,0.001017,0.009643),(2415,6825,0.001018,0.009633),(2415,6835,0.001018,0.009622),(2415,6845,0.001019,0.009612),(2415,6855,0.001019,0.009602),(2415,6865,0.00102,0.009591),(2415,6875,0.00102,0.009581),(2415,6885,0.001021,0.009571),(2415,6895,0.001021,0.00956),(2415,6905,0.001022,0.00955),(2415,6915,0.001022,0.00954),(2415,6925,0.001022,0.00953),(2415,6935,0.001023,0.00952),(2415,6945,0.001023,0.00951),(2415,6955,0.001024,0.0095),(2415,6965,0.001024,0.00949),(2415,6975,0.001025,0.00948),(2415,6985,0.001025,0.00947),(2425,5,4.2e-05,3.6849),(2425,15,0.000125,3.6849),(2425,25,0.000209,3.6849),(2425,35,0.000293,3.6849),(2425,45,0.000377,3.6849),(2425,55,0.000461,3.6849),(2425,65,0.000545,3.6849),(2425,75,0.000629,3.6849),(2425,85,0.000713,3.6849),(2425,95,0.000797,3.685),(2425,105,0.000881,3.685),(2425,115,0.000966,3.685),(2425,125,0.001051,3.685),(2425,135,0.001135,3.685),(2425,145,0.00122,3.685),(2425,155,0.001306,3.685),(2425,165,0.001391,3.685),(2425,175,0.001476,3.685),(2425,185,0.001562,3.685),(2425,195,0.001649,3.685),(2425,205,0.001735,3.685),(2425,215,0.001821,3.685),(2425,225,0.001908,3.685),(2425,235,0.001995,3.6851),(2425,245,0.002083,3.6851),(2425,255,0.00217,3.6851),(2425,265,0.002258,3.6851),(2425,275,0.002347,3.6851),(2425,285,0.002435,3.6851),(2425,295,0.002524,3.6851),(2425,305,0.002613,3.6852),(2425,315,0.002704,3.6852),(2425,325,0.002794,3.6852),(2425,335,0.002884,3.6852),(2425,345,0.002975,3.6852),(2425,355,0.003068,3.6852),(2425,365,0.00316,3.6853),(2425,375,0.003252,3.6853),(2425,385,0.003346,3.6853),(2425,395,0.00344,3.6853),(2425,405,0.003534,3.6853),(2425,415,0.003628,3.6853),(2425,425,0.003724,3.6854),(2425,435,0.003821,3.6854),(2425,445,0.003918,3.6854),(2425,455,0.004014,3.6854),(2425,465,0.004113,3.6855),(2425,475,0.004212,3.6855),(2425,485,0.004311,3.6855),(2425,495,0.00441,3.6855),(2425,505,0.004512,3.6856),(2425,515,0.004614,3.6856),(2425,525,0.004716,3.6856),(2425,535,0.004818,3.6856),(2425,545,0.004924,3.6857),(2425,555,0.005029,3.6857),(2425,565,0.005135,3.6857),(2425,575,0.00524,3.6858),(2425,585,0.005349,3.6858),(2425,595,0.005458,3.6858),(2425,605,0.005567,3.6859),(2425,615,0.005677,3.6859),(2425,625,0.005789,3.6859),(2425,635,0.005902,3.686),(2425,645,0.006015,3.686),(2425,655,0.006129,3.686),(2425,665,0.006246,3.6861),(2425,675,0.006363,3.6861),(2425,685,0.006481,3.6861),(2425,695,0.006599,3.6862),(2425,705,0.006721,3.6862),(2425,715,0.006843,3.6863),(2425,725,0.006965,3.6863),(2425,735,0.007088,3.6864),(2425,745,0.007215,3.6864),(2425,755,0.007343,3.6864),(2425,765,0.00747,3.6865),(2425,775,0.007599,3.6865),(2425,785,0.007732,3.6866),(2425,795,0.007865,3.6866),(2425,805,0.007998,3.6867),(2425,815,0.008133,3.6867),(2425,825,0.008273,3.6868),(2425,835,0.008412,3.6868),(2425,845,0.008551,3.6869),(2425,855,0.008693,3.6869),(2425,865,0.008839,3.687),(2425,875,0.008985,3.687),(2425,885,0.009131,3.6871),(2425,895,0.00928,3.6871),(2425,905,0.009434,3.6872),(2425,915,0.009587,3.6873),(2425,925,0.009741,3.6873),(2425,935,0.009898,3.6874),(2425,945,0.010059,3.6874),(2425,955,0.010221,3.6875),(2425,965,0.010382,3.6876),(2425,975,0.010548,3.6876),(2425,985,0.010718,3.6877),(2425,995,0.010889,3.6878),(2425,1005,0.011059,3.6878),(2425,1015,0.011234,3.6879),(2425,1025,0.011414,3.688),(2425,1035,0.011593,3.688),(2425,1045,0.011773,3.6881),(2425,1055,0.011958,3.6882),(2425,1065,0.012148,3.6882),(2425,1075,0.012338,3.6883),(2425,1085,0.012528,3.6884),(2425,1095,0.012724,3.6885),(2425,1105,0.012925,3.6885),(2425,1115,0.013126,3.6886),(2425,1125,0.013327,3.6887),(2425,1135,0.013535,3.6888),(2425,1145,0.013748,3.6888),(2425,1155,0.013961,3.6889),(2425,1165,0.014174,3.689),(2425,1175,0.014395,3.6891),(2425,1185,0.01462,3.6892),(2425,1195,0.014846,3.6892),(2425,1205,0.015072,3.6893),(2425,1215,0.015307,3.6894),(2425,1225,0.015546,3.6895),(2425,1235,0.015785,3.6896),(2425,1245,0.016025,3.6897),(2425,1255,0.016275,3.6897),(2425,1265,0.016529,3.6898),(2425,1275,0.016784,3.6899),(2425,1285,0.017038,3.69),(2425,1295,0.017305,3.6901),(2425,1305,0.017575,3.6902),(2425,1315,0.017845,3.6903),(2425,1325,0.018115,3.6904),(2425,1335,0.018399,3.6905),(2425,1345,0.018686,3.6906),(2425,1355,0.018974,3.6907),(2425,1365,0.019261,3.6908),(2425,1375,0.019564,3.6908),(2425,1385,0.019869,3.6909),(2425,1395,0.020174,3.691),(2425,1405,0.02048,3.6911),(2425,1415,0.020803,3.6912),(2425,1425,0.021128,3.6913),(2425,1435,0.021453,3.6914),(2425,1445,0.021778,3.6915),(2425,1455,0.022123,3.6916),(2425,1465,0.022469,3.6917),(2425,1475,0.022815,3.6918),(2425,1485,0.023161,3.6919),(2425,1495,0.023529,3.692),(2425,1505,0.023897,3.6921),(2425,1515,0.024265,3.6922),(2425,1525,0.024634,3.6923),(2425,1535,0.025026,3.6924),(2425,1545,0.025419,3.6925),(2425,1555,0.025811,3.6926),(2425,1565,0.026205,3.6927),(2425,1575,0.026622,3.6928),(2425,1585,0.02704,3.6929),(2425,1595,0.027457,3.693),(2425,1605,0.027877,3.6931),(2425,1615,0.028322,3.6932),(2425,1625,0.028766,3.6933),(2425,1635,0.029211,3.6934),(2425,1645,0.02966,3.6935),(2425,1655,0.030133,3.6936),(2425,1665,0.030606,3.6936),(2425,1675,0.031079,3.6937),(2425,1685,0.031558,3.6938),(2425,1695,0.032062,3.6939),(2425,1705,0.032566,3.694),(2425,1715,0.033069,3.6941),(2425,1725,0.03358,3.6942),(2425,1735,0.034116,3.6943),(2425,1745,0.034652,3.6943),(2425,1755,0.035188,3.6944),(2425,1765,0.035733,3.6945),(2425,1775,0.036303,3.6946),(2425,1785,0.036873,3.6946),(2425,1795,0.037443,3.6947),(2425,1805,0.038024,3.6948),(2425,1815,0.03863,3.6948),(2425,1825,0.039236,3.6949),(2425,1835,0.039842,3.695),(2425,1845,0.040461,3.695),(2425,1855,0.041105,3.6951),(2425,1865,0.041749,3.6951),(2425,1875,0.042393,3.6952),(2425,1885,0.043053,3.6952),(2425,1895,0.043736,3.6952),(2425,1905,0.04442,3.6953),(2425,1915,0.045104,3.6953),(2425,1925,0.045805,3.6953),(2425,1935,0.046531,3.6954),(2425,1945,0.047256,3.6954),(2425,1955,0.047982,3.6954),(2425,1965,0.048727,3.6954),(2425,1975,0.049496,3.6954),(2425,1985,0.050265,3.6954),(2425,1995,0.051035,3.6954),(2425,2005,0.051827,3.6954),(2425,2015,0.052641,3.6954),(2425,2025,0.053456,3.6953),(2425,2035,0.054271,3.6953),(2425,2045,0.055111,3.6953),(2425,2055,0.055974,3.6952),(2425,2065,0.056836,3.6952),(2425,2075,0.057698,3.6951),(2425,2085,0.058588,3.695),(2425,2095,0.059499,3.695),(2425,2105,0.06041,3.6949),(2425,2115,0.06132,3.6948),(2425,2125,0.062262,3.6947),(2425,2135,0.063224,3.6946),(2425,2145,0.064185,3.6944),(2425,2155,0.065146,3.6943),(2425,2165,0.066141,3.6942),(2425,2175,0.067154,3.694),(2425,2185,0.068167,3.6939),(2425,2195,0.06918,3.6937),(2425,2205,0.070229,3.6935),(2425,2215,0.071295,3.6933),(2425,2225,0.072361,3.6931),(2425,2235,0.073427,3.6929),(2425,2245,0.074532,3.6926),(2425,2255,0.075651,3.6924),(2425,2265,0.07677,3.6921),(2425,2275,0.077889,3.6919),(2425,2285,0.079051,3.6916),(2425,2295,0.080224,3.6913),(2425,2305,0.081397,3.691),(2425,2315,0.08257,3.6906),(2425,2325,0.083788,3.6903),(2425,2335,0.085015,3.6899),(2425,2345,0.086242,3.6896),(2425,2355,0.08747,3.6891),(2425,2365,0.088743,3.6887),(2425,2375,0.090024,3.6883),(2425,2385,0.091305,3.6879),(2425,2395,0.092585,3.6874),(2425,2405,0.093913,3.6869),(2425,2415,0.095247,3.6864),(2425,2425,0.09658,3.6859),(2425,2435,0.097913,3.6853),(2425,2445,0.099294,3.6848),(2425,2455,0.10068,3.6842),(2425,2465,0.10206,3.6836),(2425,2475,0.10345,3.6829),(2425,2485,0.10488,3.6823),(2425,2495,0.10631,3.6816),(2425,2505,0.10774,3.6809),(2425,2515,0.10918,3.6802),(2425,2525,0.11066,3.6794),(2425,2535,0.11213,3.6787),(2425,2545,0.11361,3.6779),(2425,2555,0.11509,3.677),(2425,2565,0.11661,3.6762),(2425,2575,0.11814,3.6753),(2425,2585,0.11966,3.6744),(2425,2595,0.12118,3.6734),(2425,2605,0.12274,3.6725),(2425,2615,0.1243,3.6715),(2425,2625,0.12586,3.6705),(2425,2635,0.12742,3.6694),(2425,2645,0.12901,3.6684),(2425,2655,0.1306,3.6673),(2425,2665,0.13219,3.6661),(2425,2675,0.13378,3.6649),(2425,2685,0.1354,3.6638),(2425,2695,0.13702,3.6626),(2425,2705,0.13863,3.6612),(2425,2715,0.14025,3.6599),(2425,2725,0.14189,3.6586),(2425,2735,0.14352,3.6573),(2425,2745,0.14516,3.6559),(2425,2755,0.1468,3.6544),(2425,2765,0.14844,3.653),(2425,2775,0.15009,3.6515),(2425,2785,0.15174,3.6499),(2425,2795,0.15338,3.6483),(2425,2805,0.15503,3.6467),(2425,2815,0.15668,3.6451),(2425,2825,0.15833,3.6434),(2425,2835,0.15997,3.6417),(2425,2845,0.16161,3.64),(2425,2855,0.16325,3.6382),(2425,2865,0.16489,3.6363),(2425,2875,0.16653,3.6344),(2425,2885,0.16815,3.6326),(2425,2895,0.16977,3.6306),(2425,2905,0.1714,3.6286),(2425,2915,0.17301,3.6266),(2425,2925,0.1746,3.6246),(2425,2935,0.1762,3.6225),(2425,2945,0.17779,3.6203),(2425,2955,0.17937,3.6181),(2425,2965,0.18092,3.616),(2425,2975,0.18247,3.6137),(2425,2985,0.18403,3.6114),(2425,2995,0.18556,3.6091),(2425,3005,0.18706,3.6067),(2425,3015,0.18856,3.6043),(2425,3025,0.19006,3.6019),(2425,3035,0.19153,3.5994),(2425,3045,0.19296,3.5969),(2425,3055,0.1944,3.5944),(2425,3065,0.19584,3.5917),(2425,3075,0.19723,3.5891),(2425,3085,0.19859,3.5865),(2425,3095,0.19995,3.5838),(2425,3105,0.20131,3.581),(2425,3115,0.20261,3.5782),(2425,3125,0.20388,3.5755),(2425,3135,0.20515,3.5726),(2425,3145,0.20642,3.5697),(2425,3155,0.20763,3.5668),(2425,3165,0.20879,3.5639),(2425,3175,0.20996,3.5609),(2425,3185,0.21113,3.5578),(2425,3195,0.21222,3.5548),(2425,3205,0.21328,3.5518),(2425,3215,0.21433,3.5486),(2425,3225,0.21539,3.5455),(2425,3235,0.21635,3.5423),(2425,3245,0.21728,3.5392),(2425,3255,0.21821,3.5359),(2425,3265,0.21914,3.5326),(2425,3275,0.21996,3.5293),(2425,3285,0.22076,3.5261),(2425,3295,0.22155,3.5227),(2425,3305,0.22235,3.5193),(2425,3315,0.22302,3.516),(2425,3325,0.22367,3.5126),(2425,3335,0.22432,3.5091),(2425,3345,0.22497,3.5057),(2425,3355,0.22549,3.5022),(2425,3365,0.22599,3.4987),(2425,3375,0.22649,3.4952),(2425,3385,0.22698,3.4916),(2425,3395,0.22734,3.4881),(2425,3405,0.22767,3.4846),(2425,3415,0.22801,3.481),(2425,3425,0.22834,3.4774),(2425,3435,0.22853,3.4738),(2425,3445,0.22869,3.4702),(2425,3455,0.22886,3.4665),(2425,3465,0.22903,3.4629),(2425,3475,0.22904,3.4592),(2425,3485,0.22904,3.4556),(2425,3495,0.22904,3.4519),(2425,3505,0.22903,3.4482),(2425,3515,0.22886,3.4445),(2425,3525,0.22869,3.4408),(2425,3535,0.22851,3.4372),(2425,3545,0.22833,3.4335),(2425,3555,0.22798,3.4298),(2425,3565,0.22763,3.4261),(2425,3575,0.22728,3.4224),(2425,3585,0.22692,3.4187),(2425,3595,0.2264,3.415),(2425,3605,0.22588,3.4113),(2425,3615,0.22535,3.4077),(2425,3625,0.22481,3.404),(2425,3635,0.22412,3.4003),(2425,3645,0.22342,3.3967),(2425,3655,0.22273,3.393),(2425,3665,0.222,3.3894),(2425,3675,0.22114,3.3858),(2425,3685,0.22028,3.3822),(2425,3695,0.21942,3.3786),(2425,3705,0.21852,3.375),(2425,3715,0.21749,3.3714),(2425,3725,0.21647,3.3678),(2425,3735,0.21544,3.3643),(2425,3745,0.21438,3.3608),(2425,3755,0.21319,3.3573),(2425,3765,0.21201,3.3538),(2425,3775,0.21082,3.3503),(2425,3785,0.2096,3.3469),(2425,3795,0.20826,3.3435),(2425,3805,0.20693,3.34),(2425,3815,0.20559,3.3367),(2425,3825,0.20421,3.3333),(2425,3835,0.20274,3.33),(2425,3845,0.20126,3.3267),(2425,3855,0.19979,3.3234),(2425,3865,0.19826,3.3202),(2425,3875,0.19665,3.3169),(2425,3885,0.19504,3.3137),(2425,3895,0.19343,3.3106),(2425,3905,0.22061,3.3074),(2425,3915,0.29079,3.3043),(2425,3925,0.36096,3.2996),(2425,3935,0.43114,3.2926),(2425,3945,0.50436,3.2856),(2425,3955,0.58146,3.2786),(2425,3965,0.65855,3.2697),(2425,3975,0.73565,3.2585),(2425,3985,0.77962,3.2474),(2425,3995,0.78773,3.2362),(2425,4005,0.79584,3.2249),(2425,4015,0.80396,3.2135),(2425,4025,0.81337,3.202),(2425,4035,0.82291,3.1904),(2425,4045,0.83245,3.1787),(2425,4055,0.84216,3.1669),(2425,4065,0.85193,3.1551),(2425,4075,0.86169,3.143),(2425,4085,0.8711,3.1309),(2425,4095,0.88021,3.1188),(2425,4105,0.88933,3.1064),(2425,4115,0.8656,3.094),(2425,4125,0.78741,3.0815),(2425,4135,0.70923,3.0716),(2425,4145,0.62963,3.0624),(2425,4155,0.54429,3.0532),(2425,4165,0.45896,3.0461),(2425,4175,0.37874,3.0404),(2425,4185,0.5517,3.0348),(2425,4195,0.72465,3.0259),(2425,4205,0.89761,3.0127),(2425,4215,0.90707,2.9996),(2425,4225,0.88575,2.9864),(2425,4235,0.86443,2.9732),(2425,4245,0.81593,2.96),(2425,4255,0.75362,2.947),(2425,4265,0.69131,2.9357),(2425,4275,0.58615,2.9243),(2425,4285,0.43551,2.913),(2425,4295,0.28487,2.9089),(2425,4305,0.24836,2.9057),(2425,4315,0.46958,2.9024),(2425,4325,0.6908,2.8929),(2425,4335,0.88903,2.8809),(2425,4345,0.93164,2.8689),(2425,4355,0.97425,2.8563),(2425,4365,1.0169,2.8431),(2425,4375,1.0293,2.8298),(2425,4385,1.0402,2.8166),(2425,4395,1.051,2.8033),(2425,4405,0.92352,2.7899),(2425,4415,0.75518,2.7778),(2425,4425,0.58684,2.771),(2425,4435,0.51881,2.7642),(2425,4445,0.51934,2.7574),(2425,4455,0.51987,2.7503),(2425,4465,0.60182,2.7432),(2425,4475,0.79816,2.7362),(2425,4485,0.9945,2.7235),(2425,4495,1.147,2.7097),(2425,4505,1.1586,2.696),(2425,4515,1.1703,2.6822),(2425,4525,1.1796,2.6685),(2425,4535,1.1496,2.6548),(2425,4545,1.1197,2.6416),(2425,4555,1.0898,2.6292),(2425,4565,0.8289,2.6168),(2425,4575,0.53692,2.6071),(2425,4585,0.24494,2.6043),(2425,4595,0.29656,2.6015),(2425,4605,0.49337,2.5976),(2425,4615,0.69018,2.585),(2425,4625,0.8344,2.5724),(2425,4635,0.93099,2.5598),(2425,4645,1.0276,2.5452),(2425,4655,1.105,2.5306),(2425,4665,1.1462,2.5159),(2425,4675,1.1875,2.501),(2425,4685,1.1798,2.4861),(2425,4695,0.93039,2.4712),(2425,4705,0.681,2.4614),(2425,4715,0.4316,2.4555),(2425,4725,0.57058,2.4496),(2425,4735,0.71344,2.4421),(2425,4745,0.85631,2.4325),(2425,4755,1.0045,2.4229),(2425,4765,1.1539,2.4123),(2425,4775,1.3034,2.3986),(2425,4785,1.3639,2.3848),(2425,4795,1.3731,2.371),(2425,4805,1.3823,2.3574),(2425,4815,1.3225,2.3438),(2425,4825,1.1802,2.3303),(2425,4835,1.0378,2.3206),(2425,4845,0.89289,2.3115),(2425,4855,0.7411,2.3025),(2425,4865,0.5893,2.2962),(2425,4875,0.48473,2.2912),(2425,4885,0.80974,2.2862),(2425,4895,1.1348,2.2767),(2425,4905,1.4598,2.263),(2425,4915,1.4726,2.2493),(2425,4925,1.4585,2.2355),(2425,4935,1.4444,2.2214),(2425,4945,1.3635,2.2074),(2425,4955,1.2595,2.1934),(2425,4965,1.1554,2.18),(2425,4975,0.93241,2.1666),(2425,4985,0.61753,2.1532),(2425,4995,0.30264,2.1515),(2425,5005,0.24179,2.15),(2425,5015,0.58481,2.1485),(2425,5025,0.92783,2.1402),(2425,5035,1.2243,2.1301),(2425,5045,1.3436,2.12),(2425,5055,1.4629,2.1084),(2425,5065,1.5789,2.0958),(2425,5075,1.5857,2.0832),(2425,5085,1.5926,2.0707),(2425,5095,1.5995,2.0584),(2425,5105,1.4004,2.0461),(2425,5115,1.1654,2.0353),(2425,5125,0.93046,2.0288),(2425,5135,0.8152,2.0223),(2425,5145,0.75805,2.0159),(2425,5155,0.7009,2.0104),(2425,5165,0.83157,2.0049),(2425,5175,1.1538,1.9994),(2425,5185,1.476,1.9873),(2425,5195,1.6984,1.9745),(2425,5205,1.7055,1.9617),(2425,5215,1.7126,1.9491),(2425,5225,1.7106,1.9366),(2425,5235,1.6516,1.9241),(2425,5245,1.5927,1.9125),(2425,5255,1.5338,1.9018),(2425,5265,1.0798,1.8911),(2425,5275,0.60961,1.8841),(2425,5285,0.13938,1.8835),(2425,5295,0.3706,1.883),(2425,5305,0.79716,1.8797),(2425,5315,1.2237,1.865),(2425,5325,1.4553,1.8504),(2425,5335,1.5591,1.8357),(2425,5345,1.6629,1.8219),(2425,5355,1.7299,1.8081),(2425,5365,1.7474,1.7943),(2425,5375,1.765,1.7811),(2425,5385,1.6768,1.768),(2425,5395,1.2674,1.7549),(2425,5405,0.85798,1.748),(2425,5415,0.49315,1.7445),(2425,5425,0.7274,1.741),(2425,5435,0.96165,1.7336),(2425,5445,1.1959,1.7221),(2425,5455,1.4287,1.7106),(2425,5465,1.6614,1.6972),(2425,5475,1.894,1.6794),(2425,5485,1.9693,1.6616),(2425,5495,1.9812,1.6439),(2425,5505,1.9932,1.6266),(2425,5515,2.0051,1.6094),(2425,5525,2.017,1.5922),(2425,5535,2.0289,1.5754),(2425,5545,2.0405,1.5586),(2425,5555,2.0516,1.5419),(2425,5565,2.0627,1.5255),(2425,5575,2.0736,1.5093),(2425,5585,2.0839,1.493),(2425,5595,2.0942,1.4771),(2425,5605,2.1045,1.4612),(2425,5615,2.1141,1.4454),(2425,5625,2.1236,1.4298),(2425,5635,2.1332,1.4144),(2425,5645,2.1422,1.399),(2425,5655,2.151,1.3838),(2425,5665,2.1599,1.3688),(2425,5675,2.1683,1.3538),(2425,5685,2.1765,1.3389),(2425,5695,2.1847,1.3243),(2425,5705,2.1927,1.3098),(2425,5715,2.2003,1.2952),(2425,5725,2.2079,1.2809),(2425,5735,2.2154,1.2667),(2425,5745,2.2224,1.2525),(2425,5755,2.2295,1.2385),(2425,5765,2.2365,1.2246),(2425,5775,2.2431,1.2107),(2425,5785,2.2497,1.197),(2425,5795,2.2563,1.1834),(2425,5805,2.2624,1.1698),(2425,5815,2.2685,1.1563),(2425,5825,2.2747,1.143),(2425,5835,2.2805,1.1297),(2425,5845,2.2862,1.1165),(2425,5855,2.2918,1.1035),(2425,5865,2.2973,1.0905),(2425,5875,2.3026,1.0774),(2425,5885,2.3079,1.0647),(2425,5895,2.3131,1.0519),(2425,5905,2.318,1.0392),(2425,5915,2.3229,1.0267),(2425,5925,2.3278,1.0142),(2425,5935,2.3324,1.0017),(2425,5945,2.337,0.98939),(2425,5955,2.3416,0.97715),(2425,5965,2.346,0.96491),(2425,5975,2.3504,0.95277),(2425,5985,2.3548,0.94076),(2425,5995,1.8007,0.92875),(2425,6005,1.1568,0.91957),(2425,6015,0.51281,0.91797),(2425,6025,0.58685,0.91637),(2425,6035,0.99391,0.91375),(2425,6045,1.401,0.90137),(2425,6055,1.6879,0.88899),(2425,6065,1.8572,0.8766),(2425,6075,2.0264,0.86056),(2425,6085,2.142,0.84419),(2425,6095,2.1472,0.82782),(2425,6105,2.1523,0.81139),(2425,6115,2.1575,0.79494),(2425,6125,2.1623,0.77849),(2425,6135,2.1672,0.76207),(2425,6145,2.1721,0.74569),(2425,6155,2.1767,0.7293),(2425,6165,2.1812,0.71299),(2425,6175,2.1858,0.69678),(2425,6185,2.19,0.68057),(2425,6195,2.1942,0.66437),(2425,6205,2.1984,0.64819),(2425,6215,2.2024,0.63202),(2425,6225,2.2063,0.61585),(2425,6235,2.2102,0.59974),(2425,6245,2.2139,0.58364),(2425,6255,2.2174,0.56753),(2425,6265,2.2209,0.55147),(2425,6275,2.2244,0.53541),(2425,6285,2.2276,0.51936),(2425,6295,2.2308,0.50332),(2425,6305,2.234,0.4873),(2425,6315,2.237,0.47128),(2425,6325,2.2399,0.45525),(2425,6335,2.2428,0.43923),(2425,6345,2.2454,0.42321),(2425,6355,2.248,0.4072),(2425,6365,2.2506,0.39124),(2425,6375,2.2529,0.37527),(2425,6385,2.2552,0.35932),(2425,6395,2.2575,0.34345),(2425,6405,2.2596,0.32759),(2425,6415,2.2615,0.31172),(2425,6425,2.2634,0.29591),(2425,6435,2.2652,0.2801),(2425,6445,2.2668,0.26429),(2425,6455,2.2684,0.24848),(2425,6465,2.27,0.23266),(2425,6475,2.2713,0.21685),(2425,6485,2.2725,0.20104),(2425,6495,2.2738,0.18523),(2425,6505,2.2748,0.16942),(2425,6515,2.2758,0.15362),(2425,6525,2.2768,0.13784),(2425,6535,2.2775,0.12206),(2425,6545,2.2782,0.10628),(2425,6555,2.2789,0.090509),(2425,6565,2.2794,0.074733),(2425,6575,2.2797,0.058961),(2425,6585,2.2801,0.043245),(2425,6595,1.9395,0.02753),(2425,6605,1.2223,0.011815),(2425,6615,0.50516,0.009972),(2425,6625,0.001012,0.009913),(2425,6635,0.001013,0.009853),(2425,6645,0.001014,0.009828),(2425,6655,0.001014,0.009816),(2425,6665,0.001015,0.009805),(2425,6675,0.001016,0.009794),(2425,6685,0.001016,0.009783),(2425,6695,0.001017,0.009772),(2425,6705,0.001018,0.009761),(2425,6715,0.001018,0.00975),(2425,6725,0.001019,0.009739),(2425,6735,0.001019,0.009729),(2425,6745,0.00102,0.009718),(2425,6755,0.00102,0.009707),(2425,6765,0.001021,0.009696),(2425,6775,0.001022,0.009686),(2425,6785,0.001022,0.009675),(2425,6795,0.001023,0.009664),(2425,6805,0.001023,0.009654),(2425,6815,0.001024,0.009643),(2425,6825,0.001024,0.009633),(2425,6835,0.001025,0.009623),(2425,6845,0.001025,0.009612),(2425,6855,0.001025,0.009602),(2425,6865,0.001026,0.009592),(2425,6875,0.001026,0.009581),(2425,6885,0.001027,0.009571),(2425,6895,0.001027,0.009561),(2425,6905,0.001027,0.009551),(2425,6915,0.001028,0.009541),(2425,6925,0.001028,0.009531),(2425,6935,0.001029,0.00952),(2425,6945,0.001029,0.00951),(2425,6955,0.00103,0.0095),(2425,6965,0.00103,0.00949),(2425,6975,0.00103,0.00948),(2425,6985,0.001031,0.00947),(2435,5,4.1e-05,3.685),(2435,15,0.000124,3.685),(2435,25,0.000207,3.685),(2435,35,0.00029,3.685),(2435,45,0.000373,3.685),(2435,55,0.000456,3.685),(2435,65,0.000539,3.685),(2435,75,0.000622,3.685),(2435,85,0.000705,3.685),(2435,95,0.000789,3.685),(2435,105,0.000872,3.685),(2435,115,0.000956,3.685),(2435,125,0.00104,3.6851),(2435,135,0.001123,3.6851),(2435,145,0.001208,3.6851),(2435,155,0.001292,3.6851),(2435,165,0.001377,3.6851),(2435,175,0.001461,3.6851),(2435,185,0.001546,3.6851),(2435,195,0.001632,3.6851),(2435,205,0.001717,3.6851),(2435,215,0.001802,3.6851),(2435,225,0.001888,3.6851),(2435,235,0.001975,3.6851),(2435,245,0.002061,3.6852),(2435,255,0.002148,3.6852),(2435,265,0.002235,3.6852),(2435,275,0.002322,3.6852),(2435,285,0.00241,3.6852),(2435,295,0.002498,3.6852),(2435,305,0.002587,3.6852),(2435,315,0.002676,3.6853),(2435,325,0.002765,3.6853),(2435,335,0.002854,3.6853),(2435,345,0.002945,3.6853),(2435,355,0.003036,3.6853),(2435,365,0.003127,3.6853),(2435,375,0.003218,3.6854),(2435,385,0.003311,3.6854),(2435,395,0.003404,3.6854),(2435,405,0.003497,3.6854),(2435,415,0.00359,3.6854),(2435,425,0.003686,3.6855),(2435,435,0.003781,3.6855),(2435,445,0.003877,3.6855),(2435,455,0.003972,3.6855),(2435,465,0.00407,3.6856),(2435,475,0.004168,3.6856),(2435,485,0.004266,3.6856),(2435,495,0.004364,3.6856),(2435,505,0.004465,3.6857),(2435,515,0.004566,3.6857),(2435,525,0.004666,3.6857),(2435,535,0.004768,3.6857),(2435,545,0.004872,3.6858),(2435,555,0.004976,3.6858),(2435,565,0.00508,3.6858),(2435,575,0.005185,3.6859),(2435,585,0.005292,3.6859),(2435,595,0.0054,3.6859),(2435,605,0.005508,3.686),(2435,615,0.005616,3.686),(2435,625,0.005728,3.686),(2435,635,0.00584,3.6861),(2435,645,0.005951,3.6861),(2435,655,0.006064,3.6861),(2435,665,0.006179,3.6862),(2435,675,0.006295,3.6862),(2435,685,0.006411,3.6863),(2435,695,0.006528,3.6863),(2435,705,0.006649,3.6863),(2435,715,0.00677,3.6864),(2435,725,0.00689,3.6864),(2435,735,0.007012,3.6865),(2435,745,0.007138,3.6865),(2435,755,0.007264,3.6866),(2435,765,0.00739,3.6866),(2435,775,0.007518,3.6867),(2435,785,0.007649,3.6867),(2435,795,0.007781,3.6868),(2435,805,0.007913,3.6868),(2435,815,0.008046,3.6869),(2435,825,0.008184,3.6869),(2435,835,0.008322,3.687),(2435,845,0.00846,3.687),(2435,855,0.0086,3.6871),(2435,865,0.008745,3.6871),(2435,875,0.008889,3.6872),(2435,885,0.009033,3.6872),(2435,895,0.009181,3.6873),(2435,905,0.009333,3.6874),(2435,915,0.009485,3.6874),(2435,925,0.009637,3.6875),(2435,935,0.009792,3.6875),(2435,945,0.009952,3.6876),(2435,955,0.010112,3.6877),(2435,965,0.010272,3.6877),(2435,975,0.010436,3.6878),(2435,985,0.010605,3.6879),(2435,995,0.010773,3.6879),(2435,1005,0.010942,3.688),(2435,1015,0.011115,3.6881),(2435,1025,0.011293,3.6881),(2435,1035,0.011471,3.6882),(2435,1045,0.011649,3.6883),(2435,1055,0.011833,3.6883),(2435,1065,0.012021,3.6884),(2435,1075,0.012209,3.6885),(2435,1085,0.012397,3.6886),(2435,1095,0.012591,3.6886),(2435,1105,0.012791,3.6887),(2435,1115,0.01299,3.6888),(2435,1125,0.013189,3.6889),(2435,1135,0.013396,3.689),(2435,1145,0.013607,3.689),(2435,1155,0.013818,3.6891),(2435,1165,0.014029,3.6892),(2435,1175,0.014248,3.6893),(2435,1185,0.014472,3.6894),(2435,1195,0.014695,3.6895),(2435,1205,0.014919,3.6896),(2435,1215,0.015153,3.6896),(2435,1225,0.01539,3.6897),(2435,1235,0.015627,3.6898),(2435,1245,0.015865,3.6899),(2435,1255,0.016113,3.69),(2435,1265,0.016366,3.6901),(2435,1275,0.016618,3.6902),(2435,1285,0.01687,3.6903),(2435,1295,0.017135,3.6904),(2435,1305,0.017404,3.6905),(2435,1315,0.017672,3.6906),(2435,1325,0.01794,3.6907),(2435,1335,0.018223,3.6908),(2435,1345,0.018508,3.6909),(2435,1355,0.018793,3.691),(2435,1365,0.019079,3.691),(2435,1375,0.01938,3.6911),(2435,1385,0.019683,3.6912),(2435,1395,0.019987,3.6913),(2435,1405,0.02029,3.6915),(2435,1415,0.020612,3.6916),(2435,1425,0.020935,3.6917),(2435,1435,0.021258,3.6918),(2435,1445,0.021581,3.6919),(2435,1455,0.021924,3.692),(2435,1465,0.022268,3.6921),(2435,1475,0.022613,3.6922),(2435,1485,0.022957,3.6923),(2435,1495,0.023323,3.6924),(2435,1505,0.02369,3.6925),(2435,1515,0.024057,3.6926),(2435,1525,0.024424,3.6927),(2435,1535,0.024815,3.6928),(2435,1545,0.025205,3.6929),(2435,1555,0.025596,3.693),(2435,1565,0.025988,3.6931),(2435,1575,0.026404,3.6932),(2435,1585,0.02682,3.6933),(2435,1595,0.027236,3.6934),(2435,1605,0.027655,3.6935),(2435,1615,0.028099,3.6936),(2435,1625,0.028542,3.6937),(2435,1635,0.028985,3.6938),(2435,1645,0.029432,3.6939),(2435,1655,0.029905,3.694),(2435,1665,0.030377,3.6941),(2435,1675,0.030849,3.6942),(2435,1685,0.031327,3.6943),(2435,1695,0.031829,3.6944),(2435,1705,0.032332,3.6945),(2435,1715,0.032835,3.6946),(2435,1725,0.033345,3.6947),(2435,1735,0.03388,3.6948),(2435,1745,0.034416,3.6949),(2435,1755,0.034951,3.695),(2435,1765,0.035496,3.695),(2435,1775,0.036065,3.6951),(2435,1785,0.036635,3.6952),(2435,1795,0.037205,3.6953),(2435,1805,0.037786,3.6954),(2435,1815,0.038392,3.6954),(2435,1825,0.038998,3.6955),(2435,1835,0.039604,3.6956),(2435,1845,0.040223,3.6956),(2435,1855,0.040867,3.6957),(2435,1865,0.041512,3.6958),(2435,1875,0.042156,3.6958),(2435,1885,0.042816,3.6959),(2435,1895,0.0435,3.6959),(2435,1905,0.044185,3.696),(2435,1915,0.04487,3.696),(2435,1925,0.045572,3.696),(2435,1935,0.046299,3.6961),(2435,1945,0.047026,3.6961),(2435,1955,0.047753,3.6961),(2435,1965,0.0485,3.6961),(2435,1975,0.049271,3.6962),(2435,1985,0.050042,3.6962),(2435,1995,0.050813,3.6962),(2435,2005,0.051608,3.6962),(2435,2015,0.052425,3.6962),(2435,2025,0.053243,3.6962),(2435,2035,0.05406,3.6961),(2435,2045,0.054903,3.6961),(2435,2055,0.055769,3.6961),(2435,2065,0.056634,3.696),(2435,2075,0.0575,3.696),(2435,2085,0.058394,3.6959),(2435,2095,0.059309,3.6959),(2435,2105,0.060224,3.6958),(2435,2115,0.061139,3.6957),(2435,2125,0.062086,3.6956),(2435,2135,0.063052,3.6955),(2435,2145,0.064019,3.6954),(2435,2155,0.064985,3.6953),(2435,2165,0.065986,3.6952),(2435,2175,0.067005,3.695),(2435,2185,0.068024,3.6949),(2435,2195,0.069043,3.6947),(2435,2205,0.070099,3.6945),(2435,2215,0.071172,3.6944),(2435,2225,0.072245,3.6942),(2435,2235,0.073318,3.694),(2435,2245,0.074431,3.6937),(2435,2255,0.075559,3.6935),(2435,2265,0.076686,3.6933),(2435,2275,0.077814,3.693),(2435,2285,0.078984,3.6927),(2435,2295,0.080167,3.6925),(2435,2305,0.08135,3.6921),(2435,2315,0.082533,3.6918),(2435,2325,0.083761,3.6915),(2435,2335,0.084999,3.6912),(2435,2345,0.086237,3.6908),(2435,2355,0.087475,3.6904),(2435,2365,0.088761,3.69),(2435,2375,0.090054,3.6896),(2435,2385,0.091347,3.6891),(2435,2395,0.09264,3.6887),(2435,2405,0.093982,3.6882),(2435,2415,0.095329,3.6877),(2435,2425,0.096676,3.6872),(2435,2435,0.098023,3.6867),(2435,2445,0.099419,3.6861),(2435,2455,0.10082,3.6856),(2435,2465,0.10222,3.6849),(2435,2475,0.10362,3.6843),(2435,2485,0.10507,3.6837),(2435,2495,0.10652,3.6831),(2435,2505,0.10797,3.6823),(2435,2515,0.10942,3.6816),(2435,2525,0.11091,3.6809),(2435,2535,0.11241,3.6802),(2435,2545,0.11391,3.6793),(2435,2555,0.11541,3.6785),(2435,2565,0.11695,3.6777),(2435,2575,0.11849,3.6768),(2435,2585,0.12003,3.6759),(2435,2595,0.12157,3.675),(2435,2605,0.12316,3.674),(2435,2615,0.12474,3.6731),(2435,2625,0.12632,3.672),(2435,2635,0.1279,3.671),(2435,2645,0.12951,3.6699),(2435,2655,0.13113,3.6689),(2435,2665,0.13274,3.6677),(2435,2675,0.13436,3.6665),(2435,2685,0.136,3.6653),(2435,2695,0.13764,3.6642),(2435,2705,0.13928,3.6628),(2435,2715,0.14093,3.6615),(2435,2725,0.14259,3.6602),(2435,2735,0.14425,3.6589),(2435,2745,0.14591,3.6575),(2435,2755,0.14758,3.656),(2435,2765,0.14925,3.6546),(2435,2775,0.15093,3.6531),(2435,2785,0.1526,3.6515),(2435,2795,0.15427,3.65),(2435,2805,0.15595,3.6484),(2435,2815,0.15763,3.6468),(2435,2825,0.15931,3.645),(2435,2835,0.16098,3.6433),(2435,2845,0.16265,3.6416),(2435,2855,0.16432,3.6398),(2435,2865,0.16599,3.6379),(2435,2875,0.16766,3.636),(2435,2885,0.16931,3.6342),(2435,2895,0.17096,3.6322),(2435,2905,0.17262,3.6302),(2435,2915,0.17426,3.6282),(2435,2925,0.17588,3.6261),(2435,2935,0.17751,3.6241),(2435,2945,0.17913,3.6219),(2435,2955,0.18074,3.6197),(2435,2965,0.18232,3.6175),(2435,2975,0.18391,3.6152),(2435,2985,0.18549,3.6129),(2435,2995,0.18705,3.6106),(2435,3005,0.18859,3.6082),(2435,3015,0.19012,3.6058),(2435,3025,0.19165,3.6033),(2435,3035,0.19315,3.6008),(2435,3045,0.19462,3.5983),(2435,3055,0.19608,3.5958),(2435,3065,0.19755,3.5931),(2435,3075,0.19898,3.5905),(2435,3085,0.20036,3.5878),(2435,3095,0.20175,3.5851),(2435,3105,0.20314,3.5823),(2435,3115,0.20448,3.5795),(2435,3125,0.20578,3.5767),(2435,3135,0.20708,3.5738),(2435,3145,0.20838,3.5709),(2435,3155,0.20961,3.568),(2435,3165,0.21081,3.565),(2435,3175,0.212,3.562),(2435,3185,0.2132,3.559),(2435,3195,0.21431,3.5559),(2435,3205,0.2154,3.5528),(2435,3215,0.21648,3.5497),(2435,3225,0.21756,3.5465),(2435,3235,0.21855,3.5433),(2435,3245,0.2195,3.5401),(2435,3255,0.22046,3.5368),(2435,3265,0.22141,3.5335),(2435,3275,0.22226,3.5302),(2435,3285,0.22308,3.5269),(2435,3295,0.22389,3.5235),(2435,3305,0.22471,3.5201),(2435,3315,0.22541,3.5166),(2435,3325,0.22608,3.5132),(2435,3335,0.22674,3.5097),(2435,3345,0.22741,3.5062),(2435,3355,0.22795,3.5027),(2435,3365,0.22846,3.4992),(2435,3375,0.22898,3.4956),(2435,3385,0.22949,3.4921),(2435,3395,0.22986,3.4885),(2435,3405,0.23021,3.4849),(2435,3415,0.23056,3.4813),(2435,3425,0.23091,3.4776),(2435,3435,0.2311,3.474),(2435,3445,0.23128,3.4703),(2435,3455,0.23146,3.4666),(2435,3465,0.23164,3.4629),(2435,3475,0.23165,3.4592),(2435,3485,0.23166,3.4556),(2435,3495,0.23166,3.4518),(2435,3505,0.23167,3.4481),(2435,3515,0.2315,3.4444),(2435,3525,0.23133,3.4407),(2435,3535,0.23116,3.4369),(2435,3545,0.23098,3.4332),(2435,3555,0.23063,3.4295),(2435,3565,0.23029,3.4257),(2435,3575,0.22994,3.422),(2435,3585,0.22958,3.4183),(2435,3595,0.22905,3.4145),(2435,3605,0.22853,3.4108),(2435,3615,0.228,3.4071),(2435,3625,0.22746,3.4034),(2435,3635,0.22676,3.3997),(2435,3645,0.22606,3.396),(2435,3655,0.22536,3.3923),(2435,3665,0.22463,3.3886),(2435,3675,0.22376,3.385),(2435,3685,0.22289,3.3813),(2435,3695,0.22202,3.3777),(2435,3705,0.22111,3.374),(2435,3715,0.22007,3.3704),(2435,3725,0.21904,3.3668),(2435,3735,0.218,3.3632),(2435,3745,0.21692,3.3597),(2435,3755,0.21572,3.3561),(2435,3765,0.21453,3.3526),(2435,3775,0.21333,3.3491),(2435,3785,0.21209,3.3456),(2435,3795,0.21074,3.3422),(2435,3805,0.20939,3.3387),(2435,3815,0.20804,3.3353),(2435,3825,0.20664,3.3319),(2435,3835,0.20514,3.3285),(2435,3845,0.20365,3.3252),(2435,3855,0.20215,3.3219),(2435,3865,0.20061,3.3186),(2435,3875,0.19898,3.3153),(2435,3885,0.19735,3.3121),(2435,3895,0.19572,3.3089),(2435,3905,0.22315,3.3058),(2435,3915,0.29399,3.3026),(2435,3925,0.36482,3.2978),(2435,3935,0.43566,3.2908),(2435,3945,0.50957,3.2838),(2435,3955,0.58738,3.2767),(2435,3965,0.66518,3.2678),(2435,3975,0.74299,3.2565),(2435,3985,0.78736,3.2453),(2435,3995,0.79551,3.2341),(2435,4005,0.80367,3.2227),(2435,4015,0.81183,3.2111),(2435,4025,0.8213,3.1996),(2435,4035,0.83089,3.1879),(2435,4045,0.84048,3.1761),(2435,4055,0.85024,3.1642),(2435,4065,0.86006,3.1523),(2435,4075,0.86988,3.1401),(2435,4085,0.87935,3.128),(2435,4095,0.88854,3.1158),(2435,4105,0.89772,3.1033),(2435,4115,0.87378,3.0908),(2435,4125,0.79493,3.0782),(2435,4135,0.71607,3.0683),(2435,4145,0.63579,3.059),(2435,4155,0.54973,3.0497),(2435,4165,0.46367,3.0426),(2435,4175,0.38277,3.0369),(2435,4185,0.5573,3.0312),(2435,4195,0.73183,3.0222),(2435,4205,0.90636,3.009),(2435,4215,0.91614,2.9957),(2435,4225,0.8949,2.9825),(2435,4235,0.87366,2.9692),(2435,4245,0.82497,2.956),(2435,4255,0.76235,2.9428),(2435,4265,0.69974,2.9314),(2435,4275,0.59352,2.92),(2435,4285,0.44104,2.9085),(2435,4295,0.28856,2.9044),(2435,4305,0.25131,2.9011),(2435,4315,0.47427,2.8978),(2435,4325,0.69724,2.8881),(2435,4335,0.89701,2.876),(2435,4345,0.93978,2.8639),(2435,4355,0.98256,2.8512),(2435,4365,1.0253,2.8379),(2435,4375,1.0378,2.8246),(2435,4385,1.0486,2.8113),(2435,4395,1.0595,2.7979),(2435,4405,0.93097,2.7845),(2435,4415,0.76137,2.7724),(2435,4425,0.59177,2.7655),(2435,4435,0.52327,2.7586),(2435,4445,0.52386,2.7517),(2435,4455,0.52445,2.7446),(2435,4465,0.60693,2.7375),(2435,4475,0.80446,2.7304),(2435,4485,1.002,2.7178),(2435,4495,1.1553,2.704),(2435,4505,1.167,2.6902),(2435,4515,1.1786,2.6765),(2435,4525,1.1877,2.6628),(2435,4535,1.1576,2.649),(2435,4545,1.1274,2.6359),(2435,4555,1.0972,2.6234),(2435,4565,0.83483,2.611),(2435,4575,0.54114,2.6013),(2435,4585,0.24745,2.5985),(2435,4595,0.3001,2.5958),(2435,4605,0.49908,2.5919),(2435,4615,0.69806,2.5791),(2435,4625,0.84344,2.5664),(2435,4635,0.94027,2.5537),(2435,4645,1.0371,2.539),(2435,4655,1.1146,2.5242),(2435,4665,1.1558,2.5093),(2435,4675,1.1969,2.4943),(2435,4685,1.1888,2.4793),(2435,4695,0.93776,2.4642),(2435,4705,0.68667,2.4544),(2435,4715,0.43558,2.4484),(2435,4725,0.57505,2.4425),(2435,4735,0.71844,2.435),(2435,4745,0.86182,2.4253),(2435,4755,1.0106,2.4156),(2435,4765,1.1607,2.4049),(2435,4775,1.3107,2.3911),(2435,4785,1.3714,2.3773),(2435,4795,1.3805,2.3635),(2435,4805,1.3896,2.3499),(2435,4815,1.3294,2.3362),(2435,4825,1.1863,2.3226),(2435,4835,1.0432,2.313),(2435,4845,0.89752,2.3039),(2435,4855,0.74515,2.2948),(2435,4865,0.59277,2.2885),(2435,4875,0.48779,2.2835),(2435,4885,0.81407,2.2785),(2435,4895,1.1403,2.269),(2435,4905,1.4666,2.2553),(2435,4915,1.4796,2.2415),(2435,4925,1.4657,2.2277),(2435,4935,1.4518,2.2136),(2435,4945,1.3711,2.1996),(2435,4955,1.2674,2.1856),(2435,4965,1.1636,2.1722),(2435,4975,0.93936,2.1587),(2435,4985,0.62217,2.1452),(2435,4995,0.30499,2.1435),(2435,5005,0.24318,2.142),(2435,5015,0.58737,2.1406),(2435,5025,0.93156,2.1322),(2435,5035,1.229,2.1221),(2435,5045,1.3486,2.1121),(2435,5055,1.4681,2.1004),(2435,5065,1.5843,2.0878),(2435,5075,1.5911,2.0752),(2435,5085,1.5978,2.0628),(2435,5095,1.6046,2.0505),(2435,5105,1.4049,2.0382),(2435,5115,1.1691,2.0274),(2435,5125,0.93337,2.0209),(2435,5135,0.81782,2.0144),(2435,5145,0.76061,2.0079),(2435,5155,0.70339,2.0024),(2435,5165,0.83444,1.9969),(2435,5175,1.1575,1.9914),(2435,5185,1.4806,1.9793),(2435,5195,1.7035,1.9665),(2435,5205,1.7105,1.9538),(2435,5215,1.7175,1.9412),(2435,5225,1.7153,1.9287),(2435,5235,1.6561,1.9162),(2435,5245,1.5969,1.9046),(2435,5255,1.5376,1.8939),(2435,5265,1.0826,1.8832),(2435,5275,0.61132,1.8762),(2435,5285,0.14,1.8757),(2435,5295,0.3729,1.8751),(2435,5305,0.80192,1.8718),(2435,5315,1.2309,1.8571),(2435,5325,1.4631,1.8424),(2435,5335,1.5662,1.8278),(2435,5345,1.6692,1.814),(2435,5355,1.7358,1.8002),(2435,5365,1.753,1.7864),(2435,5375,1.7703,1.7732),(2435,5385,1.6816,1.76),(2435,5395,1.271,1.7469),(2435,5405,0.86046,1.7401),(2435,5415,0.49464,1.7366),(2435,5425,0.73031,1.733),(2435,5435,0.96598,1.7257),(2435,5445,1.2016,1.7142),(2435,5455,1.4354,1.7028),(2435,5465,1.6689,1.6894),(2435,5475,1.9025,1.6717),(2435,5485,1.9779,1.654),(2435,5495,1.9896,1.6364),(2435,5505,2.0014,1.6192),(2435,5515,2.0131,1.6021),(2435,5525,2.0248,1.5849),(2435,5535,2.0364,1.5683),(2435,5545,2.0479,1.5516),(2435,5555,2.0588,1.535),(2435,5565,2.0697,1.5187),(2435,5575,2.0804,1.5025),(2435,5585,2.0905,1.4863),(2435,5595,2.1007,1.4704),(2435,5605,2.1108,1.4547),(2435,5615,2.1202,1.439),(2435,5625,2.1295,1.4234),(2435,5635,2.1389,1.4081),(2435,5645,2.1477,1.3928),(2435,5655,2.1564,1.3776),(2435,5665,2.1651,1.3627),(2435,5675,2.1734,1.3478),(2435,5685,2.1815,1.333),(2435,5695,2.1896,1.3185),(2435,5705,2.1974,1.304),(2435,5715,2.2048,1.2895),(2435,5725,2.2123,1.2753),(2435,5735,2.2197,1.2612),(2435,5745,2.2266,1.247),(2435,5755,2.2336,1.2331),(2435,5765,2.2405,1.2193),(2435,5775,2.2469,1.2055),(2435,5785,2.2534,1.1918),(2435,5795,2.2598,1.1783),(2435,5805,2.2659,1.1648),(2435,5815,2.2719,1.1514),(2435,5825,2.2779,1.1382),(2435,5835,2.2836,1.125),(2435,5845,2.2892,1.1118),(2435,5855,2.2947,1.0988),(2435,5865,2.3001,1.0859),(2435,5875,2.3053,1.0729),(2435,5885,2.3105,1.0603),(2435,5895,2.3155,1.0476),(2435,5905,2.3204,1.0349),(2435,5915,2.3252,1.0225),(2435,5925,2.33,1.0101),(2435,5935,2.3345,0.99767),(2435,5945,2.339,0.98542),(2435,5955,2.3435,0.97325),(2435,5965,2.3478,0.96109),(2435,5975,2.3521,0.94903),(2435,5985,2.3564,0.93709),(2435,5995,1.8019,0.92515),(2435,6005,1.1576,0.91603),(2435,6015,0.51319,0.91444),(2435,6025,0.58827,0.91284),(2435,6035,0.99702,0.91024),(2435,6045,1.4058,0.89789),(2435,6055,1.6939,0.88554),(2435,6065,1.8637,0.87319),(2435,6075,2.0334,0.85721),(2435,6085,2.1494,0.84089),(2435,6095,2.1545,0.82457),(2435,6105,2.1597,0.8082),(2435,6115,2.1647,0.79181),(2435,6125,2.1696,0.77541),(2435,6135,2.1744,0.75906),(2435,6145,2.1793,0.74273),(2435,6155,2.1838,0.7264),(2435,6165,2.1883,0.71014),(2435,6175,2.1928,0.69399),(2435,6185,2.1971,0.67783),(2435,6195,2.2012,0.66169),(2435,6205,2.2054,0.64557),(2435,6215,2.2094,0.62946),(2435,6225,2.2132,0.61334),(2435,6235,2.217,0.5973),(2435,6245,2.2207,0.58126),(2435,6255,2.2242,0.56521),(2435,6265,2.2277,0.54922),(2435,6275,2.2311,0.53323),(2435,6285,2.2343,0.51724),(2435,6295,2.2375,0.50127),(2435,6305,2.2407,0.48531),(2435,6315,2.2436,0.46936),(2435,6325,2.2464,0.4534),(2435,6335,2.2493,0.43744),(2435,6345,2.2519,0.42148),(2435,6355,2.2545,0.40554),(2435,6365,2.2571,0.38964),(2435,6375,2.2594,0.37373),(2435,6385,2.2616,0.35784),(2435,6395,2.2639,0.34204),(2435,6405,2.266,0.32623),(2435,6415,2.2679,0.31042),(2435,6425,2.2698,0.29466),(2435,6435,2.2716,0.27892),(2435,6445,2.2732,0.26317),(2435,6455,2.2748,0.24742),(2435,6465,2.2764,0.23168),(2435,6475,2.2776,0.21593),(2435,6485,2.2789,0.20019),(2435,6495,2.2802,0.18446),(2435,6505,2.2812,0.16872),(2435,6515,2.2821,0.15299),(2435,6525,2.2831,0.13728),(2435,6535,2.2838,0.12158),(2435,6545,2.2845,0.10587),(2435,6555,2.2852,0.090164),(2435,6565,2.2857,0.07446),(2435,6575,2.286,0.058759),(2435,6585,2.2864,0.043109),(2435,6595,1.9448,0.027458),(2435,6605,1.2257,0.011808),(2435,6615,0.50655,0.009973),(2435,6625,0.001019,0.009914),(2435,6635,0.00102,0.009854),(2435,6645,0.001021,0.009828),(2435,6655,0.001021,0.009817),(2435,6665,0.001022,0.009806),(2435,6675,0.001022,0.009795),(2435,6685,0.001023,0.009784),(2435,6695,0.001024,0.009773),(2435,6705,0.001024,0.009762),(2435,6715,0.001025,0.009751),(2435,6725,0.001025,0.00974),(2435,6735,0.001026,0.009729),(2435,6745,0.001026,0.009718),(2435,6755,0.001027,0.009708),(2435,6765,0.001027,0.009697),(2435,6775,0.001028,0.009686),(2435,6785,0.001028,0.009676),(2435,6795,0.001029,0.009665),(2435,6805,0.001029,0.009654),(2435,6815,0.00103,0.009644),(2435,6825,0.00103,0.009633),(2435,6835,0.001031,0.009623),(2435,6845,0.001031,0.009613),(2435,6855,0.001032,0.009602),(2435,6865,0.001032,0.009592),(2435,6875,0.001032,0.009582),(2435,6885,0.001033,0.009572),(2435,6895,0.001033,0.009561),(2435,6905,0.001033,0.009551),(2435,6915,0.001034,0.009541),(2435,6925,0.001034,0.009531),(2435,6935,0.001035,0.009521),(2435,6945,0.001035,0.009511),(2435,6955,0.001035,0.009501),(2435,6965,0.001036,0.009491),(2435,6975,0.001036,0.00948),(2435,6985,0.001036,0.00947),(2445,5,4.1e-05,3.6851),(2445,15,0.000123,3.6851),(2445,25,0.000205,3.6851),(2445,35,0.000287,3.6851),(2445,45,0.000369,3.6851),(2445,55,0.000451,3.6851),(2445,65,0.000533,3.6851),(2445,75,0.000616,3.6851),(2445,85,0.000698,3.6851),(2445,95,0.000781,3.6851),(2445,105,0.000863,3.6851),(2445,115,0.000946,3.6851),(2445,125,0.001029,3.6851),(2445,135,0.001112,3.6851),(2445,145,0.001195,3.6851),(2445,155,0.001279,3.6852),(2445,165,0.001362,3.6852),(2445,175,0.001446,3.6852),(2445,185,0.00153,3.6852),(2445,195,0.001615,3.6852),(2445,205,0.001699,3.6852),(2445,215,0.001784,3.6852),(2445,225,0.001869,3.6852),(2445,235,0.001954,3.6852),(2445,245,0.00204,3.6852),(2445,255,0.002125,3.6853),(2445,265,0.002212,3.6853),(2445,275,0.002298,3.6853),(2445,285,0.002385,3.6853),(2445,295,0.002472,3.6853),(2445,305,0.00256,3.6853),(2445,315,0.002648,3.6853),(2445,325,0.002736,3.6854),(2445,335,0.002824,3.6854),(2445,345,0.002914,3.6854),(2445,355,0.003004,3.6854),(2445,365,0.003094,3.6854),(2445,375,0.003184,3.6855),(2445,385,0.003276,3.6855),(2445,395,0.003368,3.6855),(2445,405,0.00346,3.6855),(2445,415,0.003552,3.6855),(2445,425,0.003647,3.6856),(2445,435,0.003741,3.6856),(2445,445,0.003835,3.6856),(2445,455,0.00393,3.6856),(2445,465,0.004027,3.6857),(2445,475,0.004124,3.6857),(2445,485,0.004221,3.6857),(2445,495,0.004318,3.6857),(2445,505,0.004417,3.6858),(2445,515,0.004517,3.6858),(2445,525,0.004617,3.6858),(2445,535,0.004717,3.6858),(2445,545,0.00482,3.6859),(2445,555,0.004923,3.6859),(2445,565,0.005026,3.6859),(2445,575,0.005129,3.686),(2445,585,0.005236,3.686),(2445,595,0.005342,3.686),(2445,605,0.005449,3.6861),(2445,615,0.005556,3.6861),(2445,625,0.005666,3.6861),(2445,635,0.005777,3.6862),(2445,645,0.005887,3.6862),(2445,655,0.005998,3.6863),(2445,665,0.006113,3.6863),(2445,675,0.006228,3.6863),(2445,685,0.006342,3.6864),(2445,695,0.006458,3.6864),(2445,705,0.006577,3.6865),(2445,715,0.006697,3.6865),(2445,725,0.006816,3.6866),(2445,735,0.006936,3.6866),(2445,745,0.007061,3.6866),(2445,755,0.007186,3.6867),(2445,765,0.00731,3.6867),(2445,775,0.007436,3.6868),(2445,785,0.007567,3.6868),(2445,795,0.007697,3.6869),(2445,805,0.007827,3.6869),(2445,815,0.007959,3.687),(2445,825,0.008096,3.687),(2445,835,0.008232,3.6871),(2445,845,0.008368,3.6872),(2445,855,0.008507,3.6872),(2445,865,0.00865,3.6873),(2445,875,0.008793,3.6873),(2445,885,0.008936,3.6874),(2445,895,0.009082,3.6874),(2445,905,0.009232,3.6875),(2445,915,0.009383,3.6876),(2445,925,0.009533,3.6876),(2445,935,0.009687,3.6877),(2445,945,0.009845,3.6878),(2445,955,0.010004,3.6878),(2445,965,0.010162,3.6879),(2445,975,0.010324,3.688),(2445,985,0.010491,3.688),(2445,995,0.010658,3.6881),(2445,1005,0.010825,3.6882),(2445,1015,0.010997,3.6882),(2445,1025,0.011173,3.6883),(2445,1035,0.011349,3.6884),(2445,1045,0.011525,3.6885),(2445,1055,0.011707,3.6885),(2445,1065,0.011893,3.6886),(2445,1075,0.01208,3.6887),(2445,1085,0.012266,3.6888),(2445,1095,0.012459,3.6888),(2445,1105,0.012656,3.6889),(2445,1115,0.012854,3.689),(2445,1125,0.013051,3.6891),(2445,1135,0.013256,3.6892),(2445,1145,0.013465,3.6893),(2445,1155,0.013674,3.6893),(2445,1165,0.013883,3.6894),(2445,1175,0.014101,3.6895),(2445,1185,0.014323,3.6896),(2445,1195,0.014545,3.6897),(2445,1205,0.014767,3.6898),(2445,1215,0.014998,3.6899),(2445,1225,0.015234,3.69),(2445,1235,0.01547,3.6901),(2445,1245,0.015705,3.6902),(2445,1255,0.015952,3.6902),(2445,1265,0.016202,3.6903),(2445,1275,0.016453,3.6904),(2445,1285,0.016703,3.6905),(2445,1295,0.016966,3.6906),(2445,1305,0.017232,3.6907),(2445,1315,0.017499,3.6908),(2445,1325,0.017765,3.6909),(2445,1335,0.018046,3.691),(2445,1345,0.018329,3.6911),(2445,1355,0.018613,3.6912),(2445,1365,0.018896,3.6913),(2445,1375,0.019196,3.6914),(2445,1385,0.019497,3.6915),(2445,1395,0.019799,3.6917),(2445,1405,0.020101,3.6918),(2445,1415,0.02042,3.6919),(2445,1425,0.020742,3.692),(2445,1435,0.021063,3.6921),(2445,1445,0.021384,3.6922),(2445,1455,0.021726,3.6923),(2445,1465,0.022068,3.6924),(2445,1475,0.022411,3.6925),(2445,1485,0.022753,3.6926),(2445,1495,0.023118,3.6927),(2445,1505,0.023483,3.6928),(2445,1515,0.023848,3.693),(2445,1525,0.024214,3.6931),(2445,1535,0.024603,3.6932),(2445,1545,0.024992,3.6933),(2445,1555,0.025381,3.6934),(2445,1565,0.025772,3.6935),(2445,1575,0.026186,3.6936),(2445,1585,0.026601,3.6937),(2445,1595,0.027016,3.6938),(2445,1605,0.027433,3.6939),(2445,1615,0.027875,3.6941),(2445,1625,0.028317,3.6942),(2445,1635,0.028759,3.6943),(2445,1645,0.029205,3.6944),(2445,1655,0.029676,3.6945),(2445,1665,0.030147,3.6946),(2445,1675,0.030618,3.6947),(2445,1685,0.031095,3.6948),(2445,1695,0.031597,3.6949),(2445,1705,0.032099,3.695),(2445,1715,0.032601,3.6951),(2445,1725,0.03311,3.6952),(2445,1735,0.033645,3.6953),(2445,1745,0.034179,3.6954),(2445,1755,0.034714,3.6955),(2445,1765,0.035258,3.6956),(2445,1775,0.035827,3.6957),(2445,1785,0.036397,3.6958),(2445,1795,0.036966,3.6959),(2445,1805,0.037547,3.6959),(2445,1815,0.038153,3.696),(2445,1825,0.038759,3.6961),(2445,1835,0.039365,3.6962),(2445,1845,0.039984,3.6963),(2445,1855,0.040629,3.6963),(2445,1865,0.041274,3.6964),(2445,1875,0.041919,3.6965),(2445,1885,0.042579,3.6965),(2445,1895,0.043265,3.6966),(2445,1905,0.04395,3.6967),(2445,1915,0.044636,3.6967),(2445,1925,0.045339,3.6968),(2445,1935,0.046068,3.6968),(2445,1945,0.046796,3.6968),(2445,1955,0.047524,3.6969),(2445,1965,0.048273,3.6969),(2445,1975,0.049046,3.6969),(2445,1985,0.049819,3.697),(2445,1995,0.050592,3.697),(2445,2005,0.051389,3.697),(2445,2015,0.052209,3.697),(2445,2025,0.053029,3.697),(2445,2035,0.053849,3.697),(2445,2045,0.054695,3.6969),(2445,2055,0.055564,3.6969),(2445,2065,0.056433,3.6969),(2445,2075,0.057302,3.6969),(2445,2085,0.0582,3.6968),(2445,2095,0.05912,3.6968),(2445,2105,0.060039,3.6967),(2445,2115,0.060958,3.6966),(2445,2125,0.06191,3.6966),(2445,2135,0.062881,3.6965),(2445,2145,0.063852,3.6964),(2445,2155,0.064824,3.6963),(2445,2165,0.065831,3.6962),(2445,2175,0.066856,3.6961),(2445,2185,0.067881,3.6959),(2445,2195,0.068906,3.6958),(2445,2205,0.069969,3.6956),(2445,2215,0.071049,3.6955),(2445,2225,0.072129,3.6953),(2445,2235,0.073209,3.6951),(2445,2245,0.07433,3.6949),(2445,2255,0.075466,3.6947),(2445,2265,0.076602,3.6944),(2445,2275,0.077738,3.6942),(2445,2285,0.078918,3.6939),(2445,2295,0.08011,3.6937),(2445,2305,0.081303,3.6934),(2445,2315,0.082495,3.693),(2445,2325,0.083734,3.6927),(2445,2335,0.084983,3.6924),(2445,2345,0.086232,3.692),(2445,2355,0.087481,3.6917),(2445,2365,0.088778,3.6913),(2445,2375,0.090084,3.6909),(2445,2385,0.091389,3.6905),(2445,2395,0.092695,3.69),(2445,2405,0.09405,3.6896),(2445,2415,0.095411,3.6891),(2445,2425,0.096772,3.6886),(2445,2435,0.098133,3.6881),(2445,2445,0.099545,3.6875),(2445,2455,0.10096,3.687),(2445,2465,0.10237,3.6864),(2445,2475,0.10379,3.6858),(2445,2485,0.10525,3.6851),(2445,2495,0.10672,3.6845),(2445,2505,0.10819,3.6838),(2445,2515,0.10966,3.6831),(2445,2525,0.11117,3.6824),(2445,2535,0.11269,3.6817),(2445,2545,0.1142,3.6809),(2445,2555,0.11572,3.68),(2445,2565,0.11728,3.6792),(2445,2575,0.11884,3.6784),(2445,2585,0.1204,3.6775),(2445,2595,0.12197,3.6766),(2445,2605,0.12357,3.6756),(2445,2615,0.12517,3.6747),(2445,2625,0.12677,3.6737),(2445,2635,0.12838,3.6726),(2445,2645,0.13002,3.6716),(2445,2655,0.13166,3.6705),(2445,2665,0.13329,3.6694),(2445,2675,0.13494,3.6682),(2445,2685,0.1366,3.667),(2445,2695,0.13827,3.6658),(2445,2705,0.13993,3.6645),(2445,2715,0.1416,3.6632),(2445,2725,0.14329,3.6619),(2445,2735,0.14498,3.6606),(2445,2745,0.14667,3.6592),(2445,2755,0.14836,3.6577),(2445,2765,0.15006,3.6563),(2445,2775,0.15176,3.6548),(2445,2785,0.15346,3.6533),(2445,2795,0.15517,3.6517),(2445,2805,0.15687,3.6501),(2445,2815,0.15858,3.6485),(2445,2825,0.16028,3.6467),(2445,2835,0.16199,3.645),(2445,2845,0.16369,3.6433),(2445,2855,0.16539,3.6415),(2445,2865,0.16709,3.6396),(2445,2875,0.16878,3.6378),(2445,2885,0.17047,3.6359),(2445,2895,0.17215,3.6339),(2445,2905,0.17383,3.6319),(2445,2915,0.17551,3.6299),(2445,2925,0.17716,3.6278),(2445,2935,0.17882,3.6257),(2445,2945,0.18047,3.6235),(2445,2955,0.18211,3.6213),(2445,2965,0.18373,3.6191),(2445,2975,0.18534,3.6169),(2445,2985,0.18696,3.6145),(2445,2995,0.18855,3.6122),(2445,3005,0.19012,3.6098),(2445,3015,0.19168,3.6074),(2445,3025,0.19324,3.6049),(2445,3035,0.19477,3.6024),(2445,3045,0.19627,3.5999),(2445,3055,0.19777,3.5973),(2445,3065,0.19927,3.5946),(2445,3075,0.20072,3.5919),(2445,3085,0.20214,3.5893),(2445,3095,0.20356,3.5865),(2445,3105,0.20498,3.5837),(2445,3115,0.20635,3.5809),(2445,3125,0.20767,3.5781),(2445,3135,0.209,3.5752),(2445,3145,0.21033,3.5722),(2445,3155,0.21159,3.5693),(2445,3165,0.21282,3.5663),(2445,3175,0.21404,3.5632),(2445,3185,0.21527,3.5601),(2445,3195,0.21641,3.557),(2445,3205,0.21752,3.5539),(2445,3215,0.21862,3.5508),(2445,3225,0.21973,3.5475),(2445,3235,0.22075,3.5443),(2445,3245,0.22172,3.5411),(2445,3255,0.2227,3.5378),(2445,3265,0.22368,3.5344),(2445,3275,0.22455,3.5311),(2445,3285,0.22539,3.5277),(2445,3295,0.22623,3.5243),(2445,3305,0.22707,3.5208),(2445,3315,0.22779,3.5174),(2445,3325,0.22848,3.5139),(2445,3335,0.22916,3.5104),(2445,3345,0.22985,3.5069),(2445,3355,0.23041,3.5033),(2445,3365,0.23094,3.4998),(2445,3375,0.23147,3.4961),(2445,3385,0.232,3.4925),(2445,3395,0.23238,3.4889),(2445,3405,0.23274,3.4853),(2445,3415,0.23311,3.4816),(2445,3425,0.23347,3.4779),(2445,3435,0.23367,3.4742),(2445,3445,0.23386,3.4705),(2445,3455,0.23406,3.4668),(2445,3465,0.23425,3.463),(2445,3475,0.23427,3.4593),(2445,3485,0.23428,3.4556),(2445,3495,0.23429,3.4518),(2445,3505,0.23431,3.448),(2445,3515,0.23414,3.4443),(2445,3525,0.23397,3.4405),(2445,3535,0.23381,3.4367),(2445,3545,0.23363,3.4329),(2445,3555,0.23329,3.4292),(2445,3565,0.23294,3.4254),(2445,3575,0.23259,3.4216),(2445,3585,0.23223,3.4178),(2445,3595,0.23171,3.4141),(2445,3605,0.23118,3.4103),(2445,3615,0.23065,3.4065),(2445,3625,0.2301,3.4028),(2445,3635,0.2294,3.399),(2445,3645,0.22869,3.3953),(2445,3655,0.22799,3.3915),(2445,3665,0.22725,3.3878),(2445,3675,0.22637,3.3841),(2445,3685,0.22549,3.3804),(2445,3695,0.22462,3.3767),(2445,3705,0.2237,3.3731),(2445,3715,0.22265,3.3694),(2445,3725,0.2216,3.3657),(2445,3735,0.22055,3.3621),(2445,3745,0.21947,3.3585),(2445,3755,0.21826,3.3549),(2445,3765,0.21704,3.3514),(2445,3775,0.21583,3.3478),(2445,3785,0.21458,3.3443),(2445,3795,0.21321,3.3408),(2445,3805,0.21184,3.3373),(2445,3815,0.21048,3.3339),(2445,3825,0.20906,3.3305),(2445,3835,0.20755,3.327),(2445,3845,0.20603,3.3237),(2445,3855,0.20452,3.3203),(2445,3865,0.20296,3.317),(2445,3875,0.20131,3.3137),(2445,3885,0.19966,3.3104),(2445,3895,0.19801,3.3072),(2445,3905,0.22569,3.304),(2445,3915,0.29718,3.3008),(2445,3925,0.36868,3.296),(2445,3935,0.44018,3.2889),(2445,3945,0.51477,3.2819),(2445,3955,0.59329,3.2748),(2445,3965,0.67181,3.2658),(2445,3975,0.75034,3.2544),(2445,3985,0.79509,3.2431),(2445,3995,0.8033,3.2318),(2445,4005,0.81151,3.2203),(2445,4015,0.81971,3.2087),(2445,4025,0.82923,3.197),(2445,4035,0.83887,3.1853),(2445,4045,0.84851,3.1733),(2445,4055,0.85832,3.1614),(2445,4065,0.8682,3.1494),(2445,4075,0.87808,3.1372),(2445,4085,0.88761,3.1249),(2445,4095,0.89686,3.1127),(2445,4105,0.90611,3.1001),(2445,4115,0.88196,3.0875),(2445,4125,0.80244,3.0749),(2445,4135,0.72292,3.0649),(2445,4145,0.64196,3.0556),(2445,4155,0.55517,3.0462),(2445,4165,0.46838,3.0391),(2445,4175,0.3868,3.0333),(2445,4185,0.5629,3.0276),(2445,4195,0.73901,3.0186),(2445,4205,0.91511,3.0053),(2445,4215,0.9252,2.9919),(2445,4225,0.90405,2.9786),(2445,4235,0.88289,2.9653),(2445,4245,0.83402,2.9519),(2445,4255,0.77109,2.9387),(2445,4265,0.70816,2.9271),(2445,4275,0.60089,2.9156),(2445,4285,0.44657,2.904),(2445,4295,0.29225,2.8998),(2445,4305,0.25426,2.8965),(2445,4315,0.47897,2.8931),(2445,4325,0.70368,2.8834),(2445,4335,0.90499,2.8712),(2445,4345,0.94792,2.859),(2445,4355,0.99086,2.8462),(2445,4365,1.0338,2.8329),(2445,4375,1.0462,2.8195),(2445,4385,1.0571,2.8062),(2445,4395,1.0679,2.7927),(2445,4405,0.93843,2.7792),(2445,4415,0.76757,2.767),(2445,4425,0.59671,2.76),(2445,4435,0.52773,2.753),(2445,4445,0.52838,2.746),(2445,4455,0.52902,2.7389),(2445,4465,0.61204,2.7318),(2445,4475,0.81076,2.7247),(2445,4485,1.0095,2.7121),(2445,4495,1.1637,2.6983),(2445,4505,1.1753,2.6844),(2445,4515,1.1869,2.6706),(2445,4525,1.1959,2.6569),(2445,4535,1.1655,2.6431),(2445,4545,1.1351,2.6299),(2445,4555,1.1047,2.6174),(2445,4565,0.84076,2.6049),(2445,4575,0.54536,2.5952),(2445,4585,0.24996,2.5924),(2445,4595,0.30363,2.5896),(2445,4605,0.50479,2.5856),(2445,4615,0.70595,2.5727),(2445,4625,0.85248,2.5599),(2445,4635,0.94955,2.547),(2445,4645,1.0466,2.5321),(2445,4655,1.1243,2.5171),(2445,4665,1.1653,2.5021),(2445,4675,1.2063,2.487),(2445,4685,1.1979,2.4719),(2445,4695,0.94513,2.4567),(2445,4705,0.69235,2.4469),(2445,4715,0.43956,2.441),(2445,4725,0.57953,2.435),(2445,4735,0.72343,2.4275),(2445,4745,0.86733,2.4178),(2445,4755,1.0167,2.408),(2445,4765,1.1674,2.3973),(2445,4775,1.318,2.3834),(2445,4785,1.3789,2.3696),(2445,4795,1.3879,2.3557),(2445,4805,1.3969,2.3421),(2445,4815,1.3363,2.3284),(2445,4825,1.1924,2.3148),(2445,4835,1.0485,2.3051),(2445,4845,0.90216,2.2961),(2445,4855,0.7492,2.287),(2445,4865,0.59624,2.2807),(2445,4875,0.49086,2.2757),(2445,4885,0.8184,2.2706),(2445,4895,1.1459,2.2611),(2445,4905,1.4735,2.2474),(2445,4915,1.4867,2.2336),(2445,4925,1.473,2.2198),(2445,4935,1.4592,2.2057),(2445,4945,1.3788,2.1917),(2445,4955,1.2752,2.1777),(2445,4965,1.1717,2.1642),(2445,4975,0.94631,2.1507),(2445,4985,0.62682,2.1372),(2445,4995,0.30734,2.1354),(2445,5005,0.24457,2.134),(2445,5015,0.58993,2.1325),(2445,5025,0.93528,2.1242),(2445,5035,1.2337,2.1141),(2445,5045,1.3535,2.104),(2445,5055,1.4733,2.0924),(2445,5065,1.5897,2.0798),(2445,5075,1.5964,2.0672),(2445,5085,1.603,2.0547),(2445,5095,1.6097,2.0424),(2445,5105,1.4093,2.0301),(2445,5115,1.1728,2.0193),(2445,5125,0.93629,2.0128),(2445,5135,0.82045,2.0062),(2445,5145,0.76316,1.9998),(2445,5155,0.70588,1.9943),(2445,5165,0.83731,1.9888),(2445,5175,1.1612,1.9833),(2445,5185,1.4851,1.9712),(2445,5195,1.7086,1.9585),(2445,5205,1.7154,1.9457),(2445,5215,1.7223,1.9331),(2445,5225,1.72,1.9206),(2445,5235,1.6605,1.9081),(2445,5245,1.601,1.8966),(2445,5255,1.5415,1.8859),(2445,5265,1.0854,1.8752),(2445,5275,0.61302,1.8682),(2445,5285,0.14061,1.8677),(2445,5295,0.3752,1.8671),(2445,5305,0.80669,1.8638),(2445,5315,1.2382,1.8491),(2445,5325,1.4709,1.8344),(2445,5335,1.5732,1.8196),(2445,5345,1.6756,1.8059),(2445,5355,1.7416,1.7921),(2445,5365,1.7586,1.7783),(2445,5375,1.7756,1.7651),(2445,5385,1.6865,1.7519),(2445,5395,1.2747,1.7388),(2445,5405,0.86294,1.732),(2445,5415,0.49613,1.7285),(2445,5425,0.73322,1.7249),(2445,5435,0.9703,1.7176),(2445,5445,1.2074,1.7062),(2445,5455,1.4421,1.6948),(2445,5465,1.6765,1.6816),(2445,5475,1.911,1.6639),(2445,5485,1.9865,1.6463),(2445,5495,1.998,1.6288),(2445,5505,2.0096,1.6117),(2445,5515,2.0211,1.5947),(2445,5525,2.0325,1.5776),(2445,5535,2.044,1.561),(2445,5545,2.0552,1.5444),(2445,5555,2.0659,1.5279),(2445,5565,2.0766,1.5117),(2445,5575,2.0872,1.4956),(2445,5585,2.0972,1.4795),(2445,5595,2.1071,1.4637),(2445,5605,2.117,1.448),(2445,5615,2.1262,1.4324),(2445,5625,2.1355,1.4169),(2445,5635,2.1447,1.4017),(2445,5645,2.1533,1.3865),(2445,5655,2.1619,1.3714),(2445,5665,2.1704,1.3566),(2445,5675,2.1786,1.3417),(2445,5685,2.1865,1.327),(2445,5695,2.1944,1.3125),(2445,5705,2.2021,1.2981),(2445,5715,2.2094,1.2837),(2445,5725,2.2168,1.2696),(2445,5735,2.224,1.2555),(2445,5745,2.2308,1.2414),(2445,5755,2.2376,1.2276),(2445,5765,2.2444,1.2139),(2445,5775,2.2507,1.2001),(2445,5785,2.2571,1.1865),(2445,5795,2.2634,1.1731),(2445,5805,2.2693,1.1597),(2445,5815,2.2752,1.1464),(2445,5825,2.2811,1.1332),(2445,5835,2.2867,1.1201),(2445,5845,2.2922,1.107),(2445,5855,2.2976,1.0941),(2445,5865,2.3029,1.0812),(2445,5875,2.308,1.0684),(2445,5885,2.3131,1.0558),(2445,5895,2.318,1.0432),(2445,5905,2.3228,1.0306),(2445,5915,2.3275,1.0182),(2445,5925,2.3322,1.0058),(2445,5935,2.3366,0.99352),(2445,5945,2.341,0.98134),(2445,5955,2.3454,0.96925),(2445,5965,2.3496,0.95716),(2445,5975,2.3538,0.94518),(2445,5985,2.358,0.93332),(2445,5995,1.8032,0.92145),(2445,6005,1.1584,0.91239),(2445,6015,0.51357,0.9108),(2445,6025,0.58968,0.90921),(2445,6035,1.0001,0.90662),(2445,6045,1.4106,0.8943),(2445,6055,1.6998,0.88199),(2445,6065,1.8702,0.86968),(2445,6075,2.0405,0.85375),(2445,6085,2.1568,0.83749),(2445,6095,2.1619,0.82122),(2445,6105,2.167,0.80491),(2445,6115,2.172,0.78858),(2445,6125,2.1768,0.77225),(2445,6135,2.1816,0.75595),(2445,6145,2.1864,0.73969),(2445,6155,2.1909,0.72342),(2445,6165,2.1954,0.70722),(2445,6175,2.1999,0.69113),(2445,6185,2.2041,0.67503),(2445,6195,2.2082,0.65895),(2445,6205,2.2124,0.64289),(2445,6215,2.2163,0.62683),(2445,6225,2.2201,0.61078),(2445,6235,2.2239,0.59479),(2445,6245,2.2276,0.57881),(2445,6255,2.231,0.56283),(2445,6265,2.2345,0.54689),(2445,6275,2.2379,0.53097),(2445,6285,2.241,0.51505),(2445,6295,2.2442,0.49915),(2445,6305,2.2473,0.48326),(2445,6315,2.2502,0.46738),(2445,6325,2.253,0.45149),(2445,6335,2.2559,0.4356),(2445,6345,2.2584,0.41971),(2445,6355,2.261,0.40384),(2445,6365,2.2635,0.388),(2445,6375,2.2658,0.37217),(2445,6385,2.2681,0.35635),(2445,6395,2.2703,0.3406),(2445,6405,2.2724,0.32486),(2445,6415,2.2743,0.30912),(2445,6425,2.2762,0.29343),(2445,6435,2.278,0.27774),(2445,6445,2.2796,0.26205),(2445,6455,2.2812,0.24637),(2445,6465,2.2827,0.23069),(2445,6475,2.284,0.21501),(2445,6485,2.2853,0.19934),(2445,6495,2.2865,0.18367),(2445,6505,2.2875,0.168),(2445,6515,2.2885,0.15234),(2445,6525,2.2894,0.1367),(2445,6535,2.2902,0.12107),(2445,6545,2.2908,0.10543),(2445,6555,2.2915,0.0898),(2445,6565,2.292,0.07417),(2445,6575,2.2923,0.058542),(2445,6585,2.2926,0.042961),(2445,6595,1.9501,0.02738),(2445,6605,1.229,0.011799),(2445,6615,0.50794,0.009972),(2445,6625,0.001026,0.009913),(2445,6635,0.001027,0.009854),(2445,6645,0.001027,0.009829),(2445,6655,0.001028,0.009818),(2445,6665,0.001029,0.009806),(2445,6675,0.001029,0.009795),(2445,6685,0.00103,0.009784),(2445,6695,0.00103,0.009773),(2445,6705,0.001031,0.009762),(2445,6715,0.001031,0.009751),(2445,6725,0.001032,0.009741),(2445,6735,0.001032,0.00973),(2445,6745,0.001033,0.009719),(2445,6755,0.001033,0.009708),(2445,6765,0.001034,0.009697),(2445,6775,0.001034,0.009687),(2445,6785,0.001035,0.009676),(2445,6795,0.001035,0.009665),(2445,6805,0.001036,0.009655),(2445,6815,0.001036,0.009644),(2445,6825,0.001036,0.009634),(2445,6835,0.001037,0.009624),(2445,6845,0.001037,0.009613),(2445,6855,0.001038,0.009603),(2445,6865,0.001038,0.009593),(2445,6875,0.001038,0.009582),(2445,6885,0.001039,0.009572),(2445,6895,0.001039,0.009562),(2445,6905,0.001039,0.009552),(2445,6915,0.00104,0.009541),(2445,6925,0.00104,0.009531),(2445,6935,0.00104,0.009521),(2445,6945,0.001041,0.009511),(2445,6955,0.001041,0.009501),(2445,6965,0.001042,0.009491),(2445,6975,0.001042,0.009481),(2445,6985,0.001042,0.009471),(2455,5,4.1e-05,3.6852),(2455,15,0.000122,3.6852),(2455,25,0.000203,3.6852),(2455,35,0.000284,3.6852),(2455,45,0.000365,3.6852),(2455,55,0.000446,3.6852),(2455,65,0.000528,3.6852),(2455,75,0.000609,3.6852),(2455,85,0.000691,3.6852),(2455,95,0.000772,3.6852),(2455,105,0.000854,3.6852),(2455,115,0.000936,3.6852),(2455,125,0.001018,3.6852),(2455,135,0.0011,3.6852),(2455,145,0.001182,3.6852),(2455,155,0.001265,3.6852),(2455,165,0.001348,3.6852),(2455,175,0.001431,3.6853),(2455,185,0.001514,3.6853),(2455,195,0.001598,3.6853),(2455,205,0.001681,3.6853),(2455,215,0.001765,3.6853),(2455,225,0.001849,3.6853),(2455,235,0.001934,3.6853),(2455,245,0.002018,3.6853),(2455,255,0.002103,3.6853),(2455,265,0.002188,3.6854),(2455,275,0.002274,3.6854),(2455,285,0.00236,3.6854),(2455,295,0.002446,3.6854),(2455,305,0.002533,3.6854),(2455,315,0.00262,3.6854),(2455,325,0.002707,3.6854),(2455,335,0.002794,3.6855),(2455,345,0.002883,3.6855),(2455,355,0.002972,3.6855),(2455,365,0.003061,3.6855),(2455,375,0.00315,3.6855),(2455,385,0.003241,3.6856),(2455,395,0.003332,3.6856),(2455,405,0.003423,3.6856),(2455,415,0.003514,3.6856),(2455,425,0.003608,3.6857),(2455,435,0.003701,3.6857),(2455,445,0.003794,3.6857),(2455,455,0.003888,3.6857),(2455,465,0.003984,3.6858),(2455,475,0.004079,3.6858),(2455,485,0.004175,3.6858),(2455,495,0.004271,3.6858),(2455,505,0.00437,3.6859),(2455,515,0.004468,3.6859),(2455,525,0.004567,3.6859),(2455,535,0.004666,3.6859),(2455,545,0.004768,3.686),(2455,555,0.004869,3.686),(2455,565,0.004971,3.686),(2455,575,0.005073,3.6861),(2455,585,0.005179,3.6861),(2455,595,0.005284,3.6861),(2455,605,0.00539,3.6862),(2455,615,0.005495,3.6862),(2455,625,0.005605,3.6863),(2455,635,0.005714,3.6863),(2455,645,0.005823,3.6863),(2455,655,0.005933,3.6864),(2455,665,0.006046,3.6864),(2455,675,0.00616,3.6865),(2455,685,0.006273,3.6865),(2455,695,0.006387,3.6865),(2455,705,0.006505,3.6866),(2455,715,0.006623,3.6866),(2455,725,0.006741,3.6867),(2455,735,0.006861,3.6867),(2455,745,0.006984,3.6868),(2455,755,0.007107,3.6868),(2455,765,0.00723,3.6869),(2455,775,0.007355,3.6869),(2455,785,0.007484,3.687),(2455,795,0.007612,3.687),(2455,805,0.007741,3.6871),(2455,815,0.007872,3.6871),(2455,825,0.008007,3.6872),(2455,835,0.008142,3.6872),(2455,845,0.008277,3.6873),(2455,855,0.008414,3.6873),(2455,865,0.008555,3.6874),(2455,875,0.008697,3.6875),(2455,885,0.008838,3.6875),(2455,895,0.008983,3.6876),(2455,905,0.009131,3.6877),(2455,915,0.00928,3.6877),(2455,925,0.009429,3.6878),(2455,935,0.009581,3.6878),(2455,945,0.009738,3.6879),(2455,955,0.009895,3.688),(2455,965,0.010051,3.688),(2455,975,0.010212,3.6881),(2455,985,0.010377,3.6882),(2455,995,0.010543,3.6883),(2455,1005,0.010708,3.6883),(2455,1015,0.010878,3.6884),(2455,1025,0.011052,3.6885),(2455,1035,0.011227,3.6886),(2455,1045,0.011401,3.6886),(2455,1055,0.011581,3.6887),(2455,1065,0.011766,3.6888),(2455,1075,0.011951,3.6889),(2455,1085,0.012135,3.689),(2455,1095,0.012326,3.689),(2455,1105,0.012522,3.6891),(2455,1115,0.012717,3.6892),(2455,1125,0.012913,3.6893),(2455,1135,0.013116,3.6894),(2455,1145,0.013323,3.6895),(2455,1155,0.013531,3.6895),(2455,1165,0.013738,3.6896),(2455,1175,0.013954,3.6897),(2455,1185,0.014174,3.6898),(2455,1195,0.014394,3.6899),(2455,1205,0.014614,3.69),(2455,1215,0.014844,3.6901),(2455,1225,0.015077,3.6902),(2455,1235,0.015311,3.6903),(2455,1245,0.015545,3.6904),(2455,1255,0.01579,3.6905),(2455,1265,0.016038,3.6906),(2455,1275,0.016287,3.6907),(2455,1285,0.016535,3.6908),(2455,1295,0.016796,3.6909),(2455,1305,0.017061,3.691),(2455,1315,0.017325,3.6911),(2455,1325,0.01759,3.6912),(2455,1335,0.017869,3.6913),(2455,1345,0.01815,3.6914),(2455,1355,0.018432,3.6915),(2455,1365,0.018714,3.6916),(2455,1375,0.019011,3.6917),(2455,1385,0.019311,3.6918),(2455,1395,0.019611,3.692),(2455,1405,0.019911,3.6921),(2455,1415,0.020228,3.6922),(2455,1425,0.020548,3.6923),(2455,1435,0.020868,3.6924),(2455,1445,0.021187,3.6925),(2455,1455,0.021527,3.6926),(2455,1465,0.021867,3.6927),(2455,1475,0.022208,3.6929),(2455,1485,0.022549,3.693),(2455,1495,0.022912,3.6931),(2455,1505,0.023275,3.6932),(2455,1515,0.023639,3.6933),(2455,1525,0.024003,3.6934),(2455,1535,0.02439,3.6936),(2455,1545,0.024778,3.6937),(2455,1555,0.025165,3.6938),(2455,1565,0.025554,3.6939),(2455,1575,0.025967,3.694),(2455,1585,0.026381,3.6941),(2455,1595,0.026794,3.6943),(2455,1605,0.02721,3.6944),(2455,1615,0.027651,3.6945),(2455,1625,0.028091,3.6946),(2455,1635,0.028532,3.6947),(2455,1645,0.028977,3.6948),(2455,1655,0.029447,3.695),(2455,1665,0.029917,3.6951),(2455,1675,0.030387,3.6952),(2455,1685,0.030862,3.6953),(2455,1695,0.031363,3.6954),(2455,1705,0.031864,3.6955),(2455,1715,0.032365,3.6956),(2455,1725,0.032874,3.6957),(2455,1735,0.033408,3.6958),(2455,1745,0.033942,3.6959),(2455,1755,0.034476,3.696),(2455,1765,0.035019,3.6961),(2455,1775,0.035588,3.6962),(2455,1785,0.036157,3.6963),(2455,1795,0.036726,3.6964),(2455,1805,0.037307,3.6965),(2455,1815,0.037913,3.6966),(2455,1825,0.038519,3.6967),(2455,1835,0.039125,3.6968),(2455,1845,0.039744,3.6969),(2455,1855,0.040389,3.697),(2455,1865,0.041035,3.6971),(2455,1875,0.04168,3.6971),(2455,1885,0.042341,3.6972),(2455,1895,0.043027,3.6973),(2455,1905,0.043714,3.6973),(2455,1915,0.0444,3.6974),(2455,1925,0.045105,3.6975),(2455,1935,0.045834,3.6975),(2455,1945,0.046564,3.6976),(2455,1955,0.047294,3.6976),(2455,1965,0.048044,3.6977),(2455,1975,0.048819,3.6977),(2455,1985,0.049594,3.6977),(2455,1995,0.050369,3.6978),(2455,2005,0.051168,3.6978),(2455,2015,0.051991,3.6978),(2455,2025,0.052813,3.6978),(2455,2035,0.053636,3.6978),(2455,2045,0.054485,3.6978),(2455,2055,0.055358,3.6978),(2455,2065,0.05623,3.6978),(2455,2075,0.057102,3.6978),(2455,2085,0.058004,3.6977),(2455,2095,0.058928,3.6977),(2455,2105,0.059851,3.6976),(2455,2115,0.060775,3.6976),(2455,2125,0.061731,3.6975),(2455,2135,0.062708,3.6975),(2455,2145,0.063684,3.6974),(2455,2155,0.06466,3.6973),(2455,2165,0.065673,3.6972),(2455,2175,0.066704,3.6971),(2455,2185,0.067735,3.697),(2455,2195,0.068766,3.6968),(2455,2205,0.069837,3.6967),(2455,2215,0.070924,3.6965),(2455,2225,0.072011,3.6964),(2455,2235,0.073098,3.6962),(2455,2245,0.074227,3.696),(2455,2255,0.075371,3.6958),(2455,2265,0.076516,3.6956),(2455,2275,0.07766,3.6953),(2455,2285,0.078849,3.6951),(2455,2295,0.080051,3.6949),(2455,2305,0.081253,3.6946),(2455,2315,0.082455,3.6943),(2455,2325,0.083704,3.694),(2455,2335,0.084964,3.6937),(2455,2345,0.086224,3.6933),(2455,2355,0.087484,3.693),(2455,2365,0.088794,3.6926),(2455,2375,0.090111,3.6922),(2455,2385,0.091429,3.6918),(2455,2395,0.092747,3.6914),(2455,2405,0.094116,3.6909),(2455,2415,0.095491,3.6905),(2455,2425,0.096866,3.69),(2455,2435,0.098241,3.6895),(2455,2445,0.099667,3.6889),(2455,2455,0.1011,3.6884),(2455,2465,0.10253,3.6878),(2455,2475,0.10396,3.6872),(2455,2485,0.10544,3.6866),(2455,2495,0.10692,3.686),(2455,2505,0.10841,3.6853),(2455,2515,0.10989,3.6846),(2455,2525,0.11143,3.6839),(2455,2535,0.11296,3.6832),(2455,2545,0.1145,3.6824),(2455,2555,0.11603,3.6816),(2455,2565,0.11761,3.6808),(2455,2575,0.1192,3.68),(2455,2585,0.12078,3.6791),(2455,2595,0.12236,3.6782),(2455,2605,0.12399,3.6773),(2455,2615,0.12561,3.6763),(2455,2625,0.12723,3.6753),(2455,2635,0.12886,3.6743),(2455,2645,0.13052,3.6732),(2455,2655,0.13218,3.6722),(2455,2665,0.13384,3.671),(2455,2675,0.13551,3.6699),(2455,2685,0.1372,3.6687),(2455,2695,0.13889,3.6675),(2455,2705,0.14058,3.6662),(2455,2715,0.14228,3.6649),(2455,2725,0.14399,3.6636),(2455,2735,0.14571,3.6623),(2455,2745,0.14742,3.6609),(2455,2755,0.14914,3.6595),(2455,2765,0.15087,3.658),(2455,2775,0.1526,3.6566),(2455,2785,0.15433,3.655),(2455,2795,0.15606,3.6534),(2455,2805,0.15779,3.6518),(2455,2815,0.15953,3.6502),(2455,2825,0.16126,3.6485),(2455,2835,0.16299,3.6467),(2455,2845,0.16472,3.645),(2455,2855,0.16645,3.6432),(2455,2865,0.16818,3.6414),(2455,2875,0.16991,3.6395),(2455,2885,0.17162,3.6376),(2455,2895,0.17334,3.6356),(2455,2905,0.17505,3.6336),(2455,2915,0.17676,3.6316),(2455,2925,0.17844,3.6295),(2455,2935,0.18013,3.6274),(2455,2945,0.18182,3.6252),(2455,2955,0.18349,3.623),(2455,2965,0.18513,3.6208),(2455,2975,0.18678,3.6185),(2455,2985,0.18843,3.6161),(2455,2995,0.19005,3.6138),(2455,3005,0.19165,3.6114),(2455,3015,0.19324,3.609),(2455,3025,0.19484,3.6064),(2455,3035,0.1964,3.6039),(2455,3045,0.19793,3.6014),(2455,3055,0.19946,3.5988),(2455,3065,0.20099,3.5961),(2455,3075,0.20247,3.5934),(2455,3085,0.20392,3.5907),(2455,3095,0.20537,3.588),(2455,3105,0.20682,3.5851),(2455,3115,0.20822,3.5823),(2455,3125,0.20957,3.5794),(2455,3135,0.21093,3.5765),(2455,3145,0.21229,3.5735),(2455,3155,0.21358,3.5705),(2455,3165,0.21483,3.5675),(2455,3175,0.21608,3.5645),(2455,3185,0.21734,3.5613),(2455,3195,0.21851,3.5582),(2455,3205,0.21964,3.5551),(2455,3215,0.22078,3.5519),(2455,3225,0.22191,3.5486),(2455,3235,0.22295,3.5453),(2455,3245,0.22395,3.5421),(2455,3255,0.22496,3.5387),(2455,3265,0.22596,3.5353),(2455,3275,0.22685,3.532),(2455,3285,0.22771,3.5286),(2455,3295,0.22858,3.5251),(2455,3305,0.22944,3.5216),(2455,3315,0.23017,3.5181),(2455,3325,0.23088,3.5146),(2455,3335,0.23159,3.5111),(2455,3345,0.2323,3.5075),(2455,3355,0.23287,3.5039),(2455,3365,0.23342,3.5003),(2455,3375,0.23396,3.4967),(2455,3385,0.23451,3.493),(2455,3395,0.23491,3.4893),(2455,3405,0.23529,3.4856),(2455,3415,0.23566,3.4819),(2455,3425,0.23604,3.4782),(2455,3435,0.23625,3.4745),(2455,3445,0.23646,3.4707),(2455,3455,0.23666,3.4669),(2455,3465,0.23686,3.4632),(2455,3475,0.23689,3.4594),(2455,3485,0.23691,3.4556),(2455,3495,0.23693,3.4518),(2455,3505,0.23695,3.448),(2455,3515,0.23679,3.4442),(2455,3525,0.23663,3.4403),(2455,3535,0.23647,3.4365),(2455,3545,0.2363,3.4327),(2455,3555,0.23595,3.4289),(2455,3565,0.2356,3.425),(2455,3575,0.23526,3.4212),(2455,3585,0.2349,3.4174),(2455,3595,0.23437,3.4136),(2455,3605,0.23384,3.4097),(2455,3615,0.23331,3.4059),(2455,3625,0.23276,3.4021),(2455,3635,0.23205,3.3983),(2455,3645,0.23134,3.3945),(2455,3655,0.23063,3.3908),(2455,3665,0.22989,3.387),(2455,3675,0.229,3.3833),(2455,3685,0.22811,3.3795),(2455,3695,0.22722,3.3758),(2455,3705,0.2263,3.3721),(2455,3715,0.22524,3.3684),(2455,3725,0.22418,3.3647),(2455,3735,0.22312,3.361),(2455,3745,0.22202,3.3574),(2455,3755,0.22079,3.3538),(2455,3765,0.21957,3.3501),(2455,3775,0.21834,3.3466),(2455,3785,0.21707,3.343),(2455,3795,0.21569,3.3395),(2455,3805,0.21431,3.3359),(2455,3815,0.21292,3.3325),(2455,3825,0.21149,3.329),(2455,3835,0.20996,3.3255),(2455,3845,0.20843,3.3221),(2455,3855,0.20689,3.3188),(2455,3865,0.20531,3.3154),(2455,3875,0.20364,3.3121),(2455,3885,0.20197,3.3088),(2455,3895,0.2003,3.3055),(2455,3905,0.22823,3.3023),(2455,3915,0.30039,3.2991),(2455,3925,0.37255,3.2942),(2455,3935,0.44471,3.2871),(2455,3945,0.51998,3.2799),(2455,3955,0.59922,3.2728),(2455,3965,0.67845,3.2637),(2455,3975,0.75769,3.2523),(2455,3985,0.80284,3.2409),(2455,3995,0.8111,3.2295),(2455,4005,0.81935,3.2179),(2455,4015,0.8276,3.2062),(2455,4025,0.83717,3.1945),(2455,4035,0.84686,3.1826),(2455,4045,0.85655,3.1706),(2455,4055,0.86641,3.1586),(2455,4065,0.87635,3.1465),(2455,4075,0.88628,3.1342),(2455,4085,0.89587,3.1218),(2455,4095,0.90519,3.1095),(2455,4105,0.91451,3.0969),(2455,4115,0.89016,3.0842),(2455,4125,0.80996,3.0715),(2455,4135,0.72977,3.0615),(2455,4145,0.64813,3.0521),(2455,4155,0.56061,3.0428),(2455,4165,0.47309,3.0356),(2455,4175,0.39083,3.0298),(2455,4185,0.56851,3.024),(2455,4195,0.74619,3.0149),(2455,4205,0.92388,3.0015),(2455,4215,0.93428,2.9882),(2455,4225,0.91321,2.9748),(2455,4235,0.89213,2.9613),(2455,4245,0.84308,2.9479),(2455,4255,0.77984,2.9346),(2455,4265,0.7166,2.9229),(2455,4275,0.60828,2.9112),(2455,4285,0.45211,2.8996),(2455,4295,0.29595,2.8953),(2455,4305,0.25722,2.8919),(2455,4315,0.48367,2.8885),(2455,4325,0.71013,2.8787),(2455,4335,0.91298,2.8664),(2455,4345,0.95608,2.8541),(2455,4355,0.99917,2.8412),(2455,4365,1.0423,2.8279),(2455,4375,1.0547,2.8145),(2455,4385,1.0655,2.8011),(2455,4395,1.0763,2.7875),(2455,4405,0.94589,2.774),(2455,4415,0.77378,2.7616),(2455,4425,0.60166,2.7545),(2455,4435,0.5322,2.7474),(2455,4445,0.5329,2.7403),(2455,4455,0.5336,2.7332),(2455,4465,0.61714,2.7261),(2455,4475,0.81706,2.719),(2455,4485,1.017,2.7064),(2455,4495,1.1721,2.6925),(2455,4505,1.1836,2.6787),(2455,4515,1.1951,2.6648),(2455,4525,1.2041,2.651),(2455,4535,1.1735,2.6371),(2455,4545,1.1428,2.6239),(2455,4555,1.1122,2.6113),(2455,4565,0.8467,2.5987),(2455,4575,0.54959,2.589),(2455,4585,0.25248,2.5862),(2455,4595,0.30718,2.5834),(2455,4605,0.51052,2.5794),(2455,4615,0.71386,2.5663),(2455,4625,0.86156,2.5532),(2455,4635,0.95886,2.5402),(2455,4645,1.0562,2.5251),(2455,4655,1.1339,2.5099),(2455,4665,1.1749,2.4947),(2455,4675,1.2158,2.4795),(2455,4685,1.207,2.4644),(2455,4695,0.9525,2.4492),(2455,4705,0.69802,2.4394),(2455,4715,0.44353,2.4335),(2455,4725,0.584,2.4275),(2455,4735,0.72842,2.42),(2455,4745,0.87285,2.4102),(2455,4755,1.0228,2.4004),(2455,4765,1.1741,2.3897),(2455,4775,1.3254,2.3757),(2455,4785,1.3864,2.3618),(2455,4795,1.3953,2.3479),(2455,4805,1.4042,2.3342),(2455,4815,1.3431,2.3206),(2455,4825,1.1985,2.3069),(2455,4835,1.0539,2.2973),(2455,4845,0.90679,2.2882),(2455,4855,0.75325,2.2792),(2455,4865,0.59971,2.2729),(2455,4875,0.49393,2.2678),(2455,4885,0.82273,2.2628),(2455,4895,1.1515,2.2533),(2455,4905,1.4803,2.2395),(2455,4915,1.4938,2.2258),(2455,4925,1.4802,2.2119),(2455,4935,1.4666,2.1978),(2455,4945,1.3864,2.1838),(2455,4955,1.2831,2.1698),(2455,4965,1.1799,2.1562),(2455,4975,0.95326,2.1427),(2455,4985,0.63148,2.1291),(2455,4995,0.30969,2.1273),(2455,5005,0.24596,2.1259),(2455,5015,0.59248,2.1244),(2455,5025,0.93901,2.1161),(2455,5035,1.2384,2.106),(2455,5045,1.3585,2.0959),(2455,5055,1.4785,2.0843),(2455,5065,1.5952,2.0717),(2455,5075,1.6017,2.0591),(2455,5085,1.6082,2.0466),(2455,5095,1.6148,2.0343),(2455,5105,1.4137,2.022),(2455,5115,1.1765,2.0112),(2455,5125,0.9392,2.0046),(2455,5135,0.82307,1.9981),(2455,5145,0.76572,1.9917),(2455,5155,0.70837,1.9862),(2455,5165,0.84017,1.9807),(2455,5175,1.1649,1.9752),(2455,5185,1.4896,1.9631),(2455,5195,1.7136,1.9504),(2455,5205,1.7204,1.9376),(2455,5215,1.7272,1.9251),(2455,5225,1.7247,1.9126),(2455,5235,1.6649,1.9001),(2455,5245,1.6051,1.8886),(2455,5255,1.5454,1.8778),(2455,5265,1.0882,1.8671),(2455,5275,0.61473,1.8602),(2455,5285,0.14122,1.8596),(2455,5295,0.3775,1.8591),(2455,5305,0.81145,1.8558),(2455,5315,1.2454,1.841),(2455,5325,1.4787,1.8263),(2455,5335,1.5803,1.8115),(2455,5345,1.682,1.7977),(2455,5355,1.7475,1.784),(2455,5365,1.7642,1.7702),(2455,5375,1.7809,1.757),(2455,5385,1.6913,1.7438),(2455,5395,1.2783,1.7307),(2455,5405,0.86541,1.7239),(2455,5415,0.49763,1.7204),(2455,5425,0.73612,1.7168),(2455,5435,0.97461,1.7096),(2455,5445,1.2131,1.6982),(2455,5455,1.4488,1.6869),(2455,5465,1.6841,1.6737),(2455,5475,1.9194,1.6561),(2455,5485,1.9951,1.6386),(2455,5495,2.0064,1.6212),(2455,5505,2.0177,1.6042),(2455,5515,2.029,1.5872),(2455,5525,2.0403,1.5702),(2455,5535,2.0516,1.5537),(2455,5545,2.0626,1.5372),(2455,5555,2.0731,1.5208),(2455,5565,2.0836,1.5047),(2455,5575,2.094,1.4887),(2455,5585,2.1037,1.4727),(2455,5595,2.1135,1.4569),(2455,5605,2.1233,1.4414),(2455,5615,2.1323,1.4258),(2455,5625,2.1414,1.4104),(2455,5635,2.1504,1.3953),(2455,5645,2.1589,1.3801),(2455,5655,2.1673,1.3651),(2455,5665,2.1757,1.3504),(2455,5675,2.1837,1.3356),(2455,5685,2.1915,1.3209),(2455,5695,2.1993,1.3066),(2455,5705,2.2068,1.2922),(2455,5715,2.214,1.2779),(2455,5725,2.2212,1.2639),(2455,5735,2.2283,1.2499),(2455,5745,2.235,1.2359),(2455,5755,2.2417,1.2221),(2455,5765,2.2483,1.2084),(2455,5775,2.2545,1.1948),(2455,5785,2.2607,1.1813),(2455,5795,2.2669,1.1679),(2455,5805,2.2727,1.1546),(2455,5815,2.2785,1.1413),(2455,5825,2.2843,1.1282),(2455,5835,2.2898,1.1152),(2455,5845,2.2951,1.1021),(2455,5855,2.3005,1.0893),(2455,5865,2.3057,1.0765),(2455,5875,2.3107,1.0638),(2455,5885,2.3156,1.0512),(2455,5895,2.3205,1.0387),(2455,5905,2.3251,1.0262),(2455,5915,2.3298,1.0139),(2455,5925,2.3343,1.0016),(2455,5935,2.3387,0.98935),(2455,5945,2.343,0.97725),(2455,5955,2.3473,0.96524),(2455,5965,2.3514,0.95322),(2455,5975,2.3555,0.94131),(2455,5985,2.3597,0.92953),(2455,5995,1.8044,0.91774),(2455,6005,1.1592,0.90873),(2455,6015,0.51396,0.90715),(2455,6025,0.59108,0.90557),(2455,6035,1.0032,0.90298),(2455,6045,1.4154,0.89071),(2455,6055,1.7057,0.87843),(2455,6065,1.8766,0.86615),(2455,6075,2.0475,0.85028),(2455,6085,2.1642,0.83407),(2455,6095,2.1693,0.81786),(2455,6105,2.1743,0.80161),(2455,6115,2.1793,0.78534),(2455,6125,2.184,0.76907),(2455,6135,2.1888,0.75284),(2455,6145,2.1936,0.73664),(2455,6155,2.198,0.72044),(2455,6165,2.2025,0.7043),(2455,6175,2.2069,0.68826),(2455,6185,2.2111,0.67223),(2455,6195,2.2152,0.6562),(2455,6205,2.2193,0.6402),(2455,6215,2.2232,0.6242),(2455,6225,2.227,0.60821),(2455,6235,2.2308,0.59228),(2455,6245,2.2344,0.57636),(2455,6255,2.2378,0.56043),(2455,6265,2.2412,0.54456),(2455,6275,2.2446,0.52871),(2455,6285,2.2477,0.51285),(2455,6295,2.2508,0.49702),(2455,6305,2.2539,0.48121),(2455,6315,2.2568,0.46539),(2455,6325,2.2596,0.44957),(2455,6335,2.2624,0.43375),(2455,6345,2.265,0.41793),(2455,6355,2.2675,0.40213),(2455,6365,2.27,0.38636),(2455,6375,2.2723,0.3706),(2455,6385,2.2745,0.35485),(2455,6395,2.2767,0.33917),(2455,6405,2.2788,0.32349),(2455,6415,2.2807,0.30781),(2455,6425,2.2826,0.29219),(2455,6435,2.2844,0.27656),(2455,6445,2.286,0.26094),(2455,6455,2.2876,0.24532),(2455,6465,2.2891,0.2297),(2455,6475,2.2904,0.21409),(2455,6485,2.2916,0.19848),(2455,6495,2.2929,0.18287),(2455,6505,2.2938,0.16727),(2455,6515,2.2948,0.15168),(2455,6525,2.2957,0.13612),(2455,6535,2.2965,0.12055),(2455,6545,2.2971,0.10499),(2455,6555,2.2978,0.089434),(2455,6565,2.2982,0.073878),(2455,6575,2.2986,0.058324),(2455,6585,2.2989,0.042812),(2455,6595,1.9555,0.0273),(2455,6605,1.2324,0.011788),(2455,6615,0.50933,0.009971),(2455,6625,0.001033,0.009913),(2455,6635,0.001034,0.009855),(2455,6645,0.001034,0.009829),(2455,6655,0.001035,0.009818),(2455,6665,0.001035,0.009807),(2455,6675,0.001036,0.009796),(2455,6685,0.001037,0.009785),(2455,6695,0.001037,0.009774),(2455,6705,0.001037,0.009763),(2455,6715,0.001038,0.009752),(2455,6725,0.001038,0.009741),(2455,6735,0.001039,0.00973),(2455,6745,0.001039,0.009719),(2455,6755,0.00104,0.009709),(2455,6765,0.00104,0.009698),(2455,6775,0.001041,0.009687),(2455,6785,0.001041,0.009676),(2455,6795,0.001041,0.009666),(2455,6805,0.001042,0.009655),(2455,6815,0.001042,0.009645),(2455,6825,0.001043,0.009634),(2455,6835,0.001043,0.009624),(2455,6845,0.001043,0.009614),(2455,6855,0.001044,0.009603),(2455,6865,0.001044,0.009593),(2455,6875,0.001044,0.009583),(2455,6885,0.001045,0.009572),(2455,6895,0.001045,0.009562),(2455,6905,0.001045,0.009552),(2455,6915,0.001046,0.009542),(2455,6925,0.001046,0.009532),(2455,6935,0.001046,0.009522),(2455,6945,0.001047,0.009511),(2455,6955,0.001047,0.009501),(2455,6965,0.001047,0.009491),(2455,6975,0.001048,0.009481),(2455,6985,0.001048,0.009471),(2465,5,4e-05,3.6853),(2465,15,0.00012,3.6853),(2465,25,0.000201,3.6853),(2465,35,0.000281,3.6853),(2465,45,0.000361,3.6853),(2465,55,0.000442,3.6853),(2465,65,0.000522,3.6853),(2465,75,0.000603,3.6853),(2465,85,0.000683,3.6853),(2465,95,0.000764,3.6853),(2465,105,0.000845,3.6853),(2465,115,0.000926,3.6853),(2465,125,0.001007,3.6853),(2465,135,0.001088,3.6853),(2465,145,0.00117,3.6853),(2465,155,0.001251,3.6853),(2465,165,0.001333,3.6853),(2465,175,0.001415,3.6853),(2465,185,0.001497,3.6853),(2465,195,0.00158,3.6854),(2465,205,0.001663,3.6854),(2465,215,0.001745,3.6854),(2465,225,0.001829,3.6854),(2465,235,0.001912,3.6854),(2465,245,0.001996,3.6854),(2465,255,0.00208,3.6854),(2465,265,0.002164,3.6854),(2465,275,0.002249,3.6855),(2465,285,0.002334,3.6855),(2465,295,0.002419,3.6855),(2465,305,0.002505,3.6855),(2465,315,0.002591,3.6855),(2465,325,0.002677,3.6855),(2465,335,0.002764,3.6856),(2465,345,0.002851,3.6856),(2465,355,0.002939,3.6856),(2465,365,0.003027,3.6856),(2465,375,0.003115,3.6856),(2465,385,0.003205,3.6857),(2465,395,0.003295,3.6857),(2465,405,0.003385,3.6857),(2465,415,0.003475,3.6857),(2465,425,0.003567,3.6857),(2465,435,0.00366,3.6858),(2465,445,0.003752,3.6858),(2465,455,0.003844,3.6858),(2465,465,0.003939,3.6858),(2465,475,0.004034,3.6859),(2465,485,0.004128,3.6859),(2465,495,0.004223,3.6859),(2465,505,0.00432,3.686),(2465,515,0.004418,3.686),(2465,525,0.004515,3.686),(2465,535,0.004613,3.686),(2465,545,0.004714,3.6861),(2465,555,0.004814,3.6861),(2465,565,0.004915,3.6861),(2465,575,0.005016,3.6862),(2465,585,0.00512,3.6862),(2465,595,0.005224,3.6863),(2465,605,0.005328,3.6863),(2465,615,0.005433,3.6863),(2465,625,0.005541,3.6864),(2465,635,0.005648,3.6864),(2465,645,0.005756,3.6864),(2465,655,0.005865,3.6865),(2465,665,0.005977,3.6865),(2465,675,0.006089,3.6866),(2465,685,0.006201,3.6866),(2465,695,0.006314,3.6867),(2465,705,0.00643,3.6867),(2465,715,0.006547,3.6867),(2465,725,0.006664,3.6868),(2465,735,0.006782,3.6868),(2465,745,0.006903,3.6869),(2465,755,0.007025,3.6869),(2465,765,0.007147,3.687),(2465,775,0.00727,3.687),(2465,785,0.007397,3.6871),(2465,795,0.007524,3.6871),(2465,805,0.007652,3.6872),(2465,815,0.007781,3.6873),(2465,825,0.007914,3.6873),(2465,835,0.008048,3.6874),(2465,845,0.008181,3.6874),(2465,855,0.008316,3.6875),(2465,865,0.008456,3.6875),(2465,875,0.008596,3.6876),(2465,885,0.008736,3.6877),(2465,895,0.008879,3.6877),(2465,905,0.009026,3.6878),(2465,915,0.009173,3.6879),(2465,925,0.00932,3.6879),(2465,935,0.009471,3.688),(2465,945,0.009626,3.6881),(2465,955,0.00978,3.6881),(2465,965,0.009935,3.6882),(2465,975,0.010095,3.6883),(2465,985,0.010258,3.6884),(2465,995,0.010421,3.6884),(2465,1005,0.010585,3.6885),(2465,1015,0.010753,3.6886),(2465,1025,0.010926,3.6887),(2465,1035,0.011098,3.6887),(2465,1045,0.011271,3.6888),(2465,1055,0.011449,3.6889),(2465,1065,0.011632,3.689),(2465,1075,0.011815,3.6891),(2465,1085,0.011997,3.6891),(2465,1095,0.012186,3.6892),(2465,1105,0.01238,3.6893),(2465,1115,0.012574,3.6894),(2465,1125,0.012767,3.6895),(2465,1135,0.012968,3.6896),(2465,1145,0.013174,3.6897),(2465,1155,0.013379,3.6898),(2465,1165,0.013584,3.6899),(2465,1175,0.013798,3.6899),(2465,1185,0.014016,3.69),(2465,1195,0.014234,3.6901),(2465,1205,0.014452,3.6902),(2465,1215,0.01468,3.6903),(2465,1225,0.014912,3.6904),(2465,1235,0.015143,3.6905),(2465,1245,0.015375,3.6906),(2465,1255,0.015618,3.6907),(2465,1265,0.015864,3.6908),(2465,1275,0.01611,3.6909),(2465,1285,0.016357,3.691),(2465,1295,0.016616,3.6912),(2465,1305,0.016878,3.6913),(2465,1315,0.017141,3.6914),(2465,1325,0.017403,3.6915),(2465,1335,0.01768,3.6916),(2465,1345,0.017959,3.6917),(2465,1355,0.018239,3.6918),(2465,1365,0.018518,3.6919),(2465,1375,0.018814,3.692),(2465,1385,0.019112,3.6921),(2465,1395,0.019409,3.6923),(2465,1405,0.019707,3.6924),(2465,1415,0.020023,3.6925),(2465,1425,0.02034,3.6926),(2465,1435,0.020658,3.6927),(2465,1445,0.020975,3.6929),(2465,1455,0.021313,3.693),(2465,1465,0.021652,3.6931),(2465,1475,0.02199,3.6932),(2465,1485,0.022329,3.6933),(2465,1495,0.02269,3.6935),(2465,1505,0.023051,3.6936),(2465,1515,0.023413,3.6937),(2465,1525,0.023775,3.6938),(2465,1535,0.02416,3.6939),(2465,1545,0.024546,3.6941),(2465,1555,0.024932,3.6942),(2465,1565,0.025319,3.6943),(2465,1575,0.02573,3.6944),(2465,1585,0.026142,3.6946),(2465,1595,0.026553,3.6947),(2465,1605,0.026968,3.6948),(2465,1615,0.027407,3.6949),(2465,1625,0.027846,3.695),(2465,1635,0.028285,3.6952),(2465,1645,0.028728,3.6953),(2465,1655,0.029196,3.6954),(2465,1665,0.029665,3.6955),(2465,1675,0.030133,3.6957),(2465,1685,0.030607,3.6958),(2465,1695,0.031107,3.6959),(2465,1705,0.031607,3.696),(2465,1715,0.032107,3.6961),(2465,1725,0.032614,3.6962),(2465,1735,0.033147,3.6964),(2465,1745,0.03368,3.6965),(2465,1755,0.034213,3.6966),(2465,1765,0.034755,3.6967),(2465,1775,0.035323,3.6968),(2465,1785,0.035892,3.6969),(2465,1795,0.03646,3.697),(2465,1805,0.03704,3.6971),(2465,1815,0.037645,3.6972),(2465,1825,0.038251,3.6973),(2465,1835,0.038857,3.6974),(2465,1845,0.039476,3.6975),(2465,1855,0.040121,3.6976),(2465,1865,0.040766,3.6977),(2465,1875,0.041411,3.6978),(2465,1885,0.042072,3.6979),(2465,1895,0.042759,3.698),(2465,1905,0.043446,3.698),(2465,1915,0.044133,3.6981),(2465,1925,0.044838,3.6982),(2465,1935,0.045569,3.6982),(2465,1945,0.046299,3.6983),(2465,1955,0.04703,3.6984),(2465,1965,0.047782,3.6984),(2465,1975,0.048558,3.6985),(2465,1985,0.049335,3.6985),(2465,1995,0.050111,3.6985),(2465,2005,0.050912,3.6986),(2465,2015,0.051737,3.6986),(2465,2025,0.052562,3.6986),(2465,2035,0.053387,3.6986),(2465,2045,0.054239,3.6987),(2465,2055,0.055114,3.6987),(2465,2065,0.055989,3.6987),(2465,2075,0.056864,3.6986),(2465,2085,0.05777,3.6986),(2465,2095,0.058697,3.6986),(2465,2105,0.059624,3.6986),(2465,2115,0.060552,3.6985),(2465,2125,0.061512,3.6985),(2465,2135,0.062494,3.6984),(2465,2145,0.063475,3.6984),(2465,2155,0.064456,3.6983),(2465,2165,0.065474,3.6982),(2465,2175,0.066511,3.6981),(2465,2185,0.067548,3.698),(2465,2195,0.068585,3.6979),(2465,2205,0.069661,3.6977),(2465,2215,0.070755,3.6976),(2465,2225,0.071849,3.6975),(2465,2235,0.072944,3.6973),(2465,2245,0.074081,3.6971),(2465,2255,0.075233,3.6969),(2465,2265,0.076385,3.6967),(2465,2275,0.077538,3.6965),(2465,2285,0.078736,3.6963),(2465,2295,0.079947,3.6961),(2465,2305,0.081158,3.6958),(2465,2315,0.08237,3.6955),(2465,2325,0.08363,3.6952),(2465,2335,0.084901,3.6949),(2465,2345,0.086172,3.6946),(2465,2355,0.087442,3.6942),(2465,2365,0.088764,3.6939),(2465,2375,0.090094,3.6935),(2465,2385,0.091425,3.6931),(2465,2395,0.092755,3.6927),(2465,2405,0.094138,3.6923),(2465,2415,0.095526,3.6919),(2465,2425,0.096915,3.6914),(2465,2435,0.098304,3.6909),(2465,2445,0.099747,3.6904),(2465,2455,0.10119,3.6899),(2465,2465,0.10264,3.6893),(2465,2475,0.10408,3.6887),(2465,2485,0.10558,3.6881),(2465,2495,0.10709,3.6875),(2465,2505,0.10859,3.6868),(2465,2515,0.11009,3.6861),(2465,2525,0.11164,3.6854),(2465,2535,0.1132,3.6847),(2465,2545,0.11475,3.684),(2465,2555,0.11631,3.6832),(2465,2565,0.11791,3.6824),(2465,2575,0.11951,3.6816),(2465,2585,0.12111,3.6807),(2465,2595,0.12272,3.6798),(2465,2605,0.12437,3.6789),(2465,2615,0.12601,3.6779),(2465,2625,0.12766,3.6769),(2465,2635,0.12931,3.6759),(2465,2645,0.131,3.6749),(2465,2655,0.13268,3.6738),(2465,2665,0.13437,3.6727),(2465,2675,0.13606,3.6715),(2465,2685,0.13777,3.6704),(2465,2695,0.13949,3.6692),(2465,2705,0.14121,3.6679),(2465,2715,0.14293,3.6666),(2465,2725,0.14467,3.6654),(2465,2735,0.14642,3.664),(2465,2745,0.14816,3.6626),(2465,2755,0.1499,3.6612),(2465,2765,0.15166,3.6598),(2465,2775,0.15342,3.6583),(2465,2785,0.15518,3.6567),(2465,2795,0.15694,3.6551),(2465,2805,0.15871,3.6536),(2465,2815,0.16047,3.6519),(2465,2825,0.16224,3.6502),(2465,2835,0.164,3.6485),(2465,2845,0.16576,3.6467),(2465,2855,0.16752,3.645),(2465,2865,0.16929,3.6431),(2465,2875,0.17104,3.6412),(2465,2885,0.17279,3.6393),(2465,2895,0.17454,3.6373),(2465,2905,0.17628,3.6353),(2465,2915,0.17802,3.6333),(2465,2925,0.17974,3.6312),(2465,2935,0.18146,3.6291),(2465,2945,0.18318,3.6269),(2465,2955,0.18489,3.6247),(2465,2965,0.18657,3.6224),(2465,2975,0.18825,3.6202),(2465,2985,0.18993,3.6178),(2465,2995,0.19159,3.6154),(2465,3005,0.19322,3.613),(2465,3015,0.19484,3.6106),(2465,3025,0.19647,3.608),(2465,3035,0.19807,3.6055),(2465,3045,0.19963,3.6029),(2465,3055,0.20119,3.6003),(2465,3065,0.20276,3.5976),(2465,3075,0.20428,3.5949),(2465,3085,0.20576,3.5922),(2465,3095,0.20724,3.5894),(2465,3105,0.20873,3.5865),(2465,3115,0.21015,3.5837),(2465,3125,0.21154,3.5808),(2465,3135,0.21293,3.5778),(2465,3145,0.21432,3.5748),(2465,3155,0.21564,3.5718),(2465,3165,0.21693,3.5688),(2465,3175,0.21821,3.5657),(2465,3185,0.21949,3.5625),(2465,3195,0.22069,3.5594),(2465,3205,0.22185,3.5562),(2465,3215,0.22302,3.553),(2465,3225,0.22418,3.5497),(2465,3235,0.22525,3.5464),(2465,3245,0.22628,3.5431),(2465,3255,0.22731,3.5397),(2465,3265,0.22834,3.5363),(2465,3275,0.22925,3.5329),(2465,3285,0.23014,3.5295),(2465,3295,0.23103,3.5259),(2465,3305,0.23191,3.5224),(2465,3315,0.23267,3.5189),(2465,3325,0.2334,3.5154),(2465,3335,0.23413,3.5117),(2465,3345,0.23486,3.5081),(2465,3355,0.23545,3.5045),(2465,3365,0.23602,3.5009),(2465,3375,0.23658,3.4972),(2465,3385,0.23715,3.4934),(2465,3395,0.23756,3.4897),(2465,3405,0.23795,3.486),(2465,3415,0.23834,3.4823),(2465,3425,0.23874,3.4785),(2465,3435,0.23896,3.4747),(2465,3445,0.23918,3.4709),(2465,3455,0.23939,3.4671),(2465,3465,0.2396,3.4633),(2465,3475,0.23964,3.4594),(2465,3485,0.23967,3.4556),(2465,3495,0.2397,3.4518),(2465,3505,0.23972,3.4479),(2465,3515,0.23957,3.444),(2465,3525,0.23941,3.4402),(2465,3535,0.23925,3.4363),(2465,3545,0.23909,3.4324),(2465,3555,0.23874,3.4286),(2465,3565,0.2384,3.4247),(2465,3575,0.23805,3.4208),(2465,3585,0.23769,3.4169),(2465,3595,0.23716,3.4131),(2465,3605,0.23663,3.4092),(2465,3615,0.23609,3.4054),(2465,3625,0.23554,3.4015),(2465,3635,0.23482,3.3977),(2465,3645,0.23411,3.3938),(2465,3655,0.23339,3.39),(2465,3665,0.23264,3.3862),(2465,3675,0.23175,3.3824),(2465,3685,0.23085,3.3786),(2465,3695,0.22995,3.3749),(2465,3705,0.22902,3.3711),(2465,3715,0.22794,3.3673),(2465,3725,0.22687,3.3636),(2465,3735,0.2258,3.3599),(2465,3745,0.22469,3.3562),(2465,3755,0.22345,3.3526),(2465,3765,0.2222,3.3489),(2465,3775,0.22096,3.3453),(2465,3785,0.21968,3.3417),(2465,3795,0.21828,3.3381),(2465,3805,0.21688,3.3345),(2465,3815,0.21547,3.331),(2465,3825,0.21402,3.3275),(2465,3835,0.21247,3.324),(2465,3845,0.21092,3.3206),(2465,3855,0.20937,3.3172),(2465,3865,0.20776,3.3138),(2465,3875,0.20607,3.3104),(2465,3885,0.20437,3.3071),(2465,3895,0.20268,3.3038),(2465,3905,0.23086,3.3005),(2465,3915,0.30369,3.2973),(2465,3925,0.37652,3.2924),(2465,3935,0.44935,3.2852),(2465,3945,0.52533,3.278),(2465,3955,0.6053,3.2708),(2465,3965,0.68528,3.2617),(2465,3975,0.76525,3.2502),(2465,3985,0.81081,3.2387),(2465,3995,0.81912,3.2272),(2465,4005,0.82742,3.2156),(2465,4015,0.83573,3.2037),(2465,4025,0.84534,3.1919),(2465,4035,0.85508,3.18),(2465,4045,0.86482,3.1679),(2465,4055,0.87474,3.1558),(2465,4065,0.88472,3.1436),(2465,4075,0.8947,3.1312),(2465,4085,0.90434,3.1188),(2465,4095,0.91372,3.1064),(2465,4105,0.92309,3.0936),(2465,4115,0.8985,3.0809),(2465,4125,0.81762,3.0682),(2465,4135,0.73673,3.0581),(2465,4145,0.65438,3.0487),(2465,4155,0.56614,3.0393),(2465,4165,0.47789,3.0321),(2465,4175,0.39495,3.0262),(2465,4185,0.57424,3.0204),(2465,4195,0.75353,3.0113),(2465,4205,0.93282,2.9978),(2465,4215,0.94355,2.9844),(2465,4225,0.92257,2.9709),(2465,4235,0.90158,2.9574),(2465,4245,0.85238,2.9438),(2465,4255,0.78886,2.9304),(2465,4265,0.72534,2.9187),(2465,4275,0.61594,2.9069),(2465,4285,0.45788,2.8951),(2465,4295,0.29981,2.8908),(2465,4305,0.26032,2.8873),(2465,4315,0.48855,2.8839),(2465,4325,0.71679,2.874),(2465,4335,0.92121,2.8616),(2465,4345,0.96441,2.8492),(2465,4355,1.0076,2.8363),(2465,4365,1.0508,2.8228),(2465,4375,1.0633,2.8094),(2465,4385,1.0741,2.7959),(2465,4395,1.085,2.7823),(2465,4405,0.95361,2.7687),(2465,4415,0.78028,2.7562),(2465,4425,0.60694,2.749),(2465,4435,0.53695,2.7418),(2465,4445,0.53757,2.7346),(2465,4455,0.53819,2.7275),(2465,4465,0.6222,2.7204),(2465,4475,0.82335,2.7134),(2465,4485,1.0245,2.7006),(2465,4495,1.1806,2.6868),(2465,4505,1.1921,2.6729),(2465,4515,1.2035,2.659),(2465,4525,1.2125,2.6451),(2465,4535,1.1816,2.6311),(2465,4545,1.1507,2.6178),(2465,4555,1.1198,2.6052),(2465,4565,0.85277,2.5926),(2465,4575,0.55392,2.5828),(2465,4585,0.25506,2.58),(2465,4595,0.31087,2.5771),(2465,4605,0.51654,2.5731),(2465,4615,0.7222,2.5599),(2465,4625,0.87114,2.5466),(2465,4635,0.9687,2.5334),(2465,4645,1.0663,2.5182),(2465,4655,1.1441,2.5028),(2465,4665,1.1848,2.4874),(2465,4675,1.2255,2.4721),(2465,4685,1.2162,2.4569),(2465,4695,0.95993,2.4416),(2465,4705,0.70365,2.4318),(2465,4715,0.44737,2.4259),(2465,4725,0.58843,2.42),(2465,4735,0.73347,2.4126),(2465,4745,0.87852,2.4027),(2465,4755,1.0291,2.3928),(2465,4765,1.181,2.382),(2465,4775,1.3329,2.368),(2465,4785,1.3941,2.3541),(2465,4795,1.4028,2.3401),(2465,4805,1.4116,2.3264),(2465,4815,1.3501,2.3127),(2465,4825,1.2047,2.299),(2465,4835,1.0592,2.2894),(2465,4845,0.91139,2.2804),(2465,4855,0.75729,2.2713),(2465,4865,0.60319,2.265),(2465,4875,0.49703,2.26),(2465,4885,0.82709,2.2549),(2465,4895,1.1571,2.2454),(2465,4905,1.4872,2.2316),(2465,4915,1.5009,2.2179),(2465,4925,1.4875,2.204),(2465,4935,1.474,2.1899),(2465,4945,1.394,2.1759),(2465,4955,1.2911,2.1619),(2465,4965,1.1881,2.1482),(2465,4975,0.96033,2.1346),(2465,4985,0.6362,2.121),(2465,4995,0.31207,2.1192),(2465,5005,0.24735,2.1178),(2465,5015,0.59504,2.1163),(2465,5025,0.94274,2.108),(2465,5035,1.2431,2.0979),(2465,5045,1.3634,2.0878),(2465,5055,1.4837,2.0762),(2465,5065,1.6006,2.0636),(2465,5075,1.6071,2.051),(2465,5085,1.6135,2.0385),(2465,5095,1.6199,2.0262),(2465,5105,1.4182,2.0139),(2465,5115,1.1802,2.0031),(2465,5125,0.94216,1.9965),(2465,5135,0.82572,1.99),(2465,5145,0.76829,1.9835),(2465,5155,0.71085,1.978),(2465,5165,0.84302,1.9726),(2465,5175,1.1686,1.9671),(2465,5185,1.4942,1.955),(2465,5195,1.7187,1.9423),(2465,5205,1.7254,1.9295),(2465,5215,1.732,1.917),(2465,5225,1.7294,1.9045),(2465,5235,1.6694,1.892),(2465,5245,1.6093,1.8805),(2465,5255,1.5493,1.8698),(2465,5265,1.0911,1.8591),(2465,5275,0.61644,1.8521),(2465,5285,0.14183,1.8516),(2465,5295,0.37982,1.851),(2465,5305,0.81626,1.8477),(2465,5315,1.2527,1.8329),(2465,5325,1.4865,1.8181),(2465,5335,1.5874,1.8034),(2465,5345,1.6883,1.7896),(2465,5355,1.7533,1.7758),(2465,5365,1.7697,1.7621),(2465,5375,1.7862,1.7489),(2465,5385,1.6961,1.7357),(2465,5395,1.282,1.7226),(2465,5405,0.8679,1.7158),(2465,5415,0.49912,1.7123),(2465,5425,0.73896,1.7087),(2465,5435,0.9788,1.7015),(2465,5445,1.2186,1.6902),(2465,5455,1.4552,1.6789),(2465,5465,1.6914,1.6658),(2465,5475,1.9276,1.6483),(2465,5485,2.0034,1.6309),(2465,5495,2.0145,1.6135),(2465,5505,2.0256,1.5966),(2465,5515,2.0367,1.5798),(2465,5525,2.0478,1.5629),(2465,5535,2.0589,1.5464),(2465,5545,2.0697,1.5301),(2465,5555,2.08,1.5137),(2465,5565,2.0904,1.4976),(2465,5575,2.1005,1.4817),(2465,5585,2.1101,1.4658),(2465,5595,2.1197,1.4502),(2465,5605,2.1293,1.4347),(2465,5615,2.1382,1.4192),(2465,5625,2.147,1.4039),(2465,5635,2.1559,1.3888),(2465,5645,2.1643,1.3738),(2465,5655,2.1725,1.3588),(2465,5665,2.1808,1.3442),(2465,5675,2.1886,1.3295),(2465,5685,2.1962,1.3149),(2465,5695,2.2039,1.3006),(2465,5705,2.2113,1.2864),(2465,5715,2.2184,1.2721),(2465,5725,2.2254,1.2581),(2465,5735,2.2324,1.2442),(2465,5745,2.2389,1.2303),(2465,5755,2.2455,1.2166),(2465,5765,2.252,1.203),(2465,5775,2.2581,1.1894),(2465,5785,2.2642,1.176),(2465,5795,2.2703,1.1627),(2465,5805,2.276,1.1494),(2465,5815,2.2817,1.1363),(2465,5825,2.2874,1.1233),(2465,5835,2.2927,1.1103),(2465,5845,2.298,1.0973),(2465,5855,2.3032,1.0846),(2465,5865,2.3083,1.0719),(2465,5875,2.3132,1.0591),(2465,5885,2.3181,1.0467),(2465,5895,2.3228,1.0342),(2465,5905,2.3274,1.0218),(2465,5915,2.3319,1.0096),(2465,5925,2.3364,0.99737),(2465,5935,2.3406,0.98519),(2465,5945,2.3449,0.97316),(2465,5955,2.3491,0.96122),(2465,5965,2.3531,0.94928),(2465,5975,2.3571,0.93745),(2465,5985,2.3612,0.92574),(2465,5995,1.8056,0.91403),(2465,6005,1.16,0.90508),(2465,6015,0.51431,0.9035),(2465,6025,0.59245,0.90193),(2465,6035,1.0063,0.89935),(2465,6045,1.4201,0.88711),(2465,6055,1.7116,0.87487),(2465,6065,1.883,0.86263),(2465,6075,2.0544,0.84681),(2465,6085,2.1715,0.83066),(2465,6095,2.1765,0.8145),(2465,6105,2.1815,0.79831),(2465,6115,2.1864,0.7821),(2465,6125,2.1911,0.76589),(2465,6135,2.1959,0.74972),(2465,6145,2.2006,0.73359),(2465,6155,2.205,0.71745),(2465,6165,2.2094,0.70137),(2465,6175,2.2138,0.6854),(2465,6185,2.2179,0.66942),(2465,6195,2.222,0.65345),(2465,6205,2.2261,0.63752),(2465,6215,2.2299,0.62158),(2465,6225,2.2337,0.60564),(2465,6235,2.2374,0.58977),(2465,6245,2.241,0.5739),(2465,6255,2.2444,0.55804),(2465,6265,2.2478,0.54223),(2465,6275,2.2512,0.52644),(2465,6285,2.2543,0.51065),(2465,6295,2.2574,0.49489),(2465,6305,2.2604,0.47915),(2465,6315,2.2632,0.4634),(2465,6325,2.266,0.44765),(2465,6335,2.2688,0.4319),(2465,6345,2.2713,0.41615),(2465,6355,2.2738,0.40042),(2465,6365,2.2763,0.38472),(2465,6375,2.2786,0.36903),(2465,6385,2.2808,0.35335),(2465,6395,2.283,0.33774),(2465,6405,2.285,0.32212),(2465,6415,2.2869,0.30651),(2465,6425,2.2888,0.29095),(2465,6435,2.2906,0.27539),(2465,6445,2.2921,0.25983),(2465,6455,2.2937,0.24427),(2465,6465,2.2952,0.22872),(2465,6475,2.2965,0.21316),(2465,6485,2.2978,0.19762),(2465,6495,2.299,0.18208),(2465,6505,2.3,0.16655),(2465,6515,2.3009,0.15103),(2465,6525,2.3019,0.13553),(2465,6535,2.3026,0.12004),(2465,6545,2.3032,0.10455),(2465,6555,2.3039,0.089068),(2465,6565,2.3043,0.073586),(2465,6575,2.3047,0.058106),(2465,6585,2.305,0.042664),(2465,6595,1.9606,0.027221),(2465,6605,1.2357,0.011778),(2465,6615,0.51068,0.009969),(2465,6625,0.00104,0.009912),(2465,6635,0.001041,0.009855),(2465,6645,0.001041,0.00983),(2465,6655,0.001042,0.009819),(2465,6665,0.001042,0.009807),(2465,6675,0.001043,0.009796),(2465,6685,0.001043,0.009785),(2465,6695,0.001044,0.009774),(2465,6705,0.001044,0.009763),(2465,6715,0.001045,0.009752),(2465,6725,0.001045,0.009742),(2465,6735,0.001045,0.009731),(2465,6745,0.001046,0.00972),(2465,6755,0.001046,0.009709),(2465,6765,0.001046,0.009698),(2465,6775,0.001047,0.009688),(2465,6785,0.001047,0.009677),(2465,6795,0.001048,0.009666),(2465,6805,0.001048,0.009656),(2465,6815,0.001048,0.009645),(2465,6825,0.001049,0.009635),(2465,6835,0.001049,0.009624),(2465,6845,0.001049,0.009614),(2465,6855,0.00105,0.009603),(2465,6865,0.00105,0.009593),(2465,6875,0.00105,0.009583),(2465,6885,0.001051,0.009573),(2465,6895,0.001051,0.009562),(2465,6905,0.001051,0.009552),(2465,6915,0.001051,0.009542),(2465,6925,0.001052,0.009532),(2465,6935,0.001052,0.009522),(2465,6945,0.001052,0.009512),(2465,6955,0.001053,0.009502),(2465,6965,0.001053,0.009491),(2465,6975,0.001053,0.009482),(2465,6985,0.001054,0.009471),(2475,5,4e-05,3.6853),(2475,15,0.000119,3.6853),(2475,25,0.000198,3.6853),(2475,35,0.000278,3.6853),(2475,45,0.000357,3.6853),(2475,55,0.000437,3.6853),(2475,65,0.000516,3.6854),(2475,75,0.000596,3.6854),(2475,85,0.000676,3.6854),(2475,95,0.000756,3.6854),(2475,105,0.000836,3.6854),(2475,115,0.000916,3.6854),(2475,125,0.000996,3.6854),(2475,135,0.001076,3.6854),(2475,145,0.001157,3.6854),(2475,155,0.001238,3.6854),(2475,165,0.001318,3.6854),(2475,175,0.001399,3.6854),(2475,185,0.001481,3.6854),(2475,195,0.001563,3.6854),(2475,205,0.001644,3.6855),(2475,215,0.001726,3.6855),(2475,225,0.001808,3.6855),(2475,235,0.001891,3.6855),(2475,245,0.001974,3.6855),(2475,255,0.002057,3.6855),(2475,265,0.00214,3.6855),(2475,275,0.002224,3.6855),(2475,285,0.002308,3.6856),(2475,295,0.002392,3.6856),(2475,305,0.002477,3.6856),(2475,315,0.002562,3.6856),(2475,325,0.002648,3.6856),(2475,335,0.002733,3.6856),(2475,345,0.002819,3.6857),(2475,355,0.002906,3.6857),(2475,365,0.002993,3.6857),(2475,375,0.00308,3.6857),(2475,385,0.003169,3.6857),(2475,395,0.003258,3.6858),(2475,405,0.003347,3.6858),(2475,415,0.003436,3.6858),(2475,425,0.003527,3.6858),(2475,435,0.003618,3.6859),(2475,445,0.00371,3.6859),(2475,455,0.003801,3.6859),(2475,465,0.003894,3.6859),(2475,475,0.003988,3.686),(2475,485,0.004081,3.686),(2475,495,0.004175,3.686),(2475,505,0.004271,3.6861),(2475,515,0.004367,3.6861),(2475,525,0.004464,3.6861),(2475,535,0.00456,3.6861),(2475,545,0.00466,3.6862),(2475,555,0.004759,3.6862),(2475,565,0.004858,3.6862),(2475,575,0.004958,3.6863),(2475,585,0.005061,3.6863),(2475,595,0.005164,3.6864),(2475,605,0.005267,3.6864),(2475,615,0.00537,3.6864),(2475,625,0.005477,3.6865),(2475,635,0.005583,3.6865),(2475,645,0.00569,3.6866),(2475,655,0.005797,3.6866),(2475,665,0.005908,3.6866),(2475,675,0.006018,3.6867),(2475,685,0.006129,3.6867),(2475,695,0.006241,3.6868),(2475,705,0.006356,3.6868),(2475,715,0.006471,3.6869),(2475,725,0.006586,3.6869),(2475,735,0.006703,3.687),(2475,745,0.006823,3.687),(2475,755,0.006943,3.6871),(2475,765,0.007063,3.6871),(2475,775,0.007185,3.6872),(2475,785,0.007311,3.6872),(2475,795,0.007437,3.6873),(2475,805,0.007562,3.6873),(2475,815,0.00769,3.6874),(2475,825,0.007822,3.6874),(2475,835,0.007953,3.6875),(2475,845,0.008085,3.6876),(2475,855,0.008219,3.6876),(2475,865,0.008358,3.6877),(2475,875,0.008496,3.6877),(2475,885,0.008634,3.6878),(2475,895,0.008775,3.6879),(2475,905,0.00892,3.6879),(2475,915,0.009066,3.688),(2475,925,0.009211,3.6881),(2475,935,0.00936,3.6882),(2475,945,0.009513,3.6882),(2475,955,0.009666,3.6883),(2475,965,0.00982,3.6884),(2475,975,0.009977,3.6884),(2475,985,0.010139,3.6885),(2475,995,0.0103,3.6886),(2475,1005,0.010462,3.6887),(2475,1015,0.010628,3.6887),(2475,1025,0.010799,3.6888),(2475,1035,0.01097,3.6889),(2475,1045,0.011141,3.689),(2475,1055,0.011317,3.6891),(2475,1065,0.011498,3.6892),(2475,1075,0.011679,3.6892),(2475,1085,0.011859,3.6893),(2475,1095,0.012046,3.6894),(2475,1105,0.012238,3.6895),(2475,1115,0.01243,3.6896),(2475,1125,0.012621,3.6897),(2475,1135,0.01282,3.6898),(2475,1145,0.013024,3.6899),(2475,1155,0.013227,3.69),(2475,1165,0.013431,3.6901),(2475,1175,0.013642,3.6902),(2475,1185,0.013858,3.6903),(2475,1195,0.014074,3.6904),(2475,1205,0.01429,3.6905),(2475,1215,0.014516,3.6906),(2475,1225,0.014746,3.6907),(2475,1235,0.014975,3.6908),(2475,1245,0.015205,3.6909),(2475,1255,0.015446,3.691),(2475,1265,0.01569,3.6911),(2475,1275,0.015934,3.6912),(2475,1285,0.016179,3.6913),(2475,1295,0.016435,3.6914),(2475,1305,0.016696,3.6915),(2475,1315,0.016956,3.6916),(2475,1325,0.017216,3.6917),(2475,1335,0.017491,3.6919),(2475,1345,0.017768,3.692),(2475,1355,0.018046,3.6921),(2475,1365,0.018323,3.6922),(2475,1375,0.018617,3.6923),(2475,1385,0.018912,3.6924),(2475,1395,0.019208,3.6926),(2475,1405,0.019504,3.6927),(2475,1415,0.019817,3.6928),(2475,1425,0.020133,3.6929),(2475,1435,0.020448,3.6931),(2475,1445,0.020764,3.6932),(2475,1455,0.021099,3.6933),(2475,1465,0.021436,3.6934),(2475,1475,0.021773,3.6936),(2475,1485,0.022109,3.6937),(2475,1495,0.022468,3.6938),(2475,1505,0.022828,3.6939),(2475,1515,0.023187,3.6941),(2475,1525,0.023547,3.6942),(2475,1535,0.023931,3.6943),(2475,1545,0.024315,3.6944),(2475,1555,0.024698,3.6946),(2475,1565,0.025084,3.6947),(2475,1575,0.025493,3.6948),(2475,1585,0.025903,3.695),(2475,1595,0.026313,3.6951),(2475,1605,0.026725,3.6952),(2475,1615,0.027163,3.6954),(2475,1625,0.0276,3.6955),(2475,1635,0.028037,3.6956),(2475,1645,0.028479,3.6957),(2475,1655,0.028946,3.6959),(2475,1665,0.029413,3.696),(2475,1675,0.02988,3.6961),(2475,1685,0.030353,3.6963),(2475,1695,0.030851,3.6964),(2475,1705,0.03135,3.6965),(2475,1715,0.031848,3.6966),(2475,1725,0.032354,3.6968),(2475,1735,0.032886,3.6969),(2475,1745,0.033418,3.697),(2475,1755,0.03395,3.6971),(2475,1765,0.034491,3.6973),(2475,1775,0.035059,3.6974),(2475,1785,0.035626,3.6975),(2475,1795,0.036194,3.6976),(2475,1805,0.036773,3.6977),(2475,1815,0.037378,3.6978),(2475,1825,0.037983,3.6979),(2475,1835,0.038589,3.698),(2475,1845,0.039208,3.6982),(2475,1855,0.039853,3.6983),(2475,1865,0.040498,3.6984),(2475,1875,0.041143,3.6985),(2475,1885,0.041804,3.6985),(2475,1895,0.042491,3.6986),(2475,1905,0.043179,3.6987),(2475,1915,0.043866,3.6988),(2475,1925,0.044572,3.6989),(2475,1935,0.045303,3.699),(2475,1945,0.046035,3.699),(2475,1955,0.046767,3.6991),(2475,1965,0.04752,3.6992),(2475,1975,0.048298,3.6992),(2475,1985,0.049076,3.6993),(2475,1995,0.049854,3.6993),(2475,2005,0.050656,3.6994),(2475,2015,0.051483,3.6994),(2475,2025,0.05231,3.6995),(2475,2035,0.053137,3.6995),(2475,2045,0.053992,3.6995),(2475,2055,0.05487,3.6995),(2475,2065,0.055748,3.6995),(2475,2075,0.056626,3.6995),(2475,2085,0.057535,3.6995),(2475,2095,0.058466,3.6995),(2475,2105,0.059397,3.6995),(2475,2115,0.060328,3.6995),(2475,2125,0.061294,3.6994),(2475,2135,0.06228,3.6994),(2475,2145,0.063266,3.6993),(2475,2155,0.064252,3.6993),(2475,2165,0.065275,3.6992),(2475,2175,0.066318,3.6991),(2475,2185,0.06736,3.699),(2475,2195,0.068403,3.6989),(2475,2205,0.069486,3.6988),(2475,2215,0.070587,3.6987),(2475,2225,0.071688,3.6986),(2475,2235,0.072789,3.6984),(2475,2245,0.073934,3.6982),(2475,2255,0.075094,3.6981),(2475,2265,0.076255,3.6979),(2475,2275,0.077415,3.6977),(2475,2285,0.078623,3.6975),(2475,2295,0.079843,3.6973),(2475,2305,0.081064,3.697),(2475,2315,0.082285,3.6967),(2475,2325,0.083556,3.6965),(2475,2335,0.084837,3.6962),(2475,2345,0.086119,3.6959),(2475,2355,0.087401,3.6955),(2475,2365,0.088735,3.6952),(2475,2375,0.090077,3.6949),(2475,2385,0.09142,3.6945),(2475,2395,0.092763,3.6941),(2475,2405,0.094159,3.6937),(2475,2415,0.095562,3.6932),(2475,2425,0.096965,3.6928),(2475,2435,0.098368,3.6923),(2475,2445,0.099826,3.6918),(2475,2455,0.10129,3.6913),(2475,2465,0.10275,3.6907),(2475,2475,0.10421,3.6901),(2475,2485,0.10573,3.6896),(2475,2495,0.10725,3.689),(2475,2505,0.10877,3.6883),(2475,2515,0.11028,3.6876),(2475,2525,0.11186,3.687),(2475,2535,0.11343,3.6863),(2475,2545,0.115,3.6855),(2475,2555,0.11658,3.6847),(2475,2565,0.1182,3.684),(2475,2575,0.11983,3.6832),(2475,2585,0.12145,3.6823),(2475,2595,0.12308,3.6814),(2475,2605,0.12475,3.6805),(2475,2615,0.12641,3.6796),(2475,2625,0.12808,3.6786),(2475,2635,0.12976,3.6776),(2475,2645,0.13147,3.6766),(2475,2655,0.13318,3.6755),(2475,2665,0.13489,3.6744),(2475,2675,0.1366,3.6732),(2475,2685,0.13835,3.6721),(2475,2695,0.14009,3.6709),(2475,2705,0.14183,3.6696),(2475,2715,0.14358,3.6684),(2475,2725,0.14535,3.6671),(2475,2735,0.14712,3.6658),(2475,2745,0.14889,3.6644),(2475,2755,0.15067,3.6629),(2475,2765,0.15246,3.6615),(2475,2775,0.15424,3.66),(2475,2785,0.15603,3.6585),(2475,2795,0.15782,3.6569),(2475,2805,0.15962,3.6553),(2475,2815,0.16142,3.6537),(2475,2825,0.16321,3.652),(2475,2835,0.16501,3.6502),(2475,2845,0.1668,3.6485),(2475,2855,0.16859,3.6467),(2475,2865,0.17039,3.6448),(2475,2875,0.17218,3.6429),(2475,2885,0.17396,3.641),(2475,2895,0.17574,3.6391),(2475,2905,0.17752,3.637),(2475,2915,0.17929,3.635),(2475,2925,0.18104,3.6329),(2475,2935,0.18279,3.6308),(2475,2945,0.18455,3.6286),(2475,2955,0.18629,3.6263),(2475,2965,0.188,3.6241),(2475,2975,0.18972,3.6218),(2475,2985,0.19143,3.6194),(2475,2995,0.19312,3.617),(2475,3005,0.19478,3.6146),(2475,3015,0.19645,3.6122),(2475,3025,0.19811,3.6096),(2475,3035,0.19974,3.607),(2475,3045,0.20134,3.6045),(2475,3055,0.20293,3.6018),(2475,3065,0.20453,3.5991),(2475,3075,0.20608,3.5964),(2475,3085,0.2076,3.5937),(2475,3095,0.20911,3.5909),(2475,3105,0.21063,3.588),(2475,3115,0.21209,3.5851),(2475,3125,0.21351,3.5822),(2475,3135,0.21493,3.5792),(2475,3145,0.21635,3.5762),(2475,3155,0.21771,3.5731),(2475,3165,0.21902,3.5701),(2475,3175,0.22033,3.567),(2475,3185,0.22165,3.5638),(2475,3195,0.22288,3.5606),(2475,3205,0.22407,3.5574),(2475,3215,0.22526,3.5541),(2475,3225,0.22645,3.5508),(2475,3235,0.22754,3.5474),(2475,3245,0.2286,3.5441),(2475,3255,0.22966,3.5407),(2475,3265,0.23071,3.5372),(2475,3275,0.23166,3.5338),(2475,3285,0.23257,3.5303),(2475,3295,0.23348,3.5268),(2475,3305,0.23439,3.5232),(2475,3315,0.23517,3.5197),(2475,3325,0.23592,3.5161),(2475,3335,0.23667,3.5124),(2475,3345,0.23742,3.5088),(2475,3355,0.23803,3.5051),(2475,3365,0.23861,3.5014),(2475,3375,0.2392,3.4977),(2475,3385,0.23978,3.4939),(2475,3395,0.24021,3.4902),(2475,3405,0.24062,3.4864),(2475,3415,0.24102,3.4826),(2475,3425,0.24143,3.4788),(2475,3435,0.24167,3.475),(2475,3445,0.24189,3.4711),(2475,3455,0.24212,3.4673),(2475,3465,0.24234,3.4634),(2475,3475,0.24239,3.4595),(2475,3485,0.24243,3.4556),(2475,3495,0.24246,3.4517),(2475,3505,0.2425,3.4478),(2475,3515,0.24235,3.4439),(2475,3525,0.24219,3.44),(2475,3535,0.24204,3.4361),(2475,3545,0.24188,3.4322),(2475,3555,0.24153,3.4283),(2475,3565,0.24119,3.4243),(2475,3575,0.24085,3.4204),(2475,3585,0.24048,3.4165),(2475,3595,0.23995,3.4126),(2475,3605,0.23941,3.4087),(2475,3615,0.23888,3.4048),(2475,3625,0.23832,3.4009),(2475,3635,0.2376,3.397),(2475,3645,0.23688,3.3931),(2475,3655,0.23615,3.3893),(2475,3665,0.2354,3.3854),(2475,3675,0.23449,3.3815),(2475,3685,0.23359,3.3777),(2475,3695,0.23268,3.3739),(2475,3705,0.23174,3.3701),(2475,3715,0.23065,3.3663),(2475,3725,0.22957,3.3625),(2475,3735,0.22848,3.3588),(2475,3745,0.22735,3.3551),(2475,3755,0.2261,3.3514),(2475,3765,0.22484,3.3476),(2475,3775,0.22359,3.344),(2475,3785,0.22228,3.3404),(2475,3795,0.22086,3.3367),(2475,3805,0.21945,3.3331),(2475,3815,0.21803,3.3296),(2475,3825,0.21656,3.3261),(2475,3835,0.21498,3.3225),(2475,3845,0.21341,3.319),(2475,3855,0.21184,3.3156),(2475,3865,0.21021,3.3122),(2475,3875,0.20849,3.3087),(2475,3885,0.20677,3.3054),(2475,3895,0.20506,3.3021),(2475,3905,0.2335,3.2988),(2475,3915,0.307,3.2955),(2475,3925,0.3805,3.2905),(2475,3935,0.454,3.2833),(2475,3945,0.53067,3.2761),(2475,3955,0.61138,3.2689),(2475,3965,0.6921,3.2596),(2475,3975,0.77281,3.248),(2475,3985,0.81878,3.2365),(2475,3995,0.82714,3.2249),(2475,4005,0.8355,3.2132),(2475,4015,0.84386,3.2013),(2475,4025,0.85352,3.1893),(2475,4035,0.86331,3.1773),(2475,4045,0.8731,3.1651),(2475,4055,0.88306,3.1529),(2475,4065,0.89309,3.1407),(2475,4075,0.90312,3.1282),(2475,4085,0.91282,3.1157),(2475,4095,0.92224,3.1032),(2475,4105,0.93167,3.0904),(2475,4115,0.90685,3.0776),(2475,4125,0.82527,3.0648),(2475,4135,0.74369,3.0546),(2475,4145,0.66064,3.0452),(2475,4155,0.57167,3.0358),(2475,4165,0.4827,3.0285),(2475,4175,0.39907,3.0227),(2475,4185,0.57996,3.0168),(2475,4195,0.76086,3.0077),(2475,4205,0.94176,2.9941),(2475,4215,0.95283,2.9806),(2475,4225,0.93193,2.967),(2475,4235,0.91104,2.9534),(2475,4245,0.86168,2.9398),(2475,4255,0.79787,2.9263),(2475,4265,0.73407,2.9144),(2475,4275,0.62361,2.9025),(2475,4285,0.46365,2.8906),(2475,4295,0.30368,2.8862),(2475,4305,0.26342,2.8827),(2475,4315,0.49343,2.8792),(2475,4325,0.72345,2.8693),(2475,4335,0.92943,2.8568),(2475,4345,0.97275,2.8443),(2475,4355,1.0161,2.8313),(2475,4365,1.0594,2.8179),(2475,4375,1.0719,2.8044),(2475,4385,1.0828,2.7909),(2475,4395,1.0936,2.7771),(2475,4405,0.96132,2.7634),(2475,4415,0.78677,2.7508),(2475,4425,0.61223,2.7435),(2475,4435,0.54169,2.7362),(2475,4445,0.54223,2.7288),(2475,4455,0.54277,2.7218),(2475,4465,0.62725,2.7147),(2475,4475,0.82965,2.7076),(2475,4485,1.032,2.6949),(2475,4495,1.1891,2.6809),(2475,4505,1.2005,2.667),(2475,4515,1.212,2.653),(2475,4525,1.2209,2.639),(2475,4535,1.1897,2.625),(2475,4545,1.1586,2.6116),(2475,4555,1.1274,2.599),(2475,4565,0.85885,2.5863),(2475,4575,0.55824,2.5765),(2475,4585,0.25764,2.5736),(2475,4595,0.31457,2.5708),(2475,4605,0.52256,2.5667),(2475,4615,0.73055,2.5533),(2475,4625,0.88073,2.5399),(2475,4635,0.97855,2.5265),(2475,4645,1.0764,2.511),(2475,4655,1.1543,2.4955),(2475,4665,1.1948,2.4799),(2475,4675,1.2352,2.4646),(2475,4685,1.2254,2.4493),(2475,4695,0.96735,2.434),(2475,4705,0.70928,2.4242),(2475,4715,0.4512,2.4183),(2475,4725,0.59286,2.4125),(2475,4735,0.73852,2.405),(2475,4745,0.88418,2.3951),(2475,4755,1.0354,2.3851),(2475,4765,1.1879,2.3743),(2475,4775,1.3404,2.3603),(2475,4785,1.4017,2.3463),(2475,4795,1.4104,2.3323),(2475,4805,1.419,2.3186),(2475,4815,1.3571,2.3048),(2475,4825,1.2108,2.2911),(2475,4835,1.0646,2.2815),(2475,4845,0.91599,2.2725),(2475,4855,0.76133,2.2634),(2475,4865,0.60667,2.2571),(2475,4875,0.50013,2.2521),(2475,4885,0.83145,2.247),(2475,4895,1.1628,2.2375),(2475,4905,1.4941,2.2237),(2475,4915,1.508,2.2099),(2475,4925,1.4947,2.1961),(2475,4935,1.4814,2.182),(2475,4945,1.4017,2.1679),(2475,4955,1.299,2.1539),(2475,4965,1.1964,2.1402),(2475,4975,0.9674,2.1266),(2475,4985,0.64092,2.1129),(2475,4995,0.31444,2.1111),(2475,5005,0.24874,2.1097),(2475,5015,0.5976,2.1082),(2475,5025,0.94646,2.0999),(2475,5035,1.2479,2.0898),(2475,5045,1.3684,2.0797),(2475,5055,1.4889,2.0681),(2475,5065,1.6061,2.0555),(2475,5075,1.6124,2.0429),(2475,5085,1.6188,2.0304),(2475,5095,1.6251,2.0181),(2475,5105,1.4227,2.0057),(2475,5115,1.1839,1.9949),(2475,5125,0.94513,1.9884),(2475,5135,0.82838,1.9818),(2475,5145,0.77085,1.9754),(2475,5155,0.71333,1.9699),(2475,5165,0.84588,1.9644),(2475,5175,1.1723,1.9589),(2475,5185,1.4987,1.9469),(2475,5195,1.7237,1.9341),(2475,5205,1.7303,1.9214),(2475,5215,1.7369,1.9089),(2475,5225,1.7342,1.8964),(2475,5235,1.6738,1.8839),(2475,5245,1.6135,1.8724),(2475,5255,1.5531,1.8617),(2475,5265,1.0939,1.851),(2475,5275,0.61816,1.8441),(2475,5285,0.14244,1.8435),(2475,5295,0.38214,1.8429),(2475,5305,0.82107,1.8396),(2475,5315,1.26,1.8248),(2475,5325,1.4944,1.81),(2475,5335,1.5945,1.7952),(2475,5345,1.6947,1.7814),(2475,5355,1.7591,1.7677),(2475,5365,1.7753,1.7539),(2475,5375,1.7915,1.7407),(2475,5385,1.7009,1.7276),(2475,5395,1.2856,1.7145),(2475,5405,0.87039,1.7077),(2475,5415,0.50061,1.7041),(2475,5425,0.7418,1.7006),(2475,5435,0.98298,1.6934),(2475,5445,1.2242,1.6821),(2475,5455,1.4617,1.6709),(2475,5465,1.6987,1.6578),(2475,5475,1.9358,1.6405),(2475,5485,2.0117,1.6231),(2475,5495,2.0226,1.6059),(2475,5505,2.0335,1.5891),(2475,5515,2.0445,1.5723),(2475,5525,2.0553,1.5555),(2475,5535,2.0662,1.5391),(2475,5545,2.0768,1.5228),(2475,5555,2.087,1.5065),(2475,5565,2.0971,1.4906),(2475,5575,2.1071,1.4748),(2475,5585,2.1165,1.459),(2475,5595,2.1259,1.4434),(2475,5605,2.1353,1.428),(2475,5615,2.144,1.4126),(2475,5625,2.1527,1.3974),(2475,5635,2.1615,1.3824),(2475,5645,2.1697,1.3674),(2475,5655,2.1777,1.3525),(2475,5665,2.1858,1.338),(2475,5675,2.1935,1.3234),(2475,5685,2.201,1.3088),(2475,5695,2.2085,1.2946),(2475,5705,2.2158,1.2805),(2475,5715,2.2227,1.2663),(2475,5725,2.2297,1.2524),(2475,5735,2.2365,1.2385),(2475,5745,2.2429,1.2247),(2475,5755,2.2494,1.2111),(2475,5765,2.2558,1.1975),(2475,5775,2.2618,1.184),(2475,5785,2.2677,1.1707),(2475,5795,2.2737,1.1575),(2475,5805,2.2793,1.1443),(2475,5815,2.2849,1.1312),(2475,5825,2.2904,1.1183),(2475,5835,2.2957,1.1053),(2475,5845,2.3008,1.0925),(2475,5855,2.306,1.0798),(2475,5865,2.3109,1.0672),(2475,5875,2.3157,1.0545),(2475,5885,2.3205,1.0421),(2475,5895,2.3252,1.0298),(2475,5905,2.3296,1.0174),(2475,5915,2.3341,1.0052),(2475,5925,2.3385,0.99311),(2475,5935,2.3426,0.981),(2475,5945,2.3467,0.96905),(2475,5955,2.3509,0.95718),(2475,5965,2.3548,0.94532),(2475,5975,2.3587,0.93355),(2475,5985,2.3627,0.92192),(2475,5995,1.8067,0.91028),(2475,6005,1.1607,0.90139),(2475,6015,0.51467,0.89982),(2475,6025,0.59382,0.89826),(2475,6035,1.0093,0.89569),(2475,6045,1.4248,0.88349),(2475,6055,1.7174,0.87129),(2475,6065,1.8893,0.85909),(2475,6075,2.0613,0.84332),(2475,6085,2.1787,0.82722),(2475,6095,2.1837,0.81112),(2475,6105,2.1886,0.79499),(2475,6115,2.1935,0.77884),(2475,6125,2.1982,0.76269),(2475,6135,2.2029,0.74658),(2475,6145,2.2076,0.73051),(2475,6155,2.2119,0.71444),(2475,6165,2.2163,0.69843),(2475,6175,2.2207,0.68251),(2475,6185,2.2248,0.6666),(2475,6195,2.2288,0.65069),(2475,6205,2.2328,0.63481),(2475,6215,2.2367,0.61893),(2475,6225,2.2404,0.60306),(2475,6235,2.2441,0.58725),(2475,6245,2.2477,0.57144),(2475,6255,2.2511,0.55563),(2475,6265,2.2545,0.53989),(2475,6275,2.2578,0.52417),(2475,6285,2.2608,0.50844),(2475,6295,2.2639,0.49275),(2475,6305,2.2669,0.47707),(2475,6315,2.2697,0.4614),(2475,6325,2.2724,0.44572),(2475,6335,2.2752,0.43004),(2475,6345,2.2777,0.41436),(2475,6355,2.2802,0.39869),(2475,6365,2.2826,0.38307),(2475,6375,2.2849,0.36745),(2475,6385,2.287,0.35183),(2475,6395,2.2892,0.33629),(2475,6405,2.2912,0.32075),(2475,6415,2.2931,0.30521),(2475,6425,2.295,0.28971),(2475,6435,2.2967,0.27421),(2475,6445,2.2983,0.25871),(2475,6455,2.2999,0.24322),(2475,6465,2.3014,0.22773),(2475,6475,2.3026,0.21224),(2475,6485,2.3039,0.19676),(2475,6495,2.3051,0.18129),(2475,6505,2.3061,0.16582),(2475,6515,2.307,0.15037),(2475,6525,2.308,0.13495),(2475,6535,2.3087,0.11953),(2475,6545,2.3093,0.10411),(2475,6555,2.31,0.0887),(2475,6565,2.3104,0.073292),(2475,6575,2.3108,0.057886),(2475,6585,2.3111,0.042513),(2475,6595,1.9658,0.02714),(2475,6605,1.2389,0.011768),(2475,6615,0.51203,0.009967),(2475,6625,0.001047,0.009911),(2475,6635,0.001048,0.009855),(2475,6645,0.001048,0.009831),(2475,6655,0.001049,0.009819),(2475,6665,0.001049,0.009808),(2475,6675,0.00105,0.009797),(2475,6685,0.00105,0.009786),(2475,6695,0.00105,0.009775),(2475,6705,0.001051,0.009764),(2475,6715,0.001051,0.009753),(2475,6725,0.001051,0.009742),(2475,6735,0.001052,0.009731),(2475,6745,0.001052,0.00972),(2475,6755,0.001053,0.009709),(2475,6765,0.001053,0.009699),(2475,6775,0.001053,0.009688),(2475,6785,0.001054,0.009677),(2475,6795,0.001054,0.009667),(2475,6805,0.001054,0.009656),(2475,6815,0.001055,0.009645),(2475,6825,0.001055,0.009635),(2475,6835,0.001055,0.009625),(2475,6845,0.001056,0.009614),(2475,6855,0.001056,0.009604),(2475,6865,0.001056,0.009593),(2475,6875,0.001056,0.009583),(2475,6885,0.001057,0.009573),(2475,6895,0.001057,0.009563),(2475,6905,0.001057,0.009553),(2475,6915,0.001057,0.009542),(2475,6925,0.001058,0.009532),(2475,6935,0.001058,0.009522),(2475,6945,0.001058,0.009512),(2475,6955,0.001058,0.009502),(2475,6965,0.001059,0.009492),(2475,6975,0.001059,0.009482),(2475,6985,0.001059,0.009472),(2485,5,3.9e-05,3.6854),(2485,15,0.000118,3.6854),(2485,25,0.000196,3.6854),(2485,35,0.000275,3.6854),(2485,45,0.000353,3.6854),(2485,55,0.000432,3.6854),(2485,65,0.000511,3.6854),(2485,75,0.000589,3.6854),(2485,85,0.000668,3.6854),(2485,95,0.000747,3.6854),(2485,105,0.000826,3.6854),(2485,115,0.000905,3.6855),(2485,125,0.000985,3.6855),(2485,135,0.001064,3.6855),(2485,145,0.001144,3.6855),(2485,155,0.001224,3.6855),(2485,165,0.001304,3.6855),(2485,175,0.001384,3.6855),(2485,185,0.001464,3.6855),(2485,195,0.001545,3.6855),(2485,205,0.001626,3.6855),(2485,215,0.001707,3.6855),(2485,225,0.001788,3.6856),(2485,235,0.00187,3.6856),(2485,245,0.001952,3.6856),(2485,255,0.002034,3.6856),(2485,265,0.002116,3.6856),(2485,275,0.002199,3.6856),(2485,285,0.002282,3.6856),(2485,295,0.002365,3.6857),(2485,305,0.002449,3.6857),(2485,315,0.002534,3.6857),(2485,325,0.002618,3.6857),(2485,335,0.002702,3.6857),(2485,345,0.002788,3.6857),(2485,355,0.002874,3.6858),(2485,365,0.002959,3.6858),(2485,375,0.003045,3.6858),(2485,385,0.003133,3.6858),(2485,395,0.003221,3.6859),(2485,405,0.003309,3.6859),(2485,415,0.003397,3.6859),(2485,425,0.003487,3.6859),(2485,435,0.003577,3.6859),(2485,445,0.003667,3.686),(2485,455,0.003757,3.686),(2485,465,0.00385,3.686),(2485,475,0.003942,3.6861),(2485,485,0.004034,3.6861),(2485,495,0.004127,3.6861),(2485,505,0.004222,3.6861),(2485,515,0.004317,3.6862),(2485,525,0.004412,3.6862),(2485,535,0.004508,3.6862),(2485,545,0.004606,3.6863),(2485,555,0.004704,3.6863),(2485,565,0.004802,3.6863),(2485,575,0.0049,3.6864),(2485,585,0.005002,3.6864),(2485,595,0.005104,3.6865),(2485,605,0.005205,3.6865),(2485,615,0.005307,3.6865),(2485,625,0.005413,3.6866),(2485,635,0.005518,3.6866),(2485,645,0.005623,3.6867),(2485,655,0.005729,3.6867),(2485,665,0.005838,3.6867),(2485,675,0.005948,3.6868),(2485,685,0.006057,3.6868),(2485,695,0.006167,3.6869),(2485,705,0.006281,3.6869),(2485,715,0.006395,3.687),(2485,725,0.006509,3.687),(2485,735,0.006624,3.6871),(2485,745,0.006742,3.6871),(2485,755,0.006861,3.6872),(2485,765,0.00698,3.6872),(2485,775,0.0071,3.6873),(2485,785,0.007224,3.6873),(2485,795,0.007348,3.6874),(2485,805,0.007473,3.6875),(2485,815,0.007599,3.6875),(2485,825,0.007729,3.6876),(2485,835,0.007859,3.6876),(2485,845,0.007989,3.6877),(2485,855,0.008122,3.6878),(2485,865,0.008259,3.6878),(2485,875,0.008395,3.6879),(2485,885,0.008532,3.688),(2485,895,0.008671,3.688),(2485,905,0.008815,3.6881),(2485,915,0.008959,3.6882),(2485,925,0.009102,3.6882),(2485,935,0.009249,3.6883),(2485,945,0.009401,3.6884),(2485,955,0.009552,3.6884),(2485,965,0.009704,3.6885),(2485,975,0.009859,3.6886),(2485,985,0.010019,3.6887),(2485,995,0.010179,3.6887),(2485,1005,0.010339,3.6888),(2485,1015,0.010503,3.6889),(2485,1025,0.010672,3.689),(2485,1035,0.010841,3.6891),(2485,1045,0.01101,3.6892),(2485,1055,0.011185,3.6892),(2485,1065,0.011364,3.6893),(2485,1075,0.011543,3.6894),(2485,1085,0.011721,3.6895),(2485,1095,0.011907,3.6896),(2485,1105,0.012096,3.6897),(2485,1115,0.012286,3.6898),(2485,1125,0.012476,3.6899),(2485,1135,0.012673,3.69),(2485,1145,0.012874,3.6901),(2485,1155,0.013076,3.6902),(2485,1165,0.013277,3.6903),(2485,1175,0.013487,3.6904),(2485,1185,0.013701,3.6905),(2485,1195,0.013915,3.6906),(2485,1205,0.014129,3.6907),(2485,1215,0.014352,3.6908),(2485,1225,0.01458,3.6909),(2485,1235,0.014807,3.691),(2485,1245,0.015035,3.6911),(2485,1255,0.015274,3.6912),(2485,1265,0.015516,3.6913),(2485,1275,0.015758,3.6914),(2485,1285,0.016,3.6915),(2485,1295,0.016255,3.6917),(2485,1305,0.016513,3.6918),(2485,1315,0.016771,3.6919),(2485,1325,0.01703,3.692),(2485,1335,0.017302,3.6921),(2485,1345,0.017577,3.6922),(2485,1355,0.017853,3.6924),(2485,1365,0.018128,3.6925),(2485,1375,0.018419,3.6926),(2485,1385,0.018713,3.6927),(2485,1395,0.019007,3.6929),(2485,1405,0.0193,3.693),(2485,1415,0.019612,3.6931),(2485,1425,0.019925,3.6932),(2485,1435,0.020239,3.6934),(2485,1445,0.020552,3.6935),(2485,1455,0.020886,3.6936),(2485,1465,0.02122,3.6938),(2485,1475,0.021555,3.6939),(2485,1485,0.021889,3.694),(2485,1495,0.022246,3.6942),(2485,1505,0.022604,3.6943),(2485,1515,0.022961,3.6944),(2485,1525,0.023319,3.6946),(2485,1535,0.023701,3.6947),(2485,1545,0.024083,3.6948),(2485,1555,0.024465,3.695),(2485,1565,0.024848,3.6951),(2485,1575,0.025256,3.6952),(2485,1585,0.025664,3.6954),(2485,1595,0.026072,3.6955),(2485,1605,0.026483,3.6957),(2485,1615,0.026919,3.6958),(2485,1625,0.027354,3.6959),(2485,1635,0.02779,3.6961),(2485,1645,0.02823,3.6962),(2485,1655,0.028696,3.6963),(2485,1665,0.029161,3.6965),(2485,1675,0.029627,3.6966),(2485,1685,0.030098,3.6967),(2485,1695,0.030595,3.6969),(2485,1705,0.031092,3.697),(2485,1715,0.031589,3.6971),(2485,1725,0.032094,3.6973),(2485,1735,0.032625,3.6974),(2485,1745,0.033156,3.6975),(2485,1755,0.033687,3.6977),(2485,1765,0.034227,3.6978),(2485,1775,0.034794,3.6979),(2485,1785,0.035361,3.6981),(2485,1795,0.035928,3.6982),(2485,1805,0.036506,3.6983),(2485,1815,0.037111,3.6984),(2485,1825,0.037716,3.6985),(2485,1835,0.03832,3.6987),(2485,1845,0.038939,3.6988),(2485,1855,0.039584,3.6989),(2485,1865,0.040229,3.699),(2485,1875,0.040874,3.6991),(2485,1885,0.041536,3.6992),(2485,1895,0.042223,3.6993),(2485,1905,0.042911,3.6994),(2485,1915,0.043599,3.6995),(2485,1925,0.044305,3.6996),(2485,1935,0.045038,3.6997),(2485,1945,0.04577,3.6998),(2485,1955,0.046503,3.6999),(2485,1965,0.047257,3.6999),(2485,1975,0.048037,3.7),(2485,1985,0.048816,3.7001),(2485,1995,0.049596,3.7001),(2485,2005,0.0504,3.7002),(2485,2015,0.05123,3.7003),(2485,2025,0.052059,3.7003),(2485,2035,0.052888,3.7003),(2485,2045,0.053745,3.7004),(2485,2055,0.054626,3.7004),(2485,2065,0.055507,3.7004),(2485,2075,0.056388,3.7004),(2485,2085,0.0573,3.7005),(2485,2095,0.058235,3.7005),(2485,2105,0.05917,3.7005),(2485,2115,0.060105,3.7004),(2485,2125,0.061075,3.7004),(2485,2135,0.062066,3.7004),(2485,2145,0.063056,3.7004),(2485,2155,0.064047,3.7003),(2485,2165,0.065076,3.7002),(2485,2175,0.066124,3.7002),(2485,2185,0.067173,3.7001),(2485,2195,0.068221,3.7),(2485,2205,0.069311,3.6999),(2485,2215,0.070419,3.6998),(2485,2225,0.071527,3.6997),(2485,2235,0.072635,3.6995),(2485,2245,0.073787,3.6994),(2485,2255,0.074956,3.6993),(2485,2265,0.076124,3.6991),(2485,2275,0.077293,3.6989),(2485,2285,0.078509,3.6987),(2485,2295,0.07974,3.6985),(2485,2305,0.08097,3.6983),(2485,2315,0.0822,3.698),(2485,2325,0.083481,3.6977),(2485,2335,0.084774,3.6975),(2485,2345,0.086066,3.6972),(2485,2355,0.087359,3.6969),(2485,2365,0.088705,3.6965),(2485,2375,0.09006,3.6962),(2485,2385,0.091415,3.6958),(2485,2395,0.09277,3.6955),(2485,2405,0.094181,3.6951),(2485,2415,0.095598,3.6947),(2485,2425,0.097015,3.6942),(2485,2435,0.098431,3.6937),(2485,2445,0.099905,3.6933),(2485,2455,0.10138,3.6928),(2485,2465,0.10286,3.6922),(2485,2475,0.10434,3.6917),(2485,2485,0.10587,3.6911),(2485,2495,0.10741,3.6905),(2485,2505,0.10894,3.6899),(2485,2515,0.11048,3.6892),(2485,2525,0.11207,3.6886),(2485,2535,0.11367,3.6879),(2485,2545,0.11526,3.6871),(2485,2555,0.11685,3.6864),(2485,2565,0.1185,3.6856),(2485,2575,0.12014,3.6848),(2485,2585,0.12178,3.684),(2485,2595,0.12343,3.6831),(2485,2605,0.12513,3.6822),(2485,2615,0.12682,3.6813),(2485,2625,0.12851,3.6803),(2485,2635,0.13021,3.6793),(2485,2645,0.13194,3.6783),(2485,2655,0.13368,3.6773),(2485,2665,0.13541,3.6761),(2485,2675,0.13715,3.675),(2485,2685,0.13892,3.6739),(2485,2695,0.14069,3.6727),(2485,2705,0.14246,3.6714),(2485,2715,0.14424,3.6702),(2485,2725,0.14603,3.6689),(2485,2735,0.14783,3.6676),(2485,2745,0.14963,3.6662),(2485,2755,0.15143,3.6648),(2485,2765,0.15325,3.6633),(2485,2775,0.15507,3.6619),(2485,2785,0.15689,3.6603),(2485,2795,0.15871,3.6587),(2485,2805,0.16053,3.6572),(2485,2815,0.16236,3.6555),(2485,2825,0.16419,3.6538),(2485,2835,0.16601,3.6521),(2485,2845,0.16784,3.6503),(2485,2855,0.16966,3.6486),(2485,2865,0.17149,3.6467),(2485,2875,0.17331,3.6448),(2485,2885,0.17512,3.6429),(2485,2895,0.17694,3.6409),(2485,2905,0.17875,3.6389),(2485,2915,0.18055,3.6368),(2485,2925,0.18234,3.6347),(2485,2935,0.18413,3.6326),(2485,2945,0.18591,3.6304),(2485,2955,0.18769,3.6281),(2485,2965,0.18943,3.6259),(2485,2975,0.19118,3.6236),(2485,2985,0.19293,3.6212),(2485,2995,0.19466,3.6188),(2485,3005,0.19635,3.6164),(2485,3015,0.19805,3.6139),(2485,3025,0.19975,3.6113),(2485,3035,0.20141,3.6087),(2485,3045,0.20304,3.6061),(2485,3055,0.20467,3.6035),(2485,3065,0.2063,3.6007),(2485,3075,0.20788,3.598),(2485,3085,0.20943,3.5952),(2485,3095,0.21098,3.5924),(2485,3105,0.21253,3.5895),(2485,3115,0.21402,3.5866),(2485,3125,0.21548,3.5837),(2485,3135,0.21693,3.5807),(2485,3145,0.21838,3.5776),(2485,3155,0.21977,3.5745),(2485,3165,0.22111,3.5715),(2485,3175,0.22246,3.5683),(2485,3185,0.2238,3.5651),(2485,3195,0.22506,3.5619),(2485,3205,0.22628,3.5586),(2485,3215,0.2275,3.5553),(2485,3225,0.22872,3.552),(2485,3235,0.22984,3.5486),(2485,3245,0.23092,3.5452),(2485,3255,0.23201,3.5418),(2485,3265,0.23309,3.5383),(2485,3275,0.23406,3.5348),(2485,3285,0.23499,3.5313),(2485,3295,0.23593,3.5277),(2485,3305,0.23686,3.5241),(2485,3315,0.23766,3.5205),(2485,3325,0.23844,3.5169),(2485,3335,0.23921,3.5132),(2485,3345,0.23998,3.5095),(2485,3355,0.24061,3.5058),(2485,3365,0.24121,3.502),(2485,3375,0.24181,3.4983),(2485,3385,0.24242,3.4945),(2485,3395,0.24286,3.4907),(2485,3405,0.24328,3.4869),(2485,3415,0.2437,3.483),(2485,3425,0.24413,3.4791),(2485,3435,0.24438,3.4753),(2485,3445,0.24461,3.4714),(2485,3455,0.24485,3.4675),(2485,3465,0.24509,3.4635),(2485,3475,0.24514,3.4596),(2485,3485,0.24518,3.4557),(2485,3495,0.24523,3.4517),(2485,3505,0.24527,3.4478),(2485,3515,0.24513,3.4438),(2485,3525,0.24498,3.4399),(2485,3535,0.24483,3.4359),(2485,3545,0.24467,3.4319),(2485,3555,0.24433,3.428),(2485,3565,0.24398,3.424),(2485,3575,0.24364,3.42),(2485,3585,0.24328,3.4161),(2485,3595,0.24274,3.4121),(2485,3605,0.2422,3.4081),(2485,3615,0.24167,3.4042),(2485,3625,0.2411,3.4002),(2485,3635,0.24037,3.3963),(2485,3645,0.23965,3.3924),(2485,3655,0.23892,3.3885),(2485,3665,0.23816,3.3846),(2485,3675,0.23724,3.3807),(2485,3685,0.23632,3.3768),(2485,3695,0.23541,3.3729),(2485,3705,0.23445,3.3691),(2485,3715,0.23336,3.3652),(2485,3725,0.23226,3.3614),(2485,3735,0.23116,3.3576),(2485,3745,0.23002,3.3539),(2485,3755,0.22875,3.3501),(2485,3765,0.22748,3.3464),(2485,3775,0.22621,3.3427),(2485,3785,0.22489,3.339),(2485,3795,0.22345,3.3353),(2485,3805,0.22201,3.3317),(2485,3815,0.22058,3.3281),(2485,3825,0.21909,3.3245),(2485,3835,0.2175,3.3209),(2485,3845,0.2159,3.3174),(2485,3855,0.21431,3.3139),(2485,3865,0.21266,3.3105),(2485,3875,0.21092,3.307),(2485,3885,0.20918,3.3036),(2485,3895,0.20743,3.3003),(2485,3905,0.23613,3.2969),(2485,3915,0.3103,3.2936),(2485,3925,0.38447,3.2886),(2485,3935,0.45864,3.2813),(2485,3945,0.53602,3.274),(2485,3955,0.61747,3.2668),(2485,3965,0.69892,3.2575),(2485,3975,0.78037,3.2458),(2485,3985,0.82674,3.2342),(2485,3995,0.83516,3.2225),(2485,4005,0.84357,3.2107),(2485,4015,0.85199,3.1987),(2485,4025,0.8617,3.1867),(2485,4035,0.87153,3.1746),(2485,4045,0.88137,3.1623),(2485,4055,0.89139,3.15),(2485,4065,0.90147,3.1377),(2485,4075,0.91154,3.1251),(2485,4085,0.92129,3.1125),(2485,4095,0.93077,3.0999),(2485,4105,0.94025,3.0871),(2485,4115,0.9152,3.0742),(2485,4125,0.83292,3.0613),(2485,4135,0.75064,3.0511),(2485,4145,0.66689,3.0417),(2485,4155,0.57719,3.0322),(2485,4165,0.4875,3.0249),(2485,4175,0.40319,3.0191),(2485,4185,0.58569,3.0132),(2485,4195,0.76819,3.004),(2485,4205,0.9507,2.9904),(2485,4215,0.9621,2.9768),(2485,4225,0.9413,2.9631),(2485,4235,0.9205,2.9494),(2485,4245,0.87098,2.9357),(2485,4255,0.80689,2.9221),(2485,4265,0.7428,2.91),(2485,4275,0.63127,2.898),(2485,4285,0.46941,2.886),(2485,4295,0.30755,2.8816),(2485,4305,0.26652,2.8781),(2485,4315,0.49831,2.8746),(2485,4325,0.73011,2.8646),(2485,4335,0.93766,2.8521),(2485,4345,0.98108,2.8396),(2485,4355,1.0245,2.8265),(2485,4365,1.0679,2.813),(2485,4375,1.0805,2.7995),(2485,4385,1.0914,2.7858),(2485,4395,1.1023,2.772),(2485,4405,0.96904,2.7581),(2485,4415,0.79327,2.7454),(2485,4425,0.61751,2.738),(2485,4435,0.54643,2.7305),(2485,4445,0.5469,2.723),(2485,4455,0.54736,2.7159),(2485,4465,0.63231,2.7088),(2485,4475,0.83595,2.7017),(2485,4485,1.0396,2.6888),(2485,4495,1.1975,2.6748),(2485,4505,1.209,2.6608),(2485,4515,1.2204,2.6467),(2485,4525,1.2293,2.6326),(2485,4535,1.1979,2.6184),(2485,4545,1.1665,2.605),(2485,4555,1.1351,2.5923),(2485,4565,0.86492,2.5796),(2485,4575,0.56257,2.5698),(2485,4585,0.26022,2.5669),(2485,4595,0.31826,2.564),(2485,4605,0.52858,2.5598),(2485,4615,0.73889,2.5462),(2485,4625,0.89031,2.5326),(2485,4635,0.98839,2.519),(2485,4645,1.0865,2.5034),(2485,4655,1.1645,2.4877),(2485,4665,1.2047,2.472),(2485,4675,1.2449,2.4566),(2485,4685,1.2346,2.4413),(2485,4695,0.97478,2.426),(2485,4705,0.71491,2.4162),(2485,4715,0.45504,2.4104),(2485,4725,0.59729,2.4046),(2485,4735,0.74357,2.3972),(2485,4745,0.88985,2.3872),(2485,4755,1.0417,2.3773),(2485,4765,1.1948,2.3664),(2485,4775,1.3479,2.3523),(2485,4785,1.4094,2.3383),(2485,4795,1.4179,2.3242),(2485,4805,1.4264,2.3105),(2485,4815,1.364,2.2968),(2485,4825,1.217,2.283),(2485,4835,1.0699,2.2734),(2485,4845,0.92058,2.2644),(2485,4855,0.76536,2.2554),(2485,4865,0.61014,2.2491),(2485,4875,0.50323,2.244),(2485,4885,0.83581,2.239),(2485,4895,1.1684,2.2295),(2485,4905,1.501,2.2157),(2485,4915,1.5152,2.2019),(2485,4925,1.502,2.1881),(2485,4935,1.4888,2.174),(2485,4945,1.4094,2.1599),(2485,4955,1.307,2.1459),(2485,4965,1.2046,2.1322),(2485,4975,0.97446,2.1184),(2485,4985,0.64564,2.1047),(2485,4995,0.31682,2.103),(2485,5005,0.25013,2.1015),(2485,5015,0.60016,2.1),(2485,5025,0.95019,2.0917),(2485,5035,1.2526,2.0816),(2485,5045,1.3734,2.0715),(2485,5055,1.4942,2.0599),(2485,5065,1.6116,2.0473),(2485,5075,1.6178,2.0347),(2485,5085,1.624,2.0222),(2485,5095,1.6302,2.0099),(2485,5105,1.4272,1.9975),(2485,5115,1.1876,1.9867),(2485,5125,0.94809,1.9801),(2485,5135,0.83103,1.9736),(2485,5145,0.77342,1.9671),(2485,5155,0.71581,1.9616),(2485,5165,0.84873,1.9561),(2485,5175,1.176,1.9507),(2485,5185,1.5032,1.9386),(2485,5195,1.7288,1.9259),(2485,5205,1.7353,1.9132),(2485,5215,1.7417,1.9007),(2485,5225,1.7389,1.8882),(2485,5235,1.6783,1.8757),(2485,5245,1.6176,1.8642),(2485,5255,1.557,1.8535),(2485,5265,1.0967,1.8428),(2485,5275,0.61987,1.8359),(2485,5285,0.14305,1.8353),(2485,5295,0.38446,1.8347),(2485,5305,0.82589,1.8314),(2485,5315,1.2673,1.8166),(2485,5325,1.5022,1.8017),(2485,5335,1.6016,1.7869),(2485,5345,1.7011,1.7732),(2485,5355,1.765,1.7594),(2485,5365,1.7809,1.7457),(2485,5375,1.7968,1.7324),(2485,5385,1.7057,1.7194),(2485,5395,1.2893,1.7063),(2485,5405,0.87287,1.6994),(2485,5415,0.5021,1.6959),(2485,5425,0.74464,1.6924),(2485,5435,0.98717,1.6852),(2485,5445,1.2297,1.674),(2485,5455,1.4681,1.6628),(2485,5465,1.7061,1.6498),(2485,5475,1.944,1.6326),(2485,5485,2.02,1.6153),(2485,5495,2.0307,1.5981),(2485,5505,2.0414,1.5814),(2485,5515,2.0522,1.5647),(2485,5525,2.0628,1.548),(2485,5535,2.0735,1.5317),(2485,5545,2.0839,1.5155),(2485,5555,2.0939,1.4993),(2485,5565,2.1038,1.4834),(2485,5575,2.1137,1.4677),(2485,5585,2.1229,1.452),(2485,5595,2.1321,1.4365),(2485,5605,2.1413,1.4212),(2485,5615,2.1499,1.4059),(2485,5625,2.1584,1.3907),(2485,5635,2.167,1.3758),(2485,5645,2.175,1.3609),(2485,5655,2.183,1.3461),(2485,5665,2.1909,1.3316),(2485,5675,2.1984,1.3172),(2485,5685,2.2058,1.3027),(2485,5695,2.2132,1.2886),(2485,5705,2.2203,1.2745),(2485,5715,2.2271,1.2603),(2485,5725,2.2339,1.2465),(2485,5735,2.2406,1.2328),(2485,5745,2.2469,1.219),(2485,5755,2.2532,1.2054),(2485,5765,2.2595,1.192),(2485,5775,2.2654,1.1786),(2485,5785,2.2712,1.1653),(2485,5795,2.2771,1.1522),(2485,5805,2.2826,1.139),(2485,5815,2.288,1.126),(2485,5825,2.2935,1.1132),(2485,5835,2.2986,1.1003),(2485,5845,2.3037,1.0875),(2485,5855,2.3087,1.0749),(2485,5865,2.3136,1.0624),(2485,5875,2.3183,1.0498),(2485,5885,2.323,1.0375),(2485,5895,2.3275,1.0252),(2485,5905,2.3319,1.0129),(2485,5915,2.3362,1.0008),(2485,5925,2.3405,0.98876),(2485,5935,2.3446,0.97672),(2485,5945,2.3486,0.96484),(2485,5955,2.3526,0.95305),(2485,5965,2.3565,0.94125),(2485,5975,2.3603,0.92956),(2485,5985,2.3642,0.918),(2485,5995,1.8079,0.90644),(2485,6005,1.1615,0.8976),(2485,6015,0.51502,0.89605),(2485,6025,0.59519,0.89449),(2485,6035,1.0124,0.89194),(2485,6045,1.4295,0.87979),(2485,6055,1.7232,0.86763),(2485,6065,1.8957,0.85547),(2485,6075,2.0682,0.83975),(2485,6085,2.186,0.8237),(2485,6095,2.1909,0.80766),(2485,6105,2.1958,0.79158),(2485,6115,2.2007,0.77549),(2485,6125,2.2053,0.75941),(2485,6135,2.2099,0.74336),(2485,6145,2.2146,0.72736),(2485,6155,2.2189,0.71135),(2485,6165,2.2232,0.69541),(2485,6175,2.2275,0.67956),(2485,6185,2.2316,0.66371),(2485,6195,2.2356,0.64787),(2485,6205,2.2396,0.63206),(2485,6215,2.2434,0.61624),(2485,6225,2.2471,0.60043),(2485,6235,2.2508,0.58468),(2485,6245,2.2543,0.56894),(2485,6255,2.2577,0.55319),(2485,6265,2.2611,0.53751),(2485,6275,2.2643,0.52185),(2485,6285,2.2674,0.50619),(2485,6295,2.2704,0.49056),(2485,6305,2.2734,0.47495),(2485,6315,2.2761,0.45935),(2485,6325,2.2789,0.44374),(2485,6335,2.2816,0.42812),(2485,6345,2.2841,0.41251),(2485,6355,2.2865,0.39692),(2485,6365,2.2889,0.38137),(2485,6375,2.2912,0.36582),(2485,6385,2.2933,0.35028),(2485,6395,2.2955,0.33481),(2485,6405,2.2974,0.31934),(2485,6415,2.2993,0.30387),(2485,6425,2.3011,0.28844),(2485,6435,2.3029,0.27301),(2485,6445,2.3044,0.25759),(2485,6455,2.306,0.24217),(2485,6465,2.3075,0.22675),(2485,6475,2.3088,0.21132),(2485,6485,2.31,0.19591),(2485,6495,2.3113,0.18051),(2485,6505,2.3122,0.1651),(2485,6515,2.3132,0.14972),(2485,6525,2.3141,0.13437),(2485,6535,2.3148,0.11901),(2485,6545,2.3154,0.10366),(2485,6555,2.3161,0.088327),(2485,6565,2.3165,0.072991),(2485,6575,2.3169,0.057656),(2485,6585,2.3172,0.042356),(2485,6595,1.971,0.027056),(2485,6605,1.2422,0.011755),(2485,6615,0.51339,0.009965),(2485,6625,0.001054,0.00991),(2485,6635,0.001055,0.009855),(2485,6645,0.001055,0.009831),(2485,6655,0.001056,0.00982),(2485,6665,0.001056,0.009808),(2485,6675,0.001056,0.009797),(2485,6685,0.001057,0.009786),(2485,6695,0.001057,0.009775),(2485,6705,0.001057,0.009764),(2485,6715,0.001058,0.009753),(2485,6725,0.001058,0.009742),(2485,6735,0.001058,0.009731),(2485,6745,0.001059,0.009721),(2485,6755,0.001059,0.00971),(2485,6765,0.001059,0.009699),(2485,6775,0.00106,0.009688),(2485,6785,0.00106,0.009678),(2485,6795,0.00106,0.009667),(2485,6805,0.001061,0.009656),(2485,6815,0.001061,0.009646),(2485,6825,0.001061,0.009635),(2485,6835,0.001061,0.009625),(2485,6845,0.001062,0.009614),(2485,6855,0.001062,0.009604),(2485,6865,0.001062,0.009594),(2485,6875,0.001062,0.009583),(2485,6885,0.001063,0.009573),(2485,6895,0.001063,0.009563),(2485,6905,0.001063,0.009553),(2485,6915,0.001063,0.009543),(2485,6925,0.001064,0.009532),(2485,6935,0.001064,0.009522),(2485,6945,0.001064,0.009512),(2485,6955,0.001064,0.009502),(2485,6965,0.001064,0.009492),(2485,6975,0.001065,0.009482),(2485,6985,0.001065,0.009472),(2495,5,3.9e-05,3.6855),(2495,15,0.000116,3.6855),(2495,25,0.000194,3.6855),(2495,35,0.000272,3.6855),(2495,45,0.000349,3.6855),(2495,55,0.000427,3.6855),(2495,65,0.000505,3.6855),(2495,75,0.000583,3.6855),(2495,85,0.000661,3.6855),(2495,95,0.000739,3.6855),(2495,105,0.000817,3.6855),(2495,115,0.000895,3.6855),(2495,125,0.000974,3.6855),(2495,135,0.001052,3.6855),(2495,145,0.001131,3.6856),(2495,155,0.00121,3.6856),(2495,165,0.001289,3.6856),(2495,175,0.001368,3.6856),(2495,185,0.001447,3.6856),(2495,195,0.001527,3.6856),(2495,205,0.001607,3.6856),(2495,215,0.001687,3.6856),(2495,225,0.001768,3.6856),(2495,235,0.001849,3.6856),(2495,245,0.001929,3.6857),(2495,255,0.00201,3.6857),(2495,265,0.002092,3.6857),(2495,275,0.002174,3.6857),(2495,285,0.002256,3.6857),(2495,295,0.002338,3.6857),(2495,305,0.002421,3.6858),(2495,315,0.002504,3.6858),(2495,325,0.002588,3.6858),(2495,335,0.002671,3.6858),(2495,345,0.002756,3.6858),(2495,355,0.00284,3.6859),(2495,365,0.002925,3.6859),(2495,375,0.00301,3.6859),(2495,385,0.003097,3.6859),(2495,395,0.003184,3.6859),(2495,405,0.00327,3.686),(2495,415,0.003357,3.686),(2495,425,0.003446,3.686),(2495,435,0.003535,3.686),(2495,445,0.003624,3.6861),(2495,455,0.003713,3.6861),(2495,465,0.003804,3.6861),(2495,475,0.003896,3.6861),(2495,485,0.003987,3.6862),(2495,495,0.004078,3.6862),(2495,505,0.004172,3.6862),(2495,515,0.004266,3.6863),(2495,525,0.00436,3.6863),(2495,535,0.004454,3.6863),(2495,545,0.004551,3.6864),(2495,555,0.004648,3.6864),(2495,565,0.004745,3.6864),(2495,575,0.004842,3.6865),(2495,585,0.004942,3.6865),(2495,595,0.005043,3.6866),(2495,605,0.005143,3.6866),(2495,615,0.005244,3.6866),(2495,625,0.005348,3.6867),(2495,635,0.005452,3.6867),(2495,645,0.005556,3.6868),(2495,655,0.00566,3.6868),(2495,665,0.005768,3.6869),(2495,675,0.005876,3.6869),(2495,685,0.005984,3.6869),(2495,695,0.006093,3.687),(2495,705,0.006205,3.687),(2495,715,0.006318,3.6871),(2495,725,0.00643,3.6871),(2495,735,0.006543,3.6872),(2495,745,0.006661,3.6872),(2495,755,0.006778,3.6873),(2495,765,0.006895,3.6874),(2495,775,0.007014,3.6874),(2495,785,0.007136,3.6875),(2495,795,0.007259,3.6875),(2495,805,0.007382,3.6876),(2495,815,0.007506,3.6876),(2495,825,0.007635,3.6877),(2495,835,0.007764,3.6878),(2495,845,0.007892,3.6878),(2495,855,0.008023,3.6879),(2495,865,0.008158,3.688),(2495,875,0.008293,3.688),(2495,885,0.008428,3.6881),(2495,895,0.008566,3.6882),(2495,905,0.008708,3.6882),(2495,915,0.00885,3.6883),(2495,925,0.008992,3.6884),(2495,935,0.009137,3.6884),(2495,945,0.009287,3.6885),(2495,955,0.009436,3.6886),(2495,965,0.009586,3.6887),(2495,975,0.00974,3.6888),(2495,985,0.009898,3.6888),(2495,995,0.010056,3.6889),(2495,1005,0.010214,3.689),(2495,1015,0.010376,3.6891),(2495,1025,0.010543,3.6892),(2495,1035,0.01071,3.6892),(2495,1045,0.010878,3.6893),(2495,1055,0.01105,3.6894),(2495,1065,0.011227,3.6895),(2495,1075,0.011404,3.6896),(2495,1085,0.011581,3.6897),(2495,1095,0.011764,3.6898),(2495,1105,0.011952,3.6899),(2495,1115,0.012139,3.69),(2495,1125,0.012327,3.6901),(2495,1135,0.012522,3.6902),(2495,1145,0.012721,3.6903),(2495,1155,0.012921,3.6904),(2495,1165,0.01312,3.6905),(2495,1175,0.013328,3.6906),(2495,1185,0.01354,3.6907),(2495,1195,0.013752,3.6908),(2495,1205,0.013963,3.6909),(2495,1215,0.014185,3.691),(2495,1225,0.01441,3.6911),(2495,1235,0.014636,3.6912),(2495,1245,0.014861,3.6913),(2495,1255,0.015098,3.6914),(2495,1265,0.015338,3.6916),(2495,1275,0.015578,3.6917),(2495,1285,0.015818,3.6918),(2495,1295,0.01607,3.6919),(2495,1305,0.016326,3.692),(2495,1315,0.016582,3.6922),(2495,1325,0.016838,3.6923),(2495,1335,0.017108,3.6924),(2495,1345,0.017382,3.6925),(2495,1355,0.017655,3.6926),(2495,1365,0.017928,3.6928),(2495,1375,0.018217,3.6929),(2495,1385,0.018509,3.693),(2495,1395,0.0188,3.6932),(2495,1405,0.019092,3.6933),(2495,1415,0.019401,3.6934),(2495,1425,0.019712,3.6936),(2495,1435,0.020023,3.6937),(2495,1445,0.020335,3.6938),(2495,1455,0.020666,3.694),(2495,1465,0.020998,3.6941),(2495,1475,0.021331,3.6942),(2495,1485,0.021663,3.6944),(2495,1495,0.022018,3.6945),(2495,1505,0.022373,3.6946),(2495,1515,0.022729,3.6948),(2495,1525,0.023085,3.6949),(2495,1535,0.023465,3.6951),(2495,1545,0.023844,3.6952),(2495,1555,0.024224,3.6954),(2495,1565,0.024606,3.6955),(2495,1575,0.025012,3.6956),(2495,1585,0.025418,3.6958),(2495,1595,0.025824,3.6959),(2495,1605,0.026232,3.6961),(2495,1615,0.026666,3.6962),(2495,1625,0.0271,3.6964),(2495,1635,0.027534,3.6965),(2495,1645,0.027973,3.6967),(2495,1655,0.028436,3.6968),(2495,1665,0.0289,3.6969),(2495,1675,0.029364,3.6971),(2495,1685,0.029834,3.6972),(2495,1695,0.03033,3.6974),(2495,1705,0.030825,3.6975),(2495,1715,0.031321,3.6977),(2495,1725,0.031824,3.6978),(2495,1735,0.032354,3.6979),(2495,1745,0.032884,3.6981),(2495,1755,0.033413,3.6982),(2495,1765,0.033953,3.6984),(2495,1775,0.034518,3.6985),(2495,1785,0.035084,3.6986),(2495,1795,0.03565,3.6988),(2495,1805,0.036228,3.6989),(2495,1815,0.036832,3.699),(2495,1825,0.037436,3.6992),(2495,1835,0.03804,3.6993),(2495,1845,0.038659,3.6994),(2495,1855,0.039303,3.6995),(2495,1865,0.039948,3.6997),(2495,1875,0.040593,3.6998),(2495,1885,0.041255,3.6999),(2495,1895,0.041942,3.7),(2495,1905,0.04263,3.7001),(2495,1915,0.043318,3.7002),(2495,1925,0.044025,3.7003),(2495,1935,0.044759,3.7004),(2495,1945,0.045492,3.7005),(2495,1955,0.046225,3.7006),(2495,1965,0.04698,3.7007),(2495,1975,0.047761,3.7008),(2495,1985,0.048542,3.7009),(2495,1995,0.049323,3.7009),(2495,2005,0.050129,3.701),(2495,2015,0.05096,3.7011),(2495,2025,0.051791,3.7011),(2495,2035,0.052623,3.7012),(2495,2045,0.053482,3.7012),(2495,2055,0.054366,3.7013),(2495,2065,0.055249,3.7013),(2495,2075,0.056133,3.7013),(2495,2085,0.057049,3.7014),(2495,2095,0.057987,3.7014),(2495,2105,0.058926,3.7014),(2495,2115,0.059865,3.7014),(2495,2125,0.060838,3.7014),(2495,2135,0.061834,3.7014),(2495,2145,0.062829,3.7014),(2495,2155,0.063825,3.7013),(2495,2165,0.064859,3.7013),(2495,2175,0.065913,3.7012),(2495,2185,0.066967,3.7012),(2495,2195,0.068021,3.7011),(2495,2205,0.069117,3.701),(2495,2215,0.070232,3.7009),(2495,2225,0.071346,3.7008),(2495,2235,0.072461,3.7007),(2495,2245,0.073621,3.7006),(2495,2255,0.074798,3.7004),(2495,2265,0.075974,3.7003),(2495,2275,0.077151,3.7001),(2495,2285,0.078376,3.6999),(2495,2295,0.079616,3.6997),(2495,2305,0.080856,3.6995),(2495,2315,0.082095,3.6993),(2495,2325,0.083387,3.699),(2495,2335,0.08469,3.6988),(2495,2345,0.085994,3.6985),(2495,2355,0.087297,3.6982),(2495,2365,0.088655,3.6979),(2495,2375,0.090023,3.6976),(2495,2385,0.09139,3.6972),(2495,2395,0.092758,3.6968),(2495,2405,0.094182,3.6965),(2495,2415,0.095613,3.6961),(2495,2425,0.097044,3.6956),(2495,2435,0.098475,3.6952),(2495,2445,0.099964,3.6947),(2495,2455,0.10146,3.6943),(2495,2465,0.10295,3.6937),(2495,2475,0.10444,3.6932),(2495,2485,0.106,3.6926),(2495,2495,0.10755,3.6921),(2495,2505,0.1091,3.6914),(2495,2515,0.11066,3.6908),(2495,2525,0.11227,3.6902),(2495,2535,0.11388,3.6895),(2495,2545,0.11549,3.6888),(2495,2555,0.11711,3.688),(2495,2565,0.11877,3.6872),(2495,2575,0.12044,3.6865),(2495,2585,0.1221,3.6856),(2495,2595,0.12377,3.6848),(2495,2605,0.12549,3.6839),(2495,2615,0.12721,3.683),(2495,2625,0.12892,3.682),(2495,2635,0.13064,3.681),(2495,2645,0.1324,3.68),(2495,2655,0.13416,3.679),(2495,2665,0.13592,3.6779),(2495,2675,0.13769,3.6768),(2495,2685,0.13948,3.6757),(2495,2695,0.14128,3.6745),(2495,2705,0.14308,3.6732),(2495,2715,0.14488,3.672),(2495,2725,0.14671,3.6707),(2495,2735,0.14853,3.6694),(2495,2745,0.15036,3.668),(2495,2755,0.15219,3.6666),(2495,2765,0.15404,3.6652),(2495,2775,0.15589,3.6637),(2495,2785,0.15773,3.6621),(2495,2795,0.15958,3.6606),(2495,2805,0.16144,3.659),(2495,2815,0.1633,3.6574),(2495,2825,0.16516,3.6557),(2495,2835,0.16702,3.6539),(2495,2845,0.16888,3.6522),(2495,2855,0.17073,3.6504),(2495,2865,0.17259,3.6485),(2495,2875,0.17445,3.6466),(2495,2885,0.17629,3.6447),(2495,2895,0.17814,3.6427),(2495,2905,0.17999,3.6407),(2495,2915,0.18182,3.6386),(2495,2925,0.18365,3.6365),(2495,2935,0.18547,3.6344),(2495,2945,0.18729,3.6322),(2495,2955,0.18909,3.6299),(2495,2965,0.19088,3.6277),(2495,2975,0.19266,3.6253),(2495,2985,0.19445,3.6229),(2495,2995,0.19621,3.6205),(2495,3005,0.19794,3.6181),(2495,3015,0.19967,3.6156),(2495,3025,0.2014,3.613),(2495,3035,0.2031,3.6104),(2495,3045,0.20476,3.6078),(2495,3055,0.20643,3.6051),(2495,3065,0.20809,3.6024),(2495,3075,0.20971,3.5996),(2495,3085,0.2113,3.5968),(2495,3095,0.21288,3.594),(2495,3105,0.21446,3.591),(2495,3115,0.21599,3.5881),(2495,3125,0.21747,3.5852),(2495,3135,0.21896,3.5821),(2495,3145,0.22045,3.579),(2495,3155,0.22186,3.5759),(2495,3165,0.22324,3.5728),(2495,3175,0.22461,3.5696),(2495,3185,0.22599,3.5664),(2495,3195,0.22728,3.5631),(2495,3205,0.22853,3.5599),(2495,3215,0.22978,3.5565),(2495,3225,0.23103,3.5531),(2495,3235,0.23218,3.5497),(2495,3245,0.23329,3.5463),(2495,3255,0.2344,3.5428),(2495,3265,0.23551,3.5393),(2495,3275,0.23651,3.5358),(2495,3285,0.23746,3.5323),(2495,3295,0.23842,3.5286),(2495,3305,0.23938,3.525),(2495,3315,0.24021,3.5213),(2495,3325,0.241,3.5177),(2495,3335,0.2418,3.5139),(2495,3345,0.24259,3.5102),(2495,3355,0.24324,3.5064),(2495,3365,0.24386,3.5027),(2495,3375,0.24448,3.4988),(2495,3385,0.2451,3.495),(2495,3395,0.24556,3.4911),(2495,3405,0.246,3.4873),(2495,3415,0.24644,3.4834),(2495,3425,0.24688,3.4795),(2495,3435,0.24714,3.4755),(2495,3445,0.24739,3.4716),(2495,3455,0.24764,3.4677),(2495,3465,0.24789,3.4637),(2495,3475,0.24795,3.4597),(2495,3485,0.248,3.4557),(2495,3495,0.24805,3.4517),(2495,3505,0.24811,3.4477),(2495,3515,0.24796,3.4437),(2495,3525,0.24782,3.4397),(2495,3535,0.24767,3.4357),(2495,3545,0.24752,3.4317),(2495,3555,0.24718,3.4277),(2495,3565,0.24683,3.4236),(2495,3575,0.24649,3.4196),(2495,3585,0.24613,3.4156),(2495,3595,0.24559,3.4116),(2495,3605,0.24505,3.4076),(2495,3615,0.24451,3.4036),(2495,3625,0.24394,3.3996),(2495,3635,0.24321,3.3956),(2495,3645,0.24247,3.3916),(2495,3655,0.24174,3.3877),(2495,3665,0.24097,3.3837),(2495,3675,0.24004,3.3798),(2495,3685,0.23912,3.3758),(2495,3695,0.23819,3.3719),(2495,3705,0.23723,3.3681),(2495,3715,0.23612,3.3642),(2495,3725,0.23501,3.3603),(2495,3735,0.23389,3.3565),(2495,3745,0.23274,3.3527),(2495,3755,0.23145,3.3489),(2495,3765,0.23017,3.3451),(2495,3775,0.22888,3.3413),(2495,3785,0.22754,3.3376),(2495,3795,0.22609,3.3339),(2495,3805,0.22463,3.3302),(2495,3815,0.22318,3.3266),(2495,3825,0.22167,3.323),(2495,3835,0.22005,3.3194),(2495,3845,0.21844,3.3158),(2495,3855,0.21682,3.3123),(2495,3865,0.21515,3.3088),(2495,3875,0.21339,3.3053),(2495,3885,0.21162,3.3018),(2495,3895,0.20985,3.2985),(2495,3905,0.23881,3.2951),(2495,3915,0.31365,3.2917),(2495,3925,0.3885,3.2867),(2495,3935,0.46334,3.2794),(2495,3945,0.54143,3.272),(2495,3955,0.62362,3.2647),(2495,3965,0.70582,3.2553),(2495,3975,0.78801,3.2436),(2495,3985,0.8348,3.2318),(2495,3995,0.84327,3.2201),(2495,4005,0.85174,3.2082),(2495,4015,0.86021,3.1961),(2495,4025,0.86997,3.184),(2495,4035,0.87986,3.1718),(2495,4045,0.88974,3.1595),(2495,4055,0.89981,3.1471),(2495,4065,0.90993,3.1347),(2495,4075,0.92006,3.122),(2495,4085,0.92985,3.1093),(2495,4095,0.93937,3.0966),(2495,4105,0.94889,3.0837),(2495,4115,0.92361,3.0708),(2495,4125,0.84062,3.0579),(2495,4135,0.75763,3.0476),(2495,4145,0.67317,3.0381),(2495,4155,0.58274,3.0287),(2495,4165,0.4923,3.0214),(2495,4175,0.40731,3.0155),(2495,4185,0.59145,3.0096),(2495,4195,0.77558,3.0004),(2495,4205,0.95972,2.9867),(2495,4215,0.97146,2.973),(2495,4225,0.95077,2.9593),(2495,4235,0.93007,2.9454),(2495,4245,0.8804,2.9316),(2495,4255,0.81603,2.9178),(2495,4265,0.75165,2.9057),(2495,4275,0.63905,2.8936),(2495,4285,0.47526,2.8814),(2495,4295,0.31147,2.877),(2495,4305,0.26965,2.8734),(2495,4315,0.50321,2.8699),(2495,4325,0.73678,2.8599),(2495,4335,0.94589,2.8474),(2495,4345,0.98943,2.8348),(2495,4355,1.033,2.8217),(2495,4365,1.0765,2.8081),(2495,4375,1.0891,2.7946),(2495,4385,1.1001,2.7808),(2495,4395,1.1111,2.7668),(2495,4405,0.97692,2.7529),(2495,4415,0.79995,2.74),(2495,4425,0.62299,2.7324),(2495,4435,0.55134,2.7248),(2495,4445,0.55167,2.7171),(2495,4455,0.552,2.71),(2495,4465,0.6374,2.7029),(2495,4475,0.84231,2.6958),(2495,4485,1.0472,2.6828),(2495,4495,1.2062,2.6687),(2495,4505,1.2176,2.6545),(2495,4515,1.229,2.6403),(2495,4525,1.2379,2.6261),(2495,4535,1.2062,2.6118),(2495,4545,1.1745,2.5983),(2495,4555,1.1427,2.5856),(2495,4565,0.87102,2.5729),(2495,4575,0.56693,2.5631),(2495,4585,0.26285,2.5601),(2495,4595,0.32205,2.5571),(2495,4605,0.53476,2.5529),(2495,4615,0.74746,2.5391),(2495,4625,0.90014,2.5253),(2495,4635,0.99845,2.5115),(2495,4645,1.0968,2.4958),(2495,4655,1.1748,2.4799),(2495,4665,1.2148,2.4641),(2495,4675,1.2547,2.4486),(2495,4685,1.2439,2.4333),(2495,4695,0.98216,2.418),(2495,4705,0.72047,2.4083),(2495,4715,0.45877,2.4025),(2495,4725,0.60167,2.3968),(2495,4735,0.74861,2.3894),(2495,4745,0.89556,2.3794),(2495,4755,1.048,2.3694),(2495,4765,1.2017,2.3585),(2495,4775,1.3554,2.3444),(2495,4785,1.4171,2.3303),(2495,4795,1.4255,2.3162),(2495,4805,1.4338,2.3024),(2495,4815,1.371,2.2887),(2495,4825,1.2231,2.2749),(2495,4835,1.0752,2.2653),(2495,4845,0.92515,2.2563),(2495,4855,0.76938,2.2474),(2495,4865,0.6136,2.2411),(2495,4875,0.50632,2.236),(2495,4885,0.84016,2.2309),(2495,4895,1.174,2.2214),(2495,4905,1.5078,2.2077),(2495,4915,1.5223,2.1939),(2495,4925,1.5092,2.1801),(2495,4935,1.4962,2.166),(2495,4945,1.4171,2.1519),(2495,4955,1.315,2.1379),(2495,4965,1.2129,2.1241),(2495,4975,0.98158,2.1103),(2495,4985,0.65039,2.0965),(2495,4995,0.31921,2.0948),(2495,5005,0.25152,2.0933),(2495,5015,0.60272,2.0918),(2495,5025,0.95392,2.0835),(2495,5035,1.2573,2.0734),(2495,5045,1.3783,2.0633),(2495,5055,1.4994,2.0517),(2495,5065,1.617,2.0391),(2495,5075,1.6232,2.0265),(2495,5085,1.6293,2.014),(2495,5095,1.6354,2.0016),(2495,5105,1.4317,1.9893),(2495,5115,1.1914,1.9784),(2495,5125,0.95107,1.9719),(2495,5135,0.8337,1.9653),(2495,5145,0.776,1.9588),(2495,5155,0.71829,1.9533),(2495,5165,0.85157,1.9479),(2495,5175,1.1796,1.9424),(2495,5185,1.5077,1.9304),(2495,5195,1.7339,1.9177),(2495,5205,1.7402,1.905),(2495,5215,1.7466,1.8924),(2495,5225,1.7436,1.88),(2495,5235,1.6827,1.8675),(2495,5245,1.6218,1.856),(2495,5255,1.5609,1.8453),(2495,5265,1.0995,1.8346),(2495,5275,0.62159,1.8277),(2495,5285,0.14366,1.8271),(2495,5295,0.38679,1.8265),(2495,5305,0.83071,1.8232),(2495,5315,1.2746,1.8083),(2495,5325,1.5101,1.7935),(2495,5335,1.6088,1.7786),(2495,5345,1.7075,1.7649),(2495,5355,1.7708,1.7511),(2495,5365,1.7865,1.7374),(2495,5375,1.8021,1.7242),(2495,5385,1.7106,1.7111),(2495,5395,1.293,1.698),(2495,5405,0.87537,1.6912),(2495,5415,0.5036,1.6877),(2495,5425,0.74745,1.6841),(2495,5435,0.9913,1.6769),(2495,5445,1.2351,1.6658),(2495,5455,1.4745,1.6547),(2495,5465,1.7133,1.6418),(2495,5475,1.952,1.6246),(2495,5485,2.0281,1.6075),(2495,5495,2.0387,1.5904),(2495,5505,2.0492,1.5737),(2495,5515,2.0597,1.5571),(2495,5525,2.0702,1.5405),(2495,5535,2.0807,1.5243),(2495,5545,2.091,1.5082),(2495,5555,2.1007,1.4921),(2495,5565,2.1105,1.4763),(2495,5575,2.1201,1.4606),(2495,5585,2.1292,1.445),(2495,5595,2.1382,1.4296),(2495,5605,2.1473,1.4144),(2495,5615,2.1556,1.3991),(2495,5625,2.164,1.3841),(2495,5635,2.1724,1.3693),(2495,5645,2.1803,1.3545),(2495,5655,2.1881,1.3397),(2495,5665,2.1959,1.3253),(2495,5675,2.2033,1.3109),(2495,5685,2.2105,1.2965),(2495,5695,2.2177,1.2825),(2495,5705,2.2247,1.2685),(2495,5715,2.2314,1.2544),(2495,5725,2.2381,1.2407),(2495,5735,2.2446,1.227),(2495,5745,2.2508,1.2133),(2495,5755,2.257,1.1998),(2495,5765,2.2632,1.1865),(2495,5775,2.2689,1.1731),(2495,5785,2.2747,1.1599),(2495,5795,2.2804,1.1468),(2495,5805,2.2858,1.1338),(2495,5815,2.2911,1.1208),(2495,5825,2.2964,1.1081),(2495,5835,2.3015,1.0953),(2495,5845,2.3064,1.0826),(2495,5855,2.3114,1.0701),(2495,5865,2.3161,1.0576),(2495,5875,2.3207,1.0451),(2495,5885,2.3253,1.0328),(2495,5895,2.3298,1.0206),(2495,5905,2.3341,1.0084),(2495,5915,2.3383,0.99637),(2495,5925,2.3425,0.98441),(2495,5935,2.3465,0.97245),(2495,5945,2.3504,0.96064),(2495,5955,2.3544,0.94891),(2495,5965,2.3581,0.93719),(2495,5975,2.3619,0.92557),(2495,5985,2.3657,0.91408),(2495,5995,1.809,0.90259),(2495,6005,1.1622,0.89381),(2495,6015,0.51537,0.89227),(2495,6025,0.59654,0.89073),(2495,6035,1.0154,0.8882),(2495,6045,1.4342,0.87608),(2495,6055,1.7289,0.86397),(2495,6065,1.902,0.85185),(2495,6075,2.0751,0.83618),(2495,6085,2.1932,0.82019),(2495,6095,2.198,0.8042),(2495,6105,2.2029,0.78818),(2495,6115,2.2077,0.77215),(2495,6125,2.2123,0.75612),(2495,6135,2.2169,0.74014),(2495,6145,2.2215,0.7242),(2495,6155,2.2258,0.70827),(2495,6165,2.2301,0.69239),(2495,6175,2.2344,0.67661),(2495,6185,2.2384,0.66083),(2495,6195,2.2424,0.64505),(2495,6205,2.2463,0.6293),(2495,6215,2.2501,0.61355),(2495,6225,2.2537,0.59781),(2495,6235,2.2574,0.58212),(2495,6245,2.2609,0.56643),(2495,6255,2.2642,0.55074),(2495,6265,2.2676,0.53513),(2495,6275,2.2708,0.51953),(2495,6285,2.2738,0.50394),(2495,6295,2.2768,0.48838),(2495,6305,2.2798,0.47283),(2495,6315,2.2825,0.45729),(2495,6325,2.2852,0.44175),(2495,6335,2.2879,0.42621),(2495,6345,2.2904,0.41067),(2495,6355,2.2928,0.39515),(2495,6365,2.2952,0.37967),(2495,6375,2.2974,0.36419),(2495,6385,2.2995,0.34872),(2495,6395,2.3016,0.33332),(2495,6405,2.3036,0.31793),(2495,6415,2.3054,0.30253),(2495,6425,2.3073,0.28717),(2495,6435,2.309,0.27182),(2495,6445,2.3105,0.25647),(2495,6455,2.3121,0.24111),(2495,6465,2.3136,0.22576),(2495,6475,2.3148,0.21041),(2495,6485,2.3161,0.19506),(2495,6495,2.3173,0.17972),(2495,6505,2.3183,0.16438),(2495,6515,2.3192,0.14906),(2495,6525,2.3201,0.13378),(2495,6535,2.3208,0.1185),(2495,6545,2.3215,0.10322),(2495,6555,2.3221,0.087954),(2495,6565,2.3225,0.072689),(2495,6575,2.3229,0.057427),(2495,6585,2.3232,0.042199),(2495,6595,1.9761,0.026971),(2495,6605,1.2454,0.011743),(2495,6615,0.51472,0.009962),(2495,6625,0.001061,0.009908),(2495,6635,0.001062,0.009855),(2495,6645,0.001062,0.009831),(2495,6655,0.001063,0.00982),(2495,6665,0.001063,0.009809),(2495,6675,0.001063,0.009797),(2495,6685,0.001063,0.009786),(2495,6695,0.001064,0.009775),(2495,6705,0.001064,0.009764),(2495,6715,0.001064,0.009754),(2495,6725,0.001065,0.009743),(2495,6735,0.001065,0.009732),(2495,6745,0.001065,0.009721),(2495,6755,0.001065,0.00971),(2495,6765,0.001066,0.009699),(2495,6775,0.001066,0.009688),(2495,6785,0.001066,0.009678),(2495,6795,0.001066,0.009667),(2495,6805,0.001067,0.009657),(2495,6815,0.001067,0.009646),(2495,6825,0.001067,0.009635),(2495,6835,0.001068,0.009625),(2495,6845,0.001068,0.009615),(2495,6855,0.001068,0.009604),(2495,6865,0.001068,0.009594),(2495,6875,0.001068,0.009584),(2495,6885,0.001069,0.009573),(2495,6895,0.001069,0.009563),(2495,6905,0.001069,0.009553),(2495,6915,0.001069,0.009543),(2495,6925,0.001069,0.009533),(2495,6935,0.00107,0.009523),(2495,6945,0.00107,0.009512),(2495,6955,0.00107,0.009502),(2495,6965,0.00107,0.009492),(2495,6975,0.001071,0.009482),(2495,6985,0.001071,0.009472),(2505,5,3.8e-05,3.6856),(2505,15,0.000115,3.6856),(2505,25,0.000192,3.6856),(2505,35,0.000269,3.6856),(2505,45,0.000345,3.6856),(2505,55,0.000422,3.6856),(2505,65,0.000499,3.6856),(2505,75,0.000576,3.6856),(2505,85,0.000653,3.6856),(2505,95,0.00073,3.6856),(2505,105,0.000807,3.6856),(2505,115,0.000885,3.6856),(2505,125,0.000962,3.6856),(2505,135,0.00104,3.6856),(2505,145,0.001117,3.6856),(2505,155,0.001195,3.6856),(2505,165,0.001274,3.6857),(2505,175,0.001352,3.6857),(2505,185,0.00143,3.6857),(2505,195,0.001509,3.6857),(2505,205,0.001588,3.6857),(2505,215,0.001667,3.6857),(2505,225,0.001747,3.6857),(2505,235,0.001827,3.6857),(2505,245,0.001906,3.6857),(2505,255,0.001986,3.6858),(2505,265,0.002067,3.6858),(2505,275,0.002148,3.6858),(2505,285,0.002229,3.6858),(2505,295,0.00231,3.6858),(2505,305,0.002392,3.6858),(2505,315,0.002475,3.6859),(2505,325,0.002557,3.6859),(2505,335,0.002639,3.6859),(2505,345,0.002723,3.6859),(2505,355,0.002806,3.6859),(2505,365,0.00289,3.686),(2505,375,0.002974,3.686),(2505,385,0.00306,3.686),(2505,395,0.003145,3.686),(2505,405,0.003231,3.6861),(2505,415,0.003317,3.6861),(2505,425,0.003404,3.6861),(2505,435,0.003492,3.6861),(2505,445,0.00358,3.6862),(2505,455,0.003668,3.6862),(2505,465,0.003758,3.6862),(2505,475,0.003848,3.6862),(2505,485,0.003939,3.6863),(2505,495,0.004029,3.6863),(2505,505,0.004122,3.6863),(2505,515,0.004214,3.6864),(2505,525,0.004307,3.6864),(2505,535,0.0044,3.6864),(2505,545,0.004495,3.6865),(2505,555,0.004591,3.6865),(2505,565,0.004687,3.6865),(2505,575,0.004783,3.6866),(2505,585,0.004882,3.6866),(2505,595,0.00498,3.6867),(2505,605,0.005079,3.6867),(2505,615,0.005179,3.6867),(2505,625,0.005281,3.6868),(2505,635,0.005384,3.6868),(2505,645,0.005487,3.6869),(2505,655,0.00559,3.6869),(2505,665,0.005697,3.687),(2505,675,0.005803,3.687),(2505,685,0.00591,3.6871),(2505,695,0.006017,3.6871),(2505,705,0.006128,3.6872),(2505,715,0.006239,3.6872),(2505,725,0.00635,3.6873),(2505,735,0.006462,3.6873),(2505,745,0.006577,3.6874),(2505,755,0.006693,3.6874),(2505,765,0.006809,3.6875),(2505,775,0.006926,3.6875),(2505,785,0.007047,3.6876),(2505,795,0.007168,3.6876),(2505,805,0.007289,3.6877),(2505,815,0.007412,3.6878),(2505,825,0.007539,3.6878),(2505,835,0.007665,3.6879),(2505,845,0.007792,3.688),(2505,855,0.007921,3.688),(2505,865,0.008055,3.6881),(2505,875,0.008188,3.6882),(2505,885,0.008321,3.6882),(2505,895,0.008457,3.6883),(2505,905,0.008597,3.6884),(2505,915,0.008738,3.6884),(2505,925,0.008878,3.6885),(2505,935,0.009021,3.6886),(2505,945,0.009169,3.6887),(2505,955,0.009317,3.6887),(2505,965,0.009465,3.6888),(2505,975,0.009617,3.6889),(2505,985,0.009773,3.689),(2505,995,0.009929,3.6891),(2505,1005,0.010085,3.6892),(2505,1015,0.010246,3.6892),(2505,1025,0.010411,3.6893),(2505,1035,0.010576,3.6894),(2505,1045,0.010741,3.6895),(2505,1055,0.010911,3.6896),(2505,1065,0.011086,3.6897),(2505,1075,0.011261,3.6898),(2505,1085,0.011436,3.6899),(2505,1095,0.011617,3.69),(2505,1105,0.011802,3.6901),(2505,1115,0.011988,3.6902),(2505,1125,0.012174,3.6903),(2505,1135,0.012366,3.6904),(2505,1145,0.012564,3.6905),(2505,1155,0.012761,3.6906),(2505,1165,0.012958,3.6907),(2505,1175,0.013163,3.6908),(2505,1185,0.013373,3.6909),(2505,1195,0.013583,3.691),(2505,1205,0.013793,3.6911),(2505,1215,0.014012,3.6912),(2505,1225,0.014235,3.6913),(2505,1235,0.014458,3.6915),(2505,1245,0.014681,3.6916),(2505,1255,0.014915,3.6917),(2505,1265,0.015153,3.6918),(2505,1275,0.015391,3.6919),(2505,1285,0.015629,3.692),(2505,1295,0.015879,3.6922),(2505,1305,0.016132,3.6923),(2505,1315,0.016386,3.6924),(2505,1325,0.01664,3.6925),(2505,1335,0.016907,3.6927),(2505,1345,0.017178,3.6928),(2505,1355,0.017449,3.6929),(2505,1365,0.01772,3.6931),(2505,1375,0.018007,3.6932),(2505,1385,0.018296,3.6933),(2505,1395,0.018585,3.6935),(2505,1405,0.018874,3.6936),(2505,1415,0.019181,3.6937),(2505,1425,0.01949,3.6939),(2505,1435,0.019799,3.694),(2505,1445,0.020108,3.6941),(2505,1455,0.020437,3.6943),(2505,1465,0.020767,3.6944),(2505,1475,0.021097,3.6946),(2505,1485,0.021427,3.6947),(2505,1495,0.02178,3.6949),(2505,1505,0.022133,3.695),(2505,1515,0.022486,3.6952),(2505,1525,0.022839,3.6953),(2505,1535,0.023217,3.6954),(2505,1545,0.023595,3.6956),(2505,1555,0.023972,3.6957),(2505,1565,0.024351,3.6959),(2505,1575,0.024755,3.696),(2505,1585,0.025159,3.6962),(2505,1595,0.025563,3.6963),(2505,1605,0.02597,3.6965),(2505,1615,0.026401,3.6966),(2505,1625,0.026833,3.6968),(2505,1635,0.027265,3.6969),(2505,1645,0.027702,3.6971),(2505,1655,0.028164,3.6973),(2505,1665,0.028626,3.6974),(2505,1675,0.029087,3.6976),(2505,1685,0.029555,3.6977),(2505,1695,0.030049,3.6979),(2505,1705,0.030543,3.698),(2505,1715,0.031038,3.6982),(2505,1725,0.031539,3.6983),(2505,1735,0.032067,3.6985),(2505,1745,0.032596,3.6986),(2505,1755,0.033124,3.6988),(2505,1765,0.033662,3.6989),(2505,1775,0.034226,3.6991),(2505,1785,0.034791,3.6992),(2505,1795,0.035355,3.6993),(2505,1805,0.035932,3.6995),(2505,1815,0.036535,3.6996),(2505,1825,0.037138,3.6998),(2505,1835,0.037742,3.6999),(2505,1845,0.038359,3.7),(2505,1855,0.039004,3.7002),(2505,1865,0.039648,3.7003),(2505,1875,0.040292,3.7004),(2505,1885,0.040953,3.7006),(2505,1895,0.041641,3.7007),(2505,1905,0.042329,3.7008),(2505,1915,0.043017,3.7009),(2505,1925,0.043724,3.701),(2505,1935,0.044458,3.7012),(2505,1945,0.045191,3.7013),(2505,1955,0.045925,3.7014),(2505,1965,0.046681,3.7015),(2505,1975,0.047463,3.7016),(2505,1985,0.048245,3.7017),(2505,1995,0.049027,3.7017),(2505,2005,0.049834,3.7018),(2505,2015,0.050667,3.7019),(2505,2025,0.0515,3.702),(2505,2035,0.052333,3.702),(2505,2045,0.053194,3.7021),(2505,2055,0.05408,3.7022),(2505,2065,0.054967,3.7022),(2505,2075,0.055853,3.7023),(2505,2085,0.056771,3.7023),(2505,2095,0.057713,3.7023),(2505,2105,0.058655,3.7023),(2505,2115,0.059597,3.7024),(2505,2125,0.060574,3.7024),(2505,2135,0.061574,3.7024),(2505,2145,0.062574,3.7024),(2505,2155,0.063574,3.7023),(2505,2165,0.064613,3.7023),(2505,2175,0.065672,3.7023),(2505,2185,0.066732,3.7022),(2505,2195,0.067791,3.7022),(2505,2205,0.068894,3.7021),(2505,2215,0.070015,3.702),(2505,2225,0.071136,3.7019),(2505,2235,0.072257,3.7018),(2505,2245,0.073425,3.7017),(2505,2255,0.074609,3.7016),(2505,2265,0.075794,3.7014),(2505,2275,0.076978,3.7013),(2505,2285,0.078212,3.7011),(2505,2295,0.079461,3.701),(2505,2305,0.08071,3.7007),(2505,2315,0.081959,3.7005),(2505,2325,0.083261,3.7003),(2505,2335,0.084575,3.7001),(2505,2345,0.08589,3.6998),(2505,2355,0.087204,3.6995),(2505,2365,0.088574,3.6992),(2505,2375,0.089954,3.6989),(2505,2385,0.091334,3.6986),(2505,2395,0.092714,3.6982),(2505,2405,0.094152,3.6979),(2505,2415,0.095597,3.6975),(2505,2425,0.097042,3.6971),(2505,2435,0.098487,3.6966),(2505,2445,0.099992,3.6962),(2505,2455,0.1015,3.6958),(2505,2465,0.10301,3.6952),(2505,2475,0.10452,3.6947),(2505,2485,0.10609,3.6942),(2505,2495,0.10766,3.6936),(2505,2505,0.10923,3.693),(2505,2515,0.11081,3.6924),(2505,2525,0.11244,3.6917),(2505,2535,0.11407,3.6911),(2505,2545,0.1157,3.6904),(2505,2555,0.11733,3.6896),(2505,2565,0.11902,3.6889),(2505,2575,0.12071,3.6881),(2505,2585,0.1224,3.6873),(2505,2595,0.12409,3.6864),(2505,2605,0.12583,3.6856),(2505,2615,0.12757,3.6847),(2505,2625,0.12931,3.6837),(2505,2635,0.13105,3.6828),(2505,2645,0.13284,3.6818),(2505,2655,0.13462,3.6808),(2505,2665,0.13641,3.6797),(2505,2675,0.1382,3.6785),(2505,2685,0.14002,3.6774),(2505,2695,0.14185,3.6763),(2505,2705,0.14367,3.675),(2505,2715,0.1455,3.6738),(2505,2725,0.14736,3.6725),(2505,2735,0.14922,3.6712),(2505,2745,0.15107,3.6698),(2505,2755,0.15293,3.6684),(2505,2765,0.15481,3.667),(2505,2775,0.15669,3.6655),(2505,2785,0.15857,3.664),(2505,2795,0.16045,3.6624),(2505,2805,0.16234,3.6608),(2505,2815,0.16424,3.6592),(2505,2825,0.16613,3.6575),(2505,2835,0.16802,3.6558),(2505,2845,0.16991,3.654),(2505,2855,0.1718,3.6522),(2505,2865,0.1737,3.6503),(2505,2875,0.17559,3.6484),(2505,2885,0.17747,3.6465),(2505,2895,0.17935,3.6446),(2505,2905,0.18123,3.6425),(2505,2915,0.1831,3.6404),(2505,2925,0.18496,3.6384),(2505,2935,0.18682,3.6362),(2505,2945,0.18868,3.6339),(2505,2955,0.19052,3.6317),(2505,2965,0.19234,3.6294),(2505,2975,0.19416,3.6271),(2505,2985,0.19598,3.6247),(2505,2995,0.19778,3.6222),(2505,3005,0.19955,3.6198),(2505,3015,0.20131,3.6173),(2505,3025,0.20308,3.6147),(2505,3035,0.20482,3.6121),(2505,3045,0.20652,3.6095),(2505,3055,0.20822,3.6068),(2505,3065,0.20992,3.604),(2505,3075,0.21158,3.6012),(2505,3085,0.2132,3.5984),(2505,3095,0.21482,3.5955),(2505,3105,0.21643,3.5926),(2505,3115,0.21799,3.5896),(2505,3125,0.21952,3.5866),(2505,3135,0.22104,3.5836),(2505,3145,0.22256,3.5805),(2505,3155,0.22401,3.5773),(2505,3165,0.22542,3.5742),(2505,3175,0.22683,3.571),(2505,3185,0.22824,3.5677),(2505,3195,0.22956,3.5644),(2505,3205,0.23084,3.5611),(2505,3215,0.23212,3.5577),(2505,3225,0.2334,3.5543),(2505,3235,0.23458,3.5509),(2505,3245,0.23572,3.5474),(2505,3255,0.23686,3.5439),(2505,3265,0.238,3.5403),(2505,3275,0.23902,3.5368),(2505,3285,0.24001,3.5332),(2505,3295,0.24099,3.5295),(2505,3305,0.24198,3.5258),(2505,3315,0.24283,3.5222),(2505,3325,0.24365,3.5185),(2505,3335,0.24447,3.5147),(2505,3345,0.24528,3.5109),(2505,3355,0.24595,3.5071),(2505,3365,0.24659,3.5033),(2505,3375,0.24724,3.4994),(2505,3385,0.24788,3.4955),(2505,3395,0.24835,3.4916),(2505,3405,0.24881,3.4877),(2505,3415,0.24926,3.4838),(2505,3425,0.24972,3.4798),(2505,3435,0.24999,3.4758),(2505,3445,0.25025,3.4719),(2505,3455,0.25051,3.4679),(2505,3465,0.25077,3.4638),(2505,3475,0.25084,3.4598),(2505,3485,0.25091,3.4558),(2505,3495,0.25097,3.4517),(2505,3505,0.25103,3.4477),(2505,3515,0.25089,3.4436),(2505,3525,0.25075,3.4396),(2505,3535,0.25061,3.4355),(2505,3545,0.25046,3.4314),(2505,3555,0.25012,3.4274),(2505,3565,0.24978,3.4233),(2505,3575,0.24943,3.4192),(2505,3585,0.24907,3.4152),(2505,3595,0.24853,3.4111),(2505,3605,0.24799,3.407),(2505,3615,0.24744,3.403),(2505,3625,0.24687,3.399),(2505,3635,0.24613,3.3949),(2505,3645,0.24539,3.3909),(2505,3655,0.24464,3.3869),(2505,3665,0.24387,3.3829),(2505,3675,0.24293,3.3789),(2505,3685,0.24199,3.3749),(2505,3695,0.24106,3.371),(2505,3705,0.24008,3.367),(2505,3715,0.23896,3.3631),(2505,3725,0.23783,3.3592),(2505,3735,0.23671,3.3553),(2505,3745,0.23554,3.3515),(2505,3755,0.23424,3.3476),(2505,3765,0.23293,3.3438),(2505,3775,0.23163,3.34),(2505,3785,0.23027,3.3362),(2505,3795,0.2288,3.3325),(2505,3805,0.22732,3.3287),(2505,3815,0.22585,3.3251),(2505,3825,0.22432,3.3214),(2505,3835,0.22268,3.3178),(2505,3845,0.22104,3.3142),(2505,3855,0.2194,3.3106),(2505,3865,0.21771,3.3071),(2505,3875,0.21592,3.3035),(2505,3885,0.21413,3.3001),(2505,3895,0.21234,3.2967),(2505,3905,0.24155,3.2933),(2505,3915,0.31708,3.2899),(2505,3925,0.3926,3.2848),(2505,3935,0.46813,3.2774),(2505,3945,0.54693,3.27),(2505,3955,0.62988,3.2626),(2505,3965,0.71284,3.2532),(2505,3975,0.79579,3.2413),(2505,3985,0.843,3.2295),(2505,3995,0.85153,3.2177),(2505,4005,0.86006,3.2057),(2505,4015,0.86858,3.1935),(2505,4025,0.87839,3.1814),(2505,4035,0.88833,3.1691),(2505,4045,0.89827,3.1566),(2505,4055,0.90837,3.1441),(2505,4065,0.91854,3.1316),(2505,4075,0.92871,3.1189),(2505,4085,0.93854,3.1061),(2505,4095,0.94809,3.0934),(2505,4105,0.95765,3.0804),(2505,4115,0.93211,3.0674),(2505,4125,0.84839,3.0544),(2505,4135,0.76467,3.0441),(2505,4145,0.67947,3.0346),(2505,4155,0.5883,3.0251),(2505,4165,0.49712,3.0178),(2505,4175,0.41143,3.0119),(2505,4185,0.59724,3.006),(2505,4195,0.78305,2.9967),(2505,4205,0.96885,2.983),(2505,4215,0.98097,2.9692),(2505,4225,0.9604,2.9554),(2505,4235,0.93982,2.9414),(2505,4245,0.89001,2.9275),(2505,4255,0.82536,2.9136),(2505,4265,0.7607,2.9014),(2505,4275,0.647,2.8891),(2505,4285,0.48124,2.8769),(2505,4295,0.31547,2.8724),(2505,4305,0.27282,2.8688),(2505,4315,0.50814,2.8652),(2505,4325,0.74346,2.8552),(2505,4335,0.95412,2.8426),(2505,4345,0.99782,2.8301),(2505,4355,1.0415,2.8169),(2505,4365,1.0852,2.8033),(2505,4375,1.0979,2.7896),(2505,4385,1.109,2.7758),(2505,4395,1.1201,2.7617),(2505,4405,0.98505,2.7476),(2505,4415,0.80691,2.7346),(2505,4425,0.62877,2.7268),(2505,4435,0.55651,2.7191),(2505,4445,0.55662,2.7113),(2505,4455,0.55672,2.7041),(2505,4465,0.64255,2.697),(2505,4475,0.84879,2.6898),(2505,4485,1.055,2.6768),(2505,4495,1.215,2.6626),(2505,4505,1.2264,2.6483),(2505,4515,1.2378,2.634),(2505,4525,1.2467,2.6196),(2505,4535,1.2146,2.6053),(2505,4545,1.1825,2.5917),(2505,4555,1.1504,2.5789),(2505,4565,0.87716,2.5662),(2505,4575,0.57136,2.5563),(2505,4585,0.26556,2.5533),(2505,4595,0.32601,2.5503),(2505,4605,0.54119,2.5461),(2505,4615,0.75638,2.532),(2505,4625,0.91034,2.518),(2505,4635,1.0088,2.504),(2505,4645,1.1073,2.4881),(2505,4655,1.1854,2.4721),(2505,4665,1.225,2.4562),(2505,4675,1.2645,2.4407),(2505,4685,1.2531,2.4253),(2505,4695,0.98949,2.41),(2505,4705,0.72593,2.4003),(2505,4715,0.46236,2.3946),(2505,4725,0.60597,2.389),(2505,4735,0.75365,2.3816),(2505,4745,0.90133,2.3715),(2505,4755,1.0544,2.3615),(2505,4765,1.2087,2.3505),(2505,4775,1.3631,2.3364),(2505,4785,1.4248,2.3223),(2505,4795,1.4331,2.3082),(2505,4805,1.4413,2.2944),(2505,4815,1.3781,2.2806),(2505,4825,1.2293,2.2668),(2505,4835,1.0805,2.2572),(2505,4845,0.92966,2.2483),(2505,4855,0.77335,2.2393),(2505,4865,0.61704,2.2331),(2505,4875,0.50939,2.228),(2505,4885,0.8445,2.2229),(2505,4895,1.1796,2.2134),(2505,4905,1.5147,2.1997),(2505,4915,1.5294,2.1859),(2505,4925,1.5165,2.172),(2505,4935,1.5036,2.158),(2505,4945,1.4248,2.1439),(2505,4955,1.323,2.1299),(2505,4965,1.2213,2.116),(2505,4975,0.98876,2.1022),(2505,4985,0.65519,2.0883),(2505,4995,0.32162,2.0866),(2505,5005,0.25291,2.0851),(2505,5015,0.60528,2.0836),(2505,5025,0.95765,2.0753),(2505,5035,1.262,2.0652),(2505,5045,1.3833,2.0552),(2505,5055,1.5046,2.0435),(2505,5065,1.6225,2.0309),(2505,5075,1.6286,2.0183),(2505,5085,1.6346,2.0058),(2505,5095,1.6406,1.9934),(2505,5105,1.4363,1.981),(2505,5115,1.1952,1.9702),(2505,5125,0.95409,1.9636),(2505,5135,0.8364,1.957),(2505,5145,0.77858,1.9505),(2505,5155,0.72077,1.9451),(2505,5165,0.85441,1.9396),(2505,5175,1.1833,1.9341),(2505,5185,1.5122,1.9221),(2505,5195,1.7389,1.9094),(2505,5205,1.7452,1.8967),(2505,5215,1.7514,1.8842),(2505,5225,1.7483,1.8718),(2505,5235,1.6872,1.8593),(2505,5245,1.626,1.8478),(2505,5255,1.5649,1.8371),(2505,5265,1.1024,1.8264),(2505,5275,0.62332,1.8195),(2505,5285,0.14427,1.8189),(2505,5295,0.38912,1.8183),(2505,5305,0.83557,1.815),(2505,5315,1.282,1.8001),(2505,5325,1.518,1.7852),(2505,5335,1.6159,1.7703),(2505,5345,1.7139,1.7566),(2505,5355,1.7767,1.7428),(2505,5365,1.7921,1.7291),(2505,5375,1.8075,1.7159),(2505,5385,1.7154,1.7028),(2505,5395,1.2966,1.6898),(2505,5405,0.87787,1.6829),(2505,5415,0.5051,1.6794),(2505,5425,0.75022,1.6759),(2505,5435,0.99535,1.6687),(2505,5445,1.2405,1.6577),(2505,5455,1.4807,1.6466),(2505,5465,1.7203,1.6338),(2505,5475,1.9599,1.6167),(2505,5485,2.0361,1.5996),(2505,5495,2.0465,1.5826),(2505,5505,2.0568,1.5661),(2505,5515,2.0671,1.5495),(2505,5525,2.0774,1.533),(2505,5535,2.0877,1.5169),(2505,5545,2.0978,1.5009),(2505,5555,2.1074,1.4848),(2505,5565,2.117,1.4691),(2505,5575,2.1264,1.4536),(2505,5585,2.1353,1.438),(2505,5595,2.1442,1.4227),(2505,5605,2.1531,1.4075),(2505,5615,2.1613,1.3924),(2505,5625,2.1695,1.3774),(2505,5635,2.1777,1.3627),(2505,5645,2.1855,1.348),(2505,5655,2.1931,1.3333),(2505,5665,2.2007,1.319),(2505,5675,2.208,1.3047),(2505,5685,2.2151,1.2904),(2505,5695,2.2222,1.2764),(2505,5705,2.229,1.2625),(2505,5715,2.2356,1.2485),(2505,5725,2.2421,1.2348),(2505,5735,2.2485,1.2212),(2505,5745,2.2546,1.2076),(2505,5755,2.2607,1.1942),(2505,5765,2.2667,1.1809),(2505,5775,2.2724,1.1676),(2505,5785,2.278,1.1545),(2505,5795,2.2836,1.1415),(2505,5805,2.2889,1.1286),(2505,5815,2.2941,1.1157),(2505,5825,2.2993,1.103),(2505,5835,2.3043,1.0903),(2505,5845,2.3091,1.0776),(2505,5855,2.314,1.0652),(2505,5865,2.3186,1.0528),(2505,5875,2.3231,1.0404),(2505,5885,2.3276,1.0282),(2505,5895,2.332,1.016),(2505,5905,2.3362,1.0039),(2505,5915,2.3403,0.99195),(2505,5925,2.3444,0.98006),(2505,5935,2.3483,0.96817),(2505,5945,2.3522,0.95643),(2505,5955,2.356,0.94478),(2505,5965,2.3597,0.93313),(2505,5975,2.3634,0.92158),(2505,5985,2.3671,0.91016),(2505,5995,1.8101,0.89874),(2505,6005,1.1629,0.89001),(2505,6015,0.51571,0.88849),(2505,6025,0.59787,0.88697),(2505,6035,1.0183,0.88445),(2505,6045,1.4388,0.87238),(2505,6055,1.7346,0.8603),(2505,6065,1.9082,0.84823),(2505,6075,2.0818,0.83262),(2505,6085,2.2002,0.81668),(2505,6095,2.2051,0.80074),(2505,6105,2.2099,0.78478),(2505,6115,2.2147,0.76881),(2505,6125,2.2192,0.75284),(2505,6135,2.2238,0.73692),(2505,6145,2.2283,0.72105),(2505,6155,2.2326,0.70518),(2505,6165,2.2368,0.68937),(2505,6175,2.2411,0.67365),(2505,6185,2.2451,0.65794),(2505,6195,2.249,0.64223),(2505,6205,2.2529,0.62655),(2505,6215,2.2567,0.61087),(2505,6225,2.2603,0.59518),(2505,6235,2.2639,0.57956),(2505,6245,2.2674,0.56393),(2505,6255,2.2707,0.5483),(2505,6265,2.274,0.53275),(2505,6275,2.2772,0.51722),(2505,6285,2.2802,0.50168),(2505,6295,2.2832,0.48619),(2505,6305,2.2861,0.47072),(2505,6315,2.2888,0.45524),(2505,6325,2.2915,0.43977),(2505,6335,2.2942,0.4243),(2505,6345,2.2966,0.40883),(2505,6355,2.299,0.39338),(2505,6365,2.3014,0.37797),(2505,6375,2.3035,0.36256),(2505,6385,2.3056,0.34716),(2505,6395,2.3077,0.33184),(2505,6405,2.3097,0.31651),(2505,6415,2.3115,0.30119),(2505,6425,2.3133,0.28591),(2505,6435,2.315,0.27063),(2505,6445,2.3165,0.25534),(2505,6455,2.318,0.24006),(2505,6465,2.3195,0.22478),(2505,6475,2.3208,0.20949),(2505,6485,2.322,0.19421),(2505,6495,2.3232,0.17894),(2505,6505,2.3242,0.16366),(2505,6515,2.3251,0.14841),(2505,6525,2.326,0.1332),(2505,6535,2.3267,0.11798),(2505,6545,2.3274,0.10277),(2505,6555,2.328,0.087581),(2505,6565,2.3284,0.072388),(2505,6575,2.3288,0.057198),(2505,6585,2.3291,0.042042),(2505,6595,1.9811,0.026887),(2505,6605,1.2486,0.011731),(2505,6615,0.51603,0.009959),(2505,6625,0.001069,0.009907),(2505,6635,0.001069,0.009855),(2505,6645,0.001069,0.009832),(2505,6655,0.001069,0.00982),(2505,6665,0.00107,0.009809),(2505,6675,0.00107,0.009798),(2505,6685,0.00107,0.009787),(2505,6695,0.00107,0.009776),(2505,6705,0.001071,0.009765),(2505,6715,0.001071,0.009754),(2505,6725,0.001071,0.009743),(2505,6735,0.001071,0.009732),(2505,6745,0.001072,0.009721),(2505,6755,0.001072,0.00971),(2505,6765,0.001072,0.009699),(2505,6775,0.001072,0.009689),(2505,6785,0.001073,0.009678),(2505,6795,0.001073,0.009667),(2505,6805,0.001073,0.009657),(2505,6815,0.001073,0.009646),(2505,6825,0.001073,0.009636),(2505,6835,0.001074,0.009625),(2505,6845,0.001074,0.009615),(2505,6855,0.001074,0.009605),(2505,6865,0.001074,0.009594),(2505,6875,0.001074,0.009584),(2505,6885,0.001075,0.009574),(2505,6895,0.001075,0.009563),(2505,6905,0.001075,0.009553),(2505,6915,0.001075,0.009543),(2505,6925,0.001075,0.009533),(2505,6935,0.001076,0.009523),(2505,6945,0.001076,0.009513),(2505,6955,0.001076,0.009503),(2505,6965,0.001076,0.009492),(2505,6975,0.001076,0.009482),(2505,6985,0.001076,0.009472),(2515,5,3.8e-05,3.6856),(2515,15,0.000114,3.6856),(2515,25,0.000189,3.6857),(2515,35,0.000265,3.6857),(2515,45,0.000341,3.6857),(2515,55,0.000417,3.6857),(2515,65,0.000493,3.6857),(2515,75,0.000569,3.6857),(2515,85,0.000645,3.6857),(2515,95,0.000721,3.6857),(2515,105,0.000798,3.6857),(2515,115,0.000874,3.6857),(2515,125,0.000951,3.6857),(2515,135,0.001027,3.6857),(2515,145,0.001104,3.6857),(2515,155,0.001181,3.6857),(2515,165,0.001259,3.6857),(2515,175,0.001336,3.6857),(2515,185,0.001413,3.6857),(2515,195,0.001491,3.6858),(2515,205,0.001569,3.6858),(2515,215,0.001647,3.6858),(2515,225,0.001726,3.6858),(2515,235,0.001805,3.6858),(2515,245,0.001884,3.6858),(2515,255,0.001963,3.6858),(2515,265,0.002042,3.6859),(2515,275,0.002122,3.6859),(2515,285,0.002203,3.6859),(2515,295,0.002282,3.6859),(2515,305,0.002364,3.6859),(2515,315,0.002445,3.6859),(2515,325,0.002526,3.686),(2515,335,0.002607,3.686),(2515,345,0.00269,3.686),(2515,355,0.002773,3.686),(2515,365,0.002855,3.686),(2515,375,0.002938,3.6861),(2515,385,0.003023,3.6861),(2515,395,0.003107,3.6861),(2515,405,0.003192,3.6861),(2515,415,0.003276,3.6862),(2515,425,0.003363,3.6862),(2515,435,0.00345,3.6862),(2515,445,0.003537,3.6862),(2515,455,0.003623,3.6863),(2515,465,0.003712,3.6863),(2515,475,0.003801,3.6863),(2515,485,0.00389,3.6864),(2515,495,0.003979,3.6864),(2515,505,0.004071,3.6864),(2515,515,0.004162,3.6865),(2515,525,0.004254,3.6865),(2515,535,0.004345,3.6865),(2515,545,0.00444,3.6866),(2515,555,0.004534,3.6866),(2515,565,0.004628,3.6866),(2515,575,0.004723,3.6867),(2515,585,0.004821,3.6867),(2515,595,0.004918,3.6868),(2515,605,0.005016,3.6868),(2515,615,0.005114,3.6868),(2515,625,0.005215,3.6869),(2515,635,0.005317,3.6869),(2515,645,0.005418,3.687),(2515,655,0.00552,3.687),(2515,665,0.005625,3.6871),(2515,675,0.00573,3.6871),(2515,685,0.005835,3.6872),(2515,695,0.005941,3.6872),(2515,705,0.00605,3.6873),(2515,715,0.00616,3.6873),(2515,725,0.006269,3.6874),(2515,735,0.006379,3.6874),(2515,745,0.006494,3.6875),(2515,755,0.006608,3.6875),(2515,765,0.006722,3.6876),(2515,775,0.006837,3.6876),(2515,785,0.006957,3.6877),(2515,795,0.007076,3.6878),(2515,805,0.007196,3.6878),(2515,815,0.007317,3.6879),(2515,825,0.007442,3.688),(2515,835,0.007567,3.688),(2515,845,0.007693,3.6881),(2515,855,0.00782,3.6882),(2515,865,0.007952,3.6882),(2515,875,0.008083,3.6883),(2515,885,0.008215,3.6884),(2515,895,0.008349,3.6884),(2515,905,0.008487,3.6885),(2515,915,0.008626,3.6886),(2515,925,0.008764,3.6887),(2515,935,0.008906,3.6887),(2515,945,0.009052,3.6888),(2515,955,0.009198,3.6889),(2515,965,0.009344,3.689),(2515,975,0.009493,3.6891),(2515,985,0.009648,3.6891),(2515,995,0.009802,3.6892),(2515,1005,0.009956,3.6893),(2515,1015,0.010115,3.6894),(2515,1025,0.010278,3.6895),(2515,1035,0.010441,3.6896),(2515,1045,0.010604,3.6897),(2515,1055,0.010772,3.6898),(2515,1065,0.010945,3.6899),(2515,1075,0.011118,3.69),(2515,1085,0.011291,3.6901),(2515,1095,0.01147,3.6902),(2515,1105,0.011653,3.6902),(2515,1115,0.011837,3.6904),(2515,1125,0.01202,3.6905),(2515,1135,0.012211,3.6906),(2515,1145,0.012406,3.6907),(2515,1155,0.012601,3.6908),(2515,1165,0.012796,3.6909),(2515,1175,0.012999,3.691),(2515,1185,0.013207,3.6911),(2515,1195,0.013414,3.6912),(2515,1205,0.013622,3.6913),(2515,1215,0.013839,3.6914),(2515,1225,0.014059,3.6916),(2515,1235,0.01428,3.6917),(2515,1245,0.014501,3.6918),(2515,1255,0.014733,3.6919),(2515,1265,0.014969,3.692),(2515,1275,0.015204,3.6922),(2515,1285,0.015439,3.6923),(2515,1295,0.015687,3.6924),(2515,1305,0.015939,3.6925),(2515,1315,0.01619,3.6927),(2515,1325,0.016441,3.6928),(2515,1335,0.016707,3.6929),(2515,1345,0.016975,3.6931),(2515,1355,0.017243,3.6932),(2515,1365,0.017512,3.6933),(2515,1375,0.017796,3.6935),(2515,1385,0.018083,3.6936),(2515,1395,0.01837,3.6937),(2515,1405,0.018657,3.6939),(2515,1415,0.018961,3.694),(2515,1425,0.019268,3.6942),(2515,1435,0.019574,3.6943),(2515,1445,0.019881,3.6945),(2515,1455,0.020208,3.6946),(2515,1465,0.020535,3.6948),(2515,1475,0.020863,3.6949),(2515,1485,0.021191,3.6951),(2515,1495,0.021541,3.6952),(2515,1505,0.021892,3.6954),(2515,1515,0.022243,3.6955),(2515,1525,0.022594,3.6957),(2515,1535,0.022969,3.6958),(2515,1545,0.023345,3.696),(2515,1555,0.02372,3.6961),(2515,1565,0.024097,3.6963),(2515,1575,0.024499,3.6964),(2515,1585,0.0249,3.6966),(2515,1595,0.025302,3.6968),(2515,1605,0.025707,3.6969),(2515,1615,0.026137,3.6971),(2515,1625,0.026566,3.6972),(2515,1635,0.026996,3.6974),(2515,1645,0.027431,3.6975),(2515,1655,0.027891,3.6977),(2515,1665,0.028351,3.6979),(2515,1675,0.028811,3.698),(2515,1685,0.029277,3.6982),(2515,1695,0.029769,3.6983),(2515,1705,0.030262,3.6985),(2515,1715,0.030754,3.6987),(2515,1725,0.031254,3.6988),(2515,1735,0.031781,3.699),(2515,1745,0.032307,3.6991),(2515,1755,0.032834,3.6993),(2515,1765,0.03337,3.6995),(2515,1775,0.033934,3.6996),(2515,1785,0.034497,3.6998),(2515,1795,0.035061,3.6999),(2515,1805,0.035636,3.7001),(2515,1815,0.036238,3.7002),(2515,1825,0.036841,3.7004),(2515,1835,0.037443,3.7005),(2515,1845,0.03806,3.7007),(2515,1855,0.038704,3.7008),(2515,1865,0.039348,3.701),(2515,1875,0.039991,3.7011),(2515,1885,0.040652,3.7012),(2515,1895,0.04134,3.7014),(2515,1905,0.042027,3.7015),(2515,1915,0.042715,3.7016),(2515,1925,0.043422,3.7018),(2515,1935,0.044157,3.7019),(2515,1945,0.044891,3.702),(2515,1955,0.045625,3.7021),(2515,1965,0.046382,3.7022),(2515,1975,0.047165,3.7023),(2515,1985,0.047948,3.7024),(2515,1995,0.048731,3.7025),(2515,2005,0.04954,3.7026),(2515,2015,0.050374,3.7027),(2515,2025,0.051208,3.7028),(2515,2035,0.052043,3.7029),(2515,2045,0.052906,3.703),(2515,2055,0.053795,3.703),(2515,2065,0.054684,3.7031),(2515,2075,0.055572,3.7032),(2515,2085,0.056493,3.7032),(2515,2095,0.057439,3.7033),(2515,2105,0.058384,3.7033),(2515,2115,0.059329,3.7033),(2515,2125,0.060311,3.7033),(2515,2135,0.061315,3.7034),(2515,2145,0.062319,3.7034),(2515,2155,0.063323,3.7034),(2515,2165,0.064367,3.7033),(2515,2175,0.065432,3.7033),(2515,2185,0.066496,3.7033),(2515,2195,0.067561,3.7032),(2515,2205,0.06867,3.7032),(2515,2215,0.069798,3.7031),(2515,2225,0.070925,3.7031),(2515,2235,0.072053,3.703),(2515,2245,0.073228,3.7029),(2515,2255,0.074421,3.7028),(2515,2265,0.075613,3.7026),(2515,2275,0.076805,3.7025),(2515,2285,0.078048,3.7024),(2515,2295,0.079307,3.7022),(2515,2305,0.080565,3.702),(2515,2315,0.081823,3.7018),(2515,2325,0.083136,3.7016),(2515,2335,0.08446,3.7014),(2515,2345,0.085785,3.7011),(2515,2355,0.08711,3.7009),(2515,2365,0.088493,3.7006),(2515,2375,0.089885,3.7003),(2515,2385,0.091277,3.7),(2515,2395,0.092669,3.6997),(2515,2405,0.094122,3.6993),(2515,2415,0.095581,3.699),(2515,2425,0.09704,3.6986),(2515,2435,0.098499,3.6981),(2515,2445,0.10002,3.6977),(2515,2455,0.10155,3.6973),(2515,2465,0.10307,3.6968),(2515,2475,0.1046,3.6962),(2515,2485,0.10618,3.6957),(2515,2495,0.10777,3.6952),(2515,2505,0.10936,3.6946),(2515,2515,0.11095,3.694),(2515,2525,0.1126,3.6934),(2515,2535,0.11426,3.6928),(2515,2545,0.11591,3.692),(2515,2555,0.11756,3.6913),(2515,2565,0.11927,3.6906),(2515,2575,0.12098,3.6898),(2515,2585,0.12269,3.689),(2515,2595,0.1244,3.6882),(2515,2605,0.12617,3.6873),(2515,2615,0.12793,3.6865),(2515,2625,0.12969,3.6855),(2515,2635,0.13146,3.6845),(2515,2645,0.13327,3.6836),(2515,2655,0.13508,3.6826),(2515,2665,0.1369,3.6815),(2515,2675,0.13871,3.6804),(2515,2685,0.14057,3.6793),(2515,2695,0.14242,3.6781),(2515,2705,0.14427,3.6769),(2515,2715,0.14613,3.6756),(2515,2725,0.14802,3.6744),(2515,2735,0.1499,3.6731),(2515,2745,0.15179,3.6717),(2515,2755,0.15368,3.6703),(2515,2765,0.15559,3.6689),(2515,2775,0.1575,3.6674),(2515,2785,0.15941,3.6659),(2515,2795,0.16132,3.6643),(2515,2805,0.16325,3.6628),(2515,2815,0.16517,3.6611),(2515,2825,0.1671,3.6594),(2515,2835,0.16902,3.6577),(2515,2845,0.17095,3.656),(2515,2855,0.17288,3.6542),(2515,2865,0.1748,3.6523),(2515,2875,0.17673,3.6504),(2515,2885,0.17864,3.6485),(2515,2895,0.18056,3.6465),(2515,2905,0.18248,3.6444),(2515,2915,0.18438,3.6423),(2515,2925,0.18628,3.6402),(2515,2935,0.18817,3.6381),(2515,2945,0.19007,3.6358),(2515,2955,0.19195,3.6336),(2515,2965,0.1938,3.6313),(2515,2975,0.19566,3.6289),(2515,2985,0.19752,3.6265),(2515,2995,0.19935,3.6241),(2515,3005,0.20115,3.6216),(2515,3015,0.20296,3.6191),(2515,3025,0.20477,3.6165),(2515,3035,0.20653,3.6138),(2515,3045,0.20827,3.6112),(2515,3055,0.21001,3.6085),(2515,3065,0.21175,3.6057),(2515,3075,0.21344,3.6029),(2515,3085,0.2151,3.6001),(2515,3095,0.21675,3.5971),(2515,3105,0.21841,3.5942),(2515,3115,0.22,3.5912),(2515,3125,0.22156,3.5882),(2515,3135,0.22312,3.5851),(2515,3145,0.22467,3.582),(2515,3155,0.22615,3.5788),(2515,3165,0.2276,3.5756),(2515,3175,0.22904,3.5724),(2515,3185,0.23048,3.5691),(2515,3195,0.23184,3.5658),(2515,3205,0.23315,3.5624),(2515,3215,0.23446,3.559),(2515,3225,0.23577,3.5556),(2515,3235,0.23698,3.5521),(2515,3245,0.23815,3.5486),(2515,3255,0.23932,3.545),(2515,3265,0.24049,3.5414),(2515,3275,0.24154,3.5378),(2515,3285,0.24255,3.5342),(2515,3295,0.24356,3.5305),(2515,3305,0.24458,3.5268),(2515,3315,0.24545,3.523),(2515,3325,0.24629,3.5193),(2515,3335,0.24713,3.5155),(2515,3345,0.24798,3.5116),(2515,3355,0.24866,3.5078),(2515,3365,0.24933,3.5039),(2515,3375,0.24999,3.5),(2515,3385,0.25065,3.4961),(2515,3395,0.25114,3.4921),(2515,3405,0.25161,3.4882),(2515,3415,0.25208,3.4842),(2515,3425,0.25255,3.4802),(2515,3435,0.25284,3.4762),(2515,3445,0.25312,3.4721),(2515,3455,0.25339,3.4681),(2515,3465,0.25366,3.464),(2515,3475,0.25374,3.4599),(2515,3485,0.25381,3.4559),(2515,3495,0.25388,3.4518),(2515,3505,0.25395,3.4477),(2515,3515,0.25382,3.4435),(2515,3525,0.25368,3.4394),(2515,3535,0.25355,3.4353),(2515,3545,0.2534,3.4312),(2515,3555,0.25306,3.4271),(2515,3565,0.25272,3.423),(2515,3575,0.25238,3.4188),(2515,3585,0.25202,3.4147),(2515,3595,0.25147,3.4106),(2515,3605,0.25092,3.4065),(2515,3615,0.25037,3.4024),(2515,3625,0.2498,3.3983),(2515,3635,0.24905,3.3942),(2515,3645,0.2483,3.3901),(2515,3655,0.24755,3.3861),(2515,3665,0.24677,3.382),(2515,3675,0.24582,3.378),(2515,3685,0.24487,3.374),(2515,3695,0.24392,3.37),(2515,3705,0.24294,3.366),(2515,3715,0.2418,3.362),(2515,3725,0.24066,3.358),(2515,3735,0.23952,3.3541),(2515,3745,0.23834,3.3502),(2515,3755,0.23702,3.3463),(2515,3765,0.23569,3.3424),(2515,3775,0.23437,3.3386),(2515,3785,0.233,3.3348),(2515,3795,0.23151,3.331),(2515,3805,0.23001,3.3272),(2515,3815,0.22852,3.3235),(2515,3825,0.22697,3.3198),(2515,3835,0.22531,3.3161),(2515,3845,0.22365,3.3125),(2515,3855,0.22199,3.3089),(2515,3865,0.22027,3.3053),(2515,3875,0.21845,3.3018),(2515,3885,0.21664,3.2982),(2515,3895,0.21482,3.2948),(2515,3905,0.24429,3.2914),(2515,3915,0.3205,3.2879),(2515,3925,0.39671,3.2828),(2515,3935,0.47292,3.2753),(2515,3945,0.55243,3.2679),(2515,3955,0.63615,3.2604),(2515,3965,0.71986,3.2509),(2515,3975,0.80357,3.239),(2515,3985,0.8512,3.2271),(2515,3995,0.85979,3.2152),(2515,4005,0.86837,3.2031),(2515,4015,0.87695,3.1909),(2515,4025,0.88682,3.1786),(2515,4035,0.8968,3.1663),(2515,4045,0.90679,3.1537),(2515,4055,0.91694,3.1412),(2515,4065,0.92715,3.1286),(2515,4075,0.93736,3.1157),(2515,4085,0.94722,3.1029),(2515,4095,0.95681,3.0901),(2515,4105,0.9664,3.077),(2515,4115,0.94061,3.0639),(2515,4125,0.85616,3.0509),(2515,4135,0.77171,3.0406),(2515,4145,0.68577,3.031),(2515,4155,0.59386,3.0215),(2515,4165,0.50194,3.0141),(2515,4175,0.41556,3.0082),(2515,4185,0.60304,3.0023),(2515,4195,0.79051,2.993),(2515,4205,0.97799,2.9792),(2515,4215,0.99048,2.9653),(2515,4225,0.97003,2.9514),(2515,4235,0.94958,2.9373),(2515,4245,0.89962,2.9233),(2515,4255,0.83469,2.9093),(2515,4265,0.76975,2.897),(2515,4275,0.65495,2.8846),(2515,4285,0.48721,2.8722),(2515,4295,0.31947,2.8677),(2515,4305,0.27599,2.8641),(2515,4315,0.51307,2.8605),(2515,4325,0.75015,2.8504),(2515,4335,0.96235,2.8379),(2515,4345,1.0062,2.8253),(2515,4355,1.0501,2.8121),(2515,4365,1.0939,2.7984),(2515,4375,1.1067,2.7846),(2515,4385,1.1179,2.7707),(2515,4395,1.1291,2.7564),(2515,4405,0.99319,2.7422),(2515,4415,0.81387,2.729),(2515,4425,0.63455,2.7211),(2515,4435,0.56169,2.7132),(2515,4445,0.56157,2.7052),(2515,4455,0.56145,2.698),(2515,4465,0.64769,2.6908),(2515,4475,0.85526,2.6836),(2515,4485,1.0628,2.6704),(2515,4495,1.2238,2.6561),(2515,4505,1.2352,2.6417),(2515,4515,1.2467,2.6272),(2515,4525,1.2555,2.6128),(2515,4535,1.223,2.5983),(2515,4545,1.1906,2.5846),(2515,4555,1.1581,2.5719),(2515,4565,0.8833,2.5592),(2515,4575,0.57579,2.5493),(2515,4585,0.26827,2.5463),(2515,4595,0.32996,2.5432),(2515,4605,0.54763,2.5389),(2515,4615,0.7653,2.5247),(2515,4625,0.92054,2.5105),(2515,4635,1.0192,2.4963),(2515,4645,1.1179,2.4803),(2515,4655,1.196,2.4642),(2515,4665,1.2352,2.4481),(2515,4675,1.2744,2.4326),(2515,4685,1.2623,2.4173),(2515,4695,0.99682,2.402),(2515,4705,0.73138,2.3923),(2515,4715,0.46595,2.3867),(2515,4725,0.61026,2.3811),(2515,4735,0.75868,2.3737),(2515,4745,0.9071,2.3636),(2515,4755,1.0608,2.3535),(2515,4765,1.2158,2.3425),(2515,4775,1.3707,2.3284),(2515,4785,1.4326,2.3142),(2515,4795,1.4407,2.3001),(2515,4805,1.4488,2.2863),(2515,4815,1.3851,2.2724),(2515,4825,1.2354,2.2586),(2515,4835,1.0858,2.249),(2515,4845,0.93417,2.2401),(2515,4855,0.77732,2.2312),(2515,4865,0.62047,2.2249),(2515,4875,0.51246,2.2199),(2515,4885,0.84884,2.2148),(2515,4895,1.1852,2.2053),(2515,4905,1.5216,2.1916),(2515,4915,1.5365,2.1778),(2515,4925,1.5237,2.164),(2515,4935,1.511,2.1499),(2515,4945,1.4325,2.1358),(2515,4955,1.3311,2.1218),(2515,4965,1.2297,2.1079),(2515,4975,0.99595,2.094),(2515,4985,0.65999,2.0801),(2515,4995,0.32402,2.0783),(2515,5005,0.2543,2.0768),(2515,5015,0.60784,2.0754),(2515,5025,0.96139,2.067),(2515,5035,1.2667,2.057),(2515,5045,1.3883,2.0469),(2515,5055,1.5099,2.0353),(2515,5065,1.628,2.0226),(2515,5075,1.634,2.01),(2515,5085,1.6399,1.9975),(2515,5095,1.6459,1.9851),(2515,5105,1.4408,1.9727),(2515,5115,1.199,1.9619),(2515,5125,0.95711,1.9553),(2515,5135,0.83909,1.9487),(2515,5145,0.78117,1.9422),(2515,5155,0.72325,1.9367),(2515,5165,0.85725,1.9313),(2515,5175,1.187,1.9258),(2515,5185,1.5167,1.9138),(2515,5195,1.744,1.9011),(2515,5205,1.7501,1.8884),(2515,5215,1.7563,1.8759),(2515,5225,1.7531,1.8635),(2515,5235,1.6917,1.851),(2515,5245,1.6302,1.8395),(2515,5255,1.5688,1.8288),(2515,5265,1.1052,1.8181),(2515,5275,0.62505,1.8112),(2515,5285,0.14488,1.8106),(2515,5295,0.39146,1.8101),(2515,5305,0.84043,1.8067),(2515,5315,1.2894,1.7918),(2515,5325,1.5259,1.7768),(2515,5335,1.6231,1.7619),(2515,5345,1.7203,1.7482),(2515,5355,1.7825,1.7345),(2515,5365,1.7977,1.7208),(2515,5375,1.8128,1.7076),(2515,5385,1.7203,1.6945),(2515,5395,1.3003,1.6814),(2515,5405,0.88037,1.6746),(2515,5415,0.5066,1.6711),(2515,5425,0.75299,1.6675),(2515,5435,0.99939,1.6604),(2515,5445,1.2458,1.6494),(2515,5455,1.4869,1.6384),(2515,5465,1.7273,1.6256),(2515,5475,1.9678,1.6087),(2515,5485,2.0441,1.5917),(2515,5495,2.0542,1.5748),(2515,5505,2.0644,1.5583),(2515,5515,2.0745,1.5419),(2515,5525,2.0847,1.5254),(2515,5535,2.0948,1.5094),(2515,5545,2.1046,1.4935),(2515,5555,2.114,1.4775),(2515,5565,2.1234,1.4619),(2515,5575,2.1327,1.4464),(2515,5585,2.1414,1.431),(2515,5595,2.1501,1.4157),(2515,5605,2.1589,1.4007),(2515,5615,2.1669,1.3856),(2515,5625,2.175,1.3707),(2515,5635,2.1831,1.3561),(2515,5645,2.1906,1.3414),(2515,5655,2.1981,1.3269),(2515,5665,2.2056,1.3126),(2515,5675,2.2127,1.2984),(2515,5685,2.2197,1.2842),(2515,5695,2.2266,1.2703),(2515,5705,2.2333,1.2564),(2515,5715,2.2397,1.2425),(2515,5725,2.2462,1.2289),(2515,5735,2.2525,1.2154),(2515,5745,2.2584,1.2018),(2515,5755,2.2644,1.1885),(2515,5765,2.2703,1.1753),(2515,5775,2.2758,1.1621),(2515,5785,2.2813,1.1491),(2515,5795,2.2868,1.1362),(2515,5805,2.292,1.1233),(2515,5815,2.2971,1.1105),(2515,5825,2.3022,1.0978),(2515,5835,2.3071,1.0852),(2515,5845,2.3118,1.0726),(2515,5855,2.3166,1.0603),(2515,5865,2.3211,1.0479),(2515,5875,2.3255,1.0356),(2515,5885,2.3299,1.0235),(2515,5895,2.3342,1.0114),(2515,5905,2.3383,0.99934),(2515,5915,2.3423,0.98747),(2515,5925,2.3463,0.97565),(2515,5935,2.3501,0.96384),(2515,5945,2.3539,0.95217),(2515,5955,2.3577,0.94059),(2515,5965,2.3613,0.92902),(2515,5975,2.3649,0.91754),(2515,5985,2.3685,0.90619),(2515,5995,1.8112,0.89484),(2515,6005,1.1636,0.88617),(2515,6015,0.51604,0.88466),(2515,6025,0.5992,0.88315),(2515,6035,1.0213,0.88065),(2515,6045,1.4433,0.86862),(2515,6055,1.7402,0.85659),(2515,6065,1.9144,0.84456),(2515,6075,2.0885,0.829),(2515,6085,2.2073,0.81312),(2515,6095,2.2121,0.79724),(2515,6105,2.2169,0.78133),(2515,6115,2.2216,0.76542),(2515,6125,2.2262,0.74951),(2515,6135,2.2307,0.73365),(2515,6145,2.2352,0.71785),(2515,6155,2.2394,0.70204),(2515,6165,2.2436,0.68629),(2515,6175,2.2478,0.67065),(2515,6185,2.2517,0.655),(2515,6195,2.2556,0.63936),(2515,6205,2.2595,0.62375),(2515,6215,2.2632,0.60813),(2515,6225,2.2668,0.59252),(2515,6235,2.2704,0.57695),(2515,6245,2.2738,0.56139),(2515,6255,2.2771,0.54583),(2515,6265,2.2804,0.53034),(2515,6275,2.2836,0.51487),(2515,6285,2.2865,0.4994),(2515,6295,2.2895,0.48398),(2515,6305,2.2924,0.46857),(2515,6315,2.2951,0.45317),(2515,6325,2.2977,0.43777),(2515,6335,2.3004,0.42236),(2515,6345,2.3028,0.40696),(2515,6355,2.3052,0.39158),(2515,6365,2.3075,0.37624),(2515,6375,2.3097,0.3609),(2515,6385,2.3118,0.34558),(2515,6395,2.3138,0.33033),(2515,6405,2.3157,0.31507),(2515,6415,2.3175,0.29982),(2515,6425,2.3193,0.28461),(2515,6435,2.321,0.26941),(2515,6445,2.3225,0.2542),(2515,6455,2.324,0.23899),(2515,6465,2.3255,0.22378),(2515,6475,2.3267,0.20857),(2515,6485,2.3279,0.19336),(2515,6495,2.3291,0.17815),(2515,6505,2.3301,0.16294),(2515,6515,2.331,0.14776),(2515,6525,2.3319,0.13261),(2515,6535,2.3326,0.11747),(2515,6545,2.3333,0.10233),(2515,6555,2.3339,0.08721),(2515,6565,2.3343,0.072088),(2515,6575,2.3347,0.056969),(2515,6585,2.335,0.041887),(2515,6595,1.9861,0.026804),(2515,6605,1.2517,0.011722),(2515,6615,0.51734,0.009959),(2515,6625,0.001076,0.009907),(2515,6635,0.001076,0.009855),(2515,6645,0.001076,0.009832),(2515,6655,0.001076,0.00982),(2515,6665,0.001076,0.009809),(2515,6675,0.001077,0.009798),(2515,6685,0.001077,0.009787),(2515,6695,0.001077,0.009776),(2515,6705,0.001077,0.009765),(2515,6715,0.001077,0.009754),(2515,6725,0.001078,0.009743),(2515,6735,0.001078,0.009732),(2515,6745,0.001078,0.009721),(2515,6755,0.001078,0.009711),(2515,6765,0.001079,0.0097),(2515,6775,0.001079,0.009689),(2515,6785,0.001079,0.009678),(2515,6795,0.001079,0.009668),(2515,6805,0.001079,0.009657),(2515,6815,0.001079,0.009647),(2515,6825,0.00108,0.009636),(2515,6835,0.00108,0.009626),(2515,6845,0.00108,0.009615),(2515,6855,0.00108,0.009605),(2515,6865,0.00108,0.009594),(2515,6875,0.00108,0.009584),(2515,6885,0.001081,0.009574),(2515,6895,0.001081,0.009564),(2515,6905,0.001081,0.009553),(2515,6915,0.001081,0.009543),(2515,6925,0.001081,0.009533),(2515,6935,0.001081,0.009523),(2515,6945,0.001081,0.009513),(2515,6955,0.001082,0.009503),(2515,6965,0.001082,0.009493),(2515,6975,0.001082,0.009483),(2515,6985,0.001082,0.009473),(2525,5,3.7e-05,3.6857),(2525,15,0.000112,3.6857),(2525,25,0.000187,3.6857),(2525,35,0.000262,3.6857),(2525,45,0.000337,3.6857),(2525,55,0.000412,3.6857),(2525,65,0.000487,3.6857),(2525,75,0.000562,3.6857),(2525,85,0.000638,3.6857),(2525,95,0.000713,3.6858),(2525,105,0.000788,3.6858),(2525,115,0.000864,3.6858),(2525,125,0.000939,3.6858),(2525,135,0.001015,3.6858),(2525,145,0.001091,3.6858),(2525,155,0.001167,3.6858),(2525,165,0.001243,3.6858),(2525,175,0.001319,3.6858),(2525,185,0.001396,3.6858),(2525,195,0.001473,3.6858),(2525,205,0.00155,3.6858),(2525,215,0.001627,3.6859),(2525,225,0.001705,3.6859),(2525,235,0.001783,3.6859),(2525,245,0.001861,3.6859),(2525,255,0.001939,3.6859),(2525,265,0.002018,3.6859),(2525,275,0.002097,3.6859),(2525,285,0.002176,3.686),(2525,295,0.002255,3.686),(2525,305,0.002335,3.686),(2525,315,0.002415,3.686),(2525,325,0.002495,3.686),(2525,335,0.002576,3.6861),(2525,345,0.002657,3.6861),(2525,355,0.002739,3.6861),(2525,365,0.002821,3.6861),(2525,375,0.002902,3.6861),(2525,385,0.002986,3.6862),(2525,395,0.003069,3.6862),(2525,405,0.003153,3.6862),(2525,415,0.003236,3.6862),(2525,425,0.003321,3.6863),(2525,435,0.003407,3.6863),(2525,445,0.003493,3.6863),(2525,455,0.003578,3.6864),(2525,465,0.003666,3.6864),(2525,475,0.003754,3.6864),(2525,485,0.003842,3.6865),(2525,495,0.00393,3.6865),(2525,505,0.00402,3.6865),(2525,515,0.00411,3.6865),(2525,525,0.004201,3.6866),(2525,535,0.004291,3.6866),(2525,545,0.004384,3.6867),(2525,555,0.004477,3.6867),(2525,565,0.00457,3.6867),(2525,575,0.004663,3.6868),(2525,585,0.00476,3.6868),(2525,595,0.004856,3.6869),(2525,605,0.004953,3.6869),(2525,615,0.005049,3.6869),(2525,625,0.005149,3.687),(2525,635,0.005249,3.687),(2525,645,0.005349,3.6871),(2525,655,0.005449,3.6871),(2525,665,0.005553,3.6872),(2525,675,0.005657,3.6872),(2525,685,0.00576,3.6873),(2525,695,0.005865,3.6873),(2525,705,0.005973,3.6874),(2525,715,0.006081,3.6874),(2525,725,0.006189,3.6875),(2525,735,0.006298,3.6875),(2525,745,0.00641,3.6876),(2525,755,0.006523,3.6876),(2525,765,0.006635,3.6877),(2525,775,0.006749,3.6878),(2525,785,0.006867,3.6878),(2525,795,0.006985,3.6879),(2525,805,0.007103,3.6879),(2525,815,0.007222,3.688),(2525,825,0.007346,3.6881),(2525,835,0.007469,3.6881),(2525,845,0.007593,3.6882),(2525,855,0.007719,3.6883),(2525,865,0.007848,3.6884),(2525,875,0.007978,3.6884),(2525,885,0.008108,3.6885),(2525,895,0.00824,3.6886),(2525,905,0.008377,3.6886),(2525,915,0.008514,3.6887),(2525,925,0.00865,3.6888),(2525,935,0.00879,3.6889),(2525,945,0.008934,3.689),(2525,955,0.009078,3.689),(2525,965,0.009222,3.6891),(2525,975,0.00937,3.6892),(2525,985,0.009523,3.6893),(2525,995,0.009675,3.6894),(2525,1005,0.009827,3.6895),(2525,1015,0.009984,3.6896),(2525,1025,0.010145,3.6896),(2525,1035,0.010306,3.6897),(2525,1045,0.010467,3.6898),(2525,1055,0.010634,3.6899),(2525,1065,0.010804,3.69),(2525,1075,0.010975,3.6901),(2525,1085,0.011146,3.6902),(2525,1095,0.011323,3.6903),(2525,1105,0.011504,3.6904),(2525,1115,0.011685,3.6905),(2525,1125,0.011867,3.6906),(2525,1135,0.012055,3.6907),(2525,1145,0.012248,3.6909),(2525,1155,0.012441,3.691),(2525,1165,0.012634,3.6911),(2525,1175,0.012835,3.6912),(2525,1185,0.01304,3.6913),(2525,1195,0.013245,3.6914),(2525,1205,0.013451,3.6915),(2525,1215,0.013665,3.6917),(2525,1225,0.013884,3.6918),(2525,1235,0.014103,3.6919),(2525,1245,0.014321,3.692),(2525,1255,0.014551,3.6921),(2525,1265,0.014784,3.6923),(2525,1275,0.015017,3.6924),(2525,1285,0.01525,3.6925),(2525,1295,0.015496,3.6927),(2525,1305,0.015745,3.6928),(2525,1315,0.015994,3.6929),(2525,1325,0.016243,3.6931),(2525,1335,0.016506,3.6932),(2525,1345,0.016772,3.6933),(2525,1355,0.017038,3.6935),(2525,1365,0.017304,3.6936),(2525,1375,0.017586,3.6938),(2525,1385,0.01787,3.6939),(2525,1395,0.018155,3.694),(2525,1405,0.018439,3.6942),(2525,1415,0.018742,3.6943),(2525,1425,0.019046,3.6945),(2525,1435,0.01935,3.6946),(2525,1445,0.019654,3.6948),(2525,1455,0.019979,3.6949),(2525,1465,0.020304,3.6951),(2525,1475,0.020629,3.6952),(2525,1485,0.020955,3.6954),(2525,1495,0.021303,3.6955),(2525,1505,0.021651,3.6957),(2525,1515,0.022,3.6959),(2525,1525,0.022349,3.696),(2525,1535,0.022722,3.6962),(2525,1545,0.023095,3.6963),(2525,1555,0.023468,3.6965),(2525,1565,0.023843,3.6967),(2525,1575,0.024242,3.6968),(2525,1585,0.024642,3.697),(2525,1595,0.025041,3.6972),(2525,1605,0.025444,3.6973),(2525,1615,0.025872,3.6975),(2525,1625,0.0263,3.6977),(2525,1635,0.026727,3.6978),(2525,1645,0.02716,3.698),(2525,1655,0.027618,3.6982),(2525,1665,0.028076,3.6983),(2525,1675,0.028534,3.6985),(2525,1685,0.028998,3.6987),(2525,1695,0.029489,3.6988),(2525,1705,0.02998,3.699),(2525,1715,0.03047,3.6992),(2525,1725,0.030969,3.6993),(2525,1735,0.031494,3.6995),(2525,1745,0.032019,3.6997),(2525,1755,0.032544,3.6998),(2525,1765,0.033079,3.7),(2525,1775,0.033642,3.7002),(2525,1785,0.034204,3.7003),(2525,1795,0.034766,3.7005),(2525,1805,0.03534,3.7007),(2525,1815,0.035941,3.7008),(2525,1825,0.036543,3.701),(2525,1835,0.037144,3.7011),(2525,1845,0.03776,3.7013),(2525,1855,0.038404,3.7014),(2525,1865,0.039047,3.7016),(2525,1875,0.03969,3.7017),(2525,1885,0.040351,3.7019),(2525,1895,0.041038,3.702),(2525,1905,0.041726,3.7022),(2525,1915,0.042414,3.7023),(2525,1925,0.043121,3.7025),(2525,1935,0.043856,3.7026),(2525,1945,0.04459,3.7027),(2525,1955,0.045325,3.7029),(2525,1965,0.046082,3.703),(2525,1975,0.046866,3.7031),(2525,1985,0.04765,3.7032),(2525,1995,0.048435,3.7033),(2525,2005,0.049245,3.7035),(2525,2015,0.050081,3.7036),(2525,2025,0.050917,3.7037),(2525,2035,0.051753,3.7038),(2525,2045,0.052619,3.7038),(2525,2055,0.05351,3.7039),(2525,2065,0.054401,3.704),(2525,2075,0.055291,3.7041),(2525,2085,0.056216,3.7041),(2525,2095,0.057164,3.7042),(2525,2105,0.058113,3.7043),(2525,2115,0.059061,3.7043),(2525,2125,0.060047,3.7043),(2525,2135,0.061055,3.7044),(2525,2145,0.062063,3.7044),(2525,2155,0.063072,3.7044),(2525,2165,0.064121,3.7044),(2525,2175,0.065191,3.7044),(2525,2185,0.066261,3.7044),(2525,2195,0.067331,3.7043),(2525,2205,0.068446,3.7043),(2525,2215,0.069581,3.7043),(2525,2225,0.070715,3.7042),(2525,2235,0.071849,3.7041),(2525,2245,0.073032,3.7041),(2525,2255,0.074232,3.704),(2525,2265,0.075432,3.7039),(2525,2275,0.076632,3.7037),(2525,2285,0.077885,3.7036),(2525,2295,0.079152,3.7035),(2525,2305,0.080419,3.7033),(2525,2315,0.081687,3.7031),(2525,2325,0.08301,3.7029),(2525,2335,0.084346,3.7027),(2525,2345,0.085681,3.7025),(2525,2355,0.087017,3.7022),(2525,2365,0.088412,3.702),(2525,2375,0.089816,3.7017),(2525,2385,0.091221,3.7014),(2525,2395,0.092625,3.7011),(2525,2405,0.094092,3.7008),(2525,2415,0.095565,3.7004),(2525,2425,0.097038,3.7),(2525,2435,0.098512,3.6996),(2525,2445,0.10005,3.6992),(2525,2455,0.10159,3.6988),(2525,2465,0.10313,3.6983),(2525,2475,0.10467,3.6978),(2525,2485,0.10628,3.6973),(2525,2495,0.10789,3.6968),(2525,2505,0.10949,3.6962),(2525,2515,0.1111,3.6956),(2525,2525,0.11277,3.695),(2525,2535,0.11444,3.6944),(2525,2545,0.11611,3.6937),(2525,2555,0.11779,3.693),(2525,2565,0.11952,3.6923),(2525,2575,0.12125,3.6916),(2525,2585,0.12298,3.6908),(2525,2595,0.12472,3.6899),(2525,2605,0.12651,3.6891),(2525,2615,0.12829,3.6883),(2525,2625,0.13008,3.6873),(2525,2635,0.13187,3.6864),(2525,2645,0.13371,3.6854),(2525,2655,0.13555,3.6844),(2525,2665,0.13738,3.6833),(2525,2675,0.13923,3.6822),(2525,2685,0.14111,3.6811),(2525,2695,0.14299,3.68),(2525,2705,0.14487,3.6788),(2525,2715,0.14676,3.6775),(2525,2725,0.14867,3.6763),(2525,2735,0.15059,3.675),(2525,2745,0.1525,3.6736),(2525,2755,0.15442,3.6722),(2525,2765,0.15636,3.6708),(2525,2775,0.15831,3.6694),(2525,2785,0.16025,3.6678),(2525,2795,0.16219,3.6663),(2525,2805,0.16415,3.6647),(2525,2815,0.16611,3.6631),(2525,2825,0.16806,3.6614),(2525,2835,0.17002,3.6597),(2525,2845,0.17198,3.6579),(2525,2855,0.17395,3.6561),(2525,2865,0.17591,3.6542),(2525,2875,0.17786,3.6523),(2525,2885,0.17982,3.6504),(2525,2895,0.18177,3.6484),(2525,2905,0.18372,3.6464),(2525,2915,0.18567,3.6443),(2525,2925,0.1876,3.6422),(2525,2935,0.18953,3.64),(2525,2945,0.19146,3.6377),(2525,2955,0.19337,3.6355),(2525,2965,0.19526,3.6332),(2525,2975,0.19716,3.6308),(2525,2985,0.19905,3.6284),(2525,2995,0.20092,3.6259),(2525,3005,0.20276,3.6235),(2525,3015,0.2046,3.6209),(2525,3025,0.20645,3.6183),(2525,3035,0.20825,3.6156),(2525,3045,0.21003,3.613),(2525,3055,0.2118,3.6102),(2525,3065,0.21358,3.6074),(2525,3075,0.21531,3.6046),(2525,3085,0.217,3.6018),(2525,3095,0.21869,3.5988),(2525,3105,0.22038,3.5958),(2525,3115,0.22201,3.5928),(2525,3125,0.2236,3.5898),(2525,3135,0.22519,3.5867),(2525,3145,0.22678,3.5835),(2525,3155,0.2283,3.5803),(2525,3165,0.22978,3.5771),(2525,3175,0.23125,3.5739),(2525,3185,0.23273,3.5705),(2525,3195,0.23411,3.5672),(2525,3205,0.23546,3.5638),(2525,3215,0.2368,3.5603),(2525,3225,0.23815,3.5568),(2525,3235,0.23939,3.5533),(2525,3245,0.24058,3.5498),(2525,3255,0.24178,3.5462),(2525,3265,0.24298,3.5426),(2525,3275,0.24406,3.5389),(2525,3285,0.2451,3.5353),(2525,3295,0.24613,3.5315),(2525,3305,0.24717,3.5277),(2525,3315,0.24807,3.524),(2525,3325,0.24894,3.5202),(2525,3335,0.2498,3.5163),(2525,3345,0.25067,3.5124),(2525,3355,0.25138,3.5085),(2525,3365,0.25206,3.5046),(2525,3375,0.25274,3.5007),(2525,3385,0.25342,3.4967),(2525,3395,0.25393,3.4927),(2525,3405,0.25442,3.4887),(2525,3415,0.2549,3.4846),(2525,3425,0.25539,3.4806),(2525,3435,0.25569,3.4765),(2525,3445,0.25598,3.4724),(2525,3455,0.25627,3.4683),(2525,3465,0.25655,3.4642),(2525,3475,0.25664,3.4601),(2525,3485,0.25672,3.4559),(2525,3495,0.2568,3.4518),(2525,3505,0.25688,3.4476),(2525,3515,0.25675,3.4435),(2525,3525,0.25661,3.4393),(2525,3535,0.25648,3.4351),(2525,3545,0.25634,3.431),(2525,3555,0.256,3.4268),(2525,3565,0.25566,3.4226),(2525,3575,0.25532,3.4184),(2525,3585,0.25496,3.4143),(2525,3595,0.25441,3.4101),(2525,3605,0.25386,3.4059),(2525,3615,0.25331,3.4018),(2525,3625,0.25273,3.3976),(2525,3635,0.25197,3.3935),(2525,3645,0.25121,3.3894),(2525,3655,0.25046,3.3853),(2525,3665,0.24967,3.3812),(2525,3675,0.24871,3.3771),(2525,3685,0.24775,3.373),(2525,3695,0.24679,3.369),(2525,3705,0.24579,3.3649),(2525,3715,0.24464,3.3609),(2525,3725,0.24349,3.3569),(2525,3735,0.24233,3.3529),(2525,3745,0.24114,3.349),(2525,3755,0.2398,3.345),(2525,3765,0.23846,3.3411),(2525,3775,0.23712,3.3372),(2525,3785,0.23573,3.3334),(2525,3795,0.23422,3.3295),(2525,3805,0.2327,3.3257),(2525,3815,0.23119,3.322),(2525,3825,0.22962,3.3182),(2525,3835,0.22793,3.3145),(2525,3845,0.22625,3.3108),(2525,3855,0.22457,3.3072),(2525,3865,0.22283,3.3036),(2525,3875,0.22099,3.2999),(2525,3885,0.21914,3.2964),(2525,3895,0.2173,3.2929),(2525,3905,0.24703,3.2894),(2525,3915,0.32392,3.2859),(2525,3925,0.40082,3.2808),(2525,3935,0.47771,3.2733),(2525,3945,0.55794,3.2657),(2525,3955,0.64241,3.2582),(2525,3965,0.72688,3.2487),(2525,3975,0.81135,3.2367),(2525,3985,0.8594,3.2247),(2525,3995,0.86804,3.2127),(2525,4005,0.87669,3.2005),(2525,4015,0.88533,3.1882),(2525,4025,0.89524,3.1758),(2525,4035,0.90527,3.1634),(2525,4045,0.91531,3.1508),(2525,4055,0.92551,3.1381),(2525,4065,0.93576,3.1254),(2525,4075,0.94601,3.1125),(2525,4085,0.95591,3.0996),(2525,4095,0.96554,3.0867),(2525,4105,0.97516,3.0736),(2525,4115,0.94911,3.0605),(2525,4125,0.86393,3.0473),(2525,4135,0.77874,3.037),(2525,4145,0.69208,3.0274),(2525,4155,0.59942,3.0178),(2525,4165,0.50676,3.0104),(2525,4175,0.41968,3.0045),(2525,4185,0.60883,2.9986),(2525,4195,0.79798,2.9892),(2525,4205,0.98713,2.9753),(2525,4215,0.99998,2.9613),(2525,4225,0.97966,2.9474),(2525,4235,0.95933,2.9332),(2525,4245,0.90923,2.919),(2525,4255,0.84402,2.905),(2525,4265,0.7788,2.8925),(2525,4275,0.66289,2.88),(2525,4285,0.49319,2.8676),(2525,4295,0.32348,2.863),(2525,4305,0.27916,2.8593),(2525,4315,0.518,2.8557),(2525,4325,0.75683,2.8457),(2525,4335,0.97059,2.8331),(2525,4345,1.0146,2.8206),(2525,4355,1.0586,2.8073),(2525,4365,1.1026,2.7934),(2525,4375,1.1155,2.7795),(2525,4385,1.1268,2.7655),(2525,4395,1.1381,2.751),(2525,4405,1.0013,2.7366),(2525,4415,0.82083,2.7233),(2525,4425,0.64034,2.7152),(2525,4435,0.56686,2.7071),(2525,4445,0.56651,2.6991),(2525,4455,0.56617,2.6917),(2525,4465,0.65284,2.6844),(2525,4475,0.86174,2.6771),(2525,4485,1.0706,2.6638),(2525,4495,1.2326,2.6493),(2525,4505,1.2441,2.6348),(2525,4515,1.2555,2.6202),(2525,4525,1.2643,2.6056),(2525,4535,1.2315,2.591),(2525,4545,1.1986,2.5773),(2525,4555,1.1658,2.5646),(2525,4565,0.88944,2.552),(2525,4575,0.58022,2.5421),(2525,4585,0.27099,2.539),(2525,4595,0.33391,2.5359),(2525,4605,0.55406,2.5315),(2525,4615,0.77422,2.5172),(2525,4625,0.93074,2.5028),(2525,4635,1.0296,2.4884),(2525,4645,1.1285,2.4724),(2525,4655,1.2066,2.4562),(2525,4665,1.2454,2.4401),(2525,4675,1.2842,2.4245),(2525,4685,1.2715,2.4092),(2525,4695,1.0041,2.3939),(2525,4705,0.73684,2.3842),(2525,4715,0.46953,2.3786),(2525,4725,0.61456,2.3731),(2525,4735,0.76371,2.3657),(2525,4745,0.91287,2.3556),(2525,4755,1.0672,2.3455),(2525,4765,1.2228,2.3344),(2525,4775,1.3783,2.3203),(2525,4785,1.4404,2.3061),(2525,4795,1.4483,2.2919),(2525,4805,1.4563,2.2781),(2525,4815,1.3921,2.2643),(2525,4825,1.2416,2.2504),(2525,4835,1.0911,2.2408),(2525,4845,0.93868,2.2319),(2525,4855,0.78129,2.223),(2525,4865,0.62391,2.2167),(2525,4875,0.51554,2.2117),(2525,4885,0.85317,2.2067),(2525,4895,1.1908,2.1972),(2525,4905,1.5284,2.1835),(2525,4915,1.5436,2.1697),(2525,4925,1.531,2.1559),(2525,4935,1.5184,2.1418),(2525,4945,1.4401,2.1277),(2525,4955,1.3391,2.1136),(2525,4965,1.2381,2.0997),(2525,4975,1.0031,2.0857),(2525,4985,0.66479,2.0718),(2525,4995,0.32643,2.07),(2525,5005,0.25569,2.0685),(2525,5015,0.61041,2.0671),(2525,5025,0.96512,2.0587),(2525,5035,1.2714,2.0487),(2525,5045,1.3933,2.0386),(2525,5055,1.5151,2.0269),(2525,5065,1.6335,2.0143),(2525,5075,1.6394,2.0017),(2525,5085,1.6452,1.9892),(2525,5095,1.6511,1.9768),(2525,5105,1.4454,1.9644),(2525,5115,1.2027,1.9535),(2525,5125,0.96013,1.9469),(2525,5135,0.84179,1.9403),(2525,5145,0.78376,1.9338),(2525,5155,0.72573,1.9283),(2525,5165,0.86009,1.9228),(2525,5175,1.1907,1.9174),(2525,5185,1.5213,1.9054),(2525,5195,1.749,1.8927),(2525,5205,1.7551,1.8801),(2525,5215,1.7612,1.8676),(2525,5225,1.7578,1.8551),(2525,5235,1.6961,1.8427),(2525,5245,1.6344,1.8312),(2525,5255,1.5727,1.8205),(2525,5265,1.1081,1.8097),(2525,5275,0.62677,1.8028),(2525,5285,0.14549,1.8022),(2525,5295,0.3938,1.8017),(2525,5305,0.84529,1.7984),(2525,5315,1.2968,1.7834),(2525,5325,1.5338,1.7684),(2525,5335,1.6302,1.7535),(2525,5345,1.7267,1.7397),(2525,5355,1.7884,1.726),(2525,5365,1.8032,1.7123),(2525,5375,1.8181,1.6992),(2525,5385,1.7251,1.6861),(2525,5395,1.304,1.673),(2525,5405,0.88287,1.6662),(2525,5415,0.50809,1.6627),(2525,5425,0.75577,1.6591),(2525,5435,1.0034,1.652),(2525,5445,1.2511,1.6411),(2525,5455,1.4931,1.6302),(2525,5465,1.7344,1.6175),(2525,5475,1.9756,1.6006),(2525,5485,2.052,1.5837),(2525,5495,2.062,1.5669),(2525,5505,2.072,1.5505),(2525,5515,2.0819,1.5342),(2525,5525,2.0919,1.5178),(2525,5535,2.1018,1.5019),(2525,5545,2.1115,1.486),(2525,5555,2.1207,1.4702),(2525,5565,2.1299,1.4546),(2525,5575,2.139,1.4392),(2525,5585,2.1476,1.4238),(2525,5595,2.1561,1.4087),(2525,5605,2.1646,1.3937),(2525,5615,2.1726,1.3787),(2525,5625,2.1805,1.3639),(2525,5635,2.1884,1.3494),(2525,5645,2.1958,1.3348),(2525,5655,2.2031,1.3204),(2525,5665,2.2105,1.3062),(2525,5675,2.2174,1.292),(2525,5685,2.2242,1.2779),(2525,5695,2.231,1.2641),(2525,5705,2.2376,1.2503),(2525,5715,2.2439,1.2365),(2525,5725,2.2502,1.223),(2525,5735,2.2564,1.2095),(2525,5745,2.2622,1.196),(2525,5755,2.268,1.1828),(2525,5765,2.2738,1.1697),(2525,5775,2.2792,1.1565),(2525,5785,2.2847,1.1436),(2525,5795,2.2901,1.1307),(2525,5805,2.2951,1.1179),(2525,5815,2.3001,1.1052),(2525,5825,2.3051,1.0926),(2525,5835,2.3098,1.0801),(2525,5845,2.3145,1.0676),(2525,5855,2.3191,1.0553),(2525,5865,2.3236,1.043),(2525,5875,2.3279,1.0308),(2525,5885,2.3322,1.0188),(2525,5895,2.3364,1.0067),(2525,5905,2.3404,0.99474),(2525,5915,2.3443,0.98295),(2525,5925,2.3483,0.9712),(2525,5935,2.352,0.95946),(2525,5945,2.3557,0.94787),(2525,5955,2.3593,0.93636),(2525,5965,2.3629,0.92486),(2525,5975,2.3664,0.91345),(2525,5985,2.3699,0.90217),(2525,5995,1.8123,0.89089),(2525,6005,1.1643,0.88227),(2525,6015,0.51638,0.88078),(2525,6025,0.60053,0.87928),(2525,6035,1.0242,0.87679),(2525,6045,1.4479,0.86481),(2525,6055,1.7459,0.85283),(2525,6065,1.9205,0.84085),(2525,6075,2.0952,0.82535),(2525,6085,2.2144,0.80952),(2525,6095,2.2191,0.7937),(2525,6105,2.2239,0.77785),(2525,6115,2.2286,0.762),(2525,6125,2.2331,0.74614),(2525,6135,2.2375,0.73035),(2525,6145,2.242,0.7146),(2525,6155,2.2462,0.69886),(2525,6165,2.2503,0.68318),(2525,6175,2.2545,0.6676),(2525,6185,2.2584,0.65202),(2525,6195,2.2623,0.63645),(2525,6205,2.2661,0.62091),(2525,6215,2.2698,0.60536),(2525,6225,2.2733,0.58982),(2525,6235,2.2769,0.57432),(2525,6245,2.2803,0.55883),(2525,6255,2.2835,0.54334),(2525,6265,2.2868,0.52792),(2525,6275,2.2899,0.51251),(2525,6285,2.2929,0.49711),(2525,6295,2.2958,0.48175),(2525,6305,2.2987,0.46642),(2525,6315,2.3014,0.45108),(2525,6325,2.304,0.43575),(2525,6335,2.3066,0.42041),(2525,6345,2.309,0.40508),(2525,6355,2.3113,0.38977),(2525,6365,2.3137,0.3745),(2525,6375,2.3158,0.35923),(2525,6385,2.3179,0.34397),(2525,6395,2.3199,0.32879),(2525,6405,2.3218,0.31361),(2525,6415,2.3236,0.29843),(2525,6425,2.3253,0.2833),(2525,6435,2.327,0.26817),(2525,6445,2.3285,0.25304),(2525,6455,2.33,0.2379),(2525,6465,2.3314,0.22277),(2525,6475,2.3326,0.20763),(2525,6485,2.3338,0.19249),(2525,6495,2.3351,0.17736),(2525,6505,2.336,0.16222),(2525,6515,2.3369,0.14711),(2525,6525,2.3378,0.13203),(2525,6535,2.3385,0.11696),(2525,6545,2.3392,0.10189),(2525,6555,2.3398,0.08684),(2525,6565,2.3402,0.071789),(2525,6575,2.3406,0.05674),(2525,6585,2.3409,0.041732),(2525,6595,1.9911,0.026724),(2525,6605,1.2549,0.011716),(2525,6615,0.51865,0.009961),(2525,6625,0.001083,0.009908),(2525,6635,0.001083,0.009855),(2525,6645,0.001083,0.009832),(2525,6655,0.001083,0.009821),(2525,6665,0.001083,0.009809),(2525,6675,0.001084,0.009798),(2525,6685,0.001084,0.009787),(2525,6695,0.001084,0.009776),(2525,6705,0.001084,0.009765),(2525,6715,0.001084,0.009754),(2525,6725,0.001084,0.009743),(2525,6735,0.001084,0.009732),(2525,6745,0.001085,0.009721),(2525,6755,0.001085,0.009711),(2525,6765,0.001085,0.0097),(2525,6775,0.001085,0.009689),(2525,6785,0.001085,0.009678),(2525,6795,0.001085,0.009668),(2525,6805,0.001086,0.009657),(2525,6815,0.001086,0.009647),(2525,6825,0.001086,0.009636),(2525,6835,0.001086,0.009626),(2525,6845,0.001086,0.009615),(2525,6855,0.001086,0.009605),(2525,6865,0.001086,0.009595),(2525,6875,0.001086,0.009584),(2525,6885,0.001087,0.009574),(2525,6895,0.001087,0.009564),(2525,6905,0.001087,0.009553),(2525,6915,0.001087,0.009543),(2525,6925,0.001087,0.009533),(2525,6935,0.001087,0.009523),(2525,6945,0.001087,0.009513),(2525,6955,0.001087,0.009503),(2525,6965,0.001087,0.009493),(2525,6975,0.001088,0.009483),(2525,6985,0.001088,0.009473),(2535,5,3.7e-05,3.6858),(2535,15,0.000111,3.6858),(2535,25,0.000185,3.6858),(2535,35,0.000259,3.6858),(2535,45,0.000333,3.6858),(2535,55,0.000407,3.6858),(2535,65,0.000481,3.6858),(2535,75,0.000556,3.6858),(2535,85,0.00063,3.6858),(2535,95,0.000704,3.6858),(2535,105,0.000779,3.6858),(2535,115,0.000853,3.6858),(2535,125,0.000928,3.6858),(2535,135,0.001003,3.6859),(2535,145,0.001078,3.6859),(2535,155,0.001153,3.6859),(2535,165,0.001228,3.6859),(2535,175,0.001303,3.6859),(2535,185,0.001379,3.6859),(2535,195,0.001455,3.6859),(2535,205,0.001531,3.6859),(2535,215,0.001607,3.6859),(2535,225,0.001684,3.686),(2535,235,0.00176,3.686),(2535,245,0.001837,3.686),(2535,255,0.001914,3.686),(2535,265,0.001992,3.686),(2535,275,0.00207,3.686),(2535,285,0.002148,3.686),(2535,295,0.002227,3.6861),(2535,305,0.002305,3.6861),(2535,315,0.002385,3.6861),(2535,325,0.002464,3.6861),(2535,335,0.002543,3.6861),(2535,345,0.002624,3.6862),(2535,355,0.002704,3.6862),(2535,365,0.002785,3.6862),(2535,375,0.002866,3.6862),(2535,385,0.002948,3.6863),(2535,395,0.00303,3.6863),(2535,405,0.003113,3.6863),(2535,415,0.003195,3.6863),(2535,425,0.003279,3.6864),(2535,435,0.003364,3.6864),(2535,445,0.003448,3.6864),(2535,455,0.003533,3.6864),(2535,465,0.003619,3.6865),(2535,475,0.003706,3.6865),(2535,485,0.003792,3.6865),(2535,495,0.003879,3.6866),(2535,505,0.003968,3.6866),(2535,515,0.004057,3.6866),(2535,525,0.004146,3.6867),(2535,535,0.004235,3.6867),(2535,545,0.004327,3.6867),(2535,555,0.004419,3.6868),(2535,565,0.004511,3.6868),(2535,575,0.004603,3.6869),(2535,585,0.004698,3.6869),(2535,595,0.004793,3.6869),(2535,605,0.004888,3.687),(2535,615,0.004983,3.687),(2535,625,0.005081,3.6871),(2535,635,0.00518,3.6871),(2535,645,0.005278,3.6872),(2535,655,0.005377,3.6872),(2535,665,0.00548,3.6873),(2535,675,0.005582,3.6873),(2535,685,0.005684,3.6874),(2535,695,0.005787,3.6874),(2535,705,0.005894,3.6875),(2535,715,0.006,3.6875),(2535,725,0.006106,3.6876),(2535,735,0.006214,3.6876),(2535,745,0.006325,3.6877),(2535,755,0.006436,3.6878),(2535,765,0.006547,3.6878),(2535,775,0.006659,3.6879),(2535,785,0.006775,3.6879),(2535,795,0.006891,3.688),(2535,805,0.007007,3.6881),(2535,815,0.007125,3.6881),(2535,825,0.007247,3.6882),(2535,835,0.007369,3.6883),(2535,845,0.00749,3.6883),(2535,855,0.007614,3.6884),(2535,865,0.007742,3.6885),(2535,875,0.00787,3.6886),(2535,885,0.007998,3.6886),(2535,895,0.008129,3.6887),(2535,905,0.008264,3.6888),(2535,915,0.008398,3.6889),(2535,925,0.008533,3.6889),(2535,935,0.008671,3.689),(2535,945,0.008813,3.6891),(2535,955,0.008955,3.6892),(2535,965,0.009097,3.6893),(2535,975,0.009243,3.6894),(2535,985,0.009394,3.6894),(2535,995,0.009544,3.6895),(2535,1005,0.009694,3.6896),(2535,1015,0.009849,3.6897),(2535,1025,0.010008,3.6898),(2535,1035,0.010167,3.6899),(2535,1045,0.010326,3.69),(2535,1055,0.01049,3.6901),(2535,1065,0.010659,3.6902),(2535,1075,0.010827,3.6903),(2535,1085,0.010996,3.6904),(2535,1095,0.011171,3.6905),(2535,1105,0.01135,3.6906),(2535,1115,0.011529,3.6907),(2535,1125,0.011708,3.6908),(2535,1135,0.011894,3.6909),(2535,1145,0.012085,3.691),(2535,1155,0.012275,3.6912),(2535,1165,0.012466,3.6913),(2535,1175,0.012664,3.6914),(2535,1185,0.012867,3.6915),(2535,1195,0.01307,3.6916),(2535,1205,0.013273,3.6917),(2535,1215,0.013485,3.6919),(2535,1225,0.013702,3.692),(2535,1235,0.013918,3.6921),(2535,1245,0.014134,3.6922),(2535,1255,0.014361,3.6924),(2535,1265,0.014592,3.6925),(2535,1275,0.014823,3.6926),(2535,1285,0.015053,3.6928),(2535,1295,0.015296,3.6929),(2535,1305,0.015543,3.693),(2535,1315,0.015789,3.6932),(2535,1325,0.016036,3.6933),(2535,1335,0.016296,3.6935),(2535,1345,0.01656,3.6936),(2535,1355,0.016823,3.6937),(2535,1365,0.017087,3.6939),(2535,1375,0.017366,3.694),(2535,1385,0.017648,3.6942),(2535,1395,0.01793,3.6943),(2535,1405,0.018212,3.6945),(2535,1415,0.018512,3.6946),(2535,1425,0.018813,3.6948),(2535,1435,0.019115,3.6949),(2535,1445,0.019416,3.6951),(2535,1455,0.019738,3.6952),(2535,1465,0.020061,3.6954),(2535,1475,0.020384,3.6956),(2535,1485,0.020707,3.6957),(2535,1495,0.021052,3.6959),(2535,1505,0.021398,3.6961),(2535,1515,0.021744,3.6962),(2535,1525,0.022091,3.6964),(2535,1535,0.022461,3.6965),(2535,1545,0.022832,3.6967),(2535,1555,0.023202,3.6969),(2535,1565,0.023575,3.6971),(2535,1575,0.023972,3.6972),(2535,1585,0.024369,3.6974),(2535,1595,0.024766,3.6976),(2535,1605,0.025166,3.6977),(2535,1615,0.025591,3.6979),(2535,1625,0.026017,3.6981),(2535,1635,0.026442,3.6983),(2535,1645,0.026872,3.6984),(2535,1655,0.027328,3.6986),(2535,1665,0.027784,3.6988),(2535,1675,0.02824,3.699),(2535,1685,0.028702,3.6991),(2535,1695,0.029191,3.6993),(2535,1705,0.02968,3.6995),(2535,1715,0.030168,3.6997),(2535,1725,0.030665,3.6998),(2535,1735,0.031188,3.7),(2535,1745,0.031711,3.7002),(2535,1755,0.032235,3.7004),(2535,1765,0.032768,3.7005),(2535,1775,0.033329,3.7007),(2535,1785,0.033889,3.7009),(2535,1795,0.03445,3.7011),(2535,1805,0.035022,3.7012),(2535,1815,0.035622,3.7014),(2535,1825,0.036223,3.7016),(2535,1835,0.036823,3.7017),(2535,1845,0.037438,3.7019),(2535,1855,0.03808,3.7021),(2535,1865,0.038723,3.7022),(2535,1875,0.039365,3.7024),(2535,1885,0.040024,3.7026),(2535,1895,0.040712,3.7027),(2535,1905,0.041399,3.7029),(2535,1915,0.042086,3.703),(2535,1925,0.042793,3.7032),(2535,1935,0.043528,3.7033),(2535,1945,0.044262,3.7035),(2535,1955,0.044997,3.7036),(2535,1965,0.045755,3.7038),(2535,1975,0.046539,3.7039),(2535,1985,0.047324,3.704),(2535,1995,0.048109,3.7041),(2535,2005,0.04892,3.7043),(2535,2015,0.049757,3.7044),(2535,2025,0.050595,3.7045),(2535,2035,0.051432,3.7046),(2535,2045,0.052299,3.7047),(2535,2055,0.053192,3.7048),(2535,2065,0.054085,3.7049),(2535,2075,0.054978,3.705),(2535,2085,0.055905,3.7051),(2535,2095,0.056856,3.7052),(2535,2105,0.057808,3.7052),(2535,2115,0.058759,3.7053),(2535,2125,0.059748,3.7053),(2535,2135,0.06076,3.7054),(2535,2145,0.061772,3.7054),(2535,2155,0.062785,3.7054),(2535,2165,0.063838,3.7054),(2535,2175,0.064914,3.7055),(2535,2185,0.065989,3.7055),(2535,2195,0.067064,3.7054),(2535,2205,0.068185,3.7054),(2535,2215,0.069325,3.7054),(2535,2225,0.070466,3.7054),(2535,2235,0.071606,3.7053),(2535,2245,0.072796,3.7052),(2535,2255,0.074004,3.7052),(2535,2265,0.075212,3.7051),(2535,2275,0.076419,3.705),(2535,2285,0.07768,3.7049),(2535,2295,0.078957,3.7047),(2535,2305,0.080233,3.7046),(2535,2315,0.08151,3.7044),(2535,2325,0.082843,3.7042),(2535,2335,0.08419,3.7041),(2535,2345,0.085536,3.7039),(2535,2355,0.086882,3.7036),(2535,2365,0.088289,3.7034),(2535,2375,0.089706,3.7031),(2535,2385,0.091123,3.7028),(2535,2395,0.09254,3.7025),(2535,2405,0.09402,3.7022),(2535,2415,0.095508,3.7019),(2535,2425,0.096995,3.7015),(2535,2435,0.098483,3.7011),(2535,2445,0.10004,3.7008),(2535,2455,0.10159,3.7004),(2535,2465,0.10315,3.6999),(2535,2475,0.10471,3.6994),(2535,2485,0.10633,3.6989),(2535,2495,0.10796,3.6984),(2535,2505,0.10958,3.6979),(2535,2515,0.11121,3.6973),(2535,2525,0.1129,3.6967),(2535,2535,0.11459,3.6961),(2535,2545,0.11628,3.6954),(2535,2555,0.11798,3.6947),(2535,2565,0.11973,3.694),(2535,2575,0.12149,3.6933),(2535,2585,0.12324,3.6925),(2535,2595,0.125,3.6917),(2535,2605,0.12681,3.6909),(2535,2615,0.12862,3.6901),(2535,2625,0.13043,3.6891),(2535,2635,0.13225,3.6882),(2535,2645,0.13411,3.6872),(2535,2655,0.13598,3.6863),(2535,2665,0.13784,3.6852),(2535,2675,0.13971,3.6841),(2535,2685,0.14162,3.683),(2535,2695,0.14353,3.6819),(2535,2705,0.14544,3.6807),(2535,2715,0.14736,3.6794),(2535,2725,0.1493,3.6782),(2535,2735,0.15125,3.6769),(2535,2745,0.1532,3.6756),(2535,2755,0.15515,3.6742),(2535,2765,0.15712,3.6728),(2535,2775,0.1591,3.6714),(2535,2785,0.16107,3.6698),(2535,2795,0.16305,3.6682),(2535,2805,0.16504,3.6667),(2535,2815,0.16703,3.6651),(2535,2825,0.16903,3.6633),(2535,2835,0.17102,3.6616),(2535,2845,0.17302,3.6599),(2535,2855,0.17501,3.6581),(2535,2865,0.17701,3.6562),(2535,2875,0.179,3.6543),(2535,2885,0.18099,3.6524),(2535,2895,0.18298,3.6504),(2535,2905,0.18497,3.6483),(2535,2915,0.18696,3.6462),(2535,2925,0.18892,3.6441),(2535,2935,0.19089,3.642),(2535,2945,0.19286,3.6397),(2535,2955,0.19481,3.6374),(2535,2965,0.19675,3.6351),(2535,2975,0.19868,3.6327),(2535,2985,0.20061,3.6303),(2535,2995,0.20252,3.6278),(2535,3005,0.2044,3.6253),(2535,3015,0.20628,3.6228),(2535,3025,0.20816,3.6201),(2535,3035,0.21001,3.6174),(2535,3045,0.21182,3.6148),(2535,3055,0.21363,3.612),(2535,3065,0.21545,3.6092),(2535,3075,0.21721,3.6063),(2535,3085,0.21894,3.6035),(2535,3095,0.22067,3.6005),(2535,3105,0.2224,3.5975),(2535,3115,0.22407,3.5945),(2535,3125,0.2257,3.5914),(2535,3135,0.22733,3.5883),(2535,3145,0.22896,3.5851),(2535,3155,0.23051,3.5819),(2535,3165,0.23202,3.5786),(2535,3175,0.23353,3.5753),(2535,3185,0.23504,3.5719),(2535,3195,0.23646,3.5686),(2535,3205,0.23784,3.5652),(2535,3215,0.23922,3.5617),(2535,3225,0.2406,3.5581),(2535,3235,0.24187,3.5546),(2535,3245,0.2431,3.551),(2535,3255,0.24433,3.5474),(2535,3265,0.24556,3.5437),(2535,3275,0.24666,3.54),(2535,3285,0.24773,3.5363),(2535,3295,0.2488,3.5325),(2535,3305,0.24986,3.5287),(2535,3315,0.25079,3.5249),(2535,3325,0.25168,3.5211),(2535,3335,0.25257,3.5171),(2535,3345,0.25346,3.5132),(2535,3355,0.25419,3.5093),(2535,3365,0.25489,3.5053),(2535,3375,0.2556,3.5013),(2535,3385,0.2563,3.4973),(2535,3395,0.25683,3.4932),(2535,3405,0.25733,3.4892),(2535,3415,0.25784,3.4851),(2535,3425,0.25834,3.481),(2535,3435,0.25866,3.4768),(2535,3445,0.25896,3.4727),(2535,3455,0.25926,3.4686),(2535,3465,0.25956,3.4644),(2535,3475,0.25965,3.4602),(2535,3485,0.25974,3.456),(2535,3495,0.25983,3.4518),(2535,3505,0.25992,3.4476),(2535,3515,0.25979,3.4434),(2535,3525,0.25966,3.4392),(2535,3535,0.25954,3.435),(2535,3545,0.2594,3.4307),(2535,3555,0.25906,3.4265),(2535,3565,0.25872,3.4223),(2535,3575,0.25838,3.418),(2535,3585,0.25802,3.4138),(2535,3595,0.25746,3.4096),(2535,3605,0.25691,3.4054),(2535,3615,0.25635,3.4012),(2535,3625,0.25577,3.397),(2535,3635,0.25501,3.3928),(2535,3645,0.25424,3.3886),(2535,3655,0.25347,3.3844),(2535,3665,0.25267,3.3803),(2535,3675,0.2517,3.3762),(2535,3685,0.25073,3.372),(2535,3695,0.24976,3.3679),(2535,3705,0.24875,3.3639),(2535,3715,0.24759,3.3598),(2535,3725,0.24642,3.3557),(2535,3735,0.24525,3.3517),(2535,3745,0.24404,3.3477),(2535,3755,0.24268,3.3437),(2535,3765,0.24132,3.3397),(2535,3775,0.23997,3.3358),(2535,3785,0.23856,3.3319),(2535,3795,0.23702,3.328),(2535,3805,0.23548,3.3242),(2535,3815,0.23395,3.3204),(2535,3825,0.23236,3.3166),(2535,3835,0.23065,3.3128),(2535,3845,0.22894,3.3091),(2535,3855,0.22724,3.3054),(2535,3865,0.22547,3.3018),(2535,3875,0.2236,3.2981),(2535,3885,0.22174,3.2945),(2535,3895,0.21987,3.291),(2535,3905,0.24986,3.2875),(2535,3915,0.32744,3.284),(2535,3925,0.40503,3.2787),(2535,3935,0.48261,3.2712),(2535,3945,0.56357,3.2636),(2535,3955,0.64881,3.256),(2535,3965,0.73405,3.2464),(2535,3975,0.81929,3.2343),(2535,3985,0.86777,3.2222),(2535,3995,0.87647,3.2101),(2535,4005,0.88517,3.1979),(2535,4015,0.89387,3.1855),(2535,4025,0.90383,3.173),(2535,4035,0.91392,3.1605),(2535,4045,0.924,3.1478),(2535,4055,0.93424,3.1351),(2535,4065,0.94453,3.1223),(2535,4075,0.95482,3.1093),(2535,4085,0.96475,3.0963),(2535,4095,0.9744,3.0833),(2535,4105,0.98404,3.0702),(2535,4115,0.95773,3.057),(2535,4125,0.87179,3.0438),(2535,4135,0.78586,3.0334),(2535,4145,0.69844,3.0238),(2535,4155,0.60504,3.0141),(2535,4165,0.51164,3.0067),(2535,4175,0.42386,3.0007),(2535,4185,0.61471,2.9948),(2535,4195,0.80555,2.9854),(2535,4205,0.99639,2.9714),(2535,4215,1.0096,2.9574),(2535,4225,0.98944,2.9433),(2535,4235,0.96925,2.9291),(2535,4245,0.91902,2.9148),(2535,4255,0.85355,2.9007),(2535,4265,0.78807,2.8881),(2535,4275,0.67104,2.8755),(2535,4285,0.4993,2.8629),(2535,4295,0.32757,2.8583),(2535,4305,0.28237,2.8546),(2535,4315,0.52292,2.8509),(2535,4325,0.76347,2.8409),(2535,4335,0.97876,2.8283),(2535,4345,1.023,2.8158),(2535,4355,1.0673,2.8025),(2535,4365,1.1116,2.7885),(2535,4375,1.1247,2.7745),(2535,4385,1.1361,2.7602),(2535,4395,1.1476,2.7456),(2535,4405,1.0099,2.731),(2535,4415,0.82816,2.7176),(2535,4425,0.64647,2.7093),(2535,4435,0.57236,2.7011),(2535,4445,0.57176,2.6929),(2535,4455,0.57117,2.6855),(2535,4465,0.65826,2.678),(2535,4475,0.86853,2.6706),(2535,4485,1.0788,2.6572),(2535,4495,1.2418,2.6425),(2535,4505,1.2532,2.6278),(2535,4515,1.2646,2.6131),(2535,4525,1.2734,2.5984),(2535,4535,1.2401,2.5837),(2535,4545,1.2067,2.5699),(2535,4555,1.1734,2.5573),(2535,4565,0.89551,2.5447),(2535,4575,0.58464,2.5349),(2535,4585,0.27378,2.5317),(2535,4595,0.33802,2.5286),(2535,4605,0.56075,2.5242),(2535,4615,0.78348,2.5096),(2535,4625,0.94129,2.4951),(2535,4635,1.0403,2.4805),(2535,4645,1.1393,2.4644),(2535,4655,1.2173,2.4482),(2535,4665,1.2556,2.432),(2535,4675,1.294,2.4164),(2535,4685,1.2806,2.4011),(2535,4695,1.0114,2.3858),(2535,4705,0.7422,2.3762),(2535,4715,0.473,2.3706),(2535,4725,0.6188,2.3651),(2535,4735,0.76876,2.3577),(2535,4745,0.91872,2.3476),(2535,4755,1.0737,2.3374),(2535,4765,1.2298,2.3263),(2535,4775,1.386,2.3121),(2535,4785,1.4482,2.2979),(2535,4795,1.456,2.2838),(2535,4805,1.4639,2.2699),(2535,4815,1.3992,2.2561),(2535,4825,1.2478,2.2422),(2535,4835,1.0964,2.2326),(2535,4845,0.94317,2.2237),(2535,4855,0.78523,2.2148),(2535,4865,0.6273,2.2086),(2535,4875,0.51856,2.2035),(2535,4885,0.85747,2.1985),(2535,4895,1.1964,2.1891),(2535,4905,1.5353,2.1753),(2535,4915,1.5507,2.1616),(2535,4925,1.5382,2.1478),(2535,4935,1.5258,2.1337),(2535,4945,1.4479,2.1196),(2535,4955,1.3472,2.1055),(2535,4965,1.2466,2.0915),(2535,4975,1.0104,2.0775),(2535,4985,0.66964,2.0635),(2535,4995,0.32886,2.0617),(2535,5005,0.25708,2.0602),(2535,5015,0.61297,2.0588),(2535,5025,0.96885,2.0504),(2535,5035,1.2761,2.0404),(2535,5045,1.3983,2.0303),(2535,5055,1.5204,2.0186),(2535,5065,1.6391,2.006),(2535,5075,1.6448,1.9934),(2535,5085,1.6506,1.9809),(2535,5095,1.6563,1.9684),(2535,5105,1.45,1.956),(2535,5115,1.2066,1.9451),(2535,5125,0.9632,1.9385),(2535,5135,0.84452,1.9319),(2535,5145,0.78636,1.9253),(2535,5155,0.72821,1.9199),(2535,5165,0.86292,1.9144),(2535,5175,1.1943,1.909),(2535,5185,1.5258,1.897),(2535,5195,1.7541,1.8844),(2535,5205,1.7601,1.8717),(2535,5215,1.766,1.8592),(2535,5225,1.7626,1.8468),(2535,5235,1.7006,1.8343),(2535,5245,1.6387,1.8228),(2535,5255,1.5767,1.8121),(2535,5265,1.1109,1.8014),(2535,5275,0.62851,1.7944),(2535,5285,0.1461,1.7939),(2535,5295,0.39615,1.7933),(2535,5305,0.85018,1.79),(2535,5315,1.3042,1.775),(2535,5325,1.5418,1.76),(2535,5335,1.6374,1.745),(2535,5345,1.7331,1.7313),(2535,5355,1.7942,1.7176),(2535,5365,1.8088,1.7039),(2535,5375,1.8235,1.6907),(2535,5385,1.73,1.6777),(2535,5395,1.3077,1.6646),(2535,5405,0.88539,1.6578),(2535,5415,0.5096,1.6543),(2535,5425,0.7585,1.6507),(2535,5435,1.0074,1.6437),(2535,5445,1.2563,1.6328),(2535,5455,1.4991,1.622),(2535,5465,1.7412,1.6093),(2535,5475,1.9833,1.5925),(2535,5485,2.0598,1.5757),(2535,5495,2.0696,1.559),(2535,5505,2.0794,1.5427),(2535,5515,2.0891,1.5264),(2535,5525,2.0989,1.5102),(2535,5535,2.1086,1.4944),(2535,5545,2.1181,1.4786),(2535,5555,2.1271,1.4628),(2535,5565,2.1362,1.4474),(2535,5575,2.1451,1.4321),(2535,5585,2.1535,1.4167),(2535,5595,2.1619,1.4017),(2535,5605,2.1703,1.3868),(2535,5615,2.178,1.3719),(2535,5625,2.1858,1.3572),(2535,5635,2.1935,1.3427),(2535,5645,2.2008,1.3282),(2535,5655,2.208,1.3138),(2535,5665,2.2152,1.2998),(2535,5675,2.222,1.2857),(2535,5685,2.2287,1.2716),(2535,5695,2.2353,1.2579),(2535,5705,2.2418,1.2442),(2535,5715,2.2479,1.2305),(2535,5725,2.2541,1.217),(2535,5735,2.2601,1.2036),(2535,5745,2.2659,1.1902),(2535,5755,2.2716,1.1771),(2535,5765,2.2773,1.164),(2535,5775,2.2826,1.151),(2535,5785,2.2878,1.1381),(2535,5795,2.2931,1.1253),(2535,5805,2.2981,1.1126),(2535,5815,2.303,1.0999),(2535,5825,2.3079,1.0874),(2535,5835,2.3125,1.075),(2535,5845,2.3171,1.0626),(2535,5855,2.3216,1.0503),(2535,5865,2.3259,1.0381),(2535,5875,2.3301,1.0259),(2535,5885,2.3344,1.014),(2535,5895,2.3384,1.0021),(2535,5905,2.3423,0.99014),(2535,5915,2.3462,0.97842),(2535,5925,2.3501,0.96675),(2535,5935,2.3537,0.95509),(2535,5945,2.3573,0.94357),(2535,5955,2.3609,0.93213),(2535,5965,2.3643,0.9207),(2535,5975,2.3678,0.90937),(2535,5985,2.3712,0.89816),(2535,5995,1.8133,0.88695),(2535,6005,1.165,0.87838),(2535,6015,0.51669,0.8769),(2535,6025,0.60183,0.87541),(2535,6035,1.0271,0.87294),(2535,6045,1.4524,0.86101),(2535,6055,1.7514,0.84908),(2535,6065,1.9266,0.83715),(2535,6075,2.1018,0.8217),(2535,6085,2.2213,0.80593),(2535,6095,2.226,0.79016),(2535,6105,2.2307,0.77437),(2535,6115,2.2354,0.75857),(2535,6125,2.2398,0.74277),(2535,6135,2.2443,0.72704),(2535,6145,2.2487,0.71136),(2535,6155,2.2528,0.69568),(2535,6165,2.257,0.68007),(2535,6175,2.2611,0.66456),(2535,6185,2.265,0.64905),(2535,6195,2.2688,0.63354),(2535,6205,2.2726,0.61807),(2535,6215,2.2762,0.60259),(2535,6225,2.2797,0.58712),(2535,6235,2.2832,0.57169),(2535,6245,2.2866,0.55627),(2535,6255,2.2898,0.54084),(2535,6265,2.293,0.52549),(2535,6275,2.2962,0.51015),(2535,6285,2.2991,0.49482),(2535,6295,2.302,0.47952),(2535,6305,2.3049,0.46426),(2535,6315,2.3075,0.44899),(2535,6325,2.3101,0.43372),(2535,6335,2.3127,0.41846),(2535,6345,2.3151,0.4032),(2535,6355,2.3174,0.38795),(2535,6365,2.3197,0.37275),(2535,6375,2.3218,0.35755),(2535,6385,2.3238,0.34237),(2535,6395,2.3259,0.32726),(2535,6405,2.3277,0.31215),(2535,6415,2.3295,0.29704),(2535,6425,2.3312,0.28198),(2535,6435,2.3329,0.26693),(2535,6445,2.3343,0.25188),(2535,6455,2.3358,0.23682),(2535,6465,2.3372,0.22176),(2535,6475,2.3384,0.2067),(2535,6485,2.3396,0.19163),(2535,6495,2.3408,0.17657),(2535,6505,2.3418,0.1615),(2535,6515,2.3427,0.14646),(2535,6525,2.3436,0.13145),(2535,6535,2.3443,0.11645),(2535,6545,2.3449,0.10145),(2535,6555,2.3456,0.086471),(2535,6565,2.346,0.07149),(2535,6575,2.3463,0.056512),(2535,6585,2.3466,0.041578),(2535,6595,1.996,0.026644),(2535,6605,1.258,0.01171),(2535,6615,0.51992,0.009963),(2535,6625,0.00109,0.009909),(2535,6635,0.00109,0.009856),(2535,6645,0.00109,0.009832),(2535,6655,0.00109,0.009821),(2535,6665,0.00109,0.00981),(2535,6675,0.00109,0.009798),(2535,6685,0.00109,0.009787),(2535,6695,0.001091,0.009776),(2535,6705,0.001091,0.009765),(2535,6715,0.001091,0.009754),(2535,6725,0.001091,0.009743),(2535,6735,0.001091,0.009732),(2535,6745,0.001091,0.009722),(2535,6755,0.001091,0.009711),(2535,6765,0.001091,0.0097),(2535,6775,0.001091,0.009689),(2535,6785,0.001092,0.009679),(2535,6795,0.001092,0.009668),(2535,6805,0.001092,0.009657),(2535,6815,0.001092,0.009647),(2535,6825,0.001092,0.009636),(2535,6835,0.001092,0.009626),(2535,6845,0.001092,0.009615),(2535,6855,0.001092,0.009605),(2535,6865,0.001092,0.009595),(2535,6875,0.001092,0.009584),(2535,6885,0.001092,0.009574),(2535,6895,0.001093,0.009564),(2535,6905,0.001093,0.009554),(2535,6915,0.001093,0.009543),(2535,6925,0.001093,0.009533),(2535,6935,0.001093,0.009523),(2535,6945,0.001093,0.009513),(2535,6955,0.001093,0.009503),(2535,6965,0.001093,0.009493),(2535,6975,0.001093,0.009483),(2535,6985,0.001093,0.009473),(2545,5,3.7e-05,3.6859),(2545,15,0.00011,3.6859),(2545,25,0.000183,3.6859),(2545,35,0.000256,3.6859),(2545,45,0.000329,3.6859),(2545,55,0.000402,3.6859),(2545,65,0.000475,3.6859),(2545,75,0.000549,3.6859),(2545,85,0.000622,3.6859),(2545,95,0.000695,3.6859),(2545,105,0.000769,3.6859),(2545,115,0.000843,3.6859),(2545,125,0.000916,3.6859),(2545,135,0.00099,3.6859),(2545,145,0.001064,3.6859),(2545,155,0.001138,3.6859),(2545,165,0.001213,3.686),(2545,175,0.001287,3.686),(2545,185,0.001362,3.686),(2545,195,0.001437,3.686),(2545,205,0.001512,3.686),(2545,215,0.001587,3.686),(2545,225,0.001662,3.686),(2545,235,0.001738,3.686),(2545,245,0.001814,3.6861),(2545,255,0.00189,3.6861),(2545,265,0.001967,3.6861),(2545,275,0.002044,3.6861),(2545,285,0.002121,3.6861),(2545,295,0.002198,3.6861),(2545,305,0.002276,3.6862),(2545,315,0.002354,3.6862),(2545,325,0.002432,3.6862),(2545,335,0.002511,3.6862),(2545,345,0.00259,3.6862),(2545,355,0.00267,3.6863),(2545,365,0.002749,3.6863),(2545,375,0.002829,3.6863),(2545,385,0.00291,3.6863),(2545,395,0.002991,3.6864),(2545,405,0.003072,3.6864),(2545,415,0.003154,3.6864),(2545,425,0.003237,3.6864),(2545,435,0.00332,3.6865),(2545,445,0.003403,3.6865),(2545,455,0.003486,3.6865),(2545,465,0.003572,3.6866),(2545,475,0.003657,3.6866),(2545,485,0.003743,3.6866),(2545,495,0.003828,3.6867),(2545,505,0.003916,3.6867),(2545,515,0.004004,3.6867),(2545,525,0.004092,3.6868),(2545,535,0.00418,3.6868),(2545,545,0.00427,3.6868),(2545,555,0.00436,3.6869),(2545,565,0.004451,3.6869),(2545,575,0.004542,3.687),(2545,585,0.004635,3.687),(2545,595,0.004729,3.687),(2545,605,0.004822,3.6871),(2545,615,0.004916,3.6871),(2545,625,0.005013,3.6872),(2545,635,0.00511,3.6872),(2545,645,0.005207,3.6873),(2545,655,0.005305,3.6873),(2545,665,0.005405,3.6874),(2545,675,0.005506,3.6874),(2545,685,0.005607,3.6875),(2545,695,0.005709,3.6875),(2545,705,0.005813,3.6876),(2545,715,0.005918,3.6876),(2545,725,0.006023,3.6877),(2545,735,0.006129,3.6878),(2545,745,0.006238,3.6878),(2545,755,0.006348,3.6879),(2545,765,0.006457,3.6879),(2545,775,0.006568,3.688),(2545,785,0.006682,3.6881),(2545,795,0.006796,3.6881),(2545,805,0.006911,3.6882),(2545,815,0.007027,3.6883),(2545,825,0.007147,3.6883),(2545,835,0.007267,3.6884),(2545,845,0.007387,3.6885),(2545,855,0.007509,3.6885),(2545,865,0.007635,3.6886),(2545,875,0.007761,3.6887),(2545,885,0.007888,3.6888),(2545,895,0.008016,3.6888),(2545,905,0.008149,3.6889),(2545,915,0.008282,3.689),(2545,925,0.008415,3.6891),(2545,935,0.008551,3.6892),(2545,945,0.008691,3.6892),(2545,955,0.008831,3.6893),(2545,965,0.008971,3.6894),(2545,975,0.009115,3.6895),(2545,985,0.009263,3.6896),(2545,995,0.009411,3.6897),(2545,1005,0.00956,3.6898),(2545,1015,0.009712,3.6899),(2545,1025,0.009869,3.69),(2545,1035,0.010026,3.6901),(2545,1045,0.010183,3.6902),(2545,1055,0.010345,3.6903),(2545,1065,0.010511,3.6904),(2545,1075,0.010678,3.6905),(2545,1085,0.010844,3.6906),(2545,1095,0.011017,3.6907),(2545,1105,0.011193,3.6908),(2545,1115,0.01137,3.6909),(2545,1125,0.011547,3.691),(2545,1135,0.011731,3.6911),(2545,1145,0.011919,3.6912),(2545,1155,0.012107,3.6914),(2545,1165,0.012295,3.6915),(2545,1175,0.012492,3.6916),(2545,1185,0.012692,3.6917),(2545,1195,0.012893,3.6918),(2545,1205,0.013093,3.692),(2545,1215,0.013303,3.6921),(2545,1225,0.013517,3.6922),(2545,1235,0.013731,3.6923),(2545,1245,0.013944,3.6925),(2545,1255,0.014169,3.6926),(2545,1265,0.014397,3.6927),(2545,1275,0.014625,3.6929),(2545,1285,0.014854,3.693),(2545,1295,0.015094,3.6931),(2545,1305,0.015338,3.6933),(2545,1315,0.015582,3.6934),(2545,1325,0.015825,3.6936),(2545,1335,0.016083,3.6937),(2545,1345,0.016344,3.6939),(2545,1355,0.016605,3.694),(2545,1365,0.016866,3.6942),(2545,1375,0.017143,3.6943),(2545,1385,0.017422,3.6945),(2545,1395,0.017701,3.6946),(2545,1405,0.01798,3.6948),(2545,1415,0.018278,3.6949),(2545,1425,0.018577,3.6951),(2545,1435,0.018876,3.6952),(2545,1445,0.019175,3.6954),(2545,1455,0.019494,3.6956),(2545,1465,0.019814,3.6957),(2545,1475,0.020134,3.6959),(2545,1485,0.020454,3.6961),(2545,1495,0.020797,3.6962),(2545,1505,0.02114,3.6964),(2545,1515,0.021484,3.6966),(2545,1525,0.021828,3.6967),(2545,1535,0.022196,3.6969),(2545,1545,0.022564,3.6971),(2545,1555,0.022932,3.6973),(2545,1565,0.023301,3.6974),(2545,1575,0.023696,3.6976),(2545,1585,0.02409,3.6978),(2545,1595,0.024485,3.698),(2545,1605,0.024882,3.6982),(2545,1615,0.025305,3.6983),(2545,1625,0.025729,3.6985),(2545,1635,0.026152,3.6987),(2545,1645,0.026579,3.6989),(2545,1655,0.027033,3.6991),(2545,1665,0.027486,3.6992),(2545,1675,0.02794,3.6994),(2545,1685,0.0284,3.6996),(2545,1695,0.028886,3.6998),(2545,1705,0.029373,3.7),(2545,1715,0.029859,3.7002),(2545,1725,0.030353,3.7004),(2545,1735,0.030875,3.7005),(2545,1745,0.031396,3.7007),(2545,1755,0.031918,3.7009),(2545,1765,0.032449,3.7011),(2545,1775,0.033008,3.7013),(2545,1785,0.033567,3.7015),(2545,1795,0.034126,3.7016),(2545,1805,0.034696,3.7018),(2545,1815,0.035295,3.702),(2545,1825,0.035894,3.7022),(2545,1835,0.036493,3.7024),(2545,1845,0.037106,3.7025),(2545,1855,0.037748,3.7027),(2545,1865,0.038389,3.7029),(2545,1875,0.03903,3.7031),(2545,1885,0.039689,3.7032),(2545,1895,0.040375,3.7034),(2545,1905,0.041062,3.7036),(2545,1915,0.041749,3.7037),(2545,1925,0.042455,3.7039),(2545,1935,0.04319,3.7041),(2545,1945,0.043924,3.7042),(2545,1955,0.044659,3.7044),(2545,1965,0.045416,3.7045),(2545,1975,0.046202,3.7047),(2545,1985,0.046987,3.7048),(2545,1995,0.047772,3.705),(2545,2005,0.048584,3.7051),(2545,2015,0.049422,3.7052),(2545,2025,0.050261,3.7054),(2545,2035,0.051099,3.7055),(2545,2045,0.051968,3.7056),(2545,2055,0.052863,3.7057),(2545,2065,0.053758,3.7058),(2545,2075,0.054653,3.7059),(2545,2085,0.055582,3.706),(2545,2095,0.056536,3.7061),(2545,2105,0.05749,3.7062),(2545,2115,0.058444,3.7062),(2545,2125,0.059436,3.7063),(2545,2135,0.060452,3.7064),(2545,2145,0.061468,3.7064),(2545,2155,0.062484,3.7065),(2545,2165,0.063542,3.7065),(2545,2175,0.064622,3.7065),(2545,2185,0.065702,3.7065),(2545,2195,0.066783,3.7065),(2545,2205,0.067909,3.7065),(2545,2215,0.069056,3.7065),(2545,2225,0.070202,3.7065),(2545,2235,0.071349,3.7065),(2545,2245,0.072546,3.7064),(2545,2255,0.073761,3.7064),(2545,2265,0.074977,3.7063),(2545,2275,0.076192,3.7062),(2545,2285,0.077461,3.7061),(2545,2295,0.078747,3.706),(2545,2305,0.080032,3.7059),(2545,2315,0.081318,3.7057),(2545,2325,0.082661,3.7056),(2545,2335,0.084018,3.7054),(2545,2345,0.085375,3.7052),(2545,2355,0.086732,3.705),(2545,2365,0.088151,3.7048),(2545,2375,0.08958,3.7046),(2545,2385,0.091009,3.7043),(2545,2395,0.092439,3.704),(2545,2405,0.093933,3.7037),(2545,2415,0.095435,3.7034),(2545,2425,0.096936,3.703),(2545,2435,0.098438,3.7027),(2545,2445,0.10001,3.7023),(2545,2455,0.10158,3.7019),(2545,2465,0.10315,3.7014),(2545,2475,0.10473,3.701),(2545,2485,0.10637,3.7005),(2545,2495,0.10801,3.7001),(2545,2505,0.10966,3.6995),(2545,2515,0.1113,3.6989),(2545,2525,0.11301,3.6984),(2545,2535,0.11473,3.6978),(2545,2545,0.11644,3.6971),(2545,2555,0.11815,3.6964),(2545,2565,0.11993,3.6958),(2545,2575,0.12171,3.6951),(2545,2585,0.12348,3.6943),(2545,2595,0.12526,3.6935),(2545,2605,0.1271,3.6927),(2545,2615,0.12894,3.6919),(2545,2625,0.13077,3.6909),(2545,2635,0.13262,3.69),(2545,2645,0.13451,3.6891),(2545,2655,0.1364,3.6881),(2545,2665,0.13829,3.687),(2545,2675,0.14019,3.686),(2545,2685,0.14213,3.6849),(2545,2695,0.14407,3.6838),(2545,2705,0.146,3.6826),(2545,2715,0.14795,3.6814),(2545,2725,0.14993,3.6801),(2545,2735,0.1519,3.6789),(2545,2745,0.15388,3.6775),(2545,2755,0.15587,3.6761),(2545,2765,0.15788,3.6747),(2545,2775,0.15988,3.6733),(2545,2785,0.16189,3.6718),(2545,2795,0.1639,3.6702),(2545,2805,0.16593,3.6686),(2545,2815,0.16796,3.667),(2545,2825,0.16998,3.6653),(2545,2835,0.17201,3.6636),(2545,2845,0.17405,3.6619),(2545,2855,0.17608,3.6601),(2545,2865,0.17811,3.6582),(2545,2875,0.18014,3.6563),(2545,2885,0.18217,3.6543),(2545,2895,0.1842,3.6524),(2545,2905,0.18623,3.6503),(2545,2915,0.18825,3.6482),(2545,2925,0.19026,3.6461),(2545,2935,0.19226,3.6439),(2545,2945,0.19427,3.6416),(2545,2955,0.19626,3.6393),(2545,2965,0.19824,3.637),(2545,2975,0.20021,3.6346),(2545,2985,0.20218,3.6322),(2545,2995,0.20413,3.6297),(2545,3005,0.20605,3.6272),(2545,3015,0.20797,3.6246),(2545,3025,0.20989,3.6219),(2545,3035,0.21178,3.6193),(2545,3045,0.21363,3.6166),(2545,3055,0.21548,3.6138),(2545,3065,0.21734,3.6109),(2545,3075,0.21914,3.6081),(2545,3085,0.22091,3.6052),(2545,3095,0.22268,3.6022),(2545,3105,0.22445,3.5991),(2545,3115,0.22615,3.5961),(2545,3125,0.22782,3.593),(2545,3135,0.22949,3.5899),(2545,3145,0.23115,3.5866),(2545,3155,0.23274,3.5834),(2545,3165,0.23429,3.5801),(2545,3175,0.23584,3.5768),(2545,3185,0.23739,3.5734),(2545,3195,0.23884,3.5699),(2545,3205,0.24026,3.5665),(2545,3215,0.24167,3.563),(2545,3225,0.24308,3.5594),(2545,3235,0.24438,3.5558),(2545,3245,0.24565,3.5523),(2545,3255,0.24691,3.5486),(2545,3265,0.24817,3.5448),(2545,3275,0.2493,3.5411),(2545,3285,0.2504,3.5374),(2545,3295,0.2515,3.5335),(2545,3305,0.25259,3.5297),(2545,3315,0.25354,3.5258),(2545,3325,0.25446,3.5219),(2545,3335,0.25537,3.518),(2545,3345,0.25629,3.514),(2545,3355,0.25704,3.51),(2545,3365,0.25777,3.506),(2545,3375,0.25849,3.5019),(2545,3385,0.25922,3.4979),(2545,3395,0.25976,3.4938),(2545,3405,0.26029,3.4897),(2545,3415,0.26081,3.4855),(2545,3425,0.26133,3.4814),(2545,3435,0.26166,3.4772),(2545,3445,0.26198,3.473),(2545,3455,0.26229,3.4688),(2545,3465,0.2626,3.4646),(2545,3475,0.26271,3.4603),(2545,3485,0.2628,3.4561),(2545,3495,0.2629,3.4518),(2545,3505,0.263,3.4476),(2545,3515,0.26288,3.4433),(2545,3525,0.26276,3.439),(2545,3535,0.26264,3.4348),(2545,3545,0.2625,3.4305),(2545,3555,0.26216,3.4262),(2545,3565,0.26182,3.4219),(2545,3575,0.26148,3.4176),(2545,3585,0.26112,3.4134),(2545,3595,0.26056,3.4091),(2545,3605,0.26,3.4048),(2545,3615,0.25944,3.4006),(2545,3625,0.25886,3.3963),(2545,3635,0.25808,3.3921),(2545,3645,0.25731,3.3878),(2545,3655,0.25653,3.3836),(2545,3665,0.25573,3.3794),(2545,3675,0.25474,3.3752),(2545,3685,0.25376,3.371),(2545,3695,0.25278,3.3669),(2545,3705,0.25175,3.3628),(2545,3715,0.25057,3.3586),(2545,3725,0.24939,3.3545),(2545,3735,0.2482,3.3505),(2545,3745,0.24697,3.3464),(2545,3755,0.2456,3.3424),(2545,3765,0.24422,3.3384),(2545,3775,0.24285,3.3344),(2545,3785,0.24142,3.3305),(2545,3795,0.23986,3.3266),(2545,3805,0.2383,3.3226),(2545,3815,0.23674,3.3188),(2545,3825,0.23513,3.315),(2545,3835,0.2334,3.3112),(2545,3845,0.23167,3.3074),(2545,3855,0.22994,3.3037),(2545,3865,0.22815,3.3),(2545,3875,0.22625,3.2963),(2545,3885,0.22436,3.2926),(2545,3895,0.22246,3.2891),(2545,3905,0.25272,3.2855),(2545,3915,0.331,3.282),(2545,3925,0.40928,3.2767),(2545,3935,0.48756,3.2691),(2545,3945,0.56925,3.2615),(2545,3955,0.65526,3.2538),(2545,3965,0.74127,3.2441),(2545,3975,0.82729,3.2319),(2545,3985,0.8762,3.2198),(2545,3995,0.88496,3.2076),(2545,4005,0.89372,3.1953),(2545,4015,0.90248,3.1828),(2545,4025,0.91249,3.1703),(2545,4035,0.92263,3.1576),(2545,4045,0.93276,3.1448),(2545,4055,0.94304,3.132),(2545,4065,0.95336,3.1192),(2545,4075,0.96369,3.1061),(2545,4085,0.97365,3.093),(2545,4095,0.98331,3.08),(2545,4105,0.99297,3.0667),(2545,4115,0.96638,3.0535),(2545,4125,0.87969,3.0402),(2545,4135,0.793,3.0298),(2545,4145,0.70483,3.0201),(2545,4155,0.61068,3.0104),(2545,4165,0.51654,3.003),(2545,4175,0.42807,2.997),(2545,4185,0.62061,2.991),(2545,4195,0.81316,2.9815),(2545,4205,1.0057,2.9675),(2545,4215,1.0193,2.9534),(2545,4225,0.99929,2.9393),(2545,4235,0.97924,2.9249),(2545,4245,0.92889,2.9106),(2545,4255,0.86315,2.8963),(2545,4265,0.79742,2.8836),(2545,4275,0.67926,2.8709),(2545,4285,0.50548,2.8582),(2545,4295,0.33169,2.8536),(2545,4305,0.2856,2.8498),(2545,4315,0.52785,2.8461),(2545,4325,0.77009,2.8361),(2545,4335,0.9869,2.8236),(2545,4345,1.0315,2.811),(2545,4355,1.0761,2.7976),(2545,4365,1.1207,2.7835),(2545,4375,1.1339,2.7694),(2545,4385,1.1455,2.755),(2545,4395,1.1571,2.7402),(2545,4405,1.0185,2.7254),(2545,4415,0.83564,2.7118),(2545,4425,0.65274,2.7034),(2545,4435,0.57798,2.6951),(2545,4445,0.57713,2.6867),(2545,4455,0.57627,2.6792),(2545,4465,0.66378,2.6717),(2545,4475,0.87543,2.6641),(2545,4485,1.0871,2.6506),(2545,4495,1.2511,2.6357),(2545,4505,1.2625,2.6209),(2545,4515,1.2739,2.6061),(2545,4525,1.2826,2.5912),(2545,4535,1.2487,2.5764),(2545,4545,1.2148,2.5626),(2545,4555,1.1809,2.55),(2545,4565,0.90154,2.5375),(2545,4575,0.58907,2.5276),(2545,4585,0.2766,2.5245),(2545,4595,0.34219,2.5213),(2545,4605,0.56754,2.5168),(2545,4615,0.79288,2.5021),(2545,4625,0.95196,2.4874),(2545,4635,1.051,2.4726),(2545,4645,1.1501,2.4564),(2545,4655,1.228,2.4402),(2545,4665,1.2659,2.4239),(2545,4675,1.3038,2.4083),(2545,4685,1.2897,2.393),(2545,4695,1.0186,2.3777),(2545,4705,0.74753,2.3681),(2545,4715,0.47642,2.3626),(2545,4725,0.62303,2.3571),(2545,4735,0.77381,2.3497),(2545,4745,0.92459,2.3395),(2545,4755,1.0802,2.3293),(2545,4765,1.237,2.3182),(2545,4775,1.3937,2.304),(2545,4785,1.456,2.2898),(2545,4795,1.4637,2.2756),(2545,4805,1.4714,2.2617),(2545,4815,1.4063,2.2479),(2545,4825,1.254,2.234),(2545,4835,1.1017,2.2244),(2545,4845,0.94765,2.2155),(2545,4855,0.78917,2.2066),(2545,4865,0.63068,2.2004),(2545,4875,0.52157,2.1954),(2545,4885,0.86175,2.1904),(2545,4895,1.2019,2.1809),(2545,4905,1.5421,2.1672),(2545,4915,1.5578,2.1535),(2545,4925,1.5455,2.1396),(2545,4935,1.5332,2.1255),(2545,4945,1.4556,2.1115),(2545,4955,1.3554,2.0974),(2545,4965,1.2551,2.0833),(2545,4975,1.0177,2.0692),(2545,4985,0.67451,2.0552),(2545,4995,0.33129,2.0534),(2545,5005,0.25847,2.0519),(2545,5015,0.61553,2.0505),(2545,5025,0.97259,2.0421),(2545,5035,1.2809,2.0321),(2545,5045,1.4033,2.022),(2545,5055,1.5257,2.0103),(2545,5065,1.6446,1.9977),(2545,5075,1.6503,1.9851),(2545,5085,1.656,1.9725),(2545,5095,1.6616,1.9601),(2545,5105,1.4546,1.9477),(2545,5115,1.2104,1.9367),(2545,5125,0.96628,1.9301),(2545,5135,0.84726,1.9235),(2545,5145,0.78897,1.9169),(2545,5155,0.73068,1.9115),(2545,5165,0.86575,1.906),(2545,5175,1.198,1.9006),(2545,5185,1.5303,1.8886),(2545,5195,1.7591,1.876),(2545,5205,1.765,1.8633),(2545,5215,1.7709,1.8508),(2545,5225,1.7674,1.8384),(2545,5235,1.7051,1.826),(2545,5245,1.6429,1.8145),(2545,5255,1.5807,1.8037),(2545,5265,1.1138,1.793),(2545,5275,0.63026,1.7861),(2545,5285,0.14671,1.7855),(2545,5295,0.3985,1.785),(2545,5305,0.85508,1.7816),(2545,5315,1.3117,1.7666),(2545,5325,1.5498,1.7516),(2545,5335,1.6446,1.7365),(2545,5345,1.7395,1.7229),(2545,5355,1.8,1.7092),(2545,5365,1.8144,1.6955),(2545,5375,1.8288,1.6823),(2545,5385,1.7349,1.6693),(2545,5395,1.3114,1.6562),(2545,5405,0.88791,1.6494),(2545,5415,0.51111,1.6459),(2545,5425,0.76121,1.6423),(2545,5435,1.0113,1.6353),(2545,5445,1.2614,1.6245),(2545,5455,1.5051,1.6137),(2545,5465,1.748,1.6011),(2545,5475,1.9908,1.5844),(2545,5485,2.0674,1.5677),(2545,5495,2.077,1.5511),(2545,5505,2.0866,1.5349),(2545,5515,2.0962,1.5187),(2545,5525,2.1058,1.5026),(2545,5535,2.1153,1.4868),(2545,5545,2.1246,1.4711),(2545,5555,2.1335,1.4554),(2545,5565,2.1424,1.4401),(2545,5575,2.1511,1.4249),(2545,5585,2.1594,1.4096),(2545,5595,2.1676,1.3947),(2545,5605,2.1758,1.3798),(2545,5615,2.1834,1.365),(2545,5625,2.191,1.3504),(2545,5635,2.1986,1.336),(2545,5645,2.2057,1.3216),(2545,5655,2.2128,1.3073),(2545,5665,2.2198,1.2933),(2545,5675,2.2265,1.2793),(2545,5685,2.233,1.2653),(2545,5695,2.2396,1.2517),(2545,5705,2.2459,1.2381),(2545,5715,2.2519,1.2244),(2545,5725,2.258,1.2111),(2545,5735,2.2639,1.1978),(2545,5745,2.2695,1.1845),(2545,5755,2.2751,1.1714),(2545,5765,2.2806,1.1584),(2545,5775,2.2858,1.1454),(2545,5785,2.291,1.1326),(2545,5795,2.2962,1.1199),(2545,5805,2.301,1.1072),(2545,5815,2.3058,1.0946),(2545,5825,2.3106,1.0822),(2545,5835,2.3151,1.0699),(2545,5845,2.3196,1.0575),(2545,5855,2.324,1.0454),(2545,5865,2.3283,1.0333),(2545,5875,2.3324,1.0211),(2545,5885,2.3365,1.0093),(2545,5895,2.3405,0.9974),(2545,5905,2.3443,0.98554),(2545,5915,2.3481,0.9739),(2545,5925,2.3518,0.9623),(2545,5935,2.3554,0.95071),(2545,5945,2.3589,0.93926),(2545,5955,2.3624,0.9279),(2545,5965,2.3657,0.91654),(2545,5975,2.3691,0.90528),(2545,5985,2.3724,0.89414),(2545,5995,1.8142,0.883),(2545,6005,1.1656,0.87449),(2545,6015,0.517,0.87301),(2545,6025,0.60311,0.87154),(2545,6035,1.03,0.86908),(2545,6045,1.4569,0.8572),(2545,6055,1.7569,0.84532),(2545,6065,1.9326,0.83344),(2545,6075,2.1083,0.81805),(2545,6085,2.2281,0.80234),(2545,6095,2.2328,0.78662),(2545,6105,2.2375,0.77089),(2545,6115,2.2422,0.75515),(2545,6125,2.2466,0.73941),(2545,6135,2.251,0.72374),(2545,6145,2.2554,0.70812),(2545,6155,2.2595,0.6925),(2545,6165,2.2635,0.67695),(2545,6175,2.2676,0.66151),(2545,6185,2.2715,0.64607),(2545,6195,2.2752,0.63064),(2545,6205,2.279,0.61523),(2545,6215,2.2826,0.59982),(2545,6225,2.2861,0.58442),(2545,6235,2.2896,0.56906),(2545,6245,2.2929,0.5537),(2545,6255,2.2961,0.53835),(2545,6265,2.2993,0.52306),(2545,6275,2.3024,0.50779),(2545,6285,2.3052,0.49252),(2545,6295,2.3081,0.4773),(2545,6305,2.311,0.4621),(2545,6315,2.3136,0.4469),(2545,6325,2.3162,0.4317),(2545,6335,2.3187,0.41651),(2545,6345,2.3211,0.40132),(2545,6355,2.3234,0.38614),(2545,6365,2.3257,0.37101),(2545,6375,2.3278,0.35588),(2545,6385,2.3298,0.34076),(2545,6395,2.3318,0.32572),(2545,6405,2.3336,0.31068),(2545,6415,2.3354,0.29565),(2545,6425,2.3371,0.28067),(2545,6435,2.3387,0.26569),(2545,6445,2.3402,0.25072),(2545,6455,2.3416,0.23573),(2545,6465,2.343,0.22075),(2545,6475,2.3442,0.20576),(2545,6485,2.3454,0.19077),(2545,6495,2.3466,0.17578),(2545,6505,2.3475,0.16078),(2545,6515,2.3484,0.14581),(2545,6525,2.3493,0.13087),(2545,6535,2.35,0.11594),(2545,6545,2.3506,0.10101),(2545,6555,2.3512,0.086101),(2545,6565,2.3517,0.07119),(2545,6575,2.352,0.056283),(2545,6585,2.3523,0.041424),(2545,6595,2.0009,0.026564),(2545,6605,1.261,0.011705),(2545,6615,0.52119,0.009965),(2545,6625,0.001097,0.00991),(2545,6635,0.001097,0.009856),(2545,6645,0.001097,0.009832),(2545,6655,0.001097,0.009821),(2545,6665,0.001097,0.00981),(2545,6675,0.001097,0.009798),(2545,6685,0.001097,0.009787),(2545,6695,0.001097,0.009776),(2545,6705,0.001097,0.009765),(2545,6715,0.001097,0.009754),(2545,6725,0.001097,0.009744),(2545,6735,0.001097,0.009733),(2545,6745,0.001097,0.009722),(2545,6755,0.001098,0.009711),(2545,6765,0.001098,0.0097),(2545,6775,0.001098,0.00969),(2545,6785,0.001098,0.009679),(2545,6795,0.001098,0.009668),(2545,6805,0.001098,0.009657),(2545,6815,0.001098,0.009647),(2545,6825,0.001098,0.009636),(2545,6835,0.001098,0.009626),(2545,6845,0.001098,0.009615),(2545,6855,0.001098,0.009605),(2545,6865,0.001098,0.009595),(2545,6875,0.001098,0.009584),(2545,6885,0.001099,0.009574),(2545,6895,0.001099,0.009564),(2545,6905,0.001099,0.009554),(2545,6915,0.001099,0.009544),(2545,6925,0.001099,0.009533),(2545,6935,0.001099,0.009523),(2545,6945,0.001099,0.009513),(2545,6955,0.001099,0.009503),(2545,6965,0.001099,0.009493),(2545,6975,0.001099,0.009483),(2545,6985,0.001099,0.009473),(2555,5,3.6e-05,3.6859),(2555,15,0.000108,3.6859),(2555,25,0.00018,3.6859),(2555,35,0.000253,3.6859),(2555,45,0.000325,3.686),(2555,55,0.000397,3.686),(2555,65,0.000469,3.686),(2555,75,0.000542,3.686),(2555,85,0.000614,3.686),(2555,95,0.000687,3.686),(2555,105,0.000759,3.686),(2555,115,0.000832,3.686),(2555,125,0.000905,3.686),(2555,135,0.000978,3.686),(2555,145,0.001051,3.686),(2555,155,0.001124,3.686),(2555,165,0.001197,3.686),(2555,175,0.00127,3.686),(2555,185,0.001344,3.6861),(2555,195,0.001418,3.6861),(2555,205,0.001492,3.6861),(2555,215,0.001566,3.6861),(2555,225,0.001641,3.6861),(2555,235,0.001716,3.6861),(2555,245,0.001791,3.6861),(2555,255,0.001866,3.6861),(2555,265,0.001941,3.6862),(2555,275,0.002018,3.6862),(2555,285,0.002093,3.6862),(2555,295,0.002169,3.6862),(2555,305,0.002246,3.6862),(2555,315,0.002324,3.6863),(2555,325,0.002401,3.6863),(2555,335,0.002478,3.6863),(2555,345,0.002556,3.6863),(2555,355,0.002635,3.6863),(2555,365,0.002713,3.6864),(2555,375,0.002792,3.6864),(2555,385,0.002872,3.6864),(2555,395,0.002952,3.6864),(2555,405,0.003032,3.6865),(2555,415,0.003112,3.6865),(2555,425,0.003194,3.6865),(2555,435,0.003276,3.6866),(2555,445,0.003358,3.6866),(2555,455,0.00344,3.6866),(2555,465,0.003524,3.6866),(2555,475,0.003609,3.6867),(2555,485,0.003693,3.6867),(2555,495,0.003777,3.6867),(2555,505,0.003864,3.6868),(2555,515,0.00395,3.6868),(2555,525,0.004037,3.6869),(2555,535,0.004124,3.6869),(2555,545,0.004213,3.6869),(2555,555,0.004302,3.687),(2555,565,0.004391,3.687),(2555,575,0.00448,3.6871),(2555,585,0.004572,3.6871),(2555,595,0.004665,3.6871),(2555,605,0.004757,3.6872),(2555,615,0.004849,3.6872),(2555,625,0.004945,3.6873),(2555,635,0.00504,3.6873),(2555,645,0.005136,3.6874),(2555,655,0.005232,3.6874),(2555,665,0.005331,3.6875),(2555,675,0.005431,3.6875),(2555,685,0.00553,3.6876),(2555,695,0.00563,3.6876),(2555,705,0.005733,3.6877),(2555,715,0.005837,3.6877),(2555,725,0.00594,3.6878),(2555,735,0.006044,3.6879),(2555,745,0.006152,3.6879),(2555,755,0.00626,3.688),(2555,765,0.006367,3.688),(2555,775,0.006476,3.6881),(2555,785,0.006589,3.6882),(2555,795,0.006702,3.6882),(2555,805,0.006815,3.6883),(2555,815,0.006929,3.6884),(2555,825,0.007047,3.6884),(2555,835,0.007165,3.6885),(2555,845,0.007284,3.6886),(2555,855,0.007404,3.6887),(2555,865,0.007528,3.6887),(2555,875,0.007652,3.6888),(2555,885,0.007777,3.6889),(2555,895,0.007904,3.689),(2555,905,0.008034,3.689),(2555,915,0.008165,3.6891),(2555,925,0.008296,3.6892),(2555,935,0.00843,3.6893),(2555,945,0.008568,3.6894),(2555,955,0.008707,3.6895),(2555,965,0.008845,3.6896),(2555,975,0.008987,3.6896),(2555,985,0.009133,3.6897),(2555,995,0.009279,3.6898),(2555,1005,0.009425,3.6899),(2555,1015,0.009576,3.69),(2555,1025,0.00973,3.6901),(2555,1035,0.009885,3.6902),(2555,1045,0.01004,3.6903),(2555,1055,0.0102,3.6904),(2555,1065,0.010364,3.6905),(2555,1075,0.010528,3.6906),(2555,1085,0.010692,3.6907),(2555,1095,0.010863,3.6909),(2555,1105,0.011037,3.691),(2555,1115,0.011212,3.6911),(2555,1125,0.011386,3.6912),(2555,1135,0.011568,3.6913),(2555,1145,0.011753,3.6914),(2555,1155,0.011939,3.6915),(2555,1165,0.012125,3.6917),(2555,1175,0.012319,3.6918),(2555,1185,0.012517,3.6919),(2555,1195,0.012715,3.692),(2555,1205,0.012913,3.6922),(2555,1215,0.01312,3.6923),(2555,1225,0.013332,3.6924),(2555,1235,0.013543,3.6925),(2555,1245,0.013755,3.6927),(2555,1255,0.013977,3.6928),(2555,1265,0.014202,3.693),(2555,1275,0.014428,3.6931),(2555,1285,0.014654,3.6932),(2555,1295,0.014892,3.6934),(2555,1305,0.015133,3.6935),(2555,1315,0.015374,3.6937),(2555,1325,0.015615,3.6938),(2555,1335,0.015871,3.694),(2555,1345,0.016129,3.6941),(2555,1355,0.016387,3.6943),(2555,1365,0.016645,3.6944),(2555,1375,0.016919,3.6946),(2555,1385,0.017196,3.6947),(2555,1395,0.017472,3.6949),(2555,1405,0.017749,3.6951),(2555,1415,0.018044,3.6952),(2555,1425,0.01834,3.6954),(2555,1435,0.018636,3.6955),(2555,1445,0.018933,3.6957),(2555,1455,0.019249,3.6959),(2555,1465,0.019567,3.696),(2555,1475,0.019884,3.6962),(2555,1485,0.020202,3.6964),(2555,1495,0.020542,3.6966),(2555,1505,0.020883,3.6967),(2555,1515,0.021223,3.6969),(2555,1525,0.021564,3.6971),(2555,1535,0.02193,3.6973),(2555,1545,0.022295,3.6975),(2555,1555,0.022661,3.6976),(2555,1565,0.023028,3.6978),(2555,1575,0.02342,3.698),(2555,1585,0.023812,3.6982),(2555,1595,0.024204,3.6984),(2555,1605,0.024599,3.6986),(2555,1615,0.025019,3.6987),(2555,1625,0.02544,3.6989),(2555,1635,0.025861,3.6991),(2555,1645,0.026286,3.6993),(2555,1655,0.026737,3.6995),(2555,1665,0.027188,3.6997),(2555,1675,0.02764,3.6999),(2555,1685,0.028097,3.7001),(2555,1695,0.028581,3.7003),(2555,1705,0.029066,3.7005),(2555,1715,0.02955,3.7007),(2555,1725,0.030042,3.7009),(2555,1735,0.030562,3.701),(2555,1745,0.031081,3.7012),(2555,1755,0.031601,3.7014),(2555,1765,0.03213,3.7016),(2555,1775,0.032687,3.7018),(2555,1785,0.033244,3.702),(2555,1795,0.033801,3.7022),(2555,1805,0.034371,3.7024),(2555,1815,0.034968,3.7026),(2555,1825,0.035565,3.7028),(2555,1835,0.036163,3.703),(2555,1845,0.036775,3.7032),(2555,1855,0.037415,3.7034),(2555,1865,0.038055,3.7035),(2555,1875,0.038696,3.7037),(2555,1885,0.039353,3.7039),(2555,1895,0.040039,3.7041),(2555,1905,0.040725,3.7043),(2555,1915,0.041411,3.7044),(2555,1925,0.042117,3.7046),(2555,1935,0.042852,3.7048),(2555,1945,0.043586,3.705),(2555,1955,0.04432,3.7051),(2555,1965,0.045078,3.7053),(2555,1975,0.045864,3.7055),(2555,1985,0.04665,3.7056),(2555,1995,0.047435,3.7058),(2555,2005,0.048248,3.7059),(2555,2015,0.049088,3.7061),(2555,2025,0.049927,3.7062),(2555,2035,0.050767,3.7063),(2555,2045,0.051637,3.7065),(2555,2055,0.052534,3.7066),(2555,2065,0.053431,3.7067),(2555,2075,0.054327,3.7068),(2555,2085,0.055259,3.7069),(2555,2095,0.056216,3.707),(2555,2105,0.057172,3.7071),(2555,2115,0.058129,3.7072),(2555,2125,0.059125,3.7073),(2555,2135,0.060144,3.7074),(2555,2145,0.061164,3.7075),(2555,2155,0.062184,3.7075),(2555,2165,0.063246,3.7076),(2555,2175,0.064331,3.7076),(2555,2185,0.065416,3.7076),(2555,2195,0.066501,3.7077),(2555,2205,0.067633,3.7077),(2555,2215,0.068786,3.7077),(2555,2225,0.069939,3.7077),(2555,2235,0.071092,3.7077),(2555,2245,0.072296,3.7076),(2555,2255,0.073519,3.7076),(2555,2265,0.074741,3.7075),(2555,2275,0.075964,3.7075),(2555,2285,0.077242,3.7074),(2555,2295,0.078537,3.7073),(2555,2305,0.079831,3.7072),(2555,2315,0.081125,3.707),(2555,2325,0.08248,3.7069),(2555,2335,0.083847,3.7068),(2555,2345,0.085214,3.7066),(2555,2355,0.086582,3.7064),(2555,2365,0.088013,3.7062),(2555,2375,0.089454,3.706),(2555,2385,0.090896,3.7057),(2555,2395,0.092338,3.7055),(2555,2405,0.093846,3.7052),(2555,2415,0.095362,3.7049),(2555,2425,0.096878,3.7046),(2555,2435,0.098394,3.7042),(2555,2445,0.099979,3.7039),(2555,2455,0.10157,3.7035),(2555,2465,0.10316,3.7031),(2555,2475,0.10475,3.7026),(2555,2485,0.10641,3.7022),(2555,2495,0.10807,3.7017),(2555,2505,0.10973,3.7012),(2555,2515,0.1114,3.7006),(2555,2525,0.11313,3.7001),(2555,2535,0.11486,3.6995),(2555,2545,0.11659,3.6989),(2555,2555,0.11833,3.6982),(2555,2565,0.12013,3.6975),(2555,2575,0.12193,3.6969),(2555,2585,0.12373,3.6961),(2555,2595,0.12553,3.6953),(2555,2605,0.12739,3.6945),(2555,2615,0.12925,3.6937),(2555,2625,0.13111,3.6928),(2555,2635,0.13298,3.6919),(2555,2645,0.1349,3.691),(2555,2655,0.13682,3.69),(2555,2665,0.13874,3.689),(2555,2675,0.14066,3.6879),(2555,2685,0.14263,3.6869),(2555,2695,0.1446,3.6858),(2555,2705,0.14657,3.6846),(2555,2715,0.14854,3.6834),(2555,2725,0.15055,3.6822),(2555,2735,0.15256,3.6809),(2555,2745,0.15457,3.6795),(2555,2755,0.15659,3.6782),(2555,2765,0.15863,3.6768),(2555,2775,0.16067,3.6754),(2555,2785,0.16271,3.6738),(2555,2795,0.16476,3.6723),(2555,2805,0.16682,3.6707),(2555,2815,0.16888,3.6691),(2555,2825,0.17094,3.6674),(2555,2835,0.17301,3.6657),(2555,2845,0.17508,3.664),(2555,2855,0.17715,3.6622),(2555,2865,0.17922,3.6603),(2555,2875,0.18129,3.6583),(2555,2885,0.18335,3.6564),(2555,2895,0.18542,3.6544),(2555,2905,0.18748,3.6523),(2555,2915,0.18954,3.6502),(2555,2925,0.19159,3.6481),(2555,2935,0.19363,3.646),(2555,2945,0.19568,3.6437),(2555,2955,0.19771,3.6414),(2555,2965,0.19972,3.6391),(2555,2975,0.20174,3.6367),(2555,2985,0.20375,3.6342),(2555,2995,0.20573,3.6317),(2555,3005,0.2077,3.6292),(2555,3015,0.20966,3.6266),(2555,3025,0.21162,3.6239),(2555,3035,0.21354,3.6212),(2555,3045,0.21544,3.6185),(2555,3055,0.21733,3.6157),(2555,3065,0.21922,3.6128),(2555,3075,0.22107,3.6099),(2555,3085,0.22287,3.607),(2555,3095,0.22468,3.604),(2555,3105,0.22649,3.6009),(2555,3115,0.22823,3.5978),(2555,3125,0.22994,3.5948),(2555,3135,0.23164,3.5916),(2555,3145,0.23335,3.5883),(2555,3155,0.23498,3.585),(2555,3165,0.23656,3.5817),(2555,3175,0.23815,3.5784),(2555,3185,0.23973,3.5749),(2555,3195,0.24122,3.5715),(2555,3205,0.24267,3.568),(2555,3215,0.24412,3.5644),(2555,3225,0.24556,3.5608),(2555,3235,0.2469,3.5572),(2555,3245,0.24819,3.5536),(2555,3255,0.24949,3.5499),(2555,3265,0.25078,3.5461),(2555,3275,0.25194,3.5423),(2555,3285,0.25307,3.5385),(2555,3295,0.25419,3.5346),(2555,3305,0.25532,3.5307),(2555,3315,0.2563,3.5268),(2555,3325,0.25724,3.5229),(2555,3335,0.25818,3.5189),(2555,3345,0.25912,3.5149),(2555,3355,0.2599,3.5108),(2555,3365,0.26065,3.5068),(2555,3375,0.26139,3.5027),(2555,3385,0.26214,3.4985),(2555,3395,0.2627,3.4944),(2555,3405,0.26324,3.4902),(2555,3415,0.26378,3.486),(2555,3425,0.26433,3.4818),(2555,3435,0.26467,3.4776),(2555,3445,0.26499,3.4734),(2555,3455,0.26532,3.4691),(2555,3465,0.26565,3.4648),(2555,3475,0.26576,3.4605),(2555,3485,0.26587,3.4562),(2555,3495,0.26598,3.4519),(2555,3505,0.26608,3.4476),(2555,3515,0.26597,3.4433),(2555,3525,0.26585,3.4389),(2555,3535,0.26573,3.4346),(2555,3545,0.26561,3.4303),(2555,3555,0.26527,3.4259),(2555,3565,0.26492,3.4216),(2555,3575,0.26458,3.4172),(2555,3585,0.26422,3.4129),(2555,3595,0.26366,3.4086),(2555,3605,0.2631,3.4042),(2555,3615,0.26253,3.3999),(2555,3625,0.26194,3.3956),(2555,3635,0.26116,3.3913),(2555,3645,0.26038,3.387),(2555,3655,0.25959,3.3828),(2555,3665,0.25878,3.3785),(2555,3675,0.25778,3.3743),(2555,3685,0.25679,3.37),(2555,3695,0.25579,3.3659),(2555,3705,0.25476,3.3617),(2555,3715,0.25356,3.3575),(2555,3725,0.25236,3.3533),(2555,3735,0.25116,3.3492),(2555,3745,0.24991,3.3451),(2555,3755,0.24852,3.341),(2555,3765,0.24712,3.337),(2555,3775,0.24573,3.333),(2555,3785,0.24428,3.329),(2555,3795,0.2427,3.325),(2555,3805,0.24112,3.321),(2555,3815,0.23954,3.3172),(2555,3825,0.2379,3.3133),(2555,3835,0.23615,3.3094),(2555,3845,0.23439,3.3056),(2555,3855,0.23264,3.3019),(2555,3865,0.23082,3.2981),(2555,3875,0.2289,3.2944),(2555,3885,0.22698,3.2907),(2555,3895,0.22506,3.2871),(2555,3905,0.25558,3.2835),(2555,3915,0.33455,3.2799),(2555,3925,0.41353,3.2746),(2555,3935,0.49251,3.2669),(2555,3945,0.57493,3.2592),(2555,3955,0.66171,3.2515),(2555,3965,0.7485,3.2417),(2555,3975,0.83529,3.2295),(2555,3985,0.88463,3.2172),(2555,3995,0.89345,3.205),(2555,4005,0.90227,3.1925),(2555,4015,0.91109,3.18),(2555,4025,0.92115,3.1674),(2555,4035,0.93134,3.1547),(2555,4045,0.94152,3.1418),(2555,4055,0.95183,3.1289),(2555,4065,0.9622,3.116),(2555,4075,0.97256,3.1028),(2555,4085,0.98254,3.0897),(2555,4095,0.99222,3.0766),(2555,4105,1.0019,3.0632),(2555,4115,0.97504,3.0499),(2555,4125,0.88759,3.0366),(2555,4135,0.80014,3.0261),(2555,4145,0.71122,3.0164),(2555,4155,0.61633,3.0067),(2555,4165,0.52144,2.9992),(2555,4175,0.43227,2.9931),(2555,4185,0.62652,2.9871),(2555,4195,0.82077,2.9775),(2555,4205,1.015,2.9634),(2555,4215,1.029,2.9493),(2555,4225,1.0091,2.9351),(2555,4235,0.98923,2.9207),(2555,4245,0.93875,2.9063),(2555,4255,0.87276,2.892),(2555,4265,0.80677,2.8792),(2555,4275,0.68749,2.8663),(2555,4285,0.51165,2.8535),(2555,4295,0.33582,2.8488),(2555,4305,0.28883,2.845),(2555,4315,0.53277,2.8413),(2555,4325,0.77671,2.8312),(2555,4335,0.99504,2.8186),(2555,4345,1.0399,2.8059),(2555,4355,1.0848,2.7924),(2555,4365,1.1297,2.7781),(2555,4375,1.1432,2.7638),(2555,4385,1.1549,2.7493),(2555,4395,1.1667,2.7343),(2555,4405,1.0272,2.7193),(2555,4415,0.84312,2.7055),(2555,4425,0.65901,2.6971),(2555,4435,0.5836,2.6887),(2555,4445,0.58249,2.6802),(2555,4455,0.58137,2.6725),(2555,4465,0.6693,2.6648),(2555,4475,0.88233,2.6571),(2555,4485,1.0954,2.6434),(2555,4495,1.2605,2.6285),(2555,4505,1.2718,2.6135),(2555,4515,1.2832,2.5985),(2555,4525,1.2918,2.5836),(2555,4535,1.2574,2.5687),(2555,4545,1.2229,2.5549),(2555,4555,1.1884,2.5424),(2555,4565,0.90757,2.5299),(2555,4575,0.59349,2.5201),(2555,4585,0.27941,2.5169),(2555,4595,0.34637,2.5137),(2555,4605,0.57432,2.5092),(2555,4615,0.80227,2.4944),(2555,4625,0.96263,2.4796),(2555,4635,1.0618,2.4647),(2555,4645,1.1609,2.4485),(2555,4655,1.2387,2.4322),(2555,4665,1.2762,2.4159),(2555,4675,1.3136,2.4004),(2555,4685,1.2989,2.3851),(2555,4695,1.0259,2.3698),(2555,4705,0.75285,2.3601),(2555,4715,0.47985,2.3546),(2555,4725,0.62725,2.3492),(2555,4735,0.77886,2.3418),(2555,4745,0.93047,2.3315),(2555,4755,1.0867,2.3213),(2555,4765,1.2441,2.3102),(2555,4775,1.4014,2.296),(2555,4785,1.4638,2.2817),(2555,4795,1.4714,2.2675),(2555,4805,1.479,2.2536),(2555,4815,1.4133,2.2397),(2555,4825,1.2601,2.2258),(2555,4835,1.107,2.2162),(2555,4845,0.95214,2.2072),(2555,4855,0.7931,2.1983),(2555,4865,0.63406,2.1921),(2555,4875,0.52457,2.1871),(2555,4885,0.86603,2.1821),(2555,4895,1.2075,2.1727),(2555,4905,1.5489,2.159),(2555,4915,1.5648,2.1453),(2555,4925,1.5527,2.1314),(2555,4935,1.5406,2.1173),(2555,4945,1.4633,2.1032),(2555,4955,1.3635,2.0891),(2555,4965,1.2636,2.075),(2555,4975,1.025,2.0609),(2555,4985,0.67938,2.0468),(2555,4995,0.33372,2.045),(2555,5005,0.25986,2.0435),(2555,5015,0.61809,2.042),(2555,5025,0.97633,2.0337),(2555,5035,1.2856,2.0236),(2555,5045,1.4083,2.0136),(2555,5055,1.5309,2.0019),(2555,5065,1.6501,1.9893),(2555,5075,1.6557,1.9767),(2555,5085,1.6613,1.9641),(2555,5095,1.6669,1.9516),(2555,5105,1.4592,1.9392),(2555,5115,1.2143,1.9282),(2555,5125,0.96937,1.9216),(2555,5135,0.85001,1.9149),(2555,5145,0.79159,1.9084),(2555,5155,0.73316,1.9029),(2555,5165,0.86857,1.8975),(2555,5175,1.2017,1.8921),(2555,5185,1.5348,1.8801),(2555,5195,1.7642,1.8675),(2555,5205,1.77,1.8548),(2555,5215,1.7758,1.8423),(2555,5225,1.7721,1.8299),(2555,5235,1.7096,1.8175),(2555,5245,1.6471,1.806),(2555,5255,1.5846,1.7952),(2555,5265,1.1167,1.7845),(2555,5275,0.632,1.7776),(2555,5285,0.14731,1.777),(2555,5295,0.40085,1.7765),(2555,5305,0.85998,1.7731),(2555,5315,1.3191,1.7581),(2555,5325,1.5577,1.743),(2555,5335,1.6518,1.728),(2555,5345,1.7459,1.7143),(2555,5355,1.8059,1.7006),(2555,5365,1.82,1.6869),(2555,5375,1.8342,1.6738),(2555,5385,1.7397,1.6607),(2555,5395,1.3151,1.6477),(2555,5405,0.89043,1.6409),(2555,5415,0.51261,1.6373),(2555,5425,0.76392,1.6338),(2555,5435,1.0152,1.6268),(2555,5445,1.2665,1.6161),(2555,5455,1.511,1.6053),(2555,5465,1.7547,1.5928),(2555,5475,1.9984,1.5762),(2555,5485,2.0751,1.5596),(2555,5495,2.0845,1.5431),(2555,5505,2.0939,1.527),(2555,5515,2.1033,1.5109),(2555,5525,2.1127,1.4948),(2555,5535,2.122,1.4792),(2555,5545,2.1312,1.4636),(2555,5555,2.1399,1.448),(2555,5565,2.1486,1.4327),(2555,5575,2.1572,1.4176),(2555,5585,2.1652,1.4024),(2555,5595,2.1733,1.3875),(2555,5605,2.1813,1.3728),(2555,5615,2.1888,1.3581),(2555,5625,2.1962,1.3435),(2555,5635,2.2037,1.3292),(2555,5645,2.2107,1.3149),(2555,5655,2.2176,1.3007),(2555,5665,2.2245,1.2868),(2555,5675,2.231,1.2729),(2555,5685,2.2374,1.259),(2555,5695,2.2438,1.2454),(2555,5705,2.25,1.2319),(2555,5715,2.2559,1.2183),(2555,5725,2.2618,1.205),(2555,5735,2.2676,1.1918),(2555,5745,2.2731,1.1786),(2555,5755,2.2786,1.1655),(2555,5765,2.284,1.1526),(2555,5775,2.2891,1.1397),(2555,5785,2.2941,1.127),(2555,5795,2.2992,1.1144),(2555,5805,2.3039,1.1018),(2555,5815,2.3086,1.0893),(2555,5825,2.3133,1.077),(2555,5835,2.3177,1.0646),(2555,5845,2.3221,1.0524),(2555,5855,2.3264,1.0403),(2555,5865,2.3306,1.0283),(2555,5875,2.3346,1.0162),(2555,5885,2.3386,1.0044),(2555,5895,2.3425,0.99263),(2555,5905,2.3462,0.98085),(2555,5915,2.3499,0.96928),(2555,5925,2.3536,0.95776),(2555,5935,2.357,0.94624),(2555,5945,2.3605,0.93487),(2555,5955,2.3639,0.92358),(2555,5965,2.3672,0.9123),(2555,5975,2.3704,0.90111),(2555,5985,2.3737,0.89004),(2555,5995,1.8152,0.87898),(2555,6005,1.1662,0.87052),(2555,6015,0.5173,0.86905),(2555,6025,0.6044,0.86758),(2555,6035,1.0329,0.86513),(2555,6045,1.4613,0.8533),(2555,6055,1.7624,0.84147),(2555,6065,1.9386,0.82965),(2555,6075,2.1148,0.81432),(2555,6085,2.235,0.79867),(2555,6095,2.2397,0.78302),(2555,6105,2.2443,0.76734),(2555,6115,2.2489,0.75166),(2555,6125,2.2533,0.73598),(2555,6135,2.2576,0.72038),(2555,6145,2.262,0.70482),(2555,6155,2.2661,0.68927),(2555,6165,2.2701,0.67378),(2555,6175,2.2742,0.65841),(2555,6185,2.278,0.64303),(2555,6195,2.2817,0.62766),(2555,6205,2.2855,0.61232),(2555,6215,2.289,0.59698),(2555,6225,2.2924,0.58165),(2555,6235,2.2959,0.56636),(2555,6245,2.2992,0.55108),(2555,6255,2.3023,0.53579),(2555,6265,2.3055,0.52058),(2555,6275,2.3085,0.50538),(2555,6285,2.3114,0.49018),(2555,6295,2.3142,0.47503),(2555,6305,2.3171,0.4599),(2555,6315,2.3196,0.44477),(2555,6325,2.3222,0.42965),(2555,6335,2.3248,0.41452),(2555,6345,2.3271,0.3994),(2555,6355,2.3294,0.3843),(2555,6365,2.3316,0.36924),(2555,6375,2.3337,0.35418),(2555,6385,2.3357,0.33913),(2555,6395,2.3377,0.32416),(2555,6405,2.3395,0.30919),(2555,6415,2.3412,0.29422),(2555,6425,2.3429,0.27932),(2555,6435,2.3445,0.26442),(2555,6445,2.346,0.24952),(2555,6455,2.3474,0.23461),(2555,6465,2.3488,0.21971),(2555,6475,2.35,0.2048),(2555,6485,2.3511,0.18988),(2555,6495,2.3523,0.17496),(2555,6505,2.3532,0.16004),(2555,6515,2.3541,0.14515),(2555,6525,2.355,0.13029),(2555,6535,2.3557,0.11543),(2555,6545,2.3563,0.10057),(2555,6555,2.3569,0.085731),(2555,6565,2.3574,0.070892),(2555,6575,2.3577,0.056056),(2555,6585,2.358,0.041273),(2555,6595,2.0057,0.02649),(2555,6605,1.2641,0.011707),(2555,6615,0.52245,0.009973),(2555,6625,0.001104,0.009915),(2555,6635,0.001104,0.009857),(2555,6645,0.001104,0.009832),(2555,6655,0.001104,0.009821),(2555,6665,0.001104,0.00981),(2555,6675,0.001104,0.009798),(2555,6685,0.001104,0.009787),(2555,6695,0.001104,0.009776),(2555,6705,0.001104,0.009765),(2555,6715,0.001104,0.009754),(2555,6725,0.001104,0.009744),(2555,6735,0.001104,0.009733),(2555,6745,0.001104,0.009722),(2555,6755,0.001104,0.009711),(2555,6765,0.001104,0.0097),(2555,6775,0.001104,0.00969),(2555,6785,0.001104,0.009679),(2555,6795,0.001104,0.009668),(2555,6805,0.001104,0.009657),(2555,6815,0.001104,0.009647),(2555,6825,0.001104,0.009636),(2555,6835,0.001104,0.009626),(2555,6845,0.001104,0.009616),(2555,6855,0.001104,0.009605),(2555,6865,0.001104,0.009595),(2555,6875,0.001104,0.009584),(2555,6885,0.001104,0.009574),(2555,6895,0.001105,0.009564),(2555,6905,0.001105,0.009554),(2555,6915,0.001105,0.009544),(2555,6925,0.001105,0.009533),(2555,6935,0.001105,0.009523),(2555,6945,0.001105,0.009513),(2555,6955,0.001105,0.009503),(2555,6965,0.001105,0.009493),(2555,6975,0.001105,0.009483),(2555,6985,0.001105,0.009473),(2565,5,3.6e-05,3.686),(2565,15,0.000107,3.686),(2565,25,0.000178,3.686),(2565,35,0.000249,3.686),(2565,45,0.000321,3.686),(2565,55,0.000392,3.686),(2565,65,0.000463,3.686),(2565,75,0.000535,3.686),(2565,85,0.000606,3.686),(2565,95,0.000678,3.686),(2565,105,0.00075,3.6861),(2565,115,0.000821,3.6861),(2565,125,0.000893,3.6861),(2565,135,0.000965,3.6861),(2565,145,0.001037,3.6861),(2565,155,0.001109,3.6861),(2565,165,0.001182,3.6861),(2565,175,0.001254,3.6861),(2565,185,0.001327,3.6861),(2565,195,0.0014,3.6861),(2565,205,0.001473,3.6861),(2565,215,0.001546,3.6862),(2565,225,0.00162,3.6862),(2565,235,0.001693,3.6862),(2565,245,0.001767,3.6862),(2565,255,0.001841,3.6862),(2565,265,0.001916,3.6862),(2565,275,0.001991,3.6863),(2565,285,0.002066,3.6863),(2565,295,0.002141,3.6863),(2565,305,0.002217,3.6863),(2565,315,0.002293,3.6863),(2565,325,0.002369,3.6864),(2565,335,0.002445,3.6864),(2565,345,0.002523,3.6864),(2565,355,0.0026,3.6864),(2565,365,0.002677,3.6864),(2565,375,0.002755,3.6865),(2565,385,0.002834,3.6865),(2565,395,0.002913,3.6865),(2565,405,0.002992,3.6865),(2565,415,0.003071,3.6866),(2565,425,0.003151,3.6866),(2565,435,0.003232,3.6866),(2565,445,0.003313,3.6867),(2565,455,0.003394,3.6867),(2565,465,0.003477,3.6867),(2565,475,0.00356,3.6868),(2565,485,0.003643,3.6868),(2565,495,0.003726,3.6868),(2565,505,0.003811,3.6869),(2565,515,0.003897,3.6869),(2565,525,0.003982,3.6869),(2565,535,0.004067,3.687),(2565,545,0.004155,3.687),(2565,555,0.004243,3.6871),(2565,565,0.004331,3.6871),(2565,575,0.004419,3.6871),(2565,585,0.00451,3.6872),(2565,595,0.0046,3.6872),(2565,605,0.004691,3.6873),(2565,615,0.004782,3.6873),(2565,625,0.004876,3.6874),(2565,635,0.004971,3.6874),(2565,645,0.005065,3.6875),(2565,655,0.005159,3.6875),(2565,665,0.005257,3.6876),(2565,675,0.005355,3.6876),(2565,685,0.005453,3.6877),(2565,695,0.005551,3.6877),(2565,705,0.005653,3.6878),(2565,715,0.005755,3.6878),(2565,725,0.005857,3.6879),(2565,735,0.005959,3.688),(2565,745,0.006065,3.688),(2565,755,0.006171,3.6881),(2565,765,0.006278,3.6881),(2565,775,0.006385,3.6882),(2565,785,0.006496,3.6883),(2565,795,0.006607,3.6883),(2565,805,0.006718,3.6884),(2565,815,0.006831,3.6885),(2565,825,0.006947,3.6886),(2565,835,0.007064,3.6886),(2565,845,0.00718,3.6887),(2565,855,0.007299,3.6888),(2565,865,0.007421,3.6889),(2565,875,0.007543,3.6889),(2565,885,0.007666,3.689),(2565,895,0.007791,3.6891),(2565,905,0.00792,3.6892),(2565,915,0.008049,3.6893),(2565,925,0.008178,3.6893),(2565,935,0.00831,3.6894),(2565,945,0.008446,3.6895),(2565,955,0.008582,3.6896),(2565,965,0.008718,3.6897),(2565,975,0.008858,3.6898),(2565,985,0.009002,3.6899),(2565,995,0.009146,3.69),(2565,1005,0.00929,3.6901),(2565,1015,0.009439,3.6902),(2565,1025,0.009591,3.6903),(2565,1035,0.009744,3.6904),(2565,1045,0.009896,3.6905),(2565,1055,0.010054,3.6906),(2565,1065,0.010216,3.6907),(2565,1075,0.010378,3.6908),(2565,1085,0.01054,3.6909),(2565,1095,0.010708,3.691),(2565,1105,0.01088,3.6911),(2565,1115,0.011052,3.6912),(2565,1125,0.011225,3.6914),(2565,1135,0.011404,3.6915),(2565,1145,0.011587,3.6916),(2565,1155,0.011771,3.6917),(2565,1165,0.011954,3.6918),(2565,1175,0.012146,3.692),(2565,1185,0.012341,3.6921),(2565,1195,0.012537,3.6922),(2565,1205,0.012732,3.6924),(2565,1215,0.012937,3.6925),(2565,1225,0.013146,3.6926),(2565,1235,0.013355,3.6928),(2565,1245,0.013564,3.6929),(2565,1255,0.013784,3.693),(2565,1265,0.014007,3.6932),(2565,1275,0.01423,3.6933),(2565,1285,0.014453,3.6935),(2565,1295,0.014689,3.6936),(2565,1305,0.014927,3.6938),(2565,1315,0.015166,3.6939),(2565,1325,0.015404,3.6941),(2565,1335,0.015657,3.6942),(2565,1345,0.015912,3.6944),(2565,1355,0.016168,3.6945),(2565,1365,0.016424,3.6947),(2565,1375,0.016695,3.6948),(2565,1385,0.016969,3.695),(2565,1395,0.017243,3.6952),(2565,1405,0.017517,3.6953),(2565,1415,0.017809,3.6955),(2565,1425,0.018102,3.6957),(2565,1435,0.018396,3.6958),(2565,1445,0.01869,3.696),(2565,1455,0.019004,3.6962),(2565,1465,0.019319,3.6964),(2565,1475,0.019634,3.6965),(2565,1485,0.019948,3.6967),(2565,1495,0.020286,3.6969),(2565,1505,0.020624,3.6971),(2565,1515,0.020962,3.6973),(2565,1525,0.0213,3.6974),(2565,1535,0.021663,3.6976),(2565,1545,0.022026,3.6978),(2565,1555,0.022389,3.698),(2565,1565,0.022753,3.6982),(2565,1575,0.023143,3.6984),(2565,1585,0.023532,3.6986),(2565,1595,0.023922,3.6988),(2565,1605,0.024314,3.699),(2565,1615,0.024732,3.6992),(2565,1625,0.02515,3.6994),(2565,1635,0.025568,3.6996),(2565,1645,0.025991,3.6997),(2565,1655,0.02644,3.6999),(2565,1665,0.026889,3.7001),(2565,1675,0.027338,3.7003),(2565,1685,0.027793,3.7005),(2565,1695,0.028275,3.7008),(2565,1705,0.028757,3.701),(2565,1715,0.029239,3.7012),(2565,1725,0.029729,3.7014),(2565,1735,0.030247,3.7016),(2565,1745,0.030764,3.7018),(2565,1755,0.031282,3.702),(2565,1765,0.031809,3.7022),(2565,1775,0.032365,3.7024),(2565,1785,0.03292,3.7026),(2565,1795,0.033475,3.7028),(2565,1805,0.034043,3.703),(2565,1815,0.034639,3.7032),(2565,1825,0.035235,3.7034),(2565,1835,0.035831,3.7036),(2565,1845,0.036441,3.7038),(2565,1855,0.03708,3.704),(2565,1865,0.03772,3.7042),(2565,1875,0.038359,3.7044),(2565,1885,0.039016,3.7046),(2565,1895,0.039701,3.7048),(2565,1905,0.040386,3.705),(2565,1915,0.041071,3.7051),(2565,1925,0.041777,3.7053),(2565,1935,0.042511,3.7055),(2565,1945,0.043245,3.7057),(2565,1955,0.04398,3.7059),(2565,1965,0.044738,3.7061),(2565,1975,0.045524,3.7062),(2565,1985,0.04631,3.7064),(2565,1995,0.047096,3.7066),(2565,2005,0.047909,3.7067),(2565,2015,0.04875,3.7069),(2565,2025,0.049591,3.707),(2565,2035,0.050431,3.7072),(2565,2045,0.051303,3.7073),(2565,2055,0.052202,3.7075),(2565,2065,0.0531,3.7076),(2565,2075,0.053999,3.7077),(2565,2085,0.054933,3.7079),(2565,2095,0.055892,3.708),(2565,2105,0.056852,3.7081),(2565,2115,0.057811,3.7082),(2565,2125,0.05881,3.7083),(2565,2135,0.059833,3.7084),(2565,2145,0.060856,3.7085),(2565,2155,0.06188,3.7086),(2565,2165,0.062947,3.7086),(2565,2175,0.064037,3.7087),(2565,2185,0.065126,3.7087),(2565,2195,0.066216,3.7088),(2565,2205,0.067354,3.7088),(2565,2215,0.068513,3.7088),(2565,2225,0.069672,3.7089),(2565,2235,0.070831,3.7088),(2565,2245,0.072042,3.7088),(2565,2255,0.073272,3.7088),(2565,2265,0.074502,3.7088),(2565,2275,0.075732,3.7087),(2565,2285,0.077019,3.7087),(2565,2295,0.078323,3.7086),(2565,2305,0.079626,3.7085),(2565,2315,0.080929,3.7084),(2565,2325,0.082294,3.7083),(2565,2335,0.083672,3.7082),(2565,2345,0.08505,3.708),(2565,2355,0.086428,3.7078),(2565,2365,0.087871,3.7076),(2565,2375,0.089325,3.7074),(2565,2385,0.090779,3.7072),(2565,2395,0.092232,3.707),(2565,2405,0.093755,3.7067),(2565,2415,0.095285,3.7064),(2565,2425,0.096815,3.7061),(2565,2435,0.098345,3.7058),(2565,2445,0.099946,3.7054),(2565,2455,0.10155,3.7051),(2565,2465,0.10316,3.7047),(2565,2475,0.10476,3.7043),(2565,2485,0.10644,3.7038),(2565,2495,0.10812,3.7034),(2565,2505,0.1098,3.7029),(2565,2515,0.11149,3.7023),(2565,2525,0.11324,3.7018),(2565,2535,0.11499,3.7013),(2565,2545,0.11674,3.7006),(2565,2555,0.1185,3.7),(2565,2565,0.12032,3.6994),(2565,2575,0.12214,3.6987),(2565,2585,0.12396,3.6979),(2565,2595,0.12579,3.6972),(2565,2605,0.12768,3.6964),(2565,2615,0.12957,3.6956),(2565,2625,0.13145,3.6947),(2565,2635,0.13335,3.6938),(2565,2645,0.13529,3.6929),(2565,2655,0.13724,3.692),(2565,2665,0.13918,3.6909),(2565,2675,0.14114,3.6899),(2565,2685,0.14313,3.6889),(2565,2695,0.14513,3.6878),(2565,2705,0.14713,3.6866),(2565,2715,0.14913,3.6854),(2565,2725,0.15117,3.6842),(2565,2735,0.15321,3.6829),(2565,2745,0.15525,3.6816),(2565,2755,0.1573,3.6802),(2565,2765,0.15938,3.6788),(2565,2775,0.16145,3.6774),(2565,2785,0.16353,3.6759),(2565,2795,0.16561,3.6744),(2565,2805,0.1677,3.6728),(2565,2815,0.1698,3.6712),(2565,2825,0.1719,3.6695),(2565,2835,0.174,3.6678),(2565,2845,0.1761,3.6661),(2565,2855,0.17821,3.6643),(2565,2865,0.18032,3.6624),(2565,2875,0.18243,3.6604),(2565,2885,0.18453,3.6585),(2565,2895,0.18663,3.6565),(2565,2905,0.18874,3.6544),(2565,2915,0.19083,3.6523),(2565,2925,0.19292,3.6502),(2565,2935,0.19501,3.648),(2565,2945,0.19709,3.6457),(2565,2955,0.19916,3.6434),(2565,2965,0.20121,3.6411),(2565,2975,0.20327,3.6387),(2565,2985,0.20532,3.6362),(2565,2995,0.20734,3.6337),(2565,3005,0.20935,3.6312),(2565,3015,0.21135,3.6286),(2565,3025,0.21335,3.6259),(2565,3035,0.21531,3.6231),(2565,3045,0.21725,3.6204),(2565,3055,0.21918,3.6176),(2565,3065,0.22111,3.6147),(2565,3075,0.223,3.6118),(2565,3085,0.22484,3.6089),(2565,3095,0.22669,3.6058),(2565,3105,0.22854,3.6027),(2565,3115,0.23032,3.5996),(2565,3125,0.23207,3.5965),(2565,3135,0.23381,3.5933),(2565,3145,0.23555,3.59),(2565,3155,0.23722,3.5867),(2565,3165,0.23884,3.5834),(2565,3175,0.24046,3.58),(2565,3185,0.24208,3.5765),(2565,3195,0.24361,3.573),(2565,3205,0.24509,3.5695),(2565,3215,0.24657,3.5659),(2565,3225,0.24805,3.5622),(2565,3235,0.24942,3.5586),(2565,3245,0.25075,3.5549),(2565,3255,0.25207,3.5511),(2565,3265,0.2534,3.5473),(2565,3275,0.25459,3.5435),(2565,3285,0.25575,3.5397),(2565,3295,0.2569,3.5358),(2565,3305,0.25806,3.5318),(2565,3315,0.25906,3.5278),(2565,3325,0.26003,3.5239),(2565,3335,0.26099,3.5198),(2565,3345,0.26196,3.5157),(2565,3355,0.26276,3.5116),(2565,3365,0.26353,3.5076),(2565,3375,0.2643,3.5034),(2565,3385,0.26507,3.4992),(2565,3395,0.26565,3.495),(2565,3405,0.26621,3.4908),(2565,3415,0.26677,3.4865),(2565,3425,0.26733,3.4823),(2565,3435,0.26768,3.478),(2565,3445,0.26802,3.4737),(2565,3455,0.26837,3.4694),(2565,3465,0.26871,3.465),(2565,3475,0.26883,3.4607),(2565,3485,0.26895,3.4563),(2565,3495,0.26906,3.452),(2565,3505,0.26918,3.4476),(2565,3515,0.26907,3.4432),(2565,3525,0.26895,3.4388),(2565,3535,0.26884,3.4344),(2565,3545,0.26872,3.43),(2565,3555,0.26838,3.4256),(2565,3565,0.26804,3.4212),(2565,3575,0.2677,3.4168),(2565,3585,0.26734,3.4124),(2565,3595,0.26677,3.4081),(2565,3605,0.2662,3.4037),(2565,3615,0.26563,3.3993),(2565,3625,0.26504,3.395),(2565,3635,0.26425,3.3906),(2565,3645,0.26346,3.3862),(2565,3655,0.26267,3.3819),(2565,3665,0.26184,3.3776),(2565,3675,0.26083,3.3733),(2565,3685,0.25982,3.369),(2565,3695,0.25882,3.3648),(2565,3705,0.25777,3.3605),(2565,3715,0.25655,3.3563),(2565,3725,0.25534,3.3521),(2565,3735,0.25412,3.3479),(2565,3745,0.25286,3.3438),(2565,3755,0.25145,3.3397),(2565,3765,0.25003,3.3355),(2565,3775,0.24862,3.3315),(2565,3785,0.24715,3.3275),(2565,3795,0.24555,3.3234),(2565,3805,0.24395,3.3194),(2565,3815,0.24235,3.3155),(2565,3825,0.24069,3.3116),(2565,3835,0.23891,3.3077),(2565,3845,0.23713,3.3038),(2565,3855,0.23535,3.3),(2565,3865,0.23351,3.2962),(2565,3875,0.23156,3.2925),(2565,3885,0.22961,3.2887),(2565,3895,0.22766,3.2851),(2565,3905,0.25844,3.2815),(2565,3915,0.33812,3.2778),(2565,3925,0.41779,3.2725),(2565,3935,0.49747,3.2647),(2565,3945,0.58062,3.2569),(2565,3955,0.66818,3.2492),(2565,3965,0.75574,3.2393),(2565,3975,0.8433,3.227),(2565,3985,0.89308,3.2146),(2565,3995,0.90196,3.2023),(2565,4005,0.91084,3.1898),(2565,4015,0.91972,3.1771),(2565,4025,0.92983,3.1644),(2565,4035,0.94006,3.1517),(2565,4045,0.95029,3.1387),(2565,4055,0.96065,3.1257),(2565,4065,0.97104,3.1127),(2565,4075,0.98144,3.0995),(2565,4085,0.99144,3.0863),(2565,4095,1.0011,3.0731),(2565,4105,1.0108,3.0597),(2565,4115,0.9837,3.0464),(2565,4125,0.89549,3.033),(2565,4135,0.80729,3.0224),(2565,4145,0.71761,3.0127),(2565,4155,0.62198,3.0029),(2565,4165,0.52634,2.9954),(2565,4175,0.43648,2.9893),(2565,4185,0.63243,2.9831),(2565,4195,0.82838,2.9736),(2565,4205,1.0243,2.9594),(2565,4215,1.0387,2.9452),(2565,4225,1.019,2.931),(2565,4235,0.99923,2.9165),(2565,4245,0.94863,2.9021),(2565,4255,0.88238,2.8877),(2565,4265,0.81614,2.8747),(2565,4275,0.69573,2.8618),(2565,4285,0.51785,2.8488),(2565,4295,0.33996,2.844),(2565,4305,0.29207,2.8402),(2565,4315,0.53771,2.8364),(2565,4325,0.78335,2.8262),(2565,4335,1.0032,2.8135),(2565,4345,1.0484,2.8008),(2565,4355,1.0936,2.7872),(2565,4365,1.1388,2.7727),(2565,4375,1.1524,2.7582),(2565,4385,1.1644,2.7435),(2565,4395,1.1763,2.7283),(2565,4405,1.0359,2.7132),(2565,4415,0.85062,2.6992),(2565,4425,0.66529,2.6907),(2565,4435,0.58924,2.6822),(2565,4445,0.58787,2.6737),(2565,4455,0.5865,2.6658),(2565,4465,0.67486,2.658),(2565,4475,0.88927,2.6501),(2565,4485,1.1037,2.6362),(2565,4495,1.2698,2.6211),(2565,4505,1.2812,2.606),(2565,4515,1.2925,2.591),(2565,4525,1.301,2.576),(2565,4535,1.266,2.561),(2565,4545,1.231,2.5472),(2565,4555,1.1959,2.5347),(2565,4565,0.91359,2.5223),(2565,4575,0.59791,2.5126),(2565,4585,0.28223,2.5094),(2565,4595,0.35055,2.5061),(2565,4605,0.58111,2.5016),(2565,4615,0.81167,2.4867),(2565,4625,0.97332,2.4718),(2565,4635,1.0725,2.4568),(2565,4645,1.1718,2.4406),(2565,4655,1.2494,2.4243),(2565,4665,1.2864,2.408),(2565,4675,1.3235,2.3925),(2565,4685,1.308,2.3772),(2565,4695,1.0331,2.3618),(2565,4705,0.75818,2.3522),(2565,4715,0.48327,2.3467),(2565,4725,0.63148,2.3412),(2565,4735,0.78391,2.3338),(2565,4745,0.93635,2.3235),(2565,4755,1.0932,2.3133),(2565,4765,1.2512,2.3021),(2565,4775,1.4091,2.2879),(2565,4785,1.4717,2.2736),(2565,4795,1.4791,2.2594),(2565,4805,1.4865,2.2455),(2565,4815,1.4204,2.2316),(2565,4825,1.2663,2.2176),(2565,4835,1.1122,2.208),(2565,4845,0.95663,2.199),(2565,4855,0.79703,2.19),(2565,4865,0.63743,2.1838),(2565,4875,0.52757,2.1788),(2565,4885,0.8703,2.1738),(2565,4895,1.213,2.1644),(2565,4905,1.5558,2.1507),(2565,4915,1.5719,2.137),(2565,4925,1.56,2.1232),(2565,4935,1.548,2.1091),(2565,4945,1.4711,2.095),(2565,4955,1.3716,2.0809),(2565,4965,1.2722,2.0667),(2565,4975,1.0324,2.0525),(2565,4985,0.68426,2.0383),(2565,4995,0.33616,2.0366),(2565,5005,0.26125,2.0351),(2565,5015,0.62066,2.0336),(2565,5025,0.98007,2.0253),(2565,5035,1.2903,2.0152),(2565,5045,1.4133,2.0052),(2565,5055,1.5362,1.9935),(2565,5065,1.6557,1.9809),(2565,5075,1.6612,1.9682),(2565,5085,1.6667,1.9556),(2565,5095,1.6722,1.9432),(2565,5105,1.4639,1.9307),(2565,5115,1.2182,1.9197),(2565,5125,0.97246,1.9131),(2565,5135,0.85276,1.9064),(2565,5145,0.7942,1.8998),(2565,5155,0.73564,1.8944),(2565,5165,0.8714,1.889),(2565,5175,1.2053,1.8835),(2565,5185,1.5393,1.8716),(2565,5195,1.7692,1.8589),(2565,5205,1.775,1.8463),(2565,5215,1.7807,1.8338),(2565,5225,1.7769,1.8214),(2565,5235,1.7141,1.8089),(2565,5245,1.6514,1.7975),(2565,5255,1.5886,1.7867),(2565,5265,1.1196,1.776),(2565,5275,0.63374,1.769),(2565,5285,0.14792,1.7685),(2565,5295,0.40321,1.7679),(2565,5305,0.86488,1.7646),(2565,5315,1.3265,1.7495),(2565,5325,1.5657,1.7344),(2565,5335,1.659,1.7193),(2565,5345,1.7523,1.7057),(2565,5355,1.8117,1.692),(2565,5365,1.8256,1.6784),(2565,5375,1.8395,1.6652),(2565,5385,1.7446,1.6522),(2565,5395,1.3188,1.6391),(2565,5405,0.89295,1.6323),(2565,5415,0.51412,1.6288),(2565,5425,0.76662,1.6253),(2565,5435,1.0191,1.6183),(2565,5445,1.2716,1.6076),(2565,5455,1.517,1.597),(2565,5465,1.7615,1.5845),(2565,5475,2.0059,1.568),(2565,5485,2.0827,1.5515),(2565,5495,2.0919,1.5351),(2565,5505,2.1012,1.5191),(2565,5515,2.1104,1.5031),(2565,5525,2.1196,1.4871),(2565,5535,2.1287,1.4715),(2565,5545,2.1377,1.456),(2565,5555,2.1462,1.4405),(2565,5565,2.1548,1.4253),(2565,5575,2.1632,1.4103),(2565,5585,2.1711,1.3952),(2565,5595,2.179,1.3804),(2565,5605,2.1869,1.3657),(2565,5615,2.1942,1.3511),(2565,5625,2.2015,1.3366),(2565,5635,2.2088,1.3224),(2565,5645,2.2156,1.3082),(2565,5655,2.2224,1.2941),(2565,5665,2.2291,1.2802),(2565,5675,2.2355,1.2664),(2565,5685,2.2418,1.2526),(2565,5695,2.248,1.2391),(2565,5705,2.2541,1.2256),(2565,5715,2.2599,1.2122),(2565,5725,2.2657,1.199),(2565,5735,2.2713,1.1858),(2565,5745,2.2767,1.1726),(2565,5755,2.282,1.1597),(2565,5765,2.2874,1.1469),(2565,5775,2.2923,1.1341),(2565,5785,2.2973,1.1214),(2565,5795,2.3022,1.1089),(2565,5805,2.3069,1.0963),(2565,5815,2.3114,1.0839),(2565,5825,2.316,1.0717),(2565,5835,2.3204,1.0594),(2565,5845,2.3246,1.0472),(2565,5855,2.3288,1.0352),(2565,5865,2.3329,1.0233),(2565,5875,2.3368,1.0113),(2565,5885,2.3407,0.99957),(2565,5895,2.3445,0.98786),(2565,5905,2.3482,0.97614),(2565,5915,2.3518,0.96465),(2565,5925,2.3553,0.9532),(2565,5935,2.3587,0.94176),(2565,5945,2.362,0.93046),(2565,5955,2.3654,0.91925),(2565,5965,2.3686,0.90804),(2565,5975,2.3718,0.89693),(2565,5985,2.3749,0.88594),(2565,5995,1.8161,0.87494),(2565,6005,1.1669,0.86654),(2565,6015,0.5176,0.86507),(2565,6025,0.60568,0.86361),(2565,6035,1.0357,0.86117),(2565,6045,1.4658,0.84939),(2565,6055,1.7679,0.83762),(2565,6065,1.9446,0.82584),(2565,6075,2.1214,0.81058),(2565,6085,2.2418,0.79499),(2565,6095,2.2465,0.7794),(2565,6105,2.2511,0.76379),(2565,6115,2.2556,0.74817),(2565,6125,2.26,0.73256),(2565,6135,2.2643,0.71701),(2565,6145,2.2686,0.70152),(2565,6155,2.2727,0.68603),(2565,6165,2.2767,0.6706),(2565,6175,2.2807,0.65529),(2565,6185,2.2845,0.63998),(2565,6195,2.2882,0.62468),(2565,6205,2.2919,0.60941),(2565,6215,2.2954,0.59414),(2565,6225,2.2988,0.57887),(2565,6235,2.3022,0.56365),(2565,6245,2.3055,0.54844),(2565,6255,2.3086,0.53323),(2565,6265,2.3117,0.51808),(2565,6275,2.3147,0.50296),(2565,6285,2.3175,0.48783),(2565,6295,2.3204,0.47275),(2565,6305,2.3232,0.45769),(2565,6315,2.3257,0.44264),(2565,6325,2.3282,0.42758),(2565,6335,2.3308,0.41254),(2565,6345,2.3331,0.39749),(2565,6355,2.3353,0.38245),(2565,6365,2.3376,0.36746),(2565,6375,2.3396,0.35247),(2565,6385,2.3416,0.33749),(2565,6395,2.3436,0.3226),(2565,6405,2.3454,0.3077),(2565,6415,2.3471,0.2928),(2565,6425,2.3488,0.27797),(2565,6435,2.3503,0.26314),(2565,6445,2.3518,0.24832),(2565,6455,2.3532,0.23349),(2565,6465,2.3545,0.21866),(2565,6475,2.3557,0.20383),(2565,6485,2.3569,0.18899),(2565,6495,2.358,0.17415),(2565,6505,2.3589,0.15931),(2565,6515,2.3598,0.14449),(2565,6525,2.3607,0.1297),(2565,6535,2.3614,0.11491),(2565,6545,2.362,0.10013),(2565,6555,2.3626,0.085361),(2565,6565,2.363,0.070593),(2565,6575,2.3633,0.055829),(2565,6585,2.3637,0.041123),(2565,6595,2.0105,0.026417),(2565,6605,1.2671,0.011711),(2565,6615,0.52371,0.009982),(2565,6625,0.001111,0.00992),(2565,6635,0.001111,0.009858),(2565,6645,0.001111,0.009832),(2565,6655,0.001111,0.009821),(2565,6665,0.001111,0.00981),(2565,6675,0.001111,0.009798),(2565,6685,0.001111,0.009787),(2565,6695,0.001111,0.009776),(2565,6705,0.001111,0.009765),(2565,6715,0.00111,0.009754),(2565,6725,0.00111,0.009744),(2565,6735,0.00111,0.009733),(2565,6745,0.00111,0.009722),(2565,6755,0.00111,0.009711),(2565,6765,0.00111,0.0097),(2565,6775,0.00111,0.00969),(2565,6785,0.00111,0.009679),(2565,6795,0.00111,0.009668),(2565,6805,0.00111,0.009657),(2565,6815,0.00111,0.009647),(2565,6825,0.00111,0.009636),(2565,6835,0.00111,0.009626),(2565,6845,0.00111,0.009616),(2565,6855,0.00111,0.009605),(2565,6865,0.00111,0.009595),(2565,6875,0.00111,0.009584),(2565,6885,0.00111,0.009574),(2565,6895,0.00111,0.009564),(2565,6905,0.00111,0.009554),(2565,6915,0.00111,0.009544),(2565,6925,0.00111,0.009533),(2565,6935,0.00111,0.009523),(2565,6945,0.00111,0.009513),(2565,6955,0.00111,0.009503),(2565,6965,0.00111,0.009493),(2565,6975,0.00111,0.009483),(2565,6985,0.00111,0.009473),(2575,5,3.5e-05,3.6861),(2575,15,0.000105,3.6861),(2575,25,0.000176,3.6861),(2575,35,0.000246,3.6861),(2575,45,0.000316,3.6861),(2575,55,0.000387,3.6861),(2575,65,0.000457,3.6861),(2575,75,0.000528,3.6861),(2575,85,0.000598,3.6861),(2575,95,0.000669,3.6861),(2575,105,0.00074,3.6861),(2575,115,0.00081,3.6861),(2575,125,0.000881,3.6861),(2575,135,0.000952,3.6861),(2575,145,0.001023,3.6862),(2575,155,0.001095,3.6862),(2575,165,0.001166,3.6862),(2575,175,0.001237,3.6862),(2575,185,0.001309,3.6862),(2575,195,0.001381,3.6862),(2575,205,0.001453,3.6862),(2575,215,0.001525,3.6862),(2575,225,0.001598,3.6862),(2575,235,0.001671,3.6863),(2575,245,0.001744,3.6863),(2575,255,0.001816,3.6863),(2575,265,0.00189,3.6863),(2575,275,0.001964,3.6863),(2575,285,0.002038,3.6863),(2575,295,0.002112,3.6864),(2575,305,0.002187,3.6864),(2575,315,0.002262,3.6864),(2575,325,0.002337,3.6864),(2575,335,0.002412,3.6865),(2575,345,0.002488,3.6865),(2575,355,0.002564,3.6865),(2575,365,0.002641,3.6865),(2575,375,0.002717,3.6865),(2575,385,0.002795,3.6866),(2575,395,0.002873,3.6866),(2575,405,0.00295,3.6866),(2575,415,0.003028,3.6867),(2575,425,0.003108,3.6867),(2575,435,0.003187,3.6867),(2575,445,0.003267,3.6867),(2575,455,0.003347,3.6868),(2575,465,0.003429,3.6868),(2575,475,0.00351,3.6868),(2575,485,0.003592,3.6869),(2575,495,0.003674,3.6869),(2575,505,0.003758,3.6869),(2575,515,0.003842,3.687),(2575,525,0.003926,3.687),(2575,535,0.00401,3.6871),(2575,545,0.004097,3.6871),(2575,555,0.004183,3.6871),(2575,565,0.004269,3.6872),(2575,575,0.004356,3.6872),(2575,585,0.004445,3.6873),(2575,595,0.004535,3.6873),(2575,605,0.004624,3.6874),(2575,615,0.004714,3.6874),(2575,625,0.004806,3.6875),(2575,635,0.004899,3.6875),(2575,645,0.004992,3.6876),(2575,655,0.005085,3.6876),(2575,665,0.005181,3.6877),(2575,675,0.005277,3.6877),(2575,685,0.005373,3.6878),(2575,695,0.00547,3.6878),(2575,705,0.00557,3.6879),(2575,715,0.005671,3.6879),(2575,725,0.005771,3.688),(2575,735,0.005872,3.6881),(2575,745,0.005976,3.6881),(2575,755,0.006081,3.6882),(2575,765,0.006185,3.6883),(2575,775,0.006291,3.6883),(2575,785,0.0064,3.6884),(2575,795,0.006509,3.6885),(2575,805,0.006619,3.6885),(2575,815,0.006729,3.6886),(2575,825,0.006844,3.6887),(2575,835,0.006959,3.6887),(2575,845,0.007073,3.6888),(2575,855,0.00719,3.6889),(2575,865,0.00731,3.689),(2575,875,0.00743,3.6891),(2575,885,0.007551,3.6891),(2575,895,0.007674,3.6892),(2575,905,0.007801,3.6893),(2575,915,0.007928,3.6894),(2575,925,0.008055,3.6895),(2575,935,0.008185,3.6896),(2575,945,0.008319,3.6896),(2575,955,0.008453,3.6897),(2575,965,0.008587,3.6898),(2575,975,0.008725,3.6899),(2575,985,0.008866,3.69),(2575,995,0.009008,3.6901),(2575,1005,0.00915,3.6902),(2575,1015,0.009296,3.6903),(2575,1025,0.009447,3.6904),(2575,1035,0.009597,3.6905),(2575,1045,0.009747,3.6906),(2575,1055,0.009903,3.6907),(2575,1065,0.010062,3.6908),(2575,1075,0.010222,3.691),(2575,1085,0.010382,3.6911),(2575,1095,0.010547,3.6912),(2575,1105,0.010717,3.6913),(2575,1115,0.010887,3.6914),(2575,1125,0.011056,3.6915),(2575,1135,0.011233,3.6917),(2575,1145,0.011414,3.6918),(2575,1155,0.011595,3.6919),(2575,1165,0.011776,3.692),(2575,1175,0.011965,3.6922),(2575,1185,0.012158,3.6923),(2575,1195,0.012351,3.6924),(2575,1205,0.012544,3.6926),(2575,1215,0.012746,3.6927),(2575,1225,0.012952,3.6928),(2575,1235,0.013158,3.693),(2575,1245,0.013365,3.6931),(2575,1255,0.013581,3.6933),(2575,1265,0.013802,3.6934),(2575,1275,0.014022,3.6935),(2575,1285,0.014243,3.6937),(2575,1295,0.014475,3.6938),(2575,1305,0.014711,3.694),(2575,1315,0.014947,3.6942),(2575,1325,0.015183,3.6943),(2575,1335,0.015432,3.6945),(2575,1345,0.015685,3.6946),(2575,1355,0.015938,3.6948),(2575,1365,0.01619,3.695),(2575,1375,0.016459,3.6951),(2575,1385,0.01673,3.6953),(2575,1395,0.017001,3.6955),(2575,1405,0.017272,3.6956),(2575,1415,0.017561,3.6958),(2575,1425,0.017851,3.696),(2575,1435,0.018142,3.6961),(2575,1445,0.018433,3.6963),(2575,1455,0.018744,3.6965),(2575,1465,0.019056,3.6967),(2575,1475,0.019368,3.6969),(2575,1485,0.01968,3.697),(2575,1495,0.020014,3.6972),(2575,1505,0.020349,3.6974),(2575,1515,0.020684,3.6976),(2575,1525,0.02102,3.6978),(2575,1535,0.021379,3.698),(2575,1545,0.021739,3.6982),(2575,1555,0.022099,3.6984),(2575,1565,0.02246,3.6986),(2575,1575,0.022847,3.6988),(2575,1585,0.023234,3.699),(2575,1595,0.02362,3.6992),(2575,1605,0.02401,3.6994),(2575,1615,0.024425,3.6996),(2575,1625,0.02484,3.6998),(2575,1635,0.025255,3.7),(2575,1645,0.025675,3.7002),(2575,1655,0.026121,3.7004),(2575,1665,0.026567,3.7006),(2575,1675,0.027013,3.7008),(2575,1685,0.027466,3.701),(2575,1695,0.027945,3.7012),(2575,1705,0.028425,3.7014),(2575,1715,0.028904,3.7016),(2575,1725,0.029392,3.7019),(2575,1735,0.029907,3.7021),(2575,1745,0.030422,3.7023),(2575,1755,0.030937,3.7025),(2575,1765,0.031462,3.7027),(2575,1775,0.032015,3.7029),(2575,1785,0.032568,3.7031),(2575,1795,0.033121,3.7033),(2575,1805,0.033687,3.7036),(2575,1815,0.03428,3.7038),(2575,1825,0.034874,3.704),(2575,1835,0.035468,3.7042),(2575,1845,0.036077,3.7044),(2575,1855,0.036715,3.7046),(2575,1865,0.037352,3.7048),(2575,1875,0.03799,3.705),(2575,1885,0.038645,3.7052),(2575,1895,0.039329,3.7054),(2575,1905,0.040013,3.7056),(2575,1915,0.040697,3.7058),(2575,1925,0.041401,3.706),(2575,1935,0.042135,3.7062),(2575,1945,0.042868,3.7064),(2575,1955,0.043601,3.7066),(2575,1965,0.044359,3.7068),(2575,1975,0.045145,3.707),(2575,1985,0.045931,3.7072),(2575,1995,0.046716,3.7074),(2575,2005,0.04753,3.7076),(2575,2015,0.048371,3.7077),(2575,2025,0.049213,3.7079),(2575,2035,0.050054,3.7081),(2575,2045,0.050927,3.7082),(2575,2055,0.051826,3.7084),(2575,2065,0.052726,3.7085),(2575,2075,0.053626,3.7087),(2575,2085,0.054561,3.7088),(2575,2095,0.055523,3.709),(2575,2105,0.056484,3.7091),(2575,2115,0.057446,3.7092),(2575,2125,0.058448,3.7093),(2575,2135,0.059474,3.7094),(2575,2145,0.0605,3.7095),(2575,2155,0.061527,3.7096),(2575,2165,0.062598,3.7097),(2575,2175,0.063692,3.7098),(2575,2185,0.064786,3.7098),(2575,2195,0.06588,3.7099),(2575,2205,0.067023,3.71),(2575,2215,0.068187,3.71),(2575,2225,0.069352,3.71),(2575,2235,0.070516,3.71),(2575,2245,0.071734,3.71),(2575,2255,0.072971,3.71),(2575,2265,0.074208,3.71),(2575,2275,0.075445,3.71),(2575,2285,0.076741,3.7099),(2575,2295,0.078052,3.7099),(2575,2305,0.079364,3.7098),(2575,2315,0.080676,3.7097),(2575,2325,0.082051,3.7096),(2575,2335,0.083439,3.7095),(2575,2345,0.084827,3.7094),(2575,2355,0.086216,3.7092),(2575,2365,0.087671,3.7091),(2575,2375,0.089137,3.7089),(2575,2385,0.090603,3.7087),(2575,2395,0.092069,3.7084),(2575,2405,0.093605,3.7082),(2575,2415,0.095149,3.708),(2575,2425,0.096693,3.7077),(2575,2435,0.098238,3.7073),(2575,2445,0.099855,3.707),(2575,2455,0.10148,3.7067),(2575,2465,0.1031,3.7063),(2575,2475,0.10472,3.7059),(2575,2485,0.10642,3.7055),(2575,2495,0.10812,3.7051),(2575,2505,0.10982,3.7046),(2575,2515,0.11152,3.7041),(2575,2525,0.11329,3.7035),(2575,2535,0.11506,3.703),(2575,2545,0.11684,3.7024),(2575,2555,0.11862,3.7018),(2575,2565,0.12046,3.7012),(2575,2575,0.12231,3.7005),(2575,2585,0.12415,3.6998),(2575,2595,0.126,3.699),(2575,2605,0.12792,3.6983),(2575,2615,0.12983,3.6975),(2575,2625,0.13174,3.6966),(2575,2635,0.13366,3.6957),(2575,2645,0.13563,3.6948),(2575,2655,0.13761,3.6939),(2575,2665,0.13958,3.6929),(2575,2675,0.14156,3.6919),(2575,2685,0.14359,3.6908),(2575,2695,0.14562,3.6898),(2575,2705,0.14765,3.6886),(2575,2715,0.14969,3.6874),(2575,2725,0.15176,3.6862),(2575,2735,0.15383,3.685),(2575,2745,0.15591,3.6836),(2575,2755,0.15799,3.6823),(2575,2765,0.1601,3.6809),(2575,2775,0.16221,3.6795),(2575,2785,0.16432,3.678),(2575,2795,0.16644,3.6764),(2575,2805,0.16857,3.6749),(2575,2815,0.1707,3.6733),(2575,2825,0.17284,3.6716),(2575,2835,0.17498,3.6699),(2575,2845,0.17712,3.6682),(2575,2855,0.17927,3.6664),(2575,2865,0.18142,3.6645),(2575,2875,0.18356,3.6625),(2575,2885,0.18571,3.6606),(2575,2895,0.18785,3.6586),(2575,2905,0.19,3.6565),(2575,2915,0.19214,3.6544),(2575,2925,0.19426,3.6523),(2575,2935,0.19639,3.6501),(2575,2945,0.19852,3.6478),(2575,2955,0.20063,3.6455),(2575,2965,0.20273,3.6432),(2575,2975,0.20482,3.6408),(2575,2985,0.20692,3.6382),(2575,2995,0.20899,3.6357),(2575,3005,0.21103,3.6332),(2575,3015,0.21308,3.6306),(2575,3025,0.21512,3.6278),(2575,3035,0.21713,3.6251),(2575,3045,0.21911,3.6224),(2575,3055,0.22108,3.6195),(2575,3065,0.22306,3.6166),(2575,3075,0.22499,3.6137),(2575,3085,0.22688,3.6107),(2575,3095,0.22877,3.6077),(2575,3105,0.23066,3.6045),(2575,3115,0.23248,3.6014),(2575,3125,0.23427,3.5983),(2575,3135,0.23605,3.595),(2575,3145,0.23784,3.5917),(2575,3155,0.23954,3.5883),(2575,3165,0.2412,3.585),(2575,3175,0.24286,3.5815),(2575,3185,0.24453,3.578),(2575,3195,0.24609,3.5745),(2575,3205,0.24761,3.571),(2575,3215,0.24913,3.5673),(2575,3225,0.25065,3.5636),(2575,3235,0.25205,3.5599),(2575,3245,0.25342,3.5563),(2575,3255,0.25478,3.5524),(2575,3265,0.25614,3.5486),(2575,3275,0.25736,3.5447),(2575,3285,0.25855,3.5409),(2575,3295,0.25974,3.5369),(2575,3305,0.26092,3.5329),(2575,3315,0.26196,3.5289),(2575,3325,0.26295,3.5249),(2575,3335,0.26395,3.5207),(2575,3345,0.26494,3.5166),(2575,3355,0.26577,3.5125),(2575,3365,0.26656,3.5083),(2575,3375,0.26735,3.5041),(2575,3385,0.26815,3.4999),(2575,3395,0.26875,3.4956),(2575,3405,0.26933,3.4914),(2575,3415,0.26991,3.487),(2575,3425,0.27049,3.4827),(2575,3435,0.27086,3.4784),(2575,3445,0.27121,3.474),(2575,3455,0.27157,3.4697),(2575,3465,0.27192,3.4653),(2575,3475,0.27206,3.4609),(2575,3485,0.27218,3.4565),(2575,3495,0.27231,3.452),(2575,3505,0.27243,3.4476),(2575,3515,0.27233,3.4431),(2575,3525,0.27222,3.4387),(2575,3535,0.27211,3.4343),(2575,3545,0.272,3.4298),(2575,3555,0.27166,3.4253),(2575,3565,0.27131,3.4209),(2575,3575,0.27097,3.4164),(2575,3585,0.27061,3.412),(2575,3595,0.27004,3.4075),(2575,3605,0.26947,3.4031),(2575,3615,0.26889,3.3987),(2575,3625,0.26829,3.3943),(2575,3635,0.26749,3.3898),(2575,3645,0.26669,3.3854),(2575,3655,0.26589,3.3811),(2575,3665,0.26505,3.3767),(2575,3675,0.26403,3.3724),(2575,3685,0.26301,3.368),(2575,3695,0.26199,3.3637),(2575,3705,0.26093,3.3594),(2575,3715,0.25969,3.3551),(2575,3725,0.25846,3.3509),(2575,3735,0.25723,3.3467),(2575,3745,0.25595,3.3425),(2575,3755,0.25451,3.3383),(2575,3765,0.25308,3.3341),(2575,3775,0.25164,3.33),(2575,3785,0.25015,3.3259),(2575,3795,0.24853,3.3219),(2575,3805,0.2469,3.3178),(2575,3815,0.24528,3.3138),(2575,3825,0.24359,3.3099),(2575,3835,0.24179,3.3059),(2575,3845,0.23998,3.302),(2575,3855,0.23817,3.2982),(2575,3865,0.23631,3.2944),(2575,3875,0.23433,3.2905),(2575,3885,0.23235,3.2868),(2575,3895,0.23038,3.2831),(2575,3905,0.26143,3.2794),(2575,3915,0.34181,3.2758),(2575,3925,0.4222,3.2703),(2575,3935,0.50259,3.2625),(2575,3945,0.58648,3.2547),(2575,3955,0.67483,3.2469),(2575,3965,0.76318,3.2369),(2575,3975,0.85153,3.2245),(2575,3985,0.90174,3.2121),(2575,3995,0.91068,3.1997),(2575,4005,0.91962,3.1871),(2575,4015,0.92855,3.1743),(2575,4025,0.93871,3.1615),(2575,4035,0.94899,3.1487),(2575,4045,0.95927,3.1356),(2575,4055,0.96965,3.1226),(2575,4065,0.98007,3.1095),(2575,4075,0.99049,3.0962),(2575,4085,1.0005,3.083),(2575,4095,1.0102,3.0697),(2575,4105,1.0199,3.0562),(2575,4115,0.99251,3.0428),(2575,4125,0.90353,3.0294),(2575,4135,0.81455,3.0188),(2575,4145,0.72411,3.009),(2575,4155,0.62775,2.9991),(2575,4165,0.5314,2.9915),(2575,4175,0.44086,2.9854),(2575,4185,0.63848,2.9792),(2575,4195,0.8361,2.9696),(2575,4205,1.0337,2.9554),(2575,4215,1.0485,2.9412),(2575,4225,1.0289,2.9269),(2575,4235,1.0093,2.9123),(2575,4245,0.95864,2.8978),(2575,4255,0.89222,2.8834),(2575,4265,0.8258,2.8703),(2575,4275,0.70429,2.8572),(2575,4285,0.52431,2.8441),(2575,4295,0.34433,2.8393),(2575,4305,0.29551,2.8354),(2575,4315,0.54283,2.8315),(2575,4325,0.79015,2.8212),(2575,4335,1.0115,2.8085),(2575,4345,1.0572,2.7957),(2575,4355,1.1029,2.7819),(2575,4365,1.1485,2.7673),(2575,4375,1.1623,2.7526),(2575,4385,1.1744,2.7377),(2575,4395,1.1865,2.7223),(2575,4405,1.0451,2.707),(2575,4415,0.85846,2.6929),(2575,4425,0.67181,2.6843),(2575,4435,0.59514,2.6758),(2575,4445,0.59365,2.6672),(2575,4455,0.59215,2.6592),(2575,4465,0.68099,2.6511),(2575,4475,0.89673,2.643),(2575,4485,1.1125,2.629),(2575,4495,1.2796,2.6138),(2575,4505,1.2908,2.5985),(2575,4515,1.302,2.5834),(2575,4525,1.3105,2.5683),(2575,4535,1.2747,2.5532),(2575,4545,1.239,2.5394),(2575,4555,1.2032,2.5271),(2575,4565,0.91945,2.5147),(2575,4575,0.60225,2.505),(2575,4585,0.28506,2.5018),(2575,4595,0.35481,2.4986),(2575,4605,0.58805,2.494),(2575,4615,0.82129,2.479),(2575,4625,0.98419,2.464),(2575,4635,1.0834,2.4489),(2575,4645,1.1826,2.4327),(2575,4655,1.2601,2.4164),(2575,4665,1.2967,2.4001),(2575,4675,1.3333,2.3846),(2575,4685,1.3171,2.3692),(2575,4695,1.0403,2.3539),(2575,4705,0.7635,2.3443),(2575,4715,0.4867,2.3387),(2575,4725,0.63573,2.3332),(2575,4735,0.78903,2.3258),(2575,4745,0.94232,2.3155),(2575,4755,1.0998,2.3052),(2575,4765,1.2583,2.2941),(2575,4775,1.4168,2.2798),(2575,4785,1.4795,2.2656),(2575,4795,1.4869,2.2513),(2575,4805,1.4942,2.2374),(2575,4815,1.4276,2.2234),(2575,4825,1.2726,2.2095),(2575,4835,1.1177,2.1998),(2575,4845,0.96125,2.1907),(2575,4855,0.80102,2.1817),(2575,4865,0.6408,2.1755),(2575,4875,0.53051,2.1705),(2575,4885,0.87452,2.1656),(2575,4895,1.2185,2.1562),(2575,4905,1.5625,2.1425),(2575,4915,1.579,2.1288),(2575,4925,1.5672,2.115),(2575,4935,1.5554,2.1009),(2575,4945,1.4789,2.0867),(2575,4955,1.3798,2.0726),(2575,4965,1.2808,2.0584),(2575,4975,1.0398,2.0442),(2575,4985,0.68921,2.0299),(2575,4995,0.33861,2.0281),(2575,5005,0.26262,2.0267),(2575,5015,0.62321,2.0252),(2575,5025,0.9838,2.0169),(2575,5035,1.295,2.0068),(2575,5045,1.4183,1.9968),(2575,5055,1.5415,1.9851),(2575,5065,1.6612,1.9724),(2575,5075,1.6667,1.9598),(2575,5085,1.6722,1.9472),(2575,5095,1.6776,1.9347),(2575,5105,1.4686,1.9222),(2575,5115,1.2221,1.9112),(2575,5125,0.97562,1.9045),(2575,5135,0.85556,1.8978),(2575,5145,0.79684,1.8913),(2575,5155,0.73812,1.8858),(2575,5165,0.87422,1.8804),(2575,5175,1.209,1.875),(2575,5185,1.5438,1.863),(2575,5195,1.7743,1.8504),(2575,5205,1.7799,1.8378),(2575,5215,1.7856,1.8253),(2575,5225,1.7817,1.8129),(2575,5235,1.7187,1.8004),(2575,5245,1.6557,1.7889),(2575,5255,1.5927,1.7782),(2575,5265,1.1225,1.7675),(2575,5275,0.6355,1.7605),(2575,5285,0.14853,1.76),(2575,5295,0.40557,1.7594),(2575,5305,0.86981,1.7561),(2575,5315,1.334,1.7409),(2575,5325,1.5737,1.7258),(2575,5335,1.6662,1.7107),(2575,5345,1.7586,1.6971),(2575,5355,1.8176,1.6834),(2575,5365,1.8312,1.6698),(2575,5375,1.8449,1.6566),(2575,5385,1.7495,1.6436),(2575,5395,1.3225,1.6306),(2575,5405,0.89547,1.6238),(2575,5415,0.51563,1.6203),(2575,5425,0.76927,1.6167),(2575,5435,1.0229,1.6098),(2575,5445,1.2765,1.5992),(2575,5455,1.5227,1.5886),(2575,5465,1.768,1.5762),(2575,5475,2.0132,1.5598),(2575,5485,2.0901,1.5434),(2575,5495,2.0991,1.527),(2575,5505,2.1082,1.5111),(2575,5515,2.1172,1.4952),(2575,5525,2.1262,1.4793),(2575,5535,2.1352,1.4639),(2575,5545,2.144,1.4484),(2575,5555,2.1523,1.433),(2575,5565,2.1607,1.4179),(2575,5575,2.1689,1.403),(2575,5585,2.1767,1.388),(2575,5595,2.1844,1.3733),(2575,5605,2.1921,1.3587),(2575,5615,2.1993,1.3441),(2575,5625,2.2064,1.3297),(2575,5635,2.2136,1.3156),(2575,5645,2.2203,1.3015),(2575,5655,2.2269,1.2874),(2575,5665,2.2335,1.2737),(2575,5675,2.2398,1.2599),(2575,5685,2.2459,1.2462),(2575,5695,2.2521,1.2328),(2575,5705,2.258,1.2194),(2575,5715,2.2636,1.206),(2575,5725,2.2693,1.1929),(2575,5735,2.2749,1.1798),(2575,5745,2.2801,1.1667),(2575,5755,2.2853,1.1539),(2575,5765,2.2905,1.1411),(2575,5775,2.2954,1.1284),(2575,5785,2.3002,1.1158),(2575,5795,2.3051,1.1033),(2575,5805,2.3096,1.0909),(2575,5815,2.3141,1.0785),(2575,5825,2.3186,1.0664),(2575,5835,2.3228,1.0542),(2575,5845,2.327,1.0421),(2575,5855,2.3311,1.0302),(2575,5865,2.3351,1.0183),(2575,5875,2.3389,1.0064),(2575,5885,2.3427,0.99471),(2575,5895,2.3464,0.98308),(2575,5905,2.35,0.97144),(2575,5915,2.3535,0.96002),(2575,5925,2.357,0.94865),(2575,5935,2.3602,0.93728),(2575,5945,2.3635,0.92606),(2575,5955,2.3667,0.91492),(2575,5965,2.3698,0.90379),(2575,5975,2.3729,0.89275),(2575,5985,2.376,0.88183),(2575,5995,1.817,0.87091),(2575,6005,1.1674,0.86256),(2575,6015,0.51787,0.8611),(2575,6025,0.60691,0.85964),(2575,6035,1.0385,0.85721),(2575,6045,1.4701,0.84548),(2575,6055,1.7733,0.83376),(2575,6065,1.9505,0.82204),(2575,6075,2.1277,0.80684),(2575,6085,2.2485,0.79131),(2575,6095,2.2531,0.77579),(2575,6105,2.2576,0.76024),(2575,6115,2.2622,0.74468),(2575,6125,2.2665,0.72913),(2575,6135,2.2708,0.71364),(2575,6145,2.2751,0.69821),(2575,6155,2.279,0.68279),(2575,6165,2.283,0.66743),(2575,6175,2.287,0.65218),(2575,6185,2.2907,0.63694),(2575,6195,2.2944,0.6217),(2575,6205,2.2981,0.6065),(2575,6215,2.3016,0.59129),(2575,6225,2.3049,0.57609),(2575,6235,2.3083,0.56095),(2575,6245,2.3116,0.5458),(2575,6255,2.3146,0.53066),(2575,6265,2.3177,0.51559),(2575,6275,2.3207,0.50054),(2575,6285,2.3235,0.48548),(2575,6295,2.3263,0.47047),(2575,6305,2.3291,0.45549),(2575,6315,2.3316,0.4405),(2575,6325,2.3341,0.42552),(2575,6335,2.3366,0.41055),(2575,6345,2.3389,0.39557),(2575,6355,2.3411,0.38061),(2575,6365,2.3433,0.36569),(2575,6375,2.3454,0.35077),(2575,6385,2.3473,0.33586),(2575,6395,2.3493,0.32103),(2575,6405,2.3511,0.3062),(2575,6415,2.3528,0.29137),(2575,6425,2.3544,0.27662),(2575,6435,2.356,0.26186),(2575,6445,2.3574,0.24711),(2575,6455,2.3588,0.23236),(2575,6465,2.3601,0.21761),(2575,6475,2.3613,0.20286),(2575,6485,2.3624,0.1881),(2575,6495,2.3636,0.17333),(2575,6505,2.3644,0.15857),(2575,6515,2.3653,0.14383),(2575,6525,2.3662,0.12911),(2575,6535,2.3669,0.1144),(2575,6545,2.3675,0.099688),(2575,6555,2.3681,0.084991),(2575,6565,2.3685,0.070294),(2575,6575,2.3688,0.055601),(2575,6585,2.3691,0.040972),(2575,6595,2.0152,0.026343),(2575,6605,1.27,0.011714),(2575,6615,0.52492,0.009991),(2575,6625,0.001118,0.009925),(2575,6635,0.001118,0.00986),(2575,6645,0.001118,0.009832),(2575,6655,0.001118,0.009821),(2575,6665,0.001118,0.00981),(2575,6675,0.001117,0.009798),(2575,6685,0.001117,0.009787),(2575,6695,0.001117,0.009776),(2575,6705,0.001117,0.009765),(2575,6715,0.001117,0.009754),(2575,6725,0.001117,0.009743),(2575,6735,0.001117,0.009733),(2575,6745,0.001117,0.009722),(2575,6755,0.001117,0.009711),(2575,6765,0.001117,0.0097),(2575,6775,0.001117,0.00969),(2575,6785,0.001117,0.009679),(2575,6795,0.001117,0.009668),(2575,6805,0.001117,0.009657),(2575,6815,0.001117,0.009647),(2575,6825,0.001117,0.009636),(2575,6835,0.001117,0.009626),(2575,6845,0.001117,0.009616),(2575,6855,0.001116,0.009605),(2575,6865,0.001116,0.009595),(2575,6875,0.001116,0.009584),(2575,6885,0.001116,0.009574),(2575,6895,0.001116,0.009564),(2575,6905,0.001116,0.009554),(2575,6915,0.001116,0.009544),(2575,6925,0.001116,0.009533),(2575,6935,0.001116,0.009523),(2575,6945,0.001116,0.009513),(2575,6955,0.001116,0.009503),(2575,6965,0.001116,0.009493),(2575,6975,0.001116,0.009483),(2575,6985,0.001116,0.009473),(2585,5,3.5e-05,3.6862),(2585,15,0.000104,3.6862),(2585,25,0.000173,3.6862),(2585,35,0.000243,3.6862),(2585,45,0.000312,3.6862),(2585,55,0.000382,3.6862),(2585,65,0.000451,3.6862),(2585,75,0.000521,3.6862),(2585,85,0.00059,3.6862),(2585,95,0.00066,3.6862),(2585,105,0.00073,3.6862),(2585,115,0.0008,3.6862),(2585,125,0.000869,3.6862),(2585,135,0.000939,3.6862),(2585,145,0.00101,3.6862),(2585,155,0.00108,3.6862),(2585,165,0.00115,3.6862),(2585,175,0.001221,3.6863),(2585,185,0.001291,3.6863),(2585,195,0.001362,3.6863),(2585,205,0.001433,3.6863),(2585,215,0.001504,3.6863),(2585,225,0.001576,3.6863),(2585,235,0.001648,3.6863),(2585,245,0.00172,3.6864),(2585,255,0.001792,3.6864),(2585,265,0.001864,3.6864),(2585,275,0.001937,3.6864),(2585,285,0.00201,3.6864),(2585,295,0.002083,3.6864),(2585,305,0.002157,3.6865),(2585,315,0.002231,3.6865),(2585,325,0.002305,3.6865),(2585,335,0.002379,3.6865),(2585,345,0.002454,3.6865),(2585,355,0.002529,3.6866),(2585,365,0.002604,3.6866),(2585,375,0.002679,3.6866),(2585,385,0.002756,3.6867),(2585,395,0.002832,3.6867),(2585,405,0.002909,3.6867),(2585,415,0.002986,3.6867),(2585,425,0.003064,3.6868),(2585,435,0.003143,3.6868),(2585,445,0.003221,3.6868),(2585,455,0.003299,3.6869),(2585,465,0.00338,3.6869),(2585,475,0.003461,3.6869),(2585,485,0.003541,3.687),(2585,495,0.003622,3.687),(2585,505,0.003704,3.687),(2585,515,0.003787,3.6871),(2585,525,0.00387,3.6871),(2585,535,0.003953,3.6872),(2585,545,0.004038,3.6872),(2585,555,0.004123,3.6872),(2585,565,0.004208,3.6873),(2585,575,0.004293,3.6873),(2585,585,0.004381,3.6874),(2585,595,0.004469,3.6874),(2585,605,0.004557,3.6875),(2585,615,0.004645,3.6875),(2585,625,0.004736,3.6876),(2585,635,0.004827,3.6876),(2585,645,0.004918,3.6877),(2585,655,0.00501,3.6877),(2585,665,0.005105,3.6878),(2585,675,0.005199,3.6878),(2585,685,0.005294,3.6879),(2585,695,0.00539,3.6879),(2585,705,0.005488,3.688),(2585,715,0.005587,3.688),(2585,725,0.005685,3.6881),(2585,735,0.005784,3.6882),(2585,745,0.005887,3.6882),(2585,755,0.00599,3.6883),(2585,765,0.006093,3.6884),(2585,775,0.006197,3.6884),(2585,785,0.006304,3.6885),(2585,795,0.006412,3.6886),(2585,805,0.006519,3.6886),(2585,815,0.006628,3.6887),(2585,825,0.006741,3.6888),(2585,835,0.006853,3.6889),(2585,845,0.006966,3.6889),(2585,855,0.007081,3.689),(2585,865,0.007199,3.6891),(2585,875,0.007318,3.6892),(2585,885,0.007436,3.6893),(2585,895,0.007557,3.6893),(2585,905,0.007682,3.6894),(2585,915,0.007807,3.6895),(2585,925,0.007932,3.6896),(2585,935,0.00806,3.6897),(2585,945,0.008192,3.6898),(2585,955,0.008324,3.6899),(2585,965,0.008456,3.69),(2585,975,0.008591,3.6901),(2585,985,0.008731,3.6902),(2585,995,0.008871,3.6903),(2585,1005,0.00901,3.6904),(2585,1015,0.009154,3.6905),(2585,1025,0.009302,3.6906),(2585,1035,0.00945,3.6907),(2585,1045,0.009598,3.6908),(2585,1055,0.009751,3.6909),(2585,1065,0.009909,3.691),(2585,1075,0.010066,3.6911),(2585,1085,0.010223,3.6912),(2585,1095,0.010386,3.6914),(2585,1105,0.010554,3.6915),(2585,1115,0.010721,3.6916),(2585,1125,0.010888,3.6917),(2585,1135,0.011063,3.6918),(2585,1145,0.011241,3.692),(2585,1155,0.011419,3.6921),(2585,1165,0.011597,3.6922),(2585,1175,0.011784,3.6924),(2585,1185,0.011974,3.6925),(2585,1195,0.012165,3.6926),(2585,1205,0.012355,3.6928),(2585,1215,0.012555,3.6929),(2585,1225,0.012758,3.693),(2585,1235,0.012962,3.6932),(2585,1245,0.013165,3.6933),(2585,1255,0.013379,3.6935),(2585,1265,0.013597,3.6936),(2585,1275,0.013814,3.6938),(2585,1285,0.014032,3.6939),(2585,1295,0.014262,3.6941),(2585,1305,0.014495,3.6942),(2585,1315,0.014728,3.6944),(2585,1325,0.014961,3.6946),(2585,1335,0.015208,3.6947),(2585,1345,0.015458,3.6949),(2585,1355,0.015707,3.695),(2585,1365,0.015957,3.6952),(2585,1375,0.016223,3.6954),(2585,1385,0.016491,3.6956),(2585,1395,0.016759,3.6957),(2585,1405,0.017027,3.6959),(2585,1415,0.017313,3.6961),(2585,1425,0.0176,3.6963),(2585,1435,0.017888,3.6964),(2585,1445,0.018176,3.6966),(2585,1455,0.018484,3.6968),(2585,1465,0.018793,3.697),(2585,1475,0.019102,3.6972),(2585,1485,0.019411,3.6974),(2585,1495,0.019742,3.6976),(2585,1505,0.020074,3.6977),(2585,1515,0.020406,3.6979),(2585,1525,0.020739,3.6981),(2585,1535,0.021096,3.6983),(2585,1545,0.021452,3.6985),(2585,1555,0.021809,3.6987),(2585,1565,0.022168,3.6989),(2585,1575,0.022551,3.6991),(2585,1585,0.022935,3.6994),(2585,1595,0.023319,3.6996),(2585,1605,0.023705,3.6998),(2585,1615,0.024118,3.7),(2585,1625,0.02453,3.7002),(2585,1635,0.024942,3.7004),(2585,1645,0.025359,3.7006),(2585,1655,0.025802,3.7008),(2585,1665,0.026246,3.701),(2585,1675,0.026689,3.7013),(2585,1685,0.027139,3.7015),(2585,1695,0.027615,3.7017),(2585,1705,0.028092,3.7019),(2585,1715,0.028569,3.7021),(2585,1725,0.029054,3.7024),(2585,1735,0.029566,3.7026),(2585,1745,0.030079,3.7028),(2585,1755,0.030592,3.703),(2585,1765,0.031114,3.7032),(2585,1775,0.031665,3.7035),(2585,1785,0.032216,3.7037),(2585,1795,0.032767,3.7039),(2585,1805,0.03333,3.7041),(2585,1815,0.033922,3.7044),(2585,1825,0.034514,3.7046),(2585,1835,0.035106,3.7048),(2585,1845,0.035713,3.705),(2585,1855,0.036349,3.7052),(2585,1865,0.036984,3.7055),(2585,1875,0.03762,3.7057),(2585,1885,0.038274,3.7059),(2585,1895,0.038957,3.7061),(2585,1905,0.039639,3.7063),(2585,1915,0.040322,3.7065),(2585,1925,0.041026,3.7068),(2585,1935,0.041758,3.707),(2585,1945,0.042491,3.7072),(2585,1955,0.043223,3.7074),(2585,1965,0.04398,3.7076),(2585,1975,0.044766,3.7078),(2585,1985,0.045552,3.708),(2585,1995,0.046337,3.7082),(2585,2005,0.047151,3.7084),(2585,2015,0.047993,3.7086),(2585,2025,0.048835,3.7087),(2585,2035,0.049676,3.7089),(2585,2045,0.05055,3.7091),(2585,2055,0.051451,3.7093),(2585,2065,0.052352,3.7094),(2585,2075,0.053253,3.7096),(2585,2085,0.05419,3.7098),(2585,2095,0.055154,3.7099),(2585,2105,0.056117,3.7101),(2585,2115,0.057081,3.7102),(2585,2125,0.058085,3.7103),(2585,2135,0.059115,3.7104),(2585,2145,0.060144,3.7106),(2585,2155,0.061174,3.7107),(2585,2165,0.062248,3.7108),(2585,2175,0.063347,3.7109),(2585,2185,0.064445,3.711),(2585,2195,0.065543,3.711),(2585,2205,0.066692,3.7111),(2585,2215,0.067861,3.7112),(2585,2225,0.069031,3.7112),(2585,2235,0.070201,3.7112),(2585,2245,0.071426,3.7113),(2585,2255,0.07267,3.7113),(2585,2265,0.073914,3.7113),(2585,2275,0.075158,3.7113),(2585,2285,0.076462,3.7112),(2585,2295,0.077782,3.7112),(2585,2305,0.079103,3.7111),(2585,2315,0.080423,3.7111),(2585,2325,0.081808,3.711),(2585,2335,0.083206,3.7109),(2585,2345,0.084605,3.7108),(2585,2355,0.086004,3.7106),(2585,2365,0.08747,3.7105),(2585,2375,0.088949,3.7104),(2585,2385,0.090427,3.7102),(2585,2395,0.091905,3.7099),(2585,2405,0.093455,3.7097),(2585,2415,0.095014,3.7095),(2585,2425,0.096572,3.7092),(2585,2435,0.098131,3.7089),(2585,2445,0.099764,3.7086),(2585,2455,0.1014,3.7083),(2585,2465,0.10304,3.7079),(2585,2475,0.10468,3.7076),(2585,2485,0.1064,3.7072),(2585,2495,0.10811,3.7068),(2585,2505,0.10983,3.7063),(2585,2515,0.11155,3.7058),(2585,2525,0.11334,3.7053),(2585,2535,0.11514,3.7048),(2585,2545,0.11693,3.7042),(2585,2555,0.11873,3.7036),(2585,2565,0.1206,3.703),(2585,2575,0.12247,3.7024),(2585,2585,0.12434,3.7016),(2585,2595,0.12621,3.7009),(2585,2605,0.12815,3.7002),(2585,2615,0.13009,3.6994),(2585,2625,0.13203,3.6985),(2585,2635,0.13398,3.6977),(2585,2645,0.13598,3.6968),(2585,2655,0.13798,3.6959),(2585,2665,0.13998,3.6949),(2585,2675,0.14199,3.6939),(2585,2685,0.14405,3.6929),(2585,2695,0.14611,3.6918),(2585,2705,0.14817,3.6906),(2585,2715,0.15024,3.6894),(2585,2725,0.15235,3.6883),(2585,2735,0.15445,3.6871),(2585,2745,0.15656,3.6857),(2585,2755,0.15868,3.6844),(2585,2765,0.16082,3.683),(2585,2775,0.16297,3.6816),(2585,2785,0.16511,3.6801),(2585,2795,0.16726,3.6786),(2585,2805,0.16944,3.677),(2585,2815,0.17161,3.6754),(2585,2825,0.17378,3.6737),(2585,2835,0.17596,3.672),(2585,2845,0.17814,3.6703),(2585,2855,0.18033,3.6685),(2585,2865,0.18252,3.6666),(2585,2875,0.1847,3.6647),(2585,2885,0.18689,3.6628),(2585,2895,0.18907,3.6608),(2585,2905,0.19126,3.6587),(2585,2915,0.19344,3.6565),(2585,2925,0.19561,3.6544),(2585,2935,0.19778,3.6522),(2585,2945,0.19995,3.6499),(2585,2955,0.2021,3.6476),(2585,2965,0.20424,3.6453),(2585,2975,0.20638,3.6428),(2585,2985,0.20852,3.6403),(2585,2995,0.21063,3.6378),(2585,3005,0.21272,3.6352),(2585,3015,0.21481,3.6326),(2585,3025,0.21689,3.6298),(2585,3035,0.21895,3.6271),(2585,3045,0.22097,3.6244),(2585,3055,0.22299,3.6215),(2585,3065,0.22501,3.6185),(2585,3075,0.22698,3.6156),(2585,3085,0.22891,3.6126),(2585,3095,0.23084,3.6095),(2585,3105,0.23277,3.6064),(2585,3115,0.23464,3.6032),(2585,3125,0.23647,3.6001),(2585,3135,0.23829,3.5968),(2585,3145,0.24012,3.5934),(2585,3155,0.24187,3.59),(2585,3165,0.24357,3.5867),(2585,3175,0.24527,3.5832),(2585,3185,0.24697,3.5796),(2585,3195,0.24857,3.5761),(2585,3205,0.25013,3.5725),(2585,3215,0.25169,3.5688),(2585,3225,0.25325,3.5651),(2585,3235,0.25469,3.5614),(2585,3245,0.25608,3.5576),(2585,3255,0.25748,3.5538),(2585,3265,0.25888,3.5499),(2585,3275,0.26014,3.5459),(2585,3285,0.26136,3.542),(2585,3295,0.26257,3.538),(2585,3305,0.26379,3.534),(2585,3315,0.26485,3.5299),(2585,3325,0.26588,3.5259),(2585,3335,0.2669,3.5217),(2585,3345,0.26793,3.5175),(2585,3355,0.26878,3.5133),(2585,3365,0.26959,3.5091),(2585,3375,0.27041,3.5048),(2585,3385,0.27123,3.5005),(2585,3395,0.27185,3.4962),(2585,3405,0.27245,3.4919),(2585,3415,0.27305,3.4876),(2585,3425,0.27364,3.4832),(2585,3435,0.27403,3.4788),(2585,3445,0.2744,3.4744),(2585,3455,0.27477,3.47),(2585,3465,0.27514,3.4655),(2585,3475,0.27529,3.461),(2585,3485,0.27542,3.4566),(2585,3495,0.27556,3.4521),(2585,3505,0.27569,3.4476),(2585,3515,0.27559,3.4431),(2585,3525,0.27549,3.4386),(2585,3535,0.27539,3.4341),(2585,3545,0.27527,3.4296),(2585,3555,0.27493,3.4251),(2585,3565,0.27459,3.4205),(2585,3575,0.27425,3.416),(2585,3585,0.27389,3.4115),(2585,3595,0.27331,3.407),(2585,3605,0.27273,3.4025),(2585,3615,0.27215,3.398),(2585,3625,0.27155,3.3936),(2585,3635,0.27074,3.3891),(2585,3645,0.26993,3.3846),(2585,3655,0.26912,3.3802),(2585,3665,0.26827,3.3758),(2585,3675,0.26723,3.3714),(2585,3685,0.2662,3.367),(2585,3695,0.26516,3.3626),(2585,3705,0.26408,3.3583),(2585,3715,0.26283,3.3539),(2585,3725,0.26158,3.3496),(2585,3735,0.26033,3.3454),(2585,3745,0.25903,3.3411),(2585,3755,0.25758,3.3369),(2585,3765,0.25612,3.3327),(2585,3775,0.25467,3.3285),(2585,3785,0.25315,3.3244),(2585,3795,0.25151,3.3203),(2585,3805,0.24986,3.3162),(2585,3815,0.24821,3.3122),(2585,3825,0.2465,3.3082),(2585,3835,0.24467,3.3042),(2585,3845,0.24283,3.3002),(2585,3855,0.241,3.2963),(2585,3865,0.23911,3.2925),(2585,3875,0.2371,3.2886),(2585,3885,0.2351,3.2848),(2585,3895,0.23309,3.2811),(2585,3905,0.26441,3.2774),(2585,3915,0.34551,3.2736),(2585,3925,0.42661,3.2682),(2585,3935,0.50771,3.2603),(2585,3945,0.59235,3.2524),(2585,3955,0.68148,3.2445),(2585,3965,0.77062,3.2345),(2585,3975,0.85975,3.222),(2585,3985,0.91041,3.2095),(2585,3995,0.9194,3.197),(2585,4005,0.92839,3.1843),(2585,4015,0.93739,3.1714),(2585,4025,0.94759,3.1586),(2585,4035,0.95791,3.1457),(2585,4045,0.96824,3.1325),(2585,4055,0.97865,3.1194),(2585,4065,0.9891,3.1063),(2585,4075,0.99955,3.0929),(2585,4085,1.0096,3.0796),(2585,4095,1.0193,3.0662),(2585,4105,1.029,3.0527),(2585,4115,1.0013,3.0392),(2585,4125,0.91157,3.0257),(2585,4135,0.82182,3.0151),(2585,4145,0.73062,3.0052),(2585,4155,0.63353,2.9954),(2585,4165,0.53645,2.9877),(2585,4175,0.44523,2.9815),(2585,4185,0.64452,2.9753),(2585,4195,0.84381,2.9656),(2585,4205,1.0431,2.9513),(2585,4215,1.0583,2.9371),(2585,4225,1.0388,2.9228),(2585,4235,1.0194,2.9082),(2585,4245,0.96865,2.8936),(2585,4255,0.90206,2.8791),(2585,4265,0.83547,2.8659),(2585,4275,0.71285,2.8526),(2585,4285,0.53078,2.8394),(2585,4295,0.34871,2.8345),(2585,4305,0.29895,2.8305),(2585,4315,0.54795,2.8265),(2585,4325,0.79696,2.8162),(2585,4335,1.0198,2.8033),(2585,4345,1.066,2.7905),(2585,4355,1.1121,2.7766),(2585,4365,1.1582,2.7617),(2585,4375,1.1721,2.7468),(2585,4385,1.1844,2.7317),(2585,4395,1.1967,2.7162),(2585,4405,1.0543,2.7007),(2585,4415,0.86631,2.6865),(2585,4425,0.67832,2.6779),(2585,4435,0.60104,2.6693),(2585,4445,0.59942,2.6607),(2585,4455,0.5978,2.6524),(2585,4465,0.68712,2.6442),(2585,4475,0.90419,2.6359),(2585,4485,1.1213,2.6218),(2585,4495,1.2894,2.6064),(2585,4505,1.3005,2.591),(2585,4515,1.3116,2.5758),(2585,4525,1.3199,2.5607),(2585,4535,1.2834,2.5456),(2585,4545,1.247,2.5318),(2585,4555,1.2105,2.5194),(2585,4565,0.9253,2.5071),(2585,4575,0.60659,2.4974),(2585,4585,0.28788,2.4942),(2585,4595,0.35906,2.491),(2585,4605,0.59498,2.4864),(2585,4615,0.8309,2.4713),(2585,4625,0.99506,2.4562),(2585,4635,1.0942,2.4411),(2585,4645,1.1934,2.4249),(2585,4655,1.2708,2.4086),(2585,4665,1.3069,2.3923),(2585,4675,1.3431,2.3767),(2585,4685,1.3262,2.3614),(2585,4695,1.0475,2.346),(2585,4705,0.76882,2.3364),(2585,4715,0.49012,2.3308),(2585,4725,0.63998,2.3253),(2585,4735,0.79414,2.3179),(2585,4745,0.94829,2.3076),(2585,4755,1.1064,2.2972),(2585,4765,1.2655,2.286),(2585,4775,1.4245,2.2718),(2585,4785,1.4874,2.2575),(2585,4795,1.4946,2.2433),(2585,4805,1.5018,2.2293),(2585,4815,1.4348,2.2153),(2585,4825,1.2789,2.2013),(2585,4835,1.1231,2.1915),(2585,4845,0.96586,2.1825),(2585,4855,0.80501,2.1734),(2585,4865,0.64417,2.1671),(2585,4875,0.53344,2.1622),(2585,4885,0.87873,2.1573),(2585,4895,1.224,2.1479),(2585,4905,1.5693,2.1342),(2585,4915,1.586,2.1205),(2585,4925,1.5744,2.1067),(2585,4935,1.5628,2.0926),(2585,4945,1.4866,2.0785),(2585,4955,1.3881,2.0643),(2585,4965,1.2895,2.05),(2585,4975,1.0472,2.0358),(2585,4985,0.69415,2.0215),(2585,4995,0.34106,2.0197),(2585,5005,0.264,2.0182),(2585,5015,0.62577,2.0167),(2585,5025,0.98753,2.0084),(2585,5035,1.2998,1.9984),(2585,5045,1.4233,1.9883),(2585,5055,1.5468,1.9766),(2585,5065,1.6668,1.964),(2585,5075,1.6722,1.9513),(2585,5085,1.6776,1.9387),(2585,5095,1.683,1.9262),(2585,5105,1.4733,1.9137),(2585,5115,1.226,1.9027),(2585,5125,0.97879,1.896),(2585,5135,0.85836,1.8893),(2585,5145,0.79948,1.8827),(2585,5155,0.7406,1.8772),(2585,5165,0.87704,1.8718),(2585,5175,1.2127,1.8664),(2585,5185,1.5483,1.8545),(2585,5195,1.7794,1.8418),(2585,5205,1.7849,1.8292),(2585,5215,1.7905,1.8167),(2585,5225,1.7865,1.8043),(2585,5235,1.7232,1.7919),(2585,5245,1.66,1.7804),(2585,5255,1.5967,1.7696),(2585,5265,1.1254,1.7589),(2585,5275,0.63726,1.7519),(2585,5285,0.14913,1.7514),(2585,5295,0.40794,1.7509),(2585,5305,0.87474,1.7475),(2585,5315,1.3415,1.7324),(2585,5325,1.5818,1.7172),(2585,5335,1.6734,1.7021),(2585,5345,1.765,1.6885),(2585,5355,1.8234,1.6748),(2585,5365,1.8368,1.6612),(2585,5375,1.8502,1.6481),(2585,5385,1.7544,1.635),(2585,5395,1.3262,1.622),(2585,5405,0.898,1.6152),(2585,5415,0.51713,1.6117),(2585,5425,0.77191,1.6082),(2585,5435,1.0267,1.6013),(2585,5445,1.2815,1.5907),(2585,5455,1.5284,1.5802),(2585,5465,1.7744,1.5679),(2585,5475,2.0205,1.5516),(2585,5485,2.0974,1.5352),(2585,5495,2.1063,1.519),(2585,5505,2.1152,1.5032),(2585,5515,2.124,1.4874),(2585,5525,2.1328,1.4716),(2585,5535,2.1416,1.4562),(2585,5545,2.1502,1.4408),(2585,5555,2.1584,1.4255),(2585,5565,2.1666,1.4105),(2585,5575,2.1747,1.3956),(2585,5585,2.1823,1.3807),(2585,5595,2.1898,1.3661),(2585,5605,2.1974,1.3516),(2585,5615,2.2044,1.3371),(2585,5625,2.2114,1.3228),(2585,5635,2.2184,1.3088),(2585,5645,2.225,1.2947),(2585,5655,2.2315,1.2808),(2585,5665,2.238,1.2671),(2585,5675,2.2441,1.2534),(2585,5685,2.2501,1.2398),(2585,5695,2.2561,1.2265),(2585,5705,2.2619,1.2131),(2585,5715,2.2674,1.1998),(2585,5725,2.273,1.1868),(2585,5735,2.2784,1.1738),(2585,5745,2.2835,1.1608),(2585,5755,2.2886,1.148),(2585,5765,2.2937,1.1354),(2585,5775,2.2985,1.1227),(2585,5785,2.3032,1.1102),(2585,5795,2.308,1.0978),(2585,5805,2.3124,1.0854),(2585,5815,2.3167,1.0731),(2585,5825,2.3211,1.061),(2585,5835,2.3253,1.0489),(2585,5845,2.3293,1.0369),(2585,5855,2.3334,1.0251),(2585,5865,2.3372,1.0132),(2585,5875,2.341,1.0014),(2585,5885,2.3447,0.98984),(2585,5895,2.3483,0.97827),(2585,5905,2.3517,0.96671),(2585,5915,2.3552,0.95536),(2585,5925,2.3586,0.94407),(2585,5935,2.3618,0.93277),(2585,5945,2.3649,0.92162),(2585,5955,2.3681,0.91056),(2585,5965,2.3711,0.8995),(2585,5975,2.3741,0.88854),(2585,5985,2.3771,0.87769),(2585,5995,1.8178,0.86685),(2585,6005,1.168,0.85856),(2585,6015,0.51813,0.8571),(2585,6025,0.60814,0.85564),(2585,6035,1.0413,0.85322),(2585,6045,1.4744,0.84155),(2585,6055,1.7786,0.82988),(2585,6065,1.9563,0.81821),(2585,6075,2.134,0.80307),(2585,6085,2.2552,0.78761),(2585,6095,2.2597,0.77215),(2585,6105,2.2642,0.75667),(2585,6115,2.2687,0.74118),(2585,6125,2.2729,0.72568),(2585,6135,2.2772,0.71026),(2585,6145,2.2815,0.6949),(2585,6155,2.2854,0.67953),(2585,6165,2.2894,0.66424),(2585,6175,2.2933,0.64906),(2585,6185,2.297,0.63388),(2585,6195,2.3007,0.61871),(2585,6205,2.3043,0.60357),(2585,6215,2.3078,0.58843),(2585,6225,2.3111,0.5733),(2585,6235,2.3144,0.55823),(2585,6245,2.3176,0.54315),(2585,6255,2.3207,0.52808),(2585,6265,2.3237,0.51309),(2585,6275,2.3267,0.4981),(2585,6285,2.3295,0.48312),(2585,6295,2.3322,0.46818),(2585,6305,2.335,0.45327),(2585,6315,2.3375,0.43836),(2585,6325,2.34,0.42345),(2585,6335,2.3424,0.40855),(2585,6345,2.3447,0.39365),(2585,6355,2.3469,0.37876),(2585,6365,2.3491,0.36391),(2585,6375,2.3511,0.34906),(2585,6385,2.3531,0.33422),(2585,6395,2.355,0.31946),(2585,6405,2.3568,0.3047),(2585,6415,2.3584,0.28994),(2585,6425,2.3601,0.27526),(2585,6435,2.3616,0.26058),(2585,6445,2.363,0.2459),(2585,6455,2.3644,0.23123),(2585,6465,2.3657,0.21656),(2585,6475,2.3669,0.20188),(2585,6485,2.368,0.1872),(2585,6495,2.3691,0.17251),(2585,6505,2.37,0.15783),(2585,6515,2.3708,0.14316),(2585,6525,2.3717,0.12852),(2585,6535,2.3724,0.11388),(2585,6545,2.373,0.099244),(2585,6555,2.3736,0.084618),(2585,6565,2.374,0.069992),(2585,6575,2.3743,0.055371),(2585,6585,2.3746,0.040817),(2585,6595,2.0198,0.026264),(2585,6605,1.273,0.01171),(2585,6615,0.52614,0.009994),(2585,6625,0.001125,0.009927),(2585,6635,0.001125,0.00986),(2585,6645,0.001125,0.009832),(2585,6655,0.001124,0.009821),(2585,6665,0.001124,0.00981),(2585,6675,0.001124,0.009798),(2585,6685,0.001124,0.009787),(2585,6695,0.001124,0.009776),(2585,6705,0.001124,0.009765),(2585,6715,0.001124,0.009754),(2585,6725,0.001124,0.009743),(2585,6735,0.001123,0.009732),(2585,6745,0.001123,0.009722),(2585,6755,0.001123,0.009711),(2585,6765,0.001123,0.0097),(2585,6775,0.001123,0.009689),(2585,6785,0.001123,0.009679),(2585,6795,0.001123,0.009668),(2585,6805,0.001123,0.009657),(2585,6815,0.001123,0.009647),(2585,6825,0.001123,0.009636),(2585,6835,0.001123,0.009626),(2585,6845,0.001123,0.009615),(2585,6855,0.001123,0.009605),(2585,6865,0.001122,0.009595),(2585,6875,0.001122,0.009584),(2585,6885,0.001122,0.009574),(2585,6895,0.001122,0.009564),(2585,6905,0.001122,0.009554),(2585,6915,0.001122,0.009544),(2585,6925,0.001122,0.009533),(2585,6935,0.001122,0.009523),(2585,6945,0.001122,0.009513),(2585,6955,0.001122,0.009503),(2585,6965,0.001122,0.009493),(2585,6975,0.001122,0.009483),(2585,6985,0.001122,0.009473),(2595,5,3.4e-05,3.6862),(2595,15,0.000103,3.6862),(2595,25,0.000171,3.6862),(2595,35,0.000239,3.6862),(2595,45,0.000308,3.6862),(2595,55,0.000376,3.6862),(2595,65,0.000445,3.6862),(2595,75,0.000514,3.6862),(2595,85,0.000582,3.6862),(2595,95,0.000651,3.6863),(2595,105,0.00072,3.6863),(2595,115,0.000789,3.6863),(2595,125,0.000858,3.6863),(2595,135,0.000927,3.6863),(2595,145,0.000996,3.6863),(2595,155,0.001065,3.6863),(2595,165,0.001135,3.6863),(2595,175,0.001204,3.6863),(2595,185,0.001274,3.6863),(2595,195,0.001344,3.6863),(2595,205,0.001414,3.6864),(2595,215,0.001484,3.6864),(2595,225,0.001554,3.6864),(2595,235,0.001625,3.6864),(2595,245,0.001696,3.6864),(2595,255,0.001767,3.6864),(2595,265,0.001838,3.6865),(2595,275,0.00191,3.6865),(2595,285,0.001982,3.6865),(2595,295,0.002054,3.6865),(2595,305,0.002126,3.6865),(2595,315,0.002199,3.6866),(2595,325,0.002272,3.6866),(2595,335,0.002345,3.6866),(2595,345,0.002419,3.6866),(2595,355,0.002493,3.6866),(2595,365,0.002567,3.6867),(2595,375,0.002642,3.6867),(2595,385,0.002717,3.6867),(2595,395,0.002792,3.6868),(2595,405,0.002868,3.6868),(2595,415,0.002943,3.6868),(2595,425,0.003021,3.6868),(2595,435,0.003098,3.6869),(2595,445,0.003175,3.6869),(2595,455,0.003252,3.6869),(2595,465,0.003331,3.687),(2595,475,0.003411,3.687),(2595,485,0.00349,3.687),(2595,495,0.003569,3.6871),(2595,505,0.003651,3.6871),(2595,515,0.003732,3.6872),(2595,525,0.003814,3.6872),(2595,535,0.003895,3.6872),(2595,545,0.003979,3.6873),(2595,555,0.004063,3.6873),(2595,565,0.004147,3.6874),(2595,575,0.00423,3.6874),(2595,585,0.004317,3.6874),(2595,595,0.004403,3.6875),(2595,605,0.00449,3.6875),(2595,615,0.004576,3.6876),(2595,625,0.004666,3.6876),(2595,635,0.004756,3.6877),(2595,645,0.004845,3.6877),(2595,655,0.004935,3.6878),(2595,665,0.005028,3.6879),(2595,675,0.005122,3.6879),(2595,685,0.005215,3.688),(2595,695,0.005309,3.688),(2595,705,0.005405,3.6881),(2595,715,0.005502,3.6881),(2595,725,0.005599,3.6882),(2595,735,0.005697,3.6883),(2595,745,0.005798,3.6883),(2595,755,0.005899,3.6884),(2595,765,0.006,3.6885),(2595,775,0.006103,3.6885),(2595,785,0.006208,3.6886),(2595,795,0.006314,3.6887),(2595,805,0.006419,3.6887),(2595,815,0.006527,3.6888),(2595,825,0.006638,3.6889),(2595,835,0.006748,3.689),(2595,845,0.006859,3.689),(2595,855,0.006972,3.6891),(2595,865,0.007089,3.6892),(2595,875,0.007205,3.6893),(2595,885,0.007322,3.6894),(2595,895,0.007441,3.6895),(2595,905,0.007563,3.6895),(2595,915,0.007686,3.6896),(2595,925,0.007809,3.6897),(2595,935,0.007935,3.6898),(2595,945,0.008065,3.6899),(2595,955,0.008195,3.69),(2595,965,0.008325,3.6901),(2595,975,0.008458,3.6902),(2595,985,0.008595,3.6903),(2595,995,0.008733,3.6904),(2595,1005,0.00887,3.6905),(2595,1015,0.009012,3.6906),(2595,1025,0.009158,3.6907),(2595,1035,0.009303,3.6908),(2595,1045,0.009449,3.6909),(2595,1055,0.0096,3.691),(2595,1065,0.009755,3.6912),(2595,1075,0.00991,3.6913),(2595,1085,0.010065,3.6914),(2595,1095,0.010226,3.6915),(2595,1105,0.01039,3.6916),(2595,1115,0.010555,3.6918),(2595,1125,0.01072,3.6919),(2595,1135,0.010892,3.692),(2595,1145,0.011068,3.6921),(2595,1155,0.011243,3.6923),(2595,1165,0.011419,3.6924),(2595,1175,0.011603,3.6925),(2595,1185,0.011791,3.6927),(2595,1195,0.011978,3.6928),(2595,1205,0.012166,3.693),(2595,1215,0.012363,3.6931),(2595,1225,0.012564,3.6932),(2595,1235,0.012765,3.6934),(2595,1245,0.012965,3.6935),(2595,1255,0.013177,3.6937),(2595,1265,0.013392,3.6938),(2595,1275,0.013607,3.694),(2595,1285,0.013822,3.6941),(2595,1295,0.014049,3.6943),(2595,1305,0.014279,3.6945),(2595,1315,0.014509,3.6946),(2595,1325,0.014739,3.6948),(2595,1335,0.014983,3.695),(2595,1345,0.01523,3.6951),(2595,1355,0.015477,3.6953),(2595,1365,0.015724,3.6955),(2595,1375,0.015986,3.6956),(2595,1385,0.016252,3.6958),(2595,1395,0.016517,3.696),(2595,1405,0.016782,3.6962),(2595,1415,0.017065,3.6964),(2595,1425,0.017349,3.6965),(2595,1435,0.017634,3.6967),(2595,1445,0.017919,3.6969),(2595,1455,0.018224,3.6971),(2595,1465,0.01853,3.6973),(2595,1475,0.018836,3.6975),(2595,1485,0.019142,3.6977),(2595,1495,0.019471,3.6979),(2595,1505,0.0198,3.6981),(2595,1515,0.020129,3.6983),(2595,1525,0.020458,3.6985),(2595,1535,0.020812,3.6987),(2595,1545,0.021166,3.6989),(2595,1555,0.02152,3.6991),(2595,1565,0.021875,3.6993),(2595,1575,0.022256,3.6995),(2595,1585,0.022636,3.6997),(2595,1595,0.023017,3.6999),(2595,1605,0.023401,3.7002),(2595,1615,0.02381,3.7004),(2595,1625,0.02422,3.7006),(2595,1635,0.024629,3.7008),(2595,1645,0.025043,3.701),(2595,1655,0.025484,3.7013),(2595,1665,0.025924,3.7015),(2595,1675,0.026365,3.7017),(2595,1685,0.026812,3.7019),(2595,1695,0.027286,3.7022),(2595,1705,0.02776,3.7024),(2595,1715,0.028234,3.7026),(2595,1725,0.028716,3.7029),(2595,1735,0.029226,3.7031),(2595,1745,0.029736,3.7033),(2595,1755,0.030247,3.7035),(2595,1765,0.030767,3.7038),(2595,1775,0.031316,3.704),(2595,1785,0.031864,3.7042),(2595,1795,0.032413,3.7045),(2595,1805,0.032974,3.7047),(2595,1815,0.033564,3.7049),(2595,1825,0.034154,3.7052),(2595,1835,0.034743,3.7054),(2595,1845,0.035348,3.7056),(2595,1855,0.035983,3.7059),(2595,1865,0.036617,3.7061),(2595,1875,0.037251,3.7063),(2595,1885,0.037903,3.7066),(2595,1895,0.038585,3.7068),(2595,1905,0.039266,3.707),(2595,1915,0.039947,3.7072),(2595,1925,0.04065,3.7075),(2595,1935,0.041382,3.7077),(2595,1945,0.042114,3.7079),(2595,1955,0.042845,3.7081),(2595,1965,0.043602,3.7084),(2595,1975,0.044387,3.7086),(2595,1985,0.045173,3.7088),(2595,1995,0.045958,3.709),(2595,2005,0.046772,3.7092),(2595,2015,0.047614,3.7094),(2595,2025,0.048456,3.7096),(2595,2035,0.049299,3.7098),(2595,2045,0.050173,3.71),(2595,2055,0.051076,3.7102),(2595,2065,0.051978,3.7104),(2595,2075,0.05288,3.7105),(2595,2085,0.053819,3.7107),(2595,2095,0.054785,3.7109),(2595,2105,0.05575,3.711),(2595,2115,0.056716,3.7112),(2595,2125,0.057723,3.7113),(2595,2135,0.058756,3.7115),(2595,2145,0.059788,3.7116),(2595,2155,0.060821,3.7117),(2595,2165,0.061899,3.7119),(2595,2175,0.063002,3.712),(2595,2185,0.064104,3.7121),(2595,2195,0.065207,3.7122),(2595,2205,0.06636,3.7122),(2595,2215,0.067536,3.7123),(2595,2225,0.068711,3.7124),(2595,2235,0.069886,3.7124),(2595,2245,0.071118,3.7125),(2595,2255,0.072369,3.7125),(2595,2265,0.07362,3.7125),(2595,2275,0.074871,3.7125),(2595,2285,0.076183,3.7125),(2595,2295,0.077512,3.7125),(2595,2305,0.078841,3.7125),(2595,2315,0.08017,3.7124),(2595,2325,0.081565,3.7124),(2595,2335,0.082974,3.7123),(2595,2345,0.084383,3.7122),(2595,2355,0.085792,3.7121),(2595,2365,0.08727,3.712),(2595,2375,0.088761,3.7119),(2595,2385,0.090251,3.7117),(2595,2395,0.091741,3.7115),(2595,2405,0.093305,3.7113),(2595,2415,0.094878,3.7111),(2595,2425,0.096451,3.7108),(2595,2435,0.098023,3.7105),(2595,2445,0.099673,3.7103),(2595,2455,0.10133,3.71),(2595,2465,0.10298,3.7096),(2595,2475,0.10464,3.7093),(2595,2485,0.10637,3.7089),(2595,2495,0.10811,3.7085),(2595,2505,0.10984,3.7081),(2595,2515,0.11158,3.7076),(2595,2525,0.1134,3.7071),(2595,2535,0.11521,3.7066),(2595,2545,0.11703,3.706),(2595,2555,0.11885,3.7055),(2595,2565,0.12074,3.7049),(2595,2575,0.12263,3.7043),(2595,2585,0.12453,3.7036),(2595,2595,0.12642,3.7028),(2595,2605,0.12839,3.7021),(2595,2615,0.13035,3.7014),(2595,2625,0.13232,3.7005),(2595,2635,0.13429,3.6997),(2595,2645,0.13632,3.6988),(2595,2655,0.13835,3.698),(2595,2665,0.14038,3.697),(2595,2675,0.14242,3.696),(2595,2685,0.14451,3.6949),(2595,2695,0.1466,3.6939),(2595,2705,0.14869,3.6927),(2595,2715,0.15079,3.6916),(2595,2725,0.15293,3.6904),(2595,2735,0.15507,3.6892),(2595,2745,0.15721,3.6879),(2595,2755,0.15936,3.6865),(2595,2765,0.16154,3.6852),(2595,2775,0.16372,3.6838),(2595,2785,0.1659,3.6823),(2595,2795,0.16809,3.6808),(2595,2805,0.1703,3.6793),(2595,2815,0.17251,3.6777),(2595,2825,0.17472,3.676),(2595,2835,0.17694,3.6743),(2595,2845,0.17916,3.6725),(2595,2855,0.18139,3.6708),(2595,2865,0.18361,3.6688),(2595,2875,0.18584,3.6669),(2595,2885,0.18807,3.665),(2595,2895,0.19029,3.663),(2595,2905,0.19252,3.6609),(2595,2915,0.19474,3.6588),(2595,2925,0.19695,3.6567),(2595,2935,0.19917,3.6545),(2595,2945,0.20138,3.6521),(2595,2955,0.20358,3.6498),(2595,2965,0.20576,3.6475),(2595,2975,0.20794,3.645),(2595,2985,0.21012,3.6425),(2595,2995,0.21227,3.6399),(2595,3005,0.21441,3.6374),(2595,3015,0.21654,3.6347),(2595,3025,0.21867,3.632),(2595,3035,0.22076,3.6292),(2595,3045,0.22283,3.6264),(2595,3055,0.22489,3.6236),(2595,3065,0.22695,3.6206),(2595,3075,0.22896,3.6176),(2595,3085,0.23094,3.6146),(2595,3095,0.23292,3.6115),(2595,3105,0.23489,3.6083),(2595,3115,0.2368,3.6051),(2595,3125,0.23867,3.602),(2595,3135,0.24054,3.5986),(2595,3145,0.24241,3.5952),(2595,3155,0.24419,3.5918),(2595,3165,0.24593,3.5884),(2595,3175,0.24768,3.5849),(2595,3185,0.24942,3.5813),(2595,3195,0.25106,3.5777),(2595,3205,0.25265,3.5741),(2595,3215,0.25425,3.5704),(2595,3225,0.25585,3.5666),(2595,3235,0.25732,3.5629),(2595,3245,0.25875,3.5591),(2595,3255,0.26019,3.5552),(2595,3265,0.26162,3.5512),(2595,3275,0.26291,3.5473),(2595,3285,0.26416,3.5433),(2595,3295,0.26541,3.5393),(2595,3305,0.26666,3.5351),(2595,3315,0.26775,3.531),(2595,3325,0.2688,3.5269),(2595,3335,0.26986,3.5227),(2595,3345,0.27091,3.5185),(2595,3355,0.27178,3.5142),(2595,3365,0.27262,3.51),(2595,3375,0.27347,3.5057),(2595,3385,0.27431,3.5013),(2595,3395,0.27495,3.4969),(2595,3405,0.27557,3.4926),(2595,3415,0.27618,3.4881),(2595,3425,0.2768,3.4837),(2595,3435,0.2772,3.4792),(2595,3445,0.27759,3.4748),(2595,3455,0.27797,3.4703),(2595,3465,0.27836,3.4658),(2595,3475,0.27851,3.4613),(2595,3485,0.27866,3.4567),(2595,3495,0.27881,3.4522),(2595,3505,0.27895,3.4476),(2595,3515,0.27885,3.4431),(2595,3525,0.27876,3.4385),(2595,3535,0.27866,3.4339),(2595,3545,0.27855,3.4293),(2595,3555,0.27821,3.4248),(2595,3565,0.27787,3.4202),(2595,3575,0.27753,3.4156),(2595,3585,0.27716,3.4111),(2595,3595,0.27658,3.4065),(2595,3605,0.276,3.4019),(2595,3615,0.27541,3.3974),(2595,3625,0.2748,3.3929),(2595,3635,0.27398,3.3883),(2595,3645,0.27316,3.3838),(2595,3655,0.27234,3.3793),(2595,3665,0.27148,3.3748),(2595,3675,0.27043,3.3704),(2595,3685,0.26939,3.3659),(2595,3695,0.26834,3.3615),(2595,3705,0.26724,3.3571),(2595,3715,0.26597,3.3527),(2595,3725,0.26471,3.3483),(2595,3735,0.26344,3.344),(2595,3745,0.26212,3.3397),(2595,3755,0.26064,3.3354),(2595,3765,0.25917,3.3312),(2595,3775,0.25769,3.327),(2595,3785,0.25616,3.3228),(2595,3795,0.25448,3.3186),(2595,3805,0.25281,3.3145),(2595,3815,0.25114,3.3104),(2595,3825,0.2494,3.3064),(2595,3835,0.24754,3.3023),(2595,3845,0.24569,3.2983),(2595,3855,0.24383,3.2944),(2595,3865,0.24191,3.2905),(2595,3875,0.23987,3.2866),(2595,3885,0.23784,3.2827),(2595,3895,0.23581,3.279),(2595,3905,0.2674,3.2752),(2595,3915,0.34921,3.2714),(2595,3925,0.43102,3.2659),(2595,3935,0.51283,3.258),(2595,3945,0.59822,3.25),(2595,3955,0.68814,3.242),(2595,3965,0.77806,3.2319),(2595,3975,0.86798,3.2194),(2595,3985,0.91907,3.2068),(2595,3995,0.92812,3.1942),(2595,4005,0.93717,3.1814),(2595,4015,0.94622,3.1685),(2595,4025,0.95647,3.1556),(2595,4035,0.96684,3.1426),(2595,4045,0.97721,3.1294),(2595,4055,0.98766,3.1162),(2595,4065,0.99813,3.103),(2595,4075,1.0086,3.0896),(2595,4085,1.0187,3.0761),(2595,4095,1.0284,3.0627),(2595,4105,1.0381,3.0492),(2595,4115,1.0101,3.0356),(2595,4125,0.9196,3.022),(2595,4135,0.82908,3.0114),(2595,4145,0.73712,3.0015),(2595,4155,0.63931,2.9916),(2595,4165,0.5415,2.9839),(2595,4175,0.44961,2.9776),(2595,4185,0.65057,2.9714),(2595,4195,0.85153,2.9617),(2595,4205,1.0525,2.9474),(2595,4215,1.0681,2.9331),(2595,4225,1.0488,2.9188),(2595,4235,1.0295,2.9041),(2595,4245,0.97867,2.8895),(2595,4255,0.9119,2.8749),(2595,4265,0.84513,2.8615),(2595,4275,0.72141,2.8481),(2595,4285,0.53724,2.8347),(2595,4295,0.35308,2.8296),(2595,4305,0.30239,2.8256),(2595,4315,0.55307,2.8215),(2595,4325,0.80376,2.811),(2595,4335,1.0282,2.7979),(2595,4345,1.0747,2.7849),(2595,4355,1.1213,2.7707),(2595,4365,1.1679,2.7557),(2595,4375,1.182,2.7406),(2595,4385,1.1944,2.7253),(2595,4395,1.2069,2.7097),(2595,4405,1.0635,2.6941),(2595,4415,0.87416,2.6798),(2595,4425,0.68484,2.6712),(2595,4435,0.60694,2.6626),(2595,4445,0.6052,2.654),(2595,4455,0.60345,2.6455),(2595,4465,0.69325,2.6371),(2595,4475,0.91165,2.6287),(2595,4485,1.1301,2.6144),(2595,4495,1.2992,2.599),(2595,4505,1.3102,2.5835),(2595,4515,1.3212,2.5683),(2595,4525,1.3293,2.5531),(2595,4535,1.2921,2.538),(2595,4545,1.2549,2.5242),(2595,4555,1.2177,2.5118),(2595,4565,0.93115,2.4995),(2595,4575,0.61092,2.4898),(2595,4585,0.2907,2.4866),(2595,4595,0.36332,2.4834),(2595,4605,0.60192,2.4788),(2595,4615,0.84051,2.4637),(2595,4625,1.0059,2.4486),(2595,4635,1.1051,2.4334),(2595,4645,1.2042,2.4172),(2595,4655,1.2814,2.401),(2595,4665,1.3171,2.3847),(2595,4675,1.3529,2.3691),(2595,4685,1.3353,2.3537),(2595,4695,1.0547,2.3383),(2595,4705,0.77414,2.3286),(2595,4715,0.49354,2.3231),(2595,4725,0.64424,2.3175),(2595,4735,0.79925,2.31),(2595,4745,0.95427,2.2997),(2595,4755,1.113,2.2893),(2595,4765,1.2726,2.2781),(2595,4775,1.4323,2.2638),(2595,4785,1.4952,2.2496),(2595,4795,1.5024,2.2353),(2595,4805,1.5095,2.2213),(2595,4815,1.442,2.2072),(2595,4825,1.2852,2.1932),(2595,4835,1.1285,2.1833),(2595,4845,0.97047,2.1742),(2595,4855,0.809,2.165),(2595,4865,0.64753,2.1588),(2595,4875,0.53637,2.1538),(2595,4885,0.88295,2.1489),(2595,4895,1.2295,2.1395),(2595,4905,1.5761,2.1259),(2595,4915,1.593,2.1122),(2595,4925,1.5816,2.0984),(2595,4935,1.5702,2.0843),(2595,4945,1.4944,2.0701),(2595,4955,1.3963,2.056),(2595,4965,1.2981,2.0416),(2595,4975,1.0547,2.0273),(2595,4985,0.6991,2.0129),(2595,4995,0.34352,2.0111),(2595,5005,0.26538,2.0097),(2595,5015,0.62832,2.0082),(2595,5025,0.99127,1.9999),(2595,5035,1.3045,1.9898),(2595,5045,1.4283,1.9798),(2595,5055,1.5521,1.9681),(2595,5065,1.6724,1.9554),(2595,5075,1.6777,1.9428),(2595,5085,1.6831,1.9301),(2595,5095,1.6884,1.9176),(2595,5105,1.478,1.9051),(2595,5115,1.23,1.894),(2595,5125,0.98195,1.8873),(2595,5135,0.86116,1.8806),(2595,5145,0.80212,1.874),(2595,5155,0.74308,1.8685),(2595,5165,0.87986,1.8631),(2595,5175,1.2164,1.8577),(2595,5185,1.5528,1.8458),(2595,5195,1.7845,1.8332),(2595,5205,1.7899,1.8205),(2595,5215,1.7954,1.8081),(2595,5225,1.7913,1.7956),(2595,5235,1.7278,1.7832),(2595,5245,1.6642,1.7717),(2595,5255,1.6007,1.761),(2595,5265,1.1283,1.7502),(2595,5275,0.63902,1.7433),(2595,5285,0.14974,1.7427),(2595,5295,0.4103,1.7422),(2595,5305,0.87967,1.7388),(2595,5315,1.349,1.7236),(2595,5325,1.5898,1.7085),(2595,5335,1.6806,1.6933),(2595,5345,1.7714,1.6797),(2595,5355,1.8292,1.6661),(2595,5365,1.8424,1.6525),(2595,5375,1.8556,1.6394),(2595,5385,1.7592,1.6263),(2595,5395,1.3299,1.6133),(2595,5405,0.90052,1.6065),(2595,5415,0.51864,1.603),(2595,5425,0.77455,1.5995),(2595,5435,1.0305,1.5926),(2595,5445,1.2864,1.5821),(2595,5455,1.5342,1.5717),(2595,5465,1.7809,1.5594),(2595,5475,2.0277,1.5432),(2595,5485,2.1048,1.527),(2595,5495,2.1135,1.5108),(2595,5505,2.1222,1.4951),(2595,5515,2.1308,1.4794),(2595,5525,2.1395,1.4637),(2595,5535,2.1481,1.4484),(2595,5545,2.1565,1.4332),(2595,5555,2.1645,1.4179),(2595,5565,2.1725,1.403),(2595,5575,2.1805,1.3882),(2595,5585,2.1879,1.3734),(2595,5595,2.1953,1.3588),(2595,5605,2.2027,1.3445),(2595,5615,2.2096,1.3301),(2595,5625,2.2164,1.3158),(2595,5635,2.2233,1.3019),(2595,5645,2.2297,1.2879),(2595,5655,2.236,1.274),(2595,5665,2.2424,1.2604),(2595,5675,2.2484,1.2468),(2595,5685,2.2543,1.2333),(2595,5695,2.2601,1.22),(2595,5705,2.2658,1.2068),(2595,5715,2.2712,1.1936),(2595,5725,2.2766,1.1806),(2595,5735,2.2819,1.1677),(2595,5745,2.2869,1.1548),(2595,5755,2.2919,1.1421),(2595,5765,2.2969,1.1295),(2595,5775,2.3015,1.1169),(2595,5785,2.3062,1.1045),(2595,5795,2.3108,1.0922),(2595,5805,2.3151,1.0799),(2595,5815,2.3194,1.0677),(2595,5825,2.3237,1.0556),(2595,5835,2.3277,1.0436),(2595,5845,2.3317,1.0316),(2595,5855,2.3356,1.0199),(2595,5865,2.3394,1.0081),(2595,5875,2.343,0.99638),(2595,5885,2.3467,0.98488),(2595,5895,2.3502,0.97339),(2595,5905,2.3535,0.9619),(2595,5915,2.3569,0.95063),(2595,5925,2.3602,0.93941),(2595,5935,2.3633,0.92818),(2595,5945,2.3664,0.91711),(2595,5955,2.3695,0.90612),(2595,5965,2.3724,0.89513),(2595,5975,2.3753,0.88424),(2595,5985,2.3782,0.87347),(2595,5995,1.8186,0.86269),(2595,6005,1.1685,0.85446),(2595,6015,0.5184,0.85301),(2595,6025,0.60938,0.85156),(2595,6035,1.0441,0.84916),(2595,6045,1.4788,0.83753),(2595,6055,1.784,0.82591),(2595,6065,1.9622,0.81429),(2595,6075,2.1404,0.79922),(2595,6085,2.2618,0.78383),(2595,6095,2.2663,0.76844),(2595,6105,2.2708,0.75302),(2595,6115,2.2752,0.7376),(2595,6125,2.2794,0.72218),(2595,6135,2.2836,0.70682),(2595,6145,2.2879,0.69153),(2595,6155,2.2918,0.67623),(2595,6165,2.2957,0.66101),(2595,6175,2.2996,0.6459),(2595,6185,2.3033,0.63078),(2595,6195,2.3069,0.61568),(2595,6205,2.3105,0.60061),(2595,6215,2.3139,0.58554),(2595,6225,2.3172,0.57047),(2595,6235,2.3206,0.55547),(2595,6245,2.3237,0.54046),(2595,6255,2.3267,0.52546),(2595,6265,2.3298,0.51053),(2595,6275,2.3327,0.49562),(2595,6285,2.3354,0.48071),(2595,6295,2.3382,0.46585),(2595,6305,2.3409,0.45102),(2595,6315,2.3433,0.43618),(2595,6325,2.3458,0.42135),(2595,6335,2.3483,0.40652),(2595,6345,2.3505,0.39169),(2595,6355,2.3527,0.37688),(2595,6365,2.3549,0.3621),(2595,6375,2.3569,0.34733),(2595,6385,2.3588,0.33256),(2595,6395,2.3607,0.31787),(2595,6405,2.3625,0.30318),(2595,6415,2.3641,0.28849),(2595,6425,2.3657,0.27388),(2595,6435,2.3673,0.25928),(2595,6445,2.3686,0.24467),(2595,6455,2.37,0.23007),(2595,6465,2.3713,0.21548),(2595,6475,2.3724,0.20088),(2595,6485,2.3735,0.18628),(2595,6495,2.3746,0.17167),(2595,6505,2.3755,0.15706),(2595,6515,2.3764,0.14247),(2595,6525,2.3772,0.12791),(2595,6535,2.3779,0.11335),(2595,6545,2.3785,0.098788),(2595,6555,2.3791,0.084234),(2595,6565,2.3795,0.06968),(2595,6575,2.3798,0.05513),(2595,6585,2.3801,0.040647),(2595,6595,2.0245,0.026163),(2595,6605,1.2759,0.01168),(2595,6615,0.52735,0.009978),(2595,6625,0.001132,0.009918),(2595,6635,0.001132,0.009858),(2595,6645,0.001131,0.009832),(2595,6655,0.001131,0.009821),(2595,6665,0.001131,0.009809),(2595,6675,0.001131,0.009798),(2595,6685,0.001131,0.009787),(2595,6695,0.001131,0.009776),(2595,6705,0.00113,0.009765),(2595,6715,0.00113,0.009754),(2595,6725,0.00113,0.009743),(2595,6735,0.00113,0.009732),(2595,6745,0.00113,0.009721),(2595,6755,0.00113,0.009711),(2595,6765,0.00113,0.0097),(2595,6775,0.001129,0.009689),(2595,6785,0.001129,0.009679),(2595,6795,0.001129,0.009668),(2595,6805,0.001129,0.009657),(2595,6815,0.001129,0.009647),(2595,6825,0.001129,0.009636),(2595,6835,0.001129,0.009626),(2595,6845,0.001129,0.009615),(2595,6855,0.001128,0.009605),(2595,6865,0.001128,0.009595),(2595,6875,0.001128,0.009584),(2595,6885,0.001128,0.009574),(2595,6895,0.001128,0.009564),(2595,6905,0.001128,0.009554),(2595,6915,0.001128,0.009543),(2595,6925,0.001128,0.009533),(2595,6935,0.001128,0.009523),(2595,6945,0.001128,0.009513),(2595,6955,0.001128,0.009503),(2595,6965,0.001128,0.009493),(2595,6975,0.001128,0.009483),(2595,6985,0.001128,0.009473),(2605,5,3.4e-05,3.6863),(2605,15,0.000101,3.6863),(2605,25,0.000169,3.6863),(2605,35,0.000236,3.6863),(2605,45,0.000304,3.6863),(2605,55,0.000371,3.6863),(2605,65,0.000439,3.6863),(2605,75,0.000506,3.6863),(2605,85,0.000574,3.6863),(2605,95,0.000642,3.6863),(2605,105,0.00071,3.6863),(2605,115,0.000778,3.6863),(2605,125,0.000846,3.6863),(2605,135,0.000914,3.6864),(2605,145,0.000982,3.6864),(2605,155,0.00105,3.6864),(2605,165,0.001119,3.6864),(2605,175,0.001187,3.6864),(2605,185,0.001256,3.6864),(2605,195,0.001325,3.6864),(2605,205,0.001394,3.6864),(2605,215,0.001463,3.6864),(2605,225,0.001533,3.6865),(2605,235,0.001602,3.6865),(2605,245,0.001672,3.6865),(2605,255,0.001742,3.6865),(2605,265,0.001812,3.6865),(2605,275,0.001883,3.6865),(2605,285,0.001954,3.6866),(2605,295,0.002025,3.6866),(2605,305,0.002096,3.6866),(2605,315,0.002168,3.6866),(2605,325,0.00224,3.6866),(2605,335,0.002312,3.6867),(2605,345,0.002384,3.6867),(2605,355,0.002458,3.6867),(2605,365,0.002531,3.6867),(2605,375,0.002603,3.6868),(2605,385,0.002678,3.6868),(2605,395,0.002752,3.6868),(2605,405,0.002826,3.6869),(2605,415,0.002901,3.6869),(2605,425,0.002977,3.6869),(2605,435,0.003053,3.6869),(2605,445,0.003129,3.687),(2605,455,0.003205,3.687),(2605,465,0.003283,3.687),(2605,475,0.003361,3.6871),(2605,485,0.003439,3.6871),(2605,495,0.003517,3.6872),(2605,505,0.003597,3.6872),(2605,515,0.003677,3.6872),(2605,525,0.003757,3.6873),(2605,535,0.003837,3.6873),(2605,545,0.00392,3.6874),(2605,555,0.004002,3.6874),(2605,565,0.004084,3.6874),(2605,575,0.004167,3.6875),(2605,585,0.004252,3.6875),(2605,595,0.004337,3.6876),(2605,605,0.004422,3.6876),(2605,615,0.004507,3.6877),(2605,625,0.004595,3.6877),(2605,635,0.004684,3.6878),(2605,645,0.004771,3.6878),(2605,655,0.00486,3.6879),(2605,665,0.004952,3.6879),(2605,675,0.005043,3.688),(2605,685,0.005135,3.6881),(2605,695,0.005227,3.6881),(2605,705,0.005322,3.6882),(2605,715,0.005417,3.6882),(2605,725,0.005513,3.6883),(2605,735,0.005609,3.6884),(2605,745,0.005708,3.6884),(2605,755,0.005807,3.6885),(2605,765,0.005907,3.6886),(2605,775,0.006007,3.6886),(2605,785,0.006111,3.6887),(2605,795,0.006215,3.6888),(2605,805,0.006319,3.6888),(2605,815,0.006424,3.6889),(2605,825,0.006533,3.689),(2605,835,0.006642,3.6891),(2605,845,0.006751,3.6892),(2605,855,0.006862,3.6892),(2605,865,0.006976,3.6893),(2605,875,0.007091,3.6894),(2605,885,0.007206,3.6895),(2605,895,0.007323,3.6896),(2605,905,0.007443,3.6897),(2605,915,0.007564,3.6898),(2605,925,0.007685,3.6898),(2605,935,0.007809,3.6899),(2605,945,0.007936,3.69),(2605,955,0.008064,3.6901),(2605,965,0.008192,3.6902),(2605,975,0.008323,3.6903),(2605,985,0.008458,3.6904),(2605,995,0.008593,3.6905),(2605,1005,0.008728,3.6906),(2605,1015,0.008868,3.6908),(2605,1025,0.009011,3.6909),(2605,1035,0.009155,3.691),(2605,1045,0.009298,3.6911),(2605,1055,0.009446,3.6912),(2605,1065,0.009599,3.6913),(2605,1075,0.009751,3.6914),(2605,1085,0.009904,3.6916),(2605,1095,0.010062,3.6917),(2605,1105,0.010224,3.6918),(2605,1115,0.010387,3.6919),(2605,1125,0.010549,3.6921),(2605,1135,0.010718,3.6922),(2605,1145,0.010891,3.6923),(2605,1155,0.011065,3.6924),(2605,1165,0.011238,3.6926),(2605,1175,0.011419,3.6927),(2605,1185,0.011604,3.6929),(2605,1195,0.011789,3.693),(2605,1205,0.011974,3.6931),(2605,1215,0.012168,3.6933),(2605,1225,0.012366,3.6934),(2605,1235,0.012564,3.6936),(2605,1245,0.012762,3.6937),(2605,1255,0.012971,3.6939),(2605,1265,0.013183,3.694),(2605,1275,0.013395,3.6942),(2605,1285,0.013607,3.6944),(2605,1295,0.013831,3.6945),(2605,1305,0.014058,3.6947),(2605,1315,0.014286,3.6949),(2605,1325,0.014513,3.695),(2605,1335,0.014754,3.6952),(2605,1345,0.014998,3.6954),(2605,1355,0.015242,3.6955),(2605,1365,0.015486,3.6957),(2605,1375,0.015745,3.6959),(2605,1385,0.016007,3.6961),(2605,1395,0.016269,3.6963),(2605,1405,0.016531,3.6964),(2605,1415,0.016811,3.6966),(2605,1425,0.017093,3.6968),(2605,1435,0.017374,3.697),(2605,1445,0.017656,3.6972),(2605,1455,0.017958,3.6974),(2605,1465,0.018261,3.6976),(2605,1475,0.018564,3.6978),(2605,1485,0.018867,3.698),(2605,1495,0.019192,3.6982),(2605,1505,0.019518,3.6984),(2605,1515,0.019844,3.6986),(2605,1525,0.02017,3.6988),(2605,1535,0.020521,3.699),(2605,1545,0.020872,3.6992),(2605,1555,0.021222,3.6995),(2605,1565,0.021575,3.6997),(2605,1575,0.021952,3.6999),(2605,1585,0.02233,3.7001),(2605,1595,0.022707,3.7003),(2605,1605,0.023088,3.7006),(2605,1615,0.023494,3.7008),(2605,1625,0.023901,3.701),(2605,1635,0.024307,3.7012),(2605,1645,0.024718,3.7015),(2605,1655,0.025156,3.7017),(2605,1665,0.025593,3.7019),(2605,1675,0.026031,3.7022),(2605,1685,0.026475,3.7024),(2605,1695,0.026946,3.7026),(2605,1705,0.027417,3.7029),(2605,1715,0.027888,3.7031),(2605,1725,0.028368,3.7033),(2605,1735,0.028875,3.7036),(2605,1745,0.029383,3.7038),(2605,1755,0.02989,3.7041),(2605,1765,0.030408,3.7043),(2605,1775,0.030954,3.7045),(2605,1785,0.0315,3.7048),(2605,1795,0.032046,3.705),(2605,1805,0.032605,3.7053),(2605,1815,0.033192,3.7055),(2605,1825,0.03378,3.7058),(2605,1835,0.034368,3.706),(2605,1845,0.034971,3.7063),(2605,1855,0.035603,3.7065),(2605,1865,0.036235,3.7067),(2605,1875,0.036867,3.707),(2605,1885,0.037518,3.7072),(2605,1895,0.038198,3.7075),(2605,1905,0.038877,3.7077),(2605,1915,0.039557,3.7079),(2605,1925,0.040259,3.7082),(2605,1935,0.040989,3.7084),(2605,1945,0.04172,3.7087),(2605,1955,0.042451,3.7089),(2605,1965,0.043207,3.7091),(2605,1975,0.043991,3.7093),(2605,1985,0.044776,3.7096),(2605,1995,0.045561,3.7098),(2605,2005,0.046375,3.71),(2605,2015,0.047217,3.7102),(2605,2025,0.04806,3.7104),(2605,2035,0.048902,3.7107),(2605,2045,0.049777,3.7109),(2605,2055,0.050681,3.7111),(2605,2065,0.051584,3.7113),(2605,2075,0.052487,3.7115),(2605,2085,0.053427,3.7116),(2605,2095,0.054395,3.7118),(2605,2105,0.055362,3.712),(2605,2115,0.05633,3.7122),(2605,2125,0.057339,3.7123),(2605,2135,0.058375,3.7125),(2605,2145,0.05941,3.7127),(2605,2155,0.060445,3.7128),(2605,2165,0.061527,3.7129),(2605,2175,0.062634,3.7131),(2605,2185,0.06374,3.7132),(2605,2195,0.064847,3.7133),(2605,2205,0.066005,3.7134),(2605,2215,0.067186,3.7135),(2605,2225,0.068366,3.7136),(2605,2235,0.069547,3.7137),(2605,2245,0.070785,3.7137),(2605,2255,0.072043,3.7138),(2605,2265,0.0733,3.7138),(2605,2275,0.074558,3.7138),(2605,2285,0.075878,3.7139),(2605,2295,0.077216,3.7139),(2605,2305,0.078553,3.7138),(2605,2315,0.079891,3.7138),(2605,2325,0.081295,3.7138),(2605,2335,0.082714,3.7137),(2605,2345,0.084133,3.7136),(2605,2355,0.085552,3.7135),(2605,2365,0.087043,3.7135),(2605,2375,0.088545,3.7134),(2605,2385,0.090048,3.7132),(2605,2395,0.09155,3.713),(2605,2405,0.093128,3.7128),(2605,2415,0.094715,3.7127),(2605,2425,0.096301,3.7124),(2605,2435,0.097888,3.7122),(2605,2445,0.099554,3.7119),(2605,2455,0.10123,3.7117),(2605,2465,0.1029,3.7113),(2605,2475,0.10457,3.711),(2605,2485,0.10632,3.7106),(2605,2495,0.10808,3.7103),(2605,2505,0.10983,3.7098),(2605,2515,0.11159,3.7094),(2605,2525,0.11342,3.7089),(2605,2535,0.11526,3.7085),(2605,2545,0.1171,3.7079),(2605,2555,0.11894,3.7073),(2605,2565,0.12086,3.7068),(2605,2575,0.12277,3.7062),(2605,2585,0.12469,3.7055),(2605,2595,0.12661,3.7048),(2605,2605,0.1286,3.7041),(2605,2615,0.13059,3.7034),(2605,2625,0.13258,3.7025),(2605,2635,0.13458,3.7017),(2605,2645,0.13664,3.7009),(2605,2655,0.1387,3.7),(2605,2665,0.14076,3.699),(2605,2675,0.14283,3.698),(2605,2685,0.14495,3.697),(2605,2695,0.14707,3.696),(2605,2705,0.14919,3.6949),(2605,2715,0.15133,3.6937),(2605,2725,0.1535,3.6926),(2605,2735,0.15567,3.6914),(2605,2745,0.15785,3.6901),(2605,2755,0.16003,3.6887),(2605,2765,0.16225,3.6874),(2605,2775,0.16447,3.686),(2605,2785,0.16668,3.6845),(2605,2795,0.16891,3.683),(2605,2805,0.17116,3.6815),(2605,2815,0.17341,3.6799),(2605,2825,0.17566,3.6782),(2605,2835,0.17791,3.6765),(2605,2845,0.18018,3.6748),(2605,2855,0.18244,3.673),(2605,2865,0.18471,3.6711),(2605,2875,0.18697,3.6692),(2605,2885,0.18924,3.6673),(2605,2895,0.19151,3.6653),(2605,2905,0.19378,3.6632),(2605,2915,0.19604,3.661),(2605,2925,0.1983,3.6589),(2605,2935,0.20056,3.6567),(2605,2945,0.20281,3.6544),(2605,2955,0.20505,3.652),(2605,2965,0.20728,3.6497),(2605,2975,0.2095,3.6472),(2605,2985,0.21173,3.6447),(2605,2995,0.21393,3.6421),(2605,3005,0.21611,3.6396),(2605,3015,0.21828,3.6369),(2605,3025,0.22046,3.6341),(2605,3035,0.2226,3.6313),(2605,3045,0.22471,3.6285),(2605,3055,0.22682,3.6256),(2605,3065,0.22892,3.6226),(2605,3075,0.23098,3.6196),(2605,3085,0.233,3.6166),(2605,3095,0.23502,3.6135),(2605,3105,0.23704,3.6103),(2605,3115,0.23899,3.6071),(2605,3125,0.24091,3.6039),(2605,3135,0.24282,3.6005),(2605,3145,0.24473,3.5971),(2605,3155,0.24656,3.5937),(2605,3165,0.24834,3.5902),(2605,3175,0.25012,3.5867),(2605,3185,0.25191,3.583),(2605,3195,0.25359,3.5794),(2605,3205,0.25522,3.5758),(2605,3215,0.25686,3.572),(2605,3225,0.25849,3.5682),(2605,3235,0.26001,3.5644),(2605,3245,0.26148,3.5605),(2605,3255,0.26294,3.5566),(2605,3265,0.26441,3.5526),(2605,3275,0.26574,3.5486),(2605,3285,0.26702,3.5446),(2605,3295,0.26831,3.5405),(2605,3305,0.26959,3.5363),(2605,3315,0.27071,3.5322),(2605,3325,0.27179,3.528),(2605,3335,0.27287,3.5237),(2605,3345,0.27396,3.5194),(2605,3355,0.27486,3.5152),(2605,3365,0.27572,3.5109),(2605,3375,0.27659,3.5065),(2605,3385,0.27745,3.502),(2605,3395,0.27812,3.4976),(2605,3405,0.27876,3.4932),(2605,3415,0.2794,3.4887),(2605,3425,0.28003,3.4842),(2605,3435,0.28045,3.4797),(2605,3445,0.28085,3.4752),(2605,3455,0.28125,3.4706),(2605,3465,0.28165,3.466),(2605,3475,0.28182,3.4615),(2605,3485,0.28197,3.4569),(2605,3495,0.28213,3.4523),(2605,3505,0.28228,3.4476),(2605,3515,0.28219,3.443),(2605,3525,0.2821,3.4384),(2605,3535,0.28201,3.4338),(2605,3545,0.2819,3.4291),(2605,3555,0.28156,3.4245),(2605,3565,0.28122,3.4198),(2605,3575,0.28088,3.4152),(2605,3585,0.28051,3.4106),(2605,3595,0.27993,3.406),(2605,3605,0.27934,3.4013),(2605,3615,0.27875,3.3967),(2605,3625,0.27813,3.3921),(2605,3635,0.2773,3.3876),(2605,3645,0.27647,3.383),(2605,3655,0.27564,3.3784),(2605,3665,0.27477,3.3739),(2605,3675,0.27371,3.3694),(2605,3685,0.27264,3.3648),(2605,3695,0.27158,3.3604),(2605,3705,0.27047,3.3559),(2605,3715,0.26918,3.3515),(2605,3725,0.26789,3.347),(2605,3735,0.26661,3.3427),(2605,3745,0.26527,3.3383),(2605,3755,0.26377,3.334),(2605,3765,0.26227,3.3297),(2605,3775,0.26077,3.3254),(2605,3785,0.25922,3.3212),(2605,3795,0.25752,3.317),(2605,3805,0.25582,3.3128),(2605,3815,0.25412,3.3087),(2605,3825,0.25236,3.3046),(2605,3835,0.25048,3.3005),(2605,3845,0.24859,3.2964),(2605,3855,0.24671,3.2925),(2605,3865,0.24476,3.2885),(2605,3875,0.2427,3.2846),(2605,3885,0.24064,3.2807),(2605,3895,0.23857,3.2769),(2605,3905,0.27043,3.2731),(2605,3915,0.35297,3.2693),(2605,3925,0.4355,3.2637),(2605,3935,0.51803,3.2556),(2605,3945,0.60416,3.2476),(2605,3955,0.69488,3.2396),(2605,3965,0.78559,3.2294),(2605,3975,0.8763,3.2167),(2605,3985,0.92782,3.2041),(2605,3995,0.93693,3.1914),(2605,4005,0.94603,3.1786),(2605,4015,0.95514,3.1656),(2605,4025,0.96543,3.1526),(2605,4035,0.97584,3.1395),(2605,4045,0.98625,3.1262),(2605,4055,0.99673,3.113),(2605,4065,1.0072,3.0997),(2605,4075,1.0177,3.0862),(2605,4085,1.0278,3.0727),(2605,4095,1.0375,3.0592),(2605,4105,1.0473,3.0456),(2605,4115,1.019,3.032),(2605,4125,0.92769,3.0184),(2605,4135,0.83639,3.0076),(2605,4145,0.74366,2.9977),(2605,4155,0.64512,2.9878),(2605,4165,0.54658,2.98),(2605,4175,0.45401,2.9738),(2605,4185,0.65663,2.9675),(2605,4195,0.85925,2.9577),(2605,4205,1.0619,2.9434),(2605,4215,1.0779,2.9292),(2605,4225,1.0587,2.9148),(2605,4235,1.0396,2.9),(2605,4245,0.98876,2.8853),(2605,4255,0.92187,2.8707),(2605,4265,0.85498,2.8571),(2605,4275,0.73016,2.8435),(2605,4285,0.54388,2.83),(2605,4295,0.35761,2.8248),(2605,4305,0.30598,2.8206),(2605,4315,0.55839,2.8164),(2605,4325,0.8108,2.8057),(2605,4335,1.0368,2.7925),(2605,4345,1.0838,2.7792),(2605,4355,1.1308,2.7649),(2605,4365,1.1778,2.7496),(2605,4375,1.1921,2.7344),(2605,4385,1.2046,2.7189),(2605,4395,1.2172,2.7032),(2605,4405,1.0728,2.6875),(2605,4415,0.88206,2.6731),(2605,4425,0.69135,2.6645),(2605,4435,0.61287,2.6559),(2605,4445,0.61109,2.6473),(2605,4455,0.60931,2.6387),(2605,4465,0.69962,2.63),(2605,4475,0.91931,2.6214),(2605,4485,1.139,2.6071),(2605,4495,1.3091,2.5915),(2605,4505,1.3199,2.576),(2605,4515,1.3308,2.5607),(2605,4525,1.3388,2.5456),(2605,4535,1.3008,2.5304),(2605,4545,1.2629,2.5166),(2605,4555,1.225,2.5042),(2605,4565,0.93699,2.4919),(2605,4575,0.61525,2.4822),(2605,4585,0.2935,2.479),(2605,4595,0.36755,2.4758),(2605,4605,0.60883,2.4712),(2605,4615,0.85012,2.4561),(2605,4625,1.0168,2.4409),(2605,4635,1.1159,2.4258),(2605,4645,1.215,2.4096),(2605,4655,1.292,2.3934),(2605,4665,1.3274,2.3771),(2605,4675,1.3627,2.3615),(2605,4685,1.3445,2.346),(2605,4695,1.062,2.3306),(2605,4705,0.77951,2.3209),(2605,4715,0.49702,2.3153),(2605,4725,0.64853,2.3097),(2605,4735,0.80439,2.3022),(2605,4745,0.96025,2.2918),(2605,4755,1.1196,2.2815),(2605,4765,1.2798,2.2702),(2605,4775,1.44,2.2559),(2605,4785,1.5031,2.2416),(2605,4795,1.5102,2.2273),(2605,4805,1.5172,2.2132),(2605,4815,1.4492,2.1991),(2605,4825,1.2916,2.185),(2605,4835,1.134,2.1751),(2605,4845,0.97518,2.1659),(2605,4855,0.81305,2.1566),(2605,4865,0.65091,2.1504),(2605,4875,0.53928,2.1455),(2605,4885,0.88714,2.1406),(2605,4895,1.235,2.1312),(2605,4905,1.5829,2.1175),(2605,4915,1.6001,2.1039),(2605,4925,1.5889,2.0901),(2605,4935,1.5777,2.0759),(2605,4945,1.5022,2.0618),(2605,4955,1.4045,2.0476),(2605,4965,1.3068,2.0332),(2605,4975,1.0622,2.0188),(2605,4985,0.70408,2.0044),(2605,4995,0.34598,2.0026),(2605,5005,0.26676,2.0011),(2605,5015,0.63088,1.9997),(2605,5025,0.995,1.9914),(2605,5035,1.3092,1.9813),(2605,5045,1.4333,1.9713),(2605,5055,1.5574,1.9596),(2605,5065,1.678,1.9469),(2605,5075,1.6833,1.9342),(2605,5085,1.6886,1.9216),(2605,5095,1.6938,1.909),(2605,5105,1.4828,1.8964),(2605,5115,1.234,1.8854),(2605,5125,0.98515,1.8786),(2605,5135,0.86399,1.8719),(2605,5145,0.80478,1.8653),(2605,5155,0.74557,1.8599),(2605,5165,0.88268,1.8544),(2605,5175,1.22,1.849),(2605,5185,1.5574,1.8371),(2605,5195,1.7895,1.8245),(2605,5205,1.7949,1.8119),(2605,5215,1.8003,1.7994),(2605,5225,1.7961,1.787),(2605,5235,1.7323,1.7745),(2605,5245,1.6685,1.763),(2605,5255,1.6048,1.7523),(2605,5265,1.1312,1.7415),(2605,5275,0.64078,1.7346),(2605,5285,0.15034,1.734),(2605,5295,0.41267,1.7335),(2605,5305,0.88462,1.7301),(2605,5315,1.3566,1.7149),(2605,5325,1.5978,1.6997),(2605,5335,1.6878,1.6846),(2605,5345,1.7778,1.671),(2605,5355,1.835,1.6574),(2605,5365,1.848,1.6438),(2605,5375,1.8609,1.6306),(2605,5385,1.7641,1.6176),(2605,5395,1.3336,1.6046),(2605,5405,0.90304,1.5979),(2605,5415,0.52014,1.5943),(2605,5425,0.77717,1.5908),(2605,5435,1.0342,1.584),(2605,5445,1.2912,1.5736),(2605,5455,1.5398,1.5631),(2605,5465,1.7873,1.551),(2605,5475,2.0349,1.5349),(2605,5485,2.112,1.5187),(2605,5495,2.1205,1.5027),(2605,5505,2.129,1.4871),(2605,5515,2.1375,1.4714),(2605,5525,2.146,1.4558),(2605,5535,2.1544,1.4406),(2605,5545,2.1627,1.4255),(2605,5555,2.1705,1.4103),(2605,5565,2.1784,1.3955),(2605,5575,2.1861,1.3808),(2605,5585,2.1934,1.3661),(2605,5595,2.2006,1.3516),(2605,5605,2.2079,1.3373),(2605,5615,2.2146,1.323),(2605,5625,2.2213,1.3089),(2605,5635,2.228,1.295),(2605,5645,2.2343,1.2811),(2605,5655,2.2405,1.2673),(2605,5665,2.2467,1.2538),(2605,5675,2.2526,1.2403),(2605,5685,2.2583,1.2268),(2605,5695,2.2641,1.2136),(2605,5705,2.2696,1.2005),(2605,5715,2.2749,1.1873),(2605,5725,2.2802,1.1745),(2605,5735,2.2854,1.1616),(2605,5745,2.2903,1.1488),(2605,5755,2.2952,1.1362),(2605,5765,2.3,1.1236),(2605,5775,2.3045,1.1111),(2605,5785,2.3091,1.0988),(2605,5795,2.3136,1.0865),(2605,5805,2.3178,1.0743),(2605,5815,2.322,1.0622),(2605,5825,2.3262,1.0502),(2605,5835,2.3301,1.0383),(2605,5845,2.3339,1.0264),(2605,5855,2.3378,1.0147),(2605,5865,2.3415,1.003),(2605,5875,2.345,0.99135),(2605,5885,2.3486,0.97993),(2605,5895,2.352,0.96851),(2605,5905,2.3553,0.9571),(2605,5915,2.3586,0.94589),(2605,5925,2.3618,0.93474),(2605,5935,2.3648,0.92359),(2605,5945,2.3678,0.91259),(2605,5955,2.3708,0.90167),(2605,5965,2.3736,0.89076),(2605,5975,2.3764,0.87994),(2605,5985,2.3793,0.86924),(2605,5995,1.8194,0.85854),(2605,6005,1.1691,0.85036),(2605,6015,0.51865,0.84892),(2605,6025,0.6106,0.84748),(2605,6035,1.0468,0.84509),(2605,6045,1.4831,0.83352),(2605,6055,1.7893,0.82195),(2605,6065,1.968,0.81037),(2605,6075,2.1467,0.79537),(2605,6085,2.2684,0.78005),(2605,6095,2.2728,0.76473),(2605,6105,2.2773,0.74938),(2605,6115,2.2817,0.73403),(2605,6125,2.2858,0.71867),(2605,6135,2.29,0.70339),(2605,6145,2.2942,0.68816),(2605,6155,2.2981,0.67293),(2605,6165,2.3019,0.65778),(2605,6175,2.3058,0.64273),(2605,6185,2.3095,0.62769),(2605,6195,2.313,0.61266),(2605,6205,2.3166,0.59765),(2605,6215,2.32,0.58265),(2605,6225,2.3233,0.56765),(2605,6235,2.3266,0.55271),(2605,6245,2.3297,0.53777),(2605,6255,2.3327,0.52284),(2605,6265,2.3357,0.50798),(2605,6275,2.3386,0.49315),(2605,6285,2.3413,0.47831),(2605,6295,2.344,0.46352),(2605,6305,2.3467,0.44876),(2605,6315,2.3491,0.434),(2605,6325,2.3516,0.41924),(2605,6335,2.354,0.40449),(2605,6345,2.3562,0.38974),(2605,6355,2.3584,0.375),(2605,6365,2.3606,0.3603),(2605,6375,2.3625,0.34559),(2605,6385,2.3644,0.3309),(2605,6395,2.3663,0.31628),(2605,6405,2.3681,0.30166),(2605,6415,2.3697,0.28704),(2605,6425,2.3713,0.2725),(2605,6435,2.3728,0.25797),(2605,6445,2.3742,0.24344),(2605,6455,2.3755,0.22892),(2605,6465,2.3768,0.2144),(2605,6475,2.3779,0.19988),(2605,6485,2.379,0.18535),(2605,6495,2.3801,0.17083),(2605,6505,2.381,0.1563),(2605,6515,2.3818,0.14179),(2605,6525,2.3827,0.1273),(2605,6535,2.3833,0.11282),(2605,6545,2.3839,0.098332),(2605,6555,2.3845,0.08385),(2605,6565,2.3849,0.069367),(2605,6575,2.3852,0.054889),(2605,6585,2.3855,0.040476),(2605,6595,2.0291,0.026063),(2605,6605,1.2788,0.01165),(2605,6615,0.52855,0.009962),(2605,6625,0.001139,0.009909),(2605,6635,0.001139,0.009856),(2605,6645,0.001138,0.009832),(2605,6655,0.001138,0.009821),(2605,6665,0.001138,0.009809),(2605,6675,0.001138,0.009798),(2605,6685,0.001138,0.009787),(2605,6695,0.001137,0.009776),(2605,6705,0.001137,0.009765),(2605,6715,0.001137,0.009754),(2605,6725,0.001137,0.009743),(2605,6735,0.001136,0.009732),(2605,6745,0.001136,0.009721),(2605,6755,0.001136,0.009711),(2605,6765,0.001136,0.0097),(2605,6775,0.001136,0.009689),(2605,6785,0.001136,0.009678),(2605,6795,0.001135,0.009668),(2605,6805,0.001135,0.009657),(2605,6815,0.001135,0.009647),(2605,6825,0.001135,0.009636),(2605,6835,0.001135,0.009626),(2605,6845,0.001135,0.009615),(2605,6855,0.001135,0.009605),(2605,6865,0.001134,0.009595),(2605,6875,0.001134,0.009584),(2605,6885,0.001134,0.009574),(2605,6895,0.001134,0.009564),(2605,6905,0.001134,0.009553),(2605,6915,0.001134,0.009543),(2605,6925,0.001134,0.009533),(2605,6935,0.001133,0.009523),(2605,6945,0.001133,0.009513),(2605,6955,0.001133,0.009503),(2605,6965,0.001133,0.009493),(2605,6975,0.001133,0.009483),(2605,6985,0.001133,0.009473),(2615,5,3.3e-05,3.6864),(2615,15,0.0001,3.6864),(2615,25,0.000166,3.6864),(2615,35,0.000233,3.6864),(2615,45,0.000299,3.6864),(2615,55,0.000366,3.6864),(2615,65,0.000433,3.6864),(2615,75,0.000499,3.6864),(2615,85,0.000566,3.6864),(2615,95,0.000633,3.6864),(2615,105,0.0007,3.6864),(2615,115,0.000767,3.6864),(2615,125,0.000834,3.6864),(2615,135,0.000901,3.6864),(2615,145,0.000968,3.6864),(2615,155,0.001035,3.6864),(2615,165,0.001103,3.6865),(2615,175,0.00117,3.6865),(2615,185,0.001238,3.6865),(2615,195,0.001306,3.6865),(2615,205,0.001374,3.6865),(2615,215,0.001442,3.6865),(2615,225,0.00151,3.6865),(2615,235,0.001579,3.6865),(2615,245,0.001648,3.6866),(2615,255,0.001717,3.6866),(2615,265,0.001786,3.6866),(2615,275,0.001856,3.6866),(2615,285,0.001925,3.6866),(2615,295,0.001995,3.6867),(2615,305,0.002066,3.6867),(2615,315,0.002136,3.6867),(2615,325,0.002207,3.6867),(2615,335,0.002278,3.6867),(2615,345,0.002349,3.6868),(2615,355,0.002421,3.6868),(2615,365,0.002493,3.6868),(2615,375,0.002565,3.6868),(2615,385,0.002638,3.6869),(2615,395,0.002711,3.6869),(2615,405,0.002784,3.6869),(2615,415,0.002858,3.687),(2615,425,0.002932,3.687),(2615,435,0.003007,3.687),(2615,445,0.003082,3.6871),(2615,455,0.003157,3.6871),(2615,465,0.003233,3.6871),(2615,475,0.00331,3.6872),(2615,485,0.003387,3.6872),(2615,495,0.003463,3.6872),(2615,505,0.003542,3.6873),(2615,515,0.003621,3.6873),(2615,525,0.0037,3.6874),(2615,535,0.003778,3.6874),(2615,545,0.00386,3.6874),(2615,555,0.003941,3.6875),(2615,565,0.004022,3.6875),(2615,575,0.004103,3.6876),(2615,585,0.004186,3.6876),(2615,595,0.00427,3.6877),(2615,605,0.004353,3.6877),(2615,615,0.004437,3.6878),(2615,625,0.004524,3.6878),(2615,635,0.00461,3.6879),(2615,645,0.004697,3.6879),(2615,655,0.004784,3.688),(2615,665,0.004874,3.688),(2615,675,0.004963,3.6881),(2615,685,0.005053,3.6882),(2615,695,0.005144,3.6882),(2615,705,0.005237,3.6883),(2615,715,0.005331,3.6883),(2615,725,0.005425,3.6884),(2615,735,0.005519,3.6885),(2615,745,0.005617,3.6885),(2615,755,0.005714,3.6886),(2615,765,0.005812,3.6887),(2615,775,0.00591,3.6887),(2615,785,0.006012,3.6888),(2615,795,0.006114,3.6889),(2615,805,0.006216,3.689),(2615,815,0.00632,3.689),(2615,825,0.006427,3.6891),(2615,835,0.006534,3.6892),(2615,845,0.006641,3.6893),(2615,855,0.00675,3.6894),(2615,865,0.006862,3.6894),(2615,875,0.006975,3.6895),(2615,885,0.007087,3.6896),(2615,895,0.007202,3.6897),(2615,905,0.007321,3.6898),(2615,915,0.007439,3.6899),(2615,925,0.007558,3.69),(2615,935,0.00768,3.6901),(2615,945,0.007805,3.6902),(2615,955,0.00793,3.6903),(2615,965,0.008056,3.6904),(2615,975,0.008185,3.6905),(2615,985,0.008318,3.6906),(2615,995,0.00845,3.6907),(2615,1005,0.008583,3.6908),(2615,1015,0.00872,3.6909),(2615,1025,0.008861,3.691),(2615,1035,0.009002,3.6911),(2615,1045,0.009143,3.6912),(2615,1055,0.009289,3.6913),(2615,1065,0.009439,3.6915),(2615,1075,0.009589,3.6916),(2615,1085,0.009739,3.6917),(2615,1095,0.009895,3.6918),(2615,1105,0.010054,3.692),(2615,1115,0.010214,3.6921),(2615,1125,0.010374,3.6922),(2615,1135,0.01054,3.6924),(2615,1145,0.010711,3.6925),(2615,1155,0.010881,3.6926),(2615,1165,0.011052,3.6928),(2615,1175,0.01123,3.6929),(2615,1185,0.011412,3.693),(2615,1195,0.011595,3.6932),(2615,1205,0.011777,3.6933),(2615,1215,0.011968,3.6935),(2615,1225,0.012163,3.6936),(2615,1235,0.012358,3.6938),(2615,1245,0.012553,3.6939),(2615,1255,0.012759,3.6941),(2615,1265,0.012968,3.6943),(2615,1275,0.013177,3.6944),(2615,1285,0.013386,3.6946),(2615,1295,0.013607,3.6948),(2615,1305,0.013831,3.6949),(2615,1315,0.014056,3.6951),(2615,1325,0.01428,3.6953),(2615,1335,0.014518,3.6954),(2615,1345,0.014759,3.6956),(2615,1355,0.014999,3.6958),(2615,1365,0.01524,3.696),(2615,1375,0.015496,3.6962),(2615,1385,0.015755,3.6963),(2615,1395,0.016014,3.6965),(2615,1405,0.016273,3.6967),(2615,1415,0.016549,3.6969),(2615,1425,0.016828,3.6971),(2615,1435,0.017106,3.6973),(2615,1445,0.017384,3.6975),(2615,1455,0.017683,3.6977),(2615,1465,0.017982,3.6979),(2615,1475,0.018282,3.6981),(2615,1485,0.018582,3.6983),(2615,1495,0.018904,3.6985),(2615,1505,0.019226,3.6987),(2615,1515,0.019549,3.6989),(2615,1525,0.019872,3.6992),(2615,1535,0.020219,3.6994),(2615,1545,0.020566,3.6996),(2615,1555,0.020914,3.6998),(2615,1565,0.021263,3.7),(2615,1575,0.021637,3.7003),(2615,1585,0.022011,3.7005),(2615,1595,0.022385,3.7007),(2615,1605,0.022762,3.701),(2615,1615,0.023166,3.7012),(2615,1625,0.023569,3.7014),(2615,1635,0.023972,3.7017),(2615,1645,0.02438,3.7019),(2615,1655,0.024814,3.7021),(2615,1665,0.025248,3.7024),(2615,1675,0.025682,3.7026),(2615,1685,0.026123,3.7029),(2615,1695,0.026591,3.7031),(2615,1705,0.027059,3.7033),(2615,1715,0.027527,3.7036),(2615,1725,0.028003,3.7038),(2615,1735,0.028508,3.7041),(2615,1745,0.029012,3.7043),(2615,1755,0.029517,3.7046),(2615,1765,0.030031,3.7048),(2615,1775,0.030574,3.7051),(2615,1785,0.031118,3.7053),(2615,1795,0.031661,3.7056),(2615,1805,0.032217,3.7059),(2615,1815,0.032802,3.7061),(2615,1825,0.033387,3.7064),(2615,1835,0.033972,3.7066),(2615,1845,0.034573,3.7069),(2615,1855,0.035202,3.7071),(2615,1865,0.035832,3.7074),(2615,1875,0.036462,3.7076),(2615,1885,0.03711,3.7079),(2615,1895,0.037788,3.7081),(2615,1905,0.038466,3.7084),(2615,1915,0.039144,3.7086),(2615,1925,0.039844,3.7089),(2615,1935,0.040573,3.7091),(2615,1945,0.041302,3.7094),(2615,1955,0.042032,3.7096),(2615,1965,0.042786,3.7099),(2615,1975,0.04357,3.7101),(2615,1985,0.044354,3.7104),(2615,1995,0.045138,3.7106),(2615,2005,0.045951,3.7108),(2615,2015,0.046793,3.7111),(2615,2025,0.047635,3.7113),(2615,2035,0.048477,3.7115),(2615,2045,0.049353,3.7117),(2615,2055,0.050256,3.712),(2615,2065,0.05116,3.7122),(2615,2075,0.052064,3.7124),(2615,2085,0.053005,3.7126),(2615,2095,0.053974,3.7128),(2615,2105,0.054943,3.713),(2615,2115,0.055912,3.7132),(2615,2125,0.056923,3.7134),(2615,2135,0.057961,3.7135),(2615,2145,0.058999,3.7137),(2615,2155,0.060036,3.7139),(2615,2165,0.061122,3.714),(2615,2175,0.062232,3.7142),(2615,2185,0.063342,3.7143),(2615,2195,0.064452,3.7144),(2615,2205,0.065614,3.7146),(2615,2215,0.0668,3.7147),(2615,2225,0.067986,3.7148),(2615,2235,0.069171,3.7149),(2615,2245,0.070415,3.7149),(2615,2255,0.071679,3.715),(2615,2265,0.072943,3.7151),(2615,2275,0.074207,3.7151),(2615,2285,0.075535,3.7152),(2615,2295,0.07688,3.7152),(2615,2305,0.078226,3.7152),(2615,2315,0.079571,3.7152),(2615,2325,0.080985,3.7152),(2615,2335,0.082414,3.7151),(2615,2345,0.083843,3.7151),(2615,2355,0.085272,3.715),(2615,2365,0.086774,3.7149),(2615,2375,0.088289,3.7148),(2615,2385,0.089803,3.7147),(2615,2395,0.091317,3.7146),(2615,2405,0.092909,3.7144),(2615,2415,0.09451,3.7143),(2615,2425,0.096111,3.714),(2615,2435,0.097712,3.7138),(2615,2445,0.099394,3.7136),(2615,2455,0.10108,3.7133),(2615,2465,0.10277,3.713),(2615,2475,0.10446,3.7127),(2615,2485,0.10623,3.7123),(2615,2495,0.108,3.712),(2615,2505,0.10978,3.7116),(2615,2515,0.11155,3.7112),(2615,2525,0.11341,3.7107),(2615,2535,0.11527,3.7103),(2615,2545,0.11713,3.7097),(2615,2555,0.11899,3.7092),(2615,2565,0.12093,3.7086),(2615,2575,0.12287,3.7081),(2615,2585,0.12481,3.7074),(2615,2595,0.12676,3.7067),(2615,2605,0.12877,3.7061),(2615,2615,0.13079,3.7054),(2615,2625,0.13281,3.7045),(2615,2635,0.13484,3.7037),(2615,2645,0.13693,3.7029),(2615,2655,0.13901,3.7021),(2615,2665,0.1411,3.7011),(2615,2675,0.1432,3.7001),(2615,2685,0.14536,3.6991),(2615,2695,0.14751,3.6981),(2615,2705,0.14967,3.697),(2615,2715,0.15183,3.6959),(2615,2725,0.15404,3.6947),(2615,2735,0.15625,3.6935),(2615,2745,0.15846,3.6922),(2615,2755,0.16068,3.6909),(2615,2765,0.16294,3.6896),(2615,2775,0.16519,3.6882),(2615,2785,0.16745,3.6867),(2615,2795,0.16971,3.6852),(2615,2805,0.172,3.6837),(2615,2815,0.17429,3.6821),(2615,2825,0.17658,3.6804),(2615,2835,0.17887,3.6787),(2615,2845,0.18118,3.677),(2615,2855,0.18349,3.6753),(2615,2865,0.18579,3.6733),(2615,2875,0.18811,3.6714),(2615,2885,0.19042,3.6695),(2615,2895,0.19273,3.6675),(2615,2905,0.19504,3.6654),(2615,2915,0.19735,3.6633),(2615,2925,0.19965,3.6612),(2615,2935,0.20196,3.6589),(2615,2945,0.20426,3.6566),(2615,2955,0.20654,3.6542),(2615,2965,0.20882,3.6519),(2615,2975,0.21109,3.6494),(2615,2985,0.21336,3.6469),(2615,2995,0.21561,3.6443),(2615,3005,0.21783,3.6417),(2615,3015,0.22006,3.639),(2615,3025,0.22228,3.6362),(2615,3035,0.22447,3.6334),(2615,3045,0.22662,3.6306),(2615,3055,0.22878,3.6277),(2615,3065,0.23093,3.6247),(2615,3075,0.23304,3.6217),(2615,3085,0.2351,3.6186),(2615,3095,0.23717,3.6155),(2615,3105,0.23923,3.6123),(2615,3115,0.24123,3.609),(2615,3125,0.24319,3.6058),(2615,3135,0.24515,3.6024),(2615,3145,0.24711,3.5989),(2615,3155,0.24898,3.5955),(2615,3165,0.25081,3.592),(2615,3175,0.25263,3.5884),(2615,3185,0.25446,3.5847),(2615,3195,0.25618,3.5811),(2615,3205,0.25786,3.5774),(2615,3215,0.25954,3.5736),(2615,3225,0.26122,3.5697),(2615,3235,0.26277,3.5659),(2615,3245,0.26428,3.562),(2615,3255,0.26578,3.558),(2615,3265,0.26729,3.554),(2615,3275,0.26865,3.5499),(2615,3285,0.26997,3.5459),(2615,3295,0.27129,3.5417),(2615,3305,0.27261,3.5375),(2615,3315,0.27376,3.5333),(2615,3325,0.27487,3.5291),(2615,3335,0.27599,3.5248),(2615,3345,0.2771,3.5204),(2615,3355,0.27803,3.5161),(2615,3365,0.27892,3.5117),(2615,3375,0.27981,3.5073),(2615,3385,0.28071,3.5028),(2615,3395,0.28139,3.4983),(2615,3405,0.28205,3.4939),(2615,3415,0.28271,3.4893),(2615,3425,0.28337,3.4847),(2615,3435,0.28381,3.4802),(2615,3445,0.28422,3.4756),(2615,3455,0.28464,3.471),(2615,3465,0.28506,3.4663),(2615,3475,0.28523,3.4617),(2615,3485,0.2854,3.457),(2615,3495,0.28556,3.4524),(2615,3505,0.28573,3.4477),(2615,3515,0.28564,3.443),(2615,3525,0.28555,3.4383),(2615,3535,0.28547,3.4336),(2615,3545,0.28537,3.4289),(2615,3555,0.28503,3.4242),(2615,3565,0.28468,3.4195),(2615,3575,0.28434,3.4148),(2615,3585,0.28398,3.4101),(2615,3595,0.28338,3.4054),(2615,3605,0.28279,3.4007),(2615,3615,0.28219,3.3961),(2615,3625,0.28157,3.3914),(2615,3635,0.28072,3.3868),(2615,3645,0.27988,3.3821),(2615,3655,0.27904,3.3775),(2615,3665,0.27816,3.3729),(2615,3675,0.27708,3.3683),(2615,3685,0.276,3.3638),(2615,3695,0.27492,3.3593),(2615,3705,0.27379,3.3548),(2615,3715,0.27249,3.3502),(2615,3725,0.27118,3.3458),(2615,3735,0.26987,3.3413),(2615,3745,0.26851,3.3369),(2615,3755,0.26699,3.3325),(2615,3765,0.26547,3.3282),(2615,3775,0.26395,3.3239),(2615,3785,0.26237,3.3196),(2615,3795,0.26064,3.3153),(2615,3805,0.25892,3.3111),(2615,3815,0.25719,3.3069),(2615,3825,0.25541,3.3028),(2615,3835,0.2535,3.2986),(2615,3845,0.25158,3.2945),(2615,3855,0.24967,3.2905),(2615,3865,0.24769,3.2865),(2615,3875,0.2456,3.2825),(2615,3885,0.24351,3.2786),(2615,3895,0.24142,3.2747),(2615,3905,0.27355,3.2709),(2615,3915,0.35681,3.2671),(2615,3925,0.44008,3.2614),(2615,3935,0.52334,3.2533),(2615,3945,0.61023,3.2452),(2615,3955,0.70174,3.2371),(2615,3965,0.79324,3.2269),(2615,3975,0.88475,3.2141),(2615,3985,0.93671,3.2014),(2615,3995,0.94587,3.1886),(2615,4005,0.95502,3.1757),(2615,4015,0.96418,3.1626),(2615,4025,0.97451,3.1495),(2615,4035,0.98496,3.1364),(2615,4045,0.99541,3.1231),(2615,4055,1.0059,3.1097),(2615,4065,1.0164,3.0964),(2615,4075,1.0269,3.0828),(2615,4085,1.037,3.0693),(2615,4095,1.0468,3.0558),(2615,4105,1.0565,3.0421),(2615,4115,1.0279,3.0284),(2615,4125,0.93584,3.0147),(2615,4135,0.84376,3.0039),(2615,4145,0.75025,2.9939),(2615,4155,0.65098,2.984),(2615,4165,0.55171,2.9762),(2615,4175,0.45845,2.9699),(2615,4185,0.66271,2.9636),(2615,4195,0.86698,2.9538),(2615,4205,1.0712,2.9395),(2615,4215,1.0877,2.9252),(2615,4225,1.0687,2.9108),(2615,4235,1.0498,2.896),(2615,4245,0.99898,2.8812),(2615,4255,0.93204,2.8665),(2615,4265,0.86509,2.8527),(2615,4275,0.73921,2.839),(2615,4285,0.55079,2.8252),(2615,4295,0.36236,2.82),(2615,4305,0.3098,2.8157),(2615,4315,0.564,2.8114),(2615,4325,0.8182,2.8005),(2615,4335,1.0458,2.7871),(2615,4345,1.0932,2.7736),(2615,4355,1.1407,2.7591),(2615,4365,1.1881,2.7436),(2615,4375,1.2025,2.7282),(2615,4385,1.2151,2.7126),(2615,4395,1.2278,2.6967),(2615,4405,1.0822,2.6809),(2615,4415,0.89004,2.6664),(2615,4425,0.69786,2.6578),(2615,4435,0.61884,2.6492),(2615,4445,0.61716,2.6406),(2615,4455,0.61549,2.6318),(2615,4465,0.70636,2.623),(2615,4475,0.92724,2.6141),(2615,4485,1.1481,2.5997),(2615,4495,1.3191,2.5841),(2615,4505,1.3297,2.5685),(2615,4515,1.3404,2.5532),(2615,4525,1.3482,2.538),(2615,4535,1.3095,2.5229),(2615,4545,1.2709,2.509),(2615,4555,1.2323,2.4966),(2615,4565,0.94283,2.4843),(2615,4575,0.61954,2.4746),(2615,4585,0.29626,2.4714),(2615,4595,0.37175,2.4682),(2615,4605,0.61573,2.4637),(2615,4615,0.85971,2.4485),(2615,4625,1.0276,2.4333),(2615,4635,1.1267,2.4181),(2615,4645,1.2257,2.402),(2615,4655,1.3026,2.3857),(2615,4665,1.3375,2.3695),(2615,4675,1.3725,2.3539),(2615,4685,1.3537,2.3384),(2615,4695,1.0693,2.3229),(2615,4705,0.78495,2.3131),(2615,4715,0.50057,2.3075),(2615,4725,0.65289,2.3019),(2615,4735,0.80958,2.2943),(2615,4745,0.96627,2.2839),(2615,4755,1.1263,2.2736),(2615,4765,1.287,2.2623),(2615,4775,1.4478,2.248),(2615,4785,1.5111,2.2337),(2615,4795,1.518,2.2194),(2615,4805,1.525,2.2052),(2615,4815,1.4566,2.1911),(2615,4825,1.2982,2.1769),(2615,4835,1.1397,2.1669),(2615,4845,0.98004,2.1576),(2615,4855,0.81718,2.1483),(2615,4865,0.65432,2.142),(2615,4875,0.54216,2.1371),(2615,4885,0.89131,2.1322),(2615,4895,1.2405,2.1229),(2615,4905,1.5896,2.1092),(2615,4915,1.6071,2.0956),(2615,4925,1.5961,2.0817),(2615,4935,1.5851,2.0676),(2615,4945,1.51,2.0535),(2615,4955,1.4128,2.0393),(2615,4965,1.3156,2.0248),(2615,4975,1.0697,2.0103),(2615,4985,0.7091,1.9959),(2615,4995,0.34846,1.9941),(2615,5005,0.26813,1.9926),(2615,5015,0.63343,1.9911),(2615,5025,0.99873,1.9828),(2615,5035,1.3139,1.9728),(2615,5045,1.4384,1.9627),(2615,5055,1.5628,1.951),(2615,5065,1.6837,1.9383),(2615,5075,1.6889,1.9256),(2615,5085,1.6941,1.913),(2615,5095,1.6993,1.9004),(2615,5105,1.4876,1.8878),(2615,5115,1.238,1.8767),(2615,5125,0.98839,1.87),(2615,5135,0.86685,1.8632),(2615,5145,0.80745,1.8566),(2615,5155,0.74806,1.8512),(2615,5165,0.8855,1.8457),(2615,5175,1.2237,1.8403),(2615,5185,1.5619,1.8284),(2615,5195,1.7946,1.8158),(2615,5205,1.7999,1.8032),(2615,5215,1.8052,1.7907),(2615,5225,1.801,1.7783),(2615,5235,1.7369,1.7659),(2615,5245,1.6729,1.7544),(2615,5255,1.6088,1.7436),(2615,5265,1.1342,1.7328),(2615,5275,0.64256,1.7259),(2615,5285,0.15095,1.7253),(2615,5295,0.41504,1.7248),(2615,5305,0.88958,1.7214),(2615,5315,1.3641,1.7062),(2615,5325,1.6059,1.691),(2615,5335,1.695,1.6758),(2615,5345,1.7842,1.6622),(2615,5355,1.8408,1.6486),(2615,5365,1.8535,1.635),(2615,5375,1.8663,1.6219),(2615,5385,1.769,1.609),(2615,5395,1.3373,1.596),(2615,5405,0.90556,1.5892),(2615,5415,0.52164,1.5857),(2615,5425,0.77974,1.5822),(2615,5435,1.0378,1.5753),(2615,5445,1.2959,1.565),(2615,5455,1.5453,1.5546),(2615,5465,1.7935,1.5425),(2615,5475,2.0418,1.5265),(2615,5485,2.119,1.5105),(2615,5495,2.1274,1.4945),(2615,5505,2.1357,1.479),(2615,5515,2.144,1.4635),(2615,5525,2.1523,1.4479),(2615,5535,2.1606,1.4328),(2615,5545,2.1687,1.4178),(2615,5555,2.1764,1.4027),(2615,5565,2.184,1.388),(2615,5575,2.1916,1.3733),(2615,5585,2.1987,1.3587),(2615,5595,2.2058,1.3443),(2615,5605,2.2129,1.3301),(2615,5615,2.2195,1.3159),(2615,5625,2.2261,1.3019),(2615,5635,2.2326,1.288),(2615,5645,2.2388,1.2742),(2615,5655,2.2449,1.2605),(2615,5665,2.2509,1.2471),(2615,5675,2.2567,1.2337),(2615,5685,2.2623,1.2203),(2615,5695,2.2679,1.2072),(2615,5705,2.2733,1.1941),(2615,5715,2.2785,1.1811),(2615,5725,2.2836,1.1683),(2615,5735,2.2887,1.1555),(2615,5745,2.2935,1.1428),(2615,5755,2.2983,1.1302),(2615,5765,2.303,1.1178),(2615,5775,2.3074,1.1053),(2615,5785,2.3119,1.0931),(2615,5795,2.3163,1.0809),(2615,5805,2.3204,1.0688),(2615,5815,2.3245,1.0567),(2615,5825,2.3285,1.0449),(2615,5835,2.3324,1.033),(2615,5845,2.3361,1.0212),(2615,5855,2.3399,1.0095),(2615,5865,2.3435,0.99794),(2615,5875,2.3469,0.98633),(2615,5885,2.3504,0.97498),(2615,5895,2.3538,0.96363),(2615,5905,2.3569,0.95229),(2615,5915,2.3601,0.94116),(2615,5925,2.3632,0.93008),(2615,5935,2.3662,0.919),(2615,5945,2.3691,0.90807),(2615,5955,2.372,0.89723),(2615,5965,2.3748,0.88639),(2615,5975,2.3775,0.87564),(2615,5985,2.3803,0.86502),(2615,5995,1.8202,0.85439),(2615,6005,1.1696,0.84626),(2615,6015,0.5189,0.84483),(2615,6025,0.6118,0.8434),(2615,6035,1.0496,0.84103),(2615,6045,1.4873,0.8295),(2615,6055,1.7945,0.81798),(2615,6065,1.9737,0.80646),(2615,6075,2.1529,0.79152),(2615,6085,2.2749,0.77626),(2615,6095,2.2793,0.76101),(2615,6105,2.2837,0.74574),(2615,6115,2.288,0.73045),(2615,6125,2.2921,0.71517),(2615,6135,2.2963,0.69995),(2615,6145,2.3004,0.68479),(2615,6155,2.3042,0.66963),(2615,6165,2.3081,0.65455),(2615,6175,2.3119,0.63957),(2615,6185,2.3155,0.6246),(2615,6195,2.3191,0.60963),(2615,6205,2.3226,0.59469),(2615,6215,2.326,0.57976),(2615,6225,2.3292,0.56482),(2615,6235,2.3325,0.54995),(2615,6245,2.3356,0.53508),(2615,6255,2.3386,0.52021),(2615,6265,2.3415,0.50543),(2615,6275,2.3444,0.49067),(2615,6285,2.3471,0.47591),(2615,6295,2.3497,0.46119),(2615,6305,2.3524,0.44651),(2615,6315,2.3548,0.43182),(2615,6325,2.3572,0.41714),(2615,6335,2.3596,0.40246),(2615,6345,2.3618,0.38779),(2615,6355,2.364,0.37313),(2615,6365,2.3661,0.35849),(2615,6375,2.3681,0.34386),(2615,6385,2.3699,0.32924),(2615,6395,2.3718,0.31469),(2615,6405,2.3736,0.30014),(2615,6415,2.3752,0.28559),(2615,6425,2.3768,0.27113),(2615,6435,2.3783,0.25667),(2615,6445,2.3796,0.24221),(2615,6455,2.3809,0.22776),(2615,6465,2.3822,0.21332),(2615,6475,2.3833,0.19888),(2615,6485,2.3844,0.18443),(2615,6495,2.3855,0.16998),(2615,6505,2.3863,0.15554),(2615,6515,2.3871,0.14111),(2615,6525,2.388,0.1267),(2615,6535,2.3886,0.11229),(2615,6545,2.3892,0.097877),(2615,6555,2.3898,0.083466),(2615,6565,2.3902,0.069055),(2615,6575,2.3905,0.054649),(2615,6585,2.3908,0.040306),(2615,6595,2.0336,0.025963),(2615,6605,1.2816,0.01162),(2615,6615,0.52973,0.009946),(2615,6625,0.001146,0.0099),(2615,6635,0.001146,0.009853),(2615,6645,0.001145,0.009832),(2615,6655,0.001145,0.00982),(2615,6665,0.001145,0.009809),(2615,6675,0.001144,0.009798),(2615,6685,0.001144,0.009787),(2615,6695,0.001144,0.009776),(2615,6705,0.001144,0.009765),(2615,6715,0.001143,0.009754),(2615,6725,0.001143,0.009743),(2615,6735,0.001143,0.009732),(2615,6745,0.001143,0.009721),(2615,6755,0.001142,0.00971),(2615,6765,0.001142,0.0097),(2615,6775,0.001142,0.009689),(2615,6785,0.001142,0.009678),(2615,6795,0.001141,0.009668),(2615,6805,0.001141,0.009657),(2615,6815,0.001141,0.009647),(2615,6825,0.001141,0.009636),(2615,6835,0.001141,0.009626),(2615,6845,0.001141,0.009615),(2615,6855,0.001141,0.009605),(2615,6865,0.00114,0.009594),(2615,6875,0.00114,0.009584),(2615,6885,0.00114,0.009574),(2615,6895,0.00114,0.009564),(2615,6905,0.00114,0.009553),(2615,6915,0.00114,0.009543),(2615,6925,0.001139,0.009533),(2615,6935,0.001139,0.009523),(2615,6945,0.001139,0.009513),(2615,6955,0.001139,0.009503),(2615,6965,0.001139,0.009493),(2615,6975,0.001139,0.009483),(2615,6985,0.001139,0.009473),(2625,5,3.3e-05,3.6864),(2625,15,9.8e-05,3.6864),(2625,25,0.000164,3.6864),(2625,35,0.000229,3.6864),(2625,45,0.000295,3.6864),(2625,55,0.000361,3.6864),(2625,65,0.000426,3.6864),(2625,75,0.000492,3.6864),(2625,85,0.000558,3.6865),(2625,95,0.000624,3.6865),(2625,105,0.00069,3.6865),(2625,115,0.000756,3.6865),(2625,125,0.000822,3.6865),(2625,135,0.000888,3.6865),(2625,145,0.000954,3.6865),(2625,155,0.00102,3.6865),(2625,165,0.001087,3.6865),(2625,175,0.001153,3.6865),(2625,185,0.00122,3.6865),(2625,195,0.001287,3.6866),(2625,205,0.001354,3.6866),(2625,215,0.001421,3.6866),(2625,225,0.001489,3.6866),(2625,235,0.001556,3.6866),(2625,245,0.001624,3.6866),(2625,255,0.001692,3.6867),(2625,265,0.00176,3.6867),(2625,275,0.001828,3.6867),(2625,285,0.001897,3.6867),(2625,295,0.001966,3.6867),(2625,305,0.002035,3.6867),(2625,315,0.002105,3.6868),(2625,325,0.002174,3.6868),(2625,335,0.002244,3.6868),(2625,345,0.002314,3.6868),(2625,355,0.002385,3.6869),(2625,365,0.002456,3.6869),(2625,375,0.002527,3.6869),(2625,385,0.002598,3.6869),(2625,395,0.00267,3.687),(2625,405,0.002742,3.687),(2625,415,0.002814,3.687),(2625,425,0.002888,3.6871),(2625,435,0.002961,3.6871),(2625,445,0.003035,3.6871),(2625,455,0.003108,3.6872),(2625,465,0.003184,3.6872),(2625,475,0.003259,3.6872),(2625,485,0.003334,3.6873),(2625,495,0.00341,3.6873),(2625,505,0.003487,3.6874),(2625,515,0.003565,3.6874),(2625,525,0.003642,3.6874),(2625,535,0.00372,3.6875),(2625,545,0.003799,3.6875),(2625,555,0.003879,3.6876),(2625,565,0.003959,3.6876),(2625,575,0.004039,3.6877),(2625,585,0.004121,3.6877),(2625,595,0.004203,3.6877),(2625,605,0.004285,3.6878),(2625,615,0.004367,3.6879),(2625,625,0.004452,3.6879),(2625,635,0.004537,3.688),(2625,645,0.004622,3.688),(2625,655,0.004707,3.6881),(2625,665,0.004796,3.6881),(2625,675,0.004884,3.6882),(2625,685,0.004972,3.6882),(2625,695,0.005061,3.6883),(2625,705,0.005153,3.6884),(2625,715,0.005245,3.6884),(2625,725,0.005337,3.6885),(2625,735,0.005429,3.6886),(2625,745,0.005525,3.6886),(2625,755,0.005621,3.6887),(2625,765,0.005717,3.6888),(2625,775,0.005814,3.6888),(2625,785,0.005914,3.6889),(2625,795,0.006014,3.689),(2625,805,0.006114,3.6891),(2625,815,0.006216,3.6891),(2625,825,0.006321,3.6892),(2625,835,0.006426,3.6893),(2625,845,0.006531,3.6894),(2625,855,0.006638,3.6895),(2625,865,0.006748,3.6895),(2625,875,0.006859,3.6896),(2625,885,0.006969,3.6897),(2625,895,0.007082,3.6898),(2625,905,0.007198,3.6899),(2625,915,0.007315,3.69),(2625,925,0.007431,3.6901),(2625,935,0.007551,3.6902),(2625,945,0.007674,3.6903),(2625,955,0.007797,3.6904),(2625,965,0.00792,3.6905),(2625,975,0.008047,3.6906),(2625,985,0.008177,3.6907),(2625,995,0.008308,3.6908),(2625,1005,0.008438,3.6909),(2625,1015,0.008573,3.691),(2625,1025,0.008711,3.6911),(2625,1035,0.00885,3.6913),(2625,1045,0.008989,3.6914),(2625,1055,0.009132,3.6915),(2625,1065,0.009279,3.6916),(2625,1075,0.009427,3.6917),(2625,1085,0.009574,3.6919),(2625,1095,0.009727,3.692),(2625,1105,0.009884,3.6921),(2625,1115,0.010042,3.6922),(2625,1125,0.010199,3.6924),(2625,1135,0.010363,3.6925),(2625,1145,0.01053,3.6927),(2625,1155,0.010698,3.6928),(2625,1165,0.010866,3.6929),(2625,1175,0.011041,3.6931),(2625,1185,0.011221,3.6932),(2625,1195,0.0114,3.6934),(2625,1205,0.01158,3.6935),(2625,1215,0.011768,3.6937),(2625,1225,0.01196,3.6938),(2625,1235,0.012152,3.694),(2625,1245,0.012344,3.6941),(2625,1255,0.012547,3.6943),(2625,1265,0.012753,3.6945),(2625,1275,0.012959,3.6946),(2625,1285,0.013165,3.6948),(2625,1295,0.013383,3.695),(2625,1305,0.013605,3.6951),(2625,1315,0.013826,3.6953),(2625,1325,0.014047,3.6955),(2625,1335,0.014282,3.6957),(2625,1345,0.014519,3.6958),(2625,1355,0.014757,3.696),(2625,1365,0.014994,3.6962),(2625,1375,0.015248,3.6964),(2625,1385,0.015503,3.6966),(2625,1395,0.015759,3.6968),(2625,1405,0.016014,3.697),(2625,1415,0.016287,3.6972),(2625,1425,0.016562,3.6974),(2625,1435,0.016838,3.6976),(2625,1445,0.017113,3.6978),(2625,1455,0.017408,3.698),(2625,1465,0.017704,3.6982),(2625,1475,0.018,3.6984),(2625,1485,0.018297,3.6986),(2625,1495,0.018615,3.6988),(2625,1505,0.018935,3.6991),(2625,1515,0.019254,3.6993),(2625,1525,0.019573,3.6995),(2625,1535,0.019917,3.6997),(2625,1545,0.020261,3.6999),(2625,1555,0.020605,3.7002),(2625,1565,0.020951,3.7004),(2625,1575,0.021322,3.7006),(2625,1585,0.021692,3.7009),(2625,1595,0.022063,3.7011),(2625,1605,0.022437,3.7013),(2625,1615,0.022837,3.7016),(2625,1625,0.023237,3.7018),(2625,1635,0.023637,3.7021),(2625,1645,0.024041,3.7023),(2625,1655,0.024472,3.7026),(2625,1665,0.024903,3.7028),(2625,1675,0.025334,3.7031),(2625,1685,0.025771,3.7033),(2625,1695,0.026236,3.7036),(2625,1705,0.026701,3.7038),(2625,1715,0.027166,3.7041),(2625,1725,0.027639,3.7043),(2625,1735,0.02814,3.7046),(2625,1745,0.028642,3.7048),(2625,1755,0.029143,3.7051),(2625,1765,0.029655,3.7054),(2625,1775,0.030195,3.7056),(2625,1785,0.030736,3.7059),(2625,1795,0.031276,3.7062),(2625,1805,0.031829,3.7064),(2625,1815,0.032412,3.7067),(2625,1825,0.032994,3.7069),(2625,1835,0.033577,3.7072),(2625,1845,0.034174,3.7075),(2625,1855,0.034802,3.7077),(2625,1865,0.03543,3.708),(2625,1875,0.036057,3.7083),(2625,1885,0.036703,3.7085),(2625,1895,0.037379,3.7088),(2625,1905,0.038055,3.7091),(2625,1915,0.038731,3.7093),(2625,1925,0.039429,3.7096),(2625,1935,0.040157,3.7099),(2625,1945,0.040885,3.7101),(2625,1955,0.041612,3.7104),(2625,1965,0.042366,3.7106),(2625,1975,0.043149,3.7109),(2625,1985,0.043932,3.7112),(2625,1995,0.044715,3.7114),(2625,2005,0.045527,3.7117),(2625,2015,0.046369,3.7119),(2625,2025,0.047211,3.7121),(2625,2035,0.048053,3.7124),(2625,2045,0.048928,3.7126),(2625,2055,0.049832,3.7129),(2625,2065,0.050737,3.7131),(2625,2075,0.051641,3.7133),(2625,2085,0.052583,3.7135),(2625,2095,0.053554,3.7138),(2625,2105,0.054524,3.714),(2625,2115,0.055494,3.7142),(2625,2125,0.056507,3.7144),(2625,2135,0.057548,3.7146),(2625,2145,0.058588,3.7148),(2625,2155,0.059628,3.7149),(2625,2165,0.060716,3.7151),(2625,2175,0.06183,3.7153),(2625,2185,0.062943,3.7154),(2625,2195,0.064057,3.7156),(2625,2205,0.065224,3.7157),(2625,2215,0.066414,3.7159),(2625,2225,0.067605,3.716),(2625,2235,0.068795,3.7161),(2625,2245,0.070045,3.7162),(2625,2255,0.071315,3.7163),(2625,2265,0.072586,3.7164),(2625,2275,0.073856,3.7164),(2625,2285,0.075191,3.7165),(2625,2295,0.076545,3.7165),(2625,2305,0.077898,3.7166),(2625,2315,0.079252,3.7166),(2625,2325,0.080675,3.7166),(2625,2335,0.082114,3.7166),(2625,2345,0.083553,3.7165),(2625,2355,0.084992,3.7165),(2625,2365,0.086506,3.7164),(2625,2375,0.088032,3.7164),(2625,2385,0.089559,3.7162),(2625,2395,0.091085,3.7161),(2625,2405,0.092691,3.716),(2625,2415,0.094305,3.7159),(2625,2425,0.09592,3.7157),(2625,2435,0.097535,3.7154),(2625,2445,0.099234,3.7152),(2625,2455,0.10094,3.715),(2625,2465,0.10264,3.7147),(2625,2475,0.10435,3.7144),(2625,2485,0.10614,3.7141),(2625,2495,0.10793,3.7138),(2625,2505,0.10972,3.7134),(2625,2515,0.11152,3.713),(2625,2525,0.1134,3.7126),(2625,2535,0.11528,3.7122),(2625,2545,0.11716,3.7116),(2625,2555,0.11904,3.7111),(2625,2565,0.121,3.7106),(2625,2575,0.12297,3.71),(2625,2585,0.12493,3.7094),(2625,2595,0.1269,3.7087),(2625,2605,0.12895,3.7081),(2625,2615,0.13099,3.7074),(2625,2625,0.13304,3.7066),(2625,2635,0.13509,3.7058),(2625,2645,0.13721,3.705),(2625,2655,0.13933,3.7042),(2625,2665,0.14145,3.7032),(2625,2675,0.14358,3.7023),(2625,2685,0.14577,3.7013),(2625,2695,0.14795,3.7003),(2625,2705,0.15014,3.6992),(2625,2715,0.15234,3.6981),(2625,2725,0.15458,3.6969),(2625,2735,0.15683,3.6958),(2625,2745,0.15907,3.6945),(2625,2755,0.16133,3.6932),(2625,2765,0.16362,3.6919),(2625,2775,0.16591,3.6905),(2625,2785,0.16821,3.689),(2625,2795,0.17051,3.6875),(2625,2805,0.17284,3.686),(2625,2815,0.17517,3.6845),(2625,2825,0.1775,3.6828),(2625,2835,0.17983,3.6811),(2625,2845,0.18218,3.6794),(2625,2855,0.18453,3.6776),(2625,2865,0.18688,3.6757),(2625,2875,0.18924,3.6738),(2625,2885,0.19159,3.6719),(2625,2895,0.19395,3.6699),(2625,2905,0.19631,3.6677),(2625,2915,0.19866,3.6656),(2625,2925,0.20101,3.6635),(2625,2935,0.20335,3.6613),(2625,2945,0.2057,3.6589),(2625,2955,0.20804,3.6565),(2625,2965,0.21035,3.6542),(2625,2975,0.21267,3.6517),(2625,2985,0.21499,3.6491),(2625,2995,0.21729,3.6466),(2625,3005,0.21956,3.644),(2625,3015,0.22183,3.6413),(2625,3025,0.2241,3.6385),(2625,3035,0.22633,3.6357),(2625,3045,0.22853,3.6328),(2625,3055,0.23074,3.6299),(2625,3065,0.23294,3.6268),(2625,3075,0.23509,3.6238),(2625,3085,0.2372,3.6208),(2625,3095,0.23932,3.6176),(2625,3105,0.24143,3.6143),(2625,3115,0.24348,3.611),(2625,3125,0.24548,3.6078),(2625,3135,0.24748,3.6043),(2625,3145,0.24948,3.6009),(2625,3155,0.2514,3.5974),(2625,3165,0.25327,3.5939),(2625,3175,0.25514,3.5902),(2625,3185,0.25702,3.5865),(2625,3195,0.25878,3.5828),(2625,3205,0.2605,3.5791),(2625,3215,0.26222,3.5753),(2625,3225,0.26394,3.5714),(2625,3235,0.26553,3.5675),(2625,3245,0.26708,3.5636),(2625,3255,0.26862,3.5595),(2625,3265,0.27017,3.5554),(2625,3275,0.27157,3.5513),(2625,3285,0.27292,3.5472),(2625,3295,0.27427,3.543),(2625,3305,0.27563,3.5388),(2625,3315,0.27681,3.5345),(2625,3325,0.27796,3.5302),(2625,3335,0.2791,3.5259),(2625,3345,0.28025,3.5214),(2625,3355,0.2812,3.517),(2625,3365,0.28212,3.5126),(2625,3375,0.28304,3.5081),(2625,3385,0.28396,3.5036),(2625,3395,0.28467,3.4991),(2625,3405,0.28535,3.4945),(2625,3415,0.28603,3.4899),(2625,3425,0.28671,3.4853),(2625,3435,0.28716,3.4807),(2625,3445,0.2876,3.476),(2625,3455,0.28803,3.4713),(2625,3465,0.28846,3.4666),(2625,3475,0.28865,3.4619),(2625,3485,0.28882,3.4572),(2625,3495,0.289,3.4525),(2625,3505,0.28918,3.4477),(2625,3515,0.28909,3.443),(2625,3525,0.28901,3.4382),(2625,3535,0.28893,3.4335),(2625,3545,0.28883,3.4287),(2625,3555,0.28849,3.4239),(2625,3565,0.28815,3.4192),(2625,3575,0.2878,3.4144),(2625,3585,0.28744,3.4096),(2625,3595,0.28684,3.4049),(2625,3605,0.28624,3.4001),(2625,3615,0.28564,3.3954),(2625,3625,0.285,3.3907),(2625,3635,0.28415,3.386),(2625,3645,0.2833,3.3813),(2625,3655,0.28244,3.3766),(2625,3665,0.28155,3.372),(2625,3675,0.28045,3.3673),(2625,3685,0.27936,3.3627),(2625,3695,0.27826,3.3581),(2625,3705,0.27712,3.3535),(2625,3715,0.27579,3.349),(2625,3725,0.27447,3.3444),(2625,3735,0.27314,3.34),(2625,3745,0.27176,3.3355),(2625,3755,0.27021,3.331),(2625,3765,0.26867,3.3266),(2625,3775,0.26712,3.3223),(2625,3785,0.26552,3.3179),(2625,3795,0.26377,3.3136),(2625,3805,0.26202,3.3093),(2625,3815,0.26027,3.3051),(2625,3825,0.25845,3.3009),(2625,3835,0.25651,3.2967),(2625,3845,0.25457,3.2926),(2625,3855,0.25263,3.2885),(2625,3865,0.25062,3.2845),(2625,3875,0.2485,3.2804),(2625,3885,0.24638,3.2765),(2625,3895,0.24426,3.2726),(2625,3905,0.27667,3.2687),(2625,3915,0.36066,3.2648),(2625,3925,0.44465,3.2591),(2625,3935,0.52865,3.2509),(2625,3945,0.6163,3.2428),(2625,3955,0.7086,3.2346),(2625,3965,0.8009,3.2243),(2625,3975,0.8932,3.2114),(2625,3985,0.9456,3.1986),(2625,3995,0.95481,3.1858),(2625,4005,0.96401,3.1728),(2625,4015,0.97322,3.1596),(2625,4025,0.98359,3.1465),(2625,4035,0.99407,3.1332),(2625,4045,1.0046,3.1198),(2625,4055,1.0151,3.1065),(2625,4065,1.0256,3.093),(2625,4075,1.0362,3.0794),(2625,4085,1.0463,3.0658),(2625,4095,1.056,3.0522),(2625,4105,1.0657,3.0385),(2625,4115,1.0369,3.0248),(2625,4125,0.944,3.011),(2625,4135,0.85112,3.0002),(2625,4145,0.75684,2.9902),(2625,4155,0.65683,2.9801),(2625,4165,0.55683,2.9724),(2625,4175,0.46288,2.9661),(2625,4185,0.6688,2.9597),(2625,4195,0.87471,2.95),(2625,4205,1.0806,2.9356),(2625,4215,1.0975,2.9213),(2625,4225,1.0787,2.9068),(2625,4235,1.06,2.8919),(2625,4245,1.0092,2.8771),(2625,4255,0.9422,2.8623),(2625,4265,0.87521,2.8483),(2625,4275,0.74826,2.8344),(2625,4285,0.55769,2.8204),(2625,4295,0.36712,2.815),(2625,4305,0.31362,2.8106),(2625,4315,0.5696,2.8062),(2625,4325,0.82559,2.7952),(2625,4335,1.0548,2.7815),(2625,4345,1.1027,2.7678),(2625,4355,1.1506,2.753),(2625,4365,1.1984,2.7374),(2625,4375,1.2129,2.7218),(2625,4385,1.2256,2.7061),(2625,4395,1.2383,2.6902),(2625,4405,1.0917,2.6742),(2625,4415,0.89802,2.6597),(2625,4425,0.70436,2.6511),(2625,4435,0.62481,2.6425),(2625,4445,0.62324,2.634),(2625,4455,0.62166,2.625),(2625,4465,0.71309,2.616),(2625,4475,0.93518,2.6071),(2625,4485,1.1573,2.5926),(2625,4495,1.3291,2.5769),(2625,4505,1.3396,2.5613),(2625,4515,1.3501,2.5459),(2625,4525,1.3576,2.5308),(2625,4535,1.3182,2.5156),(2625,4545,1.2789,2.5017),(2625,4555,1.2396,2.4893),(2625,4565,0.94866,2.4768),(2625,4575,0.62384,2.4671),(2625,4585,0.29902,2.4639),(2625,4595,0.37595,2.4607),(2625,4605,0.62263,2.4562),(2625,4615,0.86931,2.441),(2625,4625,1.0385,2.4258),(2625,4635,1.1375,2.4106),(2625,4645,1.2365,2.3945),(2625,4655,1.3131,2.3782),(2625,4665,1.3477,2.362),(2625,4675,1.3823,2.3463),(2625,4685,1.3629,2.3308),(2625,4695,1.0766,2.3153),(2625,4705,0.79039,2.3055),(2625,4715,0.50412,2.2998),(2625,4725,0.65725,2.2941),(2625,4735,0.81477,2.2865),(2625,4745,0.97229,2.2761),(2625,4755,1.1329,2.2657),(2625,4765,1.2942,2.2545),(2625,4775,1.4556,2.2401),(2625,4785,1.519,2.2258),(2625,4795,1.5259,2.2114),(2625,4805,1.5328,2.1972),(2625,4815,1.464,2.183),(2625,4825,1.3047,2.1687),(2625,4835,1.1454,2.1587),(2625,4845,0.98489,2.1493),(2625,4855,0.82131,2.1399),(2625,4865,0.65772,2.1336),(2625,4875,0.54504,2.1287),(2625,4885,0.89548,2.1238),(2625,4895,1.2459,2.1145),(2625,4905,1.5964,2.1008),(2625,4915,1.6141,2.0872),(2625,4925,1.6033,2.0734),(2625,4935,1.5925,2.0592),(2625,4945,1.5179,2.0451),(2625,4955,1.4211,2.0309),(2625,4965,1.3244,2.0164),(2625,4975,1.0773,2.0018),(2625,4985,0.71413,1.9873),(2625,4995,0.35094,1.9855),(2625,5005,0.2695,1.984),(2625,5015,0.63598,1.9825),(2625,5025,1.0025,1.9742),(2625,5035,1.3187,1.9642),(2625,5045,1.4434,1.9541),(2625,5055,1.5681,1.9424),(2625,5065,1.6893,1.9297),(2625,5075,1.6945,1.917),(2625,5085,1.6997,1.9043),(2625,5095,1.7048,1.8917),(2625,5105,1.4924,1.8791),(2625,5115,1.242,1.868),(2625,5125,0.99164,1.8612),(2625,5135,0.86971,1.8544),(2625,5145,0.81013,1.8478),(2625,5155,0.75055,1.8424),(2625,5165,0.88831,1.837),(2625,5175,1.2274,1.8316),(2625,5185,1.5664,1.8196),(2625,5195,1.7997,1.807),(2625,5205,1.8049,1.7944),(2625,5215,1.8102,1.7819),(2625,5225,1.8058,1.7695),(2625,5235,1.7415,1.7571),(2625,5245,1.6772,1.7456),(2625,5255,1.6129,1.7348),(2625,5265,1.1371,1.7241),(2625,5275,0.64433,1.7171),(2625,5285,0.15155,1.7166),(2625,5295,0.41741,1.716),(2625,5305,0.89454,1.7126),(2625,5315,1.3717,1.6974),(2625,5325,1.614,1.6822),(2625,5335,1.7023,1.667),(2625,5345,1.7906,1.6534),(2625,5355,1.8466,1.6398),(2625,5365,1.8591,1.6262),(2625,5375,1.8716,1.6132),(2625,5385,1.7739,1.6002),(2625,5395,1.341,1.5872),(2625,5405,0.90808,1.5804),(2625,5415,0.52314,1.5769),(2625,5425,0.78231,1.5734),(2625,5435,1.0415,1.5666),(2625,5445,1.3006,1.5563),(2625,5455,1.5507,1.546),(2625,5465,1.7998,1.534),(2625,5475,2.0488,1.5181),(2625,5485,2.1261,1.5022),(2625,5495,2.1342,1.4863),(2625,5505,2.1424,1.4709),(2625,5515,2.1505,1.4554),(2625,5525,2.1587,1.44),(2625,5535,2.1668,1.425),(2625,5545,2.1747,1.41),(2625,5555,2.1822,1.395),(2625,5565,2.1897,1.3804),(2625,5575,2.1971,1.3659),(2625,5585,2.2041,1.3513),(2625,5595,2.211,1.337),(2625,5605,2.218,1.3229),(2625,5615,2.2244,1.3088),(2625,5625,2.2308,1.2948),(2625,5635,2.2372,1.2811),(2625,5645,2.2433,1.2674),(2625,5655,2.2492,1.2537),(2625,5665,2.2551,1.2404),(2625,5675,2.2608,1.227),(2625,5685,2.2662,1.2137),(2625,5695,2.2717,1.2007),(2625,5705,2.277,1.1877),(2625,5715,2.2821,1.1748),(2625,5725,2.2871,1.162),(2625,5735,2.2921,1.1494),(2625,5745,2.2967,1.1367),(2625,5755,2.3014,1.1242),(2625,5765,2.306,1.1119),(2625,5775,2.3103,1.0995),(2625,5785,2.3146,1.0873),(2625,5795,2.319,1.0752),(2625,5805,2.323,1.0632),(2625,5815,2.3269,1.0512),(2625,5825,2.3309,1.0394),(2625,5835,2.3347,1.0276),(2625,5845,2.3383,1.0159),(2625,5855,2.342,1.0043),(2625,5865,2.3455,0.99279),(2625,5875,2.3489,0.98125),(2625,5885,2.3522,0.96997),(2625,5895,2.3555,0.9587),(2625,5905,2.3586,0.94743),(2625,5915,2.3617,0.93637),(2625,5925,2.3647,0.92536),(2625,5935,2.3676,0.91436),(2625,5945,2.3704,0.9035),(2625,5955,2.3732,0.89273),(2625,5965,2.3759,0.88196),(2625,5975,2.3786,0.87128),(2625,5985,2.3813,0.86073),(2625,5995,1.821,0.85017),(2625,6005,1.1701,0.8421),(2625,6015,0.51914,0.84068),(2625,6025,0.61299,0.83927),(2625,6035,1.0523,0.8369),(2625,6045,1.4915,0.82543),(2625,6055,1.7997,0.81395),(2625,6065,1.9794,0.80248),(2625,6075,2.159,0.78761),(2625,6085,2.2814,0.77242),(2625,6095,2.2857,0.75724),(2625,6105,2.2901,0.74203),(2625,6115,2.2944,0.72682),(2625,6125,2.2984,0.71161),(2625,6135,2.3025,0.69647),(2625,6145,2.3066,0.68138),(2625,6155,2.3104,0.66629),(2625,6165,2.3142,0.65127),(2625,6175,2.318,0.63637),(2625,6185,2.3216,0.62147),(2625,6195,2.3251,0.60657),(2625,6205,2.3286,0.59171),(2625,6215,2.3319,0.57684),(2625,6225,2.3351,0.56197),(2625,6235,2.3384,0.54717),(2625,6245,2.3415,0.53237),(2625,6255,2.3444,0.51757),(2625,6265,2.3473,0.50286),(2625,6275,2.3502,0.48817),(2625,6285,2.3528,0.47348),(2625,6295,2.3555,0.45884),(2625,6305,2.3581,0.44423),(2625,6315,2.3605,0.42962),(2625,6325,2.3629,0.41501),(2625,6335,2.3652,0.40042),(2625,6345,2.3674,0.38582),(2625,6355,2.3695,0.37123),(2625,6365,2.3716,0.35667),(2625,6375,2.3736,0.34212),(2625,6385,2.3755,0.32757),(2625,6395,2.3773,0.31309),(2625,6405,2.379,0.29861),(2625,6415,2.3806,0.28413),(2625,6425,2.3822,0.26974),(2625,6435,2.3837,0.25535),(2625,6445,2.385,0.24097),(2625,6455,2.3863,0.2266),(2625,6465,2.3876,0.21223),(2625,6475,2.3887,0.19786),(2625,6485,2.3898,0.1835),(2625,6495,2.3908,0.16913),(2625,6505,2.3916,0.15476),(2625,6515,2.3925,0.14041),(2625,6525,2.3933,0.12608),(2625,6535,2.3939,0.11175),(2625,6545,2.3945,0.097415),(2625,6555,2.3951,0.083078),(2625,6565,2.3955,0.068742),(2625,6575,2.3958,0.05441),(2625,6585,2.3961,0.040141),(2625,6595,2.0381,0.025872),(2625,6605,1.2845,0.011603),(2625,6615,0.53091,0.009939),(2625,6625,0.001153,0.009896),(2625,6635,0.001153,0.009852),(2625,6645,0.001152,0.009831),(2625,6655,0.001152,0.00982),(2625,6665,0.001151,0.009809),(2625,6675,0.001151,0.009797),(2625,6685,0.001151,0.009786),(2625,6695,0.001151,0.009775),(2625,6705,0.00115,0.009764),(2625,6715,0.00115,0.009753),(2625,6725,0.00115,0.009742),(2625,6735,0.001149,0.009732),(2625,6745,0.001149,0.009721),(2625,6755,0.001149,0.00971),(2625,6765,0.001148,0.009699),(2625,6775,0.001148,0.009689),(2625,6785,0.001148,0.009678),(2625,6795,0.001148,0.009667),(2625,6805,0.001148,0.009657),(2625,6815,0.001147,0.009646),(2625,6825,0.001147,0.009636),(2625,6835,0.001147,0.009625),(2625,6845,0.001147,0.009615),(2625,6855,0.001146,0.009605),(2625,6865,0.001146,0.009594),(2625,6875,0.001146,0.009584),(2625,6885,0.001146,0.009574),(2625,6895,0.001146,0.009563),(2625,6905,0.001146,0.009553),(2625,6915,0.001145,0.009543),(2625,6925,0.001145,0.009533),(2625,6935,0.001145,0.009523),(2625,6945,0.001145,0.009513),(2625,6955,0.001145,0.009503),(2625,6965,0.001145,0.009493),(2625,6975,0.001144,0.009483),(2625,6985,0.001144,0.009473),(2635,5,3.2e-05,3.6865),(2635,15,9.7e-05,3.6865),(2635,25,0.000162,3.6865),(2635,35,0.000226,3.6865),(2635,45,0.000291,3.6865),(2635,55,0.000355,3.6865),(2635,65,0.00042,3.6865),(2635,75,0.000485,3.6865),(2635,85,0.00055,3.6865),(2635,95,0.000614,3.6865),(2635,105,0.000679,3.6865),(2635,115,0.000745,3.6865),(2635,125,0.00081,3.6865),(2635,135,0.000875,3.6866),(2635,145,0.00094,3.6866),(2635,155,0.001006,3.6866),(2635,165,0.001071,3.6866),(2635,175,0.001136,3.6866),(2635,185,0.001202,3.6866),(2635,195,0.001268,3.6866),(2635,205,0.001334,3.6866),(2635,215,0.0014,3.6867),(2635,225,0.001466,3.6867),(2635,235,0.001533,3.6867),(2635,245,0.0016,3.6867),(2635,255,0.001666,3.6867),(2635,265,0.001734,3.6867),(2635,275,0.001801,3.6868),(2635,285,0.001869,3.6868),(2635,295,0.001936,3.6868),(2635,305,0.002004,3.6868),(2635,315,0.002073,3.6868),(2635,325,0.002141,3.6869),(2635,335,0.00221,3.6869),(2635,345,0.002279,3.6869),(2635,355,0.002349,3.6869),(2635,365,0.002419,3.687),(2635,375,0.002488,3.687),(2635,385,0.002559,3.687),(2635,395,0.00263,3.687),(2635,405,0.0027,3.6871),(2635,415,0.002771,3.6871),(2635,425,0.002843,3.6871),(2635,435,0.002916,3.6872),(2635,445,0.002988,3.6872),(2635,455,0.00306,3.6872),(2635,465,0.003134,3.6873),(2635,475,0.003208,3.6873),(2635,485,0.003282,3.6873),(2635,495,0.003356,3.6874),(2635,505,0.003432,3.6874),(2635,515,0.003509,3.6875),(2635,525,0.003585,3.6875),(2635,535,0.003661,3.6876),(2635,545,0.003739,3.6876),(2635,555,0.003818,3.6876),(2635,565,0.003896,3.6877),(2635,575,0.003974,3.6877),(2635,585,0.004055,3.6878),(2635,595,0.004136,3.6878),(2635,605,0.004216,3.6879),(2635,615,0.004297,3.6879),(2635,625,0.00438,3.688),(2635,635,0.004464,3.688),(2635,645,0.004547,3.6881),(2635,655,0.004631,3.6882),(2635,665,0.004718,3.6882),(2635,675,0.004804,3.6883),(2635,685,0.004891,3.6883),(2635,695,0.004978,3.6884),(2635,705,0.005068,3.6885),(2635,715,0.005158,3.6885),(2635,725,0.005248,3.6886),(2635,735,0.005339,3.6886),(2635,745,0.005433,3.6887),(2635,755,0.005528,3.6888),(2635,765,0.005621,3.6889),(2635,775,0.005717,3.6889),(2635,785,0.005815,3.689),(2635,795,0.005913,3.6891),(2635,805,0.006012,3.6892),(2635,815,0.006111,3.6892),(2635,825,0.006214,3.6893),(2635,835,0.006318,3.6894),(2635,845,0.00642,3.6895),(2635,855,0.006526,3.6896),(2635,865,0.006634,3.6897),(2635,875,0.006742,3.6897),(2635,885,0.006851,3.6898),(2635,895,0.006961,3.6899),(2635,905,0.007076,3.69),(2635,915,0.00719,3.6901),(2635,925,0.007304,3.6902),(2635,935,0.007422,3.6903),(2635,945,0.007542,3.6904),(2635,955,0.007664,3.6905),(2635,965,0.007784,3.6906),(2635,975,0.007909,3.6907),(2635,985,0.008037,3.6908),(2635,995,0.008165,3.6909),(2635,1005,0.008293,3.691),(2635,1015,0.008425,3.6912),(2635,1025,0.008562,3.6913),(2635,1035,0.008698,3.6914),(2635,1045,0.008834,3.6915),(2635,1055,0.008975,3.6916),(2635,1065,0.00912,3.6918),(2635,1075,0.009265,3.6919),(2635,1085,0.009409,3.692),(2635,1095,0.00956,3.6921),(2635,1105,0.009715,3.6923),(2635,1115,0.009869,3.6924),(2635,1125,0.010024,3.6925),(2635,1135,0.010185,3.6927),(2635,1145,0.01035,3.6928),(2635,1155,0.010515,3.693),(2635,1165,0.01068,3.6931),(2635,1175,0.010853,3.6933),(2635,1185,0.011029,3.6934),(2635,1195,0.011206,3.6935),(2635,1205,0.011382,3.6937),(2635,1215,0.011568,3.6939),(2635,1225,0.011757,3.694),(2635,1235,0.011946,3.6942),(2635,1245,0.012136,3.6943),(2635,1255,0.012335,3.6945),(2635,1265,0.012538,3.6947),(2635,1275,0.012741,3.6948),(2635,1285,0.012944,3.695),(2635,1295,0.013159,3.6952),(2635,1305,0.013378,3.6954),(2635,1315,0.013596,3.6955),(2635,1325,0.013814,3.6957),(2635,1335,0.014046,3.6959),(2635,1345,0.01428,3.6961),(2635,1355,0.014514,3.6963),(2635,1365,0.014749,3.6965),(2635,1375,0.014999,3.6967),(2635,1385,0.015251,3.6968),(2635,1395,0.015503,3.697),(2635,1405,0.015756,3.6972),(2635,1415,0.016026,3.6974),(2635,1425,0.016297,3.6976),(2635,1435,0.016569,3.6979),(2635,1445,0.016841,3.6981),(2635,1455,0.017133,3.6983),(2635,1465,0.017426,3.6985),(2635,1475,0.017719,3.6987),(2635,1485,0.018012,3.6989),(2635,1495,0.018327,3.6991),(2635,1505,0.018643,3.6994),(2635,1515,0.018959,3.6996),(2635,1525,0.019275,3.6998),(2635,1535,0.019615,3.7001),(2635,1545,0.019956,3.7003),(2635,1555,0.020297,3.7005),(2635,1565,0.020639,3.7008),(2635,1575,0.021006,3.701),(2635,1585,0.021374,3.7012),(2635,1595,0.021741,3.7015),(2635,1605,0.022112,3.7017),(2635,1615,0.022508,3.702),(2635,1625,0.022905,3.7022),(2635,1635,0.023301,3.7025),(2635,1645,0.023702,3.7027),(2635,1655,0.02413,3.703),(2635,1665,0.024558,3.7032),(2635,1675,0.024986,3.7035),(2635,1685,0.02542,3.7037),(2635,1695,0.025881,3.704),(2635,1705,0.026343,3.7043),(2635,1715,0.026804,3.7045),(2635,1725,0.027274,3.7048),(2635,1735,0.027773,3.7051),(2635,1745,0.028271,3.7053),(2635,1755,0.028769,3.7056),(2635,1765,0.029278,3.7059),(2635,1775,0.029816,3.7062),(2635,1785,0.030353,3.7064),(2635,1795,0.030891,3.7067),(2635,1805,0.031441,3.707),(2635,1815,0.032021,3.7073),(2635,1825,0.032601,3.7075),(2635,1835,0.033181,3.7078),(2635,1845,0.033776,3.7081),(2635,1855,0.034402,3.7084),(2635,1865,0.035027,3.7086),(2635,1875,0.035652,3.7089),(2635,1885,0.036296,3.7092),(2635,1895,0.03697,3.7095),(2635,1905,0.037644,3.7098),(2635,1915,0.038318,3.71),(2635,1925,0.039014,3.7103),(2635,1935,0.039741,3.7106),(2635,1945,0.040467,3.7109),(2635,1955,0.041193,3.7111),(2635,1965,0.041945,3.7114),(2635,1975,0.042727,3.7117),(2635,1985,0.043509,3.7119),(2635,1995,0.044291,3.7122),(2635,2005,0.045103,3.7125),(2635,2015,0.045945,3.7127),(2635,2025,0.046786,3.713),(2635,2035,0.047628,3.7133),(2635,2045,0.048503,3.7135),(2635,2055,0.049408,3.7138),(2635,2065,0.050313,3.714),(2635,2075,0.051218,3.7142),(2635,2085,0.052161,3.7145),(2635,2095,0.053133,3.7147),(2635,2105,0.054104,3.7149),(2635,2115,0.055076,3.7152),(2635,2125,0.056092,3.7154),(2635,2135,0.057134,3.7156),(2635,2145,0.058176,3.7158),(2635,2155,0.059219,3.716),(2635,2165,0.06031,3.7162),(2635,2175,0.061427,3.7164),(2635,2185,0.062545,3.7166),(2635,2195,0.063662,3.7167),(2635,2205,0.064833,3.7169),(2635,2215,0.066028,3.7171),(2635,2225,0.067224,3.7172),(2635,2235,0.068419,3.7173),(2635,2245,0.069674,3.7174),(2635,2255,0.070951,3.7176),(2635,2265,0.072228,3.7177),(2635,2275,0.073505,3.7177),(2635,2285,0.074848,3.7178),(2635,2295,0.07621,3.7179),(2635,2305,0.077571,3.7179),(2635,2315,0.078933,3.718),(2635,2325,0.080366,3.718),(2635,2335,0.081815,3.718),(2635,2345,0.083264,3.718),(2635,2355,0.084712,3.718),(2635,2365,0.086238,3.7179),(2635,2375,0.087776,3.7179),(2635,2385,0.089314,3.7178),(2635,2395,0.090852,3.7177),(2635,2405,0.092472,3.7176),(2635,2415,0.094101,3.7175),(2635,2425,0.09573,3.7173),(2635,2435,0.097359,3.7171),(2635,2445,0.099073,3.7169),(2635,2455,0.10079,3.7167),(2635,2465,0.10251,3.7165),(2635,2475,0.10423,3.7162),(2635,2485,0.10604,3.7159),(2635,2495,0.10786,3.7156),(2635,2505,0.10967,3.7152),(2635,2515,0.11148,3.7148),(2635,2525,0.11338,3.7145),(2635,2535,0.11528,3.7141),(2635,2545,0.11719,3.7136),(2635,2555,0.11909,3.7131),(2635,2565,0.12108,3.7126),(2635,2575,0.12307,3.712),(2635,2585,0.12506,3.7114),(2635,2595,0.12705,3.7108),(2635,2605,0.12912,3.7101),(2635,2615,0.13119,3.7095),(2635,2625,0.13327,3.7087),(2635,2635,0.13535,3.7079),(2635,2645,0.1375,3.7071),(2635,2655,0.13965,3.7063),(2635,2665,0.14179,3.7054),(2635,2675,0.14395,3.7045),(2635,2685,0.14617,3.7035),(2635,2695,0.14839,3.7025),(2635,2705,0.15061,3.7014),(2635,2715,0.15284,3.7003),(2635,2725,0.15512,3.6992),(2635,2735,0.1574,3.6981),(2635,2745,0.15968,3.6968),(2635,2755,0.16198,3.6955),(2635,2765,0.16431,3.6942),(2635,2775,0.16664,3.6929),(2635,2785,0.16897,3.6914),(2635,2795,0.17131,3.6899),(2635,2805,0.17368,3.6884),(2635,2815,0.17605,3.6868),(2635,2825,0.17841,3.6852),(2635,2835,0.18079,3.6835),(2635,2845,0.18318,3.6818),(2635,2855,0.18558,3.68),(2635,2865,0.18797,3.6781),(2635,2875,0.19037,3.6762),(2635,2885,0.19277,3.6743),(2635,2895,0.19517,3.6723),(2635,2905,0.19757,3.6702),(2635,2915,0.19997,3.668),(2635,2925,0.20236,3.6659),(2635,2935,0.20475,3.6637),(2635,2945,0.20715,3.6613),(2635,2955,0.20953,3.6589),(2635,2965,0.21189,3.6566),(2635,2975,0.21426,3.6541),(2635,2985,0.21662,3.6515),(2635,2995,0.21896,3.6489),(2635,3005,0.22128,3.6463),(2635,3015,0.2236,3.6436),(2635,3025,0.22592,3.6408),(2635,3035,0.2282,3.6379),(2635,3045,0.23045,3.6351),(2635,3055,0.2327,3.6321),(2635,3065,0.23495,3.6291),(2635,3075,0.23714,3.626),(2635,3085,0.2393,3.6229),(2635,3095,0.24146,3.6197),(2635,3105,0.24362,3.6164),(2635,3115,0.24572,3.6131),(2635,3125,0.24777,3.6098),(2635,3135,0.24981,3.6064),(2635,3145,0.25186,3.6029),(2635,3155,0.25382,3.5993),(2635,3165,0.25574,3.5958),(2635,3175,0.25766,3.5921),(2635,3185,0.25957,3.5884),(2635,3195,0.26138,3.5846),(2635,3205,0.26314,3.5809),(2635,3215,0.2649,3.577),(2635,3225,0.26666,3.5731),(2635,3235,0.26829,3.5691),(2635,3245,0.26988,3.5652),(2635,3255,0.27146,3.5611),(2635,3265,0.27305,3.5569),(2635,3275,0.27448,3.5528),(2635,3285,0.27587,3.5486),(2635,3295,0.27726,3.5444),(2635,3305,0.27865,3.5401),(2635,3315,0.27986,3.5357),(2635,3325,0.28104,3.5314),(2635,3335,0.28222,3.527),(2635,3345,0.28339,3.5225),(2635,3355,0.28437,3.5181),(2635,3365,0.28532,3.5136),(2635,3375,0.28627,3.509),(2635,3385,0.28721,3.5044),(2635,3395,0.28794,3.4998),(2635,3405,0.28865,3.4952),(2635,3415,0.28935,3.4906),(2635,3425,0.29005,3.4859),(2635,3435,0.29052,3.4812),(2635,3445,0.29097,3.4765),(2635,3455,0.29142,3.4717),(2635,3465,0.29187,3.4669),(2635,3475,0.29206,3.4622),(2635,3485,0.29225,3.4574),(2635,3495,0.29244,3.4526),(2635,3505,0.29262,3.4478),(2635,3515,0.29254,3.443),(2635,3525,0.29247,3.4381),(2635,3535,0.29239,3.4333),(2635,3545,0.2923,3.4285),(2635,3555,0.29196,3.4236),(2635,3565,0.29161,3.4188),(2635,3575,0.29127,3.414),(2635,3585,0.2909,3.4092),(2635,3595,0.29029,3.4043),(2635,3605,0.28969,3.3995),(2635,3615,0.28908,3.3947),(2635,3625,0.28844,3.39),(2635,3635,0.28758,3.3852),(2635,3645,0.28671,3.3804),(2635,3655,0.28585,3.3757),(2635,3665,0.28494,3.371),(2635,3675,0.28383,3.3662),(2635,3685,0.28272,3.3615),(2635,3695,0.28161,3.3569),(2635,3705,0.28045,3.3523),(2635,3715,0.2791,3.3477),(2635,3725,0.27775,3.3431),(2635,3735,0.2764,3.3385),(2635,3745,0.275,3.334),(2635,3755,0.27343,3.3295),(2635,3765,0.27186,3.325),(2635,3775,0.27029,3.3206),(2635,3785,0.26867,3.3162),(2635,3795,0.26689,3.3119),(2635,3805,0.26511,3.3075),(2635,3815,0.26334,3.3033),(2635,3825,0.2615,3.299),(2635,3835,0.25953,3.2948),(2635,3845,0.25756,3.2906),(2635,3855,0.25559,3.2865),(2635,3865,0.25355,3.2824),(2635,3875,0.2514,3.2783),(2635,3885,0.24925,3.2743),(2635,3895,0.2471,3.2704),(2635,3905,0.27978,3.2664),(2635,3915,0.36451,3.2625),(2635,3925,0.44923,3.2568),(2635,3935,0.53396,3.2485),(2635,3945,0.62237,3.2403),(2635,3955,0.71546,3.232),(2635,3965,0.80856,3.2216),(2635,3975,0.90165,3.2087),(2635,3985,0.95449,3.1958),(2635,3995,0.96375,3.1829),(2635,4005,0.973,3.1698),(2635,4015,0.98226,3.1566),(2635,4025,0.99267,3.1434),(2635,4035,1.0032,3.1301),(2635,4045,1.0137,3.1166),(2635,4055,1.0243,3.1032),(2635,4065,1.0348,3.0897),(2635,4075,1.0454,3.076),(2635,4085,1.0555,3.0624),(2635,4095,1.0652,3.0487),(2635,4105,1.075,3.0349),(2635,4115,1.0458,3.0211),(2635,4125,0.95215,3.0073),(2635,4135,0.85849,2.9965),(2635,4145,0.76343,2.9864),(2635,4155,0.66269,2.9763),(2635,4165,0.56195,2.9685),(2635,4175,0.46732,2.9622),(2635,4185,0.67488,2.9559),(2635,4195,0.88244,2.9462),(2635,4205,1.09,2.9318),(2635,4215,1.1073,2.9174),(2635,4225,1.0887,2.9029),(2635,4235,1.0701,2.8879),(2635,4245,1.0194,2.8729),(2635,4255,0.95237,2.858),(2635,4265,0.88533,2.8438),(2635,4275,0.75731,2.8297),(2635,4285,0.5646,2.8156),(2635,4295,0.37188,2.81),(2635,4305,0.31744,2.8055),(2635,4315,0.57521,2.801),(2635,4325,0.83299,2.7897),(2635,4335,1.0638,2.7758),(2635,4345,1.1121,2.7618),(2635,4355,1.1604,2.7469),(2635,4365,1.2088,2.7311),(2635,4375,1.2233,2.7154),(2635,4385,1.2361,2.6995),(2635,4395,1.2489,2.6836),(2635,4405,1.1011,2.6676),(2635,4415,0.90599,2.653),(2635,4425,0.71087,2.6445),(2635,4435,0.63079,2.6359),(2635,4445,0.62931,2.6274),(2635,4455,0.62784,2.6183),(2635,4465,0.71983,2.6092),(2635,4475,0.94312,2.6001),(2635,4485,1.1664,2.5856),(2635,4495,1.3391,2.5699),(2635,4505,1.3494,2.5543),(2635,4515,1.3597,2.5389),(2635,4525,1.367,2.5238),(2635,4535,1.3269,2.5087),(2635,4545,1.2869,2.4947),(2635,4555,1.2468,2.4821),(2635,4565,0.95449,2.4695),(2635,4575,0.62813,2.4596),(2635,4585,0.30178,2.4565),(2635,4595,0.38015,2.4533),(2635,4605,0.62953,2.4488),(2635,4615,0.87891,2.4336),(2635,4625,1.0493,2.4184),(2635,4635,1.1483,2.4032),(2635,4645,1.2472,2.3871),(2635,4655,1.3237,2.3708),(2635,4665,1.3579,2.3546),(2635,4675,1.3921,2.3389),(2635,4685,1.3721,2.3233),(2635,4695,1.084,2.3077),(2635,4705,0.79582,2.2978),(2635,4715,0.50768,2.2921),(2635,4725,0.6616,2.2863),(2635,4735,0.81995,2.2787),(2635,4745,0.9783,2.2683),(2635,4755,1.1395,2.2579),(2635,4765,1.3014,2.2466),(2635,4775,1.4633,2.2322),(2635,4785,1.527,2.2178),(2635,4795,1.5338,2.2034),(2635,4805,1.5406,2.1892),(2635,4815,1.4713,2.1749),(2635,4825,1.3112,2.1606),(2635,4835,1.1511,2.1504),(2635,4845,0.98975,2.1409),(2635,4855,0.82544,2.1315),(2635,4865,0.66113,2.1251),(2635,4875,0.54792,2.1203),(2635,4885,0.89965,2.1154),(2635,4895,1.2514,2.1061),(2635,4905,1.6031,2.0924),(2635,4915,1.6212,2.0788),(2635,4925,1.6105,2.065),(2635,4935,1.5999,2.0508),(2635,4945,1.5257,2.0367),(2635,4955,1.4295,2.0225),(2635,4965,1.3332,2.0079),(2635,4975,1.0849,1.9933),(2635,4985,0.71915,1.9787),(2635,4995,0.35342,1.9769),(2635,5005,0.27087,1.9754),(2635,5015,0.63853,1.9739),(2635,5025,1.0062,1.9656),(2635,5035,1.3234,1.9555),(2635,5045,1.4484,1.9455),(2635,5055,1.5735,1.9337),(2635,5065,1.695,1.921),(2635,5075,1.7001,1.9083),(2635,5085,1.7052,1.8956),(2635,5095,1.7103,1.8829),(2635,5105,1.4972,1.8703),(2635,5115,1.2461,1.8592),(2635,5125,0.99489,1.8524),(2635,5135,0.87258,1.8456),(2635,5145,0.81281,1.8389),(2635,5155,0.75303,1.8335),(2635,5165,0.89113,1.8281),(2635,5175,1.231,1.8227),(2635,5185,1.5709,1.8108),(2635,5195,1.8048,1.7982),(2635,5205,1.81,1.7856),(2635,5215,1.8151,1.7731),(2635,5225,1.8106,1.7607),(2635,5235,1.7461,1.7483),(2635,5245,1.6815,1.7367),(2635,5255,1.617,1.726),(2635,5265,1.1401,1.7152),(2635,5275,0.6461,1.7083),(2635,5285,0.15215,1.7077),(2635,5295,0.41978,1.7072),(2635,5305,0.8995,1.7038),(2635,5315,1.3792,1.6885),(2635,5325,1.622,1.6733),(2635,5335,1.7095,1.6581),(2635,5345,1.7969,1.6445),(2635,5355,1.8524,1.631),(2635,5365,1.8647,1.6174),(2635,5375,1.8769,1.6043),(2635,5385,1.7787,1.5914),(2635,5395,1.3447,1.5784),(2635,5405,0.9106,1.5716),(2635,5415,0.52464,1.5681),(2635,5425,0.78488,1.5646),(2635,5435,1.0451,1.5579),(2635,5445,1.3053,1.5476),(2635,5455,1.5562,1.5374),(2635,5465,1.806,1.5255),(2635,5475,2.0557,1.5096),(2635,5485,2.1331,1.4938),(2635,5495,2.1411,1.478),(2635,5505,2.1491,1.4627),(2635,5515,2.1571,1.4473),(2635,5525,2.165,1.432),(2635,5535,2.1729,1.4171),(2635,5545,2.1807,1.4022),(2635,5555,2.188,1.3873),(2635,5565,2.1954,1.3728),(2635,5575,2.2026,1.3583),(2635,5585,2.2094,1.3439),(2635,5595,2.2162,1.3297),(2635,5605,2.223,1.3156),(2635,5615,2.2293,1.3016),(2635,5625,2.2356,1.2877),(2635,5635,2.2419,1.2741),(2635,5645,2.2477,1.2604),(2635,5655,2.2535,1.2469),(2635,5665,2.2593,1.2336),(2635,5675,2.2648,1.2204),(2635,5685,2.2702,1.2071),(2635,5695,2.2755,1.1942),(2635,5705,2.2807,1.1813),(2635,5715,2.2856,1.1684),(2635,5725,2.2906,1.1558),(2635,5735,2.2954,1.1432),(2635,5745,2.2999,1.1306),(2635,5755,2.3045,1.1182),(2635,5765,2.309,1.1059),(2635,5775,2.3132,1.0936),(2635,5785,2.3174,1.0815),(2635,5795,2.3216,1.0695),(2635,5805,2.3255,1.0575),(2635,5815,2.3294,1.0456),(2635,5825,2.3333,1.0339),(2635,5835,2.3369,1.0222),(2635,5845,2.3405,1.0105),(2635,5855,2.3441,0.99906),(2635,5865,2.3475,0.9876),(2635,5875,2.3508,0.97614),(2635,5885,2.3541,0.96493),(2635,5895,2.3572,0.95373),(2635,5905,2.3602,0.94253),(2635,5915,2.3633,0.93155),(2635,5925,2.3662,0.92061),(2635,5935,2.369,0.90967),(2635,5945,2.3717,0.89889),(2635,5955,2.3745,0.88819),(2635,5965,2.3771,0.87749),(2635,5975,2.3797,0.86688),(2635,5985,2.3823,0.85639),(2635,5995,1.8217,0.84591),(2635,6005,1.1706,0.83789),(2635,6015,0.51938,0.83649),(2635,6025,0.61419,0.83508),(2635,6035,1.055,0.83274),(2635,6045,1.4958,0.82131),(2635,6055,1.8049,0.80989),(2635,6065,1.9851,0.79846),(2635,6075,2.1652,0.78365),(2635,6085,2.2879,0.76853),(2635,6095,2.2922,0.75342),(2635,6105,2.2965,0.73828),(2635,6115,2.3007,0.72315),(2635,6125,2.3047,0.70801),(2635,6135,2.3088,0.69294),(2635,6145,2.3128,0.67792),(2635,6155,2.3166,0.66291),(2635,6165,2.3203,0.64797),(2635,6175,2.3241,0.63314),(2635,6185,2.3276,0.61831),(2635,6195,2.3311,0.6035),(2635,6205,2.3346,0.5887),(2635,6215,2.3379,0.5739),(2635,6225,2.3411,0.55911),(2635,6235,2.3443,0.54438),(2635,6245,2.3473,0.52964),(2635,6255,2.3502,0.51491),(2635,6265,2.3531,0.50027),(2635,6275,2.3559,0.48565),(2635,6285,2.3586,0.47103),(2635,6295,2.3612,0.45647),(2635,6305,2.3638,0.44193),(2635,6315,2.3661,0.4274),(2635,6325,2.3685,0.41287),(2635,6335,2.3709,0.39835),(2635,6345,2.373,0.38383),(2635,6355,2.3751,0.36932),(2635,6365,2.3772,0.35484),(2635,6375,2.3791,0.34036),(2635,6385,2.381,0.32589),(2635,6395,2.3828,0.31148),(2635,6405,2.3845,0.29707),(2635,6415,2.3861,0.28266),(2635,6425,2.3877,0.26834),(2635,6435,2.3891,0.25403),(2635,6445,2.3904,0.23972),(2635,6455,2.3917,0.22542),(2635,6465,2.393,0.21113),(2635,6475,2.3941,0.19684),(2635,6485,2.3951,0.18255),(2635,6495,2.3962,0.16826),(2635,6505,2.397,0.15398),(2635,6515,2.3978,0.13971),(2635,6525,2.3986,0.12545),(2635,6535,2.3992,0.1112),(2635,6545,2.3998,0.096948),(2635,6555,2.4004,0.082689),(2635,6565,2.4008,0.068429),(2635,6575,2.4011,0.054174),(2635,6585,2.4014,0.039981),(2635,6595,2.0426,0.025789),(2635,6605,1.2873,0.011596),(2635,6615,0.53208,0.009941),(2635,6625,0.00116,0.009897),(2635,6635,0.001159,0.009852),(2635,6645,0.001159,0.009831),(2635,6655,0.001159,0.00982),(2635,6665,0.001158,0.009808),(2635,6675,0.001158,0.009797),(2635,6685,0.001158,0.009786),(2635,6695,0.001157,0.009775),(2635,6705,0.001157,0.009764),(2635,6715,0.001156,0.009753),(2635,6725,0.001156,0.009742),(2635,6735,0.001156,0.009731),(2635,6745,0.001156,0.00972),(2635,6755,0.001155,0.00971),(2635,6765,0.001155,0.009699),(2635,6775,0.001155,0.009688),(2635,6785,0.001154,0.009678),(2635,6795,0.001154,0.009667),(2635,6805,0.001154,0.009657),(2635,6815,0.001153,0.009646),(2635,6825,0.001153,0.009635),(2635,6835,0.001153,0.009625),(2635,6845,0.001153,0.009615),(2635,6855,0.001153,0.009604),(2635,6865,0.001152,0.009594),(2635,6875,0.001152,0.009584),(2635,6885,0.001152,0.009573),(2635,6895,0.001152,0.009563),(2635,6905,0.001151,0.009553),(2635,6915,0.001151,0.009543),(2635,6925,0.001151,0.009533),(2635,6935,0.001151,0.009523),(2635,6945,0.001151,0.009513),(2635,6955,0.001151,0.009503),(2635,6965,0.00115,0.009493),(2635,6975,0.00115,0.009483),(2635,6985,0.00115,0.009473),(2645,5,3.2e-05,3.6866),(2645,15,9.5e-05,3.6866),(2645,25,0.000159,3.6866),(2645,35,0.000223,3.6866),(2645,45,0.000286,3.6866),(2645,55,0.00035,3.6866),(2645,65,0.000414,3.6866),(2645,75,0.000478,3.6866),(2645,85,0.000541,3.6866),(2645,95,0.000605,3.6866),(2645,105,0.000669,3.6866),(2645,115,0.000733,3.6866),(2645,125,0.000797,3.6866),(2645,135,0.000862,3.6866),(2645,145,0.000926,3.6866),(2645,155,0.00099,3.6866),(2645,165,0.001055,3.6866),(2645,175,0.001119,3.6867),(2645,185,0.001184,3.6867),(2645,195,0.001249,3.6867),(2645,205,0.001314,3.6867),(2645,215,0.001379,3.6867),(2645,225,0.001444,3.6867),(2645,235,0.00151,3.6867),(2645,245,0.001575,3.6868),(2645,255,0.001641,3.6868),(2645,265,0.001707,3.6868),(2645,275,0.001773,3.6868),(2645,285,0.00184,3.6868),(2645,295,0.001906,3.6869),(2645,305,0.001973,3.6869),(2645,315,0.002041,3.6869),(2645,325,0.002108,3.6869),(2645,335,0.002176,3.687),(2645,345,0.002244,3.687),(2645,355,0.002312,3.687),(2645,365,0.002381,3.687),(2645,375,0.002449,3.6871),(2645,385,0.002519,3.6871),(2645,395,0.002588,3.6871),(2645,405,0.002658,3.6871),(2645,415,0.002728,3.6872),(2645,425,0.002799,3.6872),(2645,435,0.00287,3.6872),(2645,445,0.00294,3.6873),(2645,455,0.003011,3.6873),(2645,465,0.003084,3.6873),(2645,475,0.003157,3.6874),(2645,485,0.00323,3.6874),(2645,495,0.003302,3.6875),(2645,505,0.003377,3.6875),(2645,515,0.003452,3.6875),(2645,525,0.003527,3.6876),(2645,535,0.003601,3.6876),(2645,545,0.003678,3.6877),(2645,555,0.003755,3.6877),(2645,565,0.003832,3.6878),(2645,575,0.003909,3.6878),(2645,585,0.003988,3.6879),(2645,595,0.004067,3.6879),(2645,605,0.004146,3.688),(2645,615,0.004226,3.688),(2645,625,0.004307,3.6881),(2645,635,0.004389,3.6881),(2645,645,0.004471,3.6882),(2645,655,0.004553,3.6882),(2645,665,0.004638,3.6883),(2645,675,0.004723,3.6884),(2645,685,0.004808,3.6884),(2645,695,0.004894,3.6885),(2645,705,0.004982,3.6885),(2645,715,0.005071,3.6886),(2645,725,0.005159,3.6887),(2645,735,0.005248,3.6887),(2645,745,0.00534,3.6888),(2645,755,0.005433,3.6889),(2645,765,0.005525,3.689),(2645,775,0.005618,3.689),(2645,785,0.005714,3.6891),(2645,795,0.005811,3.6892),(2645,805,0.005907,3.6893),(2645,815,0.006005,3.6893),(2645,825,0.006106,3.6894),(2645,835,0.006207,3.6895),(2645,845,0.006308,3.6896),(2645,855,0.006411,3.6897),(2645,865,0.006517,3.6898),(2645,875,0.006624,3.6898),(2645,885,0.00673,3.6899),(2645,895,0.006838,3.69),(2645,905,0.006951,3.6901),(2645,915,0.007063,3.6902),(2645,925,0.007175,3.6903),(2645,935,0.00729,3.6904),(2645,945,0.007408,3.6905),(2645,955,0.007527,3.6906),(2645,965,0.007646,3.6907),(2645,975,0.007768,3.6908),(2645,985,0.007893,3.691),(2645,995,0.008019,3.6911),(2645,1005,0.008145,3.6912),(2645,1015,0.008275,3.6913),(2645,1025,0.008408,3.6914),(2645,1035,0.008542,3.6915),(2645,1045,0.008675,3.6917),(2645,1055,0.008814,3.6918),(2645,1065,0.008956,3.6919),(2645,1075,0.009098,3.692),(2645,1085,0.00924,3.6922),(2645,1095,0.009388,3.6923),(2645,1105,0.00954,3.6924),(2645,1115,0.009692,3.6926),(2645,1125,0.009843,3.6927),(2645,1135,0.010002,3.6928),(2645,1145,0.010164,3.693),(2645,1155,0.010326,3.6931),(2645,1165,0.010488,3.6933),(2645,1175,0.010658,3.6934),(2645,1185,0.010832,3.6936),(2645,1195,0.011005,3.6937),(2645,1205,0.011179,3.6939),(2645,1215,0.011362,3.694),(2645,1225,0.011548,3.6942),(2645,1235,0.011734,3.6944),(2645,1245,0.01192,3.6945),(2645,1255,0.012116,3.6947),(2645,1265,0.012316,3.6949),(2645,1275,0.012516,3.695),(2645,1285,0.012716,3.6952),(2645,1295,0.012928,3.6954),(2645,1305,0.013143,3.6956),(2645,1315,0.013358,3.6958),(2645,1325,0.013573,3.6959),(2645,1335,0.013801,3.6961),(2645,1345,0.014032,3.6963),(2645,1355,0.014263,3.6965),(2645,1365,0.014494,3.6967),(2645,1375,0.014741,3.6969),(2645,1385,0.01499,3.6971),(2645,1395,0.015238,3.6973),(2645,1405,0.015487,3.6975),(2645,1415,0.015754,3.6977),(2645,1425,0.016022,3.6979),(2645,1435,0.01629,3.6981),(2645,1445,0.016558,3.6983),(2645,1455,0.016847,3.6986),(2645,1465,0.017136,3.6988),(2645,1475,0.017425,3.699),(2645,1485,0.017715,3.6992),(2645,1495,0.018027,3.6995),(2645,1505,0.018339,3.6997),(2645,1515,0.018651,3.6999),(2645,1525,0.018964,3.7002),(2645,1535,0.0193,3.7004),(2645,1545,0.019637,3.7006),(2645,1555,0.019974,3.7009),(2645,1565,0.020313,3.7011),(2645,1575,0.020676,3.7014),(2645,1585,0.02104,3.7016),(2645,1595,0.021404,3.7019),(2645,1605,0.021771,3.7021),(2645,1615,0.022164,3.7024),(2645,1625,0.022556,3.7026),(2645,1635,0.022949,3.7029),(2645,1645,0.023347,3.7031),(2645,1655,0.023771,3.7034),(2645,1665,0.024195,3.7037),(2645,1675,0.024619,3.7039),(2645,1685,0.025049,3.7042),(2645,1695,0.025508,3.7045),(2645,1705,0.025966,3.7047),(2645,1715,0.026424,3.705),(2645,1725,0.02689,3.7053),(2645,1735,0.027385,3.7056),(2645,1745,0.02788,3.7058),(2645,1755,0.028374,3.7061),(2645,1765,0.02888,3.7064),(2645,1775,0.029414,3.7067),(2645,1785,0.029948,3.707),(2645,1795,0.030483,3.7073),(2645,1805,0.03103,3.7075),(2645,1815,0.031607,3.7078),(2645,1825,0.032184,3.7081),(2645,1835,0.03276,3.7084),(2645,1845,0.033353,3.7087),(2645,1855,0.033975,3.709),(2645,1865,0.034598,3.7093),(2645,1875,0.03522,3.7096),(2645,1885,0.035861,3.7099),(2645,1895,0.036533,3.7101),(2645,1905,0.037205,3.7104),(2645,1915,0.037876,3.7107),(2645,1925,0.03857,3.711),(2645,1935,0.039294,3.7113),(2645,1945,0.040018,3.7116),(2645,1955,0.040742,3.7119),(2645,1965,0.041493,3.7122),(2645,1975,0.042273,3.7124),(2645,1985,0.043054,3.7127),(2645,1995,0.043834,3.713),(2645,2005,0.044645,3.7133),(2645,2015,0.045485,3.7136),(2645,2025,0.046326,3.7138),(2645,2035,0.047167,3.7141),(2645,2045,0.048042,3.7144),(2645,2055,0.048947,3.7147),(2645,2065,0.049851,3.7149),(2645,2075,0.050756,3.7152),(2645,2085,0.0517,3.7154),(2645,2095,0.052672,3.7157),(2645,2105,0.053644,3.7159),(2645,2115,0.054617,3.7162),(2645,2125,0.055634,3.7164),(2645,2135,0.056678,3.7166),(2645,2145,0.057722,3.7169),(2645,2155,0.058766,3.7171),(2645,2165,0.05986,3.7173),(2645,2175,0.06098,3.7175),(2645,2185,0.0621,3.7177),(2645,2195,0.06322,3.7179),(2645,2205,0.064396,3.7181),(2645,2215,0.065595,3.7182),(2645,2225,0.066795,3.7184),(2645,2235,0.067994,3.7185),(2645,2245,0.069255,3.7187),(2645,2255,0.070538,3.7188),(2645,2265,0.071821,3.719),(2645,2275,0.073103,3.7191),(2645,2285,0.074453,3.7192),(2645,2295,0.075823,3.7193),(2645,2305,0.077192,3.7193),(2645,2315,0.078561,3.7194),(2645,2325,0.080003,3.7194),(2645,2335,0.081461,3.7195),(2645,2345,0.08292,3.7195),(2645,2355,0.084378,3.7195),(2645,2365,0.085915,3.7195),(2645,2375,0.087465,3.7194),(2645,2385,0.089014,3.7194),(2645,2395,0.090564,3.7193),(2645,2405,0.092197,3.7192),(2645,2415,0.09384,3.7191),(2645,2425,0.095483,3.719),(2645,2435,0.097126,3.7188),(2645,2445,0.098857,3.7186),(2645,2455,0.10059,3.7185),(2645,2465,0.10233,3.7182),(2645,2475,0.10407,3.718),(2645,2485,0.1059,3.7177),(2645,2495,0.10773,3.7174),(2645,2505,0.10956,3.7171),(2645,2515,0.11139,3.7167),(2645,2525,0.11331,3.7163),(2645,2535,0.11524,3.716),(2645,2545,0.11716,3.7155),(2645,2555,0.11909,3.715),(2645,2565,0.1211,3.7145),(2645,2575,0.12311,3.714),(2645,2585,0.12513,3.7134),(2645,2595,0.12715,3.7128),(2645,2605,0.12925,3.7122),(2645,2615,0.13135,3.7116),(2645,2625,0.13344,3.7108),(2645,2635,0.13555,3.71),(2645,2645,0.13773,3.7093),(2645,2655,0.13991,3.7085),(2645,2665,0.14209,3.7076),(2645,2675,0.14428,3.7066),(2645,2685,0.14654,3.7057),(2645,2695,0.14879,3.7048),(2645,2705,0.15104,3.7037),(2645,2715,0.15331,3.7026),(2645,2725,0.15562,3.7015),(2645,2735,0.15794,3.7004),(2645,2745,0.16026,3.6991),(2645,2755,0.16259,3.6978),(2645,2765,0.16496,3.6965),(2645,2775,0.16733,3.6952),(2645,2785,0.1697,3.6937),(2645,2795,0.17208,3.6922),(2645,2805,0.17449,3.6908),(2645,2815,0.1769,3.6892),(2645,2825,0.17931,3.6875),(2645,2835,0.18173,3.6859),(2645,2845,0.18417,3.6842),(2645,2855,0.18661,3.6824),(2645,2865,0.18905,3.6805),(2645,2875,0.19149,3.6786),(2645,2885,0.19393,3.6767),(2645,2895,0.19638,3.6747),(2645,2905,0.19883,3.6726),(2645,2915,0.20128,3.6704),(2645,2925,0.20372,3.6683),(2645,2935,0.20616,3.6661),(2645,2945,0.2086,3.6637),(2645,2955,0.21103,3.6613),(2645,2965,0.21344,3.659),(2645,2975,0.21586,3.6565),(2645,2985,0.21827,3.6539),(2645,2995,0.22066,3.6513),(2645,3005,0.22303,3.6487),(2645,3015,0.2254,3.6459),(2645,3025,0.22777,3.6431),(2645,3035,0.2301,3.6402),(2645,3045,0.2324,3.6374),(2645,3055,0.2347,3.6344),(2645,3065,0.237,3.6313),(2645,3075,0.23925,3.6282),(2645,3085,0.24146,3.6251),(2645,3095,0.24367,3.6219),(2645,3105,0.24588,3.6186),(2645,3115,0.24802,3.6152),(2645,3125,0.25012,3.6119),(2645,3135,0.25222,3.6084),(2645,3145,0.25431,3.6049),(2645,3155,0.25632,3.6013),(2645,3165,0.25829,3.5977),(2645,3175,0.26025,3.594),(2645,3185,0.26221,3.5902),(2645,3195,0.26406,3.5865),(2645,3205,0.26587,3.5827),(2645,3215,0.26767,3.5787),(2645,3225,0.26948,3.5748),(2645,3235,0.27115,3.5708),(2645,3245,0.27278,3.5668),(2645,3255,0.27441,3.5626),(2645,3265,0.27603,3.5584),(2645,3275,0.27751,3.5542),(2645,3285,0.27893,3.5501),(2645,3295,0.28036,3.5457),(2645,3305,0.28179,3.5414),(2645,3315,0.28304,3.537),(2645,3325,0.28425,3.5326),(2645,3335,0.28546,3.5281),(2645,3345,0.28667,3.5236),(2645,3355,0.28768,3.5191),(2645,3365,0.28865,3.5146),(2645,3375,0.28963,3.5099),(2645,3385,0.2906,3.5053),(2645,3395,0.29136,3.5006),(2645,3405,0.29208,3.496),(2645,3415,0.29281,3.4912),(2645,3425,0.29354,3.4865),(2645,3435,0.29402,3.4817),(2645,3445,0.29449,3.4769),(2645,3455,0.29495,3.4721),(2645,3465,0.29542,3.4673),(2645,3475,0.29563,3.4624),(2645,3485,0.29583,3.4576),(2645,3495,0.29602,3.4527),(2645,3505,0.29622,3.4478),(2645,3515,0.29615,3.4429),(2645,3525,0.29608,3.4381),(2645,3535,0.296,3.4332),(2645,3545,0.29592,3.4283),(2645,3555,0.29557,3.4234),(2645,3565,0.29523,3.4185),(2645,3575,0.29488,3.4136),(2645,3585,0.29451,3.4087),(2645,3595,0.2939,3.4038),(2645,3605,0.29328,3.3989),(2645,3615,0.29267,3.3941),(2645,3625,0.29202,3.3892),(2645,3635,0.29115,3.3844),(2645,3645,0.29027,3.3795),(2645,3655,0.28939,3.3747),(2645,3665,0.28847,3.37),(2645,3675,0.28734,3.3652),(2645,3685,0.28621,3.3604),(2645,3695,0.28508,3.3557),(2645,3705,0.2839,3.351),(2645,3715,0.28253,3.3464),(2645,3725,0.28116,3.3417),(2645,3735,0.2798,3.3371),(2645,3745,0.27837,3.3325),(2645,3755,0.27678,3.328),(2645,3765,0.27518,3.3234),(2645,3775,0.27359,3.319),(2645,3785,0.27193,3.3146),(2645,3795,0.27013,3.3101),(2645,3805,0.26832,3.3057),(2645,3815,0.26652,3.3014),(2645,3825,0.26465,3.2971),(2645,3835,0.26265,3.2928),(2645,3845,0.26065,3.2886),(2645,3855,0.25865,3.2845),(2645,3865,0.25658,3.2803),(2645,3875,0.2544,3.2762),(2645,3885,0.25222,3.2721),(2645,3895,0.25004,3.2681),(2645,3905,0.283,3.2642),(2645,3915,0.36847,3.2602),(2645,3925,0.45394,3.2544),(2645,3935,0.53941,3.2461),(2645,3945,0.62859,3.2378),(2645,3955,0.72248,3.2294),(2645,3965,0.81637,3.219),(2645,3975,0.91027,3.206),(2645,3985,0.96353,3.193),(2645,3995,0.97283,3.18),(2645,4005,0.98213,3.1668),(2645,4015,0.99143,3.1535),(2645,4025,1.0019,3.1402),(2645,4035,1.0124,3.1269),(2645,4045,1.023,3.1134),(2645,4055,1.0335,3.0999),(2645,4065,1.0441,3.0863),(2645,4075,1.0547,3.0726),(2645,4085,1.0648,3.0589),(2645,4095,1.0746,3.0452),(2645,4105,1.0843,3.0313),(2645,4115,1.0549,3.0175),(2645,4125,0.9604,3.0036),(2645,4135,0.86594,2.9927),(2645,4145,0.77008,2.9826),(2645,4155,0.66856,2.9725),(2645,4165,0.56704,2.9647),(2645,4175,0.47167,2.9584),(2645,4185,0.68091,2.9521),(2645,4195,0.89016,2.9423),(2645,4205,1.0994,2.9279),(2645,4215,1.1171,2.9135),(2645,4225,1.0988,2.8989),(2645,4235,1.0805,2.8838),(2645,4245,1.0299,2.8687),(2645,4255,0.96288,2.8537),(2645,4265,0.89586,2.8394),(2645,4275,0.76678,2.825),(2645,4285,0.57186,2.8107),(2645,4295,0.37694,2.8051),(2645,4305,0.32156,2.8004),(2645,4315,0.58126,2.7958),(2645,4325,0.84096,2.7843),(2645,4335,1.0735,2.7701),(2645,4345,1.1221,2.7558),(2645,4355,1.1708,2.7407),(2645,4365,1.2194,2.7248),(2645,4375,1.234,2.7089),(2645,4385,1.2468,2.693),(2645,4395,1.2596,2.677),(2645,4405,1.1106,2.661),(2645,4415,0.91395,2.6463),(2645,4425,0.7173,2.6378),(2645,4435,0.63673,2.6293),(2645,4445,0.63548,2.6208),(2645,4455,0.63423,2.6116),(2645,4465,0.72681,2.6024),(2645,4475,0.95121,2.5932),(2645,4485,1.1756,2.5786),(2645,4495,1.3491,2.5629),(2645,4505,1.3592,2.5473),(2645,4515,1.3692,2.5319),(2645,4525,1.3763,2.5168),(2645,4535,1.3357,2.5017),(2645,4545,1.2951,2.4877),(2645,4555,1.2545,2.4749),(2645,4565,0.96058,2.4621),(2645,4575,0.63254,2.4522),(2645,4585,0.30451,2.449),(2645,4595,0.38428,2.4459),(2645,4605,0.63636,2.4414),(2645,4615,0.88844,2.4262),(2645,4625,1.0601,2.411),(2645,4635,1.159,2.3958),(2645,4645,1.2578,2.3797),(2645,4655,1.3342,2.3634),(2645,4665,1.3681,2.3472),(2645,4675,1.402,2.3314),(2645,4685,1.3814,2.3158),(2645,4695,1.0914,2.3002),(2645,4705,0.80139,2.2902),(2645,4715,0.51137,2.2844),(2645,4725,0.66606,2.2786),(2645,4735,0.8252,2.2709),(2645,4745,0.98434,2.2605),(2645,4755,1.1462,2.2501),(2645,4765,1.3087,2.2388),(2645,4775,1.4712,2.2244),(2645,4785,1.535,2.2099),(2645,4795,1.5418,2.1955),(2645,4805,1.5485,2.1811),(2645,4815,1.4789,2.1668),(2645,4825,1.3179,2.1524),(2645,4835,1.1569,2.1422),(2645,4845,0.99478,2.1326),(2645,4855,0.82968,2.123),(2645,4865,0.66457,2.1167),(2645,4875,0.55077,2.1118),(2645,4885,0.90379,2.107),(2645,4895,1.2568,2.0976),(2645,4905,1.6098,2.084),(2645,4915,1.6282,2.0704),(2645,4925,1.6177,2.0566),(2645,4935,1.6073,2.0424),(2645,4945,1.5335,2.0283),(2645,4955,1.4378,2.0141),(2645,4965,1.3421,1.9994),(2645,4975,1.0926,1.9847),(2645,4985,0.72426,1.97),(2645,4995,0.35594,1.9682),(2645,5005,0.27226,1.9667),(2645,5015,0.6411,1.9653),(2645,5025,1.0099,1.9569),(2645,5035,1.3282,1.9469),(2645,5045,1.4535,1.9368),(2645,5055,1.5789,1.9251),(2645,5065,1.7007,1.9123),(2645,5075,1.7058,1.8996),(2645,5085,1.7108,1.8869),(2645,5095,1.7159,1.8742),(2645,5105,1.5021,1.8615),(2645,5115,1.2502,1.8504),(2645,5125,0.99819,1.8436),(2645,5135,0.87548,1.8368),(2645,5145,0.81551,1.8301),(2645,5155,0.75553,1.8247),(2645,5165,0.89395,1.8193),(2645,5175,1.2347,1.8139),(2645,5185,1.5755,1.8019),(2645,5195,1.8099,1.7893),(2645,5205,1.815,1.7767),(2645,5215,1.8201,1.7643),(2645,5225,1.8155,1.7518),(2645,5235,1.7507,1.7394),(2645,5245,1.6859,1.7279),(2645,5255,1.6211,1.7171),(2645,5265,1.143,1.7064),(2645,5275,0.64789,1.6994),(2645,5285,0.15275,1.6989),(2645,5295,0.42216,1.6983),(2645,5305,0.90448,1.695),(2645,5315,1.3868,1.6797),(2645,5325,1.6301,1.6644),(2645,5335,1.7167,1.6492),(2645,5345,1.8033,1.6356),(2645,5355,1.8582,1.6221),(2645,5365,1.8702,1.6085),(2645,5375,1.8823,1.5955),(2645,5385,1.7836,1.5825),(2645,5395,1.3484,1.5696),(2645,5405,0.91312,1.5628),(2645,5415,0.52614,1.5593),(2645,5425,0.78739,1.5558),(2645,5435,1.0486,1.5491),(2645,5445,1.3099,1.5389),(2645,5455,1.5615,1.5287),(2645,5465,1.812,1.5169),(2645,5475,2.0624,1.5012),(2645,5485,2.1399,1.4854),(2645,5495,2.1477,1.4697),(2645,5505,2.1556,1.4545),(2645,5515,2.1634,1.4392),(2645,5525,2.1711,1.424),(2645,5535,2.1789,1.4092),(2645,5545,2.1864,1.3944),(2645,5555,2.1936,1.3796),(2645,5565,2.2008,1.3651),(2645,5575,2.2079,1.3508),(2645,5585,2.2146,1.3364),(2645,5595,2.2212,1.3223),(2645,5605,2.2279,1.3083),(2645,5615,2.234,1.2944),(2645,5625,2.2402,1.2806),(2645,5635,2.2463,1.267),(2645,5645,2.252,1.2535),(2645,5655,2.2577,1.24),(2645,5665,2.2634,1.2268),(2645,5675,2.2688,1.2137),(2645,5685,2.274,1.2005),(2645,5695,2.2792,1.1877),(2645,5705,2.2842,1.1749),(2645,5715,2.2891,1.162),(2645,5725,2.2939,1.1495),(2645,5735,2.2986,1.137),(2645,5745,2.303,1.1245),(2645,5755,2.3075,1.1122),(2645,5765,2.3119,1.1),(2645,5775,2.316,1.0877),(2645,5785,2.3201,1.0757),(2645,5795,2.3242,1.0638),(2645,5805,2.328,1.0519),(2645,5815,2.3318,1.0401),(2645,5825,2.3355,1.0284),(2645,5835,2.3391,1.0168),(2645,5845,2.3426,1.0052),(2645,5855,2.346,0.9938),(2645,5865,2.3494,0.98241),(2645,5875,2.3526,0.97102),(2645,5885,2.3558,0.95989),(2645,5895,2.3588,0.94876),(2645,5905,2.3618,0.93764),(2645,5915,2.3647,0.92672),(2645,5925,2.3676,0.91586),(2645,5935,2.3703,0.90499),(2645,5945,2.3729,0.89427),(2645,5955,2.3756,0.88364),(2645,5965,2.3781,0.87301),(2645,5975,2.3807,0.86248),(2645,5985,2.3832,0.85206),(2645,5995,1.8224,0.84164),(2645,6005,1.171,0.83368),(2645,6015,0.51961,0.83229),(2645,6025,0.61536,0.8309),(2645,6035,1.0576,0.82857),(2645,6045,1.4999,0.81719),(2645,6055,1.8101,0.80582),(2645,6065,1.9907,0.79444),(2645,6075,2.1713,0.7797),(2645,6085,2.2943,0.76465),(2645,6095,2.2985,0.7496),(2645,6105,2.3027,0.73454),(2645,6115,2.3069,0.71947),(2645,6125,2.3109,0.70441),(2645,6135,2.3149,0.68941),(2645,6145,2.3189,0.67447),(2645,6155,2.3226,0.65953),(2645,6165,2.3263,0.64466),(2645,6175,2.33,0.62991),(2645,6185,2.3335,0.61516),(2645,6195,2.337,0.60042),(2645,6205,2.3404,0.58569),(2645,6215,2.3437,0.57097),(2645,6225,2.3468,0.55625),(2645,6235,2.35,0.54158),(2645,6245,2.353,0.52691),(2645,6255,2.3559,0.51225),(2645,6265,2.3588,0.49768),(2645,6275,2.3616,0.48313),(2645,6285,2.3642,0.46858),(2645,6295,2.3668,0.45409),(2645,6305,2.3693,0.43963),(2645,6315,2.3717,0.42517),(2645,6325,2.374,0.41072),(2645,6335,2.3763,0.39628),(2645,6345,2.3784,0.38185),(2645,6355,2.3805,0.36742),(2645,6365,2.3826,0.35301),(2645,6375,2.3845,0.33861),(2645,6385,2.3863,0.32421),(2645,6395,2.3881,0.30987),(2645,6405,2.3898,0.29553),(2645,6415,2.3914,0.28119),(2645,6425,2.3929,0.26695),(2645,6435,2.3944,0.25271),(2645,6445,2.3957,0.23847),(2645,6455,2.397,0.22425),(2645,6465,2.3982,0.21003),(2645,6475,2.3993,0.19582),(2645,6485,2.4003,0.18161),(2645,6495,2.4014,0.1674),(2645,6505,2.4022,0.15319),(2645,6515,2.403,0.139),(2645,6525,2.4038,0.12483),(2645,6535,2.4044,0.11066),(2645,6545,2.405,0.096482),(2645,6555,2.4055,0.082299),(2645,6565,2.4059,0.068116),(2645,6575,2.4062,0.053938),(2645,6585,2.4065,0.039821),(2645,6595,2.0469,0.025705),(2645,6605,1.2901,0.011589),(2645,6615,0.53322,0.009942),(2645,6625,0.001167,0.009897),(2645,6635,0.001166,0.009852),(2645,6645,0.001166,0.009831),(2645,6655,0.001166,0.009819),(2645,6665,0.001165,0.009808),(2645,6675,0.001165,0.009797),(2645,6685,0.001164,0.009786),(2645,6695,0.001164,0.009775),(2645,6705,0.001164,0.009763),(2645,6715,0.001163,0.009753),(2645,6725,0.001163,0.009742),(2645,6735,0.001162,0.009731),(2645,6745,0.001162,0.00972),(2645,6755,0.001161,0.009709),(2645,6765,0.001161,0.009699),(2645,6775,0.001161,0.009688),(2645,6785,0.001161,0.009678),(2645,6795,0.00116,0.009667),(2645,6805,0.00116,0.009656),(2645,6815,0.00116,0.009646),(2645,6825,0.001159,0.009635),(2645,6835,0.001159,0.009625),(2645,6845,0.001159,0.009614),(2645,6855,0.001159,0.009604),(2645,6865,0.001158,0.009594),(2645,6875,0.001158,0.009583),(2645,6885,0.001158,0.009573),(2645,6895,0.001157,0.009563),(2645,6905,0.001157,0.009553),(2645,6915,0.001157,0.009543),(2645,6925,0.001157,0.009533),(2645,6935,0.001156,0.009522),(2645,6945,0.001156,0.009513),(2645,6955,0.001156,0.009502),(2645,6965,0.001156,0.009492),(2645,6975,0.001156,0.009482),(2645,6985,0.001156,0.009472),(2655,5,3.1e-05,3.6866),(2655,15,9.4e-05,3.6866),(2655,25,0.000157,3.6866),(2655,35,0.000219,3.6866),(2655,45,0.000282,3.6866),(2655,55,0.000345,3.6866),(2655,65,0.000407,3.6866),(2655,75,0.00047,3.6866),(2655,85,0.000533,3.6866),(2655,95,0.000596,3.6867),(2655,105,0.000659,3.6867),(2655,115,0.000722,3.6867),(2655,125,0.000785,3.6867),(2655,135,0.000848,3.6867),(2655,145,0.000912,3.6867),(2655,155,0.000975,3.6867),(2655,165,0.001039,3.6867),(2655,175,0.001102,3.6867),(2655,185,0.001166,3.6867),(2655,195,0.00123,3.6868),(2655,205,0.001294,3.6868),(2655,215,0.001358,3.6868),(2655,225,0.001422,3.6868),(2655,235,0.001486,3.6868),(2655,245,0.001551,3.6868),(2655,255,0.001615,3.6869),(2655,265,0.00168,3.6869),(2655,275,0.001746,3.6869),(2655,285,0.001811,3.6869),(2655,295,0.001876,3.6869),(2655,305,0.001942,3.687),(2655,315,0.002009,3.687),(2655,325,0.002075,3.687),(2655,335,0.002141,3.687),(2655,345,0.002208,3.687),(2655,355,0.002276,3.6871),(2655,365,0.002343,3.6871),(2655,375,0.00241,3.6871),(2655,385,0.002478,3.6872),(2655,395,0.002547,3.6872),(2655,405,0.002615,3.6872),(2655,415,0.002684,3.6872),(2655,425,0.002753,3.6873),(2655,435,0.002823,3.6873),(2655,445,0.002893,3.6873),(2655,455,0.002963,3.6874),(2655,465,0.003034,3.6874),(2655,475,0.003105,3.6875),(2655,485,0.003177,3.6875),(2655,495,0.003248,3.6875),(2655,505,0.003321,3.6876),(2655,515,0.003395,3.6876),(2655,525,0.003468,3.6877),(2655,535,0.003541,3.6877),(2655,545,0.003617,3.6877),(2655,555,0.003692,3.6878),(2655,565,0.003768,3.6878),(2655,575,0.003843,3.6879),(2655,585,0.003921,3.6879),(2655,595,0.003999,3.688),(2655,605,0.004076,3.688),(2655,615,0.004154,3.6881),(2655,625,0.004234,3.6881),(2655,635,0.004315,3.6882),(2655,645,0.004395,3.6883),(2655,655,0.004475,3.6883),(2655,665,0.004559,3.6884),(2655,675,0.004642,3.6884),(2655,685,0.004725,3.6885),(2655,695,0.004809,3.6886),(2655,705,0.004896,3.6886),(2655,715,0.004982,3.6887),(2655,725,0.005069,3.6888),(2655,735,0.005156,3.6888),(2655,745,0.005247,3.6889),(2655,755,0.005337,3.689),(2655,765,0.005427,3.689),(2655,775,0.005519,3.6891),(2655,785,0.005613,3.6892),(2655,795,0.005708,3.6893),(2655,805,0.005802,3.6894),(2655,815,0.005898,3.6894),(2655,825,0.005997,3.6895),(2655,835,0.006096,3.6896),(2655,845,0.006195,3.6897),(2655,855,0.006296,3.6898),(2655,865,0.0064,3.6899),(2655,875,0.006504,3.69),(2655,885,0.006608,3.6901),(2655,895,0.006715,3.6901),(2655,905,0.006824,3.6902),(2655,915,0.006934,3.6903),(2655,925,0.007044,3.6904),(2655,935,0.007157,3.6905),(2655,945,0.007273,3.6906),(2655,955,0.007389,3.6908),(2655,965,0.007506,3.6909),(2655,975,0.007625,3.691),(2655,985,0.007749,3.6911),(2655,995,0.007872,3.6912),(2655,1005,0.007995,3.6913),(2655,1015,0.008122,3.6914),(2655,1025,0.008253,3.6915),(2655,1035,0.008384,3.6917),(2655,1045,0.008515,3.6918),(2655,1055,0.008651,3.6919),(2655,1065,0.008791,3.692),(2655,1075,0.00893,3.6922),(2655,1085,0.00907,3.6923),(2655,1095,0.009215,3.6924),(2655,1105,0.009364,3.6926),(2655,1115,0.009513,3.6927),(2655,1125,0.009662,3.6929),(2655,1135,0.009817,3.693),(2655,1145,0.009976,3.6931),(2655,1155,0.010136,3.6933),(2655,1165,0.010295,3.6934),(2655,1175,0.010462,3.6936),(2655,1185,0.010632,3.6937),(2655,1195,0.010803,3.6939),(2655,1205,0.010974,3.6941),(2655,1215,0.011153,3.6942),(2655,1225,0.011336,3.6944),(2655,1235,0.011519,3.6946),(2655,1245,0.011702,3.6947),(2655,1255,0.011895,3.6949),(2655,1265,0.012092,3.6951),(2655,1275,0.012289,3.6952),(2655,1285,0.012485,3.6954),(2655,1295,0.012694,3.6956),(2655,1305,0.012905,3.6958),(2655,1315,0.013117,3.696),(2655,1325,0.013328,3.6962),(2655,1335,0.013553,3.6964),(2655,1345,0.013781,3.6965),(2655,1355,0.014009,3.6967),(2655,1365,0.014237,3.6969),(2655,1375,0.01448,3.6971),(2655,1385,0.014725,3.6973),(2655,1395,0.01497,3.6976),(2655,1405,0.015215,3.6978),(2655,1415,0.015478,3.698),(2655,1425,0.015743,3.6982),(2655,1435,0.016008,3.6984),(2655,1445,0.016272,3.6986),(2655,1455,0.016557,3.6989),(2655,1465,0.016842,3.6991),(2655,1475,0.017128,3.6993),(2655,1485,0.017414,3.6995),(2655,1495,0.017722,3.6998),(2655,1505,0.01803,3.7),(2655,1515,0.018339,3.7002),(2655,1525,0.018648,3.7005),(2655,1535,0.018981,3.7007),(2655,1545,0.019314,3.701),(2655,1555,0.019647,3.7012),(2655,1565,0.019982,3.7015),(2655,1575,0.020342,3.7017),(2655,1585,0.020701,3.702),(2655,1595,0.021061,3.7022),(2655,1605,0.021424,3.7025),(2655,1615,0.021813,3.7027),(2655,1625,0.022202,3.703),(2655,1635,0.022591,3.7033),(2655,1645,0.022985,3.7035),(2655,1655,0.023405,3.7038),(2655,1665,0.023826,3.7041),(2655,1675,0.024246,3.7044),(2655,1685,0.024673,3.7046),(2655,1695,0.025127,3.7049),(2655,1705,0.025582,3.7052),(2655,1715,0.026036,3.7055),(2655,1725,0.026498,3.7058),(2655,1735,0.02699,3.7061),(2655,1745,0.027481,3.7063),(2655,1755,0.027972,3.7066),(2655,1765,0.028474,3.7069),(2655,1775,0.029005,3.7072),(2655,1785,0.029535,3.7075),(2655,1795,0.030066,3.7078),(2655,1805,0.03061,3.7081),(2655,1815,0.031184,3.7084),(2655,1825,0.031757,3.7087),(2655,1835,0.032331,3.709),(2655,1845,0.03292,3.7093),(2655,1855,0.03354,3.7096),(2655,1865,0.034159,3.7099),(2655,1875,0.034778,3.7102),(2655,1885,0.035417,3.7105),(2655,1895,0.036086,3.7108),(2655,1905,0.036755,3.7111),(2655,1915,0.037424,3.7114),(2655,1925,0.038115,3.7117),(2655,1935,0.038837,3.712),(2655,1945,0.039559,3.7123),(2655,1955,0.040281,3.7126),(2655,1965,0.041029,3.7129),(2655,1975,0.041807,3.7132),(2655,1985,0.042586,3.7135),(2655,1995,0.043365,3.7138),(2655,2005,0.044174,3.7141),(2655,2015,0.045014,3.7144),(2655,2025,0.045853,3.7147),(2655,2035,0.046693,3.715),(2655,2045,0.047567,3.7153),(2655,2055,0.048471,3.7156),(2655,2065,0.049376,3.7158),(2655,2075,0.05028,3.7161),(2655,2085,0.051224,3.7164),(2655,2095,0.052197,3.7166),(2655,2105,0.05317,3.7169),(2655,2115,0.054143,3.7172),(2655,2125,0.055161,3.7174),(2655,2135,0.056207,3.7177),(2655,2145,0.057252,3.7179),(2655,2155,0.058298,3.7182),(2655,2165,0.059395,3.7184),(2655,2175,0.060517,3.7186),(2655,2185,0.06164,3.7188),(2655,2195,0.062763,3.719),(2655,2205,0.063942,3.7192),(2655,2215,0.065146,3.7194),(2655,2225,0.066349,3.7196),(2655,2235,0.067553,3.7198),(2655,2245,0.068819,3.7199),(2655,2255,0.070107,3.7201),(2655,2265,0.071395,3.7203),(2655,2275,0.072684,3.7204),(2655,2285,0.074041,3.7205),(2655,2295,0.075417,3.7206),(2655,2305,0.076794,3.7207),(2655,2315,0.07817,3.7208),(2655,2325,0.079621,3.7209),(2655,2335,0.081089,3.7209),(2655,2345,0.082557,3.7209),(2655,2355,0.084024,3.721),(2655,2365,0.085572,3.721),(2655,2375,0.087134,3.721),(2655,2385,0.088695,3.7209),(2655,2395,0.090256,3.7209),(2655,2405,0.091903,3.7208),(2655,2415,0.09356,3.7208),(2655,2425,0.095216,3.7206),(2655,2435,0.096873,3.7205),(2655,2445,0.09862,3.7203),(2655,2455,0.10037,3.7202),(2655,2465,0.10213,3.72),(2655,2475,0.10388,3.7197),(2655,2485,0.10573,3.7195),(2655,2495,0.10758,3.7193),(2655,2505,0.10943,3.7189),(2655,2515,0.11128,3.7186),(2655,2525,0.11322,3.7182),(2655,2535,0.11517,3.7179),(2655,2545,0.11711,3.7174),(2655,2555,0.11906,3.717),(2655,2565,0.1211,3.7165),(2655,2575,0.12314,3.716),(2655,2585,0.12518,3.7154),(2655,2595,0.12722,3.7148),(2655,2605,0.12935,3.7142),(2655,2615,0.13148,3.7136),(2655,2625,0.1336,3.7129),(2655,2635,0.13574,3.7122),(2655,2645,0.13795,3.7114),(2655,2655,0.14016,3.7106),(2655,2665,0.14237,3.7097),(2655,2675,0.1446,3.7088),(2655,2685,0.14688,3.7079),(2655,2695,0.14917,3.707),(2655,2705,0.15146,3.7059),(2655,2715,0.15376,3.7049),(2655,2725,0.15611,3.7038),(2655,2735,0.15847,3.7027),(2655,2745,0.16082,3.7014),(2655,2755,0.16319,3.7001),(2655,2765,0.1656,3.6989),(2655,2775,0.16801,3.6975),(2655,2785,0.17042,3.6961),(2655,2795,0.17284,3.6946),(2655,2805,0.1753,3.6931),(2655,2815,0.17775,3.6916),(2655,2825,0.1802,3.6899),(2655,2835,0.18267,3.6882),(2655,2845,0.18515,3.6866),(2655,2855,0.18763,3.6848),(2655,2865,0.19012,3.6829),(2655,2875,0.1926,3.681),(2655,2885,0.1951,3.6791),(2655,2895,0.1976,3.6771),(2655,2905,0.20009,3.675),(2655,2915,0.20258,3.6728),(2655,2925,0.20507,3.6707),(2655,2935,0.20756,3.6685),(2655,2945,0.21005,3.6661),(2655,2955,0.21253,3.6637),(2655,2965,0.215,3.6613),(2655,2975,0.21746,3.6588),(2655,2985,0.21993,3.6562),(2655,2995,0.22237,3.6536),(2655,3005,0.22479,3.651),(2655,3015,0.22721,3.6482),(2655,3025,0.22963,3.6454),(2655,3035,0.23201,3.6425),(2655,3045,0.23437,3.6396),(2655,3055,0.23672,3.6366),(2655,3065,0.23907,3.6335),(2655,3075,0.24137,3.6304),(2655,3085,0.24363,3.6273),(2655,3095,0.24589,3.624),(2655,3105,0.24815,3.6207),(2655,3115,0.25035,3.6173),(2655,3125,0.25249,3.614),(2655,3135,0.25464,3.6105),(2655,3145,0.25679,3.6069),(2655,3155,0.25885,3.6033),(2655,3165,0.26086,3.5997),(2655,3175,0.26287,3.5959),(2655,3185,0.26488,3.5921),(2655,3195,0.26678,3.5883),(2655,3205,0.26863,3.5845),(2655,3215,0.27048,3.5805),(2655,3225,0.27233,3.5764),(2655,3235,0.27405,3.5724),(2655,3245,0.27572,3.5684),(2655,3255,0.27739,3.5642),(2655,3265,0.27906,3.5599),(2655,3275,0.28057,3.5557),(2655,3285,0.28204,3.5515),(2655,3295,0.28351,3.5471),(2655,3305,0.28497,3.5427),(2655,3315,0.28626,3.5382),(2655,3325,0.2875,3.5338),(2655,3335,0.28875,3.5293),(2655,3345,0.28999,3.5247),(2655,3355,0.29103,3.5201),(2655,3365,0.29203,3.5155),(2655,3375,0.29304,3.5108),(2655,3385,0.29404,3.5061),(2655,3395,0.29482,3.5014),(2655,3405,0.29557,3.4967),(2655,3415,0.29632,3.4919),(2655,3425,0.29707,3.487),(2655,3435,0.29757,3.4822),(2655,3445,0.29806,3.4774),(2655,3455,0.29854,3.4725),(2655,3465,0.29903,3.4676),(2655,3475,0.29925,3.4627),(2655,3485,0.29946,3.4578),(2655,3495,0.29967,3.4528),(2655,3505,0.29987,3.4479),(2655,3515,0.29981,3.4429),(2655,3525,0.29974,3.438),(2655,3535,0.29967,3.433),(2655,3545,0.29959,3.428),(2655,3555,0.29924,3.4231),(2655,3565,0.2989,3.4181),(2655,3575,0.29855,3.4132),(2655,3585,0.29818,3.4082),(2655,3595,0.29756,3.4032),(2655,3605,0.29693,3.3983),(2655,3615,0.29631,3.3934),(2655,3625,0.29566,3.3885),(2655,3635,0.29477,3.3835),(2655,3645,0.29388,3.3786),(2655,3655,0.29299,3.3738),(2655,3665,0.29205,3.369),(2655,3675,0.2909,3.3641),(2655,3685,0.28976,3.3593),(2655,3695,0.28861,3.3545),(2655,3705,0.28741,3.3498),(2655,3715,0.28602,3.345),(2655,3725,0.28462,3.3403),(2655,3735,0.28323,3.3357),(2655,3745,0.28178,3.3311),(2655,3755,0.28016,3.3264),(2655,3765,0.27854,3.3218),(2655,3775,0.27692,3.3174),(2655,3785,0.27524,3.3129),(2655,3795,0.2734,3.3084),(2655,3805,0.27157,3.3039),(2655,3815,0.26974,3.2996),(2655,3825,0.26784,3.2952),(2655,3835,0.26581,3.2909),(2655,3845,0.26378,3.2866),(2655,3855,0.26175,3.2824),(2655,3865,0.25965,3.2782),(2655,3875,0.25744,3.2741),(2655,3885,0.25522,3.2699),(2655,3895,0.25301,3.2659),(2655,3905,0.28626,3.2619),(2655,3915,0.37248,3.2579),(2655,3925,0.4587,3.252),(2655,3935,0.54492,3.2436),(2655,3945,0.63487,3.2353),(2655,3955,0.72956,3.2269),(2655,3965,0.82425,3.2163),(2655,3975,0.91894,3.2032),(2655,3985,0.97264,3.1901),(2655,3995,0.98197,3.1771),(2655,4005,0.9913,3.1638),(2655,4015,1.0006,3.1505),(2655,4025,1.0111,3.1371),(2655,4035,1.0217,3.1237),(2655,4045,1.0323,3.1101),(2655,4055,1.0429,3.0966),(2655,4065,1.0534,3.083),(2655,4075,1.064,3.0692),(2655,4085,1.0742,3.0554),(2655,4095,1.0839,3.0417),(2655,4105,1.0937,3.0278),(2655,4115,1.0639,3.0138),(2655,4125,0.96867,2.9999),(2655,4135,0.87341,2.989),(2655,4145,0.77676,2.9788),(2655,4155,0.67444,2.9686),(2655,4165,0.57211,2.9609),(2655,4175,0.47599,2.9546),(2655,4185,0.68693,2.9483),(2655,4195,0.89786,2.9385),(2655,4205,1.1088,2.9241),(2655,4215,1.127,2.9096),(2655,4225,1.109,2.895),(2655,4235,1.091,2.8798),(2655,4245,1.0405,2.8646),(2655,4255,0.97351,2.8494),(2655,4265,0.90653,2.8349),(2655,4275,0.7764,2.8204),(2655,4285,0.57926,2.8058),(2655,4295,0.38211,2.8001),(2655,4305,0.32579,2.7953),(2655,4315,0.58746,2.7906),(2655,4325,0.84913,2.7789),(2655,4335,1.0834,2.7644),(2655,4345,1.1323,2.7498),(2655,4355,1.1813,2.7345),(2655,4365,1.2302,2.7185),(2655,4375,1.2448,2.7025),(2655,4385,1.2575,2.6864),(2655,4395,1.2703,2.6704),(2655,4405,1.1201,2.6543),(2655,4415,0.9219,2.6397),(2655,4425,0.7237,2.6312),(2655,4435,0.64266,2.6227),(2655,4445,0.64168,2.6142),(2655,4455,0.6407,2.6049),(2655,4465,0.73389,2.5955),(2655,4475,0.95936,2.5862),(2655,4485,1.1848,2.5716),(2655,4495,1.3591,2.5559),(2655,4505,1.3689,2.5402),(2655,4515,1.3788,2.5249),(2655,4525,1.3856,2.5098),(2655,4535,1.3445,2.4947),(2655,4545,1.3034,2.4807),(2655,4555,1.2622,2.4677),(2655,4565,0.96675,2.4548),(2655,4575,0.63699,2.4447),(2655,4585,0.30723,2.4416),(2655,4595,0.38839,2.4385),(2655,4605,0.64317,2.434),(2655,4615,0.89794,2.4188),(2655,4625,1.0709,2.4036),(2655,4635,1.1697,2.3884),(2655,4645,1.2685,2.3723),(2655,4655,1.3447,2.356),(2655,4665,1.3783,2.3398),(2655,4675,1.412,2.324),(2655,4685,1.3908,2.3083),(2655,4695,1.0989,2.2926),(2655,4705,0.80701,2.2826),(2655,4715,0.5151,2.2767),(2655,4725,0.67054,2.2709),(2655,4735,0.83047,2.2632),(2655,4745,0.99039,2.2527),(2655,4755,1.1529,2.2423),(2655,4765,1.316,2.231),(2655,4775,1.4791,2.2165),(2655,4785,1.5431,2.202),(2655,4795,1.5498,2.1875),(2655,4805,1.5566,2.1731),(2655,4815,1.4865,2.1586),(2655,4825,1.3247,2.1442),(2655,4835,1.1628,2.1339),(2655,4845,0.99988,2.1243),(2655,4855,0.83395,2.1146),(2655,4865,0.66802,2.1083),(2655,4875,0.55361,2.1034),(2655,4885,0.90792,2.0986),(2655,4895,1.2622,2.0892),(2655,4905,1.6166,2.0756),(2655,4915,1.6352,2.062),(2655,4925,1.6249,2.0482),(2655,4935,1.6147,2.034),(2655,4945,1.5414,2.0199),(2655,4955,1.4463,2.0056),(2655,4965,1.3511,1.9909),(2655,4975,1.1003,1.9762),(2655,4985,0.72939,1.9614),(2655,4995,0.35847,1.9596),(2655,5005,0.27365,1.9581),(2655,5015,0.64367,1.9566),(2655,5025,1.0137,1.9483),(2655,5035,1.3329,1.9382),(2655,5045,1.4586,1.9281),(2655,5055,1.5843,1.9164),(2655,5065,1.7064,1.9036),(2655,5075,1.7114,1.8909),(2655,5085,1.7165,1.8781),(2655,5095,1.7215,1.8654),(2655,5105,1.507,1.8527),(2655,5115,1.2543,1.8416),(2655,5125,1.0015,1.8347),(2655,5135,0.8784,1.8279),(2655,5145,0.81821,1.8212),(2655,5155,0.75803,1.8158),(2655,5165,0.89677,1.8104),(2655,5175,1.2384,1.805),(2655,5185,1.58,1.7931),(2655,5195,1.815,1.7805),(2655,5205,1.82,1.7679),(2655,5215,1.8251,1.7554),(2655,5225,1.8204,1.743),(2655,5235,1.7553,1.7306),(2655,5245,1.6903,1.7191),(2655,5255,1.6252,1.7083),(2655,5265,1.146,1.6975),(2655,5275,0.64967,1.6906),(2655,5285,0.15335,1.69),(2655,5295,0.42454,1.6895),(2655,5305,0.90946,1.6861),(2655,5315,1.3944,1.6708),(2655,5325,1.6382,1.6555),(2655,5335,1.7239,1.6403),(2655,5345,1.8097,1.6267),(2655,5355,1.8639,1.6132),(2655,5365,1.8757,1.5997),(2655,5375,1.8876,1.5866),(2655,5385,1.7885,1.5737),(2655,5395,1.3521,1.5607),(2655,5405,0.91564,1.554),(2655,5415,0.52763,1.5505),(2655,5425,0.78989,1.547),(2655,5435,1.0521,1.5403),(2655,5445,1.3144,1.5302),(2655,5455,1.5668,1.5201),(2655,5465,1.8179,1.5083),(2655,5475,2.0691,1.4927),(2655,5485,2.1466,1.477),(2655,5495,2.1543,1.4615),(2655,5505,2.1619,1.4463),(2655,5515,2.1696,1.4312),(2655,5525,2.1772,1.416),(2655,5535,2.1848,1.4013),(2655,5545,2.1922,1.3866),(2655,5555,2.1992,1.3719),(2655,5565,2.2062,1.3575),(2655,5575,2.2132,1.3432),(2655,5585,2.2197,1.329),(2655,5595,2.2262,1.3149),(2655,5605,2.2327,1.3011),(2655,5615,2.2387,1.2872),(2655,5625,2.2447,1.2735),(2655,5635,2.2507,1.26),(2655,5645,2.2563,1.2465),(2655,5655,2.2618,1.2332),(2655,5665,2.2674,1.2201),(2655,5675,2.2726,1.207),(2655,5685,2.2777,1.1939),(2655,5695,2.2828,1.1812),(2655,5705,2.2877,1.1684),(2655,5715,2.2924,1.1557),(2655,5725,2.2971,1.1432),(2655,5735,2.3017,1.1308),(2655,5745,2.3061,1.1183),(2655,5755,2.3104,1.1061),(2655,5765,2.3147,1.094),(2655,5775,2.3187,1.0819),(2655,5785,2.3227,1.0699),(2655,5795,2.3267,1.0581),(2655,5805,2.3304,1.0462),(2655,5815,2.3341,1.0345),(2655,5825,2.3377,1.0229),(2655,5835,2.3412,1.0114),(2655,5845,2.3446,0.99984),(2655,5855,2.348,0.98853),(2655,5865,2.3512,0.97722),(2655,5875,2.3543,0.96591),(2655,5885,2.3574,0.95485),(2655,5895,2.3604,0.9438),(2655,5905,2.3633,0.93274),(2655,5915,2.3661,0.9219),(2655,5925,2.3689,0.9111),(2655,5935,2.3715,0.90031),(2655,5945,2.3741,0.88966),(2655,5955,2.3767,0.8791),(2655,5965,2.3792,0.86854),(2655,5975,2.3816,0.85808),(2655,5985,2.3841,0.84773),(2655,5995,1.8231,0.83738),(2655,6005,1.1715,0.82947),(2655,6015,0.51983,0.8281),(2655,6025,0.61651,0.82672),(2655,6035,1.0603,0.82441),(2655,6045,1.504,0.81308),(2655,6055,1.8151,0.80175),(2655,6065,1.9962,0.79042),(2655,6075,2.1773,0.77574),(2655,6085,2.3006,0.76076),(2655,6095,2.3048,0.74578),(2655,6105,2.309,0.73079),(2655,6115,2.3131,0.7158),(2655,6125,2.3171,0.70081),(2655,6135,2.321,0.68588),(2655,6145,2.3249,0.67101),(2655,6155,2.3286,0.65615),(2655,6165,2.3323,0.64135),(2655,6175,2.3359,0.62668),(2655,6185,2.3394,0.61201),(2655,6195,2.3428,0.59734),(2655,6205,2.3462,0.58268),(2655,6215,2.3494,0.56803),(2655,6225,2.3525,0.55338),(2655,6235,2.3557,0.53878),(2655,6245,2.3587,0.52418),(2655,6255,2.3615,0.50958),(2655,6265,2.3643,0.49509),(2655,6275,2.3671,0.48061),(2655,6285,2.3697,0.46613),(2655,6295,2.3723,0.45172),(2655,6305,2.3748,0.43734),(2655,6315,2.3771,0.42295),(2655,6325,2.3794,0.40858),(2655,6335,2.3817,0.39422),(2655,6345,2.3838,0.37986),(2655,6355,2.3858,0.36551),(2655,6365,2.3879,0.35118),(2655,6375,2.3898,0.33685),(2655,6385,2.3916,0.32253),(2655,6395,2.3934,0.30826),(2655,6405,2.3951,0.29399),(2655,6415,2.3966,0.27972),(2655,6425,2.3982,0.26555),(2655,6435,2.3996,0.25139),(2655,6445,2.4009,0.23722),(2655,6455,2.4022,0.22308),(2655,6465,2.4034,0.20894),(2655,6475,2.4045,0.1948),(2655,6485,2.4055,0.18066),(2655,6495,2.4065,0.16654),(2655,6505,2.4073,0.15241),(2655,6515,2.4081,0.1383),(2655,6525,2.4089,0.1242),(2655,6535,2.4095,0.11011),(2655,6545,2.41,0.096015),(2655,6555,2.4106,0.081909),(2655,6565,2.411,0.067803),(2655,6575,2.4113,0.053701),(2655,6585,2.4115,0.039662),(2655,6595,2.0512,0.025622),(2655,6605,1.2928,0.011583),(2655,6615,0.53435,0.009943),(2655,6625,0.001174,0.009898),(2655,6635,0.001173,0.009852),(2655,6645,0.001173,0.00983),(2655,6655,0.001172,0.009819),(2655,6665,0.001172,0.009808),(2655,6675,0.001171,0.009796),(2655,6685,0.001171,0.009785),(2655,6695,0.001171,0.009774),(2655,6705,0.00117,0.009763),(2655,6715,0.00117,0.009752),(2655,6725,0.001169,0.009741),(2655,6735,0.001169,0.009731),(2655,6745,0.001168,0.00972),(2655,6755,0.001168,0.009709),(2655,6765,0.001167,0.009698),(2655,6775,0.001167,0.009688),(2655,6785,0.001167,0.009677),(2655,6795,0.001166,0.009666),(2655,6805,0.001166,0.009656),(2655,6815,0.001166,0.009645),(2655,6825,0.001165,0.009635),(2655,6835,0.001165,0.009624),(2655,6845,0.001165,0.009614),(2655,6855,0.001164,0.009604),(2655,6865,0.001164,0.009593),(2655,6875,0.001164,0.009583),(2655,6885,0.001164,0.009573),(2655,6895,0.001163,0.009563),(2655,6905,0.001163,0.009553),(2655,6915,0.001163,0.009543),(2655,6925,0.001162,0.009532),(2655,6935,0.001162,0.009522),(2655,6945,0.001162,0.009512),(2655,6955,0.001162,0.009502),(2655,6965,0.001162,0.009492),(2655,6975,0.001161,0.009482),(2655,6985,0.001161,0.009472),(2665,5,3.1e-05,3.6867),(2665,15,9.3e-05,3.6867),(2665,25,0.000154,3.6867),(2665,35,0.000216,3.6867),(2665,45,0.000278,3.6867),(2665,55,0.000339,3.6867),(2665,65,0.000401,3.6867),(2665,75,0.000463,3.6867),(2665,85,0.000525,3.6867),(2665,95,0.000587,3.6867),(2665,105,0.000649,3.6867),(2665,115,0.000711,3.6867),(2665,125,0.000773,3.6867),(2665,135,0.000835,3.6867),(2665,145,0.000898,3.6868),(2665,155,0.00096,3.6868),(2665,165,0.001022,3.6868),(2665,175,0.001085,3.6868),(2665,185,0.001148,3.6868),(2665,195,0.001211,3.6868),(2665,205,0.001273,3.6868),(2665,215,0.001336,3.6868),(2665,225,0.0014,3.6869),(2665,235,0.001463,3.6869),(2665,245,0.001527,3.6869),(2665,255,0.00159,3.6869),(2665,265,0.001654,3.6869),(2665,275,0.001718,3.687),(2665,285,0.001782,3.687),(2665,295,0.001847,3.687),(2665,305,0.001912,3.687),(2665,315,0.001977,3.687),(2665,325,0.002042,3.6871),(2665,335,0.002107,3.6871),(2665,345,0.002173,3.6871),(2665,355,0.002239,3.6871),(2665,365,0.002305,3.6872),(2665,375,0.002371,3.6872),(2665,385,0.002438,3.6872),(2665,395,0.002505,3.6873),(2665,405,0.002573,3.6873),(2665,415,0.00264,3.6873),(2665,425,0.002708,3.6873),(2665,435,0.002777,3.6874),(2665,445,0.002845,3.6874),(2665,455,0.002914,3.6875),(2665,465,0.002984,3.6875),(2665,475,0.003054,3.6875),(2665,485,0.003124,3.6876),(2665,495,0.003194,3.6876),(2665,505,0.003266,3.6876),(2665,515,0.003338,3.6877),(2665,525,0.00341,3.6877),(2665,535,0.003482,3.6878),(2665,545,0.003556,3.6878),(2665,555,0.00363,3.6879),(2665,565,0.003704,3.6879),(2665,575,0.003778,3.688),(2665,585,0.003854,3.688),(2665,595,0.00393,3.6881),(2665,605,0.004006,3.6881),(2665,615,0.004083,3.6882),(2665,625,0.004161,3.6882),(2665,635,0.00424,3.6883),(2665,645,0.004318,3.6883),(2665,655,0.004398,3.6884),(2665,665,0.004479,3.6885),(2665,675,0.004561,3.6885),(2665,685,0.004642,3.6886),(2665,695,0.004724,3.6886),(2665,705,0.004809,3.6887),(2665,715,0.004894,3.6888),(2665,725,0.004979,3.6888),(2665,735,0.005064,3.6889),(2665,745,0.005153,3.689),(2665,755,0.005241,3.6891),(2665,765,0.00533,3.6891),(2665,775,0.005419,3.6892),(2665,785,0.005512,3.6893),(2665,795,0.005605,3.6894),(2665,805,0.005697,3.6894),(2665,815,0.005791,3.6895),(2665,825,0.005888,3.6896),(2665,835,0.005985,3.6897),(2665,845,0.006082,3.6898),(2665,855,0.006181,3.6899),(2665,865,0.006283,3.69),(2665,875,0.006385,3.6901),(2665,885,0.006487,3.6902),(2665,895,0.006591,3.6903),(2665,905,0.006698,3.6903),(2665,915,0.006806,3.6904),(2665,925,0.006914,3.6906),(2665,935,0.007024,3.6907),(2665,945,0.007138,3.6908),(2665,955,0.007252,3.6909),(2665,965,0.007366,3.691),(2665,975,0.007483,3.6911),(2665,985,0.007604,3.6912),(2665,995,0.007724,3.6913),(2665,1005,0.007845,3.6914),(2665,1015,0.00797,3.6916),(2665,1025,0.008098,3.6917),(2665,1035,0.008227,3.6918),(2665,1045,0.008355,3.6919),(2665,1055,0.008488,3.692),(2665,1065,0.008625,3.6922),(2665,1075,0.008762,3.6923),(2665,1085,0.008899,3.6924),(2665,1095,0.009041,3.6926),(2665,1105,0.009188,3.6927),(2665,1115,0.009334,3.6929),(2665,1125,0.00948,3.693),(2665,1135,0.009632,3.6932),(2665,1145,0.009789,3.6933),(2665,1155,0.009945,3.6934),(2665,1165,0.010102,3.6936),(2665,1175,0.010265,3.6938),(2665,1185,0.010433,3.6939),(2665,1195,0.010601,3.6941),(2665,1205,0.010768,3.6942),(2665,1215,0.010945,3.6944),(2665,1225,0.011125,3.6946),(2665,1235,0.011304,3.6947),(2665,1245,0.011484,3.6949),(2665,1255,0.011674,3.6951),(2665,1265,0.011868,3.6953),(2665,1275,0.012061,3.6954),(2665,1285,0.012254,3.6956),(2665,1295,0.01246,3.6958),(2665,1305,0.012668,3.696),(2665,1315,0.012876,3.6962),(2665,1325,0.013084,3.6964),(2665,1335,0.013306,3.6966),(2665,1345,0.01353,3.6968),(2665,1355,0.013754,3.697),(2665,1365,0.013979,3.6972),(2665,1375,0.014218,3.6974),(2665,1385,0.01446,3.6976),(2665,1395,0.014702,3.6978),(2665,1405,0.014944,3.698),(2665,1415,0.015203,3.6982),(2665,1425,0.015464,3.6984),(2665,1435,0.015725,3.6987),(2665,1445,0.015986,3.6989),(2665,1455,0.016267,3.6991),(2665,1465,0.016549,3.6994),(2665,1475,0.016831,3.6996),(2665,1485,0.017113,3.6998),(2665,1495,0.017417,3.7001),(2665,1505,0.017722,3.7003),(2665,1515,0.018026,3.7005),(2665,1525,0.018332,3.7008),(2665,1535,0.018661,3.701),(2665,1545,0.01899,3.7013),(2665,1555,0.01932,3.7015),(2665,1565,0.019651,3.7018),(2665,1575,0.020007,3.7021),(2665,1585,0.020363,3.7023),(2665,1595,0.020719,3.7026),(2665,1605,0.021078,3.7029),(2665,1615,0.021463,3.7031),(2665,1625,0.021848,3.7034),(2665,1635,0.022234,3.7037),(2665,1645,0.022623,3.7039),(2665,1655,0.02304,3.7042),(2665,1665,0.023457,3.7045),(2665,1675,0.023873,3.7048),(2665,1685,0.024296,3.7051),(2665,1695,0.024747,3.7054),(2665,1705,0.025197,3.7056),(2665,1715,0.025648,3.7059),(2665,1725,0.026107,3.7062),(2665,1735,0.026595,3.7065),(2665,1745,0.027082,3.7068),(2665,1755,0.02757,3.7071),(2665,1765,0.028068,3.7074),(2665,1775,0.028595,3.7077),(2665,1785,0.029123,3.708),(2665,1795,0.02965,3.7083),(2665,1805,0.03019,3.7087),(2665,1815,0.030761,3.709),(2665,1825,0.031331,3.7093),(2665,1835,0.031901,3.7096),(2665,1845,0.032487,3.7099),(2665,1855,0.033104,3.7102),(2665,1865,0.03372,3.7105),(2665,1875,0.034337,3.7108),(2665,1885,0.034972,3.7112),(2665,1895,0.035638,3.7115),(2665,1905,0.036305,3.7118),(2665,1915,0.036971,3.7121),(2665,1925,0.03766,3.7124),(2665,1935,0.038379,3.7127),(2665,1945,0.039099,3.713),(2665,1955,0.039819,3.7134),(2665,1965,0.040565,3.7137),(2665,1975,0.041342,3.714),(2665,1985,0.042119,3.7143),(2665,1995,0.042896,3.7146),(2665,2005,0.043704,3.7149),(2665,2015,0.044542,3.7152),(2665,2025,0.04538,3.7155),(2665,2035,0.046219,3.7158),(2665,2045,0.047093,3.7161),(2665,2055,0.047996,3.7164),(2665,2065,0.0489,3.7167),(2665,2075,0.049804,3.717),(2665,2085,0.050748,3.7173),(2665,2095,0.051722,3.7176),(2665,2105,0.052695,3.7179),(2665,2115,0.053669,3.7182),(2665,2125,0.054688,3.7184),(2665,2135,0.055735,3.7187),(2665,2145,0.056783,3.719),(2665,2155,0.05783,3.7192),(2665,2165,0.058929,3.7195),(2665,2175,0.060054,3.7197),(2665,2185,0.06118,3.72),(2665,2195,0.062305,3.7202),(2665,2205,0.063488,3.7204),(2665,2215,0.064696,3.7206),(2665,2225,0.065903,3.7208),(2665,2235,0.067111,3.721),(2665,2245,0.068382,3.7212),(2665,2255,0.069676,3.7214),(2665,2265,0.07097,3.7216),(2665,2275,0.072264,3.7217),(2665,2285,0.073628,3.7219),(2665,2295,0.075012,3.722),(2665,2305,0.076396,3.7221),(2665,2315,0.077779,3.7222),(2665,2325,0.079239,3.7223),(2665,2335,0.080717,3.7224),(2665,2345,0.082194,3.7224),(2665,2355,0.083671,3.7225),(2665,2365,0.08523,3.7225),(2665,2375,0.086803,3.7226),(2665,2385,0.088375,3.7225),(2665,2395,0.089948,3.7225),(2665,2405,0.091608,3.7225),(2665,2415,0.093279,3.7224),(2665,2425,0.094949,3.7223),(2665,2435,0.09662,3.7222),(2665,2445,0.098383,3.7221),(2665,2455,0.10015,3.722),(2665,2465,0.10192,3.7218),(2665,2475,0.10369,3.7216),(2665,2485,0.10556,3.7213),(2665,2495,0.10743,3.7211),(2665,2505,0.1093,3.7208),(2665,2515,0.11117,3.7205),(2665,2525,0.11313,3.7202),(2665,2535,0.1151,3.7199),(2665,2545,0.11707,3.7194),(2665,2555,0.11904,3.719),(2665,2565,0.1211,3.7186),(2665,2575,0.12317,3.7181),(2665,2585,0.12523,3.7175),(2665,2595,0.1273,3.717),(2665,2605,0.12945,3.7164),(2665,2615,0.13161,3.7158),(2665,2625,0.13376,3.7151),(2665,2635,0.13593,3.7144),(2665,2645,0.13817,3.7137),(2665,2655,0.14041,3.7129),(2665,2665,0.14266,3.712),(2665,2675,0.14491,3.7111),(2665,2685,0.14723,3.7103),(2665,2695,0.14955,3.7093),(2665,2705,0.15187,3.7083),(2665,2715,0.15421,3.7072),(2665,2725,0.1566,3.7062),(2665,2735,0.15899,3.7051),(2665,2745,0.16138,3.7038),(2665,2755,0.16379,3.7026),(2665,2765,0.16624,3.7013),(2665,2775,0.16869,3.7),(2665,2785,0.17114,3.6986),(2665,2795,0.17361,3.6971),(2665,2805,0.1761,3.6957),(2665,2815,0.1786,3.6941),(2665,2825,0.1811,3.6925),(2665,2835,0.1836,3.6908),(2665,2845,0.18613,3.6891),(2665,2855,0.18866,3.6874),(2665,2865,0.19119,3.6855),(2665,2875,0.19372,3.6836),(2665,2885,0.19626,3.6817),(2665,2895,0.19881,3.6797),(2665,2905,0.20135,3.6775),(2665,2915,0.20389,3.6754),(2665,2925,0.20643,3.6733),(2665,2935,0.20897,3.671),(2665,2945,0.21151,3.6686),(2665,2955,0.21404,3.6663),(2665,2965,0.21656,3.6639),(2665,2975,0.21907,3.6614),(2665,2985,0.22159,3.6588),(2665,2995,0.22408,3.6561),(2665,3005,0.22655,3.6535),(2665,3015,0.22902,3.6507),(2665,3025,0.23149,3.6479),(2665,3035,0.23393,3.645),(2665,3045,0.23633,3.6421),(2665,3055,0.23874,3.6391),(2665,3065,0.24114,3.6359),(2665,3075,0.24349,3.6328),(2665,3085,0.2458,3.6297),(2665,3095,0.24812,3.6264),(2665,3105,0.25043,3.623),(2665,3115,0.25267,3.6196),(2665,3125,0.25487,3.6162),(2665,3135,0.25707,3.6127),(2665,3145,0.25926,3.609),(2665,3155,0.26137,3.6054),(2665,3165,0.26343,3.6018),(2665,3175,0.26549,3.598),(2665,3185,0.26755,3.5941),(2665,3195,0.2695,3.5903),(2665,3205,0.27139,3.5864),(2665,3215,0.27329,3.5824),(2665,3225,0.27519,3.5783),(2665,3235,0.27695,3.5742),(2665,3245,0.27866,3.5701),(2665,3255,0.28037,3.5659),(2665,3265,0.28209,3.5616),(2665,3275,0.28364,3.5573),(2665,3285,0.28514,3.553),(2665,3295,0.28665,3.5486),(2665,3305,0.28815,3.5441),(2665,3315,0.28948,3.5396),(2665,3325,0.29075,3.5351),(2665,3335,0.29203,3.5305),(2665,3345,0.29331,3.5259),(2665,3355,0.29438,3.5212),(2665,3365,0.29542,3.5166),(2665,3375,0.29645,3.5118),(2665,3385,0.29748,3.507),(2665,3395,0.29829,3.5023),(2665,3405,0.29906,3.4975),(2665,3415,0.29983,3.4926),(2665,3425,0.30061,3.4877),(2665,3435,0.30113,3.4828),(2665,3445,0.30163,3.4779),(2665,3455,0.30213,3.4729),(2665,3465,0.30263,3.468),(2665,3475,0.30286,3.463),(2665,3485,0.30309,3.458),(2665,3495,0.30331,3.453),(2665,3505,0.30353,3.448),(2665,3515,0.30346,3.4429),(2665,3525,0.3034,3.4379),(2665,3535,0.30334,3.4329),(2665,3545,0.30326,3.4278),(2665,3555,0.30291,3.4228),(2665,3565,0.30257,3.4178),(2665,3575,0.30222,3.4127),(2665,3585,0.30184,3.4077),(2665,3595,0.30121,3.4027),(2665,3605,0.30059,3.3976),(2665,3615,0.29996,3.3927),(2665,3625,0.29929,3.3877),(2665,3635,0.29839,3.3827),(2665,3645,0.29748,3.3777),(2665,3655,0.29658,3.3728),(2665,3665,0.29563,3.3679),(2665,3675,0.29447,3.363),(2665,3685,0.2933,3.3581),(2665,3695,0.29213,3.3533),(2665,3705,0.29091,3.3485),(2665,3715,0.2895,3.3437),(2665,3725,0.28808,3.3389),(2665,3735,0.28667,3.3342),(2665,3745,0.2852,3.3295),(2665,3755,0.28355,3.3248),(2665,3765,0.2819,3.3202),(2665,3775,0.28025,3.3156),(2665,3785,0.27854,3.3111),(2665,3795,0.27668,3.3065),(2665,3805,0.27482,3.302),(2665,3815,0.27295,3.2976),(2665,3825,0.27103,3.2932),(2665,3835,0.26897,3.2888),(2665,3845,0.2669,3.2845),(2665,3855,0.26484,3.2803),(2665,3865,0.26272,3.276),(2665,3875,0.26047,3.2718),(2665,3885,0.25823,3.2677),(2665,3895,0.25598,3.2636),(2665,3905,0.28951,3.2595),(2665,3915,0.37648,3.2555),(2665,3925,0.46346,3.2496),(2665,3935,0.55043,3.2411),(2665,3945,0.64115,3.2326),(2665,3955,0.73664,3.2242),(2665,3965,0.83212,3.2136),(2665,3975,0.9276,3.2004),(2665,3985,0.98174,3.1872),(2665,3995,0.99111,3.1741),(2665,4005,1.0005,3.1608),(2665,4015,1.0099,3.1474),(2665,4025,1.0203,3.134),(2665,4035,1.031,3.1205),(2665,4045,1.0416,3.1069),(2665,4055,1.0522,3.0932),(2665,4065,1.0628,3.0796),(2665,4075,1.0734,3.0658),(2665,4085,1.0835,3.052),(2665,4095,1.0933,3.0382),(2665,4105,1.103,3.0242),(2665,4115,1.073,3.0102),(2665,4125,0.97694,2.9962),(2665,4135,0.88089,2.9852),(2665,4145,0.78343,2.9749),(2665,4155,0.68031,2.9647),(2665,4165,0.57719,2.9569),(2665,4175,0.48032,2.9506),(2665,4185,0.69294,2.9444),(2665,4195,0.90556,2.9346),(2665,4205,1.1182,2.9201),(2665,4215,1.1369,2.9056),(2665,4225,1.1192,2.8909),(2665,4235,1.1014,2.8756),(2665,4245,1.0511,2.8602),(2665,4255,0.98414,2.8449),(2665,4265,0.91721,2.8302),(2665,4275,0.78603,2.8155),(2665,4285,0.58666,2.8008),(2665,4295,0.38728,2.7949),(2665,4305,0.33003,2.7901),(2665,4315,0.59367,2.7853),(2665,4325,0.85731,2.7734),(2665,4335,1.0933,2.7586),(2665,4345,1.1426,2.7439),(2665,4355,1.1918,2.7284),(2665,4365,1.241,2.7122),(2665,4375,1.2555,2.6961),(2665,4385,1.2682,2.68),(2665,4395,1.2809,2.6639),(2665,4405,1.1296,2.6479),(2665,4415,0.92985,2.6332),(2665,4425,0.7301,2.6247),(2665,4435,0.6486,2.6162),(2665,4445,0.64789,2.6078),(2665,4455,0.64718,2.5984),(2665,4465,0.74097,2.5891),(2665,4475,0.96751,2.5798),(2665,4485,1.1941,2.5652),(2665,4495,1.3691,2.5495),(2665,4505,1.3787,2.5339),(2665,4515,1.3883,2.5186),(2665,4525,1.3949,2.5034),(2665,4535,1.3533,2.4883),(2665,4545,1.3116,2.4741),(2665,4555,1.27,2.4609),(2665,4565,0.97293,2.4477),(2665,4575,0.64144,2.4375),(2665,4585,0.30995,2.4344),(2665,4595,0.39249,2.4313),(2665,4605,0.64997,2.4268),(2665,4615,0.90745,2.4115),(2665,4625,1.0816,2.3963),(2665,4635,1.1804,2.3811),(2665,4645,1.2791,2.3649),(2665,4655,1.3552,2.3486),(2665,4665,1.3885,2.3323),(2665,4675,1.4219,2.3165),(2665,4685,1.4002,2.3007),(2665,4695,1.1064,2.2849),(2665,4705,0.81262,2.2749),(2665,4715,0.51884,2.269),(2665,4725,0.67503,2.2631),(2665,4735,0.83573,2.2553),(2665,4745,0.99644,2.2449),(2665,4755,1.1596,2.2344),(2665,4765,1.3233,2.2231),(2665,4775,1.487,2.2085),(2665,4785,1.5512,2.194),(2665,4795,1.5579,2.1794),(2665,4805,1.5646,2.1649),(2665,4815,1.4941,2.1504),(2665,4825,1.3314,2.1359),(2665,4835,1.1688,2.1256),(2665,4845,1.005,2.1158),(2665,4855,0.83822,2.1061),(2665,4865,0.67147,2.0998),(2665,4875,0.55645,2.0949),(2665,4885,0.91206,2.0901),(2665,4895,1.2677,2.0808),(2665,4905,1.6233,2.0671),(2665,4915,1.6422,2.0535),(2665,4925,1.6322,2.0397),(2665,4935,1.6221,2.0256),(2665,4945,1.5493,2.0114),(2665,4955,1.4547,1.9972),(2665,4965,1.3601,1.9823),(2665,4975,1.108,1.9675),(2665,4985,0.73452,1.9527),(2665,4995,0.361,1.9509),(2665,5005,0.27504,1.9494),(2665,5015,0.64624,1.9479),(2665,5025,1.0174,1.9395),(2665,5035,1.3377,1.9294),(2665,5045,1.4637,1.9193),(2665,5055,1.5897,1.9076),(2665,5065,1.7121,1.8948),(2665,5075,1.7171,1.882),(2665,5085,1.7221,1.8692),(2665,5095,1.7271,1.8565),(2665,5105,1.512,1.8438),(2665,5115,1.2584,1.8326),(2665,5125,1.0048,1.8258),(2665,5135,0.88132,1.8189),(2665,5145,0.82092,1.8122),(2665,5155,0.76052,1.8068),(2665,5165,0.89959,1.8014),(2665,5175,1.2421,1.796),(2665,5185,1.5846,1.7841),(2665,5195,1.8201,1.7715),(2665,5205,1.8251,1.7589),(2665,5215,1.83,1.7464),(2665,5225,1.8253,1.734),(2665,5235,1.76,1.7216),(2665,5245,1.6947,1.7101),(2665,5255,1.6294,1.6993),(2665,5265,1.149,1.6885),(2665,5275,0.65146,1.6816),(2665,5285,0.15395,1.681),(2665,5295,0.42691,1.6805),(2665,5305,0.91445,1.6771),(2665,5315,1.402,1.6618),(2665,5325,1.6463,1.6465),(2665,5335,1.7312,1.6312),(2665,5345,1.816,1.6177),(2665,5355,1.8697,1.6042),(2665,5365,1.8813,1.5907),(2665,5375,1.8929,1.5777),(2665,5385,1.7933,1.5647),(2665,5395,1.3557,1.5518),(2665,5405,0.91815,1.5451),(2665,5415,0.52913,1.5416),(2665,5425,0.79238,1.5381),(2665,5435,1.0556,1.5314),(2665,5445,1.3189,1.5214),(2665,5455,1.572,1.5113),(2665,5465,1.8239,1.4996),(2665,5475,2.0757,1.4841),(2665,5485,2.1534,1.4686),(2665,5495,2.1608,1.4531),(2665,5505,2.1683,1.438),(2665,5515,2.1758,1.423),(2665,5525,2.1832,1.4079),(2665,5535,2.1906,1.3933),(2665,5545,2.1979,1.3787),(2665,5555,2.2048,1.3641),(2665,5565,2.2116,1.3498),(2665,5575,2.2184,1.3356),(2665,5585,2.2248,1.3214),(2665,5595,2.2311,1.3075),(2665,5605,2.2375,1.2937),(2665,5615,2.2433,1.2799),(2665,5625,2.2492,1.2663),(2665,5635,2.2551,1.2529),(2665,5645,2.2605,1.2395),(2665,5655,2.2659,1.2262),(2665,5665,2.2713,1.2132),(2665,5675,2.2765,1.2002),(2665,5685,2.2815,1.1872),(2665,5695,2.2864,1.1746),(2665,5705,2.2912,1.1619),(2665,5715,2.2958,1.1492),(2665,5725,2.3004,1.1368),(2665,5735,2.3049,1.1245),(2665,5745,2.3091,1.1121),(2665,5755,2.3133,1.1),(2665,5765,2.3175,1.0879),(2665,5775,2.3214,1.0759),(2665,5785,2.3253,1.064),(2665,5795,2.3292,1.0523),(2665,5805,2.3328,1.0405),(2665,5815,2.3364,1.0288),(2665,5825,2.34,1.0174),(2665,5835,2.3433,1.0059),(2665,5845,2.3466,0.99442),(2665,5855,2.3499,0.98319),(2665,5865,2.353,0.97195),(2665,5875,2.3561,0.96071),(2665,5885,2.3591,0.94973),(2665,5895,2.362,0.93875),(2665,5905,2.3648,0.92777),(2665,5915,2.3675,0.91699),(2665,5925,2.3702,0.90627),(2665,5935,2.3728,0.89555),(2665,5945,2.3753,0.88497),(2665,5955,2.3778,0.87448),(2665,5965,2.3802,0.86399),(2665,5975,2.3826,0.8536),(2665,5985,2.3849,0.84332),(2665,5995,1.8238,0.83304),(2665,6005,1.1719,0.82519),(2665,6015,0.52005,0.82382),(2665,6025,0.61767,0.82245),(2665,6035,1.0629,0.82015),(2665,6045,1.5081,0.80888),(2665,6055,1.8202,0.7976),(2665,6065,2.0018,0.78632),(2665,6075,2.1833,0.77171),(2665,6085,2.3069,0.7568),(2665,6095,2.3111,0.74188),(2665,6105,2.3152,0.72696),(2665,6115,2.3193,0.71205),(2665,6125,2.3232,0.69713),(2665,6135,2.3271,0.68228),(2665,6145,2.331,0.66748),(2665,6155,2.3346,0.65269),(2665,6165,2.3382,0.63797),(2665,6175,2.3419,0.62337),(2665,6185,2.3453,0.60878),(2665,6195,2.3486,0.59419),(2665,6205,2.352,0.57961),(2665,6215,2.3552,0.56504),(2665,6225,2.3582,0.55046),(2665,6235,2.3613,0.53594),(2665,6245,2.3643,0.52141),(2665,6255,2.3671,0.50688),(2665,6265,2.3699,0.49246),(2665,6275,2.3727,0.47805),(2665,6285,2.3752,0.46365),(2665,6295,2.3778,0.44931),(2665,6305,2.3803,0.435),(2665,6315,2.3825,0.4207),(2665,6325,2.3848,0.40641),(2665,6335,2.3871,0.39212),(2665,6345,2.3892,0.37784),(2665,6355,2.3912,0.36357),(2665,6365,2.3932,0.34932),(2665,6375,2.3951,0.33508),(2665,6385,2.3969,0.32083),(2665,6395,2.3987,0.30664),(2665,6405,2.4003,0.29244),(2665,6415,2.4019,0.27824),(2665,6425,2.4034,0.26415),(2665,6435,2.4048,0.25006),(2665,6445,2.4061,0.23596),(2665,6455,2.4074,0.22189),(2665,6465,2.4086,0.20783),(2665,6475,2.4096,0.19377),(2665,6485,2.4107,0.17971),(2665,6495,2.4117,0.16566),(2665,6505,2.4125,0.15161),(2665,6515,2.4132,0.13757),(2665,6525,2.414,0.12356),(2665,6535,2.4146,0.10955),(2665,6545,2.4151,0.09553),(2665,6555,2.4157,0.081497),(2665,6565,2.4161,0.067465),(2665,6575,2.4163,0.053437),(2665,6585,2.4166,0.039476),(2665,6595,2.0556,0.025516),(2665,6605,1.2955,0.011555),(2665,6615,0.53547,0.00993),(2665,6625,0.001181,0.00989),(2665,6635,0.00118,0.00985),(2665,6645,0.00118,0.00983),(2665,6655,0.001179,0.009818),(2665,6665,0.001179,0.009807),(2665,6675,0.001178,0.009796),(2665,6685,0.001178,0.009785),(2665,6695,0.001177,0.009774),(2665,6705,0.001177,0.009763),(2665,6715,0.001176,0.009752),(2665,6725,0.001176,0.009741),(2665,6735,0.001175,0.00973),(2665,6745,0.001175,0.009719),(2665,6755,0.001174,0.009709),(2665,6765,0.001174,0.009698),(2665,6775,0.001173,0.009687),(2665,6785,0.001173,0.009677),(2665,6795,0.001172,0.009666),(2665,6805,0.001172,0.009656),(2665,6815,0.001172,0.009645),(2665,6825,0.001171,0.009635),(2665,6835,0.001171,0.009624),(2665,6845,0.001171,0.009614),(2665,6855,0.00117,0.009603),(2665,6865,0.00117,0.009593),(2665,6875,0.00117,0.009583),(2665,6885,0.001169,0.009573),(2665,6895,0.001169,0.009562),(2665,6905,0.001169,0.009552),(2665,6915,0.001169,0.009542),(2665,6925,0.001168,0.009532),(2665,6935,0.001168,0.009522),(2665,6945,0.001168,0.009512),(2665,6955,0.001167,0.009502),(2665,6965,0.001167,0.009492),(2665,6975,0.001167,0.009482),(2665,6985,0.001167,0.009472),(2675,5,3e-05,3.6867),(2675,15,9.1e-05,3.6867),(2675,25,0.000152,3.6867),(2675,35,0.000213,3.6867),(2675,45,0.000273,3.6867),(2675,55,0.000334,3.6868),(2675,65,0.000395,3.6868),(2675,75,0.000456,3.6868),(2675,85,0.000517,3.6868),(2675,95,0.000577,3.6868),(2675,105,0.000638,3.6868),(2675,115,0.0007,3.6868),(2675,125,0.000761,3.6868),(2675,135,0.000822,3.6868),(2675,145,0.000883,3.6868),(2675,155,0.000945,3.6868),(2675,165,0.001006,3.6868),(2675,175,0.001068,3.6869),(2675,185,0.00113,3.6869),(2675,195,0.001191,3.6869),(2675,205,0.001253,3.6869),(2675,215,0.001315,3.6869),(2675,225,0.001377,3.6869),(2675,235,0.00144,3.6869),(2675,245,0.001502,3.687),(2675,255,0.001564,3.687),(2675,265,0.001627,3.687),(2675,275,0.00169,3.687),(2675,285,0.001754,3.687),(2675,295,0.001817,3.6871),(2675,305,0.001881,3.6871),(2675,315,0.001945,3.6871),(2675,325,0.002008,3.6871),(2675,335,0.002072,3.6872),(2675,345,0.002137,3.6872),(2675,355,0.002202,3.6872),(2675,365,0.002267,3.6872),(2675,375,0.002332,3.6873),(2675,385,0.002398,3.6873),(2675,395,0.002464,3.6873),(2675,405,0.00253,3.6874),(2675,415,0.002596,3.6874),(2675,425,0.002663,3.6874),(2675,435,0.00273,3.6874),(2675,445,0.002798,3.6875),(2675,455,0.002865,3.6875),(2675,465,0.002933,3.6876),(2675,475,0.003002,3.6876),(2675,485,0.003071,3.6876),(2675,495,0.00314,3.6877),(2675,505,0.00321,3.6877),(2675,515,0.003281,3.6878),(2675,525,0.003351,3.6878),(2675,535,0.003422,3.6878),(2675,545,0.003494,3.6879),(2675,555,0.003567,3.6879),(2675,565,0.003639,3.688),(2675,575,0.003712,3.688),(2675,585,0.003787,3.6881),(2675,595,0.003861,3.6881),(2675,605,0.003936,3.6882),(2675,615,0.004011,3.6882),(2675,625,0.004088,3.6883),(2675,635,0.004165,3.6884),(2675,645,0.004242,3.6884),(2675,655,0.00432,3.6885),(2675,665,0.004399,3.6885),(2675,675,0.004479,3.6886),(2675,685,0.004559,3.6887),(2675,695,0.004639,3.6887),(2675,705,0.004722,3.6888),(2675,715,0.004805,3.6889),(2675,725,0.004888,3.6889),(2675,735,0.004972,3.689),(2675,745,0.005059,3.6891),(2675,755,0.005146,3.6891),(2675,765,0.005232,3.6892),(2675,775,0.00532,3.6893),(2675,785,0.005411,3.6894),(2675,795,0.005501,3.6895),(2675,805,0.005592,3.6895),(2675,815,0.005684,3.6896),(2675,825,0.005779,3.6897),(2675,835,0.005874,3.6898),(2675,845,0.005968,3.6899),(2675,855,0.006065,3.69),(2675,865,0.006165,3.6901),(2675,875,0.006265,3.6902),(2675,885,0.006365,3.6903),(2675,895,0.006467,3.6904),(2675,905,0.006572,3.6905),(2675,915,0.006678,3.6906),(2675,925,0.006783,3.6907),(2675,935,0.006891,3.6908),(2675,945,0.007002,3.6909),(2675,955,0.007114,3.691),(2675,965,0.007226,3.6911),(2675,975,0.00734,3.6912),(2675,985,0.007459,3.6913),(2675,995,0.007577,3.6914),(2675,1005,0.007695,3.6916),(2675,1015,0.007817,3.6917),(2675,1025,0.007943,3.6918),(2675,1035,0.008069,3.6919),(2675,1045,0.008195,3.6921),(2675,1055,0.008325,3.6922),(2675,1065,0.00846,3.6923),(2675,1075,0.008594,3.6924),(2675,1085,0.008728,3.6926),(2675,1095,0.008868,3.6927),(2675,1105,0.009011,3.6929),(2675,1115,0.009154,3.693),(2675,1125,0.009298,3.6932),(2675,1135,0.009447,3.6933),(2675,1145,0.009601,3.6934),(2675,1155,0.009754,3.6936),(2675,1165,0.009908,3.6938),(2675,1175,0.010069,3.6939),(2675,1185,0.010233,3.6941),(2675,1195,0.010398,3.6942),(2675,1205,0.010562,3.6944),(2675,1215,0.010736,3.6946),(2675,1225,0.010912,3.6947),(2675,1235,0.011089,3.6949),(2675,1245,0.011266,3.6951),(2675,1255,0.011453,3.6953),(2675,1265,0.011643,3.6954),(2675,1275,0.011833,3.6956),(2675,1285,0.012023,3.6958),(2675,1295,0.012225,3.696),(2675,1305,0.01243,3.6962),(2675,1315,0.012634,3.6964),(2675,1325,0.012839,3.6966),(2675,1335,0.013057,3.6968),(2675,1345,0.013278,3.697),(2675,1355,0.013499,3.6972),(2675,1365,0.01372,3.6974),(2675,1375,0.013956,3.6976),(2675,1385,0.014194,3.6978),(2675,1395,0.014433,3.698),(2675,1405,0.014671,3.6983),(2675,1415,0.014926,3.6985),(2675,1425,0.015184,3.6987),(2675,1435,0.015441,3.6989),(2675,1445,0.015699,3.6992),(2675,1455,0.015976,3.6994),(2675,1465,0.016254,3.6996),(2675,1475,0.016532,3.6999),(2675,1485,0.01681,3.7001),(2675,1495,0.017111,3.7004),(2675,1505,0.017412,3.7006),(2675,1515,0.017713,3.7009),(2675,1525,0.018014,3.7011),(2675,1535,0.01834,3.7014),(2675,1545,0.018665,3.7016),(2675,1555,0.018991,3.7019),(2675,1565,0.019318,3.7021),(2675,1575,0.01967,3.7024),(2675,1585,0.020023,3.7027),(2675,1595,0.020375,3.7029),(2675,1605,0.02073,3.7032),(2675,1615,0.021111,3.7035),(2675,1625,0.021493,3.7038),(2675,1635,0.021874,3.7041),(2675,1645,0.02226,3.7043),(2675,1655,0.022673,3.7046),(2675,1665,0.023086,3.7049),(2675,1675,0.023499,3.7052),(2675,1685,0.023918,3.7055),(2675,1695,0.024365,3.7058),(2675,1705,0.024811,3.7061),(2675,1715,0.025258,3.7064),(2675,1725,0.025713,3.7067),(2675,1735,0.026197,3.707),(2675,1745,0.026681,3.7073),(2675,1755,0.027165,3.7076),(2675,1765,0.027659,3.7079),(2675,1775,0.028183,3.7082),(2675,1785,0.028707,3.7086),(2675,1795,0.029231,3.7089),(2675,1805,0.029768,3.7092),(2675,1815,0.030335,3.7095),(2675,1825,0.030902,3.7098),(2675,1835,0.031469,3.7102),(2675,1845,0.032052,3.7105),(2675,1855,0.032665,3.7108),(2675,1865,0.033279,3.7111),(2675,1875,0.033892,3.7115),(2675,1885,0.034525,3.7118),(2675,1895,0.035188,3.7121),(2675,1905,0.035852,3.7125),(2675,1915,0.036515,3.7128),(2675,1925,0.037201,3.7131),(2675,1935,0.037919,3.7134),(2675,1945,0.038636,3.7138),(2675,1955,0.039354,3.7141),(2675,1965,0.040098,3.7144),(2675,1975,0.040873,3.7148),(2675,1985,0.041648,3.7151),(2675,1995,0.042423,3.7154),(2675,2005,0.043229,3.7157),(2675,2015,0.044067,3.7161),(2675,2025,0.044904,3.7164),(2675,2035,0.045741,3.7167),(2675,2045,0.046614,3.717),(2675,2055,0.047517,3.7173),(2675,2065,0.048421,3.7177),(2675,2075,0.049324,3.718),(2675,2085,0.050269,3.7183),(2675,2095,0.051243,3.7186),(2675,2105,0.052217,3.7189),(2675,2115,0.053191,3.7192),(2675,2125,0.054211,3.7195),(2675,2135,0.05526,3.7198),(2675,2145,0.056308,3.72),(2675,2155,0.057357,3.7203),(2675,2165,0.058458,3.7206),(2675,2175,0.059586,3.7209),(2675,2185,0.060715,3.7211),(2675,2195,0.061843,3.7214),(2675,2205,0.063029,3.7216),(2675,2215,0.064241,3.7218),(2675,2225,0.065453,3.7221),(2675,2235,0.066664,3.7223),(2675,2245,0.067941,3.7225),(2675,2255,0.06924,3.7227),(2675,2265,0.070539,3.7229),(2675,2275,0.071839,3.7231),(2675,2285,0.07321,3.7232),(2675,2295,0.074601,3.7234),(2675,2305,0.075992,3.7235),(2675,2315,0.077383,3.7236),(2675,2325,0.078852,3.7238),(2675,2335,0.080338,3.7239),(2675,2345,0.081825,3.724),(2675,2355,0.083311,3.724),(2675,2365,0.084881,3.7241),(2675,2375,0.086465,3.7241),(2675,2385,0.08805,3.7241),(2675,2395,0.089634,3.7241),(2675,2405,0.091308,3.7241),(2675,2415,0.092992,3.7241),(2675,2425,0.094676,3.724),(2675,2435,0.096361,3.7239),(2675,2445,0.09814,3.7238),(2675,2455,0.099926,3.7238),(2675,2465,0.10171,3.7236),(2675,2475,0.1035,3.7234),(2675,2485,0.10538,3.7232),(2675,2495,0.10727,3.723),(2675,2505,0.10916,3.7227),(2675,2515,0.11105,3.7224),(2675,2525,0.11304,3.7221),(2675,2535,0.11503,3.7219),(2675,2545,0.11702,3.7214),(2675,2555,0.11901,3.721),(2675,2565,0.1211,3.7206),(2675,2575,0.12319,3.7202),(2675,2585,0.12527,3.7197),(2675,2595,0.12737,3.7191),(2675,2605,0.12955,3.7186),(2675,2615,0.13174,3.718),(2675,2625,0.13392,3.7173),(2675,2635,0.13611,3.7166),(2675,2645,0.13839,3.7159),(2675,2655,0.14066,3.7152),(2675,2665,0.14293,3.7143),(2675,2675,0.14522,3.7135),(2675,2685,0.14757,3.7126),(2675,2695,0.14993,3.7117),(2675,2705,0.15228,3.7107),(2675,2715,0.15466,3.7096),(2675,2725,0.15708,3.7086),(2675,2735,0.15951,3.7075),(2675,2745,0.16194,3.7063),(2675,2755,0.16439,3.705),(2675,2765,0.16688,3.7038),(2675,2775,0.16937,3.7025),(2675,2785,0.17186,3.7011),(2675,2795,0.17436,3.6996),(2675,2805,0.1769,3.6982),(2675,2815,0.17944,3.6967),(2675,2825,0.18198,3.695),(2675,2835,0.18454,3.6933),(2675,2845,0.18711,3.6917),(2675,2855,0.18968,3.6899),(2675,2865,0.19226,3.688),(2675,2875,0.19484,3.6861),(2675,2885,0.19743,3.6843),(2675,2895,0.20002,3.6823),(2675,2905,0.20261,3.6801),(2675,2915,0.2052,3.678),(2675,2925,0.20779,3.6759),(2675,2935,0.21038,3.6736),(2675,2945,0.21297,3.6712),(2675,2955,0.21555,3.6688),(2675,2965,0.21811,3.6665),(2675,2975,0.22068,3.6639),(2675,2985,0.22325,3.6613),(2675,2995,0.22579,3.6587),(2675,3005,0.22832,3.656),(2675,3015,0.23084,3.6532),(2675,3025,0.23336,3.6503),(2675,3035,0.23585,3.6474),(2675,3045,0.2383,3.6445),(2675,3055,0.24076,3.6415),(2675,3065,0.24321,3.6383),(2675,3075,0.24562,3.6352),(2675,3085,0.24798,3.632),(2675,3095,0.25035,3.6287),(2675,3105,0.25271,3.6253),(2675,3115,0.255,3.6219),(2675,3125,0.25725,3.6185),(2675,3135,0.2595,3.6149),(2675,3145,0.26175,3.6112),(2675,3155,0.26391,3.6076),(2675,3165,0.26601,3.6039),(2675,3175,0.26812,3.6001),(2675,3185,0.27023,3.5962),(2675,3195,0.27222,3.5923),(2675,3205,0.27417,3.5884),(2675,3215,0.27611,3.5843),(2675,3225,0.27805,3.5801),(2675,3235,0.27986,3.576),(2675,3245,0.28162,3.5719),(2675,3255,0.28337,3.5676),(2675,3265,0.28512,3.5632),(2675,3275,0.28672,3.5589),(2675,3285,0.28826,3.5546),(2675,3295,0.28981,3.5501),(2675,3305,0.29135,3.5455),(2675,3315,0.29271,3.541),(2675,3325,0.29402,3.5364),(2675,3335,0.29533,3.5318),(2675,3345,0.29665,3.5271),(2675,3355,0.29775,3.5224),(2675,3365,0.29881,3.5176),(2675,3375,0.29987,3.5128),(2675,3385,0.30094,3.508),(2675,3395,0.30177,3.5031),(2675,3405,0.30256,3.4983),(2675,3415,0.30336,3.4933),(2675,3425,0.30416,3.4884),(2675,3435,0.3047,3.4834),(2675,3445,0.30522,3.4784),(2675,3455,0.30574,3.4734),(2675,3465,0.30626,3.4683),(2675,3475,0.3065,3.4633),(2675,3485,0.30673,3.4583),(2675,3495,0.30697,3.4532),(2675,3505,0.3072,3.4481),(2675,3515,0.30714,3.443),(2675,3525,0.30708,3.4379),(2675,3535,0.30702,3.4327),(2675,3545,0.30695,3.4276),(2675,3555,0.3066,3.4225),(2675,3565,0.30625,3.4174),(2675,3575,0.3059,3.4123),(2675,3585,0.30553,3.4072),(2675,3595,0.30489,3.4021),(2675,3605,0.30425,3.397),(2675,3615,0.30361,3.3919),(2675,3625,0.30294,3.3869),(2675,3635,0.30202,3.3818),(2675,3645,0.30111,3.3768),(2675,3655,0.30019,3.3718),(2675,3665,0.29923,3.3668),(2675,3675,0.29804,3.3619),(2675,3685,0.29686,3.3569),(2675,3695,0.29567,3.352),(2675,3705,0.29443,3.3472),(2675,3715,0.29299,3.3423),(2675,3725,0.29156,3.3374),(2675,3735,0.29012,3.3327),(2675,3745,0.28862,3.3279),(2675,3755,0.28695,3.3232),(2675,3765,0.28527,3.3185),(2675,3775,0.2836,3.3139),(2675,3785,0.28186,3.3093),(2675,3795,0.27997,3.3047),(2675,3805,0.27808,3.3001),(2675,3815,0.27618,3.2957),(2675,3825,0.27423,3.2912),(2675,3835,0.27213,3.2868),(2675,3845,0.27004,3.2824),(2675,3855,0.26795,3.2781),(2675,3865,0.26579,3.2739),(2675,3875,0.26351,3.2696),(2675,3885,0.26124,3.2654),(2675,3895,0.25896,3.2613),(2675,3905,0.29277,3.2572),(2675,3915,0.3805,3.2531),(2675,3925,0.46823,3.2471),(2675,3935,0.55595,3.2386),(2675,3945,0.64745,3.23),(2675,3955,0.74373,3.2215),(2675,3965,0.84001,3.2108),(2675,3975,0.93629,3.1975),(2675,3985,0.99085,3.1843),(2675,3995,1.0003,3.1711),(2675,4005,1.0097,3.1577),(2675,4015,1.0191,3.1442),(2675,4025,1.0296,3.1308),(2675,4035,1.0402,3.1172),(2675,4045,1.0509,3.1036),(2675,4055,1.0615,3.0899),(2675,4065,1.0721,3.0762),(2675,4075,1.0827,3.0623),(2675,4085,1.0929,3.0485),(2675,4095,1.1027,3.0346),(2675,4105,1.1124,3.0206),(2675,4115,1.0821,3.0065),(2675,4125,0.98523,2.9925),(2675,4135,0.88838,2.9814),(2675,4145,0.79012,2.9711),(2675,4155,0.68619,2.9607),(2675,4165,0.58226,2.9529),(2675,4175,0.48463,2.9467),(2675,4185,0.69895,2.9405),(2675,4195,0.91326,2.9307),(2675,4205,1.1276,2.9161),(2675,4215,1.1468,2.9016),(2675,4225,1.1294,2.8868),(2675,4235,1.1119,2.8713),(2675,4245,1.0617,2.8558),(2675,4255,0.99481,2.8404),(2675,4265,0.92793,2.8255),(2675,4275,0.79568,2.8106),(2675,4285,0.59408,2.7957),(2675,4295,0.39248,2.7897),(2675,4305,0.33428,2.7849),(2675,4315,0.59991,2.78),(2675,4325,0.86553,2.7678),(2675,4335,1.1033,2.7529),(2675,4345,1.1528,2.7379),(2675,4355,1.2023,2.7222),(2675,4365,1.2518,2.706),(2675,4375,1.2663,2.6898),(2675,4385,1.279,2.6736),(2675,4395,1.2916,2.6575),(2675,4405,1.1391,2.6414),(2675,4415,0.93779,2.6267),(2675,4425,0.7365,2.6183),(2675,4435,0.65452,2.6098),(2675,4445,0.65408,2.6014),(2675,4455,0.65364,2.5921),(2675,4465,0.74803,2.5827),(2675,4475,0.97566,2.5734),(2675,4485,1.2033,2.5589),(2675,4495,1.379,2.5432),(2675,4505,1.3884,2.5275),(2675,4515,1.3978,2.5122),(2675,4525,1.4042,2.4971),(2675,4535,1.3621,2.482),(2675,4545,1.3199,2.4677),(2675,4555,1.2778,2.4542),(2675,4565,0.97915,2.4407),(2675,4575,0.64591,2.4303),(2675,4585,0.31268,2.4272),(2675,4595,0.3966,2.424),(2675,4605,0.65678,2.4195),(2675,4615,0.91696,2.4043),(2675,4625,1.0924,2.389),(2675,4635,1.1911,2.3737),(2675,4645,1.2898,2.3575),(2675,4655,1.3657,2.3412),(2675,4665,1.3988,2.3249),(2675,4675,1.4318,2.3089),(2675,4685,1.4096,2.2931),(2675,4695,1.1139,2.2773),(2675,4705,0.81825,2.2672),(2675,4715,0.52258,2.2612),(2675,4725,0.67953,2.2552),(2675,4735,0.84101,2.2475),(2675,4745,1.0025,2.237),(2675,4755,1.1663,2.2265),(2675,4765,1.3306,2.2152),(2675,4775,1.4949,2.2005),(2675,4785,1.5593,2.1859),(2675,4795,1.566,2.1713),(2675,4805,1.5726,2.1568),(2675,4815,1.5017,2.1422),(2675,4825,1.3382,2.1276),(2675,4835,1.1747,2.1172),(2675,4845,1.0101,2.1074),(2675,4855,0.84251,2.0976),(2675,4865,0.67493,2.0913),(2675,4875,0.55928,2.0864),(2675,4885,0.91619,2.0816),(2675,4895,1.2731,2.0723),(2675,4905,1.63,2.0587),(2675,4915,1.6492,2.0451),(2675,4925,1.6394,2.0313),(2675,4935,1.6295,2.0171),(2675,4945,1.5571,2.0029),(2675,4955,1.4631,1.9886),(2675,4965,1.369,1.9737),(2675,4975,1.1158,1.9588),(2675,4985,0.73966,1.9439),(2675,4995,0.36353,1.9421),(2675,5005,0.27643,1.9406),(2675,5015,0.64881,1.9391),(2675,5025,1.0212,1.9307),(2675,5035,1.3424,1.9206),(2675,5045,1.4688,1.9105),(2675,5055,1.5951,1.8988),(2675,5065,1.7179,1.8859),(2675,5075,1.7228,1.8731),(2675,5085,1.7278,1.8603),(2675,5095,1.7327,1.8476),(2675,5105,1.5169,1.8348),(2675,5115,1.2625,1.8236),(2675,5125,1.0082,1.8168),(2675,5135,0.88425,1.8099),(2675,5145,0.82364,1.8032),(2675,5155,0.76302,1.7978),(2675,5165,0.90241,1.7924),(2675,5175,1.2458,1.787),(2675,5185,1.5891,1.7751),(2675,5195,1.8252,1.7625),(2675,5205,1.8301,1.7499),(2675,5215,1.835,1.7374),(2675,5225,1.8301,1.725),(2675,5235,1.7646,1.7126),(2675,5245,1.6991,1.7011),(2675,5255,1.6335,1.6903),(2675,5265,1.152,1.6795),(2675,5275,0.65325,1.6725),(2675,5285,0.15455,1.672),(2675,5295,0.42929,1.6715),(2675,5305,0.91943,1.6681),(2675,5315,1.4096,1.6528),(2675,5325,1.6544,1.6375),(2675,5335,1.7384,1.6222),(2675,5345,1.8224,1.6087),(2675,5355,1.8754,1.5952),(2675,5365,1.8868,1.5817),(2675,5375,1.8982,1.5687),(2675,5385,1.7982,1.5558),(2675,5395,1.3594,1.5429),(2675,5405,0.92067,1.5361),(2675,5415,0.53062,1.5326),(2675,5425,0.79488,1.5291),(2675,5435,1.0591,1.5225),(2675,5445,1.3234,1.5126),(2675,5455,1.5772,1.5026),(2675,5465,1.8298,1.4909),(2675,5475,2.0823,1.4755),(2675,5485,2.16,1.4601),(2675,5495,2.1674,1.4447),(2675,5505,2.1747,1.4297),(2675,5515,2.182,1.4148),(2675,5525,2.1892,1.3998),(2675,5535,2.1965,1.3853),(2675,5545,2.2036,1.3707),(2675,5555,2.2103,1.3562),(2675,5565,2.217,1.342),(2675,5575,2.2236,1.3279),(2675,5585,2.2298,1.3139),(2675,5595,2.236,1.3),(2675,5605,2.2423,1.2863),(2675,5615,2.248,1.2726),(2675,5625,2.2537,1.2591),(2675,5635,2.2594,1.2458),(2675,5645,2.2648,1.2325),(2675,5655,2.27,1.2193),(2675,5665,2.2753,1.2064),(2675,5675,2.2803,1.1934),(2675,5685,2.2852,1.1805),(2675,5695,2.29,1.1679),(2675,5705,2.2947,1.1554),(2675,5715,2.2992,1.1428),(2675,5725,2.3037,1.1305),(2675,5735,2.308,1.1182),(2675,5745,2.3121,1.1059),(2675,5755,2.3163,1.0939),(2675,5765,2.3203,1.0819),(2675,5775,2.3241,1.0699),(2675,5785,2.3279,1.0581),(2675,5795,2.3317,1.0464),(2675,5805,2.3352,1.0348),(2675,5815,2.3387,1.0232),(2675,5825,2.3422,1.0118),(2675,5835,2.3454,1.0004),(2675,5845,2.3486,0.98899),(2675,5855,2.3518,0.97783),(2675,5865,2.3549,0.96667),(2675,5875,2.3578,0.95551),(2675,5885,2.3607,0.9446),(2675,5895,2.3636,0.93369),(2675,5905,2.3663,0.92279),(2675,5915,2.3689,0.91208),(2675,5925,2.3716,0.90143),(2675,5935,2.374,0.89078),(2675,5945,2.3765,0.88028),(2675,5955,2.3789,0.86986),(2675,5965,2.3812,0.85944),(2675,5975,2.3835,0.84911),(2675,5985,2.3858,0.83891),(2675,5995,1.8244,0.8287),(2675,6005,1.1723,0.8209),(2675,6015,0.52027,0.81954),(2675,6025,0.61882,0.81818),(2675,6035,1.0655,0.81589),(2675,6045,1.5122,0.80467),(2675,6055,1.8253,0.79344),(2675,6065,2.0073,0.78221),(2675,6075,2.1893,0.76767),(2675,6085,2.3132,0.75283),(2675,6095,2.3173,0.73798),(2675,6105,2.3214,0.72313),(2675,6115,2.3255,0.70829),(2675,6125,2.3293,0.69344),(2675,6135,2.3332,0.67866),(2675,6145,2.337,0.66394),(2675,6155,2.3406,0.64922),(2675,6165,2.3442,0.63457),(2675,6175,2.3477,0.62006),(2675,6185,2.3511,0.60554),(2675,6195,2.3544,0.59103),(2675,6205,2.3577,0.57653),(2675,6215,2.3609,0.56204),(2675,6225,2.3639,0.54754),(2675,6235,2.367,0.53309),(2675,6245,2.3699,0.51863),(2675,6255,2.3727,0.50418),(2675,6265,2.3755,0.48983),(2675,6275,2.3782,0.47549),(2675,6285,2.3807,0.46116),(2675,6295,2.3832,0.44689),(2675,6305,2.3857,0.43267),(2675,6315,2.388,0.41844),(2675,6325,2.3902,0.40423),(2675,6335,2.3925,0.39003),(2675,6345,2.3945,0.37582),(2675,6355,2.3965,0.36163),(2675,6365,2.3985,0.34746),(2675,6375,2.4004,0.3333),(2675,6385,2.4022,0.31913),(2675,6395,2.4039,0.30501),(2675,6405,2.4056,0.29089),(2675,6415,2.4071,0.27676),(2675,6425,2.4086,0.26274),(2675,6435,2.41,0.24872),(2675,6445,2.4113,0.23471),(2675,6455,2.4126,0.22071),(2675,6465,2.4138,0.20672),(2675,6475,2.4148,0.19273),(2675,6485,2.4158,0.17875),(2675,6495,2.4168,0.16478),(2675,6505,2.4176,0.15081),(2675,6515,2.4183,0.13685),(2675,6525,2.4191,0.12292),(2675,6535,2.4197,0.10898),(2675,6545,2.4202,0.095042),(2675,6555,2.4208,0.081083),(2675,6565,2.4211,0.067124),(2675,6575,2.4214,0.05317),(2675,6585,2.4217,0.039289),(2675,6595,2.0598,0.025407),(2675,6605,1.2982,0.011526),(2675,6615,0.53659,0.009915),(2675,6625,0.001188,0.009881),(2675,6635,0.001187,0.009847),(2675,6645,0.001187,0.009829),(2675,6655,0.001186,0.009818),(2675,6665,0.001185,0.009806),(2675,6675,0.001185,0.009795),(2675,6685,0.001184,0.009784),(2675,6695,0.001184,0.009773),(2675,6705,0.001183,0.009762),(2675,6715,0.001183,0.009751),(2675,6725,0.001182,0.00974),(2675,6735,0.001182,0.00973),(2675,6745,0.001181,0.009719),(2675,6755,0.001181,0.009708),(2675,6765,0.00118,0.009697),(2675,6775,0.00118,0.009687),(2675,6785,0.001179,0.009676),(2675,6795,0.001179,0.009666),(2675,6805,0.001178,0.009655),(2675,6815,0.001178,0.009645),(2675,6825,0.001177,0.009634),(2675,6835,0.001177,0.009624),(2675,6845,0.001177,0.009613),(2675,6855,0.001176,0.009603),(2675,6865,0.001176,0.009593),(2675,6875,0.001176,0.009583),(2675,6885,0.001175,0.009572),(2675,6895,0.001175,0.009562),(2675,6905,0.001175,0.009552),(2675,6915,0.001174,0.009542),(2675,6925,0.001174,0.009532),(2675,6935,0.001174,0.009522),(2675,6945,0.001173,0.009512),(2675,6955,0.001173,0.009502),(2675,6965,0.001173,0.009492),(2675,6975,0.001173,0.009482),(2675,6985,0.001172,0.009472),(2685,5,3e-05,3.6868),(2685,15,9e-05,3.6868),(2685,25,0.000149,3.6868),(2685,35,0.000209,3.6868),(2685,45,0.000269,3.6868),(2685,55,0.000329,3.6868),(2685,65,0.000388,3.6868),(2685,75,0.000448,3.6868),(2685,85,0.000508,3.6868),(2685,95,0.000568,3.6868),(2685,105,0.000628,3.6868),(2685,115,0.000688,3.6868),(2685,125,0.000748,3.6869),(2685,135,0.000809,3.6869),(2685,145,0.000869,3.6869),(2685,155,0.000929,3.6869),(2685,165,0.00099,3.6869),(2685,175,0.00105,3.6869),(2685,185,0.001111,3.6869),(2685,195,0.001172,3.6869),(2685,205,0.001233,3.687),(2685,215,0.001294,3.687),(2685,225,0.001355,3.687),(2685,235,0.001416,3.687),(2685,245,0.001478,3.687),(2685,255,0.001539,3.687),(2685,265,0.001601,3.6871),(2685,275,0.001663,3.6871),(2685,285,0.001725,3.6871),(2685,295,0.001787,3.6871),(2685,305,0.001849,3.6871),(2685,315,0.001912,3.6872),(2685,325,0.001975,3.6872),(2685,335,0.002038,3.6872),(2685,345,0.002101,3.6872),(2685,355,0.002165,3.6873),(2685,365,0.002229,3.6873),(2685,375,0.002293,3.6873),(2685,385,0.002357,3.6874),(2685,395,0.002422,3.6874),(2685,405,0.002487,3.6874),(2685,415,0.002552,3.6874),(2685,425,0.002618,3.6875),(2685,435,0.002684,3.6875),(2685,445,0.00275,3.6876),(2685,455,0.002815,3.6876),(2685,465,0.002883,3.6876),(2685,475,0.00295,3.6877),(2685,485,0.003017,3.6877),(2685,495,0.003085,3.6877),(2685,505,0.003154,3.6878),(2685,515,0.003223,3.6878),(2685,525,0.003292,3.6879),(2685,535,0.003361,3.6879),(2685,545,0.003432,3.688),(2685,555,0.003503,3.688),(2685,565,0.003574,3.6881),(2685,575,0.003645,3.6881),(2685,585,0.003719,3.6882),(2685,595,0.003792,3.6882),(2685,605,0.003865,3.6883),(2685,615,0.003938,3.6883),(2685,625,0.004013,3.6884),(2685,635,0.004089,3.6884),(2685,645,0.004164,3.6885),(2685,655,0.00424,3.6886),(2685,665,0.004318,3.6886),(2685,675,0.004396,3.6887),(2685,685,0.004474,3.6887),(2685,695,0.004553,3.6888),(2685,705,0.004634,3.6889),(2685,715,0.004716,3.6889),(2685,725,0.004797,3.689),(2685,735,0.004879,3.6891),(2685,745,0.004964,3.6892),(2685,755,0.005048,3.6892),(2685,765,0.005133,3.6893),(2685,775,0.005219,3.6894),(2685,785,0.005307,3.6895),(2685,795,0.005396,3.6895),(2685,805,0.005484,3.6896),(2685,815,0.005574,3.6897),(2685,825,0.005667,3.6898),(2685,835,0.00576,3.6899),(2685,845,0.005853,3.69),(2685,855,0.005947,3.6901),(2685,865,0.006045,3.6902),(2685,875,0.006143,3.6903),(2685,885,0.00624,3.6904),(2685,895,0.00634,3.6905),(2685,905,0.006443,3.6906),(2685,915,0.006546,3.6907),(2685,925,0.006649,3.6908),(2685,935,0.006755,3.6909),(2685,945,0.006863,3.691),(2685,955,0.006973,3.6911),(2685,965,0.007082,3.6912),(2685,975,0.007194,3.6913),(2685,985,0.00731,3.6914),(2685,995,0.007425,3.6916),(2685,1005,0.007541,3.6917),(2685,1015,0.007661,3.6918),(2685,1025,0.007784,3.6919),(2685,1035,0.007907,3.692),(2685,1045,0.00803,3.6922),(2685,1055,0.008158,3.6923),(2685,1065,0.008289,3.6924),(2685,1075,0.00842,3.6926),(2685,1085,0.008552,3.6927),(2685,1095,0.008688,3.6929),(2685,1105,0.008829,3.693),(2685,1115,0.008969,3.6932),(2685,1125,0.009109,3.6933),(2685,1135,0.009256,3.6935),(2685,1145,0.009407,3.6936),(2685,1155,0.009557,3.6938),(2685,1165,0.009707,3.6939),(2685,1175,0.009865,3.6941),(2685,1185,0.010026,3.6942),(2685,1195,0.010188,3.6944),(2685,1205,0.010349,3.6946),(2685,1215,0.010519,3.6947),(2685,1225,0.010693,3.6949),(2685,1235,0.010866,3.6951),(2685,1245,0.011039,3.6953),(2685,1255,0.011223,3.6955),(2685,1265,0.011409,3.6956),(2685,1275,0.011596,3.6958),(2685,1285,0.011783,3.696),(2685,1295,0.011981,3.6962),(2685,1305,0.012182,3.6964),(2685,1315,0.012383,3.6966),(2685,1325,0.012585,3.6968),(2685,1335,0.012799,3.697),(2685,1345,0.013016,3.6972),(2685,1355,0.013233,3.6974),(2685,1365,0.01345,3.6976),(2685,1375,0.013683,3.6978),(2685,1385,0.013917,3.6981),(2685,1395,0.014152,3.6983),(2685,1405,0.014386,3.6985),(2685,1415,0.014638,3.6987),(2685,1425,0.014891,3.699),(2685,1435,0.015145,3.6992),(2685,1445,0.015398,3.6994),(2685,1455,0.015671,3.6997),(2685,1465,0.015945,3.6999),(2685,1475,0.016219,3.7002),(2685,1485,0.016494,3.7004),(2685,1495,0.01679,3.7007),(2685,1505,0.017087,3.7009),(2685,1515,0.017384,3.7012),(2685,1525,0.017681,3.7014),(2685,1535,0.018002,3.7017),(2685,1545,0.018324,3.7019),(2685,1555,0.018645,3.7022),(2685,1565,0.018968,3.7025),(2685,1575,0.019316,3.7028),(2685,1585,0.019664,3.703),(2685,1595,0.020012,3.7033),(2685,1605,0.020363,3.7036),(2685,1615,0.02074,3.7039),(2685,1625,0.021117,3.7042),(2685,1635,0.021494,3.7044),(2685,1645,0.021876,3.7047),(2685,1655,0.022284,3.705),(2685,1665,0.022693,3.7053),(2685,1675,0.023101,3.7056),(2685,1685,0.023516,3.7059),(2685,1695,0.023959,3.7062),(2685,1705,0.024401,3.7065),(2685,1715,0.024844,3.7069),(2685,1725,0.025295,3.7072),(2685,1735,0.025774,3.7075),(2685,1745,0.026254,3.7078),(2685,1755,0.026734,3.7081),(2685,1765,0.027224,3.7084),(2685,1775,0.027743,3.7088),(2685,1785,0.028263,3.7091),(2685,1795,0.028783,3.7094),(2685,1805,0.029316,3.7097),(2685,1815,0.029879,3.7101),(2685,1825,0.030442,3.7104),(2685,1835,0.031005,3.7107),(2685,1845,0.031584,3.7111),(2685,1855,0.032194,3.7114),(2685,1865,0.032803,3.7118),(2685,1875,0.033413,3.7121),(2685,1885,0.034042,3.7124),(2685,1895,0.034702,3.7128),(2685,1905,0.035362,3.7131),(2685,1915,0.036022,3.7135),(2685,1925,0.036705,3.7138),(2685,1935,0.037419,3.7142),(2685,1945,0.038133,3.7145),(2685,1955,0.038848,3.7148),(2685,1965,0.039589,3.7152),(2685,1975,0.040361,3.7155),(2685,1985,0.041134,3.7159),(2685,1995,0.041907,3.7162),(2685,2005,0.04271,3.7166),(2685,2015,0.043546,3.7169),(2685,2025,0.044381,3.7172),(2685,2035,0.045216,3.7176),(2685,2045,0.046087,3.7179),(2685,2055,0.046989,3.7182),(2685,2065,0.047892,3.7186),(2685,2075,0.048794,3.7189),(2685,2085,0.049737,3.7192),(2685,2095,0.050711,3.7196),(2685,2105,0.051684,3.7199),(2685,2115,0.052658,3.7202),(2685,2125,0.053678,3.7205),(2685,2135,0.054728,3.7208),(2685,2145,0.055777,3.7211),(2685,2155,0.056826,3.7214),(2685,2165,0.057929,3.7217),(2685,2175,0.059059,3.722),(2685,2185,0.060189,3.7223),(2685,2195,0.061318,3.7225),(2685,2205,0.062508,3.7228),(2685,2215,0.063722,3.7231),(2685,2225,0.064937,3.7233),(2685,2235,0.066152,3.7235),(2685,2245,0.067433,3.7238),(2685,2255,0.068737,3.724),(2685,2265,0.070041,3.7242),(2685,2275,0.071346,3.7244),(2685,2285,0.072722,3.7246),(2685,2295,0.07412,3.7248),(2685,2305,0.075518,3.7249),(2685,2315,0.076915,3.7251),(2685,2325,0.078393,3.7252),(2685,2335,0.079887,3.7254),(2685,2345,0.081382,3.7255),(2685,2355,0.082877,3.7255),(2685,2365,0.084458,3.7256),(2685,2375,0.086053,3.7257),(2685,2385,0.087648,3.7257),(2685,2395,0.089243,3.7258),(2685,2405,0.090931,3.7258),(2685,2415,0.092628,3.7258),(2685,2425,0.094326,3.7257),(2685,2435,0.096024,3.7257),(2685,2445,0.097819,3.7256),(2685,2455,0.099621,3.7255),(2685,2465,0.10142,3.7254),(2685,2475,0.10323,3.7252),(2685,2485,0.10513,3.7251),(2685,2495,0.10704,3.7249),(2685,2505,0.10894,3.7246),(2685,2515,0.11085,3.7244),(2685,2525,0.11286,3.7241),(2685,2535,0.11487,3.7238),(2685,2545,0.11689,3.7235),(2685,2555,0.1189,3.7231),(2685,2565,0.12102,3.7227),(2685,2575,0.12313,3.7223),(2685,2585,0.12524,3.7218),(2685,2595,0.12736,3.7212),(2685,2605,0.12958,3.7207),(2685,2615,0.13179,3.7202),(2685,2625,0.134,3.7195),(2685,2635,0.13622,3.7188),(2685,2645,0.13853,3.7182),(2685,2655,0.14084,3.7175),(2685,2665,0.14314,3.7166),(2685,2675,0.14546,3.7158),(2685,2685,0.14785,3.7149),(2685,2695,0.15024,3.7141),(2685,2705,0.15263,3.713),(2685,2715,0.15504,3.712),(2685,2725,0.15751,3.711),(2685,2735,0.15998,3.7099),(2685,2745,0.16245,3.7087),(2685,2755,0.16493,3.7075),(2685,2765,0.16746,3.7063),(2685,2775,0.17,3.705),(2685,2785,0.17253,3.7036),(2685,2795,0.17508,3.7021),(2685,2805,0.17767,3.7007),(2685,2815,0.18025,3.6992),(2685,2825,0.18284,3.6976),(2685,2835,0.18544,3.6959),(2685,2845,0.18806,3.6942),(2685,2855,0.19068,3.6925),(2685,2865,0.19331,3.6906),(2685,2875,0.19594,3.6887),(2685,2885,0.19858,3.6868),(2685,2895,0.20122,3.6849),(2685,2905,0.20386,3.6827),(2685,2915,0.2065,3.6806),(2685,2925,0.20915,3.6784),(2685,2935,0.21179,3.6762),(2685,2945,0.21443,3.6738),(2685,2955,0.21706,3.6714),(2685,2965,0.21969,3.669),(2685,2975,0.22231,3.6665),(2685,2985,0.22493,3.6639),(2685,2995,0.22753,3.6612),(2685,3005,0.23011,3.6585),(2685,3015,0.23269,3.6558),(2685,3025,0.23527,3.6528),(2685,3035,0.23781,3.6499),(2685,3045,0.24032,3.647),(2685,3055,0.24283,3.6439),(2685,3065,0.24535,3.6408),(2685,3075,0.24781,3.6376),(2685,3085,0.25023,3.6344),(2685,3095,0.25265,3.6311),(2685,3105,0.25507,3.6276),(2685,3115,0.25742,3.6242),(2685,3125,0.25972,3.6207),(2685,3135,0.26202,3.6171),(2685,3145,0.26433,3.6134),(2685,3155,0.26654,3.6097),(2685,3165,0.2687,3.606),(2685,3175,0.27086,3.6021),(2685,3185,0.27302,3.5982),(2685,3195,0.27507,3.5943),(2685,3205,0.27706,3.5903),(2685,3215,0.27906,3.5862),(2685,3225,0.28105,3.582),(2685,3235,0.2829,3.5778),(2685,3245,0.28471,3.5736),(2685,3255,0.28651,3.5693),(2685,3265,0.28831,3.5649),(2685,3275,0.28995,3.5605),(2685,3285,0.29154,3.5561),(2685,3295,0.29312,3.5516),(2685,3305,0.29471,3.547),(2685,3315,0.29611,3.5424),(2685,3325,0.29746,3.5378),(2685,3335,0.29881,3.533),(2685,3345,0.30016,3.5283),(2685,3355,0.3013,3.5235),(2685,3365,0.30239,3.5187),(2685,3375,0.30349,3.5138),(2685,3385,0.30458,3.5089),(2685,3395,0.30544,3.504),(2685,3405,0.30626,3.4991),(2685,3415,0.30709,3.4941),(2685,3425,0.30791,3.489),(2685,3435,0.30847,3.484),(2685,3445,0.30901,3.479),(2685,3455,0.30955,3.4738),(2685,3465,0.31009,3.4687),(2685,3475,0.31034,3.4636),(2685,3485,0.31059,3.4585),(2685,3495,0.31083,3.4533),(2685,3505,0.31108,3.4481),(2685,3515,0.31102,3.443),(2685,3525,0.31097,3.4378),(2685,3535,0.31092,3.4326),(2685,3545,0.31085,3.4274),(2685,3555,0.3105,3.4222),(2685,3565,0.31014,3.417),(2685,3575,0.30979,3.4119),(2685,3585,0.30941,3.4067),(2685,3595,0.30877,3.4015),(2685,3605,0.30812,3.3964),(2685,3615,0.30747,3.3912),(2685,3625,0.30679,3.3861),(2685,3635,0.30586,3.381),(2685,3645,0.30492,3.3759),(2685,3655,0.30399,3.3708),(2685,3665,0.30301,3.3658),(2685,3675,0.30181,3.3607),(2685,3685,0.3006,3.3557),(2685,3695,0.29939,3.3508),(2685,3705,0.29813,3.3458),(2685,3715,0.29667,3.3409),(2685,3725,0.2952,3.336),(2685,3735,0.29373,3.3312),(2685,3745,0.29221,3.3264),(2685,3755,0.29051,3.3216),(2685,3765,0.2888,3.3168),(2685,3775,0.2871,3.3121),(2685,3785,0.28533,3.3075),(2685,3795,0.2834,3.3028),(2685,3805,0.28148,3.2982),(2685,3815,0.27955,3.2937),(2685,3825,0.27756,3.2892),(2685,3835,0.27544,3.2847),(2685,3845,0.27331,3.2803),(2685,3855,0.27119,3.276),(2685,3865,0.26899,3.2717),(2685,3875,0.26668,3.2673),(2685,3885,0.26437,3.2631),(2685,3895,0.26206,3.2589),(2685,3905,0.29617,3.2548),(2685,3915,0.38466,3.2506),(2685,3925,0.47316,3.2446),(2685,3935,0.56166,3.236),(2685,3945,0.65393,3.2274),(2685,3955,0.75101,3.2188),(2685,3965,0.84808,3.208),(2685,3975,0.94516,3.1947),(2685,3985,1.0001,3.1814),(2685,3995,1.0096,3.1681),(2685,4005,1.019,3.1547),(2685,4015,1.0284,3.1411),(2685,4025,1.039,3.1276),(2685,4035,1.0496,3.114),(2685,4045,1.0603,3.1003),(2685,4055,1.0709,3.0866),(2685,4065,1.0815,3.0728),(2685,4075,1.0922,3.0589),(2685,4085,1.1024,3.045),(2685,4095,1.1122,3.0311),(2685,4105,1.122,3.017),(2685,4115,1.0913,3.0029),(2685,4125,0.99369,2.9887),(2685,4135,0.89604,2.9776),(2685,4145,0.79697,2.9672),(2685,4155,0.69214,2.9568),(2685,4165,0.58732,2.9489),(2685,4175,0.48884,2.9427),(2685,4185,0.70491,2.9365),(2685,4195,0.92098,2.9267),(2685,4205,1.1371,2.9121),(2685,4215,1.1569,2.8975),(2685,4225,1.1398,2.8826),(2685,4235,1.1227,2.867),(2685,4245,1.0727,2.8514),(2685,4255,1.0059,2.8358),(2685,4265,0.93912,2.8208),(2685,4275,0.8058,2.8057),(2685,4285,0.60188,2.7906),(2685,4295,0.39797,2.7846),(2685,4305,0.33882,2.7796),(2685,4315,0.60658,2.7746),(2685,4325,0.87435,2.7623),(2685,4335,1.114,2.7471),(2685,4345,1.1636,2.7319),(2685,4355,1.2133,2.7161),(2685,4365,1.2629,2.6998),(2685,4375,1.2773,2.6835),(2685,4385,1.2898,2.6672),(2685,4395,1.3024,2.6511),(2685,4405,1.1486,2.6349),(2685,4415,0.94568,2.6202),(2685,4425,0.74279,2.6118),(2685,4435,0.66033,2.6034),(2685,4445,0.66018,2.595),(2685,4455,0.66003,2.5857),(2685,4465,0.75503,2.5763),(2685,4475,0.9837,2.567),(2685,4485,1.2124,2.5525),(2685,4495,1.3889,2.5369),(2685,4505,1.3981,2.5212),(2685,4515,1.4073,2.5059),(2685,4525,1.4135,2.4908),(2685,4535,1.3711,2.4757),(2685,4545,1.3288,2.4612),(2685,4555,1.2864,2.4474),(2685,4565,0.98598,2.4337),(2685,4575,0.65073,2.4231),(2685,4585,0.31548,2.4199),(2685,4595,0.40071,2.4168),(2685,4605,0.66361,2.4123),(2685,4615,0.92651,2.397),(2685,4625,1.1032,2.3817),(2685,4635,1.2018,2.3664),(2685,4645,1.3005,2.3501),(2685,4655,1.3763,2.3337),(2685,4665,1.4091,2.3174),(2685,4675,1.4419,2.3014),(2685,4685,1.4191,2.2855),(2685,4695,1.1216,2.2696),(2685,4705,0.82402,2.2594),(2685,4715,0.52646,2.2534),(2685,4725,0.68413,2.2474),(2685,4735,0.84636,2.2396),(2685,4745,1.0086,2.2291),(2685,4755,1.1731,2.2187),(2685,4765,1.338,2.2072),(2685,4775,1.503,2.1926),(2685,4785,1.5676,2.1779),(2685,4795,1.5742,2.1632),(2685,4805,1.5808,2.1486),(2685,4815,1.5096,2.1339),(2685,4825,1.3452,2.1193),(2685,4835,1.1809,2.1088),(2685,4845,1.0154,2.099),(2685,4855,0.84688,2.0891),(2685,4865,0.6784,2.0828),(2685,4875,0.56208,2.0779),(2685,4885,0.92028,2.0731),(2685,4895,1.2785,2.0638),(2685,4905,1.6367,2.0502),(2685,4915,1.6562,2.0366),(2685,4925,1.6466,2.0228),(2685,4935,1.6369,2.0086),(2685,4945,1.5651,1.9944),(2685,4955,1.4716,1.9801),(2685,4965,1.3782,1.9652),(2685,4975,1.1237,1.9502),(2685,4985,0.74493,1.9352),(2685,4995,0.36614,1.9333),(2685,5005,0.27786,1.9318),(2685,5015,0.65143,1.9303),(2685,5025,1.025,1.9219),(2685,5035,1.3472,1.9118),(2685,5045,1.4739,1.9017),(2685,5055,1.6006,1.8899),(2685,5065,1.7237,1.8771),(2685,5075,1.7286,1.8642),(2685,5085,1.7335,1.8514),(2685,5095,1.7384,1.8387),(2685,5105,1.5219,1.8259),(2685,5115,1.2667,1.8147),(2685,5125,1.0115,1.8078),(2685,5135,0.88721,1.8009),(2685,5145,0.82637,1.7941),(2685,5155,0.76553,1.7888),(2685,5165,0.90523,1.7834),(2685,5175,1.2495,1.778),(2685,5185,1.5937,1.7661),(2685,5195,1.8304,1.7535),(2685,5205,1.8352,1.7409),(2685,5215,1.84,1.7284),(2685,5225,1.8351,1.716),(2685,5235,1.7693,1.7036),(2685,5245,1.7035,1.6921),(2685,5255,1.6377,1.6813),(2685,5265,1.155,1.6705),(2685,5275,0.65505,1.6635),(2685,5285,0.15514,1.663),(2685,5295,0.43167,1.6625),(2685,5305,0.92443,1.6591),(2685,5315,1.4172,1.6438),(2685,5325,1.6625,1.6284),(2685,5335,1.7456,1.6131),(2685,5345,1.8287,1.5996),(2685,5355,1.8812,1.5862),(2685,5365,1.8923,1.5727),(2685,5375,1.9035,1.5597),(2685,5385,1.803,1.5468),(2685,5395,1.3631,1.5339),(2685,5405,0.92318,1.5272),(2685,5415,0.53211,1.5237),(2685,5425,0.7973,1.5202),(2685,5435,1.0625,1.5136),(2685,5445,1.3277,1.5037),(2685,5455,1.5822,1.4938),(2685,5465,1.8354,1.4823),(2685,5475,2.0887,1.4669),(2685,5485,2.1665,1.4516),(2685,5495,2.1736,1.4363),(2685,5505,2.1808,1.4214),(2685,5515,2.1879,1.4066),(2685,5525,2.195,1.3917),(2685,5535,2.2021,1.3772),(2685,5545,2.209,1.3628),(2685,5555,2.2156,1.3484),(2685,5565,2.2221,1.3343),(2685,5575,2.2286,1.3203),(2685,5585,2.2347,1.3063),(2685,5595,2.2407,1.2925),(2685,5605,2.2468,1.2789),(2685,5615,2.2524,1.2653),(2685,5625,2.258,1.2519);
INSERT INTO `ILD_00_Brho_Bz` VALUES (2685,5635,2.2635,1.2387),(2685,5645,2.2688,1.2255),(2685,5655,2.2739,1.2123),(2685,5665,2.2791,1.1995),(2685,5675,2.2839,1.1866),(2685,5685,2.2887,1.1738),(2685,5695,2.2934,1.1613),(2685,5705,2.298,1.1488),(2685,5715,2.3024,1.1363),(2685,5725,2.3067,1.1241),(2685,5735,2.311,1.1119),(2685,5745,2.315,1.0997),(2685,5755,2.319,1.0877),(2685,5765,2.323,1.0758),(2685,5775,2.3267,1.0639),(2685,5785,2.3303,1.0522),(2685,5795,2.334,1.0406),(2685,5805,2.3374,1.029),(2685,5815,2.3408,1.0175),(2685,5825,2.3442,1.0062),(2685,5835,2.3474,0.99485),(2685,5845,2.3505,0.98356),(2685,5855,2.3536,0.97247),(2685,5865,2.3565,0.96139),(2685,5875,2.3594,0.9503),(2685,5885,2.3622,0.93947),(2685,5895,2.365,0.92864),(2685,5905,2.3676,0.9178),(2685,5915,2.3702,0.90717),(2685,5925,2.3727,0.89659),(2685,5935,2.3751,0.88601),(2685,5945,2.3775,0.87558),(2685,5955,2.3799,0.86523),(2685,5965,2.3821,0.85488),(2685,5975,2.3843,0.84463),(2685,5985,2.3865,0.83449),(2685,5995,1.825,0.82435),(2685,6005,1.1727,0.81661),(2685,6015,0.52045,0.81526),(2685,6025,0.61992,0.81391),(2685,6035,1.068,0.81163),(2685,6045,1.5162,0.80046),(2685,6055,1.8302,0.78928),(2685,6065,2.0126,0.77811),(2685,6075,2.1951,0.76363),(2685,6085,2.3193,0.74886),(2685,6095,2.3234,0.73408),(2685,6105,2.3274,0.7193),(2685,6115,2.3314,0.70453),(2685,6125,2.3352,0.68975),(2685,6135,2.3391,0.67505),(2685,6145,2.3429,0.6604),(2685,6155,2.3464,0.64575),(2685,6165,2.3499,0.63118),(2685,6175,2.3535,0.61674),(2685,6185,2.3568,0.60231),(2685,6195,2.3601,0.58787),(2685,6205,2.3633,0.57345),(2685,6215,2.3665,0.55904),(2685,6225,2.3695,0.54462),(2685,6235,2.3725,0.53024),(2685,6245,2.3754,0.51586),(2685,6255,2.3781,0.50147),(2685,6265,2.3809,0.48719),(2685,6275,2.3836,0.47293),(2685,6285,2.386,0.45866),(2685,6295,2.3885,0.44448),(2685,6305,2.391,0.43033),(2685,6315,2.3932,0.41619),(2685,6325,2.3954,0.40205),(2685,6335,2.3977,0.38793),(2685,6345,2.3997,0.37381),(2685,6355,2.4017,0.35969),(2685,6365,2.4036,0.3456),(2685,6375,2.4055,0.33152),(2685,6385,2.4072,0.31743),(2685,6395,2.409,0.30338),(2685,6405,2.4106,0.28933),(2685,6415,2.4121,0.27528),(2685,6425,2.4136,0.26134),(2685,6435,2.415,0.24739),(2685,6445,2.4163,0.23345),(2685,6455,2.4175,0.21953),(2685,6465,2.4187,0.20561),(2685,6475,2.4197,0.1917),(2685,6485,2.4207,0.1778),(2685,6495,2.4217,0.1639),(2685,6505,2.4225,0.15001),(2685,6515,2.4233,0.13613),(2685,6525,2.424,0.12227),(2685,6535,2.4246,0.10842),(2685,6545,2.4251,0.094555),(2685,6555,2.4257,0.080669),(2685,6565,2.426,0.066783),(2685,6575,2.4263,0.052903),(2685,6585,2.4265,0.039101),(2685,6595,2.064,0.025299),(2685,6605,1.3008,0.011497),(2685,6615,0.53768,0.0099),(2685,6625,0.001195,0.009873),(2685,6635,0.001194,0.009845),(2685,6645,0.001193,0.009829),(2685,6655,0.001193,0.009817),(2685,6665,0.001192,0.009806),(2685,6675,0.001192,0.009795),(2685,6685,0.001191,0.009784),(2685,6695,0.00119,0.009773),(2685,6705,0.00119,0.009762),(2685,6715,0.001189,0.009751),(2685,6725,0.001189,0.00974),(2685,6735,0.001188,0.009729),(2685,6745,0.001187,0.009718),(2685,6755,0.001187,0.009708),(2685,6765,0.001186,0.009697),(2685,6775,0.001186,0.009686),(2685,6785,0.001185,0.009676),(2685,6795,0.001185,0.009665),(2685,6805,0.001184,0.009655),(2685,6815,0.001184,0.009644),(2685,6825,0.001184,0.009634),(2685,6835,0.001183,0.009623),(2685,6845,0.001183,0.009613),(2685,6855,0.001182,0.009603),(2685,6865,0.001182,0.009592),(2685,6875,0.001182,0.009582),(2685,6885,0.001181,0.009572),(2685,6895,0.001181,0.009562),(2685,6905,0.00118,0.009552),(2685,6915,0.00118,0.009541),(2685,6925,0.00118,0.009532),(2685,6935,0.001179,0.009522),(2685,6945,0.001179,0.009512),(2685,6955,0.001179,0.009501),(2685,6965,0.001179,0.009491),(2685,6975,0.001178,0.009482),(2685,6985,0.001178,0.009472),(2695,5,2.9e-05,3.6869),(2695,15,8.8e-05,3.6869),(2695,25,0.000147,3.6869),(2695,35,0.000206,3.6869),(2695,45,0.000265,3.6869),(2695,55,0.000323,3.6869),(2695,65,0.000382,3.6869),(2695,75,0.000441,3.6869),(2695,85,0.0005,3.6869),(2695,95,0.000559,3.6869),(2695,105,0.000618,3.6869),(2695,115,0.000677,3.6869),(2695,125,0.000736,3.6869),(2695,135,0.000795,3.6869),(2695,145,0.000855,3.6869),(2695,155,0.000914,3.6869),(2695,165,0.000974,3.687),(2695,175,0.001033,3.687),(2695,185,0.001093,3.687),(2695,195,0.001153,3.687),(2695,205,0.001212,3.687),(2695,215,0.001272,3.687),(2695,225,0.001332,3.687),(2695,235,0.001393,3.6871),(2695,245,0.001453,3.6871),(2695,255,0.001513,3.6871),(2695,265,0.001574,3.6871),(2695,275,0.001635,3.6871),(2695,285,0.001696,3.6872),(2695,295,0.001757,3.6872),(2695,305,0.001818,3.6872),(2695,315,0.00188,3.6872),(2695,325,0.001941,3.6873),(2695,335,0.002003,3.6873),(2695,345,0.002066,3.6873),(2695,355,0.002128,3.6873),(2695,365,0.002191,3.6874),(2695,375,0.002253,3.6874),(2695,385,0.002317,3.6874),(2695,395,0.00238,3.6874),(2695,405,0.002444,3.6875),(2695,415,0.002508,3.6875),(2695,425,0.002572,3.6875),(2695,435,0.002637,3.6876),(2695,445,0.002701,3.6876),(2695,455,0.002766,3.6877),(2695,465,0.002832,3.6877),(2695,475,0.002898,3.6877),(2695,485,0.002964,3.6878),(2695,495,0.00303,3.6878),(2695,505,0.003097,3.6879),(2695,515,0.003165,3.6879),(2695,525,0.003233,3.6879),(2695,535,0.003301,3.688),(2695,545,0.00337,3.688),(2695,555,0.00344,3.6881),(2695,565,0.003509,3.6881),(2695,575,0.003579,3.6882),(2695,585,0.00365,3.6882),(2695,595,0.003722,3.6883),(2695,605,0.003793,3.6883),(2695,615,0.003865,3.6884),(2695,625,0.003939,3.6885),(2695,635,0.004013,3.6885),(2695,645,0.004087,3.6886),(2695,655,0.004161,3.6886),(2695,665,0.004237,3.6887),(2695,675,0.004313,3.6888),(2695,685,0.00439,3.6888),(2695,695,0.004467,3.6889),(2695,705,0.004546,3.689),(2695,715,0.004626,3.689),(2695,725,0.004705,3.6891),(2695,735,0.004785,3.6892),(2695,745,0.004868,3.6892),(2695,755,0.004951,3.6893),(2695,765,0.005033,3.6894),(2695,775,0.005117,3.6895),(2695,785,0.005204,3.6896),(2695,795,0.00529,3.6896),(2695,805,0.005377,3.6897),(2695,815,0.005465,3.6898),(2695,825,0.005555,3.6899),(2695,835,0.005646,3.69),(2695,845,0.005737,3.6901),(2695,855,0.005829,3.6902),(2695,865,0.005925,3.6903),(2695,875,0.00602,3.6904),(2695,885,0.006115,3.6905),(2695,895,0.006213,3.6906),(2695,905,0.006313,3.6907),(2695,915,0.006414,3.6908),(2695,925,0.006515,3.6909),(2695,935,0.006618,3.691),(2695,945,0.006725,3.6911),(2695,955,0.006831,3.6912),(2695,965,0.006938,3.6913),(2695,975,0.007047,3.6914),(2695,985,0.007161,3.6915),(2695,995,0.007274,3.6917),(2695,1005,0.007387,3.6918),(2695,1015,0.007504,3.6919),(2695,1025,0.007624,3.692),(2695,1035,0.007745,3.6922),(2695,1045,0.007865,3.6923),(2695,1055,0.00799,3.6924),(2695,1065,0.008119,3.6926),(2695,1075,0.008247,3.6927),(2695,1085,0.008376,3.6929),(2695,1095,0.008509,3.693),(2695,1105,0.008647,3.6931),(2695,1115,0.008784,3.6933),(2695,1125,0.008922,3.6934),(2695,1135,0.009065,3.6936),(2695,1145,0.009212,3.6938),(2695,1155,0.00936,3.6939),(2695,1165,0.009507,3.6941),(2695,1175,0.009661,3.6942),(2695,1185,0.00982,3.6944),(2695,1195,0.009978,3.6946),(2695,1205,0.010136,3.6947),(2695,1215,0.010303,3.6949),(2695,1225,0.010473,3.6951),(2695,1235,0.010643,3.6953),(2695,1245,0.010813,3.6955),(2695,1255,0.010993,3.6956),(2695,1265,0.011176,3.6958),(2695,1275,0.011359,3.696),(2695,1285,0.011542,3.6962),(2695,1295,0.011737,3.6964),(2695,1305,0.011934,3.6966),(2695,1315,0.012132,3.6968),(2695,1325,0.01233,3.697),(2695,1335,0.01254,3.6972),(2695,1345,0.012754,3.6974),(2695,1355,0.012967,3.6976),(2695,1365,0.013181,3.6979),(2695,1375,0.013409,3.6981),(2695,1385,0.01364,3.6983),(2695,1395,0.013871,3.6985),(2695,1405,0.014101,3.6988),(2695,1415,0.014349,3.699),(2695,1425,0.014598,3.6992),(2695,1435,0.014848,3.6995),(2695,1445,0.015097,3.6997),(2695,1455,0.015366,3.6999),(2695,1465,0.015637,3.7002),(2695,1475,0.015907,3.7004),(2695,1485,0.016177,3.7007),(2695,1495,0.016469,3.7009),(2695,1505,0.016762,3.7012),(2695,1515,0.017054,3.7015),(2695,1525,0.017348,3.7017),(2695,1535,0.017665,3.702),(2695,1545,0.017982,3.7023),(2695,1555,0.018299,3.7025),(2695,1565,0.018618,3.7028),(2695,1575,0.018962,3.7031),(2695,1585,0.019305,3.7034),(2695,1595,0.019649,3.7037),(2695,1605,0.019996,3.704),(2695,1615,0.020369,3.7042),(2695,1625,0.020741,3.7045),(2695,1635,0.021114,3.7048),(2695,1645,0.021491,3.7051),(2695,1655,0.021896,3.7054),(2695,1665,0.0223,3.7057),(2695,1675,0.022704,3.7061),(2695,1685,0.023115,3.7064),(2695,1695,0.023553,3.7067),(2695,1705,0.023991,3.707),(2695,1715,0.02443,3.7073),(2695,1725,0.024876,3.7076),(2695,1735,0.025351,3.708),(2695,1745,0.025827,3.7083),(2695,1755,0.026302,3.7086),(2695,1765,0.026788,3.7089),(2695,1775,0.027304,3.7093),(2695,1785,0.027819,3.7096),(2695,1795,0.028335,3.71),(2695,1805,0.028864,3.7103),(2695,1815,0.029423,3.7106),(2695,1825,0.029982,3.711),(2695,1835,0.030541,3.7113),(2695,1845,0.031116,3.7117),(2695,1855,0.031722,3.712),(2695,1865,0.032328,3.7124),(2695,1875,0.032934,3.7127),(2695,1885,0.033559,3.7131),(2695,1895,0.034216,3.7134),(2695,1905,0.034872,3.7138),(2695,1915,0.035529,3.7141),(2695,1925,0.036208,3.7145),(2695,1935,0.03692,3.7149),(2695,1945,0.037631,3.7152),(2695,1955,0.038342,3.7156),(2695,1965,0.03908,3.7159),(2695,1975,0.03985,3.7163),(2695,1985,0.04062,3.7167),(2695,1995,0.04139,3.717),(2695,2005,0.042192,3.7174),(2695,2015,0.043025,3.7177),(2695,2025,0.043858,3.7181),(2695,2035,0.044691,3.7184),(2695,2045,0.045561,3.7188),(2695,2055,0.046461,3.7191),(2695,2065,0.047362,3.7195),(2695,2075,0.048263,3.7198),(2695,2085,0.049206,3.7202),(2695,2095,0.050179,3.7205),(2695,2105,0.051152,3.7209),(2695,2115,0.052125,3.7212),(2695,2125,0.053145,3.7215),(2695,2135,0.054195,3.7218),(2695,2145,0.055245,3.7222),(2695,2155,0.056295,3.7225),(2695,2165,0.057399,3.7228),(2695,2175,0.058531,3.7231),(2695,2185,0.059662,3.7234),(2695,2195,0.060794,3.7237),(2695,2205,0.061986,3.724),(2695,2215,0.063204,3.7243),(2695,2225,0.064422,3.7245),(2695,2235,0.06564,3.7248),(2695,2245,0.066925,3.725),(2695,2255,0.068234,3.7253),(2695,2265,0.069543,3.7255),(2695,2275,0.070852,3.7257),(2695,2285,0.072235,3.726),(2695,2295,0.073639,3.7262),(2695,2305,0.075044,3.7264),(2695,2315,0.076448,3.7265),(2695,2325,0.077933,3.7267),(2695,2335,0.079437,3.7269),(2695,2345,0.08094,3.727),(2695,2355,0.082443,3.7271),(2695,2365,0.084035,3.7272),(2695,2375,0.085641,3.7273),(2695,2385,0.087247,3.7274),(2695,2395,0.088853,3.7274),(2695,2405,0.090553,3.7274),(2695,2415,0.092264,3.7275),(2695,2425,0.093975,3.7275),(2695,2435,0.095687,3.7274),(2695,2445,0.097498,3.7274),(2695,2455,0.099316,3.7273),(2695,2465,0.10113,3.7272),(2695,2475,0.10295,3.7271),(2695,2485,0.10488,3.7269),(2695,2495,0.1068,3.7268),(2695,2505,0.10873,3.7266),(2695,2515,0.11066,3.7263),(2695,2525,0.11269,3.7261),(2695,2535,0.11472,3.7259),(2695,2545,0.11676,3.7255),(2695,2555,0.1188,3.7251),(2695,2565,0.12093,3.7248),(2695,2575,0.12307,3.7244),(2695,2585,0.12521,3.7239),(2695,2595,0.12736,3.7234),(2695,2605,0.1296,3.7229),(2695,2615,0.13184,3.7224),(2695,2625,0.13408,3.7217),(2695,2635,0.13634,3.7211),(2695,2645,0.13867,3.7204),(2695,2655,0.14101,3.7198),(2695,2665,0.14335,3.7189),(2695,2675,0.1457,3.7181),(2695,2685,0.14813,3.7173),(2695,2695,0.15056,3.7165),(2695,2705,0.15298,3.7154),(2695,2715,0.15543,3.7144),(2695,2725,0.15794,3.7134),(2695,2735,0.16044,3.7124),(2695,2745,0.16295,3.7112),(2695,2755,0.16548,3.71),(2695,2765,0.16805,3.7088),(2695,2775,0.17063,3.7075),(2695,2785,0.1732,3.7061),(2695,2795,0.1758,3.7047),(2695,2805,0.17843,3.7033),(2695,2815,0.18106,3.7018),(2695,2825,0.18369,3.7001),(2695,2835,0.18634,3.6985),(2695,2845,0.18901,3.6969),(2695,2855,0.19168,3.6951),(2695,2865,0.19435,3.6932),(2695,2875,0.19703,3.6914),(2695,2885,0.19973,3.6895),(2695,2895,0.20242,3.6875),(2695,2905,0.20511,3.6853),(2695,2915,0.20781,3.6832),(2695,2925,0.2105,3.6811),(2695,2935,0.2132,3.6788),(2695,2945,0.2159,3.6764),(2695,2955,0.21858,3.674),(2695,2965,0.22126,3.6716),(2695,2975,0.22394,3.6691),(2695,2985,0.22661,3.6664),(2695,2995,0.22927,3.6638),(2695,3005,0.2319,3.6611),(2695,3015,0.23454,3.6583),(2695,3025,0.23717,3.6554),(2695,3035,0.23977,3.6524),(2695,3045,0.24234,3.6495),(2695,3055,0.24491,3.6464),(2695,3065,0.24748,3.6432),(2695,3075,0.25,3.64),(2695,3085,0.25247,3.6368),(2695,3095,0.25495,3.6334),(2695,3105,0.25742,3.63),(2695,3115,0.25983,3.6265),(2695,3125,0.26219,3.623),(2695,3135,0.26455,3.6194),(2695,3145,0.26691,3.6156),(2695,3155,0.26917,3.6119),(2695,3165,0.27139,3.6082),(2695,3175,0.2736,3.6043),(2695,3185,0.27581,3.6003),(2695,3195,0.27791,3.5963),(2695,3205,0.27996,3.5923),(2695,3215,0.282,3.5881),(2695,3225,0.28405,3.5839),(2695,3235,0.28595,3.5797),(2695,3245,0.2878,3.5754),(2695,3255,0.28965,3.5711),(2695,3265,0.2915,3.5666),(2695,3275,0.29318,3.5621),(2695,3285,0.29481,3.5577),(2695,3295,0.29644,3.5531),(2695,3305,0.29807,3.5484),(2695,3315,0.29951,3.5438),(2695,3325,0.3009,3.5391),(2695,3335,0.30229,3.5343),(2695,3345,0.30367,3.5295),(2695,3355,0.30484,3.5246),(2695,3365,0.30597,3.5198),(2695,3375,0.3071,3.5149),(2695,3385,0.30823,3.5099),(2695,3395,0.30911,3.5049),(2695,3405,0.30996,3.4999),(2695,3415,0.31081,3.4948),(2695,3425,0.31166,3.4897),(2695,3435,0.31224,3.4846),(2695,3445,0.3128,3.4795),(2695,3455,0.31336,3.4743),(2695,3465,0.31392,3.4691),(2695,3475,0.31418,3.4639),(2695,3485,0.31444,3.4587),(2695,3495,0.3147,3.4535),(2695,3505,0.31495,3.4482),(2695,3515,0.31491,3.443),(2695,3525,0.31486,3.4377),(2695,3535,0.31481,3.4325),(2695,3545,0.31475,3.4272),(2695,3555,0.31439,3.422),(2695,3565,0.31404,3.4167),(2695,3575,0.31368,3.4114),(2695,3585,0.3133,3.4062),(2695,3595,0.31265,3.4009),(2695,3605,0.31199,3.3957),(2695,3615,0.31133,3.3905),(2695,3625,0.31064,3.3853),(2695,3635,0.30969,3.3801),(2695,3645,0.30874,3.3749),(2695,3655,0.30779,3.3698),(2695,3665,0.3068,3.3647),(2695,3675,0.30557,3.3596),(2695,3685,0.30434,3.3545),(2695,3695,0.30311,3.3495),(2695,3705,0.30183,3.3445),(2695,3715,0.30034,3.3395),(2695,3725,0.29884,3.3345),(2695,3735,0.29735,3.3296),(2695,3745,0.2958,3.3248),(2695,3755,0.29407,3.3199),(2695,3765,0.29233,3.3151),(2695,3775,0.2906,3.3104),(2695,3785,0.2888,3.3057),(2695,3795,0.28684,3.3009),(2695,3805,0.28488,3.2963),(2695,3815,0.28292,3.2917),(2695,3825,0.2809,3.2872),(2695,3835,0.27874,3.2826),(2695,3845,0.27658,3.2782),(2695,3855,0.27442,3.2738),(2695,3865,0.2722,3.2694),(2695,3875,0.26985,3.2651),(2695,3885,0.26751,3.2608),(2695,3895,0.26516,3.2566),(2695,3905,0.29956,3.2524),(2695,3915,0.38882,3.2482),(2695,3925,0.47809,3.2421),(2695,3935,0.56736,3.2334),(2695,3945,0.66042,3.2247),(2695,3955,0.75829,3.2161),(2695,3965,0.85616,3.2052),(2695,3975,0.95403,3.1918),(2695,3985,1.0094,3.1784),(2695,3995,1.0189,3.1651),(2695,4005,1.0283,3.1516),(2695,4015,1.0378,3.138),(2695,4025,1.0483,3.1244),(2695,4035,1.059,3.1108),(2695,4045,1.0697,3.097),(2695,4055,1.0803,3.0832),(2695,4065,1.091,3.0694),(2695,4075,1.1016,3.0555),(2695,4085,1.1118,3.0415),(2695,4095,1.1217,3.0276),(2695,4105,1.1315,3.0134),(2695,4115,1.1006,2.9992),(2695,4125,1.0021,2.985),(2695,4135,0.90371,2.9737),(2695,4145,0.80383,2.9633),(2695,4155,0.6981,2.9528),(2695,4165,0.59237,2.9449),(2695,4175,0.49305,2.9387),(2695,4185,0.71087,2.9325),(2695,4195,0.9287,2.9227),(2695,4205,1.1465,2.908),(2695,4215,1.167,2.8934),(2695,4225,1.1503,2.8784),(2695,4235,1.1336,2.8627),(2695,4245,1.0837,2.8469),(2695,4255,1.017,2.8312),(2695,4265,0.95032,2.816),(2695,4275,0.81592,2.8007),(2695,4285,0.60969,2.7855),(2695,4295,0.40345,2.7794),(2695,4305,0.34336,2.7743),(2695,4315,0.61326,2.7693),(2695,4325,0.88316,2.7568),(2695,4335,1.1247,2.7414),(2695,4345,1.1745,2.726),(2695,4355,1.2242,2.71),(2695,4365,1.274,2.6936),(2695,4375,1.2883,2.6771),(2695,4385,1.3007,2.6608),(2695,4395,1.3131,2.6447),(2695,4405,1.1581,2.6285),(2695,4415,0.95356,2.6138),(2695,4425,0.74907,2.6054),(2695,4435,0.66614,2.597),(2695,4445,0.66628,2.5886),(2695,4455,0.66642,2.5793),(2695,4465,0.76202,2.57),(2695,4475,0.99174,2.5607),(2695,4485,1.2215,2.5462),(2695,4495,1.3987,2.5306),(2695,4505,1.4078,2.515),(2695,4515,1.4168,2.4997),(2695,4525,1.4227,2.4845),(2695,4535,1.3802,2.4693),(2695,4545,1.3376,2.4547),(2695,4555,1.2951,2.4407),(2695,4565,0.99282,2.4267),(2695,4575,0.65555,2.4159),(2695,4585,0.31828,2.4127),(2695,4595,0.40482,2.4096),(2695,4605,0.67044,2.4051),(2695,4615,0.93606,2.3897),(2695,4625,1.114,2.3743),(2695,4635,1.2126,2.359),(2695,4645,1.3112,2.3426),(2695,4655,1.3869,2.3262),(2695,4665,1.4194,2.3098),(2695,4675,1.452,2.2938),(2695,4685,1.4287,2.2778),(2695,4695,1.1292,2.2619),(2695,4705,0.82978,2.2516),(2695,4715,0.53034,2.2456),(2695,4725,0.68874,2.2396),(2695,4735,0.85172,2.2317),(2695,4745,1.0147,2.2212),(2695,4755,1.1798,2.2107),(2695,4765,1.3455,2.1992),(2695,4775,1.5111,2.1845),(2695,4785,1.5759,2.1698),(2695,4795,1.5825,2.1551),(2695,4805,1.589,2.1403),(2695,4815,1.5174,2.1256),(2695,4825,1.3522,2.1109),(2695,4835,1.187,2.1004),(2695,4845,1.0206,2.0905),(2695,4855,0.85126,2.0806),(2695,4865,0.68188,2.0742),(2695,4875,0.56487,2.0694),(2695,4885,0.92438,2.0646),(2695,4895,1.2839,2.0553),(2695,4905,1.6434,2.0417),(2695,4915,1.6632,2.0281),(2695,4925,1.6538,2.0143),(2695,4935,1.6444,2.0001),(2695,4945,1.573,1.9859),(2695,4955,1.4802,1.9716),(2695,4965,1.3874,1.9565),(2695,4975,1.1316,1.9415),(2695,4985,0.75019,1.9264),(2695,4995,0.36874,1.9246),(2695,5005,0.27929,1.923),(2695,5015,0.65405,1.9215),(2695,5025,1.0288,1.9131),(2695,5035,1.3521,1.903),(2695,5045,1.4791,1.8929),(2695,5055,1.6061,1.881),(2695,5065,1.7295,1.8682),(2695,5075,1.7344,1.8553),(2695,5085,1.7393,1.8425),(2695,5095,1.7442,1.8297),(2695,5105,1.5269,1.8169),(2695,5115,1.2709,1.8056),(2695,5125,1.0149,1.7987),(2695,5135,0.89018,1.7918),(2695,5145,0.82911,1.7851),(2695,5155,0.76804,1.7797),(2695,5165,0.90805,1.7743),(2695,5175,1.2532,1.7689),(2695,5185,1.5983,1.757),(2695,5195,1.8355,1.7444),(2695,5205,1.8403,1.7319),(2695,5215,1.845,1.7194),(2695,5225,1.84,1.707),(2695,5235,1.7739,1.6945),(2695,5245,1.7079,1.683),(2695,5255,1.6418,1.6722),(2695,5265,1.158,1.6615),(2695,5275,0.65685,1.6545),(2695,5285,0.15573,1.654),(2695,5295,0.43405,1.6534),(2695,5305,0.92942,1.65),(2695,5315,1.4248,1.6347),(2695,5325,1.6706,1.6193),(2695,5335,1.7528,1.604),(2695,5345,1.835,1.5906),(2695,5355,1.8869,1.5771),(2695,5365,1.8979,1.5637),(2695,5375,1.9088,1.5507),(2695,5385,1.8079,1.5378),(2695,5395,1.3668,1.5249),(2695,5405,0.92569,1.5182),(2695,5415,0.53359,1.5147),(2695,5425,0.79972,1.5112),(2695,5435,1.0658,1.5047),(2695,5445,1.332,1.4949),(2695,5455,1.5872,1.485),(2695,5465,1.8411,1.4735),(2695,5475,2.095,1.4583),(2695,5485,2.1729,1.4431),(2695,5495,2.1798,1.4279),(2695,5505,2.1868,1.4131),(2695,5515,2.1938,1.3983),(2695,5525,2.2007,1.3836),(2695,5535,2.2077,1.3692),(2695,5545,2.2144,1.3549),(2695,5555,2.2208,1.3405),(2695,5565,2.2272,1.3265),(2695,5575,2.2336,1.3126),(2695,5585,2.2395,1.2987),(2695,5595,2.2454,1.285),(2695,5605,2.2513,1.2715),(2695,5615,2.2568,1.258),(2695,5625,2.2622,1.2447),(2695,5635,2.2677,1.2315),(2695,5645,2.2728,1.2184),(2695,5655,2.2778,1.2054),(2695,5665,2.2828,1.1926),(2695,5675,2.2876,1.1798),(2695,5685,2.2922,1.1671),(2695,5695,2.2968,1.1547),(2695,5705,2.3013,1.1423),(2695,5715,2.3055,1.1299),(2695,5725,2.3098,1.1177),(2695,5735,2.3139,1.1056),(2695,5745,2.3178,1.0935),(2695,5755,2.3217,1.0816),(2695,5765,2.3256,1.0698),(2695,5775,2.3292,1.0579),(2695,5785,2.3328,1.0463),(2695,5795,2.3364,1.0348),(2695,5805,2.3397,1.0233),(2695,5815,2.343,1.0118),(2695,5825,2.3462,1.0006),(2695,5835,2.3493,0.98931),(2695,5845,2.3523,0.9781),(2695,5855,2.3554,0.96709),(2695,5865,2.3582,0.95609),(2695,5875,2.361,0.94508),(2695,5885,2.3637,0.93432),(2695,5895,2.3664,0.92356),(2695,5905,2.3689,0.9128),(2695,5915,2.3715,0.90224),(2695,5925,2.3739,0.89174),(2695,5935,2.3762,0.88123),(2695,5945,2.3785,0.87086),(2695,5955,2.3808,0.86058),(2695,5965,2.3829,0.85031),(2695,5975,2.3851,0.84012),(2695,5985,2.3872,0.83006),(2695,5995,1.8255,0.81999),(2695,6005,1.1731,0.8123),(2695,6015,0.52063,0.81095),(2695,6025,0.62102,0.80961),(2695,6035,1.0706,0.80735),(2695,6045,1.5201,0.79623),(2695,6055,1.8351,0.7851),(2695,6065,2.018,0.77398),(2695,6075,2.2009,0.75958),(2695,6085,2.3254,0.74487),(2695,6095,2.3294,0.73016),(2695,6105,2.3334,0.71545),(2695,6115,2.3374,0.70075),(2695,6125,2.3412,0.68605),(2695,6135,2.345,0.67142),(2695,6145,2.3487,0.65684),(2695,6155,2.3522,0.64227),(2695,6165,2.3557,0.62777),(2695,6175,2.3592,0.61341),(2695,6185,2.3625,0.59905),(2695,6195,2.3657,0.5847),(2695,6205,2.369,0.57036),(2695,6215,2.372,0.55602),(2695,6225,2.375,0.54168),(2695,6235,2.378,0.52737),(2695,6245,2.3808,0.51307),(2695,6255,2.3836,0.49876),(2695,6265,2.3863,0.48455),(2695,6275,2.3889,0.47036),(2695,6285,2.3914,0.45617),(2695,6295,2.3938,0.44206),(2695,6305,2.3962,0.42799),(2695,6315,2.3984,0.41392),(2695,6325,2.4006,0.39986),(2695,6335,2.4029,0.38582),(2695,6345,2.4048,0.37177),(2695,6355,2.4068,0.35774),(2695,6365,2.4088,0.34374),(2695,6375,2.4106,0.32973),(2695,6385,2.4123,0.31573),(2695,6395,2.414,0.30175),(2695,6405,2.4156,0.28778),(2695,6415,2.4171,0.2738),(2695,6425,2.4186,0.25993),(2695,6435,2.42,0.24606),(2695,6445,2.4212,0.23219),(2695,6455,2.4225,0.21834),(2695,6465,2.4237,0.20451),(2695,6475,2.4247,0.19067),(2695,6485,2.4257,0.17684),(2695,6495,2.4267,0.16303),(2695,6505,2.4274,0.14921),(2695,6515,2.4282,0.13541),(2695,6525,2.4289,0.12163),(2695,6535,2.4295,0.10785),(2695,6545,2.43,0.09407),(2695,6555,2.4306,0.080261),(2695,6565,2.4309,0.066452),(2695,6575,2.4312,0.052648),(2695,6585,2.4314,0.038921),(2695,6595,2.0681,0.025194),(2695,6605,1.3034,0.011467),(2695,6615,0.53876,0.009885),(2695,6625,0.001202,0.009864),(2695,6635,0.001201,0.009842),(2695,6645,0.0012,0.009828),(2695,6655,0.001199,0.009817),(2695,6665,0.001199,0.009805),(2695,6675,0.001198,0.009794),(2695,6685,0.001197,0.009783),(2695,6695,0.001197,0.009772),(2695,6705,0.001196,0.009761),(2695,6715,0.001196,0.00975),(2695,6725,0.001195,0.009739),(2695,6735,0.001194,0.009728),(2695,6745,0.001194,0.009718),(2695,6755,0.001193,0.009707),(2695,6765,0.001193,0.009697),(2695,6775,0.001192,0.009686),(2695,6785,0.001192,0.009675),(2695,6795,0.001191,0.009665),(2695,6805,0.00119,0.009654),(2695,6815,0.00119,0.009644),(2695,6825,0.00119,0.009633),(2695,6835,0.001189,0.009623),(2695,6845,0.001189,0.009613),(2695,6855,0.001188,0.009602),(2695,6865,0.001188,0.009592),(2695,6875,0.001187,0.009582),(2695,6885,0.001187,0.009572),(2695,6895,0.001187,0.009561),(2695,6905,0.001186,0.009551),(2695,6915,0.001186,0.009541),(2695,6925,0.001185,0.009531),(2695,6935,0.001185,0.009521),(2695,6945,0.001185,0.009511),(2695,6955,0.001184,0.009501),(2695,6965,0.001184,0.009491),(2695,6975,0.001184,0.009481),(2695,6985,0.001184,0.009471),(2705,5,2.9e-05,3.6869),(2705,15,8.7e-05,3.6869),(2705,25,0.000145,3.6869),(2705,35,0.000202,3.6869),(2705,45,0.00026,3.6869),(2705,55,0.000318,3.6869),(2705,65,0.000376,3.6869),(2705,75,0.000434,3.6869),(2705,85,0.000492,3.6869),(2705,95,0.00055,3.687),(2705,105,0.000608,3.687),(2705,115,0.000666,3.687),(2705,125,0.000724,3.687),(2705,135,0.000782,3.687),(2705,145,0.00084,3.687),(2705,155,0.000899,3.687),(2705,165,0.000957,3.687),(2705,175,0.001016,3.687),(2705,185,0.001074,3.687),(2705,195,0.001133,3.6871),(2705,205,0.001192,3.6871),(2705,215,0.001251,3.6871),(2705,225,0.00131,3.6871),(2705,235,0.001369,3.6871),(2705,245,0.001428,3.6871),(2705,255,0.001487,3.6872),(2705,265,0.001547,3.6872),(2705,275,0.001607,3.6872),(2705,285,0.001667,3.6872),(2705,295,0.001726,3.6872),(2705,305,0.001787,3.6873),(2705,315,0.001847,3.6873),(2705,325,0.001908,3.6873),(2705,335,0.001968,3.6873),(2705,345,0.00203,3.6874),(2705,355,0.002091,3.6874),(2705,365,0.002152,3.6874),(2705,375,0.002214,3.6875),(2705,385,0.002276,3.6875),(2705,395,0.002338,3.6875),(2705,405,0.002401,3.6875),(2705,415,0.002463,3.6876),(2705,425,0.002527,3.6876),(2705,435,0.00259,3.6876),(2705,445,0.002653,3.6877),(2705,455,0.002717,3.6877),(2705,465,0.002781,3.6878),(2705,475,0.002846,3.6878),(2705,485,0.00291,3.6878),(2705,495,0.002975,3.6879),(2705,505,0.003041,3.6879),(2705,515,0.003107,3.688),(2705,525,0.003174,3.688),(2705,535,0.00324,3.6881),(2705,545,0.003308,3.6881),(2705,555,0.003376,3.6882),(2705,565,0.003444,3.6882),(2705,575,0.003512,3.6883),(2705,585,0.003582,3.6883),(2705,595,0.003652,3.6884),(2705,605,0.003722,3.6884),(2705,615,0.003792,3.6885),(2705,625,0.003865,3.6885),(2705,635,0.003937,3.6886),(2705,645,0.004009,3.6886),(2705,655,0.004081,3.6887),(2705,665,0.004156,3.6888),(2705,675,0.004231,3.6888),(2705,685,0.004305,3.6889),(2705,695,0.00438,3.689),(2705,705,0.004458,3.689),(2705,715,0.004536,3.6891),(2705,725,0.004613,3.6892),(2705,735,0.004692,3.6893),(2705,745,0.004772,3.6893),(2705,755,0.004853,3.6894),(2705,765,0.004934,3.6895),(2705,775,0.005016,3.6896),(2705,785,0.0051,3.6896),(2705,795,0.005185,3.6897),(2705,805,0.005269,3.6898),(2705,815,0.005355,3.6899),(2705,825,0.005444,3.69),(2705,835,0.005533,3.6901),(2705,845,0.005621,3.6902),(2705,855,0.005711,3.6903),(2705,865,0.005804,3.6904),(2705,875,0.005898,3.6905),(2705,885,0.005991,3.6906),(2705,895,0.006086,3.6907),(2705,905,0.006184,3.6908),(2705,915,0.006282,3.6909),(2705,925,0.006381,3.691),(2705,935,0.006482,3.6911),(2705,945,0.006586,3.6912),(2705,955,0.00669,3.6913),(2705,965,0.006794,3.6914),(2705,975,0.006901,3.6915),(2705,985,0.007012,3.6917),(2705,995,0.007122,3.6918),(2705,1005,0.007233,3.6919),(2705,1015,0.007347,3.692),(2705,1025,0.007465,3.6922),(2705,1035,0.007583,3.6923),(2705,1045,0.0077,3.6924),(2705,1055,0.007822,3.6926),(2705,1065,0.007948,3.6927),(2705,1075,0.008074,3.6928),(2705,1085,0.008199,3.693),(2705,1095,0.00833,3.6931),(2705,1105,0.008465,3.6933),(2705,1115,0.008599,3.6934),(2705,1125,0.008733,3.6936),(2705,1135,0.008874,3.6937),(2705,1145,0.009018,3.6939),(2705,1155,0.009162,3.6941),(2705,1165,0.009307,3.6942),(2705,1175,0.009458,3.6944),(2705,1185,0.009613,3.6946),(2705,1195,0.009768,3.6947),(2705,1205,0.009923,3.6949),(2705,1215,0.010086,3.6951),(2705,1225,0.010253,3.6953),(2705,1235,0.01042,3.6954),(2705,1245,0.010586,3.6956),(2705,1255,0.010763,3.6958),(2705,1265,0.010943,3.696),(2705,1275,0.011122,3.6962),(2705,1285,0.011302,3.6964),(2705,1295,0.011493,3.6966),(2705,1305,0.011687,3.6968),(2705,1315,0.011881,3.697),(2705,1325,0.012075,3.6972),(2705,1335,0.012282,3.6974),(2705,1345,0.012492,3.6976),(2705,1355,0.012702,3.6979),(2705,1365,0.012911,3.6981),(2705,1375,0.013136,3.6983),(2705,1385,0.013363,3.6985),(2705,1395,0.01359,3.6988),(2705,1405,0.013816,3.699),(2705,1415,0.01406,3.6992),(2705,1425,0.014306,3.6995),(2705,1435,0.014551,3.6997),(2705,1445,0.014797,3.7),(2705,1455,0.015062,3.7002),(2705,1465,0.015328,3.7004),(2705,1475,0.015594,3.7007),(2705,1485,0.01586,3.701),(2705,1495,0.016148,3.7012),(2705,1505,0.016437,3.7015),(2705,1515,0.016725,3.7018),(2705,1525,0.017014,3.702),(2705,1535,0.017327,3.7023),(2705,1545,0.01764,3.7026),(2705,1555,0.017953,3.7029),(2705,1565,0.018268,3.7031),(2705,1575,0.018607,3.7034),(2705,1585,0.018947,3.7037),(2705,1595,0.019286,3.704),(2705,1605,0.019629,3.7043),(2705,1615,0.019997,3.7046),(2705,1625,0.020365,3.7049),(2705,1635,0.020734,3.7052),(2705,1645,0.021107,3.7055),(2705,1655,0.021507,3.7058),(2705,1665,0.021907,3.7061),(2705,1675,0.022307,3.7065),(2705,1685,0.022713,3.7068),(2705,1695,0.023147,3.7071),(2705,1705,0.023581,3.7074),(2705,1715,0.024015,3.7078),(2705,1725,0.024457,3.7081),(2705,1735,0.024928,3.7084),(2705,1745,0.0254,3.7088),(2705,1755,0.025871,3.7091),(2705,1765,0.026352,3.7094),(2705,1775,0.026864,3.7098),(2705,1785,0.027375,3.7101),(2705,1795,0.027887,3.7105),(2705,1805,0.028411,3.7108),(2705,1815,0.028967,3.7112),(2705,1825,0.029522,3.7115),(2705,1835,0.030077,3.7119),(2705,1845,0.030648,3.7123),(2705,1855,0.03125,3.7126),(2705,1865,0.031852,3.713),(2705,1875,0.032454,3.7133),(2705,1885,0.033076,3.7137),(2705,1895,0.033729,3.7141),(2705,1905,0.034382,3.7144),(2705,1915,0.035035,3.7148),(2705,1925,0.035712,3.7152),(2705,1935,0.03642,3.7156),(2705,1945,0.037128,3.7159),(2705,1955,0.037836,3.7163),(2705,1965,0.038571,3.7167),(2705,1975,0.039339,3.7171),(2705,1985,0.040106,3.7174),(2705,1995,0.040873,3.7178),(2705,2005,0.041673,3.7182),(2705,2015,0.042504,3.7185),(2705,2025,0.043335,3.7189),(2705,2035,0.044166,3.7193),(2705,2045,0.045034,3.7197),(2705,2055,0.045933,3.72),(2705,2065,0.046833,3.7204),(2705,2075,0.047732,3.7208),(2705,2085,0.048674,3.7211),(2705,2095,0.049647,3.7215),(2705,2105,0.050619,3.7218),(2705,2115,0.051592,3.7222),(2705,2125,0.052613,3.7225),(2705,2135,0.053663,3.7229),(2705,2145,0.054714,3.7232),(2705,2155,0.055764,3.7236),(2705,2165,0.05687,3.7239),(2705,2175,0.058003,3.7242),(2705,2185,0.059136,3.7245),(2705,2195,0.06027,3.7249),(2705,2205,0.061465,3.7252),(2705,2215,0.062686,3.7255),(2705,2225,0.063907,3.7258),(2705,2235,0.065128,3.726),(2705,2245,0.066418,3.7263),(2705,2255,0.067731,3.7266),(2705,2265,0.069045,3.7269),(2705,2275,0.070359,3.7271),(2705,2285,0.071748,3.7273),(2705,2295,0.073159,3.7276),(2705,2305,0.074569,3.7278),(2705,2315,0.07598,3.728),(2705,2325,0.077474,3.7282),(2705,2335,0.078986,3.7284),(2705,2345,0.080498,3.7285),(2705,2355,0.08201,3.7287),(2705,2365,0.083612,3.7288),(2705,2375,0.085229,3.7289),(2705,2385,0.086845,3.729),(2705,2395,0.088462,3.7291),(2705,2405,0.090176,3.7291),(2705,2415,0.0919,3.7292),(2705,2425,0.093625,3.7292),(2705,2435,0.09535,3.7292),(2705,2445,0.097177,3.7292),(2705,2455,0.099011,3.7292),(2705,2465,0.10085,3.7291),(2705,2475,0.10268,3.729),(2705,2485,0.10462,3.7289),(2705,2495,0.10657,3.7288),(2705,2505,0.10851,3.7286),(2705,2515,0.11046,3.7283),(2705,2525,0.11251,3.7281),(2705,2535,0.11457,3.7279),(2705,2545,0.11663,3.7276),(2705,2555,0.11869,3.7273),(2705,2565,0.12085,3.7269),(2705,2575,0.12302,3.7266),(2705,2585,0.12518,3.7261),(2705,2595,0.12736,3.7256),(2705,2605,0.12963,3.7252),(2705,2615,0.13189,3.7247),(2705,2625,0.13416,3.7241),(2705,2635,0.13645,3.7234),(2705,2645,0.13882,3.7228),(2705,2655,0.14119,3.7222),(2705,2665,0.14356,3.7214),(2705,2675,0.14594,3.7206),(2705,2685,0.14841,3.7198),(2705,2695,0.15087,3.7189),(2705,2705,0.15333,3.718),(2705,2715,0.15581,3.717),(2705,2725,0.15836,3.716),(2705,2735,0.16091,3.715),(2705,2745,0.16346,3.7138),(2705,2755,0.16602,3.7126),(2705,2765,0.16864,3.7114),(2705,2775,0.17126,3.7102),(2705,2785,0.17388,3.7088),(2705,2795,0.17651,3.7074),(2705,2805,0.17919,3.706),(2705,2815,0.18187,3.7045),(2705,2825,0.18455,3.7029),(2705,2835,0.18724,3.7012),(2705,2845,0.18996,3.6996),(2705,2855,0.19268,3.6979),(2705,2865,0.1954,3.696),(2705,2875,0.19813,3.6941),(2705,2885,0.20087,3.6922),(2705,2895,0.20362,3.6903),(2705,2905,0.20636,3.6881),(2705,2915,0.20911,3.686),(2705,2925,0.21186,3.6839),(2705,2935,0.21461,3.6816),(2705,2945,0.21736,3.6792),(2705,2955,0.2201,3.6768),(2705,2965,0.22283,3.6744),(2705,2975,0.22556,3.6719),(2705,2985,0.2283,3.6692),(2705,2995,0.23101,3.6665),(2705,3005,0.2337,3.6638),(2705,3015,0.23639,3.661),(2705,3025,0.23908,3.6581),(2705,3035,0.24174,3.6551),(2705,3045,0.24436,3.6522),(2705,3055,0.24699,3.6491),(2705,3065,0.24961,3.6458),(2705,3075,0.25218,3.6426),(2705,3085,0.25472,3.6394),(2705,3095,0.25725,3.636),(2705,3105,0.25978,3.6325),(2705,3115,0.26224,3.629),(2705,3125,0.26466,3.6255),(2705,3135,0.26707,3.6218),(2705,3145,0.26948,3.618),(2705,3155,0.2718,3.6143),(2705,3165,0.27407,3.6105),(2705,3175,0.27634,3.6065),(2705,3185,0.27861,3.6025),(2705,3195,0.28076,3.5985),(2705,3205,0.28285,3.5944),(2705,3215,0.28495,3.5902),(2705,3225,0.28704,3.5859),(2705,3235,0.28899,3.5817),(2705,3245,0.29089,3.5774),(2705,3255,0.29279,3.5729),(2705,3265,0.29468,3.5684),(2705,3275,0.29641,3.5639),(2705,3285,0.29808,3.5594),(2705,3295,0.29976,3.5547),(2705,3305,0.30143,3.55),(2705,3315,0.30291,3.5453),(2705,3325,0.30433,3.5406),(2705,3335,0.30576,3.5357),(2705,3345,0.30719,3.5308),(2705,3355,0.30839,3.5259),(2705,3365,0.30955,3.521),(2705,3375,0.31071,3.516),(2705,3385,0.31187,3.5109),(2705,3395,0.31278,3.5059),(2705,3405,0.31366,3.5008),(2705,3415,0.31453,3.4956),(2705,3425,0.31541,3.4904),(2705,3435,0.31601,3.4853),(2705,3445,0.31659,3.4801),(2705,3455,0.31717,3.4748),(2705,3465,0.31774,3.4695),(2705,3475,0.31802,3.4643),(2705,3485,0.31829,3.459),(2705,3495,0.31856,3.4537),(2705,3505,0.31883,3.4484),(2705,3515,0.31879,3.443),(2705,3525,0.31875,3.4377),(2705,3535,0.3187,3.4324),(2705,3545,0.31864,3.427),(2705,3555,0.31829,3.4217),(2705,3565,0.31793,3.4163),(2705,3575,0.31757,3.411),(2705,3585,0.31719,3.4057),(2705,3595,0.31652,3.4003),(2705,3605,0.31586,3.395),(2705,3615,0.31519,3.3898),(2705,3625,0.31449,3.3845),(2705,3635,0.31352,3.3792),(2705,3645,0.31256,3.3739),(2705,3655,0.31159,3.3688),(2705,3665,0.31058,3.3636),(2705,3675,0.30933,3.3584),(2705,3685,0.30808,3.3532),(2705,3695,0.30683,3.3481),(2705,3705,0.30552,3.3431),(2705,3715,0.30401,3.338),(2705,3725,0.30249,3.333),(2705,3735,0.30097,3.328),(2705,3745,0.29939,3.3231),(2705,3755,0.29763,3.3182),(2705,3765,0.29586,3.3133),(2705,3775,0.2941,3.3085),(2705,3785,0.29227,3.3037),(2705,3795,0.29028,3.299),(2705,3805,0.28829,3.2943),(2705,3815,0.28629,3.2897),(2705,3825,0.28424,3.2851),(2705,3835,0.28205,3.2805),(2705,3845,0.27985,3.2759),(2705,3855,0.27766,3.2715),(2705,3865,0.2754,3.2671),(2705,3875,0.27302,3.2627),(2705,3885,0.27064,3.2583),(2705,3895,0.26826,3.2541),(2705,3905,0.30295,3.2499),(2705,3915,0.39299,3.2456),(2705,3925,0.48303,3.2395),(2705,3935,0.57307,3.2308),(2705,3945,0.66691,3.222),(2705,3955,0.76557,3.2133),(2705,3965,0.86423,3.2023),(2705,3975,0.9629,3.1889),(2705,3985,1.0187,3.1754),(2705,3995,1.0282,3.162),(2705,4005,1.0377,3.1484),(2705,4015,1.0471,3.1348),(2705,4025,1.0577,3.1212),(2705,4035,1.0684,3.1075),(2705,4045,1.0791,3.0937),(2705,4055,1.0897,3.0799),(2705,4065,1.1004,3.066),(2705,4075,1.1111,3.052),(2705,4085,1.1213,3.038),(2705,4095,1.1312,3.024),(2705,4105,1.141,3.0097),(2705,4115,1.1098,2.9955),(2705,4125,1.0106,2.9812),(2705,4135,0.91137,2.9698),(2705,4145,0.81068,2.9592),(2705,4155,0.70406,2.9487),(2705,4165,0.59743,2.9407),(2705,4175,0.49726,2.9345),(2705,4185,0.71684,2.9282),(2705,4195,0.93641,2.9184),(2705,4205,1.156,2.9036),(2705,4215,1.177,2.8889),(2705,4225,1.1607,2.8739),(2705,4235,1.1444,2.858),(2705,4245,1.0947,2.8422),(2705,4255,1.0281,2.8263),(2705,4265,0.96151,2.811),(2705,4275,0.82604,2.7956),(2705,4285,0.61749,2.7802),(2705,4295,0.40894,2.774),(2705,4305,0.3479,2.7689),(2705,4315,0.61994,2.7638),(2705,4325,0.89198,2.7512),(2705,4335,1.1354,2.7357),(2705,4345,1.1853,2.7201),(2705,4355,1.2352,2.704),(2705,4365,1.2851,2.6875),(2705,4375,1.2992,2.6709),(2705,4385,1.3116,2.6545),(2705,4395,1.3239,2.6383),(2705,4405,1.1675,2.6221),(2705,4415,0.96145,2.6073),(2705,4425,0.75536,2.5989),(2705,4435,0.67195,2.5905),(2705,4445,0.67238,2.5822),(2705,4455,0.6728,2.573),(2705,4465,0.76901,2.5639),(2705,4475,0.99979,2.5547),(2705,4485,1.2306,2.5402),(2705,4495,1.4086,2.5246),(2705,4505,1.4174,2.509),(2705,4515,1.4262,2.4936),(2705,4525,1.432,2.4784),(2705,4535,1.3892,2.4631),(2705,4545,1.3465,2.4484),(2705,4555,1.3037,2.4341),(2705,4565,0.99965,2.4198),(2705,4575,0.66036,2.4088),(2705,4585,0.32108,2.4056),(2705,4595,0.40894,2.4024),(2705,4605,0.67727,2.3978),(2705,4615,0.9456,2.3823),(2705,4625,1.1248,2.3668),(2705,4635,1.2234,2.3514),(2705,4645,1.3219,2.3349),(2705,4655,1.3975,2.3185),(2705,4665,1.4298,2.302),(2705,4675,1.4621,2.2858),(2705,4685,1.4382,2.2698),(2705,4695,1.1369,2.2539),(2705,4705,0.83555,2.2436),(2705,4715,0.53423,2.2375),(2705,4725,0.69334,2.2315),(2705,4735,0.85707,2.2236),(2705,4745,1.0208,2.2131),(2705,4755,1.1866,2.2025),(2705,4765,1.3529,2.1911),(2705,4775,1.5192,2.1763),(2705,4785,1.5842,2.1615),(2705,4795,1.5907,2.1467),(2705,4805,1.5973,2.132),(2705,4815,1.5252,2.1172),(2705,4825,1.3592,2.1025),(2705,4835,1.1931,2.0919),(2705,4845,1.0259,2.0819),(2705,4855,0.85563,2.072),(2705,4865,0.68535,2.0656),(2705,4875,0.56767,2.0608),(2705,4885,0.92847,2.056),(2705,4895,1.2893,2.0467),(2705,4905,1.6501,2.0331),(2705,4915,1.6702,2.0195),(2705,4925,1.661,2.0057),(2705,4935,1.6518,1.9915),(2705,4945,1.5809,1.9773),(2705,4955,1.4887,1.9629),(2705,4965,1.3965,1.9478),(2705,4975,1.1396,1.9327),(2705,4985,0.75545,1.9175),(2705,4995,0.37135,1.9156),(2705,5005,0.28072,1.9141),(2705,5015,0.65666,1.9125),(2705,5025,1.0326,1.9041),(2705,5035,1.3569,1.894),(2705,5045,1.4842,1.8839),(2705,5055,1.6116,1.872),(2705,5065,1.7353,1.8591),(2705,5075,1.7402,1.8462),(2705,5085,1.745,1.8334),(2705,5095,1.7499,1.8205),(2705,5105,1.5319,1.8077),(2705,5115,1.2751,1.7965),(2705,5125,1.0183,1.7896),(2705,5135,0.89314,1.7827),(2705,5145,0.83184,1.7759),(2705,5155,0.77054,1.7705),(2705,5165,0.91087,1.7651),(2705,5175,1.2568,1.7598),(2705,5185,1.6028,1.7478),(2705,5195,1.8407,1.7353),(2705,5205,1.8454,1.7227),(2705,5215,1.85,1.7102),(2705,5225,1.8449,1.6978),(2705,5235,1.7786,1.6854),(2705,5245,1.7123,1.6738),(2705,5255,1.646,1.6631),(2705,5265,1.161,1.6523),(2705,5275,0.65864,1.6453),(2705,5285,0.15632,1.6448),(2705,5295,0.43643,1.6443),(2705,5305,0.93442,1.6409),(2705,5315,1.4324,1.6255),(2705,5325,1.6787,1.6102),(2705,5335,1.76,1.5948),(2705,5345,1.8414,1.5814),(2705,5355,1.8926,1.568),(2705,5365,1.9034,1.5546),(2705,5375,1.9141,1.5416),(2705,5385,1.8127,1.5287),(2705,5395,1.3705,1.5159),(2705,5405,0.9282,1.5092),(2705,5415,0.53508,1.5057),(2705,5425,0.80214,1.5022),(2705,5435,1.0692,1.4957),(2705,5445,1.3363,1.4859),(2705,5455,1.5922,1.4761),(2705,5465,1.8468,1.4647),(2705,5475,2.1013,1.4496),(2705,5485,2.1793,1.4344),(2705,5495,2.1861,1.4194),(2705,5505,2.1929,1.4047),(2705,5515,2.1997,1.39),(2705,5525,2.2065,1.3753),(2705,5535,2.2132,1.3611),(2705,5545,2.2198,1.3468),(2705,5555,2.2261,1.3326),(2705,5565,2.2324,1.3187),(2705,5575,2.2385,1.3049),(2705,5585,2.2443,1.2911),(2705,5595,2.2501,1.2775),(2705,5605,2.2558,1.264),(2705,5615,2.2612,1.2506),(2705,5625,2.2665,1.2374),(2705,5635,2.2718,1.2243),(2705,5645,2.2768,1.2113),(2705,5655,2.2817,1.1983),(2705,5665,2.2866,1.1856),(2705,5675,2.2912,1.173),(2705,5685,2.2957,1.1603),(2705,5695,2.3002,1.148),(2705,5705,2.3045,1.1356),(2705,5715,2.3087,1.1233),(2705,5725,2.3128,1.1112),(2705,5735,2.3169,1.0992),(2705,5745,2.3207,1.0872),(2705,5755,2.3245,1.0753),(2705,5765,2.3282,1.0636),(2705,5775,2.3317,1.0519),(2705,5785,2.3352,1.0403),(2705,5795,2.3387,1.0289),(2705,5805,2.3419,1.0174),(2705,5815,2.3451,1.0061),(2705,5825,2.3483,0.99489),(2705,5835,2.3513,0.98371),(2705,5845,2.3542,0.97258),(2705,5855,2.3571,0.96164),(2705,5865,2.3599,0.95071),(2705,5875,2.3626,0.93978),(2705,5885,2.3653,0.92909),(2705,5895,2.3678,0.91841),(2705,5905,2.3703,0.90773),(2705,5915,2.3727,0.89725),(2705,5925,2.3751,0.88681),(2705,5935,2.3773,0.87637),(2705,5945,2.3795,0.86608),(2705,5955,2.3817,0.85587),(2705,5965,2.3838,0.84567),(2705,5975,2.3859,0.83555),(2705,5985,2.388,0.82555),(2705,5995,1.8261,0.81555),(2705,6005,1.1734,0.80791),(2705,6015,0.52081,0.80658),(2705,6025,0.62212,0.80525),(2705,6035,1.0731,0.803),(2705,6045,1.5241,0.79193),(2705,6055,1.84,0.78086),(2705,6065,2.0233,0.76979),(2705,6075,2.2067,0.75546),(2705,6085,2.3315,0.74082),(2705,6095,2.3355,0.72619),(2705,6105,2.3394,0.71156),(2705,6115,2.3434,0.69693),(2705,6125,2.3471,0.6823),(2705,6135,2.3508,0.66774),(2705,6145,2.3546,0.65324),(2705,6155,2.358,0.63874),(2705,6165,2.3615,0.62432),(2705,6175,2.3649,0.61004),(2705,6185,2.3682,0.59575),(2705,6195,2.3714,0.58147),(2705,6205,2.3746,0.56721),(2705,6215,2.3776,0.55295),(2705,6225,2.3805,0.53869),(2705,6235,2.3835,0.52446),(2705,6245,2.3863,0.51023),(2705,6255,2.389,0.496),(2705,6265,2.3917,0.48188),(2705,6275,2.3943,0.46776),(2705,6285,2.3967,0.45365),(2705,6295,2.3991,0.43961),(2705,6305,2.4015,0.42561),(2705,6315,2.4037,0.4116),(2705,6325,2.4059,0.39762),(2705,6335,2.408,0.38366),(2705,6345,2.41,0.3697),(2705,6355,2.4119,0.35575),(2705,6365,2.4139,0.34183),(2705,6375,2.4156,0.32791),(2705,6385,2.4173,0.31399),(2705,6395,2.4191,0.3001),(2705,6405,2.4206,0.2862),(2705,6415,2.4221,0.27231),(2705,6425,2.4236,0.25851),(2705,6435,2.425,0.24472),(2705,6445,2.4262,0.23093),(2705,6455,2.4274,0.21716),(2705,6465,2.4286,0.2034),(2705,6475,2.4296,0.18964),(2705,6485,2.4306,0.17589),(2705,6495,2.4316,0.16215),(2705,6505,2.4323,0.14841),(2705,6515,2.4331,0.13469),(2705,6525,2.4339,0.12099),(2705,6535,2.4344,0.10729),(2705,6545,2.4349,0.093591),(2705,6555,2.4355,0.07987),(2705,6565,2.4358,0.06615),(2705,6575,2.436,0.052433),(2705,6585,2.4363,0.038768),(2705,6595,2.0723,0.025104),(2705,6605,1.3061,0.011439),(2705,6615,0.53984,0.00987),(2705,6625,0.001208,0.009855),(2705,6635,0.001208,0.00984),(2705,6645,0.001207,0.009827),(2705,6655,0.001206,0.009816),(2705,6665,0.001205,0.009805),(2705,6675,0.001205,0.009793),(2705,6685,0.001204,0.009782),(2705,6695,0.001203,0.009771),(2705,6705,0.001203,0.00976),(2705,6715,0.001202,0.009749),(2705,6725,0.001201,0.009739),(2705,6735,0.001201,0.009728),(2705,6745,0.0012,0.009717),(2705,6755,0.0012,0.009706),(2705,6765,0.001199,0.009696),(2705,6775,0.001198,0.009685),(2705,6785,0.001198,0.009675),(2705,6795,0.001197,0.009664),(2705,6805,0.001197,0.009654),(2705,6815,0.001196,0.009643),(2705,6825,0.001195,0.009633),(2705,6835,0.001195,0.009623),(2705,6845,0.001195,0.009612),(2705,6855,0.001194,0.009602),(2705,6865,0.001194,0.009592),(2705,6875,0.001193,0.009581),(2705,6885,0.001193,0.009571),(2705,6895,0.001192,0.009561),(2705,6905,0.001192,0.009551),(2705,6915,0.001192,0.009541),(2705,6925,0.001191,0.009531),(2705,6935,0.001191,0.009521),(2705,6945,0.00119,0.009511),(2705,6955,0.00119,0.009501),(2705,6965,0.00119,0.009491),(2705,6975,0.001189,0.009481),(2705,6985,0.001189,0.009471),(2715,5,2.8e-05,3.687),(2715,15,8.5e-05,3.687),(2715,25,0.000142,3.687),(2715,35,0.000199,3.687),(2715,45,0.000256,3.687),(2715,55,0.000313,3.687),(2715,65,0.000369,3.687),(2715,75,0.000426,3.687),(2715,85,0.000483,3.687),(2715,95,0.00054,3.687),(2715,105,0.000597,3.687),(2715,115,0.000654,3.687),(2715,125,0.000712,3.687),(2715,135,0.000769,3.687),(2715,145,0.000826,3.6871),(2715,155,0.000883,3.6871),(2715,165,0.000941,3.6871),(2715,175,0.000998,3.6871),(2715,185,0.001056,3.6871),(2715,195,0.001114,3.6871),(2715,205,0.001172,3.6871),(2715,215,0.001229,3.6871),(2715,225,0.001287,3.6872),(2715,235,0.001345,3.6872),(2715,245,0.001404,3.6872),(2715,255,0.001462,3.6872),(2715,265,0.00152,3.6872),(2715,275,0.001579,3.6873),(2715,285,0.001638,3.6873),(2715,295,0.001696,3.6873),(2715,305,0.001755,3.6873),(2715,315,0.001815,3.6873),(2715,325,0.001874,3.6874),(2715,335,0.001934,3.6874),(2715,345,0.001994,3.6874),(2715,355,0.002054,3.6875),(2715,365,0.002114,3.6875),(2715,375,0.002174,3.6875),(2715,385,0.002235,3.6875),(2715,395,0.002296,3.6876),(2715,405,0.002358,3.6876),(2715,415,0.002419,3.6876),(2715,425,0.002481,3.6877),(2715,435,0.002543,3.6877),(2715,445,0.002605,3.6877),(2715,455,0.002667,3.6878),(2715,465,0.00273,3.6878),(2715,475,0.002793,3.6879),(2715,485,0.002857,3.6879),(2715,495,0.00292,3.6879),(2715,505,0.002985,3.688),(2715,515,0.003049,3.688),(2715,525,0.003114,3.6881),(2715,535,0.003179,3.6881),(2715,545,0.003246,3.6882),(2715,555,0.003312,3.6882),(2715,565,0.003379,3.6883),(2715,575,0.003445,3.6883),(2715,585,0.003514,3.6884),(2715,595,0.003582,3.6884),(2715,605,0.003651,3.6885),(2715,615,0.003719,3.6885),(2715,625,0.00379,3.6886),(2715,635,0.00386,3.6887),(2715,645,0.003931,3.6887),(2715,655,0.004002,3.6888),(2715,665,0.004074,3.6888),(2715,675,0.004147,3.6889),(2715,685,0.00422,3.689),(2715,695,0.004294,3.689),(2715,705,0.004369,3.6891),(2715,715,0.004445,3.6892),(2715,725,0.004521,3.6893),(2715,735,0.004597,3.6893),(2715,745,0.004676,3.6894),(2715,755,0.004755,3.6895),(2715,765,0.004834,3.6896),(2715,775,0.004914,3.6896),(2715,785,0.004996,3.6897),(2715,795,0.005079,3.6898),(2715,805,0.005161,3.6899),(2715,815,0.005245,3.69),(2715,825,0.005331,3.6901),(2715,835,0.005418,3.6902),(2715,845,0.005504,3.6903),(2715,855,0.005592,3.6903),(2715,865,0.005683,3.6904),(2715,875,0.005774,3.6905),(2715,885,0.005865,3.6906),(2715,895,0.005958,3.6907),(2715,905,0.006054,3.6909),(2715,915,0.00615,3.691),(2715,925,0.006246,3.6911),(2715,935,0.006344,3.6912),(2715,945,0.006445,3.6913),(2715,955,0.006547,3.6914),(2715,965,0.006649,3.6915),(2715,975,0.006753,3.6916),(2715,985,0.006861,3.6918),(2715,995,0.006969,3.6919),(2715,1005,0.007077,3.692),(2715,1015,0.007189,3.6921),(2715,1025,0.007304,3.6923),(2715,1035,0.007419,3.6924),(2715,1045,0.007534,3.6925),(2715,1055,0.007653,3.6927),(2715,1065,0.007776,3.6928),(2715,1075,0.007898,3.693),(2715,1085,0.008021,3.6931),(2715,1095,0.008149,3.6933),(2715,1105,0.00828,3.6934),(2715,1115,0.008412,3.6936),(2715,1125,0.008543,3.6937),(2715,1135,0.008681,3.6939),(2715,1145,0.008822,3.694),(2715,1155,0.008962,3.6942),(2715,1165,0.009104,3.6944),(2715,1175,0.009252,3.6945),(2715,1185,0.009403,3.6947),(2715,1195,0.009555,3.6949),(2715,1205,0.009707,3.6951),(2715,1215,0.009867,3.6952),(2715,1225,0.01003,3.6954),(2715,1235,0.010193,3.6956),(2715,1245,0.010357,3.6958),(2715,1255,0.01053,3.696),(2715,1265,0.010706,3.6962),(2715,1275,0.010882,3.6964),(2715,1285,0.011058,3.6966),(2715,1295,0.011245,3.6968),(2715,1305,0.011435,3.697),(2715,1315,0.011626,3.6972),(2715,1325,0.011816,3.6974),(2715,1335,0.012019,3.6976),(2715,1345,0.012225,3.6978),(2715,1355,0.012431,3.6981),(2715,1365,0.012637,3.6983),(2715,1375,0.012858,3.6985),(2715,1385,0.013081,3.6987),(2715,1395,0.013304,3.699),(2715,1405,0.013526,3.6992),(2715,1415,0.013766,3.6995),(2715,1425,0.014008,3.6997),(2715,1435,0.014249,3.7),(2715,1445,0.014491,3.7002),(2715,1455,0.014751,3.7005),(2715,1465,0.015013,3.7007),(2715,1475,0.015275,3.701),(2715,1485,0.015537,3.7012),(2715,1495,0.015821,3.7015),(2715,1505,0.016105,3.7018),(2715,1515,0.016389,3.702),(2715,1525,0.016674,3.7023),(2715,1535,0.016983,3.7026),(2715,1545,0.017291,3.7029),(2715,1555,0.0176,3.7032),(2715,1565,0.01791,3.7035),(2715,1575,0.018245,3.7038),(2715,1585,0.01858,3.7041),(2715,1595,0.018915,3.7044),(2715,1605,0.019253,3.7047),(2715,1615,0.019617,3.705),(2715,1625,0.019981,3.7053),(2715,1635,0.020345,3.7056),(2715,1645,0.020713,3.7059),(2715,1655,0.021109,3.7062),(2715,1665,0.021504,3.7065),(2715,1675,0.021899,3.7069),(2715,1685,0.022301,3.7072),(2715,1695,0.022731,3.7075),(2715,1705,0.02316,3.7079),(2715,1715,0.02359,3.7082),(2715,1725,0.024027,3.7085),(2715,1735,0.024494,3.7089),(2715,1745,0.024961,3.7092),(2715,1755,0.025427,3.7096),(2715,1765,0.025904,3.7099),(2715,1775,0.026411,3.7103),(2715,1785,0.026919,3.7106),(2715,1795,0.027426,3.711),(2715,1805,0.027946,3.7114),(2715,1815,0.028497,3.7117),(2715,1825,0.029047,3.7121),(2715,1835,0.029598,3.7125),(2715,1845,0.030165,3.7128),(2715,1855,0.030763,3.7132),(2715,1865,0.031361,3.7136),(2715,1875,0.031959,3.714),(2715,1885,0.032577,3.7143),(2715,1895,0.033226,3.7147),(2715,1905,0.033876,3.7151),(2715,1915,0.034525,3.7155),(2715,1925,0.035198,3.7159),(2715,1935,0.035902,3.7163),(2715,1945,0.036607,3.7166),(2715,1955,0.037312,3.717),(2715,1965,0.038044,3.7174),(2715,1975,0.038808,3.7178),(2715,1985,0.039572,3.7182),(2715,1995,0.040337,3.7186),(2715,2005,0.041133,3.719),(2715,2015,0.041962,3.7194),(2715,2025,0.04279,3.7198),(2715,2035,0.043619,3.7201),(2715,2045,0.044485,3.7205),(2715,2055,0.045383,3.7209),(2715,2065,0.04628,3.7213),(2715,2075,0.047178,3.7217),(2715,2085,0.048119,3.7221),(2715,2095,0.04909,3.7224),(2715,2105,0.050062,3.7228),(2715,2115,0.051034,3.7232),(2715,2125,0.052054,3.7236),(2715,2135,0.053105,3.7239),(2715,2145,0.054156,3.7243),(2715,2155,0.055206,3.7246),(2715,2165,0.056312,3.725),(2715,2175,0.057447,3.7254),(2715,2185,0.058582,3.7257),(2715,2195,0.059717,3.726),(2715,2205,0.060914,3.7264),(2715,2215,0.062138,3.7267),(2715,2225,0.063362,3.727),(2715,2235,0.064586,3.7273),(2715,2245,0.065879,3.7276),(2715,2255,0.067197,3.7279),(2715,2265,0.068515,3.7282),(2715,2275,0.069833,3.7285),(2715,2285,0.071228,3.7287),(2715,2295,0.072645,3.729),(2715,2305,0.074061,3.7292),(2715,2315,0.075478,3.7294),(2715,2325,0.07698,3.7297),(2715,2335,0.0785,3.7299),(2715,2345,0.08002,3.7301),(2715,2355,0.08154,3.7302),(2715,2365,0.083152,3.7304),(2715,2375,0.08478,3.7305),(2715,2385,0.086407,3.7307),(2715,2395,0.088035,3.7308),(2715,2405,0.089761,3.7308),(2715,2415,0.091499,3.7309),(2715,2425,0.093237,3.731),(2715,2435,0.094975,3.731),(2715,2445,0.096818,3.731),(2715,2455,0.098668,3.731),(2715,2465,0.10052,3.731),(2715,2475,0.10237,3.7309),(2715,2485,0.10433,3.7308),(2715,2495,0.10629,3.7307),(2715,2505,0.10826,3.7305),(2715,2515,0.11022,3.7304),(2715,2525,0.1123,3.7302),(2715,2535,0.11438,3.73),(2715,2545,0.11646,3.7297),(2715,2555,0.11854,3.7294),(2715,2565,0.12073,3.7291),(2715,2575,0.12292,3.7288),(2715,2585,0.12511,3.7283),(2715,2595,0.12731,3.7279),(2715,2605,0.12961,3.7274),(2715,2615,0.13191,3.727),(2715,2625,0.13421,3.7264),(2715,2635,0.13652,3.7258),(2715,2645,0.13893,3.7252),(2715,2655,0.14133,3.7245),(2715,2665,0.14373,3.7238),(2715,2675,0.14615,3.723),(2715,2685,0.14865,3.7222),(2715,2695,0.15115,3.7214),(2715,2705,0.15365,3.7205),(2715,2715,0.15617,3.7195),(2715,2725,0.15876,3.7185),(2715,2735,0.16134,3.7175),(2715,2745,0.16393,3.7164),(2715,2755,0.16654,3.7152),(2715,2765,0.1692,3.714),(2715,2775,0.17186,3.7128),(2715,2785,0.17453,3.7114),(2715,2795,0.17721,3.7101),(2715,2805,0.17993,3.7087),(2715,2815,0.18266,3.7072),(2715,2825,0.18538,3.7056),(2715,2835,0.18812,3.704),(2715,2845,0.19089,3.7023),(2715,2855,0.19366,3.7006),(2715,2865,0.19643,3.6988),(2715,2875,0.19922,3.6969),(2715,2885,0.20201,3.695),(2715,2895,0.20481,3.693),(2715,2905,0.20761,3.6909),(2715,2915,0.21041,3.6888),(2715,2925,0.21322,3.6866),(2715,2935,0.21602,3.6844),(2715,2945,0.21882,3.682),(2715,2955,0.22162,3.6796),(2715,2965,0.22441,3.6772),(2715,2975,0.2272,3.6746),(2715,2985,0.22999,3.6719),(2715,2995,0.23276,3.6693),(2715,3005,0.23551,3.6666),(2715,3015,0.23826,3.6637),(2715,3025,0.241,3.6608),(2715,3035,0.24372,3.6578),(2715,3045,0.2464,3.6548),(2715,3055,0.24909,3.6517),(2715,3065,0.25177,3.6485),(2715,3075,0.2544,3.6452),(2715,3085,0.25699,3.642),(2715,3095,0.25958,3.6385),(2715,3105,0.26217,3.635),(2715,3115,0.26469,3.6315),(2715,3125,0.26716,3.6279),(2715,3135,0.26964,3.6242),(2715,3145,0.27211,3.6204),(2715,3155,0.27448,3.6166),(2715,3165,0.27681,3.6128),(2715,3175,0.27913,3.6088),(2715,3185,0.28145,3.6047),(2715,3195,0.28366,3.6007),(2715,3205,0.2858,3.5966),(2715,3215,0.28795,3.5923),(2715,3225,0.2901,3.588),(2715,3235,0.2921,3.5837),(2715,3245,0.29405,3.5793),(2715,3255,0.296,3.5748),(2715,3265,0.29794,3.5703),(2715,3275,0.29971,3.5657),(2715,3285,0.30143,3.5611),(2715,3295,0.30315,3.5564),(2715,3305,0.30487,3.5516),(2715,3315,0.30639,3.5468),(2715,3325,0.30785,3.542),(2715,3335,0.30932,3.5371),(2715,3345,0.31079,3.5321),(2715,3355,0.31202,3.5272),(2715,3365,0.31322,3.5222),(2715,3375,0.31441,3.5171),(2715,3385,0.31561,3.512),(2715,3395,0.31655,3.5068),(2715,3405,0.31745,3.5017),(2715,3415,0.31835,3.4965),(2715,3425,0.31926,3.4912),(2715,3435,0.31988,3.4859),(2715,3445,0.32048,3.4807),(2715,3455,0.32107,3.4753),(2715,3465,0.32167,3.47),(2715,3475,0.32197,3.4646),(2715,3485,0.32225,3.4593),(2715,3495,0.32253,3.4539),(2715,3505,0.32281,3.4485),(2715,3515,0.32277,3.4431),(2715,3525,0.32274,3.4377),(2715,3535,0.3227,3.4322),(2715,3545,0.32264,3.4268),(2715,3555,0.32228,3.4214),(2715,3565,0.32192,3.416),(2715,3575,0.32156,3.4106),(2715,3585,0.32118,3.4052),(2715,3595,0.3205,3.3997),(2715,3605,0.31983,3.3943),(2715,3615,0.31915,3.389),(2715,3625,0.31844,3.3836),(2715,3635,0.31745,3.3783),(2715,3645,0.31647,3.373),(2715,3655,0.31549,3.3677),(2715,3665,0.31446,3.3624),(2715,3675,0.31318,3.3572),(2715,3685,0.31191,3.3519),(2715,3695,0.31064,3.3468),(2715,3705,0.30931,3.3417),(2715,3715,0.30776,3.3365),(2715,3725,0.30621,3.3314),(2715,3735,0.30467,3.3264),(2715,3745,0.30306,3.3214),(2715,3755,0.30126,3.3164),(2715,3765,0.29946,3.3115),(2715,3775,0.29767,3.3067),(2715,3785,0.2958,3.3018),(2715,3795,0.29378,3.297),(2715,3805,0.29175,3.2922),(2715,3815,0.28973,3.2876),(2715,3825,0.28764,3.2829),(2715,3835,0.28541,3.2783),(2715,3845,0.28318,3.2737),(2715,3855,0.28095,3.2692),(2715,3865,0.27865,3.2648),(2715,3875,0.27624,3.2603),(2715,3885,0.27383,3.2559),(2715,3895,0.27142,3.2517),(2715,3905,0.30639,3.2474),(2715,3915,0.39721,3.2431),(2715,3925,0.48803,3.2369),(2715,3935,0.57885,3.2281),(2715,3945,0.67348,3.2193),(2715,3955,0.77293,3.2105),(2715,3965,0.87238,3.1995),(2715,3975,0.97184,3.1859),(2715,3985,1.0281,3.1724),(2715,3995,1.0376,3.1589),(2715,4005,1.047,3.1453),(2715,4015,1.0565,3.1316),(2715,4025,1.0671,3.1179),(2715,4035,1.0778,3.1042),(2715,4045,1.0885,3.0903),(2715,4055,1.0992,3.0765),(2715,4065,1.1099,3.0626),(2715,4075,1.1206,3.0486),(2715,4085,1.1308,3.0345),(2715,4095,1.1407,3.0205),(2715,4105,1.1506,3.0061),(2715,4115,1.1192,2.9918),(2715,4125,1.0192,2.9774),(2715,4135,0.91916,2.9659),(2715,4145,0.81767,2.9552),(2715,4155,0.71011,2.9445),(2715,4165,0.60255,2.9365),(2715,4175,0.5015,2.9303),(2715,4185,0.72283,2.924),(2715,4195,0.94417,2.914),(2715,4205,1.1655,2.8993),(2715,4215,1.1872,2.8845),(2715,4225,1.1712,2.8694),(2715,4235,1.1553,2.8534),(2715,4245,1.1059,2.8374),(2715,4255,1.0394,2.8215),(2715,4265,0.97286,2.806),(2715,4275,0.83631,2.7904),(2715,4285,0.62541,2.7749),(2715,4295,0.41452,2.7687),(2715,4305,0.35252,2.7635),(2715,4315,0.62674,2.7584),(2715,4325,0.90097,2.7457),(2715,4335,1.1463,2.7299),(2715,4345,1.1963,2.7142),(2715,4355,1.2463,2.698),(2715,4365,1.2963,2.6813),(2715,4375,1.3103,2.6647),(2715,4385,1.3225,2.6482),(2715,4395,1.3347,2.6319),(2715,4405,1.1771,2.6156),(2715,4415,0.96933,2.6008),(2715,4425,0.76161,2.5924),(2715,4435,0.67767,2.5841),(2715,4445,0.67834,2.5758),(2715,4455,0.679,2.5667),(2715,4465,0.77581,2.5577),(2715,4475,1.0077,2.5487),(2715,4485,1.2396,2.5342),(2715,4495,1.4184,2.5186),(2715,4505,1.4271,2.503),(2715,4515,1.4357,2.4876),(2715,4525,1.4413,2.4723),(2715,4535,1.3985,2.4569),(2715,4545,1.3556,2.442),(2715,4555,1.3127,2.4274),(2715,4565,1.0068,2.4129),(2715,4575,0.66537,2.4016),(2715,4585,0.32396,2.3984),(2715,4595,0.41312,2.3952),(2715,4605,0.6842,2.3906),(2715,4615,0.95527,2.375),(2715,4625,1.1358,2.3594),(2715,4635,1.2342,2.3438),(2715,4645,1.3327,2.3273),(2715,4655,1.4082,2.3107),(2715,4665,1.4402,2.2941),(2715,4675,1.4722,2.2779),(2715,4685,1.4478,2.2619),(2715,4695,1.1446,2.2458),(2715,4705,0.84135,2.2356),(2715,4715,0.53812,2.2295),(2715,4725,0.69797,2.2234),(2715,4735,0.86245,2.2155),(2715,4745,1.0269,2.205),(2715,4755,1.1934,2.1944),(2715,4765,1.3604,2.1829),(2715,4775,1.5273,2.168),(2715,4785,1.5926,2.1532),(2715,4795,1.5991,2.1384),(2715,4805,1.6055,2.1236),(2715,4815,1.5331,2.1088),(2715,4825,1.3662,2.094),(2715,4835,1.1993,2.0834),(2715,4845,1.0312,2.0734),(2715,4855,0.86003,2.0634),(2715,4865,0.68883,2.057),(2715,4875,0.57044,2.0522),(2715,4885,0.93255,2.0474),(2715,4895,1.2947,2.0381),(2715,4905,1.6568,2.0245),(2715,4915,1.6772,2.0109),(2715,4925,1.6682,1.9971),(2715,4935,1.6592,1.9829),(2715,4945,1.5889,1.9687),(2715,4955,1.4973,1.9543),(2715,4965,1.4058,1.9391),(2715,4975,1.1476,1.9238),(2715,4985,0.76078,1.9086),(2715,4995,0.37399,1.9067),(2715,5005,0.28217,1.9052),(2715,5015,0.6593,1.9036),(2715,5025,1.0364,1.8952),(2715,5035,1.3617,1.885),(2715,5045,1.4894,1.8748),(2715,5055,1.6171,1.863),(2715,5065,1.7412,1.8501),(2715,5075,1.746,1.8371),(2715,5085,1.7508,1.8243),(2715,5095,1.7556,1.8114),(2715,5105,1.537,1.7986),(2715,5115,1.2794,1.7873),(2715,5125,1.0217,1.7804),(2715,5135,0.89612,1.7735),(2715,5145,0.83459,1.7667),(2715,5155,0.77305,1.7613),(2715,5165,0.9137,1.7559),(2715,5175,1.2605,1.7506),(2715,5185,1.6074,1.7387),(2715,5195,1.8458,1.7261),(2715,5205,1.8504,1.7135),(2715,5215,1.8551,1.701),(2715,5225,1.8498,1.6886),(2715,5235,1.7833,1.6762),(2715,5245,1.7167,1.6647),(2715,5255,1.6502,1.6539),(2715,5265,1.164,1.6431),(2715,5275,0.66044,1.6361),(2715,5285,0.15691,1.6356),(2715,5295,0.4388,1.6351),(2715,5305,0.93942,1.6317),(2715,5315,1.44,1.6163),(2715,5325,1.6869,1.601),(2715,5335,1.7673,1.5856),(2715,5345,1.8477,1.5722),(2715,5355,1.8983,1.5588),(2715,5365,1.9089,1.5454),(2715,5375,1.9194,1.5325),(2715,5385,1.8176,1.5196),(2715,5395,1.3741,1.5068),(2715,5405,0.9307,1.5001),(2715,5415,0.53656,1.4966),(2715,5425,0.80453,1.4931),(2715,5435,1.0725,1.4867),(2715,5445,1.3405,1.4769),(2715,5455,1.5971,1.4672),(2715,5465,1.8523,1.4559),(2715,5475,2.1075,1.4409),(2715,5485,2.1855,1.4258),(2715,5495,2.1922,1.4108),(2715,5505,2.1989,1.3963),(2715,5515,2.2055,1.3817),(2715,5525,2.2121,1.3671),(2715,5535,2.2187,1.353),(2715,5545,2.2251,1.3388),(2715,5555,2.2312,1.3247),(2715,5565,2.2374,1.3109),(2715,5575,2.2434,1.2971),(2715,5585,2.249,1.2834),(2715,5595,2.2546,1.2699),(2715,5605,2.2603,1.2566),(2715,5615,2.2655,1.2432),(2715,5625,2.2706,1.2301),(2715,5635,2.2758,1.2171),(2715,5645,2.2807,1.2041),(2715,5655,2.2855,1.1913),(2715,5665,2.2902,1.1787),(2715,5675,2.2947,1.1661),(2715,5685,2.2991,1.1535),(2715,5695,2.3035,1.1413),(2715,5705,2.3077,1.129),(2715,5715,2.3118,1.1168),(2715,5725,2.3158,1.1048),(2715,5735,2.3197,1.0928),(2715,5745,2.3234,1.0809),(2715,5755,2.3271,1.0691),(2715,5765,2.3308,1.0575),(2715,5775,2.3342,1.0458),(2715,5785,2.3376,1.0343),(2715,5795,2.341,1.0229),(2715,5805,2.3441,1.0116),(2715,5815,2.3472,1.0003),(2715,5825,2.3503,0.98921),(2715,5835,2.3532,0.97811),(2715,5845,2.356,0.96705),(2715,5855,2.3588,0.9562),(2715,5865,2.3615,0.94534),(2715,5875,2.3641,0.93449),(2715,5885,2.3667,0.92387),(2715,5895,2.3692,0.91327),(2715,5905,2.3716,0.90266),(2715,5915,2.3739,0.89225),(2715,5925,2.3762,0.88188),(2715,5935,2.3784,0.87152),(2715,5945,2.3805,0.8613),(2715,5955,2.3826,0.85117),(2715,5965,2.3846,0.84103),(2715,5975,2.3866,0.83098),(2715,5985,2.3886,0.82105),(2715,5995,1.8266,0.81112),(2715,6005,1.1738,0.80353),(2715,6015,0.52099,0.80221),(2715,6025,0.6232,0.80088),(2715,6035,1.0756,0.79865),(2715,6045,1.528,0.78763),(2715,6055,1.8448,0.77662),(2715,6065,2.0286,0.7656),(2715,6075,2.2125,0.75134),(2715,6085,2.3375,0.73678),(2715,6095,2.3414,0.72222),(2715,6105,2.3454,0.70766),(2715,6115,2.3492,0.69311),(2715,6125,2.3529,0.67855),(2715,6135,2.3566,0.66407),(2715,6145,2.3603,0.64964),(2715,6155,2.3637,0.63521),(2715,6165,2.3672,0.62086),(2715,6175,2.3706,0.60666),(2715,6185,2.3738,0.59245),(2715,6195,2.3769,0.57825),(2715,6205,2.3801,0.56407),(2715,6215,2.3831,0.54989),(2715,6225,2.386,0.5357),(2715,6235,2.3889,0.52155),(2715,6245,2.3917,0.5074),(2715,6255,2.3943,0.49325),(2715,6265,2.397,0.4792),(2715,6275,2.3996,0.46517),(2715,6285,2.4019,0.45114),(2715,6295,2.4043,0.43717),(2715,6305,2.4067,0.42322),(2715,6315,2.4088,0.40928),(2715,6325,2.411,0.39537),(2715,6335,2.4132,0.3815),(2715,6345,2.4151,0.36763),(2715,6355,2.417,0.35377),(2715,6365,2.4189,0.33993),(2715,6375,2.4206,0.32609),(2715,6385,2.4223,0.31226),(2715,6395,2.424,0.29844),(2715,6405,2.4256,0.28463),(2715,6415,2.427,0.27081),(2715,6425,2.4285,0.25709),(2715,6435,2.4298,0.24338),(2715,6445,2.4311,0.22967),(2715,6455,2.4323,0.21598),(2715,6465,2.4335,0.2023),(2715,6475,2.4345,0.18862),(2715,6485,2.4354,0.17494),(2715,6495,2.4364,0.16128),(2715,6505,2.4372,0.14761),(2715,6515,2.4379,0.13397),(2715,6525,2.4387,0.12035),(2715,6535,2.4392,0.10673),(2715,6545,2.4397,0.093112),(2715,6555,2.4403,0.07948),(2715,6565,2.4406,0.065848),(2715,6575,2.4408,0.052217),(2715,6585,2.4411,0.038615),(2715,6595,2.0763,0.025013),(2715,6605,1.3086,0.011411),(2715,6615,0.54091,0.009855),(2715,6625,0.001215,0.009846),(2715,6635,0.001215,0.009837),(2715,6645,0.001214,0.009827),(2715,6655,0.001213,0.009815),(2715,6665,0.001212,0.009804),(2715,6675,0.001211,0.009793),(2715,6685,0.001211,0.009782),(2715,6695,0.00121,0.009771),(2715,6705,0.001209,0.00976),(2715,6715,0.001208,0.009749),(2715,6725,0.001208,0.009738),(2715,6735,0.001207,0.009727),(2715,6745,0.001206,0.009716),(2715,6755,0.001206,0.009706),(2715,6765,0.001205,0.009695),(2715,6775,0.001204,0.009685),(2715,6785,0.001204,0.009674),(2715,6795,0.001203,0.009664),(2715,6805,0.001203,0.009653),(2715,6815,0.001202,0.009643),(2715,6825,0.001202,0.009632),(2715,6835,0.001201,0.009622),(2715,6845,0.0012,0.009612),(2715,6855,0.0012,0.009601),(2715,6865,0.0012,0.009591),(2715,6875,0.001199,0.009581),(2715,6885,0.001198,0.009571),(2715,6895,0.001198,0.00956),(2715,6905,0.001198,0.00955),(2715,6915,0.001197,0.00954),(2715,6925,0.001197,0.00953),(2715,6935,0.001196,0.00952),(2715,6945,0.001196,0.00951),(2715,6955,0.001196,0.0095),(2715,6965,0.001195,0.009491),(2715,6975,0.001195,0.009481),(2715,6985,0.001195,0.009471),(2725,5,2.8e-05,3.687),(2725,15,8.4e-05,3.687),(2725,25,0.00014,3.687),(2725,35,0.000196,3.687),(2725,45,0.000251,3.687),(2725,55,0.000307,3.687),(2725,65,0.000363,3.6871),(2725,75,0.000419,3.6871),(2725,85,0.000475,3.6871),(2725,95,0.000531,3.6871),(2725,105,0.000587,3.6871),(2725,115,0.000643,3.6871),(2725,125,0.000699,3.6871),(2725,135,0.000755,3.6871),(2725,145,0.000812,3.6871),(2725,155,0.000868,3.6871),(2725,165,0.000924,3.6871),(2725,175,0.000981,3.6871),(2725,185,0.001038,3.6872),(2725,195,0.001094,3.6872),(2725,205,0.001151,3.6872),(2725,215,0.001208,3.6872),(2725,225,0.001265,3.6872),(2725,235,0.001322,3.6872),(2725,245,0.001379,3.6873),(2725,255,0.001436,3.6873),(2725,265,0.001493,3.6873),(2725,275,0.001551,3.6873),(2725,285,0.001608,3.6873),(2725,295,0.001666,3.6874),(2725,305,0.001724,3.6874),(2725,315,0.001782,3.6874),(2725,325,0.00184,3.6874),(2725,335,0.001899,3.6875),(2725,345,0.001958,3.6875),(2725,355,0.002017,3.6875),(2725,365,0.002076,3.6875),(2725,375,0.002135,3.6876),(2725,385,0.002194,3.6876),(2725,395,0.002254,3.6876),(2725,405,0.002314,3.6877),(2725,415,0.002374,3.6877),(2725,425,0.002435,3.6877),(2725,435,0.002496,3.6878),(2725,445,0.002556,3.6878),(2725,455,0.002617,3.6878),(2725,465,0.002679,3.6879),(2725,475,0.002741,3.6879),(2725,485,0.002803,3.688),(2725,495,0.002865,3.688),(2725,505,0.002928,3.6881),(2725,515,0.002991,3.6881),(2725,525,0.003054,3.6881),(2725,535,0.003118,3.6882),(2725,545,0.003183,3.6882),(2725,555,0.003248,3.6883),(2725,565,0.003313,3.6883),(2725,575,0.003378,3.6884),(2725,585,0.003445,3.6884),(2725,595,0.003512,3.6885),(2725,605,0.003578,3.6886),(2725,615,0.003645,3.6886),(2725,625,0.003714,3.6887),(2725,635,0.003783,3.6887),(2725,645,0.003852,3.6888),(2725,655,0.003921,3.6889),(2725,665,0.003992,3.6889),(2725,675,0.004063,3.689),(2725,685,0.004134,3.689),(2725,695,0.004206,3.6891),(2725,705,0.00428,3.6892),(2725,715,0.004354,3.6893),(2725,725,0.004428,3.6893),(2725,735,0.004502,3.6894),(2725,745,0.004579,3.6895),(2725,755,0.004656,3.6896),(2725,765,0.004733,3.6896),(2725,775,0.004811,3.6897),(2725,785,0.004891,3.6898),(2725,795,0.004971,3.6899),(2725,805,0.005052,3.69),(2725,815,0.005133,3.6901),(2725,825,0.005218,3.6902),(2725,835,0.005302,3.6902),(2725,845,0.005386,3.6903),(2725,855,0.005472,3.6904),(2725,865,0.005561,3.6905),(2725,875,0.005649,3.6906),(2725,885,0.005738,3.6907),(2725,895,0.005828,3.6908),(2725,905,0.005922,3.6909),(2725,915,0.006015,3.6911),(2725,925,0.006109,3.6912),(2725,935,0.006204,3.6913),(2725,945,0.006303,3.6914),(2725,955,0.006402,3.6915),(2725,965,0.006501,3.6916),(2725,975,0.006603,3.6918),(2725,985,0.006709,3.6919),(2725,995,0.006814,3.692),(2725,1005,0.006919,3.6921),(2725,1015,0.007028,3.6923),(2725,1025,0.00714,3.6924),(2725,1035,0.007252,3.6925),(2725,1045,0.007364,3.6927),(2725,1055,0.007481,3.6928),(2725,1065,0.0076,3.6929),(2725,1075,0.00772,3.6931),(2725,1085,0.00784,3.6932),(2725,1095,0.007965,3.6934),(2725,1105,0.008093,3.6935),(2725,1115,0.008221,3.6937),(2725,1125,0.008349,3.6939),(2725,1135,0.008484,3.694),(2725,1145,0.008621,3.6942),(2725,1155,0.008759,3.6943),(2725,1165,0.008897,3.6945),(2725,1175,0.009041,3.6947),(2725,1185,0.00919,3.6949),(2725,1195,0.009338,3.695),(2725,1205,0.009486,3.6952),(2725,1215,0.009643,3.6954),(2725,1225,0.009802,3.6956),(2725,1235,0.009962,3.6958),(2725,1245,0.010122,3.696),(2725,1255,0.010291,3.6962),(2725,1265,0.010464,3.6964),(2725,1275,0.010636,3.6966),(2725,1285,0.010808,3.6968),(2725,1295,0.010992,3.697),(2725,1305,0.011178,3.6972),(2725,1315,0.011365,3.6974),(2725,1325,0.011551,3.6976),(2725,1335,0.01175,3.6978),(2725,1345,0.011952,3.698),(2725,1355,0.012154,3.6983),(2725,1365,0.012356,3.6985),(2725,1375,0.012573,3.6987),(2725,1385,0.012791,3.699),(2725,1395,0.01301,3.6992),(2725,1405,0.013229,3.6995),(2725,1415,0.013465,3.6997),(2725,1425,0.013702,3.6999),(2725,1435,0.013939,3.7002),(2725,1445,0.014176,3.7005),(2725,1455,0.014433,3.7007),(2725,1465,0.01469,3.701),(2725,1475,0.014948,3.7012),(2725,1485,0.015205,3.7015),(2725,1495,0.015484,3.7018),(2725,1505,0.015764,3.7021),(2725,1515,0.016044,3.7023),(2725,1525,0.016324,3.7026),(2725,1535,0.016628,3.7029),(2725,1545,0.016932,3.7032),(2725,1555,0.017236,3.7035),(2725,1565,0.017541,3.7038),(2725,1575,0.017872,3.7041),(2725,1585,0.018202,3.7044),(2725,1595,0.018532,3.7047),(2725,1605,0.018865,3.705),(2725,1615,0.019224,3.7053),(2725,1625,0.019584,3.7056),(2725,1635,0.019943,3.706),(2725,1645,0.020306,3.7063),(2725,1655,0.020697,3.7066),(2725,1665,0.021087,3.7069),(2725,1675,0.021478,3.7073),(2725,1685,0.021875,3.7076),(2725,1695,0.022299,3.708),(2725,1705,0.022724,3.7083),(2725,1715,0.023149,3.7086),(2725,1725,0.023581,3.709),(2725,1735,0.024043,3.7093),(2725,1745,0.024505,3.7097),(2725,1755,0.024967,3.7101),(2725,1765,0.025439,3.7104),(2725,1775,0.025941,3.7108),(2725,1785,0.026443,3.7111),(2725,1795,0.026945,3.7115),(2725,1805,0.027461,3.7119),(2725,1815,0.028007,3.7123),(2725,1825,0.028553,3.7126),(2725,1835,0.029099,3.713),(2725,1845,0.029661,3.7134),(2725,1855,0.030255,3.7138),(2725,1865,0.030848,3.7142),(2725,1875,0.031442,3.7146),(2725,1885,0.032055,3.715),(2725,1895,0.0327,3.7154),(2725,1905,0.033345,3.7158),(2725,1915,0.03399,3.7162),(2725,1925,0.034659,3.7166),(2725,1935,0.035359,3.717),(2725,1945,0.03606,3.7174),(2725,1955,0.036761,3.7178),(2725,1965,0.037489,3.7182),(2725,1975,0.03825,3.7186),(2725,1985,0.03901,3.719),(2725,1995,0.039771,3.7194),(2725,2005,0.040564,3.7198),(2725,2015,0.04139,3.7202),(2725,2025,0.042215,3.7206),(2725,2035,0.043041,3.721),(2725,2045,0.043904,3.7214),(2725,2055,0.044799,3.7218),(2725,2065,0.045695,3.7222),(2725,2075,0.04659,3.7226),(2725,2085,0.047529,3.723),(2725,2095,0.048499,3.7234),(2725,2105,0.049469,3.7238),(2725,2115,0.050439,3.7242),(2725,2125,0.051459,3.7246),(2725,2135,0.052509,3.725),(2725,2145,0.053559,3.7254),(2725,2155,0.054609,3.7257),(2725,2165,0.055715,3.7261),(2725,2175,0.056851,3.7265),(2725,2185,0.057986,3.7268),(2725,2195,0.059122,3.7272),(2725,2205,0.06032,3.7276),(2725,2215,0.061546,3.7279),(2725,2225,0.062773,3.7282),(2725,2235,0.063999,3.7286),(2725,2245,0.065295,3.7289),(2725,2255,0.066617,3.7292),(2725,2265,0.067939,3.7295),(2725,2275,0.06926,3.7298),(2725,2285,0.07066,3.7301),(2725,2295,0.072083,3.7304),(2725,2305,0.073505,3.7307),(2725,2315,0.074928,3.7309),(2725,2325,0.076436,3.7311),(2725,2335,0.077964,3.7314),(2725,2345,0.079492,3.7316),(2725,2355,0.08102,3.7318),(2725,2365,0.082642,3.732),(2725,2375,0.084279,3.7322),(2725,2385,0.085917,3.7323),(2725,2395,0.087555,3.7324),(2725,2405,0.089294,3.7326),(2725,2415,0.091044,3.7327),(2725,2425,0.092795,3.7327),(2725,2435,0.094545,3.7328),(2725,2445,0.096404,3.7328),(2725,2455,0.09827,3.7329),(2725,2465,0.10014,3.7328),(2725,2475,0.102,3.7328),(2725,2485,0.10398,3.7327),(2725,2495,0.10597,3.7327),(2725,2505,0.10795,3.7325),(2725,2515,0.10993,3.7324),(2725,2525,0.11203,3.7322),(2725,2535,0.11413,3.7321),(2725,2545,0.11623,3.7318),(2725,2555,0.11834,3.7315),(2725,2565,0.12056,3.7312),(2725,2575,0.12277,3.7309),(2725,2585,0.12499,3.7305),(2725,2595,0.12722,3.7301),(2725,2605,0.12955,3.7297),(2725,2615,0.13187,3.7293),(2725,2625,0.1342,3.7287),(2725,2635,0.13655,3.7281),(2725,2645,0.13898,3.7275),(2725,2655,0.14142,3.7269),(2725,2665,0.14386,3.7262),(2725,2675,0.14631,3.7254),(2725,2685,0.14885,3.7247),(2725,2695,0.15139,3.7239),(2725,2705,0.15392,3.723),(2725,2715,0.15648,3.722),(2725,2725,0.15911,3.7211),(2725,2735,0.16174,3.7201),(2725,2745,0.16437,3.719),(2725,2755,0.16702,3.7178),(2725,2765,0.16973,3.7167),(2725,2775,0.17243,3.7155),(2725,2785,0.17514,3.7141),(2725,2795,0.17787,3.7127),(2725,2805,0.18064,3.7114),(2725,2815,0.18342,3.7099),(2725,2825,0.18619,3.7083),(2725,2835,0.18898,3.7067),(2725,2845,0.1918,3.7051),(2725,2855,0.19463,3.7034),(2725,2865,0.19745,3.7015),(2725,2875,0.20029,3.6996),(2725,2885,0.20314,3.6978),(2725,2895,0.20599,3.6958),(2725,2905,0.20885,3.6937),(2725,2915,0.2117,3.6915),(2725,2925,0.21457,3.6894),(2725,2935,0.21743,3.6872),(2725,2945,0.22029,3.6848),(2725,2955,0.22315,3.6823),(2725,2965,0.226,3.6799),(2725,2975,0.22884,3.6774),(2725,2985,0.23169,3.6747),(2725,2995,0.23452,3.672),(2725,3005,0.23733,3.6693),(2725,3015,0.24014,3.6665),(2725,3025,0.24295,3.6635),(2725,3035,0.24573,3.6605),(2725,3045,0.24847,3.6575),(2725,3055,0.25122,3.6544),(2725,3065,0.25397,3.6511),(2725,3075,0.25666,3.6478),(2725,3085,0.25931,3.6445),(2725,3095,0.26196,3.6411),(2725,3105,0.26462,3.6375),(2725,3115,0.2672,3.634),(2725,3125,0.26973,3.6304),(2725,3135,0.27226,3.6267),(2725,3145,0.27479,3.6228),(2725,3155,0.27723,3.619),(2725,3165,0.27961,3.6151),(2725,3175,0.28199,3.6111),(2725,3185,0.28438,3.607),(2725,3195,0.28664,3.6028),(2725,3205,0.28884,3.5987),(2725,3215,0.29104,3.5944),(2725,3225,0.29325,3.59),(2725,3235,0.2953,3.5856),(2725,3245,0.2973,3.5813),(2725,3255,0.2993,3.5767),(2725,3265,0.3013,3.5721),(2725,3275,0.30312,3.5675),(2725,3285,0.30489,3.5628),(2725,3295,0.30666,3.558),(2725,3305,0.30842,3.5532),(2725,3315,0.30998,3.5483),(2725,3325,0.31149,3.5435),(2725,3335,0.313,3.5385),(2725,3345,0.31451,3.5335),(2725,3355,0.31578,3.5284),(2725,3365,0.31701,3.5234),(2725,3375,0.31825,3.5182),(2725,3385,0.31948,3.513),(2725,3395,0.32044,3.5078),(2725,3405,0.32138,3.5026),(2725,3415,0.32231,3.4973),(2725,3425,0.32324,3.4919),(2725,3435,0.32389,3.4866),(2725,3445,0.3245,3.4813),(2725,3455,0.32512,3.4759),(2725,3465,0.32574,3.4704),(2725,3475,0.32605,3.465),(2725,3485,0.32635,3.4596),(2725,3495,0.32664,3.4541),(2725,3505,0.32694,3.4486),(2725,3515,0.3269,3.4431),(2725,3525,0.32687,3.4376),(2725,3535,0.32684,3.4321),(2725,3545,0.32679,3.4266),(2725,3555,0.32643,3.4211),(2725,3565,0.32606,3.4156),(2725,3575,0.3257,3.4101),(2725,3585,0.32531,3.4046),(2725,3595,0.32462,3.3991),(2725,3605,0.32393,3.3937),(2725,3615,0.32325,3.3882),(2725,3625,0.32252,3.3828),(2725,3635,0.32152,3.3774),(2725,3645,0.32052,3.372),(2725,3655,0.31951,3.3666),(2725,3665,0.31846,3.3613),(2725,3675,0.31716,3.356),(2725,3685,0.31587,3.3507),(2725,3695,0.31457,3.3455),(2725,3705,0.31321,3.3402),(2725,3715,0.31163,3.335),(2725,3725,0.31005,3.3299),(2725,3735,0.30848,3.3248),(2725,3745,0.30684,3.3198),(2725,3755,0.305,3.3147),(2725,3765,0.30317,3.3097),(2725,3775,0.30134,3.3048),(2725,3785,0.29944,3.2999),(2725,3795,0.29738,3.295),(2725,3805,0.29532,3.2902),(2725,3815,0.29325,3.2855),(2725,3825,0.29113,3.2808),(2725,3835,0.28886,3.2761),(2725,3845,0.28659,3.2715),(2725,3855,0.28432,3.267),(2725,3865,0.28199,3.2625),(2725,3875,0.27954,3.2579),(2725,3885,0.27709,3.2535),(2725,3895,0.27464,3.2492),(2725,3905,0.30991,3.2449),(2725,3915,0.40152,3.2406),(2725,3925,0.49313,3.2343),(2725,3935,0.58474,3.2254),(2725,3945,0.68016,3.2165),(2725,3955,0.7804,3.2077),(2725,3965,0.88064,3.1966),(2725,3975,0.98089,3.183),(2725,3985,1.0375,3.1694),(2725,3995,1.047,3.1558),(2725,4005,1.0565,3.1421),(2725,4015,1.066,3.1284),(2725,4025,1.0766,3.1147),(2725,4035,1.0873,3.1009),(2725,4045,1.098,3.087),(2725,4055,1.1087,3.0731),(2725,4065,1.1194,3.0592),(2725,4075,1.1301,3.0451),(2725,4085,1.1404,3.031),(2725,4095,1.1504,3.0169),(2725,4105,1.1603,3.0025),(2725,4115,1.1286,2.9881),(2725,4125,1.0279,2.9736),(2725,4135,0.92714,2.962),(2725,4145,0.82485,2.9512),(2725,4155,0.71631,2.9404),(2725,4165,0.60776,2.9323),(2725,4175,0.50578,2.926),(2725,4185,0.72889,2.9197),(2725,4195,0.95199,2.9097),(2725,4205,1.1751,2.8949),(2725,4215,1.1974,2.8801),(2725,4225,1.1819,2.8649),(2725,4235,1.1664,2.8488),(2725,4245,1.1172,2.8327),(2725,4255,1.0508,2.8166),(2725,4265,0.98444,2.801),(2725,4275,0.84678,2.7853),(2725,4285,0.6335,2.7696),(2725,4295,0.42021,2.7634),(2725,4305,0.35725,2.7582),(2725,4315,0.63372,2.753),(2725,4325,0.91019,2.7401),(2725,4335,1.1575,2.7242),(2725,4345,1.2076,2.7083),(2725,4355,1.2576,2.692),(2725,4365,1.3077,2.6752),(2725,4375,1.3216,2.6585),(2725,4385,1.3336,2.6419),(2725,4395,1.3456,2.6255),(2725,4405,1.1866,2.6092),(2725,4415,0.97721,2.5943),(2725,4425,0.76779,2.586),(2725,4435,0.68327,2.5777),(2725,4445,0.6841,2.5694),(2725,4455,0.68493,2.5605),(2725,4465,0.78233,2.5516),(2725,4475,1.0154,2.5427),(2725,4485,1.2485,2.5282),(2725,4495,1.4282,2.5126),(2725,4505,1.4368,2.497),(2725,4515,1.4453,2.4815),(2725,4525,1.4508,2.4661),(2725,4535,1.408,2.4507),(2725,4545,1.3651,2.4356),(2725,4555,1.3222,2.4208),(2725,4565,1.0143,2.4059),(2725,4575,0.67064,2.3945),(2725,4585,0.32697,2.3912),(2725,4595,0.4174,2.388),(2725,4605,0.69126,2.3833),(2725,4615,0.96511,2.3676),(2725,4625,1.1469,2.3519),(2725,4635,1.2453,2.3362),(2725,4645,1.3437,2.3196),(2725,4655,1.419,2.3029),(2725,4665,1.4507,2.2862),(2725,4675,1.4824,2.27),(2725,4685,1.4574,2.2539),(2725,4695,1.1523,2.2378),(2725,4705,0.84718,2.2275),(2725,4715,0.54205,2.2214),(2725,4725,0.70263,2.2153),(2725,4735,0.86786,2.2074),(2725,4745,1.0331,2.1968),(2725,4755,1.2003,2.1863),(2725,4765,1.3679,2.1747),(2725,4775,1.5355,2.1598),(2725,4785,1.601,2.1449),(2725,4795,1.6075,2.13),(2725,4805,1.6139,2.1152),(2725,4815,1.541,2.1004),(2725,4825,1.3733,2.0855),(2725,4835,1.2056,2.0749),(2725,4845,1.0366,2.0648),(2725,4855,0.86447,2.0548),(2725,4865,0.69231,2.0484),(2725,4875,0.57319,2.0436),(2725,4885,0.93662,2.0388),(2725,4895,1.3,2.0295),(2725,4905,1.6635,2.0159),(2725,4915,1.6842,2.0023),(2725,4925,1.6754,1.9885),(2725,4935,1.6667,1.9743),(2725,4945,1.5969,1.96),(2725,4955,1.506,1.9456),(2725,4965,1.4151,1.9303),(2725,4975,1.1557,1.915),(2725,4985,0.76619,1.8997),(2725,4995,0.37667,1.8978),(2725,5005,0.28365,1.8962),(2725,5015,0.66198,1.8946),(2725,5025,1.0403,1.8862),(2725,5035,1.3666,1.876),(2725,5045,1.4947,1.8658),(2725,5055,1.6227,1.8539),(2725,5065,1.7471,1.841),(2725,5075,1.7519,1.8281),(2725,5085,1.7567,1.8152),(2725,5095,1.7615,1.8023),(2725,5105,1.5421,1.7894),(2725,5115,1.2836,1.7781),(2725,5125,1.0252,1.7712),(2725,5135,0.89912,1.7643),(2725,5145,0.83734,1.7575),(2725,5155,0.77556,1.7521),(2725,5165,0.91652,1.7467),(2725,5175,1.2642,1.7414),(2725,5185,1.612,1.7295),(2725,5195,1.851,1.7169),(2725,5205,1.8555,1.7043),(2725,5215,1.8601,1.6919),(2725,5225,1.8548,1.6794),(2725,5235,1.788,1.667),(2725,5245,1.7212,1.6555),(2725,5255,1.6544,1.6447),(2725,5265,1.167,1.6339),(2725,5275,0.66225,1.627),(2725,5285,0.15749,1.6265),(2725,5295,0.44117,1.6259),(2725,5305,0.94441,1.6226),(2725,5315,1.4477,1.6072),(2725,5325,1.695,1.5918),(2725,5335,1.7745,1.5764),(2725,5345,1.8539,1.563),(2725,5355,1.904,1.5497),(2725,5365,1.9143,1.5363),(2725,5375,1.9247,1.5234),(2725,5385,1.8224,1.5105),(2725,5395,1.3778,1.4977),(2725,5405,0.9332,1.491),(2725,5415,0.53803,1.4876),(2725,5425,0.80688,1.4841),(2725,5435,1.0757,1.4776),(2725,5445,1.3446,1.468),(2725,5455,1.6018,1.4583),(2725,5465,1.8577,1.4471),(2725,5475,2.1135,1.4322),(2725,5485,2.1916,1.4172),(2725,5495,2.1981,1.4023),(2725,5505,2.2046,1.3879),(2725,5515,2.2111,1.3734),(2725,5525,2.2176,1.3589),(2725,5535,2.224,1.3448),(2725,5545,2.2303,1.3308),(2725,5555,2.2362,1.3167),(2725,5565,2.2422,1.303),(2725,5575,2.2481,1.2894),(2725,5585,2.2536,1.2757),(2725,5595,2.2591,1.2623),(2725,5605,2.2645,1.2491),(2725,5615,2.2696,1.2359),(2725,5625,2.2747,1.2228),(2725,5635,2.2797,1.2099),(2725,5645,2.2844,1.197),(2725,5655,2.2891,1.1842),(2725,5665,2.2937,1.1717),(2725,5675,2.2981,1.1592),(2725,5685,2.3024,1.1468),(2725,5695,2.3067,1.1346),(2725,5705,2.3108,1.1224),(2725,5715,2.3147,1.1102),(2725,5725,2.3186,1.0983),(2725,5735,2.3225,1.0864),(2725,5745,2.3261,1.0746),(2725,5755,2.3297,1.0629),(2725,5765,2.3332,1.0513),(2725,5775,2.3365,1.0397),(2725,5785,2.3398,1.0283),(2725,5795,2.3431,1.017),(2725,5805,2.3461,1.0058),(2725,5815,2.3491,0.99456),(2725,5825,2.3521,0.98353),(2725,5835,2.355,0.97251),(2725,5845,2.3577,0.96153),(2725,5855,2.3604,0.95075),(2725,5865,2.3631,0.93997),(2725,5875,2.3656,0.92919),(2725,5885,2.3681,0.91865),(2725,5895,2.3705,0.90812),(2725,5905,2.3728,0.89759),(2725,5915,2.375,0.88725),(2725,5925,2.3773,0.87696),(2725,5935,2.3793,0.86667),(2725,5945,2.3814,0.85652),(2725,5955,2.3834,0.84646),(2725,5965,2.3854,0.83639),(2725,5975,2.3873,0.82642),(2725,5985,2.3892,0.81655),(2725,5995,1.827,0.80668),(2725,6005,1.1741,0.79915),(2725,6015,0.52114,0.79783),(2725,6025,0.62425,0.79652),(2725,6035,1.078,0.79429),(2725,6045,1.5318,0.78333),(2725,6055,1.8495,0.77238),(2725,6065,2.0338,0.76142),(2725,6075,2.2181,0.74722),(2725,6085,2.3434,0.73274),(2725,6095,2.3473,0.71825),(2725,6105,2.3511,0.70377),(2725,6115,2.355,0.68929),(2725,6125,2.3586,0.6748),(2725,6135,2.3623,0.66039),(2725,6145,2.3659,0.64604),(2725,6155,2.3693,0.63168),(2725,6165,2.3727,0.61741),(2725,6175,2.3761,0.60328),(2725,6185,2.3792,0.58915),(2725,6195,2.3824,0.57503),(2725,6205,2.3855,0.56092),(2725,6215,2.3884,0.54682),(2725,6225,2.3913,0.53271),(2725,6235,2.3942,0.51864),(2725,6245,2.3969,0.50457),(2725,6255,2.3996,0.4905),(2725,6265,2.4022,0.47653),(2725,6275,2.4047,0.46258),(2725,6285,2.4071,0.44863),(2725,6295,2.4094,0.43472),(2725,6305,2.4118,0.42084),(2725,6315,2.4139,0.40696),(2725,6325,2.416,0.39313),(2725,6335,2.4181,0.37934),(2725,6345,2.42,0.36556),(2725,6355,2.4219,0.35178),(2725,6365,2.4238,0.33803),(2725,6375,2.4255,0.32428),(2725,6385,2.4272,0.31053),(2725,6395,2.4288,0.29679),(2725,6405,2.4304,0.28306),(2725,6415,2.4318,0.26932),(2725,6425,2.4333,0.25568),(2725,6435,2.4346,0.24204),(2725,6445,2.4358,0.22841),(2725,6455,2.437,0.2148),(2725,6465,2.4382,0.20119),(2725,6475,2.4391,0.18759),(2725,6485,2.4401,0.17399),(2725,6495,2.4411,0.1604),(2725,6505,2.4418,0.14681),(2725,6515,2.4426,0.13325),(2725,6525,2.4433,0.11971),(2725,6535,2.4439,0.10617),(2725,6545,2.4444,0.092633),(2725,6555,2.4449,0.079089),(2725,6565,2.4453,0.065546),(2725,6575,2.4455,0.052002),(2725,6585,2.4458,0.038462),(2725,6595,2.0803,0.024923),(2725,6605,1.3111,0.011383),(2725,6615,0.54195,0.009839),(2725,6625,0.001222,0.009837),(2725,6635,0.001221,0.009834),(2725,6645,0.001221,0.009826),(2725,6655,0.00122,0.009814),(2725,6665,0.001219,0.009803),(2725,6675,0.001218,0.009792),(2725,6685,0.001217,0.009781),(2725,6695,0.001216,0.00977),(2725,6705,0.001216,0.009759),(2725,6715,0.001215,0.009748),(2725,6725,0.001214,0.009737),(2725,6735,0.001213,0.009727),(2725,6745,0.001213,0.009716),(2725,6755,0.001212,0.009705),(2725,6765,0.001211,0.009695),(2725,6775,0.001211,0.009684),(2725,6785,0.00121,0.009673),(2725,6795,0.001209,0.009663),(2725,6805,0.001209,0.009653),(2725,6815,0.001208,0.009642),(2725,6825,0.001208,0.009632),(2725,6835,0.001207,0.009621),(2725,6845,0.001206,0.009611),(2725,6855,0.001206,0.009601),(2725,6865,0.001205,0.009591),(2725,6875,0.001205,0.009581),(2725,6885,0.001204,0.00957),(2725,6895,0.001204,0.00956),(2725,6905,0.001203,0.00955),(2725,6915,0.001203,0.00954),(2725,6925,0.001203,0.00953),(2725,6935,0.001202,0.00952),(2725,6945,0.001202,0.00951),(2725,6955,0.001201,0.0095),(2725,6965,0.001201,0.00949),(2725,6975,0.0012,0.00948),(2725,6985,0.0012,0.00947),(2735,5,2.7e-05,3.6871),(2735,15,8.2e-05,3.6871),(2735,25,0.000137,3.6871),(2735,35,0.000192,3.6871),(2735,45,0.000247,3.6871),(2735,55,0.000302,3.6871),(2735,65,0.000357,3.6871),(2735,75,0.000412,3.6871),(2735,85,0.000467,3.6871),(2735,95,0.000522,3.6871),(2735,105,0.000577,3.6871),(2735,115,0.000632,3.6871),(2735,125,0.000687,3.6871),(2735,135,0.000742,3.6872),(2735,145,0.000797,3.6872),(2735,155,0.000853,3.6872),(2735,165,0.000908,3.6872),(2735,175,0.000964,3.6872),(2735,185,0.001019,3.6872),(2735,195,0.001075,3.6872),(2735,205,0.00113,3.6872),(2735,215,0.001186,3.6873),(2735,225,0.001242,3.6873),(2735,235,0.001298,3.6873),(2735,245,0.001354,3.6873),(2735,255,0.00141,3.6873),(2735,265,0.001466,3.6874),(2735,275,0.001523,3.6874),(2735,285,0.001579,3.6874),(2735,295,0.001636,3.6874),(2735,305,0.001693,3.6874),(2735,315,0.00175,3.6875),(2735,325,0.001807,3.6875),(2735,335,0.001864,3.6875),(2735,345,0.001921,3.6875),(2735,355,0.001979,3.6876),(2735,365,0.002037,3.6876),(2735,375,0.002095,3.6876),(2735,385,0.002153,3.6877),(2735,395,0.002212,3.6877),(2735,405,0.002271,3.6877),(2735,415,0.002329,3.6878),(2735,425,0.002389,3.6878),(2735,435,0.002448,3.6878),(2735,445,0.002508,3.6879),(2735,455,0.002567,3.6879),(2735,465,0.002628,3.6879),(2735,475,0.002688,3.688),(2735,485,0.002749,3.688),(2735,495,0.002809,3.6881),(2735,505,0.002871,3.6881),(2735,515,0.002933,3.6882),(2735,525,0.002995,3.6882),(2735,535,0.003057,3.6883),(2735,545,0.00312,3.6883),(2735,555,0.003184,3.6883),(2735,565,0.003247,3.6884),(2735,575,0.003311,3.6885),(2735,585,0.003376,3.6885),(2735,595,0.003441,3.6886),(2735,605,0.003506,3.6886),(2735,615,0.003572,3.6887),(2735,625,0.003639,3.6887),(2735,635,0.003706,3.6888),(2735,645,0.003773,3.6889),(2735,655,0.003841,3.6889),(2735,665,0.00391,3.689),(2735,675,0.003979,3.689),(2735,685,0.004049,3.6891),(2735,695,0.004118,3.6892),(2735,705,0.00419,3.6893),(2735,715,0.004262,3.6893),(2735,725,0.004334,3.6894),(2735,735,0.004407,3.6895),(2735,745,0.004482,3.6896),(2735,755,0.004557,3.6896),(2735,765,0.004632,3.6897),(2735,775,0.004707,3.6898),(2735,785,0.004786,3.6899),(2735,795,0.004864,3.69),(2735,805,0.004942,3.6901),(2735,815,0.005022,3.6901),(2735,825,0.005104,3.6902),(2735,835,0.005186,3.6903),(2735,845,0.005268,3.6904),(2735,855,0.005352,3.6905),(2735,865,0.005438,3.6906),(2735,875,0.005524,3.6907),(2735,885,0.00561,3.6908),(2735,895,0.005698,3.6909),(2735,905,0.00579,3.691),(2735,915,0.005881,3.6911),(2735,925,0.005971,3.6913),(2735,935,0.006065,3.6914),(2735,945,0.006161,3.6915),(2735,955,0.006258,3.6916),(2735,965,0.006354,3.6917),(2735,975,0.006453,3.6919),(2735,985,0.006556,3.692),(2735,995,0.006658,3.6921),(2735,1005,0.006761,3.6922),(2735,1015,0.006867,3.6924),(2735,1025,0.006976,3.6925),(2735,1035,0.007085,3.6926),(2735,1045,0.007195,3.6928),(2735,1055,0.007308,3.6929),(2735,1065,0.007425,3.6931),(2735,1075,0.007542,3.6932),(2735,1085,0.007659,3.6934),(2735,1095,0.00778,3.6935),(2735,1105,0.007905,3.6937),(2735,1115,0.00803,3.6938),(2735,1125,0.008156,3.694),(2735,1135,0.008287,3.6941),(2735,1145,0.008421,3.6943),(2735,1155,0.008555,3.6945),(2735,1165,0.00869,3.6947),(2735,1175,0.008831,3.6948),(2735,1185,0.008976,3.695),(2735,1195,0.009121,3.6952),(2735,1205,0.009266,3.6954),(2735,1215,0.009418,3.6956),(2735,1225,0.009575,3.6957),(2735,1235,0.009731,3.6959),(2735,1245,0.009887,3.6961),(2735,1255,0.010053,3.6963),(2735,1265,0.010222,3.6965),(2735,1275,0.01039,3.6967),(2735,1285,0.010559,3.6969),(2735,1295,0.010739,3.6972),(2735,1305,0.010921,3.6974),(2735,1315,0.011104,3.6976),(2735,1325,0.011286,3.6978),(2735,1335,0.011482,3.698),(2735,1345,0.011679,3.6982),(2735,1355,0.011877,3.6985),(2735,1365,0.012075,3.6987),(2735,1375,0.012288,3.699),(2735,1385,0.012502,3.6992),(2735,1395,0.012717,3.6994),(2735,1405,0.012932,3.6997),(2735,1415,0.013163,3.6999),(2735,1425,0.013396,3.7002),(2735,1435,0.013629,3.7004),(2735,1445,0.013862,3.7007),(2735,1455,0.014114,3.701),(2735,1465,0.014367,3.7012),(2735,1475,0.01462,3.7015),(2735,1485,0.014873,3.7018),(2735,1495,0.015148,3.7021),(2735,1505,0.015423,3.7023),(2735,1515,0.015698,3.7026),(2735,1525,0.015974,3.7029),(2735,1535,0.016273,3.7032),(2735,1545,0.016572,3.7035),(2735,1555,0.016871,3.7038),(2735,1565,0.017172,3.7041),(2735,1575,0.017498,3.7044),(2735,1585,0.017824,3.7047),(2735,1595,0.018149,3.705),(2735,1605,0.018478,3.7054),(2735,1615,0.018832,3.7057),(2735,1625,0.019186,3.706),(2735,1635,0.019541,3.7063),(2735,1645,0.019899,3.7067),(2735,1655,0.020285,3.707),(2735,1665,0.020671,3.7073),(2735,1675,0.021056,3.7077),(2735,1685,0.021448,3.708),(2735,1695,0.021868,3.7084),(2735,1705,0.022288,3.7087),(2735,1715,0.022707,3.7091),(2735,1725,0.023135,3.7094),(2735,1735,0.023592,3.7098),(2735,1745,0.024049,3.7102),(2735,1755,0.024506,3.7105),(2735,1765,0.024973,3.7109),(2735,1775,0.025471,3.7113),(2735,1785,0.025968,3.7117),(2735,1795,0.026465,3.712),(2735,1805,0.026976,3.7124),(2735,1815,0.027517,3.7128),(2735,1825,0.028059,3.7132),(2735,1835,0.0286,3.7136),(2735,1845,0.029158,3.714),(2735,1855,0.029747,3.7144),(2735,1865,0.030336,3.7148),(2735,1875,0.030925,3.7152),(2735,1885,0.031533,3.7156),(2735,1895,0.032174,3.716),(2735,1905,0.032815,3.7164),(2735,1915,0.033455,3.7168),(2735,1925,0.034119,3.7172),(2735,1935,0.034816,3.7176),(2735,1945,0.035513,3.7181),(2735,1955,0.036209,3.7185),(2735,1965,0.036934,3.7189),(2735,1975,0.037691,3.7193),(2735,1985,0.038448,3.7197),(2735,1995,0.039205,3.7202),(2735,2005,0.039995,3.7206),(2735,2015,0.040818,3.721),(2735,2025,0.04164,3.7214),(2735,2035,0.042463,3.7219),(2735,2045,0.043323,3.7223),(2735,2055,0.044216,3.7227),(2735,2065,0.045109,3.7231),(2735,2075,0.046002,3.7235),(2735,2085,0.046939,3.724),(2735,2095,0.047907,3.7244),(2735,2105,0.048876,3.7248),(2735,2115,0.049845,3.7252),(2735,2125,0.050863,3.7256),(2735,2135,0.051913,3.726),(2735,2145,0.052963,3.7264),(2735,2155,0.054012,3.7268),(2735,2165,0.055119,3.7272),(2735,2175,0.056255,3.7276),(2735,2185,0.057391,3.728),(2735,2195,0.058527,3.7284),(2735,2205,0.059727,3.7288),(2735,2215,0.060955,3.7291),(2735,2225,0.062183,3.7295),(2735,2235,0.063412,3.7298),(2735,2245,0.064711,3.7302),(2735,2255,0.066037,3.7305),(2735,2265,0.067362,3.7309),(2735,2275,0.068688,3.7312),(2735,2285,0.070093,3.7315),(2735,2295,0.071521,3.7318),(2735,2305,0.072949,3.7321),(2735,2315,0.074377,3.7324),(2735,2325,0.075893,3.7327),(2735,2335,0.077428,3.7329),(2735,2345,0.078964,3.7332),(2735,2355,0.0805,3.7334),(2735,2365,0.082131,3.7336),(2735,2375,0.083779,3.7338),(2735,2385,0.085427,3.734),(2735,2395,0.087074,3.7341),(2735,2405,0.088826,3.7343),(2735,2415,0.090589,3.7344),(2735,2425,0.092352,3.7345),(2735,2435,0.094116,3.7346),(2735,2445,0.09599,3.7347),(2735,2455,0.097872,3.7347),(2735,2465,0.099754,3.7347),(2735,2475,0.10164,3.7347),(2735,2485,0.10363,3.7347),(2735,2495,0.10564,3.7347),(2735,2505,0.10764,3.7346),(2735,2515,0.10964,3.7344),(2735,2525,0.11177,3.7343),(2735,2535,0.11389,3.7342),(2735,2545,0.11601,3.7339),(2735,2555,0.11814,3.7337),(2735,2565,0.12038,3.7334),(2735,2575,0.12263,3.7332),(2735,2585,0.12487,3.7328),(2735,2595,0.12712,3.7324),(2735,2605,0.12948,3.732),(2735,2615,0.13184,3.7316),(2735,2625,0.1342,3.7311),(2735,2635,0.13657,3.7305),(2735,2645,0.13904,3.73),(2735,2655,0.14151,3.7294),(2735,2665,0.14398,3.7287),(2735,2675,0.14647,3.728),(2735,2685,0.14905,3.7272),(2735,2695,0.15162,3.7265),(2735,2705,0.1542,3.7256),(2735,2715,0.15679,3.7247),(2735,2725,0.15946,3.7237),(2735,2735,0.16213,3.7228),(2735,2745,0.1648,3.7217),(2735,2755,0.1675,3.7205),(2735,2765,0.17025,3.7194),(2735,2775,0.173,3.7182),(2735,2785,0.17576,3.7169),(2735,2795,0.17853,3.7155),(2735,2805,0.18135,3.7142),(2735,2815,0.18418,3.7127),(2735,2825,0.187,3.7111),(2735,2835,0.18984,3.7095),(2735,2845,0.19272,3.7079),(2735,2855,0.19559,3.7062),(2735,2865,0.19847,3.7044),(2735,2875,0.20135,3.7025),(2735,2885,0.20426,3.7007),(2735,2895,0.20717,3.6987),(2735,2905,0.21008,3.6966),(2735,2915,0.21299,3.6944),(2735,2925,0.21592,3.6923),(2735,2935,0.21884,3.6901),(2735,2945,0.22176,3.6877),(2735,2955,0.22467,3.6852),(2735,2965,0.22758,3.6828),(2735,2975,0.23049,3.6803),(2735,2985,0.2334,3.6776),(2735,2995,0.23629,3.6749),(2735,3005,0.23916,3.6722),(2735,3015,0.24203,3.6693),(2735,3025,0.2449,3.6663),(2735,3035,0.24774,3.6633),(2735,3045,0.25055,3.6603),(2735,3055,0.25335,3.6571),(2735,3065,0.25616,3.6538),(2735,3075,0.25892,3.6505),(2735,3085,0.26163,3.6472),(2735,3095,0.26434,3.6438),(2735,3105,0.26706,3.6402),(2735,3115,0.2697,3.6366),(2735,3125,0.27229,3.633),(2735,3135,0.27489,3.6292),(2735,3145,0.27748,3.6253),(2735,3155,0.27997,3.6214),(2735,3165,0.28241,3.6175),(2735,3175,0.28486,3.6135),(2735,3185,0.2873,3.6093),(2735,3195,0.28961,3.6051),(2735,3205,0.29188,3.601),(2735,3215,0.29414,3.5966),(2735,3225,0.2964,3.5922),(2735,3235,0.29851,3.5877),(2735,3245,0.30056,3.5833),(2735,3255,0.30261,3.5787),(2735,3265,0.30466,3.574),(2735,3275,0.30653,3.5693),(2735,3285,0.30834,3.5646),(2735,3295,0.31016,3.5598),(2735,3305,0.31197,3.5549),(2735,3315,0.31358,3.55),(2735,3325,0.31513,3.5451),(2735,3335,0.31668,3.54),(2735,3345,0.31823,3.5349),(2735,3355,0.31954,3.5298),(2735,3365,0.32081,3.5246),(2735,3375,0.32208,3.5194),(2735,3385,0.32334,3.5141),(2735,3395,0.32434,3.5088),(2735,3405,0.3253,3.5036),(2735,3415,0.32627,3.4982),(2735,3425,0.32723,3.4927),(2735,3435,0.32789,3.4873),(2735,3445,0.32853,3.4819),(2735,3455,0.32918,3.4764),(2735,3465,0.32982,3.4709),(2735,3475,0.33014,3.4654),(2735,3485,0.33045,3.4599),(2735,3495,0.33076,3.4543),(2735,3505,0.33106,3.4487),(2735,3515,0.33103,3.4432),(2735,3525,0.33101,3.4376),(2735,3535,0.33098,3.432),(2735,3545,0.33093,3.4264),(2735,3555,0.33057,3.4208),(2735,3565,0.3302,3.4152),(2735,3575,0.32983,3.4097),(2735,3585,0.32944,3.4041),(2735,3595,0.32874,3.3985),(2735,3605,0.32804,3.393),(2735,3615,0.32734,3.3875),(2735,3625,0.3266,3.3819),(2735,3635,0.32558,3.3764),(2735,3645,0.32456,3.3709),(2735,3655,0.32354,3.3655),(2735,3665,0.32247,3.3601),(2735,3675,0.32115,3.3547),(2735,3685,0.31982,3.3493),(2735,3695,0.3185,3.3441),(2735,3705,0.31711,3.3388),(2735,3715,0.3155,3.3335),(2735,3725,0.31389,3.3283),(2735,3735,0.31229,3.3231),(2735,3745,0.31061,3.318),(2735,3755,0.30875,3.3129),(2735,3765,0.30688,3.3078),(2735,3775,0.30501,3.3029),(2735,3785,0.30308,3.2979),(2735,3795,0.30098,3.293),(2735,3805,0.29888,3.2881),(2735,3815,0.29678,3.2833),(2735,3825,0.29461,3.2786),(2735,3835,0.29231,3.2738),(2735,3845,0.29,3.2692),(2735,3855,0.2877,3.2646),(2735,3865,0.28533,3.2601),(2735,3875,0.28284,3.2555),(2735,3885,0.28035,3.251),(2735,3895,0.27787,3.2467),(2735,3905,0.31343,3.2423),(2735,3915,0.40583,3.2379),(2735,3925,0.49823,3.2317),(2735,3935,0.59064,3.2227),(2735,3945,0.68684,3.2137),(2735,3955,0.78787,3.2048),(2735,3965,0.8889,3.1937),(2735,3975,0.98993,3.18),(2735,3985,1.047,3.1663),(2735,3995,1.0565,3.1527),(2735,4005,1.066,3.139),(2735,4015,1.0754,3.1252),(2735,4025,1.086,3.1114),(2735,4035,1.0967,3.0976),(2735,4045,1.1074,3.0837),(2735,4055,1.1182,3.0697),(2735,4065,1.1289,3.0558),(2735,4075,1.1397,3.0416),(2735,4085,1.15,3.0275),(2735,4095,1.16,3.0134),(2735,4105,1.17,2.9988),(2735,4115,1.1381,2.9843),(2735,4125,1.0366,2.9698),(2735,4135,0.93512,2.9581),(2735,4145,0.83204,2.9471),(2735,4155,0.72251,2.9362),(2735,4165,0.61298,2.928),(2735,4175,0.51007,2.9217),(2735,4185,0.73494,2.9153),(2735,4195,0.95981,2.9052),(2735,4205,1.1847,2.8903),(2735,4215,1.2076,2.8754),(2735,4225,1.1926,2.8602),(2735,4235,1.1776,2.844),(2735,4245,1.1285,2.8278),(2735,4255,1.0623,2.8116),(2735,4265,0.99601,2.7958),(2735,4275,0.85726,2.78),(2735,4285,0.64158,2.7643),(2735,4295,0.42591,2.7579),(2735,4305,0.36198,2.7527),(2735,4315,0.6407,2.7474),(2735,4325,0.91942,2.7344),(2735,4335,1.1687,2.7184),(2735,4345,1.2188,2.7024),(2735,4355,1.2689,2.6859),(2735,4365,1.3191,2.6691),(2735,4375,1.3328,2.6522),(2735,4385,1.3447,2.6355),(2735,4395,1.3565,2.6191),(2735,4405,1.1962,2.6026),(2735,4415,0.98508,2.5877),(2735,4425,0.77397,2.5794),(2735,4435,0.68886,2.571),(2735,4445,0.68986,2.5627),(2735,4455,0.69086,2.554),(2735,4465,0.78885,2.5453),(2735,4475,1.0231,2.5365),(2735,4485,1.2574,2.5221),(2735,4495,1.438,2.5064),(2735,4505,1.4464,2.4908),(2735,4515,1.4549,2.4752),(2735,4525,1.4603,2.4597),(2735,4535,1.4175,2.4442),(2735,4545,1.3746,2.4289),(2735,4555,1.3318,2.4139),(2735,4565,1.0218,2.3988),(2735,4575,0.67591,2.3872),(2735,4585,0.32997,2.3839),(2735,4595,0.42169,2.3806),(2735,4605,0.69832,2.3759),(2735,4615,0.97495,2.36),(2735,4625,1.158,2.3441),(2735,4635,1.2563,2.3283),(2735,4645,1.3546,2.3116),(2735,4655,1.4298,2.2948),(2735,4665,1.4612,2.2781),(2735,4675,1.4926,2.2618),(2735,4685,1.4671,2.2457),(2735,4695,1.1601,2.2295),(2735,4705,0.85302,2.2192),(2735,4715,0.54597,2.2131),(2735,4725,0.70728,2.207),(2735,4735,0.87328,2.1991),(2735,4745,1.0393,2.1885),(2735,4755,1.2071,2.1779),(2735,4765,1.3755,2.1663),(2735,4775,1.5438,2.1514),(2735,4785,1.6095,2.1365),(2735,4795,1.6159,2.1215),(2735,4805,1.6222,2.1067),(2735,4815,1.5489,2.0918),(2735,4825,1.3804,2.0769),(2735,4835,1.2118,2.0662),(2735,4845,1.042,2.0561),(2735,4855,0.86891,2.0461),(2735,4865,0.6958,2.0396),(2735,4875,0.57594,2.0349),(2735,4885,0.94068,2.0301),(2735,4895,1.3054,2.0208),(2735,4905,1.6702,2.0072),(2735,4915,1.6912,1.9936),(2735,4925,1.6827,1.9798),(2735,4935,1.6741,1.9655),(2735,4945,1.6049,1.9513),(2735,4955,1.5147,1.9368),(2735,4965,1.4245,1.9214),(2735,4975,1.1638,1.9061),(2735,4985,0.7716,1.8907),(2735,4995,0.37936,1.8887),(2735,5005,0.28513,1.8872),(2735,5015,0.66466,1.8856),(2735,5025,1.0442,1.8771),(2735,5035,1.3715,1.8669),(2735,5045,1.4999,1.8567),(2735,5055,1.6283,1.8448),(2735,5065,1.7531,1.8318),(2735,5075,1.7578,1.8189),(2735,5085,1.7625,1.8059),(2735,5095,1.7673,1.793),(2735,5105,1.5472,1.7802),(2735,5115,1.2879,1.7688),(2735,5125,1.0286,1.7619),(2735,5135,0.90211,1.755),(2735,5145,0.84009,1.7482),(2735,5155,0.77807,1.7428),(2735,5165,0.91934,1.7375),(2735,5175,1.268,1.7321),(2735,5185,1.6166,1.7202),(2735,5195,1.8561,1.7076),(2735,5205,1.8606,1.695),(2735,5215,1.8651,1.6826),(2735,5225,1.8597,1.6702),(2735,5235,1.7927,1.6577),(2735,5245,1.7256,1.6462),(2735,5255,1.6586,1.6355),(2735,5265,1.17,1.6247),(2735,5275,0.66405,1.6177),(2735,5285,0.15808,1.6172),(2735,5295,0.44354,1.6167),(2735,5305,0.94941,1.6133),(2735,5315,1.4553,1.5979),(2735,5325,1.7031,1.5825),(2735,5335,1.7817,1.5671),(2735,5345,1.8602,1.5538),(2735,5355,1.9097,1.5404),(2735,5365,1.9198,1.5271),(2735,5375,1.9299,1.5142),(2735,5385,1.8272,1.5014),(2735,5395,1.3815,1.4886),(2735,5405,0.9357,1.4819),(2735,5415,0.5395,1.4784),(2735,5425,0.80922,1.475),(2735,5435,1.0789,1.4686),(2735,5445,1.3487,1.459),(2735,5455,1.6066,1.4494),(2735,5465,1.8631,1.4382),(2735,5475,2.1196,1.4234),(2735,5485,2.1977,1.4085),(2735,5495,2.2041,1.3938),(2735,5505,2.2104,1.3794),(2735,5515,2.2167,1.365),(2735,5525,2.223,1.3506),(2735,5535,2.2293,1.3366),(2735,5545,2.2354,1.3227),(2735,5555,2.2412,1.3087),(2735,5565,2.247,1.2951),(2735,5575,2.2528,1.2816),(2735,5585,2.2581,1.268),(2735,5595,2.2635,1.2547),(2735,5605,2.2688,1.2416),(2735,5615,2.2737,1.2284),(2735,5625,2.2787,1.2154),(2735,5635,2.2836,1.2026),(2735,5645,2.2882,1.1898),(2735,5655,2.2927,1.1771),(2735,5665,2.2972,1.1647),(2735,5675,2.3015,1.1523),(2735,5685,2.3057,1.1399),(2735,5695,2.3099,1.1278),(2735,5705,2.3139,1.1157),(2735,5715,2.3177,1.1036),(2735,5725,2.3215,1.0918),(2735,5735,2.3252,1.08),(2735,5745,2.3287,1.0682),(2735,5755,2.3322,1.0566),(2735,5765,2.3357,1.0451),(2735,5775,2.3389,1.0336),(2735,5785,2.3421,1.0223),(2735,5795,2.3453,1.0111),(2735,5805,2.3482,0.99987),(2735,5815,2.3511,0.98875),(2735,5825,2.354,0.97781),(2735,5835,2.3567,0.96686),(2735,5845,2.3594,0.95595),(2735,5855,2.3621,0.94525),(2735,5865,2.3646,0.93455),(2735,5875,2.367,0.92384),(2735,5885,2.3694,0.91338),(2735,5895,2.3718,0.90292),(2735,5905,2.374,0.89246),(2735,5915,2.3762,0.8822),(2735,5925,2.3783,0.87198),(2735,5935,2.3803,0.86177),(2735,5945,2.3823,0.85169),(2735,5955,2.3843,0.84169),(2735,5965,2.3861,0.8317),(2735,5975,2.388,0.82179),(2735,5985,2.3898,0.812),(2735,5995,1.8275,0.8022),(2735,6005,1.1744,0.79471),(2735,6015,0.52129,0.79341),(2735,6025,0.6253,0.7921),(2735,6035,1.0805,0.78989),(2735,6045,1.5356,0.77899),(2735,6055,1.8542,0.76808),(2735,6065,2.0389,0.75718),(2735,6075,2.2236,0.74306),(2735,6085,2.3493,0.72865),(2735,6095,2.3531,0.71423),(2735,6105,2.3569,0.69983),(2735,6115,2.3607,0.68542),(2735,6125,2.3643,0.67102),(2735,6135,2.3679,0.65668),(2735,6145,2.3715,0.6424),(2735,6155,2.3749,0.62812),(2735,6165,2.3782,0.61393),(2735,6175,2.3816,0.59988),(2735,6185,2.3847,0.58582),(2735,6195,2.3878,0.57178),(2735,6205,2.3909,0.55775),(2735,6215,2.3938,0.54373),(2735,6225,2.3966,0.5297),(2735,6235,2.3995,0.5157),(2735,6245,2.4022,0.50171),(2735,6255,2.4048,0.48771),(2735,6265,2.4074,0.47382),(2735,6275,2.4099,0.45995),(2735,6285,2.4122,0.44607),(2735,6295,2.4146,0.43225),(2735,6305,2.4169,0.41844),(2735,6315,2.419,0.40464),(2735,6325,2.4211,0.39088),(2735,6335,2.4231,0.37717),(2735,6345,2.425,0.36347),(2735,6355,2.4269,0.34977),(2735,6365,2.4287,0.3361),(2735,6375,2.4304,0.32244),(2735,6385,2.432,0.30877),(2735,6395,2.4337,0.29511),(2735,6405,2.4352,0.28146),(2735,6415,2.4366,0.2678),(2735,6425,2.438,0.25424),(2735,6435,2.4394,0.24069),(2735,6445,2.4405,0.22713),(2735,6455,2.4417,0.2136),(2735,6465,2.4429,0.20008),(2735,6475,2.4438,0.18656),(2735,6485,2.4448,0.17304),(2735,6495,2.4458,0.15953),(2735,6505,2.4465,0.14602),(2735,6515,2.4473,0.13253),(2735,6525,2.448,0.11907),(2735,6535,2.4486,0.10561),(2735,6545,2.4491,0.092143),(2735,6555,2.4496,0.078678),(2735,6565,2.4499,0.065213),(2735,6575,2.4502,0.051748),(2735,6585,2.4505,0.038288),(2735,6595,2.0843,0.024829),(2735,6605,1.3137,0.011369),(2735,6615,0.54299,0.009835),(2735,6625,0.001229,0.009834),(2735,6635,0.001228,0.009833),(2735,6645,0.001227,0.009825),(2735,6655,0.001226,0.009813),(2735,6665,0.001225,0.009802),(2735,6675,0.001225,0.009791),(2735,6685,0.001224,0.00978),(2735,6695,0.001223,0.009769),(2735,6705,0.001222,0.009758),(2735,6715,0.001221,0.009747),(2735,6725,0.001221,0.009737),(2735,6735,0.00122,0.009726),(2735,6745,0.001219,0.009715),(2735,6755,0.001218,0.009704),(2735,6765,0.001218,0.009694),(2735,6775,0.001217,0.009683),(2735,6785,0.001216,0.009673),(2735,6795,0.001215,0.009662),(2735,6805,0.001215,0.009652),(2735,6815,0.001214,0.009642),(2735,6825,0.001213,0.009631),(2735,6835,0.001213,0.009621),(2735,6845,0.001212,0.009611),(2735,6855,0.001212,0.0096),(2735,6865,0.001211,0.00959),(2735,6875,0.001211,0.00958),(2735,6885,0.00121,0.00957),(2735,6895,0.00121,0.00956),(2735,6905,0.001209,0.00955),(2735,6915,0.001209,0.009539),(2735,6925,0.001208,0.009529),(2735,6935,0.001208,0.00952),(2735,6945,0.001207,0.00951),(2735,6955,0.001207,0.0095),(2735,6965,0.001206,0.00949),(2735,6975,0.001206,0.00948),(2735,6985,0.001206,0.00947),(2745,5,2.7e-05,3.6871),(2745,15,8.1e-05,3.6871),(2745,25,0.000135,3.6871),(2745,35,0.000189,3.6871),(2745,45,0.000243,3.6872),(2745,55,0.000296,3.6872),(2745,65,0.00035,3.6872),(2745,75,0.000404,3.6872),(2745,85,0.000458,3.6872),(2745,95,0.000512,3.6872),(2745,105,0.000566,3.6872),(2745,115,0.00062,3.6872),(2745,125,0.000674,3.6872),(2745,135,0.000729,3.6872),(2745,145,0.000783,3.6872),(2745,155,0.000837,3.6872),(2745,165,0.000892,3.6872),(2745,175,0.000946,3.6873),(2745,185,0.001001,3.6873),(2745,195,0.001055,3.6873),(2745,205,0.00111,3.6873),(2745,215,0.001165,3.6873),(2745,225,0.00122,3.6873),(2745,235,0.001274,3.6873),(2745,245,0.001329,3.6874),(2745,255,0.001384,3.6874),(2745,265,0.00144,3.6874),(2745,275,0.001495,3.6874),(2745,285,0.00155,3.6875),(2745,295,0.001605,3.6875),(2745,305,0.001661,3.6875),(2745,315,0.001717,3.6875),(2745,325,0.001773,3.6875),(2745,335,0.001829,3.6876),(2745,345,0.001885,3.6876),(2745,355,0.001942,3.6876),(2745,365,0.001998,3.6877),(2745,375,0.002055,3.6877),(2745,385,0.002112,3.6877),(2745,395,0.00217,3.6878),(2745,405,0.002227,3.6878),(2745,415,0.002285,3.6878),(2745,425,0.002343,3.6879),(2745,435,0.002401,3.6879),(2745,445,0.002459,3.6879),(2745,455,0.002518,3.688),(2745,465,0.002577,3.688),(2745,475,0.002636,3.688),(2745,485,0.002695,3.6881),(2745,495,0.002754,3.6881),(2745,505,0.002815,3.6882),(2745,515,0.002875,3.6882),(2745,525,0.002935,3.6883),(2745,535,0.002996,3.6883),(2745,545,0.003057,3.6884),(2745,555,0.003119,3.6884),(2745,565,0.003181,3.6885),(2745,575,0.003243,3.6885),(2745,585,0.003307,3.6886),(2745,595,0.00337,3.6886),(2745,605,0.003434,3.6887),(2745,615,0.003498,3.6887),(2745,625,0.003563,3.6888),(2745,635,0.003629,3.6889),(2745,645,0.003694,3.6889),(2745,655,0.00376,3.689),(2745,665,0.003828,3.6891),(2745,675,0.003895,3.6891),(2745,685,0.003963,3.6892),(2745,695,0.004031,3.6893),(2745,705,0.004101,3.6893),(2745,715,0.004171,3.6894),(2745,725,0.004241,3.6895),(2745,735,0.004312,3.6896),(2745,745,0.004385,3.6896),(2745,755,0.004457,3.6897),(2745,765,0.00453,3.6898),(2745,775,0.004604,3.6899),(2745,785,0.00468,3.69),(2745,795,0.004757,3.69),(2745,805,0.004833,3.6901),(2745,815,0.00491,3.6902),(2745,825,0.00499,3.6903),(2745,835,0.00507,3.6904),(2745,845,0.00515,3.6905),(2745,855,0.005231,3.6906),(2745,865,0.005315,3.6907),(2745,875,0.005399,3.6908),(2745,885,0.005483,3.6909),(2745,895,0.005569,3.691),(2745,905,0.005657,3.6911),(2745,915,0.005746,3.6912),(2745,925,0.005834,3.6914),(2745,935,0.005925,3.6915),(2745,945,0.006019,3.6916),(2745,955,0.006113,3.6917),(2745,965,0.006207,3.6918),(2745,975,0.006303,3.692),(2745,985,0.006403,3.6921),(2745,995,0.006503,3.6922),(2745,1005,0.006603,3.6923),(2745,1015,0.006706,3.6925),(2745,1025,0.006812,3.6926),(2745,1035,0.006919,3.6927),(2745,1045,0.007025,3.6929),(2745,1055,0.007136,3.693),(2745,1065,0.00725,3.6932),(2745,1075,0.007363,3.6933),(2745,1085,0.007477,3.6935),(2745,1095,0.007596,3.6936),(2745,1105,0.007718,3.6938),(2745,1115,0.00784,3.6939),(2745,1125,0.007962,3.6941),(2745,1135,0.008089,3.6943),(2745,1145,0.008221,3.6944),(2745,1155,0.008352,3.6946),(2745,1165,0.008483,3.6948),(2745,1175,0.008621,3.695),(2745,1185,0.008762,3.6951),(2745,1195,0.008904,3.6953),(2745,1205,0.009045,3.6955),(2745,1215,0.009194,3.6957),(2745,1225,0.009347,3.6959),(2745,1235,0.0095,3.6961),(2745,1245,0.009652,3.6963),(2745,1255,0.009815,3.6965),(2745,1265,0.00998,3.6967),(2745,1275,0.010145,3.6969),(2745,1285,0.01031,3.6971),(2745,1295,0.010485,3.6973),(2745,1305,0.010664,3.6975),(2745,1315,0.010843,3.6978),(2745,1325,0.011021,3.698),(2745,1335,0.011213,3.6982),(2745,1345,0.011407,3.6984),(2745,1355,0.0116,3.6987),(2745,1365,0.011794,3.6989),(2745,1375,0.012002,3.6992),(2745,1385,0.012213,3.6994),(2745,1395,0.012424,3.6996),(2745,1405,0.012634,3.6999),(2745,1415,0.012861,3.7002),(2745,1425,0.01309,3.7004),(2745,1435,0.013319,3.7007),(2745,1445,0.013547,3.7009),(2745,1455,0.013795,3.7012),(2745,1465,0.014044,3.7015),(2745,1475,0.014292,3.7018),(2745,1485,0.014541,3.702),(2745,1495,0.014811,3.7023),(2745,1505,0.015082,3.7026),(2745,1515,0.015352,3.7029),(2745,1525,0.015623,3.7032),(2745,1535,0.015918,3.7035),(2745,1545,0.016213,3.7038),(2745,1555,0.016507,3.7041),(2745,1565,0.016804,3.7044),(2745,1575,0.017124,3.7047),(2745,1585,0.017445,3.705),(2745,1595,0.017766,3.7054),(2745,1605,0.01809,3.7057),(2745,1615,0.018439,3.706),(2745,1625,0.018789,3.7063),(2745,1635,0.019138,3.7067),(2745,1645,0.019492,3.707),(2745,1655,0.019873,3.7074),(2745,1665,0.020254,3.7077),(2745,1675,0.020635,3.7081),(2745,1685,0.021022,3.7084),(2745,1695,0.021437,3.7088),(2745,1705,0.021851,3.7091),(2745,1715,0.022266,3.7095),(2745,1725,0.022689,3.7099),(2745,1735,0.023141,3.7102),(2745,1745,0.023593,3.7106),(2745,1755,0.024045,3.711),(2745,1765,0.024508,3.7114),(2745,1775,0.025,3.7118),(2745,1785,0.025493,3.7121),(2745,1795,0.025985,3.7125),(2745,1805,0.026491,3.7129),(2745,1815,0.027028,3.7133),(2745,1825,0.027564,3.7137),(2745,1835,0.028101,3.7141),(2745,1845,0.028654,3.7145),(2745,1855,0.029238,3.715),(2745,1865,0.029823,3.7154),(2745,1875,0.030407,3.7158),(2745,1885,0.031011,3.7162),(2745,1895,0.031648,3.7166),(2745,1905,0.032284,3.717),(2745,1915,0.03292,3.7175),(2745,1925,0.03358,3.7179),(2745,1935,0.034273,3.7183),(2745,1945,0.034966,3.7188),(2745,1955,0.035658,3.7192),(2745,1965,0.036379,3.7196),(2745,1975,0.037133,3.7201),(2745,1985,0.037886,3.7205),(2745,1995,0.03864,3.7209),(2745,2005,0.039426,3.7214),(2745,2015,0.040246,3.7218),(2745,2025,0.041065,3.7223),(2745,2035,0.041885,3.7227),(2745,2045,0.042742,3.7231),(2745,2055,0.043633,3.7236),(2745,2065,0.044524,3.724),(2745,2075,0.045414,3.7245),(2745,2085,0.046349,3.7249),(2745,2095,0.047316,3.7253),(2745,2105,0.048283,3.7258),(2745,2115,0.04925,3.7262),(2745,2125,0.050268,3.7266),(2745,2135,0.051317,3.7271),(2745,2145,0.052366,3.7275),(2745,2155,0.053415,3.7279),(2745,2165,0.054522,3.7283),(2745,2175,0.055659,3.7287),(2745,2185,0.056795,3.7292),(2745,2195,0.057932,3.7296),(2745,2205,0.059134,3.73),(2745,2215,0.060364,3.7304),(2745,2225,0.061594,3.7307),(2745,2235,0.062825,3.7311),(2745,2245,0.064128,3.7315),(2745,2255,0.065457,3.7319),(2745,2265,0.066786,3.7322),(2745,2275,0.068115,3.7326),(2745,2285,0.069526,3.7329),(2745,2295,0.070959,3.7333),(2745,2305,0.072393,3.7336),(2745,2315,0.073826,3.7339),(2745,2325,0.075349,3.7342),(2745,2335,0.076893,3.7345),(2745,2345,0.078436,3.7347),(2745,2355,0.079979,3.735),(2745,2365,0.081621,3.7352),(2745,2375,0.083278,3.7355),(2745,2385,0.084936,3.7357),(2745,2395,0.086594,3.7358),(2745,2405,0.088358,3.736),(2745,2415,0.090134,3.7362),(2745,2425,0.09191,3.7363),(2745,2435,0.093686,3.7364),(2745,2445,0.095576,3.7365),(2745,2455,0.097474,3.7366),(2745,2465,0.099371,3.7367),(2745,2475,0.10127,3.7367),(2745,2485,0.10329,3.7367),(2745,2495,0.10531,3.7367),(2745,2505,0.10733,3.7366),(2745,2515,0.10935,3.7365),(2745,2525,0.1115,3.7364),(2745,2535,0.11364,3.7363),(2745,2545,0.11579,3.7361),(2745,2555,0.11794,3.7359),(2745,2565,0.12021,3.7357),(2745,2575,0.12248,3.7355),(2745,2585,0.12474,3.7351),(2745,2595,0.12702,3.7347),(2745,2605,0.12941,3.7344),(2745,2615,0.1318,3.734),(2745,2625,0.13419,3.7335),(2745,2635,0.13659,3.733),(2745,2645,0.1391,3.7325),(2745,2655,0.1416,3.7319),(2745,2665,0.14411,3.7312),(2745,2675,0.14663,3.7305),(2745,2685,0.14924,3.7298),(2745,2695,0.15186,3.7291),(2745,2705,0.15447,3.7282),(2745,2715,0.1571,3.7273),(2745,2725,0.15982,3.7264),(2745,2735,0.16253,3.7255),(2745,2745,0.16524,3.7244),(2745,2755,0.16797,3.7233),(2745,2765,0.17077,3.7222),(2745,2775,0.17357,3.721),(2745,2785,0.17637,3.7197),(2745,2795,0.17919,3.7184),(2745,2805,0.18206,3.717),(2745,2815,0.18494,3.7156),(2745,2825,0.18781,3.714),(2745,2835,0.1907,3.7124),(2745,2845,0.19363,3.7109),(2745,2855,0.19656,3.7092),(2745,2865,0.19948,3.7073),(2745,2875,0.20242,3.7055),(2745,2885,0.20539,3.7036),(2745,2895,0.20835,3.7017),(2745,2905,0.21132,3.6996),(2745,2915,0.21429,3.6974),(2745,2925,0.21727,3.6953),(2745,2935,0.22024,3.6931),(2745,2945,0.22322,3.6906),(2745,2955,0.2262,3.6882),(2745,2965,0.22917,3.6858),(2745,2975,0.23213,3.6833),(2745,2985,0.2351,3.6805),(2745,2995,0.23805,3.6778),(2745,3005,0.24099,3.6751),(2745,3015,0.24392,3.6722),(2745,3025,0.24685,3.6692),(2745,3035,0.24975,3.6662),(2745,3045,0.25262,3.6632),(2745,3055,0.25549,3.66),(2745,3065,0.25836,3.6567),(2745,3075,0.26117,3.6534),(2745,3085,0.26395,3.65),(2745,3095,0.26673,3.6465),(2745,3105,0.2695,3.6429),(2745,3115,0.2722,3.6393),(2745,3125,0.27486,3.6357),(2745,3135,0.27751,3.6319),(2745,3145,0.28016,3.6279),(2745,3155,0.28272,3.624),(2745,3165,0.28522,3.6201),(2745,3175,0.28772,3.616),(2745,3185,0.29022,3.6117),(2745,3195,0.29259,3.6075),(2745,3205,0.29491,3.6033),(2745,3215,0.29723,3.5989),(2745,3225,0.29955,3.5944),(2745,3235,0.30171,3.5899),(2745,3245,0.30381,3.5854),(2745,3255,0.30592,3.5808),(2745,3265,0.30802,3.576),(2745,3275,0.30994,3.5713),(2745,3285,0.3118,3.5665),(2745,3295,0.31366,3.5616),(2745,3305,0.31553,3.5566),(2745,3315,0.31717,3.5516),(2745,3325,0.31877,3.5467),(2745,3335,0.32036,3.5415),(2745,3345,0.32196,3.5363),(2745,3355,0.3233,3.5312),(2745,3365,0.32461,3.526),(2745,3375,0.32591,3.5206),(2745,3385,0.32721,3.5153),(2745,3395,0.32824,3.5099),(2745,3405,0.32923,3.5046),(2745,3415,0.33022,3.4991),(2745,3425,0.33121,3.4936),(2745,3435,0.3319,3.4881),(2745,3445,0.33256,3.4826),(2745,3455,0.33323,3.477),(2745,3465,0.33389,3.4714),(2745,3475,0.33422,3.4658),(2745,3485,0.33455,3.4602),(2745,3495,0.33487,3.4545),(2745,3505,0.33519,3.4489),(2745,3515,0.33517,3.4432),(2745,3525,0.33514,3.4376),(2745,3535,0.33512,3.4319),(2745,3545,0.33508,3.4262),(2745,3555,0.33471,3.4205),(2745,3565,0.33434,3.4149),(2745,3575,0.33397,3.4092),(2745,3585,0.33357,3.4035),(2745,3595,0.33286,3.3979),(2745,3605,0.33215,3.3922),(2745,3615,0.33144,3.3867),(2745,3625,0.33069,3.3811),(2745,3635,0.32965,3.3755),(2745,3645,0.32861,3.3699),(2745,3655,0.32757,3.3644),(2745,3665,0.32648,3.3589),(2745,3675,0.32513,3.3534),(2745,3685,0.32378,3.348),(2745,3695,0.32242,3.3426),(2745,3705,0.32102,3.3373),(2745,3715,0.31938,3.3319),(2745,3725,0.31774,3.3266),(2745,3735,0.3161,3.3214),(2745,3745,0.31439,3.3162),(2745,3755,0.31249,3.311),(2745,3765,0.31059,3.3059),(2745,3775,0.30869,3.3009),(2745,3785,0.30672,3.2959),(2745,3795,0.30458,3.2909),(2745,3805,0.30244,3.2859),(2745,3815,0.30031,3.2811),(2745,3825,0.2981,3.2763),(2745,3835,0.29576,3.2715),(2745,3845,0.29342,3.2668),(2745,3855,0.29107,3.2622),(2745,3865,0.28866,3.2576),(2745,3875,0.28614,3.253),(2745,3885,0.28362,3.2485),(2745,3895,0.28109,3.2441),(2745,3905,0.31695,3.2397),(2745,3915,0.41014,3.2353),(2745,3925,0.50334,3.2289),(2745,3935,0.59653,3.2199),(2745,3945,0.69352,3.2109),(2745,3955,0.79534,3.2019),(2745,3965,0.89716,3.1907),(2745,3975,0.99898,3.177),(2745,3985,1.0565,3.1632),(2745,3995,1.0659,3.1495),(2745,4005,1.0754,3.1357),(2745,4015,1.0849,3.1219),(2745,4025,1.0955,3.1081),(2745,4035,1.1062,3.0942),(2745,4045,1.1169,3.0803),(2745,4055,1.1277,3.0663),(2745,4065,1.1384,3.0524),(2745,4075,1.1492,3.0382),(2745,4085,1.1596,3.024),(2745,4095,1.1697,3.0098),(2745,4105,1.1797,2.9952),(2745,4115,1.1476,2.9806),(2745,4125,1.0453,2.966),(2745,4135,0.94309,2.9541),(2745,4145,0.83922,2.943),(2745,4155,0.7287,2.9319),(2745,4165,0.61819,2.9237),(2745,4175,0.51435,2.9172),(2745,4185,0.74099,2.9107),(2745,4195,0.96763,2.9006),(2745,4205,1.1943,2.8856),(2745,4215,1.2179,2.8707),(2745,4225,1.2033,2.8554),(2745,4235,1.1887,2.8391),(2745,4245,1.1399,2.8228),(2745,4255,1.0737,2.8065),(2745,4265,1.0076,2.7906),(2745,4275,0.86773,2.7747),(2745,4285,0.64967,2.7588),(2745,4295,0.4316,2.7524),(2745,4305,0.36671,2.7471),(2745,4315,0.64768,2.7419),(2745,4325,0.92865,2.7288),(2745,4335,1.1799,2.7126),(2745,4345,1.2301,2.6964),(2745,4355,1.2803,2.6798),(2745,4365,1.3305,2.6629),(2745,4375,1.3441,2.6459),(2745,4385,1.3558,2.6291),(2745,4395,1.3675,2.6126),(2745,4405,1.2058,2.596),(2745,4415,0.99296,2.5809),(2745,4425,0.78015,2.5726),(2745,4435,0.69445,2.5643),(2745,4445,0.69562,2.556),(2745,4455,0.69679,2.5474),(2745,4465,0.79537,2.5388),(2745,4475,1.0308,2.5303),(2745,4485,1.2663,2.5158),(2745,4495,1.4477,2.5001),(2745,4505,1.4561,2.4844),(2745,4515,1.4645,2.4687),(2745,4525,1.4698,2.453),(2745,4535,1.427,2.4374),(2745,4545,1.3841,2.4219),(2745,4555,1.3413,2.4068),(2745,4565,1.0294,2.3916),(2745,4575,0.68118,2.3799),(2745,4585,0.33297,2.3765),(2745,4595,0.42597,2.3731),(2745,4605,0.70538,2.3683),(2745,4615,0.98479,2.3522),(2745,4625,1.1691,2.3362),(2745,4635,1.2674,2.3201),(2745,4645,1.3656,2.3033),(2745,4655,1.4406,2.2865),(2745,4665,1.4717,2.2696),(2745,4675,1.5029,2.2533),(2745,4685,1.4768,2.2372),(2745,4695,1.1678,2.221),(2745,4705,0.85885,2.2107),(2745,4715,0.5499,2.2046),(2745,4725,0.71194,2.1985),(2745,4735,0.87869,2.1906),(2745,4745,1.0454,2.18),(2745,4755,1.214,2.1694),(2745,4765,1.383,2.1578),(2745,4775,1.552,2.1428),(2745,4785,1.6179,2.1279),(2745,4795,1.6242,2.1129),(2745,4805,1.6306,2.098),(2745,4815,1.5569,2.0831),(2745,4825,1.3875,2.0683),(2745,4835,1.2181,2.0575),(2745,4845,1.0474,2.0474),(2745,4855,0.87336,2.0373),(2745,4865,0.69928,2.0309),(2745,4875,0.57869,2.0261),(2745,4885,0.94474,2.0213),(2745,4895,1.3108,2.012),(2745,4905,1.6769,1.9984),(2745,4915,1.6982,1.9848),(2745,4925,1.6899,1.9709),(2745,4935,1.6816,1.9567),(2745,4945,1.6129,1.9424),(2745,4955,1.5234,1.9279),(2745,4965,1.4339,1.9125),(2745,4975,1.172,1.897),(2745,4985,0.77701,1.8815),(2745,4995,0.38205,1.8796),(2745,5005,0.28661,1.878),(2745,5015,0.66734,1.8764),(2745,5025,1.0481,1.8679),(2745,5035,1.3764,1.8577),(2745,5045,1.5052,1.8475),(2745,5055,1.6339,1.8355),(2745,5065,1.759,1.8225),(2745,5075,1.7637,1.8096),(2745,5085,1.7684,1.7966),(2745,5095,1.7731,1.7837),(2745,5105,1.5523,1.7708),(2745,5115,1.2922,1.7595),(2745,5125,1.032,1.7525),(2745,5135,0.90511,1.7456),(2745,5145,0.84285,1.7388),(2745,5155,0.78058,1.7334),(2745,5165,0.92216,1.7281),(2745,5175,1.2717,1.7227),(2745,5185,1.6211,1.7108),(2745,5195,1.8613,1.6983),(2745,5205,1.8657,1.6857),(2745,5215,1.8702,1.6732),(2745,5225,1.8646,1.6608),(2745,5235,1.7974,1.6484),(2745,5245,1.7301,1.6369),(2745,5255,1.6628,1.6261),(2745,5265,1.1731,1.6153),(2745,5275,0.66586,1.6084),(2745,5285,0.15866,1.6079),(2745,5295,0.44591,1.6074),(2745,5305,0.95441,1.604),(2745,5315,1.4629,1.5886),(2745,5325,1.7112,1.5732),(2745,5335,1.7889,1.5578),(2745,5345,1.8665,1.5445),(2745,5355,1.9153,1.5312),(2745,5365,1.9253,1.5178),(2745,5375,1.9352,1.505),(2745,5385,1.8321,1.4922),(2745,5395,1.3851,1.4794),(2745,5405,0.93819,1.4727),(2745,5415,0.54098,1.4693),(2745,5425,0.81157,1.4658),(2745,5435,1.0822,1.4594),(2745,5445,1.3528,1.4499),(2745,5455,1.6113,1.4404),(2745,5465,1.8685,1.4293),(2745,5475,2.1256,1.4145),(2745,5485,2.2038,1.3998),(2745,5495,2.21,1.3851),(2745,5505,2.2162,1.3708),(2745,5515,2.2224,1.3566),(2745,5525,2.2285,1.3423),(2745,5535,2.2346,1.3284),(2745,5545,2.2406,1.3146),(2745,5555,2.2462,1.3007),(2745,5565,2.2519,1.2872),(2745,5575,2.2575,1.2737),(2745,5585,2.2627,1.2603),(2745,5595,2.2679,1.247),(2745,5605,2.2731,1.234),(2745,5615,2.2779,1.2209),(2745,5625,2.2827,1.208),(2745,5635,2.2875,1.1953),(2745,5645,2.2919,1.1826),(2745,5655,2.2964,1.17),(2745,5665,2.3008,1.1577),(2745,5675,2.3049,1.1454),(2745,5685,2.309,1.133),(2745,5695,2.313,1.121),(2745,5705,2.3169,1.109),(2745,5715,2.3206,1.097),(2745,5725,2.3243,1.0853),(2745,5735,2.328,1.0735),(2745,5745,2.3313,1.0618),(2745,5755,2.3347,1.0503),(2745,5765,2.3381,1.0389),(2745,5775,2.3412,1.0275),(2745,5785,2.3443,1.0162),(2745,5795,2.3474,1.0051),(2745,5805,2.3502,0.99396),(2745,5815,2.3531,0.98292),(2745,5825,2.3559,0.97205),(2745,5835,2.3585,0.96117),(2745,5845,2.3611,0.95034),(2745,5855,2.3637,0.93972),(2745,5865,2.3661,0.92909),(2745,5875,2.3684,0.91846),(2745,5885,2.3708,0.90807),(2745,5895,2.373,0.89769),(2745,5905,2.3752,0.8873),(2745,5915,2.3773,0.87711),(2745,5925,2.3793,0.86697),(2745,5935,2.3813,0.85683),(2745,5945,2.3832,0.84682),(2745,5955,2.3851,0.83689),(2745,5965,2.3869,0.82697),(2745,5975,2.3886,0.81713),(2745,5985,2.3904,0.8074),(2745,5995,1.828,0.79768),(2745,6005,1.1747,0.79024),(2745,6015,0.52145,0.78895),(2745,6025,0.62635,0.78765),(2745,6035,1.0829,0.78545),(2745,6045,1.5394,0.7746),(2745,6055,1.8589,0.76375),(2745,6065,2.0441,0.7529),(2745,6075,2.2292,0.73886),(2745,6085,2.3551,0.72452),(2745,6095,2.3589,0.71019),(2745,6105,2.3627,0.69586),(2745,6115,2.3664,0.68153),(2745,6125,2.37,0.6672),(2745,6135,2.3736,0.65295),(2745,6145,2.3771,0.63875),(2745,6155,2.3804,0.62454),(2745,6165,2.3837,0.61043),(2745,6175,2.3871,0.59645),(2745,6185,2.3902,0.58248),(2745,6195,2.3932,0.56851),(2745,6205,2.3963,0.55456),(2745,6215,2.3992,0.54061),(2745,6225,2.402,0.52667),(2745,6235,2.4048,0.51275),(2745,6245,2.4075,0.49883),(2745,6255,2.41,0.48491),(2745,6265,2.4126,0.47109),(2745,6275,2.415,0.45729),(2745,6285,2.4174,0.44349),(2745,6295,2.4197,0.42974),(2745,6305,2.422,0.41602),(2745,6315,2.424,0.4023),(2745,6325,2.4261,0.38863),(2745,6335,2.4281,0.375),(2745,6345,2.43,0.36137),(2745,6355,2.4318,0.34775),(2745,6365,2.4336,0.33416),(2745,6375,2.4353,0.32058),(2745,6385,2.4369,0.30699),(2745,6395,2.4385,0.29342),(2745,6405,2.44,0.27985),(2745,6415,2.4414,0.26628),(2745,6425,2.4428,0.2528),(2745,6435,2.4441,0.23932),(2745,6445,2.4453,0.22585),(2745,6455,2.4465,0.2124),(2745,6465,2.4476,0.19896),(2745,6475,2.4485,0.18552),(2745,6485,2.4495,0.17209),(2745,6495,2.4505,0.15865),(2745,6505,2.4512,0.14522),(2745,6515,2.4519,0.13181),(2745,6525,2.4527,0.11842),(2745,6535,2.4532,0.10503),(2745,6545,2.4537,0.091645),(2745,6555,2.4542,0.078252),(2745,6565,2.4546,0.064858),(2745,6575,2.4549,0.051467),(2745,6585,2.4551,0.038099),(2745,6595,2.0883,0.024732),(2745,6605,1.3162,0.011364),(2745,6615,0.54404,0.009839),(2745,6625,0.001236,0.009836),(2745,6635,0.001235,0.009833),(2745,6645,0.001234,0.009824),(2745,6655,0.001233,0.009813),(2745,6665,0.001232,0.009801),(2745,6675,0.001231,0.00979),(2745,6685,0.00123,0.009779),(2745,6695,0.001229,0.009768),(2745,6705,0.001228,0.009757),(2745,6715,0.001228,0.009746),(2745,6725,0.001227,0.009736),(2745,6735,0.001226,0.009725),(2745,6745,0.001225,0.009714),(2745,6755,0.001224,0.009704),(2745,6765,0.001224,0.009693),(2745,6775,0.001223,0.009683),(2745,6785,0.001222,0.009672),(2745,6795,0.001221,0.009662),(2745,6805,0.001221,0.009651),(2745,6815,0.00122,0.009641),(2745,6825,0.001219,0.009631),(2745,6835,0.001219,0.00962),(2745,6845,0.001218,0.00961),(2745,6855,0.001218,0.0096),(2745,6865,0.001217,0.00959),(2745,6875,0.001216,0.009579),(2745,6885,0.001216,0.009569),(2745,6895,0.001215,0.009559),(2745,6905,0.001215,0.009549),(2745,6915,0.001214,0.009539),(2745,6925,0.001214,0.009529),(2745,6935,0.001213,0.009519),(2745,6945,0.001213,0.009509),(2745,6955,0.001212,0.009499),(2745,6965,0.001212,0.009489),(2745,6975,0.001211,0.009479),(2745,6985,0.001211,0.00947),(2755,5,2.6e-05,3.6872),(2755,15,7.9e-05,3.6872),(2755,25,0.000132,3.6872),(2755,35,0.000185,3.6872),(2755,45,0.000238,3.6872),(2755,55,0.000291,3.6872),(2755,65,0.000344,3.6872),(2755,75,0.000397,3.6872),(2755,85,0.00045,3.6872),(2755,95,0.000503,3.6872),(2755,105,0.000556,3.6872),(2755,115,0.000609,3.6872),(2755,125,0.000662,3.6873),(2755,135,0.000715,3.6873),(2755,145,0.000769,3.6873),(2755,155,0.000822,3.6873),(2755,165,0.000875,3.6873),(2755,175,0.000929,3.6873),(2755,185,0.000982,3.6873),(2755,195,0.001036,3.6873),(2755,205,0.001089,3.6874),(2755,215,0.001143,3.6874),(2755,225,0.001197,3.6874),(2755,235,0.001251,3.6874),(2755,245,0.001305,3.6874),(2755,255,0.001358,3.6874),(2755,265,0.001413,3.6875),(2755,275,0.001467,3.6875),(2755,285,0.001521,3.6875),(2755,295,0.001575,3.6875),(2755,305,0.00163,3.6876),(2755,315,0.001685,3.6876),(2755,325,0.001739,3.6876),(2755,335,0.001794,3.6876),(2755,345,0.001849,3.6877),(2755,355,0.001905,3.6877),(2755,365,0.00196,3.6877),(2755,375,0.002015,3.6877),(2755,385,0.002071,3.6878),(2755,395,0.002128,3.6878),(2755,405,0.002184,3.6878),(2755,415,0.00224,3.6879),(2755,425,0.002297,3.6879),(2755,435,0.002354,3.6879),(2755,445,0.002411,3.688),(2755,455,0.002468,3.688),(2755,465,0.002525,3.6881),(2755,475,0.002583,3.6881),(2755,485,0.002641,3.6881),(2755,495,0.002699,3.6882),(2755,505,0.002758,3.6882),(2755,515,0.002816,3.6883),(2755,525,0.002875,3.6883),(2755,535,0.002934,3.6884),(2755,545,0.002995,3.6884),(2755,555,0.003055,3.6885),(2755,565,0.003115,3.6885),(2755,575,0.003176,3.6886),(2755,585,0.003238,3.6886),(2755,595,0.0033,3.6887),(2755,605,0.003361,3.6887),(2755,615,0.003424,3.6888),(2755,625,0.003488,3.6889),(2755,635,0.003551,3.6889),(2755,645,0.003615,3.689),(2755,655,0.003679,3.6891),(2755,665,0.003745,3.6891),(2755,675,0.003811,3.6892),(2755,685,0.003876,3.6893),(2755,695,0.003943,3.6893),(2755,705,0.004011,3.6894),(2755,715,0.004079,3.6895),(2755,725,0.004147,3.6895),(2755,735,0.004216,3.6896),(2755,745,0.004287,3.6897),(2755,755,0.004357,3.6898),(2755,765,0.004428,3.6899),(2755,775,0.0045,3.6899),(2755,785,0.004574,3.69),(2755,795,0.004648,3.6901),(2755,805,0.004722,3.6902),(2755,815,0.004797,3.6903),(2755,825,0.004875,3.6904),(2755,835,0.004953,3.6905),(2755,845,0.00503,3.6906),(2755,855,0.005109,3.6907),(2755,865,0.005191,3.6908),(2755,875,0.005272,3.6909),(2755,885,0.005354,3.691),(2755,895,0.005437,3.6911),(2755,905,0.005523,3.6912),(2755,915,0.005609,3.6913),(2755,925,0.005695,3.6914),(2755,935,0.005784,3.6916),(2755,945,0.005875,3.6917),(2755,955,0.005966,3.6918),(2755,965,0.006057,3.6919),(2755,975,0.006151,3.692),(2755,985,0.006248,3.6922),(2755,995,0.006345,3.6923),(2755,1005,0.006442,3.6924),(2755,1015,0.006542,3.6926),(2755,1025,0.006646,3.6927),(2755,1035,0.006749,3.6928),(2755,1045,0.006853,3.693),(2755,1055,0.00696,3.6931),(2755,1065,0.007071,3.6933),(2755,1075,0.007182,3.6934),(2755,1085,0.007292,3.6936),(2755,1095,0.007408,3.6937),(2755,1105,0.007527,3.6939),(2755,1115,0.007645,3.6941),(2755,1125,0.007764,3.6942),(2755,1135,0.007888,3.6944),(2755,1145,0.008016,3.6946),(2755,1155,0.008144,3.6947),(2755,1165,0.008272,3.6949),(2755,1175,0.008406,3.6951),(2755,1185,0.008544,3.6953),(2755,1195,0.008682,3.6955),(2755,1205,0.008819,3.6957),(2755,1215,0.008965,3.6959),(2755,1225,0.009114,3.696),(2755,1235,0.009263,3.6962),(2755,1245,0.009412,3.6964),(2755,1255,0.00957,3.6966),(2755,1265,0.009731,3.6969),(2755,1275,0.009893,3.6971),(2755,1285,0.010054,3.6973),(2755,1295,0.010226,3.6975),(2755,1305,0.0104,3.6977),(2755,1315,0.010575,3.6979),(2755,1325,0.010749,3.6982),(2755,1335,0.010936,3.6984),(2755,1345,0.011126,3.6986),(2755,1355,0.011316,3.6989),(2755,1365,0.011505,3.6991),(2755,1375,0.011709,3.6994),(2755,1385,0.011915,3.6996),(2755,1395,0.012121,3.6999),(2755,1405,0.012328,3.7001),(2755,1415,0.01255,3.7004),(2755,1425,0.012774,3.7006),(2755,1435,0.012999,3.7009),(2755,1445,0.013223,3.7012),(2755,1455,0.013466,3.7015),(2755,1465,0.01371,3.7017),(2755,1475,0.013954,3.702),(2755,1485,0.014198,3.7023),(2755,1495,0.014463,3.7026),(2755,1505,0.014729,3.7029),(2755,1515,0.014995,3.7032),(2755,1525,0.015261,3.7035),(2755,1535,0.015551,3.7038),(2755,1545,0.01584,3.7041),(2755,1555,0.01613,3.7044),(2755,1565,0.016421,3.7047),(2755,1575,0.016737,3.705),(2755,1585,0.017053,3.7054),(2755,1595,0.017368,3.7057),(2755,1605,0.017687,3.706),(2755,1615,0.018031,3.7064),(2755,1625,0.018376,3.7067),(2755,1635,0.01872,3.707),(2755,1645,0.019069,3.7074),(2755,1655,0.019444,3.7077),(2755,1665,0.01982,3.7081),(2755,1675,0.020195,3.7085),(2755,1685,0.020577,3.7088),(2755,1695,0.020986,3.7092),(2755,1705,0.021396,3.7095),(2755,1715,0.021805,3.7099),(2755,1725,0.022223,3.7103),(2755,1735,0.02267,3.7107),(2755,1745,0.023116,3.7111),(2755,1755,0.023563,3.7115),(2755,1765,0.02402,3.7118),(2755,1775,0.024507,3.7122),(2755,1785,0.024994,3.7126),(2755,1795,0.025481,3.713),(2755,1805,0.025982,3.7135),(2755,1815,0.026513,3.7139),(2755,1825,0.027044,3.7143),(2755,1835,0.027575,3.7147),(2755,1845,0.028123,3.7151),(2755,1855,0.028702,3.7155),(2755,1865,0.029282,3.716),(2755,1875,0.029861,3.7164),(2755,1885,0.03046,3.7168),(2755,1895,0.031091,3.7173),(2755,1905,0.031722,3.7177),(2755,1915,0.032354,3.7181),(2755,1925,0.033009,3.7186),(2755,1935,0.033697,3.719),(2755,1945,0.034385,3.7195),(2755,1955,0.035073,3.7199),(2755,1965,0.035789,3.7204),(2755,1975,0.036538,3.7208),(2755,1985,0.037287,3.7213),(2755,1995,0.038037,3.7217),(2755,2005,0.038819,3.7222),(2755,2015,0.039634,3.7226),(2755,2025,0.04045,3.7231),(2755,2035,0.041266,3.7235),(2755,2045,0.04212,3.724),(2755,2055,0.043007,3.7245),(2755,2065,0.043894,3.7249),(2755,2075,0.044782,3.7254),(2755,2085,0.045714,3.7258),(2755,2095,0.046678,3.7263),(2755,2105,0.047643,3.7267),(2755,2115,0.048608,3.7272),(2755,2125,0.049624,3.7276),(2755,2135,0.050671,3.7281),(2755,2145,0.051719,3.7285),(2755,2155,0.052766,3.729),(2755,2165,0.053872,3.7294),(2755,2175,0.055009,3.7299),(2755,2185,0.056145,3.7303),(2755,2195,0.057281,3.7307),(2755,2205,0.058484,3.7312),(2755,2215,0.059715,3.7316),(2755,2225,0.060947,3.732),(2755,2235,0.062178,3.7324),(2755,2245,0.063483,3.7328),(2755,2255,0.064815,3.7332),(2755,2265,0.066147,3.7336),(2755,2275,0.067479,3.7339),(2755,2285,0.068894,3.7343),(2755,2295,0.070332,3.7347),(2755,2305,0.07177,3.735),(2755,2315,0.073209,3.7353),(2755,2325,0.074738,3.7357),(2755,2335,0.076288,3.736),(2755,2345,0.077839,3.7363),(2755,2355,0.079389,3.7366),(2755,2365,0.081039,3.7368),(2755,2375,0.082706,3.7371),(2755,2385,0.084373,3.7373),(2755,2395,0.086041,3.7376),(2755,2405,0.087816,3.7378),(2755,2415,0.089605,3.738),(2755,2425,0.091393,3.7381),(2755,2435,0.093182,3.7383),(2755,2445,0.095086,3.7384),(2755,2455,0.096999,3.7385),(2755,2465,0.098912,3.7386),(2755,2475,0.10083,3.7386),(2755,2485,0.10286,3.7387),(2755,2495,0.1049,3.7387),(2755,2505,0.10694,3.7387),(2755,2515,0.10898,3.7386),(2755,2525,0.11115,3.7385),(2755,2535,0.11332,3.7385),(2755,2545,0.11549,3.7383),(2755,2555,0.11766,3.7381),(2755,2565,0.11996,3.7379),(2755,2575,0.12225,3.7377),(2755,2585,0.12454,3.7374),(2755,2595,0.12685,3.7371),(2755,2605,0.12927,3.7368),(2755,2615,0.13169,3.7364),(2755,2625,0.13411,3.7359),(2755,2635,0.13654,3.7354),(2755,2645,0.13908,3.735),(2755,2655,0.14162,3.7344),(2755,2665,0.14416,3.7338),(2755,2675,0.14672,3.7331),(2755,2685,0.14937,3.7324),(2755,2695,0.15202,3.7317),(2755,2705,0.15468,3.7309),(2755,2715,0.15735,3.73),(2755,2725,0.1601,3.7291),(2755,2735,0.16286,3.7282),(2755,2745,0.16562,3.7272),(2755,2755,0.16839,3.7261),(2755,2765,0.17124,3.725),(2755,2775,0.17409,3.7238),(2755,2785,0.17694,3.7225),(2755,2795,0.1798,3.7212),(2755,2805,0.18273,3.7199),(2755,2815,0.18565,3.7185),(2755,2825,0.18858,3.7169),(2755,2835,0.19152,3.7154),(2755,2845,0.1945,3.7138),(2755,2855,0.19749,3.7121),(2755,2865,0.20047,3.7103),(2755,2875,0.20347,3.7085),(2755,2885,0.20649,3.7066),(2755,2895,0.20951,3.7047),(2755,2905,0.21254,3.7025),(2755,2915,0.21557,3.7004),(2755,2925,0.21861,3.6983),(2755,2935,0.22165,3.696),(2755,2945,0.22469,3.6936),(2755,2955,0.22772,3.6912),(2755,2965,0.23075,3.6888),(2755,2975,0.23379,3.6862),(2755,2985,0.23682,3.6835),(2755,2995,0.23983,3.6808),(2755,3005,0.24283,3.6781),(2755,3015,0.24583,3.6752),(2755,3025,0.24883,3.6722),(2755,3035,0.25179,3.6691),(2755,3045,0.25473,3.6661),(2755,3055,0.25766,3.6629),(2755,3065,0.2606,3.6595),(2755,3075,0.26348,3.6562),(2755,3085,0.26632,3.6528),(2755,3095,0.26917,3.6493),(2755,3105,0.27201,3.6457),(2755,3115,0.27478,3.642),(2755,3125,0.2775,3.6383),(2755,3135,0.28021,3.6345),(2755,3145,0.28293,3.6305),(2755,3155,0.28555,3.6266),(2755,3165,0.28812,3.6226),(2755,3175,0.29068,3.6184),(2755,3185,0.29324,3.6142),(2755,3195,0.29568,3.6099),(2755,3205,0.29806,3.6057),(2755,3215,0.30044,3.6012),(2755,3225,0.30281,3.5967),(2755,3235,0.30503,3.5921),(2755,3245,0.3072,3.5876),(2755,3255,0.30936,3.5828),(2755,3265,0.31152,3.578),(2755,3275,0.31349,3.5732),(2755,3285,0.3154,3.5684),(2755,3295,0.31732,3.5634),(2755,3305,0.31923,3.5584),(2755,3315,0.32093,3.5533),(2755,3325,0.32257,3.5483),(2755,3335,0.32421,3.5431),(2755,3345,0.32585,3.5378),(2755,3355,0.32724,3.5326),(2755,3365,0.32858,3.5273),(2755,3375,0.32992,3.5219),(2755,3385,0.33126,3.5164),(2755,3395,0.33232,3.511),(2755,3405,0.33335,3.5056),(2755,3415,0.33437,3.5),(2755,3425,0.33539,3.4944),(2755,3435,0.3361,3.4888),(2755,3445,0.33679,3.4833),(2755,3455,0.33747,3.4776),(2755,3465,0.33816,3.4719),(2755,3475,0.33851,3.4662),(2755,3485,0.33885,3.4605),(2755,3495,0.33918,3.4548),(2755,3505,0.33952,3.449),(2755,3515,0.3395,3.4433),(2755,3525,0.33948,3.4375),(2755,3535,0.33946,3.4318),(2755,3545,0.33943,3.426),(2755,3555,0.33905,3.4202),(2755,3565,0.33868,3.4145),(2755,3575,0.3383,3.4087),(2755,3585,0.3379,3.403),(2755,3595,0.33718,3.3973),(2755,3605,0.33645,3.3915),(2755,3615,0.33573,3.3858),(2755,3625,0.33496,3.3802),(2755,3635,0.3339,3.3745),(2755,3645,0.33284,3.3688),(2755,3655,0.33178,3.3633),(2755,3665,0.33066,3.3577),(2755,3675,0.32928,3.3521),(2755,3685,0.3279,3.3466),(2755,3695,0.32652,3.3412),(2755,3705,0.32508,3.3357),(2755,3715,0.32341,3.3303),(2755,3725,0.32173,3.3249),(2755,3735,0.32006,3.3197),(2755,3745,0.31832,3.3144),(2755,3755,0.31638,3.3092),(2755,3765,0.31444,3.304),(2755,3775,0.31249,3.2989),(2755,3785,0.31048,3.2938),(2755,3795,0.30831,3.2888),(2755,3805,0.30613,3.2838),(2755,3815,0.30395,3.2789),(2755,3825,0.3017,3.2741),(2755,3835,0.29932,3.2692),(2755,3845,0.29693,3.2644),(2755,3855,0.29455,3.2598),(2755,3865,0.2921,3.2551),(2755,3875,0.28953,3.2505),(2755,3885,0.28697,3.2459),(2755,3895,0.2844,3.2415),(2755,3905,0.32056,3.2371),(2755,3915,0.41456,3.2326),(2755,3925,0.50855,3.2262),(2755,3935,0.60255,3.2171),(2755,3945,0.70034,3.2081),(2755,3955,0.80294,3.199),(2755,3965,0.90554,3.1877),(2755,3975,1.0081,3.1739),(2755,3985,1.066,3.1601),(2755,3995,1.0755,3.1464),(2755,4005,1.0849,3.1325),(2755,4015,1.0944,3.1187),(2755,4025,1.105,3.1048),(2755,4035,1.1157,3.0909),(2755,4045,1.1264,3.0769),(2755,4055,1.1372,3.0629),(2755,4065,1.148,3.0489),(2755,4075,1.1588,3.0347),(2755,4085,1.1692,3.0204),(2755,4095,1.1794,3.0062),(2755,4105,1.1896,2.9915),(2755,4115,1.1572,2.9768),(2755,4125,1.0543,2.9621),(2755,4135,0.95136,2.9501),(2755,4145,0.84673,2.9389),(2755,4155,0.73519,2.9277),(2755,4165,0.62365,2.9193),(2755,4175,0.51884,2.9127),(2755,4185,0.74722,2.9062),(2755,4195,0.97559,2.8959),(2755,4205,1.204,2.8809),(2755,4215,1.2282,2.8659),(2755,4225,1.2141,2.8505),(2755,4235,1.2,2.8341),(2755,4245,1.1514,2.8177),(2755,4255,1.0854,2.8014),(2755,4265,1.0194,2.7854),(2755,4275,0.8784,2.7694),(2755,4285,0.65791,2.7534),(2755,4295,0.43741,2.7469),(2755,4305,0.37154,2.7416),(2755,4315,0.65483,2.7363),(2755,4325,0.93812,2.7231),(2755,4335,1.1914,2.7068),(2755,4345,1.2416,2.6905),(2755,4355,1.2919,2.6738),(2755,4365,1.3421,2.6567),(2755,4375,1.3556,2.6396),(2755,4385,1.3671,2.6227),(2755,4395,1.3786,2.606),(2755,4405,1.2155,2.5894),(2755,4415,1.0009,2.5742),(2755,4425,0.78636,2.5659),(2755,4435,0.69995,2.5575),(2755,4445,0.70112,2.5492),(2755,4455,0.70229,2.5408),(2755,4465,0.80145,2.5324),(2755,4475,1.0383,2.524),(2755,4485,1.2751,2.5096),(2755,4495,1.4576,2.4938),(2755,4505,1.466,2.478),(2755,4515,1.4743,2.4622),(2755,4525,1.4796,2.4464),(2755,4535,1.4368,2.4306),(2755,4545,1.394,2.415),(2755,4555,1.3512,2.3997),(2755,4565,1.0372,2.3843),(2755,4575,0.68669,2.3725),(2755,4585,0.33616,2.369),(2755,4595,0.43047,2.3656),(2755,4605,0.71274,2.3607),(2755,4615,0.99501,2.3445),(2755,4625,1.1806,2.3282),(2755,4635,1.2787,2.312),(2755,4645,1.3768,2.2951),(2755,4655,1.4516,2.2782),(2755,4665,1.4824,2.2612),(2755,4675,1.5131,2.2449),(2755,4685,1.4864,2.2287),(2755,4695,1.1755,2.2125),(2755,4705,0.86467,2.2022),(2755,4715,0.55378,2.1961),(2755,4725,0.71656,2.19),(2755,4735,0.88408,2.1821),(2755,4745,1.0516,2.1715),(2755,4755,1.2209,2.1609),(2755,4765,1.3906,2.1493),(2755,4775,1.5603,2.1343),(2755,4785,1.6264,2.1193),(2755,4795,1.6327,2.1043),(2755,4805,1.639,2.0894),(2755,4815,1.5649,2.0745),(2755,4825,1.3947,2.0596),(2755,4835,1.2245,2.0488),(2755,4845,1.0529,2.0387),(2755,4855,0.87784,2.0285),(2755,4865,0.70277,2.0221),(2755,4875,0.58142,2.0173),(2755,4885,0.9488,2.0125),(2755,4895,1.3162,2.0032),(2755,4905,1.6836,1.9896),(2755,4915,1.7052,1.976),(2755,4925,1.6972,1.9621),(2755,4935,1.6891,1.9478),(2755,4945,1.621,1.9335),(2755,4955,1.5322,1.919),(2755,4965,1.4434,1.9035),(2755,4975,1.1802,1.8879),(2755,4985,0.78251,1.8724),(2755,4995,0.38479,1.8705),(2755,5005,0.28812,1.8688),(2755,5015,0.67006,1.8672),(2755,5025,1.052,1.8587),(2755,5035,1.3814,1.8485),(2755,5045,1.5105,1.8382),(2755,5055,1.6396,1.8263),(2755,5065,1.765,1.8133),(2755,5075,1.7697,1.8003),(2755,5085,1.7743,1.7873),(2755,5095,1.779,1.7744),(2755,5105,1.5574,1.7614),(2755,5115,1.2965,1.7501),(2755,5125,1.0355,1.7432),(2755,5135,0.90812,1.7362),(2755,5145,0.84561,1.7294),(2755,5155,0.78309,1.7241),(2755,5165,0.92498,1.7187),(2755,5175,1.2754,1.7134),(2755,5185,1.6257,1.7015),(2755,5195,1.8665,1.6889),(2755,5205,1.8708,1.6763),(2755,5215,1.8752,1.6639),(2755,5225,1.8696,1.6515),(2755,5235,1.8021,1.6391),(2755,5245,1.7346,1.6276),(2755,5255,1.6671,1.6168),(2755,5265,1.1761,1.606),(2755,5275,0.66766,1.5991),(2755,5285,0.15923,1.5985),(2755,5295,0.44828,1.598),(2755,5305,0.9594,1.5947),(2755,5315,1.4705,1.5793),(2755,5325,1.7193,1.5639),(2755,5335,1.796,1.5485),(2755,5345,1.8728,1.5352),(2755,5355,1.921,1.5219),(2755,5365,1.9307,1.5086),(2755,5375,1.9404,1.4957),(2755,5385,1.8368,1.483),(2755,5395,1.3888,1.4702),(2755,5405,0.94067,1.4635),(2755,5415,0.54244,1.4601),(2755,5425,0.81385,1.4566),(2755,5435,1.0853,1.4503),(2755,5445,1.3567,1.4408),(2755,5455,1.6159,1.4314),(2755,5465,1.8737,1.4204),(2755,5475,2.1314,1.4057),(2755,5485,2.2097,1.3911),(2755,5495,2.2157,1.3765),(2755,5505,2.2218,1.3623),(2755,5515,2.2278,1.3481),(2755,5525,2.2337,1.334),(2755,5535,2.2397,1.3202),(2755,5545,2.2455,1.3064),(2755,5555,2.251,1.2927),(2755,5565,2.2565,1.2792),(2755,5575,2.262,1.2659),(2755,5585,2.267,1.2525),(2755,5595,2.2721,1.2394),(2755,5605,2.2772,1.2264),(2755,5615,2.2819,1.2134),(2755,5625,2.2865,1.2006),(2755,5635,2.2912,1.188),(2755,5645,2.2955,1.1754),(2755,5655,2.2998,1.1629),(2755,5665,2.3041,1.1506),(2755,5675,2.3082,1.1384),(2755,5685,2.3121,1.1262),(2755,5695,2.316,1.1142),(2755,5705,2.3198,1.1023),(2755,5715,2.3234,1.0904),(2755,5725,2.327,1.0787),(2755,5735,2.3305,1.0671),(2755,5745,2.3338,1.0554),(2755,5755,2.3371,1.044),(2755,5765,2.3404,1.0327),(2755,5775,2.3434,1.0213),(2755,5785,2.3464,1.0102),(2755,5795,2.3494,0.9991),(2755,5805,2.3522,0.98805),(2755,5815,2.3549,0.97708),(2755,5825,2.3576,0.96629),(2755,5835,2.3602,0.95549),(2755,5845,2.3627,0.94474),(2755,5855,2.3652,0.93418),(2755,5865,2.3675,0.92363),(2755,5875,2.3698,0.91308),(2755,5885,2.372,0.90277),(2755,5895,2.3742,0.89246),(2755,5905,2.3762,0.88215),(2755,5915,2.3783,0.87203),(2755,5925,2.3803,0.86196),(2755,5935,2.3821,0.85189),(2755,5945,2.384,0.84195),(2755,5955,2.3858,0.83209),(2755,5965,2.3875,0.82224),(2755,5975,2.3892,0.81247),(2755,5985,2.3909,0.80281),(2755,5995,1.8284,0.79315),(2755,6005,1.175,0.78577),(2755,6015,0.52158,0.78449),(2755,6025,0.62737,0.7832),(2755,6035,1.0853,0.78102),(2755,6045,1.5432,0.77022),(2755,6055,1.8635,0.75942),(2755,6065,2.0491,0.74863),(2755,6075,2.2347,0.73466),(2755,6085,2.3608,0.7204),(2755,6095,2.3646,0.70614),(2755,6105,2.3683,0.69189),(2755,6115,2.372,0.67764),(2755,6125,2.3755,0.66339),(2755,6135,2.379,0.64921),(2755,6145,2.3826,0.63509),(2755,6155,2.3858,0.62096),(2755,6165,2.3891,0.60693),(2755,6175,2.3924,0.59303),(2755,6185,2.3954,0.57914),(2755,6195,2.3984,0.56524),(2755,6205,2.4015,0.55137),(2755,6215,2.4043,0.5375),(2755,6225,2.4071,0.52363),(2755,6235,2.4099,0.50979),(2755,6245,2.4125,0.49595),(2755,6255,2.4151,0.4821),(2755,6265,2.4176,0.46836),(2755,6275,2.42,0.45463),(2755,6285,2.4223,0.4409),(2755,6295,2.4246,0.42724),(2755,6305,2.4269,0.41361),(2755,6315,2.4289,0.39997),(2755,6325,2.4309,0.38638),(2755,6335,2.433,0.37282),(2755,6345,2.4348,0.35926),(2755,6355,2.4366,0.34572),(2755,6365,2.4384,0.33222),(2755,6375,2.44,0.31872),(2755,6385,2.4416,0.30522),(2755,6395,2.4432,0.29173),(2755,6405,2.4447,0.27824),(2755,6415,2.4461,0.26475),(2755,6425,2.4474,0.25135),(2755,6435,2.4487,0.23796),(2755,6445,2.4499,0.22457),(2755,6455,2.451,0.2112),(2755,6465,2.4521,0.19785),(2755,6475,2.4531,0.18449),(2755,6485,2.454,0.17113),(2755,6495,2.455,0.15778),(2755,6505,2.4557,0.14443),(2755,6515,2.4564,0.13109),(2755,6525,2.4572,0.11778),(2755,6535,2.4577,0.10446),(2755,6545,2.4582,0.091147),(2755,6555,2.4587,0.077825),(2755,6565,2.4591,0.064504),(2755,6575,2.4593,0.051185),(2755,6585,2.4596,0.03791),(2755,6595,2.0921,0.024635),(2755,6605,1.3186,0.01136),(2755,6615,0.54503,0.009843),(2755,6625,0.001243,0.009838),(2755,6635,0.001242,0.009832),(2755,6645,0.001241,0.009823),(2755,6655,0.00124,0.009812),(2755,6665,0.001239,0.0098),(2755,6675,0.001238,0.009789),(2755,6685,0.001237,0.009778),(2755,6695,0.001236,0.009767),(2755,6705,0.001235,0.009756),(2755,6715,0.001234,0.009746),(2755,6725,0.001233,0.009735),(2755,6735,0.001232,0.009724),(2755,6745,0.001231,0.009713),(2755,6755,0.001231,0.009703),(2755,6765,0.00123,0.009692),(2755,6775,0.001229,0.009682),(2755,6785,0.001228,0.009671),(2755,6795,0.001227,0.009661),(2755,6805,0.001227,0.009651),(2755,6815,0.001226,0.00964),(2755,6825,0.001225,0.00963),(2755,6835,0.001225,0.00962),(2755,6845,0.001224,0.009609),(2755,6855,0.001223,0.009599),(2755,6865,0.001223,0.009589),(2755,6875,0.001222,0.009579),(2755,6885,0.001221,0.009569),(2755,6895,0.001221,0.009558),(2755,6905,0.00122,0.009548),(2755,6915,0.00122,0.009539),(2755,6925,0.001219,0.009529),(2755,6935,0.001219,0.009519),(2755,6945,0.001218,0.009509),(2755,6955,0.001218,0.009499),(2755,6965,0.001217,0.009489),(2755,6975,0.001217,0.009479),(2755,6985,0.001216,0.009469),(2765,5,2.6e-05,3.6872),(2765,15,7.8e-05,3.6873),(2765,25,0.00013,3.6873),(2765,35,0.000182,3.6873),(2765,45,0.000234,3.6873),(2765,55,0.000286,3.6873),(2765,65,0.000338,3.6873),(2765,75,0.00039,3.6873),(2765,85,0.000442,3.6873),(2765,95,0.000494,3.6873),(2765,105,0.000546,3.6873),(2765,115,0.000598,3.6873),(2765,125,0.00065,3.6873),(2765,135,0.000702,3.6873),(2765,145,0.000754,3.6873),(2765,155,0.000807,3.6873),(2765,165,0.000859,3.6874),(2765,175,0.000911,3.6874),(2765,185,0.000964,3.6874),(2765,195,0.001016,3.6874),(2765,205,0.001069,3.6874),(2765,215,0.001122,3.6874),(2765,225,0.001174,3.6874),(2765,235,0.001227,3.6875),(2765,245,0.00128,3.6875),(2765,255,0.001333,3.6875),(2765,265,0.001386,3.6875),(2765,275,0.001439,3.6875),(2765,285,0.001492,3.6876),(2765,295,0.001545,3.6876),(2765,305,0.001599,3.6876),(2765,315,0.001652,3.6876),(2765,325,0.001705,3.6877),(2765,335,0.001759,3.6877),(2765,345,0.001813,3.6877),(2765,355,0.001867,3.6877),(2765,365,0.001921,3.6878),(2765,375,0.001975,3.6878),(2765,385,0.00203,3.6878),(2765,395,0.002085,3.6879),(2765,405,0.00214,3.6879),(2765,415,0.002195,3.6879),(2765,425,0.00225,3.688),(2765,435,0.002306,3.688),(2765,445,0.002362,3.688),(2765,455,0.002417,3.6881),(2765,465,0.002474,3.6881),(2765,475,0.00253,3.6882),(2765,485,0.002587,3.6882),(2765,495,0.002643,3.6882),(2765,505,0.002701,3.6883),(2765,515,0.002758,3.6883),(2765,525,0.002815,3.6884),(2765,535,0.002873,3.6884),(2765,545,0.002932,3.6885),(2765,555,0.00299,3.6885),(2765,565,0.003049,3.6886),(2765,575,0.003108,3.6886),(2765,585,0.003168,3.6887),(2765,595,0.003229,3.6888),(2765,605,0.003289,3.6888),(2765,615,0.003349,3.6889),(2765,625,0.003411,3.6889),(2765,635,0.003474,3.689),(2765,645,0.003536,3.6891),(2765,655,0.003598,3.6891),(2765,665,0.003662,3.6892),(2765,675,0.003726,3.6893),(2765,685,0.00379,3.6893),(2765,695,0.003854,3.6894),(2765,705,0.00392,3.6895),(2765,715,0.003986,3.6895),(2765,725,0.004052,3.6896),(2765,735,0.004119,3.6897),(2765,745,0.004188,3.6898),(2765,755,0.004257,3.6899),(2765,765,0.004326,3.6899),(2765,775,0.004396,3.69),(2765,785,0.004467,3.6901),(2765,795,0.004539,3.6902),(2765,805,0.004611,3.6903),(2765,815,0.004684,3.6904),(2765,825,0.004759,3.6905),(2765,835,0.004835,3.6906),(2765,845,0.00491,3.6907),(2765,855,0.004987,3.6908),(2765,865,0.005066,3.6909),(2765,875,0.005145,3.691),(2765,885,0.005224,3.6911),(2765,895,0.005305,3.6912),(2765,905,0.005389,3.6913),(2765,915,0.005472,3.6914),(2765,925,0.005556,3.6915),(2765,935,0.005641,3.6916),(2765,945,0.00573,3.6918),(2765,955,0.005818,3.6919),(2765,965,0.005907,3.692),(2765,975,0.005998,3.6921),(2765,985,0.006092,3.6923),(2765,995,0.006186,3.6924),(2765,1005,0.00628,3.6925),(2765,1015,0.006378,3.6927),(2765,1025,0.006478,3.6928),(2765,1035,0.006579,3.693),(2765,1045,0.006679,3.6931),(2765,1055,0.006784,3.6933),(2765,1065,0.006891,3.6934),(2765,1075,0.006999,3.6936),(2765,1085,0.007106,3.6937),(2765,1095,0.007219,3.6939),(2765,1105,0.007334,3.694),(2765,1115,0.00745,3.6942),(2765,1125,0.007565,3.6944),(2765,1135,0.007686,3.6945),(2765,1145,0.00781,3.6947),(2765,1155,0.007935,3.6949),(2765,1165,0.008059,3.6951),(2765,1175,0.00819,3.6952),(2765,1185,0.008324,3.6954),(2765,1195,0.008458,3.6956),(2765,1205,0.008592,3.6958),(2765,1215,0.008734,3.696),(2765,1225,0.008879,3.6962),(2765,1235,0.009024,3.6964),(2765,1245,0.00917,3.6966),(2765,1255,0.009324,3.6968),(2765,1265,0.009481,3.697),(2765,1275,0.009638,3.6972),(2765,1285,0.009796,3.6975),(2765,1295,0.009963,3.6977),(2765,1305,0.010134,3.6979),(2765,1315,0.010304,3.6981),(2765,1325,0.010475,3.6984),(2765,1335,0.010658,3.6986),(2765,1345,0.010843,3.6988),(2765,1355,0.011028,3.6991),(2765,1365,0.011214,3.6993),(2765,1375,0.011413,3.6996),(2765,1385,0.011615,3.6998),(2765,1395,0.011816,3.7001),(2765,1405,0.012018,3.7003),(2765,1415,0.012236,3.7006),(2765,1425,0.012456,3.7009),(2765,1435,0.012675,3.7011),(2765,1445,0.012895,3.7014),(2765,1455,0.013133,3.7017),(2765,1465,0.013372,3.702),(2765,1475,0.013612,3.7023),(2765,1485,0.013851,3.7026),(2765,1495,0.014111,3.7028),(2765,1505,0.014372,3.7031),(2765,1515,0.014633,3.7035),(2765,1525,0.014894,3.7038),(2765,1535,0.015179,3.7041),(2765,1545,0.015463,3.7044),(2765,1555,0.015748,3.7047),(2765,1565,0.016034,3.705),(2765,1575,0.016345,3.7054),(2765,1585,0.016655,3.7057),(2765,1595,0.016966,3.706),(2765,1605,0.017279,3.7064),(2765,1615,0.017618,3.7067),(2765,1625,0.017957,3.707),(2765,1635,0.018296,3.7074),(2765,1645,0.018639,3.7078),(2765,1655,0.019009,3.7081),(2765,1665,0.019379,3.7085),(2765,1675,0.019749,3.7088),(2765,1685,0.020126,3.7092),(2765,1695,0.02053,3.7096),(2765,1705,0.020934,3.71),(2765,1715,0.021338,3.7103),(2765,1725,0.02175,3.7107),(2765,1735,0.022191,3.7111),(2765,1745,0.022632,3.7115),(2765,1755,0.023073,3.7119),(2765,1765,0.023525,3.7123),(2765,1775,0.024006,3.7127),(2765,1785,0.024488,3.7131),(2765,1795,0.024969,3.7136),(2765,1805,0.025464,3.714),(2765,1815,0.02599,3.7144),(2765,1825,0.026515,3.7148),(2765,1835,0.027041,3.7152),(2765,1845,0.027583,3.7157),(2765,1855,0.028157,3.7161),(2765,1865,0.028731,3.7165),(2765,1875,0.029305,3.717),(2765,1885,0.029898,3.7174),(2765,1895,0.030524,3.7179),(2765,1905,0.03115,3.7183),(2765,1915,0.031776,3.7188),(2765,1925,0.032426,3.7192),(2765,1935,0.033109,3.7197),(2765,1945,0.033792,3.7202),(2765,1955,0.034475,3.7206),(2765,1965,0.035187,3.7211),(2765,1975,0.035931,3.7216),(2765,1985,0.036676,3.722),(2765,1995,0.03742,3.7225),(2765,2005,0.038198,3.723),(2765,2015,0.03901,3.7234),(2765,2025,0.039821,3.7239),(2765,2035,0.040633,3.7244),(2765,2045,0.041483,3.7249),(2765,2055,0.042367,3.7253),(2765,2065,0.043251,3.7258),(2765,2075,0.044134,3.7263),(2765,2085,0.045063,3.7268),(2765,2095,0.046025,3.7272),(2765,2105,0.046987,3.7277),(2765,2115,0.047949,3.7282),(2765,2125,0.048962,3.7287),(2765,2135,0.050008,3.7291),(2765,2145,0.051054,3.7296),(2765,2155,0.0521,3.7301),(2765,2165,0.053205,3.7305),(2765,2175,0.05434,3.731),(2765,2185,0.055476,3.7315),(2765,2195,0.056612,3.7319),(2765,2205,0.057815,3.7324),(2765,2215,0.059047,3.7328),(2765,2225,0.060279,3.7332),(2765,2235,0.061511,3.7337),(2765,2245,0.062819,3.7341),(2765,2255,0.064153,3.7345),(2765,2265,0.065487,3.7349),(2765,2275,0.066822,3.7353),(2765,2285,0.06824,3.7357),(2765,2295,0.069683,3.7361),(2765,2305,0.071126,3.7365),(2765,2315,0.072569,3.7368),(2765,2325,0.074104,3.7372),(2765,2335,0.075661,3.7375),(2765,2345,0.077218,3.7379),(2765,2355,0.078775,3.7382),(2765,2365,0.080434,3.7385),(2765,2375,0.08211,3.7388),(2765,2385,0.083786,3.739),(2765,2395,0.085462,3.7393),(2765,2405,0.08725,3.7395),(2765,2415,0.08905,3.7398),(2765,2425,0.090851,3.7399),(2765,2435,0.092651,3.7401),(2765,2445,0.094571,3.7403),(2765,2455,0.096499,3.7404),(2765,2465,0.098427,3.7405),(2765,2475,0.10036,3.7406),(2765,2485,0.10241,3.7407),(2765,2495,0.10447,3.7408),(2765,2505,0.10653,3.7407),(2765,2515,0.10859,3.7407),(2765,2525,0.11078,3.7407),(2765,2535,0.11297,3.7406),(2765,2545,0.11516,3.7405),(2765,2555,0.11736,3.7403),(2765,2565,0.11968,3.7402),(2765,2575,0.122,3.74),(2765,2585,0.12432,3.7397),(2765,2595,0.12665,3.7394),(2765,2605,0.1291,3.7391),(2765,2615,0.13155,3.7388),(2765,2625,0.134,3.7384),(2765,2635,0.13647,3.7379),(2765,2645,0.13904,3.7374),(2765,2655,0.14162,3.737),(2765,2665,0.14419,3.7363),(2765,2675,0.14678,3.7357),(2765,2685,0.14948,3.735),(2765,2695,0.15217,3.7344),(2765,2705,0.15486,3.7335),(2765,2715,0.15757,3.7327),(2765,2725,0.16037,3.7319),(2765,2735,0.16317,3.731),(2765,2745,0.16597,3.7299),(2765,2755,0.1688,3.7288),(2765,2765,0.17169,3.7278),(2765,2775,0.17459,3.7267),(2765,2785,0.17748,3.7254),(2765,2795,0.1804,3.7241),(2765,2805,0.18338,3.7228),(2765,2815,0.18635,3.7214),(2765,2825,0.18933,3.7198),(2765,2835,0.19232,3.7183),(2765,2845,0.19536,3.7167),(2765,2855,0.1984,3.7151),(2765,2865,0.20144,3.7132),(2765,2875,0.2045,3.7114),(2765,2885,0.20758,3.7096),(2765,2895,0.21066,3.7076),(2765,2905,0.21375,3.7055),(2765,2915,0.21684,3.7034),(2765,2925,0.21994,3.7013),(2765,2935,0.22304,3.699),(2765,2945,0.22615,3.6966),(2765,2955,0.22925,3.6942),(2765,2965,0.23234,3.6918),(2765,2975,0.23544,3.6892),(2765,2985,0.23854,3.6865),(2765,2995,0.24162,3.6838),(2765,3005,0.24469,3.681),(2765,3015,0.24775,3.6781),(2765,3025,0.25082,3.6751),(2765,3035,0.25385,3.672),(2765,3045,0.25685,3.669),(2765,3055,0.25985,3.6658),(2765,3065,0.26286,3.6624),(2765,3075,0.26581,3.659),(2765,3085,0.26872,3.6556),(2765,3095,0.27163,3.6521),(2765,3105,0.27454,3.6484),(2765,3115,0.27737,3.6447),(2765,3125,0.28016,3.641),(2765,3135,0.28295,3.6371),(2765,3145,0.28573,3.6331),(2765,3155,0.28842,3.6291),(2765,3165,0.29105,3.6251),(2765,3175,0.29368,3.6209),(2765,3185,0.2963,3.6166),(2765,3195,0.2988,3.6123),(2765,3205,0.30124,3.608),(2765,3215,0.30368,3.6035),(2765,3225,0.30612,3.5989),(2765,3235,0.3084,3.5943),(2765,3245,0.31062,3.5897),(2765,3255,0.31284,3.5849),(2765,3265,0.31506,3.58),(2765,3275,0.31709,3.5752),(2765,3285,0.31906,3.5703),(2765,3295,0.32102,3.5652),(2765,3305,0.32299,3.5601),(2765,3315,0.32473,3.555),(2765,3325,0.32642,3.5499),(2765,3335,0.32811,3.5446),(2765,3345,0.3298,3.5393),(2765,3355,0.33123,3.5339),(2765,3365,0.33261,3.5286),(2765,3375,0.33399,3.5231),(2765,3385,0.33538,3.5176),(2765,3395,0.33647,3.5121),(2765,3405,0.33752,3.5066),(2765,3415,0.33858,3.5009),(2765,3425,0.33963,3.4953),(2765,3435,0.34037,3.4896),(2765,3445,0.34108,3.4839),(2765,3455,0.34179,3.4782),(2765,3465,0.3425,3.4724),(2765,3475,0.34286,3.4666),(2765,3485,0.34322,3.4609),(2765,3495,0.34357,3.455),(2765,3505,0.34392,3.4492),(2765,3515,0.3439,3.4433),(2765,3525,0.34389,3.4375),(2765,3535,0.34388,3.4317),(2765,3545,0.34385,3.4258),(2765,3555,0.34347,3.42),(2765,3565,0.34309,3.4141),(2765,3575,0.34271,3.4083),(2765,3585,0.3423,3.4024),(2765,3595,0.34156,3.3966),(2765,3605,0.34082,3.3908),(2765,3615,0.34008,3.385),(2765,3625,0.3393,3.3793),(2765,3635,0.33822,3.3735),(2765,3645,0.33713,3.3678),(2765,3655,0.33605,3.3621),(2765,3665,0.33491,3.3565),(2765,3675,0.3335,3.3508),(2765,3685,0.33209,3.3452),(2765,3695,0.33068,3.3397),(2765,3705,0.32921,3.3342),(2765,3715,0.3275,3.3287),(2765,3725,0.32579,3.3233),(2765,3735,0.32407,3.3179),(2765,3745,0.3223,3.3126),(2765,3755,0.32031,3.3073),(2765,3765,0.31833,3.302),(2765,3775,0.31635,3.2969),(2765,3785,0.3143,3.2918),(2765,3795,0.31208,3.2867),(2765,3805,0.30985,3.2816),(2765,3815,0.30763,3.2767),(2765,3825,0.30534,3.2718),(2765,3835,0.30291,3.2669),(2765,3845,0.30048,3.2621),(2765,3855,0.29806,3.2574),(2765,3865,0.29556,3.2527),(2765,3875,0.29296,3.248),(2765,3885,0.29035,3.2434),(2765,3895,0.28775,3.2389),(2765,3905,0.3242,3.2344),(2765,3915,0.419,3.2299),(2765,3925,0.51381,3.2235),(2765,3935,0.60861,3.2144),(2765,3945,0.70719,3.2052),(2765,3955,0.81058,3.1961),(2765,3965,0.91396,3.1847),(2765,3975,1.0174,3.1709),(2765,3985,1.0756,3.157),(2765,3995,1.0851,3.1432),(2765,4005,1.0945,3.1293),(2765,4015,1.104,3.1154),(2765,4025,1.1145,3.1015),(2765,4035,1.1252,3.0876),(2765,4045,1.136,3.0735),(2765,4055,1.1467,3.0595),(2765,4065,1.1576,3.0455),(2765,4075,1.1684,3.0312),(2765,4085,1.1789,3.0169),(2765,4095,1.1892,3.0026),(2765,4105,1.1995,2.9879),(2765,4115,1.167,2.9731),(2765,4125,1.0633,2.9583),(2765,4135,0.95973,2.9462),(2765,4145,0.85435,2.9348),(2765,4155,0.74177,2.9234),(2765,4165,0.6292,2.9149),(2765,4175,0.52341,2.9083),(2765,4185,0.7535,2.9016),(2765,4195,0.9836,2.8913),(2765,4205,1.2137,2.8762),(2765,4215,1.2386,2.8611),(2765,4225,1.225,2.8457),(2765,4235,1.2113,2.8292),(2765,4245,1.163,2.8127),(2765,4255,1.0971,2.7963),(2765,4265,1.0312,2.7802),(2765,4275,0.88914,2.764),(2765,4285,0.6662,2.7479),(2765,4295,0.44325,2.7414),(2765,4305,0.37641,2.7361),(2765,4315,0.66204,2.7307),(2765,4325,0.94768,2.7174),(2765,4335,1.203,2.701),(2765,4345,1.2533,2.6845),(2765,4355,1.3036,2.6677),(2765,4365,1.3538,2.6505),(2765,4375,1.3671,2.6333),(2765,4385,1.3785,2.6163),(2765,4395,1.3898,2.5995),(2765,4405,1.2253,2.5827),(2765,4415,1.009,2.5675),(2765,4425,0.79258,2.5591),(2765,4435,0.70541,2.5508),(2765,4445,0.70653,2.5424),(2765,4455,0.70765,2.5342),(2765,4465,0.80738,2.526),(2765,4475,1.0456,2.5178),(2765,4485,1.2839,2.5033),(2765,4495,1.4675,2.4875),(2765,4505,1.4759,2.4716),(2765,4515,1.4843,2.4557),(2765,4525,1.4896,2.4397),(2765,4535,1.4468,2.4238),(2765,4545,1.404,2.408),(2765,4555,1.3612,2.3926),(2765,4565,1.0452,2.3771),(2765,4575,0.69228,2.3651),(2765,4585,0.33941,2.3616),(2765,4595,0.43505,2.3581),(2765,4605,0.72021,2.3531),(2765,4615,1.0054,2.3367),(2765,4625,1.1923,2.3203),(2765,4635,1.2902,2.3039),(2765,4645,1.3881,2.2869),(2765,4655,1.4626,2.2698),(2765,4665,1.493,2.2528),(2765,4675,1.5235,2.2364),(2765,4685,1.4961,2.2202),(2765,4695,1.1833,2.204),(2765,4705,0.87047,2.1937),(2765,4715,0.55766,2.1876),(2765,4725,0.72118,2.1815),(2765,4735,0.88947,2.1736),(2765,4745,1.0578,2.163),(2765,4755,1.2278,2.1524),(2765,4765,1.3982,2.1408),(2765,4775,1.5686,2.1257),(2765,4785,1.6349,2.1107),(2765,4795,1.6411,2.0957),(2765,4805,1.6474,2.0808),(2765,4815,1.5729,2.0658),(2765,4825,1.4018,2.0509),(2765,4835,1.2308,2.0401),(2765,4845,1.0584,2.0299),(2765,4855,0.88234,2.0197),(2765,4865,0.70627,2.0133),(2765,4875,0.58415,2.0085),(2765,4885,0.95286,2.0037),(2765,4895,1.3216,1.9944),(2765,4905,1.6903,1.9808),(2765,4915,1.7123,1.9671),(2765,4925,1.7044,1.9533),(2765,4935,1.6966,1.939),(2765,4945,1.6292,1.9246),(2765,4955,1.5411,1.9101),(2765,4965,1.453,1.8945),(2765,4975,1.1886,1.8789),(2765,4985,0.78805,1.8633),(2765,4995,0.38755,1.8613),(2765,5005,0.28964,1.8597),(2765,5015,0.67279,1.8581),(2765,5025,1.0559,1.8495),(2765,5035,1.3864,1.8393),(2765,5045,1.5158,1.829),(2765,5055,1.6453,1.817),(2765,5065,1.7711,1.804),(2765,5075,1.7757,1.791),(2765,5085,1.7803,1.778),(2765,5095,1.7849,1.765),(2765,5105,1.5626,1.7521),(2765,5115,1.3008,1.7407),(2765,5125,1.0389,1.7338),(2765,5135,0.91113,1.7269),(2765,5145,0.84837,1.7201),(2765,5155,0.7856,1.7147),(2765,5165,0.9278,1.7093),(2765,5175,1.2791,1.704),(2765,5185,1.6303,1.6921),(2765,5195,1.8716,1.6796),(2765,5205,1.8759,1.667),(2765,5215,1.8802,1.6545),(2765,5225,1.8746,1.6421),(2765,5235,1.8068,1.6297),(2765,5245,1.739,1.6182),(2765,5255,1.6713,1.6075),(2765,5265,1.1791,1.5967),(2765,5275,0.66947,1.5897),(2765,5285,0.15981,1.5892),(2765,5295,0.45063,1.5887),(2765,5305,0.96438,1.5853),(2765,5315,1.4781,1.5699),(2765,5325,1.7274,1.5545),(2765,5335,1.8032,1.5391),(2765,5345,1.879,1.5259),(2765,5355,1.9266,1.5126),(2765,5365,1.9361,1.4993),(2765,5375,1.9456,1.4865),(2765,5385,1.8416,1.4737),(2765,5395,1.3924,1.461),(2765,5405,0.94315,1.4544),(2765,5415,0.54389,1.4509),(2765,5425,0.81612,1.4475),(2765,5435,1.0883,1.4412),(2765,5445,1.3606,1.4318),(2765,5455,1.6204,1.4224),(2765,5465,1.8788,1.4114),(2765,5475,2.1371,1.3969),(2765,5485,2.2155,1.3824),(2765,5495,2.2214,1.3679),(2765,5505,2.2272,1.3538),(2765,5515,2.2331,1.3397),(2765,5525,2.2389,1.3256),(2765,5535,2.2447,1.3119),(2765,5545,2.2504,1.2983),(2765,5555,2.2558,1.2846),(2765,5565,2.2611,1.2713),(2765,5575,2.2664,1.258),(2765,5585,2.2713,1.2447),(2765,5595,2.2763,1.2317),(2765,5605,2.2812,1.2188),(2765,5615,2.2858,1.206),(2765,5625,2.2903,1.1932),(2765,5635,2.2948,1.1807),(2765,5645,2.2991,1.1682),(2765,5655,2.3032,1.1558),(2765,5665,2.3074,1.1436),(2765,5675,2.3113,1.1314),(2765,5685,2.3152,1.1193),(2765,5695,2.319,1.1074),(2765,5705,2.3227,1.0956),(2765,5715,2.3262,1.0838),(2765,5725,2.3297,1.0722),(2765,5735,2.3331,1.0606),(2765,5745,2.3363,1.0491),(2765,5755,2.3395,1.0377),(2765,5765,2.3426,1.0265),(2765,5775,2.3455,1.0152),(2765,5785,2.3485,1.0041),(2765,5795,2.3514,0.99311),(2765,5805,2.354,0.98213),(2765,5815,2.3567,0.97124),(2765,5825,2.3593,0.96052),(2765,5835,2.3618,0.94981),(2765,5845,2.3642,0.93913),(2765,5855,2.3666,0.92865),(2765,5865,2.3689,0.91817),(2765,5875,2.3711,0.9077),(2765,5885,2.3732,0.89746),(2765,5895,2.3753,0.88722),(2765,5905,2.3773,0.87699),(2765,5915,2.3793,0.86694),(2765,5925,2.3812,0.85694),(2765,5935,2.3829,0.84695),(2765,5945,2.3847,0.83708),(2765,5955,2.3865,0.82729),(2765,5965,2.3881,0.81751),(2765,5975,2.3898,0.80781),(2765,5985,2.3914,0.79822),(2765,5995,1.8287,0.78863),(2765,6005,1.1752,0.7813),(2765,6015,0.52171,0.78003),(2765,6025,0.62837,0.77875),(2765,6035,1.0876,0.77658),(2765,6045,1.5468,0.76584),(2765,6055,1.8681,0.75509),(2765,6065,2.0541,0.74435),(2765,6075,2.2401,0.73046),(2765,6085,2.3665,0.71628),(2765,6095,2.3702,0.70209),(2765,6105,2.3739,0.68792),(2765,6115,2.3775,0.67375),(2765,6125,2.381,0.65958),(2765,6135,2.3845,0.64548),(2765,6145,2.3879,0.63143),(2765,6155,2.3912,0.61738),(2765,6165,2.3944,0.60343),(2765,6175,2.3976,0.58961),(2765,6185,2.4006,0.57579),(2765,6195,2.4036,0.56198),(2765,6205,2.4066,0.54818),(2765,6215,2.4094,0.53439),(2765,6225,2.4122,0.5206),(2765,6235,2.4149,0.50683),(2765,6245,2.4175,0.49307),(2765,6255,2.42,0.4793),(2765,6265,2.4225,0.46563),(2765,6275,2.425,0.45197),(2765,6285,2.4272,0.43831),(2765,6295,2.4295,0.42473),(2765,6305,2.4317,0.41119),(2765,6315,2.4338,0.39764),(2765,6325,2.4358,0.38413),(2765,6335,2.4378,0.37065),(2765,6345,2.4396,0.35716),(2765,6355,2.4413,0.3437),(2765,6365,2.4431,0.33028),(2765,6375,2.4448,0.31686),(2765,6385,2.4463,0.30344),(2765,6395,2.4479,0.29003),(2765,6405,2.4493,0.27663),(2765,6415,2.4507,0.26322),(2765,6425,2.452,0.2499),(2765,6435,2.4533,0.2366),(2765,6445,2.4544,0.22329),(2765,6455,2.4556,0.21),(2765,6465,2.4566,0.19673),(2765,6475,2.4576,0.18345),(2765,6485,2.4585,0.17018),(2765,6495,2.4594,0.15691),(2765,6505,2.4602,0.14363),(2765,6515,2.4609,0.13037),(2765,6525,2.4616,0.11713),(2765,6535,2.4621,0.10389),(2765,6545,2.4626,0.090649),(2765,6555,2.4631,0.077399),(2765,6565,2.4635,0.064149),(2765,6575,2.4638,0.050904),(2765,6585,2.464,0.037721),(2765,6595,2.0959,0.024538),(2765,6605,1.3209,0.011355),(2765,6615,0.54601,0.009848),(2765,6625,0.001249,0.00984),(2765,6635,0.001248,0.009832),(2765,6645,0.001247,0.009822),(2765,6655,0.001246,0.009811),(2765,6665,0.001245,0.009799),(2765,6675,0.001244,0.009788),(2765,6685,0.001243,0.009777),(2765,6695,0.001242,0.009766),(2765,6705,0.001241,0.009756),(2765,6715,0.00124,0.009745),(2765,6725,0.001239,0.009734),(2765,6735,0.001239,0.009723),(2765,6745,0.001238,0.009713),(2765,6755,0.001237,0.009702),(2765,6765,0.001236,0.009692),(2765,6775,0.001235,0.009681),(2765,6785,0.001234,0.009671),(2765,6795,0.001233,0.00966),(2765,6805,0.001233,0.00965),(2765,6815,0.001232,0.00964),(2765,6825,0.001231,0.009629),(2765,6835,0.001231,0.009619),(2765,6845,0.00123,0.009609),(2765,6855,0.001229,0.009599),(2765,6865,0.001228,0.009588),(2765,6875,0.001228,0.009578),(2765,6885,0.001227,0.009568),(2765,6895,0.001227,0.009558),(2765,6905,0.001226,0.009548),(2765,6915,0.001226,0.009538),(2765,6925,0.001225,0.009528),(2765,6935,0.001224,0.009518),(2765,6945,0.001224,0.009508),(2765,6955,0.001223,0.009498),(2765,6965,0.001223,0.009489),(2765,6975,0.001222,0.009479),(2765,6985,0.001222,0.009469),(2775,5,2.6e-05,3.6873),(2775,15,7.7e-05,3.6873),(2775,25,0.000128,3.6873),(2775,35,0.000178,3.6873),(2775,45,0.000229,3.6873),(2775,55,0.00028,3.6873),(2775,65,0.000331,3.6873),(2775,75,0.000382,3.6873),(2775,85,0.000433,3.6873),(2775,95,0.000484,3.6873),(2775,105,0.000535,3.6873),(2775,115,0.000586,3.6874),(2775,125,0.000638,3.6874),(2775,135,0.000689,3.6874),(2775,145,0.00074,3.6874),(2775,155,0.000791,3.6874),(2775,165,0.000842,3.6874),(2775,175,0.000894,3.6874),(2775,185,0.000945,3.6874),(2775,195,0.000997,3.6874),(2775,205,0.001048,3.6875),(2775,215,0.0011,3.6875),(2775,225,0.001152,3.6875),(2775,235,0.001203,3.6875),(2775,245,0.001255,3.6875),(2775,255,0.001307,3.6875),(2775,265,0.001359,3.6876),(2775,275,0.001411,3.6876),(2775,285,0.001463,3.6876),(2775,295,0.001515,3.6876),(2775,305,0.001567,3.6877),(2775,315,0.001619,3.6877),(2775,325,0.001672,3.6877),(2775,335,0.001724,3.6877),(2775,345,0.001777,3.6878),(2775,355,0.00183,3.6878),(2775,365,0.001883,3.6878),(2775,375,0.001936,3.6879),(2775,385,0.001989,3.6879),(2775,395,0.002043,3.6879),(2775,405,0.002096,3.688),(2775,415,0.00215,3.688),(2775,425,0.002204,3.688),(2775,435,0.002259,3.6881),(2775,445,0.002313,3.6881),(2775,455,0.002367,3.6881),(2775,465,0.002422,3.6882),(2775,475,0.002477,3.6882),(2775,485,0.002533,3.6883),(2775,495,0.002587,3.6883),(2775,505,0.002644,3.6883),(2775,515,0.0027,3.6884),(2775,525,0.002756,3.6884),(2775,535,0.002812,3.6885),(2775,545,0.002869,3.6885),(2775,555,0.002926,3.6886),(2775,565,0.002983,3.6886),(2775,575,0.00304,3.6887),(2775,585,0.003099,3.6888),(2775,595,0.003158,3.6888),(2775,605,0.003216,3.6889),(2775,615,0.003275,3.6889),(2775,625,0.003335,3.689),(2775,635,0.003396,3.689),(2775,645,0.003456,3.6891),(2775,655,0.003517,3.6892),(2775,665,0.003579,3.6892),(2775,675,0.003641,3.6893),(2775,685,0.003703,3.6894),(2775,695,0.003766,3.6895),(2775,705,0.00383,3.6895),(2775,715,0.003894,3.6896),(2775,725,0.003958,3.6897),(2775,735,0.004023,3.6898),(2775,745,0.00409,3.6898),(2775,755,0.004156,3.6899),(2775,765,0.004223,3.69),(2775,775,0.004291,3.6901),(2775,785,0.004361,3.6902),(2775,795,0.00443,3.6903),(2775,805,0.0045,3.6904),(2775,815,0.004571,3.6905),(2775,825,0.004644,3.6905),(2775,835,0.004717,3.6906),(2775,845,0.00479,3.6907),(2775,855,0.004864,3.6908),(2775,865,0.004941,3.6909),(2775,875,0.005018,3.691),(2775,885,0.005095,3.6912),(2775,895,0.005173,3.6913),(2775,905,0.005254,3.6914),(2775,915,0.005335,3.6915),(2775,925,0.005416,3.6916),(2775,935,0.005499,3.6917),(2775,945,0.005585,3.6919),(2775,955,0.005671,3.692),(2775,965,0.005756,3.6921),(2775,975,0.005845,3.6922),(2775,985,0.005936,3.6924),(2775,995,0.006027,3.6925),(2775,1005,0.006118,3.6926),(2775,1015,0.006213,3.6928),(2775,1025,0.006311,3.6929),(2775,1035,0.006408,3.6931),(2775,1045,0.006505,3.6932),(2775,1055,0.006607,3.6934),(2775,1065,0.006711,3.6935),(2775,1075,0.006816,3.6937),(2775,1085,0.00692,3.6938),(2775,1095,0.007029,3.694),(2775,1105,0.007142,3.6941),(2775,1115,0.007254,3.6943),(2775,1125,0.007366,3.6945),(2775,1135,0.007484,3.6946),(2775,1145,0.007604,3.6948),(2775,1155,0.007725,3.695),(2775,1165,0.007846,3.6952),(2775,1175,0.007973,3.6954),(2775,1185,0.008104,3.6955),(2775,1195,0.008234,3.6957),(2775,1205,0.008365,3.6959),(2775,1215,0.008503,3.6961),(2775,1225,0.008644,3.6963),(2775,1235,0.008786,3.6965),(2775,1245,0.008927,3.6967),(2775,1255,0.009078,3.697),(2775,1265,0.009231,3.6972),(2775,1275,0.009384,3.6974),(2775,1285,0.009538,3.6976),(2775,1295,0.009701,3.6978),(2775,1305,0.009868,3.6981),(2775,1315,0.010034,3.6983),(2775,1325,0.010201,3.6985),(2775,1335,0.010379,3.6988),(2775,1345,0.01056,3.699),(2775,1355,0.010741,3.6993),(2775,1365,0.010922,3.6995),(2775,1375,0.011117,3.6998),(2775,1385,0.011314,3.7),(2775,1395,0.011511,3.7003),(2775,1405,0.011709,3.7005),(2775,1415,0.011922,3.7008),(2775,1425,0.012137,3.7011),(2775,1435,0.012352,3.7014),(2775,1445,0.012567,3.7016),(2775,1455,0.0128,3.7019),(2775,1465,0.013035,3.7022),(2775,1475,0.013269,3.7025),(2775,1485,0.013504,3.7028),(2775,1495,0.013759,3.7031),(2775,1505,0.014015,3.7034),(2775,1515,0.014271,3.7037),(2775,1525,0.014528,3.704),(2775,1535,0.014807,3.7043),(2775,1545,0.015087,3.7047),(2775,1555,0.015366,3.705),(2775,1565,0.015647,3.7053),(2775,1575,0.015952,3.7056),(2775,1585,0.016258,3.706),(2775,1595,0.016563,3.7063),(2775,1605,0.016871,3.7067),(2775,1615,0.017205,3.707),(2775,1625,0.017538,3.7074),(2775,1635,0.017872,3.7077),(2775,1645,0.01821,3.7081),(2775,1655,0.018575,3.7085),(2775,1665,0.018939,3.7088),(2775,1675,0.019304,3.7092),(2775,1685,0.019675,3.7096),(2775,1695,0.020073,3.71),(2775,1705,0.020472,3.7104),(2775,1715,0.02087,3.7108),(2775,1725,0.021277,3.7112),(2775,1735,0.021712,3.7115),(2775,1745,0.022148,3.712),(2775,1755,0.022583,3.7124),(2775,1765,0.023029,3.7128),(2775,1775,0.023505,3.7132),(2775,1785,0.023981,3.7136),(2775,1795,0.024457,3.714),(2775,1805,0.024946,3.7145),(2775,1815,0.025467,3.7149),(2775,1825,0.025987,3.7153),(2775,1835,0.026507,3.7158),(2775,1845,0.027044,3.7162),(2775,1855,0.027612,3.7167),(2775,1865,0.02818,3.7171),(2775,1875,0.028749,3.7176),(2775,1885,0.029337,3.718),(2775,1895,0.029958,3.7185),(2775,1905,0.030578,3.719),(2775,1915,0.031199,3.7194),(2775,1925,0.031844,3.7199),(2775,1935,0.032522,3.7204),(2775,1945,0.0332,3.7208),(2775,1955,0.033878,3.7213),(2775,1965,0.034584,3.7218),(2775,1975,0.035324,3.7223),(2775,1985,0.036064,3.7228),(2775,1995,0.036804,3.7233),(2775,2005,0.037578,3.7237),(2775,2015,0.038385,3.7242),(2775,2025,0.039192,3.7247),(2775,2035,0.04,3.7252),(2775,2045,0.040846,3.7257),(2775,2055,0.041726,3.7262),(2775,2065,0.042607,3.7267),(2775,2075,0.043487,3.7272),(2775,2085,0.044413,3.7277),(2775,2095,0.045372,3.7282),(2775,2105,0.046331,3.7287),(2775,2115,0.04729,3.7292),(2775,2125,0.048301,3.7297),(2775,2135,0.049345,3.7302),(2775,2145,0.050389,3.7307),(2775,2155,0.051433,3.7312),(2775,2165,0.052537,3.7316),(2775,2175,0.053672,3.7321),(2775,2185,0.054807,3.7326),(2775,2195,0.055942,3.7331),(2775,2205,0.057146,3.7336),(2775,2215,0.058379,3.734),(2775,2225,0.059611,3.7345),(2775,2235,0.060844,3.7349),(2775,2245,0.062154,3.7354),(2775,2255,0.063491,3.7358),(2775,2265,0.064828,3.7363),(2775,2275,0.066165,3.7367),(2775,2285,0.067587,3.7371),(2775,2295,0.069034,3.7376),(2775,2305,0.070481,3.7379),(2775,2315,0.071928,3.7383),(2775,2325,0.07347,3.7387),(2775,2335,0.075034,3.7391),(2775,2345,0.076597,3.7395),(2775,2355,0.07816,3.7398),(2775,2365,0.079828,3.7401),(2775,2375,0.081514,3.7405),(2775,2385,0.083199,3.7408),(2775,2395,0.084884,3.741),(2775,2405,0.086684,3.7413),(2775,2415,0.088496,3.7416),(2775,2425,0.090308,3.7418),(2775,2435,0.092121,3.742),(2775,2445,0.094055,3.7422),(2775,2455,0.095999,3.7424),(2775,2465,0.097942,3.7425),(2775,2475,0.099885,3.7426),(2775,2485,0.10196,3.7427),(2775,2495,0.10404,3.7428),(2775,2505,0.10611,3.7428),(2775,2515,0.10819,3.7429),(2775,2525,0.1104,3.7429),(2775,2535,0.11262,3.7429),(2775,2545,0.11483,3.7427),(2775,2555,0.11705,3.7426),(2775,2565,0.1194,3.7425),(2775,2575,0.12174,3.7424),(2775,2585,0.12409,3.7421),(2775,2595,0.12645,3.7419),(2775,2605,0.12893,3.7416),(2775,2615,0.13141,3.7413),(2775,2625,0.13389,3.7409),(2775,2635,0.13639,3.7405),(2775,2645,0.139,3.74),(2775,2655,0.14161,3.7396),(2775,2665,0.14422,3.739),(2775,2675,0.14685,3.7384),(2775,2685,0.14958,3.7378),(2775,2695,0.15231,3.7371),(2775,2705,0.15504,3.7363),(2775,2715,0.1578,3.7355),(2775,2725,0.16064,3.7347),(2775,2735,0.16348,3.7338),(2775,2745,0.16633,3.7328),(2775,2755,0.1692,3.7318),(2775,2765,0.17214,3.7307),(2775,2775,0.17508,3.7296),(2775,2785,0.17803,3.7284),(2775,2795,0.18099,3.7271),(2775,2805,0.18402,3.7258),(2775,2815,0.18705,3.7245),(2775,2825,0.19008,3.7229),(2775,2835,0.19313,3.7214),(2775,2845,0.19623,3.7198),(2775,2855,0.19932,3.7182),(2775,2865,0.20242,3.7164),(2775,2875,0.20553,3.7146),(2775,2885,0.20867,3.7128),(2775,2895,0.21182,3.7108),(2775,2905,0.21496,3.7087),(2775,2915,0.21811,3.7066),(2775,2925,0.22128,3.7045),(2775,2935,0.22444,3.7022),(2775,2945,0.22761,3.6998),(2775,2955,0.23077,3.6974),(2775,2965,0.23394,3.695),(2775,2975,0.2371,3.6924),(2775,2985,0.24026,3.6897),(2775,2995,0.24341,3.6869),(2775,3005,0.24654,3.6842),(2775,3015,0.24967,3.6813),(2775,3025,0.2528,3.6782),(2775,3035,0.2559,3.6752),(2775,3045,0.25897,3.6721),(2775,3055,0.26204,3.6689),(2775,3065,0.26512,3.6655),(2775,3075,0.26813,3.6621),(2775,3085,0.27111,3.6587),(2775,3095,0.27409,3.6551),(2775,3105,0.27707,3.6514),(2775,3115,0.27997,3.6477),(2775,3125,0.28282,3.6439),(2775,3135,0.28568,3.64),(2775,3145,0.28853,3.636),(2775,3155,0.29128,3.6319),(2775,3165,0.29398,3.6279),(2775,3175,0.29667,3.6236),(2775,3185,0.29936,3.6193),(2775,3195,0.30193,3.6149),(2775,3205,0.30443,3.6106),(2775,3215,0.30693,3.606),(2775,3225,0.30943,3.6013),(2775,3235,0.31177,3.5967),(2775,3245,0.31405,3.592),(2775,3255,0.31633,3.5872),(2775,3265,0.31861,3.5822),(2775,3275,0.32069,3.5773),(2775,3285,0.32271,3.5724),(2775,3295,0.32473,3.5672),(2775,3305,0.32675,3.5621),(2775,3315,0.32854,3.5569),(2775,3325,0.33028,3.5517),(2775,3335,0.33201,3.5463),(2775,3345,0.33375,3.5409),(2775,3355,0.33522,3.5355),(2775,3365,0.33664,3.5301),(2775,3375,0.33807,3.5245),(2775,3385,0.33949,3.5189),(2775,3395,0.34062,3.5133),(2775,3405,0.3417,3.5077),(2775,3415,0.34279,3.5019),(2775,3425,0.34388,3.4962),(2775,3435,0.34464,3.4904),(2775,3445,0.34537,3.4847),(2775,3455,0.34611,3.4788),(2775,3465,0.34684,3.473),(2775,3475,0.34722,3.4671),(2775,3485,0.34758,3.4612),(2775,3495,0.34795,3.4553),(2775,3505,0.34831,3.4494),(2775,3515,0.34831,3.4434),(2775,3525,0.3483,3.4375),(2775,3535,0.34829,3.4316),(2775,3545,0.34826,3.4256),(2775,3555,0.34788,3.4197),(2775,3565,0.3475,3.4137),(2775,3575,0.34711,3.4078),(2775,3585,0.3467,3.4019),(2775,3595,0.34594,3.3959),(2775,3605,0.34519,3.39),(2775,3615,0.34444,3.3842),(2775,3625,0.34364,3.3783),(2775,3635,0.34254,3.3725),(2775,3645,0.34143,3.3666),(2775,3655,0.34032,3.3609),(2775,3665,0.33916,3.3552),(2775,3675,0.33772,3.3495),(2775,3685,0.33628,3.3437),(2775,3695,0.33484,3.3382),(2775,3705,0.33333,3.3326),(2775,3715,0.33158,3.327),(2775,3725,0.32984,3.3215),(2775,3735,0.32809,3.3161),(2775,3745,0.32627,3.3107),(2775,3755,0.32425,3.3053),(2775,3765,0.32223,3.3),(2775,3775,0.3202,3.2948),(2775,3785,0.31811,3.2896),(2775,3795,0.31584,3.2844),(2775,3805,0.31358,3.2793),(2775,3815,0.31131,3.2743),(2775,3825,0.30898,3.2694),(2775,3835,0.30651,3.2644),(2775,3845,0.30404,3.2595),(2775,3855,0.30157,3.2548),(2775,3865,0.29903,3.2501),(2775,3875,0.29638,3.2453),(2775,3885,0.29374,3.2407),(2775,3895,0.29109,3.2362),(2775,3905,0.32784,3.2317),(2775,3915,0.42345,3.2271),(2775,3925,0.51906,3.2207),(2775,3935,0.61467,3.2115),(2775,3945,0.71405,3.2022),(2775,3955,0.81822,3.193),(2775,3965,0.92239,3.1817),(2775,3975,1.0266,3.1678),(2775,3985,1.0852,3.1539),(2775,3995,1.0946,3.1399),(2775,4005,1.1041,3.126),(2775,4015,1.1135,3.1121),(2775,4025,1.1241,3.0981),(2775,4035,1.1348,3.0842),(2775,4045,1.1455,3.0701),(2775,4055,1.1563,3.0561),(2775,4065,1.1672,3.042),(2775,4075,1.178,3.0277),(2775,4085,1.1886,3.0134),(2775,4095,1.199,2.9991),(2775,4105,1.2094,2.9842),(2775,4115,1.1767,2.9693),(2775,4125,1.0724,2.9544),(2775,4135,0.96811,2.9422),(2775,4145,0.86197,2.9307),(2775,4155,0.74836,2.9192),(2775,4165,0.63475,2.9105),(2775,4175,0.52798,2.9037),(2775,4185,0.75979,2.8969),(2775,4195,0.9916,2.8865),(2775,4205,1.2234,2.8714),(2775,4215,1.249,2.8562),(2775,4225,1.2358,2.8407),(2775,4235,1.2226,2.8241),(2775,4245,1.1746,2.8075),(2775,4255,1.1088,2.791),(2775,4265,1.0431,2.7748),(2775,4275,0.89988,2.7586),(2775,4285,0.67449,2.7423),(2775,4295,0.4491,2.7358),(2775,4305,0.38128,2.7304),(2775,4315,0.66926,2.725),(2775,4325,0.95724,2.7116),(2775,4335,1.2146,2.695),(2775,4345,1.2649,2.6784),(2775,4355,1.3153,2.6615),(2775,4365,1.3656,2.6442),(2775,4375,1.3787,2.6269),(2775,4385,1.3899,2.6098),(2775,4395,1.4011,2.5929),(2775,4405,1.2351,2.5759),(2775,4415,1.017,2.5606),(2775,4425,0.7988,2.5521),(2775,4435,0.71088,2.5436),(2775,4445,0.71194,2.5351),(2775,4455,0.71301,2.527),(2775,4465,0.81331,2.5189),(2775,4475,1.053,2.5108),(2775,4485,1.2927,2.4962),(2775,4495,1.4775,2.4802),(2775,4505,1.4858,2.4643),(2775,4515,1.4942,2.4482),(2775,4525,1.4996,2.4321),(2775,4535,1.4568,2.4159),(2775,4545,1.414,2.4001),(2775,4555,1.3712,2.3846),(2775,4565,1.0531,2.3692),(2775,4575,0.69788,2.3572),(2775,4585,0.34265,2.3536),(2775,4595,0.43963,2.3501),(2775,4605,0.72767,2.345),(2775,4615,1.0157,2.3284),(2775,4625,1.2039,2.3118),(2775,4635,1.3016,2.2952),(2775,4645,1.3994,2.2781),(2775,4655,1.4737,2.261),(2775,4665,1.5037,2.2438),(2775,4675,1.5338,2.2274),(2775,4685,1.5058,2.2112),(2775,4695,1.191,2.195),(2775,4705,0.87628,2.1847),(2775,4715,0.56153,2.1786),(2775,4725,0.7258,2.1726),(2775,4735,0.89486,2.1647),(2775,4745,1.0639,2.1541),(2775,4755,1.2346,2.1435),(2775,4765,1.4057,2.1319),(2775,4775,1.5769,2.1168),(2775,4785,1.6434,2.1018),(2775,4795,1.6496,2.0868),(2775,4805,1.6558,2.0718),(2775,4815,1.5808,2.0569),(2775,4825,1.409,2.042),(2775,4835,1.2372,2.0311),(2775,4845,1.0639,2.0209),(2775,4855,0.88684,2.0107),(2775,4865,0.70977,2.0042),(2775,4875,0.58688,1.9995),(2775,4885,0.95693,1.9947),(2775,4895,1.327,1.9854),(2775,4905,1.697,1.9717),(2775,4915,1.7193,1.9581),(2775,4925,1.7117,1.9442),(2775,4935,1.7041,1.9298),(2775,4945,1.6373,1.9155),(2775,4955,1.5499,1.9009),(2775,4965,1.4625,1.8853),(2775,4975,1.1969,1.8696),(2775,4985,0.79359,1.8539),(2775,4995,0.39031,1.8519),(2775,5005,0.29116,1.8503),(2775,5015,0.67553,1.8487),(2775,5025,1.0599,1.8401),(2775,5035,1.3913,1.8298),(2775,5045,1.5212,1.8195),(2775,5055,1.651,1.8075),(2775,5065,1.7771,1.7945),(2775,5075,1.7817,1.7814),(2775,5085,1.7862,1.7684),(2775,5095,1.7908,1.7555),(2775,5105,1.5678,1.7426),(2775,5115,1.3051,1.7312),(2775,5125,1.0424,1.7242),(2775,5135,0.91415,1.7173),(2775,5145,0.85113,1.7105),(2775,5155,0.7881,1.7052),(2775,5165,0.93062,1.6998),(2775,5175,1.2828,1.6945),(2775,5185,1.6349,1.6826),(2775,5195,1.8768,1.67),(2775,5205,1.8811,1.6575),(2775,5215,1.8853,1.6451),(2775,5225,1.8795,1.6327),(2775,5235,1.8115,1.6203),(2775,5245,1.7435,1.6088),(2775,5255,1.6755,1.598),(2775,5265,1.1822,1.5872),(2775,5275,0.67127,1.5803),(2775,5285,0.16038,1.5798),(2775,5295,0.45299,1.5793),(2775,5305,0.96937,1.5759),(2775,5315,1.4857,1.5605),(2775,5325,1.7355,1.5451),(2775,5335,1.8103,1.5297),(2775,5345,1.8852,1.5164),(2775,5355,1.9322,1.5032),(2775,5365,1.9415,1.49),(2775,5375,1.9509,1.4771),(2775,5385,1.8464,1.4644),(2775,5395,1.396,1.4517),(2775,5405,0.94562,1.4451),(2775,5415,0.54535,1.4416),(2775,5425,0.81838,1.4382),(2775,5435,1.0914,1.4319),(2775,5445,1.3644,1.4226),(2775,5455,1.6249,1.4133),(2775,5465,1.8839,1.4024),(2775,5475,2.1428,1.388),(2775,5485,2.2213,1.3735),(2775,5495,2.227,1.3592),(2775,5505,2.2327,1.3452),(2775,5515,2.2384,1.3312),(2775,5525,2.2441,1.3172),(2775,5535,2.2497,1.3036),(2775,5545,2.2553,1.2901),(2775,5555,2.2605,1.2765),(2775,5565,2.2657,1.2632),(2775,5575,2.2709,1.2501),(2775,5585,2.2757,1.2369),(2775,5595,2.2805,1.224),(2775,5605,2.2853,1.2112),(2775,5615,2.2897,1.1984),(2775,5625,2.2941,1.1857),(2775,5635,2.2985,1.1733),(2775,5645,2.3026,1.1609),(2775,5655,2.3066,1.1485),(2775,5665,2.3107,1.1365),(2775,5675,2.3145,1.1244),(2775,5685,2.3182,1.1123),(2775,5695,2.3219,1.1006),(2775,5705,2.3255,1.0888),(2775,5715,2.3289,1.0771),(2775,5725,2.3323,1.0656),(2775,5735,2.3356,1.0541),(2775,5745,2.3387,1.0426),(2775,5755,2.3418,1.0313),(2775,5765,2.3449,1.0202),(2775,5775,2.3477,1.009),(2775,5785,2.3505,0.99795),(2775,5795,2.3533,0.98705),(2775,5805,2.3559,0.97615),(2775,5815,2.3585,0.96534),(2775,5825,2.361,0.9547),(2775,5835,2.3634,0.94406),(2775,5845,2.3657,0.93345),(2775,5855,2.3681,0.92305),(2775,5865,2.3703,0.91265),(2775,5875,2.3724,0.90224),(2775,5885,2.3744,0.89208),(2775,5895,2.3765,0.88192),(2775,5905,2.3783,0.87176),(2775,5915,2.3802,0.86179),(2775,5925,2.3821,0.85186),(2775,5935,2.3838,0.84193),(2775,5945,2.3855,0.83214),(2775,5955,2.3871,0.82243),(2775,5965,2.3887,0.81271),(2775,5975,2.3903,0.80309),(2775,5985,2.3919,0.79357),(2775,5995,1.8291,0.78405),(2775,6005,1.1755,0.77677),(2775,6015,0.52184,0.7755),(2775,6025,0.62938,0.77423),(2775,6035,1.0899,0.77207),(2775,6045,1.5505,0.76138),(2775,6055,1.8726,0.75069),(2775,6065,2.0591,0.74),(2775,6075,2.2455,0.72619),(2775,6085,2.3722,0.71208),(2775,6095,2.3758,0.69798),(2775,6105,2.3794,0.68388),(2775,6115,2.383,0.66979),(2775,6125,2.3865,0.6557),(2775,6135,2.3899,0.64168),(2775,6145,2.3933,0.62771),(2775,6155,2.3965,0.61375),(2775,6165,2.3997,0.59987),(2775,6175,2.4029,0.58613),(2775,6185,2.4059,0.5724),(2775,6195,2.4088,0.55867),(2775,6205,2.4117,0.54496),(2775,6215,2.4145,0.53125),(2775,6225,2.4172,0.51753),(2775,6235,2.4199,0.50385),(2775,6245,2.4226,0.49016),(2775,6255,2.425,0.47648),(2775,6265,2.4275,0.46288),(2775,6275,2.4299,0.44931),(2775,6285,2.4321,0.43573),(2775,6295,2.4344,0.42223),(2775,6305,2.4366,0.40875),(2775,6315,2.4386,0.39528),(2775,6325,2.4406,0.38184),(2775,6335,2.4426,0.36844),(2775,6345,2.4443,0.35503),(2775,6355,2.4461,0.34165),(2775,6365,2.4479,0.32831),(2775,6375,2.4495,0.31497),(2775,6385,2.451,0.30163),(2775,6395,2.4525,0.28831),(2775,6405,2.454,0.27498),(2775,6415,2.4553,0.26166),(2775,6425,2.4566,0.24842),(2775,6435,2.4578,0.2352),(2775,6445,2.459,0.22197),(2775,6455,2.4601,0.20877),(2775,6465,2.4612,0.19558),(2775,6475,2.4621,0.18239),(2775,6485,2.463,0.1692),(2775,6495,2.4639,0.15601),(2775,6505,2.4646,0.14283),(2775,6515,2.4653,0.12965),(2775,6525,2.466,0.11649),(2775,6535,2.4666,0.10333),(2775,6545,2.4671,0.090168),(2775,6555,2.4676,0.077003),(2775,6565,2.4679,0.063838),(2775,6575,2.4682,0.050677),(2775,6585,2.4684,0.037574),(2775,6595,2.0996,0.024471),(2775,6605,1.3233,0.011368),(2775,6615,0.54699,0.009863),(2775,6625,0.001256,0.009848),(2775,6635,0.001255,0.009833),(2775,6645,0.001254,0.009821),(2775,6655,0.001253,0.009809),(2775,6665,0.001252,0.009798),(2775,6675,0.001251,0.009787),(2775,6685,0.00125,0.009776),(2775,6695,0.001249,0.009765),(2775,6705,0.001248,0.009754),(2775,6715,0.001247,0.009744),(2775,6725,0.001246,0.009733),(2775,6735,0.001245,0.009722),(2775,6745,0.001244,0.009712),(2775,6755,0.001243,0.009701),(2775,6765,0.001242,0.009691),(2775,6775,0.001241,0.00968),(2775,6785,0.00124,0.00967),(2775,6795,0.001239,0.009659),(2775,6805,0.001239,0.009649),(2775,6815,0.001238,0.009639),(2775,6825,0.001237,0.009628),(2775,6835,0.001236,0.009618),(2775,6845,0.001236,0.009608),(2775,6855,0.001235,0.009598),(2775,6865,0.001234,0.009588),(2775,6875,0.001234,0.009577),(2775,6885,0.001233,0.009567),(2775,6895,0.001232,0.009557),(2775,6905,0.001232,0.009547),(2775,6915,0.001231,0.009537),(2775,6925,0.001231,0.009527),(2775,6935,0.00123,0.009517),(2775,6945,0.001229,0.009508),(2775,6955,0.001229,0.009498),(2775,6965,0.001228,0.009488),(2775,6975,0.001228,0.009478),(2775,6985,0.001227,0.009468),(2785,5,2.5e-05,3.6873),(2785,15,7.5e-05,3.6874),(2785,25,0.000125,3.6874),(2785,35,0.000175,3.6874),(2785,45,0.000225,3.6874),(2785,55,0.000275,3.6874),(2785,65,0.000325,3.6874),(2785,75,0.000375,3.6874),(2785,85,0.000425,3.6874),(2785,95,0.000475,3.6874),(2785,105,0.000525,3.6874),(2785,115,0.000575,3.6874),(2785,125,0.000625,3.6874),(2785,135,0.000675,3.6874),(2785,145,0.000726,3.6874),(2785,155,0.000776,3.6874),(2785,165,0.000826,3.6875),(2785,175,0.000876,3.6875),(2785,185,0.000927,3.6875),(2785,195,0.000977,3.6875),(2785,205,0.001028,3.6875),(2785,215,0.001078,3.6875),(2785,225,0.001129,3.6875),(2785,235,0.00118,3.6876),(2785,245,0.00123,3.6876),(2785,255,0.001281,3.6876),(2785,265,0.001332,3.6876),(2785,275,0.001383,3.6876),(2785,285,0.001434,3.6877),(2785,295,0.001484,3.6877),(2785,305,0.001536,3.6877),(2785,315,0.001587,3.6877),(2785,325,0.001638,3.6878),(2785,335,0.001689,3.6878),(2785,345,0.001741,3.6878),(2785,355,0.001793,3.6878),(2785,365,0.001844,3.6879),(2785,375,0.001896,3.6879),(2785,385,0.001948,3.6879),(2785,395,0.002001,3.688),(2785,405,0.002053,3.688),(2785,415,0.002105,3.688),(2785,425,0.002158,3.6881),(2785,435,0.002211,3.6881),(2785,445,0.002264,3.6881),(2785,455,0.002317,3.6882),(2785,465,0.002371,3.6882),(2785,475,0.002425,3.6883),(2785,485,0.002478,3.6883),(2785,495,0.002532,3.6884),(2785,505,0.002586,3.6884),(2785,515,0.002641,3.6884),(2785,525,0.002695,3.6885),(2785,535,0.00275,3.6885),(2785,545,0.002806,3.6886),(2785,555,0.002861,3.6886),(2785,565,0.002917,3.6887),(2785,575,0.002973,3.6888),(2785,585,0.00303,3.6888),(2785,595,0.003086,3.6889),(2785,605,0.003144,3.6889),(2785,615,0.003201,3.689),(2785,625,0.003259,3.689),(2785,635,0.003318,3.6891),(2785,645,0.003376,3.6892),(2785,655,0.003435,3.6892),(2785,665,0.003495,3.6893),(2785,675,0.003556,3.6894),(2785,685,0.003616,3.6894),(2785,695,0.003677,3.6895),(2785,705,0.003739,3.6896),(2785,715,0.003801,3.6897),(2785,725,0.003864,3.6897),(2785,735,0.003927,3.6898),(2785,745,0.003991,3.6899),(2785,755,0.004056,3.69),(2785,765,0.004121,3.6901),(2785,775,0.004186,3.6902),(2785,785,0.004254,3.6902),(2785,795,0.004321,3.6903),(2785,805,0.004389,3.6904),(2785,815,0.004457,3.6905),(2785,825,0.004528,3.6906),(2785,835,0.004599,3.6907),(2785,845,0.00467,3.6908),(2785,855,0.004742,3.6909),(2785,865,0.004816,3.691),(2785,875,0.00489,3.6911),(2785,885,0.004965,3.6912),(2785,895,0.005041,3.6913),(2785,905,0.005119,3.6915),(2785,915,0.005198,3.6916),(2785,925,0.005276,3.6917),(2785,935,0.005356,3.6918),(2785,945,0.005439,3.6919),(2785,955,0.005523,3.6921),(2785,965,0.005606,3.6922),(2785,975,0.005691,3.6923),(2785,985,0.00578,3.6924),(2785,995,0.005868,3.6926),(2785,1005,0.005956,3.6927),(2785,1015,0.006048,3.6929),(2785,1025,0.006143,3.693),(2785,1035,0.006237,3.6931),(2785,1045,0.006332,3.6933),(2785,1055,0.00643,3.6935),(2785,1065,0.006531,3.6936),(2785,1075,0.006633,3.6938),(2785,1085,0.006734,3.6939),(2785,1095,0.00684,3.6941),(2785,1105,0.006949,3.6942),(2785,1115,0.007058,3.6944),(2785,1125,0.007167,3.6946),(2785,1135,0.007281,3.6948),(2785,1145,0.007398,3.6949),(2785,1155,0.007515,3.6951),(2785,1165,0.007633,3.6953),(2785,1175,0.007756,3.6955),(2785,1185,0.007883,3.6957),(2785,1195,0.00801,3.6959),(2785,1205,0.008137,3.6961),(2785,1215,0.008271,3.6963),(2785,1225,0.008409,3.6965),(2785,1235,0.008547,3.6967),(2785,1245,0.008684,3.6969),(2785,1255,0.008831,3.6971),(2785,1265,0.00898,3.6973),(2785,1275,0.009129,3.6975),(2785,1285,0.009279,3.6978),(2785,1295,0.009438,3.698),(2785,1305,0.009601,3.6982),(2785,1315,0.009763,3.6985),(2785,1325,0.009925,3.6987),(2785,1335,0.0101,3.6989),(2785,1345,0.010276,3.6992),(2785,1355,0.010453,3.6994),(2785,1365,0.01063,3.6997),(2785,1375,0.01082,3.6999),(2785,1385,0.011013,3.7002),(2785,1395,0.011205,3.7005),(2785,1405,0.011398,3.7007),(2785,1415,0.011607,3.701),(2785,1425,0.011817,3.7013),(2785,1435,0.012028,3.7016),(2785,1445,0.012238,3.7019),(2785,1455,0.012467,3.7021),(2785,1465,0.012696,3.7024),(2785,1475,0.012926,3.7027),(2785,1485,0.013156,3.703),(2785,1495,0.013406,3.7033),(2785,1505,0.013657,3.7036),(2785,1515,0.013908,3.704),(2785,1525,0.01416,3.7043),(2785,1535,0.014434,3.7046),(2785,1545,0.014708,3.7049),(2785,1555,0.014983,3.7053),(2785,1565,0.015259,3.7056),(2785,1575,0.015559,3.7059),(2785,1585,0.015859,3.7063),(2785,1595,0.016159,3.7066),(2785,1605,0.016462,3.707),(2785,1615,0.01679,3.7073),(2785,1625,0.017118,3.7077),(2785,1635,0.017446,3.7081),(2785,1645,0.017779,3.7084),(2785,1655,0.018138,3.7088),(2785,1665,0.018497,3.7092),(2785,1675,0.018856,3.7096),(2785,1685,0.019222,3.71),(2785,1695,0.019615,3.7104),(2785,1705,0.020007,3.7108),(2785,1715,0.0204,3.7112),(2785,1725,0.020801,3.7116),(2785,1735,0.021231,3.712),(2785,1745,0.021661,3.7124),(2785,1755,0.022091,3.7128),(2785,1765,0.022531,3.7132),(2785,1775,0.023002,3.7137),(2785,1785,0.023472,3.7141),(2785,1795,0.023942,3.7145),(2785,1805,0.024426,3.715),(2785,1815,0.024941,3.7154),(2785,1825,0.025455,3.7159),(2785,1835,0.02597,3.7163),(2785,1845,0.026501,3.7168),(2785,1855,0.027064,3.7172),(2785,1865,0.027626,3.7177),(2785,1875,0.028189,3.7182),(2785,1885,0.028772,3.7186),(2785,1895,0.029387,3.7191),(2785,1905,0.030003,3.7196),(2785,1915,0.030618,3.7201),(2785,1925,0.031258,3.7205),(2785,1935,0.031931,3.721),(2785,1945,0.032604,3.7215),(2785,1955,0.033276,3.722),(2785,1965,0.033978,3.7225),(2785,1975,0.034713,3.723),(2785,1985,0.035448,3.7235),(2785,1995,0.036184,3.724),(2785,2005,0.036953,3.7245),(2785,2015,0.037756,3.725),(2785,2025,0.038559,3.7255),(2785,2035,0.039362,3.7261),(2785,2045,0.040205,3.7266),(2785,2055,0.041081,3.7271),(2785,2065,0.041958,3.7276),(2785,2075,0.042834,3.7281),(2785,2085,0.043757,3.7286),(2785,2095,0.044713,3.7291),(2785,2105,0.045669,3.7297),(2785,2115,0.046625,3.7302),(2785,2125,0.047635,3.7307),(2785,2135,0.048677,3.7312),(2785,2145,0.049719,3.7317),(2785,2155,0.050761,3.7322),(2785,2165,0.051863,3.7327),(2785,2175,0.052998,3.7333),(2785,2185,0.054132,3.7338),(2785,2195,0.055266,3.7343),(2785,2205,0.05647,3.7348),(2785,2215,0.057703,3.7353),(2785,2225,0.058937,3.7357),(2785,2235,0.06017,3.7362),(2785,2245,0.061482,3.7367),(2785,2255,0.062821,3.7372),(2785,2265,0.06416,3.7376),(2785,2275,0.065499,3.7381),(2785,2285,0.066926,3.7385),(2785,2295,0.068377,3.739),(2785,2305,0.069829,3.7394),(2785,2315,0.07128,3.7398),(2785,2325,0.072828,3.7403),(2785,2335,0.074398,3.7407),(2785,2345,0.075968,3.7411),(2785,2355,0.077538,3.7414),(2785,2365,0.079214,3.7418),(2785,2375,0.080909,3.7422),(2785,2385,0.082603,3.7425),(2785,2395,0.084297,3.7428),(2785,2405,0.086108,3.7431),(2785,2415,0.087932,3.7434),(2785,2425,0.089757,3.7436),(2785,2435,0.091581,3.7439),(2785,2445,0.093531,3.7441),(2785,2455,0.095489,3.7443),(2785,2465,0.097447,3.7445),(2785,2475,0.099406,3.7446),(2785,2485,0.1015,3.7448),(2785,2495,0.10359,3.7449),(2785,2505,0.10569,3.745),(2785,2515,0.10779,3.745),(2785,2525,0.11002,3.7451),(2785,2535,0.11226,3.7451),(2785,2545,0.11449,3.745),(2785,2555,0.11673,3.7449),(2785,2565,0.11911,3.7448),(2785,2575,0.12148,3.7447),(2785,2585,0.12386,3.7445),(2785,2595,0.12624,3.7443),(2785,2605,0.12875,3.7441),(2785,2615,0.13127,3.7438),(2785,2625,0.13378,3.7434),(2785,2635,0.13631,3.743),(2785,2645,0.13895,3.7427),(2785,2655,0.14159,3.7422),(2785,2665,0.14424,3.7417),(2785,2675,0.1469,3.7411),(2785,2685,0.14968,3.7405),(2785,2695,0.15245,3.7399),(2785,2705,0.15522,3.7391),(2785,2715,0.15801,3.7383),(2785,2725,0.1609,3.7376),(2785,2735,0.16379,3.7367),(2785,2745,0.16667,3.7357),(2785,2755,0.16959,3.7347),(2785,2765,0.17258,3.7337),(2785,2775,0.17557,3.7326),(2785,2785,0.17856,3.7314),(2785,2795,0.18158,3.7301),(2785,2805,0.18466,3.7289),(2785,2815,0.18775,3.7275),(2785,2825,0.19083,3.726),(2785,2835,0.19393,3.7245),(2785,2845,0.19708,3.723),(2785,2855,0.20024,3.7214),(2785,2865,0.20339,3.7196),(2785,2875,0.20656,3.7178),(2785,2885,0.20976,3.7159),(2785,2895,0.21297,3.714),(2785,2905,0.21617,3.7119),(2785,2915,0.21938,3.7098),(2785,2925,0.22261,3.7077),(2785,2935,0.22584,3.7055),(2785,2945,0.22907,3.703),(2785,2955,0.2323,3.7006),(2785,2965,0.23553,3.6982),(2785,2975,0.23875,3.6956),(2785,2985,0.24198,3.6929),(2785,2995,0.2452,3.6901),(2785,3005,0.2484,3.6874),(2785,3015,0.2516,3.6845),(2785,3025,0.25479,3.6814),(2785,3035,0.25796,3.6783),(2785,3045,0.2611,3.6752),(2785,3055,0.26424,3.672),(2785,3065,0.26738,3.6686),(2785,3075,0.27047,3.6651),(2785,3085,0.27351,3.6617),(2785,3095,0.27656,3.6581),(2785,3105,0.27961,3.6544),(2785,3115,0.28258,3.6506),(2785,3125,0.2855,3.6469),(2785,3135,0.28842,3.6429),(2785,3145,0.29134,3.6388),(2785,3155,0.29416,3.6347),(2785,3165,0.29692,3.6306),(2785,3175,0.29968,3.6263),(2785,3185,0.30244,3.6219),(2785,3195,0.30506,3.6175),(2785,3205,0.30763,3.6131),(2785,3215,0.31019,3.6085),(2785,3225,0.31276,3.6038),(2785,3235,0.31516,3.5991),(2785,3245,0.31749,3.5944),(2785,3255,0.31983,3.5895),(2785,3265,0.32217,3.5845),(2785,3275,0.3243,3.5795),(2785,3285,0.32638,3.5745),(2785,3295,0.32845,3.5693),(2785,3305,0.33053,3.564),(2785,3315,0.33237,3.5587),(2785,3325,0.33415,3.5535),(2785,3335,0.33594,3.548),(2785,3345,0.33772,3.5425),(2785,3355,0.33923,3.537),(2785,3365,0.3407,3.5315),(2785,3375,0.34216,3.5259),(2785,3385,0.34363,3.5202),(2785,3395,0.34478,3.5145),(2785,3405,0.3459,3.5088),(2785,3415,0.34703,3.503),(2785,3425,0.34815,3.4971),(2785,3435,0.34893,3.4913),(2785,3445,0.34969,3.4854),(2785,3455,0.35045,3.4795),(2785,3465,0.3512,3.4735),(2785,3475,0.3516,3.4676),(2785,3485,0.35198,3.4616),(2785,3495,0.35236,3.4556),(2785,3505,0.35274,3.4496),(2785,3515,0.35273,3.4435),(2785,3525,0.35273,3.4375),(2785,3535,0.35273,3.4315),(2785,3545,0.35271,3.4254),(2785,3555,0.35232,3.4194),(2785,3565,0.35193,3.4133),(2785,3575,0.35154,3.4073),(2785,3585,0.35112,3.4013),(2785,3595,0.35035,3.3953),(2785,3605,0.34959,3.3893),(2785,3615,0.34882,3.3833),(2785,3625,0.34801,3.3774),(2785,3635,0.34688,3.3714),(2785,3645,0.34575,3.3655),(2785,3655,0.34462,3.3597),(2785,3665,0.34343,3.3539),(2785,3675,0.34196,3.3481),(2785,3685,0.34049,3.3423),(2785,3695,0.33901,3.3366),(2785,3705,0.33748,3.331),(2785,3715,0.33569,3.3253),(2785,3725,0.33391,3.3197),(2785,3735,0.33212,3.3142),(2785,3745,0.33027,3.3088),(2785,3755,0.3282,3.3033),(2785,3765,0.32614,3.2979),(2785,3775,0.32407,3.2926),(2785,3785,0.32194,3.2874),(2785,3795,0.31963,3.2822),(2785,3805,0.31732,3.277),(2785,3815,0.31501,3.272),(2785,3825,0.31263,3.267),(2785,3835,0.31012,3.2619),(2785,3845,0.3076,3.257),(2785,3855,0.30508,3.2522),(2785,3865,0.30251,3.2475),(2785,3875,0.29982,3.2427),(2785,3885,0.29713,3.238),(2785,3895,0.29444,3.2334),(2785,3905,0.33149,3.2289),(2785,3915,0.42791,3.2243),(2785,3925,0.52432,3.2178),(2785,3935,0.62074,3.2085),(2785,3945,0.72092,3.1993),(2785,3955,0.82587,3.19),(2785,3965,0.93082,3.1786),(2785,3975,1.0358,3.1646),(2785,3985,1.0948,3.1507),(2785,3995,1.1042,3.1367),(2785,4005,1.1136,3.1227),(2785,4015,1.123,3.1087),(2785,4025,1.1336,3.0948),(2785,4035,1.1443,3.0808),(2785,4045,1.155,3.0667),(2785,4055,1.1658,3.0526),(2785,4065,1.1767,3.0385),(2785,4075,1.1876,3.0242),(2785,4085,1.1983,3.0098),(2785,4095,1.2089,2.9955),(2785,4105,1.2194,2.9806),(2785,4115,1.1865,2.9656),(2785,4125,1.0815,2.9506),(2785,4135,0.97651,2.9382),(2785,4145,0.86962,2.9266),(2785,4155,0.75498,2.9149),(2785,4165,0.64033,2.9061),(2785,4175,0.53258,2.8992),(2785,4185,0.76611,2.8923),(2785,4195,0.99964,2.8818),(2785,4205,1.2332,2.8665),(2785,4215,1.2594,2.8513),(2785,4225,1.2467,2.8357),(2785,4235,1.234,2.819),(2785,4245,1.1862,2.8024),(2785,4255,1.1206,2.7857),(2785,4265,1.055,2.7694),(2785,4275,0.91064,2.7531),(2785,4285,0.68279,2.7367),(2785,4295,0.45495,2.7302),(2785,4305,0.38615,2.7247),(2785,4315,0.67649,2.7193),(2785,4325,0.96682,2.7058),(2785,4335,1.2263,2.689),(2785,4345,1.2766,2.6723),(2785,4355,1.327,2.6553),(2785,4365,1.3773,2.6379),(2785,4375,1.3903,2.6205),(2785,4385,1.4013,2.6033),(2785,4395,1.4123,2.5862),(2785,4405,1.245,2.5691),(2785,4415,1.025,2.5536),(2785,4425,0.80506,2.545),(2785,4435,0.71636,2.5364),(2785,4445,0.71736,2.5277),(2785,4455,0.71835,2.5197),(2785,4465,0.81922,2.5117),(2785,4475,1.0604,2.5036),(2785,4485,1.3015,2.489),(2785,4495,1.4874,2.4729),(2785,4505,1.4958,2.4569),(2785,4515,1.5042,2.4406),(2785,4525,1.5096,2.4243),(2785,4535,1.4668,2.4079),(2785,4545,1.424,2.392),(2785,4555,1.3812,2.3766),(2785,4565,1.061,2.3612),(2785,4575,0.70348,2.3492),(2785,4585,0.34591,2.3456),(2785,4595,0.44423,2.342),(2785,4605,0.73517,2.3369),(2785,4615,1.0261,2.32),(2785,4625,1.2156,2.3032),(2785,4635,1.3132,2.2864),(2785,4645,1.4107,2.2692),(2785,4655,1.4848,2.252),(2785,4665,1.5144,2.2348),(2785,4675,1.5441,2.2184),(2785,4685,1.5155,2.2022),(2785,4695,1.1988,2.186),(2785,4705,0.88208,2.1756),(2785,4715,0.56539,2.1696),(2785,4725,0.7304,2.1636),(2785,4735,0.90024,2.1557),(2785,4745,1.0701,2.1451),(2785,4755,1.2415,2.1345),(2785,4765,1.4133,2.123),(2785,4775,1.5851,2.1079),(2785,4785,1.652,2.0928),(2785,4795,1.658,2.0778),(2785,4805,1.6641,2.0629),(2785,4815,1.5888,2.0479),(2785,4825,1.4162,2.033),(2785,4835,1.2436,2.0221),(2785,4845,1.0694,2.0119),(2785,4855,0.89134,2.0017),(2785,4865,0.71327,1.9952),(2785,4875,0.58961,1.9904),(2785,4885,0.96099,1.9856),(2785,4895,1.3324,1.9763),(2785,4905,1.7038,1.9626),(2785,4915,1.7264,1.9489),(2785,4925,1.719,1.935),(2785,4935,1.7116,1.9207),(2785,4945,1.6454,1.9063),(2785,4955,1.5588,1.8917),(2785,4965,1.4721,1.876),(2785,4975,1.2052,1.8602),(2785,4985,0.79914,1.8445),(2785,4995,0.39307,1.8425),(2785,5005,0.29268,1.8409),(2785,5015,0.67827,1.8392),(2785,5025,1.0639,1.8307),(2785,5035,1.3963,1.8204),(2785,5045,1.5265,1.8101),(2785,5055,1.6567,1.798),(2785,5065,1.7831,1.785),(2785,5075,1.7876,1.7719),(2785,5085,1.7922,1.7589),(2785,5095,1.7967,1.746),(2785,5105,1.573,1.733),(2785,5115,1.3094,1.7216),(2785,5125,1.0459,1.7147),(2785,5135,0.91716,1.7077),(2785,5145,0.85389,1.7009),(2785,5155,0.79061,1.6956),(2785,5165,0.93343,1.6903),(2785,5175,1.2865,1.6849),(2785,5185,1.6395,1.6731),(2785,5195,1.882,1.6605),(2785,5205,1.8862,1.648),(2785,5215,1.8903,1.6355),(2785,5225,1.8845,1.6232),(2785,5235,1.8162,1.6108),(2785,5245,1.748,1.5993),(2785,5255,1.6798,1.5885),(2785,5265,1.1852,1.5777),(2785,5275,0.67308,1.5708),(2785,5285,0.16095,1.5703),(2785,5295,0.45535,1.5698),(2785,5305,0.97435,1.5664),(2785,5315,1.4934,1.551),(2785,5325,1.7436,1.5356),(2785,5335,1.8175,1.5202),(2785,5345,1.8914,1.507),(2785,5355,1.9378,1.4938),(2785,5365,1.9469,1.4806),(2785,5375,1.9561,1.4678),(2785,5385,1.8512,1.4551),(2785,5395,1.3996,1.4424),(2785,5405,0.9481,1.4358),(2785,5415,0.54681,1.4324),(2785,5425,0.82064,1.4289),(2785,5435,1.0945,1.4227),(2785,5445,1.3683,1.4134),(2785,5455,1.6294,1.4042),(2785,5465,1.889,1.3934),(2785,5475,2.1485,1.3791),(2785,5485,2.227,1.3647),(2785,5495,2.2326,1.3504),(2785,5505,2.2382,1.3366),(2785,5515,2.2437,1.3227),(2785,5525,2.2492,1.3088),(2785,5535,2.2547,1.2953),(2785,5545,2.2601,1.2818),(2785,5555,2.2652,1.2683),(2785,5565,2.2703,1.2552),(2785,5575,2.2753,1.2421),(2785,5585,2.2799,1.229),(2785,5595,2.2846,1.2162),(2785,5605,2.2893,1.2035),(2785,5615,2.2935,1.1908),(2785,5625,2.2978,1.1783),(2785,5635,2.3021,1.1659),(2785,5645,2.3061,1.1536),(2785,5655,2.31,1.1413),(2785,5665,2.314,1.1293),(2785,5675,2.3177,1.1174),(2785,5685,2.3213,1.1054),(2785,5695,2.3249,1.0937),(2785,5705,2.3283,1.082),(2785,5715,2.3316,1.0704),(2785,5725,2.3349,1.0589),(2785,5735,2.3381,1.0476),(2785,5745,2.3411,1.0362),(2785,5755,2.3441,1.025),(2785,5765,2.3471,1.0139),(2785,5775,2.3498,1.0028),(2785,5785,2.3525,0.99182),(2785,5795,2.3553,0.98099),(2785,5805,2.3578,0.97017),(2785,5815,2.3602,0.95943),(2785,5825,2.3627,0.94887),(2785,5835,2.365,0.9383),(2785,5845,2.3673,0.92777),(2785,5855,2.3695,0.91744),(2785,5865,2.3716,0.90711),(2785,5875,2.3736,0.89679),(2785,5885,2.3756,0.88669),(2785,5895,2.3776,0.87661),(2785,5905,2.3794,0.86652),(2785,5915,2.3812,0.85662),(2785,5925,2.383,0.84677),(2785,5935,2.3846,0.83691),(2785,5945,2.3862,0.82719),(2785,5955,2.3878,0.81755),(2785,5965,2.3893,0.80791),(2785,5975,2.3908,0.79836),(2785,5985,2.3923,0.78891),(2785,5995,1.8294,0.77945),(2785,6005,1.1757,0.77223),(2785,6015,0.52196,0.77096),(2785,6025,0.63038,0.7697),(2785,6035,1.0923,0.76755),(2785,6045,1.5542,0.75692),(2785,6055,1.8772,0.74628),(2785,6065,2.064,0.73565),(2785,6075,2.2509,0.72191),(2785,6085,2.3778,0.70788),(2785,6095,2.3814,0.69385),(2785,6105,2.385,0.67984),(2785,6115,2.3885,0.66582),(2785,6125,2.3919,0.65181),(2785,6135,2.3953,0.63787),(2785,6145,2.3987,0.62399),(2785,6155,2.4018,0.6101),(2785,6165,2.405,0.59631),(2785,6175,2.4081,0.58265),(2785,6185,2.411,0.569),(2785,6195,2.414,0.55535),(2785,6205,2.4169,0.54172),(2785,6215,2.4196,0.5281),(2785,6225,2.4223,0.51447),(2785,6235,2.425,0.50086),(2785,6245,2.4275,0.48726),(2785,6255,2.43,0.47365),(2785,6265,2.4324,0.46014),(2785,6275,2.4348,0.44665),(2785,6285,2.437,0.43315),(2785,6295,2.4392,0.41972),(2785,6305,2.4414,0.40632),(2785,6315,2.4434,0.39291),(2785,6325,2.4454,0.37955),(2785,6335,2.4473,0.36622),(2785,6345,2.4491,0.3529),(2785,6355,2.4508,0.33959),(2785,6365,2.4526,0.32634),(2785,6375,2.4541,0.31308),(2785,6385,2.4556,0.29982),(2785,6395,2.4572,0.28658),(2785,6405,2.4586,0.27333),(2785,6415,2.4599,0.26009),(2785,6425,2.4612,0.24694),(2785,6435,2.4624,0.23379),(2785,6445,2.4635,0.22065),(2785,6455,2.4646,0.20754),(2785,6465,2.4656,0.19443),(2785,6475,2.4665,0.18133),(2785,6485,2.4674,0.16822),(2785,6495,2.4683,0.15512),(2785,6505,2.469,0.14202),(2785,6515,2.4697,0.12893),(2785,6525,2.4705,0.11585),(2785,6535,2.471,0.10277),(2785,6545,2.4715,0.089689),(2785,6555,2.472,0.07661),(2785,6565,2.4723,0.063531),(2785,6575,2.4726,0.050455),(2785,6585,2.4728,0.037431),(2785,6595,2.1034,0.024406),(2785,6605,1.3257,0.011381),(2785,6615,0.54797,0.009879),(2785,6625,0.001263,0.009856),(2785,6635,0.001262,0.009834),(2785,6645,0.001261,0.00982),(2785,6655,0.001259,0.009808),(2785,6665,0.001258,0.009797),(2785,6675,0.001257,0.009786),(2785,6685,0.001256,0.009775),(2785,6695,0.001255,0.009764),(2785,6705,0.001254,0.009754),(2785,6715,0.001253,0.009743),(2785,6725,0.001252,0.009732),(2785,6735,0.001251,0.009721),(2785,6745,0.00125,0.009711),(2785,6755,0.001249,0.0097),(2785,6765,0.001248,0.00969),(2785,6775,0.001247,0.009679),(2785,6785,0.001246,0.009669),(2785,6795,0.001245,0.009659),(2785,6805,0.001245,0.009648),(2785,6815,0.001244,0.009638),(2785,6825,0.001243,0.009628),(2785,6835,0.001242,0.009617),(2785,6845,0.001241,0.009607),(2785,6855,0.001241,0.009597),(2785,6865,0.00124,0.009587),(2785,6875,0.001239,0.009577),(2785,6885,0.001239,0.009567),(2785,6895,0.001238,0.009557),(2785,6905,0.001237,0.009547),(2785,6915,0.001237,0.009537),(2785,6925,0.001236,0.009527),(2785,6935,0.001236,0.009517),(2785,6945,0.001235,0.009507),(2785,6955,0.001234,0.009497),(2785,6965,0.001234,0.009487),(2785,6975,0.001233,0.009478),(2785,6985,0.001233,0.009468),(2795,5,2.5e-05,3.6874),(2795,15,7.4e-05,3.6874),(2795,25,0.000123,3.6874),(2795,35,0.000172,3.6874),(2795,45,0.000221,3.6874),(2795,55,0.00027,3.6874),(2795,65,0.000319,3.6874),(2795,75,0.000368,3.6874),(2795,85,0.000417,3.6874),(2795,95,0.000466,3.6874),(2795,105,0.000515,3.6874),(2795,115,0.000564,3.6875),(2795,125,0.000613,3.6875),(2795,135,0.000662,3.6875),(2795,145,0.000711,3.6875),(2795,155,0.000761,3.6875),(2795,165,0.00081,3.6875),(2795,175,0.000859,3.6875),(2795,185,0.000908,3.6875),(2795,195,0.000958,3.6875),(2795,205,0.001007,3.6876),(2795,215,0.001057,3.6876),(2795,225,0.001106,3.6876),(2795,235,0.001156,3.6876),(2795,245,0.001206,3.6876),(2795,255,0.001255,3.6877),(2795,265,0.001305,3.6877),(2795,275,0.001355,3.6877),(2795,285,0.001405,3.6877),(2795,295,0.001454,3.6877),(2795,305,0.001504,3.6878),(2795,315,0.001554,3.6878),(2795,325,0.001605,3.6878),(2795,335,0.001654,3.6878),(2795,345,0.001705,3.6879),(2795,355,0.001755,3.6879),(2795,365,0.001806,3.6879),(2795,375,0.001856,3.688),(2795,385,0.001907,3.688),(2795,395,0.001958,3.688),(2795,405,0.002009,3.6881),(2795,415,0.00206,3.6881),(2795,425,0.002112,3.6881),(2795,435,0.002164,3.6882),(2795,445,0.002215,3.6882),(2795,455,0.002267,3.6882),(2795,465,0.002319,3.6883),(2795,475,0.002372,3.6883),(2795,485,0.002424,3.6884),(2795,495,0.002476,3.6884),(2795,505,0.002529,3.6885),(2795,515,0.002582,3.6885),(2795,525,0.002635,3.6886),(2795,535,0.002688,3.6886),(2795,545,0.002743,3.6887),(2795,555,0.002796,3.6887),(2795,565,0.002851,3.6888),(2795,575,0.002905,3.6888),(2795,585,0.00296,3.6889),(2795,595,0.003015,3.6889),(2795,605,0.003071,3.689),(2795,615,0.003126,3.689),(2795,625,0.003183,3.6891),(2795,635,0.00324,3.6892),(2795,645,0.003296,3.6892),(2795,655,0.003354,3.6893),(2795,665,0.003412,3.6894),(2795,675,0.00347,3.6894),(2795,685,0.003529,3.6895),(2795,695,0.003588,3.6896),(2795,705,0.003648,3.6897),(2795,715,0.003708,3.6897),(2795,725,0.003769,3.6898),(2795,735,0.003829,3.6899),(2795,745,0.003892,3.69),(2795,755,0.003955,3.69),(2795,765,0.004017,3.6901),(2795,775,0.004081,3.6902),(2795,785,0.004146,3.6903),(2795,795,0.004211,3.6904),(2795,805,0.004276,3.6905),(2795,815,0.004343,3.6906),(2795,825,0.004411,3.6907),(2795,835,0.00448,3.6908),(2795,845,0.004548,3.6909),(2795,855,0.004618,3.691),(2795,865,0.00469,3.6911),(2795,875,0.004761,3.6912),(2795,885,0.004833,3.6913),(2795,895,0.004907,3.6914),(2795,905,0.004982,3.6915),(2795,915,0.005058,3.6917),(2795,925,0.005134,3.6918),(2795,935,0.005212,3.6919),(2795,945,0.005292,3.692),(2795,955,0.005372,3.6921),(2795,965,0.005453,3.6923),(2795,975,0.005535,3.6924),(2795,985,0.005621,3.6925),(2795,995,0.005706,3.6927),(2795,1005,0.005792,3.6928),(2795,1015,0.00588,3.693),(2795,1025,0.005972,3.6931),(2795,1035,0.006063,3.6932),(2795,1045,0.006155,3.6934),(2795,1055,0.006249,3.6935),(2795,1065,0.006348,3.6937),(2795,1075,0.006446,3.6939),(2795,1085,0.006544,3.694),(2795,1095,0.006646,3.6942),(2795,1105,0.006752,3.6944),(2795,1115,0.006857,3.6945),(2795,1125,0.006963,3.6947),(2795,1135,0.007073,3.6949),(2795,1145,0.007187,3.6951),(2795,1155,0.007301,3.6952),(2795,1165,0.007415,3.6954),(2795,1175,0.007534,3.6956),(2795,1185,0.007657,3.6958),(2795,1195,0.00778,3.696),(2795,1205,0.007903,3.6962),(2795,1215,0.008034,3.6964),(2795,1225,0.008167,3.6966),(2795,1235,0.008301,3.6968),(2795,1245,0.008435,3.697),(2795,1255,0.008577,3.6972),(2795,1265,0.008722,3.6975),(2795,1275,0.008867,3.6977),(2795,1285,0.009012,3.6979),(2795,1295,0.009168,3.6981),(2795,1305,0.009326,3.6984),(2795,1315,0.009484,3.6986),(2795,1325,0.009642,3.6989),(2795,1335,0.009811,3.6991),(2795,1345,0.009984,3.6994),(2795,1355,0.010156,3.6996),(2795,1365,0.010328,3.6999),(2795,1375,0.010514,3.7001),(2795,1385,0.010701,3.7004),(2795,1395,0.010889,3.7007),(2795,1405,0.011077,3.7009),(2795,1415,0.011281,3.7012),(2795,1425,0.011486,3.7015),(2795,1435,0.011692,3.7018),(2795,1445,0.011897,3.7021),(2795,1455,0.012121,3.7024),(2795,1465,0.012345,3.7027),(2795,1475,0.01257,3.703),(2795,1485,0.012794,3.7033),(2795,1495,0.01304,3.7036),(2795,1505,0.013285,3.7039),(2795,1515,0.013531,3.7042),(2795,1525,0.013777,3.7046),(2795,1535,0.014046,3.7049),(2795,1545,0.014315,3.7052),(2795,1555,0.014583,3.7055),(2795,1565,0.014854,3.7059),(2795,1575,0.015148,3.7062),(2795,1585,0.015443,3.7066),(2795,1595,0.015737,3.7069),(2795,1605,0.016034,3.7073),(2795,1615,0.016356,3.7077),(2795,1625,0.016679,3.708),(2795,1635,0.017001,3.7084),(2795,1645,0.017328,3.7088),(2795,1655,0.017681,3.7092),(2795,1665,0.018034,3.7096),(2795,1675,0.018387,3.71),(2795,1685,0.018746,3.7103),(2795,1695,0.019133,3.7107),(2795,1705,0.01952,3.7111),(2795,1715,0.019907,3.7116),(2795,1725,0.020302,3.712),(2795,1735,0.020725,3.7124),(2795,1745,0.021149,3.7128),(2795,1755,0.021572,3.7133),(2795,1765,0.022006,3.7137),(2795,1775,0.02247,3.7141),(2795,1785,0.022934,3.7146),(2795,1795,0.023398,3.715),(2795,1805,0.023876,3.7155),(2795,1815,0.024384,3.7159),(2795,1825,0.024892,3.7164),(2795,1835,0.0254,3.7168),(2795,1845,0.025925,3.7173),(2795,1855,0.026481,3.7178),(2795,1865,0.027038,3.7183),(2795,1875,0.027594,3.7187),(2795,1885,0.028171,3.7192),(2795,1895,0.02878,3.7197),(2795,1905,0.029389,3.7202),(2795,1915,0.029998,3.7207),(2795,1925,0.030632,3.7212),(2795,1935,0.031299,3.7217),(2795,1945,0.031965,3.7222),(2795,1955,0.032632,3.7227),(2795,1965,0.033328,3.7232),(2795,1975,0.034057,3.7237),(2795,1985,0.034787,3.7243),(2795,1995,0.035516,3.7248),(2795,2005,0.03628,3.7253),(2795,2015,0.037077,3.7258),(2795,2025,0.037875,3.7264),(2795,2035,0.038672,3.7269),(2795,2045,0.03951,3.7274),(2795,2055,0.040382,3.7279),(2795,2065,0.041253,3.7285),(2795,2075,0.042125,3.729),(2795,2085,0.043043,3.7296),(2795,2095,0.043995,3.7301),(2795,2105,0.044947,3.7306),(2795,2115,0.045899,3.7312),(2795,2125,0.046905,3.7317),(2795,2135,0.047944,3.7322),(2795,2145,0.048983,3.7328),(2795,2155,0.050022,3.7333),(2795,2165,0.051122,3.7338),(2795,2175,0.052254,3.7344),(2795,2185,0.053386,3.7349),(2795,2195,0.054519,3.7354),(2795,2205,0.055721,3.736),(2795,2215,0.056954,3.7365),(2795,2225,0.058186,3.737),(2795,2235,0.059419,3.7375),(2795,2245,0.060731,3.738),(2795,2255,0.062071,3.7385),(2795,2265,0.063411,3.739),(2795,2275,0.064752,3.7395),(2795,2285,0.06618,3.74),(2795,2295,0.067635,3.7404),(2795,2305,0.069089,3.7409),(2795,2315,0.070544,3.7413),(2795,2325,0.072097,3.7418),(2795,2335,0.073672,3.7422),(2795,2345,0.075247,3.7426),(2795,2355,0.076822,3.743),(2795,2365,0.078506,3.7434),(2795,2375,0.080208,3.7438),(2795,2385,0.081911,3.7442),(2795,2395,0.083613,3.7445),(2795,2405,0.085434,3.7449),(2795,2415,0.087269,3.7452),(2795,2425,0.089105,3.7455),(2795,2435,0.09094,3.7458),(2795,2445,0.092904,3.746),(2795,2455,0.094876,3.7463),(2795,2465,0.096849,3.7465),(2795,2475,0.098822,3.7467),(2795,2485,0.10093,3.7468),(2795,2495,0.10305,3.747),(2795,2505,0.10516,3.7471),(2795,2515,0.10728,3.7472),(2795,2525,0.10953,3.7473),(2795,2535,0.11179,3.7473),(2795,2545,0.11405,3.7473),(2795,2555,0.11631,3.7472),(2795,2565,0.11871,3.7472),(2795,2575,0.12111,3.7471),(2795,2585,0.12351,3.7469),(2795,2595,0.12593,3.7467),(2795,2605,0.12847,3.7465),(2795,2615,0.13101,3.7463),(2795,2625,0.13356,3.746),(2795,2635,0.13612,3.7456),(2795,2645,0.1388,3.7453),(2795,2655,0.14148,3.7449),(2795,2665,0.14416,3.7443),(2795,2675,0.14686,3.7438),(2795,2685,0.14967,3.7433),(2795,2695,0.15248,3.7427),(2795,2705,0.1553,3.7419),(2795,2715,0.15813,3.7412),(2795,2725,0.16107,3.7404),(2795,2735,0.164,3.7396),(2795,2745,0.16694,3.7386),(2795,2755,0.1699,3.7377),(2795,2765,0.17294,3.7367),(2795,2775,0.17598,3.7356),(2795,2785,0.17903,3.7344),(2795,2795,0.1821,3.7332),(2795,2805,0.18524,3.7319),(2795,2815,0.18837,3.7306),(2795,2825,0.19151,3.7291),(2795,2835,0.19467,3.7276),(2795,2845,0.19789,3.7261),(2795,2855,0.2011,3.7245),(2795,2865,0.20431,3.7227),(2795,2875,0.20755,3.7209),(2795,2885,0.21081,3.7191),(2795,2895,0.21408,3.7172),(2795,2905,0.21735,3.7151),(2795,2915,0.22063,3.713),(2795,2925,0.22392,3.7109),(2795,2935,0.22722,3.7087),(2795,2945,0.23052,3.7063),(2795,2955,0.23382,3.7038),(2795,2965,0.23712,3.7014),(2795,2975,0.24041,3.6989),(2795,2985,0.24371,3.6961),(2795,2995,0.247,3.6933),(2795,3005,0.25027,3.6906),(2795,3015,0.25355,3.6877),(2795,3025,0.25682,3.6846),(2795,3035,0.26006,3.6815),(2795,3045,0.26327,3.6784),(2795,3055,0.26649,3.6751),(2795,3065,0.2697,3.6717),(2795,3075,0.27286,3.6682),(2795,3085,0.27598,3.6648),(2795,3095,0.2791,3.6611),(2795,3105,0.28223,3.6574),(2795,3115,0.28527,3.6536),(2795,3125,0.28826,3.6498),(2795,3135,0.29126,3.6458),(2795,3145,0.29425,3.6417),(2795,3155,0.29714,3.6375),(2795,3165,0.29998,3.6334),(2795,3175,0.30281,3.6291),(2795,3185,0.30564,3.6246),(2795,3195,0.30834,3.6202),(2795,3205,0.31097,3.6157),(2795,3215,0.31361,3.611),(2795,3225,0.31624,3.6063),(2795,3235,0.31871,3.6015),(2795,3245,0.32111,3.5967),(2795,3255,0.32351,3.5917),(2795,3265,0.32591,3.5867),(2795,3275,0.32811,3.5816),(2795,3285,0.33024,3.5765),(2795,3295,0.33238,3.5713),(2795,3305,0.33452,3.5659),(2795,3315,0.33641,3.5606),(2795,3325,0.33825,3.5553),(2795,3335,0.34008,3.5497),(2795,3345,0.34192,3.5442),(2795,3355,0.34348,3.5386),(2795,3365,0.34499,3.533),(2795,3375,0.3465,3.5273),(2795,3385,0.34801,3.5215),(2795,3395,0.3492,3.5157),(2795,3405,0.35036,3.5099),(2795,3415,0.35152,3.504),(2795,3425,0.35267,3.4981),(2795,3435,0.35349,3.4921),(2795,3445,0.35427,3.4862),(2795,3455,0.35505,3.4802),(2795,3465,0.35584,3.4741),(2795,3475,0.35625,3.468),(2795,3485,0.35665,3.462),(2795,3495,0.35704,3.4559),(2795,3505,0.35744,3.4497),(2795,3515,0.35744,3.4436),(2795,3525,0.35744,3.4375),(2795,3535,0.35744,3.4313),(2795,3545,0.35743,3.4252),(2795,3555,0.35703,3.4191),(2795,3565,0.35664,3.4129),(2795,3575,0.35624,3.4068),(2795,3585,0.35581,3.4007),(2795,3595,0.35503,3.3946),(2795,3605,0.35424,3.3885),(2795,3615,0.35346,3.3824),(2795,3625,0.35263,3.3764),(2795,3635,0.35147,3.3704),(2795,3645,0.35031,3.3644),(2795,3655,0.34916,3.3585),(2795,3665,0.34794,3.3526),(2795,3675,0.34643,3.3467),(2795,3685,0.34492,3.3408),(2795,3695,0.34342,3.335),(2795,3705,0.34184,3.3293),(2795,3715,0.34001,3.3236),(2795,3725,0.33818,3.3179),(2795,3735,0.33635,3.3123),(2795,3745,0.33446,3.3068),(2795,3755,0.33234,3.3013),(2795,3765,0.33023,3.2958),(2795,3775,0.32811,3.2905),(2795,3785,0.32593,3.2852),(2795,3795,0.32357,3.2799),(2795,3805,0.32121,3.2747),(2795,3815,0.31885,3.2696),(2795,3825,0.31642,3.2645),(2795,3835,0.31386,3.2595),(2795,3845,0.31129,3.2545),(2795,3855,0.30872,3.2497),(2795,3865,0.30609,3.2448),(2795,3875,0.30336,3.24),(2795,3885,0.30062,3.2353),(2795,3895,0.29789,3.2307),(2795,3905,0.33524,3.2261),(2795,3915,0.43247,3.2215),(2795,3925,0.52971,3.2149),(2795,3935,0.62695,3.2056),(2795,3945,0.72793,3.1963),(2795,3955,0.83365,3.187),(2795,3965,0.93938,3.1755),(2795,3975,1.0451,3.1615),(2795,3985,1.1046,3.1475),(2795,3995,1.1139,3.1334),(2795,4005,1.1233,3.1194),(2795,4015,1.1326,3.1054),(2795,4025,1.1432,3.0914),(2795,4035,1.1539,3.0774),(2795,4045,1.1645,3.0633),(2795,4055,1.1754,3.0492),(2795,4065,1.1864,3.0351),(2795,4075,1.1973,3.0207),(2795,4085,1.2081,3.0063),(2795,4095,1.2188,2.9919),(2795,4105,1.2295,2.9769),(2795,4115,1.1964,2.9618),(2795,4125,1.0909,2.9468),(2795,4135,0.98529,2.9343),(2795,4145,0.87771,2.9225),(2795,4155,0.76202,2.9106),(2795,4165,0.64632,2.9017),(2795,4175,0.53757,2.8946),(2795,4185,0.77274,2.8876),(2795,4195,1.0079,2.877),(2795,4205,1.2431,2.8617),(2795,4215,1.27,2.8463),(2795,4225,1.2578,2.8306),(2795,4235,1.2456,2.8139),(2795,4245,1.198,2.7972),(2795,4255,1.1325,2.7805),(2795,4265,1.0671,2.764),(2795,4275,0.92163,2.7476),(2795,4285,0.69128,2.7311),(2795,4295,0.46092,2.7245),(2795,4305,0.39114,2.719),(2795,4315,0.68392,2.7136),(2795,4325,0.9767,2.6999),(2795,4335,1.2383,2.6831),(2795,4345,1.2886,2.6662),(2795,4355,1.339,2.6491),(2795,4365,1.3893,2.6316),(2795,4375,1.4022,2.6141),(2795,4385,1.4131,2.5967),(2795,4395,1.424,2.5795),(2795,4405,1.2552,2.5623),(2795,4415,1.0335,2.5467),(2795,4425,0.81174,2.5379),(2795,4435,0.72213,2.5291),(2795,4445,0.72281,2.5204),(2795,4455,0.72349,2.5124),(2795,4465,0.82487,2.5045),(2795,4475,1.0677,2.4965),(2795,4485,1.3106,2.4818),(2795,4495,1.4977,2.4656),(2795,4505,1.5062,2.4494),(2795,4515,1.5147,2.433),(2795,4525,1.5201,2.4165),(2795,4535,1.4771,2.4),(2795,4545,1.4341,2.384),(2795,4555,1.3911,2.3686),(2795,4565,1.0689,2.3532),(2795,4575,0.70912,2.3413),(2795,4585,0.34932,2.3376),(2795,4595,0.4491,2.3339),(2795,4605,0.74306,2.3287),(2795,4615,1.037,2.3117),(2795,4625,1.2278,2.2947),(2795,4635,1.325,2.2777),(2795,4645,1.4223,2.2604),(2795,4655,1.496,2.2431),(2795,4665,1.5252,2.2258),(2795,4675,1.5544,2.2094),(2795,4685,1.5251,2.1931),(2795,4695,1.2065,2.1769),(2795,4705,0.88782,2.1666),(2795,4715,0.56918,2.1606),(2795,4725,0.73493,2.1546),(2795,4735,0.90552,2.1467),(2795,4745,1.0761,2.1362),(2795,4755,1.2483,2.1256),(2795,4765,1.4209,2.114),(2795,4775,1.5934,2.099),(2795,4785,1.6605,2.0839),(2795,4795,1.6665,2.0688),(2795,4805,1.6725,2.0539),(2795,4815,1.5968,2.039),(2795,4825,1.4234,2.024),(2795,4835,1.25,2.0131),(2795,4845,1.075,2.0029),(2795,4855,0.89588,1.9927),(2795,4865,0.7168,1.9862),(2795,4875,0.59237,1.9814),(2795,4885,0.9651,1.9766),(2795,4895,1.3378,1.9672),(2795,4905,1.7106,1.9535),(2795,4915,1.7335,1.9398),(2795,4925,1.7264,1.9259),(2795,4935,1.7192,1.9115),(2795,4945,1.6536,1.8971),(2795,4955,1.5677,1.8825),(2795,4965,1.4819,1.8667),(2795,4975,1.2137,1.8509),(2795,4985,0.80478,1.8351),(2795,4995,0.39587,1.8331),(2795,5005,0.29422,1.8314),(2795,5015,0.68104,1.8298),(2795,5025,1.0679,1.8212),(2795,5035,1.4014,1.8109),(2795,5045,1.5319,1.8006),(2795,5055,1.6624,1.7886),(2795,5065,1.7892,1.7755),(2795,5075,1.7937,1.7624),(2795,5085,1.7982,1.7494),(2795,5095,1.8026,1.7364),(2795,5105,1.5782,1.7234),(2795,5115,1.3138,1.7121),(2795,5125,1.0494,1.7051),(2795,5135,0.92018,1.6982),(2795,5145,0.85664,1.6914),(2795,5155,0.79311,1.686),(2795,5165,0.93624,1.6807),(2795,5175,1.2902,1.6754),(2795,5185,1.6441,1.6635),(2795,5195,1.8872,1.651),(2795,5205,1.8913,1.6385),(2795,5215,1.8954,1.626),(2795,5225,1.8894,1.6137),(2795,5235,1.821,1.6013),(2795,5245,1.7525,1.5898),(2795,5255,1.684,1.579),(2795,5265,1.1883,1.5682),(2795,5275,0.67488,1.5613),(2795,5285,0.16151,1.5608),(2795,5295,0.45769,1.5603),(2795,5305,0.97931,1.5569),(2795,5315,1.5009,1.5415),(2795,5325,1.7516,1.5261),(2795,5335,1.8246,1.5108),(2795,5345,1.8976,1.4976),(2795,5355,1.9433,1.4844),(2795,5365,1.9523,1.4712),(2795,5375,1.9612,1.4584),(2795,5385,1.8559,1.4458),(2795,5395,1.4032,1.4331),(2795,5405,0.95054,1.4265),(2795,5415,0.54824,1.4231),(2795,5425,0.82282,1.4196),(2795,5435,1.0974,1.4134),(2795,5445,1.372,1.4043),(2795,5455,1.6337,1.3951),(2795,5465,1.8938,1.3844),(2795,5475,2.1539,1.3701),(2795,5485,2.2325,1.3559),(2795,5495,2.2379,1.3417),(2795,5505,2.2433,1.3279),(2795,5515,2.2487,1.3142),(2795,5525,2.2541,1.3004),(2795,5535,2.2595,1.287),(2795,5545,2.2647,1.2736),(2795,5555,2.2696,1.2602),(2795,5565,2.2746,1.2471),(2795,5575,2.2794,1.2342),(2795,5585,2.284,1.2212),(2795,5595,2.2885,1.2084),(2795,5605,2.2931,1.1958),(2795,5615,2.2972,1.1832),(2795,5625,2.3014,1.1708),(2795,5635,2.3055,1.1585),(2795,5645,2.3094,1.1463),(2795,5655,2.3132,1.1341),(2795,5665,2.317,1.1222),(2795,5675,2.3206,1.1103),(2795,5685,2.3241,1.0984),(2795,5695,2.3276,1.0868),(2795,5705,2.331,1.0753),(2795,5715,2.3341,1.0637),(2795,5725,2.3373,1.0523),(2795,5735,2.3404,1.041),(2795,5745,2.3433,1.0297),(2795,5755,2.3462,1.0186),(2795,5765,2.3491,1.0076),(2795,5775,2.3518,0.99655),(2795,5785,2.3544,0.98568),(2795,5795,2.357,0.97493),(2795,5805,2.3594,0.96419),(2795,5815,2.3618,0.95353),(2795,5825,2.3642,0.94303),(2795,5835,2.3665,0.93254),(2795,5845,2.3686,0.92209),(2795,5855,2.3708,0.91184),(2795,5865,2.3728,0.90158),(2795,5875,2.3747,0.89133),(2795,5885,2.3767,0.88131),(2795,5895,2.3785,0.87129),(2795,5905,2.3803,0.86128),(2795,5915,2.382,0.85146),(2795,5925,2.3837,0.84168),(2795,5935,2.3853,0.8319),(2795,5945,2.3868,0.82225),(2795,5955,2.3884,0.81268),(2795,5965,2.3898,0.80311),(2795,5975,2.3912,0.79363),(2795,5985,2.3927,0.78425),(2795,5995,1.8297,0.77486),(2795,6005,1.1759,0.76769),(2795,6015,0.52206,0.76643),(2795,6025,0.63133,0.76517),(2795,6035,1.0945,0.76303),(2795,6045,1.5577,0.75245),(2795,6055,1.8816,0.74187),(2795,6065,2.0688,0.73129),(2795,6075,2.256,0.71763),(2795,6085,2.3833,0.70368),(2795,6095,2.3868,0.68973),(2795,6105,2.3904,0.67579),(2795,6115,2.3939,0.66185),(2795,6125,2.3972,0.64792),(2795,6135,2.4005,0.63406),(2795,6145,2.4039,0.62026),(2795,6155,2.407,0.60646),(2795,6165,2.4101,0.59275),(2795,6175,2.4131,0.57918),(2795,6185,2.4161,0.5656),(2795,6195,2.4189,0.55204),(2795,6205,2.4218,0.53849),(2795,6215,2.4245,0.52495),(2795,6225,2.4271,0.5114),(2795,6235,2.4298,0.49788),(2795,6245,2.4323,0.48435),(2795,6255,2.4347,0.47083),(2795,6265,2.4371,0.4574),(2795,6275,2.4395,0.44399),(2795,6285,2.4417,0.43057),(2795,6295,2.4439,0.41721),(2795,6305,2.446,0.40388),(2795,6315,2.448,0.39055),(2795,6325,2.4499,0.37726),(2795,6335,2.4519,0.36401),(2795,6345,2.4536,0.35076),(2795,6355,2.4553,0.33754),(2795,6365,2.457,0.32436),(2795,6375,2.4586,0.31118),(2795,6385,2.4601,0.29801),(2795,6395,2.4616,0.28485),(2795,6405,2.463,0.27169),(2795,6415,2.4643,0.25852),(2795,6425,2.4656,0.24546),(2795,6435,2.4668,0.23239),(2795,6445,2.4678,0.21933),(2795,6455,2.4689,0.2063),(2795,6465,2.47,0.19328),(2795,6475,2.4708,0.18026),(2795,6485,2.4717,0.16724),(2795,6495,2.4726,0.15423),(2795,6505,2.4733,0.14121),(2795,6515,2.474,0.1282),(2795,6525,2.4747,0.11521),(2795,6535,2.4752,0.10221),(2795,6545,2.4757,0.089209),(2795,6555,2.4762,0.076216),(2795,6565,2.4765,0.063223),(2795,6575,2.4768,0.050233),(2795,6585,2.477,0.037287),(2795,6595,2.1069,0.024341),(2795,6605,1.3279,0.011395),(2795,6615,0.54889,0.009895),(2795,6625,0.00127,0.009865),(2795,6635,0.001268,0.009835),(2795,6645,0.001267,0.009818),(2795,6655,0.001266,0.009807),(2795,6665,0.001265,0.009796),(2795,6675,0.001264,0.009785),(2795,6685,0.001262,0.009774),(2795,6695,0.001261,0.009763),(2795,6705,0.00126,0.009753),(2795,6715,0.001259,0.009742),(2795,6725,0.001258,0.009731),(2795,6735,0.001257,0.00972),(2795,6745,0.001256,0.00971),(2795,6755,0.001255,0.009699),(2795,6765,0.001254,0.009689),(2795,6775,0.001253,0.009678),(2795,6785,0.001252,0.009668),(2795,6795,0.001251,0.009658),(2795,6805,0.001251,0.009647),(2795,6815,0.00125,0.009637),(2795,6825,0.001249,0.009627),(2795,6835,0.001248,0.009617),(2795,6845,0.001247,0.009607),(2795,6855,0.001246,0.009596),(2795,6865,0.001246,0.009586),(2795,6875,0.001245,0.009576),(2795,6885,0.001244,0.009566),(2795,6895,0.001244,0.009556),(2795,6905,0.001243,0.009546),(2795,6915,0.001242,0.009536),(2795,6925,0.001242,0.009526),(2795,6935,0.001241,0.009516),(2795,6945,0.00124,0.009507),(2795,6955,0.00124,0.009497),(2795,6965,0.001239,0.009487),(2795,6975,0.001239,0.009477),(2795,6985,0.001238,0.009467),(2805,5,2.4e-05,3.6874),(2805,15,7.2e-05,3.6875),(2805,25,0.00012,3.6875),(2805,35,0.000168,3.6875),(2805,45,0.000216,3.6875),(2805,55,0.000264,3.6875),(2805,65,0.000312,3.6875),(2805,75,0.00036,3.6875),(2805,85,0.000408,3.6875),(2805,95,0.000456,3.6875),(2805,105,0.000505,3.6875),(2805,115,0.000553,3.6875),(2805,125,0.000601,3.6875),(2805,135,0.000649,3.6875),(2805,145,0.000697,3.6875),(2805,155,0.000745,3.6875),(2805,165,0.000793,3.6876),(2805,175,0.000842,3.6876),(2805,185,0.00089,3.6876),(2805,195,0.000938,3.6876),(2805,205,0.000987,3.6876),(2805,215,0.001035,3.6876),(2805,225,0.001084,3.6876),(2805,235,0.001132,3.6877),(2805,245,0.001181,3.6877),(2805,255,0.001229,3.6877),(2805,265,0.001278,3.6877),(2805,275,0.001327,3.6877),(2805,285,0.001375,3.6878),(2805,295,0.001424,3.6878),(2805,305,0.001473,3.6878),(2805,315,0.001522,3.6878),(2805,325,0.001571,3.6879),(2805,335,0.00162,3.6879),(2805,345,0.001669,3.6879),(2805,355,0.001718,3.6879),(2805,365,0.001767,3.688),(2805,375,0.001817,3.688),(2805,385,0.001866,3.688),(2805,395,0.001916,3.6881),(2805,405,0.001966,3.6881),(2805,415,0.002015,3.6881),(2805,425,0.002066,3.6882),(2805,435,0.002116,3.6882),(2805,445,0.002166,3.6883),(2805,455,0.002217,3.6883),(2805,465,0.002268,3.6883),(2805,475,0.002319,3.6884),(2805,485,0.00237,3.6884),(2805,495,0.00242,3.6885),(2805,505,0.002472,3.6885),(2805,515,0.002524,3.6886),(2805,525,0.002575,3.6886),(2805,535,0.002627,3.6887),(2805,545,0.002679,3.6887),(2805,555,0.002732,3.6888),(2805,565,0.002784,3.6888),(2805,575,0.002837,3.6889),(2805,585,0.00289,3.6889),(2805,595,0.002944,3.689),(2805,605,0.002998,3.689),(2805,615,0.003051,3.6891),(2805,625,0.003106,3.6892),(2805,635,0.003162,3.6892),(2805,645,0.003217,3.6893),(2805,655,0.003272,3.6894),(2805,665,0.003328,3.6894),(2805,675,0.003385,3.6895),(2805,685,0.003442,3.6896),(2805,695,0.003498,3.6896),(2805,705,0.003557,3.6897),(2805,715,0.003615,3.6898),(2805,725,0.003674,3.6899),(2805,735,0.003732,3.6899),(2805,745,0.003793,3.69),(2805,755,0.003853,3.6901),(2805,765,0.003914,3.6902),(2805,775,0.003975,3.6903),(2805,785,0.004038,3.6904),(2805,795,0.004101,3.6905),(2805,805,0.004164,3.6906),(2805,815,0.004228,3.6907),(2805,825,0.004294,3.6908),(2805,835,0.00436,3.6909),(2805,845,0.004426,3.691),(2805,855,0.004494,3.6911),(2805,865,0.004563,3.6912),(2805,875,0.004632,3.6913),(2805,885,0.004702,3.6914),(2805,895,0.004773,3.6915),(2805,905,0.004846,3.6916),(2805,915,0.004919,3.6917),(2805,925,0.004992,3.6919),(2805,935,0.005067,3.692),(2805,945,0.005145,3.6921),(2805,955,0.005222,3.6922),(2805,965,0.0053,3.6924),(2805,975,0.005379,3.6925),(2805,985,0.005462,3.6926),(2805,995,0.005544,3.6928),(2805,1005,0.005627,3.6929),(2805,1015,0.005712,3.693),(2805,1025,0.005801,3.6932),(2805,1035,0.005889,3.6933),(2805,1045,0.005977,3.6935),(2805,1055,0.006069,3.6936),(2805,1065,0.006164,3.6938),(2805,1075,0.006259,3.694),(2805,1085,0.006354,3.6941),(2805,1095,0.006453,3.6943),(2805,1105,0.006555,3.6945),(2805,1115,0.006657,3.6946),(2805,1125,0.006759,3.6948),(2805,1135,0.006866,3.695),(2805,1145,0.006976,3.6952),(2805,1155,0.007086,3.6954),(2805,1165,0.007196,3.6955),(2805,1175,0.007312,3.6957),(2805,1185,0.007431,3.6959),(2805,1195,0.007551,3.6961),(2805,1205,0.00767,3.6963),(2805,1215,0.007796,3.6965),(2805,1225,0.007926,3.6967),(2805,1235,0.008055,3.697),(2805,1245,0.008185,3.6972),(2805,1255,0.008323,3.6974),(2805,1265,0.008464,3.6976),(2805,1275,0.008605,3.6978),(2805,1285,0.008746,3.6981),(2805,1295,0.008897,3.6983),(2805,1305,0.009051,3.6985),(2805,1315,0.009205,3.6988),(2805,1325,0.009358,3.699),(2805,1335,0.009523,3.6993),(2805,1345,0.009691,3.6995),(2805,1355,0.009858,3.6998),(2805,1365,0.010026,3.7001),(2805,1375,0.010207,3.7003),(2805,1385,0.01039,3.7006),(2805,1395,0.010573,3.7009),(2805,1405,0.010756,3.7011),(2805,1415,0.010955,3.7014),(2805,1425,0.011155,3.7017),(2805,1435,0.011356,3.702),(2805,1445,0.011556,3.7023),(2805,1455,0.011775,3.7026),(2805,1465,0.011994,3.7029),(2805,1475,0.012214,3.7032),(2805,1485,0.012433,3.7035),(2805,1495,0.012673,3.7038),(2805,1505,0.012913,3.7041),(2805,1515,0.013154,3.7045),(2805,1525,0.013394,3.7048),(2805,1535,0.013658,3.7051),(2805,1545,0.013921,3.7055),(2805,1555,0.014184,3.7058),(2805,1565,0.014449,3.7062),(2805,1575,0.014738,3.7065),(2805,1585,0.015026,3.7069),(2805,1595,0.015315,3.7072),(2805,1605,0.015606,3.7076),(2805,1615,0.015923,3.708),(2805,1625,0.016239,3.7084),(2805,1635,0.016556,3.7087),(2805,1645,0.016877,3.7091),(2805,1655,0.017224,3.7095),(2805,1665,0.017571,3.7099),(2805,1675,0.017918,3.7103),(2805,1685,0.018271,3.7107),(2805,1695,0.018652,3.7111),(2805,1705,0.019032,3.7115),(2805,1715,0.019413,3.712),(2805,1725,0.019802,3.7124),(2805,1735,0.020219,3.7128),(2805,1745,0.020636,3.7132),(2805,1755,0.021054,3.7137),(2805,1765,0.021481,3.7141),(2805,1775,0.021939,3.7146),(2805,1785,0.022397,3.715),(2805,1795,0.022854,3.7155),(2805,1805,0.023325,3.716),(2805,1815,0.023827,3.7164),(2805,1825,0.024329,3.7169),(2805,1835,0.024831,3.7174),(2805,1845,0.025349,3.7178),(2805,1855,0.025899,3.7183),(2805,1865,0.026449,3.7188),(2805,1875,0.026999,3.7193),(2805,1885,0.02757,3.7198),(2805,1895,0.028172,3.7203),(2805,1905,0.028775,3.7208),(2805,1915,0.029378,3.7213),(2805,1925,0.030006,3.7218),(2805,1935,0.030666,3.7224),(2805,1945,0.031327,3.7229),(2805,1955,0.031988,3.7234),(2805,1965,0.032677,3.7239),(2805,1975,0.033401,3.7245),(2805,1985,0.034125,3.725),(2805,1995,0.034848,3.7255),(2805,2005,0.035606,3.7261),(2805,2015,0.036398,3.7266),(2805,2025,0.037191,3.7272),(2805,2035,0.037983,3.7277),(2805,2045,0.038815,3.7283),(2805,2055,0.039682,3.7288),(2805,2065,0.040549,3.7294),(2805,2075,0.041416,3.7299),(2805,2085,0.04233,3.7305),(2805,2095,0.043278,3.731),(2805,2105,0.044226,3.7316),(2805,2115,0.045173,3.7322),(2805,2125,0.046176,3.7327),(2805,2135,0.047211,3.7333),(2805,2145,0.048247,3.7338),(2805,2155,0.049282,3.7344),(2805,2165,0.05038,3.735),(2805,2175,0.05151,3.7355),(2805,2185,0.052641,3.7361),(2805,2195,0.053771,3.7366),(2805,2205,0.054972,3.7372),(2805,2215,0.056204,3.7377),(2805,2225,0.057436,3.7382),(2805,2235,0.058668,3.7388),(2805,2245,0.05998,3.7393),(2805,2255,0.061321,3.7398),(2805,2265,0.062663,3.7404),(2805,2275,0.064004,3.7409),(2805,2285,0.065435,3.7414),(2805,2295,0.066892,3.7419),(2805,2305,0.06835,3.7424),(2805,2315,0.069807,3.7429),(2805,2325,0.071365,3.7433),(2805,2335,0.072945,3.7438),(2805,2345,0.074526,3.7442),(2805,2355,0.076106,3.7447),(2805,2365,0.077798,3.7451),(2805,2375,0.079508,3.7455),(2805,2385,0.081218,3.7459),(2805,2395,0.082929,3.7463),(2805,2405,0.08476,3.7467),(2805,2415,0.086607,3.7471),(2805,2425,0.088453,3.7474),(2805,2435,0.090299,3.7477),(2805,2445,0.092277,3.748),(2805,2455,0.094264,3.7483),(2805,2465,0.096251,3.7485),(2805,2475,0.098238,3.7487),(2805,2485,0.10037,3.7489),(2805,2495,0.1025,3.7491),(2805,2505,0.10463,3.7493),(2805,2515,0.10676,3.7494),(2805,2525,0.10904,3.7495),(2805,2535,0.11132,3.7496),(2805,2545,0.1136,3.7496),(2805,2555,0.11589,3.7496),(2805,2565,0.11832,3.7495),(2805,2575,0.12074,3.7495),(2805,2585,0.12317,3.7494),(2805,2595,0.12561,3.7492),(2805,2605,0.12819,3.7491),(2805,2615,0.13076,3.7489),(2805,2625,0.13333,3.7486),(2805,2635,0.13593,3.7482),(2805,2645,0.13864,3.7479),(2805,2655,0.14136,3.7476),(2805,2665,0.14408,3.7471),(2805,2675,0.14682,3.7465),(2805,2685,0.14967,3.746),(2805,2695,0.15252,3.7455),(2805,2705,0.15538,3.7448),(2805,2715,0.15826,3.744),(2805,2725,0.16124,3.7433),(2805,2735,0.16422,3.7426),(2805,2745,0.1672,3.7416),(2805,2755,0.17021,3.7406),(2805,2765,0.1733,3.7397),(2805,2775,0.1764,3.7387),(2805,2785,0.17949,3.7375),(2805,2795,0.18261,3.7363),(2805,2805,0.18581,3.7351),(2805,2815,0.189,3.7338),(2805,2825,0.19219,3.7323),(2805,2835,0.19541,3.7308),(2805,2845,0.19869,3.7293),(2805,2855,0.20196,3.7277),(2805,2865,0.20524,3.7259),(2805,2875,0.20853,3.7242),(2805,2885,0.21186,3.7224),(2805,2895,0.21519,3.7205),(2805,2905,0.21853,3.7184),(2805,2915,0.22187,3.7163),(2805,2925,0.22524,3.7142),(2805,2935,0.2286,3.712),(2805,2945,0.23197,3.7096),(2805,2955,0.23533,3.7071),(2805,2965,0.2387,3.7047),(2805,2975,0.24208,3.7021),(2805,2985,0.24545,3.6994),(2805,2995,0.2488,3.6966),(2805,3005,0.25215,3.6939),(2805,3015,0.2555,3.6909),(2805,3025,0.25884,3.6878),(2805,3035,0.26216,3.6847),(2805,3045,0.26544,3.6816),(2805,3055,0.26873,3.6783),(2805,3065,0.27202,3.6748),(2805,3075,0.27526,3.6714),(2805,3085,0.27845,3.6679),(2805,3095,0.28165,3.6642),(2805,3105,0.28484,3.6604),(2805,3115,0.28796,3.6566),(2805,3125,0.29103,3.6528),(2805,3135,0.2941,3.6487),(2805,3145,0.29717,3.6446),(2805,3155,0.30013,3.6404),(2805,3165,0.30304,3.6362),(2805,3175,0.30594,3.6319),(2805,3185,0.30885,3.6274),(2805,3195,0.31161,3.6229),(2805,3205,0.31432,3.6183),(2805,3215,0.31702,3.6136),(2805,3225,0.31972,3.6088),(2805,3235,0.32226,3.604),(2805,3245,0.32472,3.5991),(2805,3255,0.32719,3.5941),(2805,3265,0.32966,3.5889),(2805,3275,0.33192,3.5838),(2805,3285,0.33411,3.5787),(2805,3295,0.33631,3.5733),(2805,3305,0.3385,3.5679),(2805,3315,0.34045,3.5625),(2805,3325,0.34234,3.5571),(2805,3335,0.34423,3.5515),(2805,3345,0.34612,3.5458),(2805,3355,0.34772,3.5402),(2805,3365,0.34928,3.5345),(2805,3375,0.35083,3.5287),(2805,3385,0.35239,3.5228),(2805,3395,0.35362,3.517),(2805,3405,0.35482,3.5111),(2805,3415,0.35601,3.5051),(2805,3425,0.3572,3.4991),(2805,3435,0.35804,3.493),(2805,3445,0.35885,3.487),(2805,3455,0.35966,3.4808),(2805,3465,0.36047,3.4747),(2805,3475,0.3609,3.4685),(2805,3485,0.36131,3.4624),(2805,3495,0.36173,3.4562),(2805,3505,0.36214,3.4499),(2805,3515,0.36214,3.4437),(2805,3525,0.36215,3.4375),(2805,3535,0.36216,3.4312),(2805,3545,0.36215,3.425),(2805,3555,0.36174,3.4188),(2805,3565,0.36134,3.4125),(2805,3575,0.36094,3.4063),(2805,3585,0.36051,3.4001),(2805,3595,0.35971,3.3939),(2805,3605,0.3589,3.3877),(2805,3615,0.3581,3.3816),(2805,3625,0.35725,3.3754),(2805,3635,0.35607,3.3693),(2805,3645,0.35488,3.3632),(2805,3655,0.3537,3.3572),(2805,3665,0.35245,3.3512),(2805,3675,0.35091,3.3452),(2805,3685,0.34936,3.3393),(2805,3695,0.34782,3.3334),(2805,3705,0.34621,3.3276),(2805,3715,0.34433,3.3218),(2805,3725,0.34246,3.316),(2805,3735,0.34059,3.3104),(2805,3745,0.33864,3.3048),(2805,3755,0.33648,3.2992),(2805,3765,0.33432,3.2937),(2805,3775,0.33216,3.2883),(2805,3785,0.32992,3.283),(2805,3795,0.32751,3.2776),(2805,3805,0.3251,3.2723),(2805,3815,0.32269,3.2672),(2805,3825,0.32021,3.2621),(2805,3835,0.31759,3.2569),(2805,3845,0.31498,3.2519),(2805,3855,0.31236,3.2471),(2805,3865,0.30968,3.2422),(2805,3875,0.3069,3.2373),(2805,3885,0.30412,3.2325),(2805,3895,0.30133,3.2279),(2805,3905,0.33898,3.2233),(2805,3915,0.43704,3.2187),(2805,3925,0.5351,3.2121),(2805,3935,0.63316,3.2027),(2805,3945,0.73494,3.1933),(2805,3955,0.84144,3.1839),(2805,3965,0.94794,3.1724),(2805,3975,1.0544,3.1583),(2805,3985,1.1143,3.1442),(2805,3995,1.1236,3.1302),(2805,4005,1.1329,3.1161),(2805,4015,1.1422,3.1021),(2805,4025,1.1528,3.088),(2805,4035,1.1634,3.074),(2805,4045,1.1741,3.0599),(2805,4055,1.185,3.0457),(2805,4065,1.196,3.0316),(2805,4075,1.207,3.0172),(2805,4085,1.2179,3.0028),(2805,4095,1.2287,2.9884),(2805,4105,1.2396,2.9733),(2805,4115,1.2064,2.9581),(2805,4125,1.1002,2.943),(2805,4135,0.99407,2.9304),(2805,4145,0.8858,2.9184),(2805,4155,0.76905,2.9064),(2805,4165,0.6523,2.8973),(2805,4175,0.54255,2.8901),(2805,4185,0.77938,2.883),(2805,4195,1.0162,2.8722),(2805,4205,1.253,2.8568),(2805,4215,1.2806,2.8414),(2805,4225,1.2689,2.8256),(2805,4235,1.2571,2.8088),(2805,4245,1.2098,2.792),(2805,4255,1.1445,2.7751),(2805,4265,1.0792,2.7586),(2805,4275,0.93262,2.742),(2805,4285,0.69976,2.7255),(2805,4295,0.4669,2.7188),(2805,4305,0.39612,2.7133),(2805,4315,0.69135,2.7078),(2805,4325,0.98658,2.694),(2805,4335,1.2503,2.6771),(2805,4345,1.3006,2.6601),(2805,4355,1.351,2.6428),(2805,4365,1.4013,2.6252),(2805,4375,1.414,2.6077),(2805,4385,1.4248,2.5902),(2805,4395,1.4356,2.5728),(2805,4405,1.2654,2.5555),(2805,4415,1.0419,2.5397),(2805,4425,0.81841,2.5307),(2805,4435,0.72789,2.5218),(2805,4445,0.72827,2.5129),(2805,4455,0.72864,2.5049),(2805,4465,0.83053,2.497),(2805,4475,1.075,2.4891),(2805,4485,1.3196,2.4743),(2805,4495,1.508,2.458),(2805,4505,1.5166,2.4416),(2805,4515,1.5252,2.4251),(2805,4525,1.5307,2.4084),(2805,4535,1.4874,2.3917),(2805,4545,1.4442,2.3757),(2805,4555,1.401,2.3604),(2805,4565,1.0768,2.345),(2805,4575,0.71476,2.3331),(2805,4585,0.35272,2.3294),(2805,4595,0.45396,2.3256),(2805,4605,0.75095,2.3204),(2805,4615,1.0479,2.3032),(2805,4625,1.24,2.286),(2805,4635,1.3369,2.2688),(2805,4645,1.4339,2.2514),(2805,4655,1.5073,2.2341),(2805,4665,1.536,2.2167),(2805,4675,1.5648,2.2002),(2805,4685,1.5347,2.184),(2805,4695,1.2142,2.1678),(2805,4705,0.89356,2.1574),(2805,4715,0.57297,2.1514),(2805,4725,0.73945,2.1454),(2805,4735,0.91081,2.1376),(2805,4745,1.0822,2.1271),(2805,4755,1.2551,2.1165),(2805,4765,1.4284,2.105),(2805,4775,1.6017,2.0899),(2805,4785,1.669,2.0748),(2805,4795,1.6749,2.0598),(2805,4805,1.6809,2.0448),(2805,4815,1.6048,2.0299),(2805,4825,1.4306,2.0149),(2805,4835,1.2564,2.0041),(2805,4845,1.0805,1.9938),(2805,4855,0.90042,1.9835),(2805,4865,0.72034,1.977),(2805,4875,0.59512,1.9722),(2805,4885,0.9692,1.9674),(2805,4895,1.3433,1.9581),(2805,4905,1.7174,1.9443),(2805,4915,1.7406,1.9306),(2805,4925,1.7337,1.9166),(2805,4935,1.7268,1.9022),(2805,4945,1.6618,1.8878),(2805,4955,1.5767,1.8732),(2805,4965,1.4916,1.8573),(2805,4975,1.2222,1.8415),(2805,4985,0.81041,1.8256),(2805,4995,0.39867,1.8236),(2805,5005,0.29576,1.822),(2805,5015,0.68381,1.8203),(2805,5025,1.0719,1.8117),(2805,5035,1.4065,1.8014),(2805,5045,1.5373,1.7911),(2805,5055,1.6682,1.779),(2805,5065,1.7953,1.7659),(2805,5075,1.7998,1.7528),(2805,5085,1.8042,1.7398),(2805,5095,1.8086,1.7268),(2805,5105,1.5834,1.7138),(2805,5115,1.3181,1.7025),(2805,5125,1.0528,1.6955),(2805,5135,0.9232,1.6886),(2805,5145,0.8594,1.6818),(2805,5155,0.7956,1.6764),(2805,5165,0.93904,1.6711),(2805,5175,1.2939,1.6658),(2805,5185,1.6487,1.654),(2805,5195,1.8923,1.6414),(2805,5205,1.8964,1.6289),(2805,5215,1.9004,1.6165),(2805,5225,1.8944,1.6041),(2805,5235,1.8257,1.5917),(2805,5245,1.757,1.5803),(2805,5255,1.6883,1.5695),(2805,5265,1.1913,1.5587),(2805,5275,0.67669,1.5518),(2805,5285,0.16207,1.5513),(2805,5295,0.46003,1.5508),(2805,5305,0.98427,1.5474),(2805,5315,1.5085,1.532),(2805,5325,1.7596,1.5166),(2805,5335,1.8317,1.5013),(2805,5345,1.9037,1.4881),(2805,5355,1.9488,1.475),(2805,5365,1.9576,1.4618),(2805,5375,1.9664,1.4491),(2805,5385,1.8607,1.4364),(2805,5395,1.4068,1.4238),(2805,5405,0.95299,1.4172),(2805,5415,0.54967,1.4138),(2805,5425,0.82499,1.4103),(2805,5435,1.1003,1.4042),(2805,5445,1.3756,1.3951),(2805,5455,1.6379,1.3859),(2805,5465,1.8986,1.3753),(2805,5475,2.1593,1.3612),(2805,5485,2.2379,1.3471),(2805,5495,2.2432,1.333),(2805,5505,2.2485,1.3193),(2805,5515,2.2537,1.3056),(2805,5525,2.259,1.2919),(2805,5535,2.2642,1.2786),(2805,5545,2.2693,1.2653),(2805,5555,2.2741,1.2521),(2805,5565,2.2789,1.2391),(2805,5575,2.2836,1.2262),(2805,5585,2.288,1.2133),(2805,5595,2.2924,1.2006),(2805,5605,2.2968,1.1881),(2805,5615,2.3009,1.1756),(2805,5625,2.3049,1.1633),(2805,5635,2.3089,1.1511),(2805,5645,2.3127,1.1389),(2805,5655,2.3164,1.1269),(2805,5665,2.3201,1.1151),(2805,5675,2.3236,1.1032),(2805,5685,2.327,1.0915),(2805,5695,2.3303,1.08),(2805,5705,2.3336,1.0684),(2805,5715,2.3367,1.0569),(2805,5725,2.3398,1.0457),(2805,5735,2.3428,1.0345),(2805,5745,2.3456,1.0232),(2805,5755,2.3484,1.0122),(2805,5765,2.3512,1.0013),(2805,5775,2.3537,0.99032),(2805,5785,2.3563,0.97952),(2805,5795,2.3588,0.96885),(2805,5805,2.3611,0.95818),(2805,5815,2.3634,0.9476),(2805,5825,2.3657,0.93719),(2805,5835,2.3679,0.92677),(2805,5845,2.37,0.91639),(2805,5855,2.372,0.90621),(2805,5865,2.374,0.89603),(2805,5875,2.3759,0.88585),(2805,5885,2.3777,0.87591),(2805,5895,2.3795,0.86597),(2805,5905,2.3812,0.85602),(2805,5915,2.3828,0.84627),(2805,5925,2.3845,0.83656),(2805,5935,2.3859,0.82686),(2805,5945,2.3874,0.81728),(2805,5955,2.3889,0.80779),(2805,5965,2.3903,0.79829),(2805,5975,2.3916,0.78888),(2805,5985,2.393,0.77957),(2805,5995,1.8299,0.77025),(2805,6005,1.176,0.76314),(2805,6015,0.52215,0.76188),(2805,6025,0.63228,0.76062),(2805,6035,1.0968,0.75849),(2805,6045,1.5613,0.74797),(2805,6055,1.886,0.73745),(2805,6065,2.0736,0.72692),(2805,6075,2.2612,0.71333),(2805,6085,2.3887,0.69946),(2805,6095,2.3922,0.68559),(2805,6105,2.3957,0.67173),(2805,6115,2.3992,0.65787),(2805,6125,2.4025,0.64402),(2805,6135,2.4058,0.63024),(2805,6145,2.409,0.61652),(2805,6155,2.4121,0.6028),(2805,6165,2.4151,0.58917),(2805,6175,2.4182,0.57568),(2805,6185,2.4211,0.56219),(2805,6195,2.4239,0.54871),(2805,6205,2.4267,0.53525),(2805,6215,2.4294,0.52178),(2805,6225,2.432,0.50832),(2805,6235,2.4346,0.49488),(2805,6245,2.4371,0.48144),(2805,6255,2.4395,0.46799),(2805,6265,2.4419,0.45465),(2805,6275,2.4442,0.44132),(2805,6285,2.4463,0.42799),(2805,6295,2.4485,0.4147),(2805,6305,2.4506,0.40144),(2805,6315,2.4526,0.38818),(2805,6325,2.4545,0.37496),(2805,6335,2.4564,0.3618),(2805,6345,2.4581,0.34863),(2805,6355,2.4598,0.33548),(2805,6365,2.4615,0.32238),(2805,6375,2.4631,0.30929),(2805,6385,2.4646,0.29619),(2805,6395,2.466,0.28311),(2805,6405,2.4674,0.27003),(2805,6415,2.4687,0.25695),(2805,6425,2.4699,0.24397),(2805,6435,2.4711,0.23099),(2805,6445,2.4722,0.218),(2805,6455,2.4733,0.20506),(2805,6465,2.4743,0.19212),(2805,6475,2.4752,0.17919),(2805,6485,2.476,0.16626),(2805,6495,2.4769,0.15333),(2805,6505,2.4776,0.1404),(2805,6515,2.4782,0.12747),(2805,6525,2.4789,0.11456),(2805,6535,2.4794,0.10164),(2805,6545,2.4799,0.088726),(2805,6555,2.4804,0.075818),(2805,6565,2.4807,0.06291),(2805,6575,2.4809,0.050005),(2805,6585,2.4812,0.037139),(2805,6595,2.1105,0.024272),(2805,6605,1.3301,0.011406),(2805,6615,0.54982,0.009909),(2805,6625,0.001276,0.009872),(2805,6635,0.001275,0.009836),(2805,6645,0.001274,0.009817),(2805,6655,0.001272,0.009806),(2805,6665,0.001271,0.009795),(2805,6675,0.00127,0.009784),(2805,6685,0.001269,0.009773),(2805,6695,0.001268,0.009762),(2805,6705,0.001266,0.009751),(2805,6715,0.001265,0.009741),(2805,6725,0.001264,0.00973),(2805,6735,0.001263,0.009719),(2805,6745,0.001262,0.009709),(2805,6755,0.001261,0.009698),(2805,6765,0.00126,0.009688),(2805,6775,0.001259,0.009678),(2805,6785,0.001258,0.009667),(2805,6795,0.001257,0.009657),(2805,6805,0.001256,0.009647),(2805,6815,0.001255,0.009636),(2805,6825,0.001255,0.009626),(2805,6835,0.001254,0.009616),(2805,6845,0.001253,0.009606),(2805,6855,0.001252,0.009596),(2805,6865,0.001251,0.009586),(2805,6875,0.001251,0.009576),(2805,6885,0.00125,0.009565),(2805,6895,0.001249,0.009555),(2805,6905,0.001248,0.009546),(2805,6915,0.001248,0.009536),(2805,6925,0.001247,0.009526),(2805,6935,0.001246,0.009516),(2805,6945,0.001246,0.009506),(2805,6955,0.001245,0.009496),(2805,6965,0.001245,0.009486),(2805,6975,0.001244,0.009477),(2805,6985,0.001244,0.009467),(2815,5,2.4e-05,3.6875),(2815,15,7.1e-05,3.6875),(2815,25,0.000118,3.6875),(2815,35,0.000165,3.6875),(2815,45,0.000212,3.6875),(2815,55,0.000259,3.6875),(2815,65,0.000306,3.6875),(2815,75,0.000353,3.6875),(2815,85,0.0004,3.6875),(2815,95,0.000447,3.6875),(2815,105,0.000494,3.6875),(2815,115,0.000541,3.6875),(2815,125,0.000589,3.6876),(2815,135,0.000636,3.6876),(2815,145,0.000683,3.6876),(2815,155,0.00073,3.6876),(2815,165,0.000777,3.6876),(2815,175,0.000824,3.6876),(2815,185,0.000872,3.6876),(2815,195,0.000919,3.6876),(2815,205,0.000966,3.6877),(2815,215,0.001014,3.6877),(2815,225,0.001061,3.6877),(2815,235,0.001109,3.6877),(2815,245,0.001156,3.6877),(2815,255,0.001204,3.6877),(2815,265,0.001251,3.6878),(2815,275,0.001299,3.6878),(2815,285,0.001347,3.6878),(2815,295,0.001394,3.6878),(2815,305,0.001442,3.6879),(2815,315,0.001489,3.6879),(2815,325,0.001537,3.6879),(2815,335,0.001585,3.6879),(2815,345,0.001633,3.688),(2815,355,0.001681,3.688),(2815,365,0.001729,3.688),(2815,375,0.001777,3.6881),(2815,385,0.001825,3.6881),(2815,395,0.001874,3.6881),(2815,405,0.001922,3.6882),(2815,415,0.001971,3.6882),(2815,425,0.00202,3.6882),(2815,435,0.002069,3.6883),(2815,445,0.002118,3.6883),(2815,455,0.002167,3.6883),(2815,465,0.002216,3.6884),(2815,475,0.002266,3.6884),(2815,485,0.002315,3.6885),(2815,495,0.002365,3.6885),(2815,505,0.002415,3.6886),(2815,515,0.002465,3.6886),(2815,525,0.002515,3.6887),(2815,535,0.002565,3.6887),(2815,545,0.002616,3.6888),(2815,555,0.002667,3.6888),(2815,565,0.002718,3.6889),(2815,575,0.002769,3.6889),(2815,585,0.002821,3.689),(2815,595,0.002873,3.689),(2815,605,0.002925,3.6891),(2815,615,0.002977,3.6892),(2815,625,0.00303,3.6892),(2815,635,0.003083,3.6893),(2815,645,0.003137,3.6893),(2815,655,0.00319,3.6894),(2815,665,0.003245,3.6895),(2815,675,0.0033,3.6895),(2815,685,0.003354,3.6896),(2815,695,0.003409,3.6897),(2815,705,0.003466,3.6898),(2815,715,0.003522,3.6898),(2815,725,0.003578,3.6899),(2815,735,0.003635,3.69),(2815,745,0.003694,3.6901),(2815,755,0.003752,3.6902),(2815,765,0.00381,3.6903),(2815,775,0.003869,3.6903),(2815,785,0.00393,3.6904),(2815,795,0.003991,3.6905),(2815,805,0.004052,3.6906),(2815,815,0.004113,3.6907),(2815,825,0.004177,3.6908),(2815,835,0.004241,3.6909),(2815,845,0.004305,3.691),(2815,855,0.004369,3.6911),(2815,865,0.004436,3.6912),(2815,875,0.004503,3.6913),(2815,885,0.00457,3.6915),(2815,895,0.004639,3.6916),(2815,905,0.004709,3.6917),(2815,915,0.00478,3.6918),(2815,925,0.00485,3.6919),(2815,935,0.004923,3.692),(2815,945,0.004997,3.6922),(2815,955,0.005072,3.6923),(2815,965,0.005147,3.6924),(2815,975,0.005224,3.6926),(2815,985,0.005303,3.6927),(2815,995,0.005383,3.6928),(2815,1005,0.005462,3.693),(2815,1015,0.005545,3.6931),(2815,1025,0.00563,3.6933),(2815,1035,0.005715,3.6934),(2815,1045,0.0058,3.6936),(2815,1055,0.005889,3.6937),(2815,1065,0.00598,3.6939),(2815,1075,0.006072,3.6941),(2815,1085,0.006163,3.6942),(2815,1095,0.006259,3.6944),(2815,1105,0.006358,3.6946),(2815,1115,0.006456,3.6947),(2815,1125,0.006555,3.6949),(2815,1135,0.006659,3.6951),(2815,1145,0.006765,3.6953),(2815,1155,0.006872,3.6955),(2815,1165,0.006978,3.6957),(2815,1175,0.00709,3.6958),(2815,1185,0.007206,3.696),(2815,1195,0.007321,3.6962),(2815,1205,0.007436,3.6964),(2815,1215,0.007559,3.6967),(2815,1225,0.007684,3.6969),(2815,1235,0.00781,3.6971),(2815,1245,0.007935,3.6973),(2815,1255,0.008069,3.6975),(2815,1265,0.008206,3.6977),(2815,1275,0.008343,3.698),(2815,1285,0.00848,3.6982),(2815,1295,0.008627,3.6984),(2815,1305,0.008776,3.6987),(2815,1315,0.008925,3.6989),(2815,1325,0.009075,3.6992),(2815,1335,0.009235,3.6994),(2815,1345,0.009398,3.6997),(2815,1355,0.009561,3.7),(2815,1365,0.009724,3.7002),(2815,1375,0.009901,3.7005),(2815,1385,0.010079,3.7008),(2815,1395,0.010257,3.701),(2815,1405,0.010435,3.7013),(2815,1415,0.010629,3.7016),(2815,1425,0.010825,3.7019),(2815,1435,0.01102,3.7022),(2815,1445,0.011216,3.7025),(2815,1455,0.011429,3.7028),(2815,1465,0.011643,3.7031),(2815,1475,0.011857,3.7034),(2815,1485,0.012072,3.7037),(2815,1495,0.012306,3.7041),(2815,1505,0.012541,3.7044),(2815,1515,0.012776,3.7047),(2815,1525,0.013012,3.7051),(2815,1535,0.01327,3.7054),(2815,1545,0.013527,3.7057),(2815,1555,0.013785,3.7061),(2815,1565,0.014044,3.7064),(2815,1575,0.014327,3.7068),(2815,1585,0.01461,3.7072),(2815,1595,0.014893,3.7075),(2815,1605,0.015179,3.7079),(2815,1615,0.015489,3.7083),(2815,1625,0.0158,3.7087),(2815,1635,0.016111,3.7091),(2815,1645,0.016426,3.7095),(2815,1655,0.016767,3.7098),(2815,1665,0.017108,3.7102),(2815,1675,0.017449,3.7107),(2815,1685,0.017796,3.7111),(2815,1695,0.01817,3.7115),(2815,1705,0.018545,3.7119),(2815,1715,0.018919,3.7123),(2815,1725,0.019302,3.7128),(2815,1735,0.019713,3.7132),(2815,1745,0.020124,3.7137),(2815,1755,0.020535,3.7141),(2815,1765,0.020956,3.7146),(2815,1775,0.021408,3.715),(2815,1785,0.021859,3.7155),(2815,1795,0.02231,3.716),(2815,1805,0.022775,3.7164),(2815,1815,0.02327,3.7169),(2815,1825,0.023766,3.7174),(2815,1835,0.024261,3.7179),(2815,1845,0.024773,3.7184),(2815,1855,0.025317,3.7189),(2815,1865,0.02586,3.7194),(2815,1875,0.026404,3.7199),(2815,1885,0.026968,3.7204),(2815,1895,0.027565,3.7209),(2815,1905,0.028162,3.7214),(2815,1915,0.028758,3.7219),(2815,1925,0.029379,3.7225),(2815,1935,0.030034,3.723),(2815,1945,0.030688,3.7235),(2815,1955,0.031343,3.7241),(2815,1965,0.032027,3.7246),(2815,1975,0.032745,3.7252),(2815,1985,0.033463,3.7257),(2815,1995,0.03418,3.7263),(2815,2005,0.034933,3.7268),(2815,2015,0.03572,3.7274),(2815,2025,0.036507,3.728),(2815,2035,0.037293,3.7285),(2815,2045,0.038121,3.7291),(2815,2055,0.038983,3.7297),(2815,2065,0.039845,3.7302),(2815,2075,0.040707,3.7308),(2815,2085,0.041616,3.7314),(2815,2095,0.04256,3.732),(2815,2105,0.043504,3.7326),(2815,2115,0.044447,3.7331),(2815,2125,0.045446,3.7337),(2815,2135,0.046478,3.7343),(2815,2145,0.047511,3.7349),(2815,2155,0.048543,3.7355),(2815,2165,0.049639,3.736),(2815,2175,0.050767,3.7366),(2815,2185,0.051895,3.7372),(2815,2195,0.053023,3.7378),(2815,2205,0.054223,3.7384),(2815,2215,0.055454,3.7389),(2815,2225,0.056685,3.7395),(2815,2235,0.057917,3.7401),(2815,2245,0.05923,3.7406),(2815,2255,0.060572,3.7412),(2815,2265,0.061914,3.7417),(2815,2275,0.063256,3.7423),(2815,2285,0.06469,3.7428),(2815,2295,0.06615,3.7433),(2815,2305,0.06761,3.7439),(2815,2315,0.069071,3.7444),(2815,2325,0.070633,3.7449),(2815,2335,0.072219,3.7454),(2815,2345,0.073805,3.7459),(2815,2355,0.075391,3.7463),(2815,2365,0.07709,3.7468),(2815,2375,0.078808,3.7473),(2815,2385,0.080526,3.7477),(2815,2395,0.082244,3.7481),(2815,2405,0.084087,3.7485),(2815,2415,0.085944,3.7489),(2815,2425,0.087801,3.7493),(2815,2435,0.089658,3.7496),(2815,2445,0.09165,3.7499),(2815,2455,0.093651,3.7503),(2815,2465,0.095652,3.7505),(2815,2475,0.097654,3.7508),(2815,2485,0.0998,3.751),(2815,2495,0.10195,3.7513),(2815,2505,0.1041,3.7515),(2815,2515,0.10625,3.7516),(2815,2525,0.10855,3.7518),(2815,2535,0.11086,3.7519),(2815,2545,0.11316,3.7519),(2815,2555,0.11547,3.752),(2815,2565,0.11792,3.752),(2815,2575,0.12037,3.752),(2815,2585,0.12283,3.7519),(2815,2595,0.1253,3.7518),(2815,2605,0.1279,3.7516),(2815,2615,0.13051,3.7515),(2815,2625,0.13311,3.7512),(2815,2635,0.13574,3.7509),(2815,2645,0.13849,3.7507),(2815,2655,0.14124,3.7503),(2815,2665,0.144,3.7499),(2815,2675,0.14677,3.7494),(2815,2685,0.14967,3.7489),(2815,2695,0.15256,3.7484),(2815,2705,0.15546,3.7477),(2815,2715,0.15838,3.747),(2815,2725,0.16141,3.7464),(2815,2735,0.16443,3.7456),(2815,2745,0.16746,3.7447),(2815,2755,0.17052,3.7438),(2815,2765,0.17366,3.7428),(2815,2775,0.17681,3.7419),(2815,2785,0.17995,3.7407),(2815,2795,0.18313,3.7395),(2815,2805,0.18638,3.7383),(2815,2815,0.18963,3.737),(2815,2825,0.19288,3.7356),(2815,2835,0.19616,3.7341),(2815,2845,0.19949,3.7327),(2815,2855,0.20282,3.7311),(2815,2865,0.20616,3.7293),(2815,2875,0.20952,3.7276),(2815,2885,0.21291,3.7258),(2815,2895,0.21631,3.7239),(2815,2905,0.2197,3.7218),(2815,2915,0.22312,3.7198),(2815,2925,0.22655,3.7177),(2815,2935,0.22998,3.7155),(2815,2945,0.23342,3.713),(2815,2955,0.23685,3.7106),(2815,2965,0.24029,3.7082),(2815,2975,0.24374,3.7056),(2815,2985,0.24718,3.7028),(2815,2995,0.25061,3.7001),(2815,3005,0.25403,3.6973),(2815,3015,0.25745,3.6944),(2815,3025,0.26086,3.6912),(2815,3035,0.26425,3.6881),(2815,3045,0.26762,3.685),(2815,3055,0.27098,3.6817),(2815,3065,0.27434,3.6782),(2815,3075,0.27765,3.6747),(2815,3085,0.28092,3.6712),(2815,3095,0.28419,3.6675),(2815,3105,0.28746,3.6637),(2815,3115,0.29066,3.6598),(2815,3125,0.2938,3.656),(2815,3135,0.29694,3.6519),(2815,3145,0.30009,3.6477),(2815,3155,0.30312,3.6435),(2815,3165,0.3061,3.6393),(2815,3175,0.30907,3.6348),(2815,3185,0.31205,3.6303),(2815,3195,0.31489,3.6257),(2815,3205,0.31766,3.6212),(2815,3215,0.32043,3.6164),(2815,3225,0.32321,3.6115),(2815,3235,0.32581,3.6066),(2815,3245,0.32834,3.6017),(2815,3255,0.33087,3.5966),(2815,3265,0.3334,3.5914),(2815,3275,0.33572,3.5862),(2815,3285,0.33798,3.581),(2815,3295,0.34023,3.5756),(2815,3305,0.34249,3.5701),(2815,3315,0.34449,3.5646),(2815,3325,0.34643,3.5591),(2815,3335,0.34837,3.5534),(2815,3345,0.35032,3.5477),(2815,3355,0.35197,3.5419),(2815,3365,0.35357,3.5362),(2815,3375,0.35517,3.5302),(2815,3385,0.35677,3.5243),(2815,3395,0.35804,3.5183),(2815,3405,0.35927,3.5124),(2815,3415,0.3605,3.5062),(2815,3425,0.36173,3.5001),(2815,3435,0.3626,3.494),(2815,3445,0.36343,3.4878),(2815,3455,0.36427,3.4816),(2815,3465,0.36511,3.4753),(2815,3475,0.36555,3.4691),(2815,3485,0.36598,3.4628),(2815,3495,0.36641,3.4565),(2815,3505,0.36684,3.4502),(2815,3515,0.36685,3.4438),(2815,3525,0.36686,3.4375),(2815,3535,0.36687,3.4312),(2815,3545,0.36686,3.4248),(2815,3555,0.36646,3.4184),(2815,3565,0.36605,3.4121),(2815,3575,0.36564,3.4058),(2815,3585,0.3652,3.3995),(2815,3595,0.36438,3.3932),(2815,3605,0.36356,3.3868),(2815,3615,0.36274,3.3806),(2815,3625,0.36188,3.3744),(2815,3635,0.36066,3.3682),(2815,3645,0.35945,3.362),(2815,3655,0.35824,3.3559),(2815,3665,0.35697,3.3498),(2815,3675,0.35538,3.3437),(2815,3685,0.3538,3.3376),(2815,3695,0.35222,3.3317),(2815,3705,0.35057,3.3258),(2815,3715,0.34865,3.3199),(2815,3725,0.34674,3.3141),(2815,3735,0.34482,3.3084),(2815,3745,0.34283,3.3027),(2815,3755,0.34062,3.297),(2815,3765,0.33841,3.2914),(2815,3775,0.3362,3.286),(2815,3785,0.33391,3.2806),(2815,3795,0.33145,3.2751),(2815,3805,0.32899,3.2698),(2815,3815,0.32653,3.2646),(2815,3825,0.324,3.2595),(2815,3835,0.32133,3.2543),(2815,3845,0.31867,3.2492),(2815,3855,0.316,3.2443),(2815,3865,0.31327,3.2394),(2815,3875,0.31044,3.2345),(2815,3885,0.30761,3.2297),(2815,3895,0.30478,3.225),(2815,3905,0.34273,3.2204),(2815,3915,0.44161,3.2157),(2815,3925,0.54049,3.209),(2815,3935,0.63937,3.1996),(2815,3945,0.74195,3.1902),(2815,3955,0.84922,3.1808),(2815,3965,0.9565,3.1692),(2815,3975,1.0638,3.155),(2815,3985,1.124,3.1409),(2815,3995,1.1333,3.1268),(2815,4005,1.1425,3.1127),(2815,4015,1.1518,3.0987),(2815,4025,1.1623,3.0846),(2815,4035,1.173,3.0705),(2815,4045,1.1836,3.0564),(2815,4055,1.1945,3.0423),(2815,4065,1.2056,3.0281),(2815,4075,1.2166,3.0137),(2815,4085,1.2276,2.9993),(2815,4095,1.2387,2.9848),(2815,4105,1.2497,2.9697),(2815,4115,1.2164,2.9545),(2815,4125,1.1096,2.9393),(2815,4135,1.0028,2.9265),(2815,4145,0.89389,2.9144),(2815,4155,0.77609,2.9022),(2815,4165,0.65829,2.893),(2815,4175,0.54754,2.8857),(2815,4185,0.78601,2.8784),(2815,4195,1.0245,2.8675),(2815,4205,1.263,2.852),(2815,4215,1.2912,2.8365),(2815,4225,1.28,2.8206),(2815,4235,1.2687,2.8036),(2815,4245,1.2216,2.7867),(2815,4255,1.1565,2.7698),(2815,4265,1.0914,2.753),(2815,4275,0.94362,2.7363),(2815,4285,0.70825,2.7196),(2815,4295,0.47287,2.7129),(2815,4305,0.40111,2.7074),(2815,4315,0.69878,2.7018),(2815,4325,0.99646,2.688),(2815,4335,1.2623,2.671),(2815,4345,1.3126,2.6539),(2815,4355,1.3629,2.6365),(2815,4365,1.4133,2.6189),(2815,4375,1.4259,2.6012),(2815,4385,1.4366,2.5836),(2815,4395,1.4472,2.5661),(2815,4405,1.2757,2.5485),(2815,4415,1.0504,2.5325),(2815,4425,0.82508,2.5233),(2815,4435,0.73366,2.5141),(2815,4445,0.73372,2.5049),(2815,4455,0.73378,2.4969),(2815,4465,0.83618,2.4889),(2815,4475,1.0824,2.4809),(2815,4485,1.3286,2.4659),(2815,4495,1.5183,2.4494),(2815,4505,1.527,2.4329),(2815,4515,1.5357,2.4162),(2815,4525,1.5412,2.3994),(2815,4535,1.4978,2.3826),(2815,4545,1.4543,2.3665),(2815,4555,1.4108,2.3513),(2815,4565,1.0847,2.3362),(2815,4575,0.7204,2.3243),(2815,4585,0.35612,2.3206),(2815,4595,0.45882,2.3168),(2815,4605,0.75884,2.3115),(2815,4615,1.0588,2.2941),(2815,4625,1.2522,2.2768),(2815,4635,1.3488,2.2594),(2815,4645,1.4455,2.242),(2815,4655,1.5185,2.2246),(2815,4665,1.5468,2.2072),(2815,4675,1.5751,2.1907),(2815,4685,1.5444,2.1745),(2815,4695,1.2218,2.1582),(2815,4705,0.8993,2.1479),(2815,4715,0.57676,2.1419),(2815,4725,0.74397,2.1359),(2815,4735,0.91609,2.1281),(2815,4745,1.0882,2.1176),(2815,4755,1.2619,2.1071),(2815,4765,1.4359,2.0956),(2815,4775,1.61,2.0805),(2815,4785,1.6775,2.0654),(2815,4795,1.6834,2.0503),(2815,4805,1.6893,2.0354),(2815,4815,1.6128,2.0205),(2815,4825,1.4378,2.0056),(2815,4835,1.2628,1.9947),(2815,4845,1.0861,1.9844),(2815,4855,0.90496,1.9742),(2815,4865,0.72387,1.9677),(2815,4875,0.59788,1.9628),(2815,4885,0.97331,1.958),(2815,4895,1.3487,1.9486),(2815,4905,1.7242,1.9349),(2815,4915,1.7478,1.9211),(2815,4925,1.7411,1.9071),(2815,4935,1.7344,1.8927),(2815,4945,1.6701,1.8783),(2815,4955,1.5857,1.8637),(2815,4965,1.5013,1.8477),(2815,4975,1.2306,1.8318),(2815,4985,0.81605,1.8159),(2815,4995,0.40148,1.8139),(2815,5005,0.2973,1.8123),(2815,5015,0.68659,1.8106),(2815,5025,1.0759,1.802),(2815,5035,1.4115,1.7917),(2815,5045,1.5427,1.7813),(2815,5055,1.674,1.7693),(2815,5065,1.8014,1.7562),(2815,5075,1.8058,1.7431),(2815,5085,1.8102,1.73),(2815,5095,1.8145,1.7171),(2815,5105,1.5886,1.7041),(2815,5115,1.3224,1.6927),(2815,5125,1.0563,1.6858),(2815,5135,0.92622,1.6788),(2815,5145,0.86216,1.672),(2815,5155,0.7981,1.6667),(2815,5165,0.94185,1.6614),(2815,5175,1.2975,1.6561),(2815,5185,1.6532,1.6443),(2815,5195,1.8975,1.6317),(2815,5205,1.9015,1.6192),(2815,5215,1.9055,1.6068),(2815,5225,1.8994,1.5945),(2815,5235,1.8304,1.5821),(2815,5245,1.7615,1.5706),(2815,5255,1.6925,1.5599),(2815,5265,1.1943,1.5491),(2815,5275,0.67849,1.5422),(2815,5285,0.16263,1.5417),(2815,5295,0.46237,1.5412),(2815,5305,0.98923,1.5378),(2815,5315,1.5161,1.5224),(2815,5325,1.7677,1.507),(2815,5335,1.8388,1.4917),(2815,5345,1.9099,1.4786),(2815,5355,1.9544,1.4654),(2815,5365,1.963,1.4523),(2815,5375,1.9715,1.4396),(2815,5385,1.8654,1.427),(2815,5395,1.4104,1.4144),(2815,5405,0.95544,1.4078),(2815,5415,0.55111,1.4044),(2815,5425,0.82717,1.401),(2815,5435,1.1032,1.3948),(2815,5445,1.3793,1.3858),(2815,5455,1.6422,1.3767),(2815,5465,1.9034,1.3662),(2815,5475,2.1647,1.3522),(2815,5485,2.2434,1.3381),(2815,5495,2.2485,1.3242),(2815,5505,2.2536,1.3106),(2815,5515,2.2587,1.297),(2815,5525,2.2638,1.2834),(2815,5535,2.2689,1.2702),(2815,5545,2.2738,1.257),(2815,5555,2.2785,1.2438),(2815,5565,2.2832,1.2309),(2815,5575,2.2878,1.2182),(2815,5585,2.2921,1.2054),(2815,5595,2.2963,1.1928),(2815,5605,2.3006,1.1804),(2815,5615,2.3045,1.168),(2815,5625,2.3084,1.1557),(2815,5635,2.3124,1.1436),(2815,5645,2.316,1.1316),(2815,5655,2.3196,1.1196),(2815,5665,2.3232,1.1078),(2815,5675,2.3265,1.0961),(2815,5685,2.3298,1.0844),(2815,5695,2.3331,1.073),(2815,5705,2.3362,1.0616),(2815,5715,2.3392,1.0502),(2815,5725,2.3422,1.039),(2815,5735,2.3451,1.0278),(2815,5745,2.3478,1.0167),(2815,5755,2.3505,1.0057),(2815,5765,2.3532,0.99489),(2815,5775,2.3557,0.98403),(2815,5785,2.3581,0.97331),(2815,5795,2.3606,0.96272),(2815,5805,2.3628,0.95213),(2815,5815,2.365,0.94163),(2815,5825,2.3673,0.93129),(2815,5835,2.3693,0.92095),(2815,5845,2.3713,0.91064),(2815,5855,2.3733,0.90054),(2815,5865,2.3752,0.89043),(2815,5875,2.377,0.88033),(2815,5885,2.3788,0.87045),(2815,5895,2.3805,0.86058),(2815,5905,2.3821,0.85071),(2815,5915,2.3837,0.84103),(2815,5925,2.3852,0.8314),(2815,5935,2.3866,0.82176),(2815,5945,2.388,0.81226),(2815,5955,2.3894,0.80283),(2815,5965,2.3907,0.79341),(2815,5975,2.392,0.78407),(2815,5985,2.3933,0.77482),(2815,5995,1.8302,0.76558),(2815,6005,1.1762,0.75852),(2815,6015,0.52224,0.75727),(2815,6025,0.63323,0.75602),(2815,6035,1.099,0.7539),(2815,6045,1.5648,0.74343),(2815,6055,1.8903,0.73297),(2815,6065,2.0784,0.7225),(2815,6075,2.2664,0.70899),(2815,6085,2.3942,0.6952),(2815,6095,2.3976,0.68141),(2815,6105,2.4011,0.66763),(2815,6115,2.4045,0.65385),(2815,6125,2.4077,0.64007),(2815,6135,2.411,0.62637),(2815,6145,2.4142,0.61273),(2815,6155,2.4172,0.59909),(2815,6165,2.4202,0.58554),(2815,6175,2.4232,0.57214),(2815,6185,2.4261,0.55873),(2815,6195,2.4288,0.54533),(2815,6205,2.4316,0.53195),(2815,6215,2.4343,0.51858),(2815,6225,2.4368,0.5052),(2815,6235,2.4394,0.49184),(2815,6245,2.4419,0.47849),(2815,6255,2.4442,0.46513),(2815,6265,2.4466,0.45187),(2815,6275,2.4489,0.43862),(2815,6285,2.451,0.42537),(2815,6295,2.4531,0.41217),(2815,6305,2.4552,0.39899),(2815,6315,2.4571,0.3858),(2815,6325,2.459,0.37267),(2815,6335,2.461,0.35958),(2815,6345,2.4627,0.34649),(2815,6355,2.4643,0.33342),(2815,6365,2.466,0.3204),(2815,6375,2.4675,0.30739),(2815,6385,2.469,0.29437),(2815,6395,2.4705,0.28137),(2815,6405,2.4718,0.26837),(2815,6415,2.4731,0.25537),(2815,6425,2.4743,0.24247),(2815,6435,2.4755,0.22956),(2815,6445,2.4766,0.21666),(2815,6455,2.4776,0.2038),(2815,6465,2.4786,0.19095),(2815,6475,2.4795,0.17809),(2815,6485,2.4803,0.16525),(2815,6495,2.4811,0.15241),(2815,6505,2.4818,0.13956),(2815,6515,2.4825,0.12673),(2815,6525,2.4831,0.11389),(2815,6535,2.4836,0.10106),(2815,6545,2.4841,0.088229),(2815,6555,2.4846,0.075404),(2815,6565,2.4849,0.062579),(2815,6575,2.4851,0.049757),(2815,6585,2.4854,0.036974),(2815,6595,2.114,0.024191),(2815,6605,1.3324,0.011409),(2815,6615,0.55075,0.009917),(2815,6625,0.001283,0.009876),(2815,6635,0.001282,0.009835),(2815,6645,0.00128,0.009816),(2815,6655,0.001279,0.009805),(2815,6665,0.001278,0.009793),(2815,6675,0.001276,0.009782),(2815,6685,0.001275,0.009772),(2815,6695,0.001274,0.009761),(2815,6705,0.001273,0.00975),(2815,6715,0.001272,0.00974),(2815,6725,0.00127,0.009729),(2815,6735,0.001269,0.009718),(2815,6745,0.001268,0.009708),(2815,6755,0.001267,0.009697),(2815,6765,0.001266,0.009687),(2815,6775,0.001265,0.009676),(2815,6785,0.001264,0.009666),(2815,6795,0.001263,0.009656),(2815,6805,0.001262,0.009645),(2815,6815,0.001261,0.009635),(2815,6825,0.00126,0.009625),(2815,6835,0.001259,0.009615),(2815,6845,0.001259,0.009605),(2815,6855,0.001258,0.009595),(2815,6865,0.001257,0.009585),(2815,6875,0.001256,0.009575),(2815,6885,0.001256,0.009565),(2815,6895,0.001255,0.009555),(2815,6905,0.001254,0.009545),(2815,6915,0.001253,0.009535),(2815,6925,0.001253,0.009525),(2815,6935,0.001252,0.009515),(2815,6945,0.001251,0.009505),(2815,6955,0.001251,0.009496),(2815,6965,0.00125,0.009486),(2815,6975,0.001249,0.009476),(2815,6985,0.001249,0.009466),(2825,5,2.3e-05,3.6875),(2825,15,6.9e-05,3.6875),(2825,25,0.000115,3.6875),(2825,35,0.000162,3.6875),(2825,45,0.000208,3.6876),(2825,55,0.000254,3.6876),(2825,65,0.0003,3.6876),(2825,75,0.000346,3.6876),(2825,85,0.000392,3.6876),(2825,95,0.000438,3.6876),(2825,105,0.000484,3.6876),(2825,115,0.00053,3.6876),(2825,125,0.000576,3.6876),(2825,135,0.000622,3.6876),(2825,145,0.000669,3.6876),(2825,155,0.000715,3.6876),(2825,165,0.000761,3.6876),(2825,175,0.000807,3.6877),(2825,185,0.000853,3.6877),(2825,195,0.0009,3.6877),(2825,205,0.000946,3.6877),(2825,215,0.000992,3.6877),(2825,225,0.001039,3.6877),(2825,235,0.001085,3.6878),(2825,245,0.001132,3.6878),(2825,255,0.001178,3.6878),(2825,265,0.001224,3.6878),(2825,275,0.001271,3.6878),(2825,285,0.001318,3.6879),(2825,295,0.001364,3.6879),(2825,305,0.001411,3.6879),(2825,315,0.001457,3.6879),(2825,325,0.001504,3.688),(2825,335,0.00155,3.688),(2825,345,0.001597,3.688),(2825,355,0.001644,3.688),(2825,365,0.001691,3.6881),(2825,375,0.001737,3.6881),(2825,385,0.001785,3.6881),(2825,395,0.001832,3.6882),(2825,405,0.001879,3.6882),(2825,415,0.001926,3.6882),(2825,425,0.001973,3.6883),(2825,435,0.002021,3.6883),(2825,445,0.002069,3.6884),(2825,455,0.002116,3.6884),(2825,465,0.002165,3.6884),(2825,475,0.002213,3.6885),(2825,485,0.002261,3.6885),(2825,495,0.002309,3.6886),(2825,505,0.002358,3.6886),(2825,515,0.002406,3.6887),(2825,525,0.002455,3.6887),(2825,535,0.002504,3.6888),(2825,545,0.002553,3.6888),(2825,555,0.002602,3.6889),(2825,565,0.002652,3.6889),(2825,575,0.002701,3.689),(2825,585,0.002751,3.689),(2825,595,0.002802,3.6891),(2825,605,0.002852,3.6891),(2825,615,0.002902,3.6892),(2825,625,0.002954,3.6893),(2825,635,0.003005,3.6893),(2825,645,0.003057,3.6894),(2825,655,0.003108,3.6895),(2825,665,0.003161,3.6895),(2825,675,0.003214,3.6896),(2825,685,0.003267,3.6897),(2825,695,0.00332,3.6897),(2825,705,0.003374,3.6898),(2825,715,0.003429,3.6899),(2825,725,0.003483,3.69),(2825,735,0.003538,3.6901),(2825,745,0.003594,3.6901),(2825,755,0.00365,3.6902),(2825,765,0.003707,3.6903),(2825,775,0.003763,3.6904),(2825,785,0.003822,3.6905),(2825,795,0.003881,3.6906),(2825,805,0.003939,3.6907),(2825,815,0.003999,3.6908),(2825,825,0.00406,3.6909),(2825,835,0.004121,3.691),(2825,845,0.004182,3.6911),(2825,855,0.004245,3.6912),(2825,865,0.004309,3.6913),(2825,875,0.004374,3.6914),(2825,885,0.004438,3.6915),(2825,895,0.004504,3.6916),(2825,905,0.004572,3.6917),(2825,915,0.00464,3.6919),(2825,925,0.004707,3.692),(2825,935,0.004777,3.6921),(2825,945,0.004849,3.6922),(2825,955,0.004921,3.6924),(2825,965,0.004993,3.6925),(2825,975,0.005067,3.6926),(2825,985,0.005143,3.6928),(2825,995,0.00522,3.6929),(2825,1005,0.005296,3.6931),(2825,1015,0.005376,3.6932),(2825,1025,0.005458,3.6934),(2825,1035,0.00554,3.6935),(2825,1045,0.005622,3.6937),(2825,1055,0.005707,3.6938),(2825,1065,0.005795,3.694),(2825,1075,0.005883,3.6941),(2825,1085,0.005972,3.6943),(2825,1095,0.006064,3.6945),(2825,1105,0.006159,3.6946),(2825,1115,0.006254,3.6948),(2825,1125,0.006349,3.695),(2825,1135,0.006449,3.6952),(2825,1145,0.006552,3.6954),(2825,1155,0.006655,3.6956),(2825,1165,0.006758,3.6958),(2825,1175,0.006866,3.696),(2825,1185,0.006978,3.6961),(2825,1195,0.007089,3.6964),(2825,1205,0.007201,3.6966),(2825,1215,0.007319,3.6968),(2825,1225,0.00744,3.697),(2825,1235,0.007562,3.6972),(2825,1245,0.007683,3.6974),(2825,1255,0.007813,3.6977),(2825,1265,0.007945,3.6979),(2825,1275,0.008078,3.6981),(2825,1285,0.008211,3.6984),(2825,1295,0.008353,3.6986),(2825,1305,0.008498,3.6988),(2825,1315,0.008643,3.6991),(2825,1325,0.008788,3.6993),(2825,1335,0.008944,3.6996),(2825,1345,0.009102,3.6998),(2825,1355,0.00926,3.7001),(2825,1365,0.009419,3.7004),(2825,1375,0.00959,3.7007),(2825,1385,0.009763,3.7009),(2825,1395,0.009937,3.7012),(2825,1405,0.01011,3.7015),(2825,1415,0.010299,3.7018),(2825,1425,0.010489,3.7021),(2825,1435,0.010679,3.7024),(2825,1445,0.01087,3.7027),(2825,1455,0.011078,3.703),(2825,1465,0.011287,3.7033),(2825,1475,0.011496,3.7036),(2825,1485,0.011705,3.704),(2825,1495,0.011934,3.7043),(2825,1505,0.012163,3.7046),(2825,1515,0.012393,3.705),(2825,1525,0.012623,3.7053),(2825,1535,0.012875,3.7056),(2825,1545,0.013127,3.706),(2825,1555,0.013379,3.7063),(2825,1565,0.013633,3.7067),(2825,1575,0.01391,3.7071),(2825,1585,0.014186,3.7074),(2825,1595,0.014463,3.7078),(2825,1605,0.014743,3.7082),(2825,1615,0.015048,3.7086),(2825,1625,0.015352,3.709),(2825,1635,0.015657,3.7094),(2825,1645,0.015966,3.7098),(2825,1655,0.0163,3.7102),(2825,1665,0.016635,3.7106),(2825,1675,0.01697,3.711),(2825,1685,0.01731,3.7114),(2825,1695,0.017678,3.7119),(2825,1705,0.018046,3.7123),(2825,1715,0.018414,3.7127),(2825,1725,0.018791,3.7132),(2825,1735,0.019195,3.7136),(2825,1745,0.0196,3.7141),(2825,1755,0.020004,3.7145),(2825,1765,0.020419,3.715),(2825,1775,0.020864,3.7155),(2825,1785,0.021308,3.7159),(2825,1795,0.021753,3.7164),(2825,1805,0.022211,3.7169),(2825,1815,0.022699,3.7174),(2825,1825,0.023188,3.7179),(2825,1835,0.023677,3.7184),(2825,1845,0.024182,3.7189),(2825,1855,0.024719,3.7194),(2825,1865,0.025256,3.7199),(2825,1875,0.025793,3.7204),(2825,1885,0.02635,3.721),(2825,1895,0.02694,3.7215),(2825,1905,0.02753,3.722),(2825,1915,0.02812,3.7226),(2825,1925,0.028735,3.7231),(2825,1935,0.029383,3.7236),(2825,1945,0.030031,3.7242),(2825,1955,0.030679,3.7247),(2825,1965,0.031356,3.7253),(2825,1975,0.032067,3.7259),(2825,1985,0.032779,3.7264),(2825,1995,0.033491,3.727),(2825,2005,0.034237,3.7276),(2825,2015,0.035018,3.7282),(2825,2025,0.035799,3.7287),(2825,2035,0.03658,3.7293),(2825,2045,0.037401,3.7299),(2825,2055,0.038258,3.7305),(2825,2065,0.039114,3.7311),(2825,2075,0.039971,3.7317),(2825,2085,0.040875,3.7323),(2825,2095,0.041814,3.7329),(2825,2105,0.042753,3.7335),(2825,2115,0.043692,3.7341),(2825,2125,0.044687,3.7347),(2825,2135,0.045715,3.7353),(2825,2145,0.046744,3.7359),(2825,2155,0.047772,3.7365),(2825,2165,0.048864,3.7371),(2825,2175,0.04999,3.7377),(2825,2185,0.051115,3.7383),(2825,2195,0.05224,3.739),(2825,2205,0.053439,3.7396),(2825,2215,0.054668,3.7402),(2825,2225,0.055898,3.7407),(2825,2235,0.057128,3.7413),(2825,2245,0.058441,3.7419),(2825,2255,0.059783,3.7425),(2825,2265,0.061125,3.7431),(2825,2275,0.062467,3.7437),(2825,2285,0.063903,3.7442),(2825,2295,0.065366,3.7448),(2825,2305,0.066828,3.7454),(2825,2315,0.068291,3.7459),(2825,2325,0.069858,3.7464),(2825,2335,0.071448,3.747),(2825,2345,0.073038,3.7475),(2825,2355,0.074629,3.748),(2825,2365,0.076335,3.7485),(2825,2375,0.07806,3.749),(2825,2385,0.079786,3.7494),(2825,2395,0.081511,3.7499),(2825,2405,0.083364,3.7503),(2825,2415,0.085231,3.7508),(2825,2425,0.087098,3.7512),(2825,2435,0.088966,3.7515),(2825,2445,0.090971,3.7519),(2825,2455,0.092987,3.7523),(2825,2465,0.095002,3.7526),(2825,2475,0.097017,3.7529),(2825,2485,0.099181,3.7532),(2825,2495,0.10135,3.7535),(2825,2505,0.10352,3.7537),(2825,2515,0.10569,3.7538),(2825,2525,0.10801,3.754),(2825,2535,0.11033,3.7542),(2825,2545,0.11266,3.7543),(2825,2555,0.11499,3.7543),(2825,2565,0.11747,3.7544),(2825,2575,0.11995,3.7545),(2825,2585,0.12243,3.7544),(2825,2595,0.12493,3.7543),(2825,2605,0.12756,3.7542),(2825,2615,0.1302,3.7541),(2825,2625,0.13284,3.7539),(2825,2635,0.1355,3.7536),(2825,2645,0.13828,3.7534),(2825,2655,0.14107,3.7531),(2825,2665,0.14386,3.7527),(2825,2675,0.14668,3.7522),(2825,2685,0.14962,3.7518),(2825,2695,0.15255,3.7513),(2825,2705,0.15549,3.7507),(2825,2715,0.15845,3.75),(2825,2725,0.16153,3.7494),(2825,2735,0.1646,3.7487),(2825,2745,0.16767,3.7478),(2825,2755,0.17078,3.7469),(2825,2765,0.17398,3.746),(2825,2775,0.17718,3.745),(2825,2785,0.18038,3.7439),(2825,2795,0.18361,3.7427),(2825,2805,0.18691,3.7416),(2825,2815,0.19022,3.7403),(2825,2825,0.19353,3.7389),(2825,2835,0.19686,3.7375),(2825,2845,0.20026,3.736),(2825,2855,0.20366,3.7345),(2825,2865,0.20705,3.7327),(2825,2875,0.21048,3.731),(2825,2885,0.21394,3.7292),(2825,2895,0.2174,3.7274),(2825,2905,0.22086,3.7253),(2825,2915,0.22434,3.7232),(2825,2925,0.22785,3.7211),(2825,2935,0.23135,3.7189),(2825,2945,0.23486,3.7165),(2825,2955,0.23836,3.7141),(2825,2965,0.24188,3.7117),(2825,2975,0.2454,3.7091),(2825,2985,0.24891,3.7063),(2825,2995,0.25242,3.7036),(2825,3005,0.25591,3.7008),(2825,3015,0.25941,3.6978),(2825,3025,0.2629,3.6947),(2825,3035,0.26637,3.6915),(2825,3045,0.26981,3.6884),(2825,3055,0.27325,3.6851),(2825,3065,0.27669,3.6816),(2825,3075,0.28007,3.6781),(2825,3085,0.28342,3.6745),(2825,3095,0.28677,3.6708),(2825,3105,0.29012,3.6669),(2825,3115,0.29339,3.6631),(2825,3125,0.29661,3.6592),(2825,3135,0.29983,3.6551),(2825,3145,0.30305,3.6508),(2825,3155,0.30616,3.6466),(2825,3165,0.30922,3.6423),(2825,3175,0.31227,3.6378),(2825,3185,0.31532,3.6332),(2825,3195,0.31823,3.6286),(2825,3205,0.32108,3.624),(2825,3215,0.32392,3.6192),(2825,3225,0.32677,3.6142),(2825,3235,0.32944,3.6093),(2825,3245,0.33204,3.6043),(2825,3255,0.33464,3.5991),(2825,3265,0.33724,3.5938),(2825,3275,0.33962,3.5886),(2825,3285,0.34194,3.5833),(2825,3295,0.34426,3.5778),(2825,3305,0.34657,3.5722),(2825,3315,0.34863,3.5666),(2825,3325,0.35063,3.5611),(2825,3335,0.35263,3.5553),(2825,3345,0.35463,3.5495),(2825,3355,0.35633,3.5436),(2825,3365,0.35798,3.5378),(2825,3375,0.35963,3.5318),(2825,3385,0.36128,3.5257),(2825,3395,0.36259,3.5197),(2825,3405,0.36385,3.5136),(2825,3415,0.36512,3.5074),(2825,3425,0.36639,3.5012),(2825,3435,0.36729,3.4949),(2825,3445,0.36815,3.4887),(2825,3455,0.36902,3.4824),(2825,3465,0.36988,3.476),(2825,3475,0.37034,3.4696),(2825,3485,0.37079,3.4633),(2825,3495,0.37124,3.4568),(2825,3505,0.37168,3.4504),(2825,3515,0.3717,3.444),(2825,3525,0.37171,3.4375),(2825,3535,0.37173,3.4311),(2825,3545,0.37173,3.4246),(2825,3555,0.37131,3.4181),(2825,3565,0.3709,3.4117),(2825,3575,0.37048,3.4053),(2825,3585,0.37003,3.3988),(2825,3595,0.3692,3.3924),(2825,3605,0.36836,3.386),(2825,3615,0.36752,3.3797),(2825,3625,0.36663,3.3734),(2825,3635,0.36539,3.367),(2825,3645,0.36415,3.3607),(2825,3655,0.3629,3.3545),(2825,3665,0.3616,3.3484),(2825,3675,0.35998,3.3422),(2825,3685,0.35836,3.336),(2825,3695,0.35674,3.33),(2825,3705,0.35504,3.324),(2825,3715,0.35308,3.3181),(2825,3725,0.35112,3.3121),(2825,3735,0.34915,3.3064),(2825,3745,0.34711,3.3006),(2825,3755,0.34485,3.2949),(2825,3765,0.34259,3.2892),(2825,3775,0.34032,3.2837),(2825,3785,0.33799,3.2782),(2825,3795,0.33547,3.2727),(2825,3805,0.33295,3.2673),(2825,3815,0.33043,3.2621),(2825,3825,0.32785,3.2568),(2825,3835,0.32513,3.2516),(2825,3845,0.32241,3.2465),(2825,3855,0.31969,3.2415),(2825,3865,0.31691,3.2366),(2825,3875,0.31402,3.2317),(2825,3885,0.31114,3.2268),(2825,3895,0.30826,3.2221),(2825,3905,0.34652,3.2174),(2825,3915,0.44622,3.2127),(2825,3925,0.54593,3.206),(2825,3935,0.64563,3.1966),(2825,3945,0.74901,3.1871),(2825,3955,0.85706,3.1776),(2825,3965,0.96511,3.1659),(2825,3975,1.0732,3.1518),(2825,3985,1.1337,3.1376),(2825,3995,1.143,3.1235),(2825,4005,1.1522,3.1093),(2825,4015,1.1614,3.0953),(2825,4025,1.1719,3.0812),(2825,4035,1.1825,3.0671),(2825,4045,1.1931,3.053),(2825,4055,1.2041,3.0389),(2825,4065,1.2152,3.0247),(2825,4075,1.2263,3.0102),(2825,4085,1.2374,2.9958),(2825,4095,1.2486,2.9813),(2825,4105,1.2598,2.9661),(2825,4115,1.2264,2.9508),(2825,4125,1.1191,2.9356),(2825,4135,1.0118,2.9226),(2825,4145,0.90217,2.9104),(2825,4155,0.78332,2.8981),(2825,4165,0.66447,2.8887),(2825,4175,0.55272,2.8813),(2825,4185,0.79283,2.8738),(2825,4195,1.0329,2.8628),(2825,4205,1.273,2.8472),(2825,4215,1.302,2.8315),(2825,4225,1.2912,2.8155),(2825,4235,1.2803,2.7985),(2825,4245,1.2336,2.7814),(2825,4255,1.1686,2.7644),(2825,4265,1.1037,2.7475),(2825,4275,0.95476,2.7306),(2825,4285,0.71683,2.7138),(2825,4295,0.47891,2.707),(2825,4305,0.40613,2.7015),(2825,4315,0.70628,2.6959),(2825,4325,1.0064,2.682),(2825,4335,1.2744,2.6649),(2825,4345,1.3247,2.6477),(2825,4355,1.375,2.6302),(2825,4365,1.4253,2.6125),(2825,4375,1.4379,2.5947),(2825,4385,1.4485,2.577),(2825,4395,1.4591,2.5593),(2825,4405,1.2861,2.5416),(2825,4415,1.0591,2.5254),(2825,4425,0.83212,2.5159),(2825,4435,0.73976,2.5064),(2825,4445,0.73943,2.497),(2825,4455,0.7391,2.4889),(2825,4465,0.84199,2.4808),(2825,4475,1.0899,2.4726),(2825,4485,1.3378,2.4575),(2825,4495,1.5288,2.4409),(2825,4505,1.5376,2.4242),(2825,4515,1.5463,2.4074),(2825,4525,1.552,2.3904),(2825,4535,1.5082,2.3734),(2825,4545,1.4643,2.3574),(2825,4555,1.4205,2.3423),(2825,4565,1.0924,2.3273),(2825,4575,0.72597,2.3155),(2825,4585,0.35952,2.3118),(2825,4595,0.46375,2.308),(2825,4605,0.76684,2.3027),(2825,4615,1.0699,2.2851),(2825,4625,1.2645,2.2676),(2825,4635,1.3609,2.2501),(2825,4645,1.4572,2.2326),(2825,4655,1.5298,2.2152),(2825,4665,1.5576,2.1977),(2825,4675,1.5855,2.1812),(2825,4685,1.554,2.1649),(2825,4695,1.2295,2.1487),(2825,4705,0.90503,2.1384),(2825,4715,0.58054,2.1324),(2825,4725,0.74847,2.1264),(2825,4735,0.92133,2.1186),(2825,4745,1.0942,2.1081),(2825,4755,1.2686,2.0976),(2825,4765,1.4434,2.0862),(2825,4775,1.6183,2.0711),(2825,4785,1.686,2.056),(2825,4795,1.6918,2.0409),(2825,4805,1.6976,2.026),(2825,4815,1.6207,2.0111),(2825,4825,1.4449,1.9962),(2825,4835,1.2691,1.9853),(2825,4845,1.0916,1.9751),(2825,4855,0.9095,1.9648),(2825,4865,0.72742,1.9583),(2825,4875,0.60067,1.9535),(2825,4885,0.97745,1.9486),(2825,4895,1.3542,1.9392),(2825,4905,1.731,1.9254),(2825,4915,1.7549,1.9116),(2825,4925,1.7485,1.8976),(2825,4935,1.742,1.8832),(2825,4945,1.6783,1.8688),(2825,4955,1.5947,1.8541),(2825,4965,1.5111,1.8381),(2825,4975,1.2391,1.8221),(2825,4985,0.82171,1.8062),(2825,4995,0.40428,1.8042),(2825,5005,0.29883,1.8025),(2825,5015,0.68936,1.8009),(2825,5025,1.0799,1.7923),(2825,5035,1.4166,1.782),(2825,5045,1.5482,1.7716),(2825,5055,1.6798,1.7596),(2825,5065,1.8076,1.7464),(2825,5075,1.8119,1.7333),(2825,5085,1.8162,1.7203),(2825,5095,1.8205,1.7073),(2825,5105,1.5938,1.6943),(2825,5115,1.3268,1.683),(2825,5125,1.0598,1.676),(2825,5135,0.92924,1.6691),(2825,5145,0.86491,1.6623),(2825,5155,0.80058,1.657),(2825,5165,0.94464,1.6517),(2825,5175,1.3012,1.6464),(2825,5185,1.6578,1.6345),(2825,5195,1.9027,1.622),(2825,5205,1.9066,1.6095),(2825,5215,1.9105,1.5971),(2825,5225,1.9043,1.5848),(2825,5235,1.8351,1.5724),(2825,5245,1.766,1.561),(2825,5255,1.6968,1.5502),(2825,5265,1.1974,1.5395),(2825,5275,0.68029,1.5325),(2825,5285,0.16319,1.532),(2825,5295,0.4647,1.5316),(2825,5305,0.99418,1.5282),(2825,5315,1.5237,1.5128),(2825,5325,1.7757,1.4975),(2825,5335,1.8459,1.4821),(2825,5345,1.916,1.469),(2825,5355,1.9599,1.4559),(2825,5365,1.9683,1.4428),(2825,5375,1.9767,1.4301),(2825,5385,1.8701,1.4175),(2825,5395,1.414,1.4049),(2825,5405,0.95787,1.3984),(2825,5415,0.55253,1.395),(2825,5425,0.82931,1.3916),(2825,5435,1.1061,1.3855),(2825,5445,1.3829,1.3765),(2825,5455,1.6463,1.3675),(2825,5465,1.9081,1.3571),(2825,5475,2.17,1.3431),(2825,5485,2.2487,1.3292),(2825,5495,2.2537,1.3154),(2825,5505,2.2587,1.3019),(2825,5515,2.2636,1.2884),(2825,5525,2.2686,1.2749),(2825,5535,2.2735,1.2618),(2825,5545,2.2783,1.2487),(2825,5555,2.2828,1.2356),(2825,5565,2.2874,1.2228),(2825,5575,2.2918,1.2101),(2825,5585,2.296,1.1974),(2825,5595,2.3001,1.1849),(2825,5605,2.3043,1.1726),(2825,5615,2.3081,1.1603),(2825,5625,2.3119,1.1481),(2825,5635,2.3157,1.1361),(2825,5645,2.3192,1.1242),(2825,5655,2.3227,1.1123),(2825,5665,2.3261,1.1006),(2825,5675,2.3294,1.089),(2825,5685,2.3326,1.0774),(2825,5695,2.3357,1.066),(2825,5705,2.3388,1.0547),(2825,5715,2.3416,1.0434),(2825,5725,2.3445,1.0323),(2825,5735,2.3473,1.0212),(2825,5745,2.3499,1.0102),(2825,5755,2.3526,0.9993),(2825,5765,2.3552,0.98852),(2825,5775,2.3575,0.97774),(2825,5785,2.3599,0.9671),(2825,5795,2.3623,0.95659),(2825,5805,2.3644,0.94608),(2825,5815,2.3666,0.93565),(2825,5825,2.3687,0.92539),(2825,5835,2.3707,0.91512),(2825,5845,2.3726,0.9049),(2825,5855,2.3745,0.89486),(2825,5865,2.3763,0.88483),(2825,5875,2.378,0.8748),(2825,5885,2.3798,0.865),(2825,5895,2.3814,0.8552),(2825,5905,2.3829,0.8454),(2825,5915,2.3844,0.83579),(2825,5925,2.3859,0.82623),(2825,5935,2.3872,0.81666),(2825,5945,2.3886,0.80723),(2825,5955,2.3899,0.79788),(2825,5965,2.3911,0.78852),(2825,5975,2.3924,0.77925),(2825,5985,2.3936,0.77008),(2825,5995,1.8304,0.76091),(2825,6005,1.1763,0.7539),(2825,6015,0.52232,0.75266),(2825,6025,0.63416,0.75142),(2825,6035,1.1012,0.74931),(2825,6045,1.5683,0.7389),(2825,6055,1.8946,0.72849),(2825,6065,2.0831,0.71808),(2825,6075,2.2715,0.70465),(2825,6085,2.3995,0.69093),(2825,6095,2.4029,0.67722),(2825,6105,2.4063,0.66352),(2825,6115,2.4097,0.64982),(2825,6125,2.4129,0.63612),(2825,6135,2.4161,0.6225),(2825,6145,2.4193,0.60895),(2825,6155,2.4223,0.59539),(2825,6165,2.4252,0.58192),(2825,6175,2.4282,0.56859),(2825,6185,2.431,0.55527),(2825,6195,2.4337,0.54195),(2825,6205,2.4365,0.52866),(2825,6215,2.4391,0.51537),(2825,6225,2.4416,0.50208),(2825,6235,2.4441,0.48881),(2825,6245,2.4465,0.47554),(2825,6255,2.4489,0.46227),(2825,6265,2.4512,0.44909),(2825,6275,2.4534,0.43593),(2825,6285,2.4555,0.42276),(2825,6295,2.4576,0.40964),(2825,6305,2.4597,0.39653),(2825,6315,2.4616,0.38343),(2825,6325,2.4635,0.37037),(2825,6335,2.4654,0.35736),(2825,6345,2.4671,0.34435),(2825,6355,2.4687,0.33136),(2825,6365,2.4704,0.31842),(2825,6375,2.4719,0.30548),(2825,6385,2.4734,0.29255),(2825,6395,2.4748,0.27963),(2825,6405,2.4761,0.26671),(2825,6415,2.4774,0.25379),(2825,6425,2.4786,0.24097),(2825,6435,2.4798,0.22814),(2825,6445,2.4808,0.21532),(2825,6455,2.4819,0.20254),(2825,6465,2.4828,0.18977),(2825,6475,2.4837,0.177),(2825,6485,2.4845,0.16424),(2825,6495,2.4853,0.15148),(2825,6505,2.486,0.13873),(2825,6515,2.4866,0.12598),(2825,6525,2.4873,0.11323),(2825,6535,2.4878,0.10048),(2825,6545,2.4882,0.087733),(2825,6555,2.4887,0.074991),(2825,6565,2.489,0.062248),(2825,6575,2.4892,0.049508),(2825,6585,2.4895,0.036809),(2825,6595,2.1175,0.02411),(2825,6605,1.3346,0.011411),(2825,6615,0.55166,0.009926),(2825,6625,0.00129,0.00988),(2825,6635,0.001288,0.009835),(2825,6645,0.001287,0.009814),(2825,6655,0.001285,0.009803),(2825,6665,0.001284,0.009792),(2825,6675,0.001283,0.009781),(2825,6685,0.001281,0.00977),(2825,6695,0.00128,0.00976),(2825,6705,0.001279,0.009749),(2825,6715,0.001278,0.009738),(2825,6725,0.001277,0.009728),(2825,6735,0.001275,0.009717),(2825,6745,0.001274,0.009707),(2825,6755,0.001273,0.009696),(2825,6765,0.001272,0.009686),(2825,6775,0.001271,0.009675),(2825,6785,0.00127,0.009665),(2825,6795,0.001269,0.009655),(2825,6805,0.001268,0.009645),(2825,6815,0.001267,0.009634),(2825,6825,0.001266,0.009624),(2825,6835,0.001265,0.009614),(2825,6845,0.001264,0.009604),(2825,6855,0.001264,0.009594),(2825,6865,0.001263,0.009584),(2825,6875,0.001262,0.009574),(2825,6885,0.001261,0.009564),(2825,6895,0.00126,0.009554),(2825,6905,0.001259,0.009544),(2825,6915,0.001259,0.009534),(2825,6925,0.001258,0.009524),(2825,6935,0.001257,0.009515),(2825,6945,0.001257,0.009505),(2825,6955,0.001256,0.009495),(2825,6965,0.001256,0.009485),(2825,6975,0.001255,0.009475),(2825,6985,0.001254,0.009466),(2835,5,2.3e-05,3.6876),(2835,15,6.8e-05,3.6876),(2835,25,0.000113,3.6876),(2835,35,0.000158,3.6876),(2835,45,0.000203,3.6876),(2835,55,0.000248,3.6876),(2835,65,0.000294,3.6876),(2835,75,0.000339,3.6876),(2835,85,0.000384,3.6876),(2835,95,0.000429,3.6876),(2835,105,0.000474,3.6876),(2835,115,0.000519,3.6876),(2835,125,0.000564,3.6876),(2835,135,0.000609,3.6877),(2835,145,0.000655,3.6877),(2835,155,0.0007,3.6877),(2835,165,0.000745,3.6877),(2835,175,0.00079,3.6877),(2835,185,0.000835,3.6877),(2835,195,0.00088,3.6877),(2835,205,0.000926,3.6878),(2835,215,0.000971,3.6878),(2835,225,0.001016,3.6878),(2835,235,0.001062,3.6878),(2835,245,0.001107,3.6878),(2835,255,0.001152,3.6878),(2835,265,0.001198,3.6879),(2835,275,0.001243,3.6879),(2835,285,0.001289,3.6879),(2835,295,0.001334,3.6879),(2835,305,0.00138,3.688),(2835,315,0.001425,3.688),(2835,325,0.00147,3.688),(2835,335,0.001516,3.688),(2835,345,0.001561,3.6881),(2835,355,0.001607,3.6881),(2835,365,0.001653,3.6881),(2835,375,0.001698,3.6882),(2835,385,0.001744,3.6882),(2835,395,0.00179,3.6882),(2835,405,0.001836,3.6883),(2835,415,0.001881,3.6883),(2835,425,0.001928,3.6883),(2835,435,0.001974,3.6884),(2835,445,0.00202,3.6884),(2835,455,0.002066,3.6884),(2835,465,0.002113,3.6885),(2835,475,0.00216,3.6885),(2835,485,0.002207,3.6886),(2835,495,0.002253,3.6886),(2835,505,0.002301,3.6887),(2835,515,0.002348,3.6887),(2835,525,0.002395,3.6888),(2835,535,0.002442,3.6888),(2835,545,0.00249,3.6889),(2835,555,0.002538,3.6889),(2835,565,0.002585,3.689),(2835,575,0.002633,3.689),(2835,585,0.002682,3.6891),(2835,595,0.00273,3.6891),(2835,605,0.002779,3.6892),(2835,615,0.002828,3.6893),(2835,625,0.002877,3.6893),(2835,635,0.002927,3.6894),(2835,645,0.002977,3.6894),(2835,655,0.003027,3.6895),(2835,665,0.003077,3.6896),(2835,675,0.003128,3.6897),(2835,685,0.003179,3.6897),(2835,695,0.00323,3.6898),(2835,705,0.003283,3.6899),(2835,715,0.003335,3.69),(2835,725,0.003388,3.69),(2835,735,0.00344,3.6901),(2835,745,0.003494,3.6902),(2835,755,0.003549,3.6903),(2835,765,0.003603,3.6904),(2835,775,0.003657,3.6905),(2835,785,0.003714,3.6906),(2835,795,0.00377,3.6906),(2835,805,0.003826,3.6907),(2835,815,0.003883,3.6908),(2835,825,0.003942,3.6909),(2835,835,0.004001,3.691),(2835,845,0.00406,3.6911),(2835,855,0.004119,3.6913),(2835,865,0.004181,3.6914),(2835,875,0.004243,3.6915),(2835,885,0.004305,3.6916),(2835,895,0.004368,3.6917),(2835,905,0.004433,3.6918),(2835,915,0.004498,3.6919),(2835,925,0.004564,3.6921),(2835,935,0.004631,3.6922),(2835,945,0.0047,3.6923),(2835,955,0.004769,3.6924),(2835,965,0.004838,3.6926),(2835,975,0.004909,3.6927),(2835,985,0.004982,3.6929),(2835,995,0.005056,3.693),(2835,1005,0.005129,3.6931),(2835,1015,0.005205,3.6933),(2835,1025,0.005284,3.6934),(2835,1035,0.005363,3.6936),(2835,1045,0.005441,3.6937),(2835,1055,0.005523,3.6939),(2835,1065,0.005608,3.6941),(2835,1075,0.005693,3.6942),(2835,1085,0.005778,3.6944),(2835,1095,0.005866,3.6946),(2835,1105,0.005958,3.6947),(2835,1115,0.00605,3.6949),(2835,1125,0.006141,3.6951),(2835,1135,0.006237,3.6953),(2835,1145,0.006336,3.6955),(2835,1155,0.006435,3.6957),(2835,1165,0.006534,3.6959),(2835,1175,0.006639,3.6961),(2835,1185,0.006747,3.6963),(2835,1195,0.006854,3.6965),(2835,1205,0.006961,3.6967),(2835,1215,0.007076,3.6969),(2835,1225,0.007193,3.6971),(2835,1235,0.00731,3.6973),(2835,1245,0.007427,3.6976),(2835,1255,0.007553,3.6978),(2835,1265,0.007681,3.698),(2835,1275,0.007809,3.6982),(2835,1285,0.007937,3.6985),(2835,1295,0.008075,3.6987),(2835,1305,0.008215,3.699),(2835,1315,0.008355,3.6992),(2835,1325,0.008495,3.6995),(2835,1335,0.008647,3.6997),(2835,1345,0.0088,3.7),(2835,1355,0.008954,3.7003),(2835,1365,0.009107,3.7006),(2835,1375,0.009274,3.7008),(2835,1385,0.009442,3.7011),(2835,1395,0.00961,3.7014),(2835,1405,0.009779,3.7017),(2835,1415,0.009962,3.702),(2835,1425,0.010147,3.7023),(2835,1435,0.010332,3.7026),(2835,1445,0.010517,3.7029),(2835,1455,0.010719,3.7032),(2835,1465,0.010923,3.7035),(2835,1475,0.011126,3.7039),(2835,1485,0.01133,3.7042),(2835,1495,0.011553,3.7045),(2835,1505,0.011777,3.7048),(2835,1515,0.012001,3.7052),(2835,1525,0.012225,3.7055),(2835,1535,0.012471,3.7059),(2835,1545,0.012717,3.7062),(2835,1555,0.012963,3.7066),(2835,1565,0.013211,3.707),(2835,1575,0.013482,3.7073),(2835,1585,0.013752,3.7077),(2835,1595,0.014023,3.7081),(2835,1605,0.014297,3.7085),(2835,1615,0.014595,3.7089),(2835,1625,0.014893,3.7093),(2835,1635,0.015191,3.7097),(2835,1645,0.015493,3.7101),(2835,1655,0.015821,3.7105),(2835,1665,0.016149,3.7109),(2835,1675,0.016477,3.7114),(2835,1685,0.016811,3.7118),(2835,1695,0.017173,3.7122),(2835,1705,0.017534,3.7127),(2835,1715,0.017895,3.7131),(2835,1725,0.018264,3.7136),(2835,1735,0.018662,3.714),(2835,1745,0.019059,3.7145),(2835,1755,0.019457,3.7149),(2835,1765,0.019865,3.7154),(2835,1775,0.020302,3.7159),(2835,1785,0.02074,3.7164),(2835,1795,0.021177,3.7169),(2835,1805,0.021628,3.7174),(2835,1815,0.022109,3.7179),(2835,1825,0.022591,3.7184),(2835,1835,0.023072,3.7189),(2835,1845,0.02357,3.7194),(2835,1855,0.0241,3.7199),(2835,1865,0.024629,3.7204),(2835,1875,0.025159,3.721),(2835,1885,0.025709,3.7215),(2835,1895,0.026292,3.7221),(2835,1905,0.026874,3.7226),(2835,1915,0.027457,3.7232),(2835,1925,0.028064,3.7237),(2835,1935,0.028705,3.7243),(2835,1945,0.029346,3.7248),(2835,1955,0.029987,3.7254),(2835,1965,0.030657,3.726),(2835,1975,0.031361,3.7266),(2835,1985,0.032066,3.7272),(2835,1995,0.03277,3.7278),(2835,2005,0.03351,3.7283),(2835,2015,0.034284,3.7289),(2835,2025,0.035058,3.7295),(2835,2035,0.035832,3.7302),(2835,2045,0.036648,3.7308),(2835,2055,0.037498,3.7314),(2835,2065,0.038348,3.732),(2835,2075,0.039198,3.7326),(2835,2085,0.040097,3.7332),(2835,2095,0.04103,3.7338),(2835,2105,0.041963,3.7345),(2835,2115,0.042897,3.7351),(2835,2125,0.043886,3.7357),(2835,2135,0.04491,3.7363),(2835,2145,0.045933,3.737),(2835,2155,0.046957,3.7376),(2835,2165,0.048045,3.7382),(2835,2175,0.049167,3.7389),(2835,2185,0.050288,3.7395),(2835,2195,0.05141,3.7401),(2835,2205,0.052605,3.7408),(2835,2215,0.053833,3.7414),(2835,2225,0.05506,3.742),(2835,2235,0.056288,3.7426),(2835,2245,0.057599,3.7432),(2835,2255,0.058941,3.7439),(2835,2265,0.060282,3.7445),(2835,2275,0.061623,3.7451),(2835,2285,0.06306,3.7457),(2835,2295,0.064524,3.7463),(2835,2305,0.065988,3.7468),(2835,2315,0.067451,3.7474),(2835,2325,0.069021,3.748),(2835,2335,0.070615,3.7486),(2835,2345,0.072209,3.7491),(2835,2355,0.073803,3.7496),(2835,2365,0.075515,3.7502),(2835,2375,0.077247,3.7507),(2835,2385,0.078979,3.7512),(2835,2395,0.080711,3.7517),(2835,2405,0.082573,3.7522),(2835,2415,0.08445,3.7526),(2835,2425,0.086327,3.7531),(2835,2435,0.088204,3.7535),(2835,2445,0.090222,3.7539),(2835,2455,0.092251,3.7543),(2835,2465,0.094279,3.7546),(2835,2475,0.096308,3.755),(2835,2485,0.098489,3.7553),(2835,2495,0.10067,3.7556),(2835,2505,0.10286,3.7559),(2835,2515,0.10505,3.7561),(2835,2525,0.10739,3.7563),(2835,2535,0.10974,3.7565),(2835,2545,0.11208,3.7566),(2835,2555,0.11444,3.7567),(2835,2565,0.11694,3.7568),(2835,2575,0.11945,3.7569),(2835,2585,0.12196,3.7569),(2835,2595,0.12448,3.7569),(2835,2605,0.12715,3.7568),(2835,2615,0.12982,3.7568),(2835,2625,0.13249,3.7566),(2835,2635,0.13518,3.7563),(2835,2645,0.138,3.7561),(2835,2655,0.14083,3.7559),(2835,2665,0.14366,3.7555),(2835,2675,0.14651,3.7551),(2835,2685,0.14949,3.7547),(2835,2695,0.15247,3.7543),(2835,2705,0.15545,3.7536),(2835,2715,0.15846,3.753),(2835,2725,0.16158,3.7524),(2835,2735,0.1647,3.7517),(2835,2745,0.16783,3.7509),(2835,2755,0.17098,3.75),(2835,2765,0.17423,3.7492),(2835,2775,0.17749,3.7482),(2835,2785,0.18074,3.7471),(2835,2795,0.18403,3.746),(2835,2805,0.18739,3.7448),(2835,2815,0.19076,3.7436),(2835,2825,0.19413,3.7422),(2835,2835,0.19753,3.7408),(2835,2845,0.20099,3.7394),(2835,2855,0.20445,3.7378),(2835,2865,0.20791,3.7361),(2835,2875,0.2114,3.7344),(2835,2885,0.21493,3.7327),(2835,2895,0.21847,3.7308),(2835,2905,0.222,3.7287),(2835,2915,0.22555,3.7267),(2835,2925,0.22913,3.7246),(2835,2935,0.23271,3.7224),(2835,2945,0.23628,3.72),(2835,2955,0.23987,3.7176),(2835,2965,0.24346,3.7152),(2835,2975,0.24705,3.7126),(2835,2985,0.25065,3.7098),(2835,2995,0.25423,3.707),(2835,3005,0.2578,3.7042),(2835,3015,0.26138,3.7013),(2835,3025,0.26495,3.6981),(2835,3035,0.2685,3.695),(2835,3045,0.27202,3.6918),(2835,3055,0.27554,3.6885),(2835,3065,0.27907,3.6849),(2835,3075,0.28254,3.6814),(2835,3085,0.28597,3.6779),(2835,3095,0.2894,3.6741),(2835,3105,0.29283,3.6702),(2835,3115,0.29618,3.6663),(2835,3125,0.29949,3.6624),(2835,3135,0.30279,3.6582),(2835,3145,0.30609,3.6539),(2835,3155,0.30928,3.6496),(2835,3165,0.31242,3.6453),(2835,3175,0.31555,3.6408),(2835,3185,0.31868,3.6362),(2835,3195,0.32167,3.6315),(2835,3205,0.32459,3.6268),(2835,3215,0.32752,3.6219),(2835,3225,0.33044,3.6169),(2835,3235,0.33318,3.6119),(2835,3245,0.33585,3.6069),(2835,3255,0.33853,3.6016),(2835,3265,0.3412,3.5963),(2835,3275,0.34365,3.5909),(2835,3285,0.34604,3.5856),(2835,3295,0.34842,3.58),(2835,3305,0.3508,3.5744),(2835,3315,0.35293,3.5687),(2835,3325,0.35498,3.5631),(2835,3335,0.35704,3.5572),(2835,3345,0.3591,3.5513),(2835,3355,0.36086,3.5454),(2835,3365,0.36255,3.5394),(2835,3375,0.36425,3.5333),(2835,3385,0.36595,3.5272),(2835,3395,0.36731,3.521),(2835,3405,0.36862,3.5149),(2835,3415,0.36992,3.5086),(2835,3425,0.37123,3.5022),(2835,3435,0.37216,3.4959),(2835,3445,0.37306,3.4896),(2835,3455,0.37395,3.4831),(2835,3465,0.37485,3.4766),(2835,3475,0.37533,3.4702),(2835,3485,0.37579,3.4637),(2835,3495,0.37625,3.4572),(2835,3505,0.37671,3.4506),(2835,3515,0.37674,3.4441),(2835,3525,0.37676,3.4375),(2835,3535,0.37678,3.431),(2835,3545,0.37678,3.4244),(2835,3555,0.37636,3.4178),(2835,3565,0.37594,3.4113),(2835,3575,0.37551,3.4047),(2835,3585,0.37506,3.3982),(2835,3595,0.3742,3.3917),(2835,3605,0.37334,3.3852),(2835,3615,0.37248,3.3787),(2835,3625,0.37157,3.3723),(2835,3635,0.37029,3.3659),(2835,3645,0.36902,3.3595),(2835,3655,0.36774,3.3532),(2835,3665,0.3664,3.3469),(2835,3675,0.36474,3.3406),(2835,3685,0.36307,3.3344),(2835,3695,0.36141,3.3283),(2835,3705,0.35967,3.3223),(2835,3715,0.35765,3.3162),(2835,3725,0.35564,3.3102),(2835,3735,0.35362,3.3043),(2835,3745,0.35153,3.2985),(2835,3755,0.3492,3.2927),(2835,3765,0.34688,3.2869),(2835,3775,0.34456,3.2814),(2835,3785,0.34216,3.2758),(2835,3795,0.33959,3.2702),(2835,3805,0.33701,3.2648),(2835,3815,0.33443,3.2595),(2835,3825,0.33179,3.2542),(2835,3835,0.329,3.249),(2835,3845,0.32622,3.2438),(2835,3855,0.32344,3.2388),(2835,3865,0.32061,3.2338),(2835,3875,0.31767,3.2288),(2835,3885,0.31473,3.2239),(2835,3895,0.3118,3.2192),(2835,3905,0.35035,3.2145),(2835,3915,0.45089,3.2098),(2835,3925,0.55143,3.203),(2835,3935,0.65197,3.1935),(2835,3945,0.75615,3.184),(2835,3955,0.86496,3.1744),(2835,3965,0.97377,3.1627),(2835,3975,1.0826,3.1485),(2835,3985,1.1435,3.1343),(2835,3995,1.1527,3.1201),(2835,4005,1.1618,3.106),(2835,4015,1.171,3.0919),(2835,4025,1.1815,3.0778),(2835,4035,1.192,3.0637),(2835,4045,1.2026,3.0495),(2835,4055,1.2136,3.0354),(2835,4065,1.2248,3.0212),(2835,4075,1.2359,3.0067),(2835,4085,1.2472,2.9923),(2835,4095,1.2586,2.9778),(2835,4105,1.27,2.9625),(2835,4115,1.2366,2.9472),(2835,4125,1.1288,2.9318),(2835,4135,1.0209,2.9188),(2835,4145,0.9107,2.9064),(2835,4155,0.79081,2.894),(2835,4165,0.67092,2.8845),(2835,4175,0.55819,2.8768),(2835,4185,0.79989,2.8692),(2835,4195,1.0416,2.8581),(2835,4205,1.2833,2.8423),(2835,4215,1.3129,2.8266),(2835,4225,1.3025,2.8105),(2835,4235,1.2922,2.7933),(2835,4245,1.2458,2.7761),(2835,4255,1.181,2.759),(2835,4265,1.1162,2.742),(2835,4275,0.96611,2.725),(2835,4285,0.72557,2.708),(2835,4295,0.48502,2.7012),(2835,4305,0.4112,2.6956),(2835,4315,0.71385,2.69),(2835,4325,1.0165,2.676),(2835,4335,1.2867,2.6587),(2835,4345,1.337,2.6415),(2835,4355,1.3872,2.6239),(2835,4365,1.4375,2.6061),(2835,4375,1.4501,2.5882),(2835,4385,1.4606,2.5704),(2835,4395,1.4712,2.5525),(2835,4405,1.297,2.5346),(2835,4415,1.0683,2.5183),(2835,4425,0.83966,2.5085),(2835,4435,0.74634,2.4988),(2835,4445,0.74551,2.489),(2835,4455,0.74468,2.4808),(2835,4465,0.848,2.4726),(2835,4475,1.0976,2.4644),(2835,4485,1.3472,2.4491),(2835,4495,1.5396,2.4323),(2835,4505,1.5485,2.4155),(2835,4515,1.5573,2.3985),(2835,4525,1.563,2.3814),(2835,4535,1.5186,2.3643),(2835,4545,1.4743,2.3482),(2835,4555,1.4299,2.3333),(2835,4565,1.0999,2.3184),(2835,4575,0.73143,2.3067),(2835,4585,0.36292,2.303),(2835,4595,0.46876,2.2992),(2835,4605,0.77502,2.2938),(2835,4615,1.0813,2.2761),(2835,4625,1.2772,2.2584),(2835,4635,1.3731,2.2407),(2835,4645,1.469,2.2232),(2835,4655,1.5411,2.2057),(2835,4665,1.5685,2.1882),(2835,4675,1.5958,2.1717),(2835,4685,1.5637,2.1554),(2835,4695,1.2372,2.1392),(2835,4705,0.91076,2.1289),(2835,4715,0.58431,2.1228),(2835,4725,0.75293,2.1168),(2835,4735,0.9265,2.109),(2835,4745,1.1001,2.0986),(2835,4755,1.2753,2.0882),(2835,4765,1.4509,2.0767),(2835,4775,1.6265,2.0617),(2835,4785,1.6945,2.0466),(2835,4795,1.7002,2.0315),(2835,4805,1.706,2.0166),(2835,4815,1.6287,2.0017),(2835,4825,1.4521,1.9868),(2835,4835,1.2755,1.9759),(2835,4845,1.0971,1.9657),(2835,4855,0.91404,1.9555),(2835,4865,0.73098,1.9489),(2835,4875,0.60349,1.9441),(2835,4885,0.98163,1.9392),(2835,4895,1.3598,1.9298),(2835,4905,1.7379,1.9159),(2835,4915,1.7621,1.9021),(2835,4925,1.7559,1.8881),(2835,4935,1.7497,1.8737),(2835,4945,1.6866,1.8592),(2835,4955,1.6038,1.8445),(2835,4965,1.521,1.8285),(2835,4975,1.2477,1.8125),(2835,4985,0.8274,1.7965),(2835,4995,0.40709,1.7945),(2835,5005,0.30036,1.7928),(2835,5015,0.69214,1.7912),(2835,5025,1.0839,1.7826),(2835,5035,1.4217,1.7723),(2835,5045,1.5536,1.7619),(2835,5055,1.6856,1.7498),(2835,5065,1.8137,1.7367),(2835,5075,1.818,1.7236),(2835,5085,1.8222,1.7105),(2835,5095,1.8265,1.6976),(2835,5105,1.599,1.6846),(2835,5115,1.3311,1.6732),(2835,5125,1.0633,1.6663),(2835,5135,0.93225,1.6593),(2835,5145,0.86765,1.6525),(2835,5155,0.80306,1.6472),(2835,5165,0.94742,1.642),(2835,5175,1.3049,1.6367),(2835,5185,1.6624,1.6248),(2835,5195,1.9078,1.6124),(2835,5205,1.9117,1.5999),(2835,5215,1.9156,1.5875),(2835,5225,1.9093,1.5751),(2835,5235,1.8399,1.5628),(2835,5245,1.7705,1.5513),(2835,5255,1.701,1.5406),(2835,5265,1.2004,1.5298),(2835,5275,0.68209,1.5229),(2835,5285,0.16373,1.5224),(2835,5295,0.46701,1.522),(2835,5305,0.9991,1.5186),(2835,5315,1.5312,1.5032),(2835,5325,1.7837,1.4879),(2835,5335,1.8529,1.4725),(2835,5345,1.9221,1.4595),(2835,5355,1.9653,1.4464),(2835,5365,1.9735,1.4333),(2835,5375,1.9818,1.4207),(2835,5385,1.8748,1.4081),(2835,5395,1.4175,1.3955),(2835,5405,0.96028,1.389),(2835,5415,0.55394,1.3856),(2835,5425,0.8314,1.3822),(2835,5435,1.1089,1.3762),(2835,5445,1.3863,1.3672),(2835,5455,1.6503,1.3583),(2835,5465,1.9127,1.3479),(2835,5475,2.175,1.3341),(2835,5485,2.2538,1.3203),(2835,5495,2.2587,1.3065),(2835,5505,2.2635,1.2932),(2835,5515,2.2683,1.2798),(2835,5525,2.2731,1.2664),(2835,5535,2.2779,1.2534),(2835,5545,2.2826,1.2404),(2835,5555,2.287,1.2274),(2835,5565,2.2914,1.2147),(2835,5575,2.2957,1.2021),(2835,5585,2.2998,1.1895),(2835,5595,2.3038,1.1771),(2835,5605,2.3078,1.1649),(2835,5615,2.3115,1.1526),(2835,5625,2.3152,1.1405),(2835,5635,2.3188,1.1287),(2835,5645,2.3223,1.1168),(2835,5655,2.3256,1.105),(2835,5665,2.329,1.0934),(2835,5675,2.3321,1.0819),(2835,5685,2.3352,1.0703),(2835,5695,2.3383,1.0591),(2835,5705,2.3412,1.0478),(2835,5715,2.344,1.0366),(2835,5725,2.3468,1.0256),(2835,5735,2.3495,1.0146),(2835,5745,2.352,1.0036),(2835,5755,2.3545,0.99284),(2835,5765,2.357,0.98215),(2835,5775,2.3593,0.97145),(2835,5785,2.3616,0.96089),(2835,5795,2.3639,0.95046),(2835,5805,2.3659,0.94002),(2835,5815,2.368,0.92967),(2835,5825,2.37,0.91949),(2835,5835,2.3719,0.9093),(2835,5845,2.3738,0.89915),(2835,5855,2.3756,0.88919),(2835,5865,2.3774,0.87923),(2835,5875,2.379,0.86927),(2835,5885,2.3806,0.85955),(2835,5895,2.3822,0.84982),(2835,5905,2.3837,0.84009),(2835,5915,2.3851,0.83055),(2835,5925,2.3865,0.82106),(2835,5935,2.3878,0.81156),(2835,5945,2.3891,0.8022),(2835,5955,2.3903,0.79292),(2835,5965,2.3915,0.78364),(2835,5975,2.3926,0.77444),(2835,5985,2.3938,0.76534),(2835,5995,1.8305,0.75624),(2835,6005,1.1765,0.74929),(2835,6015,0.52238,0.74805),(2835,6025,0.63505,0.74681),(2835,6035,1.1033,0.74472),(2835,6045,1.5716,0.73436),(2835,6055,1.8988,0.72401),(2835,6065,2.0877,0.71366),(2835,6075,2.2765,0.7003),(2835,6085,2.4047,0.68667),(2835,6095,2.4081,0.67304),(2835,6105,2.4115,0.65942),(2835,6115,2.4148,0.6458),(2835,6125,2.4179,0.63218),(2835,6135,2.4211,0.61864),(2835,6145,2.4243,0.60516),(2835,6155,2.4272,0.59168),(2835,6165,2.4301,0.57829),(2835,6175,2.4331,0.56505),(2835,6185,2.4358,0.55181),(2835,6195,2.4385,0.53858),(2835,6205,2.4412,0.52537),(2835,6215,2.4438,0.51216),(2835,6225,2.4462,0.49896),(2835,6235,2.4487,0.48578),(2835,6245,2.4511,0.47259),(2835,6255,2.4534,0.45941),(2835,6265,2.4557,0.44631),(2835,6275,2.4579,0.43323),(2835,6285,2.46,0.42015),(2835,6295,2.462,0.40711),(2835,6305,2.4641,0.39408),(2835,6315,2.466,0.38106),(2835,6325,2.4678,0.36808),(2835,6335,2.4697,0.35514),(2835,6345,2.4713,0.34221),(2835,6355,2.473,0.3293),(2835,6365,2.4746,0.31644),(2835,6375,2.4761,0.30358),(2835,6385,2.4776,0.29072),(2835,6395,2.479,0.27789),(2835,6405,2.4803,0.26505),(2835,6415,2.4816,0.25221),(2835,6425,2.4828,0.23947),(2835,6435,2.4839,0.22672),(2835,6445,2.485,0.21398),(2835,6455,2.486,0.20128),(2835,6465,2.487,0.18859),(2835,6475,2.4878,0.1759),(2835,6485,2.4886,0.16323),(2835,6495,2.4894,0.15056),(2835,6505,2.49,0.13789),(2835,6515,2.4907,0.12523),(2835,6525,2.4913,0.11256),(2835,6535,2.4918,0.0999),(2835,6545,2.4922,0.087237),(2835,6555,2.4927,0.074577),(2835,6565,2.493,0.061917),(2835,6575,2.4932,0.04926),(2835,6585,2.4934,0.036644),(2835,6595,2.1209,0.024029),(2835,6605,1.3367,0.011414),(2835,6615,0.55255,0.009934),(2835,6625,0.001296,0.009884),(2835,6635,0.001295,0.009835),(2835,6645,0.001293,0.009813),(2835,6655,0.001292,0.009802),(2835,6665,0.00129,0.009791),(2835,6675,0.001289,0.00978),(2835,6685,0.001288,0.009769),(2835,6695,0.001286,0.009758),(2835,6705,0.001285,0.009748),(2835,6715,0.001284,0.009737),(2835,6725,0.001283,0.009727),(2835,6735,0.001281,0.009716),(2835,6745,0.00128,0.009706),(2835,6755,0.001279,0.009695),(2835,6765,0.001278,0.009685),(2835,6775,0.001277,0.009674),(2835,6785,0.001276,0.009664),(2835,6795,0.001275,0.009654),(2835,6805,0.001274,0.009644),(2835,6815,0.001273,0.009633),(2835,6825,0.001272,0.009623),(2835,6835,0.001271,0.009613),(2835,6845,0.00127,0.009603),(2835,6855,0.001269,0.009593),(2835,6865,0.001268,0.009583),(2835,6875,0.001267,0.009573),(2835,6885,0.001267,0.009563),(2835,6895,0.001266,0.009553),(2835,6905,0.001265,0.009543),(2835,6915,0.001264,0.009533),(2835,6925,0.001264,0.009524),(2835,6935,0.001263,0.009514),(2835,6945,0.001262,0.009504),(2835,6955,0.001262,0.009494),(2835,6965,0.001261,0.009485),(2835,6975,0.00126,0.009475),(2835,6985,0.00126,0.009465),(2845,5,2.2e-05,3.6876),(2845,15,6.6e-05,3.6876),(2845,25,0.000111,3.6876),(2845,35,0.000155,3.6876),(2845,45,0.000199,3.6876),(2845,55,0.000243,3.6876),(2845,65,0.000287,3.6876),(2845,75,0.000331,3.6877),(2845,85,0.000376,3.6877),(2845,95,0.00042,3.6877),(2845,105,0.000464,3.6877),(2845,115,0.000508,3.6877),(2845,125,0.000552,3.6877),(2845,135,0.000596,3.6877),(2845,145,0.00064,3.6877),(2845,155,0.000685,3.6877),(2845,165,0.000729,3.6877),(2845,175,0.000773,3.6878),(2845,185,0.000817,3.6878),(2845,195,0.000861,3.6878),(2845,205,0.000905,3.6878),(2845,215,0.00095,3.6878),(2845,225,0.000994,3.6878),(2845,235,0.001038,3.6878),(2845,245,0.001082,3.6879),(2845,255,0.001127,3.6879),(2845,265,0.001171,3.6879),(2845,275,0.001215,3.6879),(2845,285,0.00126,3.688),(2845,295,0.001304,3.688),(2845,305,0.001348,3.688),(2845,315,0.001393,3.688),(2845,325,0.001437,3.688),(2845,335,0.001481,3.6881),(2845,345,0.001526,3.6881),(2845,355,0.00157,3.6881),(2845,365,0.001614,3.6882),(2845,375,0.001659,3.6882),(2845,385,0.001703,3.6882),(2845,395,0.001748,3.6883),(2845,405,0.001792,3.6883),(2845,415,0.001837,3.6883),(2845,425,0.001882,3.6884),(2845,435,0.001927,3.6884),(2845,445,0.001972,3.6884),(2845,455,0.002017,3.6885),(2845,465,0.002062,3.6885),(2845,475,0.002107,3.6886),(2845,485,0.002152,3.6886),(2845,495,0.002198,3.6887),(2845,505,0.002243,3.6887),(2845,515,0.002289,3.6887),(2845,525,0.002335,3.6888),(2845,535,0.00238,3.6889),(2845,545,0.002427,3.6889),(2845,555,0.002473,3.689),(2845,565,0.002519,3.689),(2845,575,0.002565,3.6891),(2845,585,0.002612,3.6891),(2845,595,0.002659,3.6892),(2845,605,0.002706,3.6892),(2845,615,0.002753,3.6893),(2845,625,0.002801,3.6894),(2845,635,0.002849,3.6894),(2845,645,0.002897,3.6895),(2845,655,0.002945,3.6896),(2845,665,0.002994,3.6896),(2845,675,0.003043,3.6897),(2845,685,0.003092,3.6898),(2845,695,0.003141,3.6899),(2845,705,0.003191,3.6899),(2845,715,0.003242,3.69),(2845,725,0.003292,3.6901),(2845,735,0.003343,3.6902),(2845,745,0.003395,3.6903),(2845,755,0.003447,3.6903),(2845,765,0.003499,3.6904),(2845,775,0.003551,3.6905),(2845,785,0.003605,3.6906),(2845,795,0.003659,3.6907),(2845,805,0.003713,3.6908),(2845,815,0.003768,3.6909),(2845,825,0.003824,3.691),(2845,835,0.00388,3.6911),(2845,845,0.003937,3.6912),(2845,855,0.003994,3.6913),(2845,865,0.004053,3.6914),(2845,875,0.004113,3.6915),(2845,885,0.004172,3.6916),(2845,895,0.004232,3.6918),(2845,905,0.004295,3.6919),(2845,915,0.004357,3.692),(2845,925,0.00442,3.6921),(2845,935,0.004484,3.6923),(2845,945,0.00455,3.6924),(2845,955,0.004616,3.6925),(2845,965,0.004682,3.6926),(2845,975,0.004751,3.6928),(2845,985,0.004821,3.6929),(2845,995,0.004892,3.6931),(2845,1005,0.004962,3.6932),(2845,1015,0.005035,3.6934),(2845,1025,0.00511,3.6935),(2845,1035,0.005186,3.6937),(2845,1045,0.005261,3.6938),(2845,1055,0.00534,3.694),(2845,1065,0.005421,3.6941),(2845,1075,0.005502,3.6943),(2845,1085,0.005584,3.6945),(2845,1095,0.005669,3.6947),(2845,1105,0.005757,3.6948),(2845,1115,0.005845,3.695),(2845,1125,0.005933,3.6952),(2845,1135,0.006025,3.6954),(2845,1145,0.006121,3.6956),(2845,1155,0.006216,3.6958),(2845,1165,0.006311,3.696),(2845,1175,0.006412,3.6962),(2845,1185,0.006515,3.6964),(2845,1195,0.006619,3.6966),(2845,1205,0.006722,3.6968),(2845,1215,0.006833,3.697),(2845,1225,0.006946,3.6972),(2845,1235,0.007058,3.6974),(2845,1245,0.007171,3.6977),(2845,1255,0.007292,3.6979),(2845,1265,0.007416,3.6981),(2845,1275,0.00754,3.6984),(2845,1285,0.007663,3.6986),(2845,1295,0.007796,3.6989),(2845,1305,0.007932,3.6991),(2845,1315,0.008068,3.6994),(2845,1325,0.008203,3.6996),(2845,1335,0.00835,3.6999),(2845,1345,0.008499,3.7002),(2845,1355,0.008647,3.7004),(2845,1365,0.008796,3.7007),(2845,1375,0.008957,3.701),(2845,1385,0.009121,3.7013),(2845,1395,0.009284,3.7016),(2845,1405,0.009447,3.7019),(2845,1415,0.009625,3.7022),(2845,1425,0.009805,3.7025),(2845,1435,0.009985,3.7028),(2845,1445,0.010164,3.7031),(2845,1455,0.010361,3.7034),(2845,1465,0.010559,3.7037),(2845,1475,0.010757,3.7041),(2845,1485,0.010955,3.7044),(2845,1495,0.011172,3.7047),(2845,1505,0.01139,3.7051),(2845,1515,0.011608,3.7054),(2845,1525,0.011827,3.7058),(2845,1535,0.012067,3.7061),(2845,1545,0.012307,3.7065),(2845,1555,0.012547,3.7069),(2845,1565,0.012789,3.7072),(2845,1575,0.013054,3.7076),(2845,1585,0.013318,3.708),(2845,1595,0.013583,3.7084),(2845,1605,0.01385,3.7088),(2845,1615,0.014142,3.7092),(2845,1625,0.014433,3.7096),(2845,1635,0.014725,3.71),(2845,1645,0.015021,3.7104),(2845,1655,0.015342,3.7108),(2845,1665,0.015664,3.7112),(2845,1675,0.015985,3.7117),(2845,1685,0.016313,3.7121),(2845,1695,0.016667,3.7126),(2845,1705,0.017021,3.713),(2845,1715,0.017376,3.7135),(2845,1725,0.017738,3.7139),(2845,1735,0.018129,3.7144),(2845,1745,0.018519,3.7149),(2845,1755,0.01891,3.7154),(2845,1765,0.019311,3.7158),(2845,1775,0.019741,3.7163),(2845,1785,0.020171,3.7168),(2845,1795,0.020602,3.7173),(2845,1805,0.021045,3.7178),(2845,1815,0.021519,3.7183),(2845,1825,0.021993,3.7189),(2845,1835,0.022467,3.7194),(2845,1845,0.022958,3.7199),(2845,1855,0.02348,3.7204),(2845,1865,0.024003,3.721),(2845,1875,0.024525,3.7215),(2845,1885,0.025068,3.7221),(2845,1895,0.025643,3.7226),(2845,1905,0.026219,3.7232),(2845,1915,0.026794,3.7238),(2845,1925,0.027394,3.7243),(2845,1935,0.028027,3.7249),(2845,1945,0.028661,3.7255),(2845,1955,0.029295,3.7261),(2845,1965,0.029958,3.7267),(2845,1975,0.030655,3.7273),(2845,1985,0.031353,3.7279),(2845,1995,0.03205,3.7285),(2845,2005,0.032783,3.7291),(2845,2015,0.03355,3.7297),(2845,2025,0.034318,3.7303),(2845,2035,0.035085,3.7309),(2845,2045,0.035894,3.7316),(2845,2055,0.036738,3.7322),(2845,2065,0.037582,3.7328),(2845,2075,0.038426,3.7335),(2845,2085,0.039318,3.7341),(2845,2095,0.040246,3.7348),(2845,2105,0.041174,3.7354),(2845,2115,0.042101,3.7361),(2845,2125,0.043085,3.7367),(2845,2135,0.044104,3.7374),(2845,2145,0.045123,3.738),(2845,2155,0.046142,3.7387),(2845,2165,0.047226,3.7393),(2845,2175,0.048344,3.74),(2845,2185,0.049462,3.7406),(2845,2195,0.05058,3.7413),(2845,2205,0.051772,3.7419),(2845,2215,0.052997,3.7426),(2845,2225,0.054222,3.7432),(2845,2235,0.055447,3.7439),(2845,2245,0.056758,3.7445),(2845,2255,0.058098,3.7452),(2845,2265,0.059439,3.7458),(2845,2275,0.06078,3.7465),(2845,2285,0.062217,3.7471),(2845,2295,0.063682,3.7477),(2845,2305,0.065147,3.7483),(2845,2315,0.066612,3.7489),(2845,2325,0.068185,3.7495),(2845,2335,0.069783,3.7501),(2845,2345,0.07138,3.7507),(2845,2355,0.072978,3.7513),(2845,2365,0.074696,3.7519),(2845,2375,0.076434,3.7524),(2845,2385,0.078173,3.753),(2845,2395,0.079911,3.7535),(2845,2405,0.081782,3.754),(2845,2415,0.083669,3.7545),(2845,2425,0.085555,3.755),(2845,2435,0.087442,3.7554),(2845,2445,0.089474,3.7559),(2845,2455,0.091515,3.7563),(2845,2465,0.093557,3.7567),(2845,2475,0.095599,3.7571),(2845,2485,0.097797,3.7574),(2845,2495,0.099999,3.7578),(2845,2505,0.1022,3.7581),(2845,2515,0.10441,3.7584),(2845,2525,0.10677,3.7586),(2845,2535,0.10914,3.7589),(2845,2545,0.11151,3.759),(2845,2555,0.11388,3.7592),(2845,2565,0.11642,3.7593),(2845,2575,0.11895,3.7595),(2845,2585,0.12149,3.7595),(2845,2595,0.12404,3.7595),(2845,2605,0.12674,3.7595),(2845,2615,0.12944,3.7595),(2845,2625,0.13214,3.7593),(2845,2635,0.13486,3.7591),(2845,2645,0.13772,3.759),(2845,2655,0.14059,3.7588),(2845,2665,0.14345,3.7584),(2845,2675,0.14634,3.758),(2845,2685,0.14937,3.7577),(2845,2695,0.15239,3.7573),(2845,2705,0.15541,3.7567),(2845,2715,0.15847,3.7561),(2845,2725,0.16164,3.7555),(2845,2735,0.16481,3.7549),(2845,2745,0.16798,3.7541),(2845,2755,0.17118,3.7532),(2845,2765,0.17449,3.7524),(2845,2775,0.1778,3.7515),(2845,2785,0.18111,3.7504),(2845,2795,0.18445,3.7493),(2845,2805,0.18788,3.7482),(2845,2815,0.1913,3.747),(2845,2825,0.19473,3.7457),(2845,2835,0.19819,3.7443),(2845,2845,0.20172,3.7429),(2845,2855,0.20524,3.7414),(2845,2865,0.20877,3.7397),(2845,2875,0.21232,3.7379),(2845,2885,0.21593,3.7362),(2845,2895,0.21953,3.7344),(2845,2905,0.22313,3.7323),(2845,2915,0.22676,3.7303),(2845,2925,0.23041,3.7282),(2845,2935,0.23406,3.726),(2845,2945,0.23771,3.7236),(2845,2955,0.24137,3.7212),(2845,2965,0.24504,3.7188),(2845,2975,0.24871,3.7162),(2845,2985,0.25238,3.7134),(2845,2995,0.25604,3.7107),(2845,3005,0.2597,3.7079),(2845,3015,0.26335,3.7049),(2845,3025,0.26701,3.7017),(2845,3035,0.27064,3.6986),(2845,3045,0.27424,3.6954),(2845,3055,0.27784,3.692),(2845,3065,0.28145,3.6885),(2845,3075,0.285,3.6849),(2845,3085,0.28851,3.6814),(2845,3095,0.29203,3.6776),(2845,3105,0.29554,3.6736),(2845,3115,0.29898,3.6697),(2845,3125,0.30236,3.6657),(2845,3135,0.30574,3.6616),(2845,3145,0.30913,3.6572),(2845,3155,0.3124,3.6529),(2845,3165,0.31561,3.6486),(2845,3175,0.31883,3.644),(2845,3185,0.32204,3.6393),(2845,3195,0.32511,3.6345),(2845,3205,0.32811,3.6298),(2845,3215,0.33111,3.6249),(2845,3225,0.33411,3.6198),(2845,3235,0.33692,3.6147),(2845,3245,0.33967,3.6096),(2845,3255,0.34241,3.6043),(2845,3265,0.34516,3.5989),(2845,3275,0.34768,3.5935),(2845,3285,0.35013,3.588),(2845,3295,0.35258,3.5824),(2845,3305,0.35503,3.5766),(2845,3315,0.35722,3.5709),(2845,3325,0.35934,3.5652),(2845,3335,0.36145,3.5592),(2845,3345,0.36357,3.5532),(2845,3355,0.36538,3.5472),(2845,3365,0.36713,3.5412),(2845,3375,0.36888,3.535),(2845,3385,0.37063,3.5287),(2845,3395,0.37202,3.5225),(2845,3405,0.37338,3.5162),(2845,3415,0.37473,3.5098),(2845,3425,0.37608,3.5034),(2845,3435,0.37703,3.4969),(2845,3445,0.37796,3.4905),(2845,3455,0.37888,3.4839),(2845,3465,0.37981,3.4773),(2845,3475,0.38031,3.4708),(2845,3485,0.38079,3.4642),(2845,3495,0.38127,3.4575),(2845,3505,0.38175,3.4509),(2845,3515,0.38178,3.4442),(2845,3525,0.3818,3.4375),(2845,3535,0.38183,3.4309),(2845,3545,0.38184,3.4242),(2845,3555,0.38141,3.4175),(2845,3565,0.38098,3.4108),(2845,3575,0.38055,3.4042),(2845,3585,0.38008,3.3976),(2845,3595,0.3792,3.3909),(2845,3605,0.37832,3.3843),(2845,3615,0.37744,3.3777),(2845,3625,0.37651,3.3712),(2845,3635,0.3752,3.3647),(2845,3645,0.37389,3.3582),(2845,3655,0.37258,3.3518),(2845,3665,0.37121,3.3454),(2845,3675,0.3695,3.339),(2845,3685,0.36779,3.3327),(2845,3695,0.36608,3.3265),(2845,3705,0.36429,3.3204),(2845,3715,0.36223,3.3142),(2845,3725,0.36016,3.3081),(2845,3735,0.35809,3.3022),(2845,3745,0.35594,3.2963),(2845,3755,0.35356,3.2904),(2845,3765,0.35118,3.2845),(2845,3775,0.3488,3.2789),(2845,3785,0.34634,3.2733),(2845,3795,0.3437,3.2677),(2845,3805,0.34106,3.2621),(2845,3815,0.33843,3.2568),(2845,3825,0.33572,3.2515),(2845,3835,0.33288,3.2462),(2845,3845,0.33004,3.2409),(2845,3855,0.3272,3.2359),(2845,3865,0.3243,3.2309),(2845,3875,0.32131,3.2259),(2845,3885,0.31832,3.221),(2845,3895,0.31533,3.2162),(2845,3905,0.35419,3.2115),(2845,3915,0.45556,3.2067),(2845,3925,0.55693,3.1999),(2845,3935,0.6583,3.1903),(2845,3945,0.76329,3.1808),(2845,3955,0.87286,3.1712),(2845,3965,0.98243,3.1594),(2845,3975,1.092,3.1452),(2845,3985,1.1533,3.131),(2845,3995,1.1624,3.1167),(2845,4005,1.1715,3.1026),(2845,4015,1.1806,3.0885),(2845,4025,1.191,3.0744),(2845,4035,1.2016,3.0603),(2845,4045,1.2121,3.0461),(2845,4055,1.2232,3.032),(2845,4065,1.2344,3.0178),(2845,4075,1.2456,3.0033),(2845,4085,1.257,2.9888),(2845,4095,1.2686,2.9743),(2845,4105,1.2803,2.959),(2845,4115,1.2467,2.9436),(2845,4125,1.1384,2.9282),(2845,4135,1.0301,2.915),(2845,4145,0.91924,2.9025),(2845,4155,0.79831,2.8899),(2845,4165,0.67737,2.8803),(2845,4175,0.56365,2.8725),(2845,4185,0.80695,2.8647),(2845,4195,1.0502,2.8534),(2845,4205,1.2935,2.8376),(2845,4215,1.3238,2.8217),(2845,4225,1.3139,2.8055),(2845,4235,1.3041,2.7881),(2845,4245,1.2579,2.7708),(2845,4255,1.1933,2.7535),(2845,4265,1.1287,2.7363),(2845,4275,0.97747,2.7191),(2845,4285,0.7343,2.7019),(2845,4295,0.49113,2.6951),(2845,4305,0.41627,2.6895),(2845,4315,0.72143,2.6838),(2845,4325,1.0266,2.6698),(2845,4335,1.2989,2.6525),(2845,4345,1.3492,2.6351),(2845,4355,1.3995,2.6175),(2845,4365,1.4497,2.5995),(2845,4375,1.4622,2.5816),(2845,4385,1.4728,2.5636),(2845,4395,1.4833,2.5455),(2845,4405,1.3079,2.5275),(2845,4415,1.0775,2.5109),(2845,4425,0.8472,2.5009),(2845,4435,0.75291,2.4908),(2845,4445,0.75158,2.4808),(2845,4455,0.75026,2.4724),(2845,4465,0.854,2.464),(2845,4475,1.1054,2.4556),(2845,4485,1.3567,2.4401),(2845,4495,1.5504,2.4232),(2845,4505,1.5594,2.4063),(2845,4515,1.5683,2.3892),(2845,4525,1.574,2.372),(2845,4535,1.5291,2.3548),(2845,4545,1.4842,2.3387),(2845,4555,1.4393,2.3239),(2845,4565,1.1074,2.3091),(2845,4575,0.73688,2.2975),(2845,4585,0.36632,2.2937),(2845,4595,0.47377,2.2899),(2845,4605,0.78319,2.2845),(2845,4615,1.0926,2.2667),(2845,4625,1.2898,2.2489),(2845,4635,1.3852,2.2311),(2845,4645,1.4807,2.2136),(2845,4655,1.5524,2.196),(2845,4665,1.5793,2.1785),(2845,4675,1.6062,2.1619),(2845,4685,1.5733,2.1457),(2845,4695,1.2449,2.1294),(2845,4705,0.91648,2.1191),(2845,4715,0.58807,2.113),(2845,4725,0.75738,2.107),(2845,4735,0.93168,2.0992),(2845,4745,1.106,2.0888),(2845,4755,1.282,2.0784),(2845,4765,1.4583,2.067),(2845,4775,1.6347,2.0519),(2845,4785,1.7029,2.0369),(2845,4795,1.7086,2.0218),(2845,4805,1.7143,2.0069),(2845,4815,1.6366,1.992),(2845,4825,1.4592,1.9771),(2845,4835,1.2818,1.9663),(2845,4845,1.1026,1.9561),(2845,4855,0.91858,1.9459),(2845,4865,0.73455,1.9393),(2845,4875,0.60632,1.9344),(2845,4885,0.98581,1.9295),(2845,4895,1.3653,1.9201),(2845,4905,1.7448,1.9063),(2845,4915,1.7693,1.8924),(2845,4925,1.7633,1.8784),(2845,4935,1.7573,1.8639),(2845,4945,1.6949,1.8495),(2845,4955,1.6129,1.8348),(2845,4965,1.5308,1.8187),(2845,4975,1.2563,1.8026),(2845,4985,0.83309,1.7866),(2845,4995,0.4099,1.7846),(2845,5005,0.30188,1.783),(2845,5015,0.69492,1.7814),(2845,5025,1.088,1.7728),(2845,5035,1.4268,1.7624),(2845,5045,1.5591,1.752),(2845,5055,1.6914,1.74),(2845,5065,1.8198,1.7268),(2845,5075,1.824,1.7137),(2845,5085,1.8282,1.7007),(2845,5095,1.8324,1.6877),(2845,5105,1.6042,1.6747),(2845,5115,1.3355,1.6633),(2845,5125,1.0667,1.6564),(2845,5135,0.93526,1.6495),(2845,5145,0.8704,1.6427),(2845,5155,0.80553,1.6374),(2845,5165,0.9502,1.6321),(2845,5175,1.3086,1.6269),(2845,5185,1.667,1.615),(2845,5195,1.913,1.6026),(2845,5205,1.9168,1.5901),(2845,5215,1.9206,1.5777),(2845,5225,1.9143,1.5654),(2845,5235,1.8446,1.5531),(2845,5245,1.7749,1.5416),(2845,5255,1.7053,1.5309),(2845,5265,1.2035,1.5201),(2845,5275,0.68389,1.5132),(2845,5285,0.16428,1.5127),(2845,5295,0.46933,1.5122),(2845,5305,1.004,1.5089),(2845,5315,1.5387,1.4935),(2845,5325,1.7917,1.4782),(2845,5335,1.8599,1.4629),(2845,5345,1.9281,1.4498),(2845,5355,1.9707,1.4368),(2845,5365,1.9788,1.4238),(2845,5375,1.9868,1.4112),(2845,5385,1.8794,1.3986),(2845,5395,1.4211,1.3861),(2845,5405,0.96269,1.3796),(2845,5415,0.55535,1.3762),(2845,5425,0.83349,1.3728),(2845,5435,1.1116,1.3668),(2845,5445,1.3898,1.3579),(2845,5455,1.6543,1.3491),(2845,5465,1.9172,1.3388),(2845,5475,2.1801,1.3251),(2845,5485,2.2589,1.3113),(2845,5495,2.2636,1.2977),(2845,5505,2.2683,1.2844),(2845,5515,2.273,1.2711),(2845,5525,2.2777,1.2578),(2845,5535,2.2823,1.2449),(2845,5545,2.2869,1.232),(2845,5555,2.2911,1.2191),(2845,5565,2.2954,1.2065),(2845,5575,2.2996,1.194),(2845,5585,2.3035,1.1815),(2845,5595,2.3074,1.1692),(2845,5605,2.3113,1.1571),(2845,5615,2.3149,1.1449),(2845,5625,2.3185,1.1329),(2845,5635,2.322,1.1211),(2845,5645,2.3253,1.1093),(2845,5655,2.3286,1.0976),(2845,5665,2.3318,1.0862),(2845,5675,2.3349,1.0747),(2845,5685,2.3378,1.0633),(2845,5695,2.3408,1.0521),(2845,5705,2.3436,1.0409),(2845,5715,2.3463,1.0298),(2845,5725,2.349,1.0188),(2845,5735,2.3516,1.0079),(2845,5745,2.354,0.99705),(2845,5755,2.3565,0.98635),(2845,5765,2.3589,0.97573),(2845,5775,2.3611,0.96511),(2845,5785,2.3632,0.95463),(2845,5795,2.3654,0.94428),(2845,5805,2.3674,0.93393),(2845,5815,2.3694,0.92366),(2845,5825,2.3714,0.91355),(2845,5835,2.3732,0.90344),(2845,5845,2.375,0.89336),(2845,5855,2.3767,0.88348),(2845,5865,2.3784,0.8736),(2845,5875,2.38,0.86371),(2845,5885,2.3815,0.85406),(2845,5895,2.383,0.8444),(2845,5905,2.3844,0.83475),(2845,5915,2.3858,0.82528),(2845,5925,2.3871,0.81585),(2845,5935,2.3883,0.80643),(2845,5945,2.3895,0.79714),(2845,5955,2.3907,0.78792),(2845,5965,2.3918,0.77871),(2845,5975,2.3929,0.76958),(2845,5985,2.394,0.76055),(2845,5995,1.8307,0.75152),(2845,6005,1.1766,0.74462),(2845,6015,0.52244,0.74339),(2845,6025,0.63595,0.74216),(2845,6035,1.1055,0.74008),(2845,6045,1.575,0.72979),(2845,6055,1.903,0.7195),(2845,6065,2.0922,0.7092),(2845,6075,2.2815,0.69592),(2845,6085,2.4099,0.68237),(2845,6095,2.4133,0.66882),(2845,6105,2.4166,0.65528),(2845,6115,2.4199,0.64174),(2845,6125,2.423,0.6282),(2845,6135,2.4261,0.61475),(2845,6145,2.4292,0.60135),(2845,6155,2.4321,0.58795),(2845,6165,2.435,0.57465),(2845,6175,2.4379,0.56148),(2845,6185,2.4406,0.54832),(2845,6195,2.4433,0.53517),(2845,6205,2.4459,0.52205),(2845,6215,2.4484,0.50892),(2845,6225,2.4509,0.4958),(2845,6235,2.4533,0.48271),(2845,6245,2.4557,0.46961),(2845,6255,2.4579,0.45652),(2845,6265,2.4602,0.44351),(2845,6275,2.4624,0.43051),(2845,6285,2.4644,0.41751),(2845,6295,2.4664,0.40455),(2845,6305,2.4685,0.39161),(2845,6315,2.4703,0.37867),(2845,6325,2.4721,0.36577),(2845,6335,2.474,0.35292),(2845,6345,2.4756,0.34007),(2845,6355,2.4772,0.32724),(2845,6365,2.4789,0.31446),(2845,6375,2.4804,0.30168),(2845,6385,2.4818,0.2889),(2845,6395,2.4832,0.27615),(2845,6405,2.4845,0.26339),(2845,6415,2.4857,0.25064),(2845,6425,2.4869,0.23797),(2845,6435,2.4881,0.2253),(2845,6445,2.4891,0.21263),(2845,6455,2.4901,0.20001),(2845,6465,2.4911,0.18741),(2845,6475,2.4919,0.1748),(2845,6485,2.4927,0.16221),(2845,6495,2.4935,0.14963),(2845,6505,2.4941,0.13704),(2845,6515,2.4947,0.12446),(2845,6525,2.4954,0.11188),(2845,6535,2.4958,0.099305),(2845,6545,2.4963,0.086726),(2845,6555,2.4967,0.074149),(2845,6565,2.497,0.061572),(2845,6575,2.4972,0.048997),(2845,6585,2.4974,0.036464),(2845,6595,2.1243,0.02393),(2845,6605,1.3388,0.011397),(2845,6615,0.55343,0.009928),(2845,6625,0.001303,0.00988),(2845,6635,0.001301,0.009833),(2845,6645,0.0013,0.009811),(2845,6655,0.001298,0.0098),(2845,6665,0.001297,0.009789),(2845,6675,0.001295,0.009779),(2845,6685,0.001294,0.009768),(2845,6695,0.001293,0.009757),(2845,6705,0.001291,0.009747),(2845,6715,0.00129,0.009736),(2845,6725,0.001289,0.009725),(2845,6735,0.001287,0.009715),(2845,6745,0.001286,0.009704),(2845,6755,0.001285,0.009694),(2845,6765,0.001284,0.009684),(2845,6775,0.001283,0.009673),(2845,6785,0.001282,0.009663),(2845,6795,0.001281,0.009653),(2845,6805,0.00128,0.009643),(2845,6815,0.001279,0.009633),(2845,6825,0.001278,0.009622),(2845,6835,0.001277,0.009612),(2845,6845,0.001276,0.009602),(2845,6855,0.001275,0.009592),(2845,6865,0.001274,0.009582),(2845,6875,0.001273,0.009572),(2845,6885,0.001272,0.009562),(2845,6895,0.001271,0.009552),(2845,6905,0.00127,0.009543),(2845,6915,0.00127,0.009533),(2845,6925,0.001269,0.009523),(2845,6935,0.001268,0.009513),(2845,6945,0.001268,0.009503),(2845,6955,0.001267,0.009494),(2845,6965,0.001266,0.009484),(2845,6975,0.001266,0.009474),(2845,6985,0.001265,0.009465),(2855,5,2.2e-05,3.6877),(2855,15,6.5e-05,3.6877),(2855,25,0.000108,3.6877),(2855,35,0.000151,3.6877),(2855,45,0.000195,3.6877),(2855,55,0.000238,3.6877),(2855,65,0.000281,3.6877),(2855,75,0.000324,3.6877),(2855,85,0.000367,3.6877),(2855,95,0.000411,3.6877),(2855,105,0.000454,3.6877),(2855,115,0.000497,3.6877),(2855,125,0.00054,3.6877),(2855,135,0.000583,3.6877),(2855,145,0.000626,3.6878),(2855,155,0.000669,3.6878),(2855,165,0.000713,3.6878),(2855,175,0.000756,3.6878),(2855,185,0.000799,3.6878),(2855,195,0.000842,3.6878),(2855,205,0.000885,3.6878),(2855,215,0.000928,3.6879),(2855,225,0.000972,3.6879),(2855,235,0.001015,3.6879),(2855,245,0.001058,3.6879),(2855,255,0.001101,3.6879),(2855,265,0.001144,3.6879),(2855,275,0.001188,3.688),(2855,285,0.001231,3.688),(2855,295,0.001274,3.688),(2855,305,0.001317,3.688),(2855,315,0.00136,3.6881),(2855,325,0.001404,3.6881),(2855,335,0.001447,3.6881),(2855,345,0.00149,3.6881),(2855,355,0.001533,3.6882),(2855,365,0.001576,3.6882),(2855,375,0.00162,3.6882),(2855,385,0.001663,3.6883),(2855,395,0.001706,3.6883),(2855,405,0.001749,3.6883),(2855,415,0.001792,3.6884),(2855,425,0.001836,3.6884),(2855,435,0.00188,3.6884),(2855,445,0.001923,3.6885),(2855,455,0.001966,3.6885),(2855,465,0.00201,3.6886),(2855,475,0.002054,3.6886),(2855,485,0.002098,3.6887),(2855,495,0.002142,3.6887),(2855,505,0.002186,3.6887),(2855,515,0.00223,3.6888),(2855,525,0.002275,3.6888),(2855,535,0.002319,3.6889),(2855,545,0.002364,3.6889),(2855,555,0.002408,3.689),(2855,565,0.002453,3.6891),(2855,575,0.002498,3.6891),(2855,585,0.002543,3.6892),(2855,595,0.002588,3.6892),(2855,605,0.002633,3.6893),(2855,615,0.002678,3.6893),(2855,625,0.002724,3.6894),(2855,635,0.002771,3.6895),(2855,645,0.002817,3.6895),(2855,655,0.002863,3.6896),(2855,665,0.00291,3.6897),(2855,675,0.002957,3.6897),(2855,685,0.003004,3.6898),(2855,695,0.003052,3.6899),(2855,705,0.0031,3.69),(2855,715,0.003148,3.6901),(2855,725,0.003197,3.6901),(2855,735,0.003245,3.6902),(2855,745,0.003295,3.6903),(2855,755,0.003345,3.6904),(2855,765,0.003395,3.6905),(2855,775,0.003445,3.6906),(2855,785,0.003497,3.6907),(2855,795,0.003548,3.6908),(2855,805,0.0036,3.6909),(2855,815,0.003652,3.691),(2855,825,0.003706,3.691),(2855,835,0.00376,3.6912),(2855,845,0.003814,3.6913),(2855,855,0.003869,3.6914),(2855,865,0.003926,3.6915),(2855,875,0.003982,3.6916),(2855,885,0.004039,3.6917),(2855,895,0.004097,3.6918),(2855,905,0.004156,3.6919),(2855,915,0.004216,3.6921),(2855,925,0.004276,3.6922),(2855,935,0.004337,3.6923),(2855,945,0.004401,3.6924),(2855,955,0.004464,3.6926),(2855,965,0.004527,3.6927),(2855,975,0.004593,3.6929),(2855,985,0.00466,3.693),(2855,995,0.004727,3.6931),(2855,1005,0.004795,3.6933),(2855,1015,0.004864,3.6934),(2855,1025,0.004937,3.6936),(2855,1035,0.005009,3.6937),(2855,1045,0.005081,3.6939),(2855,1055,0.005156,3.6941),(2855,1065,0.005234,3.6942),(2855,1075,0.005312,3.6944),(2855,1085,0.00539,3.6946),(2855,1095,0.005472,3.6947),(2855,1105,0.005556,3.6949),(2855,1115,0.00564,3.6951),(2855,1125,0.005725,3.6953),(2855,1135,0.005814,3.6955),(2855,1145,0.005905,3.6957),(2855,1155,0.005997,3.6959),(2855,1165,0.006088,3.6961),(2855,1175,0.006185,3.6963),(2855,1185,0.006284,3.6965),(2855,1195,0.006384,3.6967),(2855,1205,0.006483,3.6969),(2855,1215,0.006589,3.6971),(2855,1225,0.006698,3.6973),(2855,1235,0.006807,3.6976),(2855,1245,0.006915,3.6978),(2855,1255,0.007032,3.698),(2855,1265,0.007151,3.6983),(2855,1275,0.00727,3.6985),(2855,1285,0.00739,3.6987),(2855,1295,0.007518,3.699),(2855,1305,0.007649,3.6992),(2855,1315,0.00778,3.6995),(2855,1325,0.007911,3.6998),(2855,1335,0.008053,3.7),(2855,1345,0.008197,3.7003),(2855,1355,0.008341,3.7006),(2855,1365,0.008485,3.7009),(2855,1375,0.008641,3.7011),(2855,1385,0.008799,3.7014),(2855,1395,0.008958,3.7017),(2855,1405,0.009116,3.702),(2855,1415,0.009288,3.7023),(2855,1425,0.009463,3.7026),(2855,1435,0.009637,3.7029),(2855,1445,0.009811,3.7033),(2855,1455,0.010003,3.7036),(2855,1465,0.010195,3.7039),(2855,1475,0.010387,3.7043),(2855,1485,0.01058,3.7046),(2855,1495,0.010792,3.7049),(2855,1505,0.011004,3.7053),(2855,1515,0.011216,3.7056),(2855,1525,0.011429,3.706),(2855,1535,0.011663,3.7064),(2855,1545,0.011897,3.7067),(2855,1555,0.012132,3.7071),(2855,1565,0.012367,3.7075),(2855,1575,0.012626,3.7079),(2855,1585,0.012884,3.7082),(2855,1595,0.013142,3.7086),(2855,1605,0.013404,3.709),(2855,1615,0.013689,3.7095),(2855,1625,0.013974,3.7099),(2855,1635,0.014259,3.7103),(2855,1645,0.014549,3.7107),(2855,1655,0.014863,3.7111),(2855,1665,0.015178,3.7116),(2855,1675,0.015493,3.712),(2855,1685,0.015814,3.7125),(2855,1695,0.016161,3.7129),(2855,1705,0.016509,3.7134),(2855,1715,0.016856,3.7138),(2855,1725,0.017212,3.7143),(2855,1735,0.017595,3.7148),(2855,1745,0.017979,3.7153),(2855,1755,0.018362,3.7157),(2855,1765,0.018756,3.7162),(2855,1775,0.019179,3.7167),(2855,1785,0.019603,3.7172),(2855,1795,0.020026,3.7178),(2855,1805,0.020462,3.7183),(2855,1815,0.020929,3.7188),(2855,1825,0.021396,3.7193),(2855,1835,0.021863,3.7199),(2855,1845,0.022346,3.7204),(2855,1855,0.022861,3.7209),(2855,1865,0.023376,3.7215),(2855,1875,0.023891,3.7221),(2855,1885,0.024427,3.7226),(2855,1895,0.024995,3.7232),(2855,1905,0.025563,3.7238),(2855,1915,0.026131,3.7244),(2855,1925,0.026724,3.7249),(2855,1935,0.02735,3.7255),(2855,1945,0.027976,3.7261),(2855,1955,0.028603,3.7267),(2855,1965,0.029258,3.7273),(2855,1975,0.029949,3.7279),(2855,1985,0.030639,3.7286),(2855,1995,0.03133,3.7292),(2855,2005,0.032055,3.7298),(2855,2015,0.032816,3.7305),(2855,2025,0.033577,3.7311),(2855,2035,0.034338,3.7317),(2855,2045,0.03514,3.7324),(2855,2055,0.035978,3.733),(2855,2065,0.036816,3.7337),(2855,2075,0.037653,3.7343),(2855,2085,0.03854,3.735),(2855,2095,0.039462,3.7357),(2855,2105,0.040384,3.7363),(2855,2115,0.041306,3.737),(2855,2125,0.042285,3.7377),(2855,2135,0.043299,3.7384),(2855,2145,0.044313,3.739),(2855,2155,0.045327,3.7397),(2855,2165,0.046407,3.7404),(2855,2175,0.047521,3.7411),(2855,2185,0.048635,3.7418),(2855,2195,0.04975,3.7424),(2855,2205,0.050939,3.7431),(2855,2215,0.052162,3.7438),(2855,2225,0.053384,3.7445),(2855,2235,0.054607,3.7452),(2855,2245,0.055916,3.7458),(2855,2255,0.057256,3.7465),(2855,2265,0.058596,3.7472),(2855,2275,0.059936,3.7479),(2855,2285,0.061374,3.7485),(2855,2295,0.06284,3.7492),(2855,2305,0.064306,3.7498),(2855,2315,0.065772,3.7505),(2855,2325,0.067349,3.7511),(2855,2335,0.06895,3.7517),(2855,2345,0.070551,3.7524),(2855,2355,0.072153,3.753),(2855,2365,0.073877,3.7536),(2855,2375,0.075621,3.7542),(2855,2385,0.077366,3.7547),(2855,2395,0.079111,3.7553),(2855,2405,0.080991,3.7559),(2855,2415,0.082888,3.7564),(2855,2425,0.084784,3.7569),(2855,2435,0.08668,3.7574),(2855,2445,0.088725,3.7579),(2855,2455,0.090779,3.7584),(2855,2465,0.092834,3.7588),(2855,2475,0.094889,3.7592),(2855,2485,0.097105,3.7596),(2855,2495,0.099324,3.76),(2855,2505,0.10154,3.7604),(2855,2515,0.10377,3.7607),(2855,2525,0.10615,3.761),(2855,2535,0.10854,3.7613),(2855,2545,0.11093,3.7615),(2855,2555,0.11333,3.7617),(2855,2565,0.11589,3.7619),(2855,2575,0.11845,3.762),(2855,2585,0.12101,3.7621),(2855,2595,0.12359,3.7621),(2855,2605,0.12632,3.7622),(2855,2615,0.12905,3.7622),(2855,2625,0.13179,3.7621),(2855,2635,0.13454,3.762),(2855,2645,0.13744,3.7618),(2855,2655,0.14035,3.7617),(2855,2665,0.14325,3.7614),(2855,2675,0.14618,3.761),(2855,2685,0.14924,3.7607),(2855,2695,0.15231,3.7604),(2855,2705,0.15537,3.7598),(2855,2715,0.15847,3.7593),(2855,2725,0.16169,3.7587),(2855,2735,0.16491,3.7581),(2855,2745,0.16813,3.7573),(2855,2755,0.17139,3.7566),(2855,2765,0.17475,3.7558),(2855,2775,0.17811,3.7549),(2855,2785,0.18147,3.7538),(2855,2795,0.18487,3.7528),(2855,2805,0.18836,3.7517),(2855,2815,0.19184,3.7506),(2855,2825,0.19533,3.7492),(2855,2835,0.19885,3.7478),(2855,2845,0.20244,3.7465),(2855,2855,0.20604,3.745),(2855,2865,0.20963,3.7433),(2855,2875,0.21325,3.7416),(2855,2885,0.21692,3.7399),(2855,2895,0.22059,3.7381),(2855,2905,0.22427,3.736),(2855,2915,0.22796,3.734),(2855,2925,0.23169,3.732),(2855,2935,0.23541,3.7298),(2855,2945,0.23914,3.7274),(2855,2955,0.24287,3.725),(2855,2965,0.24662,3.7226),(2855,2975,0.25037,3.72),(2855,2985,0.25412,3.7172),(2855,2995,0.25786,3.7144),(2855,3005,0.26159,3.7116),(2855,3015,0.26533,3.7087),(2855,3025,0.26906,3.7055),(2855,3035,0.27277,3.7023),(2855,3045,0.27646,3.6991),(2855,3055,0.28014,3.6957),(2855,3065,0.28383,3.6921),(2855,3075,0.28746,3.6886),(2855,3085,0.29106,3.685),(2855,3095,0.29465,3.6812),(2855,3105,0.29825,3.6772),(2855,3115,0.30177,3.6732),(2855,3125,0.30523,3.6692),(2855,3135,0.3087,3.665),(2855,3145,0.31217,3.6606),(2855,3155,0.31552,3.6563),(2855,3165,0.31881,3.6519),(2855,3175,0.32211,3.6472),(2855,3185,0.3254,3.6425),(2855,3195,0.32854,3.6377),(2855,3205,0.33162,3.6329),(2855,3215,0.3347,3.6279),(2855,3225,0.33778,3.6228),(2855,3235,0.34067,3.6176),(2855,3245,0.34348,3.6125),(2855,3255,0.3463,3.6071),(2855,3265,0.34912,3.6016),(2855,3275,0.35171,3.5961),(2855,3285,0.35423,3.5906),(2855,3295,0.35675,3.5848),(2855,3305,0.35926,3.579),(2855,3315,0.36151,3.5732),(2855,3325,0.36369,3.5674),(2855,3335,0.36586,3.5613),(2855,3345,0.36804,3.5552),(2855,3355,0.3699,3.5491),(2855,3365,0.3717,3.543),(2855,3375,0.3735,3.5367),(2855,3385,0.37531,3.5303),(2855,3395,0.37674,3.524),(2855,3405,0.37814,3.5176),(2855,3415,0.37953,3.5111),(2855,3425,0.38092,3.5046),(2855,3435,0.38191,3.498),(2855,3445,0.38286,3.4915),(2855,3455,0.38382,3.4848),(2855,3465,0.38477,3.4781),(2855,3475,0.38529,3.4714),(2855,3485,0.38579,3.4647),(2855,3495,0.38629,3.4579),(2855,3505,0.38679,3.4511),(2855,3515,0.38682,3.4444),(2855,3525,0.38685,3.4376),(2855,3535,0.38688,3.4308),(2855,3545,0.38689,3.424),(2855,3555,0.38645,3.4172),(2855,3565,0.38602,3.4104),(2855,3575,0.38558,3.4036),(2855,3585,0.3851,3.3969),(2855,3595,0.3842,3.3901),(2855,3605,0.3833,3.3834),(2855,3615,0.3824,3.3767),(2855,3625,0.38144,3.3701),(2855,3635,0.3801,3.3634),(2855,3645,0.37876,3.3568),(2855,3655,0.37742,3.3503),(2855,3665,0.37601,3.3438),(2855,3675,0.37426,3.3374),(2855,3685,0.3725,3.3309),(2855,3695,0.37075,3.3247),(2855,3705,0.36892,3.3184),(2855,3715,0.3668,3.3121),(2855,3725,0.36468,3.3059),(2855,3735,0.36255,3.3),(2855,3745,0.36035,3.294),(2855,3755,0.35791,3.288),(2855,3765,0.35547,3.2821),(2855,3775,0.35303,3.2764),(2855,3785,0.35052,3.2707),(2855,3795,0.34782,3.265),(2855,3805,0.34512,3.2594),(2855,3815,0.34242,3.254),(2855,3825,0.33966,3.2487),(2855,3835,0.33676,3.2433),(2855,3845,0.33386,3.238),(2855,3855,0.33096,3.233),(2855,3865,0.328,3.2279),(2855,3875,0.32496,3.2228),(2855,3885,0.32191,3.2179),(2855,3895,0.31887,3.2131),(2855,3905,0.35803,3.2083),(2855,3915,0.46023,3.2036),(2855,3925,0.56244,3.1968),(2855,3935,0.66464,3.1871),(2855,3945,0.77043,3.1775),(2855,3955,0.88076,3.1679),(2855,3965,0.9911,3.1561),(2855,3975,1.1014,3.1419),(2855,3985,1.1631,3.1276),(2855,3995,1.1721,3.1133),(2855,4005,1.1812,3.0992),(2855,4015,1.1902,3.0851),(2855,4025,1.2006,3.071),(2855,4035,1.2111,3.0569),(2855,4045,1.2216,3.0428),(2855,4055,1.2327,3.0286),(2855,4065,1.244,3.0144),(2855,4075,1.2552,2.9999),(2855,4085,1.2668,2.9854),(2855,4095,1.2787,2.9709),(2855,4105,1.2905,2.9555),(2855,4115,1.2569,2.9401),(2855,4125,1.1481,2.9246),(2855,4135,1.0392,2.9114),(2855,4145,0.92777,2.8987),(2855,4155,0.8058,2.886),(2855,4165,0.68383,2.8762),(2855,4175,0.56912,2.8683),(2855,4185,0.81401,2.8603),(2855,4195,1.0589,2.8489),(2855,4205,1.3038,2.8329),(2855,4215,1.3347,2.8168),(2855,4225,1.3253,2.8004),(2855,4235,1.316,2.7829),(2855,4245,1.2701,2.7654),(2855,4255,1.2056,2.7479),(2855,4265,1.1412,2.7305),(2855,4275,0.98882,2.7131),(2855,4285,0.74303,2.6957),(2855,4295,0.49725,2.6889),(2855,4305,0.42134,2.6832),(2855,4315,0.729,2.6775),(2855,4325,1.0367,2.6634),(2855,4335,1.3112,2.6461),(2855,4345,1.3614,2.6287),(2855,4355,1.4117,2.6109),(2855,4365,1.4619,2.5929),(2855,4375,1.4744,2.5748),(2855,4385,1.4849,2.5566),(2855,4395,1.4955,2.5384),(2855,4405,1.3187,2.5201),(2855,4415,1.0867,2.5033),(2855,4425,0.85474,2.493),(2855,4435,0.75948,2.4827),(2855,4445,0.75766,2.4725),(2855,4455,0.75584,2.4638),(2855,4465,0.86001,2.4551),(2855,4475,1.1131,2.4464),(2855,4485,1.3662,2.4308),(2855,4495,1.5613,2.4138),(2855,4505,1.5702,2.3967),(2855,4515,1.5792,2.3795),(2855,4525,1.585,2.3622),(2855,4535,1.5396,2.3449),(2855,4545,1.4941,2.3288),(2855,4555,1.4487,2.3141),(2855,4565,1.115,2.2994),(2855,4575,0.74234,2.2879),(2855,4585,0.36972,2.2842),(2855,4595,0.47878,2.2804),(2855,4605,0.79137,2.275),(2855,4615,1.104,2.2571),(2855,4625,1.3024,2.2392),(2855,4635,1.3974,2.2213),(2855,4645,1.4925,2.2037),(2855,4655,1.5638,2.1862),(2855,4665,1.5902,2.1687),(2855,4675,1.6166,2.1521),(2855,4685,1.5829,2.1358),(2855,4695,1.2526,2.1195),(2855,4705,0.9222,2.1091),(2855,4715,0.59184,2.103),(2855,4725,0.76184,2.097),(2855,4735,0.93685,2.0892),(2855,4745,1.1119,2.0788),(2855,4755,1.2886,2.0685),(2855,4765,1.4658,2.0571),(2855,4775,1.643,2.042),(2855,4785,1.7114,2.027),(2855,4795,1.717,2.0119),(2855,4805,1.7226,1.997),(2855,4815,1.6445,1.9821),(2855,4825,1.4663,1.9673),(2855,4835,1.2882,1.9565),(2855,4845,1.1081,1.9463),(2855,4855,0.92312,1.9361),(2855,4865,0.73812,1.9296),(2855,4875,0.60915,1.9246),(2855,4885,0.98999,1.9197),(2855,4895,1.3708,1.9103),(2855,4905,1.7517,1.8964),(2855,4915,1.7765,1.8825),(2855,4925,1.7707,1.8685),(2855,4935,1.7649,1.854),(2855,4945,1.7031,1.8396),(2855,4955,1.6219,1.8249),(2855,4965,1.5407,1.8088),(2855,4975,1.2649,1.7927),(2855,4985,0.83878,1.7766),(2855,4995,0.41271,1.7746),(2855,5005,0.30341,1.773),(2855,5015,0.6977,1.7714),(2855,5025,1.092,1.7628),(2855,5035,1.4319,1.7524),(2855,5045,1.5645,1.7421),(2855,5055,1.6972,1.73),(2855,5065,1.826,1.7169),(2855,5075,1.8301,1.7038),(2855,5085,1.8343,1.6907),(2855,5095,1.8384,1.6778),(2855,5105,1.6095,1.6648),(2855,5115,1.3398,1.6534),(2855,5125,1.0702,1.6465),(2855,5135,0.93828,1.6396),(2855,5145,0.87314,1.6328),(2855,5155,0.80801,1.6275),(2855,5165,0.95299,1.6222),(2855,5175,1.3123,1.617),(2855,5185,1.6715,1.6052),(2855,5195,1.9182,1.5927),(2855,5205,1.9219,1.5803),(2855,5215,1.9257,1.5679),(2855,5225,1.9192,1.5556),(2855,5235,1.8493,1.5433),(2855,5245,1.7794,1.5318),(2855,5255,1.7096,1.5211),(2855,5265,1.2065,1.5103),(2855,5275,0.68569,1.5034),(2855,5285,0.16483,1.503),(2855,5295,0.47164,1.5025),(2855,5305,1.0089,1.4992),(2855,5315,1.5463,1.4838),(2855,5325,1.7997,1.4685),(2855,5335,1.8669,1.4532),(2855,5345,1.9342,1.4402),(2855,5355,1.9762,1.4272),(2855,5365,1.9841,1.4142),(2855,5375,1.9919,1.4016),(2855,5385,1.8841,1.3891),(2855,5395,1.4246,1.3766),(2855,5405,0.9651,1.3701),(2855,5415,0.55676,1.3667),(2855,5425,0.83558,1.3633),(2855,5435,1.1144,1.3573),(2855,5445,1.3932,1.3485),(2855,5455,1.6583,1.3398),(2855,5465,1.9217,1.3295),(2855,5475,2.1852,1.3159),(2855,5485,2.2641,1.3023),(2855,5495,2.2686,1.2888),(2855,5505,2.2732,1.2756),(2855,5515,2.2777,1.2624),(2855,5525,2.2822,1.2492),(2855,5535,2.2868,1.2364),(2855,5545,2.2911,1.2236),(2855,5555,2.2953,1.2108),(2855,5565,2.2994,1.1983),(2855,5575,2.3035,1.1859),(2855,5585,2.3073,1.1735),(2855,5595,2.3111,1.1613),(2855,5605,2.3149,1.1492),(2855,5615,2.3183,1.1372),(2855,5625,2.3217,1.1253),(2855,5635,2.3252,1.1136),(2855,5645,2.3284,1.1019),(2855,5655,2.3315,1.0902),(2855,5665,2.3347,1.0789),(2855,5675,2.3376,1.0675),(2855,5685,2.3405,1.0561),(2855,5695,2.3433,1.0451),(2855,5705,2.346,1.034),(2855,5715,2.3486,1.0229),(2855,5725,2.3512,1.0121),(2855,5735,2.3537,1.0013),(2855,5745,2.3561,0.99044),(2855,5755,2.3584,0.97982),(2855,5765,2.3607,0.96929),(2855,5775,2.3628,0.95875),(2855,5785,2.3649,0.94835),(2855,5795,2.367,0.93808),(2855,5805,2.3689,0.92781),(2855,5815,2.3708,0.91761),(2855,5825,2.3727,0.90758),(2855,5835,2.3745,0.89755),(2855,5845,2.3761,0.88755),(2855,5855,2.3778,0.87774),(2855,5865,2.3794,0.86794),(2855,5875,2.3809,0.85813),(2855,5885,2.3824,0.84854),(2855,5895,2.3838,0.83896),(2855,5905,2.3851,0.82938),(2855,5915,2.3865,0.81998),(2855,5925,2.3877,0.81062),(2855,5935,2.3889,0.80126),(2855,5945,2.39,0.79204),(2855,5955,2.3911,0.78289),(2855,5965,2.3922,0.77375),(2855,5975,2.3932,0.76468),(2855,5985,2.3942,0.75572),(2855,5995,1.8308,0.74676),(2855,6005,1.1767,0.73991),(2855,6015,0.5225,0.7387),(2855,6025,0.63685,0.73748),(2855,6035,1.1076,0.73542),(2855,6045,1.5784,0.72519),(2855,6055,1.9072,0.71495),(2855,6065,2.0968,0.70472),(2855,6075,2.2864,0.69152),(2855,6085,2.4152,0.67805),(2855,6095,2.4184,0.66458),(2855,6105,2.4217,0.65112),(2855,6115,2.4249,0.63767),(2855,6125,2.428,0.62422),(2855,6135,2.4311,0.61084),(2855,6145,2.4342,0.59752),(2855,6155,2.437,0.58421),(2855,6165,2.4399,0.57098),(2855,6175,2.4427,0.5579),(2855,6185,2.4454,0.54482),(2855,6195,2.448,0.53174),(2855,6205,2.4506,0.5187),(2855,6215,2.4531,0.50567),(2855,6225,2.4555,0.49263),(2855,6235,2.4579,0.47962),(2855,6245,2.4603,0.46661),(2855,6255,2.4625,0.45361),(2855,6265,2.4647,0.44068),(2855,6275,2.4668,0.42777),(2855,6285,2.4688,0.41486),(2855,6295,2.4708,0.40198),(2855,6305,2.4728,0.38913),(2855,6315,2.4746,0.37627),(2855,6325,2.4765,0.36345),(2855,6335,2.4783,0.35068),(2855,6345,2.4799,0.33792),(2855,6355,2.4815,0.32517),(2855,6365,2.4831,0.31247),(2855,6375,2.4846,0.29977),(2855,6385,2.486,0.28708),(2855,6395,2.4874,0.2744),(2855,6405,2.4887,0.26173),(2855,6415,2.4899,0.24906),(2855,6425,2.4911,0.23647),(2855,6435,2.4922,0.22388),(2855,6445,2.4932,0.21129),(2855,6455,2.4942,0.19875),(2855,6465,2.4952,0.18622),(2855,6475,2.496,0.1737),(2855,6485,2.4968,0.16119),(2855,6495,2.4976,0.14869),(2855,6505,2.4982,0.13619),(2855,6515,2.4988,0.12369),(2855,6525,2.4994,0.11119),(2855,6535,2.4998,0.0987),(2855,6545,2.5003,0.086206),(2855,6555,2.5007,0.073711),(2855,6565,2.501,0.061216),(2855,6575,2.5012,0.048725),(2855,6585,2.5014,0.036272),(2855,6595,2.1276,0.023819),(2855,6605,1.341,0.011366),(2855,6615,0.55432,0.009912),(2855,6625,0.001309,0.009871),(2855,6635,0.001308,0.00983),(2855,6645,0.001306,0.00981),(2855,6655,0.001304,0.009799),(2855,6665,0.001303,0.009788),(2855,6675,0.001301,0.009777),(2855,6685,0.0013,0.009766),(2855,6695,0.001299,0.009756),(2855,6705,0.001297,0.009745),(2855,6715,0.001296,0.009735),(2855,6725,0.001295,0.009724),(2855,6735,0.001293,0.009714),(2855,6745,0.001292,0.009703),(2855,6755,0.001291,0.009693),(2855,6765,0.00129,0.009682),(2855,6775,0.001289,0.009672),(2855,6785,0.001288,0.009662),(2855,6795,0.001287,0.009652),(2855,6805,0.001285,0.009642),(2855,6815,0.001284,0.009631),(2855,6825,0.001283,0.009621),(2855,6835,0.001282,0.009611),(2855,6845,0.001281,0.009601),(2855,6855,0.00128,0.009591),(2855,6865,0.00128,0.009581),(2855,6875,0.001279,0.009571),(2855,6885,0.001278,0.009561),(2855,6895,0.001277,0.009551),(2855,6905,0.001276,0.009542),(2855,6915,0.001275,0.009532),(2855,6925,0.001275,0.009522),(2855,6935,0.001274,0.009512),(2855,6945,0.001273,0.009503),(2855,6955,0.001272,0.009493),(2855,6965,0.001272,0.009483),(2855,6975,0.001271,0.009473),(2855,6985,0.00127,0.009464),(2865,5,2.1e-05,3.6877),(2865,15,6.4e-05,3.6877),(2865,25,0.000106,3.6877),(2865,35,0.000148,3.6877),(2865,45,0.00019,3.6877),(2865,55,0.000233,3.6877),(2865,65,0.000275,3.6877),(2865,75,0.000317,3.6877),(2865,85,0.000359,3.6877),(2865,95,0.000402,3.6878),(2865,105,0.000444,3.6878),(2865,115,0.000486,3.6878),(2865,125,0.000528,3.6878),(2865,135,0.00057,3.6878),(2865,145,0.000612,3.6878),(2865,155,0.000655,3.6878),(2865,165,0.000697,3.6878),(2865,175,0.000739,3.6878),(2865,185,0.000781,3.6879),(2865,195,0.000823,3.6879),(2865,205,0.000865,3.6879),(2865,215,0.000907,3.6879),(2865,225,0.000949,3.6879),(2865,235,0.000992,3.6879),(2865,245,0.001034,3.688),(2865,255,0.001076,3.688),(2865,265,0.001118,3.688),(2865,275,0.00116,3.688),(2865,285,0.001202,3.688),(2865,295,0.001244,3.6881),(2865,305,0.001286,3.6881),(2865,315,0.001329,3.6881),(2865,325,0.00137,3.6881),(2865,335,0.001413,3.6882),(2865,345,0.001455,3.6882),(2865,355,0.001497,3.6882),(2865,365,0.001538,3.6883),(2865,375,0.001581,3.6883),(2865,385,0.001622,3.6883),(2865,395,0.001664,3.6883),(2865,405,0.001706,3.6884),(2865,415,0.001748,3.6884),(2865,425,0.00179,3.6885),(2865,435,0.001833,3.6885),(2865,445,0.001875,3.6885),(2865,455,0.001917,3.6886),(2865,465,0.001959,3.6886),(2865,475,0.002002,3.6887),(2865,485,0.002044,3.6887),(2865,495,0.002087,3.6887),(2865,505,0.002129,3.6888),(2865,515,0.002172,3.6888),(2865,525,0.002215,3.6889),(2865,535,0.002258,3.6889),(2865,545,0.002301,3.689),(2865,555,0.002344,3.689),(2865,565,0.002387,3.6891),(2865,575,0.00243,3.6892),(2865,585,0.002473,3.6892),(2865,595,0.002517,3.6893),(2865,605,0.00256,3.6893),(2865,615,0.002604,3.6894),(2865,625,0.002648,3.6895),(2865,635,0.002693,3.6895),(2865,645,0.002737,3.6896),(2865,655,0.002781,3.6897),(2865,665,0.002826,3.6897),(2865,675,0.002872,3.6898),(2865,685,0.002917,3.6899),(2865,695,0.002962,3.6899),(2865,705,0.003008,3.69),(2865,715,0.003055,3.6901),(2865,725,0.003101,3.6902),(2865,735,0.003148,3.6903),(2865,745,0.003195,3.6904),(2865,755,0.003243,3.6904),(2865,765,0.003291,3.6905),(2865,775,0.003339,3.6906),(2865,785,0.003388,3.6907),(2865,795,0.003437,3.6908),(2865,805,0.003487,3.6909),(2865,815,0.003537,3.691),(2865,825,0.003588,3.6911),(2865,835,0.003639,3.6912),(2865,845,0.003691,3.6913),(2865,855,0.003743,3.6914),(2865,865,0.003797,3.6915),(2865,875,0.003851,3.6916),(2865,885,0.003905,3.6918),(2865,895,0.00396,3.6919),(2865,905,0.004017,3.692),(2865,915,0.004074,3.6921),(2865,925,0.004131,3.6922),(2865,935,0.00419,3.6924),(2865,945,0.00425,3.6925),(2865,955,0.004311,3.6926),(2865,965,0.004371,3.6928),(2865,975,0.004433,3.6929),(2865,985,0.004497,3.6931),(2865,995,0.004562,3.6932),(2865,1005,0.004626,3.6934),(2865,1015,0.004692,3.6935),(2865,1025,0.004761,3.6937),(2865,1035,0.00483,3.6938),(2865,1045,0.004899,3.694),(2865,1055,0.004971,3.6941),(2865,1065,0.005045,3.6943),(2865,1075,0.005119,3.6945),(2865,1085,0.005194,3.6946),(2865,1095,0.005272,3.6948),(2865,1105,0.005352,3.695),(2865,1115,0.005433,3.6952),(2865,1125,0.005514,3.6954),(2865,1135,0.005599,3.6956),(2865,1145,0.005686,3.6958),(2865,1155,0.005774,3.696),(2865,1165,0.005862,3.6962),(2865,1175,0.005954,3.6964),(2865,1185,0.00605,3.6966),(2865,1195,0.006145,3.6968),(2865,1205,0.006241,3.697),(2865,1215,0.006342,3.6972),(2865,1225,0.006446,3.6974),(2865,1235,0.006551,3.6977),(2865,1245,0.006655,3.6979),(2865,1255,0.006767,3.6981),(2865,1265,0.006882,3.6984),(2865,1275,0.006996,3.6986),(2865,1285,0.007111,3.6989),(2865,1295,0.007235,3.6991),(2865,1305,0.007361,3.6994),(2865,1315,0.007487,3.6996),(2865,1325,0.007613,3.6999),(2865,1335,0.00775,3.7002),(2865,1345,0.007889,3.7004),(2865,1355,0.008028,3.7007),(2865,1365,0.008167,3.701),(2865,1375,0.008318,3.7013),(2865,1385,0.008471,3.7016),(2865,1395,0.008624,3.7019),(2865,1405,0.008777,3.7022),(2865,1415,0.008944,3.7025),(2865,1425,0.009113,3.7028),(2865,1435,0.009281,3.7031),(2865,1445,0.00945,3.7035),(2865,1455,0.009636,3.7038),(2865,1465,0.009822,3.7041),(2865,1475,0.010009,3.7044),(2865,1485,0.010195,3.7048),(2865,1495,0.010401,3.7051),(2865,1505,0.010607,3.7055),(2865,1515,0.010813,3.7058),(2865,1525,0.01102,3.7062),(2865,1535,0.011248,3.7066),(2865,1545,0.011476,3.7069),(2865,1555,0.011704,3.7073),(2865,1565,0.011933,3.7077),(2865,1575,0.012185,3.7081),(2865,1585,0.012437,3.7085),(2865,1595,0.012689,3.7089),(2865,1605,0.012943,3.7093),(2865,1615,0.013222,3.7097),(2865,1625,0.0135,3.7101),(2865,1635,0.013778,3.7106),(2865,1645,0.014061,3.711),(2865,1655,0.014368,3.7114),(2865,1665,0.014676,3.7119),(2865,1675,0.014984,3.7123),(2865,1685,0.015297,3.7128),(2865,1695,0.015638,3.7132),(2865,1705,0.015978,3.7137),(2865,1715,0.016318,3.7142),(2865,1725,0.016666,3.7147),(2865,1735,0.017042,3.7152),(2865,1745,0.017418,3.7156),(2865,1755,0.017794,3.7161),(2865,1765,0.01818,3.7166),(2865,1775,0.018596,3.7172),(2865,1785,0.019011,3.7177),(2865,1795,0.019427,3.7182),(2865,1805,0.019855,3.7187),(2865,1815,0.020314,3.7193),(2865,1825,0.020773,3.7198),(2865,1835,0.021232,3.7203),(2865,1845,0.021707,3.7209),(2865,1855,0.022214,3.7214),(2865,1865,0.022721,3.722),(2865,1875,0.023228,3.7226),(2865,1885,0.023755,3.7232),(2865,1895,0.024315,3.7237),(2865,1905,0.024875,3.7243),(2865,1915,0.025435,3.7249),(2865,1925,0.02602,3.7255),(2865,1935,0.026638,3.7261),(2865,1945,0.027256,3.7268),(2865,1955,0.027874,3.7274),(2865,1965,0.028522,3.728),(2865,1975,0.029205,3.7286),(2865,1985,0.029887,3.7293),(2865,1995,0.030569,3.7299),(2865,2005,0.031287,3.7306),(2865,2015,0.03204,3.7312),(2865,2025,0.032793,3.7319),(2865,2035,0.033546,3.7325),(2865,2045,0.034341,3.7332),(2865,2055,0.035171,3.7339),(2865,2065,0.036001,3.7345),(2865,2075,0.036832,3.7352),(2865,2085,0.037711,3.7359),(2865,2095,0.038626,3.7366),(2865,2105,0.039541,3.7373),(2865,2115,0.040456,3.738),(2865,2125,0.041429,3.7387),(2865,2135,0.042437,3.7394),(2865,2145,0.043444,3.7401),(2865,2155,0.044452,3.7408),(2865,2165,0.045527,3.7415),(2865,2175,0.046636,3.7422),(2865,2185,0.047745,3.7429),(2865,2195,0.048854,3.7436),(2865,2205,0.05004,3.7443),(2865,2215,0.051258,3.745),(2865,2225,0.052477,3.7457),(2865,2235,0.053696,3.7464),(2865,2245,0.055002,3.7471),(2865,2255,0.05634,3.7479),(2865,2265,0.057677,3.7486),(2865,2275,0.059015,3.7492),(2865,2285,0.060452,3.7499),(2865,2295,0.061918,3.7506),(2865,2305,0.063384,3.7513),(2865,2315,0.06485,3.752),(2865,2325,0.066428,3.7527),(2865,2335,0.068031,3.7533),(2865,2345,0.069635,3.754),(2865,2355,0.071238,3.7546),(2865,2365,0.072967,3.7553),(2865,2375,0.074717,3.7559),(2865,2385,0.076466,3.7565),(2865,2395,0.078216,3.7571),(2865,2405,0.080104,3.7577),(2865,2415,0.082009,3.7583),(2865,2425,0.083913,3.7588),(2865,2435,0.085818,3.7594),(2865,2445,0.087875,3.7599),(2865,2455,0.089942,3.7604),(2865,2465,0.092009,3.7609),(2865,2475,0.094076,3.7614),(2865,2485,0.096307,3.7618),(2865,2495,0.098543,3.7623),(2865,2505,0.10078,3.7626),(2865,2515,0.10302,3.763),(2865,2525,0.10543,3.7633),(2865,2535,0.10784,3.7637),(2865,2545,0.11025,3.7639),(2865,2555,0.11267,3.7642),(2865,2565,0.11525,3.7644),(2865,2575,0.11784,3.7646),(2865,2585,0.12043,3.7647),(2865,2595,0.12303,3.7648),(2865,2605,0.1258,3.7649),(2865,2615,0.12856,3.7649),(2865,2625,0.13133,3.7649),(2865,2635,0.13411,3.7648),(2865,2645,0.13705,3.7647),(2865,2655,0.13999,3.7646),(2865,2665,0.14293,3.7643),(2865,2675,0.1459,3.764),(2865,2685,0.14901,3.7638),(2865,2695,0.15212,3.7634),(2865,2705,0.15523,3.7629),(2865,2715,0.15838,3.7624),(2865,2725,0.16165,3.7619),(2865,2735,0.16492,3.7614),(2865,2745,0.16819,3.7606),(2865,2755,0.17149,3.7599),(2865,2765,0.17491,3.7591),(2865,2775,0.17833,3.7583),(2865,2785,0.18175,3.7573),(2865,2795,0.18521,3.7562),(2865,2805,0.18876,3.7552),(2865,2815,0.19231,3.7541),(2865,2825,0.19586,3.7527),(2865,2835,0.19944,3.7514),(2865,2845,0.2031,3.75),(2865,2855,0.20676,3.7486),(2865,2865,0.21042,3.7469),(2865,2875,0.21412,3.7453),(2865,2885,0.21786,3.7436),(2865,2895,0.22161,3.7418),(2865,2905,0.22536,3.7398),(2865,2915,0.22913,3.7377),(2865,2925,0.23293,3.7357),(2865,2935,0.23674,3.7335),(2865,2945,0.24054,3.7311),(2865,2955,0.24436,3.7287),(2865,2965,0.24819,3.7263),(2865,2975,0.25202,3.7238),(2865,2985,0.25585,3.721),(2865,2995,0.25967,3.7182),(2865,3005,0.26349,3.7154),(2865,3015,0.26731,3.7124),(2865,3025,0.27114,3.7092),(2865,3035,0.27493,3.706),(2865,3045,0.2787,3.7028),(2865,3055,0.28248,3.6994),(2865,3065,0.28625,3.6958),(2865,3075,0.28997,3.6922),(2865,3085,0.29366,3.6886),(2865,3095,0.29734,3.6848),(2865,3105,0.30103,3.6808),(2865,3115,0.30464,3.6768),(2865,3125,0.30819,3.6727),(2865,3135,0.31174,3.6685),(2865,3145,0.3153,3.6641),(2865,3155,0.31874,3.6596),(2865,3165,0.32212,3.6552),(2865,3175,0.3255,3.6505),(2865,3185,0.32888,3.6457),(2865,3195,0.33211,3.6409),(2865,3205,0.33527,3.6361),(2865,3215,0.33843,3.631),(2865,3225,0.3416,3.6257),(2865,3235,0.34457,3.6205),(2865,3245,0.34746,3.6153),(2865,3255,0.35036,3.6099),(2865,3265,0.35326,3.6043),(2865,3275,0.35592,3.5987),(2865,3285,0.35851,3.5931),(2865,3295,0.36111,3.5873),(2865,3305,0.3637,3.5814),(2865,3315,0.36601,3.5755),(2865,3325,0.36825,3.5696),(2865,3335,0.3705,3.5634),(2865,3345,0.37274,3.5572),(2865,3355,0.37466,3.551),(2865,3365,0.37651,3.5448),(2865,3375,0.37837,3.5384),(2865,3385,0.38023,3.532),(2865,3395,0.38171,3.5255),(2865,3405,0.38315,3.5191),(2865,3415,0.38459,3.5124),(2865,3425,0.38603,3.5057),(2865,3435,0.38705,3.4991),(2865,3445,0.38804,3.4924),(2865,3455,0.38903,3.4856),(2865,3465,0.39001,3.4788),(2865,3475,0.39055,3.472),(2865,3485,0.39107,3.4652),(2865,3495,0.39159,3.4583),(2865,3505,0.39211,3.4514),(2865,3515,0.39214,3.4445),(2865,3525,0.39218,3.4376),(2865,3535,0.39222,3.4307),(2865,3545,0.39223,3.4238),(2865,3555,0.39179,3.4169),(2865,3565,0.39134,3.4099),(2865,3575,0.39089,3.4031),(2865,3585,0.3904,3.3962),(2865,3595,0.38948,3.3893),(2865,3605,0.38855,3.3824),(2865,3615,0.38763,3.3757),(2865,3625,0.38665,3.3689),(2865,3635,0.38527,3.3622),(2865,3645,0.38389,3.3554),(2865,3655,0.38251,3.3488),(2865,3665,0.38106,3.3423),(2865,3675,0.37925,3.3357),(2865,3685,0.37745,3.3291),(2865,3695,0.37564,3.3228),(2865,3705,0.37376,3.3164),(2865,3715,0.37158,3.3101),(2865,3725,0.3694,3.3038),(2865,3735,0.36721,3.2977),(2865,3745,0.36495,3.2916),(2865,3755,0.36244,3.2856),(2865,3765,0.35993,3.2796),(2865,3775,0.35743,3.2738),(2865,3785,0.35484,3.2681),(2865,3795,0.35207,3.2623),(2865,3805,0.3493,3.2567),(2865,3815,0.34653,3.2513),(2865,3825,0.3437,3.2458),(2865,3835,0.34073,3.2404),(2865,3845,0.33776,3.2351),(2865,3855,0.33479,3.23),(2865,3865,0.33177,3.2249),(2865,3875,0.32866,3.2198),(2865,3885,0.32556,3.2148),(2865,3895,0.32245,3.21),(2865,3905,0.36191,3.2052),(2865,3915,0.46496,3.2004),(2865,3925,0.568,3.1936),(2865,3935,0.67105,3.1839),(2865,3945,0.77763,3.1742),(2865,3955,0.88871,3.1646),(2865,3965,0.99979,3.1528),(2865,3975,1.1109,3.1385),(2865,3985,1.1729,3.1242),(2865,3995,1.1818,3.1099),(2865,4005,1.1908,3.0958),(2865,4015,1.1997,3.0817),(2865,4025,1.2101,3.0676),(2865,4035,1.2206,3.0535),(2865,4045,1.2311,3.0394),(2865,4055,1.2422,3.0253),(2865,4065,1.2535,3.0111),(2865,4075,1.2649,2.9965),(2865,4085,1.2766,2.982),(2865,4095,1.2887,2.9675),(2865,4105,1.3008,2.952),(2865,4115,1.2672,2.9365),(2865,4125,1.1579,2.9211),(2865,4135,1.0486,2.9077),(2865,4145,0.9366,2.8949),(2865,4155,0.81362,2.882),(2865,4165,0.69064,2.8721),(2865,4175,0.57497,2.864),(2865,4185,0.82145,2.8559),(2865,4195,1.0679,2.8443),(2865,4205,1.3144,2.8282),(2865,4215,1.346,2.812),(2865,4225,1.3371,2.7954),(2865,4235,1.3282,2.7777),(2865,4245,1.2826,2.7601),(2865,4255,1.2184,2.7424),(2865,4265,1.1542,2.7248),(2865,4275,1.0006,2.7072),(2865,4285,0.75207,2.6896),(2865,4295,0.50354,2.6826),(2865,4305,0.42649,2.6769),(2865,4315,0.73663,2.6712),(2865,4325,1.0468,2.6571),(2865,4335,1.3235,2.6397),(2865,4345,1.3738,2.6223),(2865,4355,1.4241,2.6044),(2865,4365,1.4744,2.5862),(2865,4375,1.4869,2.568),(2865,4385,1.4975,2.5496),(2865,4395,1.508,2.5312),(2865,4405,1.3301,2.5127),(2865,4415,1.0965,2.4957),(2865,4425,0.86293,2.4852),(2865,4435,0.76674,2.4746),(2865,4445,0.76443,2.4641),(2865,4455,0.76211,2.4552),(2865,4465,0.86668,2.4462),(2865,4475,1.1214,2.4373),(2865,4485,1.3761,2.4215),(2865,4495,1.5724,2.4043),(2865,4505,1.5814,2.3871),(2865,4515,1.5904,2.3698),(2865,4525,1.5961,2.3524),(2865,4535,1.5501,2.3351),(2865,4545,1.504,2.319),(2865,4555,1.4579,2.3044),(2865,4565,1.1223,2.2898),(2865,4575,0.74764,2.2783),(2865,4585,0.37301,2.2746),(2865,4595,0.48376,2.2709),(2865,4605,0.7996,2.2655),(2865,4615,1.1154,2.2475),(2865,4625,1.3152,2.2295),(2865,4635,1.4097,2.2115),(2865,4645,1.5043,2.1939),(2865,4655,1.5751,2.1763),(2865,4665,1.601,2.1588),(2865,4675,1.627,2.1422),(2865,4685,1.5926,2.1258),(2865,4695,1.2603,2.1095),(2865,4705,0.92797,2.0991),(2865,4715,0.59566,2.093),(2865,4725,0.7663,2.087),(2865,4735,0.94198,2.0792),(2865,4745,1.1177,2.0688),(2865,4755,1.2952,2.0585),(2865,4765,1.4732,2.0471),(2865,4775,1.6511,2.0321),(2865,4785,1.7198,2.017),(2865,4795,1.7253,2.002),(2865,4805,1.7309,1.9871),(2865,4815,1.6524,1.9723),(2865,4825,1.4734,1.9574),(2865,4835,1.2944,1.9466),(2865,4845,1.1135,1.9365),(2865,4855,0.92762,1.9264),(2865,4865,0.7417,1.9198),(2865,4875,0.61203,1.9149),(2865,4885,0.99424,1.9099),(2865,4895,1.3764,1.9004),(2865,4905,1.7587,1.8865),(2865,4915,1.7838,1.8727),(2865,4925,1.7782,1.8586),(2865,4935,1.7726,1.8441),(2865,4945,1.7114,1.8297),(2865,4955,1.631,1.8149),(2865,4965,1.5506,1.7988),(2865,4975,1.2735,1.7827),(2865,4985,0.84448,1.7666),(2865,4995,0.4155,1.7646),(2865,5005,0.3049,1.763),(2865,5015,0.70045,1.7614),(2865,5025,1.096,1.7528),(2865,5035,1.437,1.7425),(2865,5045,1.57,1.7321),(2865,5055,1.703,1.7201),(2865,5065,1.8321,1.7069),(2865,5075,1.8362,1.6938),(2865,5085,1.8403,1.6808),(2865,5095,1.8444,1.6678),(2865,5105,1.6147,1.6549),(2865,5115,1.3442,1.6435),(2865,5125,1.0737,1.6366),(2865,5135,0.94128,1.6296),(2865,5145,0.87587,1.6229),(2865,5155,0.81046,1.6176),(2865,5165,0.95574,1.6123),(2865,5175,1.3159,1.6071),(2865,5185,1.6761,1.5953),(2865,5195,1.9233,1.5829),(2865,5205,1.927,1.5704),(2865,5215,1.9307,1.5581),(2865,5225,1.9242,1.5458),(2865,5235,1.8541,1.5335),(2865,5245,1.7839,1.522),(2865,5255,1.7138,1.5113),(2865,5265,1.2096,1.5006),(2865,5275,0.68748,1.4937),(2865,5285,0.16536,1.4932),(2865,5295,0.47393,1.4927),(2865,5305,1.0138,1.4894),(2865,5315,1.5537,1.4741),(2865,5325,1.8076,1.4587),(2865,5335,1.8739,1.4434),(2865,5345,1.9402,1.4305),(2865,5355,1.9816,1.4175),(2865,5365,1.9893,1.4046),(2865,5375,1.997,1.392),(2865,5385,1.8887,1.3795),(2865,5395,1.4281,1.367),(2865,5405,0.96749,1.3606),(2865,5415,0.55815,1.3572),(2865,5425,0.8376,1.3538),(2865,5435,1.117,1.3479),(2865,5445,1.3965,1.3392),(2865,5455,1.6621,1.3305),(2865,5465,1.9261,1.3203),(2865,5475,2.19,1.3068),(2865,5485,2.2689,1.2933),(2865,5495,2.2734,1.2799),(2865,5505,2.2778,1.2668),(2865,5515,2.2822,1.2537),(2865,5525,2.2866,1.2406),(2865,5535,2.291,1.2279),(2865,5545,2.2952,1.2152),(2865,5555,2.2992,1.2025),(2865,5565,2.3032,1.1901),(2865,5575,2.3072,1.1778),(2865,5585,2.3108,1.1655),(2865,5595,2.3145,1.1534),(2865,5605,2.3182,1.1414),(2865,5615,2.3215,1.1295),(2865,5625,2.3248,1.1176),(2865,5635,2.3282,1.106),(2865,5645,2.3313,1.0944),(2865,5655,2.3343,1.0829),(2865,5665,2.3373,1.0716),(2865,5675,2.3402,1.0603),(2865,5685,2.3429,1.049),(2865,5695,2.3457,1.038),(2865,5705,2.3483,1.027),(2865,5715,2.3508,1.016),(2865,5725,2.3533,1.0053),(2865,5735,2.3557,0.99456),(2865,5745,2.358,0.98383),(2865,5755,2.3602,0.9733),(2865,5765,2.3624,0.96284),(2865,5775,2.3644,0.95239),(2865,5785,2.3665,0.94207),(2865,5795,2.3685,0.93188),(2865,5805,2.3703,0.92168),(2865,5815,2.3721,0.91157),(2865,5825,2.3739,0.90161),(2865,5835,2.3756,0.89166),(2865,5845,2.3772,0.88174),(2865,5855,2.3788,0.87201),(2865,5865,2.3803,0.86228),(2865,5875,2.3818,0.85254),(2865,5885,2.3832,0.84303),(2865,5895,2.3845,0.83352),(2865,5905,2.3858,0.82401),(2865,5915,2.387,0.81467),(2865,5925,2.3882,0.80539),(2865,5935,2.3893,0.7961),(2865,5945,2.3904,0.78694),(2865,5955,2.3914,0.77786),(2865,5965,2.3924,0.76878),(2865,5975,2.3934,0.75979),(2865,5985,2.3943,0.75089),(2865,5995,1.831,0.742),(2865,6005,1.1768,0.7352),(2865,6015,0.52255,0.734),(2865,6025,0.63771,0.73281),(2865,6035,1.1097,0.73076),(2865,6045,1.5817,0.72059),(2865,6055,1.9113,0.71041),(2865,6065,2.1012,0.70024),(2865,6075,2.2912,0.68712),(2865,6085,2.4202,0.67373),(2865,6095,2.4234,0.66034),(2865,6105,2.4266,0.64697),(2865,6115,2.4298,0.6336),(2865,6125,2.4329,0.62023),(2865,6135,2.4359,0.60693),(2865,6145,2.439,0.5937),(2865,6155,2.4418,0.58046),(2865,6165,2.4446,0.56732),(2865,6175,2.4474,0.55431),(2865,6185,2.45,0.54131),(2865,6195,2.4526,0.52831),(2865,6205,2.4552,0.51536),(2865,6215,2.4576,0.50241),(2865,6225,2.46,0.48945),(2865,6235,2.4624,0.47653),(2865,6245,2.4647,0.46361),(2865,6255,2.4668,0.45069),(2865,6265,2.469,0.43785),(2865,6275,2.4711,0.42503),(2865,6285,2.4731,0.41221),(2865,6295,2.4751,0.39941),(2865,6305,2.4771,0.38664),(2865,6315,2.4788,0.37387),(2865,6325,2.4806,0.36114),(2865,6335,2.4824,0.34845),(2865,6345,2.484,0.33577),(2865,6355,2.4856,0.3231),(2865,6365,2.4872,0.31049),(2865,6375,2.4886,0.29787),(2865,6385,2.49,0.28525),(2865,6395,2.4914,0.27266),(2865,6405,2.4927,0.26007),(2865,6415,2.4939,0.24748),(2865,6425,2.4951,0.23497),(2865,6435,2.4962,0.22246),(2865,6445,2.4972,0.20995),(2865,6455,2.4982,0.19749),(2865,6465,2.4991,0.18504),(2865,6475,2.4999,0.17259),(2865,6485,2.5007,0.16016),(2865,6495,2.5015,0.14775),(2865,6505,2.5021,0.13533),(2865,6515,2.5027,0.12291),(2865,6525,2.5033,0.1105),(2865,6535,2.5037,0.098095),(2865,6545,2.5041,0.085685),(2865,6555,2.5045,0.073273),(2865,6565,2.5048,0.060861),(2865,6575,2.505,0.048452),(2865,6585,2.5052,0.03608),(2865,6595,2.1309,0.023707),(2865,6605,1.343,0.011335),(2865,6615,0.55517,0.009895),(2865,6625,0.001316,0.009861),(2865,6635,0.001314,0.009826),(2865,6645,0.001312,0.009808),(2865,6655,0.001311,0.009797),(2865,6665,0.001309,0.009787),(2865,6675,0.001308,0.009776),(2865,6685,0.001306,0.009765),(2865,6695,0.001305,0.009754),(2865,6705,0.001303,0.009744),(2865,6715,0.001302,0.009733),(2865,6725,0.001301,0.009723),(2865,6735,0.001299,0.009712),(2865,6745,0.001298,0.009702),(2865,6755,0.001297,0.009692),(2865,6765,0.001296,0.009681),(2865,6775,0.001295,0.009671),(2865,6785,0.001293,0.009661),(2865,6795,0.001292,0.009651),(2865,6805,0.001291,0.00964),(2865,6815,0.00129,0.00963),(2865,6825,0.001289,0.00962),(2865,6835,0.001288,0.00961),(2865,6845,0.001287,0.0096),(2865,6855,0.001286,0.00959),(2865,6865,0.001285,0.00958),(2865,6875,0.001284,0.00957),(2865,6885,0.001283,0.009561),(2865,6895,0.001282,0.009551),(2865,6905,0.001282,0.009541),(2865,6915,0.001281,0.009531),(2865,6925,0.00128,0.009521),(2865,6935,0.001279,0.009512),(2865,6945,0.001278,0.009502),(2865,6955,0.001278,0.009492),(2865,6965,0.001277,0.009483),(2865,6975,0.001276,0.009473),(2865,6985,0.001275,0.009463),(2875,5,2.1e-05,3.6878),(2875,15,6.2e-05,3.6878),(2875,25,0.000103,3.6878),(2875,35,0.000145,3.6878),(2875,45,0.000186,3.6878),(2875,55,0.000227,3.6878),(2875,65,0.000269,3.6878),(2875,75,0.00031,3.6878),(2875,85,0.000351,3.6878),(2875,95,0.000393,3.6878),(2875,105,0.000434,3.6878),(2875,115,0.000475,3.6878),(2875,125,0.000516,3.6878),(2875,135,0.000558,3.6878),(2875,145,0.000599,3.6878),(2875,155,0.00064,3.6879),(2875,165,0.000681,3.6879),(2875,175,0.000722,3.6879),(2875,185,0.000763,3.6879),(2875,195,0.000804,3.6879),(2875,205,0.000845,3.6879),(2875,215,0.000886,3.6879),(2875,225,0.000927,3.688),(2875,235,0.000968,3.688),(2875,245,0.00101,3.688),(2875,255,0.001051,3.688),(2875,265,0.001092,3.688),(2875,275,0.001133,3.6881),(2875,285,0.001174,3.6881),(2875,295,0.001215,3.6881),(2875,305,0.001256,3.6881),(2875,315,0.001297,3.6882),(2875,325,0.001337,3.6882),(2875,335,0.001378,3.6882),(2875,345,0.001419,3.6882),(2875,355,0.00146,3.6883),(2875,365,0.001501,3.6883),(2875,375,0.001542,3.6883),(2875,385,0.001582,3.6884),(2875,395,0.001623,3.6884),(2875,405,0.001664,3.6884),(2875,415,0.001704,3.6885),(2875,425,0.001745,3.6885),(2875,435,0.001786,3.6885),(2875,445,0.001827,3.6886),(2875,455,0.001868,3.6886),(2875,465,0.001909,3.6887),(2875,475,0.00195,3.6887),(2875,485,0.001991,3.6887),(2875,495,0.002032,3.6888),(2875,505,0.002073,3.6888),(2875,515,0.002114,3.6889),(2875,525,0.002155,3.6889),(2875,535,0.002196,3.689),(2875,545,0.002238,3.689),(2875,555,0.002279,3.6891),(2875,565,0.002321,3.6891),(2875,575,0.002362,3.6892),(2875,585,0.002404,3.6893),(2875,595,0.002446,3.6893),(2875,605,0.002488,3.6894),(2875,615,0.00253,3.6894),(2875,625,0.002572,3.6895),(2875,635,0.002615,3.6896),(2875,645,0.002657,3.6896),(2875,655,0.0027,3.6897),(2875,665,0.002743,3.6898),(2875,675,0.002786,3.6898),(2875,685,0.002829,3.6899),(2875,695,0.002873,3.69),(2875,705,0.002917,3.6901),(2875,715,0.002961,3.6901),(2875,725,0.003006,3.6902),(2875,735,0.00305,3.6903),(2875,745,0.003096,3.6904),(2875,755,0.003141,3.6905),(2875,765,0.003186,3.6906),(2875,775,0.003232,3.6907),(2875,785,0.003279,3.6908),(2875,795,0.003326,3.6909),(2875,805,0.003373,3.691),(2875,815,0.003421,3.6911),(2875,825,0.00347,3.6912),(2875,835,0.003519,3.6913),(2875,845,0.003567,3.6914),(2875,855,0.003617,3.6915),(2875,865,0.003669,3.6916),(2875,875,0.00372,3.6917),(2875,885,0.003771,3.6918),(2875,895,0.003824,3.6919),(2875,905,0.003878,3.6921),(2875,915,0.003932,3.6922),(2875,925,0.003986,3.6923),(2875,935,0.004042,3.6924),(2875,945,0.004099,3.6926),(2875,955,0.004157,3.6927),(2875,965,0.004214,3.6928),(2875,975,0.004273,3.693),(2875,985,0.004334,3.6931),(2875,995,0.004395,3.6933),(2875,1005,0.004457,3.6934),(2875,1015,0.00452,3.6936),(2875,1025,0.004585,3.6937),(2875,1035,0.004651,3.6939),(2875,1045,0.004716,3.694),(2875,1055,0.004785,3.6942),(2875,1065,0.004855,3.6944),(2875,1075,0.004926,3.6945),(2875,1085,0.004997,3.6947),(2875,1095,0.005071,3.6949),(2875,1105,0.005148,3.6951),(2875,1115,0.005225,3.6953),(2875,1125,0.005302,3.6955),(2875,1135,0.005383,3.6956),(2875,1145,0.005467,3.6958),(2875,1155,0.00555,3.696),(2875,1165,0.005634,3.6962),(2875,1175,0.005723,3.6965),(2875,1185,0.005814,3.6967),(2875,1195,0.005905,3.6969),(2875,1205,0.005996,3.6971),(2875,1215,0.006094,3.6973),(2875,1225,0.006194,3.6975),(2875,1235,0.006294,3.6978),(2875,1245,0.006393,3.698),(2875,1255,0.006501,3.6982),(2875,1265,0.006611,3.6985),(2875,1275,0.006721,3.6987),(2875,1285,0.006831,3.699),(2875,1295,0.006949,3.6992),(2875,1305,0.007071,3.6995),(2875,1315,0.007192,3.6998),(2875,1325,0.007313,3.7),(2875,1335,0.007445,3.7003),(2875,1345,0.007579,3.7006),(2875,1355,0.007713,3.7009),(2875,1365,0.007846,3.7012),(2875,1375,0.007992,3.7014),(2875,1385,0.00814,3.7017),(2875,1395,0.008287,3.702),(2875,1405,0.008435,3.7024),(2875,1415,0.008597,3.7027),(2875,1425,0.00876,3.703),(2875,1435,0.008923,3.7033),(2875,1445,0.009086,3.7036),(2875,1455,0.009266,3.704),(2875,1465,0.009446,3.7043),(2875,1475,0.009627,3.7046),(2875,1485,0.009808,3.705),(2875,1495,0.010007,3.7053),(2875,1505,0.010207,3.7057),(2875,1515,0.010407,3.7061),(2875,1525,0.010608,3.7064),(2875,1535,0.010829,3.7068),(2875,1545,0.011051,3.7072),(2875,1555,0.011272,3.7076),(2875,1565,0.011495,3.708),(2875,1575,0.01174,3.7084),(2875,1585,0.011985,3.7088),(2875,1595,0.012231,3.7092),(2875,1605,0.012478,3.7096),(2875,1615,0.01275,3.71),(2875,1625,0.013021,3.7104),(2875,1635,0.013293,3.7109),(2875,1645,0.013568,3.7113),(2875,1655,0.013869,3.7117),(2875,1665,0.014169,3.7122),(2875,1675,0.014469,3.7127),(2875,1685,0.014776,3.7131),(2875,1695,0.015108,3.7136),(2875,1705,0.015441,3.7141),(2875,1715,0.015774,3.7145),(2875,1725,0.016114,3.715),(2875,1735,0.016482,3.7155),(2875,1745,0.016851,3.716),(2875,1755,0.017219,3.7165),(2875,1765,0.017597,3.7171),(2875,1775,0.018005,3.7176),(2875,1785,0.018412,3.7181),(2875,1795,0.01882,3.7186),(2875,1805,0.01924,3.7192),(2875,1815,0.019691,3.7197),(2875,1825,0.020142,3.7203),(2875,1835,0.020593,3.7208),(2875,1845,0.02106,3.7214),(2875,1855,0.021558,3.722),(2875,1865,0.022057,3.7225),(2875,1875,0.022556,3.7231),(2875,1885,0.023074,3.7237),(2875,1895,0.023626,3.7243),(2875,1905,0.024178,3.7249),(2875,1915,0.024729,3.7255),(2875,1925,0.025305,3.7261),(2875,1935,0.025915,3.7268),(2875,1945,0.026525,3.7274),(2875,1955,0.027135,3.728),(2875,1965,0.027774,3.7287),(2875,1975,0.028448,3.7293),(2875,1985,0.029122,3.73),(2875,1995,0.029796,3.7306),(2875,2005,0.030505,3.7313),(2875,2015,0.03125,3.732),(2875,2025,0.031995,3.7326),(2875,2035,0.03274,3.7333),(2875,2045,0.033527,3.734),(2875,2055,0.034349,3.7347),(2875,2065,0.035171,3.7354),(2875,2075,0.035994,3.7361),(2875,2085,0.036866,3.7368),(2875,2095,0.037774,3.7375),(2875,2105,0.038681,3.7382),(2875,2115,0.039589,3.7389),(2875,2125,0.040555,3.7397),(2875,2135,0.041556,3.7404),(2875,2145,0.042557,3.7411),(2875,2155,0.043559,3.7418),(2875,2165,0.044627,3.7426),(2875,2175,0.045731,3.7433),(2875,2185,0.046834,3.744),(2875,2195,0.047937,3.7448),(2875,2205,0.049118,3.7455),(2875,2215,0.050333,3.7462),(2875,2225,0.051547,3.747),(2875,2235,0.052762,3.7477),(2875,2245,0.054065,3.7484),(2875,2255,0.0554,3.7492),(2875,2265,0.056735,3.7499),(2875,2275,0.058069,3.7506),(2875,2285,0.059505,3.7514),(2875,2295,0.060971,3.7521),(2875,2305,0.062436,3.7528),(2875,2315,0.063901,3.7535),(2875,2325,0.06548,3.7542),(2875,2335,0.067085,3.7549),(2875,2345,0.06869,3.7556),(2875,2355,0.070295,3.7563),(2875,2365,0.072028,3.757),(2875,2375,0.073782,3.7577),(2875,2385,0.075537,3.7583),(2875,2395,0.077291,3.7589),(2875,2405,0.079187,3.7596),(2875,2415,0.081099,3.7602),(2875,2425,0.083012,3.7608),(2875,2435,0.084924,3.7614),(2875,2445,0.086992,3.7619),(2875,2455,0.089071,3.7625),(2875,2465,0.09115,3.763),(2875,2475,0.093228,3.7635),(2875,2485,0.095476,3.764),(2875,2495,0.097729,3.7645),(2875,2505,0.099981,3.7649),(2875,2515,0.10224,3.7653),(2875,2525,0.10467,3.7657),(2875,2535,0.1071,3.7661),(2875,2545,0.10953,3.7664),(2875,2555,0.11197,3.7666),(2875,2565,0.11458,3.7669),(2875,2575,0.1172,3.7672),(2875,2585,0.11981,3.7673),(2875,2595,0.12244,3.7674),(2875,2605,0.12524,3.7676),(2875,2615,0.12803,3.7677),(2875,2625,0.13083,3.7677),(2875,2635,0.13365,3.7676),(2875,2645,0.13663,3.7676),(2875,2655,0.13961,3.7675),(2875,2665,0.14259,3.7673),(2875,2675,0.1456,3.767),(2875,2685,0.14875,3.7668),(2875,2695,0.1519,3.7665),(2875,2705,0.15506,3.7661),(2875,2715,0.15825,3.7656),(2875,2725,0.16157,3.7651),(2875,2735,0.16489,3.7646),(2875,2745,0.16821,3.7639),(2875,2755,0.17157,3.7632),(2875,2765,0.17505,3.7625),(2875,2775,0.17852,3.7617),(2875,2785,0.182,3.7607),(2875,2795,0.18552,3.7597),(2875,2805,0.18913,3.7587),(2875,2815,0.19274,3.7576),(2875,2825,0.19636,3.7563),(2875,2835,0.20001,3.7549),(2875,2845,0.20374,3.7536),(2875,2855,0.20747,3.7522),(2875,2865,0.2112,3.7506),(2875,2875,0.21497,3.7489),(2875,2885,0.21879,3.7473),(2875,2895,0.22261,3.7455),(2875,2905,0.22643,3.7435),(2875,2915,0.23028,3.7415),(2875,2925,0.23416,3.7394),(2875,2935,0.23805,3.7373),(2875,2945,0.24193,3.7349),(2875,2955,0.24583,3.7325),(2875,2965,0.24975,3.7301),(2875,2975,0.25366,3.7275),(2875,2985,0.25758,3.7247),(2875,2995,0.26149,3.7219),(2875,3005,0.2654,3.7191),(2875,3015,0.26931,3.7161),(2875,3025,0.27321,3.7129),(2875,3035,0.2771,3.7097),(2875,3045,0.28096,3.7065),(2875,3055,0.28483,3.7031),(2875,3065,0.28869,3.6995),(2875,3075,0.2925,3.6959),(2875,3085,0.29628,3.6922),(2875,3095,0.30005,3.6884),(2875,3105,0.30383,3.6843),(2875,3115,0.30753,3.6803),(2875,3125,0.31117,3.6762),(2875,3135,0.31482,3.6719),(2875,3145,0.31846,3.6675),(2875,3155,0.322,3.663),(2875,3165,0.32546,3.6585),(2875,3175,0.32893,3.6538),(2875,3185,0.3324,3.6489),(2875,3195,0.33572,3.644),(2875,3205,0.33897,3.6392),(2875,3215,0.34222,3.634),(2875,3225,0.34546,3.6287),(2875,3235,0.34852,3.6235),(2875,3245,0.35149,3.6182),(2875,3255,0.35447,3.6126),(2875,3265,0.35745,3.607),(2875,3275,0.36019,3.6013),(2875,3285,0.36286,3.5957),(2875,3295,0.36553,3.5898),(2875,3305,0.36819,3.5838),(2875,3315,0.37057,3.5778),(2875,3325,0.37289,3.5718),(2875,3335,0.3752,3.5656),(2875,3345,0.37751,3.5593),(2875,3355,0.37948,3.553),(2875,3365,0.3814,3.5467),(2875,3375,0.38331,3.5401),(2875,3385,0.38523,3.5336),(2875,3395,0.38676,3.527),(2875,3405,0.38825,3.5205),(2875,3415,0.38973,3.5137),(2875,3425,0.39122,3.5069),(2875,3435,0.39227,3.5002),(2875,3445,0.3933,3.4934),(2875,3455,0.39432,3.4865),(2875,3465,0.39534,3.4796),(2875,3475,0.3959,3.4726),(2875,3485,0.39644,3.4657),(2875,3495,0.39698,3.4587),(2875,3505,0.39752,3.4517),(2875,3515,0.39756,3.4447),(2875,3525,0.3976,3.4376),(2875,3535,0.39764,3.4306),(2875,3545,0.39766,3.4236),(2875,3555,0.39721,3.4165),(2875,3565,0.39675,3.4095),(2875,3575,0.39629,3.4025),(2875,3585,0.39579,3.3955),(2875,3595,0.39484,3.3885),(2875,3605,0.39389,3.3815),(2875,3615,0.39294,3.3747),(2875,3625,0.39194,3.3678),(2875,3635,0.39052,3.3609),(2875,3645,0.3891,3.3541),(2875,3655,0.38767,3.3474),(2875,3665,0.38618,3.3407),(2875,3675,0.38433,3.334),(2875,3685,0.38247,3.3273),(2875,3695,0.38061,3.3209),(2875,3705,0.37867,3.3145),(2875,3715,0.37643,3.308),(2875,3725,0.37418,3.3016),(2875,3735,0.37193,3.2955),(2875,3745,0.3696,3.2893),(2875,3755,0.36703,3.2832),(2875,3765,0.36445,3.2771),(2875,3775,0.36187,3.2713),(2875,3785,0.35921,3.2655),(2875,3795,0.35637,3.2597),(2875,3805,0.35352,3.2539),(2875,3815,0.35068,3.2485),(2875,3825,0.34777,3.243),(2875,3835,0.34473,3.2375),(2875,3845,0.34169,3.2322),(2875,3855,0.33865,3.227),(2875,3865,0.33556,3.2219),(2875,3875,0.33239,3.2168),(2875,3885,0.32922,3.2117),(2875,3895,0.32605,3.2069),(2875,3905,0.36581,3.2021),(2875,3915,0.4697,3.1973),(2875,3925,0.57359,3.1904),(2875,3935,0.67748,3.1807),(2875,3945,0.78486,3.171),(2875,3955,0.89668,3.1613),(2875,3965,1.0085,3.1495),(2875,3975,1.1203,3.1351),(2875,3985,1.1827,3.1208),(2875,3995,1.1915,3.1065),(2875,4005,1.2004,3.0924),(2875,4015,1.2092,3.0783),(2875,4025,1.2195,3.0642),(2875,4035,1.23,3.0501),(2875,4045,1.2405,3.036),(2875,4055,1.2516,3.0219),(2875,4065,1.263,3.0077),(2875,4075,1.2745,2.9932),(2875,4085,1.2864,2.9786),(2875,4095,1.2987,2.9641),(2875,4105,1.3111,2.9486),(2875,4115,1.2775,2.933),(2875,4125,1.1678,2.9175),(2875,4135,1.0581,2.904),(2875,4145,0.94553,2.891),(2875,4155,0.82154,2.8781),(2875,4165,0.69756,2.868),(2875,4175,0.58094,2.8598),(2875,4185,0.82901,2.8515),(2875,4195,1.0771,2.8398),(2875,4205,1.3251,2.8234),(2875,4215,1.3574,2.8071),(2875,4225,1.349,2.7904),(2875,4235,1.3406,2.7725),(2875,4245,1.2953,2.7547),(2875,4255,1.2314,2.7369),(2875,4265,1.1674,2.7191),(2875,4275,1.0125,2.7012),(2875,4285,0.7612,2.6834),(2875,4295,0.50988,2.6764),(2875,4305,0.43166,2.6706),(2875,4315,0.74428,2.6648),(2875,4325,1.0569,2.6507),(2875,4335,1.3358,2.6333),(2875,4345,1.3862,2.6158),(2875,4355,1.4366,2.5979),(2875,4365,1.487,2.5795),(2875,4375,1.4996,2.5612),(2875,4385,1.5102,2.5427),(2875,4395,1.5208,2.524),(2875,4405,1.3416,2.5054),(2875,4415,1.1065,2.4881),(2875,4425,0.87133,2.4773),(2875,4435,0.77421,2.4665),(2875,4445,0.77141,2.4558),(2875,4455,0.76861,2.4465),(2875,4465,0.87355,2.4373),(2875,4475,1.1298,2.4281),(2875,4485,1.3861,2.4122),(2875,4495,1.5837,2.3948),(2875,4505,1.5927,2.3775),(2875,4515,1.6017,2.3601),(2875,4525,1.6074,2.3426),(2875,4535,1.5606,2.3252),(2875,4545,1.5137,2.3092),(2875,4555,1.4669,2.2946),(2875,4565,1.1295,2.2801),(2875,4575,0.75288,2.2687),(2875,4585,0.37626,2.265),(2875,4595,0.48874,2.2613),(2875,4605,0.80786,2.256),(2875,4615,1.127,2.2379),(2875,4625,1.328,2.2198),(2875,4635,1.4221,2.2017),(2875,4645,1.5161,2.1841),(2875,4655,1.5864,2.1665),(2875,4665,1.6119,2.1489),(2875,4675,1.6373,2.1323),(2875,4685,1.6023,2.1159),(2875,4695,1.268,2.0996),(2875,4705,0.93376,2.0892),(2875,4715,0.5995,2.083),(2875,4725,0.77077,2.0769),(2875,4735,0.94709,2.0692),(2875,4745,1.1234,2.0589),(2875,4755,1.3017,2.0485),(2875,4765,1.4805,2.0372),(2875,4775,1.6593,2.0221),(2875,4785,1.7282,2.0071),(2875,4795,1.7337,1.9921),(2875,4805,1.7391,1.9772),(2875,4815,1.6602,1.9624),(2875,4825,1.4804,1.9475),(2875,4835,1.3007,1.9368),(2875,4845,1.1189,1.9267),(2875,4855,0.93212,1.9166),(2875,4865,0.74529,1.91),(2875,4875,0.61494,1.9051),(2875,4885,0.9985,1.9001),(2875,4895,1.3821,1.8906),(2875,4905,1.7656,1.8767),(2875,4915,1.791,1.8628),(2875,4925,1.7856,1.8487),(2875,4935,1.7803,1.8342),(2875,4945,1.7197,1.8198),(2875,4955,1.6401,1.805),(2875,4965,1.5605,1.7889),(2875,4975,1.2821,1.7727),(2875,4985,0.85017,1.7566),(2875,4995,0.41828,1.7546),(2875,5005,0.30638,1.753),(2875,5015,0.7032,1.7515),(2875,5025,1.1,1.7429),(2875,5035,1.4421,1.7325),(2875,5045,1.5754,1.7222),(2875,5055,1.7088,1.7101),(2875,5065,1.8383,1.697),(2875,5075,1.8423,1.6839),(2875,5085,1.8463,1.6708),(2875,5095,1.8504,1.6579),(2875,5105,1.6199,1.6449),(2875,5115,1.3485,1.6336),(2875,5125,1.0772,1.6266),(2875,5135,0.94428,1.6197),(2875,5145,0.87859,1.613),(2875,5155,0.8129,1.6077),(2875,5165,0.95849,1.6025),(2875,5175,1.3196,1.5972),(2875,5185,1.6806,1.5854),(2875,5195,1.9285,1.573),(2875,5205,1.9321,1.5606),(2875,5215,1.9358,1.5482),(2875,5225,1.9291,1.536),(2875,5235,1.8588,1.5237),(2875,5245,1.7884,1.5122),(2875,5255,1.7181,1.5015),(2875,5265,1.2126,1.4908),(2875,5275,0.68927,1.4839),(2875,5285,0.16589,1.4834),(2875,5295,0.47622,1.483),(2875,5305,1.0187,1.4797),(2875,5315,1.5612,1.4643),(2875,5325,1.8155,1.449),(2875,5335,1.8809,1.4337),(2875,5345,1.9462,1.4208),(2875,5355,1.9869,1.4079),(2875,5365,1.9944,1.395),(2875,5375,2.002,1.3824),(2875,5385,1.8933,1.37),(2875,5395,1.4316,1.3575),(2875,5405,0.96987,1.3511),(2875,5415,0.55953,1.3477),(2875,5425,0.8396,1.3443),(2875,5435,1.1197,1.3384),(2875,5445,1.3997,1.3298),(2875,5455,1.6659,1.3212),(2875,5465,1.9303,1.3111),(2875,5475,2.1948,1.2977),(2875,5485,2.2737,1.2843),(2875,5495,2.278,1.271),(2875,5505,2.2823,1.258),(2875,5515,2.2866,1.245),(2875,5525,2.2908,1.232),(2875,5535,2.2951,1.2194),(2875,5545,2.2992,1.2068),(2875,5555,2.3031,1.1942),(2875,5565,2.307,1.1819),(2875,5575,2.3108,1.1697),(2875,5585,2.3143,1.1574),(2875,5595,2.3179,1.1454),(2875,5605,2.3214,1.1336),(2875,5615,2.3246,1.1217),(2875,5625,2.3279,1.11),(2875,5635,2.3311,1.0985),(2875,5645,2.3341,1.0869),(2875,5655,2.337,1.0755),(2875,5665,2.3399,1.0643),(2875,5675,2.3427,1.0531),(2875,5685,2.3453,1.0419),(2875,5695,2.348,1.031),(2875,5705,2.3505,1.0201),(2875,5715,2.3529,1.0092),(2875,5725,2.3553,0.99851),(2875,5735,2.3576,0.98787),(2875,5745,2.3598,0.97723),(2875,5755,2.3619,0.96677),(2875,5765,2.3641,0.9564),(2875,5775,2.366,0.94603),(2875,5785,2.368,0.93579),(2875,5795,2.3699,0.92567),(2875,5805,2.3716,0.91556),(2875,5815,2.3734,0.90553),(2875,5825,2.3751,0.89565),(2875,5835,2.3767,0.88577),(2875,5845,2.3782,0.87593),(2875,5855,2.3798,0.86627),(2875,5865,2.3812,0.85661),(2875,5875,2.3825,0.84696),(2875,5885,2.3839,0.83751),(2875,5895,2.3852,0.82807),(2875,5905,2.3864,0.81863),(2875,5915,2.3876,0.80937),(2875,5925,2.3887,0.80015),(2875,5935,2.3897,0.79094),(2875,5945,2.3907,0.78185),(2875,5955,2.3917,0.77284),(2875,5965,2.3926,0.76382),(2875,5975,2.3935,0.75489),(2875,5985,2.3944,0.74607),(2875,5995,1.831,0.73724),(2875,6005,1.1768,0.73049),(2875,6015,0.52259,0.72931),(2875,6025,0.63855,0.72813),(2875,6035,1.1117,0.7261),(2875,6045,1.5849,0.71599),(2875,6055,1.9153,0.70587),(2875,6065,2.1056,0.69575),(2875,6075,2.296,0.68272),(2875,6085,2.4252,0.66941),(2875,6095,2.4284,0.65611),(2875,6105,2.4315,0.64281),(2875,6115,2.4347,0.62952),(2875,6125,2.4377,0.61624),(2875,6135,2.4407,0.60302),(2875,6145,2.4437,0.58987),(2875,6155,2.4464,0.57672),(2875,6165,2.4492,0.56365),(2875,6175,2.452,0.55073),(2875,6185,2.4546,0.5378),(2875,6195,2.4571,0.52489),(2875,6205,2.4597,0.51202),(2875,6215,2.4621,0.49915),(2875,6225,2.4644,0.48628),(2875,6235,2.4668,0.47345),(2875,6245,2.469,0.46061),(2875,6255,2.4712,0.44778),(2875,6265,2.4733,0.43503),(2875,6275,2.4754,0.42229),(2875,6285,2.4773,0.40955),(2875,6295,2.4793,0.39685),(2875,6305,2.4812,0.38416),(2875,6315,2.483,0.37147),(2875,6325,2.4847,0.35882),(2875,6335,2.4865,0.34622),(2875,6345,2.488,0.33362),(2875,6355,2.4896,0.32104),(2875,6365,2.4912,0.3085),(2875,6375,2.4926,0.29596),(2875,6385,2.494,0.28343),(2875,6395,2.4953,0.27092),(2875,6405,2.4966,0.25841),(2875,6415,2.4978,0.2459),(2875,6425,2.499,0.23347),(2875,6435,2.5001,0.22104),(2875,6445,2.501,0.2086),(2875,6455,2.502,0.19622),(2875,6465,2.503,0.18386),(2875,6475,2.5037,0.17149),(2875,6485,2.5045,0.15914),(2875,6495,2.5053,0.1468),(2875,6505,2.5059,0.13447),(2875,6515,2.5065,0.12214),(2875,6525,2.5071,0.10981),(2875,6535,2.5075,0.09749),(2875,6545,2.5079,0.085164),(2875,6555,2.5084,0.072835),(2875,6565,2.5086,0.060506),(2875,6575,2.5088,0.048179),(2875,6585,2.509,0.035888),(2875,6595,2.1341,0.023596),(2875,6605,1.3451,0.011304),(2875,6615,0.55602,0.009879),(2875,6625,0.001322,0.009851),(2875,6635,0.00132,0.009823),(2875,6645,0.001319,0.009807),(2875,6655,0.001317,0.009796),(2875,6665,0.001315,0.009785),(2875,6675,0.001314,0.009774),(2875,6685,0.001312,0.009764),(2875,6695,0.001311,0.009753),(2875,6705,0.001309,0.009742),(2875,6715,0.001308,0.009732),(2875,6725,0.001307,0.009722),(2875,6735,0.001305,0.009711),(2875,6745,0.001304,0.009701),(2875,6755,0.001303,0.00969),(2875,6765,0.001301,0.00968),(2875,6775,0.0013,0.00967),(2875,6785,0.001299,0.00966),(2875,6795,0.001298,0.00965),(2875,6805,0.001297,0.009639),(2875,6815,0.001296,0.009629),(2875,6825,0.001295,0.009619),(2875,6835,0.001293,0.009609),(2875,6845,0.001293,0.009599),(2875,6855,0.001291,0.009589),(2875,6865,0.00129,0.009579),(2875,6875,0.00129,0.00957),(2875,6885,0.001289,0.00956),(2875,6895,0.001288,0.00955),(2875,6905,0.001287,0.00954),(2875,6915,0.001286,0.00953),(2875,6925,0.001285,0.00952),(2875,6935,0.001284,0.009511),(2875,6945,0.001284,0.009501),(2875,6955,0.001283,0.009491),(2875,6965,0.001282,0.009482),(2875,6975,0.001281,0.009472),(2875,6985,0.001281,0.009463),(2885,5,2e-05,3.6878),(2885,15,6.1e-05,3.6878),(2885,25,0.000101,3.6878),(2885,35,0.000142,3.6878),(2885,45,0.000182,3.6878),(2885,55,0.000222,3.6878),(2885,65,0.000263,3.6878),(2885,75,0.000303,3.6878),(2885,85,0.000343,3.6878),(2885,95,0.000384,3.6878),(2885,105,0.000424,3.6878),(2885,115,0.000464,3.6879),(2885,125,0.000504,3.6879),(2885,135,0.000545,3.6879),(2885,145,0.000585,3.6879),(2885,155,0.000625,3.6879),(2885,165,0.000665,3.6879),(2885,175,0.000705,3.6879),(2885,185,0.000745,3.6879),(2885,195,0.000785,3.6879),(2885,205,0.000825,3.688),(2885,215,0.000865,3.688),(2885,225,0.000905,3.688),(2885,235,0.000945,3.688),(2885,245,0.000985,3.688),(2885,255,0.001025,3.6881),(2885,265,0.001065,3.6881),(2885,275,0.001105,3.6881),(2885,285,0.001145,3.6881),(2885,295,0.001185,3.6881),(2885,305,0.001225,3.6882),(2885,315,0.001265,3.6882),(2885,325,0.001304,3.6882),(2885,335,0.001344,3.6882),(2885,345,0.001384,3.6883),(2885,355,0.001424,3.6883),(2885,365,0.001463,3.6883),(2885,375,0.001503,3.6884),(2885,385,0.001542,3.6884),(2885,395,0.001582,3.6884),(2885,405,0.001621,3.6885),(2885,415,0.00166,3.6885),(2885,425,0.0017,3.6885),(2885,435,0.001739,3.6886),(2885,445,0.001779,3.6886),(2885,455,0.001818,3.6887),(2885,465,0.001858,3.6887),(2885,475,0.001897,3.6887),(2885,485,0.001937,3.6888),(2885,495,0.001976,3.6888),(2885,505,0.002016,3.6889),(2885,515,0.002056,3.6889),(2885,525,0.002096,3.689),(2885,535,0.002135,3.689),(2885,545,0.002175,3.6891),(2885,555,0.002215,3.6891),(2885,565,0.002255,3.6892),(2885,575,0.002295,3.6892),(2885,585,0.002335,3.6893),(2885,595,0.002375,3.6894),(2885,605,0.002415,3.6894),(2885,615,0.002455,3.6895),(2885,625,0.002496,3.6895),(2885,635,0.002537,3.6896),(2885,645,0.002577,3.6897),(2885,655,0.002618,3.6897),(2885,665,0.002659,3.6898),(2885,675,0.002701,3.6899),(2885,685,0.002742,3.69),(2885,695,0.002783,3.69),(2885,705,0.002826,3.6901),(2885,715,0.002868,3.6902),(2885,725,0.00291,3.6903),(2885,735,0.002952,3.6904),(2885,745,0.002996,3.6904),(2885,755,0.003039,3.6905),(2885,765,0.003082,3.6906),(2885,775,0.003126,3.6907),(2885,785,0.003171,3.6908),(2885,795,0.003215,3.6909),(2885,805,0.00326,3.691),(2885,815,0.003305,3.6911),(2885,825,0.003351,3.6912),(2885,835,0.003398,3.6913),(2885,845,0.003444,3.6914),(2885,855,0.003491,3.6915),(2885,865,0.00354,3.6916),(2885,875,0.003589,3.6917),(2885,885,0.003637,3.6919),(2885,895,0.003687,3.692),(2885,905,0.003739,3.6921),(2885,915,0.00379,3.6922),(2885,925,0.003841,3.6924),(2885,935,0.003894,3.6925),(2885,945,0.003948,3.6926),(2885,955,0.004003,3.6928),(2885,965,0.004057,3.6929),(2885,975,0.004113,3.693),(2885,985,0.004171,3.6932),(2885,995,0.004229,3.6933),(2885,1005,0.004287,3.6935),(2885,1015,0.004347,3.6936),(2885,1025,0.00441,3.6938),(2885,1035,0.004472,3.6939),(2885,1045,0.004534,3.6941),(2885,1055,0.004599,3.6943),(2885,1065,0.004666,3.6944),(2885,1075,0.004733,3.6946),(2885,1085,0.0048,3.6948),(2885,1095,0.004871,3.695),(2885,1105,0.004944,3.6952),(2885,1115,0.005017,3.6953),(2885,1125,0.00509,3.6955),(2885,1135,0.005167,3.6957),(2885,1145,0.005247,3.6959),(2885,1155,0.005327,3.6961),(2885,1165,0.005406,3.6963),(2885,1175,0.005491,3.6965),(2885,1185,0.005578,3.6967),(2885,1195,0.005665,3.697),(2885,1205,0.005752,3.6972),(2885,1215,0.005845,3.6974),(2885,1225,0.005941,3.6976),(2885,1235,0.006036,3.6979),(2885,1245,0.006132,3.6981),(2885,1255,0.006235,3.6983),(2885,1265,0.00634,3.6986),(2885,1275,0.006445,3.6988),(2885,1285,0.00655,3.6991),(2885,1295,0.006664,3.6994),(2885,1305,0.006781,3.6996),(2885,1315,0.006897,3.6999),(2885,1325,0.007013,3.7002),(2885,1335,0.00714,3.7004),(2885,1345,0.007269,3.7007),(2885,1355,0.007397,3.701),(2885,1365,0.007526,3.7013),(2885,1375,0.007667,3.7016),(2885,1385,0.007809,3.7019),(2885,1395,0.007951,3.7022),(2885,1405,0.008094,3.7025),(2885,1415,0.00825,3.7028),(2885,1425,0.008407,3.7031),(2885,1435,0.008565,3.7035),(2885,1445,0.008722,3.7038),(2885,1455,0.008896,3.7041),(2885,1465,0.009071,3.7045),(2885,1475,0.009245,3.7048),(2885,1485,0.00942,3.7052),(2885,1495,0.009614,3.7055),(2885,1505,0.009807,3.7059),(2885,1515,0.010001,3.7063),(2885,1525,0.010196,3.7066),(2885,1535,0.01041,3.707),(2885,1545,0.010625,3.7074),(2885,1555,0.01084,3.7078),(2885,1565,0.011057,3.7082),(2885,1575,0.011295,3.7086),(2885,1585,0.011534,3.709),(2885,1595,0.011772,3.7094),(2885,1605,0.012014,3.7098),(2885,1615,0.012278,3.7103),(2885,1625,0.012542,3.7107),(2885,1635,0.012807,3.7111),(2885,1645,0.013075,3.7116),(2885,1655,0.013369,3.712),(2885,1665,0.013662,3.7125),(2885,1675,0.013955,3.713),(2885,1685,0.014254,3.7134),(2885,1695,0.014579,3.7139),(2885,1705,0.014904,3.7144),(2885,1715,0.015229,3.7149),(2885,1725,0.015562,3.7154),(2885,1735,0.015923,3.7159),(2885,1745,0.016283,3.7164),(2885,1755,0.016644,3.7169),(2885,1765,0.017014,3.7174),(2885,1775,0.017414,3.718),(2885,1785,0.017813,3.7185),(2885,1795,0.018213,3.719),(2885,1805,0.018626,3.7196),(2885,1815,0.019068,3.7201),(2885,1825,0.019511,3.7207),(2885,1835,0.019953,3.7213),(2885,1845,0.020412,3.7219),(2885,1855,0.020903,3.7224),(2885,1865,0.021393,3.723),(2885,1875,0.021883,3.7236),(2885,1885,0.022394,3.7242),(2885,1895,0.022937,3.7248),(2885,1905,0.02348,3.7255),(2885,1915,0.024023,3.7261),(2885,1925,0.024591,3.7267),(2885,1935,0.025192,3.7273),(2885,1945,0.025793,3.728),(2885,1955,0.026395,3.7286),(2885,1965,0.027026,3.7293),(2885,1975,0.027691,3.73),(2885,1985,0.028357,3.7306),(2885,1995,0.029023,3.7313),(2885,2005,0.029724,3.732),(2885,2015,0.030461,3.7327),(2885,2025,0.031197,3.7334),(2885,2035,0.031934,3.7341),(2885,2045,0.032712,3.7348),(2885,2055,0.033527,3.7355),(2885,2065,0.034342,3.7362),(2885,2075,0.035156,3.7369),(2885,2085,0.036021,3.7377),(2885,2095,0.036921,3.7384),(2885,2105,0.037822,3.7391),(2885,2115,0.038722,3.7399),(2885,2125,0.039681,3.7406),(2885,2135,0.040675,3.7414),(2885,2145,0.04167,3.7421),(2885,2155,0.042665,3.7429),(2885,2165,0.043727,3.7436),(2885,2175,0.044825,3.7444),(2885,2185,0.045923,3.7451),(2885,2195,0.047021,3.7459),(2885,2205,0.048197,3.7467),(2885,2215,0.049407,3.7474),(2885,2225,0.050617,3.7482),(2885,2235,0.051827,3.749),(2885,2245,0.053128,3.7497),(2885,2255,0.05446,3.7505),(2885,2265,0.055792,3.7513),(2885,2275,0.057124,3.752),(2885,2285,0.058559,3.7528),(2885,2295,0.060023,3.7536),(2885,2305,0.061487,3.7543),(2885,2315,0.062952,3.7551),(2885,2325,0.064532,3.7558),(2885,2335,0.066139,3.7565),(2885,2345,0.067746,3.7573),(2885,2355,0.069352,3.758),(2885,2365,0.071089,3.7587),(2885,2375,0.072848,3.7594),(2885,2385,0.074607,3.7601),(2885,2395,0.076366,3.7608),(2885,2405,0.078269,3.7614),(2885,2415,0.080189,3.7621),(2885,2425,0.08211,3.7627),(2885,2435,0.08403,3.7634),(2885,2445,0.08611,3.764),(2885,2455,0.0882,3.7646),(2885,2465,0.090291,3.7651),(2885,2475,0.092381,3.7657),(2885,2485,0.094645,3.7662),(2885,2495,0.096914,3.7668),(2885,2505,0.099182,3.7672),(2885,2515,0.10145,3.7677),(2885,2525,0.10391,3.7681),(2885,2535,0.10636,3.7685),(2885,2545,0.10881,3.7689),(2885,2555,0.11127,3.7692),(2885,2565,0.11391,3.7695),(2885,2575,0.11655,3.7698),(2885,2585,0.11919,3.77),(2885,2595,0.12185,3.7702),(2885,2605,0.12468,3.7704),(2885,2615,0.12751,3.7705),(2885,2625,0.13034,3.7706),(2885,2635,0.13319,3.7706),(2885,2645,0.13621,3.7706),(2885,2655,0.13922,3.7706),(2885,2665,0.14224,3.7704),(2885,2675,0.14529,3.7702),(2885,2685,0.14849,3.77),(2885,2695,0.15168,3.7698),(2885,2705,0.15488,3.7693),(2885,2715,0.15812,3.7689),(2885,2725,0.16149,3.7685),(2885,2735,0.16486,3.768),(2885,2745,0.16824,3.7674),(2885,2755,0.17165,3.7667),(2885,2765,0.17518,3.766),(2885,2775,0.17872,3.7653),(2885,2785,0.18225,3.7643),(2885,2795,0.18583,3.7633),(2885,2805,0.1895,3.7624),(2885,2815,0.19318,3.7613),(2885,2825,0.19686,3.76),(2885,2835,0.20058,3.7587),(2885,2845,0.20438,3.7575),(2885,2855,0.20818,3.7561),(2885,2865,0.21198,3.7544),(2885,2875,0.21582,3.7528),(2885,2885,0.21971,3.7512),(2885,2895,0.22361,3.7494),(2885,2905,0.22751,3.7474),(2885,2915,0.23143,3.7454),(2885,2925,0.2354,3.7434),(2885,2935,0.23936,3.7413),(2885,2945,0.24333,3.7389),(2885,2955,0.24731,3.7365),(2885,2965,0.25131,3.7341),(2885,2975,0.25531,3.7316),(2885,2985,0.25931,3.7288),(2885,2995,0.2633,3.726),(2885,3005,0.2673,3.7232),(2885,3015,0.2713,3.7202),(2885,3025,0.27529,3.717),(2885,3035,0.27927,3.7138),(2885,3045,0.28322,3.7106),(2885,3055,0.28717,3.7071),(2885,3065,0.29113,3.7035),(2885,3075,0.29503,3.6998),(2885,3085,0.2989,3.6962),(2885,3095,0.30276,3.6923),(2885,3105,0.30663,3.6882),(2885,3115,0.31042,3.6841),(2885,3125,0.31416,3.68),(2885,3135,0.31789,3.6757),(2885,3145,0.32163,3.6712),(2885,3155,0.32525,3.6667),(2885,3165,0.32881,3.6622),(2885,3175,0.33237,3.6574),(2885,3185,0.33593,3.6524),(2885,3195,0.33933,3.6475),(2885,3205,0.34266,3.6426),(2885,3215,0.346,3.6373),(2885,3225,0.34933,3.632),(2885,3235,0.35247,3.6267),(2885,3245,0.35553,3.6213),(2885,3255,0.35859,3.6157),(2885,3265,0.36165,3.61),(2885,3275,0.36446,3.6042),(2885,3285,0.36721,3.5985),(2885,3295,0.36995,3.5925),(2885,3305,0.37269,3.5864),(2885,3315,0.37514,3.5803),(2885,3325,0.37752,3.5742),(2885,3335,0.3799,3.5679),(2885,3345,0.38228,3.5615),(2885,3355,0.38431,3.5551),(2885,3365,0.38629,3.5487),(2885,3375,0.38826,3.5421),(2885,3385,0.39023,3.5354),(2885,3395,0.39181,3.5287),(2885,3405,0.39334,3.522),(2885,3415,0.39488,3.5152),(2885,3425,0.39641,3.5083),(2885,3435,0.3975,3.5014),(2885,3445,0.39856,3.4945),(2885,3455,0.39961,3.4874),(2885,3465,0.40067,3.4804),(2885,3475,0.40125,3.4733),(2885,3485,0.40181,3.4663),(2885,3495,0.40237,3.4591),(2885,3505,0.40293,3.452),(2885,3515,0.40297,3.4448),(2885,3525,0.40302,3.4377),(2885,3535,0.40307,3.4305),(2885,3545,0.4031,3.4233),(2885,3555,0.40263,3.4162),(2885,3565,0.40216,3.409),(2885,3575,0.40169,3.4019),(2885,3585,0.40118,3.3948),(2885,3595,0.40021,3.3876),(2885,3605,0.39923,3.3805),(2885,3615,0.39826,3.3735),(2885,3625,0.39722,3.3665),(2885,3635,0.39576,3.3595),(2885,3645,0.3943,3.3526),(2885,3655,0.39284,3.3458),(2885,3665,0.39131,3.3389),(2885,3675,0.3894,3.3321),(2885,3685,0.38749,3.3254),(2885,3695,0.38558,3.3188),(2885,3705,0.38359,3.3123),(2885,3715,0.38127,3.3057),(2885,3725,0.37896,3.2993),(2885,3735,0.37665,3.293),(2885,3745,0.37426,3.2868),(2885,3755,0.37161,3.2806),(2885,3765,0.36896,3.2744),(2885,3775,0.36631,3.2685),(2885,3785,0.36358,3.2626),(2885,3795,0.36066,3.2567),(2885,3805,0.35775,3.251),(2885,3815,0.35483,3.2454),(2885,3825,0.35185,3.2399),(2885,3835,0.34873,3.2344),(2885,3845,0.34562,3.229),(2885,3855,0.34251,3.2238),(2885,3865,0.33935,3.2187),(2885,3875,0.33612,3.2135),(2885,3885,0.33288,3.2085),(2885,3895,0.32965,3.2036),(2885,3905,0.36971,3.1988),(2885,3915,0.47444,3.194),(2885,3925,0.57917,3.1871),(2885,3935,0.68391,3.1773),(2885,3945,0.79209,3.1676),(2885,3955,0.90464,3.1579),(2885,3965,1.0172,3.146),(2885,3975,1.1298,3.1317),(2885,3985,1.1925,3.1174),(2885,3995,1.2012,3.1032),(2885,4005,1.21,3.089),(2885,4015,1.2187,3.0749),(2885,4025,1.229,3.0609),(2885,4035,1.2394,3.0468),(2885,4045,1.2499,3.0327),(2885,4055,1.2611,3.0186),(2885,4065,1.2726,3.0045),(2885,4075,1.2841,2.9899),(2885,4085,1.2962,2.9754),(2885,4095,1.3088,2.9608),(2885,4105,1.3213,2.9453),(2885,4115,1.2878,2.9297),(2885,4125,1.1776,2.9141),(2885,4135,1.0675,2.9005),(2885,4145,0.95445,2.8874),(2885,4155,0.82947,2.8743),(2885,4165,0.70448,2.8641),(2885,4175,0.58692,2.8557),(2885,4185,0.83656,2.8473),(2885,4195,1.0862,2.8354),(2885,4205,1.3359,2.8188),(2885,4215,1.3688,2.8023),(2885,4225,1.3609,2.7853),(2885,4235,1.353,2.7673),(2885,4245,1.308,2.7492),(2885,4255,1.2443,2.7311),(2885,4265,1.1805,2.713),(2885,4275,1.0244,2.6948),(2885,4285,0.77033,2.6767),(2885,4295,0.51622,2.6696),(2885,4305,0.43683,2.6638),(2885,4315,0.75193,2.6579),(2885,4325,1.067,2.6437),(2885,4335,1.3481,2.6263),(2885,4345,1.3986,2.6088),(2885,4355,1.4491,2.5907),(2885,4365,1.4996,2.5722),(2885,4375,1.5122,2.5536),(2885,4385,1.5229,2.5349),(2885,4395,1.5335,2.5161),(2885,4405,1.3531,2.4973),(2885,4415,1.1164,2.4799),(2885,4425,0.87974,2.469),(2885,4435,0.78169,2.458),(2885,4445,0.7784,2.4471),(2885,4455,0.77511,2.4376),(2885,4465,0.88042,2.4281),(2885,4475,1.1383,2.4187),(2885,4485,1.3962,2.4026),(2885,4495,1.5949,2.3851),(2885,4505,1.6039,2.3676),(2885,4515,1.6129,2.3502),(2885,4525,1.6186,2.3327),(2885,4535,1.5711,2.3152),(2885,4545,1.5235,2.2991),(2885,4555,1.476,2.2845),(2885,4565,1.1367,2.27),(2885,4575,0.75812,2.2586),(2885,4585,0.37952,2.2549),(2885,4595,0.49371,2.2513),(2885,4605,0.81612,2.246),(2885,4615,1.1385,2.2278),(2885,4625,1.3408,2.2097),(2885,4635,1.4344,2.1915),(2885,4645,1.528,2.1739),(2885,4655,1.5978,2.1563),(2885,4665,1.6228,2.1387),(2885,4675,1.6477,2.122),(2885,4685,1.6119,2.1057),(2885,4695,1.2757,2.0893),(2885,4705,0.93954,2.0788),(2885,4715,0.60334,2.0727),(2885,4725,0.77523,2.0665),(2885,4735,0.95221,2.0587),(2885,4745,1.1292,2.0484),(2885,4755,1.3083,2.0381),(2885,4765,1.4879,2.0268),(2885,4775,1.6674,2.0118),(2885,4785,1.7366,1.9967),(2885,4795,1.742,1.9817),(2885,4805,1.7474,1.9669),(2885,4815,1.668,1.9521),(2885,4825,1.4875,1.9372),(2885,4835,1.3069,1.9266),(2885,4845,1.1243,1.9165),(2885,4855,0.93661,1.9064),(2885,4865,0.74887,1.8999),(2885,4875,0.61785,1.8949),(2885,4885,1.0028,1.8899),(2885,4895,1.3877,1.8804),(2885,4905,1.7726,1.8665),(2885,4915,1.7983,1.8525),(2885,4925,1.7931,1.8385),(2885,4935,1.7879,1.824),(2885,4945,1.728,1.8095),(2885,4955,1.6492,1.7948),(2885,4965,1.5704,1.7786),(2885,4975,1.2907,1.7625),(2885,4985,0.85587,1.7463),(2885,4995,0.42106,1.7444),(2885,5005,0.30786,1.7428),(2885,5015,0.70595,1.7413),(2885,5025,1.104,1.7327),(2885,5035,1.4472,1.7224),(2885,5045,1.5809,1.712),(2885,5055,1.7146,1.7),(2885,5065,1.8444,1.6869),(2885,5075,1.8484,1.6738),(2885,5085,1.8524,1.6607),(2885,5095,1.8563,1.6478),(2885,5105,1.6251,1.6348),(2885,5115,1.3529,1.6235),(2885,5125,1.0806,1.6166),(2885,5135,0.94727,1.6097),(2885,5145,0.88131,1.6029),(2885,5155,0.81535,1.5977),(2885,5165,0.96124,1.5924),(2885,5175,1.3232,1.5872),(2885,5185,1.6852,1.5754),(2885,5195,1.9336,1.563),(2885,5205,1.9372,1.5506),(2885,5215,1.9408,1.5383),(2885,5225,1.9341,1.526),(2885,5235,1.8635,1.5137),(2885,5245,1.7929,1.5023),(2885,5255,1.7224,1.4916),(2885,5265,1.2157,1.4809),(2885,5275,0.69106,1.474),(2885,5285,0.16642,1.4735),(2885,5295,0.4785,1.4731),(2885,5305,1.0236,1.4698),(2885,5315,1.5687,1.4545),(2885,5325,1.8234,1.4392),(2885,5335,1.8878,1.4239),(2885,5345,1.9522,1.4111),(2885,5355,1.9923,1.3982),(2885,5365,1.9996,1.3853),(2885,5375,2.007,1.3728),(2885,5385,1.8979,1.3604),(2885,5395,1.4351,1.3479),(2885,5405,0.97224,1.3415),(2885,5415,0.56091,1.3381),(2885,5425,0.8416,1.3348),(2885,5435,1.1223,1.3289),(2885,5445,1.403,1.3204),(2885,5455,1.6696,1.3118),(2885,5465,1.9346,1.3018),(2885,5475,2.1995,1.2885),(2885,5485,2.2786,1.2752),(2885,5495,2.2827,1.262),(2885,5505,2.2869,1.2491),(2885,5515,2.291,1.2362),(2885,5525,2.2951,1.2234),(2885,5535,2.2992,1.2108),(2885,5545,2.3032,1.1983),(2885,5555,2.3069,1.1858),(2885,5565,2.3107,1.1736),(2885,5575,2.3144,1.1615),(2885,5585,2.3178,1.1494),(2885,5595,2.3213,1.1374),(2885,5605,2.3247,1.1257),(2885,5615,2.3278,1.1139),(2885,5625,2.3309,1.1023),(2885,5635,2.334,1.0908),(2885,5645,2.3369,1.0794),(2885,5655,2.3397,1.068),(2885,5665,2.3425,1.0569),(2885,5675,2.3452,1.0458),(2885,5685,2.3477,1.0347),(2885,5695,2.3503,1.0239),(2885,5705,2.3527,1.0131),(2885,5715,2.355,1.0023),(2885,5725,2.3573,0.99168),(2885,5735,2.3596,0.98112),(2885,5745,2.3616,0.97056),(2885,5755,2.3637,0.96019),(2885,5765,2.3657,0.9499),(2885,5775,2.3676,0.93961),(2885,5785,2.3695,0.92945),(2885,5795,2.3713,0.91941),(2885,5805,2.373,0.90938),(2885,5815,2.3746,0.89942),(2885,5825,2.3763,0.88962),(2885,5835,2.3778,0.87982),(2885,5845,2.3792,0.87006),(2885,5855,2.3807,0.86048),(2885,5865,2.3821,0.8509),(2885,5875,2.3833,0.84131),(2885,5885,2.3846,0.83195),(2885,5895,2.3858,0.82258),(2885,5905,2.387,0.81321),(2885,5915,2.3881,0.80402),(2885,5925,2.3892,0.79488),(2885,5935,2.3901,0.78573),(2885,5945,2.3911,0.77671),(2885,5955,2.392,0.76776),(2885,5965,2.3929,0.75882),(2885,5975,2.3937,0.74996),(2885,5985,2.3945,0.74119),(2885,5995,1.8311,0.73243),(2885,6005,1.1769,0.72574),(2885,6015,0.52263,0.72456),(2885,6025,0.6394,0.72339),(2885,6035,1.1138,0.72138),(2885,6045,1.5881,0.71133),(2885,6055,1.9193,0.70127),(2885,6065,2.11,0.69122),(2885,6075,2.3007,0.67826),(2885,6085,2.4302,0.66504),(2885,6095,2.4333,0.65181),(2885,6105,2.4364,0.63861),(2885,6115,2.4395,0.62541),(2885,6125,2.4425,0.6122),(2885,6135,2.4454,0.59908),(2885,6145,2.4484,0.58601),(2885,6155,2.4511,0.57294),(2885,6165,2.4539,0.55996),(2885,6175,2.4566,0.54712),(2885,6185,2.4592,0.53427),(2885,6195,2.4617,0.52144),(2885,6205,2.4642,0.50865),(2885,6215,2.4666,0.49586),(2885,6225,2.4689,0.48307),(2885,6235,2.4712,0.47033),(2885,6245,2.4734,0.45758),(2885,6255,2.4755,0.44483),(2885,6265,2.4776,0.43216),(2885,6275,2.4797,0.41951),(2885,6285,2.4816,0.40686),(2885,6295,2.4835,0.39424),(2885,6305,2.4854,0.38163),(2885,6315,2.4871,0.36903),(2885,6325,2.4888,0.35647),(2885,6335,2.4905,0.34395),(2885,6345,2.4921,0.33144),(2885,6355,2.4936,0.31894),(2885,6365,2.4952,0.30649),(2885,6375,2.4966,0.29404),(2885,6385,2.4979,0.2816),(2885,6395,2.4993,0.26917),(2885,6405,2.5005,0.25675),(2885,6415,2.5017,0.24433),(2885,6425,2.5028,0.23197),(2885,6435,2.5039,0.21962),(2885,6445,2.5049,0.20727),(2885,6455,2.5059,0.19497),(2885,6465,2.5068,0.18268),(2885,6475,2.5076,0.17039),(2885,6485,2.5084,0.15813),(2885,6495,2.5092,0.14587),(2885,6505,2.5097,0.13361),(2885,6515,2.5103,0.12136),(2885,6525,2.5109,0.10912),(2885,6535,2.5114,0.096882),(2885,6545,2.5118,0.084641),(2885,6555,2.5122,0.072395),(2885,6565,2.5124,0.06015),(2885,6575,2.5126,0.047906),(2885,6585,2.5128,0.035695),(2885,6595,2.1374,0.023485),(2885,6605,1.3471,0.011274),(2885,6615,0.55686,0.009864),(2885,6625,0.001328,0.009841),(2885,6635,0.001327,0.009819),(2885,6645,0.001325,0.009805),(2885,6655,0.001323,0.009794),(2885,6665,0.001321,0.009783),(2885,6675,0.00132,0.009773),(2885,6685,0.001318,0.009762),(2885,6695,0.001317,0.009751),(2885,6705,0.001315,0.009741),(2885,6715,0.001314,0.009731),(2885,6725,0.001313,0.00972),(2885,6735,0.001311,0.00971),(2885,6745,0.00131,0.009699),(2885,6755,0.001308,0.009689),(2885,6765,0.001307,0.009679),(2885,6775,0.001306,0.009669),(2885,6785,0.001305,0.009659),(2885,6795,0.001304,0.009648),(2885,6805,0.001302,0.009638),(2885,6815,0.001301,0.009628),(2885,6825,0.0013,0.009618),(2885,6835,0.001299,0.009608),(2885,6845,0.001298,0.009598),(2885,6855,0.001297,0.009588),(2885,6865,0.001296,0.009579),(2885,6875,0.001295,0.009569),(2885,6885,0.001294,0.009559),(2885,6895,0.001293,0.009549),(2885,6905,0.001292,0.009539),(2885,6915,0.001291,0.009529),(2885,6925,0.001291,0.00952),(2885,6935,0.00129,0.00951),(2885,6945,0.001289,0.0095),(2885,6955,0.001288,0.009491),(2885,6965,0.001287,0.009481),(2885,6975,0.001287,0.009472),(2885,6985,0.001286,0.009462),(2895,5,2e-05,3.6878),(2895,15,5.9e-05,3.6878),(2895,25,9.9e-05,3.6878),(2895,35,0.000138,3.6878),(2895,45,0.000178,3.6878),(2895,55,0.000217,3.6879),(2895,65,0.000257,3.6879),(2895,75,0.000296,3.6879),(2895,85,0.000335,3.6879),(2895,95,0.000375,3.6879),(2895,105,0.000414,3.6879),(2895,115,0.000453,3.6879),(2895,125,0.000492,3.6879),(2895,135,0.000532,3.6879),(2895,145,0.000571,3.6879),(2895,155,0.00061,3.6879),(2895,165,0.000649,3.6879),(2895,175,0.000688,3.688),(2895,185,0.000727,3.688),(2895,195,0.000766,3.688),(2895,205,0.000805,3.688),(2895,215,0.000844,3.688),(2895,225,0.000883,3.688),(2895,235,0.000922,3.6881),(2895,245,0.000961,3.6881),(2895,255,0.001,3.6881),(2895,265,0.001039,3.6881),(2895,275,0.001078,3.6881),(2895,285,0.001117,3.6882),(2895,295,0.001156,3.6882),(2895,305,0.001194,3.6882),(2895,315,0.001233,3.6882),(2895,325,0.001272,3.6883),(2895,335,0.00131,3.6883),(2895,345,0.001349,3.6883),(2895,355,0.001387,3.6883),(2895,365,0.001425,3.6884),(2895,375,0.001464,3.6884),(2895,385,0.001502,3.6884),(2895,395,0.00154,3.6885),(2895,405,0.001578,3.6885),(2895,415,0.001617,3.6885),(2895,425,0.001655,3.6886),(2895,435,0.001693,3.6886),(2895,445,0.001731,3.6887),(2895,455,0.001769,3.6887),(2895,465,0.001807,3.6887),(2895,475,0.001845,3.6888),(2895,485,0.001883,3.6888),(2895,495,0.001922,3.6889),(2895,505,0.00196,3.6889),(2895,515,0.001998,3.689),(2895,525,0.002036,3.689),(2895,535,0.002074,3.6891),(2895,545,0.002112,3.6891),(2895,555,0.002151,3.6892),(2895,565,0.002189,3.6892),(2895,575,0.002227,3.6893),(2895,585,0.002266,3.6893),(2895,595,0.002304,3.6894),(2895,605,0.002342,3.689453),(2895,615,0.002381,3.6895),(2895,625,0.00242,3.6896),(2895,635,0.002459,3.6896),(2895,645,0.002497,3.6897),(2895,655,0.002536,3.6898),(2895,665,0.002576,3.6899),(2895,675,0.002615,3.6899),(2895,685,0.002655,3.69),(2895,695,0.002694,3.6901),(2895,705,0.002734,3.6902),(2895,715,0.002774,3.6902),(2895,725,0.002815,3.6903),(2895,735,0.002855,3.6904),(2895,745,0.002896,3.6905),(2895,755,0.002937,3.6906),(2895,765,0.002978,3.6907),(2895,775,0.00302,3.6908),(2895,785,0.003062,3.6908),(2895,795,0.003104,3.6909),(2895,805,0.003146,3.691),(2895,815,0.003189,3.6911),(2895,825,0.003233,3.6912),(2895,835,0.003277,3.6913),(2895,845,0.003321,3.6915),(2895,855,0.003366,3.6916),(2895,865,0.003412,3.6917),(2895,875,0.003458,3.6918),(2895,885,0.003503,3.6919),(2895,895,0.00355,3.692),(2895,905,0.003599,3.6922),(2895,915,0.003648,3.6923),(2895,925,0.003696,3.6924),(2895,935,0.003746,3.6925),(2895,945,0.003797,3.6927),(2895,955,0.003849,3.6928),(2895,965,0.0039,3.6929),(2895,975,0.003953,3.6931),(2895,985,0.004008,3.6932),(2895,995,0.004063,3.6934),(2895,1005,0.004118,3.6935),(2895,1015,0.004175,3.6937),(2895,1025,0.004234,3.6938),(2895,1035,0.004292,3.694),(2895,1045,0.004351,3.6942),(2895,1055,0.004412,3.6943),(2895,1065,0.004476,3.6945),(2895,1075,0.00454,3.6947),(2895,1085,0.004603,3.6949),(2895,1095,0.00467,3.695),(2895,1105,0.004739,3.6952),(2895,1115,0.004809,3.6954),(2895,1125,0.004878,3.6956),(2895,1135,0.004951,3.6958),(2895,1145,0.005027,3.696),(2895,1155,0.005103,3.6962),(2895,1165,0.005178,3.6964),(2895,1175,0.005259,3.6966),(2895,1185,0.005342,3.6968),(2895,1195,0.005425,3.697),(2895,1205,0.005508,3.6973),(2895,1215,0.005597,3.6975),(2895,1225,0.005688,3.6977),(2895,1235,0.005779,3.698),(2895,1245,0.00587,3.6982),(2895,1255,0.005968,3.6984),(2895,1265,0.006069,3.6987),(2895,1275,0.006169,3.6989),(2895,1285,0.00627,3.6992),(2895,1295,0.006379,3.6995),(2895,1305,0.00649,3.6997),(2895,1315,0.006601,3.7),(2895,1325,0.006713,3.7003),(2895,1335,0.006834,3.7006),(2895,1345,0.006958,3.7008),(2895,1355,0.007082,3.7011),(2895,1365,0.007205,3.7014),(2895,1375,0.00734,3.7017),(2895,1385,0.007477,3.702),(2895,1395,0.007614,3.7023),(2895,1405,0.007751,3.7026),(2895,1415,0.007902,3.703),(2895,1425,0.008054,3.7033),(2895,1435,0.008205,3.7036),(2895,1445,0.008357,3.704),(2895,1455,0.008525,3.7043),(2895,1465,0.008694,3.7046),(2895,1475,0.008863,3.705),(2895,1485,0.009031,3.7054),(2895,1495,0.009219,3.7057),(2895,1505,0.009406,3.7061),(2895,1515,0.009594,3.7065),(2895,1525,0.009782,3.7068),(2895,1535,0.00999,3.7072),(2895,1545,0.010199,3.7076),(2895,1555,0.010407,3.708),(2895,1565,0.010617,3.7084),(2895,1575,0.010849,3.7088),(2895,1585,0.011081,3.7092),(2895,1595,0.011313,3.7097),(2895,1605,0.011547,3.7101),(2895,1615,0.011805,3.7105),(2895,1625,0.012062,3.7109),(2895,1635,0.012319,3.7114),(2895,1645,0.012581,3.7119),(2895,1655,0.012867,3.7123),(2895,1665,0.013153,3.7128),(2895,1675,0.013439,3.7133),(2895,1685,0.01373,3.7137),(2895,1695,0.014048,3.7142),(2895,1705,0.014365,3.7147),(2895,1715,0.014683,3.7152),(2895,1725,0.015008,3.7157),(2895,1735,0.015361,3.7162),(2895,1745,0.015713,3.7167),(2895,1755,0.016066,3.7173),(2895,1765,0.016429,3.7178),(2895,1775,0.01682,3.7183),(2895,1785,0.017212,3.7189),(2895,1795,0.017603,3.7194),(2895,1805,0.018008,3.72),(2895,1815,0.018442,3.7206),(2895,1825,0.018876,3.7211),(2895,1835,0.019311,3.7217),(2895,1845,0.019761,3.7223),(2895,1855,0.020243,3.7229),(2895,1865,0.020725,3.7235),(2895,1875,0.021207,3.7241),(2895,1885,0.021709,3.7247),(2895,1895,0.022244,3.7254),(2895,1905,0.022778,3.726),(2895,1915,0.023313,3.7266),(2895,1925,0.023872,3.7273),(2895,1935,0.024465,3.7279),(2895,1945,0.025058,3.7286),(2895,1955,0.02565,3.7293),(2895,1965,0.026273,3.7299),(2895,1975,0.02693,3.7306),(2895,1985,0.027587,3.7313),(2895,1995,0.028244,3.732),(2895,2005,0.028937,3.7327),(2895,2015,0.029665,3.7334),(2895,2025,0.030394,3.7341),(2895,2035,0.031122,3.7348),(2895,2045,0.031893,3.7356),(2895,2055,0.032699,3.7363),(2895,2065,0.033506,3.737),(2895,2075,0.034313,3.7378),(2895,2085,0.035169,3.7385),(2895,2095,0.036062,3.7393),(2895,2105,0.036955,3.74),(2895,2115,0.037848,3.7408),(2895,2125,0.0388,3.7416),(2895,2135,0.039788,3.7423),(2895,2145,0.040775,3.7431),(2895,2155,0.041763,3.7439),(2895,2165,0.04282,3.7447),(2895,2175,0.043912,3.7455),(2895,2185,0.045004,3.7463),(2895,2195,0.046096,3.747),(2895,2205,0.047267,3.7478),(2895,2215,0.048473,3.7486),(2895,2225,0.049678,3.7494),(2895,2235,0.050884,3.7502),(2895,2245,0.052181,3.751),(2895,2255,0.05351,3.7518),(2895,2265,0.054839,3.7526),(2895,2275,0.056168,3.7534),(2895,2285,0.057602,3.7542),(2895,2295,0.059065,3.755),(2895,2305,0.060528,3.7558),(2895,2315,0.061992,3.7566),(2895,2325,0.063573,3.7574),(2895,2335,0.065181,3.7581),(2895,2345,0.066789,3.7589),(2895,2355,0.068397,3.7597),(2895,2365,0.070138,3.7604),(2895,2375,0.071901,3.7612),(2895,2385,0.073664,3.7619),(2895,2395,0.075428,3.7626),(2895,2405,0.077338,3.7633),(2895,2415,0.079267,3.764),(2895,2425,0.081195,3.7647),(2895,2435,0.083123,3.7654),(2895,2445,0.085214,3.766),(2895,2455,0.087316,3.7667),(2895,2465,0.089418,3.7673),(2895,2475,0.09152,3.7679),(2895,2485,0.0938,3.7685),(2895,2495,0.096084,3.7691),(2895,2505,0.098369,3.7695),(2895,2515,0.10066,3.77),(2895,2525,0.10313,3.7705),(2895,2535,0.1056,3.771),(2895,2545,0.10807,3.7714),(2895,2555,0.11056,3.7718),(2895,2565,0.11322,3.7721),(2895,2575,0.11589,3.7725),(2895,2585,0.11856,3.7727),(2895,2595,0.12124,3.773),(2895,2605,0.1241,3.7732),(2895,2615,0.12696,3.7734),(2895,2625,0.12982,3.7735),(2895,2635,0.13271,3.7735),(2895,2645,0.13577,3.7736),(2895,2655,0.13882,3.7736),(2895,2665,0.14188,3.7735),(2895,2675,0.14496,3.7733),(2895,2685,0.14821,3.7732),(2895,2695,0.15145,3.773),(2895,2705,0.15469,3.7726),(2895,2715,0.15798,3.7723),(2895,2725,0.1614,3.7719),(2895,2735,0.16482,3.7715),(2895,2745,0.16825,3.7708),(2895,2755,0.17171,3.7702),(2895,2765,0.17531,3.7696),(2895,2775,0.1789,3.7688),(2895,2785,0.18249,3.7679),(2895,2795,0.18612,3.767),(2895,2805,0.18987,3.7661),(2895,2815,0.19361,3.765),(2895,2825,0.19735,3.7638),(2895,2835,0.20114,3.7626),(2895,2845,0.20501,3.7613),(2895,2855,0.20888,3.7599),(2895,2865,0.21275,3.7583),(2895,2875,0.21666,3.7567),(2895,2885,0.22063,3.7551),(2895,2895,0.2246,3.7534),(2895,2905,0.22858,3.7514),(2895,2915,0.23258,3.7495),(2895,2925,0.23663,3.7475),(2895,2935,0.24067,3.7453),(2895,2945,0.24472,3.743),(2895,2955,0.24878,3.7406),(2895,2965,0.25287,3.7382),(2895,2975,0.25695,3.7356),(2895,2985,0.26104,3.7329),(2895,2995,0.26512,3.7301),(2895,3005,0.2692,3.7273),(2895,3015,0.27329,3.7243),(2895,3025,0.27737,3.721),(2895,3035,0.28144,3.7178),(2895,3045,0.28548,3.7146),(2895,3055,0.28953,3.7111),(2895,3065,0.29357,3.7075),(2895,3075,0.29756,3.7038),(2895,3085,0.30152,3.7001),(2895,3095,0.30548,3.6962),(2895,3105,0.30944,3.6921),(2895,3115,0.31332,3.688),(2895,3125,0.31715,3.6839),(2895,3135,0.32098,3.6795),(2895,3145,0.3248,3.6749),(2895,3155,0.32852,3.6704),(2895,3165,0.33217,3.6658),(2895,3175,0.33581,3.661),(2895,3185,0.33946,3.656),(2895,3195,0.34295,3.651),(2895,3205,0.34638,3.646),(2895,3215,0.3498,3.6407),(2895,3225,0.35322,3.6353),(2895,3235,0.35644,3.6299),(2895,3245,0.35958,3.6245),(2895,3255,0.36272,3.6188),(2895,3265,0.36587,3.613),(2895,3275,0.36876,3.6071),(2895,3285,0.37158,3.6013),(2895,3295,0.3744,3.5952),(2895,3305,0.37722,3.5891),(2895,3315,0.37973,3.5829),(2895,3325,0.38218,3.5767),(2895,3335,0.38463,3.5703),(2895,3345,0.38708,3.5637),(2895,3355,0.38917,3.5572),(2895,3365,0.3912,3.5507),(2895,3375,0.39324,3.544),(2895,3385,0.39527,3.5372),(2895,3395,0.3969,3.5304),(2895,3405,0.39848,3.5236),(2895,3415,0.40006,3.5166),(2895,3425,0.40163,3.5096),(2895,3435,0.40276,3.5026),(2895,3445,0.40385,3.4956),(2895,3455,0.40495,3.4884),(2895,3465,0.40604,3.4812),(2895,3475,0.40664,3.474),(2895,3485,0.40722,3.4669),(2895,3495,0.4078,3.4596),(2895,3505,0.40838,3.4523),(2895,3515,0.40843,3.445),(2895,3525,0.40848,3.4377),(2895,3535,0.40854,3.4304),(2895,3545,0.40857,3.4231),(2895,3555,0.40809,3.4158),(2895,3565,0.40761,3.4085),(2895,3575,0.40714,3.4013),(2895,3585,0.40661,3.394),(2895,3595,0.40561,3.3868),(2895,3605,0.40461,3.3795),(2895,3615,0.40361,3.3724),(2895,3625,0.40255,3.3653),(2895,3635,0.40105,3.3581),(2895,3645,0.39955,3.351),(2895,3655,0.39805,3.3441),(2895,3665,0.39647,3.3372),(2895,3675,0.3945,3.3303),(2895,3685,0.39254,3.3234),(2895,3695,0.39058,3.3168),(2895,3705,0.38853,3.3101),(2895,3715,0.38615,3.3035),(2895,3725,0.38377,3.2969),(2895,3735,0.3814,3.2906),(2895,3745,0.37894,3.2842),(2895,3755,0.37621,3.2779),(2895,3765,0.37349,3.2717),(2895,3775,0.37077,3.2657),(2895,3785,0.36797,3.2598),(2895,3795,0.36498,3.2538),(2895,3805,0.36198,3.248),(2895,3815,0.35899,3.2424),(2895,3825,0.35593,3.2368),(2895,3835,0.35275,3.2313),(2895,3845,0.34956,3.2258),(2895,3855,0.34638,3.2206),(2895,3865,0.34315,3.2154),(2895,3875,0.33985,3.2102),(2895,3885,0.33655,3.2052),(2895,3895,0.33325,3.2003),(2895,3905,0.37361,3.1955),(2895,3915,0.47918,3.1906),(2895,3925,0.58476,3.1837),(2895,3935,0.69034,3.174),(2895,3945,0.79931,3.1642),(2895,3955,0.91261,3.1545),(2895,3965,1.0259,3.1426),(2895,3975,1.1392,3.1283),(2895,3985,1.2022,3.114),(2895,3995,1.2109,3.0998),(2895,4005,1.2195,3.0856),(2895,4015,1.2282,3.0716),(2895,4025,1.2384,3.0576),(2895,4035,1.2488,3.0435),(2895,4045,1.2592,3.0295),(2895,4055,1.2705,3.0154),(2895,4065,1.2821,3.0013),(2895,4075,1.2937,2.9867),(2895,4085,1.306,2.9722),(2895,4095,1.3188,2.9576),(2895,4105,1.3316,2.942),(2895,4115,1.2981,2.9263),(2895,4125,1.1875,2.9107),(2895,4135,1.077,2.897),(2895,4145,0.96342,2.8838),(2895,4155,0.83743,2.8706),(2895,4165,0.71145,2.8602),(2895,4175,0.59294,2.8516),(2895,4185,0.84418,2.8431),(2895,4195,1.0954,2.8309),(2895,4205,1.3466,2.8142),(2895,4215,1.3802,2.7974),(2895,4225,1.3728,2.7803),(2895,4235,1.3654,2.762),(2895,4245,1.3208,2.7436),(2895,4255,1.2573,2.7253),(2895,4265,1.1938,2.7069),(2895,4275,1.0364,2.6884),(2895,4285,0.77952,2.67),(2895,4295,0.52261,2.6628),(2895,4305,0.44202,2.6569),(2895,4315,0.7596,2.6509),(2895,4325,1.0772,2.6367),(2895,4335,1.3604,2.6192),(2895,4345,1.411,2.6017),(2895,4355,1.4616,2.5835),(2895,4365,1.5122,2.5647),(2895,4375,1.5249,2.5459),(2895,4385,1.5356,2.5271),(2895,4395,1.5463,2.5081),(2895,4405,1.3647,2.4891),(2895,4415,1.1265,2.4716),(2895,4425,0.88818,2.4605),(2895,4435,0.78922,2.4495),(2895,4445,0.78546,2.4385),(2895,4455,0.7817,2.4287),(2895,4465,0.88739,2.4189),(2895,4475,1.1468,2.4091),(2895,4485,1.4063,2.3929),(2895,4495,1.6062,2.3753),(2895,4505,1.6152,2.3578),(2895,4515,1.6242,2.3402),(2895,4525,1.6298,2.3227),(2895,4535,1.5816,2.3052),(2895,4545,1.5333,2.289),(2895,4555,1.4851,2.2744),(2895,4565,1.1439,2.2598),(2895,4575,0.76335,2.2484),(2895,4585,0.38276,2.2448),(2895,4595,0.49867,2.2412),(2895,4605,0.82437,2.2359),(2895,4615,1.1501,2.2177),(2895,4625,1.3537,2.1995),(2895,4635,1.4467,2.1813),(2895,4645,1.5398,2.1637),(2895,4655,1.6091,2.1461),(2895,4665,1.6336,2.1285),(2895,4675,1.6581,2.1118),(2895,4685,1.6216,2.0954),(2895,4695,1.2835,2.0789),(2895,4705,0.94534,2.0685),(2895,4715,0.60719,2.0623),(2895,4725,0.7797,2.0561),(2895,4735,0.95733,2.0483),(2895,4745,1.135,2.038),(2895,4755,1.3148,2.0277),(2895,4765,1.4952,2.0163),(2895,4775,1.6756,2.0013),(2895,4785,1.745,1.9863),(2895,4795,1.7503,1.9713),(2895,4805,1.7556,1.9565),(2895,4815,1.6759,1.9417),(2895,4825,1.4945,1.9269),(2895,4835,1.3131,1.9163),(2895,4845,1.1297,1.9063),(2895,4855,0.94109,1.8963),(2895,4865,0.75246,1.8897),(2895,4875,0.62076,1.8847),(2895,4885,1.007,1.8797),(2895,4895,1.3933,1.8701),(2895,4905,1.7796,1.8562),(2895,4915,1.8056,1.8423),(2895,4925,1.8006,1.8282),(2895,4935,1.7956,1.8137),(2895,4945,1.7363,1.7993),(2895,4955,1.6583,1.7846),(2895,4965,1.5803,1.7684),(2895,4975,1.2993,1.7522),(2895,4985,0.86156,1.736),(2895,4995,0.42383,1.7341),(2895,5005,0.30933,1.7326),(2895,5015,0.70869,1.731),(2895,5025,1.1081,1.7225),(2895,5035,1.4523,1.7122),(2895,5045,1.5863,1.7018),(2895,5055,1.7204,1.6898),(2895,5065,1.8506,1.6767),(2895,5075,1.8545,1.6636),(2895,5085,1.8584,1.6506),(2895,5095,1.8623,1.6377),(2895,5105,1.6303,1.6247),(2895,5115,1.3572,1.6134),(2895,5125,1.0841,1.6065),(2895,5135,0.95027,1.5996),(2895,5145,0.88403,1.5928),(2895,5155,0.81779,1.5876),(2895,5165,0.96398,1.5824),(2895,5175,1.3268,1.5771),(2895,5185,1.6897,1.5654),(2895,5195,1.9387,1.553),(2895,5205,1.9423,1.5406),(2895,5215,1.9458,1.5283),(2895,5225,1.939,1.516),(2895,5235,1.8682,1.5038),(2895,5245,1.7974,1.4924),(2895,5255,1.7266,1.4817),(2895,5265,1.2187,1.471),(2895,5275,0.69285,1.4641),(2895,5285,0.16695,1.4636),(2895,5295,0.48078,1.4632),(2895,5305,1.0284,1.4599),(2895,5315,1.5761,1.4446),(2895,5325,1.8313,1.4294),(2895,5335,1.8947,1.4141),(2895,5345,1.9581,1.4013),(2895,5355,1.9976,1.3884),(2895,5365,2.0048,1.3756),(2895,5375,2.012,1.3631),(2895,5385,1.9025,1.3507),(2895,5395,1.4386,1.3383),(2895,5405,0.97462,1.3319),(2895,5415,0.56229,1.3286),(2895,5425,0.84359,1.3252),(2895,5435,1.1249,1.3194),(2895,5445,1.4062,1.3109),(2895,5455,1.6734,1.3024),(2895,5465,1.9388,1.2925),(2895,5475,2.2042,1.2793),(2895,5485,2.2833,1.2662),(2895,5495,2.2873,1.253),(2895,5505,2.2914,1.2402),(2895,5515,2.2954,1.2275),(2895,5525,2.2993,1.2147),(2895,5535,2.3033,1.2023),(2895,5545,2.3071,1.1899),(2895,5555,2.3108,1.1775),(2895,5565,2.3144,1.1653),(2895,5575,2.318,1.1533),(2895,5585,2.3213,1.1413),(2895,5595,2.3246,1.1295),(2895,5605,2.3279,1.1178),(2895,5615,2.3309,1.1061),(2895,5625,2.3339,1.0946),(2895,5635,2.3369,1.0832),(2895,5645,2.3397,1.0719),(2895,5655,2.3424,1.0606),(2895,5665,2.3451,1.0496),(2895,5675,2.3477,1.0386),(2895,5685,2.3501,1.0276),(2895,5695,2.3526,1.0168),(2895,5705,2.3549,1.0061),(2895,5715,2.3571,0.99535),(2895,5725,2.3593,0.98484),(2895,5735,2.3615,0.97437),(2895,5745,2.3635,0.96389),(2895,5755,2.3654,0.9536),(2895,5765,2.3674,0.94339),(2895,5775,2.3692,0.93318),(2895,5785,2.3709,0.9231),(2895,5795,2.3727,0.91315),(2895,5805,2.3743,0.90319),(2895,5815,2.3759,0.89331),(2895,5825,2.3774,0.88359),(2895,5835,2.3789,0.87387),(2895,5845,2.3802,0.86418),(2895,5855,2.3816,0.85468),(2895,5865,2.3829,0.84517),(2895,5875,2.3841,0.83567),(2895,5885,2.3853,0.82637),(2895,5895,2.3865,0.81708),(2895,5905,2.3875,0.80779),(2895,5915,2.3886,0.79867),(2895,5925,2.3896,0.78959),(2895,5935,2.3905,0.78051),(2895,5945,2.3914,0.77156),(2895,5955,2.3923,0.76269),(2895,5965,2.3931,0.75381),(2895,5975,2.3939,0.74501),(2895,5985,2.3946,0.73632),(2895,5995,1.8312,0.72762),(2895,6005,1.1769,0.72097),(2895,6015,0.52267,0.71981),(2895,6025,0.64025,0.71865),(2895,6035,1.1158,0.71666),(2895,6045,1.5913,0.70667),(2895,6055,1.9233,0.69667),(2895,6065,2.1144,0.68668),(2895,6075,2.3054,0.6738),(2895,6085,2.4351,0.66066),(2895,6095,2.4382,0.64752),(2895,6105,2.4413,0.6344),(2895,6115,2.4443,0.62128),(2895,6125,2.4472,0.60817),(2895,6135,2.4501,0.59513),(2895,6145,2.4531,0.58215),(2895,6155,2.4558,0.56917),(2895,6165,2.4585,0.55627),(2895,6175,2.4612,0.54351),(2895,6185,2.4637,0.53074),(2895,6195,2.4662,0.51799),(2895,6205,2.4687,0.50528),(2895,6215,2.471,0.49257),(2895,6225,2.4733,0.47987),(2895,6235,2.4756,0.4672),(2895,6245,2.4777,0.45454),(2895,6255,2.4798,0.44187),(2895,6265,2.4819,0.42929),(2895,6275,2.4839,0.41672),(2895,6285,2.4858,0.40416),(2895,6295,2.4877,0.39162),(2895,6305,2.4895,0.37911),(2895,6315,2.4912,0.36659),(2895,6325,2.4929,0.35411),(2895,6335,2.4946,0.34169),(2895,6345,2.4961,0.32926),(2895,6355,2.4976,0.31685),(2895,6365,2.4991,0.30448),(2895,6375,2.5005,0.29212),(2895,6385,2.5019,0.27976),(2895,6395,2.5032,0.26742),(2895,6405,2.5044,0.25508),(2895,6415,2.5056,0.24275),(2895,6425,2.5067,0.23047),(2895,6435,2.5078,0.21821),(2895,6445,2.5088,0.20594),(2895,6455,2.5097,0.19372),(2895,6465,2.5107,0.18151),(2895,6475,2.5114,0.1693),(2895,6485,2.5122,0.15711),(2895,6495,2.513,0.14494),(2895,6505,2.5136,0.13276),(2895,6515,2.5141,0.12059),(2895,6525,2.5147,0.10843),(2895,6535,2.5151,0.096275),(2895,6545,2.5155,0.084117),(2895,6555,2.5159,0.071955),(2895,6565,2.5162,0.059793),(2895,6575,2.5164,0.047633),(2895,6585,2.5166,0.035503),(2895,6595,2.1406,0.023374),(2895,6605,1.3491,0.011244),(2895,6615,0.5577,0.009848),(2895,6625,0.001335,0.009832),(2895,6635,0.001333,0.009816),(2895,6645,0.001331,0.009803),(2895,6655,0.001329,0.009793),(2895,6665,0.001328,0.009782),(2895,6675,0.001326,0.009771),(2895,6685,0.001324,0.009761),(2895,6695,0.001323,0.00975),(2895,6705,0.001321,0.009739),(2895,6715,0.00132,0.009729),(2895,6725,0.001318,0.009719),(2895,6735,0.001317,0.009708),(2895,6745,0.001316,0.009698),(2895,6755,0.001314,0.009688),(2895,6765,0.001313,0.009678),(2895,6775,0.001312,0.009667),(2895,6785,0.001311,0.009657),(2895,6795,0.001309,0.009647),(2895,6805,0.001308,0.009637),(2895,6815,0.001307,0.009627),(2895,6825,0.001306,0.009617),(2895,6835,0.001305,0.009607),(2895,6845,0.001304,0.009597),(2895,6855,0.001303,0.009587),(2895,6865,0.001301,0.009577),(2895,6875,0.001301,0.009568),(2895,6885,0.0013,0.009558),(2895,6895,0.001299,0.009548),(2895,6905,0.001298,0.009538),(2895,6915,0.001297,0.009529),(2895,6925,0.001296,0.009519),(2895,6935,0.001295,0.009509),(2895,6945,0.001294,0.0095),(2895,6955,0.001293,0.00949),(2895,6965,0.001293,0.00948),(2895,6975,0.001292,0.009471),(2895,6985,0.001291,0.009461),(2905,5,1.9e-05,3.6879),(2905,15,5.8e-05,3.6879),(2905,25,9.6e-05,3.6879),(2905,35,0.000135,3.6879),(2905,45,0.000173,3.6879),(2905,55,0.000212,3.6879),(2905,65,0.00025,3.6879),(2905,75,0.000289,3.6879),(2905,85,0.000327,3.6879),(2905,95,0.000366,3.6879),(2905,105,0.000404,3.6879),(2905,115,0.000443,3.6879),(2905,125,0.000481,3.6879),(2905,135,0.000519,3.688),(2905,145,0.000557,3.688),(2905,155,0.000596,3.688),(2905,165,0.000634,3.688),(2905,175,0.000672,3.688),(2905,185,0.00071,3.688),(2905,195,0.000748,3.688),(2905,205,0.000786,3.688),(2905,215,0.000824,3.6881),(2905,225,0.000862,3.6881),(2905,235,0.0009,3.6881),(2905,245,0.000938,3.6881),(2905,255,0.000975,3.6881),(2905,265,0.001013,3.6882),(2905,275,0.001051,3.6882),(2905,285,0.001089,3.6882),(2905,295,0.001126,3.6882),(2905,305,0.001164,3.6882),(2905,315,0.001201,3.6883),(2905,325,0.001239,3.6883),(2905,335,0.001276,3.6883),(2905,345,0.001314,3.6884),(2905,355,0.001351,3.6884),(2905,365,0.001388,3.6884),(2905,375,0.001425,3.6884),(2905,385,0.001462,3.6885),(2905,395,0.001499,3.6885),(2905,405,0.001536,3.6885),(2905,415,0.001573,3.6886),(2905,425,0.00161,3.6886),(2905,435,0.001647,3.6886),(2905,445,0.001683,3.6887),(2905,455,0.00172,3.6887),(2905,465,0.001757,3.6888),(2905,475,0.001794,3.6888),(2905,485,0.00183,3.6889),(2905,495,0.001867,3.6889),(2905,505,0.001904,3.689),(2905,515,0.00194,3.689),(2905,525,0.001977,3.689),(2905,535,0.002014,3.6891),(2905,545,0.00205,3.6891),(2905,555,0.002087,3.6892),(2905,565,0.002123,3.6893),(2905,575,0.00216,3.6893),(2905,585,0.002197,3.6894),(2905,595,0.002234,3.6894),(2905,605,0.00227,3.6895),(2905,615,0.002307,3.6896),(2905,625,0.002344,3.6896),(2905,635,0.002381,3.6897),(2905,645,0.002418,3.6898),(2905,655,0.002455,3.6898),(2905,665,0.002493,3.6899),(2905,675,0.00253,3.69),(2905,685,0.002567,3.69),(2905,695,0.002605,3.6901),(2905,705,0.002643,3.6902),(2905,715,0.002681,3.6903),(2905,725,0.002719,3.6904),(2905,735,0.002757,3.6904),(2905,745,0.002796,3.6905),(2905,755,0.002835,3.6906),(2905,765,0.002874,3.6907),(2905,775,0.002913,3.6908),(2905,785,0.002953,3.6909),(2905,795,0.002993,3.691),(2905,805,0.003033,3.6911),(2905,815,0.003073,3.6912),(2905,825,0.003115,3.6913),(2905,835,0.003156,3.6914),(2905,845,0.003198,3.6915),(2905,855,0.00324,3.6916),(2905,865,0.003283,3.6917),(2905,875,0.003326,3.6918),(2905,885,0.003369,3.692),(2905,895,0.003413,3.6921),(2905,905,0.003459,3.6922),(2905,915,0.003505,3.6923),(2905,925,0.00355,3.6925),(2905,935,0.003597,3.6926),(2905,945,0.003645,3.6927),(2905,955,0.003694,3.6929),(2905,965,0.003742,3.693),(2905,975,0.003792,3.6931),(2905,985,0.003844,3.6933),(2905,995,0.003895,3.6934),(2905,1005,0.003947,3.6936),(2905,1015,0.004,3.6937),(2905,1025,0.004056,3.6939),(2905,1035,0.004111,3.6941),(2905,1045,0.004167,3.6942),(2905,1055,0.004224,3.6944),(2905,1065,0.004284,3.6946),(2905,1075,0.004344,3.6947),(2905,1085,0.004404,3.6949),(2905,1095,0.004467,3.6951),(2905,1105,0.004533,3.6953),(2905,1115,0.004598,3.6955),(2905,1125,0.004663,3.6957),(2905,1135,0.004732,3.6959),(2905,1145,0.004804,3.6961),(2905,1155,0.004876,3.6963),(2905,1165,0.004947,3.6965),(2905,1175,0.005024,3.6967),(2905,1185,0.005102,3.6969),(2905,1195,0.005181,3.6971),(2905,1205,0.00526,3.6974),(2905,1215,0.005344,3.6976),(2905,1225,0.00543,3.6978),(2905,1235,0.005517,3.6981),(2905,1245,0.005603,3.6983),(2905,1255,0.005697,3.6985),(2905,1265,0.005792,3.6988),(2905,1275,0.005888,3.699),(2905,1285,0.005984,3.6993),(2905,1295,0.006088,3.6996),(2905,1305,0.006194,3.6998),(2905,1315,0.0063,3.7001),(2905,1325,0.006406,3.7004),(2905,1335,0.006522,3.7007),(2905,1345,0.006641,3.701),(2905,1355,0.006759,3.7013),(2905,1365,0.006877,3.7016),(2905,1375,0.007007,3.7019),(2905,1385,0.007138,3.7022),(2905,1395,0.007269,3.7025),(2905,1405,0.007401,3.7028),(2905,1415,0.007545,3.7031),(2905,1425,0.007691,3.7034),(2905,1435,0.007837,3.7038),(2905,1445,0.007983,3.7041),(2905,1455,0.008145,3.7045),(2905,1465,0.008307,3.7048),(2905,1475,0.008469,3.7052),(2905,1485,0.008632,3.7055),(2905,1495,0.008813,3.7059),(2905,1505,0.008994,3.7063),(2905,1515,0.009175,3.7066),(2905,1525,0.009356,3.707),(2905,1535,0.009558,3.7074),(2905,1545,0.00976,3.7078),(2905,1555,0.009961,3.7082),(2905,1565,0.010164,3.7086),(2905,1575,0.010389,3.709),(2905,1585,0.010613,3.7095),(2905,1595,0.010838,3.7099),(2905,1605,0.011065,3.7103),(2905,1615,0.011315,3.7108),(2905,1625,0.011565,3.7112),(2905,1635,0.011815,3.7117),(2905,1645,0.012069,3.7121),(2905,1655,0.012347,3.7126),(2905,1665,0.012625,3.7131),(2905,1675,0.012903,3.7135),(2905,1685,0.013187,3.714),(2905,1695,0.013496,3.7145),(2905,1705,0.013805,3.715),(2905,1715,0.014115,3.7155),(2905,1725,0.014432,3.7161),(2905,1735,0.014776,3.7166),(2905,1745,0.01512,3.7171),(2905,1755,0.015464,3.7176),(2905,1765,0.015818,3.7182),(2905,1775,0.016201,3.7187),(2905,1785,0.016584,3.7193),(2905,1795,0.016966,3.7198),(2905,1805,0.017362,3.7204),(2905,1815,0.017787,3.721),(2905,1825,0.018212,3.7216),(2905,1835,0.018638,3.7222),(2905,1845,0.019079,3.7228),(2905,1855,0.019552,3.7234),(2905,1865,0.020024,3.724),(2905,1875,0.020497,3.7246),(2905,1885,0.020989,3.7253),(2905,1895,0.021514,3.7259),(2905,1905,0.022039,3.7265),(2905,1915,0.022564,3.7272),(2905,1925,0.023114,3.7279),(2905,1935,0.023697,3.7285),(2905,1945,0.02428,3.7292),(2905,1955,0.024863,3.7299),(2905,1965,0.025476,3.7306),(2905,1975,0.026123,3.7313),(2905,1985,0.02677,3.732),(2905,1995,0.027418,3.7327),(2905,2005,0.028101,3.7334),(2905,2015,0.028819,3.7341),(2905,2025,0.029538,3.7349),(2905,2035,0.030257,3.7356),(2905,2045,0.031017,3.7363),(2905,2055,0.031815,3.7371),(2905,2065,0.032612,3.7378),(2905,2075,0.033409,3.7386),(2905,2085,0.034256,3.7394),(2905,2095,0.03514,3.7402),(2905,2105,0.036024,3.7409),(2905,2115,0.036908,3.7417),(2905,2125,0.03785,3.7425),(2905,2135,0.03883,3.7433),(2905,2145,0.039809,3.7441),(2905,2155,0.040788,3.7449),(2905,2165,0.041837,3.7457),(2905,2175,0.042921,3.7465),(2905,2185,0.044005,3.7474),(2905,2195,0.04509,3.7482),(2905,2205,0.046254,3.749),(2905,2215,0.047453,3.7498),(2905,2225,0.048652,3.7507),(2905,2235,0.049851,3.7515),(2905,2245,0.051143,3.7523),(2905,2255,0.052467,3.7532),(2905,2265,0.053791,3.754),(2905,2275,0.055115,3.7548),(2905,2285,0.056545,3.7556),(2905,2295,0.058005,3.7565),(2905,2305,0.059466,3.7573),(2905,2315,0.060926,3.7581),(2905,2325,0.062506,3.7589),(2905,2335,0.064114,3.7597),(2905,2345,0.065721,3.7605),(2905,2355,0.067328,3.7613),(2905,2365,0.069071,3.7621),(2905,2375,0.070836,3.7629),(2905,2385,0.072602,3.7637),(2905,2395,0.074367,3.7645),(2905,2405,0.076284,3.7652),(2905,2415,0.078217,3.766),(2905,2425,0.080151,3.7667),(2905,2435,0.082085,3.7674),(2905,2445,0.084186,3.7681),(2905,2455,0.086298,3.7688),(2905,2465,0.08841,3.7694),(2905,2475,0.090522,3.7701),(2905,2485,0.092816,3.7707),(2905,2495,0.095115,3.7713),(2905,2505,0.097414,3.7719),(2905,2515,0.099716,3.7724),(2905,2525,0.10221,3.773),(2905,2535,0.1047,3.7735),(2905,2545,0.10719,3.7739),(2905,2555,0.1097,3.7743),(2905,2565,0.11239,3.7748),(2905,2575,0.11508,3.7752),(2905,2585,0.11777,3.7755),(2905,2595,0.12048,3.7757),(2905,2605,0.12338,3.776),(2905,2615,0.12627,3.7763),(2905,2625,0.12916,3.7764),(2905,2635,0.13209,3.7765),(2905,2645,0.13518,3.7766),(2905,2655,0.13827,3.7767),(2905,2665,0.14137,3.7766),(2905,2675,0.14449,3.7765),(2905,2685,0.14778,3.7764),(2905,2695,0.15107,3.7763),(2905,2705,0.15436,3.7759),(2905,2715,0.15769,3.7756),(2905,2725,0.16117,3.7753),(2905,2735,0.16465,3.7749),(2905,2745,0.16813,3.7743),(2905,2755,0.17165,3.7737),(2905,2765,0.1753,3.7731),(2905,2775,0.17895,3.7724),(2905,2785,0.1826,3.7716),(2905,2795,0.1863,3.7707),(2905,2805,0.19011,3.7698),(2905,2815,0.19392,3.7688),(2905,2825,0.19773,3.7676),(2905,2835,0.20159,3.7664),(2905,2845,0.20554,3.7651),(2905,2855,0.20948,3.7638),(2905,2865,0.21343,3.7622),(2905,2875,0.21741,3.7607),(2905,2885,0.22147,3.7591),(2905,2895,0.22552,3.7574),(2905,2905,0.22958,3.7554),(2905,2915,0.23367,3.7535),(2905,2925,0.2378,3.7515),(2905,2935,0.24193,3.7494),(2905,2945,0.24607,3.747),(2905,2955,0.25022,3.7446),(2905,2965,0.2544,3.7423),(2905,2975,0.25857,3.7397),(2905,2985,0.26275,3.7369),(2905,2995,0.26693,3.7341),(2905,3005,0.27111,3.7314),(2905,3015,0.27529,3.7283),(2905,3025,0.27947,3.7251),(2905,3035,0.28363,3.7219),(2905,3045,0.28777,3.7186),(2905,3055,0.29192,3.7152),(2905,3065,0.29606,3.7115),(2905,3075,0.30016,3.7078),(2905,3085,0.30422,3.7041),(2905,3095,0.30827,3.7001),(2905,3105,0.31233,3.696),(2905,3115,0.31631,3.6919),(2905,3125,0.32024,3.6877),(2905,3135,0.32417,3.6833),(2905,3145,0.3281,3.6787),(2905,3155,0.33191,3.6741),(2905,3165,0.33566,3.6695),(2905,3175,0.33941,3.6646),(2905,3185,0.34316,3.6595),(2905,3195,0.34674,3.6545),(2905,3205,0.35026,3.6494),(2905,3215,0.35378,3.6441),(2905,3225,0.3573,3.6386),(2905,3235,0.36061,3.6331),(2905,3245,0.36384,3.6276),(2905,3255,0.36708,3.6218),(2905,3265,0.37031,3.6159),(2905,3275,0.37329,3.6101),(2905,3285,0.3762,3.6042),(2905,3295,0.3791,3.598),(2905,3305,0.382,3.5917),(2905,3315,0.3846,3.5854),(2905,3325,0.38712,3.5792),(2905,3335,0.38965,3.5726),(2905,3345,0.39217,3.566),(2905,3355,0.39433,3.5594),(2905,3365,0.39643,3.5528),(2905,3375,0.39853,3.5459),(2905,3385,0.40063,3.539),(2905,3395,0.40231,3.5321),(2905,3405,0.40395,3.5252),(2905,3415,0.40558,3.5181),(2905,3425,0.40721,3.5109),(2905,3435,0.40838,3.5038),(2905,3445,0.40951,3.4967),(2905,3455,0.41064,3.4894),(2905,3465,0.41177,3.4821),(2905,3475,0.4124,3.4747),(2905,3485,0.413,3.4674),(2905,3495,0.41361,3.46),(2905,3505,0.41421,3.4526),(2905,3515,0.41427,3.4452),(2905,3525,0.41433,3.4378),(2905,3535,0.41439,3.4303),(2905,3545,0.41442,3.4229),(2905,3555,0.41394,3.4155),(2905,3565,0.41345,3.408),(2905,3575,0.41296,3.4006),(2905,3585,0.41242,3.3933),(2905,3595,0.41139,3.3859),(2905,3605,0.41036,3.3785),(2905,3615,0.40933,3.3713),(2905,3625,0.40823,3.364),(2905,3635,0.40669,3.3568),(2905,3645,0.40514,3.3495),(2905,3655,0.40359,3.3425),(2905,3665,0.40196,3.3355),(2905,3675,0.39993,3.3284),(2905,3685,0.3979,3.3214),(2905,3695,0.39587,3.3147),(2905,3705,0.39376,3.3079),(2905,3715,0.3913,3.3012),(2905,3725,0.38885,3.2945),(2905,3735,0.38639,3.2881),(2905,3745,0.38385,3.2817),(2905,3755,0.38104,3.2753),(2905,3765,0.37823,3.2689),(2905,3775,0.37542,3.2629),(2905,3785,0.37254,3.2569),(2905,3795,0.36945,3.2509),(2905,3805,0.36637,3.245),(2905,3815,0.36328,3.2393),(2905,3825,0.36014,3.2337),(2905,3835,0.35686,3.2281),(2905,3845,0.35359,3.2226),(2905,3855,0.35032,3.2174),(2905,3865,0.34701,3.2122),(2905,3875,0.34363,3.207),(2905,3885,0.34025,3.2019),(2905,3895,0.33687,3.197),(2905,3905,0.37752,3.1921),(2905,3915,0.48395,3.1873),(2905,3925,0.59037,3.1804),(2905,3935,0.69679,3.1706),(2905,3945,0.80655,3.1608),(2905,3955,0.92055,3.151),(2905,3965,1.0346,3.1392),(2905,3975,1.1486,3.1249),(2905,3985,1.2119,3.1106),(2905,3995,1.2204,3.0964),(2905,4005,1.229,3.0822),(2905,4015,1.2375,3.0682),(2905,4025,1.2477,3.0543),(2905,4035,1.2581,3.0403),(2905,4045,1.2685,3.0262),(2905,4055,1.2798,3.0122),(2905,4065,1.2915,2.9981),(2905,4075,1.3032,2.9835),(2905,4085,1.3157,2.9689),(2905,4095,1.3289,2.9544),(2905,4105,1.342,2.9387),(2905,4115,1.3085,2.923),(2905,4125,1.1976,2.9073),(2905,4135,1.0868,2.8935),(2905,4145,0.97272,2.8802),(2905,4155,0.84579,2.8668),(2905,4165,0.71886,2.8563),(2905,4175,0.59944,2.8476),(2905,4185,0.85231,2.8388),(2905,4195,1.1052,2.8265),(2905,4205,1.358,2.8096),(2905,4215,1.3923,2.7926),(2905,4225,1.3854,2.7752),(2905,4235,1.3786,2.7567),(2905,4245,1.3343,2.7381),(2905,4255,1.2711,2.7195),(2905,4265,1.2079,2.7008),(2905,4275,1.0492,2.682),(2905,4285,0.78929,2.6633),(2905,4295,0.52936,2.656),(2905,4305,0.44742,2.6499),(2905,4315,0.7674,2.6439),(2905,4325,1.0874,2.6297),(2905,4335,1.3727,2.6121),(2905,4345,1.4236,2.5946),(2905,4355,1.4745,2.5763),(2905,4365,1.5254,2.5573),(2905,4375,1.5381,2.5383),(2905,4385,1.5488,2.5193),(2905,4395,1.5595,2.5001),(2905,4405,1.3767,2.481),(2905,4415,1.1369,2.4633),(2905,4425,0.89698,2.4521),(2905,4435,0.79719,2.441),(2905,4445,0.79314,2.4298),(2905,4455,0.78908,2.4197),(2905,4465,0.89518,2.4097),(2905,4475,1.156,2.3996),(2905,4485,1.4169,2.3833),(2905,4495,1.6178,2.3656),(2905,4505,1.6268,2.3479),(2905,4515,1.6357,2.3303),(2905,4525,1.6412,2.3127),(2905,4535,1.5922,2.2952),(2905,4545,1.5432,2.279),(2905,4555,1.4943,2.2643),(2905,4565,1.1512,2.2496),(2905,4575,0.76854,2.2382),(2905,4585,0.38585,2.2347),(2905,4595,0.50351,2.2311),(2905,4605,0.83256,2.2259),(2905,4615,1.1616,2.2076),(2905,4625,1.3666,2.1894),(2905,4635,1.4591,2.1711),(2905,4645,1.5516,2.1535),(2905,4655,1.6204,2.1359),(2905,4665,1.6445,2.1183),(2905,4675,1.6686,2.1016),(2905,4685,1.6314,2.0851),(2905,4695,1.2913,2.0686),(2905,4705,0.95124,2.0581),(2905,4715,0.61115,2.0519),(2905,4725,0.78424,2.0457),(2905,4735,0.96247,2.0378),(2905,4745,1.1407,2.0275),(2905,4755,1.3213,2.0172),(2905,4765,1.5025,2.0059),(2905,4775,1.6837,1.9909),(2905,4785,1.7533,1.9759),(2905,4795,1.7586,1.9609),(2905,4805,1.7638,1.9462),(2905,4815,1.6836,1.9314),(2905,4825,1.5014,1.9166),(2905,4835,1.3192,1.906),(2905,4845,1.135,1.896),(2905,4855,0.9455,1.8861),(2905,4865,0.75604,1.8795),(2905,4875,0.62372,1.8745),(2905,4885,1.0114,1.8695),(2905,4895,1.399,1.8599),(2905,4905,1.7866,1.846),(2905,4915,1.8129,1.832),(2905,4925,1.808,1.8179),(2905,4935,1.8032,1.8035),(2905,4945,1.7446,1.7891),(2905,4955,1.6674,1.7744),(2905,4965,1.5902,1.7582),(2905,4975,1.3079,1.742),(2905,4985,0.86722,1.7258),(2905,4995,0.42655,1.7239),(2905,5005,0.31074,1.7224),(2905,5015,0.71138,1.7208),(2905,5025,1.112,1.7123),(2905,5035,1.4573,1.702),(2905,5045,1.5917,1.6917),(2905,5055,1.7262,1.6796),(2905,5065,1.8567,1.6666),(2905,5075,1.8606,1.6535),(2905,5085,1.8644,1.6405),(2905,5095,1.8683,1.6275),(2905,5105,1.6355,1.6146),(2905,5115,1.3616,1.6033),(2905,5125,1.0876,1.5964),(2905,5135,0.95325,1.5895),(2905,5145,0.88672,1.5827),(2905,5155,0.82019,1.5775),(2905,5165,0.96669,1.5723),(2905,5175,1.3305,1.5671),(2905,5185,1.6942,1.5554),(2905,5195,1.9438,1.543),(2905,5205,1.9473,1.5306),(2905,5215,1.9508,1.5183),(2905,5225,1.944,1.5061),(2905,5235,1.8729,1.4938),(2905,5245,1.8019,1.4825),(2905,5255,1.7309,1.4718),(2905,5265,1.2218,1.4611),(2905,5275,0.69462,1.4542),(2905,5285,0.16747,1.4538),(2905,5295,0.48302,1.4533),(2905,5305,1.0333,1.45),(2905,5315,1.5835,1.4348),(2905,5325,1.8391,1.4195),(2905,5335,1.9016,1.4043),(2905,5345,1.964,1.3915),(2905,5355,2.0028,1.3787),(2905,5365,2.0099,1.3659),(2905,5375,2.0169,1.3534),(2905,5385,1.9071,1.3411),(2905,5395,1.442,1.3287),(2905,5405,0.97695,1.3223),(2905,5415,0.56364,1.319),(2905,5425,0.8455,1.3157),(2905,5435,1.1274,1.3099),(2905,5445,1.4092,1.3015),(2905,5455,1.6769,1.293),(2905,5465,1.9428,1.2832),(2905,5475,2.2087,1.2701),(2905,5485,2.2878,1.2571),(2905,5495,2.2917,1.244),(2905,5505,2.2956,1.2314),(2905,5515,2.2994,1.2187),(2905,5525,2.3033,1.206),(2905,5535,2.3071,1.1937),(2905,5545,2.3108,1.1814),(2905,5555,2.3144,1.1691),(2905,5565,2.3179,1.1571),(2905,5575,2.3213,1.1451),(2905,5585,2.3245,1.1332),(2905,5595,2.3277,1.1215),(2905,5605,2.3309,1.1099),(2905,5615,2.3338,1.0983),(2905,5625,2.3367,1.0869),(2905,5635,2.3396,1.0756),(2905,5645,2.3422,1.0643),(2905,5655,2.3449,1.0532),(2905,5665,2.3475,1.0422),(2905,5675,2.3499,1.0313),(2905,5685,2.3523,1.0204),(2905,5695,2.3546,1.0097),(2905,5705,2.3569,0.99908),(2905,5715,2.359,0.98843),(2905,5725,2.3611,0.978),(2905,5735,2.3632,0.96761),(2905,5745,2.3651,0.95722),(2905,5755,2.367,0.94701),(2905,5765,2.3689,0.93689),(2905,5775,2.3705,0.92676),(2905,5785,2.3722,0.91676),(2905,5795,2.3739,0.90688),(2905,5805,2.3754,0.897),(2905,5815,2.3769,0.8872),(2905,5825,2.3784,0.87756),(2905,5835,2.3798,0.86792),(2905,5845,2.3811,0.85831),(2905,5855,2.3824,0.84888),(2905,5865,2.3836,0.83945),(2905,5875,2.3848,0.83002),(2905,5885,2.3859,0.8208),(2905,5895,2.387,0.81158),(2905,5905,2.388,0.80237),(2905,5915,2.389,0.79332),(2905,5925,2.3899,0.78431),(2905,5935,2.3907,0.7753),(2905,5945,2.3916,0.76642),(2905,5955,2.3924,0.75761),(2905,5965,2.3931,0.7488),(2905,5975,2.3939,0.74007),(2905,5985,2.3946,0.73144),(2905,5995,1.8312,0.72281),(2905,6005,1.1769,0.71621),(2905,6015,0.52268,0.71506),(2905,6025,0.64104,0.71391),(2905,6035,1.1177,0.71194),(2905,6045,1.5944,0.70201),(2905,6055,1.9271,0.69207),(2905,6065,2.1185,0.68214),(2905,6075,2.31,0.66934),(2905,6085,2.4399,0.65628),(2905,6095,2.4429,0.64323),(2905,6105,2.4459,0.63019),(2905,6115,2.4489,0.61716),(2905,6125,2.4518,0.60413),(2905,6135,2.4547,0.59118),(2905,6145,2.4575,0.57829),(2905,6155,2.4602,0.56539),(2905,6165,2.4629,0.55258),(2905,6175,2.4655,0.53989),(2905,6185,2.468,0.52721),(2905,6195,2.4705,0.51454),(2905,6205,2.4729,0.50191),(2905,6215,2.4752,0.48929),(2905,6225,2.4775,0.47666),(2905,6235,2.4797,0.46408),(2905,6245,2.4819,0.4515),(2905,6255,2.4839,0.43892),(2905,6265,2.4859,0.42642),(2905,6275,2.4879,0.41394),(2905,6285,2.4898,0.40146),(2905,6295,2.4916,0.38901),(2905,6305,2.4935,0.37658),(2905,6315,2.4951,0.36415),(2905,6325,2.4968,0.35176),(2905,6335,2.4985,0.33942),(2905,6345,2.5,0.32708),(2905,6355,2.5015,0.31475),(2905,6365,2.5029,0.30248),(2905,6375,2.5043,0.2902),(2905,6385,2.5056,0.27792),(2905,6395,2.5069,0.26567),(2905,6405,2.5081,0.25342),(2905,6415,2.5093,0.24117),(2905,6425,2.5104,0.22898),(2905,6435,2.5115,0.21679),(2905,6445,2.5124,0.2046),(2905,6455,2.5134,0.19246),(2905,6465,2.5143,0.18034),(2905,6475,2.515,0.16821),(2905,6485,2.5158,0.1561),(2905,6495,2.5166,0.144),(2905,6505,2.5171,0.1319),(2905,6515,2.5177,0.11981),(2905,6525,2.5183,0.10774),(2905,6535,2.5187,0.095667),(2905,6545,2.5191,0.083593),(2905,6555,2.5195,0.071515),(2905,6565,2.5198,0.059436),(2905,6575,2.52,0.04736),(2905,6585,2.5202,0.035311),(2905,6595,2.1436,0.023263),(2905,6605,1.3511,0.011214),(2905,6615,0.5585,0.009833),(2905,6625,0.001341,0.009823),(2905,6635,0.001339,0.009812),(2905,6645,0.001337,0.009802),(2905,6655,0.001336,0.009791),(2905,6665,0.001334,0.00978),(2905,6675,0.001332,0.009769),(2905,6685,0.00133,0.009759),(2905,6695,0.001329,0.009748),(2905,6705,0.001327,0.009738),(2905,6715,0.001326,0.009728),(2905,6725,0.001324,0.009717),(2905,6735,0.001323,0.009707),(2905,6745,0.001321,0.009697),(2905,6755,0.00132,0.009687),(2905,6765,0.001319,0.009676),(2905,6775,0.001317,0.009666),(2905,6785,0.001316,0.009656),(2905,6795,0.001315,0.009646),(2905,6805,0.001314,0.009636),(2905,6815,0.001312,0.009626),(2905,6825,0.001311,0.009616),(2905,6835,0.00131,0.009606),(2905,6845,0.001309,0.009596),(2905,6855,0.001308,0.009586),(2905,6865,0.001307,0.009576),(2905,6875,0.001306,0.009567),(2905,6885,0.001305,0.009557),(2905,6895,0.001304,0.009547),(2905,6905,0.001303,0.009537),(2905,6915,0.001302,0.009528),(2905,6925,0.001301,0.009518),(2905,6935,0.0013,0.009508),(2905,6945,0.0013,0.009499),(2905,6955,0.001299,0.009489),(2905,6965,0.001298,0.00948),(2905,6975,0.001297,0.00947),(2905,6985,0.001296,0.00946),(2915,5,1.9e-05,3.6879),(2915,15,5.7e-05,3.6879),(2915,25,9.4e-05,3.6879),(2915,35,0.000132,3.6879),(2915,45,0.000169,3.6879),(2915,55,0.000207,3.6879),(2915,65,0.000244,3.6879),(2915,75,0.000282,3.6879),(2915,85,0.000319,3.6879),(2915,95,0.000357,3.688),(2915,105,0.000394,3.688),(2915,115,0.000432,3.688),(2915,125,0.000469,3.688),(2915,135,0.000507,3.688),(2915,145,0.000544,3.688),(2915,155,0.000581,3.688),(2915,165,0.000618,3.688),(2915,175,0.000655,3.688),(2915,185,0.000692,3.6881),(2915,195,0.000729,3.6881),(2915,205,0.000766,3.6881),(2915,215,0.000803,3.6881),(2915,225,0.00084,3.6881),(2915,235,0.000877,3.6881),(2915,245,0.000914,3.6882),(2915,255,0.000951,3.6882),(2915,265,0.000987,3.6882),(2915,275,0.001024,3.6882),(2915,285,0.001061,3.6882),(2915,295,0.001097,3.6883),(2915,305,0.001134,3.6883),(2915,315,0.00117,3.6883),(2915,325,0.001206,3.6883),(2915,335,0.001243,3.6884),(2915,345,0.001279,3.6884),(2915,355,0.001315,3.6884),(2915,365,0.001351,3.6884),(2915,375,0.001387,3.6885),(2915,385,0.001423,3.6885),(2915,395,0.001458,3.6885),(2915,405,0.001494,3.6886),(2915,415,0.00153,3.6886),(2915,425,0.001565,3.6887),(2915,435,0.001601,3.6887),(2915,445,0.001636,3.6887),(2915,455,0.001672,3.6888),(2915,465,0.001707,3.6888),(2915,475,0.001742,3.6888),(2915,485,0.001777,3.6889),(2915,495,0.001813,3.6889),(2915,505,0.001848,3.689),(2915,515,0.001883,3.689),(2915,525,0.001918,3.6891),(2915,535,0.001953,3.6891),(2915,545,0.001988,3.6892),(2915,555,0.002023,3.6892),(2915,565,0.002058,3.6893),(2915,575,0.002093,3.6894),(2915,585,0.002128,3.6894),(2915,595,0.002163,3.6895),(2915,605,0.002198,3.6895),(2915,615,0.002233,3.6896),(2915,625,0.002269,3.6897),(2915,635,0.002304,3.6897),(2915,645,0.002339,3.6898),(2915,655,0.002374,3.6899),(2915,665,0.00241,3.6899),(2915,675,0.002445,3.69),(2915,685,0.00248,3.6901),(2915,695,0.002516,3.6902),(2915,705,0.002552,3.6902),(2915,715,0.002588,3.6903),(2915,725,0.002624,3.6904),(2915,735,0.00266,3.6905),(2915,745,0.002697,3.6906),(2915,755,0.002733,3.6906),(2915,765,0.00277,3.6907),(2915,775,0.002807,3.6908),(2915,785,0.002845,3.6909),(2915,795,0.002882,3.691),(2915,805,0.00292,3.6911),(2915,815,0.002958,3.6912),(2915,825,0.002997,3.6913),(2915,835,0.003035,3.6914),(2915,845,0.003074,3.6915),(2915,855,0.003114,3.6917),(2915,865,0.003154,3.6918),(2915,875,0.003195,3.6919),(2915,885,0.003235,3.692),(2915,895,0.003276,3.6921),(2915,905,0.003319,3.6922),(2915,915,0.003362,3.6924),(2915,925,0.003405,3.6925),(2915,935,0.003448,3.6926),(2915,945,0.003494,3.6928),(2915,955,0.003539,3.6929),(2915,965,0.003584,3.6931),(2915,975,0.003631,3.6932),(2915,985,0.00368,3.6933),(2915,995,0.003728,3.6935),(2915,1005,0.003776,3.6936),(2915,1015,0.003826,3.6938),(2915,1025,0.003878,3.694),(2915,1035,0.00393,3.6941),(2915,1045,0.003982,3.6943),(2915,1055,0.004036,3.6945),(2915,1065,0.004093,3.6946),(2915,1075,0.004149,3.6948),(2915,1085,0.004205,3.695),(2915,1095,0.004264,3.6952),(2915,1105,0.004326,3.6954),(2915,1115,0.004387,3.6955),(2915,1125,0.004449,3.6957),(2915,1135,0.004514,3.6959),(2915,1145,0.004581,3.6961),(2915,1155,0.004649,3.6963),(2915,1165,0.004716,3.6966),(2915,1175,0.004788,3.6968),(2915,1185,0.004862,3.697),(2915,1195,0.004937,3.6972),(2915,1205,0.005011,3.6974),(2915,1215,0.005091,3.6977),(2915,1225,0.005173,3.6979),(2915,1235,0.005255,3.6981),(2915,1245,0.005337,3.6984),(2915,1255,0.005425,3.6986),(2915,1265,0.005516,3.6989),(2915,1275,0.005607,3.6991),(2915,1285,0.005698,3.6994),(2915,1295,0.005796,3.6997),(2915,1305,0.005898,3.6999),(2915,1315,0.005999,3.7002),(2915,1325,0.0061,3.7005),(2915,1335,0.00621,3.7008),(2915,1345,0.006323,3.7011),(2915,1355,0.006436,3.7014),(2915,1365,0.006549,3.7017),(2915,1375,0.006673,3.702),(2915,1385,0.006798,3.7023),(2915,1395,0.006924,3.7026),(2915,1405,0.00705,3.7029),(2915,1415,0.007188,3.7033),(2915,1425,0.007328,3.7036),(2915,1435,0.007469,3.7039),(2915,1445,0.007608,3.7043),(2915,1455,0.007764,3.7046),(2915,1465,0.00792,3.705),(2915,1475,0.008076,3.7053),(2915,1485,0.008233,3.7057),(2915,1495,0.008407,3.7061),(2915,1505,0.008581,3.7064),(2915,1515,0.008756,3.7068),(2915,1525,0.008931,3.7072),(2915,1535,0.009125,3.7076),(2915,1545,0.00932,3.708),(2915,1555,0.009515,3.7084),(2915,1565,0.009711,3.7088),(2915,1575,0.009928,3.7093),(2915,1585,0.010146,3.7097),(2915,1595,0.010363,3.7101),(2915,1605,0.010583,3.7106),(2915,1615,0.010825,3.711),(2915,1625,0.011068,3.7115),(2915,1635,0.01131,3.7119),(2915,1645,0.011557,3.7124),(2915,1655,0.011827,3.7129),(2915,1665,0.012097,3.7133),(2915,1675,0.012367,3.7138),(2915,1685,0.012643,3.7143),(2915,1695,0.012944,3.7148),(2915,1705,0.013245,3.7153),(2915,1715,0.013546,3.7159),(2915,1725,0.013855,3.7164),(2915,1735,0.014191,3.7169),(2915,1745,0.014526,3.7174),(2915,1755,0.014862,3.718),(2915,1765,0.015208,3.7185),(2915,1775,0.015581,3.7191),(2915,1785,0.015955,3.7197),(2915,1795,0.016329,3.7202),(2915,1805,0.016716,3.7208),(2915,1815,0.017132,3.7214),(2915,1825,0.017548,3.722),(2915,1835,0.017964,3.7226),(2915,1845,0.018397,3.7232),(2915,1855,0.01886,3.7238),(2915,1865,0.019323,3.7245),(2915,1875,0.019786,3.7251),(2915,1885,0.020269,3.7258),(2915,1895,0.020785,3.7264),(2915,1905,0.0213,3.7271),(2915,1915,0.021815,3.7277),(2915,1925,0.022355,3.7284),(2915,1935,0.022929,3.7291),(2915,1945,0.023502,3.7298),(2915,1955,0.024075,3.7305),(2915,1965,0.024678,3.7312),(2915,1975,0.025316,3.7319),(2915,1985,0.025954,3.7326),(2915,1995,0.026591,3.7334),(2915,2005,0.027264,3.7341),(2915,2015,0.027973,3.7348),(2915,2025,0.028682,3.7356),(2915,2035,0.029391,3.7363),(2915,2045,0.030142,3.7371),(2915,2055,0.03093,3.7379),(2915,2065,0.031718,3.7387),(2915,2075,0.032505,3.7394),(2915,2085,0.033343,3.7402),(2915,2095,0.034218,3.741),(2915,2105,0.035092,3.7418),(2915,2115,0.035967,3.7427),(2915,2125,0.036901,3.7435),(2915,2135,0.037872,3.7443),(2915,2145,0.038843,3.7451),(2915,2155,0.039813,3.746),(2915,2165,0.040854,3.7468),(2915,2175,0.04193,3.7476),(2915,2185,0.043007,3.7485),(2915,2195,0.044083,3.7493),(2915,2205,0.045241,3.7502),(2915,2215,0.046434,3.751),(2915,2225,0.047626,3.7519),(2915,2235,0.048819,3.7527),(2915,2245,0.050105,3.7536),(2915,2255,0.051424,3.7545),(2915,2265,0.052743,3.7553),(2915,2275,0.054062,3.7562),(2915,2285,0.055489,3.7571),(2915,2295,0.056946,3.7579),(2915,2305,0.058403,3.7588),(2915,2315,0.05986,3.7596),(2915,2325,0.061439,3.7605),(2915,2335,0.063046,3.7613),(2915,2345,0.064653,3.7622),(2915,2355,0.066259,3.763),(2915,2365,0.068004,3.7639),(2915,2375,0.069772,3.7647),(2915,2385,0.071539,3.7655),(2915,2395,0.073307,3.7663),(2915,2405,0.075229,3.7671),(2915,2415,0.077168,3.7679),(2915,2425,0.079108,3.7687),(2915,2435,0.081047,3.7694),(2915,2445,0.083158,3.7702),(2915,2455,0.08528,3.7709),(2915,2465,0.087402,3.7716),(2915,2475,0.089524,3.7723),(2915,2485,0.091832,3.773),(2915,2495,0.094146,3.7736),(2915,2505,0.09646,3.7742),(2915,2515,0.098776,3.7748),(2915,2525,0.10129,3.7754),(2915,2535,0.1038,3.776),(2915,2545,0.10631,3.7765),(2915,2555,0.10884,3.7769),(2915,2565,0.11156,3.7774),(2915,2575,0.11427,3.7779),(2915,2585,0.11699,3.7782),(2915,2595,0.11973,3.7785),(2915,2605,0.12265,3.7789),(2915,2615,0.12558,3.7792),(2915,2625,0.12851,3.7793),(2915,2635,0.13146,3.7795),(2915,2645,0.13459,3.7796),(2915,2655,0.13772,3.7798),(2915,2665,0.14086,3.7797),(2915,2675,0.14403,3.7797),(2915,2685,0.14736,3.7796),(2915,2695,0.1507,3.7796),(2915,2705,0.15403,3.7793),(2915,2715,0.15741,3.779),(2915,2725,0.16094,3.7787),(2915,2735,0.16447,3.7784),(2915,2745,0.168,3.7778),(2915,2755,0.17158,3.7773),(2915,2765,0.17529,3.7767),(2915,2775,0.17901,3.7761),(2915,2785,0.18272,3.7753),(2915,2795,0.18648,3.7744),(2915,2805,0.19036,3.7736),(2915,2815,0.19424,3.7726),(2915,2825,0.19812,3.7714),(2915,2835,0.20204,3.7702),(2915,2845,0.20606,3.7691),(2915,2855,0.21009,3.7678),(2915,2865,0.21411,3.7662),(2915,2875,0.21817,3.7647),(2915,2885,0.22231,3.7631),(2915,2895,0.22644,3.7614),(2915,2905,0.23058,3.7595),(2915,2915,0.23475,3.7576),(2915,2925,0.23897,3.7556),(2915,2935,0.24319,3.7535),(2915,2945,0.24741,3.7511),(2915,2955,0.25166,3.7488),(2915,2965,0.25592,3.7464),(2915,2975,0.26019,3.7439),(2915,2985,0.26446,3.7411),(2915,2995,0.26874,3.7383),(2915,3005,0.27301,3.7355),(2915,3015,0.27729,3.7325),(2915,3025,0.28157,3.7293),(2915,3035,0.28583,3.726),(2915,3045,0.29007,3.7228),(2915,3055,0.29431,3.7193),(2915,3065,0.29855,3.7156),(2915,3075,0.30275,3.7119),(2915,3085,0.30691,3.7082),(2915,3095,0.31107,3.7042),(2915,3105,0.31523,3.7),(2915,3115,0.31931,3.6958),(2915,3125,0.32334,3.6916),(2915,3135,0.32736,3.6872),(2915,3145,0.33139,3.6825),(2915,3155,0.33531,3.6779),(2915,3165,0.33915,3.6732),(2915,3175,0.343,3.6683),(2915,3185,0.34685,3.6632),(2915,3195,0.35053,3.6581),(2915,3205,0.35415,3.6529),(2915,3215,0.35776,3.6475),(2915,3225,0.36137,3.642),(2915,3235,0.36478,3.6364),(2915,3245,0.36811,3.6309),(2915,3255,0.37143,3.625),(2915,3265,0.37476,3.619),(2915,3275,0.37783,3.613),(2915,3285,0.38081,3.6071),(2915,3295,0.3838,3.6008),(2915,3305,0.38679,3.5944),(2915,3315,0.38947,3.5881),(2915,3325,0.39207,3.5817),(2915,3335,0.39467,3.575),(2915,3345,0.39727,3.5683),(2915,3355,0.3995,3.5616),(2915,3365,0.40166,3.5549),(2915,3375,0.40383,3.5479),(2915,3385,0.40599,3.5409),(2915,3395,0.40773,3.5339),(2915,3405,0.40942,3.5268),(2915,3415,0.4111,3.5196),(2915,3425,0.41279,3.5123),(2915,3435,0.414,3.5051),(2915,3445,0.41517,3.4978),(2915,3455,0.41634,3.4904),(2915,3465,0.41751,3.4829),(2915,3475,0.41816,3.4755),(2915,3485,0.41879,3.468),(2915,3495,0.41941,3.4605),(2915,3505,0.42004,3.4529),(2915,3515,0.42011,3.4454),(2915,3525,0.42017,3.4378),(2915,3535,0.42024,3.4303),(2915,3545,0.42028,3.4227),(2915,3555,0.41978,3.4151),(2915,3565,0.41928,3.4075),(2915,3575,0.41878,3.4),(2915,3585,0.41823,3.3925),(2915,3595,0.41717,3.385),(2915,3605,0.41611,3.3775),(2915,3615,0.41505,3.3701),(2915,3625,0.41392,3.3627),(2915,3635,0.41232,3.3553),(2915,3645,0.41072,3.348),(2915,3655,0.40913,3.3408),(2915,3665,0.40745,3.3337),(2915,3675,0.40536,3.3265),(2915,3685,0.40326,3.3194),(2915,3695,0.40117,3.3125),(2915,3705,0.39899,3.3057),(2915,3715,0.39645,3.2988),(2915,3725,0.39392,3.292),(2915,3735,0.39139,3.2855),(2915,3745,0.38877,3.279),(2915,3755,0.38587,3.2725),(2915,3765,0.38298,3.2661),(2915,3775,0.38008,3.26),(2915,3785,0.3771,3.2539),(2915,3795,0.37393,3.2478),(2915,3805,0.37075,3.2419),(2915,3815,0.36758,3.2362),(2915,3825,0.36434,3.2305),(2915,3835,0.36098,3.2249),(2915,3845,0.35762,3.2194),(2915,3855,0.35426,3.2141),(2915,3865,0.35086,3.2089),(2915,3875,0.34741,3.2036),(2915,3885,0.34395,3.1985),(2915,3895,0.3405,3.1936),(2915,3905,0.38144,3.1888),(2915,3915,0.48871,3.1839),(2915,3925,0.59597,3.1769),(2915,3935,0.70324,3.1672),(2915,3945,0.81378,3.1574),(2915,3955,0.92849,3.1476),(2915,3965,1.0432,3.1358),(2915,3975,1.1579,3.1215),(2915,3985,1.2216,3.1073),(2915,3995,1.23,3.093),(2915,4005,1.2384,3.0789),(2915,4015,1.2468,3.065),(2915,4025,1.257,3.051),(2915,4035,1.2674,3.037),(2915,4045,1.2777,3.023),(2915,4055,1.2891,3.009),(2915,4065,1.301,2.9949),(2915,4075,1.3128,2.9804),(2915,4085,1.3255,2.9658),(2915,4095,1.3389,2.9512),(2915,4105,1.3523,2.9355),(2915,4115,1.3189,2.9197),(2915,4125,1.2077,2.904),(2915,4135,1.0965,2.89),(2915,4145,0.98203,2.8766),(2915,4155,0.85414,2.8631),(2915,4165,0.72626,2.8524),(2915,4175,0.60595,2.8435),(2915,4185,0.86044,2.8346),(2915,4195,1.1149,2.8221),(2915,4205,1.3694,2.8049),(2915,4215,1.4044,2.7877),(2915,4225,1.3981,2.7701),(2915,4235,1.3917,2.7513),(2915,4245,1.3478,2.7325),(2915,4255,1.2849,2.7136),(2915,4265,1.222,2.6945),(2915,4275,1.062,2.6755),(2915,4285,0.79907,2.6564),(2915,4295,0.53612,2.6489),(2915,4305,0.45282,2.6428),(2915,4315,0.7752,2.6367),(2915,4325,1.0976,2.6224),(2915,4335,1.385,2.6048),(2915,4345,1.4362,2.5872),(2915,4355,1.4874,2.5688),(2915,4365,1.5386,2.5496),(2915,4375,1.5514,2.5304),(2915,4385,1.5621,2.5112),(2915,4395,1.5728,2.4919),(2915,4405,1.3887,2.4726),(2915,4415,1.1473,2.4548),(2915,4425,0.90578,2.4435),(2915,4435,0.80516,2.4323),(2915,4445,0.80082,2.4211),(2915,4455,0.79647,2.4107),(2915,4465,0.90297,2.4004),(2915,4475,1.1652,2.3901),(2915,4485,1.4274,2.3736),(2915,4495,1.6294,2.3558),(2915,4505,1.6383,2.338),(2915,4515,1.6471,2.3204),(2915,4525,1.6525,2.3028),(2915,4535,1.6028,2.2852),(2915,4545,1.5531,2.2689),(2915,4555,1.5035,2.2542),(2915,4565,1.1585,2.2394),(2915,4575,0.77372,2.2279),(2915,4585,0.38894,2.2244),(2915,4595,0.50834,2.2209),(2915,4605,0.84076,2.2157),(2915,4615,1.1732,2.1974),(2915,4625,1.3794,2.1791),(2915,4635,1.4714,2.1608),(2915,4645,1.5634,2.1432),(2915,4655,1.6317,2.1256),(2915,4665,1.6554,2.108),(2915,4675,1.6791,2.0912),(2915,4685,1.6412,2.0747),(2915,4695,1.2992,2.0582),(2915,4705,0.95714,2.0476),(2915,4715,0.61511,2.0414),(2915,4725,0.78878,2.0351),(2915,4735,0.96761,2.0273),(2915,4745,1.1464,2.017),(2915,4755,1.3278,2.0067),(2915,4765,1.5098,1.9953),(2915,4775,1.6918,1.9804),(2915,4785,1.7617,1.9654),(2915,4795,1.7668,1.9504),(2915,4805,1.7719,1.9357),(2915,4815,1.6913,1.9209),(2915,4825,1.5083,1.9062),(2915,4835,1.3253,1.8956),(2915,4845,1.1402,1.8857),(2915,4855,0.94991,1.8758),(2915,4865,0.75962,1.8692),(2915,4875,0.62669,1.8642),(2915,4885,1.0157,1.8592),(2915,4895,1.4047,1.8496),(2915,4905,1.7937,1.8356),(2915,4915,1.8202,1.8217),(2915,4925,1.8155,1.8076),(2915,4935,1.8108,1.7932),(2915,4945,1.7529,1.7787),(2915,4955,1.6765,1.7641),(2915,4965,1.6001,1.7478),(2915,4975,1.3165,1.7316),(2915,4985,0.87288,1.7154),(2915,4995,0.42928,1.7136),(2915,5005,0.31215,1.7121),(2915,5015,0.71407,1.7106),(2915,5025,1.116,1.702),(2915,5035,1.4624,1.6917),(2915,5045,1.5971,1.6814),(2915,5055,1.7319,1.6694),(2915,5065,1.8628,1.6564),(2915,5075,1.8666,1.6433),(2915,5085,1.8704,1.6303),(2915,5095,1.8742,1.6174),(2915,5105,1.6407,1.6045),(2915,5115,1.3659,1.5931),(2915,5125,1.091,1.5862),(2915,5135,0.95622,1.5794),(2915,5145,0.88941,1.5726),(2915,5155,0.8226,1.5674),(2915,5165,0.9694,1.5622),(2915,5175,1.3341,1.557),(2915,5185,1.6987,1.5453),(2915,5195,1.9489,1.533),(2915,5205,1.9524,1.5206),(2915,5215,1.9558,1.5083),(2915,5225,1.9489,1.4961),(2915,5235,1.8776,1.4839),(2915,5245,1.8064,1.4725),(2915,5255,1.7351,1.4618),(2915,5265,1.2248,1.4511),(2915,5275,0.6964,1.4443),(2915,5285,0.16798,1.4438),(2915,5295,0.48527,1.4434),(2915,5305,1.0381,1.4401),(2915,5315,1.5909,1.4249),(2915,5325,1.8469,1.4097),(2915,5335,1.9084,1.3945),(2915,5345,1.9699,1.3817),(2915,5355,2.0081,1.3689),(2915,5365,2.0149,1.3562),(2915,5375,2.0218,1.3438),(2915,5385,1.9116,1.3314),(2915,5395,1.4454,1.3191),(2915,5405,0.97928,1.3127),(2915,5415,0.56499,1.3094),(2915,5425,0.8474,1.3061),(2915,5435,1.1298,1.3003),(2915,5445,1.4122,1.292),(2915,5455,1.6804,1.2836),(2915,5465,1.9467,1.2739),(2915,5475,2.2131,1.2609),(2915,5485,2.2923,1.248),(2915,5495,2.296,1.235),(2915,5505,2.2998,1.2225),(2915,5515,2.3035,1.2099),(2915,5525,2.3072,1.1973),(2915,5535,2.3109,1.1851),(2915,5545,2.3145,1.1729),(2915,5555,2.3179,1.1607),(2915,5565,2.3213,1.1488),(2915,5575,2.3247,1.1369),(2915,5585,2.3277,1.1251),(2915,5595,2.3308,1.1135),(2915,5605,2.3339,1.102),(2915,5615,2.3367,1.0905),(2915,5625,2.3395,1.0791),(2915,5635,2.3422,1.068),(2915,5645,2.3448,1.0568),(2915,5655,2.3473,1.0457),(2915,5665,2.3498,1.0349),(2915,5675,2.3522,1.024),(2915,5685,2.3545,1.0132),(2915,5695,2.3567,1.0026),(2915,5705,2.3589,0.99206),(2915,5715,2.3609,0.98149),(2915,5725,2.3629,0.97115),(2915,5735,2.3649,0.96085),(2915,5745,2.3667,0.95054),(2915,5755,2.3685,0.94041),(2915,5765,2.3703,0.93036),(2915,5775,2.3719,0.92032),(2915,5785,2.3735,0.9104),(2915,5795,2.3752,0.9006),(2915,5805,2.3766,0.8908),(2915,5815,2.378,0.88108),(2915,5825,2.3794,0.87151),(2915,5835,2.3807,0.86195),(2915,5845,2.3819,0.85242),(2915,5855,2.3832,0.84306),(2915,5865,2.3843,0.83371),(2915,5875,2.3854,0.82436),(2915,5885,2.3865,0.81521),(2915,5895,2.3875,0.80607),(2915,5905,2.3884,0.79693),(2915,5915,2.3893,0.78795),(2915,5925,2.3902,0.77901),(2915,5935,2.391,0.77007),(2915,5945,2.3918,0.76126),(2915,5955,2.3925,0.75252),(2915,5965,2.3932,0.74378),(2915,5975,2.3939,0.73512),(2915,5985,2.3946,0.72655),(2915,5995,1.8311,0.71798),(2915,6005,1.1769,0.71144),(2915,6015,0.52269,0.7103),(2915,6025,0.64184,0.70916),(2915,6035,1.1197,0.7072),(2915,6045,1.5975,0.69733),(2915,6055,1.9309,0.68746),(2915,6065,2.1227,0.67759),(2915,6075,2.3145,0.66487),(2915,6085,2.4446,0.65189),(2915,6095,2.4476,0.63892),(2915,6105,2.4506,0.62597),(2915,6115,2.4535,0.61302),(2915,6125,2.4564,0.60008),(2915,6135,2.4592,0.58722),(2915,6145,2.462,0.57441),(2915,6155,2.4646,0.56161),(2915,6165,2.4672,0.54888),(2915,6175,2.4699,0.53627),(2915,6185,2.4723,0.52367),(2915,6195,2.4747,0.51108),(2915,6205,2.4771,0.49854),(2915,6215,2.4794,0.48599),(2915,6225,2.4816,0.47345),(2915,6235,2.4838,0.46095),(2915,6245,2.486,0.44846),(2915,6255,2.488,0.43596),(2915,6265,2.49,0.42355),(2915,6275,2.492,0.41115),(2915,6285,2.4938,0.39875),(2915,6295,2.4956,0.38639),(2915,6305,2.4974,0.37404),(2915,6315,2.4991,0.3617),(2915,6325,2.5007,0.3494),(2915,6335,2.5023,0.33714),(2915,6345,2.5038,0.32489),(2915,6355,2.5053,0.31265),(2915,6365,2.5067,0.30046),(2915,6375,2.5081,0.28827),(2915,6385,2.5094,0.27608),(2915,6395,2.5106,0.26391),(2915,6405,2.5118,0.25175),(2915,6415,2.5129,0.23958),(2915,6425,2.5141,0.22747),(2915,6435,2.5151,0.21537),(2915,6445,2.516,0.20327),(2915,6455,2.517,0.19121),(2915,6465,2.5179,0.17916),(2915,6475,2.5186,0.16712),(2915,6485,2.5194,0.15509),(2915,6495,2.5202,0.14307),(2915,6505,2.5207,0.13105),(2915,6515,2.5213,0.11904),(2915,6525,2.5219,0.10705),(2915,6535,2.5223,0.095062),(2915,6545,2.5227,0.083072),(2915,6555,2.5231,0.071078),(2915,6565,2.5234,0.059083),(2915,6575,2.5236,0.047091),(2915,6585,2.5238,0.035125),(2915,6595,2.1467,0.023159),(2915,6605,1.353,0.011193),(2915,6615,0.55929,0.009824),(2915,6625,0.001347,0.009817),(2915,6635,0.001345,0.00981),(2915,6645,0.001344,0.0098),(2915,6655,0.001342,0.009789),(2915,6665,0.00134,0.009778),(2915,6675,0.001338,0.009768),(2915,6685,0.001336,0.009757),(2915,6695,0.001335,0.009747),(2915,6705,0.001333,0.009737),(2915,6715,0.001332,0.009726),(2915,6725,0.00133,0.009716),(2915,6735,0.001329,0.009706),(2915,6745,0.001327,0.009695),(2915,6755,0.001326,0.009685),(2915,6765,0.001324,0.009675),(2915,6775,0.001323,0.009665),(2915,6785,0.001322,0.009655),(2915,6795,0.00132,0.009645),(2915,6805,0.001319,0.009635),(2915,6815,0.001318,0.009625),(2915,6825,0.001317,0.009615),(2915,6835,0.001316,0.009605),(2915,6845,0.001314,0.009595),(2915,6855,0.001313,0.009585),(2915,6865,0.001312,0.009575),(2915,6875,0.001311,0.009566),(2915,6885,0.00131,0.009556),(2915,6895,0.001309,0.009546),(2915,6905,0.001308,0.009536),(2915,6915,0.001307,0.009527),(2915,6925,0.001306,0.009517),(2915,6935,0.001306,0.009508),(2915,6945,0.001305,0.009498),(2915,6955,0.001304,0.009488),(2915,6965,0.001303,0.009479),(2915,6975,0.001302,0.009469),(2915,6985,0.001302,0.00946),(2925,5,1.8e-05,3.688),(2925,15,5.5e-05,3.688),(2925,25,9.2e-05,3.688),(2925,35,0.000128,3.688),(2925,45,0.000165,3.688),(2925,55,0.000202,3.688),(2925,65,0.000238,3.688),(2925,75,0.000275,3.688),(2925,85,0.000312,3.688),(2925,95,0.000348,3.688),(2925,105,0.000385,3.688),(2925,115,0.000421,3.688),(2925,125,0.000458,3.688),(2925,135,0.000494,3.688),(2925,145,0.00053,3.688),(2925,155,0.000566,3.688),(2925,165,0.000603,3.6881),(2925,175,0.000639,3.6881),(2925,185,0.000675,3.6881),(2925,195,0.000711,3.6881),(2925,205,0.000747,3.6881),(2925,215,0.000783,3.6881),(2925,225,0.000819,3.6881),(2925,235,0.000854,3.6882),(2925,245,0.00089,3.6882),(2925,255,0.000926,3.6882),(2925,265,0.000961,3.6882),(2925,275,0.000997,3.6882),(2925,285,0.001032,3.6883),(2925,295,0.001068,3.6883),(2925,305,0.001103,3.6883),(2925,315,0.001139,3.6883),(2925,325,0.001174,3.6884),(2925,335,0.001209,3.6884),(2925,345,0.001244,3.6884),(2925,355,0.001279,3.6884),(2925,365,0.001314,3.6885),(2925,375,0.001349,3.6885),(2925,385,0.001383,3.6885),(2925,395,0.001418,3.6886),(2925,405,0.001452,3.6886),(2925,415,0.001486,3.6886),(2925,425,0.001521,3.6887),(2925,435,0.001555,3.6887),(2925,445,0.001589,3.6888),(2925,455,0.001623,3.6888),(2925,465,0.001657,3.6888),(2925,475,0.00169,3.6889),(2925,485,0.001724,3.6889),(2925,495,0.001758,3.689),(2925,505,0.001792,3.689),(2925,515,0.001825,3.6891),(2925,525,0.001859,3.6891),(2925,535,0.001893,3.6892),(2925,545,0.001926,3.6892),(2925,555,0.001959,3.6893),(2925,565,0.001993,3.6893),(2925,575,0.002026,3.6894),(2925,585,0.00206,3.6894),(2925,595,0.002093,3.6895),(2925,605,0.002126,3.6896),(2925,615,0.00216,3.6896),(2925,625,0.002193,3.6897),(2925,635,0.002226,3.6898),(2925,645,0.002259,3.6898),(2925,655,0.002293,3.6899),(2925,665,0.002326,3.69),(2925,675,0.00236,3.69),(2925,685,0.002393,3.6901),(2925,695,0.002427,3.6902),(2925,705,0.002461,3.6903),(2925,715,0.002495,3.6903),(2925,725,0.002529,3.6904),(2925,735,0.002563,3.6905),(2925,745,0.002597,3.6906),(2925,755,0.002632,3.6907),(2925,765,0.002666,3.6908),(2925,775,0.002701,3.6909),(2925,785,0.002736,3.691),(2925,795,0.002771,3.6911),(2925,805,0.002806,3.6912),(2925,815,0.002842,3.6913),(2925,825,0.002878,3.6914),(2925,835,0.002915,3.6915),(2925,845,0.002951,3.6916),(2925,855,0.002988,3.6917),(2925,865,0.003025,3.6918),(2925,875,0.003063,3.6919),(2925,885,0.003101,3.692),(2925,895,0.003139,3.6922),(2925,905,0.003179,3.6923),(2925,915,0.003219,3.6924),(2925,925,0.003259,3.6925),(2925,935,0.0033,3.6927),(2925,945,0.003342,3.6928),(2925,955,0.003384,3.6929),(2925,965,0.003426,3.6931),(2925,975,0.00347,3.6932),(2925,985,0.003515,3.6934),(2925,995,0.00356,3.6935),(2925,1005,0.003605,3.6937),(2925,1015,0.003652,3.6938),(2925,1025,0.003701,3.694),(2925,1035,0.003749,3.6942),(2925,1045,0.003798,3.6943),(2925,1055,0.003848,3.6945),(2925,1065,0.003901,3.6947),(2925,1075,0.003953,3.6949),(2925,1085,0.004006,3.695),(2925,1095,0.004061,3.6952),(2925,1105,0.004119,3.6954),(2925,1115,0.004176,3.6956),(2925,1125,0.004234,3.6958),(2925,1135,0.004295,3.696),(2925,1145,0.004358,3.6962),(2925,1155,0.004422,3.6964),(2925,1165,0.004485,3.6966),(2925,1175,0.004553,3.6968),(2925,1185,0.004623,3.6971),(2925,1195,0.004693,3.6973),(2925,1205,0.004763,3.6975),(2925,1215,0.004838,3.6977),(2925,1225,0.004915,3.698),(2925,1235,0.004993,3.6982),(2925,1245,0.00507,3.6985),(2925,1255,0.005154,3.6987),(2925,1265,0.00524,3.699),(2925,1275,0.005326,3.6992),(2925,1285,0.005412,3.6995),(2925,1295,0.005505,3.6998),(2925,1305,0.005601,3.7),(2925,1315,0.005697,3.7003),(2925,1325,0.005793,3.7006),(2925,1335,0.005899,3.7009),(2925,1345,0.006006,3.7012),(2925,1355,0.006113,3.7015),(2925,1365,0.006221,3.7018),(2925,1375,0.006339,3.7021),(2925,1385,0.006459,3.7024),(2925,1395,0.006579,3.7027),(2925,1405,0.006699,3.7031),(2925,1415,0.006832,3.7034),(2925,1425,0.006966,3.7037),(2925,1435,0.0071,3.7041),(2925,1445,0.007234,3.7044),(2925,1455,0.007383,3.7048),(2925,1465,0.007533,3.7051),(2925,1475,0.007683,3.7055),(2925,1485,0.007833,3.7059),(2925,1495,0.008001,3.7062),(2925,1505,0.008169,3.7066),(2925,1515,0.008337,3.707),(2925,1525,0.008505,3.7074),(2925,1535,0.008693,3.7078),(2925,1545,0.008881,3.7082),(2925,1555,0.009068,3.7086),(2925,1565,0.009258,3.709),(2925,1575,0.009468,3.7095),(2925,1585,0.009678,3.7099),(2925,1595,0.009888,3.7103),(2925,1605,0.010101,3.7108),(2925,1615,0.010336,3.7112),(2925,1625,0.010571,3.7117),(2925,1635,0.010805,3.7122),(2925,1645,0.011044,3.7126),(2925,1655,0.011307,3.7131),(2925,1665,0.011569,3.7136),(2925,1675,0.011832,3.7141),(2925,1685,0.0121,3.7146),(2925,1695,0.012392,3.7151),(2925,1705,0.012685,3.7156),(2925,1715,0.012978,3.7162),(2925,1725,0.013279,3.7167),(2925,1735,0.013606,3.7172),(2925,1745,0.013933,3.7178),(2925,1755,0.01426,3.7183),(2925,1765,0.014597,3.7189),(2925,1775,0.014962,3.7195),(2925,1785,0.015327,3.72),(2925,1795,0.015692,3.7206),(2925,1805,0.01607,3.7212),(2925,1815,0.016477,3.7218),(2925,1825,0.016884,3.7224),(2925,1835,0.017291,3.723),(2925,1845,0.017714,3.7237),(2925,1855,0.018168,3.7243),(2925,1865,0.018622,3.7249),(2925,1875,0.019076,3.7256),(2925,1885,0.019549,3.7262),(2925,1895,0.020055,3.7269),(2925,1905,0.020561,3.7276),(2925,1915,0.021067,3.7283),(2925,1925,0.021597,3.729),(2925,1935,0.022161,3.7296),(2925,1945,0.022724,3.7303),(2925,1955,0.023288,3.7311),(2925,1965,0.023881,3.7318),(2925,1975,0.024509,3.7325),(2925,1985,0.025137,3.7333),(2925,1995,0.025764,3.734),(2925,2005,0.026428,3.7348),(2925,2015,0.027127,3.7355),(2925,2025,0.027826,3.7363),(2925,2035,0.028525,3.7371),(2925,2045,0.029267,3.7379),(2925,2055,0.030045,3.7386),(2925,2065,0.030823,3.7394),(2925,2075,0.031602,3.7403),(2925,2085,0.03243,3.7411),(2925,2095,0.033296,3.7419),(2925,2105,0.034161,3.7427),(2925,2115,0.035027,3.7436),(2925,2125,0.035952,3.7444),(2925,2135,0.036914,3.7452),(2925,2145,0.037876,3.7461),(2925,2155,0.038838,3.747),(2925,2165,0.039871,3.7478),(2925,2175,0.040939,3.7487),(2925,2185,0.042008,3.7496),(2925,2195,0.043077,3.7504),(2925,2205,0.044228,3.7513),(2925,2215,0.045414,3.7522),(2925,2225,0.0466,3.7531),(2925,2235,0.047786,3.754),(2925,2245,0.049067,3.7549),(2925,2255,0.050381,3.7558),(2925,2265,0.051695,3.7567),(2925,2275,0.053009,3.7576),(2925,2285,0.054432,3.7585),(2925,2295,0.055886,3.7594),(2925,2305,0.05734,3.7603),(2925,2315,0.058795,3.7612),(2925,2325,0.060373,3.7621),(2925,2335,0.061979,3.7629),(2925,2345,0.063585,3.7638),(2925,2355,0.06519,3.7647),(2925,2365,0.066937,3.7656),(2925,2375,0.068707,3.7665),(2925,2385,0.070477,3.7673),(2925,2395,0.072247,3.7682),(2925,2405,0.074174,3.769),(2925,2415,0.076119,3.7698),(2925,2425,0.078064,3.7706),(2925,2435,0.08001,3.7714),(2925,2445,0.08213,3.7722),(2925,2455,0.084262,3.773),(2925,2465,0.086394,3.7738),(2925,2475,0.088525,3.7745),(2925,2485,0.090849,3.7752),(2925,2495,0.093177,3.776),(2925,2505,0.095505,3.7766),(2925,2515,0.097836,3.7773),(2925,2525,0.10037,3.7779),(2925,2535,0.1029,3.7785),(2925,2545,0.10543,3.7791),(2925,2555,0.10798,3.7796),(2925,2565,0.11072,3.7801),(2925,2575,0.11347,3.7806),(2925,2585,0.11621,3.781),(2925,2595,0.11897,3.7814),(2925,2605,0.12193,3.7818),(2925,2615,0.12489,3.7822),(2925,2625,0.12785,3.7824),(2925,2635,0.13083,3.7826),(2925,2645,0.134,3.7828),(2925,2655,0.13718,3.783),(2925,2665,0.14035,3.783),(2925,2675,0.14356,3.783),(2925,2685,0.14694,3.783),(2925,2695,0.15032,3.783),(2925,2705,0.1537,3.7827),(2925,2715,0.15713,3.7825),(2925,2725,0.16071,3.7823),(2925,2735,0.1643,3.782),(2925,2745,0.16788,3.7815),(2925,2755,0.17151,3.781),(2925,2765,0.17529,3.7805),(2925,2775,0.17906,3.7799),(2925,2785,0.18284,3.7791),(2925,2795,0.18666,3.7783),(2925,2805,0.19061,3.7775),(2925,2815,0.19455,3.7766),(2925,2825,0.1985,3.7755),(2925,2835,0.2025,3.7743),(2925,2845,0.20659,3.7732),(2925,2855,0.21069,3.7719),(2925,2865,0.21479,3.7704),(2925,2875,0.21893,3.7689),(2925,2885,0.22315,3.7674),(2925,2895,0.22736,3.7657),(2925,2905,0.23158,3.7638),(2925,2915,0.23584,3.7619),(2925,2925,0.24014,3.76),(2925,2935,0.24445,3.7579),(2925,2945,0.24876,3.7555),(2925,2955,0.25309,3.7532),(2925,2965,0.25745,3.7509),(2925,2975,0.26181,3.7483),(2925,2985,0.26618,3.7455),(2925,2995,0.27054,3.7427),(2925,3005,0.27492,3.7399),(2925,3015,0.27929,3.7369),(2925,3025,0.28366,3.7337),(2925,3035,0.28802,3.7304),(2925,3045,0.29236,3.7272),(2925,3055,0.2967,3.7237),(2925,3065,0.30104,3.7199),(2925,3075,0.30534,3.7162),(2925,3085,0.3096,3.7125),(2925,3095,0.31386,3.7085),(2925,3105,0.31812,3.7043),(2925,3115,0.3223,3.7),(2925,3125,0.32643,3.6958),(2925,3135,0.33056,3.6913),(2925,3145,0.33469,3.6866),(2925,3155,0.3387,3.6819),(2925,3165,0.34265,3.6772),(2925,3175,0.34659,3.6722),(2925,3185,0.35054,3.6671),(2925,3195,0.35432,3.6619),(2925,3205,0.35803,3.6567),(2925,3215,0.36174,3.6512),(2925,3225,0.36545,3.6456),(2925,3235,0.36895,3.64),(2925,3245,0.37237,3.6344),(2925,3255,0.37579,3.6284),(2925,3265,0.37921,3.6223),(2925,3275,0.38236,3.6163),(2925,3285,0.38543,3.6102),(2925,3295,0.38851,3.6038),(2925,3305,0.39158,3.5974),(2925,3315,0.39433,3.5909),(2925,3325,0.39701,3.5844),(2925,3335,0.39968,3.5777),(2925,3345,0.40236,3.5708),(2925,3355,0.40466,3.564),(2925,3365,0.40689,3.5572),(2925,3375,0.40912,3.5501),(2925,3385,0.41135,3.5429),(2925,3395,0.41315,3.5358),(2925,3405,0.41489,3.5286),(2925,3415,0.41663,3.5212),(2925,3425,0.41836,3.5138),(2925,3435,0.41961,3.5064),(2925,3445,0.42083,3.499),(2925,3455,0.42204,3.4915),(2925,3465,0.42325,3.4839),(2925,3475,0.42392,3.4763),(2925,3485,0.42457,3.4687),(2925,3495,0.42522,3.461),(2925,3505,0.42587,3.4533),(2925,3515,0.42594,3.4456),(2925,3525,0.42602,3.4379),(2925,3535,0.42609,3.4302),(2925,3545,0.42614,3.4225),(2925,3555,0.42562,3.4147),(2925,3565,0.42511,3.407),(2925,3575,0.4246,3.3993),(2925,3585,0.42404,3.3917),(2925,3595,0.42295,3.384),(2925,3605,0.42185,3.3763),(2925,3615,0.42076,3.3688),(2925,3625,0.4196,3.3613),(2925,3635,0.41796,3.3538),(2925,3645,0.41631,3.3463),(2925,3655,0.41467,3.339),(2925,3665,0.41294,3.3317),(2925,3675,0.41078,3.3244),(2925,3685,0.40862,3.3172),(2925,3695,0.40647,3.3102),(2925,3705,0.40422,3.3032),(2925,3715,0.40161,3.2962),(2925,3725,0.399,3.2893),(2925,3735,0.39639,3.2828),(2925,3745,0.39369,3.2762),(2925,3755,0.3907,3.2696),(2925,3765,0.38772,3.2631),(2925,3775,0.38473,3.2569),(2925,3785,0.38167,3.2507),(2925,3795,0.3784,3.2446),(2925,3805,0.37514,3.2385),(2925,3815,0.37187,3.2328),(2925,3825,0.36855,3.2271),(2925,3835,0.3651,3.2214),(2925,3845,0.36165,3.2158),(2925,3855,0.3582,3.2106),(2925,3865,0.35472,3.2053),(2925,3875,0.35119,3.2),(2925,3885,0.34766,3.1949),(2925,3895,0.34412,3.1901),(2925,3905,0.38536,3.1852),(2925,3915,0.49347,3.1803),(2925,3925,0.60158,3.1734),(2925,3935,0.70969,3.1636),(2925,3945,0.82102,3.1539),(2925,3955,0.93643,3.1441),(2925,3965,1.0518,3.1323),(2925,3975,1.1673,3.1181),(2925,3985,1.2312,3.1039),(2925,3995,1.2396,3.0897),(2925,4005,1.2479,3.0757),(2925,4015,1.2562,3.0618),(2925,4025,1.2663,3.0479),(2925,4035,1.2766,3.034),(2925,4045,1.2869,3.02),(2925,4055,1.2984,3.0061),(2925,4065,1.3104,2.992),(2925,4075,1.3223,2.9774),(2925,4085,1.3353,2.9628),(2925,4095,1.349,2.9482),(2925,4105,1.3627,2.9324),(2925,4115,1.3293,2.9166),(2925,4125,1.2178,2.9008),(2925,4135,1.1063,2.8867),(2925,4145,0.99134,2.8731),(2925,4155,0.8625,2.8595),(2925,4165,0.73366,2.8486),(2925,4175,0.61245,2.8395),(2925,4185,0.86857,2.8304),(2925,4195,1.1247,2.8177),(2925,4205,1.3808,2.8002),(2925,4215,1.4165,2.7827),(2925,4225,1.4107,2.7648),(2925,4235,1.4048,2.7457),(2925,4245,1.3613,2.7265),(2925,4255,1.2987,2.7073),(2925,4265,1.2361,2.6879),(2925,4275,1.0748,2.6684),(2925,4285,0.80884,2.6489),(2925,4295,0.54287,2.6413),(2925,4305,0.45822,2.6351),(2925,4315,0.783,2.6288),(2925,4325,1.1078,2.6144),(2925,4335,1.3974,2.5967),(2925,4345,1.4489,2.579),(2925,4355,1.5004,2.5604),(2925,4365,1.5518,2.541),(2925,4375,1.5646,2.5217),(2925,4385,1.5753,2.5023),(2925,4395,1.586,2.4829),(2925,4405,1.4007,2.4636),(2925,4415,1.1577,2.4457),(2925,4425,0.91457,2.4345),(2925,4435,0.81314,2.4233),(2925,4445,0.8085,2.4121),(2925,4455,0.80386,2.4016),(2925,4465,0.91077,2.3911),(2925,4475,1.1744,2.3806),(2925,4485,1.438,2.364),(2925,4495,1.6411,2.3461),(2925,4505,1.6498,2.3282),(2925,4515,1.6586,2.3105),(2925,4525,1.6638,2.2928),(2925,4535,1.6134,2.2752),(2925,4545,1.5631,2.2588),(2925,4555,1.5127,2.2439),(2925,4565,1.1658,2.229),(2925,4575,0.7789,2.2174),(2925,4585,0.39203,2.2139),(2925,4595,0.51317,2.2104),(2925,4605,0.84896,2.2053),(2925,4615,1.1847,2.187),(2925,4625,1.3923,2.1686),(2925,4635,1.4837,2.1503),(2925,4645,1.5752,2.1326),(2925,4655,1.643,2.115),(2925,4665,1.6663,2.0974),(2925,4675,1.6895,2.0806),(2925,4685,1.651,2.0641),(2925,4695,1.307,2.0475),(2925,4705,0.96304,2.0369),(2925,4715,0.61907,2.0306),(2925,4725,0.79331,2.0244),(2925,4735,0.97275,2.0165),(2925,4745,1.1522,2.0062),(2925,4755,1.3343,1.9958),(2925,4765,1.5171,1.9845),(2925,4775,1.6998,1.9695),(2925,4785,1.77,1.9546),(2925,4795,1.775,1.9396),(2925,4805,1.7801,1.9249),(2925,4815,1.6991,1.9101),(2925,4825,1.5152,1.8954),(2925,4835,1.3313,1.8849),(2925,4845,1.1454,1.875),(2925,4855,0.95432,1.8652),(2925,4865,0.7632,1.8586),(2925,4875,0.62965,1.8536),(2925,4885,1.02,1.8485),(2925,4895,1.4103,1.839),(2925,4905,1.8007,1.825),(2925,4915,1.8274,1.8111),(2925,4925,1.8229,1.797),(2925,4935,1.8184,1.7826),(2925,4945,1.7611,1.7682),(2925,4955,1.6856,1.7536),(2925,4965,1.61,1.7374),(2925,4975,1.3251,1.7211),(2925,4985,0.87854,1.7049),(2925,4995,0.432,1.7031),(2925,5005,0.31356,1.7016),(2925,5015,0.71675,1.7001),(2925,5025,1.1199,1.6916),(2925,5035,1.4674,1.6814),(2925,5045,1.6026,1.6711),(2925,5055,1.7377,1.6591),(2925,5065,1.8689,1.646),(2925,5075,1.8727,1.633),(2925,5085,1.8764,1.62),(2925,5095,1.8802,1.6071),(2925,5105,1.6459,1.5942),(2925,5115,1.3702,1.5829),(2925,5125,1.0945,1.576),(2925,5135,0.9592,1.5691),(2925,5145,0.8921,1.5624),(2925,5155,0.82501,1.5572),(2925,5165,0.97211,1.552),(2925,5175,1.3377,1.5468),(2925,5185,1.7032,1.5352),(2925,5195,1.954,1.5228),(2925,5205,1.9574,1.5105),(2925,5215,1.9608,1.4982),(2925,5225,1.9538,1.486),(2925,5235,1.8823,1.4738),(2925,5245,1.8109,1.4624),(2925,5255,1.7394,1.4518),(2925,5265,1.2279,1.4411),(2925,5275,0.69817,1.4342),(2925,5285,0.16849,1.4338),(2925,5295,0.48751,1.4334),(2925,5305,1.0429,1.4301),(2925,5315,1.5982,1.4149),(2925,5325,1.8547,1.3997),(2925,5335,1.9152,1.3845),(2925,5345,1.9757,1.3718),(2925,5355,2.0133,1.3591),(2925,5365,2.02,1.3464),(2925,5375,2.0267,1.334),(2925,5385,1.9161,1.3217),(2925,5395,1.4489,1.3094),(2925,5405,0.9816,1.3031),(2925,5415,0.56633,1.2997),(2925,5425,0.84931,1.2964),(2925,5435,1.1323,1.2907),(2925,5445,1.4153,1.2824),(2925,5455,1.6839,1.2742),(2925,5465,1.9507,1.2645),(2925,5475,2.2176,1.2516),(2925,5485,2.2968,1.2388),(2925,5495,2.3004,1.226),(2925,5505,2.304,1.2135),(2925,5515,2.3076,1.201),(2925,5525,2.3112,1.1886),(2925,5535,2.3148,1.1765),(2925,5545,2.3182,1.1644),(2925,5555,2.3215,1.1523),(2925,5565,2.3248,1.1404),(2925,5575,2.328,1.1287),(2925,5585,2.3309,1.1169),(2925,5595,2.3339,1.1054),(2925,5605,2.3369,1.094),(2925,5615,2.3395,1.0826),(2925,5625,2.3422,1.0714),(2925,5635,2.3449,1.0603),(2925,5645,2.3474,1.0492),(2925,5655,2.3498,1.0382),(2925,5665,2.3522,1.0275),(2925,5675,2.3545,1.0167),(2925,5685,2.3566,1.006),(2925,5695,2.3588,0.99547),(2925,5705,2.3609,0.98499),(2925,5715,2.3628,0.97452),(2925,5725,2.3647,0.96426),(2925,5735,2.3666,0.95404),(2925,5745,2.3684,0.94381),(2925,5755,2.3701,0.93377),(2925,5765,2.3718,0.9238),(2925,5775,2.3733,0.91384),(2925,5785,2.3749,0.904),(2925,5795,2.3764,0.89428),(2925,5805,2.3777,0.88456),(2925,5815,2.3791,0.87492),(2925,5825,2.3804,0.86543),(2925,5835,2.3816,0.85594),(2925,5845,2.3828,0.84648),(2925,5855,2.384,0.83721),(2925,5865,2.385,0.82793),(2925,5875,2.386,0.81865),(2925,5885,2.3871,0.80958),(2925,5895,2.388,0.80051),(2925,5905,2.3889,0.79144),(2925,5915,2.3897,0.78254),(2925,5925,2.3905,0.77367),(2925,5935,2.3912,0.76481),(2925,5945,2.3919,0.75607),(2925,5955,2.3927,0.7474),(2925,5965,2.3933,0.73872),(2925,5975,2.3939,0.73013),(2925,5985,2.3945,0.72163),(2925,5995,1.8311,0.71314),(2925,6005,1.1769,0.70664),(2925,6015,0.5227,0.70551),(2925,6025,0.64263,0.70437),(2925,6035,1.1216,0.70242),(2925,6045,1.6006,0.69261),(2925,6055,1.9347,0.68281),(2925,6065,2.1269,0.673),(2925,6075,2.319,0.66036),(2925,6085,2.4493,0.64747),(2925,6095,2.4523,0.63457),(2925,6105,2.4552,0.62171),(2925,6115,2.4581,0.60885),(2925,6125,2.4609,0.596),(2925,6135,2.4637,0.58322),(2925,6145,2.4665,0.5705),(2925,6155,2.469,0.55779),(2925,6165,2.4716,0.54515),(2925,6175,2.4742,0.53263),(2925,6185,2.4766,0.52011),(2925,6195,2.479,0.5076),(2925,6205,2.4814,0.49514),(2925,6215,2.4836,0.48268),(2925,6225,2.4858,0.47023),(2925,6235,2.488,0.45781),(2925,6245,2.4901,0.4454),(2925,6255,2.4921,0.43299),(2925,6265,2.4941,0.42066),(2925,6275,2.496,0.40835),(2925,6285,2.4978,0.39604),(2925,6295,2.4996,0.38376),(2925,6305,2.5014,0.3715),(2925,6315,2.503,0.35923),(2925,6325,2.5046,0.34702),(2925,6335,2.5062,0.33485),(2925,6345,2.5077,0.32268),(2925,6355,2.5091,0.31053),(2925,6365,2.5105,0.29842),(2925,6375,2.5118,0.28631),(2925,6385,2.5131,0.27421),(2925,6395,2.5144,0.26213),(2925,6405,2.5155,0.25006),(2925,6415,2.5166,0.23798),(2925,6425,2.5177,0.22596),(2925,6435,2.5187,0.21394),(2925,6445,2.5197,0.20192),(2925,6455,2.5206,0.18995),(2925,6465,2.5215,0.17799),(2925,6475,2.5222,0.16603),(2925,6485,2.523,0.15408),(2925,6495,2.5237,0.14214),(2925,6505,2.5243,0.1302),(2925,6515,2.5249,0.11827),(2925,6525,2.5254,0.10637),(2925,6535,2.5259,0.094465),(2925,6545,2.5263,0.08256),(2925,6555,2.5267,0.07065),(2925,6565,2.5269,0.058741),(2925,6575,2.5271,0.046834),(2925,6585,2.5273,0.034955),(2925,6595,2.1497,0.023077),(2925,6605,1.3549,0.011198),(2925,6615,0.56009,0.009834),(2925,6625,0.001354,0.009822),(2925,6635,0.001352,0.009809),(2925,6645,0.00135,0.009798),(2925,6655,0.001348,0.009787),(2925,6665,0.001346,0.009777),(2925,6675,0.001344,0.009766),(2925,6685,0.001342,0.009756),(2925,6695,0.001341,0.009745),(2925,6705,0.001339,0.009735),(2925,6715,0.001337,0.009725),(2925,6725,0.001336,0.009714),(2925,6735,0.001334,0.009704),(2925,6745,0.001333,0.009694),(2925,6755,0.001331,0.009684),(2925,6765,0.00133,0.009673),(2925,6775,0.001329,0.009663),(2925,6785,0.001327,0.009653),(2925,6795,0.001326,0.009643),(2925,6805,0.001325,0.009633),(2925,6815,0.001323,0.009624),(2925,6825,0.001322,0.009614),(2925,6835,0.001321,0.009604),(2925,6845,0.00132,0.009594),(2925,6855,0.001319,0.009584),(2925,6865,0.001318,0.009574),(2925,6875,0.001317,0.009565),(2925,6885,0.001316,0.009555),(2925,6895,0.001315,0.009545),(2925,6905,0.001314,0.009536),(2925,6915,0.001313,0.009526),(2925,6925,0.001312,0.009516),(2925,6935,0.001311,0.009507),(2925,6945,0.00131,0.009497),(2925,6955,0.001309,0.009488),(2925,6965,0.001308,0.009478),(2925,6975,0.001308,0.009468),(2925,6985,0.001307,0.009459),(2935,5,1.8e-05,3.688),(2935,15,5.4e-05,3.688),(2935,25,9e-05,3.688),(2935,35,0.000125,3.688),(2935,45,0.000161,3.688),(2935,55,0.000197,3.688),(2935,65,0.000232,3.688),(2935,75,0.000268,3.688),(2935,85,0.000304,3.688),(2935,95,0.000339,3.688),(2935,105,0.000375,3.688),(2935,115,0.000411,3.688),(2935,125,0.000446,3.6881),(2935,135,0.000481,3.6881),(2935,145,0.000517,3.6881),(2935,155,0.000552,3.6881),(2935,165,0.000587,3.6881),(2935,175,0.000623,3.6881),(2935,185,0.000658,3.6881),(2935,195,0.000693,3.6881),(2935,205,0.000728,3.6882),(2935,215,0.000763,3.6882),(2935,225,0.000797,3.6882),(2935,235,0.000832,3.6882),(2935,245,0.000867,3.6882),(2935,255,0.000901,3.6882),(2935,265,0.000936,3.6883),(2935,275,0.00097,3.6883),(2935,285,0.001005,3.6883),(2935,295,0.001039,3.6883),(2935,305,0.001073,3.6884),(2935,315,0.001107,3.6884),(2935,325,0.001142,3.6884),(2935,335,0.001176,3.6884),(2935,345,0.00121,3.6885),(2935,355,0.001243,3.6885),(2935,365,0.001277,3.6885),(2935,375,0.001311,3.6885),(2935,385,0.001344,3.6886),(2935,395,0.001377,3.6886),(2935,405,0.00141,3.6886),(2935,415,0.001443,3.6887),(2935,425,0.001476,3.6887),(2935,435,0.001509,3.6888),(2935,445,0.001542,3.6888),(2935,455,0.001575,3.6888),(2935,465,0.001607,3.6889),(2935,475,0.001639,3.6889),(2935,485,0.001672,3.689),(2935,495,0.001704,3.689),(2935,505,0.001736,3.6891),(2935,515,0.001768,3.6891),(2935,525,0.001801,3.6891),(2935,535,0.001833,3.6892),(2935,545,0.001865,3.6893),(2935,555,0.001896,3.6893),(2935,565,0.001928,3.6894),(2935,575,0.00196,3.6894),(2935,585,0.001992,3.6895),(2935,595,0.002023,3.6895),(2935,605,0.002055,3.6896),(2935,615,0.002086,3.6897),(2935,625,0.002118,3.6897),(2935,635,0.002149,3.6898),(2935,645,0.002181,3.6899),(2935,655,0.002212,3.6899),(2935,665,0.002244,3.69),(2935,675,0.002275,3.6901),(2935,685,0.002307,3.6901),(2935,695,0.002338,3.6902),(2935,705,0.00237,3.6903),(2935,715,0.002402,3.6904),(2935,725,0.002434,3.6905),(2935,735,0.002466,3.6905),(2935,745,0.002498,3.6906),(2935,755,0.00253,3.6907),(2935,765,0.002563,3.6908),(2935,775,0.002595,3.6909),(2935,785,0.002628,3.691),(2935,795,0.002661,3.6911),(2935,805,0.002693,3.6912),(2935,815,0.002727,3.6913),(2935,825,0.00276,3.6914),(2935,835,0.002794,3.6915),(2935,845,0.002828,3.6916),(2935,855,0.002862,3.6917),(2935,865,0.002897,3.6918),(2935,875,0.002932,3.692),(2935,885,0.002967,3.6921),(2935,895,0.003003,3.6922),(2935,905,0.00304,3.6923),(2935,915,0.003076,3.6925),(2935,925,0.003113,3.6926),(2935,935,0.003151,3.6927),(2935,945,0.00319,3.6929),(2935,955,0.003229,3.693),(2935,965,0.003268,3.6931),(2935,975,0.003309,3.6933),(2935,985,0.003351,3.6934),(2935,995,0.003392,3.6936),(2935,1005,0.003434,3.6937),(2935,1015,0.003478,3.6939),(2935,1025,0.003523,3.694),(2935,1035,0.003568,3.6942),(2935,1045,0.003613,3.6944),(2935,1055,0.00366,3.6946),(2935,1065,0.003708,3.6947),(2935,1075,0.003757,3.6949),(2935,1085,0.003806,3.6951),(2935,1095,0.003858,3.6953),(2935,1105,0.003911,3.6955),(2935,1115,0.003965,3.6957),(2935,1125,0.004018,3.6959),(2935,1135,0.004075,3.6961),(2935,1145,0.004134,3.6963),(2935,1155,0.004194,3.6965),(2935,1165,0.004253,3.6967),(2935,1175,0.004316,3.6969),(2935,1185,0.004382,3.6971),(2935,1195,0.004447,3.6973),(2935,1205,0.004513,3.6976),(2935,1215,0.004583,3.6978),(2935,1225,0.004656,3.698),(2935,1235,0.004729,3.6983),(2935,1245,0.004802,3.6985),(2935,1255,0.00488,3.6988),(2935,1265,0.004961,3.6991),(2935,1275,0.005042,3.6993),(2935,1285,0.005123,3.6996),(2935,1295,0.005212,3.6999),(2935,1305,0.005303,3.7001),(2935,1315,0.005393,3.7004),(2935,1325,0.005484,3.7007),(2935,1335,0.005584,3.701),(2935,1345,0.005686,3.7013),(2935,1355,0.005788,3.7016),(2935,1365,0.005889,3.7019),(2935,1375,0.006002,3.7022),(2935,1385,0.006116,3.7025),(2935,1395,0.006231,3.7028),(2935,1405,0.006345,3.7032),(2935,1415,0.006472,3.7035),(2935,1425,0.0066,3.7038),(2935,1435,0.006728,3.7042),(2935,1445,0.006856,3.7045),(2935,1455,0.006998,3.7049),(2935,1465,0.007142,3.7053),(2935,1475,0.007286,3.7056),(2935,1485,0.007429,3.706),(2935,1495,0.00759,3.7064),(2935,1505,0.007751,3.7068),(2935,1515,0.007912,3.7072),(2935,1525,0.008074,3.7076),(2935,1535,0.008255,3.708),(2935,1545,0.008436,3.7084),(2935,1555,0.008616,3.7088),(2935,1565,0.008798,3.7092),(2935,1575,0.009001,3.7097),(2935,1585,0.009204,3.7101),(2935,1595,0.009406,3.7106),(2935,1605,0.009612,3.711),(2935,1615,0.009839,3.7115),(2935,1625,0.010066,3.7119),(2935,1635,0.010293,3.7124),(2935,1645,0.010524,3.7129),(2935,1655,0.010779,3.7134),(2935,1665,0.011033,3.7139),(2935,1675,0.011287,3.7144),(2935,1685,0.011547,3.7149),(2935,1695,0.011832,3.7154),(2935,1705,0.012116,3.7159),(2935,1715,0.0124,3.7165),(2935,1725,0.012692,3.717),(2935,1735,0.013011,3.7175),(2935,1745,0.013329,3.7181),(2935,1755,0.013647,3.7187),(2935,1765,0.013975,3.7192),(2935,1775,0.014331,3.7198),(2935,1785,0.014687,3.7204),(2935,1795,0.015042,3.721),(2935,1805,0.015411,3.7216),(2935,1815,0.015808,3.7222),(2935,1825,0.016206,3.7228),(2935,1835,0.016604,3.7235),(2935,1845,0.017017,3.7241),(2935,1855,0.017461,3.7247),(2935,1865,0.017905,3.7254),(2935,1875,0.018349,3.7261),(2935,1885,0.018813,3.7267),(2935,1895,0.019308,3.7274),(2935,1905,0.019804,3.7281),(2935,1915,0.0203,3.7288),(2935,1925,0.02082,3.7295),(2935,1935,0.021373,3.7302),(2935,1945,0.021927,3.7309),(2935,1955,0.02248,3.7317),(2935,1965,0.023063,3.7324),(2935,1975,0.02368,3.7331),(2935,1985,0.024298,3.7339),(2935,1995,0.024915,3.7347),(2935,2005,0.025568,3.7354),(2935,2015,0.026257,3.7362),(2935,2025,0.026945,3.737),(2935,2035,0.027634,3.7378),(2935,2045,0.028366,3.7386),(2935,2055,0.029133,3.7394),(2935,2065,0.029901,3.7402),(2935,2075,0.030669,3.7411),(2935,2085,0.031488,3.7419),(2935,2095,0.032343,3.7427),(2935,2105,0.033199,3.7436),(2935,2115,0.034054,3.7445),(2935,2125,0.03497,3.7453),(2935,2135,0.035922,3.7462),(2935,2145,0.036875,3.7471),(2935,2155,0.037827,3.748),(2935,2165,0.038851,3.7488),(2935,2175,0.039911,3.7497),(2935,2185,0.040971,3.7506),(2935,2195,0.042031,3.7516),(2935,2205,0.043174,3.7525),(2935,2215,0.044352,3.7534),(2935,2225,0.045531,3.7543),(2935,2235,0.046709,3.7552),(2935,2245,0.047983,3.7562),(2935,2255,0.049291,3.7571),(2935,2265,0.0506,3.758),(2935,2275,0.051908,3.7589),(2935,2285,0.053326,3.7599),(2935,2295,0.054776,3.7608),(2935,2305,0.056226,3.7617),(2935,2315,0.057676,3.7627),(2935,2325,0.059251,3.7636),(2935,2335,0.060855,3.7645),(2935,2345,0.06246,3.7655),(2935,2355,0.064064,3.7664),(2935,2365,0.065811,3.7673),(2935,2375,0.067582,3.7682),(2935,2385,0.069353,3.7691),(2935,2395,0.071124,3.77),(2935,2405,0.073055,3.7709),(2935,2415,0.075005,3.7718),(2935,2425,0.076955,3.7726),(2935,2435,0.078905,3.7735),(2935,2445,0.081034,3.7743),(2935,2455,0.083174,3.7752),(2935,2465,0.085315,3.776),(2935,2475,0.087456,3.7767),(2935,2485,0.089793,3.7775),(2935,2495,0.092135,3.7783),(2935,2505,0.094477,3.779),(2935,2515,0.096822,3.7797),(2935,2525,0.099374,3.7804),(2935,2535,0.10193,3.7811),(2935,2545,0.10448,3.7817),(2935,2555,0.10704,3.7822),(2935,2565,0.10981,3.7828),(2935,2575,0.11258,3.7834),(2935,2585,0.11535,3.7838),(2935,2595,0.11814,3.7843),(2935,2605,0.12113,3.7847),(2935,2615,0.12412,3.7851),(2935,2625,0.12711,3.7854),(2935,2635,0.13013,3.7857),(2935,2645,0.13334,3.7859),(2935,2655,0.13655,3.7862),(2935,2665,0.13976,3.7862),(2935,2675,0.14301,3.7863),(2935,2685,0.14644,3.7864),(2935,2695,0.14987,3.7864),(2935,2705,0.1533,3.7862),(2935,2715,0.15677,3.786),(2935,2725,0.16041,3.7859),(2935,2735,0.16405,3.7856),(2935,2745,0.16769,3.7852),(2935,2755,0.17138,3.7847),(2935,2765,0.17521,3.7843),(2935,2775,0.17905,3.7837),(2935,2785,0.18289,3.783),(2935,2795,0.18677,3.7822),(2935,2805,0.19079,3.7815),(2935,2815,0.19481,3.7806),(2935,2825,0.19882,3.7795),(2935,2835,0.20289,3.7784),(2935,2845,0.20707,3.7773),(2935,2855,0.21124,3.7761),(2935,2865,0.21541,3.7746),(2935,2875,0.21964,3.7731),(2935,2885,0.22394,3.7716),(2935,2895,0.22824,3.77),(2935,2905,0.23254,3.7681),(2935,2915,0.23689,3.7662),(2935,2925,0.24128,3.7643),(2935,2935,0.24568,3.7622),(2935,2945,0.25008,3.7599),(2935,2955,0.25451,3.7576),(2935,2965,0.25896,3.7553),(2935,2975,0.26342,3.7527),(2935,2985,0.26788,3.7499),(2935,2995,0.27234,3.7472),(2935,3005,0.27682,3.7444),(2935,3015,0.28129,3.7413),(2935,3025,0.28576,3.7381),(2935,3035,0.29022,3.7348),(2935,3045,0.29466,3.7316),(2935,3055,0.29911,3.728),(2935,3065,0.30355,3.7243),(2935,3075,0.30795,3.7206),(2935,3085,0.31232,3.7168),(2935,3095,0.31668,3.7128),(2935,3105,0.32105,3.7085),(2935,3115,0.32534,3.7043),(2935,3125,0.32957,3.7),(2935,3135,0.33381,3.6955),(2935,3145,0.33804,3.6907),(2935,3155,0.34216,3.686),(2935,3165,0.34621,3.6813),(2935,3175,0.35026,3.6762),(2935,3185,0.35431,3.671),(2935,3195,0.3582,3.6657),(2935,3205,0.36201,3.6605),(2935,3215,0.36582,3.6549),(2935,3225,0.36963,3.6492),(2935,3235,0.37322,3.6435),(2935,3245,0.37674,3.6378),(2935,3255,0.38025,3.6318),(2935,3265,0.38377,3.6257),(2935,3275,0.38701,3.6195),(2935,3285,0.39018,3.6134),(2935,3295,0.39334,3.6069),(2935,3305,0.3965,3.6003),(2935,3315,0.39934,3.5937),(2935,3325,0.4021,3.5872),(2935,3335,0.40485,3.5803),(2935,3345,0.40761,3.5733),(2935,3355,0.40998,3.5664),(2935,3365,0.41228,3.5594),(2935,3375,0.41458,3.5522),(2935,3385,0.41688,3.5449),(2935,3395,0.41874,3.5377),(2935,3405,0.42053,3.5304),(2935,3415,0.42233,3.5229),(2935,3425,0.42413,3.5154),(2935,3435,0.42542,3.5078),(2935,3445,0.42667,3.5003),(2935,3455,0.42793,3.4926),(2935,3465,0.42918,3.4848),(2935,3475,0.42988,3.4771),(2935,3485,0.43055,3.4694),(2935,3495,0.43123,3.4615),(2935,3505,0.4319,3.4537),(2935,3515,0.43198,3.4458),(2935,3525,0.43206,3.438),(2935,3535,0.43215,3.4301),(2935,3545,0.4322,3.4222),(2935,3555,0.43167,3.4144),(2935,3565,0.43115,3.4065),(2935,3575,0.43062,3.3987),(2935,3585,0.43005,3.3908),(2935,3595,0.42892,3.383),(2935,3605,0.4278,3.3752),(2935,3615,0.42668,3.3676),(2935,3625,0.42548,3.3599),(2935,3635,0.42379,3.3522),(2935,3645,0.42209,3.3446),(2935,3655,0.42039,3.3372),(2935,3665,0.41861,3.3297),(2935,3675,0.41638,3.3223),(2935,3685,0.41415,3.315),(2935,3695,0.41192,3.3079),(2935,3705,0.4096,3.3008),(2935,3715,0.4069,3.2937),(2935,3725,0.40421,3.2867),(2935,3735,0.40151,3.28),(2935,3745,0.39873,3.2733),(2935,3755,0.39565,3.2666),(2935,3765,0.39257,3.26),(2935,3775,0.38949,3.2538),(2935,3785,0.38633,3.2475),(2935,3795,0.38296,3.2413),(2935,3805,0.37959,3.2352),(2935,3815,0.37622,3.2295),(2935,3825,0.3728,3.2237),(2935,3835,0.36925,3.2179),(2935,3845,0.36571,3.2123),(2935,3855,0.36216,3.2071),(2935,3865,0.35859,3.2018),(2935,3875,0.35497,3.1965),(2935,3885,0.35135,3.1913),(2935,3895,0.34774,3.1865),(2935,3905,0.38925,3.1816),(2935,3915,0.4982,3.1767),(2935,3925,0.60715,3.1698),(2935,3935,0.71609,3.1601),(2935,3945,0.82819,3.1503),(2935,3955,0.9443,3.1406),(2935,3965,1.0604,3.1288),(2935,3975,1.1765,3.1147),(2935,3985,1.2408,3.1005),(2935,3995,1.249,3.0864),(2935,4005,1.2572,3.0724),(2935,4015,1.2654,3.0586),(2935,4025,1.2755,3.0448),(2935,4035,1.2858,3.0309),(2935,4045,1.2961,3.017),(2935,4055,1.3077,3.0031),(2935,4065,1.3198,2.989),(2935,4075,1.3319,2.9744),(2935,4085,1.345,2.9598),(2935,4095,1.3591,2.9452),(2935,4105,1.3731,2.9293),(2935,4115,1.3398,2.9134),(2935,4125,1.228,2.8975),(2935,4135,1.1162,2.8833),(2935,4145,1.0008,2.8696),(2935,4155,0.87107,2.8558),(2935,4165,0.74131,2.8448),(2935,4175,0.61921,2.8355),(2935,4185,0.87701,2.8262),(2935,4195,1.1348,2.8133),(2935,4205,1.3926,2.7955),(2935,4215,1.429,2.7777),(2935,4225,1.4237,2.7595),(2935,4235,1.4184,2.74),(2935,4245,1.3753,2.7206),(2935,4255,1.313,2.7011),(2935,4265,1.2507,2.6812),(2935,4275,1.0881,2.6613),(2935,4285,0.819,2.6414),(2935,4295,0.54989,2.6337),(2935,4305,0.46379,2.6273),(2935,4315,0.79094,2.6209),(2935,4325,1.1181,2.6064),(2935,4335,1.4098,2.5886),(2935,4345,1.4617,2.5708),(2935,4355,1.5135,2.5521),(2935,4365,1.5653,2.5325),(2935,4375,1.578,2.5129),(2935,4385,1.5887,2.4934),(2935,4395,1.5993,2.474),(2935,4405,1.4128,2.4545),(2935,4415,1.168,2.4366),(2935,4425,0.92332,2.4255),(2935,4435,0.8211,2.4143),(2935,4445,0.81627,2.4031),(2935,4455,0.81144,2.3925),(2935,4465,0.9188,2.3818),(2935,4475,1.1838,2.3711),(2935,4485,1.4487,2.3544),(2935,4495,1.6528,2.3364),(2935,4505,1.6615,2.3184),(2935,4515,1.6701,2.3006),(2935,4525,1.6752,2.2829),(2935,4535,1.6242,2.2652),(2935,4545,1.5732,2.2487),(2935,4555,1.5221,2.2336),(2935,4565,1.1732,2.2185),(2935,4575,0.78414,2.2068),(2935,4585,0.39508,2.2034),(2935,4595,0.51795,2.2),(2935,4605,0.85713,2.1948),(2935,4615,1.1963,2.1765),(2935,4625,1.4052,2.1581),(2935,4635,1.4961,2.1397),(2935,4645,1.587,2.1221),(2935,4655,1.6543,2.1044),(2935,4665,1.6772,2.0868),(2935,4675,1.7,2.07),(2935,4685,1.6608,2.0534),(2935,4695,1.3149,2.0368),(2935,4705,0.96897,2.0262),(2935,4715,0.62307,2.0199),(2935,4725,0.79788,2.0136),(2935,4735,0.97791,2.0057),(2935,4745,1.1579,1.9953),(2935,4755,1.3408,1.985),(2935,4765,1.5244,1.9736),(2935,4775,1.7079,1.9587),(2935,4785,1.7783,1.9438),(2935,4795,1.7833,1.9288),(2935,4805,1.7882,1.9141),(2935,4815,1.7068,1.8994),(2935,4825,1.5221,1.8847),(2935,4835,1.3373,1.8742),(2935,4845,1.1506,1.8644),(2935,4855,0.95869,1.8545),(2935,4865,0.76675,1.848),(2935,4875,0.63261,1.843),(2935,4885,1.0243,1.8379),(2935,4895,1.416,1.8284),(2935,4905,1.8077,1.8144),(2935,4915,1.8347,1.8005),(2935,4925,1.8303,1.7864),(2935,4935,1.826,1.7721),(2935,4945,1.7694,1.7577),(2935,4955,1.6946,1.7431),(2935,4965,1.6199,1.7269),(2935,4975,1.3337,1.7106),(2935,4985,0.88418,1.6944),(2935,4995,0.43468,1.6926),(2935,5005,0.31493,1.6912),(2935,5015,0.7194,1.6897),(2935,5025,1.1239,1.6812),(2935,5035,1.4724,1.671),(2935,5045,1.6079,1.6607),(2935,5055,1.7435,1.6487),(2935,5065,1.8751,1.6357),(2935,5075,1.8787,1.6227),(2935,5085,1.8824,1.6097),(2935,5095,1.8861,1.5968),(2935,5105,1.6511,1.5839),(2935,5115,1.3745,1.5726),(2935,5125,1.0979,1.5657),(2935,5135,0.96216,1.5589),(2935,5145,0.89478,1.5522),(2935,5155,0.8274,1.547),(2935,5165,0.9748,1.5418),(2935,5175,1.3413,1.5367),(2935,5185,1.7077,1.525),(2935,5195,1.9591,1.5127),(2935,5205,1.9625,1.5003),(2935,5215,1.9658,1.4881),(2935,5225,1.9587,1.4759),(2935,5235,1.887,1.4637),(2935,5245,1.8153,1.4524),(2935,5255,1.7436,1.4417),(2935,5265,1.2309,1.4311),(2935,5275,0.69994,1.4242),(2935,5285,0.169,1.4238),(2935,5295,0.48973,1.4234),(2935,5305,1.0476,1.4201),(2935,5315,1.6056,1.4049),(2935,5325,1.8625,1.3898),(2935,5335,1.922,1.3746),(2935,5345,1.9815,1.3619),(2935,5355,2.0185,1.3493),(2935,5365,2.025,1.3366),(2935,5375,2.0316,1.3242),(2935,5385,1.9206,1.312),(2935,5395,1.4522,1.2997),(2935,5405,0.98391,1.2934),(2935,5415,0.56767,1.2901),(2935,5425,0.85117,1.2868),(2935,5435,1.1347,1.2811),(2935,5445,1.4182,1.2729),(2935,5455,1.6873,1.2647),(2935,5465,1.9546,1.2551),(2935,5475,2.2219,1.2424),(2935,5485,2.3011,1.2296),(2935,5495,2.3046,1.2169),(2935,5505,2.3081,1.2046),(2935,5515,2.3116,1.1922),(2935,5525,2.315,1.1798),(2935,5535,2.3185,1.1678),(2935,5545,2.3218,1.1558),(2935,5555,2.325,1.1438),(2935,5565,2.3281,1.1321),(2935,5575,2.3312,1.1204),(2935,5585,2.334,1.1088),(2935,5595,2.3369,1.0973),(2935,5605,2.3397,1.0861),(2935,5615,2.3423,1.0748),(2935,5625,2.3449,1.0636),(2935,5635,2.3475,1.0526),(2935,5645,2.3498,1.0416),(2935,5655,2.3521,1.0307),(2935,5665,2.3545,1.02),(2935,5675,2.3566,1.0094),(2935,5685,2.3587,0.99872),(2935,5695,2.3608,0.98832),(2935,5705,2.3627,0.97793),(2935,5715,2.3646,0.96754),(2935,5725,2.3665,0.95737),(2935,5735,2.3683,0.94723),(2935,5745,2.3699,0.93709),(2935,5755,2.3715,0.92713),(2935,5765,2.3732,0.91724),(2935,5775,2.3746,0.90736),(2935,5785,2.3761,0.8976),(2935,5795,2.3775,0.88796),(2935,5805,2.3788,0.87832),(2935,5815,2.3801,0.86875),(2935,5825,2.3813,0.85934),(2935,5835,2.3825,0.84993),(2935,5845,2.3836,0.84055),(2935,5855,2.3847,0.83135),(2935,5865,2.3857,0.82215),(2935,5875,2.3866,0.81295),(2935,5885,2.3876,0.80395),(2935,5895,2.3884,0.79495),(2935,5905,2.3892,0.78596),(2935,5915,2.39,0.77713),(2935,5925,2.3908,0.76833),(2935,5935,2.3914,0.75954),(2935,5945,2.3921,0.75087),(2935,5955,2.3927,0.74227),(2935,5965,2.3933,0.73367),(2935,5975,2.3938,0.72515),(2935,5985,2.3944,0.71672),(2935,5995,1.831,0.70829),(2935,6005,1.1768,0.70185),(2935,6015,0.52269,0.70072),(2935,6025,0.6434,0.69958),(2935,6035,1.1235,0.69764),(2935,6045,1.6036,0.6879),(2935,6055,1.9385,0.67815),(2935,6065,2.1309,0.66841),(2935,6075,2.3234,0.65585),(2935,6085,2.454,0.64304),(2935,6095,2.4569,0.63023),(2935,6105,2.4598,0.61745),(2935,6115,2.4627,0.60468),(2935,6125,2.4654,0.59191),(2935,6135,2.4681,0.57922),(2935,6145,2.4708,0.5666),(2935,6155,2.4734,0.55397),(2935,6165,2.4759,0.54142),(2935,6175,2.4784,0.52899),(2935,6185,2.4808,0.51655),(2935,6195,2.4832,0.50413),(2935,6205,2.4855,0.49175),(2935,6215,2.4877,0.47938),(2935,6225,2.4899,0.467),(2935,6235,2.492,0.45467),(2935,6245,2.4941,0.44235),(2935,6255,2.4961,0.43002),(2935,6265,2.498,0.41778),(2935,6275,2.4999,0.40555),(2935,6285,2.5017,0.39332),(2935,6295,2.5035,0.38113),(2935,6305,2.5052,0.36895),(2935,6315,2.5068,0.35677),(2935,6325,2.5084,0.34464),(2935,6335,2.51,0.33255),(2935,6345,2.5114,0.32047),(2935,6355,2.5128,0.3084),(2935,6365,2.5142,0.29638),(2935,6375,2.5155,0.28436),(2935,6385,2.5168,0.27234),(2935,6395,2.518,0.26035),(2935,6405,2.5191,0.24836),(2935,6415,2.5202,0.23637),(2935,6425,2.5213,0.22444),(2935,6435,2.5223,0.21251),(2935,6445,2.5232,0.20058),(2935,6455,2.5241,0.18869),(2935,6465,2.525,0.17682),(2935,6475,2.5258,0.16494),(2935,6485,2.5265,0.15307),(2935,6495,2.5272,0.14121),(2935,6505,2.5278,0.12935),(2935,6515,2.5284,0.11751),(2935,6525,2.5289,0.10569),(2935,6535,2.5293,0.093868),(2935,6545,2.5297,0.082047),(2935,6555,2.5301,0.070223),(2935,6565,2.5304,0.058399),(2935,6575,2.5306,0.046578),(2935,6585,2.5308,0.034786),(2935,6595,2.1527,0.022994),(2935,6605,1.3568,0.011203),(2935,6615,0.56086,0.009844),(2935,6625,0.00136,0.009826),(2935,6635,0.001358,0.009809),(2935,6645,0.001356,0.009796),(2935,6655,0.001354,0.009785),(2935,6665,0.001352,0.009775),(2935,6675,0.00135,0.009764),(2935,6685,0.001348,0.009754),(2935,6695,0.001347,0.009743),(2935,6705,0.001345,0.009733),(2935,6715,0.001343,0.009723),(2935,6725,0.001342,0.009713),(2935,6735,0.00134,0.009702),(2935,6745,0.001339,0.009692),(2935,6755,0.001337,0.009682),(2935,6765,0.001336,0.009672),(2935,6775,0.001334,0.009662),(2935,6785,0.001333,0.009652),(2935,6795,0.001332,0.009642),(2935,6805,0.00133,0.009632),(2935,6815,0.001329,0.009622),(2935,6825,0.001328,0.009612),(2935,6835,0.001326,0.009603),(2935,6845,0.001325,0.009593),(2935,6855,0.001324,0.009583),(2935,6865,0.001323,0.009573),(2935,6875,0.001322,0.009564),(2935,6885,0.001321,0.009554),(2935,6895,0.00132,0.009544),(2935,6905,0.001319,0.009534),(2935,6915,0.001318,0.009525),(2935,6925,0.001317,0.009515),(2935,6935,0.001316,0.009506),(2935,6945,0.001315,0.009496),(2935,6955,0.001314,0.009487),(2935,6965,0.001313,0.009477),(2935,6975,0.001313,0.009468),(2935,6985,0.001312,0.009458),(2945,5,1.7e-05,3.688),(2945,15,5.2e-05,3.688),(2945,25,8.7e-05,3.688),(2945,35,0.000122,3.688),(2945,45,0.000157,3.688),(2945,55,0.000192,3.688),(2945,65,0.000227,3.688),(2945,75,0.000261,3.688),(2945,85,0.000296,3.6881),(2945,95,0.000331,3.6881),(2945,105,0.000366,3.6881),(2945,115,0.0004,3.6881),(2945,125,0.000435,3.6881),(2945,135,0.000469,3.6881),(2945,145,0.000504,3.6881),(2945,155,0.000538,3.6881),(2945,165,0.000572,3.6881),(2945,175,0.000607,3.6881),(2945,185,0.000641,3.6882),(2945,195,0.000675,3.6882),(2945,205,0.000709,3.6882),(2945,215,0.000743,3.6882),(2945,225,0.000776,3.6882),(2945,235,0.00081,3.6882),(2945,245,0.000844,3.6883),(2945,255,0.000877,3.6883),(2945,265,0.000911,3.6883),(2945,275,0.000944,3.6883),(2945,285,0.000977,3.6883),(2945,295,0.001011,3.6884),(2945,305,0.001044,3.6884),(2945,315,0.001077,3.6884),(2945,325,0.00111,3.6884),(2945,335,0.001143,3.6885),(2945,345,0.001175,3.6885),(2945,355,0.001208,3.6885),(2945,365,0.001241,3.6885),(2945,375,0.001273,3.6886),(2945,385,0.001305,3.6886),(2945,395,0.001337,3.6886),(2945,405,0.001369,3.6887),(2945,415,0.001401,3.6887),(2945,425,0.001432,3.6888),(2945,435,0.001464,3.6888),(2945,445,0.001495,3.6888),(2945,455,0.001527,3.6889),(2945,465,0.001558,3.6889),(2945,475,0.001589,3.6889),(2945,485,0.00162,3.689),(2945,495,0.001651,3.689),(2945,505,0.001681,3.6891),(2945,515,0.001712,3.6891),(2945,525,0.001743,3.6892),(2945,535,0.001773,3.6892),(2945,545,0.001803,3.6893),(2945,555,0.001834,3.6893),(2945,565,0.001864,3.6894),(2945,575,0.001894,3.6894),(2945,585,0.001924,3.6895),(2945,595,0.001954,3.6896),(2945,605,0.001984,3.6896),(2945,615,0.002013,3.6897),(2945,625,0.002043,3.6898),(2945,635,0.002073,3.6898),(2945,645,0.002102,3.6899),(2945,655,0.002132,3.69),(2945,665,0.002161,3.69),(2945,675,0.002191,3.6901),(2945,685,0.002221,3.6902),(2945,695,0.00225,3.6903),(2945,705,0.00228,3.6903),(2945,715,0.00231,3.6904),(2945,725,0.002339,3.6905),(2945,735,0.002369,3.6906),(2945,745,0.002399,3.6907),(2945,755,0.002429,3.6907),(2945,765,0.002459,3.6908),(2945,775,0.002489,3.6909),(2945,785,0.00252,3.691),(2945,795,0.00255,3.6911),(2945,805,0.002581,3.6912),(2945,815,0.002611,3.6913),(2945,825,0.002642,3.6914),(2945,835,0.002674,3.6915),(2945,845,0.002705,3.6917),(2945,855,0.002736,3.6918),(2945,865,0.002769,3.6919),(2945,875,0.002801,3.692),(2945,885,0.002833,3.6921),(2945,895,0.002866,3.6922),(2945,905,0.0029,3.6924),(2945,915,0.002934,3.6925),(2945,925,0.002967,3.6926),(2945,935,0.003002,3.6928),(2945,945,0.003038,3.6929),(2945,955,0.003074,3.693),(2945,965,0.00311,3.6932),(2945,975,0.003147,3.6933),(2945,985,0.003186,3.6935),(2945,995,0.003224,3.6936),(2945,1005,0.003263,3.6938),(2945,1015,0.003302,3.6939),(2945,1025,0.003344,3.6941),(2945,1035,0.003385,3.6943),(2945,1045,0.003427,3.6944),(2945,1055,0.00347,3.6946),(2945,1065,0.003515,3.6948),(2945,1075,0.00356,3.695),(2945,1085,0.003605,3.6951),(2945,1095,0.003653,3.6953),(2945,1105,0.003703,3.6955),(2945,1115,0.003752,3.6957),(2945,1125,0.003801,3.6959),(2945,1135,0.003854,3.6961),(2945,1145,0.003909,3.6963),(2945,1155,0.003964,3.6965),(2945,1165,0.004019,3.6968),(2945,1175,0.004078,3.697),(2945,1185,0.004139,3.6972),(2945,1195,0.0042,3.6974),(2945,1205,0.004261,3.6977),(2945,1215,0.004327,3.6979),(2945,1225,0.004395,3.6981),(2945,1235,0.004463,3.6984),(2945,1245,0.004531,3.6986),(2945,1255,0.004605,3.6989),(2945,1265,0.00468,3.6991),(2945,1275,0.004757,3.6994),(2945,1285,0.004832,3.6997),(2945,1295,0.004916,3.6999),(2945,1305,0.005001,3.7002),(2945,1315,0.005086,3.7005),(2945,1325,0.005172,3.7008),(2945,1335,0.005266,3.7011),(2945,1345,0.005362,3.7014),(2945,1355,0.005458,3.7017),(2945,1365,0.005554,3.702),(2945,1375,0.005661,3.7023),(2945,1385,0.005769,3.7026),(2945,1395,0.005878,3.703),(2945,1405,0.005986,3.7033),(2945,1415,0.006107,3.7036),(2945,1425,0.006228,3.704),(2945,1435,0.00635,3.7043),(2945,1445,0.006472,3.7047),(2945,1455,0.006608,3.705),(2945,1465,0.006745,3.7054),(2945,1475,0.006882,3.7058),(2945,1485,0.007019,3.7062),(2945,1495,0.007173,3.7066),(2945,1505,0.007327,3.7069),(2945,1515,0.007481,3.7073),(2945,1525,0.007636,3.7077),(2945,1535,0.007809,3.7082),(2945,1545,0.007983,3.7086),(2945,1555,0.008156,3.709),(2945,1565,0.008331,3.7094),(2945,1575,0.008526,3.7099),(2945,1585,0.008721,3.7103),(2945,1595,0.008916,3.7108),(2945,1605,0.009114,3.7112),(2945,1615,0.009333,3.7117),(2945,1625,0.009552,3.7122),(2945,1635,0.009771,3.7126),(2945,1645,0.009994,3.7131),(2945,1655,0.01024,3.7136),(2945,1665,0.010486,3.7141),(2945,1675,0.010731,3.7146),(2945,1685,0.010983,3.7152),(2945,1695,0.011258,3.7157),(2945,1705,0.011534,3.7162),(2945,1715,0.01181,3.7168),(2945,1725,0.012093,3.7173),(2945,1735,0.012401,3.7179),(2945,1745,0.01271,3.7184),(2945,1755,0.013019,3.719),(2945,1765,0.013338,3.7196),(2945,1775,0.013684,3.7202),(2945,1785,0.01403,3.7208),(2945,1795,0.014376,3.7214),(2945,1805,0.014735,3.722),(2945,1815,0.015122,3.7226),(2945,1825,0.01551,3.7232),(2945,1835,0.015897,3.7239),(2945,1845,0.016301,3.7245),(2945,1855,0.016734,3.7252),(2945,1865,0.017168,3.7258),(2945,1875,0.017601,3.7265),(2945,1885,0.018055,3.7272),(2945,1895,0.018539,3.7279),(2945,1905,0.019024,3.7286),(2945,1915,0.019509,3.7293),(2945,1925,0.020018,3.73),(2945,1935,0.020561,3.7307),(2945,1945,0.021103,3.7315),(2945,1955,0.021645,3.7322),(2945,1965,0.022217,3.733),(2945,1975,0.022823,3.7337),(2945,1985,0.023429,3.7345),(2945,1995,0.024035,3.7353),(2945,2005,0.024677,3.7361),(2945,2015,0.025354,3.7369),(2945,2025,0.026032,3.7377),(2945,2035,0.026709,3.7385),(2945,2045,0.027429,3.7393),(2945,2055,0.028185,3.7402),(2945,2065,0.028942,3.741),(2945,2075,0.029698,3.7419),(2945,2085,0.030506,3.7427),(2945,2095,0.03135,3.7436),(2945,2105,0.032194,3.7445),(2945,2115,0.033039,3.7454),(2945,2125,0.033943,3.7462),(2945,2135,0.034885,3.7471),(2945,2145,0.035827,3.748),(2945,2155,0.036769,3.749),(2945,2165,0.037782,3.7499),(2945,2175,0.038832,3.7508),(2945,2185,0.039882,3.7517),(2945,2195,0.040932,3.7527),(2945,2205,0.042065,3.7536),(2945,2215,0.043235,3.7545),(2945,2225,0.044404,3.7555),(2945,2235,0.045574,3.7565),(2945,2245,0.04684,3.7574),(2945,2255,0.04814,3.7584),(2945,2265,0.049441,3.7593),(2945,2275,0.050742,3.7603),(2945,2285,0.052154,3.7613),(2945,2295,0.053598,3.7623),(2945,2305,0.055042,3.7632),(2945,2315,0.056486,3.7642),(2945,2325,0.058058,3.7652),(2945,2335,0.059659,3.7661),(2945,2345,0.06126,3.7671),(2945,2355,0.06286,3.7681),(2945,2365,0.064606,3.769),(2945,2375,0.066377,3.77),(2945,2385,0.068147,3.7709),(2945,2395,0.069918,3.7719),(2945,2405,0.071852,3.7728),(2945,2415,0.073805,3.7737),(2945,2425,0.075759,3.7746),(2945,2435,0.077712,3.7755),(2945,2445,0.079848,3.7764),(2945,2455,0.081996,3.7773),(2945,2465,0.084144,3.7781),(2945,2475,0.086292,3.779),(2945,2485,0.088642,3.7798),(2945,2495,0.090996,3.7806),(2945,2505,0.093351,3.7814),(2945,2515,0.095708,3.7821),(2945,2525,0.098278,3.7829),(2945,2535,0.10085,3.7836),(2945,2545,0.10342,3.7843),(2945,2555,0.106,3.7849),(2945,2565,0.10879,3.7855),(2945,2575,0.11159,3.7862),(2945,2585,0.11438,3.7867),(2945,2595,0.1172,3.7871),(2945,2605,0.12022,3.7876),(2945,2615,0.12324,3.7881),(2945,2625,0.12626,3.7884),(2945,2635,0.12931,3.7888),(2945,2645,0.13256,3.7891),(2945,2655,0.13582,3.7894),(2945,2665,0.13907,3.7895),(2945,2675,0.14236,3.7896),(2945,2685,0.14583,3.7897),(2945,2695,0.14931,3.7898),(2945,2705,0.15279,3.7897),(2945,2715,0.15631,3.7896),(2945,2725,0.16,3.7894),(2945,2735,0.1637,3.7893),(2945,2745,0.16739,3.7889),(2945,2755,0.17114,3.7885),(2945,2765,0.17504,3.7881),(2945,2775,0.17894,3.7876),(2945,2785,0.18284,3.7869),(2945,2795,0.1868,3.7861),(2945,2805,0.19089,3.7854),(2945,2815,0.19498,3.7846),(2945,2825,0.19907,3.7835),(2945,2835,0.20321,3.7825),(2945,2845,0.20747,3.7814),(2945,2855,0.21172,3.7802),(2945,2865,0.21598,3.7788),(2945,2875,0.22028,3.7773),(2945,2885,0.22467,3.7759),(2945,2895,0.22906,3.7742),(2945,2905,0.23345,3.7724),(2945,2915,0.23789,3.7705),(2945,2925,0.24238,3.7686),(2945,2935,0.24687,3.7666),(2945,2945,0.25137,3.7643),(2945,2955,0.25589,3.762),(2945,2965,0.26045,3.7597),(2945,2975,0.265,3.7571),(2945,2985,0.26956,3.7544),(2945,2995,0.27413,3.7516),(2945,3005,0.27871,3.7488),(2945,3015,0.28329,3.7458),(2945,3025,0.28787,3.7425),(2945,3035,0.29243,3.7392),(2945,3045,0.29698,3.736),(2945,3055,0.30154,3.7324),(2945,3065,0.30609,3.7287),(2945,3075,0.3106,3.7249),(2945,3085,0.31508,3.7211),(2945,3095,0.31955,3.7171),(2945,3105,0.32403,3.7128),(2945,3115,0.32843,3.7085),(2945,3125,0.33278,3.7042),(2945,3135,0.33712,3.6996),(2945,3145,0.34147,3.6949),(2945,3155,0.3457,3.6901),(2945,3165,0.34986,3.6853),(2945,3175,0.35402,3.6802),(2945,3185,0.35818,3.6749),(2945,3195,0.36218,3.6696),(2945,3205,0.3661,3.6643),(2945,3215,0.37001,3.6587),(2945,3225,0.37393,3.6529),(2945,3235,0.37763,3.6471),(2945,3245,0.38125,3.6413),(2945,3255,0.38487,3.6352),(2945,3265,0.38849,3.629),(2945,3275,0.39183,3.6227),(2945,3285,0.39509,3.6165),(2945,3295,0.39835,3.6099),(2945,3305,0.40161,3.6032),(2945,3315,0.40453,3.5966),(2945,3325,0.40738,3.5899),(2945,3335,0.41022,3.5829),(2945,3345,0.41306,3.5758),(2945,3355,0.41551,3.5688),(2945,3365,0.41789,3.5617),(2945,3375,0.42026,3.5544),(2945,3385,0.42264,3.547),(2945,3395,0.42456,3.5396),(2945,3405,0.42642,3.5322),(2945,3415,0.42828,3.5245),(2945,3425,0.43013,3.5169),(2945,3435,0.43147,3.5092),(2945,3445,0.43277,3.5015),(2945,3455,0.43407,3.4937),(2945,3465,0.43537,3.4858),(2945,3475,0.4361,3.4779),(2945,3485,0.4368,3.47),(2945,3495,0.43751,3.462),(2945,3505,0.43821,3.4541),(2945,3515,0.4383,3.4461),(2945,3525,0.43839,3.4381),(2945,3535,0.43847,3.43),(2945,3545,0.43853,3.422),(2945,3555,0.438,3.414),(2945,3565,0.43746,3.406),(2945,3575,0.43692,3.398),(2945,3585,0.43633,3.39),(2945,3595,0.43517,3.382),(2945,3605,0.43401,3.3741),(2945,3615,0.43285,3.3663),(2945,3625,0.43162,3.3585),(2945,3635,0.42986,3.3507),(2945,3645,0.42811,3.3429),(2945,3655,0.42635,3.3353),(2945,3665,0.42451,3.3278),(2945,3675,0.4222,3.3202),(2945,3685,0.4199,3.3127),(2945,3695,0.41759,3.3055),(2945,3705,0.41519,3.2983),(2945,3715,0.4124,3.2911),(2945,3725,0.40961,3.284),(2945,3735,0.40682,3.2772),(2945,3745,0.40393,3.2704),(2945,3755,0.40074,3.2636),(2945,3765,0.39756,3.257),(2945,3775,0.39437,3.2507),(2945,3785,0.3911,3.2443),(2945,3795,0.38762,3.238),(2945,3805,0.38414,3.2319),(2945,3815,0.38066,3.2261),(2945,3825,0.37712,3.2203),(2945,3835,0.37346,3.2145),(2945,3845,0.36981,3.2088),(2945,3855,0.36615,3.2035),(2945,3865,0.36248,3.1982),(2945,3875,0.35876,3.1929),(2945,3885,0.35505,3.1878),(2945,3895,0.35133,3.1829),(2945,3905,0.39312,3.178),(2945,3915,0.5029,3.1732),(2945,3925,0.61267,3.1663),(2945,3935,0.72244,3.1565),(2945,3945,0.8353,3.1468),(2945,3955,0.95207,3.1371),(2945,3965,1.0688,3.1253),(2945,3975,1.1856,3.1113),(2945,3985,1.2502,3.0972),(2945,3995,1.2582,3.0831),(2945,4005,1.2663,3.0692),(2945,4015,1.2744,3.0554),(2945,4025,1.2845,3.0417),(2945,4035,1.2948,3.0279),(2945,4045,1.3051,3.014),(2945,4055,1.3168,3.0001),(2945,4065,1.3291,2.9861),(2945,4075,1.3414,2.9715),(2945,4085,1.3548,2.9568),(2945,4095,1.3692,2.9422),(2945,4105,1.3836,2.9263),(2945,4115,1.3504,2.9103),(2945,4125,1.2384,2.8943),(2945,4135,1.1263,2.88),(2945,4145,1.0106,2.8661),(2945,4155,0.87994,2.8522),(2945,4165,0.74927,2.841),(2945,4175,0.62632,2.8315),(2945,4185,0.88586,2.822),(2945,4195,1.1454,2.8088),(2945,4205,1.4049,2.7908),(2945,4215,1.4421,2.7727),(2945,4225,1.4373,2.7542),(2945,4235,1.4326,2.7344),(2945,4245,1.39,2.7146),(2945,4255,1.328,2.6948),(2945,4265,1.2661,2.6745),(2945,4275,1.1021,2.6542),(2945,4285,0.82967,2.6339),(2945,4295,0.55726,2.626),(2945,4305,0.46959,2.6195),(2945,4315,0.79909,2.6131),(2945,4325,1.1286,2.5984),(2945,4335,1.4224,2.5805),(2945,4345,1.4746,2.5626),(2945,4355,1.5269,2.5437),(2945,4365,1.5791,2.524),(2945,4375,1.5917,2.5042),(2945,4385,1.6023,2.4845),(2945,4395,1.6128,2.465),(2945,4405,1.4249,2.4455),(2945,4415,1.1784,2.4275),(2945,4425,0.93198,2.4164),(2945,4435,0.82904,2.4053),(2945,4445,0.82416,2.3941),(2945,4455,0.81928,2.3833),(2945,4465,0.92715,2.3725),(2945,4475,1.1934,2.3617),(2945,4485,1.4597,2.3448),(2945,4495,1.6647,2.3267),(2945,4505,1.6732,2.3086),(2945,4515,1.6818,2.2908),(2945,4525,1.6867,2.273),(2945,4535,1.6351,2.2552),(2945,4545,1.5835,2.2386),(2945,4555,1.5319,2.2233),(2945,4565,1.1809,2.2081),(2945,4575,0.78947,2.1963),(2945,4585,0.39808,2.1929),(2945,4595,0.52266,2.1895),(2945,4605,0.86526,2.1844),(2945,4615,1.2079,2.166),(2945,4625,1.4181,2.1476),(2945,4635,1.5084,2.1292),(2945,4645,1.5988,2.1115),(2945,4655,1.6656,2.0939),(2945,4665,1.6881,2.0762),(2945,4675,1.7105,2.0594),(2945,4685,1.6707,2.0428),(2945,4695,1.3228,2.0261),(2945,4705,0.97496,2.0155),(2945,4715,0.62712,2.0091),(2945,4725,0.8025,2.0028),(2945,4735,0.98312,1.9949),(2945,4745,1.1637,1.9845),(2945,4755,1.3473,1.9742),(2945,4765,1.5316,1.9628),(2945,4775,1.7159,1.9479),(2945,4785,1.7865,1.933),(2945,4795,1.7914,1.918),(2945,4805,1.7963,1.9033),(2945,4815,1.7145,1.8886),(2945,4825,1.5289,1.8739),(2945,4835,1.3433,1.8635),(2945,4845,1.1557,1.8537),(2945,4855,0.963,1.8439),(2945,4865,0.77029,1.8374),(2945,4875,0.63558,1.8324),(2945,4885,1.0286,1.8273),(2945,4895,1.4217,1.8178),(2945,4905,1.8147,1.8038),(2945,4915,1.842,1.7899),(2945,4925,1.8377,1.7759),(2945,4935,1.8335,1.7615),(2945,4945,1.7775,1.7472),(2945,4955,1.7036,1.7326),(2945,4965,1.6298,1.7164),(2945,4975,1.3422,1.7002),(2945,4985,0.88977,1.6839),(2945,4995,0.43733,1.6821),(2945,5005,0.31626,1.6807),(2945,5015,0.72201,1.6793),(2945,5025,1.1278,1.6708),(2945,5035,1.4774,1.6606),(2945,5045,1.6133,1.6504),(2945,5055,1.7492,1.6384),(2945,5065,1.8811,1.6254),(2945,5075,1.8848,1.6124),(2945,5085,1.8884,1.5994),(2945,5095,1.892,1.5865),(2945,5105,1.6563,1.5737),(2945,5115,1.3788,1.5624),(2945,5125,1.1013,1.5555),(2945,5135,0.96511,1.5486),(2945,5145,0.89744,1.5419),(2945,5155,0.82976,1.5368),(2945,5165,0.97746,1.5316),(2945,5175,1.3448,1.5265),(2945,5185,1.7122,1.5148),(2945,5195,1.9642,1.5025),(2945,5205,1.9675,1.4902),(2945,5215,1.9707,1.478),(2945,5225,1.9636,1.4658),(2945,5235,1.8917,1.4536),(2945,5245,1.8198,1.4423),(2945,5255,1.7479,1.4317),(2945,5265,1.2339,1.421),(2945,5275,0.7017,1.4142),(2945,5285,0.16949,1.4138),(2945,5295,0.49193,1.4133),(2945,5305,1.0524,1.4101),(2945,5315,1.6128,1.3949),(2945,5325,1.8702,1.3798),(2945,5335,1.9287,1.3647),(2945,5345,1.9873,1.3521),(2945,5355,2.0236,1.3394),(2945,5365,2.03,1.3268),(2945,5375,2.0364,1.3145),(2945,5385,1.925,1.3023),(2945,5395,1.4556,1.2901),(2945,5405,0.98619,1.2837),(2945,5415,0.56898,1.2804),(2945,5425,0.85298,1.2771),(2945,5435,1.137,1.2715),(2945,5445,1.421,1.2634),(2945,5455,1.6905,1.2552),(2945,5465,1.9582,1.2457),(2945,5475,2.226,1.2331),(2945,5485,2.3052,1.2205),(2945,5495,2.3086,1.2079),(2945,5505,2.312,1.1956),(2945,5515,2.3153,1.1833),(2945,5525,2.3187,1.1711),(2945,5535,2.322,1.1592),(2945,5545,2.3252,1.1473),(2945,5555,2.3282,1.1354),(2945,5565,2.3313,1.1237),(2945,5575,2.3342,1.1122),(2945,5585,2.337,1.1006),(2945,5595,2.3397,1.0893),(2945,5605,2.3425,1.0781),(2945,5615,2.3449,1.0669),(2945,5625,2.3474,1.0558),(2945,5635,2.3499,1.0449),(2945,5645,2.3521,1.034),(2945,5655,2.3544,1.0232),(2945,5665,2.3566,1.0126),(2945,5675,2.3586,1.002),(2945,5685,2.3606,0.99148),(2945,5695,2.3626,0.98118),(2945,5705,2.3645,0.97087),(2945,5715,2.3663,0.96056),(2945,5725,2.368,0.95048),(2945,5735,2.3698,0.94042),(2945,5745,2.3713,0.93036),(2945,5755,2.3729,0.92048),(2945,5765,2.3744,0.91068),(2945,5775,2.3758,0.90088),(2945,5785,2.3772,0.8912),(2945,5795,2.3786,0.88164),(2945,5805,2.3798,0.87207),(2945,5815,2.381,0.86259),(2945,5825,2.3822,0.85325),(2945,5835,2.3832,0.84392),(2945,5845,2.3843,0.83461),(2945,5855,2.3853,0.82549),(2945,5865,2.3862,0.81637),(2945,5875,2.3871,0.80724),(2945,5885,2.388,0.79832),(2945,5895,2.3888,0.7894),(2945,5905,2.3895,0.78048),(2945,5915,2.3902,0.77172),(2945,5925,2.3909,0.763),(2945,5935,2.3915,0.75428),(2945,5945,2.3921,0.74567),(2945,5955,2.3927,0.73715),(2945,5965,2.3932,0.72862),(2945,5975,2.3937,0.72016),(2945,5985,2.3942,0.7118),(2945,5995,1.8309,0.70344),(2945,6005,1.1768,0.69705),(2945,6015,0.52265,0.69592),(2945,6025,0.64413,0.6948),(2945,6035,1.1253,0.69286),(2945,6045,1.6065,0.68318),(2945,6055,1.9421,0.6735),(2945,6065,2.1349,0.66382),(2945,6075,2.3277,0.65134),(2945,6085,2.4585,0.63861),(2945,6095,2.4614,0.62588),(2945,6105,2.4642,0.61319),(2945,6115,2.467,0.6005),(2945,6125,2.4697,0.58782),(2945,6135,2.4724,0.57522),(2945,6145,2.4751,0.56269),(2945,6155,2.4776,0.55015),(2945,6165,2.4801,0.53769),(2945,6175,2.4826,0.52534),(2945,6185,2.4849,0.51299),(2945,6195,2.4872,0.50066),(2945,6205,2.4895,0.48836),(2945,6215,2.4917,0.47607),(2945,6225,2.4938,0.46377),(2945,6235,2.4959,0.45153),(2945,6245,2.498,0.43929),(2945,6255,2.4999,0.42705),(2945,6265,2.5018,0.41489),(2945,6275,2.5037,0.40275),(2945,6285,2.5054,0.3906),(2945,6295,2.5072,0.37849),(2945,6305,2.5089,0.3664),(2945,6315,2.5105,0.3543),(2945,6325,2.5121,0.34225),(2945,6335,2.5136,0.33026),(2945,6345,2.515,0.31826),(2945,6355,2.5164,0.30628),(2945,6365,2.5178,0.29434),(2945,6375,2.5191,0.28241),(2945,6385,2.5203,0.27048),(2945,6395,2.5215,0.25857),(2945,6405,2.5226,0.24667),(2945,6415,2.5237,0.23477),(2945,6425,2.5248,0.22293),(2945,6435,2.5258,0.21108),(2945,6445,2.5266,0.19924),(2945,6455,2.5275,0.18744),(2945,6465,2.5284,0.17565),(2945,6475,2.5291,0.16385),(2945,6485,2.5299,0.15207),(2945,6495,2.5306,0.14029),(2945,6505,2.5311,0.12851),(2945,6515,2.5317,0.11674),(2945,6525,2.5323,0.10501),(2945,6535,2.5327,0.093271),(2945,6545,2.5331,0.081534),(2945,6555,2.5334,0.069796),(2945,6565,2.5337,0.058057),(2945,6575,2.5339,0.046321),(2945,6585,2.5341,0.034616),(2945,6595,2.1555,0.022912),(2945,6605,1.3585,0.011207),(2945,6615,0.5616,0.009854),(2945,6625,0.001366,0.009831),(2945,6635,0.001364,0.009808),(2945,6645,0.001362,0.009794),(2945,6655,0.00136,0.009783),(2945,6665,0.001358,0.009773),(2945,6675,0.001356,0.009762),(2945,6685,0.001354,0.009752),(2945,6695,0.001352,0.009742),(2945,6705,0.001351,0.009732),(2945,6715,0.001349,0.009721),(2945,6725,0.001347,0.009711),(2945,6735,0.001346,0.009701),(2945,6745,0.001344,0.009691),(2945,6755,0.001343,0.009681),(2945,6765,0.001341,0.009671),(2945,6775,0.00134,0.009661),(2945,6785,0.001338,0.009651),(2945,6795,0.001337,0.009641),(2945,6805,0.001336,0.009631),(2945,6815,0.001334,0.009621),(2945,6825,0.001333,0.009611),(2945,6835,0.001332,0.009601),(2945,6845,0.001331,0.009592),(2945,6855,0.001329,0.009582),(2945,6865,0.001328,0.009572),(2945,6875,0.001327,0.009562),(2945,6885,0.001326,0.009553),(2945,6895,0.001325,0.009543),(2945,6905,0.001324,0.009534),(2945,6915,0.001323,0.009524),(2945,6925,0.001322,0.009514),(2945,6935,0.001321,0.009505),(2945,6945,0.00132,0.009495),(2945,6955,0.001319,0.009486),(2945,6965,0.001319,0.009476),(2945,6975,0.001318,0.009467),(2945,6985,0.001317,0.009457),(2955,5,1.7e-05,3.6881),(2955,15,5.1e-05,3.6881),(2955,25,8.5e-05,3.6881),(2955,35,0.000119,3.6881),(2955,45,0.000153,3.6881),(2955,55,0.000187,3.6881),(2955,65,0.000221,3.6881),(2955,75,0.000255,3.6881),(2955,85,0.000288,3.6881),(2955,95,0.000322,3.6881),(2955,105,0.000356,3.6881),(2955,115,0.00039,3.6881),(2955,125,0.000423,3.6881),(2955,135,0.000457,3.6881),(2955,145,0.00049,3.6881),(2955,155,0.000524,3.6882),(2955,165,0.000557,3.6882),(2955,175,0.00059,3.6882),(2955,185,0.000624,3.6882),(2955,195,0.000657,3.6882),(2955,205,0.00069,3.6882),(2955,215,0.000723,3.6882),(2955,225,0.000755,3.6883),(2955,235,0.000788,3.6883),(2955,245,0.000821,3.6883),(2955,255,0.000853,3.6883),(2955,265,0.000886,3.6883),(2955,275,0.000918,3.6883),(2955,285,0.00095,3.6884),(2955,295,0.000982,3.6884),(2955,305,0.001014,3.6884),(2955,315,0.001046,3.6884),(2955,325,0.001078,3.6885),(2955,335,0.00111,3.6885),(2955,345,0.001141,3.6885),(2955,355,0.001173,3.6885),(2955,365,0.001204,3.6886),(2955,375,0.001235,3.6886),(2955,385,0.001266,3.6886),(2955,395,0.001297,3.6887),(2955,405,0.001328,3.6887),(2955,415,0.001358,3.6887),(2955,425,0.001389,3.6888),(2955,435,0.001419,3.6888),(2955,445,0.001449,3.6889),(2955,455,0.001479,3.6889),(2955,465,0.001509,3.6889),(2955,475,0.001538,3.689),(2955,485,0.001568,3.689),(2955,495,0.001597,3.6891),(2955,505,0.001626,3.6891),(2955,515,0.001656,3.6892),(2955,525,0.001685,3.6892),(2955,535,0.001714,3.6893),(2955,545,0.001742,3.6893),(2955,555,0.001771,3.6894),(2955,565,0.0018,3.6894),(2955,575,0.001828,3.6895),(2955,585,0.001856,3.6895),(2955,595,0.001884,3.6896),(2955,605,0.001912,3.6897),(2955,615,0.001941,3.6897),(2955,625,0.001968,3.6898),(2955,635,0.001996,3.6898),(2955,645,0.002024,3.6899),(2955,655,0.002052,3.69),(2955,665,0.002079,3.6901),(2955,675,0.002107,3.6901),(2955,685,0.002135,3.6902),(2955,695,0.002162,3.6903),(2955,705,0.00219,3.6904),(2955,715,0.002217,3.6904),(2955,725,0.002245,3.6905),(2955,735,0.002272,3.6906),(2955,745,0.0023,3.6907),(2955,755,0.002328,3.6908),(2955,765,0.002356,3.6909),(2955,775,0.002383,3.691),(2955,785,0.002412,3.6911),(2955,795,0.00244,3.6912),(2955,805,0.002468,3.6913),(2955,815,0.002496,3.6914),(2955,825,0.002525,3.6915),(2955,835,0.002553,3.6916),(2955,845,0.002582,3.6917),(2955,855,0.002611,3.6918),(2955,865,0.00264,3.6919),(2955,875,0.00267,3.692),(2955,885,0.002699,3.6921),(2955,895,0.002729,3.6923),(2955,905,0.00276,3.6924),(2955,915,0.002791,3.6925),(2955,925,0.002822,3.6927),(2955,935,0.002853,3.6928),(2955,945,0.002886,3.6929),(2955,955,0.002919,3.6931),(2955,965,0.002952,3.6932),(2955,975,0.002985,3.6934),(2955,985,0.003021,3.6935),(2955,995,0.003056,3.6937),(2955,1005,0.003091,3.6938),(2955,1015,0.003127,3.694),(2955,1025,0.003165,3.6941),(2955,1035,0.003203,3.6943),(2955,1045,0.003241,3.6945),(2955,1055,0.003281,3.6946),(2955,1065,0.003322,3.6948),(2955,1075,0.003363,3.695),(2955,1085,0.003405,3.6952),(2955,1095,0.003448,3.6954),(2955,1105,0.003494,3.6956),(2955,1115,0.003539,3.6958),(2955,1125,0.003585,3.696),(2955,1135,0.003633,3.6962),(2955,1145,0.003684,3.6964),(2955,1155,0.003734,3.6966),(2955,1165,0.003785,3.6968),(2955,1175,0.003839,3.697),(2955,1185,0.003896,3.6972),(2955,1195,0.003952,3.6975),(2955,1205,0.004009,3.6977),(2955,1215,0.00407,3.698),(2955,1225,0.004133,3.6982),(2955,1235,0.004196,3.6984),(2955,1245,0.00426,3.6987),(2955,1255,0.004329,3.6989),(2955,1265,0.004399,3.6992),(2955,1275,0.00447,3.6995),(2955,1285,0.004541,3.6997),(2955,1295,0.00462,3.7),(2955,1305,0.004699,3.7003),(2955,1315,0.004779,3.7006),(2955,1325,0.004859,3.7009),(2955,1335,0.004948,3.7012),(2955,1345,0.005038,3.7015),(2955,1355,0.005129,3.7018),(2955,1365,0.005219,3.7021),(2955,1375,0.00532,3.7024),(2955,1385,0.005423,3.7027),(2955,1395,0.005525,3.7031),(2955,1405,0.005627,3.7034),(2955,1415,0.005742,3.7037),(2955,1425,0.005857,3.7041),(2955,1435,0.005973,3.7044),(2955,1445,0.006088,3.7048),(2955,1455,0.006218,3.7052),(2955,1465,0.006348,3.7055),(2955,1475,0.006478,3.7059),(2955,1485,0.006609,3.7063),(2955,1495,0.006756,3.7067),(2955,1505,0.006903,3.7071),(2955,1515,0.00705,3.7075),(2955,1525,0.007198,3.7079),(2955,1535,0.007364,3.7083),(2955,1545,0.00753,3.7087),(2955,1555,0.007697,3.7092),(2955,1565,0.007864,3.7096),(2955,1575,0.008051,3.7101),(2955,1585,0.008238,3.7105),(2955,1595,0.008426,3.711),(2955,1605,0.008615,3.7114),(2955,1615,0.008826,3.7119),(2955,1625,0.009038,3.7124),(2955,1635,0.009248,3.7129),(2955,1645,0.009463,3.7134),(2955,1655,0.009701,3.7139),(2955,1665,0.009938,3.7144),(2955,1675,0.010176,3.7149),(2955,1685,0.010418,3.7154),(2955,1695,0.010685,3.7159),(2955,1705,0.010952,3.7165),(2955,1715,0.011219,3.717),(2955,1725,0.011493,3.7176),(2955,1735,0.011792,3.7181),(2955,1745,0.012092,3.7187),(2955,1755,0.012392,3.7193),(2955,1765,0.012701,3.7199),(2955,1775,0.013037,3.7205),(2955,1785,0.013374,3.7211),(2955,1795,0.01371,3.7217),(2955,1805,0.014059,3.7223),(2955,1815,0.014436,3.723),(2955,1825,0.014814,3.7236),(2955,1835,0.015191,3.7243),(2955,1845,0.015584,3.7249),(2955,1855,0.016007,3.7256),(2955,1865,0.016431,3.7263),(2955,1875,0.016854,3.727),(2955,1885,0.017296,3.7277),(2955,1895,0.01777,3.7284),(2955,1905,0.018245,3.7291),(2955,1915,0.018719,3.7298),(2955,1925,0.019217,3.7305),(2955,1935,0.019748,3.7313),(2955,1945,0.020279,3.732),(2955,1955,0.020811,3.7328),(2955,1965,0.021371,3.7336),(2955,1975,0.021966,3.7343),(2955,1985,0.022561,3.7351),(2955,1995,0.023156,3.7359),(2955,2005,0.023786,3.7367),(2955,2015,0.024452,3.7375),(2955,2025,0.025118,3.7384),(2955,2035,0.025784,3.7392),(2955,2045,0.026492,3.7401),(2955,2055,0.027237,3.7409),(2955,2065,0.027983,3.7418),(2955,2075,0.028728,3.7427),(2955,2085,0.029524,3.7435),(2955,2095,0.030357,3.7444),(2955,2105,0.03119,3.7453),(2955,2115,0.032024,3.7462),(2955,2125,0.032917,3.7471),(2955,2135,0.033848,3.7481),(2955,2145,0.03478,3.749),(2955,2155,0.035711,3.7499),(2955,2165,0.036713,3.7509),(2955,2175,0.037753,3.7518),(2955,2185,0.038793,3.7528),(2955,2195,0.039833,3.7538),(2955,2205,0.040957,3.7547),(2955,2215,0.042117,3.7557),(2955,2225,0.043278,3.7567),(2955,2235,0.044438,3.7577),(2955,2245,0.045696,3.7587),(2955,2255,0.046989,3.7597),(2955,2265,0.048282,3.7607),(2955,2275,0.049575,3.7617),(2955,2285,0.050981,3.7627),(2955,2295,0.05242,3.7637),(2955,2305,0.053858,3.7647),(2955,2315,0.055297,3.7657),(2955,2325,0.056865,3.7667),(2955,2335,0.058462,3.7677),(2955,2345,0.06006,3.7687),(2955,2355,0.061657,3.7697),(2955,2365,0.063402,3.7707),(2955,2375,0.065172,3.7718),(2955,2385,0.066942,3.7727),(2955,2395,0.068712,3.7737),(2955,2405,0.070649,3.7747),(2955,2415,0.072606,3.7757),(2955,2425,0.074562,3.7766),(2955,2435,0.076519,3.7776),(2955,2445,0.078662,3.7785),(2955,2455,0.080817,3.7795),(2955,2465,0.082973,3.7803),(2955,2475,0.085129,3.7812),(2955,2485,0.087491,3.7821),(2955,2495,0.089858,3.783),(2955,2505,0.092225,3.7838),(2955,2515,0.094595,3.7846),(2955,2525,0.097183,3.7854),(2955,2535,0.099772,3.7862),(2955,2545,0.10236,3.7869),(2955,2555,0.10496,3.7876),(2955,2565,0.10778,3.7883),(2955,2575,0.1106,3.789),(2955,2585,0.11342,3.7895),(2955,2595,0.11626,3.7901),(2955,2605,0.11931,3.7906),(2955,2615,0.12236,3.7912),(2955,2625,0.12542,3.7916),(2955,2635,0.1285,3.7919),(2955,2645,0.13179,3.7923),(2955,2655,0.13508,3.7927),(2955,2665,0.13837,3.7928),(2955,2675,0.1417,3.793),(2955,2685,0.14523,3.7932),(2955,2695,0.14875,3.7933),(2955,2705,0.15228,3.7933),(2955,2715,0.15585,3.7932),(2955,2725,0.1596,3.7931),(2955,2735,0.16335,3.793),(2955,2745,0.1671,3.7927),(2955,2755,0.17091,3.7923),(2955,2765,0.17487,3.792),(2955,2775,0.17884,3.7915),(2955,2785,0.1828,3.7909),(2955,2795,0.18683,3.7902),(2955,2805,0.19099,3.7895),(2955,2815,0.19515,3.7888),(2955,2825,0.19931,3.7877),(2955,2835,0.20353,3.7867),(2955,2845,0.20787,3.7857),(2955,2855,0.2122,3.7845),(2955,2865,0.21654,3.7831),(2955,2875,0.22093,3.7817),(2955,2885,0.2254,3.7803),(2955,2895,0.22988,3.7787),(2955,2905,0.23436,3.7769),(2955,2915,0.23889,3.775),(2955,2925,0.24347,3.7732),(2955,2935,0.24806,3.7712),(2955,2945,0.25265,3.7689),(2955,2955,0.25727,3.7666),(2955,2965,0.26193,3.7643),(2955,2975,0.26659,3.7618),(2955,2985,0.27125,3.759),(2955,2995,0.27592,3.7562),(2955,3005,0.2806,3.7535),(2955,3015,0.28529,3.7504),(2955,3025,0.28997,3.7472),(2955,3035,0.29464,3.7439),(2955,3045,0.2993,3.7406),(2955,3055,0.30397,3.7371),(2955,3065,0.30863,3.7333),(2955,3075,0.31325,3.7295),(2955,3085,0.31784,3.7257),(2955,3095,0.32242,3.7216),(2955,3105,0.32701,3.7173),(2955,3115,0.33152,3.713),(2955,3125,0.33598,3.7087),(2955,3135,0.34044,3.704),(2955,3145,0.3449,3.6992),(2955,3155,0.34924,3.6944),(2955,3165,0.35351,3.6895),(2955,3175,0.35778,3.6844),(2955,3185,0.36205,3.679),(2955,3195,0.36616,3.6737),(2955,3205,0.37018,3.6683),(2955,3215,0.37421,3.6626),(2955,3225,0.37824,3.6568),(2955,3235,0.38204,3.6509),(2955,3245,0.38576,3.645),(2955,3255,0.38948,3.6388),(2955,3265,0.3932,3.6325),(2955,3275,0.39664,3.6262),(2955,3285,0.4,3.6198),(2955,3295,0.40335,3.6132),(2955,3305,0.40671,3.6064),(2955,3315,0.40972,3.5996),(2955,3325,0.41265,3.5928),(2955,3335,0.41559,3.5857),(2955,3345,0.41852,3.5785),(2955,3355,0.42104,3.5714),(2955,3365,0.42349,3.5642),(2955,3375,0.42595,3.5567),(2955,3385,0.4284,3.5492),(2955,3395,0.43038,3.5416),(2955,3405,0.4323,3.5341),(2955,3415,0.43422,3.5263),(2955,3425,0.43614,3.5185),(2955,3435,0.43753,3.5107),(2955,3445,0.43887,3.5029),(2955,3455,0.44022,3.4949),(2955,3465,0.44156,3.4868),(2955,3475,0.44232,3.4788),(2955,3485,0.44305,3.4708),(2955,3495,0.44378,3.4626),(2955,3505,0.44451,3.4545),(2955,3515,0.44461,3.4463),(2955,3525,0.44471,3.4382),(2955,3535,0.4448,3.43),(2955,3545,0.44487,3.4218),(2955,3555,0.44432,3.4136),(2955,3565,0.44377,3.4054),(2955,3575,0.44321,3.3973),(2955,3585,0.44261,3.3891),(2955,3595,0.44141,3.381),(2955,3605,0.44022,3.3729),(2955,3615,0.43902,3.3649),(2955,3625,0.43775,3.357),(2955,3635,0.43594,3.349),(2955,3645,0.43413,3.3411),(2955,3655,0.43232,3.3334),(2955,3665,0.43041,3.3257),(2955,3675,0.42803,3.318),(2955,3685,0.42565,3.3104),(2955,3695,0.42326,3.303),(2955,3705,0.42078,3.2957),(2955,3715,0.41789,3.2883),(2955,3725,0.41501,3.2811),(2955,3735,0.41212,3.2742),(2955,3745,0.40914,3.2673),(2955,3755,0.40584,3.2604),(2955,3765,0.40254,3.2537),(2955,3775,0.39925,3.2473),(2955,3785,0.39587,3.2409),(2955,3795,0.39228,3.2345),(2955,3805,0.38868,3.2283),(2955,3815,0.38509,3.2225),(2955,3825,0.38144,3.2166),(2955,3835,0.37768,3.2108),(2955,3845,0.37391,3.2051),(2955,3855,0.37014,3.1998),(2955,3865,0.36636,3.1944),(2955,3875,0.36255,3.1891),(2955,3885,0.35874,3.184),(2955,3895,0.35493,3.1791),(2955,3905,0.39699,3.1743),(2955,3915,0.50759,3.1694),(2955,3925,0.61819,3.1626),(2955,3935,0.72879,3.1529),(2955,3945,0.8424,3.1432),(2955,3955,0.95985,3.1335),(2955,3965,1.0773,3.1219),(2955,3975,1.1947,3.1079),(2955,3985,1.2596,3.0939),(2955,3995,1.2675,3.0799),(2955,4005,1.2754,3.0661),(2955,4015,1.2834,3.0524),(2955,4025,1.2935,3.0388),(2955,4035,1.3038,3.025),(2955,4045,1.3141,3.0112),(2955,4055,1.326,2.9973),(2955,4065,1.3384,2.9834),(2955,4075,1.3509,2.9687),(2955,4085,1.3646,2.954),(2955,4095,1.3793,2.9393),(2955,4105,1.3941,2.9233),(2955,4115,1.361,2.9072),(2955,4125,1.2487,2.8911),(2955,4135,1.1365,2.8766),(2955,4145,1.0204,2.8625),(2955,4155,0.8888,2.8485),(2955,4165,0.75723,2.837),(2955,4175,0.63344,2.8274),(2955,4185,0.8947,2.8177),(2955,4195,1.156,2.8042),(2955,4205,1.4172,2.7858),(2955,4215,1.4551,2.7675),(2955,4225,1.451,2.7486),(2955,4235,1.4468,2.7284),(2955,4245,1.4046,2.7083),(2955,4255,1.3431,2.6881),(2955,4265,1.2815,2.6673),(2955,4275,1.1161,2.6466),(2955,4285,0.84034,2.6259),(2955,4295,0.56462,2.6178),(2955,4305,0.47539,2.6112),(2955,4315,0.80724,2.6046),(2955,4325,1.1391,2.5898),(2955,4335,1.435,2.5717),(2955,4345,1.4876,2.5537),(2955,4355,1.5403,2.5347),(2955,4365,1.5929,2.5148),(2955,4375,1.6054,2.4948),(2955,4385,1.6158,2.4751),(2955,4395,1.6262,2.4555),(2955,4405,1.4369,2.436),(2955,4415,1.1888,2.418),(2955,4425,0.94065,2.407),(2955,4435,0.83698,2.3959),(2955,4445,0.83205,2.3849),(2955,4455,0.82713,2.3739),(2955,4465,0.9355,2.363),(2955,4475,1.2031,2.3521),(2955,4485,1.4706,2.3352),(2955,4495,1.6766,2.317),(2955,4505,1.685,2.2988),(2955,4515,1.6934,2.2808),(2955,4525,1.6982,2.263),(2955,4535,1.646,2.2451),(2955,4545,1.5939,2.2284),(2955,4555,1.5417,2.2129),(2955,4565,1.1885,2.1975),(2955,4575,0.7948,2.1855),(2955,4585,0.40108,2.1822),(2955,4595,0.52738,2.1788),(2955,4605,0.87339,2.1737),(2955,4615,1.2194,2.1553),(2955,4625,1.431,2.1368),(2955,4635,1.5208,2.1184),(2955,4645,1.6106,2.1007),(2955,4655,1.6769,2.083),(2955,4665,1.699,2.0654),(2955,4675,1.721,2.0485),(2955,4685,1.6805,2.0319),(2955,4695,1.3307,2.0152),(2955,4705,0.98096,2.0046),(2955,4715,0.63117,1.9982),(2955,4725,0.80711,1.9919),(2955,4735,0.98832,1.9839),(2955,4745,1.1695,1.9735),(2955,4755,1.3539,1.9632),(2955,4765,1.5389,1.9518),(2955,4775,1.724,1.9369),(2955,4785,1.7948,1.922),(2955,4795,1.7996,1.9071),(2955,4805,1.8044,1.8924),(2955,4815,1.7221,1.8777),(2955,4825,1.5357,1.863),(2955,4835,1.3492,1.8526),(2955,4845,1.1608,1.8428),(2955,4855,0.96731,1.8331),(2955,4865,0.77382,1.8266),(2955,4875,0.63854,1.8216),(2955,4885,1.0329,1.8166),(2955,4895,1.4273,1.807),(2955,4905,1.8217,1.7931),(2955,4915,1.8492,1.7792),(2955,4925,1.8451,1.7652),(2955,4935,1.841,1.7509),(2955,4945,1.7857,1.7366),(2955,4955,1.7127,1.722),(2955,4965,1.6396,1.7058),(2955,4975,1.3508,1.6896),(2955,4985,0.89537,1.6733),(2955,4995,0.43997,1.6716),(2955,5005,0.31758,1.6702),(2955,5015,0.72461,1.6687),(2955,5025,1.1316,1.6603),(2955,5035,1.4824,1.6501),(2955,5045,1.6186,1.6399),(2955,5055,1.7549,1.628),(2955,5065,1.8872,1.615),(2955,5075,1.8908,1.602),(2955,5085,1.8944,1.589),(2955,5095,1.8979,1.5762),(2955,5105,1.6615,1.5633),(2955,5115,1.3831,1.552),(2955,5125,1.1048,1.5452),(2955,5135,0.96806,1.5383),(2955,5145,0.90009,1.5316),(2955,5155,0.83213,1.5265),(2955,5165,0.98012,1.5213),(2955,5175,1.3484,1.5162),(2955,5185,1.7166,1.5046),(2955,5195,1.9692,1.4923),(2955,5205,1.9725,1.48),(2955,5215,1.9757,1.4678),(2955,5225,1.9685,1.4557),(2955,5235,1.8964,1.4435),(2955,5245,1.8242,1.4322),(2955,5255,1.7521,1.4215),(2955,5265,1.2369,1.4109),(2955,5275,0.70345,1.4041),(2955,5285,0.16998,1.4037),(2955,5295,0.49413,1.4032),(2955,5305,1.0571,1.4),(2955,5315,1.6201,1.3849),(2955,5325,1.8778,1.3698),(2955,5335,1.9354,1.3547),(2955,5345,1.993,1.3421),(2955,5355,2.0288,1.3295),(2955,5365,2.035,1.3169),(2955,5375,2.0412,1.3047),(2955,5385,1.9294,1.2925),(2955,5395,1.459,1.2803),(2955,5405,0.98847,1.274),(2955,5415,0.57029,1.2707),(2955,5425,0.85479,1.2674),(2955,5435,1.1393,1.2619),(2955,5445,1.4238,1.2538),(2955,5455,1.6937,1.2457),(2955,5465,1.9619,1.2363),(2955,5475,2.2301,1.2238),(2955,5485,2.3094,1.2112),(2955,5495,2.3126,1.1988),(2955,5505,2.3159,1.1866),(2955,5515,2.3191,1.1744),(2955,5525,2.3223,1.1623),(2955,5535,2.3255,1.1505),(2955,5545,2.3286,1.1387),(2955,5555,2.3315,1.1269),(2955,5565,2.3344,1.1154),(2955,5575,2.3373,1.1039),(2955,5585,2.3399,1.0925),(2955,5595,2.3426,1.0812),(2955,5605,2.3452,1.0701),(2955,5615,2.3475,1.059),(2955,5625,2.3499,1.048),(2955,5635,2.3523,1.0372),(2955,5645,2.3544,1.0264),(2955,5655,2.3566,1.0157),(2955,5665,2.3587,1.0052),(2955,5675,2.3607,0.9947),(2955,5685,2.3626,0.98422),(2955,5695,2.3645,0.974),(2955,5705,2.3663,0.96378),(2955,5715,2.3679,0.95356),(2955,5725,2.3696,0.94355),(2955,5735,2.3713,0.93358),(2955,5745,2.3727,0.92361),(2955,5755,2.3742,0.91381),(2955,5765,2.3757,0.90409),(2955,5775,2.377,0.89437),(2955,5785,2.3783,0.88477),(2955,5795,2.3796,0.87529),(2955,5805,2.3807,0.8658),(2955,5815,2.3819,0.8564),(2955,5825,2.383,0.84714),(2955,5835,2.384,0.83788),(2955,5845,2.385,0.82865),(2955,5855,2.3859,0.8196),(2955,5865,2.3868,0.81055),(2955,5875,2.3876,0.80151),(2955,5885,2.3884,0.79265),(2955,5895,2.3892,0.78381),(2955,5905,2.3898,0.77496),(2955,5915,2.3905,0.76627),(2955,5925,2.3911,0.75762),(2955,5935,2.3916,0.74897),(2955,5945,2.3922,0.74044),(2955,5955,2.3927,0.73198),(2955,5965,2.3931,0.72352),(2955,5975,2.3936,0.71514),(2955,5985,2.394,0.70685),(2955,5995,1.8307,0.69855),(2955,6005,1.1767,0.69222),(2955,6015,0.52262,0.6911),(2955,6025,0.64486,0.68998),(2955,6035,1.1271,0.68806),(2955,6045,1.6094,0.67844),(2955,6055,1.9457,0.66882),(2955,6065,2.1389,0.6592),(2955,6075,2.332,0.64681),(2955,6085,2.463,0.63416),(2955,6095,2.4658,0.62152),(2955,6105,2.4686,0.60891),(2955,6115,2.4714,0.59631),(2955,6125,2.474,0.58371),(2955,6135,2.4767,0.5712),(2955,6145,2.4793,0.55876),(2955,6155,2.4818,0.54631),(2955,6165,2.4842,0.53394),(2955,6175,2.4867,0.52167),(2955,6185,2.489,0.50941),(2955,6195,2.4913,0.49716),(2955,6205,2.4935,0.48495),(2955,6215,2.4957,0.47274),(2955,6225,2.4978,0.46053),(2955,6235,2.4998,0.44838),(2955,6245,2.5018,0.43622),(2955,6255,2.5037,0.42407),(2955,6265,2.5056,0.41199),(2955,6275,2.5075,0.39994),(2955,6285,2.5092,0.38788),(2955,6295,2.5109,0.37585),(2955,6305,2.5126,0.36384),(2955,6315,2.5142,0.35183),(2955,6325,2.5157,0.33987),(2955,6335,2.5173,0.32796),(2955,6345,2.5187,0.31604),(2955,6355,2.52,0.30415),(2955,6365,2.5214,0.2923),(2955,6375,2.5226,0.28045),(2955,6385,2.5238,0.2686),(2955,6395,2.525,0.25678),(2955,6405,2.5261,0.24497),(2955,6415,2.5272,0.23315),(2955,6425,2.5282,0.2214),(2955,6435,2.5292,0.20964),(2955,6445,2.5301,0.19789),(2955,6455,2.531,0.18617),(2955,6465,2.5318,0.17446),(2955,6475,2.5325,0.16276),(2955,6485,2.5332,0.15105),(2955,6495,2.534,0.13936),(2955,6505,2.5345,0.12766),(2955,6515,2.535,0.11598),(2955,6525,2.5356,0.10432),(2955,6535,2.536,0.092673),(2955,6545,2.5364,0.08102),(2955,6555,2.5368,0.069367),(2955,6565,2.537,0.057714),(2955,6575,2.5372,0.046063),(2955,6585,2.5374,0.034447),(2955,6595,2.1583,0.02283),(2955,6605,1.3603,0.011213),(2955,6615,0.56233,0.009865),(2955,6625,0.001372,0.009836),(2955,6635,0.00137,0.009808),(2955,6645,0.001368,0.009792),(2955,6655,0.001366,0.009781),(2955,6665,0.001364,0.009771),(2955,6675,0.001362,0.009761),(2955,6685,0.00136,0.00975),(2955,6695,0.001358,0.00974),(2955,6705,0.001356,0.00973),(2955,6715,0.001355,0.00972),(2955,6725,0.001353,0.009709),(2955,6735,0.001351,0.009699),(2955,6745,0.00135,0.009689),(2955,6755,0.001348,0.009679),(2955,6765,0.001347,0.009669),(2955,6775,0.001345,0.009659),(2955,6785,0.001344,0.009649),(2955,6795,0.001342,0.009639),(2955,6805,0.001341,0.00963),(2955,6815,0.00134,0.00962),(2955,6825,0.001338,0.00961),(2955,6835,0.001337,0.0096),(2955,6845,0.001336,0.00959),(2955,6855,0.001335,0.009581),(2955,6865,0.001334,0.009571),(2955,6875,0.001332,0.009561),(2955,6885,0.001331,0.009552),(2955,6895,0.00133,0.009542),(2955,6905,0.001329,0.009532),(2955,6915,0.001328,0.009523),(2955,6925,0.001327,0.009513),(2955,6935,0.001326,0.009504),(2955,6945,0.001325,0.009494),(2955,6955,0.001325,0.009485),(2955,6965,0.001324,0.009475),(2955,6975,0.001323,0.009466),(2955,6985,0.001322,0.009457),(2965,5,1.7e-05,3.6881),(2965,15,5e-05,3.6881),(2965,25,8.3e-05,3.6881),(2965,35,0.000116,3.6881),(2965,45,0.000149,3.6881),(2965,55,0.000182,3.6881),(2965,65,0.000215,3.6881),(2965,75,0.000248,3.6881),(2965,85,0.000281,3.6881),(2965,95,0.000314,3.6881),(2965,105,0.000346,3.6881),(2965,115,0.000379,3.6881),(2965,125,0.000412,3.6882),(2965,135,0.000445,3.6882),(2965,145,0.000477,3.6882),(2965,155,0.00051,3.6882),(2965,165,0.000542,3.6882),(2965,175,0.000574,3.6882),(2965,185,0.000607,3.6882),(2965,195,0.000639,3.6882),(2965,205,0.000671,3.6883),(2965,215,0.000703,3.6883),(2965,225,0.000734,3.6883),(2965,235,0.000766,3.6883),(2965,245,0.000798,3.6883),(2965,255,0.000829,3.6883),(2965,265,0.000861,3.6884),(2965,275,0.000892,3.6884),(2965,285,0.000923,3.6884),(2965,295,0.000954,3.6884),(2965,305,0.000985,3.6884),(2965,315,0.001015,3.6885),(2965,325,0.001046,3.6885),(2965,335,0.001077,3.6885),(2965,345,0.001107,3.6886),(2965,355,0.001137,3.6886),(2965,365,0.001168,3.6886),(2965,375,0.001198,3.6886),(2965,385,0.001227,3.6887),(2965,395,0.001257,3.6887),(2965,405,0.001286,3.6887),(2965,415,0.001316,3.6888),(2965,425,0.001345,3.6888),(2965,435,0.001374,3.6888),(2965,445,0.001402,3.6889),(2965,455,0.001431,3.6889),(2965,465,0.001459,3.689),(2965,475,0.001488,3.689),(2965,485,0.001516,3.6891),(2965,495,0.001544,3.6891),(2965,505,0.001572,3.6891),(2965,515,0.001599,3.6892),(2965,525,0.001627,3.6892),(2965,535,0.001654,3.6893),(2965,545,0.001681,3.6893),(2965,555,0.001708,3.6894),(2965,565,0.001735,3.6894),(2965,575,0.001762,3.6895),(2965,585,0.001789,3.6896),(2965,595,0.001815,3.6896),(2965,605,0.001842,3.6897),(2965,615,0.001868,3.6897),(2965,625,0.001894,3.6898),(2965,635,0.00192,3.6899),(2965,645,0.001946,3.6899),(2965,655,0.001972,3.69),(2965,665,0.001997,3.6901),(2965,675,0.002023,3.6902),(2965,685,0.002048,3.6902),(2965,695,0.002074,3.6903),(2965,705,0.002099,3.6904),(2965,715,0.002125,3.6905),(2965,725,0.00215,3.6905),(2965,735,0.002176,3.6906),(2965,745,0.002201,3.6907),(2965,755,0.002227,3.6908),(2965,765,0.002252,3.6909),(2965,775,0.002278,3.691),(2965,785,0.002303,3.6911),(2965,795,0.002329,3.6912),(2965,805,0.002355,3.6913),(2965,815,0.002381,3.6914),(2965,825,0.002407,3.6915),(2965,835,0.002433,3.6916),(2965,845,0.002459,3.6917),(2965,855,0.002485,3.6918),(2965,865,0.002512,3.6919),(2965,875,0.002538,3.692),(2965,885,0.002565,3.6922),(2965,895,0.002592,3.6923),(2965,905,0.00262,3.6924),(2965,915,0.002648,3.6925),(2965,925,0.002676,3.6927),(2965,935,0.002705,3.6928),(2965,945,0.002734,3.693),(2965,955,0.002764,3.6931),(2965,965,0.002793,3.6932),(2965,975,0.002824,3.6934),(2965,985,0.002856,3.6935),(2965,995,0.002887,3.6937),(2965,1005,0.002919,3.6938),(2965,1015,0.002952,3.694),(2965,1025,0.002987,3.6942),(2965,1035,0.003021,3.6943),(2965,1045,0.003055,3.6945),(2965,1055,0.003091,3.6947),(2965,1065,0.003129,3.6949),(2965,1075,0.003166,3.695),(2965,1085,0.003204,3.6952),(2965,1095,0.003244,3.6954),(2965,1105,0.003285,3.6956),(2965,1115,0.003326,3.6958),(2965,1125,0.003368,3.696),(2965,1135,0.003412,3.6962),(2965,1145,0.003458,3.6964),(2965,1155,0.003505,3.6966),(2965,1165,0.003551,3.6969),(2965,1175,0.003601,3.6971),(2965,1185,0.003653,3.6973),(2965,1195,0.003705,3.6975),(2965,1205,0.003757,3.6978),(2965,1215,0.003813,3.698),(2965,1225,0.003872,3.6982),(2965,1235,0.00393,3.6985),(2965,1245,0.003989,3.6988),(2965,1255,0.004053,3.699),(2965,1265,0.004119,3.6993),(2965,1275,0.004184,3.6995),(2965,1285,0.00425,3.6998),(2965,1295,0.004323,3.7001),(2965,1305,0.004398,3.7004),(2965,1315,0.004472,3.7007),(2965,1325,0.004547,3.701),(2965,1335,0.00463,3.7013),(2965,1345,0.004715,3.7016),(2965,1355,0.004799,3.7019),(2965,1365,0.004884,3.7022),(2965,1375,0.004979,3.7025),(2965,1385,0.005076,3.7028),(2965,1395,0.005172,3.7032),(2965,1405,0.005268,3.7035),(2965,1415,0.005376,3.7039),(2965,1425,0.005486,3.7042),(2965,1435,0.005595,3.7046),(2965,1445,0.005704,3.7049),(2965,1455,0.005827,3.7053),(2965,1465,0.005951,3.7057),(2965,1475,0.006075,3.706),(2965,1485,0.006199,3.7064),(2965,1495,0.006339,3.7068),(2965,1505,0.006479,3.7072),(2965,1515,0.006619,3.7076),(2965,1525,0.00676,3.7081),(2965,1535,0.006919,3.7085),(2965,1545,0.007078,3.7089),(2965,1555,0.007237,3.7093),(2965,1565,0.007397,3.7098),(2965,1575,0.007576,3.7102),(2965,1585,0.007756,3.7107),(2965,1595,0.007935,3.7111),(2965,1605,0.008117,3.7116),(2965,1615,0.00832,3.7121),(2965,1625,0.008523,3.7126),(2965,1635,0.008726,3.7131),(2965,1645,0.008933,3.7136),(2965,1655,0.009162,3.7141),(2965,1665,0.009391,3.7146),(2965,1675,0.00962,3.7151),(2965,1685,0.009854,3.7157),(2965,1695,0.010112,3.7162),(2965,1705,0.01037,3.7167),(2965,1715,0.010628,3.7173),(2965,1725,0.010893,3.7179),(2965,1735,0.011183,3.7184),(2965,1745,0.011474,3.719),(2965,1755,0.011764,3.7196),(2965,1765,0.012064,3.7202),(2965,1775,0.012391,3.7208),(2965,1785,0.012717,3.7214),(2965,1795,0.013044,3.7221),(2965,1805,0.013383,3.7227),(2965,1815,0.01375,3.7233),(2965,1825,0.014118,3.724),(2965,1835,0.014485,3.7246),(2965,1845,0.014868,3.7253),(2965,1855,0.015281,3.726),(2965,1865,0.015693,3.7267),(2965,1875,0.016106,3.7274),(2965,1885,0.016538,3.7281),(2965,1895,0.017001,3.7288),(2965,1905,0.017465,3.7295),(2965,1915,0.017928,3.7303),(2965,1925,0.018415,3.731),(2965,1935,0.018936,3.7318),(2965,1945,0.019456,3.7325),(2965,1955,0.019976,3.7333),(2965,1965,0.020525,3.7341),(2965,1975,0.021109,3.7349),(2965,1985,0.021692,3.7357),(2965,1995,0.022276,3.7365),(2965,2005,0.022895,3.7374),(2965,2015,0.02355,3.7382),(2965,2025,0.024204,3.739),(2965,2035,0.024859,3.7399),(2965,2045,0.025556,3.7408),(2965,2055,0.02629,3.7416),(2965,2065,0.027023,3.7425),(2965,2075,0.027757,3.7434),(2965,2085,0.028542,3.7443),(2965,2095,0.029364,3.7452),(2965,2105,0.030186,3.7461),(2965,2115,0.031008,3.7471),(2965,2125,0.031891,3.748),(2965,2135,0.032812,3.749),(2965,2145,0.033732,3.7499),(2965,2155,0.034652,3.7509),(2965,2165,0.035645,3.7519),(2965,2175,0.036675,3.7528),(2965,2185,0.037704,3.7538),(2965,2195,0.038734,3.7548),(2965,2205,0.039849,3.7558),(2965,2215,0.041,3.7568),(2965,2225,0.042151,3.7579),(2965,2235,0.043303,3.7589),(2965,2245,0.044553,3.7599),(2965,2255,0.045838,3.7609),(2965,2265,0.047124,3.762),(2965,2275,0.048409,3.763),(2965,2285,0.049809,3.7641),(2965,2295,0.051242,3.7651),(2965,2305,0.052675,3.7662),(2965,2315,0.054107,3.7672),(2965,2325,0.055672,3.7683),(2965,2335,0.057266,3.7693),(2965,2345,0.05886,3.7704),(2965,2355,0.060454,3.7714),(2965,2365,0.062198,3.7725),(2965,2375,0.063968,3.7735),(2965,2385,0.065737,3.7745),(2965,2395,0.067507,3.7756),(2965,2405,0.069447,3.7766),(2965,2415,0.071406,3.7776),(2965,2425,0.073366,3.7786),(2965,2435,0.075325,3.7796),(2965,2445,0.077475,3.7806),(2965,2455,0.079639,3.7816),(2965,2465,0.081802,3.7826),(2965,2475,0.083965,3.7835),(2965,2485,0.086339,3.7844),(2965,2495,0.088719,3.7854),(2965,2505,0.091098,3.7862),(2965,2515,0.093481,3.7871),(2965,2525,0.096088,3.788),(2965,2535,0.098695,3.7888),(2965,2545,0.1013,3.7896),(2965,2555,0.10392,3.7903),(2965,2565,0.10676,3.7911),(2965,2575,0.10961,3.7918),(2965,2585,0.11245,3.7924),(2965,2595,0.11532,3.7931),(2965,2605,0.1184,3.7937),(2965,2615,0.12149,3.7943),(2965,2625,0.12457,3.7947),(2965,2635,0.12769,3.7952),(2965,2645,0.13102,3.7956),(2965,2655,0.13435,3.796),(2965,2665,0.13768,3.7963),(2965,2675,0.14105,3.7965),(2965,2685,0.14462,3.7967),(2965,2695,0.1482,3.7969),(2965,2705,0.15177,3.7969),(2965,2715,0.15539,3.7969),(2965,2725,0.1592,3.7969),(2965,2735,0.163,3.7968),(2965,2745,0.16681,3.7965),(2965,2755,0.17067,3.7963),(2965,2765,0.1747,3.796),(2965,2775,0.17873,3.7956),(2965,2785,0.18276,3.795),(2965,2795,0.18685,3.7944),(2965,2805,0.19109,3.7937),(2965,2815,0.19532,3.793),(2965,2825,0.19956,3.792),(2965,2835,0.20385,3.7911),(2965,2845,0.20827,3.7901),(2965,2855,0.21268,3.789),(2965,2865,0.2171,3.7876),(2965,2875,0.22157,3.7862),(2965,2885,0.22614,3.7849),(2965,2895,0.2307,3.7833),(2965,2905,0.23527,3.7815),(2965,2915,0.23989,3.7797),(2965,2925,0.24457,3.7779),(2965,2935,0.24925,3.7759),(2965,2945,0.25394,3.7736),(2965,2955,0.25865,3.7713),(2965,2965,0.26341,3.7691),(2965,2975,0.26817,3.7666),(2965,2985,0.27293,3.7638),(2965,2995,0.2777,3.761),(2965,3005,0.28249,3.7583),(2965,3015,0.28728,3.7552),(2965,3025,0.29207,3.752),(2965,3035,0.29685,3.7487),(2965,3045,0.30163,3.7454),(2965,3055,0.3064,3.7418),(2965,3065,0.31117,3.738),(2965,3075,0.3159,3.7342),(2965,3085,0.3206,3.7304),(2965,3095,0.3253,3.7263),(2965,3105,0.32999,3.722),(2965,3115,0.33462,3.7176),(2965,3125,0.33919,3.7133),(2965,3135,0.34376,3.7086),(2965,3145,0.34833,3.7037),(2965,3155,0.35278,3.6988),(2965,3165,0.35716,3.694),(2965,3175,0.36154,3.6887),(2965,3185,0.36592,3.6833),(2965,3195,0.37014,3.6779),(2965,3205,0.37427,3.6725),(2965,3215,0.37841,3.6667),(2965,3225,0.38254,3.6608),(2965,3235,0.38645,3.6548),(2965,3245,0.39027,3.6489),(2965,3255,0.3941,3.6426),(2965,3265,0.39792,3.6362),(2965,3275,0.40146,3.6298),(2965,3285,0.40491,3.6233),(2965,3295,0.40836,3.6165),(2965,3305,0.41181,3.6097),(2965,3315,0.41492,3.6028),(2965,3325,0.41793,3.5959),(2965,3335,0.42095,3.5887),(2965,3345,0.42397,3.5813),(2965,3355,0.42657,3.574),(2965,3365,0.4291,3.5667),(2965,3375,0.43163,3.5591),(2965,3385,0.43415,3.5515),(2965,3395,0.4362,3.5438),(2965,3405,0.43818,3.5361),(2965,3415,0.44017,3.5282),(2965,3425,0.44215,3.5202),(2965,3435,0.44358,3.5122),(2965,3445,0.44497,3.5043),(2965,3455,0.44636,3.4961),(2965,3465,0.44776,3.4879),(2965,3475,0.44854,3.4797),(2965,3485,0.4493,3.4715),(2965,3495,0.45006,3.4632),(2965,3505,0.45082,3.4549),(2965,3515,0.45092,3.4466),(2965,3525,0.45103,3.4383),(2965,3535,0.45113,3.4299),(2965,3545,0.4512,3.4215),(2965,3555,0.45064,3.4132),(2965,3565,0.45007,3.4048),(2965,3575,0.44951,3.3965),(2965,3585,0.44889,3.3882),(2965,3595,0.44766,3.3799),(2965,3605,0.44643,3.3716),(2965,3615,0.4452,3.3635),(2965,3625,0.44389,3.3554),(2965,3635,0.44202,3.3473),(2965,3645,0.44015,3.3392),(2965,3655,0.43828,3.3313),(2965,3665,0.43632,3.3235),(2965,3675,0.43385,3.3156),(2965,3685,0.43139,3.3079),(2965,3695,0.42893,3.3004),(2965,3705,0.42637,3.2929),(2965,3715,0.42338,3.2854),(2965,3725,0.4204,3.2781),(2965,3735,0.41742,3.2711),(2965,3745,0.41434,3.2641),(2965,3755,0.41094,3.2571),(2965,3765,0.40753,3.2502),(2965,3775,0.40413,3.2438),(2965,3785,0.40064,3.2373),(2965,3795,0.39694,3.2308),(2965,3805,0.39323,3.2246),(2965,3815,0.38952,3.2187),(2965,3825,0.38576,3.2128),(2965,3835,0.38189,3.2069),(2965,3845,0.37801,3.2012),(2965,3855,0.37413,3.1959),(2965,3865,0.37025,3.1905),(2965,3875,0.36634,3.1852),(2965,3885,0.36243,3.1801),(2965,3895,0.35852,3.1752),(2965,3905,0.40086,3.1704),(2965,3915,0.51229,3.1656),(2965,3925,0.62371,3.1588),(2965,3935,0.73514,3.1492),(2965,3945,0.84951,3.1396),(2965,3955,0.96762,3.13),(2965,3965,1.0857,3.1184),(2965,3975,1.2038,3.1045),(2965,3985,1.269,3.0907),(2965,3995,1.2768,3.0768),(2965,4005,1.2846,3.0631),(2965,4015,1.2924,3.0495),(2965,4025,1.3025,3.036),(2965,4035,1.3128,3.0224),(2965,4045,1.3231,3.0085),(2965,4055,1.3351,2.9947),(2965,4065,1.3477,2.9808),(2965,4075,1.3604,2.9661),(2965,4085,1.3744,2.9513),(2965,4095,1.3894,2.9366),(2965,4105,1.4045,2.9204),(2965,4115,1.3716,2.9042),(2965,4125,1.2591,2.888),(2965,4135,1.1466,2.8733),(2965,4145,1.0301,2.859),(2965,4155,0.89767,2.8447),(2965,4165,0.76519,2.8331),(2965,4175,0.64055,2.8232),(2965,4185,0.90354,2.8132),(2965,4195,1.1665,2.7995),(2965,4205,1.4295,2.7807),(2965,4215,1.4682,2.762),(2965,4225,1.4646,2.7428),(2965,4235,1.461,2.7222),(2965,4245,1.4192,2.7016),(2965,4255,1.3581,2.681),(2965,4265,1.2969,2.6599),(2965,4275,1.13,2.6387),(2965,4285,0.85101,2.6175),(2965,4295,0.57199,2.6092),(2965,4305,0.48119,2.6025),(2965,4315,0.81539,2.5957),(2965,4325,1.1496,2.5807),(2965,4335,1.4476,2.5625),(2965,4345,1.5006,2.5444),(2965,4355,1.5537,2.5252),(2965,4365,1.6068,2.5052),(2965,4375,1.6191,2.4851),(2965,4385,1.6294,2.4652),(2965,4395,1.6397,2.4457),(2965,4405,1.449,2.4262),(2965,4415,1.1992,2.4082),(2965,4425,0.94931,2.3973),(2965,4435,0.84492,2.3863),(2965,4445,0.83994,2.3754),(2965,4455,0.83497,2.3644),(2965,4465,0.94386,2.3535),(2965,4475,1.2127,2.3425),(2965,4485,1.4816,2.3255),(2965,4495,1.6885,2.3072),(2965,4505,1.6968,2.2889),(2965,4515,1.7051,2.2708),(2965,4525,1.7097,2.2529),(2965,4535,1.657,2.235),(2965,4545,1.6042,2.2181),(2965,4555,1.5514,2.2025),(2965,4565,1.1962,2.1868),(2965,4575,0.80012,2.1747),(2965,4585,0.40408,2.1714),(2965,4595,0.53209,2.168),(2965,4605,0.88152,2.1629),(2965,4615,1.231,2.1444),(2965,4625,1.4438,2.1259),(2965,4635,1.5331,2.1074),(2965,4645,1.6223,2.0897),(2965,4655,1.6882,2.0721),(2965,4665,1.7099,2.0544),(2965,4675,1.7316,2.0375),(2965,4685,1.6904,2.0209),(2965,4695,1.3387,2.0042),(2965,4705,0.98695,1.9935),(2965,4715,0.63522,1.9872),(2965,4725,0.81173,1.9808),(2965,4735,0.99353,1.9728),(2965,4745,1.1753,1.9624),(2965,4755,1.3604,1.952),(2965,4765,1.5462,1.9406),(2965,4775,1.732,1.9257),(2965,4785,1.8031,1.9108),(2965,4795,1.8078,1.896),(2965,4805,1.8125,1.8813),(2965,4815,1.7298,1.8666),(2965,4825,1.5425,1.8519),(2965,4835,1.3551,1.8415),(2965,4845,1.1659,1.8318),(2965,4855,0.97162,1.8221),(2965,4865,0.77735,1.8157),(2965,4875,0.64151,1.8107),(2965,4885,1.0373,1.8057),(2965,4895,1.433,1.7961),(2965,4905,1.8287,1.7822),(2965,4915,1.8564,1.7684),(2965,4925,1.8525,1.7544),(2965,4935,1.8485,1.7401),(2965,4945,1.7939,1.7259),(2965,4955,1.7217,1.7113),(2965,4965,1.6495,1.6951),(2965,4975,1.3593,1.6789),(2965,4985,0.90097,1.6627),(2965,4995,0.44261,1.6609),(2965,5005,0.31891,1.6595),(2965,5015,0.72722,1.6582),(2965,5025,1.1355,1.6498),(2965,5035,1.4874,1.6396),(2965,5045,1.624,1.6294),(2965,5055,1.7606,1.6175),(2965,5065,1.8933,1.6045),(2965,5075,1.8968,1.5915),(2965,5085,1.9003,1.5786),(2965,5095,1.9039,1.5657),(2965,5105,1.6666,1.5529),(2965,5115,1.3874,1.5416),(2965,5125,1.1082,1.5348),(2965,5135,0.971,1.5279),(2965,5145,0.90275,1.5212),(2965,5155,0.8345,1.5161),(2965,5165,0.98279,1.511),(2965,5175,1.3519,1.5059),(2965,5185,1.7211,1.4943),(2965,5195,1.9743,1.482),(2965,5205,1.9775,1.4698),(2965,5215,1.9807,1.4576),(2965,5225,1.9734,1.4454),(2965,5235,1.901,1.4333),(2965,5245,1.8287,1.422),(2965,5255,1.7564,1.4114),(2965,5265,1.2399,1.4008),(2965,5275,0.70521,1.3939),(2965,5285,0.17048,1.3935),(2965,5295,0.49633,1.3931),(2965,5305,1.0618,1.3899),(2965,5315,1.6273,1.3748),(2965,5325,1.8855,1.3598),(2965,5335,1.9421,1.3447),(2965,5345,1.9988,1.3322),(2965,5355,2.0339,1.3196),(2965,5365,2.0399,1.307),(2965,5375,2.046,1.2948),(2965,5385,1.9339,1.2827),(2965,5395,1.4623,1.2706),(2965,5405,0.99074,1.2643),(2965,5415,0.5716,1.261),(2965,5425,0.8566,1.2577),(2965,5435,1.1416,1.2522),(2965,5445,1.4266,1.2442),(2965,5455,1.697,1.2362),(2965,5465,1.9656,1.2269),(2965,5475,2.2342,1.2144),(2965,5485,2.3135,1.202),(2965,5495,2.3167,1.1896),(2965,5505,2.3198,1.1776),(2965,5515,2.3229,1.1655),(2965,5525,2.326,1.1535),(2965,5535,2.329,1.1418),(2965,5545,2.332,1.1301),(2965,5555,2.3348,1.1184),(2965,5565,2.3376,1.1069),(2965,5575,2.3403,1.0956),(2965,5585,2.3429,1.0842),(2965,5595,2.3454,1.0731),(2965,5605,2.3479,1.0621),(2965,5615,2.3502,1.0511),(2965,5625,2.3524,1.0402),(2965,5635,2.3547,1.0295),(2965,5645,2.3568,1.0188),(2965,5655,2.3588,1.0081),(2965,5665,2.3608,0.99773),(2965,5675,2.3627,0.98732),(2965,5685,2.3645,0.97694),(2965,5695,2.3663,0.9668),(2965,5705,2.368,0.95667),(2965,5715,2.3696,0.94653),(2965,5725,2.3712,0.93661),(2965,5735,2.3728,0.92673),(2965,5745,2.3742,0.91684),(2965,5755,2.3756,0.90712),(2965,5765,2.377,0.89749),(2965,5775,2.3782,0.88785),(2965,5785,2.3794,0.87833),(2965,5795,2.3806,0.86892),(2965,5805,2.3817,0.85952),(2965,5815,2.3828,0.85019),(2965,5825,2.3838,0.84101),(2965,5835,2.3847,0.83182),(2965,5845,2.3856,0.82267),(2965,5855,2.3865,0.8137),(2965,5865,2.3873,0.80472),(2965,5875,2.3881,0.79575),(2965,5885,2.3888,0.78697),(2965,5895,2.3895,0.7782),(2965,5905,2.3901,0.76942),(2965,5915,2.3907,0.7608),(2965,5925,2.3913,0.75223),(2965,5935,2.3917,0.74365),(2965,5945,2.3922,0.73519),(2965,5955,2.3927,0.7268),(2965,5965,2.3931,0.7184),(2965,5975,2.3934,0.71009),(2965,5985,2.3938,0.70187),(2965,5995,1.8305,0.69364),(2965,6005,1.1766,0.68735),(2965,6015,0.52259,0.68624),(2965,6025,0.6456,0.68513),(2965,6035,1.129,0.68323),(2965,6045,1.6123,0.67368),(2965,6055,1.9493,0.66412),(2965,6065,2.1428,0.65457),(2965,6075,2.3363,0.64226),(2965,6085,2.4675,0.6297),(2965,6095,2.4703,0.61713),(2965,6105,2.473,0.60461),(2965,6115,2.4758,0.5921),(2965,6125,2.4784,0.57958),(2965,6135,2.481,0.56716),(2965,6145,2.4836,0.55481),(2965,6155,2.486,0.54245),(2965,6165,2.4884,0.53017),(2965,6175,2.4908,0.51799),(2965,6185,2.4931,0.50581),(2965,6195,2.4953,0.49365),(2965,6205,2.4975,0.48153),(2965,6215,2.4996,0.4694),(2965,6225,2.5017,0.45728),(2965,6235,2.5037,0.44521),(2965,6245,2.5057,0.43315),(2965,6255,2.5076,0.42108),(2965,6265,2.5094,0.40909),(2965,6275,2.5113,0.39712),(2965,6285,2.513,0.38515),(2965,6295,2.5147,0.37321),(2965,6305,2.5163,0.36128),(2965,6315,2.5179,0.34936),(2965,6325,2.5194,0.33748),(2965,6335,2.5209,0.32565),(2965,6345,2.5223,0.31382),(2965,6355,2.5236,0.30201),(2965,6365,2.525,0.29025),(2965,6375,2.5262,0.27848),(2965,6385,2.5274,0.26672),(2965,6395,2.5285,0.25499),(2965,6405,2.5296,0.24326),(2965,6415,2.5307,0.23153),(2965,6425,2.5317,0.21986),(2965,6435,2.5326,0.20819),(2965,6445,2.5335,0.19653),(2965,6455,2.5344,0.1849),(2965,6465,2.5352,0.17328),(2965,6475,2.5359,0.16166),(2965,6485,2.5366,0.15004),(2965,6495,2.5373,0.13842),(2965,6505,2.5379,0.12681),(2965,6515,2.5384,0.11521),(2965,6525,2.5389,0.10364),(2965,6535,2.5393,0.092073),(2965,6545,2.5397,0.080505),(2965,6555,2.5401,0.068937),(2965,6565,2.5403,0.05737),(2965,6575,2.5405,0.045805),(2965,6585,2.5407,0.034277),(2965,6595,2.1611,0.022748),(2965,6605,1.3621,0.011219),(2965,6615,0.56307,0.009876),(2965,6625,0.001378,0.009842),(2965,6635,0.001376,0.009807),(2965,6645,0.001374,0.00979),(2965,6655,0.001372,0.009779),(2965,6665,0.00137,0.009769),(2965,6675,0.001368,0.009759),(2965,6685,0.001366,0.009748),(2965,6695,0.001364,0.009738),(2965,6705,0.001362,0.009728),(2965,6715,0.00136,0.009718),(2965,6725,0.001359,0.009708),(2965,6735,0.001357,0.009698),(2965,6745,0.001355,0.009688),(2965,6755,0.001354,0.009678),(2965,6765,0.001352,0.009668),(2965,6775,0.001351,0.009658),(2965,6785,0.001349,0.009648),(2965,6795,0.001348,0.009638),(2965,6805,0.001346,0.009628),(2965,6815,0.001345,0.009618),(2965,6825,0.001344,0.009609),(2965,6835,0.001342,0.009599),(2965,6845,0.001341,0.009589),(2965,6855,0.00134,0.009579),(2965,6865,0.001339,0.00957),(2965,6875,0.001338,0.00956),(2965,6885,0.001337,0.009551),(2965,6895,0.001336,0.009541),(2965,6905,0.001334,0.009531),(2965,6915,0.001334,0.009522),(2965,6925,0.001332,0.009512),(2965,6935,0.001332,0.009503),(2965,6945,0.001331,0.009494),(2965,6955,0.00133,0.009484),(2965,6965,0.001329,0.009475),(2965,6975,0.001328,0.009465),(2965,6985,0.001327,0.009456),(2975,5,1.6e-05,3.6881),(2975,15,4.8e-05,3.6881),(2975,25,8.1e-05,3.6881),(2975,35,0.000113,3.6881),(2975,45,0.000145,3.6881),(2975,55,0.000177,3.6881),(2975,65,0.000209,3.6881),(2975,75,0.000241,3.6881),(2975,85,0.000273,3.6882),(2975,95,0.000305,3.6882),(2975,105,0.000337,3.6882),(2975,115,0.000369,3.6882),(2975,125,0.000401,3.6882),(2975,135,0.000433,3.6882),(2975,145,0.000464,3.6882),(2975,155,0.000496,3.6882),(2975,165,0.000527,3.6882),(2975,175,0.000559,3.6882),(2975,185,0.00059,3.6883),(2975,195,0.000621,3.6883),(2975,205,0.000652,3.6883),(2975,215,0.000683,3.6883),(2975,225,0.000714,3.6883),(2975,235,0.000745,3.6883),(2975,245,0.000775,3.6884),(2975,255,0.000806,3.6884),(2975,265,0.000836,3.6884),(2975,275,0.000866,3.6884),(2975,285,0.000896,3.6884),(2975,295,0.000926,3.6885),(2975,305,0.000956,3.6885),(2975,315,0.000986,3.6885),(2975,325,0.001015,3.6885),(2975,335,0.001045,3.6886),(2975,345,0.001074,3.6886),(2975,355,0.001103,3.6886),(2975,365,0.001132,3.6886),(2975,375,0.001161,3.6887),(2975,385,0.001189,3.6887),(2975,395,0.001218,3.6887),(2975,405,0.001246,3.6888),(2975,415,0.001274,3.6888),(2975,425,0.001302,3.6888),(2975,435,0.001329,3.6889),(2975,445,0.001357,3.6889),(2975,455,0.001384,3.689),(2975,465,0.001411,3.689),(2975,475,0.001438,3.689),(2975,485,0.001465,3.6891),(2975,495,0.001491,3.6891),(2975,505,0.001518,3.6892),(2975,515,0.001544,3.6892),(2975,525,0.00157,3.6893),(2975,535,0.001596,3.6893),(2975,545,0.001621,3.6894),(2975,555,0.001647,3.6894),(2975,565,0.001672,3.6895),(2975,575,0.001697,3.6895),(2975,585,0.001722,3.6896),(2975,595,0.001747,3.6896),(2975,605,0.001771,3.6897),(2975,615,0.001796,3.6898),(2975,625,0.00182,3.6898),(2975,635,0.001844,3.6899),(2975,645,0.001868,3.69),(2975,655,0.001893,3.69),(2975,665,0.001916,3.6901),(2975,675,0.00194,3.6902),(2975,685,0.001963,3.6903),(2975,695,0.001987,3.6903),(2975,705,0.00201,3.6904),(2975,715,0.002034,3.6905),(2975,725,0.002057,3.6906),(2975,735,0.00208,3.6907),(2975,745,0.002103,3.6907),(2975,755,0.002126,3.6908),(2975,765,0.00215,3.6909),(2975,775,0.002173,3.691),(2975,785,0.002196,3.6911),(2975,795,0.002219,3.6912),(2975,805,0.002243,3.6913),(2975,815,0.002266,3.6914),(2975,825,0.002289,3.6915),(2975,835,0.002313,3.6916),(2975,845,0.002336,3.6917),(2975,855,0.00236,3.6918),(2975,865,0.002384,3.692),(2975,875,0.002408,3.6921),(2975,885,0.002432,3.6922),(2975,895,0.002456,3.6923),(2975,905,0.002481,3.6924),(2975,915,0.002506,3.6926),(2975,925,0.002531,3.6927),(2975,935,0.002556,3.6928),(2975,945,0.002583,3.693),(2975,955,0.002609,3.6931),(2975,965,0.002635,3.6933),(2975,975,0.002662,3.6934),(2975,985,0.002691,3.6936),(2975,995,0.002719,3.6937),(2975,1005,0.002747,3.6939),(2975,1015,0.002777,3.694),(2975,1025,0.002808,3.6942),(2975,1035,0.002838,3.6944),(2975,1045,0.002869,3.6945),(2975,1055,0.002901,3.6947),(2975,1065,0.002935,3.6949),(2975,1075,0.002969,3.6951),(2975,1085,0.003002,3.6953),(2975,1095,0.003038,3.6955),(2975,1105,0.003075,3.6956),(2975,1115,0.003113,3.6958),(2975,1125,0.00315,3.6961),(2975,1135,0.00319,3.6963),(2975,1145,0.003232,3.6965),(2975,1155,0.003274,3.6967),(2975,1165,0.003315,3.6969),(2975,1175,0.003361,3.6971),(2975,1185,0.003408,3.6973),(2975,1195,0.003455,3.6976),(2975,1205,0.003503,3.6978),(2975,1215,0.003555,3.6981),(2975,1225,0.003608,3.6983),(2975,1235,0.003662,3.6986),(2975,1245,0.003715,3.6988),(2975,1255,0.003774,3.6991),(2975,1265,0.003835,3.6993),(2975,1275,0.003896,3.6996),(2975,1285,0.003956,3.6999),(2975,1295,0.004024,3.7002),(2975,1305,0.004093,3.7004),(2975,1315,0.004162,3.7007),(2975,1325,0.004231,3.701),(2975,1335,0.004308,3.7013),(2975,1345,0.004387,3.7016),(2975,1355,0.004466,3.702),(2975,1365,0.004545,3.7023),(2975,1375,0.004633,3.7026),(2975,1385,0.004724,3.7029),(2975,1395,0.004814,3.7033),(2975,1405,0.004904,3.7036),(2975,1415,0.005006,3.704),(2975,1425,0.005109,3.7043),(2975,1435,0.005211,3.7047),(2975,1445,0.005314,3.705),(2975,1455,0.00543,3.7054),(2975,1465,0.005547,3.7058),(2975,1475,0.005664,3.7062),(2975,1485,0.005781,3.7066),(2975,1495,0.005914,3.707),(2975,1505,0.006047,3.7074),(2975,1515,0.00618,3.7078),(2975,1525,0.006314,3.7082),(2975,1535,0.006465,3.7086),(2975,1545,0.006616,3.709),(2975,1555,0.006767,3.7095),(2975,1565,0.00692,3.7099),(2975,1575,0.007091,3.7104),(2975,1585,0.007263,3.7108),(2975,1595,0.007434,3.7113),(2975,1605,0.007608,3.7118),(2975,1615,0.007802,3.7123),(2975,1625,0.007997,3.7128),(2975,1635,0.008191,3.7133),(2975,1645,0.008389,3.7138),(2975,1655,0.008609,3.7143),(2975,1665,0.00883,3.7148),(2975,1675,0.00905,3.7154),(2975,1685,0.009275,3.7159),(2975,1695,0.009524,3.7164),(2975,1705,0.009772,3.717),(2975,1715,0.010021,3.7176),(2975,1725,0.010276,3.7181),(2975,1735,0.010557,3.7187),(2975,1745,0.010837,3.7193),(2975,1755,0.011118,3.7199),(2975,1765,0.011408,3.7205),(2975,1775,0.011724,3.7211),(2975,1785,0.01204,3.7217),(2975,1795,0.012357,3.7224),(2975,1805,0.012685,3.723),(2975,1815,0.013042,3.7237),(2975,1825,0.013398,3.7243),(2975,1835,0.013755,3.725),(2975,1845,0.014127,3.7257),(2975,1855,0.014528,3.7264),(2975,1865,0.01493,3.7271),(2975,1875,0.015331,3.7278),(2975,1885,0.015752,3.7285),(2975,1895,0.016203,3.7293),(2975,1905,0.016655,3.73),(2975,1915,0.017106,3.7308),(2975,1925,0.017582,3.7315),(2975,1935,0.01809,3.7323),(2975,1945,0.018598,3.7331),(2975,1955,0.019106,3.7339),(2975,1965,0.019643,3.7347),(2975,1975,0.020214,3.7355),(2975,1985,0.020785,3.7363),(2975,1995,0.021356,3.7371),(2975,2005,0.021963,3.738),(2975,2015,0.022604,3.7388),(2975,2025,0.023246,3.7397),(2975,2035,0.023888,3.7406),(2975,2045,0.024572,3.7415),(2975,2055,0.025293,3.7423),(2975,2065,0.026014,3.7433),(2975,2075,0.026735,3.7442),(2975,2085,0.027507,3.7451),(2975,2095,0.028316,3.746),(2975,2105,0.029126,3.747),(2975,2115,0.029935,3.7479),(2975,2125,0.030805,3.7489),(2975,2135,0.031713,3.7499),(2975,2145,0.032621,3.7509),(2975,2155,0.033529,3.7519),(2975,2165,0.034509,3.7529),(2975,2175,0.035527,3.7539),(2975,2185,0.036545,3.7549),(2975,2195,0.037562,3.7559),(2975,2205,0.038665,3.757),(2975,2215,0.039806,3.758),(2975,2225,0.040946,3.759),(2975,2235,0.042086,3.7601),(2975,2245,0.043326,3.7612),(2975,2255,0.044601,3.7622),(2975,2265,0.045877,3.7633),(2975,2275,0.047152,3.7644),(2975,2285,0.048544,3.7655),(2975,2295,0.049968,3.7665),(2975,2305,0.051393,3.7676),(2975,2315,0.052817,3.7687),(2975,2325,0.054376,3.7698),(2975,2335,0.055964,3.7709),(2975,2345,0.057552,3.772),(2975,2355,0.05914,3.7731),(2975,2365,0.060881,3.7742),(2975,2375,0.062648,3.7753),(2975,2385,0.064415,3.7764),(2975,2395,0.066181,3.7774),(2975,2405,0.068122,3.7785),(2975,2415,0.070082,3.7796),(2975,2425,0.072042,3.7806),(2975,2435,0.074003,3.7817),(2975,2445,0.076158,3.7827),(2975,2455,0.078326,3.7838),(2975,2465,0.080495,3.7848),(2975,2475,0.082663,3.7858),(2975,2485,0.085048,3.7868),(2975,2495,0.087438,3.7878),(2975,2505,0.089828,3.7887),(2975,2515,0.092221,3.7896),(2975,2525,0.094845,3.7905),(2975,2535,0.097469,3.7914),(2975,2545,0.10009,3.7922),(2975,2555,0.10273,3.7931),(2975,2565,0.1056,3.7939),(2975,2575,0.10846,3.7947),(2975,2585,0.11133,3.7954),(2975,2595,0.11422,3.796),(2975,2605,0.11734,3.7967),(2975,2615,0.12045,3.7974),(2975,2625,0.12357,3.7979),(2975,2635,0.12672,3.7984),(2975,2645,0.13009,3.7989),(2975,2655,0.13346,3.7994),(2975,2665,0.13683,3.7997),(2975,2675,0.14024,3.8),(2975,2685,0.14386,3.8003),(2975,2695,0.14748,3.8005),(2975,2705,0.1511,3.8006),(2975,2715,0.15477,3.8006),(2975,2725,0.15864,3.8007),(2975,2735,0.1625,3.8007),(2975,2745,0.16637,3.8004),(2975,2755,0.17029,3.8002),(2975,2765,0.17439,3.8),(2975,2775,0.17848,3.7996),(2975,2785,0.18258,3.7991),(2975,2795,0.18674,3.7985),(2975,2805,0.19105,3.798),(2975,2815,0.19536,3.7973),(2975,2825,0.19967,3.7964),(2975,2835,0.20405,3.7954),(2975,2845,0.20855,3.7945),(2975,2855,0.21305,3.7934),(2975,2865,0.21755,3.7921),(2975,2875,0.22211,3.7908),(2975,2885,0.22677,3.7894),(2975,2895,0.23143,3.7879),(2975,2905,0.23609,3.7861),(2975,2915,0.2408,3.7844),(2975,2925,0.24559,3.7826),(2975,2935,0.25037,3.7806),(2975,2945,0.25516,3.7783),(2975,2955,0.25998,3.7761),(2975,2965,0.26485,3.7738),(2975,2975,0.26971,3.7713),(2975,2985,0.27458,3.7686),(2975,2995,0.27946,3.7658),(2975,3005,0.28437,3.7631),(2975,3015,0.28927,3.7601),(2975,3025,0.29417,3.7568),(2975,3035,0.29907,3.7535),(2975,3045,0.30396,3.7502),(2975,3055,0.30885,3.7466),(2975,3065,0.31374,3.7428),(2975,3075,0.31859,3.739),(2975,3085,0.3234,3.7352),(2975,3095,0.32822,3.731),(2975,3105,0.33304,3.7266),(2975,3115,0.33778,3.7223),(2975,3125,0.34248,3.7179),(2975,3135,0.34717,3.7132),(2975,3145,0.35186,3.7082),(2975,3155,0.35643,3.7033),(2975,3165,0.36093,3.6984),(2975,3175,0.36544,3.6931),(2975,3185,0.36994,3.6876),(2975,3195,0.37427,3.6821),(2975,3205,0.37852,3.6767),(2975,3215,0.38278,3.6708),(2975,3225,0.38703,3.6648),(2975,3235,0.39105,3.6588),(2975,3245,0.39499,3.6528),(2975,3255,0.39893,3.6464),(2975,3265,0.40286,3.6399),(2975,3275,0.40651,3.6334),(2975,3285,0.41007,3.6268),(2975,3295,0.41362,3.6199),(2975,3305,0.41718,3.6129),(2975,3315,0.42038,3.6059),(2975,3325,0.4235,3.5989),(2975,3335,0.42661,3.5916),(2975,3345,0.42973,3.5842),(2975,3355,0.43241,3.5767),(2975,3365,0.43503,3.5693),(2975,3375,0.43764,3.5615),(2975,3385,0.44025,3.5537),(2975,3395,0.44237,3.5459),(2975,3405,0.44442,3.5381),(2975,3415,0.44647,3.53),(2975,3425,0.44852,3.5219),(2975,3435,0.45001,3.5138),(2975,3445,0.45145,3.5057),(2975,3455,0.4529,3.4974),(2975,3465,0.45434,3.489),(2975,3475,0.45516,3.4807),(2975,3485,0.45595,3.4723),(2975,3495,0.45674,3.4638),(2975,3505,0.45753,3.4553),(2975,3515,0.45765,3.4468),(2975,3525,0.45776,3.4384),(2975,3535,0.45788,3.4298),(2975,3545,0.45796,3.4213),(2975,3555,0.45738,3.4128),(2975,3565,0.4568,3.4042),(2975,3575,0.45622,3.3958),(2975,3585,0.45558,3.3873),(2975,3595,0.45431,3.3788),(2975,3605,0.45305,3.3704),(2975,3615,0.45178,3.3621),(2975,3625,0.45042,3.3538),(2975,3635,0.44849,3.3455),(2975,3645,0.44655,3.3373),(2975,3655,0.44462,3.3293),(2975,3665,0.44258,3.3213),(2975,3675,0.44003,3.3133),(2975,3685,0.43748,3.3053),(2975,3695,0.43493,3.2977),(2975,3705,0.43227,3.2901),(2975,3715,0.42918,3.2825),(2975,3725,0.42609,3.2751),(2975,3735,0.42299,3.268),(2975,3745,0.41979,3.2608),(2975,3755,0.41626,3.2537),(2975,3765,0.41273,3.2468),(2975,3775,0.4092,3.2402),(2975,3785,0.40558,3.2337),(2975,3795,0.40174,3.2272),(2975,3805,0.3979,3.2208),(2975,3815,0.39406,3.2149),(2975,3825,0.39016,3.2089),(2975,3835,0.38615,3.203),(2975,3845,0.38214,3.1973),(2975,3855,0.37813,3.1919),(2975,3865,0.37412,3.1866),(2975,3875,0.37009,3.1813),(2975,3885,0.36607,3.1761),(2975,3895,0.36204,3.1713),(2975,3905,0.40463,3.1665),(2975,3915,0.51684,3.1618),(2975,3925,0.62905,3.155),(2975,3935,0.74126,3.1454),(2975,3945,0.85635,3.1359),(2975,3955,0.9751,3.1264),(2975,3965,1.0938,3.1149),(2975,3975,1.2126,3.1012),(2975,3985,1.278,3.0874),(2975,3995,1.2857,3.0737),(2975,4005,1.2934,3.0601),(2975,4015,1.3011,3.0466),(2975,4025,1.3112,3.0332),(2975,4035,1.3216,3.0197),(2975,4045,1.3319,3.0059),(2975,4055,1.3441,2.9921),(2975,4065,1.357,2.9782),(2975,4075,1.3699,2.9634),(2975,4085,1.3843,2.9486),(2975,4095,1.3998,2.9338),(2975,4105,1.4153,2.9175),(2975,4115,1.3825,2.9012),(2975,4125,1.2699,2.8848),(2975,4135,1.1572,2.87),(2975,4145,1.0404,2.8555),(2975,4155,0.90706,2.841),(2975,4165,0.77373,2.8291),(2975,4175,0.64828,2.819),(2975,4185,0.9131,2.8088),(2975,4195,1.1779,2.7947),(2975,4205,1.4428,2.7756),(2975,4215,1.4822,2.7565),(2975,4225,1.4792,2.7369),(2975,4235,1.4762,2.716),(2975,4245,1.4349,2.695),(2975,4255,1.3741,2.674),(2975,4265,1.3134,2.6524),(2975,4275,1.145,2.6307),(2975,4285,0.86248,2.6091),(2975,4295,0.57992,2.6007),(2975,4305,0.48738,2.5937),(2975,4315,0.82391,2.5868),(2975,4325,1.1604,2.5717),(2975,4335,1.4605,2.5533),(2975,4345,1.514,2.535),(2975,4355,1.5674,2.5157),(2975,4365,1.6209,2.4955),(2975,4375,1.633,2.4754),(2975,4385,1.643,2.4554),(2975,4395,1.6531,2.4359),(2975,4405,1.461,2.4164),(2975,4415,1.2093,2.3984),(2975,4425,0.9577,2.3876),(2975,4435,0.85262,2.3767),(2975,4445,0.84771,2.3659),(2975,4455,0.8428,2.3549),(2975,4465,0.95229,2.3439),(2975,4475,1.2225,2.3329),(2975,4485,1.4927,2.3158),(2975,4495,1.7007,2.2974),(2975,4505,1.7088,2.279),(2975,4515,1.7169,2.2608),(2975,4525,1.7214,2.2429),(2975,4535,1.6682,2.2249),(2975,4545,1.6149,2.2079),(2975,4555,1.5617,2.192),(2975,4565,1.2042,2.1761),(2975,4575,0.80564,2.1639),(2975,4585,0.40711,2.1606),(2975,4595,0.5368,2.1572),(2975,4605,0.88967,2.1521),(2975,4615,1.2426,2.1336),(2975,4625,1.4568,2.115),(2975,4635,1.5455,2.0965),(2975,4645,1.6341,2.0788),(2975,4655,1.6995,2.0611),(2975,4665,1.7208,2.0434),(2975,4675,1.7421,2.0265),(2975,4685,1.7003,2.0098),(2975,4695,1.3466,1.9932),(2975,4705,0.99293,1.9825),(2975,4715,0.63926,1.9761),(2975,4725,0.81636,1.9698),(2975,4735,0.99878,1.9618),(2975,4745,1.1812,1.9514),(2975,4755,1.367,1.9409),(2975,4765,1.5535,1.9295),(2975,4775,1.74,1.9146),(2975,4785,1.8113,1.8997),(2975,4795,1.8159,1.8849),(2975,4805,1.8206,1.8702),(2975,4815,1.7374,1.8555),(2975,4825,1.5492,1.8408),(2975,4835,1.361,1.8305),(2975,4845,1.1709,1.8208),(2975,4855,0.97585,1.8112),(2975,4865,0.78081,1.8047),(2975,4875,0.64441,1.7997),(2975,4885,1.0415,1.7947),(2975,4895,1.4386,1.7852),(2975,4905,1.8357,1.7714),(2975,4915,1.8636,1.7575),(2975,4925,1.8598,1.7436),(2975,4935,1.8559,1.7294),(2975,4945,1.802,1.7152),(2975,4955,1.7306,1.7006),(2975,4965,1.6593,1.6844),(2975,4975,1.3678,1.6682),(2975,4985,0.90651,1.652),(2975,4995,0.4452,1.6503),(2975,5005,0.32017,1.6489),(2975,5015,0.72976,1.6476),(2975,5025,1.1394,1.6392),(2975,5035,1.4923,1.629),(2975,5045,1.6293,1.6189),(2975,5055,1.7663,1.607),(2975,5065,1.8993,1.594),(2975,5075,1.9028,1.5811),(2975,5085,1.9063,1.5681),(2975,5095,1.9097,1.5553),(2975,5105,1.6718,1.5425),(2975,5115,1.3917,1.5312),(2975,5125,1.1116,1.5244),(2975,5135,0.97393,1.5176),(2975,5145,0.90538,1.5109),(2975,5155,0.83683,1.5058),(2975,5165,0.98542,1.5007),(2975,5175,1.3555,1.4956),(2975,5185,1.7255,1.484),(2975,5195,1.9793,1.4717),(2975,5205,1.9825,1.4595),(2975,5215,1.9856,1.4473),(2975,5225,1.9782,1.4352),(2975,5235,1.9057,1.4231),(2975,5245,1.8331,1.4118),(2975,5255,1.7606,1.4012),(2975,5265,1.2429,1.3906),(2975,5275,0.70694,1.3838),(2975,5285,0.17095,1.3834),(2975,5295,0.49849,1.383),(2975,5305,1.0665,1.3798),(2975,5315,1.6345,1.3647),(2975,5325,1.8931,1.3497),(2975,5335,1.9487,1.3347),(2975,5345,2.0044,1.3222),(2975,5355,2.0389,1.3097),(2975,5365,2.0448,1.2972),(2975,5375,2.0507,1.285),(2975,5385,1.9382,1.2729),(2975,5395,1.4656,1.2608),(2975,5405,0.99298,1.2545),(2975,5415,0.57288,1.2513),(2975,5425,0.85833,1.248),(2975,5435,1.1438,1.2425),(2975,5445,1.4292,1.2346),(2975,5455,1.7,1.2267),(2975,5465,1.9691,1.2174),(2975,5475,2.2381,1.2051),(2975,5485,2.3175,1.1928),(2975,5495,2.3204,1.1805),(2975,5505,2.3234,1.1686),(2975,5515,2.3264,1.1566),(2975,5525,2.3294,1.1447),(2975,5535,2.3323,1.133),(2975,5545,2.3352,1.1215),(2975,5555,2.3379,1.1099),(2975,5565,2.3405,1.0985),(2975,5575,2.3432,1.0873),(2975,5585,2.3456,1.076),(2975,5595,2.348,1.065),(2975,5605,2.3504,1.0541),(2975,5615,2.3526,1.0431),(2975,5625,2.3547,1.0324),(2975,5635,2.3569,1.0217),(2975,5645,2.3589,1.0111),(2975,5655,2.3608,1.0006),(2975,5665,2.3627,0.99026),(2975,5675,2.3645,0.97995),(2975,5685,2.3663,0.96965),(2975,5695,2.368,0.9596),(2975,5705,2.3696,0.94955),(2975,5715,2.3711,0.9395),(2975,5725,2.3726,0.92967),(2975,5735,2.3741,0.91987),(2975,5745,2.3754,0.91007),(2975,5755,2.3767,0.90044),(2975,5765,2.3781,0.89088),(2975,5775,2.3792,0.88132),(2975,5785,2.3804,0.87188),(2975,5795,2.3815,0.86256),(2975,5805,2.3825,0.85323),(2975,5815,2.3835,0.84398),(2975,5825,2.3845,0.83487),(2975,5835,2.3854,0.82577),(2975,5845,2.3862,0.8167),(2975,5855,2.387,0.8078),(2975,5865,2.3878,0.79889),(2975,5875,2.3884,0.78999),(2975,5885,2.3891,0.78129),(2975,5895,2.3897,0.77258),(2975,5905,2.3903,0.76388),(2975,5915,2.3908,0.75534),(2975,5925,2.3913,0.74683),(2975,5935,2.3917,0.73832),(2975,5945,2.3922,0.72993),(2975,5955,2.3926,0.72161),(2975,5965,2.3929,0.71329),(2975,5975,2.3932,0.70504),(2975,5985,2.3936,0.69688),(2975,5995,1.8303,0.68873),(2975,6005,1.1764,0.68249),(2975,6015,0.52254,0.68139),(2975,6025,0.64629,0.68029),(2975,6035,1.1307,0.6784),(2975,6045,1.6151,0.66892),(2975,6055,1.9528,0.65943),(2975,6065,2.1466,0.64994),(2975,6075,2.3405,0.63771),(2975,6085,2.4718,0.62523),(2975,6095,2.4746,0.61275),(2975,6105,2.4773,0.60031),(2975,6115,2.48,0.58788),(2975,6125,2.4825,0.57546),(2975,6135,2.4851,0.56312),(2975,6145,2.4876,0.55086),(2975,6155,2.49,0.53859),(2975,6165,2.4924,0.5264),(2975,6175,2.4948,0.51431),(2975,6185,2.497,0.50222),(2975,6195,2.4992,0.49014),(2975,6205,2.5014,0.4781),(2975,6215,2.5034,0.46606),(2975,6225,2.5054,0.45403),(2975,6235,2.5075,0.44205),(2975,6245,2.5094,0.43007),(2975,6255,2.5112,0.41809),(2975,6265,2.5131,0.40619),(2975,6275,2.5149,0.3943),(2975,6285,2.5165,0.38242),(2975,6295,2.5182,0.37056),(2975,6305,2.5199,0.35872),(2975,6315,2.5214,0.34688),(2975,6325,2.5229,0.33509),(2975,6335,2.5244,0.32335),(2975,6345,2.5257,0.3116),(2975,6355,2.527,0.29988),(2975,6365,2.5284,0.28819),(2975,6375,2.5296,0.27651),(2975,6385,2.5307,0.26483),(2975,6395,2.5319,0.25319),(2975,6405,2.533,0.24155),(2975,6415,2.534,0.22991),(2975,6425,2.535,0.21832),(2975,6435,2.5359,0.20675),(2975,6445,2.5368,0.19517),(2975,6455,2.5376,0.18362),(2975,6465,2.5384,0.17209),(2975,6475,2.5391,0.16056),(2975,6485,2.5398,0.14902),(2975,6495,2.5405,0.13749),(2975,6505,2.541,0.12596),(2975,6515,2.5416,0.11444),(2975,6525,2.5421,0.10296),(2975,6535,2.5425,0.091473),(2975,6545,2.5429,0.079989),(2975,6555,2.5432,0.068508),(2975,6565,2.5435,0.057026),(2975,6575,2.5437,0.045547),(2975,6585,2.5439,0.034107),(2975,6595,2.1638,0.022666),(2975,6605,1.3638,0.011226),(2975,6615,0.56377,0.009887),(2975,6625,0.001384,0.009847),(2975,6635,0.001382,0.009807),(2975,6645,0.00138,0.009788),(2975,6655,0.001377,0.009777),(2975,6665,0.001375,0.009767),(2975,6675,0.001373,0.009757),(2975,6685,0.001371,0.009746),(2975,6695,0.00137,0.009736),(2975,6705,0.001368,0.009726),(2975,6715,0.001366,0.009716),(2975,6725,0.001364,0.009706),(2975,6735,0.001362,0.009696),(2975,6745,0.001361,0.009686),(2975,6755,0.001359,0.009676),(2975,6765,0.001358,0.009666),(2975,6775,0.001356,0.009656),(2975,6785,0.001355,0.009646),(2975,6795,0.001353,0.009637),(2975,6805,0.001352,0.009627),(2975,6815,0.00135,0.009617),(2975,6825,0.001349,0.009607),(2975,6835,0.001348,0.009598),(2975,6845,0.001346,0.009588),(2975,6855,0.001345,0.009578),(2975,6865,0.001344,0.009569),(2975,6875,0.001343,0.009559),(2975,6885,0.001342,0.00955),(2975,6895,0.001341,0.00954),(2975,6905,0.00134,0.00953),(2975,6915,0.001339,0.009521),(2975,6925,0.001338,0.009511),(2975,6935,0.001337,0.009502),(2975,6945,0.001336,0.009493),(2975,6955,0.001335,0.009483),(2975,6965,0.001334,0.009474),(2975,6975,0.001333,0.009464),(2975,6985,0.001332,0.009455),(2985,5,1.6e-05,3.6882),(2985,15,4.7e-05,3.6882),(2985,25,7.8e-05,3.6882),(2985,35,0.00011,3.6882),(2985,45,0.000141,3.6882),(2985,55,0.000172,3.6882),(2985,65,0.000204,3.6882),(2985,75,0.000235,3.6882),(2985,85,0.000266,3.6882),(2985,95,0.000297,3.6882),(2985,105,0.000328,3.6882),(2985,115,0.000359,3.6882),(2985,125,0.00039,3.6882),(2985,135,0.000421,3.6882),(2985,145,0.000451,3.6882),(2985,155,0.000482,3.6882),(2985,165,0.000513,3.6883),(2985,175,0.000543,3.6883),(2985,185,0.000573,3.6883),(2985,195,0.000604,3.6883),(2985,205,0.000634,3.6883),(2985,215,0.000664,3.6883),(2985,225,0.000694,3.6883),(2985,235,0.000723,3.6884),(2985,245,0.000753,3.6884),(2985,255,0.000782,3.6884),(2985,265,0.000812,3.6884),(2985,275,0.000841,3.6884),(2985,285,0.00087,3.6885),(2985,295,0.000899,3.6885),(2985,305,0.000927,3.6885),(2985,315,0.000956,3.6885),(2985,325,0.000984,3.6886),(2985,335,0.001013,3.6886),(2985,345,0.001041,3.6886),(2985,355,0.001069,3.6886),(2985,365,0.001097,3.6887),(2985,375,0.001124,3.6887),(2985,385,0.001151,3.6887),(2985,395,0.001179,3.6888),(2985,405,0.001206,3.6888),(2985,415,0.001233,3.6888),(2985,425,0.001259,3.6889),(2985,435,0.001285,3.6889),(2985,445,0.001311,3.6889),(2985,455,0.001338,3.689),(2985,465,0.001363,3.689),(2985,475,0.001388,3.6891),(2985,485,0.001414,3.6891),(2985,495,0.001439,3.6892),(2985,505,0.001464,3.6892),(2985,515,0.001489,3.6892),(2985,525,0.001513,3.6893),(2985,535,0.001538,3.6893),(2985,545,0.001561,3.6894),(2985,555,0.001585,3.6894),(2985,565,0.001609,3.6895),(2985,575,0.001633,3.6896),(2985,585,0.001656,3.6896),(2985,595,0.001679,3.6897),(2985,605,0.001702,3.6897),(2985,615,0.001725,3.6898),(2985,625,0.001747,3.6899),(2985,635,0.001769,3.6899),(2985,645,0.001791,3.69),(2985,655,0.001814,3.6901),(2985,665,0.001835,3.6901),(2985,675,0.001857,3.6902),(2985,685,0.001879,3.6903),(2985,695,0.0019,3.6904),(2985,705,0.001921,3.6904),(2985,715,0.001942,3.6905),(2985,725,0.001964,3.6906),(2985,735,0.001985,3.6907),(2985,745,0.002006,3.6908),(2985,755,0.002027,3.6909),(2985,765,0.002047,3.6909),(2985,775,0.002068,3.691),(2985,785,0.002089,3.6911),(2985,795,0.00211,3.6912),(2985,805,0.002131,3.6913),(2985,815,0.002152,3.6914),(2985,825,0.002172,3.6915),(2985,835,0.002193,3.6916),(2985,845,0.002214,3.6918),(2985,855,0.002235,3.6919),(2985,865,0.002256,3.692),(2985,875,0.002278,3.6921),(2985,885,0.002299,3.6922),(2985,895,0.00232,3.6923),(2985,905,0.002342,3.6925),(2985,915,0.002364,3.6926),(2985,925,0.002386,3.6927),(2985,935,0.002408,3.6929),(2985,945,0.002431,3.693),(2985,955,0.002454,3.6932),(2985,965,0.002477,3.6933),(2985,975,0.002501,3.6934),(2985,985,0.002526,3.6936),(2985,995,0.002551,3.6937),(2985,1005,0.002576,3.6939),(2985,1015,0.002602,3.6941),(2985,1025,0.002629,3.6942),(2985,1035,0.002656,3.6944),(2985,1045,0.002683,3.6946),(2985,1055,0.002711,3.6948),(2985,1065,0.002741,3.6949),(2985,1075,0.002771,3.6951),(2985,1085,0.002801,3.6953),(2985,1095,0.002832,3.6955),(2985,1105,0.002865,3.6957),(2985,1115,0.002898,3.6959),(2985,1125,0.002932,3.6961),(2985,1135,0.002967,3.6963),(2985,1145,0.003005,3.6965),(2985,1155,0.003042,3.6967),(2985,1165,0.00308,3.6969),(2985,1175,0.00312,3.6972),(2985,1185,0.003163,3.6974),(2985,1195,0.003206,3.6976),(2985,1205,0.003248,3.6979),(2985,1215,0.003295,3.6981),(2985,1225,0.003344,3.6984),(2985,1235,0.003392,3.6986),(2985,1245,0.003441,3.6989),(2985,1255,0.003495,3.6991),(2985,1265,0.00355,3.6994),(2985,1275,0.003606,3.6997),(2985,1285,0.003661,3.7),(2985,1295,0.003723,3.7002),(2985,1305,0.003786,3.7005),(2985,1315,0.00385,3.7008),(2985,1325,0.003913,3.7011),(2985,1335,0.003985,3.7014),(2985,1345,0.004058,3.7017),(2985,1355,0.004131,3.702),(2985,1365,0.004204,3.7024),(2985,1375,0.004286,3.7027),(2985,1385,0.00437,3.703),(2985,1395,0.004454,3.7034),(2985,1405,0.004538,3.7037),(2985,1415,0.004633,3.7041),(2985,1425,0.00473,3.7044),(2985,1435,0.004826,3.7048),(2985,1445,0.004922,3.7052),(2985,1455,0.005031,3.7055),(2985,1465,0.005141,3.7059),(2985,1475,0.005251,3.7063),(2985,1485,0.005361,3.7067),(2985,1495,0.005487,3.7071),(2985,1505,0.005613,3.7075),(2985,1515,0.005738,3.7079),(2985,1525,0.005864,3.7084),(2985,1535,0.006008,3.7088),(2985,1545,0.006151,3.7092),(2985,1555,0.006295,3.7097),(2985,1565,0.00644,3.7101),(2985,1575,0.006603,3.7106),(2985,1585,0.006766,3.711),(2985,1595,0.00693,3.7115),(2985,1605,0.007095,3.712),(2985,1615,0.007281,3.7125),(2985,1625,0.007467,3.713),(2985,1635,0.007653,3.7135),(2985,1645,0.007842,3.714),(2985,1655,0.008053,3.7145),(2985,1665,0.008264,3.715),(2985,1675,0.008475,3.7156),(2985,1685,0.008691,3.7161),(2985,1695,0.00893,3.7167),(2985,1705,0.009169,3.7172),(2985,1715,0.009408,3.7178),(2985,1725,0.009654,3.7184),(2985,1735,0.009925,3.719),(2985,1745,0.010195,3.7196),(2985,1755,0.010466,3.7202),(2985,1765,0.010746,3.7208),(2985,1775,0.011051,3.7214),(2985,1785,0.011357,3.7221),(2985,1795,0.011663,3.7227),(2985,1805,0.011981,3.7234),(2985,1815,0.012326,3.724),(2985,1825,0.012672,3.7247),(2985,1835,0.013017,3.7254),(2985,1845,0.013378,3.7261),(2985,1855,0.013768,3.7268),(2985,1865,0.014158,3.7275),(2985,1875,0.014547,3.7282),(2985,1885,0.014956,3.729),(2985,1895,0.015396,3.7297),(2985,1905,0.015836,3.7305),(2985,1915,0.016275,3.7312),(2985,1925,0.016738,3.732),(2985,1935,0.017234,3.7328),(2985,1945,0.017729,3.7336),(2985,1955,0.018225,3.7344),(2985,1965,0.018749,3.7352),(2985,1975,0.019308,3.736),(2985,1985,0.019866,3.7369),(2985,1995,0.020424,3.7378),(2985,2005,0.021018,3.7386),(2985,2015,0.021646,3.7395),(2985,2025,0.022275,3.7404),(2985,2035,0.022903,3.7413),(2985,2045,0.023575,3.7422),(2985,2055,0.024282,3.7431),(2985,2065,0.02499,3.744),(2985,2075,0.025697,3.7449),(2985,2085,0.026456,3.7459),(2985,2095,0.027252,3.7468),(2985,2105,0.028048,3.7478),(2985,2115,0.028844,3.7488),(2985,2125,0.029701,3.7498),(2985,2135,0.030596,3.7508),(2985,2145,0.031491,3.7518),(2985,2155,0.032386,3.7528),(2985,2165,0.033353,3.7539),(2985,2175,0.034358,3.7549),(2985,2185,0.035363,3.7559),(2985,2195,0.036368,3.757),(2985,2205,0.037459,3.7581),(2985,2215,0.038588,3.7591),(2985,2225,0.039716,3.7602),(2985,2235,0.040844,3.7613),(2985,2245,0.042073,3.7624),(2985,2255,0.043338,3.7635),(2985,2265,0.044603,3.7646),(2985,2275,0.045868,3.7657),(2985,2285,0.04725,3.7668),(2985,2295,0.048666,3.768),(2985,2305,0.050082,3.7691),(2985,2315,0.051497,3.7702),(2985,2325,0.053049,3.7714),(2985,2335,0.05463,3.7725),(2985,2345,0.056212,3.7736),(2985,2355,0.057793,3.7748),(2985,2365,0.05953,3.7759),(2985,2375,0.061294,3.777),(2985,2385,0.063057,3.7782),(2985,2395,0.06482,3.7793),(2985,2405,0.06676,3.7804),(2985,2415,0.06872,3.7816),(2985,2425,0.07068,3.7827),(2985,2435,0.072641,3.7838),(2985,2445,0.0748,3.7849),(2985,2455,0.076973,3.786),(2985,2465,0.079146,3.787),(2985,2475,0.081319,3.7881),(2985,2485,0.083714,3.7891),(2985,2495,0.086114,3.7902),(2985,2505,0.088513,3.7911),(2985,2515,0.090917,3.7921),(2985,2525,0.093557,3.7931),(2985,2535,0.096196,3.794),(2985,2545,0.098836,3.7949),(2985,2555,0.10149,3.7958),(2985,2565,0.10438,3.7967),(2985,2575,0.10727,3.7975),(2985,2585,0.11016,3.7983),(2985,2595,0.11307,3.799),(2985,2605,0.11622,3.7997),(2985,2615,0.11937,3.8005),(2985,2625,0.12252,3.801),(2985,2635,0.1257,3.8016),(2985,2645,0.12911,3.8022),(2985,2655,0.13252,3.8027),(2985,2665,0.13593,3.8031),(2985,2675,0.13938,3.8034),(2985,2685,0.14305,3.8038),(2985,2695,0.14672,3.8041),(2985,2705,0.15039,3.8042),(2985,2715,0.15411,3.8043),(2985,2725,0.15803,3.8045),(2985,2735,0.16196,3.8045),(2985,2745,0.16588,3.8043),(2985,2755,0.16986,3.8041),(2985,2765,0.17403,3.804),(2985,2775,0.17819,3.8037),(2985,2785,0.18236,3.8032),(2985,2795,0.18659,3.8027),(2985,2805,0.19098,3.8022),(2985,2815,0.19536,3.8016),(2985,2825,0.19975,3.8007),(2985,2835,0.20421,3.7998),(2985,2845,0.20879,3.7989),(2985,2855,0.21338,3.7979),(2985,2865,0.21797,3.7966),(2985,2875,0.22262,3.7953),(2985,2885,0.22738,3.794),(2985,2895,0.23213,3.7925),(2985,2905,0.23689,3.7908),(2985,2915,0.2417,3.789),(2985,2925,0.24659,3.7873),(2985,2935,0.25147,3.7853),(2985,2945,0.25636,3.7831),(2985,2955,0.26129,3.7808),(2985,2965,0.26627,3.7786),(2985,2975,0.27124,3.7761),(2985,2985,0.27622,3.7734),(2985,2995,0.28122,3.7706),(2985,3005,0.28624,3.7679),(2985,3015,0.29125,3.7649),(2985,3025,0.29627,3.7616),(2985,3035,0.30129,3.7583),(2985,3045,0.3063,3.755),(2985,3055,0.3113,3.7514),(2985,3065,0.31631,3.7476),(2985,3075,0.32128,3.7437),(2985,3085,0.32623,3.7399),(2985,3095,0.33117,3.7357),(2985,3105,0.33611,3.7313),(2985,3115,0.34098,3.7269),(2985,3125,0.34579,3.7225),(2985,3135,0.35061,3.7177),(2985,3145,0.35542,3.7128),(2985,3155,0.36012,3.7078),(2985,3165,0.36474,3.7028),(2985,3175,0.36937,3.6975),(2985,3185,0.374,3.6919),(2985,3195,0.37845,3.6864),(2985,3205,0.38282,3.6808),(2985,3215,0.3872,3.6749),(2985,3225,0.39157,3.6688),(2985,3235,0.39571,3.6627),(2985,3245,0.39976,3.6567),(2985,3255,0.40382,3.6502),(2985,3265,0.40787,3.6436),(2985,3275,0.41163,3.6369),(2985,3285,0.41529,3.6303),(2985,3295,0.41896,3.6233),(2985,3305,0.42263,3.6162),(2985,3315,0.42593,3.6091),(2985,3325,0.42914,3.602),(2985,3335,0.43236,3.5945),(2985,3345,0.43557,3.587),(2985,3355,0.43835,3.5794),(2985,3365,0.44105,3.5719),(2985,3375,0.44375,3.564),(2985,3385,0.44645,3.556),(2985,3395,0.44864,3.5481),(2985,3405,0.45076,3.5401),(2985,3415,0.45288,3.5319),(2985,3425,0.45501,3.5236),(2985,3435,0.45655,3.5154),(2985,3445,0.45805,3.5071),(2985,3455,0.45955,3.4986),(2985,3465,0.46104,3.4901),(2985,3475,0.4619,3.4816),(2985,3485,0.46272,3.4731),(2985,3495,0.46355,3.4644),(2985,3505,0.46437,3.4558),(2985,3515,0.4645,3.4471),(2985,3525,0.46462,3.4385),(2985,3535,0.46475,3.4298),(2985,3545,0.46484,3.4211),(2985,3555,0.46425,3.4124),(2985,3565,0.46365,3.4037),(2985,3575,0.46306,3.395),(2985,3585,0.46241,3.3864),(2985,3595,0.4611,3.3777),(2985,3605,0.45979,3.3691),(2985,3615,0.45848,3.3607),(2985,3625,0.45708,3.3522),(2985,3635,0.45508,3.3438),(2985,3645,0.45307,3.3354),(2985,3655,0.45107,3.3272),(2985,3665,0.44896,3.3191),(2985,3675,0.44632,3.3109),(2985,3685,0.44367,3.3028),(2985,3695,0.44103,3.2951),(2985,3705,0.43827,3.2874),(2985,3715,0.43506,3.2796),(2985,3725,0.43185,3.272),(2985,3735,0.42864,3.2648),(2985,3745,0.42532,3.2576),(2985,3755,0.42166,3.2504),(2985,3765,0.41799,3.2433),(2985,3775,0.41433,3.2367),(2985,3785,0.41057,3.2301),(2985,3795,0.40659,3.2235),(2985,3805,0.4026,3.2171),(2985,3815,0.39862,3.2111),(2985,3825,0.39458,3.2051),(2985,3835,0.39043,3.1991),(2985,3845,0.38628,3.1934),(2985,3855,0.38213,3.188),(2985,3865,0.37798,3.1827),(2985,3875,0.37384,3.1774),(2985,3885,0.36969,3.1722),(2985,3895,0.36554,3.1675),(2985,3905,0.40836,3.1627),(2985,3915,0.52135,3.1579),(2985,3925,0.63433,3.1512),(2985,3935,0.74732,3.1417),(2985,3945,0.86312,3.1323),(2985,3955,0.98249,3.1228),(2985,3965,1.1019,3.1115),(2985,3975,1.2212,3.0978),(2985,3985,1.2869,3.0842),(2985,3995,1.2945,3.0706),(2985,4005,1.3021,3.0571),(2985,4015,1.3096,3.0438),(2985,4025,1.3198,3.0304),(2985,4035,1.3302,3.017),(2985,4045,1.3407,3.0032),(2985,4055,1.3531,2.9895),(2985,4065,1.3663,2.9756),(2985,4075,1.3795,2.9608),(2985,4085,1.3942,2.9459),(2985,4095,1.4101,2.9311),(2985,4105,1.4261,2.9147),(2985,4115,1.3936,2.8982),(2985,4125,1.2807,2.8817),(2985,4135,1.1679,2.8666),(2985,4145,1.0508,2.8519),(2985,4155,0.91662,2.8373),(2985,4165,0.78244,2.8252),(2985,4175,0.6562,2.8148),(2985,4185,0.92288,2.8043),(2985,4195,1.1896,2.79),(2985,4205,1.4563,2.7705),(2985,4215,1.4965,2.751),(2985,4225,1.4941,2.7311),(2985,4235,1.4917,2.7097),(2985,4245,1.4509,2.6884),(2985,4255,1.3906,2.667),(2985,4265,1.3302,2.6449),(2985,4275,1.1604,2.6228),(2985,4285,0.87419,2.6007),(2985,4295,0.58802,2.5921),(2985,4305,0.49369,2.585),(2985,4315,0.83255,2.5779),(2985,4325,1.1714,2.5626),(2985,4335,1.4736,2.5441),(2985,4345,1.5274,2.5257),(2985,4355,1.5812,2.5062),(2985,4365,1.635,2.4859),(2985,4375,1.647,2.4656),(2985,4385,1.6567,2.4456),(2985,4395,1.6664,2.4261),(2985,4405,1.4729,2.4066),(2985,4415,1.2195,2.3886),(2985,4425,0.96599,2.3779),(2985,4435,0.86024,2.3671),(2985,4445,0.85544,2.3564),(2985,4455,0.85063,2.3454),(2985,4465,0.96076,2.3343),(2985,4475,1.2324,2.3233),(2985,4485,1.504,2.3061),(2985,4495,1.7129,2.2876),(2985,4505,1.7209,2.2691),(2985,4515,1.7288,2.2509),(2985,4525,1.7331,2.2328),(2985,4535,1.6794,2.2147),(2985,4545,1.6258,2.1976),(2985,4555,1.5721,2.1815),(2985,4565,1.2123,2.1655),(2985,4575,0.81122,2.1531),(2985,4585,0.41014,2.1498),(2985,4595,0.5415,2.1464),(2985,4605,0.89784,2.1413),(2985,4615,1.2542,2.1227),(2985,4625,1.4697,2.1041),(2985,4635,1.5578,2.0855),(2985,4645,1.6459,2.0678),(2985,4655,1.7108,2.0501),(2985,4665,1.7317,2.0324),(2985,4675,1.7526,2.0155),(2985,4685,1.7102,1.9988),(2985,4695,1.3545,1.9821),(2985,4705,0.99892,1.9714),(2985,4715,0.6433,1.9651),(2985,4725,0.821,1.9587),(2985,4735,1.004,1.9507),(2985,4745,1.1871,1.9403),(2985,4755,1.3735,1.9298),(2985,4765,1.5608,1.9184),(2985,4775,1.748,1.9035),(2985,4785,1.8195,1.8886),(2985,4795,1.8241,1.8738),(2985,4805,1.8287,1.8591),(2985,4815,1.745,1.8444),(2985,4825,1.5559,1.8297),(2985,4835,1.3668,1.8194),(2985,4845,1.1759,1.8098),(2985,4855,0.98006,1.8002),(2985,4865,0.78426,1.7938),(2985,4875,0.6473,1.7888),(2985,4885,1.0457,1.7838),(2985,4895,1.4442,1.7744),(2985,4905,1.8426,1.7605),(2985,4915,1.8707,1.7467),(2985,4925,1.867,1.7328),(2985,4935,1.8633,1.7186),(2985,4945,1.81,1.7045),(2985,4955,1.7395,1.69),(2985,4965,1.669,1.6738),(2985,4975,1.3763,1.6576),(2985,4985,0.91204,1.6414),(2985,4995,0.44776,1.6396),(2985,5005,0.32141,1.6383),(2985,5015,0.73229,1.637),(2985,5025,1.1432,1.6286),(2985,5035,1.4972,1.6185),(2985,5045,1.6345,1.6083),(2985,5055,1.7719,1.5965),(2985,5065,1.9053,1.5835),(2985,5075,1.9088,1.5706),(2985,5085,1.9122,1.5577),(2985,5095,1.9156,1.5449),(2985,5105,1.6769,1.5321),(2985,5115,1.3959,1.5208),(2985,5125,1.115,1.514),(2985,5135,0.97684,1.5072),(2985,5145,0.908,1.5005),(2985,5155,0.83915,1.4954),(2985,5165,0.98803,1.4903),(2985,5175,1.359,1.4852),(2985,5185,1.7299,1.4737),(2985,5195,1.9843,1.4615),(2985,5205,1.9874,1.4492),(2985,5215,1.9905,1.4371),(2985,5225,1.9831,1.425),(2985,5235,1.9103,1.4129),(2985,5245,1.8375,1.4016),(2985,5255,1.7648,1.391),(2985,5265,1.2459,1.3804),(2985,5275,0.70868,1.3736),(2985,5285,0.17143,1.3732),(2985,5295,0.50063,1.3728),(2985,5305,1.0711,1.3696),(2985,5315,1.6416,1.3546),(2985,5325,1.9006,1.3397),(2985,5335,1.9553,1.3247),(2985,5345,2.01,1.3122),(2985,5355,2.0439,1.2998),(2985,5365,2.0497,1.2873),(2985,5375,2.0555,1.2752),(2985,5385,1.9426,1.2631),(2985,5395,1.4689,1.251),(2985,5405,0.9952,1.2448),(2985,5415,0.57415,1.2415),(2985,5425,0.86005,1.2383),(2985,5435,1.1459,1.2328),(2985,5445,1.4318,1.225),(2985,5455,1.703,1.2171),(2985,5465,1.9725,1.208),(2985,5475,2.2419,1.1957),(2985,5485,2.3213,1.1835),(2985,5495,2.3241,1.1714),(2985,5505,2.327,1.1595),(2985,5515,2.3299,1.1477),(2985,5525,2.3327,1.1358),(2985,5535,2.3356,1.1243),(2985,5545,2.3383,1.1129),(2985,5555,2.3409,1.1014),(2985,5565,2.3434,1.0901),(2985,5575,2.346,1.079),(2985,5585,2.3483,1.0678),(2985,5595,2.3506,1.0569),(2985,5605,2.3529,1.046),(2985,5615,2.3549,1.0352),(2985,5625,2.357,1.0245),(2985,5635,2.3591,1.014),(2985,5645,2.3609,1.0035),(2985,5655,2.3628,0.99303),(2985,5665,2.3646,0.9828),(2985,5675,2.3663,0.97258),(2985,5685,2.368,0.96237),(2985,5695,2.3696,0.9524),(2985,5705,2.3711,0.94244),(2985,5715,2.3726,0.93248),(2985,5725,2.374,0.92273),(2985,5735,2.3754,0.91301),(2985,5745,2.3766,0.90329),(2985,5755,2.3779,0.89375),(2985,5765,2.3791,0.88427),(2985,5775,2.3802,0.87479),(2985,5785,2.3813,0.86544),(2985,5795,2.3823,0.85619),(2985,5805,2.3833,0.84695),(2985,5815,2.3842,0.83777),(2985,5825,2.3851,0.82874),(2985,5835,2.3859,0.81971),(2985,5845,2.3867,0.81072),(2985,5855,2.3874,0.80189),(2985,5865,2.3881,0.79306),(2985,5875,2.3888,0.78424),(2985,5885,2.3894,0.7756),(2985,5895,2.3899,0.76697),(2985,5905,2.3904,0.75834),(2985,5915,2.3909,0.74987),(2985,5925,2.3914,0.74143),(2985,5935,2.3917,0.733),(2985,5945,2.3921,0.72467),(2985,5955,2.3924,0.71642),(2985,5965,2.3927,0.70817),(2985,5975,2.393,0.69999),(2985,5985,2.3933,0.6919),(2985,5995,1.8301,0.68381),(2985,6005,1.1763,0.67763),(2985,6015,0.52248,0.67654),(2985,6025,0.64697,0.67545),(2985,6035,1.1324,0.67358),(2985,6045,1.6179,0.66415),(2985,6055,1.9563,0.65473),(2985,6065,2.1504,0.64531),(2985,6075,2.3445,0.63316),(2985,6085,2.4761,0.62077),(2985,6095,2.4788,0.60837),(2985,6105,2.4815,0.59602),(2985,6115,2.4841,0.58367),(2985,6125,2.4866,0.57133),(2985,6135,2.4891,0.55908),(2985,6145,2.4917,0.54691),(2985,6155,2.494,0.53473),(2985,6165,2.4963,0.52263),(2985,6175,2.4987,0.51062),(2985,6185,2.5008,0.49862),(2985,6195,2.503,0.48663),(2985,6205,2.5051,0.47468),(2985,6215,2.5072,0.46273),(2985,6225,2.5092,0.45078),(2985,6235,2.5111,0.43889),(2985,6245,2.513,0.42699),(2985,6255,2.5148,0.4151),(2985,6265,2.5167,0.40329),(2985,6275,2.5184,0.39149),(2985,6285,2.5201,0.37969),(2985,6295,2.5217,0.36792),(2985,6305,2.5233,0.35616),(2985,6315,2.5248,0.34441),(2985,6325,2.5263,0.3327),(2985,6335,2.5277,0.32104),(2985,6345,2.5291,0.30938),(2985,6355,2.5304,0.29774),(2985,6365,2.5317,0.28614),(2985,6375,2.5329,0.27455),(2985,6385,2.534,0.26295),(2985,6395,2.5352,0.2514),(2985,6405,2.5362,0.23984),(2985,6415,2.5372,0.22828),(2985,6425,2.5382,0.21679),(2985,6435,2.5391,0.2053),(2985,6445,2.54,0.19381),(2985,6455,2.5408,0.18235),(2985,6465,2.5416,0.1709),(2985,6475,2.5423,0.15946),(2985,6485,2.543,0.14801),(2985,6495,2.5436,0.13656),(2985,6505,2.5442,0.1251),(2985,6515,2.5447,0.11367),(2985,6525,2.5452,0.10227),(2985,6535,2.5456,0.090873),(2985,6545,2.546,0.079474),(2985,6555,2.5463,0.068078),(2985,6565,2.5466,0.056682),(2985,6575,2.5468,0.045289),(2985,6585,2.547,0.033937),(2985,6595,2.1664,0.022584),(2985,6605,1.3654,0.011232),(2985,6615,0.56445,0.009899),(2985,6625,0.00139,0.009853),(2985,6635,0.001388,0.009806),(2985,6645,0.001385,0.009786),(2985,6655,0.001383,0.009775),(2985,6665,0.001381,0.009765),(2985,6675,0.001379,0.009755),(2985,6685,0.001377,0.009745),(2985,6695,0.001375,0.009734),(2985,6705,0.001373,0.009724),(2985,6715,0.001371,0.009714),(2985,6725,0.00137,0.009704),(2985,6735,0.001368,0.009694),(2985,6745,0.001366,0.009684),(2985,6755,0.001365,0.009675),(2985,6765,0.001363,0.009665),(2985,6775,0.001361,0.009655),(2985,6785,0.00136,0.009645),(2985,6795,0.001358,0.009635),(2985,6805,0.001357,0.009625),(2985,6815,0.001356,0.009616),(2985,6825,0.001354,0.009606),(2985,6835,0.001353,0.009596),(2985,6845,0.001352,0.009587),(2985,6855,0.00135,0.009577),(2985,6865,0.001349,0.009567),(2985,6875,0.001348,0.009558),(2985,6885,0.001347,0.009548),(2985,6895,0.001346,0.009539),(2985,6905,0.001345,0.009529),(2985,6915,0.001344,0.00952),(2985,6925,0.001343,0.00951),(2985,6935,0.001342,0.009501),(2985,6945,0.001341,0.009492),(2985,6955,0.00134,0.009482),(2985,6965,0.001339,0.009473),(2985,6975,0.001338,0.009463),(2985,6985,0.001337,0.009454),(2995,5,1.5e-05,3.6882),(2995,15,4.6e-05,3.6882),(2995,25,7.6e-05,3.6882),(2995,35,0.000107,3.6882),(2995,45,0.000137,3.6882),(2995,55,0.000168,3.6882),(2995,65,0.000198,3.6882),(2995,75,0.000228,3.6882),(2995,85,0.000258,3.6882),(2995,95,0.000289,3.6882),(2995,105,0.000319,3.6882),(2995,115,0.000349,3.6882),(2995,125,0.000379,3.6882),(2995,135,0.000409,3.6883),(2995,145,0.000439,3.6883),(2995,155,0.000468,3.6883),(2995,165,0.000498,3.6883),(2995,175,0.000528,3.6883),(2995,185,0.000557,3.6883),(2995,195,0.000586,3.6883),(2995,205,0.000615,3.6883),(2995,215,0.000645,3.6884),(2995,225,0.000673,3.6884),(2995,235,0.000702,3.6884),(2995,245,0.000731,3.6884),(2995,255,0.000759,3.6884),(2995,265,0.000787,3.6884),(2995,275,0.000815,3.6885),(2995,285,0.000843,3.6885),(2995,295,0.000871,3.6885),(2995,305,0.000899,3.6885),(2995,315,0.000926,3.6886),(2995,325,0.000954,3.6886),(2995,335,0.000981,3.6886),(2995,345,0.001008,3.6886),(2995,355,0.001034,3.6887),(2995,365,0.001061,3.6887),(2995,375,0.001088,3.6887),(2995,385,0.001114,3.6888),(2995,395,0.00114,3.6888),(2995,405,0.001165,3.6888),(2995,415,0.001191,3.6889),(2995,425,0.001216,3.6889),(2995,435,0.001241,3.6889),(2995,445,0.001266,3.689),(2995,455,0.001291,3.689),(2995,465,0.001315,3.689),(2995,475,0.001339,3.6891),(2995,485,0.001363,3.6891),(2995,495,0.001387,3.6892),(2995,505,0.00141,3.6892),(2995,515,0.001433,3.6893),(2995,525,0.001456,3.6893),(2995,535,0.001479,3.6894),(2995,545,0.001502,3.6894),(2995,555,0.001524,3.6895),(2995,565,0.001546,3.6895),(2995,575,0.001568,3.6896),(2995,585,0.001589,3.6896),(2995,595,0.001611,3.6897),(2995,605,0.001632,3.6898),(2995,615,0.001653,3.6898),(2995,625,0.001674,3.6899),(2995,635,0.001694,3.6899),(2995,645,0.001715,3.69),(2995,655,0.001735,3.6901),(2995,665,0.001754,3.6901),(2995,675,0.001774,3.6902),(2995,685,0.001794,3.6903),(2995,695,0.001813,3.6904),(2995,705,0.001832,3.6904),(2995,715,0.001852,3.6905),(2995,725,0.00187,3.6906),(2995,735,0.001889,3.6907),(2995,745,0.001908,3.6908),(2995,755,0.001927,3.6909),(2995,765,0.001945,3.691),(2995,775,0.001963,3.6911),(2995,785,0.001982,3.6911),(2995,795,0.002,3.6912),(2995,805,0.002019,3.6913),(2995,815,0.002037,3.6915),(2995,825,0.002055,3.6916),(2995,835,0.002074,3.6917),(2995,845,0.002092,3.6918),(2995,855,0.00211,3.6919),(2995,865,0.002129,3.692),(2995,875,0.002147,3.6921),(2995,885,0.002165,3.6922),(2995,895,0.002184,3.6924),(2995,905,0.002203,3.6925),(2995,915,0.002222,3.6926),(2995,925,0.00224,3.6928),(2995,935,0.00226,3.6929),(2995,945,0.00228,3.693),(2995,955,0.002299,3.6932),(2995,965,0.002319,3.6933),(2995,975,0.00234,3.6935),(2995,985,0.002361,3.6936),(2995,995,0.002383,3.6938),(2995,1005,0.002404,3.6939),(2995,1015,0.002426,3.6941),(2995,1025,0.00245,3.6943),(2995,1035,0.002473,3.6944),(2995,1045,0.002497,3.6946),(2995,1055,0.002521,3.6948),(2995,1065,0.002547,3.695),(2995,1075,0.002573,3.6951),(2995,1085,0.002599,3.6953),(2995,1095,0.002626,3.6955),(2995,1105,0.002655,3.6957),(2995,1115,0.002684,3.6959),(2995,1125,0.002713,3.6961),(2995,1135,0.002745,3.6963),(2995,1145,0.002778,3.6965),(2995,1155,0.002811,3.6968),(2995,1165,0.002844,3.697),(2995,1175,0.00288,3.6972),(2995,1185,0.002918,3.6974),(2995,1195,0.002956,3.6977),(2995,1205,0.002994,3.6979),(2995,1215,0.003036,3.6982),(2995,1225,0.003079,3.6984),(2995,1235,0.003123,3.6987),(2995,1245,0.003167,3.6989),(2995,1255,0.003215,3.6992),(2995,1265,0.003265,3.6994),(2995,1275,0.003315,3.6997),(2995,1285,0.003366,3.7),(2995,1295,0.003422,3.7003),(2995,1305,0.00348,3.7006),(2995,1315,0.003538,3.7009),(2995,1325,0.003596,3.7012),(2995,1335,0.003661,3.7015),(2995,1345,0.003729,3.7018),(2995,1355,0.003796,3.7021),(2995,1365,0.003863,3.7024),(2995,1375,0.003939,3.7028),(2995,1385,0.004017,3.7031),(2995,1395,0.004095,3.7034),(2995,1405,0.004172,3.7038),(2995,1415,0.004261,3.7041),(2995,1425,0.004351,3.7045),(2995,1435,0.00444,3.7049),(2995,1445,0.00453,3.7052),(2995,1455,0.004632,3.7056),(2995,1465,0.004735,3.706),(2995,1475,0.004838,3.7064),(2995,1485,0.004941,3.7068),(2995,1495,0.00506,3.7072),(2995,1505,0.005178,3.7076),(2995,1515,0.005296,3.708),(2995,1525,0.005415,3.7085),(2995,1535,0.005551,3.7089),(2995,1545,0.005687,3.7093),(2995,1555,0.005823,3.7098),(2995,1565,0.00596,3.7103),(2995,1575,0.006115,3.7107),(2995,1585,0.00627,3.7112),(2995,1595,0.006425,3.7117),(2995,1605,0.006583,3.7122),(2995,1615,0.00676,3.7126),(2995,1625,0.006937,3.7131),(2995,1635,0.007114,3.7137),(2995,1645,0.007295,3.7142),(2995,1655,0.007497,3.7147),(2995,1665,0.007699,3.7152),(2995,1675,0.0079,3.7158),(2995,1685,0.008108,3.7164),(2995,1695,0.008337,3.7169),(2995,1705,0.008567,3.7175),(2995,1715,0.008796,3.7181),(2995,1725,0.009033,3.7187),(2995,1735,0.009293,3.7192),(2995,1745,0.009554,3.7198),(2995,1755,0.009814,3.7205),(2995,1765,0.010084,3.7211),(2995,1775,0.010379,3.7217),(2995,1785,0.010674,3.7224),(2995,1795,0.010969,3.723),(2995,1805,0.011276,3.7237),(2995,1815,0.011611,3.7244),(2995,1825,0.011945,3.725),(2995,1835,0.01228,3.7258),(2995,1845,0.012629,3.7265),(2995,1855,0.013007,3.7272),(2995,1865,0.013386,3.7279),(2995,1875,0.013764,3.7286),(2995,1885,0.014161,3.7294),(2995,1895,0.014589,3.7301),(2995,1905,0.015016,3.7309),(2995,1915,0.015444,3.7317),(2995,1925,0.015895,3.7325),(2995,1935,0.016378,3.7333),(2995,1945,0.016861,3.7341),(2995,1955,0.017344,3.7349),(2995,1965,0.017856,3.7357),(2995,1975,0.018401,3.7366),(2995,1985,0.018947,3.7374),(2995,1995,0.019492,3.7383),(2995,2005,0.020072,3.7392),(2995,2015,0.020688,3.7401),(2995,2025,0.021303,3.741),(2995,2035,0.021919,3.7419),(2995,2045,0.022577,3.7428),(2995,2055,0.023271,3.7437),(2995,2065,0.023965,3.7447),(2995,2075,0.02466,3.7457),(2995,2085,0.025405,3.7466),(2995,2095,0.026188,3.7476),(2995,2105,0.026971,3.7486),(2995,2115,0.027753,3.7496),(2995,2125,0.028597,3.7506),(2995,2135,0.029479,3.7516),(2995,2145,0.030361,3.7527),(2995,2155,0.031242,3.7537),(2995,2165,0.032197,3.7548),(2995,2175,0.033189,3.7559),(2995,2185,0.034182,3.7569),(2995,2195,0.035174,3.758),(2995,2205,0.036253,3.7591),(2995,2215,0.03737,3.7602),(2995,2225,0.038486,3.7613),(2995,2235,0.039602,3.7625),(2995,2245,0.04082,3.7636),(2995,2255,0.042075,3.7647),(2995,2265,0.043329,3.7659),(2995,2275,0.044583,3.767),(2995,2285,0.045956,3.7682),(2995,2295,0.047363,3.7694),(2995,2305,0.04877,3.7705),(2995,2315,0.050177,3.7717),(2995,2325,0.051721,3.7729),(2995,2335,0.053296,3.7741),(2995,2345,0.054872,3.7752),(2995,2355,0.056447,3.7764),(2995,2365,0.05818,3.7776),(2995,2375,0.059939,3.7788),(2995,2385,0.061699,3.78),(2995,2395,0.063458,3.7812),(2995,2405,0.065398,3.7823),(2995,2415,0.067358,3.7835),(2995,2425,0.069319,3.7847),(2995,2435,0.071279,3.7858),(2995,2445,0.073443,3.787),(2995,2455,0.07562,3.7881),(2995,2465,0.077798,3.7892),(2995,2475,0.079975,3.7903),(2995,2485,0.082379,3.7915),(2995,2495,0.084789,3.7926),(2995,2505,0.087199,3.7936),(2995,2515,0.089613,3.7946),(2995,2525,0.092268,3.7957),(2995,2535,0.094924,3.7967),(2995,2545,0.09758,3.7977),(2995,2555,0.10025,3.7986),(2995,2565,0.10316,3.7995),(2995,2575,0.10608,3.8005),(2995,2585,0.10899,3.8013),(2995,2595,0.11193,3.8021),(2995,2605,0.11511,3.8029),(2995,2615,0.11828,3.8037),(2995,2625,0.12146,3.8043),(2995,2635,0.12468,3.805),(2995,2645,0.12813,3.8056),(2995,2655,0.13158,3.8062),(2995,2665,0.13502,3.8066),(2995,2675,0.13852,3.8071),(2995,2685,0.14224,3.8075),(2995,2695,0.14596,3.8079),(2995,2705,0.14967,3.8081),(2995,2715,0.15345,3.8082),(2995,2725,0.15743,3.8084),(2995,2735,0.16141,3.8085),(2995,2745,0.16539,3.8084),(2995,2755,0.16944,3.8083),(2995,2765,0.17367,3.8082),(2995,2775,0.1779,3.808),(2995,2785,0.18213,3.8076),(2995,2795,0.18643,3.8071),(2995,2805,0.1909,3.8067),(2995,2815,0.19537,3.8061),(2995,2825,0.19983,3.8053),(2995,2835,0.20437,3.8044),(2995,2845,0.20904,3.8036),(2995,2855,0.21371,3.8026),(2995,2865,0.21839,3.8014),(2995,2875,0.22313,3.8001),(2995,2885,0.22798,3.7989),(2995,2895,0.23283,3.7974),(2995,2905,0.23768,3.7957),(2995,2915,0.24259,3.794),(2995,2925,0.24758,3.7923),(2995,2935,0.25257,3.7904),(2995,2945,0.25756,3.7882),(2995,2955,0.2626,3.786),(2995,2965,0.26768,3.7838),(2995,2975,0.27277,3.7813),(2995,2985,0.27786,3.7786),(2995,2995,0.28297,3.7758),(2995,3005,0.2881,3.7731),(2995,3015,0.29324,3.7701),(2995,3025,0.29837,3.7668),(2995,3035,0.3035,3.7635),(2995,3045,0.30863,3.7602),(2995,3055,0.31376,3.7566),(2995,3065,0.31889,3.7528),(2995,3075,0.32398,3.7489),(2995,3085,0.32905,3.745),(2995,3095,0.33411,3.7409),(2995,3105,0.33918,3.7364),(2995,3115,0.34417,3.732),(2995,3125,0.34911,3.7275),(2995,3135,0.35405,3.7227),(2995,3145,0.35899,3.7177),(2995,3155,0.36381,3.7127),(2995,3165,0.36856,3.7077),(2995,3175,0.37331,3.7023),(2995,3185,0.37806,3.6966),(2995,3195,0.38263,3.691),(2995,3205,0.38713,3.6854),(2995,3215,0.39162,3.6794),(2995,3225,0.39611,3.6733),(2995,3235,0.40037,3.6671),(2995,3245,0.40454,3.6609),(2995,3255,0.40871,3.6543),(2995,3265,0.41288,3.6476),(2995,3275,0.41675,3.6409),(2995,3285,0.42052,3.6342),(2995,3295,0.4243,3.6271),(2995,3305,0.42807,3.6199),(2995,3315,0.43148,3.6126),(2995,3325,0.43479,3.6054),(2995,3335,0.4381,3.5978),(2995,3345,0.44142,3.5901),(2995,3355,0.44428,3.5824),(2995,3365,0.44707,3.5747),(2995,3375,0.44986,3.5667),(2995,3385,0.45264,3.5586),(2995,3395,0.4549,3.5505),(2995,3405,0.4571,3.5424),(2995,3415,0.4593,3.534),(2995,3425,0.46149,3.5256),(2995,3435,0.46309,3.5171),(2995,3445,0.46465,3.5087),(2995,3455,0.4662,3.5),(2995,3465,0.46775,3.4913),(2995,3475,0.46863,3.4827),(2995,3485,0.46949,3.474),(2995,3495,0.47036,3.4651),(2995,3505,0.47121,3.4563),(2995,3515,0.47135,3.4474),(2995,3525,0.47148,3.4386),(2995,3535,0.47162,3.4297),(2995,3545,0.47172,3.4208),(2995,3555,0.47111,3.4119),(2995,3565,0.47051,3.403),(2995,3575,0.4699,3.3942),(2995,3585,0.46923,3.3854),(2995,3595,0.46788,3.3765),(2995,3605,0.46653,3.3677),(2995,3615,0.46517,3.3591),(2995,3625,0.46373,3.3505),(2995,3635,0.46166,3.3418),(2995,3645,0.45959,3.3332),(2995,3655,0.45752,3.3249),(2995,3665,0.45534,3.3166),(2995,3675,0.45261,3.3083),(2995,3685,0.44987,3.3),(2995,3695,0.44713,3.2921),(2995,3705,0.44427,3.2842),(2995,3715,0.44095,3.2764),(2995,3725,0.43762,3.2686),(2995,3735,0.4343,3.2613),(2995,3745,0.43085,3.2539),(2995,3755,0.42706,3.2466),(2995,3765,0.42326,3.2394),(2995,3775,0.41946,3.2327),(2995,3785,0.41557,3.226),(2995,3795,0.41144,3.2193),(2995,3805,0.40731,3.2128),(2995,3815,0.40318,3.2068),(2995,3825,0.399,3.2008),(2995,3835,0.39471,3.1948),(2995,3845,0.39042,3.189),(2995,3855,0.38613,3.1837),(2995,3865,0.38185,3.1783),(2995,3875,0.37758,3.173),(2995,3885,0.37331,3.1679),(2995,3895,0.36903,3.1632),(2995,3905,0.41209,3.1584),(2995,3915,0.52585,3.1537),(2995,3925,0.63961,3.1471),(2995,3935,0.75338,3.1378),(2995,3945,0.86988,3.1285),(2995,3955,0.98988,3.1192),(2995,3965,1.1099,3.108),(2995,3975,1.2299,3.0946),(2995,3985,1.2958,3.0812),(2995,3995,1.3033,3.0678),(2995,4005,1.3107,3.0545),(2995,4015,1.3182,3.0413),(2995,4025,1.3284,3.0281),(2995,4035,1.3389,3.0148),(2995,4045,1.3494,3.0011),(2995,4055,1.3621,2.9874),(2995,4065,1.3756,2.9735),(2995,4075,1.389,2.9585),(2995,4085,1.4041,2.9435),(2995,4095,1.4205,2.9285),(2995,4105,1.4369,2.9119),(2995,4115,1.4046,2.8952),(2995,4125,1.2916,2.8785),(2995,4135,1.1786,2.8632),(2995,4145,1.0612,2.8482),(2995,4155,0.92618,2.8333),(2995,4165,0.79115,2.8209),(2995,4175,0.66411,2.8101),(2995,4185,0.93266,2.7994),(2995,4195,1.2012,2.7847),(2995,4205,1.4698,2.7648),(2995,4215,1.5108,2.7448),(2995,4225,1.509,2.7244),(2995,4235,1.5072,2.7027),(2995,4245,1.4668,2.6809),(2995,4255,1.407,2.659),(2995,4265,1.3471,2.6365),(2995,4275,1.1757,2.614),(2995,4285,0.88591,2.5914),(2995,4295,0.59612,2.5826),(2995,4305,0.5,2.5753),(2995,4315,0.84118,2.5681),(2995,4325,1.1824,2.5526),(2995,4335,1.4866,2.534),(2995,4345,1.5408,2.5154),(2995,4355,1.595,2.4958),(2995,4365,1.6492,2.4755),(2995,4375,1.6609,2.4551),(2995,4385,1.6704,2.435),(2995,4395,1.6798,2.4155),(2995,4405,1.4849,2.396),(2995,4415,1.2296,2.3781),(2995,4425,0.97429,2.3674),(2995,4435,0.86787,2.3567),(2995,4445,0.86316,2.3461),(2995,4455,0.85846,2.3351),(2995,4465,0.96922,2.3241),(2995,4475,1.2422,2.3132),(2995,4485,1.5152,2.2959),(2995,4495,1.7251,2.2773),(2995,4505,1.7329,2.2587),(2995,4515,1.7407,2.2404),(2995,4525,1.7448,2.2222),(2995,4535,1.6907,2.2041),(2995,4545,1.6366,2.1869),(2995,4555,1.5825,2.1707),(2995,4565,1.2204,2.1545),(2995,4575,0.81679,2.1421),(2995,4585,0.41317,2.1387),(2995,4595,0.54621,2.1353),(2995,4605,0.906,2.1302),(2995,4615,1.2658,2.1115),(2995,4625,1.4827,2.0928),(2995,4635,1.5702,2.0742),(2995,4645,1.6577,2.0564),(2995,4655,1.722,2.0387),(2995,4665,1.7426,2.021),(2995,4675,1.7631,2.0041),(2995,4685,1.72,1.9875),(2995,4695,1.3625,1.9708),(2995,4705,1.0049,1.9602),(2995,4715,0.64734,1.9538),(2995,4725,0.82564,1.9475),(2995,4735,1.0093,1.9395),(2995,4745,1.193,1.929),(2995,4755,1.3801,1.9185),(2995,4765,1.5681,1.9071),(2995,4775,1.756,1.8922),(2995,4785,1.8277,1.8774),(2995,4795,1.8322,1.8625),(2995,4805,1.8367,1.8478),(2995,4815,1.7527,1.8332),(2995,4825,1.5627,1.8185),(2995,4835,1.3727,1.8082),(2995,4845,1.1808,1.7986),(2995,4855,0.98426,1.789),(2995,4865,0.7877,1.7826),(2995,4875,0.65019,1.7777),(2995,4885,1.05,1.7727),(2995,4895,1.4497,1.7633),(2995,4905,1.8495,1.7495),(2995,4915,1.8779,1.7357),(2995,4925,1.8743,1.7219),(2995,4935,1.8707,1.7077),(2995,4945,1.818,1.6936),(2995,4955,1.7484,1.6792),(2995,4965,1.6788,1.663),(2995,4975,1.3848,1.6468),(2995,4985,0.91756,1.6306),(2995,4995,0.45033,1.6289),(2995,5005,0.32266,1.6276),(2995,5015,0.73481,1.6262),(2995,5025,1.147,1.6179),(2995,5035,1.5021,1.6078),(2995,5045,1.6398,1.5977),(2995,5055,1.7776,1.5858),(2995,5065,1.9113,1.5729),(2995,5075,1.9147,1.56),(2995,5085,1.9181,1.5471),(2995,5095,1.9215,1.5343),(2995,5105,1.682,1.5215),(2995,5115,1.4002,1.5103),(2995,5125,1.1184,1.5035),(2995,5135,0.97976,1.4967),(2995,5145,0.91061,1.49),(2995,5155,0.84147,1.4849),(2995,5165,0.99065,1.4799),(2995,5175,1.3625,1.4748),(2995,5185,1.7343,1.4633),(2995,5195,1.9893,1.4511),(2995,5205,1.9924,1.4389),(2995,5215,1.9954,1.4268),(2995,5225,1.9879,1.4147),(2995,5235,1.9149,1.4026),(2995,5245,1.842,1.3913),(2995,5255,1.769,1.3808),(2995,5265,1.2489,1.3702),(2995,5275,0.71041,1.3634),(2995,5285,0.1719,1.363),(2995,5295,0.50278,1.3626),(2995,5305,1.0758,1.3594),(2995,5315,1.6488,1.3445),(2995,5325,1.9082,1.3295),(2995,5335,1.9619,1.3146),(2995,5345,2.0156,1.3022),(2995,5355,2.0489,1.2898),(2995,5365,2.0545,1.2773),(2995,5375,2.0602,1.2652),(2995,5385,1.9469,1.2532),(2995,5395,1.4722,1.2412),(2995,5405,0.99743,1.235),(2995,5415,0.57543,1.2317),(2995,5425,0.86176,1.2285),(2995,5435,1.1481,1.2231),(2995,5445,1.4344,1.2153),(2995,5455,1.706,1.2075),(2995,5465,1.9759,1.1984),(2995,5475,2.2457,1.1863),(2995,5485,2.3251,1.1742),(2995,5495,2.3279,1.1622),(2995,5505,2.3306,1.1505),(2995,5515,2.3333,1.1387),(2995,5525,2.3361,1.127),(2995,5535,2.3388,1.1156),(2995,5545,2.3414,1.1042),(2995,5555,2.3439,1.0928),(2995,5565,2.3463,1.0817),(2995,5575,2.3487,1.0706),(2995,5585,2.3509,1.0596),(2995,5595,2.3531,1.0487),(2995,5605,2.3553,1.038),(2995,5615,2.3573,1.0272),(2995,5625,2.3593,1.0166),(2995,5635,2.3612,1.0062),(2995,5645,2.363,0.99579),(2995,5655,2.3648,0.98543),(2995,5665,2.3665,0.9753),(2995,5675,2.3681,0.96516),(2995,5685,2.3697,0.95504),(2995,5695,2.3712,0.94517),(2995,5705,2.3727,0.93529),(2995,5715,2.374,0.92541),(2995,5725,2.3754,0.91575),(2995,5735,2.3767,0.90612),(2995,5745,2.3778,0.89648),(2995,5755,2.379,0.88702),(2995,5765,2.3802,0.87762),(2995,5775,2.3812,0.86823),(2995,5785,2.3822,0.85895),(2995,5795,2.3832,0.84979),(2995,5805,2.384,0.84062),(2995,5815,2.3849,0.83153),(2995,5825,2.3857,0.82258),(2995,5835,2.3865,0.81362),(2995,5845,2.3872,0.80471),(2995,5855,2.3879,0.79595),(2995,5865,2.3885,0.7872),(2995,5875,2.3891,0.77845),(2995,5885,2.3896,0.76989),(2995,5895,2.3901,0.76133),(2995,5905,2.3906,0.75277),(2995,5915,2.391,0.74437),(2995,5925,2.3914,0.736),(2995,5935,2.3917,0.72763),(2995,5945,2.392,0.71938),(2995,5955,2.3923,0.7112),(2995,5965,2.3925,0.70301),(2995,5975,2.3927,0.6949),(2995,5985,2.393,0.68688),(2995,5995,1.8299,0.67885),(2995,6005,1.1762,0.67272),(2995,6015,0.52243,0.67164),(2995,6025,0.64765,0.67057),(2995,6035,1.1341,0.66871),(2995,6045,1.6206,0.65936),(2995,6055,1.9597,0.65),(2995,6065,2.1541,0.64065),(2995,6075,2.3486,0.62859),(2995,6085,2.4804,0.61628),(2995,6095,2.483,0.60397),(2995,6105,2.4856,0.5917),(2995,6115,2.4883,0.57944),(2995,6125,2.4907,0.56718),(2995,6135,2.4932,0.55502),(2995,6145,2.4957,0.54293),(2995,6155,2.498,0.53085),(2995,6165,2.5003,0.51883),(2995,6175,2.5026,0.50691),(2995,6185,2.5047,0.49499),(2995,6195,2.5068,0.48308),(2995,6205,2.5089,0.47122),(2995,6215,2.5109,0.45936),(2995,6225,2.5129,0.4475),(2995,6235,2.5148,0.43569),(2995,6245,2.5167,0.42389),(2995,6255,2.5185,0.41209),(2995,6265,2.5202,0.40036),(2995,6275,2.522,0.38865),(2995,6285,2.5236,0.37694),(2995,6295,2.5252,0.36525),(2995,6305,2.5268,0.35359),(2995,6315,2.5282,0.34192),(2995,6325,2.5297,0.3303),(2995,6335,2.5311,0.31873),(2995,6345,2.5324,0.30716),(2995,6355,2.5337,0.2956),(2995,6365,2.535,0.28409),(2995,6375,2.5362,0.27257),(2995,6385,2.5373,0.26106),(2995,6395,2.5384,0.24959),(2995,6405,2.5395,0.23812),(2995,6415,2.5405,0.22665),(2995,6425,2.5414,0.21525),(2995,6435,2.5423,0.20384),(2995,6445,2.5432,0.19244),(2995,6455,2.544,0.18107),(2995,6465,2.5448,0.16971),(2995,6475,2.5454,0.15834),(2995,6485,2.5461,0.14698),(2995,6495,2.5468,0.13562),(2995,6505,2.5473,0.12425),(2995,6515,2.5478,0.1129),(2995,6525,2.5483,0.10159),(2995,6535,2.5487,0.090271),(2995,6545,2.5491,0.078955),(2995,6555,2.5494,0.067643),(2995,6565,2.5497,0.056331),(2995,6575,2.5499,0.045021),(2995,6585,2.55,0.033752),(2995,6595,2.169,0.022483),(2995,6605,1.3671,0.011214),(2995,6615,0.56514,0.009892),(2995,6625,0.001396,0.009848),(2995,6635,0.001393,0.009804),(2995,6645,0.001391,0.009784),(2995,6655,0.001389,0.009773),(2995,6665,0.001387,0.009763),(2995,6675,0.001385,0.009753),(2995,6685,0.001383,0.009743),(2995,6695,0.001381,0.009732),(2995,6705,0.001379,0.009722),(2995,6715,0.001377,0.009713),(2995,6725,0.001375,0.009702),(2995,6735,0.001373,0.009693),(2995,6745,0.001372,0.009683),(2995,6755,0.00137,0.009673),(2995,6765,0.001368,0.009663),(2995,6775,0.001367,0.009653),(2995,6785,0.001365,0.009643),(2995,6795,0.001364,0.009634),(2995,6805,0.001362,0.009624),(2995,6815,0.001361,0.009614),(2995,6825,0.00136,0.009605),(2995,6835,0.001358,0.009595),(2995,6845,0.001357,0.009586),(2995,6855,0.001356,0.009576),(2995,6865,0.001354,0.009566),(2995,6875,0.001353,0.009557),(2995,6885,0.001352,0.009547),(2995,6895,0.001351,0.009538),(2995,6905,0.00135,0.009528),(2995,6915,0.001349,0.009519),(2995,6925,0.001348,0.009509),(2995,6935,0.001347,0.0095),(2995,6945,0.001346,0.009491),(2995,6955,0.001345,0.009481),(2995,6965,0.001344,0.009472),(2995,6975,0.001343,0.009463),(2995,6985,0.001342,0.009453),(3005,5,1.5e-05,3.6882),(3005,15,4.4e-05,3.6882),(3005,25,7.4e-05,3.6882),(3005,35,0.000104,3.6882),(3005,45,0.000133,3.6882),(3005,55,0.000163,3.6882),(3005,65,0.000192,3.6882),(3005,75,0.000222,3.6882),(3005,85,0.000251,3.6882),(3005,95,0.00028,3.6883),(3005,105,0.00031,3.6883),(3005,115,0.000339,3.6883),(3005,125,0.000368,3.6883),(3005,135,0.000397,3.6883),(3005,145,0.000426,3.6883),(3005,155,0.000455,3.6883),(3005,165,0.000483,3.6883),(3005,175,0.000512,3.6883),(3005,185,0.00054,3.6883),(3005,195,0.000569,3.6884),(3005,205,0.000597,3.6884),(3005,215,0.000625,3.6884),(3005,225,0.000653,3.6884),(3005,235,0.000681,3.6884),(3005,245,0.000708,3.6884),(3005,255,0.000736,3.6885),(3005,265,0.000763,3.6885),(3005,275,0.00079,3.6885),(3005,285,0.000817,3.6885),(3005,295,0.000844,3.6885),(3005,305,0.00087,3.6886),(3005,315,0.000897,3.6886),(3005,325,0.000923,3.6886),(3005,335,0.000949,3.6886),(3005,345,0.000975,3.6887),(3005,355,0.001,3.6887),(3005,365,0.001026,3.6887),(3005,375,0.001051,3.6888),(3005,385,0.001076,3.6888),(3005,395,0.001101,3.6888),(3005,405,0.001125,3.6888),(3005,415,0.00115,3.6889),(3005,425,0.001174,3.6889),(3005,435,0.001197,3.689),(3005,445,0.001221,3.689),(3005,455,0.001244,3.689),(3005,465,0.001267,3.6891),(3005,475,0.00129,3.6891),(3005,485,0.001312,3.6892),(3005,495,0.001335,3.6892),(3005,505,0.001357,3.6892),(3005,515,0.001378,3.6893),(3005,525,0.0014,3.6893),(3005,535,0.001421,3.6894),(3005,545,0.001442,3.6894),(3005,555,0.001463,3.6895),(3005,565,0.001483,3.6895),(3005,575,0.001504,3.6896),(3005,585,0.001523,3.6897),(3005,595,0.001543,3.6897),(3005,605,0.001563,3.6898),(3005,615,0.001582,3.6898),(3005,625,0.001601,3.6899),(3005,635,0.001619,3.69),(3005,645,0.001638,3.69),(3005,655,0.001656,3.6901),(3005,665,0.001674,3.6902),(3005,675,0.001692,3.6902),(3005,685,0.001709,3.6903),(3005,695,0.001727,3.6904),(3005,705,0.001744,3.6905),(3005,715,0.001761,3.6905),(3005,725,0.001778,3.6906),(3005,735,0.001794,3.6907),(3005,745,0.001811,3.6908),(3005,755,0.001827,3.6909),(3005,765,0.001843,3.691),(3005,775,0.001859,3.6911),(3005,785,0.001875,3.6912),(3005,795,0.001891,3.6913),(3005,805,0.001907,3.6914),(3005,815,0.001923,3.6915),(3005,825,0.001938,3.6916),(3005,835,0.001954,3.6917),(3005,845,0.00197,3.6918),(3005,855,0.001985,3.6919),(3005,865,0.002001,3.692),(3005,875,0.002017,3.6921),(3005,885,0.002032,3.6923),(3005,895,0.002048,3.6924),(3005,905,0.002064,3.6925),(3005,915,0.00208,3.6926),(3005,925,0.002096,3.6928),(3005,935,0.002112,3.6929),(3005,945,0.002128,3.693),(3005,955,0.002145,3.6932),(3005,965,0.002161,3.6933),(3005,975,0.002179,3.6935),(3005,985,0.002197,3.6936),(3005,995,0.002214,3.6938),(3005,1005,0.002232,3.6939),(3005,1015,0.002251,3.6941),(3005,1025,0.002271,3.6943),(3005,1035,0.002291,3.6944),(3005,1045,0.00231,3.6946),(3005,1055,0.002331,3.6948),(3005,1065,0.002353,3.695),(3005,1075,0.002375,3.6952),(3005,1085,0.002397,3.6954),(3005,1095,0.002421,3.6955),(3005,1105,0.002445,3.6957),(3005,1115,0.00247,3.6959),(3005,1125,0.002495,3.6961),(3005,1135,0.002522,3.6964),(3005,1145,0.002551,3.6966),(3005,1155,0.002579,3.6968),(3005,1165,0.002608,3.697),(3005,1175,0.002639,3.6972),(3005,1185,0.002672,3.6975),(3005,1195,0.002706,3.6977),(3005,1205,0.002739,3.6979),(3005,1215,0.002776,3.6982),(3005,1225,0.002815,3.6984),(3005,1235,0.002853,3.6987),(3005,1245,0.002892,3.699),(3005,1255,0.002935,3.6992),(3005,1265,0.00298,3.6995),(3005,1275,0.003025,3.6998),(3005,1285,0.00307,3.7001),(3005,1295,0.003121,3.7003),(3005,1305,0.003173,3.7006),(3005,1315,0.003226,3.7009),(3005,1325,0.003278,3.7012),(3005,1335,0.003338,3.7015),(3005,1345,0.003399,3.7018),(3005,1355,0.00346,3.7022),(3005,1365,0.003521,3.7025),(3005,1375,0.003592,3.7028),(3005,1385,0.003663,3.7032),(3005,1395,0.003734,3.7035),(3005,1405,0.003806,3.7039),(3005,1415,0.003888,3.7042),(3005,1425,0.003971,3.7046),(3005,1435,0.004054,3.705),(3005,1445,0.004137,3.7053),(3005,1455,0.004232,3.7057),(3005,1465,0.004328,3.7061),(3005,1475,0.004425,3.7065),(3005,1485,0.004521,3.7069),(3005,1495,0.004632,3.7073),(3005,1505,0.004743,3.7077),(3005,1515,0.004854,3.7082),(3005,1525,0.004965,3.7086),(3005,1535,0.005093,3.709),(3005,1545,0.005221,3.7095),(3005,1555,0.005349,3.7099),(3005,1565,0.005478,3.7104),(3005,1575,0.005626,3.7109),(3005,1585,0.005772,3.7113),(3005,1595,0.005919,3.7118),(3005,1605,0.006069,3.7123),(3005,1615,0.006237,3.7128),(3005,1625,0.006405,3.7133),(3005,1635,0.006574,3.7138),(3005,1645,0.006746,3.7144),(3005,1655,0.006939,3.7149),(3005,1665,0.007131,3.7154),(3005,1675,0.007324,3.716),(3005,1685,0.007522,3.7166),(3005,1695,0.007742,3.7171),(3005,1705,0.007962,3.7177),(3005,1715,0.008182,3.7183),(3005,1725,0.008409,3.7189),(3005,1735,0.008659,3.7195),(3005,1745,0.008909,3.7201),(3005,1755,0.00916,3.7207),(3005,1765,0.009419,3.7214),(3005,1775,0.009704,3.722),(3005,1785,0.009988,3.7227),(3005,1795,0.010273,3.7233),(3005,1805,0.010569,3.724),(3005,1815,0.010892,3.7247),(3005,1825,0.011216,3.7254),(3005,1835,0.011539,3.7261),(3005,1845,0.011877,3.7268),(3005,1855,0.012244,3.7275),(3005,1865,0.01261,3.7283),(3005,1875,0.012977,3.729),(3005,1885,0.013362,3.7298),(3005,1895,0.013778,3.7305),(3005,1905,0.014193,3.7313),(3005,1915,0.014609,3.7321),(3005,1925,0.015047,3.7329),(3005,1935,0.015518,3.7337),(3005,1945,0.015988,3.7346),(3005,1955,0.016459,3.7354),(3005,1965,0.016958,3.7363),(3005,1975,0.01749,3.7371),(3005,1985,0.018022,3.738),(3005,1995,0.018555,3.7389),(3005,2005,0.019122,3.7398),(3005,2015,0.019724,3.7407),(3005,2025,0.020326,3.7416),(3005,2035,0.020928,3.7425),(3005,2045,0.021573,3.7435),(3005,2055,0.022254,3.7444),(3005,2065,0.022934,3.7454),(3005,2075,0.023615,3.7464),(3005,2085,0.024347,3.7474),(3005,2095,0.025116,3.7484),(3005,2105,0.025885,3.7494),(3005,2115,0.026655,3.7504),(3005,2125,0.027485,3.7515),(3005,2135,0.028353,3.7525),(3005,2145,0.029222,3.7536),(3005,2155,0.03009,3.7547),(3005,2165,0.031032,3.7557),(3005,2175,0.032011,3.7568),(3005,2185,0.032991,3.7579),(3005,2195,0.03397,3.7591),(3005,2205,0.035037,3.7602),(3005,2215,0.036141,3.7613),(3005,2225,0.037245,3.7625),(3005,2235,0.038349,3.7636),(3005,2245,0.039556,3.7648),(3005,2255,0.040799,3.766),(3005,2265,0.042043,3.7672),(3005,2275,0.043286,3.7684),(3005,2285,0.04465,3.7696),(3005,2295,0.046047,3.7707),(3005,2305,0.047445,3.772),(3005,2315,0.048843,3.7732),(3005,2325,0.05038,3.7744),(3005,2335,0.051948,3.7756),(3005,2345,0.053516,3.7769),(3005,2355,0.055084,3.7781),(3005,2365,0.056813,3.7793),(3005,2375,0.058568,3.7805),(3005,2385,0.060324,3.7818),(3005,2395,0.062079,3.783),(3005,2405,0.064018,3.7842),(3005,2415,0.065978,3.7855),(3005,2425,0.067938,3.7867),(3005,2435,0.069898,3.7879),(3005,2445,0.072066,3.7891),(3005,2455,0.074247,3.7903),(3005,2465,0.076429,3.7915),(3005,2475,0.078611,3.7926),(3005,2485,0.081024,3.7938),(3005,2495,0.083444,3.795),(3005,2505,0.085863,3.7961),(3005,2515,0.088286,3.7972),(3005,2525,0.090958,3.7983),(3005,2535,0.09363,3.7994),(3005,2545,0.096301,3.8004),(3005,2555,0.098988,3.8014),(3005,2565,0.10192,3.8024),(3005,2575,0.10486,3.8034),(3005,2585,0.1078,3.8043),(3005,2595,0.11076,3.8052),(3005,2605,0.11397,3.806),(3005,2615,0.11718,3.8069),(3005,2625,0.12039,3.8076),(3005,2635,0.12363,3.8083),(3005,2645,0.12712,3.809),(3005,2655,0.13061,3.8097),(3005,2665,0.1341,3.8102),(3005,2675,0.13763,3.8107),(3005,2685,0.1414,3.8112),(3005,2695,0.14517,3.8117),(3005,2705,0.14894,3.8119),(3005,2715,0.15276,3.8122),(3005,2725,0.1568,3.8124),(3005,2735,0.16084,3.8126),(3005,2745,0.16488,3.8125),(3005,2755,0.16899,3.8125),(3005,2765,0.17329,3.8124),(3005,2775,0.17759,3.8123),(3005,2785,0.18189,3.8119),(3005,2795,0.18626,3.8115),(3005,2805,0.1908,3.8111),(3005,2815,0.19535,3.8106),(3005,2825,0.19989,3.8099),(3005,2835,0.20451,3.8091),(3005,2845,0.20927,3.8083),(3005,2855,0.21403,3.8074),(3005,2865,0.21879,3.8062),(3005,2875,0.22362,3.805),(3005,2885,0.22857,3.8038),(3005,2895,0.23352,3.8024),(3005,2905,0.23846,3.8007),(3005,2915,0.24347,3.799),(3005,2925,0.24857,3.7974),(3005,2935,0.25366,3.7955),(3005,2945,0.25876,3.7933),(3005,2955,0.2639,3.7911),(3005,2965,0.2691,3.7889),(3005,2975,0.27429,3.7865),(3005,2985,0.27949,3.7838),(3005,2995,0.28472,3.781),(3005,3005,0.28997,3.7783),(3005,3015,0.29522,3.7753),(3005,3025,0.30047,3.772),(3005,3035,0.30572,3.7687),(3005,3045,0.31097,3.7655),(3005,3055,0.31622,3.7618),(3005,3065,0.32147,3.758),(3005,3075,0.32669,3.7541),(3005,3085,0.33188,3.7502),(3005,3095,0.33707,3.746),(3005,3105,0.34226,3.7415),(3005,3115,0.34737,3.7371),(3005,3125,0.35244,3.7326),(3005,3135,0.3575,3.7278),(3005,3145,0.36257,3.7227),(3005,3155,0.36751,3.7176),(3005,3165,0.37238,3.7125),(3005,3175,0.37726,3.7071),(3005,3185,0.38214,3.7014),(3005,3195,0.38683,3.6957),(3005,3205,0.39145,3.6901),(3005,3215,0.39607,3.684),(3005,3225,0.40068,3.6777),(3005,3235,0.40506,3.6715),(3005,3245,0.40935,3.6652),(3005,3255,0.41363,3.6585),(3005,3265,0.41792,3.6517),(3005,3275,0.4219,3.6449),(3005,3285,0.42579,3.6381),(3005,3295,0.42967,3.6309),(3005,3305,0.43356,3.6235),(3005,3315,0.43706,3.6162),(3005,3325,0.44048,3.6088),(3005,3335,0.44389,3.6011),(3005,3345,0.44731,3.5933),(3005,3355,0.45027,3.5854),(3005,3365,0.45314,3.5776),(3005,3375,0.45601,3.5694),(3005,3385,0.45889,3.5612),(3005,3395,0.46123,3.5529),(3005,3405,0.4635,3.5447),(3005,3415,0.46577,3.5361),(3005,3425,0.46804,3.5275),(3005,3435,0.46969,3.5189),(3005,3445,0.4713,3.5103),(3005,3455,0.47291,3.5015),(3005,3465,0.47451,3.4926),(3005,3475,0.47543,3.4837),(3005,3485,0.47633,3.4749),(3005,3495,0.47722,3.4658),(3005,3505,0.47812,3.4568),(3005,3515,0.47826,3.4478),(3005,3525,0.47841,3.4387),(3005,3535,0.47856,3.4296),(3005,3545,0.47867,3.4206),(3005,3555,0.47805,3.4115),(3005,3565,0.47742,3.4024),(3005,3575,0.4768,3.3934),(3005,3585,0.47611,3.3843),(3005,3595,0.47472,3.3753),(3005,3605,0.47333,3.3663),(3005,3615,0.47194,3.3575),(3005,3625,0.47045,3.3487),(3005,3635,0.46831,3.3398),(3005,3645,0.46617,3.3311),(3005,3655,0.46403,3.3226),(3005,3665,0.46178,3.3141),(3005,3675,0.45895,3.3056),(3005,3685,0.45611,3.2972),(3005,3695,0.45328,3.2891),(3005,3705,0.45032,3.2811),(3005,3715,0.44688,3.2731),(3005,3725,0.44343,3.2651),(3005,3735,0.43999,3.2577),(3005,3745,0.43642,3.2502),(3005,3755,0.43249,3.2428),(3005,3765,0.42855,3.2355),(3005,3775,0.42462,3.2287),(3005,3785,0.42058,3.2219),(3005,3795,0.41631,3.2151),(3005,3805,0.41203,3.2086),(3005,3815,0.40776,3.2025),(3005,3825,0.40343,3.1965),(3005,3835,0.399,3.1904),(3005,3845,0.39457,3.1846),(3005,3855,0.39013,3.1793),(3005,3865,0.38571,3.1739),(3005,3875,0.38131,3.1686),(3005,3885,0.37691,3.1635),(3005,3895,0.37251,3.1589),(3005,3905,0.4158,3.1542),(3005,3915,0.53032,3.1495),(3005,3925,0.64485,3.143),(3005,3935,0.75937,3.1339),(3005,3945,0.87658,3.1247),(3005,3955,0.9972,3.1156),(3005,3965,1.1178,3.1046),(3005,3975,1.2384,3.0914),(3005,3985,1.3047,3.0782),(3005,3995,1.312,3.065),(3005,4005,1.3194,3.0519),(3005,4015,1.3267,3.0389),(3005,4025,1.337,3.0258),(3005,4035,1.3476,3.0126),(3005,4045,1.3582,2.9989),(3005,4055,1.3711,2.9853),(3005,4065,1.3849,2.9714),(3005,4075,1.3986,2.9563),(3005,4085,1.4141,2.9411),(3005,4095,1.4309,2.926),(3005,4105,1.4477,2.9092),(3005,4115,1.4157,2.8922),(3005,4125,1.3025,2.8753),(3005,4135,1.1894,2.8597),(3005,4145,1.0717,2.8444),(3005,4155,0.93584,2.8292),(3005,4165,0.79997,2.8165),(3005,4175,0.67214,2.8055),(3005,4185,0.94256,2.7944),(3005,4195,1.213,2.7793),(3005,4205,1.4834,2.759),(3005,4215,1.5252,2.7386),(3005,4225,1.524,2.7177),(3005,4235,1.5228,2.6955),(3005,4245,1.483,2.6733),(3005,4255,1.4235,2.651),(3005,4265,1.3641,2.628),(3005,4275,1.1912,2.605),(3005,4285,0.89773,2.582),(3005,4295,0.6043,2.573),(3005,4305,0.50637,2.5656),(3005,4315,0.84987,2.5582),(3005,4325,1.1934,2.5426),(3005,4335,1.4997,2.5238),(3005,4345,1.5543,2.505),(3005,4355,1.6088,2.4854),(3005,4365,1.6634,2.4649),(3005,4375,1.6748,2.4445),(3005,4385,1.684,2.4244),(3005,4395,1.6932,2.4049),(3005,4405,1.4968,2.3853),(3005,4415,1.2397,2.3674),(3005,4425,0.98256,2.3569),(3005,4435,0.87545,2.3463),(3005,4445,0.87086,2.3357),(3005,4455,0.86626,2.3248),(3005,4465,0.97766,2.3139),(3005,4475,1.252,2.303),(3005,4485,1.5264,2.2856),(3005,4495,1.7374,2.2669),(3005,4505,1.745,2.2482),(3005,4515,1.7526,2.2298),(3005,4525,1.7566,2.2116),(3005,4535,1.702,2.1934),(3005,4545,1.6475,2.1761),(3005,4555,1.593,2.1598),(3005,4565,1.2286,2.1436),(3005,4575,0.82239,2.131),(3005,4585,0.41622,2.1276),(3005,4595,0.55093,2.1242),(3005,4605,0.91418,2.119),(3005,4615,1.2774,2.1003),(3005,4625,1.4957,2.0815),(3005,4635,1.5826,2.0628),(3005,4645,1.6695,2.045),(3005,4655,1.7333,2.0274),(3005,4665,1.7535,2.0097),(3005,4675,1.7737,1.9928),(3005,4685,1.7299,1.9761),(3005,4695,1.3704,1.9595),(3005,4705,1.0109,1.9489),(3005,4715,0.65136,1.9426),(3005,4725,0.83027,1.9363),(3005,4735,1.0146,1.9283),(3005,4745,1.1989,1.9178),(3005,4755,1.3867,1.9073),(3005,4765,1.5754,1.8958),(3005,4775,1.764,1.8809),(3005,4785,1.8359,1.8661),(3005,4795,1.8404,1.8512),(3005,4805,1.8448,1.8366),(3005,4815,1.7603,1.8219),(3005,4825,1.5694,1.8072),(3005,4835,1.3785,1.7969),(3005,4845,1.1858,1.7873),(3005,4855,0.98846,1.7777),(3005,4865,0.79113,1.7714),(3005,4875,0.65306,1.7665),(3005,4885,1.0542,1.7616),(3005,4895,1.4553,1.7522),(3005,4905,1.8564,1.7385),(3005,4915,1.885,1.7248),(3005,4925,1.8815,1.7109),(3005,4935,1.878,1.6969),(3005,4945,1.8261,1.6828),(3005,4955,1.7573,1.6684),(3005,4965,1.6886,1.6522),(3005,4975,1.3933,1.636),(3005,4985,0.92308,1.6198),(3005,4995,0.45289,1.6181),(3005,5005,0.32389,1.6168),(3005,5015,0.73733,1.6155),(3005,5025,1.1508,1.6072),(3005,5035,1.507,1.5971),(3005,5045,1.6451,1.587),(3005,5055,1.7832,1.5752),(3005,5065,1.9174,1.5623),(3005,5075,1.9207,1.5494),(3005,5085,1.924,1.5366),(3005,5095,1.9274,1.5238),(3005,5105,1.6872,1.511),(3005,5115,1.4045,1.4998),(3005,5125,1.1218,1.493),(3005,5135,0.98267,1.4862),(3005,5145,0.91323,1.4795),(3005,5155,0.84379,1.4745),(3005,5165,0.99326,1.4694),(3005,5175,1.366,1.4644),(3005,5185,1.7387,1.4528),(3005,5195,1.9943,1.4407),(3005,5205,1.9973,1.4285),(3005,5215,2.0003,1.4164),(3005,5225,1.9928,1.4043),(3005,5235,1.9196,1.3923),(3005,5245,1.8464,1.381),(3005,5255,1.7732,1.3705),(3005,5265,1.2519,1.3599),(3005,5275,0.71214,1.3531),(3005,5285,0.17237,1.3528),(3005,5295,0.50492,1.3524),(3005,5305,1.0804,1.3492),(3005,5315,1.6559,1.3343),(3005,5325,1.9157,1.3194),(3005,5335,1.9684,1.3045),(3005,5345,2.0212,1.2921),(3005,5355,2.0539,1.2798),(3005,5365,2.0594,1.2674),(3005,5375,2.0648,1.2553),(3005,5385,1.9512,1.2434),(3005,5395,1.4754,1.2314),(3005,5405,0.99965,1.2252),(3005,5415,0.5767,1.2219),(3005,5425,0.86346,1.2187),(3005,5435,1.1502,1.2134),(3005,5445,1.437,1.2056),(3005,5455,1.709,1.1979),(3005,5465,1.9792,1.1889),(3005,5475,2.2494,1.1769),(3005,5485,2.3289,1.1649),(3005,5495,2.3315,1.153),(3005,5505,2.3342,1.1414),(3005,5515,2.3368,1.1297),(3005,5525,2.3394,1.1181),(3005,5535,2.342,1.1068),(3005,5545,2.3445,1.0955),(3005,5555,2.3468,1.0842),(3005,5565,2.3492,1.0732),(3005,5575,2.3515,1.0622),(3005,5585,2.3536,1.0513),(3005,5595,2.3557,1.0405),(3005,5605,2.3578,1.0299),(3005,5615,2.3596,1.0193),(3005,5625,2.3615,1.0088),(3005,5635,2.3633,0.99843),(3005,5645,2.365,0.9881),(3005,5655,2.3667,0.97783),(3005,5665,2.3684,0.96779),(3005,5675,2.3699,0.95774),(3005,5685,2.3713,0.94771),(3005,5695,2.3728,0.93792),(3005,5705,2.3742,0.92814),(3005,5715,2.3754,0.91835),(3005,5725,2.3767,0.90877),(3005,5735,2.3779,0.89922),(3005,5745,2.379,0.88967),(3005,5755,2.3801,0.88029),(3005,5765,2.3812,0.87098),(3005,5775,2.3821,0.86166),(3005,5785,2.3831,0.85247),(3005,5795,2.384,0.84338),(3005,5805,2.3848,0.8343),(3005,5815,2.3856,0.82528),(3005,5825,2.3864,0.81641),(3005,5835,2.387,0.80753),(3005,5845,2.3877,0.79869),(3005,5855,2.3883,0.79001),(3005,5865,2.3889,0.78134),(3005,5875,2.3894,0.77266),(3005,5885,2.3899,0.76417),(3005,5895,2.3903,0.75569),(3005,5905,2.3907,0.7472),(3005,5915,2.3911,0.73886),(3005,5925,2.3914,0.73057),(3005,5935,2.3917,0.72227),(3005,5945,2.3919,0.71409),(3005,5955,2.3922,0.70597),(3005,5965,2.3923,0.69785),(3005,5975,2.3925,0.6898),(3005,5985,2.3927,0.68185),(3005,5995,1.8297,0.67389),(3005,6005,1.176,0.66781),(3005,6015,0.52237,0.66674),(3005,6025,0.64832,0.66568),(3005,6035,1.1359,0.66384),(3005,6045,1.6234,0.65456),(3005,6055,1.9631,0.64527),(3005,6065,2.1579,0.63598),(3005,6075,2.3526,0.62401),(3005,6085,2.4846,0.61179),(3005,6095,2.4872,0.59956),(3005,6105,2.4898,0.58738),(3005,6115,2.4924,0.5752),(3005,6125,2.4948,0.56303),(3005,6135,2.4972,0.55096),(3005,6145,2.4997,0.53896),(3005,6155,2.5019,0.52696),(3005,6165,2.5042,0.51502),(3005,6175,2.5064,0.50319),(3005,6185,2.5085,0.49136),(3005,6195,2.5106,0.47954),(3005,6205,2.5127,0.46777),(3005,6215,2.5147,0.45599),(3005,6225,2.5166,0.44421),(3005,6235,2.5185,0.4325),(3005,6245,2.5203,0.42079),(3005,6255,2.522,0.40907),(3005,6265,2.5238,0.39743),(3005,6275,2.5255,0.38581),(3005,6285,2.5271,0.37418),(3005,6295,2.5287,0.36259),(3005,6305,2.5302,0.35101),(3005,6315,2.5317,0.33943),(3005,6325,2.5331,0.3279),(3005,6335,2.5345,0.31642),(3005,6345,2.5358,0.30493),(3005,6355,2.5371,0.29346),(3005,6365,2.5383,0.28203),(3005,6375,2.5395,0.2706),(3005,6385,2.5406,0.25918),(3005,6395,2.5417,0.24779),(3005,6405,2.5427,0.23641),(3005,6415,2.5437,0.22502),(3005,6425,2.5446,0.2137),(3005,6435,2.5455,0.20238),(3005,6445,2.5463,0.19107),(3005,6455,2.5471,0.17978),(3005,6465,2.5479,0.16851),(3005,6475,2.5486,0.15723),(3005,6485,2.5492,0.14595),(3005,6495,2.5499,0.13467),(3005,6505,2.5504,0.12339),(3005,6515,2.5509,0.11213),(3005,6525,2.5514,0.1009),(3005,6535,2.5518,0.089668),(3005,6545,2.5521,0.078436),(3005,6555,2.5525,0.067207),(3005,6565,2.5527,0.055979),(3005,6575,2.5529,0.044753),(3005,6585,2.5531,0.033567),(3005,6595,2.1716,0.022381),(3005,6605,1.3687,0.011195),(3005,6615,0.56582,0.009884),(3005,6625,0.001401,0.009842),(3005,6635,0.001399,0.009801),(3005,6645,0.001397,0.009781),(3005,6655,0.001395,0.009771),(3005,6665,0.001393,0.009761),(3005,6675,0.00139,0.009751),(3005,6685,0.001388,0.00974),(3005,6695,0.001386,0.00973),(3005,6705,0.001385,0.00972),(3005,6715,0.001383,0.009711),(3005,6725,0.001381,0.009701),(3005,6735,0.001379,0.009691),(3005,6745,0.001377,0.009681),(3005,6755,0.001375,0.009671),(3005,6765,0.001374,0.009661),(3005,6775,0.001372,0.009652),(3005,6785,0.001371,0.009642),(3005,6795,0.001369,0.009632),(3005,6805,0.001368,0.009623),(3005,6815,0.001366,0.009613),(3005,6825,0.001365,0.009603),(3005,6835,0.001363,0.009594),(3005,6845,0.001362,0.009584),(3005,6855,0.001361,0.009575),(3005,6865,0.00136,0.009565),(3005,6875,0.001358,0.009556),(3005,6885,0.001357,0.009546),(3005,6895,0.001356,0.009537),(3005,6905,0.001355,0.009527),(3005,6915,0.001354,0.009518),(3005,6925,0.001353,0.009508),(3005,6935,0.001352,0.009499),(3005,6945,0.001351,0.00949),(3005,6955,0.00135,0.00948),(3005,6965,0.001349,0.009471),(3005,6975,0.001348,0.009462),(3005,6985,0.001347,0.009452),(3015,5,1.4e-05,3.6883),(3015,15,4.3e-05,3.6883),(3015,25,7.2e-05,3.6883),(3015,35,0.000101,3.6883),(3015,45,0.000129,3.6883),(3015,55,0.000158,3.6883),(3015,65,0.000187,3.6883),(3015,75,0.000215,3.6883),(3015,85,0.000244,3.6883),(3015,95,0.000272,3.6883),(3015,105,0.000301,3.6883),(3015,115,0.000329,3.6883),(3015,125,0.000357,3.6883),(3015,135,0.000386,3.6883),(3015,145,0.000414,3.6883),(3015,155,0.000441,3.6883),(3015,165,0.000469,3.6883),(3015,175,0.000497,3.6884),(3015,185,0.000525,3.6884),(3015,195,0.000552,3.6884),(3015,205,0.000579,3.6884),(3015,215,0.000607,3.6884),(3015,225,0.000634,3.6884),(3015,235,0.00066,3.6884),(3015,245,0.000687,3.6885),(3015,255,0.000714,3.6885),(3015,265,0.00074,3.6885),(3015,275,0.000766,3.6885),(3015,285,0.000792,3.6885),(3015,295,0.000818,3.6886),(3015,305,0.000843,3.6886),(3015,315,0.000868,3.6886),(3015,325,0.000893,3.6886),(3015,335,0.000918,3.6887),(3015,345,0.000943,3.6887),(3015,355,0.000967,3.6887),(3015,365,0.000992,3.6887),(3015,375,0.001016,3.6888),(3015,385,0.00104,3.6888),(3015,395,0.001063,3.6888),(3015,405,0.001086,3.6889),(3015,415,0.00111,3.6889),(3015,425,0.001132,3.6889),(3015,435,0.001155,3.689),(3015,445,0.001177,3.689),(3015,455,0.001199,3.6891),(3015,465,0.001221,3.6891),(3015,475,0.001242,3.6891),(3015,485,0.001263,3.6892),(3015,495,0.001284,3.6892),(3015,505,0.001304,3.6893),(3015,515,0.001325,3.6893),(3015,525,0.001345,3.6894),(3015,535,0.001365,3.6894),(3015,545,0.001384,3.6895),(3015,555,0.001403,3.6895),(3015,565,0.001422,3.6896),(3015,575,0.001441,3.6896),(3015,585,0.001459,3.6897),(3015,595,0.001477,3.6897),(3015,605,0.001494,3.6898),(3015,615,0.001512,3.6899),(3015,625,0.001529,3.6899),(3015,635,0.001546,3.69),(3015,645,0.001563,3.69),(3015,655,0.001579,3.6901),(3015,665,0.001595,3.6902),(3015,675,0.001611,3.6903),(3015,685,0.001626,3.6903),(3015,695,0.001642,3.6904),(3015,705,0.001657,3.6905),(3015,715,0.001671,3.6906),(3015,725,0.001686,3.6906),(3015,735,0.001701,3.6907),(3015,745,0.001715,3.6908),(3015,755,0.001729,3.6909),(3015,765,0.001742,3.691),(3015,775,0.001756,3.6911),(3015,785,0.00177,3.6912),(3015,795,0.001783,3.6913),(3015,805,0.001796,3.6914),(3015,815,0.00181,3.6915),(3015,825,0.001823,3.6916),(3015,835,0.001836,3.6917),(3015,845,0.001849,3.6918),(3015,855,0.001862,3.6919),(3015,865,0.001875,3.692),(3015,875,0.001888,3.6921),(3015,885,0.0019,3.6923),(3015,895,0.001913,3.6924),(3015,905,0.001926,3.6925),(3015,915,0.001939,3.6927),(3015,925,0.001951,3.6928),(3015,935,0.001965,3.6929),(3015,945,0.001978,3.6931),(3015,955,0.001991,3.6932),(3015,965,0.002004,3.6934),(3015,975,0.002018,3.6935),(3015,985,0.002033,3.6937),(3015,995,0.002047,3.6938),(3015,1005,0.002061,3.694),(3015,1015,0.002076,3.6941),(3015,1025,0.002093,3.6943),(3015,1035,0.002108,3.6945),(3015,1045,0.002124,3.6946),(3015,1055,0.002141,3.6948),(3015,1065,0.002159,3.695),(3015,1075,0.002177,3.6952),(3015,1085,0.002195,3.6954),(3015,1095,0.002215,3.6956),(3015,1105,0.002235,3.6958),(3015,1115,0.002256,3.696),(3015,1125,0.002276,3.6962),(3015,1135,0.002299,3.6964),(3015,1145,0.002323,3.6966),(3015,1155,0.002347,3.6968),(3015,1165,0.002371,3.697),(3015,1175,0.002397,3.6973),(3015,1185,0.002426,3.6975),(3015,1195,0.002454,3.6977),(3015,1205,0.002482,3.698),(3015,1215,0.002514,3.6982),(3015,1225,0.002548,3.6985),(3015,1235,0.002582,3.6987),(3015,1245,0.002615,3.699),(3015,1255,0.002653,3.6993),(3015,1265,0.002693,3.6995),(3015,1275,0.002732,3.6998),(3015,1285,0.002772,3.7001),(3015,1295,0.002817,3.7004),(3015,1305,0.002864,3.7007),(3015,1315,0.00291,3.701),(3015,1325,0.002957,3.7013),(3015,1335,0.003011,3.7016),(3015,1345,0.003066,3.7019),(3015,1355,0.003121,3.7022),(3015,1365,0.003176,3.7026),(3015,1375,0.003239,3.7029),(3015,1385,0.003304,3.7032),(3015,1395,0.003369,3.7036),(3015,1405,0.003434,3.7039),(3015,1415,0.003509,3.7043),(3015,1425,0.003586,3.7047),(3015,1435,0.003662,3.705),(3015,1445,0.003738,3.7054),(3015,1455,0.003826,3.7058),(3015,1465,0.003915,3.7062),(3015,1475,0.004004,3.7066),(3015,1485,0.004093,3.707),(3015,1495,0.004196,3.7074),(3015,1505,0.004299,3.7078),(3015,1515,0.004403,3.7083),(3015,1525,0.004506,3.7087),(3015,1535,0.004626,3.7092),(3015,1545,0.004746,3.7096),(3015,1555,0.004866,3.7101),(3015,1565,0.004987,3.7105),(3015,1575,0.005125,3.711),(3015,1585,0.005264,3.7115),(3015,1595,0.005402,3.712),(3015,1605,0.005543,3.7125),(3015,1615,0.005702,3.713),(3015,1625,0.005861,3.7135),(3015,1635,0.006021,3.714),(3015,1645,0.006183,3.7146),(3015,1655,0.006367,3.7151),(3015,1665,0.00655,3.7156),(3015,1675,0.006733,3.7162),(3015,1685,0.006921,3.7168),(3015,1695,0.007131,3.7173),(3015,1705,0.00734,3.7179),(3015,1715,0.00755,3.7185),(3015,1725,0.007767,3.7191),(3015,1735,0.008006,3.7197),(3015,1745,0.008246,3.7204),(3015,1755,0.008485,3.721),(3015,1765,0.008734,3.7216),(3015,1775,0.009007,3.7223),(3015,1785,0.00928,3.7229),(3015,1795,0.009553,3.7236),(3015,1805,0.009838,3.7243),(3015,1815,0.010149,3.725),(3015,1825,0.01046,3.7257),(3015,1835,0.010772,3.7264),(3015,1845,0.011097,3.7272),(3015,1855,0.011452,3.7279),(3015,1865,0.011806,3.7286),(3015,1875,0.01216,3.7294),(3015,1885,0.012532,3.7302),(3015,1895,0.012934,3.7309),(3015,1905,0.013336,3.7317),(3015,1915,0.013738,3.7326),(3015,1925,0.014164,3.7334),(3015,1935,0.01462,3.7342),(3015,1945,0.015077,3.735),(3015,1955,0.015533,3.7359),(3015,1965,0.016018,3.7368),(3015,1975,0.016536,3.7376),(3015,1985,0.017054,3.7385),(3015,1995,0.017572,3.7394),(3015,2005,0.018124,3.7403),(3015,2015,0.018711,3.7413),(3015,2025,0.019298,3.7422),(3015,2035,0.019886,3.7432),(3015,2045,0.020515,3.7441),(3015,2055,0.02118,3.7451),(3015,2065,0.021846,3.7461),(3015,2075,0.022511,3.7471),(3015,2085,0.023227,3.7481),(3015,2095,0.023981,3.7491),(3015,2105,0.024734,3.7502),(3015,2115,0.025488,3.7512),(3015,2125,0.026303,3.7523),(3015,2135,0.027155,3.7534),(3015,2145,0.028008,3.7545),(3015,2155,0.028861,3.7556),(3015,2165,0.029787,3.7567),(3015,2175,0.030751,3.7578),(3015,2185,0.031715,3.7589),(3015,2195,0.032679,3.7601),(3015,2205,0.03373,3.7613),(3015,2215,0.03482,3.7624),(3015,2225,0.035909,3.7636),(3015,2235,0.036998,3.7648),(3015,2245,0.038191,3.766),(3015,2255,0.03942,3.7672),(3015,2265,0.040649,3.7684),(3015,2275,0.041879,3.7697),(3015,2285,0.043229,3.7709),(3015,2295,0.044615,3.7721),(3015,2305,0.046,3.7734),(3015,2315,0.047385,3.7747),(3015,2325,0.048912,3.7759),(3015,2335,0.05047,3.7772),(3015,2345,0.052027,3.7785),(3015,2355,0.053585,3.7797),(3015,2365,0.055306,3.781),(3015,2375,0.057054,3.7823),(3015,2385,0.058802,3.7836),(3015,2395,0.060551,3.7849),(3015,2405,0.062485,3.7861),(3015,2415,0.064442,3.7874),(3015,2425,0.066398,3.7887),(3015,2435,0.068355,3.79),(3015,2445,0.070523,3.7912),(3015,2455,0.072705,3.7925),(3015,2465,0.074888,3.7937),(3015,2475,0.07707,3.7949),(3015,2485,0.07949,3.7962),(3015,2495,0.081916,3.7974),(3015,2505,0.084342,3.7986),(3015,2515,0.086772,3.7997),(3015,2525,0.089457,3.8009),(3015,2535,0.092142,3.8021),(3015,2545,0.094827,3.8031),(3015,2555,0.097527,3.8042),(3015,2565,0.10048,3.8053),(3015,2575,0.10344,3.8063),(3015,2585,0.1064,3.8073),(3015,2595,0.10938,3.8082),(3015,2605,0.11262,3.8092),(3015,2615,0.11586,3.8101),(3015,2625,0.1191,3.8109),(3015,2635,0.12238,3.8117),(3015,2645,0.1259,3.8124),(3015,2655,0.12943,3.8132),(3015,2665,0.13296,3.8138),(3015,2675,0.13654,3.8143),(3015,2685,0.14035,3.8149),(3015,2695,0.14417,3.8154),(3015,2705,0.14799,3.8157),(3015,2715,0.15186,3.8161),(3015,2725,0.15596,3.8164),(3015,2735,0.16006,3.8166),(3015,2745,0.16416,3.8167),(3015,2755,0.16833,3.8167),(3015,2765,0.17271,3.8167),(3015,2775,0.17708,3.8166),(3015,2785,0.18145,3.8163),(3015,2795,0.1859,3.816),(3015,2805,0.19052,3.8156),(3015,2815,0.19515,3.8152),(3015,2825,0.19978,3.8145),(3015,2835,0.20448,3.8138),(3015,2845,0.20933,3.813),(3015,2855,0.21419,3.8122),(3015,2865,0.21904,3.811),(3015,2875,0.22397,3.8098),(3015,2885,0.22902,3.8087),(3015,2895,0.23407,3.8073),(3015,2905,0.23912,3.8057),(3015,2915,0.24423,3.8041),(3015,2925,0.24944,3.8024),(3015,2935,0.25465,3.8006),(3015,2945,0.25986,3.7984),(3015,2955,0.26511,3.7963),(3015,2965,0.27043,3.7941),(3015,2975,0.27575,3.7917),(3015,2985,0.28107,3.789),(3015,2995,0.28641,3.7863),(3015,3005,0.29179,3.7836),(3015,3015,0.29717,3.7806),(3015,3025,0.30255,3.7773),(3015,3035,0.30793,3.774),(3015,3045,0.31331,3.7707),(3015,3055,0.3187,3.7671),(3015,3065,0.32408,3.7632),(3015,3075,0.32943,3.7593),(3015,3085,0.33475,3.7554),(3015,3095,0.34008,3.7512),(3015,3105,0.34541,3.7467),(3015,3115,0.35066,3.7422),(3015,3125,0.35586,3.7377),(3015,3135,0.36106,3.7328),(3015,3145,0.36627,3.7277),(3015,3155,0.37135,3.7225),(3015,3165,0.37636,3.7174),(3015,3175,0.38137,3.7119),(3015,3185,0.38639,3.7062),(3015,3195,0.39122,3.7004),(3015,3205,0.39597,3.6947),(3015,3215,0.40073,3.6885),(3015,3225,0.40548,3.6822),(3015,3235,0.40999,3.6758),(3015,3245,0.41441,3.6695),(3015,3255,0.41882,3.6627),(3015,3265,0.42324,3.6558),(3015,3275,0.42735,3.6489),(3015,3285,0.43136,3.642),(3015,3295,0.43537,3.6346),(3015,3305,0.43938,3.6272),(3015,3315,0.443,3.6197),(3015,3325,0.44653,3.6122),(3015,3335,0.45006,3.6044),(3015,3345,0.45358,3.5964),(3015,3355,0.45664,3.5884),(3015,3365,0.45962,3.5805),(3015,3375,0.46259,3.5721),(3015,3385,0.46557,3.5637),(3015,3395,0.46799,3.5553),(3015,3405,0.47035,3.5469),(3015,3415,0.4727,3.5382),(3015,3425,0.47506,3.5294),(3015,3435,0.47678,3.5207),(3015,3445,0.47845,3.5119),(3015,3455,0.48012,3.5029),(3015,3465,0.48179,3.4938),(3015,3475,0.48275,3.4848),(3015,3485,0.48369,3.4758),(3015,3495,0.48463,3.4665),(3015,3505,0.48556,3.4573),(3015,3515,0.48572,3.4481),(3015,3525,0.48588,3.4389),(3015,3535,0.48605,3.4296),(3015,3545,0.48617,3.4203),(3015,3555,0.48554,3.411),(3015,3565,0.4849,3.4018),(3015,3575,0.48426,3.3925),(3015,3585,0.48356,3.3833),(3015,3595,0.48212,3.3741),(3015,3605,0.48068,3.3649),(3015,3615,0.47924,3.3559),(3015,3625,0.47771,3.3469),(3015,3635,0.47549,3.3379),(3015,3645,0.47327,3.3289),(3015,3655,0.47106,3.3202),(3015,3665,0.46872,3.3116),(3015,3675,0.46577,3.3029),(3015,3685,0.46283,3.2943),(3015,3695,0.45988,3.2861),(3015,3705,0.45681,3.2779),(3015,3715,0.45322,3.2697),(3015,3725,0.44963,3.2617),(3015,3735,0.44604,3.2541),(3015,3745,0.44233,3.2465),(3015,3755,0.43823,3.2389),(3015,3765,0.43413,3.2315),(3015,3775,0.43002,3.2247),(3015,3785,0.42582,3.2178),(3015,3795,0.42136,3.2109),(3015,3805,0.41691,3.2043),(3015,3815,0.41245,3.1982),(3015,3825,0.40794,3.1921),(3015,3835,0.40333,3.186),(3015,3845,0.39871,3.1802),(3015,3855,0.3941,3.1749),(3015,3865,0.3895,3.1695),(3015,3875,0.38494,3.1642),(3015,3885,0.38038,3.1592),(3015,3895,0.37581,3.1545),(3015,3905,0.41927,3.1499),(3015,3915,0.53447,3.1453),(3015,3925,0.64967,3.1389),(3015,3935,0.76486,3.1299),(3015,3945,0.8827,3.121),(3015,3955,1.0039,3.112),(3015,3965,1.1251,3.1012),(3015,3975,1.2463,3.0882),(3015,3985,1.3128,3.0752),(3015,3995,1.3201,3.0622),(3015,4005,1.3274,3.0493),(3015,4015,1.3347,3.0364),(3015,4025,1.3451,3.0236),(3015,4035,1.356,3.0104),(3015,4045,1.3668,2.9968),(3015,4055,1.3801,2.9831),(3015,4065,1.3943,2.9693),(3015,4075,1.4085,2.954),(3015,4085,1.4245,2.9388),(3015,4095,1.4419,2.9235),(3015,4105,1.4592,2.9064),(3015,4115,1.4274,2.8892),(3015,4125,1.3142,2.872),(3015,4135,1.2009,2.8562),(3015,4145,1.083,2.8407),(3015,4155,0.94635,2.8252),(3015,4165,0.8097,2.8122),(3015,4175,0.68116,2.8008),(3015,4185,0.95356,2.7894),(3015,4195,1.226,2.774),(3015,4205,1.4984,2.7532),(3015,4215,1.541,2.7323),(3015,4225,1.5404,2.7111),(3015,4235,1.5397,2.6884),(3015,4245,1.5004,2.6658),(3015,4255,1.4414,2.6431),(3015,4265,1.3825,2.6196),(3015,4275,1.2079,2.5961),(3015,4285,0.9105,2.5726),(3015,4295,0.61314,2.5634),(3015,4305,0.51319,2.5559),(3015,4315,0.85901,2.5483),(3015,4325,1.2048,2.5326),(3015,4335,1.5132,2.5136),(3015,4345,1.568,2.4947),(3015,4355,1.6229,2.4749),(3015,4365,1.6777,2.4544),(3015,4375,1.6889,2.4339),(3015,4385,1.6977,2.4138),(3015,4395,1.7066,2.3942),(3015,4405,1.5086,2.3747),(3015,4415,1.2496,2.3568),(3015,4425,0.99054,2.3463),(3015,4435,0.88274,2.3358),(3015,4445,0.87828,2.3253),(3015,4455,0.87382,2.3145),(3015,4465,0.98594,2.3036),(3015,4475,1.2619,2.2928),(3015,4485,1.5378,2.2754),(3015,4495,1.7499,2.2565),(3015,4505,1.7573,2.2377),(3015,4515,1.7647,2.2193),(3015,4525,1.7684,2.201),(3015,4535,1.7135,2.1828),(3015,4545,1.6586,2.1654),(3015,4555,1.6037,2.149),(3015,4565,1.237,2.1326),(3015,4575,0.82816,2.12),(3015,4585,0.41936,2.1165),(3015,4595,0.55574,2.1131),(3015,4605,0.92248,2.1079),(3015,4615,1.2892,2.0891),(3015,4625,1.5088,2.0702),(3015,4635,1.5951,2.0514),(3015,4645,1.6813,2.0337),(3015,4655,1.7446,2.016),(3015,4665,1.7643,1.9983),(3015,4675,1.7841,1.9814),(3015,4685,1.7397,1.9648),(3015,4695,1.3782,1.9482),(3015,4705,1.0167,1.9376),(3015,4715,0.65527,1.9313),(3015,4725,0.83486,1.9251),(3015,4735,1.0199,1.9171),(3015,4745,1.2049,1.9065),(3015,4755,1.3934,1.896),(3015,4765,1.5827,1.8845),(3015,4775,1.772,1.8696),(3015,4785,1.8441,1.8548),(3015,4795,1.8485,1.84),(3015,4805,1.8529,1.8253),(3015,4815,1.7679,1.8106),(3015,4825,1.5761,1.7959),(3015,4835,1.3843,1.7857),(3015,4845,1.1907,1.7761),(3015,4855,0.99258,1.7665),(3015,4865,0.79445,1.7602),(3015,4875,0.65579,1.7553),(3015,4885,1.0582,1.7505),(3015,4895,1.4607,1.7412),(3015,4905,1.8631,1.7275),(3015,4915,1.8919,1.7138),(3015,4925,1.8886,1.7),(3015,4935,1.8852,1.686),(3015,4945,1.834,1.672),(3015,4955,1.7661,1.6576),(3015,4965,1.6983,1.6414),(3015,4975,1.4017,1.6252),(3015,4985,0.92854,1.609),(3015,4995,0.45539,1.6074),(3015,5005,0.32507,1.6061),(3015,5015,0.73977,1.6048),(3015,5025,1.1545,1.5965),(3015,5035,1.5118,1.5864),(3015,5045,1.6503,1.5764),(3015,5055,1.7888,1.5646),(3015,5065,1.9233,1.5517),(3015,5075,1.9266,1.5388),(3015,5085,1.9299,1.526),(3015,5095,1.9332,1.5132),(3015,5105,1.6922,1.5004),(3015,5115,1.4087,1.4892),(3015,5125,1.1251,1.4824),(3015,5135,0.98555,1.4757),(3015,5145,0.91581,1.469),(3015,5155,0.84606,1.464),(3015,5165,0.99582,1.4589),(3015,5175,1.3695,1.4539),(3015,5185,1.7431,1.4424),(3015,5195,1.9993,1.4303),(3015,5205,2.0022,1.4181),(3015,5215,2.0052,1.406),(3015,5225,1.9976,1.394),(3015,5235,1.9242,1.382),(3015,5245,1.8508,1.3707),(3015,5255,1.7774,1.3602),(3015,5265,1.2549,1.3497),(3015,5275,0.71384,1.3429),(3015,5285,0.17282,1.3425),(3015,5295,0.50701,1.3421),(3015,5305,1.0849,1.339),(3015,5315,1.6629,1.3241),(3015,5325,1.923,1.3092),(3015,5335,1.9749,1.2944),(3015,5345,2.0267,1.2821),(3015,5355,2.0587,1.2698),(3015,5365,2.0641,1.2574),(3015,5375,2.0694,1.2454),(3015,5385,1.9554,1.2335),(3015,5395,1.4786,1.2215),(3015,5405,1.0018,1.2154),(3015,5415,0.57793,1.2122),(3015,5425,0.86507,1.2089),(3015,5435,1.1522,1.2036),(3015,5445,1.4394,1.196),(3015,5455,1.7117,1.1883),(3015,5465,1.9823,1.1794),(3015,5475,2.2529,1.1675),(3015,5485,2.3324,1.1557),(3015,5495,2.3349,1.1438),(3015,5505,2.3374,1.1323),(3015,5515,2.3399,1.1208),(3015,5525,2.3424,1.1092),(3015,5535,2.3449,1.098),(3015,5545,2.3473,1.0869),(3015,5555,2.3495,1.0757),(3015,5565,2.3518,1.0647),(3015,5575,2.354,1.0539),(3015,5585,2.356,1.043),(3015,5595,2.358,1.0324),(3015,5605,2.3599,1.0218),(3015,5615,2.3617,1.0113),(3015,5625,2.3635,1.0009),(3015,5635,2.3653,0.99065),(3015,5645,2.3669,0.9804),(3015,5655,2.3684,0.97023),(3015,5665,2.37,0.96028),(3015,5675,2.3714,0.95032),(3015,5685,2.3728,0.94038),(3015,5695,2.3742,0.93068),(3015,5705,2.3755,0.92098),(3015,5715,2.3767,0.91128),(3015,5725,2.3779,0.90179),(3015,5735,2.379,0.89232),(3015,5745,2.38,0.88286),(3015,5755,2.381,0.87356),(3015,5765,2.3821,0.86433),(3015,5775,2.3829,0.8551),(3015,5785,2.3838,0.84598),(3015,5795,2.3846,0.83698),(3015,5805,2.3854,0.82797),(3015,5815,2.3861,0.81904),(3015,5825,2.3868,0.81024),(3015,5835,2.3874,0.80144),(3015,5845,2.388,0.79268),(3015,5855,2.3886,0.78408),(3015,5865,2.3891,0.77547),(3015,5875,2.3895,0.76687),(3015,5885,2.39,0.75845),(3015,5895,2.3904,0.75004),(3015,5905,2.3907,0.74163),(3015,5915,2.391,0.73336),(3015,5925,2.3913,0.72513),(3015,5935,2.3915,0.71691),(3015,5945,2.3917,0.70879),(3015,5955,2.3919,0.70074),(3015,5965,2.392,0.69269),(3015,5975,2.3921,0.68471),(3015,5985,2.3923,0.67681),(3015,5995,1.8293,0.66892),(3015,6005,1.1758,0.66289),(3015,6015,0.52229,0.66184),(3015,6025,0.64895,0.66079),(3015,6035,1.1375,0.65898),(3015,6045,1.626,0.64976),(3015,6055,1.9663,0.64054),(3015,6065,2.1614,0.63132),(3015,6075,2.3565,0.61943),(3015,6085,2.4886,0.60729),(3015,6095,2.4912,0.59516),(3015,6105,2.4937,0.58306),(3015,6115,2.4963,0.57097),(3015,6125,2.4986,0.55888),(3015,6135,2.501,0.54689),(3015,6145,2.5034,0.53498),(3015,6155,2.5057,0.52307),(3015,6165,2.5079,0.51122),(3015,6175,2.5101,0.49948),(3015,6185,2.5122,0.48773),(3015,6195,2.5142,0.476),(3015,6205,2.5162,0.46431),(3015,6215,2.5182,0.45262),(3015,6225,2.5201,0.44093),(3015,6235,2.5219,0.42931),(3015,6245,2.5237,0.41768),(3015,6255,2.5254,0.40606),(3015,6265,2.5272,0.39451),(3015,6275,2.5288,0.38297),(3015,6285,2.5304,0.37143),(3015,6295,2.5319,0.35993),(3015,6305,2.5335,0.34844),(3015,6315,2.5349,0.33694),(3015,6325,2.5363,0.3255),(3015,6335,2.5377,0.3141),(3015,6345,2.5389,0.3027),(3015,6355,2.5402,0.29132),(3015,6365,2.5414,0.27998),(3015,6375,2.5426,0.26863),(3015,6385,2.5437,0.25729),(3015,6395,2.5447,0.24599),(3015,6405,2.5458,0.23469),(3015,6415,2.5467,0.22339),(3015,6425,2.5476,0.21216),(3015,6435,2.5485,0.20093),(3015,6445,2.5493,0.1897),(3015,6455,2.5501,0.1785),(3015,6465,2.5509,0.16731),(3015,6475,2.5515,0.15612),(3015,6485,2.5522,0.14493),(3015,6495,2.5528,0.13373),(3015,6505,2.5533,0.12254),(3015,6515,2.5538,0.11136),(3015,6525,2.5543,0.10021),(3015,6535,2.5547,0.089065),(3015,6545,2.555,0.077917),(3015,6555,2.5554,0.066772),(3015,6565,2.5556,0.055627),(3015,6575,2.5558,0.044485),(3015,6585,2.556,0.033381),(3015,6595,2.1741,0.022278),(3015,6605,1.3703,0.011175),(3015,6615,0.56646,0.009876),(3015,6625,0.001407,0.009837),(3015,6635,0.001405,0.009798),(3015,6645,0.001403,0.009779),(3015,6655,0.0014,0.009769),(3015,6665,0.001398,0.009759),(3015,6675,0.001396,0.009749),(3015,6685,0.001394,0.009739),(3015,6695,0.001392,0.009728),(3015,6705,0.00139,0.009719),(3015,6715,0.001388,0.009709),(3015,6725,0.001386,0.009699),(3015,6735,0.001384,0.009689),(3015,6745,0.001382,0.009679),(3015,6755,0.001381,0.009669),(3015,6765,0.001379,0.00966),(3015,6775,0.001377,0.00965),(3015,6785,0.001376,0.00964),(3015,6795,0.001374,0.009631),(3015,6805,0.001373,0.009621),(3015,6815,0.001371,0.009612),(3015,6825,0.00137,0.009602),(3015,6835,0.001368,0.009592),(3015,6845,0.001367,0.009583),(3015,6855,0.001366,0.009573),(3015,6865,0.001365,0.009564),(3015,6875,0.001363,0.009554),(3015,6885,0.001362,0.009545),(3015,6895,0.001361,0.009536),(3015,6905,0.00136,0.009526),(3015,6915,0.001359,0.009517),(3015,6925,0.001358,0.009507),(3015,6935,0.001357,0.009498),(3015,6945,0.001356,0.009489),(3015,6955,0.001355,0.009479),(3015,6965,0.001354,0.00947),(3015,6975,0.001353,0.009461),(3015,6985,0.001352,0.009452),(3025,5,1.4e-05,3.6883),(3025,15,4.2e-05,3.6883),(3025,25,7e-05,3.6883),(3025,35,9.8e-05,3.6883),(3025,45,0.000126,3.6883),(3025,55,0.000154,3.6883),(3025,65,0.000181,3.6883),(3025,75,0.000209,3.6883),(3025,85,0.000237,3.6883),(3025,95,0.000264,3.6883),(3025,105,0.000292,3.6883),(3025,115,0.000319,3.6883),(3025,125,0.000347,3.6883),(3025,135,0.000374,3.6883),(3025,145,0.000401,3.6884),(3025,155,0.000428,3.6884),(3025,165,0.000455,3.6884),(3025,175,0.000482,3.6884),(3025,185,0.000509,3.6884),(3025,195,0.000535,3.6884),(3025,205,0.000562,3.6884),(3025,215,0.000588,3.6884),(3025,225,0.000614,3.6885),(3025,235,0.00064,3.6885),(3025,245,0.000665,3.6885),(3025,255,0.000691,3.6885),(3025,265,0.000716,3.6885),(3025,275,0.000741,3.6885),(3025,285,0.000766,3.6886),(3025,295,0.000791,3.6886),(3025,305,0.000815,3.6886),(3025,315,0.000839,3.6886),(3025,325,0.000864,3.6887),(3025,335,0.000888,3.6887),(3025,345,0.000911,3.6887),(3025,355,0.000934,3.6887),(3025,365,0.000958,3.6888),(3025,375,0.000981,3.6888),(3025,385,0.001003,3.6888),(3025,395,0.001025,3.6889),(3025,405,0.001048,3.6889),(3025,415,0.00107,3.6889),(3025,425,0.001091,3.689),(3025,435,0.001112,3.689),(3025,445,0.001133,3.689),(3025,455,0.001154,3.6891),(3025,465,0.001174,3.6891),(3025,475,0.001194,3.6892),(3025,485,0.001214,3.6892),(3025,495,0.001234,3.6892),(3025,505,0.001252,3.6893),(3025,515,0.001271,3.6893),(3025,525,0.00129,3.6894),(3025,535,0.001308,3.6894),(3025,545,0.001326,3.6895),(3025,555,0.001343,3.6895),(3025,565,0.00136,3.6896),(3025,575,0.001378,3.6896),(3025,585,0.001394,3.6897),(3025,595,0.00141,3.6897),(3025,605,0.001426,3.6898),(3025,615,0.001442,3.6899),(3025,625,0.001457,3.6899),(3025,635,0.001472,3.69),(3025,645,0.001487,3.6901),(3025,655,0.001502,3.6901),(3025,665,0.001516,3.6902),(3025,675,0.00153,3.6903),(3025,685,0.001543,3.6903),(3025,695,0.001557,3.6904),(3025,705,0.001569,3.6905),(3025,715,0.001582,3.6906),(3025,725,0.001595,3.6907),(3025,735,0.001607,3.6907),(3025,745,0.001619,3.6908),(3025,755,0.00163,3.6909),(3025,765,0.001642,3.691),(3025,775,0.001653,3.6911),(3025,785,0.001664,3.6912),(3025,795,0.001675,3.6913),(3025,805,0.001686,3.6914),(3025,815,0.001697,3.6915),(3025,825,0.001707,3.6916),(3025,835,0.001718,3.6917),(3025,845,0.001728,3.6918),(3025,855,0.001738,3.6919),(3025,865,0.001748,3.692),(3025,875,0.001758,3.6922),(3025,885,0.001768,3.6923),(3025,895,0.001778,3.6924),(3025,905,0.001788,3.6925),(3025,915,0.001798,3.6927),(3025,925,0.001808,3.6928),(3025,935,0.001817,3.6929),(3025,945,0.001827,3.6931),(3025,955,0.001837,3.6932),(3025,965,0.001847,3.6934),(3025,975,0.001858,3.6935),(3025,985,0.001869,3.6937),(3025,995,0.001879,3.6938),(3025,1005,0.00189,3.694),(3025,1015,0.001902,3.6941),(3025,1025,0.001914,3.6943),(3025,1035,0.001926,3.6945),(3025,1045,0.001938,3.6947),(3025,1055,0.001952,3.6948),(3025,1065,0.001965,3.695),(3025,1075,0.001979,3.6952),(3025,1085,0.001993,3.6954),(3025,1095,0.002009,3.6956),(3025,1105,0.002025,3.6958),(3025,1115,0.002041,3.696),(3025,1125,0.002057,3.6962),(3025,1135,0.002076,3.6964),(3025,1145,0.002095,3.6966),(3025,1155,0.002114,3.6968),(3025,1165,0.002134,3.6971),(3025,1175,0.002156,3.6973),(3025,1185,0.002179,3.6975),(3025,1195,0.002203,3.6978),(3025,1205,0.002226,3.698),(3025,1215,0.002253,3.6983),(3025,1225,0.002282,3.6985),(3025,1235,0.00231,3.6988),(3025,1245,0.002338,3.699),(3025,1255,0.002371,3.6993),(3025,1265,0.002405,3.6996),(3025,1275,0.002439,3.6999),(3025,1285,0.002474,3.7001),(3025,1295,0.002513,3.7004),(3025,1305,0.002554,3.7007),(3025,1315,0.002595,3.701),(3025,1325,0.002636,3.7013),(3025,1335,0.002683,3.7017),(3025,1345,0.002732,3.702),(3025,1355,0.002781,3.7023),(3025,1365,0.00283,3.7026),(3025,1375,0.002887,3.703),(3025,1385,0.002946,3.7033),(3025,1395,0.003004,3.7037),(3025,1405,0.003062,3.704),(3025,1415,0.003131,3.7044),(3025,1425,0.0032,3.7047),(3025,1435,0.003269,3.7051),(3025,1445,0.003339,3.7055),(3025,1455,0.00342,3.7059),(3025,1465,0.003501,3.7063),(3025,1475,0.003583,3.7067),(3025,1485,0.003665,3.7071),(3025,1495,0.00376,3.7075),(3025,1505,0.003856,3.7079),(3025,1515,0.003951,3.7084),(3025,1525,0.004047,3.7088),(3025,1535,0.004159,3.7093),(3025,1545,0.004271,3.7097),(3025,1555,0.004383,3.7102),(3025,1565,0.004496,3.7107),(3025,1575,0.004625,3.7111),(3025,1585,0.004755,3.7116),(3025,1595,0.004885,3.7121),(3025,1605,0.005017,3.7126),(3025,1615,0.005167,3.7131),(3025,1625,0.005317,3.7136),(3025,1635,0.005468,3.7142),(3025,1645,0.005621,3.7147),(3025,1655,0.005795,3.7153),(3025,1665,0.005968,3.7158),(3025,1675,0.006141,3.7164),(3025,1685,0.00632,3.717),(3025,1695,0.006519,3.7175),(3025,1705,0.006719,3.7181),(3025,1715,0.006918,3.7187),(3025,1725,0.007124,3.7194),(3025,1735,0.007353,3.72),(3025,1745,0.007582,3.7206),(3025,1755,0.007811,3.7212),(3025,1765,0.008049,3.7219),(3025,1775,0.00831,3.7226),(3025,1785,0.008572,3.7232),(3025,1795,0.008834,3.7239),(3025,1805,0.009107,3.7246),(3025,1815,0.009406,3.7253),(3025,1825,0.009705,3.726),(3025,1835,0.010004,3.7268),(3025,1845,0.010318,3.7275),(3025,1855,0.010659,3.7282),(3025,1865,0.011001,3.729),(3025,1875,0.011342,3.7298),(3025,1885,0.011702,3.7306),(3025,1895,0.01209,3.7313),(3025,1905,0.012479,3.7321),(3025,1915,0.012868,3.733),(3025,1925,0.01328,3.7338),(3025,1935,0.013722,3.7346),(3025,1945,0.014165,3.7355),(3025,1955,0.014608,3.7364),(3025,1965,0.015078,3.7373),(3025,1975,0.015582,3.7381),(3025,1985,0.016085,3.739),(3025,1995,0.016589,3.74),(3025,2005,0.017126,3.7409),(3025,2015,0.017699,3.7418),(3025,2025,0.018271,3.7428),(3025,2035,0.018843,3.7438),(3025,2045,0.019457,3.7448),(3025,2055,0.020107,3.7458),(3025,2065,0.020757,3.7468),(3025,2075,0.021407,3.7478),(3025,2085,0.022108,3.7488),(3025,2095,0.022845,3.7499),(3025,2105,0.023583,3.7509),(3025,2115,0.024321,3.752),(3025,2125,0.02512,3.7531),(3025,2135,0.025957,3.7542),(3025,2145,0.026794,3.7553),(3025,2155,0.027632,3.7565),(3025,2165,0.028542,3.7576),(3025,2175,0.029491,3.7588),(3025,2185,0.030439,3.7599),(3025,2195,0.031388,3.7611),(3025,2205,0.032424,3.7623),(3025,2215,0.033498,3.7635),(3025,2225,0.034573,3.7647),(3025,2235,0.035647,3.766),(3025,2245,0.036825,3.7672),(3025,2255,0.038041,3.7684),(3025,2265,0.039256,3.7697),(3025,2275,0.040472,3.771),(3025,2285,0.041809,3.7722),(3025,2295,0.043182,3.7735),(3025,2305,0.044555,3.7748),(3025,2315,0.045928,3.7761),(3025,2325,0.047444,3.7774),(3025,2335,0.048991,3.7787),(3025,2345,0.050539,3.7801),(3025,2355,0.052087,3.7814),(3025,2365,0.0538,3.7827),(3025,2375,0.05554,3.784),(3025,2385,0.057281,3.7854),(3025,2395,0.059022,3.7867),(3025,2405,0.060953,3.788),(3025,2415,0.062905,3.7894),(3025,2425,0.064858,3.7907),(3025,2435,0.066811,3.792),(3025,2445,0.068979,3.7933),(3025,2455,0.071163,3.7947),(3025,2465,0.073347,3.796),(3025,2475,0.07553,3.7972),(3025,2485,0.077956,3.7985),(3025,2495,0.080389,3.7998),(3025,2505,0.082821,3.8011),(3025,2515,0.085258,3.8023),(3025,2525,0.087956,3.8035),(3025,2535,0.090654,3.8047),(3025,2545,0.093353,3.8059),(3025,2555,0.096066,3.807),(3025,2565,0.099044,3.8082),(3025,2575,0.10202,3.8093),(3025,2585,0.105,3.8103),(3025,2595,0.10801,3.8113),(3025,2605,0.11127,3.8124),(3025,2615,0.11454,3.8133),(3025,2625,0.11781,3.8142),(3025,2635,0.12112,3.8151),(3025,2645,0.12469,3.8159),(3025,2655,0.12826,3.8167),(3025,2665,0.13182,3.8174),(3025,2675,0.13544,3.818),(3025,2685,0.13931,3.8187),(3025,2695,0.14317,3.8193),(3025,2705,0.14704,3.8196),(3025,2715,0.15097,3.82),(3025,2725,0.15513,3.8204),(3025,2735,0.15929,3.8207),(3025,2745,0.16345,3.8208),(3025,2755,0.16768,3.8209),(3025,2765,0.17213,3.821),(3025,2775,0.17657,3.821),(3025,2785,0.18101,3.8207),(3025,2795,0.18554,3.8205),(3025,2805,0.19024,3.8202),(3025,2815,0.19495,3.8198),(3025,2825,0.19966,3.8192),(3025,2835,0.20445,3.8185),(3025,2845,0.2094,3.8178),(3025,2855,0.21434,3.817),(3025,2865,0.21929,3.8159),(3025,2875,0.22432,3.8148),(3025,2885,0.22947,3.8137),(3025,2895,0.23462,3.8124),(3025,2905,0.23978,3.8108),(3025,2915,0.245,3.8092),(3025,2925,0.25032,3.8076),(3025,2935,0.25564,3.8058),(3025,2945,0.26095,3.8036),(3025,2955,0.26633,3.8015),(3025,2965,0.27177,3.7994),(3025,2975,0.2772,3.797),(3025,2985,0.28264,3.7943),(3025,2995,0.28811,3.7916),(3025,3005,0.29362,3.7889),(3025,3015,0.29913,3.7859),(3025,3025,0.30463,3.7826),(3025,3035,0.31014,3.7793),(3025,3045,0.31566,3.7761),(3025,3055,0.32117,3.7724),(3025,3065,0.32669,3.7685),(3025,3075,0.33217,3.7646),(3025,3085,0.33763,3.7607),(3025,3095,0.34309,3.7565),(3025,3105,0.34856,3.7519),(3025,3115,0.35394,3.7474),(3025,3125,0.35929,3.7429),(3025,3135,0.36463,3.7379),(3025,3145,0.36997,3.7328),(3025,3155,0.37519,3.7276),(3025,3165,0.38034,3.7224),(3025,3175,0.38549,3.7168),(3025,3185,0.39064,3.711),(3025,3195,0.39561,3.7052),(3025,3205,0.4005,3.6994),(3025,3215,0.40539,3.6932),(3025,3225,0.41027,3.6868),(3025,3235,0.41492,3.6804),(3025,3245,0.41946,3.6739),(3025,3255,0.42401,3.6671),(3025,3265,0.42856,3.66),(3025,3275,0.43279,3.653),(3025,3285,0.43693,3.646),(3025,3295,0.44106,3.6385),(3025,3305,0.4452,3.631),(3025,3315,0.44893,3.6234),(3025,3325,0.45257,3.6158),(3025,3335,0.45622,3.6078),(3025,3345,0.45986,3.5997),(3025,3355,0.46302,3.5916),(3025,3365,0.4661,3.5835),(3025,3375,0.46917,3.575),(3025,3385,0.47225,3.5664),(3025,3395,0.47476,3.5579),(3025,3405,0.4772,3.5493),(3025,3415,0.47964,3.5404),(3025,3425,0.48208,3.5315),(3025,3435,0.48386,3.5225),(3025,3445,0.4856,3.5136),(3025,3455,0.48734,3.5044),(3025,3465,0.48907,3.4951),(3025,3475,0.49008,3.4859),(3025,3485,0.49105,3.4767),(3025,3495,0.49203,3.4673),(3025,3505,0.49301,3.4579),(3025,3515,0.49318,3.4484),(3025,3525,0.49336,3.439),(3025,3535,0.49354,3.4296),(3025,3545,0.49368,3.4201),(3025,3555,0.49303,3.4106),(3025,3565,0.49238,3.4011),(3025,3575,0.49173,3.3917),(3025,3585,0.49101,3.3823),(3025,3595,0.48952,3.3729),(3025,3605,0.48804,3.3635),(3025,3615,0.48655,3.3543),(3025,3625,0.48497,3.345),(3025,3635,0.48267,3.3358),(3025,3645,0.48037,3.3267),(3025,3655,0.47808,3.3178),(3025,3665,0.47566,3.309),(3025,3675,0.4726,3.3001),(3025,3685,0.46954,3.2914),(3025,3695,0.46648,3.283),(3025,3705,0.46329,3.2746),(3025,3715,0.45956,3.2663),(3025,3725,0.45583,3.2581),(3025,3735,0.4521,3.2504),(3025,3745,0.44824,3.2427),(3025,3755,0.44397,3.2349),(3025,3765,0.4397,3.2274),(3025,3775,0.43543,3.2205),(3025,3785,0.43105,3.2135),(3025,3795,0.42642,3.2066),(3025,3805,0.42178,3.1998),(3025,3815,0.41714,3.1937),(3025,3825,0.41245,3.1876),(3025,3835,0.40765,3.1814),(3025,3845,0.40286,3.1756),(3025,3855,0.39806,3.1703),(3025,3865,0.39329,3.165),(3025,3875,0.38857,3.1597),(3025,3885,0.38384,3.1546),(3025,3895,0.37912,3.1501),(3025,3905,0.42275,3.1455),(3025,3915,0.53862,3.141),(3025,3925,0.65448,3.1346),(3025,3935,0.77035,3.1259),(3025,3945,0.88882,3.1172),(3025,3955,1.0106,3.1084),(3025,3965,1.1324,3.0978),(3025,3975,1.2541,3.0851),(3025,3985,1.3209,3.0724),(3025,3995,1.3281,3.0596),(3025,4005,1.3354,3.0469),(3025,4015,1.3426,3.0342),(3025,4025,1.3533,3.0215),(3025,4035,1.3643,3.0085),(3025,4045,1.3753,2.9948),(3025,4055,1.389,2.9812),(3025,4065,1.4037,2.9673),(3025,4075,1.4184,2.9519),(3025,4085,1.4349,2.9365),(3025,4095,1.4528,2.9211),(3025,4105,1.4707,2.9037),(3025,4115,1.4392,2.8862),(3025,4125,1.3258,2.8688),(3025,4135,1.2124,2.8526),(3025,4145,1.0943,2.8368),(3025,4155,0.95687,2.821),(3025,4165,0.81944,2.8077),(3025,4175,0.69017,2.796),(3025,4185,0.96456,2.7842),(3025,4195,1.239,2.7684),(3025,4205,1.5134,2.7471),(3025,4215,1.5568,2.7258),(3025,4225,1.5567,2.7041),(3025,4235,1.5566,2.681),(3025,4245,1.5178,2.6579),(3025,4255,1.4593,2.6348),(3025,4265,1.4009,2.6109),(3025,4275,1.2246,2.5869),(3025,4285,0.92327,2.563),(3025,4295,0.62197,2.5536),(3025,4305,0.52001,2.5459),(3025,4315,0.86815,2.5382),(3025,4325,1.2163,2.5223),(3025,4335,1.5267,2.5032),(3025,4345,1.5818,2.4841),(3025,4355,1.6369,2.4642),(3025,4365,1.6921,2.4436),(3025,4375,1.7029,2.4231),(3025,4385,1.7114,2.4029),(3025,4395,1.7199,2.3833),(3025,4405,1.5204,2.3638),(3025,4415,1.2594,2.3459),(3025,4425,0.99853,2.3355),(3025,4435,0.89003,2.3251),(3025,4445,0.8857,2.3146),(3025,4455,0.88137,2.3039),(3025,4465,0.99422,2.2931),(3025,4475,1.2717,2.2823),(3025,4485,1.5491,2.2648),(3025,4495,1.7624,2.2459),(3025,4505,1.7696,2.227),(3025,4515,1.7768,2.2085),(3025,4525,1.7803,2.1902),(3025,4535,1.725,2.1719),(3025,4545,1.6697,2.1545),(3025,4555,1.6145,2.138),(3025,4565,1.2454,2.1215),(3025,4575,0.83393,2.1088),(3025,4585,0.42251,2.1053),(3025,4595,0.56056,2.1019),(3025,4605,0.93078,2.0967),(3025,4615,1.301,2.0778),(3025,4625,1.5219,2.0589),(3025,4635,1.6075,2.0399),(3025,4645,1.6931,2.0222),(3025,4655,1.7558,2.0045),(3025,4665,1.7752,1.9868),(3025,4675,1.7945,1.97),(3025,4685,1.7495,1.9534),(3025,4695,1.386,1.9368),(3025,4705,1.0226,1.9262),(3025,4715,0.65918,1.92),(3025,4725,0.83944,1.9138),(3025,4735,1.0251,1.9058),(3025,4745,1.2108,1.8953),(3025,4755,1.4,1.8847),(3025,4765,1.59,1.8732),(3025,4775,1.78,1.8583),(3025,4785,1.8523,1.8435),(3025,4795,1.8566,1.8287),(3025,4805,1.861,1.814),(3025,4815,1.7755,1.7993),(3025,4825,1.5828,1.7847),(3025,4835,1.3901,1.7744),(3025,4845,1.1956,1.7648),(3025,4855,0.99669,1.7552),(3025,4865,0.79777,1.749),(3025,4875,0.65853,1.7442),(3025,4885,1.0623,1.7394),(3025,4895,1.4661,1.7301),(3025,4905,1.8699,1.7164),(3025,4915,1.8989,1.7028),(3025,4925,1.8956,1.689),(3025,4935,1.8924,1.6751),(3025,4945,1.8418,1.6611),(3025,4955,1.7749,1.6468),(3025,4965,1.708,1.6306),(3025,4975,1.4101,1.6144),(3025,4985,0.93401,1.5982),(3025,4995,0.45789,1.5966),(3025,5005,0.32624,1.5953),(3025,5015,0.74222,1.594),(3025,5025,1.1582,1.5858),(3025,5035,1.5166,1.5757),(3025,5045,1.6555,1.5657),(3025,5055,1.7944,1.5539),(3025,5065,1.9293,1.541),(3025,5075,1.9325,1.5282),(3025,5085,1.9358,1.5154),(3025,5095,1.939,1.5026),(3025,5105,1.6973,1.4899),(3025,5115,1.4129,1.4787),(3025,5125,1.1285,1.4719),(3025,5135,0.98843,1.4651),(3025,5145,0.91838,1.4585),(3025,5155,0.84834,1.4535),(3025,5165,0.99839,1.4484),(3025,5175,1.3729,1.4434),(3025,5185,1.7475,1.432),(3025,5195,2.0042,1.4198),(3025,5205,2.0071,1.4077),(3025,5215,2.0101,1.3956),(3025,5225,2.0024,1.3836),(3025,5235,1.9288,1.3716),(3025,5245,1.8552,1.3604),(3025,5255,1.7816,1.3499),(3025,5265,1.2578,1.3394),(3025,5275,0.71555,1.3326),(3025,5285,0.17327,1.3322),(3025,5295,0.50909,1.3319),(3025,5305,1.0895,1.3287),(3025,5315,1.6698,1.3139),(3025,5325,1.9304,1.2991),(3025,5335,1.9813,1.2843),(3025,5345,2.0321,1.272),(3025,5355,2.0636,1.2597),(3025,5365,2.0688,1.2474),(3025,5375,2.074,1.2355),(3025,5385,1.9597,1.2236),(3025,5395,1.4818,1.2117),(3025,5405,1.004,1.2055),(3025,5415,0.57916,1.2023),(3025,5425,0.86668,1.1992),(3025,5435,1.1542,1.1939),(3025,5445,1.4417,1.1863),(3025,5455,1.7145,1.1787),(3025,5465,1.9854,1.1699),(3025,5475,2.2564,1.1581),(3025,5485,2.3359,1.1463),(3025,5495,2.3383,1.1346),(3025,5505,2.3407,1.1232),(3025,5515,2.3431,1.1118),(3025,5525,2.3455,1.1004),(3025,5535,2.3478,1.0893),(3025,5545,2.3501,1.0782),(3025,5555,2.3522,1.0671),(3025,5565,2.3544,1.0563),(3025,5575,2.3565,1.0455),(3025,5585,2.3584,1.0347),(3025,5595,2.3602,1.0242),(3025,5605,2.3621,1.0137),(3025,5615,2.3638,1.0033),(3025,5625,2.3655,0.993),(3025,5635,2.3672,0.98285),(3025,5645,2.3687,0.9727),(3025,5655,2.3702,0.96262),(3025,5665,2.3716,0.95276),(3025,5675,2.373,0.94289),(3025,5685,2.3743,0.93305),(3025,5695,2.3756,0.92343),(3025,5705,2.3768,0.91382),(3025,5715,2.3779,0.9042),(3025,5725,2.379,0.89479),(3025,5735,2.3801,0.88542),(3025,5745,2.381,0.87604),(3025,5755,2.382,0.86682),(3025,5765,2.3829,0.85767),(3025,5775,2.3837,0.84852),(3025,5785,2.3845,0.83949),(3025,5795,2.3853,0.83056),(3025,5805,2.386,0.82164),(3025,5815,2.3866,0.81278),(3025,5825,2.3873,0.80406),(3025,5835,2.3878,0.79534),(3025,5845,2.3883,0.78665),(3025,5855,2.3888,0.77813),(3025,5865,2.3893,0.7696),(3025,5875,2.3897,0.76107),(3025,5885,2.3901,0.75273),(3025,5895,2.3904,0.74439),(3025,5905,2.3907,0.73604),(3025,5915,2.3909,0.72785),(3025,5925,2.3912,0.71969),(3025,5935,2.3913,0.71154),(3025,5945,2.3915,0.70349),(3025,5955,2.3916,0.6955),(3025,5965,2.3917,0.68752),(3025,5975,2.3918,0.67961),(3025,5985,2.3918,0.67178),(3025,5995,1.829,0.66395),(3025,6005,1.1756,0.65797),(3025,6015,0.52221,0.65693),(3025,6025,0.64958,0.6559),(3025,6035,1.1391,0.6541),(3025,6045,1.6286,0.64495),(3025,6055,1.9695,0.6358),(3025,6065,2.1649,0.62665),(3025,6075,2.3603,0.61485),(3025,6085,2.4926,0.6028),(3025,6095,2.4951,0.59075),(3025,6105,2.4976,0.57873),(3025,6115,2.5001,0.56673),(3025,6125,2.5025,0.55473),(3025,6135,2.5048,0.54283),(3025,6145,2.5072,0.531),(3025,6155,2.5094,0.51918),(3025,6165,2.5116,0.50742),(3025,6175,2.5137,0.49576),(3025,6185,2.5158,0.4841),(3025,6195,2.5178,0.47245),(3025,6205,2.5198,0.46085),(3025,6215,2.5217,0.44925),(3025,6225,2.5236,0.43765),(3025,6235,2.5254,0.42611),(3025,6245,2.5272,0.41457),(3025,6255,2.5288,0.40303),(3025,6265,2.5305,0.39157),(3025,6275,2.5322,0.38012),(3025,6285,2.5337,0.36868),(3025,6295,2.5352,0.35726),(3025,6305,2.5367,0.34585),(3025,6315,2.5381,0.33445),(3025,6325,2.5395,0.32309),(3025,6335,2.5408,0.31178),(3025,6345,2.5421,0.30047),(3025,6355,2.5433,0.28918),(3025,6365,2.5445,0.27792),(3025,6375,2.5457,0.26666),(3025,6385,2.5467,0.2554),(3025,6395,2.5478,0.24419),(3025,6405,2.5488,0.23297),(3025,6415,2.5497,0.22176),(3025,6425,2.5506,0.21061),(3025,6435,2.5515,0.19947),(3025,6445,2.5523,0.18832),(3025,6455,2.5531,0.17721),(3025,6465,2.5538,0.16611),(3025,6475,2.5545,0.15501),(3025,6485,2.5551,0.1439),(3025,6495,2.5557,0.13279),(3025,6505,2.5562,0.12168),(3025,6515,2.5567,0.11059),(3025,6525,2.5572,0.099528),(3025,6535,2.5576,0.088463),(3025,6545,2.5579,0.077399),(3025,6555,2.5583,0.066338),(3025,6565,2.5585,0.055277),(3025,6575,2.5587,0.044219),(3025,6585,2.5589,0.033199),(3025,6595,2.1765,0.022179),(3025,6605,1.3718,0.011159),(3025,6615,0.56711,0.009871),(3025,6625,0.001413,0.009833),(3025,6635,0.00141,0.009795),(3025,6645,0.001408,0.009777),(3025,6655,0.001406,0.009767),(3025,6665,0.001404,0.009756),(3025,6675,0.001401,0.009746),(3025,6685,0.001399,0.009737),(3025,6695,0.001397,0.009727),(3025,6705,0.001395,0.009717),(3025,6715,0.001393,0.009707),(3025,6725,0.001391,0.009697),(3025,6735,0.001389,0.009687),(3025,6745,0.001388,0.009678),(3025,6755,0.001386,0.009668),(3025,6765,0.001384,0.009658),(3025,6775,0.001383,0.009648),(3025,6785,0.001381,0.009639),(3025,6795,0.001379,0.009629),(3025,6805,0.001378,0.00962),(3025,6815,0.001376,0.00961),(3025,6825,0.001375,0.0096),(3025,6835,0.001373,0.009591),(3025,6845,0.001372,0.009581),(3025,6855,0.001371,0.009572),(3025,6865,0.00137,0.009563),(3025,6875,0.001368,0.009553),(3025,6885,0.001367,0.009544),(3025,6895,0.001366,0.009534),(3025,6905,0.001365,0.009525),(3025,6915,0.001364,0.009516),(3025,6925,0.001363,0.009506),(3025,6935,0.001362,0.009497),(3025,6945,0.00136,0.009488),(3025,6955,0.00136,0.009479),(3025,6965,0.001359,0.009469),(3025,6975,0.001358,0.00946),(3025,6985,0.001357,0.009451),(3035,5,1.4e-05,3.6883),(3035,15,4.1e-05,3.6883),(3035,25,6.8e-05,3.6883),(3035,35,9.5e-05,3.6883),(3035,45,0.000122,3.6883),(3035,55,0.000149,3.6883),(3035,65,0.000176,3.6883),(3035,75,0.000203,3.6883),(3035,85,0.00023,3.6883),(3035,95,0.000256,3.6883),(3035,105,0.000283,3.6883),(3035,115,0.00031,3.6884),(3035,125,0.000336,3.6884),(3035,135,0.000363,3.6884),(3035,145,0.000389,3.6884),(3035,155,0.000415,3.6884),(3035,165,0.000441,3.6884),(3035,175,0.000467,3.6884),(3035,185,0.000493,3.6884),(3035,195,0.000518,3.6884),(3035,205,0.000544,3.6885),(3035,215,0.000569,3.6885),(3035,225,0.000594,3.6885),(3035,235,0.000619,3.6885),(3035,245,0.000644,3.6885),(3035,255,0.000669,3.6885),(3035,265,0.000693,3.6886),(3035,275,0.000717,3.6886),(3035,285,0.000741,3.6886),(3035,295,0.000765,3.6886),(3035,305,0.000788,3.6886),(3035,315,0.000811,3.6887),(3035,325,0.000834,3.6887),(3035,335,0.000857,3.6887),(3035,345,0.000879,3.6887),(3035,355,0.000901,3.6888),(3035,365,0.000923,3.6888),(3035,375,0.000945,3.6888),(3035,385,0.000967,3.6889),(3035,395,0.000988,3.6889),(3035,405,0.001009,3.6889),(3035,415,0.00103,3.6889),(3035,425,0.00105,3.689),(3035,435,0.001069,3.689),(3035,445,0.001089,3.6891),(3035,455,0.001109,3.6891),(3035,465,0.001127,3.6891),(3035,475,0.001146,3.6892),(3035,485,0.001164,3.6892),(3035,495,0.001183,3.6893),(3035,505,0.0012,3.6893),(3035,515,0.001217,3.6893),(3035,525,0.001234,3.6894),(3035,535,0.001252,3.6894),(3035,545,0.001267,3.6895),(3035,555,0.001283,3.6895),(3035,565,0.001299,3.6896),(3035,575,0.001315,3.6897),(3035,585,0.001329,3.6897),(3035,595,0.001344,3.6898),(3035,605,0.001358,3.6898),(3035,615,0.001373,3.6899),(3035,625,0.001386,3.6899),(3035,635,0.001399,3.69),(3035,645,0.001412,3.6901),(3035,655,0.001425,3.6901),(3035,665,0.001437,3.6902),(3035,675,0.001449,3.6903),(3035,685,0.00146,3.6904),(3035,695,0.001472,3.6904),(3035,705,0.001482,3.6905),(3035,715,0.001493,3.6906),(3035,725,0.001503,3.6907),(3035,735,0.001514,3.6908),(3035,745,0.001523,3.6908),(3035,755,0.001532,3.6909),(3035,765,0.001542,3.691),(3035,775,0.001551,3.6911),(3035,785,0.001559,3.6912),(3035,795,0.001567,3.6913),(3035,805,0.001576,3.6914),(3035,815,0.001584,3.6915),(3035,825,0.001592,3.6916),(3035,835,0.001599,3.6917),(3035,845,0.001607,3.6918),(3035,855,0.001615,3.6919),(3035,865,0.001622,3.6921),(3035,875,0.001629,3.6922),(3035,885,0.001636,3.6923),(3035,895,0.001643,3.6924),(3035,905,0.00165,3.6925),(3035,915,0.001657,3.6927),(3035,925,0.001664,3.6928),(3035,935,0.00167,3.6929),(3035,945,0.001677,3.6931),(3035,955,0.001684,3.6932),(3035,965,0.00169,3.6934),(3035,975,0.001697,3.6935),(3035,985,0.001705,3.6937),(3035,995,0.001712,3.6938),(3035,1005,0.001719,3.694),(3035,1015,0.001727,3.6942),(3035,1025,0.001736,3.6943),(3035,1035,0.001744,3.6945),(3035,1045,0.001752,3.6947),(3035,1055,0.001762,3.6948),(3035,1065,0.001772,3.695),(3035,1075,0.001782,3.6952),(3035,1085,0.001791,3.6954),(3035,1095,0.001803,3.6956),(3035,1105,0.001815,3.6958),(3035,1115,0.001826,3.696),(3035,1125,0.001839,3.6962),(3035,1135,0.001852,3.6964),(3035,1145,0.001867,3.6966),(3035,1155,0.001882,3.6969),(3035,1165,0.001897,3.6971),(3035,1175,0.001914,3.6973),(3035,1185,0.001933,3.6975),(3035,1195,0.001951,3.6978),(3035,1205,0.00197,3.698),(3035,1215,0.001992,3.6983),(3035,1225,0.002015,3.6985),(3035,1235,0.002038,3.6988),(3035,1245,0.002061,3.6991),(3035,1255,0.002089,3.6993),(3035,1265,0.002118,3.6996),(3035,1275,0.002146,3.6999),(3035,1285,0.002175,3.7002),(3035,1295,0.002209,3.7005),(3035,1305,0.002244,3.7008),(3035,1315,0.002279,3.7011),(3035,1325,0.002314,3.7014),(3035,1335,0.002356,3.7017),(3035,1345,0.002399,3.702),(3035,1355,0.002441,3.7023),(3035,1365,0.002484,3.7027),(3035,1375,0.002535,3.703),(3035,1385,0.002587,3.7034),(3035,1395,0.002639,3.7037),(3035,1405,0.002691,3.7041),(3035,1415,0.002752,3.7044),(3035,1425,0.002815,3.7048),(3035,1435,0.002877,3.7052),(3035,1445,0.00294,3.7056),(3035,1455,0.003013,3.706),(3035,1465,0.003088,3.7064),(3035,1475,0.003162,3.7068),(3035,1485,0.003236,3.7072),(3035,1495,0.003324,3.7076),(3035,1505,0.003412,3.708),(3035,1515,0.0035,3.7085),(3035,1525,0.003589,3.7089),(3035,1535,0.003692,3.7094),(3035,1545,0.003796,3.7098),(3035,1555,0.0039,3.7103),(3035,1565,0.004004,3.7108),(3035,1575,0.004125,3.7112),(3035,1585,0.004247,3.7117),(3035,1595,0.004368,3.7122),(3035,1605,0.004491,3.7128),(3035,1615,0.004632,3.7133),(3035,1625,0.004773,3.7138),(3035,1635,0.004914,3.7143),(3035,1645,0.005059,3.7149),(3035,1655,0.005222,3.7154),(3035,1665,0.005386,3.716),(3035,1675,0.00555,3.7166),(3035,1685,0.005718,3.7171),(3035,1695,0.005908,3.7177),(3035,1705,0.006097,3.7183),(3035,1715,0.006287,3.7189),(3035,1725,0.006482,3.7196),(3035,1735,0.0067,3.7202),(3035,1745,0.006919,3.7208),(3035,1755,0.007137,3.7215),(3035,1765,0.007363,3.7221),(3035,1775,0.007614,3.7228),(3035,1785,0.007864,3.7235),(3035,1795,0.008114,3.7242),(3035,1805,0.008376,3.7249),(3035,1815,0.008663,3.7256),(3035,1825,0.00895,3.7263),(3035,1835,0.009237,3.727),(3035,1845,0.009539,3.7278),(3035,1855,0.009867,3.7285),(3035,1865,0.010196,3.7293),(3035,1875,0.010525,3.7301),(3035,1885,0.010871,3.7309),(3035,1895,0.011247,3.7317),(3035,1905,0.011622,3.7325),(3035,1915,0.011998,3.7334),(3035,1925,0.012396,3.7342),(3035,1935,0.012825,3.7351),(3035,1945,0.013253,3.7359),(3035,1955,0.013682,3.7368),(3035,1965,0.014139,3.7377),(3035,1975,0.014628,3.7386),(3035,1985,0.015117,3.7395),(3035,1995,0.015606,3.7405),(3035,2005,0.016129,3.7414),(3035,2015,0.016686,3.7424),(3035,2025,0.017243,3.7434),(3035,2035,0.0178,3.7444),(3035,2045,0.018399,3.7454),(3035,2055,0.019033,3.7464),(3035,2065,0.019668,3.7474),(3035,2075,0.020302,3.7485),(3035,2085,0.020988,3.7495),(3035,2095,0.02171,3.7506),(3035,2105,0.022432,3.7517),(3035,2115,0.023154,3.7528),(3035,2125,0.023938,3.7539),(3035,2135,0.024759,3.755),(3035,2145,0.025581,3.7562),(3035,2155,0.026402,3.7573),(3035,2165,0.027297,3.7585),(3035,2175,0.02823,3.7597),(3035,2185,0.029164,3.7609),(3035,2195,0.030097,3.7621),(3035,2205,0.031118,3.7633),(3035,2215,0.032177,3.7645),(3035,2225,0.033237,3.7658),(3035,2235,0.034296,3.7671),(3035,2245,0.03546,3.7683),(3035,2255,0.036661,3.7696),(3035,2265,0.037863,3.7709),(3035,2275,0.039064,3.7722),(3035,2285,0.040389,3.7735),(3035,2295,0.04175,3.7749),(3035,2305,0.04311,3.7762),(3035,2315,0.044471,3.7776),(3035,2325,0.045976,3.7789),(3035,2335,0.047513,3.7803),(3035,2345,0.04905,3.7816),(3035,2355,0.050588,3.783),(3035,2365,0.052293,3.7844),(3035,2375,0.054027,3.7858),(3035,2385,0.05576,3.7872),(3035,2395,0.057493,3.7885),(3035,2405,0.05942,3.7899),(3035,2415,0.061369,3.7913),(3035,2425,0.063318,3.7927),(3035,2435,0.065267,3.7941),(3035,2445,0.067436,3.7955),(3035,2455,0.069621,3.7968),(3035,2465,0.071805,3.7982),(3035,2475,0.07399,3.7996),(3035,2485,0.076422,3.8009),(3035,2495,0.078861,3.8023),(3035,2505,0.081301,3.8036),(3035,2515,0.083744,3.8049),(3035,2525,0.086455,3.8062),(3035,2535,0.089167,3.8075),(3035,2545,0.091878,3.8087),(3035,2555,0.094605,3.8099),(3035,2565,0.097604,3.8111),(3035,2575,0.1006,3.8123),(3035,2585,0.1036,3.8134),(3035,2595,0.10663,3.8145),(3035,2605,0.10993,3.8156),(3035,2615,0.11323,3.8167),(3035,2625,0.11653,3.8176),(3035,2635,0.11987,3.8185),(3035,2645,0.12347,3.8195),(3035,2655,0.12708,3.8204),(3035,2665,0.13068,3.8211),(3035,2675,0.13434,3.8218),(3035,2685,0.13826,3.8225),(3035,2695,0.14218,3.8232),(3035,2705,0.14609,3.8237),(3035,2715,0.15007,3.8241),(3035,2725,0.15429,3.8246),(3035,2735,0.15851,3.825),(3035,2745,0.16274,3.8252),(3035,2755,0.16703,3.8253),(3035,2765,0.17155,3.8255),(3035,2775,0.17606,3.8256),(3035,2785,0.18058,3.8254),(3035,2795,0.18517,3.8252),(3035,2805,0.18996,3.825),(3035,2815,0.19475,3.8247),(3035,2825,0.19955,3.8241),(3035,2835,0.20442,3.8235),(3035,2845,0.20946,3.8229),(3035,2855,0.2145,3.8221),(3035,2865,0.21954,3.8211),(3035,2875,0.22466,3.82),(3035,2885,0.22992,3.819),(3035,2895,0.23517,3.8177),(3035,2905,0.24043,3.8162),(3035,2915,0.24576,3.8146),(3035,2925,0.25119,3.8131),(3035,2935,0.25662,3.8113),(3035,2945,0.26205,3.8092),(3035,2955,0.26754,3.8071),(3035,2965,0.2731,3.805),(3035,2975,0.27866,3.8026),(3035,2985,0.28422,3.8),(3035,2995,0.28981,3.7973),(3035,3005,0.29545,3.7946),(3035,3015,0.30108,3.7916),(3035,3025,0.30671,3.7883),(3035,3035,0.31235,3.7851),(3035,3045,0.318,3.7818),(3035,3055,0.32365,3.7781),(3035,3065,0.32929,3.7742),(3035,3075,0.33491,3.7703),(3035,3085,0.34051,3.7664),(3035,3095,0.34611,3.7621),(3035,3105,0.35171,3.7576),(3035,3115,0.35723,3.753),(3035,3125,0.36271,3.7484),(3035,3135,0.36819,3.7435),(3035,3145,0.37367,3.7382),(3035,3155,0.37903,3.733),(3035,3165,0.38431,3.7278),(3035,3175,0.3896,3.7222),(3035,3185,0.39489,3.7163),(3035,3195,0.4,3.7104),(3035,3205,0.40502,3.7046),(3035,3215,0.41005,3.6982),(3035,3225,0.41507,3.6917),(3035,3235,0.41984,3.6852),(3035,3245,0.42452,3.6787),(3035,3255,0.4292,3.6717),(3035,3265,0.43388,3.6646),(3035,3275,0.43824,3.6575),(3035,3285,0.4425,3.6504),(3035,3295,0.44676,3.6428),(3035,3305,0.45101,3.6351),(3035,3315,0.45487,3.6273),(3035,3325,0.45862,3.6196),(3035,3335,0.46238,3.6115),(3035,3345,0.46613,3.6032),(3035,3355,0.4694,3.595),(3035,3365,0.47258,3.5867),(3035,3375,0.47575,3.5781),(3035,3385,0.47893,3.5693),(3035,3395,0.48153,3.5606),(3035,3405,0.48405,3.5519),(3035,3415,0.48657,3.5428),(3035,3425,0.48909,3.5337),(3035,3435,0.49095,3.5246),(3035,3445,0.49275,3.5154),(3035,3455,0.49455,3.506),(3035,3465,0.49635,3.4966),(3035,3475,0.4974,3.4872),(3035,3485,0.49842,3.4777),(3035,3495,0.49944,3.4681),(3035,3505,0.50045,3.4585),(3035,3515,0.50065,3.4489),(3035,3525,0.50084,3.4392),(3035,3535,0.50103,3.4295),(3035,3545,0.50118,3.4198),(3035,3555,0.50052,3.4101),(3035,3565,0.49985,3.4004),(3035,3575,0.49919,3.3908),(3035,3585,0.49845,3.3811),(3035,3595,0.49692,3.3715),(3035,3605,0.49539,3.3619),(3035,3615,0.49386,3.3525),(3035,3625,0.49223,3.343),(3035,3635,0.48985,3.3336),(3035,3645,0.48747,3.3242),(3035,3655,0.4851,3.3152),(3035,3665,0.48259,3.3061),(3035,3675,0.47942,3.297),(3035,3685,0.47625,3.2881),(3035,3695,0.47308,3.2796),(3035,3705,0.46977,3.271),(3035,3715,0.4659,3.2625),(3035,3725,0.46203,3.2541),(3035,3735,0.45816,3.2462),(3035,3745,0.45415,3.2384),(3035,3755,0.44971,3.2305),(3035,3765,0.44527,3.2229),(3035,3775,0.44084,3.2158),(3035,3785,0.43629,3.2088),(3035,3795,0.43147,3.2017),(3035,3805,0.42665,3.1949),(3035,3815,0.42183,3.1887),(3035,3825,0.41696,3.1826),(3035,3835,0.41198,3.1764),(3035,3845,0.407,3.1705),(3035,3855,0.40203,3.1652),(3035,3865,0.39708,3.16),(3035,3875,0.3922,3.1547),(3035,3885,0.38731,3.1497),(3035,3895,0.38242,3.1452),(3035,3905,0.42623,3.1408),(3035,3915,0.54276,3.1363),(3035,3925,0.6593,3.1301),(3035,3935,0.77584,3.1217),(3035,3945,0.89493,3.1132),(3035,3955,1.0173,3.1048),(3035,3965,1.1396,3.0945),(3035,3975,1.262,3.0822),(3035,3985,1.329,3.0698),(3035,3995,1.3362,3.0574),(3035,4005,1.3434,3.045),(3035,4015,1.3506,3.0325),(3035,4025,1.3614,3.02),(3035,4035,1.3727,3.0071),(3035,4045,1.3839,2.9934),(3035,4055,1.398,2.9798),(3035,4065,1.4131,2.9658),(3035,4075,1.4283,2.9501),(3035,4085,1.4453,2.9345),(3035,4095,1.4637,2.9188),(3035,4105,1.4822,2.901),(3035,4115,1.451,2.8831),(3035,4125,1.3375,2.8653),(3035,4135,1.224,2.8488),(3035,4145,1.1056,2.8326),(3035,4155,0.96738,2.8165),(3035,4165,0.82918,2.8028),(3035,4175,0.69918,2.7906),(3035,4185,0.97557,2.7785),(3035,4195,1.2519,2.7622),(3035,4205,1.5283,2.7404),(3035,4215,1.5725,2.7186),(3035,4225,1.5731,2.6964),(3035,4235,1.5736,2.6728),(3035,4245,1.5353,2.6493),(3035,4255,1.4772,2.6257),(3035,4265,1.4192,2.6014),(3035,4275,1.2413,2.577),(3035,4285,0.93604,2.5526),(3035,4295,0.63081,2.5431),(3035,4305,0.52683,2.5352),(3035,4315,0.87728,2.5274),(3035,4325,1.2277,2.5113),(3035,4335,1.5402,2.4921),(3035,4345,1.5956,2.4728),(3035,4355,1.651,2.4528),(3035,4365,1.7064,2.4322),(3035,4375,1.7169,2.4116),(3035,4385,1.7251,2.3914),(3035,4395,1.7333,2.3718),(3035,4405,1.5322,2.3522),(3035,4415,1.2693,2.3342),(3035,4425,1.0065,2.3239),(3035,4435,0.89732,2.3135),(3035,4445,0.89312,2.3031),(3035,4455,0.88893,2.2924),(3035,4465,1.0025,2.2817),(3035,4475,1.2815,2.271),(3035,4485,1.5605,2.2535),(3035,4495,1.7749,2.2346),(3035,4505,1.7819,2.2156),(3035,4515,1.7889,2.1971),(3035,4525,1.7921,2.1788),(3035,4535,1.7365,2.1605),(3035,4545,1.6809,2.1431),(3035,4555,1.6252,2.1266),(3035,4565,1.2538,2.1101),(3035,4575,0.83971,2.0974),(3035,4585,0.42565,2.0939),(3035,4595,0.56538,2.0904),(3035,4605,0.93908,2.0852),(3035,4615,1.3128,2.0662),(3035,4625,1.535,2.0472),(3035,4635,1.62,2.0282),(3035,4645,1.7049,2.0105),(3035,4655,1.767,1.9928),(3035,4665,1.786,1.9751),(3035,4675,1.805,1.9584),(3035,4685,1.7592,1.9418),(3035,4695,1.3938,1.9253),(3035,4705,1.0285,1.9148),(3035,4715,0.66309,1.9086),(3035,4725,0.84402,1.9025),(3035,4735,1.0304,1.8945),(3035,4745,1.2168,1.8839),(3035,4755,1.4067,1.8734),(3035,4765,1.5973,1.8618),(3035,4775,1.788,1.847),(3035,4785,1.8605,1.8322),(3035,4795,1.8648,1.8173),(3035,4805,1.869,1.8027),(3035,4815,1.7831,1.788),(3035,4825,1.5895,1.7733),(3035,4835,1.3958,1.7631),(3035,4845,1.2005,1.7535),(3035,4855,1.0008,1.7439),(3035,4865,0.80109,1.7376),(3035,4875,0.66127,1.7329),(3035,4885,1.0664,1.7281),(3035,4895,1.4715,1.7189),(3035,4905,1.8766,1.7053),(3035,4915,1.9058,1.6917),(3035,4925,1.9027,1.678),(3035,4935,1.8996,1.6641),(3035,4945,1.8497,1.6502),(3035,4955,1.7837,1.6359),(3035,4965,1.7177,1.6197),(3035,4975,1.4185,1.6035),(3035,4985,0.93947,1.5873),(3035,4995,0.46039,1.5857),(3035,5005,0.32742,1.5844),(3035,5015,0.74467,1.5832),(3035,5025,1.1619,1.5749),(3035,5035,1.5214,1.5649),(3035,5045,1.6607,1.5549),(3035,5055,1.8,1.5431),(3035,5065,1.9352,1.5303),(3035,5075,1.9384,1.5175),(3035,5085,1.9416,1.5047),(3035,5095,1.9449,1.4919),(3035,5105,1.7024,1.4792),(3035,5115,1.4172,1.468),(3035,5125,1.1319,1.4613),(3035,5135,0.99131,1.4545),(3035,5145,0.92096,1.4479),(3035,5155,0.85061,1.4429),(3035,5165,1.001,1.4379),(3035,5175,1.3764,1.4329),(3035,5185,1.7518,1.4214),(3035,5195,2.0092,1.4093),(3035,5205,2.0121,1.3972),(3035,5215,2.0149,1.3852),(3035,5225,2.0072,1.3732),(3035,5235,1.9334,1.3612),(3035,5245,1.8595,1.35),(3035,5255,1.7857,1.3395),(3035,5265,1.2608,1.329),(3035,5275,0.71726,1.3223),(3035,5285,0.17372,1.3219),(3035,5295,0.51118,1.3215),(3035,5305,1.094,1.3184),(3035,5315,1.6768,1.3036),(3035,5325,1.9378,1.2889),(3035,5335,1.9877,1.2741),(3035,5345,2.0376,1.2619),(3035,5355,2.0684,1.2497),(3035,5365,2.0735,1.2374),(3035,5375,2.0786,1.2255),(3035,5385,1.9639,1.2137),(3035,5395,1.485,1.2018),(3035,5405,1.0061,1.1957),(3035,5415,0.58039,1.1925),(3035,5425,0.8683,1.1893),(3035,5435,1.1562,1.1841),(3035,5445,1.4441,1.1766),(3035,5455,1.7172,1.1691),(3035,5465,1.9885,1.1603),(3035,5475,2.2599,1.1487),(3035,5485,2.3394,1.137),(3035,5495,2.3417,1.1254),(3035,5505,2.344,1.1141),(3035,5515,2.3462,1.1027),(3035,5525,2.3485,1.0914),(3035,5535,2.3508,1.0804),(3035,5545,2.3529,1.0695),(3035,5555,2.355,1.0585),(3035,5565,2.357,1.0478),(3035,5575,2.359,1.0371),(3035,5585,2.3607,1.0264),(3035,5595,2.3625,1.016),(3035,5605,2.3643,1.0056),(3035,5615,2.3659,0.99529),(3035,5625,2.3675,0.98507),(3035,5635,2.3691,0.97502),(3035,5645,2.3705,0.96497),(3035,5655,2.3719,0.95498),(3035,5665,2.3733,0.94521),(3035,5675,2.3745,0.93543),(3035,5685,2.3757,0.92568),(3035,5695,2.377,0.91615),(3035,5705,2.3781,0.90662),(3035,5715,2.3791,0.8971),(3035,5725,2.3802,0.88778),(3035,5735,2.3811,0.87848),(3035,5745,2.382,0.86919),(3035,5755,2.3829,0.86006),(3035,5765,2.3838,0.85099),(3035,5775,2.3845,0.84192),(3035,5785,2.3852,0.83297),(3035,5795,2.3859,0.82412),(3035,5805,2.3865,0.81527),(3035,5815,2.3871,0.8065),(3035,5825,2.3877,0.79786),(3035,5835,2.3882,0.78922),(3035,5845,2.3886,0.78061),(3035,5855,2.3891,0.77216),(3035,5865,2.3895,0.7637),(3035,5875,2.3898,0.75525),(3035,5885,2.3901,0.74698),(3035,5895,2.3904,0.73871),(3035,5905,2.3906,0.73044),(3035,5915,2.3909,0.72232),(3035,5925,2.391,0.71423),(3035,5935,2.3911,0.70615),(3035,5945,2.3912,0.69817),(3035,5955,2.3913,0.69025),(3035,5965,2.3914,0.68234),(3035,5975,2.3914,0.67449),(3035,5985,2.3914,0.66673),(3035,5995,1.8287,0.65897),(3035,6005,1.1754,0.65304),(3035,6015,0.52213,0.65201),(3035,6025,0.6502,0.65098),(3035,6035,1.1407,0.6492),(3035,6045,1.6311,0.64012),(3035,6055,1.9728,0.63104),(3035,6065,2.1684,0.62196),(3035,6075,2.3641,0.61024),(3035,6085,2.4966,0.59828),(3035,6095,2.4991,0.58632),(3035,6105,2.5016,0.5744),(3035,6115,2.504,0.56248),(3035,6125,2.5063,0.55057),(3035,6135,2.5087,0.53875),(3035,6145,2.511,0.52702),(3035,6155,2.5131,0.51528),(3035,6165,2.5153,0.5036),(3035,6175,2.5174,0.49203),(3035,6185,2.5194,0.48046),(3035,6195,2.5214,0.4689),(3035,6205,2.5234,0.45738),(3035,6215,2.5252,0.44586),(3035,6225,2.527,0.43434),(3035,6235,2.5289,0.42289),(3035,6245,2.5306,0.41144),(3035,6255,2.5322,0.39999),(3035,6265,2.5339,0.38862),(3035,6275,2.5355,0.37726),(3035,6285,2.537,0.3659),(3035,6295,2.5385,0.35457),(3035,6305,2.54,0.34326),(3035,6315,2.5413,0.33194),(3035,6325,2.5427,0.32068),(3035,6335,2.544,0.30945),(3035,6345,2.5452,0.29823),(3035,6355,2.5464,0.28703),(3035,6365,2.5476,0.27585),(3035,6375,2.5487,0.26468),(3035,6385,2.5498,0.25351),(3035,6395,2.5508,0.24238),(3035,6405,2.5518,0.23125),(3035,6415,2.5527,0.22012),(3035,6425,2.5536,0.20906),(3035,6435,2.5545,0.198),(3035,6445,2.5553,0.18695),(3035,6455,2.556,0.17592),(3035,6465,2.5568,0.1649),(3035,6475,2.5574,0.15389),(3035,6485,2.558,0.14287),(3035,6495,2.5586,0.13184),(3035,6505,2.5591,0.12082),(3035,6515,2.5596,0.10982),(3035,6525,2.5601,0.098841),(3035,6535,2.5605,0.087862),(3035,6545,2.5608,0.076885),(3035,6555,2.5611,0.065909),(3035,6565,2.5614,0.054933),(3035,6575,2.5616,0.04396),(3035,6585,2.5618,0.033025),(3035,6595,2.179,0.02209),(3035,6605,1.3734,0.011156),(3035,6615,0.56775,0.009874),(3035,6625,0.001419,0.009834),(3035,6635,0.001416,0.009793),(3035,6645,0.001414,0.009774),(3035,6655,0.001411,0.009764),(3035,6665,0.001409,0.009754),(3035,6675,0.001407,0.009744),(3035,6685,0.001405,0.009734),(3035,6695,0.001403,0.009725),(3035,6705,0.001401,0.009715),(3035,6715,0.001399,0.009705),(3035,6725,0.001397,0.009695),(3035,6735,0.001395,0.009685),(3035,6745,0.001393,0.009676),(3035,6755,0.001391,0.009666),(3035,6765,0.001389,0.009656),(3035,6775,0.001388,0.009647),(3035,6785,0.001386,0.009637),(3035,6795,0.001385,0.009628),(3035,6805,0.001383,0.009618),(3035,6815,0.001381,0.009609),(3035,6825,0.00138,0.009599),(3035,6835,0.001379,0.00959),(3035,6845,0.001377,0.00958),(3035,6855,0.001376,0.009571),(3035,6865,0.001375,0.009561),(3035,6875,0.001373,0.009552),(3035,6885,0.001372,0.009543),(3035,6895,0.001371,0.009533),(3035,6905,0.00137,0.009524),(3035,6915,0.001369,0.009515),(3035,6925,0.001368,0.009505),(3035,6935,0.001366,0.009496),(3035,6945,0.001365,0.009487),(3035,6955,0.001364,0.009477),(3035,6965,0.001363,0.009468),(3035,6975,0.001362,0.009459),(3035,6985,0.001362,0.00945),(3045,5,1.3e-05,3.6883),(3045,15,3.9e-05,3.6883),(3045,25,6.6e-05,3.6883),(3045,35,9.2e-05,3.6883),(3045,45,0.000118,3.6883),(3045,55,0.000144,3.6883),(3045,65,0.000171,3.6883),(3045,75,0.000197,3.6884),(3045,85,0.000223,3.6884),(3045,95,0.000249,3.6884),(3045,105,0.000274,3.6884),(3045,115,0.0003,3.6884),(3045,125,0.000326,3.6884),(3045,135,0.000352,3.6884),(3045,145,0.000377,3.6884),(3045,155,0.000402,3.6884),(3045,165,0.000427,3.6884),(3045,175,0.000453,3.6884),(3045,185,0.000477,3.6884),(3045,195,0.000502,3.6885),(3045,205,0.000527,3.6885),(3045,215,0.000551,3.6885),(3045,225,0.000575,3.6885),(3045,235,0.000599,3.6885),(3045,245,0.000623,3.6885),(3045,255,0.000647,3.6886),(3045,265,0.00067,3.6886),(3045,275,0.000693,3.6886),(3045,285,0.000716,3.6886),(3045,295,0.000739,3.6886),(3045,305,0.000761,3.6887),(3045,315,0.000783,3.6887),(3045,325,0.000805,3.6887),(3045,335,0.000827,3.6887),(3045,345,0.000848,3.6888),(3045,355,0.000869,3.6888),(3045,365,0.00089,3.6888),(3045,375,0.000911,3.6888),(3045,385,0.000931,3.6889),(3045,395,0.000951,3.6889),(3045,405,0.00097,3.6889),(3045,415,0.00099,3.689),(3045,425,0.001009,3.689),(3045,435,0.001027,3.689),(3045,445,0.001046,3.6891),(3045,455,0.001064,3.6891),(3045,465,0.001082,3.6891),(3045,475,0.001099,3.6892),(3045,485,0.001116,3.6892),(3045,495,0.001133,3.6893),(3045,505,0.001149,3.6893),(3045,515,0.001164,3.6894),(3045,525,0.00118,3.6894),(3045,535,0.001196,3.6895),(3045,545,0.00121,3.6895),(3045,555,0.001224,3.6896),(3045,565,0.001239,3.6896),(3045,575,0.001253,3.6897),(3045,585,0.001266,3.6897),(3045,595,0.001278,3.6898),(3045,605,0.001291,3.6898),(3045,615,0.001304,3.6899),(3045,625,0.001315,3.69),(3045,635,0.001326,3.69),(3045,645,0.001338,3.6901),(3045,655,0.001349,3.6902),(3045,665,0.001359,3.6902),(3045,675,0.001368,3.6903),(3045,685,0.001378,3.6904),(3045,695,0.001388,3.6904),(3045,705,0.001396,3.6905),(3045,715,0.001405,3.6906),(3045,725,0.001413,3.6907),(3045,735,0.001421,3.6908),(3045,745,0.001428,3.6908),(3045,755,0.001435,3.6909),(3045,765,0.001442,3.691),(3045,775,0.001449,3.6911),(3045,785,0.001455,3.6912),(3045,795,0.001461,3.6913),(3045,805,0.001466,3.6914),(3045,815,0.001472,3.6915),(3045,825,0.001477,3.6916),(3045,835,0.001482,3.6917),(3045,845,0.001487,3.6918),(3045,855,0.001492,3.6919),(3045,865,0.001496,3.6921),(3045,875,0.001501,3.6922),(3045,885,0.001505,3.6923),(3045,895,0.001509,3.6924),(3045,905,0.001513,3.6925),(3045,915,0.001517,3.6927),(3045,925,0.00152,3.6928),(3045,935,0.001524,3.6929),(3045,945,0.001527,3.6931),(3045,955,0.001531,3.6932),(3045,965,0.001534,3.6934),(3045,975,0.001538,3.6935),(3045,985,0.001541,3.6937),(3045,995,0.001545,3.6938),(3045,1005,0.001549,3.694),(3045,1015,0.001553,3.6942),(3045,1025,0.001558,3.6943),(3045,1035,0.001562,3.6945),(3045,1045,0.001567,3.6947),(3045,1055,0.001572,3.6949),(3045,1065,0.001578,3.695),(3045,1075,0.001584,3.6952),(3045,1085,0.00159,3.6954),(3045,1095,0.001597,3.6956),(3045,1105,0.001605,3.6958),(3045,1115,0.001612,3.696),(3045,1125,0.00162,3.6962),(3045,1135,0.001629,3.6964),(3045,1145,0.001639,3.6966),(3045,1155,0.001649,3.6969),(3045,1165,0.00166,3.6971),(3045,1175,0.001672,3.6973),(3045,1185,0.001686,3.6976),(3045,1195,0.0017,3.6978),(3045,1205,0.001713,3.6981),(3045,1215,0.00173,3.6983),(3045,1225,0.001748,3.6985),(3045,1235,0.001766,3.6988),(3045,1245,0.001784,3.6991),(3045,1255,0.001806,3.6994),(3045,1265,0.001829,3.6996),(3045,1275,0.001852,3.6999),(3045,1285,0.001876,3.7002),(3045,1295,0.001904,3.7005),(3045,1305,0.001933,3.7008),(3045,1315,0.001962,3.7011),(3045,1325,0.001992,3.7014),(3045,1335,0.002027,3.7017),(3045,1345,0.002064,3.702),(3045,1355,0.0021,3.7024),(3045,1365,0.002137,3.7027),(3045,1375,0.002181,3.7031),(3045,1385,0.002226,3.7034),(3045,1395,0.002272,3.7038),(3045,1405,0.002317,3.7041),(3045,1415,0.002371,3.7045),(3045,1425,0.002427,3.7049),(3045,1435,0.002482,3.7052),(3045,1445,0.002538,3.7056),(3045,1455,0.002604,3.706),(3045,1465,0.002671,3.7064),(3045,1475,0.002738,3.7068),(3045,1485,0.002805,3.7073),(3045,1495,0.002885,3.7077),(3045,1505,0.002965,3.7081),(3045,1515,0.003046,3.7086),(3045,1525,0.003126,3.709),(3045,1535,0.003221,3.7095),(3045,1545,0.003317,3.7099),(3045,1555,0.003412,3.7104),(3045,1565,0.003508,3.7109),(3045,1575,0.003621,3.7114),(3045,1585,0.003733,3.7118),(3045,1595,0.003846,3.7124),(3045,1605,0.00396,3.7129),(3045,1615,0.004092,3.7134),(3045,1625,0.004224,3.7139),(3045,1635,0.004356,3.7145),(3045,1645,0.00449,3.715),(3045,1655,0.004644,3.7156),(3045,1665,0.004798,3.7161),(3045,1675,0.004952,3.7167),(3045,1685,0.00511,3.7173),(3045,1695,0.005289,3.7179),(3045,1705,0.005468,3.7185),(3045,1715,0.005647,3.7191),(3045,1725,0.005832,3.7198),(3045,1735,0.006039,3.7204),(3045,1745,0.006246,3.721),(3045,1755,0.006453,3.7217),(3045,1765,0.006668,3.7224),(3045,1775,0.006907,3.723),(3045,1785,0.007146,3.7237),(3045,1795,0.007385,3.7244),(3045,1805,0.007634,3.7251),(3045,1815,0.007909,3.7259),(3045,1825,0.008183,3.7266),(3045,1835,0.008458,3.7273),(3045,1845,0.008747,3.7281),(3045,1855,0.009062,3.7289),(3045,1865,0.009378,3.7296),(3045,1875,0.009693,3.7304),(3045,1885,0.010026,3.7313),(3045,1895,0.010388,3.7321),(3045,1905,0.01075,3.7329),(3045,1915,0.011112,3.7338),(3045,1925,0.011496,3.7346),(3045,1935,0.01191,3.7355),(3045,1945,0.012324,3.7364),(3045,1955,0.012738,3.7373),(3045,1965,0.01318,3.7382),(3045,1975,0.013653,3.7391),(3045,1985,0.014127,3.74),(3045,1995,0.014601,3.741),(3045,2005,0.015108,3.742),(3045,2015,0.01565,3.7429),(3045,2025,0.016191,3.7439),(3045,2035,0.016732,3.7449),(3045,2045,0.017315,3.746),(3045,2055,0.017933,3.747),(3045,2065,0.018551,3.748),(3045,2075,0.01917,3.7491),(3045,2085,0.019838,3.7502),(3045,2095,0.020544,3.7513),(3045,2105,0.021249,3.7524),(3045,2115,0.021955,3.7535),(3045,2125,0.022721,3.7547),(3045,2135,0.023526,3.7558),(3045,2145,0.02433,3.757),(3045,2155,0.025135,3.7582),(3045,2165,0.026013,3.7594),(3045,2175,0.026929,3.7606),(3045,2185,0.027846,3.7618),(3045,2195,0.028762,3.7631),(3045,2205,0.029767,3.7643),(3045,2215,0.03081,3.7656),(3045,2225,0.031853,3.7669),(3045,2235,0.032896,3.7682),(3045,2245,0.034044,3.7695),(3045,2255,0.03523,3.7708),(3045,2265,0.036415,3.7721),(3045,2275,0.037601,3.7735),(3045,2285,0.038912,3.7749),(3045,2295,0.040258,3.7762),(3045,2305,0.041604,3.7776),(3045,2315,0.04295,3.779),(3045,2325,0.044443,3.7804),(3045,2335,0.045968,3.7818),(3045,2345,0.047493,3.7832),(3045,2355,0.049019,3.7846),(3045,2365,0.050714,3.7861),(3045,2375,0.052438,3.7875),(3045,2385,0.054162,3.7889),(3045,2395,0.055886,3.7904),(3045,2405,0.057807,3.7918),(3045,2415,0.05975,3.7933),(3045,2425,0.061694,3.7947),(3045,2435,0.063637,3.7961),(3045,2445,0.065805,3.7976),(3045,2455,0.067988,3.799),(3045,2465,0.070172,3.8005),(3045,2475,0.072355,3.8019),(3045,2485,0.074793,3.8033),(3045,2495,0.077236,3.8047),(3045,2505,0.07968,3.8061),(3045,2515,0.082128,3.8075),(3045,2525,0.084851,3.8088),(3045,2535,0.087574,3.8102),(3045,2545,0.090297,3.8115),(3045,2555,0.093037,3.8128),(3045,2565,0.096055,3.8141),(3045,2575,0.099074,3.8153),(3045,2585,0.10209,3.8165),(3045,2595,0.10514,3.8177),(3045,2605,0.10847,3.8188),(3045,2615,0.1118,3.82),(3045,2625,0.11512,3.821),(3045,2635,0.11849,3.822),(3045,2645,0.12214,3.823),(3045,2655,0.12578,3.824),(3045,2665,0.12943,3.8248),(3045,2675,0.13313,3.8256),(3045,2685,0.1371,3.8264),(3045,2695,0.14106,3.8272),(3045,2705,0.14503,3.8277),(3045,2715,0.14906,3.8283),(3045,2725,0.15334,3.8288),(3045,2735,0.15762,3.8293),(3045,2745,0.16191,3.8295),(3045,2755,0.16627,3.8298),(3045,2765,0.17085,3.83),(3045,2775,0.17544,3.8302),(3045,2785,0.18003,3.83),(3045,2795,0.1847,3.8299),(3045,2805,0.18958,3.8298),(3045,2815,0.19446,3.8295),(3045,2825,0.19933,3.829),(3045,2835,0.20429,3.8285),(3045,2845,0.20943,3.8279),(3045,2855,0.21457,3.8272),(3045,2865,0.2197,3.8262),(3045,2875,0.22492,3.8253),(3045,2885,0.23029,3.8243),(3045,2895,0.23565,3.8231),(3045,2905,0.24101,3.8216),(3045,2915,0.24645,3.82),(3045,2925,0.252,3.8185),(3045,2935,0.25755,3.8168),(3045,2945,0.2631,3.8147),(3045,2955,0.26871,3.8127),(3045,2965,0.27439,3.8106),(3045,2975,0.28007,3.8083),(3045,2985,0.28576,3.8056),(3045,2995,0.29148,3.803),(3045,3005,0.29725,3.8003),(3045,3015,0.30301,3.7973),(3045,3025,0.30878,3.7941),(3045,3035,0.31455,3.7908),(3045,3045,0.32034,3.7875),(3045,3055,0.32612,3.7839),(3045,3065,0.33191,3.7799),(3045,3075,0.33767,3.776),(3045,3085,0.34341,3.7721),(3045,3095,0.34915,3.7678),(3045,3105,0.35489,3.7632),(3045,3115,0.36056,3.7586),(3045,3125,0.36618,3.754),(3045,3135,0.37181,3.749),(3045,3145,0.37743,3.7437),(3045,3155,0.38293,3.7385),(3045,3165,0.38836,3.7332),(3045,3175,0.3938,3.7275),(3045,3185,0.39923,3.7215),(3045,3195,0.40448,3.7156),(3045,3205,0.40965,3.7097),(3045,3215,0.41482,3.7033),(3045,3225,0.41998,3.6967),(3045,3235,0.4249,3.6901),(3045,3245,0.42971,3.6835),(3045,3255,0.43453,3.6764),(3045,3265,0.43935,3.6692),(3045,3275,0.44384,3.6619),(3045,3285,0.44823,3.6547),(3045,3295,0.45262,3.647),(3045,3305,0.45701,3.6391),(3045,3315,0.46099,3.6313),(3045,3325,0.46486,3.6235),(3045,3335,0.46874,3.6152),(3045,3345,0.47262,3.6068),(3045,3355,0.47599,3.5984),(3045,3365,0.47928,3.59),(3045,3375,0.48256,3.5811),(3045,3385,0.48585,3.5723),(3045,3395,0.48854,3.5634),(3045,3405,0.49115,3.5545),(3045,3415,0.49376,3.5452),(3045,3425,0.49638,3.5359),(3045,3435,0.4983,3.5266),(3045,3445,0.50017,3.5173),(3045,3455,0.50205,3.5077),(3045,3465,0.50392,3.498),(3045,3475,0.50501,3.4884),(3045,3485,0.50608,3.4788),(3045,3495,0.50714,3.4689),(3045,3505,0.5082,3.4591),(3045,3515,0.50841,3.4493),(3045,3525,0.50862,3.4394),(3045,3535,0.50883,3.4295),(3045,3545,0.509,3.4196),(3045,3555,0.50833,3.4097),(3045,3565,0.50765,3.3997),(3045,3575,0.50697,3.3899),(3045,3585,0.50622,3.38),(3045,3595,0.50464,3.3701),(3045,3605,0.50306,3.3603),(3045,3615,0.50148,3.3507),(3045,3625,0.4998,3.341),(3045,3635,0.49734,3.3314),(3045,3645,0.49488,3.3218),(3045,3655,0.49242,3.3125),(3045,3665,0.48982,3.3033),(3045,3675,0.48653,3.294),(3045,3685,0.48324,3.2848),(3045,3695,0.47995,3.2761),(3045,3705,0.47651,3.2674),(3045,3715,0.47248,3.2587),(3045,3725,0.46846,3.2501),(3045,3735,0.46443,3.2421),(3045,3745,0.46026,3.2341),(3045,3755,0.45563,3.2261),(3045,3765,0.45101,3.2183),(3045,3775,0.44639,3.2112),(3045,3785,0.44165,3.204),(3045,3795,0.43663,3.1969),(3045,3805,0.4316,3.19),(3045,3815,0.42658,3.1838),(3045,3825,0.4215,3.1775),(3045,3835,0.41632,3.1713),(3045,3845,0.41114,3.1654),(3045,3855,0.40595,3.1602),(3045,3865,0.40081,3.1549),(3045,3875,0.39574,3.1497),(3045,3885,0.39066,3.1448),(3045,3895,0.38559,3.1404),(3045,3905,0.42952,3.136),(3045,3915,0.54665,3.1316),(3045,3925,0.66377,3.1256),(3045,3935,0.7809,3.1175),(3045,3945,0.90057,3.1093),(3045,3955,1.0235,3.1012),(3045,3965,1.1464,3.0913),(3045,3975,1.2693,3.0792),(3045,3985,1.3366,3.0672),(3045,3995,1.3438,3.0552),(3045,4005,1.351,3.043),(3045,4015,1.3582,3.0307),(3045,4025,1.3693,3.0184),(3045,4035,1.3809,3.0057),(3045,4045,1.3924,2.992),(3045,4055,1.407,2.9783),(3045,4065,1.4228,2.9643),(3045,4075,1.4385,2.9484),(3045,4085,1.456,2.9324),(3045,4095,1.4751,2.9165),(3045,4105,1.4942,2.8983),(3045,4115,1.4633,2.8801),(3045,4125,1.3497,2.8618),(3045,4135,1.2361,2.845),(3045,4145,1.1174,2.8284),(3045,4155,0.97845,2.8119),(3045,4165,0.8395,2.7978),(3045,4175,0.70881,2.7853),(3045,4185,0.98723,2.7727),(3045,4195,1.2656,2.756),(3045,4205,1.5441,2.7337),(3045,4215,1.589,2.7114),(3045,4225,1.5901,2.6886),(3045,4235,1.5911,2.6647),(3045,4245,1.5533,2.6407),(3045,4255,1.4958,2.6167),(3045,4265,1.4382,2.5919),(3045,4275,1.2585,2.5671),(3045,4285,0.94924,2.5423),(3045,4295,0.63994,2.5325),(3045,4305,0.53385,2.5246),(3045,4315,0.88662,2.5166),(3045,4325,1.2394,2.5004),(3045,4335,1.5539,2.481),(3045,4345,1.6095,2.4616),(3045,4355,1.6651,2.4415),(3045,4365,1.7208,2.4209),(3045,4375,1.731,2.4002),(3045,4385,1.7388,2.3799),(3045,4395,1.7467,2.3602),(3045,4405,1.544,2.3406),(3045,4415,1.2792,2.3226),(3045,4425,1.0144,2.3122),(3045,4435,0.90451,2.3019),(3045,4445,0.90042,2.2916),(3045,4455,0.89633,2.281),(3045,4465,1.0106,2.2704),(3045,4475,1.2913,2.2598),(3045,4485,1.5719,2.2423),(3045,4495,1.7874,2.2233),(3045,4505,1.7942,2.2043),(3045,4515,1.8009,2.1857),(3045,4525,1.804,2.1674),(3045,4535,1.748,2.1491),(3045,4545,1.692,2.1317),(3045,4555,1.636,2.1152),(3045,4565,1.2621,2.0987),(3045,4575,0.84549,2.0861),(3045,4585,0.42884,2.0825),(3045,4595,0.57025,2.079),(3045,4605,0.94746,2.0737),(3045,4615,1.3247,2.0546),(3045,4625,1.5482,2.0355),(3045,4635,1.6324,2.0165),(3045,4645,1.7167,1.9987),(3045,4655,1.7782,1.9811),(3045,4665,1.7967,1.9635),(3045,4675,1.8153,1.9467),(3045,4685,1.7689,1.9303),(3045,4695,1.4016,1.9138),(3045,4705,1.0342,1.9033),(3045,4715,0.6669,1.8972),(3045,4725,0.84854,1.8911),(3045,4735,1.0357,1.8832),(3045,4745,1.2228,1.8726),(3045,4755,1.4133,1.862),(3045,4765,1.6046,1.8505),(3045,4775,1.796,1.8357),(3045,4785,1.8687,1.8208),(3045,4795,1.8729,1.806),(3045,4805,1.8771,1.7913),(3045,4815,1.7908,1.7767),(3045,4825,1.5962,1.762),(3045,4835,1.4016,1.7517),(3045,4845,1.2054,1.7421),(3045,4855,1.0049,1.7325),(3045,4865,0.80435,1.7263),(3045,4875,0.66392,1.7216),(3045,4885,1.0704,1.7169),(3045,4895,1.4768,1.7077),(3045,4905,1.8833,1.6942),(3045,4915,1.9127,1.6807),(3045,4925,1.9097,1.667),(3045,4935,1.9067,1.6531),(3045,4945,1.8576,1.6392),(3045,4955,1.7925,1.625),(3045,4965,1.7274,1.6088),(3045,4975,1.427,1.5926),(3045,4985,0.94491,1.5764),(3045,4995,0.46286,1.5748),(3045,5005,0.32856,1.5736),(3045,5015,0.74709,1.5723),(3045,5025,1.1656,1.5641),(3045,5035,1.5262,1.5541),(3045,5045,1.6659,1.5441),(3045,5055,1.8055,1.5324),(3045,5065,1.9412,1.5196),(3045,5075,1.9443,1.5067),(3045,5085,1.9475,1.494),(3045,5095,1.9507,1.4812),(3045,5105,1.7075,1.4685),(3045,5115,1.4214,1.4574),(3045,5125,1.1352,1.4506),(3045,5135,0.99417,1.4439),(3045,5145,0.92352,1.4373),(3045,5155,0.85286,1.4323),(3045,5165,1.0035,1.4273),(3045,5175,1.3798,1.4223),(3045,5185,1.7561,1.4109),(3045,5195,2.0141,1.3988),(3045,5205,2.0169,1.3867),(3045,5215,2.0198,1.3747),(3045,5225,2.0119,1.3627),(3045,5235,1.9379,1.3508),(3045,5245,1.8639,1.3396),(3045,5255,1.7899,1.3291),(3045,5265,1.2638,1.3186),(3045,5275,0.71895,1.3119),(3045,5285,0.17415,1.3115),(3045,5295,0.51324,1.3112),(3045,5305,1.0985,1.3081),(3045,5315,1.6837,1.2933),(3045,5325,1.945,1.2786),(3045,5335,1.994,1.264),(3045,5345,2.043,1.2518),(3045,5355,2.0732,1.2396),(3045,5365,2.0782,1.2274),(3045,5375,2.0831,1.2155),(3045,5385,1.968,1.2037),(3045,5395,1.4882,1.1919),(3045,5405,1.0083,1.1858),(3045,5415,0.5816,1.1826),(3045,5425,0.86986,1.1795),(3045,5435,1.1581,1.1743),(3045,5445,1.4464,1.1668),(3045,5455,1.7199,1.1594),(3045,5465,1.9915,1.1508),(3045,5475,2.2632,1.1392),(3045,5485,2.3427,1.1276),(3045,5495,2.3449,1.1161),(3045,5505,2.3471,1.1049),(3045,5515,2.3493,1.0937),(3045,5525,2.3514,1.0825),(3045,5535,2.3535,1.0716),(3045,5545,2.3556,1.0608),(3045,5555,2.3575,1.0499),(3045,5565,2.3594,1.0393),(3045,5575,2.3613,1.0287),(3045,5585,2.363,1.0181),(3045,5595,2.3647,1.0078),(3045,5605,2.3664,0.99751),(3045,5615,2.3679,0.98727),(3045,5625,2.3694,0.97715),(3045,5635,2.3709,0.96719),(3045,5645,2.3722,0.95723),(3045,5655,2.3735,0.94733),(3045,5665,2.3748,0.93765),(3045,5675,2.376,0.92797),(3045,5685,2.3771,0.91831),(3045,5695,2.3782,0.90887),(3045,5705,2.3793,0.89943),(3045,5715,2.3802,0.88999),(3045,5725,2.3812,0.88076),(3045,5735,2.3821,0.87155),(3045,5745,2.3829,0.86234),(3045,5755,2.3837,0.85329),(3045,5765,2.3845,0.84431),(3045,5775,2.3852,0.83532),(3045,5785,2.3858,0.82645),(3045,5795,2.3865,0.81768),(3045,5805,2.387,0.80891),(3045,5815,2.3876,0.80022),(3045,5825,2.3881,0.79165),(3045,5835,2.3885,0.78309),(3045,5845,2.3889,0.77456),(3045,5855,2.3893,0.76618),(3045,5865,2.3896,0.75781),(3045,5875,2.3899,0.74943),(3045,5885,2.3902,0.74123),(3045,5895,2.3904,0.73304),(3045,5905,2.3905,0.72484),(3045,5915,2.3907,0.71679),(3045,5925,2.3908,0.70877),(3045,5935,2.3909,0.70076),(3045,5945,2.3909,0.69285),(3045,5955,2.391,0.685),(3045,5965,2.391,0.67715),(3045,5975,2.391,0.66938),(3045,5985,2.3909,0.66168),(3045,5995,1.8283,0.65399),(3045,6005,1.1752,0.64811),(3045,6015,0.52203,0.64709),(3045,6025,0.6508,0.64606),(3045,6035,1.1422,0.64429),(3045,6045,1.6337,0.63529),(3045,6055,1.9759,0.62628),(3045,6065,2.1718,0.61727),(3045,6075,2.3678,0.60564),(3045,6085,2.5005,0.59377),(3045,6095,2.5029,0.5819),(3045,6105,2.5054,0.57006),(3045,6115,2.5078,0.55824),(3045,6125,2.5101,0.54641),(3045,6135,2.5123,0.53468),(3045,6145,2.5146,0.52303),(3045,6155,2.5167,0.51138),(3045,6165,2.5188,0.49979),(3045,6175,2.5209,0.4883),(3045,6185,2.5229,0.47682),(3045,6195,2.5249,0.46534),(3045,6205,2.5268,0.45391),(3045,6215,2.5286,0.44248),(3045,6225,2.5304,0.43104),(3045,6235,2.5322,0.41968),(3045,6245,2.5339,0.40832),(3045,6255,2.5355,0.39695),(3045,6265,2.5371,0.38567),(3045,6275,2.5387,0.3744),(3045,6285,2.5402,0.36313),(3045,6295,2.5417,0.35189),(3045,6305,2.5431,0.34066),(3045,6315,2.5445,0.32944),(3045,6325,2.5458,0.31826),(3045,6335,2.5471,0.30713),(3045,6345,2.5483,0.29599),(3045,6355,2.5495,0.28488),(3045,6365,2.5507,0.27379),(3045,6375,2.5517,0.26269),(3045,6385,2.5528,0.25161),(3045,6395,2.5538,0.24057),(3045,6405,2.5548,0.22953),(3045,6415,2.5557,0.21848),(3045,6425,2.5565,0.20751),(3045,6435,2.5574,0.19654),(3045,6445,2.5581,0.18557),(3045,6455,2.5589,0.17463),(3045,6465,2.5596,0.1637),(3045,6475,2.5602,0.15277),(3045,6485,2.5608,0.14183),(3045,6495,2.5615,0.1309),(3045,6505,2.5619,0.11996),(3045,6515,2.5624,0.10904),(3045,6525,2.5629,0.098153),(3045,6535,2.5632,0.087262),(3045,6545,2.5636,0.076371),(3045,6555,2.5639,0.06548),(3045,6565,2.5642,0.054589),(3045,6575,2.5643,0.0437),(3045,6585,2.5645,0.032851),(3045,6595,2.1814,0.022001),(3045,6605,1.3749,0.011152),(3045,6615,0.56837,0.009878),(3045,6625,0.001424,0.009835),(3045,6635,0.001422,0.009792),(3045,6645,0.001419,0.009772),(3045,6655,0.001417,0.009762),(3045,6665,0.001415,0.009752),(3045,6675,0.001412,0.009742),(3045,6685,0.00141,0.009732),(3045,6695,0.001408,0.009722),(3045,6705,0.001406,0.009713),(3045,6715,0.001404,0.009703),(3045,6725,0.001402,0.009693),(3045,6735,0.0014,0.009683),(3045,6745,0.001398,0.009674),(3045,6755,0.001396,0.009664),(3045,6765,0.001395,0.009655),(3045,6775,0.001393,0.009645),(3045,6785,0.001391,0.009635),(3045,6795,0.00139,0.009626),(3045,6805,0.001388,0.009617),(3045,6815,0.001386,0.009607),(3045,6825,0.001385,0.009598),(3045,6835,0.001384,0.009588),(3045,6845,0.001382,0.009579),(3045,6855,0.001381,0.009569),(3045,6865,0.00138,0.00956),(3045,6875,0.001378,0.009551),(3045,6885,0.001377,0.009541),(3045,6895,0.001376,0.009532),(3045,6905,0.001375,0.009523),(3045,6915,0.001373,0.009513),(3045,6925,0.001372,0.009504),(3045,6935,0.001371,0.009495),(3045,6945,0.00137,0.009486),(3045,6955,0.001369,0.009477),(3045,6965,0.001368,0.009467),(3045,6975,0.001367,0.009458),(3045,6985,0.001367,0.009449),(3055,5,1.3e-05,3.6884),(3055,15,3.8e-05,3.6884),(3055,25,6.4e-05,3.6884),(3055,35,8.9e-05,3.6884),(3055,45,0.000115,3.6884),(3055,55,0.00014,3.6884),(3055,65,0.000165,3.6884),(3055,75,0.000191,3.6884),(3055,85,0.000216,3.6884),(3055,95,0.000241,3.6884),(3055,105,0.000266,3.6884),(3055,115,0.000291,3.6884),(3055,125,0.000316,3.6884),(3055,135,0.000341,3.6884),(3055,145,0.000365,3.6884),(3055,155,0.00039,3.6884),(3055,165,0.000414,3.6885),(3055,175,0.000438,3.6885),(3055,185,0.000462,3.6885),(3055,195,0.000486,3.6885),(3055,205,0.00051,3.6885),(3055,215,0.000533,3.6885),(3055,225,0.000557,3.6885),(3055,235,0.000579,3.6885),(3055,245,0.000602,3.6886),(3055,255,0.000625,3.6886),(3055,265,0.000648,3.6886),(3055,275,0.000669,3.6886),(3055,285,0.000691,3.6886),(3055,295,0.000713,3.6887),(3055,305,0.000735,3.6887),(3055,315,0.000756,3.6887),(3055,325,0.000777,3.6887),(3055,335,0.000797,3.6888),(3055,345,0.000817,3.6888),(3055,355,0.000837,3.6888),(3055,365,0.000857,3.6888),(3055,375,0.000877,3.6889),(3055,385,0.000896,3.6889),(3055,395,0.000914,3.6889),(3055,405,0.000933,3.689),(3055,415,0.000952,3.689),(3055,425,0.000969,3.689),(3055,435,0.000986,3.6891),(3055,445,0.001004,3.6891),(3055,455,0.001021,3.6891),(3055,465,0.001037,3.6892),(3055,475,0.001053,3.6892),(3055,485,0.001068,3.6892),(3055,495,0.001084,3.6893),(3055,505,0.001098,3.6893),(3055,515,0.001113,3.6894),(3055,525,0.001127,3.6894),(3055,535,0.001141,3.6895),(3055,545,0.001154,3.6895),(3055,555,0.001167,3.6896),(3055,565,0.001179,3.6896),(3055,575,0.001192,3.6897),(3055,585,0.001203,3.6897),(3055,595,0.001214,3.6898),(3055,605,0.001225,3.6898),(3055,615,0.001236,3.6899),(3055,625,0.001246,3.69),(3055,635,0.001255,3.69),(3055,645,0.001265,3.6901),(3055,655,0.001274,3.6902),(3055,665,0.001282,3.6902),(3055,675,0.00129,3.6903),(3055,685,0.001297,3.6904),(3055,695,0.001305,3.6905),(3055,705,0.001311,3.6905),(3055,715,0.001318,3.6906),(3055,725,0.001324,3.6907),(3055,735,0.00133,3.6908),(3055,745,0.001334,3.6909),(3055,755,0.001339,3.6909),(3055,765,0.001344,3.691),(3055,775,0.001348,3.6911),(3055,785,0.001352,3.6912),(3055,795,0.001355,3.6913),(3055,805,0.001358,3.6914),(3055,815,0.001361,3.6915),(3055,825,0.001364,3.6916),(3055,835,0.001366,3.6917),(3055,845,0.001368,3.6918),(3055,855,0.00137,3.692),(3055,865,0.001372,3.6921),(3055,875,0.001373,3.6922),(3055,885,0.001375,3.6923),(3055,895,0.001376,3.6924),(3055,905,0.001376,3.6926),(3055,915,0.001377,3.6927),(3055,925,0.001378,3.6928),(3055,935,0.001378,3.693),(3055,945,0.001378,3.6931),(3055,955,0.001378,3.6932),(3055,965,0.001378,3.6934),(3055,975,0.001379,3.6935),(3055,985,0.001379,3.6937),(3055,995,0.001379,3.6938),(3055,1005,0.001379,3.694),(3055,1015,0.00138,3.6942),(3055,1025,0.00138,3.6943),(3055,1035,0.001381,3.6945),(3055,1045,0.001382,3.6947),(3055,1055,0.001383,3.6949),(3055,1065,0.001385,3.695),(3055,1075,0.001387,3.6952),(3055,1085,0.001389,3.6954),(3055,1095,0.001391,3.6956),(3055,1105,0.001395,3.6958),(3055,1115,0.001398,3.696),(3055,1125,0.001401,3.6962),(3055,1135,0.001406,3.6964),(3055,1145,0.001412,3.6967),(3055,1155,0.001417,3.6969),(3055,1165,0.001423,3.6971),(3055,1175,0.00143,3.6973),(3055,1185,0.001439,3.6976),(3055,1195,0.001448,3.6978),(3055,1205,0.001456,3.6981),(3055,1215,0.001468,3.6983),(3055,1225,0.001481,3.6986),(3055,1235,0.001493,3.6988),(3055,1245,0.001506,3.6991),(3055,1255,0.001522,3.6994),(3055,1265,0.00154,3.6997),(3055,1275,0.001558,3.6999),(3055,1285,0.001575,3.7002),(3055,1295,0.001597,3.7005),(3055,1305,0.001621,3.7008),(3055,1315,0.001644,3.7011),(3055,1325,0.001667,3.7014),(3055,1335,0.001697,3.7018),(3055,1345,0.001727,3.7021),(3055,1355,0.001757,3.7024),(3055,1365,0.001787,3.7028),(3055,1375,0.001825,3.7031),(3055,1385,0.001863,3.7034),(3055,1395,0.001902,3.7038),(3055,1405,0.00194,3.7042),(3055,1415,0.001988,3.7045),(3055,1425,0.002036,3.7049),(3055,1435,0.002085,3.7053),(3055,1445,0.002133,3.7057),(3055,1455,0.002192,3.7061),(3055,1465,0.002251,3.7065),(3055,1475,0.002311,3.7069),(3055,1485,0.00237,3.7073),(3055,1495,0.002442,3.7078),(3055,1505,0.002514,3.7082),(3055,1515,0.002586,3.7086),(3055,1525,0.002659,3.7091),(3055,1535,0.002746,3.7096),(3055,1545,0.002833,3.71),(3055,1555,0.002919,3.7105),(3055,1565,0.003007,3.711),(3055,1575,0.003111,3.7115),(3055,1585,0.003214,3.712),(3055,1595,0.003318,3.7125),(3055,1605,0.003423,3.713),(3055,1615,0.003545,3.7135),(3055,1625,0.003667,3.7141),(3055,1635,0.003789,3.7146),(3055,1645,0.003915,3.7152),(3055,1655,0.004058,3.7157),(3055,1665,0.004202,3.7163),(3055,1675,0.004346,3.7169),(3055,1685,0.004494,3.7175),(3055,1695,0.004662,3.7181),(3055,1705,0.00483,3.7187),(3055,1715,0.004998,3.7193),(3055,1725,0.005172,3.72),(3055,1735,0.005367,3.7206),(3055,1745,0.005563,3.7212),(3055,1755,0.005758,3.7219),(3055,1765,0.005962,3.7226),(3055,1775,0.006189,3.7233),(3055,1785,0.006415,3.724),(3055,1795,0.006641,3.7247),(3055,1805,0.006879,3.7254),(3055,1815,0.00714,3.7261),(3055,1825,0.007402,3.7269),(3055,1835,0.007664,3.7276),(3055,1845,0.007939,3.7284),(3055,1855,0.008241,3.7292),(3055,1865,0.008542,3.73),(3055,1875,0.008844,3.7308),(3055,1885,0.009163,3.7316),(3055,1895,0.00951,3.7324),(3055,1905,0.009858,3.7333),(3055,1915,0.010205,3.7341),(3055,1925,0.010574,3.735),(3055,1935,0.010973,3.7359),(3055,1945,0.011371,3.7368),(3055,1955,0.01177,3.7377),(3055,1965,0.012196,3.7386),(3055,1975,0.012654,3.7396),(3055,1985,0.013111,3.7405),(3055,1995,0.013569,3.7415),(3055,2005,0.01406,3.7425),(3055,2015,0.014584,3.7435),(3055,2025,0.015109,3.7445),(3055,2035,0.015633,3.7455),(3055,2045,0.016199,3.7466),(3055,2055,0.016799,3.7476),(3055,2065,0.0174,3.7487),(3055,2075,0.018,3.7498),(3055,2085,0.018651,3.7509),(3055,2095,0.019338,3.752),(3055,2105,0.020026,3.7531),(3055,2115,0.020713,3.7543),(3055,2125,0.021461,3.7555),(3055,2135,0.022247,3.7566),(3055,2145,0.023033,3.7578),(3055,2155,0.023819,3.7591),(3055,2165,0.024679,3.7603),(3055,2175,0.025577,3.7615),(3055,2185,0.026475,3.7628),(3055,2195,0.027373,3.7641),(3055,2205,0.028359,3.7653),(3055,2215,0.029383,3.7666),(3055,2225,0.030408,3.768),(3055,2235,0.031433,3.7693),(3055,2245,0.032563,3.7706),(3055,2255,0.033731,3.772),(3055,2265,0.034899,3.7734),(3055,2275,0.036067,3.7748),(3055,2285,0.037361,3.7762),(3055,2295,0.038691,3.7776),(3055,2305,0.04002,3.779),(3055,2315,0.04135,3.7804),(3055,2325,0.042827,3.7819),(3055,2335,0.044338,3.7833),(3055,2345,0.045849,3.7848),(3055,2355,0.04736,3.7863),(3055,2365,0.049043,3.7877),(3055,2375,0.050755,3.7892),(3055,2385,0.052467,3.7907),(3055,2395,0.05418,3.7922),(3055,2405,0.056092,3.7937),(3055,2415,0.058027,3.7952),(3055,2425,0.059962,3.7967),(3055,2435,0.061897,3.7982),(3055,2445,0.064061,3.7997),(3055,2455,0.066241,3.8012),(3055,2465,0.068421,3.8027),(3055,2475,0.070601,3.8042),(3055,2485,0.073041,3.8057),(3055,2495,0.075487,3.8072),(3055,2505,0.077933,3.8086),(3055,2515,0.080384,3.81),(3055,2525,0.083117,3.8115),(3055,2535,0.085849,3.8129),(3055,2545,0.088582,3.8143),(3055,2555,0.091331,3.8156),(3055,2565,0.094368,3.817),(3055,2575,0.097405,3.8184),(3055,2585,0.10044,3.8196),(3055,2595,0.10351,3.8208),(3055,2605,0.10686,3.8221),(3055,2615,0.11022,3.8233),(3055,2625,0.11357,3.8244),(3055,2635,0.11697,3.8255),(3055,2645,0.12066,3.8266),(3055,2655,0.12434,3.8276),(3055,2665,0.12802,3.8285),(3055,2675,0.13176,3.8294),(3055,2685,0.13578,3.8303),(3055,2695,0.1398,3.8311),(3055,2705,0.14381,3.8318),(3055,2715,0.1479,3.8324),(3055,2725,0.15224,3.833),(3055,2735,0.15659,3.8336),(3055,2745,0.16093,3.8339),(3055,2755,0.16536,3.8342),(3055,2765,0.17002,3.8345),(3055,2775,0.17468,3.8347),(3055,2785,0.17935,3.8347),(3055,2795,0.1841,3.8346),(3055,2805,0.18906,3.8346),(3055,2815,0.19403,3.8344),(3055,2825,0.19899,3.8339),(3055,2835,0.20404,3.8335),(3055,2845,0.20928,3.833),(3055,2855,0.21452,3.8324),(3055,2865,0.21975,3.8314),(3055,2875,0.22508,3.8305),(3055,2885,0.23055,3.8295),(3055,2895,0.23603,3.8284),(3055,2905,0.2415,3.8269),(3055,2915,0.24706,3.8255),(3055,2925,0.25273,3.824),(3055,2935,0.2584,3.8223),(3055,2945,0.26407,3.8203),(3055,2955,0.2698,3.8182),(3055,2965,0.27562,3.8162),(3055,2975,0.28143,3.8139),(3055,2985,0.28725,3.8113),(3055,2995,0.29311,3.8086),(3055,3005,0.29901,3.806),(3055,3015,0.30492,3.803),(3055,3025,0.31082,3.7998),(3055,3035,0.31674,3.7965),(3055,3045,0.32267,3.7932),(3055,3055,0.3286,3.7896),(3055,3065,0.33453,3.7856),(3055,3075,0.34044,3.7817),(3055,3085,0.34633,3.7778),(3055,3095,0.35222,3.7734),(3055,3105,0.35811,3.7688),(3055,3115,0.36393,3.7642),(3055,3125,0.36971,3.7596),(3055,3135,0.37549,3.7545),(3055,3145,0.38127,3.7492),(3055,3155,0.38692,3.7439),(3055,3165,0.39251,3.7386),(3055,3175,0.3981,3.7328),(3055,3185,0.40368,3.7268),(3055,3195,0.40909,3.7208),(3055,3205,0.41441,3.7148),(3055,3215,0.41972,3.7083),(3055,3225,0.42504,3.7016),(3055,3235,0.43011,3.6949),(3055,3245,0.43507,3.6883),(3055,3255,0.44004,3.6811),(3055,3265,0.44501,3.6737),(3055,3275,0.44964,3.6664),(3055,3285,0.45417,3.6591),(3055,3295,0.4587,3.6512),(3055,3305,0.46323,3.6432),(3055,3315,0.46734,3.6353),(3055,3325,0.47135,3.6273),(3055,3335,0.47535,3.6189),(3055,3345,0.47936,3.6103),(3055,3355,0.48286,3.6018),(3055,3365,0.48626,3.5932),(3055,3375,0.48966,3.5842),(3055,3385,0.49306,3.5752),(3055,3395,0.49585,3.5661),(3055,3405,0.49856,3.5571),(3055,3415,0.50128,3.5476),(3055,3425,0.50399,3.5381),(3055,3435,0.506,3.5286),(3055,3445,0.50794,3.5191),(3055,3455,0.50989,3.5093),(3055,3465,0.51184,3.4995),(3055,3475,0.51299,3.4897),(3055,3485,0.51411,3.4798),(3055,3495,0.51522,3.4698),(3055,3505,0.51634,3.4597),(3055,3515,0.51657,3.4497),(3055,3525,0.5168,3.4396),(3055,3535,0.51703,3.4295),(3055,3545,0.51722,3.4193),(3055,3555,0.51653,3.4092),(3055,3565,0.51584,3.399),(3055,3575,0.51515,3.389),(3055,3585,0.51438,3.3789),(3055,3595,0.51276,3.3688),(3055,3605,0.51113,3.3587),(3055,3615,0.5095,3.3489),(3055,3625,0.50776,3.339),(3055,3635,0.50521,3.3291),(3055,3645,0.50266,3.3193),(3055,3655,0.50011,3.3099),(3055,3665,0.49742,3.3004),(3055,3675,0.494,3.2909),(3055,3685,0.49057,3.2816),(3055,3695,0.48715,3.2727),(3055,3705,0.48357,3.2638),(3055,3715,0.47937,3.2549),(3055,3725,0.47517,3.2461),(3055,3735,0.47097,3.238),(3055,3745,0.46662,3.2298),(3055,3755,0.46179,3.2217),(3055,3765,0.45696,3.2138),(3055,3775,0.45212,3.2065),(3055,3785,0.44717,3.1993),(3055,3795,0.44192,3.192),(3055,3805,0.43666,3.185),(3055,3815,0.4314,3.1788),(3055,3825,0.42609,3.1725),(3055,3835,0.42067,3.1663),(3055,3845,0.41525,3.1604),(3055,3855,0.40983,3.1551),(3055,3865,0.40445,3.1499),(3055,3875,0.39917,3.1447),(3055,3885,0.39388,3.1398),(3055,3895,0.38859,3.1355),(3055,3905,0.43258,3.1312),(3055,3915,0.55019,3.1269),(3055,3925,0.6678,3.1211),(3055,3935,0.78541,3.1133),(3055,3945,0.90558,3.1054),(3055,3955,1.029,3.0976),(3055,3965,1.1524,3.088),(3055,3975,1.2758,3.0763),(3055,3985,1.3435,3.0646),(3055,3995,1.3508,3.053),(3055,4005,1.3581,3.0411),(3055,4015,1.3654,3.029),(3055,4025,1.3769,3.0169),(3055,4035,1.3889,3.0043),(3055,4045,1.4009,2.9906),(3055,4055,1.4162,2.9769),(3055,4065,1.4326,2.9628),(3055,4075,1.4491,2.9466),(3055,4085,1.4673,2.9304),(3055,4095,1.4871,2.9142),(3055,4105,1.5068,2.8956),(3055,4115,1.4764,2.877),(3055,4125,1.3626,2.8584),(3055,4135,1.2488,2.8411),(3055,4145,1.1299,2.8243),(3055,4155,0.99022,2.8074),(3055,4165,0.85055,2.7929),(3055,4175,0.7192,2.78),(3055,4185,0.99973,2.767),(3055,4195,1.2802,2.7498),(3055,4205,1.5608,2.727),(3055,4215,1.6065,2.7041),(3055,4225,1.608,2.6809),(3055,4235,1.6096,2.6565),(3055,4245,1.5722,2.6321),(3055,4255,1.5151,2.6076),(3055,4265,1.458,2.5824),(3055,4275,1.2765,2.5572),(3055,4285,0.96298,2.5319),(3055,4295,0.64943,2.522),(3055,4305,0.54111,2.5139),(3055,4315,0.89621,2.5058),(3055,4325,1.2513,2.4894),(3055,4335,1.5679,2.4699),(3055,4345,1.6237,2.4503),(3055,4355,1.6794,2.4302),(3055,4365,1.7352,2.4095),(3055,4375,1.7451,2.3888),(3055,4385,1.7527,2.3684),(3055,4395,1.7602,2.3487),(3055,4405,1.5559,2.3289),(3055,4415,1.2891,2.3109),(3055,4425,1.0223,2.3006),(3055,4435,0.91156,2.2903),(3055,4445,0.90755,2.28),(3055,4455,0.90353,2.2695),(3055,4465,1.0186,2.259),(3055,4475,1.3009,2.2485),(3055,4485,1.5832,2.231),(3055,4495,1.8,2.2119),(3055,4505,1.8065,2.1929),(3055,4515,1.813,2.1743),(3055,4525,1.8158,2.156),(3055,4535,1.7594,2.1377),(3055,4545,1.703,2.1202),(3055,4555,1.6466,2.1038),(3055,4565,1.2705,2.0874),(3055,4575,0.85129,2.0747),(3055,4585,0.43208,2.0711),(3055,4595,0.57521,2.0675),(3055,4605,0.95593,2.0622),(3055,4615,1.3367,2.043),(3055,4625,1.5614,2.0239),(3055,4635,1.6449,2.0047),(3055,4645,1.7284,1.987),(3055,4655,1.7893,1.9694),(3055,4665,1.8074,1.9518),(3055,4675,1.8255,1.9351),(3055,4685,1.7784,1.9187),(3055,4695,1.4092,1.9023),(3055,4705,1.0399,1.8919),(3055,4715,0.6706,1.8858),(3055,4725,0.85298,1.8798),(3055,4735,1.0409,1.8719),(3055,4745,1.2288,1.8613),(3055,4755,1.42,1.8507),(3055,4765,1.612,1.8392),(3055,4775,1.8039,1.8243),(3055,4785,1.8769,1.8095),(3055,4795,1.881,1.7947),(3055,4805,1.8852,1.78),(3055,4815,1.7984,1.7653),(3055,4825,1.6029,1.7506),(3055,4835,1.4075,1.7404),(3055,4845,1.2103,1.7308),(3055,4855,1.0089,1.7212),(3055,4865,0.80754,1.715),(3055,4875,0.66646,1.7103),(3055,4885,1.0743,1.7057),(3055,4895,1.4821,1.6965),(3055,4905,1.8899,1.6831),(3055,4915,1.9195,1.6696),(3055,4925,1.9166,1.656),(3055,4935,1.9137,1.6422),(3055,4945,1.8653,1.6283),(3055,4955,1.8012,1.6141),(3055,4965,1.737,1.5979),(3055,4975,1.4353,1.5817),(3055,4985,0.95032,1.5655),(3055,4995,0.46531,1.5639),(3055,5005,0.32967,1.5627),(3055,5015,0.74947,1.5615),(3055,5025,1.1693,1.5533),(3055,5035,1.5309,1.5433),(3055,5045,1.671,1.5334),(3055,5055,1.811,1.5216),(3055,5065,1.9471,1.5088),(3055,5075,1.9502,1.496),(3055,5085,1.9533,1.4833),(3055,5095,1.9564,1.4706),(3055,5105,1.7125,1.4579),(3055,5115,1.4255,1.4467),(3055,5125,1.1386,1.44),(3055,5135,0.99701,1.4332),(3055,5145,0.92604,1.4266),(3055,5155,0.85508,1.4217),(3055,5165,1.006,1.4167),(3055,5175,1.3832,1.4117),(3055,5185,1.7604,1.4004),(3055,5195,2.019,1.3883),(3055,5205,2.0218,1.3762),(3055,5215,2.0246,1.3643),(3055,5225,2.0167,1.3523),(3055,5235,1.9425,1.3404),(3055,5245,1.8683,1.3292),(3055,5255,1.794,1.3187),(3055,5265,1.2667,1.3083),(3055,5275,0.72063,1.3016),(3055,5285,0.17458,1.3012),(3055,5295,0.51526,1.3008),(3055,5305,1.1029,1.2977),(3055,5315,1.6905,1.2831),(3055,5325,1.9522,1.2684),(3055,5335,2.0003,1.2538),(3055,5345,2.0483,1.2417),(3055,5355,2.0779,1.2295),(3055,5365,2.0827,1.2174),(3055,5375,2.0876,1.2056),(3055,5385,1.9721,1.1938),(3055,5395,1.4913,1.182),(3055,5405,1.0104,1.1759),(3055,5415,0.58278,1.1728),(3055,5425,0.87137,1.1696),(3055,5435,1.16,1.1645),(3055,5445,1.4485,1.1571),(3055,5455,1.7223,1.1498),(3055,5465,1.9943,1.1412),(3055,5475,2.2663,1.1297),(3055,5485,2.3459,1.1183),(3055,5495,2.348,1.1069),(3055,5505,2.35,1.0958),(3055,5515,2.3521,1.0847),(3055,5525,2.3541,1.0736),(3055,5535,2.3562,1.0628),(3055,5545,2.3581,1.052),(3055,5555,2.3599,1.0413),(3055,5565,2.3618,1.0307),(3055,5575,2.3635,1.0203),(3055,5585,2.3651,1.0098),(3055,5595,2.3667,0.99954),(3055,5605,2.3683,0.9894),(3055,5615,2.3697,0.97925),(3055,5625,2.3711,0.96922),(3055,5635,2.3725,0.95936),(3055,5645,2.3738,0.94949),(3055,5655,2.375,0.93969),(3055,5665,2.3762,0.9301),(3055,5675,2.3773,0.92051),(3055,5685,2.3784,0.91094),(3055,5695,2.3794,0.90159),(3055,5705,2.3804,0.89224),(3055,5715,2.3813,0.88289),(3055,5725,2.3821,0.87374),(3055,5735,2.383,0.86462),(3055,5745,2.3837,0.8555),(3055,5755,2.3845,0.84653),(3055,5765,2.3852,0.83763),(3055,5775,2.3858,0.82872),(3055,5785,2.3864,0.81993),(3055,5795,2.387,0.81124),(3055,5805,2.3874,0.80255),(3055,5815,2.3879,0.79394),(3055,5825,2.3883,0.78545),(3055,5835,2.3887,0.77696),(3055,5845,2.389,0.76851),(3055,5855,2.3894,0.76021),(3055,5865,2.3896,0.75191),(3055,5875,2.3899,0.74361),(3055,5885,2.3901,0.73549),(3055,5895,2.3903,0.72736),(3055,5905,2.3904,0.71924),(3055,5915,2.3905,0.71126),(3055,5925,2.3906,0.70331),(3055,5935,2.3906,0.69537),(3055,5945,2.3906,0.68753),(3055,5955,2.3906,0.67975),(3055,5965,2.3905,0.67197),(3055,5975,2.3904,0.66426),(3055,5985,2.3904,0.65663),(3055,5995,1.8279,0.649),(3055,6005,1.1749,0.64318),(3055,6015,0.5219,0.64216),(3055,6025,0.65136,0.64115),(3055,6035,1.1437,0.63939),(3055,6045,1.6361,0.63045),(3055,6055,1.9789,0.62152),(3055,6065,2.1751,0.61258),(3055,6075,2.3714,0.60104),(3055,6085,2.5043,0.58926),(3055,6095,2.5066,0.57748),(3055,6105,2.509,0.56573),(3055,6115,2.5114,0.55399),(3055,6125,2.5136,0.54225),(3055,6135,2.5159,0.53061),(3055,6145,2.5181,0.51904),(3055,6155,2.5202,0.50748),(3055,6165,2.5223,0.49598),(3055,6175,2.5243,0.48458),(3055,6185,2.5263,0.47317),(3055,6195,2.5282,0.46179),(3055,6205,2.5301,0.45044),(3055,6215,2.5319,0.43909),(3055,6225,2.5337,0.42774),(3055,6235,2.5354,0.41647),(3055,6245,2.5371,0.40519),(3055,6255,2.5387,0.39391),(3055,6265,2.5403,0.38272),(3055,6275,2.5418,0.37154),(3055,6285,2.5433,0.36035),(3055,6295,2.5447,0.3492),(3055,6305,2.5462,0.33807),(3055,6315,2.5475,0.32693),(3055,6325,2.5487,0.31584),(3055,6335,2.55,0.3048),(3055,6345,2.5512,0.29376),(3055,6355,2.5524,0.28272),(3055,6365,2.5535,0.27172),(3055,6375,2.5546,0.26071),(3055,6385,2.5556,0.24972),(3055,6395,2.5566,0.23876),(3055,6405,2.5576,0.2278),(3055,6415,2.5584,0.21685),(3055,6425,2.5593,0.20596),(3055,6435,2.5601,0.19508),(3055,6445,2.5609,0.1842),(3055,6455,2.5616,0.17334),(3055,6465,2.5623,0.1625),(3055,6475,2.5629,0.15165),(3055,6485,2.5635,0.1408),(3055,6495,2.5641,0.12995),(3055,6505,2.5646,0.1191),(3055,6515,2.5651,0.10827),(3055,6525,2.5655,0.097466),(3055,6535,2.5659,0.086661),(3055,6545,2.5662,0.075856),(3055,6555,2.5666,0.06505),(3055,6565,2.5668,0.054244),(3055,6575,2.567,0.043441),(3055,6585,2.5672,0.032677),(3055,6595,2.1836,0.021912),(3055,6605,1.3763,0.011148),(3055,6615,0.56896,0.009882),(3055,6625,0.00143,0.009836),(3055,6635,0.001427,0.00979),(3055,6645,0.001425,0.00977),(3055,6655,0.001422,0.00976),(3055,6665,0.00142,0.00975),(3055,6675,0.001418,0.00974),(3055,6685,0.001415,0.00973),(3055,6695,0.001413,0.00972),(3055,6705,0.001411,0.009711),(3055,6715,0.001409,0.009701),(3055,6725,0.001407,0.009691),(3055,6735,0.001405,0.009682),(3055,6745,0.001403,0.009672),(3055,6755,0.001401,0.009662),(3055,6765,0.0014,0.009653),(3055,6775,0.001398,0.009643),(3055,6785,0.001396,0.009634),(3055,6795,0.001395,0.009624),(3055,6805,0.001393,0.009615),(3055,6815,0.001391,0.009605),(3055,6825,0.00139,0.009596),(3055,6835,0.001389,0.009587),(3055,6845,0.001387,0.009577),(3055,6855,0.001386,0.009568),(3055,6865,0.001384,0.009559),(3055,6875,0.001383,0.009549),(3055,6885,0.001382,0.00954),(3055,6895,0.001381,0.009531),(3055,6905,0.00138,0.009522),(3055,6915,0.001378,0.009512),(3055,6925,0.001377,0.009503),(3055,6935,0.001376,0.009494),(3055,6945,0.001375,0.009485),(3055,6955,0.001374,0.009475),(3055,6965,0.001373,0.009466),(3055,6975,0.001372,0.009457),(3055,6985,0.001371,0.009448),(3065,5,1.2e-05,3.6884),(3065,15,3.7e-05,3.6884),(3065,25,6.2e-05,3.6884),(3065,35,8.6e-05,3.6884),(3065,45,0.000111,3.6884),(3065,55,0.000136,3.6884),(3065,65,0.00016,3.6884),(3065,75,0.000185,3.6884),(3065,85,0.000209,3.6884),(3065,95,0.000233,3.6884),(3065,105,0.000258,3.6884),(3065,115,0.000282,3.6884),(3065,125,0.000306,3.6884),(3065,135,0.00033,3.6884),(3065,145,0.000353,3.6885),(3065,155,0.000377,3.6885),(3065,165,0.000401,3.6885),(3065,175,0.000424,3.6885),(3065,185,0.000447,3.6885),(3065,195,0.00047,3.6885),(3065,205,0.000493,3.6885),(3065,215,0.000516,3.6885),(3065,225,0.000538,3.6886),(3065,235,0.00056,3.6886),(3065,245,0.000582,3.6886),(3065,255,0.000604,3.6886),(3065,265,0.000625,3.6886),(3065,275,0.000646,3.6886),(3065,285,0.000667,3.6887),(3065,295,0.000688,3.6887),(3065,305,0.000708,3.6887),(3065,315,0.000728,3.6887),(3065,325,0.000748,3.6887),(3065,335,0.000768,3.6888),(3065,345,0.000787,3.6888),(3065,355,0.000806,3.6888),(3065,365,0.000825,3.6889),(3065,375,0.000843,3.6889),(3065,385,0.000861,3.6889),(3065,395,0.000878,3.6889),(3065,405,0.000896,3.689),(3065,415,0.000913,3.689),(3065,425,0.000929,3.689),(3065,435,0.000945,3.6891),(3065,445,0.000961,3.6891),(3065,455,0.000977,3.6891),(3065,465,0.000992,3.6892),(3065,475,0.001006,3.6892),(3065,485,0.001021,3.6893),(3065,495,0.001035,3.6893),(3065,505,0.001048,3.6893),(3065,515,0.001061,3.6894),(3065,525,0.001074,3.6894),(3065,535,0.001087,3.6895),(3065,545,0.001098,3.6895),(3065,555,0.001109,3.6896),(3065,565,0.00112,3.6896),(3065,575,0.001131,3.6897),(3065,585,0.00114,3.6897),(3065,595,0.00115,3.6898),(3065,605,0.001159,3.6899),(3065,615,0.001169,3.6899),(3065,625,0.001176,3.69),(3065,635,0.001184,3.69),(3065,645,0.001191,3.6901),(3065,655,0.001199,3.6902),(3065,665,0.001205,3.6902),(3065,675,0.001211,3.6903),(3065,685,0.001216,3.6904),(3065,695,0.001222,3.6905),(3065,705,0.001226,3.6905),(3065,715,0.001231,3.6906),(3065,725,0.001235,3.6907),(3065,735,0.001239,3.6908),(3065,745,0.001241,3.6909),(3065,755,0.001243,3.6909),(3065,765,0.001246,3.691),(3065,775,0.001248,3.6911),(3065,785,0.001249,3.6912),(3065,795,0.001249,3.6913),(3065,805,0.00125,3.6914),(3065,815,0.001251,3.6915),(3065,825,0.00125,3.6916),(3065,835,0.00125,3.6917),(3065,845,0.00125,3.6918),(3065,855,0.001249,3.6919),(3065,865,0.001247,3.6921),(3065,875,0.001246,3.6922),(3065,885,0.001244,3.6923),(3065,895,0.001243,3.6924),(3065,905,0.00124,3.6925),(3065,915,0.001238,3.6927),(3065,925,0.001235,3.6928),(3065,935,0.001233,3.693),(3065,945,0.001229,3.6931),(3065,955,0.001226,3.6932),(3065,965,0.001223,3.6934),(3065,975,0.00122,3.6935),(3065,985,0.001216,3.6937),(3065,995,0.001213,3.6938),(3065,1005,0.001209,3.694),(3065,1015,0.001206,3.6942),(3065,1025,0.001203,3.6943),(3065,1035,0.0012,3.6945),(3065,1045,0.001197,3.6947),(3065,1055,0.001194,3.6949),(3065,1065,0.001192,3.695),(3065,1075,0.00119,3.6952),(3065,1085,0.001188,3.6954),(3065,1095,0.001186,3.6956),(3065,1105,0.001185,3.6958),(3065,1115,0.001184,3.696),(3065,1125,0.001183,3.6962),(3065,1135,0.001183,3.6964),(3065,1145,0.001184,3.6967),(3065,1155,0.001185,3.6969),(3065,1165,0.001186,3.6971),(3065,1175,0.001188,3.6973),(3065,1185,0.001192,3.6976),(3065,1195,0.001196,3.6978),(3065,1205,0.001199,3.6981),(3065,1215,0.001205,3.6983),(3065,1225,0.001213,3.6986),(3065,1235,0.00122,3.6988),(3065,1245,0.001228,3.6991),(3065,1255,0.001239,3.6994),(3065,1265,0.001251,3.6997),(3065,1275,0.001263,3.7),(3065,1285,0.001275,3.7002),(3065,1295,0.001291,3.7005),(3065,1305,0.001308,3.7008),(3065,1315,0.001326,3.7012),(3065,1325,0.001343,3.7015),(3065,1335,0.001366,3.7018),(3065,1345,0.00139,3.7021),(3065,1355,0.001414,3.7024),(3065,1365,0.001438,3.7028),(3065,1375,0.001469,3.7031),(3065,1385,0.001501,3.7035),(3065,1395,0.001532,3.7038),(3065,1405,0.001564,3.7042),(3065,1415,0.001605,3.7046),(3065,1425,0.001646,3.705),(3065,1435,0.001687,3.7054),(3065,1445,0.001728,3.7058),(3065,1455,0.00178,3.7061),(3065,1465,0.001831,3.7065),(3065,1475,0.001883,3.707),(3065,1485,0.001935,3.7074),(3065,1495,0.001999,3.7078),(3065,1505,0.002063,3.7083),(3065,1515,0.002128,3.7087),(3065,1525,0.002192,3.7092),(3065,1535,0.00227,3.7096),(3065,1545,0.002349,3.7101),(3065,1555,0.002427,3.7106),(3065,1565,0.002506,3.7111),(3065,1575,0.002601,3.7116),(3065,1585,0.002695,3.7121),(3065,1595,0.002789,3.7126),(3065,1605,0.002886,3.7131),(3065,1615,0.002998,3.7136),(3065,1625,0.003111,3.7142),(3065,1635,0.003223,3.7147),(3065,1645,0.003339,3.7153),(3065,1655,0.003472,3.7159),(3065,1665,0.003606,3.7164),(3065,1675,0.003739,3.717),(3065,1685,0.003877,3.7176),(3065,1695,0.004034,3.7182),(3065,1705,0.004191,3.7188),(3065,1715,0.004348,3.7195),(3065,1725,0.004511,3.7201),(3065,1735,0.004696,3.7208),(3065,1745,0.00488,3.7214),(3065,1755,0.005064,3.7221),(3065,1765,0.005255,3.7228),(3065,1775,0.00547,3.7235),(3065,1785,0.005684,3.7242),(3065,1795,0.005898,3.7249),(3065,1805,0.006123,3.7256),(3065,1815,0.006372,3.7264),(3065,1825,0.00662,3.7271),(3065,1835,0.006869,3.7279),(3065,1845,0.007131,3.7287),(3065,1855,0.007419,3.7295),(3065,1865,0.007707,3.7303),(3065,1875,0.007995,3.7311),(3065,1885,0.0083,3.7319),(3065,1895,0.008633,3.7328),(3065,1905,0.008965,3.7336),(3065,1915,0.009298,3.7345),(3065,1925,0.009652,3.7354),(3065,1935,0.010035,3.7363),(3065,1945,0.010419,3.7372),(3065,1955,0.010802,3.7381),(3065,1965,0.011212,3.7391),(3065,1975,0.011654,3.74),(3065,1985,0.012095,3.741),(3065,1995,0.012537,3.742),(3065,2005,0.013011,3.743),(3065,2015,0.013519,3.744),(3065,2025,0.014026,3.745),(3065,2035,0.014534,3.7461),(3065,2045,0.015082,3.7471),(3065,2055,0.015665,3.7482),(3065,2065,0.016248,3.7493),(3065,2075,0.016831,3.7504),(3065,2085,0.017464,3.7515),(3065,2095,0.018133,3.7527),(3065,2105,0.018802,3.7538),(3065,2115,0.019471,3.755),(3065,2125,0.020201,3.7562),(3065,2135,0.020969,3.7574),(3065,2145,0.021736,3.7586),(3065,2155,0.022504,3.7599),(3065,2165,0.023345,3.7611),(3065,2175,0.024224,3.7624),(3065,2185,0.025104,3.7637),(3065,2195,0.025983,3.765),(3065,2205,0.026951,3.7663),(3065,2215,0.027957,3.7676),(3065,2225,0.028963,3.769),(3065,2235,0.02997,3.7704),(3065,2245,0.031082,3.7717),(3065,2255,0.032233,3.7731),(3065,2265,0.033383,3.7746),(3065,2275,0.034533,3.776),(3065,2285,0.03581,3.7774),(3065,2295,0.037123,3.7789),(3065,2305,0.038436,3.7803),(3065,2315,0.03975,3.7818),(3065,2325,0.041212,3.7833),(3065,2335,0.042708,3.7848),(3065,2345,0.044204,3.7863),(3065,2355,0.045701,3.7878),(3065,2365,0.047372,3.7894),(3065,2375,0.049072,3.7909),(3065,2385,0.050772,3.7925),(3065,2395,0.052473,3.794),(3065,2405,0.054376,3.7956),(3065,2415,0.056303,3.7971),(3065,2425,0.05823,3.7987),(3065,2435,0.060157,3.8003),(3065,2445,0.062318,3.8018),(3065,2455,0.064494,3.8034),(3065,2465,0.066671,3.8049),(3065,2475,0.068848,3.8065),(3065,2485,0.071289,3.808),(3065,2495,0.073738,3.8096),(3065,2505,0.076187,3.8111),(3065,2515,0.07864,3.8126),(3065,2525,0.081382,3.8141),(3065,2535,0.084124,3.8157),(3065,2545,0.086866,3.8171),(3065,2555,0.089626,3.8185),(3065,2565,0.09268,3.82),(3065,2575,0.095735,3.8214),(3065,2585,0.09879,3.8227),(3065,2595,0.10188,3.8241),(3065,2605,0.10526,3.8254),(3065,2615,0.10864,3.8267),(3065,2625,0.11202,3.8279),(3065,2635,0.11545,3.8291),(3065,2645,0.11917,3.8302),(3065,2655,0.1229,3.8314),(3065,2665,0.12662,3.8323),(3065,2675,0.1304,3.8333),(3065,2685,0.13447,3.8343),(3065,2695,0.13853,3.8352),(3065,2705,0.1426,3.8359),(3065,2715,0.14674,3.8366),(3065,2725,0.15114,3.8373),(3065,2735,0.15555,3.838),(3065,2745,0.15996,3.8384),(3065,2755,0.16445,3.8388),(3065,2765,0.16919,3.8392),(3065,2775,0.17393,3.8395),(3065,2785,0.17866,3.8395),(3065,2795,0.18349,3.8395),(3065,2805,0.18854,3.8396),(3065,2815,0.1936,3.8395),(3065,2825,0.19865,3.8391),(3065,2835,0.20379,3.8387),(3065,2845,0.20913,3.8383),(3065,2855,0.21446,3.8377),(3065,2865,0.2198,3.8368),(3065,2875,0.22523,3.8359),(3065,2885,0.23082,3.8351),(3065,2895,0.2364,3.834),(3065,2905,0.24199,3.8326),(3065,2915,0.24766,3.8312),(3065,2925,0.25345,3.8297),(3065,2935,0.25924,3.8281),(3065,2945,0.26504,3.8261),(3065,2955,0.2709,3.8241),(3065,2965,0.27684,3.8221),(3065,2975,0.28279,3.8198),(3065,2985,0.28874,3.8172),(3065,2995,0.29473,3.8146),(3065,3005,0.30078,3.812),(3065,3015,0.30682,3.8091),(3065,3025,0.31286,3.8058),(3065,3035,0.31892,3.8025),(3065,3045,0.325,3.7993),(3065,3055,0.33108,3.7956),(3065,3065,0.33716,3.7917),(3065,3075,0.34321,3.7877),(3065,3085,0.34925,3.7838),(3065,3095,0.35529,3.7794),(3065,3105,0.36134,3.7748),(3065,3115,0.36731,3.7701),(3065,3125,0.37324,3.7655),(3065,3135,0.37917,3.7604),(3065,3145,0.3851,3.755),(3065,3155,0.39091,3.7497),(3065,3165,0.39665,3.7443),(3065,3175,0.40239,3.7385),(3065,3185,0.40814,3.7324),(3065,3195,0.41369,3.7263),(3065,3205,0.41916,3.7203),(3065,3215,0.42463,3.7137),(3065,3225,0.4301,3.7069),(3065,3235,0.43532,3.7001),(3065,3245,0.44043,3.6934),(3065,3255,0.44555,3.6861),(3065,3265,0.45066,3.6786),(3065,3275,0.45543,3.6712),(3065,3285,0.46011,3.6637),(3065,3295,0.46478,3.6558),(3065,3305,0.46945,3.6477),(3065,3315,0.47369,3.6395),(3065,3325,0.47783,3.6314),(3065,3335,0.48197,3.6228),(3065,3345,0.48611,3.6141),(3065,3355,0.48972,3.6054),(3065,3365,0.49324,3.5967),(3065,3375,0.49676,3.5876),(3065,3385,0.50027,3.5783),(3065,3395,0.50317,3.5691),(3065,3405,0.50598,3.5599),(3065,3415,0.50879,3.5502),(3065,3425,0.5116,3.5405),(3065,3435,0.51369,3.5308),(3065,3445,0.51572,3.5211),(3065,3455,0.51774,3.5111),(3065,3465,0.51977,3.5011),(3065,3475,0.52097,3.491),(3065,3485,0.52214,3.481),(3065,3495,0.52331,3.4707),(3065,3505,0.52447,3.4604),(3065,3515,0.52473,3.4501),(3065,3525,0.52498,3.4399),(3065,3535,0.52523,3.4295),(3065,3545,0.52545,3.4191),(3065,3555,0.52474,3.4087),(3065,3565,0.52404,3.3983),(3065,3575,0.52334,3.388),(3065,3585,0.52255,3.3777),(3065,3595,0.52088,3.3673),(3065,3605,0.5192,3.357),(3065,3615,0.51752,3.3469),(3065,3625,0.51572,3.3368),(3065,3635,0.51308,3.3267),(3065,3645,0.51044,3.3167),(3065,3655,0.5078,3.307),(3065,3665,0.50501,3.2973),(3065,3675,0.50146,3.2876),(3065,3685,0.49791,3.278),(3065,3695,0.49435,3.2689),(3065,3705,0.49063,3.2598),(3065,3715,0.48626,3.2507),(3065,3725,0.48189,3.2418),(3065,3735,0.47751,3.2334),(3065,3745,0.47298,3.2251),(3065,3755,0.46794,3.2168),(3065,3765,0.4629,3.2087),(3065,3775,0.45786,3.2014),(3065,3785,0.45269,3.194),(3065,3795,0.4472,3.1866),(3065,3805,0.44172,3.1796),(3065,3815,0.43623,3.1733),(3065,3825,0.43068,3.167),(3065,3835,0.42502,3.1607),(3065,3845,0.41936,3.1548),(3065,3855,0.4137,3.1496),(3065,3865,0.4081,3.1444),(3065,3875,0.4026,3.1392),(3065,3885,0.39709,3.1344),(3065,3895,0.39159,3.1302),(3065,3905,0.43564,3.1261),(3065,3915,0.55374,3.1219),(3065,3925,0.67183,3.1163),(3065,3935,0.78992,3.1089),(3065,3945,0.91059,3.1015),(3065,3955,1.0345,3.0941),(3065,3965,1.1585,3.0849),(3065,3975,1.2824,3.0737),(3065,3985,1.3504,3.0625),(3065,3995,1.3578,3.0513),(3065,4005,1.3651,3.0398),(3065,4015,1.3725,3.0279),(3065,4025,1.3845,3.0161),(3065,4035,1.397,3.0036),(3065,4045,1.4095,2.9898),(3065,4055,1.4254,2.976),(3065,4065,1.4425,2.9618),(3065,4075,1.4597,2.9452),(3065,4085,1.4786,2.9286),(3065,4095,1.4991,2.912),(3065,4105,1.5195,2.8929),(3065,4115,1.4894,2.8738),(3065,4125,1.3755,2.8546),(3065,4135,1.2615,2.8369),(3065,4145,1.1424,2.8197),(3065,4155,1.002,2.8024),(3065,4165,0.86161,2.7875),(3065,4175,0.7296,2.7741),(3065,4185,1.0122,2.7607),(3065,4195,1.2949,2.743),(3065,4205,1.5775,2.7196),(3065,4215,1.6239,2.6962),(3065,4225,1.626,2.6724),(3065,4235,1.628,2.6476),(3065,4245,1.5911,2.6228),(3065,4255,1.5345,2.5979),(3065,4265,1.4778,2.5723),(3065,4275,1.2945,2.5466),(3065,4285,0.97672,2.521),(3065,4295,0.65893,2.5109),(3065,4305,0.54838,2.5027),(3065,4315,0.90581,2.4945),(3065,4325,1.2632,2.478),(3065,4335,1.5818,2.4583),(3065,4345,1.6378,2.4385),(3065,4355,1.6937,2.4183),(3065,4365,1.7496,2.3975),(3065,4375,1.7593,2.3768),(3065,4385,1.7665,2.3564),(3065,4395,1.7737,2.3365),(3065,4405,1.5678,2.3167),(3065,4415,1.2989,2.2986),(3065,4425,1.0301,2.2883),(3065,4435,0.91862,2.278),(3065,4445,0.91468,2.2678),(3065,4455,0.91074,2.2574),(3065,4465,1.0265,2.2469),(3065,4475,1.3106,2.2365),(3065,4485,1.5946,2.219),(3065,4495,1.8126,2.1999),(3065,4505,1.8189,2.1809),(3065,4515,1.8251,2.1623),(3065,4525,1.8276,2.1441),(3065,4535,1.7708,2.1258),(3065,4545,1.714,2.1084),(3065,4555,1.6573,2.092),(3065,4565,1.2789,2.0757),(3065,4575,0.85709,2.063),(3065,4585,0.43532,2.0594),(3065,4595,0.58016,2.0558),(3065,4605,0.9644,2.0505),(3065,4615,1.3486,2.0312),(3065,4625,1.5747,2.012),(3065,4635,1.6574,1.9928),(3065,4645,1.7402,1.9751),(3065,4655,1.8004,1.9576),(3065,4665,1.8181,1.94),(3065,4675,1.8358,1.9234),(3065,4685,1.788,1.907),(3065,4695,1.4168,1.8907),(3065,4705,1.0455,1.8803),(3065,4715,0.67429,1.8743),(3065,4725,0.85742,1.8683),(3065,4735,1.0461,1.8605),(3065,4745,1.2348,1.8499),(3065,4755,1.4267,1.8393),(3065,4765,1.6193,1.8278),(3065,4775,1.8119,1.813),(3065,4785,1.8851,1.7982),(3065,4795,1.8891,1.7833),(3065,4805,1.8932,1.7687),(3065,4815,1.806,1.754),(3065,4825,1.6096,1.7393),(3065,4835,1.4133,1.729),(3065,4845,1.2153,1.7194),(3065,4855,1.013,1.7098),(3065,4865,0.81072,1.7036),(3065,4875,0.669,1.699),(3065,4885,1.0781,1.6944),(3065,4895,1.4873,1.6853),(3065,4905,1.8964,1.6719),(3065,4915,1.9263,1.6585),(3065,4925,1.9235,1.6449),(3065,4935,1.9207,1.6311),(3065,4945,1.8731,1.6173),(3065,4955,1.8099,1.6031),(3065,4965,1.7466,1.5869),(3065,4975,1.4437,1.5707),(3065,4985,0.95573,1.5545),(3065,4995,0.46775,1.553),(3065,5005,0.33079,1.5518),(3065,5015,0.75185,1.5506),(3065,5025,1.1729,1.5424),(3065,5035,1.5356,1.5324),(3065,5045,1.6761,1.5225),(3065,5055,1.8166,1.5108),(3065,5065,1.9529,1.498),(3065,5075,1.956,1.4852),(3065,5085,1.9591,1.4725),(3065,5095,1.9622,1.4598),(3065,5105,1.7176,1.4471),(3065,5115,1.4297,1.436),(3065,5125,1.1419,1.4293),(3065,5135,0.99985,1.4225),(3065,5145,0.92857,1.416),(3065,5155,0.8573,1.411),(3065,5165,1.0085,1.4061),(3065,5175,1.3866,1.4011),(3065,5185,1.7647,1.3898),(3065,5195,2.0239,1.3777),(3065,5205,2.0266,1.3657),(3065,5215,2.0294,1.3537),(3065,5225,2.0214,1.3418),(3065,5235,1.947,1.3299),(3065,5245,1.8726,1.3188),(3065,5255,1.7982,1.3083),(3065,5265,1.2696,1.2979),(3065,5275,0.72231,1.2911),(3065,5285,0.17501,1.2908),(3065,5295,0.51728,1.2905),(3065,5305,1.1073,1.2874),(3065,5315,1.6973,1.2728),(3065,5325,1.9594,1.2581),(3065,5335,2.0065,1.2436),(3065,5345,2.0536,1.2315),(3065,5355,2.0826,1.2194),(3065,5365,2.0873,1.2073),(3065,5375,2.092,1.1955),(3065,5385,1.9762,1.1838),(3065,5395,1.4943,1.1721),(3065,5405,1.0125,1.166),(3065,5415,0.58397,1.1629),(3065,5425,0.87287,1.1598),(3065,5435,1.1618,1.1546),(3065,5445,1.4507,1.1474),(3065,5455,1.7248,1.1401),(3065,5465,1.9972,1.1316),(3065,5475,2.2695,1.1203),(3065,5485,2.3491,1.1089),(3065,5495,2.351,1.0976),(3065,5505,2.353,1.0866),(3065,5515,2.3549,1.0756),(3065,5525,2.3569,1.0647),(3065,5535,2.3588,1.054),(3065,5545,2.3607,1.0433),(3065,5555,2.3624,1.0326),(3065,5565,2.3641,1.0222),(3065,5575,2.3658,1.0118),(3065,5585,2.3673,1.0015),(3065,5595,2.3688,0.99131),(3065,5605,2.3703,0.98126),(3065,5615,2.3716,0.97122),(3065,5625,2.3729,0.96128),(3065,5635,2.3742,0.95151),(3065,5645,2.3754,0.94174),(3065,5655,2.3765,0.93203),(3065,5665,2.3776,0.92253),(3065,5675,2.3786,0.91303),(3065,5685,2.3796,0.90355),(3065,5695,2.3806,0.89429),(3065,5705,2.3815,0.88503),(3065,5715,2.3823,0.87577),(3065,5725,2.3831,0.86671),(3065,5735,2.3838,0.85767),(3065,5745,2.3845,0.84864),(3065,5755,2.3852,0.83975),(3065,5765,2.3858,0.83093),(3065,5775,2.3864,0.82211),(3065,5785,2.3869,0.8134),(3065,5795,2.3874,0.80479),(3065,5805,2.3878,0.79618),(3065,5815,2.3882,0.78764),(3065,5825,2.3886,0.77923),(3065,5835,2.3889,0.77082),(3065,5845,2.3892,0.76244),(3065,5855,2.3895,0.75422),(3065,5865,2.3897,0.746),(3065,5875,2.3898,0.73778),(3065,5885,2.39,0.72972),(3065,5895,2.3901,0.72167),(3065,5905,2.3902,0.71362),(3065,5915,2.3902,0.70571),(3065,5925,2.3903,0.69784),(3065,5935,2.3902,0.68996),(3065,5945,2.3902,0.68219),(3065,5955,2.3901,0.67448),(3065,5965,2.39,0.66677),(3065,5975,2.3899,0.65913),(3065,5985,2.3898,0.65157),(3065,5995,1.8275,0.644),(3065,6005,1.1746,0.63823),(3065,6015,0.52178,0.63722),(3065,6025,0.65192,0.63622),(3065,6035,1.1452,0.63447),(3065,6045,1.6385,0.62561),(3065,6055,1.9819,0.61674),(3065,6065,2.1784,0.60788),(3065,6075,2.3749,0.59642),(3065,6085,2.508,0.58473),(3065,6095,2.5103,0.57304),(3065,6105,2.5127,0.56138),(3065,6115,2.515,0.54973),(3065,6125,2.5172,0.53808),(3065,6135,2.5194,0.52653),(3065,6145,2.5216,0.51505),(3065,6155,2.5237,0.50357),(3065,6165,2.5257,0.49216),(3065,6175,2.5277,0.48084),(3065,6185,2.5296,0.46953),(3065,6195,2.5315,0.45823),(3065,6205,2.5334,0.44697),(3065,6215,2.5352,0.4357),(3065,6225,2.5369,0.42444),(3065,6235,2.5386,0.41325),(3065,6245,2.5403,0.40206),(3065,6255,2.5418,0.39087),(3065,6265,2.5434,0.37976),(3065,6275,2.5449,0.36866),(3065,6285,2.5463,0.35756),(3065,6295,2.5478,0.34651),(3065,6305,2.5492,0.33547),(3065,6315,2.5504,0.32443),(3065,6325,2.5517,0.31343),(3065,6335,2.553,0.30247),(3065,6345,2.5541,0.29151),(3065,6355,2.5553,0.28057),(3065,6365,2.5564,0.26965),(3065,6375,2.5575,0.25873),(3065,6385,2.5585,0.24781),(3065,6395,2.5594,0.23694),(3065,6405,2.5604,0.22607),(3065,6415,2.5612,0.2152),(3065,6425,2.5621,0.20441),(3065,6435,2.5629,0.19361),(3065,6445,2.5636,0.18282),(3065,6455,2.5644,0.17205),(3065,6465,2.5651,0.16129),(3065,6475,2.5656,0.15053),(3065,6485,2.5662,0.13977),(3065,6495,2.5668,0.129),(3065,6505,2.5673,0.11824),(3065,6515,2.5677,0.10749),(3065,6525,2.5682,0.096776),(3065,6535,2.5685,0.086059),(3065,6545,2.5689,0.075339),(3065,6555,2.5692,0.064615),(3065,6565,2.5694,0.05389),(3065,6575,2.5696,0.043169),(3065,6585,2.5698,0.032497),(3065,6595,2.1858,0.021826),(3065,6605,1.3777,0.011154),(3065,6615,0.56955,0.009893),(3065,6625,0.001435,0.009841),(3065,6635,0.001432,0.009789),(3065,6645,0.00143,0.009767),(3065,6655,0.001427,0.009757),(3065,6665,0.001425,0.009747),(3065,6675,0.001423,0.009738),(3065,6685,0.001421,0.009728),(3065,6695,0.001419,0.009718),(3065,6705,0.001416,0.009709),(3065,6715,0.001414,0.009699),(3065,6725,0.001412,0.009689),(3065,6735,0.00141,0.00968),(3065,6745,0.001408,0.00967),(3065,6755,0.001406,0.009661),(3065,6765,0.001405,0.009651),(3065,6775,0.001403,0.009642),(3065,6785,0.001401,0.009632),(3065,6795,0.0014,0.009623),(3065,6805,0.001398,0.009613),(3065,6815,0.001396,0.009604),(3065,6825,0.001395,0.009595),(3065,6835,0.001393,0.009585),(3065,6845,0.001392,0.009576),(3065,6855,0.001391,0.009567),(3065,6865,0.001389,0.009557),(3065,6875,0.001388,0.009548),(3065,6885,0.001387,0.009539),(3065,6895,0.001386,0.00953),(3065,6905,0.001384,0.00952),(3065,6915,0.001383,0.009511),(3065,6925,0.001382,0.009502),(3065,6935,0.001381,0.009493),(3065,6945,0.00138,0.009484),(3065,6955,0.001379,0.009475),(3065,6965,0.001378,0.009465),(3065,6975,0.001377,0.009456),(3065,6985,0.001376,0.009447),(3075,5,1.2e-05,3.6884),(3075,15,3.6e-05,3.6884),(3075,25,6e-05,3.6884),(3075,35,8.4e-05,3.6884),(3075,45,0.000107,3.6884),(3075,55,0.000131,3.6884),(3075,65,0.000155,3.6884),(3075,75,0.000179,3.6884),(3075,85,0.000202,3.6884),(3075,95,0.000226,3.6884),(3075,105,0.000249,3.6884),(3075,115,0.000272,3.6885),(3075,125,0.000296,3.6885),(3075,135,0.000319,3.6885),(3075,145,0.000342,3.6885),(3075,155,0.000364,3.6885),(3075,165,0.000387,3.6885),(3075,175,0.00041,3.6885),(3075,185,0.000432,3.6885),(3075,195,0.000454,3.6885),(3075,205,0.000476,3.6885),(3075,215,0.000498,3.6886),(3075,225,0.000519,3.6886),(3075,235,0.00054,3.6886),(3075,245,0.000561,3.6886),(3075,255,0.000582,3.6886),(3075,265,0.000603,3.6886),(3075,275,0.000623,3.6887),(3075,285,0.000643,3.6887),(3075,295,0.000663,3.6887),(3075,305,0.000682,3.6887),(3075,315,0.000701,3.6887),(3075,325,0.00072,3.6888),(3075,335,0.000739,3.6888),(3075,345,0.000757,3.6888),(3075,355,0.000774,3.6888),(3075,365,0.000792,3.6889),(3075,375,0.000809,3.6889),(3075,385,0.000826,3.6889),(3075,395,0.000842,3.689),(3075,405,0.000859,3.689),(3075,415,0.000875,3.689),(3075,425,0.00089,3.6891),(3075,435,0.000904,3.6891),(3075,445,0.000919,3.6891),(3075,455,0.000934,3.6892),(3075,465,0.000947,3.6892),(3075,475,0.00096,3.6892),(3075,485,0.000973,3.6893),(3075,495,0.000986,3.6893),(3075,505,0.000998,3.6894),(3075,515,0.001009,3.6894),(3075,525,0.00102,3.6894),(3075,535,0.001032,3.6895),(3075,545,0.001041,3.6895),(3075,555,0.001051,3.6896),(3075,565,0.001061,3.6896),(3075,575,0.00107,3.6897),(3075,585,0.001078,3.6898),(3075,595,0.001086,3.6898),(3075,605,0.001093,3.6899),(3075,615,0.001101,3.6899),(3075,625,0.001107,3.69),(3075,635,0.001112,3.69),(3075,645,0.001118,3.6901),(3075,655,0.001124,3.6902),(3075,665,0.001128,3.6902),(3075,675,0.001132,3.6903),(3075,685,0.001136,3.6904),(3075,695,0.001139,3.6905),(3075,705,0.001141,3.6905),(3075,715,0.001143,3.6906),(3075,725,0.001146,3.6907),(3075,735,0.001147,3.6908),(3075,745,0.001147,3.6909),(3075,755,0.001148,3.6909),(3075,765,0.001148,3.691),(3075,775,0.001147,3.6911),(3075,785,0.001146,3.6912),(3075,795,0.001144,3.6913),(3075,805,0.001142,3.6914),(3075,815,0.00114,3.6915),(3075,825,0.001137,3.6916),(3075,835,0.001134,3.6917),(3075,845,0.001131,3.6918),(3075,855,0.001127,3.6919),(3075,865,0.001123,3.6921),(3075,875,0.001119,3.6922),(3075,885,0.001114,3.6923),(3075,895,0.00111,3.6924),(3075,905,0.001104,3.6925),(3075,915,0.001099,3.6927),(3075,925,0.001093,3.6928),(3075,935,0.001087,3.6929),(3075,945,0.001081,3.6931),(3075,955,0.001074,3.6932),(3075,965,0.001068,3.6934),(3075,975,0.001061,3.6935),(3075,985,0.001054,3.6937),(3075,995,0.001047,3.6938),(3075,1005,0.00104,3.694),(3075,1015,0.001033,3.6942),(3075,1025,0.001026,3.6943),(3075,1035,0.001019,3.6945),(3075,1045,0.001012,3.6947),(3075,1055,0.001006,3.6948),(3075,1065,0.000999,3.695),(3075,1075,0.000993,3.6952),(3075,1085,0.000986,3.6954),(3075,1095,0.000981,3.6956),(3075,1105,0.000975,3.6958),(3075,1115,0.00097,3.696),(3075,1125,0.000964,3.6962),(3075,1135,0.00096,3.6964),(3075,1145,0.000956,3.6967),(3075,1155,0.000952,3.6969),(3075,1165,0.000949,3.6971),(3075,1175,0.000946,3.6973),(3075,1185,0.000945,3.6976),(3075,1195,0.000944,3.6978),(3075,1205,0.000942,3.6981),(3075,1215,0.000943,3.6983),(3075,1225,0.000945,3.6986),(3075,1235,0.000947,3.6988),(3075,1245,0.00095,3.6991),(3075,1255,0.000955,3.6994),(3075,1265,0.000961,3.6997),(3075,1275,0.000968,3.7),(3075,1285,0.000974,3.7003),(3075,1295,0.000984,3.7006),(3075,1305,0.000996,3.7008),(3075,1315,0.001007,3.7012),(3075,1325,0.001019,3.7015),(3075,1335,0.001036,3.7018),(3075,1345,0.001053,3.7021),(3075,1355,0.001071,3.7025),(3075,1365,0.001089,3.7028),(3075,1375,0.001113,3.7032),(3075,1385,0.001138,3.7035),(3075,1395,0.001163,3.7039),(3075,1405,0.001188,3.7042),(3075,1415,0.001221,3.7046),(3075,1425,0.001255,3.705),(3075,1435,0.001289,3.7054),(3075,1445,0.001323,3.7058),(3075,1455,0.001367,3.7062),(3075,1465,0.001411,3.7066),(3075,1475,0.001456,3.707),(3075,1485,0.0015,3.7074),(3075,1495,0.001556,3.7079),(3075,1505,0.001612,3.7083),(3075,1515,0.001668,3.7088),(3075,1525,0.001725,3.7092),(3075,1535,0.001795,3.7097),(3075,1545,0.001864,3.7102),(3075,1555,0.001934,3.7107),(3075,1565,0.002005,3.7112),(3075,1575,0.00209,3.7116),(3075,1585,0.002176,3.7121),(3075,1595,0.002261,3.7127),(3075,1605,0.002348,3.7132),(3075,1615,0.002451,3.7137),(3075,1625,0.002554,3.7143),(3075,1635,0.002657,3.7148),(3075,1645,0.002763,3.7154),(3075,1655,0.002887,3.716),(3075,1665,0.00301,3.7166),(3075,1675,0.003133,3.7172),(3075,1685,0.00326,3.7178),(3075,1695,0.003406,3.7184),(3075,1705,0.003553,3.719),(3075,1715,0.003699,3.7196),(3075,1725,0.003851,3.7203),(3075,1735,0.004024,3.7209),(3075,1745,0.004196,3.7216),(3075,1755,0.004369,3.7223),(3075,1765,0.004549,3.723),(3075,1775,0.004751,3.7237),(3075,1785,0.004953,3.7244),(3075,1795,0.005155,3.7251),(3075,1805,0.005368,3.7259),(3075,1815,0.005603,3.7266),(3075,1825,0.005839,3.7274),(3075,1835,0.006075,3.7281),(3075,1845,0.006324,3.7289),(3075,1855,0.006598,3.7297),(3075,1865,0.006872,3.7305),(3075,1875,0.007146,3.7314),(3075,1885,0.007437,3.7322),(3075,1895,0.007755,3.7331),(3075,1905,0.008073,3.7339),(3075,1915,0.008391,3.7348),(3075,1925,0.00873,3.7357),(3075,1935,0.009098,3.7366),(3075,1945,0.009466,3.7375),(3075,1955,0.009834,3.7385),(3075,1965,0.010229,3.7395),(3075,1975,0.010654,3.7404),(3075,1985,0.011079,3.7414),(3075,1995,0.011505,3.7424),(3075,2005,0.011963,3.7434),(3075,2015,0.012453,3.7444),(3075,2025,0.012944,3.7455),(3075,2035,0.013435,3.7466),(3075,2045,0.013965,3.7477),(3075,2055,0.014531,3.7487),(3075,2065,0.015096,3.7499),(3075,2075,0.015662,3.751),(3075,2085,0.016277,3.7521),(3075,2095,0.016928,3.7533),(3075,2105,0.017579,3.7545),(3075,2115,0.01823,3.7557),(3075,2125,0.018941,3.7569),(3075,2135,0.01969,3.7581),(3075,2145,0.020439,3.7594),(3075,2155,0.021189,3.7607),(3075,2165,0.022011,3.7619),(3075,2175,0.022872,3.7632),(3075,2185,0.023733,3.7646),(3075,2195,0.024593,3.7659),(3075,2205,0.025543,3.7673),(3075,2215,0.026531,3.7686),(3075,2225,0.027519,3.77),(3075,2235,0.028507,3.7714),(3075,2245,0.029601,3.7728),(3075,2255,0.030734,3.7742),(3075,2265,0.031867,3.7757),(3075,2275,0.032999,3.7772),(3075,2285,0.034259,3.7787),(3075,2295,0.035556,3.7801),(3075,2305,0.036853,3.7817),(3075,2315,0.038149,3.7832),(3075,2325,0.039597,3.7847),(3075,2335,0.041079,3.7863),(3075,2345,0.04256,3.7878),(3075,2355,0.044042,3.7894),(3075,2365,0.0457,3.791),(3075,2375,0.047389,3.7926),(3075,2385,0.049078,3.7942),(3075,2395,0.050766,3.7958),(3075,2405,0.052661,3.7974),(3075,2415,0.05458,3.799),(3075,2425,0.056499,3.8007),(3075,2435,0.058418,3.8023),(3075,2445,0.060574,3.8039),(3075,2455,0.062748,3.8056),(3075,2465,0.064921,3.8072),(3075,2475,0.067094,3.8088),(3075,2485,0.069538,3.8104),(3075,2495,0.071989,3.8121),(3075,2505,0.07444,3.8136),(3075,2515,0.076896,3.8152),(3075,2525,0.079647,3.8168),(3075,2535,0.082399,3.8184),(3075,2545,0.085151,3.8199),(3075,2555,0.08792,3.8215),(3075,2565,0.090993,3.823),(3075,2575,0.094066,3.8245),(3075,2585,0.097138,3.8259),(3075,2595,0.10024,3.8273),(3075,2605,0.10365,3.8287),(3075,2615,0.10706,3.8301),(3075,2625,0.11047,3.8314),(3075,2635,0.11393,3.8327),(3075,2645,0.11769,3.8339),(3075,2655,0.12145,3.8352),(3075,2665,0.12521,3.8362),(3075,2675,0.12903,3.8373),(3075,2685,0.13315,3.8383),(3075,2695,0.13727,3.8393),(3075,2705,0.14138,3.8401),(3075,2715,0.14557,3.8409),(3075,2725,0.15004,3.8417),(3075,2735,0.15451,3.8425),(3075,2745,0.15898,3.843),(3075,2755,0.16354,3.8435),(3075,2765,0.16835,3.8439),(3075,2775,0.17317,3.8443),(3075,2785,0.17798,3.8444),(3075,2795,0.18289,3.8445),(3075,2805,0.18803,3.8447),(3075,2815,0.19317,3.8446),(3075,2825,0.1983,3.8443),(3075,2835,0.20354,3.844),(3075,2845,0.20898,3.8437),(3075,2855,0.21441,3.8432),(3075,2865,0.21985,3.8424),(3075,2875,0.22538,3.8416),(3075,2885,0.23108,3.8407),(3075,2895,0.23678,3.8397),(3075,2905,0.24248,3.8384),(3075,2915,0.24826,3.837),(3075,2925,0.25418,3.8356),(3075,2935,0.26009,3.834),(3075,2945,0.26601,3.8321),(3075,2955,0.27199,3.8301),(3075,2965,0.27807,3.8282),(3075,2975,0.28415,3.8259),(3075,2985,0.29023,3.8234),(3075,2995,0.29636,3.8208),(3075,3005,0.30254,3.8182),(3075,3015,0.30872,3.8153),(3075,3025,0.31491,3.812),(3075,3035,0.32111,3.8088),(3075,3045,0.32733,3.8055),(3075,3055,0.33356,3.8019),(3075,3065,0.33978,3.7979),(3075,3075,0.34598,3.794),(3075,3085,0.35218,3.79),(3075,3095,0.35837,3.7856),(3075,3105,0.36456,3.781),(3075,3115,0.37068,3.7763),(3075,3125,0.37677,3.7716),(3075,3135,0.38285,3.7665),(3075,3145,0.38894,3.7611),(3075,3155,0.3949,3.7557),(3075,3165,0.40079,3.7503),(3075,3175,0.40669,3.7444),(3075,3185,0.41259,3.7382),(3075,3195,0.41829,3.7321),(3075,3205,0.42392,3.7259),(3075,3215,0.42954,3.7193),(3075,3225,0.43516,3.7124),(3075,3235,0.44053,3.7056),(3075,3245,0.44579,3.6987),(3075,3255,0.45105,3.6913),(3075,3265,0.45631,3.6837),(3075,3275,0.46123,3.6762),(3075,3285,0.46604,3.6686),(3075,3295,0.47086,3.6605),(3075,3305,0.47567,3.6522),(3075,3315,0.48004,3.644),(3075,3325,0.48431,3.6358),(3075,3335,0.48858,3.627),(3075,3345,0.49285,3.6181),(3075,3355,0.49658,3.6093),(3075,3365,0.50022,3.6004),(3075,3375,0.50385,3.5911),(3075,3385,0.50749,3.5817),(3075,3395,0.51048,3.5722),(3075,3405,0.5134,3.5628),(3075,3415,0.51631,3.553),(3075,3425,0.51922,3.5431),(3075,3435,0.52138,3.5332),(3075,3445,0.52349,3.5233),(3075,3455,0.52559,3.513),(3075,3465,0.5277,3.5028),(3075,3475,0.52895,3.4925),(3075,3485,0.53017,3.4822),(3075,3495,0.53139,3.4717),(3075,3505,0.53261,3.4612),(3075,3515,0.53288,3.4507),(3075,3525,0.53316,3.4401),(3075,3535,0.53343,3.4295),(3075,3545,0.53367,3.4189),(3075,3555,0.53295,3.4082),(3075,3565,0.53224,3.3976),(3075,3575,0.53152,3.387),(3075,3585,0.53072,3.3764),(3075,3595,0.52899,3.3658),(3075,3605,0.52727,3.3553),(3075,3615,0.52554,3.3449),(3075,3625,0.52369,3.3346),(3075,3635,0.52096,3.3242),(3075,3645,0.51823,3.3139),(3075,3655,0.5155,3.3039),(3075,3665,0.51261,3.294),(3075,3675,0.50893,3.2841),(3075,3685,0.50524,3.2742),(3075,3695,0.50155,3.2649),(3075,3705,0.49769,3.2556),(3075,3715,0.49315,3.2463),(3075,3725,0.4886,3.2371),(3075,3735,0.48406,3.2286),(3075,3745,0.47934,3.2201),(3075,3755,0.47409,3.2116),(3075,3765,0.46884,3.2034),(3075,3775,0.4636,3.1959),(3075,3785,0.45822,3.1884),(3075,3795,0.45249,3.1809),(3075,3805,0.44677,3.1738),(3075,3815,0.44105,3.1675),(3075,3825,0.43527,3.1611),(3075,3835,0.42937,3.1548),(3075,3845,0.42348,3.1488),(3075,3855,0.41758,3.1437),(3075,3865,0.41174,3.1386),(3075,3875,0.40602,3.1334),(3075,3885,0.4003,3.1287),(3075,3895,0.39458,3.1246),(3075,3905,0.43871,3.1206),(3075,3915,0.55728,3.1166),(3075,3925,0.67586,3.1113),(3075,3935,0.79443,3.1044),(3075,3945,0.9156,3.0975),(3075,3955,1.0401,3.0906),(3075,3965,1.1645,3.0819),(3075,3975,1.289,3.0713),(3075,3985,1.3573,3.0607),(3075,3995,1.3648,3.05),(3075,4005,1.3722,3.0389),(3075,4015,1.3797,3.0273),(3075,4025,1.3921,3.0157),(3075,4035,1.4051,3.0033),(3075,4045,1.418,2.9894),(3075,4055,1.4345,2.9755),(3075,4065,1.4524,2.9611),(3075,4075,1.4703,2.944),(3075,4085,1.4899,2.927),(3075,4095,1.5111,2.9099),(3075,4105,1.5322,2.8903),(3075,4115,1.5024,2.8705),(3075,4125,1.3884,2.8507),(3075,4135,1.2743,2.8325),(3075,4145,1.1549,2.8148),(3075,4155,1.0138,2.797),(3075,4165,0.87267,2.7817),(3075,4175,0.74,2.7678),(3075,4185,1.0247,2.754),(3075,4195,1.3095,2.7357),(3075,4205,1.5942,2.7118),(3075,4215,1.6414,2.6878),(3075,4225,1.6439,2.6635),(3075,4235,1.6464,2.6383),(3075,4245,1.61,2.613),(3075,4255,1.5538,2.5877),(3075,4265,1.4976,2.5617),(3075,4275,1.3125,2.5357),(3075,4285,0.99046,2.5096),(3075,4295,0.66842,2.4995),(3075,4305,0.55565,2.4911),(3075,4315,0.9154,2.4828),(3075,4325,1.2751,2.4662),(3075,4335,1.5958,2.4463),(3075,4345,1.6519,2.4264),(3075,4355,1.708,2.406),(3075,4365,1.764,2.3852),(3075,4375,1.7734,2.3644),(3075,4385,1.7803,2.3439),(3075,4395,1.7873,2.324),(3075,4405,1.5797,2.3041),(3075,4415,1.3088,2.2859),(3075,4425,1.0379,2.2756),(3075,4435,0.92568,2.2653),(3075,4445,0.92181,2.255),(3075,4455,0.91795,2.2447),(3075,4465,1.0345,2.2344),(3075,4475,1.3202,2.2241),(3075,4485,1.6059,2.2066),(3075,4495,1.8252,2.1875),(3075,4505,1.8312,2.1685),(3075,4515,1.8372,2.15),(3075,4525,1.8394,2.1318),(3075,4535,1.7823,2.1136),(3075,4545,1.7251,2.0963),(3075,4555,1.6679,2.08),(3075,4565,1.2872,2.0638),(3075,4575,0.86289,2.0512),(3075,4585,0.43857,2.0476),(3075,4595,0.58512,2.044),(3075,4605,0.97288,2.0386),(3075,4615,1.3606,2.0193),(3075,4625,1.5879,2),(3075,4635,1.6699,1.9808),(3075,4645,1.7519,1.9631),(3075,4655,1.8114,1.9456),(3075,4665,1.8287,1.9281),(3075,4675,1.846,1.9115),(3075,4685,1.7975,1.8953),(3075,4695,1.4244,1.879),(3075,4705,1.0512,1.8687),(3075,4715,0.67799,1.8628),(3075,4725,0.86186,1.8569),(3075,4735,1.0513,1.8491),(3075,4745,1.2408,1.8385),(3075,4755,1.4333,1.828),(3075,4765,1.6266,1.8164),(3075,4775,1.8199,1.8016),(3075,4785,1.8932,1.7868),(3075,4795,1.8973,1.772),(3075,4805,1.9013,1.7573),(3075,4815,1.8136,1.7427),(3075,4825,1.6164,1.728),(3075,4835,1.4191,1.7177),(3075,4845,1.2202,1.708),(3075,4855,1.017,1.6984),(3075,4865,0.81391,1.6922),(3075,4875,0.67154,1.6877),(3075,4885,1.082,1.6832),(3075,4895,1.4925,1.6741),(3075,4905,1.903,1.6607),(3075,4915,1.9331,1.6474),(3075,4925,1.9304,1.6339),(3075,4935,1.9278,1.6201),(3075,4945,1.8808,1.6063),(3075,4955,1.8186,1.5921),(3075,4965,1.7563,1.5759),(3075,4975,1.4521,1.5597),(3075,4985,0.96114,1.5435),(3075,4995,0.47019,1.542),(3075,5005,0.3319,1.5408),(3075,5015,0.75423,1.5396),(3075,5025,1.1766,1.5314),(3075,5035,1.5404,1.5215),(3075,5045,1.6812,1.5116),(3075,5055,1.8221,1.4999),(3075,5065,1.9588,1.4872),(3075,5075,1.9619,1.4744),(3075,5085,1.9649,1.4617),(3075,5095,1.968,1.449),(3075,5105,1.7226,1.4364),(3075,5115,1.4339,1.4252),(3075,5125,1.1452,1.4185),(3075,5135,1.0027,1.4118),(3075,5145,0.9311,1.4052),(3075,5155,0.85952,1.4003),(3075,5165,1.011,1.3954),(3075,5175,1.39,1.3905),(3075,5185,1.769,1.3791),(3075,5195,2.0288,1.3671),(3075,5205,2.0315,1.3551),(3075,5215,2.0342,1.3432),(3075,5225,2.0262,1.3313),(3075,5235,1.9515,1.3194),(3075,5245,1.8769,1.3083),(3075,5255,1.8023,1.2978),(3075,5265,1.2725,1.2874),(3075,5275,0.72399,1.2807),(3075,5285,0.17543,1.2804),(3075,5295,0.5193,1.28),(3075,5305,1.1117,1.277),(3075,5315,1.7041,1.2624),(3075,5325,1.9666,1.2479),(3075,5335,2.0127,1.2333),(3075,5345,2.0589,1.2213),(3075,5355,2.0873,1.2093),(3075,5365,2.0919,1.1972),(3075,5375,2.0964,1.1855),(3075,5385,1.9803,1.1738),(3075,5395,1.4974,1.1622),(3075,5405,1.0145,1.1561),(3075,5415,0.58515,1.153),(3075,5425,0.87438,1.1499),(3075,5435,1.1636,1.1448),(3075,5445,1.4528,1.1376),(3075,5455,1.7273,1.1304),(3075,5465,2,1.122),(3075,5475,2.2726,1.1108),(3075,5485,2.3522,1.0995),(3075,5495,2.3541,1.0884),(3075,5505,2.3559,1.0775),(3075,5515,2.3578,1.0666),(3075,5525,2.3596,1.0557),(3075,5535,2.3614,1.0451),(3075,5545,2.3632,1.0346),(3075,5555,2.3648,1.024),(3075,5565,2.3664,1.0137),(3075,5575,2.368,1.0034),(3075,5585,2.3694,0.99314),(3075,5595,2.3708,0.98307),(3075,5605,2.3722,0.97311),(3075,5615,2.3734,0.96316),(3075,5625,2.3746,0.95332),(3075,5635,2.3759,0.94365),(3075,5645,2.3769,0.93397),(3075,5655,2.378,0.92435),(3075,5665,2.379,0.91494),(3075,5675,2.38,0.90554),(3075,5685,2.3808,0.89614),(3075,5695,2.3817,0.88697),(3075,5705,2.3825,0.8778),(3075,5715,2.3833,0.86864),(3075,5725,2.384,0.85966),(3075,5735,2.3847,0.85071),(3075,5745,2.3853,0.84176),(3075,5755,2.3859,0.83296),(3075,5765,2.3865,0.82422),(3075,5775,2.3869,0.81548),(3075,5785,2.3874,0.80685),(3075,5795,2.3879,0.79832),(3075,5805,2.3882,0.78979),(3075,5815,2.3885,0.78133),(3075,5825,2.3889,0.773),(3075,5835,2.3891,0.76467),(3075,5845,2.3893,0.75637),(3075,5855,2.3896,0.74822),(3075,5865,2.3897,0.74007),(3075,5875,2.3898,0.73193),(3075,5885,2.3899,0.72395),(3075,5895,2.39,0.71597),(3075,5905,2.39,0.70799),(3075,5915,2.39,0.70015),(3075,5925,2.39,0.69235),(3075,5935,2.3899,0.68454),(3075,5945,2.3898,0.67684),(3075,5955,2.3897,0.6692),(3075,5965,2.3895,0.66156),(3075,5975,2.3894,0.65398),(3075,5985,2.3892,0.64649),(3075,5995,1.827,0.63899),(3075,6005,1.1743,0.63327),(3075,6015,0.52166,0.63227),(3075,6025,0.65249,0.63127),(3075,6035,1.1467,0.62954),(3075,6045,1.6409,0.62075),(3075,6055,1.9849,0.61195),(3075,6065,2.1817,0.60316),(3075,6075,2.3785,0.59179),(3075,6085,2.5117,0.58019),(3075,6095,2.514,0.56859),(3075,6105,2.5163,0.55702),(3075,6115,2.5186,0.54546),(3075,6125,2.5208,0.53391),(3075,6135,2.5229,0.52244),(3075,6145,2.5251,0.51105),(3075,6155,2.5271,0.49966),(3075,6165,2.5291,0.48834),(3075,6175,2.5311,0.47711),(3075,6185,2.533,0.46589),(3075,6195,2.5348,0.45467),(3075,6205,2.5367,0.44349),(3075,6215,2.5384,0.43232),(3075,6225,2.5401,0.42114),(3075,6235,2.5418,0.41003),(3075,6245,2.5434,0.39893),(3075,6255,2.545,0.38782),(3075,6265,2.5465,0.37679),(3075,6275,2.548,0.36577),(3075,6285,2.5494,0.35476),(3075,6295,2.5508,0.3438),(3075,6305,2.5522,0.33286),(3075,6315,2.5534,0.32193),(3075,6325,2.5547,0.31102),(3075,6335,2.5559,0.30015),(3075,6345,2.557,0.28927),(3075,6355,2.5582,0.2784),(3075,6365,2.5593,0.26757),(3075,6375,2.5603,0.25673),(3075,6385,2.5613,0.2459),(3075,6395,2.5623,0.23512),(3075,6405,2.5632,0.22434),(3075,6415,2.564,0.21355),(3075,6425,2.5649,0.20285),(3075,6435,2.5657,0.19214),(3075,6445,2.5664,0.18144),(3075,6455,2.5671,0.17076),(3075,6465,2.5678,0.16008),(3075,6475,2.5684,0.14941),(3075,6485,2.5689,0.13873),(3075,6495,2.5695,0.12805),(3075,6505,2.57,0.11737),(3075,6515,2.5704,0.10671),(3075,6525,2.5708,0.096085),(3075,6535,2.5712,0.085454),(3075,6545,2.5715,0.074821),(3075,6555,2.5718,0.064175),(3075,6565,2.5721,0.053529),(3075,6575,2.5722,0.042888),(3075,6585,2.5724,0.032314),(3075,6595,2.1881,0.021741),(3075,6605,1.3791,0.011168),(3075,6615,0.57013,0.00991),(3075,6625,0.00144,0.00985),(3075,6635,0.001438,0.009789),(3075,6645,0.001435,0.009765),(3075,6655,0.001433,0.009755),(3075,6665,0.00143,0.009745),(3075,6675,0.001428,0.009735),(3075,6685,0.001426,0.009726),(3075,6695,0.001424,0.009716),(3075,6705,0.001422,0.009706),(3075,6715,0.001419,0.009697),(3075,6725,0.001417,0.009687),(3075,6735,0.001416,0.009678),(3075,6745,0.001414,0.009668),(3075,6755,0.001412,0.009659),(3075,6765,0.00141,0.009649),(3075,6775,0.001408,0.00964),(3075,6785,0.001406,0.009631),(3075,6795,0.001405,0.009621),(3075,6805,0.001403,0.009612),(3075,6815,0.001401,0.009602),(3075,6825,0.0014,0.009593),(3075,6835,0.001398,0.009584),(3075,6845,0.001397,0.009575),(3075,6855,0.001396,0.009565),(3075,6865,0.001394,0.009556),(3075,6875,0.001393,0.009547),(3075,6885,0.001392,0.009538),(3075,6895,0.00139,0.009528),(3075,6905,0.001389,0.009519),(3075,6915,0.001388,0.00951),(3075,6925,0.001387,0.009501),(3075,6935,0.001386,0.009492),(3075,6945,0.001385,0.009483),(3075,6955,0.001384,0.009473),(3075,6965,0.001383,0.009464),(3075,6975,0.001382,0.009455),(3075,6985,0.001381,0.009446),(3085,5,1.2e-05,3.6884),(3085,15,3.5e-05,3.6884),(3085,25,5.8e-05,3.6884),(3085,35,8.1e-05,3.6884),(3085,45,0.000104,3.6884),(3085,55,0.000127,3.6884),(3085,65,0.00015,3.6884),(3085,75,0.000173,3.6884),(3085,85,0.000196,3.6885),(3085,95,0.000218,3.6885),(3085,105,0.000241,3.6885),(3085,115,0.000264,3.6885),(3085,125,0.000286,3.6885),(3085,135,0.000308,3.6885),(3085,145,0.00033,3.6885),(3085,155,0.000352,3.6885),(3085,165,0.000374,3.6885),(3085,175,0.000396,3.6885),(3085,185,0.000417,3.6885),(3085,195,0.000439,3.6886),(3085,205,0.00046,3.6886),(3085,215,0.000481,3.6886),(3085,225,0.000501,3.6886),(3085,235,0.000521,3.6886),(3085,245,0.000542,3.6886),(3085,255,0.000562,3.6886),(3085,265,0.000581,3.6887),(3085,275,0.0006,3.6887),(3085,285,0.000619,3.6887),(3085,295,0.000639,3.6887),(3085,305,0.000657,3.6887),(3085,315,0.000675,3.6888),(3085,325,0.000693,3.6888),(3085,335,0.00071,3.6888),(3085,345,0.000727,3.6888),(3085,355,0.000744,3.6889),(3085,365,0.00076,3.6889),(3085,375,0.000777,3.6889),(3085,385,0.000792,3.6889),(3085,395,0.000807,3.689),(3085,405,0.000823,3.689),(3085,415,0.000838,3.689),(3085,425,0.000851,3.6891),(3085,435,0.000865,3.6891),(3085,445,0.000879,3.6891),(3085,455,0.000892,3.6892),(3085,465,0.000904,3.6892),(3085,475,0.000916,3.6892),(3085,485,0.000927,3.6893),(3085,495,0.000939,3.6893),(3085,505,0.000949,3.6894),(3085,515,0.000959,3.6894),(3085,525,0.000969,3.6895),(3085,535,0.000979,3.6895),(3085,545,0.000987,3.6896),(3085,555,0.000995,3.6896),(3085,565,0.001003,3.6897),(3085,575,0.001011,3.6897),(3085,585,0.001017,3.6898),(3085,595,0.001023,3.6898),(3085,605,0.001029,3.6899),(3085,615,0.001035,3.6899),(3085,625,0.001039,3.69),(3085,635,0.001043,3.69),(3085,645,0.001047,3.6901),(3085,655,0.001051,3.6902),(3085,665,0.001053,3.6902),(3085,675,0.001055,3.6903),(3085,685,0.001057,3.6904),(3085,695,0.001058,3.6905),(3085,705,0.001058,3.6905),(3085,715,0.001058,3.6906),(3085,725,0.001058,3.6907),(3085,735,0.001058,3.6908),(3085,745,0.001056,3.6909),(3085,755,0.001054,3.6909),(3085,765,0.001052,3.691),(3085,775,0.001049,3.6911),(3085,785,0.001045,3.6912),(3085,795,0.001041,3.6913),(3085,805,0.001036,3.6914),(3085,815,0.001032,3.6915),(3085,825,0.001026,3.6916),(3085,835,0.00102,3.6917),(3085,845,0.001014,3.6918),(3085,855,0.001008,3.6919),(3085,865,0.001001,3.6921),(3085,875,0.000993,3.6922),(3085,885,0.000986,3.6923),(3085,895,0.000978,3.6924),(3085,905,0.00097,3.6925),(3085,915,0.000961,3.6927),(3085,925,0.000953,3.6928),(3085,935,0.000943,3.6929),(3085,945,0.000934,3.6931),(3085,955,0.000924,3.6932),(3085,965,0.000914,3.6934),(3085,975,0.000904,3.6935),(3085,985,0.000893,3.6937),(3085,995,0.000882,3.6938),(3085,1005,0.000872,3.694),(3085,1015,0.000861,3.6941),(3085,1025,0.00085,3.6943),(3085,1035,0.000839,3.6945),(3085,1045,0.000829,3.6947),(3085,1055,0.000818,3.6948),(3085,1065,0.000807,3.695),(3085,1075,0.000797,3.6952),(3085,1085,0.000786,3.6954),(3085,1095,0.000776,3.6956),(3085,1105,0.000766,3.6958),(3085,1115,0.000757,3.696),(3085,1125,0.000747,3.6962),(3085,1135,0.000738,3.6964),(3085,1145,0.000729,3.6966),(3085,1155,0.000721,3.6969),(3085,1165,0.000712,3.6971),(3085,1175,0.000705,3.6973),(3085,1185,0.000699,3.6976),(3085,1195,0.000692,3.6978),(3085,1205,0.000686,3.6981),(3085,1215,0.000681,3.6983),(3085,1225,0.000678,3.6986),(3085,1235,0.000675,3.6988),(3085,1245,0.000671,3.6991),(3085,1255,0.000671,3.6994),(3085,1265,0.000672,3.6997),(3085,1275,0.000672,3.7),(3085,1285,0.000673,3.7003),(3085,1295,0.000677,3.7006),(3085,1305,0.000683,3.7009),(3085,1315,0.000688,3.7012),(3085,1325,0.000693,3.7015),(3085,1335,0.000704,3.7018),(3085,1345,0.000715,3.7021),(3085,1355,0.000726,3.7025),(3085,1365,0.000737,3.7028),(3085,1375,0.000754,3.7032),(3085,1385,0.000773,3.7035),(3085,1395,0.000791,3.7039),(3085,1405,0.000809,3.7043),(3085,1415,0.000835,3.7046),(3085,1425,0.000862,3.705),(3085,1435,0.000888,3.7054),(3085,1445,0.000915,3.7058),(3085,1455,0.000951,3.7062),(3085,1465,0.000988,3.7066),(3085,1475,0.001024,3.7071),(3085,1485,0.001061,3.7075),(3085,1495,0.001109,3.7079),(3085,1505,0.001156,3.7084),(3085,1515,0.001204,3.7088),(3085,1525,0.001253,3.7093),(3085,1535,0.001314,3.7098),(3085,1545,0.001375,3.7102),(3085,1555,0.001436,3.7107),(3085,1565,0.001498,3.7112),(3085,1575,0.001574,3.7117),(3085,1585,0.00165,3.7122),(3085,1595,0.001726,3.7128),(3085,1605,0.001804,3.7133),(3085,1615,0.001897,3.7138),(3085,1625,0.00199,3.7144),(3085,1635,0.002083,3.7149),(3085,1645,0.002179,3.7155),(3085,1655,0.002291,3.7161),(3085,1665,0.002404,3.7167),(3085,1675,0.002516,3.7173),(3085,1685,0.002633,3.7179),(3085,1695,0.002768,3.7185),(3085,1705,0.002903,3.7191),(3085,1715,0.003038,3.7198),(3085,1725,0.003178,3.7204),(3085,1735,0.003339,3.7211),(3085,1745,0.003499,3.7218),(3085,1755,0.00366,3.7225),(3085,1765,0.003828,3.7232),(3085,1775,0.004017,3.7239),(3085,1785,0.004207,3.7246),(3085,1795,0.004396,3.7253),(3085,1805,0.004595,3.7261),(3085,1815,0.004817,3.7268),(3085,1825,0.005039,3.7276),(3085,1835,0.005261,3.7284),(3085,1845,0.005496,3.7292),(3085,1855,0.005756,3.73),(3085,1865,0.006015,3.7308),(3085,1875,0.006275,3.7317),(3085,1885,0.00655,3.7325),(3085,1895,0.006853,3.7334),(3085,1905,0.007156,3.7342),(3085,1915,0.007458,3.7352),(3085,1925,0.007781,3.7361),(3085,1935,0.008133,3.737),(3085,1945,0.008484,3.7379),(3085,1955,0.008836,3.7389),(3085,1965,0.009213,3.7399),(3085,1975,0.009621,3.7408),(3085,1985,0.010029,3.7418),(3085,1995,0.010437,3.7429),(3085,2005,0.010877,3.7439),(3085,2015,0.011349,3.7449),(3085,2025,0.011821,3.746),(3085,2035,0.012293,3.7471),(3085,2045,0.012805,3.7482),(3085,2055,0.013351,3.7493),(3085,2065,0.013897,3.7504),(3085,2075,0.014443,3.7516),(3085,2085,0.015039,3.7528),(3085,2095,0.015669,3.7539),(3085,2105,0.0163,3.7551),(3085,2115,0.016931,3.7564),(3085,2125,0.017622,3.7576),(3085,2135,0.018351,3.7589),(3085,2145,0.019079,3.7601),(3085,2155,0.019807,3.7615),(3085,2165,0.020609,3.7628),(3085,2175,0.021448,3.7641),(3085,2185,0.022288,3.7654),(3085,2195,0.023127,3.7668),(3085,2205,0.024056,3.7682),(3085,2215,0.025022,3.7696),(3085,2225,0.025989,3.771),(3085,2235,0.026956,3.7725),(3085,2245,0.028029,3.7739),(3085,2255,0.029141,3.7754),(3085,2265,0.030253,3.7769),(3085,2275,0.031364,3.7784),(3085,2285,0.032604,3.7799),(3085,2295,0.033881,3.7814),(3085,2305,0.035157,3.783),(3085,2315,0.036434,3.7846),(3085,2325,0.037863,3.7862),(3085,2335,0.039326,3.7877),(3085,2345,0.040789,3.7894),(3085,2355,0.042252,3.791),(3085,2365,0.043895,3.7926),(3085,2375,0.045568,3.7943),(3085,2385,0.04724,3.7959),(3085,2395,0.048913,3.7976),(3085,2405,0.050795,3.7993),(3085,2415,0.052702,3.8009),(3085,2425,0.054608,3.8026),(3085,2435,0.056515,3.8043),(3085,2445,0.058664,3.806),(3085,2455,0.060829,3.8077),(3085,2465,0.062995,3.8094),(3085,2475,0.06516,3.8111),(3085,2485,0.067602,3.8128),(3085,2495,0.070052,3.8145),(3085,2505,0.072501,3.8162),(3085,2515,0.074956,3.8178),(3085,2525,0.077713,3.8195),(3085,2535,0.080471,3.8212),(3085,2545,0.083229,3.8228),(3085,2555,0.086004,3.8244),(3085,2565,0.089092,3.826),(3085,2575,0.09218,3.8276),(3085,2585,0.095267,3.8291),(3085,2595,0.098388,3.8306),(3085,2605,0.10182,3.8321),(3085,2615,0.10526,3.8336),(3085,2625,0.1087,3.8349),(3085,2635,0.11218,3.8363),(3085,2645,0.11598,3.8376),(3085,2655,0.11977,3.8389),(3085,2665,0.12357,3.8401),(3085,2675,0.12743,3.8412),(3085,2685,0.1316,3.8424),(3085,2695,0.13576,3.8435),(3085,2705,0.13993,3.8444),(3085,2715,0.14417,3.8453),(3085,2725,0.14871,3.8462),(3085,2735,0.15324,3.847),(3085,2745,0.15778,3.8476),(3085,2755,0.1624,3.8481),(3085,2765,0.16729,3.8487),(3085,2775,0.17218,3.8492),(3085,2785,0.17707,3.8494),(3085,2795,0.18206,3.8496),(3085,2805,0.18729,3.8498),(3085,2815,0.19252,3.8498),(3085,2825,0.19775,3.8496),(3085,2835,0.20309,3.8493),(3085,2845,0.20863,3.8491),(3085,2855,0.21417,3.8487),(3085,2865,0.21971,3.8479),(3085,2875,0.22536,3.8472),(3085,2885,0.23117,3.8464),(3085,2895,0.23699,3.8455),(3085,2905,0.24281,3.8442),(3085,2915,0.24872,3.8429),(3085,2925,0.25476,3.8416),(3085,2935,0.26081,3.84),(3085,2945,0.26685,3.8381),(3085,2955,0.27297,3.8362),(3085,2965,0.27919,3.8343),(3085,2975,0.28541,3.8321),(3085,2985,0.29163,3.8295),(3085,2995,0.29791,3.827),(3085,3005,0.30424,3.8244),(3085,3015,0.31057,3.8215),(3085,3025,0.31691,3.8182),(3085,3035,0.32326,3.815),(3085,3045,0.32964,3.8118),(3085,3055,0.33602,3.8081),(3085,3065,0.3424,3.8042),(3085,3075,0.34877,3.8002),(3085,3085,0.35512,3.7962),(3085,3095,0.36148,3.7918),(3085,3105,0.36783,3.7871),(3085,3115,0.37412,3.7824),(3085,3125,0.38037,3.7777),(3085,3135,0.38662,3.7726),(3085,3145,0.39287,3.7671),(3085,3155,0.399,3.7617),(3085,3165,0.40507,3.7562),(3085,3175,0.41113,3.7502),(3085,3185,0.4172,3.744),(3085,3195,0.42307,3.7378),(3085,3205,0.42886,3.7316),(3085,3215,0.43465,3.7249),(3085,3225,0.44044,3.7179),(3085,3235,0.44597,3.711),(3085,3245,0.45139,3.704),(3085,3255,0.45682,3.6965),(3085,3265,0.46224,3.6888),(3085,3275,0.46732,3.6811),(3085,3285,0.47229,3.6735),(3085,3295,0.47726,3.6652),(3085,3305,0.48222,3.6568),(3085,3315,0.48675,3.6485),(3085,3325,0.49116,3.6401),(3085,3335,0.49558,3.6312),(3085,3345,0.49999,3.6222),(3085,3355,0.50386,3.6131),(3085,3365,0.50763,3.6041),(3085,3375,0.51139,3.5946),(3085,3385,0.51516,3.585),(3085,3395,0.51827,3.5754),(3085,3405,0.5213,3.5658),(3085,3415,0.52432,3.5557),(3085,3425,0.52735,3.5456),(3085,3435,0.5296,3.5355),(3085,3445,0.5318,3.5254),(3085,3455,0.53399,3.5149),(3085,3465,0.53619,3.5044),(3085,3475,0.5375,3.494),(3085,3485,0.53879,3.4835),(3085,3495,0.54007,3.4727),(3085,3505,0.54135,3.4619),(3085,3515,0.54165,3.4512),(3085,3525,0.54196,3.4404),(3085,3535,0.54227,3.4295),(3085,3545,0.54253,3.4186),(3085,3555,0.5418,3.4077),(3085,3565,0.54108,3.3969),(3085,3575,0.54036,3.386),(3085,3585,0.53954,3.3752),(3085,3595,0.53777,3.3643),(3085,3605,0.53599,3.3535),(3085,3615,0.53421,3.3429),(3085,3625,0.5323,3.3323),(3085,3635,0.52947,3.3217),(3085,3645,0.52665,3.3111),(3085,3655,0.52382,3.3009),(3085,3665,0.52082,3.2907),(3085,3675,0.51699,3.2805),(3085,3685,0.51315,3.2705),(3085,3695,0.50932,3.2609),(3085,3705,0.5053,3.2514),(3085,3715,0.50056,3.2419),(3085,3725,0.49581,3.2325),(3085,3735,0.49107,3.2238),(3085,3745,0.48614,3.2152),(3085,3755,0.48064,3.2065),(3085,3765,0.47515,3.1981),(3085,3775,0.46965,3.1905),(3085,3785,0.46402,3.1829),(3085,3795,0.45801,3.1753),(3085,3805,0.452,3.168),(3085,3815,0.446,3.1616),(3085,3825,0.43993,3.1552),(3085,3835,0.43373,3.1489),(3085,3845,0.42754,3.1429),(3085,3855,0.42134,3.1378),(3085,3865,0.41521,3.1327),(3085,3875,0.40922,3.1276),(3085,3885,0.40322,3.123),(3085,3895,0.39723,3.1191),(3085,3905,0.44128,3.1152),(3085,3915,0.56008,3.1113),(3085,3925,0.67889,3.1063),(3085,3935,0.7977,3.0999),(3085,3945,0.91922,3.0935),(3085,3955,1.0442,3.0871),(3085,3965,1.1691,3.079),(3085,3975,1.2941,3.0689),(3085,3985,1.3628,3.0588),(3085,3995,1.3705,3.0487),(3085,4005,1.3783,3.038),(3085,4015,1.3861,3.0267),(3085,4025,1.3993,3.0153),(3085,4035,1.413,3.0031),(3085,4045,1.4267,2.989),(3085,4055,1.4442,2.9749),(3085,4065,1.4631,2.9604),(3085,4075,1.4819,2.9429),(3085,4085,1.5025,2.9253),(3085,4095,1.5244,2.9078),(3085,4105,1.5464,2.8876),(3085,4115,1.517,2.8672),(3085,4125,1.4027,2.8468),(3085,4135,1.2883,2.8281),(3085,4145,1.1686,2.8099),(3085,4155,1.0268,2.7917),(3085,4165,0.88494,2.7759),(3085,4175,0.75161,2.7616),(3085,4185,1.0385,2.7472),(3085,4195,1.3255,2.7285),(3085,4205,1.6124,2.704),(3085,4215,1.6602,2.6795),(3085,4225,1.6631,2.6546),(3085,4235,1.6659,2.6289),(3085,4245,1.6299,2.6033),(3085,4255,1.5742,2.5775),(3085,4265,1.5184,2.5511),(3085,4275,1.3313,2.5247),(3085,4285,1.0048,2.4983),(3085,4295,0.67831,2.488),(3085,4305,0.56317,2.4796),(3085,4315,0.9253,2.4711),(3085,4325,1.2874,2.4544),(3085,4335,1.6102,2.4343),(3085,4345,1.6663,2.4143),(3085,4355,1.7224,2.3938),(3085,4365,1.7786,2.3729),(3085,4375,1.7877,2.3521),(3085,4385,1.7944,2.3315),(3085,4395,1.801,2.3115),(3085,4405,1.5917,2.2914),(3085,4415,1.3188,2.2731),(3085,4425,1.0458,2.2628),(3085,4435,0.93268,2.2525),(3085,4445,0.92879,2.2422),(3085,4455,0.92491,2.232),(3085,4465,1.0422,2.2218),(3085,4475,1.3296,2.2116),(3085,4485,1.6171,2.1941),(3085,4495,1.8377,2.1751),(3085,4505,1.8434,2.1561),(3085,4515,1.8491,2.1377),(3085,4525,1.851,2.1195),(3085,4535,1.7934,2.1013),(3085,4545,1.7358,2.0841),(3085,4555,1.6782,2.068),(3085,4565,1.2953,2.0519),(3085,4575,0.86855,2.0394),(3085,4585,0.44179,2.0358),(3085,4595,0.59012,2.0322),(3085,4605,0.98142,2.0268),(3085,4615,1.3727,2.0074),(3085,4625,1.6013,1.9881),(3085,4635,1.6824,1.9687),(3085,4645,1.7635,1.9511),(3085,4655,1.8223,1.9337),(3085,4665,1.8392,1.9162),(3085,4675,1.856,1.8997),(3085,4685,1.8069,1.8835),(3085,4695,1.4317,1.8673),(3085,4705,1.0566,1.8571),(3085,4715,0.68149,1.8512),(3085,4725,0.86615,1.8454),(3085,4735,1.0564,1.8376),(3085,4745,1.2467,1.8271),(3085,4755,1.4399,1.8166),(3085,4765,1.6339,1.8051),(3085,4775,1.8278,1.7903),(3085,4785,1.9014,1.7755),(3085,4795,1.9054,1.7607),(3085,4805,1.9093,1.746),(3085,4815,1.8212,1.7313),(3085,4825,1.6231,1.7166),(3085,4835,1.4249,1.7063),(3085,4845,1.2251,1.6966),(3085,4855,1.0211,1.687),(3085,4865,0.81701,1.6809),(3085,4875,0.67394,1.6764),(3085,4885,1.0858,1.6719),(3085,4895,1.4976,1.6629),(3085,4905,1.9094,1.6496),(3085,4915,1.9397,1.6362),(3085,4925,1.9372,1.6228),(3085,4935,1.9347,1.609),(3085,4945,1.8885,1.5953),(3085,4955,1.8272,1.5811),(3085,4965,1.7659,1.5649),(3085,4975,1.4604,1.5487),(3085,4985,0.96651,1.5325),(3085,4995,0.47259,1.531),(3085,5005,0.33296,1.5298),(3085,5015,0.75656,1.5286),(3085,5025,1.1802,1.5205),(3085,5035,1.545,1.5106),(3085,5045,1.6863,1.5007),(3085,5055,1.8275,1.4891),(3085,5065,1.9647,1.4763),(3085,5075,1.9677,1.4636),(3085,5085,1.9707,1.4509),(3085,5095,1.9737,1.4382),(3085,5105,1.7276,1.4256),(3085,5115,1.4381,1.4145),(3085,5125,1.1485,1.4078),(3085,5135,1.0055,1.4011),(3085,5145,0.93359,1.3945),(3085,5155,0.8617,1.3896),(3085,5165,1.0135,1.3847),(3085,5175,1.3933,1.3798),(3085,5185,1.7732,1.3685),(3085,5195,2.0336,1.3565),(3085,5205,2.0363,1.3445),(3085,5215,2.0389,1.3326),(3085,5225,2.0308,1.3207),(3085,5235,1.956,1.3089),(3085,5245,1.8812,1.2978),(3085,5255,1.8064,1.2874),(3085,5265,1.2754,1.2769),(3085,5275,0.72564,1.2703),(3085,5285,0.17584,1.2699),(3085,5295,0.52127,1.2696),(3085,5305,1.116,1.2665),(3085,5315,1.7107,1.2521),(3085,5325,1.9736,1.2376),(3085,5335,2.0188,1.2231),(3085,5345,2.0641,1.2111),(3085,5355,2.0919,1.1991),(3085,5365,2.0964,1.1872),(3085,5375,2.1008,1.1755),(3085,5385,1.9843,1.1639),(3085,5395,1.5005,1.1522),(3085,5405,1.0166,1.1462),(3085,5415,0.58629,1.1431),(3085,5425,0.8758,1.14),(3085,5435,1.1653,1.135),(3085,5445,1.4548,1.1278),(3085,5455,1.7296,1.1207),(3085,5465,2.0026,1.1124),(3085,5475,2.2755,1.1013),(3085,5485,2.3551,1.0901),(3085,5495,2.3569,1.0791),(3085,5505,2.3586,1.0683),(3085,5515,2.3604,1.0575),(3085,5525,2.3621,1.0467),(3085,5535,2.3638,1.0363),(3085,5545,2.3655,1.0258),(3085,5555,2.367,1.0153),(3085,5565,2.3685,1.0051),(3085,5575,2.37,0.99496),(3085,5585,2.3713,0.9848),(3085,5595,2.3726,0.97482),(3085,5605,2.3739,0.96497),(3085,5615,2.375,0.95511),(3085,5625,2.3762,0.94537),(3085,5635,2.3773,0.93578),(3085,5645,2.3783,0.9262),(3085,5655,2.3793,0.91667),(3085,5665,2.3802,0.90736),(3085,5675,2.3811,0.89804),(3085,5685,2.3819,0.88874),(3085,5695,2.3827,0.87966),(3085,5705,2.3835,0.87058),(3085,5715,2.3841,0.8615),(3085,5725,2.3848,0.85261),(3085,5735,2.3854,0.84375),(3085,5745,2.3859,0.83489),(3085,5755,2.3865,0.82617),(3085,5765,2.387,0.81751),(3085,5775,2.3874,0.80886),(3085,5785,2.3878,0.80031),(3085,5795,2.3882,0.79186),(3085,5805,2.3885,0.78341),(3085,5815,2.3887,0.77503),(3085,5825,2.389,0.76677),(3085,5835,2.3892,0.75852),(3085,5845,2.3894,0.75029),(3085,5855,2.3895,0.74222),(3085,5865,2.3896,0.73415),(3085,5875,2.3897,0.72608),(3085,5885,2.3897,0.71817),(3085,5895,2.3898,0.71027),(3085,5905,2.3897,0.70236),(3085,5915,2.3897,0.69459),(3085,5925,2.3896,0.68686),(3085,5935,2.3894,0.67913),(3085,5945,2.3893,0.67149),(3085,5955,2.3892,0.66392),(3085,5965,2.389,0.65634),(3085,5975,2.3888,0.64884),(3085,5985,2.3886,0.64141),(3085,5995,1.8265,0.63398),(3085,6005,1.174,0.62831),(3085,6015,0.52152,0.62732),(3085,6025,0.65301,0.62633),(3085,6035,1.1481,0.62461),(3085,6045,1.6432,0.61589),(3085,6055,1.9878,0.60716),(3085,6065,2.1849,0.59844),(3085,6075,2.3819,0.58717),(3085,6085,2.5153,0.57566),(3085,6095,2.5176,0.56415),(3085,6105,2.5198,0.55267),(3085,6115,2.522,0.5412),(3085,6125,2.5242,0.52973),(3085,6135,2.5263,0.51836),(3085,6145,2.5284,0.50706),(3085,6155,2.5304,0.49576),(3085,6165,2.5323,0.48452),(3085,6175,2.5343,0.47338),(3085,6185,2.5362,0.46224),(3085,6195,2.538,0.45111),(3085,6205,2.5398,0.44002),(3085,6215,2.5415,0.42893),(3085,6225,2.5432,0.41784),(3085,6235,2.5448,0.40682),(3085,6245,2.5464,0.39579),(3085,6255,2.5479,0.38477),(3085,6265,2.5494,0.37382),(3085,6275,2.5509,0.36289),(3085,6285,2.5523,0.35196),(3085,6295,2.5537,0.34109),(3085,6305,2.555,0.33026),(3085,6315,2.5562,0.31943),(3085,6325,2.5575,0.30862),(3085,6335,2.5587,0.29782),(3085,6345,2.5598,0.28702),(3085,6355,2.5609,0.27624),(3085,6365,2.562,0.26549),(3085,6375,2.563,0.25474),(3085,6385,2.564,0.244),(3085,6395,2.5649,0.2333),(3085,6405,2.5658,0.2226),(3085,6415,2.5666,0.2119),(3085,6425,2.5675,0.20129),(3085,6435,2.5682,0.19067),(3085,6445,2.5689,0.18006),(3085,6455,2.5696,0.16946),(3085,6465,2.5703,0.15887),(3085,6475,2.5709,0.14828),(3085,6485,2.5715,0.13769),(3085,6495,2.572,0.1271),(3085,6505,2.5725,0.11651),(3085,6515,2.5729,0.10594),(3085,6525,2.5733,0.095393),(3085,6535,2.5737,0.08485),(3085,6545,2.574,0.074302),(3085,6555,2.5743,0.063735),(3085,6565,2.5745,0.053168),(3085,6575,2.5747,0.042607),(3085,6585,2.5749,0.032132),(3085,6595,2.1901,0.021656),(3085,6605,1.3804,0.011181),(3085,6615,0.57067,0.009927),(3085,6625,0.001446,0.009858),(3085,6635,0.001443,0.009789),(3085,6645,0.001441,0.009762),(3085,6655,0.001438,0.009752),(3085,6665,0.001436,0.009743),(3085,6675,0.001433,0.009733),(3085,6685,0.001431,0.009723),(3085,6695,0.001429,0.009714),(3085,6705,0.001427,0.009704),(3085,6715,0.001424,0.009695),(3085,6725,0.001422,0.009685),(3085,6735,0.00142,0.009676),(3085,6745,0.001419,0.009666),(3085,6755,0.001417,0.009657),(3085,6765,0.001415,0.009647),(3085,6775,0.001413,0.009638),(3085,6785,0.001411,0.009629),(3085,6795,0.001409,0.009619),(3085,6805,0.001408,0.00961),(3085,6815,0.001406,0.009601),(3085,6825,0.001405,0.009592),(3085,6835,0.001403,0.009582),(3085,6845,0.001402,0.009573),(3085,6855,0.0014,0.009564),(3085,6865,0.001399,0.009555),(3085,6875,0.001398,0.009546),(3085,6885,0.001396,0.009536),(3085,6895,0.001395,0.009527),(3085,6905,0.001394,0.009518),(3085,6915,0.001393,0.009509),(3085,6925,0.001392,0.0095),(3085,6935,0.001391,0.009491),(3085,6945,0.001389,0.009482),(3085,6955,0.001388,0.009473),(3085,6965,0.001387,0.009463),(3085,6975,0.001386,0.009454),(3085,6985,0.001386,0.009445),(3095,5,1.1e-05,3.6885),(3095,15,3.4e-05,3.6885),(3095,25,5.6e-05,3.6885),(3095,35,7.8e-05,3.6885),(3095,45,0.000101,3.6885),(3095,55,0.000123,3.6885),(3095,65,0.000145,3.6885),(3095,75,0.000167,3.6885),(3095,85,0.000189,3.6885),(3095,95,0.000211,3.6885),(3095,105,0.000233,3.6885),(3095,115,0.000255,3.6885),(3095,125,0.000276,3.6885),(3095,135,0.000298,3.6885),(3095,145,0.000319,3.6885),(3095,155,0.00034,3.6885),(3095,165,0.000362,3.6885),(3095,175,0.000383,3.6886),(3095,185,0.000403,3.6886),(3095,195,0.000423,3.6886),(3095,205,0.000444,3.6886),(3095,215,0.000464,3.6886),(3095,225,0.000483,3.6886),(3095,235,0.000503,3.6886),(3095,245,0.000522,3.6886),(3095,255,0.000541,3.6887),(3095,265,0.00056,3.6887),(3095,275,0.000578,3.6887),(3095,285,0.000596,3.6887),(3095,295,0.000615,3.6887),(3095,305,0.000632,3.6888),(3095,315,0.000649,3.6888),(3095,325,0.000666,3.6888),(3095,335,0.000683,3.6888),(3095,345,0.000698,3.6889),(3095,355,0.000714,3.6889),(3095,365,0.000729,3.6889),(3095,375,0.000745,3.6889),(3095,385,0.000759,3.689),(3095,395,0.000773,3.689),(3095,405,0.000787,3.689),(3095,415,0.000801,3.6891),(3095,425,0.000814,3.6891),(3095,435,0.000826,3.6891),(3095,445,0.000838,3.6892),(3095,455,0.000851,3.6892),(3095,465,0.000861,3.6892),(3095,475,0.000872,3.6893),(3095,485,0.000882,3.6893),(3095,495,0.000893,3.6893),(3095,505,0.000901,3.6894),(3095,515,0.00091,3.6894),(3095,525,0.000918,3.6895),(3095,535,0.000927,3.6895),(3095,545,0.000933,3.6896),(3095,555,0.00094,3.6896),(3095,565,0.000946,3.6897),(3095,575,0.000952,3.6897),(3095,585,0.000957,3.6898),(3095,595,0.000961,3.6898),(3095,605,0.000966,3.6899),(3095,615,0.00097,3.6899),(3095,625,0.000972,3.69),(3095,635,0.000974,3.6901),(3095,645,0.000976,3.6901),(3095,655,0.000978,3.6902),(3095,665,0.000978,3.6903),(3095,675,0.000978,3.6903),(3095,685,0.000978,3.6904),(3095,695,0.000978,3.6905),(3095,705,0.000976,3.6905),(3095,715,0.000974,3.6906),(3095,725,0.000972,3.6907),(3095,735,0.000969,3.6908),(3095,745,0.000965,3.6909),(3095,755,0.00096,3.6909),(3095,765,0.000956,3.691),(3095,775,0.000951,3.6911),(3095,785,0.000944,3.6912),(3095,795,0.000938,3.6913),(3095,805,0.000931,3.6914),(3095,815,0.000924,3.6915),(3095,825,0.000915,3.6916),(3095,835,0.000907,3.6917),(3095,845,0.000898,3.6918),(3095,855,0.000889,3.6919),(3095,865,0.000879,3.692),(3095,875,0.000869,3.6922),(3095,885,0.000858,3.6923),(3095,895,0.000848,3.6924),(3095,905,0.000836,3.6925),(3095,915,0.000824,3.6927),(3095,925,0.000813,3.6928),(3095,935,0.0008,3.6929),(3095,945,0.000787,3.6931),(3095,955,0.000774,3.6932),(3095,965,0.000761,3.6934),(3095,975,0.000747,3.6935),(3095,985,0.000733,3.6937),(3095,995,0.000718,3.6938),(3095,1005,0.000704,3.694),(3095,1015,0.00069,3.6941),(3095,1025,0.000675,3.6943),(3095,1035,0.00066,3.6945),(3095,1045,0.000645,3.6947),(3095,1055,0.000631,3.6948),(3095,1065,0.000616,3.695),(3095,1075,0.000601,3.6952),(3095,1085,0.000587,3.6954),(3095,1095,0.000572,3.6956),(3095,1105,0.000558,3.6958),(3095,1115,0.000544,3.696),(3095,1125,0.000529,3.6962),(3095,1135,0.000516,3.6964),(3095,1145,0.000502,3.6966),(3095,1155,0.000489,3.6969),(3095,1165,0.000476,3.6971),(3095,1175,0.000464,3.6973),(3095,1185,0.000452,3.6976),(3095,1195,0.000441,3.6978),(3095,1205,0.000429,3.6981),(3095,1215,0.000419,3.6983),(3095,1225,0.000411,3.6986),(3095,1235,0.000402,3.6989),(3095,1245,0.000393,3.6991),(3095,1255,0.000387,3.6994),(3095,1265,0.000382,3.6997),(3095,1275,0.000376,3.7),(3095,1285,0.000371,3.7003),(3095,1295,0.00037,3.7006),(3095,1305,0.000369,3.7009),(3095,1315,0.000368,3.7012),(3095,1325,0.000367,3.7015),(3095,1335,0.000371,3.7018),(3095,1345,0.000376,3.7022),(3095,1355,0.000381,3.7025),(3095,1365,0.000385,3.7029),(3095,1375,0.000396,3.7032),(3095,1385,0.000407,3.7036),(3095,1395,0.000418,3.7039),(3095,1405,0.00043,3.7043),(3095,1415,0.000448,3.7047),(3095,1425,0.000467,3.7051),(3095,1435,0.000487,3.7055),(3095,1445,0.000506,3.7059),(3095,1455,0.000534,3.7063),(3095,1465,0.000563,3.7067),(3095,1475,0.000592,3.7071),(3095,1485,0.00062,3.7075),(3095,1495,0.00066,3.708),(3095,1505,0.000699,3.7084),(3095,1515,0.000739,3.7089),(3095,1525,0.000779,3.7094),(3095,1535,0.000831,3.7098),(3095,1545,0.000883,3.7103),(3095,1555,0.000935,3.7108),(3095,1565,0.000988,3.7113),(3095,1575,0.001055,3.7118),(3095,1585,0.001122,3.7123),(3095,1595,0.001188,3.7129),(3095,1605,0.001257,3.7134),(3095,1615,0.00134,3.7139),(3095,1625,0.001423,3.7145),(3095,1635,0.001506,3.7151),(3095,1645,0.001592,3.7156),(3095,1655,0.001693,3.7162),(3095,1665,0.001795,3.7168),(3095,1675,0.001897,3.7174),(3095,1685,0.002003,3.718),(3095,1695,0.002126,3.7187),(3095,1705,0.00225,3.7193),(3095,1715,0.002373,3.7199),(3095,1725,0.002502,3.7206),(3095,1735,0.002651,3.7213),(3095,1745,0.002799,3.7219),(3095,1755,0.002947,3.7226),(3095,1765,0.003103,3.7234),(3095,1775,0.003279,3.7241),(3095,1785,0.003455,3.7248),(3095,1795,0.003632,3.7255),(3095,1805,0.003818,3.7263),(3095,1815,0.004026,3.7271),(3095,1825,0.004234,3.7278),(3095,1835,0.004442,3.7286),(3095,1845,0.004663,3.7294),(3095,1855,0.004907,3.7303),(3095,1865,0.005152,3.7311),(3095,1875,0.005397,3.732),(3095,1885,0.005658,3.7328),(3095,1895,0.005944,3.7337),(3095,1905,0.006231,3.7346),(3095,1915,0.006517,3.7355),(3095,1925,0.006824,3.7364),(3095,1935,0.007159,3.7373),(3095,1945,0.007494,3.7383),(3095,1955,0.007829,3.7393),(3095,1965,0.008189,3.7403),(3095,1975,0.008578,3.7412),(3095,1985,0.008968,3.7423),(3095,1995,0.009358,3.7433),(3095,2005,0.00978,3.7444),(3095,2015,0.010233,3.7454),(3095,2025,0.010687,3.7465),(3095,2035,0.01114,3.7476),(3095,2045,0.011633,3.7487),(3095,2055,0.012159,3.7498),(3095,2065,0.012685,3.751),(3095,2075,0.013211,3.7522),(3095,2085,0.013786,3.7534),(3095,2095,0.014396,3.7546),(3095,2105,0.015006,3.7558),(3095,2115,0.015616,3.7571),(3095,2125,0.016286,3.7583),(3095,2135,0.016993,3.7596),(3095,2145,0.0177,3.7609),(3095,2155,0.018407,3.7622),(3095,2165,0.019186,3.7636),(3095,2175,0.020004,3.7649),(3095,2185,0.020822,3.7663),(3095,2195,0.021639,3.7677),(3095,2205,0.022546,3.7691),(3095,2215,0.02349,3.7706),(3095,2225,0.024435,3.772),(3095,2235,0.025379,3.7735),(3095,2245,0.026431,3.775),(3095,2255,0.027521,3.7765),(3095,2265,0.028611,3.778),(3095,2275,0.029701,3.7796),(3095,2285,0.030919,3.7812),(3095,2295,0.032175,3.7827),(3095,2305,0.03343,3.7843),(3095,2315,0.034686,3.786),(3095,2325,0.036095,3.7876),(3095,2335,0.037538,3.7892),(3095,2345,0.038982,3.7909),(3095,2355,0.040426,3.7926),(3095,2365,0.042051,3.7943),(3095,2375,0.043706,3.7959),(3095,2385,0.045362,3.7977),(3095,2395,0.047018,3.7994),(3095,2405,0.048886,3.8011),(3095,2415,0.050779,3.8029),(3095,2425,0.052672,3.8046),(3095,2435,0.054565,3.8064),(3095,2445,0.056705,3.8081),(3095,2455,0.058861,3.8099),(3095,2465,0.061018,3.8117),(3095,2475,0.063175,3.8134),(3095,2485,0.065614,3.8152),(3095,2495,0.068061,3.817),(3095,2505,0.070508,3.8187),(3095,2515,0.072959,3.8204),(3095,2525,0.075722,3.8222),(3095,2535,0.078485,3.8239),(3095,2545,0.081247,3.8256),(3095,2555,0.084028,3.8273),(3095,2565,0.08713,3.829),(3095,2575,0.090231,3.8307),(3095,2585,0.093333,3.8322),(3095,2595,0.096469,3.8338),(3095,2605,0.099929,3.8354),(3095,2615,0.10339,3.837),(3095,2625,0.10685,3.8384),(3095,2635,0.11036,3.8399),(3095,2645,0.1142,3.8413),(3095,2655,0.11803,3.8427),(3095,2665,0.12186,3.844),(3095,2675,0.12576,3.8452),(3095,2685,0.12998,3.8464),(3095,2695,0.1342,3.8476),(3095,2705,0.13841,3.8486),(3095,2715,0.14271,3.8496),(3095,2725,0.14731,3.8506),(3095,2735,0.1519,3.8515),(3095,2745,0.1565,3.8521),(3095,2755,0.16119,3.8528),(3095,2765,0.16616,3.8535),(3095,2775,0.17113,3.854),(3095,2785,0.1761,3.8543),(3095,2795,0.18118,3.8546),(3095,2805,0.1865,3.8549),(3095,2815,0.19182,3.855),(3095,2825,0.19715,3.8548),(3095,2835,0.20258,3.8547),(3095,2845,0.20823,3.8545),(3095,2855,0.21388,3.8541),(3095,2865,0.21953,3.8535),(3095,2875,0.22528,3.8528),(3095,2885,0.23122,3.8521),(3095,2895,0.23716,3.8512),(3095,2905,0.24309,3.85),(3095,2915,0.24913,3.8487),(3095,2925,0.25531,3.8475),(3095,2935,0.26148,3.846),(3095,2945,0.26766,3.8441),(3095,2955,0.27392,3.8422),(3095,2965,0.28028,3.8404),(3095,2975,0.28665,3.8382),(3095,2985,0.29301,3.8357),(3095,2995,0.29943,3.8331),(3095,3005,0.30592,3.8306),(3095,3015,0.31241,3.8277),(3095,3025,0.31889,3.8245),(3095,3035,0.32541,3.8212),(3095,3045,0.33195,3.818),(3095,3055,0.33849,3.8144),(3095,3065,0.34503,3.8104),(3095,3075,0.35156,3.8064),(3095,3085,0.35808,3.8025),(3095,3095,0.3646,3.798),(3095,3105,0.37112,3.7933),(3095,3115,0.37758,3.7886),(3095,3125,0.384,3.7839),(3095,3135,0.39042,3.7786),(3095,3145,0.39684,3.7731),(3095,3155,0.40314,3.7676),(3095,3165,0.40938,3.7621),(3095,3175,0.41561,3.7561),(3095,3185,0.42185,3.7498),(3095,3195,0.4279,3.7436),(3095,3205,0.43386,3.7373),(3095,3215,0.43982,3.7305),(3095,3225,0.44578,3.7234),(3095,3235,0.45147,3.7164),(3095,3245,0.45707,3.7093),(3095,3255,0.46266,3.7017),(3095,3265,0.46825,3.6939),(3095,3275,0.47349,3.6861),(3095,3285,0.47862,3.6783),(3095,3295,0.48375,3.67),(3095,3305,0.48888,3.6614),(3095,3315,0.49355,3.6529),(3095,3325,0.49812,3.6444),(3095,3335,0.50268,3.6353),(3095,3345,0.50725,3.6262),(3095,3355,0.51125,3.617),(3095,3365,0.51516,3.6078),(3095,3375,0.51906,3.5981),(3095,3385,0.52296,3.5883),(3095,3395,0.52619,3.5785),(3095,3405,0.52934,3.5687),(3095,3415,0.53248,3.5585),(3095,3425,0.53562,3.5482),(3095,3435,0.53797,3.5379),(3095,3445,0.54026,3.5275),(3095,3455,0.54255,3.5169),(3095,3465,0.54484,3.5061),(3095,3475,0.54622,3.4954),(3095,3485,0.54757,3.4847),(3095,3495,0.54892,3.4737),(3095,3505,0.55027,3.4627),(3095,3515,0.5506,3.4517),(3095,3525,0.55094,3.4407),(3095,3535,0.55128,3.4295),(3095,3545,0.55157,3.4184),(3095,3555,0.55084,3.4073),(3095,3565,0.55011,3.3961),(3095,3575,0.54938,3.385),(3095,3585,0.54855,3.3739),(3095,3595,0.54672,3.3628),(3095,3605,0.5449,3.3517),(3095,3615,0.54307,3.3409),(3095,3625,0.5411,3.33),(3095,3635,0.53817,3.3191),(3095,3645,0.53524,3.3083),(3095,3655,0.53231,3.2979),(3095,3665,0.52921,3.2875),(3095,3675,0.52522,3.277),(3095,3685,0.52124,3.2667),(3095,3695,0.51725,3.257),(3095,3705,0.51307,3.2472),(3095,3715,0.50811,3.2374),(3095,3725,0.50316,3.2279),(3095,3735,0.49821,3.219),(3095,3745,0.49306,3.2102),(3095,3755,0.48731,3.2013),(3095,3765,0.48156,3.1928),(3095,3775,0.4758,3.185),(3095,3785,0.46989,3.1773),(3095,3795,0.46359,3.1696),(3095,3805,0.45728,3.1622),(3095,3815,0.45098,3.1558),(3095,3825,0.4446,3.1494),(3095,3835,0.43809,3.1429),(3095,3845,0.43158,3.137),(3095,3855,0.42507,3.1319),(3095,3865,0.41863,3.1269),(3095,3875,0.41234,3.1218),(3095,3885,0.40605,3.1172),(3095,3895,0.39977,3.1135),(3095,3905,0.4437,3.1097),(3095,3915,0.56267,3.106),(3095,3925,0.68164,3.1013),(3095,3935,0.80061,3.0954),(3095,3945,0.92243,3.0895),(3095,3955,1.0479,3.0836),(3095,3965,1.1733,3.076),(3095,3975,1.2987,3.0665),(3095,3985,1.3678,3.057),(3095,3995,1.376,3.0474),(3095,4005,1.3842,3.0371),(3095,4015,1.3924,3.026),(3095,4025,1.4064,3.0149),(3095,4035,1.4209,3.0028),(3095,4045,1.4355,2.9886),(3095,4055,1.454,2.9744),(3095,4065,1.474,2.9597),(3095,4075,1.4939,2.9417),(3095,4085,1.5154,2.9237),(3095,4095,1.5382,2.9057),(3095,4105,1.561,2.8849),(3095,4115,1.532,2.8639),(3095,4125,1.4174,2.8429),(3095,4135,1.3028,2.8237),(3095,4145,1.1826,2.8051),(3095,4155,1.0401,2.7864),(3095,4165,0.89755,2.7701),(3095,4175,0.76357,2.7553),(3095,4185,1.0527,2.7405),(3095,4195,1.3419,2.7213),(3095,4205,1.631,2.6962),(3095,4215,1.6795,2.6711),(3095,4225,1.6827,2.6457),(3095,4235,1.6858,2.6196),(3095,4245,1.6502,2.5935),(3095,4255,1.5948,2.5673),(3095,4265,1.5395,2.5405),(3095,4275,1.3504,2.5138),(3095,4285,1.0193,2.487),(3095,4295,0.68831,2.4765),(3095,4305,0.57077,2.468),(3095,4315,0.93528,2.4595),(3095,4325,1.2998,2.4426),(3095,4335,1.6246,2.4224),(3095,4345,1.6808,2.4021),(3095,4355,1.737,2.3816),(3095,4365,1.7931,2.3607),(3095,4375,1.802,2.3397),(3095,4385,1.8084,2.3191),(3095,4395,1.8149,2.2989),(3095,4405,1.6039,2.2788),(3095,4415,1.3288,2.2604),(3095,4425,1.0537,2.2501),(3095,4435,0.93967,2.2398),(3095,4445,0.93573,2.2295),(3095,4455,0.93179,2.2194),(3095,4465,1.0498,2.2092),(3095,4475,1.339,2.1991),(3095,4485,1.6283,2.1817),(3095,4495,1.8501,2.1627),(3095,4505,1.8555,2.1438),(3095,4515,1.8609,2.1253),(3095,4525,1.8626,2.1072),(3095,4535,1.8045,2.0891),(3095,4545,1.7465,2.072),(3095,4555,1.6884,2.056),(3095,4565,1.3033,2.04),(3095,4575,0.87417,2.0276),(3095,4585,0.44502,2.024),(3095,4595,0.59513,2.0203),(3095,4605,0.98998,2.0149),(3095,4615,1.3848,1.9955),(3095,4625,1.6146,1.9761),(3095,4635,1.6948,1.9567),(3095,4645,1.7751,1.9392),(3095,4655,1.8332,1.9218),(3095,4665,1.8496,1.9044),(3095,4675,1.866,1.8879),(3095,4685,1.8161,1.8718),(3095,4695,1.4391,1.8556),(3095,4705,1.062,1.8455),(3095,4715,0.68493,1.8397),(3095,4725,0.87039,1.8339),(3095,4735,1.0615,1.8262),(3095,4745,1.2526,1.8157),(3095,4755,1.4465,1.8052),(3095,4765,1.6411,1.7937),(3095,4775,1.8358,1.7789),(3095,4785,1.9096,1.7641),(3095,4795,1.9135,1.7493),(3095,4805,1.9174,1.7346),(3095,4815,1.8288,1.72),(3095,4825,1.6298,1.7053),(3095,4835,1.4308,1.695),(3095,4845,1.2301,1.6853),(3095,4855,1.0251,1.6756),(3095,4865,0.82008,1.6695),(3095,4875,0.6763,1.6651),(3095,4885,1.0895,1.6606),(3095,4895,1.5026,1.6517),(3095,4905,1.9158,1.6384),(3095,4915,1.9463,1.6251),(3095,4925,1.944,1.6117),(3095,4935,1.9416,1.598),(3095,4945,1.8962,1.5842),(3095,4955,1.8358,1.5701),(3095,4965,1.7755,1.5539),(3095,4975,1.4688,1.5377),(3095,4985,0.97188,1.5215),(3095,4995,0.47498,1.52),(3095,5005,0.33401,1.5188),(3095,5015,0.75887,1.5177),(3095,5025,1.1837,1.5096),(3095,5035,1.5497,1.4997),(3095,5045,1.6913,1.4898),(3095,5055,1.833,1.4782),(3095,5065,1.9705,1.4655),(3095,5075,1.9735,1.4528),(3095,5085,1.9765,1.4401),(3095,5095,1.9794,1.4274),(3095,5105,1.7326,1.4148),(3095,5115,1.4422,1.4037),(3095,5125,1.1518,1.397),(3095,5135,1.0083,1.3904),(3095,5145,0.93607,1.3838),(3095,5155,0.86386,1.3789),(3095,5165,1.0159,1.374),(3095,5175,1.3967,1.3691),(3095,5185,1.7774,1.3579),(3095,5195,2.0384,1.3459),(3095,5205,2.041,1.3339),(3095,5215,2.0437,1.3221),(3095,5225,2.0355,1.3102),(3095,5235,1.9605,1.2983),(3095,5245,1.8855,1.2873),(3095,5255,1.8105,1.2769),(3095,5265,1.2783,1.2665),(3095,5275,0.72729,1.2598),(3095,5285,0.17624,1.2595),(3095,5295,0.52322,1.2592),(3095,5305,1.1203,1.2561),(3095,5315,1.7173,1.2417),(3095,5325,1.9806,1.2273),(3095,5335,2.0249,1.2129),(3095,5345,2.0692,1.2009),(3095,5355,2.0965,1.189),(3095,5365,2.1008,1.1771),(3095,5375,2.1051,1.1654),(3095,5385,1.9883,1.1539),(3095,5395,1.5035,1.1423),(3095,5405,1.0186,1.1363),(3095,5415,0.58743,1.1332),(3095,5425,0.8772,1.1301),(3095,5435,1.167,1.1251),(3095,5445,1.4568,1.1181),(3095,5455,1.7318,1.111),(3095,5465,2.0051,1.1028),(3095,5475,2.2783,1.0918),(3095,5485,2.358,1.0808),(3095,5495,2.3596,1.0698),(3095,5505,2.3613,1.0591),(3095,5515,2.3629,1.0484),(3095,5525,2.3645,1.0378),(3095,5535,2.3661,1.0274),(3095,5545,2.3677,1.0171),(3095,5555,2.3691,1.0067),(3095,5565,2.3705,0.99657),(3095,5575,2.3719,0.98651),(3095,5585,2.3731,0.97646),(3095,5595,2.3743,0.96657),(3095,5605,2.3756,0.95682),(3095,5615,2.3766,0.94706),(3095,5625,2.3777,0.93741),(3095,5635,2.3787,0.92792),(3095,5645,2.3796,0.91843),(3095,5655,2.3805,0.909),(3095,5665,2.3814,0.89977),(3095,5675,2.3822,0.89055),(3095,5685,2.3829,0.88133),(3095,5695,2.3836,0.87235),(3095,5705,2.3843,0.86336),(3095,5715,2.3849,0.85437),(3095,5725,2.3855,0.84557),(3095,5735,2.386,0.83679),(3095,5745,2.3865,0.82801),(3095,5755,2.387,0.81938),(3095,5765,2.3874,0.8108),(3095,5775,2.3878,0.80223),(3095,5785,2.3881,0.79376),(3095,5795,2.3884,0.78539),(3095,5805,2.3887,0.77702),(3095,5815,2.3889,0.76872),(3095,5825,2.3891,0.76054),(3095,5835,2.3892,0.75236),(3095,5845,2.3893,0.74422),(3095,5855,2.3895,0.73622),(3095,5865,2.3895,0.72822),(3095,5875,2.3895,0.72023),(3095,5885,2.3895,0.71239),(3095,5895,2.3895,0.70456),(3095,5905,2.3894,0.69673),(3095,5915,2.3893,0.68904),(3095,5925,2.3892,0.68137),(3095,5935,2.389,0.67371),(3095,5945,2.3888,0.66614),(3095,5955,2.3886,0.65864),(3095,5965,2.3883,0.65113),(3095,5975,2.3881,0.64369),(3095,5985,2.3879,0.63633),(3095,5995,1.826,0.62897),(3095,6005,1.1737,0.62335),(3095,6015,0.52136,0.62237),(3095,6025,0.65352,0.62139),(3095,6035,1.1495,0.61968),(3095,6045,1.6455,0.61103),(3095,6055,1.9906,0.60238),(3095,6065,2.1879,0.59372),(3095,6075,2.3852,0.58254),(3095,6085,2.5188,0.57112),(3095,6095,2.521,0.5597),(3095,6105,2.5232,0.54831),(3095,6115,2.5254,0.53694),(3095,6125,2.5275,0.52556),(3095,6135,2.5296,0.51427),(3095,6145,2.5317,0.50306),(3095,6155,2.5336,0.49185),(3095,6165,2.5355,0.4807),(3095,6175,2.5375,0.46965),(3095,6185,2.5393,0.45859),(3095,6195,2.5411,0.44755),(3095,6205,2.5428,0.43655),(3095,6215,2.5445,0.42554),(3095,6225,2.5462,0.41454),(3095,6235,2.5478,0.4036),(3095,6245,2.5494,0.39266),(3095,6255,2.5509,0.38172),(3095,6265,2.5523,0.37086),(3095,6275,2.5538,0.36),(3095,6285,2.5551,0.34915),(3095,6295,2.5564,0.33838),(3095,6305,2.5578,0.32766),(3095,6315,2.559,0.31693),(3095,6325,2.5602,0.30621),(3095,6335,2.5614,0.2955),(3095,6345,2.5625,0.28478),(3095,6355,2.5636,0.27408),(3095,6365,2.5647,0.26341),(3095,6375,2.5656,0.25275),(3095,6385,2.5666,0.24209),(3095,6395,2.5675,0.23148),(3095,6405,2.5684,0.22087),(3095,6415,2.5692,0.21026),(3095,6425,2.57,0.19973),(3095,6435,2.5708,0.1892),(3095,6445,2.5715,0.17868),(3095,6455,2.5722,0.16817),(3095,6465,2.5728,0.15767),(3095,6475,2.5734,0.14716),(3095,6485,2.5739,0.13666),(3095,6495,2.5745,0.12615),(3095,6505,2.5749,0.11564),(3095,6515,2.5754,0.10516),(3095,6525,2.5758,0.094702),(3095,6535,2.5761,0.084246),(3095,6545,2.5764,0.073783),(3095,6555,2.5767,0.063295),(3095,6565,2.5769,0.052807),(3095,6575,2.5771,0.042326),(3095,6585,2.5772,0.031949),(3095,6595,2.1921,0.021571),(3095,6605,1.3817,0.011194),(3095,6615,0.5712,0.009944),(3095,6625,0.001451,0.009866),(3095,6635,0.001448,0.009789),(3095,6645,0.001446,0.00976),(3095,6655,0.001443,0.00975),(3095,6665,0.001441,0.00974),(3095,6675,0.001438,0.009731),(3095,6685,0.001436,0.009721),(3095,6695,0.001434,0.009712),(3095,6705,0.001432,0.009702),(3095,6715,0.001429,0.009693),(3095,6725,0.001427,0.009683),(3095,6735,0.001425,0.009674),(3095,6745,0.001423,0.009664),(3095,6755,0.001422,0.009655),(3095,6765,0.00142,0.009646),(3095,6775,0.001418,0.009636),(3095,6785,0.001416,0.009627),(3095,6795,0.001414,0.009618),(3095,6805,0.001413,0.009609),(3095,6815,0.001411,0.009599),(3095,6825,0.001409,0.00959),(3095,6835,0.001408,0.009581),(3095,6845,0.001406,0.009572),(3095,6855,0.001405,0.009562),(3095,6865,0.001404,0.009553),(3095,6875,0.001402,0.009544),(3095,6885,0.001401,0.009535),(3095,6895,0.0014,0.009526),(3095,6905,0.001399,0.009517),(3095,6915,0.001397,0.009508),(3095,6925,0.001396,0.009499),(3095,6935,0.001395,0.00949),(3095,6945,0.001394,0.00948),(3095,6955,0.001393,0.009472),(3095,6965,0.001392,0.009463),(3095,6975,0.001391,0.009453),(3095,6985,0.00139,0.009444),(3105,5,1.1e-05,3.6885),(3105,15,3.2e-05,3.6885),(3105,25,5.4e-05,3.6885),(3105,35,7.6e-05,3.6885),(3105,45,9.7e-05,3.6885),(3105,55,0.000119,3.6885),(3105,65,0.00014,3.6885),(3105,75,0.000161,3.6885),(3105,85,0.000183,3.6885),(3105,95,0.000204,3.6885),(3105,105,0.000225,3.6885),(3105,115,0.000246,3.6885),(3105,125,0.000267,3.6885),(3105,135,0.000288,3.6885),(3105,145,0.000308,3.6885),(3105,155,0.000329,3.6886),(3105,165,0.000349,3.6886),(3105,175,0.000369,3.6886),(3105,185,0.000389,3.6886),(3105,195,0.000408,3.6886),(3105,205,0.000428,3.6886),(3105,215,0.000447,3.6886),(3105,225,0.000466,3.6886),(3105,235,0.000484,3.6886),(3105,245,0.000503,3.6887),(3105,255,0.000521,3.6887),(3105,265,0.000539,3.6887),(3105,275,0.000556,3.6887),(3105,285,0.000573,3.6887),(3105,295,0.000591,3.6888),(3105,305,0.000607,3.6888),(3105,315,0.000623,3.6888),(3105,325,0.000639,3.6888),(3105,335,0.000655,3.6888),(3105,345,0.000669,3.6889),(3105,355,0.000684,3.6889),(3105,365,0.000698,3.6889),(3105,375,0.000713,3.6889),(3105,385,0.000726,3.689),(3105,395,0.000739,3.689),(3105,405,0.000752,3.689),(3105,415,0.000765,3.6891),(3105,425,0.000776,3.6891),(3105,435,0.000787,3.6891),(3105,445,0.000798,3.6892),(3105,455,0.000809,3.6892),(3105,465,0.000818,3.6892),(3105,475,0.000828,3.6893),(3105,485,0.000837,3.6893),(3105,495,0.000846,3.6893),(3105,505,0.000853,3.6894),(3105,515,0.00086,3.6894),(3105,525,0.000867,3.6895),(3105,535,0.000874,3.6895),(3105,545,0.000879,3.6896),(3105,555,0.000884,3.6896),(3105,565,0.000889,3.6897),(3105,575,0.000894,3.6897),(3105,585,0.000897,3.6898),(3105,595,0.000899,3.6898),(3105,605,0.000902,3.6899),(3105,615,0.000905,3.6899),(3105,625,0.000905,3.69),(3105,635,0.000906,3.6901),(3105,645,0.000906,3.6901),(3105,655,0.000906,3.6902),(3105,665,0.000904,3.6902),(3105,675,0.000902,3.6903),(3105,685,0.0009,3.6904),(3105,695,0.000898,3.6905),(3105,705,0.000894,3.6905),(3105,715,0.000889,3.6906),(3105,725,0.000885,3.6907),(3105,735,0.00088,3.6908),(3105,745,0.000874,3.6908),(3105,755,0.000867,3.6909),(3105,765,0.000861,3.691),(3105,775,0.000853,3.6911),(3105,785,0.000844,3.6912),(3105,795,0.000835,3.6913),(3105,805,0.000826,3.6914),(3105,815,0.000816,3.6915),(3105,825,0.000805,3.6916),(3105,835,0.000794,3.6917),(3105,845,0.000782,3.6918),(3105,855,0.00077,3.6919),(3105,865,0.000757,3.692),(3105,875,0.000744,3.6921),(3105,885,0.000731,3.6923),(3105,895,0.000717,3.6924),(3105,905,0.000702,3.6925),(3105,915,0.000687,3.6926),(3105,925,0.000673,3.6928),(3105,935,0.000657,3.6929),(3105,945,0.000641,3.693),(3105,955,0.000624,3.6932),(3105,965,0.000607,3.6933),(3105,975,0.00059,3.6935),(3105,985,0.000572,3.6936),(3105,995,0.000554,3.6938),(3105,1005,0.000537,3.694),(3105,1015,0.000518,3.6941),(3105,1025,0.0005,3.6943),(3105,1035,0.000481,3.6945),(3105,1045,0.000462,3.6946),(3105,1055,0.000443,3.6948),(3105,1065,0.000425,3.695),(3105,1075,0.000406,3.6952),(3105,1085,0.000387,3.6954),(3105,1095,0.000368,3.6956),(3105,1105,0.000349,3.6958),(3105,1115,0.000331,3.696),(3105,1125,0.000312,3.6962),(3105,1135,0.000294,3.6964),(3105,1145,0.000276,3.6966),(3105,1155,0.000258,3.6968),(3105,1165,0.00024,3.6971),(3105,1175,0.000222,3.6973),(3105,1185,0.000206,3.6975),(3105,1195,0.000189,3.6978),(3105,1205,0.000173,3.6981),(3105,1215,0.000158,3.6983),(3105,1225,0.000143,3.6986),(3105,1235,0.000129,3.6988),(3105,1245,0.000114,3.6991),(3105,1255,0.000103,3.6994),(3105,1265,9.2e-05,3.6997),(3105,1275,8.1e-05,3.7),(3105,1285,7e-05,3.7003),(3105,1295,6.2e-05,3.7006),(3105,1305,5.5e-05,3.7009),(3105,1315,4.8e-05,3.7012),(3105,1325,4.1e-05,3.7015),(3105,1335,3.9e-05,3.7018),(3105,1345,3.7e-05,3.7022),(3105,1355,3.5e-05,3.7025),(3105,1365,3.3e-05,3.7028),(3105,1375,3.7e-05,3.7032),(3105,1385,4.1e-05,3.7035),(3105,1395,4.6e-05,3.7039),(3105,1405,5e-05,3.7043),(3105,1415,6.1e-05,3.7047),(3105,1425,7.3e-05,3.7051),(3105,1435,8.5e-05,3.7055),(3105,1445,9.7e-05,3.7059),(3105,1455,0.000117,3.7063),(3105,1465,0.000138,3.7067),(3105,1475,0.000159,3.7071),(3105,1485,0.00018,3.7076),(3105,1495,0.000211,3.708),(3105,1505,0.000242,3.7084),(3105,1515,0.000274,3.7089),(3105,1525,0.000305,3.7094),(3105,1535,0.000348,3.7099),(3105,1545,0.000392,3.7103),(3105,1555,0.000435,3.7108),(3105,1565,0.000479,3.7113),(3105,1575,0.000536,3.7119),(3105,1585,0.000594,3.7124),(3105,1595,0.000651,3.7129),(3105,1605,0.00071,3.7134),(3105,1615,0.000783,3.714),(3105,1625,0.000856,3.7145),(3105,1635,0.000929,3.7151),(3105,1645,0.001005,3.7157),(3105,1655,0.001096,3.7163),(3105,1665,0.001187,3.7169),(3105,1675,0.001278,3.7175),(3105,1685,0.001373,3.7181),(3105,1695,0.001485,3.7188),(3105,1705,0.001597,3.7194),(3105,1715,0.001709,3.7201),(3105,1725,0.001826,3.7207),(3105,1735,0.001962,3.7214),(3105,1745,0.002098,3.7221),(3105,1755,0.002234,3.7228),(3105,1765,0.002378,3.7235),(3105,1775,0.002541,3.7242),(3105,1785,0.002704,3.7249),(3105,1795,0.002867,3.7257),(3105,1805,0.00304,3.7265),(3105,1815,0.003234,3.7272),(3105,1825,0.003429,3.728),(3105,1835,0.003623,3.7288),(3105,1845,0.003829,3.7297),(3105,1855,0.004059,3.7305),(3105,1865,0.004289,3.7313),(3105,1875,0.004519,3.7322),(3105,1885,0.004764,3.7331),(3105,1895,0.005035,3.7339),(3105,1905,0.005306,3.7348),(3105,1915,0.005577,3.7358),(3105,1925,0.005867,3.7367),(3105,1935,0.006185,3.7376),(3105,1945,0.006503,3.7386),(3105,1955,0.006821,3.7396),(3105,1965,0.007164,3.7406),(3105,1975,0.007536,3.7416),(3105,1985,0.007908,3.7426),(3105,1995,0.00828,3.7437),(3105,2005,0.008683,3.7448),(3105,2015,0.009118,3.7458),(3105,2025,0.009552,3.7469),(3105,2035,0.009987,3.7481),(3105,2045,0.01046,3.7492),(3105,2055,0.010966,3.7503),(3105,2065,0.011473,3.7515),(3105,2075,0.011979,3.7527),(3105,2085,0.012533,3.7539),(3105,2095,0.013123,3.7551),(3105,2105,0.013712,3.7564),(3105,2115,0.014302,3.7577),(3105,2125,0.01495,3.759),(3105,2135,0.015635,3.7603),(3105,2145,0.016321,3.7616),(3105,2155,0.017006,3.763),(3105,2165,0.017764,3.7643),(3105,2175,0.01856,3.7657),(3105,2185,0.019355,3.7671),(3105,2195,0.020151,3.7686),(3105,2205,0.021035,3.77),(3105,2215,0.021958,3.7714),(3105,2225,0.02288,3.773),(3105,2235,0.023803,3.7745),(3105,2245,0.024833,3.776),(3105,2255,0.025901,3.7775),(3105,2265,0.026969,3.7791),(3105,2275,0.028037,3.7807),(3105,2285,0.029234,3.7823),(3105,2295,0.030469,3.7839),(3105,2305,0.031703,3.7856),(3105,2315,0.032937,3.7873),(3105,2325,0.034327,3.7889),(3105,2335,0.035751,3.7906),(3105,2345,0.037175,3.7923),(3105,2355,0.038599,3.7941),(3105,2365,0.040207,3.7958),(3105,2375,0.041845,3.7976),(3105,2385,0.043484,3.7994),(3105,2395,0.045122,3.8011),(3105,2405,0.046977,3.8029),(3105,2415,0.048856,3.8047),(3105,2425,0.050736,3.8066),(3105,2435,0.052615,3.8084),(3105,2445,0.054746,3.8102),(3105,2455,0.056894,3.812),(3105,2465,0.059042,3.8139),(3105,2475,0.061189,3.8157),(3105,2485,0.063626,3.8176),(3105,2495,0.06607,3.8194),(3105,2505,0.068514,3.8212),(3105,2515,0.070963,3.8231),(3105,2525,0.073731,3.8249),(3105,2535,0.076498,3.8267),(3105,2545,0.079266,3.8285),(3105,2555,0.082052,3.8302),(3105,2565,0.085168,3.832),(3105,2575,0.088283,3.8338),(3105,2585,0.091399,3.8355),(3105,2595,0.09455,3.8372),(3105,2605,0.098035,3.8388),(3105,2615,0.10152,3.8405),(3105,2625,0.10501,3.842),(3105,2635,0.10854,3.8436),(3105,2645,0.11241,3.8451),(3105,2655,0.11628,3.8466),(3105,2665,0.12016,3.848),(3105,2675,0.12409,3.8493),(3105,2685,0.12836,3.8507),(3105,2695,0.13263,3.852),(3105,2705,0.13689,3.853),(3105,2715,0.14124,3.8541),(3105,2725,0.1459,3.8552),(3105,2735,0.15056,3.8562),(3105,2745,0.15523,3.857),(3105,2755,0.15999,3.8577),(3105,2765,0.16503,3.8585),(3105,2775,0.17008,3.8592),(3105,2785,0.17513,3.8595),(3105,2795,0.18029,3.8599),(3105,2805,0.1857,3.8603),(3105,2815,0.19112,3.8605),(3105,2825,0.19654,3.8604),(3105,2835,0.20207,3.8603),(3105,2845,0.20782,3.8603),(3105,2855,0.21358,3.86),(3105,2865,0.21934,3.8594),(3105,2875,0.22521,3.8588),(3105,2885,0.23126,3.8582),(3105,2895,0.23732,3.8574),(3105,2905,0.24338,3.8562),(3105,2915,0.24954,3.855),(3105,2925,0.25585,3.8538),(3105,2935,0.26216,3.8524),(3105,2945,0.26847,3.8506),(3105,2955,0.27487,3.8488),(3105,2965,0.28138,3.8469),(3105,2975,0.28788,3.8448),(3105,2985,0.29439,3.8423),(3105,2995,0.30096,3.8398),(3105,3005,0.3076,3.8373),(3105,3015,0.31424,3.8345),(3105,3025,0.32088,3.8312),(3105,3035,0.32755,3.828),(3105,3045,0.33425,3.8248),(3105,3055,0.34095,3.8212),(3105,3065,0.34765,3.8172),(3105,3075,0.35435,3.8132),(3105,3085,0.36103,3.8093),(3105,3095,0.36772,3.8048),(3105,3105,0.37441,3.8001),(3105,3115,0.38104,3.7953),(3105,3125,0.38763,3.7906),(3105,3135,0.39422,3.7853),(3105,3145,0.40081,3.7798),(3105,3155,0.40728,3.7742),(3105,3165,0.41369,3.7687),(3105,3175,0.4201,3.7626),(3105,3185,0.4265,3.7563),(3105,3195,0.43272,3.7499),(3105,3205,0.43885,3.7436),(3105,3215,0.44498,3.7366),(3105,3225,0.45112,3.7295),(3105,3235,0.45698,3.7224),(3105,3245,0.46274,3.7152),(3105,3255,0.4685,3.7075),(3105,3265,0.47426,3.6996),(3105,3275,0.47966,3.6917),(3105,3285,0.48495,3.6837),(3105,3295,0.49024,3.6752),(3105,3305,0.49553,3.6666),(3105,3315,0.50036,3.6579),(3105,3325,0.50507,3.6493),(3105,3335,0.50979,3.64),(3105,3345,0.5145,3.6307),(3105,3355,0.51865,3.6213),(3105,3365,0.52269,3.6119),(3105,3375,0.52673,3.602),(3105,3385,0.53077,3.5921),(3105,3395,0.53411,3.5821),(3105,3405,0.53738,3.5721),(3105,3415,0.54064,3.5616),(3105,3425,0.5439,3.5511),(3105,3435,0.54634,3.5405),(3105,3445,0.54873,3.53),(3105,3455,0.55111,3.5191),(3105,3465,0.55349,3.5081),(3105,3475,0.55494,3.4971),(3105,3485,0.55636,3.4862),(3105,3495,0.55777,3.4749),(3105,3505,0.55918,3.4636),(3105,3515,0.55955,3.4523),(3105,3525,0.55992,3.4411),(3105,3535,0.56029,3.4296),(3105,3545,0.56061,3.4182),(3105,3555,0.55987,3.4068),(3105,3565,0.55914,3.3954),(3105,3575,0.5584,3.384),(3105,3585,0.55756,3.3726),(3105,3595,0.55568,3.3612),(3105,3605,0.5538,3.3498),(3105,3615,0.55192,3.3386),(3105,3625,0.5499,3.3275),(3105,3635,0.54687,3.3163),(3105,3645,0.54384,3.3052),(3105,3655,0.54081,3.2945),(3105,3665,0.5376,3.2837),(3105,3675,0.53346,3.273),(3105,3685,0.52932,3.2624),(3105,3695,0.52518,3.2524),(3105,3705,0.52083,3.2424),(3105,3715,0.51567,3.2324),(3105,3725,0.51051,3.2225),(3105,3735,0.50535,3.2135),(3105,3745,0.49999,3.2044),(3105,3755,0.49398,3.1953),(3105,3765,0.48796,3.1865),(3105,3775,0.48195,3.1786),(3105,3785,0.47577,3.1708),(3105,3795,0.46917,3.1629),(3105,3805,0.46256,3.1554),(3105,3815,0.45596,3.1489),(3105,3825,0.44928,3.1424),(3105,3835,0.44245,3.1359),(3105,3845,0.43562,3.1299),(3105,3855,0.4288,3.125),(3105,3865,0.42205,3.12),(3105,3875,0.41547,3.115),(3105,3885,0.40889,3.1105),(3105,3895,0.4023,3.107),(3105,3905,0.44613,3.1034),(3105,3915,0.56526,3.0999),(3105,3925,0.6844,3.0956),(3105,3935,0.80353,3.0906),(3105,3945,0.92564,3.0855),(3105,3955,1.0515,3.0804),(3105,3965,1.1774,3.0736),(3105,3975,1.3033,3.0649),(3105,3985,1.3729,3.0563),(3105,3995,1.3814,3.0476),(3105,4005,1.39,3.0378),(3105,4015,1.3986,3.027),(3105,4025,1.4134,3.0161),(3105,4035,1.4289,3.0041),(3105,4045,1.4443,2.9896),(3105,4055,1.4638,2.9751),(3105,4065,1.4848,2.96),(3105,4075,1.5059,2.9413),(3105,4085,1.5283,2.9225),(3105,4095,1.5519,2.9038),(3105,4105,1.5756,2.8821),(3105,4115,1.5471,2.8602),(3105,4125,1.4321,2.8383),(3105,4135,1.3172,2.8185),(3105,4145,1.1967,2.7992),(3105,4155,1.0534,2.7799),(3105,4165,0.91017,2.7631),(3105,4175,0.77553,2.7478),(3105,4185,1.0669,2.7326),(3105,4195,1.3583,2.7128),(3105,4205,1.6497,2.6871),(3105,4215,1.6987,2.6614),(3105,4225,1.7022,2.6355),(3105,4235,1.7057,2.6089),(3105,4245,1.6704,2.5824),(3105,4255,1.6155,2.5558),(3105,4265,1.5605,2.5288),(3105,4275,1.3694,2.5017),(3105,4285,1.0339,2.4746),(3105,4295,0.69831,2.4641),(3105,4305,0.57836,2.4556),(3105,4315,0.94526,2.447),(3105,4325,1.3122,2.43),(3105,4335,1.6391,2.4096),(3105,4345,1.6953,2.3893),(3105,4355,1.7515,2.3686),(3105,4365,1.8077,2.3476),(3105,4375,1.8163,2.3266),(3105,4385,1.8225,2.3059),(3105,4395,1.8287,2.2856),(3105,4405,1.616,2.2653),(3105,4415,1.3388,2.2469),(3105,4425,1.0616,2.2365),(3105,4435,0.94665,2.2262),(3105,4445,0.94267,2.2158),(3105,4455,0.93868,2.2058),(3105,4465,1.0574,2.1957),(3105,4475,1.3484,2.1857),(3105,4485,1.6394,2.1683),(3105,4495,1.8625,2.1495),(3105,4505,1.8676,2.1306),(3105,4515,1.8728,2.1123),(3105,4525,1.8742,2.0942),(3105,4535,1.8156,2.0762),(3105,4545,1.7571,2.0592),(3105,4555,1.6986,2.0434),(3105,4565,1.3113,2.0275),(3105,4575,0.87979,2.0153),(3105,4585,0.44824,2.0117),(3105,4595,0.60013,2.0081),(3105,4605,0.99855,2.0027),(3105,4615,1.397,1.9833),(3105,4625,1.6279,1.9638),(3105,4635,1.7073,1.9444),(3105,4645,1.7866,1.9269),(3105,4655,1.844,1.9096),(3105,4665,1.86,1.8923),(3105,4675,1.8759,1.8759),(3105,4685,1.8254,1.8598),(3105,4695,1.4464,1.8438),(3105,4705,1.0674,1.8337),(3105,4715,0.68838,1.828),(3105,4725,0.87463,1.8222),(3105,4735,1.0665,1.8146),(3105,4745,1.2584,1.8041),(3105,4755,1.4531,1.7937),(3105,4765,1.6484,1.7823),(3105,4775,1.8437,1.7675),(3105,4785,1.9177,1.7527),(3105,4795,1.9216,1.7379),(3105,4805,1.9254,1.7233),(3105,4815,1.8364,1.7086),(3105,4825,1.6365,1.694),(3105,4835,1.4366,1.6836),(3105,4845,1.235,1.6739),(3105,4855,1.0291,1.6642),(3105,4865,0.82315,1.6582),(3105,4875,0.67866,1.6538),(3105,4885,1.0932,1.6494),(3105,4895,1.5077,1.6404),(3105,4905,1.9222,1.6272),(3105,4915,1.953,1.6139),(3105,4925,1.9507,1.6005),(3105,4935,1.9485,1.5868),(3105,4945,1.9038,1.5731),(3105,4955,1.8445,1.559),(3105,4965,1.7851,1.5428),(3105,4975,1.4771,1.5266),(3105,4985,0.97724,1.5104),(3105,4995,0.47737,1.5089),(3105,5005,0.33506,1.5077),(3105,5015,0.76118,1.5066),(3105,5025,1.1873,1.4985),(3105,5035,1.5544,1.4887),(3105,5045,1.6964,1.4788),(3105,5055,1.8384,1.4672),(3105,5065,1.9763,1.4545),(3105,5075,1.9793,1.4418),(3105,5085,1.9822,1.4292),(3105,5095,1.9852,1.4166),(3105,5105,1.7376,1.4039),(3105,5115,1.4463,1.3929),(3105,5125,1.1551,1.3862),(3105,5135,1.0111,1.3795),(3105,5145,0.93855,1.373),(3105,5155,0.86602,1.3681),(3105,5165,1.0184,1.3633),(3105,5175,1.4,1.3584),(3105,5185,1.7817,1.3471),(3105,5195,2.0432,1.3352),(3105,5205,2.0458,1.3233),(3105,5215,2.0484,1.3114),(3105,5225,2.0402,1.2996),(3105,5235,1.965,1.2878),(3105,5245,1.8898,1.2767),(3105,5255,1.8146,1.2663),(3105,5265,1.2812,1.256),(3105,5275,0.72893,1.2493),(3105,5285,0.17664,1.249),(3105,5295,0.52517,1.2487),(3105,5305,1.1246,1.2457),(3105,5315,1.724,1.2313),(3105,5325,1.9875,1.2169),(3105,5335,2.0309,1.2026),(3105,5345,2.0743,1.1907),(3105,5355,2.101,1.1788),(3105,5365,2.1052,1.167),(3105,5375,2.1094,1.1554),(3105,5385,1.9923,1.1438),(3105,5395,1.5065,1.1323),(3105,5405,1.0206,1.1263),(3105,5415,0.58856,1.1233),(3105,5425,0.8786,1.1202),(3105,5435,1.1686,1.1152),(3105,5445,1.4587,1.1083),(3105,5455,1.734,1.1013),(3105,5465,2.0076,1.0931),(3105,5475,2.2812,1.0822),(3105,5485,2.3608,1.0713),(3105,5495,2.3623,1.0605),(3105,5505,2.3639,1.0499),(3105,5515,2.3654,1.0394),(3105,5525,2.3669,1.0288),(3105,5535,2.3684,1.0185),(3105,5545,2.3699,1.0083),(3105,5555,2.3712,0.99803),(3105,5565,2.3725,0.988),(3105,5575,2.3738,0.97804),(3105,5585,2.375,0.96809),(3105,5595,2.3761,0.95831),(3105,5605,2.3772,0.94865),(3105,5615,2.3782,0.93899),(3105,5625,2.3792,0.92943),(3105,5635,2.3801,0.92004),(3105,5645,2.381,0.91064),(3105,5655,2.3818,0.9013),(3105,5665,2.3826,0.89217),(3105,5675,2.3833,0.88303),(3105,5685,2.3839,0.87391),(3105,5695,2.3846,0.86501),(3105,5705,2.3852,0.85611),(3105,5715,2.3857,0.84721),(3105,5725,2.3862,0.83849),(3105,5735,2.3867,0.8298),(3105,5745,2.3871,0.82111),(3105,5755,2.3875,0.81256),(3105,5765,2.3879,0.80407),(3105,5775,2.3881,0.79559),(3105,5785,2.3884,0.7872),(3105,5795,2.3887,0.77891),(3105,5805,2.3889,0.77062),(3105,5815,2.389,0.7624),(3105,5825,2.3892,0.7543),(3105,5835,2.3893,0.7462),(3105,5845,2.3893,0.73813),(3105,5855,2.3894,0.7302),(3105,5865,2.3894,0.72228),(3105,5875,2.3893,0.71436),(3105,5885,2.3893,0.7066),(3105,5895,2.3892,0.69884),(3105,5905,2.389,0.69108),(3105,5915,2.3889,0.68346),(3105,5925,2.3887,0.67587),(3105,5935,2.3885,0.66827),(3105,5945,2.3883,0.66078),(3105,5955,2.388,0.65334),(3105,5965,2.3877,0.64591),(3105,5975,2.3874,0.63853),(3105,5985,2.3872,0.63124),(3105,5995,1.8254,0.62394),(3105,6005,1.1733,0.61837),(3105,6015,0.52121,0.61739),(3105,6025,0.65402,0.61642),(3105,6035,1.1509,0.61473),(3105,6045,1.6477,0.60615),(3105,6055,1.9935,0.59757),(3105,6065,2.191,0.58899),(3105,6075,2.3886,0.57789),(3105,6085,2.5223,0.56656),(3105,6095,2.5245,0.55524),(3105,6105,2.5266,0.54394),(3105,6115,2.5288,0.53265),(3105,6125,2.5308,0.52137),(3105,6135,2.5329,0.51017),(3105,6145,2.5349,0.49905),(3105,6155,2.5368,0.48793),(3105,6165,2.5387,0.47687),(3105,6175,2.5406,0.46591),(3105,6185,2.5424,0.45495),(3105,6195,2.5441,0.44399),(3105,6205,2.5459,0.43308),(3105,6215,2.5475,0.42216),(3105,6225,2.5492,0.41124),(3105,6235,2.5508,0.40039),(3105,6245,2.5523,0.38954),(3105,6255,2.5538,0.37869),(3105,6265,2.5552,0.36792),(3105,6275,2.5566,0.35716),(3105,6285,2.5579,0.3464),(3105,6295,2.5592,0.33571),(3105,6305,2.5605,0.32504),(3105,6315,2.5617,0.31438),(3105,6325,2.5629,0.30374),(3105,6335,2.5641,0.29312),(3105,6345,2.5652,0.28251),(3105,6355,2.5663,0.2719),(3105,6365,2.5673,0.26133),(3105,6375,2.5683,0.25075),(3105,6385,2.5692,0.24018),(3105,6395,2.5701,0.22965),(3105,6405,2.571,0.21913),(3105,6415,2.5718,0.2086),(3105,6425,2.5726,0.19816),(3105,6435,2.5733,0.18772),(3105,6445,2.574,0.17728),(3105,6455,2.5747,0.16687),(3105,6465,2.5753,0.15645),(3105,6475,2.5759,0.14604),(3105,6485,2.5764,0.13562),(3105,6495,2.577,0.1252),(3105,6505,2.5774,0.11478),(3105,6515,2.5778,0.10438),(3105,6525,2.5782,0.094014),(3105,6535,2.5786,0.083648),(3105,6545,2.5789,0.073277),(3105,6555,2.5792,0.06289),(3105,6565,2.5794,0.052503),(3105,6575,2.5795,0.042121),(3105,6585,2.5796,0.031812),(3105,6595,2.1941,0.021503),(3105,6605,1.3829,0.011194),(3105,6615,0.57172,0.009949),(3105,6625,0.001456,0.009868),(3105,6635,0.001454,0.009787),(3105,6645,0.001451,0.009757),(3105,6655,0.001448,0.009747),(3105,6665,0.001446,0.009738),(3105,6675,0.001443,0.009728),(3105,6685,0.001441,0.009719),(3105,6695,0.001439,0.009709),(3105,6705,0.001437,0.0097),(3105,6715,0.001434,0.00969),(3105,6725,0.001432,0.009681),(3105,6735,0.00143,0.009672),(3105,6745,0.001428,0.009662),(3105,6755,0.001426,0.009653),(3105,6765,0.001424,0.009644),(3105,6775,0.001423,0.009635),(3105,6785,0.001421,0.009625),(3105,6795,0.001419,0.009616),(3105,6805,0.001417,0.009607),(3105,6815,0.001416,0.009598),(3105,6825,0.001414,0.009588),(3105,6835,0.001413,0.009579),(3105,6845,0.001411,0.00957),(3105,6855,0.00141,0.009561),(3105,6865,0.001409,0.009552),(3105,6875,0.001407,0.009543),(3105,6885,0.001406,0.009534),(3105,6895,0.001404,0.009525),(3105,6905,0.001403,0.009516),(3105,6915,0.001402,0.009506),(3105,6925,0.001401,0.009497),(3105,6935,0.0014,0.009488),(3105,6945,0.001399,0.009479),(3105,6955,0.001398,0.00947),(3105,6965,0.001397,0.009461),(3105,6975,0.001396,0.009453),(3105,6985,0.001395,0.009444),(3115,5,1e-05,3.6885),(3115,15,3.1e-05,3.6885),(3115,25,5.2e-05,3.6885),(3115,35,7.3e-05,3.6885),(3115,45,9.4e-05,3.6885),(3115,55,0.000115,3.6885),(3115,65,0.000135,3.6885),(3115,75,0.000156,3.6885),(3115,85,0.000176,3.6885),(3115,95,0.000197,3.6885),(3115,105,0.000217,3.6885),(3115,115,0.000237,3.6885),(3115,125,0.000257,3.6885),(3115,135,0.000278,3.6886),(3115,145,0.000297,3.6886),(3115,155,0.000317,3.6886),(3115,165,0.000336,3.6886),(3115,175,0.000356,3.6886),(3115,185,0.000375,3.6886),(3115,195,0.000393,3.6886),(3115,205,0.000412,3.6886),(3115,215,0.00043,3.6886),(3115,225,0.000448,3.6887),(3115,235,0.000466,3.6887),(3115,245,0.000483,3.6887),(3115,255,0.000501,3.6887),(3115,265,0.000518,3.6887),(3115,275,0.000534,3.6887),(3115,285,0.00055,3.6888),(3115,295,0.000567,3.6888),(3115,305,0.000582,3.6888),(3115,315,0.000597,3.6888),(3115,325,0.000612,3.6888),(3115,335,0.000627,3.6889),(3115,345,0.000641,3.6889),(3115,355,0.000654,3.6889),(3115,365,0.000668,3.6889),(3115,375,0.000681,3.689),(3115,385,0.000693,3.689),(3115,395,0.000705,3.689),(3115,405,0.000716,3.689),(3115,415,0.000728,3.6891),(3115,425,0.000738,3.6891),(3115,435,0.000748,3.6891),(3115,445,0.000758,3.6892),(3115,455,0.000768,3.6892),(3115,465,0.000776,3.6892),(3115,475,0.000784,3.6893),(3115,485,0.000792,3.6893),(3115,495,0.000799,3.6894),(3115,505,0.000805,3.6894),(3115,515,0.000811,3.6894),(3115,525,0.000817,3.6895),(3115,535,0.000822,3.6895),(3115,545,0.000826,3.6896),(3115,555,0.000829,3.6896),(3115,565,0.000832,3.6897),(3115,575,0.000836,3.6897),(3115,585,0.000837,3.6898),(3115,595,0.000838,3.6898),(3115,605,0.000839,3.6899),(3115,615,0.00084,3.6899),(3115,625,0.000839,3.69),(3115,635,0.000837,3.6901),(3115,645,0.000836,3.6901),(3115,655,0.000834,3.6902),(3115,665,0.00083,3.6902),(3115,675,0.000826,3.6903),(3115,685,0.000822,3.6904),(3115,695,0.000818,3.6905),(3115,705,0.000811,3.6905),(3115,715,0.000805,3.6906),(3115,725,0.000799,3.6907),(3115,735,0.000792,3.6908),(3115,745,0.000783,3.6908),(3115,755,0.000774,3.6909),(3115,765,0.000765,3.691),(3115,775,0.000756,3.6911),(3115,785,0.000744,3.6912),(3115,795,0.000733,3.6913),(3115,805,0.000721,3.6914),(3115,815,0.000709,3.6915),(3115,825,0.000695,3.6916),(3115,835,0.000681,3.6917),(3115,845,0.000667,3.6918),(3115,855,0.000652,3.6919),(3115,865,0.000636,3.692),(3115,875,0.00062,3.6921),(3115,885,0.000604,3.6923),(3115,895,0.000587,3.6924),(3115,905,0.000569,3.6925),(3115,915,0.000551,3.6926),(3115,925,0.000533,3.6928),(3115,935,0.000514,3.6929),(3115,945,0.000494,3.693),(3115,955,0.000474,3.6932),(3115,965,0.000455,3.6933),(3115,975,0.000434,3.6935),(3115,985,0.000412,3.6936),(3115,995,0.000391,3.6938),(3115,1005,0.000369,3.6939),(3115,1015,0.000347,3.6941),(3115,1025,0.000325,3.6943),(3115,1035,0.000302,3.6944),(3115,1045,0.000279,3.6946),(3115,1055,0.000257,3.6948),(3115,1065,0.000233,3.695),(3115,1075,0.00021,3.6952),(3115,1085,0.000187,3.6954),(3115,1095,0.000164,3.6956),(3115,1105,0.000141,3.6957),(3115,1115,0.000118,3.696),(3115,1125,9.5e-05,3.6962),(3115,1135,7.2e-05,3.6964),(3115,1145,4.9e-05,3.6966),(3115,1155,2.6e-05,3.6968),(3115,1165,4e-06,3.6971),(3115,1175,-1.9e-05,3.6973),(3115,1185,-4e-05,3.6975),(3115,1195,-6.2e-05,3.6978),(3115,1205,-8.4e-05,3.698),(3115,1215,-0.000104,3.6983),(3115,1225,-0.000124,3.6985),(3115,1235,-0.000144,3.6988),(3115,1245,-0.000164,3.6991),(3115,1255,-0.000181,3.6994),(3115,1265,-0.000198,3.6996),(3115,1275,-0.000215,3.6999),(3115,1285,-0.000232,3.7002),(3115,1295,-0.000246,3.7005),(3115,1305,-0.000259,3.7008),(3115,1315,-0.000272,3.7012),(3115,1325,-0.000285,3.7015),(3115,1335,-0.000294,3.7018),(3115,1345,-0.000302,3.7021),(3115,1355,-0.00031,3.7025),(3115,1365,-0.000319,3.7028),(3115,1375,-0.000322,3.7032),(3115,1385,-0.000325,3.7035),(3115,1395,-0.000327,3.7039),(3115,1405,-0.00033,3.7043),(3115,1415,-0.000326,3.7047),(3115,1425,-0.000321,3.7051),(3115,1435,-0.000317,3.7055),(3115,1445,-0.000312,3.7059),(3115,1455,-0.0003,3.7063),(3115,1465,-0.000287,3.7067),(3115,1475,-0.000274,3.7071),(3115,1485,-0.000261,3.7076),(3115,1495,-0.000238,3.708),(3115,1505,-0.000215,3.7085),(3115,1515,-0.000192,3.7089),(3115,1525,-0.000169,3.7094),(3115,1535,-0.000135,3.7099),(3115,1545,-0.0001,3.7104),(3115,1555,-6.6e-05,3.7109),(3115,1565,-3.1e-05,3.7114),(3115,1575,1.7e-05,3.7119),(3115,1585,6.5e-05,3.7124),(3115,1595,0.000112,3.713),(3115,1605,0.000162,3.7135),(3115,1615,0.000225,3.7141),(3115,1625,0.000288,3.7146),(3115,1635,0.000351,3.7152),(3115,1645,0.000416,3.7158),(3115,1655,0.000497,3.7164),(3115,1665,0.000577,3.717),(3115,1675,0.000658,3.7176),(3115,1685,0.000742,3.7182),(3115,1695,0.000842,3.7188),(3115,1705,0.000943,3.7195),(3115,1715,0.001043,3.7202),(3115,1725,0.001149,3.7208),(3115,1735,0.001272,3.7215),(3115,1745,0.001396,3.7222),(3115,1755,0.00152,3.7229),(3115,1765,0.001651,3.7236),(3115,1775,0.001801,3.7244),(3115,1785,0.001951,3.7251),(3115,1795,0.002101,3.7259),(3115,1805,0.00226,3.7266),(3115,1815,0.002441,3.7274),(3115,1825,0.002621,3.7282),(3115,1835,0.002801,3.729),(3115,1845,0.002993,3.7299),(3115,1855,0.003208,3.7307),(3115,1865,0.003423,3.7315),(3115,1875,0.003638,3.7324),(3115,1885,0.003868,3.7333),(3115,1895,0.004123,3.7342),(3115,1905,0.004378,3.7351),(3115,1915,0.004633,3.736),(3115,1925,0.004907,3.737),(3115,1935,0.005208,3.7379),(3115,1945,0.005509,3.7389),(3115,1955,0.00581,3.7399),(3115,1965,0.006135,3.7409),(3115,1975,0.006489,3.7419),(3115,1985,0.006843,3.743),(3115,1995,0.007197,3.7441),(3115,2005,0.007581,3.7451),(3115,2015,0.007997,3.7462),(3115,2025,0.008412,3.7473),(3115,2035,0.008828,3.7485),(3115,2045,0.009281,3.7497),(3115,2055,0.009767,3.7508),(3115,2065,0.010254,3.752),(3115,2075,0.01074,3.7532),(3115,2085,0.011274,3.7545),(3115,2095,0.011842,3.7557),(3115,2105,0.01241,3.757),(3115,2115,0.012979,3.7583),(3115,2125,0.013606,3.7596),(3115,2135,0.014269,3.7609),(3115,2145,0.014933,3.7623),(3115,2155,0.015596,3.7637),(3115,2165,0.016332,3.7651),(3115,2175,0.017105,3.7665),(3115,2185,0.017879,3.7679),(3115,2195,0.018652,3.7694),(3115,2205,0.019514,3.7709),(3115,2215,0.020414,3.7723),(3115,2225,0.021314,3.7739),(3115,2235,0.022214,3.7754),(3115,2245,0.023221,3.777),(3115,2255,0.024267,3.7786),(3115,2265,0.025312,3.7802),(3115,2275,0.026358,3.7818),(3115,2285,0.027533,3.7835),(3115,2295,0.028746,3.7851),(3115,2305,0.029959,3.7868),(3115,2315,0.031172,3.7886),(3115,2325,0.032541,3.7903),(3115,2335,0.033945,3.792),(3115,2345,0.035349,3.7938),(3115,2355,0.036753,3.7956),(3115,2365,0.038342,3.7974),(3115,2375,0.039963,3.7992),(3115,2385,0.041584,3.801),(3115,2395,0.043204,3.8029),(3115,2405,0.045044,3.8047),(3115,2415,0.046909,3.8066),(3115,2425,0.048775,3.8085),(3115,2435,0.05064,3.8104),(3115,2445,0.052761,3.8123),(3115,2455,0.054899,3.8142),(3115,2465,0.057037,3.8161),(3115,2475,0.059176,3.818),(3115,2485,0.061609,3.8199),(3115,2495,0.06405,3.8218),(3115,2505,0.06649,3.8237),(3115,2515,0.068936,3.8257),(3115,2525,0.071708,3.8276),(3115,2535,0.074479,3.8295),(3115,2545,0.077251,3.8313),(3115,2555,0.080042,3.8332),(3115,2565,0.083171,3.8351),(3115,2575,0.0863,3.8369),(3115,2585,0.089429,3.8387),(3115,2595,0.092594,3.8405),(3115,2605,0.096104,3.8423),(3115,2615,0.099613,3.844),(3115,2625,0.10312,3.8457),(3115,2635,0.10669,3.8473),(3115,2645,0.11059,3.8489),(3115,2655,0.1145,3.8506),(3115,2665,0.11841,3.852),(3115,2675,0.12239,3.8534),(3115,2685,0.1267,3.8549),(3115,2695,0.13102,3.8563),(3115,2705,0.13533,3.8575),(3115,2715,0.13974,3.8587),(3115,2725,0.14446,3.8598),(3115,2735,0.14919,3.861),(3115,2745,0.15391,3.8618),(3115,2755,0.15874,3.8627),(3115,2765,0.16387,3.8635),(3115,2775,0.169,3.8643),(3115,2785,0.17412,3.8648),(3115,2795,0.17936,3.8652),(3115,2805,0.18487,3.8657),(3115,2815,0.19038,3.866),(3115,2825,0.19589,3.866),(3115,2835,0.20152,3.866),(3115,2845,0.20739,3.8661),(3115,2855,0.21325,3.8659),(3115,2865,0.21912,3.8654),(3115,2875,0.2251,3.8648),(3115,2885,0.23128,3.8643),(3115,2895,0.23746,3.8636),(3115,2905,0.24364,3.8624),(3115,2915,0.24992,3.8613),(3115,2925,0.25637,3.8602),(3115,2935,0.26281,3.8588),(3115,2945,0.26926,3.8571),(3115,2955,0.2758,3.8553),(3115,2965,0.28245,3.8535),(3115,2975,0.2891,3.8515),(3115,2985,0.29575,3.849),(3115,2995,0.30247,3.8465),(3115,3005,0.30927,3.8441),(3115,3015,0.31606,3.8412),(3115,3025,0.32286,3.838),(3115,3035,0.32969,3.8348),(3115,3045,0.33655,3.8317),(3115,3055,0.34341,3.828),(3115,3065,0.35028,3.8241),(3115,3075,0.35714,3.8201),(3115,3085,0.36399,3.8161),(3115,3095,0.37085,3.8117),(3115,3105,0.3777,3.8069),(3115,3115,0.3845,3.8021),(3115,3125,0.39126,3.7973),(3115,3135,0.39803,3.792),(3115,3145,0.40479,3.7864),(3115,3155,0.41144,3.7809),(3115,3165,0.41802,3.7753),(3115,3175,0.4246,3.7691),(3115,3185,0.43118,3.7627),(3115,3195,0.43757,3.7563),(3115,3205,0.44388,3.7499),(3115,3215,0.45018,3.7429),(3115,3225,0.45649,3.7356),(3115,3235,0.46252,3.7284),(3115,3245,0.46845,3.7212),(3115,3255,0.47438,3.7133),(3115,3265,0.48031,3.7053),(3115,3275,0.48587,3.6972),(3115,3285,0.49133,3.6892),(3115,3295,0.49678,3.6806),(3115,3305,0.50223,3.6718),(3115,3315,0.50721,3.6629),(3115,3325,0.51208,3.6541),(3115,3335,0.51695,3.6447),(3115,3345,0.52182,3.6352),(3115,3355,0.52611,3.6257),(3115,3365,0.53029,3.6161),(3115,3375,0.53446,3.606),(3115,3385,0.53864,3.5958),(3115,3395,0.54211,3.5857),(3115,3405,0.54549,3.5755),(3115,3415,0.54887,3.5648),(3115,3425,0.55225,3.554),(3115,3435,0.5548,3.5432),(3115,3445,0.55728,3.5325),(3115,3455,0.55976,3.5213),(3115,3465,0.56224,3.5101),(3115,3475,0.56376,3.4989),(3115,3485,0.56524,3.4876),(3115,3495,0.56672,3.4761),(3115,3505,0.5682,3.4646),(3115,3515,0.5686,3.453),(3115,3525,0.56901,3.4415),(3115,3535,0.56941,3.4297),(3115,3545,0.56976,3.418),(3115,3555,0.56902,3.4063),(3115,3565,0.56827,3.3946),(3115,3575,0.56753,3.3829),(3115,3585,0.56669,3.3712),(3115,3595,0.56475,3.3595),(3115,3605,0.56282,3.3478),(3115,3615,0.56089,3.3364),(3115,3625,0.55881,3.3249),(3115,3635,0.55568,3.3134),(3115,3645,0.55255,3.302),(3115,3655,0.54942,3.291),(3115,3665,0.5461,3.28),(3115,3675,0.5418,3.269),(3115,3685,0.53751,3.2581),(3115,3695,0.53321,3.2478),(3115,3705,0.5287,3.2375),(3115,3715,0.52333,3.2272),(3115,3725,0.51796,3.2171),(3115,3735,0.51259,3.2078),(3115,3745,0.507,3.1985),(3115,3755,0.50072,3.1892),(3115,3765,0.49444,3.1802),(3115,3775,0.48816,3.1722),(3115,3785,0.48171,3.1642),(3115,3795,0.47479,3.1561),(3115,3805,0.46788,3.1485),(3115,3815,0.46096,3.142),(3115,3825,0.45397,3.1354),(3115,3835,0.44681,3.1289),(3115,3845,0.43966,3.1229),(3115,3855,0.4325,3.1179),(3115,3865,0.42544,3.113),(3115,3875,0.41855,3.1081),(3115,3885,0.41166,3.1038),(3115,3895,0.40477,3.1004),(3115,3905,0.44845,3.0971),(3115,3915,0.56768,3.0937),(3115,3925,0.68692,3.09),(3115,3935,0.80615,3.0857),(3115,3945,0.92853,3.0814),(3115,3955,1.0549,3.0772),(3115,3965,1.1813,3.0713),(3115,3975,1.3076,3.0634),(3115,3985,1.3776,3.0556),(3115,3995,1.3867,3.0478),(3115,4005,1.3957,3.0386),(3115,4015,1.4047,3.028),(3115,4025,1.4204,3.0174),(3115,4035,1.4368,3.0055),(3115,4045,1.4532,2.9907),(3115,4055,1.4738,2.9758),(3115,4065,1.4959,2.9603),(3115,4075,1.5181,2.9409),(3115,4085,1.5415,2.9214),(3115,4095,1.566,2.9019),(3115,4105,1.5905,2.8793),(3115,4115,1.5624,2.8565),(3115,4125,1.4472,2.8337),(3115,4135,1.3319,2.8132),(3115,4145,1.2109,2.7933),(3115,4155,1.067,2.7734),(3115,4165,0.92299,2.756),(3115,4175,0.78768,2.7403),(3115,4185,1.0813,2.7246),(3115,4195,1.3749,2.7043),(3115,4205,1.6685,2.678),(3115,4215,1.7182,2.6516),(3115,4225,1.722,2.6251),(3115,4235,1.7258,2.5982),(3115,4245,1.6908,2.5713),(3115,4255,1.6363,2.5443),(3115,4265,1.5817,2.5169),(3115,4275,1.3886,2.4896),(3115,4285,1.0485,2.4622),(3115,4295,0.70834,2.4517),(3115,4305,0.58597,2.4431),(3115,4315,0.95527,2.4345),(3115,4325,1.3246,2.4173),(3115,4335,1.6536,2.3968),(3115,4345,1.7098,2.3763),(3115,4355,1.766,2.3555),(3115,4365,1.8223,2.3345),(3115,4375,1.8307,2.3135),(3115,4385,1.8367,2.2927),(3115,4395,1.8426,2.2723),(3115,4405,1.6282,2.2519),(3115,4415,1.3488,2.2333),(3115,4425,1.0695,2.2229),(3115,4435,0.95364,2.2125),(3115,4445,0.94959,2.2021),(3115,4455,0.94555,2.1921),(3115,4465,1.0649,2.1821),(3115,4475,1.3577,2.1722),(3115,4485,1.6505,2.1549),(3115,4495,1.8748,2.1361),(3115,4505,1.8797,2.1174),(3115,4515,1.8846,2.0991),(3115,4525,1.8857,2.0812),(3115,4535,1.8267,2.0633),(3115,4545,1.7677,2.0464),(3115,4555,1.7087,2.0307),(3115,4565,1.3193,2.0151),(3115,4575,0.88537,2.0029),(3115,4585,0.45144,1.9994),(3115,4595,0.60513,1.9958),(3115,4605,1.0071,1.9905),(3115,4615,1.4091,1.971),(3115,4625,1.6413,1.9516),(3115,4635,1.7197,1.9321),(3115,4645,1.7982,1.9147),(3115,4655,1.8548,1.8975),(3115,4665,1.8704,1.8802),(3115,4675,1.8859,1.8639),(3115,4685,1.8346,1.8479),(3115,4695,1.4537,1.8319),(3115,4705,1.0727,1.8219),(3115,4715,0.6918,1.8162),(3115,4725,0.87885,1.8106),(3115,4735,1.0716,1.803),(3115,4745,1.2643,1.7926),(3115,4755,1.4597,1.7822),(3115,4765,1.6557,1.7708),(3115,4775,1.8516,1.756),(3115,4785,1.9258,1.7413),(3115,4795,1.9296,1.7265),(3115,4805,1.9334,1.7119),(3115,4815,1.844,1.6972),(3115,4825,1.6432,1.6826),(3115,4835,1.4425,1.6723),(3115,4845,1.24,1.6625),(3115,4855,1.0331,1.6528),(3115,4865,0.82622,1.6468),(3115,4875,0.681,1.6425),(3115,4885,1.0969,1.6381),(3115,4895,1.5127,1.6292),(3115,4905,1.9286,1.616),(3115,4915,1.9596,1.6027),(3115,4925,1.9575,1.5893),(3115,4935,1.9554,1.5757),(3115,4945,1.9115,1.562),(3115,4955,1.8531,1.5479),(3115,4965,1.7947,1.5317),(3115,4975,1.4854,1.5155),(3115,4985,0.9826,1.4992),(3115,4995,0.47975,1.4977),(3115,5005,0.3361,1.4966),(3115,5015,0.76348,1.4955),(3115,5025,1.1909,1.4875),(3115,5035,1.559,1.4776),(3115,5045,1.7014,1.4678),(3115,5055,1.8439,1.4562),(3115,5065,1.9821,1.4436),(3115,5075,1.985,1.4309),(3115,5085,1.9879,1.4183),(3115,5095,1.9909,1.4057),(3115,5105,1.7426,1.3931),(3115,5115,1.4504,1.382),(3115,5125,1.1583,1.3754),(3115,5135,1.0139,1.3687),(3115,5145,0.94102,1.3622),(3115,5155,0.86818,1.3574),(3115,5165,1.0208,1.3525),(3115,5175,1.4033,1.3477),(3115,5185,1.7859,1.3364),(3115,5195,2.048,1.3245),(3115,5205,2.0506,1.3126),(3115,5215,2.0531,1.3008),(3115,5225,2.0449,1.289),(3115,5235,1.9695,1.2772),(3115,5245,1.8941,1.2662),(3115,5255,1.8187,1.2558),(3115,5265,1.2841,1.2454),(3115,5275,0.73058,1.2388),(3115,5285,0.17704,1.2385),(3115,5295,0.52711,1.2382),(3115,5305,1.1288,1.2352),(3115,5315,1.7305,1.2209),(3115,5325,1.9945,1.2066),(3115,5335,2.037,1.1923),(3115,5345,2.0795,1.1805),(3115,5355,2.1056,1.1686),(3115,5365,2.1096,1.1568),(3115,5375,2.1137,1.1453),(3115,5385,1.9963,1.1338),(3115,5395,1.5095,1.1223),(3115,5405,1.0226,1.1164),(3115,5415,0.58969,1.1133),(3115,5425,0.87999,1.1103),(3115,5435,1.1703,1.1054),(3115,5445,1.4606,1.0985),(3115,5455,1.7362,1.0916),(3115,5465,2.0101,1.0835),(3115,5475,2.2839,1.0727),(3115,5485,2.3636,1.0619),(3115,5495,2.365,1.0512),(3115,5505,2.3665,1.0407),(3115,5515,2.3679,1.0303),(3115,5525,2.3693,1.0198),(3115,5535,2.3707,1.0096),(3115,5545,2.3721,0.9995),(3115,5555,2.3733,0.98935),(3115,5565,2.3745,0.97943),(3115,5575,2.3757,0.96957),(3115,5585,2.3768,0.95972),(3115,5595,2.3778,0.95003),(3115,5605,2.3789,0.94047),(3115,5615,2.3797,0.93091),(3115,5625,2.3806,0.92146),(3115,5635,2.3815,0.91215),(3115,5645,2.3823,0.90285),(3115,5655,2.383,0.8936),(3115,5665,2.3837,0.88456),(3115,5675,2.3843,0.87552),(3115,5685,2.3849,0.86649),(3115,5695,2.3855,0.85767),(3115,5705,2.386,0.84886),(3115,5715,2.3865,0.84004),(3115,5725,2.3869,0.83141),(3115,5735,2.3873,0.82281),(3115,5745,2.3877,0.81421),(3115,5755,2.388,0.80575),(3115,5765,2.3883,0.79734),(3115,5775,2.3885,0.78894),(3115,5785,2.3887,0.78064),(3115,5795,2.3889,0.77243),(3115,5805,2.389,0.76422),(3115,5815,2.3892,0.75608),(3115,5825,2.3893,0.74805),(3115,5835,2.3893,0.74003),(3115,5845,2.3893,0.73203),(3115,5855,2.3893,0.72419),(3115,5865,2.3892,0.71634),(3115,5875,2.3891,0.70849),(3115,5885,2.389,0.70081),(3115,5895,2.3889,0.69312),(3115,5905,2.3887,0.68543),(3115,5915,2.3885,0.67788),(3115,5925,2.3883,0.67036),(3115,5935,2.388,0.66284),(3115,5945,2.3877,0.65541),(3115,5955,2.3874,0.64805),(3115,5965,2.3871,0.64068),(3115,5975,2.3868,0.63337),(3115,5985,2.3864,0.62614),(3115,5995,1.8249,0.61891),(3115,6005,1.173,0.61338),(3115,6015,0.52106,0.61242),(3115,6025,0.65453,0.61146),(3115,6035,1.1522,0.60979),(3115,6045,1.65,0.60127),(3115,6055,1.9963,0.59276),(3115,6065,2.1941,0.58425),(3115,6075,2.3919,0.57324),(3115,6085,2.5258,0.56201),(3115,6095,2.5279,0.55077),(3115,6105,2.53,0.53957),(3115,6115,2.5321,0.52837),(3115,6125,2.5341,0.51718),(3115,6135,2.5361,0.50607),(3115,6145,2.5381,0.49504),(3115,6155,2.54,0.48401),(3115,6165,2.5419,0.47304),(3115,6175,2.5437,0.46217),(3115,6185,2.5455,0.4513),(3115,6195,2.5472,0.44043),(3115,6205,2.5489,0.42961),(3115,6215,2.5505,0.41878),(3115,6225,2.5521,0.40795),(3115,6235,2.5537,0.39719),(3115,6245,2.5552,0.38642),(3115,6255,2.5567,0.37566),(3115,6265,2.5581,0.36498),(3115,6275,2.5595,0.35431),(3115,6285,2.5607,0.34365),(3115,6295,2.562,0.33303),(3115,6305,2.5632,0.32243),(3115,6315,2.5644,0.31182),(3115,6325,2.5656,0.30126),(3115,6335,2.5668,0.29075),(3115,6345,2.5679,0.28023),(3115,6355,2.5689,0.26973),(3115,6365,2.57,0.25924),(3115,6375,2.5709,0.24875),(3115,6385,2.5718,0.23827),(3115,6395,2.5727,0.22783),(3115,6405,2.5736,0.21738),(3115,6415,2.5743,0.20694),(3115,6425,2.5751,0.19659),(3115,6435,2.5758,0.18624),(3115,6445,2.5765,0.17589),(3115,6455,2.5772,0.16556),(3115,6465,2.5778,0.15524),(3115,6475,2.5783,0.14491),(3115,6485,2.5789,0.13458),(3115,6495,2.5794,0.12425),(3115,6505,2.5798,0.11391),(3115,6515,2.5802,0.1036),(3115,6525,2.5807,0.093326),(3115,6535,2.581,0.083051),(3115,6545,2.5813,0.072773),(3115,6555,2.5816,0.062488),(3115,6565,2.5817,0.052203),(3115,6575,2.5818,0.041921),(3115,6585,2.582,0.031678),(3115,6595,2.1961,0.021436),(3115,6605,1.3842,0.011193),(3115,6615,0.57224,0.009953),(3115,6625,0.001461,0.009869),(3115,6635,0.001459,0.009786),(3115,6645,0.001456,0.009754),(3115,6655,0.001453,0.009745),(3115,6665,0.001451,0.009735),(3115,6675,0.001448,0.009726),(3115,6685,0.001446,0.009716),(3115,6695,0.001444,0.009707),(3115,6705,0.001442,0.009698),(3115,6715,0.001439,0.009688),(3115,6725,0.001437,0.009679),(3115,6735,0.001435,0.00967),(3115,6745,0.001433,0.009661),(3115,6755,0.001431,0.009651),(3115,6765,0.001429,0.009642),(3115,6775,0.001427,0.009633),(3115,6785,0.001426,0.009624),(3115,6795,0.001424,0.009614),(3115,6805,0.001422,0.009605),(3115,6815,0.001421,0.009596),(3115,6825,0.001419,0.009587),(3115,6835,0.001418,0.009578),(3115,6845,0.001416,0.009569),(3115,6855,0.001415,0.00956),(3115,6865,0.001413,0.009551),(3115,6875,0.001412,0.009542),(3115,6885,0.001411,0.009532),(3115,6895,0.001409,0.009523),(3115,6905,0.001408,0.009514),(3115,6915,0.001407,0.009505),(3115,6925,0.001406,0.009496),(3115,6935,0.001404,0.009487),(3115,6945,0.001404,0.009478),(3115,6955,0.001402,0.009469),(3115,6965,0.001401,0.00946),(3115,6975,0.0014,0.009451),(3115,6985,0.001399,0.009443),(3125,5,1e-05,3.6885),(3125,15,3e-05,3.6885),(3125,25,5e-05,3.6885),(3125,35,7.1e-05,3.6885),(3125,45,9.1e-05,3.6885),(3125,55,0.000111,3.6885),(3125,65,0.000131,3.6885),(3125,75,0.000151,3.6885),(3125,85,0.00017,3.6885),(3125,95,0.00019,3.6885),(3125,105,0.00021,3.6886),(3125,115,0.000229,3.6886),(3125,125,0.000249,3.6886),(3125,135,0.000268,3.6886),(3125,145,0.000287,3.6886),(3125,155,0.000306,3.6886),(3125,165,0.000324,3.6886),(3125,175,0.000343,3.6886),(3125,185,0.000361,3.6886),(3125,195,0.000379,3.6886),(3125,205,0.000397,3.6886),(3125,215,0.000415,3.6887),(3125,225,0.000432,3.6887),(3125,235,0.000448,3.6887),(3125,245,0.000465,3.6887),(3125,255,0.000482,3.6887),(3125,265,0.000498,3.6887),(3125,275,0.000513,3.6887),(3125,285,0.000529,3.6888),(3125,295,0.000544,3.6888),(3125,305,0.000559,3.6888),(3125,315,0.000573,3.6888),(3125,325,0.000587,3.6888),(3125,335,0.000601,3.6889),(3125,345,0.000613,3.6889),(3125,355,0.000626,3.6889),(3125,365,0.000638,3.6889),(3125,375,0.000651,3.689),(3125,385,0.000662,3.689),(3125,395,0.000672,3.689),(3125,405,0.000683,3.6891),(3125,415,0.000694,3.6891),(3125,425,0.000703,3.6891),(3125,435,0.000711,3.6891),(3125,445,0.00072,3.6892),(3125,455,0.000729,3.6892),(3125,465,0.000736,3.6892),(3125,475,0.000742,3.6893),(3125,485,0.000749,3.6893),(3125,495,0.000755,3.6894),(3125,505,0.00076,3.6894),(3125,515,0.000764,3.6894),(3125,525,0.000768,3.6895),(3125,535,0.000772,3.6895),(3125,545,0.000774,3.6896),(3125,555,0.000776,3.6896),(3125,565,0.000778,3.6897),(3125,575,0.00078,3.6897),(3125,585,0.00078,3.6898),(3125,595,0.000779,3.6898),(3125,605,0.000779,3.6899),(3125,615,0.000778,3.6899),(3125,625,0.000775,3.69),(3125,635,0.000771,3.6901),(3125,645,0.000768,3.6901),(3125,655,0.000765,3.6902),(3125,665,0.000759,3.6902),(3125,675,0.000753,3.6903),(3125,685,0.000747,3.6904),(3125,695,0.000741,3.6905),(3125,705,0.000732,3.6905),(3125,715,0.000724,3.6906),(3125,725,0.000715,3.6907),(3125,735,0.000706,3.6908),(3125,745,0.000695,3.6908),(3125,755,0.000684,3.6909),(3125,765,0.000673,3.691),(3125,775,0.000661,3.6911),(3125,785,0.000647,3.6912),(3125,795,0.000633,3.6913),(3125,805,0.000619,3.6914),(3125,815,0.000604,3.6915),(3125,825,0.000588,3.6916),(3125,835,0.000571,3.6917),(3125,845,0.000554,3.6918),(3125,855,0.000537,3.6919),(3125,865,0.000518,3.692),(3125,875,0.000499,3.6921),(3125,885,0.00048,3.6922),(3125,895,0.00046,3.6924),(3125,905,0.000439,3.6925),(3125,915,0.000417,3.6926),(3125,925,0.000396,3.6927),(3125,935,0.000374,3.6929),(3125,945,0.000351,3.693),(3125,955,0.000328,3.6931),(3125,965,0.000304,3.6933),(3125,975,0.00028,3.6934),(3125,985,0.000255,3.6936),(3125,995,0.00023,3.6937),(3125,1005,0.000205,3.6939),(3125,1015,0.000179,3.6941),(3125,1025,0.000152,3.6942),(3125,1035,0.000126,3.6944),(3125,1045,9.9e-05,3.6946),(3125,1055,7.2e-05,3.6948),(3125,1065,4.5e-05,3.6949),(3125,1075,1.7e-05,3.6951),(3125,1085,-1e-05,3.6953),(3125,1095,-3.8e-05,3.6955),(3125,1105,-6.5e-05,3.6957),(3125,1115,-9.3e-05,3.6959),(3125,1125,-0.000121,3.6961),(3125,1135,-0.000148,3.6964),(3125,1145,-0.000176,3.6966),(3125,1155,-0.000204,3.6968),(3125,1165,-0.000231,3.697),(3125,1175,-0.000258,3.6973),(3125,1185,-0.000285,3.6975),(3125,1195,-0.000312,3.6978),(3125,1205,-0.000339,3.698),(3125,1215,-0.000365,3.6983),(3125,1225,-0.00039,3.6985),(3125,1235,-0.000416,3.6988),(3125,1245,-0.000441,3.6991),(3125,1255,-0.000465,3.6994),(3125,1265,-0.000487,3.6996),(3125,1275,-0.00051,3.6999),(3125,1285,-0.000533,3.7002),(3125,1295,-0.000553,3.7005),(3125,1305,-0.000572,3.7008),(3125,1315,-0.000592,3.7012),(3125,1325,-0.000611,3.7015),(3125,1335,-0.000627,3.7018),(3125,1345,-0.000642,3.7021),(3125,1355,-0.000657,3.7025),(3125,1365,-0.000672,3.7028),(3125,1375,-0.000682,3.7032),(3125,1385,-0.000692,3.7035),(3125,1395,-0.000702,3.7039),(3125,1405,-0.000711,3.7043),(3125,1415,-0.000715,3.7047),(3125,1425,-0.000718,3.7051),(3125,1435,-0.000721,3.7055),(3125,1445,-0.000724,3.7059),(3125,1455,-0.00072,3.7063),(3125,1465,-0.000715,3.7067),(3125,1475,-0.00071,3.7072),(3125,1485,-0.000705,3.7076),(3125,1495,-0.000691,3.708),(3125,1505,-0.000677,3.7085),(3125,1515,-0.000662,3.709),(3125,1525,-0.000648,3.7094),(3125,1535,-0.000623,3.7099),(3125,1545,-0.000597,3.7104),(3125,1555,-0.000572,3.7109),(3125,1565,-0.000546,3.7114),(3125,1575,-0.000508,3.7119),(3125,1585,-0.00047,3.7125),(3125,1595,-0.000432,3.713),(3125,1605,-0.000393,3.7136),(3125,1615,-0.00034,3.7141),(3125,1625,-0.000288,3.7147),(3125,1635,-0.000235,3.7153),(3125,1645,-0.00018,3.7159),(3125,1655,-0.000111,3.7164),(3125,1665,-4.1e-05,3.717),(3125,1675,2.8e-05,3.7177),(3125,1685,0.000101,3.7183),(3125,1695,0.000189,3.7189),(3125,1705,0.000278,3.7196),(3125,1715,0.000366,3.7203),(3125,1725,0.00046,3.721),(3125,1735,0.00057,3.7216),(3125,1745,0.000681,3.7223),(3125,1755,0.000792,3.7231),(3125,1765,0.00091,3.7238),(3125,1775,0.001046,3.7245),(3125,1785,0.001182,3.7252),(3125,1795,0.001319,3.726),(3125,1805,0.001464,3.7268),(3125,1815,0.00163,3.7276),(3125,1825,0.001795,3.7284),(3125,1835,0.001961,3.7292),(3125,1845,0.002138,3.7301),(3125,1855,0.002337,3.7309),(3125,1865,0.002536,3.7318),(3125,1875,0.002735,3.7326),(3125,1885,0.002949,3.7335),(3125,1895,0.003186,3.7344),(3125,1905,0.003424,3.7354),(3125,1915,0.003662,3.7363),(3125,1925,0.003919,3.7373),(3125,1935,0.004201,3.7382),(3125,1945,0.004484,3.7392),(3125,1955,0.004766,3.7402),(3125,1965,0.005073,3.7413),(3125,1975,0.005407,3.7423),(3125,1985,0.005742,3.7433),(3125,1995,0.006076,3.7444),(3125,2005,0.00644,3.7455),(3125,2015,0.006835,3.7466),(3125,2025,0.007229,3.7478),(3125,2035,0.007624,3.7489),(3125,2045,0.008056,3.7501),(3125,2055,0.00852,3.7513),(3125,2065,0.008984,3.7525),(3125,2075,0.009448,3.7538),(3125,2085,0.009959,3.755),(3125,2095,0.010504,3.7563),(3125,2105,0.011049,3.7576),(3125,2115,0.011594,3.7589),(3125,2125,0.012197,3.7602),(3125,2135,0.012835,3.7616),(3125,2145,0.013474,3.763),(3125,2155,0.014113,3.7644),(3125,2165,0.014824,3.7658),(3125,2175,0.015571,3.7672),(3125,2185,0.016319,3.7687),(3125,2195,0.017067,3.7702),(3125,2205,0.017903,3.7717),(3125,2215,0.018776,3.7732),(3125,2225,0.01965,3.7748),(3125,2235,0.020524,3.7764),(3125,2245,0.021505,3.778),(3125,2255,0.022524,3.7796),(3125,2265,0.023543,3.7813),(3125,2275,0.024562,3.783),(3125,2285,0.025712,3.7847),(3125,2295,0.026898,3.7863),(3125,2305,0.028085,3.7881),(3125,2315,0.029272,3.7899),(3125,2325,0.030615,3.7916),(3125,2335,0.031994,3.7934),(3125,2345,0.033373,3.7952),(3125,2355,0.034752,3.7971),(3125,2365,0.036318,3.7989),(3125,2375,0.037915,3.8008),(3125,2385,0.039513,3.8027),(3125,2395,0.041111,3.8046),(3125,2405,0.04293,3.8065),(3125,2415,0.044776,3.8085),(3125,2425,0.046621,3.8104),(3125,2435,0.048466,3.8124),(3125,2445,0.050571,3.8143),(3125,2455,0.052694,3.8163),(3125,2465,0.054817,3.8183),(3125,2475,0.056941,3.8203),(3125,2485,0.059365,3.8223),(3125,2495,0.061796,3.8243),(3125,2505,0.064228,3.8263),(3125,2515,0.066665,3.8283),(3125,2525,0.069435,3.8303),(3125,2535,0.072206,3.8322),(3125,2545,0.074976,3.8342),(3125,2555,0.077767,3.8362),(3125,2565,0.080905,3.8381),(3125,2575,0.084043,3.8401),(3125,2585,0.087181,3.8419),(3125,2595,0.090356,3.8438),(3125,2605,0.093886,3.8457),(3125,2615,0.097416,3.8475),(3125,2625,0.10095,3.8493),(3125,2635,0.10453,3.851),(3125,2645,0.10847,3.8528),(3125,2655,0.11241,3.8545),(3125,2665,0.11636,3.856),(3125,2675,0.12037,3.8576),(3125,2685,0.12474,3.8591),(3125,2695,0.1291,3.8606),(3125,2705,0.13347,3.8619),(3125,2715,0.13792,3.8632),(3125,2725,0.14271,3.8645),(3125,2735,0.1475,3.8657),(3125,2745,0.15229,3.8667),(3125,2755,0.15719,3.8676),(3125,2765,0.1624,3.8686),(3125,2775,0.16761,3.8694),(3125,2785,0.17282,3.87),(3125,2795,0.17815,3.8706),(3125,2805,0.18376,3.8711),(3125,2815,0.18937,3.8716),(3125,2825,0.19498,3.8717),(3125,2835,0.20071,3.8718),(3125,2845,0.20669,3.8719),(3125,2855,0.21267,3.8718),(3125,2865,0.21865,3.8713),(3125,2875,0.22475,3.8709),(3125,2885,0.23106,3.8704),(3125,2895,0.23737,3.8698),(3125,2905,0.24368,3.8687),(3125,2915,0.2501,3.8677),(3125,2925,0.25669,3.8666),(3125,2935,0.26328,3.8653),(3125,2945,0.26987,3.8636),(3125,2955,0.27656,3.8619),(3125,2965,0.28337,3.8602),(3125,2975,0.29018,3.8581),(3125,2985,0.29699,3.8557),(3125,2995,0.30387,3.8533),(3125,3005,0.31084,3.8508),(3125,3015,0.3178,3.848),(3125,3025,0.32476,3.8448),(3125,3035,0.33176,3.8417),(3125,3045,0.3388,3.8385),(3125,3055,0.34584,3.8349),(3125,3065,0.35288,3.8309),(3125,3075,0.35992,3.8269),(3125,3085,0.36696,3.8229),(3125,3095,0.374,3.8185),(3125,3105,0.38104,3.8137),(3125,3115,0.38803,3.8089),(3125,3125,0.39498,3.8041),(3125,3135,0.40193,3.7988),(3125,3145,0.40888,3.7931),(3125,3155,0.41572,3.7875),(3125,3165,0.42249,3.7818),(3125,3175,0.42926,3.7756),(3125,3185,0.43604,3.7691),(3125,3195,0.44262,3.7627),(3125,3205,0.44912,3.7562),(3125,3215,0.45561,3.7491),(3125,3225,0.46211,3.7418),(3125,3235,0.46833,3.7344),(3125,3245,0.47445,3.7271),(3125,3255,0.48057,3.7191),(3125,3265,0.48669,3.711),(3125,3275,0.49244,3.7028),(3125,3285,0.49808,3.6947),(3125,3295,0.50371,3.6859),(3125,3305,0.50935,3.6769),(3125,3315,0.5145,3.668),(3125,3325,0.51955,3.659),(3125,3335,0.52459,3.6494),(3125,3345,0.52963,3.6397),(3125,3355,0.53408,3.63),(3125,3365,0.53841,3.6203),(3125,3375,0.54275,3.61),(3125,3385,0.54709,3.5996),(3125,3395,0.5507,3.5892),(3125,3405,0.55422,3.5788),(3125,3415,0.55774,3.5679),(3125,3425,0.56126,3.5569),(3125,3435,0.56393,3.546),(3125,3445,0.56652,3.535),(3125,3455,0.56911,3.5235),(3125,3465,0.57171,3.5121),(3125,3475,0.57331,3.5006),(3125,3485,0.57488,3.4891),(3125,3495,0.57644,3.4773),(3125,3505,0.57801,3.4655),(3125,3515,0.57845,3.4537),(3125,3525,0.5789,3.4418),(3125,3535,0.57935,3.4298),(3125,3545,0.57975,3.4178),(3125,3555,0.57901,3.4058),(3125,3565,0.57826,3.3938),(3125,3575,0.57752,3.3818),(3125,3585,0.57668,3.3699),(3125,3595,0.5747,3.3579),(3125,3605,0.57272,3.3459),(3125,3615,0.57073,3.3341),(3125,3625,0.5686,3.3223),(3125,3635,0.56536,3.3106),(3125,3645,0.56212,3.2989),(3125,3655,0.55888,3.2876),(3125,3665,0.55545,3.2763),(3125,3675,0.55098,3.2649),(3125,3685,0.54651,3.2538),(3125,3695,0.54204,3.2432),(3125,3705,0.53734,3.2327),(3125,3715,0.53173,3.2221),(3125,3725,0.52611,3.2118),(3125,3735,0.5205,3.2022),(3125,3745,0.51465,3.1927),(3125,3755,0.50805,3.1832),(3125,3765,0.50146,3.174),(3125,3775,0.49486,3.1658),(3125,3785,0.48807,3.1576),(3125,3795,0.48077,3.1493),(3125,3805,0.47347,3.1416),(3125,3815,0.46617,3.135),(3125,3825,0.45878,3.1284),(3125,3835,0.45119,3.1218),(3125,3845,0.44361,3.1158),(3125,3855,0.43603,3.1109),(3125,3865,0.42854,3.1061),(3125,3875,0.42124,3.1012),(3125,3885,0.41394,3.097),(3125,3895,0.40664,3.0939),(3125,3905,0.44993,3.0907),(3125,3915,0.56879,3.0875),(3125,3925,0.68764,3.0843),(3125,3935,0.8065,3.0808),(3125,3945,0.92887,3.0774),(3125,3955,1.0557,3.074),(3125,3965,1.1825,3.0689),(3125,3975,1.3093,3.0619),(3125,3985,1.38,3.055),(3125,3995,1.3899,3.048),(3125,4005,1.3999,3.0394),(3125,4015,1.4099,3.0291),(3125,4025,1.427,3.0188),(3125,4035,1.4449,3.0069),(3125,4045,1.4628,2.9917),(3125,4055,1.485,2.9766),(3125,4065,1.5087,2.9607),(3125,4075,1.5324,2.9405),(3125,4085,1.5571,2.9203),(3125,4095,1.5826,2.9),(3125,4105,1.6081,2.8765),(3125,4115,1.5804,2.8528),(3125,4125,1.4645,2.8291),(3125,4135,1.3487,2.8079),(3125,4145,1.2271,2.7874),(3125,4155,1.0822,2.7668),(3125,4165,0.93737,2.749),(3125,4175,0.80125,2.7328),(3125,4185,1.0972,2.7166),(3125,4195,1.3932,2.6958),(3125,4205,1.6892,2.6688),(3125,4215,1.7394,2.6419),(3125,4225,1.7432,2.6148),(3125,4235,1.7471,2.5875),(3125,4245,1.7123,2.5601),(3125,4255,1.658,2.5328),(3125,4265,1.6037,2.5051),(3125,4275,1.4084,2.4774),(3125,4285,1.0635,2.4498),(3125,4295,0.71857,2.4392),(3125,4305,0.59365,2.4306),(3125,4315,0.96548,2.422),(3125,4325,1.3373,2.4047),(3125,4335,1.6685,2.384),(3125,4345,1.7247,2.3634),(3125,4355,1.7808,2.3425),(3125,4365,1.837,2.3214),(3125,4375,1.8452,2.3003),(3125,4385,1.851,2.2795),(3125,4395,1.8568,2.2589),(3125,4405,1.6407,2.2384),(3125,4415,1.3591,2.2197),(3125,4425,1.0775,2.2093),(3125,4435,0.96069,2.1988),(3125,4445,0.95645,2.1883),(3125,4455,0.95221,2.1784),(3125,4465,1.0722,2.1685),(3125,4475,1.3667,2.1586),(3125,4485,1.6612,2.1415),(3125,4495,1.8868,2.1228),(3125,4505,1.8914,2.1041),(3125,4515,1.8961,2.086),(3125,4525,1.8968,2.0682),(3125,4535,1.8373,2.0503),(3125,4545,1.7778,2.0336),(3125,4555,1.7182,2.0181),(3125,4565,1.3268,2.0026),(3125,4575,0.89064,1.9906),(3125,4585,0.45447,1.9871),(3125,4595,0.61002,1.9836),(3125,4605,1.0156,1.9782),(3125,4615,1.4212,1.9588),(3125,4625,1.6546,1.9393),(3125,4635,1.7321,1.9198),(3125,4645,1.8095,1.9025),(3125,4655,1.8654,1.8853),(3125,4665,1.8805,1.8681),(3125,4675,1.8955,1.8519),(3125,4685,1.8436,1.836),(3125,4695,1.4608,1.82),(3125,4705,1.0779,1.8101),(3125,4715,0.695,1.8045),(3125,4725,0.88285,1.7989),(3125,4735,1.0764,1.7914),(3125,4745,1.27,1.781),(3125,4755,1.4661,1.7707),(3125,4765,1.6628,1.7594),(3125,4775,1.8595,1.7446),(3125,4785,1.9339,1.7298),(3125,4795,1.9376,1.7151),(3125,4805,1.9414,1.7005),(3125,4815,1.8516,1.6859),(3125,4825,1.6499,1.6713),(3125,4835,1.4483,1.6609),(3125,4845,1.2449,1.6512),(3125,4855,1.0371,1.6415),(3125,4865,0.8292,1.6355),(3125,4875,0.68323,1.6311),(3125,4885,1.1004,1.6268),(3125,4895,1.5177,1.618),(3125,4905,1.9349,1.6047),(3125,4915,1.9661,1.5915),(3125,4925,1.9642,1.5782),(3125,4935,1.9622,1.5645),(3125,4945,1.9191,1.5509),(3125,4955,1.8617,1.5368),(3125,4965,1.8042,1.5206),(3125,4975,1.4938,1.5043),(3125,4985,0.98792,1.4881),(3125,4995,0.48208,1.4866),(3125,5005,0.33708,1.4855),(3125,5015,0.76572,1.4844),(3125,5025,1.1944,1.4764),(3125,5035,1.5636,1.4666),(3125,5045,1.7064,1.4568),(3125,5055,1.8492,1.4452),(3125,5065,1.9879,1.4326),(3125,5075,1.9908,1.42),(3125,5085,1.9936,1.4073),(3125,5095,1.9965,1.3948),(3125,5105,1.7475,1.3822),(3125,5115,1.4545,1.3712),(3125,5125,1.1616,1.3645),(3125,5135,1.0166,1.3579),(3125,5145,0.94344,1.3514),(3125,5155,0.87028,1.3466),(3125,5165,1.0232,1.3417),(3125,5175,1.4066,1.3369),(3125,5185,1.79,1.3257),(3125,5195,2.0527,1.3138),(3125,5205,2.0553,1.3019),(3125,5215,2.0578,1.2901),(3125,5225,2.0495,1.2784),(3125,5235,1.9739,1.2666),(3125,5245,1.8983,1.2556),(3125,5255,1.8228,1.2452),(3125,5265,1.287,1.2349),(3125,5275,0.73219,1.2283),(3125,5285,0.17741,1.228),(3125,5295,0.52898,1.2277),(3125,5305,1.133,1.2247),(3125,5315,1.7369,1.2104),(3125,5325,2.0012,1.1962),(3125,5335,2.0428,1.182),(3125,5345,2.0844,1.1702),(3125,5355,2.11,1.1585),(3125,5365,2.1139,1.1467),(3125,5375,2.1178,1.1352),(3125,5385,2.0001,1.1238),(3125,5395,1.5123,1.1123),(3125,5405,1.0246,1.1064),(3125,5415,0.59077,1.1034),(3125,5425,0.88128,1.1003),(3125,5435,1.1718,1.0955),(3125,5445,1.4623,1.0887),(3125,5455,1.7382,1.0818),(3125,5465,2.0123,1.0738),(3125,5475,2.2864,1.0632),(3125,5485,2.3661,1.0525),(3125,5495,2.3674,1.0419),(3125,5505,2.3688,1.0315),(3125,5515,2.3701,1.0212),(3125,5525,2.3714,1.0108),(3125,5535,2.3727,1.0008),(3125,5545,2.374,0.99072),(3125,5555,2.3751,0.98068),(3125,5565,2.3762,0.97086),(3125,5575,2.3773,0.9611),(3125,5585,2.3783,0.95135),(3125,5595,2.3793,0.94176),(3125,5605,2.3802,0.9323),(3125,5615,2.381,0.92284),(3125,5625,2.3818,0.91348),(3125,5635,2.3826,0.90427),(3125,5645,2.3833,0.89506),(3125,5655,2.384,0.88591),(3125,5665,2.3846,0.87696),(3125,5675,2.3852,0.86801),(3125,5685,2.3857,0.85907),(3125,5695,2.3862,0.85034),(3125,5705,2.3866,0.84161),(3125,5715,2.387,0.83288),(3125,5725,2.3874,0.82434),(3125,5735,2.3878,0.81582),(3125,5745,2.388,0.80731),(3125,5755,2.3883,0.79893),(3125,5765,2.3885,0.79061),(3125,5775,2.3887,0.78229),(3125,5785,2.3888,0.77408),(3125,5795,2.389,0.76595),(3125,5805,2.3891,0.75782),(3125,5815,2.3891,0.74975),(3125,5825,2.3892,0.74181),(3125,5835,2.3891,0.73386),(3125,5845,2.3891,0.72594),(3125,5855,2.389,0.71817),(3125,5865,2.3889,0.7104),(3125,5875,2.3888,0.70263),(3125,5885,2.3886,0.69501),(3125,5895,2.3884,0.6874),(3125,5905,2.3882,0.67979),(3125,5915,2.388,0.6723),(3125,5925,2.3877,0.66485),(3125,5935,2.3874,0.6574),(3125,5945,2.3871,0.65005),(3125,5955,2.3867,0.64275),(3125,5965,2.3864,0.63545),(3125,5975,2.386,0.62821),(3125,5985,2.3856,0.62104),(3125,5995,1.8242,0.61387),(3125,6005,1.1726,0.6084),(3125,6015,0.52087,0.60744),(3125,6025,0.65497,0.60649),(3125,6035,1.1535,0.60484),(3125,6045,1.6521,0.59639),(3125,6055,1.9989,0.58795),(3125,6065,2.1969,0.57951),(3125,6075,2.395,0.56859),(3125,6085,2.529,0.55745),(3125,6095,2.5311,0.54631),(3125,6105,2.5332,0.53519),(3125,6115,2.5353,0.52409),(3125,6125,2.5372,0.51298),(3125,6135,2.5392,0.50197),(3125,6145,2.5411,0.49103),(3125,6155,2.543,0.48009),(3125,6165,2.5448,0.46921),(3125,6175,2.5466,0.45843),(3125,6185,2.5483,0.44765),(3125,6195,2.55,0.43688),(3125,6205,2.5517,0.42613),(3125,6215,2.5533,0.41539),(3125,6225,2.5549,0.40465),(3125,6235,2.5564,0.39398),(3125,6245,2.5579,0.3833),(3125,6255,2.5593,0.37263),(3125,6265,2.5607,0.36204),(3125,6275,2.5621,0.35147),(3125,6285,2.5633,0.3409),(3125,6295,2.5646,0.33035),(3125,6305,2.5658,0.31981),(3125,6315,2.567,0.30927),(3125,6325,2.5681,0.29879),(3125,6335,2.5693,0.28837),(3125,6345,2.5703,0.27796),(3125,6355,2.5714,0.26755),(3125,6365,2.5724,0.25715),(3125,6375,2.5733,0.24675),(3125,6385,2.5742,0.23636),(3125,6395,2.5751,0.226),(3125,6405,2.5759,0.21564),(3125,6415,2.5767,0.20528),(3125,6425,2.5774,0.19502),(3125,6435,2.5782,0.18476),(3125,6445,2.5788,0.1745),(3125,6455,2.5794,0.16426),(3125,6465,2.5801,0.15402),(3125,6475,2.5806,0.14379),(3125,6485,2.5811,0.13354),(3125,6495,2.5817,0.12329),(3125,6505,2.5821,0.11305),(3125,6515,2.5825,0.10282),(3125,6525,2.5829,0.092639),(3125,6535,2.5832,0.082453),(3125,6545,2.5835,0.072268),(3125,6555,2.5838,0.062085),(3125,6565,2.5839,0.051903),(3125,6575,2.5841,0.04172),(3125,6585,2.5842,0.031544),(3125,6595,2.198,0.021368),(3125,6605,1.3854,0.011192),(3125,6615,0.57274,0.009957),(3125,6625,0.001466,0.00987),(3125,6635,0.001464,0.009784),(3125,6645,0.001461,0.009752),(3125,6655,0.001458,0.009742),(3125,6665,0.001456,0.009733),(3125,6675,0.001453,0.009723),(3125,6685,0.001451,0.009714),(3125,6695,0.001449,0.009705),(3125,6705,0.001446,0.009695),(3125,6715,0.001444,0.009686),(3125,6725,0.001442,0.009677),(3125,6735,0.00144,0.009668),(3125,6745,0.001438,0.009659),(3125,6755,0.001436,0.009649),(3125,6765,0.001434,0.00964),(3125,6775,0.001432,0.009631),(3125,6785,0.00143,0.009622),(3125,6795,0.001429,0.009613),(3125,6805,0.001427,0.009604),(3125,6815,0.001425,0.009595),(3125,6825,0.001424,0.009585),(3125,6835,0.001422,0.009576),(3125,6845,0.001421,0.009567),(3125,6855,0.001419,0.009558),(3125,6865,0.001418,0.009549),(3125,6875,0.001416,0.00954),(3125,6885,0.001415,0.009531),(3125,6895,0.001414,0.009522),(3125,6905,0.001413,0.009513),(3125,6915,0.001411,0.009504),(3125,6925,0.00141,0.009495),(3125,6935,0.001409,0.009486),(3125,6945,0.001408,0.009477),(3125,6955,0.001407,0.009468),(3125,6965,0.001406,0.009459),(3125,6975,0.001405,0.009451),(3125,6985,0.001404,0.009442),(3135,5,1e-05,3.6885),(3135,15,2.9e-05,3.6885),(3135,25,4.9e-05,3.6885),(3135,35,6.8e-05,3.6885),(3135,45,8.8e-05,3.6885),(3135,55,0.000107,3.6885),(3135,65,0.000126,3.6886),(3135,75,0.000145,3.6886),(3135,85,0.000164,3.6886),(3135,95,0.000183,3.6886),(3135,105,0.000202,3.6886),(3135,115,0.000221,3.6886),(3135,125,0.00024,3.6886),(3135,135,0.000258,3.6886),(3135,145,0.000276,3.6886),(3135,155,0.000294,3.6886),(3135,165,0.000312,3.6886),(3135,175,0.00033,3.6886),(3135,185,0.000348,3.6886),(3135,195,0.000365,3.6886),(3135,205,0.000382,3.6887),(3135,215,0.000399,3.6887),(3135,225,0.000415,3.6887),(3135,235,0.000431,3.6887),(3135,245,0.000447,3.6887),(3135,255,0.000463,3.6887),(3135,265,0.000478,3.6887),(3135,275,0.000492,3.6888),(3135,285,0.000507,3.6888),(3135,295,0.000522,3.6888),(3135,305,0.000535,3.6888),(3135,315,0.000548,3.6888),(3135,325,0.000561,3.6889),(3135,335,0.000575,3.6889),(3135,345,0.000586,3.6889),(3135,355,0.000598,3.6889),(3135,365,0.000609,3.689),(3135,375,0.000621,3.689),(3135,385,0.00063,3.689),(3135,395,0.00064,3.689),(3135,405,0.00065,3.6891),(3135,415,0.000659,3.6891),(3135,425,0.000667,3.6891),(3135,435,0.000675,3.6892),(3135,445,0.000682,3.6892),(3135,455,0.00069,3.6892),(3135,465,0.000695,3.6893),(3135,475,0.0007,3.6893),(3135,485,0.000706,3.6893),(3135,495,0.000711,3.6894),(3135,505,0.000714,3.6894),(3135,515,0.000717,3.6894),(3135,525,0.00072,3.6895),(3135,535,0.000723,3.6895),(3135,545,0.000723,3.6896),(3135,555,0.000724,3.6896),(3135,565,0.000724,3.6897),(3135,575,0.000724,3.6897),(3135,585,0.000722,3.6898),(3135,595,0.00072,3.6898),(3135,605,0.000718,3.6899),(3135,615,0.000716,3.6899),(3135,625,0.000711,3.69),(3135,635,0.000706,3.69),(3135,645,0.000701,3.6901),(3135,655,0.000695,3.6902),(3135,665,0.000688,3.6902),(3135,675,0.00068,3.6903),(3135,685,0.000672,3.6904),(3135,695,0.000664,3.6904),(3135,705,0.000653,3.6905),(3135,715,0.000642,3.6906),(3135,725,0.000632,3.6907),(3135,735,0.000621,3.6907),(3135,745,0.000607,3.6908),(3135,755,0.000594,3.6909),(3135,765,0.000581,3.691),(3135,775,0.000566,3.6911),(3135,785,0.00055,3.6912),(3135,795,0.000534,3.6913),(3135,805,0.000517,3.6914),(3135,815,0.0005,3.6915),(3135,825,0.00048,3.6916),(3135,835,0.000461,3.6917),(3135,845,0.000442,3.6918),(3135,855,0.000421,3.6919),(3135,865,0.000399,3.692),(3135,875,0.000377,3.6921),(3135,885,0.000355,3.6922),(3135,895,0.000332,3.6923),(3135,905,0.000308,3.6925),(3135,915,0.000284,3.6926),(3135,925,0.00026,3.6927),(3135,935,0.000234,3.6929),(3135,945,0.000208,3.693),(3135,955,0.000181,3.6931),(3135,965,0.000154,3.6933),(3135,975,0.000127,3.6934),(3135,985,9.8e-05,3.6936),(3135,995,6.9e-05,3.6937),(3135,1005,4e-05,3.6939),(3135,1015,1e-05,3.694),(3135,1025,-2e-05,3.6942),(3135,1035,-5.1e-05,3.6944),(3135,1045,-8.1e-05,3.6946),(3135,1055,-0.000113,3.6947),(3135,1065,-0.000144,3.6949),(3135,1075,-0.000176,3.6951),(3135,1085,-0.000207,3.6953),(3135,1095,-0.000239,3.6955),(3135,1105,-0.000272,3.6957),(3135,1115,-0.000304,3.6959),(3135,1125,-0.000336,3.6961),(3135,1135,-0.000369,3.6963),(3135,1145,-0.000401,3.6965),(3135,1155,-0.000433,3.6968),(3135,1165,-0.000466,3.697),(3135,1175,-0.000498,3.6972),(3135,1185,-0.00053,3.6975),(3135,1195,-0.000562,3.6977),(3135,1205,-0.000594,3.698),(3135,1215,-0.000626,3.6982),(3135,1225,-0.000657,3.6985),(3135,1235,-0.000688,3.6988),(3135,1245,-0.000718,3.699),(3135,1255,-0.000748,3.6993),(3135,1265,-0.000777,3.6996),(3135,1275,-0.000805,3.6999),(3135,1285,-0.000834,3.7002),(3135,1295,-0.00086,3.7005),(3135,1305,-0.000886,3.7008),(3135,1315,-0.000912,3.7011),(3135,1325,-0.000938,3.7015),(3135,1335,-0.00096,3.7018),(3135,1345,-0.000982,3.7021),(3135,1355,-0.001003,3.7025),(3135,1365,-0.001025,3.7028),(3135,1375,-0.001043,3.7032),(3135,1385,-0.001059,3.7035),(3135,1395,-0.001076,3.7039),(3135,1405,-0.001093,3.7043),(3135,1415,-0.001104,3.7047),(3135,1425,-0.001115,3.7051),(3135,1435,-0.001125,3.7055),(3135,1445,-0.001136,3.7059),(3135,1455,-0.00114,3.7063),(3135,1465,-0.001143,3.7067),(3135,1475,-0.001146,3.7072),(3135,1485,-0.001149,3.7076),(3135,1495,-0.001144,3.7081),(3135,1505,-0.001138,3.7085),(3135,1515,-0.001132,3.709),(3135,1525,-0.001126,3.7095),(3135,1535,-0.00111,3.7099),(3135,1545,-0.001094,3.7104),(3135,1555,-0.001078,3.7109),(3135,1565,-0.001061,3.7115),(3135,1575,-0.001033,3.712),(3135,1585,-0.001005,3.7125),(3135,1595,-0.000977,3.7131),(3135,1605,-0.000947,3.7136),(3135,1615,-0.000905,3.7142),(3135,1625,-0.000863,3.7147),(3135,1635,-0.000821,3.7153),(3135,1645,-0.000776,3.7159),(3135,1655,-0.000718,3.7165),(3135,1665,-0.00066,3.7171),(3135,1675,-0.000602,3.7178),(3135,1685,-0.00054,3.7184),(3135,1695,-0.000464,3.719),(3135,1705,-0.000387,3.7197),(3135,1715,-0.000311,3.7204),(3135,1725,-0.00023,3.7211),(3135,1735,-0.000132,3.7217),(3135,1745,-3.4e-05,3.7224),(3135,1755,6.4e-05,3.7232),(3135,1765,0.000169,3.7239),(3135,1775,0.000291,3.7246),(3135,1785,0.000414,3.7254),(3135,1795,0.000536,3.7262),(3135,1805,0.000668,3.727),(3135,1815,0.000818,3.7278),(3135,1825,0.000969,3.7286),(3135,1835,0.00112,3.7294),(3135,1845,0.001282,3.7302),(3135,1855,0.001465,3.7311),(3135,1865,0.001648,3.732),(3135,1875,0.001831,3.7329),(3135,1885,0.002029,3.7338),(3135,1895,0.00225,3.7347),(3135,1905,0.00247,3.7356),(3135,1915,0.002691,3.7366),(3135,1925,0.00293,3.7375),(3135,1935,0.003194,3.7385),(3135,1945,0.003459,3.7395),(3135,1955,0.003723,3.7405),(3135,1965,0.004011,3.7416),(3135,1975,0.004325,3.7426),(3135,1985,0.00464,3.7437),(3135,1995,0.004955,3.7448),(3135,2005,0.005299,3.7459),(3135,2015,0.005673,3.747),(3135,2025,0.006046,3.7482),(3135,2035,0.00642,3.7494),(3135,2045,0.00683,3.7506),(3135,2055,0.007272,3.7517),(3135,2065,0.007714,3.753),(3135,2075,0.008156,3.7543),(3135,2085,0.008644,3.7555),(3135,2095,0.009166,3.7568),(3135,2105,0.009687,3.7581),(3135,2115,0.010209,3.7595),(3135,2125,0.010787,3.7608),(3135,2135,0.011402,3.7622),(3135,2145,0.012016,3.7636),(3135,2155,0.01263,3.7651),(3135,2165,0.013315,3.7665),(3135,2175,0.014037,3.768),(3135,2185,0.01476,3.7695),(3135,2195,0.015482,3.771),(3135,2205,0.016292,3.7726),(3135,2215,0.017139,3.7741),(3135,2225,0.017987,3.7757),(3135,2235,0.018834,3.7773),(3135,2245,0.019789,3.779),(3135,2255,0.020782,3.7806),(3135,2265,0.021774,3.7823),(3135,2275,0.022767,3.7841),(3135,2285,0.02389,3.7858),(3135,2295,0.025051,3.7875),(3135,2305,0.026211,3.7893),(3135,2315,0.027372,3.7911),(3135,2325,0.02869,3.793),(3135,2335,0.030043,3.7948),(3135,2345,0.031397,3.7967),(3135,2355,0.032751,3.7986),(3135,2365,0.034293,3.8005),(3135,2375,0.035868,3.8024),(3135,2385,0.037442,3.8044),(3135,2395,0.039017,3.8063),(3135,2405,0.040816,3.8083),(3135,2415,0.042642,3.8103),(3135,2425,0.044467,3.8123),(3135,2435,0.046292,3.8144),(3135,2445,0.048382,3.8164),(3135,2455,0.05049,3.8184),(3135,2465,0.052598,3.8205),(3135,2475,0.054705,3.8226),(3135,2485,0.05712,3.8246),(3135,2495,0.059543,3.8267),(3135,2505,0.061966,3.8288),(3135,2515,0.064393,3.8309),(3135,2525,0.067163,3.8329),(3135,2535,0.069932,3.835),(3135,2545,0.072702,3.8371),(3135,2555,0.075492,3.8391),(3135,2565,0.078639,3.8412),(3135,2575,0.081786,3.8432),(3135,2585,0.084933,3.8452),(3135,2595,0.088117,3.8472),(3135,2605,0.091668,3.8491),(3135,2615,0.095219,3.8511),(3135,2625,0.09877,3.8529),(3135,2635,0.10238,3.8548),(3135,2645,0.10635,3.8566),(3135,2655,0.11033,3.8584),(3135,2665,0.1143,3.8601),(3135,2675,0.11836,3.8617),(3135,2685,0.12277,3.8634),(3135,2695,0.12718,3.865),(3135,2705,0.1316,3.8664),(3135,2715,0.13611,3.8678),(3135,2725,0.14096,3.8692),(3135,2735,0.14582,3.8705),(3135,2745,0.15068,3.8716),(3135,2755,0.15564,3.8726),(3135,2765,0.16093,3.8737),(3135,2775,0.16623,3.8747),(3135,2785,0.17152,3.8753),(3135,2795,0.17693,3.876),(3135,2805,0.18264,3.8767),(3135,2815,0.18835,3.8772),(3135,2825,0.19406,3.8774),(3135,2835,0.19989,3.8776),(3135,2845,0.20599,3.8778),(3135,2855,0.21208,3.8778),(3135,2865,0.21818,3.8774),(3135,2875,0.2244,3.877),(3135,2885,0.23084,3.8767),(3135,2895,0.23728,3.8761),(3135,2905,0.24372,3.8751),(3135,2915,0.25029,3.8741),(3135,2925,0.25702,3.8732),(3135,2935,0.26375,3.8719),(3135,2945,0.27049,3.8702),(3135,2955,0.27733,3.8686),(3135,2965,0.28429,3.8669),(3135,2975,0.29126,3.8649),(3135,2985,0.29823,3.8625),(3135,2995,0.30527,3.8602),(3135,3005,0.3124,3.8578),(3135,3015,0.31953,3.855),(3135,3025,0.32666,3.8518),(3135,3035,0.33384,3.8487),(3135,3045,0.34106,3.8455),(3135,3055,0.34827,3.8419),(3135,3065,0.35549,3.8379),(3135,3075,0.36271,3.8339),(3135,3085,0.36993,3.83),(3135,3095,0.37716,3.8255),(3135,3105,0.38438,3.8207),(3135,3115,0.39155,3.8158),(3135,3125,0.39869,3.811),(3135,3135,0.40583,3.8057),(3135,3145,0.41298,3.8),(3135,3155,0.42,3.7943),(3135,3165,0.42697,3.7886),(3135,3175,0.43393,3.7823),(3135,3185,0.44089,3.7758),(3135,3195,0.44767,3.7692),(3135,3205,0.45436,3.7627),(3135,3215,0.46105,3.7555),(3135,3225,0.46773,3.7481),(3135,3235,0.47415,3.7406),(3135,3245,0.48046,3.7332),(3135,3255,0.48676,3.7252),(3135,3265,0.49307,3.7169),(3135,3275,0.499,3.7086),(3135,3285,0.50482,3.7003),(3135,3295,0.51064,3.6914),(3135,3305,0.51646,3.6823),(3135,3315,0.52179,3.6732),(3135,3325,0.52701,3.6641),(3135,3335,0.53222,3.6543),(3135,3345,0.53744,3.6444),(3135,3355,0.54205,3.6345),(3135,3365,0.54654,3.6247),(3135,3375,0.55104,3.6142),(3135,3385,0.55554,3.6036),(3135,3395,0.55929,3.593),(3135,3405,0.56295,3.5824),(3135,3415,0.56661,3.5712),(3135,3425,0.57027,3.56),(3135,3435,0.57305,3.5488),(3135,3445,0.57576,3.5376),(3135,3455,0.57847,3.5259),(3135,3465,0.58118,3.5141),(3135,3475,0.58286,3.5024),(3135,3485,0.58451,3.4907),(3135,3495,0.58616,3.4786),(3135,3505,0.58781,3.4665),(3135,3515,0.5883,3.4544),(3135,3525,0.5888,3.4423),(3135,3535,0.58929,3.43),(3135,3545,0.58974,3.4177),(3135,3555,0.589,3.4054),(3135,3565,0.58826,3.3931),(3135,3575,0.58752,3.3808),(3135,3585,0.58667,3.3685),(3135,3595,0.58464,3.3562),(3135,3605,0.58261,3.3439),(3135,3615,0.58058,3.3318),(3135,3625,0.57838,3.3197),(3135,3635,0.57504,3.3076),(3135,3645,0.57169,3.2956),(3135,3655,0.56835,3.284),(3135,3665,0.56479,3.2724),(3135,3675,0.56015,3.2607),(3135,3685,0.55551,3.2493),(3135,3695,0.55087,3.2384),(3135,3705,0.54598,3.2276),(3135,3715,0.54013,3.2167),(3135,3725,0.53427,3.2061),(3135,3735,0.52841,3.1963),(3135,3745,0.52229,3.1865),(3135,3755,0.51538,3.1768),(3135,3765,0.50847,3.1673),(3135,3775,0.50156,3.159),(3135,3785,0.49443,3.1506),(3135,3795,0.48674,3.1422),(3135,3805,0.47906,3.1343),(3135,3815,0.47137,3.1277),(3135,3825,0.46358,3.121),(3135,3835,0.45557,3.1143),(3135,3845,0.44756,3.1083),(3135,3855,0.43955,3.1035),(3135,3865,0.43165,3.0987),(3135,3875,0.42394,3.0939),(3135,3885,0.41623,3.0898),(3135,3895,0.40851,3.0869),(3135,3905,0.4514,3.084),(3135,3915,0.56989,3.0811),(3135,3925,0.68837,3.0783),(3135,3935,0.80686,3.0759),(3135,3945,0.92921,3.0734),(3135,3955,1.0565,3.071),(3135,3965,1.1837,3.0669),(3135,3975,1.311,3.0609),(3135,3985,1.3824,3.0549),(3135,3995,1.3932,3.0489),(3135,4005,1.4041,3.0409),(3135,4015,1.415,3.0308),(3135,4025,1.4337,3.0208),(3135,4035,1.4531,3.009),(3135,4045,1.4725,2.9934),(3135,4055,1.4962,2.9779),(3135,4065,1.5214,2.9615),(3135,4075,1.5467,2.9404),(3135,4085,1.5726,2.9193),(3135,4095,1.5991,2.8982),(3135,4105,1.6257,2.8736),(3135,4115,1.5984,2.8489),(3135,4125,1.4819,2.8242),(3135,4135,1.3654,2.8022),(3135,4145,1.2432,2.781),(3135,4155,1.0975,2.7598),(3135,4165,0.95175,2.7413),(3135,4175,0.81483,2.7247),(3135,4185,1.1132,2.708),(3135,4195,1.4116,2.6867),(3135,4205,1.7099,2.6591),(3135,4215,1.7605,2.6316),(3135,4225,1.7644,2.604),(3135,4235,1.7684,2.5762),(3135,4245,1.7338,2.5485),(3135,4255,1.6798,2.5208),(3135,4265,1.6257,2.4929),(3135,4275,1.4282,2.4649),(3135,4285,1.0785,2.437),(3135,4295,0.72881,2.4264),(3135,4305,0.60133,2.4178),(3135,4315,0.97569,2.4092),(3135,4325,1.35,2.3918),(3135,4335,1.6834,2.371),(3135,4345,1.7395,2.3502),(3135,4355,1.7956,2.3293),(3135,4365,1.8517,2.3081),(3135,4375,1.8598,2.287),(3135,4385,1.8654,2.2661),(3135,4395,1.871,2.2454),(3135,4405,1.6531,2.2248),(3135,4415,1.3694,2.206),(3135,4425,1.0856,2.1955),(3135,4435,0.96774,2.1849),(3135,4445,0.96331,2.1744),(3135,4455,0.95887,2.1646),(3135,4465,1.0795,2.1548),(3135,4475,1.3757,2.1449),(3135,4485,1.672,2.1279),(3135,4495,1.8988,2.1093),(3135,4505,1.9032,2.0908),(3135,4515,1.9075,2.0727),(3135,4525,1.908,2.055),(3135,4535,1.8479,2.0372),(3135,4545,1.7879,2.0206),(3135,4555,1.7278,2.0053),(3135,4565,1.3343,1.99),(3135,4575,0.89591,1.9781),(3135,4585,0.4575,1.9747),(3135,4595,0.61492,1.9712),(3135,4605,1.0241,1.9659),(3135,4615,1.4332,1.9464),(3135,4625,1.6678,1.9269),(3135,4635,1.7444,1.9075),(3135,4645,1.8209,1.8902),(3135,4655,1.876,1.8731),(3135,4665,1.8906,1.856),(3135,4675,1.9052,1.8398),(3135,4685,1.8526,1.8239),(3135,4695,1.4678,1.8081),(3135,4705,1.083,1.7982),(3135,4715,0.6982,1.7926),(3135,4725,0.88686,1.7871),(3135,4735,1.0813,1.7797),(3135,4745,1.2756,1.7694),(3135,4755,1.4725,1.7591),(3135,4765,1.6699,1.7478),(3135,4775,1.8673,1.7331),(3135,4785,1.942,1.7184),(3135,4795,1.9456,1.7036),(3135,4805,1.9493,1.6891),(3135,4815,1.8591,1.6745),(3135,4825,1.6566,1.6599),(3135,4835,1.4541,1.6495),(3135,4845,1.2499,1.6398),(3135,4855,1.041,1.6301),(3135,4865,0.83218,1.6241),(3135,4875,0.68546,1.6198),(3135,4885,1.104,1.6155),(3135,4895,1.5226,1.6067),(3135,4905,1.9412,1.5935),(3135,4915,1.9727,1.5803),(3135,4925,1.9709,1.567),(3135,4935,1.9691,1.5533),(3135,4945,1.9267,1.5397),(3135,4955,1.8702,1.5256),(3135,4965,1.8138,1.5094),(3135,4975,1.5021,1.4932),(3135,4985,0.99323,1.4769),(3135,4995,0.48441,1.4755),(3135,5005,0.33806,1.4744),(3135,5015,0.76795,1.4733),(3135,5025,1.1978,1.4653),(3135,5035,1.5681,1.4555),(3135,5045,1.7114,1.4458),(3135,5055,1.8546,1.4342),(3135,5065,1.9936,1.4216),(3135,5075,1.9965,1.409),(3135,5085,1.9993,1.3964),(3135,5095,2.0021,1.3839),(3135,5105,1.7524,1.3713),(3135,5115,1.4586,1.3603),(3135,5125,1.1648,1.3537),(3135,5135,1.0193,1.347),(3135,5145,0.94586,1.3406),(3135,5155,0.87238,1.3358),(3135,5165,1.0255,1.3309),(3135,5175,1.4098,1.3261),(3135,5185,1.7942,1.3149),(3135,5195,2.0575,1.3031),(3135,5205,2.06,1.2913),(3135,5215,2.0624,1.2795),(3135,5225,2.0541,1.2677),(3135,5235,1.9783,1.256),(3135,5245,1.9026,1.245),(3135,5255,1.8268,1.2347),(3135,5265,1.2898,1.2244),(3135,5275,0.7338,1.2178),(3135,5285,0.17779,1.2175),(3135,5295,0.53086,1.2172),(3135,5305,1.1371,1.2142),(3135,5315,1.7433,1.2),(3135,5325,2.008,1.1858),(3135,5335,2.0487,1.1717),(3135,5345,2.0894,1.16),(3135,5355,2.1144,1.1483),(3135,5365,2.1182,1.1365),(3135,5375,2.122,1.1251),(3135,5385,2.0039,1.1137),(3135,5395,1.5152,1.1024),(3135,5405,1.0265,1.0965),(3135,5415,0.59185,1.0934),(3135,5425,0.88257,1.0904),(3135,5435,1.1733,1.0856),(3135,5445,1.464,1.0788),(3135,5455,1.7402,1.0721),(3135,5465,2.0145,1.0642),(3135,5475,2.2889,1.0536),(3135,5485,2.3686,1.0431),(3135,5495,2.3698,1.0326),(3135,5505,2.3711,1.0223),(3135,5515,2.3723,1.0121),(3135,5525,2.3735,1.0018),(3135,5535,2.3747,0.99187),(3135,5545,2.3759,0.98193),(3135,5555,2.3769,0.972),(3135,5565,2.378,0.96228),(3135,5575,2.379,0.95263),(3135,5585,2.3799,0.94297),(3135,5595,2.3807,0.93349),(3135,5605,2.3816,0.92412),(3135,5615,2.3823,0.91476),(3135,5625,2.3831,0.9055),(3135,5635,2.3838,0.89638),(3135,5645,2.3844,0.88726),(3135,5655,2.385,0.87821),(3135,5665,2.3855,0.86935),(3135,5675,2.386,0.86049),(3135,5685,2.3865,0.85164),(3135,5695,2.3869,0.843),(3135,5705,2.3873,0.83435),(3135,5715,2.3876,0.82571),(3135,5725,2.3879,0.81726),(3135,5735,2.3882,0.80883),(3135,5745,2.3884,0.80041),(3135,5755,2.3886,0.79212),(3135,5765,2.3888,0.78388),(3135,5775,2.3889,0.77565),(3135,5785,2.389,0.76751),(3135,5795,2.3891,0.75946),(3135,5805,2.3891,0.75141),(3135,5815,2.3891,0.74343),(3135,5825,2.3891,0.73556),(3135,5835,2.389,0.72769),(3135,5845,2.3889,0.71985),(3135,5855,2.3888,0.71215),(3135,5865,2.3886,0.70445),(3135,5875,2.3884,0.69676),(3135,5885,2.3882,0.68921),(3135,5895,2.388,0.68167),(3135,5905,2.3877,0.67413),(3135,5915,2.3874,0.66672),(3135,5925,2.3871,0.65934),(3135,5935,2.3868,0.65196),(3135,5945,2.3864,0.64468),(3135,5955,2.386,0.63745),(3135,5965,2.3856,0.63022),(3135,5975,2.3852,0.62305),(3135,5985,2.3848,0.61594),(3135,5995,1.8236,0.60884),(3135,6005,1.1721,0.60341),(3135,6015,0.52069,0.60247),(3135,6025,0.65542,0.60153),(3135,6035,1.1548,0.59988),(3135,6045,1.6542,0.59151),(3135,6055,2.0015,0.58314),(3135,6065,2.1998,0.57477),(3135,6075,2.3981,0.56394),(3135,6085,2.5323,0.55289),(3135,6095,2.5343,0.54184),(3135,6105,2.5364,0.53082),(3135,6115,2.5384,0.5198),(3135,6125,2.5403,0.50879),(3135,6135,2.5422,0.49787),(3135,6145,2.5442,0.48702),(3135,6155,2.5459,0.47617),(3135,6165,2.5477,0.46538),(3135,6175,2.5495,0.45469),(3135,6185,2.5512,0.444),(3135,6195,2.5528,0.43331),(3135,6205,2.5545,0.42266),(3135,6215,2.5561,0.41201),(3135,6225,2.5576,0.40136),(3135,6235,2.5591,0.39077),(3135,6245,2.5606,0.38018),(3135,6255,2.5619,0.36959),(3135,6265,2.5633,0.35909),(3135,6275,2.5647,0.34861),(3135,6285,2.5659,0.33813),(3135,6295,2.5672,0.32766),(3135,6305,2.5684,0.31719),(3135,6315,2.5695,0.30673),(3135,6325,2.5707,0.29633),(3135,6335,2.5718,0.28602),(3135,6345,2.5728,0.2757),(3135,6355,2.5738,0.26538),(3135,6365,2.5748,0.25507),(3135,6375,2.5757,0.24476),(3135,6385,2.5766,0.23445),(3135,6395,2.5775,0.22418),(3135,6405,2.5783,0.2139),(3135,6415,2.579,0.20363),(3135,6425,2.5798,0.19345),(3135,6435,2.5805,0.18328),(3135,6445,2.5811,0.17311),(3135,6455,2.5817,0.16296),(3135,6465,2.5823,0.15281),(3135,6475,2.5829,0.14266),(3135,6485,2.5834,0.1325),(3135,6495,2.5839,0.12234),(3135,6505,2.5843,0.11218),(3135,6515,2.5847,0.10204),(3135,6525,2.5851,0.091944),(3135,6535,2.5854,0.081845),(3135,6545,2.5857,0.071748),(3135,6555,2.5859,0.061657),(3135,6565,2.5861,0.051567),(3135,6575,2.5863,0.041476),(3135,6585,2.5864,0.031378),(3135,6595,2.1999,0.02128),(3135,6605,1.3866,0.011182),(3135,6615,0.57324,0.009955),(3135,6625,0.001471,0.009868),(3135,6635,0.001468,0.009781),(3135,6645,0.001466,0.009749),(3135,6655,0.001463,0.00974),(3135,6665,0.001461,0.00973),(3135,6675,0.001458,0.009721),(3135,6685,0.001456,0.009712),(3135,6695,0.001453,0.009702),(3135,6705,0.001451,0.009693),(3135,6715,0.001449,0.009684),(3135,6725,0.001447,0.009675),(3135,6735,0.001445,0.009666),(3135,6745,0.001443,0.009657),(3135,6755,0.001441,0.009647),(3135,6765,0.001439,0.009638),(3135,6775,0.001437,0.009629),(3135,6785,0.001435,0.00962),(3135,6795,0.001433,0.009611),(3135,6805,0.001432,0.009602),(3135,6815,0.00143,0.009593),(3135,6825,0.001428,0.009584),(3135,6835,0.001427,0.009575),(3135,6845,0.001425,0.009566),(3135,6855,0.001424,0.009557),(3135,6865,0.001422,0.009548),(3135,6875,0.001421,0.009539),(3135,6885,0.00142,0.00953),(3135,6895,0.001418,0.009521),(3135,6905,0.001417,0.009512),(3135,6915,0.001416,0.009503),(3135,6925,0.001415,0.009494),(3135,6935,0.001414,0.009485),(3135,6945,0.001413,0.009476),(3135,6955,0.001411,0.009467),(3135,6965,0.001411,0.009458),(3135,6975,0.001409,0.00945),(3135,6985,0.001409,0.009441),(3145,5,9e-06,3.6886),(3145,15,2.8e-05,3.6886),(3145,25,4.7e-05,3.6886),(3145,35,6.6e-05,3.6886),(3145,45,8.4e-05,3.6886),(3145,55,0.000103,3.6886),(3145,65,0.000122,3.6886),(3145,75,0.00014,3.6886),(3145,85,0.000158,3.6886),(3145,95,0.000177,3.6886),(3145,105,0.000195,3.6886),(3145,115,0.000213,3.6886),(3145,125,0.000231,3.6886),(3145,135,0.000249,3.6886),(3145,145,0.000266,3.6886),(3145,155,0.000283,3.6886),(3145,165,0.000301,3.6886),(3145,175,0.000318,3.6886),(3145,185,0.000334,3.6887),(3145,195,0.000351,3.6887),(3145,205,0.000367,3.6887),(3145,215,0.000383,3.6887),(3145,225,0.000399,3.6887),(3145,235,0.000414,3.6887),(3145,245,0.000429,3.6887),(3145,255,0.000444,3.6887),(3145,265,0.000458,3.6888),(3145,275,0.000472,3.6888),(3145,285,0.000485,3.6888),(3145,295,0.000499,3.6888),(3145,305,0.000512,3.6888),(3145,315,0.000524,3.6889),(3145,325,0.000536,3.6889),(3145,335,0.000548,3.6889),(3145,345,0.000559,3.6889),(3145,355,0.000569,3.6889),(3145,365,0.00058,3.689),(3145,375,0.00059,3.689),(3145,385,0.000599,3.689),(3145,395,0.000608,3.689),(3145,405,0.000616,3.6891),(3145,415,0.000625,3.6891),(3145,425,0.000631,3.6891),(3145,435,0.000638,3.6892),(3145,445,0.000644,3.6892),(3145,455,0.000651,3.6892),(3145,465,0.000655,3.6893),(3145,475,0.000659,3.6893),(3145,485,0.000663,3.6893),(3145,495,0.000667,3.6894),(3145,505,0.000669,3.6894),(3145,515,0.00067,3.6894),(3145,525,0.000672,3.6895),(3145,535,0.000673,3.6895),(3145,545,0.000672,3.6896),(3145,555,0.000671,3.6896),(3145,565,0.00067,3.6897),(3145,575,0.000669,3.6897),(3145,585,0.000665,3.6898),(3145,595,0.000661,3.6898),(3145,605,0.000657,3.6899),(3145,615,0.000653,3.6899),(3145,625,0.000647,3.69),(3145,635,0.00064,3.69),(3145,645,0.000633,3.6901),(3145,655,0.000626,3.6902),(3145,665,0.000616,3.6902),(3145,675,0.000607,3.6903),(3145,685,0.000597,3.6904),(3145,695,0.000587,3.6904),(3145,705,0.000574,3.6905),(3145,715,0.000561,3.6906),(3145,725,0.000549,3.6907),(3145,735,0.000535,3.6907),(3145,745,0.00052,3.6908),(3145,755,0.000504,3.6909),(3145,765,0.000488,3.691),(3145,775,0.000472,3.6911),(3145,785,0.000453,3.6911),(3145,795,0.000434,3.6912),(3145,805,0.000415,3.6913),(3145,815,0.000395,3.6914),(3145,825,0.000373,3.6915),(3145,835,0.000351,3.6916),(3145,845,0.000329,3.6917),(3145,855,0.000306,3.6918),(3145,865,0.000281,3.692),(3145,875,0.000256,3.6921),(3145,885,0.000231,3.6922),(3145,895,0.000205,3.6923),(3145,905,0.000178,3.6924),(3145,915,0.00015,3.6926),(3145,925,0.000123,3.6927),(3145,935,9.4e-05,3.6928),(3145,945,6.4e-05,3.693),(3145,955,3.4e-05,3.6931),(3145,965,4e-06,3.6932),(3145,975,-2.7e-05,3.6934),(3145,985,-6e-05,3.6935),(3145,995,-9.2e-05,3.6937),(3145,1005,-0.000125,3.6939),(3145,1015,-0.000158,3.694),(3145,1025,-0.000193,3.6942),(3145,1035,-0.000227,3.6943),(3145,1045,-0.000262,3.6945),(3145,1055,-0.000297,3.6947),(3145,1065,-0.000333,3.6949),(3145,1075,-0.000369,3.6951),(3145,1085,-0.000405,3.6953),(3145,1095,-0.000441,3.6955),(3145,1105,-0.000478,3.6957),(3145,1115,-0.000515,3.6959),(3145,1125,-0.000552,3.6961),(3145,1135,-0.000589,3.6963),(3145,1145,-0.000626,3.6965),(3145,1155,-0.000663,3.6967),(3145,1165,-0.000701,3.697),(3145,1175,-0.000738,3.6972),(3145,1185,-0.000775,3.6974),(3145,1195,-0.000812,3.6977),(3145,1205,-0.00085,3.6979),(3145,1215,-0.000886,3.6982),(3145,1225,-0.000923,3.6985),(3145,1235,-0.000959,3.6987),(3145,1245,-0.000996,3.699),(3145,1255,-0.001031,3.6993),(3145,1265,-0.001066,3.6996),(3145,1275,-0.0011,3.6999),(3145,1285,-0.001135,3.7002),(3145,1295,-0.001168,3.7005),(3145,1305,-0.0012,3.7008),(3145,1315,-0.001232,3.7011),(3145,1325,-0.001264,3.7014),(3145,1335,-0.001293,3.7018),(3145,1345,-0.001321,3.7021),(3145,1355,-0.00135,3.7024),(3145,1365,-0.001378,3.7028),(3145,1375,-0.001403,3.7032),(3145,1385,-0.001427,3.7035),(3145,1395,-0.001451,3.7039),(3145,1405,-0.001474,3.7043),(3145,1415,-0.001493,3.7047),(3145,1425,-0.001512,3.705),(3145,1435,-0.00153,3.7055),(3145,1445,-0.001548,3.7059),(3145,1455,-0.00156,3.7063),(3145,1465,-0.001571,3.7067),(3145,1475,-0.001582,3.7072),(3145,1485,-0.001593,3.7076),(3145,1495,-0.001596,3.7081),(3145,1505,-0.001599,3.7085),(3145,1515,-0.001602,3.709),(3145,1525,-0.001605,3.7095),(3145,1535,-0.001598,3.7099),(3145,1545,-0.001591,3.7104),(3145,1555,-0.001584,3.711),(3145,1565,-0.001577,3.7115),(3145,1575,-0.001558,3.712),(3145,1585,-0.00154,3.7125),(3145,1595,-0.001522,3.7131),(3145,1605,-0.001502,3.7136),(3145,1615,-0.00147,3.7142),(3145,1625,-0.001438,3.7148),(3145,1635,-0.001407,3.7154),(3145,1645,-0.001373,3.716),(3145,1655,-0.001326,3.7165),(3145,1665,-0.001279,3.7172),(3145,1675,-0.001232,3.7178),(3145,1685,-0.001182,3.7184),(3145,1695,-0.001117,3.7191),(3145,1705,-0.001052,3.7197),(3145,1715,-0.000988,3.7204),(3145,1725,-0.000919,3.7211),(3145,1735,-0.000834,3.7218),(3145,1745,-0.000749,3.7225),(3145,1755,-0.000664,3.7233),(3145,1765,-0.000572,3.724),(3145,1775,-0.000463,3.7247),(3145,1785,-0.000355,3.7255),(3145,1795,-0.000246,3.7263),(3145,1805,-0.000129,3.7271),(3145,1815,7e-06,3.7279),(3145,1825,0.000143,3.7287),(3145,1835,0.000279,3.7295),(3145,1845,0.000426,3.7304),(3145,1855,0.000593,3.7312),(3145,1865,0.000761,3.7321),(3145,1875,0.000928,3.733),(3145,1885,0.001109,3.7339),(3145,1895,0.001313,3.7349),(3145,1905,0.001516,3.7358),(3145,1915,0.00172,3.7368),(3145,1925,0.001942,3.7378),(3145,1935,0.002188,3.7387),(3145,1945,0.002434,3.7397),(3145,1955,0.00268,3.7408),(3145,1965,0.002948,3.7418),(3145,1975,0.003244,3.7429),(3145,1985,0.003539,3.744),(3145,1995,0.003834,3.7451),(3145,2005,0.004158,3.7462),(3145,2015,0.004511,3.7474),(3145,2025,0.004864,3.7485),(3145,2035,0.005216,3.7497),(3145,2045,0.005605,3.7509),(3145,2055,0.006025,3.7521),(3145,2065,0.006445,3.7534),(3145,2075,0.006864,3.7547),(3145,2085,0.00733,3.756),(3145,2095,0.007827,3.7573),(3145,2105,0.008325,3.7586),(3145,2115,0.008823,3.76),(3145,2125,0.009378,3.7614),(3145,2135,0.009968,3.7628),(3145,2145,0.010557,3.7642),(3145,2155,0.011147,3.7657),(3145,2165,0.011807,3.7672),(3145,2175,0.012503,3.7686),(3145,2185,0.0132,3.7702),(3145,2195,0.013897,3.7718),(3145,2205,0.01468,3.7733),(3145,2215,0.015502,3.7749),(3145,2225,0.016323,3.7765),(3145,2235,0.017144,3.7782),(3145,2245,0.018073,3.7799),(3145,2255,0.019039,3.7816),(3145,2265,0.020005,3.7833),(3145,2275,0.020971,3.7851),(3145,2285,0.022068,3.7869),(3145,2295,0.023203,3.7886),(3145,2305,0.024337,3.7905),(3145,2315,0.025471,3.7924),(3145,2325,0.026764,3.7942),(3145,2335,0.028093,3.7961),(3145,2345,0.029421,3.798),(3145,2355,0.03075,3.8),(3145,2365,0.032269,3.802),(3145,2375,0.03382,3.8039),(3145,2385,0.035372,3.806),(3145,2395,0.036923,3.808),(3145,2405,0.038702,3.81),(3145,2415,0.040508,3.8121),(3145,2425,0.042313,3.8142),(3145,2435,0.044119,3.8163),(3145,2445,0.046193,3.8184),(3145,2455,0.048285,3.8205),(3145,2465,0.050378,3.8227),(3145,2475,0.05247,3.8248),(3145,2485,0.054876,3.827),(3145,2495,0.05729,3.8291),(3145,2505,0.059703,3.8313),(3145,2515,0.062122,3.8335),(3145,2525,0.064891,3.8356),(3145,2535,0.067659,3.8378),(3145,2545,0.070428,3.8399),(3145,2555,0.073217,3.8421),(3145,2565,0.076373,3.8442),(3145,2575,0.079529,3.8464),(3145,2585,0.082684,3.8485),(3145,2595,0.085879,3.8505),(3145,2605,0.08945,3.8526),(3145,2615,0.093022,3.8547),(3145,2625,0.096593,3.8566),(3145,2635,0.10022,3.8586),(3145,2645,0.10423,3.8605),(3145,2655,0.10824,3.8625),(3145,2665,0.11225,3.8642),(3145,2675,0.11634,3.866),(3145,2685,0.1208,3.8678),(3145,2695,0.12527,3.8695),(3145,2705,0.12973,3.871),(3145,2715,0.13429,3.8725),(3145,2725,0.13921,3.8741),(3145,2735,0.14414,3.8755),(3145,2745,0.14906,3.8767),(3145,2755,0.15409,3.8779),(3145,2765,0.15947,3.8791),(3145,2775,0.16484,3.8801),(3145,2785,0.17022,3.8809),(3145,2795,0.17572,3.8817),(3145,2805,0.18152,3.8825),(3145,2815,0.18733,3.8831),(3145,2825,0.19314,3.8834),(3145,2835,0.19908,3.8837),(3145,2845,0.20529,3.884),(3145,2855,0.2115,3.8841),(3145,2865,0.21771,3.8838),(3145,2875,0.22406,3.8835),(3145,2885,0.23063,3.8833),(3145,2895,0.2372,3.8828),(3145,2905,0.24377,3.8819),(3145,2915,0.25047,3.881),(3145,2925,0.25734,3.8801),(3145,2935,0.26422,3.8789),(3145,2945,0.2711,3.8773),(3145,2955,0.27809,3.8757),(3145,2965,0.28521,3.8741),(3145,2975,0.29234,3.8722),(3145,2985,0.29946,3.8698),(3145,2995,0.30667,3.8675),(3145,3005,0.31397,3.8651),(3145,3015,0.32127,3.8624),(3145,3025,0.32857,3.8593),(3145,3035,0.33591,3.8561),(3145,3045,0.34331,3.853),(3145,3055,0.3507,3.8494),(3145,3065,0.3581,3.8454),(3145,3075,0.3655,3.8414),(3145,3085,0.37291,3.8375),(3145,3095,0.38031,3.833),(3145,3105,0.38772,3.8281),(3145,3115,0.39508,3.8233),(3145,3125,0.40241,3.8185),(3145,3135,0.40974,3.8131),(3145,3145,0.41707,3.8073),(3145,3155,0.42428,3.8016),(3145,3165,0.43144,3.7959),(3145,3175,0.4386,3.7896),(3145,3185,0.44575,3.7829),(3145,3195,0.45272,3.7763),(3145,3205,0.4596,3.7697),(3145,3215,0.46648,3.7624),(3145,3225,0.47336,3.7549),(3145,3235,0.47996,3.7474),(3145,3245,0.48646,3.7398),(3145,3255,0.49296,3.7317),(3145,3265,0.49945,3.7233),(3145,3275,0.50557,3.7148),(3145,3285,0.51157,3.7064),(3145,3295,0.51757,3.6974),(3145,3305,0.52358,3.6881),(3145,3315,0.52908,3.6788),(3145,3325,0.53447,3.6696),(3145,3335,0.53986,3.6596),(3145,3345,0.54525,3.6496),(3145,3355,0.55002,3.6395),(3145,3365,0.55467,3.6294),(3145,3375,0.55933,3.6187),(3145,3385,0.56398,3.6079),(3145,3395,0.56788,3.5971),(3145,3405,0.57168,3.5863),(3145,3415,0.57548,3.5749),(3145,3425,0.57928,3.5634),(3145,3435,0.58217,3.5519),(3145,3445,0.585,3.5405),(3145,3455,0.58782,3.5285),(3145,3465,0.59064,3.5165),(3145,3475,0.59242,3.5045),(3145,3485,0.59415,3.4925),(3145,3495,0.59589,3.4801),(3145,3505,0.59761,3.4677),(3145,3515,0.59815,3.4553),(3145,3525,0.5987,3.4428),(3145,3535,0.59924,3.4302),(3145,3545,0.59972,3.4176),(3145,3555,0.59898,3.405),(3145,3565,0.59825,3.3923),(3145,3575,0.59751,3.3797),(3145,3585,0.59666,3.367),(3145,3595,0.59458,3.3544),(3145,3605,0.5925,3.3417),(3145,3615,0.59042,3.3293),(3145,3625,0.58817,3.3168),(3145,3635,0.58472,3.3044),(3145,3645,0.58127,3.292),(3145,3655,0.57782,3.2801),(3145,3665,0.57414,3.2681),(3145,3675,0.56933,3.2561),(3145,3685,0.56451,3.2443),(3145,3695,0.5597,3.2331),(3145,3705,0.55463,3.2219),(3145,3715,0.54852,3.2107),(3145,3725,0.54242,3.1998),(3145,3735,0.53632,3.1897),(3145,3745,0.52994,3.1796),(3145,3755,0.52271,3.1696),(3145,3765,0.51548,3.1599),(3145,3775,0.50825,3.1513),(3145,3785,0.50079,3.1427),(3145,3795,0.49272,3.1341),(3145,3805,0.48465,3.126),(3145,3815,0.47658,3.1192),(3145,3825,0.46839,3.1125),(3145,3835,0.45995,3.1057),(3145,3845,0.45152,3.0996),(3145,3855,0.44308,3.0949),(3145,3865,0.43475,3.0902),(3145,3875,0.42663,3.0855),(3145,3885,0.41851,3.0816),(3145,3895,0.41039,3.079),(3145,3905,0.45288,3.0763),(3145,3915,0.57099,3.0737),(3145,3925,0.6891,3.0717),(3145,3935,0.80721,3.0707),(3145,3945,0.92955,3.0696),(3145,3955,1.0572,3.0685),(3145,3965,1.185,3.0657),(3145,3975,1.3127,3.061),(3145,3985,1.3847,3.0563),(3145,3995,1.3965,3.0515),(3145,4005,1.4084,3.0443),(3145,4015,1.4202,3.0345),(3145,4025,1.4403,3.0247),(3145,4035,1.4612,3.0129),(3145,4045,1.4821,2.9966),(3145,4055,1.5073,2.9804),(3145,4065,1.5341,2.9633),(3145,4075,1.5609,2.941),(3145,4085,1.5882,2.9186),(3145,4095,1.6157,2.8963),(3145,4105,1.6432,2.8704),(3145,4115,1.6164,2.8444),(3145,4125,1.4993,2.8184),(3145,4135,1.3822,2.7955),(3145,4145,1.2593,2.7734),(3145,4155,1.1127,2.7514),(3145,4165,0.96613,2.7323),(3145,4175,0.8284,2.7152),(3145,4185,1.1291,2.6981),(3145,4195,1.4299,2.6762),(3145,4205,1.7306,2.6481),(3145,4215,1.7816,2.6199),(3145,4225,1.7857,2.5918),(3145,4235,1.7897,2.5637),(3145,4245,1.7553,2.5357),(3145,4255,1.7016,2.5076),(3145,4265,1.6478,2.4795),(3145,4275,1.4481,2.4514),(3145,4285,1.0936,2.4234),(3145,4295,0.73904,2.4128),(3145,4305,0.60902,2.4043),(3145,4315,0.98589,2.3957),(3145,4325,1.3628,2.3783),(3145,4335,1.6984,2.3575),(3145,4345,1.7544,2.3366),(3145,4355,1.8104,2.3156),(3145,4365,1.8664,2.2944),(3145,4375,1.8743,2.2732),(3145,4385,1.8798,2.2522),(3145,4395,1.8852,2.2314),(3145,4405,1.6656,2.2107),(3145,4415,1.3796,2.1918),(3145,4425,1.0936,2.1813),(3145,4435,0.9748,2.1707),(3145,4445,0.97016,2.1601),(3145,4455,0.96553,2.1503),(3145,4465,1.0867,2.1406),(3145,4475,1.3847,2.1308),(3145,4485,1.6827,2.1139),(3145,4495,1.9108,2.0954),(3145,4505,1.9149,2.077),(3145,4515,1.919,2.0591),(3145,4525,1.9192,2.0414),(3145,4535,1.8586,2.0238),(3145,4545,1.798,2.0073),(3145,4555,1.7373,1.9921),(3145,4565,1.3418,1.977),(3145,4575,0.90118,1.9652),(3145,4585,0.46053,1.9619),(3145,4595,0.61981,1.9585),(3145,4605,1.0326,1.9533),(3145,4615,1.4453,1.9338),(3145,4625,1.6811,1.9144),(3145,4635,1.7567,1.8949),(3145,4645,1.8322,1.8777),(3145,4655,1.8865,1.8607),(3145,4665,1.9007,1.8436),(3145,4675,1.9149,1.8275),(3145,4685,1.8616,1.8117),(3145,4695,1.4749,1.7959),(3145,4705,1.0881,1.7861),(3145,4715,0.7014,1.7806),(3145,4725,0.89086,1.7751),(3145,4735,1.0861,1.7677),(3145,4745,1.2813,1.7575),(3145,4755,1.4789,1.7473),(3145,4765,1.677,1.7361),(3145,4775,1.8752,1.7215),(3145,4785,1.95,1.7068),(3145,4795,1.9536,1.6921),(3145,4805,1.9572,1.6775),(3145,4815,1.8666,1.663),(3145,4825,1.6633,1.6485),(3145,4835,1.46,1.6381),(3145,4845,1.2548,1.6284),(3145,4855,1.045,1.6187),(3145,4865,0.83517,1.6128),(3145,4875,0.68769,1.6085),(3145,4885,1.1076,1.6042),(3145,4895,1.5275,1.5954),(3145,4905,1.9475,1.5822),(3145,4915,1.9792,1.569),(3145,4925,1.9775,1.5557),(3145,4935,1.9759,1.5421),(3145,4945,1.9343,1.5284),(3145,4955,1.8788,1.5144),(3145,4965,1.8234,1.4982),(3145,4975,1.5104,1.4819),(3145,4985,0.99855,1.4657),(3145,4995,0.48674,1.4643),(3145,5005,0.33904,1.4632),(3145,5015,0.77019,1.4621),(3145,5025,1.2013,1.4541),(3145,5035,1.5727,1.4444),(3145,5045,1.7163,1.4347),(3145,5055,1.8599,1.4232),(3145,5065,1.9994,1.4106),(3145,5075,2.0022,1.398),(3145,5085,2.005,1.3854),(3145,5095,2.0078,1.3729),(3145,5105,1.7573,1.3604),(3145,5115,1.4627,1.3494),(3145,5125,1.168,1.3428),(3145,5135,1.0221,1.3361),(3145,5145,0.94828,1.3297),(3145,5155,0.87449,1.3249),(3145,5165,1.0279,1.3201),(3145,5175,1.4131,1.3153),(3145,5185,1.7983,1.3041),(3145,5195,2.0622,1.2923),(3145,5205,2.0647,1.2805),(3145,5215,2.0671,1.2688),(3145,5225,2.0587,1.257),(3145,5235,1.9827,1.2453),(3145,5245,1.9068,1.2344),(3145,5255,1.8309,1.2241),(3145,5265,1.2927,1.2138),(3145,5275,0.73541,1.2072),(3145,5285,0.17816,1.2069),(3145,5295,0.53273,1.2066),(3145,5305,1.1412,1.2036),(3145,5315,1.7497,1.1895),(3145,5325,2.0147,1.1754),(3145,5335,2.0545,1.1613),(3145,5345,2.0943,1.1497),(3145,5355,2.1187,1.138),(3145,5365,2.1225,1.1264),(3145,5375,2.1262,1.115),(3145,5385,2.0078,1.1037),(3145,5395,1.5181,1.0923),(3145,5405,1.0285,1.0865),(3145,5415,0.59293,1.0835),(3145,5425,0.88387,1.0805),(3145,5435,1.1748,1.0757),(3145,5445,1.4657,1.069),(3145,5455,1.7421,1.0623),(3145,5465,2.0168,1.0545),(3145,5475,2.2914,1.0441),(3145,5485,2.3711,1.0336),(3145,5495,2.3722,1.0232),(3145,5505,2.3734,1.0131),(3145,5515,2.3745,1.003),(3145,5525,2.3756,0.99281),(3145,5535,2.3767,0.98297),(3145,5545,2.3778,0.97313),(3145,5555,2.3788,0.9633),(3145,5565,2.3797,0.95369),(3145,5575,2.3806,0.94414),(3145,5585,2.3814,0.93458),(3145,5595,2.3822,0.9252),(3145,5605,2.383,0.91593),(3145,5615,2.3836,0.90667),(3145,5625,2.3843,0.8975),(3145,5635,2.3849,0.88848),(3145,5645,2.3854,0.87946),(3145,5655,2.3859,0.8705),(3145,5665,2.3865,0.86173),(3145,5675,2.3869,0.85296),(3145,5685,2.3872,0.8442),(3145,5695,2.3876,0.83565),(3145,5705,2.3879,0.8271),(3145,5715,2.3882,0.81854),(3145,5725,2.3884,0.81018),(3145,5735,2.3886,0.80184),(3145,5745,2.3888,0.7935),(3145,5755,2.3889,0.78529),(3145,5765,2.389,0.77714),(3145,5775,2.3891,0.76899),(3145,5785,2.3891,0.76093),(3145,5795,2.3891,0.75297),(3145,5805,2.3891,0.745),(3145,5815,2.389,0.7371),(3145,5825,2.389,0.7293),(3145,5835,2.3888,0.72151),(3145,5845,2.3887,0.71375),(3145,5855,2.3885,0.70613),(3145,5865,2.3883,0.6985),(3145,5875,2.3881,0.69088),(3145,5885,2.3878,0.68341),(3145,5895,2.3876,0.67594),(3145,5905,2.3872,0.66847),(3145,5915,2.3869,0.66113),(3145,5925,2.3866,0.65382),(3145,5935,2.3862,0.64651),(3145,5945,2.3857,0.6393),(3145,5955,2.3853,0.63213),(3145,5965,2.3849,0.62497),(3145,5975,2.3844,0.61787),(3145,5985,2.384,0.61083),(3145,5995,1.823,0.6038),(3145,6005,1.1717,0.59842),(3145,6015,0.52051,0.59749),(3145,6025,0.65587,0.59655),(3145,6035,1.1561,0.59492),(3145,6045,1.6562,0.58662),(3145,6055,2.0041,0.57832),(3145,6065,2.2027,0.57002),(3145,6075,2.4012,0.55929),(3145,6085,2.5355,0.54833),(3145,6095,2.5375,0.53737),(3145,6105,2.5395,0.52643),(3145,6115,2.5415,0.51551),(3145,6125,2.5434,0.50459),(3145,6135,2.5453,0.49376),(3145,6145,2.5472,0.483),(3145,6155,2.5489,0.47224),(3145,6165,2.5507,0.46154),(3145,6175,2.5524,0.45094),(3145,6185,2.5541,0.44034),(3145,6195,2.5557,0.42975),(3145,6205,2.5573,0.41918),(3145,6215,2.5588,0.40862),(3145,6225,2.5603,0.39806),(3145,6235,2.5618,0.38755),(3145,6245,2.5632,0.37705),(3145,6255,2.5646,0.36654),(3145,6265,2.566,0.35612),(3145,6275,2.5673,0.34571),(3145,6285,2.5685,0.33531),(3145,6295,2.5698,0.32494),(3145,6305,2.571,0.31458),(3145,6315,2.5721,0.30423),(3145,6325,2.5732,0.29394),(3145,6335,2.5742,0.2837),(3145,6345,2.5752,0.27346),(3145,6355,2.5762,0.26322),(3145,6365,2.5772,0.253),(3145,6375,2.5781,0.24277),(3145,6385,2.579,0.23255),(3145,6395,2.5798,0.22236),(3145,6405,2.5806,0.21217),(3145,6415,2.5814,0.20198),(3145,6425,2.5821,0.19189),(3145,6435,2.5828,0.1818),(3145,6445,2.5834,0.17171),(3145,6455,2.584,0.16165),(3145,6465,2.5846,0.15159),(3145,6475,2.5851,0.14153),(3145,6485,2.5856,0.13146),(3145,6495,2.5861,0.12138),(3145,6505,2.5865,0.1113),(3145,6515,2.5869,0.10125),(3145,6525,2.5873,0.09123),(3145,6535,2.5876,0.081209),(3145,6545,2.5879,0.071187),(3145,6555,2.5881,0.061164),(3145,6565,2.5883,0.05114),(3145,6575,2.5885,0.041119),(3145,6585,2.5886,0.031128),(3145,6595,2.2018,0.021137),(3145,6605,1.3878,0.011147),(3145,6615,0.57374,0.009938),(3145,6625,0.001476,0.009857),(3145,6635,0.001473,0.009777),(3145,6645,0.001471,0.009746),(3145,6655,0.001468,0.009737),(3145,6665,0.001466,0.009728),(3145,6675,0.001463,0.009718),(3145,6685,0.00146,0.009709),(3145,6695,0.001458,0.0097),(3145,6705,0.001456,0.009691),(3145,6715,0.001454,0.009682),(3145,6725,0.001452,0.009673),(3145,6735,0.001449,0.009664),(3145,6745,0.001447,0.009654),(3145,6755,0.001445,0.009645),(3145,6765,0.001443,0.009636),(3145,6775,0.001442,0.009627),(3145,6785,0.00144,0.009618),(3145,6795,0.001438,0.009609),(3145,6805,0.001436,0.0096),(3145,6815,0.001435,0.009591),(3145,6825,0.001433,0.009582),(3145,6835,0.001431,0.009573),(3145,6845,0.00143,0.009564),(3145,6855,0.001428,0.009555),(3145,6865,0.001427,0.009546),(3145,6875,0.001426,0.009538),(3145,6885,0.001424,0.009529),(3145,6895,0.001423,0.00952),(3145,6905,0.001422,0.009511),(3145,6915,0.001421,0.009502),(3145,6925,0.001419,0.009493),(3145,6935,0.001418,0.009484),(3145,6945,0.001417,0.009475),(3145,6955,0.001416,0.009466),(3145,6965,0.001415,0.009457),(3145,6975,0.001414,0.009449),(3145,6985,0.001413,0.00944),(3155,5,9e-06,3.6886),(3155,15,2.7e-05,3.6886),(3155,25,4.5e-05,3.6886),(3155,35,6.3e-05,3.6886),(3155,45,8.1e-05,3.6886),(3155,55,9.9e-05,3.6886),(3155,65,0.000117,3.6886),(3155,75,0.000135,3.6886),(3155,85,0.000153,3.6886),(3155,95,0.00017,3.6886),(3155,105,0.000188,3.6886),(3155,115,0.000205,3.6886),(3155,125,0.000222,3.6886),(3155,135,0.000239,3.6886),(3155,145,0.000256,3.6886),(3155,155,0.000273,3.6886),(3155,165,0.000289,3.6887),(3155,175,0.000306,3.6887),(3155,185,0.000321,3.6887),(3155,195,0.000337,3.6887),(3155,205,0.000352,3.6887),(3155,215,0.000368,3.6887),(3155,225,0.000383,3.6887),(3155,235,0.000397,3.6887),(3155,245,0.000411,3.6887),(3155,255,0.000425,3.6888),(3155,265,0.000439,3.6888),(3155,275,0.000452,3.6888),(3155,285,0.000464,3.6888),(3155,295,0.000477,3.6888),(3155,305,0.000489,3.6888),(3155,315,0.0005,3.6889),(3155,325,0.000512,3.6889),(3155,335,0.000523,3.6889),(3155,345,0.000533,3.6889),(3155,355,0.000542,3.689),(3155,365,0.000552,3.689),(3155,375,0.000561,3.689),(3155,385,0.000569,3.689),(3155,395,0.000576,3.689),(3155,405,0.000584,3.6891),(3155,415,0.000591,3.6891),(3155,425,0.000597,3.6891),(3155,435,0.000602,3.6892),(3155,445,0.000607,3.6892),(3155,455,0.000613,3.6892),(3155,465,0.000616,3.6893),(3155,475,0.000618,3.6893),(3155,485,0.000621,3.6893),(3155,495,0.000624,3.6894),(3155,505,0.000624,3.6894),(3155,515,0.000624,3.6894),(3155,525,0.000625,3.6895),(3155,535,0.000625,3.6895),(3155,545,0.000622,3.6896),(3155,555,0.00062,3.6896),(3155,565,0.000617,3.6897),(3155,575,0.000615,3.6897),(3155,585,0.000609,3.6898),(3155,595,0.000604,3.6898),(3155,605,0.000598,3.6899),(3155,615,0.000593,3.6899),(3155,625,0.000584,3.69),(3155,635,0.000576,3.69),(3155,645,0.000567,3.6901),(3155,655,0.000558,3.6902),(3155,665,0.000547,3.6902),(3155,675,0.000535,3.6903),(3155,685,0.000523,3.6903),(3155,695,0.000511,3.6904),(3155,705,0.000496,3.6905),(3155,715,0.000482,3.6906),(3155,725,0.000467,3.6906),(3155,735,0.000451,3.6907),(3155,745,0.000433,3.6908),(3155,755,0.000416,3.6909),(3155,765,0.000398,3.691),(3155,775,0.000379,3.691),(3155,785,0.000358,3.6911),(3155,795,0.000336,3.6912),(3155,805,0.000315,3.6913),(3155,815,0.000293,3.6914),(3155,825,0.000268,3.6915),(3155,835,0.000243,3.6916),(3155,845,0.000219,3.6917),(3155,855,0.000193,3.6918),(3155,865,0.000165,3.6919),(3155,875,0.000137,3.692),(3155,885,0.000109,3.6922),(3155,895,8e-05,3.6923),(3155,905,4.9e-05,3.6924),(3155,915,1.9e-05,3.6925),(3155,925,-1.2e-05,3.6927),(3155,935,-4.4e-05,3.6928),(3155,945,-7.7e-05,3.6929),(3155,955,-0.000111,3.6931),(3155,965,-0.000144,3.6932),(3155,975,-0.000179,3.6934),(3155,985,-0.000215,3.6935),(3155,995,-0.000251,3.6937),(3155,1005,-0.000288,3.6938),(3155,1015,-0.000325,3.694),(3155,1025,-0.000363,3.6941),(3155,1035,-0.000402,3.6943),(3155,1045,-0.000441,3.6945),(3155,1055,-0.00048,3.6947),(3155,1065,-0.00052,3.6948),(3155,1075,-0.00056,3.695),(3155,1085,-0.000601,3.6952),(3155,1095,-0.000641,3.6954),(3155,1105,-0.000683,3.6956),(3155,1115,-0.000724,3.6958),(3155,1125,-0.000766,3.696),(3155,1135,-0.000808,3.6963),(3155,1145,-0.00085,3.6965),(3155,1155,-0.000892,3.6967),(3155,1165,-0.000934,3.6969),(3155,1175,-0.000977,3.6972),(3155,1185,-0.001019,3.6974),(3155,1195,-0.001061,3.6976),(3155,1205,-0.001104,3.6979),(3155,1215,-0.001146,3.6982),(3155,1225,-0.001188,3.6984),(3155,1235,-0.00123,3.6987),(3155,1245,-0.001272,3.699),(3155,1255,-0.001313,3.6993),(3155,1265,-0.001354,3.6995),(3155,1275,-0.001395,3.6998),(3155,1285,-0.001436,3.7001),(3155,1295,-0.001475,3.7004),(3155,1305,-0.001513,3.7007),(3155,1315,-0.001552,3.7011),(3155,1325,-0.00159,3.7014),(3155,1335,-0.001626,3.7017),(3155,1345,-0.001661,3.7021),(3155,1355,-0.001696,3.7024),(3155,1365,-0.001731,3.7028),(3155,1375,-0.001763,3.7031),(3155,1385,-0.001794,3.7035),(3155,1395,-0.001825,3.7039),(3155,1405,-0.001856,3.7043),(3155,1415,-0.001883,3.7046),(3155,1425,-0.001909,3.705),(3155,1435,-0.001935,3.7054),(3155,1445,-0.00196,3.7059),(3155,1455,-0.00198,3.7063),(3155,1465,-0.002,3.7067),(3155,1475,-0.002019,3.7071),(3155,1485,-0.002038,3.7076),(3155,1495,-0.00205,3.708),(3155,1505,-0.002062,3.7085),(3155,1515,-0.002073,3.709),(3155,1525,-0.002085,3.7095),(3155,1535,-0.002087,3.7099),(3155,1545,-0.00209,3.7104),(3155,1555,-0.002092,3.711),(3155,1565,-0.002094,3.7115),(3155,1575,-0.002085,3.712),(3155,1585,-0.002077,3.7125),(3155,1595,-0.002069,3.7131),(3155,1605,-0.002059,3.7136),(3155,1615,-0.002038,3.7142),(3155,1625,-0.002017,3.7148),(3155,1635,-0.001995,3.7154),(3155,1645,-0.001972,3.716),(3155,1655,-0.001936,3.7166),(3155,1665,-0.001901,3.7172),(3155,1675,-0.001865,3.7178),(3155,1685,-0.001826,3.7185),(3155,1695,-0.001774,3.7191),(3155,1705,-0.001722,3.7198),(3155,1715,-0.001669,3.7205),(3155,1725,-0.001613,3.7212),(3155,1735,-0.001541,3.7219),(3155,1745,-0.001469,3.7226),(3155,1755,-0.001397,3.7233),(3155,1765,-0.001319,3.7241),(3155,1775,-0.001224,3.7248),(3155,1785,-0.001129,3.7256),(3155,1795,-0.001035,3.7264),(3155,1805,-0.000932,3.7272),(3155,1815,-0.000811,3.728),(3155,1825,-0.00069,3.7288),(3155,1835,-0.000569,3.7297),(3155,1845,-0.000438,3.7305),(3155,1855,-0.000287,3.7314),(3155,1865,-0.000136,3.7323),(3155,1875,1.5e-05,3.7332),(3155,1885,0.000179,3.7341),(3155,1895,0.000365,3.735),(3155,1905,0.000551,3.736),(3155,1915,0.000738,3.737),(3155,1925,0.000941,3.738),(3155,1935,0.001168,3.739),(3155,1945,0.001395,3.74),(3155,1955,0.001622,3.7411),(3155,1965,0.001871,3.7421),(3155,1975,0.002146,3.7432),(3155,1985,0.002421,3.7443),(3155,1995,0.002696,3.7454),(3155,2005,0.002999,3.7466),(3155,2015,0.00333,3.7477),(3155,2025,0.003661,3.7489),(3155,2035,0.003992,3.7501),(3155,2045,0.004358,3.7513),(3155,2055,0.004755,3.7525),(3155,2065,0.005151,3.7538),(3155,2075,0.005548,3.7551),(3155,2085,0.005989,3.7564),(3155,2095,0.006462,3.7578),(3155,2105,0.006935,3.7591),(3155,2115,0.007409,3.7605),(3155,2125,0.007938,3.7619),(3155,2135,0.008501,3.7633),(3155,2145,0.009065,3.7648),(3155,2155,0.009628,3.7663),(3155,2165,0.010261,3.7678),(3155,2175,0.010931,3.7693),(3155,2185,0.0116,3.7709),(3155,2195,0.012269,3.7725),(3155,2205,0.013025,3.7741),(3155,2215,0.013818,3.7757),(3155,2225,0.014611,3.7774),(3155,2235,0.015404,3.7791),(3155,2245,0.016304,3.7808),(3155,2255,0.017242,3.7825),(3155,2265,0.018179,3.7843),(3155,2275,0.019117,3.7861),(3155,2285,0.020185,3.7879),(3155,2295,0.02129,3.7897),(3155,2305,0.022396,3.7916),(3155,2315,0.023501,3.7936),(3155,2325,0.024766,3.7955),(3155,2335,0.026067,3.7974),(3155,2345,0.027367,3.7994),(3155,2355,0.028668,3.8014),(3155,2365,0.030161,3.8034),(3155,2375,0.031686,3.8055),(3155,2385,0.033211,3.8075),(3155,2395,0.034736,3.8097),(3155,2405,0.036492,3.8118),(3155,2415,0.038274,3.8139),(3155,2425,0.040056,3.816),(3155,2435,0.041838,3.8182),(3155,2445,0.043893,3.8204),(3155,2455,0.045967,3.8226),(3155,2465,0.048041,3.8248),(3155,2475,0.050114,3.8271),(3155,2485,0.052507,3.8293),(3155,2495,0.054908,3.8315),(3155,2505,0.057309,3.8338),(3155,2515,0.059716,3.836),(3155,2525,0.06248,3.8383),(3155,2535,0.065244,3.8406),(3155,2545,0.068008,3.8428),(3155,2555,0.070794,3.8451),(3155,2565,0.073955,3.8473),(3155,2575,0.077117,3.8495),(3155,2585,0.080278,3.8517),(3155,2595,0.08348,3.8539),(3155,2605,0.08707,3.8561),(3155,2615,0.090659,3.8583),(3155,2625,0.094249,3.8603),(3155,2635,0.097899,3.8624),(3155,2645,0.10194,3.8645),(3155,2655,0.10598,3.8665),(3155,2665,0.11003,3.8684),(3155,2675,0.11415,3.8703),(3155,2685,0.11866,3.8722),(3155,2695,0.12317,3.874),(3155,2705,0.12768,3.8757),(3155,2715,0.1323,3.8773),(3155,2725,0.13729,3.8789),(3155,2735,0.14227,3.8805),(3155,2745,0.14726,3.8818),(3155,2755,0.15237,3.8831),(3155,2765,0.15782,3.8844),(3155,2775,0.16328,3.8856),(3155,2785,0.16874,3.8865),(3155,2795,0.17433,3.8874),(3155,2805,0.18024,3.8882),(3155,2815,0.18615,3.889),(3155,2825,0.19206,3.8894),(3155,2835,0.19811,3.8898),(3155,2845,0.20444,3.8902),(3155,2855,0.21077,3.8904),(3155,2865,0.21709,3.8902),(3155,2875,0.22356,3.89),(3155,2885,0.23027,3.8899),(3155,2895,0.23698,3.8894),(3155,2905,0.24368,3.8886),(3155,2915,0.25052,3.8878),(3155,2925,0.25755,3.887),(3155,2935,0.26458,3.8859),(3155,2945,0.27161,3.8843),(3155,2955,0.27876,3.8828),(3155,2965,0.28604,3.8813),(3155,2975,0.29333,3.8794),(3155,2985,0.30062,3.8771),(3155,2995,0.308,3.8748),(3155,3005,0.31547,3.8725),(3155,3015,0.32295,3.8698),(3155,3025,0.33042,3.8667),(3155,3035,0.33795,3.8636),(3155,3045,0.34553,3.8605),(3155,3055,0.35311,3.8569),(3155,3065,0.36069,3.8529),(3155,3075,0.36828,3.8489),(3155,3085,0.37588,3.845),(3155,3095,0.38348,3.8405),(3155,3105,0.39107,3.8356),(3155,3115,0.39863,3.8308),(3155,3125,0.40616,3.8259),(3155,3135,0.41368,3.8205),(3155,3145,0.42121,3.8147),(3155,3155,0.42863,3.8089),(3155,3165,0.43599,3.8032),(3155,3175,0.44334,3.7968),(3155,3185,0.4507,3.7901),(3155,3195,0.45787,3.7834),(3155,3205,0.46495,3.7767),(3155,3215,0.47203,3.7693),(3155,3225,0.47911,3.7617),(3155,3235,0.48592,3.7541),(3155,3245,0.49261,3.7465),(3155,3255,0.49931,3.7382),(3155,3265,0.50601,3.7296),(3155,3275,0.51232,3.7211),(3155,3285,0.51852,3.7126),(3155,3295,0.52471,3.7033),(3155,3305,0.53091,3.6939),(3155,3315,0.5366,3.6845),(3155,3325,0.54218,3.6751),(3155,3335,0.54775,3.665),(3155,3345,0.55333,3.6547),(3155,3355,0.55827,3.6445),(3155,3365,0.56309,3.6342),(3155,3375,0.56792,3.6233),(3155,3385,0.57275,3.6122),(3155,3395,0.5768,3.6012),(3155,3405,0.58075,3.5902),(3155,3415,0.5847,3.5785),(3155,3425,0.58865,3.5668),(3155,3435,0.59167,3.5551),(3155,3445,0.59462,3.5434),(3155,3455,0.59757,3.5311),(3155,3465,0.60052,3.5188),(3155,3475,0.60239,3.5065),(3155,3485,0.60422,3.4942),(3155,3495,0.60605,3.4815),(3155,3505,0.60787,3.4688),(3155,3515,0.60847,3.4561),(3155,3525,0.60906,3.4434),(3155,3535,0.60966,3.4304),(3155,3545,0.6102,3.4175),(3155,3555,0.60947,3.4045),(3155,3565,0.60874,3.3916),(3155,3575,0.60801,3.3786),(3155,3585,0.60716,3.3656),(3155,3595,0.60504,3.3526),(3155,3605,0.60292,3.3396),(3155,3615,0.60079,3.3268),(3155,3625,0.59849,3.314),(3155,3635,0.59493,3.3012),(3155,3645,0.59137,3.2885),(3155,3655,0.58781,3.2761),(3155,3665,0.58401,3.2638),(3155,3675,0.57902,3.2515),(3155,3685,0.57403,3.2393),(3155,3695,0.56904,3.2278),(3155,3705,0.56377,3.2163),(3155,3715,0.55741,3.2048),(3155,3725,0.55104,3.1935),(3155,3735,0.54468,3.1831),(3155,3745,0.53803,3.1728),(3155,3755,0.53045,3.1624),(3155,3765,0.52287,3.1524),(3155,3775,0.51529,3.1436),(3155,3785,0.50746,3.1348),(3155,3795,0.49895,3.1259),(3155,3805,0.49045,3.1177),(3155,3815,0.48195,3.1108),(3155,3825,0.4733,3.104),(3155,3835,0.46437,3.0971),(3155,3845,0.45543,3.091),(3155,3855,0.4465,3.0863),(3155,3865,0.43768,3.0817),(3155,3875,0.42906,3.0771),(3155,3885,0.42044,3.0734),(3155,3895,0.41182,3.071),(3155,3905,0.45371,3.0687),(3155,3915,0.57103,3.0664),(3155,3925,0.68836,3.0652),(3155,3935,0.80568,3.0654),(3155,3945,0.92778,3.0657),(3155,3955,1.0559,3.066),(3155,3965,1.1841,3.0645),(3155,3975,1.3123,3.0611),(3155,3985,1.3852,3.0576),(3155,3995,1.3985,3.0542),(3155,4005,1.4117,3.0477),(3155,4015,1.4249,3.0382),(3155,4025,1.4469,3.0287),(3155,4035,1.4697,3.0168),(3155,4045,1.4926,2.9999),(3155,4055,1.5197,2.983),(3155,4065,1.5483,2.9651),(3155,4075,1.5769,2.9416),(3155,4085,1.6056,2.918),(3155,4095,1.6342,2.8945),(3155,4105,1.6628,2.8673),(3155,4115,1.6363,2.8399),(3155,4125,1.5184,2.8125),(3155,4135,1.4005,2.7887),(3155,4145,1.2767,2.7658),(3155,4155,1.129,2.743),(3155,4165,0.98139,2.7233),(3155,4175,0.84268,2.7058),(3155,4185,1.1459,2.6882),(3155,4195,1.449,2.6658),(3155,4205,1.7522,2.637),(3155,4215,1.8036,2.6083),(3155,4225,1.8075,2.5796),(3155,4235,1.8115,2.5512),(3155,4245,1.7773,2.5228),(3155,4255,1.7236,2.4944),(3155,4265,1.67,2.4662),(3155,4275,1.468,2.4379),(3155,4285,1.1086,2.4097),(3155,4295,0.74921,2.3992),(3155,4305,0.61658,2.3907),(3155,4315,0.99606,2.3823),(3155,4325,1.3755,2.3648),(3155,4335,1.7134,2.3439),(3155,4345,1.7693,2.3229),(3155,4355,1.8252,2.3018),(3155,4365,1.8811,2.2806),(3155,4375,1.8889,2.2594),(3155,4385,1.8942,2.2383),(3155,4395,1.8995,2.2175),(3155,4405,1.6782,2.1966),(3155,4415,1.39,2.1777),(3155,4425,1.1018,2.167),(3155,4435,0.98189,2.1564),(3155,4445,0.97701,2.1458),(3155,4455,0.97213,2.1361),(3155,4465,1.0939,2.1263),(3155,4475,1.3936,2.1166),(3155,4485,1.6932,2.0998),(3155,4495,1.9226,2.0815),(3155,4505,1.9264,2.0632),(3155,4515,1.9302,2.0454),(3155,4525,1.9302,2.0279),(3155,4535,1.869,2.0103),(3155,4545,1.8078,1.994),(3155,4555,1.7466,1.979),(3155,4565,1.3491,1.9639),(3155,4575,0.90626,1.9523),(3155,4585,0.46341,1.949),(3155,4595,0.62457,1.9458),(3155,4605,1.041,1.9406),(3155,4615,1.4573,1.9212),(3155,4625,1.6943,1.9018),(3155,4635,1.7689,1.8824),(3155,4645,1.8434,1.8652),(3155,4655,1.8969,1.8483),(3155,4665,1.9107,1.8313),(3155,4675,1.9245,1.8153),(3155,4685,1.8705,1.7995),(3155,4695,1.4819,1.7838),(3155,4705,1.0932,1.774),(3155,4715,0.70451,1.7685),(3155,4725,0.89476,1.7631),(3155,4735,1.0908,1.7558),(3155,4745,1.2868,1.7457),(3155,4755,1.4852,1.7356),(3155,4765,1.684,1.7245),(3155,4775,1.8829,1.7098),(3155,4785,1.958,1.6951),(3155,4795,1.9616,1.6805),(3155,4805,1.9651,1.666),(3155,4815,1.874,1.6515),(3155,4825,1.6699,1.637),(3155,4835,1.4657,1.6267),(3155,4845,1.2598,1.617),(3155,4855,1.0489,1.6073),(3155,4865,0.83811,1.6014),(3155,4875,0.68989,1.5971),(3155,4885,1.1112,1.5929),(3155,4895,1.5325,1.5841),(3155,4905,1.9537,1.5709),(3155,4915,1.9857,1.5577),(3155,4925,1.9842,1.5444),(3155,4935,1.9827,1.5308),(3155,4945,1.9419,1.5172),(3155,4955,1.8874,1.5031),(3155,4965,1.8329,1.4869),(3155,4975,1.5186,1.4707),(3155,4985,1.0038,1.4544),(3155,4995,0.48904,1.453),(3155,5005,0.33998,1.452),(3155,5015,0.77239,1.4509),(3155,5025,1.2048,1.443),(3155,5035,1.5772,1.4333),(3155,5045,1.7212,1.4236),(3155,5055,1.8653,1.4121),(3155,5065,2.0051,1.3995),(3155,5075,2.0078,1.3869),(3155,5085,2.0106,1.3744),(3155,5095,2.0134,1.3619),(3155,5105,1.7622,1.3494),(3155,5115,1.4667,1.3385),(3155,5125,1.1712,1.3319),(3155,5135,1.0248,1.3252),(3155,5145,0.95067,1.3188),(3155,5155,0.87656,1.314),(3155,5165,1.0303,1.3093),(3155,5175,1.4163,1.3045),(3155,5185,1.8024,1.2934),(3155,5195,2.0669,1.2816),(3155,5205,2.0693,1.2698),(3155,5215,2.0717,1.258),(3155,5225,2.0632,1.2463),(3155,5235,1.9871,1.2346),(3155,5245,1.911,1.2237),(3155,5255,1.8349,1.2134),(3155,5265,1.2955,1.2032),(3155,5275,0.73701,1.1966),(3155,5285,0.17852,1.1963),(3155,5295,0.53457,1.196),(3155,5305,1.1453,1.1931),(3155,5315,1.756,1.1791),(3155,5325,2.0214,1.165),(3155,5335,2.0603,1.151),(3155,5345,2.0992,1.1394),(3155,5355,2.1231,1.1278),(3155,5365,2.1267,1.1162),(3155,5375,2.1302,1.1049),(3155,5385,2.0115,1.0936),(3155,5395,1.521,1.0823),(3155,5405,1.0304,1.0765),(3155,5415,0.59399,1.0735),(3155,5425,0.88511,1.0705),(3155,5435,1.1762,1.0658),(3155,5445,1.4673,1.0592),(3155,5455,1.744,1.0526),(3155,5465,2.0189,1.0449),(3155,5475,2.2938,1.0345),(3155,5485,2.3734,1.0242),(3155,5495,2.3745,1.0139),(3155,5505,2.3755,1.0039),(3155,5515,2.3765,0.99384),(3155,5525,2.3776,0.98381),(3155,5535,2.3786,0.97406),(3155,5545,2.3796,0.96434),(3155,5555,2.3804,0.95461),(3155,5565,2.3813,0.9451),(3155,5575,2.3821,0.93565),(3155,5585,2.3828,0.9262),(3155,5595,2.3835,0.91691),(3155,5605,2.3843,0.90775),(3155,5615,2.3848,0.89858),(3155,5625,2.3854,0.88951),(3155,5635,2.3859,0.88058),(3155,5645,2.3864,0.87166),(3155,5655,2.3868,0.86279),(3155,5665,2.3873,0.85411),(3155,5675,2.3876,0.84543),(3155,5685,2.3879,0.83676),(3155,5695,2.3882,0.8283),(3155,5705,2.3885,0.81984),(3155,5715,2.3886,0.81138),(3155,5725,2.3888,0.8031),(3155,5735,2.389,0.79484),(3155,5745,2.389,0.78659),(3155,5755,2.3891,0.77846),(3155,5765,2.3892,0.77039),(3155,5775,2.3892,0.76233),(3155,5785,2.3891,0.75435),(3155,5795,2.3891,0.74647),(3155,5805,2.389,0.73859),(3155,5815,2.3889,0.73076),(3155,5825,2.3888,0.72305),(3155,5835,2.3886,0.71534),(3155,5845,2.3884,0.70765),(3155,5855,2.3882,0.7001),(3155,5865,2.3879,0.69255),(3155,5875,2.3877,0.68501),(3155,5885,2.3874,0.67761),(3155,5895,2.387,0.67021),(3155,5905,2.3867,0.66282),(3155,5915,2.3863,0.65554),(3155,5925,2.3859,0.6483),(3155,5935,2.3855,0.64106),(3155,5945,2.385,0.63391),(3155,5955,2.3846,0.62682),(3155,5965,2.3841,0.61973),(3155,5975,2.3836,0.61269),(3155,5985,2.3831,0.60572),(3155,5995,1.8223,0.59876),(3155,6005,1.1713,0.59343),(3155,6015,0.52031,0.59251),(3155,6025,0.6563,0.59158),(3155,6035,1.1573,0.58996),(3155,6045,1.6583,0.58173),(3155,6055,2.0067,0.5735),(3155,6065,2.2054,0.56528),(3155,6075,2.4042,0.55463),(3155,6085,2.5387,0.54376),(3155,6095,2.5406,0.53289),(3155,6105,2.5426,0.52205),(3155,6115,2.5445,0.51122),(3155,6125,2.5464,0.50039),(3155,6135,2.5482,0.48964),(3155,6145,2.5501,0.47898),(3155,6155,2.5518,0.46831),(3155,6165,2.5535,0.4577),(3155,6175,2.5552,0.44719),(3155,6185,2.5568,0.43668),(3155,6195,2.5584,0.42618),(3155,6205,2.56,0.4157),(3155,6215,2.5615,0.40523),(3155,6225,2.563,0.39475),(3155,6235,2.5644,0.38433),(3155,6245,2.5658,0.37391),(3155,6255,2.5671,0.36349),(3155,6265,2.5685,0.35315),(3155,6275,2.5698,0.34281),(3155,6285,2.571,0.33248),(3155,6295,2.5723,0.32221),(3155,6305,2.5735,0.31197),(3155,6315,2.5745,0.30174),(3155,6325,2.5756,0.29154),(3155,6335,2.5766,0.28138),(3155,6345,2.5776,0.27122),(3155,6355,2.5785,0.26106),(3155,6365,2.5795,0.25092),(3155,6375,2.5804,0.24078),(3155,6385,2.5812,0.23065),(3155,6395,2.5821,0.22054),(3155,6405,2.5829,0.21043),(3155,6415,2.5836,0.20033),(3155,6425,2.5843,0.19032),(3155,6435,2.585,0.18032),(3155,6445,2.5856,0.17032),(3155,6455,2.5862,0.16034),(3155,6465,2.5868,0.15037),(3155,6475,2.5873,0.1404),(3155,6485,2.5878,0.13041),(3155,6495,2.5883,0.12042),(3155,6505,2.5887,0.11043),(3155,6515,2.5891,0.10046),(3155,6525,2.5894,0.090516),(3155,6535,2.5897,0.080573),(3155,6545,2.59,0.070627),(3155,6555,2.5902,0.060671),(3155,6565,2.5904,0.050714),(3155,6575,2.5906,0.040762),(3155,6585,2.5907,0.030879),(3155,6595,2.2036,0.020995),(3155,6605,1.3889,0.011111),(3155,6615,0.57421,0.00992),(3155,6625,0.001481,0.009846),(3155,6635,0.001478,0.009772),(3155,6645,0.001476,0.009744),(3155,6655,0.001473,0.009735),(3155,6665,0.00147,0.009725),(3155,6675,0.001468,0.009716),(3155,6685,0.001465,0.009707),(3155,6695,0.001463,0.009698),(3155,6705,0.001461,0.009689),(3155,6715,0.001458,0.00968),(3155,6725,0.001456,0.009671),(3155,6735,0.001454,0.009661),(3155,6745,0.001452,0.009652),(3155,6755,0.00145,0.009643),(3155,6765,0.001448,0.009634),(3155,6775,0.001446,0.009625),(3155,6785,0.001444,0.009616),(3155,6795,0.001442,0.009607),(3155,6805,0.001441,0.009598),(3155,6815,0.001439,0.00959),(3155,6825,0.001437,0.009581),(3155,6835,0.001436,0.009572),(3155,6845,0.001434,0.009563),(3155,6855,0.001433,0.009554),(3155,6865,0.001432,0.009545),(3155,6875,0.00143,0.009536),(3155,6885,0.001429,0.009527),(3155,6895,0.001428,0.009518),(3155,6905,0.001426,0.00951),(3155,6915,0.001425,0.009501),(3155,6925,0.001424,0.009492),(3155,6935,0.001423,0.009483),(3155,6945,0.001422,0.009474),(3155,6955,0.001421,0.009465),(3155,6965,0.001419,0.009456),(3155,6975,0.001419,0.009448),(3155,6985,0.001418,0.009439),(3165,5,9e-06,3.6886),(3165,15,2.6e-05,3.6886),(3165,25,4.4e-05,3.6886),(3165,35,6.1e-05,3.6886),(3165,45,7.8e-05,3.6886),(3165,55,9.6e-05,3.6886),(3165,65,0.000113,3.6886),(3165,75,0.00013,3.6886),(3165,85,0.000147,3.6886),(3165,95,0.000164,3.6886),(3165,105,0.000181,3.6886),(3165,115,0.000197,3.6886),(3165,125,0.000214,3.6886),(3165,135,0.00023,3.6886),(3165,145,0.000246,3.6887),(3165,155,0.000262,3.6887),(3165,165,0.000278,3.6887),(3165,175,0.000294,3.6887),(3165,185,0.000309,3.6887),(3165,195,0.000324,3.6887),(3165,205,0.000339,3.6887),(3165,215,0.000353,3.6887),(3165,225,0.000367,3.6887),(3165,235,0.000381,3.6887),(3165,245,0.000394,3.6888),(3165,255,0.000408,3.6888),(3165,265,0.00042,3.6888),(3165,275,0.000432,3.6888),(3165,285,0.000444,3.6888),(3165,295,0.000456,3.6888),(3165,305,0.000467,3.6889),(3165,315,0.000478,3.6889),(3165,325,0.000488,3.6889),(3165,335,0.000498,3.6889),(3165,345,0.000507,3.6889),(3165,355,0.000516,3.689),(3165,365,0.000524,3.689),(3165,375,0.000533,3.689),(3165,385,0.00054,3.689),(3165,395,0.000546,3.6891),(3165,405,0.000553,3.6891),(3165,415,0.000559,3.6891),(3165,425,0.000563,3.6891),(3165,435,0.000568,3.6892),(3165,445,0.000572,3.6892),(3165,455,0.000576,3.6892),(3165,465,0.000578,3.6893),(3165,475,0.000579,3.6893),(3165,485,0.000581,3.6893),(3165,495,0.000583,3.6894),(3165,505,0.000582,3.6894),(3165,515,0.00058,3.6894),(3165,525,0.000579,3.6895),(3165,535,0.000578,3.6895),(3165,545,0.000574,3.6896),(3165,555,0.00057,3.6896),(3165,565,0.000566,3.6897),(3165,575,0.000562,3.6897),(3165,585,0.000555,3.6898),(3165,595,0.000548,3.6898),(3165,605,0.000541,3.6899),(3165,615,0.000534,3.6899),(3165,625,0.000524,3.69),(3165,635,0.000514,3.69),(3165,645,0.000503,3.6901),(3165,655,0.000493,3.6901),(3165,665,0.000479,3.6902),(3165,675,0.000466,3.6903),(3165,685,0.000452,3.6903),(3165,695,0.000438,3.6904),(3165,705,0.000421,3.6905),(3165,715,0.000404,3.6905),(3165,725,0.000387,3.6906),(3165,735,0.00037,3.6907),(3165,745,0.000349,3.6908),(3165,755,0.000329,3.6909),(3165,765,0.000309,3.6909),(3165,775,0.000288,3.691),(3165,785,0.000264,3.6911),(3165,795,0.000241,3.6912),(3165,805,0.000217,3.6913),(3165,815,0.000192,3.6914),(3165,825,0.000165,3.6915),(3165,835,0.000137,3.6916),(3165,845,0.00011,3.6917),(3165,855,8.1e-05,3.6918),(3165,865,5.1e-05,3.6919),(3165,875,2e-05,3.692),(3165,885,-1.1e-05,3.6921),(3165,895,-4.3e-05,3.6923),(3165,905,-7.7e-05,3.6924),(3165,915,-0.000111,3.6925),(3165,925,-0.000145,3.6926),(3165,935,-0.00018,3.6928),(3165,945,-0.000217,3.6929),(3165,955,-0.000254,3.693),(3165,965,-0.000291,3.6932),(3165,975,-0.000329,3.6933),(3165,985,-0.000369,3.6935),(3165,995,-0.000409,3.6936),(3165,1005,-0.000448,3.6938),(3165,1015,-0.00049,3.6939),(3165,1025,-0.000532,3.6941),(3165,1035,-0.000575,3.6943),(3165,1045,-0.000617,3.6944),(3165,1055,-0.000661,3.6946),(3165,1065,-0.000705,3.6948),(3165,1075,-0.00075,3.695),(3165,1085,-0.000794,3.6952),(3165,1095,-0.00084,3.6954),(3165,1105,-0.000886,3.6956),(3165,1115,-0.000932,3.6958),(3165,1125,-0.000978,3.696),(3165,1135,-0.001025,3.6962),(3165,1145,-0.001072,3.6964),(3165,1155,-0.001119,3.6967),(3165,1165,-0.001166,3.6969),(3165,1175,-0.001214,3.6971),(3165,1185,-0.001262,3.6974),(3165,1195,-0.001309,3.6976),(3165,1205,-0.001357,3.6979),(3165,1215,-0.001405,3.6981),(3165,1225,-0.001452,3.6984),(3165,1235,-0.0015,3.6987),(3165,1245,-0.001548,3.6989),(3165,1255,-0.001595,3.6992),(3165,1265,-0.001642,3.6995),(3165,1275,-0.001688,3.6998),(3165,1285,-0.001735,3.7001),(3165,1295,-0.001781,3.7004),(3165,1305,-0.001826,3.7007),(3165,1315,-0.00187,3.701),(3165,1325,-0.001915,3.7014),(3165,1335,-0.001958,3.7017),(3165,1345,-0.002,3.702),(3165,1355,-0.002042,3.7024),(3165,1365,-0.002084,3.7027),(3165,1375,-0.002123,3.7031),(3165,1385,-0.002162,3.7035),(3165,1395,-0.0022,3.7038),(3165,1405,-0.002238,3.7042),(3165,1415,-0.002273,3.7046),(3165,1425,-0.002306,3.705),(3165,1435,-0.00234,3.7054),(3165,1445,-0.002374,3.7058),(3165,1455,-0.002401,3.7063),(3165,1465,-0.002429,3.7067),(3165,1475,-0.002457,3.7071),(3165,1485,-0.002485,3.7076),(3165,1495,-0.002505,3.708),(3165,1505,-0.002526,3.7085),(3165,1515,-0.002546,3.709),(3165,1525,-0.002566,3.7095),(3165,1535,-0.002578,3.7099),(3165,1545,-0.00259,3.7104),(3165,1555,-0.002602,3.711),(3165,1565,-0.002613,3.7115),(3165,1575,-0.002615,3.712),(3165,1585,-0.002616,3.7125),(3165,1595,-0.002618,3.7131),(3165,1605,-0.002619,3.7137),(3165,1615,-0.002608,3.7142),(3165,1625,-0.002598,3.7148),(3165,1635,-0.002588,3.7154),(3165,1645,-0.002575,3.716),(3165,1655,-0.002551,3.7166),(3165,1665,-0.002527,3.7172),(3165,1675,-0.002503,3.7179),(3165,1685,-0.002476,3.7185),(3165,1695,-0.002436,3.7192),(3165,1705,-0.002396,3.7199),(3165,1715,-0.002356,3.7206),(3165,1725,-0.002312,3.7213),(3165,1735,-0.002253,3.722),(3165,1745,-0.002195,3.7227),(3165,1755,-0.002136,3.7234),(3165,1765,-0.002072,3.7242),(3165,1775,-0.001992,3.7249),(3165,1785,-0.001912,3.7257),(3165,1795,-0.001832,3.7265),(3165,1805,-0.001744,3.7273),(3165,1815,-0.001638,3.7281),(3165,1825,-0.001533,3.7289),(3165,1835,-0.001428,3.7298),(3165,1845,-0.001313,3.7307),(3165,1855,-0.001179,3.7315),(3165,1865,-0.001045,3.7324),(3165,1875,-0.00091,3.7334),(3165,1885,-0.000763,3.7343),(3165,1895,-0.000595,3.7352),(3165,1905,-0.000427,3.7362),(3165,1915,-0.000259,3.7372),(3165,1925,-7.5e-05,3.7382),(3165,1935,0.000133,3.7392),(3165,1945,0.00034,3.7402),(3165,1955,0.000547,3.7413),(3165,1965,0.000776,3.7424),(3165,1975,0.00103,3.7435),(3165,1985,0.001283,3.7446),(3165,1995,0.001537,3.7457),(3165,2005,0.001818,3.7469),(3165,2015,0.002126,3.748),(3165,2025,0.002434,3.7492),(3165,2035,0.002742,3.7505),(3165,2045,0.003085,3.7517),(3165,2055,0.003457,3.7529),(3165,2065,0.003829,3.7542),(3165,2075,0.004201,3.7556),(3165,2085,0.004616,3.7569),(3165,2095,0.005064,3.7582),(3165,2105,0.005511,3.7596),(3165,2115,0.005958,3.761),(3165,2125,0.006459,3.7625),(3165,2135,0.006995,3.7639),(3165,2145,0.007531,3.7654),(3165,2155,0.008066,3.7669),(3165,2165,0.00867,3.7685),(3165,2175,0.00931,3.77),(3165,2185,0.00995,3.7716),(3165,2195,0.01059,3.7732),(3165,2205,0.011316,3.7749),(3165,2215,0.012078,3.7765),(3165,2225,0.01284,3.7782),(3165,2235,0.013603,3.78),(3165,2245,0.014471,3.7817),(3165,2255,0.015377,3.7835),(3165,2265,0.016283,3.7853),(3165,2275,0.017189,3.7871),(3165,2285,0.018226,3.789),(3165,2295,0.019299,3.7909),(3165,2305,0.020373,3.7928),(3165,2315,0.021447,3.7948),(3165,2325,0.02268,3.7967),(3165,2335,0.023949,3.7987),(3165,2345,0.025218,3.8008),(3165,2355,0.026487,3.8028),(3165,2365,0.02795,3.8049),(3165,2375,0.029445,3.807),(3165,2385,0.03094,3.8091),(3165,2395,0.032435,3.8113),(3165,2405,0.034163,3.8135),(3165,2415,0.035918,3.8157),(3165,2425,0.037672,3.8179),(3165,2435,0.039427,3.8202),(3165,2445,0.041459,3.8224),(3165,2455,0.043509,3.8247),(3165,2465,0.04556,3.827),(3165,2475,0.047611,3.8293),(3165,2485,0.049987,3.8316),(3165,2495,0.052371,3.8339),(3165,2505,0.054755,3.8363),(3165,2515,0.057145,3.8386),(3165,2525,0.059901,3.841),(3165,2535,0.062656,3.8433),(3165,2545,0.065412,3.8457),(3165,2555,0.06819,3.848),(3165,2565,0.071353,3.8504),(3165,2575,0.074517,3.8527),(3165,2585,0.077681,3.855),(3165,2595,0.080886,3.8573),(3165,2605,0.084491,3.8596),(3165,2615,0.088095,3.8619),(3165,2625,0.0917,3.864),(3165,2635,0.095367,3.8662),(3165,2645,0.09944,3.8684),(3165,2655,0.10351,3.8706),(3165,2665,0.10759,3.8726),(3165,2675,0.11174,3.8746),(3165,2685,0.1163,3.8766),(3165,2695,0.12086,3.8785),(3165,2705,0.12542,3.8803),(3165,2715,0.13008,3.882),(3165,2725,0.13514,3.8838),(3165,2735,0.14019,3.8855),(3165,2745,0.14525,3.8869),(3165,2755,0.15042,3.8883),(3165,2765,0.15597,3.8897),(3165,2775,0.16151,3.891),(3165,2785,0.16705,3.892),(3165,2795,0.17273,3.893),(3165,2805,0.17875,3.894),(3165,2815,0.18476,3.8949),(3165,2825,0.19078,3.8954),(3165,2835,0.19694,3.8959),(3165,2845,0.20339,3.8964),(3165,2855,0.20984,3.8967),(3165,2865,0.2163,3.8966),(3165,2875,0.2229,3.8965),(3165,2885,0.22975,3.8964),(3165,2895,0.23659,3.8961),(3165,2905,0.24344,3.8954),(3165,2915,0.25043,3.8946),(3165,2925,0.25762,3.8939),(3165,2935,0.2648,3.8928),(3165,2945,0.27199,3.8914),(3165,2955,0.2793,3.8899),(3165,2965,0.28676,3.8885),(3165,2975,0.29422,3.8866),(3165,2985,0.30168,3.8844),(3165,2995,0.30924,3.8821),(3165,3005,0.31689,3.8799),(3165,3015,0.32455,3.8772),(3165,3025,0.33221,3.8741),(3165,3035,0.33993,3.871),(3165,3045,0.3477,3.8679),(3165,3055,0.35548,3.8644),(3165,3065,0.36325,3.8604),(3165,3075,0.37104,3.8564),(3165,3085,0.37884,3.8525),(3165,3095,0.38665,3.848),(3165,3105,0.39445,3.8431),(3165,3115,0.40221,3.8382),(3165,3125,0.40995,3.8333),(3165,3135,0.41768,3.8279),(3165,3145,0.42542,3.8221),(3165,3155,0.43305,3.8162),(3165,3165,0.44062,3.8104),(3165,3175,0.44819,3.804),(3165,3185,0.45576,3.7972),(3165,3195,0.46314,3.7905),(3165,3205,0.47044,3.7837),(3165,3215,0.47773,3.7762),(3165,3225,0.48503,3.7685),(3165,3235,0.49205,3.7608),(3165,3245,0.49896,3.7531),(3165,3255,0.50587,3.7447),(3165,3265,0.51278,3.736),(3165,3275,0.5193,3.7274),(3165,3285,0.52571,3.7187),(3165,3295,0.53211,3.7093),(3165,3305,0.53852,3.6997),(3165,3315,0.54441,3.6902),(3165,3325,0.55018,3.6806),(3165,3335,0.55596,3.6703),(3165,3345,0.56173,3.6599),(3165,3355,0.56686,3.6494),(3165,3365,0.57187,3.639),(3165,3375,0.57688,3.6278),(3165,3385,0.5819,3.6166),(3165,3395,0.58611,3.6053),(3165,3405,0.59023,3.5941),(3165,3415,0.59435,3.5822),(3165,3425,0.59847,3.5702),(3165,3435,0.60163,3.5582),(3165,3445,0.60472,3.5463),(3165,3455,0.60781,3.5337),(3165,3465,0.6109,3.5212),(3165,3475,0.61288,3.5086),(3165,3485,0.61481,3.496),(3165,3495,0.61675,3.483),(3165,3505,0.61868,3.47),(3165,3515,0.61934,3.457),(3165,3525,0.62,3.444),(3165,3535,0.62067,3.4307),(3165,3545,0.62127,3.4174),(3165,3555,0.62056,3.4041),(3165,3565,0.61984,3.3908),(3165,3575,0.61913,3.3775),(3165,3585,0.6183,3.3641),(3165,3595,0.61613,3.3508),(3165,3605,0.61397,3.3374),(3165,3615,0.6118,3.3243),(3165,3625,0.60945,3.3111),(3165,3635,0.60578,3.298),(3165,3645,0.60211,3.2849),(3165,3655,0.59844,3.2722),(3165,3665,0.59453,3.2596),(3165,3675,0.58935,3.2469),(3165,3685,0.58417,3.2344),(3165,3695,0.57899,3.2225),(3165,3705,0.57351,3.2106),(3165,3715,0.56687,3.1988),(3165,3725,0.56023,3.1872),(3165,3735,0.55359,3.1765),(3165,3745,0.54664,3.1659),(3165,3755,0.53868,3.1552),(3165,3765,0.53072,3.145),(3165,3775,0.52276,3.1359),(3165,3785,0.5145,3.1269),(3165,3795,0.50551,3.1178),(3165,3805,0.49651,3.1094),(3165,3815,0.48752,3.1024),(3165,3825,0.47835,3.0954),(3165,3835,0.46883,3.0885),(3165,3845,0.45931,3.0823),(3165,3855,0.44979,3.0778),(3165,3865,0.44038,3.0732),(3165,3875,0.43116,3.0687),(3165,3885,0.42194,3.0651),(3165,3895,0.41272,3.0631),(3165,3905,0.45373,3.0611),(3165,3915,0.56977,3.0591),(3165,3925,0.68582,3.0586),(3165,3935,0.80186,3.0602),(3165,3945,0.92346,3.0618),(3165,3955,1.0521,3.0635),(3165,3965,1.1808,3.0633),(3165,3975,1.3094,3.0612),(3165,3985,1.3835,3.059),(3165,3995,1.3987,3.0569),(3165,4005,1.4138,3.0511),(3165,4015,1.429,3.0419),(3165,4025,1.4534,3.0326),(3165,4035,1.4787,3.0206),(3165,4045,1.5041,3.0031),(3165,4055,1.5334,2.9855),(3165,4065,1.5642,2.9669),(3165,4075,1.595,2.9422),(3165,4085,1.6253,2.9174),(3165,4095,1.6551,2.8927),(3165,4105,1.6849,2.8641),(3165,4115,1.6587,2.8354),(3165,4125,1.5396,2.8067),(3165,4135,1.4205,2.782),(3165,4145,1.2955,2.7583),(3165,4155,1.1466,2.7346),(3165,4165,0.99772,2.7143),(3165,4175,0.85781,2.6963),(3165,4185,1.1635,2.6783),(3165,4195,1.4692,2.6553),(3165,4205,1.7749,2.626),(3165,4215,1.8265,2.5966),(3165,4225,1.8302,2.5674),(3165,4235,1.834,2.5387),(3165,4245,1.7997,2.51),(3165,4255,1.7462,2.4813),(3165,4265,1.6926,2.4529),(3165,4275,1.4882,2.4244),(3165,4285,1.1237,2.396),(3165,4295,0.75929,2.3856),(3165,4305,0.624,2.3772),(3165,4315,1.0062,2.3688),(3165,4325,1.3883,2.3513),(3165,4335,1.7285,2.3303),(3165,4345,1.7843,2.3093),(3165,4355,1.8401,2.2881),(3165,4365,1.8959,2.2668),(3165,4375,1.9036,2.2456),(3165,4385,1.9088,2.2244),(3165,4395,1.914,2.2035),(3165,4405,1.6909,2.1826),(3165,4415,1.4005,2.1635),(3165,4425,1.11,2.1528),(3165,4435,0.98903,2.1422),(3165,4445,0.98384,2.1315),(3165,4455,0.97865,2.1218),(3165,4465,1.1009,2.1121),(3165,4475,1.4022,2.1025),(3165,4485,1.7035,2.0858),(3165,4495,1.9341,2.0676),(3165,4505,1.9377,2.0495),(3165,4515,1.9413,2.0318),(3165,4525,1.941,2.0143),(3165,4535,1.8792,1.9969),(3165,4545,1.8174,1.9807),(3165,4555,1.7556,1.9658),(3165,4565,1.3561,1.9509),(3165,4575,0.9111,1.9394),(3165,4585,0.46609,1.9362),(3165,4595,0.62917,1.933),(3165,4605,1.0492,1.928),(3165,4615,1.4692,1.9086),(3165,4625,1.7074,1.8892),(3165,4635,1.7809,1.8698),(3165,4645,1.8545,1.8528),(3165,4655,1.9072,1.8359),(3165,4665,1.9205,1.819),(3165,4675,1.9339,1.803),(3165,4685,1.8793,1.7873),(3165,4695,1.4887,1.7716),(3165,4705,1.0981,1.7619),(3165,4715,0.7075,1.7565),(3165,4725,0.89852,1.7511),(3165,4735,1.0954,1.7439),(3165,4745,1.2922,1.7338),(3165,4755,1.4913,1.7238),(3165,4765,1.6909,1.7128),(3165,4775,1.8906,1.6982),(3165,4785,1.9659,1.6835),(3165,4795,1.9694,1.6689),(3165,4805,1.9728,1.6545),(3165,4815,1.8814,1.64),(3165,4825,1.6764,1.6256),(3165,4835,1.4715,1.6153),(3165,4845,1.2646,1.6056),(3165,4855,1.0528,1.596),(3165,4865,0.84102,1.59),(3165,4875,0.69205,1.5858),(3165,4885,1.1147,1.5816),(3165,4895,1.5373,1.5728),(3165,4905,1.96,1.5596),(3165,4915,1.9922,1.5464),(3165,4925,1.9909,1.5331),(3165,4935,1.9895,1.5195),(3165,4945,1.9494,1.5059),(3165,4955,1.8959,1.4919),(3165,4965,1.8424,1.4757),(3165,4975,1.5269,1.4594),(3165,4985,1.0091,1.4432),(3165,4995,0.4913,1.4418),(3165,5005,0.34089,1.4408),(3165,5015,0.77454,1.4397),(3165,5025,1.2082,1.4318),(3165,5035,1.5817,1.4221),(3165,5045,1.7261,1.4125),(3165,5055,1.8705,1.401),(3165,5065,2.0107,1.3885),(3165,5075,2.0135,1.3759),(3165,5085,2.0162,1.3634),(3165,5095,2.019,1.3509),(3165,5105,1.767,1.3385),(3165,5115,1.4707,1.3275),(3165,5125,1.1744,1.3209),(3165,5135,1.0275,1.3143),(3165,5145,0.95303,1.3079),(3165,5155,0.8786,1.3032),(3165,5165,1.0326,1.2984),(3165,5175,1.4195,1.2937),(3165,5185,1.8065,1.2826),(3165,5195,2.0716,1.2708),(3165,5205,2.0739,1.259),(3165,5215,2.0763,1.2473),(3165,5225,2.0678,1.2357),(3165,5235,1.9915,1.224),(3165,5245,1.9152,1.2131),(3165,5255,1.8389,1.2028),(3165,5265,1.2983,1.1926),(3165,5275,0.73858,1.186),(3165,5285,0.17887,1.1857),(3165,5295,0.53636,1.1855),(3165,5305,1.1493,1.1825),(3165,5315,1.7622,1.1686),(3165,5325,2.0279,1.1546),(3165,5335,2.0659,1.1407),(3165,5345,2.104,1.1291),(3165,5355,2.1273,1.1176),(3165,5365,2.1308,1.106),(3165,5375,2.1343,1.0948),(3165,5385,2.0152,1.0835),(3165,5395,1.5237,1.0723),(3165,5405,1.0323,1.0665),(3165,5415,0.59501,1.0635),(3165,5425,0.88629,1.0606),(3165,5435,1.1776,1.0559),(3165,5445,1.4688,1.0494),(3165,5455,1.7457,1.0428),(3165,5465,2.0208,1.0352),(3165,5475,2.2959,1.025),(3165,5485,2.3756,1.0147),(3165,5495,2.3765,1.0046),(3165,5505,2.3775,0.99465),(3165,5515,2.3784,0.98472),(3165,5525,2.3794,0.9748),(3165,5535,2.3803,0.96516),(3165,5545,2.3812,0.95554),(3165,5555,2.382,0.94592),(3165,5565,2.3827,0.9365),(3165,5575,2.3835,0.92716),(3165,5585,2.3841,0.91781),(3165,5595,2.3847,0.90863),(3165,5605,2.3854,0.89956),(3165,5615,2.3859,0.89049),(3165,5625,2.3863,0.88152),(3165,5635,2.3868,0.87269),(3165,5645,2.3872,0.86385),(3165,5655,2.3876,0.85508),(3165,5665,2.3879,0.84649),(3165,5675,2.3882,0.8379),(3165,5685,2.3884,0.82932),(3165,5695,2.3887,0.82095),(3165,5705,2.3889,0.81258),(3165,5715,2.389,0.80421),(3165,5725,2.3891,0.79601),(3165,5735,2.3892,0.78784),(3165,5745,2.3892,0.77967),(3165,5755,2.3892,0.77163),(3165,5765,2.3892,0.76365),(3165,5775,2.3892,0.75567),(3165,5785,2.3891,0.74778),(3165,5795,2.389,0.73998),(3165,5805,2.3888,0.73217),(3165,5815,2.3887,0.72443),(3165,5825,2.3885,0.7168),(3165,5835,2.3883,0.70916),(3165,5845,2.388,0.70155),(3165,5855,2.3878,0.69408),(3165,5865,2.3875,0.6866),(3165,5875,2.3871,0.67913),(3165,5885,2.3868,0.6718),(3165,5895,2.3864,0.66448),(3165,5905,2.386,0.65716),(3165,5915,2.3856,0.64996),(3165,5925,2.3852,0.64278),(3165,5935,2.3847,0.63561),(3165,5945,2.3842,0.62853),(3165,5955,2.3837,0.62151),(3165,5965,2.3832,0.61448),(3165,5975,2.3827,0.60751),(3165,5985,2.3821,0.60061),(3165,5995,1.8215,0.59372),(3165,6005,1.1708,0.58845),(3165,6015,0.52009,0.58752),(3165,6025,0.65669,0.5866),(3165,6035,1.1584,0.585),(3165,6045,1.6602,0.57684),(3165,6055,2.0091,0.56869),(3165,6065,2.2081,0.56053),(3165,6075,2.4071,0.54997),(3165,6085,2.5417,0.5392),(3165,6095,2.5436,0.52842),(3165,6105,2.5455,0.51767),(3165,6115,2.5474,0.50693),(3165,6125,2.5492,0.49618),(3165,6135,2.551,0.48553),(3165,6145,2.5528,0.47495),(3165,6155,2.5545,0.46438),(3165,6165,2.5562,0.45386),(3165,6175,2.5579,0.44344),(3165,6185,2.5594,0.43302),(3165,6195,2.561,0.42261),(3165,6205,2.5626,0.41222),(3165,6215,2.564,0.40184),(3165,6225,2.5655,0.39145),(3165,6235,2.5669,0.38112),(3165,6245,2.5683,0.37078),(3165,6255,2.5696,0.36045),(3165,6265,2.5709,0.35017),(3165,6275,2.5722,0.33992),(3165,6285,2.5734,0.32966),(3165,6295,2.5746,0.31949),(3165,6305,2.5758,0.30936),(3165,6315,2.5768,0.29924),(3165,6325,2.5778,0.28914),(3165,6335,2.5789,0.27906),(3165,6345,2.5798,0.26897),(3165,6355,2.5808,0.2589),(3165,6365,2.5817,0.24885),(3165,6375,2.5826,0.2388),(3165,6385,2.5834,0.22875),(3165,6395,2.5842,0.21873),(3165,6405,2.585,0.2087),(3165,6415,2.5857,0.19868),(3165,6425,2.5864,0.18875),(3165,6435,2.5871,0.17884),(3165,6445,2.5877,0.16892),(3165,6455,2.5883,0.15903),(3165,6465,2.5888,0.14915),(3165,6475,2.5893,0.13927),(3165,6485,2.5898,0.12937),(3165,6495,2.5903,0.11946),(3165,6505,2.5907,0.10956),(3165,6515,2.5911,0.099666),(3165,6525,2.5915,0.089801),(3165,6535,2.5917,0.079937),(3165,6545,2.592,0.070067),(3165,6555,2.5923,0.060177),(3165,6565,2.5924,0.050288),(3165,6575,2.5926,0.040406),(3165,6585,2.5927,0.030629),(3165,6595,2.2053,0.020853),(3165,6605,1.39,0.011076),(3165,6615,0.57465,0.009903),(3165,6625,0.001486,0.009835),(3165,6635,0.001483,0.009768),(3165,6645,0.00148,0.009741),(3165,6655,0.001478,0.009732),(3165,6665,0.001475,0.009723),(3165,6675,0.001472,0.009714),(3165,6685,0.00147,0.009704),(3165,6695,0.001468,0.009695),(3165,6705,0.001465,0.009686),(3165,6715,0.001463,0.009677),(3165,6725,0.001461,0.009668),(3165,6735,0.001459,0.009659),(3165,6745,0.001456,0.00965),(3165,6755,0.001455,0.009641),(3165,6765,0.001453,0.009632),(3165,6775,0.001451,0.009624),(3165,6785,0.001449,0.009615),(3165,6795,0.001447,0.009606),(3165,6805,0.001445,0.009597),(3165,6815,0.001444,0.009588),(3165,6825,0.001442,0.009579),(3165,6835,0.00144,0.00957),(3165,6845,0.001439,0.009561),(3165,6855,0.001437,0.009553),(3165,6865,0.001436,0.009544),(3165,6875,0.001435,0.009535),(3165,6885,0.001433,0.009526),(3165,6895,0.001432,0.009517),(3165,6905,0.001431,0.009508),(3165,6915,0.001429,0.009499),(3165,6925,0.001428,0.009491),(3165,6935,0.001427,0.009482),(3165,6945,0.001426,0.009473),(3165,6955,0.001425,0.009464),(3165,6965,0.001424,0.009455),(3165,6975,0.001423,0.009447),(3165,6985,0.001422,0.009438),(3175,5,8e-06,3.6886),(3175,15,2.5e-05,3.6886),(3175,25,4.2e-05,3.6886),(3175,35,5.9e-05,3.6886),(3175,45,7.6e-05,3.6886),(3175,55,9.2e-05,3.6886),(3175,65,0.000109,3.6886),(3175,75,0.000125,3.6886),(3175,85,0.000142,3.6886),(3175,95,0.000158,3.6886),(3175,105,0.000174,3.6886),(3175,115,0.00019,3.6886),(3175,125,0.000206,3.6887),(3175,135,0.000222,3.6887),(3175,145,0.000237,3.6887),(3175,155,0.000252,3.6887),(3175,165,0.000267,3.6887),(3175,175,0.000282,3.6887),(3175,185,0.000297,3.6887),(3175,195,0.000311,3.6887),(3175,205,0.000325,3.6887),(3175,215,0.000339,3.6887),(3175,225,0.000352,3.6887),(3175,235,0.000365,3.6888),(3175,245,0.000378,3.6888),(3175,255,0.00039,3.6888),(3175,265,0.000402,3.6888),(3175,275,0.000413,3.6888),(3175,285,0.000424,3.6888),(3175,295,0.000436,3.6889),(3175,305,0.000445,3.6889),(3175,315,0.000455,3.6889),(3175,325,0.000465,3.6889),(3175,335,0.000474,3.6889),(3175,345,0.000482,3.6889),(3175,355,0.00049,3.689),(3175,365,0.000497,3.689),(3175,375,0.000505,3.689),(3175,385,0.00051,3.689),(3175,395,0.000516,3.6891),(3175,405,0.000521,3.6891),(3175,415,0.000527,3.6891),(3175,425,0.00053,3.6891),(3175,435,0.000533,3.6892),(3175,445,0.000536,3.6892),(3175,455,0.000539,3.6892),(3175,465,0.00054,3.6893),(3175,475,0.00054,3.6893),(3175,485,0.000541,3.6893),(3175,495,0.000541,3.6894),(3175,505,0.000539,3.6894),(3175,515,0.000536,3.6894),(3175,525,0.000534,3.6895),(3175,535,0.000532,3.6895),(3175,545,0.000526,3.6896),(3175,555,0.000521,3.6896),(3175,565,0.000515,3.6897),(3175,575,0.00051,3.6897),(3175,585,0.000501,3.6898),(3175,595,0.000492,3.6898),(3175,605,0.000484,3.6899),(3175,615,0.000475,3.6899),(3175,625,0.000463,3.69),(3175,635,0.000451,3.69),(3175,645,0.00044,3.6901),(3175,655,0.000427,3.6901),(3175,665,0.000412,3.6902),(3175,675,0.000396,3.6903),(3175,685,0.000381,3.6903),(3175,695,0.000365,3.6904),(3175,705,0.000346,3.6905),(3175,715,0.000327,3.6905),(3175,725,0.000308,3.6906),(3175,735,0.000288,3.6907),(3175,745,0.000265,3.6908),(3175,755,0.000243,3.6908),(3175,765,0.00022,3.6909),(3175,775,0.000197,3.691),(3175,785,0.000171,3.6911),(3175,795,0.000145,3.6912),(3175,805,0.000119,3.6913),(3175,815,9.1e-05,3.6914),(3175,825,6.1e-05,3.6915),(3175,835,3.1e-05,3.6916),(3175,845,1e-06,3.6917),(3175,855,-3e-05,3.6918),(3175,865,-6.4e-05,3.6919),(3175,875,-9.7e-05,3.692),(3175,885,-0.000131,3.6921),(3175,895,-0.000166,3.6922),(3175,905,-0.000203,3.6923),(3175,915,-0.00024,3.6925),(3175,925,-0.000278,3.6926),(3175,935,-0.000316,3.6927),(3175,945,-0.000356,3.6929),(3175,955,-0.000397,3.693),(3175,965,-0.000437,3.6931),(3175,975,-0.000479,3.6933),(3175,985,-0.000522,3.6934),(3175,995,-0.000566,3.6936),(3175,1005,-0.000609,3.6937),(3175,1015,-0.000654,3.6939),(3175,1025,-0.000701,3.6941),(3175,1035,-0.000747,3.6942),(3175,1045,-0.000794,3.6944),(3175,1055,-0.000842,3.6946),(3175,1065,-0.000891,3.6948),(3175,1075,-0.000939,3.6949),(3175,1085,-0.000988,3.6951),(3175,1095,-0.001038,3.6953),(3175,1105,-0.001089,3.6955),(3175,1115,-0.00114,3.6957),(3175,1125,-0.00119,3.6959),(3175,1135,-0.001242,3.6962),(3175,1145,-0.001294,3.6964),(3175,1155,-0.001346,3.6966),(3175,1165,-0.001398,3.6968),(3175,1175,-0.001451,3.6971),(3175,1185,-0.001504,3.6973),(3175,1195,-0.001557,3.6976),(3175,1205,-0.00161,3.6978),(3175,1215,-0.001663,3.6981),(3175,1225,-0.001717,3.6983),(3175,1235,-0.00177,3.6986),(3175,1245,-0.001823,3.6989),(3175,1255,-0.001876,3.6992),(3175,1265,-0.001929,3.6994),(3175,1275,-0.001982,3.6997),(3175,1285,-0.002035,3.7),(3175,1295,-0.002086,3.7004),(3175,1305,-0.002138,3.7007),(3175,1315,-0.002189,3.701),(3175,1325,-0.002241,3.7013),(3175,1335,-0.00229,3.7016),(3175,1345,-0.002339,3.702),(3175,1355,-0.002388,3.7023),(3175,1365,-0.002437,3.7027),(3175,1375,-0.002483,3.703),(3175,1385,-0.002529,3.7034),(3175,1395,-0.002575,3.7038),(3175,1405,-0.00262,3.7042),(3175,1415,-0.002662,3.7046),(3175,1425,-0.002704,3.705),(3175,1435,-0.002745,3.7054),(3175,1445,-0.002787,3.7058),(3175,1455,-0.002823,3.7062),(3175,1465,-0.002859,3.7066),(3175,1475,-0.002895,3.7071),(3175,1485,-0.002931,3.7075),(3175,1495,-0.00296,3.708),(3175,1505,-0.002989,3.7085),(3175,1515,-0.003019,3.7089),(3175,1525,-0.003048,3.7094),(3175,1535,-0.003069,3.7099),(3175,1545,-0.003091,3.7104),(3175,1555,-0.003112,3.7109),(3175,1565,-0.003133,3.7115),(3175,1575,-0.003144,3.712),(3175,1585,-0.003156,3.7125),(3175,1595,-0.003168,3.7131),(3175,1605,-0.003178,3.7137),(3175,1615,-0.003179,3.7142),(3175,1625,-0.003179,3.7148),(3175,1635,-0.00318,3.7154),(3175,1645,-0.003178,3.716),(3175,1655,-0.003166,3.7166),(3175,1665,-0.003153,3.7173),(3175,1675,-0.003141,3.7179),(3175,1685,-0.003125,3.7186),(3175,1695,-0.003098,3.7192),(3175,1705,-0.00307,3.7199),(3175,1715,-0.003043,3.7206),(3175,1725,-0.003011,3.7213),(3175,1735,-0.002966,3.722),(3175,1745,-0.002921,3.7227),(3175,1755,-0.002876,3.7235),(3175,1765,-0.002826,3.7242),(3175,1775,-0.00276,3.725),(3175,1785,-0.002694,3.7258),(3175,1795,-0.002629,3.7266),(3175,1805,-0.002556,3.7274),(3175,1815,-0.002466,3.7282),(3175,1825,-0.002376,3.729),(3175,1835,-0.002286,3.7299),(3175,1845,-0.002187,3.7308),(3175,1855,-0.00207,3.7317),(3175,1865,-0.001953,3.7326),(3175,1875,-0.001835,3.7335),(3175,1885,-0.001706,3.7344),(3175,1895,-0.001556,3.7354),(3175,1905,-0.001406,3.7364),(3175,1915,-0.001257,3.7374),(3175,1925,-0.001091,3.7384),(3175,1935,-0.000903,3.7394),(3175,1945,-0.000715,3.7404),(3175,1955,-0.000527,3.7415),(3175,1965,-0.000319,3.7426),(3175,1975,-8.7e-05,3.7437),(3175,1985,0.000146,3.7448),(3175,1995,0.000378,3.746),(3175,2005,0.000637,3.7471),(3175,2015,0.000922,3.7483),(3175,2025,0.001208,3.7495),(3175,2035,0.001493,3.7508),(3175,2045,0.001812,3.752),(3175,2055,0.002159,3.7533),(3175,2065,0.002507,3.7546),(3175,2075,0.002854,3.756),(3175,2085,0.003244,3.7573),(3175,2095,0.003665,3.7587),(3175,2105,0.004086,3.7601),(3175,2115,0.004507,3.7615),(3175,2125,0.004981,3.763),(3175,2135,0.005489,3.7644),(3175,2145,0.005997,3.7659),(3175,2155,0.006504,3.7675),(3175,2165,0.00708,3.769),(3175,2175,0.00769,3.7706),(3175,2185,0.008301,3.7722),(3175,2195,0.008911,3.7739),(3175,2205,0.009606,3.7756),(3175,2215,0.010338,3.7772),(3175,2225,0.01107,3.779),(3175,2235,0.011802,3.7808),(3175,2245,0.012639,3.7825),(3175,2255,0.013513,3.7843),(3175,2265,0.014387,3.7862),(3175,2275,0.015262,3.7881),(3175,2285,0.016266,3.79),(3175,2295,0.017308,3.7919),(3175,2305,0.01835,3.7939),(3175,2315,0.019392,3.7959),(3175,2325,0.020594,3.7979),(3175,2335,0.021831,3.7999),(3175,2345,0.023069,3.8021),(3175,2355,0.024306,3.8042),(3175,2365,0.025739,3.8063),(3175,2375,0.027204,3.8084),(3175,2385,0.028669,3.8107),(3175,2395,0.030134,3.8129),(3175,2405,0.031834,3.8151),(3175,2415,0.033561,3.8174),(3175,2425,0.035289,3.8197),(3175,2435,0.037016,3.822),(3175,2445,0.039025,3.8244),(3175,2455,0.041052,3.8267),(3175,2465,0.04308,3.8291),(3175,2475,0.045107,3.8315),(3175,2485,0.047466,3.8339),(3175,2495,0.049834,3.8363),(3175,2505,0.052201,3.8388),(3175,2515,0.054574,3.8412),(3175,2525,0.057321,3.8436),(3175,2535,0.060068,3.8461),(3175,2545,0.062816,3.8485),(3175,2555,0.065586,3.851),(3175,2565,0.068751,3.8534),(3175,2575,0.071917,3.8559),(3175,2585,0.075083,3.8583),(3175,2595,0.078292,3.8607),(3175,2605,0.081911,3.8631),(3175,2615,0.085531,3.8655),(3175,2625,0.089151,3.8678),(3175,2635,0.092835,3.8701),(3175,2645,0.096938,3.8724),(3175,2655,0.10104,3.8747),(3175,2665,0.10514,3.8768),(3175,2675,0.10933,3.8789),(3175,2685,0.11394,3.8811),(3175,2695,0.11855,3.8832),(3175,2705,0.12316,3.885),(3175,2715,0.12787,3.8869),(3175,2725,0.13299,3.8888),(3175,2735,0.13811,3.8906),(3175,2745,0.14323,3.8921),(3175,2755,0.14848,3.8937),(3175,2765,0.15411,3.8952),(3175,2775,0.15974,3.8967),(3175,2785,0.16537,3.8978),(3175,2795,0.17114,3.8989),(3175,2805,0.17726,3.9),(3175,2815,0.18338,3.901),(3175,2825,0.1895,3.9016),(3175,2835,0.19577,3.9022),(3175,2845,0.20235,3.9029),(3175,2855,0.20892,3.9033),(3175,2865,0.2155,3.9033),(3175,2875,0.22223,3.9033),(3175,2885,0.22922,3.9033),(3175,2895,0.23621,3.9031),(3175,2905,0.2432,3.9025),(3175,2915,0.25034,3.9018),(3175,2925,0.25768,3.9012),(3175,2935,0.26503,3.9002),(3175,2945,0.27237,3.8988),(3175,2955,0.27984,3.8974),(3175,2965,0.28748,3.896),(3175,2975,0.29511,3.8942),(3175,2985,0.30274,3.8921),(3175,2995,0.31047,3.8899),(3175,3005,0.31832,3.8877),(3175,3015,0.32616,3.885),(3175,3025,0.334,3.882),(3175,3035,0.34191,3.8789),(3175,3045,0.34988,3.8759),(3175,3055,0.35785,3.8723),(3175,3065,0.36582,3.8684),(3175,3075,0.37381,3.8644),(3175,3085,0.38181,3.8604),(3175,3095,0.38982,3.8559),(3175,3105,0.39782,3.851),(3175,3115,0.40579,3.8461),(3175,3125,0.41374,3.8413),(3175,3135,0.42168,3.8358),(3175,3145,0.42963,3.8299),(3175,3155,0.43747,3.824),(3175,3165,0.44525,3.8182),(3175,3175,0.45303,3.8117),(3175,3185,0.46082,3.8048),(3175,3195,0.46841,3.798),(3175,3205,0.47592,3.7912),(3175,3215,0.48344,3.7836),(3175,3225,0.49095,3.7758),(3175,3235,0.49818,3.768),(3175,3245,0.5053,3.7602),(3175,3255,0.51242,3.7517),(3175,3265,0.51955,3.7429),(3175,3275,0.52628,3.7341),(3175,3285,0.53289,3.7253),(3175,3295,0.53951,3.7158),(3175,3305,0.54612,3.706),(3175,3315,0.55222,3.6963),(3175,3325,0.55819,3.6866),(3175,3335,0.56416,3.6761),(3175,3345,0.57014,3.6654),(3175,3355,0.57545,3.6548),(3175,3365,0.58065,3.6442),(3175,3375,0.58585,3.6328),(3175,3385,0.59104,3.6213),(3175,3395,0.59543,3.6098),(3175,3405,0.59972,3.5983),(3175,3415,0.604,3.5862),(3175,3425,0.60828,3.5739),(3175,3435,0.61159,3.5617),(3175,3445,0.61482,3.5495),(3175,3455,0.61805,3.5367),(3175,3465,0.62128,3.5238),(3175,3475,0.62337,3.5109),(3175,3485,0.62541,3.4981),(3175,3495,0.62745,3.4847),(3175,3505,0.62949,3.4714),(3175,3515,0.63022,3.458),(3175,3525,0.63094,3.4447),(3175,3535,0.63167,3.431),(3175,3545,0.63234,3.4174),(3175,3555,0.63164,3.4037),(3175,3565,0.63095,3.3901),(3175,3575,0.63025,3.3764),(3175,3585,0.62943,3.3626),(3175,3595,0.62722,3.3489),(3175,3605,0.62502,3.3352),(3175,3615,0.62281,3.3217),(3175,3625,0.62041,3.3081),(3175,3635,0.61663,3.2946),(3175,3645,0.61286,3.2811),(3175,3655,0.60908,3.268),(3175,3665,0.60504,3.2549),(3175,3675,0.59968,3.2419),(3175,3685,0.59431,3.229),(3175,3695,0.58894,3.2167),(3175,3705,0.58326,3.2045),(3175,3715,0.57634,3.1922),(3175,3725,0.56943,3.1803),(3175,3735,0.56251,3.1692),(3175,3745,0.55524,3.1582),(3175,3755,0.5469,3.1472),(3175,3765,0.53856,3.1366),(3175,3775,0.53022,3.1273),(3175,3785,0.52155,3.118),(3175,3795,0.51206,3.1086),(3175,3805,0.50258,3.1),(3175,3815,0.49309,3.0928),(3175,3825,0.4834,3.0857),(3175,3835,0.4733,3.0786),(3175,3845,0.46319,3.0723),(3175,3855,0.45309,3.0679),(3175,3865,0.44309,3.0634),(3175,3875,0.43327,3.059),(3175,3885,0.42345,3.0556),(3175,3895,0.41362,3.0539),(3175,3905,0.45376,3.0523),(3175,3915,0.56852,3.0507),(3175,3925,0.68328,3.0512),(3175,3935,0.79804,3.0548),(3175,3945,0.91913,3.0583),(3175,3955,1.0483,3.0618),(3175,3965,1.1774,3.0635),(3175,3975,1.3065,3.063),(3175,3985,1.3818,3.0626),(3175,3995,1.3989,3.0621),(3175,4005,1.416,3.0573),(3175,4015,1.4331,3.0482),(3175,4025,1.4599,3.0391),(3175,4035,1.4877,3.0269),(3175,4045,1.5155,3.0083),(3175,4055,1.5471,2.9896),(3175,4065,1.5801,2.9699),(3175,4075,1.6131,2.9435),(3175,4085,1.645,2.917),(3175,4095,1.676,2.8906),(3175,4105,1.707,2.8604),(3175,4115,1.6811,2.83),(3175,4125,1.5608,2.7996),(3175,4135,1.4406,2.7737),(3175,4145,1.3144,2.749),(3175,4155,1.1642,2.7244),(3175,4165,1.0141,2.7035),(3175,4175,0.87294,2.6851),(3175,4185,1.1812,2.6666),(3175,4195,1.4894,2.6432),(3175,4205,1.7977,2.6134),(3175,4215,1.8494,2.5835),(3175,4225,1.8529,2.5538),(3175,4235,1.8564,2.5248),(3175,4245,1.8221,2.4959),(3175,4255,1.7687,2.467),(3175,4265,1.7152,2.4385),(3175,4275,1.5084,2.41),(3175,4285,1.1389,2.3815),(3175,4295,0.76938,2.3712),(3175,4305,0.63142,2.3629),(3175,4315,1.0163,2.3547),(3175,4325,1.4011,2.3372),(3175,4335,1.7436,2.3162),(3175,4345,1.7993,2.2952),(3175,4355,1.855,2.274),(3175,4365,1.9107,2.2526),(3175,4375,1.9183,2.2313),(3175,4385,1.9234,2.2101),(3175,4395,1.9285,2.1892),(3175,4405,1.7036,2.1682),(3175,4415,1.4109,2.1491),(3175,4425,1.1183,2.1384),(3175,4435,0.99617,2.1277),(3175,4445,0.99067,2.1171),(3175,4455,0.98517,2.1074),(3175,4465,1.1079,2.0978),(3175,4475,1.4109,2.0882),(3175,4485,1.7138,2.0716),(3175,4495,1.9456,2.0536),(3175,4505,1.9489,2.0356),(3175,4515,1.9523,2.018),(3175,4525,1.9517,2.0007),(3175,4535,1.8894,1.9833),(3175,4545,1.827,1.9672),(3175,4555,1.7646,1.9524),(3175,4565,1.3631,1.9376),(3175,4575,0.91595,1.9263),(3175,4585,0.46877,1.9232),(3175,4595,0.63377,1.9201),(3175,4605,1.0574,1.9151),(3175,4615,1.4811,1.8958),(3175,4625,1.7205,1.8765),(3175,4635,1.793,1.8571),(3175,4645,1.8655,1.8401),(3175,4655,1.9174,1.8233),(3175,4665,1.9304,1.8065),(3175,4675,1.9433,1.7906),(3175,4685,1.8881,1.7749),(3175,4695,1.4955,1.7592),(3175,4705,1.103,1.7496),(3175,4715,0.7105,1.7442),(3175,4725,0.90228,1.7389),(3175,4735,1.0999,1.7317),(3175,4745,1.2975,1.7218),(3175,4755,1.4974,1.7118),(3175,4765,1.6978,1.7009),(3175,4775,1.8982,1.6863),(3175,4785,1.9738,1.6717),(3175,4795,1.9772,1.6572),(3175,4805,1.9806,1.6428),(3175,4815,1.8887,1.6284),(3175,4825,1.683,1.614),(3175,4835,1.4772,1.6037),(3175,4845,1.2695,1.5941),(3175,4855,1.0567,1.5845),(3175,4865,0.84393,1.5786),(3175,4875,0.6942,1.5744),(3175,4885,1.1182,1.5702),(3175,4895,1.5422,1.5614),(3175,4905,1.9663,1.5482),(3175,4915,1.9987,1.5351),(3175,4925,1.9975,1.5217),(3175,4935,1.9963,1.5081),(3175,4945,1.957,1.4946),(3175,4955,1.9044,1.4806),(3175,4965,1.8519,1.4643),(3175,4975,1.5351,1.4481),(3175,4985,1.0144,1.4319),(3175,4995,0.49356,1.4305),(3175,5005,0.34179,1.4295),(3175,5015,0.77669,1.4285),(3175,5025,1.2116,1.4206),(3175,5035,1.5862,1.4109),(3175,5045,1.731,1.4013),(3175,5055,1.8758,1.3899),(3175,5065,2.0164,1.3773),(3175,5075,2.0191,1.3648),(3175,5085,2.0218,1.3523),(3175,5095,2.0245,1.3399),(3175,5105,1.7719,1.3274),(3175,5115,1.4747,1.3165),(3175,5125,1.1776,1.31),(3175,5135,1.0301,1.3034),(3175,5145,0.9554,1.297),(3175,5155,0.88064,1.2923),(3175,5165,1.0349,1.2875),(3175,5175,1.4227,1.2828),(3175,5185,1.8105,1.2717),(3175,5195,2.0762,1.26),(3175,5205,2.0785,1.2482),(3175,5215,2.0809,1.2366),(3175,5225,2.0723,1.2249),(3175,5235,1.9958,1.2133),(3175,5245,1.9193,1.2024),(3175,5255,1.8428,1.1922),(3175,5265,1.3011,1.1819),(3175,5275,0.74016,1.1754),(3175,5285,0.17922,1.1751),(3175,5295,0.53815,1.1749),(3175,5305,1.1532,1.172),(3175,5315,1.7683,1.1581),(3175,5325,2.0344,1.1442),(3175,5335,2.0716,1.1303),(3175,5345,2.1087,1.1188),(3175,5355,2.1315,1.1073),(3175,5365,2.1349,1.0958),(3175,5375,2.1383,1.0846),(3175,5385,2.0189,1.0735),(3175,5395,1.5265,1.0623),(3175,5405,1.0341,1.0565),(3175,5415,0.59604,1.0536),(3175,5425,0.88747,1.0506),(3175,5435,1.1789,1.046),(3175,5445,1.4703,1.0395),(3175,5455,1.7474,1.0331),(3175,5465,2.0227,1.0255),(3175,5475,2.2981,1.0154),(3175,5485,2.3777,1.0053),(3175,5495,2.3786,0.99523),(3175,5505,2.3795,0.98542),(3175,5515,2.3803,0.9756),(3175,5525,2.3812,0.96579),(3175,5535,2.382,0.95626),(3175,5545,2.3828,0.94674),(3175,5555,2.3835,0.93722),(3175,5565,2.3842,0.92791),(3175,5575,2.3848,0.91866),(3175,5585,2.3854,0.90942),(3175,5595,2.3859,0.90033),(3175,5605,2.3865,0.89136),(3175,5615,2.3869,0.88239),(3175,5625,2.3873,0.87352),(3175,5635,2.3877,0.86478),(3175,5645,2.388,0.85605),(3175,5655,2.3883,0.84737),(3175,5665,2.3886,0.83887),(3175,5675,2.3888,0.83037),(3175,5685,2.389,0.82188),(3175,5695,2.3891,0.8136),(3175,5705,2.3893,0.80532),(3175,5715,2.3893,0.79704),(3175,5725,2.3894,0.78893),(3175,5735,2.3894,0.78084),(3175,5745,2.3894,0.77276),(3175,5755,2.3893,0.7648),(3175,5765,2.3893,0.7569),(3175,5775,2.3891,0.749),(3175,5785,2.389,0.7412),(3175,5795,2.3889,0.73348),(3175,5805,2.3887,0.72576),(3175,5815,2.3884,0.71809),(3175,5825,2.3882,0.71054),(3175,5835,2.3879,0.70298),(3175,5845,2.3876,0.69545),(3175,5855,2.3873,0.68805),(3175,5865,2.387,0.68065),(3175,5875,2.3866,0.67325),(3175,5885,2.3862,0.666),(3175,5895,2.3858,0.65875),(3175,5905,2.3854,0.6515),(3175,5915,2.3849,0.64437),(3175,5925,2.3845,0.63726),(3175,5935,2.3839,0.63016),(3175,5945,2.3834,0.62315),(3175,5955,2.3829,0.61619),(3175,5965,2.3823,0.60923),(3175,5975,2.3817,0.60233),(3175,5985,2.3812,0.5955),(3175,5995,1.8208,0.58867),(3175,6005,1.1703,0.58345),(3175,6015,0.51988,0.58254),(3175,6025,0.65708,0.58162),(3175,6035,1.1596,0.58004),(3175,6045,1.6621,0.57195),(3175,6055,2.0115,0.56387),(3175,6065,2.2107,0.55578),(3175,6075,2.4099,0.54532),(3175,6085,2.5447,0.53463),(3175,6095,2.5466,0.52395),(3175,6105,2.5484,0.51329),(3175,6115,2.5503,0.50264),(3175,6125,2.5521,0.49198),(3175,6135,2.5538,0.48142),(3175,6145,2.5556,0.47093),(3175,6155,2.5573,0.46044),(3175,6165,2.5589,0.45002),(3175,6175,2.5605,0.43969),(3175,6185,2.5621,0.42936),(3175,6195,2.5636,0.41904),(3175,6205,2.5651,0.40874),(3175,6215,2.5666,0.39845),(3175,6225,2.568,0.38815),(3175,6235,2.5694,0.3779),(3175,6245,2.5707,0.36766),(3175,6255,2.572,0.35741),(3175,6265,2.5733,0.34722),(3175,6275,2.5746,0.33705),(3175,6285,2.5757,0.32688),(3175,6295,2.5769,0.31679),(3175,6305,2.578,0.30676),(3175,6315,2.5791,0.29673),(3175,6325,2.5801,0.28671),(3175,6335,2.5811,0.27671),(3175,6345,2.5821,0.26672),(3175,6355,2.583,0.25673),(3175,6365,2.5839,0.24677),(3175,6375,2.5848,0.23681),(3175,6385,2.5856,0.22685),(3175,6395,2.5864,0.21691),(3175,6405,2.5871,0.20697),(3175,6415,2.5878,0.19703),(3175,6425,2.5885,0.18719),(3175,6435,2.5892,0.17736),(3175,6445,2.5898,0.16752),(3175,6455,2.5903,0.15772),(3175,6465,2.5909,0.14793),(3175,6475,2.5914,0.13814),(3175,6485,2.5919,0.12833),(3175,6495,2.5923,0.11851),(3175,6505,2.5927,0.10869),(3175,6515,2.5931,0.098884),(3175,6525,2.5935,0.089101),(3175,6535,2.5938,0.079319),(3175,6545,2.594,0.06953),(3175,6555,2.5943,0.059722),(3175,6565,2.5945,0.049913),(3175,6575,2.5946,0.040112),(3175,6585,2.5947,0.030419),(3175,6595,2.207,0.020725),(3175,6605,1.391,0.011032),(3175,6615,0.57508,0.009877),(3175,6625,0.00149,0.009819),(3175,6635,0.001488,0.009762),(3175,6645,0.001485,0.009739),(3175,6655,0.001482,0.009729),(3175,6665,0.00148,0.00972),(3175,6675,0.001477,0.009711),(3175,6685,0.001474,0.009702),(3175,6695,0.001472,0.009693),(3175,6705,0.00147,0.009684),(3175,6715,0.001467,0.009675),(3175,6725,0.001465,0.009666),(3175,6735,0.001463,0.009657),(3175,6745,0.001461,0.009648),(3175,6755,0.001459,0.009639),(3175,6765,0.001457,0.009631),(3175,6775,0.001455,0.009622),(3175,6785,0.001453,0.009613),(3175,6795,0.001452,0.009604),(3175,6805,0.00145,0.009595),(3175,6815,0.001448,0.009586),(3175,6825,0.001446,0.009577),(3175,6835,0.001445,0.009569),(3175,6845,0.001443,0.00956),(3175,6855,0.001442,0.009551),(3175,6865,0.00144,0.009542),(3175,6875,0.001439,0.009533),(3175,6885,0.001438,0.009525),(3175,6895,0.001436,0.009516),(3175,6905,0.001435,0.009507),(3175,6915,0.001434,0.009498),(3175,6925,0.001433,0.009489),(3175,6935,0.001432,0.009481),(3175,6945,0.00143,0.009472),(3175,6955,0.001429,0.009463),(3175,6965,0.001428,0.009454),(3175,6975,0.001427,0.009446),(3175,6985,0.001427,0.009437),(3185,5,8e-06,3.6886),(3185,15,2.4e-05,3.6886),(3185,25,4e-05,3.6886),(3185,35,5.7e-05,3.6886),(3185,45,7.3e-05,3.6886),(3185,55,8.9e-05,3.6886),(3185,65,0.000105,3.6886),(3185,75,0.00012,3.6886),(3185,85,0.000136,3.6886),(3185,95,0.000152,3.6887),(3185,105,0.000167,3.6887),(3185,115,0.000182,3.6887),(3185,125,0.000197,3.6887),(3185,135,0.000213,3.6887),(3185,145,0.000227,3.6887),(3185,155,0.000242,3.6887),(3185,165,0.000256,3.6887),(3185,175,0.000271,3.6887),(3185,185,0.000284,3.6887),(3185,195,0.000298,3.6887),(3185,205,0.000311,3.6887),(3185,215,0.000324,3.6887),(3185,225,0.000337,3.6888),(3185,235,0.000349,3.6888),(3185,245,0.000361,3.6888),(3185,255,0.000373,3.6888),(3185,265,0.000383,3.6888),(3185,275,0.000394,3.6888),(3185,285,0.000404,3.6888),(3185,295,0.000415,3.6889),(3185,305,0.000424,3.6889),(3185,315,0.000432,3.6889),(3185,325,0.000441,3.6889),(3185,335,0.00045,3.6889),(3185,345,0.000457,3.689),(3185,355,0.000463,3.689),(3185,365,0.00047,3.689),(3185,375,0.000477,3.689),(3185,385,0.000481,3.689),(3185,395,0.000486,3.6891),(3185,405,0.00049,3.6891),(3185,415,0.000495,3.6891),(3185,425,0.000497,3.6891),(3185,435,0.000499,3.6892),(3185,445,0.000501,3.6892),(3185,455,0.000503,3.6892),(3185,465,0.000502,3.6893),(3185,475,0.000501,3.6893),(3185,485,0.000501,3.6893),(3185,495,0.0005,3.6894),(3185,505,0.000496,3.6894),(3185,515,0.000492,3.6894),(3185,525,0.000489,3.6895),(3185,535,0.000485,3.6895),(3185,545,0.000478,3.6896),(3185,555,0.000471,3.6896),(3185,565,0.000464,3.6897),(3185,575,0.000457,3.6897),(3185,585,0.000447,3.6897),(3185,595,0.000437,3.6898),(3185,605,0.000427,3.6898),(3185,615,0.000416,3.6899),(3185,625,0.000403,3.6899),(3185,635,0.000389,3.69),(3185,645,0.000376,3.6901),(3185,655,0.000362,3.6901),(3185,665,0.000344,3.6902),(3185,675,0.000327,3.6902),(3185,685,0.000309,3.6903),(3185,695,0.000291,3.6904),(3185,705,0.00027,3.6904),(3185,715,0.000249,3.6905),(3185,725,0.000228,3.6906),(3185,735,0.000206,3.6907),(3185,745,0.000181,3.6907),(3185,755,0.000157,3.6908),(3185,765,0.000132,3.6909),(3185,775,0.000106,3.691),(3185,785,7.8e-05,3.6911),(3185,795,4.9e-05,3.6911),(3185,805,2.1e-05,3.6912),(3185,815,-9e-06,3.6913),(3185,825,-4.2e-05,3.6914),(3185,835,-7.4e-05,3.6915),(3185,845,-0.000107,3.6916),(3185,855,-0.000141,3.6917),(3185,865,-0.000178,3.6918),(3185,875,-0.000215,3.6919),(3185,885,-0.000251,3.6921),(3185,895,-0.000289,3.6922),(3185,905,-0.00033,3.6923),(3185,915,-0.00037,3.6924),(3185,925,-0.00041,3.6925),(3185,935,-0.000452,3.6927),(3185,945,-0.000496,3.6928),(3185,955,-0.000539,3.6929),(3185,965,-0.000583,3.6931),(3185,975,-0.000629,3.6932),(3185,985,-0.000676,3.6934),(3185,995,-0.000723,3.6935),(3185,1005,-0.00077,3.6937),(3185,1015,-0.000819,3.6938),(3185,1025,-0.00087,3.694),(3185,1035,-0.00092,3.6942),(3185,1045,-0.000971,3.6944),(3185,1055,-0.001022,3.6945),(3185,1065,-0.001076,3.6947),(3185,1075,-0.001129,3.6949),(3185,1085,-0.001182,3.6951),(3185,1095,-0.001237,3.6953),(3185,1105,-0.001292,3.6955),(3185,1115,-0.001347,3.6957),(3185,1125,-0.001403,3.6959),(3185,1135,-0.001459,3.6961),(3185,1145,-0.001516,3.6963),(3185,1155,-0.001573,3.6965),(3185,1165,-0.001631,3.6968),(3185,1175,-0.001688,3.697),(3185,1185,-0.001747,3.6972),(3185,1195,-0.001805,3.6975),(3185,1205,-0.001863,3.6978),(3185,1215,-0.001922,3.698),(3185,1225,-0.001981,3.6983),(3185,1235,-0.00204,3.6985),(3185,1245,-0.002099,3.6988),(3185,1255,-0.002158,3.6991),(3185,1265,-0.002217,3.6994),(3185,1275,-0.002275,3.6997),(3185,1285,-0.002334,3.7),(3185,1295,-0.002392,3.7003),(3185,1305,-0.00245,3.7006),(3185,1315,-0.002508,3.7009),(3185,1325,-0.002566,3.7013),(3185,1335,-0.002622,3.7016),(3185,1345,-0.002678,3.7019),(3185,1355,-0.002734,3.7023),(3185,1365,-0.00279,3.7026),(3185,1375,-0.002844,3.703),(3185,1385,-0.002897,3.7034),(3185,1395,-0.00295,3.7037),(3185,1405,-0.003003,3.7041),(3185,1415,-0.003052,3.7045),(3185,1425,-0.003101,3.7049),(3185,1435,-0.003151,3.7053),(3185,1445,-0.0032,3.7058),(3185,1455,-0.003244,3.7062),(3185,1465,-0.003289,3.7066),(3185,1475,-0.003333,3.7071),(3185,1485,-0.003377,3.7075),(3185,1495,-0.003415,3.708),(3185,1505,-0.003453,3.7084),(3185,1515,-0.003491,3.7089),(3185,1525,-0.00353,3.7094),(3185,1535,-0.00356,3.7099),(3185,1545,-0.003591,3.7104),(3185,1555,-0.003622,3.7109),(3185,1565,-0.003652,3.7114),(3185,1575,-0.003674,3.712),(3185,1585,-0.003696,3.7125),(3185,1595,-0.003717,3.7131),(3185,1605,-0.003738,3.7136),(3185,1615,-0.00375,3.7142),(3185,1625,-0.003761,3.7148),(3185,1635,-0.003772,3.7154),(3185,1645,-0.003782,3.716),(3185,1655,-0.003781,3.7166),(3185,1665,-0.00378,3.7173),(3185,1675,-0.003779,3.7179),(3185,1685,-0.003775,3.7186),(3185,1695,-0.00376,3.7192),(3185,1705,-0.003745,3.7199),(3185,1715,-0.00373,3.7206),(3185,1725,-0.003711,3.7213),(3185,1735,-0.003679,3.722),(3185,1745,-0.003648,3.7228),(3185,1755,-0.003616,3.7235),(3185,1765,-0.003579,3.7243),(3185,1775,-0.003528,3.725),(3185,1785,-0.003477,3.7258),(3185,1795,-0.003426,3.7266),(3185,1805,-0.003367,3.7275),(3185,1815,-0.003293,3.7283),(3185,1825,-0.003219,3.7291),(3185,1835,-0.003145,3.73),(3185,1845,-0.003062,3.7309),(3185,1855,-0.002961,3.7318),(3185,1865,-0.002861,3.7327),(3185,1875,-0.00276,3.7336),(3185,1885,-0.002648,3.7346),(3185,1895,-0.002517,3.7355),(3185,1905,-0.002385,3.7365),(3185,1915,-0.002253,3.7375),(3185,1925,-0.002106,3.7385),(3185,1935,-0.001938,3.7395),(3185,1945,-0.00177,3.7406),(3185,1955,-0.001602,3.7417),(3185,1965,-0.001414,3.7428),(3185,1975,-0.001203,3.7439),(3185,1985,-0.000992,3.745),(3185,1995,-0.00078,3.7462),(3185,2005,-0.000544,3.7474),(3185,2015,-0.000281,3.7486),(3185,2025,-1.9e-05,3.7498),(3185,2035,0.000243,3.7511),(3185,2045,0.000538,3.7523),(3185,2055,0.000861,3.7536),(3185,2065,0.001184,3.7549),(3185,2075,0.001507,3.7563),(3185,2085,0.001871,3.7577),(3185,2095,0.002266,3.759),(3185,2105,0.002661,3.7605),(3185,2115,0.003056,3.7619),(3185,2125,0.003503,3.7634),(3185,2135,0.003983,3.7649),(3185,2145,0.004463,3.7664),(3185,2155,0.004942,3.768),(3185,2165,0.005489,3.7696),(3185,2175,0.00607,3.7712),(3185,2185,0.006651,3.7728),(3185,2195,0.007232,3.7745),(3185,2205,0.007897,3.7762),(3185,2215,0.008598,3.7779),(3185,2225,0.009299,3.7797),(3185,2235,0.01,3.7815),(3185,2245,0.010806,3.7833),(3185,2255,0.011649,3.7852),(3185,2265,0.012492,3.7871),(3185,2275,0.013335,3.789),(3185,2285,0.014307,3.7909),(3185,2295,0.015317,3.7929),(3185,2305,0.016327,3.7949),(3185,2315,0.017337,3.797),(3185,2325,0.018508,3.7991),(3185,2335,0.019714,3.8011),(3185,2345,0.02092,3.8033),(3185,2355,0.022126,3.8055),(3185,2365,0.023528,3.8077),(3185,2375,0.024963,3.8099),(3185,2385,0.026398,3.8122),(3185,2395,0.027833,3.8145),(3185,2405,0.029505,3.8168),(3185,2415,0.031205,3.8191),(3185,2425,0.032905,3.8215),(3185,2435,0.034605,3.8239),(3185,2445,0.03659,3.8263),(3185,2455,0.038595,3.8287),(3185,2465,0.040599,3.8312),(3185,2475,0.042604,3.8337),(3185,2485,0.044946,3.8362),(3185,2495,0.047296,3.8387),(3185,2505,0.049647,3.8412),(3185,2515,0.052003,3.8437),(3185,2525,0.054742,3.8463),(3185,2535,0.057481,3.8488),(3185,2545,0.060219,3.8514),(3185,2555,0.062981,3.8539),(3185,2565,0.066149,3.8565),(3185,2575,0.069317,3.8591),(3185,2585,0.072485,3.8616),(3185,2595,0.075697,3.8641),(3185,2605,0.079332,3.8666),(3185,2615,0.082967,3.8692),(3185,2625,0.086602,3.8716),(3185,2635,0.090304,3.874),(3185,2645,0.094437,3.8764),(3185,2655,0.09857,3.8788),(3185,2665,0.1027,3.8811),(3185,2675,0.10693,3.8834),(3185,2685,0.11158,3.8856),(3185,2695,0.11624,3.8878),(3185,2705,0.12089,3.8899),(3185,2715,0.12566,3.8919),(3185,2725,0.13084,3.8939),(3185,2735,0.13603,3.8958),(3185,2745,0.14122,3.8975),(3185,2755,0.14654,3.8992),(3185,2765,0.15225,3.9009),(3185,2775,0.15796,3.9024),(3185,2785,0.16368,3.9037),(3185,2795,0.16954,3.9049),(3185,2805,0.17577,3.9062),(3185,2815,0.18199,3.9073),(3185,2825,0.18822,3.908),(3185,2835,0.1946,3.9088),(3185,2845,0.2013,3.9095),(3185,2855,0.208,3.91),(3185,2865,0.2147,3.9102),(3185,2875,0.22156,3.9103),(3185,2885,0.2287,3.9104),(3185,2895,0.23583,3.9103),(3185,2905,0.24296,3.9097),(3185,2915,0.25024,3.9092),(3185,2925,0.25775,3.9086),(3185,2935,0.26525,3.9078),(3185,2945,0.27275,3.9064),(3185,2955,0.28039,3.9051),(3185,2965,0.28819,3.9038),(3185,2975,0.296,3.9021),(3185,2985,0.3038,3.9),(3185,2995,0.31171,3.8978),(3185,3005,0.31974,3.8957),(3185,3015,0.32777,3.8931),(3185,3025,0.33579,3.8901),(3185,3035,0.34389,3.8871),(3185,3045,0.35206,3.8841),(3185,3055,0.36022,3.8805),(3185,3065,0.36838,3.8766),(3185,3075,0.37657,3.8726),(3185,3085,0.38478,3.8687),(3185,3095,0.39299,3.8642),(3185,3105,0.4012,3.8593),(3185,3115,0.40937,3.8544),(3185,3125,0.41753,3.8495),(3185,3135,0.42568,3.8439),(3185,3145,0.43383,3.838),(3185,3155,0.44189,3.8321),(3185,3165,0.44988,3.8262),(3185,3175,0.45788,3.8197),(3185,3185,0.46587,3.8128),(3185,3195,0.47369,3.8059),(3185,3205,0.48141,3.799),(3185,3215,0.48914,3.7914),(3185,3225,0.49686,3.7834),(3185,3235,0.50431,3.7755),(3185,3245,0.51164,3.7676),(3185,3255,0.51898,3.7589),(3185,3265,0.52632,3.75),(3185,3275,0.53326,3.7411),(3185,3285,0.54008,3.7322),(3185,3295,0.5469,3.7225),(3185,3305,0.55373,3.7126),(3185,3315,0.56002,3.7027),(3185,3325,0.5662,3.6928),(3185,3335,0.57237,3.6821),(3185,3345,0.57854,3.6713),(3185,3355,0.58404,3.6604),(3185,3365,0.58943,3.6496),(3185,3375,0.59481,3.638),(3185,3385,0.60019,3.6263),(3185,3395,0.60475,3.6146),(3185,3405,0.6092,3.6028),(3185,3415,0.61365,3.5904),(3185,3425,0.6181,3.5779),(3185,3435,0.62155,3.5654),(3185,3445,0.62492,3.5529),(3185,3455,0.62829,3.5398),(3185,3465,0.63166,3.5266),(3185,3475,0.63385,3.5134),(3185,3485,0.636,3.5002),(3185,3495,0.63815,3.4866),(3185,3505,0.64029,3.4729),(3185,3515,0.64109,3.4592),(3185,3525,0.64188,3.4455),(3185,3535,0.64268,3.4314),(3185,3545,0.64341,3.4174),(3185,3555,0.64273,3.4034),(3185,3565,0.64205,3.3894),(3185,3575,0.64137,3.3753),(3185,3585,0.64056,3.3611),(3185,3595,0.63832,3.347),(3185,3605,0.63607,3.3329),(3185,3615,0.63382,3.3189),(3185,3625,0.63137,3.305),(3185,3635,0.62749,3.291),(3185,3645,0.6236,3.2771),(3185,3655,0.61971,3.2636),(3185,3665,0.61556,3.2501),(3185,3675,0.61,3.2366),(3185,3685,0.60445,3.2233),(3185,3695,0.5989,3.2106),(3185,3705,0.59301,3.198),(3185,3715,0.58581,3.1853),(3185,3725,0.57862,3.1729),(3185,3735,0.57142,3.1615),(3185,3745,0.56385,3.1501),(3185,3755,0.55513,3.1387),(3185,3765,0.5464,3.1277),(3185,3775,0.53768,3.1181),(3185,3785,0.5286,3.1084),(3185,3795,0.51862,3.0988),(3185,3805,0.50864,3.0898),(3185,3815,0.49866,3.0825),(3185,3825,0.48845,3.0752),(3185,3835,0.47776,3.0679),(3185,3845,0.46707,3.0616),(3185,3855,0.45638,3.0572),(3185,3865,0.44579,3.0528),(3185,3875,0.43537,3.0484),(3185,3885,0.42495,3.0452),(3185,3895,0.41453,3.044),(3185,3905,0.45379,3.0428),(3185,3915,0.56726,3.0416),(3185,3925,0.68074,3.0434),(3185,3935,0.79421,3.0492),(3185,3945,0.9148,3.055),(3185,3955,1.0444,3.0608),(3185,3965,1.174,3.0646),(3185,3975,1.3036,3.066),(3185,3985,1.3801,3.0674),(3185,3995,1.3991,3.0689),(3185,4005,1.4181,3.0651),(3185,4015,1.4371,3.0561),(3185,4025,1.4664,3.0471),(3185,4035,1.4967,3.0346),(3185,4045,1.527,3.0147),(3185,4055,1.5609,2.9947),(3185,4065,1.596,2.9736),(3185,4075,1.6312,2.9452),(3185,4085,1.6647,2.9168),(3185,4095,1.6969,2.8884),(3185,4105,1.729,2.8562),(3185,4115,1.7034,2.8239),(3185,4125,1.582,2.7916),(3185,4135,1.4607,2.7645),(3185,4145,1.3333,2.7388),(3185,4155,1.1819,2.7131),(3185,4165,1.0304,2.6916),(3185,4175,0.88807,2.6727),(3185,4185,1.1988,2.6539),(3185,4195,1.5096,2.6301),(3185,4205,1.8204,2.5997),(3185,4215,1.8724,2.5694),(3185,4225,1.8756,2.5393),(3185,4235,1.8789,2.5102),(3185,4245,1.8446,2.481),(3185,4255,1.7912,2.4519),(3185,4265,1.7377,2.4234),(3185,4275,1.5285,2.3949),(3185,4285,1.154,2.3664),(3185,4295,0.77946,2.3562),(3185,4305,0.63884,2.3482),(3185,4315,1.0264,2.3401),(3185,4325,1.4139,2.3228),(3185,4335,1.7587,2.3017),(3185,4345,1.8143,2.2807),(3185,4355,1.8699,2.2595),(3185,4365,1.9256,2.2382),(3185,4375,1.933,2.2168),(3185,4385,1.938,2.1956),(3185,4395,1.9429,2.1746),(3185,4405,1.7163,2.1537),(3185,4415,1.4214,2.1346),(3185,4425,1.1265,2.1239),(3185,4435,1.0033,2.1132),(3185,4445,0.9975,2.1026),(3185,4455,0.99169,2.093),(3185,4465,1.1149,2.0834),(3185,4475,1.4195,2.0738),(3185,4485,1.7241,2.0574),(3185,4495,1.957,2.0395),(3185,4505,1.9602,2.0216),(3185,4515,1.9633,2.0042),(3185,4525,1.9625,1.9869),(3185,4535,1.8995,1.9696),(3185,4545,1.8366,1.9536),(3185,4555,1.7736,1.9389),(3185,4565,1.3701,1.9242),(3185,4575,0.92079,1.9129),(3185,4585,0.47145,1.9099),(3185,4595,0.63837,1.907),(3185,4605,1.0657,1.9021),(3185,4615,1.493,1.8829),(3185,4625,1.7336,1.8636),(3185,4635,1.8051,1.8443),(3185,4645,1.8766,1.8274),(3185,4655,1.9276,1.8107),(3185,4665,1.9402,1.794),(3185,4675,1.9528,1.7781),(3185,4685,1.8968,1.7624),(3185,4695,1.5024,1.7468),(3185,4705,1.1079,1.7371),(3185,4715,0.71349,1.7318),(3185,4725,0.90604,1.7265),(3185,4735,1.1045,1.7194),(3185,4745,1.3029,1.7096),(3185,4755,1.5035,1.6997),(3185,4765,1.7047,1.6888),(3185,4775,1.9059,1.6743),(3185,4785,1.9817,1.6598),(3185,4795,1.985,1.6453),(3185,4805,1.9883,1.631),(3185,4815,1.8961,1.6167),(3185,4825,1.6895,1.6023),(3185,4835,1.4829,1.5921),(3185,4845,1.2744,1.5826),(3185,4855,1.0606,1.573),(3185,4865,0.84683,1.5671),(3185,4875,0.69636,1.5629),(3185,4885,1.1217,1.5587),(3185,4895,1.5471,1.55),(3185,4905,1.9725,1.5368),(3185,4915,2.0052,1.5236),(3185,4925,2.0041,1.5103),(3185,4935,2.0031,1.4967),(3185,4945,1.9645,1.4831),(3185,4955,1.913,1.4692),(3185,4965,1.8614,1.4529),(3185,4975,1.5434,1.4367),(3185,4985,1.0196,1.4205),(3185,4995,0.49583,1.4192),(3185,5005,0.3427,1.4182),(3185,5015,0.77884,1.4172),(3185,5025,1.215,1.4093),(3185,5035,1.5906,1.3997),(3185,5045,1.7358,1.3901),(3185,5055,1.8811,1.3787),(3185,5065,2.022,1.3662),(3185,5075,2.0247,1.3537),(3185,5085,2.0274,1.3413),(3185,5095,2.0301,1.3288),(3185,5105,1.7767,1.3164),(3185,5115,1.4787,1.3055),(3185,5125,1.1807,1.299),(3185,5135,1.0328,1.2924),(3185,5145,0.95776,1.286),(3185,5155,0.88268,1.2813),(3185,5165,1.0372,1.2766),(3185,5175,1.4259,1.2719),(3185,5185,1.8146,1.2608),(3185,5195,2.0809,1.2491),(3185,5205,2.0832,1.2374),(3185,5215,2.0855,1.2258),(3185,5225,2.0768,1.2142),(3185,5235,2.0002,1.2026),(3185,5245,1.9235,1.1917),(3185,5255,1.8468,1.1815),(3185,5265,1.3039,1.1713),(3185,5275,0.74173,1.1648),(3185,5285,0.17957,1.1645),(3185,5295,0.53994,1.1642),(3185,5305,1.1572,1.1614),(3185,5315,1.7745,1.1475),(3185,5325,2.0409,1.1337),(3185,5335,2.0772,1.1199),(3185,5345,2.1135,1.1085),(3185,5355,2.1357,1.0971),(3185,5365,2.139,1.0856),(3185,5375,2.1423,1.0745),(3185,5385,2.0226,1.0634),(3185,5395,1.5293,1.0523),(3185,5405,1.036,1.0465),(3185,5415,0.59707,1.0436),(3185,5425,0.88865,1.0406),(3185,5435,1.1802,1.036),(3185,5445,1.4718,1.0297),(3185,5455,1.7491,1.0233),(3185,5465,2.0247,1.0158),(3185,5475,2.3002,1.0058),(3185,5485,2.3799,0.99584),(3185,5495,2.3807,0.98589),(3185,5505,2.3814,0.97618),(3185,5515,2.3822,0.96648),(3185,5525,2.3829,0.95678),(3185,5535,2.3837,0.94735),(3185,5545,2.3844,0.93793),(3185,5555,2.385,0.92852),(3185,5565,2.3856,0.91931),(3185,5575,2.3862,0.91017),(3185,5585,2.3867,0.90102),(3185,5595,2.3871,0.89204),(3185,5605,2.3876,0.88317),(3185,5615,2.3879,0.8743),(3185,5625,2.3883,0.86552),(3185,5635,2.3886,0.85688),(3185,5645,2.3888,0.84824),(3185,5655,2.389,0.83966),(3185,5665,2.3893,0.83125),(3185,5675,2.3894,0.82284),(3185,5685,2.3895,0.81444),(3185,5695,2.3896,0.80625),(3185,5705,2.3897,0.79806),(3185,5715,2.3897,0.78986),(3185,5725,2.3897,0.78184),(3185,5735,2.3896,0.77384),(3185,5745,2.3895,0.76584),(3185,5755,2.3894,0.75797),(3185,5765,2.3893,0.75016),(3185,5775,2.3891,0.74234),(3185,5785,2.3889,0.73461),(3185,5795,2.3888,0.72698),(3185,5805,2.3885,0.71934),(3185,5815,2.3882,0.71176),(3185,5825,2.3879,0.70428),(3185,5835,2.3876,0.6968),(3185,5845,2.3873,0.68935),(3185,5855,2.3869,0.68203),(3185,5865,2.3865,0.6747),(3185,5875,2.3861,0.66738),(3185,5885,2.3857,0.6602),(3185,5895,2.3852,0.65302),(3185,5905,2.3847,0.64584),(3185,5915,2.3842,0.63877),(3185,5925,2.3837,0.63174),(3185,5935,2.3832,0.62471),(3185,5945,2.3826,0.61777),(3185,5955,2.382,0.61088),(3185,5965,2.3814,0.60399),(3185,5975,2.3808,0.59715),(3185,5985,2.3802,0.59038),(3185,5995,1.8201,0.58361),(3185,6005,1.1699,0.57844),(3185,6015,0.51966,0.57754),(3185,6025,0.65747,0.57664),(3185,6035,1.1608,0.57507),(3185,6045,1.664,0.56706),(3185,6055,2.0139,0.55904),(3185,6065,2.2134,0.55103),(3185,6075,2.4128,0.54066),(3185,6085,2.5477,0.53007),(3185,6095,2.5495,0.51948),(3185,6105,2.5514,0.50891),(3185,6115,2.5532,0.49835),(3185,6125,2.5549,0.48778),(3185,6135,2.5567,0.47731),(3185,6145,2.5584,0.46691),(3185,6155,2.56,0.45651),(3185,6165,2.5616,0.44617),(3185,6175,2.5632,0.43593),(3185,6185,2.5647,0.42569),(3185,6195,2.5662,0.41546),(3185,6205,2.5677,0.40526),(3185,6215,2.5691,0.39505),(3185,6225,2.5705,0.38485),(3185,6235,2.5719,0.37469),(3185,6245,2.5732,0.36453),(3185,6255,2.5744,0.35437),(3185,6265,2.5757,0.34428),(3185,6275,2.5769,0.3342),(3185,6285,2.5781,0.32412),(3185,6295,2.5792,0.31412),(3185,6305,2.5803,0.30416),(3185,6315,2.5813,0.2942),(3185,6325,2.5824,0.28426),(3185,6335,2.5834,0.27436),(3185,6345,2.5843,0.26445),(3185,6355,2.5852,0.25456),(3185,6365,2.5861,0.24468),(3185,6375,2.5869,0.23481),(3185,6385,2.5877,0.22494),(3185,6395,2.5885,0.21508),(3185,6405,2.5893,0.20523),(3185,6415,2.5899,0.19538),(3185,6425,2.5906,0.18562),(3185,6435,2.5913,0.17587),(3185,6445,2.5918,0.16612),(3185,6455,2.5924,0.15641),(3185,6465,2.593,0.14671),(3185,6475,2.5934,0.137),(3185,6485,2.5939,0.12728),(3185,6495,2.5944,0.11755),(3185,6505,2.5947,0.10782),(3185,6515,2.5951,0.098108),(3185,6525,2.5955,0.08841),(3185,6535,2.5958,0.078712),(3185,6545,2.596,0.069009),(3185,6555,2.5963,0.05929),(3185,6565,2.5965,0.049571),(3185,6575,2.5966,0.039858),(3185,6585,2.5967,0.030233),(3185,6595,2.2086,0.020607),(3185,6605,1.3921,0.010982),(3185,6615,0.57552,0.009846),(3185,6625,0.001495,0.009801),(3185,6635,0.001492,0.009755),(3185,6645,0.00149,0.009736),(3185,6655,0.001487,0.009727),(3185,6665,0.001484,0.009718),(3185,6675,0.001482,0.009709),(3185,6685,0.001479,0.0097),(3185,6695,0.001477,0.009691),(3185,6705,0.001474,0.009682),(3185,6715,0.001472,0.009673),(3185,6725,0.00147,0.009664),(3185,6735,0.001468,0.009655),(3185,6745,0.001466,0.009646),(3185,6755,0.001463,0.009637),(3185,6765,0.001461,0.009628),(3185,6775,0.00146,0.00962),(3185,6785,0.001458,0.009611),(3185,6795,0.001456,0.009602),(3185,6805,0.001454,0.009593),(3185,6815,0.001453,0.009585),(3185,6825,0.001451,0.009576),(3185,6835,0.001449,0.009567),(3185,6845,0.001448,0.009558),(3185,6855,0.001446,0.00955),(3185,6865,0.001445,0.009541),(3185,6875,0.001443,0.009532),(3185,6885,0.001442,0.009523),(3185,6895,0.001441,0.009515),(3185,6905,0.00144,0.009506),(3185,6915,0.001438,0.009497),(3185,6925,0.001437,0.009488),(3185,6935,0.001436,0.00948),(3185,6945,0.001435,0.009471),(3185,6955,0.001434,0.009462),(3185,6965,0.001433,0.009453),(3185,6975,0.001432,0.009445),(3185,6985,0.001431,0.009436),(3195,5,8e-06,3.6886),(3195,15,2.3e-05,3.6886),(3195,25,3.9e-05,3.6886),(3195,35,5.4e-05,3.6886),(3195,45,7e-05,3.6886),(3195,55,8.5e-05,3.6887),(3195,65,0.000101,3.6887),(3195,75,0.000116,3.6887),(3195,85,0.000131,3.6887),(3195,95,0.000146,3.6887),(3195,105,0.000161,3.6887),(3195,115,0.000175,3.6887),(3195,125,0.00019,3.6887),(3195,135,0.000204,3.6887),(3195,145,0.000218,3.6887),(3195,155,0.000232,3.6887),(3195,165,0.000246,3.6887),(3195,175,0.00026,3.6887),(3195,185,0.000273,3.6887),(3195,195,0.000285,3.6887),(3195,205,0.000298,3.6887),(3195,215,0.000311,3.6888),(3195,225,0.000322,3.6888),(3195,235,0.000334,3.6888),(3195,245,0.000345,3.6888),(3195,255,0.000356,3.6888),(3195,265,0.000366,3.6888),(3195,275,0.000376,3.6888),(3195,285,0.000386,3.6889),(3195,295,0.000395,3.6889),(3195,305,0.000403,3.6889),(3195,315,0.000411,3.6889),(3195,325,0.000419,3.6889),(3195,335,0.000427,3.6889),(3195,345,0.000433,3.689),(3195,355,0.000439,3.689),(3195,365,0.000445,3.689),(3195,375,0.00045,3.689),(3195,385,0.000454,3.689),(3195,395,0.000458,3.6891),(3195,405,0.000461,3.6891),(3195,415,0.000464,3.6891),(3195,425,0.000466,3.6892),(3195,435,0.000466,3.6892),(3195,445,0.000467,3.6892),(3195,455,0.000468,3.6892),(3195,465,0.000466,3.6893),(3195,475,0.000465,3.6893),(3195,485,0.000463,3.6893),(3195,495,0.000461,3.6894),(3195,505,0.000456,3.6894),(3195,515,0.000451,3.6894),(3195,525,0.000446,3.6895),(3195,535,0.000441,3.6895),(3195,545,0.000433,3.6896),(3195,555,0.000424,3.6896),(3195,565,0.000416,3.6896),(3195,575,0.000407,3.6897),(3195,585,0.000396,3.6897),(3195,595,0.000384,3.6898),(3195,605,0.000372,3.6898),(3195,615,0.00036,3.6899),(3195,625,0.000345,3.6899),(3195,635,0.00033,3.69),(3195,645,0.000315,3.69),(3195,655,0.000299,3.6901),(3195,665,0.00028,3.6902),(3195,675,0.000261,3.6902),(3195,685,0.000241,3.6903),(3195,695,0.000222,3.6903),(3195,705,0.000198,3.6904),(3195,715,0.000175,3.6905),(3195,725,0.000152,3.6906),(3195,735,0.000128,3.6906),(3195,745,0.000101,3.6907),(3195,755,7.4e-05,3.6908),(3195,765,4.7e-05,3.6909),(3195,775,1.9e-05,3.6909),(3195,785,-1.2e-05,3.691),(3195,795,-4.3e-05,3.6911),(3195,805,-7.4e-05,3.6912),(3195,815,-0.000106,3.6913),(3195,825,-0.000142,3.6914),(3195,835,-0.000177,3.6915),(3195,845,-0.000212,3.6916),(3195,855,-0.000249,3.6917),(3195,865,-0.000288,3.6918),(3195,875,-0.000328,3.6919),(3195,885,-0.000368,3.692),(3195,895,-0.000409,3.6921),(3195,905,-0.000452,3.6923),(3195,915,-0.000496,3.6924),(3195,925,-0.000539,3.6925),(3195,935,-0.000584,3.6926),(3195,945,-0.000631,3.6928),(3195,955,-0.000679,3.6929),(3195,965,-0.000726,3.693),(3195,975,-0.000775,3.6932),(3195,985,-0.000826,3.6933),(3195,995,-0.000877,3.6935),(3195,1005,-0.000927,3.6936),(3195,1015,-0.00098,3.6938),(3195,1025,-0.001035,3.694),(3195,1035,-0.001089,3.6941),(3195,1045,-0.001144,3.6943),(3195,1055,-0.0012,3.6945),(3195,1065,-0.001257,3.6947),(3195,1075,-0.001315,3.6948),(3195,1085,-0.001373,3.695),(3195,1095,-0.001432,3.6952),(3195,1105,-0.001492,3.6954),(3195,1115,-0.001552,3.6956),(3195,1125,-0.001612,3.6958),(3195,1135,-0.001673,3.696),(3195,1145,-0.001735,3.6963),(3195,1155,-0.001798,3.6965),(3195,1165,-0.00186,3.6967),(3195,1175,-0.001923,3.697),(3195,1185,-0.001986,3.6972),(3195,1195,-0.00205,3.6974),(3195,1205,-0.002114,3.6977),(3195,1215,-0.002178,3.698),(3195,1225,-0.002243,3.6982),(3195,1235,-0.002307,3.6985),(3195,1245,-0.002372,3.6988),(3195,1255,-0.002437,3.699),(3195,1265,-0.002502,3.6993),(3195,1275,-0.002567,3.6996),(3195,1285,-0.002632,3.6999),(3195,1295,-0.002696,3.7002),(3195,1305,-0.002761,3.7005),(3195,1315,-0.002825,3.7009),(3195,1325,-0.00289,3.7012),(3195,1335,-0.002953,3.7015),(3195,1345,-0.003016,3.7019),(3195,1355,-0.003079,3.7022),(3195,1365,-0.003142,3.7026),(3195,1375,-0.003203,3.7029),(3195,1385,-0.003263,3.7033),(3195,1395,-0.003324,3.7037),(3195,1405,-0.003384,3.7041),(3195,1415,-0.003441,3.7045),(3195,1425,-0.003498,3.7049),(3195,1435,-0.003555,3.7053),(3195,1445,-0.003612,3.7057),(3195,1455,-0.003665,3.7061),(3195,1465,-0.003718,3.7065),(3195,1475,-0.003771,3.707),(3195,1485,-0.003824,3.7075),(3195,1495,-0.003871,3.7079),(3195,1505,-0.003918,3.7084),(3195,1515,-0.003965,3.7089),(3195,1525,-0.004012,3.7094),(3195,1535,-0.004052,3.7099),(3195,1545,-0.004093,3.7104),(3195,1555,-0.004133,3.7109),(3195,1565,-0.004173,3.7114),(3195,1575,-0.004205,3.7119),(3195,1585,-0.004237,3.7125),(3195,1595,-0.004269,3.7131),(3195,1605,-0.0043,3.7136),(3195,1615,-0.004323,3.7142),(3195,1625,-0.004345,3.7148),(3195,1635,-0.004367,3.7154),(3195,1645,-0.004388,3.716),(3195,1655,-0.004399,3.7166),(3195,1665,-0.00441,3.7173),(3195,1675,-0.004421,3.7179),(3195,1685,-0.004429,3.7186),(3195,1695,-0.004427,3.7192),(3195,1705,-0.004424,3.7199),(3195,1715,-0.004422,3.7206),(3195,1725,-0.004416,3.7213),(3195,1735,-0.004398,3.7221),(3195,1745,-0.00438,3.7228),(3195,1755,-0.004362,3.7235),(3195,1765,-0.00434,3.7243),(3195,1775,-0.004303,3.7251),(3195,1785,-0.004267,3.7259),(3195,1795,-0.004231,3.7267),(3195,1805,-0.004188,3.7275),(3195,1815,-0.00413,3.7283),(3195,1825,-0.004072,3.7292),(3195,1835,-0.004014,3.7301),(3195,1845,-0.003948,3.731),(3195,1855,-0.003865,3.7319),(3195,1865,-0.003782,3.7328),(3195,1875,-0.003699,3.7337),(3195,1885,-0.003605,3.7347),(3195,1895,-0.003492,3.7356),(3195,1905,-0.00338,3.7366),(3195,1915,-0.003267,3.7376),(3195,1925,-0.00314,3.7387),(3195,1935,-0.002992,3.7397),(3195,1945,-0.002845,3.7408),(3195,1955,-0.002698,3.7419),(3195,1965,-0.002531,3.743),(3195,1975,-0.002342,3.7441),(3195,1985,-0.002154,3.7452),(3195,1995,-0.001965,3.7464),(3195,2005,-0.001752,3.7476),(3195,2015,-0.001514,3.7488),(3195,2025,-0.001276,3.7501),(3195,2035,-0.001038,3.7513),(3195,2045,-0.000768,3.7526),(3195,2055,-0.000472,3.7539),(3195,2065,-0.000175,3.7553),(3195,2075,0.000121,3.7566),(3195,2085,0.000458,3.758),(3195,2095,0.000824,3.7594),(3195,2105,0.001191,3.7609),(3195,2115,0.001557,3.7624),(3195,2125,0.001975,3.7638),(3195,2135,0.002424,3.7653),(3195,2145,0.002873,3.7669),(3195,2155,0.003323,3.7685),(3195,2165,0.003837,3.7701),(3195,2175,0.004386,3.7717),(3195,2185,0.004934,3.7734),(3195,2195,0.005483,3.7751),(3195,2205,0.006114,3.7769),(3195,2215,0.00678,3.7786),(3195,2225,0.007447,3.7804),(3195,2235,0.008114,3.7823),(3195,2245,0.008884,3.7841),(3195,2255,0.009691,3.786),(3195,2265,0.010498,3.7879),(3195,2275,0.011305,3.7899),(3195,2285,0.012241,3.7919),(3195,2295,0.013215,3.7939),(3195,2305,0.014188,3.796),(3195,2315,0.015161,3.7981),(3195,2325,0.016294,3.8002),(3195,2335,0.017463,3.8023),(3195,2345,0.018632,3.8045),(3195,2355,0.019801,3.8068),(3195,2365,0.021167,3.809),(3195,2375,0.022565,3.8113),(3195,2385,0.023964,3.8136),(3195,2395,0.025362,3.816),(3195,2405,0.027001,3.8184),(3195,2415,0.028666,3.8208),(3195,2425,0.030332,3.8232),(3195,2435,0.031998,3.8257),(3195,2445,0.033952,3.8282),(3195,2455,0.035927,3.8307),(3195,2465,0.037901,3.8333),(3195,2475,0.039875,3.8358),(3195,2485,0.042193,3.8384),(3195,2495,0.044519,3.841),(3195,2505,0.046845,3.8436),(3195,2515,0.049177,3.8463),(3195,2525,0.0519,3.8489),(3195,2535,0.054623,3.8516),(3195,2545,0.057345,3.8542),(3195,2555,0.060092,3.8569),(3195,2565,0.063256,3.8596),(3195,2575,0.066419,3.8622),(3195,2585,0.069582,3.8649),(3195,2595,0.072791,3.8675),(3195,2605,0.076435,3.8702),(3195,2615,0.08008,3.8728),(3195,2625,0.083724,3.8754),(3195,2635,0.087437,3.8779),(3195,2645,0.091597,3.8805),(3195,2655,0.095756,3.883),(3195,2665,0.099916,3.8854),(3195,2675,0.10417,3.8878),(3195,2685,0.10887,3.8902),(3195,2695,0.11357,3.8925),(3195,2705,0.11827,3.8947),(3195,2715,0.12309,3.8968),(3195,2725,0.12834,3.899),(3195,2735,0.13359,3.9011),(3195,2745,0.13884,3.9029),(3195,2755,0.14423,3.9047),(3195,2765,0.15004,3.9065),(3195,2775,0.15584,3.9082),(3195,2785,0.16164,3.9096),(3195,2795,0.1676,3.911),(3195,2805,0.17394,3.9124),(3195,2815,0.18027,3.9136),(3195,2825,0.1866,3.9144),(3195,2835,0.1931,3.9153),(3195,2845,0.19994,3.9162),(3195,2855,0.20677,3.9168),(3195,2865,0.2136,3.917),(3195,2875,0.2206,3.9173),(3195,2885,0.22789,3.9175),(3195,2895,0.23517,3.9175),(3195,2905,0.24245,3.917),(3195,2915,0.24989,3.9166),(3195,2925,0.25757,3.9161),(3195,2935,0.26524,3.9153),(3195,2945,0.27291,3.9141),(3195,2955,0.28072,3.9129),(3195,2965,0.28871,3.9116),(3195,2975,0.2967,3.91),(3195,2985,0.30469,3.9079),(3195,2995,0.31279,3.9058),(3195,3005,0.32102,3.9037),(3195,3015,0.32924,3.9012),(3195,3025,0.33747,3.8982),(3195,3035,0.34577,3.8952),(3195,3045,0.35415,3.8922),(3195,3055,0.36252,3.8887),(3195,3065,0.37089,3.8848),(3195,3075,0.3793,3.8809),(3195,3085,0.38772,3.8769),(3195,3095,0.39615,3.8724),(3195,3105,0.40458,3.8675),(3195,3115,0.41298,3.8626),(3195,3125,0.42136,3.8577),(3195,3135,0.42974,3.8521),(3195,3145,0.43812,3.8462),(3195,3155,0.4464,3.8402),(3195,3165,0.45463,3.8343),(3195,3175,0.46286,3.8277),(3195,3185,0.47109,3.8207),(3195,3195,0.47913,3.8137),(3195,3205,0.48709,3.8068),(3195,3215,0.49505,3.7991),(3195,3225,0.50301,3.791),(3195,3235,0.51069,3.783),(3195,3245,0.51826,3.775),(3195,3255,0.52583,3.7662),(3195,3265,0.5334,3.7572),(3195,3275,0.54058,3.7481),(3195,3285,0.54763,3.7391),(3195,3295,0.55468,3.7292),(3195,3305,0.56174,3.7192),(3195,3315,0.56826,3.7091),(3195,3325,0.57465,3.699),(3195,3335,0.58105,3.6882),(3195,3345,0.58745,3.6771),(3195,3355,0.59316,3.6661),(3195,3365,0.59876,3.6551),(3195,3375,0.60435,3.6432),(3195,3385,0.60994,3.6313),(3195,3395,0.61469,3.6193),(3195,3405,0.61933,3.6074),(3195,3415,0.62397,3.5947),(3195,3425,0.62862,3.5819),(3195,3435,0.63223,3.5691),(3195,3445,0.63577,3.5563),(3195,3455,0.6393,3.5429),(3195,3465,0.64284,3.5294),(3195,3475,0.64516,3.5159),(3195,3485,0.64744,3.5024),(3195,3495,0.64972,3.4884),(3195,3505,0.65199,3.4743),(3195,3515,0.65288,3.4603),(3195,3525,0.65376,3.4463),(3195,3535,0.65464,3.4319),(3195,3545,0.65545,3.4175),(3195,3555,0.65481,3.4031),(3195,3565,0.65417,3.3887),(3195,3575,0.65352,3.3742),(3195,3585,0.65274,3.3596),(3195,3595,0.65046,3.3451),(3195,3605,0.64819,3.3306),(3195,3615,0.64591,3.3162),(3195,3625,0.64342,3.3018),(3195,3635,0.63944,3.2875),(3195,3645,0.63545,3.2731),(3195,3655,0.63146,3.2592),(3195,3665,0.62719,3.2453),(3195,3675,0.62144,3.2314),(3195,3685,0.6157,3.2176),(3195,3695,0.60996,3.2045),(3195,3705,0.60386,3.1915),(3195,3715,0.59636,3.1784),(3195,3725,0.58887,3.1656),(3195,3735,0.58138,3.1538),(3195,3745,0.57348,3.142),(3195,3755,0.56433,3.1302),(3195,3765,0.55517,3.1188),(3195,3775,0.54602,3.1089),(3195,3785,0.53647,3.0989),(3195,3795,0.5259,3.0889),(3195,3805,0.51533,3.0797),(3195,3815,0.50476,3.0722),(3195,3825,0.4939,3.0647),(3195,3835,0.48245,3.0572),(3195,3845,0.471,3.0508),(3195,3855,0.45955,3.0464),(3195,3865,0.44816,3.0421),(3195,3875,0.43688,3.0378),(3195,3885,0.4256,3.0348),(3195,3895,0.41431,3.0341),(3195,3905,0.45203,3.0333),(3195,3915,0.56295,3.0325),(3195,3925,0.67388,3.0355),(3195,3935,0.7848,3.0436),(3195,3945,0.90426,3.0517),(3195,3955,1.0346,3.0597),(3195,3965,1.1649,3.0656),(3195,3975,1.2952,3.069),(3195,3985,1.3736,3.0723),(3195,3995,1.396,3.0757),(3195,4005,1.4183,3.0729),(3195,4015,1.4406,3.064),(3195,4025,1.4736,3.0552),(3195,4035,1.5076,3.0424),(3195,4045,1.5416,3.0211),(3195,4055,1.5785,2.9998),(3195,4065,1.6164,2.9773),(3195,4075,1.6544,2.9469),(3195,4085,1.6897,2.9165),(3195,4095,1.7231,2.8861),(3195,4105,1.7564,2.852),(3195,4115,1.7308,2.8178),(3195,4125,1.6075,2.7836),(3195,4135,1.4842,2.7553),(3195,4145,1.355,2.7285),(3195,4155,1.2016,2.7018),(3195,4165,1.0483,2.6796),(3195,4175,0.9042,2.6604),(3195,4185,1.2176,2.6412),(3195,4195,1.531,2.617),(3195,4205,1.8443,2.5861),(3195,4215,1.8963,2.5553),(3195,4225,1.8991,2.5248),(3195,4235,1.9019,2.4955),(3195,4245,1.8673,2.4662),(3195,4255,1.8138,2.4369),(3195,4265,1.7603,2.4084),(3195,4275,1.5485,2.3799),(3195,4285,1.1688,2.3514),(3195,4295,0.78911,2.3413),(3195,4305,0.64576,2.3335),(3195,4315,1.0361,2.3256),(3195,4325,1.4265,2.3083),(3195,4335,1.7737,2.2873),(3195,4345,1.8293,2.2663),(3195,4355,1.8848,2.2451),(3195,4365,1.9404,2.2237),(3195,4375,1.9477,2.2024),(3195,4385,1.9526,2.1811),(3195,4395,1.9574,2.1601),(3195,4405,1.729,2.1391),(3195,4415,1.4318,2.12),(3195,4425,1.1346,2.1094),(3195,4435,1.0104,2.0987),(3195,4445,1.0042,2.0881),(3195,4455,0.99808,2.0785),(3195,4465,1.1218,2.069),(3195,4475,1.4279,2.0594),(3195,4485,1.734,2.0431),(3195,4495,1.9681,2.0254),(3195,4505,1.971,2.0077),(3195,4515,1.974,1.9903),(3195,4525,1.973,1.9731),(3195,4535,1.9095,1.956),(3195,4545,1.8459,1.94),(3195,4555,1.7823,1.9254),(3195,4565,1.3769,1.9107),(3195,4575,0.92534,1.8996),(3195,4585,0.47379,1.8967),(3195,4595,0.64264,1.8939),(3195,4605,1.0736,1.8891),(3195,4615,1.5046,1.8699),(3195,4625,1.7464,1.8507),(3195,4635,1.8169,1.8315),(3195,4645,1.8874,1.8147),(3195,4655,1.9376,1.798),(3195,4665,1.9498,1.7814),(3195,4675,1.962,1.7655),(3195,4685,1.9055,1.7499),(3195,4695,1.5091,1.7343),(3195,4705,1.1127,1.7247),(3195,4715,0.71638,1.7194),(3195,4725,0.90963,1.7142),(3195,4735,1.1088,1.7071),(3195,4745,1.3079,1.6974),(3195,4755,1.5094,1.6876),(3195,4765,1.7114,1.6768),(3195,4775,1.9133,1.6624),(3195,4785,1.9894,1.6479),(3195,4795,1.9926,1.6335),(3195,4805,1.9959,1.6192),(3195,4815,1.9032,1.6049),(3195,4825,1.6958,1.5907),(3195,4835,1.4885,1.5805),(3195,4845,1.2791,1.571),(3195,4855,1.0644,1.5615),(3195,4865,0.84967,1.5557),(3195,4875,0.69848,1.5515),(3195,4885,1.1253,1.5473),(3195,4895,1.552,1.5385),(3195,4905,1.9788,1.5253),(3195,4915,2.0117,1.5122),(3195,4925,2.0108,1.4989),(3195,4935,2.0098,1.4853),(3195,4945,1.972,1.4717),(3195,4955,1.9214,1.4578),(3195,4965,1.8709,1.4416),(3195,4975,1.5516,1.4254),(3195,4985,1.0248,1.4092),(3195,4995,0.49803,1.4078),(3195,5005,0.34355,1.4069),(3195,5015,0.78093,1.4059),(3195,5025,1.2183,1.3981),(3195,5035,1.595,1.3885),(3195,5045,1.7406,1.3789),(3195,5055,1.8862,1.3675),(3195,5065,2.0276,1.3551),(3195,5075,2.0303,1.3426),(3195,5085,2.0329,1.3302),(3195,5095,2.0356,1.3178),(3195,5105,1.7815,1.3054),(3195,5115,1.4827,1.2945),(3195,5125,1.1839,1.288),(3195,5135,1.0355,1.2815),(3195,5145,0.96007,1.2751),(3195,5155,0.88468,1.2704),(3195,5165,1.0395,1.2657),(3195,5175,1.429,1.261),(3195,5185,1.8186,1.25),(3195,5195,2.0854,1.2383),(3195,5205,2.0877,1.2266),(3195,5215,2.09,1.215),(3195,5225,2.0813,1.2034),(3195,5235,2.0044,1.1918),(3195,5245,1.9276,1.181),(3195,5255,1.8508,1.1708),(3195,5265,1.3067,1.1606),(3195,5275,0.74327,1.1541),(3195,5285,0.17989,1.1539),(3195,5295,0.54166,1.1536),(3195,5305,1.1611,1.1508),(3195,5315,1.7805,1.137),(3195,5325,2.0472,1.1233),(3195,5335,2.0826,1.1095),(3195,5345,2.1181,1.0982),(3195,5355,2.1398,1.0868),(3195,5365,2.143,1.0754),(3195,5375,2.1461,1.0643),(3195,5385,2.0262,1.0533),(3195,5395,1.532,1.0422),(3195,5405,1.0378,1.0365),(3195,5415,0.59805,1.0336),(3195,5425,0.88975,1.0307),(3195,5435,1.1814,1.0261),(3195,5445,1.4731,1.0198),(3195,5455,1.7506,1.0135),(3195,5465,2.0264,1.0061),(3195,5475,2.3022,0.99626),(3195,5485,2.3818,0.98638),(3195,5495,2.3825,0.97654),(3195,5505,2.3831,0.96695),(3195,5515,2.3838,0.95736),(3195,5525,2.3845,0.94776),(3195,5535,2.3852,0.93844),(3195,5545,2.3858,0.92913),(3195,5555,2.3863,0.91982),(3195,5565,2.3868,0.91071),(3195,5575,2.3873,0.90167),(3195,5585,2.3877,0.89263),(3195,5595,2.3881,0.88374),(3195,5605,2.3885,0.87497),(3195,5615,2.3887,0.8662),(3195,5625,2.389,0.85752),(3195,5635,2.3893,0.84898),(3195,5645,2.3894,0.84043),(3195,5655,2.3896,0.83194),(3195,5665,2.3897,0.82363),(3195,5675,2.3898,0.81531),(3195,5685,2.3899,0.80701),(3195,5695,2.3899,0.7989),(3195,5705,2.3899,0.7908),(3195,5715,2.3898,0.78269),(3195,5725,2.3898,0.77475),(3195,5735,2.3897,0.76684),(3195,5745,2.3895,0.75893),(3195,5755,2.3894,0.75114),(3195,5765,2.3892,0.74341),(3195,5775,2.389,0.73567),(3195,5785,2.3887,0.72803),(3195,5795,2.3885,0.72048),(3195,5805,2.3882,0.71292),(3195,5815,2.3878,0.70542),(3195,5825,2.3875,0.69802),(3195,5835,2.3871,0.69062),(3195,5845,2.3868,0.68325),(3195,5855,2.3864,0.676),(3195,5865,2.3859,0.66875),(3195,5875,2.3855,0.6615),(3195,5885,2.385,0.65439),(3195,5895,2.3845,0.64728),(3195,5905,2.384,0.64018),(3195,5915,2.3834,0.63318),(3195,5925,2.3829,0.62622),(3195,5935,2.3823,0.61926),(3195,5945,2.3817,0.61238),(3195,5955,2.3811,0.60556),(3195,5965,2.3804,0.59874),(3195,5975,2.3798,0.59197),(3195,5985,2.3791,0.58526),(3195,5995,1.8192,0.57856),(3195,6005,1.1693,0.57344),(3195,6015,0.51942,0.57255),(3195,6025,0.65781,0.57166),(3195,6035,1.1618,0.57011),(3195,6045,1.6658,0.56216),(3195,6055,2.0162,0.55422),(3195,6065,2.2158,0.54628),(3195,6075,2.4155,0.536),(3195,6085,2.5505,0.5255),(3195,6095,2.5523,0.51501),(3195,6105,2.5541,0.50453),(3195,6115,2.5559,0.49406),(3195,6125,2.5576,0.48358),(3195,6135,2.5593,0.4732),(3195,6145,2.561,0.46289),(3195,6155,2.5625,0.45258),(3195,6165,2.5641,0.44233),(3195,6175,2.5657,0.43218),(3195,6185,2.5672,0.42203),(3195,6195,2.5686,0.41188),(3195,6205,2.5701,0.40177),(3195,6215,2.5715,0.39166),(3195,6225,2.5728,0.38155),(3195,6235,2.5741,0.37148),(3195,6245,2.5754,0.36141),(3195,6255,2.5767,0.35134),(3195,6265,2.5779,0.34134),(3195,6275,2.5791,0.33136),(3195,6285,2.5802,0.32137),(3195,6295,2.5813,0.31145),(3195,6305,2.5824,0.30156),(3195,6315,2.5834,0.29167),(3195,6325,2.5844,0.28182),(3195,6335,2.5855,0.272),(3195,6345,2.5864,0.26219),(3195,6355,2.5872,0.25238),(3195,6365,2.5881,0.2426),(3195,6375,2.5889,0.23281),(3195,6385,2.5897,0.22303),(3195,6395,2.5905,0.21326),(3195,6405,2.5912,0.2035),(3195,6415,2.5919,0.19373),(3195,6425,2.5926,0.18406),(3195,6435,2.5932,0.17439),(3195,6445,2.5937,0.16472),(3195,6455,2.5943,0.1551),(3195,6465,2.5948,0.14549),(3195,6475,2.5953,0.13587),(3195,6485,2.5958,0.12624),(3195,6495,2.5962,0.1166),(3195,6505,2.5966,0.10696),(3195,6515,2.597,0.097332),(3195,6525,2.5973,0.087719),(3195,6535,2.5976,0.078105),(3195,6545,2.5979,0.068488),(3195,6555,2.5981,0.058858),(3195,6565,2.5983,0.049229),(3195,6575,2.5984,0.039604),(3195,6585,2.5985,0.030046),(3195,6595,2.2102,0.020489),(3195,6605,1.3931,0.010932),(3195,6615,0.57593,0.009814),(3195,6625,0.0015,0.009782),(3195,6635,0.001497,0.009749),(3195,6645,0.001494,0.009733),(3195,6655,0.001491,0.009724),(3195,6665,0.001489,0.009715),(3195,6675,0.001486,0.009706),(3195,6685,0.001484,0.009697),(3195,6695,0.001481,0.009688),(3195,6705,0.001479,0.009679),(3195,6715,0.001476,0.009671),(3195,6725,0.001474,0.009662),(3195,6735,0.001472,0.009653),(3195,6745,0.00147,0.009644),(3195,6755,0.001468,0.009635),(3195,6765,0.001466,0.009627),(3195,6775,0.001464,0.009618),(3195,6785,0.001462,0.009609),(3195,6795,0.00146,0.0096),(3195,6805,0.001458,0.009592),(3195,6815,0.001457,0.009583),(3195,6825,0.001455,0.009574),(3195,6835,0.001454,0.009565),(3195,6845,0.001452,0.009557),(3195,6855,0.001451,0.009548),(3195,6865,0.001449,0.009539),(3195,6875,0.001448,0.009531),(3195,6885,0.001446,0.009522),(3195,6895,0.001445,0.009513),(3195,6905,0.001444,0.009505),(3195,6915,0.001443,0.009496),(3195,6925,0.001442,0.009487),(3195,6935,0.00144,0.009478),(3195,6945,0.001439,0.00947),(3195,6955,0.001438,0.009461),(3195,6965,0.001437,0.009452),(3195,6975,0.001436,0.009444),(3195,6985,0.001435,0.009435),(3205,5,8e-06,3.6887),(3205,15,2.3e-05,3.6887),(3205,25,3.7e-05,3.6887),(3205,35,5.2e-05,3.6887),(3205,45,6.7e-05,3.6887),(3205,55,8.2e-05,3.6887),(3205,65,9.7e-05,3.6887),(3205,75,0.000111,3.6887),(3205,85,0.000126,3.6887),(3205,95,0.00014,3.6887),(3205,105,0.000155,3.6887),(3205,115,0.000169,3.6887),(3205,125,0.000182,3.6887),(3205,135,0.000196,3.6887),(3205,145,0.00021,3.6887),(3205,155,0.000223,3.6887),(3205,165,0.000236,3.6887),(3205,175,0.000249,3.6887),(3205,185,0.000261,3.6887),(3205,195,0.000273,3.6888),(3205,205,0.000285,3.6888),(3205,215,0.000297,3.6888),(3205,225,0.000308,3.6888),(3205,235,0.000319,3.6888),(3205,245,0.00033,3.6888),(3205,255,0.00034,3.6888),(3205,265,0.00035,3.6888),(3205,275,0.000358,3.6888),(3205,285,0.000367,3.6889),(3205,295,0.000376,3.6889),(3205,305,0.000384,3.6889),(3205,315,0.000391,3.6889),(3205,325,0.000398,3.6889),(3205,335,0.000405,3.6889),(3205,345,0.00041,3.689),(3205,355,0.000415,3.689),(3205,365,0.00042,3.689),(3205,375,0.000425,3.689),(3205,385,0.000427,3.6891),(3205,395,0.00043,3.6891),(3205,405,0.000432,3.6891),(3205,415,0.000435,3.6891),(3205,425,0.000435,3.6892),(3205,435,0.000435,3.6892),(3205,445,0.000435,3.6892),(3205,455,0.000434,3.6892),(3205,465,0.000432,3.6893),(3205,475,0.000428,3.6893),(3205,485,0.000425,3.6893),(3205,495,0.000422,3.6894),(3205,505,0.000416,3.6894),(3205,515,0.00041,3.6894),(3205,525,0.000404,3.6895),(3205,535,0.000397,3.6895),(3205,545,0.000388,3.6896),(3205,555,0.000378,3.6896),(3205,565,0.000368,3.6896),(3205,575,0.000359,3.6897),(3205,585,0.000345,3.6897),(3205,595,0.000332,3.6898),(3205,605,0.000319,3.6898),(3205,615,0.000305,3.6899),(3205,625,0.000289,3.6899),(3205,635,0.000272,3.69),(3205,645,0.000255,3.69),(3205,655,0.000237,3.6901),(3205,665,0.000216,3.6901),(3205,675,0.000195,3.6902),(3205,685,0.000174,3.6903),(3205,695,0.000153,3.6903),(3205,705,0.000127,3.6904),(3205,715,0.000102,3.6905),(3205,725,7.7e-05,3.6905),(3205,735,5.1e-05,3.6906),(3205,745,2.2e-05,3.6907),(3205,755,-8e-06,3.6908),(3205,765,-3.7e-05,3.6908),(3205,775,-6.7e-05,3.6909),(3205,785,-0.000101,3.691),(3205,795,-0.000134,3.6911),(3205,805,-0.000168,3.6912),(3205,815,-0.000202,3.6913),(3205,825,-0.00024,3.6914),(3205,835,-0.000278,3.6915),(3205,845,-0.000316,3.6916),(3205,855,-0.000356,3.6917),(3205,865,-0.000398,3.6918),(3205,875,-0.00044,3.6919),(3205,885,-0.000483,3.692),(3205,895,-0.000527,3.6921),(3205,905,-0.000574,3.6922),(3205,915,-0.00062,3.6923),(3205,925,-0.000667,3.6925),(3205,935,-0.000715,3.6926),(3205,945,-0.000766,3.6927),(3205,955,-0.000817,3.6929),(3205,965,-0.000867,3.693),(3205,975,-0.00092,3.6931),(3205,985,-0.000974,3.6933),(3205,995,-0.001029,3.6934),(3205,1005,-0.001084,3.6936),(3205,1015,-0.00114,3.6937),(3205,1025,-0.001199,3.6939),(3205,1035,-0.001257,3.6941),(3205,1045,-0.001316,3.6942),(3205,1055,-0.001376,3.6944),(3205,1065,-0.001438,3.6946),(3205,1075,-0.0015,3.6948),(3205,1085,-0.001562,3.695),(3205,1095,-0.001626,3.6952),(3205,1105,-0.00169,3.6954),(3205,1115,-0.001755,3.6956),(3205,1125,-0.00182,3.6958),(3205,1135,-0.001886,3.696),(3205,1145,-0.001953,3.6962),(3205,1155,-0.002021,3.6964),(3205,1165,-0.002088,3.6967),(3205,1175,-0.002156,3.6969),(3205,1185,-0.002225,3.6971),(3205,1195,-0.002295,3.6974),(3205,1205,-0.002364,3.6976),(3205,1215,-0.002433,3.6979),(3205,1225,-0.002504,3.6981),(3205,1235,-0.002574,3.6984),(3205,1245,-0.002645,3.6987),(3205,1255,-0.002716,3.699),(3205,1265,-0.002787,3.6993),(3205,1275,-0.002858,3.6996),(3205,1285,-0.002929,3.6999),(3205,1295,-0.003,3.7002),(3205,1305,-0.003071,3.7005),(3205,1315,-0.003142,3.7008),(3205,1325,-0.003213,3.7011),(3205,1335,-0.003283,3.7015),(3205,1345,-0.003353,3.7018),(3205,1355,-0.003423,3.7022),(3205,1365,-0.003493,3.7025),(3205,1375,-0.003561,3.7029),(3205,1385,-0.003629,3.7032),(3205,1395,-0.003697,3.7036),(3205,1405,-0.003765,3.704),(3205,1415,-0.00383,3.7044),(3205,1425,-0.003895,3.7048),(3205,1435,-0.00396,3.7052),(3205,1445,-0.004025,3.7057),(3205,1455,-0.004087,3.7061),(3205,1465,-0.004148,3.7065),(3205,1475,-0.004209,3.707),(3205,1485,-0.00427,3.7074),(3205,1495,-0.004326,3.7079),(3205,1505,-0.004383,3.7083),(3205,1515,-0.004439,3.7088),(3205,1525,-0.004495,3.7093),(3205,1535,-0.004545,3.7098),(3205,1545,-0.004595,3.7103),(3205,1555,-0.004645,3.7109),(3205,1565,-0.004694,3.7114),(3205,1575,-0.004737,3.7119),(3205,1585,-0.004779,3.7125),(3205,1595,-0.004822,3.713),(3205,1605,-0.004863,3.7136),(3205,1615,-0.004897,3.7142),(3205,1625,-0.00493,3.7148),(3205,1635,-0.004964,3.7154),(3205,1645,-0.004995,3.716),(3205,1655,-0.005018,3.7166),(3205,1665,-0.005041,3.7173),(3205,1675,-0.005064,3.7179),(3205,1685,-0.005084,3.7186),(3205,1695,-0.005095,3.7193),(3205,1705,-0.005105,3.7199),(3205,1715,-0.005116,3.7206),(3205,1725,-0.005123,3.7214),(3205,1735,-0.005119,3.7221),(3205,1745,-0.005115,3.7228),(3205,1755,-0.005111,3.7236),(3205,1765,-0.005102,3.7244),(3205,1775,-0.005081,3.7251),(3205,1785,-0.00506,3.7259),(3205,1795,-0.005039,3.7267),(3205,1805,-0.005011,3.7276),(3205,1815,-0.00497,3.7284),(3205,1825,-0.004928,3.7293),(3205,1835,-0.004887,3.7302),(3205,1845,-0.004837,3.731),(3205,1855,-0.004772,3.7319),(3205,1865,-0.004706,3.7329),(3205,1875,-0.004641,3.7338),(3205,1885,-0.004565,3.7348),(3205,1895,-0.004472,3.7358),(3205,1905,-0.004379,3.7367),(3205,1915,-0.004285,3.7378),(3205,1925,-0.004178,3.7388),(3205,1935,-0.004052,3.7399),(3205,1945,-0.003925,3.7409),(3205,1955,-0.003799,3.7421),(3205,1965,-0.003654,3.7432),(3205,1975,-0.003488,3.7443),(3205,1985,-0.003322,3.7454),(3205,1995,-0.003156,3.7467),(3205,2005,-0.002967,3.7479),(3205,2015,-0.002754,3.7491),(3205,2025,-0.00254,3.7503),(3205,2035,-0.002327,3.7516),(3205,2045,-0.002084,3.7529),(3205,2055,-0.001814,3.7542),(3205,2065,-0.001545,3.7556),(3205,2075,-0.001275,3.757),(3205,2085,-0.000966,3.7584),(3205,2095,-0.000629,3.7598),(3205,2105,-0.000292,3.7613),(3205,2115,4.6e-05,3.7628),(3205,2125,0.000433,3.7643),(3205,2135,0.000851,3.7658),(3205,2145,0.001269,3.7674),(3205,2155,0.001687,3.769),(3205,2165,0.002169,3.7707),(3205,2175,0.002684,3.7723),(3205,2185,0.003199,3.774),(3205,2195,0.003714,3.7758),(3205,2205,0.004311,3.7775),(3205,2215,0.004942,3.7793),(3205,2225,0.005573,3.7811),(3205,2235,0.006205,3.783),(3205,2245,0.006938,3.7849),(3205,2255,0.007708,3.7868),(3205,2265,0.008478,3.7888),(3205,2275,0.009248,3.7908),(3205,2285,0.010147,3.7929),(3205,2295,0.011082,3.7949),(3205,2305,0.012016,3.797),(3205,2315,0.012951,3.7992),(3205,2325,0.014046,3.8013),(3205,2335,0.015176,3.8035),(3205,2345,0.016307,3.8058),(3205,2355,0.017437,3.8081),(3205,2365,0.018765,3.8104),(3205,2375,0.020125,3.8127),(3205,2385,0.021486,3.8151),(3205,2395,0.022846,3.8176),(3205,2405,0.024448,3.82),(3205,2415,0.026078,3.8225),(3205,2425,0.027708,3.825),(3205,2435,0.029338,3.8276),(3205,2445,0.031259,3.8301),(3205,2455,0.033201,3.8327),(3205,2465,0.035143,3.8354),(3205,2475,0.037085,3.838),(3205,2485,0.039376,3.8407),(3205,2495,0.041676,3.8433),(3205,2505,0.043976,3.8461),(3205,2515,0.046282,3.8488),(3205,2525,0.048987,3.8516),(3205,2535,0.051692,3.8543),(3205,2545,0.054397,3.8571),(3205,2555,0.057126,3.8599),(3205,2565,0.060283,3.8626),(3205,2575,0.06344,3.8654),(3205,2585,0.066597,3.8682),(3205,2595,0.0698,3.8709),(3205,2605,0.073453,3.8737),(3205,2615,0.077105,3.8765),(3205,2625,0.080757,3.8791),(3205,2635,0.08448,3.8818),(3205,2645,0.088665,3.8845),(3205,2655,0.09285,3.8872),(3205,2665,0.097034,3.8897),(3205,2675,0.10132,3.8922),(3205,2685,0.10606,3.8947),(3205,2695,0.1108,3.8972),(3205,2705,0.11555,3.8995),(3205,2715,0.12042,3.9018),(3205,2725,0.12573,3.9041),(3205,2735,0.13105,3.9063),(3205,2745,0.13637,3.9082),(3205,2755,0.14184,3.9102),(3205,2765,0.14773,3.9121),(3205,2775,0.15362,3.914),(3205,2785,0.15951,3.9155),(3205,2795,0.16556,3.917),(3205,2805,0.17201,3.9185),(3205,2815,0.17846,3.9199),(3205,2825,0.1849,3.9208),(3205,2835,0.19152,3.9218),(3205,2845,0.19849,3.9228),(3205,2855,0.20546,3.9236),(3205,2865,0.21242,3.9239),(3205,2875,0.21956,3.9243),(3205,2885,0.227,3.9246),(3205,2895,0.23444,3.9247),(3205,2905,0.24187,3.9243),(3205,2915,0.24948,3.924),(3205,2925,0.25732,3.9236),(3205,2935,0.26516,3.9229),(3205,2945,0.27301,3.9217),(3205,2955,0.281,3.9206),(3205,2965,0.28918,3.9194),(3205,2975,0.29736,3.9178),(3205,2985,0.30553,3.9158),(3205,2995,0.31383,3.9138),(3205,3005,0.32226,3.9118),(3205,3015,0.33069,3.9093),(3205,3025,0.33911,3.9063),(3205,3035,0.34763,3.9034),(3205,3045,0.35621,3.9004),(3205,3055,0.3648,3.8969),(3205,3065,0.37339,3.893),(3205,3075,0.38201,3.8891),(3205,3085,0.39066,3.8852),(3205,3095,0.39931,3.8807),(3205,3105,0.40797,3.8757),(3205,3115,0.41659,3.8708),(3205,3125,0.4252,3.8659),(3205,3135,0.43382,3.8603),(3205,3145,0.44243,3.8543),(3205,3155,0.45095,3.8483),(3205,3165,0.45941,3.8424),(3205,3175,0.46787,3.8357),(3205,3185,0.47634,3.8286),(3205,3195,0.48462,3.8216),(3205,3205,0.49282,3.8146),(3205,3215,0.50102,3.8068),(3205,3225,0.50922,3.7986),(3205,3235,0.51714,3.7905),(3205,3245,0.52495,3.7824),(3205,3255,0.53276,3.7735),(3205,3265,0.54058,3.7643),(3205,3275,0.54799,3.7552),(3205,3285,0.55528,3.746),(3205,3295,0.56257,3.736),(3205,3305,0.56986,3.7257),(3205,3315,0.57661,3.7155),(3205,3325,0.58324,3.7053),(3205,3335,0.58986,3.6942),(3205,3345,0.59649,3.683),(3205,3355,0.60242,3.6717),(3205,3365,0.60823,3.6605),(3205,3375,0.61404,3.6484),(3205,3385,0.61985,3.6362),(3205,3395,0.6248,3.6241),(3205,3405,0.62964,3.6119),(3205,3415,0.63448,3.5989),(3205,3425,0.63932,3.5858),(3205,3435,0.64311,3.5728),(3205,3445,0.64682,3.5597),(3205,3455,0.65052,3.546),(3205,3465,0.65423,3.5322),(3205,3475,0.65669,3.5184),(3205,3485,0.65911,3.5046),(3205,3495,0.66152,3.4902),(3205,3505,0.66393,3.4758),(3205,3515,0.66491,3.4615),(3205,3525,0.66588,3.4471),(3205,3535,0.66686,3.4323),(3205,3545,0.66776,3.4175),(3205,3555,0.66716,3.4028),(3205,3565,0.66655,3.388),(3205,3575,0.66595,3.3731),(3205,3585,0.6652,3.3581),(3205,3595,0.6629,3.3432),(3205,3605,0.6606,3.3283),(3205,3615,0.6583,3.3135),(3205,3625,0.65577,3.2987),(3205,3635,0.65169,3.2839),(3205,3645,0.6476,3.2692),(3205,3655,0.64351,3.2548),(3205,3665,0.63912,3.2405),(3205,3675,0.63318,3.2261),(3205,3685,0.62725,3.212),(3205,3695,0.62131,3.1984),(3205,3705,0.615,3.1849),(3205,3715,0.60721,3.1714),(3205,3725,0.59941,3.1582),(3205,3735,0.59162,3.146),(3205,3745,0.58339,3.1338),(3205,3755,0.57379,3.1216),(3205,3765,0.5642,3.1099),(3205,3775,0.5546,3.0996),(3205,3785,0.54456,3.0893),(3205,3795,0.53337,3.079),(3205,3805,0.52218,3.0695),(3205,3815,0.511,3.0619),(3205,3825,0.49947,3.0542),(3205,3835,0.48721,3.0465),(3205,3845,0.47495,3.04),(3205,3855,0.46269,3.0357),(3205,3865,0.45045,3.0314),(3205,3875,0.43823,3.0272),(3205,3885,0.42601,3.0244),(3205,3895,0.4138,3.0241),(3205,3905,0.4498,3.0238),(3205,3915,0.55782,3.0235),(3205,3925,0.66585,3.0277),(3205,3935,0.77387,3.038),(3205,3945,0.89205,3.0483),(3205,3955,1.0231,3.0587),(3205,3965,1.1542,3.0667),(3205,3975,1.2853,3.0719),(3205,3985,1.3659,3.0772),(3205,3995,1.3919,3.0824),(3205,4005,1.4179,3.0807),(3205,4015,1.4439,3.072),(3205,4025,1.4809,3.0633),(3205,4035,1.5189,3.0501),(3205,4045,1.557,3.0275),(3205,4055,1.5971,3.0049),(3205,4065,1.638,2.9809),(3205,4075,1.6789,2.9486),(3205,4085,1.7162,2.9162),(3205,4095,1.7507,2.8839),(3205,4105,1.7852,2.8479),(3205,4115,1.7595,2.8118),(3205,4125,1.6341,2.7756),(3205,4135,1.5087,2.7461),(3205,4145,1.3774,2.7183),(3205,4155,1.222,2.6905),(3205,4165,1.0666,2.6677),(3205,4175,0.92061,2.6481),(3205,4185,1.2366,2.6285),(3205,4195,1.5526,2.6039),(3205,4205,1.8687,2.5725),(3205,4215,1.9206,2.5412),(3205,4225,1.9228,2.5103),(3205,4235,1.925,2.4808),(3205,4245,1.8901,2.4513),(3205,4255,1.8365,2.4219),(3205,4265,1.7828,2.3934),(3205,4275,1.5685,2.3648),(3205,4285,1.1836,2.3363),(3205,4295,0.79864,2.3264),(3205,4305,0.65256,2.3187),(3205,4315,1.0458,2.311),(3205,4325,1.439,2.2938),(3205,4335,1.7887,2.2728),(3205,4345,1.8442,2.2519),(3205,4355,1.8997,2.2307),(3205,4365,1.9552,2.2093),(3205,4375,1.9624,2.1879),(3205,4385,1.9671,2.1666),(3205,4395,1.9718,2.1456),(3205,4405,1.7416,2.1246),(3205,4415,1.4422,2.1055),(3205,4425,1.1428,2.0948),(3205,4435,1.0174,2.0842),(3205,4445,1.0109,2.0736),(3205,4455,1.0044,2.0641),(3205,4465,1.1286,2.0546),(3205,4475,1.4362,2.0451),(3205,4485,1.7438,2.0289),(3205,4495,1.979,2.0113),(3205,4505,1.9818,1.9937),(3205,4515,1.9846,1.9765),(3205,4525,1.9834,1.9594),(3205,4535,1.9193,1.9423),(3205,4545,1.8552,1.9264),(3205,4555,1.791,1.9118),(3205,4565,1.3836,1.8973),(3205,4575,0.9298,1.8862),(3205,4585,0.47604,1.8835),(3205,4595,0.64682,1.8807),(3205,4605,1.0815,1.8761),(3205,4615,1.5161,1.857),(3205,4625,1.7591,1.8379),(3205,4635,1.8286,1.8187),(3205,4645,1.8981,1.802),(3205,4655,1.9476,1.7854),(3205,4665,1.9594,1.7688),(3205,4675,1.9713,1.753),(3205,4685,1.9141,1.7374),(3205,4695,1.5158,1.7219),(3205,4705,1.1175,1.7123),(3205,4715,0.71924,1.707),(3205,4725,0.91319,1.7018),(3205,4735,1.1131,1.6948),(3205,4745,1.3129,1.6851),(3205,4755,1.5152,1.6755),(3205,4765,1.718,1.6648),(3205,4775,1.9207,1.6504),(3205,4785,1.997,1.636),(3205,4795,2.0002,1.6216),(3205,4805,2.0033,1.6074),(3205,4815,1.9103,1.5932),(3205,4825,1.7021,1.579),(3205,4835,1.494,1.5689),(3205,4845,1.2837,1.5595),(3205,4855,1.0681,1.55),(3205,4865,0.85248,1.5442),(3205,4875,0.7006,1.54),(3205,4885,1.1288,1.5358),(3205,4895,1.5569,1.5271),(3205,4905,1.9851,1.5139),(3205,4915,2.0182,1.5007),(3205,4925,2.0174,1.4874),(3205,4935,2.0165,1.4739),(3205,4945,1.9795,1.4603),(3205,4955,1.9299,1.4464),(3205,4965,1.8803,1.4302),(3205,4975,1.5597,1.414),(3205,4985,1.03,1.3978),(3205,4995,0.50021,1.3965),(3205,5005,0.34438,1.3955),(3205,5015,0.78299,1.3946),(3205,5025,1.2216,1.3868),(3205,5035,1.5994,1.3772),(3205,5045,1.7454,1.3677),(3205,5055,1.8914,1.3563),(3205,5065,2.0332,1.3439),(3205,5075,2.0358,1.3315),(3205,5085,2.0384,1.3191),(3205,5095,2.041,1.3067),(3205,5105,1.7863,1.2943),(3205,5115,1.4866,1.2835),(3205,5125,1.187,1.277),(3205,5135,1.0381,1.2705),(3205,5145,0.96237,1.2641),(3205,5155,0.88665,1.2594),(3205,5165,1.0417,1.2548),(3205,5175,1.4321,1.2501),(3205,5185,1.8226,1.2391),(3205,5195,2.09,1.2275),(3205,5205,2.0922,1.2158),(3205,5215,2.0945,1.2042),(3205,5225,2.0857,1.1927),(3205,5235,2.0087,1.1811),(3205,5245,1.9317,1.1703),(3205,5255,1.8547,1.1601),(3205,5265,1.3094,1.15),(3205,5275,0.7448,1.1435),(3205,5285,0.18021,1.1432),(3205,5295,0.54337,1.143),(3205,5305,1.1649,1.1402),(3205,5315,1.7864,1.1265),(3205,5325,2.0535,1.1128),(3205,5335,2.0881,1.0992),(3205,5345,2.1227,1.0879),(3205,5355,2.1438,1.0766),(3205,5365,2.1469,1.0652),(3205,5375,2.15,1.0542),(3205,5385,2.0297,1.0432),(3205,5395,1.5346,1.0322),(3205,5405,1.0396,1.0265),(3205,5415,0.59901,1.0236),(3205,5425,0.89082,1.0207),(3205,5435,1.1826,1.0162),(3205,5445,1.4744,1.01),(3205,5455,1.7521,1.0037),(3205,5465,2.028,0.99645),(3205,5475,2.304,0.98669),(3205,5485,2.3836,0.97693),(3205,5495,2.3842,0.9672),(3205,5505,2.3848,0.95772),(3205,5515,2.3854,0.94823),(3205,5525,2.386,0.93875),(3205,5535,2.3865,0.92953),(3205,5545,2.3871,0.92032),(3205,5555,2.3875,0.91112),(3205,5565,2.388,0.90212),(3205,5575,2.3884,0.89317),(3205,5585,2.3887,0.88423),(3205,5595,2.389,0.87545),(3205,5605,2.3893,0.86678),(3205,5615,2.3895,0.8581),(3205,5625,2.3897,0.84952),(3205,5635,2.3899,0.84108),(3205,5645,2.39,0.83263),(3205,5655,2.3901,0.82423),(3205,5665,2.3902,0.81601),(3205,5675,2.3902,0.80779),(3205,5685,2.3901,0.79957),(3205,5695,2.3901,0.79156),(3205,5705,2.3901,0.78354),(3205,5715,2.3899,0.77552),(3205,5725,2.3898,0.76767),(3205,5735,2.3897,0.75984),(3205,5745,2.3895,0.75201),(3205,5755,2.3893,0.74431),(3205,5765,2.389,0.73666),(3205,5775,2.3888,0.72901),(3205,5785,2.3885,0.72145),(3205,5795,2.3882,0.71397),(3205,5805,2.3878,0.7065),(3205,5815,2.3874,0.69908),(3205,5825,2.3871,0.69176),(3205,5835,2.3866,0.68444),(3205,5845,2.3862,0.67715),(3205,5855,2.3858,0.66997),(3205,5865,2.3853,0.6628),(3205,5875,2.3848,0.65563),(3205,5885,2.3843,0.64859),(3205,5895,2.3837,0.64155),(3205,5905,2.3832,0.63452),(3205,5915,2.3826,0.62759),(3205,5925,2.382,0.6207),(3205,5935,2.3814,0.6138),(3205,5945,2.3807,0.607),(3205,5955,2.3801,0.60024),(3205,5965,2.3794,0.59349),(3205,5975,2.3787,0.58679),(3205,5985,2.3781,0.58015),(3205,5995,1.8184,0.57351),(3205,6005,1.1688,0.56844),(3205,6015,0.51917,0.56756),(3205,6025,0.65815,0.56668),(3205,6035,1.1629,0.56514),(3205,6045,1.6676,0.55727),(3205,6055,2.0184,0.5494),(3205,6065,2.2182,0.54153),(3205,6075,2.4181,0.53134),(3205,6085,2.5532,0.52094),(3205,6095,2.555,0.51054),(3205,6105,2.5567,0.50015),(3205,6115,2.5585,0.48977),(3205,6125,2.5602,0.47938),(3205,6135,2.5618,0.46909),(3205,6145,2.5635,0.45887),(3205,6155,2.565,0.44864),(3205,6165,2.5666,0.43848),(3205,6175,2.5681,0.42842),(3205,6185,2.5696,0.41836),(3205,6195,2.571,0.40831),(3205,6205,2.5724,0.39829),(3205,6215,2.5738,0.38827),(3205,6225,2.5751,0.37825),(3205,6235,2.5764,0.36827),(3205,6245,2.5777,0.35829),(3205,6255,2.5789,0.34831),(3205,6265,2.5801,0.3384),(3205,6275,2.5813,0.32851),(3205,6285,2.5823,0.31862),(3205,6295,2.5834,0.30878),(3205,6305,2.5845,0.29896),(3205,6315,2.5855,0.28914),(3205,6325,2.5865,0.27937),(3205,6335,2.5875,0.26965),(3205,6345,2.5884,0.25992),(3205,6355,2.5892,0.2502),(3205,6365,2.5901,0.24051),(3205,6375,2.5909,0.23081),(3205,6385,2.5916,0.22112),(3205,6395,2.5924,0.21144),(3205,6405,2.5931,0.20176),(3205,6415,2.5938,0.19208),(3205,6425,2.5944,0.18249),(3205,6435,2.595,0.17291),(3205,6445,2.5956,0.16333),(3205,6455,2.5961,0.15379),(3205,6465,2.5967,0.14426),(3205,6475,2.5971,0.13474),(3205,6485,2.5976,0.1252),(3205,6495,2.598,0.11565),(3205,6505,2.5984,0.1061),(3205,6515,2.5987,0.096556),(3205,6525,2.5991,0.087027),(3205,6535,2.5994,0.077498),(3205,6545,2.5996,0.067967),(3205,6555,2.5999,0.058426),(3205,6565,2.6001,0.048886),(3205,6575,2.6002,0.039349),(3205,6585,2.6003,0.02986),(3205,6595,2.2117,0.020371),(3205,6605,1.394,0.010881),(3205,6615,0.57633,0.009783),(3205,6625,0.001504,0.009763),(3205,6635,0.001501,0.009742),(3205,6645,0.001499,0.00973),(3205,6655,0.001496,0.009721),(3205,6665,0.001493,0.009712),(3205,6675,0.001491,0.009703),(3205,6685,0.001488,0.009695),(3205,6695,0.001486,0.009686),(3205,6705,0.001483,0.009677),(3205,6715,0.001481,0.009668),(3205,6725,0.001478,0.00966),(3205,6735,0.001476,0.009651),(3205,6745,0.001474,0.009642),(3205,6755,0.001472,0.009633),(3205,6765,0.00147,0.009625),(3205,6775,0.001468,0.009616),(3205,6785,0.001466,0.009607),(3205,6795,0.001465,0.009599),(3205,6805,0.001463,0.00959),(3205,6815,0.001461,0.009581),(3205,6825,0.00146,0.009573),(3205,6835,0.001458,0.009564),(3205,6845,0.001456,0.009555),(3205,6855,0.001455,0.009547),(3205,6865,0.001453,0.009538),(3205,6875,0.001452,0.009529),(3205,6885,0.001451,0.009521),(3205,6895,0.001449,0.009512),(3205,6905,0.001448,0.009503),(3205,6915,0.001447,0.009495),(3205,6925,0.001446,0.009486),(3205,6935,0.001445,0.009477),(3205,6945,0.001444,0.009469),(3205,6955,0.001442,0.00946),(3205,6965,0.001442,0.009451),(3205,6975,0.00144,0.009443),(3205,6985,0.00144,0.009434),(3215,5,7e-06,3.6887),(3215,15,2.2e-05,3.6887),(3215,25,3.6e-05,3.6887),(3215,35,5e-05,3.6887),(3215,45,6.5e-05,3.6887),(3215,55,7.9e-05,3.6887),(3215,65,9.3e-05,3.6887),(3215,75,0.000107,3.6887),(3215,85,0.000121,3.6887),(3215,95,0.000135,3.6887),(3215,105,0.000148,3.6887),(3215,115,0.000162,3.6887),(3215,125,0.000175,3.6887),(3215,135,0.000188,3.6887),(3215,145,0.000201,3.6887),(3215,155,0.000213,3.6887),(3215,165,0.000226,3.6887),(3215,175,0.000238,3.6887),(3215,185,0.00025,3.6888),(3215,195,0.000261,3.6888),(3215,205,0.000273,3.6888),(3215,215,0.000284,3.6888),(3215,225,0.000294,3.6888),(3215,235,0.000304,3.6888),(3215,245,0.000314,3.6888),(3215,255,0.000324,3.6888),(3215,265,0.000333,3.6888),(3215,275,0.000341,3.6889),(3215,285,0.000349,3.6889),(3215,295,0.000357,3.6889),(3215,305,0.000364,3.6889),(3215,315,0.00037,3.6889),(3215,325,0.000376,3.6889),(3215,335,0.000382,3.689),(3215,345,0.000387,3.689),(3215,355,0.000391,3.689),(3215,365,0.000395,3.689),(3215,375,0.000399,3.689),(3215,385,0.000401,3.6891),(3215,395,0.000402,3.6891),(3215,405,0.000404,3.6891),(3215,415,0.000405,3.6891),(3215,425,0.000404,3.6892),(3215,435,0.000403,3.6892),(3215,445,0.000402,3.6892),(3215,455,0.000401,3.6892),(3215,465,0.000397,3.6893),(3215,475,0.000392,3.6893),(3215,485,0.000388,3.6893),(3215,495,0.000384,3.6894),(3215,505,0.000377,3.6894),(3215,515,0.000369,3.6894),(3215,525,0.000362,3.6895),(3215,535,0.000354,3.6895),(3215,545,0.000343,3.6895),(3215,555,0.000332,3.6896),(3215,565,0.000321,3.6896),(3215,575,0.00031,3.6897),(3215,585,0.000295,3.6897),(3215,595,0.00028,3.6898),(3215,605,0.000266,3.6898),(3215,615,0.00025,3.6899),(3215,625,0.000232,3.6899),(3215,635,0.000213,3.69),(3215,645,0.000195,3.69),(3215,655,0.000176,3.6901),(3215,665,0.000153,3.6901),(3215,675,0.00013,3.6902),(3215,685,0.000107,3.6902),(3215,695,8.4e-05,3.6903),(3215,705,5.6e-05,3.6904),(3215,715,2.9e-05,3.6904),(3215,725,2e-06,3.6905),(3215,735,-2.6e-05,3.6906),(3215,745,-5.8e-05,3.6906),(3215,755,-8.9e-05,3.6907),(3215,765,-0.000121,3.6908),(3215,775,-0.000154,3.6909),(3215,785,-0.00019,3.691),(3215,795,-0.000225,3.691),(3215,805,-0.000261,3.6911),(3215,815,-0.000299,3.6912),(3215,825,-0.000339,3.6913),(3215,835,-0.00038,3.6914),(3215,845,-0.00042,3.6915),(3215,855,-0.000462,3.6916),(3215,865,-0.000508,3.6917),(3215,875,-0.000553,3.6918),(3215,885,-0.000598,3.6919),(3215,895,-0.000645,3.692),(3215,905,-0.000695,3.6922),(3215,915,-0.000745,3.6923),(3215,925,-0.000795,3.6924),(3215,935,-0.000847,3.6925),(3215,945,-0.000901,3.6927),(3215,955,-0.000955,3.6928),(3215,965,-0.001009,3.6929),(3215,975,-0.001065,3.6931),(3215,985,-0.001123,3.6932),(3215,995,-0.001182,3.6934),(3215,1005,-0.00124,3.6935),(3215,1015,-0.001301,3.6937),(3215,1025,-0.001363,3.6938),(3215,1035,-0.001425,3.694),(3215,1045,-0.001488,3.6942),(3215,1055,-0.001553,3.6944),(3215,1065,-0.001619,3.6945),(3215,1075,-0.001685,3.6947),(3215,1085,-0.001752,3.6949),(3215,1095,-0.00182,3.6951),(3215,1105,-0.001889,3.6953),(3215,1115,-0.001959,3.6955),(3215,1125,-0.002028,3.6957),(3215,1135,-0.002099,3.6959),(3215,1145,-0.002172,3.6961),(3215,1155,-0.002244,3.6964),(3215,1165,-0.002316,3.6966),(3215,1175,-0.00239,3.6968),(3215,1185,-0.002464,3.6971),(3215,1195,-0.002539,3.6973),(3215,1205,-0.002613,3.6976),(3215,1215,-0.002689,3.6978),(3215,1225,-0.002765,3.6981),(3215,1235,-0.002841,3.6983),(3215,1245,-0.002917,3.6986),(3215,1255,-0.002994,3.6989),(3215,1265,-0.003071,3.6992),(3215,1275,-0.003149,3.6995),(3215,1285,-0.003226,3.6998),(3215,1295,-0.003303,3.7001),(3215,1305,-0.003381,3.7004),(3215,1315,-0.003458,3.7007),(3215,1325,-0.003536,3.7011),(3215,1335,-0.003613,3.7014),(3215,1345,-0.00369,3.7017),(3215,1355,-0.003767,3.7021),(3215,1365,-0.003844,3.7024),(3215,1375,-0.00392,3.7028),(3215,1385,-0.003995,3.7032),(3215,1395,-0.004071,3.7036),(3215,1405,-0.004146,3.7039),(3215,1415,-0.004219,3.7043),(3215,1425,-0.004292,3.7047),(3215,1435,-0.004365,3.7052),(3215,1445,-0.004438,3.7056),(3215,1455,-0.004508,3.706),(3215,1465,-0.004577,3.7064),(3215,1475,-0.004647,3.7069),(3215,1485,-0.004717,3.7073),(3215,1495,-0.004782,3.7078),(3215,1505,-0.004847,3.7083),(3215,1515,-0.004912,3.7088),(3215,1525,-0.004977,3.7093),(3215,1535,-0.005037,3.7098),(3215,1545,-0.005097,3.7103),(3215,1555,-0.005156,3.7108),(3215,1565,-0.005215,3.7113),(3215,1575,-0.005268,3.7119),(3215,1585,-0.005321,3.7124),(3215,1595,-0.005374,3.713),(3215,1605,-0.005426,3.7136),(3215,1615,-0.005471,3.7141),(3215,1625,-0.005515,3.7147),(3215,1635,-0.00556,3.7153),(3215,1645,-0.005603,3.716),(3215,1655,-0.005638,3.7166),(3215,1665,-0.005672,3.7172),(3215,1675,-0.005707,3.7179),(3215,1685,-0.005739,3.7185),(3215,1695,-0.005763,3.7192),(3215,1705,-0.005786,3.7199),(3215,1715,-0.005809,3.7206),(3215,1725,-0.005829,3.7213),(3215,1735,-0.005839,3.7221),(3215,1745,-0.005849,3.7228),(3215,1755,-0.005859,3.7236),(3215,1765,-0.005865,3.7243),(3215,1775,-0.005859,3.7251),(3215,1785,-0.005852,3.7259),(3215,1795,-0.005846,3.7267),(3215,1805,-0.005834,3.7276),(3215,1815,-0.005809,3.7284),(3215,1825,-0.005784,3.7293),(3215,1835,-0.005759,3.7302),(3215,1845,-0.005726,3.7311),(3215,1855,-0.005678,3.732),(3215,1865,-0.005631,3.7329),(3215,1875,-0.005583,3.7339),(3215,1885,-0.005526,3.7348),(3215,1895,-0.005452,3.7358),(3215,1905,-0.005378,3.7368),(3215,1915,-0.005304,3.7379),(3215,1925,-0.005216,3.7389),(3215,1935,-0.005111,3.7399),(3215,1945,-0.005005,3.741),(3215,1955,-0.0049,3.7422),(3215,1965,-0.004777,3.7433),(3215,1975,-0.004634,3.7444),(3215,1985,-0.004491,3.7456),(3215,1995,-0.004348,3.7468),(3215,2005,-0.004182,3.748),(3215,2015,-0.003994,3.7492),(3215,2025,-0.003805,3.7505),(3215,2035,-0.003617,3.7518),(3215,2045,-0.003399,3.7531),(3215,2055,-0.003157,3.7544),(3215,2065,-0.002914,3.7558),(3215,2075,-0.002671,3.7572),(3215,2085,-0.00239,3.7587),(3215,2095,-0.002082,3.7601),(3215,2105,-0.001774,3.7616),(3215,2115,-0.001466,3.7631),(3215,2125,-0.001109,3.7646),(3215,2135,-0.000722,3.7662),(3215,2145,-0.000335,3.7678),(3215,2155,5.2e-05,3.7694),(3215,2165,0.000501,3.7711),(3215,2175,0.000983,3.7727),(3215,2185,0.001465,3.7745),(3215,2195,0.001946,3.7763),(3215,2205,0.002508,3.7781),(3215,2215,0.003104,3.7798),(3215,2225,0.0037,3.7817),(3215,2235,0.004296,3.7837),(3215,2245,0.004993,3.7856),(3215,2255,0.005726,3.7875),(3215,2265,0.006458,3.7895),(3215,2275,0.007191,3.7916),(3215,2285,0.008052,3.7937),(3215,2295,0.008948,3.7957),(3215,2305,0.009845,3.7979),(3215,2315,0.010742,3.8001),(3215,2325,0.011798,3.8024),(3215,2335,0.01289,3.8046),(3215,2345,0.013982,3.8069),(3215,2355,0.015073,3.8093),(3215,2365,0.016363,3.8116),(3215,2375,0.017685,3.814),(3215,2385,0.019008,3.8165),(3215,2395,0.02033,3.819),(3215,2405,0.021896,3.8215),(3215,2415,0.02349,3.824),(3215,2425,0.025084,3.8266),(3215,2435,0.026677,3.8293),(3215,2445,0.028567,3.8319),(3215,2455,0.030476,3.8346),(3215,2465,0.032386,3.8373),(3215,2475,0.034295,3.8401),(3215,2485,0.03656,3.8428),(3215,2495,0.038833,3.8456),(3215,2505,0.041107,3.8484),(3215,2515,0.043386,3.8513),(3215,2525,0.046073,3.8541),(3215,2535,0.048761,3.857),(3215,2545,0.051448,3.8599),(3215,2555,0.05416,3.8628),(3215,2565,0.05731,3.8657),(3215,2575,0.060461,3.8686),(3215,2585,0.063611,3.8715),(3215,2595,0.06681,3.8744),(3215,2605,0.07047,3.8773),(3215,2615,0.07413,3.8801),(3215,2625,0.07779,3.883),(3215,2635,0.081524,3.8858),(3215,2645,0.085733,3.8886),(3215,2655,0.089943,3.8914),(3215,2665,0.094153,3.8941),(3215,2675,0.098463,3.8968),(3215,2685,0.10325,3.8994),(3215,2695,0.10804,3.9021),(3215,2705,0.11283,3.9045),(3215,2715,0.11775,3.907),(3215,2725,0.12313,3.9094),(3215,2735,0.12852,3.9118),(3215,2745,0.1339,3.9139),(3215,2755,0.13944,3.916),(3215,2765,0.14542,3.9181),(3215,2775,0.1514,3.9201),(3215,2785,0.15738,3.9217),(3215,2795,0.16353,3.9234),(3215,2805,0.17009,3.9251),(3215,2815,0.17664,3.9265),(3215,2825,0.1832,3.9277),(3215,2835,0.18994,3.9288),(3215,2845,0.19704,3.9299),(3215,2855,0.20414,3.9308),(3215,2865,0.21124,3.9313),(3215,2875,0.21852,3.9318),(3215,2885,0.22611,3.9322),(3215,2895,0.2337,3.9324),(3215,2905,0.24129,3.9322),(3215,2915,0.24906,3.9319),(3215,2925,0.25708,3.9317),(3215,2935,0.26509,3.9311),(3215,2945,0.27311,3.93),(3215,2955,0.28128,3.9289),(3215,2965,0.28965,3.9279),(3215,2975,0.29801,3.9264),(3215,2985,0.30638,3.9244),(3215,2995,0.31487,3.9225),(3215,3005,0.3235,3.9205),(3215,3015,0.33213,3.9181),(3215,3025,0.34076,3.9152),(3215,3035,0.34948,3.9123),(3215,3045,0.35828,3.9094),(3215,3055,0.36708,3.9059),(3215,3065,0.37588,3.902),(3215,3075,0.38473,3.8981),(3215,3085,0.3936,3.8942),(3215,3095,0.40248,3.8897),(3215,3105,0.41135,3.8848),(3215,3115,0.42021,3.8798),(3215,3125,0.42905,3.8749),(3215,3135,0.43789,3.8693),(3215,3145,0.44674,3.8633),(3215,3155,0.45549,3.8572),(3215,3165,0.46419,3.8512),(3215,3175,0.47289,3.8445),(3215,3185,0.48159,3.8374),(3215,3195,0.49011,3.8303),(3215,3205,0.49855,3.8232),(3215,3215,0.50699,3.8153),(3215,3225,0.51543,3.8071),(3215,3235,0.52359,3.7989),(3215,3245,0.53164,3.7907),(3215,3255,0.5397,3.7816),(3215,3265,0.54775,3.7723),(3215,3275,0.5554,3.763),(3215,3285,0.56292,3.7537),(3215,3295,0.57045,3.7435),(3215,3305,0.57798,3.7331),(3215,3315,0.58496,3.7227),(3215,3325,0.59182,3.7123),(3215,3335,0.59867,3.7011),(3215,3345,0.60553,3.6896),(3215,3355,0.61168,3.6782),(3215,3365,0.61771,3.6667),(3215,3375,0.62374,3.6544),(3215,3385,0.62977,3.642),(3215,3395,0.63492,3.6295),(3215,3405,0.63995,3.6171),(3215,3415,0.64499,3.6038),(3215,3425,0.65003,3.5904),(3215,3435,0.65399,3.5771),(3215,3445,0.65787,3.5637),(3215,3455,0.66175,3.5497),(3215,3465,0.66562,3.5355),(3215,3475,0.66822,3.5214),(3215,3485,0.67078,3.5072),(3215,3495,0.67333,3.4925),(3215,3505,0.67587,3.4777),(3215,3515,0.67694,3.463),(3215,3525,0.67801,3.4482),(3215,3535,0.67907,3.433),(3215,3545,0.68007,3.4178),(3215,3555,0.6795,3.4026),(3215,3565,0.67894,3.3874),(3215,3575,0.67837,3.372),(3215,3585,0.67766,3.3567),(3215,3595,0.67533,3.3413),(3215,3605,0.67301,3.3259),(3215,3615,0.67068,3.3106),(3215,3625,0.66812,3.2953),(3215,3635,0.66393,3.2801),(3215,3645,0.65975,3.2648),(3215,3655,0.65556,3.25),(3215,3665,0.65105,3.2351),(3215,3675,0.64493,3.2203),(3215,3685,0.6388,3.2056),(3215,3695,0.63267,3.1916),(3215,3705,0.62615,3.1775),(3215,3715,0.61805,3.1635),(3215,3725,0.60995,3.1498),(3215,3735,0.60186,3.1371),(3215,3745,0.59329,3.1244),(3215,3755,0.58325,3.1117),(3215,3765,0.57322,3.0995),(3215,3775,0.56318,3.0887),(3215,3785,0.55264,3.0779),(3215,3795,0.54084,3.0671),(3215,3805,0.52904,3.0572),(3215,3815,0.51724,3.0492),(3215,3825,0.50503,3.0411),(3215,3835,0.49196,3.0331),(3215,3845,0.4789,3.0263),(3215,3855,0.46583,3.022),(3215,3865,0.45273,3.0177),(3215,3875,0.43958,3.0134),(3215,3885,0.42643,3.0108),(3215,3895,0.41328,3.0111),(3215,3905,0.44756,3.0114),(3215,3915,0.55269,3.0117),(3215,3925,0.65782,3.0179),(3215,3935,0.76295,3.0321),(3215,3945,0.87984,3.0464),(3215,3955,1.0117,3.0606),(3215,3965,1.1435,3.072),(3215,3975,1.2753,3.0801),(3215,3985,1.3581,3.0881),(3215,3995,1.3878,3.0961),(3215,4005,1.4175,3.0956),(3215,4015,1.4472,3.0867),(3215,4025,1.4882,3.0779),(3215,4035,1.5303,3.0637),(3215,4045,1.5724,3.0384),(3215,4055,1.6158,3.0132),(3215,4065,1.6596,2.9864),(3215,4075,1.7035,2.9508),(3215,4085,1.7427,2.9152),(3215,4095,1.7783,2.8796),(3215,4105,1.8139,2.841),(3215,4115,1.7882,2.8024),(3215,4125,1.6607,2.7637),(3215,4135,1.5332,2.7327),(3215,4145,1.3998,2.7039),(3215,4155,1.2424,2.675),(3215,4165,1.085,2.6517),(3215,4175,0.93702,2.6319),(3215,4185,1.2557,2.6122),(3215,4195,1.5743,2.5874),(3215,4205,1.893,2.5558),(3215,4215,1.9448,2.5242),(3215,4225,1.9465,2.4932),(3215,4235,1.9481,2.4638),(3215,4245,1.913,2.4343),(3215,4255,1.8592,2.405),(3215,4265,1.8054,2.3766),(3215,4275,1.5884,2.3483),(3215,4285,1.1983,2.3199),(3215,4295,0.80817,2.3103),(3215,4305,0.65935,2.3028),(3215,4315,1.0554,2.2953),(3215,4325,1.4514,2.2783),(3215,4335,1.8037,2.2574),(3215,4345,1.8591,2.2366),(3215,4355,1.9146,2.2155),(3215,4365,1.9701,2.1941),(3215,4375,1.9772,2.1727),(3215,4385,1.9817,2.1515),(3215,4395,1.9863,2.1306),(3215,4405,1.7543,2.1097),(3215,4415,1.4526,2.0907),(3215,4425,1.1509,2.0802),(3215,4435,1.0244,2.0697),(3215,4445,1.0176,2.0592),(3215,4455,1.0108,2.0497),(3215,4465,1.1354,2.0403),(3215,4475,1.4445,2.0309),(3215,4485,1.7536,2.0148),(3215,4495,1.99,1.9973),(3215,4505,1.9926,1.9799),(3215,4515,1.9952,1.9627),(3215,4525,1.9939,1.9457),(3215,4535,1.9292,1.9286),(3215,4545,1.8644,1.9128),(3215,4555,1.7997,1.8982),(3215,4565,1.3902,1.8837),(3215,4575,0.93426,1.8726),(3215,4585,0.4783,1.87),(3215,4595,0.651,1.8674),(3215,4605,1.0893,1.8629),(3215,4615,1.5276,1.8439),(3215,4625,1.7719,1.8248),(3215,4635,1.8403,1.8058),(3215,4645,1.9088,1.7891),(3215,4655,1.9575,1.7726),(3215,4665,1.969,1.7561),(3215,4675,1.9805,1.7403),(3215,4685,1.9227,1.7247),(3215,4695,1.5225,1.7092),(3215,4705,1.1223,1.6996),(3215,4715,0.72209,1.6944),(3215,4725,0.91674,1.6892),(3215,4735,1.1173,1.6822),(3215,4745,1.3179,1.6726),(3215,4755,1.521,1.663),(3215,4765,1.7245,1.6524),(3215,4775,1.9281,1.6381),(3215,4785,2.0047,1.6237),(3215,4795,2.0077,1.6094),(3215,4805,2.0108,1.5953),(3215,4815,1.9173,1.5812),(3215,4825,1.7084,1.5671),(3215,4835,1.4995,1.5571),(3215,4845,1.2884,1.5477),(3215,4855,1.0719,1.5383),(3215,4865,0.85529,1.5325),(3215,4875,0.70271,1.5284),(3215,4885,1.1323,1.5242),(3215,4895,1.5618,1.5154),(3215,4905,1.9914,1.5022),(3215,4915,2.0247,1.4891),(3215,4925,2.024,1.4758),(3215,4935,2.0232,1.4623),(3215,4945,1.987,1.4487),(3215,4955,1.9383,1.4348),(3215,4965,1.8897,1.4187),(3215,4975,1.5679,1.4025),(3215,4985,1.0351,1.3864),(3215,4995,0.5024,1.3851),(3215,5005,0.34521,1.3841),(3215,5015,0.78505,1.3832),(3215,5025,1.2249,1.3754),(3215,5035,1.6037,1.3659),(3215,5045,1.7501,1.3564),(3215,5055,1.8966,1.3451),(3215,5065,2.0387,1.3327),(3215,5075,2.0413,1.3203),(3215,5085,2.0439,1.3079),(3215,5095,2.0465,1.2956),(3215,5105,1.791,1.2832),(3215,5115,1.4906,1.2724),(3215,5125,1.1901,1.2659),(3215,5135,1.0407,1.2594),(3215,5145,0.96467,1.2531),(3215,5155,0.88863,1.2485),(3215,5165,1.044,1.2438),(3215,5175,1.4353,1.2391),(3215,5185,1.8266,1.2282),(3215,5195,2.0946,1.2166),(3215,5205,2.0968,1.205),(3215,5215,2.099,1.1934),(3215,5225,2.0902,1.1819),(3215,5235,2.013,1.1703),(3215,5245,1.9358,1.1596),(3215,5255,1.8586,1.1494),(3215,5265,1.3121,1.1393),(3215,5275,0.74634,1.1328),(3215,5285,0.18053,1.1326),(3215,5295,0.54507,1.1323),(3215,5305,1.1687,1.1295),(3215,5315,1.7923,1.1159),(3215,5325,2.0597,1.1023),(3215,5335,2.0935,1.0888),(3215,5345,2.1272,1.0775),(3215,5355,2.1479,1.0663),(3215,5365,2.1508,1.055),(3215,5375,2.1538,1.044),(3215,5385,2.0333,1.0331),(3215,5395,1.5373,1.0221),(3215,5405,1.0414,1.0165),(3215,5415,0.59998,1.0136),(3215,5425,0.89189,1.0107),(3215,5435,1.1838,1.0063),(3215,5445,1.4757,1.0001),(3215,5455,1.7536,0.99396),(3215,5465,2.0297,0.98675),(3215,5475,2.3058,0.97711),(3215,5485,2.3855,0.96746),(3215,5495,2.386,0.95785),(3215,5505,2.3864,0.94848),(3215,5515,2.3869,0.9391),(3215,5525,2.3874,0.92973),(3215,5535,2.3879,0.92062),(3215,5545,2.3884,0.91152),(3215,5555,2.3887,0.90242),(3215,5565,2.3891,0.89352),(3215,5575,2.3894,0.88468),(3215,5585,2.3897,0.87584),(3215,5595,2.3899,0.86716),(3215,5605,2.3901,0.85859),(3215,5615,2.3903,0.85001),(3215,5625,2.3904,0.84153),(3215,5635,2.3905,0.83318),(3215,5645,2.3905,0.82483),(3215,5655,2.3906,0.81653),(3215,5665,2.3906,0.8084),(3215,5675,2.3905,0.80026),(3215,5685,2.3904,0.79215),(3215,5695,2.3904,0.78421),(3215,5705,2.3902,0.77628),(3215,5715,2.3901,0.76835),(3215,5725,2.3899,0.76059),(3215,5735,2.3897,0.75285),(3215,5745,2.3894,0.74511),(3215,5755,2.3892,0.73749),(3215,5765,2.3889,0.72992),(3215,5775,2.3885,0.72235),(3215,5785,2.3882,0.71487),(3215,5795,2.3879,0.70748),(3215,5805,2.3874,0.70009),(3215,5815,2.387,0.69274),(3215,5825,2.3866,0.6855),(3215,5835,2.3861,0.67826),(3215,5845,2.3856,0.67105),(3215,5855,2.3852,0.66395),(3215,5865,2.3846,0.65685),(3215,5875,2.3841,0.64975),(3215,5885,2.3835,0.64279),(3215,5895,2.383,0.63583),(3215,5905,2.3824,0.62887),(3215,5915,2.3818,0.62201),(3215,5925,2.3811,0.61519),(3215,5935,2.3805,0.60836),(3215,5945,2.3798,0.60162),(3215,5955,2.3791,0.59493),(3215,5965,2.3784,0.58825),(3215,5975,2.3777,0.58161),(3215,5985,2.377,0.57503),(3215,5995,1.8176,0.56845),(3215,6005,1.1683,0.56343),(3215,6015,0.51893,0.56257),(3215,6025,0.65848,0.5617),(3215,6035,1.1639,0.56018),(3215,6045,1.6693,0.55238),(3215,6055,2.0206,0.54458),(3215,6065,2.2206,0.53678),(3215,6075,2.4207,0.52669),(3215,6085,2.556,0.51638),(3215,6095,2.5577,0.50607),(3215,6105,2.5594,0.49578),(3215,6115,2.5611,0.48548),(3215,6125,2.5627,0.47519),(3215,6135,2.5644,0.46499),(3215,6145,2.566,0.45485),(3215,6155,2.5675,0.44472),(3215,6165,2.569,0.43465),(3215,6175,2.5705,0.42467),(3215,6185,2.5719,0.4147),(3215,6195,2.5733,0.40473),(3215,6205,2.5747,0.3948),(3215,6215,2.5761,0.38488),(3215,6225,2.5773,0.37495),(3215,6235,2.5786,0.36506),(3215,6245,2.5799,0.35517),(3215,6255,2.5811,0.34528),(3215,6265,2.5822,0.33546),(3215,6275,2.5834,0.32565),(3215,6285,2.5844,0.31584),(3215,6295,2.5855,0.30609),(3215,6305,2.5865,0.29636),(3215,6315,2.5875,0.28664),(3215,6325,2.5885,0.27695),(3215,6335,2.5895,0.26731),(3215,6345,2.5903,0.25767),(3215,6355,2.5912,0.24804),(3215,6365,2.5921,0.23843),(3215,6375,2.5928,0.22882),(3215,6385,2.5936,0.21922),(3215,6395,2.5943,0.20962),(3215,6405,2.595,0.20003),(3215,6415,2.5957,0.19043),(3215,6425,2.5963,0.18093),(3215,6435,2.5969,0.17143),(3215,6445,2.5974,0.16193),(3215,6455,2.598,0.15248),(3215,6465,2.5985,0.14304),(3215,6475,2.5989,0.13361),(3215,6485,2.5994,0.12416),(3215,6495,2.5998,0.1147),(3215,6505,2.6002,0.10524),(3215,6515,2.6005,0.095784),(3215,6525,2.6009,0.086343),(3215,6535,2.6011,0.076902),(3215,6545,2.6014,0.067458),(3215,6555,2.6017,0.058006),(3215,6565,2.6018,0.048553),(3215,6575,2.602,0.039103),(3215,6585,2.6021,0.029698),(3215,6595,2.2133,0.020292),(3215,6605,1.395,0.010887),(3215,6615,0.57673,0.009793),(3215,6625,0.001509,0.009767),(3215,6635,0.001506,0.009741),(3215,6645,0.001503,0.009727),(3215,6655,0.0015,0.009718),(3215,6665,0.001497,0.00971),(3215,6675,0.001495,0.009701),(3215,6685,0.001492,0.009692),(3215,6695,0.00149,0.009683),(3215,6705,0.001487,0.009675),(3215,6715,0.001485,0.009666),(3215,6725,0.001483,0.009657),(3215,6735,0.001481,0.009649),(3215,6745,0.001478,0.00964),(3215,6755,0.001476,0.009631),(3215,6765,0.001474,0.009623),(3215,6775,0.001473,0.009614),(3215,6785,0.001471,0.009605),(3215,6795,0.001469,0.009597),(3215,6805,0.001467,0.009588),(3215,6815,0.001465,0.00958),(3215,6825,0.001464,0.009571),(3215,6835,0.001462,0.009562),(3215,6845,0.001461,0.009554),(3215,6855,0.001459,0.009545),(3215,6865,0.001458,0.009537),(3215,6875,0.001456,0.009528),(3215,6885,0.001455,0.009519),(3215,6895,0.001454,0.009511),(3215,6905,0.001453,0.009502),(3215,6915,0.001451,0.009493),(3215,6925,0.00145,0.009485),(3215,6935,0.001449,0.009476),(3215,6945,0.001448,0.009468),(3215,6955,0.001447,0.009459),(3215,6965,0.001446,0.00945),(3215,6975,0.001445,0.009442),(3215,6985,0.001444,0.009433),(3225,5,7e-06,3.6887),(3225,15,2.1e-05,3.6887),(3225,25,3.5e-05,3.6887),(3225,35,4.8e-05,3.6887),(3225,45,6.2e-05,3.6887),(3225,55,7.6e-05,3.6887),(3225,65,8.9e-05,3.6887),(3225,75,0.000103,3.6887),(3225,85,0.000116,3.6887),(3225,95,0.000129,3.6887),(3225,105,0.000142,3.6887),(3225,115,0.000155,3.6887),(3225,125,0.000168,3.6887),(3225,135,0.00018,3.6887),(3225,145,0.000192,3.6887),(3225,155,0.000204,3.6887),(3225,165,0.000216,3.6887),(3225,175,0.000228,3.6888),(3225,185,0.000239,3.6888),(3225,195,0.00025,3.6888),(3225,205,0.00026,3.6888),(3225,215,0.000271,3.6888),(3225,225,0.000281,3.6888),(3225,235,0.00029,3.6888),(3225,245,0.000299,3.6888),(3225,255,0.000308,3.6888),(3225,265,0.000316,3.6889),(3225,275,0.000324,3.6889),(3225,285,0.000331,3.6889),(3225,295,0.000338,3.6889),(3225,305,0.000344,3.6889),(3225,315,0.00035,3.6889),(3225,325,0.000355,3.6889),(3225,335,0.00036,3.689),(3225,345,0.000364,3.689),(3225,355,0.000367,3.689),(3225,365,0.00037,3.689),(3225,375,0.000373,3.689),(3225,385,0.000374,3.6891),(3225,395,0.000375,3.6891),(3225,405,0.000375,3.6891),(3225,415,0.000376,3.6891),(3225,425,0.000374,3.6892),(3225,435,0.000372,3.6892),(3225,445,0.000369,3.6892),(3225,455,0.000367,3.6892),(3225,465,0.000362,3.6893),(3225,475,0.000357,3.6893),(3225,485,0.000351,3.6893),(3225,495,0.000346,3.6894),(3225,505,0.000337,3.6894),(3225,515,0.000329,3.6894),(3225,525,0.00032,3.6895),(3225,535,0.000311,3.6895),(3225,545,0.000299,3.6895),(3225,555,0.000286,3.6896),(3225,565,0.000274,3.6896),(3225,575,0.000261,3.6897),(3225,585,0.000245,3.6897),(3225,595,0.000229,3.6897),(3225,605,0.000213,3.6898),(3225,615,0.000196,3.6898),(3225,625,0.000176,3.6899),(3225,635,0.000155,3.6899),(3225,645,0.000135,3.69),(3225,655,0.000114,3.69),(3225,665,9e-05,3.6901),(3225,675,6.5e-05,3.6902),(3225,685,4.1e-05,3.6902),(3225,695,1.5e-05,3.6903),(3225,705,-1.4e-05,3.6903),(3225,715,-4.3e-05,3.6904),(3225,725,-7.2e-05,3.6905),(3225,735,-0.000103,3.6905),(3225,745,-0.000137,3.6906),(3225,755,-0.00017,3.6907),(3225,765,-0.000204,3.6908),(3225,775,-0.000239,3.6908),(3225,785,-0.000278,3.6909),(3225,795,-0.000316,3.691),(3225,805,-0.000354,3.6911),(3225,815,-0.000394,3.6912),(3225,825,-0.000437,3.6913),(3225,835,-0.00048,3.6914),(3225,845,-0.000523,3.6915),(3225,855,-0.000568,3.6916),(3225,865,-0.000616,3.6917),(3225,875,-0.000665,3.6918),(3225,885,-0.000713,3.6919),(3225,895,-0.000763,3.692),(3225,905,-0.000816,3.6921),(3225,915,-0.000869,3.6922),(3225,925,-0.000922,3.6924),(3225,935,-0.000977,3.6925),(3225,945,-0.001035,3.6926),(3225,955,-0.001092,3.6927),(3225,965,-0.00115,3.6929),(3225,975,-0.001209,3.693),(3225,985,-0.001272,3.6932),(3225,995,-0.001334,3.6933),(3225,1005,-0.001396,3.6935),(3225,1015,-0.00146,3.6936),(3225,1025,-0.001527,3.6938),(3225,1035,-0.001593,3.6939),(3225,1045,-0.00166,3.6941),(3225,1055,-0.001728,3.6943),(3225,1065,-0.001799,3.6945),(3225,1075,-0.00187,3.6946),(3225,1085,-0.00194,3.6948),(3225,1095,-0.002013,3.695),(3225,1105,-0.002087,3.6952),(3225,1115,-0.002161,3.6954),(3225,1125,-0.002236,3.6956),(3225,1135,-0.002312,3.6958),(3225,1145,-0.002389,3.6961),(3225,1155,-0.002466,3.6963),(3225,1165,-0.002544,3.6965),(3225,1175,-0.002623,3.6967),(3225,1185,-0.002703,3.697),(3225,1195,-0.002783,3.6972),(3225,1205,-0.002863,3.6975),(3225,1215,-0.002944,3.6977),(3225,1225,-0.003026,3.698),(3225,1235,-0.003108,3.6983),(3225,1245,-0.003189,3.6985),(3225,1255,-0.003272,3.6988),(3225,1265,-0.003356,3.6991),(3225,1275,-0.003439,3.6994),(3225,1285,-0.003522,3.6997),(3225,1295,-0.003606,3.7),(3225,1305,-0.00369,3.7003),(3225,1315,-0.003775,3.7006),(3225,1325,-0.003859,3.701),(3225,1335,-0.003943,3.7013),(3225,1345,-0.004027,3.7016),(3225,1355,-0.004111,3.702),(3225,1365,-0.004195,3.7024),(3225,1375,-0.004278,3.7027),(3225,1385,-0.004361,3.7031),(3225,1395,-0.004444,3.7035),(3225,1405,-0.004527,3.7039),(3225,1415,-0.004608,3.7043),(3225,1425,-0.004689,3.7047),(3225,1435,-0.00477,3.7051),(3225,1445,-0.004851,3.7055),(3225,1455,-0.004929,3.7059),(3225,1465,-0.005007,3.7064),(3225,1475,-0.005085,3.7068),(3225,1485,-0.005163,3.7073),(3225,1495,-0.005237,3.7077),(3225,1505,-0.005312,3.7082),(3225,1515,-0.005386,3.7087),(3225,1525,-0.00546,3.7092),(3225,1535,-0.005529,3.7097),(3225,1545,-0.005599,3.7102),(3225,1555,-0.005668,3.7107),(3225,1565,-0.005737,3.7113),(3225,1575,-0.0058,3.7118),(3225,1585,-0.005863,3.7123),(3225,1595,-0.005926,3.7129),(3225,1605,-0.005989,3.7135),(3225,1615,-0.006045,3.7141),(3225,1625,-0.0061,3.7147),(3225,1635,-0.006156,3.7153),(3225,1645,-0.00621,3.7159),(3225,1655,-0.006257,3.7165),(3225,1665,-0.006304,3.7172),(3225,1675,-0.00635,3.7178),(3225,1685,-0.006395,3.7185),(3225,1695,-0.006431,3.7192),(3225,1705,-0.006467,3.7199),(3225,1715,-0.006503,3.7206),(3225,1725,-0.006536,3.7213),(3225,1735,-0.00656,3.722),(3225,1745,-0.006584,3.7228),(3225,1755,-0.006608,3.7236),(3225,1765,-0.006628,3.7243),(3225,1775,-0.006637,3.7251),(3225,1785,-0.006646,3.7259),(3225,1795,-0.006655,3.7267),(3225,1805,-0.006658,3.7276),(3225,1815,-0.00665,3.7284),(3225,1825,-0.006641,3.7293),(3225,1835,-0.006632,3.7302),(3225,1845,-0.006616,3.7311),(3225,1855,-0.006586,3.732),(3225,1865,-0.006557,3.7329),(3225,1875,-0.006527,3.7339),(3225,1885,-0.006488,3.7349),(3225,1895,-0.006433,3.7359),(3225,1905,-0.006378,3.7369),(3225,1915,-0.006324,3.7379),(3225,1925,-0.006257,3.739),(3225,1935,-0.006172,3.74),(3225,1945,-0.006088,3.7411),(3225,1955,-0.006004,3.7423),(3225,1965,-0.005903,3.7434),(3225,1975,-0.005783,3.7445),(3225,1985,-0.005662,3.7457),(3225,1995,-0.005542,3.7469),(3225,2005,-0.005401,3.7482),(3225,2015,-0.005237,3.7494),(3225,2025,-0.005074,3.7507),(3225,2035,-0.004911,3.752),(3225,2045,-0.004719,3.7533);
INSERT INTO `ILD_00_Brho_Bz` VALUES (3225,2055,-0.004503,3.7547),(3225,2065,-0.004288,3.756),(3225,2075,-0.004072,3.7575),(3225,2085,-0.00382,3.7589),(3225,2095,-0.003541,3.7604),(3225,2105,-0.003262,3.7619),(3225,2115,-0.002984,3.7634),(3225,2125,-0.002658,3.765),(3225,2135,-0.002302,3.7665),(3225,2145,-0.001947,3.7682),(3225,2155,-0.001592,3.7698),(3225,2165,-0.001175,3.7715),(3225,2175,-0.000728,3.7732),(3225,2185,-0.00028,3.775),(3225,2195,0.000168,3.7768),(3225,2205,0.000694,3.7786),(3225,2215,0.001254,3.7804),(3225,2225,0.001814,3.7823),(3225,2235,0.002374,3.7843),(3225,2245,0.003034,3.7862),(3225,2255,0.003729,3.7882),(3225,2265,0.004424,3.7903),(3225,2275,0.005119,3.7924),(3225,2285,0.005941,3.7945),(3225,2295,0.006798,3.7966),(3225,2305,0.007656,3.7988),(3225,2315,0.008514,3.8011),(3225,2325,0.00953,3.8034),(3225,2335,0.010582,3.8056),(3225,2345,0.011635,3.808),(3225,2355,0.012687,3.8104),(3225,2365,0.013937,3.8129),(3225,2375,0.01522,3.8153),(3225,2385,0.016504,3.8178),(3225,2395,0.017787,3.8204),(3225,2405,0.019315,3.823),(3225,2415,0.020872,3.8256),(3225,2425,0.022428,3.8283),(3225,2435,0.023985,3.831),(3225,2445,0.02584,3.8337),(3225,2455,0.027716,3.8365),(3225,2465,0.029592,3.8393),(3225,2475,0.031468,3.8421),(3225,2485,0.033704,3.845),(3225,2495,0.03595,3.8479),(3225,2505,0.038196,3.8508),(3225,2515,0.040448,3.8538),(3225,2525,0.043115,3.8567),(3225,2535,0.045783,3.8597),(3225,2545,0.048451,3.8627),(3225,2555,0.051145,3.8657),(3225,2565,0.054287,3.8687),(3225,2575,0.05743,3.8717),(3225,2585,0.060573,3.8748),(3225,2595,0.063765,3.8778),(3225,2605,0.067431,3.8808),(3225,2615,0.071098,3.8838),(3225,2625,0.074765,3.8868),(3225,2635,0.078507,3.8898),(3225,2645,0.082741,3.8927),(3225,2655,0.086975,3.8957),(3225,2665,0.091209,3.8985),(3225,2675,0.095547,3.9013),(3225,2685,0.10038,3.9042),(3225,2695,0.10521,3.9069),(3225,2705,0.11005,3.9095),(3225,2715,0.11501,3.9121),(3225,2725,0.12046,3.9147),(3225,2735,0.12591,3.9172),(3225,2745,0.13137,3.9195),(3225,2755,0.13697,3.9218),(3225,2765,0.14304,3.924),(3225,2775,0.14911,3.9262),(3225,2785,0.15518,3.928),(3225,2795,0.16143,3.9298),(3225,2805,0.1681,3.9316),(3225,2815,0.17477,3.9332),(3225,2825,0.18144,3.9345),(3225,2835,0.1883,3.9358),(3225,2845,0.19553,3.937),(3225,2855,0.20277,3.9381),(3225,2865,0.21,3.9387),(3225,2875,0.21743,3.9393),(3225,2885,0.22517,3.9399),(3225,2895,0.23292,3.9402),(3225,2905,0.24067,3.9401),(3225,2915,0.24859,3.9399),(3225,2925,0.25678,3.9398),(3225,2935,0.26497,3.9393),(3225,2945,0.27316,3.9383),(3225,2955,0.28152,3.9373),(3225,2965,0.29008,3.9363),(3225,2975,0.29863,3.9349),(3225,2985,0.30719,3.9331),(3225,2995,0.31588,3.9312),(3225,3005,0.32471,3.9293),(3225,3015,0.33355,3.9269),(3225,3025,0.34238,3.924),(3225,3035,0.35131,3.9212),(3225,3045,0.36033,3.9183),(3225,3055,0.36935,3.9149),(3225,3065,0.37837,3.911),(3225,3075,0.38743,3.9072),(3225,3085,0.39653,3.9033),(3225,3095,0.40564,3.8988),(3225,3105,0.41474,3.8938),(3225,3115,0.42382,3.8889),(3225,3125,0.4329,3.8839),(3225,3135,0.44198,3.8783),(3225,3145,0.45106,3.8722),(3225,3155,0.46004,3.8662),(3225,3165,0.46899,3.8602),(3225,3175,0.47793,3.8534),(3225,3185,0.48687,3.8462),(3225,3195,0.49563,3.839),(3225,3205,0.50432,3.8319),(3225,3215,0.513,3.8239),(3225,3225,0.52168,3.8156),(3225,3235,0.53008,3.8073),(3225,3245,0.53838,3.799),(3225,3255,0.54668,3.7898),(3225,3265,0.55497,3.7804),(3225,3275,0.56286,3.7709),(3225,3285,0.57063,3.7615),(3225,3295,0.5784,3.7511),(3225,3305,0.58617,3.7406),(3225,3315,0.59339,3.73),(3225,3325,0.60048,3.7194),(3225,3335,0.60756,3.7079),(3225,3345,0.61465,3.6963),(3225,3355,0.62103,3.6846),(3225,3365,0.62728,3.673),(3225,3375,0.63353,3.6604),(3225,3385,0.63978,3.6477),(3225,3395,0.64513,3.635),(3225,3405,0.65037,3.6223),(3225,3415,0.65561,3.6087),(3225,3425,0.66085,3.5951),(3225,3435,0.66499,3.5814),(3225,3445,0.66905,3.5678),(3225,3455,0.6731,3.5534),(3225,3465,0.67716,3.5389),(3225,3475,0.6799,3.5244),(3225,3485,0.68259,3.5099),(3225,3495,0.68528,3.4948),(3225,3505,0.68797,3.4796),(3225,3515,0.68913,3.4645),(3225,3525,0.6903,3.4493),(3225,3535,0.69146,3.4337),(3225,3545,0.69255,3.4181),(3225,3555,0.69203,3.4025),(3225,3565,0.6915,3.3869),(3225,3575,0.69098,3.371),(3225,3585,0.69031,3.3552),(3225,3595,0.68796,3.3393),(3225,3605,0.68561,3.3235),(3225,3615,0.68326,3.3077),(3225,3625,0.68067,3.292),(3225,3635,0.67639,3.2762),(3225,3645,0.6721,3.2605),(3225,3655,0.66781,3.2451),(3225,3665,0.6632,3.2298),(3225,3675,0.65688,3.2144),(3225,3685,0.65057,3.1992),(3225,3695,0.64425,3.1847),(3225,3705,0.63751,3.1701),(3225,3715,0.62911,3.1556),(3225,3725,0.62071,3.1413),(3225,3735,0.61232,3.1281),(3225,3745,0.60341,3.1149),(3225,3755,0.59293,3.1016),(3225,3765,0.58245,3.0889),(3225,3775,0.57196,3.0777),(3225,3785,0.56093,3.0664),(3225,3795,0.5485,3.0551),(3225,3805,0.53607,3.0447),(3225,3815,0.52364,3.0363),(3225,3825,0.51073,3.0279),(3225,3835,0.49682,3.0195),(3225,3845,0.48291,3.0125),(3225,3855,0.469,3.0082),(3225,3865,0.455,3.0038),(3225,3875,0.44085,2.9995),(3225,3885,0.42669,2.9971),(3225,3895,0.41253,2.998),(3225,3905,0.44489,2.9989),(3225,3915,0.54674,2.9998),(3225,3925,0.6486,3.008),(3225,3935,0.75045,3.0262),(3225,3945,0.86589,3.0445),(3225,3955,0.9986,3.0628),(3225,3965,1.1313,3.0776),(3225,3975,1.264,3.0884),(3225,3985,1.3492,3.0992),(3225,3995,1.383,3.1101),(3225,4005,1.4167,3.1109),(3225,4015,1.4505,3.1018),(3225,4025,1.4958,3.0927),(3225,4035,1.5424,3.0776),(3225,4045,1.5889,3.0496),(3225,4055,1.6356,3.0216),(3225,4065,1.6825,2.992),(3225,4075,1.7294,2.953),(3225,4085,1.7706,2.9141),(3225,4095,1.8073,2.8752),(3225,4105,1.8439,2.834),(3225,4115,1.8179,2.7928),(3225,4125,1.6881,2.7516),(3225,4135,1.5583,2.7192),(3225,4145,1.4226,2.6893),(3225,4155,1.263,2.6593),(3225,4165,1.1035,2.6355),(3225,4175,0.95349,2.6156),(3225,4185,1.2748,2.5957),(3225,4195,1.5961,2.5707),(3225,4205,1.9174,2.5389),(3225,4215,1.9691,2.5072),(3225,4225,1.9701,2.476),(3225,4235,1.9712,2.4466),(3225,4245,1.9357,2.4173),(3225,4255,1.8818,2.388),(3225,4265,1.8278,2.3598),(3225,4275,1.6083,2.3316),(3225,4285,1.2129,2.3035),(3225,4295,0.81759,2.2941),(3225,4305,0.66603,2.2868),(3225,4315,1.0649,2.2796),(3225,4325,1.4639,2.2627),(3225,4335,1.8186,2.242),(3225,4345,1.874,2.2213),(3225,4355,1.9295,2.2003),(3225,4365,1.9849,2.1789),(3225,4375,1.9918,2.1576),(3225,4385,1.9963,2.1364),(3225,4395,2.0007,2.1156),(3225,4405,1.7669,2.0948),(3225,4415,1.463,2.0759),(3225,4425,1.159,2.0655),(3225,4435,1.0314,2.0551),(3225,4445,1.0242,2.0447),(3225,4455,1.0171,2.0354),(3225,4465,1.1421,2.026),(3225,4475,1.4528,2.0167),(3225,4485,1.7634,2.0007),(3225,4495,2.0008,1.9833),(3225,4505,2.0033,1.966),(3225,4515,2.0058,1.9489),(3225,4525,2.0043,1.932),(3225,4535,1.939,1.915),(3225,4545,1.8737,1.8992),(3225,4555,1.8084,1.8846),(3225,4565,1.3969,1.87),(3225,4575,0.93869,1.859),(3225,4585,0.4805,1.8565),(3225,4595,0.65512,1.854),(3225,4605,1.0971,1.8497),(3225,4615,1.5391,1.8307),(3225,4625,1.7846,1.8117),(3225,4635,1.852,1.7928),(3225,4645,1.9195,1.7762),(3225,4655,1.9674,1.7597),(3225,4665,1.9786,1.7433),(3225,4675,1.9897,1.7275),(3225,4685,1.9313,1.712),(3225,4695,1.5292,1.6964),(3225,4705,1.1271,1.6869),(3225,4715,0.72494,1.6817),(3225,4725,0.92028,1.6765),(3225,4735,1.1216,1.6696),(3225,4745,1.3229,1.6601),(3225,4755,1.5267,1.6506),(3225,4765,1.7311,1.64),(3225,4775,1.9355,1.6257),(3225,4785,2.0123,1.6115),(3225,4795,2.0153,1.5973),(3225,4805,2.0183,1.5832),(3225,4815,1.9244,1.5692),(3225,4825,1.7147,1.5551),(3225,4835,1.5049,1.5452),(3225,4845,1.2931,1.5359),(3225,4855,1.0756,1.5266),(3225,4865,0.8581,1.5208),(3225,4875,0.70482,1.5167),(3225,4885,1.1358,1.5125),(3225,4895,1.5667,1.5038),(3225,4905,1.9976,1.4906),(3225,4915,2.0312,1.4774),(3225,4925,2.0306,1.4641),(3225,4935,2.03,1.4506),(3225,4945,1.9944,1.4371),(3225,4955,1.9468,1.4232),(3225,4965,1.8991,1.4071),(3225,4975,1.576,1.391),(3225,4985,1.0403,1.3749),(3225,4995,0.50458,1.3736),(3225,5005,0.34603,1.3727),(3225,5015,0.78711,1.3718),(3225,5025,1.2282,1.3641),(3225,5035,1.6081,1.3546),(3225,5045,1.7549,1.3451),(3225,5055,1.9017,1.3338),(3225,5065,2.0442,1.3214),(3225,5075,2.0468,1.3091),(3225,5085,2.0494,1.2967),(3225,5095,2.0519,1.2844),(3225,5105,1.7958,1.2721),(3225,5115,1.4945,1.2614),(3225,5125,1.1932,1.2549),(3225,5135,1.0433,1.2484),(3225,5145,0.96696,1.2421),(3225,5155,0.8906,1.2375),(3225,5165,1.0462,1.2328),(3225,5175,1.4384,1.2282),(3225,5185,1.8305,1.2173),(3225,5195,2.0991,1.2057),(3225,5205,2.1013,1.1941),(3225,5215,2.1035,1.1826),(3225,5225,2.0946,1.171),(3225,5235,2.0173,1.1595),(3225,5245,1.9399,1.1488),(3225,5255,1.8625,1.1387),(3225,5265,1.3149,1.1286),(3225,5275,0.74787,1.1221),(3225,5285,0.18085,1.1219),(3225,5295,0.54677,1.1217),(3225,5305,1.1725,1.1189),(3225,5315,1.7982,1.1054),(3225,5325,2.0659,1.0918),(3225,5335,2.0988,1.0784),(3225,5345,2.1318,1.0672),(3225,5355,2.1519,1.056),(3225,5365,2.1548,1.0448),(3225,5375,2.1576,1.0339),(3225,5385,2.0368,1.023),(3225,5395,1.54,1.0121),(3225,5405,1.0431,1.0065),(3225,5415,0.60094,1.0036),(3225,5425,0.89295,1.0007),(3225,5435,1.1849,0.99633),(3225,5445,1.477,0.99025),(3225,5455,1.755,0.98418),(3225,5465,2.0313,0.97705),(3225,5475,2.3076,0.96752),(3225,5485,2.3872,0.95799),(3225,5495,2.3877,0.9485),(3225,5505,2.3881,0.93924),(3225,5515,2.3885,0.92997),(3225,5525,2.3889,0.92071),(3225,5535,2.3893,0.91171),(3225,5545,2.3896,0.90272),(3225,5555,2.3899,0.89373),(3225,5565,2.3902,0.88493),(3225,5575,2.3905,0.87619),(3225,5585,2.3906,0.86745),(3225,5595,2.3908,0.85887),(3225,5605,2.3909,0.8504),(3225,5615,2.391,0.84192),(3225,5625,2.391,0.83354),(3225,5635,2.3911,0.82528),(3225,5645,2.3911,0.81703),(3225,5655,2.391,0.80882),(3225,5665,2.391,0.80078),(3225,5675,2.3909,0.79274),(3225,5685,2.3907,0.78472),(3225,5695,2.3906,0.77687),(3225,5705,2.3904,0.76903),(3225,5715,2.3901,0.76119),(3225,5725,2.3899,0.75351),(3225,5735,2.3897,0.74586),(3225,5745,2.3893,0.7382),(3225,5755,2.389,0.73067),(3225,5765,2.3887,0.72318),(3225,5775,2.3883,0.7157),(3225,5785,2.3879,0.7083),(3225,5795,2.3875,0.70099),(3225,5805,2.3871,0.69367),(3225,5815,2.3866,0.68641),(3225,5825,2.3861,0.67925),(3225,5835,2.3856,0.67209),(3225,5845,2.3851,0.66495),(3225,5855,2.3845,0.65793),(3225,5865,2.384,0.65091),(3225,5875,2.3834,0.64388),(3225,5885,2.3828,0.63699),(3225,5895,2.3822,0.6301),(3225,5905,2.3815,0.62321),(3225,5915,2.3809,0.61643),(3225,5925,2.3802,0.60968),(3225,5935,2.3795,0.60292),(3225,5945,2.3788,0.59625),(3225,5955,2.3781,0.58962),(3225,5965,2.3774,0.583),(3225,5975,2.3766,0.57643),(3225,5985,2.3759,0.56992),(3225,5995,1.8167,0.5634),(3225,6005,1.1677,0.55843),(3225,6015,0.51868,0.55757),(3225,6025,0.65881,0.55672),(3225,6035,1.1649,0.55522),(3225,6045,1.6711,0.54749),(3225,6055,2.0228,0.53976),(3225,6065,2.223,0.53203),(3225,6075,2.4233,0.52203),(3225,6085,2.5587,0.51182),(3225,6095,2.5604,0.50161),(3225,6105,2.562,0.4914),(3225,6115,2.5637,0.4812),(3225,6125,2.5653,0.471),(3225,6135,2.5669,0.46089),(3225,6145,2.5685,0.45084),(3225,6155,2.57,0.4408),(3225,6165,2.5714,0.43081),(3225,6175,2.5729,0.42092),(3225,6185,2.5743,0.41104),(3225,6195,2.5757,0.40116),(3225,6205,2.577,0.39132),(3225,6215,2.5783,0.38149),(3225,6225,2.5796,0.37165),(3225,6235,2.5809,0.36185),(3225,6245,2.5821,0.35205),(3225,6255,2.5832,0.34224),(3225,6265,2.5844,0.33251),(3225,6275,2.5855,0.32279),(3225,6285,2.5865,0.31307),(3225,6295,2.5876,0.30341),(3225,6305,2.5886,0.29377),(3225,6315,2.5895,0.28413),(3225,6325,2.5905,0.27454),(3225,6335,2.5915,0.26498),(3225,6345,2.5923,0.25542),(3225,6355,2.5931,0.24587),(3225,6365,2.594,0.23635),(3225,6375,2.5947,0.22683),(3225,6385,2.5955,0.21731),(3225,6395,2.5962,0.2078),(3225,6405,2.5969,0.19829),(3225,6415,2.5975,0.18879),(3225,6425,2.5982,0.17936),(3225,6435,2.5988,0.16994),(3225,6445,2.5993,0.16053),(3225,6455,2.5998,0.15116),(3225,6465,2.6003,0.14182),(3225,6475,2.6007,0.13247),(3225,6485,2.6012,0.12311),(3225,6495,2.6016,0.11374),(3225,6505,2.6019,0.10438),(3225,6515,2.6023,0.095013),(3225,6525,2.6026,0.08566),(3225,6535,2.6029,0.076307),(3225,6545,2.6031,0.066951),(3225,6555,2.6034,0.057586),(3225,6565,2.6036,0.04822),(3225,6575,2.6037,0.038857),(3225,6585,2.6038,0.029536),(3225,6595,2.2148,0.020215),(3225,6605,1.3959,0.010894),(3225,6615,0.57713,0.009805),(3225,6625,0.001513,0.009772),(3225,6635,0.00151,0.00974),(3225,6645,0.001507,0.009725),(3225,6655,0.001504,0.009716),(3225,6665,0.001502,0.009707),(3225,6675,0.001499,0.009698),(3225,6685,0.001497,0.00969),(3225,6695,0.001494,0.009681),(3225,6705,0.001492,0.009672),(3225,6715,0.001489,0.009664),(3225,6725,0.001487,0.009655),(3225,6735,0.001485,0.009647),(3225,6745,0.001483,0.009638),(3225,6755,0.001481,0.009629),(3225,6765,0.001479,0.009621),(3225,6775,0.001477,0.009612),(3225,6785,0.001475,0.009604),(3225,6795,0.001473,0.009595),(3225,6805,0.001471,0.009586),(3225,6815,0.00147,0.009578),(3225,6825,0.001468,0.009569),(3225,6835,0.001466,0.009561),(3225,6845,0.001465,0.009552),(3225,6855,0.001463,0.009544),(3225,6865,0.001462,0.009535),(3225,6875,0.001461,0.009527),(3225,6885,0.001459,0.009518),(3225,6895,0.001458,0.009509),(3225,6905,0.001457,0.009501),(3225,6915,0.001455,0.009492),(3225,6925,0.001454,0.009484),(3225,6935,0.001453,0.009475),(3225,6945,0.001452,0.009466),(3225,6955,0.001451,0.009458),(3225,6965,0.00145,0.009449),(3225,6975,0.001449,0.009441),(3225,6985,0.001448,0.009432),(3235,5,7e-06,3.6887),(3235,15,2e-05,3.6887),(3235,25,3.3e-05,3.6887),(3235,35,4.7e-05,3.6887),(3235,45,6e-05,3.6887),(3235,55,7.3e-05,3.6887),(3235,65,8.6e-05,3.6887),(3235,75,9.9e-05,3.6887),(3235,85,0.000112,3.6887),(3235,95,0.000124,3.6887),(3235,105,0.000137,3.6887),(3235,115,0.000149,3.6887),(3235,125,0.000161,3.6887),(3235,135,0.000173,3.6887),(3235,145,0.000185,3.6887),(3235,155,0.000196,3.6888),(3235,165,0.000207,3.6888),(3235,175,0.000218,3.6888),(3235,185,0.000229,3.6888),(3235,195,0.000239,3.6888),(3235,205,0.000249,3.6888),(3235,215,0.000259,3.6888),(3235,225,0.000268,3.6888),(3235,235,0.000277,3.6888),(3235,245,0.000285,3.6888),(3235,255,0.000294,3.6888),(3235,265,0.000301,3.6889),(3235,275,0.000308,3.6889),(3235,285,0.000315,3.6889),(3235,295,0.000321,3.6889),(3235,305,0.000326,3.6889),(3235,315,0.000331,3.6889),(3235,325,0.000336,3.6889),(3235,335,0.00034,3.689),(3235,345,0.000343,3.689),(3235,355,0.000345,3.689),(3235,365,0.000348,3.689),(3235,375,0.00035,3.689),(3235,385,0.00035,3.6891),(3235,395,0.00035,3.6891),(3235,405,0.000349,3.6891),(3235,415,0.000349,3.6891),(3235,425,0.000346,3.6891),(3235,435,0.000343,3.6892),(3235,445,0.00034,3.6892),(3235,455,0.000336,3.6892),(3235,465,0.00033,3.6893),(3235,475,0.000324,3.6893),(3235,485,0.000317,3.6893),(3235,495,0.000311,3.6893),(3235,505,0.000301,3.6894),(3235,515,0.000291,3.6894),(3235,525,0.000281,3.6894),(3235,535,0.000271,3.6895),(3235,545,0.000258,3.6895),(3235,555,0.000244,3.6896),(3235,565,0.00023,3.6896),(3235,575,0.000216,3.6896),(3235,585,0.000199,3.6897),(3235,595,0.000181,3.6897),(3235,605,0.000163,3.6898),(3235,615,0.000145,3.6898),(3235,625,0.000123,3.6899),(3235,635,0.000101,3.6899),(3235,645,8e-05,3.69),(3235,655,5.7e-05,3.69),(3235,665,3.1e-05,3.6901),(3235,675,5e-06,3.6901),(3235,685,-2.2e-05,3.6902),(3235,695,-4.9e-05,3.6902),(3235,705,-8e-05,3.6903),(3235,715,-0.000111,3.6904),(3235,725,-0.000143,3.6904),(3235,735,-0.000175,3.6905),(3235,745,-0.000211,3.6906),(3235,755,-0.000247,3.6907),(3235,765,-0.000283,3.6907),(3235,775,-0.00032,3.6908),(3235,785,-0.000361,3.6909),(3235,795,-0.000402,3.691),(3235,805,-0.000442,3.6911),(3235,815,-0.000485,3.6911),(3235,825,-0.00053,3.6912),(3235,835,-0.000576,3.6913),(3235,845,-0.000622,3.6914),(3235,855,-0.00067,3.6915),(3235,865,-0.000721,3.6916),(3235,875,-0.000772,3.6917),(3235,885,-0.000823,3.6918),(3235,895,-0.000876,3.6919),(3235,905,-0.000932,3.6921),(3235,915,-0.000988,3.6922),(3235,925,-0.001044,3.6923),(3235,935,-0.001103,3.6924),(3235,945,-0.001164,3.6926),(3235,955,-0.001225,3.6927),(3235,965,-0.001286,3.6928),(3235,975,-0.001349,3.693),(3235,985,-0.001415,3.6931),(3235,995,-0.001481,3.6932),(3235,1005,-0.001546,3.6934),(3235,1015,-0.001615,3.6936),(3235,1025,-0.001685,3.6937),(3235,1035,-0.001756,3.6939),(3235,1045,-0.001826,3.694),(3235,1055,-0.001899,3.6942),(3235,1065,-0.001974,3.6944),(3235,1075,-0.002049,3.6946),(3235,1085,-0.002125,3.6948),(3235,1095,-0.002202,3.695),(3235,1105,-0.002281,3.6951),(3235,1115,-0.00236,3.6953),(3235,1125,-0.002439,3.6956),(3235,1135,-0.00252,3.6958),(3235,1145,-0.002602,3.696),(3235,1155,-0.002685,3.6962),(3235,1165,-0.002767,3.6964),(3235,1175,-0.002851,3.6967),(3235,1185,-0.002937,3.6969),(3235,1195,-0.003022,3.6971),(3235,1205,-0.003108,3.6974),(3235,1215,-0.003195,3.6977),(3235,1225,-0.003282,3.6979),(3235,1235,-0.00337,3.6982),(3235,1245,-0.003458,3.6985),(3235,1255,-0.003547,3.6987),(3235,1265,-0.003637,3.699),(3235,1275,-0.003726,3.6993),(3235,1285,-0.003816,3.6996),(3235,1295,-0.003906,3.6999),(3235,1305,-0.003997,3.7002),(3235,1315,-0.004088,3.7006),(3235,1325,-0.004178,3.7009),(3235,1335,-0.004269,3.7012),(3235,1345,-0.00436,3.7016),(3235,1355,-0.004452,3.7019),(3235,1365,-0.004543,3.7023),(3235,1375,-0.004633,3.7026),(3235,1385,-0.004724,3.703),(3235,1395,-0.004815,3.7034),(3235,1405,-0.004905,3.7038),(3235,1415,-0.004994,3.7042),(3235,1425,-0.005083,3.7046),(3235,1435,-0.005172,3.705),(3235,1445,-0.005261,3.7054),(3235,1455,-0.005348,3.7058),(3235,1465,-0.005435,3.7063),(3235,1475,-0.005521,3.7067),(3235,1485,-0.005608,3.7072),(3235,1495,-0.005692,3.7077),(3235,1505,-0.005775,3.7081),(3235,1515,-0.005858,3.7086),(3235,1525,-0.005942,3.7091),(3235,1535,-0.006021,3.7096),(3235,1545,-0.0061,3.7101),(3235,1555,-0.006179,3.7107),(3235,1565,-0.006258,3.7112),(3235,1575,-0.006332,3.7117),(3235,1585,-0.006405,3.7123),(3235,1595,-0.006479,3.7129),(3235,1605,-0.006552,3.7134),(3235,1615,-0.006619,3.714),(3235,1625,-0.006686,3.7146),(3235,1635,-0.006753,3.7152),(3235,1645,-0.006819,3.7159),(3235,1655,-0.006878,3.7165),(3235,1665,-0.006937,3.7171),(3235,1675,-0.006995,3.7178),(3235,1685,-0.007053,3.7185),(3235,1695,-0.007102,3.7191),(3235,1705,-0.007151,3.7198),(3235,1715,-0.0072,3.7206),(3235,1725,-0.007247,3.7213),(3235,1735,-0.007285,3.722),(3235,1745,-0.007323,3.7228),(3235,1755,-0.007361,3.7235),(3235,1765,-0.007396,3.7243),(3235,1775,-0.00742,3.7251),(3235,1785,-0.007445,3.7259),(3235,1795,-0.007469,3.7267),(3235,1805,-0.007489,3.7276),(3235,1815,-0.007497,3.7284),(3235,1825,-0.007505,3.7293),(3235,1835,-0.007513,3.7302),(3235,1845,-0.007515,3.7311),(3235,1855,-0.007503,3.732),(3235,1865,-0.007492,3.733),(3235,1875,-0.007481,3.734),(3235,1885,-0.007461,3.7349),(3235,1895,-0.007426,3.7359),(3235,1905,-0.007392,3.7369),(3235,1915,-0.007358,3.738),(3235,1925,-0.007312,3.739),(3235,1935,-0.007249,3.7401),(3235,1945,-0.007187,3.7412),(3235,1955,-0.007125,3.7424),(3235,1965,-0.007047,3.7435),(3235,1975,-0.006951,3.7446),(3235,1985,-0.006855,3.7458),(3235,1995,-0.006759,3.7471),(3235,2005,-0.006643,3.7483),(3235,2015,-0.006507,3.7496),(3235,2025,-0.00637,3.7508),(3235,2035,-0.006233,3.7522),(3235,2045,-0.00607,3.7535),(3235,2055,-0.005883,3.7549),(3235,2065,-0.005697,3.7563),(3235,2075,-0.00551,3.7577),(3235,2085,-0.005289,3.7592),(3235,2095,-0.005042,3.7606),(3235,2105,-0.004795,3.7622),(3235,2115,-0.004548,3.7637),(3235,2125,-0.004255,3.7653),(3235,2135,-0.003934,3.7669),(3235,2145,-0.003614,3.7685),(3235,2155,-0.003293,3.7702),(3235,2165,-0.002913,3.7719),(3235,2175,-0.002503,3.7736),(3235,2185,-0.002093,3.7754),(3235,2195,-0.001682,3.7773),(3235,2205,-0.001196,3.7791),(3235,2215,-0.000676,3.781),(3235,2225,-0.000156,3.7829),(3235,2235,0.000363,3.7849),(3235,2245,0.000981,3.7869),(3235,2255,0.001633,3.7889),(3235,2265,0.002285,3.791),(3235,2275,0.002938,3.7931),(3235,2285,0.003715,3.7953),(3235,2295,0.004527,3.7974),(3235,2305,0.00534,3.7997),(3235,2315,0.006152,3.802),(3235,2325,0.007123,3.8044),(3235,2335,0.008128,3.8067),(3235,2345,0.009133,3.8091),(3235,2355,0.010139,3.8116),(3235,2365,0.011342,3.8141),(3235,2375,0.012579,3.8166),(3235,2385,0.013815,3.8192),(3235,2395,0.015051,3.8218),(3235,2405,0.016533,3.8245),(3235,2415,0.018043,3.8271),(3235,2425,0.019554,3.8299),(3235,2435,0.021064,3.8327),(3235,2445,0.022876,3.8355),(3235,2455,0.024709,3.8383),(3235,2465,0.026541,3.8413),(3235,2475,0.028374,3.8442),(3235,2485,0.030572,3.8472),(3235,2495,0.03278,3.8501),(3235,2505,0.034988,3.8532),(3235,2515,0.037202,3.8562),(3235,2525,0.03984,3.8593),(3235,2535,0.042479,3.8623),(3235,2545,0.045117,3.8655),(3235,2555,0.047782,3.8686),(3235,2565,0.050907,3.8717),(3235,2575,0.054032,3.8749),(3235,2585,0.057158,3.878),(3235,2595,0.060333,3.8812),(3235,2605,0.063998,3.8844),(3235,2615,0.067663,3.8875),(3235,2625,0.071328,3.8906),(3235,2635,0.075072,3.8937),(3235,2645,0.079323,3.8968),(3235,2655,0.083575,3.8999),(3235,2665,0.087826,3.9029),(3235,2675,0.092186,3.9059),(3235,2685,0.097059,3.9089),(3235,2695,0.10193,3.9118),(3235,2705,0.10681,3.9145),(3235,2715,0.11182,3.9173),(3235,2725,0.11733,3.92),(3235,2735,0.12285,3.9227),(3235,2745,0.12837,3.9251),(3235,2755,0.13405,3.9276),(3235,2765,0.14021,3.93),(3235,2775,0.14637,3.9323),(3235,2785,0.15253,3.9342),(3235,2795,0.15888,3.9362),(3235,2805,0.16567,3.9382),(3235,2815,0.17246,3.9399),(3235,2825,0.17925,3.9414),(3235,2835,0.18623,3.9428),(3235,2845,0.19361,3.9442),(3235,2855,0.20099,3.9453),(3235,2865,0.20837,3.9461),(3235,2875,0.21595,3.9468),(3235,2885,0.22386,3.9475),(3235,2895,0.23178,3.948),(3235,2905,0.23969,3.9479),(3235,2915,0.2478,3.9479),(3235,2925,0.25617,3.9479),(3235,2935,0.26455,3.9475),(3235,2945,0.27293,3.9466),(3235,2955,0.28148,3.9457),(3235,2965,0.29025,3.9448),(3235,2975,0.29901,3.9435),(3235,2985,0.30777,3.9417),(3235,2995,0.31668,3.9399),(3235,3005,0.32573,3.9381),(3235,3015,0.33479,3.9357),(3235,3025,0.34384,3.9329),(3235,3035,0.353,3.9301),(3235,3045,0.36226,3.9273),(3235,3055,0.37151,3.9239),(3235,3065,0.38076,3.9201),(3235,3075,0.39007,3.9162),(3235,3085,0.39942,3.9123),(3235,3095,0.40876,3.9078),(3235,3105,0.41811,3.9029),(3235,3115,0.42745,3.8979),(3235,3125,0.43678,3.893),(3235,3135,0.44611,3.8873),(3235,3145,0.45545,3.8812),(3235,3155,0.46469,3.8752),(3235,3165,0.4739,3.8691),(3235,3175,0.4831,3.8622),(3235,3185,0.4923,3.855),(3235,3195,0.50133,3.8478),(3235,3205,0.51028,3.8405),(3235,3215,0.51923,3.8325),(3235,3225,0.52818,3.8241),(3235,3235,0.53686,3.8157),(3235,3245,0.54542,3.8072),(3235,3255,0.55399,3.798),(3235,3265,0.56255,3.7884),(3235,3275,0.57071,3.7788),(3235,3285,0.57875,3.7692),(3235,3295,0.58679,3.7587),(3235,3305,0.59482,3.748),(3235,3315,0.60231,3.7373),(3235,3325,0.60966,3.7265),(3235,3335,0.61702,3.7148),(3235,3345,0.62437,3.703),(3235,3355,0.631,3.6911),(3235,3365,0.6375,3.6792),(3235,3375,0.64401,3.6664),(3235,3385,0.65051,3.6534),(3235,3395,0.6561,3.6405),(3235,3405,0.66158,3.6275),(3235,3415,0.66705,3.6137),(3235,3425,0.67252,3.5997),(3235,3435,0.67688,3.5858),(3235,3445,0.68114,3.5718),(3235,3455,0.68541,3.5571),(3235,3465,0.68967,3.5422),(3235,3475,0.69258,3.5274),(3235,3485,0.69545,3.5126),(3235,3495,0.69832,3.4971),(3235,3505,0.70118,3.4815),(3235,3515,0.70247,3.466),(3235,3525,0.70376,3.4505),(3235,3535,0.70505,3.4344),(3235,3545,0.70626,3.4184),(3235,3555,0.70581,3.4023),(3235,3565,0.70536,3.3863),(3235,3575,0.7049,3.37),(3235,3585,0.70429,3.3537),(3235,3595,0.70194,3.3374),(3235,3605,0.6996,3.3211),(3235,3615,0.69725,3.3049),(3235,3625,0.69465,3.2886),(3235,3635,0.69029,3.2723),(3235,3645,0.68592,3.2561),(3235,3655,0.68155,3.2403),(3235,3665,0.67684,3.2244),(3235,3675,0.67034,3.2085),(3235,3685,0.66385,3.1928),(3235,3695,0.65736,3.1777),(3235,3705,0.65042,3.1627),(3235,3715,0.64172,3.1476),(3235,3725,0.63302,3.1328),(3235,3735,0.62432,3.1191),(3235,3745,0.61507,3.1053),(3235,3755,0.60411,3.0916),(3235,3765,0.59316,3.0784),(3235,3775,0.5822,3.0666),(3235,3785,0.57063,3.0549),(3235,3795,0.55747,3.0431),(3235,3805,0.54432,3.0323),(3235,3815,0.53116,3.0235),(3235,3825,0.51741,3.0148),(3235,3835,0.50241,3.006),(3235,3845,0.48741,2.9987),(3235,3855,0.47241,2.9943),(3235,3865,0.45717,2.9899),(3235,3875,0.44149,2.9855),(3235,3885,0.42581,2.9834),(3235,3895,0.41012,2.9848),(3235,3905,0.43918,2.9863),(3235,3915,0.53505,2.9878),(3235,3925,0.63092,2.9981),(3235,3935,0.7268,3.0203),(3235,3945,0.83969,3.0426),(3235,3955,0.9742,3.0649),(3235,3965,1.1087,3.0831),(3235,3975,1.2432,3.0968),(3235,3985,1.3326,3.1104),(3235,3995,1.373,3.124),(3235,4005,1.4135,3.1262),(3235,4015,1.4539,3.1169),(3235,4025,1.5062,3.1076),(3235,4035,1.5596,3.0914),(3235,4045,1.613,3.0607),(3235,4055,1.6643,3.0299),(3235,4065,1.7148,2.9975),(3235,4075,1.7654,2.9553),(3235,4085,1.8084,2.913),(3235,4095,1.8454,2.8708),(3235,4105,1.8823,2.827),(3235,4115,1.8551,2.7832),(3235,4125,1.7215,2.7394),(3235,4135,1.5879,2.7057),(3235,4145,1.4485,2.6747),(3235,4155,1.2859,2.6437),(3235,4165,1.1233,2.6194),(3235,4175,0.97037,2.5993),(3235,4185,1.2944,2.5792),(3235,4195,1.6183,2.554),(3235,4205,1.9423,2.5221),(3235,4215,1.9937,2.4901),(3235,4225,1.9939,2.4588),(3235,4235,1.994,2.4295),(3235,4245,1.9581,2.4002),(3235,4255,1.9039,2.371),(3235,4265,1.8497,2.343),(3235,4275,1.6274,2.315),(3235,4285,1.2268,2.287),(3235,4295,0.82621,2.2778),(3235,4305,0.67192,2.2709),(3235,4315,1.0738,2.2639),(3235,4325,1.4757,2.2472),(3235,4335,1.833,2.2266),(3235,4345,1.8885,2.206),(3235,4355,1.944,2.185),(3235,4365,1.9996,2.1637),(3235,4375,2.0063,2.1424),(3235,4385,2.0105,2.1213),(3235,4395,2.0147,2.1006),(3235,4405,1.7792,2.0799),(3235,4415,1.4729,2.0611),(3235,4425,1.1667,2.0508),(3235,4435,1.0379,2.0405),(3235,4445,1.0305,2.0303),(3235,4455,1.0231,2.021),(3235,4465,1.1486,2.0117),(3235,4475,1.4607,2.0025),(3235,4485,1.7728,1.9866),(3235,4495,2.0113,1.9694),(3235,4505,2.0137,1.9521),(3235,4515,2.0161,1.9351),(3235,4525,2.0144,1.9182),(3235,4535,1.9486,1.9014),(3235,4545,1.8829,1.8856),(3235,4555,1.8171,1.871),(3235,4565,1.4034,1.8564),(3235,4575,0.94289,1.8454),(3235,4585,0.48235,1.843),(3235,4595,0.65886,1.8406),(3235,4605,1.1045,1.8364),(3235,4615,1.5502,1.8175),(3235,4625,1.7969,1.7987),(3235,4635,1.8634,1.7798),(3235,4645,1.9299,1.7633),(3235,4655,1.9771,1.7469),(3235,4665,1.9879,1.7305),(3235,4675,1.9988,1.7148),(3235,4685,1.9399,1.6993),(3235,4695,1.5358,1.6837),(3235,4705,1.1318,1.6742),(3235,4715,0.72773,1.669),(3235,4725,0.92369,1.6638),(3235,4735,1.1257,1.6569),(3235,4745,1.3276,1.6475),(3235,4755,1.5322,1.6381),(3235,4765,1.7374,1.6276),(3235,4775,1.9426,1.6134),(3235,4785,2.0196,1.5992),(3235,4795,2.0225,1.5851),(3235,4805,2.0255,1.5711),(3235,4815,1.9312,1.5571),(3235,4825,1.7207,1.5432),(3235,4835,1.5102,1.5333),(3235,4845,1.2975,1.5241),(3235,4855,1.0791,1.5148),(3235,4865,0.86079,1.5091),(3235,4875,0.70688,1.505),(3235,4885,1.1392,1.5009),(3235,4895,1.5716,1.4921),(3235,4905,2.0039,1.4789),(3235,4915,2.0376,1.4658),(3235,4925,2.0371,1.4525),(3235,4935,2.0366,1.439),(3235,4945,2.0018,1.4255),(3235,4955,1.9551,1.4117),(3235,4965,1.9084,1.3956),(3235,4975,1.584,1.3795),(3235,4985,1.0453,1.3635),(3235,4995,0.50667,1.3622),(3235,5005,0.34679,1.3613),(3235,5015,0.78908,1.3604),(3235,5025,1.2314,1.3527),(3235,5035,1.6123,1.3432),(3235,5045,1.7595,1.3338),(3235,5055,1.9068,1.3225),(3235,5065,2.0497,1.3102),(3235,5075,2.0522,1.2979),(3235,5085,2.0548,1.2856),(3235,5095,2.0573,1.2733),(3235,5105,1.8004,1.261),(3235,5115,1.4983,1.2503),(3235,5125,1.1962,1.2438),(3235,5135,1.0459,1.2374),(3235,5145,0.9692,1.2311),(3235,5155,0.89252,1.2265),(3235,5165,1.0484,1.2218),(3235,5175,1.4414,1.2172),(3235,5185,1.8344,1.2063),(3235,5195,2.1036,1.1948),(3235,5205,2.1057,1.1832),(3235,5215,2.1079,1.1717),(3235,5225,2.099,1.1602),(3235,5235,2.0214,1.1488),(3235,5245,1.9439,1.138),(3235,5255,1.8664,1.128),(3235,5265,1.3176,1.1179),(3235,5275,0.74936,1.1114),(3235,5285,0.18114,1.1112),(3235,5295,0.54838,1.111),(3235,5305,1.1761,1.1082),(3235,5315,1.8039,1.0948),(3235,5325,2.0719,1.0814),(3235,5335,2.104,1.068),(3235,5345,2.1361,1.0568),(3235,5355,2.1558,1.0457),(3235,5365,2.1585,1.0346),(3235,5375,2.1613,1.0237),(3235,5385,2.0402,1.0129),(3235,5395,1.5425,1.002),(3235,5405,1.0448,0.99646),(3235,5415,0.60185,0.99361),(3235,5425,0.8939,0.99076),(3235,5435,1.186,0.9864),(3235,5445,1.478,0.9804),(3235,5455,1.7562,0.97439),(3235,5465,2.0327,0.96736),(3235,5475,2.3091,0.95794),(3235,5485,2.3888,0.94853),(3235,5495,2.3891,0.93915),(3235,5505,2.3894,0.93),(3235,5515,2.3897,0.92084),(3235,5525,2.39,0.91169),(3235,5535,2.3904,0.9028),(3235,5545,2.3906,0.89391),(3235,5555,2.3908,0.88503),(3235,5565,2.391,0.87634),(3235,5575,2.3912,0.8677),(3235,5585,2.3913,0.85906),(3235,5595,2.3914,0.85058),(3235,5605,2.3915,0.84221),(3235,5615,2.3915,0.83383),(3235,5625,2.3915,0.82554),(3235,5635,2.3915,0.81738),(3235,5645,2.3914,0.80922),(3235,5655,2.3912,0.80111),(3235,5665,2.3911,0.79317),(3235,5675,2.391,0.78522),(3235,5685,2.3908,0.77729),(3235,5695,2.3906,0.76953),(3235,5705,2.3903,0.76178),(3235,5715,2.39,0.75403),(3235,5725,2.3897,0.74644),(3235,5735,2.3894,0.73887),(3235,5745,2.3891,0.7313),(3235,5755,2.3887,0.72385),(3235,5765,2.3883,0.71644),(3235,5775,2.3879,0.70904),(3235,5785,2.3874,0.70173),(3235,5795,2.387,0.69449),(3235,5805,2.3865,0.68726),(3235,5815,2.386,0.68008),(3235,5825,2.3855,0.67299),(3235,5835,2.3849,0.66591),(3235,5845,2.3843,0.65885),(3235,5855,2.3838,0.65191),(3235,5865,2.3832,0.64496),(3235,5875,2.3825,0.63801),(3235,5885,2.3819,0.6312),(3235,5895,2.3813,0.62438),(3235,5905,2.3806,0.61756),(3235,5915,2.3799,0.61085),(3235,5925,2.3792,0.60416),(3235,5935,2.3785,0.59748),(3235,5945,2.3777,0.59087),(3235,5955,2.377,0.58431),(3235,5965,2.3762,0.57776),(3235,5975,2.3754,0.57125),(3235,5985,2.3747,0.5648),(3235,5995,1.8158,0.55835),(3235,6005,1.1671,0.55342),(3235,6015,0.5184,0.55258),(3235,6025,0.65908,0.55174),(3235,6035,1.1659,0.55026),(3235,6045,1.6727,0.5426),(3235,6055,2.0248,0.53495),(3235,6065,2.2252,0.52729),(3235,6075,2.4257,0.51738),(3235,6085,2.5612,0.50726),(3235,6095,2.5628,0.49714),(3235,6105,2.5645,0.48703),(3235,6115,2.5661,0.47692),(3235,6125,2.5677,0.46681),(3235,6135,2.5692,0.45678),(3235,6145,2.5708,0.44683),(3235,6155,2.5722,0.43687),(3235,6165,2.5737,0.42697),(3235,6175,2.5751,0.41717),(3235,6185,2.5765,0.40737),(3235,6195,2.5778,0.39758),(3235,6205,2.5791,0.38784),(3235,6215,2.5804,0.3781),(3235,6225,2.5816,0.36835),(3235,6235,2.5829,0.35864),(3235,6245,2.584,0.34892),(3235,6255,2.5852,0.33921),(3235,6265,2.5863,0.32956),(3235,6275,2.5874,0.31993),(3235,6285,2.5884,0.31029),(3235,6295,2.5894,0.30072),(3235,6305,2.5904,0.29117),(3235,6315,2.5914,0.28163),(3235,6325,2.5923,0.27212),(3235,6335,2.5932,0.26265),(3235,6345,2.5941,0.25317),(3235,6355,2.5949,0.24371),(3235,6365,2.5957,0.23427),(3235,6375,2.5965,0.22484),(3235,6385,2.5972,0.2154),(3235,6395,2.5979,0.20598),(3235,6405,2.5986,0.19656),(3235,6415,2.5992,0.18714),(3235,6425,2.5998,0.1778),(3235,6435,2.6004,0.16846),(3235,6445,2.6009,0.15913),(3235,6455,2.6014,0.14985),(3235,6465,2.6019,0.1406),(3235,6475,2.6023,0.13134),(3235,6485,2.6027,0.12207),(3235,6495,2.6032,0.11279),(3235,6505,2.6035,0.10351),(3235,6515,2.6038,0.094241),(3235,6525,2.6042,0.084976),(3235,6535,2.6044,0.075712),(3235,6545,2.6047,0.066443),(3235,6555,2.6049,0.057165),(3235,6565,2.6051,0.047887),(3235,6575,2.6052,0.038612),(3235,6585,2.6053,0.029375),(3235,6595,2.2161,0.020139),(3235,6605,1.3968,0.010902),(3235,6615,0.57746,0.009816),(3235,6625,0.001517,0.009778),(3235,6635,0.001514,0.009739),(3235,6645,0.001512,0.009722),(3235,6655,0.001509,0.009713),(3235,6665,0.001506,0.009704),(3235,6675,0.001503,0.009696),(3235,6685,0.001501,0.009687),(3235,6695,0.001498,0.009678),(3235,6705,0.001496,0.00967),(3235,6715,0.001494,0.009661),(3235,6725,0.001491,0.009653),(3235,6735,0.001489,0.009644),(3235,6745,0.001487,0.009636),(3235,6755,0.001485,0.009627),(3235,6765,0.001483,0.009619),(3235,6775,0.001481,0.00961),(3235,6785,0.001479,0.009602),(3235,6795,0.001477,0.009593),(3235,6805,0.001476,0.009585),(3235,6815,0.001474,0.009576),(3235,6825,0.001472,0.009568),(3235,6835,0.001471,0.009559),(3235,6845,0.001469,0.009551),(3235,6855,0.001468,0.009542),(3235,6865,0.001466,0.009534),(3235,6875,0.001465,0.009525),(3235,6885,0.001463,0.009517),(3235,6895,0.001462,0.009508),(3235,6905,0.001461,0.0095),(3235,6915,0.00146,0.009491),(3235,6925,0.001459,0.009482),(3235,6935,0.001457,0.009474),(3235,6945,0.001456,0.009465),(3235,6955,0.001455,0.009457),(3235,6965,0.001454,0.009448),(3235,6975,0.001453,0.00944),(3235,6985,0.001452,0.009431),(3245,5,6e-06,3.6887),(3245,15,1.9e-05,3.6887),(3245,25,3.2e-05,3.6887),(3245,35,4.5e-05,3.6887),(3245,45,5.7e-05,3.6887),(3245,55,7e-05,3.6887),(3245,65,8.3e-05,3.6887),(3245,75,9.5e-05,3.6887),(3245,85,0.000107,3.6887),(3245,95,0.000119,3.6887),(3245,105,0.000131,3.6887),(3245,115,0.000143,3.6887),(3245,125,0.000154,3.6887),(3245,135,0.000166,3.6888),(3245,145,0.000177,3.6888),(3245,155,0.000188,3.6888),(3245,165,0.000198,3.6888),(3245,175,0.000209,3.6888),(3245,185,0.000219,3.6888),(3245,195,0.000228,3.6888),(3245,205,0.000238,3.6888),(3245,215,0.000247,3.6888),(3245,225,0.000256,3.6888),(3245,235,0.000264,3.6888),(3245,245,0.000271,3.6888),(3245,255,0.000279,3.6889),(3245,265,0.000286,3.6889),(3245,275,0.000292,3.6889),(3245,285,0.000298,3.6889),(3245,295,0.000304,3.6889),(3245,305,0.000309,3.6889),(3245,315,0.000312,3.6889),(3245,325,0.000316,3.6889),(3245,335,0.00032,3.689),(3245,345,0.000322,3.689),(3245,355,0.000324,3.689),(3245,365,0.000325,3.689),(3245,375,0.000327,3.689),(3245,385,0.000326,3.6891),(3245,395,0.000325,3.6891),(3245,405,0.000323,3.6891),(3245,415,0.000322,3.6891),(3245,425,0.000318,3.6891),(3245,435,0.000314,3.6892),(3245,445,0.00031,3.6892),(3245,455,0.000306,3.6892),(3245,465,0.000298,3.6892),(3245,475,0.000291,3.6893),(3245,485,0.000284,3.6893),(3245,495,0.000276,3.6893),(3245,505,0.000265,3.6894),(3245,515,0.000254,3.6894),(3245,525,0.000243,3.6894),(3245,535,0.000232,3.6895),(3245,545,0.000217,3.6895),(3245,555,0.000202,3.6895),(3245,565,0.000187,3.6896),(3245,575,0.000171,3.6896),(3245,585,0.000152,3.6897),(3245,595,0.000133,3.6897),(3245,605,0.000114,3.6897),(3245,615,9.4e-05,3.6898),(3245,625,7.1e-05,3.6898),(3245,635,4.7e-05,3.6899),(3245,645,2.4e-05,3.6899),(3245,655,0,3.69),(3245,665,-2.8e-05,3.69),(3245,675,-5.6e-05,3.6901),(3245,685,-8.4e-05,3.6902),(3245,695,-0.000113,3.6902),(3245,705,-0.000146,3.6903),(3245,715,-0.00018,3.6903),(3245,725,-0.000213,3.6904),(3245,735,-0.000247,3.6905),(3245,745,-0.000285,3.6905),(3245,755,-0.000323,3.6906),(3245,765,-0.000362,3.6907),(3245,775,-0.000401,3.6908),(3245,785,-0.000444,3.6908),(3245,795,-0.000487,3.6909),(3245,805,-0.000531,3.691),(3245,815,-0.000575,3.6911),(3245,825,-0.000624,3.6912),(3245,835,-0.000672,3.6913),(3245,845,-0.000721,3.6914),(3245,855,-0.000771,3.6915),(3245,865,-0.000825,3.6916),(3245,875,-0.000879,3.6917),(3245,885,-0.000932,3.6918),(3245,895,-0.000988,3.6919),(3245,905,-0.001048,3.692),(3245,915,-0.001107,3.6921),(3245,925,-0.001167,3.6922),(3245,935,-0.001228,3.6924),(3245,945,-0.001293,3.6925),(3245,955,-0.001357,3.6926),(3245,965,-0.001422,3.6928),(3245,975,-0.001488,3.6929),(3245,985,-0.001558,3.693),(3245,995,-0.001628,3.6932),(3245,1005,-0.001697,3.6933),(3245,1015,-0.001769,3.6935),(3245,1025,-0.001844,3.6936),(3245,1035,-0.001918,3.6938),(3245,1045,-0.001993,3.694),(3245,1055,-0.00207,3.6941),(3245,1065,-0.00215,3.6943),(3245,1075,-0.002229,3.6945),(3245,1085,-0.002309,3.6947),(3245,1095,-0.00239,3.6949),(3245,1105,-0.002474,3.6951),(3245,1115,-0.002558,3.6953),(3245,1125,-0.002642,3.6955),(3245,1135,-0.002728,3.6957),(3245,1145,-0.002815,3.6959),(3245,1155,-0.002903,3.6961),(3245,1165,-0.00299,3.6963),(3245,1175,-0.00308,3.6966),(3245,1185,-0.003171,3.6968),(3245,1195,-0.003262,3.6971),(3245,1205,-0.003353,3.6973),(3245,1215,-0.003446,3.6976),(3245,1225,-0.003539,3.6978),(3245,1235,-0.003633,3.6981),(3245,1245,-0.003726,3.6984),(3245,1255,-0.003822,3.6986),(3245,1265,-0.003917,3.6989),(3245,1275,-0.004013,3.6992),(3245,1285,-0.004109,3.6995),(3245,1295,-0.004206,3.6998),(3245,1305,-0.004303,3.7001),(3245,1315,-0.004401,3.7005),(3245,1325,-0.004498,3.7008),(3245,1335,-0.004596,3.7011),(3245,1345,-0.004694,3.7015),(3245,1355,-0.004792,3.7018),(3245,1365,-0.004891,3.7022),(3245,1375,-0.004989,3.7025),(3245,1385,-0.005087,3.7029),(3245,1395,-0.005185,3.7033),(3245,1405,-0.005283,3.7037),(3245,1415,-0.005381,3.7041),(3245,1425,-0.005478,3.7045),(3245,1435,-0.005575,3.7049),(3245,1445,-0.005672,3.7053),(3245,1455,-0.005767,3.7058),(3245,1465,-0.005863,3.7062),(3245,1475,-0.005958,3.7066),(3245,1485,-0.006053,3.7071),(3245,1495,-0.006146,3.7076),(3245,1505,-0.006238,3.708),(3245,1515,-0.006331,3.7085),(3245,1525,-0.006423,3.709),(3245,1535,-0.006512,3.7095),(3245,1545,-0.006601,3.71),(3245,1555,-0.00669,3.7106),(3245,1565,-0.006779,3.7111),(3245,1575,-0.006863,3.7117),(3245,1585,-0.006947,3.7122),(3245,1595,-0.007032,3.7128),(3245,1605,-0.007115,3.7134),(3245,1615,-0.007194,3.714),(3245,1625,-0.007272,3.7145),(3245,1635,-0.00735,3.7152),(3245,1645,-0.007428,3.7158),(3245,1655,-0.007499,3.7164),(3245,1665,-0.00757,3.7171),(3245,1675,-0.007641,3.7177),(3245,1685,-0.00771,3.7184),(3245,1695,-0.007773,3.7191),(3245,1705,-0.007835,3.7198),(3245,1715,-0.007897,3.7205),(3245,1725,-0.007958,3.7212),(3245,1735,-0.00801,3.722),(3245,1745,-0.008062,3.7227),(3245,1755,-0.008114,3.7235),(3245,1765,-0.008163,3.7243),(3245,1775,-0.008204,3.7251),(3245,1785,-0.008244,3.7259),(3245,1795,-0.008284,3.7267),(3245,1805,-0.008319,3.7276),(3245,1815,-0.008344,3.7284),(3245,1825,-0.008369,3.7293),(3245,1835,-0.008394,3.7302),(3245,1845,-0.008413,3.7311),(3245,1855,-0.008421,3.732),(3245,1865,-0.008428,3.733),(3245,1875,-0.008435,3.734),(3245,1885,-0.008434,3.735),(3245,1895,-0.00842,3.7359),(3245,1905,-0.008406,3.737),(3245,1915,-0.008391,3.738),(3245,1925,-0.008366,3.7391),(3245,1935,-0.008326,3.7402),(3245,1945,-0.008286,3.7413),(3245,1955,-0.008246,3.7424),(3245,1965,-0.008192,3.7436),(3245,1975,-0.00812,3.7447),(3245,1985,-0.008048,3.7459),(3245,1995,-0.007977,3.7472),(3245,2005,-0.007886,3.7484),(3245,2015,-0.007776,3.7497),(3245,2025,-0.007666,3.751),(3245,2035,-0.007556,3.7523),(3245,2045,-0.00742,3.7537),(3245,2055,-0.007263,3.7551),(3245,2065,-0.007105,3.7565),(3245,2075,-0.006948,3.7579),(3245,2085,-0.006757,3.7594),(3245,2095,-0.006542,3.7609),(3245,2105,-0.006327,3.7624),(3245,2115,-0.006112,3.764),(3245,2125,-0.005853,3.7656),(3245,2135,-0.005567,3.7672),(3245,2145,-0.00528,3.7689),(3245,2155,-0.004994,3.7706),(3245,2165,-0.004651,3.7723),(3245,2175,-0.004278,3.774),(3245,2185,-0.003905,3.7759),(3245,2195,-0.003533,3.7777),(3245,2205,-0.003085,3.7796),(3245,2215,-0.002606,3.7815),(3245,2225,-0.002127,3.7835),(3245,2235,-0.001647,3.7855),(3245,2245,-0.001072,3.7875),(3245,2255,-0.000463,3.7895),(3245,2265,0.000147,3.7917),(3245,2275,0.000756,3.7939),(3245,2285,0.001488,3.7961),(3245,2295,0.002256,3.7983),(3245,2305,0.003023,3.8006),(3245,2315,0.003791,3.8029),(3245,2325,0.004715,3.8053),(3245,2335,0.005674,3.8077),(3245,2345,0.006633,3.8102),(3245,2355,0.007591,3.8127),(3245,2365,0.008748,3.8153),(3245,2375,0.009937,3.8178),(3245,2385,0.011126,3.8205),(3245,2395,0.012315,3.8232),(3245,2405,0.013751,3.8259),(3245,2415,0.015215,3.8286),(3245,2425,0.016679,3.8315),(3245,2435,0.018143,3.8344),(3245,2445,0.019912,3.8373),(3245,2455,0.021701,3.8402),(3245,2465,0.023491,3.8432),(3245,2475,0.02528,3.8462),(3245,2485,0.02744,3.8493),(3245,2495,0.02961,3.8523),(3245,2505,0.03178,3.8555),(3245,2515,0.033957,3.8586),(3245,2525,0.036566,3.8618),(3245,2535,0.039175,3.865),(3245,2545,0.041784,3.8682),(3245,2555,0.04442,3.8715),(3245,2565,0.047527,3.8748),(3245,2575,0.050635,3.878),(3245,2585,0.053742,3.8813),(3245,2595,0.056902,3.8846),(3245,2605,0.060566,3.8879),(3245,2615,0.064229,3.8912),(3245,2625,0.067892,3.8944),(3245,2635,0.071636,3.8977),(3245,2645,0.075905,3.901),(3245,2655,0.080175,3.9042),(3245,2665,0.084444,3.9073),(3245,2675,0.088825,3.9105),(3245,2685,0.093739,3.9136),(3245,2695,0.098653,3.9167),(3245,2705,0.10357,3.9196),(3245,2715,0.10862,3.9225),(3245,2725,0.11421,3.9254),(3245,2735,0.11979,3.9283),(3245,2745,0.12537,3.9309),(3245,2755,0.13112,3.9334),(3245,2765,0.13738,3.936),(3245,2775,0.14363,3.9385),(3245,2785,0.14989,3.9406),(3245,2795,0.15633,3.9427),(3245,2805,0.16324,3.9448),(3245,2815,0.17015,3.9468),(3245,2825,0.17706,3.9483),(3245,2835,0.18417,3.9499),(3245,2845,0.19169,3.9514),(3245,2855,0.19922,3.9527),(3245,2865,0.20674,3.9536),(3245,2875,0.21447,3.9545),(3245,2885,0.22255,3.9554),(3245,2895,0.23063,3.9559),(3245,2905,0.23872,3.956),(3245,2915,0.247,3.9561),(3245,2925,0.25556,3.9562),(3245,2935,0.26413,3.9559),(3245,2945,0.2727,3.9551),(3245,2955,0.28145,3.9543),(3245,2965,0.29041,3.9535),(3245,2975,0.29938,3.9523),(3245,2985,0.30835,3.9505),(3245,2995,0.31747,3.9488),(3245,3005,0.32675,3.9471),(3245,3015,0.33603,3.9448),(3245,3025,0.34531,3.942),(3245,3035,0.3547,3.9393),(3245,3045,0.36418,3.9365),(3245,3055,0.37367,3.9332),(3245,3065,0.38316,3.9293),(3245,3075,0.39271,3.9255),(3245,3085,0.4023,3.9217),(3245,3095,0.41189,3.9172),(3245,3105,0.42148,3.9122),(3245,3115,0.43107,3.9072),(3245,3125,0.44066,3.9023),(3245,3135,0.45025,3.8966),(3245,3145,0.45983,3.8905),(3245,3155,0.46934,3.8844),(3245,3165,0.47881,3.8783),(3245,3175,0.48827,3.8714),(3245,3185,0.49774,3.8641),(3245,3195,0.50703,3.8568),(3245,3205,0.51625,3.8495),(3245,3215,0.52547,3.8413),(3245,3225,0.53469,3.8328),(3245,3235,0.54363,3.8243),(3245,3245,0.55246,3.8158),(3245,3255,0.5613,3.8064),(3245,3265,0.57013,3.7967),(3245,3275,0.57856,3.787),(3245,3285,0.58687,3.7773),(3245,3295,0.59518,3.7666),(3245,3305,0.60348,3.7557),(3245,3315,0.61123,3.7448),(3245,3325,0.61885,3.7339),(3245,3335,0.62647,3.722),(3245,3345,0.63408,3.7099),(3245,3355,0.64097,3.6978),(3245,3365,0.64773,3.6857),(3245,3375,0.65448,3.6727),(3245,3385,0.66124,3.6594),(3245,3395,0.66707,3.6462),(3245,3405,0.67278,3.633),(3245,3415,0.67849,3.6189),(3245,3425,0.6842,3.6046),(3245,3435,0.68876,3.5904),(3245,3445,0.69324,3.5761),(3245,3455,0.69771,3.561),(3245,3465,0.70218,3.5458),(3245,3475,0.70527,3.5306),(3245,3485,0.70831,3.5155),(3245,3495,0.71135,3.4995),(3245,3505,0.71439,3.4836),(3245,3515,0.7158,3.4677),(3245,3525,0.71722,3.4517),(3245,3535,0.71864,3.4353),(3245,3545,0.71998,3.4188),(3245,3555,0.71959,3.4023),(3245,3565,0.71921,3.3858),(3245,3575,0.71882,3.369),(3245,3585,0.71828,3.3523),(3245,3595,0.71593,3.3355),(3245,3605,0.71358,3.3187),(3245,3615,0.71124,3.3019),(3245,3625,0.70863,3.2852),(3245,3635,0.70418,3.2684),(3245,3645,0.69974,3.2517),(3245,3655,0.69529,3.2353),(3245,3665,0.69048,3.2189),(3245,3675,0.68381,3.2025),(3245,3685,0.67714,3.1862),(3245,3695,0.67047,3.1706),(3245,3705,0.66332,3.155),(3245,3715,0.65432,3.1394),(3245,3725,0.64532,3.124),(3245,3735,0.63632,3.1097),(3245,3745,0.62673,3.0954),(3245,3755,0.6153,3.0811),(3245,3765,0.60387,3.0673),(3245,3775,0.59244,3.055),(3245,3785,0.58033,3.0427),(3245,3795,0.56645,3.0304),(3245,3805,0.55257,3.019),(3245,3815,0.53869,3.0098),(3245,3825,0.5241,3.0006),(3245,3835,0.508,2.9914),(3245,3845,0.49191,2.9837),(3245,3855,0.47582,2.9792),(3245,3865,0.45933,2.9746),(3245,3875,0.44213,2.97),(3245,3885,0.42492,2.968),(3245,3895,0.40772,2.9701),(3245,3905,0.43346,2.9721),(3245,3915,0.52336,2.9742),(3245,3925,0.61325,2.9869),(3245,3935,0.70315,3.0143),(3245,3945,0.8135,3.0416),(3245,3955,0.94981,3.0689),(3245,3965,1.0861,3.0914),(3245,3975,1.2224,3.1081),(3245,3985,1.3159,3.1248),(3245,3995,1.3631,3.1415),(3245,4005,1.4102,3.1451),(3245,4015,1.4574,3.1356),(3245,4025,1.5165,3.1261),(3245,4035,1.5768,3.1085),(3245,4045,1.6371,3.0738),(3245,4055,1.6929,3.0392),(3245,4065,1.7472,3.0029),(3245,4075,1.8014,2.9567),(3245,4085,1.8462,2.9105),(3245,4095,1.8835,2.8643),(3245,4105,1.9207,2.8179),(3245,4115,1.8923,2.7715),(3245,4125,1.7549,2.7251),(3245,4135,1.6175,2.6901),(3245,4145,1.4745,2.6582),(3245,4155,1.3088,2.6263),(3245,4165,1.1432,2.6016),(3245,4175,0.98726,2.5815),(3245,4185,1.3139,2.5614),(3245,4195,1.6406,2.5362),(3245,4205,1.9672,2.5041),(3245,4215,2.0183,2.4721),(3245,4225,2.0176,2.4408),(3245,4235,2.0168,2.4116),(3245,4245,1.9804,2.3825),(3245,4255,1.926,2.3535),(3245,4265,1.8715,2.3257),(3245,4275,1.6466,2.2979),(3245,4285,1.2407,2.2702),(3245,4295,0.83484,2.2613),(3245,4305,0.67781,2.2546),(3245,4315,1.0827,2.2479),(3245,4325,1.4876,2.2313),(3245,4335,1.8475,2.2109),(3245,4345,1.903,2.1904),(3245,4355,1.9586,2.1696),(3245,4365,2.0142,2.1483),(3245,4375,2.0207,2.1271),(3245,4385,2.0247,2.1061),(3245,4395,2.0287,2.0855),(3245,4405,1.7914,2.0649),(3245,4415,1.4828,2.0462),(3245,4425,1.1743,2.0361),(3245,4435,1.0445,2.026),(3245,4445,1.0368,2.0159),(3245,4455,1.0291,2.0067),(3245,4465,1.155,1.9975),(3245,4475,1.4686,1.9883),(3245,4485,1.7822,1.9726),(3245,4495,2.0218,1.9555),(3245,4505,2.0241,1.9383),(3245,4515,2.0264,1.9214),(3245,4525,2.0246,1.9046),(3245,4535,1.9583,1.8877),(3245,4545,1.892,1.872),(3245,4555,1.8258,1.8574),(3245,4565,1.41,1.8427),(3245,4575,0.94709,1.8317),(3245,4585,0.48419,1.8295),(3245,4595,0.66259,1.8273),(3245,4605,1.112,1.8231),(3245,4615,1.5613,1.8044),(3245,4625,1.8092,1.7856),(3245,4635,1.8748,1.7668),(3245,4645,1.9403,1.7503),(3245,4655,1.9867,1.734),(3245,4665,1.9973,1.7177),(3245,4675,2.0079,1.702),(3245,4685,1.9484,1.6865),(3245,4695,1.5424,1.671),(3245,4705,1.1365,1.6614),(3245,4715,0.73053,1.6563),(3245,4725,0.92711,1.6511),(3245,4735,1.1297,1.6442),(3245,4745,1.3323,1.6349),(3245,4755,1.5377,1.6255),(3245,4765,1.7437,1.6151),(3245,4775,1.9497,1.601),(3245,4785,2.0269,1.5869),(3245,4795,2.0298,1.5728),(3245,4805,2.0326,1.5589),(3245,4815,1.938,1.545),(3245,4825,1.7267,1.5311),(3245,4835,1.5154,1.5213),(3245,4845,1.3019,1.5122),(3245,4855,1.0827,1.503),(3245,4865,0.86349,1.4973),(3245,4875,0.70894,1.4932),(3245,4885,1.1427,1.4891),(3245,4895,1.5764,1.4804),(3245,4905,2.0102,1.4672),(3245,4915,2.0441,1.454),(3245,4925,2.0437,1.4408),(3245,4935,2.0432,1.4273),(3245,4945,2.0091,1.4139),(3245,4955,1.9634,1.4001),(3245,4965,1.9176,1.384),(3245,4975,1.592,1.368),(3245,4985,1.0504,1.352),(3245,4995,0.50877,1.3507),(3245,5005,0.34755,1.3499),(3245,5015,0.79105,1.349),(3245,5025,1.2346,1.3413),(3245,5035,1.6166,1.3319),(3245,5045,1.7642,1.3225),(3245,5055,1.9118,1.3113),(3245,5065,2.0551,1.299),(3245,5075,2.0576,1.2867),(3245,5085,2.0601,1.2744),(3245,5095,2.0627,1.2621),(3245,5105,1.8051,1.2499),(3245,5115,1.5022,1.2392),(3245,5125,1.1992,1.2327),(3245,5135,1.0484,1.2263),(3245,5145,0.97143,1.22),(3245,5155,0.89443,1.2154),(3245,5165,1.0506,1.2108),(3245,5175,1.4444,1.2062),(3245,5185,1.8383,1.1954),(3245,5195,2.1081,1.1838),(3245,5205,2.1102,1.1723),(3245,5215,2.1123,1.1609),(3245,5225,2.1034,1.1494),(3245,5235,2.0256,1.138),(3245,5245,1.9479,1.1273),(3245,5255,1.8702,1.1172),(3245,5265,1.3203,1.1072),(3245,5275,0.75085,1.1007),(3245,5285,0.18143,1.1005),(3245,5295,0.55,1.1003),(3245,5305,1.1798,1.0976),(3245,5315,1.8096,1.0842),(3245,5325,2.0779,1.0709),(3245,5335,2.1092,1.0575),(3245,5345,2.1405,1.0465),(3245,5355,2.1596,1.0354),(3245,5365,2.1623,1.0244),(3245,5375,2.1649,1.0135),(3245,5385,2.0435,1.0028),(3245,5395,1.545,0.99199),(3245,5405,1.0465,0.98645),(3245,5415,0.60275,0.98362),(3245,5425,0.89486,0.98079),(3245,5435,1.187,0.97647),(3245,5445,1.4791,0.97054),(3245,5455,1.7574,0.96461),(3245,5465,2.034,0.95766),(3245,5475,2.3107,0.94836),(3245,5485,2.3903,0.93906),(3245,5495,2.3905,0.9298),(3245,5505,2.3907,0.92076),(3245,5515,2.391,0.91172),(3245,5525,2.3912,0.90268),(3245,5535,2.3914,0.89389),(3245,5545,2.3916,0.88511),(3245,5555,2.3918,0.87634),(3245,5565,2.3919,0.86775),(3245,5575,2.392,0.85921),(3245,5585,2.392,0.85068),(3245,5595,2.392,0.8423),(3245,5605,2.3921,0.83402),(3245,5615,2.392,0.82574),(3245,5625,2.3919,0.81755),(3245,5635,2.3918,0.80949),(3245,5645,2.3917,0.80143),(3245,5655,2.3915,0.79341),(3245,5665,2.3913,0.78556),(3245,5675,2.3911,0.77771),(3245,5685,2.3908,0.76986),(3245,5695,2.3906,0.7622),(3245,5705,2.3903,0.75454),(3245,5715,2.3899,0.74687),(3245,5725,2.3896,0.73937),(3245,5735,2.3892,0.73188),(3245,5745,2.3888,0.7244),(3245,5755,2.3884,0.71703),(3245,5765,2.388,0.70971),(3245,5775,2.3875,0.70239),(3245,5785,2.387,0.69516),(3245,5795,2.3865,0.688),(3245,5805,2.3859,0.68085),(3245,5815,2.3854,0.67375),(3245,5825,2.3848,0.66674),(3245,5835,2.3842,0.65974),(3245,5845,2.3836,0.65276),(3245,5855,2.383,0.64589),(3245,5865,2.3824,0.63902),(3245,5875,2.3817,0.63215),(3245,5885,2.381,0.6254),(3245,5895,2.3803,0.61866),(3245,5905,2.3796,0.61192),(3245,5915,2.3789,0.60527),(3245,5925,2.3782,0.59866),(3245,5935,2.3774,0.59204),(3245,5945,2.3766,0.5855),(3245,5955,2.3759,0.57901),(3245,5965,2.3751,0.57252),(3245,5975,2.3743,0.56608),(3245,5985,2.3735,0.55969),(3245,5995,1.8149,0.5533),(3245,6005,1.1665,0.54843),(3245,6015,0.51813,0.5476),(3245,6025,0.65936,0.54677),(3245,6035,1.1668,0.5453),(3245,6045,1.6742,0.53772),(3245,6055,2.0268,0.53013),(3245,6065,2.2274,0.52255),(3245,6075,2.428,0.51273),(3245,6085,2.5636,0.5027),(3245,6095,2.5653,0.49268),(3245,6105,2.5669,0.48266),(3245,6115,2.5685,0.47264),(3245,6125,2.57,0.46262),(3245,6135,2.5715,0.45269),(3245,6145,2.573,0.44282),(3245,6155,2.5745,0.43295),(3245,6165,2.5759,0.42314),(3245,6175,2.5773,0.41343),(3245,6185,2.5786,0.40371),(3245,6195,2.5799,0.39401),(3245,6205,2.5812,0.38436),(3245,6215,2.5825,0.37471),(3245,6225,2.5837,0.36506),(3245,6235,2.5849,0.35543),(3245,6245,2.586,0.3458),(3245,6255,2.5871,0.33618),(3245,6265,2.5882,0.32662),(3245,6275,2.5893,0.31707),(3245,6285,2.5903,0.30752),(3245,6295,2.5913,0.29803),(3245,6305,2.5923,0.28858),(3245,6315,2.5932,0.27912),(3245,6325,2.5941,0.2697),(3245,6335,2.595,0.26031),(3245,6345,2.5958,0.25092),(3245,6355,2.5966,0.24155),(3245,6365,2.5975,0.2322),(3245,6375,2.5982,0.22285),(3245,6385,2.5989,0.2135),(3245,6395,2.5996,0.20417),(3245,6405,2.6003,0.19483),(3245,6415,2.6009,0.1855),(3245,6425,2.6015,0.17624),(3245,6435,2.602,0.16698),(3245,6445,2.6025,0.15773),(3245,6455,2.603,0.14854),(3245,6465,2.6035,0.13937),(3245,6475,2.6039,0.1302),(3245,6485,2.6043,0.12103),(3245,6495,2.6047,0.11184),(3245,6505,2.6051,0.10265),(3245,6515,2.6054,0.093466),(3245,6525,2.6057,0.084289),(3245,6535,2.606,0.075111),(3245,6545,2.6062,0.065931),(3245,6555,2.6064,0.056741),(3245,6565,2.6066,0.047552),(3245,6575,2.6067,0.038365),(3245,6585,2.6069,0.029216),(3245,6595,2.2173,0.020067),(3245,6605,1.3976,0.010919),(3245,6615,0.5778,0.009835),(3245,6625,0.001521,0.009787),(3245,6635,0.001519,0.009739),(3245,6645,0.001516,0.009719),(3245,6655,0.001513,0.00971),(3245,6665,0.00151,0.009702),(3245,6675,0.001507,0.009693),(3245,6685,0.001505,0.009685),(3245,6695,0.001502,0.009676),(3245,6705,0.0015,0.009668),(3245,6715,0.001498,0.009659),(3245,6725,0.001495,0.009651),(3245,6735,0.001493,0.009642),(3245,6745,0.001491,0.009634),(3245,6755,0.001489,0.009625),(3245,6765,0.001487,0.009617),(3245,6775,0.001485,0.009608),(3245,6785,0.001483,0.0096),(3245,6795,0.001481,0.009591),(3245,6805,0.00148,0.009583),(3245,6815,0.001478,0.009575),(3245,6825,0.001476,0.009566),(3245,6835,0.001475,0.009558),(3245,6845,0.001473,0.009549),(3245,6855,0.001472,0.009541),(3245,6865,0.00147,0.009532),(3245,6875,0.001469,0.009524),(3245,6885,0.001468,0.009515),(3245,6895,0.001466,0.009507),(3245,6905,0.001465,0.009498),(3245,6915,0.001464,0.00949),(3245,6925,0.001463,0.009481),(3245,6935,0.001462,0.009473),(3245,6945,0.00146,0.009464),(3245,6955,0.00146,0.009456),(3245,6965,0.001458,0.009447),(3245,6975,0.001458,0.009439),(3245,6985,0.001457,0.00943),(3255,5,6e-06,3.6887),(3255,15,1.8e-05,3.6887),(3255,25,3.1e-05,3.6887),(3255,35,4.3e-05,3.6887),(3255,45,5.5e-05,3.6887),(3255,55,6.7e-05,3.6887),(3255,65,7.9e-05,3.6887),(3255,75,9.1e-05,3.6887),(3255,85,0.000103,3.6887),(3255,95,0.000114,3.6887),(3255,105,0.000126,3.6887),(3255,115,0.000137,3.6888),(3255,125,0.000148,3.6888),(3255,135,0.000159,3.6888),(3255,145,0.000169,3.6888),(3255,155,0.000179,3.6888),(3255,165,0.000189,3.6888),(3255,175,0.000199,3.6888),(3255,185,0.000209,3.6888),(3255,195,0.000218,3.6888),(3255,205,0.000226,3.6888),(3255,215,0.000235,3.6888),(3255,225,0.000243,3.6888),(3255,235,0.00025,3.6888),(3255,245,0.000258,3.6888),(3255,255,0.000265,3.6889),(3255,265,0.000271,3.6889),(3255,275,0.000276,3.6889),(3255,285,0.000282,3.6889),(3255,295,0.000287,3.6889),(3255,305,0.000291,3.6889),(3255,315,0.000294,3.6889),(3255,325,0.000297,3.689),(3255,335,0.0003,3.689),(3255,345,0.000301,3.689),(3255,355,0.000302,3.689),(3255,365,0.000303,3.689),(3255,375,0.000303,3.689),(3255,385,0.000302,3.6891),(3255,395,0.0003,3.6891),(3255,405,0.000297,3.6891),(3255,415,0.000295,3.6891),(3255,425,0.00029,3.6891),(3255,435,0.000285,3.6892),(3255,445,0.00028,3.6892),(3255,455,0.000275,3.6892),(3255,465,0.000267,3.6892),(3255,475,0.000258,3.6893),(3255,485,0.00025,3.6893),(3255,495,0.000241,3.6893),(3255,505,0.000229,3.6894),(3255,515,0.000217,3.6894),(3255,525,0.000204,3.6894),(3255,535,0.000192,3.6895),(3255,545,0.000176,3.6895),(3255,555,0.000159,3.6895),(3255,565,0.000143,3.6896),(3255,575,0.000126,3.6896),(3255,585,0.000106,3.6896),(3255,595,8.5e-05,3.6897),(3255,605,6.5e-05,3.6897),(3255,615,4.3e-05,3.6898),(3255,625,1.8e-05,3.6898),(3255,635,-7e-06,3.6899),(3255,645,-3.2e-05,3.6899),(3255,655,-5.7e-05,3.69),(3255,665,-8.7e-05,3.69),(3255,675,-0.000117,3.6901),(3255,685,-0.000147,3.6901),(3255,695,-0.000178,3.6902),(3255,705,-0.000213,3.6902),(3255,715,-0.000248,3.6903),(3255,725,-0.000283,3.6904),(3255,735,-0.000319,3.6904),(3255,745,-0.000359,3.6905),(3255,755,-0.0004,3.6906),(3255,765,-0.00044,3.6907),(3255,775,-0.000482,3.6907),(3255,785,-0.000528,3.6908),(3255,795,-0.000573,3.6909),(3255,805,-0.000619,3.691),(3255,815,-0.000666,3.6911),(3255,825,-0.000717,3.6911),(3255,835,-0.000768,3.6912),(3255,845,-0.000819,3.6913),(3255,855,-0.000872,3.6914),(3255,865,-0.000929,3.6915),(3255,875,-0.000986,3.6916),(3255,885,-0.001042,3.6917),(3255,895,-0.001101,3.6918),(3255,905,-0.001164,3.6919),(3255,915,-0.001226,3.6921),(3255,925,-0.001289,3.6922),(3255,935,-0.001354,3.6923),(3255,945,-0.001422,3.6924),(3255,955,-0.001489,3.6925),(3255,965,-0.001558,3.6927),(3255,975,-0.001628,3.6928),(3255,985,-0.001701,3.693),(3255,995,-0.001774,3.6931),(3255,1005,-0.001848,3.6933),(3255,1015,-0.001924,3.6934),(3255,1025,-0.002002,3.6936),(3255,1035,-0.002081,3.6937),(3255,1045,-0.00216,3.6939),(3255,1055,-0.002241,3.6941),(3255,1065,-0.002325,3.6942),(3255,1075,-0.002409,3.6944),(3255,1085,-0.002493,3.6946),(3255,1095,-0.002579,3.6948),(3255,1105,-0.002668,3.695),(3255,1115,-0.002756,3.6952),(3255,1125,-0.002845,3.6954),(3255,1135,-0.002936,3.6956),(3255,1145,-0.003028,3.6958),(3255,1155,-0.003121,3.696),(3255,1165,-0.003213,3.6963),(3255,1175,-0.003308,3.6965),(3255,1185,-0.003405,3.6967),(3255,1195,-0.003501,3.697),(3255,1205,-0.003598,3.6972),(3255,1215,-0.003696,3.6975),(3255,1225,-0.003796,3.6977),(3255,1235,-0.003895,3.698),(3255,1245,-0.003995,3.6983),(3255,1255,-0.004096,3.6985),(3255,1265,-0.004198,3.6988),(3255,1275,-0.0043,3.6991),(3255,1285,-0.004402,3.6994),(3255,1295,-0.004506,3.6997),(3255,1305,-0.00461,3.7),(3255,1315,-0.004714,3.7004),(3255,1325,-0.004818,3.7007),(3255,1335,-0.004923,3.701),(3255,1345,-0.005028,3.7014),(3255,1355,-0.005133,3.7017),(3255,1365,-0.005239,3.7021),(3255,1375,-0.005344,3.7024),(3255,1385,-0.00545,3.7028),(3255,1395,-0.005556,3.7032),(3255,1405,-0.005662,3.7036),(3255,1415,-0.005767,3.704),(3255,1425,-0.005872,3.7044),(3255,1435,-0.005977,3.7048),(3255,1445,-0.006083,3.7052),(3255,1455,-0.006187,3.7057),(3255,1465,-0.00629,3.7061),(3255,1475,-0.006394,3.7065),(3255,1485,-0.006498,3.707),(3255,1495,-0.0066,3.7075),(3255,1505,-0.006702,3.7079),(3255,1515,-0.006803,3.7084),(3255,1525,-0.006905,3.7089),(3255,1535,-0.007004,3.7094),(3255,1545,-0.007103,3.7099),(3255,1555,-0.007201,3.7105),(3255,1565,-0.0073,3.711),(3255,1575,-0.007395,3.7116),(3255,1585,-0.007489,3.7121),(3255,1595,-0.007584,3.7127),(3255,1605,-0.007679,3.7133),(3255,1615,-0.007768,3.7139),(3255,1625,-0.007858,3.7144),(3255,1635,-0.007948,3.7151),(3255,1645,-0.008036,3.7157),(3255,1655,-0.00812,3.7163),(3255,1665,-0.008203,3.717),(3255,1675,-0.008286,3.7177),(3255,1685,-0.008368,3.7183),(3255,1695,-0.008444,3.719),(3255,1705,-0.008519,3.7197),(3255,1715,-0.008595,3.7204),(3255,1725,-0.008668,3.7212),(3255,1735,-0.008735,3.7219),(3255,1745,-0.008801,3.7226),(3255,1755,-0.008868,3.7234),(3255,1765,-0.008931,3.7242),(3255,1775,-0.008987,3.725),(3255,1785,-0.009042,3.7258),(3255,1795,-0.009098,3.7267),(3255,1805,-0.009149,3.7275),(3255,1815,-0.009192,3.7284),(3255,1825,-0.009234,3.7292),(3255,1835,-0.009276,3.7302),(3255,1845,-0.009312,3.7311),(3255,1855,-0.009338,3.732),(3255,1865,-0.009364,3.7329),(3255,1875,-0.009389,3.7339),(3255,1885,-0.009407,3.7349),(3255,1895,-0.009413,3.7359),(3255,1905,-0.009419,3.737),(3255,1915,-0.009425,3.738),(3255,1925,-0.009421,3.7391),(3255,1935,-0.009403,3.7402),(3255,1945,-0.009385,3.7413),(3255,1955,-0.009367,3.7424),(3255,1965,-0.009336,3.7436),(3255,1975,-0.009288,3.7448),(3255,1985,-0.009241,3.746),(3255,1995,-0.009194,3.7472),(3255,2005,-0.009128,3.7485),(3255,2015,-0.009045,3.7498),(3255,2025,-0.008962,3.7511),(3255,2035,-0.008878,3.7524),(3255,2045,-0.008771,3.7538),(3255,2055,-0.008642,3.7552),(3255,2065,-0.008514,3.7566),(3255,2075,-0.008386,3.7581),(3255,2085,-0.008226,3.7596),(3255,2095,-0.008043,3.761),(3255,2105,-0.007859,3.7626),(3255,2115,-0.007676,3.7642),(3255,2125,-0.00745,3.7658),(3255,2135,-0.007199,3.7674),(3255,2145,-0.006947,3.7691),(3255,2155,-0.006696,3.7709),(3255,2165,-0.006389,3.7726),(3255,2175,-0.006053,3.7743),(3255,2185,-0.005718,3.7762),(3255,2195,-0.005383,3.7781),(3255,2205,-0.004975,3.78),(3255,2215,-0.004536,3.7819),(3255,2225,-0.004097,3.7839),(3255,2235,-0.003658,3.786),(3255,2245,-0.003125,3.788),(3255,2255,-0.002558,3.7901),(3255,2265,-0.001992,3.7923),(3255,2275,-0.001425,3.7945),(3255,2285,-0.000738,3.7967),(3255,2295,-1.5e-05,3.7989),(3255,2305,0.000707,3.8013),(3255,2315,0.001429,3.8037),(3255,2325,0.002307,3.8061),(3255,2335,0.003219,3.8085),(3255,2345,0.004131,3.8111),(3255,2355,0.005044,3.8137),(3255,2365,0.006153,3.8163),(3255,2375,0.007295,3.8189),(3255,2385,0.008437,3.8217),(3255,2395,0.009579,3.8245),(3255,2405,0.010969,3.8272),(3255,2415,0.012387,3.83),(3255,2425,0.013805,3.833),(3255,2435,0.015223,3.8359),(3255,2445,0.016948,3.8389),(3255,2455,0.018694,3.8419),(3255,2465,0.02044,3.845),(3255,2475,0.022186,3.8481),(3255,2485,0.024309,3.8513),(3255,2495,0.026441,3.8544),(3255,2505,0.028573,3.8577),(3255,2515,0.030711,3.861),(3255,2525,0.033291,3.8643),(3255,2535,0.03587,3.8676),(3255,2545,0.03845,3.8709),(3255,2555,0.041057,3.8743),(3255,2565,0.044147,3.8777),(3255,2575,0.047237,3.8811),(3255,2585,0.050327,3.8845),(3255,2595,0.053471,3.888),(3255,2605,0.057133,3.8914),(3255,2615,0.060794,3.8949),(3255,2625,0.064456,3.8983),(3255,2635,0.068201,3.9017),(3255,2645,0.072487,3.9051),(3255,2655,0.076774,3.9085),(3255,2665,0.081061,3.9118),(3255,2675,0.085464,3.9151),(3255,2685,0.090418,3.9184),(3255,2695,0.095373,3.9217),(3255,2705,0.10033,3.9248),(3255,2715,0.10543,3.9279),(3255,2725,0.11108,3.931),(3255,2735,0.11673,3.934),(3255,2745,0.12237,3.9368),(3255,2755,0.1282,3.9395),(3255,2765,0.13454,3.9423),(3255,2775,0.14089,3.9449),(3255,2785,0.14724,3.9472),(3255,2795,0.15378,3.9495),(3255,2805,0.16081,3.9518),(3255,2815,0.16784,3.9539),(3255,2825,0.17487,3.9556),(3255,2835,0.18211,3.9574),(3255,2845,0.18977,3.9591),(3255,2855,0.19744,3.9605),(3255,2865,0.20511,3.9616),(3255,2875,0.21299,3.9626),(3255,2885,0.22124,3.9636),(3255,2895,0.22949,3.9643),(3255,2905,0.23774,3.9645),(3255,2915,0.2462,3.9648),(3255,2925,0.25495,3.965),(3255,2935,0.26371,3.9648),(3255,2945,0.27247,3.9641),(3255,2955,0.28141,3.9634),(3255,2965,0.29058,3.9628),(3255,2975,0.29976,3.9616),(3255,2985,0.30893,3.96),(3255,2995,0.31827,3.9583),(3255,3005,0.32777,3.9566),(3255,3015,0.33727,3.9545),(3255,3025,0.34677,3.9517),(3255,3035,0.35639,3.949),(3255,3045,0.36611,3.9463),(3255,3055,0.37583,3.943),(3255,3065,0.38555,3.9392),(3255,3075,0.39534,3.9354),(3255,3085,0.40518,3.9316),(3255,3095,0.41502,3.9271),(3255,3105,0.42486,3.9222),(3255,3115,0.4347,3.9172),(3255,3125,0.44454,3.9123),(3255,3135,0.45438,3.9066),(3255,3145,0.46422,3.9004),(3255,3155,0.47399,3.8943),(3255,3165,0.48372,3.8882),(3255,3175,0.49345,3.8812),(3255,3185,0.50317,3.8738),(3255,3195,0.51273,3.8665),(3255,3205,0.52222,3.8591),(3255,3215,0.5317,3.8509),(3255,3225,0.54119,3.8423),(3255,3235,0.5504,3.8337),(3255,3245,0.5595,3.8251),(3255,3255,0.56861,3.8156),(3255,3265,0.57771,3.8057),(3255,3275,0.58641,3.7959),(3255,3285,0.59499,3.786),(3255,3295,0.60356,3.7752),(3255,3305,0.61214,3.7641),(3255,3315,0.62015,3.753),(3255,3325,0.62804,3.7419),(3255,3335,0.63592,3.7298),(3255,3345,0.6438,3.7175),(3255,3355,0.65094,3.7052),(3255,3365,0.65795,3.6929),(3255,3375,0.66496,3.6796),(3255,3385,0.67197,3.6661),(3255,3395,0.67804,3.6526),(3255,3405,0.68398,3.6391),(3255,3415,0.68993,3.6246),(3255,3425,0.69587,3.6101),(3255,3435,0.70065,3.5955),(3255,3445,0.70533,3.5809),(3255,3455,0.71001,3.5654),(3255,3465,0.7147,3.5499),(3255,3475,0.71796,3.5343),(3255,3485,0.72117,3.5188),(3255,3495,0.72439,3.5024),(3255,3505,0.72759,3.4861),(3255,3515,0.72914,3.4697),(3255,3525,0.73068,3.4533),(3255,3535,0.73223,3.4364),(3255,3545,0.73369,3.4194),(3255,3555,0.73337,3.4025),(3255,3565,0.73306,3.3855),(3255,3575,0.73275,3.3682),(3255,3585,0.73226,3.3509),(3255,3595,0.72992,3.3336),(3255,3605,0.72757,3.3163),(3255,3615,0.72522,3.299),(3255,3625,0.72261,3.2817),(3255,3635,0.71808,3.2643),(3255,3645,0.71355,3.247),(3255,3655,0.70903,3.23),(3255,3665,0.70412,3.213),(3255,3675,0.69727,3.196),(3255,3685,0.69043,3.1792),(3255,3695,0.68358,3.1629),(3255,3705,0.67623,3.1467),(3255,3715,0.66693,3.1304),(3255,3725,0.65762,3.1144),(3255,3735,0.64832,3.0994),(3255,3745,0.63839,3.0844),(3255,3755,0.62649,3.0694),(3255,3765,0.61459,3.0549),(3255,3775,0.60269,3.0419),(3255,3785,0.59002,3.0289),(3255,3795,0.57542,3.0159),(3255,3805,0.56081,3.0038),(3255,3815,0.54621,2.9939),(3255,3825,0.53078,2.984),(3255,3835,0.5136,2.9741),(3255,3845,0.49641,2.9658),(3255,3855,0.47923,2.9608),(3255,3865,0.46149,2.9558),(3255,3875,0.44276,2.9507),(3255,3885,0.42404,2.9486),(3255,3895,0.40531,2.9513),(3255,3905,0.42774,2.9539),(3255,3915,0.51166,2.9565),(3255,3925,0.59558,2.9728),(3255,3935,0.6795,3.0078),(3255,3945,0.7873,3.0428),(3255,3955,0.92541,3.0779),(3255,3965,1.0635,3.1062),(3255,3975,1.2016,3.1267),(3255,3985,1.2993,3.1472),(3255,3995,1.3531,3.1676),(3255,4005,1.407,3.1729),(3255,4015,1.4608,3.163),(3255,4025,1.5268,3.1531),(3255,4035,1.594,3.1331),(3255,4045,1.6612,3.0917),(3255,4055,1.7216,3.0504),(3255,4065,1.7795,3.0076),(3255,4075,1.8373,2.956),(3255,4085,1.884,2.9044),(3255,4095,1.9216,2.8528),(3255,4105,1.9591,2.8036),(3255,4115,1.9295,2.7545),(3255,4125,1.7883,2.7055),(3255,4135,1.6471,2.6695),(3255,4145,1.5004,2.6371),(3255,4155,1.3317,2.6046),(3255,4165,1.163,2.5799),(3255,4175,1.0041,2.5601),(3255,4185,1.3335,2.5403),(3255,4195,1.6628,2.5154),(3255,4205,1.9922,2.4836),(3255,4215,2.0429,2.4518),(3255,4225,2.0413,2.4208),(3255,4235,2.0396,2.3921),(3255,4245,2.0028,2.3634),(3255,4255,1.9481,2.3347),(3255,4265,1.8933,2.3073),(3255,4275,1.6657,2.2799),(3255,4285,1.2546,2.2525),(3255,4295,0.84346,2.2439),(3255,4305,0.68371,2.2375),(3255,4315,1.0916,2.2311),(3255,4325,1.4994,2.2148),(3255,4335,1.8619,2.1945),(3255,4345,1.9176,2.1743),(3255,4355,1.9732,2.1536),(3255,4365,2.0288,2.1325),(3255,4375,2.0352,2.1114),(3255,4385,2.039,2.0906),(3255,4395,2.0428,2.0702),(3255,4405,1.8036,2.0498),(3255,4415,1.4928,2.0313),(3255,4425,1.182,2.0214),(3255,4435,1.0511,2.0114),(3255,4445,1.0431,2.0015),(3255,4455,1.0352,1.9925),(3255,4465,1.1615,1.9834),(3255,4475,1.4766,1.9744),(3255,4485,1.7916,1.9587),(3255,4495,2.0323,1.9417),(3255,4505,2.0345,1.9246),(3255,4515,2.0367,1.9078),(3255,4525,2.0347,1.891),(3255,4535,1.968,1.8742),(3255,4545,1.9012,1.8584),(3255,4555,1.8345,1.8438),(3255,4565,1.4165,1.8291),(3255,4575,0.95129,1.8181),(3255,4585,0.48604,1.8159),(3255,4595,0.66633,1.8138),(3255,4605,1.1194,1.8098),(3255,4615,1.5724,1.7911),(3255,4625,1.8216,1.7724),(3255,4635,1.8861,1.7537),(3255,4645,1.9506,1.7373),(3255,4655,1.9964,1.7211),(3255,4665,2.0067,1.7048),(3255,4675,2.017,1.6891),(3255,4685,1.9569,1.6736),(3255,4695,1.5491,1.6581),(3255,4705,1.1412,1.6486),(3255,4715,0.73332,1.6434),(3255,4725,0.93052,1.6383),(3255,4735,1.1338,1.6314),(3255,4745,1.337,1.6221),(3255,4755,1.5432,1.6128),(3255,4765,1.75,1.6024),(3255,4775,1.9568,1.5884),(3255,4785,2.0343,1.5744),(3255,4795,2.0371,1.5604),(3255,4805,2.0398,1.5465),(3255,4815,1.9448,1.5327),(3255,4825,1.7327,1.5189),(3255,4835,1.5206,1.5091),(3255,4845,1.3063,1.5001),(3255,4855,1.0862,1.491),(3255,4865,0.86618,1.4853),(3255,4875,0.711,1.4812),(3255,4885,1.1461,1.4771),(3255,4895,1.5813,1.4684),(3255,4905,2.0164,1.4553),(3255,4915,2.0506,1.4421),(3255,4925,2.0502,1.4289),(3255,4935,2.0498,1.4155),(3255,4945,2.0165,1.4021),(3255,4955,1.9717,1.3883),(3255,4965,1.9268,1.3724),(3255,4975,1.6,1.3564),(3255,4985,1.0554,1.3404),(3255,4995,0.51087,1.3392),(3255,5005,0.3483,1.3384),(3255,5015,0.79303,1.3375),(3255,5025,1.2378,1.3299),(3255,5035,1.6208,1.3205),(3255,5045,1.7688,1.3111),(3255,5055,1.9168,1.2999),(3255,5065,2.0606,1.2876),(3255,5075,2.063,1.2754),(3255,5085,2.0655,1.2631),(3255,5095,2.068,1.2509),(3255,5105,1.8098,1.2387),(3255,5115,1.506,1.228),(3255,5125,1.2023,1.2216),(3255,5135,1.051,1.2152),(3255,5145,0.97366,1.209),(3255,5155,0.89634,1.2044),(3255,5165,1.0527,1.1998),(3255,5175,1.4475,1.1952),(3255,5185,1.8422,1.1844),(3255,5195,2.1126,1.1729),(3255,5205,2.1146,1.1614),(3255,5215,2.1167,1.15),(3255,5225,2.1077,1.1386),(3255,5235,2.0298,1.1271),(3255,5245,1.9519,1.1165),(3255,5255,1.8741,1.1064),(3255,5265,1.3229,1.0964),(3255,5275,0.75233,1.09),(3255,5285,0.18172,1.0898),(3255,5295,0.55161,1.0896),(3255,5305,1.1834,1.0869),(3255,5315,1.8152,1.0736),(3255,5325,2.0839,1.0603),(3255,5335,2.1144,1.0471),(3255,5345,2.1449,1.0361),(3255,5355,2.1635,1.0251),(3255,5365,2.166,1.0141),(3255,5375,2.1686,1.0034),(3255,5385,2.0469,0.99266),(3255,5395,1.5476,0.98194),(3255,5405,1.0482,0.97643),(3255,5415,0.60366,0.97362),(3255,5425,0.89582,0.97081),(3255,5435,1.188,0.96654),(3255,5445,1.4801,0.96069),(3255,5455,1.7586,0.95483),(3255,5465,2.0354,0.94797),(3255,5475,2.3122,0.93879),(3255,5485,2.3918,0.9296),(3255,5495,2.3919,0.92045),(3255,5505,2.3921,0.91152),(3255,5515,2.3922,0.90259),(3255,5525,2.3924,0.89366),(3255,5535,2.3925,0.88498),(3255,5545,2.3926,0.87631),(3255,5555,2.3927,0.86765),(3255,5565,2.3927,0.85916),(3255,5575,2.3928,0.85073),(3255,5585,2.3927,0.8423),(3255,5595,2.3927,0.83402),(3255,5605,2.3926,0.82584),(3255,5615,2.3925,0.81767),(3255,5625,2.3923,0.80958),(3255,5635,2.3922,0.80161),(3255,5645,2.392,0.79364),(3255,5655,2.3917,0.78572),(3255,5665,2.3915,0.77796),(3255,5675,2.3912,0.7702),(3255,5685,2.3909,0.76245),(3255,5695,2.3906,0.75488),(3255,5705,2.3902,0.7473),(3255,5715,2.3898,0.73973),(3255,5725,2.3894,0.73231),(3255,5735,2.389,0.72491),(3255,5745,2.3885,0.71752),(3255,5755,2.3881,0.71023),(3255,5765,2.3876,0.70299),(3255,5775,2.3871,0.69575),(3255,5785,2.3865,0.6886),(3255,5795,2.386,0.68153),(3255,5805,2.3854,0.67445),(3255,5815,2.3848,0.66743),(3255,5825,2.3842,0.6605),(3255,5835,2.3836,0.65358),(3255,5845,2.3829,0.64667),(3255,5855,2.3822,0.63988),(3255,5865,2.3816,0.63308),(3255,5875,2.3808,0.62629),(3255,5885,2.3801,0.61962),(3255,5895,2.3794,0.61295),(3255,5905,2.3787,0.60628),(3255,5915,2.3779,0.59971),(3255,5925,2.3771,0.59316),(3255,5935,2.3763,0.58661),(3255,5945,2.3755,0.58014),(3255,5955,2.3747,0.57372),(3255,5965,2.3739,0.5673),(3255,5975,2.3731,0.56092),(3255,5985,2.3723,0.5546),(3255,5995,1.8139,0.54828),(3255,6005,1.1659,0.54346),(3255,6015,0.51785,0.54263),(3255,6025,0.65963,0.5418),(3255,6035,1.1677,0.54035),(3255,6045,1.6758,0.53284),(3255,6055,2.0288,0.52533),(3255,6065,2.2296,0.51782),(3255,6075,2.4304,0.50809),(3255,6085,2.5661,0.49816),(3255,6095,2.5677,0.48822),(3255,6105,2.5693,0.47829),(3255,6115,2.5709,0.46837),(3255,6125,2.5723,0.45844),(3255,6135,2.5738,0.4486),(3255,6145,2.5753,0.43882),(3255,6155,2.5767,0.42904),(3255,6165,2.5781,0.41932),(3255,6175,2.5795,0.40969),(3255,6185,2.5808,0.40006),(3255,6195,2.582,0.39045),(3255,6205,2.5833,0.38089),(3255,6215,2.5845,0.37133),(3255,6225,2.5857,0.36177),(3255,6235,2.5869,0.35223),(3255,6245,2.588,0.34269),(3255,6255,2.5891,0.33315),(3255,6265,2.5902,0.32367),(3255,6275,2.5912,0.31421),(3255,6285,2.5922,0.30475),(3255,6295,2.5932,0.29535),(3255,6305,2.5941,0.28599),(3255,6315,2.595,0.27662),(3255,6325,2.5959,0.26729),(3255,6335,2.5968,0.25799),(3255,6345,2.5976,0.24868),(3255,6355,2.5984,0.23939),(3255,6365,2.5992,0.23013),(3255,6375,2.5999,0.22087),(3255,6385,2.6006,0.2116),(3255,6395,2.6013,0.20236),(3255,6405,2.6019,0.19311),(3255,6415,2.6025,0.18386),(3255,6425,2.6031,0.17468),(3255,6435,2.6037,0.1655),(3255,6445,2.6042,0.15633),(3255,6455,2.6047,0.14723),(3255,6465,2.6051,0.13815),(3255,6475,2.6055,0.12907),(3255,6485,2.6059,0.11997),(3255,6495,2.6063,0.11088),(3255,6505,2.6066,0.10178),(3255,6515,2.6069,0.092681),(3255,6525,2.6073,0.08359),(3255,6535,2.6075,0.074499),(3255,6545,2.6077,0.065407),(3255,6555,2.6079,0.056308),(3255,6565,2.6081,0.04721),(3255,6575,2.6082,0.038114),(3255,6585,2.6084,0.029062),(3255,6595,2.2186,0.02001),(3255,6605,1.3984,0.010958),(3255,6615,0.57814,0.00987),(3255,6625,0.001526,0.009805),(3255,6635,0.001523,0.009741),(3255,6645,0.00152,0.009716),(3255,6655,0.001517,0.009707),(3255,6665,0.001514,0.009699),(3255,6675,0.001512,0.00969),(3255,6685,0.001509,0.009682),(3255,6695,0.001507,0.009674),(3255,6705,0.001504,0.009665),(3255,6715,0.001502,0.009657),(3255,6725,0.001499,0.009648),(3255,6735,0.001497,0.00964),(3255,6745,0.001495,0.009632),(3255,6755,0.001493,0.009623),(3255,6765,0.001491,0.009615),(3255,6775,0.001489,0.009606),(3255,6785,0.001487,0.009598),(3255,6795,0.001485,0.00959),(3255,6805,0.001484,0.009581),(3255,6815,0.001482,0.009573),(3255,6825,0.00148,0.009565),(3255,6835,0.001479,0.009556),(3255,6845,0.001477,0.009548),(3255,6855,0.001476,0.009539),(3255,6865,0.001474,0.009531),(3255,6875,0.001473,0.009523),(3255,6885,0.001472,0.009514),(3255,6895,0.00147,0.009506),(3255,6905,0.001469,0.009497),(3255,6915,0.001468,0.009489),(3255,6925,0.001467,0.00948),(3255,6935,0.001466,0.009472),(3255,6945,0.001465,0.009463),(3255,6955,0.001464,0.009455),(3255,6965,0.001463,0.009447),(3255,6975,0.001462,0.009438),(3255,6985,0.001461,0.00943),(3265,5,6e-06,3.6887),(3265,15,1.8e-05,3.6887),(3265,25,3e-05,3.6887),(3265,35,4.1e-05,3.6887),(3265,45,5.3e-05,3.6887),(3265,55,6.5e-05,3.6887),(3265,65,7.6e-05,3.6887),(3265,75,8.7e-05,3.6887),(3265,85,9.9e-05,3.6888),(3265,95,0.00011,3.6888),(3265,105,0.000121,3.6888),(3265,115,0.000131,3.6888),(3265,125,0.000142,3.6888),(3265,135,0.000152,3.6888),(3265,145,0.000162,3.6888),(3265,155,0.000172,3.6888),(3265,165,0.000181,3.6888),(3265,175,0.000191,3.6888),(3265,185,0.000199,3.6888),(3265,195,0.000208,3.6888),(3265,205,0.000216,3.6888),(3265,215,0.000224,3.6888),(3265,225,0.000231,3.6888),(3265,235,0.000238,3.6888),(3265,245,0.000245,3.6889),(3265,255,0.000251,3.6889),(3265,265,0.000257,3.6889),(3265,275,0.000261,3.6889),(3265,285,0.000266,3.6889),(3265,295,0.000271,3.6889),(3265,305,0.000274,3.6889),(3265,315,0.000276,3.6889),(3265,325,0.000279,3.689),(3265,335,0.000281,3.689),(3265,345,0.000282,3.689),(3265,355,0.000281,3.689),(3265,365,0.000281,3.689),(3265,375,0.000281,3.689),(3265,385,0.000279,3.6891),(3265,395,0.000276,3.6891),(3265,405,0.000273,3.6891),(3265,415,0.00027,3.6891),(3265,425,0.000264,3.6891),(3265,435,0.000258,3.6892),(3265,445,0.000252,3.6892),(3265,455,0.000246,3.6892),(3265,465,0.000236,3.6892),(3265,475,0.000227,3.6893),(3265,485,0.000217,3.6893),(3265,495,0.000208,3.6893),(3265,505,0.000195,3.6893),(3265,515,0.000181,3.6894),(3265,525,0.000168,3.6894),(3265,535,0.000154,3.6894),(3265,545,0.000137,3.6895),(3265,555,0.000119,3.6895),(3265,565,0.000101,3.6895),(3265,575,8.4e-05,3.6896),(3265,585,6.2e-05,3.6896),(3265,595,3.9e-05,3.6897),(3265,605,1.7e-05,3.6897),(3265,615,-5e-06,3.6897),(3265,625,-3.2e-05,3.6898),(3265,635,-5.8e-05,3.6898),(3265,645,-8.5e-05,3.6899),(3265,655,-0.000112,3.6899),(3265,665,-0.000144,3.69),(3265,675,-0.000175,3.69),(3265,685,-0.000207,3.6901),(3265,695,-0.000239,3.6902),(3265,705,-0.000276,3.6902),(3265,715,-0.000313,3.6903),(3265,725,-0.00035,3.6903),(3265,735,-0.000388,3.6904),(3265,745,-0.000431,3.6905),(3265,755,-0.000474,3.6905),(3265,765,-0.000516,3.6906),(3265,775,-0.00056,3.6907),(3265,785,-0.000608,3.6908),(3265,795,-0.000656,3.6908),(3265,805,-0.000704,3.6909),(3265,815,-0.000754,3.691),(3265,825,-0.000808,3.6911),(3265,835,-0.000861,3.6912),(3265,845,-0.000915,3.6913),(3265,855,-0.000971,3.6914),(3265,865,-0.00103,3.6915),(3265,875,-0.00109,3.6916),(3265,885,-0.001149,3.6917),(3265,895,-0.001211,3.6918),(3265,905,-0.001277,3.6919),(3265,915,-0.001342,3.692),(3265,925,-0.001408,3.6921),(3265,935,-0.001476,3.6922),(3265,945,-0.001548,3.6924),(3265,955,-0.001619,3.6925),(3265,965,-0.00169,3.6926),(3265,975,-0.001764,3.6927),(3265,985,-0.001841,3.6929),(3265,995,-0.001918,3.693),(3265,1005,-0.001995,3.6932),(3265,1015,-0.002075,3.6933),(3265,1025,-0.002158,3.6935),(3265,1035,-0.002241,3.6936),(3265,1045,-0.002323,3.6938),(3265,1055,-0.002409,3.694),(3265,1065,-0.002497,3.6941),(3265,1075,-0.002586,3.6943),(3265,1085,-0.002674,3.6945),(3265,1095,-0.002765,3.6947),(3265,1105,-0.002858,3.6949),(3265,1115,-0.002951,3.6951),(3265,1125,-0.003045,3.6953),(3265,1135,-0.003141,3.6955),(3265,1145,-0.003238,3.6957),(3265,1155,-0.003336,3.6959),(3265,1165,-0.003434,3.6962),(3265,1175,-0.003534,3.6964),(3265,1185,-0.003636,3.6966),(3265,1195,-0.003738,3.6969),(3265,1205,-0.00384,3.6971),(3265,1215,-0.003944,3.6974),(3265,1225,-0.00405,3.6976),(3265,1235,-0.004155,3.6979),(3265,1245,-0.004261,3.6982),(3265,1255,-0.004368,3.6984),(3265,1265,-0.004477,3.6987),(3265,1275,-0.004585,3.699),(3265,1285,-0.004693,3.6993),(3265,1295,-0.004803,3.6996),(3265,1305,-0.004914,3.6999),(3265,1315,-0.005025,3.7002),(3265,1325,-0.005135,3.7006),(3265,1335,-0.005247,3.7009),(3265,1345,-0.00536,3.7012),(3265,1355,-0.005472,3.7016),(3265,1365,-0.005585,3.702),(3265,1375,-0.005698,3.7023),(3265,1385,-0.005811,3.7027),(3265,1395,-0.005925,3.7031),(3265,1405,-0.006038,3.7035),(3265,1415,-0.006151,3.7039),(3265,1425,-0.006265,3.7043),(3265,1435,-0.006378,3.7047),(3265,1445,-0.006491,3.7051),(3265,1455,-0.006604,3.7055),(3265,1465,-0.006717,3.706),(3265,1475,-0.006829,3.7064),(3265,1485,-0.006942,3.7069),(3265,1495,-0.007053,3.7074),(3265,1505,-0.007164,3.7078),(3265,1515,-0.007275,3.7083),(3265,1525,-0.007385,3.7088),(3265,1535,-0.007494,3.7093),(3265,1545,-0.007603,3.7098),(3265,1555,-0.007711,3.7104),(3265,1565,-0.00782,3.7109),(3265,1575,-0.007925,3.7115),(3265,1585,-0.00803,3.712),(3265,1595,-0.008136,3.7126),(3265,1605,-0.008241,3.7132),(3265,1615,-0.008342,3.7138),(3265,1625,-0.008443,3.7143),(3265,1635,-0.008544,3.715),(3265,1645,-0.008644,3.7156),(3265,1655,-0.00874,3.7162),(3265,1665,-0.008835,3.7169),(3265,1675,-0.008931,3.7176),(3265,1685,-0.009025,3.7182),(3265,1695,-0.009114,3.7189),(3265,1705,-0.009203,3.7196),(3265,1715,-0.009292,3.7204),(3265,1725,-0.009379,3.7211),(3265,1735,-0.009459,3.7218),(3265,1745,-0.00954,3.7226),(3265,1755,-0.009621,3.7234),(3265,1765,-0.0097,3.7242),(3265,1775,-0.009771,3.7249),(3265,1785,-0.009842,3.7258),(3265,1795,-0.009913,3.7266),(3265,1805,-0.009981,3.7275),(3265,1815,-0.01004,3.7283),(3265,1825,-0.010099,3.7292),(3265,1835,-0.010159,3.7301),(3265,1845,-0.010213,3.731),(3265,1855,-0.010257,3.732),(3265,1865,-0.010302,3.7329),(3265,1875,-0.010346,3.7339),(3265,1885,-0.010384,3.7349),(3265,1895,-0.01041,3.7359),(3265,1905,-0.010437,3.7369),(3265,1915,-0.010464,3.738),(3265,1925,-0.010481,3.7391),(3265,1935,-0.010486,3.7402),(3265,1945,-0.01049,3.7413),(3265,1955,-0.010495,3.7425),(3265,1965,-0.010487,3.7436),(3265,1975,-0.010464,3.7448),(3265,1985,-0.010442,3.746),(3265,1995,-0.010419,3.7473),(3265,2005,-0.01038,3.7486),(3265,2015,-0.010324,3.7498),(3265,2025,-0.010268,3.7511),(3265,2035,-0.010212,3.7525),(3265,2045,-0.010133,3.7539),(3265,2055,-0.010035,3.7553),(3265,2065,-0.009937,3.7567),(3265,2075,-0.009839,3.7582),(3265,2085,-0.009711,3.7597),(3265,2095,-0.00956,3.7612),(3265,2105,-0.00941,3.7628),(3265,2115,-0.00926,3.7644),(3265,2125,-0.009069,3.766),(3265,2135,-0.008854,3.7676),(3265,2145,-0.008638,3.7694),(3265,2155,-0.008423,3.7711),(3265,2165,-0.008154,3.7729),(3265,2175,-0.007858,3.7747),(3265,2185,-0.007562,3.7765),(3265,2195,-0.007266,3.7785),(3265,2205,-0.0069,3.7804),(3265,2215,-0.006504,3.7823),(3265,2225,-0.006107,3.7843),(3265,2235,-0.005711,3.7864),(3265,2245,-0.005223,3.7885),(3265,2255,-0.004702,3.7906),(3265,2265,-0.004181,3.7928),(3265,2275,-0.003661,3.7951),(3265,2285,-0.003021,3.7974),(3265,2295,-0.002347,3.7996),(3265,2305,-0.001673,3.8021),(3265,2315,-0.000999,3.8045),(3265,2325,-0.000172,3.807),(3265,2335,0.00069,3.8094),(3265,2345,0.001551,3.8121),(3265,2355,0.002413,3.8147),(3265,2365,0.003471,3.8174),(3265,2375,0.004561,3.82),(3265,2385,0.005651,3.8228),(3265,2395,0.006741,3.8257),(3265,2405,0.008079,3.8286),(3265,2415,0.009446,3.8314),(3265,2425,0.010812,3.8344),(3265,2435,0.012179,3.8375),(3265,2445,0.013854,3.8405),(3265,2455,0.015551,3.8436),(3265,2465,0.017248,3.8468),(3265,2475,0.018945,3.8501),(3265,2485,0.021023,3.8533),(3265,2495,0.023111,3.8565),(3265,2505,0.025198,3.8599),(3265,2515,0.027293,3.8633),(3265,2525,0.029836,3.8667),(3265,2535,0.03238,3.8701),(3265,2545,0.034923,3.8736),(3265,2555,0.037495,3.8772),(3265,2565,0.040561,3.8807),(3265,2575,0.043627,3.8842),(3265,2585,0.046694,3.8878),(3265,2595,0.049815,3.8914),(3265,2605,0.053469,3.895),(3265,2615,0.057123,3.8985),(3265,2625,0.060776,3.9021),(3265,2635,0.064517,3.9057),(3265,2645,0.068817,3.9093),(3265,2655,0.073116,3.9128),(3265,2665,0.077416,3.9163),(3265,2675,0.081836,3.9198),(3265,2685,0.086828,3.9233),(3265,2695,0.09182,3.9267),(3265,2705,0.096812,3.93),(3265,2715,0.10196,3.9333),(3265,2725,0.10767,3.9365),(3265,2735,0.11338,3.9397),(3265,2745,0.1191,3.9427),(3265,2755,0.12499,3.9456),(3265,2765,0.13143,3.9485),(3265,2775,0.13787,3.9513),(3265,2785,0.14431,3.9538),(3265,2795,0.15096,3.9563),(3265,2805,0.15811,3.9588),(3265,2815,0.16526,3.9611),(3265,2825,0.17241,3.9629),(3265,2835,0.17978,3.9648),(3265,2845,0.1876,3.9667),(3265,2855,0.19542,3.9683),(3265,2865,0.20324,3.9695),(3265,2875,0.21128,3.9707),(3265,2885,0.2197,3.9719),(3265,2895,0.22813,3.9727),(3265,2905,0.23655,3.9731),(3265,2915,0.24519,3.9734),(3265,2925,0.25415,3.9738),(3265,2935,0.2631,3.9737),(3265,2945,0.27205,3.9731),(3265,2955,0.2812,3.9726),(3265,2965,0.29059,3.972),(3265,2975,0.29998,3.9709),(3265,2985,0.30937,3.9694),(3265,2995,0.31893,3.9678),(3265,3005,0.32866,3.9662),(3265,3015,0.33839,3.9641),(3265,3025,0.34813,3.9615),(3265,3035,0.35798,3.9588),(3265,3045,0.36795,3.9562),(3265,3055,0.37792,3.9529),(3265,3065,0.38789,3.9491),(3265,3075,0.39793,3.9453),(3265,3085,0.40802,3.9416),(3265,3095,0.41812,3.9371),(3265,3105,0.42821,3.9322),(3265,3115,0.43831,3.9272),(3265,3125,0.44842,3.9223),(3265,3135,0.45853,3.9165),(3265,3145,0.46864,3.9104),(3265,3155,0.47868,3.9042),(3265,3165,0.48868,3.898),(3265,3175,0.49868,3.891),(3265,3185,0.50868,3.8836),(3265,3195,0.51852,3.8762),(3265,3205,0.52829,3.8688),(3265,3215,0.53806,3.8605),(3265,3225,0.54782,3.8518),(3265,3235,0.55731,3.8431),(3265,3245,0.5667,3.8344),(3265,3255,0.57609,3.8247),(3265,3265,0.58548,3.8147),(3265,3275,0.59447,3.8048),(3265,3285,0.60333,3.7948),(3265,3295,0.61219,3.7838),(3265,3305,0.62105,3.7725),(3265,3315,0.62935,3.7613),(3265,3325,0.63751,3.75),(3265,3335,0.64567,3.7377),(3265,3345,0.65384,3.7251),(3265,3355,0.66125,3.7126),(3265,3365,0.66854,3.7001),(3265,3375,0.67582,3.6865),(3265,3385,0.6831,3.6727),(3265,3395,0.68942,3.659),(3265,3405,0.69563,3.6452),(3265,3415,0.70183,3.6304),(3265,3425,0.70803,3.6155),(3265,3435,0.71304,3.6006),(3265,3445,0.71795,3.5857),(3265,3455,0.72286,3.5699),(3265,3465,0.72778,3.5539),(3265,3475,0.73124,3.538),(3265,3485,0.73464,3.5221),(3265,3495,0.73805,3.5053),(3265,3505,0.74145,3.4885),(3265,3515,0.74314,3.4717),(3265,3525,0.74483,3.4549),(3265,3535,0.74653,3.4375),(3265,3545,0.74813,3.4201),(3265,3555,0.7479,3.4026),(3265,3565,0.74768,3.3852),(3265,3575,0.74745,3.3674),(3265,3585,0.74705,3.3495),(3265,3595,0.74472,3.3317),(3265,3605,0.74239,3.3139),(3265,3615,0.74006,3.296),(3265,3625,0.73746,3.2781),(3265,3635,0.73286,3.2602),(3265,3645,0.72827,3.2424),(3265,3655,0.72368,3.2248),(3265,3665,0.71869,3.2072),(3265,3675,0.71168,3.1896),(3265,3685,0.70468,3.1721),(3265,3695,0.69767,3.1552),(3265,3705,0.69013,3.1383),(3265,3715,0.68055,3.1214),(3265,3725,0.67096,3.1048),(3265,3735,0.66137,3.0891),(3265,3745,0.65111,3.0734),(3265,3755,0.63876,3.0578),(3265,3765,0.6264,3.0426),(3265,3775,0.61405,3.0289),(3265,3785,0.60085,3.0151),(3265,3795,0.58552,3.0014),(3265,3805,0.57018,2.9886),(3265,3815,0.55485,2.978),(3265,3825,0.53854,2.9674),(3265,3835,0.52016,2.9568),(3265,3845,0.50178,2.9479),(3265,3855,0.48341,2.9424),(3265,3865,0.4642,2.9369),(3265,3875,0.44352,2.9315),(3265,3885,0.42285,2.9293),(3265,3895,0.40218,2.9325),(3265,3905,0.41984,2.9356),(3265,3915,0.49476,2.9388),(3265,3925,0.56968,2.9586),(3265,3935,0.6446,3.0013),(3265,3945,0.74887,3.0441),(3265,3955,0.89042,3.0868),(3265,3965,1.032,3.121),(3265,3975,1.1735,3.1452),(3265,3985,1.2771,3.1695),(3265,3995,1.3396,3.1937),(3265,4005,1.4021,3.2007),(3265,4015,1.4646,3.1904),(3265,4025,1.5407,3.1801),(3265,4035,1.618,3.1577),(3265,4045,1.6954,3.1097),(3265,4055,1.7607,3.0617),(3265,4065,1.8217,3.0124),(3265,4075,1.8826,2.9553),(3265,4085,1.9299,2.8983),(3265,4095,1.9664,2.8412),(3265,4105,2.0029,2.7893),(3265,4115,1.9706,2.7376),(3265,4125,1.8245,2.6858),(3265,4135,1.6784,2.6489),(3265,4145,1.5271,2.6159),(3265,4155,1.3549,2.583),(3265,4165,1.1827,2.5582),(3265,4175,1.0205,2.5387),(3265,4185,1.3525,2.5193),(3265,4195,1.6845,2.4946),(3265,4205,2.0166,2.4631),(3265,4215,2.067,2.4316),(3265,4225,2.0644,2.4009),(3265,4235,2.0618,2.3726),(3265,4245,2.0244,2.3442),(3265,4255,1.9695,2.316),(3265,4265,1.9145,2.2889),(3265,4275,1.6842,2.2619),(3265,4285,1.2679,2.2348),(3265,4295,0.85154,2.2265),(3265,4305,0.6891,2.2204),(3265,4315,1.1,2.2143),(3265,4325,1.5109,2.1982),(3265,4335,1.876,2.1782),(3265,4345,1.9317,2.1582),(3265,4355,1.9875,2.1376),(3265,4365,2.0432,2.1167),(3265,4375,2.0493,2.0957),(3265,4385,2.0529,2.075),(3265,4395,2.0564,2.0548),(3265,4405,1.8155,2.0347),(3265,4415,1.5024,2.0164),(3265,4425,1.1893,2.0066),(3265,4435,1.0573,1.9969),(3265,4445,1.0491,1.9872),(3265,4455,1.0409,1.9783),(3265,4465,1.1678,1.9694),(3265,4475,1.4843,1.9604),(3265,4485,1.8008,1.9449),(3265,4495,2.0426,1.9279),(3265,4505,2.0447,1.911),(3265,4515,2.0468,1.8941),(3265,4525,2.0448,1.8774),(3265,4535,1.9776,1.8607),(3265,4545,1.9104,1.8449),(3265,4555,1.8432,1.8302),(3265,4565,1.4231,1.8154),(3265,4575,0.95542,1.8044),(3265,4585,0.48774,1.8024),(3265,4595,0.66989,1.8003),(3265,4605,1.1266,1.7964),(3265,4615,1.5833,1.7778),(3265,4625,1.8337,1.7592),(3265,4635,1.8973,1.7406),(3265,4645,1.9609,1.7243),(3265,4655,2.0059,1.7081),(3265,4665,2.016,1.6919),(3265,4675,2.026,1.6762),(3265,4685,1.9654,1.6607),(3265,4695,1.5556,1.6452),(3265,4705,1.1459,1.6357),(3265,4715,0.73609,1.6306),(3265,4725,0.9339,1.6254),(3265,4735,1.1378,1.6186),(3265,4745,1.3417,1.6093),(3265,4755,1.5486,1.6001),(3265,4765,1.7562,1.5898),(3265,4775,1.9637,1.5758),(3265,4785,2.0415,1.5619),(3265,4795,2.0442,1.5479),(3265,4805,2.0469,1.5341),(3265,4815,1.9514,1.5204),(3265,4825,1.7386,1.5066),(3265,4835,1.5257,1.497),(3265,4845,1.3106,1.4879),(3265,4855,1.0897,1.4789),(3265,4865,0.86881,1.4733),(3265,4875,0.71302,1.4692),(3265,4885,1.1496,1.4652),(3265,4895,1.5861,1.4565),(3265,4905,2.0227,1.4434),(3265,4915,2.057,1.4302),(3265,4925,2.0567,1.417),(3265,4935,2.0564,1.4037),(3265,4945,2.0237,1.3903),(3265,4955,1.9798,1.3766),(3265,4965,1.936,1.3607),(3265,4975,1.6079,1.3448),(3265,4985,1.0604,1.3289),(3265,4995,0.51291,1.3277),(3265,5005,0.34903,1.3269),(3265,5015,0.79496,1.326),(3265,5025,1.2409,1.3184),(3265,5035,1.625,1.3091),(3265,5045,1.7734,1.2997),(3265,5055,1.9218,1.2886),(3265,5065,2.0659,1.2763),(3265,5075,2.0684,1.2641),(3265,5085,2.0709,1.2519),(3265,5095,2.0733,1.2397),(3265,5105,1.8144,1.2275),(3265,5115,1.5098,1.2169),(3265,5125,1.2053,1.2105),(3265,5135,1.0535,1.2041),(3265,5145,0.97587,1.1979),(3265,5155,0.89823,1.1933),(3265,5165,1.0549,1.1888),(3265,5175,1.4505,1.1842),(3265,5185,1.8461,1.1734),(3265,5195,2.117,1.1619),(3265,5205,2.119,1.1505),(3265,5215,2.1211,1.1391),(3265,5225,2.112,1.1277),(3265,5235,2.034,1.1163),(3265,5245,1.9559,1.1057),(3265,5255,1.8779,1.0957),(3265,5265,1.3256,1.0857),(3265,5275,0.7538,1.0793),(3265,5285,0.182,1.0791),(3265,5295,0.55318,1.0789),(3265,5305,1.187,1.0762),(3265,5315,1.8208,1.063),(3265,5325,2.0897,1.0498),(3265,5335,2.1194,1.0367),(3265,5345,2.1491,1.0258),(3265,5355,2.1672,1.0148),(3265,5365,2.1697,1.0039),(3265,5375,2.1722,0.9932),(3265,5385,2.0502,0.98255),(3265,5395,1.55,0.97189),(3265,5405,1.0498,0.96642),(3265,5415,0.60454,0.96363),(3265,5425,0.89672,0.96084),(3265,5435,1.1889,0.95661),(3265,5445,1.4811,0.95083),(3265,5455,1.7597,0.94505),(3265,5465,2.0366,0.93828),(3265,5475,2.3136,0.92921),(3265,5485,2.3931,0.92014),(3265,5495,2.3932,0.9111),(3265,5505,2.3932,0.90228),(3265,5515,2.3933,0.89346),(3265,5525,2.3934,0.88465),(3265,5535,2.3935,0.87608),(3265,5545,2.3935,0.86752),(3265,5555,2.3935,0.85896),(3265,5565,2.3935,0.85058),(3265,5575,2.3934,0.84225),(3265,5585,2.3933,0.83393),(3265,5595,2.3932,0.82575),(3265,5605,2.3931,0.81767),(3265,5615,2.3928,0.80959),(3265,5625,2.3926,0.8016),(3265,5635,2.3924,0.79373),(3265,5645,2.3921,0.78586),(3265,5655,2.3918,0.77803),(3265,5665,2.3915,0.77036),(3265,5675,2.3912,0.7627),(3265,5685,2.3908,0.75504),(3265,5695,2.3904,0.74755),(3265,5705,2.39,0.74007),(3265,5715,2.3896,0.73259),(3265,5725,2.3891,0.72525),(3265,5735,2.3887,0.71794),(3265,5745,2.3882,0.71063),(3265,5755,2.3876,0.70343),(3265,5765,2.3871,0.69627),(3265,5775,2.3865,0.68912),(3265,5785,2.386,0.68205),(3265,5795,2.3854,0.67505),(3265,5805,2.3847,0.66806),(3265,5815,2.3841,0.66111),(3265,5825,2.3835,0.65426),(3265,5835,2.3828,0.64741),(3265,5845,2.3821,0.64058),(3265,5855,2.3814,0.63387),(3265,5865,2.3807,0.62715),(3265,5875,2.3799,0.62043),(3265,5885,2.3792,0.61383),(3265,5895,2.3784,0.60724),(3265,5905,2.3776,0.60064),(3265,5915,2.3768,0.59414),(3265,5925,2.376,0.58766),(3265,5935,2.3752,0.58119),(3265,5945,2.3744,0.57479),(3265,5955,2.3735,0.56843),(3265,5965,2.3727,0.56208),(3265,5975,2.3718,0.55577),(3265,5985,2.371,0.54952),(3265,5995,1.8129,0.54326),(3265,6005,1.1653,0.53849),(3265,6015,0.51756,0.53766),(3265,6025,0.65988,0.53684),(3265,6035,1.1686,0.5354),(3265,6045,1.6773,0.52796),(3265,6055,2.0307,0.52053),(3265,6065,2.2317,0.51309),(3265,6075,2.4327,0.50345),(3265,6085,2.5685,0.49361),(3265,6095,2.57,0.48377),(3265,6105,2.5716,0.47393),(3265,6115,2.5731,0.4641),(3265,6125,2.5746,0.45426),(3265,6135,2.576,0.44451),(3265,6145,2.5775,0.43482),(3265,6155,2.5788,0.42513),(3265,6165,2.5802,0.4155),(3265,6175,2.5815,0.40595),(3265,6185,2.5828,0.39641),(3265,6195,2.5841,0.38688),(3265,6205,2.5853,0.37741),(3265,6215,2.5865,0.36794),(3265,6225,2.5876,0.35847),(3265,6235,2.5888,0.34902),(3265,6245,2.5899,0.33957),(3265,6255,2.591,0.33012),(3265,6265,2.592,0.32073),(3265,6275,2.593,0.31135),(3265,6285,2.594,0.30197),(3265,6295,2.5949,0.29266),(3265,6305,2.5959,0.28339),(3265,6315,2.5967,0.27412),(3265,6325,2.5976,0.26487),(3265,6335,2.5985,0.25566),(3265,6345,2.5993,0.24644),(3265,6355,2.6,0.23724),(3265,6365,2.6008,0.22806),(3265,6375,2.6015,0.21888),(3265,6385,2.6022,0.20971),(3265,6395,2.6029,0.20054),(3265,6405,2.6035,0.19138),(3265,6415,2.6041,0.18222),(3265,6425,2.6047,0.17312),(3265,6435,2.6052,0.16403),(3265,6445,2.6057,0.15493),(3265,6455,2.6062,0.14591),(3265,6465,2.6066,0.13692),(3265,6475,2.607,0.12793),(3265,6485,2.6074,0.11892),(3265,6495,2.6078,0.10991),(3265,6505,2.6081,0.1009),(3265,6515,2.6084,0.091896),(3265,6525,2.6087,0.082892),(3265,6535,2.6089,0.073887),(3265,6545,2.6092,0.064882),(3265,6555,2.6094,0.055875),(3265,6565,2.6095,0.046868),(3265,6575,2.6096,0.037864),(3265,6585,2.6098,0.028908),(3265,6595,2.2198,0.019952),(3265,6605,1.3991,0.010996),(3265,6615,0.57845,0.009905),(3265,6625,0.00153,0.009824),(3265,6635,0.001527,0.009743),(3265,6645,0.001524,0.009713),(3265,6655,0.001521,0.009705),(3265,6665,0.001518,0.009696),(3265,6675,0.001515,0.009688),(3265,6685,0.001513,0.00968),(3265,6695,0.00151,0.009671),(3265,6705,0.001508,0.009663),(3265,6715,0.001506,0.009654),(3265,6725,0.001503,0.009646),(3265,6735,0.001501,0.009638),(3265,6745,0.001499,0.009629),(3265,6755,0.001497,0.009621),(3265,6765,0.001495,0.009613),(3265,6775,0.001493,0.009605),(3265,6785,0.001491,0.009596),(3265,6795,0.001489,0.009588),(3265,6805,0.001488,0.00958),(3265,6815,0.001486,0.009571),(3265,6825,0.001484,0.009563),(3265,6835,0.001483,0.009555),(3265,6845,0.001481,0.009546),(3265,6855,0.00148,0.009538),(3265,6865,0.001478,0.00953),(3265,6875,0.001477,0.009521),(3265,6885,0.001476,0.009513),(3265,6895,0.001474,0.009504),(3265,6905,0.001473,0.009496),(3265,6915,0.001472,0.009488),(3265,6925,0.001471,0.009479),(3265,6935,0.00147,0.009471),(3265,6945,0.001469,0.009462),(3265,6955,0.001468,0.009454),(3265,6965,0.001467,0.009446),(3265,6975,0.001466,0.009437),(3265,6985,0.001465,0.009429),(3275,5,6e-06,3.6888),(3275,15,1.7e-05,3.6888),(3275,25,2.8e-05,3.6888),(3275,35,4e-05,3.6888),(3275,45,5.1e-05,3.6888),(3275,55,6.2e-05,3.6888),(3275,65,7.3e-05,3.6888),(3275,75,8.4e-05,3.6888),(3275,85,9.5e-05,3.6888),(3275,95,0.000106,3.6888),(3275,105,0.000116,3.6888),(3275,115,0.000126,3.6888),(3275,125,0.000136,3.6888),(3275,135,0.000146,3.6888),(3275,145,0.000155,3.6888),(3275,155,0.000164,3.6888),(3275,165,0.000173,3.6888),(3275,175,0.000182,3.6888),(3275,185,0.00019,3.6888),(3275,195,0.000198,3.6888),(3275,205,0.000206,3.6888),(3275,215,0.000214,3.6888),(3275,225,0.00022,3.6888),(3275,235,0.000226,3.6889),(3275,245,0.000233,3.6889),(3275,255,0.000239,3.6889),(3275,265,0.000243,3.6889),(3275,275,0.000248,3.6889),(3275,285,0.000252,3.6889),(3275,295,0.000256,3.6889),(3275,305,0.000258,3.6889),(3275,315,0.00026,3.6889),(3275,325,0.000262,3.689),(3275,335,0.000264,3.689),(3275,345,0.000263,3.689),(3275,355,0.000262,3.689),(3275,365,0.000262,3.689),(3275,375,0.000261,3.689),(3275,385,0.000257,3.6891),(3275,395,0.000254,3.6891),(3275,405,0.00025,3.6891),(3275,415,0.000246,3.6891),(3275,425,0.000239,3.6891),(3275,435,0.000232,3.6892),(3275,445,0.000226,3.6892),(3275,455,0.000219,3.6892),(3275,465,0.000208,3.6892),(3275,475,0.000198,3.6892),(3275,485,0.000187,3.6893),(3275,495,0.000177,3.6893),(3275,505,0.000162,3.6893),(3275,515,0.000148,3.6894),(3275,525,0.000133,3.6894),(3275,535,0.000119,3.6894),(3275,545,0.0001,3.6895),(3275,555,8.1e-05,3.6895),(3275,565,6.2e-05,3.6895),(3275,575,4.3e-05,3.6896),(3275,585,2e-05,3.6896),(3275,595,-4e-06,3.6896),(3275,605,-2.7e-05,3.6897),(3275,615,-5.1e-05,3.6897),(3275,625,-7.9e-05,3.6898),(3275,635,-0.000108,3.6898),(3275,645,-0.000136,3.6899),(3275,655,-0.000165,3.6899),(3275,665,-0.000198,3.69),(3275,675,-0.000231,3.69),(3275,685,-0.000264,3.6901),(3275,695,-0.000299,3.6901),(3275,705,-0.000337,3.6902),(3275,715,-0.000376,3.6902),(3275,725,-0.000415,3.6903),(3275,735,-0.000455,3.6904),(3275,745,-0.0005,3.6904),(3275,755,-0.000544,3.6905),(3275,765,-0.000589,3.6906),(3275,775,-0.000635,3.6906),(3275,785,-0.000686,3.6907),(3275,795,-0.000736,3.6908),(3275,805,-0.000786,3.6909),(3275,815,-0.000839,3.691),(3275,825,-0.000895,3.691),(3275,835,-0.000951,3.6911),(3275,845,-0.001007,3.6912),(3275,855,-0.001066,3.6913),(3275,865,-0.001128,3.6914),(3275,875,-0.00119,3.6915),(3275,885,-0.001253,3.6916),(3275,895,-0.001318,3.6917),(3275,905,-0.001386,3.6918),(3275,915,-0.001455,3.6919),(3275,925,-0.001524,3.692),(3275,935,-0.001595,3.6922),(3275,945,-0.00167,3.6923),(3275,955,-0.001745,3.6924),(3275,965,-0.00182,3.6925),(3275,975,-0.001897,3.6927),(3275,985,-0.001978,3.6928),(3275,995,-0.002059,3.693),(3275,1005,-0.00214,3.6931),(3275,1015,-0.002223,3.6932),(3275,1025,-0.00231,3.6934),(3275,1035,-0.002397,3.6936),(3275,1045,-0.002484,3.6937),(3275,1055,-0.002574,3.6939),(3275,1065,-0.002666,3.6941),(3275,1075,-0.002759,3.6942),(3275,1085,-0.002851,3.6944),(3275,1095,-0.002947,3.6946),(3275,1105,-0.003045,3.6948),(3275,1115,-0.003143,3.695),(3275,1125,-0.003241,3.6952),(3275,1135,-0.003342,3.6954),(3275,1145,-0.003445,3.6956),(3275,1155,-0.003548,3.6958),(3275,1165,-0.003651,3.6961),(3275,1175,-0.003757,3.6963),(3275,1185,-0.003864,3.6965),(3275,1195,-0.003972,3.6968),(3275,1205,-0.004079,3.697),(3275,1215,-0.004189,3.6973),(3275,1225,-0.004301,3.6975),(3275,1235,-0.004412,3.6978),(3275,1245,-0.004524,3.6981),(3275,1255,-0.004637,3.6983),(3275,1265,-0.004752,3.6986),(3275,1275,-0.004867,3.6989),(3275,1285,-0.004981,3.6992),(3275,1295,-0.005098,3.6995),(3275,1305,-0.005215,3.6998),(3275,1315,-0.005333,3.7001),(3275,1325,-0.00545,3.7005),(3275,1335,-0.005569,3.7008),(3275,1345,-0.005689,3.7011),(3275,1355,-0.005809,3.7015),(3275,1365,-0.005928,3.7019),(3275,1375,-0.006049,3.7022),(3275,1385,-0.00617,3.7026),(3275,1395,-0.006291,3.703),(3275,1405,-0.006412,3.7034),(3275,1415,-0.006534,3.7038),(3275,1425,-0.006655,3.7042),(3275,1435,-0.006777,3.7046),(3275,1445,-0.006898,3.705),(3275,1455,-0.00702,3.7054),(3275,1465,-0.007141,3.7059),(3275,1475,-0.007262,3.7063),(3275,1485,-0.007383,3.7068),(3275,1495,-0.007504,3.7073),(3275,1505,-0.007624,3.7077),(3275,1515,-0.007744,3.7082),(3275,1525,-0.007864,3.7087),(3275,1535,-0.007983,3.7092),(3275,1545,-0.008101,3.7097),(3275,1555,-0.00822,3.7103),(3275,1565,-0.008338,3.7108),(3275,1575,-0.008454,3.7114),(3275,1585,-0.00857,3.7119),(3275,1595,-0.008686,3.7125),(3275,1605,-0.008802,3.7131),(3275,1615,-0.008914,3.7137),(3275,1625,-0.009027,3.7143),(3275,1635,-0.00914,3.7149),(3275,1645,-0.009251,3.7155),(3275,1655,-0.009359,3.7162),(3275,1665,-0.009467,3.7168),(3275,1675,-0.009575,3.7175),(3275,1685,-0.009682,3.7182),(3275,1695,-0.009784,3.7188),(3275,1705,-0.009887,3.7195),(3275,1715,-0.009989,3.7203),(3275,1725,-0.010089,3.721),(3275,1735,-0.010185,3.7217),(3275,1745,-0.01028,3.7225),(3275,1755,-0.010375,3.7233),(3275,1765,-0.010469,3.7241),(3275,1775,-0.010556,3.7249),(3275,1785,-0.010643,3.7257),(3275,1795,-0.01073,3.7265),(3275,1805,-0.010814,3.7274),(3275,1815,-0.01089,3.7283),(3275,1825,-0.010967,3.7291),(3275,1835,-0.011044,3.7301),(3275,1845,-0.011116,3.731),(3275,1855,-0.011179,3.7319),(3275,1865,-0.011243,3.7329),(3275,1875,-0.011307,3.7339),(3275,1885,-0.011364,3.7349),(3275,1895,-0.011412,3.7359),(3275,1905,-0.011459,3.7369),(3275,1915,-0.011507,3.738),(3275,1925,-0.011546,3.7391),(3275,1935,-0.011574,3.7402),(3275,1945,-0.011602,3.7413),(3275,1955,-0.011629,3.7425),(3275,1965,-0.011646,3.7437),(3275,1975,-0.011649,3.7448),(3275,1985,-0.011652,3.7461),(3275,1995,-0.011655,3.7473),(3275,2005,-0.011642,3.7486),(3275,2015,-0.011615,3.7499),(3275,2025,-0.011587,3.7512),(3275,2035,-0.011559,3.7526),(3275,2045,-0.01151,3.754),(3275,2055,-0.011443,3.7554),(3275,2065,-0.011377,3.7568),(3275,2075,-0.01131,3.7583),(3275,2085,-0.011215,3.7598),(3275,2095,-0.011099,3.7614),(3275,2105,-0.010983,3.7629),(3275,2115,-0.010867,3.7646),(3275,2125,-0.010713,3.7662),(3275,2135,-0.010535,3.7679),(3275,2145,-0.010358,3.7696),(3275,2155,-0.010181,3.7714),(3275,2165,-0.009952,3.7732),(3275,2175,-0.009698,3.775),(3275,2185,-0.009443,3.7769),(3275,2195,-0.009189,3.7788),(3275,2205,-0.008867,3.7808),(3275,2215,-0.008516,3.7827),(3275,2225,-0.008165,3.7848),(3275,2235,-0.007813,3.7869),(3275,2245,-0.007373,3.789),(3275,2255,-0.006902,3.7911),(3275,2265,-0.00643,3.7934),(3275,2275,-0.005959,3.7957),(3275,2285,-0.00537,3.798),(3275,2295,-0.004749,3.8003),(3275,2305,-0.004128,3.8028),(3275,2315,-0.003506,3.8053),(3275,2325,-0.002734,3.8078),(3275,2335,-0.001928,3.8103),(3275,2345,-0.001122,3.813),(3275,2355,-0.000315,3.8157),(3275,2365,0.000685,3.8184),(3275,2375,0.001718,3.8211),(3275,2385,0.002751,3.824),(3275,2395,0.003784,3.8269),(3275,2405,0.005064,3.8299),(3275,2415,0.006373,3.8328),(3275,2425,0.007681,3.8359),(3275,2435,0.00899,3.839),(3275,2445,0.010609,3.8422),(3275,2455,0.01225,3.8453),(3275,2465,0.013891,3.8486),(3275,2475,0.015532,3.852),(3275,2485,0.017558,3.8553),(3275,2495,0.019594,3.8586),(3275,2505,0.021629,3.8622),(3275,2515,0.023672,3.8657),(3275,2525,0.026172,3.8692),(3275,2535,0.028671,3.8727),(3275,2545,0.031171,3.8763),(3275,2555,0.0337,3.88),(3275,2565,0.036734,3.8836),(3275,2575,0.039769,3.8873),(3275,2585,0.042803,3.891),(3275,2595,0.045895,3.8948),(3275,2605,0.049534,3.8985),(3275,2615,0.053173,3.9022),(3275,2625,0.056813,3.906),(3275,2635,0.060542,3.9097),(3275,2645,0.064849,3.9134),(3275,2655,0.069156,3.9172),(3275,2665,0.073464,3.9208),(3275,2675,0.077896,3.9245),(3275,2685,0.082922,3.9281),(3275,2695,0.087948,3.9317),(3275,2705,0.092974,3.9352),(3275,2715,0.09816,3.9386),(3275,2725,0.10394,3.9421),(3275,2735,0.10971,3.9454),(3275,2745,0.11549,3.9486),(3275,2755,0.12146,3.9517),(3275,2765,0.12799,3.9548),(3275,2775,0.13453,3.9578),(3275,2785,0.14107,3.9604),(3275,2795,0.14782,3.9631),(3275,2805,0.1551,3.9657),(3275,2815,0.16237,3.9682),(3275,2825,0.16965,3.9703),(3275,2835,0.17716,3.9723),(3275,2845,0.18513,3.9744),(3275,2855,0.19311,3.9761),(3275,2865,0.20108,3.9775),(3275,2875,0.20929,3.9788),(3275,2885,0.2179,3.9801),(3275,2895,0.22651,3.9811),(3275,2905,0.23512,3.9816),(3275,2915,0.24395,3.9821),(3275,2925,0.25311,3.9825),(3275,2935,0.26227,3.9826),(3275,2945,0.27143,3.9821),(3275,2955,0.28079,3.9817),(3275,2965,0.29041,3.9812),(3275,2975,0.30003,3.9803),(3275,2985,0.30965,3.9788),(3275,2995,0.31944,3.9773),(3275,3005,0.32941,3.9758),(3275,3015,0.33939,3.9738),(3275,3025,0.34936,3.9712),(3275,3035,0.35947,3.9686),(3275,3045,0.36969,3.966),(3275,3055,0.37992,3.9628),(3275,3065,0.39014,3.959),(3275,3075,0.40045,3.9553),(3275,3085,0.41081,3.9515),(3275,3095,0.42118,3.9471),(3275,3105,0.43154,3.9421),(3275,3115,0.44192,3.9372),(3275,3125,0.45231,3.9322),(3275,3135,0.4627,3.9265),(3275,3145,0.47309,3.9203),(3275,3155,0.48341,3.9141),(3275,3165,0.4937,3.9079),(3275,3175,0.50399,3.9009),(3275,3185,0.51428,3.8934),(3275,3195,0.52442,3.8859),(3275,3205,0.53448,3.8784),(3275,3215,0.54454,3.87),(3275,3225,0.5546,3.8612),(3275,3235,0.5644,3.8524),(3275,3245,0.57409,3.8436),(3275,3255,0.58378,3.8339),(3275,3265,0.59347,3.8238),(3275,3275,0.60276,3.8136),(3275,3285,0.61193,3.8035),(3275,3295,0.62109,3.7924),(3275,3305,0.63026,3.7809),(3275,3315,0.63886,3.7695),(3275,3325,0.64732,3.758),(3275,3335,0.65579,3.7455),(3275,3345,0.66426,3.7328),(3275,3355,0.67197,3.72),(3275,3365,0.67955,3.7072),(3275,3375,0.68712,3.6934),(3275,3385,0.6947,3.6794),(3275,3395,0.70131,3.6653),(3275,3405,0.70779,3.6513),(3275,3415,0.71427,3.6362),(3275,3425,0.72075,3.621),(3275,3435,0.72602,3.6058),(3275,3445,0.73119,3.5905),(3275,3455,0.73635,3.5743),(3275,3465,0.74152,3.558),(3275,3475,0.7452,3.5417),(3275,3485,0.74883,3.5254),(3275,3495,0.75245,3.5082),(3275,3505,0.75607,3.491),(3275,3515,0.75793,3.4738),(3275,3525,0.75979,3.4565),(3275,3535,0.76166,3.4386),(3275,3545,0.76343,3.4207),(3275,3555,0.76331,3.4028),(3275,3565,0.76319,3.3849),(3275,3575,0.76308,3.3665),(3275,3585,0.76277,3.3482),(3275,3595,0.76048,3.3299),(3275,3605,0.75819,3.3115),(3275,3615,0.7559,3.2931),(3275,3625,0.75332,3.2746),(3275,3635,0.74868,3.2561),(3275,3645,0.74404,3.2377),(3275,3655,0.73941,3.2195),(3275,3665,0.73436,3.2013),(3275,3675,0.72721,3.1831),(3275,3685,0.72006,3.1651),(3275,3695,0.7129,3.1475),(3275,3705,0.70521,3.13),(3275,3715,0.69536,3.1124),(3275,3725,0.68551,3.0952),(3275,3735,0.67566,3.0788),(3275,3745,0.6651,3.0625),(3275,3755,0.65231,3.0461),(3275,3765,0.63951,3.0303),(3275,3775,0.62672,3.0158),(3275,3785,0.61301,3.0014),(3275,3795,0.59694,2.9869),(3275,3805,0.58087,2.9734),(3275,3815,0.56479,2.9621),(3275,3825,0.54756,2.9508),(3275,3835,0.52786,2.9394),(3275,3845,0.50817,2.93),(3275,3855,0.48847,2.924),(3275,3865,0.46754,2.9181),(3275,3875,0.44443,2.9122),(3275,3885,0.42132,2.91),(3275,3895,0.3982,2.9137),(3275,3905,0.40937,2.9174),(3275,3915,0.47174,2.9211),(3275,3925,0.53412,2.9445),(3275,3935,0.59649,2.9949),(3275,3945,0.69612,3.0453),(3275,3955,0.84303,3.0957),(3275,3965,0.98995,3.1358),(3275,3975,1.1369,3.1638),(3275,3985,1.2485,3.1918),(3275,3995,1.322,3.2199),(3275,4005,1.3954,3.2285),(3275,4015,1.4688,3.2178),(3275,4025,1.5587,3.2072),(3275,4035,1.6501,3.1823),(3275,4045,1.7415,3.1276),(3275,4055,1.8123,3.0729),(3275,4065,1.8755,3.0171),(3275,4075,1.9387,2.9546),(3275,4085,1.9855,2.8922),(3275,4095,2.0192,2.8297),(3275,4105,2.0528,2.775),(3275,4115,2.0165,2.7206),(3275,4125,1.8641,2.6662),(3275,4135,1.7118,2.6282),(3275,4145,1.5547,2.5948),(3275,4155,1.3785,2.5613),(3275,4165,1.2023,2.5365),(3275,4175,1.0362,2.5174),(3275,4185,1.3709,2.4982),(3275,4195,1.7057,2.4739),(3275,4205,2.0404,2.4426),(3275,4215,2.0904,2.4114),(3275,4225,2.0867,2.381),(3275,4235,2.0831,2.353),(3275,4245,2.0453,2.3251),(3275,4255,1.9901,2.2972),(3275,4265,1.9349,2.2705),(3275,4275,1.702,2.2438),(3275,4285,1.2805,2.2171),(3275,4295,0.85898,2.2092),(3275,4305,0.69391,2.2033),(3275,4315,1.1079,2.1975),(3275,4325,1.5218,2.1817),(3275,4335,1.8897,2.1618),(3275,4345,1.9455,2.142),(3275,4355,2.0014,2.1217),(3275,4365,2.0573,2.1008),(3275,4375,2.0631,2.08),(3275,4385,2.0664,2.0595),(3275,4395,2.0697,2.0395),(3275,4405,1.8269,2.0195),(3275,4415,1.5115,2.0015),(3275,4425,1.1962,1.9919),(3275,4435,1.0632,1.9824),(3275,4445,1.0548,1.9728),(3275,4455,1.0464,1.9641),(3275,4465,1.1737,1.9553),(3275,4475,1.4918,1.9465),(3275,4485,1.8098,1.931),(3275,4495,2.0528,1.9141),(3275,4505,2.0548,1.8973),(3275,4515,2.0569,1.8805),(3275,4525,2.0547,1.8638),(3275,4535,1.9872,1.8471),(3275,4545,1.9196,1.8313),(3275,4555,1.852,1.8166),(3275,4565,1.4297,1.8018),(3275,4575,0.95946,1.7908),(3275,4585,0.48926,1.7888),(3275,4595,0.67324,1.7869),(3275,4605,1.1336,1.7831),(3275,4615,1.594,1.7646),(3275,4625,1.8457,1.7461),(3275,4635,1.9084,1.7275),(3275,4645,1.971,1.7113),(3275,4655,2.0154,1.6951),(3275,4665,2.0252,1.679),(3275,4675,2.035,1.6633),(3275,4685,1.9738,1.6479),(3275,4695,1.5622,1.6324),(3275,4705,1.1505,1.6229),(3275,4715,0.73884,1.6177),(3275,4725,0.93723,1.6126),(3275,4735,1.1417,1.6058),(3275,4745,1.3462,1.5966),(3275,4755,1.5538,1.5874),(3275,4765,1.7622,1.5771),(3275,4775,1.9706,1.5632),(3275,4785,2.0486,1.5493),(3275,4795,2.0512,1.5355),(3275,4805,2.0538,1.5218),(3275,4815,1.958,1.5081),(3275,4825,1.7443,1.4944),(3275,4835,1.5307,1.4848),(3275,4845,1.3148,1.4758),(3275,4855,1.0931,1.4668),(3275,4865,0.87137,1.4613),(3275,4875,0.71498,1.4572),(3275,4885,1.1529,1.4532),(3275,4895,1.5909,1.4446),(3275,4905,2.0288,1.4314),(3275,4915,2.0633,1.4183),(3275,4925,2.0631,1.4052),(3275,4935,2.0628,1.3919),(3275,4945,2.0309,1.3786),(3275,4955,1.9879,1.3649),(3275,4965,1.9449,1.349),(3275,4975,1.6156,1.3332),(3275,4985,1.0653,1.3174),(3275,4995,0.51491,1.3162),(3275,5005,0.34971,1.3154),(3275,5015,0.79685,1.3146),(3275,5025,1.244,1.307),(3275,5035,1.6291,1.2976),(3275,5045,1.7779,1.2883),(3275,5055,1.9268,1.2772),(3275,5065,2.0713,1.265),(3275,5075,2.0737,1.2528),(3275,5085,2.0761,1.2406),(3275,5095,2.0786,1.2285),(3275,5105,1.8189,1.2164),(3275,5115,1.5136,1.2057),(3275,5125,1.2082,1.1994),(3275,5135,1.056,1.193),(3275,5145,0.97803,1.1868),(3275,5155,0.90008,1.1823),(3275,5165,1.057,1.1777),(3275,5175,1.4534,1.1732),(3275,5185,1.8499,1.1624),(3275,5195,2.1214,1.151),(3275,5205,2.1234,1.1395),(3275,5215,2.1254,1.1282),(3275,5225,2.1163,1.1168),(3275,5235,2.0381,1.1055),(3275,5245,1.9599,1.0949),(3275,5255,1.8816,1.0849),(3275,5265,1.3282,1.0749),(3275,5275,0.75524,1.0686),(3275,5285,0.18226,1.0684),(3275,5295,0.5547,1.0682),(3275,5305,1.1904,1.0655),(3275,5315,1.8261,1.0524),(3275,5325,2.0954,1.0393),(3275,5335,2.1243,1.0263),(3275,5345,2.1533,1.0154),(3275,5355,2.1709,1.0045),(3275,5365,2.1733,0.99367),(3275,5375,2.1756,0.98303),(3275,5385,2.0534,0.97244),(3275,5395,1.5524,0.96184),(3275,5405,1.0514,0.9564),(3275,5415,0.60538,0.95363),(3275,5425,0.89756,0.95087),(3275,5435,1.1897,0.94669),(3275,5445,1.4819,0.94098),(3275,5455,1.7606,0.93527),(3275,5465,2.0377,0.92859),(3275,5475,2.3147,0.91963),(3275,5485,2.3943,0.91067),(3275,5495,2.3943,0.90175),(3275,5505,2.3943,0.89304),(3275,5515,2.3943,0.88434),(3275,5525,2.3943,0.87563),(3275,5535,2.3943,0.86717),(3275,5545,2.3942,0.85872),(3275,5555,2.3941,0.85027),(3275,5565,2.394,0.84199),(3275,5575,2.3939,0.83377),(3275,5585,2.3937,0.82555),(3275,5595,2.3935,0.81747),(3275,5605,2.3933,0.80949),(3275,5615,2.3931,0.80151),(3275,5625,2.3928,0.79362),(3275,5635,2.3925,0.78584),(3275,5645,2.3922,0.77807),(3275,5655,2.3918,0.77034),(3275,5665,2.3915,0.76277),(3275,5675,2.3911,0.75519),(3275,5685,2.3906,0.74763),(3275,5695,2.3902,0.74023),(3275,5705,2.3897,0.73284),(3275,5715,2.3892,0.72544),(3275,5725,2.3887,0.7182),(3275,5735,2.3882,0.71097),(3275,5745,2.3877,0.70375),(3275,5755,2.3871,0.69663),(3275,5765,2.3865,0.68955),(3275,5775,2.3859,0.68248),(3275,5785,2.3853,0.67549),(3275,5795,2.3847,0.66857),(3275,5805,2.384,0.66166),(3275,5815,2.3833,0.65479),(3275,5825,2.3826,0.64802),(3275,5835,2.3819,0.64125),(3275,5845,2.3812,0.6345),(3275,5855,2.3805,0.62786),(3275,5865,2.3797,0.62121),(3275,5875,2.3789,0.61457),(3275,5885,2.3781,0.60805),(3275,5895,2.3773,0.60153),(3275,5905,2.3765,0.59501),(3275,5915,2.3757,0.58858),(3275,5925,2.3748,0.58217),(3275,5935,2.374,0.57576),(3275,5945,2.3731,0.56943),(3275,5955,2.3722,0.56314),(3275,5965,2.3714,0.55686),(3275,5975,2.3705,0.55061),(3275,5985,2.3696,0.54443),(3275,5995,1.8119,0.53824),(3275,6005,1.1646,0.53351),(3275,6015,0.51724,0.5327),(3275,6025,0.66009,0.53188),(3275,6035,1.1694,0.53045),(3275,6045,1.6787,0.52308),(3275,6055,2.0325,0.51572),(3275,6065,2.2336,0.50836),(3275,6075,2.4348,0.49881),(3275,6085,2.5707,0.48907),(3275,6095,2.5722,0.47932),(3275,6105,2.5737,0.46957),(3275,6115,2.5752,0.45983),(3275,6125,2.5767,0.45008),(3275,6135,2.5781,0.44042),(3275,6145,2.5795,0.43082),(3275,6155,2.5808,0.42122),(3275,6165,2.5822,0.41168),(3275,6175,2.5835,0.40222),(3275,6185,2.5847,0.39276),(3275,6195,2.5859,0.38331),(3275,6205,2.5872,0.37394),(3275,6215,2.5883,0.36456),(3275,6225,2.5894,0.35518),(3275,6235,2.5906,0.34582),(3275,6245,2.5917,0.33645),(3275,6255,2.5927,0.32709),(3275,6265,2.5937,0.31778),(3275,6275,2.5947,0.30849),(3275,6285,2.5956,0.2992),(3275,6295,2.5966,0.28998),(3275,6305,2.5975,0.2808),(3275,6315,2.5984,0.27161),(3275,6325,2.5992,0.26246),(3275,6335,2.6,0.25333),(3275,6345,2.6008,0.2442),(3275,6355,2.6016,0.23509),(3275,6365,2.6023,0.22599),(3275,6375,2.603,0.2169),(3275,6385,2.6037,0.20781),(3275,6395,2.6043,0.19873),(3275,6405,2.605,0.18965),(3275,6415,2.6055,0.18058),(3275,6425,2.6061,0.17156),(3275,6435,2.6066,0.16255),(3275,6445,2.6071,0.15353),(3275,6455,2.6076,0.1446),(3275,6465,2.608,0.1357),(3275,6475,2.6084,0.12679),(3275,6485,2.6088,0.11787),(3275,6495,2.6092,0.10895),(3275,6505,2.6095,0.10003),(3275,6515,2.6097,0.091112),(3275,6525,2.61,0.082193),(3275,6535,2.6103,0.073275),(3275,6545,2.6105,0.064358),(3275,6555,2.6107,0.055442),(3275,6565,2.6108,0.046526),(3275,6575,2.6109,0.037614),(3275,6585,2.611,0.028754),(3275,6595,2.2209,0.019895),(3275,6605,1.3998,0.011035),(3275,6615,0.57873,0.00994),(3275,6625,0.001533,0.009842),(3275,6635,0.00153,0.009745),(3275,6645,0.001527,0.00971),(3275,6655,0.001525,0.009702),(3275,6665,0.001522,0.009694),(3275,6675,0.001519,0.009685),(3275,6685,0.001517,0.009677),(3275,6695,0.001514,0.009669),(3275,6705,0.001512,0.009661),(3275,6715,0.001509,0.009652),(3275,6725,0.001507,0.009644),(3275,6735,0.001505,0.009636),(3275,6745,0.001503,0.009627),(3275,6755,0.001501,0.009619),(3275,6765,0.001499,0.009611),(3275,6775,0.001497,0.009603),(3275,6785,0.001495,0.009594),(3275,6795,0.001493,0.009586),(3275,6805,0.001492,0.009578),(3275,6815,0.00149,0.00957),(3275,6825,0.001488,0.009561),(3275,6835,0.001487,0.009553),(3275,6845,0.001485,0.009545),(3275,6855,0.001484,0.009536),(3275,6865,0.001482,0.009528),(3275,6875,0.001481,0.00952),(3275,6885,0.00148,0.009512),(3275,6895,0.001478,0.009503),(3275,6905,0.001477,0.009495),(3275,6915,0.001476,0.009486),(3275,6925,0.001475,0.009478),(3275,6935,0.001474,0.00947),(3275,6945,0.001473,0.009461),(3275,6955,0.001472,0.009453),(3275,6965,0.001471,0.009444),(3275,6975,0.00147,0.009436),(3275,6985,0.001469,0.009428),(3285,5,5e-06,3.6888),(3285,15,1.6e-05,3.6888),(3285,25,2.7e-05,3.6888),(3285,35,3.8e-05,3.6888),(3285,45,4.9e-05,3.6888),(3285,55,6e-05,3.6888),(3285,65,7e-05,3.6888),(3285,75,8.1e-05,3.6888),(3285,85,9.1e-05,3.6888),(3285,95,0.000101,3.6888),(3285,105,0.000111,3.6888),(3285,115,0.000121,3.6888),(3285,125,0.00013,3.6888),(3285,135,0.00014,3.6888),(3285,145,0.000149,3.6888),(3285,155,0.000157,3.6888),(3285,165,0.000166,3.6888),(3285,175,0.000174,3.6888),(3285,185,0.000182,3.6888),(3285,195,0.000189,3.6888),(3285,205,0.000196,3.6888),(3285,215,0.000203,3.6888),(3285,225,0.000209,3.6889),(3285,235,0.000215,3.6889),(3285,245,0.000221,3.6889),(3285,255,0.000226,3.6889),(3285,265,0.00023,3.6889),(3285,275,0.000234,3.6889),(3285,285,0.000237,3.6889),(3285,295,0.000241,3.6889),(3285,305,0.000243,3.6889),(3285,315,0.000244,3.6889),(3285,325,0.000245,3.689),(3285,335,0.000246,3.689),(3285,345,0.000245,3.689),(3285,355,0.000243,3.689),(3285,365,0.000242,3.689),(3285,375,0.00024,3.689),(3285,385,0.000236,3.6891),(3285,395,0.000231,3.6891),(3285,405,0.000227,3.6891),(3285,415,0.000222,3.6891),(3285,425,0.000215,3.6891),(3285,435,0.000207,3.6891),(3285,445,0.000199,3.6892),(3285,455,0.000191,3.6892),(3285,465,0.00018,3.6892),(3285,475,0.000168,3.6892),(3285,485,0.000157,3.6893),(3285,495,0.000145,3.6893),(3285,505,0.00013,3.6893),(3285,515,0.000114,3.6893),(3285,525,9.9e-05,3.6894),(3285,535,8.3e-05,3.6894),(3285,545,6.3e-05,3.6894),(3285,555,4.3e-05,3.6895),(3285,565,2.3e-05,3.6895),(3285,575,3e-06,3.6895),(3285,585,-2.2e-05,3.6896),(3285,595,-4.7e-05,3.6896),(3285,605,-7.2e-05,3.6897),(3285,615,-9.7e-05,3.6897),(3285,625,-0.000127,3.6897),(3285,635,-0.000157,3.6898),(3285,645,-0.000186,3.6898),(3285,655,-0.000217,3.6899),(3285,665,-0.000252,3.6899),(3285,675,-0.000287,3.69),(3285,685,-0.000322,3.69),(3285,695,-0.000358,3.6901),(3285,705,-0.000398,3.6901),(3285,715,-0.000439,3.6902),(3285,725,-0.00048,3.6903),(3285,735,-0.000522,3.6903),(3285,745,-0.000568,3.6904),(3285,755,-0.000615,3.6904),(3285,765,-0.000662,3.6905),(3285,775,-0.00071,3.6906),(3285,785,-0.000763,3.6907),(3285,795,-0.000816,3.6907),(3285,805,-0.000868,3.6908),(3285,815,-0.000923,3.6909),(3285,825,-0.000982,3.691),(3285,835,-0.001041,3.6911),(3285,845,-0.001099,3.6912),(3285,855,-0.001161,3.6912),(3285,865,-0.001226,3.6913),(3285,875,-0.001291,3.6914),(3285,885,-0.001356,3.6915),(3285,895,-0.001424,3.6916),(3285,905,-0.001496,3.6917),(3285,915,-0.001568,3.6919),(3285,925,-0.00164,3.692),(3285,935,-0.001714,3.6921),(3285,945,-0.001793,3.6922),(3285,955,-0.001871,3.6923),(3285,965,-0.001949,3.6925),(3285,975,-0.00203,3.6926),(3285,985,-0.002115,3.6927),(3285,995,-0.002199,3.6929),(3285,1005,-0.002284,3.693),(3285,1015,-0.002372,3.6932),(3285,1025,-0.002462,3.6933),(3285,1035,-0.002553,3.6935),(3285,1045,-0.002644,3.6936),(3285,1055,-0.002738,3.6938),(3285,1065,-0.002835,3.694),(3285,1075,-0.002932,3.6941),(3285,1085,-0.003029,3.6943),(3285,1095,-0.00313,3.6945),(3285,1105,-0.003232,3.6947),(3285,1115,-0.003335,3.6949),(3285,1125,-0.003438,3.6951),(3285,1135,-0.003544,3.6953),(3285,1145,-0.003652,3.6955),(3285,1155,-0.00376,3.6957),(3285,1165,-0.003868,3.6959),(3285,1175,-0.00398,3.6962),(3285,1185,-0.004092,3.6964),(3285,1195,-0.004205,3.6966),(3285,1205,-0.004318,3.6969),(3285,1215,-0.004434,3.6971),(3285,1225,-0.004552,3.6974),(3285,1235,-0.004669,3.6977),(3285,1245,-0.004786,3.6979),(3285,1255,-0.004906,3.6982),(3285,1265,-0.005027,3.6985),(3285,1275,-0.005149,3.6988),(3285,1285,-0.00527,3.6991),(3285,1295,-0.005393,3.6994),(3285,1305,-0.005517,3.6997),(3285,1315,-0.005641,3.7),(3285,1325,-0.005765,3.7003),(3285,1335,-0.005892,3.7007),(3285,1345,-0.006018,3.701),(3285,1355,-0.006145,3.7014),(3285,1365,-0.006272,3.7017),(3285,1375,-0.0064,3.7021),(3285,1385,-0.006529,3.7025),(3285,1395,-0.006657,3.7028),(3285,1405,-0.006786,3.7032),(3285,1415,-0.006916,3.7036),(3285,1425,-0.007046,3.704),(3285,1435,-0.007175,3.7044),(3285,1445,-0.007305,3.7049),(3285,1455,-0.007435,3.7053),(3285,1465,-0.007565,3.7057),(3285,1475,-0.007695,3.7062),(3285,1485,-0.007825,3.7067),(3285,1495,-0.007955,3.7071),(3285,1505,-0.008084,3.7076),(3285,1515,-0.008214,3.7081),(3285,1525,-0.008343,3.7086),(3285,1535,-0.008472,3.7091),(3285,1545,-0.0086,3.7096),(3285,1555,-0.008729,3.7101),(3285,1565,-0.008857,3.7107),(3285,1575,-0.008983,3.7112),(3285,1585,-0.00911,3.7118),(3285,1595,-0.009237,3.7124),(3285,1605,-0.009363,3.713),(3285,1615,-0.009487,3.7135),(3285,1625,-0.009611,3.7141),(3285,1635,-0.009735,3.7148),(3285,1645,-0.009859,3.7154),(3285,1655,-0.009979,3.716),(3285,1665,-0.010099,3.7167),(3285,1675,-0.01022,3.7174),(3285,1685,-0.010339,3.718),(3285,1695,-0.010455,3.7187),(3285,1705,-0.01057,3.7194),(3285,1715,-0.010686,3.7202),(3285,1725,-0.0108,3.7209),(3285,1735,-0.01091,3.7216),(3285,1745,-0.01102,3.7224),(3285,1755,-0.01113,3.7232),(3285,1765,-0.011238,3.724),(3285,1775,-0.011341,3.7248),(3285,1785,-0.011444,3.7256),(3285,1795,-0.011547,3.7265),(3285,1805,-0.011647,3.7273),(3285,1815,-0.011741,3.7282),(3285,1825,-0.011835,3.7291),(3285,1835,-0.011929,3.73),(3285,1845,-0.012019,3.7309),(3285,1855,-0.012102,3.7318),(3285,1865,-0.012184,3.7328),(3285,1875,-0.012267,3.7338),(3285,1885,-0.012344,3.7348),(3285,1895,-0.012413,3.7358),(3285,1905,-0.012481,3.7369),(3285,1915,-0.01255,3.7379),(3285,1925,-0.012611,3.739),(3285,1935,-0.012662,3.7401),(3285,1945,-0.012713,3.7413),(3285,1955,-0.012764,3.7424),(3285,1965,-0.012804,3.7436),(3285,1975,-0.012833,3.7448),(3285,1985,-0.012862,3.746),(3285,1995,-0.01289,3.7473),(3285,2005,-0.012905,3.7486),(3285,2015,-0.012905,3.7499),(3285,2025,-0.012906,3.7512),(3285,2035,-0.012906,3.7526),(3285,2045,-0.012887,3.754),(3285,2055,-0.012851,3.7554),(3285,2065,-0.012816,3.7569),(3285,2075,-0.01278,3.7584),(3285,2085,-0.012718,3.7599),(3285,2095,-0.012637,3.7614),(3285,2105,-0.012555,3.763),(3285,2115,-0.012474,3.7647),(3285,2125,-0.012357,3.7664),(3285,2135,-0.012217,3.768),(3285,2145,-0.012078,3.7698),(3285,2155,-0.011938,3.7716),(3285,2165,-0.01175,3.7734),(3285,2175,-0.011537,3.7752),(3285,2185,-0.011324,3.7771),(3285,2195,-0.011111,3.7791),(3285,2205,-0.010834,3.781),(3285,2215,-0.010528,3.783),(3285,2225,-0.010222,3.7851),(3285,2235,-0.009916,3.7873),(3285,2245,-0.009524,3.7894),(3285,2255,-0.009102,3.7916),(3285,2265,-0.008679,3.7939),(3285,2275,-0.008256,3.7962),(3285,2285,-0.00772,3.7986),(3285,2295,-0.007151,3.8009),(3285,2305,-0.006582,3.8034),(3285,2315,-0.006014,3.806),(3285,2325,-0.005296,3.8085),(3285,2335,-0.004545,3.8111),(3285,2345,-0.003795,3.8138),(3285,2355,-0.003044,3.8166),(3285,2365,-0.0021,3.8193),(3285,2375,-0.001125,3.8221),(3285,2385,-0.000149,3.8251),(3285,2395,0.000826,3.8281),(3285,2405,0.002049,3.8311),(3285,2415,0.003299,3.8341),(3285,2425,0.00455,3.8373),(3285,2435,0.005801,3.8405),(3285,2445,0.007364,3.8437),(3285,2455,0.008949,3.8469),(3285,2465,0.010533,3.8503),(3285,2475,0.012118,3.8538),(3285,2485,0.014092,3.8572),(3285,2495,0.016076,3.8606),(3285,2505,0.01806,3.8643),(3285,2515,0.020051,3.8679),(3285,2525,0.022507,3.8715),(3285,2535,0.024963,3.8752),(3285,2545,0.027419,3.8789),(3285,2555,0.029904,3.8827),(3285,2565,0.032907,3.8865),(3285,2575,0.03591,3.8903),(3285,2585,0.038913,3.8942),(3285,2595,0.041974,3.8981),(3285,2605,0.045599,3.902),(3285,2615,0.049224,3.9059),(3285,2625,0.052849,3.9098),(3285,2635,0.056566,3.9137),(3285,2645,0.060882,3.9176),(3285,2655,0.065197,3.9215),(3285,2665,0.069512,3.9253),(3285,2675,0.073956,3.9292),(3285,2685,0.079016,3.933),(3285,2695,0.084076,3.9368),(3285,2705,0.089137,3.9405),(3285,2715,0.094363,3.9441),(3285,2725,0.1002,3.9478),(3285,2735,0.10604,3.9513),(3285,2745,0.11188,3.9546),(3285,2755,0.11793,3.958),(3285,2765,0.12456,3.9613),(3285,2775,0.13119,3.9645),(3285,2785,0.13782,3.9673),(3285,2795,0.14468,3.9701),(3285,2805,0.15208,3.973),(3285,2815,0.15948,3.9756),(3285,2825,0.16689,3.9779),(3285,2835,0.17453,3.9801),(3285,2845,0.18266,3.9823),(3285,2855,0.1908,3.9843),(3285,2865,0.19893,3.9858),(3285,2875,0.2073,3.9873),(3285,2885,0.2161,3.9888),(3285,2895,0.22489,3.9899),(3285,2905,0.23368,3.9905),(3285,2915,0.24271,3.9912),(3285,2925,0.25207,3.9918),(3285,2935,0.26144,3.992),(3285,2945,0.2708,3.9916),(3285,2955,0.28039,3.9913),(3285,2965,0.29023,3.991),(3285,2975,0.30007,3.9901),(3285,2985,0.30992,3.9887),(3285,2995,0.31995,3.9873),(3285,3005,0.33016,3.9859),(3285,3015,0.34038,3.984),(3285,3025,0.3506,3.9814),(3285,3035,0.36096,3.9789),(3285,3045,0.37144,3.9764),(3285,3055,0.38192,3.9732),(3285,3065,0.3924,3.9695),(3285,3075,0.40297,3.9658),(3285,3085,0.41361,3.9621),(3285,3095,0.42424,3.9577),(3285,3105,0.43487,3.9527),(3285,3115,0.44553,3.9478),(3285,3125,0.4562,3.9429),(3285,3135,0.46686,3.9371),(3285,3145,0.47753,3.9309),(3285,3155,0.48814,3.9247),(3285,3165,0.49872,3.9184),(3285,3175,0.5093,3.9114),(3285,3185,0.51988,3.9038),(3285,3195,0.53031,3.8963),(3285,3205,0.54067,3.8887),(3285,3215,0.55103,3.8803),(3285,3225,0.56139,3.8714),(3285,3235,0.57148,3.8625),(3285,3245,0.58147,3.8536),(3285,3255,0.59147,3.8437),(3285,3265,0.60146,3.8335),(3285,3275,0.61105,3.8232),(3285,3285,0.62052,3.813),(3285,3295,0.62999,3.8017),(3285,3305,0.63946,3.79),(3285,3315,0.64837,3.7784),(3285,3325,0.65714,3.7668),(3285,3335,0.66591,3.754),(3285,3345,0.67467,3.7411),(3285,3355,0.68268,3.7281),(3285,3365,0.69056,3.7151),(3285,3375,0.69843,3.701),(3285,3385,0.7063,3.6867),(3285,3395,0.71319,3.6724),(3285,3405,0.71995,3.6581),(3285,3415,0.72671,3.6426),(3285,3425,0.73348,3.6271),(3285,3435,0.739,3.6115),(3285,3445,0.74442,3.5959),(3285,3455,0.74984,3.5793),(3285,3465,0.75527,3.5626),(3285,3475,0.75917,3.5459),(3285,3485,0.76301,3.5292),(3285,3495,0.76686,3.5116),(3285,3505,0.77069,3.4939),(3285,3515,0.77272,3.4762),(3285,3525,0.77475,3.4585),(3285,3535,0.77679,3.4401),(3285,3545,0.77873,3.4217),(3285,3555,0.77872,3.4033),(3285,3565,0.77871,3.3848),(3285,3575,0.7787,3.3659),(3285,3585,0.7785,3.347),(3285,3595,0.77625,3.3281),(3285,3605,0.77399,3.3092),(3285,3615,0.77174,3.2901),(3285,3625,0.76919,3.2711),(3285,3635,0.7645,3.252),(3285,3645,0.75982,3.233),(3285,3655,0.75513,3.2141),(3285,3665,0.75002,3.1953),(3285,3675,0.74273,3.1764),(3285,3685,0.73544,3.1577),(3285,3695,0.72814,3.1394),(3285,3705,0.72028,3.1212),(3285,3715,0.71017,3.1029),(3285,3725,0.70006,3.0849),(3285,3735,0.68995,3.0678),(3285,3745,0.67908,3.0507),(3285,3755,0.66585,3.0335),(3285,3765,0.65263,3.0169),(3285,3775,0.6394,3.0015),(3285,3785,0.62516,2.9862),(3285,3795,0.60835,2.9708),(3285,3805,0.59155,2.9564),(3285,3815,0.57474,2.944),(3285,3825,0.55658,2.9317),(3285,3835,0.53556,2.9193),(3285,3845,0.51455,2.9088),(3285,3855,0.49353,2.9018),(3285,3865,0.47088,2.8947),(3285,3875,0.44533,2.8877),(3285,3885,0.41978,2.8846),(3285,3895,0.39423,2.8879),(3285,3905,0.39891,2.8912),(3285,3915,0.44873,2.8945),(3285,3925,0.49856,2.9211),(3285,3935,0.54839,2.9799),(3285,3945,0.64336,3.0387),(3285,3955,0.79564,3.0975),(3285,3965,0.94793,3.1438),(3285,3975,1.1002,3.1753),(3285,3985,1.2199,3.2068),(3285,3995,1.3043,3.2383),(3285,4005,1.3887,3.25),(3285,4015,1.4731,3.2419),(3285,4025,1.5767,3.2338),(3285,4035,1.6821,3.2074),(3285,4045,1.7876,3.1425),(3285,4055,1.8638,3.0776),(3285,4065,1.9293,3.0122),(3285,4075,1.9948,2.9438),(3285,4085,2.0411,2.8755),(3285,4095,2.0719,2.8071),(3285,4105,2.1028,2.751),(3285,4115,2.0623,2.6952),(3285,4125,1.9037,2.6395),(3285,4135,1.7451,2.6016),(3285,4145,1.5822,2.5685),(3285,4155,1.402,2.5355),(3285,4165,1.2218,2.5113),(3285,4175,1.0519,2.4929),(3285,4185,1.3893,2.4744),(3285,4195,1.7268,2.4507),(3285,4205,2.0642,2.4201),(3285,4215,2.1137,2.3895),(3285,4225,2.1091,2.3597),(3285,4235,2.1044,2.3323),(3285,4245,2.0661,2.305),(3285,4255,2.0107,2.2777),(3285,4265,1.9552,2.2514),(3285,4275,1.7197,2.2252),(3285,4285,1.2931,2.1989),(3285,4295,0.86642,2.1913),(3285,4305,0.69872,2.1858),(3285,4315,1.1157,2.1803),(3285,4325,1.5328,2.1647),(3285,4335,1.9033,2.1451),(3285,4345,1.9593,2.1255),(3285,4355,2.0153,2.1054),(3285,4365,2.0713,2.0848),(3285,4375,2.0769,2.0641),(3285,4385,2.0799,2.0438),(3285,4395,2.0829,2.0241),(3285,4405,1.8383,2.0043),(3285,4415,1.5207,1.9865),(3285,4425,1.2031,1.9771),(3285,4435,1.0691,1.9678),(3285,4445,1.0605,1.9584),(3285,4455,1.0519,1.9498),(3285,4465,1.1797,1.9412),(3285,4475,1.4993,1.9326),(3285,4485,1.8189,1.9172),(3285,4495,2.063,1.9004),(3285,4505,2.0649,1.8836),(3285,4515,2.0669,1.8668),(3285,4525,2.0647,1.8502),(3285,4535,1.9967,1.8336),(3285,4545,1.9288,1.8178),(3285,4555,1.8608,1.803),(3285,4565,1.4362,1.7882),(3285,4575,0.9635,1.7771),(3285,4585,0.49079,1.7753),(3285,4595,0.6766,1.7734),(3285,4605,1.1407,1.7697),(3285,4615,1.6047,1.7512),(3285,4625,1.8576,1.7328),(3285,4635,1.9194,1.7144),(3285,4645,1.9811,1.6981),(3285,4655,2.0248,1.682),(3285,4665,2.0343,1.6659),(3285,4675,2.0439,1.6503),(3285,4685,1.9822,1.6349),(3285,4695,1.5687,1.6195),(3285,4705,1.1551,1.61),(3285,4715,0.74159,1.6048),(3285,4725,0.94056,1.5997),(3285,4735,1.1457,1.593),(3285,4745,1.3508,1.5838),(3285,4755,1.5591,1.5746),(3285,4765,1.7683,1.5644),(3285,4775,1.9774,1.5505),(3285,4785,2.0556,1.5367),(3285,4795,2.0582,1.5229),(3285,4805,2.0608,1.5093),(3285,4815,1.9645,1.4956),(3285,4825,1.7501,1.482),(3285,4835,1.5357,1.4724),(3285,4845,1.319,1.4635),(3285,4855,1.0965,1.4546),(3285,4865,0.87393,1.4491),(3285,4875,0.71694,1.4451),(3285,4885,1.1563,1.4411),(3285,4895,1.5957,1.4324),(3285,4905,2.035,1.4194),(3285,4915,2.0697,1.4063),(3285,4925,2.0695,1.3932),(3285,4935,2.0693,1.3799),(3285,4945,2.038,1.3667),(3285,4955,1.996,1.3531),(3285,4965,1.9539,1.3373),(3285,4975,1.6234,1.3215),(3285,4985,1.0701,1.3058),(3285,4995,0.5169,1.3046),(3285,5005,0.3504,1.3038),(3285,5015,0.79873,1.303),(3285,5025,1.2471,1.2955),(3285,5035,1.6332,1.2862),(3285,5045,1.7824,1.2769),(3285,5055,1.9317,1.2658),(3285,5065,2.0766,1.2537),(3285,5075,2.079,1.2415),(3285,5085,2.0814,1.2294),(3285,5095,2.0838,1.2172),(3285,5105,1.8235,1.2051),(3285,5115,1.5173,1.1946),(3285,5125,1.2112,1.1882),(3285,5135,1.0585,1.1819),(3285,5145,0.98019,1.1757),(3285,5155,0.90192,1.1712),(3285,5165,1.0591,1.1667),(3285,5175,1.4564,1.1621),(3285,5185,1.8537,1.1514),(3285,5195,2.1258,1.14),(3285,5205,2.1278,1.1286),(3285,5215,2.1297,1.1173),(3285,5225,2.1206,1.1059),(3285,5235,2.0422,1.0946),(3285,5245,1.9638,1.0841),(3285,5255,1.8854,1.0741),(3285,5265,1.3309,1.0642),(3285,5275,0.75669,1.0579),(3285,5285,0.18252,1.0577),(3285,5295,0.55622,1.0575),(3285,5305,1.1939,1.0548),(3285,5315,1.8315,1.0418),(3285,5325,2.1011,1.0288),(3285,5335,2.1292,1.0158),(3285,5345,2.1574,1.005),(3285,5355,2.1745,0.99423),(3285,5365,2.1768,0.98343),(3285,5375,2.1791,0.97286),(3285,5385,2.0566,0.96233),(3285,5395,1.5548,0.9518),(3285,5405,1.053,0.94639),(3285,5415,0.60622,0.94365),(3285,5425,0.8984,0.9409),(3285,5435,1.1906,0.93677),(3285,5445,1.4828,0.93114),(3285,5455,1.7616,0.92551),(3285,5465,2.0388,0.91891),(3285,5475,2.3159,0.91006),(3285,5485,2.3955,0.90122),(3285,5495,2.3954,0.89241),(3285,5505,2.3953,0.88382),(3285,5515,2.3952,0.87522),(3285,5525,2.3951,0.86663),(3285,5535,2.395,0.85827),(3285,5545,2.3949,0.84993),(3285,5555,2.3948,0.84159),(3285,5565,2.3946,0.83342),(3285,5575,2.3944,0.82531),(3285,5585,2.3941,0.81719),(3285,5595,2.3939,0.80921),(3285,5605,2.3936,0.80133),(3285,5615,2.3933,0.79345),(3285,5625,2.393,0.78566),(3285,5635,2.3926,0.77798),(3285,5645,2.3922,0.7703),(3285,5655,2.3918,0.76267),(3285,5665,2.3914,0.75519),(3285,5675,2.3909,0.7477),(3285,5685,2.3904,0.74023),(3285,5695,2.39,0.73293),(3285,5705,2.3894,0.72562),(3285,5715,2.3889,0.71832),(3285,5725,2.3883,0.71116),(3285,5735,2.3878,0.70402),(3285,5745,2.3872,0.69688),(3285,5755,2.3866,0.68984),(3285,5765,2.386,0.68285),(3285,5775,2.3853,0.67586),(3285,5785,2.3846,0.66895),(3285,5795,2.384,0.66212),(3285,5805,2.3833,0.65528),(3285,5815,2.3825,0.64849),(3285,5825,2.3818,0.6418),(3285,5835,2.3811,0.6351),(3285,5845,2.3803,0.62843),(3285,5855,2.3795,0.62186),(3285,5865,2.3787,0.61529),(3285,5875,2.3779,0.60873),(3285,5885,2.3771,0.60228),(3285,5895,2.3762,0.59583),(3285,5905,2.3754,0.58938),(3285,5915,2.3745,0.58302),(3285,5925,2.3737,0.57668),(3285,5935,2.3728,0.57034),(3285,5945,2.3719,0.56408),(3285,5955,2.371,0.55786),(3285,5965,2.37,0.55164),(3285,5975,2.3691,0.54547),(3285,5985,2.3682,0.53934),(3285,5995,1.8108,0.53322),(3285,6005,1.1639,0.52855),(3285,6015,0.51692,0.52774),(3285,6025,0.6603,0.52693),(3285,6035,1.1702,0.52551),(3285,6045,1.6802,0.51822),(3285,6055,2.0343,0.51093),(3285,6065,2.2356,0.50364),(3285,6075,2.4369,0.49419),(3285,6085,2.5729,0.48453),(3285,6095,2.5744,0.47488),(3285,6105,2.5759,0.46522),(3285,6115,2.5774,0.45557),(3285,6125,2.5787,0.44591),(3285,6135,2.5801,0.43634),(3285,6145,2.5815,0.42683),(3285,6155,2.5828,0.41733),(3285,6165,2.5841,0.40787),(3285,6175,2.5854,0.39849),(3285,6185,2.5866,0.38912),(3285,6195,2.5878,0.37976),(3285,6205,2.589,0.37047),(3285,6215,2.5901,0.36118),(3285,6225,2.5912,0.3519),(3285,6235,2.5923,0.34262),(3285,6245,2.5934,0.33334),(3285,6255,2.5944,0.32406),(3285,6265,2.5954,0.31485),(3285,6275,2.5964,0.30564),(3285,6285,2.5973,0.29643),(3285,6295,2.5982,0.2873),(3285,6305,2.5991,0.27821),(3285,6315,2.6,0.26911),(3285,6325,2.6008,0.26004),(3285,6335,2.6016,0.251),(3285,6345,2.6024,0.24196),(3285,6355,2.6031,0.23293),(3285,6365,2.6038,0.22393),(3285,6375,2.6045,0.21492),(3285,6385,2.6052,0.20592),(3285,6395,2.6058,0.19693),(3285,6405,2.6064,0.18793),(3285,6415,2.607,0.17894),(3285,6425,2.6075,0.17001),(3285,6435,2.6081,0.16107),(3285,6445,2.6085,0.15214),(3285,6455,2.609,0.1433),(3285,6465,2.6094,0.13447),(3285,6475,2.6098,0.12565),(3285,6485,2.6102,0.11682),(3285,6495,2.6105,0.10799),(3285,6505,2.6108,0.099154),(3285,6515,2.6111,0.090319),(3285,6525,2.6114,0.081485),(3285,6535,2.6116,0.072652),(3285,6545,2.6118,0.063819),(3285,6555,2.612,0.054989),(3285,6565,2.6121,0.04616),(3285,6575,2.6122,0.037334),(3285,6585,2.6123,0.028563),(3285,6595,2.2219,0.019791),(3285,6605,1.4005,0.011019),(3285,6615,0.57901,0.009935),(3285,6625,0.001537,0.009838),(3285,6635,0.001534,0.009741),(3285,6645,0.001531,0.009707),(3285,6655,0.001528,0.009699),(3285,6665,0.001526,0.009691),(3285,6675,0.001523,0.009683),(3285,6685,0.00152,0.009675),(3285,6695,0.001518,0.009666),(3285,6705,0.001516,0.009658),(3285,6715,0.001513,0.00965),(3285,6725,0.001511,0.009642),(3285,6735,0.001509,0.009633),(3285,6745,0.001507,0.009625),(3285,6755,0.001505,0.009617),(3285,6765,0.001503,0.009609),(3285,6775,0.001501,0.009601),(3285,6785,0.001499,0.009593),(3285,6795,0.001497,0.009584),(3285,6805,0.001496,0.009576),(3285,6815,0.001494,0.009568),(3285,6825,0.001492,0.00956),(3285,6835,0.001491,0.009552),(3285,6845,0.001489,0.009543),(3285,6855,0.001488,0.009535),(3285,6865,0.001486,0.009527),(3285,6875,0.001485,0.009519),(3285,6885,0.001484,0.00951),(3285,6895,0.001483,0.009502),(3285,6905,0.001481,0.009494),(3285,6915,0.00148,0.009485),(3285,6925,0.001479,0.009477),(3285,6935,0.001478,0.009469),(3285,6945,0.001477,0.00946),(3285,6955,0.001476,0.009452),(3285,6965,0.001475,0.009444),(3285,6975,0.001474,0.009435),(3285,6985,0.001473,0.009427),(3295,5,5e-06,3.6888),(3295,15,1.6e-05,3.6888),(3295,25,2.6e-05,3.6888),(3295,35,3.7e-05,3.6888),(3295,45,4.7e-05,3.6888),(3295,55,5.7e-05,3.6888),(3295,65,6.7e-05,3.6888),(3295,75,7.7e-05,3.6888),(3295,85,8.7e-05,3.6888),(3295,95,9.7e-05,3.6888),(3295,105,0.000107,3.6888),(3295,115,0.000116,3.6888),(3295,125,0.000125,3.6888),(3295,135,0.000134,3.6888),(3295,145,0.000142,3.6888),(3295,155,0.00015,3.6888),(3295,165,0.000158,3.6888),(3295,175,0.000166,3.6888),(3295,185,0.000173,3.6888),(3295,195,0.00018,3.6888),(3295,205,0.000186,3.6888),(3295,215,0.000193,3.6888),(3295,225,0.000199,3.6889),(3295,235,0.000204,3.6889),(3295,245,0.000208,3.6889),(3295,255,0.000213,3.6889),(3295,265,0.000217,3.6889),(3295,275,0.00022,3.6889),(3295,285,0.000223,3.6889),(3295,295,0.000226,3.6889),(3295,305,0.000227,3.6889),(3295,315,0.000227,3.6889),(3295,325,0.000228,3.689),(3295,335,0.000228,3.689),(3295,345,0.000226,3.689),(3295,355,0.000224,3.689),(3295,365,0.000222,3.689),(3295,375,0.00022,3.689),(3295,385,0.000215,3.689),(3295,395,0.000209,3.6891),(3295,405,0.000204,3.6891),(3295,415,0.000199,3.6891),(3295,425,0.00019,3.6891),(3295,435,0.000181,3.6891),(3295,445,0.000173,3.6892),(3295,455,0.000164,3.6892),(3295,465,0.000152,3.6892),(3295,475,0.000139,3.6892),(3295,485,0.000127,3.6893),(3295,495,0.000114,3.6893),(3295,505,9.7e-05,3.6893),(3295,515,8.1e-05,3.6893),(3295,525,6.4e-05,3.6894),(3295,535,4.7e-05,3.6894),(3295,545,2.6e-05,3.6894),(3295,555,5e-06,3.6894),(3295,565,-1.6e-05,3.6895),(3295,575,-3.8e-05,3.6895),(3295,585,-6.4e-05,3.6896),(3295,595,-9e-05,3.6896),(3295,605,-0.000117,3.6896),(3295,615,-0.000143,3.6897),(3295,625,-0.000175,3.6897),(3295,635,-0.000206,3.6897),(3295,645,-0.000237,3.6898),(3295,655,-0.000269,3.6898),(3295,665,-0.000306,3.6899),(3295,675,-0.000343,3.6899),(3295,685,-0.000379,3.69),(3295,695,-0.000417,3.69),(3295,705,-0.000459,3.6901),(3295,715,-0.000502,3.6901),(3295,725,-0.000544,3.6902),(3295,735,-0.000588,3.6903),(3295,745,-0.000637,3.6903),(3295,755,-0.000686,3.6904),(3295,765,-0.000734,3.6905),(3295,775,-0.000785,3.6905),(3295,785,-0.00084,3.6906),(3295,795,-0.000895,3.6907),(3295,805,-0.00095,3.6908),(3295,815,-0.001008,3.6908),(3295,825,-0.001069,3.6909),(3295,835,-0.00113,3.691),(3295,845,-0.001192,3.6911),(3295,855,-0.001256,3.6912),(3295,865,-0.001324,3.6913),(3295,875,-0.001392,3.6914),(3295,885,-0.00146,3.6915),(3295,895,-0.00153,3.6916),(3295,905,-0.001605,3.6917),(3295,915,-0.00168,3.6918),(3295,925,-0.001755,3.6919),(3295,935,-0.001833,3.692),(3295,945,-0.001915,3.6921),(3295,955,-0.001997,3.6922),(3295,965,-0.002079,3.6924),(3295,975,-0.002163,3.6925),(3295,985,-0.002252,3.6926),(3295,995,-0.00234,3.6928),(3295,1005,-0.002428,3.6929),(3295,1015,-0.00252,3.6931),(3295,1025,-0.002615,3.6932),(3295,1035,-0.002709,3.6934),(3295,1045,-0.002804,3.6935),(3295,1055,-0.002903,3.6937),(3295,1065,-0.003004,3.6939),(3295,1075,-0.003106,3.694),(3295,1085,-0.003207,3.6942),(3295,1095,-0.003312,3.6944),(3295,1105,-0.003419,3.6946),(3295,1115,-0.003527,3.6948),(3295,1125,-0.003635,3.695),(3295,1135,-0.003746,3.6952),(3295,1145,-0.003859,3.6954),(3295,1155,-0.003972,3.6956),(3295,1165,-0.004085,3.6958),(3295,1175,-0.004202,3.6961),(3295,1185,-0.00432,3.6963),(3295,1195,-0.004439,3.6965),(3295,1205,-0.004557,3.6968),(3295,1215,-0.004679,3.697),(3295,1225,-0.004803,3.6973),(3295,1235,-0.004926,3.6975),(3295,1245,-0.005049,3.6978),(3295,1255,-0.005176,3.6981),(3295,1265,-0.005303,3.6984),(3295,1275,-0.00543,3.6987),(3295,1285,-0.005558,3.699),(3295,1295,-0.005688,3.6993),(3295,1305,-0.005819,3.6996),(3295,1315,-0.005949,3.6999),(3295,1325,-0.00608,3.7002),(3295,1335,-0.006214,3.7005),(3295,1345,-0.006347,3.7009),(3295,1355,-0.006481,3.7012),(3295,1365,-0.006615,3.7016),(3295,1375,-0.006751,3.702),(3295,1385,-0.006888,3.7023),(3295,1395,-0.007024,3.7027),(3295,1405,-0.00716,3.7031),(3295,1415,-0.007298,3.7035),(3295,1425,-0.007436,3.7039),(3295,1435,-0.007574,3.7043),(3295,1445,-0.007712,3.7047),(3295,1455,-0.007851,3.7052),(3295,1465,-0.007989,3.7056),(3295,1475,-0.008128,3.7061),(3295,1485,-0.008267,3.7065),(3295,1495,-0.008406,3.707),(3295,1505,-0.008544,3.7074),(3295,1515,-0.008683,3.708),(3295,1525,-0.008822,3.7085),(3295,1535,-0.00896,3.709),(3295,1545,-0.009099,3.7095),(3295,1555,-0.009237,3.71),(3295,1565,-0.009375,3.7105),(3295,1575,-0.009513,3.7111),(3295,1585,-0.00965,3.7116),(3295,1595,-0.009787,3.7122),(3295,1605,-0.009924,3.7128),(3295,1615,-0.01006,3.7134),(3295,1625,-0.010195,3.714),(3295,1635,-0.010331,3.7146),(3295,1645,-0.010466,3.7153),(3295,1655,-0.010598,3.7159),(3295,1665,-0.010731,3.7165),(3295,1675,-0.010864,3.7172),(3295,1685,-0.010996,3.7179),(3295,1695,-0.011125,3.7186),(3295,1705,-0.011254,3.7193),(3295,1715,-0.011383,3.72),(3295,1725,-0.011511,3.7208),(3295,1735,-0.011635,3.7215),(3295,1745,-0.01176,3.7223),(3295,1755,-0.011884,3.7231),(3295,1765,-0.012007,3.7239),(3295,1775,-0.012126,3.7247),(3295,1785,-0.012244,3.7255),(3295,1795,-0.012363,3.7263),(3295,1805,-0.01248,3.7272),(3295,1815,-0.012591,3.7281),(3295,1825,-0.012702,3.7289),(3295,1835,-0.012814,3.7299),(3295,1845,-0.012922,3.7308),(3295,1855,-0.013024,3.7317),(3295,1865,-0.013126,3.7327),(3295,1875,-0.013227,3.7337),(3295,1885,-0.013324,3.7347),(3295,1895,-0.013414,3.7357),(3295,1905,-0.013504,3.7368),(3295,1915,-0.013593,3.7379),(3295,1925,-0.013676,3.739),(3295,1935,-0.01375,3.74),(3295,1945,-0.013824,3.7412),(3295,1955,-0.013898,3.7424),(3295,1965,-0.013963,3.7436),(3295,1975,-0.014017,3.7447),(3295,1985,-0.014072,3.746),(3295,1995,-0.014126,3.7473),(3295,2005,-0.014167,3.7486),(3295,2015,-0.014196,3.7498),(3295,2025,-0.014224,3.7512),(3295,2035,-0.014253,3.7526),(3295,2045,-0.014264,3.754),(3295,2055,-0.01426,3.7554),(3295,2065,-0.014255,3.7569),(3295,2075,-0.014251,3.7584),(3295,2085,-0.014222,3.7599),(3295,2095,-0.014175,3.7615),(3295,2105,-0.014128,3.7631),(3295,2115,-0.014081,3.7648),(3295,2125,-0.014,3.7664),(3295,2135,-0.013899,3.7681),(3295,2145,-0.013797,3.7699),(3295,2155,-0.013696,3.7717),(3295,2165,-0.013548,3.7735),(3295,2175,-0.013377,3.7753),(3295,2185,-0.013205,3.7773),(3295,2195,-0.013034,3.7793),(3295,2205,-0.0128,3.7813),(3295,2215,-0.01254,3.7833),(3295,2225,-0.012279,3.7854),(3295,2235,-0.012019,3.7876),(3295,2245,-0.011675,3.7897),(3295,2255,-0.011302,3.7919),(3295,2265,-0.010928,3.7943),(3295,2275,-0.010554,3.7966),(3295,2285,-0.01007,3.799),(3295,2295,-0.009553,3.8014),(3295,2305,-0.009037,3.8039),(3295,2315,-0.008521,3.8065),(3295,2325,-0.007858,3.8091),(3295,2335,-0.007163,3.8117),(3295,2345,-0.006468,3.8145),(3295,2355,-0.005772,3.8174),(3295,2365,-0.004886,3.8202),(3295,2375,-0.003968,3.823),(3295,2385,-0.003049,3.826),(3295,2395,-0.002131,3.8291),(3295,2405,-0.000967,3.8322),(3295,2415,0.000226,3.8352),(3295,2425,0.00142,3.8385),(3295,2435,0.002613,3.8418),(3295,2445,0.004119,3.8451),(3295,2455,0.005648,3.8484),(3295,2465,0.007176,3.8519),(3295,2475,0.008704,3.8555),(3295,2485,0.010627,3.859),(3295,2495,0.012559,3.8626),(3295,2505,0.014491,3.8663),(3295,2515,0.016431,3.8701),(3295,2525,0.018842,3.8738),(3295,2535,0.021254,3.8776),(3295,2545,0.023666,3.8815),(3295,2555,0.026109,3.8854),(3295,2565,0.02908,3.8894),(3295,2575,0.032051,3.8933),(3295,2585,0.035023,3.8973),(3295,2595,0.038054,3.9014),(3295,2605,0.041665,3.9054),(3295,2615,0.045275,3.9095),(3295,2625,0.048886,3.9136),(3295,2635,0.052591,3.9177),(3295,2645,0.056914,3.9218),(3295,2655,0.061237,3.9259),(3295,2665,0.065559,3.9299),(3295,2675,0.070016,3.9339),(3295,2685,0.07511,3.938),(3295,2695,0.080204,3.942),(3295,2705,0.085299,3.9458),(3295,2715,0.090565,3.9497),(3295,2725,0.09647,3.9535),(3295,2735,0.10237,3.9573),(3295,2745,0.10828,3.9608),(3295,2755,0.11439,3.9643),(3295,2765,0.12112,3.9679),(3295,2775,0.12784,3.9713),(3295,2785,0.13457,3.9743),(3295,2795,0.14153,3.9774),(3295,2805,0.14906,3.9804),(3295,2815,0.15659,3.9833),(3295,2825,0.16413,3.9857),(3295,2835,0.17191,3.9881),(3295,2845,0.1802,3.9905),(3295,2855,0.18848,3.9927),(3295,2865,0.19677,3.9944),(3295,2875,0.20532,3.996),(3295,2885,0.21429,3.9977),(3295,2895,0.22327,3.999),(3295,2905,0.23224,3.9998),(3295,2915,0.24146,4.0005),(3295,2925,0.25104,4.0013),(3295,2935,0.26061,4.0017),(3295,2945,0.27018,4.0014),(3295,2955,0.27998,4.0012),(3295,2965,0.29005,4.001),(3295,2975,0.30012,4.0003),(3295,2985,0.31019,3.999),(3295,2995,0.32045,3.9977),(3295,3005,0.33091,3.9964),(3295,3015,0.34137,3.9945),(3295,3025,0.35183,3.9921),(3295,3035,0.36244,3.9896),(3295,3045,0.37318,3.9872),(3295,3055,0.38392,3.984),(3295,3065,0.39466,3.9804),(3295,3075,0.40549,3.9767),(3295,3085,0.4164,3.973),(3295,3095,0.4273,3.9686),(3295,3105,0.4382,3.9637),(3295,3115,0.44913,3.9588),(3295,3125,0.46008,3.9539),(3295,3135,0.47103,3.9481),(3295,3145,0.48198,3.9419),(3295,3155,0.49288,3.9356),(3295,3165,0.50374,3.9294),(3295,3175,0.51461,3.9222),(3295,3185,0.52548,3.9147),(3295,3195,0.5362,3.9071),(3295,3205,0.54686,3.8995),(3295,3215,0.55751,3.8909),(3295,3225,0.56817,3.8819),(3295,3235,0.57856,3.873),(3295,3245,0.58886,3.864),(3295,3255,0.59916,3.854),(3295,3265,0.60945,3.8436),(3295,3275,0.61935,3.8332),(3295,3285,0.62912,3.8228),(3295,3295,0.6389,3.8113),(3295,3305,0.64867,3.7996),(3295,3315,0.65788,3.7878),(3295,3325,0.66695,3.776),(3295,3335,0.67602,3.763),(3295,3345,0.68509,3.7498),(3295,3355,0.6934,3.7366),(3295,3365,0.70157,3.7234),(3295,3375,0.70974,3.709),(3295,3385,0.7179,3.6944),(3295,3395,0.72507,3.6798),(3295,3405,0.73212,3.6652),(3295,3415,0.73916,3.6494),(3295,3425,0.7462,3.6335),(3295,3435,0.75198,3.6176),(3295,3445,0.75766,3.6017),(3295,3455,0.76333,3.5847),(3295,3465,0.76901,3.5675),(3295,3475,0.77313,3.5504),(3295,3485,0.77719,3.5333),(3295,3495,0.78126,3.5152),(3295,3505,0.78531,3.4971),(3295,3515,0.78751,3.4789),(3295,3525,0.78971,3.4608),(3295,3535,0.79192,3.4418),(3295,3545,0.79402,3.4228),(3295,3555,0.79412,3.4039),(3295,3565,0.79422,3.3849),(3295,3575,0.79432,3.3654),(3295,3585,0.79423,3.3459),(3295,3595,0.79201,3.3264),(3295,3605,0.7898,3.3069),(3295,3615,0.78758,3.2872),(3295,3625,0.78505,3.2675),(3295,3635,0.78032,3.2478),(3295,3645,0.77559,3.2281),(3295,3655,0.77086,3.2086),(3295,3665,0.76569,3.189),(3295,3675,0.75825,3.1695),(3295,3685,0.75082,3.15),(3295,3695,0.74338,3.1311),(3295,3705,0.73535,3.1121),(3295,3715,0.72498,3.0931),(3295,3725,0.71461,3.0743),(3295,3735,0.70423,3.0563),(3295,3745,0.69306,3.0384),(3295,3755,0.6794,3.0204),(3295,3765,0.66574,3.0029),(3295,3775,0.65208,2.9865),(3295,3785,0.63732,2.9702),(3295,3795,0.61977,2.9538),(3295,3805,0.60223,2.9383),(3295,3815,0.58469,2.9247),(3295,3825,0.5656,2.9111),(3295,3835,0.54327,2.8975),(3295,3845,0.52093,2.8857),(3295,3855,0.4986,2.8772),(3295,3865,0.47422,2.8687),(3295,3875,0.44623,2.8602),(3295,3885,0.41825,2.8558),(3295,3895,0.39026,2.858),(3295,3905,0.38844,2.8603),(3295,3915,0.42572,2.8626),(3295,3925,0.463,2.8924),(3295,3935,0.50028,2.96),(3295,3945,0.5906,3.0276),(3295,3955,0.74825,3.0953),(3295,3965,0.90591,3.1478),(3295,3975,1.0636,3.1826),(3295,3985,1.1913,3.2174),(3295,3995,1.2866,3.2523),(3295,4005,1.382,3.2678),(3295,4015,1.4773,3.2639),(3295,4025,1.5946,3.2601),(3295,4035,1.7142,3.2326),(3295,4045,1.8337,3.1555),(3295,4055,1.9153,3.0784),(3295,4065,1.9831,3.0016),(3295,4075,2.0509,2.927),(3295,4085,2.0966,2.8525),(3295,4095,2.1247,2.778),(3295,4105,2.1527,2.7211),(3295,4115,2.1082,2.6649),(3295,4125,1.9433,2.6087),(3295,4135,1.7785,2.5714),(3295,4145,1.6098,2.5393),(3295,4155,1.4256,2.5072),(3295,4165,1.2414,2.484),(3295,4175,1.0676,2.4665),(3295,4185,1.4077,2.449),(3295,4195,1.7479,2.4262),(3295,4205,2.088,2.3965),(3295,4215,2.1371,2.3667),(3295,4225,2.1314,2.3377),(3295,4235,2.1258,2.311),(3295,4245,2.0869,2.2843),(3295,4255,2.0313,2.2577),(3295,4265,1.9756,2.2319),(3295,4275,1.7375,2.2062),(3295,4285,1.3057,2.1804),(3295,4295,0.87386,2.1731),(3295,4305,0.70353,2.1679),(3295,4315,1.1236,2.1627),(3295,4325,1.5437,2.1474),(3295,4335,1.917,2.1281),(3295,4345,1.9731,2.1088),(3295,4355,2.0292,2.0889),(3295,4365,2.0854,2.0685),(3295,4375,2.0907,2.0481),(3295,4385,2.0934,2.0281),(3295,4395,2.0961,2.0086),(3295,4405,1.8497,1.9891),(3295,4415,1.5299,1.9715),(3295,4425,1.21,1.9623),(3295,4435,1.075,1.9532),(3295,4445,1.0661,1.944),(3295,4455,1.0573,1.9356),(3295,4465,1.1857,1.9271),(3295,4475,1.5068,1.9187),(3295,4485,1.8279,1.9033),(3295,4495,2.0731,1.8866),(3295,4505,2.075,1.8698),(3295,4515,2.0769,1.8532),(3295,4525,2.0746,1.8366),(3295,4535,2.0063,1.82),(3295,4545,1.938,1.8042),(3295,4555,1.8697,1.7894),(3295,4565,1.4428,1.7745),(3295,4575,0.96754,1.7635),(3295,4585,0.49231,1.7617),(3295,4595,0.67996,1.7599),(3295,4605,1.1477,1.7562),(3295,4615,1.6154,1.7379),(3295,4625,1.8696,1.7195),(3295,4635,1.9304,1.7011),(3295,4645,1.9912,1.6849),(3295,4655,2.0342,1.6689),(3295,4665,2.0435,1.6528),(3295,4675,2.0528,1.6373),(3295,4685,1.9907,1.6219),(3295,4695,1.5752,1.6065),(3295,4705,1.1598,1.5971),(3295,4715,0.74434,1.5919),(3295,4725,0.94389,1.5868),(3295,4735,1.1496,1.5801),(3295,4745,1.3553,1.5709),(3295,4755,1.5644,1.5618),(3295,4765,1.7743,1.5516),(3295,4775,1.9842,1.5378),(3295,4785,2.0627,1.5241),(3295,4795,2.0652,1.5103),(3295,4805,2.0677,1.4967),(3295,4815,1.9711,1.4831),(3295,4825,1.7559,1.4695),(3295,4835,1.5406,1.46),(3295,4845,1.3232,1.4511),(3295,4855,1.0998,1.4422),(3295,4865,0.87648,1.4367),(3295,4875,0.7189,1.4328),(3295,4885,1.1597,1.4288),(3295,4895,1.6004,1.4202),(3295,4905,2.0412,1.4072),(3295,4915,2.076,1.3942),(3295,4925,2.0759,1.3811),(3295,4935,2.0757,1.3679),(3295,4945,2.0452,1.3548),(3295,4955,2.004,1.3412),(3295,4965,1.9629,1.3255),(3295,4975,1.6311,1.3098),(3295,4985,1.075,1.2942),(3295,4995,0.51889,1.293),(3295,5005,0.35108,1.2922),(3295,5015,0.80061,1.2915),(3295,5025,1.2501,1.2839),(3295,5035,1.6373,1.2747),(3295,5045,1.787,1.2654),(3295,5055,1.9366,1.2544),(3295,5065,2.0819,1.2423),(3295,5075,2.0843,1.2301),(3295,5085,2.0866,1.218),(3295,5095,2.089,1.206),(3295,5105,1.828,1.1939),(3295,5115,1.5211,1.1833),(3295,5125,1.2141,1.177),(3295,5135,1.0609,1.1707),(3295,5145,0.98235,1.1645),(3295,5155,0.90377,1.1601),(3295,5165,1.0612,1.1556),(3295,5175,1.4594,1.1511),(3295,5185,1.8575,1.1403),(3295,5195,2.1302,1.129),(3295,5205,2.1321,1.1176),(3295,5215,2.1341,1.1063),(3295,5225,2.1249,1.095),(3295,5235,2.0463,1.0838),(3295,5245,1.9677,1.0732),(3295,5255,1.8891,1.0633),(3295,5265,1.3335,1.0534),(3295,5275,0.75813,1.0471),(3295,5285,0.18278,1.0469),(3295,5295,0.55774,1.0468),(3295,5305,1.1973,1.0441),(3295,5315,1.8369,1.0312),(3295,5325,2.1068,1.0183),(3295,5335,2.1342,1.0054),(3295,5345,2.1615,0.99467),(3295,5355,2.1782,0.98393),(3295,5365,2.1804,0.9732),(3295,5375,2.1826,0.96269),(3295,5385,2.0598,0.95223),(3295,5395,1.5572,0.94176),(3295,5405,1.0546,0.93639),(3295,5415,0.60706,0.93366),(3295,5425,0.89925,0.93094),(3295,5435,1.1914,0.92686),(3295,5445,1.4836,0.9213),(3295,5455,1.7625,0.91575),(3295,5465,2.0398,0.90923),(3295,5475,2.3171,0.9005),(3295,5485,2.3966,0.89178),(3295,5495,2.3965,0.88308),(3295,5505,2.3963,0.8746),(3295,5515,2.3961,0.86611),(3295,5525,2.396,0.85763),(3295,5535,2.3958,0.84938),(3295,5545,2.3956,0.84115),(3295,5555,2.3954,0.83292),(3295,5565,2.3952,0.82485),(3295,5575,2.3949,0.81684),(3295,5585,2.3946,0.80883),(3295,5595,2.3942,0.80096),(3295,5605,2.3939,0.79318),(3295,5615,2.3935,0.7854),(3295,5625,2.3931,0.7777),(3295,5635,2.3927,0.77012),(3295,5645,2.3923,0.76254),(3295,5655,2.3918,0.755),(3295,5665,2.3913,0.74761),(3295,5675,2.3908,0.74022),(3295,5685,2.3903,0.73285),(3295,5695,2.3897,0.72563),(3295,5705,2.3891,0.71842),(3295,5715,2.3886,0.7112),(3295,5725,2.388,0.70413),(3295,5735,2.3873,0.69708),(3295,5745,2.3867,0.69002),(3295,5755,2.386,0.68307),(3295,5765,2.3854,0.67617),(3295,5775,2.3847,0.66926),(3295,5785,2.384,0.66243),(3295,5795,2.3833,0.65567),(3295,5805,2.3825,0.64891),(3295,5815,2.3817,0.6422),(3295,5825,2.381,0.63559),(3295,5835,2.3802,0.62897),(3295,5845,2.3794,0.62237),(3295,5855,2.3786,0.61587),(3295,5865,2.3777,0.60938),(3295,5875,2.3769,0.60289),(3295,5885,2.376,0.59651),(3295,5895,2.3752,0.59013),(3295,5905,2.3743,0.58376),(3295,5915,2.3734,0.57747),(3295,5925,2.3725,0.5712),(3295,5935,2.3715,0.56493),(3295,5945,2.3706,0.55873),(3295,5955,2.3697,0.55258),(3295,5965,2.3687,0.54643),(3295,5975,2.3678,0.54032),(3295,5985,2.3668,0.53426),(3295,5995,1.8098,0.52821),(3295,6005,1.1632,0.52358),(3295,6015,0.51661,0.52278),(3295,6025,0.66051,0.52198),(3295,6035,1.171,0.52057),(3295,6045,1.6816,0.51336),(3295,6055,2.0361,0.50615),(3295,6065,2.2376,0.49893),(3295,6075,2.439,0.48957),(3295,6085,2.5752,0.48001),(3295,6095,2.5766,0.47044),(3295,6105,2.578,0.46088),(3295,6115,2.5795,0.45132),(3295,6125,2.5808,0.44175),(3295,6135,2.5822,0.43227),(3295,6145,2.5835,0.42285),(3295,6155,2.5848,0.41344),(3295,6165,2.5861,0.40407),(3295,6175,2.5874,0.39477),(3295,6185,2.5885,0.38548),(3295,6195,2.5897,0.37621),(3295,6205,2.5909,0.36701),(3295,6215,2.592,0.35781),(3295,6225,2.593,0.34861),(3295,6235,2.5941,0.33943),(3295,6245,2.5952,0.33024),(3295,6255,2.5961,0.32105),(3295,6265,2.5971,0.31191),(3295,6275,2.5981,0.30279),(3295,6285,2.599,0.29367),(3295,6295,2.5999,0.28462),(3295,6305,2.6008,0.27562),(3295,6315,2.6016,0.26661),(3295,6325,2.6024,0.25763),(3295,6335,2.6032,0.24868),(3295,6345,2.6039,0.23973),(3295,6355,2.6046,0.23078),(3295,6365,2.6053,0.22186),(3295,6375,2.606,0.21294),(3295,6385,2.6066,0.20402),(3295,6395,2.6073,0.19512),(3295,6405,2.6079,0.18621),(3295,6415,2.6084,0.17731),(3295,6425,2.609,0.16846),(3295,6435,2.6095,0.1596),(3295,6445,2.6099,0.15075),(3295,6455,2.6104,0.14199),(3295,6465,2.6108,0.13325),(3295,6475,2.6112,0.12452),(3295,6485,2.6115,0.11577),(3295,6495,2.6119,0.10702),(3295,6505,2.6122,0.098273),(3295,6515,2.6124,0.089523),(3295,6525,2.6127,0.080772),(3295,6535,2.6129,0.072021),(3295,6545,2.6131,0.063271),(3295,6555,2.6133,0.054525),(3295,6565,2.6134,0.04578),(3295,6575,2.6135,0.037038),(3295,6585,2.6136,0.028349),(3295,6595,2.223,0.01966),(3295,6605,1.4012,0.010971),(3295,6615,0.57929,0.009906),(3295,6625,0.001541,0.009821),(3295,6635,0.001538,0.009735),(3295,6645,0.001535,0.009705),(3295,6655,0.001532,0.009696),(3295,6665,0.00153,0.009688),(3295,6675,0.001527,0.00968),(3295,6685,0.001524,0.009672),(3295,6695,0.001522,0.009664),(3295,6705,0.00152,0.009656),(3295,6715,0.001517,0.009648),(3295,6725,0.001515,0.00964),(3295,6735,0.001513,0.009631),(3295,6745,0.001511,0.009623),(3295,6755,0.001509,0.009615),(3295,6765,0.001507,0.009607),(3295,6775,0.001505,0.009599),(3295,6785,0.001503,0.009591),(3295,6795,0.001501,0.009583),(3295,6805,0.001499,0.009574),(3295,6815,0.001498,0.009566),(3295,6825,0.001496,0.009558),(3295,6835,0.001495,0.00955),(3295,6845,0.001493,0.009542),(3295,6855,0.001492,0.009534),(3295,6865,0.00149,0.009525),(3295,6875,0.001489,0.009517),(3295,6885,0.001488,0.009509),(3295,6895,0.001486,0.009501),(3295,6905,0.001485,0.009492),(3295,6915,0.001484,0.009484),(3295,6925,0.001483,0.009476),(3295,6935,0.001482,0.009468),(3295,6945,0.001481,0.009459),(3295,6955,0.00148,0.009451),(3295,6965,0.001479,0.009443),(3295,6975,0.001478,0.009434),(3295,6985,0.001477,0.009426),(3305,5,5e-06,3.6888),(3305,15,1.5e-05,3.6888),(3305,25,2.5e-05,3.6888),(3305,35,3.5e-05,3.6888),(3305,45,4.5e-05,3.6888),(3305,55,5.5e-05,3.6888),(3305,65,6.5e-05,3.6888),(3305,75,7.4e-05,3.6888),(3305,85,8.4e-05,3.6888),(3305,95,9.3e-05,3.6888),(3305,105,0.000102,3.6888),(3305,115,0.000111,3.6888),(3305,125,0.00012,3.6888),(3305,135,0.000128,3.6888),(3305,145,0.000136,3.6888),(3305,155,0.000144,3.6888),(3305,165,0.000151,3.6888),(3305,175,0.000159,3.6888),(3305,185,0.000166,3.6888),(3305,195,0.000172,3.6888),(3305,205,0.000178,3.6888),(3305,215,0.000184,3.6889),(3305,225,0.000189,3.6889),(3305,235,0.000194,3.6889),(3305,245,0.000198,3.6889),(3305,255,0.000202,3.6889),(3305,265,0.000205,3.6889),(3305,275,0.000208,3.6889),(3305,285,0.00021,3.6889),(3305,295,0.000213,3.6889),(3305,305,0.000213,3.6889),(3305,315,0.000213,3.6889),(3305,325,0.000213,3.689),(3305,335,0.000213,3.689),(3305,345,0.00021,3.689),(3305,355,0.000207,3.689),(3305,365,0.000204,3.689),(3305,375,0.000201,3.689),(3305,385,0.000196,3.689),(3305,395,0.00019,3.6891),(3305,405,0.000184,3.6891),(3305,415,0.000177,3.6891),(3305,425,0.000168,3.6891),(3305,435,0.000159,3.6891),(3305,445,0.000149,3.6891),(3305,455,0.00014,3.6892),(3305,465,0.000126,3.6892),(3305,475,0.000113,3.6892),(3305,485,9.9e-05,3.6892),(3305,495,8.6e-05,3.6893),(3305,505,6.8e-05,3.6893),(3305,515,5.1e-05,3.6893),(3305,525,3.3e-05,3.6893),(3305,535,1.5e-05,3.6894),(3305,545,-7e-06,3.6894),(3305,555,-3e-05,3.6894),(3305,565,-5.2e-05,3.6895),(3305,575,-7.5e-05,3.6895),(3305,585,-0.000102,3.6895),(3305,595,-0.00013,3.6896),(3305,605,-0.000157,3.6896),(3305,615,-0.000185,3.6896),(3305,625,-0.000218,3.6897),(3305,635,-0.000251,3.6897),(3305,645,-0.000284,3.6898),(3305,655,-0.000317,3.6898),(3305,665,-0.000355,3.6899),(3305,675,-0.000394,3.6899),(3305,685,-0.000432,3.6899),(3305,695,-0.000471,3.69),(3305,705,-0.000516,3.6901),(3305,715,-0.00056,3.6901),(3305,725,-0.000604,3.6902),(3305,735,-0.00065,3.6902),(3305,745,-0.000701,3.6903),(3305,755,-0.000751,3.6903),(3305,765,-0.000802,3.6904),(3305,775,-0.000855,3.6905),(3305,785,-0.000912,3.6906),(3305,795,-0.00097,3.6906),(3305,805,-0.001027,3.6907),(3305,815,-0.001087,3.6908),(3305,825,-0.001151,3.6909),(3305,835,-0.001215,3.6909),(3305,845,-0.001279,3.691),(3305,855,-0.001345,3.6911),(3305,865,-0.001416,3.6912),(3305,875,-0.001487,3.6913),(3305,885,-0.001557,3.6914),(3305,895,-0.001631,3.6915),(3305,905,-0.001709,3.6916),(3305,915,-0.001787,3.6917),(3305,925,-0.001865,3.6918),(3305,935,-0.001947,3.6919),(3305,945,-0.002032,3.692),(3305,955,-0.002117,3.6922),(3305,965,-0.002202,3.6923),(3305,975,-0.00229,3.6924),(3305,985,-0.002382,3.6925),(3305,995,-0.002474,3.6927),(3305,1005,-0.002566,3.6928),(3305,1015,-0.002662,3.693),(3305,1025,-0.002761,3.6931),(3305,1035,-0.00286,3.6933),(3305,1045,-0.002959,3.6934),(3305,1055,-0.003061,3.6936),(3305,1065,-0.003167,3.6938),(3305,1075,-0.003273,3.6939),(3305,1085,-0.003379,3.6941),(3305,1095,-0.003488,3.6943),(3305,1105,-0.003601,3.6945),(3305,1115,-0.003713,3.6947),(3305,1125,-0.003825,3.6949),(3305,1135,-0.003942,3.6951),(3305,1145,-0.00406,3.6953),(3305,1155,-0.004178,3.6955),(3305,1165,-0.004297,3.6957),(3305,1175,-0.004419,3.6959),(3305,1185,-0.004543,3.6962),(3305,1195,-0.004667,3.6964),(3305,1205,-0.004791,3.6967),(3305,1215,-0.004919,3.6969),(3305,1225,-0.005048,3.6971),(3305,1235,-0.005177,3.6974),(3305,1245,-0.005306,3.6977),(3305,1255,-0.005439,3.698),(3305,1265,-0.005573,3.6982),(3305,1275,-0.005707,3.6985),(3305,1285,-0.005841,3.6988),(3305,1295,-0.005978,3.6991),(3305,1305,-0.006115,3.6994),(3305,1315,-0.006253,3.6998),(3305,1325,-0.006391,3.7001),(3305,1335,-0.006531,3.7004),(3305,1345,-0.006672,3.7007),(3305,1355,-0.006813,3.7011),(3305,1365,-0.006954,3.7015),(3305,1375,-0.007098,3.7018),(3305,1385,-0.007242,3.7022),(3305,1395,-0.007386,3.7026),(3305,1405,-0.00753,3.703),(3305,1415,-0.007676,3.7034),(3305,1425,-0.007822,3.7037),(3305,1435,-0.007968,3.7042),(3305,1445,-0.008114,3.7046),(3305,1455,-0.008262,3.705),(3305,1465,-0.008409,3.7055),(3305,1475,-0.008557,3.7059),(3305,1485,-0.008704,3.7064),(3305,1495,-0.008852,3.7068),(3305,1505,-0.009001,3.7073),(3305,1515,-0.009149,3.7078),(3305,1525,-0.009297,3.7083),(3305,1535,-0.009445,3.7088),(3305,1545,-0.009594,3.7093),(3305,1555,-0.009742,3.7099),(3305,1565,-0.00989,3.7104),(3305,1575,-0.010038,3.711),(3305,1585,-0.010186,3.7115),(3305,1595,-0.010334,3.7121),(3305,1605,-0.010482,3.7127),(3305,1615,-0.010629,3.7133),(3305,1625,-0.010776,3.7139),(3305,1635,-0.010923,3.7145),(3305,1645,-0.011069,3.7151),(3305,1655,-0.011214,3.7158),(3305,1665,-0.01136,3.7164),(3305,1675,-0.011505,3.7171),(3305,1685,-0.011649,3.7178),(3305,1695,-0.011792,3.7185),(3305,1705,-0.011934,3.7192),(3305,1715,-0.012077,3.7199),(3305,1725,-0.012219,3.7206),(3305,1735,-0.012358,3.7214),(3305,1745,-0.012497,3.7221),(3305,1755,-0.012636,3.7229),(3305,1765,-0.012773,3.7237),(3305,1775,-0.012908,3.7245),(3305,1785,-0.013043,3.7253),(3305,1795,-0.013178,3.7262),(3305,1805,-0.013311,3.7271),(3305,1815,-0.01344,3.7279),(3305,1825,-0.013569,3.7288),(3305,1835,-0.013698,3.7298),(3305,1845,-0.013824,3.7307),(3305,1855,-0.013945,3.7316),(3305,1865,-0.014066,3.7326),(3305,1875,-0.014188,3.7336),(3305,1885,-0.014305,3.7346),(3305,1895,-0.014416,3.7356),(3305,1905,-0.014527,3.7367),(3305,1915,-0.014638,3.7378),(3305,1925,-0.014744,3.7389),(3305,1935,-0.014841,3.74),(3305,1945,-0.014939,3.7411),(3305,1955,-0.015037,3.7423),(3305,1965,-0.015127,3.7435),(3305,1975,-0.015208,3.7447),(3305,1985,-0.015288,3.7459),(3305,1995,-0.015369,3.7472),(3305,2005,-0.015438,3.7485),(3305,2015,-0.015496,3.7498),(3305,2025,-0.015554,3.7512),(3305,2035,-0.015612,3.7526),(3305,2045,-0.015654,3.754),(3305,2055,-0.015682,3.7554),(3305,2065,-0.015711,3.7569),(3305,2075,-0.015739,3.7584),(3305,2085,-0.015745,3.76),(3305,2095,-0.015735,3.7615),(3305,2105,-0.015724,3.7631),(3305,2115,-0.015714,3.7648),(3305,2125,-0.015672,3.7665),(3305,2135,-0.015611,3.7682),(3305,2145,-0.015549,3.77),(3305,2155,-0.015488,3.7718),(3305,2165,-0.015384,3.7737),(3305,2175,-0.015257,3.7755),(3305,2185,-0.015131,3.7775),(3305,2195,-0.015004,3.7795),(3305,2205,-0.014818,3.7815),(3305,2215,-0.014607,3.7835),(3305,2225,-0.014396,3.7857),(3305,2235,-0.014185,3.7879),(3305,2245,-0.013894,3.7901),(3305,2255,-0.013574,3.7923),(3305,2265,-0.013255,3.7946),(3305,2275,-0.012935,3.7971),(3305,2285,-0.012509,3.7995),(3305,2295,-0.012051,3.8019),(3305,2305,-0.011593,3.8045),(3305,2315,-0.011136,3.8071),(3305,2325,-0.010535,3.8098),(3305,2335,-0.009903,3.8124),(3305,2345,-0.00927,3.8153),(3305,2355,-0.008638,3.8181),(3305,2365,-0.007818,3.821),(3305,2375,-0.006966,3.8239),(3305,2385,-0.006114,3.827),(3305,2395,-0.005262,3.8301),(3305,2405,-0.004166,3.8333),(3305,2415,-0.003041,3.8364),(3305,2425,-0.001917,3.8398),(3305,2435,-0.000792,3.8432),(3305,2445,0.000646,3.8465),(3305,2455,0.002106,3.8499),(3305,2465,0.003566,3.8536),(3305,2475,0.005026,3.8572),(3305,2485,0.006883,3.8608),(3305,2495,0.00875,3.8645),(3305,2505,0.010617,3.8683),(3305,2515,0.012491,3.8722),(3305,2525,0.014845,3.8761),(3305,2535,0.017199,3.88),(3305,2545,0.019553,3.884),(3305,2555,0.021938,3.8881),(3305,2565,0.024864,3.8922),(3305,2575,0.027789,3.8963),(3305,2585,0.030715,3.9005),(3305,2595,0.033702,3.9047),(3305,2605,0.037285,3.9089),(3305,2615,0.040868,3.9131),(3305,2625,0.04445,3.9174),(3305,2635,0.048132,3.9217),(3305,2645,0.052451,3.926),(3305,2655,0.05677,3.9302),(3305,2665,0.06109,3.9344),(3305,2675,0.065548,3.9387),(3305,2685,0.070669,3.9429),(3305,2695,0.07579,3.9471),(3305,2705,0.080911,3.9512),(3305,2715,0.086212,3.9552),(3305,2725,0.092178,3.9593),(3305,2735,0.098144,3.9633),(3305,2745,0.10411,3.967),(3305,2755,0.11029,3.9707),(3305,2765,0.11712,3.9745),(3305,2775,0.12394,3.9781),(3305,2785,0.13077,3.9813),(3305,2795,0.13784,3.9846),(3305,2805,0.1455,3.9878),(3305,2815,0.15317,3.9909),(3305,2825,0.16083,3.9935),(3305,2835,0.16876,3.9961),(3305,2845,0.17722,3.9987),(3305,2855,0.18568,4.0011),(3305,2865,0.19413,4.0029),(3305,2875,0.20286,4.0047),(3305,2885,0.21203,4.0066),(3305,2895,0.2212,4.0081),(3305,2905,0.23038,4.009),(3305,2915,0.23981,4.0099),(3305,2925,0.2496,4.0108),(3305,2935,0.2594,4.0113),(3305,2945,0.2692,4.0112),(3305,2955,0.27923,4.0112),(3305,2965,0.28954,4.0111),(3305,2975,0.29986,4.0104),(3305,2985,0.31017,4.0093),(3305,2995,0.32069,4.0081),(3305,3005,0.33141,4.0069),(3305,3015,0.34213,4.0051),(3305,3025,0.35285,4.0027),(3305,3035,0.36373,4.0003),(3305,3045,0.37475,3.9979),(3305,3055,0.38576,3.9949),(3305,3065,0.39678,3.9912),(3305,3075,0.4079,3.9876),(3305,3085,0.41909,3.984),(3305,3095,0.43028,3.9796),(3305,3105,0.44147,3.9747),(3305,3115,0.4527,3.9698),(3305,3125,0.46395,3.9649),(3305,3135,0.4752,3.9591),(3305,3145,0.48645,3.9528),(3305,3155,0.49765,3.9466),(3305,3165,0.50883,3.9403),(3305,3175,0.52001,3.9331),(3305,3185,0.53119,3.9255),(3305,3195,0.54223,3.9179),(3305,3205,0.55321,3.9102),(3305,3215,0.56418,3.9016),(3305,3225,0.57516,3.8925),(3305,3235,0.58588,3.8834),(3305,3245,0.59651,3.8744),(3305,3255,0.60713,3.8642),(3305,3265,0.61776,3.8537),(3305,3275,0.62799,3.8432),(3305,3285,0.6381,3.8327),(3305,3295,0.64821,3.821),(3305,3305,0.65832,3.8091),(3305,3315,0.66786,3.7971),(3305,3325,0.67727,3.7851),(3305,3335,0.68668,3.7719),(3305,3345,0.69609,3.7585),(3305,3355,0.70473,3.7451),(3305,3365,0.71323,3.7316),(3305,3375,0.72173,3.7169),(3305,3385,0.73023,3.7021),(3305,3395,0.73773,3.6872),(3305,3405,0.74509,3.6723),(3305,3415,0.75245,3.6562),(3305,3425,0.75982,3.6399),(3305,3435,0.7659,3.6237),(3305,3445,0.77187,3.6074),(3305,3455,0.77785,3.59),(3305,3465,0.78382,3.5725),(3305,3475,0.78821,3.555),(3305,3485,0.79253,3.5374),(3305,3495,0.79686,3.5188),(3305,3505,0.80118,3.5002),(3305,3515,0.80359,3.4816),(3305,3525,0.806,3.463),(3305,3535,0.80842,3.4435),(3305,3545,0.81073,3.424),(3305,3555,0.81098,3.4045),(3305,3565,0.81123,3.385),(3305,3575,0.81148,3.3649),(3305,3585,0.81153,3.3448),(3305,3595,0.80938,3.3247),(3305,3605,0.80724,3.3046),(3305,3615,0.80509,3.2843),(3305,3625,0.80263,3.2639),(3305,3635,0.79788,3.2436),(3305,3645,0.79314,3.2233),(3305,3655,0.7884,3.2031),(3305,3665,0.78321,3.1828),(3305,3675,0.77567,3.1626),(3305,3685,0.76814,3.1424),(3305,3695,0.76061,3.1227),(3305,3705,0.75246,3.103),(3305,3715,0.74189,3.0832),(3305,3725,0.73133,3.0637),(3305,3735,0.72077,3.0449),(3305,3745,0.70937,3.0261),(3305,3755,0.69539,3.0073),(3305,3765,0.6814,2.9888),(3305,3775,0.66742,2.9715),(3305,3785,0.65228,2.9542),(3305,3795,0.63417,2.9368),(3305,3805,0.61607,2.9203),(3305,3815,0.59797,2.9054),(3305,3825,0.57814,2.8906),(3305,3835,0.55467,2.8757),(3305,3845,0.53119,2.8626),(3305,3855,0.50772,2.8526),(3305,3865,0.48161,2.8426),(3305,3875,0.45083,2.8326),(3305,3885,0.42005,2.8269),(3305,3895,0.38926,2.8282),(3305,3905,0.37787,2.8294),(3305,3915,0.39545,2.8307),(3305,3925,0.41302,2.8636),(3305,3935,0.43059,2.9401),(3305,3945,0.51412,3.0165),(3305,3955,0.6814,3.093),(3305,3965,0.84868,3.1518),(3305,3975,1.016,3.1899),(3305,3985,1.1536,3.2281),(3305,3995,1.2592,3.2662),(3305,4005,1.3647,3.2855),(3305,4015,1.4703,3.2859),(3305,4025,1.615,3.2864),(3305,4035,1.7634,3.2579),(3305,4045,1.9119,3.1685),(3305,4055,1.9987,3.0791),(3305,4065,2.0631,2.991),(3305,4075,2.1274,2.9103),(3305,4085,2.1672,2.8295),(3305,4095,2.1872,2.7488),(3305,4105,2.2073,2.6913),(3305,4115,2.1549,2.6345),(3305,4125,1.9825,2.5778),(3305,4135,1.81,2.5412),(3305,4145,1.6345,2.5101),(3305,4155,1.4463,2.479),(3305,4165,1.2581,2.4567),(3305,4175,1.0805,2.4401),(3305,4185,1.4234,2.4236),(3305,4195,1.7663,2.4017),(3305,4205,2.1093,2.3728),(3305,4215,2.1581,2.3439),(3305,4225,2.1515,2.3157),(3305,4235,2.145,2.2897),(3305,4245,2.1058,2.2636),(3305,4255,2.0501,2.2377),(3305,4265,1.9944,2.2124),(3305,4275,1.7538,2.1872),(3305,4285,1.317,2.1619),(3305,4295,0.88026,2.1549),(3305,4305,0.70744,2.15),(3305,4315,1.1306,2.1452),(3305,4325,1.5538,2.1301),(3305,4335,1.9298,2.1111),(3305,4345,1.9861,2.0921),(3305,4355,2.0424,2.0725),(3305,4365,2.0987,2.0523),(3305,4375,2.1038,2.0321),(3305,4385,2.1062,2.0123),(3305,4395,2.1086,1.9931),(3305,4405,1.8604,1.9739),(3305,4415,1.5384,1.9565),(3305,4425,1.2163,1.9475),(3305,4435,1.0803,1.9386),(3305,4445,1.0713,1.9296),(3305,4455,1.0623,1.9213),(3305,4465,1.1912,1.913),(3305,4475,1.5139,1.9047),(3305,4485,1.8366,1.8895),(3305,4495,2.0831,1.8728),(3305,4505,2.0849,1.8561),(3305,4515,2.0868,1.8395),(3305,4525,2.0844,1.8229),(3305,4535,2.0158,1.8064),(3305,4545,1.9471,1.7906),(3305,4555,1.8785,1.7758),(3305,4565,1.4493,1.7609),(3305,4575,0.97148,1.7499),(3305,4585,0.49367,1.7481),(3305,4595,0.68311,1.7464),(3305,4605,1.1545,1.7428),(3305,4615,1.6258,1.7245),(3305,4625,1.8813,1.7062),(3305,4635,1.9412,1.6879),(3305,4645,2.0011,1.6717),(3305,4655,2.0434,1.6557),(3305,4665,2.0525,1.6397),(3305,4675,2.0616,1.6242),(3305,4685,1.9989,1.6089),(3305,4695,1.5816,1.5935),(3305,4705,1.1643,1.5841),(3305,4715,0.74702,1.579),(3305,4725,0.94715,1.5739),(3305,4735,1.1535,1.5672),(3305,4745,1.3598,1.5581),(3305,4755,1.5696,1.5489),(3305,4765,1.7802,1.5388),(3305,4775,1.9909,1.5251),(3305,4785,2.0696,1.5114),(3305,4795,2.0721,1.4977),(3305,4805,2.0745,1.4841),(3305,4815,1.9775,1.4706),(3305,4825,1.7615,1.457),(3305,4835,1.5455,1.4475),(3305,4845,1.3272,1.4387),(3305,4855,1.1031,1.4298),(3305,4865,0.87893,1.4244),(3305,4875,0.72075,1.4205),(3305,4885,1.1629,1.4166),(3305,4895,1.6051,1.408),(3305,4905,2.0473,1.395),(3305,4915,2.0822,1.382),(3305,4925,2.0821,1.369),(3305,4935,2.082,1.3559),(3305,4945,2.0521,1.3428),(3305,4955,2.0118,1.3293),(3305,4965,1.9716,1.3137),(3305,4975,1.6386,1.2981),(3305,4985,1.0797,1.2825),(3305,4995,0.52078,1.2814),(3305,5005,0.35171,1.2807),(3305,5015,0.80243,1.2799),(3305,5025,1.2531,1.2724),(3305,5035,1.6413,1.2632),(3305,5045,1.7914,1.254),(3305,5055,1.9414,1.243),(3305,5065,2.0871,1.2309),(3305,5075,2.0894,1.2188),(3305,5085,2.0918,1.2067),(3305,5095,2.0942,1.1947),(3305,5105,1.8325,1.1827),(3305,5115,1.5247,1.1721),(3305,5125,1.217,1.1658),(3305,5135,1.0633,1.1595),(3305,5145,0.98445,1.1534),(3305,5155,0.90556,1.1489),(3305,5165,1.0633,1.1445),(3305,5175,1.4623,1.14),(3305,5185,1.8613,1.1293),(3305,5195,2.1345,1.118),(3305,5205,2.1364,1.1066),(3305,5215,2.1383,1.0954),(3305,5225,2.129,1.0841),(3305,5235,2.0503,1.0729),(3305,5245,1.9716,1.0624),(3305,5255,1.8928,1.0525),(3305,5265,1.336,1.0426),(3305,5275,0.75953,1.0364),(3305,5285,0.18302,1.0362),(3305,5295,0.55918,1.036),(3305,5305,1.2006,1.0334),(3305,5315,1.8421,1.0206),(3305,5325,2.1122,1.0078),(3305,5335,2.1389,0.99497),(3305,5345,2.1655,0.9843),(3305,5355,2.1817,0.97364),(3305,5365,2.1838,0.96297),(3305,5375,2.1859,0.95252),(3305,5385,2.0629,0.94212),(3305,5395,1.5595,0.93172),(3305,5405,1.0561,0.92639),(3305,5415,0.60785,0.92368),(3305,5425,0.89999,0.92098),(3305,5435,1.1921,0.91694),(3305,5445,1.4843,0.91146),(3305,5455,1.7633,0.90599),(3305,5465,2.0407,0.89956),(3305,5475,2.3181,0.89095),(3305,5485,2.3975,0.88233),(3305,5495,2.3973,0.87375),(3305,5505,2.3971,0.86538),(3305,5515,2.3968,0.857),(3305,5525,2.3966,0.84863),(3305,5535,2.3964,0.84049),(3305,5545,2.3961,0.83237),(3305,5555,2.3958,0.82424),(3305,5565,2.3955,0.81629),(3305,5575,2.3952,0.80838),(3305,5585,2.3948,0.80048),(3305,5595,2.3944,0.7927),(3305,5605,2.394,0.78502),(3305,5615,2.3935,0.77735),(3305,5625,2.3931,0.76975),(3305,5635,2.3926,0.76226),(3305,5645,2.3921,0.75478),(3305,5655,2.3916,0.74734),(3305,5665,2.391,0.74004),(3305,5675,2.3905,0.73275),(3305,5685,2.3899,0.72546),(3305,5695,2.3893,0.71834),(3305,5705,2.3887,0.71121),(3305,5715,2.388,0.70409),(3305,5725,2.3874,0.6971),(3305,5735,2.3867,0.69014),(3305,5745,2.386,0.68317),(3305,5755,2.3853,0.6763),(3305,5765,2.3846,0.66948),(3305,5775,2.3839,0.66265),(3305,5785,2.3831,0.65591),(3305,5795,2.3824,0.64923),(3305,5805,2.3816,0.64255),(3305,5815,2.3808,0.63591),(3305,5825,2.38,0.62937),(3305,5835,2.3792,0.62283),(3305,5845,2.3783,0.61631),(3305,5855,2.3775,0.60989),(3305,5865,2.3766,0.60347),(3305,5875,2.3757,0.59705),(3305,5885,2.3749,0.59074),(3305,5895,2.374,0.58444),(3305,5905,2.373,0.57813),(3305,5915,2.3721,0.57192),(3305,5925,2.3712,0.56572),(3305,5935,2.3702,0.55952),(3305,5945,2.3693,0.55339),(3305,5955,2.3683,0.5473),(3305,5965,2.3673,0.54121),(3305,5975,2.3664,0.53517),(3305,5985,2.3654,0.52918),(3305,5995,1.8086,0.52319),(3305,6005,1.1625,0.51862),(3305,6015,0.51627,0.51783),(3305,6025,0.66068,0.51703),(3305,6035,1.1718,0.51564),(3305,6045,1.6829,0.5085),(3305,6055,2.0377,0.50136),(3305,6065,2.2393,0.49422),(3305,6075,2.441,0.48495),(3305,6085,2.5772,0.47548),(3305,6095,2.5786,0.46601),(3305,6105,2.58,0.45654),(3305,6115,2.5814,0.44706),(3305,6125,2.5827,0.43759),(3305,6135,2.584,0.4282),(3305,6145,2.5854,0.41887),(3305,6155,2.5866,0.40955),(3305,6165,2.5879,0.40027),(3305,6175,2.5891,0.39106),(3305,6185,2.5903,0.38185),(3305,6195,2.5914,0.37266),(3305,6205,2.5925,0.36355),(3305,6215,2.5936,0.35444),(3305,6225,2.5947,0.34533),(3305,6235,2.5957,0.33623),(3305,6245,2.5967,0.32713),(3305,6255,2.5977,0.31803),(3305,6265,2.5987,0.30898),(3305,6275,2.5996,0.29994),(3305,6285,2.6005,0.2909),(3305,6295,2.6013,0.28195),(3305,6305,2.6022,0.27303),(3305,6315,2.603,0.26411),(3305,6325,2.6038,0.25522),(3305,6335,2.6046,0.24635),(3305,6345,2.6053,0.23749),(3305,6355,2.606,0.22863),(3305,6365,2.6067,0.2198),(3305,6375,2.6073,0.21096),(3305,6385,2.6079,0.20213),(3305,6395,2.6086,0.19331),(3305,6405,2.6091,0.18449),(3305,6415,2.6097,0.17568),(3305,6425,2.6102,0.1669),(3305,6435,2.6107,0.15813),(3305,6445,2.6112,0.14936),(3305,6455,2.6116,0.14069),(3305,6465,2.612,0.13203),(3305,6475,2.6124,0.12338),(3305,6485,2.6127,0.11472),(3305,6495,2.6131,0.10606),(3305,6505,2.6134,0.097392),(3305,6515,2.6136,0.088726),(3305,6525,2.6139,0.080058),(3305,6535,2.6141,0.07139),(3305,6545,2.6143,0.062724),(3305,6555,2.6145,0.054062),(3305,6565,2.6146,0.045399),(3305,6575,2.6147,0.036741),(3305,6585,2.6147,0.028135),(3305,6595,2.224,0.019529),(3305,6605,1.4018,0.010923),(3305,6615,0.57955,0.009877),(3305,6625,0.001544,0.009803),(3305,6635,0.001541,0.009729),(3305,6645,0.001539,0.009702),(3305,6655,0.001536,0.009694),(3305,6665,0.001533,0.009685),(3305,6675,0.001531,0.009678),(3305,6685,0.001528,0.009669),(3305,6695,0.001526,0.009661),(3305,6705,0.001523,0.009653),(3305,6715,0.001521,0.009645),(3305,6725,0.001519,0.009637),(3305,6735,0.001517,0.009629),(3305,6745,0.001514,0.009621),(3305,6755,0.001512,0.009613),(3305,6765,0.00151,0.009605),(3305,6775,0.001509,0.009597),(3305,6785,0.001507,0.009589),(3305,6795,0.001505,0.009581),(3305,6805,0.001503,0.009573),(3305,6815,0.001502,0.009565),(3305,6825,0.0015,0.009557),(3305,6835,0.001498,0.009548),(3305,6845,0.001497,0.00954),(3305,6855,0.001496,0.009532),(3305,6865,0.001494,0.009524),(3305,6875,0.001493,0.009516),(3305,6885,0.001491,0.009508),(3305,6895,0.00149,0.0095),(3305,6905,0.001489,0.009491),(3305,6915,0.001488,0.009483),(3305,6925,0.001487,0.009475),(3305,6935,0.001486,0.009466),(3305,6945,0.001485,0.009458),(3305,6955,0.001484,0.00945),(3305,6965,0.001483,0.009442),(3305,6975,0.001482,0.009433),(3305,6985,0.001481,0.009425),(3315,5,5e-06,3.6888),(3315,15,1.5e-05,3.6888),(3315,25,2.4e-05,3.6888),(3315,35,3.4e-05,3.6888),(3315,45,4.4e-05,3.6888),(3315,55,5.3e-05,3.6888),(3315,65,6.3e-05,3.6888),(3315,75,7.2e-05,3.6888),(3315,85,8.1e-05,3.6888),(3315,95,9e-05,3.6888),(3315,105,9.9e-05,3.6888),(3315,115,0.000107,3.6888),(3315,125,0.000115,3.6888),(3315,135,0.000123,3.6888),(3315,145,0.000131,3.6888),(3315,155,0.000138,3.6888),(3315,165,0.000145,3.6888),(3315,175,0.000152,3.6888),(3315,185,0.000158,3.6888),(3315,195,0.000164,3.6888),(3315,205,0.00017,3.6889),(3315,215,0.000175,3.6889),(3315,225,0.00018,3.6889),(3315,235,0.000184,3.6889),(3315,245,0.000188,3.6889),(3315,255,0.000192,3.6889),(3315,265,0.000194,3.6889),(3315,275,0.000196,3.6889),(3315,285,0.000198,3.6889),(3315,295,0.0002,3.6889),(3315,305,0.0002,3.6889),(3315,315,0.000199,3.6889),(3315,325,0.000198,3.689),(3315,335,0.000198,3.689),(3315,345,0.000195,3.689),(3315,355,0.000191,3.689),(3315,365,0.000187,3.689),(3315,375,0.000184,3.689),(3315,385,0.000177,3.689),(3315,395,0.000171,3.6891),(3315,405,0.000164,3.6891),(3315,415,0.000157,3.6891),(3315,425,0.000147,3.6891),(3315,435,0.000137,3.6891),(3315,445,0.000126,3.6891),(3315,455,0.000116,3.6892),(3315,465,0.000102,3.6892),(3315,475,8.7e-05,3.6892),(3315,485,7.3e-05,3.6892),(3315,495,5.9e-05,3.6892),(3315,505,4e-05,3.6893),(3315,515,2.1e-05,3.6893),(3315,525,3e-06,3.6893),(3315,535,-1.6e-05,3.6893),(3315,545,-4e-05,3.6894),(3315,555,-6.3e-05,3.6894),(3315,565,-8.7e-05,3.6894),(3315,575,-0.000111,3.6895),(3315,585,-0.000139,3.6895),(3315,595,-0.000168,3.6895),(3315,605,-0.000197,3.6896),(3315,615,-0.000226,3.6896),(3315,625,-0.00026,3.6896),(3315,635,-0.000295,3.6897),(3315,645,-0.000329,3.6897),(3315,655,-0.000364,3.6898),(3315,665,-0.000404,3.6898),(3315,675,-0.000444,3.6899),(3315,685,-0.000484,3.6899),(3315,695,-0.000525,3.69),(3315,705,-0.000571,3.69),(3315,715,-0.000617,3.6901),(3315,725,-0.000663,3.6901),(3315,735,-0.00071,3.6902),(3315,745,-0.000763,3.6902),(3315,755,-0.000816,3.6903),(3315,765,-0.000869,3.6904),(3315,775,-0.000923,3.6904),(3315,785,-0.000983,3.6905),(3315,795,-0.001043,3.6906),(3315,805,-0.001102,3.6906),(3315,815,-0.001164,3.6907),(3315,825,-0.001231,3.6908),(3315,835,-0.001297,3.6909),(3315,845,-0.001364,3.691),(3315,855,-0.001433,3.691),(3315,865,-0.001507,3.6911),(3315,875,-0.00158,3.6912),(3315,885,-0.001654,3.6913),(3315,895,-0.00173,3.6914),(3315,905,-0.001811,3.6915),(3315,915,-0.001893,3.6916),(3315,925,-0.001974,3.6917),(3315,935,-0.002058,3.6918),(3315,945,-0.002147,3.692),(3315,955,-0.002235,3.6921),(3315,965,-0.002324,3.6922),(3315,975,-0.002416,3.6923),(3315,985,-0.002512,3.6925),(3315,995,-0.002607,3.6926),(3315,1005,-0.002703,3.6927),(3315,1015,-0.002802,3.6929),(3315,1025,-0.002905,3.693),(3315,1035,-0.003008,3.6932),(3315,1045,-0.003111,3.6933),(3315,1055,-0.003218,3.6935),(3315,1065,-0.003328,3.6937),(3315,1075,-0.003439,3.6938),(3315,1085,-0.003549,3.694),(3315,1095,-0.003663,3.6942),(3315,1105,-0.00378,3.6944),(3315,1115,-0.003897,3.6946),(3315,1125,-0.004015,3.6948),(3315,1135,-0.004136,3.695),(3315,1145,-0.00426,3.6952),(3315,1155,-0.004383,3.6954),(3315,1165,-0.004507,3.6956),(3315,1175,-0.004634,3.6958),(3315,1185,-0.004764,3.696),(3315,1195,-0.004893,3.6963),(3315,1205,-0.005023,3.6965),(3315,1215,-0.005157,3.6968),(3315,1225,-0.005292,3.697),(3315,1235,-0.005427,3.6973),(3315,1245,-0.005562,3.6976),(3315,1255,-0.005701,3.6978),(3315,1265,-0.005842,3.6981),(3315,1275,-0.005982,3.6984),(3315,1285,-0.006122,3.6987),(3315,1295,-0.006266,3.699),(3315,1305,-0.00641,3.6993),(3315,1315,-0.006555,3.6996),(3315,1325,-0.006699,3.6999),(3315,1335,-0.006847,3.7003),(3315,1345,-0.006995,3.7006),(3315,1355,-0.007144,3.701),(3315,1365,-0.007292,3.7013),(3315,1375,-0.007443,3.7017),(3315,1385,-0.007595,3.702),(3315,1395,-0.007746,3.7024),(3315,1405,-0.007898,3.7028),(3315,1415,-0.008052,3.7032),(3315,1425,-0.008207,3.7036),(3315,1435,-0.008361,3.704),(3315,1445,-0.008516,3.7045),(3315,1455,-0.008672,3.7049),(3315,1465,-0.008828,3.7053),(3315,1475,-0.008984,3.7058),(3315,1485,-0.009141,3.7062),(3315,1495,-0.009298,3.7067),(3315,1505,-0.009456,3.7072),(3315,1515,-0.009613,3.7077),(3315,1525,-0.009771,3.7082),(3315,1535,-0.009929,3.7087),(3315,1545,-0.010087,3.7092),(3315,1555,-0.010246,3.7097),(3315,1565,-0.010404,3.7103),(3315,1575,-0.010563,3.7108),(3315,1585,-0.010721,3.7114),(3315,1595,-0.01088,3.7119),(3315,1605,-0.011038,3.7125),(3315,1615,-0.011197,3.7131),(3315,1625,-0.011355,3.7137),(3315,1635,-0.011514,3.7144),(3315,1645,-0.011672,3.715),(3315,1655,-0.01183,3.7156),(3315,1665,-0.011987,3.7163),(3315,1675,-0.012145,3.717),(3315,1685,-0.012302,3.7176),(3315,1695,-0.012458,3.7183),(3315,1705,-0.012614,3.719),(3315,1715,-0.01277,3.7198),(3315,1725,-0.012926,3.7205),(3315,1735,-0.013079,3.7213),(3315,1745,-0.013233,3.722),(3315,1755,-0.013387,3.7228),(3315,1765,-0.013539,3.7236),(3315,1775,-0.01369,3.7244),(3315,1785,-0.013841,3.7252),(3315,1795,-0.013992,3.7261),(3315,1805,-0.014141,3.727),(3315,1815,-0.014288,3.7278),(3315,1825,-0.014435,3.7287),(3315,1835,-0.014581,3.7297),(3315,1845,-0.014726,3.7306),(3315,1855,-0.014867,3.7315),(3315,1865,-0.015007,3.7325),(3315,1875,-0.015148,3.7335),(3315,1885,-0.015286,3.7345),(3315,1895,-0.015418,3.7355),(3315,1905,-0.015551,3.7366),(3315,1915,-0.015684,3.7377),(3315,1925,-0.015812,3.7388),(3315,1935,-0.015933,3.7399),(3315,1945,-0.016055,3.741),(3315,1955,-0.016177,3.7422),(3315,1965,-0.016292,3.7434),(3315,1975,-0.016399,3.7446),(3315,1985,-0.016506,3.7459),(3315,1995,-0.016614,3.7472),(3315,2005,-0.016711,3.7485),(3315,2015,-0.016799,3.7498),(3315,2025,-0.016886,3.7511),(3315,2035,-0.016974,3.7526),(3315,2045,-0.017047,3.754),(3315,2055,-0.017109,3.7554),(3315,2065,-0.01717,3.7569),(3315,2075,-0.017232,3.7584),(3315,2085,-0.017273,3.76),(3315,2095,-0.017299,3.7615),(3315,2105,-0.017326,3.7632),(3315,2115,-0.017352,3.7649),(3315,2125,-0.01735,3.7666),(3315,2135,-0.01733,3.7683),(3315,2145,-0.01731,3.7701),(3315,2155,-0.01729,3.7719),(3315,2165,-0.017229,3.7738),(3315,2175,-0.017148,3.7757),(3315,2185,-0.017067,3.7776),(3315,2195,-0.016986,3.7797),(3315,2205,-0.016849,3.7817),(3315,2215,-0.016689,3.7837),(3315,2225,-0.016528,3.7859),(3315,2235,-0.016367,3.7882),(3315,2245,-0.01613,3.7904),(3315,2255,-0.015866,3.7926),(3315,2265,-0.015602,3.795),(3315,2275,-0.015338,3.7975),(3315,2285,-0.01497,3.7999),(3315,2295,-0.014573,3.8024),(3315,2305,-0.014175,3.805),(3315,2315,-0.013778,3.8077),(3315,2325,-0.013242,3.8104),(3315,2335,-0.012674,3.8131),(3315,2345,-0.012107,3.816),(3315,2355,-0.011539,3.8189),(3315,2365,-0.010787,3.8219),(3315,2375,-0.010004,3.8248),(3315,2385,-0.009221,3.828),(3315,2395,-0.008438,3.8312),(3315,2405,-0.007413,3.8344),(3315,2415,-0.006359,3.8376),(3315,2425,-0.005306,3.841),(3315,2435,-0.004252,3.8445),(3315,2445,-0.002885,3.848),(3315,2455,-0.001497,3.8514),(3315,2465,-0.000108,3.8552),(3315,2475,0.00128,3.8589),(3315,2485,0.003069,3.8627),(3315,2495,0.004867,3.8664),(3315,2505,0.006666,3.8704),(3315,2515,0.008471,3.8744),(3315,2525,0.010764,3.8784),(3315,2535,0.013056,3.8824),(3315,2545,0.015348,3.8866),(3315,2555,0.017672,3.8908),(3315,2565,0.020548,3.895),(3315,2575,0.023424,3.8992),(3315,2585,0.0263,3.9036),(3315,2595,0.02924,3.908),(3315,2605,0.032792,3.9124),(3315,2615,0.036343,3.9168),(3315,2625,0.039895,3.9212),(3315,2635,0.043549,3.9257),(3315,2645,0.047862,3.9301),(3315,2655,0.052175,3.9346),(3315,2665,0.056488,3.939),(3315,2675,0.060945,3.9434),(3315,2685,0.066091,3.9479),(3315,2695,0.071237,3.9522),(3315,2705,0.076383,3.9565),(3315,2715,0.081717,3.9608),(3315,2725,0.087744,3.965),(3315,2735,0.09377,3.9692),(3315,2745,0.099797,3.9732),(3315,2755,0.10605,3.9771),(3315,2765,0.11297,3.9811),(3315,2775,0.1199,3.9849),(3315,2785,0.12682,3.9883),(3315,2795,0.134,3.9918),(3315,2805,0.1418,3.9952),(3315,2815,0.1496,3.9985),(3315,2825,0.15741,4.0013),(3315,2835,0.16548,4.0041),(3315,2845,0.17411,4.0069),(3315,2855,0.18274,4.0095),(3315,2865,0.19137,4.0115),(3315,2875,0.20027,4.0135),(3315,2885,0.20965,4.0155),(3315,2895,0.21903,4.0171),(3315,2905,0.2284,4.0182),(3315,2915,0.23804,4.0193),(3315,2925,0.24807,4.0204),(3315,2935,0.25809,4.021),(3315,2945,0.26812,4.021),(3315,2955,0.27839,4.0211),(3315,2965,0.28895,4.0211),(3315,2975,0.29951,4.0206),(3315,2985,0.31008,4.0195),(3315,2995,0.32085,4.0184),(3315,3005,0.33184,4.0173),(3315,3015,0.34283,4.0156),(3315,3025,0.35382,4.0133),(3315,3035,0.36497,4.011),(3315,3045,0.37627,4.0087),(3315,3055,0.38757,4.0057),(3315,3065,0.39886,4.0021),(3315,3075,0.41027,3.9985),(3315,3085,0.42175,3.9949),(3315,3095,0.43324,3.9906),(3315,3105,0.44473,3.9857),(3315,3115,0.45626,3.9808),(3315,3125,0.46781,3.9759),(3315,3135,0.47937,3.9701),(3315,3145,0.49092,3.9638),(3315,3155,0.50244,3.9575),(3315,3165,0.51393,3.9513),(3315,3175,0.52543,3.944),(3315,3185,0.53693,3.9363),(3315,3195,0.54829,3.9286),(3315,3205,0.55959,3.9209),(3315,3215,0.5709,3.9122),(3315,3225,0.5822,3.9031),(3315,3235,0.59326,3.8939),(3315,3245,0.60422,3.8848),(3315,3255,0.61518,3.8745),(3315,3265,0.62614,3.8639),(3315,3275,0.63671,3.8532),(3315,3285,0.64717,3.8426),(3315,3295,0.65762,3.8307),(3315,3305,0.66807,3.8186),(3315,3315,0.67796,3.8064),(3315,3325,0.68772,3.7943),(3315,3335,0.69748,3.7809),(3315,3345,0.70723,3.7672),(3315,3355,0.71622,3.7535),(3315,3365,0.72506,3.7399),(3315,3375,0.73391,3.7249),(3315,3385,0.74275,3.7098),(3315,3395,0.75058,3.6946),(3315,3405,0.75827,3.6794),(3315,3415,0.76597,3.663),(3315,3425,0.77366,3.6464),(3315,3435,0.78005,3.6298),(3315,3445,0.78634,3.6132),(3315,3455,0.79263,3.5953),(3315,3465,0.79891,3.5774),(3315,3475,0.80357,3.5595),(3315,3485,0.80817,3.5416),(3315,3495,0.81277,3.5225),(3315,3505,0.81736,3.5034),(3315,3515,0.82,3.4843),(3315,3525,0.82263,3.4652),(3315,3535,0.82527,3.4452),(3315,3545,0.8278,3.4252),(3315,3555,0.82821,3.4051),(3315,3565,0.82862,3.3851),(3315,3575,0.82902,3.3644),(3315,3585,0.82922,3.3437),(3315,3595,0.82716,3.3231),(3315,3605,0.8251,3.3024),(3315,3615,0.82303,3.2814),(3315,3625,0.82064,3.2604),(3315,3635,0.81589,3.2394),(3315,3645,0.81115,3.2184),(3315,3655,0.80641,3.1975),(3315,3665,0.8012,3.1766),(3315,3675,0.79358,3.1557),(3315,3685,0.78596,3.1348),(3315,3695,0.77834,3.1144),(3315,3705,0.77009,3.0939),(3315,3715,0.75935,3.0734),(3315,3725,0.74861,3.0531),(3315,3735,0.73787,3.0334),(3315,3745,0.72627,3.0138),(3315,3755,0.71199,2.9941),(3315,3765,0.69772,2.9748),(3315,3775,0.68345,2.9565),(3315,3785,0.66795,2.9382),(3315,3795,0.64933,2.9198),(3315,3805,0.63072,2.9022),(3315,3815,0.61211,2.8861),(3315,3825,0.59158,2.87),(3315,3835,0.56701,2.854),(3315,3845,0.54244,2.8395),(3315,3855,0.51788,2.828),(3315,3865,0.49002,2.8165),(3315,3875,0.45636,2.805),(3315,3885,0.42269,2.798),(3315,3895,0.38903,2.7983),(3315,3905,0.36728,2.7986),(3315,3915,0.36332,2.7988),(3315,3925,0.35936,2.8349),(3315,3935,0.35541,2.9201),(3315,3945,0.43161,3.0054),(3315,3955,0.60959,3.0907),(3315,3965,0.78757,3.1558),(3315,3975,0.96556,3.1973),(3315,3985,1.1136,3.2387),(3315,3995,1.2292,3.2802),(3315,4005,1.3449,3.3032),(3315,4015,1.4605,3.308),(3315,4025,1.6359,3.3127),(3315,4035,1.8171,3.2832),(3315,4045,1.9983,3.1816),(3315,4055,2.0903,3.0799),(3315,4065,2.1498,2.9804),(3315,4075,2.2092,2.8935),(3315,4085,2.2416,2.8066),(3315,4095,2.2523,2.7197),(3315,4105,2.263,2.6614),(3315,4115,2.2018,2.6042),(3315,4125,2.0215,2.547),(3315,4135,1.8412,2.511),(3315,4145,1.6585,2.4809),(3315,4155,1.4663,2.4507),(3315,4165,1.2742,2.4294),(3315,4175,1.0927,2.4138),(3315,4185,1.4384,2.3982),(3315,4195,1.7842,2.3772),(3315,4205,2.1299,2.3491),(3315,4215,2.1784,2.3211),(3315,4225,2.1711,2.2937),(3315,4235,2.1637,2.2683),(3315,4245,2.1242,2.243),(3315,4255,2.0685,2.2177),(3315,4265,2.0127,2.1929),(3315,4275,1.7697,2.1682),(3315,4285,1.3281,2.1434),(3315,4295,0.88639,2.1368),(3315,4305,0.71112,2.1322),(3315,4315,1.1374,2.1276),(3315,4325,1.5637,2.1129),(3315,4335,1.9424,2.0941),(3315,4345,1.9989,2.0754),(3315,4355,2.0553,2.056),(3315,4365,2.1118,2.0361),(3315,4375,2.1166,2.0162),(3315,4385,2.1187,1.9966),(3315,4395,2.1208,1.9776),(3315,4405,1.8709,1.9586),(3315,4415,1.5467,1.9415),(3315,4425,1.2225,1.9327),(3315,4435,1.0855,1.924),(3315,4445,1.0763,1.9152),(3315,4455,1.0671,1.9071),(3315,4465,1.1966,1.8989),(3315,4475,1.521,1.8908),(3315,4485,1.8453,1.8756),(3315,4495,2.093,1.859),(3315,4505,2.0948,1.8424),(3315,4515,2.0965,1.8258),(3315,4525,2.0941,1.8093),(3315,4535,2.0252,1.7928),(3315,4545,1.9563,1.777),(3315,4555,1.8873,1.7621),(3315,4565,1.4558,1.7473),(3315,4575,0.97539,1.7363),(3315,4585,0.49499,1.7346),(3315,4595,0.68622,1.7329),(3315,4605,1.1612,1.7294),(3315,4615,1.6362,1.7111),(3315,4625,1.893,1.6929),(3315,4635,1.952,1.6746),(3315,4645,2.011,1.6585),(3315,4655,2.0526,1.6426),(3315,4665,2.0615,1.6266),(3315,4675,2.0703,1.6112),(3315,4685,2.0071,1.5959),(3315,4695,1.588,1.5806),(3315,4705,1.1688,1.5712),(3315,4715,0.74968,1.5661),(3315,4725,0.95038,1.561),(3315,4735,1.1573,1.5544),(3315,4745,1.3642,1.5452),(3315,4755,1.5747,1.5361),(3315,4765,1.7861,1.526),(3315,4775,1.9975,1.5124),(3315,4785,2.0765,1.4987),(3315,4795,2.0789,1.4851),(3315,4805,2.0813,1.4716),(3315,4815,1.9839,1.458),(3315,4825,1.7671,1.4445),(3315,4835,1.5503,1.4351),(3315,4845,1.3313,1.4263),(3315,4855,1.1063,1.4175),(3315,4865,0.88134,1.412),(3315,4875,0.72256,1.4082),(3315,4885,1.1661,1.4043),(3315,4895,1.6097,1.3958),(3315,4905,2.0533,1.3829),(3315,4915,2.0883,1.3699),(3315,4925,2.0883,1.357),(3315,4935,2.0882,1.3439),(3315,4945,2.0589,1.3309),(3315,4955,2.0196,1.3175),(3315,4965,1.9802,1.302),(3315,4975,1.6461,1.2864),(3315,4985,1.0844,1.2709),(3315,4995,0.52266,1.2698),(3315,5005,0.35233,1.2691),(3315,5015,0.80423,1.2683),(3315,5025,1.2561,1.2609),(3315,5035,1.6453,1.2517),(3315,5045,1.7958,1.2425),(3315,5055,1.9462,1.2315),(3315,5065,2.0923,1.2195),(3315,5075,2.0946,1.2074),(3315,5085,2.0969,1.1954),(3315,5095,2.0993,1.1834),(3315,5105,1.8369,1.1714),(3315,5115,1.5284,1.1609),(3315,5125,1.2199,1.1547),(3315,5135,1.0657,1.1484),(3315,5145,0.98654,1.1423),(3315,5155,0.90734,1.1378),(3315,5165,1.0653,1.1334),(3315,5175,1.4651,1.1289),(3315,5185,1.865,1.1183),(3315,5195,2.1387,1.107),(3315,5205,2.1406,1.0957),(3315,5215,2.1425,1.0844),(3315,5225,2.1332,1.0732),(3315,5235,2.0543,1.062),(3315,5245,1.9754,1.0516),(3315,5255,1.8965,1.0417),(3315,5265,1.3386,1.0319),(3315,5275,0.76092,1.0256),(3315,5285,0.18325,1.0254),(3315,5295,0.5606,1.0253),(3315,5305,1.2039,1.0227),(3315,5315,1.8472,1.01),(3315,5325,2.1176,0.99723),(3315,5335,2.1435,0.98453),(3315,5345,2.1694,0.97394),(3315,5355,2.1851,0.96334),(3315,5365,2.1872,0.95274),(3315,5375,2.1892,0.94236),(3315,5385,2.0659,0.93202),(3315,5395,1.5618,0.92168),(3315,5405,1.0576,0.91638),(3315,5415,0.60863,0.9137),(3315,5425,0.90072,0.91102),(3315,5435,1.1928,0.90703),(3315,5445,1.4849,0.90163),(3315,5455,1.764,0.89622),(3315,5465,2.0414,0.88989),(3315,5475,2.3189,0.88139),(3315,5485,2.3984,0.87289),(3315,5495,2.3981,0.86442),(3315,5505,2.3977,0.85616),(3315,5515,2.3974,0.8479),(3315,5525,2.3971,0.83963),(3315,5535,2.3969,0.8316),(3315,5545,2.3965,0.82359),(3315,5555,2.3961,0.81557),(3315,5565,2.3958,0.80772),(3315,5575,2.3954,0.79992),(3315,5585,2.3949,0.79212),(3315,5595,2.3945,0.78445),(3315,5605,2.394,0.77687),(3315,5615,2.3935,0.76929),(3315,5625,2.393,0.76179),(3315,5635,2.3925,0.7544),(3315,5645,2.3919,0.74702),(3315,5655,2.3913,0.73967),(3315,5665,2.3907,0.73247),(3315,5675,2.3901,0.72527),(3315,5685,2.3895,0.71807),(3315,5695,2.3888,0.71104),(3315,5705,2.3882,0.70401),(3315,5715,2.3875,0.69698),(3315,5725,2.3868,0.69008),(3315,5735,2.3861,0.6832),(3315,5745,2.3853,0.67631),(3315,5755,2.3846,0.66953),(3315,5765,2.3838,0.66279),(3315,5775,2.3831,0.65605),(3315,5785,2.3823,0.64938),(3315,5795,2.3815,0.64278),(3315,5805,2.3807,0.63618),(3315,5815,2.3798,0.62963),(3315,5825,2.379,0.62316),(3315,5835,2.3781,0.61669),(3315,5845,2.3773,0.61025),(3315,5855,2.3764,0.6039),(3315,5865,2.3755,0.59755),(3315,5875,2.3746,0.59121),(3315,5885,2.3737,0.58498),(3315,5895,2.3727,0.57874),(3315,5905,2.3718,0.57251),(3315,5915,2.3708,0.56636),(3315,5925,2.3699,0.56023),(3315,5935,2.3689,0.5541),(3315,5945,2.3679,0.54804),(3315,5955,2.3669,0.54202),(3315,5965,2.3659,0.536),(3315,5975,2.3649,0.53003),(3315,5985,2.3639,0.5241),(3315,5995,1.8075,0.51818),(3315,6005,1.1617,0.51365),(3315,6015,0.51592,0.51287),(3315,6025,0.66083,0.51209),(3315,6035,1.1725,0.51071),(3315,6045,1.6841,0.50364),(3315,6055,2.0393,0.49658),(3315,6065,2.2411,0.48951),(3315,6075,2.4429,0.48033),(3315,6085,2.5792,0.47095),(3315,6095,2.5805,0.46158),(3315,6105,2.5819,0.4522),(3315,6115,2.5833,0.44281),(3315,6125,2.5846,0.43343),(3315,6135,2.5859,0.42413),(3315,6145,2.5871,0.41489),(3315,6155,2.5884,0.40566),(3315,6165,2.5896,0.39646),(3315,6175,2.5908,0.38734),(3315,6185,2.5919,0.37821),(3315,6195,2.593,0.36911),(3315,6205,2.5941,0.36009),(3315,6215,2.5952,0.35107),(3315,6225,2.5962,0.34205),(3315,6235,2.5973,0.33304),(3315,6245,2.5982,0.32402),(3315,6255,2.5992,0.31501),(3315,6265,2.6001,0.30605),(3315,6275,2.6011,0.29709),(3315,6285,2.6019,0.28814),(3315,6295,2.6028,0.27927),(3315,6305,2.6036,0.27044),(3315,6315,2.6044,0.26161),(3315,6325,2.6051,0.2528),(3315,6335,2.6059,0.24403),(3315,6345,2.6066,0.23525),(3315,6355,2.6073,0.22648),(3315,6365,2.608,0.21773),(3315,6375,2.6086,0.20899),(3315,6385,2.6092,0.20024),(3315,6395,2.6098,0.19151),(3315,6405,2.6104,0.18278),(3315,6415,2.6109,0.17404),(3315,6425,2.6114,0.16535),(3315,6435,2.6119,0.15666),(3315,6445,2.6124,0.14798),(3315,6455,2.6128,0.13938),(3315,6465,2.6132,0.13081),(3315,6475,2.6136,0.12225),(3315,6485,2.6139,0.11367),(3315,6495,2.6143,0.10509),(3315,6505,2.6145,0.096512),(3315,6515,2.6148,0.087929),(3315,6525,2.6151,0.079344),(3315,6535,2.6152,0.070759),(3315,6545,2.6154,0.062176),(3315,6555,2.6156,0.053598),(3315,6565,2.6157,0.045019),(3315,6575,2.6158,0.036444),(3315,6585,2.6159,0.027921),(3315,6595,2.225,0.019398),(3315,6605,1.4024,0.010874),(3315,6615,0.57981,0.009848),(3315,6625,0.001548,0.009786),(3315,6635,0.001545,0.009723),(3315,6645,0.001542,0.009699),(3315,6655,0.001539,0.009691),(3315,6665,0.001537,0.009683),(3315,6675,0.001534,0.009675),(3315,6685,0.001532,0.009667),(3315,6695,0.001529,0.009659),(3315,6705,0.001527,0.009651),(3315,6715,0.001524,0.009643),(3315,6725,0.001522,0.009635),(3315,6735,0.00152,0.009627),(3315,6745,0.001518,0.009619),(3315,6755,0.001516,0.009611),(3315,6765,0.001514,0.009603),(3315,6775,0.001512,0.009595),(3315,6785,0.00151,0.009587),(3315,6795,0.001509,0.009579),(3315,6805,0.001507,0.009571),(3315,6815,0.001505,0.009563),(3315,6825,0.001504,0.009555),(3315,6835,0.001502,0.009547),(3315,6845,0.001501,0.009539),(3315,6855,0.001499,0.009531),(3315,6865,0.001498,0.009523),(3315,6875,0.001497,0.009515),(3315,6885,0.001495,0.009507),(3315,6895,0.001494,0.009498),(3315,6905,0.001493,0.00949),(3315,6915,0.001492,0.009482),(3315,6925,0.001491,0.009474),(3315,6935,0.00149,0.009465),(3315,6945,0.001489,0.009457),(3315,6955,0.001488,0.009449),(3315,6965,0.001487,0.009441),(3315,6975,0.001486,0.009433),(3315,6985,0.001485,0.009424),(3325,5,5e-06,3.6888),(3325,15,1.4e-05,3.6888),(3325,25,2.3e-05,3.6888),(3325,35,3.3e-05,3.6888),(3325,45,4.2e-05,3.6888),(3325,55,5.1e-05,3.6888),(3325,65,6e-05,3.6888),(3325,75,6.9e-05,3.6888),(3325,85,7.8e-05,3.6888),(3325,95,8.6e-05,3.6888),(3325,105,9.5e-05,3.6888),(3325,115,0.000102,3.6888),(3325,125,0.00011,3.6888),(3325,135,0.000118,3.6888),(3325,145,0.000125,3.6888),(3325,155,0.000132,3.6888),(3325,165,0.000139,3.6888),(3325,175,0.000145,3.6888),(3325,185,0.000151,3.6888),(3325,195,0.000156,3.6889),(3325,205,0.000162,3.6889),(3325,215,0.000167,3.6889),(3325,225,0.000171,3.6889),(3325,235,0.000174,3.6889),(3325,245,0.000178,3.6889),(3325,255,0.000181,3.6889),(3325,265,0.000183,3.6889),(3325,275,0.000184,3.6889),(3325,285,0.000186,3.6889),(3325,295,0.000187,3.6889),(3325,305,0.000186,3.6889),(3325,315,0.000185,3.6889),(3325,325,0.000184,3.689),(3325,335,0.000183,3.689),(3325,345,0.000179,3.689),(3325,355,0.000175,3.689),(3325,365,0.000171,3.689),(3325,375,0.000166,3.689),(3325,385,0.000159,3.689),(3325,395,0.000152,3.689),(3325,405,0.000144,3.6891),(3325,415,0.000137,3.6891),(3325,425,0.000126,3.6891),(3325,435,0.000114,3.6891),(3325,445,0.000103,3.6891),(3325,455,9.2e-05,3.6891),(3325,465,7.7e-05,3.6892),(3325,475,6.2e-05,3.6892),(3325,485,4.7e-05,3.6892),(3325,495,3.2e-05,3.6892),(3325,505,1.2e-05,3.6893),(3325,515,-8e-06,3.6893),(3325,525,-2.8e-05,3.6893),(3325,535,-4.7e-05,3.6893),(3325,545,-7.2e-05,3.6894),(3325,555,-9.7e-05,3.6894),(3325,565,-0.000121,3.6894),(3325,575,-0.000146,3.6894),(3325,585,-0.000176,3.6895),(3325,595,-0.000206,3.6895),(3325,605,-0.000236,3.6895),(3325,615,-0.000267,3.6896),(3325,625,-0.000303,3.6896),(3325,635,-0.000338,3.6896),(3325,645,-0.000374,3.6897),(3325,655,-0.000411,3.6897),(3325,665,-0.000452,3.6898),(3325,675,-0.000494,3.6898),(3325,685,-0.000535,3.6899),(3325,695,-0.000578,3.6899),(3325,705,-0.000626,3.69),(3325,715,-0.000674,3.69),(3325,725,-0.000722,3.6901),(3325,735,-0.000771,3.6901),(3325,745,-0.000826,3.6902),(3325,755,-0.00088,3.6902),(3325,765,-0.000935,3.6903),(3325,775,-0.000992,3.6904),(3325,785,-0.001054,3.6904),(3325,795,-0.001116,3.6905),(3325,805,-0.001178,3.6906),(3325,815,-0.001242,3.6906),(3325,825,-0.001311,3.6907),(3325,835,-0.00138,3.6908),(3325,845,-0.001449,3.6909),(3325,855,-0.001521,3.691),(3325,865,-0.001597,3.6911),(3325,875,-0.001674,3.6911),(3325,885,-0.00175,3.6912),(3325,895,-0.001829,3.6913),(3325,905,-0.001914,3.6914),(3325,915,-0.001998,3.6915),(3325,925,-0.002082,3.6916),(3325,935,-0.00217,3.6918),(3325,945,-0.002262,3.6919),(3325,955,-0.002354,3.692),(3325,965,-0.002446,3.6921),(3325,975,-0.002541,3.6922),(3325,985,-0.002641,3.6924),(3325,995,-0.00274,3.6925),(3325,1005,-0.00284,3.6926),(3325,1015,-0.002943,3.6928),(3325,1025,-0.00305,3.6929),(3325,1035,-0.003157,3.6931),(3325,1045,-0.003264,3.6932),(3325,1055,-0.003375,3.6934),(3325,1065,-0.00349,3.6935),(3325,1075,-0.003605,3.6937),(3325,1085,-0.003719,3.6939),(3325,1095,-0.003838,3.6941),(3325,1105,-0.00396,3.6942),(3325,1115,-0.004082,3.6944),(3325,1125,-0.004204,3.6946),(3325,1135,-0.00433,3.6948),(3325,1145,-0.004459,3.695),(3325,1155,-0.004588,3.6952),(3325,1165,-0.004717,3.6955),(3325,1175,-0.00485,3.6957),(3325,1185,-0.004985,3.6959),(3325,1195,-0.00512,3.6961),(3325,1205,-0.005255,3.6964),(3325,1215,-0.005394,3.6966),(3325,1225,-0.005536,3.6969),(3325,1235,-0.005677,3.6971),(3325,1245,-0.005818,3.6974),(3325,1255,-0.005964,3.6977),(3325,1265,-0.00611,3.698),(3325,1275,-0.006257,3.6982),(3325,1285,-0.006404,3.6985),(3325,1295,-0.006554,3.6988),(3325,1305,-0.006705,3.6991),(3325,1315,-0.006857,3.6995),(3325,1325,-0.007008,3.6998),(3325,1335,-0.007163,3.7001),(3325,1345,-0.007319,3.7004),(3325,1355,-0.007474,3.7008),(3325,1365,-0.00763,3.7012),(3325,1375,-0.007789,3.7015),(3325,1385,-0.007948,3.7019),(3325,1395,-0.008107,3.7023),(3325,1405,-0.008267,3.7027),(3325,1415,-0.008429,3.703),(3325,1425,-0.008592,3.7034),(3325,1435,-0.008754,3.7039),(3325,1445,-0.008917,3.7043),(3325,1455,-0.009082,3.7047),(3325,1465,-0.009247,3.7051),(3325,1475,-0.009412,3.7056),(3325,1485,-0.009577,3.7061),(3325,1495,-0.009744,3.7065),(3325,1505,-0.009911,3.707),(3325,1515,-0.010078,3.7075),(3325,1525,-0.010245,3.708),(3325,1535,-0.010413,3.7085),(3325,1545,-0.010581,3.709),(3325,1555,-0.010749,3.7095),(3325,1565,-0.010918,3.7101),(3325,1575,-0.011087,3.7106),(3325,1585,-0.011256,3.7112),(3325,1595,-0.011426,3.7118),(3325,1605,-0.011595,3.7124),(3325,1615,-0.011765,3.7129),(3325,1625,-0.011935,3.7135),(3325,1635,-0.012105,3.7142),(3325,1645,-0.012275,3.7148),(3325,1655,-0.012445,3.7154),(3325,1665,-0.012615,3.7161),(3325,1675,-0.012785,3.7168),(3325,1685,-0.012955,3.7175),(3325,1695,-0.013124,3.7182),(3325,1705,-0.013294,3.7188),(3325,1715,-0.013463,3.7196),(3325,1725,-0.013633,3.7203),(3325,1735,-0.013801,3.7211),(3325,1745,-0.013969,3.7218),(3325,1755,-0.014138,3.7226),(3325,1765,-0.014305,3.7234),(3325,1775,-0.014472,3.7242),(3325,1785,-0.014639,3.725),(3325,1795,-0.014806,3.7259),(3325,1805,-0.014972,3.7268),(3325,1815,-0.015136,3.7276),(3325,1825,-0.015301,3.7285),(3325,1835,-0.015465,3.7295),(3325,1845,-0.015628,3.7304),(3325,1855,-0.015788,3.7313),(3325,1865,-0.015948,3.7323),(3325,1875,-0.016108,3.7333),(3325,1885,-0.016266,3.7343),(3325,1895,-0.016421,3.7354),(3325,1905,-0.016575,3.7364),(3325,1915,-0.016729,3.7375),(3325,1925,-0.01688,3.7386),(3325,1935,-0.017025,3.7397),(3325,1945,-0.017171,3.7409),(3325,1955,-0.017317,3.7421),(3325,1965,-0.017457,3.7433),(3325,1975,-0.017591,3.7445),(3325,1985,-0.017725,3.7457),(3325,1995,-0.017858,3.747),(3325,2005,-0.017984,3.7483),(3325,2015,-0.018101,3.7496),(3325,2025,-0.018218,3.751),(3325,2035,-0.018336,3.7524),(3325,2045,-0.018441,3.7538),(3325,2055,-0.018535,3.7553),(3325,2065,-0.01863,3.7568),(3325,2075,-0.018725,3.7583),(3325,2085,-0.018801,3.7599),(3325,2095,-0.018864,3.7615),(3325,2105,-0.018928,3.7631),(3325,2115,-0.018991,3.7648),(3325,2125,-0.019028,3.7665),(3325,2135,-0.019049,3.7682),(3325,2145,-0.01907,3.77),(3325,2155,-0.019091,3.7719),(3325,2165,-0.019075,3.7738),(3325,2175,-0.019039,3.7756),(3325,2185,-0.019004,3.7776),(3325,2195,-0.018968,3.7797),(3325,2205,-0.01888,3.7818),(3325,2215,-0.01877,3.7838),(3325,2225,-0.01866,3.786),(3325,2235,-0.018549,3.7883),(3325,2245,-0.018366,3.7905),(3325,2255,-0.018158,3.7928),(3325,2265,-0.017949,3.7952),(3325,2275,-0.01774,3.7977),(3325,2285,-0.017432,3.8002),(3325,2295,-0.017095,3.8027),(3325,2305,-0.016758,3.8054),(3325,2315,-0.01642,3.8081),(3325,2325,-0.015948,3.8108),(3325,2335,-0.015446,3.8135),(3325,2345,-0.014943,3.8165),(3325,2355,-0.01444,3.8195),(3325,2365,-0.013756,3.8225),(3325,2375,-0.013042,3.8255),(3325,2385,-0.012328,3.8287),(3325,2395,-0.011613,3.832),(3325,2405,-0.010659,3.8352),(3325,2415,-0.009677,3.8385),(3325,2425,-0.008695,3.842),(3325,2435,-0.007712,3.8456),(3325,2445,-0.006417,3.8491),(3325,2455,-0.005099,3.8527),(3325,2465,-0.003782,3.8565),(3325,2475,-0.002465,3.8604),(3325,2485,-0.000746,3.8642),(3325,2495,0.000984,3.8681),(3325,2505,0.002714,3.8722),(3325,2515,0.004451,3.8763),(3325,2525,0.006682,3.8804),(3325,2535,0.008912,3.8846),(3325,2545,0.011143,3.8889),(3325,2555,0.013406,3.8933),(3325,2565,0.016233,3.8977),(3325,2575,0.019059,3.902),(3325,2585,0.021886,3.9066),(3325,2595,0.024778,3.9112),(3325,2605,0.028298,3.9157),(3325,2615,0.031819,3.9203),(3325,2625,0.03534,3.9249),(3325,2635,0.038965,3.9296),(3325,2645,0.043272,3.9343),(3325,2655,0.047579,3.9389),(3325,2665,0.051886,3.9436),(3325,2675,0.056343,3.9482),(3325,2685,0.061514,3.9529),(3325,2695,0.066685,3.9575),(3325,2705,0.071856,3.962),(3325,2715,0.077222,3.9665),(3325,2725,0.083309,3.971),(3325,2735,0.089396,3.9754),(3325,2745,0.095484,3.9796),(3325,2755,0.10181,3.9838),(3325,2765,0.10883,3.988),(3325,2775,0.11585,3.992),(3325,2785,0.12287,3.9957),(3325,2795,0.13016,3.9994),(3325,2805,0.1381,4.0031),(3325,2815,0.14604,4.0066),(3325,2825,0.15398,4.0096),(3325,2835,0.1622,4.0127),(3325,2845,0.171,4.0157),(3325,2855,0.1798,4.0185),(3325,2865,0.1886,4.0207),(3325,2875,0.19769,4.0229),(3325,2885,0.20727,4.0251),(3325,2895,0.21685,4.0269),(3325,2905,0.22643,4.0282),(3325,2915,0.23628,4.0294),(3325,2925,0.24654,4.0307),(3325,2935,0.25679,4.0315),(3325,2945,0.26704,4.0317),(3325,2955,0.27755,4.0318),(3325,2965,0.28836,4.032),(3325,2975,0.29917,4.0317),(3325,2985,0.30999,4.0307),(3325,2995,0.32102,4.0297),(3325,3005,0.33227,4.0287),(3325,3015,0.34353,4.0271),(3325,3025,0.35478,4.0249),(3325,3035,0.36621,4.0227),(3325,3045,0.37779,4.0204),(3325,3055,0.38937,4.0175),(3325,3065,0.40095,4.014),(3325,3075,0.41264,4.0104),(3325,3085,0.42442,4.0069),(3325,3095,0.4362,4.0026),(3325,3105,0.44798,3.9977),(3325,3115,0.45981,3.9928),(3325,3125,0.47167,3.9879),(3325,3135,0.48353,3.9822),(3325,3145,0.49539,3.9759),(3325,3155,0.50722,3.9696),(3325,3165,0.51904,3.9633),(3325,3175,0.53085,3.956),(3325,3185,0.54266,3.9483),(3325,3195,0.55435,3.9406),(3325,3205,0.56598,3.9328),(3325,3215,0.57761,3.924),(3325,3225,0.58925,3.9148),(3325,3235,0.60063,3.9056),(3325,3245,0.61193,3.8963),(3325,3255,0.62323,3.8859),(3325,3265,0.63453,3.8752),(3325,3275,0.64544,3.8644),(3325,3285,0.65624,3.8536),(3325,3295,0.66703,3.8417),(3325,3305,0.67783,3.8293),(3325,3315,0.68807,3.817),(3325,3325,0.69817,3.8047),(3325,3335,0.70827,3.791),(3325,3345,0.71837,3.7772),(3325,3355,0.7277,3.7633),(3325,3365,0.73689,3.7494),(3325,3375,0.74608,3.7341),(3325,3385,0.75527,3.7186),(3325,3395,0.76343,3.7032),(3325,3405,0.77145,3.6877),(3325,3415,0.77948,3.6709),(3325,3425,0.78751,3.654),(3325,3435,0.79421,3.637),(3325,3445,0.80081,3.62),(3325,3455,0.8074,3.6017),(3325,3465,0.814,3.5834),(3325,3475,0.81893,3.565),(3325,3485,0.8238,3.5466),(3325,3495,0.82868,3.5271),(3325,3505,0.83354,3.5074),(3325,3515,0.8364,3.4878),(3325,3525,0.83926,3.4682),(3325,3535,0.84212,3.4476),(3325,3545,0.84488,3.427),(3325,3555,0.84544,3.4064),(3325,3565,0.846,3.3857),(3325,3575,0.84657,3.3644),(3325,3585,0.84692,3.343),(3325,3595,0.84494,3.3217),(3325,3605,0.84295,3.3004),(3325,3615,0.84097,3.2787),(3325,3625,0.83865,3.257),(3325,3635,0.8339,3.2353),(3325,3645,0.82916,3.2136),(3325,3655,0.82442,3.1919),(3325,3665,0.81919,3.1702),(3325,3675,0.81148,3.1485),(3325,3685,0.80378,3.1269),(3325,3695,0.79607,3.1056),(3325,3705,0.78772,3.0843),(3325,3715,0.7768,3.063),(3325,3725,0.76588,3.0418),(3325,3735,0.75497,3.0212),(3325,3745,0.74317,3.0006),(3325,3755,0.7286,2.98),(3325,3765,0.71404,2.9597),(3325,3775,0.69947,2.9402),(3325,3785,0.68362,2.9207),(3325,3795,0.66449,2.9012),(3325,3805,0.64537,2.8822),(3325,3815,0.62624,2.8643),(3325,3825,0.60501,2.8465),(3325,3835,0.57935,2.8287),(3325,3845,0.5537,2.8119),(3325,3855,0.52804,2.7974),(3325,3865,0.49844,2.7828),(3325,3875,0.46189,2.7683),(3325,3885,0.42534,2.757),(3325,3895,0.3888,2.751),(3325,3905,0.35668,2.745),(3325,3915,0.3312,2.7391),(3325,3925,0.30571,2.7618),(3325,3935,0.28022,2.8239),(3325,3945,0.3491,2.886),(3325,3955,0.53779,2.9482),(3325,3965,0.72647,2.9998),(3325,3975,0.91516,3.0391),(3325,3985,1.0736,3.0784),(3325,3995,1.1993,3.1177),(3325,4005,1.325,3.1486),(3325,4015,1.4506,3.171),(3325,4025,1.6568,3.1935),(3325,4035,1.8707,3.1801),(3325,4045,2.0847,3.091),(3325,4055,2.1819,3.002),(3325,4065,2.2364,2.9138),(3325,4075,2.291,2.8309),(3325,4085,2.316,2.748),(3325,4095,2.3174,2.6651),(3325,4105,2.3187,2.6116),(3325,4115,2.2488,2.5591),(3325,4125,2.0605,2.5066),(3325,4135,1.8723,2.4738),(3325,4145,1.6825,2.4462),(3325,4155,1.4863,2.4186),(3325,4165,1.2902,2.3991),(3325,4175,1.1049,2.3849),(3325,4185,1.4534,2.3706),(3325,4195,1.802,2.351),(3325,4205,2.1505,2.3241),(3325,4215,2.1988,2.2972),(3325,4225,2.1906,2.2709),(3325,4235,2.1824,2.2464),(3325,4245,2.1426,2.2219),(3325,4255,2.0868,2.1973),(3325,4265,2.0311,2.1731),(3325,4275,1.7857,2.1488),(3325,4285,1.3391,2.1246),(3325,4295,0.89251,2.1182),(3325,4305,0.71479,2.1139),(3325,4315,1.1442,2.1096),(3325,4325,1.5736,2.0952),(3325,4335,1.955,2.0768),(3325,4345,2.0116,2.0583),(3325,4355,2.0683,2.0393),(3325,4365,2.1249,2.0196),(3325,4375,2.1294,2),(3325,4385,2.1312,1.9807),(3325,4395,2.133,1.962),(3325,4405,1.8814,1.9432),(3325,4415,1.555,1.9264),(3325,4425,1.2287,1.9177),(3325,4435,1.0906,1.9091),(3325,4445,1.0813,1.9005),(3325,4455,1.0719,1.8925),(3325,4465,1.202,1.8845),(3325,4475,1.528,1.8765),(3325,4485,1.8539,1.8614),(3325,4495,2.1029,1.8448),(3325,4505,2.1046,1.8283),(3325,4515,2.1063,1.8118),(3325,4525,2.1039,1.7953),(3325,4535,2.0346,1.7789),(3325,4545,1.9654,1.7632),(3325,4555,1.8962,1.7484),(3325,4565,1.4623,1.7335),(3325,4575,0.97931,1.7226),(3325,4585,0.4963,1.7209),(3325,4595,0.68932,1.7193),(3325,4605,1.168,1.7158),(3325,4615,1.6466,1.6975),(3325,4625,1.9046,1.6793),(3325,4635,1.9627,1.6611),(3325,4645,2.0209,1.6451),(3325,4655,2.0618,1.6292),(3325,4665,2.0704,1.6133),(3325,4675,2.0791,1.5979),(3325,4685,2.0154,1.5827),(3325,4695,1.5944,1.5675),(3325,4705,1.1734,1.5582),(3325,4715,0.75234,1.5532),(3325,4725,0.95362,1.5481),(3325,4735,1.1611,1.5415),(3325,4745,1.3686,1.5324),(3325,4755,1.5799,1.5233),(3325,4765,1.792,1.5132),(3325,4775,2.0041,1.4996),(3325,4785,2.0833,1.486),(3325,4795,2.0857,1.4724),(3325,4805,2.0881,1.4589),(3325,4815,1.9903,1.4454),(3325,4825,1.7727,1.4319),(3325,4835,1.5552,1.4224),(3325,4845,1.3353,1.4136),(3325,4855,1.1095,1.4048),(3325,4865,0.88375,1.3995),(3325,4875,0.72438,1.3956),(3325,4885,1.1693,1.3918),(3325,4895,1.6143,1.3834),(3325,4905,2.0593,1.3705),(3325,4915,2.0945,1.3576),(3325,4925,2.0944,1.3447),(3325,4935,2.0944,1.3318),(3325,4945,2.0658,1.3188),(3325,4955,2.0273,1.3055),(3325,4965,1.9889,1.2901),(3325,4975,1.6535,1.2747),(3325,4985,1.089,1.2593),(3325,4995,0.52453,1.2582),(3325,5005,0.35295,1.2574),(3325,5015,0.80602,1.2567),(3325,5025,1.2591,1.2493),(3325,5035,1.6493,1.2401),(3325,5045,1.8002,1.231),(3325,5055,1.951,1.2201),(3325,5065,2.0975,1.208),(3325,5075,2.0998,1.196),(3325,5085,2.1021,1.184),(3325,5095,2.1044,1.1721),(3325,5105,1.8413,1.1601),(3325,5115,1.532,1.1497),(3325,5125,1.2227,1.1434),(3325,5135,1.0681,1.1372),(3325,5145,0.98863,1.1311),(3325,5155,0.90912,1.1267),(3325,5165,1.0673,1.1222),(3325,5175,1.468,1.1178),(3325,5185,1.8687,1.1072),(3325,5195,2.143,1.0959),(3325,5205,2.1449,1.0847),(3325,5215,2.1467,1.0735),(3325,5225,2.1374,1.0623),(3325,5235,2.0583,1.0511),(3325,5245,1.9792,1.0407),(3325,5255,1.9002,1.0309),(3325,5265,1.3411,1.0211),(3325,5275,0.76231,1.0148),(3325,5285,0.18348,1.0147),(3325,5295,0.56201,1.0145),(3325,5305,1.2072,1.012),(3325,5315,1.8523,0.99934),(3325,5325,2.123,0.9867),(3325,5335,2.1482,0.9741),(3325,5345,2.1733,0.96357),(3325,5355,2.1886,0.95305),(3325,5365,2.1905,0.94252),(3325,5375,2.1925,0.93221),(3325,5385,2.069,0.92194),(3325,5395,1.564,0.91166),(3325,5405,1.0591,0.9064),(3325,5415,0.6094,0.90374),(3325,5425,0.90144,0.90108),(3325,5435,1.1935,0.89714),(3325,5445,1.4855,0.89182),(3325,5455,1.7647,0.88649),(3325,5465,2.0422,0.88024),(3325,5475,2.3198,0.87186),(3325,5485,2.3992,0.86348),(3325,5495,2.3988,0.85512),(3325,5505,2.3984,0.84697),(3325,5515,2.3981,0.83882),(3325,5525,2.3977,0.83067),(3325,5535,2.3973,0.82275),(3325,5545,2.3969,0.81484),(3325,5555,2.3965,0.80693),(3325,5565,2.396,0.79918),(3325,5575,2.3956,0.79149),(3325,5585,2.3951,0.78379),(3325,5595,2.3946,0.77622),(3325,5605,2.394,0.76875),(3325,5615,2.3935,0.76127),(3325,5625,2.3929,0.75387),(3325,5635,2.3923,0.74658),(3325,5645,2.3917,0.73929),(3325,5655,2.391,0.73204),(3325,5665,2.3904,0.72493),(3325,5675,2.3897,0.71782),(3325,5685,2.389,0.71072),(3325,5695,2.3883,0.70378),(3325,5705,2.3876,0.69684),(3325,5715,2.3869,0.68989),(3325,5725,2.3862,0.68308),(3325,5735,2.3854,0.67629),(3325,5745,2.3846,0.66949),(3325,5755,2.3838,0.6628),(3325,5765,2.383,0.65614),(3325,5775,2.3822,0.64948),(3325,5785,2.3814,0.6429),(3325,5795,2.3806,0.63637),(3325,5805,2.3797,0.62985),(3325,5815,2.3788,0.62338),(3325,5825,2.378,0.61699),(3325,5835,2.3771,0.61059),(3325,5845,2.3762,0.60422),(3325,5855,2.3753,0.59795),(3325,5865,2.3743,0.59168),(3325,5875,2.3734,0.58541),(3325,5885,2.3724,0.57924),(3325,5895,2.3715,0.57308),(3325,5905,2.3705,0.56692),(3325,5915,2.3695,0.56084),(3325,5925,2.3685,0.55478),(3325,5935,2.3675,0.54872),(3325,5945,2.3665,0.54272),(3325,5955,2.3655,0.53677),(3325,5965,2.3645,0.53081),(3325,5975,2.3634,0.5249),(3325,5985,2.3624,0.51904),(3325,5995,1.8063,0.51317),(3325,6005,1.161,0.5087),(3325,6015,0.51558,0.50793),(3325,6025,0.66099,0.50716),(3325,6035,1.1732,0.5058),(3325,6045,1.6854,0.49881),(3325,6055,2.0409,0.49181),(3325,6065,2.2428,0.48482),(3325,6075,2.4447,0.47573),(3325,6085,2.5811,0.46645),(3325,6095,2.5825,0.45716),(3325,6105,2.5838,0.44787),(3325,6115,2.5851,0.43858),(3325,6125,2.5864,0.42929),(3325,6135,2.5877,0.42008),(3325,6145,2.5889,0.41093),(3325,6155,2.5901,0.40179),(3325,6165,2.5913,0.39268),(3325,6175,2.5925,0.38364),(3325,6185,2.5936,0.3746),(3325,6195,2.5947,0.36558),(3325,6205,2.5958,0.35665),(3325,6215,2.5968,0.34771),(3325,6225,2.5978,0.33878),(3325,6235,2.5988,0.32986),(3325,6245,2.5998,0.32093),(3325,6255,2.6007,0.31201),(3325,6265,2.6016,0.30313),(3325,6275,2.6025,0.29426),(3325,6285,2.6033,0.28539),(3325,6295,2.6042,0.27661),(3325,6305,2.605,0.26786),(3325,6315,2.6058,0.25911),(3325,6325,2.6065,0.25039),(3325,6335,2.6073,0.24171),(3325,6345,2.6079,0.23302),(3325,6355,2.6086,0.22434),(3325,6365,2.6093,0.21568),(3325,6375,2.6099,0.20702),(3325,6385,2.6105,0.19836),(3325,6395,2.6111,0.18971),(3325,6405,2.6116,0.18106),(3325,6415,2.6121,0.17241),(3325,6425,2.6127,0.16381),(3325,6435,2.6131,0.1552),(3325,6445,2.6136,0.1466),(3325,6455,2.614,0.13809),(3325,6465,2.6144,0.1296),(3325,6475,2.6148,0.12112),(3325,6485,2.6151,0.11262),(3325,6495,2.6154,0.10413),(3325,6505,2.6157,0.095633),(3325,6515,2.6159,0.087135),(3325,6525,2.6162,0.078636),(3325,6535,2.6164,0.070136),(3325,6545,2.6166,0.061638),(3325,6555,2.6168,0.053144),(3325,6565,2.6169,0.044651),(3325,6575,2.6169,0.036161),(3325,6585,2.617,0.027726),(3325,6595,2.226,0.019291),(3325,6605,1.403,0.010856),(3325,6615,0.58007,0.009841),(3325,6625,0.001552,0.00978),(3325,6635,0.001549,0.00972),(3325,6645,0.001546,0.009696),(3325,6655,0.001543,0.009688),(3325,6665,0.00154,0.00968),(3325,6675,0.001538,0.009672),(3325,6685,0.001535,0.009664),(3325,6695,0.001533,0.009657),(3325,6705,0.00153,0.009649),(3325,6715,0.001528,0.009641),(3325,6725,0.001526,0.009633),(3325,6735,0.001524,0.009625),(3325,6745,0.001522,0.009617),(3325,6755,0.00152,0.009609),(3325,6765,0.001518,0.009601),(3325,6775,0.001516,0.009593),(3325,6785,0.001514,0.009585),(3325,6795,0.001512,0.009577),(3325,6805,0.001511,0.009569),(3325,6815,0.001509,0.009562),(3325,6825,0.001507,0.009553),(3325,6835,0.001506,0.009546),(3325,6845,0.001504,0.009538),(3325,6855,0.001503,0.009529),(3325,6865,0.001502,0.009522),(3325,6875,0.0015,0.009513),(3325,6885,0.001499,0.009505),(3325,6895,0.001498,0.009497),(3325,6905,0.001497,0.009489),(3325,6915,0.001496,0.009481),(3325,6925,0.001495,0.009473),(3325,6935,0.001494,0.009465),(3325,6945,0.001493,0.009456),(3325,6955,0.001492,0.009448),(3325,6965,0.001491,0.00944),(3325,6975,0.00149,0.009432),(3325,6985,0.001489,0.009424),(3335,5,5e-06,3.6888),(3335,15,1.4e-05,3.6888),(3335,25,2.3e-05,3.6888),(3335,35,3.1e-05,3.6888),(3335,45,4e-05,3.6888),(3335,55,4.9e-05,3.6888),(3335,65,5.8e-05,3.6888),(3335,75,6.6e-05,3.6888),(3335,85,7.5e-05,3.6888),(3335,95,8.3e-05,3.6888),(3335,105,9.1e-05,3.6888),(3335,115,9.8e-05,3.6888),(3335,125,0.000106,3.6888),(3335,135,0.000113,3.6888),(3335,145,0.00012,3.6888),(3335,155,0.000126,3.6888),(3335,165,0.000133,3.6888),(3335,175,0.000139,3.6888),(3335,185,0.000144,3.6889),(3335,195,0.000149,3.6889),(3335,205,0.000154,3.6889),(3335,215,0.000158,3.6889),(3335,225,0.000162,3.6889),(3335,235,0.000165,3.6889),(3335,245,0.000168,3.6889),(3335,255,0.000171,3.6889),(3335,265,0.000172,3.6889),(3335,275,0.000173,3.6889),(3335,285,0.000174,3.6889),(3335,295,0.000175,3.6889),(3335,305,0.000173,3.6889),(3335,315,0.000172,3.6889),(3335,325,0.00017,3.689),(3335,335,0.000168,3.689),(3335,345,0.000164,3.689),(3335,355,0.000159,3.689),(3335,365,0.000154,3.689),(3335,375,0.000149,3.689),(3335,385,0.000141,3.689),(3335,395,0.000133,3.689),(3335,405,0.000125,3.689),(3335,415,0.000117,3.6891),(3335,425,0.000105,3.6891),(3335,435,9.3e-05,3.6891),(3335,445,8.1e-05,3.6891),(3335,455,6.9e-05,3.6891),(3335,465,5.3e-05,3.6891),(3335,475,3.7e-05,3.6892),(3335,485,2.1e-05,3.6892),(3335,495,5e-06,3.6892),(3335,505,-1.6e-05,3.6892),(3335,515,-3.7e-05,3.6893),(3335,525,-5.7e-05,3.6893),(3335,535,-7.8e-05,3.6893),(3335,545,-0.000104,3.6893),(3335,555,-0.00013,3.6894),(3335,565,-0.000155,3.6894),(3335,575,-0.000181,3.6894),(3335,585,-0.000213,3.6894),(3335,595,-0.000244,3.6895),(3335,605,-0.000275,3.6895),(3335,615,-0.000307,3.6895),(3335,625,-0.000344,3.6896),(3335,635,-0.000381,3.6896),(3335,645,-0.000418,3.6897),(3335,655,-0.000456,3.6897),(3335,665,-0.0005,3.6897),(3335,675,-0.000543,3.6898),(3335,685,-0.000586,3.6898),(3335,695,-0.000631,3.6899),(3335,705,-0.00068,3.6899),(3335,715,-0.00073,3.69),(3335,725,-0.000779,3.69),(3335,735,-0.000831,3.6901),(3335,745,-0.000887,3.6901),(3335,755,-0.000944,3.6902),(3335,765,-0.001001,3.6902),(3335,775,-0.001059,3.6903),(3335,785,-0.001124,3.6904),(3335,795,-0.001188,3.6904),(3335,805,-0.001252,3.6905),(3335,815,-0.001319,3.6906),(3335,825,-0.00139,3.6907),(3335,835,-0.001462,3.6907),(3335,845,-0.001533,3.6908),(3335,855,-0.001608,3.6909),(3335,865,-0.001687,3.691),(3335,875,-0.001766,3.6911),(3335,885,-0.001845,3.6912),(3335,895,-0.001928,3.6913),(3335,905,-0.002015,3.6913),(3335,915,-0.002102,3.6914),(3335,925,-0.002189,3.6916),(3335,935,-0.00228,3.6917),(3335,945,-0.002376,3.6918),(3335,955,-0.002471,3.6919),(3335,965,-0.002567,3.692),(3335,975,-0.002666,3.6921),(3335,985,-0.002769,3.6923),(3335,995,-0.002872,3.6924),(3335,1005,-0.002975,3.6925),(3335,1015,-0.003083,3.6927),(3335,1025,-0.003194,3.6928),(3335,1035,-0.003305,3.693),(3335,1045,-0.003416,3.6931),(3335,1055,-0.003531,3.6933),(3335,1065,-0.00365,3.6934),(3335,1075,-0.003769,3.6936),(3335,1085,-0.003888,3.6938),(3335,1095,-0.004012,3.6939),(3335,1105,-0.004138,3.6941),(3335,1115,-0.004265,3.6943),(3335,1125,-0.004392,3.6945),(3335,1135,-0.004523,3.6947),(3335,1145,-0.004658,3.6949),(3335,1155,-0.004791,3.6951),(3335,1165,-0.004926,3.6953),(3335,1175,-0.005064,3.6955),(3335,1185,-0.005205,3.6958),(3335,1195,-0.005345,3.696),(3335,1205,-0.005486,3.6962),(3335,1215,-0.005631,3.6965),(3335,1225,-0.005779,3.6967),(3335,1235,-0.005926,3.697),(3335,1245,-0.006073,3.6973),(3335,1255,-0.006225,3.6975),(3335,1265,-0.006378,3.6978),(3335,1275,-0.006531,3.6981),(3335,1285,-0.006684,3.6984),(3335,1295,-0.006841,3.6987),(3335,1305,-0.007,3.699),(3335,1315,-0.007158,3.6993),(3335,1325,-0.007316,3.6996),(3335,1335,-0.007478,3.7),(3335,1345,-0.007641,3.7003),(3335,1355,-0.007804,3.7006),(3335,1365,-0.007967,3.701),(3335,1375,-0.008133,3.7014),(3335,1385,-0.0083,3.7017),(3335,1395,-0.008467,3.7021),(3335,1405,-0.008634,3.7025),(3335,1415,-0.008805,3.7029),(3335,1425,-0.008976,3.7033),(3335,1435,-0.009146,3.7037),(3335,1445,-0.009317,3.7041),(3335,1455,-0.009491,3.7045),(3335,1465,-0.009665,3.705),(3335,1475,-0.009839,3.7054),(3335,1485,-0.010012,3.7059),(3335,1495,-0.010189,3.7064),(3335,1505,-0.010365,3.7068),(3335,1515,-0.010541,3.7073),(3335,1525,-0.010717,3.7078),(3335,1535,-0.010896,3.7083),(3335,1545,-0.011074,3.7088),(3335,1555,-0.011252,3.7094),(3335,1565,-0.011431,3.7099),(3335,1575,-0.011611,3.7105),(3335,1585,-0.011791,3.711),(3335,1595,-0.01197,3.7116),(3335,1605,-0.01215,3.7122),(3335,1615,-0.012332,3.7128),(3335,1625,-0.012513,3.7134),(3335,1635,-0.012695,3.714),(3335,1645,-0.012876,3.7146),(3335,1655,-0.013059,3.7153),(3335,1665,-0.013241,3.7159),(3335,1675,-0.013424,3.7166),(3335,1685,-0.013606,3.7173),(3335,1695,-0.013789,3.718),(3335,1705,-0.013972,3.7187),(3335,1715,-0.014155,3.7194),(3335,1725,-0.014338,3.7201),(3335,1735,-0.014521,3.7209),(3335,1745,-0.014704,3.7216),(3335,1755,-0.014888,3.7224),(3335,1765,-0.01507,3.7232),(3335,1775,-0.015253,3.724),(3335,1785,-0.015436,3.7249),(3335,1795,-0.015619,3.7257),(3335,1805,-0.015802,3.7266),(3335,1815,-0.015984,3.7275),(3335,1825,-0.016165,3.7284),(3335,1835,-0.016347,3.7293),(3335,1845,-0.016529,3.7302),(3335,1855,-0.016708,3.7312),(3335,1865,-0.016888,3.7321),(3335,1875,-0.017068,3.7332),(3335,1885,-0.017246,3.7342),(3335,1895,-0.017422,3.7352),(3335,1905,-0.017598,3.7362),(3335,1915,-0.017774,3.7373),(3335,1925,-0.017947,3.7384),(3335,1935,-0.018117,3.7396),(3335,1945,-0.018286,3.7407),(3335,1955,-0.018456,3.7419),(3335,1965,-0.018622,3.7431),(3335,1975,-0.018782,3.7443),(3335,1985,-0.018943,3.7456),(3335,1995,-0.019103,3.7469),(3335,2005,-0.019257,3.7482),(3335,2015,-0.019404,3.7495),(3335,2025,-0.019551,3.7509),(3335,2035,-0.019698,3.7523),(3335,2045,-0.019835,3.7537),(3335,2055,-0.019963,3.7551),(3335,2065,-0.020091,3.7567),(3335,2075,-0.020218,3.7582),(3335,2085,-0.02033,3.7598),(3335,2095,-0.020431,3.7614),(3335,2105,-0.020531,3.763),(3335,2115,-0.020632,3.7647),(3335,2125,-0.020709,3.7664),(3335,2135,-0.020771,3.7682),(3335,2145,-0.020834,3.77),(3335,2155,-0.020896,3.7719),(3335,2165,-0.020924,3.7738),(3335,2175,-0.020935,3.7756),(3335,2185,-0.020945,3.7777),(3335,2195,-0.020956,3.7797),(3335,2205,-0.020918,3.7818),(3335,2215,-0.020858,3.7839),(3335,2225,-0.020799,3.7861),(3335,2235,-0.02074,3.7884),(3335,2245,-0.020612,3.7907),(3335,2255,-0.020459,3.793),(3335,2265,-0.020307,3.7954),(3335,2275,-0.020154,3.7979),(3335,2285,-0.019906,3.8004),(3335,2295,-0.01963,3.803),(3335,2305,-0.019354,3.8057),(3335,2315,-0.019079,3.8084),(3335,2325,-0.018672,3.8112),(3335,2335,-0.018235,3.814),(3335,2345,-0.017799,3.817),(3335,2355,-0.017363,3.82),(3335,2365,-0.016749,3.8231),(3335,2375,-0.016105,3.8261),(3335,2385,-0.015461,3.8294),(3335,2395,-0.014817,3.8327),(3335,2405,-0.013935,3.8361),(3335,2415,-0.013026,3.8394),(3335,2425,-0.012117,3.843),(3335,2435,-0.011208,3.8467),(3335,2445,-0.009986,3.8503),(3335,2455,-0.008743,3.854),(3335,2465,-0.0075,3.8579),(3335,2475,-0.006256,3.8618),(3335,2485,-0.004608,3.8658),(3335,2495,-0.002949,3.8697),(3335,2505,-0.001291,3.874),(3335,2515,0.000375,3.8782),(3335,2525,0.002541,3.8825),(3335,2535,0.004707,3.8868),(3335,2545,0.006873,3.8913),(3335,2555,0.009072,3.8958),(3335,2565,0.011846,3.9003),(3335,2575,0.01462,3.9048),(3335,2585,0.017394,3.9096),(3335,2595,0.020236,3.9143),(3335,2605,0.023722,3.919),(3335,2615,0.027209,3.9238),(3335,2625,0.030695,3.9287),(3335,2635,0.034291,3.9335),(3335,2645,0.038589,3.9384),(3335,2655,0.042887,3.9432),(3335,2665,0.047186,3.9481),(3335,2675,0.051639,3.953),(3335,2685,0.056833,3.9579),(3335,2695,0.062028,3.9627),(3335,2705,0.067222,3.9675),(3335,2715,0.072619,3.9722),(3335,2725,0.078766,3.9769),(3335,2735,0.084913,3.9816),(3335,2745,0.09106,3.986),(3335,2755,0.097454,3.9905),(3335,2765,0.10458,3.9949),(3335,2775,0.1117,3.9992),(3335,2785,0.11882,4.0031),(3335,2795,0.12622,4.0071),(3335,2805,0.1343,4.011),(3335,2815,0.14237,4.0147),(3335,2825,0.15045,4.018),(3335,2835,0.15882,4.0213),(3335,2845,0.1678,4.0245),(3335,2855,0.17677,4.0275),(3335,2865,0.18575,4.0299),(3335,2875,0.19502,4.0323),(3335,2885,0.2048,4.0347),(3335,2895,0.21459,4.0368),(3335,2905,0.22437,4.0382),(3335,2915,0.23444,4.0396),(3335,2925,0.24493,4.041),(3335,2935,0.25541,4.042),(3335,2945,0.26589,4.0423),(3335,2955,0.27664,4.0427),(3335,2965,0.28771,4.043),(3335,2975,0.29877,4.0427),(3335,2985,0.30984,4.0419),(3335,2995,0.32113,4.041),(3335,3005,0.33266,4.0401),(3335,3015,0.34418,4.0386),(3335,3025,0.35571,4.0365),(3335,3035,0.36741,4.0343),(3335,3045,0.37927,4.0322),(3335,3055,0.39114,4.0293),(3335,3065,0.403,4.0259),(3335,3075,0.41499,4.0224),(3335,3085,0.42706,4.0189),(3335,3095,0.43914,4.0146),(3335,3105,0.45122,4.0098),(3335,3115,0.46335,4.0049),(3335,3125,0.47552,4.0001),(3335,3135,0.48769,3.9943),(3335,3145,0.49986,3.988),(3335,3155,0.51201,3.9817),(3335,3165,0.52415,3.9754),(3335,3175,0.53628,3.9681),(3335,3185,0.54841,3.9603),(3335,3195,0.56043,3.9525),(3335,3205,0.57239,3.9448),(3335,3215,0.58436,3.9359),(3335,3225,0.59632,3.9266),(3335,3235,0.60805,3.9173),(3335,3245,0.61968,3.9079),(3335,3255,0.63132,3.8974),(3335,3265,0.64296,3.8866),(3335,3275,0.65422,3.8757),(3335,3285,0.66537,3.8648),(3335,3295,0.67651,3.8526),(3335,3305,0.68766,3.8401),(3335,3315,0.69825,3.8276),(3335,3325,0.7087,3.8151),(3335,3335,0.71916,3.8013),(3335,3345,0.72961,3.7871),(3335,3355,0.73929,3.773),(3335,3365,0.74883,3.7589),(3335,3375,0.75837,3.7433),(3335,3385,0.76791,3.7276),(3335,3395,0.77641,3.7118),(3335,3405,0.78478,3.6961),(3335,3415,0.79315,3.6789),(3335,3425,0.80152,3.6616),(3335,3435,0.80854,3.6442),(3335,3445,0.81545,3.6269),(3335,3455,0.82236,3.6082),(3335,3465,0.82928,3.5894),(3335,3475,0.8345,3.5706),(3335,3485,0.83965,3.5518),(3335,3495,0.84481,3.5317),(3335,3505,0.84995,3.5115),(3335,3515,0.85304,3.4914),(3335,3525,0.85614,3.4712),(3335,3535,0.85923,3.45),(3335,3545,0.86221,3.4288),(3335,3555,0.86294,3.4076),(3335,3565,0.86367,3.3864),(3335,3575,0.8644,3.3644),(3335,3585,0.86491,3.3424),(3335,3595,0.86301,3.3204),(3335,3605,0.86112,3.2984),(3335,3615,0.85923,3.276),(3335,3625,0.85698,3.2536),(3335,3635,0.85224,3.2312),(3335,3645,0.8475,3.2087),(3335,3655,0.84276,3.1863),(3335,3665,0.83753,3.1638),(3335,3675,0.82974,3.1414),(3335,3685,0.82196,3.119),(3335,3695,0.81418,3.0969),(3335,3705,0.80573,3.0747),(3335,3715,0.79465,3.0526),(3335,3725,0.78357,3.0306),(3335,3735,0.77249,3.009),(3335,3745,0.76051,2.9875),(3335,3755,0.74568,2.9659),(3335,3765,0.73086,2.9446),(3335,3775,0.71603,2.9239),(3335,3785,0.69987,2.9032),(3335,3795,0.6803,2.8824),(3335,3805,0.66074,2.8621),(3335,3815,0.64117,2.8424),(3335,3825,0.61934,2.8228),(3335,3835,0.59276,2.8032),(3335,3845,0.56617,2.7843),(3335,3855,0.53959,2.7666),(3335,3865,0.50851,2.7489),(3335,3875,0.46948,2.7311),(3335,3885,0.43045,2.7155),(3335,3895,0.39142,2.7031),(3335,3905,0.35008,2.6907),(3335,3915,0.30528,2.6783),(3335,3925,0.26048,2.6871),(3335,3935,0.21567,2.7249),(3335,3945,0.27728,2.7627),(3335,3955,0.474,2.8006),(3335,3965,0.67071,2.838),(3335,3975,0.86742,2.875),(3335,3985,1.0335,2.912),(3335,3995,1.1664,2.9489),(3335,4005,1.2994,2.9877),(3335,4015,1.4323,3.0284),(3335,4025,1.6696,3.0691),(3335,4035,1.917,3.0723),(3335,4045,2.1645,2.9968),(3335,4055,2.268,2.9212),(3335,4065,2.319,2.8452),(3335,4075,2.37,2.7667),(3335,4085,2.3883,2.6881),(3335,4095,2.3802,2.6096),(3335,4105,2.3721,2.561),(3335,4115,2.2934,2.5135),(3335,4125,2.0976,2.466),(3335,4135,1.9018,2.4362),(3335,4145,1.7052,2.4113),(3335,4155,1.5053,2.3864),(3335,4165,1.3054,2.3688),(3335,4175,1.1164,2.3559),(3335,4185,1.4678,2.3431),(3335,4195,1.8191,2.3247),(3335,4205,2.1705,2.299),(3335,4215,2.2186,2.2734),(3335,4225,2.2096,2.2482),(3335,4235,2.2006,2.2245),(3335,4245,2.1606,2.2007),(3335,4255,2.1049,2.177),(3335,4265,2.0491,2.1532),(3335,4275,1.8014,2.1295),(3335,4285,1.3499,2.1058),(3335,4295,0.89848,2.0997),(3335,4305,0.71834,2.0957),(3335,4315,1.1508,2.0917),(3335,4325,1.5833,2.0775),(3335,4335,1.9674,2.0594),(3335,4345,2.0242,2.0413),(3335,4355,2.0811,2.0225),(3335,4365,2.1379,2.0031),(3335,4375,2.1421,1.9838),(3335,4385,2.1436,1.9647),(3335,4395,2.1451,1.9463),(3335,4405,1.8917,1.9278),(3335,4415,1.5632,1.9112),(3335,4425,1.2347,1.9027),(3335,4435,1.0957,1.8942),(3335,4445,1.0862,1.8857),(3335,4455,1.0767,1.8779),(3335,4465,1.2074,1.8701),(3335,4475,1.535,1.8622),(3335,4485,1.8626,1.8472),(3335,4495,2.1127,1.8307),(3335,4505,2.1144,1.8141),(3335,4515,2.1161,1.7977),(3335,4525,2.1135,1.7813),(3335,4535,2.044,1.765),(3335,4545,1.9745,1.7493),(3335,4555,1.905,1.7346),(3335,4565,1.4688,1.7198),(3335,4575,0.9832,1.7089),(3335,4585,0.4976,1.7072),(3335,4595,0.69241,1.7056),(3335,4605,1.1747,1.7021),(3335,4615,1.657,1.684),(3335,4625,1.9162,1.6658),(3335,4635,1.9734,1.6476),(3335,4645,2.0307,1.6316),(3335,4655,2.071,1.6158),(3335,4665,2.0794,1.6),(3335,4675,2.0877,1.5847),(3335,4685,2.0235,1.5696),(3335,4695,1.6007,1.5544),(3335,4705,1.1778,1.5452),(3335,4715,0.75498,1.5402),(3335,4725,0.95684,1.5352),(3335,4735,1.165,1.5286),(3335,4745,1.3731,1.5195),(3335,4755,1.585,1.5105),(3335,4765,1.7978,1.5004),(3335,4775,2.0107,1.4868),(3335,4785,2.0901,1.4733),(3335,4795,2.0925,1.4597),(3335,4805,2.0948,1.4462),(3335,4815,1.9967,1.4327),(3335,4825,1.7783,1.4192),(3335,4835,1.56,1.4098),(3335,4845,1.3394,1.401),(3335,4855,1.1128,1.3922),(3335,4865,0.88615,1.3869),(3335,4875,0.72617,1.3831),(3335,4885,1.1725,1.3793),(3335,4895,1.6189,1.3709),(3335,4905,2.0653,1.3581),(3335,4915,2.1006,1.3453),(3335,4925,2.1005,1.3325),(3335,4935,2.1005,1.3196),(3335,4945,2.0726,1.3068),(3335,4955,2.035,1.2935),(3335,4965,1.9974,1.2782),(3335,4975,1.6609,1.2629),(3335,4985,1.0937,1.2476),(3335,4995,0.52639,1.2465),(3335,5005,0.35356,1.2458),(3335,5015,0.80781,1.2451),(3335,5025,1.2621,1.2377),(3335,5035,1.6533,1.2286),(3335,5045,1.8045,1.2194),(3335,5055,1.9558,1.2086),(3335,5065,2.1026,1.1966),(3335,5075,2.1049,1.1846),(3335,5085,2.1072,1.1727),(3335,5095,2.1095,1.1607),(3335,5105,1.8458,1.1488),(3335,5115,1.5357,1.1384),(3335,5125,1.2256,1.1322),(3335,5135,1.0705,1.126),(3335,5145,0.99071,1.1199),(3335,5155,0.91089,1.1155),(3335,5165,1.0694,1.1111),(3335,5175,1.4709,1.1067),(3335,5185,1.8724,1.0961),(3335,5195,2.1473,1.0849),(3335,5205,2.1491,1.0736),(3335,5215,2.1509,1.0625),(3335,5225,2.1415,1.0513),(3335,5235,2.0623,1.0402),(3335,5245,1.9831,1.0298),(3335,5255,1.9038,1.0201),(3335,5265,1.3437,1.0103),(3335,5275,0.76369,1.0041),(3335,5285,0.1837,1.0039),(3335,5295,0.56342,1.0038),(3335,5305,1.2104,1.0013),(3335,5315,1.8574,0.98871),(3335,5325,2.1283,0.97617),(3335,5335,2.1528,0.96367),(3335,5345,2.1772,0.95321),(3335,5355,2.192,0.94276),(3335,5365,2.1939,0.9323),(3335,5375,2.1957,0.92206),(3335,5385,2.072,0.91185),(3335,5395,1.5663,0.90165),(3335,5405,1.0606,0.89643),(3335,5415,0.61017,0.89379),(3335,5425,0.90214,0.89115),(3335,5435,1.1941,0.88726),(3335,5445,1.4861,0.88201),(3335,5455,1.7653,0.87676),(3335,5465,2.0429,0.8706),(3335,5475,2.3206,0.86233),(3335,5485,2.4,0.85406),(3335,5495,2.3995,0.84583),(3335,5505,2.3991,0.83779),(3335,5515,2.3986,0.82975),(3335,5525,2.3982,0.82171),(3335,5535,2.3978,0.81389),(3335,5545,2.3973,0.80609),(3335,5555,2.3968,0.79828),(3335,5565,2.3963,0.79064),(3335,5575,2.3958,0.78306),(3335,5585,2.3952,0.77547),(3335,5595,2.3946,0.768),(3335,5605,2.394,0.76062),(3335,5615,2.3934,0.75325),(3335,5625,2.3928,0.74595),(3335,5635,2.3921,0.73875),(3335,5645,2.3914,0.73156),(3335,5655,2.3907,0.72441),(3335,5665,2.3901,0.71739),(3335,5675,2.3893,0.71037),(3335,5685,2.3886,0.70337),(3335,5695,2.3878,0.69652),(3335,5705,2.3871,0.68966),(3335,5715,2.3863,0.68281),(3335,5725,2.3855,0.67609),(3335,5735,2.3847,0.66938),(3335,5745,2.3839,0.66267),(3335,5755,2.3831,0.65606),(3335,5765,2.3822,0.64949),(3335,5775,2.3814,0.64292),(3335,5785,2.3805,0.63641),(3335,5795,2.3796,0.62997),(3335,5805,2.3787,0.62353),(3335,5815,2.3778,0.61713),(3335,5825,2.3769,0.61081),(3335,5835,2.376,0.6045),(3335,5845,2.3751,0.5982),(3335,5855,2.3741,0.592),(3335,5865,2.3732,0.5858),(3335,5875,2.3722,0.5796),(3335,5885,2.3712,0.57351),(3335,5895,2.3702,0.56742),(3335,5905,2.3692,0.56133),(3335,5915,2.3682,0.55532),(3335,5925,2.3672,0.54932),(3335,5935,2.3662,0.54333),(3335,5945,2.3651,0.5374),(3335,5955,2.3641,0.53151),(3335,5965,2.363,0.52562),(3335,5975,2.362,0.51977),(3335,5985,2.3609,0.51397),(3335,5995,1.8052,0.50817),(3335,6005,1.1602,0.50374),(3335,6015,0.51523,0.50299),(3335,6025,0.66114,0.50223),(3335,6035,1.1739,0.5009),(3335,6045,1.6866,0.49397),(3335,6055,2.0425,0.48705),(3335,6065,2.2445,0.48012),(3335,6075,2.4466,0.47113),(3335,6085,2.5831,0.46194),(3335,6095,2.5844,0.45275),(3335,6105,2.5857,0.44355),(3335,6115,2.587,0.43435),(3335,6125,2.5882,0.42515),(3335,6135,2.5894,0.41603),(3335,6145,2.5907,0.40698),(3335,6155,2.5918,0.39792),(3335,6165,2.593,0.38891),(3335,6175,2.5941,0.37995),(3335,6185,2.5952,0.37099),(3335,6195,2.5963,0.36206),(3335,6205,2.5973,0.35321),(3335,6215,2.5984,0.34436),(3335,6225,2.5993,0.33551),(3335,6235,2.6003,0.32668),(3335,6245,2.6013,0.31784),(3335,6255,2.6022,0.309),(3335,6265,2.6031,0.30021),(3335,6275,2.6039,0.29143),(3335,6285,2.6048,0.28265),(3335,6295,2.6056,0.27394),(3335,6305,2.6064,0.26528),(3335,6315,2.6071,0.25662),(3335,6325,2.6078,0.24799),(3335,6335,2.6086,0.23939),(3335,6345,2.6092,0.23079),(3335,6355,2.6099,0.22219),(3335,6365,2.6105,0.21362),(3335,6375,2.6111,0.20504),(3335,6385,2.6117,0.19647),(3335,6395,2.6123,0.18791),(3335,6405,2.6129,0.17935),(3335,6415,2.6134,0.17078),(3335,6425,2.6139,0.16226),(3335,6435,2.6143,0.15374),(3335,6445,2.6147,0.14523),(3335,6455,2.6152,0.1368),(3335,6465,2.6156,0.12839),(3335,6475,2.6159,0.11999),(3335,6485,2.6162,0.11158),(3335,6495,2.6166,0.10317),(3335,6505,2.6168,0.094754),(3335,6515,2.6171,0.086341),(3335,6525,2.6173,0.077927),(3335,6535,2.6175,0.069513),(3335,6545,2.6177,0.0611),(3335,6555,2.6179,0.052692),(3335,6565,2.618,0.044283),(3335,6575,2.6181,0.035878),(3335,6585,2.6181,0.027531),(3335,6595,2.2269,0.019185),(3335,6605,1.4036,0.010838),(3335,6615,0.58032,0.009835),(3335,6625,0.001555,0.009776),(3335,6635,0.001552,0.009716),(3335,6645,0.001549,0.009693),(3335,6655,0.001546,0.009685),(3335,6665,0.001544,0.009678),(3335,6675,0.001541,0.00967),(3335,6685,0.001539,0.009662),(3335,6695,0.001536,0.009654),(3335,6705,0.001534,0.009646),(3335,6715,0.001532,0.009639),(3335,6725,0.001529,0.009631),(3335,6735,0.001527,0.009623),(3335,6745,0.001525,0.009615),(3335,6755,0.001523,0.009607),(3335,6765,0.001521,0.009599),(3335,6775,0.00152,0.009591),(3335,6785,0.001518,0.009584),(3335,6795,0.001516,0.009576),(3335,6805,0.001514,0.009568),(3335,6815,0.001513,0.00956),(3335,6825,0.001511,0.009552),(3335,6835,0.00151,0.009544),(3335,6845,0.001508,0.009536),(3335,6855,0.001507,0.009528),(3335,6865,0.001505,0.00952),(3335,6875,0.001504,0.009512),(3335,6885,0.001503,0.009504),(3335,6895,0.001502,0.009496),(3335,6905,0.001501,0.009488),(3335,6915,0.0015,0.00948),(3335,6925,0.001499,0.009472),(3335,6935,0.001498,0.009464),(3335,6945,0.001497,0.009455),(3335,6955,0.001496,0.009447),(3335,6965,0.001495,0.009439),(3335,6975,0.001494,0.009431),(3335,6985,0.001493,0.009423),(3345,5,4e-06,3.6888),(3345,15,1.3e-05,3.6888),(3345,25,2.2e-05,3.6888),(3345,35,3e-05,3.6888),(3345,45,3.9e-05,3.6888),(3345,55,4.8e-05,3.6888),(3345,65,5.6e-05,3.6888),(3345,75,6.4e-05,3.6888),(3345,85,7.2e-05,3.6888),(3345,95,8e-05,3.6888),(3345,105,8.8e-05,3.6888),(3345,115,9.5e-05,3.6888),(3345,125,0.000102,3.6888),(3345,135,0.000109,3.6888),(3345,145,0.000116,3.6888),(3345,155,0.000122,3.6888),(3345,165,0.000128,3.6888),(3345,175,0.000134,3.6889),(3345,185,0.000138,3.6889),(3345,195,0.000143,3.6889),(3345,205,0.000147,3.6889),(3345,215,0.000152,3.6889),(3345,225,0.000155,3.6889),(3345,235,0.000157,3.6889),(3345,245,0.00016,3.6889),(3345,255,0.000163,3.6889),(3345,265,0.000163,3.6889),(3345,275,0.000164,3.6889),(3345,285,0.000164,3.6889),(3345,295,0.000165,3.6889),(3345,305,0.000163,3.6889),(3345,315,0.00016,3.6889),(3345,325,0.000158,3.6889),(3345,335,0.000156,3.689),(3345,345,0.000151,3.689),(3345,355,0.000146,3.689),(3345,365,0.00014,3.689),(3345,375,0.000135,3.689),(3345,385,0.000126,3.689),(3345,395,0.000117,3.689),(3345,405,0.000109,3.689),(3345,415,0.0001,3.6891),(3345,425,8.7e-05,3.6891),(3345,435,7.5e-05,3.6891),(3345,445,6.2e-05,3.6891),(3345,455,4.9e-05,3.6891),(3345,465,3.3e-05,3.6891),(3345,475,1.6e-05,3.6892),(3345,485,-1e-06,3.6892),(3345,495,-1.8e-05,3.6892),(3345,505,-4e-05,3.6892),(3345,515,-6.1e-05,3.6892),(3345,525,-8.3e-05,3.6893),(3345,535,-0.000105,3.6893),(3345,545,-0.000131,3.6893),(3345,555,-0.000158,3.6893),(3345,565,-0.000185,3.6894),(3345,575,-0.000212,3.6894),(3345,585,-0.000244,3.6894),(3345,595,-0.000277,3.6894),(3345,605,-0.000309,3.6895),(3345,615,-0.000342,3.6895),(3345,625,-0.000381,3.6895),(3345,635,-0.000419,3.6896),(3345,645,-0.000458,3.6896),(3345,655,-0.000497,3.6897),(3345,665,-0.000542,3.6897),(3345,675,-0.000587,3.6897),(3345,685,-0.000631,3.6898),(3345,695,-0.000677,3.6898),(3345,705,-0.000729,3.6899),(3345,715,-0.00078,3.6899),(3345,725,-0.000832,3.69),(3345,735,-0.000885,3.69),(3345,745,-0.000943,3.6901),(3345,755,-0.001002,3.6901),(3345,765,-0.00106,3.6902),(3345,775,-0.001121,3.6902),(3345,785,-0.001187,3.6903),(3345,795,-0.001254,3.6904),(3345,805,-0.00132,3.6904),(3345,815,-0.001389,3.6905),(3345,825,-0.001463,3.6906),(3345,835,-0.001537,3.6907),(3345,845,-0.001611,3.6907),(3345,855,-0.001688,3.6908),(3345,865,-0.00177,3.6909),(3345,875,-0.001852,3.691),(3345,885,-0.001934,3.6911),(3345,895,-0.002019,3.6912),(3345,905,-0.002109,3.6913),(3345,915,-0.002199,3.6914),(3345,925,-0.002289,3.6915),(3345,935,-0.002383,3.6916),(3345,945,-0.002482,3.6917),(3345,955,-0.002581,3.6918),(3345,965,-0.00268,3.6919),(3345,975,-0.002782,3.692),(3345,985,-0.00289,3.6922),(3345,995,-0.002997,3.6923),(3345,1005,-0.003104,3.6924),(3345,1015,-0.003215,3.6926),(3345,1025,-0.00333,3.6927),(3345,1035,-0.003445,3.6928),(3345,1045,-0.00356,3.693),(3345,1055,-0.00368,3.6932),(3345,1065,-0.003803,3.6933),(3345,1075,-0.003927,3.6935),(3345,1085,-0.00405,3.6936),(3345,1095,-0.004178,3.6938),(3345,1105,-0.00431,3.694),(3345,1115,-0.004441,3.6942),(3345,1125,-0.004573,3.6944),(3345,1135,-0.004709,3.6946),(3345,1145,-0.004849,3.6948),(3345,1155,-0.004988,3.695),(3345,1165,-0.005127,3.6952),(3345,1175,-0.005271,3.6954),(3345,1185,-0.005417,3.6956),(3345,1195,-0.005564,3.6959),(3345,1205,-0.00571,3.6961),(3345,1215,-0.005861,3.6963),(3345,1225,-0.006014,3.6966),(3345,1235,-0.006168,3.6968),(3345,1245,-0.006321,3.6971),(3345,1255,-0.006479,3.6974),(3345,1265,-0.006638,3.6976),(3345,1275,-0.006798,3.6979),(3345,1285,-0.006958,3.6982),(3345,1295,-0.007122,3.6985),(3345,1305,-0.007287,3.6988),(3345,1315,-0.007452,3.6991),(3345,1325,-0.007617,3.6995),(3345,1335,-0.007787,3.6998),(3345,1345,-0.007957,3.7001),(3345,1355,-0.008127,3.7005),(3345,1365,-0.008297,3.7008),(3345,1375,-0.008471,3.7012),(3345,1385,-0.008646,3.7015),(3345,1395,-0.008821,3.7019),(3345,1405,-0.008996,3.7023),(3345,1415,-0.009174,3.7027),(3345,1425,-0.009353,3.7031),(3345,1435,-0.009532,3.7035),(3345,1445,-0.009711,3.7039),(3345,1455,-0.009894,3.7044),(3345,1465,-0.010076,3.7048),(3345,1475,-0.010259,3.7053),(3345,1485,-0.010442,3.7057),(3345,1495,-0.010627,3.7062),(3345,1505,-0.010813,3.7066),(3345,1515,-0.010999,3.7071),(3345,1525,-0.011184,3.7076),(3345,1535,-0.011372,3.7081),(3345,1545,-0.011561,3.7086),(3345,1555,-0.011749,3.7092),(3345,1565,-0.011937,3.7097),(3345,1575,-0.012128,3.7103),(3345,1585,-0.012319,3.7108),(3345,1595,-0.012509,3.7114),(3345,1605,-0.0127,3.712),(3345,1615,-0.012893,3.7126),(3345,1625,-0.013086,3.7132),(3345,1635,-0.013278,3.7138),(3345,1645,-0.013472,3.7145),(3345,1655,-0.013666,3.7151),(3345,1665,-0.013861,3.7157),(3345,1675,-0.014056,3.7164),(3345,1685,-0.014251,3.7171),(3345,1695,-0.014448,3.7178),(3345,1705,-0.014644,3.7185),(3345,1715,-0.014841,3.7192),(3345,1725,-0.015038,3.72),(3345,1735,-0.015235,3.7207),(3345,1745,-0.015433,3.7215),(3345,1755,-0.015631,3.7223),(3345,1765,-0.015829,3.7231),(3345,1775,-0.016028,3.7239),(3345,1785,-0.016227,3.7247),(3345,1795,-0.016426,3.7256),(3345,1805,-0.016625,3.7264),(3345,1815,-0.016824,3.7273),(3345,1825,-0.017024,3.7282),(3345,1835,-0.017224,3.7291),(3345,1845,-0.017423,3.7301),(3345,1855,-0.017623,3.731),(3345,1865,-0.017822,3.732),(3345,1875,-0.018022,3.733),(3345,1885,-0.01822,3.734),(3345,1895,-0.018418,3.735),(3345,1905,-0.018616,3.7361),(3345,1915,-0.018814,3.7372),(3345,1925,-0.01901,3.7383),(3345,1935,-0.019204,3.7394),(3345,1945,-0.019398,3.7405),(3345,1955,-0.019593,3.7417),(3345,1965,-0.019784,3.7429),(3345,1975,-0.019972,3.7441),(3345,1985,-0.02016,3.7454),(3345,1995,-0.020348,3.7467),(3345,2005,-0.02053,3.748),(3345,2015,-0.020708,3.7493),(3345,2025,-0.020886,3.7507),(3345,2035,-0.021064,3.7522),(3345,2045,-0.021233,3.7536),(3345,2055,-0.021396,3.755),(3345,2065,-0.021558,3.7565),(3345,2075,-0.021721,3.7581),(3345,2085,-0.02187,3.7597),(3345,2095,-0.022009,3.7613),(3345,2105,-0.022149,3.7629),(3345,2115,-0.022288,3.7646),(3345,2125,-0.022407,3.7664),(3345,2135,-0.022514,3.7681),(3345,2145,-0.02262,3.7699),(3345,2155,-0.022726,3.7718),(3345,2165,-0.022802,3.7737),(3345,2175,-0.022862,3.7756),(3345,2185,-0.022922,3.7777),(3345,2195,-0.022982,3.7798),(3345,2205,-0.022997,3.7818),(3345,2215,-0.022993,3.7839),(3345,2225,-0.022989,3.7862),(3345,2235,-0.022985,3.7885),(3345,2245,-0.022917,3.7908),(3345,2255,-0.022826,3.7931),(3345,2265,-0.022735,3.7956),(3345,2275,-0.022644,3.7981),(3345,2285,-0.022462,3.8007),(3345,2295,-0.022255,3.8032),(3345,2305,-0.022048,3.806),(3345,2315,-0.02184,3.8088),(3345,2325,-0.021507,3.8116),(3345,2335,-0.021146,3.8144),(3345,2345,-0.020784,3.8175),(3345,2355,-0.020423,3.8206),(3345,2365,-0.019889,3.8237),(3345,2375,-0.019326,3.8268),(3345,2385,-0.018763,3.8301),(3345,2395,-0.018201,3.8335),(3345,2405,-0.017405,3.8369),(3345,2415,-0.016582,3.8403),(3345,2425,-0.015759,3.844),(3345,2435,-0.014936,3.8478),(3345,2445,-0.013803,3.8515),(3345,2455,-0.012649,3.8552),(3345,2465,-0.011495,3.8593),(3345,2475,-0.010341,3.8633),(3345,2485,-0.008781,3.8674),(3345,2495,-0.007212,3.8714),(3345,2505,-0.005642,3.8758),(3345,2515,-0.004065,3.8802),(3345,2525,-0.001982,3.8845),(3345,2535,0.0001,3.8889),(3345,2545,0.002182,3.8936),(3345,2555,0.004298,3.8983),(3345,2565,0.007,3.903),(3345,2575,0.009702,3.9076),(3345,2585,0.012404,3.9126),(3345,2595,0.015174,3.9175),(3345,2605,0.018608,3.9224),(3345,2615,0.022042,3.9273),(3345,2625,0.025475,3.9324),(3345,2635,0.029021,3.9374),(3345,2645,0.033295,3.9425),(3345,2655,0.037568,3.9476),(3345,2665,0.041842,3.9527),(3345,2675,0.046277,3.9578),(3345,2685,0.051483,3.9629),(3345,2695,0.056689,3.968),(3345,2705,0.061895,3.9729),(3345,2715,0.067314,3.9779),(3345,2725,0.073517,3.9829),(3345,2735,0.079719,3.9878),(3345,2745,0.085922,3.9925),(3345,2755,0.092383,3.9972),(3345,2765,0.099607,4.0018),(3345,2775,0.10683,4.0064),(3345,2785,0.11405,4.0105),(3345,2795,0.12157,4.0147),(3345,2805,0.1298,4.0189),(3345,2815,0.13802,4.0229),(3345,2825,0.14625,4.0263),(3345,2835,0.15478,4.0298),(3345,2845,0.16395,4.0333),(3345,2855,0.17311,4.0365),(3345,2865,0.18227,4.0391),(3345,2875,0.19175,4.0417),(3345,2885,0.20176,4.0444),(3345,2895,0.21177,4.0466),(3345,2905,0.22177,4.0482),(3345,2915,0.23208,4.0498),(3345,2925,0.24282,4.0514),(3345,2935,0.25356,4.0525),(3345,2945,0.26429,4.053),(3345,2955,0.2753,4.0535),(3345,2965,0.28664,4.0539),(3345,2975,0.29798,4.0538),(3345,2985,0.30932,4.0531),(3345,2995,0.3209,4.0523),(3345,3005,0.33272,4.0516),(3345,3015,0.34454,4.0502),(3345,3025,0.35635,4.0481),(3345,3035,0.36836,4.046),(3345,3045,0.38053,4.044),(3345,3055,0.3927,4.0412),(3345,3065,0.40487,4.0378),(3345,3075,0.41717,4.0344),(3345,3085,0.42956,4.0309),(3345,3095,0.44196,4.0267),(3345,3105,0.45436,4.0218),(3345,3115,0.46682,4.017),(3345,3125,0.47932,4.0122),(3345,3135,0.49182,4.0064),(3345,3145,0.50433,4.0001),(3345,3155,0.51682,3.9938),(3345,3165,0.5293,3.9875),(3345,3175,0.54177,3.9802),(3345,3185,0.55425,3.9723),(3345,3195,0.56663,3.9645),(3345,3205,0.57895,3.9567),(3345,3215,0.59127,3.9477),(3345,3225,0.60359,3.9383),(3345,3235,0.61569,3.9289),(3345,3245,0.6277,3.9195),(3345,3255,0.63971,3.9089),(3345,3265,0.65172,3.8979),(3345,3275,0.66336,3.8869),(3345,3285,0.67489,3.8759),(3345,3295,0.68642,3.8636),(3345,3305,0.69795,3.8509),(3345,3315,0.70893,3.8382),(3345,3325,0.71978,3.8255),(3345,3335,0.73063,3.8115),(3345,3345,0.74148,3.7971),(3345,3355,0.75156,3.7827),(3345,3365,0.7615,3.7684),(3345,3375,0.77143,3.7526),(3345,3385,0.78137,3.7365),(3345,3395,0.79027,3.7205),(3345,3405,0.79903,3.7044),(3345,3415,0.80779,3.6869),(3345,3425,0.81655,3.6692),(3345,3435,0.82395,3.6515),(3345,3445,0.83124,3.6338),(3345,3455,0.83853,3.6146),(3345,3465,0.84582,3.5954),(3345,3475,0.85138,3.5761),(3345,3485,0.85687,3.5569),(3345,3495,0.86237,3.5363),(3345,3505,0.86786,3.5156),(3345,3515,0.87123,3.495),(3345,3525,0.87461,3.4743),(3345,3535,0.87799,3.4525),(3345,3545,0.88126,3.4307),(3345,3555,0.8822,3.4089),(3345,3565,0.88315,3.387),(3345,3575,0.88409,3.3644),(3345,3585,0.88481,3.3417),(3345,3595,0.88305,3.3191),(3345,3605,0.88129,3.2964),(3345,3615,0.87952,3.2733),(3345,3625,0.8774,3.2501),(3345,3635,0.8727,3.227),(3345,3645,0.86801,3.2039),(3345,3655,0.86332,3.1807),(3345,3665,0.85811,3.1575),(3345,3675,0.8503,3.1342),(3345,3685,0.84249,3.1111),(3345,3695,0.83468,3.0881),(3345,3705,0.82619,3.0651),(3345,3715,0.81505,3.0421),(3345,3725,0.8039,3.0193),(3345,3735,0.79276,2.9968),(3345,3745,0.78071,2.9743),(3345,3755,0.76583,2.9518),(3345,3765,0.75094,2.9295),(3345,3775,0.73606,2.9076),(3345,3785,0.71986,2.8856),(3345,3795,0.70032,2.8637),(3345,3805,0.68077,2.842),(3345,3815,0.66122,2.8206),(3345,3825,0.63946,2.7992),(3345,3835,0.61304,2.7778),(3345,3845,0.58661,2.7566),(3345,3855,0.56019,2.7357),(3345,3865,0.52926,2.7149),(3345,3875,0.49036,2.694),(3345,3885,0.45146,2.674),(3345,3895,0.41257,2.6552),(3345,3905,0.36932,2.6364),(3345,3915,0.31957,2.6175),(3345,3925,0.26982,2.6124),(3345,3935,0.22008,2.6259),(3345,3945,0.2748,2.6395),(3345,3955,0.46216,2.653),(3345,3965,0.64952,2.6763),(3345,3975,0.83688,2.7109),(3345,3985,0.99286,2.7455),(3345,3995,1.1149,2.7802),(3345,4005,1.2369,2.8269),(3345,4015,1.3589,2.8858),(3345,4025,1.6299,2.9446),(3345,4035,1.9154,2.9646),(3345,4045,2.2009,2.9025),(3345,4055,2.3186,2.8405),(3345,4065,2.375,2.7767),(3345,4075,2.4314,2.7025),(3345,4085,2.4464,2.6282),(3345,4095,2.4283,2.554),(3345,4105,2.4102,2.5104),(3345,4115,2.3232,2.4678),(3345,4125,2.1221,2.4253),(3345,4135,1.921,2.3987),(3345,4145,1.7197,2.3765),(3345,4155,1.5173,2.3542),(3345,4165,1.3149,2.3385),(3345,4175,1.1236,2.327),(3345,4185,1.4779,2.3155),(3345,4195,1.8322,2.2984),(3345,4205,2.1866,2.2739),(3345,4215,2.2348,2.2495),(3345,4225,2.2255,2.2254),(3345,4235,2.2161,2.2025),(3345,4245,2.1762,2.1796),(3345,4255,2.1208,2.1566),(3345,4265,2.0653,2.1334),(3345,4275,1.8155,2.1102),(3345,4285,1.3595,2.0869),(3345,4295,0.9034,2.0812),(3345,4305,0.72099,2.0774),(3345,4315,1.1565,2.0737),(3345,4325,1.592,2.0598),(3345,4335,1.9788,2.042),(3345,4345,2.0358,2.0243),(3345,4355,2.0929,2.0058),(3345,4365,2.15,1.9867),(3345,4375,2.1539,1.9676),(3345,4385,2.1551,1.9488),(3345,4395,2.1563,1.9306),(3345,4405,1.9013,1.9124),(3345,4415,1.5708,1.896),(3345,4425,1.2403,1.8877),(3345,4435,1.1004,1.8793),(3345,4445,1.0907,1.871),(3345,4455,1.081,1.8633),(3345,4465,1.2122,1.8556),(3345,4475,1.5416,1.8479),(3345,4485,1.8709,1.833),(3345,4495,2.1223,1.8165),(3345,4505,2.124,1.8),(3345,4515,2.1256,1.7837),(3345,4525,2.123,1.7674),(3345,4535,2.0531,1.751),(3345,4545,1.9833,1.7355),(3345,4555,1.9135,1.7208),(3345,4565,1.4751,1.706),(3345,4575,0.98694,1.6952),(3345,4585,0.4988,1.6936),(3345,4595,0.69539,1.692),(3345,4605,1.1813,1.6885),(3345,4615,1.6672,1.6704),(3345,4625,1.9277,1.6522),(3345,4635,1.984,1.6341),(3345,4645,2.0403,1.6182),(3345,4655,2.0799,1.6024),(3345,4665,2.088,1.5867),(3345,4675,2.0961,1.5714),(3345,4685,2.0314,1.5564),(3345,4695,1.6068,1.5414),(3345,4705,1.1821,1.5322),(3345,4715,0.75747,1.5272),(3345,4725,0.95994,1.5223),(3345,4735,1.1687,1.5157),(3345,4745,1.3774,1.5067),(3345,4755,1.5901,1.4976),(3345,4765,1.8036,1.4876),(3345,4775,2.0172,1.4741),(3345,4785,2.0969,1.4605),(3345,4795,2.0992,1.447),(3345,4805,2.1015,1.4335),(3345,4815,2.003,1.42),(3345,4825,1.7839,1.4065),(3345,4835,1.5648,1.3971),(3345,4845,1.3434,1.3884),(3345,4855,1.1159,1.3796),(3345,4865,0.88843,1.3743),(3345,4875,0.72782,1.3706),(3345,4885,1.1755,1.3668),(3345,4895,1.6233,1.3585),(3345,4905,2.071,1.3458),(3345,4915,2.1064,1.333),(3345,4925,2.1064,1.3203),(3345,4935,2.1064,1.3075),(3345,4945,2.0791,1.2947),(3345,4955,2.0424,1.2816),(3345,4965,2.0057,1.2663),(3345,4975,1.668,1.2511),(3345,4985,1.0981,1.2359),(3345,4995,0.52814,1.2348),(3345,5005,0.35412,1.2341),(3345,5015,0.80952,1.2335),(3345,5025,1.2649,1.2261),(3345,5035,1.6572,1.217),(3345,5045,1.8088,1.2079),(3345,5055,1.9605,1.1971),(3345,5065,2.1077,1.1851),(3345,5075,2.1099,1.1732),(3345,5085,2.1122,1.1613),(3345,5095,2.1144,1.1494),(3345,5105,1.8501,1.1375),(3345,5115,1.5392,1.1271),(3345,5125,1.2283,1.1209),(3345,5135,1.0728,1.1147),(3345,5145,0.99271,1.1087),(3345,5155,0.9126,1.1043),(3345,5165,1.0713,1.0999),(3345,5175,1.4737,1.0956),(3345,5185,1.876,1.085),(3345,5195,2.1515,1.0738),(3345,5205,2.1532,1.0626),(3345,5215,2.155,1.0515),(3345,5225,2.1456,1.0404),(3345,5235,2.0662,1.0293),(3345,5245,1.9868,1.019),(3345,5255,1.9074,1.0092),(3345,5265,1.3461,0.99948),(3345,5275,0.76502,0.99331),(3345,5285,0.1839,0.99317),(3345,5295,0.56473,0.99304),(3345,5305,1.2134,0.99053),(3345,5315,1.8622,0.97809),(3345,5325,2.1334,0.96564),(3345,5335,2.1571,0.95323),(3345,5345,2.1809,0.94285),(3345,5355,2.1952,0.93247),(3345,5365,2.197,0.92208),(3345,5375,2.1988,0.91191),(3345,5385,2.0748,0.90177),(3345,5395,1.5684,0.89164),(3345,5405,1.062,0.88645),(3345,5415,0.61087,0.88383),(3345,5425,0.90274,0.88122),(3345,5435,1.1946,0.87737),(3345,5445,1.4865,0.8722),(3345,5455,1.7657,0.86703),(3345,5465,2.0434,0.86096),(3345,5475,2.3211,0.85281),(3345,5485,2.4005,0.84465),(3345,5495,2.4,0.83653),(3345,5505,2.3994,0.8286),(3345,5515,2.3989,0.82067),(3345,5525,2.3984,0.81275),(3345,5535,2.3979,0.80504),(3345,5545,2.3974,0.79734),(3345,5555,2.3968,0.78964),(3345,5565,2.3963,0.78211),(3345,5575,2.3957,0.77462),(3345,5585,2.395,0.76714),(3345,5595,2.3944,0.75978),(3345,5605,2.3938,0.7525),(3345,5615,2.3931,0.74523),(3345,5625,2.3924,0.73802),(3345,5635,2.3917,0.73093),(3345,5645,2.391,0.72383),(3345,5655,2.3902,0.71677),(3345,5665,2.3895,0.70985),(3345,5675,2.3887,0.70293),(3345,5685,2.3879,0.69602),(3345,5695,2.3871,0.68925),(3345,5705,2.3863,0.68249),(3345,5715,2.3855,0.67573),(3345,5725,2.3847,0.6691),(3345,5735,2.3838,0.66248),(3345,5745,2.383,0.65586),(3345,5755,2.3821,0.64933),(3345,5765,2.3812,0.64284),(3345,5775,2.3803,0.63635),(3345,5785,2.3794,0.62993),(3345,5795,2.3785,0.62356),(3345,5805,2.3776,0.6172),(3345,5815,2.3767,0.61088),(3345,5825,2.3757,0.60464),(3345,5835,2.3748,0.5984),(3345,5845,2.3738,0.59218),(3345,5855,2.3728,0.58605),(3345,5865,2.3719,0.57993),(3345,5875,2.3708,0.5738),(3345,5885,2.3698,0.56778),(3345,5895,2.3688,0.56176),(3345,5905,2.3678,0.55574),(3345,5915,2.3668,0.54979),(3345,5925,2.3657,0.54387),(3345,5935,2.3647,0.53794),(3345,5945,2.3636,0.53208),(3345,5955,2.3625,0.52625),(3345,5965,2.3615,0.52043),(3345,5975,2.3604,0.51464),(3345,5985,2.3593,0.5089),(3345,5995,1.804,0.50317),(3345,6005,1.1594,0.49879),(3345,6015,0.51486,0.49805),(3345,6025,0.66124,0.49731),(3345,6035,1.1745,0.49599),(3345,6045,1.6877,0.48914),(3345,6055,2.0439,0.48228),(3345,6065,2.2461,0.47543),(3345,6075,2.4483,0.46652),(3345,6085,2.5848,0.45743),(3345,6095,2.5861,0.44834),(3345,6105,2.5873,0.43923),(3345,6115,2.5886,0.43012),(3345,6125,2.5898,0.42101),(3345,6135,2.591,0.41198),(3345,6145,2.5922,0.40302),(3345,6155,2.5933,0.39405),(3345,6165,2.5945,0.38513),(3345,6175,2.5956,0.37625),(3345,6185,2.5966,0.36738),(3345,6195,2.5977,0.35853),(3345,6205,2.5987,0.34977),(3345,6215,2.5997,0.34101),(3345,6225,2.6007,0.33225),(3345,6235,2.6016,0.3235),(3345,6245,2.6025,0.31475),(3345,6255,2.6034,0.306),(3345,6265,2.6043,0.2973),(3345,6275,2.6052,0.2886),(3345,6285,2.606,0.2799),(3345,6295,2.6068,0.27128),(3345,6305,2.6076,0.2627),(3345,6315,2.6083,0.25412),(3345,6325,2.609,0.24558),(3345,6335,2.6097,0.23707),(3345,6345,2.6103,0.22855),(3345,6355,2.611,0.22005),(3345,6365,2.6116,0.21156),(3345,6375,2.6122,0.20307),(3345,6385,2.6128,0.19459),(3345,6395,2.6133,0.18611),(3345,6405,2.6139,0.17763),(3345,6415,2.6144,0.16915),(3345,6425,2.6148,0.16072),(3345,6435,2.6153,0.15229),(3345,6445,2.6157,0.14385),(3345,6455,2.6161,0.1355),(3345,6465,2.6165,0.12718),(3345,6475,2.6169,0.11886),(3345,6485,2.6172,0.11053),(3345,6495,2.6175,0.1022),(3345,6505,2.6178,0.093875),(3345,6515,2.618,0.085547),(3345,6525,2.6182,0.077219),(3345,6535,2.6184,0.06889),(3345,6545,2.6186,0.060563),(3345,6555,2.6188,0.052239),(3345,6565,2.6189,0.043915),(3345,6575,2.619,0.035595),(3345,6585,2.619,0.027337),(3345,6595,2.2277,0.019079),(3345,6605,1.4041,0.010821),(3345,6615,0.58052,0.009829),(3345,6625,0.001558,0.009771),(3345,6635,0.001555,0.009713),(3345,6645,0.001553,0.00969),(3345,6655,0.00155,0.009683),(3345,6665,0.001547,0.009675),(3345,6675,0.001545,0.009667),(3345,6685,0.001542,0.009659),(3345,6695,0.00154,0.009652),(3345,6705,0.001537,0.009644),(3345,6715,0.001535,0.009636),(3345,6725,0.001533,0.009629),(3345,6735,0.001531,0.009621),(3345,6745,0.001529,0.009613),(3345,6755,0.001527,0.009605),(3345,6765,0.001525,0.009597),(3345,6775,0.001523,0.00959),(3345,6785,0.001521,0.009582),(3345,6795,0.00152,0.009574),(3345,6805,0.001518,0.009566),(3345,6815,0.001516,0.009558),(3345,6825,0.001515,0.00955),(3345,6835,0.001513,0.009543),(3345,6845,0.001512,0.009535),(3345,6855,0.00151,0.009527),(3345,6865,0.001509,0.009519),(3345,6875,0.001508,0.009511),(3345,6885,0.001507,0.009503),(3345,6895,0.001505,0.009495),(3345,6905,0.001504,0.009487),(3345,6915,0.001503,0.009479),(3345,6925,0.001502,0.009471),(3345,6935,0.001501,0.009463),(3345,6945,0.0015,0.009454),(3345,6955,0.0015,0.009446),(3345,6965,0.001499,0.009438),(3345,6975,0.001498,0.00943),(3345,6985,0.001497,0.009422),(3355,5,4e-06,3.6888),(3355,15,1.3e-05,3.6888),(3355,25,2.1e-05,3.6888),(3355,35,2.9e-05,3.6888),(3355,45,3.8e-05,3.6888),(3355,55,4.6e-05,3.6888),(3355,65,5.4e-05,3.6888),(3355,75,6.2e-05,3.6888),(3355,85,7e-05,3.6888),(3355,95,7.7e-05,3.6888),(3355,105,8.5e-05,3.6888),(3355,115,9.2e-05,3.6888),(3355,125,9.8e-05,3.6888),(3355,135,0.000105,3.6888),(3355,145,0.000111,3.6888),(3355,155,0.000117,3.6889),(3355,165,0.000123,3.6889),(3355,175,0.000128,3.6889),(3355,185,0.000133,3.6889),(3355,195,0.000137,3.6889),(3355,205,0.000141,3.6889),(3355,215,0.000145,3.6889),(3355,225,0.000148,3.6889),(3355,235,0.00015,3.6889),(3355,245,0.000152,3.6889),(3355,255,0.000154,3.6889),(3355,265,0.000155,3.6889),(3355,275,0.000154,3.6889),(3355,285,0.000154,3.6889),(3355,295,0.000154,3.6889),(3355,305,0.000152,3.6889),(3355,315,0.000149,3.6889),(3355,325,0.000146,3.6889),(3355,335,0.000144,3.689),(3355,345,0.000138,3.689),(3355,355,0.000132,3.689),(3355,365,0.000126,3.689),(3355,375,0.00012,3.689),(3355,385,0.000111,3.689),(3355,395,0.000102,3.689),(3355,405,9.2e-05,3.689),(3355,415,8.3e-05,3.689),(3355,425,7e-05,3.6891),(3355,435,5.6e-05,3.6891),(3355,445,4.3e-05,3.6891),(3355,455,3e-05,3.6891),(3355,465,1.2e-05,3.6891),(3355,475,-6e-06,3.6891),(3355,485,-2.3e-05,3.6892),(3355,495,-4.1e-05,3.6892),(3355,505,-6.4e-05,3.6892),(3355,515,-8.6e-05,3.6892),(3355,525,-0.000109,3.6892),(3355,535,-0.000131,3.6893),(3355,545,-0.000159,3.6893),(3355,555,-0.000187,3.6893),(3355,565,-0.000214,3.6893),(3355,575,-0.000243,3.6894),(3355,585,-0.000276,3.6894),(3355,595,-0.00031,3.6894),(3355,605,-0.000343,3.6894),(3355,615,-0.000378,3.6895),(3355,625,-0.000417,3.6895),(3355,635,-0.000457,3.6895),(3355,645,-0.000497,3.6896),(3355,655,-0.000538,3.6896),(3355,665,-0.000584,3.6896),(3355,675,-0.00063,3.6897),(3355,685,-0.000677,3.6897),(3355,695,-0.000724,3.6898),(3355,705,-0.000777,3.6898),(3355,715,-0.00083,3.6899),(3355,725,-0.000884,3.6899),(3355,735,-0.000938,3.69),(3355,745,-0.000999,3.69),(3355,755,-0.001059,3.6901),(3355,765,-0.00112,3.6901),(3355,775,-0.001182,3.6902),(3355,785,-0.001251,3.6902),(3355,795,-0.001319,3.6903),(3355,805,-0.001388,3.6904),(3355,815,-0.001459,3.6904),(3355,825,-0.001535,3.6905),(3355,835,-0.001612,3.6906),(3355,845,-0.001688,3.6907),(3355,855,-0.001768,3.6907),(3355,865,-0.001853,3.6908),(3355,875,-0.001937,3.6909),(3355,885,-0.002022,3.691),(3355,895,-0.00211,3.6911),(3355,905,-0.002203,3.6912),(3355,915,-0.002296,3.6913),(3355,925,-0.00239,3.6914),(3355,935,-0.002487,3.6915),(3355,945,-0.002589,3.6916),(3355,955,-0.002691,3.6917),(3355,965,-0.002793,3.6918),(3355,975,-0.002899,3.6919),(3355,985,-0.00301,3.6921),(3355,995,-0.003121,3.6922),(3355,1005,-0.003232,3.6923),(3355,1015,-0.003347,3.6924),(3355,1025,-0.003466,3.6926),(3355,1035,-0.003585,3.6927),(3355,1045,-0.003704,3.6929),(3355,1055,-0.003828,3.693),(3355,1065,-0.003956,3.6932),(3355,1075,-0.004084,3.6933),(3355,1085,-0.004212,3.6935),(3355,1095,-0.004345,3.6937),(3355,1105,-0.004481,3.6939),(3355,1115,-0.004617,3.694),(3355,1125,-0.004754,3.6942),(3355,1135,-0.004895,3.6944),(3355,1145,-0.00504,3.6946),(3355,1155,-0.005184,3.6948),(3355,1165,-0.005328,3.695),(3355,1175,-0.005478,3.6953),(3355,1185,-0.00563,3.6955),(3355,1195,-0.005782,3.6957),(3355,1205,-0.005934,3.696),(3355,1215,-0.006091,3.6962),(3355,1225,-0.00625,3.6964),(3355,1235,-0.00641,3.6967),(3355,1245,-0.006569,3.697),(3355,1255,-0.006733,3.6972),(3355,1265,-0.006899,3.6975),(3355,1275,-0.007065,3.6978),(3355,1285,-0.007231,3.6981),(3355,1295,-0.007402,3.6984),(3355,1305,-0.007574,3.6987),(3355,1315,-0.007746,3.699),(3355,1325,-0.007919,3.6993),(3355,1335,-0.008095,3.6996),(3355,1345,-0.008273,3.7),(3355,1355,-0.00845,3.7003),(3355,1365,-0.008628,3.7007),(3355,1375,-0.008809,3.701),(3355,1385,-0.008992,3.7014),(3355,1395,-0.009175,3.7018),(3355,1405,-0.009357,3.7021),(3355,1415,-0.009544,3.7025),(3355,1425,-0.009731,3.7029),(3355,1435,-0.009918,3.7033),(3355,1445,-0.010106,3.7038),(3355,1455,-0.010297,3.7042),(3355,1465,-0.010488,3.7046),(3355,1475,-0.01068,3.7051),(3355,1485,-0.010871,3.7055),(3355,1495,-0.011066,3.706),(3355,1505,-0.011261,3.7065),(3355,1515,-0.011456,3.707),(3355,1525,-0.011651,3.7075),(3355,1535,-0.011849,3.708),(3355,1545,-0.012047,3.7085),(3355,1555,-0.012246,3.709),(3355,1565,-0.012444,3.7095),(3355,1575,-0.012645,3.7101),(3355,1585,-0.012847,3.7106),(3355,1595,-0.013048,3.7112),(3355,1605,-0.013249,3.7118),(3355,1615,-0.013454,3.7124),(3355,1625,-0.013658,3.713),(3355,1635,-0.013862,3.7136),(3355,1645,-0.014067,3.7143),(3355,1655,-0.014274,3.7149),(3355,1665,-0.014481,3.7155),(3355,1675,-0.014689,3.7162),(3355,1685,-0.014896,3.7169),(3355,1695,-0.015106,3.7176),(3355,1705,-0.015316,3.7183),(3355,1715,-0.015526,3.719),(3355,1725,-0.015737,3.7198),(3355,1735,-0.015949,3.7205),(3355,1745,-0.016162,3.7213),(3355,1755,-0.016374,3.7221),(3355,1765,-0.016587,3.7229),(3355,1775,-0.016802,3.7237),(3355,1785,-0.017017,3.7245),(3355,1795,-0.017232,3.7254),(3355,1805,-0.017448,3.7262),(3355,1815,-0.017665,3.7271),(3355,1825,-0.017883,3.728),(3355,1835,-0.0181,3.7289),(3355,1845,-0.018318,3.7299),(3355,1855,-0.018537,3.7308),(3355,1865,-0.018756,3.7318),(3355,1875,-0.018975,3.7328),(3355,1885,-0.019195,3.7338),(3355,1895,-0.019414,3.7348),(3355,1905,-0.019634,3.7359),(3355,1915,-0.019854,3.737),(3355,1925,-0.020073,3.7381),(3355,1935,-0.020292,3.7392),(3355,1945,-0.02051,3.7403),(3355,1955,-0.020729,3.7415),(3355,1965,-0.020946,3.7428),(3355,1975,-0.021161,3.744),(3355,1985,-0.021377,3.7452),(3355,1995,-0.021592,3.7465),(3355,2005,-0.021804,3.7478),(3355,2015,-0.022013,3.7492),(3355,2025,-0.022221,3.7505),(3355,2035,-0.02243,3.752),(3355,2045,-0.022632,3.7534),(3355,2055,-0.022829,3.7549),(3355,2065,-0.023026,3.7564),(3355,2075,-0.023223,3.758),(3355,2085,-0.023409,3.7595),(3355,2095,-0.023588,3.7611),(3355,2105,-0.023766,3.7628),(3355,2115,-0.023945,3.7645),(3355,2125,-0.024106,3.7663),(3355,2135,-0.024256,3.768),(3355,2145,-0.024406,3.7698),(3355,2155,-0.024557,3.7717),(3355,2165,-0.02468,3.7737),(3355,2175,-0.024789,3.7756),(3355,2185,-0.024898,3.7776),(3355,2195,-0.025007,3.7797),(3355,2205,-0.025076,3.7818),(3355,2215,-0.025127,3.7839),(3355,2225,-0.025178,3.7862),(3355,2235,-0.02523,3.7885),(3355,2245,-0.025221,3.7909),(3355,2255,-0.025192,3.7932),(3355,2265,-0.025163,3.7957),(3355,2275,-0.025134,3.7983),(3355,2285,-0.025019,3.8009),(3355,2295,-0.02488,3.8034),(3355,2305,-0.024741,3.8062),(3355,2315,-0.024602,3.8091),(3355,2325,-0.024342,3.8119),(3355,2335,-0.024056,3.8148),(3355,2345,-0.02377,3.8179),(3355,2355,-0.023483,3.821),(3355,2365,-0.023029,3.8242),(3355,2375,-0.022548,3.8273),(3355,2385,-0.022066,3.8307),(3355,2395,-0.021585,3.8342),(3355,2405,-0.020874,3.8377),(3355,2415,-0.020138,3.8412),(3355,2425,-0.019401,3.8449),(3355,2435,-0.018664,3.8487),(3355,2445,-0.01762,3.8526),(3355,2455,-0.016555,3.8564),(3355,2465,-0.01549,3.8605),(3355,2475,-0.014425,3.8647),(3355,2485,-0.012955,3.8688),(3355,2495,-0.011474,3.873),(3355,2505,-0.009993,3.8775),(3355,2515,-0.008504,3.882),(3355,2525,-0.006506,3.8865),(3355,2535,-0.004508,3.891),(3355,2545,-0.002509,3.8959),(3355,2555,-0.000476,3.9007),(3355,2565,0.002154,3.9055),(3355,2575,0.004783,3.9104),(3355,2585,0.007413,3.9155),(3355,2595,0.010113,3.9206),(3355,2605,0.013494,3.9257),(3355,2615,0.016874,3.9308),(3355,2625,0.020255,3.936),(3355,2635,0.023752,3.9413),(3355,2645,0.028001,3.9466),(3355,2655,0.032249,3.9519),(3355,2665,0.036498,3.9572),(3355,2675,0.040915,3.9626),(3355,2685,0.046133,3.9679),(3355,2695,0.051351,3.9732),(3355,2705,0.056569,3.9784),(3355,2715,0.062009,3.9837),(3355,2725,0.068267,3.9889),(3355,2735,0.074525,3.9941),(3355,2745,0.080784,3.999),(3355,2755,0.087312,4.0039),(3355,2765,0.094638,4.0089),(3355,2775,0.10196,4.0137),(3355,2785,0.10929,4.0181),(3355,2795,0.11692,4.0225),(3355,2805,0.1253,4.0269),(3355,2815,0.13367,4.0312),(3355,2825,0.14204,4.0349),(3355,2835,0.15074,4.0386),(3355,2845,0.16009,4.0423),(3355,2855,0.16945,4.0457),(3355,2865,0.1788,4.0486),(3355,2875,0.18848,4.0514),(3355,2885,0.19871,4.0542),(3355,2895,0.20895,4.0566),(3355,2905,0.21918,4.0584),(3355,2915,0.22972,4.0602),(3355,2925,0.24071,4.062),(3355,2935,0.2517,4.0633),(3355,2945,0.26269,4.0639),(3355,2955,0.27396,4.0646),(3355,2965,0.28558,4.0652),(3355,2975,0.2972,4.0652),(3355,2985,0.30881,4.0646),(3355,2995,0.32067,4.064),(3355,3005,0.33278,4.0633),(3355,3015,0.34489,4.062),(3355,3025,0.357,4.06),(3355,3035,0.3693,4.0581),(3355,3045,0.38178,4.0561),(3355,3055,0.39426,4.0534),(3355,3065,0.40673,4.05),(3355,3075,0.41935,4.0467),(3355,3085,0.43206,4.0433),(3355,3095,0.44478,4.0391),(3355,3105,0.4575,4.0343),(3355,3115,0.47029,4.0295),(3355,3125,0.48312,4.0247),(3355,3135,0.49596,4.0189),(3355,3145,0.50879,4.0126),(3355,3155,0.52162,4.0063),(3355,3165,0.53444,4),(3355,3175,0.54727,3.9926),(3355,3185,0.56009,3.9847),(3355,3195,0.57282,3.9769),(3355,3205,0.5855,3.969),(3355,3215,0.59818,3.96),(3355,3225,0.61086,3.9505),(3355,3235,0.62333,3.941),(3355,3245,0.63571,3.9316),(3355,3255,0.64809,3.9208),(3355,3265,0.66048,3.9097),(3355,3275,0.6725,3.8986),(3355,3285,0.68442,3.8874),(3355,3295,0.69633,3.875),(3355,3305,0.70825,3.8621),(3355,3315,0.71962,3.8493),(3355,3325,0.73086,3.8364),(3355,3335,0.74211,3.8221),(3355,3345,0.75335,3.8075),(3355,3355,0.76383,3.7929),(3355,3365,0.77416,3.7783),(3355,3375,0.7845,3.7622),(3355,3385,0.79483,3.7459),(3355,3395,0.80412,3.7295),(3355,3405,0.81328,3.7132),(3355,3415,0.82243,3.6953),(3355,3425,0.83159,3.6772),(3355,3435,0.83936,3.6592),(3355,3445,0.84703,3.6411),(3355,3455,0.85469,3.6215),(3355,3465,0.86235,3.6018),(3355,3475,0.86826,3.5821),(3355,3485,0.87409,3.5624),(3355,3495,0.87993,3.5412),(3355,3505,0.88576,3.52),(3355,3515,0.88942,3.4989),(3355,3525,0.89309,3.4776),(3355,3535,0.89675,3.4552),(3355,3545,0.9003,3.4328),(3355,3555,0.90147,3.4104),(3355,3565,0.90263,3.3879),(3355,3575,0.90379,3.3646),(3355,3585,0.90471,3.3413),(3355,3595,0.90308,3.3179),(3355,3605,0.90145,3.2945),(3355,3615,0.89982,3.2707),(3355,3625,0.89781,3.2468),(3355,3635,0.89316,3.223),(3355,3645,0.88852,3.1991),(3355,3655,0.88387,3.1751),(3355,3665,0.8787,3.1511),(3355,3675,0.87086,3.1271),(3355,3685,0.86302,3.1031),(3355,3695,0.85518,3.0793),(3355,3705,0.84666,3.0555),(3355,3715,0.83545,3.0317),(3355,3725,0.82424,3.0079),(3355,3735,0.81303,2.9845),(3355,3745,0.80091,2.9611),(3355,3755,0.78597,2.9376),(3355,3765,0.77103,2.9143),(3355,3775,0.75609,2.8912),(3355,3785,0.73985,2.8681),(3355,3795,0.72033,2.845),(3355,3805,0.7008,2.8219),(3355,3815,0.68128,2.7988),(3355,3825,0.65958,2.7756),(3355,3835,0.63332,2.7525),(3355,3845,0.60705,2.7291),(3355,3855,0.58079,2.705078),(3355,3865,0.55001,2.6811),(3355,3875,0.51124,2.6571),(3355,3885,0.47248,2.6324),(3355,3895,0.43371,2.6066),(3355,3905,0.38856,2.5808),(3355,3915,0.33387,2.555),(3355,3925,0.27917,2.5349),(3355,3935,0.22448,2.5226),(3355,3945,0.27231,2.5103),(3355,3955,0.45032,2.498),(3355,3965,0.62833,2.5055),(3355,3975,0.80633,2.536),(3355,3985,0.95221,2.5666),(3355,3995,1.0633,2.5971),(3355,4005,1.1744,2.6474),(3355,4015,1.2855,2.7173),(3355,4025,1.5902,2.7872),(3355,4035,1.9138,2.8212),(3355,4045,2.2374,2.7795),(3355,4055,2.3692,2.7377),(3355,4065,2.4309,2.6926),(3355,4075,2.4927,2.6274),(3355,4085,2.5046,2.5622),(3355,4095,2.4764,2.497),(3355,4105,2.4482,2.4591),(3355,4115,2.353,2.4221),(3355,4125,2.1466,2.3852),(3355,4135,1.9403,2.3619),(3355,4145,1.7342,2.3422),(3355,4155,1.5293,2.3226),(3355,4165,1.3245,2.3087),(3355,4175,1.1307,2.2985),(3355,4185,1.488,2.2883),(3355,4195,1.8453,2.2724),(3355,4205,2.2026,2.2492),(3355,4215,2.2511,2.2259),(3355,4225,2.2414,2.2029),(3355,4235,2.2317,2.1807),(3355,4245,2.1918,2.1586),(3355,4255,2.1367,2.1363),(3355,4265,2.0815,2.1136),(3355,4275,1.8296,2.0909),(3355,4285,1.369,2.0681),(3355,4295,0.90832,2.0626),(3355,4305,0.72365,2.0591),(3355,4315,1.1622,2.0556),(3355,4325,1.6007,2.0421),(3355,4335,1.9901,2.0246),(3355,4345,2.0474,2.0071),(3355,4355,2.1047,1.989),(3355,4365,2.162,1.9701),(3355,4375,2.1657,1.9513),(3355,4385,2.1666,1.9328),(3355,4395,2.1675,1.9149),(3355,4405,1.9109,1.8969),(3355,4415,1.5784,1.8808),(3355,4425,1.2458,1.8725),(3355,4435,1.105,1.8643),(3355,4445,1.0951,1.8561),(3355,4455,1.0852,1.8485),(3355,4465,1.2171,1.841),(3355,4475,1.5482,1.8334),(3355,4485,1.8792,1.8186),(3355,4495,2.132,1.8021),(3355,4505,2.1335,1.7857),(3355,4515,2.1351,1.7694),(3355,4525,2.1324,1.7532),(3355,4535,2.0623,1.737),(3355,4545,1.9922,1.7215),(3355,4555,1.9221,1.7068),(3355,4565,1.4814,1.6922),(3355,4575,0.99069,1.6814),(3355,4585,0.5,1.6798),(3355,4595,0.69836,1.6783),(3355,4605,1.1879,1.6748),(3355,4615,1.6774,1.6567),(3355,4625,1.9391,1.6386),(3355,4635,1.9945,1.6205),(3355,4645,2.0499,1.6046),(3355,4655,2.0888,1.5889),(3355,4665,2.0966,1.5732),(3355,4675,2.1045,1.5581),(3355,4685,2.0393,1.5432),(3355,4695,1.6128,1.5282),(3355,4705,1.1864,1.5191),(3355,4715,0.75996,1.5143),(3355,4725,0.96303,1.5094),(3355,4735,1.1724,1.5028),(3355,4745,1.3818,1.4938),(3355,4755,1.5951,1.4848),(3355,4765,1.8094,1.4748),(3355,4775,2.0236,1.4613),(3355,4785,2.1036,1.4478),(3355,4795,2.1059,1.4343),(3355,4805,2.1082,1.4208),(3355,4815,2.0093,1.4073),(3355,4825,1.7895,1.3938),(3355,4835,1.5696,1.3845),(3355,4845,1.3474,1.3757),(3355,4855,1.119,1.3669),(3355,4865,0.89071,1.3617),(3355,4875,0.72946,1.358),(3355,4885,1.1786,1.3543),(3355,4895,1.6277,1.346),(3355,4905,2.0768,1.3334),(3355,4915,2.1123,1.3207),(3355,4925,2.1123,1.308),(3355,4935,2.1123,1.2953),(3355,4945,2.0857,1.2826),(3355,4955,2.0498,1.2696),(3355,4965,2.0139,1.2544),(3355,4975,1.6751,1.2393),(3355,4985,1.1025,1.2242),(3355,4995,0.5299,1.2232),(3355,5005,0.35467,1.2225),(3355,5015,0.81124,1.2218),(3355,5025,1.2678,1.2145),(3355,5035,1.661,1.2054),(3355,5045,1.8131,1.1964),(3355,5055,1.9651,1.1856),(3355,5065,2.1127,1.1736),(3355,5075,2.1149,1.1617),(3355,5085,2.1172,1.1499),(3355,5095,2.1194,1.138),(3355,5105,1.8544,1.1262),(3355,5115,1.5427,1.1158),(3355,5125,1.2311,1.1097),(3355,5135,1.0751,1.1035),(3355,5145,0.99472,1.0975),(3355,5155,0.9143,1.0931),(3355,5165,1.0733,1.0888),(3355,5175,1.4765,1.0844),(3355,5185,1.8796,1.0739),(3355,5195,2.1556,1.0627),(3355,5205,2.1574,1.0516),(3355,5215,2.1591,1.0405),(3355,5225,2.1496,1.0295),(3355,5235,2.0701,1.0184),(3355,5245,1.9905,1.0081),(3355,5255,1.9109,0.99839),(3355,5265,1.3486,0.98869),(3355,5275,0.76635,0.98254),(3355,5285,0.1841,0.98241),(3355,5295,0.56605,0.98228),(3355,5305,1.2165,0.9798),(3355,5315,1.867,0.96746),(3355,5325,2.1385,0.95511),(3355,5335,2.1615,0.9428),(3355,5345,2.1845,0.93249),(3355,5355,2.1985,0.92218),(3355,5365,2.2002,0.91187),(3355,5375,2.2018,0.90176),(3355,5385,2.0776,0.8917),(3355,5395,1.5705,0.88163),(3355,5405,1.0633,0.87649),(3355,5415,0.61156,0.87389),(3355,5425,0.90334,0.87129),(3355,5435,1.1951,0.8675),(3355,5445,1.4869,0.8624),(3355,5455,1.7662,0.85731),(3355,5465,2.0439,0.85133),(3355,5475,2.3216,0.84329),(3355,5485,2.401,0.83526),(3355,5495,2.4004,0.82725),(3355,5505,2.3998,0.81943),(3355,5515,2.3992,0.81161),(3355,5525,2.3987,0.8038),(3355,5535,2.3981,0.7962),(3355,5545,2.3975,0.78861),(3355,5555,2.3969,0.78102),(3355,5565,2.3962,0.77359),(3355,5575,2.3956,0.76621),(3355,5585,2.3949,0.75883),(3355,5595,2.3942,0.75157),(3355,5605,2.3935,0.74439),(3355,5615,2.3928,0.73722),(3355,5625,2.392,0.73012),(3355,5635,2.3913,0.72312),(3355,5645,2.3905,0.71612),(3355,5655,2.3897,0.70916),(3355,5665,2.3889,0.70233),(3355,5675,2.3881,0.6955),(3355,5685,2.3873,0.68868),(3355,5695,2.3864,0.68201),(3355,5705,2.3856,0.67534),(3355,5715,2.3847,0.66867),(3355,5725,2.3838,0.66212),(3355,5735,2.383,0.65558),(3355,5745,2.3821,0.64905),(3355,5755,2.3812,0.64261),(3355,5765,2.3802,0.6362),(3355,5775,2.3793,0.6298),(3355,5785,2.3784,0.62346),(3355,5795,2.3774,0.61717),(3355,5805,2.3765,0.61089),(3355,5815,2.3755,0.60465),(3355,5825,2.3745,0.59848),(3355,5835,2.3735,0.59232),(3355,5845,2.3725,0.58618),(3355,5855,2.3715,0.58012),(3355,5865,2.3705,0.57407),(3355,5875,2.3695,0.56801),(3355,5885,2.3685,0.56206),(3355,5895,2.3674,0.55611),(3355,5905,2.3664,0.55016),(3355,5915,2.3653,0.54429),(3355,5925,2.3643,0.53843),(3355,5935,2.3632,0.53257),(3355,5945,2.3621,0.52677),(3355,5955,2.361,0.52101),(3355,5965,2.3599,0.51525),(3355,5975,2.3588,0.50953),(3355,5985,2.3577,0.50385),(3355,5995,1.8027,0.49818),(3355,6005,1.1586,0.49385),(3355,6015,0.51449,0.49312),(3355,6025,0.66135,0.49239),(3355,6035,1.1751,0.49109),(3355,6045,1.6888,0.48431),(3355,6055,2.0453,0.47753),(3355,6065,2.2476,0.47074),(3355,6075,2.4499,0.46193),(3355,6085,2.5866,0.45293),(3355,6095,2.5878,0.44393),(3355,6105,2.589,0.43492),(3355,6115,2.5902,0.42589),(3355,6125,2.5914,0.41687),(3355,6135,2.5926,0.40794),(3355,6145,2.5937,0.39906),(3355,6155,2.5948,0.39019),(3355,6165,2.5959,0.38135),(3355,6175,2.597,0.37257),(3355,6185,2.5981,0.36378),(3355,6195,2.5991,0.35501),(3355,6205,2.6001,0.34634),(3355,6215,2.6011,0.33766),(3355,6225,2.602,0.32898),(3355,6235,2.6029,0.32032),(3355,6245,2.6038,0.31166),(3355,6255,2.6047,0.303),(3355,6265,2.6056,0.29438),(3355,6275,2.6064,0.28577),(3355,6285,2.6072,0.27716),(3355,6295,2.608,0.26862),(3355,6305,2.6087,0.26013),(3355,6315,2.6094,0.25163),(3355,6325,2.6101,0.24317),(3355,6335,2.6108,0.23475),(3355,6345,2.6114,0.22632),(3355,6355,2.6121,0.21791),(3355,6365,2.6127,0.20951),(3355,6375,2.6133,0.2011),(3355,6385,2.6138,0.1927),(3355,6395,2.6144,0.18431),(3355,6405,2.6149,0.17592),(3355,6415,2.6154,0.16752),(3355,6425,2.6158,0.15918),(3355,6435,2.6163,0.15083),(3355,6445,2.6167,0.14248),(3355,6455,2.6171,0.13421),(3355,6465,2.6175,0.12597),(3355,6475,2.6178,0.11773),(3355,6485,2.6181,0.10949),(3355,6495,2.6184,0.10124),(3355,6505,2.6187,0.092998),(3355,6515,2.6189,0.084754),(3355,6525,2.6192,0.076511),(3355,6535,2.6193,0.068268),(3355,6545,2.6195,0.060026),(3355,6555,2.6197,0.051786),(3355,6565,2.6198,0.043546),(3355,6575,2.6199,0.03531),(3355,6585,2.6199,0.027137),(3355,6595,2.2284,0.018964),(3355,6605,1.4046,0.010791),(3355,6615,0.58072,0.009814),(3355,6625,0.001561,0.009761),(3355,6635,0.001559,0.009708),(3355,6645,0.001556,0.009688),(3355,6655,0.001553,0.00968),(3355,6665,0.00155,0.009672),(3355,6675,0.001548,0.009665),(3355,6685,0.001545,0.009657),(3355,6695,0.001543,0.009649),(3355,6705,0.001541,0.009642),(3355,6715,0.001538,0.009634),(3355,6725,0.001536,0.009626),(3355,6735,0.001534,0.009619),(3355,6745,0.001532,0.009611),(3355,6755,0.00153,0.009603),(3355,6765,0.001528,0.009595),(3355,6775,0.001526,0.009588),(3355,6785,0.001525,0.00958),(3355,6795,0.001523,0.009572),(3355,6805,0.001521,0.009565),(3355,6815,0.00152,0.009557),(3355,6825,0.001518,0.009549),(3355,6835,0.001517,0.009541),(3355,6845,0.001515,0.009533),(3355,6855,0.001514,0.009525),(3355,6865,0.001513,0.009518),(3355,6875,0.001512,0.00951),(3355,6885,0.00151,0.009502),(3355,6895,0.001509,0.009494),(3355,6905,0.001508,0.009486),(3355,6915,0.001507,0.009478),(3355,6925,0.001506,0.00947),(3355,6935,0.001505,0.009462),(3355,6945,0.001504,0.009454),(3355,6955,0.001503,0.009446),(3355,6965,0.001502,0.009437),(3355,6975,0.001502,0.009429),(3355,6985,0.001501,0.009421),(3365,5,4e-06,3.6888),(3365,15,1.2e-05,3.6888),(3365,25,2e-05,3.6888),(3365,35,2.8e-05,3.6888),(3365,45,3.6e-05,3.6888),(3365,55,4.4e-05,3.6888),(3365,65,5.2e-05,3.6888),(3365,75,6e-05,3.6888),(3365,85,6.7e-05,3.6888),(3365,95,7.5e-05,3.6888),(3365,105,8.2e-05,3.6888),(3365,115,8.8e-05,3.6888),(3365,125,9.5e-05,3.6888),(3365,135,0.000101,3.6889),(3365,145,0.000107,3.6889),(3365,155,0.000112,3.6889),(3365,165,0.000118,3.6889),(3365,175,0.000123,3.6889),(3365,185,0.000127,3.6889),(3365,195,0.000131,3.6889),(3365,205,0.000134,3.6889),(3365,215,0.000138,3.6889),(3365,225,0.00014,3.6889),(3365,235,0.000142,3.6889),(3365,245,0.000144,3.6889),(3365,255,0.000146,3.6889),(3365,265,0.000146,3.6889),(3365,275,0.000145,3.6889),(3365,285,0.000145,3.6889),(3365,295,0.000144,3.6889),(3365,305,0.000141,3.6889),(3365,315,0.000138,3.6889),(3365,325,0.000135,3.6889),(3365,335,0.000132,3.689),(3365,345,0.000126,3.689),(3365,355,0.000119,3.689),(3365,365,0.000113,3.689),(3365,375,0.000106,3.689),(3365,385,9.6e-05,3.689),(3365,395,8.6e-05,3.689),(3365,405,7.6e-05,3.689),(3365,415,6.6e-05,3.689),(3365,425,5.2e-05,3.689),(3365,435,3.8e-05,3.6891),(3365,445,2.4e-05,3.6891),(3365,455,1e-05,3.6891),(3365,465,-9e-06,3.6891),(3365,475,-2.7e-05,3.6891),(3365,485,-4.6e-05,3.6891),(3365,495,-6.4e-05,3.6892),(3365,505,-8.7e-05,3.6892),(3365,515,-0.000111,3.6892),(3365,525,-0.000134,3.6892),(3365,535,-0.000158,3.6892),(3365,545,-0.000187,3.6892),(3365,555,-0.000215,3.6893),(3365,565,-0.000244,3.6893),(3365,575,-0.000273,3.6893),(3365,585,-0.000308,3.6893),(3365,595,-0.000343,3.6894),(3365,605,-0.000377,3.6894),(3365,615,-0.000413,3.6894),(3365,625,-0.000454,3.6895),(3365,635,-0.000495,3.6895),(3365,645,-0.000536,3.6895),(3365,655,-0.000578,3.6896),(3365,665,-0.000626,3.6896),(3365,675,-0.000674,3.6896),(3365,685,-0.000722,3.6897),(3365,695,-0.000771,3.6897),(3365,705,-0.000826,3.6898),(3365,715,-0.000881,3.6898),(3365,725,-0.000936,3.6899),(3365,735,-0.000992,3.6899),(3365,745,-0.001055,3.69),(3365,755,-0.001117,3.69),(3365,765,-0.001179,3.6901),(3365,775,-0.001244,3.6901),(3365,785,-0.001315,3.6902),(3365,795,-0.001385,3.6902),(3365,805,-0.001456,3.6903),(3365,815,-0.001529,3.6904),(3365,825,-0.001608,3.6904),(3365,835,-0.001687,3.6905),(3365,845,-0.001766,3.6906),(3365,855,-0.001848,3.6907),(3365,865,-0.001935,3.6907),(3365,875,-0.002023,3.6908),(3365,885,-0.00211,3.6909),(3365,895,-0.002201,3.691),(3365,905,-0.002297,3.6911),(3365,915,-0.002393,3.6912),(3365,925,-0.00249,3.6913),(3365,935,-0.00259,3.6914),(3365,945,-0.002695,3.6915),(3365,955,-0.002801,3.6916),(3365,965,-0.002906,3.6917),(3365,975,-0.003016,3.6918),(3365,985,-0.003131,3.6919),(3365,995,-0.003245,3.6921),(3365,1005,-0.00336,3.6922),(3365,1015,-0.003479,3.6923),(3365,1025,-0.003602,3.6925),(3365,1035,-0.003726,3.6926),(3365,1045,-0.003849,3.6927),(3365,1055,-0.003977,3.6929),(3365,1065,-0.004109,3.693),(3365,1075,-0.004241,3.6932),(3365,1085,-0.004374,3.6934),(3365,1095,-0.004511,3.6935),(3365,1105,-0.004652,3.6937),(3365,1115,-0.004793,3.6939),(3365,1125,-0.004934,3.6941),(3365,1135,-0.005081,3.6943),(3365,1145,-0.005231,3.6945),(3365,1155,-0.00538,3.6947),(3365,1165,-0.00553,3.6949),(3365,1175,-0.005685,3.6951),(3365,1185,-0.005843,3.6953),(3365,1195,-0.006,3.6956),(3365,1205,-0.006158,3.6958),(3365,1215,-0.006321,3.696),(3365,1225,-0.006486,3.6963),(3365,1235,-0.006651,3.6965),(3365,1245,-0.006816,3.6968),(3365,1255,-0.006987,3.6971),(3365,1265,-0.00716,3.6973),(3365,1275,-0.007332,3.6976),(3365,1285,-0.007505,3.6979),(3365,1295,-0.007682,3.6982),(3365,1305,-0.007861,3.6985),(3365,1315,-0.008041,3.6988),(3365,1325,-0.00822,3.6991),(3365,1335,-0.008403,3.6994),(3365,1345,-0.008588,3.6998),(3365,1355,-0.008773,3.7001),(3365,1365,-0.008958,3.7005),(3365,1375,-0.009148,3.7008),(3365,1385,-0.009338,3.7012),(3365,1395,-0.009528,3.7016),(3365,1405,-0.009718,3.7019),(3365,1415,-0.009914,3.7023),(3365,1425,-0.010109,3.7027),(3365,1435,-0.010304,3.7031),(3365,1445,-0.0105,3.7036),(3365,1455,-0.0107,3.704),(3365,1465,-0.0109,3.7044),(3365,1475,-0.0111,3.7049),(3365,1485,-0.0113,3.7053),(3365,1495,-0.011505,3.7058),(3365,1505,-0.011709,3.7062),(3365,1515,-0.011913,3.7067),(3365,1525,-0.012118,3.7072),(3365,1535,-0.012326,3.7077),(3365,1545,-0.012534,3.7082),(3365,1555,-0.012742,3.7088),(3365,1565,-0.012951,3.7093),(3365,1575,-0.013163,3.7099),(3365,1585,-0.013375,3.7104),(3365,1595,-0.013587,3.711),(3365,1605,-0.013799,3.7116),(3365,1615,-0.014015,3.7122),(3365,1625,-0.01423,3.7128),(3365,1635,-0.014446,3.7134),(3365,1645,-0.014662,3.714),(3365,1655,-0.014882,3.7147),(3365,1665,-0.015102,3.7153),(3365,1675,-0.015321,3.716),(3365,1685,-0.015541,3.7167),(3365,1695,-0.015765,3.7174),(3365,1705,-0.015988,3.7181),(3365,1715,-0.016212,3.7188),(3365,1725,-0.016436,3.7195),(3365,1735,-0.016663,3.7203),(3365,1745,-0.01689,3.721),(3365,1755,-0.017118,3.7218),(3365,1765,-0.017346,3.7226),(3365,1775,-0.017577,3.7234),(3365,1785,-0.017808,3.7242),(3365,1795,-0.018039,3.7251),(3365,1805,-0.018271,3.726),(3365,1815,-0.018506,3.7268),(3365,1825,-0.018741,3.7277),(3365,1835,-0.018976,3.7287),(3365,1845,-0.019213,3.7296),(3365,1855,-0.019451,3.7305),(3365,1865,-0.01969,3.7315),(3365,1875,-0.019929,3.7325),(3365,1885,-0.020169,3.7335),(3365,1895,-0.02041,3.7346),(3365,1905,-0.020652,3.7356),(3365,1915,-0.020894,3.7367),(3365,1925,-0.021136,3.7378),(3365,1935,-0.021379,3.7389),(3365,1945,-0.021622,3.7401),(3365,1955,-0.021865,3.7413),(3365,1965,-0.022108,3.7425),(3365,1975,-0.022351,3.7437),(3365,1985,-0.022594,3.745),(3365,1995,-0.022837,3.7463),(3365,2005,-0.023078,3.7476),(3365,2015,-0.023317,3.7489),(3365,2025,-0.023556,3.7503),(3365,2035,-0.023795,3.7517),(3365,2045,-0.024031,3.7532),(3365,2055,-0.024262,3.7546),(3365,2065,-0.024494,3.7561),(3365,2075,-0.024725,3.7577),(3365,2085,-0.024949,3.7593),(3365,2095,-0.025166,3.7609),(3365,2105,-0.025384,3.7626),(3365,2115,-0.025601,3.7643),(3365,2125,-0.025804,3.766),(3365,2135,-0.025998,3.7678),(3365,2145,-0.026193,3.7696),(3365,2155,-0.026387,3.7715),(3365,2165,-0.026557,3.7735),(3365,2175,-0.026716,3.7754),(3365,2185,-0.026874,3.7774),(3365,2195,-0.027033,3.7796),(3365,2205,-0.027155,3.7817),(3365,2215,-0.027262,3.7838),(3365,2225,-0.027368,3.7861),(3365,2235,-0.027474,3.7884),(3365,2245,-0.027526,3.7908),(3365,2255,-0.027559,3.7931),(3365,2265,-0.027591,3.7957),(3365,2275,-0.027623,3.7983),(3365,2285,-0.027576,3.8009),(3365,2295,-0.027505,3.8035),(3365,2305,-0.027434,3.8063),(3365,2315,-0.027363,3.8092),(3365,2325,-0.027178,3.8121),(3365,2335,-0.026966,3.8149),(3365,2345,-0.026755,3.8181),(3365,2355,-0.026543,3.8213),(3365,2365,-0.02617,3.8245),(3365,2375,-0.025769,3.8277),(3365,2385,-0.025369,3.8312),(3365,2395,-0.024968,3.8347),(3365,2405,-0.024344,3.8382),(3365,2415,-0.023694,3.8418),(3365,2425,-0.023043,3.8456),(3365,2435,-0.022393,3.8495),(3365,2445,-0.021438,3.8534),(3365,2455,-0.020462,3.8573),(3365,2465,-0.019486,3.8615),(3365,2475,-0.01851,3.8658),(3365,2485,-0.017128,3.8701),(3365,2495,-0.015736,3.8743),(3365,2505,-0.014344,3.879),(3365,2515,-0.012944,3.8836),(3365,2525,-0.011029,3.8883),(3365,2535,-0.009115,3.8929),(3365,2545,-0.0072,3.8979),(3365,2555,-0.00525,3.9029),(3365,2565,-0.002693,3.9079),(3365,2575,-0.000136,3.9129),(3365,2585,0.002422,3.9182),(3365,2595,0.005052,3.9235),(3365,2605,0.008379,3.9288),(3365,2615,0.011707,3.9341),(3365,2625,0.015035,3.9396),(3365,2635,0.018483,3.9451),(3365,2645,0.022707,3.9506),(3365,2655,0.026931,3.9561),(3365,2665,0.031155,3.9617),(3365,2675,0.035553,3.9673),(3365,2685,0.040783,3.9729),(3365,2695,0.046013,3.9785),(3365,2705,0.051243,3.984),(3365,2715,0.056704,3.9895),(3365,2725,0.063018,3.995),(3365,2735,0.069332,4.0005),(3365,2745,0.075645,4.0057),(3365,2755,0.082241,4.0109),(3365,2765,0.089669,4.0161),(3365,2775,0.097098,4.0212),(3365,2785,0.10453,4.0259),(3365,2795,0.11227,4.0306),(3365,2805,0.1208,4.0354),(3365,2815,0.12932,4.0398),(3365,2825,0.13784,4.0438),(3365,2835,0.1467,4.0478),(3365,2845,0.15624,4.0518),(3365,2855,0.16579,4.0555),(3365,2865,0.17533,4.0585),(3365,2875,0.18521,4.0616),(3365,2885,0.19567,4.0647),(3365,2895,0.20613,4.0673),(3365,2905,0.21658,4.0693),(3365,2915,0.22736,4.0713),(3365,2925,0.23861,4.0733),(3365,2935,0.24985,4.0748),(3365,2945,0.26109,4.0755),(3365,2955,0.27263,4.0763),(3365,2965,0.28452,4.0771),(3365,2975,0.29641,4.0773),(3365,2985,0.3083,4.0768),(3365,2995,0.32044,4.0763),(3365,3005,0.33284,4.0758),(3365,3015,0.34524,4.0746),(3365,3025,0.35765,4.0728),(3365,3035,0.37025,4.0709),(3365,3045,0.38303,4.069),(3365,3055,0.39582,4.0664),(3365,3065,0.4086,4.0631),(3365,3075,0.42153,4.0598),(3365,3085,0.43456,4.0565),(3365,3095,0.4476,4.0523),(3365,3105,0.46064,4.0475),(3365,3115,0.47375,4.0428),(3365,3125,0.48692,4.038),(3365,3135,0.50009,4.0322),(3365,3145,0.51325,4.0259),(3365,3155,0.52642,4.0196),(3365,3165,0.53959,4.0133),(3365,3175,0.55276,4.0059),(3365,3185,0.56593,3.998),(3365,3195,0.57901,3.9901),(3365,3205,0.59205,3.9822),(3365,3215,0.60509,3.9732),(3365,3225,0.61813,3.9636),(3365,3235,0.63097,3.9541),(3365,3245,0.64372,3.9445),(3365,3255,0.65648,3.9337),(3365,3265,0.66924,3.9225),(3365,3275,0.68164,3.9112),(3365,3285,0.69394,3.9),(3365,3295,0.70624,3.8873),(3365,3305,0.71854,3.8743),(3365,3315,0.73031,3.8613),(3365,3325,0.74195,3.8483),(3365,3335,0.75358,3.8338),(3365,3345,0.76522,3.819),(3365,3355,0.77609,3.8041),(3365,3365,0.78683,3.7893),(3365,3375,0.79756,3.7729),(3365,3385,0.8083,3.7563),(3365,3395,0.81798,3.7396),(3365,3405,0.82753,3.723),(3365,3415,0.83708,3.7047),(3365,3425,0.84662,3.6863),(3365,3435,0.85477,3.6678),(3365,3445,0.86281,3.6494),(3365,3455,0.87085,3.6293),(3365,3465,0.87889,3.6091),(3365,3475,0.88513,3.5889),(3365,3485,0.89131,3.5687),(3365,3495,0.89749,3.547),(3365,3505,0.90366,3.5253),(3365,3515,0.90761,3.5035),(3365,3525,0.91156,3.4817),(3365,3535,0.91551,3.4587),(3365,3545,0.91935,3.4356),(3365,3555,0.92073,3.4125),(3365,3565,0.9221,3.3894),(3365,3575,0.92348,3.3653),(3365,3585,0.92461,3.3412),(3365,3595,0.92311,3.3172),(3365,3605,0.92161,3.293),(3365,3615,0.92011,3.2684),(3365,3625,0.91823,3.2437),(3365,3635,0.91363,3.2191),(3365,3645,0.90902,3.1944),(3365,3655,0.90442,3.1695),(3365,3665,0.89928,3.1447),(3365,3675,0.89142,3.1199),(3365,3685,0.88355,3.0951),(3365,3695,0.87569,3.0704),(3365,3705,0.86713,3.0457),(3365,3715,0.85585,3.021),(3365,3725,0.84457,2.9964),(3365,3735,0.83329,2.972),(3365,3745,0.82111,2.9477),(3365,3755,0.80611,2.9233),(3365,3765,0.79112,2.899),(3365,3775,0.77612,2.8747),(3365,3785,0.75985,2.8505),(3365,3795,0.74034,2.8263),(3365,3805,0.72084,2.8019),(3365,3815,0.70133,2.7771),(3365,3825,0.6797,2.7523),(3365,3835,0.6536,2.7276),(3365,3845,0.62749,2.702),(3365,3855,0.60139,2.6748),(3365,3865,0.57076,2.6476),(3365,3875,0.53212,2.6205),(3365,3885,0.49349,2.5907),(3365,3895,0.45486,2.5566),(3365,3905,0.4078,2.5225),(3365,3915,0.34816,2.4883),(3365,3925,0.28852,2.451),(3365,3935,0.22888,2.4093),(3365,3945,0.26983,2.3676),(3365,3955,0.43848,2.3259),(3365,3965,0.60714,2.3137),(3365,3975,0.77579,2.3362),(3365,3985,0.91156,2.3586),(3365,3995,1.0117,2.3811),(3365,4005,1.1119,2.4246),(3365,4015,1.2121,2.4891),(3365,4025,1.5505,2.5536),(3365,4035,1.9122,2.5955),(3365,4045,2.2739,2.5899),(3365,4055,2.4198,2.5842),(3365,4065,2.4869,2.5728),(3365,4075,2.554,2.5273),(3365,4085,2.5627,2.4818),(3365,4095,2.5245,2.4363),(3365,4105,2.4862,2.406),(3365,4115,2.3827,2.3762),(3365,4125,2.1711,2.3464),(3365,4135,1.9595,2.3266),(3365,4145,1.7487,2.3094),(3365,4155,1.5414,2.2923),(3365,4165,1.334,2.2801),(3365,4175,1.1379,2.271),(3365,4185,1.4982,2.2619),(3365,4195,1.8584,2.2472),(3365,4205,2.2187,2.225),(3365,4215,2.2673,2.2029),(3365,4225,2.2572,2.1808),(3365,4235,2.2472,2.1594),(3365,4245,2.2074,2.1379),(3365,4255,2.1525,2.1163),(3365,4265,2.0977,2.094),(3365,4275,1.8437,2.0717),(3365,4285,1.3785,2.0493),(3365,4295,0.91324,2.044),(3365,4305,0.72631,2.0407),(3365,4315,1.1678,2.0374),(3365,4325,1.6094,2.0242),(3365,4335,2.0015,2.007),(3365,4345,2.059,1.9899),(3365,4355,2.1165,1.972),(3365,4365,2.174,1.9535),(3365,4375,2.1775,1.9349),(3365,4385,2.1781,1.9167),(3365,4395,2.1787,1.899),(3365,4405,1.9205,1.8812),(3365,4415,1.5859,1.8652),(3365,4425,1.2514,1.8571),(3365,4435,1.1096,1.849),(3365,4445,1.0995,1.8408),(3365,4455,1.0895,1.8334),(3365,4465,1.222,1.8259),(3365,4475,1.5548,1.8185),(3365,4485,1.8875,1.8037),(3365,4495,2.1416,1.7873),(3365,4505,2.1431,1.771),(3365,4515,2.1446,1.7548),(3365,4525,2.1418,1.7387),(3365,4535,2.0714,1.7226),(3365,4545,2.0011,1.7072),(3365,4555,1.9307,1.6927),(3365,4565,1.4877,1.6781),(3365,4575,0.99444,1.6674),(3365,4585,0.50119,1.6659),(3365,4595,0.70134,1.6643),(3365,4605,1.1945,1.6609),(3365,4615,1.6876,1.6428),(3365,4625,1.9505,1.6247),(3365,4635,2.005,1.6066),(3365,4645,2.0594,1.5908),(3365,4655,2.0977,1.5753),(3365,4665,2.1053,1.5597),(3365,4675,2.1129,1.5447),(3365,4685,2.0472,1.5298),(3365,4695,1.6189,1.515),(3365,4705,1.1907,1.506),(3365,4715,0.76245,1.5012),(3365,4725,0.96613,1.4964),(3365,4735,1.1761,1.4899),(3365,4745,1.3861,1.4809),(3365,4755,1.6002,1.4719),(3365,4765,1.8152,1.4619),(3365,4775,2.0301,1.4484),(3365,4785,2.1103,1.4349),(3365,4795,2.1126,1.4214),(3365,4805,2.1149,1.408),(3365,4815,2.0157,1.3945),(3365,4825,1.795,1.381),(3365,4835,1.5744,1.3717),(3365,4845,1.3514,1.3629),(3365,4855,1.1222,1.3541),(3365,4865,0.89299,1.3489),(3365,4875,0.7311,1.3453),(3365,4885,1.1816,1.3416),(3365,4895,1.632,1.3334),(3365,4905,2.0825,1.3209),(3365,4915,2.1182,1.3083),(3365,4925,2.1182,1.2957),(3365,4935,2.1182,1.2831),(3365,4945,2.0922,1.2705),(3365,4955,2.0572,1.2575),(3365,4965,2.0222,1.2425),(3365,4975,1.6822,1.2275),(3365,4985,1.1069,1.2125),(3365,4995,0.53165,1.2114),(3365,5005,0.35523,1.2108),(3365,5015,0.81295,1.2101),(3365,5025,1.2707,1.2028),(3365,5035,1.6649,1.1938),(3365,5045,1.8174,1.1848),(3365,5055,1.9698,1.174),(3365,5065,2.1178,1.1621),(3365,5075,2.12,1.1503),(3365,5085,2.1222,1.1384),(3365,5095,2.1244,1.1266),(3365,5105,1.8587,1.1148),(3365,5115,1.5463,1.1045),(3365,5125,1.2339,1.0984),(3365,5135,1.0775,1.0922),(3365,5145,0.99673,1.0863),(3365,5155,0.91601,1.0819),(3365,5165,1.0753,1.0776),(3365,5175,1.4793,1.0732),(3365,5185,1.8833,1.0628),(3365,5195,2.1598,1.0517),(3365,5205,2.1615,1.0405),(3365,5215,2.1632,1.0295),(3365,5225,2.1537,1.0185),(3365,5235,2.0739,1.0075),(3365,5245,1.9942,0.99721),(3365,5255,1.9145,0.98755),(3365,5265,1.3511,0.97788),(3365,5275,0.76768,0.97176),(3365,5285,0.1843,0.97164),(3365,5295,0.56736,0.97153),(3365,5305,1.2196,0.96907),(3365,5315,1.8718,0.95683),(3365,5325,2.1435,0.94459),(3365,5335,2.1659,0.93237),(3365,5345,2.1882,0.92214),(3365,5355,2.2017,0.9119),(3365,5365,2.2033,0.90167),(3365,5375,2.2049,0.89164),(3365,5385,2.0804,0.88164),(3365,5395,1.5726,0.87165),(3365,5405,1.0647,0.86654),(3365,5415,0.61226,0.86397),(3365,5425,0.90393,0.8614),(3365,5435,1.1956,0.85765),(3365,5445,1.4873,0.85263),(3365,5455,1.7666,0.84762),(3365,5465,2.0444,0.84172),(3365,5475,2.3222,0.83381),(3365,5485,2.4014,0.82589),(3365,5495,2.4008,0.818),(3365,5505,2.4001,0.81029),(3365,5515,2.3995,0.80259),(3365,5525,2.3989,0.79489),(3365,5535,2.3982,0.78739),(3365,5545,2.3976,0.77991),(3365,5555,2.3969,0.77243),(3365,5565,2.3962,0.7651),(3365,5575,2.3955,0.75783),(3365,5585,2.3948,0.75055),(3365,5595,2.394,0.74339),(3365,5605,2.3933,0.73632),(3365,5615,2.3925,0.72924),(3365,5625,2.3917,0.72224),(3365,5635,2.3909,0.71534),(3365,5645,2.3901,0.70843),(3365,5655,2.3892,0.70157),(3365,5665,2.3884,0.69483),(3365,5675,2.3875,0.6881),(3365,5685,2.3866,0.68137),(3365,5695,2.3857,0.67479),(3365,5705,2.3848,0.66821),(3365,5715,2.3839,0.66163),(3365,5725,2.383,0.65517),(3365,5735,2.3821,0.64872),(3365,5745,2.3811,0.64227),(3365,5755,2.3802,0.63591),(3365,5765,2.3792,0.62959),(3365,5775,2.3783,0.62327),(3365,5785,2.3773,0.61701),(3365,5795,2.3763,0.61081),(3365,5805,2.3753,0.60461),(3365,5815,2.3743,0.59845),(3365,5825,2.3733,0.59236),(3365,5835,2.3723,0.58627),(3365,5845,2.3713,0.5802),(3365,5855,2.3703,0.57422),(3365,5865,2.3692,0.56824),(3365,5875,2.3682,0.56226),(3365,5885,2.3671,0.55638),(3365,5895,2.366,0.5505),(3365,5905,2.365,0.54462),(3365,5915,2.3639,0.53881),(3365,5925,2.3628,0.53302),(3365,5935,2.3617,0.52723),(3365,5945,2.3606,0.5215),(3365,5955,2.3595,0.5158),(3365,5965,2.3584,0.5101),(3365,5975,2.3572,0.50444),(3365,5985,2.3561,0.49883),(3365,5995,1.8015,0.49322),(3365,6005,1.1578,0.48894),(3365,6015,0.51412,0.48822),(3365,6025,0.66145,0.4875),(3365,6035,1.1757,0.48622),(3365,6045,1.6899,0.4795),(3365,6055,2.0467,0.47279),(3365,6065,2.2491,0.46607),(3365,6075,2.4516,0.45735),(3365,6085,2.5883,0.44845),(3365,6095,2.5895,0.43954),(3365,6105,2.5907,0.43062),(3365,6115,2.5919,0.42168),(3365,6125,2.593,0.41275),(3365,6135,2.5941,0.4039),(3365,6145,2.5953,0.39512),(3365,6155,2.5964,0.38634),(3365,6165,2.5974,0.37759),(3365,6175,2.5985,0.36889),(3365,6185,2.5995,0.36019),(3365,6195,2.6005,0.35151),(3365,6205,2.6015,0.34292),(3365,6215,2.6024,0.33433),(3365,6225,2.6033,0.32574),(3365,6235,2.6042,0.31716),(3365,6245,2.6051,0.30859),(3365,6255,2.606,0.30002),(3365,6265,2.6068,0.29148),(3365,6275,2.6076,0.28296),(3365,6285,2.6084,0.27443),(3365,6295,2.6091,0.26598),(3365,6305,2.6099,0.25756),(3365,6315,2.6106,0.24915),(3365,6325,2.6113,0.24077),(3365,6335,2.6119,0.23243),(3365,6345,2.6125,0.22409),(3365,6355,2.6132,0.21576),(3365,6365,2.6138,0.20745),(3365,6375,2.6143,0.19914),(3365,6385,2.6149,0.19082),(3365,6395,2.6154,0.18251),(3365,6405,2.6159,0.17421),(3365,6415,2.6164,0.1659),(3365,6425,2.6168,0.15763),(3365,6435,2.6173,0.14937),(3365,6445,2.6177,0.14111),(3365,6455,2.6181,0.13293),(3365,6465,2.6184,0.12477),(3365,6475,2.6188,0.11661),(3365,6485,2.6191,0.10845),(3365,6495,2.6194,0.10029),(3365,6505,2.6196,0.092123),(3365,6515,2.6199,0.083963),(3365,6525,2.6201,0.075806),(3365,6535,2.6203,0.067649),(3365,6545,2.6204,0.059491),(3365,6555,2.6206,0.051333),(3365,6565,2.6207,0.043174),(3365,6575,2.6208,0.035019),(3365,6585,2.6208,0.026924),(3365,6595,2.2292,0.018829),(3365,6605,1.4051,0.010733),(3365,6615,0.58092,0.009778),(3365,6625,0.001565,0.009739),(3365,6635,0.001562,0.009701),(3365,6645,0.001559,0.009685),(3365,6655,0.001556,0.009677),(3365,6665,0.001554,0.00967),(3365,6675,0.001551,0.009662),(3365,6685,0.001548,0.009655),(3365,6695,0.001546,0.009647),(3365,6705,0.001544,0.00964),(3365,6715,0.001542,0.009632),(3365,6725,0.00154,0.009624),(3365,6735,0.001538,0.009617),(3365,6745,0.001535,0.009609),(3365,6755,0.001533,0.009601),(3365,6765,0.001532,0.009594),(3365,6775,0.00153,0.009586),(3365,6785,0.001528,0.009578),(3365,6795,0.001527,0.009571),(3365,6805,0.001525,0.009563),(3365,6815,0.001523,0.009555),(3365,6825,0.001522,0.009548),(3365,6835,0.00152,0.00954),(3365,6845,0.001519,0.009532),(3365,6855,0.001518,0.009524),(3365,6865,0.001516,0.009516),(3365,6875,0.001515,0.009508),(3365,6885,0.001514,0.009501),(3365,6895,0.001513,0.009493),(3365,6905,0.001512,0.009485),(3365,6915,0.001511,0.009477),(3365,6925,0.00151,0.009469),(3365,6935,0.001509,0.009461),(3365,6945,0.001508,0.009453),(3365,6955,0.001507,0.009445),(3365,6965,0.001506,0.009437),(3365,6975,0.001506,0.009428),(3365,6985,0.001505,0.009421),(3375,5,4e-06,3.6888),(3375,15,1.2e-05,3.6888),(3375,25,2e-05,3.6888),(3375,35,2.7e-05,3.6888),(3375,45,3.5e-05,3.6888),(3375,55,4.3e-05,3.6888),(3375,65,5e-05,3.6888),(3375,75,5.8e-05,3.6888),(3375,85,6.5e-05,3.6888),(3375,95,7.2e-05,3.6889),(3375,105,7.9e-05,3.6889),(3375,115,8.5e-05,3.6889),(3375,125,9.1e-05,3.6889),(3375,135,9.8e-05,3.6889),(3375,145,0.000103,3.6889),(3375,155,0.000108,3.6889),(3375,165,0.000113,3.6889),(3375,175,0.000118,3.6889),(3375,185,0.000122,3.6889),(3375,195,0.000125,3.6889),(3375,205,0.000129,3.6889),(3375,215,0.000132,3.6889),(3375,225,0.000134,3.6889),(3375,235,0.000135,3.6889),(3375,245,0.000137,3.6889),(3375,255,0.000138,3.6889),(3375,265,0.000138,3.6889),(3375,275,0.000137,3.6889),(3375,285,0.000136,3.6889),(3375,295,0.000135,3.6889),(3375,305,0.000132,3.6889),(3375,315,0.000128,3.6889),(3375,325,0.000124,3.6889),(3375,335,0.000121,3.6889),(3375,345,0.000114,3.689),(3375,355,0.000107,3.689),(3375,365,0.0001,3.689),(3375,375,9.3e-05,3.689),(3375,385,8.3e-05,3.689),(3375,395,7.2e-05,3.689),(3375,405,6.2e-05,3.689),(3375,415,5.1e-05,3.689),(3375,425,3.6e-05,3.689),(3375,435,2.2e-05,3.689),(3375,445,7e-06,3.6891),(3375,455,-8e-06,3.6891),(3375,465,-2.7e-05,3.6891),(3375,475,-4.6e-05,3.6891),(3375,485,-6.6e-05,3.6891),(3375,495,-8.5e-05,3.6891),(3375,505,-0.000109,3.6891),(3375,515,-0.000133,3.6892),(3375,525,-0.000158,3.6892),(3375,535,-0.000182,3.6892),(3375,545,-0.000212,3.6892),(3375,555,-0.000241,3.6892),(3375,565,-0.000271,3.6893),(3375,575,-0.000301,3.6893),(3375,585,-0.000337,3.6893),(3375,595,-0.000373,3.6893),(3375,605,-0.000409,3.6894),(3375,615,-0.000445,3.6894),(3375,625,-0.000488,3.6894),(3375,635,-0.00053,3.6895),(3375,645,-0.000572,3.6895),(3375,655,-0.000616,3.6895),(3375,665,-0.000665,3.6896),(3375,675,-0.000715,3.6896),(3375,685,-0.000764,3.6896),(3375,695,-0.000815,3.6897),(3375,705,-0.000871,3.6897),(3375,715,-0.000928,3.6897),(3375,725,-0.000984,3.6898),(3375,735,-0.001043,3.6898),(3375,745,-0.001107,3.6899),(3375,755,-0.001171,3.6899),(3375,765,-0.001235,3.69),(3375,775,-0.001302,3.69),(3375,785,-0.001375,3.6901),(3375,795,-0.001447,3.6902),(3375,805,-0.00152,3.6902),(3375,815,-0.001595,3.6903),(3375,825,-0.001677,3.6904),(3375,835,-0.001758,3.6904),(3375,845,-0.001839,3.6905),(3375,855,-0.001924,3.6906),(3375,865,-0.002014,3.6906),(3375,875,-0.002104,3.6907),(3375,885,-0.002194,3.6908),(3375,895,-0.002288,3.6909),(3375,905,-0.002387,3.691),(3375,915,-0.002486,3.6911),(3375,925,-0.002586,3.6912),(3375,935,-0.002689,3.6913),(3375,945,-0.002798,3.6914),(3375,955,-0.002907,3.6915),(3375,965,-0.003015,3.6916),(3375,975,-0.003129,3.6917),(3375,985,-0.003247,3.6918),(3375,995,-0.003365,3.6919),(3375,1005,-0.003484,3.6921),(3375,1015,-0.003606,3.6922),(3375,1025,-0.003734,3.6923),(3375,1035,-0.003861,3.6925),(3375,1045,-0.003989,3.6926),(3375,1055,-0.004121,3.6928),(3375,1065,-0.004258,3.6929),(3375,1075,-0.004394,3.6931),(3375,1085,-0.004531,3.6932),(3375,1095,-0.004673,3.6934),(3375,1105,-0.004819,3.6936),(3375,1115,-0.004965,3.6938),(3375,1125,-0.005111,3.6939),(3375,1135,-0.005262,3.6941),(3375,1145,-0.005417,3.6943),(3375,1155,-0.005572,3.6945),(3375,1165,-0.005727,3.6947),(3375,1175,-0.005888,3.6949),(3375,1185,-0.006051,3.6952),(3375,1195,-0.006214,3.6954),(3375,1205,-0.006378,3.6956),(3375,1215,-0.006546,3.6959),(3375,1225,-0.006718,3.6961),(3375,1235,-0.006889,3.6964),(3375,1245,-0.00706,3.6966),(3375,1255,-0.007237,3.6969),(3375,1265,-0.007416,3.6971),(3375,1275,-0.007595,3.6974),(3375,1285,-0.007774,3.6977),(3375,1295,-0.007958,3.698),(3375,1305,-0.008144,3.6983),(3375,1315,-0.00833,3.6986),(3375,1325,-0.008516,3.6989),(3375,1335,-0.008708,3.6993),(3375,1345,-0.0089,3.6996),(3375,1355,-0.009092,3.6999),(3375,1365,-0.009284,3.7003),(3375,1375,-0.009482,3.7006),(3375,1385,-0.00968,3.701),(3375,1395,-0.009878,3.7014),(3375,1405,-0.010076,3.7017),(3375,1415,-0.010279,3.7021),(3375,1425,-0.010483,3.7025),(3375,1435,-0.010686,3.7029),(3375,1445,-0.01089,3.7034),(3375,1455,-0.011099,3.7038),(3375,1465,-0.011308,3.7042),(3375,1475,-0.011517,3.7047),(3375,1485,-0.011725,3.7051),(3375,1495,-0.011939,3.7056),(3375,1505,-0.012153,3.706),(3375,1515,-0.012366,3.7065),(3375,1525,-0.01258,3.707),(3375,1535,-0.012798,3.7075),(3375,1545,-0.013016,3.708),(3375,1555,-0.013235,3.7086),(3375,1565,-0.013453,3.7091),(3375,1575,-0.013676,3.7097),(3375,1585,-0.013898,3.7102),(3375,1595,-0.014121,3.7108),(3375,1605,-0.014344,3.7114),(3375,1615,-0.014571,3.712),(3375,1625,-0.014798,3.7125),(3375,1635,-0.015025,3.7132),(3375,1645,-0.015253,3.7138),(3375,1655,-0.015485,3.7144),(3375,1665,-0.015717,3.7151),(3375,1675,-0.015949,3.7158),(3375,1685,-0.016181,3.7164),(3375,1695,-0.016418,3.7171),(3375,1705,-0.016655,3.7178),(3375,1715,-0.016892,3.7186),(3375,1725,-0.01713,3.7193),(3375,1735,-0.017372,3.72),(3375,1745,-0.017613,3.7208),(3375,1755,-0.017855,3.7216),(3375,1765,-0.018098,3.7224),(3375,1775,-0.018345,3.7232),(3375,1785,-0.018592,3.724),(3375,1795,-0.018839,3.7249),(3375,1805,-0.019088,3.7257),(3375,1815,-0.019341,3.7266),(3375,1825,-0.019594,3.7275),(3375,1835,-0.019846,3.7284),(3375,1845,-0.020101,3.7294),(3375,1855,-0.02036,3.7303),(3375,1865,-0.020618,3.7313),(3375,1875,-0.020876,3.7323),(3375,1885,-0.021137,3.7333),(3375,1895,-0.0214,3.7343),(3375,1905,-0.021664,3.7354),(3375,1915,-0.021927,3.7365),(3375,1925,-0.022192,3.7376),(3375,1935,-0.02246,3.7387),(3375,1945,-0.022728,3.7398),(3375,1955,-0.022996,3.741),(3375,1965,-0.023265,3.7422),(3375,1975,-0.023535,3.7434),(3375,1985,-0.023805,3.7447),(3375,1995,-0.024076,3.746),(3375,2005,-0.024346,3.7473),(3375,2015,-0.024616,3.7487),(3375,2025,-0.024887,3.75),(3375,2035,-0.025157,3.7515),(3375,2045,-0.025426,3.7529),(3375,2055,-0.025692,3.7544),(3375,2065,-0.025959,3.7559),(3375,2075,-0.026226,3.7575),(3375,2085,-0.026487,3.7591),(3375,2095,-0.026744,3.7606),(3375,2105,-0.027001,3.7623),(3375,2115,-0.027258,3.7641),(3375,2125,-0.027504,3.7658),(3375,2135,-0.027744,3.7676),(3375,2145,-0.027983,3.7694),(3375,2155,-0.028222,3.7713),(3375,2165,-0.028442,3.7733),(3375,2175,-0.028651,3.7752),(3375,2185,-0.02886,3.7773),(3375,2195,-0.02907,3.7794),(3375,2205,-0.029247,3.7815),(3375,2215,-0.029411,3.7837),(3375,2225,-0.029575,3.786),(3375,2235,-0.029739,3.7883),(3375,2245,-0.029853,3.7907),(3375,2255,-0.02995,3.7931),(3375,2265,-0.030047,3.7956),(3375,2275,-0.030144,3.7982),(3375,2285,-0.030166,3.8009),(3375,2295,-0.030168,3.8035),(3375,2305,-0.030169,3.8064),(3375,2315,-0.03017,3.8093),(3375,2325,-0.030063,3.8122),(3375,2335,-0.029932,3.8151),(3375,2345,-0.0298,3.8183),(3375,2355,-0.029668,3.8215),(3375,2365,-0.029381,3.8248),(3375,2375,-0.029068,3.828),(3375,2385,-0.028755,3.8316),(3375,2395,-0.028442,3.8352),(3375,2405,-0.027911,3.8388),(3375,2415,-0.027354,3.8424),(3375,2425,-0.026798,3.8463),(3375,2435,-0.026241,3.8503),(3375,2445,-0.025385,3.8542),(3375,2455,-0.024508,3.8582),(3375,2465,-0.023631,3.8626),(3375,2475,-0.022753,3.8669),(3375,2485,-0.021472,3.8713),(3375,2495,-0.02018,3.8757),(3375,2505,-0.018888,3.8804),(3375,2515,-0.017588,3.8852),(3375,2525,-0.01577,3.89),(3375,2535,-0.013951,3.8948),(3375,2545,-0.012133,3.8999),(3375,2555,-0.010279,3.9051),(3375,2565,-0.007808,3.9102),(3375,2575,-0.005337,3.9154),(3375,2585,-0.002865,3.9209),(3375,2595,-0.00032,3.9264),(3375,2605,0.002941,3.9319),(3375,2615,0.006202,3.9374),(3375,2625,0.009464,3.9432),(3375,2635,0.012849,3.9489),(3375,2645,0.017036,3.9546),(3375,2655,0.021223,3.9604),(3375,2665,0.02541,3.9662),(3375,2675,0.029779,3.9721),(3375,2685,0.035012,3.978),(3375,2695,0.040246,3.9838),(3375,2705,0.045479,3.9896),(3375,2715,0.050953,3.9954),(3375,2725,0.057319,4.0012),(3375,2735,0.063685,4.0069),(3375,2745,0.07005,4.0124),(3375,2755,0.076711,4.0179),(3375,2765,0.084244,4.0234),(3375,2775,0.091777,4.0288),(3375,2785,0.09931,4.0338),(3375,2795,0.10718,4.0388),(3375,2805,0.11585,4.0438),(3375,2815,0.12453,4.0485),(3375,2825,0.13321,4.0528),(3375,2835,0.14224,4.057),(3375,2845,0.15198,4.0613),(3375,2855,0.16173,4.0652),(3375,2865,0.17147,4.0685),(3375,2875,0.18157,4.0718),(3375,2885,0.19226,4.0751),(3375,2895,0.20296,4.078),(3375,2905,0.21366,4.0802),(3375,2915,0.22469,4.0823),(3375,2925,0.23619,4.0845),(3375,2935,0.2477,4.0862),(3375,2945,0.25921,4.0872),(3375,2955,0.27102,4.0881),(3375,2965,0.2832,4.0891),(3375,2975,0.29538,4.0894),(3375,2985,0.30756,4.089),(3375,2995,0.32,4.0887),(3375,3005,0.33271,4.0883),(3375,3015,0.34541,4.0872),(3375,3025,0.35812,4.0855),(3375,3035,0.37104,4.0837),(3375,3045,0.38414,4.0819),(3375,3055,0.39724,4.0793),(3375,3065,0.41034,4.0761),(3375,3075,0.4236,4.0729),(3375,3085,0.43697,4.0697),(3375,3095,0.45033,4.0655),(3375,3105,0.4637,4.0608),(3375,3115,0.47716,4.0561),(3375,3125,0.49067,4.0513),(3375,3135,0.50418,4.0456),(3375,3145,0.51769,4.0393),(3375,3155,0.53122,4.033),(3375,3165,0.54474,4.0267),(3375,3175,0.55827,4.0193),(3375,3185,0.5718,4.0113),(3375,3195,0.58525,4.0034),(3375,3205,0.59866,3.9955),(3375,3215,0.61208,3.9864),(3375,3225,0.62549,3.9767),(3375,3235,0.63871,3.9671),(3375,3245,0.65185,3.9575),(3375,3255,0.665,3.9466),(3375,3265,0.67815,3.9352),(3375,3275,0.69095,3.9239),(3375,3285,0.70366,3.9125),(3375,3295,0.71637,3.8997),(3375,3305,0.72907,3.8865),(3375,3315,0.74125,3.8733),(3375,3325,0.75331,3.8602),(3375,3335,0.76537,3.8454),(3375,3345,0.77742,3.8304),(3375,3355,0.78872,3.8153),(3375,3365,0.79989,3.8003),(3375,3375,0.81105,3.7836),(3375,3385,0.82221,3.7667),(3375,3395,0.83232,3.7497),(3375,3405,0.84229,3.7328),(3375,3415,0.85227,3.7141),(3375,3425,0.86224,3.6953),(3375,3435,0.87081,3.6764),(3375,3445,0.87926,3.6576),(3375,3455,0.88771,3.6371),(3375,3465,0.89616,3.6164),(3375,3475,0.90278,3.5958),(3375,3485,0.90934,3.5751),(3375,3495,0.9159,3.5528),(3375,3505,0.92245,3.5305),(3375,3515,0.92672,3.5082),(3375,3525,0.931,3.4858),(3375,3535,0.93527,3.4621),(3375,3545,0.93943,3.4383),(3375,3555,0.94106,3.4146),(3375,3565,0.94268,3.3908),(3375,3575,0.9443,3.366),(3375,3585,0.94568,3.3412),(3375,3595,0.94433,3.3164),(3375,3605,0.94299,3.2915),(3375,3615,0.94164,3.2661),(3375,3625,0.9399,3.2406),(3375,3635,0.93536,3.2152),(3375,3645,0.93082,3.1897),(3375,3655,0.92627,3.164),(3375,3665,0.92119,3.1383),(3375,3675,0.91331,3.1127),(3375,3685,0.90543,3.087),(3375,3695,0.89756,3.0615),(3375,3705,0.88898,3.0359),(3375,3715,0.87767,3.0104),(3375,3725,0.86635,2.9849),(3375,3735,0.85504,2.9596),(3375,3745,0.84283,2.9343),(3375,3755,0.82786,2.909),(3375,3765,0.81289,2.8836),(3375,3775,0.79792,2.8583),(3375,3785,0.78173,2.8329),(3375,3795,0.76247,2.8076),(3375,3805,0.74321,2.7819),(3375,3815,0.72395,2.7555),(3375,3825,0.70275,2.7291),(3375,3835,0.67747,2.7026),(3375,3845,0.65218,2.6749),(3375,3855,0.62689,2.6445),(3375,3865,0.59764,2.6142),(3375,3875,0.56136,2.5839),(3375,3885,0.52509,2.5489),(3375,3895,0.48881,2.5065),(3375,3905,0.44486,2.4641),(3375,3915,0.38944,2.4217),(3375,3925,0.33401,2.3672),(3375,3935,0.27859,2.296),(3375,3945,0.31371,2.2249),(3375,3955,0.46378,2.1537),(3375,3965,0.61385,2.1219),(3375,3975,0.76391,2.1363),(3375,3985,0.88417,2.1507),(3375,3995,0.97216,2.165),(3375,4005,1.0602,2.2018),(3375,4015,1.1481,2.2609),(3375,4025,1.4997,2.3199),(3375,4035,1.877,2.3698),(3375,4045,2.2543,2.4003),(3375,4055,2.4148,2.4307),(3375,4065,2.4961,2.4531),(3375,4075,2.5774,2.4273),(3375,4085,2.5907,2.4015),(3375,4095,2.5492,2.3757),(3375,4105,2.5077,2.3529),(3375,4115,2.4011,2.3303),(3375,4125,2.1868,2.3076),(3375,4135,1.9724,2.2913),(3375,4145,1.759,2.2767),(3375,4155,1.55,2.262),(3375,4165,1.3409,2.2515),(3375,4175,1.1431,2.2436),(3375,4185,1.5064,2.2356),(3375,4195,1.8696,2.222),(3375,4205,2.2329,2.2009),(3375,4215,2.2818,2.1798),(3375,4225,2.2716,2.1588),(3375,4235,2.2614,2.138),(3375,4245,2.2219,2.1172),(3375,4255,2.1675,2.0963),(3375,4265,2.1131,2.0744),(3375,4275,1.8572,2.0525),(3375,4285,1.3875,2.0306),(3375,4295,0.91774,2.0255),(3375,4305,0.72862,2.0224),(3375,4315,1.1731,2.0192),(3375,4325,1.6176,2.0063),(3375,4335,2.0123,1.9895),(3375,4345,2.07,1.9726),(3375,4355,2.1278,1.955),(3375,4365,2.1856,1.9368),(3375,4375,2.1888,1.9185),(3375,4385,2.1891,1.9005),(3375,4395,2.1895,1.883),(3375,4405,1.9297,1.8655),(3375,4415,1.5932,1.8497),(3375,4425,1.2567,1.8417),(3375,4435,1.1141,1.8336),(3375,4445,1.1038,1.8256),(3375,4455,1.0936,1.8182),(3375,4465,1.2267,1.8109),(3375,4475,1.5612,1.8035),(3375,4485,1.8957,1.7888),(3375,4495,2.151,1.7726),(3375,4505,2.1524,1.7563),(3375,4515,2.1539,1.7402),(3375,4525,2.151,1.7242),(3375,4535,2.0803,1.7082),(3375,4545,2.0097,1.6929),(3375,4555,1.9391,1.6785),(3375,4565,1.4938,1.6641),(3375,4575,0.99809,1.6534),(3375,4585,0.50236,1.6519),(3375,4595,0.70429,1.6504),(3375,4605,1.201,1.647),(3375,4615,1.6977,1.6289),(3375,4625,1.9618,1.6108),(3375,4635,2.0154,1.5927),(3375,4645,2.0689,1.5771),(3375,4655,2.1064,1.5616),(3375,4665,2.1137,1.5461),(3375,4675,2.1211,1.5312),(3375,4685,2.0548,1.5165),(3375,4695,1.6248,1.5018),(3375,4705,1.1948,1.4929),(3375,4715,0.76484,1.4881),(3375,4725,0.96913,1.4833),(3375,4735,1.1798,1.4769),(3375,4745,1.3904,1.4679),(3375,4755,1.6052,1.459),(3375,4765,1.8209,1.449),(3375,4775,2.0366,1.4355),(3375,4785,2.117,1.4221),(3375,4795,2.1193,1.4086),(3375,4805,2.1216,1.3951),(3375,4815,2.022,1.3817),(3375,4825,1.8006,1.3682),(3375,4835,1.5791,1.3589),(3375,4845,1.3553,1.3501),(3375,4855,1.1253,1.3414),(3375,4865,0.8952,1.3362),(3375,4875,0.73267,1.3326),(3375,4885,1.1845,1.329),(3375,4895,1.6363,1.3209),(3375,4905,2.0881,1.3084),(3375,4915,2.1239,1.2959),(3375,4925,2.1239,1.2834),(3375,4935,2.1239,1.2709),(3375,4945,2.0985,1.2583),(3375,4955,2.0644,1.2455),(3375,4965,2.0302,1.2305),(3375,4975,1.6892,1.2156),(3375,4985,1.1113,1.2007),(3375,4995,0.53335,1.1997),(3375,5005,0.35576,1.1991),(3375,5015,0.81463,1.1984),(3375,5025,1.2735,1.1911),(3375,5035,1.6687,1.1821),(3375,5045,1.8216,1.1732),(3375,5055,1.9744,1.1624),(3375,5065,2.1228,1.1506),(3375,5075,2.1249,1.1388),(3375,5085,2.1271,1.127),(3375,5095,2.1293,1.1152),(3375,5105,1.8629,1.1035),(3375,5115,1.5498,1.0932),(3375,5125,1.2366,1.0871),(3375,5135,1.0797,1.081),(3375,5145,0.9987,1.075),(3375,5155,0.91768,1.0707),(3375,5165,1.0772,1.0664),(3375,5175,1.482,1.0621),(3375,5185,1.8868,1.0516),(3375,5195,2.1639,1.0406),(3375,5205,2.1656,1.0295),(3375,5215,2.1673,1.0185),(3375,5225,2.1577,1.0075),(3375,5235,2.0778,0.99655),(3375,5245,1.9979,0.98632),(3375,5255,1.918,0.9767),(3375,5265,1.3535,0.96708),(3375,5275,0.76898,0.96099),(3375,5285,0.18448,0.96088),(3375,5295,0.56863,0.96077),(3375,5305,1.2225,0.95833),(3375,5315,1.8764,0.94619),(3375,5325,2.1485,0.93406),(3375,5335,2.1701,0.92195),(3375,5345,2.1917,0.91179),(3375,5355,2.2048,0.90163),(3375,5365,2.2063,0.89147),(3375,5375,2.2079,0.88151),(3375,5385,2.0831,0.87159),(3375,5395,1.5746,0.86167),(3375,5405,1.066,0.8566),(3375,5415,0.61293,0.85405),(3375,5425,0.90447,0.8515),(3375,5435,1.196,0.8478),(3375,5445,1.4876,0.84286),(3375,5455,1.7669,0.83792),(3375,5465,2.0447,0.83212),(3375,5475,2.3225,0.82432),(3375,5485,2.4018,0.81652),(3375,5495,2.4011,0.80875),(3375,5505,2.4003,0.80116),(3375,5515,2.3996,0.79356),(3375,5525,2.3989,0.78597),(3375,5535,2.3983,0.77859),(3375,5545,2.3975,0.77121),(3375,5555,2.3968,0.76384),(3375,5565,2.396,0.75662),(3375,5575,2.3953,0.74945),(3375,5585,2.3945,0.74227),(3375,5595,2.3937,0.73522),(3375,5605,2.3929,0.72824),(3375,5615,2.392,0.72127),(3375,5625,2.3912,0.71437),(3375,5635,2.3903,0.70756),(3375,5645,2.3895,0.70075),(3375,5655,2.3886,0.69399),(3375,5665,2.3877,0.68734),(3375,5675,2.3868,0.6807),(3375,5685,2.3859,0.67406),(3375,5695,2.3849,0.66757),(3375,5705,2.384,0.66108),(3375,5715,2.383,0.65459),(3375,5725,2.3821,0.64822),(3375,5735,2.3811,0.64186),(3375,5745,2.3801,0.6355),(3375,5755,2.3791,0.62922),(3375,5765,2.3782,0.62299),(3375,5775,2.3771,0.61675),(3375,5785,2.3761,0.61057),(3375,5795,2.3751,0.60445),(3375,5805,2.3741,0.59833),(3375,5815,2.3731,0.59224),(3375,5825,2.372,0.58623),(3375,5835,2.371,0.58022),(3375,5845,2.3699,0.57423),(3375,5855,2.3689,0.56832),(3375,5865,2.3678,0.56241),(3375,5875,2.3667,0.55651),(3375,5885,2.3656,0.55069),(3375,5895,2.3646,0.54488),(3375,5905,2.3635,0.53907),(3375,5915,2.3624,0.53333),(3375,5925,2.3612,0.52761),(3375,5935,2.3601,0.52189),(3375,5945,2.359,0.51622),(3375,5955,2.3579,0.51059),(3375,5965,2.3567,0.50495),(3375,5975,2.3556,0.49936),(3375,5985,2.3545,0.49381),(3375,5995,1.8002,0.48826),(3375,6005,1.157,0.48403),(3375,6015,0.51374,0.48332),(3375,6025,0.66153,0.48261),(3375,6035,1.1762,0.48134),(3375,6045,1.6909,0.4747),(3375,6055,2.048,0.46805),(3375,6065,2.2506,0.4614),(3375,6075,2.4531,0.45277),(3375,6085,2.5899,0.44396),(3375,6095,2.5911,0.43515),(3375,6105,2.5922,0.42631),(3375,6115,2.5934,0.41747),(3375,6125,2.5945,0.40863),(3375,6135,2.5956,0.39987),(3375,6145,2.5967,0.39118),(3375,6155,2.5978,0.38249),(3375,6165,2.5988,0.37383),(3375,6175,2.5998,0.36521),(3375,6185,2.6008,0.3566),(3375,6195,2.6018,0.348),(3375,6205,2.6028,0.3395),(3375,6215,2.6037,0.33099),(3375,6225,2.6046,0.32249),(3375,6235,2.6054,0.314),(3375,6245,2.6063,0.30552),(3375,6255,2.6071,0.29703),(3375,6265,2.6079,0.28858),(3375,6275,2.6087,0.28014),(3375,6285,2.6095,0.2717),(3375,6295,2.6102,0.26333),(3375,6305,2.611,0.25499),(3375,6315,2.6116,0.24666),(3375,6325,2.6123,0.23836),(3375,6335,2.613,0.23011),(3375,6345,2.6136,0.22186),(3375,6355,2.6141,0.21362),(3375,6365,2.6147,0.20539),(3375,6375,2.6153,0.19717),(3375,6385,2.6158,0.18894),(3375,6395,2.6163,0.18072),(3375,6405,2.6168,0.17249),(3375,6415,2.6173,0.16427),(3375,6425,2.6177,0.15609),(3375,6435,2.6181,0.14792),(3375,6445,2.6185,0.13975),(3375,6455,2.6189,0.13165),(3375,6465,2.6193,0.12357),(3375,6475,2.6196,0.11549),(3375,6485,2.6199,0.10741),(3375,6495,2.6202,0.099329),(3375,6505,2.6204,0.091249),(3375,6515,2.6207,0.083172),(3375,6525,2.6209,0.075101),(3375,6535,2.6211,0.06703),(3375,6545,2.6212,0.058957),(3375,6555,2.6214,0.05088),(3375,6565,2.6215,0.042802),(3375,6575,2.6216,0.034729),(3375,6585,2.6217,0.026711),(3375,6595,2.2299,0.018693),(3375,6605,1.4055,0.010676),(3375,6615,0.5811,0.009742),(3375,6625,0.001568,0.009718),(3375,6635,0.001565,0.009694),(3375,6645,0.001562,0.009682),(3375,6655,0.001559,0.009675),(3375,6665,0.001557,0.009667),(3375,6675,0.001554,0.00966),(3375,6685,0.001552,0.009652),(3375,6695,0.001549,0.009645),(3375,6705,0.001547,0.009637),(3375,6715,0.001545,0.00963),(3375,6725,0.001543,0.009622),(3375,6735,0.001541,0.009615),(3375,6745,0.001539,0.009607),(3375,6755,0.001537,0.0096),(3375,6765,0.001535,0.009592),(3375,6775,0.001533,0.009584),(3375,6785,0.001532,0.009577),(3375,6795,0.00153,0.009569),(3375,6805,0.001528,0.009561),(3375,6815,0.001527,0.009554),(3375,6825,0.001525,0.009546),(3375,6835,0.001524,0.009538),(3375,6845,0.001522,0.009531),(3375,6855,0.001521,0.009523),(3375,6865,0.00152,0.009515),(3375,6875,0.001519,0.009507),(3375,6885,0.001518,0.009499),(3375,6895,0.001517,0.009492),(3375,6905,0.001515,0.009484),(3375,6915,0.001515,0.009476),(3375,6925,0.001514,0.009468),(3375,6935,0.001513,0.00946),(3375,6945,0.001512,0.009452),(3375,6955,0.001511,0.009444),(3375,6965,0.00151,0.009436),(3375,6975,0.001509,0.009428),(3375,6985,0.001509,0.00942),(3385,5,4e-06,3.6889),(3385,15,1.2e-05,3.6889),(3385,25,1.9e-05,3.6889),(3385,35,2.7e-05,3.6889),(3385,45,3.4e-05,3.6889),(3385,55,4.2e-05,3.6889),(3385,65,4.9e-05,3.6889),(3385,75,5.6e-05,3.6889),(3385,85,6.3e-05,3.6889),(3385,95,7e-05,3.6889),(3385,105,7.7e-05,3.6889),(3385,115,8.3e-05,3.6889),(3385,125,8.9e-05,3.6889),(3385,135,9.5e-05,3.6889),(3385,145,0.0001,3.6889),(3385,155,0.000105,3.6889),(3385,165,0.00011,3.6889),(3385,175,0.000114,3.6889),(3385,185,0.000118,3.6889),(3385,195,0.000121,3.6889),(3385,205,0.000124,3.6889),(3385,215,0.000127,3.6889),(3385,225,0.000129,3.6889),(3385,235,0.00013,3.6889),(3385,245,0.000131,3.6889),(3385,255,0.000132,3.6889),(3385,265,0.000131,3.6889),(3385,275,0.00013,3.6889),(3385,285,0.000129,3.6889),(3385,295,0.000127,3.6889),(3385,305,0.000124,3.6889),(3385,315,0.00012,3.6889),(3385,325,0.000116,3.6889),(3385,335,0.000112,3.6889),(3385,345,0.000105,3.6889),(3385,355,9.7e-05,3.689),(3385,365,9e-05,3.689),(3385,375,8.2e-05,3.689),(3385,385,7.2e-05,3.689),(3385,395,6e-05,3.689),(3385,405,4.9e-05,3.689),(3385,415,3.8e-05,3.689),(3385,425,2.3e-05,3.689),(3385,435,7e-06,3.689),(3385,445,-8e-06,3.689),(3385,455,-2.3e-05,3.6891),(3385,465,-4.3e-05,3.6891),(3385,475,-6.3e-05,3.6891),(3385,485,-8.3e-05,3.6891),(3385,495,-0.000103,3.6891),(3385,505,-0.000128,3.6891),(3385,515,-0.000153,3.6891),(3385,525,-0.000178,3.6892),(3385,535,-0.000203,3.6892),(3385,545,-0.000234,3.6892),(3385,555,-0.000265,3.6892),(3385,565,-0.000295,3.6892),(3385,575,-0.000326,3.6893),(3385,585,-0.000363,3.6893),(3385,595,-0.0004,3.6893),(3385,605,-0.000437,3.6893),(3385,615,-0.000474,3.6894),(3385,625,-0.000518,3.6894),(3385,635,-0.000562,3.6894),(3385,645,-0.000605,3.6894),(3385,655,-0.00065,3.6895),(3385,665,-0.000701,3.6895),(3385,675,-0.000751,3.6895),(3385,685,-0.000802,3.6896),(3385,695,-0.000854,3.6896),(3385,705,-0.000913,3.6897),(3385,715,-0.000971,3.6897),(3385,725,-0.001029,3.6897),(3385,735,-0.001089,3.6898),(3385,745,-0.001155,3.6898),(3385,755,-0.001221,3.6899),(3385,765,-0.001287,3.6899),(3385,775,-0.001355,3.69),(3385,785,-0.00143,3.69),(3385,795,-0.001505,3.6901),(3385,805,-0.00158,3.6902),(3385,815,-0.001657,3.6902),(3385,825,-0.001741,3.6903),(3385,835,-0.001825,3.6903),(3385,845,-0.001909,3.6904),(3385,855,-0.001995,3.6905),(3385,865,-0.002088,3.6906),(3385,875,-0.002181,3.6906),(3385,885,-0.002274,3.6907),(3385,895,-0.00237,3.6908),(3385,905,-0.002472,3.6909),(3385,915,-0.002574,3.691),(3385,925,-0.002677,3.6911),(3385,935,-0.002783,3.6912),(3385,945,-0.002895,3.6913),(3385,955,-0.003007,3.6914),(3385,965,-0.003119,3.6915),(3385,975,-0.003236,3.6916),(3385,985,-0.003358,3.6917),(3385,995,-0.00348,3.6918),(3385,1005,-0.003602,3.692),(3385,1015,-0.003729,3.6921),(3385,1025,-0.00386,3.6922),(3385,1035,-0.003992,3.6923),(3385,1045,-0.004123,3.6925),(3385,1055,-0.00426,3.6926),(3385,1065,-0.004401,3.6928),(3385,1075,-0.004542,3.6929),(3385,1085,-0.004683,3.6931),(3385,1095,-0.00483,3.6933),(3385,1105,-0.00498,3.6934),(3385,1115,-0.005131,3.6936),(3385,1125,-0.005282,3.6938),(3385,1135,-0.005439,3.694),(3385,1145,-0.005599,3.6942),(3385,1155,-0.005759,3.6944),(3385,1165,-0.005919,3.6946),(3385,1175,-0.006085,3.6948),(3385,1185,-0.006254,3.695),(3385,1195,-0.006423,3.6952),(3385,1205,-0.006592,3.6955),(3385,1215,-0.006767,3.6957),(3385,1225,-0.006944,3.6959),(3385,1235,-0.007122,3.6962),(3385,1245,-0.007299,3.6964),(3385,1255,-0.007482,3.6967),(3385,1265,-0.007667,3.697),(3385,1275,-0.007853,3.6972),(3385,1285,-0.008038,3.6975),(3385,1295,-0.00823,3.6978),(3385,1305,-0.008422,3.6981),(3385,1315,-0.008615,3.6984),(3385,1325,-0.008808,3.6987),(3385,1335,-0.009007,3.6991),(3385,1345,-0.009207,3.6994),(3385,1355,-0.009406,3.6997),(3385,1365,-0.009606,3.7001),(3385,1375,-0.009811,3.7004),(3385,1385,-0.010017,3.7008),(3385,1395,-0.010223,3.7012),(3385,1405,-0.010429,3.7016),(3385,1415,-0.01064,3.7019),(3385,1425,-0.010852,3.7023),(3385,1435,-0.011064,3.7027),(3385,1445,-0.011276,3.7032),(3385,1455,-0.011493,3.7036),(3385,1465,-0.011711,3.704),(3385,1475,-0.011928,3.7045),(3385,1485,-0.012146,3.7049),(3385,1495,-0.012369,3.7054),(3385,1505,-0.012592,3.7058),(3385,1515,-0.012815,3.7063),(3385,1525,-0.013038,3.7068),(3385,1535,-0.013266,3.7073),(3385,1545,-0.013494,3.7078),(3385,1555,-0.013722,3.7084),(3385,1565,-0.01395,3.7089),(3385,1575,-0.014184,3.7094),(3385,1585,-0.014417,3.71),(3385,1595,-0.01465,3.7106),(3385,1605,-0.014883,3.7111),(3385,1615,-0.015122,3.7117),(3385,1625,-0.01536,3.7123),(3385,1635,-0.015599,3.713),(3385,1645,-0.015838,3.7136),(3385,1655,-0.016082,3.7142),(3385,1665,-0.016326,3.7149),(3385,1675,-0.01657,3.7155),(3385,1685,-0.016816,3.7162),(3385,1695,-0.017066,3.7169),(3385,1705,-0.017316,3.7176),(3385,1715,-0.017566,3.7183),(3385,1725,-0.017817,3.7191),(3385,1735,-0.018074,3.7198),(3385,1745,-0.01833,3.7206),(3385,1755,-0.018586,3.7214),(3385,1765,-0.018844,3.7222),(3385,1775,-0.019107,3.723),(3385,1785,-0.01937,3.7238),(3385,1795,-0.019633,3.7246),(3385,1805,-0.019899,3.7255),(3385,1815,-0.020169,3.7264),(3385,1825,-0.020439,3.7272),(3385,1835,-0.02071,3.7282),(3385,1845,-0.020983,3.7291),(3385,1855,-0.021261,3.73),(3385,1865,-0.021539,3.731),(3385,1875,-0.021816,3.732),(3385,1885,-0.022097,3.733),(3385,1895,-0.022383,3.7341),(3385,1905,-0.022668,3.7351),(3385,1915,-0.022954,3.7362),(3385,1925,-0.023242,3.7373),(3385,1935,-0.023534,3.7384),(3385,1945,-0.023827,3.7396),(3385,1955,-0.024119,3.7408),(3385,1965,-0.024414,3.742),(3385,1975,-0.024712,3.7432),(3385,1985,-0.02501,3.7444),(3385,1995,-0.025309,3.7458),(3385,2005,-0.025609,3.7471),(3385,2015,-0.02591,3.7484),(3385,2025,-0.026212,3.7498),(3385,2035,-0.026514,3.7512),(3385,2045,-0.026816,3.7527),(3385,2055,-0.027119,3.7541),(3385,2065,-0.027421,3.7556),(3385,2075,-0.027723,3.7572),(3385,2085,-0.028023,3.7588),(3385,2095,-0.028321,3.7604),(3385,2105,-0.028619,3.7621),(3385,2115,-0.028916,3.7638),(3385,2125,-0.029207,3.7656),(3385,2135,-0.029492,3.7673),(3385,2145,-0.029777,3.7692),(3385,2155,-0.030063,3.7711),(3385,2165,-0.030333,3.7731),(3385,2175,-0.030595,3.775),(3385,2185,-0.030857,3.7771),(3385,2195,-0.031119,3.7792),(3385,2205,-0.031354,3.7814),(3385,2215,-0.031578,3.7835),(3385,2225,-0.031801,3.7858),(3385,2235,-0.032025,3.7882),(3385,2245,-0.032205,3.7906),(3385,2255,-0.03237,3.793),(3385,2265,-0.032534,3.7956),(3385,2275,-0.032699,3.7982),(3385,2285,-0.032796,3.8009),(3385,2295,-0.032873,3.8035),(3385,2305,-0.032951,3.8064),(3385,2315,-0.033029,3.8094),(3385,2325,-0.033005,3.8123),(3385,2335,-0.032959,3.8153),(3385,2345,-0.032912,3.8185),(3385,2355,-0.032866,3.8218),(3385,2365,-0.032672,3.8251),(3385,2375,-0.032453,3.8284),(3385,2385,-0.032235,3.832),(3385,2395,-0.032016,3.8356),(3385,2405,-0.031587,3.8393),(3385,2415,-0.031133,3.8429),(3385,2425,-0.03068,3.847),(3385,2435,-0.030226,3.851),(3385,2445,-0.029478,3.8551),(3385,2455,-0.028711,3.8591),(3385,2465,-0.027943,3.8636),(3385,2475,-0.027176,3.8681),(3385,2485,-0.026007,3.8725),(3385,2495,-0.024827,3.877),(3385,2505,-0.023648,3.8819),(3385,2515,-0.022461,3.8868),(3385,2525,-0.020754,3.8917),(3385,2535,-0.019047,3.8967),(3385,2545,-0.01734,3.902),(3385,2555,-0.015596,3.9073),(3385,2565,-0.013226,3.9126),(3385,2575,-0.010857,3.918),(3385,2585,-0.008487,3.9236),(3385,2595,-0.006041,3.9293),(3385,2605,-0.002861,3.935),(3385,2615,0.000318,3.9407),(3385,2625,0.003497,3.9467),(3385,2635,0.006804,3.9527),(3385,2645,0.010941,3.9587),(3385,2655,0.015078,3.9646),(3385,2665,0.019215,3.9708),(3385,2675,0.02354,3.9769),(3385,2685,0.028767,3.983),(3385,2695,0.033994,3.9891),(3385,2705,0.039221,3.9952),(3385,2715,0.044701,4.0012),(3385,2725,0.051114,4.0073),(3385,2735,0.057527,4.0133),(3385,2745,0.063941,4.0191),(3385,2755,0.070664,4.0249),(3385,2765,0.078303,4.0307),(3385,2775,0.085943,4.0363),(3385,2785,0.093583,4.0416),(3385,2795,0.10157,4.0469),(3385,2805,0.11041,4.0522),(3385,2815,0.11925,4.0572),(3385,2825,0.1281,4.0617),(3385,2835,0.13731,4.0662),(3385,2845,0.14726,4.0707),(3385,2855,0.15722,4.0749),(3385,2865,0.16718,4.0784),(3385,2875,0.1775,4.082),(3385,2885,0.18845,4.0855),(3385,2895,0.1994,4.0886),(3385,2905,0.21035,4.091),(3385,2915,0.22164,4.0934),(3385,2925,0.23344,4.0958),(3385,2935,0.24523,4.0977),(3385,2945,0.25702,4.0988),(3385,2955,0.26912,4.0999),(3385,2965,0.28161,4.101),(3385,2975,0.29409,4.1015),(3385,2985,0.30657,4.1013),(3385,2995,0.31932,4.101),(3385,3005,0.33235,4.1008),(3385,3015,0.34538,4.0998),(3385,3025,0.3584,4.0982),(3385,3035,0.37165,4.0965),(3385,3045,0.38508,4.0948),(3385,3055,0.39852,4.0923),(3385,3065,0.41195,4.0892),(3385,3075,0.42554,4.086),(3385,3085,0.43926,4.0828),(3385,3095,0.45297,4.0788),(3385,3105,0.46669,4.0741),(3385,3115,0.48049,4.0693),(3385,3125,0.49436,4.0646),(3385,3135,0.50823,4.0589),(3385,3145,0.5221,4.0526),(3385,3155,0.53599,4.0463),(3385,3165,0.5499,4.04),(3385,3175,0.5638,4.0326),(3385,3185,0.5777,4.0246),(3385,3195,0.59153,4.0167),(3385,3205,0.60534,4.0087),(3385,3215,0.61914,3.9995),(3385,3225,0.63294,3.9899),(3385,3235,0.64657,3.9802),(3385,3245,0.66012,3.9705),(3385,3255,0.67368,3.9595),(3385,3265,0.68723,3.948),(3385,3275,0.70046,3.9365),(3385,3285,0.7136,3.925),(3385,3295,0.72673,3.9121),(3385,3305,0.73987,3.8987),(3385,3315,0.75249,3.8854),(3385,3325,0.765,3.872),(3385,3335,0.7775,3.8571),(3385,3345,0.79,3.8418),(3385,3355,0.80176,3.8265),(3385,3365,0.81338,3.8113),(3385,3375,0.82501,3.7943),(3385,3385,0.83663,3.777),(3385,3395,0.8472,3.7598),(3385,3405,0.85764,3.7426),(3385,3415,0.86808,3.7235),(3385,3425,0.87852,3.7043),(3385,3435,0.88754,3.6851),(3385,3445,0.89644,3.6659),(3385,3455,0.90535,3.6449),(3385,3465,0.91425,3.6237),(3385,3475,0.9213,3.6026),(3385,3485,0.92828,3.5815),(3385,3495,0.93526,3.5586),(3385,3505,0.94223,3.5357),(3385,3515,0.94687,3.5128),(3385,3525,0.95152,3.4899),(3385,3535,0.95616,3.4655),(3385,3545,0.96068,3.4411),(3385,3555,0.96259,3.4167),(3385,3565,0.96449,3.3922),(3385,3575,0.9664,3.3667),(3385,3585,0.96805,3.3412),(3385,3595,0.96688,3.3156),(3385,3605,0.96572,3.29),(3385,3615,0.96456,3.2638),(3385,3625,0.96299,3.2375),(3385,3635,0.95852,3.2113),(3385,3645,0.95406,3.185),(3385,3655,0.9496,3.1585),(3385,3665,0.94457,3.132),(3385,3675,0.9367,3.1055),(3385,3685,0.92883,3.079),(3385,3695,0.92096,3.0526),(3385,3705,0.91239,3.0262),(3385,3715,0.90108,2.9997),(3385,3725,0.88976,2.9734),(3385,3735,0.87844,2.9471),(3385,3745,0.86627,2.9209),(3385,3755,0.85142,2.8946),(3385,3765,0.83656,2.8683),(3385,3775,0.82171,2.8418),(3385,3785,0.80575,2.8153),(3385,3795,0.78699,2.7889),(3385,3805,0.76823,2.7619),(3385,3815,0.74946,2.7338),(3385,3825,0.7291,2.7058),(3385,3835,0.70538,2.6777),(3385,3845,0.68165,2.6478),(3385,3855,0.65792,2.6143),(3385,3865,0.63142,2.5808),(3385,3875,0.60001,2.5473),(3385,3885,0.5686,2.5072),(3385,3895,0.53719,2.4565),(3385,3905,0.50198,2.4058),(3385,3915,0.4611,2.355),(3385,3925,0.42022,2.2833),(3385,3935,0.37934,2.1827),(3385,3945,0.40982,2.0822),(3385,3955,0.5309,1.9816),(3385,3965,0.65198,1.9302),(3385,3975,0.77306,1.9365),(3385,3985,0.87173,1.9427),(3385,3995,0.94612,1.949),(3385,4005,1.0205,1.979),(3385,4015,1.0949,2.0326),(3385,4025,1.4364,2.0863),(3385,4035,1.804,2.1441),(3385,4045,2.1717,2.2106),(3385,4055,2.3472,2.2772),(3385,4065,2.4527,2.3333),(3385,4075,2.5582,2.3272),(3385,4085,2.5847,2.3211),(3385,4095,2.5476,2.3151),(3385,4105,2.5105,2.2999),(3385,4115,2.4068,2.2843),(3385,4125,2.1924,2.2688),(3385,4135,1.9781,2.256),(3385,4145,1.7647,2.2439),(3385,4155,1.5547,2.2318),(3385,4165,1.3447,2.2229),(3385,4175,1.1461,2.2161),(3385,4185,1.5124,2.2093),(3385,4195,1.8787,2.1968),(3385,4205,2.2449,2.1768),(3385,4215,2.2944,2.1568),(3385,4225,2.2843,2.1367),(3385,4235,2.2742,2.1166),(3385,4245,2.2351,2.0965),(3385,4255,2.1813,2.0763),(3385,4265,2.1275,2.0548),(3385,4275,1.8698,2.0333),(3385,4285,1.3958,2.0118),(3385,4295,0.92176,2.0069),(3385,4305,0.73052,2.004),(3385,4315,1.1778,2.001),(3385,4325,1.6252,1.9884),(3385,4335,2.0224,1.9719),(3385,4345,2.0804,1.9554),(3385,4355,2.1385,1.9381),(3385,4365,2.1965,1.9201),(3385,4375,2.1995,1.9021),(3385,4385,2.1997,1.8844),(3385,4395,2.1998,1.8671),(3385,4405,1.9386,1.8498),(3385,4415,1.6002,1.8342),(3385,4425,1.2619,1.8263),(3385,4435,1.1183,1.8183),(3385,4445,1.1079,1.8103),(3385,4455,1.0975,1.8031),(3385,4465,1.2312,1.7958),(3385,4475,1.5674,1.7885),(3385,4485,1.9036,1.7739),(3385,4495,2.1603,1.7578),(3385,4505,2.1616,1.7416),(3385,4515,2.1629,1.7256),(3385,4525,2.16,1.7097),(3385,4535,2.089,1.6937),(3385,4545,2.0181,1.6786),(3385,4555,1.9472,1.6643),(3385,4565,1.4998,1.65),(3385,4575,1.0016,1.6395),(3385,4585,0.50348,1.6379),(3385,4595,0.7072,1.6364),(3385,4605,1.2075,1.633),(3385,4615,1.7078,1.615),(3385,4625,1.9731,1.5969),(3385,4635,2.0256,1.5789),(3385,4645,2.0781,1.5633),(3385,4655,2.1149,1.5479),(3385,4665,2.122,1.5325),(3385,4675,2.129,1.5177),(3385,4685,2.0622,1.5031),(3385,4695,1.6305,1.4886),(3385,4705,1.1988,1.4797),(3385,4715,0.7671,1.475),(3385,4725,0.97204,1.4703),(3385,4735,1.1834,1.4639),(3385,4745,1.3947,1.455),(3385,4755,1.6101,1.4461),(3385,4765,1.8266,1.4361),(3385,4775,2.043,1.4227),(3385,4785,2.1237,1.4092),(3385,4795,2.126,1.3957),(3385,4805,2.1282,1.3823),(3385,4815,2.0282,1.3689),(3385,4825,1.8061,1.3554),(3385,4835,1.5839,1.3461),(3385,4845,1.3593,1.3373),(3385,4855,1.1283,1.3286),(3385,4865,0.89735,1.3234),(3385,4875,0.73414,1.3199),(3385,4885,1.1873,1.3163),(3385,4895,1.6404,1.3083),(3385,4905,2.0935,1.2959),(3385,4915,2.1294,1.2834),(3385,4925,2.1294,1.271),(3385,4935,2.1294,1.2586),(3385,4945,2.1047,1.2462),(3385,4955,2.0714,1.2334),(3385,4965,2.038,1.2186),(3385,4975,1.6959,1.2038),(3385,4985,1.1155,1.189),(3385,4995,0.53498,1.188),(3385,5005,0.35627,1.1874),(3385,5015,0.81627,1.1867),(3385,5025,1.2763,1.1795),(3385,5035,1.6725,1.1705),(3385,5045,1.8257,1.1616),(3385,5055,1.9789,1.1509),(3385,5065,2.1277,1.1391),(3385,5075,2.1298,1.1273),(3385,5085,2.132,1.1155),(3385,5095,2.1341,1.1038),(3385,5105,1.8671,1.0921),(3385,5115,1.5532,1.0819),(3385,5125,1.2393,1.0758),(3385,5135,1.0819,1.0697),(3385,5145,1.0006,1.0638),(3385,5155,0.91931,1.0595),(3385,5165,1.0791,1.0552),(3385,5175,1.4847,1.0509),(3385,5185,1.8903,1.0405),(3385,5195,2.168,1.0295),(3385,5205,2.1696,1.0184),(3385,5215,2.1713,1.0075),(3385,5225,2.1616,0.99655),(3385,5235,2.0815,0.98563),(3385,5245,2.0015,0.97544),(3385,5255,1.9214,0.96586),(3385,5265,1.3558,0.95628),(3385,5275,0.77024,0.95021),(3385,5285,0.18464,0.95011),(3385,5295,0.56983,0.95001),(3385,5305,1.2254,0.9476),(3385,5315,1.8809,0.93556),(3385,5325,2.1532,0.92353),(3385,5335,2.1742,0.91152),(3385,5345,2.1952,0.90144),(3385,5355,2.2078,0.89135),(3385,5365,2.2093,0.88127),(3385,5375,2.2107,0.87138),(3385,5385,2.0858,0.86153),(3385,5395,1.5765,0.85168),(3385,5405,1.0673,0.84665),(3385,5415,0.61355,0.84413),(3385,5425,0.90495,0.8416),(3385,5435,1.1963,0.83795),(3385,5445,1.4877,0.83309),(3385,5455,1.767,0.82823),(3385,5465,2.0449,0.82252),(3385,5475,2.3227,0.81484),(3385,5485,2.4019,0.80715),(3385,5495,2.4011,0.7995),(3385,5505,2.4004,0.79202),(3385,5515,2.3996,0.78454),(3385,5525,2.3988,0.77706),(3385,5535,2.3981,0.76978),(3385,5545,2.3973,0.76251),(3385,5555,2.3965,0.75525),(3385,5565,2.3957,0.74813),(3385,5575,2.3949,0.74107),(3385,5585,2.3941,0.734),(3385,5595,2.3932,0.72704),(3385,5605,2.3924,0.72017),(3385,5615,2.3915,0.7133),(3385,5625,2.3906,0.70649),(3385,5635,2.3897,0.69978),(3385,5645,2.3887,0.69307),(3385,5655,2.3878,0.6864),(3385,5665,2.3869,0.67985),(3385,5675,2.3859,0.6733),(3385,5685,2.385,0.66676),(3385,5695,2.384,0.66036),(3385,5705,2.383,0.65396),(3385,5715,2.382,0.64756),(3385,5725,2.381,0.64127),(3385,5735,2.38,0.63499),(3385,5745,2.379,0.62872),(3385,5755,2.378,0.62253),(3385,5765,2.377,0.61638),(3385,5775,2.3759,0.61023),(3385,5785,2.3749,0.60413),(3385,5795,2.3738,0.59809),(3385,5805,2.3728,0.59205),(3385,5815,2.3717,0.58604),(3385,5825,2.3707,0.58011),(3385,5835,2.3696,0.57418),(3385,5845,2.3685,0.56826),(3385,5855,2.3674,0.56242),(3385,5865,2.3663,0.55659),(3385,5875,2.3652,0.55075),(3385,5885,2.3641,0.54501),(3385,5895,2.363,0.53927),(3385,5905,2.3619,0.53353),(3385,5915,2.3607,0.52786),(3385,5925,2.3596,0.5222),(3385,5935,2.3585,0.51654),(3385,5945,2.3573,0.51094),(3385,5955,2.3562,0.50538),(3385,5965,2.355,0.49981),(3385,5975,2.3539,0.49428),(3385,5985,2.3527,0.48879),(3385,5995,1.7989,0.4833),(3385,6005,1.1561,0.47912),(3385,6015,0.51333,0.47842),(3385,6025,0.66158,0.47772),(3385,6035,1.1767,0.47647),(3385,6045,1.6918,0.46989),(3385,6055,2.0492,0.46331),(3385,6065,2.2519,0.45673),(3385,6075,2.4546,0.44819),(3385,6085,2.5914,0.43947),(3385,6095,2.5925,0.43075),(3385,6105,2.5937,0.42201),(3385,6115,2.5948,0.41326),(3385,6125,2.5959,0.40451),(3385,6135,2.597,0.39584),(3385,6145,2.598,0.38724),(3385,6155,2.599,0.37864),(3385,6165,2.6001,0.37007),(3385,6175,2.6011,0.36154),(3385,6185,2.602,0.35301),(3385,6195,2.603,0.3445),(3385,6205,2.6039,0.33608),(3385,6215,2.6048,0.32766),(3385,6225,2.6057,0.31924),(3385,6235,2.6065,0.31084),(3385,6245,2.6074,0.30244),(3385,6255,2.6082,0.29404),(3385,6265,2.609,0.28568),(3385,6275,2.6098,0.27733),(3385,6285,2.6105,0.26897),(3385,6295,2.6112,0.26068),(3385,6305,2.6119,0.25243),(3385,6315,2.6126,0.24417),(3385,6325,2.6132,0.23596),(3385,6335,2.6139,0.2278),(3385,6345,2.6144,0.21963),(3385,6355,2.615,0.21148),(3385,6365,2.6156,0.20334),(3385,6375,2.6161,0.1952),(3385,6385,2.6166,0.18706),(3385,6395,2.6172,0.17892),(3385,6405,2.6176,0.17078),(3385,6415,2.6181,0.16264),(3385,6425,2.6185,0.15455),(3385,6435,2.6189,0.14647),(3385,6445,2.6193,0.13838),(3385,6455,2.6197,0.13036),(3385,6465,2.62,0.12237),(3385,6475,2.6203,0.11437),(3385,6485,2.6206,0.10637),(3385,6495,2.6209,0.098372),(3385,6505,2.6212,0.090374),(3385,6515,2.6214,0.082382),(3385,6525,2.6216,0.074396),(3385,6535,2.6218,0.06641),(3385,6545,2.622,0.058422),(3385,6555,2.6221,0.050426),(3385,6565,2.6222,0.04243),(3385,6575,2.6223,0.034438),(3385,6585,2.6224,0.026498),(3385,6595,2.2305,0.018558),(3385,6605,1.4059,0.010618),(3385,6615,0.58127,0.009706),(3385,6625,0.001571,0.009697),(3385,6635,0.001568,0.009687),(3385,6645,0.001565,0.009679),(3385,6655,0.001562,0.009672),(3385,6665,0.00156,0.009664),(3385,6675,0.001557,0.009657),(3385,6685,0.001555,0.00965),(3385,6695,0.001553,0.009642),(3385,6705,0.00155,0.009635),(3385,6715,0.001548,0.009628),(3385,6725,0.001546,0.00962),(3385,6735,0.001544,0.009613),(3385,6745,0.001542,0.009605),(3385,6755,0.00154,0.009598),(3385,6765,0.001538,0.00959),(3385,6775,0.001537,0.009583),(3385,6785,0.001535,0.009575),(3385,6795,0.001533,0.009567),(3385,6805,0.001532,0.00956),(3385,6815,0.00153,0.009552),(3385,6825,0.001529,0.009545),(3385,6835,0.001527,0.009537),(3385,6845,0.001526,0.009529),(3385,6855,0.001525,0.009522),(3385,6865,0.001523,0.009514),(3385,6875,0.001522,0.009506),(3385,6885,0.001521,0.009498),(3385,6895,0.00152,0.009491),(3385,6905,0.001519,0.009483),(3385,6915,0.001518,0.009475),(3385,6925,0.001517,0.009467),(3385,6935,0.001516,0.009459),(3385,6945,0.001515,0.009451),(3385,6955,0.001515,0.009443),(3385,6965,0.001514,0.009435),(3385,6975,0.001513,0.009427),(3385,6985,0.001512,0.009419),(3395,5,4e-06,3.6889),(3395,15,1.1e-05,3.6889),(3395,25,1.9e-05,3.6889),(3395,35,2.6e-05,3.6889),(3395,45,3.3e-05,3.6889),(3395,55,4.1e-05,3.6889),(3395,65,4.8e-05,3.6889),(3395,75,5.4e-05,3.6889),(3395,85,6.1e-05,3.6889),(3395,95,6.8e-05,3.6889),(3395,105,7.4e-05,3.6889),(3395,115,8e-05,3.6889),(3395,125,8.6e-05,3.6889),(3395,135,9.2e-05,3.6889),(3395,145,9.7e-05,3.6889),(3395,155,0.000101,3.6889),(3395,165,0.000106,3.6889),(3395,175,0.00011,3.6889),(3395,185,0.000114,3.6889),(3395,195,0.000117,3.6889),(3395,205,0.000119,3.6889),(3395,215,0.000122,3.6889),(3395,225,0.000124,3.6889),(3395,235,0.000124,3.6889),(3395,245,0.000125,3.6889),(3395,255,0.000126,3.6889),(3395,265,0.000125,3.6889),(3395,275,0.000123,3.6889),(3395,285,0.000122,3.6889),(3395,295,0.00012,3.6889),(3395,305,0.000116,3.6889),(3395,315,0.000111,3.6889),(3395,325,0.000107,3.6889),(3395,335,0.000102,3.6889),(3395,345,9.5e-05,3.6889),(3395,355,8.7e-05,3.6889),(3395,365,7.9e-05,3.689),(3395,375,7.1e-05,3.689),(3395,385,6e-05,3.689),(3395,395,4.8e-05,3.689),(3395,405,3.7e-05,3.689),(3395,415,2.5e-05,3.689),(3395,425,9e-06,3.689),(3395,435,-7e-06,3.689),(3395,445,-2.3e-05,3.689),(3395,455,-3.9e-05,3.689),(3395,465,-5.9e-05,3.689),(3395,475,-8e-05,3.6891),(3395,485,-0.000101,3.6891),(3395,495,-0.000121,3.6891),(3395,505,-0.000147,3.6891),(3395,515,-0.000173,3.6891),(3395,525,-0.000199,3.6891),(3395,535,-0.000225,3.6891),(3395,545,-0.000256,3.6892),(3395,555,-0.000288,3.6892),(3395,565,-0.00032,3.6892),(3395,575,-0.000352,3.6892),(3395,585,-0.000389,3.6892),(3395,595,-0.000427,3.6893),(3395,605,-0.000465,3.6893),(3395,615,-0.000504,3.6893),(3395,625,-0.000549,3.6893),(3395,635,-0.000593,3.6894),(3395,645,-0.000638,3.6894),(3395,655,-0.000684,3.6894),(3395,665,-0.000736,3.6895),(3395,675,-0.000788,3.6895),(3395,685,-0.00084,3.6895),(3395,695,-0.000894,3.6896),(3395,705,-0.000954,3.6896),(3395,715,-0.001014,3.6896),(3395,725,-0.001074,3.6897),(3395,735,-0.001135,3.6897),(3395,745,-0.001203,3.6898),(3395,755,-0.001271,3.6898),(3395,765,-0.001339,3.6899),(3395,775,-0.001409,3.6899),(3395,785,-0.001486,3.69),(3395,795,-0.001563,3.69),(3395,805,-0.001639,3.6901),(3395,815,-0.001719,3.6901),(3395,825,-0.001805,3.6902),(3395,835,-0.001891,3.6903),(3395,845,-0.001978,3.6903),(3395,855,-0.002067,3.6904),(3395,865,-0.002162,3.6905),(3395,875,-0.002258,3.6905),(3395,885,-0.002353,3.6906),(3395,895,-0.002452,3.6907),(3395,905,-0.002557,3.6908),(3395,915,-0.002663,3.6909),(3395,925,-0.002768,3.691),(3395,935,-0.002877,3.6911),(3395,945,-0.002992,3.6912),(3395,955,-0.003108,3.6913),(3395,965,-0.003223,3.6914),(3395,975,-0.003343,3.6915),(3395,985,-0.003469,3.6916),(3395,995,-0.003595,3.6917),(3395,1005,-0.00372,3.6918),(3395,1015,-0.003851,3.6919),(3395,1025,-0.003986,3.6921),(3395,1035,-0.004122,3.6922),(3395,1045,-0.004258,3.6924),(3395,1055,-0.004399,3.6925),(3395,1065,-0.004544,3.6926),(3395,1075,-0.00469,3.6928),(3395,1085,-0.004835,3.693),(3395,1095,-0.004987,3.6931),(3395,1105,-0.005142,3.6933),(3395,1115,-0.005298,3.6935),(3395,1125,-0.005453,3.6936),(3395,1135,-0.005615,3.6938),(3395,1145,-0.00578,3.694),(3395,1155,-0.005946,3.6942),(3395,1165,-0.006111,3.6944),(3395,1175,-0.006282,3.6946),(3395,1185,-0.006457,3.6948),(3395,1195,-0.006632,3.6951),(3395,1205,-0.006806,3.6953),(3395,1215,-0.006987,3.6955),(3395,1225,-0.007171,3.6957),(3395,1235,-0.007354,3.696),(3395,1245,-0.007537,3.6963),(3395,1255,-0.007727,3.6965),(3395,1265,-0.007919,3.6968),(3395,1275,-0.008111,3.6971),(3395,1285,-0.008303,3.6973),(3395,1295,-0.008501,3.6976),(3395,1305,-0.008701,3.6979),(3395,1315,-0.008901,3.6982),(3395,1325,-0.0091,3.6985),(3395,1335,-0.009306,3.6989),(3395,1345,-0.009513,3.6992),(3395,1355,-0.00972,3.6995),(3395,1365,-0.009928,3.6999),(3395,1375,-0.01014,3.7002),(3395,1385,-0.010354,3.7006),(3395,1395,-0.010568,3.701),(3395,1405,-0.010781,3.7013),(3395,1415,-0.011001,3.7017),(3395,1425,-0.011221,3.7021),(3395,1435,-0.011441,3.7025),(3395,1445,-0.011661,3.7029),(3395,1455,-0.011887,3.7034),(3395,1465,-0.012114,3.7038),(3395,1475,-0.01234,3.7042),(3395,1485,-0.012567,3.7047),(3395,1495,-0.012799,3.7051),(3395,1505,-0.013031,3.7056),(3395,1515,-0.013263,3.7061),(3395,1525,-0.013496,3.7066),(3395,1535,-0.013734,3.7071),(3395,1545,-0.013971,3.7076),(3395,1555,-0.014209,3.7081),(3395,1565,-0.014448,3.7087),(3395,1575,-0.014691,3.7092),(3395,1585,-0.014935,3.7097),(3395,1595,-0.015179,3.7103),(3395,1605,-0.015423,3.7109),(3395,1615,-0.015673,3.7115),(3395,1625,-0.015923,3.7121),(3395,1635,-0.016172,3.7127),(3395,1645,-0.016423,3.7133),(3395,1655,-0.016679,3.714),(3395,1665,-0.016936,3.7146),(3395,1675,-0.017192,3.7153),(3395,1685,-0.01745,3.716),(3395,1695,-0.017713,3.7166),(3395,1705,-0.017976,3.7173),(3395,1715,-0.01824,3.7181),(3395,1725,-0.018505,3.7188),(3395,1735,-0.018776,3.7195),(3395,1745,-0.019047,3.7203),(3395,1755,-0.019318,3.7211),(3395,1765,-0.019591,3.7219),(3395,1775,-0.019869,3.7227),(3395,1785,-0.020148,3.7235),(3395,1795,-0.020427,3.7244),(3395,1805,-0.020709,3.7252),(3395,1815,-0.020997,3.7261),(3395,1825,-0.021285,3.727),(3395,1835,-0.021573,3.7279),(3395,1845,-0.021864,3.7288),(3395,1855,-0.022162,3.7298),(3395,1865,-0.022459,3.7307),(3395,1875,-0.022757,3.7317),(3395,1885,-0.023058,3.7327),(3395,1895,-0.023365,3.7338),(3395,1905,-0.023673,3.7348),(3395,1915,-0.02398,3.7359),(3395,1925,-0.024291,3.737),(3395,1935,-0.024608,3.7381),(3395,1945,-0.024925,3.7393),(3395,1955,-0.025243,3.7405),(3395,1965,-0.025564,3.7417),(3395,1975,-0.02589,3.7429),(3395,1985,-0.026216,3.7441),(3395,1995,-0.026542,3.7454),(3395,2005,-0.026871,3.7468),(3395,2015,-0.027205,3.7481),(3395,2025,-0.027538,3.7494),(3395,2035,-0.027871,3.7509),(3395,2045,-0.028207,3.7523),(3395,2055,-0.028545,3.7538),(3395,2065,-0.028883,3.7553),(3395,2075,-0.029221,3.7569),(3395,2085,-0.02956,3.7585),(3395,2095,-0.029898,3.7601),(3395,2105,-0.030236,3.7617),(3395,2115,-0.030575,3.7635),(3395,2125,-0.030909,3.7653),(3395,2135,-0.03124,3.767),(3395,2145,-0.031572,3.7689),(3395,2155,-0.031904,3.7708),(3395,2165,-0.032224,3.7728),(3395,2175,-0.032539,3.7747),(3395,2185,-0.032854,3.7768),(3395,2195,-0.033168,3.7789),(3395,2205,-0.033461,3.7811),(3395,2215,-0.033744,3.7832),(3395,2225,-0.034028,3.7856),(3395,2235,-0.034311,3.788),(3395,2245,-0.034557,3.7904),(3395,2255,-0.034789,3.7928),(3395,2265,-0.035021,3.7954),(3395,2275,-0.035254,3.798),(3395,2285,-0.035425,3.8007),(3395,2295,-0.035579,3.8034),(3395,2305,-0.035733,3.8063),(3395,2315,-0.035887,3.8093),(3395,2325,-0.035947,3.8123),(3395,2335,-0.035986,3.8152),(3395,2345,-0.036025,3.8185),(3395,2355,-0.036064,3.8218),(3395,2365,-0.035963,3.8252),(3395,2375,-0.035839,3.8285),(3395,2385,-0.035715,3.8322),(3395,2395,-0.03559,3.8359),(3395,2405,-0.035263,3.8396),(3395,2415,-0.034912,3.8433),(3395,2425,-0.034561,3.8474),(3395,2435,-0.034211,3.8515),(3395,2445,-0.033572,3.8557),(3395,2455,-0.032914,3.8598),(3395,2465,-0.032256,3.8644),(3395,2475,-0.031598,3.8689),(3395,2485,-0.030541,3.8735),(3395,2495,-0.029475,3.8781),(3395,2505,-0.028409,3.8831),(3395,2515,-0.027335,3.8882),(3395,2525,-0.025738,3.8932),(3395,2535,-0.024142,3.8983),(3395,2545,-0.022546,3.9038),(3395,2555,-0.020913,3.9092),(3395,2565,-0.018645,3.9147),(3395,2575,-0.016376,3.9203),(3395,2585,-0.014108,3.9262),(3395,2595,-0.011762,3.9321),(3395,2605,-0.008664,3.9379),(3395,2615,-0.005567,3.9439),(3395,2625,-0.00247,3.9501),(3395,2635,0.00076,3.9563),(3395,2645,0.004846,3.9625),(3395,2655,0.008933,3.9688),(3395,2665,0.013019,3.9752),(3395,2675,0.017302,3.9816),(3395,2685,0.022523,3.988),(3395,2695,0.027743,3.9944),(3395,2705,0.032964,4.0007),(3395,2715,0.038448,4.0071),(3395,2725,0.044909,4.0135),(3395,2735,0.05137,4.0198),(3395,2745,0.057831,4.0259),(3395,2755,0.064616,4.0321),(3395,2765,0.072363,4.0382),(3395,2775,0.080109,4.0442),(3395,2785,0.087856,4.0498),(3395,2795,0.09597,4.0553),(3395,2805,0.10497,4.0609),(3395,2815,0.11398,4.0663),(3395,2825,0.12298,4.0711),(3395,2835,0.13237,4.0759),(3395,2845,0.14254,4.0807),(3395,2855,0.15272,4.0851),(3395,2865,0.16289,4.0889),(3395,2875,0.17344,4.0927),(3395,2885,0.18464,4.0965),(3395,2895,0.19584,4.0999),(3395,2905,0.20704,4.1025),(3395,2915,0.2186,4.1051),(3395,2925,0.23068,4.1077),(3395,2935,0.24275,4.1098),(3395,2945,0.25483,4.1111),(3395,2955,0.26722,4.1124),(3395,2965,0.28001,4.1137),(3395,2975,0.29279,4.1143),(3395,2985,0.30558,4.1142),(3395,2995,0.31864,4.1141),(3395,3005,0.33199,4.114),(3395,3015,0.34534,4.1132),(3395,3025,0.35869,4.1116),(3395,3035,0.37226,4.1101),(3395,3045,0.38602,4.1085),(3395,3055,0.39979,4.1061),(3395,3065,0.41356,4.103),(3395,3075,0.42749,4.0999),(3395,3085,0.44155,4.0968),(3395,3095,0.45561,4.0928),(3395,3105,0.46967,4.0881),(3395,3115,0.48383,4.0835),(3395,3125,0.49806,4.0788),(3395,3135,0.51229,4.0731),(3395,3145,0.52651,4.0668),(3395,3155,0.54077,4.0605),(3395,3165,0.55505,4.0542),(3395,3175,0.56932,4.0468),(3395,3185,0.5836,4.0388),(3395,3195,0.59782,4.0308),(3395,3205,0.61201,4.0229),(3395,3215,0.6262,4.0136),(3395,3225,0.6404,4.0039),(3395,3235,0.65442,3.9942),(3395,3245,0.66839,3.9844),(3395,3255,0.68235,3.9733),(3395,3265,0.69632,3.9617),(3395,3275,0.70997,3.9501),(3395,3285,0.72354,3.9385),(3395,3295,0.7371,3.9255),(3395,3305,0.75066,3.912),(3395,3315,0.76373,3.8985),(3395,3325,0.77668,3.885),(3395,3335,0.78963,3.8698),(3395,3345,0.80258,3.8543),(3395,3355,0.8148,3.8388),(3395,3365,0.82688,3.8233),(3395,3375,0.83896,3.8061),(3395,3385,0.85105,3.7885),(3395,3395,0.86208,3.771),(3395,3405,0.87299,3.7534),(3395,3415,0.88389,3.734),(3395,3425,0.89479,3.7144),(3395,3435,0.90427,3.6948),(3395,3445,0.91363,3.6752),(3395,3455,0.92299,3.6537),(3395,3465,0.93235,3.6321),(3395,3475,0.93982,3.6104),(3395,3485,0.94722,3.5888),(3395,3495,0.95462,3.5654),(3395,3505,0.96202,3.5419),(3395,3515,0.96702,3.5184),(3395,3525,0.97203,3.4948),(3395,3535,0.97704,3.4697),(3395,3545,0.98192,3.4446),(3395,3555,0.98411,3.4195),(3395,3565,0.9863,3.3943),(3395,3575,0.9885,3.368),(3395,3585,0.99042,3.3417),(3395,3595,0.98944,3.3153),(3395,3605,0.98845,3.2889),(3395,3615,0.98747,3.2618),(3395,3625,0.98607,3.2347),(3395,3635,0.98169,3.2076),(3395,3645,0.9773,3.1805),(3395,3655,0.97292,3.1531),(3395,3665,0.96796,3.1257),(3395,3675,0.9601,3.0983),(3395,3685,0.95223,3.071),(3395,3695,0.94437,3.0437),(3395,3705,0.9358,3.0164),(3395,3715,0.92449,2.9891),(3395,3725,0.91317,2.9619),(3395,3735,0.90185,2.9347),(3395,3745,0.88971,2.9076),(3395,3755,0.87497,2.8805),(3395,3765,0.86024,2.8533),(3395,3775,0.8455,2.8259),(3395,3785,0.82977,2.7986),(3395,3795,0.81151,2.7712),(3395,3805,0.79324,2.7433),(3395,3815,0.77498,2.7142),(3395,3825,0.75546,2.6851),(3395,3835,0.73329,2.656),(3395,3845,0.71112,2.625),(3395,3855,0.68895,2.5903),(3395,3865,0.6652,2.5556),(3395,3875,0.63866,2.5209),(3395,3885,0.61212,2.4796),(3395,3895,0.58557,2.4278),(3395,3905,0.55911,2.3759),(3395,3915,0.53277,2.3241),(3395,3925,0.50643,2.2518),(3395,3935,0.48008,2.1513),(3395,3945,0.50592,2.0508),(3395,3955,0.59802,1.9503),(3395,3965,0.69012,1.8967),(3395,3975,0.78221,1.8979),(3395,3985,0.85928,1.8992),(3395,3995,0.92007,1.9004),(3395,4005,0.98086,1.924),(3395,4015,1.0417,1.9698),(3395,4025,1.3731,2.0157),(3395,4035,1.7311,2.0693),(3395,4045,2.089,2.1391),(3395,4055,2.2797,2.2089),(3395,4065,2.4093,2.2689),(3395,4075,2.539,2.2703),(3395,4085,2.5787,2.2717),(3395,4095,2.546,2.2731),(3395,4105,2.5134,2.2615),(3395,4115,2.4124,2.2494),(3395,4125,2.1981,2.2374),(3395,4135,1.9839,2.2264),(3395,4145,1.7703,2.2157),(3395,4155,1.5594,2.205),(3395,4165,1.3485,2.1971),(3395,4175,1.1491,2.1911),(3395,4185,1.5184,2.185),(3395,4195,1.8877,2.1733),(3395,4205,2.257,2.1541),(3395,4215,2.307,2.1349),(3395,4225,2.297,2.1156),(3395,4235,2.287,2.096),(3395,4245,2.2483,2.0764),(3395,4255,2.1951,2.0566),(3395,4265,2.1419,2.0354),(3395,4275,1.8825,2.0143),(3395,4285,1.4041,1.9931),(3395,4295,0.92578,1.9884),(3395,4305,0.73243,1.9856),(3395,4315,1.1826,1.9828),(3395,4325,1.6328,1.9704),(3395,4335,2.0325,1.9542),(3395,4345,2.0908,1.938),(3395,4355,2.1491,1.9209),(3395,4365,2.2075,1.9032),(3395,4375,2.2103,1.8855),(3395,4385,2.2102,1.868),(3395,4395,2.2101,1.8509),(3395,4405,1.9474,1.8338),(3395,4415,1.6072,1.8184),(3395,4425,1.267,1.8105),(3395,4435,1.1226,1.8026),(3395,4445,1.112,1.7947),(3395,4455,1.1014,1.7875),(3395,4465,1.2357,1.7803),(3395,4475,1.5737,1.7731),(3395,4485,1.9116,1.7586),(3395,4495,2.1695,1.7425),(3395,4505,2.1708,1.7265),(3395,4515,2.172,1.7106),(3395,4525,2.1689,1.6948),(3395,4535,2.0977,1.679),(3395,4545,2.0265,1.664),(3395,4555,1.9553,1.6498),(3395,4565,1.5057,1.6357),(3395,4575,1.0052,1.6252),(3395,4585,0.5046,1.6237),(3395,4595,0.71011,1.6222),(3395,4605,1.214,1.6188),(3395,4615,1.7178,1.6008),(3395,4625,1.9843,1.5828),(3395,4635,2.0358,1.5648),(3395,4645,2.0874,1.5493),(3395,4655,2.1234,1.534),(3395,4665,2.1302,1.5187),(3395,4675,2.137,1.5041),(3395,4685,2.0697,1.4896),(3395,4695,1.6362,1.4752),(3395,4705,1.2028,1.4664),(3395,4715,0.76936,1.4618),(3395,4725,0.97494,1.4572),(3395,4735,1.1869,1.4508),(3395,4745,1.3989,1.4419),(3395,4755,1.6151,1.433),(3395,4765,1.8322,1.4231),(3395,4775,2.0494,1.4097),(3395,4785,2.1304,1.3962),(3395,4795,2.1326,1.3828),(3395,4805,2.1348,1.3694),(3395,4815,2.0345,1.3559),(3395,4825,1.8116,1.3425),(3395,4835,1.5886,1.3332),(3395,4845,1.3632,1.3245),(3395,4855,1.1313,1.3157),(3395,4865,0.89949,1.3106),(3395,4875,0.7356,1.3071),(3395,4885,1.1901,1.3036),(3395,4895,1.6445,1.2956),(3395,4905,2.099,1.2833),(3395,4915,2.135,1.271),(3395,4925,2.135,1.2587),(3395,4935,2.135,1.2463),(3395,4945,2.1108,1.234),(3395,4955,2.0784,1.2213),(3395,4965,2.0459,1.2066),(3395,4975,1.7027,1.1919),(3395,4985,1.1196,1.1772),(3395,4995,0.53662,1.1762),(3395,5005,0.35678,1.1756),(3395,5015,0.81791,1.175),(3395,5025,1.279,1.1677),(3395,5035,1.6762,1.1588),(3395,5045,1.8299,1.1499),(3395,5055,1.9835,1.1393),(3395,5065,2.1326,1.1275),(3395,5075,2.1347,1.1158),(3395,5085,2.1368,1.1041),(3395,5095,2.1389,1.0924),(3395,5105,1.8713,1.0807),(3395,5115,1.5566,1.0705),(3395,5125,1.2419,1.0645),(3395,5135,1.0842,1.0584),(3395,5145,1.0026,1.0525),(3395,5155,0.92094,1.0482),(3395,5165,1.0809,1.044),(3395,5175,1.4874,1.0397),(3395,5185,1.8938,1.0293),(3395,5195,2.172,1.0183),(3395,5205,2.1736,1.0074),(3395,5215,2.1752,0.99645),(3395,5225,2.1655,0.98557),(3395,5235,2.0853,0.97469),(3395,5245,2.0051,0.96455),(3395,5255,1.9249,0.95501),(3395,5265,1.3582,0.94547),(3395,5275,0.77151,0.93944),(3395,5285,0.18481,0.93934),(3395,5295,0.57104,0.93925),(3395,5305,1.2282,0.93687),(3395,5315,1.8854,0.92494),(3395,5325,2.1579,0.91301),(3395,5335,2.1783,0.90111),(3395,5345,2.1986,0.8911),(3395,5355,2.2108,0.88109),(3395,5365,2.2122,0.87108),(3395,5375,2.2136,0.86127),(3395,5385,2.0884,0.8515),(3395,5395,1.5785,0.84172),(3395,5405,1.0686,0.83674),(3395,5415,0.61418,0.83424),(3395,5425,0.90542,0.83173),(3395,5435,1.1967,0.82814),(3395,5445,1.4879,0.82335),(3395,5455,1.7672,0.81857),(3395,5465,2.0451,0.81295),(3395,5475,2.3229,0.80538),(3395,5485,2.4021,0.79782),(3395,5495,2.4012,0.79028),(3395,5505,2.4004,0.78291),(3395,5515,2.3996,0.77555),(3395,5525,2.3987,0.76818),(3395,5535,2.3979,0.76101),(3395,5545,2.3971,0.75386),(3395,5555,2.3962,0.7467),(3395,5565,2.3954,0.73969),(3395,5575,2.3945,0.73273),(3395,5585,2.3936,0.72576),(3395,5595,2.3927,0.71891),(3395,5605,2.3918,0.71214),(3395,5615,2.3909,0.70536),(3395,5625,2.3899,0.69866),(3395,5635,2.389,0.69204),(3395,5645,2.388,0.68543),(3395,5655,2.387,0.67886),(3395,5665,2.3861,0.6724),(3395,5675,2.3851,0.66594),(3395,5685,2.3841,0.65949),(3395,5695,2.3831,0.65318),(3395,5705,2.3821,0.64687),(3395,5715,2.381,0.64056),(3395,5725,2.38,0.63435),(3395,5735,2.3789,0.62817),(3395,5745,2.3779,0.62198),(3395,5755,2.3768,0.61587),(3395,5765,2.3758,0.60981),(3395,5775,2.3747,0.60374),(3395,5785,2.3736,0.59772),(3395,5795,2.3725,0.59176),(3395,5805,2.3715,0.5858),(3395,5815,2.3704,0.57987),(3395,5825,2.3693,0.57402),(3395,5835,2.3682,0.56816),(3395,5845,2.367,0.56232),(3395,5855,2.3659,0.55656),(3395,5865,2.3648,0.55079),(3395,5875,2.3637,0.54503),(3395,5885,2.3626,0.53936),(3395,5895,2.3614,0.53369),(3395,5905,2.3603,0.52802),(3395,5915,2.3591,0.52241),(3395,5925,2.358,0.51682),(3395,5935,2.3568,0.51123),(3395,5945,2.3557,0.5057),(3395,5955,2.3545,0.50019),(3395,5965,2.3533,0.49469),(3395,5975,2.3521,0.48922),(3395,5985,2.351,0.48379),(3395,5995,1.7975,0.47837),(3395,6005,1.1552,0.47423),(3395,6015,0.51292,0.47354),(3395,6025,0.66162,0.47286),(3395,6035,1.1772,0.47162),(3395,6045,1.6928,0.46511),(3395,6055,2.0504,0.4586),(3395,6065,2.2532,0.45209),(3395,6075,2.456,0.44364),(3395,6085,2.5929,0.43501),(3395,6095,2.594,0.42638),(3395,6105,2.5951,0.41773),(3395,6115,2.5962,0.40907),(3395,6125,2.5973,0.4004),(3395,6135,2.5983,0.39183),(3395,6145,2.5993,0.38332),(3395,6155,2.6003,0.37481),(3395,6165,2.6013,0.36632),(3395,6175,2.6023,0.35788),(3395,6185,2.6032,0.34943),(3395,6195,2.6041,0.34101),(3395,6205,2.6051,0.33267),(3395,6215,2.6059,0.32434),(3395,6225,2.6068,0.31601),(3395,6235,2.6076,0.30769),(3395,6245,2.6084,0.29938),(3395,6255,2.6092,0.29106),(3395,6265,2.61,0.28279),(3395,6275,2.6108,0.27452),(3395,6285,2.6115,0.26625),(3395,6295,2.6122,0.25805),(3395,6305,2.6129,0.24987),(3395,6315,2.6135,0.2417),(3395,6325,2.6142,0.23357),(3395,6335,2.6148,0.22549),(3395,6345,2.6153,0.21741),(3395,6355,2.6159,0.20934),(3395,6365,2.6165,0.20129),(3395,6375,2.617,0.19324),(3395,6385,2.6175,0.18519),(3395,6395,2.618,0.17713),(3395,6405,2.6185,0.16907),(3395,6415,2.6189,0.16102),(3395,6425,2.6193,0.15301),(3395,6435,2.6197,0.14501),(3395,6445,2.6201,0.13701),(3395,6455,2.6204,0.12908),(3395,6465,2.6208,0.12116),(3395,6475,2.6211,0.11325),(3395,6485,2.6214,0.10533),(3395,6495,2.6217,0.097416),(3395,6505,2.6219,0.089501),(3395,6515,2.6221,0.081593),(3395,6525,2.6223,0.073695),(3395,6535,2.6225,0.065796),(3395,6545,2.6227,0.057894),(3395,6555,2.6228,0.049984),(3395,6565,2.6229,0.042074),(3395,6575,2.623,0.034168),(3395,6585,2.6231,0.026317),(3395,6595,2.2312,0.018466),(3395,6605,1.4063,0.010614),(3395,6615,0.58143,0.009709),(3395,6625,0.001574,0.009697),(3395,6635,0.001571,0.009685),(3395,6645,0.001568,0.009677),(3395,6655,0.001565,0.009669),(3395,6665,0.001563,0.009662),(3395,6675,0.00156,0.009655),(3395,6685,0.001558,0.009647),(3395,6695,0.001556,0.00964),(3395,6705,0.001553,0.009633),(3395,6715,0.001551,0.009625),(3395,6725,0.001549,0.009618),(3395,6735,0.001547,0.009611),(3395,6745,0.001545,0.009603),(3395,6755,0.001543,0.009596),(3395,6765,0.001541,0.009588),(3395,6775,0.00154,0.009581),(3395,6785,0.001538,0.009573),(3395,6795,0.001537,0.009566),(3395,6805,0.001535,0.009558),(3395,6815,0.001533,0.009551),(3395,6825,0.001532,0.009543),(3395,6835,0.001531,0.009536),(3395,6845,0.001529,0.009528),(3395,6855,0.001528,0.00952),(3395,6865,0.001527,0.009513),(3395,6875,0.001526,0.009505),(3395,6885,0.001525,0.009497),(3395,6895,0.001524,0.00949),(3395,6905,0.001523,0.009482),(3395,6915,0.001522,0.009474),(3395,6925,0.001521,0.009466),(3395,6935,0.00152,0.009458),(3395,6945,0.001519,0.00945),(3395,6955,0.001518,0.009442),(3395,6965,0.001517,0.009434),(3395,6975,0.001517,0.009426),(3395,6985,0.001516,0.009418),(3405,5,4e-06,3.6889),(3405,15,1.1e-05,3.6889),(3405,25,1.8e-05,3.6889),(3405,35,2.5e-05,3.6889),(3405,45,3.2e-05,3.6889),(3405,55,4e-05,3.6889),(3405,65,4.6e-05,3.6889),(3405,75,5.3e-05,3.6889),(3405,85,5.9e-05,3.6889),(3405,95,6.6e-05,3.6889),(3405,105,7.2e-05,3.6889),(3405,115,7.8e-05,3.6889),(3405,125,8.3e-05,3.6889),(3405,135,8.9e-05,3.6889),(3405,145,9.4e-05,3.6889),(3405,155,9.8e-05,3.6889),(3405,165,0.000102,3.6889),(3405,175,0.000107,3.6889),(3405,185,0.00011,3.6889),(3405,195,0.000112,3.6889),(3405,205,0.000115,3.6889),(3405,215,0.000117,3.6889),(3405,225,0.000118,3.6889),(3405,235,0.000119,3.6889),(3405,245,0.000119,3.6889),(3405,255,0.00012,3.6889),(3405,265,0.000118,3.6889),(3405,275,0.000116,3.6889),(3405,285,0.000114,3.6889),(3405,295,0.000112,3.6889),(3405,305,0.000108,3.6889),(3405,315,0.000103,3.6889),(3405,325,9.8e-05,3.6889),(3405,335,9.3e-05,3.6889),(3405,345,8.6e-05,3.6889),(3405,355,7.7e-05,3.6889),(3405,365,6.9e-05,3.6889),(3405,375,6.1e-05,3.689),(3405,385,4.9e-05,3.689),(3405,395,3.6e-05,3.689),(3405,405,2.4e-05,3.689),(3405,415,1.2e-05,3.689),(3405,425,-4e-06,3.689),(3405,435,-2.1e-05,3.689),(3405,445,-3.8e-05,3.689),(3405,455,-5.4e-05,3.689),(3405,465,-7.5e-05,3.689),(3405,475,-9.7e-05,3.689),(3405,485,-0.000118,3.689),(3405,495,-0.00014,3.6891),(3405,505,-0.000166,3.6891),(3405,515,-0.000193,3.6891),(3405,525,-0.000219,3.6891),(3405,535,-0.000246,3.6891),(3405,545,-0.000279,3.6891),(3405,555,-0.000311,3.6891),(3405,565,-0.000344,3.6892),(3405,575,-0.000377,3.6892),(3405,585,-0.000416,3.6892),(3405,595,-0.000454,3.6892),(3405,605,-0.000493,3.6892),(3405,615,-0.000533,3.6893),(3405,625,-0.000579,3.6893),(3405,635,-0.000625,3.6893),(3405,645,-0.000671,3.6893),(3405,655,-0.000718,3.6894),(3405,665,-0.000772,3.6894),(3405,675,-0.000825,3.6894),(3405,685,-0.000879,3.6895),(3405,695,-0.000934,3.6895),(3405,705,-0.000995,3.6895),(3405,715,-0.001057,3.6896),(3405,725,-0.001118,3.6896),(3405,735,-0.001182,3.6897),(3405,745,-0.001251,3.6897),(3405,755,-0.001321,3.6897),(3405,765,-0.001391,3.6898),(3405,775,-0.001463,3.6898),(3405,785,-0.001542,3.6899),(3405,795,-0.00162,3.6899),(3405,805,-0.001699,3.69),(3405,815,-0.001781,3.69),(3405,825,-0.00187,3.6901),(3405,835,-0.001958,3.6902),(3405,845,-0.002046,3.6902),(3405,855,-0.002138,3.6903),(3405,865,-0.002236,3.6904),(3405,875,-0.002335,3.6904),(3405,885,-0.002433,3.6905),(3405,895,-0.002535,3.6906),(3405,905,-0.002643,3.6907),(3405,915,-0.002751,3.6908),(3405,925,-0.002859,3.6909),(3405,935,-0.002971,3.6909),(3405,945,-0.00309,3.691),(3405,955,-0.003208,3.6911),(3405,965,-0.003327,3.6912),(3405,975,-0.003451,3.6913),(3405,985,-0.00358,3.6915),(3405,995,-0.003709,3.6916),(3405,1005,-0.003838,3.6917),(3405,1015,-0.003973,3.6918),(3405,1025,-0.004113,3.6919),(3405,1035,-0.004252,3.6921),(3405,1045,-0.004392,3.6922),(3405,1055,-0.004537,3.6923),(3405,1065,-0.004687,3.6925),(3405,1075,-0.004837,3.6926),(3405,1085,-0.004987,3.6928),(3405,1095,-0.005143,3.693),(3405,1105,-0.005304,3.6931),(3405,1115,-0.005464,3.6933),(3405,1125,-0.005624,3.6935),(3405,1135,-0.005791,3.6937),(3405,1145,-0.005962,3.6938),(3405,1155,-0.006132,3.694),(3405,1165,-0.006303,3.6942),(3405,1175,-0.00648,3.6944),(3405,1185,-0.00666,3.6946),(3405,1195,-0.006841,3.6949),(3405,1205,-0.007021,3.6951),(3405,1215,-0.007208,3.6953),(3405,1225,-0.007397,3.6956),(3405,1235,-0.007587,3.6958),(3405,1245,-0.007776,3.6961),(3405,1255,-0.007972,3.6963),(3405,1265,-0.008171,3.6966),(3405,1275,-0.008369,3.6969),(3405,1285,-0.008567,3.6971),(3405,1295,-0.008772,3.6974),(3405,1305,-0.008979,3.6977),(3405,1315,-0.009186,3.698),(3405,1325,-0.009392,3.6983),(3405,1335,-0.009605,3.6986),(3405,1345,-0.00982,3.699),(3405,1355,-0.010035,3.6993),(3405,1365,-0.010249,3.6997),(3405,1375,-0.01047,3.7),(3405,1385,-0.010691,3.7004),(3405,1395,-0.010913,3.7007),(3405,1405,-0.011134,3.7011),(3405,1415,-0.011362,3.7015),(3405,1425,-0.01159,3.7019),(3405,1435,-0.011819,3.7023),(3405,1445,-0.012047,3.7027),(3405,1455,-0.012282,3.7031),(3405,1465,-0.012517,3.7035),(3405,1475,-0.012752,3.704),(3405,1485,-0.012987,3.7044),(3405,1495,-0.013229,3.7049),(3405,1505,-0.01347,3.7054),(3405,1515,-0.013712,3.7058),(3405,1525,-0.013953,3.7063),(3405,1535,-0.014201,3.7068),(3405,1545,-0.014449,3.7073),(3405,1555,-0.014697,3.7079),(3405,1565,-0.014945,3.7084),(3405,1575,-0.015199,3.7089),(3405,1585,-0.015454,3.7095),(3405,1595,-0.015708,3.7101),(3405,1605,-0.015963,3.7106),(3405,1615,-0.016224,3.7112),(3405,1625,-0.016485,3.7118),(3405,1635,-0.016746,3.7124),(3405,1645,-0.017008,3.7131),(3405,1655,-0.017277,3.7137),(3405,1665,-0.017545,3.7143),(3405,1675,-0.017814,3.715),(3405,1685,-0.018084,3.7157),(3405,1695,-0.01836,3.7164),(3405,1705,-0.018637,3.7171),(3405,1715,-0.018914,3.7178),(3405,1725,-0.019193,3.7185),(3405,1735,-0.019478,3.7193),(3405,1745,-0.019763,3.72),(3405,1755,-0.020049,3.7208),(3405,1765,-0.020337,3.7216),(3405,1775,-0.020631,3.7224),(3405,1785,-0.020926,3.7232),(3405,1795,-0.021221,3.7241),(3405,1805,-0.021519,3.7249),(3405,1815,-0.021825,3.7258),(3405,1825,-0.02213,3.7266),(3405,1835,-0.022436,3.7276),(3405,1845,-0.022745,3.7285),(3405,1855,-0.023062,3.7294),(3405,1865,-0.02338,3.7304),(3405,1875,-0.023697,3.7314),(3405,1885,-0.024018,3.7324),(3405,1895,-0.024348,3.7334),(3405,1905,-0.024677,3.7345),(3405,1915,-0.025006,3.7356),(3405,1925,-0.025341,3.7367),(3405,1935,-0.025683,3.7378),(3405,1945,-0.026024,3.7389),(3405,1955,-0.026366,3.7401),(3405,1965,-0.026713,3.7413),(3405,1975,-0.027067,3.7425),(3405,1985,-0.027421,3.7438),(3405,1995,-0.027775,3.7451),(3405,2005,-0.028134,3.7464),(3405,2015,-0.028499,3.7477),(3405,2025,-0.028864,3.7491),(3405,2035,-0.029228,3.7505),(3405,2045,-0.029598,3.752),(3405,2055,-0.029972,3.7534),(3405,2065,-0.030345,3.7549),(3405,2075,-0.030719,3.7565),(3405,2085,-0.031096,3.7581),(3405,2095,-0.031475,3.7597),(3405,2105,-0.031854,3.7614),(3405,2115,-0.032233,3.7631),(3405,2125,-0.032611,3.7649),(3405,2135,-0.032989,3.7666),(3405,2145,-0.033367,3.7685),(3405,2155,-0.033745,3.7704),(3405,2165,-0.034116,3.7724),(3405,2175,-0.034483,3.7743),(3405,2185,-0.03485,3.7764),(3405,2195,-0.035218,3.7786),(3405,2205,-0.035568,3.7807),(3405,2215,-0.035911,3.7829),(3405,2225,-0.036254,3.7852),(3405,2235,-0.036597,3.7876),(3405,2245,-0.036909,3.79),(3405,2255,-0.037209,3.7924),(3405,2265,-0.037509,3.7951),(3405,2275,-0.037809,3.7978),(3405,2285,-0.038054,3.8004),(3405,2295,-0.038285,3.8031),(3405,2305,-0.038515,3.8061),(3405,2315,-0.038745,3.8091),(3405,2325,-0.038889,3.8121),(3405,2335,-0.039013,3.8151),(3405,2345,-0.039138,3.8184),(3405,2355,-0.039262,3.8218),(3405,2365,-0.039254,3.8251),(3405,2375,-0.039224,3.8285),(3405,2385,-0.039194,3.8322),(3405,2395,-0.039164,3.836),(3405,2405,-0.038939,3.8398),(3405,2415,-0.038691,3.8435),(3405,2425,-0.038443,3.8477),(3405,2435,-0.038195,3.8519),(3405,2445,-0.037666,3.8561),(3405,2455,-0.037117,3.8603),(3405,2465,-0.036568,3.865),(3405,2475,-0.03602,3.8697),(3405,2485,-0.035076,3.8744),(3405,2495,-0.034123,3.879),(3405,2505,-0.03317,3.8842),(3405,2515,-0.032208,3.8894),(3405,2525,-0.030723,3.8946),(3405,2535,-0.029238,3.8997),(3405,2545,-0.027752,3.9054),(3405,2555,-0.02623,3.9111),(3405,2565,-0.024063,3.9167),(3405,2575,-0.021896,3.9224),(3405,2585,-0.019729,3.9285),(3405,2595,-0.017482,3.9346),(3405,2605,-0.014467,3.9408),(3405,2615,-0.011452,3.9469),(3405,2625,-0.008436,3.9534),(3405,2635,-0.005285,3.9599),(3405,2645,-0.001249,3.9663),(3405,2655,0.002788,3.9729),(3405,2665,0.006824,3.9796),(3405,2675,0.011064,3.9862),(3405,2685,0.016278,3.9929),(3405,2695,0.021492,3.9996),(3405,2705,0.026706,4.0064),(3405,2715,0.032196,4.0131),(3405,2725,0.038704,4.0198),(3405,2735,0.045213,4.0264),(3405,2745,0.051721,4.0329),(3405,2755,0.058569,4.0393),(3405,2765,0.066422,4.0458),(3405,2775,0.074275,4.0521),(3405,2785,0.082128,4.0581),(3405,2795,0.090366,4.064),(3405,2805,0.099534,4.0699),(3405,2815,0.1087,4.0756),(3405,2825,0.11787,4.0807),(3405,2835,0.12744,4.0858),(3405,2845,0.13783,4.0909),(3405,2855,0.14821,4.0957),(3405,2865,0.15859,4.0997),(3405,2875,0.16937,4.1038),(3405,2885,0.18083,4.1079),(3405,2895,0.19228,4.1115),(3405,2905,0.20374,4.1143),(3405,2915,0.21556,4.1172),(3405,2925,0.22792,4.12),(3405,2935,0.24027,4.1223),(3405,2945,0.25263,4.1238),(3405,2955,0.26532,4.1252),(3405,2965,0.27841,4.1267),(3405,2975,0.2915,4.1275),(3405,2985,0.30459,4.1276),(3405,2995,0.31797,4.1276),(3405,3005,0.33163,4.1277),(3405,3015,0.3453,4.127),(3405,3025,0.35897,4.1255),(3405,3035,0.37286,4.1241),(3405,3045,0.38696,4.1226),(3405,3055,0.40107,4.1203),(3405,3065,0.41517,4.1173),(3405,3075,0.42944,4.1143),(3405,3085,0.44384,4.1113),(3405,3095,0.45825,4.1073),(3405,3105,0.47265,4.1027),(3405,3115,0.48717,4.0981),(3405,3125,0.50175,4.0934),(3405,3135,0.51634,4.0878),(3405,3145,0.53093,4.0815),(3405,3155,0.54555,4.0752),(3405,3165,0.5602,4.069),(3405,3175,0.57485,4.0615),(3405,3185,0.5895,4.0535),(3405,3195,0.6041,4.0455),(3405,3205,0.61868,4.0375),(3405,3215,0.63327,4.0283),(3405,3225,0.64785,4.0185),(3405,3235,0.66228,4.0087),(3405,3245,0.67666,3.9989),(3405,3255,0.69103,3.9877),(3405,3265,0.7054,3.976),(3405,3275,0.71948,3.9643),(3405,3285,0.73348,3.9526),(3405,3295,0.74747,3.9394),(3405,3305,0.76146,3.9258),(3405,3315,0.77497,3.9121),(3405,3325,0.78837,3.8985),(3405,3335,0.80177,3.8831),(3405,3345,0.81516,3.8674),(3405,3355,0.82784,3.8517),(3405,3365,0.84038,3.836),(3405,3375,0.85292,3.8184),(3405,3385,0.86546,3.8006),(3405,3395,0.87697,3.7828),(3405,3405,0.88833,3.7649),(3405,3415,0.8997,3.7451),(3405,3425,0.91107,3.7251),(3405,3435,0.921,3.7051),(3405,3445,0.93081,3.6851),(3405,3455,0.94063,3.6631),(3405,3465,0.95044,3.641),(3405,3475,0.95834,3.6189),(3405,3485,0.96616,3.5967),(3405,3495,0.97399,3.5727),(3405,3505,0.9818,3.5485),(3405,3515,0.98718,3.5244),(3405,3525,0.99255,3.5003),(3405,3535,0.99792,3.4744),(3405,3545,1.0032,3.4486),(3405,3555,1.0056,3.4227),(3405,3565,1.0081,3.3968),(3405,3575,1.0106,3.3696),(3405,3585,1.0128,3.3425),(3405,3595,1.012,3.3153),(3405,3605,1.0112,3.288),(3405,3615,1.0104,3.2601),(3405,3625,1.0092,3.2321),(3405,3635,1.0048,3.2041),(3405,3645,1.0005,3.176),(3405,3655,0.99624,3.1478),(3405,3665,0.99135,3.1195),(3405,3675,0.98349,3.0912),(3405,3685,0.97563,3.0629),(3405,3695,0.96777,3.0348),(3405,3705,0.95921,3.0066),(3405,3715,0.9479,2.9785),(3405,3725,0.93658,2.9503),(3405,3735,0.92526,2.9224),(3405,3745,0.91314,2.8945),(3405,3755,0.89853,2.8665),(3405,3765,0.88391,2.8385),(3405,3775,0.86929,2.8104),(3405,3785,0.85379,2.7822),(3405,3795,0.83602,2.754),(3405,3805,0.81826,2.7254),(3405,3815,0.80049,2.6956),(3405,3825,0.78181,2.6659),(3405,3835,0.7612,2.6361),(3405,3845,0.74059,2.6046),(3405,3855,0.71998,2.5698),(3405,3865,0.69899,2.535),(3405,3875,0.67731,2.5002),(3405,3885,0.65563,2.46),(3405,3895,0.63396,2.4111),(3405,3905,0.61624,2.3623),(3405,3915,0.60443,2.3134),(3405,3925,0.59263,2.2499),(3405,3935,0.58083,2.1662),(3405,3945,0.60203,2.0825),(3405,3955,0.66514,1.9988),(3405,3965,0.72825,1.9527),(3405,3975,0.79136,1.9506),(3405,3985,0.84683,1.9486),(3405,3995,0.89402,1.9466),(3405,4005,0.94122,1.964),(3405,4015,0.98841,2.0007),(3405,4025,1.3098,2.0374),(3405,4035,1.6581,2.0798),(3405,4045,2.0063,2.1343),(3405,4055,2.2121,2.1889),(3405,4065,2.3659,2.2359),(3405,4075,2.5198,2.2378),(3405,4085,2.5726,2.2398),(3405,4095,2.5444,2.2417),(3405,4105,2.5162,2.2315),(3405,4115,2.418,2.2208),(3405,4125,2.2038,2.2101),(3405,4135,1.9896,2.2),(3405,4145,1.7759,2.1901),(3405,4155,1.5641,2.1802),(3405,4165,1.3523,2.173),(3405,4175,1.1521,2.1674),(3405,4185,1.5244,2.1619),(3405,4195,1.8967,2.1507),(3405,4205,2.269,2.1321),(3405,4215,2.3196,2.1136),(3405,4225,2.3097,2.0948),(3405,4235,2.2998,2.0757),(3405,4245,2.2615,2.0565),(3405,4255,2.2089,2.0372),(3405,4265,2.1564,2.0163),(3405,4275,1.8951,1.9954),(3405,4285,1.4125,1.9744),(3405,4295,0.9298,1.9698),(3405,4305,0.73434,1.9672),(3405,4315,1.1874,1.9645),(3405,4325,1.6404,1.9523),(3405,4335,2.0426,1.9364),(3405,4345,2.1012,1.9205),(3405,4355,2.1598,1.9037),(3405,4365,2.2184,1.8863),(3405,4375,2.221,1.8688),(3405,4385,2.2207,1.8515),(3405,4395,2.2204,1.8346),(3405,4405,1.9562,1.8177),(3405,4415,1.6142,1.8025),(3405,4425,1.2722,1.7946),(3405,4435,1.1269,1.7868),(3405,4445,1.1161,1.7789),(3405,4455,1.1053,1.7718),(3405,4465,1.2402,1.7646),(3405,4475,1.5799,1.7574),(3405,4485,1.9196,1.743),(3405,4495,2.1788,1.7271),(3405,4505,2.1799,1.7111),(3405,4515,2.1811,1.6954),(3405,4525,2.1779,1.6797),(3405,4535,2.1064,1.664),(3405,4545,2.0349,1.6491),(3405,4555,1.9634,1.6351),(3405,4565,1.5116,1.6211),(3405,4575,1.0087,1.6108),(3405,4585,0.50572,1.6093),(3405,4595,0.71303,1.6078),(3405,4605,1.2204,1.6044),(3405,4615,1.7278,1.5865),(3405,4625,1.9955,1.5685),(3405,4635,2.0461,1.5505),(3405,4645,2.0966,1.5352),(3405,4655,2.1319,1.52),(3405,4665,2.1384,1.5048),(3405,4675,2.1449,1.4903),(3405,4685,2.0771,1.476),(3405,4695,1.6419,1.4617),(3405,4705,1.2068,1.453),(3405,4715,0.77163,1.4485),(3405,4725,0.97785,1.4439),(3405,4735,1.1905,1.4376),(3405,4745,1.4031,1.4287),(3405,4755,1.62,1.4199),(3405,4765,1.8379,1.41),(3405,4775,2.0558,1.3966),(3405,4785,2.137,1.3831),(3405,4795,2.1393,1.3697),(3405,4805,2.1415,1.3563),(3405,4815,2.0408,1.3429),(3405,4825,1.8171,1.3295),(3405,4835,1.5934,1.3202),(3405,4845,1.3671,1.3115),(3405,4855,1.1344,1.3029),(3405,4865,0.90164,1.2978),(3405,4875,0.73707,1.2943),(3405,4885,1.1928,1.2909),(3405,4895,1.6486,1.2829),(3405,4905,2.1044,1.2707),(3405,4915,2.1405,1.2585),(3405,4925,2.1405,1.2463),(3405,4935,2.1405,1.234),(3405,4945,2.117,1.2218),(3405,4955,2.0853,1.2092),(3405,4965,2.0537,1.1946),(3405,4975,1.7094,1.18),(3405,4985,1.1238,1.1654),(3405,4995,0.53826,1.1644),(3405,5005,0.35728,1.1638),(3405,5015,0.81955,1.1632),(3405,5025,1.2818,1.156),(3405,5035,1.68,1.1471),(3405,5045,1.834,1.1383),(3405,5055,1.988,1.1276),(3405,5065,2.1375,1.1159),(3405,5075,2.1396,1.1042),(3405,5085,2.1417,1.0925),(3405,5095,2.1438,1.0809),(3405,5105,1.8755,1.0693),(3405,5115,1.56,1.0591),(3405,5125,1.2446,1.0531),(3405,5135,1.0864,1.0471),(3405,5145,1.0045,1.0412),(3405,5155,0.92257,1.037),(3405,5165,1.0828,1.0327),(3405,5175,1.4901,1.0285),(3405,5185,1.8973,1.0182),(3405,5195,2.176,1.0072),(3405,5205,2.1776,0.99627),(3405,5215,2.1792,0.98541),(3405,5225,2.1694,0.97458),(3405,5235,2.089,0.96375),(3405,5245,2.0087,0.95365),(3405,5255,1.9283,0.94416),(3405,5265,1.3606,0.93467),(3405,5275,0.77278,0.92867),(3405,5285,0.18497,0.92858),(3405,5295,0.57225,0.92849),(3405,5305,1.2311,0.92614),(3405,5315,1.8899,0.91432),(3405,5325,2.1627,0.90249),(3405,5335,2.1823,0.8907),(3405,5345,2.202,0.88077),(3405,5355,2.2138,0.87084),(3405,5365,2.2151,0.86091),(3405,5375,2.2164,0.85117),(3405,5385,2.091,0.84148),(3405,5395,1.5804,0.83178),(3405,5405,1.0698,0.82683),(3405,5415,0.61481,0.82436),(3405,5425,0.9059,0.82188),(3405,5435,1.197,0.81834),(3405,5445,1.4881,0.81363),(3405,5455,1.7674,0.80892),(3405,5465,2.0452,0.80339),(3405,5475,2.3231,0.79594),(3405,5485,2.4022,0.7885),(3405,5495,2.4013,0.78107),(3405,5505,2.4004,0.77382),(3405,5515,2.3995,0.76658),(3405,5525,2.3986,0.75933),(3405,5535,2.3978,0.75227),(3405,5545,2.3969,0.74522),(3405,5555,2.396,0.73817),(3405,5565,2.3951,0.73127),(3405,5575,2.3941,0.72441),(3405,5585,2.3932,0.71755),(3405,5595,2.3922,0.7108),(3405,5605,2.3913,0.70413),(3405,5615,2.3903,0.69745),(3405,5625,2.3893,0.69084),(3405,5635,2.3883,0.68433),(3405,5645,2.3873,0.67782),(3405,5655,2.3863,0.67134),(3405,5665,2.3853,0.66497),(3405,5675,2.3842,0.6586),(3405,5685,2.3832,0.65225),(3405,5695,2.3821,0.64603),(3405,5705,2.3811,0.6398),(3405,5715,2.38,0.63358),(3405,5725,2.3789,0.62746),(3405,5735,2.3779,0.62136),(3405,5745,2.3768,0.61526),(3405,5755,2.3757,0.60924),(3405,5765,2.3746,0.60325),(3405,5775,2.3735,0.59727),(3405,5785,2.3724,0.59133),(3405,5795,2.3713,0.58545),(3405,5805,2.3701,0.57957),(3405,5815,2.369,0.57372),(3405,5825,2.3679,0.56794),(3405,5835,2.3667,0.56216),(3405,5845,2.3656,0.55639),(3405,5855,2.3645,0.55071),(3405,5865,2.3633,0.54502),(3405,5875,2.3622,0.53933),(3405,5885,2.361,0.53373),(3405,5895,2.3599,0.52812),(3405,5905,2.3587,0.52252),(3405,5915,2.3575,0.51698),(3405,5925,2.3564,0.51146),(3405,5935,2.3552,0.50594),(3405,5945,2.354,0.50047),(3405,5955,2.3528,0.49503),(3405,5965,2.3516,0.48959),(3405,5975,2.3504,0.48418),(3405,5985,2.3492,0.47882),(3405,5995,1.7962,0.47345),(3405,6005,1.1544,0.46936),(3405,6015,0.51252,0.46869),(3405,6025,0.66167,0.46801),(3405,6035,1.1777,0.46679),(3405,6045,1.6937,0.46034),(3405,6055,2.0516,0.4539),(3405,6065,2.2545,0.44745),(3405,6075,2.4575,0.43909),(3405,6085,2.5944,0.43055),(3405,6095,2.5955,0.42201),(3405,6105,2.5966,0.41345),(3405,6115,2.5976,0.40488),(3405,6125,2.5986,0.39631),(3405,6135,2.5996,0.38782),(3405,6145,2.6007,0.3794),(3405,6155,2.6016,0.37098),(3405,6165,2.6026,0.36258),(3405,6175,2.6035,0.35422),(3405,6185,2.6044,0.34586),(3405,6195,2.6053,0.33752),(3405,6205,2.6062,0.32927),(3405,6215,2.6071,0.32102),(3405,6225,2.6079,0.31278),(3405,6235,2.6087,0.30455),(3405,6245,2.6095,0.29632),(3405,6255,2.6103,0.28809),(3405,6265,2.611,0.2799),(3405,6275,2.6118,0.27172),(3405,6285,2.6125,0.26354),(3405,6295,2.6132,0.25542),(3405,6305,2.6139,0.24732),(3405,6315,2.6145,0.23923),(3405,6325,2.6151,0.23118),(3405,6335,2.6157,0.22319),(3405,6345,2.6162,0.21519),(3405,6355,2.6168,0.2072),(3405,6365,2.6173,0.19924),(3405,6375,2.6178,0.19128),(3405,6385,2.6183,0.18332),(3405,6395,2.6188,0.17534),(3405,6405,2.6193,0.16737),(3405,6415,2.6197,0.15939),(3405,6425,2.6201,0.15147),(3405,6435,2.6205,0.14356),(3405,6445,2.6209,0.13564),(3405,6455,2.6212,0.12779),(3405,6465,2.6215,0.11996),(3405,6475,2.6218,0.11212),(3405,6485,2.6221,0.10429),(3405,6495,2.6224,0.096461),(3405,6505,2.6226,0.088629),(3405,6515,2.6228,0.080806),(3405,6525,2.623,0.072995),(3405,6535,2.6232,0.065184),(3405,6545,2.6234,0.05737),(3405,6555,2.6235,0.049549),(3405,6565,2.6236,0.041727),(3405,6575,2.6237,0.03391),(3405,6585,2.6238,0.026154),(3405,6595,2.2318,0.018397),(3405,6605,1.4067,0.010641),(3405,6615,0.5816,0.009736),(3405,6625,0.001577,0.009711),(3405,6635,0.001574,0.009686),(3405,6645,0.001571,0.009674),(3405,6655,0.001568,0.009667),(3405,6665,0.001566,0.009659),(3405,6675,0.001563,0.009652),(3405,6685,0.001561,0.009645),(3405,6695,0.001559,0.009638),(3405,6705,0.001556,0.009631),(3405,6715,0.001554,0.009623),(3405,6725,0.001552,0.009616),(3405,6735,0.00155,0.009609),(3405,6745,0.001548,0.009601),(3405,6755,0.001546,0.009594),(3405,6765,0.001545,0.009587),(3405,6775,0.001543,0.009579),(3405,6785,0.001541,0.009572),(3405,6795,0.00154,0.009564),(3405,6805,0.001538,0.009557),(3405,6815,0.001537,0.009549),(3405,6825,0.001535,0.009542),(3405,6835,0.001534,0.009534),(3405,6845,0.001533,0.009527),(3405,6855,0.001532,0.009519),(3405,6865,0.00153,0.009512),(3405,6875,0.001529,0.009504),(3405,6885,0.001528,0.009496),(3405,6895,0.001527,0.009489),(3405,6905,0.001526,0.009481),(3405,6915,0.001525,0.009473),(3405,6925,0.001524,0.009465),(3405,6935,0.001523,0.009457),(3405,6945,0.001523,0.009449),(3405,6955,0.001522,0.009442),(3405,6965,0.001521,0.009434),(3405,6975,0.00152,0.009426),(3405,6985,0.00152,0.009418),(3415,5,4e-06,3.6889),(3415,15,1.1e-05,3.6889),(3415,25,1.8e-05,3.6889),(3415,35,2.5e-05,3.6889),(3415,45,3.2e-05,3.6889),(3415,55,3.9e-05,3.6889),(3415,65,4.5e-05,3.6889),(3415,75,5.2e-05,3.6889),(3415,85,5.8e-05,3.6889),(3415,95,6.5e-05,3.6889),(3415,105,7e-05,3.6889),(3415,115,7.6e-05,3.6889),(3415,125,8.1e-05,3.6889),(3415,135,8.7e-05,3.6889),(3415,145,9.1e-05,3.6889),(3415,155,9.6e-05,3.6889),(3415,165,0.0001,3.6889),(3415,175,0.000104,3.6889),(3415,185,0.000107,3.6889),(3415,195,0.000109,3.6889),(3415,205,0.000111,3.6889),(3415,215,0.000114,3.6889),(3415,225,0.000115,3.6889),(3415,235,0.000115,3.6889),(3415,245,0.000115,3.6889),(3415,255,0.000115,3.6889),(3415,265,0.000114,3.6889),(3415,275,0.000111,3.6889),(3415,285,0.000109,3.6889),(3415,295,0.000107,3.6889),(3415,305,0.000102,3.6889),(3415,315,9.7e-05,3.6889),(3415,325,9.2e-05,3.6889),(3415,335,8.7e-05,3.6889),(3415,345,7.9e-05,3.6889),(3415,355,7e-05,3.6889),(3415,365,6.1e-05,3.6889),(3415,375,5.2e-05,3.6889),(3415,385,4e-05,3.6889),(3415,395,2.8e-05,3.689),(3415,405,1.5e-05,3.689),(3415,415,2e-06,3.689),(3415,425,-1.5e-05,3.689),(3415,435,-3.2e-05,3.689),(3415,445,-4.9e-05,3.689),(3415,455,-6.6e-05,3.689),(3415,465,-8.8e-05,3.689),(3415,475,-0.00011,3.689),(3415,485,-0.000132,3.689),(3415,495,-0.000154,3.689),(3415,505,-0.000181,3.689),(3415,515,-0.000208,3.6891),(3415,525,-0.000236,3.6891),(3415,535,-0.000263,3.6891),(3415,545,-0.000297,3.6891),(3415,555,-0.00033,3.6891),(3415,565,-0.000363,3.6891),(3415,575,-0.000397,3.6892),(3415,585,-0.000437,3.6892),(3415,595,-0.000477,3.6892),(3415,605,-0.000516,3.6892),(3415,615,-0.000557,3.6892),(3415,625,-0.000604,3.6892),(3415,635,-0.000651,3.6893),(3415,645,-0.000698,3.6893),(3415,655,-0.000746,3.6893),(3415,665,-0.000801,3.6894),(3415,675,-0.000856,3.6894),(3415,685,-0.000911,3.6894),(3415,695,-0.000967,3.6894),(3415,705,-0.00103,3.6895),(3415,715,-0.001093,3.6895),(3415,725,-0.001156,3.6895),(3415,735,-0.001221,3.6896),(3415,745,-0.001293,3.6896),(3415,755,-0.001364,3.6897),(3415,765,-0.001436,3.6897),(3415,775,-0.00151,3.6898),(3415,785,-0.00159,3.6898),(3415,795,-0.001671,3.6899),(3415,805,-0.001752,3.6899),(3415,815,-0.001836,3.69),(3415,825,-0.001926,3.69),(3415,835,-0.002017,3.6901),(3415,845,-0.002108,3.6901),(3415,855,-0.002202,3.6902),(3415,865,-0.002303,3.6903),(3415,875,-0.002403,3.6903),(3415,885,-0.002504,3.6904),(3415,895,-0.002609,3.6905),(3415,905,-0.00272,3.6906),(3415,915,-0.002831,3.6906),(3415,925,-0.002942,3.6907),(3415,935,-0.003057,3.6908),(3415,945,-0.003179,3.6909),(3415,955,-0.003301,3.691),(3415,965,-0.003423,3.6911),(3415,975,-0.00355,3.6912),(3415,985,-0.003682,3.6913),(3415,995,-0.003815,3.6914),(3415,1005,-0.003948,3.6916),(3415,1015,-0.004087,3.6917),(3415,1025,-0.00423,3.6918),(3415,1035,-0.004374,3.6919),(3415,1045,-0.004518,3.6921),(3415,1055,-0.004667,3.6922),(3415,1065,-0.004822,3.6923),(3415,1075,-0.004976,3.6925),(3415,1085,-0.005131,3.6926),(3415,1095,-0.005291,3.6928),(3415,1105,-0.005457,3.693),(3415,1115,-0.005622,3.6931),(3415,1125,-0.005787,3.6933),(3415,1135,-0.005959,3.6935),(3415,1145,-0.006135,3.6937),(3415,1155,-0.00631,3.6939),(3415,1165,-0.006486,3.6941),(3415,1175,-0.006669,3.6943),(3415,1185,-0.006855,3.6945),(3415,1195,-0.007041,3.6947),(3415,1205,-0.007227,3.6949),(3415,1215,-0.007419,3.6951),(3415,1225,-0.007615,3.6954),(3415,1235,-0.007811,3.6956),(3415,1245,-0.008006,3.6959),(3415,1255,-0.008209,3.6961),(3415,1265,-0.008414,3.6964),(3415,1275,-0.008618,3.6967),(3415,1285,-0.008823,3.6969),(3415,1295,-0.009035,3.6972),(3415,1305,-0.009249,3.6975),(3415,1315,-0.009462,3.6978),(3415,1325,-0.009676,3.6981),(3415,1335,-0.009897,3.6984),(3415,1345,-0.010118,3.6987),(3415,1355,-0.01034,3.6991),(3415,1365,-0.010562,3.6994),(3415,1375,-0.010791,3.6998),(3415,1385,-0.01102,3.7001),(3415,1395,-0.011249,3.7005),(3415,1405,-0.011479,3.7009),(3415,1415,-0.011715,3.7013),(3415,1425,-0.011951,3.7016),(3415,1435,-0.012188,3.7021),(3415,1445,-0.012425,3.7025),(3415,1455,-0.012668,3.7029),(3415,1465,-0.012912,3.7033),(3415,1475,-0.013156,3.7038),(3415,1485,-0.013399,3.7042),(3415,1495,-0.01365,3.7047),(3415,1505,-0.013901,3.7051),(3415,1515,-0.014151,3.7056),(3415,1525,-0.014402,3.7061),(3415,1535,-0.01466,3.7066),(3415,1545,-0.014918,3.7071),(3415,1555,-0.015175,3.7076),(3415,1565,-0.015433,3.7082),(3415,1575,-0.015698,3.7087),(3415,1585,-0.015963,3.7092),(3415,1595,-0.016227,3.7098),(3415,1605,-0.016493,3.7104),(3415,1615,-0.016765,3.711),(3415,1625,-0.017037,3.7115),(3415,1635,-0.017309,3.7122),(3415,1645,-0.017583,3.7128),(3415,1655,-0.017863,3.7134),(3415,1665,-0.018144,3.7141),(3415,1675,-0.018424,3.7147),(3415,1685,-0.018706,3.7154),(3415,1695,-0.018996,3.7161),(3415,1705,-0.019286,3.7168),(3415,1715,-0.019576,3.7175),(3415,1725,-0.019867,3.7182),(3415,1735,-0.020167,3.719),(3415,1745,-0.020467,3.7197),(3415,1755,-0.020766,3.7205),(3415,1765,-0.021069,3.7213),(3415,1775,-0.021379,3.7221),(3415,1785,-0.02169,3.7229),(3415,1795,-0.022001,3.7237),(3415,1805,-0.022315,3.7246),(3415,1815,-0.022638,3.7255),(3415,1825,-0.022961,3.7263),(3415,1835,-0.023283,3.7273),(3415,1845,-0.023611,3.7282),(3415,1855,-0.023947,3.7291),(3415,1865,-0.024284,3.7301),(3415,1875,-0.02462,3.7311),(3415,1885,-0.024962,3.7321),(3415,1895,-0.025313,3.7331),(3415,1905,-0.025664,3.7341),(3415,1915,-0.026015,3.7352),(3415,1925,-0.026372,3.736328),(3415,1935,-0.026739,3.7374),(3415,1945,-0.027105,3.7386),(3415,1955,-0.027471,3.7398),(3415,1965,-0.027844,3.741),(3415,1975,-0.028226,3.7422),(3415,1985,-0.028607,3.7434),(3415,1995,-0.028989,3.7447),(3415,2005,-0.029378,3.746),(3415,2015,-0.029774,3.7473),(3415,2025,-0.030171,3.7487),(3415,2035,-0.030567,3.7501),(3415,2045,-0.030971,3.7516),(3415,2055,-0.031381,3.753),(3415,2065,-0.031791,3.7545),(3415,2075,-0.032201,3.7561),(3415,2085,-0.032617,3.7577),(3415,2095,-0.033037,3.7593),(3415,2105,-0.033457,3.761),(3415,2115,-0.033878,3.7627),(3415,2125,-0.034301,3.7645),(3415,2135,-0.034727,3.7662),(3415,2145,-0.035152,3.7681),(3415,2155,-0.035578,3.7701),(3415,2165,-0.036001,3.772),(3415,2175,-0.036423,3.7739),(3415,2185,-0.036845,3.776),(3415,2195,-0.037267,3.7782),(3415,2205,-0.037678,3.7804),(3415,2215,-0.038084,3.7825),(3415,2225,-0.03849,3.7849),(3415,2235,-0.038896,3.7873),(3415,2245,-0.039277,3.7897),(3415,2255,-0.039649,3.7921),(3415,2265,-0.040021,3.7948),(3415,2275,-0.040393,3.7975),(3415,2285,-0.040719,3.8002),(3415,2295,-0.041032,3.8029),(3415,2305,-0.041344,3.8058),(3415,2315,-0.041657,3.8089),(3415,2325,-0.041892,3.8119),(3415,2335,-0.04211,3.815),(3415,2345,-0.042328,3.8183),(3415,2355,-0.042546,3.8217),(3415,2365,-0.042642,3.8251),(3415,2375,-0.042718,3.8285),(3415,2385,-0.042793,3.8323),(3415,2395,-0.042869,3.8361),(3415,2405,-0.04276,3.8399),(3415,2415,-0.042629,3.8438),(3415,2425,-0.042498,3.848),(3415,2435,-0.042368,3.8523),(3415,2445,-0.041965,3.8566),(3415,2455,-0.041545,3.8609),(3415,2465,-0.041124,3.8656),(3415,2475,-0.040703,3.8704),(3415,2485,-0.039895,3.8752),(3415,2495,-0.039077,3.88),(3415,2505,-0.03826,3.8853),(3415,2515,-0.037434,3.8906),(3415,2525,-0.036087,3.8959),(3415,2535,-0.034739,3.9012),(3415,2545,-0.033392,3.907),(3415,2555,-0.032007,3.9129),(3415,2565,-0.029972,3.9187),(3415,2575,-0.027937,3.9246),(3415,2585,-0.025902,3.9309),(3415,2595,-0.023785,3.9372),(3415,2605,-0.020883,3.9436),(3415,2615,-0.017981,3.9499),(3415,2625,-0.015078,3.9567),(3415,2635,-0.012035,3.9634),(3415,2645,-0.008078,3.9701),(3415,2655,-0.004121,3.9769),(3415,2665,-0.000164,3.9839),(3415,2675,0.004006,3.9909),(3415,2685,0.009192,3.9979),(3415,2695,0.014378,4.0049),(3415,2705,0.019564,4.012),(3415,2715,0.02504,4.019),(3415,2725,0.031587,4.026),(3415,2735,0.038133,4.033),(3415,2745,0.04468,4.0398),(3415,2755,0.051585,4.0466),(3415,2765,0.059549,4.0534),(3415,2775,0.067513,4.0601),(3415,2785,0.075477,4.0663),(3415,2795,0.083846,4.0726),(3415,2805,0.093195,4.0789),(3415,2815,0.10254,4.0849),(3415,2825,0.11189,4.0903),(3415,2835,0.12166,4.0957),(3415,2845,0.13229,4.1011),(3415,2855,0.14291,4.1062),(3415,2865,0.15353,4.1105),(3415,2875,0.16457,4.1149),(3415,2885,0.17631,4.1192),(3415,2895,0.18804,4.1231),(3415,2905,0.19978,4.1261),(3415,2915,0.2119,4.1292),(3415,2925,0.22456,4.1323),(3415,2935,0.23723,4.1347),(3415,2945,0.2499,4.1364),(3415,2955,0.26291,4.1381),(3415,2965,0.27633,4.1398),(3415,2975,0.28975,4.1408),(3415,2985,0.30318,4.141),(3415,2995,0.31689,4.1412),(3415,3005,0.3309,4.1414),(3415,3015,0.34491,4.1408),(3415,3025,0.35892,4.1394),(3415,3035,0.37317,4.1381),(3415,3045,0.38762,4.1367),(3415,3055,0.40208,4.1345),(3415,3065,0.41653,4.1316),(3415,3075,0.43117,4.1286),(3415,3085,0.44594,4.1257),(3415,3095,0.46071,4.1218),(3415,3105,0.47548,4.1172),(3415,3115,0.49036,4.1127),(3415,3125,0.50533,4.1081),(3415,3135,0.52029,4.1025),(3415,3145,0.53526,4.0962),(3415,3155,0.55027,4.0899),(3415,3165,0.56531,4.0837),(3415,3175,0.58036,4.0762),(3415,3185,0.5954,4.0682),(3415,3195,0.61041,4.0602),(3415,3205,0.62541,4.0522),(3415,3215,0.64041,4.0429),(3415,3225,0.6554,4.033),(3415,3235,0.67027,4.0232),(3415,3245,0.68508,4.0133),(3415,3255,0.69989,4.0021),(3415,3265,0.7147,3.9903),(3415,3275,0.72924,3.9785),(3415,3285,0.7437,3.9667),(3415,3295,0.75815,3.9534),(3415,3305,0.77261,3.9396),(3415,3315,0.78661,3.9258),(3415,3325,0.8005,3.912),(3415,3335,0.81439,3.8964),(3415,3345,0.82828,3.8805),(3415,3355,0.84146,3.8646),(3415,3365,0.85452,3.8486),(3415,3375,0.86758,3.8308),(3415,3385,0.88064,3.8127),(3415,3395,0.89267,3.7945),(3415,3405,0.90457,3.7764),(3415,3415,0.91647,3.7562),(3415,3425,0.92837,3.7358),(3415,3435,0.93883,3.7154),(3415,3445,0.94917,3.695),(3415,3455,0.95952,3.6725),(3415,3465,0.96986,3.6499),(3415,3475,0.97826,3.6273),(3415,3485,0.9866,3.6047),(3415,3495,0.99493,3.58),(3415,3505,1.0032,3.5552),(3415,3515,1.0091,3.5305),(3415,3525,1.0149,3.5057),(3415,3535,1.0207,3.4791),(3415,3545,1.0264,3.4525),(3415,3555,1.0292,3.426),(3415,3565,1.032,3.3993),(3415,3575,1.0349,3.3713),(3415,3585,1.0374,3.3433),(3415,3595,1.0368,3.3153),(3415,3605,1.0363,3.2872),(3415,3615,1.0357,3.2583),(3415,3625,1.0346,3.2294),(3415,3635,1.0304,3.2005),(3415,3645,1.0262,3.1716),(3415,3655,1.022,3.1424),(3415,3665,1.0172,3.1133),(3415,3675,1.0093,3.0841),(3415,3685,1.0014,3.0549),(3415,3695,0.99356,3.0259),(3415,3705,0.98498,2.9969),(3415,3715,0.97363,2.9678),(3415,3725,0.96228,2.9388),(3415,3735,0.95093,2.9101),(3415,3745,0.9388,2.8813),(3415,3755,0.92427,2.8525),(3415,3765,0.90974,2.8237),(3415,3775,0.8952,2.7948),(3415,3785,0.87987,2.7659),(3415,3795,0.86252,2.7369),(3415,3805,0.84518,2.7075),(3415,3815,0.82783,2.6771),(3415,3825,0.80979,2.6467),(3415,3835,0.79033,2.6163),(3415,3845,0.77086,2.5843),(3415,3855,0.75139,2.5494),(3415,3865,0.73205,2.5144),(3415,3875,0.71294,2.4795),(3415,3885,0.69383,2.4404),(3415,3895,0.67472,2.3945),(3415,3905,0.66024,2.3486),(3415,3915,0.65265,2.3027),(3415,3925,0.64507,2.2479),(3415,3935,0.63748,2.181),(3415,3945,0.65489,2.1141),(3415,3955,0.70404,2.0472),(3415,3965,0.75318,2.0087),(3415,3975,0.80232,2.0034),(3415,3985,0.84636,1.9981),(3415,3995,0.88488,1.9928),(3415,4005,0.9234,2.0039),(3415,4015,0.96191,2.0315),(3415,4025,1.2789,2.059),(3415,4035,1.6231,2.0903),(3415,4045,1.9673,2.1296),(3415,4055,2.1789,2.1689),(3415,4065,2.3422,2.2029),(3415,4075,2.5055,2.2054),(3415,4085,2.5646,2.2079),(3415,4095,2.54,2.2104),(3415,4105,2.5154,2.2015),(3415,4115,2.4197,2.1922),(3415,4125,2.2061,2.1829),(3415,4135,1.9925,2.1737),(3415,4145,1.7792,2.1646),(3415,4155,1.5668,2.1554),(3415,4165,1.3544,2.1488),(3415,4175,1.1536,2.1438),(3415,4185,1.5288,2.1387),(3415,4195,1.904,2.1281),(3415,4205,2.2791,2.1102),(3415,4215,2.3304,2.0923),(3415,4225,2.3208,2.0741),(3415,4235,2.3112,2.0554),(3415,4245,2.2735,2.0367),(3415,4255,2.2217,2.0178),(3415,4265,2.1699,1.9971),(3415,4275,1.907,1.9765),(3415,4285,1.4202,1.9558),(3415,4295,0.9334,1.9513),(3415,4305,0.73588,1.9488),(3415,4315,1.1916,1.9462),(3415,4325,1.6472,1.9342),(3415,4335,2.0518,1.9186),(3415,4345,2.1108,1.903),(3415,4355,2.1697,1.8865),(3415,4365,2.2286,1.8693),(3415,4375,2.231,1.8521),(3415,4385,2.2306,1.835),(3415,4395,2.2301,1.8183),(3415,4405,1.9646,1.8016),(3415,4415,1.6208,1.7865),(3415,4425,1.2771,1.7787),(3415,4435,1.131,1.7709),(3415,4445,1.12,1.7631),(3415,4455,1.1091,1.756),(3415,4465,1.2446,1.7489),(3415,4475,1.5859,1.7418),(3415,4485,1.9272,1.7274),(3415,4495,2.1877,1.7116),(3415,4505,2.1887,1.6958),(3415,4515,2.1898,1.6801),(3415,4525,2.1865,1.6646),(3415,4535,2.1147,1.649),(3415,4545,2.0428,1.6343),(3415,4555,1.971,1.6204),(3415,4565,1.5172,1.6066),(3415,4575,1.012,1.5964),(3415,4585,0.50677,1.5949),(3415,4595,0.71587,1.5934),(3415,4605,1.2268,1.59),(3415,4615,1.7377,1.5721),(3415,4625,2.0065,1.5542),(3415,4635,2.056,1.5363),(3415,4645,2.1055,1.521),(3415,4655,2.14,1.506),(3415,4665,2.1462,1.4909),(3415,4675,2.1524,1.4766),(3415,4685,2.0841,1.4624),(3415,4695,1.6473,1.4482),(3415,4705,1.2105,1.4396),(3415,4715,0.77369,1.4351),(3415,4725,0.98058,1.4306),(3415,4735,1.1939,1.4244),(3415,4745,1.4072,1.4156),(3415,4755,1.6249,1.4068),(3415,4765,1.8435,1.3969),(3415,4775,2.0621,1.3835),(3415,4785,2.1436,1.3701),(3415,4795,2.1458,1.3567),(3415,4805,2.148,1.3433),(3415,4815,2.047,1.3299),(3415,4825,1.8225,1.3166),(3415,4835,1.598,1.3073),(3415,4845,1.371,1.2986),(3415,4855,1.1373,1.29),(3415,4865,0.90367,1.2849),(3415,4875,0.73841,1.2815),(3415,4885,1.1955,1.2781),(3415,4895,1.6525,1.2703),(3415,4905,2.1095,1.2581),(3415,4915,2.1458,1.246),(3415,4925,2.1458,1.2339),(3415,4935,2.1458,1.2217),(3415,4945,2.1229,1.2096),(3415,4955,2.092,1.1971),(3415,4965,2.0612,1.1826),(3415,4975,1.7159,1.1681),(3415,4985,1.1278,1.1536),(3415,4995,0.5398,1.1526),(3415,5005,0.35775,1.152),(3415,5015,0.82113,1.1514),(3415,5025,1.2845,1.1443),(3415,5035,1.6836,1.1354),(3415,5045,1.838,1.1266),(3415,5055,1.9924,1.116),(3415,5065,2.1423,1.1043),(3415,5075,2.1444,1.0927),(3415,5085,2.1464,1.081),(3415,5095,2.1485,1.0694),(3415,5105,1.8796,1.0579),(3415,5115,1.5634,1.0477),(3415,5125,1.2472,1.0417),(3415,5135,1.0885,1.0358),(3415,5145,1.0063,1.0299),(3415,5155,0.92414,1.0257),(3415,5165,1.0846,1.0215),(3415,5175,1.4927,1.0172),(3415,5185,1.9007,1.007),(3415,5195,2.18,0.99608),(3415,5205,2.1815,0.98518),(3415,5215,2.1831,0.97437),(3415,5225,2.1732,0.96359),(3415,5235,2.0927,0.95281),(3415,5245,2.0121,0.94276),(3415,5255,1.9316,0.93331),(3415,5265,1.3629,0.92386),(3415,5275,0.77399,0.91789),(3415,5285,0.18511,0.91782),(3415,5295,0.57336,0.91774),(3415,5305,1.2337,0.91541),(3415,5315,1.8941,0.9037),(3415,5325,2.1671,0.89198),(3415,5335,2.1862,0.88029),(3415,5345,2.2052,0.87044),(3415,5355,2.2166,0.86059),(3415,5365,2.2179,0.85074),(3415,5375,2.2191,0.84108),(3415,5385,2.0935,0.83146),(3415,5395,1.5822,0.82183),(3415,5405,1.071,0.81693),(3415,5415,0.61537,0.81448),(3415,5425,0.90628,0.81203),(3415,5435,1.1972,0.80854),(3415,5445,1.4881,0.80391),(3415,5455,1.7674,0.79928),(3415,5465,2.0452,0.79383),(3415,5475,2.323,0.7865),(3415,5485,2.4021,0.77918),(3415,5495,2.4011,0.77187),(3415,5505,2.4002,0.76474),(3415,5515,2.3992,0.7576),(3415,5525,2.3983,0.75047),(3415,5535,2.3974,0.74352),(3415,5545,2.3964,0.73658),(3415,5555,2.3954,0.72964),(3415,5565,2.3945,0.72285),(3415,5575,2.3935,0.71609),(3415,5585,2.3925,0.70934),(3415,5595,2.3915,0.70269),(3415,5605,2.3905,0.69612),(3415,5615,2.3895,0.68954),(3415,5625,2.3884,0.68303),(3415,5635,2.3874,0.67662),(3415,5645,2.3864,0.6702),(3415,5655,2.3853,0.66381),(3415,5665,2.3842,0.65754),(3415,5675,2.3832,0.65127),(3415,5685,2.3821,0.645),(3415,5695,2.381,0.63887),(3415,5705,2.3799,0.63274),(3415,5715,2.3788,0.62661),(3415,5725,2.3777,0.62057),(3415,5735,2.3766,0.61456),(3415,5745,2.3755,0.60854),(3415,5755,2.3744,0.6026),(3415,5765,2.3732,0.5967),(3415,5775,2.3721,0.5908),(3415,5785,2.371,0.58495),(3415,5795,2.3698,0.57914),(3415,5805,2.3687,0.57334),(3415,5815,2.3675,0.56757),(3415,5825,2.3664,0.56186),(3415,5835,2.3652,0.55616),(3415,5845,2.364,0.55047),(3415,5855,2.3629,0.54486),(3415,5865,2.3617,0.53924),(3415,5875,2.3605,0.53363),(3415,5885,2.3594,0.5281),(3415,5895,2.3582,0.52256),(3415,5905,2.357,0.51703),(3415,5915,2.3558,0.51156),(3415,5925,2.3546,0.5061),(3415,5935,2.3534,0.50064),(3415,5945,2.3522,0.49524),(3415,5955,2.351,0.48986),(3415,5965,2.3498,0.48448),(3415,5975,2.3486,0.47914),(3415,5985,2.3474,0.47384),(3415,5995,1.7948,0.46854),(3415,6005,1.1534,0.46449),(3415,6015,0.51208,0.46383),(3415,6025,0.66167,0.46316),(3415,6035,1.1781,0.46195),(3415,6045,1.6945,0.45558),(3415,6055,2.0527,0.4492),(3415,6065,2.2557,0.44282),(3415,6075,2.4587,0.43455),(3415,6085,2.5957,0.42609),(3415,6095,2.5968,0.41764),(3415,6105,2.5978,0.40917),(3415,6115,2.5988,0.40069),(3415,6125,2.5998,0.39221),(3415,6135,2.6008,0.38381),(3415,6145,2.6018,0.37548),(3415,6155,2.6027,0.36715),(3415,6165,2.6037,0.35884),(3415,6175,2.6046,0.35056),(3415,6185,2.6055,0.34229),(3415,6195,2.6063,0.33404),(3415,6205,2.6072,0.32587),(3415,6215,2.608,0.31771),(3415,6225,2.6088,0.30955),(3415,6235,2.6096,0.3014),(3415,6245,2.6104,0.29326),(3415,6255,2.6111,0.28511),(3415,6265,2.6119,0.27701),(3415,6275,2.6126,0.26892),(3415,6285,2.6133,0.26083),(3415,6295,2.614,0.25279),(3415,6305,2.6146,0.24477),(3415,6315,2.6152,0.23676),(3415,6325,2.6158,0.22879),(3415,6335,2.6164,0.22088),(3415,6345,2.6169,0.21297),(3415,6355,2.6175,0.20507),(3415,6365,2.618,0.1972),(3415,6375,2.6185,0.18932),(3415,6385,2.619,0.18144),(3415,6395,2.6195,0.17355),(3415,6405,2.6199,0.16566),(3415,6415,2.6203,0.15776),(3415,6425,2.6207,0.14993),(3415,6435,2.6211,0.1421),(3415,6445,2.6215,0.13427),(3415,6455,2.6218,0.1265),(3415,6465,2.6221,0.11875),(3415,6475,2.6224,0.111),(3415,6485,2.6227,0.10325),(3415,6495,2.6229,0.095505),(3415,6505,2.6232,0.087757),(3415,6515,2.6234,0.080019),(3415,6525,2.6236,0.072296),(3415,6535,2.6237,0.064572),(3415,6545,2.6239,0.056846),(3415,6555,2.624,0.049113),(3415,6565,2.6241,0.04138),(3415,6575,2.6242,0.033652),(3415,6585,2.6243,0.025991),(3415,6595,2.2322,0.018329),(3415,6605,1.4069,0.010668),(3415,6615,0.58171,0.009762),(3415,6625,0.001579,0.009725),(3415,6635,0.001576,0.009687),(3415,6645,0.001574,0.009671),(3415,6655,0.001571,0.009664),(3415,6665,0.001569,0.009657),(3415,6675,0.001566,0.00965),(3415,6685,0.001564,0.009643),(3415,6695,0.001561,0.009636),(3415,6705,0.001559,0.009628),(3415,6715,0.001557,0.009621),(3415,6725,0.001555,0.009614),(3415,6735,0.001553,0.009607),(3415,6745,0.001551,0.0096),(3415,6755,0.001549,0.009592),(3415,6765,0.001548,0.009585),(3415,6775,0.001546,0.009577),(3415,6785,0.001544,0.00957),(3415,6795,0.001543,0.009563),(3415,6805,0.001541,0.009555),(3415,6815,0.00154,0.009548),(3415,6825,0.001539,0.009541),(3415,6835,0.001537,0.009533),(3415,6845,0.001536,0.009525),(3415,6855,0.001535,0.009518),(3415,6865,0.001534,0.00951),(3415,6875,0.001533,0.009503),(3415,6885,0.001532,0.009495),(3415,6895,0.001531,0.009488),(3415,6905,0.00153,0.00948),(3415,6915,0.001529,0.009472),(3415,6925,0.001528,0.009464),(3415,6935,0.001527,0.009456),(3415,6945,0.001526,0.009449),(3415,6955,0.001526,0.009441),(3415,6965,0.001525,0.009433),(3415,6975,0.001524,0.009425),(3415,6985,0.001524,0.009417),(3425,5,4e-06,3.6889),(3425,15,1.1e-05,3.6889),(3425,25,1.7e-05,3.6889),(3425,35,2.4e-05,3.6889),(3425,45,3.1e-05,3.6889),(3425,55,3.8e-05,3.6889),(3425,65,4.5e-05,3.6889),(3425,75,5.1e-05,3.6889),(3425,85,5.7e-05,3.6889),(3425,95,6.3e-05,3.6889),(3425,105,6.9e-05,3.6889),(3425,115,7.4e-05,3.6889),(3425,125,8e-05,3.6889),(3425,135,8.5e-05,3.6889),(3425,145,9e-05,3.6889),(3425,155,9.4e-05,3.6889),(3425,165,9.8e-05,3.6889),(3425,175,0.000101,3.6889),(3425,185,0.000104,3.6889),(3425,195,0.000106,3.6889),(3425,205,0.000109,3.6889),(3425,215,0.000111,3.6889),(3425,225,0.000111,3.6889),(3425,235,0.000111,3.6889),(3425,245,0.000111,3.6889),(3425,255,0.000111,3.6889),(3425,265,0.00011,3.6889),(3425,275,0.000107,3.6889),(3425,285,0.000105,3.6889),(3425,295,0.000102,3.6889),(3425,305,9.7e-05,3.6889),(3425,315,9.2e-05,3.6889),(3425,325,8.6e-05,3.6889),(3425,335,8.1e-05,3.6889),(3425,345,7.2e-05,3.6889),(3425,355,6.3e-05,3.6889),(3425,365,5.4e-05,3.6889),(3425,375,4.5e-05,3.6889),(3425,385,3.3e-05,3.6889),(3425,395,1.9e-05,3.6889),(3425,405,6e-06,3.6889),(3425,415,-7e-06,3.689),(3425,425,-2.4e-05,3.689),(3425,435,-4.2e-05,3.689),(3425,445,-5.9e-05,3.689),(3425,455,-7.7e-05,3.689),(3425,465,-9.9e-05,3.689),(3425,475,-0.000122,3.689),(3425,485,-0.000144,3.689),(3425,495,-0.000167,3.689),(3425,505,-0.000195,3.689),(3425,515,-0.000223,3.689),(3425,525,-0.000251,3.689),(3425,535,-0.000279,3.6891),(3425,545,-0.000313,3.6891),(3425,555,-0.000347,3.6891),(3425,565,-0.000381,3.6891),(3425,575,-0.000416,3.6891),(3425,585,-0.000457,3.6891),(3425,595,-0.000497,3.6891),(3425,605,-0.000538,3.6892),(3425,615,-0.00058,3.6892),(3425,625,-0.000628,3.6892),(3425,635,-0.000676,3.6892),(3425,645,-0.000724,3.6892),(3425,655,-0.000773,3.6893),(3425,665,-0.00083,3.6893),(3425,675,-0.000886,3.6893),(3425,685,-0.000942,3.6894),(3425,695,-0.000999,3.6894),(3425,705,-0.001064,3.6894),(3425,715,-0.001128,3.6894),(3425,725,-0.001193,3.6895),(3425,735,-0.001259,3.6895),(3425,745,-0.001332,3.6896),(3425,755,-0.001406,3.6896),(3425,765,-0.001479,3.6896),(3425,775,-0.001555,3.6897),(3425,785,-0.001637,3.6897),(3425,795,-0.00172,3.6898),(3425,805,-0.001803,3.6898),(3425,815,-0.001888,3.6899),(3425,825,-0.001981,3.6899),(3425,835,-0.002074,3.69),(3425,845,-0.002167,3.69),(3425,855,-0.002264,3.6901),(3425,865,-0.002367,3.6902),(3425,875,-0.00247,3.6902),(3425,885,-0.002574,3.6903),(3425,895,-0.002681,3.6904),(3425,905,-0.002795,3.6905),(3425,915,-0.002909,3.6905),(3425,925,-0.003023,3.6906),(3425,935,-0.003141,3.6907),(3425,945,-0.003266,3.6908),(3425,955,-0.003391,3.6909),(3425,965,-0.003516,3.691),(3425,975,-0.003646,3.6911),(3425,985,-0.003783,3.6912),(3425,995,-0.003919,3.6913),(3425,1005,-0.004056,3.6914),(3425,1015,-0.004198,3.6915),(3425,1025,-0.004346,3.6917),(3425,1035,-0.004494,3.6918),(3425,1045,-0.004641,3.6919),(3425,1055,-0.004795,3.6921),(3425,1065,-0.004954,3.6922),(3425,1075,-0.005113,3.6923),(3425,1085,-0.005272,3.6925),(3425,1095,-0.005437,3.6926),(3425,1105,-0.005607,3.6928),(3425,1115,-0.005777,3.693),(3425,1125,-0.005947,3.6931),(3425,1135,-0.006124,3.6933),(3425,1145,-0.006305,3.6935),(3425,1155,-0.006486,3.6937),(3425,1165,-0.006667,3.6939),(3425,1175,-0.006855,3.6941),(3425,1185,-0.007047,3.6943),(3425,1195,-0.007239,3.6945),(3425,1205,-0.00743,3.6947),(3425,1215,-0.007629,3.695),(3425,1225,-0.007831,3.6952),(3425,1235,-0.008033,3.6954),(3425,1245,-0.008234,3.6957),(3425,1255,-0.008443,3.6959),(3425,1265,-0.008655,3.6962),(3425,1275,-0.008866,3.6965),(3425,1285,-0.009077,3.6967),(3425,1295,-0.009296,3.697),(3425,1305,-0.009517,3.6973),(3425,1315,-0.009737,3.6976),(3425,1325,-0.009958,3.6979),(3425,1335,-0.010186,3.6982),(3425,1345,-0.010415,3.6985),(3425,1355,-0.010644,3.6989),(3425,1365,-0.010873,3.6992),(3425,1375,-0.01111,3.6996),(3425,1385,-0.011347,3.6999),(3425,1395,-0.011584,3.7003),(3425,1405,-0.011821,3.7007),(3425,1415,-0.012065,3.701),(3425,1425,-0.01231,3.7014),(3425,1435,-0.012555,3.7018),(3425,1445,-0.0128,3.7022),(3425,1455,-0.013052,3.7026),(3425,1465,-0.013305,3.7031),(3425,1475,-0.013557,3.7035),(3425,1485,-0.013809,3.704),(3425,1495,-0.014069,3.7044),(3425,1505,-0.014329,3.7049),(3425,1515,-0.014589,3.7054),(3425,1525,-0.014849,3.7059),(3425,1535,-0.015117,3.7063),(3425,1545,-0.015384,3.7068),(3425,1555,-0.015651,3.7074),(3425,1565,-0.015919,3.7079),(3425,1575,-0.016194,3.7084),(3425,1585,-0.016469,3.709),(3425,1595,-0.016744,3.7095),(3425,1605,-0.01702,3.7101),(3425,1615,-0.017304,3.7107),(3425,1625,-0.017587,3.7113),(3425,1635,-0.01787,3.7119),(3425,1645,-0.018155,3.7125),(3425,1655,-0.018447,3.7132),(3425,1665,-0.01874,3.7138),(3425,1675,-0.019032,3.7145),(3425,1685,-0.019326,3.7151),(3425,1695,-0.019629,3.7158),(3425,1705,-0.019932,3.7165),(3425,1715,-0.020234,3.7172),(3425,1725,-0.020539,3.718),(3425,1735,-0.020853,3.7187),(3425,1745,-0.021167,3.7194),(3425,1755,-0.021481,3.7202),(3425,1765,-0.021798,3.721),(3425,1775,-0.022124,3.7218),(3425,1785,-0.02245,3.7226),(3425,1795,-0.022776,3.7234),(3425,1805,-0.023107,3.7243),(3425,1815,-0.023447,3.7252),(3425,1825,-0.023787,3.726),(3425,1835,-0.024127,3.727),(3425,1845,-0.024473,3.7279),(3425,1855,-0.024828,3.7288),(3425,1865,-0.025184,3.7298),(3425,1875,-0.025539,3.7308),(3425,1885,-0.025902,3.7318),(3425,1895,-0.026274,3.7328),(3425,1905,-0.026647,3.7338),(3425,1915,-0.027019,3.7349),(3425,1925,-0.0274,3.736),(3425,1935,-0.02779,3.7371),(3425,1945,-0.028181,3.7382),(3425,1955,-0.028571,3.7394),(3425,1965,-0.028971,3.7406),(3425,1975,-0.02938,3.7418),(3425,1985,-0.029789,3.743),(3425,1995,-0.030199,3.7443),(3425,2005,-0.030618,3.7457),(3425,2015,-0.031046,3.747),(3425,2025,-0.031474,3.7483),(3425,2035,-0.031902,3.7498),(3425,2045,-0.03234,3.7512),(3425,2055,-0.032786,3.7526),(3425,2065,-0.033232,3.7542),(3425,2075,-0.033678,3.7557),(3425,2085,-0.034134,3.7573),(3425,2095,-0.034596,3.7589),(3425,2105,-0.035058,3.7606),(3425,2115,-0.03552,3.7623),(3425,2125,-0.035989,3.7641),(3425,2135,-0.036462,3.7658),(3425,2145,-0.036935,3.7677),(3425,2155,-0.037409,3.7697),(3425,2165,-0.037885,3.7716),(3425,2175,-0.038362,3.7736),(3425,2185,-0.038839,3.7757),(3425,2195,-0.039316,3.7778),(3425,2205,-0.039788,3.78),(3425,2215,-0.040258,3.7822),(3425,2225,-0.040727,3.7845),(3425,2235,-0.041197,3.787),(3425,2245,-0.041649,3.7894),(3425,2255,-0.042094,3.7918),(3425,2265,-0.042539,3.7945),(3425,2275,-0.042984,3.7972),(3425,2285,-0.043392,3.7999),(3425,2295,-0.043788,3.8026),(3425,2305,-0.044185,3.8056),(3425,2315,-0.044581,3.8087),(3425,2325,-0.04491,3.8117),(3425,2335,-0.045224,3.8148),(3425,2345,-0.045537,3.8182),(3425,2355,-0.045851,3.8216),(3425,2365,-0.046053,3.8251),(3425,2375,-0.046237,3.8285),(3425,2385,-0.046421,3.8323),(3425,2395,-0.046605,3.8362),(3425,2405,-0.046615,3.8401),(3425,2415,-0.046605,3.844),(3425,2425,-0.046595,3.8483),(3425,2435,-0.046585,3.8527),(3425,2445,-0.046314,3.857),(3425,2455,-0.046026,3.8614),(3425,2465,-0.045738,3.8662),(3425,2475,-0.045449,3.8711),(3425,2485,-0.044782,3.876),(3425,2495,-0.044105,3.8809),(3425,2505,-0.043429,3.8863),(3425,2515,-0.042744,3.8918),(3425,2525,-0.041541,3.8972),(3425,2535,-0.040338,3.9027),(3425,2545,-0.039135,3.9087),(3425,2555,-0.037895,3.9147),(3425,2565,-0.035998,3.9207),(3425,2575,-0.034102,3.9267),(3425,2585,-0.032206,3.9333),(3425,2595,-0.030226,3.9398),(3425,2605,-0.027445,3.9464),(3425,2615,-0.024663,3.953),(3425,2625,-0.021882,3.96),(3425,2635,-0.018955,3.967),(3425,2645,-0.015084,3.974),(3425,2655,-0.011213,3.981),(3425,2665,-0.007342,3.9883),(3425,2675,-0.003249,3.9956),(3425,2685,0.001905,4.0029),(3425,2695,0.007058,4.0102),(3425,2705,0.012211,4.0176),(3425,2715,0.017668,4.0249),(3425,2725,0.024251,4.0323),(3425,2735,0.030833,4.0396),(3425,2745,0.037416,4.0468),(3425,2755,0.044375,4.0539),(3425,2765,0.052452,4.0611),(3425,2775,0.060529,4.0681),(3425,2785,0.068605,4.0746),(3425,2795,0.077108,4.0812),(3425,2805,0.086642,4.0878),(3425,2815,0.096176,4.0942),(3425,2825,0.10571,4.0999),(3425,2835,0.11569,4.1056),(3425,2845,0.12655,4.1114),(3425,2855,0.13742,4.1167),(3425,2865,0.14829,4.1213),(3425,2875,0.15959,4.1259),(3425,2885,0.17161,4.1305),(3425,2895,0.18364,4.1346),(3425,2905,0.19566,4.1379),(3425,2915,0.20808,4.1413),(3425,2925,0.22107,4.1446),(3425,2935,0.23406,4.1472),(3425,2945,0.24704,4.1491),(3425,2955,0.26038,4.151),(3425,2965,0.27414,4.1528),(3425,2975,0.2879,4.154),(3425,2985,0.30166,4.1543),(3425,2995,0.31571,4.1547),(3425,3005,0.33007,4.155),(3425,3015,0.34444,4.1545),(3425,3025,0.3588,4.1533),(3425,3035,0.3734,4.1521),(3425,3045,0.38821,4.1508),(3425,3055,0.40303,4.1487),(3425,3065,0.41784,4.1459),(3425,3075,0.43284,4.143),(3425,3085,0.44798,4.1401),(3425,3095,0.46312,4.1363),(3425,3105,0.47826,4.1318),(3425,3115,0.49353,4.1272),(3425,3125,0.50887,4.1227),(3425,3135,0.52422,4.1171),(3425,3145,0.53957,4.1109),(3425,3155,0.55498,4.1046),(3425,3165,0.57042,4.0984),(3425,3175,0.58586,4.0909),(3425,3185,0.6013,4.0829),(3425,3195,0.61673,4.0749),(3425,3205,0.63214,4.0669),(3425,3215,0.64756,4.0575),(3425,3225,0.66298,4.0476),(3425,3235,0.67828,4.0377),(3425,3245,0.69353,4.0278),(3425,3255,0.70879,4.0164),(3425,3265,0.72405,4.0046),(3425,3275,0.73905,3.9927),(3425,3285,0.75398,3.9808),(3425,3295,0.76891,3.9673),(3425,3305,0.78384,3.9534),(3425,3315,0.79834,3.9394),(3425,3325,0.81273,3.9255),(3425,3335,0.82712,3.9097),(3425,3345,0.84152,3.8936),(3425,3355,0.85523,3.8774),(3425,3365,0.86881,3.8613),(3425,3375,0.8824,3.8432),(3425,3385,0.89599,3.8247),(3425,3395,0.90857,3.8063),(3425,3405,0.92102,3.7879),(3425,3415,0.93346,3.7673),(3425,3425,0.94591,3.7465),(3425,3435,0.95692,3.7257),(3425,3445,0.96781,3.705),(3425,3455,0.97871,3.682),(3425,3465,0.9896,3.6588),(3425,3475,0.99853,3.6357),(3425,3485,1.0074,3.6126),(3425,3495,1.0162,3.5872),(3425,3505,1.0251,3.5619),(3425,3515,1.0314,3.5365),(3425,3525,1.0377,3.5111),(3425,3535,1.044,3.4838),(3425,3545,1.0501,3.4565),(3425,3555,1.0533,3.4292),(3425,3565,1.0565,3.4018),(3425,3575,1.0597,3.3729),(3425,3585,1.0626,3.3441),(3425,3595,1.0622,3.3153),(3425,3605,1.0619,3.2863),(3425,3615,1.0615,3.2566),(3425,3625,1.0607,3.2268),(3425,3635,1.0566,3.197),(3425,3645,1.0525,3.1672),(3425,3655,1.0483,3.1371),(3425,3665,1.0436,3.107),(3425,3675,1.0357,3.077),(3425,3685,1.0278,3.0469),(3425,3695,1.0199,3.017),(3425,3705,1.0113,2.9871),(3425,3715,0.99992,2.9572),(3425,3725,0.98852,2.9273),(3425,3735,0.97713,2.8977),(3425,3745,0.965,2.8682),(3425,3755,0.95054,2.8386),(3425,3765,0.93608,2.8089),(3425,3775,0.92162,2.7792),(3425,3785,0.90646,2.7495),(3425,3795,0.8895,2.7198),(3425,3805,0.87255,2.6897),(3425,3815,0.8556,2.6586),(3425,3825,0.83817,2.6275),(3425,3835,0.81974,2.5964),(3425,3845,0.80132,2.5639),(3425,3855,0.78289,2.5289),(3425,3865,0.76495,2.4939),(3425,3875,0.74786,2.4588),(3425,3885,0.73076,2.4208),(3425,3895,0.71367,2.3778),(3425,3905,0.70109,2.3349),(3425,3915,0.69526,2.292),(3425,3925,0.68943,2.246),(3425,3935,0.68359,2.1959),(3425,3945,0.69741,2.1458),(3425,3955,0.73618,2.0957),(3425,3965,0.77494,2.0647),(3425,3975,0.81371,2.0561),(3425,3985,0.84876,2.0476),(3425,3995,0.87977,2.039),(3425,4005,0.91079,2.0439),(3425,4015,0.94181,2.0623),(3425,4025,1.2557,2.0807),(3425,4035,1.5972,2.1008),(3425,4045,1.9387,2.1249),(3425,4055,2.154,2.1489),(3425,4065,2.3232,2.1699),(3425,4075,2.4924,2.1729),(3425,4085,2.556,2.176),(3425,4095,2.5349,2.179),(3425,4105,2.5138,2.1714),(3425,4115,2.4205,2.1635),(3425,4125,2.2077,2.1556),(3425,4135,1.9948,2.1473),(3425,4145,1.7819,2.139),(3425,4155,1.569,2.1306),(3425,4165,1.356,2.1246),(3425,4175,1.1548,2.1201),(3425,4185,1.5328,2.1156),(3425,4195,1.9108,2.1056),(3425,4205,2.2888,2.0883),(3425,4215,2.3408,2.071),(3425,4225,2.3315,2.0534),(3425,4235,2.3222,2.0351),(3425,4245,2.2852,2.0168),(3425,4255,2.2342,1.9984),(3425,4265,2.1832,1.978),(3425,4275,1.9187,1.9576),(3425,4285,1.4278,1.9372),(3425,4295,0.9369,1.9328),(3425,4305,0.73734,1.9303),(3425,4315,1.1956,1.9279),(3425,4325,1.6539,1.9162),(3425,4335,2.0608,1.9008),(3425,4345,2.1201,1.8855),(3425,4355,2.1793,1.8693),(3425,4365,2.2385,1.8523),(3425,4375,2.2409,1.8353),(3425,4385,2.2403,1.8185),(3425,4395,2.2397,1.802),(3425,4405,1.9728,1.7855),(3425,4415,1.6274,1.7706),(3425,4425,1.282,1.7628),(3425,4435,1.1351,1.755),(3425,4445,1.1239,1.7473),(3425,4455,1.1128,1.7402),(3425,4465,1.2489,1.7332),(3425,4475,1.5918,1.7261),(3425,4485,1.9348,1.7119),(3425,4495,2.1965,1.6962),(3425,4505,2.1974,1.6804),(3425,4515,2.1984,1.6649),(3425,4525,2.195,1.6495),(3425,4535,2.1228,1.6341),(3425,4545,2.0507,1.6195),(3425,4555,1.9785,1.6058),(3425,4565,1.5228,1.5921),(3425,4575,1.0153,1.5819),(3425,4585,0.5078,1.5805),(3425,4595,0.7187,1.579),(3425,4605,1.2331,1.5757),(3425,4615,1.7476,1.5578),(3425,4625,2.0175,1.5399),(3425,4635,2.0659,1.522),(3425,4645,2.1144,1.5069),(3425,4655,2.1481,1.492),(3425,4665,2.154,1.477),(3425,4675,2.1599,1.4628),(3425,4685,2.091,1.4488),(3425,4695,1.6526,1.4347),(3425,4705,1.2141,1.4262),(3425,4715,0.77571,1.4218),(3425,4725,0.98327,1.4174),(3425,4735,1.1973,1.4112),(3425,4745,1.4113,1.4024),(3425,4755,1.6297,1.3936),(3425,4765,1.8491,1.3838),(3425,4775,2.0685,1.3704),(3425,4785,2.1502,1.357),(3425,4795,2.1524,1.3436),(3425,4805,2.1545,1.3303),(3425,4815,2.0531,1.317),(3425,4825,1.8279,1.3036),(3425,4835,1.6026,1.2944),(3425,4845,1.3748,1.2857),(3425,4855,1.1402,1.2771),(3425,4865,0.90567,1.2721),(3425,4875,0.73972,1.2687),(3425,4885,1.198,1.2654),(3425,4895,1.6563,1.2576),(3425,4905,2.1146,1.2455),(3425,4915,2.1509,1.2335),(3425,4925,2.1509,1.2215),(3425,4935,2.151,1.2094),(3425,4945,2.1287,1.1974),(3425,4955,2.0986,1.1849),(3425,4965,2.0686,1.1706),(3425,4975,1.7223,1.1562),(3425,4985,1.1318,1.1418),(3425,4995,0.54133,1.1409),(3425,5005,0.35821,1.1403),(3425,5015,0.8227,1.1397),(3425,5025,1.2872,1.1325),(3425,5035,1.6873,1.1237),(3425,5045,1.8421,1.1149),(3425,5055,1.9968,1.1044),(3425,5065,2.1471,1.0927),(3425,5075,2.1491,1.0811),(3425,5085,2.1512,1.0695),(3425,5095,2.1532,1.058),(3425,5105,1.8836,1.0464),(3425,5115,1.5667,1.0364),(3425,5125,1.2497,1.0304),(3425,5135,1.0907,1.0244),(3425,5145,1.0082,1.0186),(3425,5155,0.92569,1.0144),(3425,5165,1.0864,1.0102),(3425,5175,1.4953,1.006),(3425,5185,1.9041,0.9958),(3425,5195,2.1839,0.98495),(3425,5205,2.1854,0.9741),(3425,5215,2.1869,0.96333),(3425,5225,2.177,0.9526),(3425,5235,2.0963,0.94187),(3425,5245,2.0156,0.93186),(3425,5255,1.9349,0.92246),(3425,5265,1.3651,0.91306),(3425,5275,0.77518,0.90712),(3425,5285,0.18524,0.90705),(3425,5295,0.57446,0.90698),(3425,5305,1.2364,0.90468),(3425,5315,1.8983,0.89307),(3425,5325,2.1715,0.88147),(3425,5335,2.1899,0.86989),(3425,5345,2.2083,0.86011),(3425,5355,2.2194,0.85034),(3425,5365,2.2205,0.84057),(3425,5375,2.2217,0.83098),(3425,5385,2.0959,0.82144),(3425,5395,1.584,0.81189),(3425,5405,1.0722,0.80703),(3425,5415,0.61592,0.80461),(3425,5425,0.90663,0.80218),(3425,5435,1.1973,0.79874),(3425,5445,1.488,0.79419),(3425,5455,1.7673,0.78963),(3425,5465,2.0451,0.78428),(3425,5475,2.3229,0.77707),(3425,5485,2.4019,0.76986),(3425,5495,2.4009,0.76267),(3425,5505,2.3999,0.75565),(3425,5515,2.3989,0.74863),(3425,5525,2.3979,0.74161),(3425,5535,2.3969,0.73477),(3425,5545,2.3959,0.72795),(3425,5555,2.3949,0.72112),(3425,5565,2.3939,0.71442),(3425,5575,2.3928,0.70777),(3425,5585,2.3918,0.70113),(3425,5595,2.3907,0.69458),(3425,5605,2.3897,0.68811),(3425,5615,2.3886,0.68163),(3425,5625,2.3875,0.67522),(3425,5635,2.3865,0.6689),(3425,5645,2.3854,0.66258),(3425,5655,2.3843,0.65629),(3425,5665,2.3832,0.65011),(3425,5675,2.3821,0.64393),(3425,5685,2.381,0.63776),(3425,5695,2.3798,0.63172),(3425,5705,2.3787,0.62567),(3425,5715,2.3776,0.61963),(3425,5725,2.3764,0.61368),(3425,5735,2.3753,0.60775),(3425,5745,2.3741,0.60182),(3425,5755,2.373,0.59597),(3425,5765,2.3718,0.59015),(3425,5775,2.3707,0.58433),(3425,5785,2.3695,0.57856),(3425,5795,2.3683,0.57283),(3425,5805,2.3672,0.56711),(3425,5815,2.366,0.56142),(3425,5825,2.3648,0.55579),(3425,5835,2.3636,0.55016),(3425,5845,2.3624,0.54455),(3425,5855,2.3612,0.53901),(3425,5865,2.36,0.53347),(3425,5875,2.3589,0.52793),(3425,5885,2.3577,0.52246),(3425,5895,2.3565,0.517),(3425,5905,2.3552,0.51153),(3425,5915,2.354,0.50613),(3425,5925,2.3528,0.50074),(3425,5935,2.3516,0.49535),(3425,5945,2.3504,0.49001),(3425,5955,2.3492,0.48469),(3425,5965,2.348,0.47938),(3425,5975,2.3467,0.4741),(3425,5985,2.3455,0.46886),(3425,5995,1.7933,0.46362),(3425,6005,1.1525,0.45963),(3425,6015,0.51165,0.45897),(3425,6025,0.66166,0.45831),(3425,6035,1.1785,0.45712),(3425,6045,1.6953,0.45081),(3425,6055,2.0537,0.4445),(3425,6065,2.2568,0.43819),(3425,6075,2.4599,0.43),(3425,6085,2.597,0.42164),(3425,6095,2.598,0.41328),(3425,6105,2.599,0.4049),(3425,6115,2.6,0.3965),(3425,6125,2.601,0.38811),(3425,6135,2.6019,0.3798),(3425,6145,2.6029,0.37156),(3425,6155,2.6038,0.36332),(3425,6165,2.6047,0.35509),(3425,6175,2.6056,0.34691),(3425,6185,2.6064,0.33872),(3425,6195,2.6073,0.33055),(3425,6205,2.6081,0.32247),(3425,6215,2.6089,0.3144),(3425,6225,2.6097,0.30632),(3425,6235,2.6105,0.29826),(3425,6245,2.6112,0.2902),(3425,6255,2.612,0.28214),(3425,6265,2.6127,0.27413),(3425,6275,2.6134,0.26612),(3425,6285,2.614,0.25812),(3425,6295,2.6147,0.25016),(3425,6305,2.6154,0.24222),(3425,6315,2.616,0.23429),(3425,6325,2.6165,0.22641),(3425,6335,2.6171,0.21858),(3425,6345,2.6176,0.21075),(3425,6355,2.6181,0.20294),(3425,6365,2.6187,0.19515),(3425,6375,2.6191,0.18736),(3425,6385,2.6196,0.17957),(3425,6395,2.6201,0.17176),(3425,6405,2.6205,0.16395),(3425,6415,2.6209,0.15614),(3425,6425,2.6213,0.14839),(3425,6435,2.6217,0.14064),(3425,6445,2.622,0.1329),(3425,6455,2.6223,0.12521),(3425,6465,2.6227,0.11755),(3425,6475,2.6229,0.10988),(3425,6485,2.6232,0.10221),(3425,6495,2.6235,0.094549),(3425,6505,2.6237,0.086885),(3425,6515,2.6239,0.079232),(3425,6525,2.6241,0.071596),(3425,6535,2.6242,0.06396),(3425,6545,2.6243,0.056322),(3425,6555,2.6245,0.048677),(3425,6565,2.6246,0.041033),(3425,6575,2.6247,0.033394),(3425,6585,2.6248,0.025827),(3425,6595,2.2325,0.018261),(3425,6605,1.4072,0.010695),(3425,6615,0.5818,0.009789),(3425,6625,0.001582,0.009739),(3425,6635,0.001579,0.009688),(3425,6645,0.001576,0.009668),(3425,6655,0.001574,0.009661),(3425,6665,0.001571,0.009654),(3425,6675,0.001569,0.009647),(3425,6685,0.001566,0.00964),(3425,6695,0.001564,0.009633),(3425,6705,0.001562,0.009626),(3425,6715,0.00156,0.009619),(3425,6725,0.001558,0.009612),(3425,6735,0.001556,0.009605),(3425,6745,0.001554,0.009598),(3425,6755,0.001552,0.00959),(3425,6765,0.001551,0.009583),(3425,6775,0.001549,0.009576),(3425,6785,0.001548,0.009569),(3425,6795,0.001546,0.009561),(3425,6805,0.001545,0.009554),(3425,6815,0.001543,0.009546),(3425,6825,0.001542,0.009539),(3425,6835,0.001541,0.009532),(3425,6845,0.001539,0.009524),(3425,6855,0.001538,0.009517),(3425,6865,0.001537,0.009509),(3425,6875,0.001536,0.009502),(3425,6885,0.001535,0.009494),(3425,6895,0.001534,0.009487),(3425,6905,0.001533,0.009479),(3425,6915,0.001532,0.009471),(3425,6925,0.001531,0.009463),(3425,6935,0.001531,0.009456),(3425,6945,0.00153,0.009448),(3425,6955,0.001529,0.00944),(3425,6965,0.001528,0.009432),(3425,6975,0.001528,0.009424),(3425,6985,0.001527,0.009416),(3435,5,3e-06,3.6889),(3435,15,1e-05,3.6889),(3435,25,1.7e-05,3.6889),(3435,35,2.4e-05,3.6889),(3435,45,3.1e-05,3.6889),(3435,55,3.7e-05,3.6889),(3435,65,4.4e-05,3.6889),(3435,75,5e-05,3.6889),(3435,85,5.6e-05,3.6889),(3435,95,6.2e-05,3.6889),(3435,105,6.8e-05,3.6889),(3435,115,7.3e-05,3.6889),(3435,125,7.8e-05,3.6889),(3435,135,8.3e-05,3.6889),(3435,145,8.8e-05,3.6889),(3435,155,9.1e-05,3.6889),(3435,165,9.5e-05,3.6889),(3435,175,9.9e-05,3.6889),(3435,185,0.000102,3.6889),(3435,195,0.000104,3.6889),(3435,205,0.000106,3.6889),(3435,215,0.000108,3.6889),(3435,225,0.000108,3.6889),(3435,235,0.000108,3.6889),(3435,245,0.000108,3.6889),(3435,255,0.000108,3.6889),(3435,265,0.000105,3.6889),(3435,275,0.000103,3.6889),(3435,285,0.0001,3.6889),(3435,295,9.7e-05,3.6889),(3435,305,9.2e-05,3.6889),(3435,315,8.6e-05,3.6889),(3435,325,8e-05,3.6889),(3435,335,7.5e-05,3.6889),(3435,345,6.6e-05,3.6889),(3435,355,5.7e-05,3.6889),(3435,365,4.7e-05,3.6889),(3435,375,3.8e-05,3.6889),(3435,385,2.5e-05,3.6889),(3435,395,1.1e-05,3.6889),(3435,405,-2e-06,3.6889),(3435,415,-1.6e-05,3.6889),(3435,425,-3.3e-05,3.6889),(3435,435,-5.1e-05,3.6889),(3435,445,-7e-05,3.689),(3435,455,-8.8e-05,3.689),(3435,465,-0.000111,3.689),(3435,475,-0.000134,3.689),(3435,485,-0.000157,3.689),(3435,495,-0.00018,3.689),(3435,505,-0.000209,3.689),(3435,515,-0.000238,3.689),(3435,525,-0.000266,3.689),(3435,535,-0.000295,3.689),(3435,545,-0.00033,3.689),(3435,555,-0.000365,3.689),(3435,565,-0.0004,3.6891),(3435,575,-0.000435,3.6891),(3435,585,-0.000477,3.6891),(3435,595,-0.000518,3.6891),(3435,605,-0.00056,3.6891),(3435,615,-0.000603,3.6891),(3435,625,-0.000652,3.6892),(3435,635,-0.000701,3.6892),(3435,645,-0.00075,3.6892),(3435,655,-0.000801,3.6892),(3435,665,-0.000858,3.6892),(3435,675,-0.000915,3.6893),(3435,685,-0.000972,3.6893),(3435,695,-0.001031,3.6893),(3435,705,-0.001097,3.6893),(3435,715,-0.001163,3.6894),(3435,725,-0.001229,3.6894),(3435,735,-0.001297,3.6894),(3435,745,-0.001372,3.6895),(3435,755,-0.001447,3.6895),(3435,765,-0.001522,3.6896),(3435,775,-0.0016,3.6896),(3435,785,-0.001684,3.6896),(3435,795,-0.001769,3.6897),(3435,805,-0.001853,3.6897),(3435,815,-0.001941,3.6898),(3435,825,-0.002037,3.6898),(3435,835,-0.002132,3.6899),(3435,845,-0.002227,3.6899),(3435,855,-0.002325,3.69),(3435,865,-0.002431,3.6901),(3435,875,-0.002537,3.6901),(3435,885,-0.002643,3.6902),(3435,895,-0.002753,3.6903),(3435,905,-0.00287,3.6903),(3435,915,-0.002987,3.6904),(3435,925,-0.003103,3.6905),(3435,935,-0.003225,3.6906),(3435,945,-0.003353,3.6907),(3435,955,-0.003481,3.6908),(3435,965,-0.00361,3.6909),(3435,975,-0.003743,3.691),(3435,985,-0.003883,3.6911),(3435,995,-0.004023,3.6912),(3435,1005,-0.004163,3.6913),(3435,1015,-0.004309,3.6914),(3435,1025,-0.004461,3.6915),(3435,1035,-0.004613,3.6916),(3435,1045,-0.004765,3.6918),(3435,1055,-0.004923,3.6919),(3435,1065,-0.005086,3.692),(3435,1075,-0.00525,3.6922),(3435,1085,-0.005413,3.6923),(3435,1095,-0.005583,3.6925),(3435,1105,-0.005758,3.6926),(3435,1115,-0.005933,3.6928),(3435,1125,-0.006108,3.693),(3435,1135,-0.00629,3.6931),(3435,1145,-0.006476,3.6933),(3435,1155,-0.006662,3.6935),(3435,1165,-0.006849,3.6937),(3435,1175,-0.007042,3.6939),(3435,1185,-0.00724,3.6941),(3435,1195,-0.007437,3.6943),(3435,1205,-0.007634,3.6945),(3435,1215,-0.007839,3.6947),(3435,1225,-0.008047,3.695),(3435,1235,-0.008255,3.6952),(3435,1245,-0.008462,3.6955),(3435,1255,-0.008678,3.6957),(3435,1265,-0.008896,3.696),(3435,1275,-0.009114,3.6962),(3435,1285,-0.009331,3.6965),(3435,1295,-0.009557,3.6968),(3435,1305,-0.009785,3.6971),(3435,1315,-0.010012,3.6974),(3435,1325,-0.01024,3.6977),(3435,1335,-0.010475,3.698),(3435,1345,-0.010711,3.6983),(3435,1355,-0.010948,3.6986),(3435,1365,-0.011185,3.699),(3435,1375,-0.011429,3.6993),(3435,1385,-0.011674,3.6997),(3435,1395,-0.011919,3.7),(3435,1405,-0.012164,3.7004),(3435,1415,-0.012416,3.7008),(3435,1425,-0.012669,3.7012),(3435,1435,-0.012922,3.7016),(3435,1445,-0.013175,3.702),(3435,1455,-0.013436,3.7024),(3435,1465,-0.013697,3.7028),(3435,1475,-0.013958,3.7032),(3435,1485,-0.01422,3.7037),(3435,1495,-0.014489,3.7041),(3435,1505,-0.014758,3.7046),(3435,1515,-0.015027,3.7051),(3435,1525,-0.015296,3.7056),(3435,1535,-0.015573,3.7061),(3435,1545,-0.01585,3.7065),(3435,1555,-0.016127,3.7071),(3435,1565,-0.016405,3.7076),(3435,1575,-0.016691,3.7081),(3435,1585,-0.016976,3.7087),(3435,1595,-0.017261,3.7093),(3435,1605,-0.017548,3.7098),(3435,1615,-0.017842,3.7104),(3435,1625,-0.018137,3.711),(3435,1635,-0.018431,3.7116),(3435,1645,-0.018727,3.7122),(3435,1655,-0.019031,3.7128),(3435,1665,-0.019336,3.7135),(3435,1675,-0.01964,3.7141),(3435,1685,-0.019946,3.7148),(3435,1695,-0.020262,3.7155),(3435,1705,-0.020577,3.7162),(3435,1715,-0.020893,3.7169),(3435,1725,-0.021211,3.7176),(3435,1735,-0.021539,3.7183),(3435,1745,-0.021867,3.7191),(3435,1755,-0.022195,3.7199),(3435,1765,-0.022527,3.7207),(3435,1775,-0.022869,3.7214),(3435,1785,-0.023211,3.7222),(3435,1795,-0.023552,3.7231),(3435,1805,-0.023899,3.7239),(3435,1815,-0.024256,3.7248),(3435,1825,-0.024613,3.7257),(3435,1835,-0.024971,3.7266),(3435,1845,-0.025334,3.7275),(3435,1855,-0.025709,3.7284),(3435,1865,-0.026084,3.7294),(3435,1875,-0.026459,3.7304),(3435,1885,-0.026841,3.7314),(3435,1895,-0.027235,3.7324),(3435,1905,-0.02763,3.7334),(3435,1915,-0.028024,3.7345),(3435,1925,-0.028427,3.7356),(3435,1935,-0.028842,3.7366),(3435,1945,-0.029257,3.7378),(3435,1955,-0.029672,3.739),(3435,1965,-0.030097,3.7402),(3435,1975,-0.030534,3.7413),(3435,1985,-0.030972,3.7426),(3435,1995,-0.031409,3.7439),(3435,2005,-0.031857,3.7452),(3435,2015,-0.032317,3.7465),(3435,2025,-0.032777,3.7478),(3435,2035,-0.033237,3.7493),(3435,2045,-0.033709,3.7507),(3435,2055,-0.034191,3.7521),(3435,2065,-0.034674,3.7536),(3435,2075,-0.035156,3.7552),(3435,2085,-0.035651,3.7568),(3435,2095,-0.036154,3.7584),(3435,2105,-0.036658,3.7601),(3435,2115,-0.037161,3.7618),(3435,2125,-0.037676,3.7635),(3435,2135,-0.038197,3.7653),(3435,2145,-0.038718,3.7672),(3435,2155,-0.03924,3.7691),(3435,2165,-0.039768,3.771),(3435,2175,-0.040301,3.773),(3435,2185,-0.040833,3.7751),(3435,2195,-0.041366,3.7773),(3435,2205,-0.041899,3.7794),(3435,2215,-0.042432,3.7816),(3435,2225,-0.042965,3.7839),(3435,2235,-0.043498,3.7864),(3435,2245,-0.04402,3.7888),(3435,2255,-0.044539,3.7912),(3435,2265,-0.045057,3.7939),(3435,2275,-0.045576,3.7966),(3435,2285,-0.046064,3.7994),(3435,2295,-0.046545,3.8021),(3435,2305,-0.047025,3.8051),(3435,2315,-0.047506,3.8082),(3435,2325,-0.047928,3.8112),(3435,2335,-0.048337,3.8143),(3435,2345,-0.048747,3.8177),(3435,2355,-0.049156,3.8212),(3435,2365,-0.049465,3.8247),(3435,2375,-0.049757,3.8281),(3435,2385,-0.050048,3.832),(3435,2395,-0.05034,3.8359),(3435,2405,-0.05047,3.8399),(3435,2415,-0.050581,3.8438),(3435,2425,-0.050692,3.8482),(3435,2435,-0.050802,3.8526),(3435,2445,-0.050663,3.857),(3435,2455,-0.050507,3.8614),(3435,2465,-0.050351,3.8664),(3435,2475,-0.050195,3.8714),(3435,2485,-0.049669,3.8763),(3435,2495,-0.049133,3.8813),(3435,2505,-0.048598,3.8869),(3435,2515,-0.048054,3.8925),(3435,2525,-0.046996,3.898),(3435,2535,-0.045937,3.9036),(3435,2545,-0.044879,3.9098),(3435,2555,-0.043782,3.916),(3435,2565,-0.042025,3.9222),(3435,2575,-0.040268,3.9284),(3435,2585,-0.03851,3.9352),(3435,2595,-0.036668,3.942),(3435,2605,-0.034007,3.9487),(3435,2615,-0.031346,3.9556),(3435,2625,-0.028686,3.9629),(3435,2635,-0.025875,3.9701),(3435,2645,-0.022089,3.9774),(3435,2655,-0.018304,3.9848),(3435,2665,-0.014519,3.9924),(3435,2675,-0.010503,4.0001),(3435,2685,-0.005383,4.0077),(3435,2695,-0.000263,4.0154),(3435,2705,0.004858,4.0231),(3435,2715,0.010297,4.0309),(3435,2725,0.016915,4.0386),(3435,2735,0.023533,4.0464),(3435,2745,0.030151,4.0539),(3435,2755,0.037166,4.0615),(3435,2765,0.045355,4.069),(3435,2775,0.053544,4.0764),(3435,2785,0.061733,4.0834),(3435,2795,0.070369,4.0904),(3435,2805,0.080088,4.0974),(3435,2815,0.089807,4.1041),(3435,2825,0.099526,4.1102),(3435,2835,0.10971,4.1163),(3435,2845,0.12082,4.1224),(3435,2855,0.13193,4.1281),(3435,2865,0.14305,4.133),(3435,2875,0.15461,4.138),(3435,2885,0.16692,4.1429),(3435,2895,0.17923,4.1473),(3435,2905,0.19155,4.1508),(3435,2915,0.20427,4.1544),(3435,2925,0.21757,4.158),(3435,2935,0.23088,4.1609),(3435,2945,0.24419,4.1629),(3435,2955,0.25785,4.165),(3435,2965,0.27195,4.1671),(3435,2975,0.28604,4.1684),(3435,2985,0.30014,4.1689),(3435,2995,0.31454,4.1694),(3435,3005,0.32925,4.1699),(3435,3015,0.34396,4.1696),(3435,3025,0.35867,4.1685),(3435,3035,0.37363,4.1674),(3435,3045,0.3888,4.1662),(3435,3055,0.40398,4.1642),(3435,3065,0.41915,4.1614),(3435,3075,0.43452,4.1587),(3435,3085,0.45003,4.1559),(3435,3095,0.46554,4.1521),(3435,3105,0.48105,4.1477),(3435,3115,0.49669,4.1432),(3435,3125,0.51242,4.1387),(3435,3135,0.52815,4.1332),(3435,3145,0.54388,4.1269),(3435,3155,0.55968,4.1207),(3435,3165,0.57552,4.1145),(3435,3175,0.59136,4.1071),(3435,3185,0.6072,4.0991),(3435,3195,0.62304,4.091),(3435,3205,0.63888,4.083),(3435,3215,0.65471,4.0736),(3435,3225,0.67055,4.0637),(3435,3235,0.68629,4.0538),(3435,3245,0.70199,4.0439),(3435,3255,0.71769,4.0324),(3435,3265,0.7334,4.0205),(3435,3275,0.74887,4.0085),(3435,3285,0.76427,3.9966),(3435,3295,0.77967,3.983),(3435,3305,0.79508,3.9689),(3435,3315,0.81007,3.9549),(3435,3325,0.82496,3.9408),(3435,3335,0.83986,3.9248),(3435,3345,0.85475,3.9085),(3435,3355,0.86899,3.8922),(3435,3365,0.88311,3.8759),(3435,3375,0.89723,3.8575),(3435,3385,0.91134,3.8387),(3435,3395,0.92447,3.82),(3435,3405,0.93746,3.8013),(3435,3415,0.95046,3.7804),(3435,3425,0.96345,3.7592),(3435,3435,0.97501,3.738),(3435,3445,0.98646,3.7168),(3435,3455,0.9979,3.6933),(3435,3465,1.0093,3.6697),(3435,3475,1.0188,3.646),(3435,3485,1.0282,3.6224),(3435,3495,1.0376,3.5964),(3435,3505,1.0469,3.5703),(3435,3515,1.0537,3.5443),(3435,3525,1.0604,3.5182),(3435,3535,1.0672,3.4901),(3435,3545,1.0738,3.4619),(3435,3555,1.0774,3.4338),(3435,3565,1.0809,3.4055),(3435,3575,1.0845,3.3758),(3435,3585,1.0877,3.346),(3435,3595,1.0876,3.3162),(3435,3605,1.0875,3.2863),(3435,3615,1.0874,3.2555),(3435,3625,1.0868,3.2247),(3435,3635,1.0827,3.1939),(3435,3645,1.0787,3.1631),(3435,3655,1.0747,3.132),(3435,3665,1.07,3.1009),(3435,3675,1.0621,3.0698),(3435,3685,1.0542,3.0388),(3435,3695,1.0463,3.008),(3435,3705,1.0376,2.9772),(3435,3715,1.0262,2.9464),(3435,3725,1.0148,2.9157),(3435,3735,1.0033,2.8854),(3435,3745,0.99119,2.8551),(3435,3755,0.97681,2.8248),(3435,3765,0.96242,2.7945),(3435,3775,0.94804,2.7643),(3435,3785,0.93304,2.7341),(3435,3795,0.91648,2.7039),(3435,3805,0.89992,2.6734),(3435,3815,0.88337,2.6422),(3435,3825,0.86654,2.611),(3435,3835,0.84916,2.5799),(3435,3845,0.83178,2.5476),(3435,3855,0.81439,2.5134),(3435,3865,0.79784,2.4791),(3435,3875,0.78277,2.4448),(3435,3885,0.76769,2.4083),(3435,3895,0.75262,2.3681),(3435,3905,0.74195,2.3279),(3435,3915,0.73787,2.2876),(3435,3925,0.73378,2.2457),(3435,3935,0.7297,2.2015),(3435,3945,0.73992,2.1572),(3435,3955,0.76832,2.1129),(3435,3965,0.79671,2.0848),(3435,3975,0.8251,2.0756),(3435,3985,0.85115,2.0664),(3435,3995,0.87467,2.0571),(3435,4005,0.89819,2.0597),(3435,4015,0.9217,2.074),(3435,4025,1.2324,2.0883),(3435,4035,1.5713,2.1039),(3435,4045,1.9101,2.1225),(3435,4055,2.129,2.1411),(3435,4065,2.3042,2.1571),(3435,4075,2.4793,2.1582),(3435,4085,2.5475,2.1592),(3435,4095,2.5298,2.1602),(3435,4105,2.5121,2.1521),(3435,4115,2.4213,2.1436),(3435,4125,2.2092,2.1351),(3435,4135,1.9971,2.1267),(3435,4145,1.7847,2.1183),(3435,4155,1.5712,2.1098),(3435,4165,1.3577,2.1038),(3435,4175,1.1559,2.0994),(3435,4185,1.5368,2.095),(3435,4195,1.9176,2.0851),(3435,4205,2.2984,2.0681),(3435,4215,2.3512,2.0511),(3435,4225,2.3422,2.0338),(3435,4235,2.3333,2.0157),(3435,4245,2.2969,1.9977),(3435,4255,2.2467,1.9794),(3435,4265,2.1964,1.9592),(3435,4275,1.9304,1.9389),(3435,4285,1.4354,1.9186),(3435,4295,0.9404,1.9143),(3435,4305,0.73879,1.9119),(3435,4315,1.1997,1.9094),(3435,4325,1.6606,1.8979),(3435,4335,2.0698,1.8829),(3435,4345,2.1294,1.8678),(3435,4355,2.189,1.8518),(3435,4365,2.2485,1.835),(3435,4375,2.2507,1.8182),(3435,4385,2.25,1.8016),(3435,4395,2.2492,1.7852),(3435,4405,1.981,1.7689),(3435,4415,1.6339,1.7541),(3435,4425,1.2868,1.7464),(3435,4435,1.1392,1.7387),(3435,4445,1.1278,1.7309),(3435,4455,1.1165,1.7239),(3435,4465,1.2531,1.7169),(3435,4475,1.5977,1.7098),(3435,4485,1.9423,1.6957),(3435,4495,2.2052,1.6801),(3435,4505,2.2061,1.6645),(3435,4515,2.2069,1.6491),(3435,4525,2.2034,1.6339),(3435,4535,2.131,1.6186),(3435,4545,2.0585,1.6041),(3435,4555,1.9861,1.5905),(3435,4565,1.5283,1.577),(3435,4575,1.0186,1.567),(3435,4585,0.50883,1.5655),(3435,4595,0.72153,1.5641),(3435,4605,1.2395,1.5608),(3435,4615,1.7574,1.543),(3435,4625,2.0284,1.5252),(3435,4635,2.0758,1.5074),(3435,4645,2.1232,1.4924),(3435,4655,2.1561,1.4776),(3435,4665,2.1617,1.4628),(3435,4675,2.1673,1.4487),(3435,4685,2.0979,1.4348),(3435,4695,1.6578,1.4209),(3435,4705,1.2178,1.4125),(3435,4715,0.77773,1.4081),(3435,4725,0.98596,1.4038),(3435,4735,1.2007,1.3976),(3435,4745,1.4154,1.3889),(3435,4755,1.6345,1.3802),(3435,4765,1.8547,1.3704),(3435,4775,2.0748,1.357),(3435,4785,2.1568,1.3437),(3435,4795,2.1589,1.3303),(3435,4805,2.1611,1.3171),(3435,4815,2.0593,1.3038),(3435,4825,1.8333,1.2905),(3435,4835,1.6072,1.2813),(3435,4845,1.3786,1.2728),(3435,4855,1.1431,1.2642),(3435,4865,0.90766,1.2592),(3435,4875,0.74103,1.2559),(3435,4885,1.2006,1.2526),(3435,4895,1.6602,1.2448),(3435,4905,2.1197,1.2329),(3435,4915,2.1561,1.2209),(3435,4925,2.1561,1.209),(3435,4935,2.1561,1.197),(3435,4945,2.1345,1.1851),(3435,4955,2.1052,1.1727),(3435,4965,2.076,1.1585),(3435,4975,1.7287,1.1442),(3435,4985,1.1358,1.1299),(3435,4995,0.54285,1.129),(3435,5005,0.35867,1.1284),(3435,5015,0.82427,1.1278),(3435,5025,1.2899,1.1207),(3435,5035,1.6909,1.1119),(3435,5045,1.8461,1.1032),(3435,5055,2.0013,1.0926),(3435,5065,2.1519,1.0811),(3435,5075,2.1539,1.0695),(3435,5085,2.1559,1.0579),(3435,5095,2.1579,1.0464),(3435,5105,1.8877,1.0349),(3435,5115,1.57,1.0249),(3435,5125,1.2523,1.019),(3435,5135,1.0928,1.0131),(3435,5145,1.01,1.0073),(3435,5155,0.92724,1.0031),(3435,5165,1.0882,0.99894),(3435,5175,1.4979,0.99477),(3435,5185,1.9075,0.98459),(3435,5195,2.1878,0.97379),(3435,5205,2.1892,0.96299),(3435,5215,2.1907,0.95228),(3435,5225,2.1808,0.9416),(3435,5235,2.0999,0.93092),(3435,5245,2.019,0.92097),(3435,5255,1.9382,0.91162),(3435,5265,1.3674,0.90227),(3435,5275,0.77638,0.89636),(3435,5285,0.18537,0.8963),(3435,5295,0.57555,0.89624),(3435,5305,1.239,0.89397),(3435,5315,1.9024,0.88247),(3435,5325,2.1759,0.87098),(3435,5335,2.1937,0.85952),(3435,5345,2.2115,0.84983),(3435,5355,2.2222,0.84014),(3435,5365,2.2232,0.83045),(3435,5375,2.2243,0.82094),(3435,5385,2.0983,0.81147),(3435,5395,1.5858,0.802),(3435,5405,1.0733,0.79719),(3435,5415,0.61648,0.79479),(3435,5425,0.90699,0.7924),(3435,5435,1.1975,0.789),(3435,5445,1.488,0.78452),(3435,5455,1.7672,0.78005),(3435,5465,2.045,0.77478),(3435,5475,2.3228,0.76769),(3435,5485,2.4017,0.76059),(3435,5495,2.4007,0.75353),(3435,5505,2.3996,0.74662),(3435,5515,2.3985,0.73972),(3435,5525,2.3975,0.73282),(3435,5535,2.3964,0.72609),(3435,5545,2.3954,0.71937),(3435,5555,2.3943,0.71265),(3435,5565,2.3932,0.70607),(3435,5575,2.3921,0.69953),(3435,5585,2.3911,0.69298),(3435,5595,2.39,0.68654),(3435,5605,2.3889,0.68017),(3435,5615,2.3878,0.6738),(3435,5625,2.3866,0.66748),(3435,5635,2.3855,0.66126),(3435,5645,2.3844,0.65504),(3435,5655,2.3832,0.64884),(3435,5665,2.3821,0.64276),(3435,5675,2.381,0.63667),(3435,5685,2.3798,0.63059),(3435,5695,2.3787,0.62463),(3435,5705,2.3775,0.61868),(3435,5715,2.3763,0.61273),(3435,5725,2.3752,0.60687),(3435,5735,2.374,0.60102),(3435,5745,2.3728,0.59517),(3435,5755,2.3716,0.5894),(3435,5765,2.3704,0.58366),(3435,5775,2.3692,0.57792),(3435,5785,2.3681,0.57223),(3435,5795,2.3669,0.56658),(3435,5805,2.3657,0.56094),(3435,5815,2.3644,0.55532),(3435,5825,2.3632,0.54977),(3435,5835,2.362,0.54422),(3435,5845,2.3608,0.53868),(3435,5855,2.3596,0.53322),(3435,5865,2.3584,0.52775),(3435,5875,2.3572,0.52228),(3435,5885,2.356,0.51689),(3435,5895,2.3547,0.51149),(3435,5905,2.3535,0.5061),(3435,5915,2.3523,0.50076),(3435,5925,2.3511,0.49543),(3435,5935,2.3498,0.49011),(3435,5945,2.3486,0.48483),(3435,5955,2.3473,0.47958),(3435,5965,2.3461,0.47433),(3435,5975,2.3449,0.46911),(3435,5985,2.3436,0.46393),(3435,5995,1.7919,0.45875),(3435,6005,1.1516,0.4548),(3435,6015,0.51121,0.45416),(3435,6025,0.66165,0.45351),(3435,6035,1.1789,0.45233),(3435,6045,1.6961,0.44609),(3435,6055,2.0547,0.43985),(3435,6065,2.2579,0.4336),(3435,6075,2.4611,0.4255),(3435,6085,2.5983,0.41722),(3435,6095,2.5992,0.40895),(3435,6105,2.6002,0.40065),(3435,6115,2.6012,0.39235),(3435,6125,2.6021,0.38405),(3435,6135,2.6031,0.37582),(3435,6145,2.604,0.36766),(3435,6155,2.6049,0.3595),(3435,6165,2.6057,0.35137),(3435,6175,2.6066,0.34327),(3435,6185,2.6074,0.33517),(3435,6195,2.6082,0.32709),(3435,6205,2.6091,0.31909),(3435,6215,2.6098,0.3111),(3435,6225,2.6106,0.3031),(3435,6235,2.6114,0.29513),(3435,6245,2.6121,0.28715),(3435,6255,2.6128,0.27917),(3435,6265,2.6135,0.27124),(3435,6275,2.6141,0.26331),(3435,6285,2.6148,0.25539),(3435,6295,2.6155,0.24752),(3435,6305,2.6161,0.23969),(3435,6315,2.6167,0.23185),(3435,6325,2.6172,0.22405),(3435,6335,2.6178,0.2163),(3435,6345,2.6183,0.20854),(3435,6355,2.6188,0.20081),(3435,6365,2.6193,0.19311),(3435,6375,2.6198,0.18541),(3435,6385,2.6202,0.1777),(3435,6395,2.6207,0.16998),(3435,6405,2.6211,0.16225),(3435,6415,2.6215,0.15452),(3435,6425,2.6219,0.14685),(3435,6435,2.6222,0.13919),(3435,6445,2.6226,0.13153),(3435,6455,2.6229,0.12393),(3435,6465,2.6232,0.11634),(3435,6475,2.6235,0.10875),(3435,6485,2.6237,0.10117),(3435,6495,2.624,0.093591),(3435,6505,2.6242,0.086009),(3435,6515,2.6243,0.07844),(3435,6525,2.6245,0.070887),(3435,6535,2.6247,0.063334),(3435,6545,2.6248,0.055776),(3435,6555,2.6249,0.048204),(3435,6565,2.625,0.040633),(3435,6575,2.6251,0.033068),(3435,6585,2.6252,0.025601),(3435,6595,2.2329,0.018133),(3435,6605,1.4074,0.010665),(3435,6615,0.5819,0.009775),(3435,6625,0.001584,0.009729),(3435,6635,0.001582,0.009684),(3435,6645,0.001579,0.009666),(3435,6655,0.001576,0.009659),(3435,6665,0.001574,0.009652),(3435,6675,0.001571,0.009645),(3435,6685,0.001569,0.009638),(3435,6695,0.001567,0.009631),(3435,6705,0.001565,0.009624),(3435,6715,0.001563,0.009617),(3435,6725,0.001561,0.00961),(3435,6735,0.001559,0.009603),(3435,6745,0.001557,0.009596),(3435,6755,0.001555,0.009589),(3435,6765,0.001554,0.009582),(3435,6775,0.001552,0.009574),(3435,6785,0.001551,0.009567),(3435,6795,0.001549,0.00956),(3435,6805,0.001548,0.009553),(3435,6815,0.001546,0.009545),(3435,6825,0.001545,0.009538),(3435,6835,0.001544,0.009531),(3435,6845,0.001543,0.009523),(3435,6855,0.001541,0.009516),(3435,6865,0.00154,0.009508),(3435,6875,0.001539,0.009501),(3435,6885,0.001538,0.009493),(3435,6895,0.001537,0.009486),(3435,6905,0.001537,0.009478),(3435,6915,0.001536,0.00947),(3435,6925,0.001535,0.009463),(3435,6935,0.001534,0.009455),(3435,6945,0.001533,0.009447),(3435,6955,0.001533,0.009439),(3435,6965,0.001532,0.009432),(3435,6975,0.001531,0.009424),(3435,6985,0.001531,0.009416),(3445,5,3e-06,3.6889),(3445,15,1e-05,3.6889),(3445,25,1.7e-05,3.6889),(3445,35,2.3e-05,3.6889),(3445,45,3e-05,3.6889),(3445,55,3.7e-05,3.6889),(3445,65,4.3e-05,3.6889),(3445,75,4.9e-05,3.6889),(3445,85,5.5e-05,3.6889),(3445,95,6.1e-05,3.6889),(3445,105,6.7e-05,3.6889),(3445,115,7.2e-05,3.6889),(3445,125,7.7e-05,3.6889),(3445,135,8.2e-05,3.6889),(3445,145,8.6e-05,3.6889),(3445,155,8.9e-05,3.6889),(3445,165,9.3e-05,3.6889),(3445,175,9.7e-05,3.6889),(3445,185,9.9e-05,3.6889),(3445,195,0.000101,3.6889),(3445,205,0.000103,3.6889),(3445,215,0.000105,3.6889),(3445,225,0.000105,3.6889),(3445,235,0.000105,3.6889),(3445,245,0.000104,3.6889),(3445,255,0.000104,3.6889),(3445,265,0.000102,3.6889),(3445,275,9.9e-05,3.6889),(3445,285,9.6e-05,3.6889),(3445,295,9.3e-05,3.6889),(3445,305,8.7e-05,3.6889),(3445,315,8.1e-05,3.6889),(3445,325,7.5e-05,3.6889),(3445,335,6.9e-05,3.6889),(3445,345,6e-05,3.6889),(3445,355,5e-05,3.6889),(3445,365,4.1e-05,3.6889),(3445,375,3.1e-05,3.6889),(3445,385,1.8e-05,3.6889),(3445,395,4e-06,3.6889),(3445,405,-1e-05,3.6889),(3445,415,-2.4e-05,3.6889),(3445,425,-4.2e-05,3.6889),(3445,435,-6.1e-05,3.6889),(3445,445,-7.9e-05,3.6889),(3445,455,-9.8e-05,3.6889),(3445,465,-0.000121,3.6889),(3445,475,-0.000145,3.6889),(3445,485,-0.000169,3.689),(3445,495,-0.000193,3.689),(3445,505,-0.000222,3.689),(3445,515,-0.000251,3.689),(3445,525,-0.000281,3.689),(3445,535,-0.00031,3.689),(3445,545,-0.000346,3.689),(3445,555,-0.000381,3.689),(3445,565,-0.000417,3.689),(3445,575,-0.000453,3.689),(3445,585,-0.000496,3.689),(3445,595,-0.000538,3.6891),(3445,605,-0.000581,3.6891),(3445,615,-0.000624,3.6891),(3445,625,-0.000675,3.6891),(3445,635,-0.000725,3.6891),(3445,645,-0.000775,3.6891),(3445,655,-0.000827,3.6892),(3445,665,-0.000885,3.6892),(3445,675,-0.000943,3.6892),(3445,685,-0.001002,3.6892),(3445,695,-0.001062,3.6893),(3445,705,-0.00113,3.6893),(3445,715,-0.001197,3.6893),(3445,725,-0.001264,3.6893),(3445,735,-0.001334,3.6894),(3445,745,-0.001411,3.6894),(3445,755,-0.001487,3.6894),(3445,765,-0.001564,3.6895),(3445,775,-0.001643,3.6895),(3445,785,-0.00173,3.6896),(3445,795,-0.001816,3.6896),(3445,805,-0.001903,3.6896),(3445,815,-0.001993,3.6897),(3445,825,-0.00209,3.6897),(3445,835,-0.002187,3.6898),(3445,845,-0.002285,3.6898),(3445,855,-0.002386,3.6899),(3445,865,-0.002494,3.69),(3445,875,-0.002603,3.69),(3445,885,-0.002711,3.6901),(3445,895,-0.002824,3.6902),(3445,905,-0.002943,3.6902),(3445,915,-0.003063,3.6903),(3445,925,-0.003183,3.6904),(3445,935,-0.003308,3.6905),(3445,945,-0.003439,3.6905),(3445,955,-0.00357,3.6906),(3445,965,-0.003701,3.6907),(3445,975,-0.003839,3.6908),(3445,985,-0.003982,3.6909),(3445,995,-0.004126,3.691),(3445,1005,-0.004269,3.6911),(3445,1015,-0.004419,3.6912),(3445,1025,-0.004575,3.6913),(3445,1035,-0.004731,3.6915),(3445,1045,-0.004887,3.6916),(3445,1055,-0.005049,3.6917),(3445,1065,-0.005217,3.6919),(3445,1075,-0.005385,3.692),(3445,1085,-0.005553,3.6921),(3445,1095,-0.005727,3.6923),(3445,1105,-0.005907,3.6924),(3445,1115,-0.006087,3.6926),(3445,1125,-0.006266,3.6928),(3445,1135,-0.006453,3.6929),(3445,1145,-0.006645,3.6931),(3445,1155,-0.006836,3.6933),(3445,1165,-0.007028,3.6935),(3445,1175,-0.007227,3.6937),(3445,1185,-0.00743,3.6939),(3445,1195,-0.007633,3.6941),(3445,1205,-0.007836,3.6943),(3445,1215,-0.008047,3.6945),(3445,1225,-0.008261,3.6948),(3445,1235,-0.008475,3.695),(3445,1245,-0.008689,3.6952),(3445,1255,-0.008911,3.6955),(3445,1265,-0.009135,3.6957),(3445,1275,-0.009359,3.696),(3445,1285,-0.009584,3.6963),(3445,1295,-0.009816,3.6966),(3445,1305,-0.010051,3.6968),(3445,1315,-0.010285,3.6971),(3445,1325,-0.01052,3.6974),(3445,1335,-0.010762,3.6977),(3445,1345,-0.011006,3.698),(3445,1355,-0.01125,3.6984),(3445,1365,-0.011494,3.6987),(3445,1375,-0.011746,3.6991),(3445,1385,-0.011999,3.6994),(3445,1395,-0.012252,3.6998),(3445,1405,-0.012505,3.7001),(3445,1415,-0.012765,3.7005),(3445,1425,-0.013027,3.7009),(3445,1435,-0.013288,3.7013),(3445,1445,-0.013549,3.7017),(3445,1455,-0.013819,3.7021),(3445,1465,-0.014088,3.7025),(3445,1475,-0.014358,3.703),(3445,1485,-0.014628,3.7034),(3445,1495,-0.014906,3.7039),(3445,1505,-0.015184,3.7043),(3445,1515,-0.015463,3.7048),(3445,1525,-0.015741,3.7053),(3445,1535,-0.016028,3.7058),(3445,1545,-0.016315,3.7063),(3445,1555,-0.016602,3.7068),(3445,1565,-0.016889,3.7073),(3445,1575,-0.017185,3.7078),(3445,1585,-0.017481,3.7084),(3445,1595,-0.017776,3.709),(3445,1605,-0.018073,3.7095),(3445,1615,-0.018379,3.7101),(3445,1625,-0.018684,3.7107),(3445,1635,-0.01899,3.7113),(3445,1645,-0.019297,3.7119),(3445,1655,-0.019613,3.7125),(3445,1665,-0.019929,3.7132),(3445,1675,-0.020245,3.7138),(3445,1685,-0.020564,3.7145),(3445,1695,-0.020892,3.7152),(3445,1705,-0.021221,3.7158),(3445,1715,-0.021549,3.7166),(3445,1725,-0.02188,3.7173),(3445,1735,-0.022223,3.718),(3445,1745,-0.022565,3.7187),(3445,1755,-0.022907,3.7195),(3445,1765,-0.023253,3.7203),(3445,1775,-0.02361,3.7211),(3445,1785,-0.023968,3.7219),(3445,1795,-0.024325,3.7227),(3445,1805,-0.024687,3.7236),(3445,1815,-0.025062,3.7244),(3445,1825,-0.025436,3.7253),(3445,1835,-0.025811,3.7262),(3445,1845,-0.026192,3.7271),(3445,1855,-0.026586,3.728),(3445,1865,-0.02698,3.729),(3445,1875,-0.027374,3.73),(3445,1885,-0.027777,3.731),(3445,1895,-0.028192,3.7319),(3445,1905,-0.028608,3.733),(3445,1915,-0.029024,3.7341),(3445,1925,-0.029449,3.7351),(3445,1935,-0.029889,3.7362),(3445,1945,-0.030328,3.7373),(3445,1955,-0.030768,3.7385),(3445,1965,-0.031219,3.7397),(3445,1975,-0.031684,3.7409),(3445,1985,-0.032149,3.7421),(3445,1995,-0.032614,3.7434),(3445,2005,-0.033092,3.7447),(3445,2015,-0.033583,3.746),(3445,2025,-0.034075,3.7474),(3445,2035,-0.034566,3.7488),(3445,2045,-0.035072,3.7502),(3445,2055,-0.035591,3.7516),(3445,2065,-0.03611,3.7531),(3445,2075,-0.036628,3.7547),(3445,2085,-0.037162,3.7563),(3445,2095,-0.037708,3.7578),(3445,2105,-0.038253,3.7595),(3445,2115,-0.038798,3.7612),(3445,2125,-0.039358,3.763),(3445,2135,-0.039927,3.7647),(3445,2145,-0.040497,3.7666),(3445,2155,-0.041066,3.7685),(3445,2165,-0.041647,3.7705),(3445,2175,-0.042235,3.7724),(3445,2185,-0.042823,3.7745),(3445,2195,-0.043411,3.7767),(3445,2205,-0.044005,3.7788),(3445,2215,-0.044603,3.781),(3445,2225,-0.0452,3.7834),(3445,2235,-0.045797,3.7858),(3445,2245,-0.046391,3.7882),(3445,2255,-0.046983,3.7907),(3445,2265,-0.047575,3.7933),(3445,2275,-0.048167,3.7961),(3445,2285,-0.048738,3.7988),(3445,2295,-0.049304,3.8015),(3445,2305,-0.049869,3.8046),(3445,2315,-0.050434,3.8076),(3445,2325,-0.050951,3.8107),(3445,2335,-0.051458,3.8138),(3445,2345,-0.051964,3.8173),(3445,2355,-0.05247,3.8208),(3445,2365,-0.052887,3.8243),(3445,2375,-0.053289,3.8278),(3445,2385,-0.053691,3.8317),(3445,2395,-0.054093,3.8356),(3445,2405,-0.054345,3.8396),(3445,2415,-0.054579,3.8436),(3445,2425,-0.054813,3.848),(3445,2435,-0.055047,3.8525),(3445,2445,-0.055044,3.857),(3445,2455,-0.055023,3.8615),(3445,2465,-0.055003,3.8665),(3445,2475,-0.054983,3.8716),(3445,2485,-0.054602,3.8767),(3445,2495,-0.054213,3.8817),(3445,2505,-0.053823,3.8874),(3445,2515,-0.053425,3.8931),(3445,2525,-0.052517,3.8988),(3445,2535,-0.051609,3.9046),(3445,2545,-0.0507,3.9109),(3445,2555,-0.049754,3.9173),(3445,2565,-0.048142,3.9237),(3445,2575,-0.046531,3.9301),(3445,2585,-0.044919,3.9371),(3445,2595,-0.043221,3.9441),(3445,2605,-0.040689,3.9511),(3445,2615,-0.038156,3.9582),(3445,2625,-0.035623,3.9657),(3445,2635,-0.032936,3.9733),(3445,2645,-0.029244,3.9809),(3445,2655,-0.025552,3.9885),(3445,2665,-0.02186,3.9965),(3445,2675,-0.017928,4.0045),(3445,2685,-0.012846,4.0125),(3445,2695,-0.007764,4.0205),(3445,2705,-0.002683,4.0287),(3445,2715,0.002733,4.0368),(3445,2725,0.009384,4.045),(3445,2735,0.016035,4.0531),(3445,2745,0.022687,4.0611),(3445,2755,0.029755,4.069),(3445,2765,0.038058,4.077),(3445,2775,0.04636,4.0848),(3445,2785,0.054663,4.0922),(3445,2795,0.063435,4.0996),(3445,2805,0.073344,4.107),(3445,2815,0.083252,4.1141),(3445,2825,0.093161,4.1206),(3445,2835,0.10355,4.1271),(3445,2845,0.11492,4.1335),(3445,2855,0.12628,4.1395),(3445,2865,0.13765,4.1448),(3445,2875,0.14947,4.15),(3445,2885,0.16208,4.1553),(3445,2895,0.17469,4.1599),(3445,2905,0.1873,4.1638),(3445,2915,0.20033,4.1676),(3445,2925,0.21396,4.1714),(3445,2935,0.22759,4.1745),(3445,2945,0.24122,4.1768),(3445,2955,0.25522,4.1791),(3445,2965,0.26966,4.1814),(3445,2975,0.2841,4.1829),(3445,2985,0.29854,4.1835),(3445,2995,0.31329,4.1842),(3445,3005,0.32835,4.1848),(3445,3015,0.34342,4.1847),(3445,3025,0.35849,4.1837),(3445,3035,0.3738,4.1827),(3445,3045,0.38934,4.1817),(3445,3055,0.40488,4.1797),(3445,3065,0.42042,4.1771),(3445,3075,0.43615,4.1744),(3445,3085,0.45203,4.1717),(3445,3095,0.46792,4.168),(3445,3105,0.4838,4.1636),(3445,3115,0.49982,4.1592),(3445,3125,0.51594,4.1548),(3445,3135,0.53205,4.1492),(3445,3145,0.54817,4.1431),(3445,3155,0.56437,4.1369),(3445,3165,0.58061,4.1307),(3445,3175,0.59685,4.1233),(3445,3185,0.61309,4.1153),(3445,3195,0.62935,4.1072),(3445,3205,0.64561,4.0992),(3445,3215,0.66187,4.0898),(3445,3225,0.67813,4.0799),(3445,3235,0.69431,4.0699),(3445,3245,0.71046,4.0599),(3445,3255,0.72662,4.0485),(3445,3265,0.74277,4.0364),(3445,3275,0.75871,4.0244),(3445,3285,0.7746,4.0124),(3445,3295,0.79048,3.9987),(3445,3305,0.80636,3.9845),(3445,3315,0.82186,3.9703),(3445,3325,0.83726,3.9561),(3445,3335,0.85267,3.94),(3445,3345,0.86808,3.9235),(3445,3355,0.88285,3.907),(3445,3365,0.89751,3.8904),(3445,3375,0.91216,3.8718),(3445,3385,0.92682,3.8528),(3445,3395,0.9405,3.8338),(3445,3405,0.95406,3.8148),(3445,3415,0.96762,3.7935),(3445,3425,0.98117,3.7719),(3445,3435,0.9933,3.7504),(3445,3445,1.0053,3.7288),(3445,3455,1.0173,3.7047),(3445,3465,1.0293,3.6806),(3445,3475,1.0393,3.6564),(3445,3485,1.0493,3.6322),(3445,3495,1.0592,3.6055),(3445,3505,1.0691,3.5788),(3445,3515,1.0763,3.5521),(3445,3525,1.0836,3.5253),(3445,3535,1.0908,3.4964),(3445,3545,1.0979,3.4674),(3445,3555,1.1018,3.4384),(3445,3565,1.1058,3.4094),(3445,3575,1.1097,3.3786),(3445,3585,1.1133,3.3479),(3445,3595,1.1135,3.3171),(3445,3605,1.1136,3.2863),(3445,3615,1.1137,3.2545),(3445,3625,1.1133,3.2226),(3445,3635,1.1094,3.1908),(3445,3645,1.1054,3.159),(3445,3655,1.1015,3.1269),(3445,3665,1.0969,3.0948),(3445,3675,1.0889,3.0627),(3445,3685,1.081,3.0307),(3445,3695,1.073,2.999),(3445,3705,1.0644,2.9673),(3445,3715,1.0529,2.9356),(3445,3725,1.0414,2.9041),(3445,3735,1.0299,2.8731),(3445,3745,1.0177,2.842),(3445,3755,1.0034,2.811),(3445,3765,0.98903,2.78),(3445,3775,0.97469,2.7493),(3445,3785,0.95982,2.7187),(3445,3795,0.9436,2.688),(3445,3805,0.92739,2.6571),(3445,3815,0.91118,2.6259),(3445,3825,0.89489,2.5947),(3445,3835,0.87843,2.5634),(3445,3845,0.86197,2.5314),(3445,3855,0.84551,2.4979),(3445,3865,0.83019,2.4645),(3445,3875,0.81688,2.431),(3445,3885,0.80357,2.396),(3445,3895,0.79026,2.3585),(3445,3905,0.7812,2.321),(3445,3915,0.77849,2.2835),(3445,3925,0.77577,2.2455),(3445,3935,0.77306,2.2068),(3445,3945,0.77984,2.1681),(3445,3955,0.79869,2.1294),(3445,3965,0.81753,2.104),(3445,3975,0.83637,2.0942),(3445,3985,0.8541,2.0844),(3445,3995,0.87061,2.0745),(3445,4005,0.88712,2.0748),(3445,4015,0.90363,2.0852),(3445,4025,1.2115,2.0955),(3445,4035,1.5479,2.1068),(3445,4045,1.8842,2.1202),(3445,4055,2.1064,2.1336),(3445,4065,2.287,2.1449),(3445,4075,2.4675,2.1439),(3445,4085,2.5399,2.1428),(3445,4095,2.5254,2.1418),(3445,4105,2.5109,2.133),(3445,4115,2.4224,2.1239),(3445,4125,2.2109,2.1148),(3445,4135,1.9995,2.1062),(3445,4145,1.7875,2.0976),(3445,4155,1.5734,2.0891),(3445,4165,1.3593,2.0831),(3445,4175,1.157,2.0788),(3445,4185,1.5407,2.0745),(3445,4195,1.9243,2.0648),(3445,4205,2.308,2.048),(3445,4215,2.3615,2.0312),(3445,4225,2.3528,2.0142),(3445,4235,2.3442,1.9964),(3445,4245,2.3085,1.9785),(3445,4255,2.2591,1.9605),(3445,4265,2.2096,1.9404),(3445,4275,1.942,1.9202),(3445,4285,1.443,1.9001),(3445,4295,0.94387,1.8959),(3445,4305,0.74022,1.8934),(3445,4315,1.2037,1.891),(3445,4325,1.6672,1.8797),(3445,4335,2.0787,1.8649),(3445,4345,2.1386,1.85),(3445,4355,2.1985,1.8343),(3445,4365,2.2584,1.8177),(3445,4375,2.2605,1.8011),(3445,4385,2.2596,1.7847),(3445,4395,2.2586,1.7685),(3445,4405,1.9891,1.7523),(3445,4415,1.6404,1.7376),(3445,4425,1.2917,1.7299),(3445,4435,1.1433,1.7223),(3445,4445,1.1317,1.7146),(3445,4455,1.1202,1.7076),(3445,4465,1.2574,1.7006),(3445,4475,1.6036,1.6936),(3445,4485,1.9498,1.6796),(3445,4495,2.214,1.6641),(3445,4505,2.2147,1.6486),(3445,4515,2.2155,1.6334),(3445,4525,2.2118,1.6182),(3445,4535,2.1391,1.603),(3445,4545,2.0663,1.5887),(3445,4555,1.9935,1.5753),(3445,4565,1.5337,1.5619),(3445,4575,1.0218,1.552),(3445,4585,0.50983,1.5506),(3445,4595,0.72434,1.5492),(3445,4605,1.2458,1.5459),(3445,4615,1.7672,1.5282),(3445,4625,2.0393,1.5105),(3445,4635,2.0856,1.4927),(3445,4645,2.1319,1.4779),(3445,4655,2.164,1.4632),(3445,4665,2.1694,1.4486),(3445,4675,2.1747,1.4346),(3445,4685,2.1048,1.4208),(3445,4695,1.6631,1.407),(3445,4705,1.2214,1.3987),(3445,4715,0.77971,1.3944),(3445,4725,0.98862,1.3901),(3445,4735,1.204,1.3841),(3445,4745,1.4195,1.3754),(3445,4755,1.6393,1.3667),(3445,4765,1.8602,1.357),(3445,4775,2.0811,1.3437),(3445,4785,2.1633,1.3303),(3445,4795,2.1654,1.317),(3445,4805,2.1675,1.3038),(3445,4815,2.0654,1.2906),(3445,4825,1.8386,1.2774),(3445,4835,1.6118,1.2683),(3445,4845,1.3824,1.2598),(3445,4855,1.146,1.2513),(3445,4865,0.90964,1.2463),(3445,4875,0.74231,1.2431),(3445,4885,1.2031,1.2398),(3445,4895,1.6639,1.2321),(3445,4905,2.1248,1.2202),(3445,4915,2.1613,1.2084),(3445,4925,2.1613,1.1965),(3445,4935,2.1613,1.1847),(3445,4945,2.1402,1.1728),(3445,4955,2.1118,1.1605),(3445,4965,2.0834,1.1464),(3445,4975,1.735,1.1322),(3445,4985,1.1397,1.118),(3445,4995,0.54436,1.1171),(3445,5005,0.35912,1.1165),(3445,5015,0.82582,1.116),(3445,5025,1.2925,1.1089),(3445,5035,1.6945,1.1001),(3445,5045,1.8501,1.0914),(3445,5055,2.0056,1.0809),(3445,5065,2.1566,1.0694),(3445,5075,2.1586,1.0578),(3445,5085,2.1606,1.0463),(3445,5095,2.1625,1.0349),(3445,5105,1.8917,1.0235),(3445,5115,1.5733,1.0135),(3445,5125,1.2548,1.0076),(3445,5135,1.0949,1.0017),(3445,5145,1.0118,0.99593),(3445,5155,0.92877,0.99179),(3445,5165,1.09,0.98765),(3445,5175,1.5004,0.98351),(3445,5185,1.9108,0.97338),(3445,5195,2.1917,0.96263),(3445,5205,2.1931,0.95188),(3445,5215,2.1945,0.94122),(3445,5225,2.1845,0.9306),(3445,5235,2.1035,0.91997),(3445,5245,2.0225,0.91007),(3445,5255,1.9415,0.90077),(3445,5265,1.3696,0.89147),(3445,5275,0.77756,0.88561),(3445,5285,0.1855,0.88555),(3445,5295,0.57663,0.8855),(3445,5305,1.2416,0.88325),(3445,5315,1.9065,0.87188),(3445,5325,2.1802,0.8605),(3445,5335,2.1974,0.84914),(3445,5345,2.2146,0.83954),(3445,5355,2.2249,0.82993),(3445,5365,2.2259,0.82033),(3445,5375,2.2269,0.8109),(3445,5385,2.1006,0.80151),(3445,5395,1.5875,0.79212),(3445,5405,1.0744,0.78735),(3445,5415,0.61702,0.78498),(3445,5425,0.90732,0.78261),(3445,5435,1.1976,0.77926),(3445,5445,1.4879,0.77486),(3445,5455,1.7671,0.77046),(3445,5465,2.0448,0.76528),(3445,5475,2.3226,0.75831),(3445,5485,2.4015,0.75133),(3445,5495,2.4004,0.74438),(3445,5505,2.3992,0.7376),(3445,5515,2.3981,0.73081),(3445,5525,2.397,0.72402),(3445,5535,2.3959,0.71741),(3445,5545,2.3948,0.7108),(3445,5555,2.3937,0.7042),(3445,5565,2.3925,0.69772),(3445,5575,2.3914,0.69128),(3445,5585,2.3903,0.68484),(3445,5595,2.3891,0.67851),(3445,5605,2.388,0.67223),(3445,5615,2.3868,0.66596),(3445,5625,2.3857,0.65975),(3445,5635,2.3845,0.65362),(3445,5645,2.3834,0.6475),(3445,5655,2.3822,0.6414),(3445,5665,2.381,0.6354),(3445,5675,2.3798,0.6294),(3445,5685,2.3786,0.62342),(3445,5695,2.3775,0.61755),(3445,5705,2.3763,0.61169),(3445,5715,2.3751,0.60583),(3445,5725,2.3739,0.60005),(3445,5735,2.3726,0.59429),(3445,5745,2.3714,0.58853),(3445,5755,2.3702,0.58284),(3445,5765,2.369,0.57718),(3445,5775,2.3678,0.57152),(3445,5785,2.3666,0.56591),(3445,5795,2.3654,0.56034),(3445,5805,2.3641,0.55477),(3445,5815,2.3629,0.54923),(3445,5825,2.3617,0.54376),(3445,5835,2.3604,0.53828),(3445,5845,2.3592,0.53282),(3445,5855,2.358,0.52742),(3445,5865,2.3567,0.52203),(3445,5875,2.3555,0.51664),(3445,5885,2.3542,0.51131),(3445,5895,2.353,0.50599),(3445,5905,2.3518,0.50066),(3445,5915,2.3505,0.49539),(3445,5925,2.3493,0.49013),(3445,5935,2.348,0.48487),(3445,5945,2.3468,0.47965),(3445,5955,2.3455,0.47446),(3445,5965,2.3443,0.46927),(3445,5975,2.343,0.46412),(3445,5985,2.3418,0.459),(3445,5995,1.7904,0.45388),(3445,6005,1.1506,0.44998),(3445,6015,0.51077,0.44934),(3445,6025,0.66163,0.44871),(3445,6035,1.1792,0.44755),(3445,6045,1.6968,0.44137),(3445,6055,2.0557,0.43519),(3445,6065,2.259,0.42902),(3445,6075,2.4623,0.421),(3445,6085,2.5995,0.41281),(3445,6095,2.6004,0.40462),(3445,6105,2.6014,0.39641),(3445,6115,2.6023,0.38819),(3445,6125,2.6032,0.37998),(3445,6135,2.6041,0.37184),(3445,6145,2.605,0.36377),(3445,6155,2.6059,0.35569),(3445,6165,2.6067,0.34764),(3445,6175,2.6076,0.33963),(3445,6185,2.6084,0.33161),(3445,6195,2.6092,0.32362),(3445,6205,2.61,0.31571),(3445,6215,2.6107,0.3078),(3445,6225,2.6115,0.29989),(3445,6235,2.6122,0.292),(3445,6245,2.6129,0.2841),(3445,6255,2.6136,0.2762),(3445,6265,2.6142,0.26835),(3445,6275,2.6149,0.26051),(3445,6285,2.6155,0.25266),(3445,6295,2.6162,0.24489),(3445,6305,2.6168,0.23715),(3445,6315,2.6174,0.22941),(3445,6325,2.6179,0.2217),(3445,6335,2.6184,0.21402),(3445,6345,2.6189,0.20634),(3445,6355,2.6194,0.19868),(3445,6365,2.6199,0.19106),(3445,6375,2.6204,0.18345),(3445,6385,2.6208,0.17584),(3445,6395,2.6212,0.16819),(3445,6405,2.6216,0.16055),(3445,6415,2.622,0.1529),(3445,6425,2.6224,0.14532),(3445,6435,2.6228,0.13774),(3445,6445,2.6231,0.13016),(3445,6455,2.6234,0.12264),(3445,6465,2.6237,0.11513),(3445,6475,2.6239,0.10763),(3445,6485,2.6242,0.10013),(3445,6495,2.6244,0.092632),(3445,6505,2.6246,0.085134),(3445,6515,2.6248,0.077648),(3445,6525,2.625,0.070177),(3445,6535,2.6251,0.062707),(3445,6545,2.6252,0.05523),(3445,6555,2.6254,0.047731),(3445,6565,2.6254,0.040232),(3445,6575,2.6255,0.032741),(3445,6585,2.6256,0.025372),(3445,6595,2.2332,0.018003),(3445,6605,1.4076,0.010634),(3445,6615,0.58199,0.00976),(3445,6625,0.001587,0.00972),(3445,6635,0.001584,0.00968),(3445,6645,0.001581,0.009663),(3445,6655,0.001579,0.009656),(3445,6665,0.001576,0.00965),(3445,6675,0.001574,0.009643),(3445,6685,0.001572,0.009636),(3445,6695,0.00157,0.009629),(3445,6705,0.001568,0.009622),(3445,6715,0.001566,0.009615),(3445,6725,0.001564,0.009608),(3445,6735,0.001562,0.009601),(3445,6745,0.00156,0.009594),(3445,6755,0.001558,0.009587),(3445,6765,0.001557,0.00958),(3445,6775,0.001555,0.009573),(3445,6785,0.001554,0.009566),(3445,6795,0.001552,0.009558),(3445,6805,0.001551,0.009551),(3445,6815,0.001549,0.009544),(3445,6825,0.001548,0.009537),(3445,6835,0.001547,0.009529),(3445,6845,0.001546,0.009522),(3445,6855,0.001545,0.009515),(3445,6865,0.001544,0.009507),(3445,6875,0.001543,0.0095),(3445,6885,0.001542,0.009492),(3445,6895,0.001541,0.009485),(3445,6905,0.00154,0.009477),(3445,6915,0.001539,0.00947),(3445,6925,0.001538,0.009462),(3445,6935,0.001538,0.009454),(3445,6945,0.001537,0.009447),(3445,6955,0.001536,0.009439),(3445,6965,0.001536,0.009431),(3445,6975,0.001535,0.009423),(3445,6985,0.001535,0.009415),(3455,5,3e-06,3.6889),(3455,15,1e-05,3.6889),(3455,25,1.7e-05,3.6889),(3455,35,2.3e-05,3.6889),(3455,45,3e-05,3.6889),(3455,55,3.7e-05,3.6889),(3455,65,4.3e-05,3.6889),(3455,75,4.9e-05,3.6889),(3455,85,5.5e-05,3.6889),(3455,95,6.1e-05,3.6889),(3455,105,6.6e-05,3.6889),(3455,115,7.1e-05,3.6889),(3455,125,7.6e-05,3.6889),(3455,135,8.1e-05,3.6889),(3455,145,8.5e-05,3.6889),(3455,155,8.9e-05,3.6889),(3455,165,9.2e-05,3.6889),(3455,175,9.6e-05,3.6889),(3455,185,9.8e-05,3.6889),(3455,195,0.0001,3.6889),(3455,205,0.000102,3.6889),(3455,215,0.000104,3.6889),(3455,225,0.000104,3.6889),(3455,235,0.000103,3.6889),(3455,245,0.000103,3.6889),(3455,255,0.000102,3.6889),(3455,265,0.0001,3.6889),(3455,275,9.7e-05,3.6889),(3455,285,9.4e-05,3.6889),(3455,295,9.1e-05,3.6889),(3455,305,8.5e-05,3.6889),(3455,315,7.9e-05,3.6889),(3455,325,7.2e-05,3.6889),(3455,335,6.6e-05,3.6889),(3455,345,5.7e-05,3.6889),(3455,355,4.7e-05,3.6889),(3455,365,3.7e-05,3.6889),(3455,375,2.7e-05,3.6889),(3455,385,1.4e-05,3.6889),(3455,395,0,3.6889),(3455,405,-1.5e-05,3.6889),(3455,415,-2.9e-05,3.6889),(3455,425,-4.7e-05,3.6889),(3455,435,-6.6e-05,3.6889),(3455,445,-8.5e-05,3.6889),(3455,455,-0.000104,3.6889),(3455,465,-0.000128,3.6889),(3455,475,-0.000152,3.6889),(3455,485,-0.000176,3.6889),(3455,495,-0.0002,3.6889),(3455,505,-0.00023,3.6889),(3455,515,-0.00026,3.6889),(3455,525,-0.00029,3.689),(3455,535,-0.00032,3.689),(3455,545,-0.000357,3.689),(3455,555,-0.000393,3.689),(3455,565,-0.000429,3.689),(3455,575,-0.000466,3.689),(3455,585,-0.000509,3.689),(3455,595,-0.000553,3.689),(3455,605,-0.000596,3.689),(3455,615,-0.00064,3.689),(3455,625,-0.000691,3.6891),(3455,635,-0.000742,3.6891),(3455,645,-0.000794,3.6891),(3455,655,-0.000846,3.6891),(3455,665,-0.000906,3.6891),(3455,675,-0.000965,3.6891),(3455,685,-0.001025,3.6892),(3455,695,-0.001086,3.6892),(3455,705,-0.001155,3.6892),(3455,715,-0.001223,3.6892),(3455,725,-0.001292,3.6893),(3455,735,-0.001363,3.6893),(3455,745,-0.001442,3.6893),(3455,755,-0.00152,3.6894),(3455,765,-0.001598,3.6894),(3455,775,-0.001679,3.6894),(3455,785,-0.001767,3.6895),(3455,795,-0.001856,3.6895),(3455,805,-0.001944,3.6896),(3455,815,-0.002036,3.6896),(3455,825,-0.002135,3.6896),(3455,835,-0.002234,3.6897),(3455,845,-0.002334,3.6897),(3455,855,-0.002437,3.6898),(3455,865,-0.002548,3.6899),(3455,875,-0.002659,3.6899),(3455,885,-0.00277,3.69),(3455,895,-0.002885,3.69),(3455,905,-0.003008,3.6901),(3455,915,-0.00313,3.6902),(3455,925,-0.003252,3.6903),(3455,935,-0.00338,3.6903),(3455,945,-0.003515,3.6904),(3455,955,-0.003649,3.6905),(3455,965,-0.003783,3.6906),(3455,975,-0.003924,3.6907),(3455,985,-0.004071,3.6908),(3455,995,-0.004218,3.6909),(3455,1005,-0.004365,3.691),(3455,1015,-0.004519,3.6911),(3455,1025,-0.004679,3.6912),(3455,1035,-0.004838,3.6913),(3455,1045,-0.004998,3.6914),(3455,1055,-0.005165,3.6916),(3455,1065,-0.005337,3.6917),(3455,1075,-0.005509,3.6918),(3455,1085,-0.005681,3.692),(3455,1095,-0.005861,3.6921),(3455,1105,-0.006045,3.6923),(3455,1115,-0.00623,3.6924),(3455,1125,-0.006414,3.6926),(3455,1135,-0.006607,3.6928),(3455,1145,-0.006803,3.6929),(3455,1155,-0.007,3.6931),(3455,1165,-0.007197,3.6933),(3455,1175,-0.007402,3.6935),(3455,1185,-0.007611,3.6937),(3455,1195,-0.007819,3.6939),(3455,1205,-0.008028,3.6941),(3455,1215,-0.008245,3.6943),(3455,1225,-0.008465,3.6945),(3455,1235,-0.008685,3.6948),(3455,1245,-0.008905,3.695),(3455,1255,-0.009134,3.6953),(3455,1265,-0.009365,3.6955),(3455,1275,-0.009596,3.6958),(3455,1285,-0.009827,3.696),(3455,1295,-0.010066,3.6963),(3455,1305,-0.010307,3.6966),(3455,1315,-0.010549,3.6969),(3455,1325,-0.01079,3.6972),(3455,1335,-0.01104,3.6975),(3455,1345,-0.011291,3.6978),(3455,1355,-0.011543,3.6981),(3455,1365,-0.011794,3.6985),(3455,1375,-0.012054,3.6988),(3455,1385,-0.012314,3.6992),(3455,1395,-0.012575,3.6995),(3455,1405,-0.012836,3.6999),(3455,1415,-0.013104,3.7003),(3455,1425,-0.013374,3.7006),(3455,1435,-0.013643,3.701),(3455,1445,-0.013913,3.7014),(3455,1455,-0.014191,3.7019),(3455,1465,-0.014469,3.7023),(3455,1475,-0.014748,3.7027),(3455,1485,-0.015026,3.7031),(3455,1495,-0.015313,3.7036),(3455,1505,-0.015601,3.704),(3455,1515,-0.015888,3.7045),(3455,1525,-0.016175,3.705),(3455,1535,-0.016472,3.7055),(3455,1545,-0.016768,3.706),(3455,1555,-0.017065,3.7065),(3455,1565,-0.017362,3.707),(3455,1575,-0.017667,3.7076),(3455,1585,-0.017973,3.7081),(3455,1595,-0.018279,3.7087),(3455,1605,-0.018586,3.7092),(3455,1615,-0.018903,3.7098),(3455,1625,-0.019219,3.7104),(3455,1635,-0.019535,3.711),(3455,1645,-0.019853,3.7116),(3455,1655,-0.020181,3.7122),(3455,1665,-0.020508,3.7128),(3455,1675,-0.020836,3.7135),(3455,1685,-0.021166,3.7142),(3455,1695,-0.021507,3.7148),(3455,1705,-0.021848,3.7155),(3455,1715,-0.022189,3.7162),(3455,1725,-0.022533,3.717),(3455,1735,-0.022889,3.7177),(3455,1745,-0.023245,3.7184),(3455,1755,-0.0236,3.7192),(3455,1765,-0.02396,3.72),(3455,1775,-0.024333,3.7207),(3455,1785,-0.024705,3.7215),(3455,1795,-0.025077,3.7224),(3455,1805,-0.025455,3.7232),(3455,1815,-0.025847,3.724),(3455,1825,-0.026238,3.7249),(3455,1835,-0.026629,3.7258),(3455,1845,-0.027027,3.7267),(3455,1855,-0.02744,3.7276),(3455,1865,-0.027853,3.7286),(3455,1875,-0.028265,3.7296),(3455,1885,-0.028687,3.7305),(3455,1895,-0.029124,3.7315),(3455,1905,-0.029561,3.7326),(3455,1915,-0.029997,3.7336),(3455,1925,-0.030445,3.7347),(3455,1935,-0.030908,3.7358),(3455,1945,-0.031372,3.7369),(3455,1955,-0.031835,3.7381),(3455,1965,-0.032311,3.7392),(3455,1975,-0.032804,3.7404),(3455,1985,-0.033296,3.7417),(3455,1995,-0.033788,3.7429),(3455,2005,-0.034295,3.7442),(3455,2015,-0.034818,3.7455),(3455,2025,-0.035341,3.7469),(3455,2035,-0.035864,3.7483),(3455,2045,-0.036404,3.7497),(3455,2055,-0.036959,3.7511),(3455,2065,-0.037514,3.7526),(3455,2075,-0.038068,3.7542),(3455,2085,-0.038642,3.7557),(3455,2095,-0.039229,3.7573),(3455,2105,-0.039816,3.759),(3455,2115,-0.040403,3.7607),(3455,2125,-0.04101,3.7624),(3455,2135,-0.041628,3.7642),(3455,2145,-0.042246,3.766),(3455,2155,-0.042864,3.768),(3455,2165,-0.043499,3.7699),(3455,2175,-0.044144,3.7718),(3455,2185,-0.044789,3.7739),(3455,2195,-0.045433,3.7761),(3455,2205,-0.046091,3.7783),(3455,2215,-0.046755,3.7804),(3455,2225,-0.047418,3.7828),(3455,2235,-0.048082,3.7852),(3455,2245,-0.04875,3.7876),(3455,2255,-0.04942,3.7901),(3455,2265,-0.05009,3.7927),(3455,2275,-0.05076,3.7955),(3455,2285,-0.051418,3.7982),(3455,2295,-0.052074,3.801),(3455,2305,-0.05273,3.804),(3455,2315,-0.053386,3.8071),(3455,2325,-0.054006,3.8102),(3455,2335,-0.054617,3.8133),(3455,2345,-0.055229,3.8168),(3455,2355,-0.05584,3.8203),(3455,2365,-0.056377,3.8238),(3455,2375,-0.0569,3.8274),(3455,2385,-0.057424,3.8313),(3455,2395,-0.057948,3.8353),(3455,2405,-0.058337,3.8393),(3455,2415,-0.058711,3.8433),(3455,2425,-0.059084,3.8478),(3455,2435,-0.059458,3.8524),(3455,2445,-0.05961,3.857),(3455,2455,-0.059748,3.8615),(3455,2465,-0.059885,3.8667),(3455,2475,-0.060022,3.8718),(3455,2485,-0.059814,3.877),(3455,2495,-0.059598,3.8822),(3455,2505,-0.059382,3.888),(3455,2515,-0.059158,3.8938),(3455,2525,-0.058435,3.8997),(3455,2535,-0.057711,3.9055),(3455,2545,-0.056988,3.9121),(3455,2555,-0.056227,3.9186),(3455,2565,-0.054802,3.9251),(3455,2575,-0.053377,3.9317),(3455,2585,-0.051952,3.939),(3455,2595,-0.05044,3.9462),(3455,2605,-0.04808,3.9534),(3455,2615,-0.04572,3.9608),(3455,2625,-0.043361,3.9686),(3455,2635,-0.040841,3.9765),(3455,2645,-0.037286,3.9844),(3455,2655,-0.03373,3.9923),(3455,2665,-0.030175,4.0006),(3455,2675,-0.026368,4.009),(3455,2685,-0.021359,4.0173),(3455,2695,-0.01635,4.0257),(3455,2705,-0.011341,4.0342),(3455,2715,-0.005978,4.0428),(3455,2725,0.000691,4.0513),(3455,2735,0.00736,4.0599),(3455,2745,0.014029,4.0682),(3455,2755,0.021141,4.0766),(3455,2765,0.029565,4.085),(3455,2775,0.037989,4.0932),(3455,2785,0.046413,4.101),(3455,2795,0.055334,4.1088),(3455,2805,0.065459,4.1166),(3455,2815,0.075585,4.1241),(3455,2825,0.08571,4.1309),(3455,2835,0.096343,4.1378),(3455,2845,0.108,4.1446),(3455,2855,0.11965,4.151),(3455,2865,0.1313,4.1565),(3455,2875,0.14344,4.1621),(3455,2885,0.15639,4.1676),(3455,2895,0.16933,4.1726),(3455,2905,0.18228,4.1767),(3455,2915,0.19566,4.1808),(3455,2925,0.20965,4.1848),(3455,2935,0.22365,4.1882),(3455,2945,0.23764,4.1907),(3455,2955,0.252,4.1932),(3455,2965,0.26682,4.1956),(3455,2975,0.28164,4.1973),(3455,2985,0.29645,4.1982),(3455,2995,0.31158,4.199),(3455,3005,0.32703,4.1998),(3455,3015,0.34248,4.1997),(3455,3025,0.35793,4.1989),(3455,3035,0.37363,4.198),(3455,3045,0.38955,4.1971),(3455,3055,0.40548,4.1953),(3455,3065,0.4214,4.1927),(3455,3075,0.43752,4.1901),(3455,3085,0.4538,4.1875),(3455,3095,0.47007,4.1838),(3455,3105,0.48635,4.1795),(3455,3115,0.50277,4.1751),(3455,3125,0.51929,4.1708),(3455,3135,0.53581,4.1653),(3455,3145,0.55233,4.1592),(3455,3155,0.56894,4.153),(3455,3165,0.5856,4.1469),(3455,3175,0.60227,4.1395),(3455,3185,0.61893,4.1314),(3455,3195,0.63562,4.1234),(3455,3205,0.65233,4.1154),(3455,3215,0.66904,4.106),(3455,3225,0.68575,4.096),(3455,3235,0.7024,4.086),(3455,3245,0.71902,4.076),(3455,3255,0.73565,4.0645),(3455,3265,0.75228,4.0524),(3455,3275,0.76874,4.0403),(3455,3285,0.78514,4.0283),(3455,3295,0.80154,4.0144),(3455,3305,0.81793,4.0001),(3455,3315,0.83399,3.9858),(3455,3325,0.84995,3.9715),(3455,3335,0.86592,3.9552),(3455,3345,0.88189,3.9385),(3455,3355,0.89726,3.9218),(3455,3365,0.91252,3.905),(3455,3375,0.92778,3.8861),(3455,3385,0.94305,3.8668),(3455,3395,0.95737,3.8476),(3455,3405,0.97157,3.8283),(3455,3415,0.98577,3.8066),(3455,3425,0.99997,3.7846),(3455,3435,1.0128,3.7627),(3455,3445,1.0254,3.7407),(3455,3455,1.0381,3.7162),(3455,3465,1.0508,3.6915),(3455,3475,1.0614,3.6668),(3455,3485,1.072,3.642),(3455,3495,1.0826,3.6147),(3455,3505,1.0932,3.5873),(3455,3515,1.101,3.5599),(3455,3525,1.1089,3.5325),(3455,3535,1.1167,3.5027),(3455,3545,1.1244,3.4729),(3455,3555,1.1288,3.4431),(3455,3565,1.1332,3.4132),(3455,3575,1.1376,3.3815),(3455,3585,1.1417,3.3498),(3455,3595,1.1421,3.3181),(3455,3605,1.1425,3.2863),(3455,3615,1.1429,3.2534),(3455,3625,1.1428,3.2206),(3455,3635,1.139,3.1877),(3455,3645,1.1351,3.1549),(3455,3655,1.1312,3.1218),(3455,3665,1.1266,3.0887),(3455,3675,1.1186,3.0556),(3455,3685,1.1105,3.0226),(3455,3695,1.1025,2.99),(3455,3705,1.0937,2.9575),(3455,3715,1.082,2.9249),(3455,3725,1.0703,2.8925),(3455,3735,1.0586,2.8607),(3455,3745,1.0462,2.8289),(3455,3755,1.0317,2.7972),(3455,3765,1.0172,2.7656),(3455,3775,1.0028,2.7344),(3455,3785,0.98779,2.7033),(3455,3795,0.9716,2.6721),(3455,3805,0.95541,2.6409),(3455,3815,0.93922,2.6096),(3455,3825,0.92302,2.5783),(3455,3835,0.9068,2.547),(3455,3845,0.89059,2.5152),(3455,3855,0.87438,2.4825),(3455,3865,0.8593,2.4498),(3455,3875,0.84624,2.4172),(3455,3885,0.83317,2.3837),(3455,3895,0.82011,2.3489),(3455,3905,0.81084,2.3141),(3455,3915,0.80724,2.2793),(3455,3925,0.80363,2.2452),(3455,3935,0.80003,2.2121),(3455,3945,0.80428,2.179),(3455,3955,0.8185,2.1459),(3455,3965,0.83273,2.1233),(3455,3975,0.84695,2.1128),(3455,3985,0.86032,2.1024),(3455,3995,0.87276,2.0919),(3455,4005,0.88521,2.0899),(3455,4015,0.89766,2.0963),(3455,4025,1.204,2.1028),(3455,4035,1.5392,2.1098),(3455,4045,1.8743,2.1179),(3455,4055,2.0979,2.1261),(3455,4065,2.2807,2.1327),(3455,4075,2.4636,2.1295),(3455,4085,2.538,2.1264),(3455,4095,2.5252,2.1233),(3455,4105,2.5125,2.1139),(3455,4115,2.4251,2.1042),(3455,4125,2.2138,2.0945),(3455,4135,2.0026,2.0856),(3455,4145,1.7906,2.077),(3455,4155,1.5757,2.0684),(3455,4165,1.3608,2.0624),(3455,4175,1.1578,2.0582),(3455,4185,1.5441,2.0539),(3455,4195,1.9304,2.0444),(3455,4205,2.3166,2.0279),(3455,4215,2.3709,2.0114),(3455,4225,2.3626,1.9946),(3455,4235,2.3544,1.977),(3455,4245,2.3194,1.9593),(3455,4255,2.2708,1.9415),(3455,4265,2.2223,1.9216),(3455,4275,1.9532,1.9016),(3455,4285,1.4502,1.8816),(3455,4295,0.94715,1.8774),(3455,4305,0.7415,1.875),(3455,4315,1.2073,1.8726),(3455,4325,1.6731,1.8615),(3455,4335,2.0867,1.8469),(3455,4345,2.147,1.8323),(3455,4355,2.2073,1.8168),(3455,4365,2.2675,1.8004),(3455,4375,2.2696,1.784),(3455,4385,2.2686,1.7678),(3455,4395,2.2676,1.7517),(3455,4405,1.9968,1.7357),(3455,4415,1.6466,1.7211),(3455,4425,1.2963,1.7135),(3455,4435,1.1472,1.7059),(3455,4445,1.1355,1.6982),(3455,4455,1.1238,1.6913),(3455,4465,1.2615,1.6843),(3455,4475,1.6093,1.6773),(3455,4485,1.957,1.6634),(3455,4495,2.2222,1.6481),(3455,4505,2.2229,1.6327),(3455,4515,2.2235,1.6176),(3455,4525,2.2198,1.6026),(3455,4535,2.1467,1.5875),(3455,4545,2.0736,1.5733),(3455,4555,2.0005,1.5601),(3455,4565,1.5388,1.5468),(3455,4575,1.0248,1.537),(3455,4585,0.51072,1.5356),(3455,4595,0.72701,1.5343),(3455,4605,1.2519,1.531),(3455,4615,1.7768,1.5134),(3455,4625,2.0499,1.4957),(3455,4635,2.0951,1.4781),(3455,4645,2.1403,1.4634),(3455,4655,2.1716,1.4489),(3455,4665,2.1766,1.4343),(3455,4675,2.1816,1.4205),(3455,4685,2.1112,1.4068),(3455,4695,1.668,1.3932),(3455,4705,1.2247,1.385),(3455,4715,0.78148,1.3807),(3455,4725,0.99108,1.3765),(3455,4735,1.2072,1.3705),(3455,4745,1.4234,1.3619),(3455,4755,1.644,1.3532),(3455,4765,1.8656,1.3436),(3455,4775,2.0872,1.3303),(3455,4785,2.1697,1.317),(3455,4795,2.1718,1.3037),(3455,4805,2.1738,1.2906),(3455,4815,2.0713,1.2775),(3455,4825,1.8437,1.2643),(3455,4835,1.6162,1.2553),(3455,4845,1.386,1.2468),(3455,4855,1.1487,1.2384),(3455,4865,0.91148,1.2335),(3455,4875,0.74348,1.2302),(3455,4885,1.2055,1.227),(3455,4895,1.6675,1.2194),(3455,4905,2.1295,1.2076),(3455,4915,2.1661,1.1958),(3455,4925,2.1661,1.1841),(3455,4935,2.1662,1.1723),(3455,4945,2.1457,1.1605),(3455,4955,2.118,1.1484),(3455,4965,2.0904,1.1343),(3455,4975,1.7411,1.1202),(3455,4985,1.1434,1.1061),(3455,4995,0.54578,1.1052),(3455,5005,0.35953,1.1047),(3455,5015,0.82732,1.1041),(3455,5025,1.2951,1.0971),(3455,5035,1.6981,1.0884),(3455,5045,1.854,1.0796),(3455,5055,2.0099,1.0692),(3455,5065,2.1613,1.0577),(3455,5075,2.1632,1.0462),(3455,5085,2.1651,1.0348),(3455,5095,2.1671,1.0234),(3455,5105,1.8956,1.012),(3455,5115,1.5764,1.002),(3455,5125,1.2573,0.99616),(3455,5135,1.0969,0.9903),(3455,5145,1.0136,0.98459),(3455,5155,0.93023,0.98048),(3455,5165,1.0917,0.97636),(3455,5175,1.5029,0.97225),(3455,5185,1.9141,0.96217),(3455,5195,2.1954,0.95147),(3455,5205,2.1968,0.94077),(3455,5215,2.1982,0.93017),(3455,5225,2.1881,0.9196),(3455,5235,2.1069,0.90902),(3455,5245,2.0258,0.89918),(3455,5255,1.9446,0.88993),(3455,5265,1.3718,0.88068),(3455,5275,0.77868,0.87485),(3455,5285,0.18559,0.8748),(3455,5295,0.57761,0.87475),(3455,5305,1.244,0.87254),(3455,5315,1.9103,0.86128),(3455,5325,2.1842,0.85001),(3455,5335,2.2008,0.83877),(3455,5345,2.2175,0.82925),(3455,5355,2.2274,0.81973),(3455,5365,2.2283,0.8102),(3455,5375,2.2292,0.80086),(3455,5385,2.1028,0.79155),(3455,5395,1.5891,0.78224),(3455,5405,1.0755,0.77752),(3455,5415,0.61748,0.77517),(3455,5425,0.90754,0.77282),(3455,5435,1.1976,0.76952),(3455,5445,1.4877,0.7652),(3455,5455,1.7667,0.76088),(3455,5465,2.0444,0.75579),(3455,5475,2.3221,0.74893),(3455,5485,2.401,0.74207),(3455,5495,2.3998,0.73524),(3455,5505,2.3986,0.72857),(3455,5515,2.3974,0.7219),(3455,5525,2.3963,0.71523),(3455,5535,2.3951,0.70872),(3455,5545,2.394,0.70223),(3455,5555,2.3928,0.69574),(3455,5565,2.3916,0.68937),(3455,5575,2.3905,0.68304),(3455,5585,2.3893,0.67671),(3455,5595,2.3881,0.67047),(3455,5605,2.3869,0.6643),(3455,5615,2.3857,0.65813),(3455,5625,2.3845,0.65201),(3455,5635,2.3833,0.64598),(3455,5645,2.3821,0.63995),(3455,5655,2.3809,0.63395),(3455,5665,2.3797,0.62805),(3455,5675,2.3785,0.62214),(3455,5685,2.3773,0.61625),(3455,5695,2.376,0.61047),(3455,5705,2.3748,0.6047),(3455,5715,2.3736,0.59893),(3455,5725,2.3724,0.59324),(3455,5735,2.3711,0.58756),(3455,5745,2.3699,0.58188),(3455,5755,2.3686,0.57627),(3455,5765,2.3674,0.57069),(3455,5775,2.3662,0.56512),(3455,5785,2.3649,0.55959),(3455,5795,2.3637,0.5541),(3455,5805,2.3624,0.5486),(3455,5815,2.3612,0.54314),(3455,5825,2.3599,0.53774),(3455,5835,2.3587,0.53234),(3455,5845,2.3574,0.52695),(3455,5855,2.3562,0.52163),(3455,5865,2.3549,0.51631),(3455,5875,2.3536,0.51099),(3455,5885,2.3524,0.50574),(3455,5895,2.3511,0.50048),(3455,5905,2.3499,0.49522),(3455,5915,2.3486,0.49002),(3455,5925,2.3473,0.48482),(3455,5935,2.3461,0.47963),(3455,5945,2.3448,0.47448),(3455,5955,2.3435,0.46935),(3455,5965,2.3423,0.46422),(3455,5975,2.341,0.45913),(3455,5985,2.3398,0.45407),(3455,5995,1.7889,0.44901),(3455,6005,1.1496,0.44516),(3455,6015,0.5103,0.44453),(3455,6025,0.66157,0.4439),(3455,6035,1.1795,0.44276),(3455,6045,1.6974,0.43665),(3455,6055,2.0565,0.43054),(3455,6065,2.2599,0.42443),(3455,6075,2.4633,0.4165),(3455,6085,2.6005,0.40839),(3455,6095,2.6014,0.40029),(3455,6105,2.6024,0.39217),(3455,6115,2.6033,0.38404),(3455,6125,2.6042,0.37591),(3455,6135,2.605,0.36786),(3455,6145,2.6059,0.35987),(3455,6155,2.6067,0.35188),(3455,6165,2.6076,0.34392),(3455,6175,2.6084,0.33599),(3455,6185,2.6092,0.32806),(3455,6195,2.6099,0.32015),(3455,6205,2.6107,0.31233),(3455,6215,2.6114,0.3045),(3455,6225,2.6121,0.29668),(3455,6235,2.6129,0.28887),(3455,6245,2.6135,0.28105),(3455,6255,2.6142,0.27324),(3455,6265,2.6148,0.26546),(3455,6275,2.6155,0.2577),(3455,6285,2.6161,0.24993),(3455,6295,2.6167,0.24225),(3455,6305,2.6173,0.23461),(3455,6315,2.6178,0.22697),(3455,6325,2.6184,0.21935),(3455,6335,2.6189,0.21174),(3455,6345,2.6194,0.20413),(3455,6355,2.6199,0.19654),(3455,6365,2.6203,0.18902),(3455,6375,2.6208,0.1815),(3455,6385,2.6212,0.17397),(3455,6395,2.6216,0.1664),(3455,6405,2.622,0.15884),(3455,6415,2.6224,0.15128),(3455,6425,2.6228,0.14378),(3455,6435,2.6231,0.13629),(3455,6445,2.6234,0.12879),(3455,6455,2.6237,0.12135),(3455,6465,2.624,0.11393),(3455,6475,2.6243,0.10651),(3455,6485,2.6245,0.099088),(3455,6495,2.6248,0.091673),(3455,6505,2.6249,0.084259),(3455,6515,2.6251,0.076856),(3455,6525,2.6253,0.069468),(3455,6535,2.6254,0.06208),(3455,6545,2.6256,0.054683),(3455,6555,2.6257,0.047257),(3455,6565,2.6257,0.03983),(3455,6575,2.6258,0.032414),(3455,6585,2.6258,0.025144),(3455,6595,2.2334,0.017874),(3455,6605,1.4077,0.010603),(3455,6615,0.58204,0.009745),(3455,6625,0.001589,0.00971),(3455,6635,0.001586,0.009676),(3455,6645,0.001584,0.009661),(3455,6655,0.001581,0.009654),(3455,6665,0.001579,0.009647),(3455,6675,0.001576,0.00964),(3455,6685,0.001574,0.009634),(3455,6695,0.001572,0.009627),(3455,6705,0.00157,0.00962),(3455,6715,0.001568,0.009613),(3455,6725,0.001566,0.009606),(3455,6735,0.001564,0.009599),(3455,6745,0.001563,0.009592),(3455,6755,0.001561,0.009585),(3455,6765,0.001559,0.009578),(3455,6775,0.001558,0.009571),(3455,6785,0.001556,0.009564),(3455,6795,0.001555,0.009557),(3455,6805,0.001554,0.00955),(3455,6815,0.001552,0.009543),(3455,6825,0.001551,0.009535),(3455,6835,0.00155,0.009528),(3455,6845,0.001549,0.009521),(3455,6855,0.001548,0.009513),(3455,6865,0.001547,0.009506),(3455,6875,0.001546,0.009499),(3455,6885,0.001545,0.009491),(3455,6895,0.001544,0.009484),(3455,6905,0.001543,0.009476),(3455,6915,0.001542,0.009469),(3455,6925,0.001542,0.009461),(3455,6935,0.001541,0.009454),(3455,6945,0.00154,0.009446),(3455,6955,0.00154,0.009438),(3455,6965,0.001539,0.00943),(3455,6975,0.001539,0.009423),(3455,6985,0.001538,0.009415),(3465,5,3e-06,3.6889),(3465,15,1e-05,3.6889),(3465,25,1.7e-05,3.6889),(3465,35,2.3e-05,3.6889),(3465,45,3e-05,3.6889),(3465,55,3.6e-05,3.6889),(3465,65,4.3e-05,3.6889),(3465,75,4.9e-05,3.6889),(3465,85,5.4e-05,3.6889),(3465,95,6e-05,3.6889),(3465,105,6.6e-05,3.6889),(3465,115,7.1e-05,3.6889),(3465,125,7.6e-05,3.6889),(3465,135,8.1e-05,3.6889),(3465,145,8.5e-05,3.6889),(3465,155,8.8e-05,3.6889),(3465,165,9.2e-05,3.6889),(3465,175,9.5e-05,3.6889),(3465,185,9.8e-05,3.6889),(3465,195,9.9e-05,3.6889),(3465,205,0.000101,3.6889),(3465,215,0.000103,3.6889),(3465,225,0.000103,3.6889),(3465,235,0.000102,3.6889),(3465,245,0.000102,3.6889),(3465,255,0.000101,3.6889),(3465,265,9.8e-05,3.6889),(3465,275,9.5e-05,3.6889),(3465,285,9.2e-05,3.6889),(3465,295,8.8e-05,3.6889),(3465,305,8.3e-05,3.6889),(3465,315,7.6e-05,3.6889),(3465,325,7e-05,3.6889),(3465,335,6.3e-05,3.6889),(3465,345,5.4e-05,3.6889),(3465,355,4.4e-05,3.6889),(3465,365,3.4e-05,3.6889),(3465,375,2.4e-05,3.6889),(3465,385,1e-05,3.6889),(3465,395,-5e-06,3.6889),(3465,405,-1.9e-05,3.6889),(3465,415,-3.3e-05,3.6889),(3465,425,-5.2e-05,3.6889),(3465,435,-7.1e-05,3.6889),(3465,445,-9.1e-05,3.6889),(3465,455,-0.00011,3.6889),(3465,465,-0.000134,3.6889),(3465,475,-0.000159,3.6889),(3465,485,-0.000184,3.6889),(3465,495,-0.000208,3.6889),(3465,505,-0.000239,3.6889),(3465,515,-0.000269,3.6889),(3465,525,-0.0003,3.6889),(3465,535,-0.00033,3.6889),(3465,545,-0.000367,3.6889),(3465,555,-0.000404,3.6889),(3465,565,-0.000441,3.6889),(3465,575,-0.000479,3.689),(3465,585,-0.000523,3.689),(3465,595,-0.000567,3.689),(3465,605,-0.000611,3.689),(3465,615,-0.000656,3.689),(3465,625,-0.000708,3.689),(3465,635,-0.00076,3.689),(3465,645,-0.000812,3.689),(3465,655,-0.000866,3.6891),(3465,665,-0.000926,3.6891),(3465,675,-0.000987,3.6891),(3465,685,-0.001048,3.6891),(3465,695,-0.00111,3.6891),(3465,705,-0.00118,3.6892),(3465,715,-0.00125,3.6892),(3465,725,-0.00132,3.6892),(3465,735,-0.001392,3.6892),(3465,745,-0.001472,3.6893),(3465,755,-0.001552,3.6893),(3465,765,-0.001632,3.6893),(3465,775,-0.001715,3.6894),(3465,785,-0.001805,3.6894),(3465,795,-0.001895,3.6894),(3465,805,-0.001985,3.6895),(3465,815,-0.002079,3.6895),(3465,825,-0.00218,3.6895),(3465,835,-0.002282,3.6896),(3465,845,-0.002383,3.6896),(3465,855,-0.002489,3.6897),(3465,865,-0.002602,3.6897),(3465,875,-0.002715,3.6898),(3465,885,-0.002828,3.6899),(3465,895,-0.002946,3.6899),(3465,905,-0.003072,3.69),(3465,915,-0.003197,3.6901),(3465,925,-0.003322,3.6901),(3465,935,-0.003453,3.6902),(3465,945,-0.00359,3.6903),(3465,955,-0.003728,3.6904),(3465,965,-0.003866,3.6904),(3465,975,-0.004009,3.6905),(3465,985,-0.00416,3.6906),(3465,995,-0.004311,3.6907),(3465,1005,-0.004461,3.6908),(3465,1015,-0.004619,3.6909),(3465,1025,-0.004782,3.691),(3465,1035,-0.004946,3.6912),(3465,1045,-0.00511,3.6913),(3465,1055,-0.00528,3.6914),(3465,1065,-0.005457,3.6915),(3465,1075,-0.005634,3.6917),(3465,1085,-0.00581,3.6918),(3465,1095,-0.005994,3.6919),(3465,1105,-0.006184,3.6921),(3465,1115,-0.006373,3.6922),(3465,1125,-0.006563,3.6924),(3465,1135,-0.00676,3.6926),(3465,1145,-0.006962,3.6927),(3465,1155,-0.007164,3.6929),(3465,1165,-0.007366,3.6931),(3465,1175,-0.007577,3.6933),(3465,1185,-0.007791,3.6935),(3465,1195,-0.008006,3.6937),(3465,1205,-0.00822,3.6939),(3465,1215,-0.008443,3.6941),(3465,1225,-0.008669,3.6943),(3465,1235,-0.008896,3.6946),(3465,1245,-0.009122,3.6948),(3465,1255,-0.009357,3.695),(3465,1265,-0.009594,3.6953),(3465,1275,-0.009832,3.6955),(3465,1285,-0.010069,3.6958),(3465,1295,-0.010315,3.6961),(3465,1305,-0.010564,3.6964),(3465,1315,-0.010812,3.6966),(3465,1325,-0.01106,3.697),(3465,1335,-0.011318,3.6973),(3465,1345,-0.011576,3.6976),(3465,1355,-0.011835,3.6979),(3465,1365,-0.012094,3.6982),(3465,1375,-0.012361,3.6986),(3465,1385,-0.01263,3.6989),(3465,1395,-0.012898,3.6993),(3465,1405,-0.013167,3.6996),(3465,1415,-0.013444,3.7),(3465,1425,-0.013721,3.7004),(3465,1435,-0.013999,3.7008),(3465,1445,-0.014277,3.7012),(3465,1455,-0.014563,3.7016),(3465,1465,-0.01485,3.702),(3465,1475,-0.015137,3.7024),(3465,1485,-0.015424,3.7029),(3465,1495,-0.01572,3.7033),(3465,1505,-0.016017,3.7038),(3465,1515,-0.016313,3.7042),(3465,1525,-0.01661,3.7047),(3465,1535,-0.016916,3.7052),(3465,1545,-0.017222,3.7057),(3465,1555,-0.017527,3.7062),(3465,1565,-0.017834,3.7067),(3465,1575,-0.01815,3.7073),(3465,1585,-0.018466,3.7078),(3465,1595,-0.018782,3.7083),(3465,1605,-0.019099,3.7089),(3465,1615,-0.019426,3.7095),(3465,1625,-0.019753,3.7101),(3465,1635,-0.02008,3.7107),(3465,1645,-0.020409,3.7113),(3465,1655,-0.020748,3.7119),(3465,1665,-0.021088,3.7125),(3465,1675,-0.021427,3.7132),(3465,1685,-0.021769,3.7138),(3465,1695,-0.022122,3.7145),(3465,1705,-0.022475,3.7152),(3465,1715,-0.022829,3.7159),(3465,1725,-0.023186,3.7166),(3465,1735,-0.023555,3.7173),(3465,1745,-0.023924,3.718),(3465,1755,-0.024294,3.7188),(3465,1765,-0.024668,3.7196),(3465,1775,-0.025055,3.7204),(3465,1785,-0.025442,3.7212),(3465,1795,-0.02583,3.722),(3465,1805,-0.026223,3.7228),(3465,1815,-0.026631,3.7237),(3465,1825,-0.027039,3.7245),(3465,1835,-0.027447,3.7254),(3465,1845,-0.027863,3.7263),(3465,1855,-0.028294,3.7272),(3465,1865,-0.028725,3.7282),(3465,1875,-0.029156,3.7291),(3465,1885,-0.029598,3.7301),(3465,1895,-0.030055,3.7311),(3465,1905,-0.030513,3.7321),(3465,1915,-0.030971,3.7332),(3465,1925,-0.031441,3.7343),(3465,1935,-0.031928,3.7353),(3465,1945,-0.032415,3.7364),(3465,1955,-0.032902,3.7376),(3465,1965,-0.033404,3.7388),(3465,1975,-0.033923,3.7399),(3465,1985,-0.034443,3.7412),(3465,1995,-0.034962,3.7424),(3465,2005,-0.035499,3.7437),(3465,2015,-0.036053,3.745),(3465,2025,-0.036607,3.7463),(3465,2035,-0.037162,3.7477),(3465,2045,-0.037736,3.7492),(3465,2055,-0.038327,3.7506),(3465,2065,-0.038918,3.752),(3465,2075,-0.039509,3.7536),(3465,2085,-0.040122,3.7552),(3465,2095,-0.040751,3.7567),(3465,2105,-0.04138,3.7584),(3465,2115,-0.042009,3.7601),(3465,2125,-0.042661,3.7618),(3465,2135,-0.043328,3.7636),(3465,2145,-0.043994,3.7654),(3465,2155,-0.044661,3.7673),(3465,2165,-0.045351,3.7693),(3465,2175,-0.046052,3.7712),(3465,2185,-0.046754,3.7733),(3465,2195,-0.047456,3.7754),(3465,2205,-0.048177,3.7776),(3465,2215,-0.048907,3.7798),(3465,2225,-0.049637,3.7821),(3465,2235,-0.050367,3.7845),(3465,2245,-0.05111,3.787),(3465,2255,-0.051857,3.7894),(3465,2265,-0.052605,3.7921),(3465,2275,-0.053352,3.7948),(3465,2285,-0.054098,3.7976),(3465,2295,-0.054845,3.8003),(3465,2305,-0.055591,3.8034),(3465,2315,-0.056338,3.8065),(3465,2325,-0.05706,3.8096),(3465,2335,-0.057777,3.8127),(3465,2345,-0.058494,3.8162),(3465,2355,-0.059211,3.8197),(3465,2365,-0.059866,3.8233),(3465,2375,-0.060512,3.8268),(3465,2385,-0.061157,3.8308),(3465,2395,-0.061803,3.8349),(3465,2405,-0.062329,3.8389),(3465,2415,-0.062842,3.843),(3465,2425,-0.063356,3.8475),(3465,2435,-0.063869,3.8521),(3465,2445,-0.064177,3.8568),(3465,2455,-0.064472,3.8614),(3465,2465,-0.064766,3.8666),(3465,2475,-0.065061,3.8719),(3465,2485,-0.065026,3.8771),(3465,2495,-0.064984,3.8824),(3465,2505,-0.064941,3.8883),(3465,2515,-0.064891,3.8943),(3465,2525,-0.064353,3.9003),(3465,2535,-0.063814,3.9062),(3465,2545,-0.063276,3.913),(3465,2555,-0.062699,3.9197),(3465,2565,-0.061461,3.9264),(3465,2575,-0.060224,3.9332),(3465,2585,-0.058986,3.9406),(3465,2595,-0.057659,3.9481),(3465,2605,-0.055472,3.9556),(3465,2615,-0.053285,3.9631),(3465,2625,-0.051098,3.9713),(3465,2635,-0.048747,3.9795),(3465,2645,-0.045328,3.9877),(3465,2655,-0.041909,3.9959),(3465,2665,-0.03849,4.0046),(3465,2675,-0.034808,4.0133),(3465,2685,-0.029871,4.022),(3465,2695,-0.024935,4.0308),(3465,2705,-0.019998,4.0398),(3465,2715,-0.014689,4.0487),(3465,2725,-0.008002,4.0577),(3465,2735,-0.001316,4.0666),(3465,2745,0.005371,4.0755),(3465,2755,0.012527,4.0843),(3465,2765,0.021072,4.0931),(3465,2775,0.029617,4.1018),(3465,2785,0.038163,4.11),(3465,2795,0.047233,4.1182),(3465,2805,0.057575,4.1265),(3465,2815,0.067917,4.1344),(3465,2825,0.078259,4.1416),(3465,2835,0.089133,4.1488),(3465,2845,0.10108,4.156),(3465,2855,0.11302,4.1627),(3465,2865,0.12496,4.1686),(3465,2875,0.1374,4.1745),(3465,2885,0.15069,4.1804),(3465,2895,0.16397,4.1857),(3465,2905,0.17726,4.19),(3465,2915,0.19098,4.1943),(3465,2925,0.20534,4.1987),(3465,2935,0.2197,4.2023),(3465,2945,0.23406,4.205),(3465,2955,0.24879,4.2077),(3465,2965,0.26398,4.2103),(3465,2975,0.27918,4.2122),(3465,2985,0.29437,4.2132),(3465,2995,0.30987,4.2142),(3465,3005,0.3257,4.2152),(3465,3015,0.34154,4.2152),(3465,3025,0.35737,4.2145),(3465,3035,0.37345,4.2137),(3465,3045,0.38976,4.213),(3465,3055,0.40607,4.2112),(3465,3065,0.42238,4.2087),(3465,3075,0.4389,4.2062),(3465,3085,0.45556,4.2037),(3465,3095,0.47223,4.2002),(3465,3105,0.4889,4.1959),(3465,3115,0.50572,4.1916),(3465,3125,0.52264,4.1873),(3465,3135,0.53956,4.1819),(3465,3145,0.55649,4.1757),(3465,3155,0.57351,4.1696),(3465,3165,0.5906,4.1635),(3465,3175,0.60768,4.1561),(3465,3185,0.62477,4.1481),(3465,3195,0.6419,4.1401),(3465,3205,0.65905,4.1321),(3465,3215,0.67621,4.1227),(3465,3225,0.69336,4.1127),(3465,3235,0.71048,4.1027),(3465,3245,0.72759,4.0927),(3465,3255,0.74469,4.0811),(3465,3265,0.7618,4.0689),(3465,3275,0.77876,4.0568),(3465,3285,0.79568,4.0447),(3465,3295,0.81259,4.0307),(3465,3305,0.82951,4.0163),(3465,3315,0.84611,4.0019),(3465,3325,0.86264,3.9875),(3465,3335,0.87917,3.971),(3465,3345,0.89569,3.9541),(3465,3355,0.91166,3.9372),(3465,3365,0.92753,3.9203),(3465,3375,0.9434,3.9011),(3465,3385,0.95927,3.8816),(3465,3395,0.97423,3.8621),(3465,3405,0.98907,3.8425),(3465,3415,1.0039,3.8205),(3465,3425,1.0188,3.7981),(3465,3435,1.0322,3.7758),(3465,3445,1.0456,3.7534),(3465,3455,1.0589,3.7283),(3465,3465,1.0722,3.7031),(3465,3475,1.0836,3.6779),(3465,3485,1.0948,3.6526),(3465,3495,1.106,3.6246),(3465,3505,1.1173,3.5965),(3465,3515,1.1257,3.5684),(3465,3525,1.1341,3.5403),(3465,3535,1.1426,3.5096),(3465,3545,1.1508,3.479),(3465,3555,1.1557,3.4483),(3465,3565,1.1606,3.4175),(3465,3575,1.1655,3.3848),(3465,3585,1.1701,3.3521),(3465,3595,1.1708,3.3194),(3465,3605,1.1715,3.2866),(3465,3615,1.1722,3.2526),(3465,3625,1.1723,3.2187),(3465,3635,1.1685,3.1848),(3465,3645,1.1647,3.1508),(3465,3655,1.1609,3.1167),(3465,3665,1.1564,3.0826),(3465,3675,1.1482,3.0484),(3465,3685,1.14,3.0144),(3465,3695,1.1319,2.9809),(3465,3705,1.1229,2.9474),(3465,3715,1.111,2.9139),(3465,3725,1.0992,2.8806),(3465,3735,1.0873,2.8482),(3465,3745,1.0747,2.8157),(3465,3755,1.0601,2.7832),(3465,3765,1.0455,2.751),(3465,3775,1.0308,2.7194),(3465,3785,1.0158,2.6878),(3465,3795,0.99959,2.6562),(3465,3805,0.98342,2.6247),(3465,3815,0.96725,2.5934),(3465,3825,0.95115,2.5621),(3465,3835,0.93518,2.5307),(3465,3845,0.91921,2.4992),(3465,3855,0.90325,2.4674),(3465,3865,0.88841,2.4355),(3465,3875,0.87559,2.4036),(3465,3885,0.86277,2.3715),(3465,3895,0.84995,2.3391),(3465,3905,0.84047,2.3067),(3465,3915,0.83599,2.2743),(3465,3925,0.8315,2.2435),(3465,3935,0.82701,2.2149),(3465,3945,0.82872,2.1863),(3465,3955,0.83832,2.1577),(3465,3965,0.84792,2.1373),(3465,3975,0.85752,2.1264),(3465,3985,0.86653,2.1155),(3465,3995,0.87492,2.1046),(3465,4005,0.88331,2.1008),(3465,4015,0.89169,2.104),(3465,4025,1.1966,2.1071),(3465,4035,1.5305,2.1106),(3465,4045,1.8644,2.1144),(3465,4055,2.0893,2.1183),(3465,4065,2.2745,2.1208),(3465,4075,2.4596,2.1158),(3465,4085,2.536,2.1108),(3465,4095,2.5251,2.1058),(3465,4105,2.5141,2.0956),(3465,4115,2.4278,2.0853),(3465,4125,2.2167,2.0749),(3465,4135,2.0057,2.0658),(3465,4145,1.7937,2.057),(3465,4155,1.578,2.0483),(3465,4165,1.3623,2.0423),(3465,4175,1.1587,2.038),(3465,4185,1.5476,2.0338),(3465,4195,1.9364,2.0244),(3465,4205,2.3253,2.0081),(3465,4215,2.3803,1.9918),(3465,4225,2.3724,1.9752),(3465,4235,2.3646,1.9577),(3465,4245,2.3303,1.9403),(3465,4255,2.2826,1.9227),(3465,4265,2.2349,1.9028),(3465,4275,1.9644,1.8829),(3465,4285,1.4574,1.8631),(3465,4295,0.95044,1.8589),(3465,4305,0.74277,1.8565),(3465,4315,1.2109,1.8542),(3465,4325,1.6791,1.8432),(3465,4335,2.0948,1.8288),(3465,4345,2.1554,1.8145),(3465,4355,2.216,1.7991),(3465,4365,2.2767,1.783),(3465,4375,2.2787,1.7668),(3465,4385,2.2776,1.7507),(3465,4395,2.2765,1.7348),(3465,4405,2.0046,1.7189),(3465,4415,1.6528,1.7045),(3465,4425,1.301,1.6969),(3465,4435,1.1511,1.6893),(3465,4445,1.1393,1.6817),(3465,4455,1.1274,1.6748),(3465,4465,1.2657,1.6678),(3465,4475,1.6149,1.6609),(3465,4485,1.9641,1.6471),(3465,4495,2.2305,1.6319),(3465,4505,2.2311,1.6167),(3465,4515,2.2316,1.6017),(3465,4525,2.2278,1.5868),(3465,4535,2.1544,1.5719),(3465,4545,2.0809,1.5578),(3465,4555,2.0075,1.5447),(3465,4565,1.5439,1.5315),(3465,4575,1.0278,1.5218),(3465,4585,0.5116,1.5205),(3465,4595,0.72968,1.5192),(3465,4605,1.258,1.516),(3465,4615,1.7863,1.4984),(3465,4625,2.0605,1.4809),(3465,4635,2.1045,1.4633),(3465,4645,2.1486,1.4487),(3465,4655,2.1791,1.4344),(3465,4665,2.1838,1.42),(3465,4675,2.1886,1.4063),(3465,4685,2.1177,1.3927),(3465,4695,1.6729,1.3792),(3465,4705,1.2281,1.3711),(3465,4715,0.78325,1.3669),(3465,4725,0.99354,1.3628),(3465,4735,1.2104,1.3568),(3465,4745,1.4272,1.3482),(3465,4755,1.6486,1.3397),(3465,4765,1.871,1.33),(3465,4775,2.0934,1.3168),(3465,4785,2.1761,1.3036),(3465,4795,2.1781,1.2904),(3465,4805,2.1801,1.2773),(3465,4815,2.0771,1.2643),(3465,4825,1.8489,1.2512),(3465,4835,1.6206,1.2422),(3465,4845,1.3896,1.2338),(3465,4855,1.1514,1.2254),(3465,4865,0.91332,1.2206),(3465,4875,0.74465,1.2174),(3465,4885,1.2079,1.2142),(3465,4895,1.6711,1.2066),(3465,4905,2.1343,1.195),(3465,4915,2.171,1.1833),(3465,4925,2.171,1.1716),(3465,4935,2.171,1.1599),(3465,4945,2.1511,1.1482),(3465,4955,2.1243,1.1361),(3465,4965,2.0974,1.1221),(3465,4975,1.7471,1.1082),(3465,4985,1.1472,1.0942),(3465,4995,0.54719,1.0933),(3465,5005,0.35994,1.0928),(3465,5015,0.82881,1.0922),(3465,5025,1.2977,1.0852),(3465,5035,1.7016,1.0765),(3465,5045,1.8579,1.0679),(3465,5055,2.0142,1.0575),(3465,5065,2.1659,1.046),(3465,5075,2.1678,1.0346),(3465,5085,2.1697,1.0232),(3465,5095,2.1716,1.0118),(3465,5105,1.8995,1.0005),(3465,5115,1.5796,0.99057),(3465,5125,1.2597,0.98474),(3465,5135,1.0989,0.97891),(3465,5145,1.0153,0.97324),(3465,5155,0.93168,0.96915),(3465,5165,1.0934,0.96506),(3465,5175,1.5054,0.96098),(3465,5185,1.9173,0.95095),(3465,5195,2.1991,0.94031),(3465,5205,2.2005,0.92966),(3465,5215,2.2018,0.91911),(3465,5225,2.1917,0.9086),(3465,5235,2.1104,0.89808),(3465,5245,2.029,0.88829),(3465,5255,1.9477,0.87909),(3465,5265,1.3739,0.8699),(3465,5275,0.7798,0.8641),(3465,5285,0.18568,0.86406),(3465,5295,0.57859,0.86402),(3465,5305,1.2464,0.86184),(3465,5315,1.9141,0.85069),(3465,5325,2.1883,0.83954),(3465,5335,2.2043,0.82842),(3465,5345,2.2203,0.81898),(3465,5355,2.2299,0.80954),(3465,5365,2.2307,0.8001),(3465,5375,2.2316,0.79084),(3465,5385,2.105,0.78161),(3465,5395,1.5907,0.77238),(3465,5405,1.0765,0.7677),(3465,5415,0.61795,0.76538),(3465,5425,0.90777,0.76305),(3465,5435,1.1976,0.75981),(3465,5445,1.4874,0.75556),(3465,5455,1.7664,0.75131),(3465,5465,2.044,0.74631),(3465,5475,2.3217,0.73958),(3465,5485,2.4005,0.73284),(3465,5495,2.3992,0.72612),(3465,5505,2.398,0.71956),(3465,5515,2.3968,0.71301),(3465,5525,2.3956,0.70645),(3465,5535,2.3943,0.70006),(3465,5545,2.3931,0.69368),(3465,5555,2.3919,0.6873),(3465,5565,2.3907,0.68104),(3465,5575,2.3895,0.67481),(3465,5585,2.3883,0.66859),(3465,5595,2.387,0.66246),(3465,5605,2.3858,0.65639),(3465,5615,2.3846,0.65032),(3465,5625,2.3833,0.64431),(3465,5635,2.3821,0.63837),(3465,5645,2.3809,0.63244),(3465,5655,2.3796,0.62653),(3465,5665,2.3784,0.62072),(3465,5675,2.3771,0.61491),(3465,5685,2.3759,0.6091),(3465,5695,2.3746,0.60342),(3465,5705,2.3734,0.59774),(3465,5715,2.3721,0.59206),(3465,5725,2.3709,0.58645),(3465,5735,2.3696,0.58086),(3465,5745,2.3683,0.57526),(3465,5755,2.3671,0.56973),(3465,5765,2.3658,0.56424),(3465,5775,2.3645,0.55874),(3465,5785,2.3633,0.55329),(3465,5795,2.362,0.54788),(3465,5805,2.3607,0.54246),(3465,5815,2.3595,0.53708),(3465,5825,2.3582,0.53175),(3465,5835,2.3569,0.52643),(3465,5845,2.3556,0.52111),(3465,5855,2.3544,0.51586),(3465,5865,2.3531,0.51062),(3465,5875,2.3518,0.50537),(3465,5885,2.3505,0.50018),(3465,5895,2.3493,0.49499),(3465,5905,2.348,0.48981),(3465,5915,2.3467,0.48467),(3465,5925,2.3454,0.47954),(3465,5935,2.3441,0.47441),(3465,5945,2.3429,0.46932),(3465,5955,2.3416,0.46426),(3465,5965,2.3403,0.45919),(3465,5975,2.339,0.45416),(3465,5985,2.3378,0.44916),(3465,5995,1.7874,0.44416),(3465,6005,1.1486,0.44036),(3465,6015,0.50983,0.43974),(3465,6025,0.6615,0.43912),(3465,6035,1.1798,0.43799),(3465,6045,1.698,0.43195),(3465,6055,2.0574,0.4259),(3465,6065,2.2608,0.41986),(3465,6075,2.4643,0.41201),(3465,6085,2.6015,0.404),(3465,6095,2.6024,0.39598),(3465,6105,2.6033,0.38794),(3465,6115,2.6042,0.3799),(3465,6125,2.6051,0.37185),(3465,6135,2.6059,0.36389),(3465,6145,2.6068,0.35598),(3465,6155,2.6076,0.34808),(3465,6165,2.6084,0.3402),(3465,6175,2.6092,0.33235),(3465,6185,2.6099,0.32451),(3465,6195,2.6107,0.31669),(3465,6205,2.6114,0.30895),(3465,6215,2.6121,0.30121),(3465,6225,2.6128,0.29347),(3465,6235,2.6135,0.28574),(3465,6245,2.6142,0.27801),(3465,6255,2.6148,0.27028),(3465,6265,2.6155,0.26259),(3465,6275,2.6161,0.25491),(3465,6285,2.6166,0.24723),(3465,6295,2.6172,0.23963),(3465,6305,2.6178,0.23208),(3465,6315,2.6183,0.22452),(3465,6325,2.6189,0.21698),(3465,6335,2.6194,0.20944),(3465,6345,2.6199,0.20191),(3465,6355,2.6203,0.19441),(3465,6365,2.6208,0.18697),(3465,6375,2.6212,0.17954),(3465,6385,2.6216,0.17209),(3465,6395,2.622,0.16462),(3465,6405,2.6224,0.15714),(3465,6415,2.6228,0.14966),(3465,6425,2.6231,0.14225),(3465,6435,2.6235,0.13483),(3465,6445,2.6238,0.12742),(3465,6455,2.6241,0.12006),(3465,6465,2.6244,0.11272),(3465,6475,2.6246,0.10538),(3465,6485,2.6248,0.098048),(3465,6495,2.6251,0.090717),(3465,6505,2.6253,0.083387),(3465,6515,2.6254,0.076067),(3465,6525,2.6256,0.068764),(3465,6535,2.6257,0.061461),(3465,6545,2.6259,0.054147),(3465,6555,2.626,0.046801),(3465,6565,2.626,0.039456),(3465,6575,2.6261,0.03212),(3465,6585,2.6261,0.024933),(3465,6595,2.2336,0.017746),(3465,6605,1.4079,0.010559),(3465,6615,0.58209,0.009719),(3465,6625,0.001591,0.009694),(3465,6635,0.001589,0.00967),(3465,6645,0.001586,0.009658),(3465,6655,0.001584,0.009651),(3465,6665,0.001581,0.009645),(3465,6675,0.001579,0.009638),(3465,6685,0.001577,0.009631),(3465,6695,0.001575,0.009625),(3465,6705,0.001573,0.009618),(3465,6715,0.001571,0.009611),(3465,6725,0.001569,0.009605),(3465,6735,0.001567,0.009598),(3465,6745,0.001565,0.009591),(3465,6755,0.001564,0.009584),(3465,6765,0.001562,0.009577),(3465,6775,0.001561,0.00957),(3465,6785,0.001559,0.009563),(3465,6795,0.001558,0.009556),(3465,6805,0.001557,0.009548),(3465,6815,0.001555,0.009541),(3465,6825,0.001554,0.009534),(3465,6835,0.001553,0.009527),(3465,6845,0.001552,0.00952),(3465,6855,0.001551,0.009512),(3465,6865,0.00155,0.009505),(3465,6875,0.001549,0.009498),(3465,6885,0.001548,0.00949),(3465,6895,0.001547,0.009483),(3465,6905,0.001546,0.009475),(3465,6915,0.001546,0.009468),(3465,6925,0.001545,0.009461),(3465,6935,0.001544,0.009453),(3465,6945,0.001544,0.009445),(3465,6955,0.001543,0.009437),(3465,6965,0.001543,0.00943),(3465,6975,0.001542,0.009422),(3465,6985,0.001542,0.009414),(3475,5,3e-06,3.6889),(3475,15,1e-05,3.6889),(3475,25,1.7e-05,3.6889),(3475,35,2.3e-05,3.6889),(3475,45,3e-05,3.6889),(3475,55,3.6e-05,3.6889),(3475,65,4.2e-05,3.6889),(3475,75,4.8e-05,3.6889),(3475,85,5.4e-05,3.6889),(3475,95,6e-05,3.6889),(3475,105,6.5e-05,3.6889),(3475,115,7e-05,3.6889),(3475,125,7.5e-05,3.6889),(3475,135,8e-05,3.6889),(3475,145,8.4e-05,3.6889),(3475,155,8.7e-05,3.6889),(3475,165,9.1e-05,3.6889),(3475,175,9.4e-05,3.6889),(3475,185,9.7e-05,3.6889),(3475,195,9.8e-05,3.6889),(3475,205,0.0001,3.6889),(3475,215,0.000101,3.6889),(3475,225,0.000101,3.6889),(3475,235,0.000101,3.6889),(3475,245,0.0001,3.6889),(3475,255,9.9e-05,3.6889),(3475,265,9.7e-05,3.6889),(3475,275,9.3e-05,3.6889),(3475,285,9e-05,3.6889),(3475,295,8.6e-05,3.6889),(3475,305,8e-05,3.6889),(3475,315,7.4e-05,3.6889),(3475,325,6.7e-05,3.6889),(3475,335,6.1e-05,3.6889),(3475,345,5.1e-05,3.6889),(3475,355,4.1e-05,3.6889),(3475,365,3e-05,3.6889),(3475,375,2e-05,3.6889),(3475,385,6e-06,3.6889),(3475,395,-9e-06,3.6889),(3475,405,-2.3e-05,3.6889),(3475,415,-3.8e-05,3.6889),(3475,425,-5.7e-05,3.6889),(3475,435,-7.7e-05,3.6889),(3475,445,-9.6e-05,3.6889),(3475,455,-0.000116,3.6889),(3475,465,-0.000141,3.6889),(3475,475,-0.000166,3.6889),(3475,485,-0.000191,3.6889),(3475,495,-0.000216,3.6889),(3475,505,-0.000247,3.6889),(3475,515,-0.000278,3.6889),(3475,525,-0.000309,3.6889),(3475,535,-0.00034,3.6889),(3475,545,-0.000378,3.6889),(3475,555,-0.000416,3.6889),(3475,565,-0.000453,3.6889),(3475,575,-0.000491,3.6889),(3475,585,-0.000536,3.6889),(3475,595,-0.000581,3.6889),(3475,605,-0.000626,3.6889),(3475,615,-0.000672,3.6889),(3475,625,-0.000725,3.689),(3475,635,-0.000778,3.689),(3475,645,-0.000831,3.689),(3475,655,-0.000885,3.689),(3475,665,-0.000947,3.689),(3475,675,-0.001009,3.689),(3475,685,-0.00107,3.689),(3475,695,-0.001134,3.6891),(3475,705,-0.001205,3.6891),(3475,715,-0.001277,3.6891),(3475,725,-0.001348,3.6891),(3475,735,-0.001422,3.6892),(3475,745,-0.001503,3.6892),(3475,755,-0.001584,3.6892),(3475,765,-0.001666,3.6892),(3475,775,-0.00175,3.6893),(3475,785,-0.001842,3.6893),(3475,795,-0.001934,3.6893),(3475,805,-0.002026,3.6894),(3475,815,-0.002122,3.6894),(3475,825,-0.002225,3.6894),(3475,835,-0.002329,3.6895),(3475,845,-0.002432,3.6895),(3475,855,-0.00254,3.6896),(3475,865,-0.002656,3.6896),(3475,875,-0.002771,3.6897),(3475,885,-0.002887,3.6897),(3475,895,-0.003007,3.6898),(3475,905,-0.003135,3.6899),(3475,915,-0.003263,3.6899),(3475,925,-0.003392,3.69),(3475,935,-0.003525,3.6901),(3475,945,-0.003666,3.6901),(3475,955,-0.003807,3.6902),(3475,965,-0.003948,3.6903),(3475,975,-0.004095,3.6904),(3475,985,-0.004249,3.6905),(3475,995,-0.004403,3.6906),(3475,1005,-0.004557,3.6907),(3475,1015,-0.004718,3.6908),(3475,1025,-0.004886,3.6909),(3475,1035,-0.005053,3.691),(3475,1045,-0.005221,3.6911),(3475,1055,-0.005396,3.6912),(3475,1065,-0.005577,3.6913),(3475,1075,-0.005758,3.6915),(3475,1085,-0.005939,3.6916),(3475,1095,-0.006128,3.6917),(3475,1105,-0.006322,3.6919),(3475,1115,-0.006516,3.692),(3475,1125,-0.006711,3.6922),(3475,1135,-0.006913,3.6924),(3475,1145,-0.007121,3.6925),(3475,1155,-0.007328,3.6927),(3475,1165,-0.007535,3.6929),(3475,1175,-0.007751,3.6931),(3475,1185,-0.007972,3.6933),(3475,1195,-0.008192,3.6935),(3475,1205,-0.008412,3.6937),(3475,1215,-0.008641,3.6939),(3475,1225,-0.008873,3.6941),(3475,1235,-0.009106,3.6943),(3475,1245,-0.009338,3.6946),(3475,1255,-0.009579,3.6948),(3475,1265,-0.009824,3.695),(3475,1275,-0.010068,3.6953),(3475,1285,-0.010312,3.6956),(3475,1295,-0.010565,3.6958),(3475,1305,-0.01082,3.6961),(3475,1315,-0.011075,3.6964),(3475,1325,-0.011331,3.6967),(3475,1335,-0.011595,3.697),(3475,1345,-0.011861,3.6973),(3475,1355,-0.012128,3.6976),(3475,1365,-0.012394,3.6979),(3475,1375,-0.012669,3.6983),(3475,1385,-0.012945,3.6986),(3475,1395,-0.013221,3.699),(3475,1405,-0.013498,3.6993),(3475,1415,-0.013783,3.6997),(3475,1425,-0.014069,3.7001),(3475,1435,-0.014355,3.7005),(3475,1445,-0.014641,3.7009),(3475,1455,-0.014936,3.7013),(3475,1465,-0.015231,3.7017),(3475,1475,-0.015527,3.7021),(3475,1485,-0.015822,3.7026),(3475,1495,-0.016128,3.703),(3475,1505,-0.016433,3.7034),(3475,1515,-0.016738,3.7039),(3475,1525,-0.017044,3.7044),(3475,1535,-0.017359,3.7049),(3475,1545,-0.017675,3.7054),(3475,1555,-0.01799,3.7059),(3475,1565,-0.018306,3.7064),(3475,1575,-0.018633,3.7069),(3475,1585,-0.018959,3.7074),(3475,1595,-0.019285,3.708),(3475,1605,-0.019612,3.7086),(3475,1615,-0.01995,3.7091),(3475,1625,-0.020288,3.7097),(3475,1635,-0.020626,3.7103),(3475,1645,-0.020965,3.7109),(3475,1655,-0.021316,3.7115),(3475,1665,-0.021667,3.7122),(3475,1675,-0.022018,3.7128),(3475,1685,-0.022371,3.7135),(3475,1695,-0.022737,3.7141),(3475,1705,-0.023103,3.7148),(3475,1715,-0.023469,3.7155),(3475,1725,-0.023838,3.7162),(3475,1735,-0.024221,3.7169),(3475,1745,-0.024604,3.7177),(3475,1755,-0.024987,3.7184),(3475,1765,-0.025375,3.7192),(3475,1775,-0.025777,3.72),(3475,1785,-0.02618,3.7207),(3475,1795,-0.026582,3.7216),(3475,1805,-0.026991,3.7224),(3475,1815,-0.027416,3.7232),(3475,1825,-0.02784,3.7241),(3475,1835,-0.028265,3.725),(3475,1845,-0.028698,3.7259),(3475,1855,-0.029148,3.7268),(3475,1865,-0.029598,3.7277),(3475,1875,-0.030048,3.7287),(3475,1885,-0.030508,3.7296),(3475,1895,-0.030987,3.7306),(3475,1905,-0.031466,3.7316),(3475,1915,-0.031944,3.7327),(3475,1925,-0.032437,3.7337),(3475,1935,-0.032948,3.7348),(3475,1945,-0.033459,3.7359),(3475,1955,-0.033969,3.7371),(3475,1965,-0.034497,3.7382),(3475,1975,-0.035043,3.7394),(3475,1985,-0.03559,3.7406),(3475,1995,-0.036137,3.7419),(3475,2005,-0.036703,3.7431),(3475,2015,-0.037288,3.7444),(3475,2025,-0.037874,3.7457),(3475,2035,-0.038459,3.7471),(3475,2045,-0.039067,3.7485),(3475,2055,-0.039694,3.7499),(3475,2065,-0.040322,3.7514),(3475,2075,-0.040949,3.7529),(3475,2085,-0.041601,3.7545),(3475,2095,-0.042272,3.756),(3475,2105,-0.042943,3.7577),(3475,2115,-0.043614,3.7594),(3475,2125,-0.044313,3.7611),(3475,2135,-0.045028,3.7628),(3475,2145,-0.045743,3.7647),(3475,2155,-0.046459,3.7666),(3475,2165,-0.047203,3.7685),(3475,2175,-0.047961,3.7704),(3475,2185,-0.048719,3.7725),(3475,2195,-0.049478,3.7746),(3475,2205,-0.050263,3.7768),(3475,2215,-0.051059,3.7789),(3475,2225,-0.051856,3.7813),(3475,2235,-0.052652,3.7837),(3475,2245,-0.05347,3.7861),(3475,2255,-0.054295,3.7885),(3475,2265,-0.055119,3.7912),(3475,2275,-0.055944,3.794),(3475,2285,-0.056779,3.7967),(3475,2295,-0.057615,3.7994),(3475,2305,-0.058452,3.8025),(3475,2315,-0.059289,3.8056),(3475,2325,-0.060114,3.8087),(3475,2335,-0.060936,3.8118),(3475,2345,-0.061759,3.8153),(3475,2355,-0.062581,3.8189),(3475,2365,-0.063356,3.8224),(3475,2375,-0.064123,3.826),(3475,2385,-0.06489,3.83),(3475,2395,-0.065657,3.8341),(3475,2405,-0.066322,3.8382),(3475,2415,-0.066974,3.8422),(3475,2425,-0.067627,3.8468),(3475,2435,-0.068279,3.8515),(3475,2445,-0.068744,3.8562),(3475,2455,-0.069196,3.8608),(3475,2465,-0.069648,3.8661),(3475,2475,-0.0701,3.8715),(3475,2485,-0.070238,3.8768),(3475,2495,-0.070369,3.8821),(3475,2505,-0.0705,3.8882),(3475,2515,-0.070624,3.8943),(3475,2525,-0.07027,3.9004),(3475,2535,-0.069917,3.9065),(3475,2545,-0.069564,3.9134),(3475,2555,-0.069172,3.9203),(3475,2565,-0.068121,3.9272),(3475,2575,-0.06707,3.9341),(3475,2585,-0.066019,3.9419),(3475,2595,-0.064877,3.9496),(3475,2605,-0.062863,3.9573),(3475,2615,-0.060849,3.9651),(3475,2625,-0.058836,3.9736),(3475,2635,-0.056652,3.9821),(3475,2645,-0.05337,3.9906),(3475,2655,-0.050087,3.9992),(3475,2665,-0.046805,4.0083),(3475,2675,-0.043248,4.0174),(3475,2685,-0.038384,4.0265),(3475,2695,-0.03352,4.0357),(3475,2705,-0.028656,4.0452),(3475,2715,-0.0234,4.0546),(3475,2725,-0.016696,4.064),(3475,2735,-0.009992,4.0735),(3475,2745,-0.003287,4.0828),(3475,2755,0.003912,4.0921),(3475,2765,0.012579,4.1015),(3475,2775,0.021246,4.1106),(3475,2785,0.029912,4.1194),(3475,2795,0.039132,4.1281),(3475,2805,0.049691,4.1368),(3475,2815,0.06025,4.1452),(3475,2825,0.070809,4.1528),(3475,2835,0.081923,4.1605),(3475,2845,0.094156,4.1681),(3475,2855,0.10639,4.1753),(3475,2865,0.11862,4.1815),(3475,2875,0.13137,4.1877),(3475,2885,0.14499,4.194),(3475,2895,0.15861,4.1996),(3475,2905,0.17223,4.2042),(3475,2915,0.18631,4.2088),(3475,2925,0.20103,4.2134),(3475,2935,0.21575,4.2173),(3475,2945,0.23047,4.2202),(3475,2955,0.24558,4.2231),(3475,2965,0.26114,4.226),(3475,2975,0.27671,4.2281),(3475,2985,0.29228,4.2292),(3475,2995,0.30817,4.2303),(3475,3005,0.32438,4.2315),(3475,3015,0.34059,4.2317),(3475,3025,0.35681,4.2311),(3475,3035,0.37327,4.2304),(3475,3045,0.38997,4.2298),(3475,3055,0.40667,4.2282),(3475,3065,0.42337,4.2258),(3475,3075,0.44027,4.2234),(3475,3085,0.45733,4.2209),(3475,3095,0.47439,4.2175),(3475,3105,0.49145,4.2132),(3475,3115,0.50867,4.209),(3475,3125,0.526,4.2048),(3475,3135,0.54332,4.1994),(3475,3145,0.56065,4.1934),(3475,3155,0.57809,4.1873),(3475,3165,0.59559,4.1812),(3475,3175,0.6131,4.1739),(3475,3185,0.63061,4.1659),(3475,3195,0.64818,4.1579),(3475,3205,0.66577,4.1499),(3475,3215,0.68337,4.1405),(3475,3225,0.70097,4.1305),(3475,3235,0.71856,4.1205),(3475,3245,0.73615,4.1105),(3475,3255,0.75373,4.0989),(3475,3265,0.77132,4.0867),(3475,3275,0.78878,4.0745),(3475,3285,0.80622,4.0624),(3475,3295,0.82365,4.0484),(3475,3305,0.84108,4.0339),(3475,3315,0.85824,4.0194),(3475,3325,0.87533,4.0049),(3475,3335,0.89241,3.9883),(3475,3345,0.9095,3.9712),(3475,3355,0.92607,3.9542),(3475,3365,0.94254,3.9371),(3475,3375,0.95902,3.9177),(3475,3385,0.97549,3.8979),(3475,3395,0.99109,3.8782),(3475,3405,1.0066,3.8584),(3475,3415,1.0221,3.8359),(3475,3425,1.0376,3.8132),(3475,3435,1.0517,3.7905),(3475,3445,1.0657,3.7678),(3475,3455,1.0797,3.7422),(3475,3465,1.0937,3.7164),(3475,3475,1.1057,3.6907),(3475,3485,1.1176,3.6649),(3475,3495,1.1295,3.6361),(3475,3505,1.1413,3.6073),(3475,3515,1.1504,3.5785),(3475,3525,1.1594,3.5496),(3475,3535,1.1684,3.518),(3475,3545,1.1773,3.4864),(3475,3555,1.1827,3.4548),(3475,3565,1.1881,3.4231),(3475,3575,1.1934,3.3892),(3475,3585,1.1984,3.3554),(3475,3595,1.1994,3.3215),(3475,3605,1.2004,3.2876),(3475,3615,1.2014,3.2524),(3475,3625,1.2018,3.2173),(3475,3635,1.1981,3.1821),(3475,3645,1.1943,3.147),(3475,3655,1.1906,3.1117),(3475,3665,1.1861,3.0763),(3475,3675,1.1778,3.041),(3475,3685,1.1695,3.0059),(3475,3695,1.1613,2.9714),(3475,3705,1.1522,2.9369),(3475,3715,1.1401,2.9025),(3475,3725,1.128,2.8683),(3475,3735,1.116,2.8351),(3475,3745,1.1032,2.802),(3475,3755,1.0885,2.7689),(3475,3765,1.0737,2.736),(3475,3775,1.0589,2.7041),(3475,3785,1.0437,2.6722),(3475,3795,1.0276,2.6403),(3475,3805,1.0114,2.6086),(3475,3815,0.99529,2.5774),(3475,3825,0.97928,2.5462),(3475,3835,0.96356,2.5151),(3475,3845,0.94784,2.4839),(3475,3855,0.93211,2.4528),(3475,3865,0.91753,2.4217),(3475,3875,0.90495,2.3907),(3475,3885,0.89238,2.3597),(3475,3895,0.8798,2.329),(3475,3905,0.87011,2.2983),(3475,3915,0.86473,2.2675),(3475,3925,0.85936,2.2386),(3475,3935,0.85398,2.2121),(3475,3945,0.85317,2.1856),(3475,3955,0.85814,2.1592),(3475,3965,0.86311,2.1398),(3475,3975,0.86809,2.1288),(3475,3985,0.87275,2.1179),(3475,3995,0.87708,2.1069),(3475,4005,0.8814,2.1021),(3475,4015,0.88573,2.1037),(3475,4025,1.1891,2.1052),(3475,4035,1.5218,2.1067),(3475,4045,1.8545,2.1081),(3475,4055,2.0808,2.1096),(3475,4065,2.2682,2.1099),(3475,4075,2.4557,2.1034),(3475,4085,2.5341,2.0968),(3475,4095,2.5249,2.0902),(3475,4105,2.5157,2.0793),(3475,4115,2.4306,2.0682),(3475,4125,2.2196,2.0571),(3475,4135,2.0087,2.0475),(3475,4145,1.7967,2.0385),(3475,4155,1.5803,2.0294),(3475,4165,1.3639,2.0232),(3475,4175,1.1595,2.0189),(3475,4185,1.551,2.0146),(3475,4195,1.9425,2.0051),(3475,4205,2.334,1.9889),(3475,4215,2.3897,1.9726),(3475,4225,2.3822,1.9561),(3475,4235,2.3747,1.9388),(3475,4245,2.3411,1.9214),(3475,4255,2.2943,1.9039),(3475,4265,2.2475,1.8842),(3475,4275,1.9755,1.8644),(3475,4285,1.4646,1.8446),(3475,4295,0.95372,1.8404),(3475,4305,0.74404,1.8381),(3475,4315,1.2145,1.8357),(3475,4325,1.685,1.8248),(3475,4335,2.1028,1.8106),(3475,4345,2.1638,1.7965),(3475,4355,2.2248,1.7813),(3475,4365,2.2858,1.7653),(3475,4375,2.2877,1.7493),(3475,4385,2.2866,1.7334),(3475,4395,2.2854,1.7176),(3475,4405,2.0123,1.7018),(3475,4415,1.659,1.6875),(3475,4425,1.3056,1.68),(3475,4435,1.1551,1.6725),(3475,4445,1.143,1.6649),(3475,4455,1.131,1.658),(3475,4465,1.2698,1.6511),(3475,4475,1.6205,1.6442),(3475,4485,1.9713,1.6305),(3475,4495,2.2388,1.6155),(3475,4505,2.2393,1.6004),(3475,4515,2.2397,1.5855),(3475,4525,2.2358,1.5707),(3475,4535,2.162,1.5559),(3475,4545,2.0883,1.5419),(3475,4555,2.0145,1.5289),(3475,4565,1.549,1.5159),(3475,4575,1.0308,1.5063),(3475,4585,0.51248,1.505),(3475,4595,0.73234,1.5038),(3475,4605,1.2641,1.5006),(3475,4615,1.7958,1.4832),(3475,4625,2.0711,1.4658),(3475,4635,2.114,1.4483),(3475,4645,2.1569,1.4339),(3475,4655,2.1866,1.4197),(3475,4665,2.191,1.4054),(3475,4675,2.1955,1.3918),(3475,4685,2.1241,1.3784),(3475,4695,1.6777,1.3649),(3475,4705,1.2314,1.3569),(3475,4715,0.78502,1.3528),(3475,4725,0.996,1.3487),(3475,4735,1.2136,1.3429),(3475,4745,1.4311,1.3344),(3475,4755,1.6532,1.3258),(3475,4765,1.8764,1.3163),(3475,4775,2.0995,1.3031),(3475,4785,2.1825,1.29),(3475,4795,2.1844,1.2769),(3475,4805,2.1863,1.2639),(3475,4815,2.083,1.251),(3475,4825,1.854,1.2381),(3475,4835,1.625,1.2291),(3475,4845,1.3932,1.2208),(3475,4855,1.1542,1.2125),(3475,4865,0.91516,1.2077),(3475,4875,0.74582,1.2045),(3475,4885,1.2102,1.2013),(3475,4895,1.6746,1.1939),(3475,4905,2.139,1.1823),(3475,4915,2.1758,1.1707),(3475,4925,2.1759,1.1591),(3475,4935,2.1759,1.1475),(3475,4945,2.1566,1.1358),(3475,4955,2.1305,1.1238),(3475,4965,2.1045,1.11),(3475,4975,1.7532,1.0961),(3475,4985,1.1509,1.0822),(3475,4995,0.54861,1.0813),(3475,5005,0.36035,1.0808),(3475,5015,0.8303,1.0803),(3475,5025,1.3003,1.0733),(3475,5035,1.7051,1.0647),(3475,5045,1.8618,1.056),(3475,5055,2.0184,1.0457),(3475,5065,2.1705,1.0343),(3475,5075,2.1724,1.0229),(3475,5085,2.1743,1.0115),(3475,5095,2.1761,1.0002),(3475,5105,1.9034,0.98892),(3475,5115,1.5828,0.97907),(3475,5125,1.2622,0.97328),(3475,5135,1.1009,0.9675),(3475,5145,1.017,0.96185),(3475,5155,0.93314,0.9578),(3475,5165,1.0951,0.95374),(3475,5175,1.5078,0.94969),(3475,5185,1.9205,0.93972),(3475,5195,2.2029,0.92913),(3475,5205,2.2042,0.91854),(3475,5215,2.2055,0.90805),(3475,5225,2.1953,0.8976),(3475,5235,2.1138,0.88714),(3475,5245,2.0323,0.87741),(3475,5255,1.9509,0.86827),(3475,5265,1.3761,0.85913),(3475,5275,0.78092,0.85337),(3475,5285,0.18578,0.85334),(3475,5295,0.57956,0.85331),(3475,5305,1.2487,0.85115),(3475,5315,1.9179,0.84012),(3475,5325,2.1923,0.82909),(3475,5335,2.2077,0.81809),(3475,5345,2.2232,0.80874),(3475,5355,2.2324,0.79939),(3475,5365,2.2332,0.79004),(3475,5375,2.2339,0.78086),(3475,5385,2.1071,0.77172),(3475,5395,1.5923,0.76258),(3475,5405,1.0775,0.75794),(3475,5415,0.61841,0.75564),(3475,5425,0.90799,0.75334),(3475,5435,1.1976,0.75014),(3475,5445,1.4871,0.74598),(3475,5455,1.766,0.74181),(3475,5465,2.0436,0.7369),(3475,5475,2.3212,0.73028),(3475,5485,2.4,0.72365),(3475,5495,2.3987,0.71706),(3475,5505,2.3974,0.71061),(3475,5515,2.3961,0.70417),(3475,5525,2.3948,0.69773),(3475,5535,2.3936,0.69145),(3475,5545,2.3923,0.68518),(3475,5555,2.391,0.67892),(3475,5565,2.3898,0.67276),(3475,5575,2.3885,0.66665),(3475,5585,2.3872,0.66053),(3475,5595,2.386,0.6545),(3475,5605,2.3847,0.64854),(3475,5615,2.3834,0.64257),(3475,5625,2.3822,0.63666),(3475,5635,2.3809,0.63082),(3475,5645,2.3796,0.62498),(3475,5655,2.3783,0.61917),(3475,5665,2.3771,0.61346),(3475,5675,2.3758,0.60774),(3475,5685,2.3745,0.60203),(3475,5695,2.3732,0.59643),(3475,5705,2.3719,0.59084),(3475,5715,2.3706,0.58524),(3475,5725,2.3694,0.57972),(3475,5735,2.3681,0.57421),(3475,5745,2.3668,0.5687),(3475,5755,2.3655,0.56325),(3475,5765,2.3642,0.55784),(3475,5775,2.3629,0.55242),(3475,5785,2.3616,0.54705),(3475,5795,2.3603,0.54171),(3475,5805,2.359,0.53637),(3475,5815,2.3578,0.53106),(3475,5825,2.3565,0.52581),(3475,5835,2.3552,0.52056),(3475,5845,2.3539,0.51532),(3475,5855,2.3526,0.51014),(3475,5865,2.3513,0.50496),(3475,5875,2.35,0.49979),(3475,5885,2.3487,0.49467),(3475,5895,2.3474,0.48955),(3475,5905,2.3461,0.48443),(3475,5915,2.3448,0.47936),(3475,5925,2.3435,0.4743),(3475,5935,2.3422,0.46924),(3475,5945,2.3409,0.46421),(3475,5955,2.3396,0.45921),(3475,5965,2.3383,0.45421),(3475,5975,2.337,0.44923),(3475,5985,2.3358,0.44429),(3475,5995,1.7858,0.43935),(3475,6005,1.1476,0.43559),(3475,6015,0.50937,0.43498),(3475,6025,0.66144,0.43437),(3475,6035,1.1801,0.43326),(3475,6045,1.6987,0.42728),(3475,6055,2.0582,0.4213),(3475,6065,2.2617,0.41533),(3475,6075,2.4652,0.40756),(3475,6085,2.6026,0.39963),(3475,6095,2.6034,0.3917),(3475,6105,2.6043,0.38375),(3475,6115,2.6052,0.37579),(3475,6125,2.606,0.36783),(3475,6135,2.6068,0.35994),(3475,6145,2.6077,0.35212),(3475,6155,2.6084,0.3443),(3475,6165,2.6092,0.3365),(3475,6175,2.61,0.32874),(3475,6185,2.6107,0.32098),(3475,6195,2.6114,0.31324),(3475,6205,2.6121,0.30558),(3475,6215,2.6128,0.29793),(3475,6225,2.6135,0.29028),(3475,6235,2.6142,0.28263),(3475,6245,2.6148,0.27498),(3475,6255,2.6154,0.26734),(3475,6265,2.6161,0.25974),(3475,6275,2.6167,0.25216),(3475,6285,2.6172,0.24457),(3475,6295,2.6177,0.23704),(3475,6305,2.6182,0.22954),(3475,6315,2.6188,0.22204),(3475,6325,2.6194,0.21456),(3475,6335,2.6199,0.20712),(3475,6345,2.6204,0.19968),(3475,6355,2.6208,0.19227),(3475,6365,2.6212,0.18492),(3475,6375,2.6216,0.17757),(3475,6385,2.622,0.17022),(3475,6395,2.6224,0.16283),(3475,6405,2.6228,0.15544),(3475,6415,2.6232,0.14805),(3475,6425,2.6235,0.14071),(3475,6435,2.6238,0.13338),(3475,6445,2.6241,0.12605),(3475,6455,2.6244,0.11878),(3475,6465,2.6247,0.11152),(3475,6475,2.6249,0.10426),(3475,6485,2.6252,0.097014),(3475,6495,2.6254,0.089768),(3475,6505,2.6256,0.082522),(3475,6515,2.6257,0.075289),(3475,6525,2.6259,0.068073),(3475,6535,2.6261,0.060857),(3475,6545,2.6262,0.053633),(3475,6555,2.6263,0.046386),(3475,6565,2.6263,0.039139),(3475,6575,2.6263,0.031899),(3475,6585,2.6263,0.024761),(3475,6595,2.2338,0.017623),(3475,6605,1.408,0.010485),(3475,6615,0.58215,0.009669),(3475,6625,0.001594,0.009665),(3475,6635,0.001591,0.009661),(3475,6645,0.001588,0.009656),(3475,6655,0.001586,0.009649),(3475,6665,0.001584,0.009643),(3475,6675,0.001581,0.009636),(3475,6685,0.001579,0.009629),(3475,6695,0.001577,0.009623),(3475,6705,0.001575,0.009616),(3475,6715,0.001573,0.009609),(3475,6725,0.001571,0.009603),(3475,6735,0.00157,0.009596),(3475,6745,0.001568,0.009589),(3475,6755,0.001566,0.009582),(3475,6765,0.001565,0.009575),(3475,6775,0.001564,0.009568),(3475,6785,0.001562,0.009561),(3475,6795,0.001561,0.009554),(3475,6805,0.00156,0.009547),(3475,6815,0.001558,0.00954),(3475,6825,0.001557,0.009533),(3475,6835,0.001556,0.009526),(3475,6845,0.001555,0.009519),(3475,6855,0.001554,0.009512),(3475,6865,0.001553,0.009504),(3475,6875,0.001552,0.009497),(3475,6885,0.001551,0.00949),(3475,6895,0.001551,0.009482),(3475,6905,0.00155,0.009475),(3475,6915,0.001549,0.009467),(3475,6925,0.001548,0.00946),(3475,6935,0.001548,0.009452),(3475,6945,0.001547,0.009445),(3475,6955,0.001547,0.009437),(3475,6965,0.001546,0.009429),(3475,6975,0.001546,0.009421),(3475,6985,0.001545,0.009414),(3485,5,3e-06,3.6889),(3485,15,1e-05,3.6889),(3485,25,1.7e-05,3.6889),(3485,35,2.3e-05,3.6889),(3485,45,3e-05,3.6889),(3485,55,3.6e-05,3.6889),(3485,65,4.2e-05,3.6889),(3485,75,4.8e-05,3.6889),(3485,85,5.4e-05,3.6889),(3485,95,6e-05,3.6889),(3485,105,6.5e-05,3.6889),(3485,115,7e-05,3.6889),(3485,125,7.5e-05,3.6889),(3485,135,8e-05,3.6889),(3485,145,8.4e-05,3.6889),(3485,155,8.7e-05,3.6889),(3485,165,9.1e-05,3.6889),(3485,175,9.4e-05,3.6889),(3485,185,9.7e-05,3.6889),(3485,195,9.8e-05,3.6889),(3485,205,0.0001,3.6889),(3485,215,0.000101,3.6889),(3485,225,0.000101,3.6889),(3485,235,0.000101,3.6889),(3485,245,0.0001,3.6889),(3485,255,9.9e-05,3.6889),(3485,265,9.6e-05,3.6889),(3485,275,9.3e-05,3.6889),(3485,285,8.9e-05,3.6889),(3485,295,8.6e-05,3.6889),(3485,305,8e-05,3.6889),(3485,315,7.3e-05,3.6889),(3485,325,6.6e-05,3.6889),(3485,335,5.9e-05,3.6889),(3485,345,5e-05,3.6889),(3485,355,3.9e-05,3.6889),(3485,365,2.9e-05,3.6889),(3485,375,1.8e-05,3.6889),(3485,385,4e-06,3.6889),(3485,395,-1.1e-05,3.6889),(3485,405,-2.6e-05,3.6889),(3485,415,-4.1e-05,3.6889),(3485,425,-6e-05,3.6888),(3485,435,-8e-05,3.6888),(3485,445,-0.0001,3.6888),(3485,455,-0.00012,3.6888),(3485,465,-0.000145,3.6888),(3485,475,-0.00017,3.6888),(3485,485,-0.000196,3.6888),(3485,495,-0.000221,3.6888),(3485,505,-0.000253,3.6889),(3485,515,-0.000284,3.6889),(3485,525,-0.000316,3.6889),(3485,535,-0.000347,3.6889),(3485,545,-0.000386,3.6889),(3485,555,-0.000424,3.6889),(3485,565,-0.000462,3.6889),(3485,575,-0.000501,3.6889),(3485,585,-0.000546,3.6889),(3485,595,-0.000592,3.6889),(3485,605,-0.000638,3.6889),(3485,615,-0.000684,3.6889),(3485,625,-0.000738,3.6889),(3485,635,-0.000792,3.6889),(3485,645,-0.000846,3.6889),(3485,655,-0.000901,3.6889),(3485,665,-0.000964,3.689),(3485,675,-0.001026,3.689),(3485,685,-0.001089,3.689),(3485,695,-0.001154,3.689),(3485,705,-0.001226,3.689),(3485,715,-0.001299,3.689),(3485,725,-0.001371,3.6891),(3485,735,-0.001446,3.6891),(3485,745,-0.001529,3.6891),(3485,755,-0.001612,3.6891),(3485,765,-0.001695,3.6891),(3485,775,-0.001781,3.6892),(3485,785,-0.001875,3.6892),(3485,795,-0.001968,3.6892),(3485,805,-0.002062,3.6893),(3485,815,-0.00216,3.6893),(3485,825,-0.002265,3.6893),(3485,835,-0.002371,3.6894),(3485,845,-0.002476,3.6894),(3485,855,-0.002586,3.6895),(3485,865,-0.002704,3.6895),(3485,875,-0.002822,3.6896),(3485,885,-0.00294,3.6896),(3485,895,-0.003063,3.6897),(3485,905,-0.003194,3.6897),(3485,915,-0.003325,3.6898),(3485,925,-0.003455,3.6899),(3485,935,-0.003592,3.6899),(3485,945,-0.003736,3.69),(3485,955,-0.00388,3.6901),(3485,965,-0.004024,3.6902),(3485,975,-0.004174,3.6902),(3485,985,-0.004332,3.6903),(3485,995,-0.004489,3.6904),(3485,1005,-0.004647,3.6905),(3485,1015,-0.004811,3.6906),(3485,1025,-0.004983,3.6907),(3485,1035,-0.005155,3.6908),(3485,1045,-0.005326,3.6909),(3485,1055,-0.005505,3.691),(3485,1065,-0.005691,3.6912),(3485,1075,-0.005876,3.6913),(3485,1085,-0.006062,3.6914),(3485,1095,-0.006255,3.6916),(3485,1105,-0.006454,3.6917),(3485,1115,-0.006653,3.6918),(3485,1125,-0.006853,3.692),(3485,1135,-0.00706,3.6922),(3485,1145,-0.007273,3.6923),(3485,1155,-0.007485,3.6925),(3485,1165,-0.007698,3.6927),(3485,1175,-0.00792,3.6928),(3485,1185,-0.008146,3.693),(3485,1195,-0.008372,3.6932),(3485,1205,-0.008597,3.6934),(3485,1215,-0.008832,3.6936),(3485,1225,-0.009071,3.6939),(3485,1235,-0.00931,3.6941),(3485,1245,-0.009548,3.6943),(3485,1255,-0.009796,3.6945),(3485,1265,-0.010047,3.6948),(3485,1275,-0.010297,3.695),(3485,1285,-0.010548,3.6953),(3485,1295,-0.010808,3.6956),(3485,1305,-0.01107,3.6958),(3485,1315,-0.011333,3.6961),(3485,1325,-0.011595,3.6964),(3485,1335,-0.011867,3.6967),(3485,1345,-0.01214,3.697),(3485,1355,-0.012414,3.6973),(3485,1365,-0.012688,3.6977),(3485,1375,-0.01297,3.698),(3485,1385,-0.013254,3.6983),(3485,1395,-0.013539,3.6987),(3485,1405,-0.013823,3.6991),(3485,1415,-0.014116,3.6994),(3485,1425,-0.01441,3.6998),(3485,1435,-0.014704,3.7002),(3485,1445,-0.014998,3.7006),(3485,1455,-0.015302,3.701),(3485,1465,-0.015606,3.7014),(3485,1475,-0.01591,3.7018),(3485,1485,-0.016214,3.7023),(3485,1495,-0.016528,3.7027),(3485,1505,-0.016843,3.7031),(3485,1515,-0.017157,3.7036),(3485,1525,-0.017472,3.7041),(3485,1535,-0.017796,3.7046),(3485,1545,-0.018121,3.705),(3485,1555,-0.018446,3.7056),(3485,1565,-0.018772,3.7061),(3485,1575,-0.019108,3.7066),(3485,1585,-0.019444,3.7071),(3485,1595,-0.01978,3.7077),(3485,1605,-0.020117,3.7082),(3485,1615,-0.020466,3.7088),(3485,1625,-0.020814,3.7094),(3485,1635,-0.021162,3.71),(3485,1645,-0.021513,3.7106),(3485,1655,-0.021875,3.7112),(3485,1665,-0.022237,3.7118),(3485,1675,-0.022599,3.7125),(3485,1685,-0.022964,3.7131),(3485,1695,-0.023342,3.7138),(3485,1705,-0.02372,3.7144),(3485,1715,-0.024098,3.7151),(3485,1725,-0.02448,3.7158),(3485,1735,-0.024876,3.7165),(3485,1745,-0.025272,3.7173),(3485,1755,-0.025668,3.718),(3485,1765,-0.02607,3.7188),(3485,1775,-0.026487,3.7196),(3485,1785,-0.026904,3.7203),(3485,1795,-0.027321,3.7212),(3485,1805,-0.027745,3.722),(3485,1815,-0.028186,3.7228),(3485,1825,-0.028627,3.7236),(3485,1835,-0.029067,3.7245),(3485,1845,-0.029518,3.7254),(3485,1855,-0.029986,3.7263),(3485,1865,-0.030454,3.7272),(3485,1875,-0.030922,3.7282),(3485,1885,-0.031401,3.7292),(3485,1895,-0.031901,3.7301),(3485,1905,-0.0324,3.7311),(3485,1915,-0.032899,3.7322),(3485,1925,-0.033413,3.7332),(3485,1935,-0.033947,3.7343),(3485,1945,-0.034481,3.7354),(3485,1955,-0.035016,3.7365),(3485,1965,-0.035568,3.7377),(3485,1975,-0.036141,3.7388),(3485,1985,-0.036714,3.74),(3485,1995,-0.037288,3.7413),(3485,2005,-0.037883,3.7425),(3485,2015,-0.038499,3.7438),(3485,2025,-0.039115,3.7451),(3485,2035,-0.039732,3.7465),(3485,2045,-0.040373,3.7479),(3485,2055,-0.041036,3.7493),(3485,2065,-0.041699,3.7507),(3485,2075,-0.042362,3.7523),(3485,2085,-0.043054,3.7538),(3485,2095,-0.043766,3.7553),(3485,2105,-0.044479,3.757),(3485,2115,-0.045191,3.7587),(3485,2125,-0.045936,3.7604),(3485,2135,-0.0467,3.7621),(3485,2145,-0.047464,3.7639),(3485,2155,-0.048228,3.7658),(3485,2165,-0.049026,3.7677),(3485,2175,-0.049841,3.7696),(3485,2185,-0.050657,3.7717),(3485,2195,-0.051472,3.7738),(3485,2205,-0.052321,3.776),(3485,2215,-0.053185,3.7781),(3485,2225,-0.054049,3.7804),(3485,2235,-0.054912,3.7829),(3485,2245,-0.055805,3.7853),(3485,2255,-0.056709,3.7877),(3485,2265,-0.057613,3.7903),(3485,2275,-0.058517,3.7931),(3485,2285,-0.059441,3.7958),(3485,2295,-0.060371,3.7986),(3485,2305,-0.061301,3.8016),(3485,2315,-0.062231,3.8047),(3485,2325,-0.063162,3.8078),(3485,2335,-0.064093,3.811),(3485,2345,-0.065025,3.8145),(3485,2355,-0.065956,3.818),(3485,2365,-0.066856,3.8216),(3485,2375,-0.067751,3.8252),(3485,2385,-0.068646,3.8292),(3485,2395,-0.069541,3.8333),(3485,2405,-0.070352,3.8374),(3485,2415,-0.071152,3.8415),(3485,2425,-0.071953,3.8462),(3485,2435,-0.072754,3.8509),(3485,2445,-0.073387,3.8556),(3485,2455,-0.074009,3.8603),(3485,2465,-0.074631,3.8657),(3485,2475,-0.075252,3.8711),(3485,2485,-0.075582,3.8765),(3485,2495,-0.075904,3.8819),(3485,2505,-0.076226,3.8881),(3485,2515,-0.07654,3.8943),(3485,2525,-0.076395,3.9005),(3485,2535,-0.07625,3.9068),(3485,2545,-0.076104,3.9138),(3485,2555,-0.075922,3.9209),(3485,2565,-0.075086,3.928),(3485,2575,-0.074251,3.9351),(3485,2585,-0.073416,3.9431),(3485,2595,-0.072489,3.951),(3485,2605,-0.070682,3.959),(3485,2615,-0.068875,3.9671),(3485,2625,-0.067068,3.9759),(3485,2635,-0.065087,3.9847),(3485,2645,-0.061976,3.9935),(3485,2655,-0.058865,4.0025),(3485,2665,-0.055754,4.012),(3485,2675,-0.052357,4.0215),(3485,2685,-0.047595,4.031),(3485,2695,-0.042832,4.0406),(3485,2705,-0.03807,4.0505),(3485,2715,-0.032893,4.0605),(3485,2725,-0.026185,4.0704),(3485,2735,-0.019477,4.0803),(3485,2745,-0.012769,4.0901),(3485,2755,-0.005534,4.1),(3485,2765,0.003261,4.1098),(3485,2775,0.012057,4.1195),(3485,2785,0.020852,4.1287),(3485,2795,0.030233,4.1379),(3485,2805,0.041033,4.1471),(3485,2815,0.051832,4.156),(3485,2825,0.062632,4.1641),(3485,2835,0.074014,4.1721),(3485,2845,0.086568,4.1802),(3485,2855,0.099122,4.1878),(3485,2865,0.11168,4.1944),(3485,2875,0.12476,4.2009),(3485,2885,0.13875,4.2075),(3485,2895,0.15274,4.2135),(3485,2905,0.16673,4.2184),(3485,2915,0.18118,4.2233),(3485,2925,0.19629,4.2282),(3485,2935,0.21141,4.2323),(3485,2945,0.22652,4.2354),(3485,2955,0.24202,4.2385),(3485,2965,0.25798,4.2416),(3485,2975,0.27395,4.2439),(3485,2985,0.28992,4.2452),(3485,2995,0.3062,4.2465),(3485,3005,0.32281,4.2478),(3485,3015,0.33942,4.2482),(3485,3025,0.35603,4.2477),(3485,3035,0.3729,4.2472),(3485,3045,0.38999,4.2467),(3485,3055,0.40709,4.2451),(3485,3065,0.42418,4.2428),(3485,3075,0.44148,4.2405),(3485,3085,0.45895,4.2382),(3485,3095,0.47641,4.2348),(3485,3105,0.49387,4.2306),(3485,3115,0.5115,4.2265),(3485,3125,0.52923,4.2223),(3485,3135,0.54697,4.217),(3485,3145,0.56471,4.211),(3485,3155,0.58257,4.2049),(3485,3165,0.60051,4.1989),(3485,3175,0.61844,4.1916),(3485,3185,0.63638,4.1837),(3485,3195,0.65439,4.1757),(3485,3205,0.67245,4.1678),(3485,3215,0.6905,4.1583),(3485,3225,0.70855,4.1483),(3485,3235,0.72662,4.1383),(3485,3245,0.7447,4.1283),(3485,3255,0.76278,4.1167),(3485,3265,0.78085,4.1045),(3485,3275,0.79885,4.0923),(3485,3285,0.81681,4.0801),(3485,3295,0.83478,4.066),(3485,3305,0.85275,4.0514),(3485,3315,0.87049,4.0368),(3485,3325,0.88816,4.0223),(3485,3335,0.90584,4.0055),(3485,3345,0.92351,3.9883),(3485,3355,0.94072,3.9711),(3485,3365,0.95783,3.9539),(3485,3375,0.97495,3.9343),(3485,3385,0.99207,3.9143),(3485,3395,1.0084,3.8942),(3485,3405,1.0245,3.8742),(3485,3415,1.0407,3.8514),(3485,3425,1.0569,3.8283),(3485,3435,1.0718,3.8053),(3485,3445,1.0865,3.7822),(3485,3455,1.1012,3.756),(3485,3465,1.116,3.7297),(3485,3475,1.1287,3.7034),(3485,3485,1.1413,3.6771),(3485,3495,1.154,3.6476),(3485,3505,1.1666,3.6181),(3485,3515,1.1763,3.5886),(3485,3525,1.186,3.5589),(3485,3535,1.1958,3.5264),(3485,3545,1.2053,3.4938),(3485,3555,1.2112,3.4613),(3485,3565,1.2171,3.4286),(3485,3575,1.2231,3.3936),(3485,3585,1.2286,3.3587),(3485,3595,1.2299,3.3237),(3485,3605,1.2313,3.2886),(3485,3615,1.2326,3.2522),(3485,3625,1.2333,3.2159),(3485,3635,1.2296,3.1795),(3485,3645,1.2259,3.1431),(3485,3655,1.2222,3.1066),(3485,3665,1.2177,3.0701),(3485,3675,1.2092,3.0336),(3485,3685,1.2008,2.9974),(3485,3695,1.1923,2.9619),(3485,3705,1.183,2.9265),(3485,3715,1.1706,2.891),(3485,3725,1.1582,2.856),(3485,3735,1.1458,2.8221),(3485,3745,1.1327,2.7883),(3485,3755,1.1177,2.7545),(3485,3765,1.1026,2.7211),(3485,3775,1.0875,2.6889),(3485,3785,1.0721,2.6566),(3485,3795,1.0558,2.6244),(3485,3805,1.0394,2.5925),(3485,3815,1.0231,2.5615),(3485,3825,1.007,2.5304),(3485,3835,0.9912,2.4994),(3485,3845,0.97544,2.4686),(3485,3855,0.95967,2.4383),(3485,3865,0.945,2.408),(3485,3875,0.93229,2.3777),(3485,3885,0.91957,2.3479),(3485,3895,0.90686,2.3188),(3485,3905,0.89665,2.2898),(3485,3915,0.89019,2.2607),(3485,3925,0.88373,2.2337),(3485,3935,0.87727,2.2093),(3485,3945,0.87425,2.1849),(3485,3955,0.87559,2.1606),(3485,3965,0.87693,2.1423),(3485,3975,0.87827,2.1313),(3485,3985,0.87948,2.1202),(3485,3995,0.88053,2.1091),(3485,4005,0.88158,2.103516),(3485,4015,0.88263,2.1034),(3485,4025,1.185,2.1032),(3485,4035,1.5168,2.1028),(3485,4045,1.8487,2.1019),(3485,4055,2.0761,2.101),(3485,4065,2.2654,2.099),(3485,4075,2.4546,2.0909),(3485,4085,2.5346,2.0828),(3485,4095,2.5267,2.0746),(3485,4105,2.5188,2.0629),(3485,4115,2.4345,2.051),(3485,4125,2.2235,2.0392),(3485,4135,2.0125,2.0293),(3485,4145,1.8003,2.0199),(3485,4155,1.583,2.0105),(3485,4165,1.3657,2.0042),(3485,4175,1.1605,1.9998),(3485,4185,1.5545,1.9954),(3485,4195,1.9486,1.9859),(3485,4205,2.3426,1.9697),(3485,4215,2.399,1.9535),(3485,4225,2.3918,1.9371),(3485,4235,2.3847,1.9198),(3485,4245,2.3518,1.9026),(3485,4255,2.3059,1.8852),(3485,4265,2.2599,1.8655),(3485,4275,1.9865,1.8459),(3485,4285,1.4718,1.8262),(3485,4295,0.95699,1.822),(3485,4305,0.74531,1.8196),(3485,4315,1.218,1.8172),(3485,4325,1.6908,1.8064),(3485,4335,2.1105,1.7924),(3485,4345,2.1719,1.7784),(3485,4355,2.2333,1.7635),(3485,4365,2.2947,1.7476),(3485,4375,2.2965,1.7318),(3485,4385,2.2953,1.716),(3485,4395,2.2941,1.7003),(3485,4405,2.0198,1.6847),(3485,4415,1.665,1.6705),(3485,4425,1.3102,1.6631),(3485,4435,1.1589,1.6556),(3485,4445,1.1467,1.6481),(3485,4455,1.1345,1.6413),(3485,4465,1.2738,1.6344),(3485,4475,1.626,1.6275),(3485,4485,1.9782,1.6139),(3485,4495,2.2469,1.599),(3485,4505,2.2472,1.584),(3485,4515,2.2476,1.5693),(3485,4525,2.2436,1.5546),(3485,4535,2.1695,1.5399),(3485,4545,2.0954,1.526),(3485,4555,2.0213,1.5132),(3485,4565,1.554,1.5003),(3485,4575,1.0336,1.4908),(3485,4585,0.51326,1.4896),(3485,4595,0.73489,1.4883),(3485,4605,1.27,1.4853),(3485,4615,1.8051,1.468),(3485,4625,2.0814,1.4507),(3485,4635,2.1232,1.4333),(3485,4645,2.165,1.419),(3485,4655,2.1938,1.4049),(3485,4665,2.198,1.3908),(3485,4675,2.2022,1.3773),(3485,4685,2.1304,1.364),(3485,4695,1.6825,1.3507),(3485,4705,1.2346,1.3428),(3485,4715,0.78668,1.3387),(3485,4725,0.99835,1.3347),(3485,4735,1.2166,1.3289),(3485,4745,1.4349,1.3205),(3485,4755,1.6577,1.312),(3485,4765,1.8816,1.3025),(3485,4775,2.1055,1.2895),(3485,4785,2.1887,1.2764),(3485,4795,2.1906,1.2634),(3485,4805,2.1924,1.2505),(3485,4815,2.0887,1.2377),(3485,4825,1.8589,1.2249),(3485,4835,1.6292,1.216),(3485,4845,1.3966,1.2078),(3485,4855,1.1568,1.1996),(3485,4865,0.91693,1.1949),(3485,4875,0.74694,1.1917),(3485,4885,1.2125,1.1885),(3485,4895,1.6781,1.1811),(3485,4905,2.1436,1.1696),(3485,4915,2.1805,1.1581),(3485,4925,2.1806,1.1466),(3485,4935,2.1807,1.135),(3485,4945,2.1619,1.1235),(3485,4955,2.1366,1.1116),(3485,4965,2.1113,1.0978),(3485,4975,1.7591,1.084),(3485,4985,1.1545,1.0702),(3485,4995,0.54997,1.0693),(3485,5005,0.36072,1.0688),(3485,5015,0.83175,1.0683),(3485,5025,1.3028,1.0614),(3485,5035,1.7085,1.0528),(3485,5045,1.8656,1.0442),(3485,5055,2.0226,1.0339),(3485,5065,2.1751,1.0225),(3485,5075,2.1769,1.0112),(3485,5085,2.1787,0.99985),(3485,5095,2.1806,0.98861),(3485,5105,1.9072,0.97737),(3485,5115,1.5859,0.96757),(3485,5125,1.2646,0.96183),(3485,5135,1.1029,0.95608),(3485,5145,1.0187,0.95047),(3485,5155,0.93455,0.94645),(3485,5165,1.0967,0.94242),(3485,5175,1.5102,0.9384),(3485,5185,1.9237,0.92848),(3485,5195,2.2065,0.91795),(3485,5205,2.2078,0.90742),(3485,5215,2.209,0.89699),(3485,5225,2.1988,0.8866),(3485,5235,2.1172,0.8762),(3485,5245,2.0355,0.86653),(3485,5255,1.9539,0.85745),(3485,5265,1.3781,0.84836),(3485,5275,0.782,0.84264),(3485,5285,0.18586,0.84262),(3485,5295,0.58048,0.8426),(3485,5305,1.251,0.84047),(3485,5315,1.9216,0.82956),(3485,5325,2.1961,0.81865),(3485,5335,2.211,0.80776),(3485,5345,2.2259,0.7985),(3485,5355,2.2347,0.78923),(3485,5365,2.2354,0.77997),(3485,5375,2.2362,0.77088),(3485,5385,2.1092,0.76183),(3485,5395,1.5938,0.75277),(3485,5405,1.0784,0.74818),(3485,5415,0.61883,0.7459),(3485,5425,0.90815,0.74363),(3485,5435,1.1975,0.74048),(3485,5445,1.4868,0.73639),(3485,5455,1.7656,0.7323),(3485,5465,2.0431,0.72748),(3485,5475,2.3206,0.72098),(3485,5485,2.3993,0.71447),(3485,5495,2.3979,0.70799),(3485,5505,2.3966,0.70166),(3485,5515,2.3953,0.69534),(3485,5525,2.394,0.68901),(3485,5535,2.3926,0.68285),(3485,5545,2.3913,0.67669),(3485,5555,2.39,0.67053),(3485,5565,2.3887,0.66449),(3485,5575,2.3874,0.65848),(3485,5585,2.3861,0.65247),(3485,5595,2.3848,0.64655),(3485,5605,2.3835,0.64068),(3485,5615,2.3822,0.63482),(3485,5625,2.3809,0.629),(3485,5635,2.3795,0.62327),(3485,5645,2.3782,0.61753),(3485,5655,2.3769,0.61182),(3485,5665,2.3756,0.60619),(3485,5675,2.3743,0.60057),(3485,5685,2.373,0.59495),(3485,5695,2.3717,0.58944),(3485,5705,2.3704,0.58393),(3485,5715,2.369,0.57842),(3485,5725,2.3677,0.57298),(3485,5735,2.3664,0.56756),(3485,5745,2.3651,0.56214),(3485,5755,2.3638,0.55677),(3485,5765,2.3625,0.55144),(3485,5775,2.3612,0.5461),(3485,5785,2.3599,0.54081),(3485,5795,2.3586,0.53554),(3485,5805,2.3573,0.53028),(3485,5815,2.356,0.52505),(3485,5825,2.3546,0.51987),(3485,5835,2.3533,0.51469),(3485,5845,2.352,0.50952),(3485,5855,2.3507,0.50442),(3485,5865,2.3494,0.49931),(3485,5875,2.3481,0.49421),(3485,5885,2.3468,0.48916),(3485,5895,2.3455,0.48411),(3485,5905,2.3441,0.47906),(3485,5915,2.3428,0.47405),(3485,5925,2.3415,0.46906),(3485,5935,2.3402,0.46406),(3485,5945,2.3389,0.4591),(3485,5955,2.3376,0.45416),(3485,5965,2.3363,0.44923),(3485,5975,2.335,0.44431),(3485,5985,2.3337,0.43943),(3485,5995,1.7842,0.43454),(3485,6005,1.1466,0.43082),(3485,6015,0.50888,0.43022),(3485,6025,0.66135,0.42962),(3485,6035,1.1803,0.42852),(3485,6045,1.6992,0.42261),(3485,6055,2.0589,0.4167),(3485,6065,2.2625,0.41079),(3485,6075,2.4661,0.40311),(3485,6085,2.6035,0.39526),(3485,6095,2.6043,0.38742),(3485,6105,2.6052,0.37955),(3485,6115,2.606,0.37167),(3485,6125,2.6068,0.3638),(3485,6135,2.6076,0.356),(3485,6145,2.6084,0.34825),(3485,6155,2.6092,0.34051),(3485,6165,2.6099,0.33279),(3485,6175,2.6107,0.32512),(3485,6185,2.6114,0.31744),(3485,6195,2.6121,0.30979),(3485,6205,2.6128,0.30222),(3485,6215,2.6134,0.29465),(3485,6225,2.6141,0.28708),(3485,6235,2.6147,0.27952),(3485,6245,2.6154,0.27196),(3485,6255,2.616,0.2644),(3485,6265,2.6166,0.2569),(3485,6275,2.6171,0.24941),(3485,6285,2.6177,0.24192),(3485,6295,2.6182,0.23445),(3485,6305,2.6187,0.227),(3485,6315,2.6192,0.21955),(3485,6325,2.6197,0.21215),(3485,6335,2.6203,0.2048),(3485,6345,2.6207,0.19745),(3485,6355,2.6211,0.19013),(3485,6365,2.6216,0.18287),(3485,6375,2.622,0.1756),(3485,6385,2.6223,0.16834),(3485,6395,2.6227,0.16104),(3485,6405,2.6231,0.15373),(3485,6415,2.6234,0.14643),(3485,6425,2.6238,0.13918),(3485,6435,2.6241,0.13193),(3485,6445,2.6244,0.12468),(3485,6455,2.6246,0.11749),(3485,6465,2.6249,0.11032),(3485,6475,2.6251,0.10315),(3485,6485,2.6254,0.095979),(3485,6495,2.6256,0.088818),(3485,6505,2.6258,0.081657),(3485,6515,2.6259,0.07451),(3485,6525,2.6261,0.067381),(3485,6535,2.6262,0.060253),(3485,6545,2.6264,0.053119),(3485,6555,2.6265,0.045971),(3485,6565,2.6265,0.038822),(3485,6575,2.6265,0.031678),(3485,6585,2.6265,0.024589),(3485,6595,2.234,0.0175),(3485,6605,1.4081,0.010411),(3485,6615,0.58219,0.009619),(3485,6625,0.001596,0.009636),(3485,6635,0.001593,0.009653),(3485,6645,0.00159,0.009653),(3485,6655,0.001588,0.009647),(3485,6665,0.001586,0.00964),(3485,6675,0.001584,0.009634),(3485,6685,0.001581,0.009627),(3485,6695,0.001579,0.009621),(3485,6705,0.001578,0.009614),(3485,6715,0.001576,0.009608),(3485,6725,0.001574,0.009601),(3485,6735,0.001572,0.009594),(3485,6745,0.001571,0.009588),(3485,6755,0.001569,0.009581),(3485,6765,0.001568,0.009574),(3485,6775,0.001566,0.009567),(3485,6785,0.001565,0.00956),(3485,6795,0.001564,0.009553),(3485,6805,0.001562,0.009546),(3485,6815,0.001561,0.009539),(3485,6825,0.00156,0.009532),(3485,6835,0.001559,0.009525),(3485,6845,0.001558,0.009518),(3485,6855,0.001557,0.009511),(3485,6865,0.001556,0.009503),(3485,6875,0.001555,0.009496),(3485,6885,0.001555,0.009489),(3485,6895,0.001554,0.009482),(3485,6905,0.001553,0.009474),(3485,6915,0.001552,0.009467),(3485,6925,0.001552,0.009459),(3485,6935,0.001551,0.009452),(3485,6945,0.001551,0.009444),(3485,6955,0.00155,0.009436),(3485,6965,0.00155,0.009429),(3485,6975,0.001549,0.009421),(3485,6985,0.001549,0.009413),(3495,5,3e-06,3.6889),(3495,15,1e-05,3.6889),(3495,25,1.7e-05,3.6889),(3495,35,2.3e-05,3.6889),(3495,45,3e-05,3.6889),(3495,55,3.7e-05,3.6889),(3495,65,4.3e-05,3.6889),(3495,75,4.9e-05,3.6889),(3495,85,5.5e-05,3.6889),(3495,95,6.1e-05,3.6889),(3495,105,6.6e-05,3.6889),(3495,115,7.1e-05,3.6889),(3495,125,7.6e-05,3.6889),(3495,135,8.1e-05,3.6889),(3495,145,8.5e-05,3.6889),(3495,155,8.8e-05,3.6889),(3495,165,9.2e-05,3.6889),(3495,175,9.5e-05,3.6889),(3495,185,9.7e-05,3.6889),(3495,195,9.9e-05,3.6889),(3495,205,0.000101,3.6889),(3495,215,0.000102,3.6889),(3495,225,0.000102,3.6889),(3495,235,0.000101,3.6889),(3495,245,0.000101,3.6889),(3495,255,0.0001,3.6889),(3495,265,9.7e-05,3.6889),(3495,275,9.4e-05,3.6889),(3495,285,9e-05,3.6889),(3495,295,8.7e-05,3.6889),(3495,305,8e-05,3.6889),(3495,315,7.4e-05,3.6889),(3495,325,6.7e-05,3.6889),(3495,335,6e-05,3.6889),(3495,345,5e-05,3.6889),(3495,355,3.9e-05,3.6889),(3495,365,2.9e-05,3.6888),(3495,375,1.8e-05,3.6888),(3495,385,4e-06,3.6888),(3495,395,-1.1e-05,3.6888),(3495,405,-2.6e-05,3.6888),(3495,415,-4.1e-05,3.6888),(3495,425,-6.1e-05,3.6888),(3495,435,-8.1e-05,3.6888),(3495,445,-0.000101,3.6888),(3495,455,-0.000121,3.6888),(3495,465,-0.000146,3.6888),(3495,475,-0.000172,3.6888),(3495,485,-0.000198,3.6888),(3495,495,-0.000223,3.6888),(3495,505,-0.000255,3.6888),(3495,515,-0.000287,3.6888),(3495,525,-0.000319,3.6888),(3495,535,-0.000351,3.6888),(3495,545,-0.00039,3.6888),(3495,555,-0.000429,3.6888),(3495,565,-0.000467,3.6888),(3495,575,-0.000507,3.6888),(3495,585,-0.000553,3.6888),(3495,595,-0.000599,3.6888),(3495,605,-0.000645,3.6888),(3495,615,-0.000692,3.6888),(3495,625,-0.000747,3.6889),(3495,635,-0.000802,3.6889),(3495,645,-0.000856,3.6889),(3495,655,-0.000912,3.6889),(3495,665,-0.000976,3.6889),(3495,675,-0.00104,3.6889),(3495,685,-0.001103,3.6889),(3495,695,-0.001169,3.6889),(3495,705,-0.001243,3.6889),(3495,715,-0.001316,3.689),(3495,725,-0.00139,3.689),(3495,735,-0.001466,3.689),(3495,745,-0.00155,3.689),(3495,755,-0.001635,3.689),(3495,765,-0.001719,3.6891),(3495,775,-0.001806,3.6891),(3495,785,-0.001902,3.6891),(3495,795,-0.001997,3.6891),(3495,805,-0.002093,3.6892),(3495,815,-0.002192,3.6892),(3495,825,-0.002299,3.6892),(3495,835,-0.002407,3.6893),(3495,845,-0.002514,3.6893),(3495,855,-0.002626,3.6894),(3495,865,-0.002746,3.6894),(3495,875,-0.002867,3.6894),(3495,885,-0.002987,3.6895),(3495,895,-0.003112,3.6896),(3495,905,-0.003246,3.6896),(3495,915,-0.003379,3.6897),(3495,925,-0.003512,3.6897),(3495,935,-0.003652,3.6898),(3495,945,-0.003799,3.6899),(3495,955,-0.003946,3.6899),(3495,965,-0.004093,3.69),(3495,975,-0.004246,3.6901),(3495,985,-0.004407,3.6902),(3495,995,-0.004568,3.6902),(3495,1005,-0.00473,3.6903),(3495,1015,-0.004898,3.6904),(3495,1025,-0.005073,3.6905),(3495,1035,-0.005249,3.6906),(3495,1045,-0.005424,3.6907),(3495,1055,-0.005608,3.6909),(3495,1065,-0.005797,3.691),(3495,1075,-0.005987,3.6911),(3495,1085,-0.006177,3.6912),(3495,1095,-0.006375,3.6914),(3495,1105,-0.006579,3.6915),(3495,1115,-0.006783,3.6916),(3495,1125,-0.006987,3.6918),(3495,1135,-0.0072,3.6919),(3495,1145,-0.007418,3.6921),(3495,1155,-0.007636,3.6923),(3495,1165,-0.007854,3.6925),(3495,1175,-0.008081,3.6926),(3495,1185,-0.008313,3.6928),(3495,1195,-0.008544,3.693),(3495,1205,-0.008776,3.6932),(3495,1215,-0.009017,3.6934),(3495,1225,-0.009262,3.6936),(3495,1235,-0.009507,3.6938),(3495,1245,-0.009752,3.6941),(3495,1255,-0.010006,3.6943),(3495,1265,-0.010263,3.6945),(3495,1275,-0.010521,3.6948),(3495,1285,-0.010778,3.6951),(3495,1295,-0.011045,3.6953),(3495,1305,-0.011314,3.6956),(3495,1315,-0.011584,3.6959),(3495,1325,-0.011853,3.6962),(3495,1335,-0.012132,3.6965),(3495,1345,-0.012413,3.6967),(3495,1355,-0.012694,3.6971),(3495,1365,-0.012975,3.6974),(3495,1375,-0.013265,3.6977),(3495,1385,-0.013557,3.6981),(3495,1395,-0.013849,3.6984),(3495,1405,-0.014141,3.6988),(3495,1415,-0.014442,3.6991),(3495,1425,-0.014745,3.6995),(3495,1435,-0.015047,3.6999),(3495,1445,-0.015349,3.7003),(3495,1455,-0.015661,3.7007),(3495,1465,-0.015974,3.7011),(3495,1475,-0.016286,3.7015),(3495,1485,-0.016599,3.7019),(3495,1495,-0.016922,3.7024),(3495,1505,-0.017245,3.7028),(3495,1515,-0.017568,3.7033),(3495,1525,-0.017892,3.7038),(3495,1535,-0.018226,3.7042),(3495,1545,-0.01856,3.7047),(3495,1555,-0.018894,3.7052),(3495,1565,-0.019229,3.7058),(3495,1575,-0.019575,3.7063),(3495,1585,-0.019921,3.7068),(3495,1595,-0.020267,3.7073),(3495,1605,-0.020614,3.7079),(3495,1615,-0.020972,3.7085),(3495,1625,-0.021331,3.709),(3495,1635,-0.02169,3.7096),(3495,1645,-0.022051,3.7102),(3495,1655,-0.022424,3.7108),(3495,1665,-0.022797,3.7114),(3495,1675,-0.02317,3.7121),(3495,1685,-0.023546,3.7127),(3495,1695,-0.023936,3.7134),(3495,1705,-0.024326,3.7141),(3495,1715,-0.024715,3.7148),(3495,1725,-0.02511,3.7155),(3495,1735,-0.025519,3.7162),(3495,1745,-0.025928,3.7169),(3495,1755,-0.026337,3.7176),(3495,1765,-0.026752,3.7184),(3495,1775,-0.027183,3.7191),(3495,1785,-0.027614,3.7199),(3495,1795,-0.028045,3.7207),(3495,1805,-0.028484,3.7216),(3495,1815,-0.02894,3.7224),(3495,1825,-0.029397,3.7232),(3495,1835,-0.029853,3.7241),(3495,1845,-0.03032,3.725),(3495,1855,-0.030806,3.7259),(3495,1865,-0.031291,3.7268),(3495,1875,-0.031777,3.7277),(3495,1885,-0.032275,3.7287),(3495,1895,-0.032795,3.7296),(3495,1905,-0.033314,3.7306),(3495,1915,-0.033833,3.7317),(3495,1925,-0.034368,3.7327),(3495,1935,-0.034925,3.7338),(3495,1945,-0.035482,3.7349),(3495,1955,-0.036039,3.736),(3495,1965,-0.036615,3.7371),(3495,1975,-0.037215,3.7383),(3495,1985,-0.037814,3.7395),(3495,1995,-0.038414,3.7407),(3495,2005,-0.039037,3.742),(3495,2015,-0.039684,3.7432),(3495,2025,-0.04033,3.7445),(3495,2035,-0.040977,3.7459),(3495,2045,-0.041652,3.7473),(3495,2055,-0.04235,3.7486),(3495,2065,-0.043048,3.7501),(3495,2075,-0.043746,3.7516),(3495,2085,-0.044477,3.7531),(3495,2095,-0.045231,3.7547),(3495,2105,-0.045985,3.7563),(3495,2115,-0.046738,3.758),(3495,2125,-0.047529,3.7597),(3495,2135,-0.048341,3.7613),(3495,2145,-0.049154,3.7632),(3495,2155,-0.049966,3.7651),(3495,2165,-0.050819,3.7669),(3495,2175,-0.051691,3.7688),(3495,2185,-0.052564,3.7709),(3495,2195,-0.053437,3.773),(3495,2205,-0.05435,3.7751),(3495,2215,-0.055282,3.7773),(3495,2225,-0.056213,3.7796),(3495,2235,-0.057145,3.782),(3495,2245,-0.058115,3.7844),(3495,2255,-0.0591,3.7868),(3495,2265,-0.060084,3.7895),(3495,2275,-0.061068,3.7922),(3495,2285,-0.062085,3.7949),(3495,2295,-0.06311,3.7977),(3495,2305,-0.064135,3.8007),(3495,2315,-0.065161,3.8038),(3495,2325,-0.066202,3.807),(3495,2335,-0.067247,3.8101),(3495,2345,-0.068292,3.8136),(3495,2355,-0.069337,3.8172),(3495,2365,-0.070368,3.8208),(3495,2375,-0.071398,3.8243),(3495,2385,-0.072427,3.8284),(3495,2395,-0.073456,3.8325),(3495,2405,-0.074422,3.8367),(3495,2415,-0.07538,3.8408),(3495,2425,-0.076339,3.8455),(3495,2435,-0.077297,3.8502),(3495,2445,-0.078113,3.855),(3495,2455,-0.078918,3.8598),(3495,2465,-0.079723,3.8652),(3495,2475,-0.080529,3.8707),(3495,2485,-0.081067,3.8762),(3495,2495,-0.081599,3.8817),(3495,2505,-0.082131,3.888),(3495,2515,-0.082656,3.8944),(3495,2525,-0.082744,3.9007),(3495,2535,-0.082832,3.907),(3495,2545,-0.082919,3.9143),(3495,2555,-0.08297,3.9215),(3495,2565,-0.082383,3.9288),(3495,2575,-0.081795,3.9361),(3495,2585,-0.081207,3.9443),(3495,2595,-0.080527,3.9525),(3495,2605,-0.078964,3.9607),(3495,2615,-0.077401,3.969),(3495,2625,-0.075837,3.9782),(3495,2635,-0.074095,3.9873),(3495,2645,-0.071193,3.9965),(3495,2655,-0.068292,4.0057),(3495,2665,-0.06539,4.0157),(3495,2675,-0.06219,4.0256),(3495,2685,-0.05756,4.0355),(3495,2695,-0.052931,4.0455),(3495,2705,-0.048302,4.0559),(3495,2715,-0.043232,4.0663),(3495,2725,-0.036536,4.0767),(3495,2735,-0.02984,4.0871),(3495,2745,-0.023143,4.0975),(3495,2755,-0.015882,4.1078),(3495,2765,-0.00695,4.1182),(3495,2775,0.001982,4.1284),(3495,2785,0.010915,4.1381),(3495,2795,0.020471,4.1478),(3495,2805,0.031537,4.1575),(3495,2815,0.042604,4.1668),(3495,2825,0.05367,4.1753),(3495,2835,0.065348,4.1838),(3495,2845,0.078257,4.1923),(3495,2855,0.091166,4.2003),(3495,2865,0.10407,4.2072),(3495,2875,0.11753,4.2142),(3495,2885,0.13193,4.2211),(3495,2895,0.14632,4.2274),(3495,2905,0.16071,4.2326),(3495,2915,0.17557,4.2377),(3495,2925,0.1911,4.2429),(3495,2935,0.20663,4.2473),(3495,2945,0.22216,4.2506),(3495,2955,0.23808,4.254),(3495,2965,0.25447,4.2573),(3495,2975,0.27086,4.2598),(3495,2985,0.28724,4.2612),(3495,2995,0.30395,4.2627),(3495,3005,0.32097,4.2641),(3495,3015,0.338,4.2647),(3495,3025,0.35502,4.2643),(3495,3035,0.3723,4.2639),(3495,3045,0.38981,4.2635),(3495,3055,0.40731,4.2621),(3495,3065,0.42482,4.2599),(3495,3075,0.44253,4.2576),(3495,3085,0.4604,4.2554),(3495,3095,0.47828,4.2521),(3495,3105,0.49615,4.248),(3495,3115,0.51419,4.2439),(3495,3125,0.53235,4.2398),(3495,3135,0.5505,4.2345),(3495,3145,0.56866,4.2286),(3495,3155,0.58696,4.2226),(3495,3165,0.60533,4.2166),(3495,3175,0.6237,4.2094),(3495,3185,0.64207,4.2014),(3495,3195,0.66054,4.1935),(3495,3205,0.67906,4.1856),(3495,3215,0.69758,4.1762),(3495,3225,0.7161,4.1662),(3495,3235,0.73466,4.1562),(3495,3245,0.75325,4.1462),(3495,3255,0.77183,4.1345),(3495,3265,0.79041,4.1223),(3495,3275,0.80895,4.11),(3495,3285,0.82747,4.0978),(3495,3295,0.846,4.0836),(3495,3305,0.86452,4.069),(3495,3315,0.88286,4.0543),(3495,3325,0.90115,4.0396),(3495,3335,0.91945,4.0228),(3495,3345,0.93774,4.0054),(3495,3355,0.95562,3.9881),(3495,3365,0.97342,3.9708),(3495,3375,0.99122,3.9509),(3495,3385,1.009,3.9306),(3495,3395,1.0261,3.9103),(3495,3405,1.043,3.8901),(3495,3415,1.0599,3.8669),(3495,3425,1.0769,3.8435),(3495,3435,1.0925,3.82),(3495,3445,1.1081,3.7965),(3495,3455,1.1236,3.7699),(3495,3465,1.1392,3.7431),(3495,3475,1.1527,3.7162),(3495,3485,1.1662,3.6894),(3495,3495,1.1796,3.6592),(3495,3505,1.1931,3.6289),(3495,3515,1.2036,3.5986),(3495,3525,1.2141,3.5683),(3495,3535,1.2246,3.5348),(3495,3545,1.2349,3.5013),(3495,3555,1.2415,3.4678),(3495,3565,1.2481,3.4341),(3495,3575,1.2546,3.398),(3495,3585,1.2608,3.362),(3495,3595,1.2625,3.3259),(3495,3605,1.2642,3.2896),(3495,3615,1.2659,3.252),(3495,3625,1.2669,3.2144),(3495,3635,1.2632,3.1768),(3495,3645,1.2596,3.1392),(3495,3655,1.2559,3.1016),(3495,3665,1.2514,3.0639),(3495,3675,1.2426,3.0263),(3495,3685,1.2338,2.9888),(3495,3695,1.225,2.9524),(3495,3705,1.2154,2.916),(3495,3715,1.2026,2.8796),(3495,3725,1.1897,2.8436),(3495,3735,1.1769,2.8091),(3495,3745,1.1634,2.7746),(3495,3755,1.1478,2.7401),(3495,3765,1.1323,2.7062),(3495,3775,1.1167,2.6736),(3495,3785,1.1009,2.641),(3495,3795,1.0841,2.6085),(3495,3805,1.0674,2.5764),(3495,3815,1.0507,2.5455),(3495,3825,1.0342,2.5146),(3495,3835,1.0181,2.4837),(3495,3845,1.0019,2.4533),(3495,3855,0.98581,2.4238),(3495,3865,0.97071,2.3943),(3495,3875,0.95744,2.3648),(3495,3885,0.94417,2.3361),(3495,3895,0.9309,2.3087),(3495,3905,0.91984,2.2813),(3495,3915,0.91208,2.2539),(3495,3925,0.90432,2.2287),(3495,3935,0.89657,2.2065),(3495,3945,0.89169,2.1842),(3495,3955,0.89048,2.162),(3495,3965,0.88926,2.1449),(3495,3975,0.88804,2.1337),(3495,3985,0.88675,2.1226),(3495,3995,0.88538,2.1114),(3495,4005,0.88401,2.1049),(3495,4015,0.88265,2.1031),(3495,4025,1.1844,2.1012),(3495,4035,1.5158,2.0989),(3495,4045,1.8473,2.0956),(3495,4055,2.0755,2.0923),(3495,4065,2.2661,2.0881),(3495,4075,2.4568,2.0784),(3495,4085,2.5378,2.0687),(3495,4095,2.5308,2.0591),(3495,4105,2.5237,2.0465),(3495,4115,2.4398,2.0339),(3495,4125,2.2284,2.0213),(3495,4135,2.017,2.011),(3495,4145,1.8043,2.0013),(3495,4155,1.586,1.9917),(3495,4165,1.3677,1.9852),(3495,4175,1.1616,1.9807),(3495,4185,1.5581,1.9762),(3495,4195,1.9546,1.9667),(3495,4205,2.3511,1.9505),(3495,4215,2.4081,1.9344),(3495,4225,2.4013,1.918),(3495,4235,2.3944,1.9009),(3495,4245,2.3622,1.8838),(3495,4255,2.3172,1.8665),(3495,4265,2.2721,1.8469),(3495,4275,1.9973,1.8273),(3495,4285,1.4788,1.8077),(3495,4295,0.96024,1.8035),(3495,4305,0.74658,1.8011),(3495,4315,1.2214,1.7987),(3495,4325,1.6962,1.7881),(3495,4335,2.1179,1.7743),(3495,4345,2.1797,1.7604),(3495,4355,2.2414,1.7456),(3495,4365,2.3032,1.7299),(3495,4375,2.305,1.7143),(3495,4385,2.3038,1.6987),(3495,4395,2.3025,1.6831),(3495,4405,2.0271,1.6676),(3495,4415,1.6708,1.6535),(3495,4425,1.3146,1.6461),(3495,4435,1.1626,1.6387),(3495,4445,1.1503,1.6313),(3495,4455,1.138,1.6245),(3495,4465,1.2778,1.6176),(3495,4475,1.6314,1.6108),(3495,4485,1.985,1.5974),(3495,4495,2.2547,1.5825),(3495,4505,2.255,1.5677),(3495,4515,2.2553,1.5531),(3495,4525,2.2511,1.5385),(3495,4535,2.1767,1.5239),(3495,4545,2.1023,1.5102),(3495,4555,2.0279,1.4974),(3495,4565,1.5587,1.4846),(3495,4575,1.0363,1.4752),(3495,4585,0.51392,1.4741),(3495,4595,0.73729,1.4729),(3495,4605,1.2758,1.4699),(3495,4615,1.8142,1.4527),(3495,4625,2.0915,1.4355),(3495,4635,2.1322,1.4183),(3495,4645,2.1728,1.4042),(3495,4655,2.2008,1.3902),(3495,4665,2.2048,1.3763),(3495,4675,2.2087,1.3629),(3495,4685,2.1364,1.3497),(3495,4695,1.687,1.3365),(3495,4705,1.2376,1.3286),(3495,4715,0.7882,1.3246),(3495,4725,1.0006,1.3207),(3495,4735,1.2195,1.315),(3495,4745,1.4385,1.3066),(3495,4755,1.6621,1.2982),(3495,4765,1.8867,1.2888),(3495,4775,2.1114,1.2758),(3495,4785,2.1948,1.2628),(3495,4795,2.1965,1.2499),(3495,4805,2.1982,1.2371),(3495,4815,2.0942,1.2244),(3495,4825,1.8637,1.2117),(3495,4835,1.6332,1.203),(3495,4845,1.3999,1.1948),(3495,4855,1.1593,1.1867),(3495,4865,0.9186,1.182),(3495,4875,0.74799,1.1789),(3495,4885,1.2147,1.1757),(3495,4895,1.6814,1.1684),(3495,4905,2.1481,1.1569),(3495,4915,2.1851,1.1455),(3495,4925,2.1852,1.1341),(3495,4935,2.1853,1.1226),(3495,4945,2.1671,1.1111),(3495,4955,2.1426,1.0993),(3495,4965,2.118,1.0856),(3495,4975,1.7649,1.0719),(3495,4985,1.1581,1.0582),(3495,4995,0.55127,1.0573),(3495,5005,0.36107,1.0568),(3495,5015,0.83316,1.0564),(3495,5025,1.3053,1.0494),(3495,5035,1.7119,1.0409),(3495,5045,1.8693,1.0323),(3495,5055,2.0268,1.0221),(3495,5065,2.1796,1.0108),(3495,5075,2.1813,0.99946),(3495,5085,2.1831,0.9882),(3495,5095,2.1849,0.97701),(3495,5105,1.911,0.96583),(3495,5115,1.5889,0.95608),(3495,5125,1.2669,0.95037),(3495,5135,1.1048,0.94466),(3495,5145,1.0203,0.93909),(3495,5155,0.9359,0.9351),(3495,5165,1.0983,0.9311),(3495,5175,1.5125,0.92711),(3495,5185,1.9267,0.91725),(3495,5195,2.2101,0.90678),(3495,5205,2.2113,0.89631),(3495,5215,2.2125,0.88594),(3495,5225,2.2022,0.8756),(3495,5235,2.1204,0.86527),(3495,5245,2.0386,0.85565),(3495,5255,1.9568,0.84662),(3495,5265,1.3801,0.8376),(3495,5275,0.78303,0.83191),(3495,5285,0.18591,0.8319),(3495,5295,0.58134,0.83188),(3495,5305,1.2532,0.82979),(3495,5315,1.925,0.819),(3495,5325,2.1997,0.8082),(3495,5335,2.2141,0.79743),(3495,5345,2.2284,0.78826),(3495,5355,2.237,0.77908),(3495,5365,2.2376,0.76991),(3495,5375,2.2383,0.7609),(3495,5385,2.1111,0.75193),(3495,5395,1.5952,0.74296),(3495,5405,1.0793,0.73842),(3495,5415,0.61921,0.73617),(3495,5425,0.90823,0.73392),(3495,5435,1.1973,0.73082),(3495,5445,1.4863,0.7268),(3495,5455,1.765,0.72279),(3495,5465,2.0424,0.71806),(3495,5475,2.3198,0.71168),(3495,5485,2.3984,0.70529),(3495,5495,2.397,0.69893),(3495,5505,2.3956,0.69271),(3495,5515,2.3943,0.6865),(3495,5525,2.3929,0.68029),(3495,5535,2.3916,0.67424),(3495,5545,2.3902,0.66819),(3495,5555,2.3889,0.66215),(3495,5565,2.3875,0.65621),(3495,5575,2.3862,0.65031),(3495,5585,2.3848,0.64441),(3495,5595,2.3835,0.63859),(3495,5605,2.3821,0.63283),(3495,5615,2.3808,0.62707),(3495,5625,2.3794,0.62135),(3495,5635,2.3781,0.61571),(3495,5645,2.3767,0.61007),(3495,5655,2.3754,0.60446),(3495,5665,2.374,0.59893),(3495,5675,2.3727,0.5934),(3495,5685,2.3714,0.58788),(3495,5695,2.37,0.58245),(3495,5705,2.3687,0.57702),(3495,5715,2.3673,0.5716),(3495,5725,2.366,0.56625),(3495,5735,2.3647,0.56091),(3495,5745,2.3634,0.55557),(3495,5755,2.362,0.55029),(3495,5765,2.3607,0.54504),(3495,5775,2.3594,0.53978),(3495,5785,2.358,0.53456),(3495,5795,2.3567,0.52938),(3495,5805,2.3554,0.52419),(3495,5815,2.3541,0.51904),(3495,5825,2.3527,0.51393),(3495,5835,2.3514,0.50882),(3495,5845,2.3501,0.50373),(3495,5855,2.3487,0.49869),(3495,5865,2.3474,0.49366),(3495,5875,2.3461,0.48863),(3495,5885,2.3448,0.48365),(3495,5895,2.3434,0.47867),(3495,5905,2.3421,0.47369),(3495,5915,2.3408,0.46875),(3495,5925,2.3395,0.46382),(3495,5935,2.3382,0.45889),(3495,5945,2.3368,0.45399),(3495,5955,2.3355,0.44912),(3495,5965,2.3342,0.44424),(3495,5975,2.3329,0.43939),(3495,5985,2.3316,0.43456),(3495,5995,1.7826,0.42973),(3495,6005,1.1455,0.42605),(3495,6015,0.50838,0.42546),(3495,6025,0.66123,0.42487),(3495,6035,1.1805,0.42379),(3495,6045,1.6997,0.41795),(3495,6055,2.0596,0.4121),(3495,6065,2.2632,0.40625),(3495,6075,2.4669,0.39865),(3495,6085,2.6043,0.39089),(3495,6095,2.6051,0.38313),(3495,6105,2.6059,0.37535),(3495,6115,2.6067,0.36756),(3495,6125,2.6075,0.35977),(3495,6135,2.6083,0.35205),(3495,6145,2.6091,0.34439),(3495,6155,2.6098,0.33673),(3495,6165,2.6105,0.32909),(3495,6175,2.6113,0.3215),(3495,6185,2.612,0.31391),(3495,6195,2.6126,0.30634),(3495,6205,2.6133,0.29885),(3495,6215,2.6139,0.29137),(3495,6225,2.6146,0.28389),(3495,6235,2.6152,0.27641),(3495,6245,2.6158,0.26893),(3495,6255,2.6164,0.26146),(3495,6265,2.617,0.25405),(3495,6275,2.6175,0.24666),(3495,6285,2.618,0.23926),(3495,6295,2.6185,0.23187),(3495,6305,2.6191,0.22447),(3495,6315,2.6195,0.21707),(3495,6325,2.62,0.20974),(3495,6335,2.6205,0.20248),(3495,6345,2.621,0.19522),(3495,6355,2.6214,0.18798),(3495,6365,2.6218,0.18081),(3495,6375,2.6222,0.17364),(3495,6385,2.6225,0.16646),(3495,6395,2.6229,0.15925),(3495,6405,2.6233,0.15203),(3495,6415,2.6236,0.14482),(3495,6425,2.6239,0.13765),(3495,6435,2.6242,0.13048),(3495,6445,2.6245,0.12332),(3495,6455,2.6248,0.11621),(3495,6465,2.625,0.10912),(3495,6475,2.6252,0.10203),(3495,6485,2.6255,0.094945),(3495,6495,2.6257,0.087869),(3495,6505,2.6258,0.080793),(3495,6515,2.626,0.073731),(3495,6525,2.6262,0.06669),(3495,6535,2.6263,0.059648),(3495,6545,2.6264,0.052605),(3495,6555,2.6265,0.045555),(3495,6565,2.6266,0.038505),(3495,6575,2.6266,0.031456),(3495,6585,2.6267,0.024417),(3495,6595,2.2342,0.017377),(3495,6605,1.4082,0.010337),(3495,6615,0.58223,0.009569),(3495,6625,0.001597,0.009607),(3495,6635,0.001595,0.009644),(3495,6645,0.001592,0.009651),(3495,6655,0.00159,0.009644),(3495,6665,0.001588,0.009638),(3495,6675,0.001586,0.009631),(3495,6685,0.001584,0.009625),(3495,6695,0.001582,0.009619),(3495,6705,0.00158,0.009612),(3495,6715,0.001578,0.009606),(3495,6725,0.001576,0.009599),(3495,6735,0.001575,0.009593),(3495,6745,0.001573,0.009586),(3495,6755,0.001572,0.009579),(3495,6765,0.00157,0.009572),(3495,6775,0.001569,0.009566),(3495,6785,0.001568,0.009559),(3495,6795,0.001566,0.009552),(3495,6805,0.001565,0.009545),(3495,6815,0.001564,0.009538),(3495,6825,0.001563,0.009531),(3495,6835,0.001562,0.009524),(3495,6845,0.001561,0.009517),(3495,6855,0.00156,0.00951),(3495,6865,0.001559,0.009503),(3495,6875,0.001558,0.009495),(3495,6885,0.001558,0.009488),(3495,6895,0.001557,0.009481),(3495,6905,0.001556,0.009473),(3495,6915,0.001556,0.009466),(3495,6925,0.001555,0.009458),(3495,6935,0.001554,0.009451),(3495,6945,0.001554,0.009443),(3495,6955,0.001553,0.009436),(3495,6965,0.001553,0.009428),(3495,6975,0.001553,0.009421),(3495,6985,0.001552,0.009413),(3505,5,3e-06,3.6889),(3505,15,1e-05,3.6889),(3505,25,1.7e-05,3.6889),(3505,35,2.4e-05,3.6889),(3505,45,3e-05,3.6889),(3505,55,3.7e-05,3.6889),(3505,65,4.3e-05,3.6889),(3505,75,4.9e-05,3.6889),(3505,85,5.5e-05,3.6889),(3505,95,6.1e-05,3.6889),(3505,105,6.7e-05,3.6889),(3505,115,7.2e-05,3.6889),(3505,125,7.7e-05,3.6889),(3505,135,8.1e-05,3.6889),(3505,145,8.5e-05,3.6889),(3505,155,8.9e-05,3.6889),(3505,165,9.2e-05,3.6889),(3505,175,9.6e-05,3.6889),(3505,185,9.8e-05,3.6889),(3505,195,0.0001,3.6889),(3505,205,0.000101,3.6889),(3505,215,0.000103,3.6889),(3505,225,0.000103,3.6889),(3505,235,0.000102,3.6889),(3505,245,0.000102,3.6889),(3505,255,0.000101,3.6889),(3505,265,9.8e-05,3.6889),(3505,275,9.4e-05,3.6889),(3505,285,9.1e-05,3.6889),(3505,295,8.7e-05,3.6889),(3505,305,8.1e-05,3.6889),(3505,315,7.4e-05,3.6889),(3505,325,6.7e-05,3.6889),(3505,335,6.1e-05,3.6889),(3505,345,5.1e-05,3.6888),(3505,355,4e-05,3.6888),(3505,365,2.9e-05,3.6888),(3505,375,1.8e-05,3.6888),(3505,385,4e-06,3.6888),(3505,395,-1.1e-05,3.6888),(3505,405,-2.6e-05,3.6888),(3505,415,-4.1e-05,3.6888),(3505,425,-6.1e-05,3.6888),(3505,435,-8.1e-05,3.6888),(3505,445,-0.000102,3.6888),(3505,455,-0.000122,3.6888),(3505,465,-0.000148,3.6888),(3505,475,-0.000174,3.6888),(3505,485,-0.0002,3.6888),(3505,495,-0.000226,3.6888),(3505,505,-0.000258,3.6888),(3505,515,-0.00029,3.6888),(3505,525,-0.000322,3.6888),(3505,535,-0.000355,3.6888),(3505,545,-0.000394,3.6888),(3505,555,-0.000433,3.6888),(3505,565,-0.000473,3.6888),(3505,575,-0.000512,3.6888),(3505,585,-0.000559,3.6888),(3505,595,-0.000606,3.6888),(3505,605,-0.000653,3.6888),(3505,615,-0.000701,3.6888),(3505,625,-0.000756,3.6888),(3505,635,-0.000812,3.6888),(3505,645,-0.000867,3.6888),(3505,655,-0.000924,3.6888),(3505,665,-0.000988,3.6888),(3505,675,-0.001053,3.6888),(3505,685,-0.001118,3.6888),(3505,695,-0.001184,3.6889),(3505,705,-0.001259,3.6889),(3505,715,-0.001334,3.6889),(3505,725,-0.001409,3.6889),(3505,735,-0.001486,3.6889),(3505,745,-0.001571,3.6889),(3505,755,-0.001657,3.6889),(3505,765,-0.001743,3.689),(3505,775,-0.001832,3.689),(3505,785,-0.001929,3.689),(3505,795,-0.002026,3.689),(3505,805,-0.002123,3.6891),(3505,815,-0.002224,3.6891),(3505,825,-0.002333,3.6891),(3505,835,-0.002443,3.6892),(3505,845,-0.002552,3.6892),(3505,855,-0.002666,3.6892),(3505,865,-0.002789,3.6893),(3505,875,-0.002911,3.6893),(3505,885,-0.003034,3.6894),(3505,895,-0.003161,3.6894),(3505,905,-0.003298,3.6895),(3505,915,-0.003434,3.6895),(3505,925,-0.00357,3.6896),(3505,935,-0.003712,3.6896),(3505,945,-0.003862,3.6897),(3505,955,-0.004012,3.6898),(3505,965,-0.004162,3.6899),(3505,975,-0.004319,3.6899),(3505,985,-0.004483,3.69),(3505,995,-0.004648,3.6901),(3505,1005,-0.004812,3.6902),(3505,1015,-0.004985,3.6903),(3505,1025,-0.005164,3.6904),(3505,1035,-0.005343,3.6905),(3505,1045,-0.005523,3.6906),(3505,1055,-0.00571,3.6907),(3505,1065,-0.005904,3.6908),(3505,1075,-0.006098,3.6909),(3505,1085,-0.006293,3.691),(3505,1095,-0.006495,3.6912),(3505,1105,-0.006704,3.6913),(3505,1115,-0.006913,3.6914),(3505,1125,-0.007122,3.6916),(3505,1135,-0.00734,3.6917),(3505,1145,-0.007563,3.6919),(3505,1155,-0.007786,3.692),(3505,1165,-0.008009,3.6922),(3505,1175,-0.008242,3.6924),(3505,1185,-0.00848,3.6926),(3505,1195,-0.008717,3.6928),(3505,1205,-0.008955,3.693),(3505,1215,-0.009202,3.6932),(3505,1225,-0.009453,3.6934),(3505,1235,-0.009704,3.6936),(3505,1245,-0.009955,3.6938),(3505,1255,-0.010216,3.694),(3505,1265,-0.01048,3.6943),(3505,1275,-0.010744,3.6945),(3505,1285,-0.011008,3.6948),(3505,1295,-0.011282,3.695),(3505,1305,-0.011558,3.6953),(3505,1315,-0.011834,3.6956),(3505,1325,-0.012111,3.6959),(3505,1335,-0.012397,3.6962),(3505,1345,-0.012686,3.6965),(3505,1355,-0.012974,3.6968),(3505,1365,-0.013262,3.6971),(3505,1375,-0.01356,3.6974),(3505,1385,-0.01386,3.6978),(3505,1395,-0.01416,3.6981),(3505,1405,-0.014459,3.6985),(3505,1415,-0.014769,3.6988),(3505,1425,-0.015079,3.6992),(3505,1435,-0.01539,3.6996),(3505,1445,-0.0157,3.7),(3505,1455,-0.016021,3.7004),(3505,1465,-0.016342,3.7008),(3505,1475,-0.016663,3.7012),(3505,1485,-0.016984,3.7016),(3505,1495,-0.017316,3.7021),(3505,1505,-0.017648,3.7025),(3505,1515,-0.01798,3.703),(3505,1525,-0.018312,3.7034),(3505,1535,-0.018656,3.7039),(3505,1545,-0.018999,3.7044),(3505,1555,-0.019342,3.7049),(3505,1565,-0.019687,3.7054),(3505,1575,-0.020042,3.7059),(3505,1585,-0.020398,3.7064),(3505,1595,-0.020753,3.707),(3505,1605,-0.02111,3.7075),(3505,1615,-0.021479,3.7081),(3505,1625,-0.021848,3.7087),(3505,1635,-0.022217,3.7093),(3505,1645,-0.022588,3.7099),(3505,1655,-0.022973,3.7105),(3505,1665,-0.023357,3.7111),(3505,1675,-0.023741,3.7117),(3505,1685,-0.024128,3.7123),(3505,1695,-0.02453,3.713),(3505,1705,-0.024932,3.7137),(3505,1715,-0.025333,3.7143),(3505,1725,-0.025739,3.715),(3505,1735,-0.026161,3.7157),(3505,1745,-0.026583,3.7165),(3505,1755,-0.027005,3.7172),(3505,1765,-0.027433,3.718),(3505,1775,-0.027878,3.7187),(3505,1785,-0.028324,3.7195),(3505,1795,-0.028769,3.7203),(3505,1805,-0.029223,3.7211),(3505,1815,-0.029695,3.7219),(3505,1825,-0.030167,3.7227),(3505,1835,-0.03064,3.7236),(3505,1845,-0.031122,3.7245),(3505,1855,-0.031626,3.7254),(3505,1865,-0.032129,3.7263),(3505,1875,-0.032633,3.7272),(3505,1885,-0.033149,3.7282),(3505,1895,-0.033689,3.7291),(3505,1905,-0.034228,3.7301),(3505,1915,-0.034767,3.7311),(3505,1925,-0.035323,3.7322),(3505,1935,-0.035903,3.7332),(3505,1945,-0.036482,3.7343),(3505,1955,-0.037062,3.7354),(3505,1965,-0.037663,3.7365),(3505,1975,-0.038289,3.7377),(3505,1985,-0.038914,3.7388),(3505,1995,-0.03954,3.7401),(3505,2005,-0.040191,3.7413),(3505,2015,-0.040868,3.7425),(3505,2025,-0.041545,3.7438),(3505,2035,-0.042222,3.7452),(3505,2045,-0.04293,3.7466),(3505,2055,-0.043663,3.7479),(3505,2065,-0.044397,3.7494),(3505,2075,-0.045131,3.7509),(3505,2085,-0.0459,3.7524),(3505,2095,-0.046695,3.7539),(3505,2105,-0.04749,3.7555),(3505,2115,-0.048285,3.7571),(3505,2125,-0.049121,3.7588),(3505,2135,-0.049982,3.7605),(3505,2145,-0.050844,3.7623),(3505,2155,-0.051705,3.7642),(3505,2165,-0.052611,3.766),(3505,2175,-0.053541,3.7679),(3505,2185,-0.054471,3.77),(3505,2195,-0.055401,3.7721),(3505,2205,-0.05638,3.7742),(3505,2215,-0.057379,3.7763),(3505,2225,-0.058378,3.7786),(3505,2235,-0.059377,3.781),(3505,2245,-0.060425,3.7834),(3505,2255,-0.06149,3.7858),(3505,2265,-0.062555,3.7884),(3505,2275,-0.06362,3.7911),(3505,2285,-0.064728,3.7938),(3505,2295,-0.065849,3.7966),(3505,2305,-0.06697,3.7996),(3505,2315,-0.068091,3.8027),(3505,2325,-0.069243,3.8058),(3505,2335,-0.070401,3.8089),(3505,2345,-0.071559,3.8124),(3505,2355,-0.072718,3.816),(3505,2365,-0.073881,3.8196),(3505,2375,-0.075044,3.8232),(3505,2385,-0.076207,3.8273),(3505,2395,-0.077371,3.8314),(3505,2405,-0.078492,3.8355),(3505,2415,-0.079608,3.8397),(3505,2425,-0.080725,3.8444),(3505,2435,-0.081841,3.8492),(3505,2445,-0.082838,3.854),(3505,2455,-0.083827,3.8588),(3505,2465,-0.084816,3.8643),(3505,2475,-0.085805,3.8699),(3505,2485,-0.086553,3.8754),(3505,2495,-0.087295,3.881),(3505,2505,-0.088036,3.8874),(3505,2515,-0.088772,3.8938),(3505,2525,-0.089092,3.9003),(3505,2535,-0.089413,3.9067),(3505,2545,-0.089734,3.9142),(3505,2555,-0.090019,3.9216),(3505,2565,-0.089679,3.929),(3505,2575,-0.089338,3.9365),(3505,2585,-0.088998,3.9449),(3505,2595,-0.088566,3.9534),(3505,2605,-0.087246,3.9618),(3505,2615,-0.085926,3.9704),(3505,2625,-0.084606,3.9799),(3505,2635,-0.083103,3.9894),(3505,2645,-0.080411,3.9989),(3505,2655,-0.077719,4.0085),(3505,2665,-0.075027,4.0189),(3505,2675,-0.072022,4.0293),(3505,2685,-0.067526,4.0397),(3505,2695,-0.06303,4.0502),(3505,2705,-0.058534,4.0611),(3505,2715,-0.053572,4.0721),(3505,2725,-0.046887,4.083),(3505,2735,-0.040202,4.0939),(3505,2745,-0.033517,4.1049),(3505,2755,-0.02623,4.1158),(3505,2765,-0.017161,4.1268),(3505,2775,-0.008091,4.1376),(3505,2785,0.000978,4.1478),(3505,2795,0.010709,4.1581),(3505,2805,0.022042,4.1684),(3505,2815,0.033375,4.1782),(3505,2825,0.044709,4.1872),(3505,2835,0.056682,4.1962),(3505,2845,0.069946,4.2052),(3505,2855,0.08321,4.2136),(3505,2865,0.096474,4.221),(3505,2875,0.11031,4.2283),(3505,2885,0.1251,4.2356),(3505,2895,0.13989,4.2422),(3505,2905,0.15469,4.2477),(3505,2915,0.16996,4.2532),(3505,2925,0.18591,4.2587),(3505,2935,0.20186,4.2633),(3505,2945,0.21781,4.2669),(3505,2955,0.23415,4.2704),(3505,2965,0.25096,4.2739),(3505,2975,0.26776,4.2766),(3505,2985,0.28457,4.2782),(3505,2995,0.30169,4.2798),(3505,3005,0.31913,4.2815),(3505,3015,0.33657,4.2821),(3505,3025,0.35401,4.2819),(3505,3035,0.37171,4.2816),(3505,3045,0.38962,4.2813),(3505,3055,0.40754,4.28),(3505,3065,0.42546,4.2779),(3505,3075,0.44358,4.2757),(3505,3085,0.46186,4.2736),(3505,3095,0.48015,4.2704),(3505,3105,0.49843,4.2663),(3505,3115,0.51689,4.2623),(3505,3125,0.53546,4.2583),(3505,3135,0.55404,4.2531),(3505,3145,0.57261,4.2472),(3505,3155,0.59134,4.2413),(3505,3165,0.61015,4.2354),(3505,3175,0.62896,4.2282),(3505,3185,0.64777,4.2203),(3505,3195,0.66669,4.2124),(3505,3205,0.68568,4.2045),(3505,3215,0.70466,4.1951),(3505,3225,0.72365,4.1852),(3505,3235,0.74271,4.1752),(3505,3245,0.76179,4.1652),(3505,3255,0.78088,4.1535),(3505,3265,0.79997,4.1413),(3505,3275,0.81905,4.1291),(3505,3285,0.83813,4.1168),(3505,3295,0.85721,4.1026),(3505,3305,0.87629,4.0879),(3505,3315,0.89524,4.0732),(3505,3325,0.91415,4.0585),(3505,3335,0.93306,4.0415),(3505,3345,0.95197,4.0241),(3505,3355,0.97052,4.0066),(3505,3365,0.98901,3.9892),(3505,3375,1.0075,3.9691),(3505,3385,1.026,3.9486),(3505,3395,1.0438,3.9282),(3505,3405,1.0615,3.9077),(3505,3415,1.0791,3.8842),(3505,3425,1.0968,3.8604),(3505,3435,1.1133,3.8366),(3505,3445,1.1297,3.8128),(3505,3455,1.146,3.7857),(3505,3465,1.1624,3.7583),(3505,3475,1.1767,3.7309),(3505,3485,1.191,3.7036),(3505,3495,1.2053,3.6726),(3505,3505,1.2196,3.6416),(3505,3515,1.2309,3.6106),(3505,3525,1.2422,3.5794),(3505,3535,1.2535,3.5449),(3505,3545,1.2646,3.5104),(3505,3555,1.2718,3.4759),(3505,3565,1.279,3.4412),(3505,3575,1.2862,3.4038),(3505,3585,1.2929,3.3664),(3505,3595,1.295,3.3291),(3505,3605,1.2971,3.2915),(3505,3615,1.2991,3.2525),(3505,3625,1.3005,3.2134),(3505,3635,1.2969,3.1744),(3505,3645,1.2932,3.1354),(3505,3655,1.2896,3.0964),(3505,3665,1.285,3.0573),(3505,3675,1.2759,3.0183),(3505,3685,1.2669,2.9796),(3505,3695,1.2578,2.9421),(3505,3705,1.2478,2.9047),(3505,3715,1.2345,2.8672),(3505,3725,1.2212,2.8302),(3505,3735,1.2079,2.795),(3505,3745,1.194,2.7599),(3505,3755,1.178,2.7247),(3505,3765,1.162,2.6901),(3505,3775,1.146,2.6573),(3505,3785,1.1296,2.6245),(3505,3795,1.1125,2.5916),(3505,3805,1.0954,2.5594),(3505,3815,1.0783,2.5287),(3505,3825,1.0614,2.4979),(3505,3835,1.0449,2.4671),(3505,3845,1.0284,2.437),(3505,3855,1.0119,2.4082),(3505,3865,0.99642,2.3794),(3505,3875,0.98259,2.3506),(3505,3885,0.96876,2.3228),(3505,3895,0.95493,2.2966),(3505,3905,0.94302,2.2705),(3505,3915,0.93397,2.2443),(3505,3925,0.92492,2.2204),(3505,3935,0.91586,2.1995),(3505,3945,0.90914,2.1786),(3505,3955,0.90536,2.1578),(3505,3965,0.90159,2.1414),(3505,3975,0.89781,2.1302),(3505,3985,0.89403,2.119),(3505,3995,0.89024,2.1079),(3505,4005,0.88645,2.1008),(3505,4015,0.88266,2.0979),(3505,4025,1.1838,2.095),(3505,4035,1.5148,2.0915),(3505,4045,1.8458,2.0865),(3505,4055,2.075,2.0816),(3505,4065,2.2669,2.0758),(3505,4075,2.4589,2.0649),(3505,4085,2.541,2.054),(3505,4095,2.5348,2.0432),(3505,4105,2.5286,2.03),(3505,4115,2.4451,2.0167),(3505,4125,2.2333,2.0035),(3505,4135,2.0216,1.9929),(3505,4145,1.8084,1.983),(3505,4155,1.5891,1.9731),(3505,4165,1.3698,1.9664),(3505,4175,1.1628,1.9618),(3505,4185,1.5617,1.9572),(3505,4195,1.9606,1.9476),(3505,4205,2.3595,1.9315),(3505,4215,2.4172,1.9154),(3505,4225,2.4107,1.899),(3505,4235,2.4042,1.882),(3505,4245,2.3727,1.8649),(3505,4255,2.3285,1.8477),(3505,4265,2.2843,1.8282),(3505,4275,2.0082,1.8088),(3505,4285,1.4858,1.7893),(3505,4295,0.96348,1.7851),(3505,4305,0.74785,1.7827),(3505,4315,1.2248,1.7802),(3505,4325,1.7017,1.7697),(3505,4335,2.1253,1.756),(3505,4345,2.1874,1.7423),(3505,4355,2.2496,1.7276),(3505,4365,2.3117,1.7121),(3505,4375,2.3135,1.6966),(3505,4385,2.3122,1.6811),(3505,4395,2.3109,1.6656),(3505,4405,2.0344,1.6502),(3505,4415,1.6767,1.6362),(3505,4425,1.3189,1.6289),(3505,4435,1.1663,1.6216),(3505,4445,1.1539,1.6143),(3505,4455,1.1414,1.6075),(3505,4465,1.2818,1.6008),(3505,4475,1.6368,1.594),(3505,4485,1.9918,1.5806),(3505,4495,2.2625,1.5659),(3505,4505,2.2627,1.5512),(3505,4515,2.2629,1.5367),(3505,4525,2.2587,1.5222),(3505,4535,2.1839,1.5077),(3505,4545,2.1092,1.4941),(3505,4555,2.0344,1.4814),(3505,4565,1.5634,1.4688),(3505,4575,1.039,1.4595),(3505,4585,0.51458,1.4584),(3505,4595,0.7397,1.4573),(3505,4605,1.2815,1.4544),(3505,4615,1.8233,1.4373),(3505,4625,2.1015,1.4203),(3505,4635,2.1411,1.4032),(3505,4645,2.1806,1.3892),(3505,4655,2.2078,1.3754),(3505,4665,2.2115,1.3615),(3505,4675,2.2152,1.3483),(3505,4685,2.1424,1.3351),(3505,4695,1.6915,1.322),(3505,4705,1.2406,1.3142),(3505,4715,0.78973,1.3103),(3505,4725,1.0028,1.3064),(3505,4735,1.2225,1.3008),(3505,4745,1.4421,1.2925),(3505,4755,1.6665,1.2842),(3505,4765,1.8918,1.2749),(3505,4775,2.1172,1.262),(3505,4785,2.2008,1.2491),(3505,4795,2.2024,1.2363),(3505,4805,2.2041,1.2237),(3505,4815,2.0997,1.2111),(3505,4825,1.8685,1.1985),(3505,4835,1.6373,1.1899),(3505,4845,1.4032,1.1818),(3505,4855,1.1618,1.1738),(3505,4865,0.92028,1.1691),(3505,4875,0.74905,1.166),(3505,4885,1.2169,1.1629),(3505,4895,1.6847,1.1556),(3505,4905,2.1525,1.1442),(3505,4915,2.1897,1.1329),(3505,4925,2.1898,1.1215),(3505,4935,2.1899,1.1101),(3505,4945,2.1723,1.0987),(3505,4955,2.1485,1.0869),(3505,4965,2.1247,1.0733),(3505,4975,1.7706,1.0597),(3505,4985,1.1616,1.0461),(3505,4995,0.55258,1.0453),(3505,5005,0.36141,1.0448),(3505,5015,0.83457,1.0443),(3505,5025,1.3077,1.0375),(3505,5035,1.7153,1.0289),(3505,5045,1.8731,1.0204),(3505,5055,2.0309,1.0102),(3505,5065,2.184,0.99897),(3505,5075,2.1858,0.98771),(3505,5085,2.1875,0.97651),(3505,5095,2.1892,0.96538),(3505,5105,1.9147,0.95426),(3505,5115,1.5919,0.94456),(3505,5125,1.2692,0.93889),(3505,5135,1.1067,0.93322),(3505,5145,1.022,0.92769),(3505,5155,0.93726,0.92373),(3505,5165,1.0999,0.91977),(3505,5175,1.5149,0.91581),(3505,5185,1.9298,0.90601),(3505,5195,2.2136,0.8956),(3505,5205,2.2148,0.88519),(3505,5215,2.216,0.87489),(3505,5225,2.2056,0.86462),(3505,5235,2.1237,0.85435),(3505,5245,2.0417,0.84479),(3505,5255,1.9598,0.83582),(3505,5265,1.3821,0.82686),(3505,5275,0.78406,0.82122),(3505,5285,0.18597,0.82121),(3505,5295,0.5822,0.8212),(3505,5305,1.2553,0.81914),(3505,5315,1.9285,0.80846),(3505,5325,2.2034,0.79779),(3505,5335,2.2172,0.78714),(3505,5345,2.231,0.77806),(3505,5355,2.2392,0.76897),(3505,5365,2.2398,0.75989),(3505,5375,2.2403,0.75097),(3505,5385,2.113,0.74209),(3505,5395,1.5966,0.7332),(3505,5405,1.0802,0.7287),(3505,5415,0.61959,0.72648),(3505,5425,0.90832,0.72426),(3505,5435,1.1971,0.72121),(3505,5445,1.4858,0.71728),(3505,5455,1.7643,0.71334),(3505,5465,2.0417,0.7087),(3505,5475,2.319,0.70244),(3505,5485,2.3976,0.69617),(3505,5495,2.3961,0.68992),(3505,5505,2.3947,0.68383),(3505,5515,2.3933,0.67773),(3505,5525,2.3919,0.67163),(3505,5535,2.3905,0.66569),(3505,5545,2.3891,0.65976),(3505,5555,2.3877,0.65382),(3505,5565,2.3863,0.648),(3505,5575,2.3849,0.6422),(3505,5585,2.3835,0.63641),(3505,5595,2.3821,0.63069),(3505,5605,2.3807,0.62503),(3505,5615,2.3794,0.61937),(3505,5625,2.378,0.61376),(3505,5635,2.3766,0.60822),(3505,5645,2.3752,0.60268),(3505,5655,2.3738,0.59716),(3505,5665,2.3725,0.59172),(3505,5675,2.3711,0.58628),(3505,5685,2.3697,0.58085),(3505,5695,2.3684,0.57552),(3505,5705,2.367,0.57018),(3505,5715,2.3657,0.56485),(3505,5725,2.3643,0.55958),(3505,5735,2.3629,0.55433),(3505,5745,2.3616,0.54907),(3505,5755,2.3602,0.54388),(3505,5765,2.3589,0.5387),(3505,5775,2.3575,0.53352),(3505,5785,2.3562,0.52838),(3505,5795,2.3548,0.52327),(3505,5805,2.3535,0.51816),(3505,5815,2.3522,0.51308),(3505,5825,2.3508,0.50805),(3505,5835,2.3495,0.50301),(3505,5845,2.3481,0.49799),(3505,5855,2.3468,0.49302),(3505,5865,2.3455,0.48806),(3505,5875,2.3441,0.48309),(3505,5885,2.3428,0.47818),(3505,5895,2.3414,0.47327),(3505,5905,2.3401,0.46836),(3505,5915,2.3388,0.46348),(3505,5925,2.3374,0.45862),(3505,5935,2.3361,0.45375),(3505,5945,2.3348,0.44892),(3505,5955,2.3334,0.44411),(3505,5965,2.3321,0.43929),(3505,5975,2.3308,0.4345),(3505,5985,2.3295,0.42973),(3505,5995,1.781,0.42495),(3505,6005,1.1444,0.42132),(3505,6015,0.50789,0.42074),(3505,6025,0.66111,0.42017),(3505,6035,1.1806,0.4191),(3505,6045,1.7002,0.41331),(3505,6055,2.0602,0.40753),(3505,6065,2.2639,0.40175),(3505,6075,2.4677,0.39423),(3505,6085,2.6051,0.38656),(3505,6095,2.6059,0.37888),(3505,6105,2.6067,0.37118),(3505,6115,2.6075,0.36348),(3505,6125,2.6082,0.35577),(3505,6135,2.609,0.34813),(3505,6145,2.6097,0.34055),(3505,6155,2.6105,0.33296),(3505,6165,2.6112,0.32541),(3505,6175,2.6119,0.3179),(3505,6185,2.6125,0.31039),(3505,6195,2.6132,0.3029),(3505,6205,2.6138,0.29549),(3505,6215,2.6144,0.28809),(3505,6225,2.6151,0.28069),(3505,6235,2.6157,0.2733),(3505,6245,2.6162,0.2659),(3505,6255,2.6168,0.2585),(3505,6265,2.6173,0.25118),(3505,6275,2.6179,0.24386),(3505,6285,2.6184,0.23654),(3505,6295,2.6189,0.22924),(3505,6305,2.6194,0.22193),(3505,6315,2.6199,0.21462),(3505,6325,2.6203,0.20738),(3505,6335,2.6208,0.2002),(3505,6345,2.6212,0.19302),(3505,6355,2.6216,0.18586),(3505,6365,2.622,0.17877),(3505,6375,2.6224,0.17168),(3505,6385,2.6227,0.16458),(3505,6395,2.6231,0.15745),(3505,6405,2.6234,0.15032),(3505,6415,2.6237,0.1432),(3505,6425,2.6241,0.13611),(3505,6435,2.6244,0.12903),(3505,6445,2.6246,0.12194),(3505,6455,2.6249,0.11492),(3505,6465,2.6251,0.10791),(3505,6475,2.6253,0.10091),(3505,6485,2.6255,0.093908),(3505,6495,2.6258,0.086916),(3505,6505,2.6259,0.079925),(3505,6515,2.6261,0.072947),(3505,6525,2.6263,0.065988),(3505,6535,2.6264,0.059029),(3505,6545,2.6265,0.052068),(3505,6555,2.6266,0.045099),(3505,6565,2.6267,0.03813),(3505,6575,2.6268,0.031163),(3505,6585,2.6268,0.024214),(3505,6595,2.2343,0.017265),(3505,6605,1.4083,0.010316),(3505,6615,0.58227,0.00956),(3505,6625,0.001599,0.009601),(3505,6635,0.001597,0.009641),(3505,6645,0.001594,0.009648),(3505,6655,0.001592,0.009642),(3505,6665,0.00159,0.009636),(3505,6675,0.001588,0.009629),(3505,6685,0.001586,0.009623),(3505,6695,0.001584,0.009617),(3505,6705,0.001582,0.00961),(3505,6715,0.00158,0.009604),(3505,6725,0.001579,0.009598),(3505,6735,0.001577,0.009591),(3505,6745,0.001576,0.009584),(3505,6755,0.001574,0.009578),(3505,6765,0.001573,0.009571),(3505,6775,0.001571,0.009564),(3505,6785,0.00157,0.009558),(3505,6795,0.001569,0.009551),(3505,6805,0.001568,0.009544),(3505,6815,0.001567,0.009537),(3505,6825,0.001566,0.00953),(3505,6835,0.001565,0.009523),(3505,6845,0.001564,0.009516),(3505,6855,0.001563,0.009509),(3505,6865,0.001562,0.009502),(3505,6875,0.001561,0.009494),(3505,6885,0.001561,0.009487),(3505,6895,0.00156,0.00948),(3505,6905,0.001559,0.009473),(3505,6915,0.001559,0.009465),(3505,6925,0.001558,0.009458),(3505,6935,0.001558,0.00945),(3505,6945,0.001557,0.009443),(3505,6955,0.001557,0.009435),(3505,6965,0.001556,0.009428),(3505,6975,0.001556,0.00942),(3505,6985,0.001556,0.009413),(3515,5,3e-06,3.6889),(3515,15,1e-05,3.6889),(3515,25,1.7e-05,3.6889),(3515,35,2.4e-05,3.6889),(3515,45,3e-05,3.6889),(3515,55,3.7e-05,3.6889),(3515,65,4.4e-05,3.6889),(3515,75,5e-05,3.6889),(3515,85,5.6e-05,3.6889),(3515,95,6.2e-05,3.6889),(3515,105,6.7e-05,3.6889),(3515,115,7.2e-05,3.6889),(3515,125,7.7e-05,3.6889),(3515,135,8.2e-05,3.6889),(3515,145,8.6e-05,3.6889),(3515,155,9e-05,3.6889),(3515,165,9.3e-05,3.6889),(3515,175,9.7e-05,3.6889),(3515,185,9.9e-05,3.6889),(3515,195,0.000101,3.6889),(3515,205,0.000102,3.6889),(3515,215,0.000104,3.6889),(3515,225,0.000104,3.6889),(3515,235,0.000103,3.6889),(3515,245,0.000103,3.6889),(3515,255,0.000102,3.6889),(3515,265,9.9e-05,3.6889),(3515,275,9.5e-05,3.6889),(3515,285,9.2e-05,3.6889),(3515,295,8.8e-05,3.6889),(3515,305,8.2e-05,3.6889),(3515,315,7.5e-05,3.6889),(3515,325,6.8e-05,3.6888),(3515,335,6.1e-05,3.6888),(3515,345,5.1e-05,3.6888),(3515,355,4e-05,3.6888),(3515,365,2.9e-05,3.6888),(3515,375,1.9e-05,3.6888),(3515,385,4e-06,3.6888),(3515,395,-1.1e-05,3.6888),(3515,405,-2.6e-05,3.6888),(3515,415,-4.2e-05,3.6888),(3515,425,-6.2e-05,3.6888),(3515,435,-8.2e-05,3.6888),(3515,445,-0.000103,3.6888),(3515,455,-0.000123,3.6888),(3515,465,-0.000149,3.6888),(3515,475,-0.000175,3.6888),(3515,485,-0.000202,3.6888),(3515,495,-0.000228,3.6888),(3515,505,-0.000261,3.6888),(3515,515,-0.000293,3.6888),(3515,525,-0.000326,3.6888),(3515,535,-0.000359,3.6888),(3515,545,-0.000398,3.6887),(3515,555,-0.000438,3.6887),(3515,565,-0.000478,3.6887),(3515,575,-0.000518,3.6887),(3515,585,-0.000566,3.6887),(3515,595,-0.000613,3.6887),(3515,605,-0.000661,3.6887),(3515,615,-0.000709,3.6887),(3515,625,-0.000765,3.6887),(3515,635,-0.000821,3.6887),(3515,645,-0.000878,3.6888),(3515,655,-0.000935,3.6888),(3515,665,-0.001001,3.6888),(3515,675,-0.001066,3.6888),(3515,685,-0.001132,3.6888),(3515,695,-0.0012,3.6888),(3515,705,-0.001275,3.6888),(3515,715,-0.001351,3.6888),(3515,725,-0.001427,3.6888),(3515,735,-0.001506,3.6888),(3515,745,-0.001593,3.6888),(3515,755,-0.00168,3.6889),(3515,765,-0.001767,3.6889),(3515,775,-0.001857,3.6889),(3515,785,-0.001956,3.6889),(3515,795,-0.002055,3.6889),(3515,805,-0.002154,3.689),(3515,815,-0.002256,3.689),(3515,825,-0.002367,3.689),(3515,835,-0.002479,3.6891),(3515,845,-0.00259,3.6891),(3515,855,-0.002706,3.6891),(3515,865,-0.002831,3.6892),(3515,875,-0.002956,3.6892),(3515,885,-0.00308,3.6892),(3515,895,-0.003211,3.6893),(3515,905,-0.003349,3.6893),(3515,915,-0.003488,3.6894),(3515,925,-0.003627,3.6894),(3515,935,-0.003772,3.6895),(3515,945,-0.003925,3.6896),(3515,955,-0.004078,3.6896),(3515,965,-0.004231,3.6897),(3515,975,-0.004391,3.6898),(3515,985,-0.004559,3.6898),(3515,995,-0.004727,3.6899),(3515,1005,-0.004895,3.69),(3515,1015,-0.005071,3.6901),(3515,1025,-0.005254,3.6902),(3515,1035,-0.005438,3.6903),(3515,1045,-0.005621,3.6904),(3515,1055,-0.005812,3.6905),(3515,1065,-0.006011,3.6906),(3515,1075,-0.006209,3.6907),(3515,1085,-0.006408,3.6908),(3515,1095,-0.006615,3.691),(3515,1105,-0.006829,3.6911),(3515,1115,-0.007043,3.6912),(3515,1125,-0.007256,3.6914),(3515,1135,-0.007479,3.6915),(3515,1145,-0.007708,3.6917),(3515,1155,-0.007937,3.6918),(3515,1165,-0.008165,3.692),(3515,1175,-0.008404,3.6922),(3515,1185,-0.008647,3.6923),(3515,1195,-0.00889,3.6925),(3515,1205,-0.009133,3.6927),(3515,1215,-0.009387,3.6929),(3515,1225,-0.009644,3.6931),(3515,1235,-0.009901,3.6933),(3515,1245,-0.010159,3.6936),(3515,1255,-0.010426,3.6938),(3515,1265,-0.010696,3.694),(3515,1275,-0.010967,3.6943),(3515,1285,-0.011238,3.6945),(3515,1295,-0.011519,3.6948),(3515,1305,-0.011802,3.695),(3515,1315,-0.012085,3.6953),(3515,1325,-0.012369,3.6956),(3515,1335,-0.012662,3.6959),(3515,1345,-0.012958,3.6962),(3515,1355,-0.013254,3.6965),(3515,1365,-0.013549,3.6968),(3515,1375,-0.013855,3.6971),(3515,1385,-0.014163,3.6974),(3515,1395,-0.01447,3.6978),(3515,1405,-0.014778,3.6982),(3515,1415,-0.015095,3.6985),(3515,1425,-0.015414,3.6989),(3515,1435,-0.015732,3.6993),(3515,1445,-0.016051,3.6996),(3515,1455,-0.01638,3.7),(3515,1465,-0.01671,3.7004),(3515,1475,-0.017039,3.7009),(3515,1485,-0.017369,3.7013),(3515,1495,-0.01771,3.7017),(3515,1505,-0.01805,3.7021),(3515,1515,-0.018391,3.7026),(3515,1525,-0.018733,3.7031),(3515,1535,-0.019085,3.7036),(3515,1545,-0.019438,3.704),(3515,1555,-0.01979,3.7045),(3515,1565,-0.020144,3.705),(3515,1575,-0.020509,3.7056),(3515,1585,-0.020875,3.7061),(3515,1595,-0.02124,3.7066),(3515,1605,-0.021607,3.7072),(3515,1615,-0.021986,3.7077),(3515,1625,-0.022365,3.7083),(3515,1635,-0.022745,3.7089),(3515,1645,-0.023126,3.7095),(3515,1655,-0.023522,3.7101),(3515,1665,-0.023917,3.7107),(3515,1675,-0.024312,3.7113),(3515,1685,-0.02471,3.7119),(3515,1695,-0.025124,3.7126),(3515,1705,-0.025537,3.7132),(3515,1715,-0.025951,3.7139),(3515,1725,-0.026369,3.7146),(3515,1735,-0.026804,3.7153),(3515,1745,-0.027239,3.716),(3515,1755,-0.027673,3.7168),(3515,1765,-0.028115,3.7175),(3515,1775,-0.028574,3.7182),(3515,1785,-0.029034,3.719),(3515,1795,-0.029493,3.7198),(3515,1805,-0.029961,3.7206),(3515,1815,-0.030449,3.7214),(3515,1825,-0.030937,3.7222),(3515,1835,-0.031426,3.7231),(3515,1845,-0.031925,3.724),(3515,1855,-0.032446,3.7248),(3515,1865,-0.032967,3.7257),(3515,1875,-0.033488,3.7267),(3515,1885,-0.034024,3.7276),(3515,1895,-0.034583,3.7286),(3515,1905,-0.035142,3.7295),(3515,1915,-0.035701,3.7306),(3515,1925,-0.036278,3.7316),(3515,1935,-0.03688,3.7326),(3515,1945,-0.037483,3.7337),(3515,1955,-0.038085,3.7348),(3515,1965,-0.038711,3.7359),(3515,1975,-0.039363,3.737),(3515,1985,-0.040014,3.7382),(3515,1995,-0.040666,3.7394),(3515,2005,-0.041346,3.7406),(3515,2015,-0.042053,3.7418),(3515,2025,-0.04276,3.7431),(3515,2035,-0.043468,3.7445),(3515,2045,-0.044208,3.7458),(3515,2055,-0.044977,3.7471),(3515,2065,-0.045746,3.7486),(3515,2075,-0.046515,3.7501),(3515,2085,-0.047323,3.7515),(3515,2095,-0.048159,3.753),(3515,2105,-0.048996,3.7546),(3515,2115,-0.049832,3.7563),(3515,2125,-0.050714,3.7579),(3515,2135,-0.051624,3.7596),(3515,2145,-0.052533,3.7614),(3515,2155,-0.053443,3.7632),(3515,2165,-0.054404,3.7651),(3515,2175,-0.055391,3.7669),(3515,2185,-0.056378,3.7689),(3515,2195,-0.057366,3.771),(3515,2205,-0.058409,3.7731),(3515,2215,-0.059476,3.7752),(3515,2225,-0.060543,3.7775),(3515,2235,-0.06161,3.7799),(3515,2245,-0.062735,3.7822),(3515,2255,-0.06388,3.7846),(3515,2265,-0.065026,3.7872),(3515,2275,-0.066171,3.7899),(3515,2285,-0.067372,3.7926),(3515,2295,-0.068588,3.7953),(3515,2305,-0.069805,3.7984),(3515,2315,-0.071021,3.8015),(3515,2325,-0.072283,3.8046),(3515,2335,-0.073555,3.8077),(3515,2345,-0.074827,3.8111),(3515,2355,-0.076099,3.8147),(3515,2365,-0.077393,3.8183),(3515,2375,-0.07869,3.8219),(3515,2385,-0.079988,3.8259),(3515,2395,-0.081286,3.8301),(3515,2405,-0.082562,3.8342),(3515,2415,-0.083836,3.8384),(3515,2425,-0.085111,3.8431),(3515,2435,-0.086385,3.848),(3515,2445,-0.087564,3.8528),(3515,2455,-0.088737,3.8576),(3515,2465,-0.089909,3.8632),(3515,2475,-0.091082,3.8688),(3515,2485,-0.092039,3.8744),(3515,2495,-0.09299,3.88),(3515,2505,-0.093942,3.8865),(3515,2515,-0.094887,3.8931),(3515,2525,-0.095441,3.8996),(3515,2535,-0.095995,3.9062),(3515,2545,-0.096549,3.9137),(3515,2555,-0.097068,3.9213),(3515,2565,-0.096975,3.9289),(3515,2575,-0.096882,3.9365),(3515,2585,-0.096789,3.9452),(3515,2595,-0.096604,3.9539),(3515,2605,-0.095527,3.9627),(3515,2615,-0.094451,3.9715),(3515,2625,-0.093375,3.9813),(3515,2635,-0.09211,3.9912),(3515,2645,-0.089628,4.001),(3515,2655,-0.087145,4.011),(3515,2665,-0.084663,4.0219),(3515,2675,-0.081855,4.0328),(3515,2685,-0.077492,4.0436),(3515,2695,-0.073129,4.0546),(3515,2705,-0.068766,4.0662),(3515,2715,-0.063911,4.0777),(3515,2725,-0.057238,4.0892),(3515,2735,-0.050565,4.1008),(3515,2745,-0.043891,4.1124),(3515,2755,-0.036578,4.124),(3515,2765,-0.027372,4.1356),(3515,2775,-0.018166,4.147),(3515,2785,-0.008959,4.1578),(3515,2795,0.000946,4.1687),(3515,2805,0.012547,4.1796),(3515,2815,0.024147,4.1901),(3515,2825,0.035747,4.1996),(3515,2835,0.048017,4.2091),(3515,2845,0.061635,4.2186),(3515,2855,0.075254,4.2275),(3515,2865,0.088873,4.2352),(3515,2875,0.10308,4.2429),(3515,2885,0.11827,4.2507),(3515,2895,0.13347,4.2576),(3515,2905,0.14866,4.2634),(3515,2915,0.16434,4.2692),(3515,2925,0.18071,4.2749),(3515,2935,0.19709,4.2798),(3515,2945,0.21346,4.2836),(3515,2955,0.23021,4.2874),(3515,2965,0.24744,4.2911),(3515,2975,0.26467,4.294),(3515,2985,0.2819,4.2958),(3515,2995,0.29944,4.2975),(3515,3005,0.31729,4.2993),(3515,3015,0.33515,4.3001),(3515,3025,0.35301,4.3),(3515,3035,0.37111,4.2998),(3515,3045,0.38944,4.2997),(3515,3055,0.40777,4.2985),(3515,3065,0.42609,4.2964),(3515,3075,0.44463,4.2944),(3515,3085,0.46332,4.2923),(3515,3095,0.48202,4.2892),(3515,3105,0.50071,4.2852),(3515,3115,0.51959,4.2813),(3515,3125,0.53858,4.2774),(3515,3135,0.55757,4.2722),(3515,3145,0.57657,4.2664),(3515,3155,0.59572,4.2605),(3515,3165,0.61497,4.2547),(3515,3175,0.63422,4.2475),(3515,3185,0.65346,4.2397),(3515,3195,0.67285,4.2319),(3515,3205,0.6923,4.224),(3515,3215,0.71175,4.2147),(3515,3225,0.73119,4.2048),(3515,3235,0.75075,4.1948),(3515,3245,0.77034,4.1849),(3515,3255,0.78993,4.1732),(3515,3265,0.80952,4.161),(3515,3275,0.82915,4.1488),(3515,3285,0.84879,4.1366),(3515,3295,0.86843,4.1224),(3515,3305,0.88806,4.1076),(3515,3315,0.90761,4.0929),(3515,3325,0.92714,4.0781),(3515,3335,0.94667,4.0611),(3515,3345,0.9662,4.0436),(3515,3355,0.98542,4.026),(3515,3365,1.0046,4.0085),(3515,3375,1.0238,3.9883),(3515,3385,1.0429,3.9676),(3515,3395,1.0615,3.947),(3515,3405,1.0799,3.9263),(3515,3415,1.0984,3.9025),(3515,3425,1.1168,3.8784),(3515,3435,1.1341,3.8543),(3515,3445,1.1512,3.8302),(3515,3455,1.1684,3.8025),(3515,3465,1.1856,3.7746),(3515,3475,1.2008,3.7467),(3515,3485,1.2159,3.7189),(3515,3495,1.231,3.6871),(3515,3505,1.2461,3.6553),(3515,3515,1.2582,3.6235),(3515,3525,1.2702,3.5916),(3515,3535,1.2823,3.556),(3515,3545,1.2942,3.5204),(3515,3555,1.302,3.4848),(3515,3565,1.3099,3.449),(3515,3575,1.3177,3.4103),(3515,3585,1.3251,3.3715),(3515,3595,1.3275,3.3328),(3515,3605,1.33,3.2939),(3515,3615,1.3324,3.2533),(3515,3625,1.3341,3.2127),(3515,3635,1.3305,3.1721),(3515,3645,1.3269,3.1315),(3515,3655,1.3232,3.0911),(3515,3665,1.3187,3.0506),(3515,3675,1.3093,3.0101),(3515,3685,1.2999,2.9699),(3515,3695,1.2905,2.9314),(3515,3705,1.2803,2.8928),(3515,3715,1.2665,2.8542),(3515,3725,1.2528,2.8162),(3515,3735,1.239,2.7804),(3515,3745,1.2246,2.7445),(3515,3755,1.2081,2.7086),(3515,3765,1.1916,2.6735),(3515,3775,1.1752,2.6404),(3515,3785,1.1584,2.6073),(3515,3795,1.1409,2.5742),(3515,3805,1.1234,2.5419),(3515,3815,1.1059,2.5113),(3515,3825,1.0886,2.4807),(3515,3835,1.0718,2.4501),(3515,3845,1.0549,2.4204),(3515,3855,1.0381,2.3921),(3515,3865,1.0221,2.3639),(3515,3875,1.0077,2.3357),(3515,3885,0.99336,2.3087),(3515,3895,0.97897,2.2835),(3515,3905,0.96621,2.2583),(3515,3915,0.95586,2.2331),(3515,3925,0.94551,2.2102),(3515,3935,0.93516,2.1903),(3515,3945,0.92658,2.1704),(3515,3955,0.92025,2.1505),(3515,3965,0.91391,2.1346),(3515,3975,0.90758,2.1234),(3515,3985,0.90131,2.1123),(3515,3995,0.8951,2.1012),(3515,4005,0.88889,2.0938),(3515,4015,0.88267,2.0902),(3515,4025,1.1832,2.0866),(3515,4035,1.5138,2.0821),(3515,4045,1.8444,2.0759),(3515,4055,2.0744,2.0697),(3515,4065,2.2677,2.0627),(3515,4075,2.461,2.0508),(3515,4085,2.5442,2.039),(3515,4095,2.5388,2.0271),(3515,4105,2.5335,2.0134),(3515,4115,2.4503,1.9996),(3515,4125,2.2382,1.9857),(3515,4135,2.0261,1.9748),(3515,4145,1.8124,1.9647),(3515,4155,1.5921,1.9545),(3515,4165,1.3719,1.9477),(3515,4175,1.1639,1.943),(3515,4185,1.5653,1.9383),(3515,4195,1.9666,1.9286),(3515,4205,2.368,1.9125),(3515,4215,2.4263,1.8964),(3515,4225,2.4201,1.88),(3515,4235,2.4139,1.8631),(3515,4245,2.3831,1.8461),(3515,4255,2.3398,1.8289),(3515,4265,2.2965,1.8096),(3515,4275,2.019,1.7902),(3515,4285,1.4928,1.7709),(3515,4295,0.96673,1.7667),(3515,4305,0.74913,1.7642),(3515,4315,1.2282,1.7617),(3515,4325,1.7072,1.7513),(3515,4335,2.1326,1.7377),(3515,4345,2.1952,1.7241),(3515,4355,2.2577,1.7096),(3515,4365,2.3202,1.6942),(3515,4375,2.322,1.6788),(3515,4385,2.3207,1.6634),(3515,4395,2.3194,1.648),(3515,4405,2.0417,1.6327),(3515,4415,1.6825,1.6188),(3515,4425,1.3233,1.6116),(3515,4435,1.17,1.6044),(3515,4445,1.1574,1.5972),(3515,4455,1.1449,1.5905),(3515,4465,1.2857,1.5838),(3515,4475,1.6421,1.5771),(3515,4485,1.9985,1.5638),(3515,4495,2.2703,1.5493),(3515,4505,2.2704,1.5347),(3515,4515,2.2706,1.5202),(3515,4525,2.2663,1.5058),(3515,4535,2.1912,1.4915),(3515,4545,2.1161,1.4779),(3515,4555,2.041,1.4653),(3515,4565,1.5681,1.4527),(3515,4575,1.0417,1.4435),(3515,4585,0.51524,1.4425),(3515,4595,0.7421,1.4415),(3515,4605,1.2872,1.4387),(3515,4615,1.8324,1.4218),(3515,4625,2.1116,1.4049),(3515,4635,2.15,1.388),(3515,4645,2.1884,1.3741),(3515,4655,2.2148,1.3604),(3515,4665,2.2183,1.3467),(3515,4675,2.2217,1.3335),(3515,4685,2.1485,1.3205),(3515,4695,1.6961,1.3075),(3515,4705,1.2437,1.2998),(3515,4715,0.79126,1.2959),(3515,4725,1.005,1.2921),(3515,4735,1.2254,1.2865),(3515,4745,1.4458,1.2783),(3515,4755,1.6708,1.2701),(3515,4765,1.8969,1.2609),(3515,4775,2.123,1.2481),(3515,4785,2.2069,1.2354),(3515,4795,2.2084,1.2227),(3515,4805,2.2099,1.2102),(3515,4815,2.1051,1.1978),(3515,4825,1.8732,1.1853),(3515,4835,1.6413,1.1768),(3515,4845,1.4065,1.1688),(3515,4855,1.1642,1.1609),(3515,4865,0.92196,1.1563),(3515,4875,0.75011,1.1532),(3515,4885,1.2191,1.1501),(3515,4895,1.688,1.1428),(3515,4905,2.157,1.1316),(3515,4915,2.1942,1.1203),(3515,4925,2.1944,1.109),(3515,4935,2.1945,1.0976),(3515,4945,2.1774,1.0862),(3515,4955,2.1544,1.0745),(3515,4965,2.1314,1.061),(3515,4975,1.7764,1.0475),(3515,4985,1.1651,1.0339),(3515,4995,0.55388,1.0332),(3515,5005,0.36175,1.0327),(3515,5015,0.83597,1.0323),(3515,5025,1.3102,1.0254),(3515,5035,1.7187,1.017),(3515,5045,1.8768,1.0085),(3515,5055,2.035,0.99835),(3515,5065,2.1885,0.98715),(3515,5075,2.1902,0.97595),(3515,5085,2.1919,0.96481),(3515,5095,2.1936,0.95374),(3515,5105,1.9184,0.94267),(3515,5115,1.595,0.93303),(3515,5125,1.2715,0.9274),(3515,5135,1.1086,0.92177),(3515,5145,1.0236,0.91628),(3515,5155,0.93861,0.91235),(3515,5165,1.1015,0.90843),(3515,5175,1.5172,0.9045),(3515,5185,1.9329,0.89476),(3515,5195,2.2172,0.88442),(3515,5205,2.2183,0.87408),(3515,5215,2.2194,0.86384),(3515,5225,2.209,0.85364),(3515,5235,2.1269,0.84344),(3515,5245,2.0448,0.83395),(3515,5255,1.9627,0.82504),(3515,5265,1.3842,0.81613),(3515,5275,0.78509,0.81054),(3515,5285,0.18603,0.81054),(3515,5295,0.58306,0.81054),(3515,5305,1.2575,0.8085),(3515,5315,1.9319,0.79795),(3515,5325,2.207,0.7874),(3515,5335,2.2203,0.77687),(3515,5345,2.2336,0.76788),(3515,5355,2.2414,0.75888),(3515,5365,2.2419,0.74989),(3515,5375,2.2424,0.74106),(3515,5385,2.1149,0.73227),(3515,5395,1.598,0.72347),(3515,5405,1.0811,0.71902),(3515,5415,0.61996,0.71683),(3515,5425,0.90841,0.71463),(3515,5435,1.1969,0.71164),(3515,5445,1.4853,0.70778),(3515,5455,1.7637,0.70393),(3515,5465,2.041,0.69938),(3515,5475,2.3182,0.69323),(3515,5485,2.3967,0.68708),(3515,5495,2.3952,0.68096),(3515,5505,2.3937,0.67497),(3515,5515,2.3923,0.66899),(3515,5525,2.3908,0.66301),(3515,5535,2.3894,0.65718),(3515,5545,2.388,0.65135),(3515,5555,2.3865,0.64553),(3515,5565,2.3851,0.63981),(3515,5575,2.3837,0.63413),(3515,5585,2.3822,0.62844),(3515,5595,2.3808,0.62283),(3515,5605,2.3794,0.61727),(3515,5615,2.378,0.61171),(3515,5625,2.3765,0.6062),(3515,5635,2.3751,0.60076),(3515,5645,2.3737,0.59531),(3515,5655,2.3723,0.58989),(3515,5665,2.3709,0.58454),(3515,5675,2.3695,0.5792),(3515,5685,2.3681,0.57386),(3515,5695,2.3667,0.56861),(3515,5705,2.3653,0.56337),(3515,5715,2.364,0.55813),(3515,5725,2.3626,0.55295),(3515,5735,2.3612,0.54778),(3515,5745,2.3598,0.54261),(3515,5755,2.3584,0.53749),(3515,5765,2.3571,0.5324),(3515,5775,2.3557,0.5273),(3515,5785,2.3543,0.52223),(3515,5795,2.353,0.5172),(3515,5805,2.3516,0.51217),(3515,5815,2.3503,0.50716),(3515,5825,2.3489,0.50219),(3515,5835,2.3475,0.49723),(3515,5845,2.3462,0.49228),(3515,5855,2.3448,0.48738),(3515,5865,2.3435,0.48249),(3515,5875,2.3421,0.47759),(3515,5885,2.3408,0.47274),(3515,5895,2.3394,0.4679),(3515,5905,2.3381,0.46305),(3515,5915,2.3367,0.45824),(3515,5925,2.3354,0.45344),(3515,5935,2.334,0.44864),(3515,5945,2.3327,0.44387),(3515,5955,2.3313,0.43912),(3515,5965,2.33,0.43436),(3515,5975,2.3287,0.42963),(3515,5985,2.3274,0.42491),(3515,5995,1.7794,0.4202),(3515,6005,1.1434,0.41662),(3515,6015,0.50739,0.41605),(3515,6025,0.66099,0.41548),(3515,6035,1.1808,0.41442),(3515,6045,1.7006,0.4087),(3515,6055,2.0609,0.40298),(3515,6065,2.2647,0.39726),(3515,6075,2.4684,0.38983),(3515,6085,2.6059,0.38224),(3515,6095,2.6067,0.37464),(3515,6105,2.6074,0.36703),(3515,6115,2.6082,0.3594),(3515,6125,2.6089,0.35178),(3515,6135,2.6097,0.34422),(3515,6145,2.6104,0.33672),(3515,6155,2.6111,0.32921),(3515,6165,2.6118,0.32174),(3515,6175,2.6125,0.3143),(3515,6185,2.6131,0.30687),(3515,6195,2.6137,0.29946),(3515,6205,2.6144,0.29214),(3515,6215,2.615,0.28482),(3515,6225,2.6155,0.27749),(3515,6235,2.6161,0.27018),(3515,6245,2.6167,0.26286),(3515,6255,2.6172,0.25554),(3515,6265,2.6177,0.24829),(3515,6275,2.6182,0.24104),(3515,6285,2.6188,0.23379),(3515,6295,2.6193,0.22658),(3515,6305,2.6198,0.21939),(3515,6315,2.6202,0.21221),(3515,6325,2.6206,0.20506),(3515,6335,2.621,0.19794),(3515,6345,2.6214,0.19083),(3515,6355,2.6218,0.18375),(3515,6365,2.6222,0.17674),(3515,6375,2.6226,0.16973),(3515,6385,2.6229,0.16271),(3515,6395,2.6233,0.15566),(3515,6405,2.6236,0.14862),(3515,6415,2.6239,0.14157),(3515,6425,2.6242,0.13457),(3515,6435,2.6245,0.12757),(3515,6445,2.6247,0.12056),(3515,6455,2.625,0.11362),(3515,6465,2.6252,0.1067),(3515,6475,2.6254,0.099782),(3515,6485,2.6256,0.092869),(3515,6495,2.6258,0.085963),(3515,6505,2.626,0.079056),(3515,6515,2.6262,0.072161),(3515,6525,2.6263,0.065281),(3515,6535,2.6264,0.058402),(3515,6545,2.6265,0.051518),(3515,6555,2.6266,0.044621),(3515,6565,2.6268,0.037723),(3515,6575,2.6269,0.03083),(3515,6585,2.627,0.023994),(3515,6595,2.2345,0.017159),(3515,6605,1.4084,0.010323),(3515,6615,0.58231,0.009574),(3515,6625,0.001601,0.009608),(3515,6635,0.001599,0.009641),(3515,6645,0.001597,0.009646),(3515,6655,0.001594,0.00964),(3515,6665,0.001592,0.009634),(3515,6675,0.00159,0.009627),(3515,6685,0.001588,0.009621),(3515,6695,0.001586,0.009615),(3515,6705,0.001584,0.009609),(3515,6715,0.001583,0.009602),(3515,6725,0.001581,0.009596),(3515,6735,0.001579,0.00959),(3515,6745,0.001578,0.009583),(3515,6755,0.001577,0.009576),(3515,6765,0.001575,0.00957),(3515,6775,0.001574,0.009563),(3515,6785,0.001573,0.009556),(3515,6795,0.001572,0.00955),(3515,6805,0.001571,0.009543),(3515,6815,0.00157,0.009536),(3515,6825,0.001569,0.009529),(3515,6835,0.001568,0.009522),(3515,6845,0.001567,0.009515),(3515,6855,0.001566,0.009508),(3515,6865,0.001565,0.009501),(3515,6875,0.001564,0.009494),(3515,6885,0.001564,0.009487),(3515,6895,0.001563,0.009479),(3515,6905,0.001563,0.009472),(3515,6915,0.001562,0.009465),(3515,6925,0.001561,0.009457),(3515,6935,0.001561,0.00945),(3515,6945,0.001561,0.009442),(3515,6955,0.00156,0.009435),(3515,6965,0.00156,0.009428),(3515,6975,0.001559,0.00942),(3515,6985,0.001559,0.009412),(3525,5,4e-06,3.6889),(3525,15,1.1e-05,3.6889),(3525,25,1.7e-05,3.6889),(3525,35,2.4e-05,3.6889),(3525,45,3.1e-05,3.6889),(3525,55,3.8e-05,3.6889),(3525,65,4.4e-05,3.6889),(3525,75,5.1e-05,3.6889),(3525,85,5.7e-05,3.6889),(3525,95,6.3e-05,3.6889),(3525,105,6.9e-05,3.6889),(3525,115,7.4e-05,3.6889),(3525,125,7.9e-05,3.6889),(3525,135,8.4e-05,3.6889),(3525,145,8.8e-05,3.6889),(3525,155,9.2e-05,3.6889),(3525,165,9.5e-05,3.6889),(3525,175,9.9e-05,3.6889),(3525,185,0.000101,3.6889),(3525,195,0.000103,3.6889),(3525,205,0.000105,3.6889),(3525,215,0.000107,3.6889),(3525,225,0.000107,3.6889),(3525,235,0.000106,3.6889),(3525,245,0.000105,3.6889),(3525,255,0.000105,3.6889),(3525,265,0.000102,3.6889),(3525,275,9.8e-05,3.6889),(3525,285,9.5e-05,3.6889),(3525,295,9.1e-05,3.6889),(3525,305,8.5e-05,3.6889),(3525,315,7.8e-05,3.6888),(3525,325,7.1e-05,3.6888),(3525,335,6.5e-05,3.6888),(3525,345,5.4e-05,3.6888),(3525,355,4.4e-05,3.6888),(3525,365,3.3e-05,3.6888),(3525,375,2.2e-05,3.6888),(3525,385,7e-06,3.6888),(3525,395,-8e-06,3.6888),(3525,405,-2.3e-05,3.6888),(3525,415,-3.8e-05,3.6888),(3525,425,-5.8e-05,3.6888),(3525,435,-7.9e-05,3.6888),(3525,445,-0.0001,3.6888),(3525,455,-0.00012,3.6888),(3525,465,-0.000146,3.6888),(3525,475,-0.000173,3.6887),(3525,485,-0.000199,3.6887),(3525,495,-0.000225,3.6887),(3525,505,-0.000258,3.6887),(3525,515,-0.000291,3.6887),(3525,525,-0.000324,3.6887),(3525,535,-0.000357,3.6887),(3525,545,-0.000397,3.6887),(3525,555,-0.000437,3.6887),(3525,565,-0.000477,3.6887),(3525,575,-0.000518,3.6887),(3525,585,-0.000566,3.6887),(3525,595,-0.000614,3.6887),(3525,605,-0.000662,3.6887),(3525,615,-0.000711,3.6887),(3525,625,-0.000768,3.6887),(3525,635,-0.000824,3.6887),(3525,645,-0.000881,3.6887),(3525,655,-0.00094,3.6887),(3525,665,-0.001006,3.6887),(3525,675,-0.001072,3.6887),(3525,685,-0.001139,3.6887),(3525,695,-0.001207,3.6887),(3525,705,-0.001284,3.6887),(3525,715,-0.001361,3.6887),(3525,725,-0.001438,3.6887),(3525,735,-0.001517,3.6887),(3525,745,-0.001605,3.6888),(3525,755,-0.001694,3.6888),(3525,765,-0.001782,3.6888),(3525,775,-0.001873,3.6888),(3525,785,-0.001974,3.6888),(3525,795,-0.002074,3.6888),(3525,805,-0.002174,3.6889),(3525,815,-0.002279,3.6889),(3525,825,-0.002392,3.6889),(3525,835,-0.002505,3.6889),(3525,845,-0.002618,3.689),(3525,855,-0.002736,3.689),(3525,865,-0.002863,3.689),(3525,875,-0.00299,3.6891),(3525,885,-0.003117,3.6891),(3525,895,-0.003249,3.6892),(3525,905,-0.003391,3.6892),(3525,915,-0.003532,3.6892),(3525,925,-0.003673,3.6893),(3525,935,-0.003821,3.6894),(3525,945,-0.003977,3.6894),(3525,955,-0.004133,3.6895),(3525,965,-0.004289,3.6895),(3525,975,-0.004452,3.6896),(3525,985,-0.004624,3.6897),(3525,995,-0.004795,3.6897),(3525,1005,-0.004966,3.6898),(3525,1015,-0.005146,3.6899),(3525,1025,-0.005333,3.69),(3525,1035,-0.00552,3.6901),(3525,1045,-0.005707,3.6902),(3525,1055,-0.005903,3.6903),(3525,1065,-0.006106,3.6904),(3525,1075,-0.006309,3.6905),(3525,1085,-0.006511,3.6906),(3525,1095,-0.006724,3.6907),(3525,1105,-0.006942,3.6909),(3525,1115,-0.007161,3.691),(3525,1125,-0.007379,3.6911),(3525,1135,-0.007607,3.6913),(3525,1145,-0.007841,3.6914),(3525,1155,-0.008075,3.6916),(3525,1165,-0.008309,3.6918),(3525,1175,-0.008553,3.6919),(3525,1185,-0.008802,3.6921),(3525,1195,-0.009051,3.6923),(3525,1205,-0.0093,3.6925),(3525,1215,-0.009559,3.6927),(3525,1225,-0.009823,3.6929),(3525,1235,-0.010087,3.6931),(3525,1245,-0.01035,3.6933),(3525,1255,-0.010624,3.6935),(3525,1265,-0.010901,3.6937),(3525,1275,-0.011179,3.694),(3525,1285,-0.011456,3.6942),(3525,1295,-0.011744,3.6945),(3525,1305,-0.012034,3.6947),(3525,1315,-0.012325,3.695),(3525,1325,-0.012615,3.6953),(3525,1335,-0.012916,3.6956),(3525,1345,-0.01322,3.6959),(3525,1355,-0.013523,3.6962),(3525,1365,-0.013826,3.6965),(3525,1375,-0.014139,3.6968),(3525,1385,-0.014455,3.6971),(3525,1395,-0.01477,3.6975),(3525,1405,-0.015085,3.6978),(3525,1415,-0.015411,3.6982),(3525,1425,-0.015737,3.6985),(3525,1435,-0.016064,3.6989),(3525,1445,-0.016391,3.6993),(3525,1455,-0.016728,3.6997),(3525,1465,-0.017066,3.7001),(3525,1475,-0.017404,3.7005),(3525,1485,-0.017742,3.701),(3525,1495,-0.018091,3.7014),(3525,1505,-0.018441,3.7018),(3525,1515,-0.018791,3.7023),(3525,1525,-0.01914,3.7027),(3525,1535,-0.019502,3.7032),(3525,1545,-0.019864,3.7037),(3525,1555,-0.020225,3.7042),(3525,1565,-0.020588,3.7047),(3525,1575,-0.020963,3.7052),(3525,1585,-0.021337,3.7057),(3525,1595,-0.021712,3.7062),(3525,1605,-0.022088,3.7068),(3525,1615,-0.022478,3.7073),(3525,1625,-0.022867,3.7079),(3525,1635,-0.023256,3.7085),(3525,1645,-0.023648,3.7091),(3525,1655,-0.024053,3.7097),(3525,1665,-0.024459,3.7103),(3525,1675,-0.024865,3.7109),(3525,1685,-0.025274,3.7115),(3525,1695,-0.025698,3.7122),(3525,1705,-0.026123,3.7128),(3525,1715,-0.026548,3.7135),(3525,1725,-0.026977,3.7142),(3525,1735,-0.027424,3.7149),(3525,1745,-0.027871,3.7156),(3525,1755,-0.028318,3.7163),(3525,1765,-0.028772,3.7171),(3525,1775,-0.029245,3.7178),(3525,1785,-0.029718,3.7185),(3525,1795,-0.03019,3.7193),(3525,1805,-0.030672,3.7201),(3525,1815,-0.031175,3.7209),(3525,1825,-0.031678,3.7217),(3525,1835,-0.032181,3.7226),(3525,1845,-0.032695,3.7235),(3525,1855,-0.033233,3.7243),(3525,1865,-0.033771,3.7252),(3525,1875,-0.034308,3.7261),(3525,1885,-0.034861,3.7271),(3525,1895,-0.035439,3.728),(3525,1905,-0.036017,3.729),(3525,1915,-0.036595,3.73),(3525,1925,-0.037192,3.731),(3525,1935,-0.037816,3.732),(3525,1945,-0.03844,3.733),(3525,1955,-0.039064,3.7341),(3525,1965,-0.039712,3.7352),(3525,1975,-0.040389,3.7364),(3525,1985,-0.041066,3.7375),(3525,1995,-0.041742,3.7387),(3525,2005,-0.042449,3.7399),(3525,2015,-0.043185,3.7411),(3525,2025,-0.043921,3.7424),(3525,2035,-0.044657,3.7437),(3525,2045,-0.04543,3.745),(3525,2055,-0.046232,3.7464),(3525,2065,-0.047035,3.7478),(3525,2075,-0.047838,3.7493),(3525,2085,-0.048683,3.7507),(3525,2095,-0.04956,3.7522),(3525,2105,-0.050436,3.7538),(3525,2115,-0.051312,3.7554),(3525,2125,-0.052239,3.757),(3525,2135,-0.053196,3.7587),(3525,2145,-0.054153,3.7604),(3525,2155,-0.05511,3.7623),(3525,2165,-0.056124,3.7641),(3525,2175,-0.057168,3.7659),(3525,2185,-0.058211,3.7679),(3525,2195,-0.059255,3.77),(3525,2205,-0.060362,3.7721),(3525,2215,-0.061497,3.7741),(3525,2225,-0.062632,3.7764),(3525,2235,-0.063766,3.7788),(3525,2245,-0.064969,3.7811),(3525,2255,-0.066195,3.7835),(3525,2265,-0.067422,3.7861),(3525,2275,-0.068649,3.7887),(3525,2285,-0.069943,3.7914),(3525,2295,-0.071258,3.7941),(3525,2305,-0.072572,3.7971),(3525,2315,-0.073887,3.8002),(3525,2325,-0.075263,3.8033),(3525,2335,-0.076653,3.8064),(3525,2345,-0.078043,3.8099),(3525,2355,-0.079433,3.8134),(3525,2365,-0.080865,3.817),(3525,2375,-0.082306,3.8206),(3525,2385,-0.083746,3.8246),(3525,2395,-0.085186,3.8288),(3525,2405,-0.086631,3.8329),(3525,2415,-0.088076,3.8371),(3525,2425,-0.089522,3.8419),(3525,2435,-0.090967,3.8467),(3525,2445,-0.092349,3.8515),(3525,2455,-0.093726,3.8564),(3525,2465,-0.095103,3.862),(3525,2475,-0.096481,3.8677),(3525,2485,-0.097678,3.8733),(3525,2495,-0.098871,3.879),(3525,2505,-0.10006,3.8856),(3525,2515,-0.10125,3.8923),(3525,2525,-0.10208,3.8989),(3525,2535,-0.10292,3.9056),(3525,2545,-0.10375,3.9133),(3525,2555,-0.10455,3.921),(3525,2565,-0.10476,3.9288),(3525,2575,-0.10498,3.9366),(3525,2585,-0.10519,3.9456),(3525,2595,-0.10532,3.9545),(3525,2605,-0.10456,3.9635),(3525,2615,-0.10381,3.9726),(3525,2625,-0.10305,3.9828),(3525,2635,-0.10211,3.993),(3525,2645,-0.099923,4.0032),(3525,2655,-0.097738,4.0136),(3525,2665,-0.095553,4.0249),(3525,2675,-0.093027,4.0362),(3525,2685,-0.088877,4.0476),(3525,2695,-0.084727,4.0591),(3525,2705,-0.080578,4.0712),(3525,2715,-0.075902,4.0833),(3525,2725,-0.069282,4.0954),(3525,2735,-0.062661,4.1076),(3525,2745,-0.056041,4.1198),(3525,2755,-0.048727,4.1321),(3525,2765,-0.039358,4.1443),(3525,2775,-0.02999,4.1564),(3525,2785,-0.020622,4.1679),(3525,2795,-0.010503,4.1793),(3525,2805,0.001432,4.1908),(3525,2815,0.013368,4.2019),(3525,2825,0.025304,4.2119),(3525,2835,0.037942,4.2219),(3525,2845,0.051997,4.2319),(3525,2855,0.066051,4.2413),(3525,2865,0.080106,4.2494),(3525,2875,0.09476,4.2576),(3525,2885,0.11043,4.2657),(3525,2895,0.1261,4.273),(3525,2905,0.14177,4.2791),(3525,2915,0.15793,4.2852),(3525,2925,0.17477,4.2912),(3525,2935,0.19162,4.2964),(3525,2945,0.20847,4.3004),(3525,2955,0.2257,4.3044),(3525,2965,0.24339,4.3083),(3525,2975,0.26108,4.3114),(3525,2985,0.27877,4.3133),(3525,2995,0.29676,4.3152),(3525,3005,0.31505,4.3172),(3525,3015,0.33335,4.3181),(3525,3025,0.35165,4.3181),(3525,3035,0.37019,4.318),(3525,3045,0.38894,4.318),(3525,3055,0.4077,4.3169),(3525,3065,0.42645,4.315),(3525,3075,0.44541,4.313),(3525,3085,0.46452,4.3111),(3525,3095,0.48364,4.308),(3525,3105,0.50275,4.3041),(3525,3115,0.52205,4.3003),(3525,3125,0.54147,4.2964),(3525,3135,0.56089,4.2913),(3525,3145,0.58031,4.2856),(3525,3155,0.5999,4.2798),(3525,3165,0.61959,4.274),(3525,3175,0.63928,4.2669),(3525,3185,0.65897,4.2591),(3525,3195,0.67882,4.2513),(3525,3205,0.69874,4.2435),(3525,3215,0.71866,4.2343),(3525,3225,0.73858,4.2244),(3525,3235,0.75864,4.2145),(3525,3245,0.77876,4.2045),(3525,3255,0.79887,4.1929),(3525,3265,0.81898,4.1807),(3525,3275,0.83917,4.1685),(3525,3285,0.85939,4.1563),(3525,3295,0.87961,4.1421),(3525,3305,0.89983,4.1273),(3525,3315,0.92002,4.1126),(3525,3325,0.94021,4.0978),(3525,3335,0.96039,4.0807),(3525,3345,0.98058,4.063),(3525,3355,1.0005,4.0454),(3525,3365,1.0205,4.0278),(3525,3375,1.0404,4.0074),(3525,3385,1.0603,3.9866),(3525,3395,1.0797,3.9657),(3525,3405,1.099,3.9449),(3525,3415,1.1183,3.9208),(3525,3425,1.1376,3.8964),(3525,3435,1.1558,3.8719),(3525,3445,1.1739,3.8475),(3525,3455,1.192,3.8193),(3525,3465,1.2101,3.7909),(3525,3475,1.2263,3.7625),(3525,3485,1.2424,3.7341),(3525,3495,1.2586,3.7016),(3525,3505,1.2747,3.6691),(3525,3515,1.2878,3.6365),(3525,3525,1.3008,3.6038),(3525,3535,1.3139,3.5671),(3525,3545,1.3268,3.5305),(3525,3555,1.3355,3.4938),(3525,3565,1.3442,3.4569),(3525,3575,1.3528,3.4168),(3525,3585,1.361,3.3767),(3525,3595,1.364,3.3365),(3525,3605,1.3669,3.2962),(3525,3615,1.3699,3.2541),(3525,3625,1.372,3.2119),(3525,3635,1.3683,3.1698),(3525,3645,1.3647,3.1277),(3525,3655,1.361,3.0858),(3525,3665,1.3563,3.0438),(3525,3675,1.3464,3.0019),(3525,3685,1.3365,2.9603),(3525,3695,1.3265,2.9206),(3525,3705,1.3157,2.8809),(3525,3715,1.3011,2.8412),(3525,3725,1.2866,2.8022),(3525,3735,1.2721,2.7657),(3525,3745,1.2569,2.7291),(3525,3755,1.2397,2.6926),(3525,3765,1.2224,2.6569),(3525,3775,1.2052,2.6235),(3525,3785,1.1877,2.5902),(3525,3795,1.1694,2.5568),(3525,3805,1.1512,2.5244),(3525,3815,1.133,2.4939),(3525,3825,1.115,2.4635),(3525,3835,1.0975,2.4331),(3525,3845,1.08,2.4037),(3525,3855,1.0624,2.3761),(3525,3865,1.0458,2.3485),(3525,3875,1.0305,2.3209),(3525,3885,1.0153,2.2946),(3525,3895,1.0001,2.2704),(3525,3905,0.98634,2.2462),(3525,3915,0.97473,2.222),(3525,3925,0.96311,2.2),(3525,3935,0.9515,2.181),(3525,3945,0.9414,2.1621),(3525,3955,0.93321,2.1431),(3525,3965,0.92502,2.1278),(3525,3975,0.91683,2.1167),(3525,3985,0.90874,2.1056),(3525,3995,0.90076,2.0945),(3525,4005,0.89278,2.0868),(3525,4015,0.8848,2.0824),(3525,4025,1.1853,2.0781),(3525,4035,1.5159,2.0728),(3525,4045,1.8466,2.0653),(3525,4055,2.0774,2.0578),(3525,4065,2.2718,2.0496),(3525,4075,2.4662,2.0367),(3525,4085,2.5501,2.0239),(3525,4095,2.5452,2.011),(3525,4105,2.5402,1.9967),(3525,4115,2.4571,1.9824),(3525,4125,2.2444,1.968),(3525,4135,2.0316,1.9568),(3525,4145,1.8171,1.9464),(3525,4155,1.5958,1.936),(3525,4165,1.3744,1.929),(3525,4175,1.1654,1.9242),(3525,4185,1.5691,1.9194),(3525,4195,1.9728,1.9097),(3525,4205,2.3765,1.8935),(3525,4215,2.4354,1.8774),(3525,4225,2.4294,1.861),(3525,4235,2.4234,1.8441),(3525,4245,2.3932,1.8273),(3525,4255,2.3508,1.8102),(3525,4265,2.3083,1.7909),(3525,4275,2.0294,1.7717),(3525,4285,1.4997,1.7525),(3525,4295,0.96994,1.7482),(3525,4305,0.75042,1.7458),(3525,4315,1.2314,1.7433),(3525,4325,1.7124,1.7329),(3525,4335,2.1396,1.7194),(3525,4345,2.2025,1.7059),(3525,4355,2.2654,1.6915),(3525,4365,2.3283,1.6762),(3525,4375,2.3302,1.6609),(3525,4385,2.3288,1.6457),(3525,4395,2.3275,1.6304),(3525,4405,2.0487,1.6152),(3525,4415,1.688,1.6014),(3525,4425,1.3274,1.5943),(3525,4435,1.1735,1.5872),(3525,4445,1.1608,1.5801),(3525,4455,1.1481,1.5735),(3525,4465,1.2894,1.5668),(3525,4475,1.6472,1.5602),(3525,4485,2.005,1.5471),(3525,4495,2.2778,1.5326),(3525,4505,2.2779,1.5181),(3525,4515,2.278,1.5037),(3525,4525,2.2736,1.4895),(3525,4535,2.1981,1.4752),(3525,4545,2.1227,1.4617),(3525,4555,2.0473,1.4492),(3525,4565,1.5726,1.4367),(3525,4575,1.0441,1.4276),(3525,4585,0.51566,1.4267),(3525,4595,0.7442,1.4258),(3525,4605,1.2926,1.4231),(3525,4615,1.841,1.4063),(3525,4625,2.1212,1.3896),(3525,4635,2.1585,1.3728),(3525,4645,2.1958,1.359),(3525,4655,2.2214,1.3455),(3525,4665,2.2247,1.3319),(3525,4675,2.2279,1.3188),(3525,4685,2.1543,1.3059),(3525,4695,1.7004,1.2929),(3525,4705,1.2465,1.2853),(3525,4715,0.79261,1.2815),(3525,4725,1.007,1.2777),(3525,4735,1.2281,1.2722),(3525,4745,1.4491,1.2641),(3525,4755,1.6749,1.256),(3525,4765,1.9017,1.2469),(3525,4775,2.1285,1.2343),(3525,4785,2.2125,1.2216),(3525,4795,2.2139,1.209),(3525,4805,2.2153,1.1967),(3525,4815,2.1102,1.1844),(3525,4825,1.8776,1.1721),(3525,4835,1.645,1.1637),(3525,4845,1.4096,1.1558),(3525,4855,1.1665,1.148),(3525,4865,0.92351,1.1434),(3525,4875,0.7511,1.1404),(3525,4885,1.2212,1.1373),(3525,4895,1.6912,1.1301),(3525,4905,2.1613,1.1189),(3525,4915,2.1986,1.1076),(3525,4925,2.1988,1.0964),(3525,4935,2.1989,1.0851),(3525,4945,2.1824,1.0738),(3525,4955,2.1601,1.0622),(3525,4965,2.1378,1.0487),(3525,4975,1.7819,1.0353),(3525,4985,1.1685,1.0218),(3525,4995,0.55508,1.0211),(3525,5005,0.36203,1.0206),(3525,5015,0.83729,1.0202),(3525,5025,1.3125,1.0134),(3525,5035,1.722,1.005),(3525,5045,1.8805,0.99658),(3525,5055,2.039,0.98648),(3525,5065,2.1928,0.97533),(3525,5075,2.1945,0.96418),(3525,5085,2.1961,0.9531),(3525,5095,2.1978,0.94209),(3525,5105,1.922,0.93108),(3525,5115,1.5978,0.9215),(3525,5125,1.2737,0.91591),(3525,5135,1.1104,0.91032),(3525,5145,1.0251,0.90487),(3525,5155,0.93987,0.90098),(3525,5165,1.103,0.89709),(3525,5175,1.5194,0.89319),(3525,5185,1.9358,0.88352),(3525,5195,2.2206,0.87324),(3525,5205,2.2216,0.86297),(3525,5215,2.2227,0.85279),(3525,5225,2.2122,0.84266),(3525,5235,2.13,0.83252),(3525,5245,2.0478,0.8231),(3525,5255,1.9655,0.81426),(3525,5265,1.386,0.80541),(3525,5275,0.78605,0.79985),(3525,5285,0.18606,0.79986),(3525,5295,0.58382,0.79987),(3525,5305,1.2594,0.79787),(3525,5315,1.9351,0.78744),(3525,5325,2.2104,0.77701),(3525,5335,2.2231,0.7666),(3525,5345,2.2359,0.7577),(3525,5355,2.2434,0.74879),(3525,5365,2.2439,0.73989),(3525,5375,2.2443,0.73115),(3525,5385,2.1166,0.72244),(3525,5395,1.5992,0.71374),(3525,5405,1.0818,0.70934),(3525,5415,0.62027,0.70717),(3525,5425,0.90839,0.705),(3525,5435,1.1965,0.70206),(3525,5445,1.4846,0.69829),(3525,5455,1.7629,0.69451),(3525,5465,2.04,0.69005),(3525,5475,2.3171,0.68403),(3525,5485,2.3956,0.678),(3525,5495,2.394,0.67199),(3525,5505,2.3925,0.66612),(3525,5515,2.391,0.66025),(3525,5525,2.3895,0.65438),(3525,5535,2.388,0.64866),(3525,5545,2.3866,0.64295),(3525,5555,2.3851,0.63724),(3525,5565,2.3836,0.63163),(3525,5575,2.3822,0.62605),(3525,5585,2.3807,0.62047),(3525,5595,2.3792,0.61496),(3525,5605,2.3778,0.60951),(3525,5615,2.3763,0.60405),(3525,5625,2.3749,0.59864),(3525,5635,2.3734,0.59329),(3525,5645,2.372,0.58795),(3525,5655,2.3706,0.58262),(3525,5665,2.3691,0.57737),(3525,5675,2.3677,0.57211),(3525,5685,2.3663,0.56686),(3525,5695,2.3649,0.56171),(3525,5705,2.3635,0.55656),(3525,5715,2.3621,0.55141),(3525,5725,2.3607,0.54632),(3525,5735,2.3593,0.54123),(3525,5745,2.3579,0.53615),(3525,5755,2.3565,0.53111),(3525,5765,2.3551,0.52609),(3525,5775,2.3537,0.52107),(3525,5785,2.3523,0.51609),(3525,5795,2.351,0.51113),(3525,5805,2.3496,0.50617),(3525,5815,2.3482,0.50123),(3525,5825,2.3468,0.49634),(3525,5835,2.3455,0.49145),(3525,5845,2.3441,0.48657),(3525,5855,2.3427,0.48174),(3525,5865,2.3414,0.47691),(3525,5875,2.34,0.47208),(3525,5885,2.3386,0.46731),(3525,5895,2.3373,0.46253),(3525,5905,2.3359,0.45775),(3525,5915,2.3346,0.45301),(3525,5925,2.3332,0.44827),(3525,5935,2.3319,0.44353),(3525,5945,2.3305,0.43882),(3525,5955,2.3291,0.43413),(3525,5965,2.3278,0.42943),(3525,5975,2.3265,0.42476),(3525,5985,2.3251,0.4201),(3525,5995,1.7776,0.41545),(3525,6005,1.1423,0.41191),(3525,6015,0.50687,0.41135),(3525,6025,0.66084,0.41079),(3525,6035,1.1809,0.40975),(3525,6045,1.701,0.40409),(3525,6055,2.0614,0.39844),(3525,6065,2.2652,0.39278),(3525,6075,2.469,0.38542),(3525,6085,2.6065,0.37791),(3525,6095,2.6073,0.3704),(3525,6105,2.608,0.36287),(3525,6115,2.6088,0.35533),(3525,6125,2.6095,0.34779),(3525,6135,2.6102,0.34032),(3525,6145,2.6109,0.33289),(3525,6155,2.6116,0.32546),(3525,6165,2.6122,0.31806),(3525,6175,2.6129,0.31071),(3525,6185,2.6135,0.30336),(3525,6195,2.6141,0.29603),(3525,6205,2.6147,0.28879),(3525,6215,2.6153,0.28154),(3525,6225,2.6159,0.2743),(3525,6235,2.6164,0.26706),(3525,6245,2.617,0.25982),(3525,6255,2.6175,0.25258),(3525,6265,2.618,0.2454),(3525,6275,2.6185,0.23822),(3525,6285,2.619,0.23104),(3525,6295,2.6195,0.22393),(3525,6305,2.62,0.21686),(3525,6315,2.6204,0.20979),(3525,6325,2.6208,0.20273),(3525,6335,2.6211,0.19569),(3525,6345,2.6215,0.18865),(3525,6355,2.6219,0.18164),(3525,6365,2.6223,0.1747),(3525,6375,2.6226,0.16777),(3525,6385,2.623,0.16083),(3525,6395,2.6233,0.15387),(3525,6405,2.6236,0.14691),(3525,6415,2.6239,0.13995),(3525,6425,2.6242,0.13303),(3525,6435,2.6245,0.1261),(3525,6445,2.6247,0.11918),(3525,6455,2.6249,0.11233),(3525,6465,2.6252,0.10549),(3525,6475,2.6254,0.098658),(3525,6485,2.6256,0.091831),(3525,6495,2.6258,0.085009),(3525,6505,2.6259,0.078187),(3525,6515,2.6261,0.071374),(3525,6525,2.6262,0.064574),(3525,6535,2.6263,0.057774),(3525,6545,2.6264,0.050968),(3525,6555,2.6265,0.044142),(3525,6565,2.6266,0.037316),(3525,6575,2.6267,0.030497),(3525,6585,2.6268,0.023775),(3525,6595,2.2343,0.017053),(3525,6605,1.4083,0.010331),(3525,6615,0.58228,0.009588),(3525,6625,0.001603,0.009614),(3525,6635,0.0016,0.009641),(3525,6645,0.001598,0.009644),(3525,6655,0.001596,0.009638),(3525,6665,0.001594,0.009632),(3525,6675,0.001592,0.009625),(3525,6685,0.00159,0.009619),(3525,6695,0.001588,0.009613),(3525,6705,0.001587,0.009607),(3525,6715,0.001585,0.009601),(3525,6725,0.001583,0.009594),(3525,6735,0.001582,0.009588),(3525,6745,0.00158,0.009582),(3525,6755,0.001579,0.009575),(3525,6765,0.001578,0.009569),(3525,6775,0.001576,0.009562),(3525,6785,0.001575,0.009555),(3525,6795,0.001574,0.009549),(3525,6805,0.001573,0.009542),(3525,6815,0.001572,0.009535),(3525,6825,0.001571,0.009528),(3525,6835,0.001571,0.009521),(3525,6845,0.00157,0.009514),(3525,6855,0.001569,0.009507),(3525,6865,0.001568,0.0095),(3525,6875,0.001568,0.009493),(3525,6885,0.001567,0.009486),(3525,6895,0.001566,0.009479),(3525,6905,0.001566,0.009472),(3525,6915,0.001565,0.009464),(3525,6925,0.001565,0.009457),(3525,6935,0.001564,0.009449),(3525,6945,0.001564,0.009442),(3525,6955,0.001563,0.009435),(3525,6965,0.001563,0.009427),(3525,6975,0.001563,0.00942),(3525,6985,0.001562,0.009412),(3535,5,4e-06,3.689),(3535,15,1.1e-05,3.689),(3535,25,1.8e-05,3.689),(3535,35,2.5e-05,3.689),(3535,45,3.2e-05,3.689),(3535,55,3.9e-05,3.689),(3535,65,4.5e-05,3.689),(3535,75,5.2e-05,3.6889),(3535,85,5.8e-05,3.6889),(3535,95,6.4e-05,3.6889),(3535,105,7e-05,3.6889),(3535,115,7.5e-05,3.6889),(3535,125,8.1e-05,3.6889),(3535,135,8.6e-05,3.6889),(3535,145,9e-05,3.6889),(3535,155,9.4e-05,3.6889),(3535,165,9.8e-05,3.6889),(3535,175,0.000102,3.6889),(3535,185,0.000104,3.6889),(3535,195,0.000106,3.6889),(3535,205,0.000108,3.6889),(3535,215,0.00011,3.6889),(3535,225,0.00011,3.6889),(3535,235,0.000109,3.6889),(3535,245,0.000109,3.6889),(3535,255,0.000108,3.6889),(3535,265,0.000106,3.6889),(3535,275,0.000102,3.6889),(3535,285,9.9e-05,3.6889),(3535,295,9.5e-05,3.6889),(3535,305,8.9e-05,3.6888),(3535,315,8.2e-05,3.6888),(3535,325,7.5e-05,3.6888),(3535,335,6.9e-05,3.6888),(3535,345,5.9e-05,3.6888),(3535,355,4.8e-05,3.6888),(3535,365,3.7e-05,3.6888),(3535,375,2.6e-05,3.6888),(3535,385,1.2e-05,3.6888),(3535,395,-4e-06,3.6888),(3535,405,-1.9e-05,3.6888),(3535,415,-3.4e-05,3.6888),(3535,425,-5.4e-05,3.6888),(3535,435,-7.5e-05,3.6887),(3535,445,-9.6e-05,3.6887),(3535,455,-0.000116,3.6887),(3535,465,-0.000142,3.6887),(3535,475,-0.000169,3.6887),(3535,485,-0.000195,3.6887),(3535,495,-0.000222,3.6887),(3535,505,-0.000255,3.6887),(3535,515,-0.000288,3.6887),(3535,525,-0.000321,3.6887),(3535,535,-0.000354,3.6887),(3535,545,-0.000395,3.6887),(3535,555,-0.000435,3.6887),(3535,565,-0.000476,3.6887),(3535,575,-0.000517,3.6887),(3535,585,-0.000565,3.6887),(3535,595,-0.000613,3.6886),(3535,605,-0.000662,3.6886),(3535,615,-0.000711,3.6886),(3535,625,-0.000769,3.6886),(3535,635,-0.000826,3.6886),(3535,645,-0.000883,3.6886),(3535,655,-0.000942,3.6886),(3535,665,-0.001009,3.6886),(3535,675,-0.001077,3.6886),(3535,685,-0.001144,3.6886),(3535,695,-0.001213,3.6886),(3535,705,-0.001291,3.6886),(3535,715,-0.001369,3.6887),(3535,725,-0.001446,3.6887),(3535,735,-0.001527,3.6887),(3535,745,-0.001616,3.6887),(3535,755,-0.001706,3.6887),(3535,765,-0.001795,3.6887),(3535,775,-0.001888,3.6887),(3535,785,-0.00199,3.6887),(3535,795,-0.002092,3.6887),(3535,805,-0.002193,3.6888),(3535,815,-0.002299,3.6888),(3535,825,-0.002414,3.6888),(3535,835,-0.002529,3.6888),(3535,845,-0.002644,3.6889),(3535,855,-0.002764,3.6889),(3535,865,-0.002893,3.6889),(3535,875,-0.003022,3.6889),(3535,885,-0.003151,3.689),(3535,895,-0.003286,3.689),(3535,905,-0.003429,3.6891),(3535,915,-0.003573,3.6891),(3535,925,-0.003717,3.6892),(3535,935,-0.003867,3.6892),(3535,945,-0.004026,3.6893),(3535,955,-0.004185,3.6893),(3535,965,-0.004344,3.6894),(3535,975,-0.004511,3.6894),(3535,985,-0.004686,3.6895),(3535,995,-0.00486,3.6896),(3535,1005,-0.005035,3.6897),(3535,1015,-0.005218,3.6897),(3535,1025,-0.005409,3.6898),(3535,1035,-0.0056,3.6899),(3535,1045,-0.005791,3.69),(3535,1055,-0.005991,3.6901),(3535,1065,-0.006198,3.6902),(3535,1075,-0.006405,3.6903),(3535,1085,-0.006612,3.6904),(3535,1095,-0.006829,3.6905),(3535,1105,-0.007052,3.6906),(3535,1115,-0.007275,3.6908),(3535,1125,-0.007499,3.6909),(3535,1135,-0.007732,3.6911),(3535,1145,-0.007971,3.6912),(3535,1155,-0.008211,3.6914),(3535,1165,-0.00845,3.6915),(3535,1175,-0.0087,3.6917),(3535,1185,-0.008954,3.6918),(3535,1195,-0.009209,3.692),(3535,1205,-0.009464,3.6922),(3535,1215,-0.00973,3.6924),(3535,1225,-0.009999,3.6926),(3535,1235,-0.010269,3.6928),(3535,1245,-0.010539,3.693),(3535,1255,-0.01082,3.6932),(3535,1265,-0.011104,3.6935),(3535,1275,-0.011388,3.6937),(3535,1285,-0.011672,3.694),(3535,1295,-0.011967,3.6942),(3535,1305,-0.012264,3.6945),(3535,1315,-0.012562,3.6947),(3535,1325,-0.01286,3.695),(3535,1335,-0.013168,3.6953),(3535,1345,-0.013479,3.6956),(3535,1355,-0.013789,3.6959),(3535,1365,-0.0141,3.6962),(3535,1375,-0.014421,3.6965),(3535,1385,-0.014744,3.6968),(3535,1395,-0.015067,3.6972),(3535,1405,-0.01539,3.6975),(3535,1415,-0.015724,3.6979),(3535,1425,-0.016058,3.6982),(3535,1435,-0.016393,3.6986),(3535,1445,-0.016728,3.699),(3535,1455,-0.017073,3.6994),(3535,1465,-0.01742,3.6998),(3535,1475,-0.017766,3.7002),(3535,1485,-0.018112,3.7006),(3535,1495,-0.01847,3.701),(3535,1505,-0.018829,3.7015),(3535,1515,-0.019187,3.7019),(3535,1525,-0.019545,3.7024),(3535,1535,-0.019916,3.7029),(3535,1545,-0.020287,3.7033),(3535,1555,-0.020657,3.7038),(3535,1565,-0.021029,3.7043),(3535,1575,-0.021413,3.7048),(3535,1585,-0.021797,3.7053),(3535,1595,-0.022181,3.7059),(3535,1605,-0.022567,3.7064),(3535,1615,-0.022966,3.707),(3535,1625,-0.023365,3.7075),(3535,1635,-0.023764,3.7081),(3535,1645,-0.024165,3.7087),(3535,1655,-0.024581,3.7093),(3535,1665,-0.024997,3.7099),(3535,1675,-0.025413,3.7105),(3535,1685,-0.025833,3.7111),(3535,1695,-0.026269,3.7118),(3535,1705,-0.026704,3.7124),(3535,1715,-0.02714,3.7131),(3535,1725,-0.027581,3.7138),(3535,1735,-0.02804,3.7144),(3535,1745,-0.028499,3.7151),(3535,1755,-0.028958,3.7159),(3535,1765,-0.029424,3.7166),(3535,1775,-0.02991,3.7173),(3535,1785,-0.030396,3.7181),(3535,1795,-0.030881,3.7189),(3535,1805,-0.031377,3.7197),(3535,1815,-0.031894,3.7204),(3535,1825,-0.032412,3.7213),(3535,1835,-0.032929,3.7221),(3535,1845,-0.033459,3.723),(3535,1855,-0.034013,3.7238),(3535,1865,-0.034567,3.7247),(3535,1875,-0.035121,3.7256),(3535,1885,-0.035691,3.7265),(3535,1895,-0.036287,3.7274),(3535,1905,-0.036884,3.7284),(3535,1915,-0.03748,3.7294),(3535,1925,-0.038097,3.7304),(3535,1935,-0.038742,3.7314),(3535,1945,-0.039388,3.7324),(3535,1955,-0.040033,3.7335),(3535,1965,-0.040704,3.7346),(3535,1975,-0.041405,3.7357),(3535,1985,-0.042106,3.7368),(3535,1995,-0.042808,3.738),(3535,2005,-0.04354,3.7392),(3535,2015,-0.044305,3.7404),(3535,2025,-0.04507,3.7417),(3535,2035,-0.045835,3.743),(3535,2045,-0.046638,3.7443),(3535,2055,-0.047475,3.7456),(3535,2065,-0.048311,3.747),(3535,2075,-0.049147,3.7484),(3535,2085,-0.05003,3.7499),(3535,2095,-0.050946,3.7514),(3535,2105,-0.051862,3.7529),(3535,2115,-0.052778,3.7545),(3535,2125,-0.053748,3.7561),(3535,2135,-0.054753,3.7578),(3535,2145,-0.055757,3.7595),(3535,2155,-0.056761,3.7613),(3535,2165,-0.057828,3.7631),(3535,2175,-0.058928,3.7649),(3535,2185,-0.060028,3.7669),(3535,2195,-0.061128,3.769),(3535,2205,-0.062299,3.771),(3535,2215,-0.063501,3.7731),(3535,2225,-0.064704,3.7753),(3535,2235,-0.065906,3.7776),(3535,2245,-0.067186,3.78),(3535,2255,-0.068494,3.7823),(3535,2265,-0.069802,3.7849),(3535,2275,-0.07111,3.7875),(3535,2285,-0.072499,3.7902),(3535,2295,-0.073912,3.7929),(3535,2305,-0.075325,3.7959),(3535,2315,-0.076737,3.7989),(3535,2325,-0.078229,3.802),(3535,2335,-0.079738,3.8051),(3535,2345,-0.081247,3.8086),(3535,2355,-0.082756,3.8121),(3535,2365,-0.084329,3.8157),(3535,2375,-0.085914,3.8192),(3535,2385,-0.087498,3.8233),(3535,2395,-0.089083,3.8275),(3535,2405,-0.090699,3.8316),(3535,2415,-0.092319,3.8358),(3535,2425,-0.093939,3.8406),(3535,2435,-0.095559,3.8454),(3535,2445,-0.097147,3.8503),(3535,2455,-0.098734,3.8552),(3535,2465,-0.10032,3.8609),(3535,2475,-0.10191,3.8666),(3535,2485,-0.10335,3.8723),(3535,2495,-0.10479,3.878),(3535,2505,-0.10623,3.8847),(3535,2515,-0.10767,3.8915),(3535,2525,-0.10879,3.8982),(3535,2535,-0.10991,3.905),(3535,2545,-0.11103,3.9129),(3535,2555,-0.11212,3.9208),(3535,2565,-0.11266,3.9287),(3535,2575,-0.1132,3.9367),(3535,2585,-0.11374,3.9459),(3535,2595,-0.11419,3.9551),(3535,2605,-0.11377,3.9643),(3535,2615,-0.11335,3.9736),(3535,2625,-0.11294,3.9842),(3535,2635,-0.11233,3.9948),(3535,2645,-0.11046,4.0053),(3535,2655,-0.10859,4.0161),(3535,2665,-0.10672,4.0279),(3535,2675,-0.1045,4.0397),(3535,2685,-0.10058,4.0515),(3535,2695,-0.096662,4.0635),(3535,2705,-0.092744,4.0762),(3535,2715,-0.088263,4.0889),(3535,2725,-0.081705,4.1017),(3535,2735,-0.075147,4.1144),(3535,2745,-0.068589,4.1273),(3535,2755,-0.061279,4.1402),(3535,2765,-0.051743,4.1531),(3535,2775,-0.042207,4.1658),(3535,2785,-0.032671,4.1779),(3535,2795,-0.022331,4.19),(3535,2805,-0.010045,4.2021),(3535,2815,0.002242,4.2137),(3535,2825,0.014529,4.2242),(3535,2835,0.027552,4.2347),(3535,2845,0.042061,4.2453),(3535,2855,0.056569,4.2551),(3535,2865,0.071077,4.2636),(3535,2875,0.086199,4.2722),(3535,2885,0.10236,4.2807),(3535,2895,0.11852,4.2884),(3535,2905,0.13468,4.2948),(3535,2915,0.15133,4.3011),(3535,2925,0.16867,4.3075),(3535,2935,0.186,4.3129),(3535,2945,0.20334,4.3171),(3535,2955,0.22105,4.3213),(3535,2965,0.23921,4.3255),(3535,2975,0.25737,4.3287),(3535,2985,0.27553,4.3308),(3535,2995,0.29398,4.3329),(3535,3005,0.31272,4.335),(3535,3015,0.33147,4.3361),(3535,3025,0.35022,4.3362),(3535,3035,0.36919,4.3363),(3535,3045,0.38838,4.3364),(3535,3055,0.40756,4.3354),(3535,3065,0.42675,4.3335),(3535,3075,0.44613,4.3316),(3535,3085,0.46567,4.3298),(3535,3095,0.4852,4.3268),(3535,3105,0.50474,4.323),(3535,3115,0.52447,4.3192),(3535,3125,0.54431,4.3154),(3535,3135,0.56416,4.3105),(3535,3145,0.584,4.3047),(3535,3155,0.60403,4.299),(3535,3165,0.62417,4.2933),(3535,3175,0.6443,4.2862),(3535,3185,0.66443,4.2785),(3535,3195,0.68474,4.2708),(3535,3205,0.70514,4.2631),(3535,3215,0.72554,4.2538),(3535,3225,0.74594,4.244),(3535,3235,0.76651,4.2341),(3535,3245,0.78714,4.2242),(3535,3255,0.80778,4.2126),(3535,3265,0.82841,4.2004),(3535,3275,0.84918,4.1882),(3535,3285,0.86998,4.176),(3535,3295,0.89079,4.1618),(3535,3305,0.91159,4.147),(3535,3315,0.93244,4.1322),(3535,3325,0.95329,4.1174),(3535,3335,0.97415,4.1002),(3535,3345,0.995,4.0825),(3535,3355,1.0157,4.0648),(3535,3365,1.0364,4.0471),(3535,3375,1.0571,4.0265),(3535,3385,1.0778,4.0055),(3535,3395,1.098,3.9845),(3535,3405,1.1182,3.9635),(3535,3415,1.1383,3.9391),(3535,3425,1.1585,3.9143),(3535,3435,1.1777,3.8896),(3535,3445,1.1968,3.8648),(3535,3455,1.2159,3.8362),(3535,3465,1.235,3.8072),(3535,3475,1.2522,3.7783),(3535,3485,1.2694,3.7494),(3535,3495,1.2866,3.7161),(3535,3505,1.3037,3.6828),(3535,3515,1.3179,3.6495),(3535,3525,1.332,3.616),(3535,3535,1.3461,3.5783),(3535,3545,1.36,3.5405),(3535,3555,1.3696,3.5028),(3535,3565,1.3792,3.4648),(3535,3575,1.3888,3.4233),(3535,3585,1.3979,3.3818),(3535,3595,1.4013,3.3403),(3535,3605,1.4048,3.2986),(3535,3615,1.4083,3.2549),(3535,3625,1.4109,3.2112),(3535,3635,1.4071,3.1675),(3535,3645,1.4034,3.1239),(3535,3655,1.3997,3.0805),(3535,3665,1.3949,3.037),(3535,3675,1.3843,2.9936),(3535,3685,1.3738,2.9507),(3535,3695,1.3633,2.9099),(3535,3705,1.3517,2.8691),(3535,3715,1.3364,2.8283),(3535,3725,1.321,2.7882),(3535,3735,1.3056,2.751),(3535,3745,1.2896,2.7138),(3535,3755,1.2715,2.6765),(3535,3765,1.2534,2.6403),(3535,3775,1.2354,2.6066),(3535,3785,1.217,2.573),(3535,3795,1.198,2.5394),(3535,3805,1.179,2.5068),(3535,3815,1.16,2.4766),(3535,3825,1.1413,2.4463),(3535,3835,1.123,2.4161),(3535,3845,1.1047,2.387),(3535,3855,1.0864,2.36),(3535,3865,1.0689,2.333),(3535,3875,1.0528,2.306),(3535,3885,1.0367,2.2805),(3535,3895,1.0206,2.2572),(3535,3905,1.0058,2.234),(3535,3915,0.99292,2.2108),(3535,3925,0.98005,2.1898),(3535,3935,0.96718,2.1718),(3535,3945,0.95562,2.1538),(3535,3955,0.94573,2.1358),(3535,3965,0.93584,2.121),(3535,3975,0.92595,2.11),(3535,3985,0.9162,2.0989),(3535,3995,0.9066,2.0878),(3535,4005,0.89699,2.0798),(3535,4015,0.88739,2.0747),(3535,4025,1.1879,2.0696),(3535,4035,1.5188,2.0634),(3535,4045,1.8496,2.0547),(3535,4055,2.0812,2.0459),(3535,4065,2.2766,2.0365),(3535,4075,2.472,2.0227),(3535,4085,2.5566,2.0088),(3535,4095,2.552,1.995),(3535,4105,2.5474,1.9801),(3535,4115,2.4642,1.9652),(3535,4125,2.2507,1.9503),(3535,4135,2.0373,1.9387),(3535,4145,1.822,1.9281),(3535,4155,1.5995,1.9175),(3535,4165,1.377,1.9103),(3535,4175,1.167,1.9054),(3535,4185,1.573,1.9005),(3535,4195,1.979,1.8907),(3535,4205,2.3849,1.8745),(3535,4215,2.4444,1.8584),(3535,4225,2.4386,1.842),(3535,4235,2.4329,1.8252),(3535,4245,2.4033,1.8084),(3535,4255,2.3617,1.7914),(3535,4265,2.32,1.7723),(3535,4275,2.0398,1.7532),(3535,4285,1.5065,1.734),(3535,4295,0.97314,1.7298),(3535,4305,0.75172,1.7273),(3535,4315,1.2347,1.7248),(3535,4325,1.7177,1.7145),(3535,4335,2.1466,1.7011),(3535,4345,2.2098,1.6878),(3535,4355,2.2731,1.6734),(3535,4365,2.3364,1.6583),(3535,4375,2.3382,1.6431),(3535,4385,2.3369,1.628),(3535,4395,2.3356,1.6128),(3535,4405,2.0556,1.5976),(3535,4415,1.6935,1.584),(3535,4425,1.3314,1.577),(3535,4435,1.1768,1.57),(3535,4445,1.164,1.563),(3535,4455,1.1513,1.5564),(3535,4465,1.2931,1.5499),(3535,4475,1.6522,1.5433),(3535,4485,2.0114,1.5303),(3535,4495,2.2852,1.5159),(3535,4505,2.2852,1.5015),(3535,4515,2.2852,1.4873),(3535,4525,2.2808,1.4731),(3535,4535,2.205,1.4589),(3535,4545,2.1293,1.4455),(3535,4555,2.0535,1.4331),(3535,4565,1.577,1.4207),(3535,4575,1.0465,1.4117),(3535,4585,0.51602,1.4109),(3535,4595,0.74624,1.41),(3535,4605,1.2979,1.4074),(3535,4615,1.8495,1.3908),(3535,4625,2.1307,1.3742),(3535,4635,2.1669,1.3576),(3535,4645,2.2031,1.344),(3535,4655,2.2279,1.3305),(3535,4665,2.231,1.3171),(3535,4675,2.2341,1.3041),(3535,4685,2.16,1.2912),(3535,4695,1.7047,1.2784),(3535,4705,1.2493,1.2708),(3535,4715,0.79392,1.2671),(3535,4725,1.0089,1.2634),(3535,4735,1.2307,1.2579),(3535,4745,1.4524,1.2499),(3535,4755,1.6788,1.2419),(3535,4765,1.9064,1.2329),(3535,4775,2.1339,1.2204),(3535,4785,2.218,1.2079),(3535,4795,2.2194,1.1954),(3535,4805,2.2207,1.1833),(3535,4815,2.1152,1.1711),(3535,4825,1.8819,1.1589),(3535,4835,1.6487,1.1506),(3535,4845,1.4125,1.1428),(3535,4855,1.1688,1.1351),(3535,4865,0.92503,1.1306),(3535,4875,0.75207,1.1275),(3535,4885,1.2232,1.1245),(3535,4895,1.6944,1.1173),(3535,4905,2.1655,1.1062),(3535,4915,2.203,1.095),(3535,4925,2.2032,1.0838),(3535,4935,2.2033,1.0726),(3535,4945,2.1874,1.0613),(3535,4955,2.1658,1.0498),(3535,4965,2.1442,1.0364),(3535,4975,1.7874,1.023),(3535,4985,1.1718,1.0097),(3535,4995,0.55625,1.009),(3535,5005,0.36228,1.0086),(3535,5015,0.83858,1.0082),(3535,5025,1.3149,1.0014),(3535,5035,1.7252,0.99304),(3535,5045,1.8841,0.98466),(3535,5055,2.0429,0.9746),(3535,5065,2.1971,0.96351),(3535,5075,2.1987,0.95242),(3535,5085,2.2003,0.94139),(3535,5095,2.2019,0.93044),(3535,5105,1.9256,0.91949),(3535,5115,1.6007,0.90996),(3535,5125,1.2758,0.90442),(3535,5135,1.1121,0.89887),(3535,5145,1.0266,0.89347),(3535,5155,0.94111,0.88961),(3535,5165,1.1044,0.88575),(3535,5175,1.5215,0.88189),(3535,5185,1.9387,0.87227),(3535,5195,2.2239,0.86206),(3535,5205,2.2249,0.85185),(3535,5215,2.226,0.84175),(3535,5225,2.2154,0.83168),(3535,5235,2.133,0.82161),(3535,5245,2.0507,0.81225),(3535,5255,1.9683,0.80347),(3535,5265,1.3879,0.79469),(3535,5275,0.78699,0.78917),(3535,5285,0.18608,0.78919),(3535,5295,0.58456,0.78921),(3535,5305,1.2614,0.78723),(3535,5315,1.9382,0.77692),(3535,5325,2.2136,0.76662),(3535,5335,2.2259,0.75633),(3535,5345,2.2382,0.74752),(3535,5355,2.2454,0.7387),(3535,5365,2.2458,0.72989),(3535,5375,2.2461,0.72124),(3535,5385,2.1183,0.71262),(3535,5395,1.6004,0.704),(3535,5405,1.0826,0.69965),(3535,5415,0.62057,0.69751),(3535,5425,0.90834,0.69538),(3535,5435,1.1961,0.69249),(3535,5445,1.4839,0.68879),(3535,5455,1.762,0.6851),(3535,5465,2.039,0.68073),(3535,5475,2.316,0.67482),(3535,5485,2.3943,0.66891),(3535,5495,2.3928,0.66302),(3535,5505,2.3912,0.65727),(3535,5515,2.3897,0.65151),(3535,5525,2.3882,0.64575),(3535,5535,2.3866,0.64015),(3535,5545,2.3851,0.63455),(3535,5555,2.3836,0.62895),(3535,5565,2.3821,0.62344),(3535,5575,2.3806,0.61797),(3535,5585,2.3791,0.6125),(3535,5595,2.3776,0.6071),(3535,5605,2.3761,0.60175),(3535,5615,2.3747,0.59639),(3535,5625,2.3732,0.59108),(3535,5635,2.3717,0.58583),(3535,5645,2.3703,0.58058),(3535,5655,2.3688,0.57535),(3535,5665,2.3673,0.57019),(3535,5675,2.3659,0.56502),(3535,5685,2.3645,0.55987),(3535,5695,2.363,0.55481),(3535,5705,2.3616,0.54975),(3535,5715,2.3602,0.5447),(3535,5725,2.3587,0.53969),(3535,5735,2.3573,0.53468),(3535,5745,2.3559,0.52968),(3535,5755,2.3545,0.52472),(3535,5765,2.3531,0.51979),(3535,5775,2.3517,0.51485),(3535,5785,2.3503,0.50994),(3535,5795,2.3489,0.50505),(3535,5805,2.3475,0.50017),(3535,5815,2.3461,0.49531),(3535,5825,2.3448,0.49049),(3535,5835,2.3434,0.48567),(3535,5845,2.342,0.48086),(3535,5855,2.3406,0.4761),(3535,5865,2.3392,0.47134),(3535,5875,2.3379,0.46658),(3535,5885,2.3365,0.46187),(3535,5895,2.3351,0.45716),(3535,5905,2.3338,0.45245),(3535,5915,2.3324,0.44777),(3535,5925,2.331,0.44309),(3535,5935,2.3297,0.43842),(3535,5945,2.3283,0.43377),(3535,5955,2.3269,0.42914),(3535,5965,2.3256,0.4245),(3535,5975,2.3242,0.41988),(3535,5985,2.3229,0.41529),(3535,5995,1.7759,0.4107),(3535,6005,1.1411,0.4072),(3535,6015,0.50635,0.40665),(3535,6025,0.66068,0.4061),(3535,6035,1.181,0.40508),(3535,6045,1.7013,0.39948),(3535,6055,2.0619,0.39389),(3535,6065,2.2657,0.38829),(3535,6075,2.4696,0.38102),(3535,6085,2.6071,0.37359),(3535,6095,2.6078,0.36617),(3535,6105,2.6086,0.35872),(3535,6115,2.6093,0.35126),(3535,6125,2.61,0.34381),(3535,6135,2.6107,0.33641),(3535,6145,2.6114,0.32906),(3535,6155,2.612,0.32171),(3535,6165,2.6126,0.31439),(3535,6175,2.6133,0.30712),(3535,6185,2.6139,0.29985),(3535,6195,2.6145,0.2926),(3535,6205,2.6151,0.28543),(3535,6215,2.6156,0.27827),(3535,6225,2.6162,0.2711),(3535,6235,2.6167,0.26394),(3535,6245,2.6172,0.25678),(3535,6255,2.6177,0.24962),(3535,6265,2.6182,0.24251),(3535,6275,2.6187,0.23539),(3535,6285,2.6191,0.22828),(3535,6295,2.6196,0.22128),(3535,6305,2.6201,0.21432),(3535,6315,2.6204,0.20737),(3535,6325,2.6208,0.20041),(3535,6335,2.6212,0.19343),(3535,6345,2.6216,0.18646),(3535,6355,2.622,0.17952),(3535,6365,2.6223,0.17267),(3535,6375,2.6226,0.16582),(3535,6385,2.623,0.15896),(3535,6395,2.6233,0.15208),(3535,6405,2.6236,0.1452),(3535,6415,2.6238,0.13833),(3535,6425,2.6241,0.13148),(3535,6435,2.6244,0.12464),(3535,6445,2.6246,0.11781),(3535,6455,2.6248,0.11103),(3535,6465,2.6251,0.10428),(3535,6475,2.6252,0.097535),(3535,6485,2.6254,0.090792),(3535,6495,2.6256,0.084055),(3535,6505,2.6258,0.077317),(3535,6515,2.6259,0.070587),(3535,6525,2.6261,0.063867),(3535,6535,2.6262,0.057147),(3535,6545,2.6263,0.050418),(3535,6555,2.6264,0.043664),(3535,6565,2.6265,0.036909),(3535,6575,2.6265,0.030164),(3535,6585,2.6266,0.023555),(3535,6595,2.2341,0.016947),(3535,6605,1.4082,0.010338),(3535,6615,0.58223,0.009602),(3535,6625,0.001604,0.009621),(3535,6635,0.001602,0.00964),(3535,6645,0.0016,0.009642),(3535,6655,0.001598,0.009635),(3535,6665,0.001596,0.009629),(3535,6675,0.001594,0.009623),(3535,6685,0.001592,0.009617),(3535,6695,0.00159,0.009611),(3535,6705,0.001589,0.009605),(3535,6715,0.001587,0.009599),(3535,6725,0.001585,0.009593),(3535,6735,0.001584,0.009587),(3535,6745,0.001583,0.00958),(3535,6755,0.001581,0.009574),(3535,6765,0.00158,0.009567),(3535,6775,0.001579,0.009561),(3535,6785,0.001578,0.009554),(3535,6795,0.001577,0.009548),(3535,6805,0.001576,0.009541),(3535,6815,0.001575,0.009534),(3535,6825,0.001574,0.009527),(3535,6835,0.001573,0.00952),(3535,6845,0.001572,0.009513),(3535,6855,0.001572,0.009506),(3535,6865,0.001571,0.009499),(3535,6875,0.00157,0.009492),(3535,6885,0.00157,0.009485),(3535,6895,0.001569,0.009478),(3535,6905,0.001569,0.009471),(3535,6915,0.001568,0.009464),(3535,6925,0.001568,0.009456),(3535,6935,0.001567,0.009449),(3535,6945,0.001567,0.009442),(3535,6955,0.001567,0.009434),(3535,6965,0.001566,0.009427),(3535,6975,0.001566,0.009419),(3535,6985,0.001566,0.009412),(3545,5,4e-06,3.689),(3545,15,1.1e-05,3.689),(3545,25,1.8e-05,3.689),(3545,35,2.5e-05,3.689),(3545,45,3.2e-05,3.689),(3545,55,4e-05,3.689),(3545,65,4.6e-05,3.689),(3545,75,5.3e-05,3.689),(3545,85,5.9e-05,3.689),(3545,95,6.6e-05,3.689),(3545,105,7.2e-05,3.6889),(3545,115,7.7e-05,3.6889),(3545,125,8.3e-05,3.6889),(3545,135,8.8e-05,3.6889),(3545,145,9.3e-05,3.6889),(3545,155,9.6e-05,3.6889),(3545,165,0.0001,3.6889),(3545,175,0.000104,3.6889),(3545,185,0.000107,3.6889),(3545,195,0.000109,3.6889),(3545,205,0.000111,3.6889),(3545,215,0.000113,3.6889),(3545,225,0.000113,3.6889),(3545,235,0.000112,3.6889),(3545,245,0.000112,3.6889),(3545,255,0.000112,3.6889),(3545,265,0.000109,3.6889),(3545,275,0.000106,3.6889),(3545,285,0.000102,3.6889),(3545,295,9.9e-05,3.6888),(3545,305,9.3e-05,3.6888),(3545,315,8.6e-05,3.6888),(3545,325,8e-05,3.6888),(3545,335,7.3e-05,3.6888),(3545,345,6.3e-05,3.6888),(3545,355,5.2e-05,3.6888),(3545,365,4.1e-05,3.6888),(3545,375,3e-05,3.6888),(3545,385,1.6e-05,3.6888),(3545,395,0,3.6888),(3545,405,-1.5e-05,3.6888),(3545,415,-3e-05,3.6887),(3545,425,-5e-05,3.6887),(3545,435,-7.1e-05,3.6887),(3545,445,-9.2e-05,3.6887),(3545,455,-0.000112,3.6887),(3545,465,-0.000138,3.6887),(3545,475,-0.000165,3.6887),(3545,485,-0.000192,3.6887),(3545,495,-0.000218,3.6887),(3545,505,-0.000252,3.6887),(3545,515,-0.000285,3.6887),(3545,525,-0.000318,3.6886),(3545,535,-0.000352,3.6886),(3545,545,-0.000392,3.6886),(3545,555,-0.000433,3.6886),(3545,565,-0.000474,3.6886),(3545,575,-0.000515,3.6886),(3545,585,-0.000564,3.6886),(3545,595,-0.000613,3.6886),(3545,605,-0.000662,3.6886),(3545,615,-0.000712,3.6886),(3545,625,-0.00077,3.6886),(3545,635,-0.000827,3.6886),(3545,645,-0.000885,3.6886),(3545,655,-0.000945,3.6886),(3545,665,-0.001013,3.6886),(3545,675,-0.001081,3.6886),(3545,685,-0.001149,3.6886),(3545,695,-0.001219,3.6886),(3545,705,-0.001298,3.6886),(3545,715,-0.001376,3.6886),(3545,725,-0.001455,3.6886),(3545,735,-0.001537,3.6886),(3545,745,-0.001627,3.6886),(3545,755,-0.001718,3.6886),(3545,765,-0.001808,3.6886),(3545,775,-0.001902,3.6886),(3545,785,-0.002006,3.6886),(3545,795,-0.002109,3.6886),(3545,805,-0.002212,3.6887),(3545,815,-0.00232,3.6887),(3545,825,-0.002436,3.6887),(3545,835,-0.002553,3.6887),(3545,845,-0.00267,3.6887),(3545,855,-0.002792,3.6888),(3545,865,-0.002923,3.6888),(3545,875,-0.003054,3.6888),(3545,885,-0.003185,3.6888),(3545,895,-0.003322,3.6889),(3545,905,-0.003468,3.6889),(3545,915,-0.003614,3.689),(3545,925,-0.003761,3.689),(3545,935,-0.003914,3.689),(3545,945,-0.004076,3.6891),(3545,955,-0.004238,3.6891),(3545,965,-0.0044,3.6892),(3545,975,-0.004569,3.6893),(3545,985,-0.004747,3.6893),(3545,995,-0.004925,3.6894),(3545,1005,-0.005103,3.6895),(3545,1015,-0.00529,3.6895),(3545,1025,-0.005485,3.6896),(3545,1035,-0.005679,3.6897),(3545,1045,-0.005874,3.6898),(3545,1055,-0.006078,3.6899),(3545,1065,-0.00629,3.69),(3545,1075,-0.006501,3.6901),(3545,1085,-0.006713,3.6902),(3545,1095,-0.006934,3.6903),(3545,1105,-0.007162,3.6904),(3545,1115,-0.007391,3.6905),(3545,1125,-0.007619,3.6907),(3545,1135,-0.007857,3.6908),(3545,1145,-0.008102,3.6909),(3545,1155,-0.008346,3.6911),(3545,1165,-0.008591,3.6913),(3545,1175,-0.008846,3.6914),(3545,1185,-0.009107,3.6916),(3545,1195,-0.009367,3.6918),(3545,1205,-0.009628,3.6919),(3545,1215,-0.0099,3.6921),(3545,1225,-0.010176,3.6923),(3545,1235,-0.010452,3.6925),(3545,1245,-0.010728,3.6927),(3545,1255,-0.011015,3.693),(3545,1265,-0.011306,3.6932),(3545,1275,-0.011597,3.6934),(3545,1285,-0.011888,3.6937),(3545,1295,-0.01219,3.6939),(3545,1305,-0.012494,3.6941),(3545,1315,-0.012799,3.6944),(3545,1325,-0.013104,3.6947),(3545,1335,-0.013419,3.695),(3545,1345,-0.013738,3.6952),(3545,1355,-0.014056,3.6956),(3545,1365,-0.014374,3.6959),(3545,1375,-0.014703,3.6962),(3545,1385,-0.015033,3.6965),(3545,1395,-0.015364,3.6968),(3545,1405,-0.015695,3.6972),(3545,1415,-0.016037,3.6975),(3545,1425,-0.016379,3.6979),(3545,1435,-0.016722,3.6983),(3545,1445,-0.017065,3.6986),(3545,1455,-0.017419,3.699),(3545,1465,-0.017774,3.6994),(3545,1475,-0.018128,3.6998),(3545,1485,-0.018483,3.7002),(3545,1495,-0.01885,3.7007),(3545,1505,-0.019216,3.7011),(3545,1515,-0.019583,3.7015),(3545,1525,-0.01995,3.702),(3545,1535,-0.02033,3.7025),(3545,1545,-0.02071,3.7029),(3545,1555,-0.021089,3.7034),(3545,1565,-0.02147,3.7039),(3545,1575,-0.021863,3.7044),(3545,1585,-0.022257,3.7049),(3545,1595,-0.02265,3.7055),(3545,1605,-0.023045,3.706),(3545,1615,-0.023454,3.7065),(3545,1625,-0.023863,3.7071),(3545,1635,-0.024271,3.7077),(3545,1645,-0.024683,3.7083),(3545,1655,-0.025109,3.7088),(3545,1665,-0.025536,3.7094),(3545,1675,-0.025962,3.7101),(3545,1685,-0.026392,3.7107),(3545,1695,-0.026839,3.7113),(3545,1705,-0.027286,3.7119),(3545,1715,-0.027733,3.7126),(3545,1725,-0.028185,3.7133),(3545,1735,-0.028656,3.714),(3545,1745,-0.029126,3.7147),(3545,1755,-0.029597,3.7154),(3545,1765,-0.030075,3.7161),(3545,1775,-0.030574,3.7168),(3545,1785,-0.031074,3.7176),(3545,1795,-0.031573,3.7183),(3545,1805,-0.032082,3.7191),(3545,1815,-0.032613,3.7199),(3545,1825,-0.033145,3.7207),(3545,1835,-0.033677,3.7215),(3545,1845,-0.034222,3.7224),(3545,1855,-0.034793,3.7232),(3545,1865,-0.035363,3.7241),(3545,1875,-0.035933,3.725),(3545,1885,-0.036521,3.7259),(3545,1895,-0.037136,3.7268),(3545,1905,-0.037751,3.7278),(3545,1915,-0.038366,3.7287),(3545,1925,-0.039002,3.7297),(3545,1935,-0.039669,3.7307),(3545,1945,-0.040335,3.7317),(3545,1955,-0.041002,3.7328),(3545,1965,-0.041695,3.7339),(3545,1975,-0.042421,3.735),(3545,1985,-0.043147,3.7361),(3545,1995,-0.043873,3.7373),(3545,2005,-0.044632,3.7384),(3545,2015,-0.045425,3.7396),(3545,2025,-0.046219,3.7408),(3545,2035,-0.047012,3.7421),(3545,2045,-0.047847,3.7434),(3545,2055,-0.048717,3.7447),(3545,2065,-0.049587,3.7461),(3545,2075,-0.050456,3.7475),(3545,2085,-0.051376,3.7489),(3545,2095,-0.052332,3.7504),(3545,2105,-0.053287,3.7519),(3545,2115,-0.054243,3.7535),(3545,2125,-0.055258,3.7551),(3545,2135,-0.056309,3.7567),(3545,2145,-0.05736,3.7584),(3545,2155,-0.058412,3.7602),(3545,2165,-0.059532,3.762),(3545,2175,-0.060688,3.7638),(3545,2185,-0.061844,3.7657),(3545,2195,-0.063001,3.7677),(3545,2205,-0.064236,3.7697),(3545,2215,-0.065506,3.7717),(3545,2225,-0.066775,3.774),(3545,2235,-0.068045,3.7763),(3545,2245,-0.069403,3.7786),(3545,2255,-0.070792,3.7809),(3545,2265,-0.072182,3.7834),(3545,2275,-0.073571,3.786),(3545,2285,-0.075055,3.7887),(3545,2295,-0.076566,3.7913),(3545,2305,-0.078077,3.7942),(3545,2315,-0.079588,3.7973),(3545,2325,-0.081195,3.8003),(3545,2335,-0.082823,3.8034),(3545,2345,-0.084451,3.8068),(3545,2355,-0.086079,3.8103),(3545,2365,-0.087793,3.8139),(3545,2375,-0.089522,3.8174),(3545,2385,-0.091251,3.8214),(3545,2395,-0.092979,3.8256),(3545,2405,-0.094767,3.8297),(3545,2415,-0.096561,3.8338),(3545,2425,-0.098355,3.8386),(3545,2435,-0.10015,3.8435),(3545,2445,-0.10195,3.8484),(3545,2455,-0.10374,3.8532),(3545,2465,-0.10554,3.8589),(3545,2475,-0.10733,3.8646),(3545,2485,-0.10903,3.8704),(3545,2495,-0.11072,3.8761),(3545,2505,-0.1124,3.8829),(3545,2515,-0.11409,3.8897),(3545,2525,-0.1155,3.8965),(3545,2535,-0.11691,3.9033),(3545,2545,-0.11832,3.9114),(3545,2555,-0.1197,3.9194),(3545,2565,-0.12056,3.9274),(3545,2575,-0.12142,3.9356),(3545,2585,-0.12228,3.945),(3545,2595,-0.12305,3.9544),(3545,2605,-0.12298,3.9639),(3545,2615,-0.1229,3.9735),(3545,2625,-0.12282,3.9844),(3545,2635,-0.12255,3.9954),(3545,2645,-0.121,4.0063),(3545,2655,-0.11945,4.0175),(3545,2665,-0.11789,4.0298),(3545,2675,-0.11597,4.0422),(3545,2685,-0.11228,4.0546),(3545,2695,-0.1086,4.0672),(3545,2705,-0.10491,4.0806),(3545,2715,-0.10062,4.0941),(3545,2725,-0.094128,4.1075),(3545,2735,-0.087632,4.1211),(3545,2745,-0.081137,4.1348),(3545,2755,-0.073831,4.1486),(3545,2765,-0.064127,4.1623),(3545,2775,-0.054424,4.1758),(3545,2785,-0.04472,4.1887),(3545,2795,-0.034159,4.2016),(3545,2805,-0.021522,4.2144),(3545,2815,-0.008884,4.2268),(3545,2825,0.003753,4.2379),(3545,2835,0.017162,4.2491),(3545,2845,0.032124,4.2602),(3545,2855,0.047086,4.2706),(3545,2865,0.062049,4.2796),(3545,2875,0.077638,4.2885),(3545,2885,0.094291,4.2975),(3545,2895,0.11094,4.3056),(3545,2905,0.1276,4.3122),(3545,2915,0.14473,4.3189),(3545,2925,0.16256,4.3255),(3545,2935,0.18038,4.3312),(3545,2945,0.19821,4.3356),(3545,2955,0.2164,4.34),(3545,2965,0.23503,4.3444),(3545,2975,0.25366,4.3478),(3545,2985,0.27229,4.35),(3545,2995,0.2912,4.3523),(3545,3005,0.31039,4.3545),(3545,3015,0.32959,4.3557),(3545,3025,0.34878,4.3559),(3545,3035,0.3682,4.3561),(3545,3045,0.38781,4.3563),(3545,3055,0.40743,4.3554),(3545,3065,0.42704,4.3536),(3545,3075,0.44685,4.3518),(3545,3085,0.46681,4.35),(3545,3095,0.48677,4.3471),(3545,3105,0.50673,4.3434),(3545,3115,0.52688,4.3397),(3545,3125,0.54715,4.336),(3545,3135,0.56743,4.3311),(3545,3145,0.5877,4.3255),(3545,3155,0.60817,4.3198),(3545,3165,0.62874,4.3142),(3545,3175,0.64932,4.3072),(3545,3185,0.66989,4.2996),(3545,3195,0.69067,4.2919),(3545,3205,0.71155,4.2843),(3545,3215,0.73242,4.2751),(3545,3225,0.75329,4.2653),(3545,3235,0.77437,4.2556),(3545,3245,0.79553,4.2458),(3545,3255,0.81669,4.2342),(3545,3265,0.83784,4.2221),(3545,3275,0.85918,4.21),(3545,3285,0.88057,4.1979),(3545,3295,0.90197,4.1837),(3545,3305,0.92336,4.169),(3545,3315,0.94486,4.1542),(3545,3325,0.96638,4.1395),(3545,3335,0.9879,4.1223),(3545,3345,1.0094,4.1046),(3545,3355,1.0309,4.0869),(3545,3365,1.0523,4.0692),(3545,3375,1.0738,4.0485),(3545,3385,1.0953,4.0274),(3545,3395,1.1163,4.0063),(3545,3405,1.1374,3.9852),(3545,3415,1.1584,3.9606),(3545,3425,1.1795,3.9356),(3545,3435,1.1996,3.9107),(3545,3445,1.2197,3.8857),(3545,3455,1.2397,3.8566),(3545,3465,1.2598,3.8272),(3545,3475,1.2781,3.7979),(3545,3485,1.2963,3.7685),(3545,3495,1.3146,3.7345),(3545,3505,1.3328,3.7003),(3545,3515,1.348,3.6662),(3545,3525,1.3631,3.632),(3545,3535,1.3783,3.593),(3545,3545,1.3933,3.5541),(3545,3555,1.4038,3.5151),(3545,3565,1.4142,3.4759),(3545,3575,1.4247,3.4327),(3545,3585,1.4347,3.3894),(3545,3595,1.4387,3.3462),(3545,3605,1.4427,3.3028),(3545,3615,1.4467,3.257),(3545,3625,1.4497,3.2113),(3545,3635,1.4459,3.1655),(3545,3645,1.4422,3.1198),(3545,3655,1.4384,3.0744),(3545,3665,1.4334,3.029),(3545,3675,1.4223,2.9836),(3545,3685,1.4111,2.9388),(3545,3695,1.4,2.8967),(3545,3705,1.3878,2.8545),(3545,3715,1.3716,2.8124),(3545,3725,1.3554,2.7712),(3545,3735,1.3392,2.7333),(3545,3745,1.3223,2.6954),(3545,3755,1.3034,2.6574),(3545,3765,1.2845,2.6206),(3545,3775,1.2655,2.5868),(3545,3785,1.2464,2.553),(3545,3795,1.2266,2.5192),(3545,3805,1.2068,2.4865),(3545,3815,1.1871,2.4564),(3545,3825,1.1675,2.4264),(3545,3835,1.1485,2.3963),(3545,3845,1.1294,2.3675),(3545,3855,1.1104,2.341),(3545,3865,1.0921,2.3145),(3545,3875,1.0751,2.288),(3545,3885,1.0581,2.263),(3545,3895,1.0411,2.2404),(3545,3905,1.0252,2.2179),(3545,3915,1.0111,2.1953),(3545,3925,0.99698,2.1749),(3545,3935,0.98285,2.1575),(3545,3945,0.96984,2.14),(3545,3955,0.95826,2.1226),(3545,3965,0.94667,2.1081),(3545,3975,0.93508,2.0972),(3545,3985,0.92367,2.0862),(3545,3995,0.91244,2.0753),(3545,4005,0.90121,2.0671),(3545,4015,0.88998,2.0617),(3545,4025,1.1905,2.0564),(3545,4035,1.5216,2.0497),(3545,4045,1.8526,2.0403),(3545,4055,2.085,2.0309),(3545,4065,2.2814,2.0208),(3545,4075,2.4779,2.0063),(3545,4085,2.563,1.9919),(3545,4095,2.5588,1.9775),(3545,4105,2.5546,1.9623),(3545,4115,2.4713,1.947),(3545,4125,2.2571,1.9318),(3545,4135,2.0429,1.9201),(3545,4145,1.8269,1.9093),(3545,4155,1.6033,1.8985),(3545,4165,1.3796,1.8912),(3545,4175,1.1685,1.8862),(3545,4185,1.5768,1.8812),(3545,4195,1.9851,1.8714),(3545,4205,2.3934,1.8553),(3545,4215,2.4534,1.8391),(3545,4225,2.4479,1.8228),(3545,4235,2.4423,1.8061),(3545,4245,2.4134,1.7894),(3545,4255,2.3726,1.7725),(3545,4265,2.3318,1.7535),(3545,4275,2.0503,1.7345),(3545,4285,1.5133,1.7156),(3545,4295,0.97634,1.7114),(3545,4305,0.75302,1.7089),(3545,4315,1.2379,1.7065),(3545,4325,1.7229,1.6962),(3545,4335,2.1535,1.6829),(3545,4345,2.2172,1.6696),(3545,4355,2.2808,1.6553),(3545,4365,2.3444,1.6402),(3545,4375,2.3463,1.6252),(3545,4385,2.345,1.6101),(3545,4395,2.3437,1.595),(3545,4405,2.0626,1.5799),(3545,4415,1.699,1.5663),(3545,4425,1.3354,1.5595),(3545,4435,1.1802,1.5526),(3545,4445,1.1673,1.5458),(3545,4455,1.1544,1.5393),(3545,4465,1.2968,1.5329),(3545,4475,1.6573,1.5264),(3545,4485,2.0178,1.5135),(3545,4495,2.2926,1.4992),(3545,4505,2.2926,1.485),(3545,4515,2.2925,1.4708),(3545,4525,2.288,1.4567),(3545,4535,2.2119,1.4426),(3545,4545,2.1358,1.4293),(3545,4555,2.0598,1.4169),(3545,4565,1.5814,1.4046),(3545,4575,1.0489,1.3956),(3545,4585,0.51638,1.3949),(3545,4595,0.74827,1.3942),(3545,4605,1.3031,1.3917),(3545,4615,1.858,1.3752),(3545,4625,2.1402,1.3588),(3545,4635,2.1753,1.3424),(3545,4645,2.2104,1.3289),(3545,4655,2.2344,1.3155),(3545,4665,2.2373,1.3022),(3545,4675,2.2402,1.2893),(3545,4685,2.1658,1.2765),(3545,4695,1.7089,1.2637),(3545,4705,1.2521,1.2562),(3545,4715,0.79523,1.2525),(3545,4725,1.0109,1.2488),(3545,4735,1.2333,1.2434),(3545,4745,1.4557,1.2355),(3545,4755,1.6828,1.2276),(3545,4765,1.911,1.2187),(3545,4775,2.1392,1.2064),(3545,4785,2.2236,1.1941),(3545,4795,2.2248,1.1817),(3545,4805,2.226,1.1697),(3545,4815,2.1201,1.1577),(3545,4825,1.8862,1.1457),(3545,4835,1.6523,1.1375),(3545,4845,1.4155,1.1298),(3545,4855,1.171,1.1222),(3545,4865,0.92655,1.1177),(3545,4875,0.75305,1.1147),(3545,4885,1.2253,1.1117),(3545,4895,1.6975,1.1046),(3545,4905,2.1697,1.0935),(3545,4915,2.2073,1.0823),(3545,4925,2.2075,1.0712),(3545,4935,2.2077,1.06),(3545,4945,2.1923,1.0488),(3545,4955,2.1715,1.0373),(3545,4965,2.1506,1.024),(3545,4975,1.7929,1.0107),(3545,4985,1.1752,0.99744),(3545,4995,0.55743,0.99675),(3545,5005,0.36253,0.99639),(3545,5015,0.83988,0.99603),(3545,5025,1.3172,0.98932),(3545,5035,1.7284,0.98099),(3545,5045,1.8876,0.97266),(3545,5055,2.0469,0.96267),(3545,5065,2.2014,0.95164),(3545,5075,2.203,0.94061),(3545,5085,2.2045,0.92965),(3545,5095,2.2061,0.91877),(3545,5105,1.9291,0.90789),(3545,5115,1.6036,0.89842),(3545,5125,1.278,0.89291),(3545,5135,1.1139,0.88741),(3545,5145,1.0281,0.88205),(3545,5155,0.94235,0.87823),(3545,5165,1.1059,0.87441),(3545,5175,1.5237,0.87058),(3545,5185,1.9415,0.86104),(3545,5195,2.2273,0.8509),(3545,5205,2.2282,0.84077),(3545,5215,2.2292,0.83073),(3545,5225,2.2186,0.82074),(3545,5235,2.1361,0.81075),(3545,5245,2.0536,0.80146),(3545,5255,1.971,0.79274),(3545,5265,1.3898,0.78403),(3545,5275,0.78793,0.77856),(3545,5285,0.1861,0.77858),(3545,5295,0.5853,0.77861),(3545,5305,1.2633,0.77666),(3545,5315,1.9412,0.76648),(3545,5325,2.2169,0.7563),(3545,5335,2.2286,0.74614),(3545,5345,2.2404,0.73742),(3545,5355,2.2473,0.7287),(3545,5365,2.2476,0.71998),(3545,5375,2.248,0.71142),(3545,5385,2.1199,0.70289),(3545,5395,1.6016,0.69437),(3545,5405,1.0833,0.69007),(3545,5415,0.62086,0.68796),(3545,5425,0.9083,0.68585),(3545,5435,1.1957,0.68301),(3545,5445,1.4832,0.6794),(3545,5455,1.7612,0.67578),(3545,5465,2.038,0.67151),(3545,5475,2.3148,0.66572),(3545,5485,2.3931,0.65993),(3545,5495,2.3915,0.65416),(3545,5505,2.3899,0.64852),(3545,5515,2.3883,0.64288),(3545,5525,2.3868,0.63724),(3545,5535,2.3852,0.63174),(3545,5545,2.3837,0.62625),(3545,5555,2.3821,0.62076),(3545,5565,2.3806,0.61537),(3545,5575,2.3791,0.61),(3545,5585,2.3775,0.60464),(3545,5595,2.376,0.59934),(3545,5605,2.3745,0.59409),(3545,5615,2.373,0.58884),(3545,5625,2.3715,0.58363),(3545,5635,2.37,0.57847),(3545,5645,2.3685,0.57332),(3545,5655,2.367,0.56819),(3545,5665,2.3655,0.56312),(3545,5675,2.3641,0.55805),(3545,5685,2.3626,0.55298),(3545,5695,2.3611,0.54801),(3545,5705,2.3597,0.54304),(3545,5715,2.3582,0.53807),(3545,5725,2.3568,0.53314),(3545,5735,2.3553,0.52823),(3545,5745,2.3539,0.52331),(3545,5755,2.3525,0.51843),(3545,5765,2.3511,0.51358),(3545,5775,2.3497,0.50872),(3545,5785,2.3483,0.50389),(3545,5795,2.3469,0.49908),(3545,5805,2.3455,0.49427),(3545,5815,2.3441,0.48948),(3545,5825,2.3427,0.48473),(3545,5835,2.3413,0.47998),(3545,5845,2.3399,0.47524),(3545,5855,2.3385,0.47054),(3545,5865,2.3371,0.46585),(3545,5875,2.3357,0.46116),(3545,5885,2.3343,0.45651),(3545,5895,2.333,0.45187),(3545,5905,2.3316,0.44722),(3545,5915,2.3302,0.4426),(3545,5925,2.3288,0.438),(3545,5935,2.3275,0.43339),(3545,5945,2.3261,0.4288),(3545,5955,2.3247,0.42423),(3545,5965,2.3234,0.41965),(3545,5975,2.322,0.4151),(3545,5985,2.3207,0.41056),(3545,5995,1.7742,0.40602),(3545,6005,1.14,0.40257),(3545,6015,0.50582,0.40203),(3545,6025,0.66051,0.40149),(3545,6035,1.1811,0.40047),(3545,6045,1.7017,0.39494),(3545,6055,2.0624,0.3894),(3545,6065,2.2663,0.38386),(3545,6075,2.4702,0.37667),(3545,6085,2.6077,0.36932),(3545,6095,2.6084,0.36197),(3545,6105,2.6091,0.35461),(3545,6115,2.6098,0.34723),(3545,6125,2.6105,0.33986),(3545,6135,2.6112,0.33254),(3545,6145,2.6118,0.32526),(3545,6155,2.6124,0.31799),(3545,6165,2.6131,0.31075),(3545,6175,2.6137,0.30355),(3545,6185,2.6143,0.29636),(3545,6195,2.6148,0.28918),(3545,6205,2.6154,0.28209),(3545,6215,2.6159,0.275),(3545,6225,2.6164,0.26792),(3545,6235,2.617,0.26084),(3545,6245,2.6175,0.25376),(3545,6255,2.618,0.24668),(3545,6265,2.6184,0.23965),(3545,6275,2.6189,0.23262),(3545,6285,2.6193,0.2256),(3545,6295,2.6197,0.21866),(3545,6305,2.6201,0.21177),(3545,6315,2.6205,0.20488),(3545,6325,2.6209,0.198),(3545,6335,2.6213,0.19111),(3545,6345,2.6217,0.18423),(3545,6355,2.622,0.17738),(3545,6365,2.6223,0.17061),(3545,6375,2.6227,0.16384),(3545,6385,2.623,0.15707),(3545,6395,2.6233,0.15028),(3545,6405,2.6235,0.14348),(3545,6415,2.6238,0.13669),(3545,6425,2.6241,0.12993),(3545,6435,2.6243,0.12317),(3545,6445,2.6245,0.11641),(3545,6455,2.6247,0.10973),(3545,6465,2.625,0.10306),(3545,6475,2.6251,0.096399),(3545,6485,2.6253,0.089742),(3545,6495,2.6255,0.08309),(3545,6505,2.6256,0.076439),(3545,6515,2.6258,0.069795),(3545,6525,2.6259,0.063162),(3545,6535,2.626,0.056528),(3545,6545,2.6261,0.04989),(3545,6555,2.6262,0.043235),(3545,6565,2.6263,0.03658),(3545,6575,2.6263,0.029933),(3545,6585,2.6264,0.023405),(3545,6595,2.2339,0.016878),(3545,6605,1.4081,0.010351),(3545,6615,0.58218,0.009617),(3545,6625,0.001606,0.009629),(3545,6635,0.001604,0.00964),(3545,6645,0.001602,0.00964),(3545,6655,0.001599,0.009634),(3545,6665,0.001597,0.009628),(3545,6675,0.001596,0.009622),(3545,6685,0.001594,0.009616),(3545,6695,0.001592,0.00961),(3545,6705,0.00159,0.009604),(3545,6715,0.001589,0.009598),(3545,6725,0.001587,0.009591),(3545,6735,0.001586,0.009585),(3545,6745,0.001585,0.009579),(3545,6755,0.001584,0.009573),(3545,6765,0.001582,0.009566),(3545,6775,0.001581,0.00956),(3545,6785,0.00158,0.009553),(3545,6795,0.001579,0.009547),(3545,6805,0.001578,0.00954),(3545,6815,0.001577,0.009533),(3545,6825,0.001577,0.009526),(3545,6835,0.001576,0.00952),(3545,6845,0.001575,0.009513),(3545,6855,0.001575,0.009506),(3545,6865,0.001574,0.009499),(3545,6875,0.001573,0.009492),(3545,6885,0.001573,0.009485),(3545,6895,0.001572,0.009478),(3545,6905,0.001572,0.00947),(3545,6915,0.001571,0.009463),(3545,6925,0.001571,0.009456),(3545,6935,0.001571,0.009449),(3545,6945,0.00157,0.009441),(3545,6955,0.00157,0.009434),(3545,6965,0.00157,0.009427),(3545,6975,0.001569,0.009419),(3545,6985,0.001569,0.009411),(3555,5,4e-06,3.689),(3555,15,1.1e-05,3.689),(3555,25,1.9e-05,3.689),(3555,35,2.6e-05,3.689),(3555,45,3.3e-05,3.689),(3555,55,4e-05,3.689),(3555,65,4.7e-05,3.689),(3555,75,5.4e-05,3.689),(3555,85,6.1e-05,3.689),(3555,95,6.7e-05,3.689),(3555,105,7.3e-05,3.689),(3555,115,7.9e-05,3.689),(3555,125,8.5e-05,3.6889),(3555,135,9e-05,3.6889),(3555,145,9.5e-05,3.6889),(3555,155,9.9e-05,3.6889),(3555,165,0.000103,3.6889),(3555,175,0.000107,3.6889),(3555,185,0.00011,3.6889),(3555,195,0.000112,3.6889),(3555,205,0.000114,3.6889),(3555,215,0.000116,3.6889),(3555,225,0.000116,3.6889),(3555,235,0.000116,3.6889),(3555,245,0.000116,3.6889),(3555,255,0.000115,3.6889),(3555,265,0.000113,3.6889),(3555,275,0.00011,3.6889),(3555,285,0.000107,3.6889),(3555,295,0.000103,3.6888),(3555,305,9.7e-05,3.6888),(3555,315,9.1e-05,3.6888),(3555,325,8.4e-05,3.6888),(3555,335,7.7e-05,3.6888),(3555,345,6.7e-05,3.6888),(3555,355,5.7e-05,3.6888),(3555,365,4.6e-05,3.6888),(3555,375,3.5e-05,3.6888),(3555,385,2e-05,3.6888),(3555,395,5e-06,3.6887),(3555,405,-1e-05,3.6887),(3555,415,-2.5e-05,3.6887),(3555,425,-4.5e-05,3.6887),(3555,435,-6.6e-05,3.6887),(3555,445,-8.7e-05,3.6887),(3555,455,-0.000107,3.6887),(3555,465,-0.000134,3.6887),(3555,475,-0.00016,3.6887),(3555,485,-0.000187,3.6887),(3555,495,-0.000214,3.6886),(3555,505,-0.000247,3.6886),(3555,515,-0.000281,3.6886),(3555,525,-0.000314,3.6886),(3555,535,-0.000348,3.6886),(3555,545,-0.000389,3.6886),(3555,555,-0.00043,3.6886),(3555,565,-0.000471,3.6886),(3555,575,-0.000513,3.6886),(3555,585,-0.000562,3.6886),(3555,595,-0.000611,3.6885),(3555,605,-0.00066,3.6885),(3555,615,-0.000711,3.6885),(3555,625,-0.000769,3.6885),(3555,635,-0.000828,3.6885),(3555,645,-0.000886,3.6885),(3555,655,-0.000946,3.6885),(3555,665,-0.001015,3.6885),(3555,675,-0.001084,3.6885),(3555,685,-0.001152,3.6885),(3555,695,-0.001223,3.6885),(3555,705,-0.001303,3.6885),(3555,715,-0.001383,3.6885),(3555,725,-0.001462,3.6885),(3555,735,-0.001545,3.6885),(3555,745,-0.001636,3.6885),(3555,755,-0.001728,3.6885),(3555,765,-0.00182,3.6885),(3555,775,-0.001915,3.6885),(3555,785,-0.00202,3.6885),(3555,795,-0.002124,3.6885),(3555,805,-0.002229,3.6885),(3555,815,-0.002338,3.6886),(3555,825,-0.002457,3.6886),(3555,835,-0.002575,3.6886),(3555,845,-0.002694,3.6886),(3555,855,-0.002817,3.6886),(3555,865,-0.00295,3.6887),(3555,875,-0.003084,3.6887),(3555,885,-0.003217,3.6887),(3555,895,-0.003356,3.6887),(3555,905,-0.003505,3.6888),(3555,915,-0.003653,3.6888),(3555,925,-0.003802,3.6888),(3555,935,-0.003958,3.6889),(3555,945,-0.004123,3.6889),(3555,955,-0.004288,3.689),(3555,965,-0.004452,3.689),(3555,975,-0.004625,3.6891),(3555,985,-0.004807,3.6891),(3555,995,-0.004988,3.6892),(3555,1005,-0.005169,3.6893),(3555,1015,-0.00536,3.6893),(3555,1025,-0.005558,3.6894),(3555,1035,-0.005757,3.6895),(3555,1045,-0.005955,3.6896),(3555,1055,-0.006163,3.6897),(3555,1065,-0.006379,3.6898),(3555,1075,-0.006595,3.6899),(3555,1085,-0.006811,3.69),(3555,1095,-0.007037,3.6901),(3555,1105,-0.00727,3.6902),(3555,1115,-0.007503,3.6903),(3555,1125,-0.007736,3.6904),(3555,1135,-0.00798,3.6906),(3555,1145,-0.00823,3.6907),(3555,1155,-0.008479,3.6908),(3555,1165,-0.008729,3.691),(3555,1175,-0.00899,3.6912),(3555,1185,-0.009257,3.6913),(3555,1195,-0.009523,3.6915),(3555,1205,-0.00979,3.6917),(3555,1215,-0.010067,3.6919),(3555,1225,-0.01035,3.692),(3555,1235,-0.010632,3.6922),(3555,1245,-0.010915,3.6924),(3555,1255,-0.011209,3.6927),(3555,1265,-0.011506,3.6929),(3555,1275,-0.011804,3.6931),(3555,1285,-0.012101,3.6933),(3555,1295,-0.01241,3.6936),(3555,1305,-0.012722,3.6938),(3555,1315,-0.013034,3.6941),(3555,1325,-0.013346,3.6944),(3555,1335,-0.013669,3.6946),(3555,1345,-0.013994,3.6949),(3555,1355,-0.01432,3.6952),(3555,1365,-0.014645,3.6955),(3555,1375,-0.014982,3.6958),(3555,1385,-0.015321,3.6962),(3555,1395,-0.015659,3.6965),(3555,1405,-0.015998,3.6968),(3555,1415,-0.016347,3.6972),(3555,1425,-0.016698,3.6975),(3555,1435,-0.017049,3.6979),(3555,1445,-0.0174,3.6983),(3555,1455,-0.017762,3.6987),(3555,1465,-0.018125,3.699),(3555,1475,-0.018488,3.6995),(3555,1485,-0.018851,3.6999),(3555,1495,-0.019226,3.7003),(3555,1505,-0.019602,3.7007),(3555,1515,-0.019977,3.7012),(3555,1525,-0.020353,3.7016),(3555,1535,-0.020742,3.7021),(3555,1545,-0.02113,3.7025),(3555,1555,-0.021519,3.703),(3555,1565,-0.021908,3.7035),(3555,1575,-0.022311,3.704),(3555,1585,-0.022713,3.7045),(3555,1595,-0.023116,3.7051),(3555,1605,-0.02352,3.7056),(3555,1615,-0.023939,3.7061),(3555,1625,-0.024357,3.7067),(3555,1635,-0.024776,3.7073),(3555,1645,-0.025197,3.7078),(3555,1655,-0.025633,3.7084),(3555,1665,-0.02607,3.709),(3555,1675,-0.026507,3.7096),(3555,1685,-0.026947,3.7102),(3555,1695,-0.027405,3.7109),(3555,1705,-0.027863,3.7115),(3555,1715,-0.028321,3.7122),(3555,1725,-0.028784,3.7128),(3555,1735,-0.029267,3.7135),(3555,1745,-0.029749,3.7142),(3555,1755,-0.030232,3.7149),(3555,1765,-0.030722,3.7156),(3555,1775,-0.031234,3.7163),(3555,1785,-0.031746,3.7171),(3555,1795,-0.032258,3.7178),(3555,1805,-0.03278,3.7186),(3555,1815,-0.033327,3.7194),(3555,1825,-0.033873,3.7202),(3555,1835,-0.034419,3.721),(3555,1845,-0.034979,3.7218),(3555,1855,-0.035566,3.7227),(3555,1865,-0.036152,3.7235),(3555,1875,-0.036738,3.7244),(3555,1885,-0.037343,3.7253),(3555,1895,-0.037976,3.7262),(3555,1905,-0.038609,3.7271),(3555,1915,-0.039242,3.7281),(3555,1925,-0.039898,3.7291),(3555,1935,-0.040586,3.73),(3555,1945,-0.041273,3.7311),(3555,1955,-0.041961,3.7321),(3555,1965,-0.042677,3.7332),(3555,1975,-0.043427,3.7342),(3555,1985,-0.044176,3.7353),(3555,1995,-0.044926,3.7365),(3555,2005,-0.045712,3.7376),(3555,2015,-0.046534,3.7388),(3555,2025,-0.047355,3.74),(3555,2035,-0.048177,3.7413),(3555,2045,-0.049042,3.7426),(3555,2055,-0.049945,3.7438),(3555,2065,-0.050848,3.7452),(3555,2075,-0.051751,3.7466),(3555,2085,-0.052708,3.748),(3555,2095,-0.053703,3.7494),(3555,2105,-0.054697,3.7509),(3555,2115,-0.055692,3.7525),(3555,2125,-0.056751,3.754),(3555,2135,-0.057849,3.7556),(3555,2145,-0.058947,3.7573),(3555,2155,-0.060045,3.759),(3555,2165,-0.061218,3.7608),(3555,2175,-0.06243,3.7626),(3555,2185,-0.063642,3.7645),(3555,2195,-0.064854,3.7665),(3555,2205,-0.066153,3.7684),(3555,2215,-0.06749,3.7704),(3555,2225,-0.068827,3.7726),(3555,2235,-0.070163,3.7749),(3555,2245,-0.071599,3.7771),(3555,2255,-0.073069,3.7794),(3555,2265,-0.074539,3.7819),(3555,2275,-0.07601,3.7845),(3555,2285,-0.077588,3.7871),(3555,2295,-0.079198,3.7897),(3555,2305,-0.080807,3.7926),(3555,2315,-0.082416,3.7956),(3555,2325,-0.084138,3.7986),(3555,2335,-0.085886,3.8016),(3555,2345,-0.087633,3.805),(3555,2355,-0.089381,3.8085),(3555,2365,-0.091237,3.812),(3555,2375,-0.093111,3.8155),(3555,2385,-0.094985,3.8196),(3555,2395,-0.096858,3.8237),(3555,2405,-0.098819,3.8278),(3555,2415,-0.10079,3.8319),(3555,2425,-0.10276,3.8367),(3555,2435,-0.10473,3.8415),(3555,2445,-0.10674,3.8464),(3555,2455,-0.10875,3.8512),(3555,2465,-0.11075,3.857),(3555,2475,-0.11276,3.8627),(3555,2485,-0.11471,3.8685),(3555,2495,-0.11665,3.8742),(3555,2505,-0.1186,3.8811),(3555,2515,-0.12054,3.8879),(3555,2525,-0.12224,3.8948),(3555,2535,-0.12395,3.9017),(3555,2545,-0.12566,3.9099),(3555,2555,-0.12733,3.918),(3555,2565,-0.12853,3.9262),(3555,2575,-0.12973,3.9345),(3555,2585,-0.13093,3.9441),(3555,2595,-0.13204,3.9538),(3555,2605,-0.13232,3.9635),(3555,2615,-0.1326,3.9733),(3555,2625,-0.13288,3.9846),(3555,2635,-0.13297,3.9959),(3555,2645,-0.13176,4.0073),(3555,2655,-0.13055,4.0188),(3555,2665,-0.12934,4.0318),(3555,2675,-0.12774,4.0447),(3555,2685,-0.12431,4.0576),(3555,2695,-0.12088,4.0708),(3555,2705,-0.11745,4.085),(3555,2715,-0.11338,4.0992),(3555,2725,-0.10696,4.1134),(3555,2735,-0.10054,4.1277),(3555,2745,-0.094125,4.1423),(3555,2755,-0.086832,4.1569),(3555,2765,-0.076951,4.1715),(3555,2775,-0.067069,4.1859),(3555,2785,-0.057187,4.1995),(3555,2795,-0.046391,4.2132),(3555,2805,-0.03338,4.2268),(3555,2815,-0.020368,4.2399),(3555,2825,-0.007357,4.2517),(3555,2835,0.00646,4.2634),(3555,2845,0.021899,4.2752),(3555,2855,0.037339,4.2861),(3555,2865,0.052778,4.2955),(3555,2875,0.068857,4.3049),(3555,2885,0.08602,4.3143),(3555,2895,0.10318,4.3227),(3555,2905,0.12034,4.3297),(3555,2915,0.13799,4.3367),(3555,2925,0.15632,4.3436),(3555,2935,0.17464,4.3496),(3555,2945,0.19297,4.3542),(3555,2955,0.21165,4.3587),(3555,2965,0.23076,4.3633),(3555,2975,0.24987,4.3669),(3555,2985,0.26898,4.3693),(3555,2995,0.28835,4.3716),(3555,3005,0.308,4.374),(3555,3015,0.32764,4.3753),(3555,3025,0.34729,4.3756),(3555,3035,0.36715,4.3759),(3555,3045,0.38719,4.3762),(3555,3055,0.40724,4.3754),(3555,3065,0.42729,4.3737),(3555,3075,0.44753,4.372),(3555,3085,0.46791,4.3703),(3555,3095,0.48829,4.3675),(3555,3105,0.50867,4.3639),(3555,3115,0.52925,4.3603),(3555,3125,0.54995,4.3566),(3555,3135,0.57065,4.3518),(3555,3145,0.59134,4.3462),(3555,3155,0.61225,4.3407),(3555,3165,0.63327,4.3351),(3555,3175,0.65429,4.3282),(3555,3185,0.6753,4.3207),(3555,3195,0.69655,4.3131),(3555,3205,0.7179,4.3055),(3555,3215,0.73925,4.2965),(3555,3225,0.76059,4.2868),(3555,3235,0.78218,4.2771),(3555,3245,0.80386,4.2674),(3555,3255,0.82554,4.2559),(3555,3265,0.84722,4.2438),(3555,3275,0.86914,4.2318),(3555,3285,0.89112,4.2197),(3555,3295,0.9131,4.2056),(3555,3305,0.93508,4.1909),(3555,3315,0.95724,4.1762),(3555,3325,0.97943,4.1616),(3555,3335,1.0016,4.1444),(3555,3345,1.0238,4.1267),(3555,3355,1.0461,4.109),(3555,3365,1.0683,4.0913),(3555,3375,1.0905,4.0706),(3555,3385,1.1127,4.0494),(3555,3395,1.1347,4.0282),(3555,3405,1.1566,4.007),(3555,3415,1.1786,3.9822),(3555,3425,1.2005,3.957),(3555,3435,1.2216,3.9318),(3555,3445,1.2427,3.9066),(3555,3455,1.2638,3.877),(3555,3465,1.2849,3.8472),(3555,3475,1.3043,3.8174),(3555,3485,1.3236,3.7876),(3555,3495,1.3429,3.7528),(3555,3505,1.3623,3.7179),(3555,3515,1.3785,3.683),(3555,3525,1.3948,3.648),(3555,3535,1.4111,3.6078),(3555,3545,1.4272,3.5676),(3555,3555,1.4386,3.5275),(3555,3565,1.4501,3.487),(3555,3575,1.4615,3.4421),(3555,3585,1.4724,3.3971),(3555,3595,1.4769,3.3522),(3555,3605,1.4815,3.307),(3555,3615,1.4861,3.2592),(3555,3625,1.4896,3.2113),(3555,3635,1.4858,3.1635),(3555,3645,1.482,3.1157),(3555,3655,1.4781,3.0683),(3555,3665,1.473,3.0209),(3555,3675,1.4611,2.9736),(3555,3685,1.4493,2.9269),(3555,3695,1.4374,2.8834),(3555,3705,1.4245,2.84),(3555,3715,1.4074,2.7965),(3555,3725,1.3903,2.7542),(3555,3735,1.3732,2.7156),(3555,3745,1.3554,2.6769),(3555,3755,1.3355,2.6383),(3555,3765,1.3157,2.6009),(3555,3775,1.2958,2.5669),(3555,3785,1.2758,2.5329),(3555,3795,1.2552,2.4989),(3555,3805,1.2346,2.4661),(3555,3815,1.214,2.4363),(3555,3825,1.1936,2.4064),(3555,3835,1.1738,2.3765),(3555,3845,1.1539,2.348),(3555,3855,1.1341,2.322),(3555,3865,1.115,2.2959),(3555,3875,1.097,2.2699),(3555,3885,1.0791,2.2455),(3555,3895,1.0612,2.2236),(3555,3905,1.0443,2.2017),(3555,3915,1.0289,2.1798),(3555,3925,1.0136,2.16),(3555,3935,0.9982,2.1431),(3555,3945,0.98377,2.1262),(3555,3955,0.97055,2.1093),(3555,3965,0.95733,2.0951),(3555,3975,0.94411,2.0843),(3555,3985,0.9311,2.0735),(3555,3995,0.91831,2.0626),(3555,4005,0.90552,2.0544),(3555,4015,0.89273,2.0487),(3555,4025,1.1934,2.043),(3555,4035,1.5247,2.0359),(3555,4045,1.856,2.0258),(3555,4055,2.0892,2.0158),(3555,4065,2.2866,2.005),(3555,4075,2.484,1.99),(3555,4085,2.5698,1.975),(3555,4095,2.5659,1.96),(3555,4105,2.5619,1.9445),(3555,4115,2.4786,1.9289),(3555,4125,2.2637,1.9133),(3555,4135,2.0487,1.9014),(3555,4145,1.8318,1.8904),(3555,4155,1.6071,1.8795),(3555,4165,1.3823,1.8721),(3555,4175,1.1702,1.8671),(3555,4185,1.5807,1.862),(3555,4195,1.9913,1.8521),(3555,4205,2.4019,1.836),(3555,4215,2.4624,1.8198),(3555,4225,2.457,1.8036),(3555,4235,2.4517,1.7869),(3555,4245,2.4233,1.7703),(3555,4255,2.3834,1.7535),(3555,4265,2.3434,1.7347),(3555,4275,2.0606,1.7159),(3555,4285,1.52,1.6971),(3555,4295,0.9795,1.693),(3555,4305,0.7543,1.6905),(3555,4315,1.2412,1.6881),(3555,4325,1.728,1.6779),(3555,4335,2.1605,1.6646),(3555,4345,2.2244,1.6514),(3555,4355,2.2884,1.6372),(3555,4365,2.3524,1.6222),(3555,4375,2.3543,1.6072),(3555,4385,2.353,1.5923),(3555,4395,2.3517,1.5772),(3555,4405,2.0695,1.5622),(3555,4415,1.7044,1.5487),(3555,4425,1.3394,1.542),(3555,4435,1.1835,1.5353),(3555,4445,1.1705,1.5285),(3555,4455,1.1575,1.5222),(3555,4465,1.3004,1.5159),(3555,4475,1.6623,1.5096),(3555,4485,2.0241,1.4967),(3555,4495,2.2999,1.4826),(3555,4505,2.2999,1.4684),(3555,4515,2.2998,1.4543),(3555,4525,2.2952,1.4403),(3555,4535,2.2188,1.4263),(3555,4545,2.1424,1.413),(3555,4555,2.066,1.4007),(3555,4565,1.5858,1.3885),(3555,4575,1.0513,1.3796),(3555,4585,0.51669,1.3789),(3555,4595,0.75024,1.3783),(3555,4605,1.3083,1.3759),(3555,4615,1.8664,1.3597),(3555,4625,2.1495,1.3434),(3555,4635,2.1836,1.3271),(3555,4645,2.2176,1.3137),(3555,4655,2.2408,1.3005),(3555,4665,2.2436,1.2873),(3555,4675,2.2463,1.2745),(3555,4685,2.1714,1.2617),(3555,4695,1.7131,1.249),(3555,4705,1.2548,1.2415),(3555,4715,0.79652,1.2379),(3555,4725,1.0128,1.2343),(3555,4735,1.2359,1.229),(3555,4745,1.4589,1.2212),(3555,4755,1.6867,1.2134),(3555,4765,1.9156,1.2046),(3555,4775,2.1445,1.1924),(3555,4785,2.2291,1.1802),(3555,4795,2.2302,1.1681),(3555,4805,2.2312,1.1562),(3555,4815,2.125,1.1444),(3555,4825,1.8905,1.1325),(3555,4835,1.6559,1.1244),(3555,4845,1.4184,1.1168),(3555,4855,1.1732,1.1093),(3555,4865,0.92805,1.1049),(3555,4875,0.75401,1.1019),(3555,4885,1.2273,1.0989),(3555,4895,1.7006,1.0918),(3555,4905,2.174,1.0807),(3555,4915,2.2117,1.0697),(3555,4925,2.2119,1.0586),(3555,4935,2.2121,1.0474),(3555,4945,2.1972,1.0363),(3555,4955,2.1771,1.0248),(3555,4965,2.157,1.0116),(3555,4975,1.7984,0.99841),(3555,4985,1.1785,0.9852),(3555,4995,0.55859,0.98455),(3555,5005,0.36277,0.98422),(3555,5015,0.84115,0.98389),(3555,5025,1.3195,0.97722),(3555,5035,1.7316,0.96895),(3555,5045,1.8912,0.96067),(3555,5055,2.0508,0.95073),(3555,5065,2.2057,0.93977),(3555,5075,2.2072,0.9288),(3555,5085,2.2087,0.91791),(3555,5095,2.2102,0.90709),(3555,5105,1.9326,0.89628),(3555,5115,1.6064,0.88687),(3555,5125,1.2802,0.88141),(3555,5135,1.1156,0.87596),(3555,5145,1.0296,0.87064),(3555,5155,0.94357,0.86685),(3555,5165,1.1073,0.86307),(3555,5175,1.5258,0.85928),(3555,5185,1.9444,0.8498),(3555,5195,2.2306,0.83974),(3555,5205,2.2315,0.82968),(3555,5215,2.2324,0.81972),(3555,5225,2.2217,0.8098),(3555,5235,2.1391,0.79988),(3555,5245,2.0564,0.79066),(3555,5255,1.9737,0.78201),(3555,5265,1.3916,0.77337),(3555,5275,0.78885,0.76794),(3555,5285,0.18611,0.76797),(3555,5295,0.58601,0.76801),(3555,5305,1.2651,0.76609),(3555,5315,1.9443,0.75604),(3555,5325,2.22,0.74598),(3555,5335,2.2313,0.73595),(3555,5345,2.2426,0.72732),(3555,5355,2.2492,0.7187),(3555,5365,2.2495,0.71007),(3555,5375,2.2498,0.70161),(3555,5385,2.1216,0.69317),(3555,5395,1.6028,0.68473),(3555,5405,1.0841,0.68048),(3555,5415,0.62114,0.6784),(3555,5425,0.90824,0.67632),(3555,5435,1.1953,0.67354),(3555,5445,1.4824,0.67001),(3555,5455,1.7602,0.66647),(3555,5465,2.0369,0.66229),(3555,5475,2.3136,0.65662),(3555,5485,2.3919,0.65096),(3555,5495,2.3902,0.64531),(3555,5505,2.3886,0.63978),(3555,5515,2.387,0.63425),(3555,5525,2.3854,0.62873),(3555,5535,2.3838,0.62334),(3555,5545,2.3822,0.61796),(3555,5555,2.3806,0.61258),(3555,5565,2.379,0.60729),(3555,5575,2.3775,0.60203),(3555,5585,2.3759,0.59677),(3555,5595,2.3744,0.59158),(3555,5605,2.3728,0.58643),(3555,5615,2.3713,0.58128),(3555,5625,2.3697,0.57617),(3555,5635,2.3682,0.57112),(3555,5645,2.3667,0.56606),(3555,5655,2.3652,0.56102),(3555,5665,2.3637,0.55605),(3555,5675,2.3622,0.55107),(3555,5685,2.3607,0.5461),(3555,5695,2.3592,0.54121),(3555,5705,2.3577,0.53633),(3555,5715,2.3563,0.53144),(3555,5725,2.3548,0.5266),(3555,5735,2.3534,0.52177),(3555,5745,2.3519,0.51694),(3555,5755,2.3505,0.51215),(3555,5765,2.349,0.50737),(3555,5775,2.3476,0.50259),(3555,5785,2.3462,0.49783),(3555,5795,2.3448,0.4931),(3555,5805,2.3434,0.48837),(3555,5815,2.342,0.48365),(3555,5825,2.3405,0.47897),(3555,5835,2.3391,0.47429),(3555,5845,2.3377,0.46962),(3555,5855,2.3364,0.46499),(3555,5865,2.335,0.46037),(3555,5875,2.3336,0.45574),(3555,5885,2.3322,0.45116),(3555,5895,2.3308,0.44658),(3555,5905,2.3294,0.442),(3555,5915,2.328,0.43744),(3555,5925,2.3266,0.4329),(3555,5935,2.3252,0.42835),(3555,5945,2.3239,0.42383),(3555,5955,2.3225,0.41932),(3555,5965,2.3211,0.41481),(3555,5975,2.3198,0.41031),(3555,5985,2.3184,0.40583),(3555,5995,1.7725,0.40135),(3555,6005,1.1389,0.39794),(3555,6015,0.50529,0.39741),(3555,6025,0.66034,0.39687),(3555,6035,1.1812,0.39587),(3555,6045,1.702,0.39039),(3555,6055,2.0628,0.38491),(3555,6065,2.2668,0.37944),(3555,6075,2.4707,0.37232),(3555,6085,2.6083,0.36505),(3555,6095,2.609,0.35778),(3555,6105,2.6096,0.3505),(3555,6115,2.6103,0.3432),(3555,6125,2.611,0.33591),(3555,6135,2.6116,0.32867),(3555,6145,2.6123,0.32147),(3555,6155,2.6128,0.31427),(3555,6165,2.6134,0.3071),(3555,6175,2.614,0.29998),(3555,6185,2.6146,0.29287),(3555,6195,2.6151,0.28577),(3555,6205,2.6157,0.27876),(3555,6215,2.6162,0.27174),(3555,6225,2.6167,0.26473),(3555,6235,2.6172,0.25774),(3555,6245,2.6177,0.25074),(3555,6255,2.6182,0.24374),(3555,6265,2.6186,0.23679),(3555,6275,2.6191,0.22985),(3555,6285,2.6195,0.22291),(3555,6295,2.6198,0.21605),(3555,6305,2.6202,0.20922),(3555,6315,2.6206,0.2024),(3555,6325,2.621,0.19559),(3555,6335,2.6214,0.18879),(3555,6345,2.6217,0.182),(3555,6355,2.622,0.17524),(3555,6365,2.6223,0.16855),(3555,6375,2.6226,0.16186),(3555,6385,2.6229,0.15518),(3555,6395,2.6232,0.14847),(3555,6405,2.6235,0.14176),(3555,6415,2.6237,0.13506),(3555,6425,2.624,0.12838),(3555,6435,2.6242,0.1217),(3555,6445,2.6244,0.11502),(3555,6455,2.6246,0.10842),(3555,6465,2.6248,0.10184),(3555,6475,2.625,0.095264),(3555,6485,2.6252,0.088692),(3555,6495,2.6253,0.082126),(3555,6505,2.6255,0.07556),(3555,6515,2.6256,0.069002),(3555,6525,2.6257,0.062456),(3555,6535,2.6258,0.05591),(3555,6545,2.6259,0.049362),(3555,6555,2.626,0.042806),(3555,6565,2.6261,0.036251),(3555,6575,2.6261,0.029703),(3555,6585,2.6261,0.023256),(3555,6595,2.2337,0.01681),(3555,6605,1.4079,0.010363),(3555,6615,0.58212,0.009633),(3555,6625,0.001607,0.009637),(3555,6635,0.001605,0.00964),(3555,6645,0.001603,0.009637),(3555,6655,0.001601,0.009632),(3555,6665,0.001599,0.009626),(3555,6675,0.001597,0.00962),(3555,6685,0.001596,0.009614),(3555,6695,0.001594,0.009608),(3555,6705,0.001592,0.009602),(3555,6715,0.001591,0.009596),(3555,6725,0.00159,0.00959),(3555,6735,0.001588,0.009584),(3555,6745,0.001587,0.009578),(3555,6755,0.001586,0.009571),(3555,6765,0.001585,0.009565),(3555,6775,0.001584,0.009559),(3555,6785,0.001583,0.009552),(3555,6795,0.001582,0.009546),(3555,6805,0.001581,0.009539),(3555,6815,0.00158,0.009532),(3555,6825,0.001579,0.009526),(3555,6835,0.001579,0.009519),(3555,6845,0.001578,0.009512),(3555,6855,0.001577,0.009505),(3555,6865,0.001577,0.009498),(3555,6875,0.001576,0.009491),(3555,6885,0.001576,0.009484),(3555,6895,0.001575,0.009477),(3555,6905,0.001575,0.00947),(3555,6915,0.001574,0.009463),(3555,6925,0.001574,0.009456),(3555,6935,0.001574,0.009448),(3555,6945,0.001574,0.009441),(3555,6955,0.001573,0.009434),(3555,6965,0.001573,0.009426),(3555,6975,0.001573,0.009419),(3555,6985,0.001573,0.009411),(3565,5,4e-06,3.689),(3565,15,1.2e-05,3.689),(3565,25,1.9e-05,3.689),(3565,35,2.7e-05,3.689),(3565,45,3.4e-05,3.689),(3565,55,4.2e-05,3.689),(3565,65,4.9e-05,3.689),(3565,75,5.6e-05,3.689),(3565,85,6.3e-05,3.689),(3565,95,7e-05,3.689),(3565,105,7.6e-05,3.689),(3565,115,8.2e-05,3.689),(3565,125,8.8e-05,3.689),(3565,135,9.4e-05,3.6889),(3565,145,9.8e-05,3.6889),(3565,155,0.000103,3.6889),(3565,165,0.000107,3.6889),(3565,175,0.000111,3.6889),(3565,185,0.000114,3.6889),(3565,195,0.000117,3.6889),(3565,205,0.000119,3.6889),(3565,215,0.000121,3.6889),(3565,225,0.000122,3.6889),(3565,235,0.000122,3.6889),(3565,245,0.000122,3.6889),(3565,255,0.000122,3.6889),(3565,265,0.000119,3.6889),(3565,275,0.000116,3.6889),(3565,285,0.000113,3.6888),(3565,295,0.00011,3.6888),(3565,305,0.000104,3.6888),(3565,315,9.8e-05,3.6888),(3565,325,9.1e-05,3.6888),(3565,335,8.5e-05,3.6888),(3565,345,7.5e-05,3.6888),(3565,355,6.5e-05,3.6888),(3565,365,5.4e-05,3.6888),(3565,375,4.4e-05,3.6888),(3565,385,2.9e-05,3.6887),(3565,395,1.4e-05,3.6887),(3565,405,-1e-06,3.6887),(3565,415,-1.6e-05,3.6887),(3565,425,-3.6e-05,3.6887),(3565,435,-5.7e-05,3.6887),(3565,445,-7.8e-05,3.6887),(3565,455,-9.8e-05,3.6887),(3565,465,-0.000124,3.6886),(3565,475,-0.000151,3.6886),(3565,485,-0.000178,3.6886),(3565,495,-0.000204,3.6886),(3565,505,-0.000238,3.6886),(3565,515,-0.000271,3.6886),(3565,525,-0.000305,3.6886),(3565,535,-0.000339,3.6886),(3565,545,-0.00038,3.6886),(3565,555,-0.000421,3.6885),(3565,565,-0.000462,3.6885),(3565,575,-0.000504,3.6885),(3565,585,-0.000553,3.6885),(3565,595,-0.000603,3.6885),(3565,605,-0.000652,3.6885),(3565,615,-0.000703,3.6885),(3565,625,-0.000762,3.6885),(3565,635,-0.00082,3.6885),(3565,645,-0.000879,3.6885),(3565,655,-0.00094,3.6884),(3565,665,-0.001009,3.6884),(3565,675,-0.001078,3.6884),(3565,685,-0.001147,3.6884),(3565,695,-0.001219,3.6884),(3565,705,-0.001299,3.6884),(3565,715,-0.00138,3.6884),(3565,725,-0.00146,3.6884),(3565,735,-0.001543,3.6884),(3565,745,-0.001636,3.6884),(3565,755,-0.001729,3.6884),(3565,765,-0.001822,3.6884),(3565,775,-0.001918,3.6884),(3565,785,-0.002024,3.6884),(3565,795,-0.00213,3.6884),(3565,805,-0.002236,3.6884),(3565,815,-0.002346,3.6884),(3565,825,-0.002466,3.6885),(3565,835,-0.002586,3.6885),(3565,845,-0.002706,3.6885),(3565,855,-0.002832,3.6885),(3565,865,-0.002967,3.6885),(3565,875,-0.003102,3.6885),(3565,885,-0.003237,3.6886),(3565,895,-0.003378,3.6886),(3565,905,-0.003529,3.6886),(3565,915,-0.00368,3.6887),(3565,925,-0.003831,3.6887),(3565,935,-0.003989,3.6887),(3565,945,-0.004157,3.6888),(3565,955,-0.004325,3.6888),(3565,965,-0.004492,3.6889),(3565,975,-0.004668,3.6889),(3565,985,-0.004853,3.689),(3565,995,-0.005038,3.689),(3565,1005,-0.005222,3.6891),(3565,1015,-0.005416,3.6892),(3565,1025,-0.005618,3.6892),(3565,1035,-0.005821,3.6893),(3565,1045,-0.006023,3.6894),(3565,1055,-0.006235,3.6895),(3565,1065,-0.006455,3.6895),(3565,1075,-0.006675,3.6896),(3565,1085,-0.006895,3.6897),(3565,1095,-0.007126,3.6899),(3565,1105,-0.007364,3.69),(3565,1115,-0.007602,3.6901),(3565,1125,-0.00784,3.6902),(3565,1135,-0.008088,3.6903),(3565,1145,-0.008344,3.6905),(3565,1155,-0.008599,3.6906),(3565,1165,-0.008854,3.6907),(3565,1175,-0.009121,3.6909),(3565,1185,-0.009393,3.691),(3565,1195,-0.009666,3.6912),(3565,1205,-0.009938,3.6914),(3565,1215,-0.010222,3.6916),(3565,1225,-0.010511,3.6918),(3565,1235,-0.0108,3.692),(3565,1245,-0.011088,3.6922),(3565,1255,-0.011389,3.6924),(3565,1265,-0.011693,3.6926),(3565,1275,-0.011998,3.6928),(3565,1285,-0.012302,3.693),(3565,1295,-0.012618,3.6933),(3565,1305,-0.012937,3.6935),(3565,1315,-0.013256,3.6938),(3565,1325,-0.013575,3.6941),(3565,1335,-0.013906,3.6943),(3565,1345,-0.014239,3.6946),(3565,1355,-0.014572,3.6949),(3565,1365,-0.014905,3.6952),(3565,1375,-0.015249,3.6955),(3565,1385,-0.015595,3.6958),(3565,1395,-0.015942,3.6962),(3565,1405,-0.016288,3.6965),(3565,1415,-0.016646,3.6968),(3565,1425,-0.017005,3.6972),(3565,1435,-0.017363,3.6976),(3565,1445,-0.017722,3.6979),(3565,1455,-0.018093,3.6983),(3565,1465,-0.018464,3.6987),(3565,1475,-0.018835,3.6991),(3565,1485,-0.019207,3.6995),(3565,1495,-0.01959,3.6999),(3565,1505,-0.019974,3.7003),(3565,1515,-0.020358,3.7008),(3565,1525,-0.020742,3.7012),(3565,1535,-0.021139,3.7017),(3565,1545,-0.021536,3.7022),(3565,1555,-0.021933,3.7026),(3565,1565,-0.022331,3.7031),(3565,1575,-0.022743,3.7036),(3565,1585,-0.023154,3.7041),(3565,1595,-0.023566,3.7047),(3565,1605,-0.023979,3.7052),(3565,1615,-0.024407,3.7057),(3565,1625,-0.024834,3.7063),(3565,1635,-0.025262,3.7068),(3565,1645,-0.025692,3.7074),(3565,1655,-0.026139,3.708),(3565,1665,-0.026585,3.7086),(3565,1675,-0.027031,3.7092),(3565,1685,-0.027481,3.7098),(3565,1695,-0.027949,3.7104),(3565,1705,-0.028417,3.711),(3565,1715,-0.028885,3.7117),(3565,1725,-0.029359,3.7124),(3565,1735,-0.029852,3.713),(3565,1745,-0.030346,3.7137),(3565,1755,-0.030839,3.7144),(3565,1765,-0.031341,3.7151),(3565,1775,-0.031864,3.7158),(3565,1785,-0.032388,3.7165),(3565,1795,-0.032912,3.7173),(3565,1805,-0.033446,3.7181),(3565,1815,-0.034006,3.7188),(3565,1825,-0.034565,3.7196),(3565,1835,-0.035125,3.7204),(3565,1845,-0.035698,3.7213),(3565,1855,-0.036299,3.7221),(3565,1865,-0.0369,3.7229),(3565,1875,-0.037502,3.7238),(3565,1885,-0.038121,3.7247),(3565,1895,-0.038771,3.7256),(3565,1905,-0.039421,3.7265),(3565,1915,-0.040071,3.7274),(3565,1925,-0.040745,3.7284),(3565,1935,-0.041451,3.7294),(3565,1945,-0.042158,3.7304),(3565,1955,-0.042865,3.7314),(3565,1965,-0.043601,3.7324),(3565,1975,-0.044373,3.7335),(3565,1985,-0.045146,3.7346),(3565,1995,-0.045918,3.7357),(3565,2005,-0.046728,3.7369),(3565,2015,-0.047575,3.738),(3565,2025,-0.048423,3.7392),(3565,2035,-0.049271,3.7404),(3565,2045,-0.050165,3.7417),(3565,2055,-0.051099,3.7429),(3565,2065,-0.052033,3.7443),(3565,2075,-0.052967,3.7456),(3565,2085,-0.053957,3.747),(3565,2095,-0.054989,3.7484),(3565,2105,-0.056021,3.7499),(3565,2115,-0.057053,3.7514),(3565,2125,-0.058153,3.753),(3565,2135,-0.059295,3.7545),(3565,2145,-0.060437,3.7562),(3565,2155,-0.061579,3.7579),(3565,2165,-0.062802,3.7596),(3565,2175,-0.064068,3.7614),(3565,2185,-0.065333,3.7632),(3565,2195,-0.066599,3.7652),(3565,2205,-0.06796,3.7672),(3565,2215,-0.069361,3.7691),(3565,2225,-0.070763,3.7713),(3565,2235,-0.072165,3.7735),(3565,2245,-0.073676,3.7757),(3565,2255,-0.075226,3.778),(3565,2265,-0.076776,3.7804),(3565,2275,-0.078326,3.783),(3565,2285,-0.079998,3.7856),(3565,2295,-0.081705,3.7881),(3565,2305,-0.083413,3.791),(3565,2315,-0.08512,3.794),(3565,2325,-0.086959,3.7969),(3565,2335,-0.088827,3.7999),(3565,2345,-0.090696,3.8033),(3565,2355,-0.092565,3.8068),(3565,2365,-0.094566,3.8102),(3565,2375,-0.09659,3.8137),(3565,2385,-0.098614,3.8177),(3565,2395,-0.10064,3.8218),(3565,2405,-0.10278,3.8259),(3565,2415,-0.10494,3.83),(3565,2425,-0.1071,3.8347),(3565,2435,-0.10925,3.8396),(3565,2445,-0.11149,3.8444),(3565,2455,-0.11373,3.8493),(3565,2465,-0.11597,3.855),(3565,2475,-0.11821,3.8608),(3565,2485,-0.12044,3.8666),(3565,2495,-0.12267,3.8723),(3565,2505,-0.1249,3.8792),(3565,2515,-0.12713,3.8862),(3565,2525,-0.12918,3.8931),(3565,2535,-0.13123,3.9),(3565,2545,-0.13329,3.9083),(3565,2555,-0.13532,3.9166),(3565,2565,-0.13693,3.9249),(3565,2575,-0.13854,3.9333),(3565,2585,-0.14015,3.9432),(3565,2595,-0.14168,3.9531),(3565,2605,-0.14243,3.963),(3565,2615,-0.14317,3.9731),(3565,2625,-0.14392,3.9848),(3565,2635,-0.14447,3.9965),(3565,2645,-0.14374,4.0082),(3565,2655,-0.143,4.0202),(3565,2665,-0.14227,4.0337),(3565,2675,-0.14114,4.0472),(3565,2685,-0.1381,4.0607),(3565,2695,-0.13507,4.0744),(3565,2705,-0.13203,4.0894),(3565,2715,-0.12831,4.1043),(3565,2725,-0.12206,4.1193),(3565,2735,-0.1158,4.1343),(3565,2745,-0.10954,4.1498),(3565,2755,-0.10231,4.1653),(3565,2765,-0.092195,4.1807),(3565,2775,-0.082078,4.1959),(3565,2785,-0.071961,4.2104),(3565,2795,-0.060853,4.2248),(3565,2805,-0.047341,4.2392),(3565,2815,-0.033829,4.253),(3565,2825,-0.020317,4.2654),(3565,2835,-0.005964,4.2777),(3565,2845,0.010082,4.2901),(3565,2855,0.026127,4.3016),(3565,2865,0.042173,4.3114),(3565,2875,0.058861,4.3213),(3565,2885,0.076636,4.3311),(3565,2895,0.094411,4.3399),(3565,2905,0.11219,4.3472),(3565,2915,0.13042,4.3544),(3565,2925,0.14933,4.3617),(3565,2935,0.16823,4.3679),(3565,2945,0.18713,4.3727),(3565,2955,0.20636,4.3775),(3565,2965,0.22599,4.3823),(3565,2975,0.24562,4.386),(3565,2985,0.26525,4.3885),(3565,2995,0.28512,4.391),(3565,3005,0.30524,4.3935),(3565,3015,0.32537,4.395),(3565,3025,0.34549,4.3953),(3565,3035,0.36581,4.3957),(3565,3045,0.3863,4.3961),(3565,3055,0.40679,4.3954),(3565,3065,0.42727,4.3938),(3565,3075,0.44795,4.3922),(3565,3085,0.46875,4.3906),(3565,3095,0.48956,4.3879),(3565,3105,0.51037,4.3843),(3565,3115,0.53136,4.3808),(3565,3125,0.55249,4.3772),(3565,3135,0.57361,4.3725),(3565,3145,0.59473,4.367),(3565,3155,0.61607,4.3615),(3565,3165,0.63752,4.356),(3565,3175,0.65898,4.3492),(3565,3185,0.68044,4.3417),(3565,3195,0.70214,4.3343),(3565,3205,0.72396,4.3268),(3565,3215,0.74578,4.3178),(3565,3225,0.76761,4.3082),(3565,3235,0.78971,4.2986),(3565,3245,0.81191,4.2889),(3565,3255,0.83412,4.2775),(3565,3265,0.85632,4.2656),(3565,3275,0.87882,4.2536),(3565,3285,0.90141,4.2416),(3565,3295,0.92399,4.2275),(3565,3305,0.94657,4.2129),(3565,3315,0.96942,4.1983),(3565,3325,0.99232,4.1836),(3565,3335,1.0152,4.1665),(3565,3345,1.0381,4.1488),(3565,3355,1.0612,4.1311),(3565,3365,1.0842,4.1134),(3565,3375,1.1073,4.0926),(3565,3385,1.1304,4.0713),(3565,3395,1.1533,4.0501),(3565,3405,1.1762,4.0288),(3565,3415,1.1992,4.0038),(3565,3425,1.2221,3.9784),(3565,3435,1.2444,3.9529),(3565,3445,1.2666,3.9275),(3565,3455,1.2889,3.8975),(3565,3465,1.3111,3.8673),(3565,3475,1.3319,3.837),(3565,3485,1.3525,3.8068),(3565,3495,1.3732,3.7712),(3565,3505,1.3939,3.7355),(3565,3515,1.4116,3.6998),(3565,3525,1.4293,3.664),(3565,3535,1.447,3.6226),(3565,3545,1.4645,3.5812),(3565,3555,1.4773,3.5399),(3565,3565,1.4901,3.4981),(3565,3575,1.5029,3.4515),(3565,3585,1.515,3.4048),(3565,3595,1.5205,3.3582),(3565,3605,1.5259,3.3112),(3565,3615,1.5313,3.2613),(3565,3625,1.5356,3.2114),(3565,3635,1.5316,3.1614),(3565,3645,1.5276,3.1116),(3565,3655,1.5236,3.0622),(3565,3665,1.5182,3.0129),(3565,3675,1.5051,2.9635),(3565,3685,1.4921,2.915),(3565,3695,1.4791,2.8702),(3565,3705,1.4649,2.8254),(3565,3715,1.4464,2.7807),(3565,3725,1.4279,2.7371),(3565,3735,1.4094,2.6978),(3565,3745,1.3902,2.6585),(3565,3755,1.3691,2.6192),(3565,3765,1.3479,2.5812),(3565,3775,1.3268,2.547),(3565,3785,1.3055,2.5128),(3565,3795,1.2838,2.4786),(3565,3805,1.262,2.4457),(3565,3815,1.2403,2.4161),(3565,3825,1.2189,2.3864),(3565,3835,1.198,2.3567),(3565,3845,1.1772,2.3285),(3565,3855,1.1563,2.3029),(3565,3865,1.1361,2.2774),(3565,3875,1.1172,2.2519),(3565,3885,1.0982,2.228),(3565,3895,1.0793,2.2067),(3565,3905,1.0613,2.1855),(3565,3915,1.0448,2.1642),(3565,3925,1.0283,2.145),(3565,3935,1.0117,2.1286),(3565,3945,0.99609,2.1123),(3565,3955,0.98159,2.0959),(3565,3965,0.96709,2.0822),(3565,3975,0.95259,2.0714),(3565,3985,0.93833,2.0607),(3565,3995,0.92434,2.05),(3565,4005,0.91035,2.0416),(3565,4015,0.89636,2.0356),(3565,4025,1.1974,2.0297),(3565,4035,1.5294,2.0221),(3565,4045,1.8613,2.0114),(3565,4055,2.0953,2.0006),(3565,4065,2.2936,1.9892),(3565,4075,2.492,1.9736),(3565,4085,2.5782,1.9581),(3565,4095,2.5743,1.9425),(3565,4105,2.5704,1.9266),(3565,4115,2.4868,1.9107),(3565,4125,2.2709,1.8948),(3565,4135,2.0551,1.8827),(3565,4145,1.8372,1.8716),(3565,4155,1.6113,1.8605),(3565,4165,1.3853,1.8531),(3565,4175,1.172,1.8479),(3565,4185,1.5848,1.8427),(3565,4195,1.9975,1.8328),(3565,4205,2.4103,1.8167),(3565,4215,2.4713,1.8005),(3565,4225,2.466,1.7843),(3565,4235,2.4607,1.7678),(3565,4245,2.433,1.7513),(3565,4255,2.3937,1.7346),(3565,4265,2.3545,1.7159),(3565,4275,2.0704,1.6973),(3565,4285,1.5264,1.6786),(3565,4295,0.98246,1.6745),(3565,4305,0.75547,1.6722),(3565,4315,1.2443,1.6698),(3565,4325,1.7331,1.6596),(3565,4335,2.1672,1.6464),(3565,4345,2.2315,1.6332),(3565,4355,2.2958,1.6191),(3565,4365,2.3601,1.6042),(3565,4375,2.3621,1.5893),(3565,4385,2.3608,1.5744),(3565,4395,2.3595,1.5594),(3565,4405,2.0761,1.5445),(3565,4415,1.7095,1.531),(3565,4425,1.3429,1.5245),(3565,4435,1.1863,1.5179),(3565,4445,1.1733,1.5113),(3565,4455,1.1603,1.5051),(3565,4465,1.3037,1.4989),(3565,4475,1.6669,1.4927),(3565,4485,2.0301,1.48),(3565,4495,2.307,1.4659),(3565,4505,2.3069,1.4518),(3565,4515,2.3068,1.4378),(3565,4525,2.3021,1.4239),(3565,4535,2.2254,1.4099),(3565,4545,2.1487,1.3968),(3565,4555,2.072,1.3846),(3565,4565,1.59,1.3723),(3565,4575,1.0533,1.3635),(3565,4585,0.5167,1.363),(3565,4595,0.75185,1.3625),(3565,4605,1.3131,1.3602),(3565,4615,1.8743,1.3441),(3565,4625,2.1584,1.328),(3565,4635,2.1914,1.3119),(3565,4645,2.2245,1.2986),(3565,4655,2.2469,1.2855),(3565,4665,2.2496,1.2724),(3565,4675,2.2522,1.2596),(3565,4685,2.1769,1.247),(3565,4695,1.7172,1.2343),(3565,4705,1.2574,1.2269),(3565,4715,0.79767,1.2233),(3565,4725,1.0145,1.2197),(3565,4735,1.2382,1.2145),(3565,4745,1.4618,1.2068),(3565,4755,1.6903,1.1991),(3565,4765,1.9198,1.1904),(3565,4775,2.1493,1.1784),(3565,4785,2.234,1.1664),(3565,4795,2.235,1.1544),(3565,4805,2.236,1.1427),(3565,4815,2.1294,1.131),(3565,4825,1.8943,1.1193),(3565,4835,1.6592,1.1113),(3565,4845,1.4211,1.1038),(3565,4855,1.1752,1.0964),(3565,4865,0.92941,1.092),(3565,4875,0.75491,1.0891),(3565,4885,1.2293,1.0861),(3565,4895,1.7037,1.079),(3565,4905,2.178,1.068),(3565,4915,2.2159,1.057),(3565,4925,2.2161,1.0459),(3565,4935,2.2164,1.0348),(3565,4945,2.202,1.0238),(3565,4955,2.1825,1.0123),(3565,4965,2.1631,0.99922),(3565,4975,1.8036,0.98609),(3565,4985,1.1816,0.97296),(3565,4995,0.55962,0.97235),(3565,5005,0.36291,0.97205),(3565,5015,0.84232,0.97174),(3565,5025,1.3217,0.96513),(3565,5035,1.7347,0.9569),(3565,5045,1.8946,0.94868),(3565,5055,2.0545,0.9388),(3565,5065,2.2097,0.9279),(3565,5075,2.2112,0.917),(3565,5085,2.2126,0.90616),(3565,5095,2.2141,0.89542),(3565,5105,1.936,0.88467),(3565,5115,1.6091,0.87532),(3565,5125,1.2822,0.86991),(3565,5135,1.1173,0.8645),(3565,5145,1.031,0.85923),(3565,5155,0.94469,0.85548),(3565,5165,1.1087,0.85173),(3565,5175,1.5278,0.84798),(3565,5185,1.947,0.83857),(3565,5195,2.2337,0.82858),(3565,5205,2.2346,0.81859),(3565,5215,2.2354,0.8087),(3565,5225,2.2247,0.79886),(3565,5235,2.1419,0.78902),(3565,5245,2.0591,0.77987),(3565,5255,1.9763,0.77129),(3565,5265,1.3933,0.7627),(3565,5275,0.78969,0.75732),(3565,5285,0.18609,0.75737),(3565,5295,0.58663,0.75741),(3565,5305,1.2668,0.75552),(3565,5315,1.947,0.74559),(3565,5325,2.2229,0.73567),(3565,5335,2.2337,0.72576),(3565,5345,2.2446,0.71723),(3565,5355,2.2509,0.7087),(3565,5365,2.2511,0.70016),(3565,5375,2.2513,0.69179),(3565,5385,2.123,0.68344),(3565,5395,1.6038,0.67509),(3565,5405,1.0847,0.67089),(3565,5415,0.62135,0.66884),(3565,5425,0.90805,0.66679),(3565,5435,1.1948,0.66407),(3565,5445,1.4815,0.66061),(3565,5455,1.7591,0.65716),(3565,5465,2.0356,0.65307),(3565,5475,2.3121,0.64753),(3565,5485,2.3903,0.64198),(3565,5495,2.3886,0.63645),(3565,5505,2.3869,0.63104),(3565,5515,2.3853,0.62563),(3565,5525,2.3837,0.62021),(3565,5535,2.382,0.61494),(3565,5545,2.3804,0.60967),(3565,5555,2.3788,0.6044),(3565,5565,2.3772,0.59922),(3565,5575,2.3756,0.59406),(3565,5585,2.374,0.58891),(3565,5595,2.3725,0.58382),(3565,5605,2.3709,0.57877),(3565,5615,2.3693,0.57373),(3565,5625,2.3678,0.56872),(3565,5635,2.3662,0.56376),(3565,5645,2.3647,0.5588),(3565,5655,2.3632,0.55386),(3565,5665,2.3616,0.54898),(3565,5675,2.3601,0.54409),(3565,5685,2.3586,0.53921),(3565,5695,2.3571,0.53441),(3565,5705,2.3556,0.52962),(3565,5715,2.3541,0.52482),(3565,5725,2.3527,0.52006),(3565,5735,2.3512,0.51532),(3565,5745,2.3497,0.51057),(3565,5755,2.3483,0.50586),(3565,5765,2.3468,0.50116),(3565,5775,2.3454,0.49646),(3565,5785,2.344,0.49178),(3565,5795,2.3425,0.48712),(3565,5805,2.3411,0.48247),(3565,5815,2.3397,0.47783),(3565,5825,2.3383,0.47321),(3565,5835,2.3369,0.4686),(3565,5845,2.3355,0.464),(3565,5855,2.3341,0.45944),(3565,5865,2.3327,0.45488),(3565,5875,2.3313,0.45032),(3565,5885,2.3299,0.4458),(3565,5895,2.3285,0.44129),(3565,5905,2.3271,0.43677),(3565,5915,2.3257,0.43228),(3565,5925,2.3243,0.4278),(3565,5935,2.3229,0.42332),(3565,5945,2.3215,0.41886),(3565,5955,2.3201,0.41441),(3565,5965,2.3188,0.40996),(3565,5975,2.3174,0.40553),(3565,5985,2.316,0.4011),(3565,5995,1.7706,0.39668),(3565,6005,1.1377,0.39332),(3565,6015,0.50474,0.39278),(3565,6025,0.66013,0.39225),(3565,6035,1.1812,0.39126),(3565,6045,1.7022,0.38584),(3565,6055,2.0631,0.38043),(3565,6065,2.2671,0.37501),(3565,6075,2.4711,0.36797),(3565,6085,2.6087,0.36078),(3565,6095,2.6093,0.35359),(3565,6105,2.61,0.34638),(3565,6115,2.6106,0.33917),(3565,6125,2.6113,0.33196),(3565,6135,2.6119,0.32479),(3565,6145,2.6125,0.31767),(3565,6155,2.6131,0.31055),(3565,6165,2.6137,0.30346),(3565,6175,2.6142,0.29642),(3565,6185,2.6148,0.28938),(3565,6195,2.6153,0.28236),(3565,6205,2.6158,0.27542),(3565,6215,2.6163,0.26848),(3565,6225,2.6168,0.26155),(3565,6235,2.6173,0.25463),(3565,6245,2.6178,0.24772),(3565,6255,2.6182,0.2408),(3565,6265,2.6186,0.23394),(3565,6275,2.6191,0.22708),(3565,6285,2.6194,0.22023),(3565,6295,2.6198,0.21343),(3565,6305,2.6202,0.20667),(3565,6315,2.6205,0.19991),(3565,6325,2.6209,0.19318),(3565,6335,2.6213,0.18647),(3565,6345,2.6216,0.17976),(3565,6355,2.6219,0.17309),(3565,6365,2.6222,0.16649),(3565,6375,2.6225,0.15989),(3565,6385,2.6227,0.15329),(3565,6395,2.623,0.14667),(3565,6405,2.6232,0.14004),(3565,6415,2.6235,0.13342),(3565,6425,2.6237,0.12683),(3565,6435,2.6239,0.12023),(3565,6445,2.6241,0.11363),(3565,6455,2.6243,0.10711),(3565,6465,2.6245,0.10062),(3565,6475,2.6247,0.094128),(3565,6485,2.6248,0.087642),(3565,6495,2.625,0.081162),(3565,6505,2.6251,0.074681),(3565,6515,2.6252,0.06821),(3565,6525,2.6254,0.061751),(3565,6535,2.6255,0.055292),(3565,6545,2.6256,0.048834),(3565,6555,2.6257,0.042378),(3565,6565,2.6257,0.035923),(3565,6575,2.6257,0.029473),(3565,6585,2.6257,0.023107),(3565,6595,2.2334,0.016742),(3565,6605,1.4077,0.010376),(3565,6615,0.58203,0.009648),(3565,6625,0.001609,0.009644),(3565,6635,0.001607,0.00964),(3565,6645,0.001605,0.009635),(3565,6655,0.001602,0.00963),(3565,6665,0.001601,0.009624),(3565,6675,0.001599,0.009618),(3565,6685,0.001597,0.009612),(3565,6695,0.001596,0.009607),(3565,6705,0.001594,0.009601),(3565,6715,0.001593,0.009595),(3565,6725,0.001592,0.009589),(3565,6735,0.00159,0.009583),(3565,6745,0.001589,0.009576),(3565,6755,0.001588,0.00957),(3565,6765,0.001587,0.009564),(3565,6775,0.001586,0.009558),(3565,6785,0.001585,0.009551),(3565,6795,0.001584,0.009545),(3565,6805,0.001583,0.009538),(3565,6815,0.001583,0.009532),(3565,6825,0.001582,0.009525),(3565,6835,0.001581,0.009518),(3565,6845,0.001581,0.009511),(3565,6855,0.00158,0.009505),(3565,6865,0.00158,0.009498),(3565,6875,0.001579,0.009491),(3565,6885,0.001579,0.009484),(3565,6895,0.001578,0.009477),(3565,6905,0.001578,0.00947),(3565,6915,0.001577,0.009463),(3565,6925,0.001577,0.009455),(3565,6935,0.001577,0.009448),(3565,6945,0.001577,0.009441),(3565,6955,0.001576,0.009433),(3565,6965,0.001576,0.009426),(3565,6975,0.001576,0.009419),(3565,6985,0.001576,0.009411),(3575,5,4e-06,3.689),(3575,15,1.2e-05,3.689),(3575,25,2e-05,3.689),(3575,35,2.8e-05,3.689),(3575,45,3.5e-05,3.689),(3575,55,4.3e-05,3.689),(3575,65,5e-05,3.689),(3575,75,5.8e-05,3.689),(3575,85,6.5e-05,3.689),(3575,95,7.2e-05,3.689),(3575,105,7.9e-05,3.689),(3575,115,8.5e-05,3.689),(3575,125,9.1e-05,3.689),(3575,135,9.7e-05,3.689),(3575,145,0.000102,3.6889),(3575,155,0.000107,3.6889),(3575,165,0.000111,3.6889),(3575,175,0.000116,3.6889),(3575,185,0.000119,3.6889),(3575,195,0.000121,3.6889),(3575,205,0.000124,3.6889),(3575,215,0.000127,3.6889),(3575,225,0.000127,3.6889),(3575,235,0.000127,3.6889),(3575,245,0.000127,3.6889),(3575,255,0.000128,3.6889),(3575,265,0.000125,3.6889),(3575,275,0.000123,3.6889),(3575,285,0.00012,3.6888),(3575,295,0.000117,3.6888),(3575,305,0.000112,3.6888),(3575,315,0.000105,3.6888),(3575,325,9.9e-05,3.6888),(3575,335,9.3e-05,3.6888),(3575,345,8.3e-05,3.6888),(3575,355,7.3e-05,3.6888),(3575,365,6.2e-05,3.6888),(3575,375,5.2e-05,3.6887),(3575,385,3.7e-05,3.6887),(3575,395,2.2e-05,3.6887),(3575,405,7e-06,3.6887),(3575,415,-8e-06,3.6887),(3575,425,-2.8e-05,3.6887),(3575,435,-4.8e-05,3.6887),(3575,445,-6.8e-05,3.6887),(3575,455,-8.9e-05,3.6886),(3575,465,-0.000115,3.6886),(3575,475,-0.000142,3.6886),(3575,485,-0.000168,3.6886),(3575,495,-0.000195,3.6886),(3575,505,-0.000228,3.6886),(3575,515,-0.000262,3.6886),(3575,525,-0.000295,3.6885),(3575,535,-0.000329,3.6885),(3575,545,-0.00037,3.6885),(3575,555,-0.000412,3.6885),(3575,565,-0.000453,3.6885),(3575,575,-0.000495,3.6885),(3575,585,-0.000545,3.6885),(3575,595,-0.000594,3.6884),(3575,605,-0.000644,3.6884),(3575,615,-0.000695,3.6884),(3575,625,-0.000754,3.6884),(3575,635,-0.000813,3.6884),(3575,645,-0.000872,3.6884),(3575,655,-0.000933,3.6884),(3575,665,-0.001003,3.6884),(3575,675,-0.001073,3.6884),(3575,685,-0.001143,3.6884),(3575,695,-0.001215,3.6883),(3575,705,-0.001296,3.6883),(3575,715,-0.001377,3.6883),(3575,725,-0.001458,3.6883),(3575,735,-0.001542,3.6883),(3575,745,-0.001636,3.6883),(3575,755,-0.00173,3.6883),(3575,765,-0.001823,3.6883),(3575,775,-0.001921,3.6883),(3575,785,-0.002028,3.6883),(3575,795,-0.002135,3.6883),(3575,805,-0.002242,3.6883),(3575,815,-0.002354,3.6883),(3575,825,-0.002475,3.6883),(3575,835,-0.002597,3.6883),(3575,845,-0.002719,3.6884),(3575,855,-0.002846,3.6884),(3575,865,-0.002983,3.6884),(3575,875,-0.00312,3.6884),(3575,885,-0.003257,3.6884),(3575,895,-0.0034,3.6884),(3575,905,-0.003554,3.6885),(3575,915,-0.003707,3.6885),(3575,925,-0.00386,3.6885),(3575,935,-0.004021,3.6886),(3575,945,-0.004191,3.6886),(3575,955,-0.004362,3.6886),(3575,965,-0.004532,3.6887),(3575,975,-0.004711,3.6887),(3575,985,-0.004899,3.6888),(3575,995,-0.005087,3.6888),(3575,1005,-0.005275,3.6889),(3575,1015,-0.005472,3.689),(3575,1025,-0.005678,3.689),(3575,1035,-0.005884,3.6891),(3575,1045,-0.00609,3.6892),(3575,1055,-0.006307,3.6893),(3575,1065,-0.006531,3.6893),(3575,1075,-0.006756,3.6894),(3575,1085,-0.00698,3.6895),(3575,1095,-0.007215,3.6896),(3575,1105,-0.007458,3.6897),(3575,1115,-0.0077,3.6898),(3575,1125,-0.007943,3.69),(3575,1135,-0.008197,3.6901),(3575,1145,-0.008458,3.6902),(3575,1155,-0.008719,3.6903),(3575,1165,-0.008979,3.6905),(3575,1175,-0.009251,3.6906),(3575,1185,-0.00953,3.6908),(3575,1195,-0.009808,3.6909),(3575,1205,-0.010086,3.6911),(3575,1215,-0.010376,3.6913),(3575,1225,-0.010672,3.6915),(3575,1235,-0.010967,3.6917),(3575,1245,-0.011262,3.6919),(3575,1255,-0.011569,3.6921),(3575,1265,-0.01188,3.6923),(3575,1275,-0.012191,3.6925),(3575,1285,-0.012503,3.6927),(3575,1295,-0.012826,3.693),(3575,1305,-0.013152,3.6932),(3575,1315,-0.013478,3.6935),(3575,1325,-0.013804,3.6937),(3575,1335,-0.014142,3.694),(3575,1345,-0.014483,3.6943),(3575,1355,-0.014823,3.6946),(3575,1365,-0.015164,3.6949),(3575,1375,-0.015516,3.6952),(3575,1385,-0.01587,3.6955),(3575,1395,-0.016224,3.6958),(3575,1405,-0.016578,3.6961),(3575,1415,-0.016944,3.6965),(3575,1425,-0.017311,3.6968),(3575,1435,-0.017678,3.6972),(3575,1445,-0.018045,3.6976),(3575,1455,-0.018424,3.6979),(3575,1465,-0.018803,3.6983),(3575,1475,-0.019183,3.6987),(3575,1485,-0.019562,3.6991),(3575,1495,-0.019954,3.6995),(3575,1505,-0.020346,3.7),(3575,1515,-0.020738,3.7004),(3575,1525,-0.021131,3.7009),(3575,1535,-0.021537,3.7013),(3575,1545,-0.021942,3.7018),(3575,1555,-0.022348,3.7022),(3575,1565,-0.022755,3.7027),(3575,1575,-0.023175,3.7032),(3575,1585,-0.023595,3.7037),(3575,1595,-0.024016,3.7042),(3575,1605,-0.024438,3.7048),(3575,1615,-0.024875,3.7053),(3575,1625,-0.025311,3.7058),(3575,1635,-0.025748,3.7064),(3575,1645,-0.026188,3.707),(3575,1655,-0.026644,3.7075),(3575,1665,-0.027099,3.7081),(3575,1675,-0.027555,3.7087),(3575,1685,-0.028015,3.7093),(3575,1695,-0.028493,3.7099),(3575,1705,-0.028971,3.7106),(3575,1715,-0.029449,3.7112),(3575,1725,-0.029933,3.7119),(3575,1735,-0.030438,3.7125),(3575,1745,-0.030942,3.7132),(3575,1755,-0.031446,3.7139),(3575,1765,-0.031959,3.7146),(3575,1775,-0.032495,3.7153),(3575,1785,-0.03303,3.716),(3575,1795,-0.033566,3.7168),(3575,1805,-0.034113,3.7175),(3575,1815,-0.034685,3.7183),(3575,1825,-0.035258,3.7191),(3575,1835,-0.03583,3.7199),(3575,1845,-0.036417,3.7207),(3575,1855,-0.037033,3.7215),(3575,1865,-0.037649,3.7223),(3575,1875,-0.038265,3.7232),(3575,1885,-0.0389,3.7241),(3575,1895,-0.039567,3.7249),(3575,1905,-0.040233,3.7258),(3575,1915,-0.0409,3.7268),(3575,1925,-0.041591,3.7277),(3575,1935,-0.042317,3.7287),(3575,1945,-0.043043,3.7296),(3575,1955,-0.043769,3.7307),(3575,1965,-0.044526,3.7317),(3575,1975,-0.04532,3.7327),(3575,1985,-0.046115,3.7338),(3575,1995,-0.046909,3.7349),(3575,2005,-0.047743,3.736),(3575,2015,-0.048617,3.7372),(3575,2025,-0.049491,3.7383),(3575,2035,-0.050365,3.7396),(3575,2045,-0.051288,3.7408),(3575,2055,-0.052252,3.742),(3575,2065,-0.053217,3.7433),(3575,2075,-0.054182,3.7447),(3575,2085,-0.055207,3.746),(3575,2095,-0.056276,3.7474),(3575,2105,-0.057344,3.7488),(3575,2115,-0.058413,3.7504),(3575,2125,-0.059554,3.7519),(3575,2135,-0.060741,3.7534),(3575,2145,-0.061927,3.755),(3575,2155,-0.063113,3.7567),(3575,2165,-0.064387,3.7584),(3575,2175,-0.065706,3.7601),(3575,2185,-0.067025,3.762),(3575,2195,-0.068344,3.7639),(3575,2205,-0.069766,3.7658),(3575,2215,-0.071233,3.7677),(3575,2225,-0.0727,3.7698),(3575,2235,-0.074167,3.772),(3575,2245,-0.075754,3.7742),(3575,2255,-0.077383,3.7764),(3575,2265,-0.079013,3.7789),(3575,2275,-0.080642,3.7814),(3575,2285,-0.082408,3.7839),(3575,2295,-0.084213,3.7864),(3575,2305,-0.086018,3.7893),(3575,2315,-0.087824,3.7922),(3575,2325,-0.089779,3.7951),(3575,2335,-0.091769,3.798),(3575,2345,-0.093759,3.8014),(3575,2355,-0.095748,3.8048),(3575,2365,-0.097896,3.8082),(3575,2375,-0.10007,3.8117),(3575,2385,-0.10224,3.8156),(3575,2395,-0.10442,3.8197),(3575,2405,-0.10674,3.8237),(3575,2415,-0.10909,3.8278),(3575,2425,-0.11143,3.8326),(3575,2435,-0.11378,3.8374),(3575,2445,-0.11624,3.8422),(3575,2455,-0.11871,3.847),(3575,2465,-0.12118,3.8528),(3575,2475,-0.12366,3.8585),(3575,2485,-0.12617,3.8643),(3575,2495,-0.12869,3.8701),(3575,2505,-0.1312,3.877),(3575,2515,-0.13371,3.884),(3575,2525,-0.13612,3.891),(3575,2535,-0.13852,3.898),(3575,2545,-0.14092,3.9064),(3575,2555,-0.14331,3.9148),(3575,2565,-0.14533,3.9232),(3575,2575,-0.14735,3.9317),(3575,2585,-0.14937,3.9419),(3575,2595,-0.15132,3.952),(3575,2605,-0.15253,3.9621),(3575,2615,-0.15375,3.9724),(3575,2625,-0.15496,3.9845),(3575,2635,-0.15597,3.9966),(3575,2645,-0.15572,4.0086),(3575,2655,-0.15546,4.021),(3575,2665,-0.1552,4.0351),(3575,2675,-0.15454,4.0492),(3575,2685,-0.1519,4.0632),(3575,2695,-0.14926,4.0776),(3575,2705,-0.14662,4.0934),(3575,2715,-0.14325,4.1091),(3575,2725,-0.13715,4.1249),(3575,2735,-0.13106,4.1408),(3575,2745,-0.12496,4.1573),(3575,2755,-0.11779,4.1737),(3575,2765,-0.10744,4.1902),(3575,2775,-0.097088,4.2063),(3575,2785,-0.086735,4.2216),(3575,2795,-0.075314,4.2369),(3575,2805,-0.061301,4.2522),(3575,2815,-0.047289,4.2668),(3575,2825,-0.033276,4.2798),(3575,2835,-0.018388,4.2928),(3575,2845,-0.001736,4.3058),(3575,2855,0.014916,4.3178),(3575,2865,0.031569,4.3281),(3575,2875,0.048865,4.3383),(3575,2885,0.067252,4.3486),(3575,2895,0.085639,4.3578),(3575,2905,0.10403,4.3654),(3575,2915,0.12286,4.3729),(3575,2925,0.14234,4.3804),(3575,2935,0.16181,4.3869),(3575,2945,0.18129,4.3919),(3575,2955,0.20107,4.3968),(3575,2965,0.22122,4.4018),(3575,2975,0.24137,4.4057),(3575,2985,0.26152,4.4083),(3575,2995,0.28189,4.411),(3575,3005,0.30249,4.4136),(3575,3015,0.32309,4.4151),(3575,3025,0.34369,4.4156),(3575,3035,0.36446,4.4161),(3575,3045,0.3854,4.4166),(3575,3055,0.40633,4.416),(3575,3065,0.42726,4.4144),(3575,3075,0.44836,4.4129),(3575,3085,0.4696,4.4114),(3575,3095,0.49083,4.4087),(3575,3105,0.51206,4.4053),(3575,3115,0.53348,4.4018),(3575,3125,0.55502,4.3983),(3575,3135,0.57657,4.3937),(3575,3145,0.59811,4.3883),(3575,3155,0.61988,4.3829),(3575,3165,0.64178,4.3775),(3575,3175,0.66367,4.3708),(3575,3185,0.68557,4.3634),(3575,3195,0.70774,4.356),(3575,3205,0.73003,4.3486),(3575,3215,0.75232,4.3397),(3575,3225,0.77462,4.3302),(3575,3235,0.79723,4.3206),(3575,3245,0.81996,4.3111),(3575,3255,0.84269,4.2998),(3575,3265,0.86543,4.288),(3575,3275,0.88851,4.2761),(3575,3285,0.91169,4.2642),(3575,3295,0.93488,4.2502),(3575,3305,0.95807,4.2357),(3575,3315,0.9816,4.2211),(3575,3325,1.0052,4.2065),(3575,3335,1.0288,4.1894),(3575,3345,1.0524,4.1718),(3575,3355,1.0763,4.1541),(3575,3365,1.1002,4.1365),(3575,3375,1.1241,4.1157),(3575,3385,1.148,4.0944),(3575,3395,1.1719,4.0731),(3575,3405,1.1958,4.0518),(3575,3415,1.2197,4.0266),(3575,3425,1.2437,4.001),(3575,3435,1.2671,3.9754),(3575,3445,1.2905,3.9498),(3575,3455,1.314,3.9194),(3575,3465,1.3374,3.8888),(3575,3475,1.3594,3.8581),(3575,3485,1.3815,3.8275),(3575,3495,1.4035,3.7912),(3575,3505,1.4255,3.7547),(3575,3515,1.4446,3.7183),(3575,3525,1.4638,3.6818),(3575,3535,1.4829,3.6391),(3575,3545,1.5019,3.5965),(3575,3555,1.516,3.5538),(3575,3565,1.5301,3.5108),(3575,3575,1.5442,3.4623),(3575,3585,1.5577,3.4138),(3575,3595,1.564,3.3653),(3575,3605,1.5702,3.3164),(3575,3615,1.5765,3.2641),(3575,3625,1.5815,3.2118),(3575,3635,1.5774,3.1595),(3575,3645,1.5732,3.1073),(3575,3655,1.5691,3.0556),(3575,3665,1.5633,3.004),(3575,3675,1.5491,2.9523),(3575,3685,1.5349,2.9017),(3575,3695,1.5207,2.8555),(3575,3705,1.5053,2.8094),(3575,3715,1.4854,2.7632),(3575,3725,1.4655,2.7184),(3575,3735,1.4456,2.6784),(3575,3745,1.425,2.6385),(3575,3755,1.4026,2.5985),(3575,3765,1.3802,2.56),(3575,3775,1.3578,2.5256),(3575,3785,1.3352,2.4913),(3575,3795,1.3124,2.4569),(3575,3805,1.2895,2.4241),(3575,3815,1.2667,2.3946),(3575,3825,1.2441,2.3651),(3575,3835,1.2223,2.3357),(3575,3845,1.2004,2.3077),(3575,3855,1.1785,2.2827),(3575,3865,1.1573,2.2576),(3575,3875,1.1373,2.2326),(3575,3885,1.1173,2.2092),(3575,3895,1.0974,2.1886),(3575,3905,1.0783,2.1679),(3575,3915,1.0606,2.1473),(3575,3925,1.0429,2.1287),(3575,3935,1.0253,2.1128),(3575,3945,1.0084,2.097),(3575,3955,0.99263,2.0811),(3575,3965,0.97685,2.0677),(3575,3975,0.96106,2.0571),(3575,3985,0.94557,2.0465),(3575,3995,0.93038,2.0359),(3575,4005,0.91519,2.0275),(3575,4015,0.9,2.0213),(3575,4025,1.2015,2.0151),(3575,4035,1.5341,2.0072),(3575,4045,1.8666,1.9959),(3575,4055,2.1014,1.9846),(3575,4065,2.3007,1.9726),(3575,4075,2.4999,1.9566),(3575,4085,2.5866,1.9405),(3575,4095,2.5828,1.9245),(3575,4105,2.579,1.9083),(3575,4115,2.495,1.8921),(3575,4125,2.2782,1.8759),(3575,4135,2.0614,1.8637),(3575,4145,1.8426,1.8525),(3575,4155,1.6154,1.8413),(3575,4165,1.3883,1.8337),(3575,4175,1.1738,1.8285),(3575,4185,1.5888,1.8233),(3575,4195,2.0038,1.8134),(3575,4205,2.4187,1.7973),(3575,4215,2.4801,1.7811),(3575,4225,2.475,1.7649),(3575,4235,2.4698,1.7485),(3575,4245,2.4426,1.7321),(3575,4255,2.4041,1.7156),(3575,4265,2.3656,1.6971),(3575,4275,2.0802,1.6786),(3575,4285,1.5328,1.6601),(3575,4295,0.98541,1.6561),(3575,4305,0.75664,1.6538),(3575,4315,1.2474,1.6515),(3575,4325,1.7381,1.6414),(3575,4335,2.174,1.6282),(3575,4345,2.2386,1.615),(3575,4355,2.3032,1.601),(3575,4365,2.3678,1.5862),(3575,4375,2.3698,1.5714),(3575,4385,2.3686,1.5565),(3575,4395,2.3674,1.5416),(3575,4405,2.0828,1.5267),(3575,4415,1.7146,1.5134),(3575,4425,1.3464,1.5069),(3575,4435,1.1892,1.5005),(3575,4445,1.1761,1.4941),(3575,4455,1.163,1.488),(3575,4465,1.3069,1.4819),(3575,4475,1.6715,1.4759),(3575,4485,2.0361,1.4632),(3575,4495,2.314,1.4493),(3575,4505,2.3139,1.4353),(3575,4515,2.3137,1.4214),(3575,4525,2.309,1.4075),(3575,4535,2.232,1.3937),(3575,4545,2.155,1.3806),(3575,4555,2.078,1.3684),(3575,4565,1.5941,1.3562),(3575,4575,1.0554,1.3475),(3575,4585,0.51671,1.3471),(3575,4595,0.75345,1.3467),(3575,4605,1.3178,1.3445),(3575,4615,1.8822,1.3286),(3575,4625,2.1672,1.3126),(3575,4635,2.1993,1.2967),(3575,4645,2.2313,1.2835),(3575,4655,2.2531,1.2705),(3575,4665,2.2555,1.2575),(3575,4675,2.258,1.2448),(3575,4685,2.1824,1.2322),(3575,4695,1.7212,1.2196),(3575,4705,1.26,1.2122),(3575,4715,0.79881,1.2087),(3575,4725,1.0163,1.2052),(3575,4735,1.2405,1.2),(3575,4745,1.4647,1.1924),(3575,4755,1.6938,1.1848),(3575,4765,1.924,1.1763),(3575,4775,2.1541,1.1644),(3575,4785,2.239,1.1525),(3575,4795,2.2399,1.1407),(3575,4805,2.2407,1.1292),(3575,4815,2.1338,1.1176),(3575,4825,1.8981,1.1061),(3575,4835,1.6624,1.0982),(3575,4845,1.4237,1.0908),(3575,4855,1.1772,1.0835),(3575,4865,0.93078,1.0792),(3575,4875,0.75581,1.0762),(3575,4885,1.2313,1.0733),(3575,4895,1.7067,1.0662),(3575,4905,2.1821,1.0553),(3575,4915,2.2201,1.0443),(3575,4925,2.2203,1.0333),(3575,4935,2.2206,1.0222),(3575,4945,2.2068,1.0112),(3575,4955,2.188,0.99984),(3575,4965,2.1692,0.98679),(3575,4975,1.8088,0.97375),(3575,4985,1.1847,0.9607),(3575,4995,0.56066,0.96012),(3575,5005,0.36306,0.95985),(3575,5015,0.84348,0.95958),(3575,5025,1.3239,0.95302),(3575,5035,1.7378,0.94484),(3575,5045,1.898,0.93667),(3575,5055,2.0583,0.92685),(3575,5065,2.2138,0.91602),(3575,5075,2.2152,0.90518),(3575,5085,2.2166,0.89442),(3575,5095,2.218,0.88374),(3575,5105,1.9393,0.87306),(3575,5115,1.6117,0.86378),(3575,5125,1.2842,0.85841),(3575,5135,1.1189,0.85305),(3575,5145,1.0323,0.84782),(3575,5155,0.94581,0.84411),(3575,5165,1.11,0.84039),(3575,5175,1.5298,0.83668),(3575,5185,1.9497,0.82735),(3575,5195,2.2368,0.81743),(3575,5205,2.2376,0.80751),(3575,5215,2.2384,0.79771),(3575,5225,2.2276,0.78794),(3575,5235,2.1447,0.77817),(3575,5245,2.0618,0.76909),(3575,5255,1.9788,0.76058),(3575,5265,1.395,0.75207),(3575,5275,0.79053,0.74674),(3575,5285,0.18607,0.74678),(3575,5295,0.58724,0.74683),(3575,5305,1.2685,0.74498),(3575,5315,1.9497,0.73518),(3575,5325,2.2257,0.72538),(3575,5335,2.2361,0.7156),(3575,5345,2.2465,0.70716),(3575,5355,2.2525,0.69873),(3575,5365,2.2527,0.69029),(3575,5375,2.2528,0.68201),(3575,5385,2.1244,0.67375),(3575,5395,1.6048,0.6655),(3575,5405,1.0853,0.66135),(3575,5415,0.62155,0.65933),(3575,5425,0.90787,0.6573),(3575,5435,1.1942,0.65463),(3575,5445,1.4805,0.65126),(3575,5455,1.7579,0.64789),(3575,5465,2.0343,0.64389),(3575,5475,2.3106,0.63847),(3575,5485,2.3887,0.63304),(3575,5495,2.387,0.62763),(3575,5505,2.3853,0.62233),(3575,5515,2.3836,0.61704),(3575,5525,2.382,0.61174),(3575,5535,2.3803,0.60657),(3575,5545,2.3787,0.60141),(3575,5555,2.377,0.59625),(3575,5565,2.3754,0.59118),(3575,5575,2.3738,0.58613),(3575,5585,2.3722,0.58109),(3575,5595,2.3706,0.5761),(3575,5605,2.369,0.57115),(3575,5615,2.3674,0.56621),(3575,5625,2.3658,0.5613),(3575,5635,2.3642,0.55644),(3575,5645,2.3627,0.55158),(3575,5655,2.3611,0.54673),(3575,5665,2.3596,0.54194),(3575,5675,2.3581,0.53715),(3575,5685,2.3565,0.53236),(3575,5695,2.355,0.52765),(3575,5705,2.3535,0.52294),(3575,5715,2.352,0.51823),(3575,5725,2.3505,0.51356),(3575,5735,2.349,0.5089),(3575,5745,2.3476,0.50423),(3575,5755,2.3461,0.4996),(3575,5765,2.3446,0.49498),(3575,5775,2.3432,0.49036),(3575,5785,2.3417,0.48576),(3575,5795,2.3403,0.48118),(3575,5805,2.3389,0.4766),(3575,5815,2.3374,0.47203),(3575,5825,2.336,0.46749),(3575,5835,2.3346,0.46295),(3575,5845,2.3332,0.45842),(3575,5855,2.3318,0.45392),(3575,5865,2.3304,0.44943),(3575,5875,2.329,0.44493),(3575,5885,2.3276,0.44048),(3575,5895,2.3262,0.43603),(3575,5905,2.3248,0.43158),(3575,5915,2.3234,0.42715),(3575,5925,2.322,0.42273),(3575,5935,2.3206,0.41831),(3575,5945,2.3192,0.41391),(3575,5955,2.3178,0.40952),(3575,5965,2.3164,0.40514),(3575,5975,2.315,0.40076),(3575,5985,2.3137,0.3964),(3575,5995,1.7688,0.39203),(3575,6005,1.1365,0.38871),(3575,6015,0.50418,0.38818),(3575,6025,0.65991,0.38766),(3575,6035,1.1811,0.38668),(3575,6045,1.7024,0.38132),(3575,6055,2.0634,0.37596),(3575,6065,2.2675,0.37061),(3575,6075,2.4715,0.36364),(3575,6085,2.6091,0.35653),(3575,6095,2.6097,0.34942),(3575,6105,2.6103,0.34229),(3575,6115,2.611,0.33515),(3575,6125,2.6116,0.32802),(3575,6135,2.6122,0.32093),(3575,6145,2.6128,0.31389),(3575,6155,2.6133,0.30684),(3575,6165,2.6139,0.29982),(3575,6175,2.6144,0.29286),(3575,6185,2.615,0.28589),(3575,6195,2.6155,0.27895),(3575,6205,2.616,0.27209),(3575,6215,2.6165,0.26523),(3575,6225,2.6169,0.25837),(3575,6235,2.6174,0.25153),(3575,6245,2.6178,0.2447),(3575,6255,2.6182,0.23787),(3575,6265,2.6187,0.23108),(3575,6275,2.6191,0.22431),(3575,6285,2.6194,0.21753),(3575,6295,2.6198,0.21081),(3575,6305,2.6201,0.20412),(3575,6315,2.6205,0.19743),(3575,6325,2.6208,0.19077),(3575,6335,2.6212,0.18415),(3575,6345,2.6215,0.17753),(3575,6355,2.6218,0.17094),(3575,6365,2.622,0.16442),(3575,6375,2.6223,0.1579),(3575,6385,2.6225,0.15138),(3575,6395,2.6228,0.14485),(3575,6405,2.623,0.13832),(3575,6415,2.6232,0.13178),(3575,6425,2.6235,0.12527),(3575,6435,2.6237,0.11875),(3575,6445,2.6239,0.11223),(3575,6455,2.624,0.1058),(3575,6465,2.6242,0.099395),(3575,6475,2.6244,0.092988),(3575,6485,2.6245,0.086588),(3575,6495,2.6247,0.080193),(3575,6505,2.6248,0.073798),(3575,6515,2.6249,0.067412),(3575,6525,2.625,0.061041),(3575,6535,2.6251,0.054669),(3575,6545,2.6252,0.048301),(3575,6555,2.6253,0.04194),(3575,6565,2.6253,0.035579),(3575,6575,2.6253,0.029224),(3575,6585,2.6253,0.022941),(3575,6595,2.233,0.016658),(3575,6605,1.4075,0.010375),(3575,6615,0.58195,0.009653),(3575,6625,0.00161,0.009646),(3575,6635,0.001608,0.009639),(3575,6645,0.001606,0.009633),(3575,6655,0.001604,0.009628),(3575,6665,0.001602,0.009622),(3575,6675,0.0016,0.009616),(3575,6685,0.001599,0.009611),(3575,6695,0.001597,0.009605),(3575,6705,0.001596,0.009599),(3575,6715,0.001595,0.009593),(3575,6725,0.001593,0.009587),(3575,6735,0.001592,0.009581),(3575,6745,0.001591,0.009575),(3575,6755,0.00159,0.009569),(3575,6765,0.001589,0.009563),(3575,6775,0.001588,0.009557),(3575,6785,0.001587,0.00955),(3575,6795,0.001587,0.009544),(3575,6805,0.001586,0.009537),(3575,6815,0.001585,0.009531),(3575,6825,0.001584,0.009524),(3575,6835,0.001584,0.009517),(3575,6845,0.001583,0.009511),(3575,6855,0.001583,0.009504),(3575,6865,0.001582,0.009497),(3575,6875,0.001582,0.00949),(3575,6885,0.001582,0.009483),(3575,6895,0.001581,0.009476),(3575,6905,0.001581,0.009469),(3575,6915,0.001581,0.009462),(3575,6925,0.00158,0.009455),(3575,6935,0.00158,0.009448),(3575,6945,0.00158,0.00944),(3575,6955,0.00158,0.009433),(3575,6965,0.001579,0.009426),(3575,6975,0.001579,0.009418),(3575,6985,0.001579,0.009411),(3585,5,4e-06,3.689),(3585,15,1.2e-05,3.689),(3585,25,2e-05,3.689),(3585,35,2.8e-05,3.689),(3585,45,3.6e-05,3.689),(3585,55,4.4e-05,3.689),(3585,65,5.2e-05,3.689),(3585,75,5.9e-05,3.689),(3585,85,6.7e-05,3.689),(3585,95,7.4e-05,3.689),(3585,105,8.1e-05,3.689),(3585,115,8.7e-05,3.689),(3585,125,9.4e-05,3.689),(3585,135,0.0001,3.689),(3585,145,0.000106,3.689),(3585,155,0.00011,3.6889),(3585,165,0.000115,3.6889),(3585,175,0.00012,3.6889),(3585,185,0.000123,3.6889),(3585,195,0.000126,3.6889),(3585,205,0.000129,3.6889),(3585,215,0.000132,3.6889),(3585,225,0.000133,3.6889),(3585,235,0.000133,3.6889),(3585,245,0.000133,3.6889),(3585,255,0.000134,3.6889),(3585,265,0.000132,3.6889),(3585,275,0.000129,3.6889),(3585,285,0.000127,3.6888),(3585,295,0.000124,3.6888),(3585,305,0.000119,3.6888),(3585,315,0.000112,3.6888),(3585,325,0.000106,3.6888),(3585,335,0.0001,3.6888),(3585,345,9.1e-05,3.6888),(3585,355,8.1e-05,3.6888),(3585,365,7e-05,3.6887),(3585,375,6e-05,3.6887),(3585,385,4.6e-05,3.6887),(3585,395,3.1e-05,3.6887),(3585,405,1.6e-05,3.6887),(3585,415,1e-06,3.6887),(3585,425,-1.9e-05,3.6887),(3585,435,-3.9e-05,3.6886),(3585,445,-5.9e-05,3.6886),(3585,455,-8e-05,3.6886),(3585,465,-0.000106,3.6886),(3585,475,-0.000132,3.6886),(3585,485,-0.000159,3.6886),(3585,495,-0.000185,3.6886),(3585,505,-0.000219,3.6885),(3585,515,-0.000252,3.6885),(3585,525,-0.000286,3.6885),(3585,535,-0.00032,3.6885),(3585,545,-0.000361,3.6885),(3585,555,-0.000403,3.6885),(3585,565,-0.000444,3.6884),(3585,575,-0.000486,3.6884),(3585,585,-0.000536,3.6884),(3585,595,-0.000586,3.6884),(3585,605,-0.000636,3.6884),(3585,615,-0.000687,3.6884),(3585,625,-0.000746,3.6884),(3585,635,-0.000806,3.6883),(3585,645,-0.000866,3.6883),(3585,655,-0.000927,3.6883),(3585,665,-0.000997,3.6883),(3585,675,-0.001067,3.6883),(3585,685,-0.001138,3.6883),(3585,695,-0.00121,3.6883),(3585,705,-0.001292,3.6883),(3585,715,-0.001374,3.6882),(3585,725,-0.001456,3.6882),(3585,735,-0.001541,3.6882),(3585,745,-0.001636,3.6882),(3585,755,-0.001731,3.6882),(3585,765,-0.001825,3.6882),(3585,775,-0.001924,3.6882),(3585,785,-0.002032,3.6882),(3585,795,-0.00214,3.6882),(3585,805,-0.002249,3.6882),(3585,815,-0.002362,3.6882),(3585,825,-0.002485,3.6882),(3585,835,-0.002608,3.6882),(3585,845,-0.002731,3.6882),(3585,855,-0.00286,3.6882),(3585,865,-0.002999,3.6882),(3585,875,-0.003138,3.6883),(3585,885,-0.003277,3.6883),(3585,895,-0.003423,3.6883),(3585,905,-0.003578,3.6883),(3585,915,-0.003734,3.6883),(3585,925,-0.00389,3.6884),(3585,935,-0.004053,3.6884),(3585,945,-0.004226,3.6884),(3585,955,-0.004399,3.6885),(3585,965,-0.004572,3.6885),(3585,975,-0.004754,3.6885),(3585,985,-0.004945,3.6886),(3585,995,-0.005136,3.6886),(3585,1005,-0.005328,3.6887),(3585,1015,-0.005528,3.6888),(3585,1025,-0.005738,3.6888),(3585,1035,-0.005948,3.6889),(3585,1045,-0.006158,3.689),(3585,1055,-0.006378,3.689),(3585,1065,-0.006607,3.6891),(3585,1075,-0.006836,3.6892),(3585,1085,-0.007064,3.6893),(3585,1095,-0.007304,3.6894),(3585,1105,-0.007552,3.6895),(3585,1115,-0.007799,3.6896),(3585,1125,-0.008047,3.6897),(3585,1135,-0.008306,3.6898),(3585,1145,-0.008572,3.6899),(3585,1155,-0.008838,3.6901),(3585,1165,-0.009104,3.6902),(3585,1175,-0.009382,3.6904),(3585,1185,-0.009666,3.6905),(3585,1195,-0.00995,3.6907),(3585,1205,-0.010234,3.6908),(3585,1215,-0.010531,3.691),(3585,1225,-0.010832,3.6912),(3585,1235,-0.011134,3.6914),(3585,1245,-0.011435,3.6916),(3585,1255,-0.011749,3.6918),(3585,1265,-0.012067,3.692),(3585,1275,-0.012385,3.6922),(3585,1285,-0.012703,3.6924),(3585,1295,-0.013033,3.6926),(3585,1305,-0.013367,3.6929),(3585,1315,-0.0137,3.6931),(3585,1325,-0.014034,3.6934),(3585,1335,-0.014379,3.6937),(3585,1345,-0.014727,3.6939),(3585,1355,-0.015075,3.6942),(3585,1365,-0.015423,3.6945),(3585,1375,-0.015783,3.6948),(3585,1385,-0.016145,3.6951),(3585,1395,-0.016507,3.6954),(3585,1405,-0.016869,3.6958),(3585,1415,-0.017243,3.6961),(3585,1425,-0.017618,3.6964),(3585,1435,-0.017993,3.6968),(3585,1445,-0.018367,3.6972),(3585,1455,-0.018754,3.6975),(3585,1465,-0.019142,3.6979),(3585,1475,-0.01953,3.6983),(3585,1485,-0.019917,3.6987),(3585,1495,-0.020318,3.6991),(3585,1505,-0.020718,3.6996),(3585,1515,-0.021119,3.7),(3585,1525,-0.02152,3.7004),(3585,1535,-0.021934,3.7009),(3585,1545,-0.022349,3.7013),(3585,1555,-0.022763,3.7018),(3585,1565,-0.023178,3.7023),(3585,1575,-0.023607,3.7028),(3585,1585,-0.024037,3.7033),(3585,1595,-0.024466,3.7038),(3585,1605,-0.024897,3.7043),(3585,1615,-0.025343,3.7048),(3585,1625,-0.025789,3.7054),(3585,1635,-0.026235,3.7059),(3585,1645,-0.026683,3.7065),(3585,1655,-0.027149,3.7071),(3585,1665,-0.027614,3.7076),(3585,1675,-0.028079,3.7082),(3585,1685,-0.028549,3.7088),(3585,1695,-0.029037,3.7095),(3585,1705,-0.029526,3.7101),(3585,1715,-0.030014,3.7107),(3585,1725,-0.030508,3.7114),(3585,1735,-0.031023,3.712),(3585,1745,-0.031539,3.7127),(3585,1755,-0.032054,3.7134),(3585,1765,-0.032578,3.7141),(3585,1775,-0.033125,3.7148),(3585,1785,-0.033672,3.7155),(3585,1795,-0.03422,3.7162),(3585,1805,-0.034779,3.7169),(3585,1815,-0.035364,3.7177),(3585,1825,-0.03595,3.7185),(3585,1835,-0.036536,3.7193),(3585,1845,-0.037136,3.7201),(3585,1855,-0.037767,3.7209),(3585,1865,-0.038397,3.7217),(3585,1875,-0.039028,3.7225),(3585,1885,-0.039679,3.7234),(3585,1895,-0.040362,3.7242),(3585,1905,-0.041045,3.7251),(3585,1915,-0.041728,3.7261),(3585,1925,-0.042438,3.727),(3585,1935,-0.043183,3.7279),(3585,1945,-0.043928,3.7289),(3585,1955,-0.044673,3.7299),(3585,1965,-0.045451,3.7309),(3585,1975,-0.046267,3.7319),(3585,1985,-0.047084,3.733),(3585,1995,-0.047901,3.7341),(3585,2005,-0.048759,3.7351),(3585,2015,-0.049659,3.7362),(3585,2025,-0.050559,3.7374),(3585,2035,-0.051459,3.7386),(3585,2045,-0.05241,3.7398),(3585,2055,-0.053406,3.741),(3585,2065,-0.054402,3.7423),(3585,2075,-0.055397,3.7436),(3585,2085,-0.056457,3.745),(3585,2095,-0.057562,3.7463),(3585,2105,-0.058668,3.7477),(3585,2115,-0.059773,3.7492),(3585,2125,-0.060956,3.7507),(3585,2135,-0.062187,3.7521),(3585,2145,-0.063417,3.7537),(3585,2155,-0.064648,3.7554),(3585,2165,-0.065972,3.7571),(3585,2175,-0.067344,3.7587),(3585,2185,-0.068717,3.7605),(3585,2195,-0.070089,3.7624),(3585,2205,-0.071573,3.7643),(3585,2215,-0.073105,3.7662),(3585,2225,-0.074637,3.7682),(3585,2235,-0.076168,3.7704),(3585,2245,-0.077831,3.7725),(3585,2255,-0.07954,3.7747),(3585,2265,-0.081249,3.7771),(3585,2275,-0.082958,3.7795),(3585,2285,-0.084818,3.782),(3585,2295,-0.086721,3.7845),(3585,2305,-0.088624,3.7873),(3585,2315,-0.090527,3.7901),(3585,2325,-0.0926,3.793),(3585,2335,-0.094711,3.7959),(3585,2345,-0.096821,3.7992),(3585,2355,-0.098932,3.8025),(3585,2365,-0.10123,3.8059),(3585,2375,-0.10355,3.8093),(3585,2385,-0.10587,3.8132),(3585,2395,-0.1082,3.8172),(3585,2405,-0.11071,3.8212),(3585,2415,-0.11324,3.8252),(3585,2425,-0.11577,3.8299),(3585,2435,-0.1183,3.8347),(3585,2445,-0.12099,3.8394),(3585,2455,-0.12369,3.8442),(3585,2465,-0.1264,3.8499),(3585,2475,-0.1291,3.8556),(3585,2485,-0.1319,3.8614),(3585,2495,-0.1347,3.8671),(3585,2505,-0.1375,3.8741),(3585,2515,-0.1403,3.8811),(3585,2525,-0.14306,3.888),(3585,2535,-0.14581,3.8951),(3585,2545,-0.14856,3.9035),(3585,2555,-0.15129,3.912),(3585,2565,-0.15373,3.9205),(3585,2575,-0.15616,3.9291),(3585,2585,-0.1586,3.9394),(3585,2595,-0.16096,3.9497),(3585,2605,-0.16264,3.96),(3585,2615,-0.16432,3.9706),(3585,2625,-0.166,3.983),(3585,2635,-0.16748,3.9954),(3585,2645,-0.1677,4.0079),(3585,2655,-0.16792,4.0206),(3585,2665,-0.16814,4.0353),(3585,2675,-0.16793,4.05),(3585,2685,-0.16569,4.0648),(3585,2695,-0.16345,4.0798),(3585,2705,-0.16121,4.0966),(3585,2715,-0.15818,4.1133),(3585,2725,-0.15225,4.13),(3585,2735,-0.14631,4.147),(3585,2745,-0.14038,4.1646),(3585,2755,-0.13327,4.1823),(3585,2765,-0.12269,4.2),(3585,2775,-0.1121,4.2173),(3585,2785,-0.10151,4.2336),(3585,2795,-0.089775,4.2499),(3585,2805,-0.075262,4.2662),(3585,2815,-0.060749,4.2817),(3585,2825,-0.046236,4.2954),(3585,2835,-0.030812,4.3092),(3585,2845,-0.013553,4.3229),(3585,2855,0.003705,4.3355),(3585,2865,0.020964,4.3462),(3585,2875,0.038869,4.3569),(3585,2885,0.057869,4.3677),(3585,2895,0.076868,4.3772),(3585,2905,0.095868,4.385),(3585,2915,0.1153,4.3928),(3585,2925,0.13535,4.4006),(3585,2935,0.15539,4.4073),(3585,2945,0.17544,4.4124),(3585,2955,0.19577,4.4175),(3585,2965,0.21645,4.4227),(3585,2975,0.23712,4.4267),(3585,2985,0.2578,4.4294),(3585,2995,0.27867,4.4321),(3585,3005,0.29974,4.4349),(3585,3015,0.32082,4.4365),(3585,3025,0.34189,4.437),(3585,3035,0.36312,4.4376),(3585,3045,0.3845,4.4382),(3585,3055,0.40587,4.4376),(3585,3065,0.42725,4.4362),(3585,3075,0.44878,4.4347),(3585,3085,0.47044,4.4332),(3585,3095,0.49209,4.4306),(3585,3105,0.51375,4.4273),(3585,3115,0.5356,4.4239),(3585,3125,0.55756,4.4205),(3585,3135,0.57953,4.4159),(3585,3145,0.6015,4.4106),(3585,3155,0.6237,4.4053),(3585,3165,0.64603,4.4),(3585,3175,0.66837,4.3934),(3585,3185,0.6907,4.3861),(3585,3195,0.71333,4.3788),(3585,3205,0.7361,4.3716),(3585,3215,0.75886,4.3628),(3585,3225,0.78163,4.3534),(3585,3235,0.80475,4.344),(3585,3245,0.82801,4.3346),(3585,3255,0.85127,4.3235),(3585,3265,0.87453,4.3117),(3585,3275,0.89819,4.3),(3585,3285,0.92198,4.2883),(3585,3295,0.94577,4.2744),(3585,3305,0.96956,4.26),(3585,3315,0.99378,4.2456),(3585,3325,1.0181,4.2312),(3585,3335,1.0424,4.2142),(3585,3345,1.0667,4.1967),(3585,3355,1.0914,4.1791),(3585,3365,1.1161,4.1616),(3585,3375,1.1409,4.1409),(3585,3385,1.1656,4.1196),(3585,3395,1.1905,4.0984),(3585,3405,1.2154,4.0772),(3585,3415,1.2403,4.0519),(3585,3425,1.2652,4.0263),(3585,3435,1.2899,4.0006),(3585,3445,1.3144,3.975),(3585,3455,1.339,3.9443),(3585,3465,1.3636,3.9134),(3585,3475,1.387,3.8825),(3585,3485,1.4104,3.8515),(3585,3495,1.4337,3.8145),(3585,3505,1.4571,3.7774),(3585,3515,1.4777,3.7403),(3585,3525,1.4983,3.703),(3585,3535,1.5189,3.6591),(3585,3545,1.5392,3.6152),(3585,3555,1.5547,3.5712),(3585,3565,1.5701,3.5268),(3585,3575,1.5856,3.4762),(3585,3585,1.6004,3.4255),(3585,3595,1.6075,3.3748),(3585,3605,1.6146,3.3237),(3585,3615,1.6217,3.2684),(3585,3625,1.6275,3.213),(3585,3635,1.6232,3.1577),(3585,3645,1.6189,3.1025),(3585,3655,1.6146,3.0479),(3585,3665,1.6085,2.9933),(3585,3675,1.5931,2.9387),(3585,3685,1.5777,2.8854),(3585,3695,1.5623,2.8377),(3585,3705,1.5457,2.79),(3585,3715,1.5244,2.7424),(3585,3725,1.5031,2.6963),(3585,3735,1.4818,2.6557),(3585,3745,1.4599,2.6151),(3585,3755,1.4362,2.5746),(3585,3765,1.4125,2.5356),(3585,3775,1.3887,2.5012),(3585,3785,1.365,2.4668),(3585,3795,1.341,2.4324),(3585,3805,1.317,2.3996),(3585,3815,1.293,2.3704),(3585,3825,1.2694,2.3412),(3585,3835,1.2465,2.3121),(3585,3845,1.2236,2.2845),(3585,3855,1.2007,2.2599),(3585,3865,1.1785,2.2353),(3585,3875,1.1575,2.2108),(3585,3885,1.1365,2.1879),(3585,3895,1.1154,2.1678),(3585,3905,1.0953,2.1477),(3585,3915,1.0765,2.1275),(3585,3925,1.0576,2.1094),(3585,3935,1.0388,2.094),(3585,3945,1.0207,2.0786),(3585,3955,1.0037,2.0632),(3585,3965,0.9866,2.0501),(3585,3975,0.96954,2.0396),(3585,3985,0.9528,2.0292),(3585,3995,0.93641,2.0188),(3585,4005,0.92002,2.0104),(3585,4015,0.90363,2.0042),(3585,4025,1.2056,1.9979),(3585,4035,1.5388,1.9899),(3585,4045,1.8719,1.9783),(3585,4055,2.1076,1.9667),(3585,4065,2.3077,1.9544),(3585,4075,2.5078,1.938),(3585,4085,2.5949,1.9217),(3585,4095,2.5912,1.9054),(3585,4105,2.5875,1.889),(3585,4115,2.5032,1.8727),(3585,4125,2.2855,1.8563),(3585,4135,2.0678,1.844),(3585,4145,1.848,1.8327),(3585,4155,1.6196,1.8215),(3585,4165,1.3912,1.8139),(3585,4175,1.1757,1.8087),(3585,4185,1.5928,1.8034),(3585,4195,2.01,1.7935),(3585,4205,2.4272,1.7775),(3585,4215,2.489,1.7614),(3585,4225,2.4839,1.7453),(3585,4235,2.4789,1.729),(3585,4245,2.4522,1.7128),(3585,4255,2.4145,1.6964),(3585,4265,2.3767,1.6781),(3585,4275,2.0901,1.6598),(3585,4285,1.5392,1.6415),(3585,4295,0.98837,1.6376),(3585,4305,0.75781,1.6354),(3585,4315,1.2505,1.6332),(3585,4325,1.7431,1.6232),(3585,4335,2.1807,1.6101),(3585,4345,2.2456,1.5969),(3585,4355,2.3106,1.5829),(3585,4365,2.3755,1.5682),(3585,4375,2.3776,1.5535),(3585,4385,2.3764,1.5387),(3585,4395,2.3752,1.5238),(3585,4405,2.0894,1.509),(3585,4415,1.7197,1.4957),(3585,4425,1.35,1.4894),(3585,4435,1.1921,1.4831),(3585,4445,1.1789,1.4769),(3585,4455,1.1657,1.471),(3585,4465,1.3102,1.465),(3585,4475,1.6762,1.4591),(3585,4485,2.0421,1.4466),(3585,4495,2.3211,1.4327),(3585,4505,2.3209,1.4188),(3585,4515,2.3207,1.405),(3585,4525,2.3159,1.3912),(3585,4535,2.2386,1.3775),(3585,4545,2.1613,1.3645),(3585,4555,2.084,1.3524),(3585,4565,1.5983,1.3402),(3585,4575,1.0575,1.3316),(3585,4585,0.51672,1.3312),(3585,4595,0.75505,1.3309),(3585,4605,1.3226,1.3288),(3585,4615,1.8901,1.3131),(3585,4625,2.1761,1.2973),(3585,4635,2.2071,1.2816),(3585,4645,2.2381,1.2685),(3585,4655,2.2592,1.2555),(3585,4665,2.2615,1.2426),(3585,4675,2.2639,1.23),(3585,4685,2.1879,1.2174),(3585,4695,1.7253,1.2049),(3585,4705,1.2626,1.1976),(3585,4715,0.79996,1.1941),(3585,4725,1.018,1.1906),(3585,4735,1.2428,1.1855),(3585,4745,1.4676,1.178),(3585,4755,1.6973,1.1705),(3585,4765,1.9281,1.1621),(3585,4775,2.159,1.1504),(3585,4785,2.244,1.1387),(3585,4795,2.2447,1.127),(3585,4805,2.2455,1.1156),(3585,4815,2.1383,1.1042),(3585,4825,1.9019,1.0929),(3585,4835,1.6656,1.085),(3585,4845,1.4263,1.0778),(3585,4855,1.1792,1.0705),(3585,4865,0.93214,1.0663),(3585,4875,0.75671,1.0633),(3585,4885,1.2332,1.0604),(3585,4895,1.7097,1.0534),(3585,4905,2.1862,1.0425),(3585,4915,2.2243,1.0315),(3585,4925,2.2246,1.0206),(3585,4935,2.2249,1.0096),(3585,4945,2.2115,0.99857),(3585,4955,2.1934,0.98727),(3585,4965,2.1753,0.97431),(3585,4975,1.8141,0.96135),(3585,4985,1.1879,0.9484),(3585,4995,0.56169,0.94785),(3585,5005,0.3632,0.94761),(3585,5015,0.84464,0.94738),(3585,5025,1.3261,0.94087),(3585,5035,1.7408,0.93275),(3585,5045,1.9014,0.92464),(3585,5055,2.062,0.91489),(3585,5065,2.2179,0.90412),(3585,5075,2.2192,0.89336),(3585,5085,2.2206,0.88266),(3585,5095,2.2219,0.87206),(3585,5105,1.9426,0.86146),(3585,5115,1.6144,0.85224),(3585,5125,1.2862,0.84692),(3585,5135,1.1205,0.84161),(3585,5145,1.0337,0.83643),(3585,5155,0.94692,0.83275),(3585,5165,1.1113,0.82908),(3585,5175,1.5318,0.82541),(3585,5185,1.9524,0.81615),(3585,5195,2.2399,0.80631),(3585,5205,2.2407,0.79647),(3585,5215,2.2414,0.78674),(3585,5225,2.2306,0.77706),(3585,5235,2.1475,0.76737),(3585,5245,2.0644,0.75837),(3585,5255,1.9813,0.74993),(3585,5265,1.3967,0.74149),(3585,5275,0.79137,0.73621),(3585,5285,0.18605,0.73626),(3585,5295,0.58785,0.73632),(3585,5305,1.2701,0.7345),(3585,5315,1.9524,0.72483),(3585,5325,2.2286,0.71516),(3585,5335,2.2385,0.70551),(3585,5345,2.2484,0.69717),(3585,5355,2.2542,0.68883),(3585,5365,2.2543,0.68049),(3585,5375,2.2544,0.6723),(3585,5385,2.1258,0.66414),(3585,5395,1.6058,0.65598),(3585,5405,1.0859,0.65188),(3585,5415,0.62175,0.64989),(3585,5425,0.90769,0.64789),(3585,5435,1.1936,0.64528),(3585,5445,1.4796,0.64198),(3585,5455,1.7568,0.63869),(3585,5465,2.033,0.63479),(3585,5475,2.3091,0.62949),(3585,5485,2.3872,0.62418),(3585,5495,2.3854,0.61889),(3585,5505,2.3837,0.61371),(3585,5515,2.3819,0.60853),(3585,5525,2.3803,0.60335),(3585,5535,2.3786,0.5983),(3585,5545,2.3769,0.59325),(3585,5555,2.3752,0.5882),(3585,5565,2.3736,0.58323),(3585,5575,2.3719,0.57829),(3585,5585,2.3703,0.57335),(3585,5595,2.3687,0.56846),(3585,5605,2.367,0.56362),(3585,5615,2.3654,0.55877),(3585,5625,2.3638,0.55396),(3585,5635,2.3622,0.5492),(3585,5645,2.3607,0.54443),(3585,5655,2.3591,0.53969),(3585,5665,2.3575,0.53499),(3585,5675,2.356,0.53029),(3585,5685,2.3545,0.52559),(3585,5695,2.3529,0.52096),(3585,5705,2.3514,0.51634),(3585,5715,2.3499,0.51171),(3585,5725,2.3484,0.50713),(3585,5735,2.3469,0.50255),(3585,5745,2.3454,0.49797),(3585,5755,2.3439,0.49341),(3585,5765,2.3424,0.48887),(3585,5775,2.341,0.48433),(3585,5785,2.3395,0.47981),(3585,5795,2.3381,0.4753),(3585,5805,2.3366,0.47079),(3585,5815,2.3352,0.4663),(3585,5825,2.3338,0.46183),(3585,5835,2.3323,0.45736),(3585,5845,2.3309,0.45289),(3585,5855,2.3295,0.44846),(3585,5865,2.3281,0.44403),(3585,5875,2.3267,0.4396),(3585,5885,2.3253,0.43521),(3585,5895,2.3239,0.43083),(3585,5905,2.3225,0.42644),(3585,5915,2.321,0.42207),(3585,5925,2.3196,0.41771),(3585,5935,2.3182,0.41335),(3585,5945,2.3168,0.40901),(3585,5955,2.3154,0.40469),(3585,5965,2.3141,0.40036),(3585,5975,2.3127,0.39604),(3585,5985,2.3113,0.39174),(3585,5995,1.767,0.38743),(3585,6005,1.1353,0.38416),(3585,6015,0.50362,0.38364),(3585,6025,0.65969,0.38311),(3585,6035,1.1811,0.38214),(3585,6045,1.7026,0.37684),(3585,6055,2.0638,0.37154),(3585,6065,2.2678,0.36624),(3585,6075,2.4719,0.35935),(3585,6085,2.6095,0.35232),(3585,6095,2.6101,0.34528),(3585,6105,2.6107,0.33823),(3585,6115,2.6113,0.33117),(3585,6125,2.6119,0.32411),(3585,6135,2.6125,0.3171),(3585,6145,2.613,0.31012),(3585,6155,2.6136,0.30315),(3585,6165,2.6141,0.29621),(3585,6175,2.6146,0.28932),(3585,6185,2.6151,0.28243),(3585,6195,2.6156,0.27556),(3585,6205,2.6161,0.26877),(3585,6215,2.6166,0.26198),(3585,6225,2.617,0.25519),(3585,6235,2.6175,0.24844),(3585,6245,2.6179,0.24168),(3585,6255,2.6183,0.23493),(3585,6265,2.6187,0.22822),(3585,6275,2.6191,0.22152),(3585,6285,2.6194,0.21482),(3585,6295,2.6198,0.20818),(3585,6305,2.6201,0.20156),(3585,6315,2.6204,0.19494),(3585,6325,2.6208,0.18836),(3585,6335,2.6211,0.18182),(3585,6345,2.6213,0.17528),(3585,6355,2.6216,0.16877),(3585,6365,2.6219,0.16234),(3585,6375,2.6221,0.1559),(3585,6385,2.6224,0.14946),(3585,6395,2.6226,0.14302),(3585,6405,2.6228,0.13657),(3585,6415,2.623,0.13012),(3585,6425,2.6232,0.12369),(3585,6435,2.6234,0.11726),(3585,6445,2.6236,0.11083),(3585,6455,2.6237,0.10448),(3585,6465,2.6239,0.098159),(3585,6475,2.6241,0.091838),(3585,6485,2.6242,0.085524),(3585,6495,2.6243,0.079215),(3585,6505,2.6244,0.072905),(3585,6515,2.6245,0.066606),(3585,6525,2.6246,0.060322),(3585,6535,2.6247,0.054038),(3585,6545,2.6248,0.047756),(3585,6555,2.6249,0.041481),(3585,6565,2.6249,0.035206),(3585,6575,2.6249,0.028935),(3585,6585,2.6249,0.022738),(3585,6595,2.2327,0.016541),(3585,6605,1.4073,0.010344),(3585,6615,0.58186,0.009637),(3585,6625,0.001611,0.009636),(3585,6635,0.001609,0.009636),(3585,6645,0.001607,0.009632),(3585,6655,0.001605,0.009626),(3585,6665,0.001604,0.00962),(3585,6675,0.001602,0.009615),(3585,6685,0.0016,0.009609),(3585,6695,0.001599,0.009604),(3585,6705,0.001598,0.009598),(3585,6715,0.001596,0.009592),(3585,6725,0.001595,0.009586),(3585,6735,0.001594,0.00958),(3585,6745,0.001593,0.009574),(3585,6755,0.001592,0.009568),(3585,6765,0.001591,0.009562),(3585,6775,0.00159,0.009556),(3585,6785,0.00159,0.00955),(3585,6795,0.001589,0.009543),(3585,6805,0.001588,0.009537),(3585,6815,0.001588,0.00953),(3585,6825,0.001587,0.009524),(3585,6835,0.001587,0.009517),(3585,6845,0.001586,0.00951),(3585,6855,0.001586,0.009504),(3585,6865,0.001585,0.009497),(3585,6875,0.001585,0.00949),(3585,6885,0.001584,0.009483),(3585,6895,0.001584,0.009476),(3585,6905,0.001584,0.009469),(3585,6915,0.001584,0.009462),(3585,6925,0.001583,0.009455),(3585,6935,0.001583,0.009448),(3585,6945,0.001583,0.00944),(3585,6955,0.001583,0.009433),(3585,6965,0.001583,0.009426),(3585,6975,0.001583,0.009418),(3585,6985,0.001582,0.009411),(3595,5,4e-06,3.689),(3595,15,1.3e-05,3.689),(3595,25,2.1e-05,3.689),(3595,35,2.9e-05,3.689),(3595,45,3.8e-05,3.689),(3595,55,4.6e-05,3.689),(3595,65,5.4e-05,3.689),(3595,75,6.2e-05,3.689),(3595,85,6.9e-05,3.689),(3595,95,7.7e-05,3.689),(3595,105,8.4e-05,3.689),(3595,115,9.1e-05,3.689),(3595,125,9.7e-05,3.689),(3595,135,0.000104,3.689),(3595,145,0.00011,3.689),(3595,155,0.000115,3.689),(3595,165,0.00012,3.6889),(3595,175,0.000125,3.6889),(3595,185,0.000129,3.6889),(3595,195,0.000132,3.6889),(3595,205,0.000135,3.6889),(3595,215,0.000138,3.6889),(3595,225,0.000139,3.6889),(3595,235,0.00014,3.6889),(3595,245,0.00014,3.6889),(3595,255,0.000141,3.6889),(3595,265,0.000139,3.6889),(3595,275,0.000137,3.6888),(3595,285,0.000135,3.6888),(3595,295,0.000132,3.6888),(3595,305,0.000127,3.6888),(3595,315,0.000121,3.6888),(3595,325,0.000116,3.6888),(3595,335,0.00011,3.6888),(3595,345,0.0001,3.6888),(3595,355,9e-05,3.6887),(3595,365,8e-05,3.6887),(3595,375,7.1e-05,3.6887),(3595,385,5.6e-05,3.6887),(3595,395,4.2e-05,3.6887),(3595,405,2.7e-05,3.6887),(3595,415,1.2e-05,3.6887),(3595,425,-7e-06,3.6886),(3595,435,-2.7e-05,3.6886),(3595,445,-4.7e-05,3.6886),(3595,455,-6.8e-05,3.6886),(3595,465,-9.4e-05,3.6886),(3595,475,-0.00012,3.6886),(3595,485,-0.000146,3.6885),(3595,495,-0.000173,3.6885),(3595,505,-0.000206,3.6885),(3595,515,-0.00024,3.6885),(3595,525,-0.000273,3.6885),(3595,535,-0.000307,3.6885),(3595,545,-0.000348,3.6884),(3595,555,-0.00039,3.6884),(3595,565,-0.000431,3.6884),(3595,575,-0.000473,3.6884),(3595,585,-0.000523,3.6884),(3595,595,-0.000573,3.6883),(3595,605,-0.000624,3.6883),(3595,615,-0.000675,3.6883),(3595,625,-0.000735,3.6883),(3595,635,-0.000794,3.6883),(3595,645,-0.000854,3.6883),(3595,655,-0.000916,3.6882),(3595,665,-0.000986,3.6882),(3595,675,-0.001057,3.6882),(3595,685,-0.001128,3.6882),(3595,695,-0.001201,3.6882),(3595,705,-0.001283,3.6882),(3595,715,-0.001366,3.6882),(3595,725,-0.001449,3.6882),(3595,735,-0.001534,3.6881),(3595,745,-0.00163,3.6881),(3595,755,-0.001725,3.6881),(3595,765,-0.001821,3.6881),(3595,775,-0.00192,3.6881),(3595,785,-0.00203,3.6881),(3595,795,-0.002139,3.6881),(3595,805,-0.002249,3.6881),(3595,815,-0.002363,3.6881),(3595,825,-0.002488,3.6881),(3595,835,-0.002612,3.6881),(3595,845,-0.002737,3.6881),(3595,855,-0.002867,3.6881),(3595,865,-0.003008,3.6881),(3595,875,-0.003149,3.6881),(3595,885,-0.00329,3.6881),(3595,895,-0.003437,3.6881),(3595,905,-0.003595,3.6882),(3595,915,-0.003753,3.6882),(3595,925,-0.003911,3.6882),(3595,935,-0.004077,3.6882),(3595,945,-0.004252,3.6883),(3595,955,-0.004428,3.6883),(3595,965,-0.004604,3.6883),(3595,975,-0.004789,3.6884),(3595,985,-0.004983,3.6884),(3595,995,-0.005178,3.6884),(3595,1005,-0.005372,3.6885),(3595,1015,-0.005576,3.6885),(3595,1025,-0.00579,3.6886),(3595,1035,-0.006003,3.6887),(3595,1045,-0.006217,3.6887),(3595,1055,-0.006441,3.6888),(3595,1065,-0.006674,3.6889),(3595,1075,-0.006907,3.689),(3595,1085,-0.00714,3.689),(3595,1095,-0.007384,3.6891),(3595,1105,-0.007637,3.6892),(3595,1115,-0.007889,3.6893),(3595,1125,-0.008142,3.6894),(3595,1135,-0.008406,3.6896),(3595,1145,-0.008677,3.6897),(3595,1155,-0.008949,3.6898),(3595,1165,-0.00922,3.6899),(3595,1175,-0.009504,3.6901),(3595,1185,-0.009794,3.6902),(3595,1195,-0.010084,3.6904),(3595,1205,-0.010374,3.6905),(3595,1215,-0.010677,3.6907),(3595,1225,-0.010985,3.6909),(3595,1235,-0.011293,3.691),(3595,1245,-0.011601,3.6912),(3595,1255,-0.011921,3.6914),(3595,1265,-0.012246,3.6916),(3595,1275,-0.012571,3.6918),(3595,1285,-0.012896,3.6921),(3595,1295,-0.013233,3.6923),(3595,1305,-0.013574,3.6925),(3595,1315,-0.013915,3.6928),(3595,1325,-0.014255,3.693),(3595,1335,-0.014608,3.6933),(3595,1345,-0.014964,3.6936),(3595,1355,-0.01532,3.6939),(3595,1365,-0.015675,3.6941),(3595,1375,-0.016043,3.6944),(3595,1385,-0.016413,3.6947),(3595,1395,-0.016782,3.6951),(3595,1405,-0.017152,3.6954),(3595,1415,-0.017534,3.6957),(3595,1425,-0.017917,3.6961),(3595,1435,-0.0183,3.6964),(3595,1445,-0.018683,3.6968),(3595,1455,-0.019078,3.6972),(3595,1465,-0.019474,3.6975),(3595,1475,-0.019869,3.6979),(3595,1485,-0.020265,3.6983),(3595,1495,-0.020674,3.6987),(3595,1505,-0.021083,3.6991),(3595,1515,-0.021492,3.6996),(3595,1525,-0.021901,3.7),(3595,1535,-0.022324,3.7005),(3595,1545,-0.022746,3.7009),(3595,1555,-0.023169,3.7014),(3595,1565,-0.023593,3.7019),(3595,1575,-0.02403,3.7024),(3595,1585,-0.024468,3.7028),(3595,1595,-0.024906,3.7034),(3595,1605,-0.025345,3.7039),(3595,1615,-0.0258,3.7044),(3595,1625,-0.026255,3.7049),(3595,1635,-0.02671,3.7055),(3595,1645,-0.027167,3.706),(3595,1655,-0.027642,3.7066),(3595,1665,-0.028116,3.7072),(3595,1675,-0.028591,3.7078),(3595,1685,-0.02907,3.7084),(3595,1695,-0.029568,3.709),(3595,1705,-0.030066,3.7096),(3595,1715,-0.030563,3.7102),(3595,1725,-0.031067,3.7109),(3595,1735,-0.031593,3.7115),(3595,1745,-0.032118,3.7121),(3595,1755,-0.032644,3.7128),(3595,1765,-0.033178,3.7135),(3595,1775,-0.033737,3.7142),(3595,1785,-0.034295,3.7149),(3595,1795,-0.034854,3.7156),(3595,1805,-0.035424,3.7164),(3595,1815,-0.036022,3.7171),(3595,1825,-0.03662,3.7179),(3595,1835,-0.037218,3.7186),(3595,1845,-0.037831,3.7194),(3595,1855,-0.038476,3.7202),(3595,1865,-0.03912,3.721),(3595,1875,-0.039764,3.7219),(3595,1885,-0.040429,3.7227),(3595,1895,-0.041128,3.7236),(3595,1905,-0.041827,3.7244),(3595,1915,-0.042526,3.7254),(3595,1925,-0.043251,3.7263),(3595,1935,-0.044014,3.7272),(3595,1945,-0.044777,3.7281),(3595,1955,-0.04554,3.7291),(3595,1965,-0.046338,3.7301),(3595,1975,-0.047175,3.7311),(3595,1985,-0.048013,3.7321),(3595,1995,-0.04885,3.7332),(3595,2005,-0.049732,3.7343),(3595,2015,-0.050656,3.7353),(3595,2025,-0.05158,3.7365),(3595,2035,-0.052505,3.7377),(3595,2045,-0.053483,3.7388),(3595,2055,-0.054508,3.74),(3595,2065,-0.055533,3.7413),(3595,2075,-0.056558,3.7426),(3595,2085,-0.05765,3.7439),(3595,2095,-0.05879,3.7452),(3595,2105,-0.05993,3.7466),(3595,2115,-0.061071,3.748),(3595,2125,-0.062293,3.7495),(3595,2135,-0.063566,3.7509),(3595,2145,-0.064838,3.7525),(3595,2155,-0.066111,3.7541),(3595,2165,-0.067483,3.7557),(3595,2175,-0.068907,3.7573),(3595,2185,-0.07033,3.7591),(3595,2195,-0.071754,3.7609),(3595,2205,-0.073297,3.7628),(3595,2215,-0.074891,3.7646),(3595,2225,-0.076486,3.7666),(3595,2235,-0.07808,3.7687),(3595,2245,-0.079816,3.7708),(3595,2255,-0.081602,3.7729),(3595,2265,-0.083388,3.7753),(3595,2275,-0.085175,3.7777),(3595,2285,-0.087126,3.7801),(3595,2295,-0.089125,3.7825),(3595,2305,-0.091124,3.7853),(3595,2315,-0.093122,3.7881),(3595,2325,-0.09531,3.7909),(3595,2335,-0.09754,3.7937),(3595,2345,-0.09977,3.7969),(3595,2355,-0.102,3.8003),(3595,2365,-0.10444,3.8036),(3595,2375,-0.10691,3.8069),(3595,2385,-0.10939,3.8107),(3595,2395,-0.11186,3.8147),(3595,2405,-0.11456,3.8186),(3595,2415,-0.11728,3.8226),(3595,2425,-0.12,3.8272),(3595,2435,-0.12272,3.8319),(3595,2445,-0.12564,3.8367),(3595,2455,-0.12859,3.8414),(3595,2465,-0.13153,3.8471),(3595,2475,-0.13447,3.8528),(3595,2485,-0.13757,3.8585),(3595,2495,-0.14067,3.8642),(3595,2505,-0.14377,3.8712),(3595,2515,-0.14688,3.8781),(3595,2525,-0.15,3.8851),(3595,2535,-0.15313,3.8921),(3595,2545,-0.15626,3.9007),(3595,2555,-0.15937,3.9092),(3595,2565,-0.16227,3.9178),(3595,2575,-0.16517,3.9265),(3595,2585,-0.16806,3.937),(3595,2595,-0.1709,3.9474),(3595,2605,-0.17312,3.9579),(3595,2615,-0.17534,3.9687),(3595,2625,-0.17756,3.9815),(3595,2635,-0.17959,3.9943),(3595,2645,-0.18041,4.0071),(3595,2655,-0.18122,4.0203),(3595,2665,-0.18203,4.0356),(3595,2675,-0.18241,4.0509),(3595,2685,-0.18071,4.0663),(3595,2695,-0.179,4.0821),(3595,2705,-0.1773,4.0998),(3595,2715,-0.17476,4.1174),(3595,2725,-0.1691,4.1351),(3595,2735,-0.16344,4.1531),(3595,2745,-0.15778,4.172),(3595,2755,-0.15079,4.1909),(3595,2765,-0.13989,4.2098),(3595,2775,-0.12898,4.2283),(3595,2785,-0.11807,4.2456),(3595,2795,-0.10593,4.2629),(3595,2805,-0.090775,4.2803),(3595,2815,-0.075625,4.2967),(3595,2825,-0.060474,4.3111),(3595,2835,-0.044385,4.3256),(3595,2845,-0.026405,4.34),(3595,2855,-0.008424,4.3532),(3595,2865,0.009556,4.3644),(3595,2875,0.028171,4.3756),(3595,2885,0.04786,4.3867),(3595,2895,0.06755,4.3967),(3595,2905,0.087239,4.4047),(3595,2915,0.10733,4.4128),(3595,2925,0.128,4.4208),(3595,2935,0.14866,4.4277),(3595,2945,0.16933,4.433),(3595,2955,0.19025,4.4383),(3595,2965,0.21147,4.4435),(3595,2975,0.23269,4.4477),(3595,2985,0.25391,4.4505),(3595,2995,0.27529,4.4533),(3595,3005,0.29685,4.4561),(3595,3015,0.31841,4.4578),(3595,3025,0.33997,4.4585),(3595,3035,0.36166,4.4591),(3595,3045,0.38348,4.4597),(3595,3055,0.4053,4.4592),(3595,3065,0.42712,4.4579),(3595,3075,0.44908,4.4565),(3595,3085,0.47115,4.4551),(3595,3095,0.49323,4.4526),(3595,3105,0.5153,4.4493),(3595,3115,0.53756,4.446),(3595,3125,0.55995,4.4426),(3595,3135,0.58233,4.4381),(3595,3145,0.60471,4.4329),(3595,3155,0.62734,4.4277),(3595,3165,0.6501,4.4225),(3595,3175,0.67286,4.416),(3595,3185,0.69562,4.4089),(3595,3195,0.7187,4.4017),(3595,3205,0.74193,4.3945),(3595,3215,0.76516,4.3859),(3595,3225,0.78838,4.3766),(3595,3235,0.81201,4.3674),(3595,3245,0.83579,4.3581),(3595,3255,0.85957,4.3471),(3595,3265,0.88334,4.3355),(3595,3275,0.90759,4.3239),(3595,3285,0.93198,4.3123),(3595,3295,0.95637,4.2986),(3595,3305,0.98076,4.2844),(3595,3315,1.0057,4.2701),(3595,3325,1.0307,4.2558),(3595,3335,1.0557,4.239),(3595,3345,1.0807,4.2216),(3595,3355,1.1062,4.2042),(3595,3365,1.1318,4.1868),(3595,3375,1.1574,4.1661),(3595,3385,1.183,4.1449),(3595,3395,1.209,4.1238),(3595,3405,1.2349,4.1026),(3595,3415,1.2609,4.0773),(3595,3425,1.2868,4.0516),(3595,3435,1.3127,4.0259),(3595,3445,1.3386,4.0002),(3595,3455,1.3644,3.9692),(3595,3465,1.3903,3.938),(3595,3475,1.4152,3.9068),(3595,3485,1.4401,3.8756),(3595,3495,1.4649,3.8379),(3595,3505,1.4898,3.8001),(3595,3515,1.5121,3.7623),(3595,3525,1.5344,3.7243),(3595,3535,1.5567,3.6791),(3595,3545,1.5787,3.6338),(3595,3555,1.5959,3.5886),(3595,3565,1.6131,3.5428),(3595,3575,1.6302,3.49),(3595,3585,1.6467,3.4372),(3595,3595,1.655,3.3843),(3595,3605,1.6633,3.3309),(3595,3615,1.6717,3.2726),(3595,3625,1.6784,3.2143),(3595,3635,1.674,3.1559),(3595,3645,1.6695,3.0977),(3595,3655,1.665,3.0402),(3595,3665,1.6585,2.9826),(3595,3675,1.6413,2.9251),(3595,3685,1.6241,2.8691),(3595,3695,1.6069,2.8199),(3595,3705,1.5885,2.7707),(3595,3715,1.5654,2.7215),(3595,3725,1.5423,2.6741),(3595,3735,1.5192,2.633),(3595,3745,1.4956,2.5918),(3595,3755,1.4703,2.5506),(3595,3765,1.4451,2.5112),(3595,3775,1.4199,2.4768),(3595,3785,1.3946,2.4423),(3595,3795,1.3694,2.4079),(3595,3805,1.3441,2.3751),(3595,3815,1.3189,2.3462),(3595,3825,1.294,2.3174),(3595,3835,1.27,2.2885),(3595,3845,1.246,2.2612),(3595,3855,1.222,2.2371),(3595,3865,1.1987,2.213),(3595,3875,1.1767,2.1889),(3595,3885,1.1546,2.1666),(3595,3895,1.1325,2.147),(3595,3905,1.1113,2.1274),(3595,3915,1.0914,2.1078),(3595,3925,1.0714,2.0902),(3595,3935,1.0515,2.0752),(3595,3945,1.0323,2.0602),(3595,3955,1.0141,2.0452),(3595,3965,0.99584,2.0324),(3595,3975,0.97761,2.0222),(3595,3985,0.95975,2.0119),(3595,3995,0.94229,2.0017),(3595,4005,0.92482,1.9934),(3595,4015,0.90735,1.9871),(3595,4025,1.2099,1.9808),(3595,4035,1.5438,1.9726),(3595,4045,1.8777,1.9607),(3595,4055,2.1143,1.9487),(3595,4065,2.3153,1.9361),(3595,4075,2.5163,1.9195),(3595,4085,2.6038,1.9029),(3595,4095,2.6,1.8863),(3595,4105,2.5963,1.8697),(3595,4115,2.5117,1.8532),(3595,4125,2.293,1.8367),(3595,4135,2.0743,1.8243),(3595,4145,1.8534,1.813),(3595,4155,1.6238,1.8017),(3595,4165,1.3943,1.7941),(3595,4175,1.1775,1.7888),(3595,4185,1.5968,1.7836),(3595,4195,2.0161,1.7737),(3595,4205,2.4355,1.7577),(3595,4215,2.4977,1.7417),(3595,4225,2.4927,1.7257),(3595,4235,2.4877,1.7096),(3595,4245,2.4615,1.6934),(3595,4255,2.4245,1.6772),(3595,4265,2.3875,1.6591),(3595,4275,2.0996,1.641),(3595,4285,1.5453,1.6229),(3595,4295,0.99108,1.6191),(3595,4305,0.75877,1.6171),(3595,4315,1.2534,1.615),(3595,4325,1.748,1.605),(3595,4335,2.1874,1.592),(3595,4345,2.2526,1.5789),(3595,4355,2.3179,1.5649),(3595,4365,2.3831,1.5502),(3595,4375,2.3852,1.5355),(3595,4385,2.3841,1.5208),(3595,4395,2.3829,1.506),(3595,4405,2.0959,1.4913),(3595,4415,1.7246,1.4781),(3595,4425,1.3533,1.4719),(3595,4435,1.1947,1.4658),(3595,4445,1.1814,1.4596),(3595,4455,1.1682,1.4539),(3595,4465,1.3132,1.4481),(3595,4475,1.6806,1.4424),(3595,4485,2.048,1.43),(3595,4495,2.328,1.4162),(3595,4505,2.3277,1.4023),(3595,4515,2.3275,1.3886),(3595,4525,2.3226,1.3749),(3595,4535,2.245,1.3613),(3595,4545,2.1675,1.3484),(3595,4555,2.0899,1.3363),(3595,4565,1.6023,1.3242),(3595,4575,1.0594,1.3156),(3595,4585,0.51656,1.3154),(3595,4595,0.75646,1.3152),(3595,4605,1.3271,1.3132),(3595,4615,1.8977,1.2976),(3595,4625,2.1846,1.282),(3595,4635,2.2147,1.2664),(3595,4645,2.2447,1.2534),(3595,4655,2.2651,1.2406),(3595,4665,2.2674,1.2278),(3595,4675,2.2696,1.2152),(3595,4685,2.1933,1.2027),(3595,4695,1.7292,1.1902),(3595,4705,1.2651,1.1829),(3595,4715,0.80105,1.1795),(3595,4725,1.0196,1.176),(3595,4735,1.245,1.171),(3595,4745,1.4704,1.1636),(3595,4755,1.7006,1.1562),(3595,4765,1.9321,1.1479),(3595,4775,2.1635,1.1364),(3595,4785,2.2487,1.1249),(3595,4795,2.2493,1.1133),(3595,4805,2.25,1.1021),(3595,4815,2.1424,1.0908),(3595,4825,1.9056,1.0796),(3595,4835,1.6687,1.0719),(3595,4845,1.4288,1.0647),(3595,4855,1.1811,1.0576),(3595,4865,0.93343,1.0533),(3595,4875,0.75757,1.0505),(3595,4885,1.2351,1.0476),(3595,4895,1.7127,1.0406),(3595,4905,2.1903,1.0297),(3595,4915,2.2284,1.0188),(3595,4925,2.2287,1.0079),(3595,4935,2.2291,0.99691),(3595,4945,2.2162,0.98595),(3595,4955,2.1987,0.9747),(3595,4965,2.1813,0.96183),(3595,4975,1.8191,0.94896),(3595,4985,1.1909,0.93609),(3595,4995,0.56265,0.93557),(3595,5005,0.36328,0.93538),(3595,5015,0.84573,0.93518),(3595,5025,1.3282,0.92872),(3595,5035,1.7438,0.92066),(3595,5045,1.9047,0.91261),(3595,5055,2.0656,0.90292),(3595,5065,2.2218,0.89223),(3595,5075,2.2231,0.88153),(3595,5085,2.2244,0.87091),(3595,5095,2.2257,0.86038),(3595,5105,1.9459,0.84985),(3595,5115,1.617,0.8407),(3595,5125,1.2881,0.83544),(3595,5135,1.122,0.83017),(3595,5145,1.035,0.82504),(3595,5155,0.94797,0.8214),(3595,5165,1.1125,0.81777),(3595,5175,1.5337,0.81413),(3595,5185,1.9549,0.80495),(3595,5195,2.2429,0.79519),(3595,5205,2.2436,0.78543),(3595,5215,2.2443,0.77578),(3595,5225,2.2334,0.76617),(3595,5235,2.1502,0.75657),(3595,5245,2.067,0.74764),(3595,5255,1.9837,0.73928),(3595,5265,1.3983,0.73091),(3595,5275,0.79216,0.72567),(3595,5285,0.18601,0.72574),(3595,5295,0.5884,0.7258),(3595,5305,1.2716,0.72401),(3595,5315,1.9549,0.71447),(3595,5325,2.2312,0.70493),(3595,5335,2.2407,0.69541),(3595,5345,2.2502,0.68717),(3595,5355,2.2557,0.67893),(3595,5365,2.2557,0.67069),(3595,5375,2.2558,0.66259),(3595,5385,2.127,0.65452),(3595,5395,1.6067,0.64646),(3595,5405,1.0864,0.64241),(3595,5415,0.62191,0.64045),(3595,5425,0.90745,0.63848),(3595,5435,1.193,0.63592),(3595,5445,1.4785,0.63271),(3595,5455,1.7555,0.62949),(3595,5465,2.0315,0.62569),(3595,5475,2.3075,0.6205),(3595,5485,2.3854,0.61532),(3595,5495,2.3836,0.61016),(3595,5505,2.3818,0.60509),(3595,5515,2.3801,0.60003),(3595,5525,2.3784,0.59497),(3595,5535,2.3767,0.59002),(3595,5545,2.375,0.58508),(3595,5555,2.3733,0.58014),(3595,5565,2.3716,0.57528),(3595,5575,2.3699,0.57044),(3595,5585,2.3683,0.56561),(3595,5595,2.3666,0.56082),(3595,5605,2.365,0.55608),(3595,5615,2.3634,0.55134),(3595,5625,2.3617,0.54662),(3595,5635,2.3601,0.54196),(3595,5645,2.3585,0.53729),(3595,5655,2.357,0.53264),(3595,5665,2.3554,0.52803),(3595,5675,2.3538,0.52342),(3595,5685,2.3523,0.51882),(3595,5695,2.3507,0.51428),(3595,5705,2.3492,0.50974),(3595,5715,2.3476,0.5052),(3595,5725,2.3461,0.50069),(3595,5735,2.3446,0.4962),(3595,5745,2.3431,0.4917),(3595,5755,2.3416,0.48723),(3595,5765,2.3401,0.48276),(3595,5775,2.3387,0.4783),(3595,5785,2.3372,0.47385),(3595,5795,2.3357,0.46942),(3595,5805,2.3343,0.46499),(3595,5815,2.3329,0.46057),(3595,5825,2.3314,0.45617),(3595,5835,2.33,0.45177),(3595,5845,2.3286,0.44737),(3595,5855,2.3271,0.44301),(3595,5865,2.3257,0.43864),(3595,5875,2.3243,0.43428),(3595,5885,2.3229,0.42995),(3595,5895,2.3215,0.42563),(3595,5905,2.3201,0.4213),(3595,5915,2.3187,0.417),(3595,5925,2.3173,0.4127),(3595,5935,2.3159,0.40839),(3595,5945,2.3145,0.40412),(3595,5955,2.313,0.39985),(3595,5965,2.3117,0.39558),(3595,5975,2.3103,0.39133),(3595,5985,2.3089,0.38708),(3595,5995,1.7651,0.38283),(3595,6005,1.1341,0.3796),(3595,6015,0.50305,0.37909),(3595,6025,0.65946,0.37857),(3595,6035,1.1811,0.37761),(3595,6045,1.7027,0.37237),(3595,6055,2.064,0.36712),(3595,6065,2.2681,0.36188),(3595,6075,2.4722,0.35506),(3595,6085,2.6098,0.3481),(3595,6095,2.6104,0.34114),(3595,6105,2.611,0.33416),(3595,6115,2.6115,0.32718),(3595,6125,2.6121,0.3202),(3595,6135,2.6127,0.31326),(3595,6145,2.6132,0.30636),(3595,6155,2.6137,0.29946),(3595,6165,2.6142,0.29259),(3595,6175,2.6148,0.28578),(3595,6185,2.6152,0.27896),(3595,6195,2.6157,0.27216),(3595,6205,2.6162,0.26545),(3595,6215,2.6166,0.25873),(3595,6225,2.617,0.25202),(3595,6235,2.6175,0.24534),(3595,6245,2.6179,0.23867),(3595,6255,2.6182,0.23199),(3595,6265,2.6186,0.22536),(3595,6275,2.619,0.21874),(3595,6285,2.6193,0.21211),(3595,6295,2.6197,0.20555),(3595,6305,2.62,0.199),(3595,6315,2.6203,0.19246),(3595,6325,2.6206,0.18596),(3595,6335,2.6209,0.1795),(3595,6345,2.6211,0.17304),(3595,6355,2.6214,0.16661),(3595,6365,2.6216,0.16025),(3595,6375,2.6219,0.1539),(3595,6385,2.6221,0.14754),(3595,6395,2.6223,0.14118),(3595,6405,2.6225,0.13482),(3595,6415,2.6227,0.12846),(3595,6425,2.6229,0.12211),(3595,6435,2.623,0.11576),(3595,6445,2.6232,0.10942),(3595,6455,2.6234,0.10316),(3595,6465,2.6235,0.096923),(3595,6475,2.6236,0.090689),(3595,6485,2.6238,0.084461),(3595,6495,2.6239,0.078236),(3595,6505,2.624,0.072012),(3595,6515,2.6241,0.0658),(3595,6525,2.6242,0.059603),(3595,6535,2.6243,0.053407),(3595,6545,2.6243,0.047212),(3595,6555,2.6244,0.041022),(3595,6565,2.6244,0.034832),(3595,6575,2.6244,0.028647),(3595,6585,2.6245,0.022535),(3595,6595,2.2323,0.016424),(3595,6605,1.407,0.010312),(3595,6615,0.58175,0.009621),(3595,6625,0.001612,0.009627),(3595,6635,0.00161,0.009632),(3595,6645,0.001608,0.00963),(3595,6655,0.001607,0.009624),(3595,6665,0.001605,0.009619),(3595,6675,0.001603,0.009613),(3595,6685,0.001602,0.009608),(3595,6695,0.001601,0.009602),(3595,6705,0.001599,0.009597),(3595,6715,0.001598,0.009591),(3595,6725,0.001597,0.009585),(3595,6735,0.001596,0.009579),(3595,6745,0.001595,0.009573),(3595,6755,0.001594,0.009567),(3595,6765,0.001593,0.009561),(3595,6775,0.001592,0.009555),(3595,6785,0.001592,0.009549),(3595,6795,0.001591,0.009543),(3595,6805,0.00159,0.009536),(3595,6815,0.00159,0.00953),(3595,6825,0.001589,0.009523),(3595,6835,0.001589,0.009517),(3595,6845,0.001589,0.00951),(3595,6855,0.001588,0.009503),(3595,6865,0.001588,0.009496),(3595,6875,0.001587,0.00949),(3595,6885,0.001587,0.009483),(3595,6895,0.001587,0.009476),(3595,6905,0.001587,0.009469),(3595,6915,0.001587,0.009462),(3595,6925,0.001586,0.009455),(3595,6935,0.001586,0.009447),(3595,6945,0.001586,0.00944),(3595,6955,0.001586,0.009433),(3595,6965,0.001586,0.009426),(3595,6975,0.001586,0.009418),(3595,6985,0.001586,0.009411),(3605,5,4e-06,3.689),(3605,15,1.3e-05,3.689),(3605,25,2.2e-05,3.689),(3605,35,3.1e-05,3.689),(3605,45,3.9e-05,3.689),(3605,55,4.8e-05,3.689),(3605,65,5.6e-05,3.689),(3605,75,6.4e-05,3.689),(3605,85,7.2e-05,3.689),(3605,95,8e-05,3.689),(3605,105,8.8e-05,3.689),(3605,115,9.5e-05,3.689),(3605,125,0.000102,3.689),(3605,135,0.000109,3.689),(3605,145,0.000115,3.689),(3605,155,0.00012,3.689),(3605,165,0.000126,3.689),(3605,175,0.000131,3.6889),(3605,185,0.000135,3.6889),(3605,195,0.000139,3.6889),(3605,205,0.000142,3.6889),(3605,215,0.000145,3.6889),(3605,225,0.000147,3.6889),(3605,235,0.000148,3.6889),(3605,245,0.000149,3.6889),(3605,255,0.00015,3.6889),(3605,265,0.000148,3.6889),(3605,275,0.000146,3.6888),(3605,285,0.000144,3.6888),(3605,295,0.000142,3.6888),(3605,305,0.000137,3.6888),(3605,315,0.000132,3.6888),(3605,325,0.000126,3.6888),(3605,335,0.000121,3.6888),(3605,345,0.000112,3.6888),(3605,355,0.000102,3.6887),(3605,365,9.3e-05,3.6887),(3605,375,8.3e-05,3.6887),(3605,385,6.9e-05,3.6887),(3605,395,5.5e-05,3.6887),(3605,405,4e-05,3.6887),(3605,415,2.6e-05,3.6886),(3605,425,7e-06,3.6886),(3605,435,-1.3e-05,3.6886),(3605,445,-3.3e-05,3.6886),(3605,455,-5.3e-05,3.6886),(3605,465,-7.9e-05,3.6885),(3605,475,-0.000105,3.6885),(3605,485,-0.000131,3.6885),(3605,495,-0.000157,3.6885),(3605,505,-0.00019,3.6885),(3605,515,-0.000224,3.6885),(3605,525,-0.000257,3.6884),(3605,535,-0.000291,3.6884),(3605,545,-0.000332,3.6884),(3605,555,-0.000373,3.6884),(3605,565,-0.000415,3.6884),(3605,575,-0.000457,3.6883),(3605,585,-0.000507,3.6883),(3605,595,-0.000557,3.6883),(3605,605,-0.000607,3.6883),(3605,615,-0.000658,3.6883),(3605,625,-0.000718,3.6882),(3605,635,-0.000778,3.6882),(3605,645,-0.000838,3.6882),(3605,655,-0.0009,3.6882),(3605,665,-0.000971,3.6882),(3605,675,-0.001042,3.6881),(3605,685,-0.001112,3.6881),(3605,695,-0.001186,3.6881),(3605,705,-0.001269,3.6881),(3605,715,-0.001352,3.6881),(3605,725,-0.001435,3.6881),(3605,735,-0.001521,3.6881),(3605,745,-0.001618,3.688),(3605,755,-0.001714,3.688),(3605,765,-0.00181,3.688),(3605,775,-0.00191,3.688),(3605,785,-0.002021,3.688),(3605,795,-0.002131,3.688),(3605,805,-0.002242,3.688),(3605,815,-0.002357,3.688),(3605,825,-0.002483,3.688),(3605,835,-0.002609,3.688),(3605,845,-0.002735,3.688),(3605,855,-0.002867,3.688),(3605,865,-0.00301,3.688),(3605,875,-0.003152,3.688),(3605,885,-0.003295,3.688),(3605,895,-0.003444,3.688),(3605,905,-0.003604,3.688),(3605,915,-0.003764,3.688),(3605,925,-0.003924,3.688),(3605,935,-0.004092,3.6881),(3605,945,-0.00427,3.6881),(3605,955,-0.004449,3.6881),(3605,965,-0.004627,3.6881),(3605,975,-0.004815,3.6882),(3605,985,-0.005012,3.6882),(3605,995,-0.00521,3.6883),(3605,1005,-0.005407,3.6883),(3605,1015,-0.005615,3.6883),(3605,1025,-0.005832,3.6884),(3605,1035,-0.00605,3.6884),(3605,1045,-0.006267,3.6885),(3605,1055,-0.006495,3.6886),(3605,1065,-0.006732,3.6886),(3605,1075,-0.006969,3.6887),(3605,1085,-0.007207,3.6888),(3605,1095,-0.007456,3.6889),(3605,1105,-0.007713,3.689),(3605,1115,-0.00797,3.6891),(3605,1125,-0.008227,3.6892),(3605,1135,-0.008497,3.6893),(3605,1145,-0.008774,3.6894),(3605,1155,-0.009051,3.6895),(3605,1165,-0.009328,3.6897),(3605,1175,-0.009617,3.6898),(3605,1185,-0.009913,3.6899),(3605,1195,-0.010209,3.6901),(3605,1205,-0.010505,3.6902),(3605,1215,-0.010814,3.6904),(3605,1225,-0.011128,3.6906),(3605,1235,-0.011443,3.6907),(3605,1245,-0.011757,3.6909),(3605,1255,-0.012085,3.6911),(3605,1265,-0.012417,3.6913),(3605,1275,-0.012749,3.6915),(3605,1285,-0.01308,3.6917),(3605,1295,-0.013425,3.692),(3605,1305,-0.013773,3.6922),(3605,1315,-0.014121,3.6924),(3605,1325,-0.014469,3.6927),(3605,1335,-0.01483,3.693),(3605,1345,-0.015193,3.6932),(3605,1355,-0.015556,3.6935),(3605,1365,-0.015919,3.6938),(3605,1375,-0.016295,3.6941),(3605,1385,-0.016672,3.6944),(3605,1395,-0.01705,3.6947),(3605,1405,-0.017427,3.695),(3605,1415,-0.017817,3.6954),(3605,1425,-0.018208,3.6957),(3605,1435,-0.018599,3.696),(3605,1445,-0.01899,3.6964),(3605,1455,-0.019393,3.6968),(3605,1465,-0.019797,3.6971),(3605,1475,-0.020201,3.6975),(3605,1485,-0.020605,3.6979),(3605,1495,-0.021022,3.6983),(3605,1505,-0.021439,3.6987),(3605,1515,-0.021856,3.6992),(3605,1525,-0.022273,3.6996),(3605,1535,-0.022704,3.7001),(3605,1545,-0.023135,3.7005),(3605,1555,-0.023566,3.701),(3605,1565,-0.023998,3.7015),(3605,1575,-0.024444,3.7019),(3605,1585,-0.02489,3.7024),(3605,1595,-0.025336,3.7029),(3605,1605,-0.025784,3.7034),(3605,1615,-0.026247,3.704),(3605,1625,-0.02671,3.7045),(3605,1635,-0.027174,3.705),(3605,1645,-0.02764,3.7056),(3605,1655,-0.028123,3.7061),(3605,1665,-0.028606,3.7067),(3605,1675,-0.029089,3.7073),(3605,1685,-0.029577,3.7079),(3605,1695,-0.030084,3.7085),(3605,1705,-0.030591,3.7091),(3605,1715,-0.031098,3.7097),(3605,1725,-0.031611,3.7103),(3605,1735,-0.032146,3.711),(3605,1745,-0.032681,3.7116),(3605,1755,-0.033216,3.7123),(3605,1765,-0.03376,3.713),(3605,1775,-0.034329,3.7137),(3605,1785,-0.034898,3.7143),(3605,1795,-0.035467,3.7151),(3605,1805,-0.036048,3.7158),(3605,1815,-0.036657,3.7165),(3605,1825,-0.037266,3.7173),(3605,1835,-0.037876,3.718),(3605,1845,-0.038501,3.7188),(3605,1855,-0.039158,3.7196),(3605,1865,-0.039815,3.7204),(3605,1875,-0.040472,3.7212),(3605,1885,-0.04115,3.722),(3605,1895,-0.041864,3.7229),(3605,1905,-0.042577,3.7237),(3605,1915,-0.04329,3.7246),(3605,1925,-0.044031,3.7255),(3605,1935,-0.044811,3.7264),(3605,1945,-0.045591,3.7274),(3605,1955,-0.04637,3.7283),(3605,1965,-0.047185,3.7293),(3605,1975,-0.048042,3.7303),(3605,1985,-0.0489,3.7313),(3605,1995,-0.049757,3.7323),(3605,2005,-0.050659,3.7334),(3605,2015,-0.051606,3.7344),(3605,2025,-0.052553,3.7355),(3605,2035,-0.053501,3.7367),(3605,2045,-0.054505,3.7379),(3605,2055,-0.055557,3.739),(3605,2065,-0.056609,3.7402),(3605,2075,-0.057661,3.7415),(3605,2085,-0.058783,3.7428),(3605,2095,-0.059956,3.7441),(3605,2105,-0.06113,3.7454),(3605,2115,-0.062303,3.7468),(3605,2125,-0.063562,3.7482),(3605,2135,-0.064875,3.7497),(3605,2145,-0.066187,3.7512),(3605,2155,-0.0675,3.7528),(3605,2165,-0.068918,3.7544),(3605,2175,-0.07039,3.7559),(3605,2185,-0.071862,3.7577),(3605,2195,-0.073335,3.7595),(3605,2205,-0.074934,3.7613),(3605,2215,-0.076589,3.7631),(3605,2225,-0.078243,3.765),(3605,2235,-0.079898,3.7671),(3605,2245,-0.081704,3.7691),(3605,2255,-0.083565,3.7712),(3605,2265,-0.085426,3.7735),(3605,2275,-0.087287,3.7759),(3605,2285,-0.089328,3.7782),(3605,2295,-0.09142,3.7806),(3605,2305,-0.093512,3.7833),(3605,2315,-0.095605,3.786),(3605,2325,-0.097906,3.7888),(3605,2335,-0.10025,3.7916),(3605,2345,-0.1026,3.7947),(3605,2355,-0.10495,3.798),(3605,2365,-0.10753,3.8012),(3605,2375,-0.11016,3.8045),(3605,2385,-0.11278,3.8083),(3605,2395,-0.11541,3.8122),(3605,2405,-0.11829,3.8161),(3605,2415,-0.1212,3.8199),(3605,2425,-0.12411,3.8245),(3605,2435,-0.12702,3.8292),(3605,2445,-0.13019,3.8339),(3605,2455,-0.13338,3.8386),(3605,2465,-0.13657,3.8442),(3605,2475,-0.13976,3.8499),(3605,2485,-0.14317,3.8556),(3605,2495,-0.14659,3.8613),(3605,2505,-0.15001,3.8682),(3605,2515,-0.15343,3.8752),(3605,2525,-0.15696,3.8822),(3605,2535,-0.16049,3.8892),(3605,2545,-0.16403,3.8978),(3605,2555,-0.16755,3.9064),(3605,2565,-0.17096,3.9151),(3605,2575,-0.17437,3.9238),(3605,2585,-0.17778,3.9345),(3605,2595,-0.18114,3.9452),(3605,2605,-0.18398,3.9559),(3605,2615,-0.18683,3.9668),(3605,2625,-0.18968,3.98),(3605,2635,-0.19235,3.9931),(3605,2645,-0.19387,4.0063),(3605,2655,-0.1954,4.0199),(3605,2665,-0.19692,4.0359),(3605,2675,-0.19801,4.0518),(3605,2685,-0.19699,4.0678),(3605,2695,-0.19598,4.0843),(3605,2705,-0.19497,4.1029),(3605,2715,-0.19305,4.1216),(3605,2725,-0.18777,4.1402),(3605,2735,-0.1825,4.1592),(3605,2745,-0.17723,4.1794),(3605,2755,-0.17044,4.1995),(3605,2765,-0.15912,4.2196),(3605,2775,-0.14781,4.2392),(3605,2785,-0.1365,4.2576),(3605,2795,-0.12383,4.276),(3605,2805,-0.1079,4.2944),(3605,2815,-0.091973,4.3117),(3605,2825,-0.076042,4.3268),(3605,2835,-0.059153,4.342),(3605,2845,-0.040331,4.3571),(3605,2855,-0.02151,4.371),(3605,2865,-0.002688,4.3826),(3605,2875,0.016742,4.3942),(3605,2885,0.037202,4.4058),(3605,2895,0.057662,4.4161),(3605,2905,0.078123,4.4244),(3605,2915,0.098942,4.4327),(3605,2925,0.12027,4.441),(3605,2935,0.14161,4.4481),(3605,2945,0.16294,4.4535),(3605,2955,0.18448,4.459),(3605,2965,0.20627,4.4644),(3605,2975,0.22806,4.4686),(3605,2985,0.24985,4.4716),(3605,2995,0.27176,4.4745),(3605,3005,0.29382,4.4774),(3605,3015,0.31587,4.4792),(3605,3025,0.33792,4.4799),(3605,3035,0.36008,4.4806),(3605,3045,0.38234,4.4813),(3605,3055,0.4046,4.4809),(3605,3065,0.42686,4.4796),(3605,3075,0.44925,4.4782),(3605,3085,0.47174,4.4769),(3605,3095,0.49422,4.4745),(3605,3105,0.51671,4.4713),(3605,3115,0.53938,4.468),(3605,3125,0.56217,4.4648),(3605,3135,0.58495,4.4604),(3605,3145,0.60774,4.4553),(3605,3155,0.63078,4.4502),(3605,3165,0.65396,4.4451),(3605,3175,0.67714,4.4387),(3605,3185,0.70032,4.4316),(3605,3195,0.72384,4.4246),(3605,3205,0.74752,4.4175),(3605,3215,0.7712,4.409),(3605,3225,0.79488,4.3999),(3605,3235,0.819,4.3907),(3605,3245,0.84329,4.3816),(3605,3255,0.86758,4.3707),(3605,3265,0.89187,4.3593),(3605,3275,0.91669,4.3478),(3605,3285,0.94168,4.3364),(3605,3295,0.96667,4.3228),(3605,3305,0.99166,4.3087),(3605,3315,1.0173,4.2946),(3605,3325,1.043,4.2805),(3605,3335,1.0687,4.2638),(3605,3345,1.0945,4.2465),(3605,3355,1.1209,4.2292),(3605,3365,1.1473,4.2119),(3605,3375,1.1738,4.1913),(3605,3385,1.2003,4.1702),(3605,3395,1.2273,4.1491),(3605,3405,1.2543,4.128),(3605,3415,1.2814,4.1027),(3605,3425,1.3085,4.0769),(3605,3435,1.3357,4.0511),(3605,3445,1.3629,4.0254),(3605,3455,1.3901,3.9942),(3605,3465,1.4174,3.9626),(3605,3475,1.444,3.9311),(3605,3485,1.4705,3.8996),(3605,3495,1.4971,3.8613),(3605,3505,1.5236,3.8228),(3605,3515,1.5479,3.7843),(3605,3525,1.5722,3.7456),(3605,3535,1.5965,3.6991),(3605,3545,1.6205,3.6525),(3605,3555,1.6398,3.6059),(3605,3565,1.6591,3.5588),(3605,3575,1.6783,3.5038),(3605,3585,1.6968,3.4488),(3605,3595,1.7067,3.3938),(3605,3605,1.7166,3.3382),(3605,3615,1.7266,3.2768),(3605,3625,1.7347,3.2155),(3605,3635,1.73,3.1541),(3605,3645,1.7253,3.0929),(3605,3655,1.7206,3.0324),(3605,3665,1.7135,2.972),(3605,3675,1.6938,2.9115),(3605,3685,1.6742,2.8528),(3605,3695,1.6546,2.8021),(3605,3705,1.6339,2.7514),(3605,3715,1.6085,2.7007),(3605,3725,1.5832,2.652),(3605,3735,1.5579,2.6102),(3605,3745,1.5322,2.5685),(3605,3755,1.5051,2.5267),(3605,3765,1.4781,2.4868),(3605,3775,1.4511,2.4524),(3605,3785,1.4242,2.4179),(3605,3795,1.3975,2.3834),(3605,3805,1.3709,2.3507),(3605,3815,1.3442,2.3221),(3605,3825,1.318,2.2935),(3605,3835,1.2928,2.2649),(3605,3845,1.2677,2.238),(3605,3855,1.2425,2.2143),(3605,3865,1.218,2.1907),(3605,3875,1.1949,2.1671),(3605,3885,1.1717,2.1452),(3605,3895,1.1486,2.1262),(3605,3905,1.1263,2.1071),(3605,3915,1.1053,2.0881),(3605,3925,1.0843,2.0709),(3605,3935,1.0633,2.0564),(3605,3945,1.0431,2.0418),(3605,3955,1.0238,2.0273),(3605,3965,1.0045,2.0148),(3605,3975,0.98527,2.0047),(3605,3985,0.96641,1.9947),(3605,3995,0.948,1.9846),(3605,4005,0.92959,1.9764),(3605,4015,0.91117,1.97),(3605,4025,1.2145,1.9636),(3605,4035,1.5493,1.9553),(3605,4045,1.8841,1.9431),(3605,4055,2.1215,1.9308),(3605,4065,2.3234,1.9178),(3605,4075,2.5252,1.9009),(3605,4085,2.613,1.884),(3605,4095,2.6092,1.8671),(3605,4105,2.6054,1.8505),(3605,4115,2.5204,1.8338),(3605,4125,2.3006,1.8171),(3605,4135,2.0809,1.8046),(3605,4145,1.859,1.7933),(3605,4155,1.6281,1.7819),(3605,4165,1.3973,1.7743),(3605,4175,1.1794,1.769),(3605,4185,1.6008,1.7637),(3605,4195,2.0222,1.7539),(3605,4205,2.4436,1.7379),(3605,4215,2.5062,1.722),(3605,4225,2.5012,1.7061),(3605,4235,2.4963,1.6901),(3605,4245,2.4705,1.6741),(3605,4255,2.4342,1.658),(3605,4265,2.3979,1.6401),(3605,4275,2.1087,1.6222),(3605,4285,1.5511,1.6043),(3605,4295,0.99352,1.6007),(3605,4305,0.75953,1.5987),(3605,4315,1.2562,1.5968),(3605,4325,1.7528,1.5869),(3605,4335,2.194,1.5738),(3605,4345,2.2595,1.5608),(3605,4355,2.3251,1.5469),(3605,4365,2.3906,1.5323),(3605,4375,2.3928,1.5176),(3605,4385,2.3916,1.503),(3605,4395,2.3905,1.4883),(3605,4405,2.1022,1.4735),(3605,4415,1.7293,1.4604),(3605,4425,1.3564,1.4544),(3605,4435,1.197,1.4484),(3605,4445,1.1837,1.4424),(3605,4455,1.1703,1.4368),(3605,4465,1.3159,1.4312),(3605,4475,1.6847,1.4257),(3605,4485,2.0536,1.4133),(3605,4495,2.3347,1.3996),(3605,4505,2.3344,1.3859),(3605,4515,2.3341,1.3723),(3605,4525,2.3292,1.3587),(3605,4535,2.2513,1.3451),(3605,4545,2.1735,1.3322),(3605,4555,2.0956,1.3202),(3605,4565,1.6062,1.3082),(3605,4575,1.0612,1.2997),(3605,4585,0.51624,1.2996),(3605,4595,0.75765,1.2994),(3605,4605,1.3313,1.2976),(3605,4615,1.905,1.2821),(3605,4625,2.1929,1.2667),(3605,4635,2.222,1.2513),(3605,4645,2.2511,1.2383),(3605,4655,2.2709,1.2256),(3605,4665,2.273,1.2129),(3605,4675,2.2752,1.2004),(3605,4685,2.1986,1.1879),(3605,4695,1.7331,1.1755),(3605,4705,1.2676,1.1683),(3605,4715,0.80207,1.1649),(3605,4725,1.0211,1.1614),(3605,4735,1.247,1.1565),(3605,4745,1.4729,1.1492),(3605,4755,1.7037,1.142),(3605,4765,1.9357,1.1338),(3605,4775,2.1677,1.1224),(3605,4785,2.2531,1.111),(3605,4795,2.2536,1.0996),(3605,4805,2.2542,1.0885),(3605,4815,2.1464,1.0774),(3605,4825,1.9089,1.0664),(3605,4835,1.6715,1.0587),(3605,4845,1.4311,1.0517),(3605,4855,1.1829,1.0446),(3605,4865,0.93464,1.0404),(3605,4875,0.75838,1.0376),(3605,4885,1.237,1.0347),(3605,4895,1.7156,1.0278),(3605,4905,2.1942,1.0169),(3605,4915,2.2325,1.006),(3605,4925,2.2328,0.99516),(3605,4935,2.2332,0.98424),(3605,4945,2.2208,0.97333),(3605,4955,2.2039,0.96213),(3605,4965,2.1871,0.94935),(3605,4975,1.8241,0.93656),(3605,4985,1.1938,0.92378),(3605,4995,0.56353,0.9233),(3605,5005,0.3633,0.92314),(3605,5015,0.84674,0.92297),(3605,5025,1.3302,0.91657),(3605,5035,1.7466,0.90857),(3605,5045,1.9079,0.90057),(3605,5055,2.0691,0.89095),(3605,5065,2.2257,0.88033),(3605,5075,2.2269,0.86971),(3605,5085,2.2281,0.85916),(3605,5095,2.2294,0.8487),(3605,5105,1.949,0.83825),(3605,5115,1.6194,0.82917),(3605,5125,1.2899,0.82395),(3605,5135,1.1235,0.81873),(3605,5145,1.0362,0.81364),(3605,5155,0.94896,0.81005),(3605,5165,1.1137,0.80645),(3605,5175,1.5355,0.80285),(3605,5185,1.9574,0.79375),(3605,5195,2.2457,0.78406),(3605,5205,2.2464,0.77438),(3605,5215,2.2471,0.76482),(3605,5225,2.2361,0.75529),(3605,5235,2.1528,0.74576),(3605,5245,2.0694,0.73692),(3605,5255,1.986,0.72862),(3605,5265,1.3998,0.72033),(3605,5275,0.79289,0.71514),(3605,5285,0.18595,0.71522),(3605,5295,0.58888,0.71529),(3605,5305,1.273,0.71353),(3605,5315,1.9572,0.70412),(3605,5325,2.2337,0.69471),(3605,5335,2.2427,0.68532),(3605,5345,2.2518,0.67717),(3605,5355,2.257,0.66903),(3605,5365,2.257,0.66088),(3605,5375,2.257,0.65288),(3605,5385,2.1281,0.64491),(3605,5395,1.6075,0.63694),(3605,5405,1.0868,0.63294),(3605,5415,0.62201,0.63101),(3605,5425,0.90713,0.62907),(3605,5435,1.1922,0.62656),(3605,5445,1.4773,0.62343),(3605,5455,1.7541,0.6203),(3605,5465,2.0299,0.61658),(3605,5475,2.3056,0.61152),(3605,5485,2.3835,0.60647),(3605,5495,2.3817,0.60142),(3605,5505,2.3799,0.59647),(3605,5515,2.3781,0.59153),(3605,5525,2.3764,0.58658),(3605,5535,2.3746,0.58174),(3605,5545,2.3729,0.57691),(3605,5555,2.3712,0.57208),(3605,5565,2.3695,0.56733),(3605,5575,2.3678,0.5626),(3605,5585,2.3661,0.55787),(3605,5595,2.3644,0.55319),(3605,5605,2.3628,0.54854),(3605,5615,2.3611,0.5439),(3605,5625,2.3595,0.53929),(3605,5635,2.3579,0.53472),(3605,5645,2.3563,0.53015),(3605,5655,2.3547,0.52559),(3605,5665,2.3531,0.52107),(3605,5675,2.3515,0.51655),(3605,5685,2.3499,0.51204),(3605,5695,2.3484,0.50759),(3605,5705,2.3468,0.50313),(3605,5715,2.3453,0.49868),(3605,5725,2.3438,0.49426),(3605,5735,2.3423,0.48985),(3605,5745,2.3408,0.48543),(3605,5755,2.3393,0.48104),(3605,5765,2.3378,0.47665),(3605,5775,2.3363,0.47227),(3605,5785,2.3348,0.4679),(3605,5795,2.3333,0.46354),(3605,5805,2.3319,0.45918),(3605,5815,2.3304,0.45484),(3605,5825,2.329,0.45051),(3605,5835,2.3276,0.44617),(3605,5845,2.3261,0.44185),(3605,5855,2.3247,0.43755),(3605,5865,2.3233,0.43325),(3605,5875,2.3219,0.42895),(3605,5885,2.3205,0.42469),(3605,5895,2.319,0.42042),(3605,5905,2.3176,0.41616),(3605,5915,2.3162,0.41192),(3605,5925,2.3148,0.40768),(3605,5935,2.3134,0.40344),(3605,5945,2.312,0.39922),(3605,5955,2.3106,0.39501),(3605,5965,2.3092,0.39081),(3605,5975,2.3078,0.38661),(3605,5985,2.3064,0.38242),(3605,5995,1.7632,0.37823),(3605,6005,1.1328,0.37505),(3605,6015,0.50246,0.37454),(3605,6025,0.65919,0.37403),(3605,6035,1.181,0.37308),(3605,6045,1.7028,0.36789),(3605,6055,2.0642,0.3627),(3605,6065,2.2683,0.35752),(3605,6075,2.4724,0.35077),(3605,6085,2.61,0.34389),(3605,6095,2.6106,0.337),(3605,6105,2.6111,0.3301),(3605,6115,2.6117,0.3232),(3605,6125,2.6122,0.31629),(3605,6135,2.6128,0.30943),(3605,6145,2.6133,0.3026),(3605,6155,2.6138,0.29577),(3605,6165,2.6143,0.28898),(3605,6175,2.6148,0.28223),(3605,6185,2.6153,0.27549),(3605,6195,2.6157,0.26877),(3605,6205,2.6161,0.26213),(3605,6215,2.6166,0.25548),(3605,6225,2.617,0.24884),(3605,6235,2.6174,0.24225),(3605,6245,2.6177,0.23565),(3605,6255,2.6181,0.22905),(3605,6265,2.6185,0.2225),(3605,6275,2.6188,0.21595),(3605,6285,2.6191,0.2094),(3605,6295,2.6194,0.20291),(3605,6305,2.6197,0.19645),(3605,6315,2.62,0.18998),(3605,6325,2.6203,0.18356),(3605,6335,2.6206,0.17718),(3605,6345,2.6208,0.17079),(3605,6355,2.6211,0.16444),(3605,6365,2.6213,0.15817),(3605,6375,2.6215,0.15189),(3605,6385,2.6217,0.14562),(3605,6395,2.6219,0.13935),(3605,6405,2.6221,0.13307),(3605,6415,2.6222,0.1268),(3605,6425,2.6224,0.12054),(3605,6435,2.6226,0.11427),(3605,6445,2.6227,0.10801),(3605,6455,2.6229,0.10184),(3605,6465,2.623,0.095687),(3605,6475,2.6231,0.08954),(3605,6485,2.6232,0.083397),(3605,6495,2.6234,0.077258),(3605,6505,2.6234,0.071119),(3605,6515,2.6235,0.064993),(3605,6525,2.6236,0.058884),(3605,6535,2.6237,0.052776),(3605,6545,2.6237,0.046668),(3605,6555,2.6238,0.040563),(3605,6565,2.6238,0.034458),(3605,6575,2.6239,0.028358),(3605,6585,2.6239,0.022332),(3605,6595,2.2318,0.016307),(3605,6605,1.4067,0.010281),(3605,6615,0.58163,0.009605),(3605,6625,0.001613,0.009617),(3605,6635,0.001611,0.009628),(3605,6645,0.001609,0.009628),(3605,6655,0.001608,0.009623),(3605,6665,0.001606,0.009617),(3605,6675,0.001605,0.009612),(3605,6685,0.001603,0.009606),(3605,6695,0.001602,0.009601),(3605,6705,0.001601,0.009595),(3605,6715,0.0016,0.00959),(3605,6725,0.001599,0.009584),(3605,6735,0.001598,0.009578),(3605,6745,0.001597,0.009572),(3605,6755,0.001596,0.009567),(3605,6765,0.001595,0.00956),(3605,6775,0.001595,0.009554),(3605,6785,0.001594,0.009548),(3605,6795,0.001593,0.009542),(3605,6805,0.001593,0.009536),(3605,6815,0.001592,0.009529),(3605,6825,0.001592,0.009523),(3605,6835,0.001592,0.009516),(3605,6845,0.001591,0.00951),(3605,6855,0.001591,0.009503),(3605,6865,0.00159,0.009496),(3605,6875,0.00159,0.009489),(3605,6885,0.00159,0.009482),(3605,6895,0.00159,0.009475),(3605,6905,0.00159,0.009468),(3605,6915,0.001589,0.009461),(3605,6925,0.001589,0.009454),(3605,6935,0.001589,0.009447),(3605,6945,0.001589,0.00944),(3605,6955,0.001589,0.009433),(3605,6965,0.001589,0.009426),(3605,6975,0.001589,0.009418),(3605,6985,0.001589,0.009411),(3615,5,5e-06,3.689),(3615,15,1.4e-05,3.689),(3615,25,2.3e-05,3.689),(3615,35,3.2e-05,3.689),(3615,45,4.1e-05,3.689),(3615,55,5e-05,3.689),(3615,65,5.8e-05,3.689),(3615,75,6.7e-05,3.689),(3615,85,7.5e-05,3.689),(3615,95,8.3e-05,3.689),(3615,105,9.1e-05,3.689),(3615,115,9.8e-05,3.689),(3615,125,0.000106,3.689),(3615,135,0.000113,3.689),(3615,145,0.000119,3.689),(3615,155,0.000125,3.689),(3615,165,0.000131,3.689),(3615,175,0.000137,3.6889),(3615,185,0.000141,3.6889),(3615,195,0.000145,3.6889),(3615,205,0.000149,3.6889),(3615,215,0.000153,3.6889),(3615,225,0.000155,3.6889),(3615,235,0.000156,3.6889),(3615,245,0.000157,3.6889),(3615,255,0.000158,3.6889),(3615,265,0.000157,3.6889),(3615,275,0.000156,3.6888),(3615,285,0.000154,3.6888),(3615,295,0.000152,3.6888),(3615,305,0.000148,3.6888),(3615,315,0.000143,3.6888),(3615,325,0.000137,3.6888),(3615,335,0.000132,3.6888),(3615,345,0.000123,3.6887),(3615,355,0.000114,3.6887),(3615,365,0.000105,3.6887),(3615,375,9.6e-05,3.6887),(3615,385,8.2e-05,3.6887),(3615,395,6.8e-05,3.6887),(3615,405,5.4e-05,3.6886),(3615,415,4e-05,3.6886),(3615,425,2.1e-05,3.6886),(3615,435,1e-06,3.6886),(3615,445,-1.9e-05,3.6886),(3615,455,-3.8e-05,3.6885),(3615,465,-6.4e-05,3.6885),(3615,475,-9e-05,3.6885),(3615,485,-0.000116,3.6885),(3615,495,-0.000142,3.6885),(3615,505,-0.000175,3.6884),(3615,515,-0.000208,3.6884),(3615,525,-0.000241,3.6884),(3615,535,-0.000274,3.6884),(3615,545,-0.000316,3.6884),(3615,555,-0.000357,3.6883),(3615,565,-0.000398,3.6883),(3615,575,-0.00044,3.6883),(3615,585,-0.00049,3.6883),(3615,595,-0.00054,3.6882),(3615,605,-0.00059,3.6882),(3615,615,-0.000642,3.6882),(3615,625,-0.000702,3.6882),(3615,635,-0.000762,3.6882),(3615,645,-0.000822,3.6881),(3615,655,-0.000884,3.6881),(3615,665,-0.000955,3.6881),(3615,675,-0.001026,3.6881),(3615,685,-0.001097,3.6881),(3615,695,-0.001171,3.688),(3615,705,-0.001254,3.688),(3615,715,-0.001338,3.688),(3615,725,-0.001422,3.688),(3615,735,-0.001509,3.688),(3615,745,-0.001605,3.6879),(3615,755,-0.001703,3.6879),(3615,765,-0.0018,3.6879),(3615,775,-0.001901,3.6879),(3615,785,-0.002012,3.6879),(3615,795,-0.002124,3.6879),(3615,805,-0.002235,3.6879),(3615,815,-0.002352,3.6879),(3615,825,-0.002479,3.6878),(3615,835,-0.002606,3.6878),(3615,845,-0.002734,3.6878),(3615,855,-0.002867,3.6878),(3615,865,-0.003011,3.6878),(3615,875,-0.003155,3.6878),(3615,885,-0.0033,3.6878),(3615,895,-0.003451,3.6878),(3615,905,-0.003613,3.6879),(3615,915,-0.003775,3.6879),(3615,925,-0.003937,3.6879),(3615,935,-0.004108,3.6879),(3615,945,-0.004289,3.6879),(3615,955,-0.00447,3.6879),(3615,965,-0.004651,3.688),(3615,975,-0.004841,3.688),(3615,985,-0.005042,3.688),(3615,995,-0.005242,3.688),(3615,1005,-0.005443,3.6881),(3615,1015,-0.005654,3.6881),(3615,1025,-0.005875,3.6882),(3615,1035,-0.006096,3.6882),(3615,1045,-0.006317,3.6883),(3615,1055,-0.006549,3.6883),(3615,1065,-0.00679,3.6884),(3615,1075,-0.007032,3.6885),(3615,1085,-0.007273,3.6886),(3615,1095,-0.007527,3.6886),(3615,1105,-0.007789,3.6887),(3615,1115,-0.008051,3.6888),(3615,1125,-0.008313,3.6889),(3615,1135,-0.008588,3.689),(3615,1145,-0.00887,3.6891),(3615,1155,-0.009152,3.6892),(3615,1165,-0.009435,3.6894),(3615,1175,-0.00973,3.6895),(3615,1185,-0.010032,3.6896),(3615,1195,-0.010334,3.6898),(3615,1205,-0.010636,3.6899),(3615,1215,-0.010951,3.6901),(3615,1225,-0.011272,3.6902),(3615,1235,-0.011593,3.6904),(3615,1245,-0.011914,3.6906),(3615,1255,-0.012248,3.6908),(3615,1265,-0.012587,3.691),(3615,1275,-0.012926,3.6912),(3615,1285,-0.013265,3.6914),(3615,1295,-0.013617,3.6916),(3615,1305,-0.013972,3.6918),(3615,1315,-0.014327,3.6921),(3615,1325,-0.014683,3.6923),(3615,1335,-0.015051,3.6926),(3615,1345,-0.015422,3.6928),(3615,1355,-0.015793,3.6931),(3615,1365,-0.016164,3.6934),(3615,1375,-0.016547,3.6937),(3615,1385,-0.016932,3.694),(3615,1395,-0.017318,3.6943),(3615,1405,-0.017703,3.6946),(3615,1415,-0.018101,3.695),(3615,1425,-0.0185,3.6953),(3615,1435,-0.018899,3.6956),(3615,1445,-0.019298,3.696),(3615,1455,-0.019709,3.6964),(3615,1465,-0.020121,3.6967),(3615,1475,-0.020533,3.6971),(3615,1485,-0.020945,3.6975),(3615,1495,-0.02137,3.6979),(3615,1505,-0.021795,3.6983),(3615,1515,-0.02222,3.6988),(3615,1525,-0.022646,3.6992),(3615,1535,-0.023085,3.6996),(3615,1545,-0.023524,3.7001),(3615,1555,-0.023963,3.7005),(3615,1565,-0.024403,3.701),(3615,1575,-0.024857,3.7015),(3615,1585,-0.025312,3.702),(3615,1595,-0.025766,3.7025),(3615,1605,-0.026222,3.703),(3615,1615,-0.026694,3.7035),(3615,1625,-0.027166,3.704),(3615,1635,-0.027637,3.7046),(3615,1645,-0.028112,3.7051),(3615,1655,-0.028604,3.7056),(3615,1665,-0.029096,3.7062),(3615,1675,-0.029588,3.7068),(3615,1685,-0.030084,3.7074),(3615,1695,-0.0306,3.708),(3615,1705,-0.031116,3.7086),(3615,1715,-0.031632,3.7092),(3615,1725,-0.032154,3.7098),(3615,1735,-0.032699,3.7104),(3615,1745,-0.033244,3.7111),(3615,1755,-0.033788,3.7117),(3615,1765,-0.034342,3.7124),(3615,1775,-0.034922,3.7131),(3615,1785,-0.035501,3.7138),(3615,1795,-0.03608,3.7145),(3615,1805,-0.036672,3.7152),(3615,1815,-0.037293,3.7159),(3615,1825,-0.037913,3.7166),(3615,1835,-0.038534,3.7174),(3615,1845,-0.039171,3.7182),(3615,1855,-0.039841,3.7189),(3615,1865,-0.04051,3.7197),(3615,1875,-0.04118,3.7205),(3615,1885,-0.041872,3.7213),(3615,1895,-0.042599,3.7222),(3615,1905,-0.043327,3.723),(3615,1915,-0.044055,3.7239),(3615,1925,-0.044811,3.7248),(3615,1935,-0.045608,3.7256),(3615,1945,-0.046404,3.7266),(3615,1955,-0.0472,3.7275),(3615,1965,-0.048033,3.7285),(3615,1975,-0.04891,3.7294),(3615,1985,-0.049786,3.7304),(3615,1995,-0.050663,3.7314),(3615,2005,-0.051586,3.7325),(3615,2015,-0.052556,3.7335),(3615,2025,-0.053527,3.7346),(3615,2035,-0.054497,3.7357),(3615,2045,-0.055526,3.7368),(3615,2055,-0.056605,3.7379),(3615,2065,-0.057685,3.7391),(3615,2075,-0.058764,3.7404),(3615,2085,-0.059917,3.7416),(3615,2095,-0.061123,3.7429),(3615,2105,-0.062329,3.7442),(3615,2115,-0.063535,3.7456),(3615,2125,-0.064832,3.7469),(3615,2135,-0.066184,3.7483),(3615,2145,-0.067536,3.7498),(3615,2155,-0.068889,3.7514),(3615,2165,-0.070352,3.7529),(3615,2175,-0.071873,3.7544),(3615,2185,-0.073394,3.7561),(3615,2195,-0.074915,3.7579),(3615,2205,-0.076572,3.7596),(3615,2215,-0.078286,3.7614),(3615,2225,-0.080001,3.7633),(3615,2235,-0.081715,3.7653),(3615,2245,-0.083593,3.7673),(3615,2255,-0.085529,3.7693),(3615,2265,-0.087464,3.7715),(3615,2275,-0.0894,3.7738),(3615,2285,-0.09153,3.7761),(3615,2295,-0.093715,3.7784),(3615,2305,-0.095901,3.781),(3615,2315,-0.098087,3.7837),(3615,2325,-0.1005,3.7864),(3615,2335,-0.10297,3.7891),(3615,2345,-0.10543,3.7922),(3615,2355,-0.1079,3.7954),(3615,2365,-0.11063,3.7986),(3615,2375,-0.1134,3.8017),(3615,2385,-0.11618,3.8055),(3615,2395,-0.11895,3.8093),(3615,2405,-0.12202,3.8131),(3615,2415,-0.12512,3.8169),(3615,2425,-0.12822,3.8214),(3615,2435,-0.13133,3.826),(3615,2445,-0.13474,3.8306),(3615,2455,-0.13818,3.8351),(3615,2465,-0.14161,3.8407),(3615,2475,-0.14505,3.8463),(3615,2485,-0.14877,3.8519),(3615,2495,-0.15251,3.8575),(3615,2505,-0.15624,3.8645),(3615,2515,-0.15998,3.8714),(3615,2525,-0.16392,3.8783),(3615,2535,-0.16786,3.8853),(3615,2545,-0.1718,3.8939),(3615,2555,-0.17573,3.9025),(3615,2565,-0.17966,3.9112),(3615,2575,-0.18358,3.92),(3615,2585,-0.1875,3.9307),(3615,2595,-0.19138,3.9415),(3615,2605,-0.19485,3.9523),(3615,2615,-0.19832,3.9634),(3615,2625,-0.2018,3.9769),(3615,2635,-0.2051,3.9904),(3615,2645,-0.20734,4.0039),(3615,2655,-0.20958,4.0178),(3615,2665,-0.21181,4.0344),(3615,2675,-0.21361,4.0511),(3615,2685,-0.21328,4.0677),(3615,2695,-0.21295,4.0849),(3615,2705,-0.21263,4.1047),(3615,2715,-0.21133,4.1245),(3615,2725,-0.20645,4.1443),(3615,2735,-0.20157,4.1645),(3615,2745,-0.19669,4.1864),(3615,2755,-0.19008,4.2082),(3615,2765,-0.17836,4.23),(3615,2775,-0.16664,4.2513),(3615,2785,-0.15492,4.2709),(3615,2795,-0.14174,4.2905),(3615,2805,-0.12503,4.3101),(3615,2815,-0.10832,4.3286),(3615,2825,-0.091611,4.3445),(3615,2835,-0.073921,4.3603),(3615,2845,-0.054258,4.3762),(3615,2855,-0.034595,4.3907),(3615,2865,-0.014932,4.4027),(3615,2875,0.005313,4.4147),(3615,2885,0.026544,4.4267),(3615,2895,0.047775,4.4373),(3615,2905,0.069006,4.4458),(3615,2915,0.090553,4.4543),(3615,2925,0.11255,4.4629),(3615,2935,0.13455,4.4701),(3615,2945,0.15655,4.4756),(3615,2955,0.17871,4.4811),(3615,2965,0.20107,4.4867),(3615,2975,0.22343,4.491),(3615,2985,0.24579,4.494),(3615,2995,0.26824,4.4969),(3615,3005,0.29078,4.4999),(3615,3015,0.31333,4.5017),(3615,3025,0.33588,4.5025),(3615,3035,0.3585,4.5032),(3615,3045,0.3812,4.5039),(3615,3055,0.40391,4.5036),(3615,3065,0.42661,4.5023),(3615,3075,0.44942,4.501),(3615,3085,0.47232,4.4998),(3615,3095,0.49522,4.4974),(3615,3105,0.51812,4.4942),(3615,3115,0.5412,4.4911),(3615,3125,0.56439,4.4879),(3615,3135,0.58758,4.4836),(3615,3145,0.61077,4.4786),(3615,3155,0.63422,4.4736),(3615,3165,0.65782,4.4686),(3615,3175,0.68142,4.4623),(3615,3185,0.70502,4.4554),(3615,3195,0.72898,4.4485),(3615,3205,0.75311,4.4416),(3615,3215,0.77725,4.4332),(3615,3225,0.80138,4.4242),(3615,3235,0.82599,4.4153),(3615,3245,0.85079,4.4063),(3615,3255,0.87559,4.3956),(3615,3265,0.90039,4.3844),(3615,3275,0.92579,4.3731),(3615,3285,0.95138,4.3619),(3615,3295,0.97696,4.3486),(3615,3305,1.0025,4.3347),(3615,3315,1.0288,4.3208),(3615,3325,1.0553,4.3069),(3615,3335,1.0818,4.2903),(3615,3345,1.1082,4.2733),(3615,3355,1.1355,4.2562),(3615,3365,1.1628,4.2392),(3615,3375,1.1902,4.2188),(3615,3385,1.2175,4.1979),(3615,3395,1.2456,4.177),(3615,3405,1.2738,4.1561),(3615,3415,1.3019,4.1308),(3615,3425,1.3301,4.1052),(3615,3435,1.3587,4.0795),(3615,3445,1.3873,4.0538),(3615,3455,1.4159,4.0226),(3615,3465,1.4445,3.991),(3615,3475,1.4727,3.9593),(3615,3485,1.501,3.9277),(3615,3495,1.5292,3.8889),(3615,3505,1.5574,3.8499),(3615,3515,1.5837,3.8109),(3615,3525,1.61,3.7717),(3615,3535,1.6363,3.7239),(3615,3545,1.6623,3.6761),(3615,3555,1.6837,3.6283),(3615,3565,1.705,3.5799),(3615,3575,1.7264,3.5224),(3615,3585,1.7469,3.4649),(3615,3595,1.7584,3.4074),(3615,3605,1.7699,3.3491),(3615,3615,1.7814,3.2837),(3615,3625,1.7909,3.2182),(3615,3635,1.786,3.1528),(3615,3645,1.7811,3.0874),(3615,3655,1.7761,3.0226),(3615,3665,1.7684,2.9579),(3615,3675,1.7464,2.8932),(3615,3685,1.7244,2.8307),(3615,3695,1.7024,2.7786),(3615,3705,1.6792,2.7265),(3615,3715,1.6517,2.6744),(3615,3725,1.6241,2.6245),(3615,3735,1.5966,2.5824),(3615,3745,1.5687,2.5404),(3615,3755,1.5399,2.4983),(3615,3765,1.5112,2.4582),(3615,3775,1.4824,2.4239),(3615,3785,1.4538,2.3896),(3615,3795,1.4257,2.3553),(3615,3805,1.3976,2.3228),(3615,3815,1.3696,2.2947),(3615,3825,1.342,2.2665),(3615,3835,1.3157,2.2383),(3615,3845,1.2893,2.2119),(3615,3855,1.2629,2.1888),(3615,3865,1.2373,2.1657),(3615,3875,1.2131,2.1426),(3615,3885,1.1889,2.1213),(3615,3895,1.1646,2.1028),(3615,3905,1.1413,2.0843),(3615,3915,1.1192,2.0658),(3615,3925,1.0972,2.0491),(3615,3935,1.0751,2.035),(3615,3945,1.0538,2.0209),(3615,3955,1.0335,2.0068),(3615,3965,1.0132,1.9947),(3615,3975,0.99293,1.9849),(3615,3985,0.97307,1.975),(3615,3995,0.95371,1.9652),(3615,4005,0.93435,1.9571),(3615,4015,0.91499,1.9508),(3615,4025,1.2191,1.9444),(3615,4035,1.5548,1.9361),(3615,4045,1.8905,1.9237),(3615,4055,2.1288,1.9113),(3615,4065,2.3315,1.8981),(3615,4075,2.5342,1.8811),(3615,4085,2.6223,1.864),(3615,4095,2.6184,1.847),(3615,4105,2.6145,1.8302),(3615,4115,2.5291,1.8135),(3615,4125,2.3083,1.7968),(3615,4135,2.0875,1.7843),(3615,4145,1.8645,1.7729),(3615,4155,1.6325,1.7616),(3615,4165,1.4004,1.754),(3615,4175,1.1813,1.7487),(3615,4185,1.6048,1.7435),(3615,4195,2.0283,1.7337),(3615,4205,2.4518,1.7178),(3615,4215,2.5147,1.702),(3615,4225,2.5098,1.6862),(3615,4235,2.5048,1.6704),(3615,4245,2.4795,1.6546),(3615,4255,2.4439,1.6386),(3615,4265,2.4082,1.6209),(3615,4275,2.1178,1.6032),(3615,4285,1.5569,1.5855),(3615,4295,0.99596,1.5821),(3615,4305,0.76028,1.5803),(3615,4315,1.259,1.5786),(3615,4325,1.7576,1.5687),(3615,4335,2.2006,1.5557),(3615,4345,2.2664,1.5427),(3615,4355,2.3323,1.5289),(3615,4365,2.3981,1.5143),(3615,4375,2.4003,1.4998),(3615,4385,2.3992,1.4852),(3615,4395,2.3981,1.4705),(3615,4405,2.1086,1.4559),(3615,4415,1.734,1.4428),(3615,4425,1.3594,1.437),(3615,4435,1.1994,1.4311),(3615,4445,1.1859,1.4252),(3615,4455,1.1725,1.4198),(3615,4465,1.3186,1.4144),(3615,4475,1.6889,1.409),(3615,4485,2.0592,1.3967),(3615,4495,2.3414,1.3831),(3615,4505,2.3411,1.3695),(3615,4515,2.3407,1.356),(3615,4525,2.3357,1.3425),(3615,4535,2.2576,1.329),(3615,4545,2.1795,1.3162),(3615,4555,2.1014,1.3043),(3615,4565,1.61,1.2924),(3615,4575,1.063,1.2839),(3615,4585,0.51592,1.2839),(3615,4595,0.75885,1.2838),(3615,4605,1.3356,1.282),(3615,4615,1.9123,1.2667),(3615,4625,2.2012,1.2515),(3615,4635,2.2294,1.2362),(3615,4645,2.2576,1.2233),(3615,4655,2.2767,1.2107),(3615,4665,2.2787,1.198),(3615,4675,2.2807,1.1856),(3615,4685,2.2038,1.1733),(3615,4695,1.7369,1.1609),(3615,4705,1.27,1.1537),(3615,4715,0.80309,1.1503),(3615,4725,1.0226,1.147),(3615,4735,1.249,1.1421),(3615,4745,1.4754,1.1349),(3615,4755,1.7068,1.1277),(3615,4765,1.9394,1.1197),(3615,4775,2.172,1.1084),(3615,4785,2.2575,1.0972),(3615,4795,2.2579,1.0859),(3615,4805,2.2584,1.075),(3615,4815,2.1503,1.064),(3615,4825,1.9123,1.053),(3615,4835,1.6744,1.0455),(3615,4845,1.4334,1.0385),(3615,4855,1.1846,1.0316),(3615,4865,0.93584,1.0274),(3615,4875,0.75919,1.0246),(3615,4885,1.2389,1.0218),(3615,4895,1.7186,1.0149),(3615,4905,2.1982,1.0041),(3615,4915,2.2366,0.99322),(3615,4925,2.2369,0.98237),(3615,4935,2.2373,0.97151),(3615,4945,2.2253,0.96065),(3615,4955,2.2091,0.94951),(3615,4965,2.1929,0.93682),(3615,4975,1.829,0.92414),(3615,4985,1.1967,0.91145),(3615,4995,0.56441,0.91101),(3615,5005,0.36331,0.91088),(3615,5015,0.84775,0.91075),(3615,5025,1.3322,0.9044),(3615,5035,1.7495,0.89647),(3615,5045,1.9111,0.88853),(3615,5055,2.0727,0.87898),(3615,5065,2.2295,0.86844),(3615,5075,2.2307,0.85789),(3615,5085,2.2319,0.84742),(3615,5095,2.2331,0.83704),(3615,5105,1.9521,0.82667),(3615,5115,1.6219,0.81766),(3615,5125,1.2917,0.81249),(3615,5135,1.1249,0.80732),(3615,5145,1.0374,0.80229),(3615,5155,0.94994,0.79873),(3615,5165,1.1149,0.79517),(3615,5175,1.5373,0.79162),(3615,5185,1.9598,0.78259),(3615,5195,2.2486,0.77299),(3615,5205,2.2492,0.76339),(3615,5215,2.2498,0.7539),(3615,5225,2.2388,0.74446),(3615,5235,2.1553,0.73502),(3615,5245,2.0718,0.72625),(3615,5255,1.9883,0.71803),(3615,5265,1.4014,0.70982),(3615,5275,0.79362,0.70468),(3615,5285,0.18589,0.70476),(3615,5295,0.58937,0.70484),(3615,5305,1.2745,0.70312),(3615,5315,1.9595,0.69384),(3615,5325,2.2361,0.68456),(3615,5335,2.2448,0.67529),(3615,5345,2.2534,0.66725),(3615,5355,2.2584,0.6592),(3615,5365,2.2583,0.65116),(3615,5375,2.2583,0.64326),(3615,5385,2.1293,0.63538),(3615,5395,1.6083,0.6275),(3615,5405,1.0873,0.62356),(3615,5415,0.62212,0.62165),(3615,5425,0.90681,0.61975),(3615,5435,1.1915,0.61729),(3615,5445,1.4762,0.61424),(3615,5455,1.7527,0.61119),(3615,5465,2.0283,0.60756),(3615,5475,2.3038,0.60263),(3615,5485,2.3816,0.59769),(3615,5495,2.3797,0.59277),(3615,5505,2.3779,0.58794),(3615,5515,2.3761,0.58311),(3615,5525,2.3743,0.57828),(3615,5535,2.3726,0.57355),(3615,5545,2.3708,0.56883),(3615,5555,2.3691,0.56411),(3615,5565,2.3673,0.55947),(3615,5575,2.3656,0.55484),(3615,5585,2.3639,0.55022),(3615,5595,2.3623,0.54564),(3615,5605,2.3606,0.5411),(3615,5615,2.3589,0.53655),(3615,5625,2.3573,0.53204),(3615,5635,2.3556,0.52756),(3615,5645,2.354,0.52308),(3615,5655,2.3524,0.51862),(3615,5665,2.3508,0.5142),(3615,5675,2.3492,0.50977),(3615,5685,2.3476,0.50535),(3615,5695,2.3461,0.50098),(3615,5705,2.3445,0.49661),(3615,5715,2.343,0.49224),(3615,5725,2.3414,0.4879),(3615,5735,2.3399,0.48357),(3615,5745,2.3384,0.47924),(3615,5755,2.3369,0.47493),(3615,5765,2.3354,0.47062),(3615,5775,2.3339,0.46631),(3615,5785,2.3324,0.46201),(3615,5795,2.3309,0.45773),(3615,5805,2.3295,0.45345),(3615,5815,2.328,0.44917),(3615,5825,2.3266,0.44491),(3615,5835,2.3251,0.44065),(3615,5845,2.3237,0.43639),(3615,5855,2.3223,0.43216),(3615,5865,2.3209,0.42792),(3615,5875,2.3194,0.42368),(3615,5885,2.318,0.41948),(3615,5895,2.3166,0.41528),(3615,5905,2.3152,0.41108),(3615,5915,2.3138,0.4069),(3615,5925,2.3124,0.40272),(3615,5935,2.311,0.39854),(3615,5945,2.3095,0.39437),(3615,5955,2.3081,0.39023),(3615,5965,2.3067,0.38608),(3615,5975,2.3053,0.38193),(3615,5985,2.3039,0.3778),(3615,5995,1.7613,0.37367),(3615,6005,1.1316,0.37053),(3615,6015,0.50187,0.37003),(3615,6025,0.65893,0.36953),(3615,6035,1.1809,0.3686),(3615,6045,1.7029,0.36346),(3615,6055,2.0643,0.35833),(3615,6065,2.2685,0.3532),(3615,6075,2.4726,0.34653),(3615,6085,2.6102,0.33972),(3615,6095,2.6107,0.3329),(3615,6105,2.6113,0.32607),(3615,6115,2.6118,0.31924),(3615,6125,2.6124,0.3124),(3615,6135,2.6129,0.30561),(3615,6145,2.6134,0.29886),(3615,6155,2.6139,0.2921),(3615,6165,2.6143,0.28538),(3615,6175,2.6148,0.27871),(3615,6185,2.6153,0.27203),(3615,6195,2.6157,0.26538),(3615,6205,2.6161,0.25881),(3615,6215,2.6165,0.25224),(3615,6225,2.6169,0.24567),(3615,6235,2.6173,0.23915),(3615,6245,2.6176,0.23263),(3615,6255,2.618,0.2261),(3615,6265,2.6183,0.21962),(3615,6275,2.6186,0.21315),(3615,6285,2.6189,0.20668),(3615,6295,2.6192,0.20026),(3615,6305,2.6195,0.19388),(3615,6315,2.6198,0.18749),(3615,6325,2.62,0.18114),(3615,6335,2.6203,0.17484),(3615,6345,2.6205,0.16854),(3615,6355,2.6207,0.16227),(3615,6365,2.6209,0.15607),(3615,6375,2.6211,0.14987),(3615,6385,2.6213,0.14368),(3615,6395,2.6215,0.13749),(3615,6405,2.6217,0.1313),(3615,6415,2.6218,0.12512),(3615,6425,2.622,0.11894),(3615,6435,2.6221,0.11276),(3615,6445,2.6222,0.10658),(3615,6455,2.6224,0.1005),(3615,6465,2.6225,0.094436),(3615,6475,2.6226,0.088374),(3615,6485,2.6227,0.082319),(3615,6495,2.6228,0.076267),(3615,6505,2.6229,0.070215),(3615,6515,2.623,0.064177),(3615,6525,2.6231,0.058158),(3615,6535,2.6231,0.052139),(3615,6545,2.6232,0.046121),(3615,6555,2.6232,0.040105),(3615,6565,2.6233,0.034088),(3615,6575,2.6233,0.028078),(3615,6585,2.6233,0.022142),(3615,6595,2.2313,0.016207),(3615,6605,1.4064,0.010272),(3615,6615,0.5815,0.009605),(3615,6625,0.001614,0.009616),(3615,6635,0.001612,0.009627),(3615,6645,0.00161,0.009626),(3615,6655,0.001609,0.009621),(3615,6665,0.001607,0.009616),(3615,6675,0.001606,0.00961),(3615,6685,0.001605,0.009605),(3615,6695,0.001604,0.0096),(3615,6705,0.001602,0.009594),(3615,6715,0.001601,0.009589),(3615,6725,0.0016,0.009583),(3615,6735,0.0016,0.009577),(3615,6745,0.001599,0.009572),(3615,6755,0.001598,0.009566),(3615,6765,0.001597,0.00956),(3615,6775,0.001597,0.009554),(3615,6785,0.001596,0.009548),(3615,6795,0.001596,0.009541),(3615,6805,0.001595,0.009535),(3615,6815,0.001595,0.009529),(3615,6825,0.001594,0.009522),(3615,6835,0.001594,0.009516),(3615,6845,0.001594,0.009509),(3615,6855,0.001593,0.009503),(3615,6865,0.001593,0.009496),(3615,6875,0.001593,0.009489),(3615,6885,0.001593,0.009482),(3615,6895,0.001593,0.009475),(3615,6905,0.001592,0.009468),(3615,6915,0.001592,0.009461),(3615,6925,0.001592,0.009454),(3615,6935,0.001592,0.009447),(3615,6945,0.001592,0.00944),(3615,6955,0.001592,0.009433),(3615,6965,0.001592,0.009426),(3615,6975,0.001592,0.009418),(3615,6985,0.001592,0.009411),(3625,5,5e-06,3.689),(3625,15,1.4e-05,3.689),(3625,25,2.4e-05,3.689),(3625,35,3.3e-05,3.689),(3625,45,4.2e-05,3.689),(3625,55,5.1e-05,3.689),(3625,65,6e-05,3.689),(3625,75,6.9e-05,3.689),(3625,85,7.8e-05,3.689),(3625,95,8.6e-05,3.689),(3625,105,9.4e-05,3.689),(3625,115,0.000102,3.689),(3625,125,0.00011,3.689),(3625,135,0.000118,3.689),(3625,145,0.000124,3.689),(3625,155,0.000131,3.689),(3625,165,0.000137,3.689),(3625,175,0.000143,3.689),(3625,185,0.000148,3.6889),(3625,195,0.000152,3.6889),(3625,205,0.000156,3.6889),(3625,215,0.00016,3.6889),(3625,225,0.000162,3.6889),(3625,235,0.000164,3.6889),(3625,245,0.000166,3.6889),(3625,255,0.000167,3.6889),(3625,265,0.000166,3.6889),(3625,275,0.000165,3.6888),(3625,285,0.000164,3.6888),(3625,295,0.000162,3.6888),(3625,305,0.000158,3.6888),(3625,315,0.000153,3.6888),(3625,325,0.000148,3.6888),(3625,335,0.000143,3.6888),(3625,345,0.000135,3.6887),(3625,355,0.000126,3.6887),(3625,365,0.000117,3.6887),(3625,375,0.000108,3.6887),(3625,385,9.5e-05,3.6887),(3625,395,8.1e-05,3.6886),(3625,405,6.7e-05,3.6886),(3625,415,5.3e-05,3.6886),(3625,425,3.4e-05,3.6886),(3625,435,1.5e-05,3.6886),(3625,445,-4e-06,3.6885),(3625,455,-2.4e-05,3.6885),(3625,465,-4.9e-05,3.6885),(3625,475,-7.5e-05,3.6885),(3625,485,-0.0001,3.6885),(3625,495,-0.000126,3.6884),(3625,505,-0.000159,3.6884),(3625,515,-0.000192,3.6884),(3625,525,-0.000225,3.6884),(3625,535,-0.000258,3.6883),(3625,545,-0.000299,3.6883),(3625,555,-0.00034,3.6883),(3625,565,-0.000381,3.6883),(3625,575,-0.000423,3.6882),(3625,585,-0.000473,3.6882),(3625,595,-0.000524,3.6882),(3625,605,-0.000574,3.6882),(3625,615,-0.000625,3.6881),(3625,625,-0.000685,3.6881),(3625,635,-0.000745,3.6881),(3625,645,-0.000806,3.6881),(3625,655,-0.000868,3.6881),(3625,665,-0.000939,3.688),(3625,675,-0.001011,3.688),(3625,685,-0.001082,3.688),(3625,695,-0.001156,3.688),(3625,705,-0.00124,3.6879),(3625,715,-0.001324,3.6879),(3625,725,-0.001408,3.6879),(3625,735,-0.001496,3.6879),(3625,745,-0.001593,3.6878),(3625,755,-0.001691,3.6878),(3625,765,-0.001789,3.6878),(3625,775,-0.001891,3.6878),(3625,785,-0.002003,3.6878),(3625,795,-0.002116,3.6878),(3625,805,-0.002228,3.6877),(3625,815,-0.002346,3.6877),(3625,825,-0.002475,3.6877),(3625,835,-0.002603,3.6877),(3625,845,-0.002732,3.6877),(3625,855,-0.002867,3.6877),(3625,865,-0.003013,3.6877),(3625,875,-0.003159,3.6877),(3625,885,-0.003305,3.6877),(3625,895,-0.003458,3.6877),(3625,905,-0.003622,3.6877),(3625,915,-0.003786,3.6877),(3625,925,-0.003951,3.6877),(3625,935,-0.004123,3.6877),(3625,945,-0.004307,3.6877),(3625,955,-0.00449,3.6877),(3625,965,-0.004674,3.6878),(3625,975,-0.004867,3.6878),(3625,985,-0.005071,3.6878),(3625,995,-0.005275,3.6878),(3625,1005,-0.005478,3.6879),(3625,1015,-0.005693,3.6879),(3625,1025,-0.005917,3.688),(3625,1035,-0.006142,3.688),(3625,1045,-0.006366,3.6881),(3625,1055,-0.006603,3.6881),(3625,1065,-0.006848,3.6882),(3625,1075,-0.007094,3.6882),(3625,1085,-0.00734,3.6883),(3625,1095,-0.007598,3.6884),(3625,1105,-0.007865,3.6885),(3625,1115,-0.008132,3.6885),(3625,1125,-0.008399,3.6886),(3625,1135,-0.008679,3.6887),(3625,1145,-0.008967,3.6888),(3625,1155,-0.009254,3.6889),(3625,1165,-0.009542,3.6891),(3625,1175,-0.009843,3.6892),(3625,1185,-0.010151,3.6893),(3625,1195,-0.010459,3.6895),(3625,1205,-0.010767,3.6896),(3625,1215,-0.011089,3.6898),(3625,1225,-0.011416,3.6899),(3625,1235,-0.011743,3.6901),(3625,1245,-0.012071,3.6903),(3625,1255,-0.012412,3.6904),(3625,1265,-0.012758,3.6906),(3625,1275,-0.013103,3.6908),(3625,1285,-0.013449,3.691),(3625,1295,-0.013808,3.6913),(3625,1305,-0.014171,3.6915),(3625,1315,-0.014534,3.6917),(3625,1325,-0.014897,3.692),(3625,1335,-0.015272,3.6922),(3625,1345,-0.015651,3.6925),(3625,1355,-0.016029,3.6927),(3625,1365,-0.016408,3.693),(3625,1375,-0.016799,3.6933),(3625,1385,-0.017192,3.6936),(3625,1395,-0.017585,3.6939),(3625,1405,-0.017978,3.6942),(3625,1415,-0.018384,3.6946),(3625,1425,-0.018791,3.6949),(3625,1435,-0.019198,3.6952),(3625,1445,-0.019605,3.6956),(3625,1455,-0.020024,3.6959),(3625,1465,-0.020444,3.6963),(3625,1475,-0.020865,3.6967),(3625,1485,-0.021285,3.6971),(3625,1495,-0.021718,3.6975),(3625,1505,-0.022151,3.6979),(3625,1515,-0.022584,3.6983),(3625,1525,-0.023018,3.6987),(3625,1535,-0.023465,3.6992),(3625,1545,-0.023913,3.6996),(3625,1555,-0.02436,3.7001),(3625,1565,-0.024808,3.7005),(3625,1575,-0.025271,3.701),(3625,1585,-0.025734,3.7015),(3625,1595,-0.026196,3.702),(3625,1605,-0.026661,3.7025),(3625,1615,-0.027141,3.703),(3625,1625,-0.027621,3.7035),(3625,1635,-0.028101,3.7041),(3625,1645,-0.028584,3.7046),(3625,1655,-0.029085,3.7052),(3625,1665,-0.029585,3.7057),(3625,1675,-0.030086,3.7063),(3625,1685,-0.030591,3.7069),(3625,1695,-0.031116,3.7074),(3625,1705,-0.031641,3.708),(3625,1715,-0.032166,3.7087),(3625,1725,-0.032698,3.7093),(3625,1735,-0.033252,3.7099),(3625,1745,-0.033806,3.7105),(3625,1755,-0.034361,3.7112),(3625,1765,-0.034924,3.7118),(3625,1775,-0.035514,3.7125),(3625,1785,-0.036104,3.7132),(3625,1795,-0.036693,3.7139),(3625,1805,-0.037296,3.7146),(3625,1815,-0.037928,3.7153),(3625,1825,-0.03856,3.716),(3625,1835,-0.039192,3.7168),(3625,1845,-0.039841,3.7175),(3625,1855,-0.040523,3.7183),(3625,1865,-0.041205,3.719),(3625,1875,-0.041888,3.7198),(3625,1885,-0.042593,3.7206),(3625,1895,-0.043335,3.7214),(3625,1905,-0.044077,3.7223),(3625,1915,-0.04482,3.7231),(3625,1925,-0.045591,3.724),(3625,1935,-0.046404,3.7248),(3625,1945,-0.047217,3.7257),(3625,1955,-0.04803,3.7267),(3625,1965,-0.048881,3.7276),(3625,1975,-0.049777,3.7285),(3625,1985,-0.050673,3.7295),(3625,1995,-0.051569,3.7305),(3625,2005,-0.052513,3.7315),(3625,2015,-0.053507,3.7325),(3625,2025,-0.0545,3.7336),(3625,2035,-0.055493,3.7347),(3625,2045,-0.056547,3.7358),(3625,2055,-0.057654,3.7368),(3625,2065,-0.058761,3.738),(3625,2075,-0.059867,3.7392),(3625,2085,-0.061051,3.7404),(3625,2095,-0.06229,3.7416),(3625,2105,-0.063528,3.7429),(3625,2115,-0.064767,3.7443),(3625,2125,-0.066101,3.7456),(3625,2135,-0.067493,3.7469),(3625,2145,-0.068886,3.7484),(3625,2155,-0.070278,3.7499),(3625,2165,-0.071787,3.7514),(3625,2175,-0.073357,3.7529),(3625,2185,-0.074926,3.7545),(3625,2195,-0.076496,3.7562),(3625,2205,-0.078209,3.7579),(3625,2215,-0.079984,3.7596),(3625,2225,-0.081758,3.7615),(3625,2235,-0.083533,3.7634),(3625,2245,-0.085481,3.7653),(3625,2255,-0.087492,3.7673),(3625,2265,-0.089502,3.7694),(3625,2275,-0.091512,3.7717),(3625,2285,-0.093731,3.7739),(3625,2295,-0.096011,3.7761),(3625,2305,-0.09829,3.7787),(3625,2315,-0.10057,3.7813),(3625,2325,-0.1031,3.7839),(3625,2335,-0.10568,3.7865),(3625,2345,-0.10826,3.7895),(3625,2355,-0.11085,3.7926),(3625,2365,-0.11372,3.7957),(3625,2375,-0.11665,3.7988),(3625,2385,-0.11957,3.8024),(3625,2395,-0.1225,3.8061),(3625,2405,-0.12575,3.8098),(3625,2415,-0.12905,3.8135),(3625,2425,-0.13234,3.818),(3625,2435,-0.13563,3.8224),(3625,2445,-0.13929,3.8269),(3625,2455,-0.14297,3.8314),(3625,2465,-0.14665,3.8369),(3625,2475,-0.15033,3.8424),(3625,2485,-0.15438,3.8479),(3625,2495,-0.15843,3.8534),(3625,2505,-0.16248,3.8603),(3625,2515,-0.16654,3.8671),(3625,2525,-0.17088,3.874),(3625,2535,-0.17522,3.8809),(3625,2545,-0.17957,3.8895),(3625,2555,-0.18391,3.8981),(3625,2565,-0.18835,3.9067),(3625,2575,-0.19278,3.9154),(3625,2585,-0.19722,3.9263),(3625,2595,-0.20162,3.9372),(3625,2605,-0.20572,3.9481),(3625,2615,-0.20981,3.9593),(3625,2625,-0.21391,3.973),(3625,2635,-0.21786,3.9868),(3625,2645,-0.22081,4.0005),(3625,2655,-0.22376,4.0149),(3625,2665,-0.2267,4.0321),(3625,2675,-0.22921,4.0494),(3625,2685,-0.22957,4.0667),(3625,2695,-0.22993,4.0847),(3625,2705,-0.23029,4.1057),(3625,2715,-0.22962,4.1267),(3625,2725,-0.22513,4.1477),(3625,2735,-0.22064,4.1694),(3625,2745,-0.21614,4.1932),(3625,2755,-0.20972,4.217),(3625,2765,-0.1976,4.2408),(3625,2775,-0.18547,4.2638),(3625,2785,-0.17335,4.2848),(3625,2795,-0.15965,4.3058),(3625,2805,-0.14216,4.3268),(3625,2815,-0.12467,4.3465),(3625,2825,-0.10718,4.3631),(3625,2835,-0.088689,4.3797),(3625,2845,-0.068185,4.3964),(3625,2855,-0.04768,4.4115),(3625,2865,-0.027176,4.4239),(3625,2875,-0.006116,4.4362),(3625,2885,0.015886,4.4486),(3625,2895,0.037888,4.4595),(3625,2905,0.059889,4.4682),(3625,2915,0.082164,4.4769),(3625,2925,0.10483,4.4855),(3625,2935,0.12749,4.4929),(3625,2945,0.15016,4.4985),(3625,2955,0.17294,4.5041),(3625,2965,0.19587,4.5097),(3625,2975,0.2188,4.514),(3625,2985,0.24173,4.517),(3625,2995,0.26471,4.52),(3625,3005,0.28775,4.523),(3625,3015,0.31079,4.5249),(3625,3025,0.33383,4.5256),(3625,3035,0.35692,4.5264),(3625,3045,0.38007,4.5272),(3625,3055,0.40321,4.5268),(3625,3065,0.42635,4.5256),(3625,3075,0.44959,4.5244),(3625,3085,0.4729,4.5231),(3625,3095,0.49622,4.5208),(3625,3105,0.51953,4.5177),(3625,3115,0.54301,4.5147),(3625,3125,0.56661,4.5116),(3625,3135,0.59021,4.5073),(3625,3145,0.6138,4.5024),(3625,3155,0.63767,4.4975),(3625,3165,0.66168,4.4926),(3625,3175,0.6857,4.4865),(3625,3185,0.70971,4.4797),(3625,3195,0.73412,4.473),(3625,3205,0.75871,4.4662),(3625,3215,0.78329,4.458),(3625,3225,0.80787,4.4492),(3625,3235,0.83299,4.4404),(3625,3245,0.8583,4.4317),(3625,3255,0.8836,4.4212),(3625,3265,0.90891,4.4102),(3625,3275,0.93489,4.3992),(3625,3285,0.96108,4.3881),(3625,3295,0.98726,4.375),(3625,3305,1.0134,4.3614),(3625,3315,1.0404,4.3478),(3625,3325,1.0676,4.3341),(3625,3335,1.0948,4.3179),(3625,3345,1.122,4.3011),(3625,3355,1.1501,4.2843),(3625,3365,1.1783,4.2675),(3625,3375,1.2066,4.2474),(3625,3385,1.2348,4.2268),(3625,3395,1.2639,4.2061),(3625,3405,1.2932,4.1855),(3625,3415,1.3225,4.1605),(3625,3425,1.3517,4.135),(3625,3435,1.3816,4.1095),(3625,3445,1.4116,4.084),(3625,3455,1.4416,4.0528),(3625,3465,1.4715,4.0212),(3625,3475,1.5015,3.9896),(3625,3485,1.5314,3.958),(3625,3495,1.5613,3.9187),(3625,3505,1.5913,3.8793),(3625,3515,1.6195,3.8399),(3625,3525,1.6478,3.8003),(3625,3535,1.676,3.7513),(3625,3545,1.7041,3.7023),(3625,3555,1.7275,3.6532),(3625,3565,1.751,3.6035),(3625,3575,1.7745,3.5434),(3625,3585,1.797,3.4833),(3625,3595,1.8101,3.4232),(3625,3605,1.8232,3.362),(3625,3615,1.8363,3.2919),(3625,3625,1.8471,3.2217),(3625,3635,1.842,3.1516),(3625,3645,1.8369,3.0815),(3625,3655,1.8317,3.0118),(3625,3665,1.8234,2.9421),(3625,3675,1.799,2.8724),(3625,3685,1.7745,2.8056),(3625,3695,1.7501,2.7522),(3625,3705,1.7246,2.6987),(3625,3715,1.6948,2.6453),(3625,3725,1.6651,2.5943),(3625,3735,1.6353,2.5521),(3625,3745,1.6053,2.5098),(3625,3755,1.5748,2.4675),(3625,3765,1.5442,2.4274),(3625,3775,1.5136,2.3934),(3625,3785,1.4834,2.3594),(3625,3795,1.4539,2.3254),(3625,3805,1.4244,2.2933),(3625,3815,1.3949,2.2656),(3625,3825,1.366,2.2379),(3625,3835,1.3385,2.2102),(3625,3845,1.3109,2.1843),(3625,3855,1.2833,2.1618),(3625,3865,1.2566,2.1393),(3625,3875,1.2313,2.1168),(3625,3885,1.206,2.096),(3625,3895,1.1807,2.0781),(3625,3905,1.1563,2.0601),(3625,3915,1.1332,2.0422),(3625,3925,1.1101,2.026),(3625,3935,1.0869,2.0124),(3625,3945,1.0646,1.9987),(3625,3955,1.0433,1.9851),(3625,3965,1.0219,1.9733),(3625,3975,1.0006,1.9637),(3625,3985,0.97974,1.9541),(3625,3995,0.95943,1.9446),(3625,4005,0.93912,1.9367),(3625,4015,0.91882,1.9305),(3625,4025,1.2236,1.9242),(3625,4035,1.5603,1.916),(3625,4045,1.8969,1.9034),(3625,4055,2.136,1.8909),(3625,4065,2.3396,1.8777),(3625,4075,2.5431,1.8606),(3625,4085,2.6316,1.8435),(3625,4095,2.6277,1.8263),(3625,4105,2.6237,1.8096),(3625,4115,2.5378,1.7928),(3625,4125,2.3159,1.7761),(3625,4135,2.0941,1.7636),(3625,4145,1.8701,1.7523),(3625,4155,1.6368,1.741),(3625,4165,1.4035,1.7334),(3625,4175,1.1832,1.7282),(3625,4185,1.6088,1.723),(3625,4195,2.0344,1.7133),(3625,4205,2.46,1.6976),(3625,4215,2.5232,1.6819),(3625,4225,2.5183,1.6662),(3625,4235,2.5134,1.6506),(3625,4245,2.4885,1.6349),(3625,4255,2.4536,1.6192),(3625,4265,2.4186,1.6017),(3625,4275,2.1269,1.5842),(3625,4285,1.5626,1.5667),(3625,4295,0.99841,1.5635),(3625,4305,0.76104,1.5619),(3625,4315,1.2617,1.5603),(3625,4325,1.7625,1.5506),(3625,4335,2.2072,1.5376),(3625,4345,2.2733,1.5247),(3625,4355,2.3395,1.5109),(3625,4365,2.4056,1.4964),(3625,4375,2.4078,1.4819),(3625,4385,2.4068,1.4674),(3625,4395,2.4057,1.4528),(3625,4405,2.1149,1.4382),(3625,4415,1.7387,1.4252),(3625,4425,1.3625,1.4195),(3625,4435,1.2017,1.4138),(3625,4445,1.1882,1.4081),(3625,4455,1.1746,1.4028),(3625,4465,1.3213,1.3975),(3625,4475,1.6931,1.3923),(3625,4485,2.0648,1.3802),(3625,4495,2.3482,1.3666),(3625,4505,2.3477,1.3531),(3625,4515,2.3473,1.3397),(3625,4525,2.3423,1.3263),(3625,4535,2.2639,1.3129),(3625,4545,2.1855,1.3003),(3625,4555,2.1072,1.2884),(3625,4565,1.6139,1.2766),(3625,4575,1.0648,1.2682),(3625,4585,0.5156,1.2682),(3625,4595,0.76005,1.2682),(3625,4605,1.3398,1.2665),(3625,4615,1.9196,1.2514),(3625,4625,2.2094,1.2362),(3625,4635,2.2367,1.2211),(3625,4645,2.264,1.2084),(3625,4655,2.2825,1.1958),(3625,4665,2.2844,1.1832),(3625,4675,2.2863,1.1709),(3625,4685,2.2091,1.1586),(3625,4695,1.7408,1.1463),(3625,4705,1.2724,1.1392),(3625,4715,0.80411,1.1359),(3625,4725,1.0241,1.1325),(3625,4735,1.251,1.1277),(3625,4745,1.4779,1.1206),(3625,4755,1.7099,1.1135),(3625,4765,1.9431,1.1056),(3625,4775,2.1762,1.0944),(3625,4785,2.2619,1.0833),(3625,4795,2.2623,1.0723),(3625,4805,2.2626,1.0614),(3625,4815,2.1542,1.0505),(3625,4825,1.9157,1.0397),(3625,4835,1.6772,1.0323),(3625,4845,1.4357,1.0254),(3625,4855,1.1864,1.0185),(3625,4865,0.93705,1.0144),(3625,4875,0.76,1.0116),(3625,4885,1.2407,1.0088),(3625,4895,1.7215,1.0019),(3625,4905,2.2022,0.99115),(3625,4915,2.2406,0.98035),(3625,4925,2.241,0.96955),(3625,4935,2.2414,0.95875),(3625,4945,2.2299,0.94794),(3625,4955,2.2143,0.93686),(3625,4965,2.1988,0.92428),(3625,4975,1.834,0.91169),(3625,4985,1.1996,0.89911),(3625,4995,0.56529,0.89871),(3625,5005,0.36333,0.89862),(3625,5015,0.84876,0.89852),(3625,5025,1.3342,0.89223),(3625,5035,1.7524,0.88436),(3625,5045,1.9143,0.87649),(3625,5055,2.0762,0.86701),(3625,5065,2.2333,0.85655),(3625,5075,2.2345,0.84608),(3625,5085,2.2356,0.83569),(3625,5095,2.2367,0.82539),(3625,5105,1.9552,0.8151),(3625,5115,1.6244,0.80616),(3625,5125,1.2936,0.80104),(3625,5135,1.1264,0.79593),(3625,5145,1.0387,0.79095),(3625,5155,0.95092,0.78743),(3625,5165,1.1161,0.78391),(3625,5175,1.5392,0.7804),(3625,5185,1.9622,0.77145),(3625,5195,2.2514,0.76193),(3625,5205,2.252,0.75242),(3625,5215,2.2526,0.74302),(3625,5225,2.2415,0.73366),(3625,5235,2.1579,0.72431),(3625,5245,2.0743,0.71562),(3625,5255,1.9906,0.70748),(3625,5265,1.4029,0.69934),(3625,5275,0.79436,0.69426),(3625,5285,0.18583,0.69435),(3625,5295,0.58986,0.69444),(3625,5305,1.2759,0.69274),(3625,5315,1.9619,0.68359),(3625,5325,2.2385,0.67444),(3625,5335,2.2468,0.66531),(3625,5345,2.255,0.65736),(3625,5355,2.2597,0.64942),(3625,5365,2.2596,0.64148),(3625,5375,2.2595,0.63367),(3625,5385,2.1304,0.62589),(3625,5395,1.6091,0.61811),(3625,5405,1.0877,0.61422),(3625,5415,0.62223,0.61234),(3625,5425,0.90649,0.61047),(3625,5435,1.1907,0.60807),(3625,5445,1.475,0.60509),(3625,5455,1.7513,0.60212),(3625,5465,2.0266,0.59859),(3625,5475,2.302,0.59377),(3625,5485,2.3797,0.58896),(3625,5495,2.3778,0.58416),(3625,5505,2.3759,0.57945),(3625,5515,2.3741,0.57474),(3625,5525,2.3723,0.57003),(3625,5535,2.3705,0.56541),(3625,5545,2.3687,0.5608),(3625,5555,2.367,0.55619),(3625,5565,2.3652,0.55165),(3625,5575,2.3635,0.54713),(3625,5585,2.3618,0.54261),(3625,5595,2.3601,0.53814),(3625,5605,2.3584,0.53369),(3625,5615,2.3567,0.52925),(3625,5625,2.355,0.52483),(3625,5635,2.3534,0.52045),(3625,5645,2.3517,0.51607),(3625,5655,2.3501,0.5117),(3625,5665,2.3485,0.50736),(3625,5675,2.3469,0.50303),(3625,5685,2.3453,0.49869),(3625,5695,2.3437,0.49441),(3625,5705,2.3422,0.49012),(3625,5715,2.3406,0.48584),(3625,5725,2.3391,0.48159),(3625,5735,2.3375,0.47734),(3625,5745,2.336,0.47309),(3625,5755,2.3345,0.46885),(3625,5765,2.333,0.46462),(3625,5775,2.3315,0.46038),(3625,5785,2.33,0.45616),(3625,5795,2.3285,0.45195),(3625,5805,2.3271,0.44774),(3625,5815,2.3256,0.44354),(3625,5825,2.3242,0.43935),(3625,5835,2.3227,0.43515),(3625,5845,2.3213,0.43097),(3625,5855,2.3199,0.42679),(3625,5865,2.3184,0.42262),(3625,5875,2.317,0.41845),(3625,5885,2.3156,0.41431),(3625,5895,2.3142,0.41017),(3625,5905,2.3127,0.40603),(3625,5915,2.3113,0.40191),(3625,5925,2.3099,0.39779),(3625,5935,2.3085,0.39366),(3625,5945,2.3071,0.38956),(3625,5955,2.3057,0.38546),(3625,5965,2.3043,0.38137),(3625,5975,2.3029,0.37728),(3625,5985,2.3015,0.37321),(3625,5995,1.7594,0.36913),(3625,6005,1.1303,0.36603),(3625,6015,0.50129,0.36555),(3625,6025,0.65867,0.36506),(3625,6035,1.1808,0.36414),(3625,6045,1.7029,0.35906),(3625,6055,2.0645,0.35399),(3625,6065,2.2687,0.34891),(3625,6075,2.4728,0.34231),(3625,6085,2.6104,0.33556),(3625,6095,2.6109,0.32882),(3625,6105,2.6115,0.32206),(3625,6115,2.612,0.3153),(3625,6125,2.6125,0.30853),(3625,6135,2.613,0.30181),(3625,6145,2.6135,0.29512),(3625,6155,2.6139,0.28844),(3625,6165,2.6144,0.28178),(3625,6175,2.6148,0.27518),(3625,6185,2.6153,0.26858),(3625,6195,2.6157,0.262),(3625,6205,2.6161,0.2555),(3625,6215,2.6165,0.249),(3625,6225,2.6168,0.2425),(3625,6235,2.6172,0.23605),(3625,6245,2.6175,0.2296),(3625,6255,2.6178,0.22315),(3625,6265,2.6181,0.21674),(3625,6275,2.6185,0.21035),(3625,6285,2.6187,0.20395),(3625,6295,2.619,0.19761),(3625,6305,2.6193,0.1913),(3625,6315,2.6195,0.18499),(3625,6325,2.6197,0.17872),(3625,6335,2.62,0.1725),(3625,6345,2.6202,0.16627),(3625,6355,2.6204,0.16008),(3625,6365,2.6206,0.15396),(3625,6375,2.6208,0.14784),(3625,6385,2.6209,0.14173),(3625,6395,2.6211,0.13563),(3625,6405,2.6212,0.12952),(3625,6415,2.6214,0.12342),(3625,6425,2.6215,0.11733),(3625,6435,2.6216,0.11124),(3625,6445,2.6218,0.10515),(3625,6455,2.6219,0.099151),(3625,6465,2.622,0.093176),(3625,6475,2.6221,0.0872),(3625,6485,2.6222,0.081232),(3625,6495,2.6223,0.075268),(3625,6505,2.6223,0.069305),(3625,6515,2.6224,0.063356),(3625,6525,2.6225,0.057428),(3625,6535,2.6225,0.0515),(3625,6545,2.6226,0.045572),(3625,6555,2.6227,0.039647),(3625,6565,2.6227,0.033721),(3625,6575,2.6227,0.027801),(3625,6585,2.6227,0.021959),(3625,6595,2.2308,0.016116),(3625,6605,1.4061,0.010274),(3625,6615,0.58138,0.009614),(3625,6625,0.001615,0.009621),(3625,6635,0.001613,0.009627),(3625,6645,0.001611,0.009625),(3625,6655,0.00161,0.00962),(3625,6665,0.001608,0.009614),(3625,6675,0.001607,0.009609),(3625,6685,0.001606,0.009604),(3625,6695,0.001605,0.009599),(3625,6705,0.001604,0.009593),(3625,6715,0.001603,0.009588),(3625,6725,0.001602,0.009582),(3625,6735,0.001601,0.009577),(3625,6745,0.0016,0.009571),(3625,6755,0.0016,0.009565),(3625,6765,0.001599,0.009559),(3625,6775,0.001599,0.009553),(3625,6785,0.001598,0.009547),(3625,6795,0.001598,0.009541),(3625,6805,0.001597,0.009535),(3625,6815,0.001597,0.009528),(3625,6825,0.001597,0.009522),(3625,6835,0.001596,0.009515),(3625,6845,0.001596,0.009509),(3625,6855,0.001596,0.009502),(3625,6865,0.001596,0.009496),(3625,6875,0.001596,0.009489),(3625,6885,0.001596,0.009482),(3625,6895,0.001595,0.009475),(3625,6905,0.001595,0.009468),(3625,6915,0.001595,0.009461),(3625,6925,0.001595,0.009454),(3625,6935,0.001595,0.009447),(3625,6945,0.001595,0.00944),(3625,6955,0.001595,0.009433),(3625,6965,0.001595,0.009426),(3625,6975,0.001595,0.009418),(3625,6985,0.001596,0.009411),(3635,5,5e-06,3.689),(3635,15,1.5e-05,3.689),(3635,25,2.5e-05,3.689),(3635,35,3.4e-05,3.689),(3635,45,4.4e-05,3.689),(3635,55,5.4e-05,3.689),(3635,65,6.3e-05,3.689),(3635,75,7.2e-05,3.689),(3635,85,8.1e-05,3.689),(3635,95,9e-05,3.689),(3635,105,9.9e-05,3.689),(3635,115,0.000107,3.689),(3635,125,0.000115,3.689),(3635,135,0.000123,3.689),(3635,145,0.00013,3.689),(3635,155,0.000137,3.689),(3635,165,0.000144,3.689),(3635,175,0.00015,3.689),(3635,185,0.000155,3.6889),(3635,195,0.00016,3.6889),(3635,205,0.000165,3.6889),(3635,215,0.000169,3.6889),(3635,225,0.000172,3.6889),(3635,235,0.000174,3.6889),(3635,245,0.000176,3.6889),(3635,255,0.000178,3.6889),(3635,265,0.000178,3.6889),(3635,275,0.000177,3.6888),(3635,285,0.000176,3.6888),(3635,295,0.000175,3.6888),(3635,305,0.000171,3.6888),(3635,315,0.000167,3.6888),(3635,325,0.000162,3.6888),(3635,335,0.000158,3.6887),(3635,345,0.00015,3.6887),(3635,355,0.000141,3.6887),(3635,365,0.000133,3.6887),(3635,375,0.000124,3.6887),(3635,385,0.000111,3.6887),(3635,395,9.8e-05,3.6886),(3635,405,8.4e-05,3.6886),(3635,415,7.1e-05,3.6886),(3635,425,5.3e-05,3.6886),(3635,435,3.4e-05,3.6885),(3635,445,1.5e-05,3.6885),(3635,455,-4e-06,3.6885),(3635,465,-2.9e-05,3.6885),(3635,475,-5.5e-05,3.6885),(3635,485,-8e-05,3.6884),(3635,495,-0.000105,3.6884),(3635,505,-0.000138,3.6884),(3635,515,-0.00017,3.6884),(3635,525,-0.000203,3.6883),(3635,535,-0.000236,3.6883),(3635,545,-0.000277,3.6883),(3635,555,-0.000317,3.6883),(3635,565,-0.000358,3.6882),(3635,575,-0.0004,3.6882),(3635,585,-0.00045,3.6882),(3635,595,-0.0005,3.6881),(3635,605,-0.00055,3.6881),(3635,615,-0.000601,3.6881),(3635,625,-0.000661,3.6881),(3635,635,-0.000721,3.688),(3635,645,-0.000781,3.688),(3635,655,-0.000843,3.688),(3635,665,-0.000915,3.688),(3635,675,-0.000986,3.6879),(3635,685,-0.001058,3.6879),(3635,695,-0.001132,3.6879),(3635,705,-0.001216,3.6879),(3635,715,-0.001301,3.6878),(3635,725,-0.001385,3.6878),(3635,735,-0.001473,3.6878),(3635,745,-0.001571,3.6878),(3635,755,-0.001669,3.6877),(3635,765,-0.001767,3.6877),(3635,775,-0.00187,3.6877),(3635,785,-0.001983,3.6877),(3635,795,-0.002096,3.6876),(3635,805,-0.00221,3.6876),(3635,815,-0.002328,3.6876),(3635,825,-0.002458,3.6876),(3635,835,-0.002588,3.6876),(3635,845,-0.002717,3.6876),(3635,855,-0.002854,3.6876),(3635,865,-0.003001,3.6875),(3635,875,-0.003148,3.6875),(3635,885,-0.003296,3.6875),(3635,895,-0.003451,3.6875),(3635,905,-0.003617,3.6875),(3635,915,-0.003783,3.6875),(3635,925,-0.003949,3.6875),(3635,935,-0.004124,3.6875),(3635,945,-0.00431,3.6875),(3635,955,-0.004496,3.6876),(3635,965,-0.004682,3.6876),(3635,975,-0.004878,3.6876),(3635,985,-0.005085,3.6876),(3635,995,-0.005292,3.6876),(3635,1005,-0.005498,3.6877),(3635,1015,-0.005716,3.6877),(3635,1025,-0.005944,3.6877),(3635,1035,-0.006172,3.6878),(3635,1045,-0.0064,3.6878),(3635,1055,-0.006641,3.6879),(3635,1065,-0.00689,3.6879),(3635,1075,-0.00714,3.688),(3635,1085,-0.00739,3.688),(3635,1095,-0.007653,3.6881),(3635,1105,-0.007925,3.6882),(3635,1115,-0.008197,3.6883),(3635,1125,-0.008469,3.6884),(3635,1135,-0.008754,3.6885),(3635,1145,-0.009047,3.6885),(3635,1155,-0.00934,3.6887),(3635,1165,-0.009633,3.6888),(3635,1175,-0.00994,3.6889),(3635,1185,-0.010254,3.689),(3635,1195,-0.010568,3.6891),(3635,1205,-0.010882,3.6893),(3635,1215,-0.011211,3.6894),(3635,1225,-0.011545,3.6896),(3635,1235,-0.011879,3.6898),(3635,1245,-0.012213,3.6899),(3635,1255,-0.012561,3.6901),(3635,1265,-0.012914,3.6903),(3635,1275,-0.013266,3.6905),(3635,1285,-0.013619,3.6907),(3635,1295,-0.013986,3.6909),(3635,1305,-0.014356,3.6911),(3635,1315,-0.014726,3.6914),(3635,1325,-0.015097,3.6916),(3635,1335,-0.01548,3.6918),(3635,1345,-0.015866,3.6921),(3635,1355,-0.016253,3.6924),(3635,1365,-0.016639,3.6926),(3635,1375,-0.017038,3.6929),(3635,1385,-0.017439,3.6932),(3635,1395,-0.01784,3.6935),(3635,1405,-0.018241,3.6938),(3635,1415,-0.018655,3.6941),(3635,1425,-0.01907,3.6945),(3635,1435,-0.019485,3.6948),(3635,1445,-0.0199,3.6952),(3635,1455,-0.020327,3.6955),(3635,1465,-0.020755,3.6959),(3635,1475,-0.021184,3.6963),(3635,1485,-0.021612,3.6967),(3635,1495,-0.022053,3.6971),(3635,1505,-0.022494,3.6974),(3635,1515,-0.022935,3.6979),(3635,1525,-0.023377,3.6983),(3635,1535,-0.023832,3.6987),(3635,1545,-0.024287,3.6992),(3635,1555,-0.024742,3.6996),(3635,1565,-0.025198,3.7001),(3635,1575,-0.025669,3.7006),(3635,1585,-0.026139,3.701),(3635,1595,-0.02661,3.7015),(3635,1605,-0.027082,3.702),(3635,1615,-0.02757,3.7025),(3635,1625,-0.028058,3.703),(3635,1635,-0.028546,3.7036),(3635,1645,-0.029037,3.7041),(3635,1655,-0.029545,3.7047),(3635,1665,-0.030054,3.7052),(3635,1675,-0.030562,3.7058),(3635,1685,-0.031075,3.7063),(3635,1695,-0.031608,3.7069),(3635,1705,-0.032141,3.7075),(3635,1715,-0.032674,3.7081),(3635,1725,-0.033214,3.7087),(3635,1735,-0.033777,3.7093),(3635,1745,-0.03434,3.71),(3635,1755,-0.034902,3.7106),(3635,1765,-0.035474,3.7113),(3635,1775,-0.036073,3.7119),(3635,1785,-0.036672,3.7126),(3635,1795,-0.03727,3.7133),(3635,1805,-0.037882,3.714),(3635,1815,-0.038524,3.7147),(3635,1825,-0.039165,3.7154),(3635,1835,-0.039807,3.7161),(3635,1845,-0.040466,3.7168),(3635,1855,-0.04116,3.7176),(3635,1865,-0.041853,3.7183),(3635,1875,-0.042546,3.7191),(3635,1885,-0.043262,3.7199),(3635,1895,-0.044017,3.7207),(3635,1905,-0.044771,3.7215),(3635,1915,-0.045526,3.7223),(3635,1925,-0.046311,3.7232),(3635,1935,-0.047138,3.724),(3635,1945,-0.047965,3.7249),(3635,1955,-0.048792,3.7258),(3635,1965,-0.049658,3.7267),(3635,1975,-0.050571,3.7276),(3635,1985,-0.051483,3.7286),(3635,1995,-0.052396,3.7296),(3635,2005,-0.053358,3.7305),(3635,2015,-0.054371,3.7315),(3635,2025,-0.055384,3.7325),(3635,2035,-0.056397,3.7336),(3635,2045,-0.057473,3.7347),(3635,2055,-0.058603,3.7358),(3635,2065,-0.059734,3.7369),(3635,2075,-0.060864,3.7381),(3635,2085,-0.062074,3.7392),(3635,2095,-0.063341,3.7404),(3635,2105,-0.064608,3.7417),(3635,2115,-0.065876,3.743),(3635,2125,-0.067242,3.7443),(3635,2135,-0.068669,3.7456),(3635,2145,-0.070096,3.747),(3635,2155,-0.071524,3.7484),(3635,2165,-0.073073,3.7499),(3635,2175,-0.074686,3.7513),(3635,2185,-0.076299,3.7529),(3635,2195,-0.077912,3.7545),(3635,2205,-0.079675,3.7562),(3635,2215,-0.081504,3.7578),(3635,2225,-0.083332,3.7596),(3635,2235,-0.085161,3.7615),(3635,2245,-0.087173,3.7634),(3635,2255,-0.089251,3.7653),(3635,2265,-0.091329,3.7674),(3635,2275,-0.093407,3.7695),(3635,2285,-0.095708,3.7717),(3635,2295,-0.098073,3.7739),(3635,2305,-0.10044,3.7763),(3635,2315,-0.1028,3.7789),(3635,2325,-0.10544,3.7814),(3635,2335,-0.10813,3.7839),(3635,2345,-0.11083,3.7869),(3635,2355,-0.11352,3.7899),(3635,2365,-0.11653,3.7929),(3635,2375,-0.1196,3.7959),(3635,2385,-0.12267,3.7994),(3635,2395,-0.12573,3.803),(3635,2405,-0.12917,3.8066),(3635,2415,-0.13265,3.8102),(3635,2425,-0.13613,3.8145),(3635,2435,-0.13961,3.8189),(3635,2445,-0.14351,3.8233),(3635,2455,-0.14744,3.8277),(3635,2465,-0.15137,3.8331),(3635,2475,-0.1553,3.8385),(3635,2485,-0.15967,3.8439),(3635,2495,-0.16405,3.8493),(3635,2505,-0.16843,3.8561),(3635,2515,-0.17282,3.8629),(3635,2525,-0.1776,3.8696),(3635,2535,-0.18238,3.8765),(3635,2545,-0.18717,3.885),(3635,2555,-0.19197,3.8936),(3635,2565,-0.19699,3.9022),(3635,2575,-0.20201,3.9109),(3635,2585,-0.20703,3.9219),(3635,2595,-0.21204,3.9328),(3635,2605,-0.21692,3.9438),(3635,2615,-0.22179,3.955078),(3635,2625,-0.22667,3.9691),(3635,2635,-0.23142,3.9832),(3635,2645,-0.23535,3.9972),(3635,2655,-0.23928,4.0119),(3635,2665,-0.24321,4.0298),(3635,2675,-0.24672,4.0477),(3635,2685,-0.2482,4.0657),(3635,2695,-0.24968,4.0844),(3635,2705,-0.25116,4.1067),(3635,2715,-0.25157,4.129),(3635,2725,-0.24799,4.1512),(3635,2735,-0.24441,4.1743),(3635,2745,-0.24084,4.2001),(3635,2755,-0.23489,4.2258),(3635,2765,-0.22193,4.2516),(3635,2775,-0.20897,4.2764),(3635,2785,-0.19601,4.2988),(3635,2795,-0.18136,4.3211),(3635,2805,-0.16265,4.3435),(3635,2815,-0.14393,4.3643),(3635,2825,-0.12521,4.3817),(3635,2835,-0.10553,4.3991),(3635,2845,-0.083896,4.4165),(3635,2855,-0.062265,4.4323),(3635,2865,-0.040634,4.445),(3635,2875,-0.018522,4.4578),(3635,2885,0.004404,4.4705),(3635,2895,0.02733,4.4817),(3635,2905,0.050257,4.4906),(3635,2915,0.073379,4.4994),(3635,2925,0.096782,4.5082),(3635,2935,0.12019,4.5157),(3635,2945,0.14359,4.5213),(3635,2955,0.16705,4.527),(3635,2965,0.19057,4.5326),(3635,2975,0.21409,4.5371),(3635,2985,0.23761,4.5401),(3635,2995,0.26114,4.5431),(3635,3005,0.28467,4.5461),(3635,3015,0.3082,4.548),(3635,3025,0.33173,4.5488),(3635,3035,0.35528,4.5496),(3635,3045,0.37885,4.5504),(3635,3055,0.40242,4.5501),(3635,3065,0.42599,4.5489),(3635,3075,0.44963,4.5477),(3635,3085,0.47333,4.5465),(3635,3095,0.49703,4.5442),(3635,3105,0.52073,4.5412),(3635,3115,0.5446,4.5382),(3635,3125,0.56857,4.5352),(3635,3135,0.59254,4.5311),(3635,3145,0.61651,4.5263),(3635,3155,0.64076,4.5215),(3635,3165,0.66516,4.5167),(3635,3175,0.68957,4.5107),(3635,3185,0.71397,4.5041),(3635,3195,0.73878,4.4974),(3635,3205,0.76379,4.4908),(3635,3215,0.78879,4.4828),(3635,3225,0.81379,4.4742),(3635,3235,0.83937,4.4656),(3635,3245,0.86516,4.457),(3635,3255,0.89094,4.4468),(3635,3265,0.91673,4.436),(3635,3275,0.94326,4.4252),(3635,3285,0.97001,4.4144),(3635,3295,0.99676,4.4015),(3635,3305,1.0235,4.3881),(3635,3315,1.0512,4.3748),(3635,3325,1.0791,4.3614),(3635,3335,1.1069,4.3454),(3635,3345,1.1348,4.3289),(3635,3355,1.1638,4.3124),(3635,3365,1.1929,4.2959),(3635,3375,1.222,4.276),(3635,3385,1.2512,4.2557),(3635,3395,1.2814,4.2353),(3635,3405,1.3118,4.2149),(3635,3415,1.3422,4.1901),(3635,3425,1.3726,4.1648),(3635,3435,1.404,4.1395),(3635,3445,1.4355,4.1142),(3635,3455,1.467,4.083),(3635,3465,1.4985,4.0514),(3635,3475,1.5304,4.0198),(3635,3485,1.5623,3.9882),(3635,3495,1.5942,3.9485),(3635,3505,1.6261,3.9087),(3635,3515,1.6569,3.8689),(3635,3525,1.6878,3.8289),(3635,3535,1.7186,3.7786),(3635,3545,1.7493,3.7284),(3635,3555,1.7759,3.6782),(3635,3565,1.8025,3.6272),(3635,3575,1.8291,3.5644),(3635,3585,1.8548,3.5017),(3635,3595,1.871,3.4389),(3635,3605,1.8872,3.3749),(3635,3615,1.9033,3.3001),(3635,3625,1.9169,3.2252),(3635,3635,1.9117,3.1504),(3635,3645,1.9065,3.0756),(3635,3655,1.9014,3.0009),(3635,3665,1.8922,2.9262),(3635,3675,1.8627,2.8516),(3635,3685,1.8332,2.7805),(3635,3695,1.8037,2.7257),(3635,3705,1.7735,2.671),(3635,3715,1.7407,2.6162),(3635,3725,1.7078,2.5641),(3635,3735,1.675,2.5217),(3635,3745,1.6421,2.4792),(3635,3755,1.6095,2.4368),(3635,3765,1.5768,2.3966),(3635,3775,1.5441,2.3629),(3635,3785,1.5119,2.3292),(3635,3795,1.4808,2.2954),(3635,3805,1.4497,2.2637),(3635,3815,1.4187,2.2365),(3635,3825,1.3884,2.2093),(3635,3835,1.3596,2.1821),(3635,3845,1.3308,2.1567),(3635,3855,1.302,2.1348),(3635,3865,1.2741,2.1129),(3635,3875,1.2477,2.0909),(3635,3885,1.2213,2.0707),(3635,3895,1.195,2.0533),(3635,3905,1.1695,2.036),(3635,3915,1.1455,2.0186),(3635,3925,1.1214,2.0029),(3635,3935,1.0973,1.9897),(3635,3945,1.0741,1.9765),(3635,3955,1.0518,1.9633),(3635,3965,1.0296,1.9519),(3635,3975,1.0073,1.9426),(3635,3985,0.98564,1.9333),(3635,3995,0.96453,1.924),(3635,4005,0.94343,1.9163),(3635,4015,0.92232,1.9101),(3635,4025,1.2281,1.904),(3635,4035,1.5658,1.8958),(3635,4045,1.9035,1.8832),(3635,4055,2.1435,1.8706),(3635,4065,2.3479,1.8573),(3635,4075,2.5523,1.8401),(3635,4085,2.6411,1.8229),(3635,4095,2.637,1.8056),(3635,4105,2.6329,1.7889),(3635,4115,2.5464,1.7721),(3635,4125,2.3236,1.7554),(3635,4135,2.1007,1.7429),(3635,4145,1.8755,1.7317),(3635,4155,1.641,1.7204),(3635,4165,1.4064,1.7128),(3635,4175,1.185,1.7077),(3635,4185,1.6126,1.7025),(3635,4195,2.0401,1.6929),(3635,4205,2.4677,1.6774),(3635,4215,2.5313,1.6618),(3635,4225,2.5263,1.6463),(3635,4235,2.5214,1.6308),(3635,4245,2.4969,1.6153),(3635,4255,2.4626,1.5997),(3635,4265,2.4283,1.5825),(3635,4275,2.1353,1.5652),(3635,4285,1.5678,1.5479),(3635,4295,1.0003,1.5449),(3635,4305,0.76128,1.5435),(3635,4315,1.2641,1.5421),(3635,4325,1.767,1.5324),(3635,4335,2.2137,1.5196),(3635,4345,2.2801,1.5067),(3635,4355,2.3465,1.4929),(3635,4365,2.4129,1.4785),(3635,4375,2.4152,1.464),(3635,4385,2.4141,1.4496),(3635,4395,2.4131,1.4351),(3635,4405,2.121,1.4206),(3635,4415,1.7431,1.4077),(3635,4425,1.3652,1.4021),(3635,4435,1.2036,1.3965),(3635,4445,1.19,1.3909),(3635,4455,1.1763,1.3858),(3635,4465,1.3235,1.3807),(3635,4475,1.6968,1.3756),(3635,4485,2.0701,1.3636),(3635,4495,2.3545,1.3502),(3635,4505,2.3541,1.3367),(3635,4515,2.3536,1.3234),(3635,4525,2.3485,1.3101),(3635,4535,2.2699,1.2969),(3635,4545,2.1913,1.2843),(3635,4555,2.1126,1.2726),(3635,4565,1.6176,1.2608),(3635,4575,1.0663,1.2525),(3635,4585,0.51508,1.2526),(3635,4595,0.76099,1.2527),(3635,4605,1.3437,1.2511),(3635,4615,1.9264,1.2361),(3635,4625,2.2172,1.221),(3635,4635,2.2437,1.206),(3635,4645,2.2701,1.1934),(3635,4655,2.288,1.1809),(3635,4665,2.2898,1.1684),(3635,4675,2.2917,1.1562),(3635,4685,2.2141,1.144),(3635,4695,1.7444,1.1318),(3635,4705,1.2747,1.1247),(3635,4715,0.80503,1.1214),(3635,4725,1.0255,1.1181),(3635,4735,1.2528,1.1133),(3635,4745,1.4802,1.1063),(3635,4755,1.7127,1.0993),(3635,4765,1.9464,1.0914),(3635,4775,2.1801,1.0805),(3635,4785,2.2659,1.0695),(3635,4795,2.2662,1.0586),(3635,4805,2.2665,1.0478),(3635,4815,2.1578,1.0371),(3635,4825,1.9188,1.0263),(3635,4835,1.6798,1.019),(3635,4845,1.4378,1.0122),(3635,4855,1.188,1.0054),(3635,4865,0.93812,1.0013),(3635,4875,0.76071,0.99859),(3635,4885,1.2425,0.99584),(3635,4895,1.7243,0.98901),(3635,4905,2.2061,0.97825),(3635,4915,2.2446,0.96749),(3635,4925,2.245,0.95673),(3635,4935,2.2453,0.94598),(3635,4945,2.2343,0.93523),(3635,4955,2.2193,0.92421),(3635,4965,2.2043,0.91173),(3635,4975,1.8386,0.89925),(3635,4985,1.2023,0.88677),(3635,4995,0.56602,0.8864),(3635,5005,0.36323,0.88635),(3635,5015,0.84963,0.8863),(3635,5025,1.336,0.88006),(3635,5035,1.755,0.87226),(3635,5045,1.9173,0.86445),(3635,5055,2.0795,0.85504),(3635,5065,2.2369,0.84466),(3635,5075,2.238,0.83427),(3635,5085,2.2391,0.82396),(3635,5095,2.2402,0.81374),(3635,5105,1.9581,0.80353),(3635,5115,1.6267,0.79466),(3635,5125,1.2952,0.7896),(3635,5135,1.1277,0.78454),(3635,5145,1.0398,0.77961),(3635,5155,0.95179,0.77613),(3635,5165,1.1171,0.77266),(3635,5175,1.5408,0.76918),(3635,5185,1.9645,0.76031),(3635,5195,2.2541,0.75088),(3635,5205,2.2546,0.74145),(3635,5215,2.2551,0.73213),(3635,5225,2.244,0.72286),(3635,5235,2.1602,0.71359),(3635,5245,2.0765,0.70498),(3635,5255,1.9927,0.69692),(3635,5265,1.4043,0.68886),(3635,5275,0.795,0.68383),(3635,5285,0.18574,0.68393),(3635,5295,0.59024,0.68403),(3635,5305,1.2771,0.68236),(3635,5315,1.9639,0.67334),(3635,5325,2.2406,0.66432),(3635,5335,2.2485,0.65532),(3635,5345,2.2564,0.64748),(3635,5355,2.2608,0.63964),(3635,5365,2.2607,0.63179),(3635,5375,2.2605,0.62409),(3635,5385,2.1313,0.6164),(3635,5395,1.6097,0.60872),(3635,5405,1.0881,0.60488),(3635,5415,0.62226,0.60304),(3635,5425,0.90605,0.60119),(3635,5435,1.1899,0.59884),(3635,5445,1.4736,0.59595),(3635,5455,1.7497,0.59305),(3635,5465,2.0248,0.58961),(3635,5475,2.2999,0.58492),(3635,5485,2.3775,0.58023),(3635,5495,2.3756,0.57555),(3635,5505,2.3737,0.57096),(3635,5515,2.3718,0.56637),(3635,5525,2.37,0.56177),(3635,5535,2.3682,0.55727),(3635,5545,2.3664,0.55277),(3635,5555,2.3646,0.54827),(3635,5565,2.3628,0.54384),(3635,5575,2.3611,0.53942),(3635,5585,2.3594,0.53501),(3635,5595,2.3576,0.53063),(3635,5605,2.3559,0.52629),(3635,5615,2.3542,0.52194),(3635,5625,2.3526,0.51762),(3635,5635,2.3509,0.51334),(3635,5645,2.3493,0.50905),(3635,5655,2.3476,0.50477),(3635,5665,2.346,0.50053),(3635,5675,2.3444,0.49628),(3635,5685,2.3428,0.49204),(3635,5695,2.3412,0.48784),(3635,5705,2.3396,0.48364),(3635,5715,2.3381,0.47944),(3635,5725,2.3365,0.47527),(3635,5735,2.335,0.4711),(3635,5745,2.3335,0.46693),(3635,5755,2.332,0.46277),(3635,5765,2.3305,0.45861),(3635,5775,2.329,0.45446),(3635,5785,2.3275,0.45031),(3635,5795,2.326,0.44617),(3635,5805,2.3245,0.44204),(3635,5815,2.3231,0.4379),(3635,5825,2.3216,0.43378),(3635,5835,2.3202,0.42966),(3635,5845,2.3187,0.42554),(3635,5855,2.3173,0.42143),(3635,5865,2.3159,0.41733),(3635,5875,2.3145,0.41322),(3635,5885,2.313,0.40914),(3635,5895,2.3116,0.40506),(3635,5905,2.3102,0.40099),(3635,5915,2.3088,0.39692),(3635,5925,2.3074,0.39285),(3635,5935,2.306,0.38879),(3635,5945,2.3045,0.38474),(3635,5955,2.3031,0.3807),(3635,5965,2.3017,0.37667),(3635,5975,2.3003,0.37264),(3635,5985,2.2989,0.36861),(3635,5995,1.7574,0.36459),(3635,6005,1.1291,0.36154),(3635,6015,0.50068,0.36106),(3635,6025,0.65838,0.36059),(3635,6035,1.1806,0.35969),(3635,6045,1.7029,0.35467),(3635,6055,2.0646,0.34964),(3635,6065,2.2687,0.34462),(3635,6075,2.4729,0.33809),(3635,6085,2.6105,0.33141),(3635,6095,2.611,0.32474),(3635,6105,2.6115,0.31805),(3635,6115,2.612,0.31136),(3635,6125,2.6125,0.30466),(3635,6135,2.613,0.29801),(3635,6145,2.6135,0.29139),(3635,6155,2.6139,0.28477),(3635,6165,2.6143,0.27819),(3635,6175,2.6148,0.27166),(3635,6185,2.6151,0.26513),(3635,6195,2.6155,0.25862),(3635,6205,2.6159,0.25219),(3635,6215,2.6163,0.24576),(3635,6225,2.6166,0.23932),(3635,6235,2.617,0.23295),(3635,6245,2.6173,0.22657),(3635,6255,2.6176,0.2202),(3635,6265,2.6179,0.21387),(3635,6275,2.6181,0.20754),(3635,6285,2.6184,0.20122),(3635,6295,2.6186,0.19496),(3635,6305,2.6189,0.18872),(3635,6315,2.6191,0.18249),(3635,6325,2.6193,0.1763),(3635,6335,2.6195,0.17015),(3635,6345,2.6197,0.16401),(3635,6355,2.6199,0.1579),(3635,6365,2.6201,0.15186),(3635,6375,2.6202,0.14581),(3635,6385,2.6204,0.13978),(3635,6395,2.6205,0.13376),(3635,6405,2.6207,0.12775),(3635,6415,2.6208,0.12173),(3635,6425,2.6209,0.11573),(3635,6435,2.621,0.10972),(3635,6445,2.6211,0.10372),(3635,6455,2.6212,0.097806),(3635,6465,2.6213,0.091916),(3635,6475,2.6214,0.086027),(3635,6485,2.6215,0.080146),(3635,6495,2.6216,0.07427),(3635,6505,2.6216,0.068394),(3635,6515,2.6217,0.062535),(3635,6525,2.6217,0.056698),(3635,6535,2.6218,0.05086),(3635,6545,2.6218,0.045024),(3635,6555,2.6219,0.039189),(3635,6565,2.6219,0.033354),(3635,6575,2.6219,0.027524),(3635,6585,2.622,0.021775),(3635,6595,2.2302,0.016026),(3635,6605,1.4057,0.010277),(3635,6615,0.5812,0.009623),(3635,6625,0.001615,0.009625),(3635,6635,0.001614,0.009626),(3635,6645,0.001612,0.009623),(3635,6655,0.001611,0.009618),(3635,6665,0.001609,0.009613),(3635,6675,0.001608,0.009608),(3635,6685,0.001607,0.009603),(3635,6695,0.001606,0.009598),(3635,6705,0.001605,0.009592),(3635,6715,0.001604,0.009587),(3635,6725,0.001604,0.009581),(3635,6735,0.001603,0.009576),(3635,6745,0.001602,0.00957),(3635,6755,0.001602,0.009565),(3635,6765,0.001601,0.009559),(3635,6775,0.001601,0.009553),(3635,6785,0.0016,0.009547),(3635,6795,0.0016,0.009541),(3635,6805,0.0016,0.009534),(3635,6815,0.001599,0.009528),(3635,6825,0.001599,0.009522),(3635,6835,0.001599,0.009515),(3635,6845,0.001599,0.009509),(3635,6855,0.001599,0.009502),(3635,6865,0.001598,0.009496),(3635,6875,0.001598,0.009489),(3635,6885,0.001598,0.009482),(3635,6895,0.001598,0.009475),(3635,6905,0.001598,0.009468),(3635,6915,0.001598,0.009461),(3635,6925,0.001598,0.009454),(3635,6935,0.001598,0.009447),(3635,6945,0.001599,0.00944),(3635,6955,0.001599,0.009433),(3635,6965,0.001599,0.009426),(3635,6975,0.001599,0.009418),(3635,6985,0.001599,0.009411),(3645,5,5e-06,3.689),(3645,15,1.6e-05,3.689),(3645,25,2.6e-05,3.689),(3645,35,3.6e-05,3.689),(3645,45,4.6e-05,3.689),(3645,55,5.6e-05,3.689),(3645,65,6.6e-05,3.689),(3645,75,7.5e-05,3.689),(3645,85,8.5e-05,3.689),(3645,95,9.4e-05,3.689),(3645,105,0.000103,3.689),(3645,115,0.000112,3.689),(3645,125,0.00012,3.689),(3645,135,0.000129,3.689),(3645,145,0.000136,3.689),(3645,155,0.000144,3.689),(3645,165,0.000151,3.689),(3645,175,0.000158,3.689),(3645,185,0.000163,3.689),(3645,195,0.000169,3.6889),(3645,205,0.000174,3.6889),(3645,215,0.000179,3.6889),(3645,225,0.000182,3.6889),(3645,235,0.000184,3.6889),(3645,245,0.000187,3.6889),(3645,255,0.000189,3.6889),(3645,265,0.00019,3.6889),(3645,275,0.000189,3.6888),(3645,285,0.000189,3.6888),(3645,295,0.000188,3.6888),(3645,305,0.000185,3.6888),(3645,315,0.000181,3.6888),(3645,325,0.000177,3.6888),(3645,335,0.000173,3.6887),(3645,345,0.000165,3.6887),(3645,355,0.000157,3.6887),(3645,365,0.000149,3.6887),(3645,375,0.000141,3.6887),(3645,385,0.000128,3.6886),(3645,395,0.000115,3.6886),(3645,405,0.000103,3.6886),(3645,415,9e-05,3.6886),(3645,425,7.2e-05,3.6886),(3645,435,5.3e-05,3.6885),(3645,445,3.5e-05,3.6885),(3645,455,1.6e-05,3.6885),(3645,465,-9e-06,3.6885),(3645,475,-3.3e-05,3.6884),(3645,485,-5.8e-05,3.6884),(3645,495,-8.3e-05,3.6884),(3645,505,-0.000115,3.6883),(3645,515,-0.000148,3.6883),(3645,525,-0.00018,3.6883),(3645,535,-0.000212,3.6883),(3645,545,-0.000253,3.6882),(3645,555,-0.000293,3.6882),(3645,565,-0.000334,3.6882),(3645,575,-0.000375,3.6882),(3645,585,-0.000425,3.6881),(3645,595,-0.000475,3.6881),(3645,605,-0.000524,3.6881),(3645,615,-0.000575,3.688),(3645,625,-0.000636,3.688),(3645,635,-0.000696,3.688),(3645,645,-0.000756,3.6879),(3645,655,-0.000817,3.6879),(3645,665,-0.000889,3.6879),(3645,675,-0.000961,3.6879),(3645,685,-0.001032,3.6878),(3645,695,-0.001106,3.6878),(3645,705,-0.001191,3.6878),(3645,715,-0.001275,3.6877),(3645,725,-0.00136,3.6877),(3645,735,-0.001447,3.6877),(3645,745,-0.001546,3.6877),(3645,755,-0.001645,3.6876),(3645,765,-0.001744,3.6876),(3645,775,-0.001846,3.6876),(3645,785,-0.001961,3.6876),(3645,795,-0.002075,3.6875),(3645,805,-0.002189,3.6875),(3645,815,-0.002308,3.6875),(3645,825,-0.002439,3.6875),(3645,835,-0.00257,3.6874),(3645,845,-0.0027,3.6874),(3645,855,-0.002838,3.6874),(3645,865,-0.002986,3.6874),(3645,875,-0.003135,3.6874),(3645,885,-0.003284,3.6874),(3645,895,-0.003441,3.6874),(3645,905,-0.003609,3.6874),(3645,915,-0.003777,3.6874),(3645,925,-0.003945,3.6874),(3645,935,-0.004122,3.6874),(3645,945,-0.004311,3.6874),(3645,955,-0.004499,3.6874),(3645,965,-0.004687,3.6874),(3645,975,-0.004886,3.6874),(3645,985,-0.005096,3.6874),(3645,995,-0.005305,3.6874),(3645,1005,-0.005515,3.6875),(3645,1015,-0.005736,3.6875),(3645,1025,-0.005968,3.6875),(3645,1035,-0.006199,3.6875),(3645,1045,-0.006431,3.6876),(3645,1055,-0.006675,3.6876),(3645,1065,-0.006929,3.6877),(3645,1075,-0.007183,3.6877),(3645,1085,-0.007437,3.6878),(3645,1095,-0.007705,3.6879),(3645,1105,-0.007981,3.6879),(3645,1115,-0.008258,3.688),(3645,1125,-0.008535,3.6881),(3645,1135,-0.008825,3.6882),(3645,1145,-0.009124,3.6883),(3645,1155,-0.009423,3.6884),(3645,1165,-0.009721,3.6885),(3645,1175,-0.010034,3.6886),(3645,1185,-0.010354,3.6887),(3645,1195,-0.010675,3.6888),(3645,1205,-0.010995,3.689),(3645,1215,-0.011329,3.6891),(3645,1225,-0.01167,3.6893),(3645,1235,-0.012011,3.6894),(3645,1245,-0.012351,3.6896),(3645,1255,-0.012706,3.6898),(3645,1265,-0.013066,3.6899),(3645,1275,-0.013426,3.6901),(3645,1285,-0.013786,3.6903),(3645,1295,-0.01416,3.6905),(3645,1305,-0.014538,3.6908),(3645,1315,-0.014916,3.691),(3645,1325,-0.015294,3.6912),(3645,1335,-0.015685,3.6915),(3645,1345,-0.016079,3.6917),(3645,1355,-0.016473,3.692),(3645,1365,-0.016867,3.6923),(3645,1375,-0.017274,3.6925),(3645,1385,-0.017683,3.6928),(3645,1395,-0.018092,3.6931),(3645,1405,-0.018501,3.6934),(3645,1415,-0.018923,3.6937),(3645,1425,-0.019346,3.6941),(3645,1435,-0.019769,3.6944),(3645,1445,-0.020192,3.6948),(3645,1455,-0.020628,3.6951),(3645,1465,-0.021064,3.6955),(3645,1475,-0.0215,3.6958),(3645,1485,-0.021936,3.6962),(3645,1495,-0.022385,3.6966),(3645,1505,-0.022834,3.697),(3645,1515,-0.023283,3.6974),(3645,1525,-0.023733,3.6979),(3645,1535,-0.024196,3.6983),(3645,1545,-0.024659,3.6987),(3645,1555,-0.025122,3.6992),(3645,1565,-0.025585,3.6996),(3645,1575,-0.026064,3.7001),(3645,1585,-0.026542,3.7006),(3645,1595,-0.02702,3.7011),(3645,1605,-0.0275,3.7016),(3645,1615,-0.027995,3.7021),(3645,1625,-0.028491,3.7026),(3645,1635,-0.028987,3.7031),(3645,1645,-0.029485,3.7036),(3645,1655,-0.030001,3.7042),(3645,1665,-0.030517,3.7047),(3645,1675,-0.031034,3.7053),(3645,1685,-0.031554,3.7058),(3645,1695,-0.032095,3.7064),(3645,1705,-0.032636,3.707),(3645,1715,-0.033177,3.7076),(3645,1725,-0.033725,3.7082),(3645,1735,-0.034296,3.7088),(3645,1745,-0.034866,3.7094),(3645,1755,-0.035437,3.71),(3645,1765,-0.036018,3.7107),(3645,1775,-0.036625,3.7113),(3645,1785,-0.037232,3.712),(3645,1795,-0.03784,3.7127),(3645,1805,-0.03846,3.7133),(3645,1815,-0.039111,3.714),(3645,1825,-0.039762,3.7147),(3645,1835,-0.040414,3.7154),(3645,1845,-0.041083,3.7162),(3645,1855,-0.041786,3.7169),(3645,1865,-0.04249,3.7176),(3645,1875,-0.043194,3.7184),(3645,1885,-0.043921,3.7192),(3645,1895,-0.044687,3.72),(3645,1905,-0.045454,3.7208),(3645,1915,-0.04622,3.7216),(3645,1925,-0.047017,3.7224),(3645,1935,-0.047858,3.7232),(3645,1945,-0.048699,3.7241),(3645,1955,-0.049539,3.725),(3645,1965,-0.05042,3.7259),(3645,1975,-0.051349,3.7267),(3645,1985,-0.052277,3.7277),(3645,1995,-0.053206,3.7286),(3645,2005,-0.054186,3.7296),(3645,2015,-0.055218,3.7305),(3645,2025,-0.05625,3.7315),(3645,2035,-0.057281,3.7326),(3645,2045,-0.058379,3.7336),(3645,2055,-0.059532,3.7347),(3645,2065,-0.060685,3.7357),(3645,2075,-0.061838,3.7369),(3645,2085,-0.063073,3.738),(3645,2095,-0.064368,3.7392),(3645,2105,-0.065663,3.7404),(3645,2115,-0.066958,3.7416),(3645,2125,-0.068356,3.7429),(3645,2135,-0.069817,3.7442),(3645,2145,-0.071278,3.7455),(3645,2155,-0.072739,3.7469),(3645,2165,-0.074328,3.7483),(3645,2175,-0.075983,3.7498),(3645,2185,-0.077638,3.7513),(3645,2195,-0.079293,3.7529),(3645,2205,-0.081106,3.7545),(3645,2215,-0.082987,3.7561),(3645,2225,-0.084868,3.7578),(3645,2235,-0.086748,3.7596),(3645,2245,-0.088824,3.7614),(3645,2255,-0.090968,3.7633),(3645,2265,-0.093112,3.7653),(3645,2275,-0.095256,3.7674),(3645,2285,-0.097637,3.7695),(3645,2295,-0.10009,3.7716),(3645,2305,-0.10254,3.774),(3645,2315,-0.10499,3.7764),(3645,2325,-0.10772,3.7789),(3645,2335,-0.11053,3.7813),(3645,2345,-0.11333,3.7842),(3645,2355,-0.11613,3.7871),(3645,2365,-0.11928,3.79),(3645,2375,-0.12249,3.7929),(3645,2385,-0.1257,3.7964),(3645,2395,-0.12891,3.7999),(3645,2405,-0.13252,3.8034),(3645,2415,-0.13619,3.8069),(3645,2425,-0.13986,3.8111),(3645,2435,-0.14353,3.8154),(3645,2445,-0.14767,3.8197),(3645,2455,-0.15184,3.824),(3645,2465,-0.15602,3.8293),(3645,2475,-0.16019,3.8346),(3645,2485,-0.16489,3.8399),(3645,2495,-0.1696,3.8452),(3645,2505,-0.17432,3.8519),(3645,2515,-0.17904,3.8586),(3645,2525,-0.18427,3.8653),(3645,2535,-0.1895,3.8721),(3645,2545,-0.19473,3.8806),(3645,2555,-0.19999,3.8891),(3645,2565,-0.20562,3.8977),(3645,2575,-0.21124,3.9064),(3645,2585,-0.21687,3.9174),(3645,2595,-0.22251,3.9285),(3645,2605,-0.22819,3.9395),(3645,2615,-0.23387,3.9509),(3645,2625,-0.23955,3.9652),(3645,2635,-0.24514,3.9796),(3645,2645,-0.25011,3.9939),(3645,2655,-0.25508,4.0089),(3645,2665,-0.26005,4.0275),(3645,2675,-0.26463,4.0461),(3645,2685,-0.26732,4.0646),(3645,2695,-0.27001,4.0842),(3645,2705,-0.2727,4.1077),(3645,2715,-0.27428,4.1312),(3645,2725,-0.27173,4.1547),(3645,2735,-0.26918,4.1792),(3645,2745,-0.26663,4.2069),(3645,2755,-0.26122,4.2346),(3645,2765,-0.24733,4.2623),(3645,2775,-0.23344,4.289),(3645,2785,-0.21955,4.3127),(3645,2795,-0.20387,4.3365),(3645,2805,-0.18383,4.3602),(3645,2815,-0.16379,4.3822),(3645,2825,-0.14376,4.4003),(3645,2835,-0.1228,4.4185),(3645,2845,-0.099981,4.4367),(3645,2855,-0.077164,4.453),(3645,2865,-0.054347,4.4662),(3645,2875,-0.031134,4.4793),(3645,2885,-0.007251,4.4924),(3645,2895,0.016633,4.5039),(3645,2905,0.040516,4.5129),(3645,2915,0.064511,4.5219),(3645,2925,0.088668,4.5309),(3645,2935,0.11282,4.5385),(3645,2945,0.13698,4.5442),(3645,2955,0.16112,4.5499),(3645,2965,0.18524,4.5556),(3645,2975,0.20936,4.5601),(3645,2985,0.23348,4.5631),(3645,2995,0.25755,4.5662),(3645,3005,0.28158,4.5692),(3645,3015,0.3056,4.5711),(3645,3025,0.32962,4.5719),(3645,3035,0.35363,4.5728),(3645,3045,0.37762,4.5736),(3645,3055,0.40161,4.5733),(3645,3065,0.4256,4.5722),(3645,3075,0.44964,4.571),(3645,3085,0.47372,4.5699),(3645,3095,0.49781,4.5677),(3645,3105,0.52189,4.5647),(3645,3115,0.54613,4.5618),(3645,3125,0.57048,4.5588),(3645,3135,0.59482,4.5548),(3645,3145,0.61916,4.5501),(3645,3155,0.64378,4.5454),(3645,3165,0.66857,4.5407),(3645,3175,0.69335,4.5349),(3645,3185,0.71813,4.5284),(3645,3195,0.74335,4.5219),(3645,3205,0.76876,4.5154),(3645,3215,0.79418,4.5076),(3645,3225,0.81959,4.4992),(3645,3235,0.84562,4.4908),(3645,3245,0.87188,4.4824),(3645,3255,0.89814,4.4723),(3645,3265,0.9244,4.4618),(3645,3275,0.95147,4.4512),(3645,3285,0.97878,4.4406),(3645,3295,1.0061,4.428),(3645,3305,1.0334,4.4149),(3645,3315,1.0617,4.4018),(3645,3325,1.0903,4.3886),(3645,3335,1.1189,4.3729),(3645,3345,1.1475,4.3567),(3645,3355,1.1773,4.3405),(3645,3365,1.2073,4.3243),(3645,3375,1.2373,4.3047),(3645,3385,1.2673,4.2846),(3645,3395,1.2987,4.2644),(3645,3405,1.3303,4.2443),(3645,3415,1.3618,4.2197),(3645,3425,1.3934,4.1946),(3645,3435,1.4263,4.1695),(3645,3445,1.4593,4.1444),(3645,3455,1.4923,4.1132),(3645,3465,1.5253,4.0816),(3645,3475,1.5593,4.05),(3645,3485,1.5932,4.0184),(3645,3495,1.6272,3.9783),(3645,3505,1.6611,3.9381),(3645,3515,1.6947,3.8979),(3645,3525,1.7282,3.8575),(3645,3535,1.7618,3.806),(3645,3545,1.7951,3.7546),(3645,3555,1.8251,3.7031),(3645,3565,1.8551,3.6508),(3645,3575,1.8851,3.5854),(3645,3585,1.9142,3.52),(3645,3595,1.9337,3.4546),(3645,3605,1.9533,3.3878),(3645,3615,1.9729,3.3083),(3645,3625,1.9894,3.2287),(3645,3635,1.9843,3.1492),(3645,3645,1.9791,3.0697),(3645,3655,1.974,2.9901),(3645,3665,1.9639,2.9104),(3645,3675,1.9288,2.8308),(3645,3685,1.8937,2.7554),(3645,3695,1.8585,2.6993),(3645,3705,1.8232,2.6432),(3645,3715,1.7871,2.5871),(3645,3725,1.7509,2.5339),(3645,3735,1.7148,2.4913),(3645,3745,1.679,2.4487),(3645,3755,1.6441,2.4061),(3645,3765,1.6093,2.3658),(3645,3775,1.5744,2.3324),(3645,3785,1.5401,2.2989),(3645,3795,1.5075,2.2655),(3645,3805,1.4748,2.2341),(3645,3815,1.4422,2.2074),(3645,3825,1.4104,2.1807),(3645,3835,1.3803,2.154),(3645,3845,1.3503,2.1291),(3645,3855,1.3202,2.1078),(3645,3865,1.2911,2.0864),(3645,3875,1.2637,2.0651),(3645,3885,1.2363,2.0455),(3645,3895,1.2089,2.0286),(3645,3905,1.1825,2.0118),(3645,3915,1.1574,1.995),(3645,3925,1.1324,1.9798),(3645,3935,1.1074,1.9671),(3645,3945,1.0832,1.9543),(3645,3955,1.0601,1.9415),(3645,3965,1.037,1.9305),(3645,3975,1.0139,1.9214),(3645,3985,0.99139,1.9124),(3645,3995,0.96951,1.9034),(3645,4005,0.94763,1.8958),(3645,4015,0.92576,1.8898),(3645,4025,1.2324,1.8838),(3645,4035,1.5713,1.8756),(3645,4045,1.9101,1.8629),(3645,4055,2.151,1.8502),(3645,4065,2.3563,1.8369),(3645,4075,2.5615,1.8196),(3645,4085,2.6506,1.8023),(3645,4095,2.6463,1.785),(3645,4105,2.642,1.7682),(3645,4115,2.5551,1.7514),(3645,4125,2.3312,1.7347),(3645,4135,2.1072,1.7222),(3645,4145,1.8809,1.711),(3645,4155,1.6451,1.6998),(3645,4165,1.4093,1.6923),(3645,4175,1.1867,1.6872),(3645,4185,1.6163,1.6821),(3645,4195,2.0458,1.6725),(3645,4205,2.4754,1.6571),(3645,4215,2.5392,1.6417),(3645,4225,2.5342,1.6263),(3645,4235,2.5293,1.611),(3645,4245,2.5052,1.5957),(3645,4255,2.4716,1.5803),(3645,4265,2.4379,1.5632),(3645,4275,2.1437,1.5462),(3645,4285,1.5728,1.5291),(3645,4295,1.002,1.5262),(3645,4305,0.7614,1.525),(3645,4315,1.2664,1.5238),(3645,4325,1.7715,1.5143),(3645,4335,2.2201,1.5015),(3645,4345,2.2868,1.4886),(3645,4355,2.3535,1.475),(3645,4365,2.4202,1.4606),(3645,4375,2.4225,1.4462),(3645,4385,2.4214,1.4318),(3645,4395,2.4204,1.4173),(3645,4405,2.127,1.4029),(3645,4415,1.7474,1.3901),(3645,4425,1.3678,1.3847),(3645,4435,1.2055,1.3792),(3645,4445,1.1917,1.3737),(3645,4455,1.1779,1.3688),(3645,4465,1.3257,1.3638),(3645,4475,1.7005,1.3589),(3645,4485,2.0752,1.347),(3645,4495,2.3609,1.3337),(3645,4505,2.3603,1.3204),(3645,4515,2.3598,1.3071),(3645,4525,2.3546,1.294),(3645,4535,2.2758,1.2808),(3645,4545,2.1969,1.2684),(3645,4555,2.1181,1.2567),(3645,4565,1.6211,1.245),(3645,4575,1.0678,1.2368),(3645,4585,0.51452,1.237),(3645,4595,0.76188,1.2371),(3645,4605,1.3475,1.2356),(3645,4615,1.9332,1.2207),(3645,4625,2.2249,1.2058),(3645,4635,2.2505,1.191),(3645,4645,2.2761,1.1784),(3645,4655,2.2935,1.166),(3645,4665,2.2952,1.1536),(3645,4675,2.2969,1.1414),(3645,4685,2.2191,1.1293),(3645,4695,1.7481,1.1172),(3645,4705,1.277,1.1102),(3645,4715,0.80593,1.1069),(3645,4725,1.0268,1.1036),(3645,4735,1.2546,1.0989),(3645,4745,1.4824,1.092),(3645,4755,1.7154,1.0851),(3645,4765,1.9497,1.0773),(3645,4775,2.1839,1.0665),(3645,4785,2.2698,1.0557),(3645,4795,2.2701,1.0449),(3645,4805,2.2703,1.0342),(3645,4815,2.1614,1.0236),(3645,4825,1.9219,1.013),(3645,4835,1.6824,1.0057),(3645,4845,1.4399,0.999),(3645,4855,1.1895,0.99226),(3645,4865,0.93916,0.98829),(3645,4875,0.76141,0.98558),(3645,4885,1.2443,0.98287),(3645,4895,1.7271,0.97607),(3645,4905,2.21,0.96535),(3645,4915,2.2485,0.95463),(3645,4925,2.2489,0.94391),(3645,4935,2.2493,0.93322),(3645,4945,2.2386,0.92252),(3645,4955,2.2242,0.91156),(3645,4965,2.2098,0.89918),(3645,4975,1.8433,0.8868),(3645,4985,1.205,0.87443),(3645,4995,0.56673,0.8741),(3645,5005,0.36311,0.87408),(3645,5015,0.85047,0.87407),(3645,5025,1.3378,0.86789),(3645,5035,1.7577,0.86015),(3645,5045,1.9202,0.85241),(3645,5055,2.0828,0.84308),(3645,5065,2.2405,0.83277),(3645,5075,2.2415,0.82246),(3645,5085,2.2426,0.81223),(3645,5095,2.2436,0.80209),(3645,5105,1.961,0.79196),(3645,5115,1.6289,0.78317),(3645,5125,1.2969,0.77815),(3645,5135,1.129,0.77314),(3645,5145,1.0408,0.76827),(3645,5155,0.95263,0.76483),(3645,5165,1.1181,0.7614),(3645,5175,1.5424,0.75796),(3645,5185,1.9667,0.74917),(3645,5195,2.2566,0.73983),(3645,5205,2.2571,0.73048),(3645,5215,2.2576,0.72125),(3645,5225,2.2464,0.71206),(3645,5235,2.1625,0.70288),(3645,5245,2.0786,0.69435),(3645,5255,1.9948,0.68637),(3645,5265,1.4056,0.67839),(3645,5275,0.79562,0.67341),(3645,5285,0.18563,0.67351),(3645,5295,0.5906,0.67362),(3645,5305,1.2782,0.67199),(3645,5315,1.9658,0.6631),(3645,5325,2.2427,0.65421),(3645,5335,2.2502,0.64534),(3645,5345,2.2576,0.63759),(3645,5355,2.2619,0.62985),(3645,5365,2.2616,0.62211),(3645,5375,2.2614,0.6145),(3645,5385,2.1321,0.60691),(3645,5395,1.6102,0.59933),(3645,5405,1.0883,0.59554),(3645,5415,0.62227,0.59373),(3645,5425,0.9056,0.59191),(3645,5435,1.1889,0.58962),(3645,5445,1.4723,0.5868),(3645,5455,1.748,0.58398),(3645,5465,2.0229,0.58064),(3645,5475,2.2977,0.57607),(3645,5485,2.3752,0.5715),(3645,5495,2.3733,0.56694),(3645,5505,2.3714,0.56247),(3645,5515,2.3695,0.558),(3645,5525,2.3676,0.55352),(3645,5535,2.3658,0.54913),(3645,5545,2.364,0.54474),(3645,5555,2.3622,0.54035),(3645,5565,2.3604,0.53602),(3645,5575,2.3586,0.53171),(3645,5585,2.3569,0.5274),(3645,5595,2.3552,0.52313),(3645,5605,2.3534,0.51889),(3645,5615,2.3518,0.51464),(3645,5625,2.3501,0.51041),(3645,5635,2.3484,0.50622),(3645,5645,2.3467,0.50203),(3645,5655,2.3451,0.49785),(3645,5665,2.3435,0.49369),(3645,5675,2.3419,0.48954),(3645,5685,2.3403,0.48539),(3645,5695,2.3387,0.48127),(3645,5705,2.3371,0.47716),(3645,5715,2.3355,0.47304),(3645,5725,2.334,0.46895),(3645,5735,2.3324,0.46486),(3645,5745,2.3309,0.46078),(3645,5755,2.3294,0.45669),(3645,5765,2.3279,0.45261),(3645,5775,2.3264,0.44853),(3645,5785,2.3249,0.44446),(3645,5795,2.3234,0.4404),(3645,5805,2.322,0.43633),(3645,5815,2.3205,0.43227),(3645,5825,2.319,0.42822),(3645,5835,2.3176,0.42417),(3645,5845,2.3162,0.42011),(3645,5855,2.3147,0.41607),(3645,5865,2.3133,0.41203),(3645,5875,2.3119,0.40799),(3645,5885,2.3105,0.40397),(3645,5895,2.309,0.39996),(3645,5905,2.3076,0.39594),(3645,5915,2.3062,0.39193),(3645,5925,2.3048,0.38792),(3645,5935,2.3034,0.38392),(3645,5945,2.302,0.37992),(3645,5955,2.3006,0.37594),(3645,5965,2.2992,0.37196),(3645,5975,2.2978,0.36799),(3645,5985,2.2964,0.36402),(3645,5995,1.7555,0.36005),(3645,6005,1.1278,0.35704),(3645,6015,0.50008,0.35658),(3645,6025,0.65808,0.35612),(3645,6035,1.1805,0.35523),(3645,6045,1.7029,0.35027),(3645,6055,2.0646,0.3453),(3645,6065,2.2687,0.34033),(3645,6075,2.4729,0.33386),(3645,6085,2.6105,0.32726),(3645,6095,2.611,0.32066),(3645,6105,2.6115,0.31404),(3645,6115,2.612,0.30742),(3645,6125,2.6125,0.3008),(3645,6135,2.6129,0.29421),(3645,6145,2.6134,0.28766),(3645,6155,2.6138,0.28111),(3645,6165,2.6142,0.27459),(3645,6175,2.6146,0.26814),(3645,6185,2.615,0.26168),(3645,6195,2.6154,0.25524),(3645,6205,2.6157,0.24888),(3645,6215,2.6161,0.24251),(3645,6225,2.6164,0.23615),(3645,6235,2.6167,0.22985),(3645,6245,2.617,0.22355),(3645,6255,2.6173,0.21724),(3645,6265,2.6175,0.21099),(3645,6275,2.6178,0.20474),(3645,6285,2.618,0.19849),(3645,6295,2.6183,0.1923),(3645,6305,2.6185,0.18614),(3645,6315,2.6187,0.17999),(3645,6325,2.6189,0.17388),(3645,6335,2.6191,0.16781),(3645,6345,2.6192,0.16174),(3645,6355,2.6194,0.15571),(3645,6365,2.6196,0.14975),(3645,6375,2.6197,0.14379),(3645,6385,2.6198,0.13783),(3645,6395,2.6199,0.1319),(3645,6405,2.62,0.12597),(3645,6415,2.6201,0.12004),(3645,6425,2.6202,0.11412),(3645,6435,2.6203,0.1082),(3645,6445,2.6204,0.10229),(3645,6455,2.6205,0.09646),(3645,6465,2.6206,0.090657),(3645,6475,2.6207,0.084853),(3645,6485,2.6207,0.079059),(3645,6495,2.6208,0.073271),(3645,6505,2.6208,0.067484),(3645,6515,2.6209,0.061714),(3645,6525,2.6209,0.055967),(3645,6535,2.621,0.050221),(3645,6545,2.621,0.044475),(3645,6555,2.6211,0.038731),(3645,6565,2.6211,0.032986),(3645,6575,2.6211,0.027247),(3645,6585,2.6211,0.021591),(3645,6595,2.2294,0.015935),(3645,6605,1.4052,0.010279),(3645,6615,0.58102,0.009632),(3645,6625,0.001616,0.009629),(3645,6635,0.001614,0.009626),(3645,6645,0.001613,0.009622),(3645,6655,0.001611,0.009617),(3645,6665,0.00161,0.009612),(3645,6675,0.001609,0.009607),(3645,6685,0.001608,0.009602),(3645,6695,0.001607,0.009597),(3645,6705,0.001607,0.009591),(3645,6715,0.001606,0.009586),(3645,6725,0.001605,0.009581),(3645,6735,0.001604,0.009575),(3645,6745,0.001604,0.00957),(3645,6755,0.001603,0.009564),(3645,6765,0.001603,0.009558),(3645,6775,0.001602,0.009552),(3645,6785,0.001602,0.009546),(3645,6795,0.001602,0.00954),(3645,6805,0.001602,0.009534),(3645,6815,0.001601,0.009528),(3645,6825,0.001601,0.009522),(3645,6835,0.001601,0.009515),(3645,6845,0.001601,0.009509),(3645,6855,0.001601,0.009502),(3645,6865,0.001601,0.009496),(3645,6875,0.001601,0.009489),(3645,6885,0.001601,0.009482),(3645,6895,0.001601,0.009475),(3645,6905,0.001601,0.009468),(3645,6915,0.001601,0.009461),(3645,6925,0.001601,0.009454),(3645,6935,0.001601,0.009447),(3645,6945,0.001602,0.00944),(3645,6955,0.001602,0.009433),(3645,6965,0.001602,0.009426),(3645,6975,0.001602,0.009418),(3645,6985,0.001602,0.009411),(3655,5,5e-06,3.6891),(3655,15,1.6e-05,3.6891),(3655,25,2.7e-05,3.6891),(3655,35,3.7e-05,3.6891),(3655,45,4.8e-05,3.6891),(3655,55,5.8e-05,3.6891),(3655,65,6.9e-05,3.689),(3655,75,7.9e-05,3.689),(3655,85,8.9e-05,3.689),(3655,95,9.8e-05,3.689),(3655,105,0.000108,3.689),(3655,115,0.000117,3.689),(3655,125,0.000126,3.689),(3655,135,0.000135,3.689),(3655,145,0.000143,3.689),(3655,155,0.00015,3.689),(3655,165,0.000158,3.689),(3655,175,0.000165,3.689),(3655,185,0.000171,3.689),(3655,195,0.000177,3.689),(3655,205,0.000183,3.6889),(3655,215,0.000188,3.6889),(3655,225,0.000192,3.6889),(3655,235,0.000195,3.6889),(3655,245,0.000198,3.6889),(3655,255,0.000201,3.6889),(3655,265,0.000201,3.6889),(3655,275,0.000201,3.6888),(3655,285,0.000201,3.6888),(3655,295,0.000201,3.6888),(3655,305,0.000198,3.6888),(3655,315,0.000195,3.6888),(3655,325,0.000191,3.6888),(3655,335,0.000187,3.6887),(3655,345,0.00018,3.6887),(3655,355,0.000173,3.6887),(3655,365,0.000165,3.6887),(3655,375,0.000157,3.6887),(3655,385,0.000146,3.6886),(3655,395,0.000133,3.6886),(3655,405,0.000121,3.6886),(3655,415,0.000108,3.6886),(3655,425,9.1e-05,3.6885),(3655,435,7.2e-05,3.6885),(3655,445,5.4e-05,3.6885),(3655,455,3.6e-05,3.6885),(3655,465,1.2e-05,3.6884),(3655,475,-1.2e-05,3.6884),(3655,485,-3.7e-05,3.6884),(3655,495,-6.1e-05,3.6883),(3655,505,-9.3e-05,3.6883),(3655,515,-0.000125,3.6883),(3655,525,-0.000157,3.6883),(3655,535,-0.000189,3.6882),(3655,545,-0.000229,3.6882),(3655,555,-0.000269,3.6882),(3655,565,-0.000309,3.6881),(3655,575,-0.00035,3.6881),(3655,585,-0.0004,3.6881),(3655,595,-0.000449,3.688),(3655,605,-0.000499,3.688),(3655,615,-0.00055,3.688),(3655,625,-0.00061,3.688),(3655,635,-0.00067,3.6879),(3655,645,-0.00073,3.6879),(3655,655,-0.000792,3.6879),(3655,665,-0.000863,3.6878),(3655,675,-0.000935,3.6878),(3655,685,-0.001006,3.6878),(3655,695,-0.00108,3.6877),(3655,705,-0.001165,3.6877),(3655,715,-0.00125,3.6877),(3655,725,-0.001334,3.6876),(3655,735,-0.001422,3.6876),(3655,745,-0.001521,3.6876),(3655,755,-0.001621,3.6875),(3655,765,-0.00172,3.6875),(3655,775,-0.001823,3.6875),(3655,785,-0.001938,3.6874),(3655,795,-0.002053,3.6874),(3655,805,-0.002168,3.6874),(3655,815,-0.002288,3.6874),(3655,825,-0.00242,3.6873),(3655,835,-0.002551,3.6873),(3655,845,-0.002683,3.6873),(3655,855,-0.002822,3.6873),(3655,865,-0.002972,3.6873),(3655,875,-0.003122,3.6872),(3655,885,-0.003273,3.6872),(3655,895,-0.003431,3.6872),(3655,905,-0.003601,3.6872),(3655,915,-0.003771,3.6872),(3655,925,-0.003941,3.6872),(3655,935,-0.00412,3.6872),(3655,945,-0.004311,3.6872),(3655,955,-0.004502,3.6872),(3655,965,-0.004692,3.6872),(3655,975,-0.004894,3.6872),(3655,985,-0.005106,3.6872),(3655,995,-0.005319,3.6872),(3655,1005,-0.005532,3.6872),(3655,1015,-0.005756,3.6873),(3655,1025,-0.005991,3.6873),(3655,1035,-0.006227,3.6873),(3655,1045,-0.006462,3.6873),(3655,1055,-0.00671,3.6874),(3655,1065,-0.006968,3.6874),(3655,1075,-0.007226,3.6875),(3655,1085,-0.007484,3.6875),(3655,1095,-0.007756,3.6876),(3655,1105,-0.008038,3.6876),(3655,1115,-0.008319,3.6877),(3655,1125,-0.008601,3.6878),(3655,1135,-0.008897,3.6879),(3655,1145,-0.009201,3.688),(3655,1155,-0.009505,3.688),(3655,1165,-0.009809,3.6882),(3655,1175,-0.010128,3.6883),(3655,1185,-0.010454,3.6884),(3655,1195,-0.010781,3.6885),(3655,1205,-0.011107,3.6886),(3655,1215,-0.011448,3.6888),(3655,1225,-0.011795,3.6889),(3655,1235,-0.012143,3.6891),(3655,1245,-0.01249,3.6892),(3655,1255,-0.012852,3.6894),(3655,1265,-0.013219,3.6896),(3655,1275,-0.013586,3.6898),(3655,1285,-0.013954,3.69),(3655,1295,-0.014335,3.6902),(3655,1305,-0.01472,3.6904),(3655,1315,-0.015106,3.6906),(3655,1325,-0.015491,3.6908),(3655,1335,-0.01589,3.6911),(3655,1345,-0.016292,3.6913),(3655,1355,-0.016694,3.6916),(3655,1365,-0.017095,3.6918),(3655,1375,-0.01751,3.6921),(3655,1385,-0.017927,3.6924),(3655,1395,-0.018344,3.6927),(3655,1405,-0.018762,3.693),(3655,1415,-0.019191,3.6933),(3655,1425,-0.019622,3.6936),(3655,1435,-0.020053,3.694),(3655,1445,-0.020484,3.6943),(3655,1455,-0.020928,3.6947),(3655,1465,-0.021372,3.695),(3655,1475,-0.021816,3.6954),(3655,1485,-0.02226,3.6958),(3655,1495,-0.022717,3.6962),(3655,1505,-0.023174,3.6965),(3655,1515,-0.023631,3.697),(3655,1525,-0.024089,3.6974),(3655,1535,-0.024559,3.6978),(3655,1545,-0.02503,3.6982),(3655,1555,-0.025501,3.6987),(3655,1565,-0.025972,3.6992),(3655,1575,-0.026458,3.6996),(3655,1585,-0.026944,3.7001),(3655,1595,-0.02743,3.7006),(3655,1605,-0.027918,3.7011),(3655,1615,-0.028421,3.7015),(3655,1625,-0.028924,3.702),(3655,1635,-0.029427,3.7026),(3655,1645,-0.029934,3.7031),(3655,1655,-0.030457,3.7036),(3655,1665,-0.030981,3.7042),(3655,1675,-0.031505,3.7047),(3655,1685,-0.032033,3.7053),(3655,1695,-0.032582,3.7058),(3655,1705,-0.033131,3.7064),(3655,1715,-0.03368,3.707),(3655,1725,-0.034235,3.7076),(3655,1735,-0.034814,3.7082),(3655,1745,-0.035393,3.7088),(3655,1755,-0.035973,3.7094),(3655,1765,-0.036561,3.7101),(3655,1775,-0.037177,3.7107),(3655,1785,-0.037793,3.7114),(3655,1795,-0.038409,3.712),(3655,1805,-0.039039,3.7127),(3655,1815,-0.039699,3.7134),(3655,1825,-0.04036,3.7141),(3655,1835,-0.04102,3.7148),(3655,1845,-0.041699,3.7155),(3655,1855,-0.042413,3.7162),(3655,1865,-0.043127,3.7169),(3655,1875,-0.043841,3.7177),(3655,1885,-0.04458,3.7184),(3655,1895,-0.045358,3.7192),(3655,1905,-0.046136,3.72),(3655,1915,-0.046914,3.7208),(3655,1925,-0.047724,3.7216),(3655,1935,-0.048578,3.7224),(3655,1945,-0.049433,3.7232),(3655,1955,-0.050287,3.7241),(3655,1965,-0.051183,3.7249),(3655,1975,-0.052127,3.7258),(3655,1985,-0.053072,3.7267),(3655,1995,-0.054016,3.7276),(3655,2005,-0.055014,3.7285),(3655,2015,-0.056065,3.7295),(3655,2025,-0.057115,3.7304),(3655,2035,-0.058166,3.7315),(3655,2045,-0.059284,3.7325),(3655,2055,-0.06046,3.7335),(3655,2065,-0.061636,3.7345),(3655,2075,-0.062812,3.7356),(3655,2085,-0.064073,3.7367),(3655,2095,-0.065396,3.7378),(3655,2105,-0.066718,3.739),(3655,2115,-0.068041,3.7402),(3655,2125,-0.06947,3.7414),(3655,2135,-0.070965,3.7427),(3655,2145,-0.07246,3.744),(3655,2155,-0.073955,3.7453),(3655,2165,-0.075583,3.7467),(3655,2175,-0.07728,3.748),(3655,2185,-0.078977,3.7495),(3655,2195,-0.080674,3.751),(3655,2205,-0.082536,3.7526),(3655,2215,-0.084469,3.7541),(3655,2225,-0.086403,3.7558),(3655,2235,-0.088336,3.7575),(3655,2245,-0.090474,3.7593),(3655,2255,-0.092684,3.761),(3655,2265,-0.094894,3.763),(3655,2275,-0.097105,3.765),(3655,2285,-0.099566,3.767),(3655,2295,-0.1021,3.769),(3655,2305,-0.10463,3.7713),(3655,2315,-0.10717,3.7736),(3655,2325,-0.11001,3.776),(3655,2335,-0.11292,3.7783),(3655,2345,-0.11583,3.7811),(3655,2355,-0.11874,3.7839),(3655,2365,-0.12203,3.7867),(3655,2375,-0.12538,3.7895),(3655,2385,-0.12873,3.7928),(3655,2395,-0.13208,3.7962),(3655,2405,-0.13588,3.7995),(3655,2415,-0.13973,3.8029),(3655,2425,-0.14358,3.807),(3655,2435,-0.14744,3.8111),(3655,2445,-0.15182,3.8152),(3655,2455,-0.15624,3.8194),(3655,2465,-0.16067,3.8245),(3655,2475,-0.16509,3.8296),(3655,2485,-0.17012,3.8348),(3655,2495,-0.17516,3.8399),(3655,2505,-0.18021,3.8464),(3655,2515,-0.18526,3.8529),(3655,2525,-0.19094,3.8594),(3655,2535,-0.19662,3.866),(3655,2545,-0.2023,3.8744),(3655,2555,-0.20801,3.8827),(3655,2565,-0.21424,3.8911),(3655,2575,-0.22048,3.8997),(3655,2585,-0.22671,3.9106),(3655,2595,-0.23297,3.9215),(3655,2605,-0.23946,3.9324),(3655,2615,-0.24595,3.9438),(3655,2625,-0.25244,3.9582),(3655,2635,-0.25887,3.9726),(3655,2645,-0.26488,3.987),(3655,2655,-0.27089,4.0021),(3655,2665,-0.2769,4.0212),(3655,2675,-0.28254,4.0403),(3655,2685,-0.28644,4.0594),(3655,2695,-0.29034,4.0796),(3655,2705,-0.29424,4.1045),(3655,2715,-0.29699,4.1294),(3655,2725,-0.29547,4.1543),(3655,2735,-0.29394,4.1807),(3655,2745,-0.29242,4.2122),(3655,2755,-0.28754,4.2437),(3655,2765,-0.27273,4.2752),(3655,2775,-0.25791,4.305),(3655,2785,-0.2431,4.3305),(3655,2795,-0.22638,4.356),(3655,2805,-0.20502,4.3814),(3655,2815,-0.18366,4.4048),(3655,2825,-0.1623,4.4236),(3655,2835,-0.14007,4.4424),(3655,2845,-0.11607,4.4612),(3655,2855,-0.092062,4.4781),(3655,2865,-0.068059,4.4914),(3655,2875,-0.043746,4.5046),(3655,2885,-0.018905,4.5179),(3655,2895,0.005935,4.5295),(3655,2905,0.030775,4.5385),(3655,2915,0.055644,4.5475),(3655,2925,0.080553,4.5565),(3655,2935,0.10546,4.564),(3655,2945,0.13037,4.5696),(3655,2955,0.15519,4.5753),(3655,2965,0.17991,4.5809),(3655,2975,0.20463,4.5853),(3655,2985,0.22935,4.5882),(3655,2995,0.25397,4.5912),(3655,3005,0.27848,4.5942),(3655,3015,0.303,4.596),(3655,3025,0.32751,4.5968),(3655,3035,0.35197,4.5976),(3655,3045,0.37638,4.5983),(3655,3055,0.4008,4.5981),(3655,3065,0.42521,4.5969),(3655,3075,0.44965,4.5958),(3655,3085,0.47412,4.5947),(3655,3095,0.49859,4.5925),(3655,3105,0.52305,4.5896),(3655,3115,0.54767,4.5867),(3655,3125,0.57238,4.5838),(3655,3135,0.59709,4.5799),(3655,3145,0.6218,4.5753),(3655,3155,0.64681,4.5708),(3655,3165,0.67197,4.5662),(3655,3175,0.69713,4.5605),(3655,3185,0.72229,4.5541),(3655,3195,0.74791,4.5478),(3655,3205,0.77374,4.5415),(3655,3215,0.79957,4.5339),(3655,3225,0.82539,4.5258),(3655,3235,0.85188,4.5176),(3655,3245,0.87861,4.5094),(3655,3255,0.90534,4.4997),(3655,3265,0.93207,4.4894),(3655,3275,0.95968,4.4792),(3655,3285,0.98756,4.4689),(3655,3295,1.0154,4.4567),(3655,3305,1.0433,4.4439),(3655,3315,1.0723,4.4312),(3655,3325,1.1016,4.4184),(3655,3335,1.1309,4.4032),(3655,3345,1.1601,4.3874),(3655,3355,1.1908,4.3716),(3655,3365,1.2217,4.3558),(3655,3375,1.2526,4.3367),(3655,3385,1.2835,4.3171),(3655,3395,1.316,4.2976),(3655,3405,1.3487,4.278),(3655,3415,1.3815,4.2539),(3655,3425,1.4142,4.2293),(3655,3435,1.4486,4.2048),(3655,3445,1.4831,4.1802),(3655,3455,1.5177,4.1494),(3655,3465,1.5522,4.1183),(3655,3475,1.5882,4.0872),(3655,3485,1.6242,4.0561),(3655,3495,1.6602,4.0162),(3655,3505,1.6962,3.9762),(3655,3515,1.7324,3.9362),(3655,3525,1.7687,3.8959),(3655,3535,1.8049,3.8439),(3655,3545,1.841,3.7918),(3655,3555,1.8744,3.7398),(3655,3565,1.9077,3.6867),(3655,3575,1.9411,3.6187),(3655,3585,1.9735,3.5507),(3655,3595,1.9965,3.4827),(3655,3605,2.0195,3.4127),(3655,3615,2.0425,3.3254),(3655,3625,2.062,3.2381),(3655,3635,2.0568,3.1508),(3655,3645,2.0517,3.0631),(3655,3655,2.0466,2.9733),(3655,3665,2.0356,2.8835),(3655,3675,1.9949,2.7937),(3655,3685,1.9541,2.7102),(3655,3695,1.9133,2.6549),(3655,3705,1.8729,2.5996),(3655,3715,1.8335,2.5443),(3655,3725,1.7941,2.4921),(3655,3735,1.7547,2.4502),(3655,3745,1.7159,2.4084),(3655,3755,1.6788,2.3666),(3655,3765,1.6417,2.3272),(3655,3775,1.6047,2.2946),(3655,3785,1.5684,2.262),(3655,3795,1.5342,2.2294),(3655,3805,1.4999,2.1988),(3655,3815,1.4657,2.1729),(3655,3825,1.4324,2.147),(3655,3835,1.4011,2.1212),(3655,3845,1.3698,2.0971),(3655,3855,1.3385,2.0765),(3655,3865,1.3082,2.0559),(3655,3875,1.2798,2.0353),(3655,3885,1.2513,2.0164),(3655,3895,1.2228,2.0002),(3655,3905,1.1954,1.984),(3655,3915,1.1694,1.9678),(3655,3925,1.1435,1.9533),(3655,3935,1.1175,1.9411),(3655,3945,1.0924,1.9288),(3655,3955,1.0684,1.9166),(3655,3965,1.0445,1.906),(3655,3975,1.0205,1.8973),(3655,3985,0.99714,1.8886),(3655,3995,0.97449,1.8799),(3655,4005,0.95184,1.8727),(3655,4015,0.92919,1.8669),(3655,4025,1.2368,1.8611),(3655,4035,1.5767,1.8531),(3655,4045,1.9167,1.8405),(3655,4055,2.1585,1.8279),(3655,4065,2.3646,1.8146),(3655,4075,2.5707,1.7974),(3655,4085,2.6601,1.7802),(3655,4095,2.6557,1.763),(3655,4105,2.6512,1.7463),(3655,4115,2.5638,1.7296),(3655,4125,2.3387,1.713),(3655,4135,2.1137,1.7007),(3655,4145,1.8863,1.6896),(3655,4155,1.6493,1.6784),(3655,4165,1.4122,1.6711),(3655,4175,1.1885,1.6661),(3655,4185,1.62,1.6611),(3655,4195,2.0515,1.6517),(3655,4205,2.4831,1.6365),(3655,4215,2.5472,1.6212),(3655,4225,2.5422,1.606),(3655,4235,2.5371,1.591),(3655,4245,2.5136,1.5759),(3655,4255,2.4805,1.5607),(3655,4265,2.4475,1.5438),(3655,4275,2.152,1.5269),(3655,4285,1.5779,1.51),(3655,4295,1.0038,1.5073),(3655,4305,0.76153,1.5063),(3655,4315,1.2687,1.5053),(3655,4325,1.7759,1.4959),(3655,4335,2.2265,1.4832),(3655,4345,2.2935,1.4705),(3655,4355,2.3605,1.4569),(3655,4365,2.4274,1.4426),(3655,4375,2.4298,1.4283),(3655,4385,2.4288,1.4139),(3655,4395,2.4277,1.3996),(3655,4405,2.133,1.3853),(3655,4415,1.7517,1.3727),(3655,4425,1.3704,1.3673),(3655,4435,1.2073,1.3619),(3655,4445,1.1934,1.3565),(3655,4455,1.1795,1.3517),(3655,4465,1.3278,1.3469),(3655,4475,1.7041,1.3421),(3655,4485,2.0804,1.3304),(3655,4495,2.3672,1.3172),(3655,4505,2.3666,1.304),(3655,4515,2.366,1.2909),(3655,4525,2.3607,1.2778),(3655,4535,2.2817,1.2648),(3655,4545,2.2026,1.2525),(3655,4555,2.1235,1.2409),(3655,4565,1.6247,1.2294),(3655,4575,1.0693,1.2213),(3655,4585,0.51395,1.2215),(3655,4595,0.76277,1.2217),(3655,4605,1.3514,1.2202),(3655,4615,1.94,1.2054),(3655,4625,2.2327,1.1907),(3655,4635,2.2574,1.176),(3655,4645,2.2822,1.1635),(3655,4655,2.2989,1.1512),(3655,4665,2.3006,1.1389),(3655,4675,2.3022,1.1268),(3655,4685,2.2241,1.1148),(3655,4695,1.7517,1.1028),(3655,4705,1.2792,1.0959),(3655,4715,0.80683,1.0926),(3655,4725,1.0281,1.0894),(3655,4735,1.2564,1.0847),(3655,4745,1.4846,1.0779),(3655,4755,1.7182,1.0711),(3655,4765,1.9529,1.0634),(3655,4775,2.1877,1.0527),(3655,4785,2.2738,1.0419),(3655,4795,2.2739,1.0312),(3655,4805,2.2741,1.0206),(3655,4815,2.1649,1.0101),(3655,4825,1.9249,0.99953),(3655,4835,1.6849,0.99233),(3655,4845,1.4419,0.98565),(3655,4855,1.1911,0.97897),(3655,4865,0.94021,0.97505),(3655,4875,0.7621,0.97239),(3655,4885,1.246,0.96973),(3655,4895,1.7299,0.96299),(3655,4905,2.2138,0.95233),(3655,4915,2.2525,0.94167),(3655,4925,2.2528,0.93102),(3655,4935,2.2532,0.92039),(3655,4945,2.243,0.90977),(3655,4955,2.2291,0.89889),(3655,4965,2.2152,0.88663),(3655,4975,1.8479,0.87436),(3655,4985,1.2077,0.8621),(3655,4995,0.56743,0.86181),(3655,5005,0.36298,0.86183),(3655,5015,0.85131,0.86185),(3655,5025,1.3396,0.85574),(3655,5035,1.7603,0.84808),(3655,5045,1.9232,0.84041),(3655,5055,2.086,0.83117),(3655,5065,2.2441,0.82094),(3655,5075,2.245,0.81072),(3655,5085,2.246,0.80058),(3655,5095,2.247,0.79052),(3655,5105,1.9639,0.78047),(3655,5115,1.6312,0.77176),(3655,5125,1.2985,0.76679),(3655,5135,1.1303,0.76183),(3655,5145,1.0419,0.757),(3655,5155,0.95347,0.75362),(3655,5165,1.1192,0.75023),(3655,5175,1.544,0.74685),(3655,5185,1.9688,0.73815),(3655,5195,2.2592,0.72889),(3655,5205,2.2596,0.71964),(3655,5215,2.2601,0.7105),(3655,5225,2.2488,0.7014),(3655,5235,2.1648,0.6923),(3655,5245,2.0808,0.68385),(3655,5255,1.9968,0.67595),(3655,5265,1.4069,0.66804),(3655,5275,0.79624,0.66311),(3655,5285,0.18553,0.66323),(3655,5295,0.59096,0.66334),(3655,5305,1.2794,0.66174),(3655,5315,1.9677,0.65299),(3655,5325,2.2447,0.64424),(3655,5335,2.2518,0.6355),(3655,5345,2.2589,0.62786),(3655,5355,2.2629,0.62022),(3655,5365,2.2626,0.61259),(3655,5375,2.2624,0.60507),(3655,5385,2.1329,0.59758),(3655,5395,1.6108,0.59009),(3655,5405,1.0886,0.58636),(3655,5415,0.62228,0.58457),(3655,5425,0.90514,0.58278),(3655,5435,1.188,0.58054),(3655,5445,1.4709,0.5778),(3655,5455,1.7463,0.57506),(3655,5465,2.0209,0.57181),(3655,5475,2.2955,0.56737),(3655,5485,2.373,0.56292),(3655,5495,2.371,0.55848),(3655,5505,2.369,0.55413),(3655,5515,2.3671,0.54977),(3655,5525,2.3653,0.54542),(3655,5535,2.3634,0.54114),(3655,5545,2.3616,0.53686),(3655,5555,2.3598,0.53258),(3655,5565,2.358,0.52836),(3655,5575,2.3562,0.52416),(3655,5585,2.3544,0.51995),(3655,5595,2.3527,0.51578),(3655,5605,2.3509,0.51163),(3655,5615,2.3493,0.50748),(3655,5625,2.3476,0.50336),(3655,5635,2.3459,0.49926),(3655,5645,2.3442,0.49516),(3655,5655,2.3426,0.49107),(3655,5665,2.3409,0.487),(3655,5675,2.3393,0.48293),(3655,5685,2.3377,0.47887),(3655,5695,2.3361,0.47483),(3655,5705,2.3345,0.4708),(3655,5715,2.333,0.46677),(3655,5725,2.3314,0.46276),(3655,5735,2.3299,0.45875),(3655,5745,2.3284,0.45474),(3655,5755,2.3268,0.45073),(3655,5765,2.3253,0.44673),(3655,5775,2.3238,0.44272),(3655,5785,2.3223,0.43872),(3655,5795,2.3209,0.43473),(3655,5805,2.3194,0.43074),(3655,5815,2.3179,0.42674),(3655,5825,2.3165,0.42276),(3655,5835,2.315,0.41877),(3655,5845,2.3136,0.41479),(3655,5855,2.3122,0.41081),(3655,5865,2.3107,0.40684),(3655,5875,2.3093,0.40286),(3655,5885,2.3079,0.3989),(3655,5895,2.3065,0.39495),(3655,5905,2.3051,0.39099),(3655,5915,2.3036,0.38704),(3655,5925,2.3022,0.38309),(3655,5935,2.3008,0.37915),(3655,5945,2.2994,0.37521),(3655,5955,2.298,0.37129),(3655,5965,2.2966,0.36736),(3655,5975,2.2952,0.36344),(3655,5985,2.2938,0.35952),(3655,5995,1.7535,0.35561),(3655,6005,1.1265,0.35264),(3655,6015,0.49948,0.35219),(3655,6025,0.65778,0.35174),(3655,6035,1.1803,0.35086),(3655,6045,1.7028,0.34595),(3655,6055,2.0646,0.34103),(3655,6065,2.2688,0.33612),(3655,6075,2.4729,0.32972),(3655,6085,2.6105,0.32318),(3655,6095,2.611,0.31664),(3655,6105,2.6115,0.31009),(3655,6115,2.612,0.30353),(3655,6125,2.6124,0.29697),(3655,6135,2.6129,0.29045),(3655,6145,2.6133,0.28396),(3655,6155,2.6137,0.27747),(3655,6165,2.6141,0.27102),(3655,6175,2.6145,0.26463),(3655,6185,2.6149,0.25824),(3655,6195,2.6152,0.25187),(3655,6205,2.6155,0.24557),(3655,6215,2.6159,0.23927),(3655,6225,2.6162,0.23297),(3655,6235,2.6164,0.22674),(3655,6245,2.6167,0.22051),(3655,6255,2.617,0.21427),(3655,6265,2.6172,0.20809),(3655,6275,2.6175,0.20191),(3655,6285,2.6177,0.19573),(3655,6295,2.6179,0.18962),(3655,6305,2.6181,0.18354),(3655,6315,2.6183,0.17745),(3655,6325,2.6184,0.17142),(3655,6335,2.6186,0.16543),(3655,6345,2.6187,0.15945),(3655,6355,2.6189,0.15349),(3655,6365,2.619,0.14761),(3655,6375,2.6191,0.14172),(3655,6385,2.6192,0.13584),(3655,6395,2.6193,0.12999),(3655,6405,2.6194,0.12415),(3655,6415,2.6195,0.1183),(3655,6425,2.6196,0.11248),(3655,6435,2.6197,0.10665),(3655,6445,2.6198,0.10082),(3655,6455,2.6198,0.095082),(3655,6465,2.6199,0.089364),(3655,6475,2.6199,0.083646),(3655,6485,2.62,0.077939),(3655,6495,2.62,0.072241),(3655,6505,2.6201,0.066543),(3655,6515,2.6201,0.060863),(3655,6525,2.6202,0.055208),(3655,6535,2.6202,0.049554),(3655,6545,2.6202,0.043901),(3655,6555,2.6202,0.038254),(3655,6565,2.6203,0.032607),(3655,6575,2.6203,0.026966),(3655,6585,2.6203,0.021408),(3655,6595,2.2287,0.015851),(3655,6605,1.4048,0.010294),(3655,6615,0.58084,0.009651),(3655,6625,0.001616,0.009639),(3655,6635,0.001615,0.009628),(3655,6645,0.001613,0.009621),(3655,6655,0.001612,0.009616),(3655,6665,0.001611,0.009611),(3655,6675,0.00161,0.009606),(3655,6685,0.001609,0.009601),(3655,6695,0.001608,0.009596),(3655,6705,0.001608,0.009591),(3655,6715,0.001607,0.009586),(3655,6725,0.001606,0.00958),(3655,6735,0.001606,0.009575),(3655,6745,0.001605,0.009569),(3655,6755,0.001605,0.009564),(3655,6765,0.001605,0.009558),(3655,6775,0.001604,0.009552),(3655,6785,0.001604,0.009546),(3655,6795,0.001604,0.00954),(3655,6805,0.001604,0.009534),(3655,6815,0.001604,0.009528),(3655,6825,0.001604,0.009522),(3655,6835,0.001604,0.009515),(3655,6845,0.001603,0.009509),(3655,6855,0.001604,0.009502),(3655,6865,0.001604,0.009496),(3655,6875,0.001604,0.009489),(3655,6885,0.001604,0.009482),(3655,6895,0.001604,0.009475),(3655,6905,0.001604,0.009468),(3655,6915,0.001604,0.009461),(3655,6925,0.001604,0.009455),(3655,6935,0.001604,0.009447),(3655,6945,0.001605,0.00944),(3655,6955,0.001605,0.009433),(3655,6965,0.001605,0.009426),(3655,6975,0.001605,0.009419),(3655,6985,0.001605,0.009411),(3665,5,6e-06,3.6891),(3665,15,1.7e-05,3.6891),(3665,25,2.8e-05,3.6891),(3665,35,3.9e-05,3.6891),(3665,45,5e-05,3.6891),(3665,55,6.1e-05,3.6891),(3665,65,7.2e-05,3.6891),(3665,75,8.2e-05,3.6891),(3665,85,9.2e-05,3.689),(3665,95,0.000103,3.689),(3665,105,0.000112,3.689),(3665,115,0.000122,3.689),(3665,125,0.000131,3.689),(3665,135,0.000141,3.689),(3665,145,0.000149,3.689),(3665,155,0.000157,3.689),(3665,165,0.000165,3.689),(3665,175,0.000173,3.689),(3665,185,0.00018,3.689),(3665,195,0.000186,3.689),(3665,205,0.000192,3.6889),(3665,215,0.000198,3.6889),(3665,225,0.000202,3.6889),(3665,235,0.000206,3.6889),(3665,245,0.000209,3.6889),(3665,255,0.000213,3.6889),(3665,265,0.000214,3.6889),(3665,275,0.000214,3.6888),(3665,285,0.000214,3.6888),(3665,295,0.000215,3.6888),(3665,305,0.000212,3.6888),(3665,315,0.000209,3.6888),(3665,325,0.000206,3.6887),(3665,335,0.000203,3.6887),(3665,345,0.000196,3.6887),(3665,355,0.000189,3.6887),(3665,365,0.000182,3.6887),(3665,375,0.000175,3.6886),(3665,385,0.000163,3.6886),(3665,395,0.000151,3.6886),(3665,405,0.000139,3.6886),(3665,415,0.000127,3.6885),(3665,425,0.00011,3.6885),(3665,435,9.3e-05,3.6885),(3665,445,7.5e-05,3.6885),(3665,455,5.8e-05,3.6884),(3665,465,3.4e-05,3.6884),(3665,475,1e-05,3.6884),(3665,485,-1.4e-05,3.6884),(3665,495,-3.8e-05,3.6883),(3665,505,-7e-05,3.6883),(3665,515,-0.000101,3.6883),(3665,525,-0.000133,3.6882),(3665,535,-0.000164,3.6882),(3665,545,-0.000204,3.6882),(3665,555,-0.000244,3.6881),(3665,565,-0.000284,3.6881),(3665,575,-0.000324,3.6881),(3665,585,-0.000373,3.688),(3665,595,-0.000423,3.688),(3665,605,-0.000472,3.688),(3665,615,-0.000523,3.6879),(3665,625,-0.000583,3.6879),(3665,635,-0.000642,3.6879),(3665,645,-0.000702,3.6878),(3665,655,-0.000764,3.6878),(3665,665,-0.000835,3.6877),(3665,675,-0.000907,3.6877),(3665,685,-0.000978,3.6877),(3665,695,-0.001053,3.6876),(3665,705,-0.001137,3.6876),(3665,715,-0.001222,3.6876),(3665,725,-0.001307,3.6875),(3665,735,-0.001395,3.6875),(3665,745,-0.001495,3.6875),(3665,755,-0.001594,3.6874),(3665,765,-0.001694,3.6874),(3665,775,-0.001798,3.6874),(3665,785,-0.001913,3.6873),(3665,795,-0.002028,3.6873),(3665,805,-0.002144,3.6873),(3665,815,-0.002265,3.6872),(3665,825,-0.002398,3.6872),(3665,835,-0.002531,3.6872),(3665,845,-0.002663,3.6872),(3665,855,-0.002803,3.6871),(3665,865,-0.002955,3.6871),(3665,875,-0.003106,3.6871),(3665,885,-0.003258,3.6871),(3665,895,-0.003418,3.687),(3665,905,-0.00359,3.687),(3665,915,-0.003762,3.687),(3665,925,-0.003934,3.687),(3665,935,-0.004115,3.687),(3665,945,-0.004308,3.687),(3665,955,-0.004501,3.687),(3665,965,-0.004694,3.687),(3665,975,-0.004898,3.687),(3665,985,-0.005114,3.687),(3665,995,-0.00533,3.687),(3665,1005,-0.005545,3.687),(3665,1015,-0.005773,3.687),(3665,1025,-0.006011,3.687),(3665,1035,-0.00625,3.6871),(3665,1045,-0.006489,3.6871),(3665,1055,-0.006741,3.6871),(3665,1065,-0.007003,3.6872),(3665,1075,-0.007266,3.6872),(3665,1085,-0.007528,3.6873),(3665,1095,-0.007804,3.6873),(3665,1105,-0.008091,3.6874),(3665,1115,-0.008377,3.6874),(3665,1125,-0.008663,3.6875),(3665,1135,-0.008965,3.6876),(3665,1145,-0.009274,3.6876),(3665,1155,-0.009584,3.6877),(3665,1165,-0.009894,3.6878),(3665,1175,-0.010219,3.6879),(3665,1185,-0.010551,3.688),(3665,1195,-0.010884,3.6882),(3665,1205,-0.011216,3.6883),(3665,1215,-0.011564,3.6884),(3665,1225,-0.011918,3.6886),(3665,1235,-0.012272,3.6887),(3665,1245,-0.012626,3.6889),(3665,1255,-0.012995,3.689),(3665,1265,-0.013369,3.6892),(3665,1275,-0.013743,3.6894),(3665,1285,-0.014118,3.6896),(3665,1295,-0.014507,3.6898),(3665,1305,-0.0149,3.69),(3665,1315,-0.015292,3.6902),(3665,1325,-0.015685,3.6904),(3665,1335,-0.016092,3.6907),(3665,1345,-0.016502,3.6909),(3665,1355,-0.016911,3.6912),(3665,1365,-0.017321,3.6914),(3665,1375,-0.017744,3.6917),(3665,1385,-0.018169,3.692),(3665,1395,-0.018594,3.6923),(3665,1405,-0.019019,3.6926),(3665,1415,-0.019457,3.6929),(3665,1425,-0.019896,3.6932),(3665,1435,-0.020335,3.6935),(3665,1445,-0.020774,3.6939),(3665,1455,-0.021226,3.6942),(3665,1465,-0.021678,3.6946),(3665,1475,-0.02213,3.6949),(3665,1485,-0.022582,3.6953),(3665,1495,-0.023047,3.6957),(3665,1505,-0.023512,3.6961),(3665,1515,-0.023977,3.6965),(3665,1525,-0.024442,3.6969),(3665,1535,-0.02492,3.6973),(3665,1545,-0.025399,3.6978),(3665,1555,-0.025877,3.6982),(3665,1565,-0.026357,3.6987),(3665,1575,-0.02685,3.6991),(3665,1585,-0.027343,3.6996),(3665,1595,-0.027837,3.7001),(3665,1605,-0.028332,3.7006),(3665,1615,-0.028843,3.701),(3665,1625,-0.029354,3.7015),(3665,1635,-0.029864,3.7021),(3665,1645,-0.030378,3.7026),(3665,1655,-0.03091,3.7031),(3665,1665,-0.031441,3.7036),(3665,1675,-0.031972,3.7042),(3665,1685,-0.032508,3.7047),(3665,1695,-0.033065,3.7053),(3665,1705,-0.033621,3.7059),(3665,1715,-0.034177,3.7065),(3665,1725,-0.03474,3.707),(3665,1735,-0.035327,3.7076),(3665,1745,-0.035914,3.7082),(3665,1755,-0.036501,3.7089),(3665,1765,-0.037098,3.7095),(3665,1775,-0.037722,3.7101),(3665,1785,-0.038347,3.7107),(3665,1795,-0.038971,3.7114),(3665,1805,-0.039609,3.712),(3665,1815,-0.040279,3.7127),(3665,1825,-0.040948,3.7134),(3665,1835,-0.041618,3.7141),(3665,1845,-0.042306,3.7148),(3665,1855,-0.04303,3.7155),(3665,1865,-0.043754,3.7162),(3665,1875,-0.044478,3.7169),(3665,1885,-0.045227,3.7177),(3665,1895,-0.046017,3.7184),(3665,1905,-0.046806,3.7192),(3665,1915,-0.047596,3.7199),(3665,1925,-0.048418,3.7207),(3665,1935,-0.049285,3.7215),(3665,1945,-0.050153,3.7223),(3665,1955,-0.05102,3.7232),(3665,1965,-0.05193,3.724),(3665,1975,-0.05289,3.7248),(3665,1985,-0.053849,3.7257),(3665,1995,-0.054809,3.7266),(3665,2005,-0.055824,3.7275),(3665,2015,-0.056893,3.7284),(3665,2025,-0.057962,3.7294),(3665,2035,-0.059031,3.7303),(3665,2045,-0.060169,3.7313),(3665,2055,-0.061367,3.7323),(3665,2065,-0.062565,3.7333),(3665,2075,-0.063762,3.7344),(3665,2085,-0.065048,3.7354),(3665,2095,-0.066397,3.7365),(3665,2105,-0.067747,3.7376),(3665,2115,-0.069096,3.7388),(3665,2125,-0.070556,3.74),(3665,2135,-0.072083,3.7412),(3665,2145,-0.073611,3.7424),(3665,2155,-0.075139,3.7437),(3665,2165,-0.076805,3.745),(3665,2175,-0.078542,3.7463),(3665,2185,-0.08028,3.7477),(3665,2195,-0.082017,3.7492),(3665,2205,-0.083927,3.7507),(3665,2215,-0.085911,3.7521),(3665,2225,-0.087895,3.7537),(3665,2235,-0.089879,3.7554),(3665,2245,-0.092078,3.7571),(3665,2255,-0.094352,3.7588),(3665,2265,-0.096627,3.7606),(3665,2275,-0.098901,3.7625),(3665,2285,-0.10144,3.7645),(3665,2295,-0.10406,3.7664),(3665,2305,-0.10667,3.7686),(3665,2315,-0.10929,3.7709),(3665,2325,-0.11223,3.7731),(3665,2335,-0.11525,3.7754),(3665,2345,-0.11827,3.778),(3665,2355,-0.12128,3.7807),(3665,2365,-0.1247,3.7833),(3665,2375,-0.12819,3.786),(3665,2385,-0.13168,3.7892),(3665,2395,-0.13517,3.7924),(3665,2405,-0.13915,3.7957),(3665,2415,-0.14318,3.7989),(3665,2425,-0.14722,3.8028),(3665,2435,-0.15125,3.8068),(3665,2445,-0.15588,3.8108),(3665,2455,-0.16054,3.8148),(3665,2465,-0.16521,3.8197),(3665,2475,-0.16988,3.8246),(3665,2485,-0.17523,3.8296),(3665,2495,-0.18061,3.8346),(3665,2505,-0.18598,3.8409),(3665,2515,-0.19137,3.8472),(3665,2525,-0.1975,3.8536),(3665,2535,-0.20362,3.8599),(3665,2545,-0.20975,3.8681),(3665,2555,-0.21592,3.8763),(3665,2565,-0.22277,3.8845),(3665,2575,-0.22962,3.8929),(3665,2585,-0.23646,3.9037),(3665,2595,-0.24336,3.9146),(3665,2605,-0.25068,3.9254),(3665,2615,-0.25801,3.9366),(3665,2625,-0.26533,3.9511),(3665,2635,-0.27263,3.9656),(3665,2645,-0.27974,3.9801),(3665,2655,-0.28685,3.9953),(3665,2665,-0.29396,4.0149),(3665,2675,-0.30075,4.0345),(3665,2685,-0.30599,4.054),(3665,2695,-0.31124,4.0749),(3665,2705,-0.31648,4.1012),(3665,2715,-0.32058,4.1276),(3665,2725,-0.32043,4.1539),(3665,2735,-0.32028,4.1823),(3665,2745,-0.32013,4.2175),(3665,2755,-0.31597,4.2528),(3665,2765,-0.29993,4.288),(3665,2775,-0.28389,4.3211),(3665,2785,-0.26786,4.3483),(3665,2795,-0.24983,4.3755),(3665,2805,-0.22699,4.4027),(3665,2815,-0.20415,4.4275),(3665,2825,-0.18131,4.4469),(3665,2835,-0.15767,4.4664),(3665,2845,-0.13241,4.4858),(3665,2855,-0.10715,4.5031),(3665,2865,-0.081896,4.5166),(3665,2875,-0.056427,4.53),(3665,2885,-0.030603,4.5435),(3665,2895,-0.004779,4.5552),(3665,2905,0.021045,4.5641),(3665,2915,0.046806,4.5731),(3665,2925,0.072475,4.582),(3665,2935,0.098145,4.5895),(3665,2945,0.12381,4.5951),(3665,2955,0.14932,4.6006),(3665,2965,0.17464,4.6062),(3665,2975,0.19996,4.6105),(3665,2985,0.22527,4.6134),(3665,2995,0.25043,4.6162),(3665,3005,0.27543,4.6191),(3665,3015,0.30043,4.6209),(3665,3025,0.32543,4.6217),(3665,3035,0.35034,4.6224),(3665,3045,0.37517,4.6231),(3665,3055,0.39999,4.6228),(3665,3065,0.42482,4.6217),(3665,3075,0.44966,4.6206),(3665,3085,0.4745,4.6194),(3665,3095,0.49934,4.6173),(3665,3105,0.52418,4.6145),(3665,3115,0.54917,4.6117),(3665,3125,0.57424,4.6088),(3665,3135,0.59931,4.605),(3665,3145,0.62438,4.6005),(3665,3155,0.64975,4.5961),(3665,3165,0.67528,4.5916),(3665,3175,0.70081,4.586),(3665,3185,0.72634,4.5799),(3665,3195,0.75236,4.5738),(3665,3205,0.77859,4.5677),(3665,3215,0.80482,4.5603),(3665,3225,0.83105,4.5523),(3665,3235,0.85798,4.5444),(3665,3245,0.88517,4.5365),(3665,3255,0.91236,4.527),(3665,3265,0.93955,4.5171),(3665,3275,0.96769,4.5071),(3665,3285,0.99612,4.4972),(3665,3295,1.0246,4.4853),(3665,3305,1.053,4.4729),(3665,3315,1.0826,4.4606),(3665,3325,1.1126,4.4482),(3665,3335,1.1426,4.4334),(3665,3345,1.1725,4.4181),(3665,3355,1.204,4.4027),(3665,3365,1.2358,4.3874),(3665,3375,1.2676,4.3688),(3665,3385,1.2994,4.3498),(3665,3395,1.333,4.3307),(3665,3405,1.3669,4.3116),(3665,3415,1.4007,4.288),(3665,3425,1.4346,4.264),(3665,3435,1.4705,4.24),(3665,3445,1.5066,4.216),(3665,3455,1.5427,4.1857),(3665,3465,1.5788,4.1551),(3665,3475,1.6168,4.1244),(3665,3485,1.6549,4.0938),(3665,3495,1.693,4.0541),(3665,3505,1.7311,4.0143),(3665,3515,1.7701,3.9745),(3665,3525,1.8092,3.9344),(3665,3535,1.8483,3.8818),(3665,3545,1.8872,3.8291),(3665,3555,1.9242,3.7765),(3665,3565,1.9612,3.7227),(3665,3575,1.9983,3.6521),(3665,3585,2.0344,3.5815),(3665,3595,2.0616,3.5109),(3665,3605,2.0887,3.4377),(3665,3615,2.1159,3.3426),(3665,3625,2.1391,3.2475),(3665,3635,2.1343,3.1524),(3665,3645,2.1296,3.0566),(3665,3655,2.1248,2.9566),(3665,3665,2.113,2.8566),(3665,3675,2.065,2.7566),(3665,3685,2.0169,2.6649),(3665,3695,1.9689,2.6105),(3665,3705,1.922,2.556),(3665,3715,1.8793,2.5016),(3665,3725,1.8367,2.4501),(3665,3735,1.7941,2.4091),(3665,3745,1.7522,2.3681),(3665,3755,1.713,2.3271),(3665,3765,1.6737,2.2885),(3665,3775,1.6345,2.2567),(3665,3785,1.5962,2.225),(3665,3795,1.5603,2.1932),(3665,3805,1.5245,2.1634),(3665,3815,1.4887,2.1384),(3665,3825,1.4539,2.1133),(3665,3835,1.4214,2.0883),(3665,3845,1.3888,2.065),(3665,3855,1.3563,2.0452),(3665,3865,1.3249,2.0253),(3665,3875,1.2954,2.0055),(3665,3885,1.2659,1.9873),(3665,3895,1.2364,1.9718),(3665,3905,1.2079,1.9562),(3665,3915,1.181,1.9407),(3665,3925,1.1541,1.9268),(3665,3935,1.1273,1.915),(3665,3945,1.1013,1.9033),(3665,3955,1.0765,1.8916),(3665,3965,1.0516,1.8814),(3665,3975,1.0268,1.8731),(3665,3985,1.0027,1.8648),(3665,3995,0.97929,1.8564),(3665,4005,0.95589,1.8495),(3665,4015,0.9325,1.8439),(3665,4025,1.2411,1.8383),(3665,4035,1.5821,1.8305),(3665,4045,1.9232,1.818),(3665,4055,2.166,1.8055),(3665,4065,2.3729,1.7923),(3665,4075,2.5799,1.7752),(3665,4085,2.6695,1.7581),(3665,4095,2.6649,1.7409),(3665,4105,2.6603,1.7244),(3665,4115,2.5724,1.7078),(3665,4125,2.3463,1.6913),(3665,4135,2.1201,1.6791),(3665,4145,1.8916,1.6681),(3665,4155,1.6533,1.6571),(3665,4165,1.4151,1.6499),(3665,4175,1.1901,1.645),(3665,4185,1.6236,1.6402),(3665,4195,2.0571,1.6309),(3665,4205,2.4906,1.6159),(3665,4215,2.555,1.6008),(3665,4225,2.55,1.5858),(3665,4235,2.5449,1.5709),(3665,4245,2.5217,1.5561),(3665,4255,2.4894,1.541),(3665,4265,2.457,1.5243),(3665,4275,2.1602,1.5076),(3665,4285,1.5828,1.4909),(3665,4295,1.0054,1.4884),(3665,4305,0.76155,1.4876),(3665,4315,1.2709,1.4868),(3665,4325,1.7803,1.4775),(3665,4335,2.2328,1.4649),(3665,4345,2.3001,1.4523),(3665,4355,2.3674,1.4388),(3665,4365,2.4347,1.4246),(3665,4375,2.437,1.4103),(3665,4385,2.436,1.3961),(3665,4395,2.435,1.3819),(3665,4405,2.1389,1.3677),(3665,4415,1.7559,1.3552),(3665,4425,1.3729,1.3499),(3665,4435,1.2091,1.3446),(3665,4445,1.195,1.3394),(3665,4455,1.181,1.3347),(3665,4465,1.3299,1.33),(3665,4475,1.7077,1.3253),(3665,4485,2.0855,1.3137),(3665,4495,2.3734,1.3006),(3665,4505,2.3727,1.2876),(3665,4515,2.3721,1.2746),(3665,4525,2.3668,1.2617),(3665,4535,2.2875,1.2488),(3665,4545,2.2081,1.2366),(3665,4555,2.1288,1.2252),(3665,4565,1.6282,1.2138),(3665,4575,1.0708,1.2058),(3665,4585,0.51336,1.206),(3665,4595,0.76362,1.2062),(3665,4605,1.3551,1.2048),(3665,4615,1.9467,1.1902),(3665,4625,2.2403,1.1756),(3665,4635,2.2642,1.161),(3665,4645,2.2882,1.1486),(3665,4655,2.3043,1.1364),(3665,4665,2.3059,1.1242),(3665,4675,2.3074,1.1122),(3665,4685,2.229,1.1003),(3665,4695,1.7552,1.0884),(3665,4705,1.2815,1.0815),(3665,4715,0.8077,1.0783),(3665,4725,1.0294,1.0751),(3665,4735,1.2581,1.0705),(3665,4745,1.4868,1.0638),(3665,4755,1.7208,1.057),(3665,4765,1.9561,1.0494),(3665,4775,2.1914,1.0388),(3665,4785,2.2777,1.0282),(3665,4795,2.2778,1.0175),(3665,4805,2.2779,1.007),(3665,4815,2.1684,0.99656),(3665,4825,1.9279,0.98607),(3665,4835,1.6875,0.97893),(3665,4845,1.444,0.9723),(3665,4855,1.1926,0.96567),(3665,4865,0.94122,0.96181),(3665,4875,0.76276,0.9592),(3665,4885,1.2477,0.9566),(3665,4895,1.7327,0.94992),(3665,4905,2.2177,0.93931),(3665,4915,2.2564,0.92871),(3665,4925,2.2567,0.91812),(3665,4935,2.2571,0.90757),(3665,4945,2.2473,0.89702),(3665,4955,2.234,0.88622),(3665,4965,2.2206,0.87407),(3665,4975,1.8524,0.86192),(3665,4985,1.2103,0.84977),(3665,4995,0.56811,0.84952),(3665,5005,0.36284,0.84958),(3665,5015,0.85213,0.84963),(3665,5025,1.3414,0.84359),(3665,5035,1.7629,0.83601),(3665,5045,1.9261,0.82842),(3665,5055,2.0892,0.81926),(3665,5065,2.2476,0.80912),(3665,5075,2.2485,0.79899),(3665,5085,2.2494,0.78892),(3665,5095,2.2503,0.77896),(3665,5105,1.9667,0.76899),(3665,5115,1.6334,0.76034),(3665,5125,1.3002,0.75543),(3665,5135,1.1316,0.75052),(3665,5145,1.0429,0.74574),(3665,5155,0.95428,0.74241),(3665,5165,1.1201,0.73907),(3665,5175,1.5456,0.73573),(3665,5185,1.971,0.72712),(3665,5195,2.2617,0.71796),(3665,5205,2.2621,0.7088),(3665,5215,2.2625,0.69974),(3665,5225,2.2512,0.69073),(3665,5235,2.1671,0.68172),(3665,5245,2.0829,0.67336),(3665,5255,1.9988,0.66552),(3665,5265,1.4083,0.65769),(3665,5275,0.79684,0.65281),(3665,5285,0.18542,0.65294),(3665,5295,0.59129,0.65306),(3665,5305,1.2805,0.6515),(3665,5315,1.9696,0.64288),(3665,5325,2.2466,0.63426),(3665,5335,2.2534,0.62566),(3665,5345,2.2601,0.61813),(3665,5355,2.2639,0.61059),(3665,5365,2.2636,0.60306),(3665,5375,2.2632,0.59564),(3665,5385,2.1337,0.58825),(3665,5395,1.6113,0.58086),(3665,5405,1.0889,0.57717),(3665,5415,0.62228,0.57541),(3665,5425,0.90466,0.57365),(3665,5435,1.187,0.57146),(3665,5445,1.4694,0.5688),(3665,5455,1.7446,0.56615),(3665,5465,2.019,0.56299),(3665,5475,2.2933,0.55866),(3665,5485,2.3706,0.55434),(3665,5495,2.3687,0.55003),(3665,5505,2.3667,0.54579),(3665,5515,2.3647,0.54155),(3665,5525,2.3629,0.53731),(3665,5535,2.361,0.53314),(3665,5545,2.3591,0.52898),(3665,5555,2.3573,0.52481),(3665,5565,2.3555,0.5207),(3665,5575,2.3537,0.5166),(3665,5585,2.3519,0.5125),(3665,5595,2.3502,0.50843),(3665,5605,2.3484,0.50438),(3665,5615,2.3467,0.50033),(3665,5625,2.345,0.4963),(3665,5635,2.3433,0.49229),(3665,5645,2.3417,0.48828),(3665,5655,2.34,0.48429),(3665,5665,2.3384,0.48031),(3665,5675,2.3367,0.47633),(3665,5685,2.3351,0.47235),(3665,5695,2.3335,0.4684),(3665,5705,2.3319,0.46445),(3665,5715,2.3304,0.4605),(3665,5725,2.3288,0.45657),(3665,5735,2.3273,0.45264),(3665,5745,2.3258,0.44871),(3665,5755,2.3242,0.44478),(3665,5765,2.3227,0.44085),(3665,5775,2.3212,0.43691),(3665,5785,2.3197,0.43299),(3665,5795,2.3183,0.42906),(3665,5805,2.3168,0.42514),(3665,5815,2.3153,0.42122),(3665,5825,2.3139,0.4173),(3665,5835,2.3124,0.41338),(3665,5845,2.311,0.40947),(3665,5855,2.3096,0.40555),(3665,5865,2.3081,0.40164),(3665,5875,2.3067,0.39773),(3665,5885,2.3053,0.39384),(3665,5895,2.3039,0.38994),(3665,5905,2.3025,0.38604),(3665,5915,2.3011,0.38215),(3665,5925,2.2996,0.37827),(3665,5935,2.2982,0.37438),(3665,5945,2.2968,0.3705),(3665,5955,2.2954,0.36663),(3665,5965,2.294,0.36276),(3665,5975,2.2926,0.35889),(3665,5985,2.2912,0.35503),(3665,5995,1.7515,0.35117),(3665,6005,1.1252,0.34824),(3665,6015,0.49887,0.3478),(3665,6025,0.65747,0.34735),(3665,6035,1.1801,0.34649),(3665,6045,1.7028,0.34163),(3665,6055,2.0646,0.33677),(3665,6065,2.2688,0.33191),(3665,6075,2.4729,0.32557),(3665,6085,2.6106,0.3191),(3665,6095,2.611,0.31263),(3665,6105,2.6115,0.30614),(3665,6115,2.612,0.29965),(3665,6125,2.6124,0.29315),(3665,6135,2.6128,0.28669),(3665,6145,2.6133,0.28026),(3665,6155,2.6136,0.27383),(3665,6165,2.614,0.26744),(3665,6175,2.6144,0.26112),(3665,6185,2.6147,0.25479),(3665,6195,2.615,0.24849),(3665,6205,2.6153,0.24226),(3665,6215,2.6156,0.23602),(3665,6225,2.6159,0.2298),(3665,6235,2.6162,0.22363),(3665,6245,2.6164,0.21747),(3665,6255,2.6167,0.2113),(3665,6265,2.6169,0.20519),(3665,6275,2.6171,0.19908),(3665,6285,2.6173,0.19298),(3665,6295,2.6175,0.18694),(3665,6305,2.6177,0.18093),(3665,6315,2.6178,0.17492),(3665,6325,2.618,0.16896),(3665,6335,2.6181,0.16305),(3665,6345,2.6182,0.15715),(3665,6355,2.6183,0.15127),(3665,6365,2.6185,0.14546),(3665,6375,2.6186,0.13965),(3665,6385,2.6186,0.13385),(3665,6395,2.6187,0.12809),(3665,6405,2.6188,0.12233),(3665,6415,2.6189,0.11657),(3665,6425,2.6189,0.11083),(3665,6435,2.619,0.1051),(3665,6445,2.619,0.09936),(3665,6455,2.6191,0.093704),(3665,6465,2.6191,0.088071),(3665,6475,2.6192,0.082438),(3665,6485,2.6192,0.076819),(3665,6495,2.6193,0.07121),(3665,6505,2.6193,0.065601),(3665,6515,2.6193,0.060012),(3665,6525,2.6193,0.054449),(3665,6535,2.6193,0.048887),(3665,6545,2.6194,0.043328),(3665,6555,2.6194,0.037778),(3665,6565,2.6194,0.032228),(3665,6575,2.6194,0.026684),(3665,6585,2.6194,0.021225),(3665,6595,2.228,0.015767),(3665,6605,1.4043,0.010308),(3665,6615,0.58064,0.009669),(3665,6625,0.001617,0.009649),(3665,6635,0.001615,0.009629),(3665,6645,0.001614,0.009619),(3665,6655,0.001613,0.009615),(3665,6665,0.001612,0.00961),(3665,6675,0.001611,0.009605),(3665,6685,0.00161,0.0096),(3665,6695,0.00161,0.009595),(3665,6705,0.001609,0.00959),(3665,6715,0.001608,0.009585),(3665,6725,0.001608,0.00958),(3665,6735,0.001607,0.009574),(3665,6745,0.001607,0.009569),(3665,6755,0.001607,0.009563),(3665,6765,0.001607,0.009558),(3665,6775,0.001606,0.009552),(3665,6785,0.001606,0.009546),(3665,6795,0.001606,0.00954),(3665,6805,0.001606,0.009534),(3665,6815,0.001606,0.009528),(3665,6825,0.001606,0.009522),(3665,6835,0.001606,0.009515),(3665,6845,0.001606,0.009509),(3665,6855,0.001606,0.009502),(3665,6865,0.001606,0.009496),(3665,6875,0.001606,0.009489),(3665,6885,0.001606,0.009482),(3665,6895,0.001607,0.009476),(3665,6905,0.001607,0.009469),(3665,6915,0.001607,0.009462),(3665,6925,0.001607,0.009455),(3665,6935,0.001607,0.009448),(3665,6945,0.001608,0.009441),(3665,6955,0.001608,0.009433),(3665,6965,0.001608,0.009426),(3665,6975,0.001608,0.009419),(3665,6985,0.001609,0.009412),(3675,5,6e-06,3.6891),(3675,15,1.8e-05,3.6891),(3675,25,2.9e-05,3.6891),(3675,35,4.1e-05,3.6891),(3675,45,5.2e-05,3.6891),(3675,55,6.4e-05,3.6891),(3675,65,7.5e-05,3.6891),(3675,75,8.6e-05,3.6891),(3675,85,9.7e-05,3.6891),(3675,95,0.000108,3.6891),(3675,105,0.000118,3.689),(3675,115,0.000128,3.689),(3675,125,0.000138,3.689),(3675,135,0.000148,3.689),(3675,145,0.000157,3.689),(3675,155,0.000165,3.689),(3675,165,0.000174,3.689),(3675,175,0.000182,3.689),(3675,185,0.000189,3.689),(3675,195,0.000196,3.689),(3675,205,0.000203,3.6889),(3675,215,0.000209,3.6889),(3675,225,0.000214,3.6889),(3675,235,0.000218,3.6889),(3675,245,0.000222,3.6889),(3675,255,0.000226,3.6889),(3675,265,0.000228,3.6889),(3675,275,0.000229,3.6888),(3675,285,0.00023,3.6888),(3675,295,0.000231,3.6888),(3675,305,0.000229,3.6888),(3675,315,0.000227,3.6888),(3675,325,0.000224,3.6887),(3675,335,0.000222,3.6887),(3675,345,0.000216,3.6887),(3675,355,0.000209,3.6887),(3675,365,0.000202,3.6887),(3675,375,0.000196,3.6886),(3675,385,0.000185,3.6886),(3675,395,0.000174,3.6886),(3675,405,0.000162,3.6886),(3675,415,0.000151,3.6885),(3675,425,0.000134,3.6885),(3675,435,0.000117,3.6885),(3675,445,0.0001,3.6884),(3675,455,8.3e-05,3.6884),(3675,465,6e-05,3.6884),(3675,475,3.7e-05,3.6884),(3675,485,1.3e-05,3.6883),(3675,495,-1e-05,3.6883),(3675,505,-4.1e-05,3.6883),(3675,515,-7.2e-05,3.6882),(3675,525,-0.000102,3.6882),(3675,535,-0.000134,3.6882),(3675,545,-0.000173,3.6881),(3675,555,-0.000212,3.6881),(3675,565,-0.000251,3.6881),(3675,575,-0.000291,3.688),(3675,585,-0.00034,3.688),(3675,595,-0.000389,3.6879),(3675,605,-0.000438,3.6879),(3675,615,-0.000488,3.6879),(3675,625,-0.000547,3.6878),(3675,635,-0.000607,3.6878),(3675,645,-0.000666,3.6878),(3675,655,-0.000727,3.6877),(3675,665,-0.000799,3.6877),(3675,675,-0.00087,3.6876),(3675,685,-0.000941,3.6876),(3675,695,-0.001015,3.6876),(3675,705,-0.0011,3.6875),(3675,715,-0.001185,3.6875),(3675,725,-0.001269,3.6874),(3675,735,-0.001357,3.6874),(3675,745,-0.001457,3.6874),(3675,755,-0.001556,3.6873),(3675,765,-0.001656,3.6873),(3675,775,-0.00176,3.6873),(3675,785,-0.001876,3.6872),(3675,795,-0.001992,3.6872),(3675,805,-0.002108,3.6871),(3675,815,-0.002229,3.6871),(3675,825,-0.002363,3.6871),(3675,835,-0.002496,3.687),(3675,845,-0.00263,3.687),(3675,855,-0.00277,3.687),(3675,865,-0.002923,3.687),(3675,875,-0.003076,3.6869),(3675,885,-0.003229,3.6869),(3675,895,-0.00339,3.6869),(3675,905,-0.003563,3.6869),(3675,915,-0.003737,3.6868),(3675,925,-0.00391,3.6868),(3675,935,-0.004093,3.6868),(3675,945,-0.004289,3.6868),(3675,955,-0.004484,3.6868),(3675,965,-0.004679,3.6868),(3675,975,-0.004886,3.6868),(3675,985,-0.005104,3.6868),(3675,995,-0.005323,3.6868),(3675,1005,-0.005541,3.6868),(3675,1015,-0.005772,3.6868),(3675,1025,-0.006014,3.6868),(3675,1035,-0.006256,3.6868),(3675,1045,-0.006498,3.6868),(3675,1055,-0.006754,3.6869),(3675,1065,-0.00702,3.6869),(3675,1075,-0.007287,3.6869),(3675,1085,-0.007554,3.687),(3675,1095,-0.007835,3.687),(3675,1105,-0.008126,3.6871),(3675,1115,-0.008417,3.6871),(3675,1125,-0.008708,3.6872),(3675,1135,-0.009015,3.6873),(3675,1145,-0.00933,3.6873),(3675,1155,-0.009645,3.6874),(3675,1165,-0.009961,3.6875),(3675,1175,-0.010292,3.6876),(3675,1185,-0.01063,3.6877),(3675,1195,-0.010969,3.6878),(3675,1205,-0.011308,3.688),(3675,1215,-0.011662,3.6881),(3675,1225,-0.012023,3.6882),(3675,1235,-0.012384,3.6883),(3675,1245,-0.012745,3.6885),(3675,1255,-0.013121,3.6887),(3675,1265,-0.013503,3.6888),(3675,1275,-0.013885,3.689),(3675,1285,-0.014267,3.6892),(3675,1295,-0.014663,3.6894),(3675,1305,-0.015064,3.6896),(3675,1315,-0.015465,3.6898),(3675,1325,-0.015865,3.69),(3675,1335,-0.01628,3.6903),(3675,1345,-0.016698,3.6905),(3675,1355,-0.017116,3.6907),(3675,1365,-0.017533,3.691),(3675,1375,-0.017965,3.6913),(3675,1385,-0.018398,3.6915),(3675,1395,-0.018831,3.6918),(3675,1405,-0.019264,3.6921),(3675,1415,-0.01971,3.6924),(3675,1425,-0.020157,3.6927),(3675,1435,-0.020604,3.6931),(3675,1445,-0.021051,3.6934),(3675,1455,-0.021511,3.6938),(3675,1465,-0.021971,3.6941),(3675,1475,-0.022431,3.6945),(3675,1485,-0.022891,3.6949),(3675,1495,-0.023364,3.6952),(3675,1505,-0.023836,3.6956),(3675,1515,-0.024309,3.696),(3675,1525,-0.024782,3.6965),(3675,1535,-0.025268,3.6969),(3675,1545,-0.025754,3.6973),(3675,1555,-0.026239,3.6977),(3675,1565,-0.026726,3.6982),(3675,1575,-0.027227,3.6986),(3675,1585,-0.027727,3.6991),(3675,1595,-0.028228,3.6996),(3675,1605,-0.02873,3.7001),(3675,1615,-0.029247,3.7005),(3675,1625,-0.029765,3.701),(3675,1635,-0.030282,3.7015),(3675,1645,-0.030803,3.7021),(3675,1655,-0.031341,3.7026),(3675,1665,-0.031879,3.7031),(3675,1675,-0.032417,3.7036),(3675,1685,-0.032959,3.7042),(3675,1695,-0.033522,3.7047),(3675,1705,-0.034085,3.7053),(3675,1715,-0.034648,3.7059),(3675,1725,-0.035218,3.7065),(3675,1735,-0.035811,3.707),(3675,1745,-0.036405,3.7076),(3675,1755,-0.036998,3.7083),(3675,1765,-0.037602,3.7089),(3675,1775,-0.038233,3.7095),(3675,1785,-0.038864,3.7101),(3675,1795,-0.039495,3.7108),(3675,1805,-0.04014,3.7114),(3675,1815,-0.040817,3.712),(3675,1825,-0.041493,3.7127),(3675,1835,-0.04217,3.7134),(3675,1845,-0.042866,3.7141),(3675,1855,-0.043598,3.7148),(3675,1865,-0.04433,3.7155),(3675,1875,-0.045062,3.7162),(3675,1885,-0.045819,3.7169),(3675,1895,-0.046617,3.7176),(3675,1905,-0.047416,3.7184),(3675,1915,-0.048214,3.7191),(3675,1925,-0.049046,3.7199),(3675,1935,-0.049923,3.7207),(3675,1945,-0.050801,3.7215),(3675,1955,-0.051678,3.7223),(3675,1965,-0.052599,3.7231),(3675,1975,-0.053571,3.7239),(3675,1985,-0.054543,3.7247),(3675,1995,-0.055515,3.7256),(3675,2005,-0.056542,3.7265),(3675,2015,-0.057626,3.7274),(3675,2025,-0.058709,3.7283),(3675,2035,-0.059792,3.7292),(3675,2045,-0.060947,3.7302),(3675,2055,-0.062162,3.7311),(3675,2065,-0.063377,3.7321),(3675,2075,-0.064592,3.7331),(3675,2085,-0.065898,3.7342),(3675,2095,-0.067268,3.7352),(3675,2105,-0.068639,3.7363),(3675,2115,-0.07001,3.7374),(3675,2125,-0.071494,3.7385),(3675,2135,-0.073048,3.7396),(3675,2145,-0.074603,3.7409),(3675,2155,-0.076157,3.7421),(3675,2165,-0.077854,3.7434),(3675,2175,-0.079624,3.7446),(3675,2185,-0.081395,3.746),(3675,2195,-0.083166,3.7474),(3675,2205,-0.085115,3.7488),(3675,2215,-0.087142,3.7502),(3675,2225,-0.089168,3.7517),(3675,2235,-0.091194,3.7533),(3675,2245,-0.093444,3.7549),(3675,2255,-0.095772,3.7565),(3675,2265,-0.098101,3.7583),(3675,2275,-0.10043,3.7601),(3675,2285,-0.10304,3.762),(3675,2295,-0.10572,3.7638),(3675,2305,-0.10841,3.7659),(3675,2315,-0.11109,3.7681),(3675,2325,-0.11413,3.7702),(3675,2335,-0.11724,3.7724),(3675,2345,-0.12035,3.7749),(3675,2355,-0.12345,3.7774),(3675,2365,-0.12699,3.78),(3675,2375,-0.1306,3.7826),(3675,2385,-0.13421,3.7856),(3675,2395,-0.13782,3.7887),(3675,2405,-0.14196,3.7918),(3675,2415,-0.14617,3.7949),(3675,2425,-0.15037,3.7987),(3675,2435,-0.15457,3.8025),(3675,2445,-0.15942,3.8063),(3675,2455,-0.16432,3.8101),(3675,2465,-0.16921,3.8149),(3675,2475,-0.17411,3.8197),(3675,2485,-0.17978,3.8245),(3675,2495,-0.18547,3.8293),(3675,2505,-0.19117,3.8354),(3675,2515,-0.19687,3.8415),(3675,2525,-0.20346,3.8477),(3675,2535,-0.21004,3.8539),(3675,2545,-0.21663,3.8619),(3675,2555,-0.22326,3.8699),(3675,2565,-0.23077,3.878),(3675,2575,-0.23828,3.8862),(3675,2585,-0.24579,3.8969),(3675,2595,-0.25337,3.9076),(3675,2605,-0.26166,3.9183),(3675,2615,-0.26995,3.9294),(3675,2625,-0.27825,3.944),(3675,2635,-0.28657,3.9586),(3675,2645,-0.2951,3.9731),(3675,2655,-0.30362,3.9885),(3675,2665,-0.31215,4.0086),(3675,2675,-0.32046,4.0287),(3675,2685,-0.32773,4.0487),(3675,2695,-0.335,4.0703),(3675,2705,-0.34227,4.098),(3675,2715,-0.34864,4.1257),(3675,2725,-0.35165,4.1535),(3675,2735,-0.35466,4.1838),(3675,2745,-0.35767,4.2228),(3675,2755,-0.35517,4.2619),(3675,2765,-0.33638,4.3009),(3675,2775,-0.31758,4.3371),(3675,2785,-0.29878,4.3661),(3675,2795,-0.27813,4.395),(3675,2805,-0.25299,4.424),(3675,2815,-0.22784,4.4502),(3675,2825,-0.20269,4.4702),(3675,2835,-0.17698,4.4903),(3675,2845,-0.15011,4.5104),(3675,2855,-0.12324,4.5282),(3675,2865,-0.096366,4.5418),(3675,2875,-0.069468,4.5554),(3675,2885,-0.042522,4.569),(3675,2895,-0.015576,4.5808),(3675,2905,0.01137,4.5897),(3675,2915,0.03812,4.5986),(3675,2925,0.064587,4.6076),(3675,2935,0.091054,4.615),(3675,2945,0.11752,4.6205),(3675,2955,0.14374,4.6259),(3675,2965,0.16964,4.6314),(3675,2975,0.19555,4.6356),(3675,2985,0.22145,4.6385),(3675,2995,0.24714,4.6413),(3675,3005,0.27259,4.6441),(3675,3015,0.29805,4.6458),(3675,3025,0.32351,4.6465),(3675,3035,0.34883,4.6472),(3675,3045,0.37403,4.6479),(3675,3055,0.39924,4.6476),(3675,3065,0.42444,4.6465),(3675,3075,0.44963,4.6454),(3675,3085,0.4748,4.6442),(3675,3095,0.49998,4.6421),(3675,3105,0.52515,4.6394),(3675,3115,0.55046,4.6366),(3675,3125,0.57584,4.6338),(3675,3135,0.60123,4.6301),(3675,3145,0.62662,4.6257),(3675,3155,0.65231,4.6214),(3675,3165,0.67816,4.6171),(3675,3175,0.70401,4.6116),(3675,3185,0.72987,4.6057),(3675,3195,0.75622,4.5997),(3675,3205,0.7828,4.5938),(3675,3215,0.80939,4.5866),(3675,3225,0.83597,4.5789),(3675,3235,0.86329,4.5712),(3675,3245,0.89089,4.5636),(3675,3255,0.91848,4.5544),(3675,3265,0.94608,4.5448),(3675,3275,0.9747,4.5351),(3675,3285,1.0036,4.5254),(3675,3295,1.0325,4.514),(3675,3305,1.0615,4.502),(3675,3315,1.0917,4.49),(3675,3325,1.1223,4.478),(3675,3335,1.1529,4.4636),(3675,3345,1.1835,4.4488),(3675,3355,1.2158,4.4339),(3675,3365,1.2484,4.419),(3675,3375,1.281,4.4009),(3675,3385,1.3136,4.3824),(3675,3395,1.3483,4.3638),(3675,3405,1.3833,4.3452),(3675,3415,1.4183,4.3222),(3675,3425,1.4533,4.2987),(3675,3435,1.4908,4.2753),(3675,3445,1.5284,4.2518),(3675,3455,1.5661,4.222),(3675,3465,1.6038,4.1918),(3675,3475,1.6441,4.1617),(3675,3485,1.6844,4.1315),(3675,3495,1.7248,4.092),(3675,3505,1.7652,4.0524),(3675,3515,1.8076,4.0128),(3675,3525,1.8501,3.9729),(3675,3535,1.8926,3.9197),(3675,3545,1.935,3.8664),(3675,3555,1.9772,3.8132),(3675,3565,2.0194,3.7587),(3675,3575,2.0616,3.6855),(3675,3585,2.1032,3.6123),(3675,3595,2.1385,3.5391),(3675,3605,2.1738,3.4627),(3675,3615,2.209,3.3598),(3675,3625,2.2396,3.2569),(3675,3635,2.2371,3.154),(3675,3645,2.2345,3.05),(3675,3655,2.232,2.9398),(3675,3665,2.2194,2.8296),(3675,3675,2.1557,2.7194),(3675,3685,2.092,2.6196),(3675,3695,2.0283,2.566),(3675,3705,1.9683,2.5124),(3675,3715,1.9224,2.4588),(3675,3725,1.8766,2.4082),(3675,3735,1.8307,2.368),(3675,3745,1.7859,2.3278),(3675,3755,1.7445,2.2876),(3675,3765,1.703,2.2498),(3675,3775,1.6615,2.2189),(3675,3785,1.6212,2.188),(3675,3795,1.5838,2.157),(3675,3805,1.5464,2.1281),(3675,3815,1.509,2.1039),(3675,3825,1.4728,2.0796),(3675,3835,1.4391,2.0554),(3675,3845,1.4054,2.0329),(3675,3855,1.3717,2.0138),(3675,3865,1.3391,1.9948),(3675,3875,1.3087,1.9757),(3675,3885,1.2782,1.9582),(3675,3895,1.2478,1.9433),(3675,3905,1.2184,1.9285),(3675,3915,1.1907,1.9136),(3675,3925,1.163,1.9003),(3675,3935,1.1354,1.889),(3675,3945,1.1086,1.8778),(3675,3955,1.0831,1.8666),(3675,3965,1.0575,1.8569),(3675,3975,1.032,1.8489),(3675,3985,1.0072,1.8409),(3675,3995,0.98316,1.833),(3675,4005,0.95914,1.8263),(3675,4015,0.93511,1.8209),(3675,4025,1.2448,1.8156),(3675,4035,1.5871,1.8079),(3675,4045,1.9294,1.7955),(3675,4055,2.1732,1.7831),(3675,4065,2.381,1.7701),(3675,4075,2.5888,1.753),(3675,4085,2.6787,1.7359),(3675,4095,2.6739,1.7189),(3675,4105,2.6691,1.7024),(3675,4115,2.5806,1.686),(3675,4125,2.3534,1.6696),(3675,4135,2.1262,1.6575),(3675,4145,1.8965,1.6467),(3675,4155,1.657,1.6358),(3675,4165,1.4175,1.6287),(3675,4175,1.1914,1.624),(3675,4185,1.6268,1.6192),(3675,4195,2.0622,1.6101),(3675,4205,2.4976,1.5953),(3675,4215,2.5623,1.5804),(3675,4225,2.5572,1.5656),(3675,4235,2.5521,1.5509),(3675,4245,2.5293,1.5362),(3675,4255,2.4976,1.5214),(3675,4265,2.4659,1.5049),(3675,4275,2.1679,1.4883),(3675,4285,1.5872,1.4718),(3675,4295,1.0065,1.4695),(3675,4305,0.76104,1.4689),(3675,4315,1.2727,1.4682),(3675,4325,1.7843,1.4591),(3675,4335,2.2388,1.4466),(3675,4345,2.3064,1.4341),(3675,4355,2.374,1.4207),(3675,4365,2.4416,1.4066),(3675,4375,2.444,1.3924),(3675,4385,2.4429,1.3783),(3675,4395,2.4418,1.3642),(3675,4405,2.1445,1.3502),(3675,4415,1.7598,1.3377),(3675,4425,1.3751,1.3325),(3675,4435,1.2105,1.3274),(3675,4445,1.1963,1.3222),(3675,4455,1.1821,1.3176),(3675,4465,1.3315,1.3131),(3675,4475,1.7109,1.3085),(3675,4485,2.0902,1.297),(3675,4495,2.3792,1.2841),(3675,4505,2.3785,1.2712),(3675,4515,2.3778,1.2583),(3675,4525,2.3724,1.2456),(3675,4535,2.2928,1.2329),(3675,4545,2.2133,1.2208),(3675,4555,2.1337,1.2095),(3675,4565,1.6314,1.1982),(3675,4575,1.072,1.1902),(3675,4585,0.51265,1.1905),(3675,4595,0.76431,1.1908),(3675,4605,1.3586,1.1894),(3675,4615,1.953,1.1749),(3675,4625,2.2475,1.1604),(3675,4635,2.2707,1.146),(3675,4645,2.2938,1.1337),(3675,4655,2.3094,1.1216),(3675,4665,2.3109,1.1095),(3675,4675,2.3123,1.0976),(3675,4685,2.2336,1.0858),(3675,4695,1.7586,1.074),(3675,4705,1.2835,1.0672),(3675,4715,0.80846,1.0641),(3675,4725,1.0306,1.0609),(3675,4735,1.2597,1.0563),(3675,4745,1.4888,1.0497),(3675,4755,1.7233,1.043),(3675,4765,1.9591,1.0355),(3675,4775,2.1949,1.0249),(3675,4785,2.2813,1.0144),(3675,4795,2.2814,1.0039),(3675,4805,2.2815,0.99344),(3675,4815,2.1718,0.98302),(3675,4825,1.9308,0.97261),(3675,4835,1.6898,0.96552),(3675,4845,1.4459,0.95895),(3675,4855,1.194,0.95237),(3675,4865,0.94208,0.94857),(3675,4875,0.76326,0.94602),(3675,4885,1.2493,0.94347),(3675,4895,1.7353,0.93684),(3675,4905,2.2213,0.92629),(3675,4915,2.2601,0.91575),(3675,4925,2.2604,0.90523),(3675,4935,2.2608,0.89475),(3675,4945,2.2513,0.88427),(3675,4955,2.2385,0.87355),(3675,4965,2.2257,0.86151),(3675,4975,1.8567,0.84948),(3675,4985,1.2127,0.83745),(3675,4995,0.56864,0.83723),(3675,5005,0.36258,0.83732),(3675,5015,0.85278,0.83741),(3675,5025,1.343,0.83144),(3675,5035,1.7653,0.82393),(3675,5045,1.9287,0.81643),(3675,5055,2.0922,0.80735),(3675,5065,2.2508,0.7973),(3675,5075,2.2517,0.78725),(3675,5085,2.2526,0.77727),(3675,5095,2.2535,0.76739),(3675,5105,1.9693,0.7575),(3675,5115,1.6355,0.74893),(3675,5125,1.3016,0.74407),(3675,5135,1.1327,0.73921),(3675,5145,1.0438,0.73448),(3675,5155,0.95496,0.7312),(3675,5165,1.121,0.72791),(3675,5175,1.5469,0.72462),(3675,5185,1.9729,0.7161),(3675,5195,2.264,0.70703),(3675,5205,2.2644,0.69796),(3675,5215,2.2647,0.68899),(3675,5225,2.2533,0.68007),(3675,5235,2.1691,0.67114),(3675,5245,2.0848,0.66286),(3675,5255,2.0006,0.6551),(3675,5265,1.4094,0.64735),(3675,5275,0.79735,0.64252),(3675,5285,0.18528,0.64265),(3675,5295,0.59152,0.64278),(3675,5305,1.2813,0.64125),(3675,5315,1.9712,0.63277),(3675,5325,2.2482,0.62429),(3675,5335,2.2547,0.61583),(3675,5345,2.2611,0.6084),(3675,5355,2.2646,0.60097),(3675,5365,2.2642,0.59354),(3675,5375,2.2639,0.58622),(3675,5385,2.1343,0.57892),(3675,5395,1.6117,0.57162),(3675,5405,1.0891,0.56799),(3675,5415,0.6222,0.56625),(3675,5425,0.90407,0.56452),(3675,5435,1.1859,0.56238),(3675,5445,1.4678,0.55981),(3675,5455,1.7427,0.55723),(3675,5465,2.0167,0.55416),(3675,5475,2.2908,0.54996),(3675,5485,2.368,0.54576),(3675,5495,2.366,0.54157),(3675,5505,2.364,0.53745),(3675,5515,2.3621,0.53333),(3675,5525,2.3602,0.52921),(3675,5535,2.3583,0.52515),(3675,5545,2.3564,0.5211),(3675,5555,2.3546,0.51704),(3675,5565,2.3528,0.51304),(3675,5575,2.3509,0.50904),(3675,5585,2.3492,0.50505),(3675,5595,2.3474,0.50108),(3675,5605,2.3456,0.49713),(3675,5615,2.3439,0.49317),(3675,5625,2.3422,0.48924),(3675,5635,2.3405,0.48532),(3675,5645,2.3389,0.48141),(3675,5655,2.3372,0.4775),(3675,5665,2.3356,0.47361),(3675,5675,2.334,0.46972),(3675,5685,2.3324,0.46583),(3675,5695,2.3308,0.46196),(3675,5705,2.3292,0.45809),(3675,5715,2.3276,0.45423),(3675,5725,2.3261,0.45037),(3675,5735,2.3245,0.44652),(3675,5745,2.323,0.44267),(3675,5755,2.3215,0.43882),(3675,5765,2.32,0.43496),(3675,5775,2.3185,0.4311),(3675,5785,2.317,0.42725),(3675,5795,2.3155,0.4234),(3675,5805,2.3141,0.41954),(3675,5815,2.3126,0.41569),(3675,5825,2.3112,0.41184),(3675,5835,2.3097,0.40799),(3675,5845,2.3083,0.40414),(3675,5855,2.3068,0.4003),(3675,5865,2.3054,0.39645),(3675,5875,2.304,0.3926),(3675,5885,2.3026,0.38877),(3675,5895,2.3012,0.38493),(3675,5905,2.2998,0.3811),(3675,5915,2.2984,0.37727),(3675,5925,2.2969,0.37344),(3675,5935,2.2955,0.36961),(3675,5945,2.2941,0.36579),(3675,5955,2.2927,0.36197),(3675,5965,2.2913,0.35816),(3675,5975,2.2899,0.35435),(3675,5985,2.2885,0.35054),(3675,5995,1.7494,0.34673),(3675,6005,1.1238,0.34384),(3675,6015,0.49823,0.34341),(3675,6025,0.65713,0.34297),(3675,6035,1.1799,0.34212),(3675,6045,1.7026,0.33731),(3675,6055,2.0645,0.3325),(3675,6065,2.2687,0.3277),(3675,6075,2.4728,0.32142),(3675,6085,2.6104,0.31502),(3675,6095,2.6109,0.30861),(3675,6105,2.6113,0.30219),(3675,6115,2.6118,0.29576),(3675,6125,2.6122,0.28933),(3675,6135,2.6126,0.28294),(3675,6145,2.613,0.27657),(3675,6155,2.6134,0.27019),(3675,6165,2.6137,0.26387),(3675,6175,2.6141,0.25761),(3675,6185,2.6144,0.25135),(3675,6195,2.6147,0.24511),(3675,6205,2.615,0.23894),(3675,6215,2.6153,0.23278),(3675,6225,2.6155,0.22662),(3675,6235,2.6158,0.22052),(3675,6245,2.616,0.21443),(3675,6255,2.6162,0.20834),(3675,6265,2.6164,0.20229),(3675,6275,2.6166,0.19626),(3675,6285,2.6168,0.19022),(3675,6295,2.6169,0.18425),(3675,6305,2.6171,0.17832),(3675,6315,2.6172,0.17239),(3675,6325,2.6173,0.1665),(3675,6335,2.6175,0.16068),(3675,6345,2.6176,0.15485),(3675,6355,2.6177,0.14905),(3675,6365,2.6177,0.14332),(3675,6375,2.6178,0.13759),(3675,6385,2.6179,0.13186),(3675,6395,2.6179,0.12619),(3675,6405,2.618,0.12051),(3675,6415,2.618,0.11484),(3675,6425,2.6181,0.10919),(3675,6435,2.6181,0.10354),(3675,6445,2.6181,0.097896),(3675,6455,2.6182,0.092326),(3675,6465,2.6182,0.086778),(3675,6475,2.6182,0.08123),(3675,6485,2.6182,0.075699),(3675,6495,2.6183,0.07018),(3675,6505,2.6183,0.06466),(3675,6515,2.6183,0.059161),(3675,6525,2.6183,0.05369),(3675,6535,2.6183,0.04822),(3675,6545,2.6183,0.042754),(3675,6555,2.6183,0.037301),(3675,6565,2.6183,0.031849),(3675,6575,2.6183,0.026402),(3675,6585,2.6184,0.021042),(3675,6595,2.2271,0.015683),(3675,6605,1.4037,0.010323),(3675,6615,0.5804,0.009687),(3675,6625,0.001617,0.009659),(3675,6635,0.001616,0.00963),(3675,6645,0.001615,0.009618),(3675,6655,0.001613,0.009614),(3675,6665,0.001613,0.009609),(3675,6675,0.001612,0.009604),(3675,6685,0.001611,0.009599),(3675,6695,0.00161,0.009595),(3675,6705,0.00161,0.00959),(3675,6715,0.00161,0.009584),(3675,6725,0.001609,0.009579),(3675,6735,0.001609,0.009574),(3675,6745,0.001608,0.009569),(3675,6755,0.001608,0.009563),(3675,6765,0.001608,0.009557),(3675,6775,0.001608,0.009552),(3675,6785,0.001608,0.009546),(3675,6795,0.001608,0.00954),(3675,6805,0.001608,0.009534),(3675,6815,0.001608,0.009528),(3675,6825,0.001608,0.009521),(3675,6835,0.001608,0.009515),(3675,6845,0.001608,0.009509),(3675,6855,0.001608,0.009502),(3675,6865,0.001609,0.009496),(3675,6875,0.001609,0.009489),(3675,6885,0.001609,0.009482),(3675,6895,0.001609,0.009476),(3675,6905,0.00161,0.009469),(3675,6915,0.00161,0.009462),(3675,6925,0.00161,0.009455),(3675,6935,0.00161,0.009448),(3675,6945,0.001611,0.009441),(3675,6955,0.001611,0.009434),(3675,6965,0.001611,0.009427),(3675,6975,0.001612,0.009419),(3675,6985,0.001612,0.009412),(3685,5,6e-06,3.6689),(3685,15,1.8e-05,3.6689),(3685,25,3.1e-05,3.6689),(3685,35,4.3e-05,3.6689),(3685,45,5.5e-05,3.6689),(3685,55,6.7e-05,3.6689),(3685,65,7.8e-05,3.6689),(3685,75,9e-05,3.6689),(3685,85,0.000101,3.6688),(3685,95,0.000113,3.6688),(3685,105,0.000123,3.6688),(3685,115,0.000134,3.6688),(3685,125,0.000144,3.6688),(3685,135,0.000155,3.6688),(3685,145,0.000164,3.6688),(3685,155,0.000173,3.6688),(3685,165,0.000182,3.6688),(3685,175,0.000191,3.6688),(3685,185,0.000199,3.6688),(3685,195,0.000206,3.6687),(3685,205,0.000213,3.6687),(3685,215,0.000221,3.6687),(3685,225,0.000226,3.6687),(3685,235,0.000231,3.6687),(3685,245,0.000235,3.6687),(3685,255,0.00024,3.6687),(3685,265,0.000242,3.6686),(3685,275,0.000244,3.6686),(3685,285,0.000246,3.6686),(3685,295,0.000247,3.6686),(3685,305,0.000246,3.6686),(3685,315,0.000244,3.6685),(3685,325,0.000242,3.6685),(3685,335,0.00024,3.6685),(3685,345,0.000235,3.6685),(3685,355,0.000229,3.6684),(3685,365,0.000223,3.6684),(3685,375,0.000217,3.6684),(3685,385,0.000207,3.6684),(3685,395,0.000196,3.6683),(3685,405,0.000185,3.6683),(3685,415,0.000174,3.6683),(3685,425,0.000158,3.6683),(3685,435,0.000142,3.6682),(3685,445,0.000126,3.6682),(3685,455,0.000109,3.6682),(3685,465,8.7e-05,3.6681),(3685,475,6.4e-05,3.6681),(3685,485,4.1e-05,3.6681),(3685,495,1.8e-05,3.668),(3685,505,-1.2e-05,3.668),(3685,515,-4.2e-05,3.668),(3685,525,-7.2e-05,3.6679),(3685,535,-0.000103,3.6679),(3685,545,-0.000142,3.6679),(3685,555,-0.00018,3.6678),(3685,565,-0.000219,3.6678),(3685,575,-0.000258,3.6678),(3685,585,-0.000307,3.6677),(3685,595,-0.000355,3.6677),(3685,605,-0.000403,3.6676),(3685,615,-0.000453,3.6676),(3685,625,-0.000512,3.6676),(3685,635,-0.000571,3.6675),(3685,645,-0.00063,3.6675),(3685,655,-0.000691,3.6674),(3685,665,-0.000762,3.6674),(3685,675,-0.000833,3.6673),(3685,685,-0.000904,3.6673),(3685,695,-0.000978,3.6673),(3685,705,-0.001062,3.6672),(3685,715,-0.001147,3.6672),(3685,725,-0.001231,3.6671),(3685,735,-0.001319,3.6671),(3685,745,-0.001419,3.667),(3685,755,-0.001519,3.667),(3685,765,-0.001618,3.667),(3685,775,-0.001723,3.6669),(3685,785,-0.001839,3.6669),(3685,795,-0.001955,3.6668),(3685,805,-0.002071,3.6668),(3685,815,-0.002193,3.6668),(3685,825,-0.002328,3.6667),(3685,835,-0.002462,3.6667),(3685,845,-0.002596,3.6667),(3685,855,-0.002737,3.6666),(3685,865,-0.002891,3.6666),(3685,875,-0.003045,3.6665),(3685,885,-0.003199,3.6665),(3685,895,-0.003362,3.6665),(3685,905,-0.003537,3.6665),(3685,915,-0.003712,3.6664),(3685,925,-0.003887,3.6664),(3685,935,-0.004072,3.6664),(3685,945,-0.004269,3.6664),(3685,955,-0.004467,3.6664),(3685,965,-0.004665,3.6663),(3685,975,-0.004873,3.6663),(3685,985,-0.005095,3.6663),(3685,995,-0.005316,3.6663),(3685,1005,-0.005537,3.6663),(3685,1015,-0.005771,3.6663),(3685,1025,-0.006016,3.6663),(3685,1035,-0.006262,3.6663),(3685,1045,-0.006508,3.6664),(3685,1055,-0.006767,3.6664),(3685,1065,-0.007038,3.6664),(3685,1075,-0.007308,3.6664),(3685,1085,-0.007579,3.6665),(3685,1095,-0.007865,3.6665),(3685,1105,-0.008161,3.6666),(3685,1115,-0.008457,3.6666),(3685,1125,-0.008753,3.6667),(3685,1135,-0.009065,3.6667),(3685,1145,-0.009386,3.6668),(3685,1155,-0.009707,3.6669),(3685,1165,-0.010028,3.667),(3685,1175,-0.010365,3.6671),(3685,1185,-0.01071,3.6671),(3685,1195,-0.011055,3.6673),(3685,1205,-0.0114,3.6674),(3685,1215,-0.011761,3.6675),(3685,1225,-0.012129,3.6676),(3685,1235,-0.012497,3.6678),(3685,1245,-0.012864,3.6679),(3685,1255,-0.013248,3.6681),(3685,1265,-0.013637,3.6682),(3685,1275,-0.014026,3.6684),(3685,1285,-0.014415,3.6686),(3685,1295,-0.01482,3.6688),(3685,1305,-0.015228,3.669),(3685,1315,-0.015637,3.6692),(3685,1325,-0.016045,3.6694),(3685,1335,-0.016468,3.6696),(3685,1345,-0.016894,3.6698),(3685,1355,-0.01732,3.6701),(3685,1365,-0.017746,3.6704),(3685,1375,-0.018185,3.6706),(3685,1385,-0.018626,3.6709),(3685,1395,-0.019068,3.6712),(3685,1405,-0.019509,3.6715),(3685,1415,-0.019963,3.6718),(3685,1425,-0.020418,3.6721),(3685,1435,-0.020873,3.6724),(3685,1445,-0.021329,3.6727),(3685,1455,-0.021796,3.6731),(3685,1465,-0.022264,3.6734),(3685,1475,-0.022732,3.6738),(3685,1485,-0.0232,3.6742),(3685,1495,-0.023681,3.6745),(3685,1505,-0.024161,3.6749),(3685,1515,-0.024641,3.6753),(3685,1525,-0.025122,3.6757),(3685,1535,-0.025615,3.6762),(3685,1545,-0.026108,3.6766),(3685,1555,-0.026602,3.677),(3685,1565,-0.027096,3.6775),(3685,1575,-0.027603,3.6779),(3685,1585,-0.028111,3.6784),(3685,1595,-0.028618,3.6788),(3685,1605,-0.029128,3.6793),(3685,1615,-0.029652,3.6798),(3685,1625,-0.030176,3.6803),(3685,1635,-0.030701,3.6808),(3685,1645,-0.031228,3.6813),(3685,1655,-0.031772,3.6818),(3685,1665,-0.032317,3.6823),(3685,1675,-0.032862,3.6829),(3685,1685,-0.033411,3.6834),(3685,1695,-0.03398,3.684),(3685,1705,-0.034549,3.6845),(3685,1715,-0.035119,3.6851),(3685,1725,-0.035695,3.6857),(3685,1735,-0.036295,3.6862),(3685,1745,-0.036895,3.6868),(3685,1755,-0.037495,3.6874),(3685,1765,-0.038105,3.688),(3685,1775,-0.038743,3.6886),(3685,1785,-0.039381,3.6892),(3685,1795,-0.040019,3.6899),(3685,1805,-0.04067,3.6905),(3685,1815,-0.041354,3.6912),(3685,1825,-0.042038,3.6918),(3685,1835,-0.042722,3.6925),(3685,1845,-0.043426,3.6931),(3685,1855,-0.044165,3.6938),(3685,1865,-0.044905,3.6945),(3685,1875,-0.045645,3.6952),(3685,1885,-0.046411,3.6959),(3685,1895,-0.047218,3.6966),(3685,1905,-0.048025,3.6973),(3685,1915,-0.048832,3.6981),(3685,1925,-0.049673,3.6988),(3685,1935,-0.050561,3.6996),(3685,1945,-0.051449,3.7003),(3685,1955,-0.052337,3.7011),(3685,1965,-0.053269,3.7019),(3685,1975,-0.054253,3.7027),(3685,1985,-0.055236,3.7035),(3685,1995,-0.05622,3.7044),(3685,2005,-0.057261,3.7052),(3685,2015,-0.058359,3.7061),(3685,2025,-0.059456,3.707),(3685,2035,-0.060554,3.7079),(3685,2045,-0.061725,3.7088),(3685,2055,-0.062957,3.7097),(3685,2065,-0.06419,3.7106),(3685,2075,-0.065423,3.7116),(3685,2085,-0.066747,3.7126),(3685,2095,-0.06814,3.7136),(3685,2105,-0.069532,3.7146),(3685,2115,-0.070924,3.7157),(3685,2125,-0.072433,3.7168),(3685,2135,-0.074013,3.7179),(3685,2145,-0.075594,3.719),(3685,2155,-0.077175,3.7202),(3685,2165,-0.078903,3.7214),(3685,2175,-0.080707,3.7226),(3685,2185,-0.082511,3.7239),(3685,2195,-0.084315,3.7253),(3685,2205,-0.086304,3.7266),(3685,2215,-0.088372,3.7279),(3685,2225,-0.090441,3.7294),(3685,2235,-0.092509,3.7309),(3685,2245,-0.09481,3.7324),(3685,2255,-0.097192,3.734),(3685,2265,-0.099575,3.7357),(3685,2275,-0.10196,3.7374),(3685,2285,-0.10463,3.7392),(3685,2295,-0.10739,3.7409),(3685,2305,-0.11014,3.7429),(3685,2315,-0.1129,3.745),(3685,2325,-0.11602,3.747),(3685,2335,-0.11922,3.7491),(3685,2345,-0.12242,3.7514),(3685,2355,-0.12563,3.7539),(3685,2365,-0.12928,3.7563),(3685,2375,-0.13302,3.7587),(3685,2385,-0.13675,3.7616),(3685,2395,-0.14048,3.7646),(3685,2405,-0.14478,3.7675),(3685,2415,-0.14915,3.7705),(3685,2425,-0.15352,3.7741),(3685,2435,-0.15789,3.7777),(3685,2445,-0.16296,3.7814),(3685,2455,-0.16809,3.785),(3685,2465,-0.17321,3.7896),(3685,2475,-0.17833,3.7941),(3685,2485,-0.18433,3.7987),(3685,2495,-0.19034,3.8033),(3685,2505,-0.19635,3.8092),(3685,2515,-0.20238,3.8151),(3685,2525,-0.20942,3.8211),(3685,2535,-0.21646,3.827),(3685,2545,-0.22351,3.8348),(3685,2555,-0.23061,3.8426),(3685,2565,-0.23878,3.8504),(3685,2575,-0.24694,3.8584),(3685,2585,-0.25511,3.8689),(3685,2595,-0.26338,3.8794),(3685,2605,-0.27264,3.8899),(3685,2615,-0.2819,3.9009),(3685,2625,-0.29116,3.9154),(3685,2635,-0.30051,3.9299),(3685,2645,-0.31045,3.9443),(3685,2655,-0.32039,3.9597),(3685,2665,-0.33034,3.9801),(3685,2675,-0.34017,4.0005),(3685,2685,-0.34947,4.0209),(3685,2695,-0.35877,4.0429),(3685,2705,-0.36807,4.0718),(3685,2715,-0.3767,4.1007),(3685,2725,-0.38287,4.1297),(3685,2735,-0.38904,4.1618),(3685,2745,-0.3952,4.2043),(3685,2755,-0.39437,4.2468),(3685,2765,-0.37282,4.2893),(3685,2775,-0.35126,4.3285),(3685,2785,-0.32971,4.3589),(3685,2795,-0.30643,4.3893),(3685,2805,-0.27898,4.4197),(3685,2815,-0.25153,4.447),(3685,2825,-0.22407,4.4675),(3685,2835,-0.19628,4.488),(3685,2845,-0.1678,4.5085),(3685,2855,-0.13932,4.5266),(3685,2865,-0.11084,4.5402),(3685,2875,-0.082508,4.5539),(3685,2885,-0.05444,4.5675),(3685,2895,-0.026372,4.5792),(3685,2905,0.001696,4.588),(3685,2915,0.029434,4.5968),(3685,2925,0.056699,4.6056),(3685,2935,0.083964,4.6129),(3685,2945,0.11123,4.6183),(3685,2955,0.13815,4.6236),(3685,2965,0.16464,4.6289),(3685,2975,0.19114,4.633),(3685,2985,0.21763,4.6357),(3685,2995,0.24384,4.6384),(3685,3005,0.26975,4.6411),(3685,3015,0.29567,4.6428),(3685,3025,0.32158,4.6434),(3685,3035,0.34732,4.644),(3685,3045,0.3729,4.6446),(3685,3055,0.39848,4.6443),(3685,3065,0.42406,4.6432),(3685,3075,0.4496,4.642),(3685,3085,0.4751,4.6409),(3685,3095,0.50061,4.6388),(3685,3105,0.52612,4.6361),(3685,3115,0.55175,4.6334),(3685,3125,0.57745,4.6307),(3685,3135,0.60315,4.627),(3685,3145,0.62886,4.6228),(3685,3155,0.65487,4.6186),(3685,3165,0.68104,4.6144),(3685,3175,0.70722,4.6091),(3685,3185,0.73339,4.6033),(3685,3195,0.76009,4.5976),(3685,3205,0.78702,4.5918),(3685,3215,0.81395,4.5849),(3685,3225,0.84089,4.5774),(3685,3235,0.8686,4.57),(3685,3245,0.8966,4.5626),(3685,3255,0.92461,4.5538),(3685,3265,0.95261,4.5444),(3685,3275,0.9817,4.5351),(3685,3285,1.0111,4.5258),(3685,3295,1.0405,4.5147),(3685,3305,1.0699,4.5032),(3685,3315,1.1008,4.4916),(3685,3325,1.132,4.48),(3685,3335,1.1632,4.4661),(3685,3345,1.1944,4.4518),(3685,3355,1.2275,4.4374),(3685,3365,1.261,4.4231),(3685,3375,1.2944,4.4056),(3685,3385,1.3278,4.3876),(3685,3395,1.3637,4.3697),(3685,3405,1.3998,4.3517),(3685,3415,1.4359,4.3294),(3685,3425,1.472,4.3066),(3685,3435,1.511,4.2838),(3685,3445,1.5503,4.261),(3685,3455,1.5895,4.2319),(3685,3465,1.6287,4.2024),(3685,3475,1.6713,4.1729),(3685,3485,1.714,4.1434),(3685,3495,1.7566,4.1045),(3685,3505,1.7993,4.0655),(3685,3515,1.8452,4.0264),(3685,3525,1.891,3.987),(3685,3535,1.9369,3.9337),(3685,3545,1.9828,3.8805),(3685,3555,2.0302,3.8272),(3685,3565,2.0776,3.7726),(3685,3575,2.125,3.6976),(3685,3585,2.172,3.6227),(3685,3595,2.2154,3.5478),(3685,3605,2.2588,3.4693),(3685,3615,2.3022,3.36),(3685,3625,2.3402,3.2508),(3685,3635,2.3398,3.1416),(3685,3645,2.3395,3.031),(3685,3655,2.3391,2.9124),(3685,3665,2.3258,2.7937),(3685,3675,2.2465,2.6751),(3685,3685,2.1671,2.5686),(3685,3695,2.0877,2.5163),(3685,3705,2.0145,2.464),(3685,3715,1.9655,2.4117),(3685,3725,1.9164,2.3624),(3685,3735,1.8673,2.3233),(3685,3745,1.8196,2.2843),(3685,3755,1.7759,2.2452),(3685,3765,1.7323,2.2085),(3685,3775,1.6886,2.1786),(3685,3785,1.6463,2.1487),(3685,3795,1.6073,2.1188),(3685,3805,1.5684,2.0909),(3685,3815,1.5294,2.0676),(3685,3825,1.4917,2.0443),(3685,3835,1.4568,2.021),(3685,3845,1.4219,1.9994),(3685,3855,1.387,1.9812),(3685,3865,1.3534,1.9629),(3685,3875,1.322,1.9447),(3685,3885,1.2906,1.928),(3685,3895,1.2592,1.9138),(3685,3905,1.229,1.8996),(3685,3915,1.2005,1.8854),(3685,3925,1.172,1.8727),(3685,3935,1.1434,1.8621),(3685,3945,1.1159,1.8514),(3685,3955,1.0897,1.8407),(3685,3965,1.0634,1.8315),(3685,3975,1.0372,1.8239),(3685,3985,1.0117,1.8163),(3685,3995,0.98703,1.8087),(3685,4005,0.96238,1.8024),(3685,4015,0.93773,1.7973),(3685,4025,1.2485,1.7921),(3685,4035,1.592,1.7847),(3685,4045,1.9356,1.7725),(3685,4055,2.1803,1.7602),(3685,4065,2.389,1.7473),(3685,4075,2.5977,1.7303),(3685,4085,2.6879,1.7134),(3685,4095,2.6829,1.6964),(3685,4105,2.6779,1.6801),(3685,4115,2.5889,1.6639),(3685,4125,2.3606,1.6476),(3685,4135,2.1322,1.6357),(3685,4145,1.9015,1.625),(3685,4155,1.6607,1.6142),(3685,4165,1.42,1.6073),(3685,4175,1.1927,1.6027),(3685,4185,1.63,1.5981),(3685,4195,2.0673,1.5892),(3685,4205,2.5046,1.5745),(3685,4215,2.5696,1.5598),(3685,4225,2.5644,1.5452),(3685,4235,2.5592,1.5307),(3685,4245,2.5369,1.5163),(3685,4255,2.5058,1.5017),(3685,4265,2.4748,1.4853),(3685,4275,2.1755,1.4689),(3685,4285,1.5915,1.4526),(3685,4295,1.0075,1.4505),(3685,4305,0.76052,1.45),(3685,4315,1.2744,1.4495),(3685,4325,1.7883,1.4405),(3685,4335,2.2448,1.4281),(3685,4345,2.3127,1.4158),(3685,4355,2.3806,1.4025),(3685,4365,2.4486,1.3885),(3685,4375,2.4509,1.3744),(3685,4385,2.4498,1.3604),(3685,4395,2.4487,1.3465),(3685,4405,2.1501,1.3325),(3685,4415,1.7637,1.3202),(3685,4425,1.3774,1.3151),(3685,4435,1.212,1.31),(3685,4445,1.1976,1.305),(3685,4455,1.1832,1.3005),(3685,4465,1.3332,1.2961),(3685,4475,1.714,1.2916),(3685,4485,2.0948,1.2803),(3685,4495,2.385,1.2675),(3685,4505,2.3842,1.2547),(3685,4515,2.3834,1.242),(3685,4525,2.3779,1.2294),(3685,4535,2.2982,1.2168),(3685,4545,2.2184,1.2049),(3685,4555,2.1387,1.1937),(3685,4565,1.6346,1.1826),(3685,4575,1.0733,1.1747),(3685,4585,0.51194,1.175),(3685,4595,0.76499,1.1753),(3685,4605,1.3621,1.174),(3685,4615,1.9593,1.1596),(3685,4625,2.2548,1.1453),(3685,4635,2.2771,1.131),(3685,4645,2.2994,1.1188),(3685,4655,2.3145,1.1068),(3685,4665,2.3159,1.0948),(3685,4675,2.3172,1.0831),(3685,4685,2.2382,1.0714),(3685,4695,1.7619,1.0597),(3685,4705,1.2855,1.0529),(3685,4715,0.80922,1.0498),(3685,4725,1.0317,1.0467),(3685,4735,1.2612,1.0422),(3685,4745,1.4908,1.0356),(3685,4755,1.7258,1.029),(3685,4765,1.962,1.0215),(3685,4775,2.1983,1.0111),(3685,4785,2.2849,1.0006),(3685,4795,2.285,0.99018),(3685,4805,2.285,0.97982),(3685,4815,2.1751,0.96947),(3685,4825,1.9337,0.95911),(3685,4835,1.6922,0.95207),(3685,4845,1.4477,0.94554),(3685,4855,1.1953,0.93902),(3685,4865,0.94294,0.93526),(3685,4875,0.76377,0.93277),(3685,4885,1.2508,0.93027),(3685,4895,1.7379,0.9237),(3685,4905,2.225,0.91323),(3685,4915,2.2639,0.90275),(3685,4925,2.2642,0.8923),(3685,4935,2.2645,0.8819),(3685,4945,2.2554,0.8715),(3685,4955,2.2431,0.86086),(3685,4965,2.2308,0.84896),(3685,4975,1.8609,0.83705),(3685,4985,1.215,0.82514),(3685,4995,0.56917,0.82496),(3685,5005,0.36232,0.82508),(3685,5015,0.85344,0.8252),(3685,5025,1.3446,0.8193),(3685,5035,1.7676,0.81187),(3685,5045,1.9314,0.80444),(3685,5055,2.0952,0.79545),(3685,5065,2.2541,0.78549),(3685,5075,2.2549,0.77553),(3685,5085,2.2558,0.76564),(3685,5095,2.2566,0.75584),(3685,5105,1.9719,0.74604),(3685,5115,1.6375,0.73755),(3685,5125,1.3031,0.73274),(3685,5135,1.1338,0.72793),(3685,5145,1.0447,0.72326),(3685,5155,0.95565,0.72002),(3685,5165,1.1218,0.71678),(3685,5175,1.5483,0.71354),(3685,5185,1.9748,0.7051),(3685,5195,2.2663,0.69612),(3685,5205,2.2666,0.68715),(3685,5215,2.2669,0.67828),(3685,5225,2.2554,0.66944),(3685,5235,2.1711,0.6606),(3685,5245,2.0868,0.6524),(3685,5255,2.0024,0.64472),(3685,5265,1.4106,0.63705),(3685,5275,0.79786,0.63227),(3685,5285,0.18513,0.63241),(3685,5295,0.59174,0.63255),(3685,5305,1.2822,0.63105),(3685,5315,1.9727,0.62271),(3685,5325,2.2498,0.61437),(3685,5335,2.2559,0.60604),(3685,5345,2.262,0.59871),(3685,5355,2.2653,0.59139),(3685,5365,2.2649,0.58406),(3685,5375,2.2645,0.57684),(3685,5385,2.1348,0.56964),(3685,5395,1.612,0.56244),(3685,5405,1.0892,0.55886),(3685,5415,0.62212,0.55715),(3685,5425,0.90347,0.55544),(3685,5435,1.1848,0.55336),(3685,5445,1.4662,0.55086),(3685,5455,1.7408,0.54837),(3685,5465,2.0145,0.54539),(3685,5475,2.2883,0.54131),(3685,5485,2.3654,0.53723),(3685,5495,2.3634,0.53316),(3685,5505,2.3614,0.52915),(3685,5515,2.3594,0.52515),(3685,5525,2.3575,0.52115),(3685,5535,2.3556,0.51721),(3685,5545,2.3537,0.51326),(3685,5555,2.3519,0.50932),(3685,5565,2.35,0.50542),(3685,5575,2.3482,0.50153),(3685,5585,2.3464,0.49764),(3685,5595,2.3447,0.49377),(3685,5605,2.3429,0.48991),(3685,5615,2.3412,0.48606),(3685,5625,2.3395,0.48222),(3685,5635,2.3378,0.4784),(3685,5645,2.3361,0.47458),(3685,5655,2.3344,0.47076),(3685,5665,2.3328,0.46696),(3685,5675,2.3312,0.46315),(3685,5685,2.3296,0.45935),(3685,5695,2.328,0.45556),(3685,5705,2.3264,0.45178),(3685,5715,2.3249,0.44799),(3685,5725,2.3233,0.44422),(3685,5735,2.3218,0.44044),(3685,5745,2.3202,0.43667),(3685,5755,2.3187,0.43289),(3685,5765,2.3172,0.42911),(3685,5775,2.3158,0.42533),(3685,5785,2.3143,0.42154),(3685,5795,2.3128,0.41776),(3685,5805,2.3113,0.41397),(3685,5815,2.3099,0.41019),(3685,5825,2.3084,0.40641),(3685,5835,2.307,0.40263),(3685,5845,2.3056,0.39884),(3685,5855,2.3041,0.39506),(3685,5865,2.3027,0.39128),(3685,5875,2.3013,0.3875),(3685,5885,2.2999,0.38372),(3685,5895,2.2985,0.37995),(3685,5905,2.2971,0.37618),(3685,5915,2.2957,0.3724),(3685,5925,2.2943,0.36863),(3685,5935,2.2928,0.36486),(3685,5945,2.2914,0.3611),(3685,5955,2.29,0.35734),(3685,5965,2.2886,0.35359),(3685,5975,2.2872,0.34983),(3685,5985,2.2858,0.34608),(3685,5995,1.7474,0.34232),(3685,6005,1.1225,0.33948),(3685,6015,0.49759,0.33905),(3685,6025,0.65679,0.33862),(3685,6035,1.1796,0.33778),(3685,6045,1.7025,0.33303),(3685,6055,2.0644,0.32827),(3685,6065,2.2686,0.32351),(3685,6075,2.4727,0.3173),(3685,6085,2.6103,0.31096),(3685,6095,2.6107,0.30462),(3685,6105,2.6112,0.29826),(3685,6115,2.6116,0.29189),(3685,6125,2.612,0.28553),(3685,6135,2.6124,0.27919),(3685,6145,2.6128,0.27288),(3685,6155,2.6131,0.26657),(3685,6165,2.6135,0.2603),(3685,6175,2.6138,0.2541),(3685,6185,2.6141,0.24791),(3685,6195,2.6144,0.24173),(3685,6205,2.6147,0.23563),(3685,6215,2.6149,0.22953),(3685,6225,2.6151,0.22344),(3685,6235,2.6154,0.21741),(3685,6245,2.6156,0.21138),(3685,6255,2.6158,0.20536),(3685,6265,2.6159,0.19938),(3685,6275,2.6161,0.19342),(3685,6285,2.6163,0.18746),(3685,6295,2.6164,0.18156),(3685,6305,2.6165,0.1757),(3685,6315,2.6166,0.16984),(3685,6325,2.6167,0.16403),(3685,6335,2.6168,0.15828),(3685,6345,2.6169,0.15253),(3685,6355,2.617,0.14681),(3685,6365,2.617,0.14116),(3685,6375,2.6171,0.13551),(3685,6385,2.6171,0.12986),(3685,6395,2.6171,0.12427),(3685,6405,2.6172,0.11868),(3685,6415,2.6172,0.11309),(3685,6425,2.6172,0.10753),(3685,6435,2.6172,0.10197),(3685,6445,2.6172,0.096415),(3685,6455,2.6173,0.090933),(3685,6465,2.6173,0.085472),(3685,6475,2.6173,0.080011),(3685,6485,2.6173,0.074569),(3685,6495,2.6173,0.06914),(3685,6505,2.6173,0.06371),(3685,6515,2.6173,0.058302),(3685,6525,2.6173,0.052923),(3685,6535,2.6173,0.047544),(3685,6545,2.6173,0.042171),(3685,6555,2.6173,0.036816),(3685,6565,2.6173,0.031461),(3685,6575,2.6173,0.026112),(3685,6585,2.6173,0.02085),(3685,6595,2.2262,0.015589),(3685,6605,1.4032,0.010327),(3685,6615,0.58016,0.009698),(3685,6625,0.001617,0.009664),(3685,6635,0.001616,0.009631),(3685,6645,0.001615,0.009617),(3685,6655,0.001614,0.009613),(3685,6665,0.001613,0.009608),(3685,6675,0.001613,0.009603),(3685,6685,0.001612,0.009599),(3685,6695,0.001612,0.009594),(3685,6705,0.001611,0.009589),(3685,6715,0.001611,0.009584),(3685,6725,0.00161,0.009579),(3685,6735,0.00161,0.009574),(3685,6745,0.00161,0.009568),(3685,6755,0.00161,0.009563),(3685,6765,0.00161,0.009557),(3685,6775,0.00161,0.009551),(3685,6785,0.00161,0.009546),(3685,6795,0.00161,0.00954),(3685,6805,0.00161,0.009534),(3685,6815,0.00161,0.009528),(3685,6825,0.00161,0.009522),(3685,6835,0.00161,0.009515),(3685,6845,0.001611,0.009509),(3685,6855,0.001611,0.009503),(3685,6865,0.001611,0.009496),(3685,6875,0.001611,0.009489),(3685,6885,0.001612,0.009483),(3685,6895,0.001612,0.009476),(3685,6905,0.001612,0.009469),(3685,6915,0.001613,0.009462),(3685,6925,0.001613,0.009455),(3685,6935,0.001613,0.009448),(3685,6945,0.001614,0.009441),(3685,6955,0.001614,0.009434),(3685,6965,0.001614,0.009427),(3685,6975,0.001615,0.00942),(3685,6985,0.001615,0.009412),(3695,5,6e-06,3.6079),(3695,15,1.9e-05,3.6079),(3695,25,3.2e-05,3.6079),(3695,35,4.4e-05,3.6079),(3695,45,5.7e-05,3.6079),(3695,55,7e-05,3.6079),(3695,65,8.2e-05,3.6079),(3695,75,9.4e-05,3.6079),(3695,85,0.000106,3.6079),(3695,95,0.000118,3.6079),(3695,105,0.000129,3.6079),(3695,115,0.00014,3.6079),(3695,125,0.000151,3.6078),(3695,135,0.000162,3.6078),(3695,145,0.000172,3.6078),(3695,155,0.000181,3.6078),(3695,165,0.000191,3.6078),(3695,175,0.000201,3.6078),(3695,185,0.000209,3.6078),(3695,195,0.000217,3.6078),(3695,205,0.000224,3.6078),(3695,215,0.000232,3.6077),(3695,225,0.000238,3.6077),(3695,235,0.000243,3.6077),(3695,245,0.000249,3.6077),(3695,255,0.000254,3.6077),(3695,265,0.000257,3.6077),(3695,275,0.000259,3.6076),(3695,285,0.000261,3.6076),(3695,295,0.000264,3.6076),(3695,305,0.000263,3.6076),(3695,315,0.000261,3.6076),(3695,325,0.00026,3.6075),(3695,335,0.000259,3.6075),(3695,345,0.000254,3.6075),(3695,355,0.000249,3.6075),(3695,365,0.000243,3.6074),(3695,375,0.000238,3.6074),(3695,385,0.000228,3.6074),(3695,395,0.000218,3.6074),(3695,405,0.000208,3.6073),(3695,415,0.000198,3.6073),(3695,425,0.000182,3.6073),(3695,435,0.000167,3.6072),(3695,445,0.000151,3.6072),(3695,455,0.000135,3.6072),(3695,465,0.000113,3.6071),(3695,475,9.1e-05,3.6071),(3695,485,6.9e-05,3.6071),(3695,495,4.7e-05,3.607),(3695,505,1.7e-05,3.607),(3695,515,-1.3e-05,3.607),(3695,525,-4.2e-05,3.6069),(3695,535,-7.2e-05,3.6069),(3695,545,-0.00011,3.6068),(3695,555,-0.000148,3.6068),(3695,565,-0.000186,3.6068),(3695,575,-0.000225,3.6067),(3695,585,-0.000273,3.6067),(3695,595,-0.000321,3.6066),(3695,605,-0.000369,3.6066),(3695,615,-0.000418,3.6066),(3695,625,-0.000476,3.6065),(3695,635,-0.000535,3.6065),(3695,645,-0.000594,3.6064),(3695,655,-0.000654,3.6064),(3695,665,-0.000725,3.6063),(3695,675,-0.000796,3.6063),(3695,685,-0.000867,3.6062),(3695,695,-0.00094,3.6062),(3695,705,-0.001025,3.6062),(3695,715,-0.001109,3.6061),(3695,725,-0.001194,3.6061),(3695,735,-0.001282,3.606),(3695,745,-0.001381,3.606),(3695,755,-0.001481,3.6059),(3695,765,-0.001581,3.6059),(3695,775,-0.001685,3.6058),(3695,785,-0.001802,3.6058),(3695,795,-0.001918,3.6057),(3695,805,-0.002035,3.6057),(3695,815,-0.002157,3.6057),(3695,825,-0.002292,3.6056),(3695,835,-0.002427,3.6056),(3695,845,-0.002563,3.6055),(3695,855,-0.002705,3.6055),(3695,865,-0.00286,3.6054),(3695,875,-0.003015,3.6054),(3695,885,-0.00317,3.6054),(3695,895,-0.003334,3.6053),(3695,905,-0.00351,3.6053),(3695,915,-0.003687,3.6053),(3695,925,-0.003864,3.6053),(3695,935,-0.004051,3.6052),(3695,945,-0.00425,3.6052),(3695,955,-0.00445,3.6052),(3695,965,-0.00465,3.6052),(3695,975,-0.004861,3.6051),(3695,985,-0.005085,3.6051),(3695,995,-0.005309,3.6051),(3695,1005,-0.005533,3.6051),(3695,1015,-0.00577,3.6051),(3695,1025,-0.006019,3.6051),(3695,1035,-0.006268,3.6051),(3695,1045,-0.006517,3.6051),(3695,1055,-0.00678,3.6051),(3695,1065,-0.007055,3.6052),(3695,1075,-0.00733,3.6052),(3695,1085,-0.007605,3.6052),(3695,1095,-0.007895,3.6052),(3695,1105,-0.008196,3.6053),(3695,1115,-0.008497,3.6053),(3695,1125,-0.008798,3.6054),(3695,1135,-0.009115,3.6054),(3695,1145,-0.009441,3.6055),(3695,1155,-0.009768,3.6056),(3695,1165,-0.010095,3.6056),(3695,1175,-0.010438,3.6057),(3695,1185,-0.010789,3.6058),(3695,1195,-0.01114,3.6059),(3695,1205,-0.011492,3.606),(3695,1215,-0.011859,3.6061),(3695,1225,-0.012234,3.6063),(3695,1235,-0.012609,3.6064),(3695,1245,-0.012984,3.6065),(3695,1255,-0.013375,3.6067),(3695,1265,-0.013771,3.6068),(3695,1275,-0.014168,3.607),(3695,1285,-0.014564,3.6072),(3695,1295,-0.014976,3.6074),(3695,1305,-0.015393,3.6076),(3695,1315,-0.015809,3.6078),(3695,1325,-0.016225,3.608),(3695,1335,-0.016656,3.6082),(3695,1345,-0.01709,3.6084),(3695,1355,-0.017524,3.6087),(3695,1365,-0.017958,3.6089),(3695,1375,-0.018405,3.6092),(3695,1385,-0.018855,3.6094),(3695,1395,-0.019304,3.6097),(3695,1405,-0.019754,3.61),(3695,1415,-0.020216,3.6103),(3695,1425,-0.020679,3.6106),(3695,1435,-0.021143,3.611),(3695,1445,-0.021606,3.6113),(3695,1455,-0.022081,3.6116),(3695,1465,-0.022557,3.612),(3695,1475,-0.023034,3.6123),(3695,1485,-0.02351,3.6127),(3695,1495,-0.023998,3.6131),(3695,1505,-0.024486,3.6135),(3695,1515,-0.024974,3.6139),(3695,1525,-0.025462,3.6143),(3695,1535,-0.025963,3.6147),(3695,1545,-0.026463,3.6151),(3695,1555,-0.026964,3.6155),(3695,1565,-0.027465,3.616),(3695,1575,-0.02798,3.6164),(3695,1585,-0.028494,3.6169),(3695,1595,-0.029009,3.6173),(3695,1605,-0.029525,3.6178),(3695,1615,-0.030056,3.6183),(3695,1625,-0.030587,3.6188),(3695,1635,-0.031119,3.6193),(3695,1645,-0.031653,3.6198),(3695,1655,-0.032204,3.6203),(3695,1665,-0.032755,3.6208),(3695,1675,-0.033306,3.6213),(3695,1685,-0.033862,3.6219),(3695,1695,-0.034438,3.6224),(3695,1705,-0.035014,3.623),(3695,1715,-0.03559,3.6235),(3695,1725,-0.036172,3.6241),(3695,1735,-0.036779,3.6247),(3695,1745,-0.037385,3.6252),(3695,1755,-0.037992,3.6258),(3695,1765,-0.038608,3.6264),(3695,1775,-0.039253,3.627),(3695,1785,-0.039898,3.6276),(3695,1795,-0.040542,3.6282),(3695,1805,-0.041201,3.6289),(3695,1815,-0.041892,3.6295),(3695,1825,-0.042584,3.6301),(3695,1835,-0.043275,3.6308),(3695,1845,-0.043985,3.6314),(3695,1855,-0.044733,3.6321),(3695,1865,-0.045481,3.6328),(3695,1875,-0.046229,3.6334),(3695,1885,-0.047002,3.6341),(3695,1895,-0.047819,3.6348),(3695,1905,-0.048635,3.6355),(3695,1915,-0.049451,3.6362),(3695,1925,-0.050301,3.637),(3695,1935,-0.051199,3.6377),(3695,1945,-0.052097,3.6384),(3695,1955,-0.052995,3.6392),(3695,1965,-0.053938,3.64),(3695,1975,-0.054934,3.6407),(3695,1985,-0.05593,3.6415),(3695,1995,-0.056926,3.6424),(3695,2005,-0.05798,3.6432),(3695,2015,-0.059092,3.644),(3695,2025,-0.060204,3.6448),(3695,2035,-0.061316,3.6457),(3695,2045,-0.062503,3.6466),(3695,2055,-0.063753,3.6475),(3695,2065,-0.065003,3.6484),(3695,2075,-0.066253,3.6493),(3695,2085,-0.067597,3.6503),(3695,2095,-0.069011,3.6512),(3695,2105,-0.070424,3.6522),(3695,2115,-0.071838,3.6532),(3695,2125,-0.073371,3.6543),(3695,2135,-0.074978,3.6553),(3695,2145,-0.076586,3.6564),(3695,2155,-0.078193,3.6575),(3695,2165,-0.079952,3.6587),(3695,2175,-0.081789,3.6598),(3695,2185,-0.083626,3.661),(3695,2195,-0.085464,3.6623),(3695,2205,-0.087492,3.6636),(3695,2215,-0.089603,3.6648),(3695,2225,-0.091713,3.6662),(3695,2235,-0.093824,3.6677),(3695,2245,-0.096176,3.6691),(3695,2255,-0.098612,3.6705),(3695,2265,-0.10105,3.6721),(3695,2275,-0.10349,3.6738),(3695,2285,-0.10623,3.6754),(3695,2295,-0.10905,3.6771),(3695,2305,-0.11188,3.679),(3695,2315,-0.11471,3.6809),(3695,2325,-0.11791,3.6828),(3695,2335,-0.12121,3.6848),(3695,2345,-0.1245,3.687),(3695,2355,-0.1278,3.6893),(3695,2365,-0.13157,3.6916),(3695,2375,-0.13543,3.6939),(3695,2385,-0.13928,3.6966),(3695,2395,-0.14314,3.6994),(3695,2405,-0.1476,3.7021),(3695,2415,-0.15214,3.7049),(3695,2425,-0.15667,3.7083),(3695,2435,-0.16121,3.7117),(3695,2445,-0.16651,3.7151),(3695,2455,-0.17186,3.7186),(3695,2465,-0.17721,3.7229),(3695,2475,-0.18256,3.7272),(3695,2485,-0.18887,3.7315),(3695,2495,-0.19521,3.7359),(3695,2505,-0.20154,3.7415),(3695,2515,-0.20789,3.7471),(3695,2525,-0.21539,3.7527),(3695,2535,-0.22288,3.7583),(3695,2545,-0.23038,3.7657),(3695,2555,-0.23795,3.7732),(3695,2565,-0.24678,3.7806),(3695,2575,-0.25561,3.7882),(3695,2585,-0.26443,3.7983),(3695,2595,-0.27339,3.8085),(3695,2605,-0.28362,3.8186),(3695,2615,-0.29384,3.8291),(3695,2625,-0.30407,3.8433),(3695,2635,-0.31445,3.8574),(3695,2645,-0.32581,3.8716),(3695,2655,-0.33717,3.8867),(3695,2665,-0.34853,3.907),(3695,2675,-0.35988,3.9273),(3695,2685,-0.37121,3.9476),(3695,2695,-0.38253,3.9697),(3695,2705,-0.39386,3.9994),(3695,2715,-0.40476,4.0291),(3695,2725,-0.41409,4.0588),(3695,2735,-0.42341,4.0921),(3695,2745,-0.43274,4.1375),(3695,2755,-0.43357,4.183),(3695,2765,-0.40926,4.2284),(3695,2775,-0.38495,4.27),(3695,2785,-0.36064,4.3013),(3695,2795,-0.33473,4.3327),(3695,2805,-0.30497,4.364),(3695,2815,-0.27521,4.392),(3695,2825,-0.24545,4.4125),(3695,2835,-0.21558,4.433),(3695,2845,-0.18549,4.4535),(3695,2855,-0.1554,4.4714),(3695,2865,-0.12531,4.4848),(3695,2875,-0.095549,4.4981),(3695,2885,-0.066359,4.5114),(3695,2895,-0.037169,4.5229),(3695,2905,-0.007979,4.5313),(3695,2915,0.020748,4.5398),(3695,2925,0.048811,4.5483),(3695,2935,0.076874,4.5553),(3695,2945,0.10494,4.5603),(3695,2955,0.13256,4.5654),(3695,2965,0.15964,4.5704),(3695,2975,0.18672,4.5743),(3695,2985,0.21381,4.5768),(3695,2995,0.24054,4.5793),(3695,3005,0.26691,4.5818),(3695,3015,0.29328,4.5833),(3695,3025,0.31965,4.5838),(3695,3035,0.34581,4.5843),(3695,3045,0.37176,4.5849),(3695,3055,0.39772,4.5844),(3695,3065,0.42368,4.5833),(3695,3075,0.44957,4.5821),(3695,3085,0.47541,4.5809),(3695,3095,0.50125,4.5789),(3695,3105,0.52709,4.5762),(3695,3115,0.55304,4.5735),(3695,3125,0.57906,4.5709),(3695,3135,0.60508,4.5673),(3695,3145,0.6311,4.5632),(3695,3155,0.65742,4.5591),(3695,3165,0.68392,4.555),(3695,3175,0.71042,4.5499),(3695,3185,0.73691,4.5444),(3695,3195,0.76395,4.5388),(3695,3205,0.79124,4.5332),(3695,3215,0.81852,4.5266),(3695,3225,0.84581,4.5194),(3695,3235,0.87391,4.5123),(3695,3245,0.90232,4.5051),(3695,3255,0.93073,4.4967),(3695,3265,0.95914,4.4877),(3695,3275,0.9887,4.4788),(3695,3285,1.0186,4.4699),(3695,3295,1.0485,4.4593),(3695,3305,1.0784,4.4482),(3695,3315,1.1099,4.4372),(3695,3325,1.1417,4.4261),(3695,3335,1.1736,4.4128),(3695,3345,1.2054,4.3991),(3695,3355,1.2393,4.3854),(3695,3365,1.2736,4.3717),(3695,3375,1.3078,4.355),(3695,3385,1.3421,4.3378),(3695,3395,1.379,4.3206),(3695,3405,1.4162,4.3034),(3695,3415,1.4535,4.2821),(3695,3425,1.4907,4.2602),(3695,3435,1.5313,4.2384),(3695,3445,1.5721,4.2166),(3695,3455,1.6129,4.1886),(3695,3465,1.6537,4.1602),(3695,3475,1.6985,4.1319),(3695,3485,1.7435,4.1035),(3695,3495,1.7884,4.0658),(3695,3505,1.8334,4.028),(3695,3515,1.8827,3.9902),(3695,3525,1.9319,3.952),(3695,3535,1.9812,3.8998),(3695,3545,2.0306,3.8476),(3695,3555,2.0832,3.7954),(3695,3565,2.1358,3.7418),(3695,3575,2.1883,3.6669),(3695,3585,2.2408,3.5921),(3695,3595,2.2923,3.5173),(3695,3605,2.3439,3.4385),(3695,3615,2.3954,3.3261),(3695,3625,2.4407,3.2136),(3695,3635,2.4426,3.1012),(3695,3645,2.4444,2.9871),(3695,3655,2.4462,2.8635),(3695,3665,2.4322,2.7398),(3695,3675,2.3372,2.6162),(3695,3685,2.2422,2.506),(3695,3695,2.1472,2.456),(3695,3705,2.0608,2.4061),(3695,3715,2.0085,2.3561),(3695,3725,1.9563,2.3089),(3695,3735,1.904,2.2716),(3695,3745,1.8533,2.2343),(3695,3755,1.8074,2.197),(3695,3765,1.7616,2.162),(3695,3775,1.7157,2.1335),(3695,3785,1.6714,2.105),(3695,3795,1.6308,2.0765),(3695,3805,1.5903,2.0499),(3695,3815,1.5498,2.0278),(3695,3825,1.5107,2.0057),(3695,3835,1.4746,1.9836),(3695,3845,1.4385,1.9631),(3695,3855,1.4024,1.9458),(3695,3865,1.3677,1.9285),(3695,3875,1.3353,1.9112),(3695,3885,1.303,1.8954),(3695,3895,1.2706,1.882),(3695,3905,1.2395,1.8687),(3695,3915,1.2102,1.8553),(3695,3925,1.1809,1.8433),(3695,3935,1.1515,1.8332),(3695,3945,1.1233,1.8231),(3695,3955,1.0963,1.8131),(3695,3965,1.0693,1.8043),(3695,3975,1.0423,1.7972),(3695,3985,1.0162,1.7901),(3695,3995,0.99091,1.7829),(3695,4005,0.96563,1.7769),(3695,4015,0.94035,1.7721),(3695,4025,1.2522,1.7673),(3695,4035,1.597,1.7602),(3695,4045,1.9418,1.7481),(3695,4055,2.1875,1.7361),(3695,4065,2.397,1.7234),(3695,4075,2.6065,1.7066),(3695,4085,2.697,1.6899),(3695,4095,2.6918,1.6732),(3695,4105,2.6866,1.6571),(3695,4115,2.5971,1.641),(3695,4125,2.3677,1.625),(3695,4135,2.1383,1.6133),(3695,4145,1.9064,1.6028),(3695,4155,1.6644,1.5922),(3695,4165,1.4225,1.5854),(3695,4175,1.194,1.581),(3695,4185,1.6332,1.5766),(3695,4195,2.0724,1.5679),(3695,4205,2.5116,1.5534),(3695,4215,2.5768,1.5389),(3695,4225,2.5716,1.5245),(3695,4235,2.5663,1.5103),(3695,4245,2.5444,1.496),(3695,4255,2.5141,1.4816),(3695,4265,2.4837,1.4655),(3695,4275,2.1832,1.4493),(3695,4285,1.5959,1.4331),(3695,4295,1.0086,1.4311),(3695,4305,0.76,1.4307),(3695,4315,1.2761,1.4304),(3695,4325,1.7923,1.4215),(3695,4335,2.2507,1.4093),(3695,4345,2.319,1.3971),(3695,4355,2.3873,1.384),(3695,4365,2.4555,1.3701),(3695,4375,2.4578,1.3561),(3695,4385,2.4567,1.3423),(3695,4395,2.4555,1.3286),(3695,4405,2.1556,1.3148),(3695,4415,1.7676,1.3027),(3695,4425,1.3796,1.2977),(3695,4435,1.2134,1.2927),(3695,4445,1.1989,1.2877),(3695,4455,1.1844,1.2833),(3695,4465,1.3349,1.2789),(3695,4475,1.7172,1.2745),(3695,4485,2.0995,1.2633),(3695,4495,2.3908,1.2507),(3695,4505,2.3899,1.2381),(3695,4515,2.3891,1.2256),(3695,4525,2.3835,1.2132),(3695,4535,2.3035,1.2007),(3695,4545,2.2236,1.189),(3695,4555,2.1436,1.178),(3695,4565,1.6378,1.167),(3695,4575,1.0745,1.1593),(3695,4585,0.51123,1.1596),(3695,4595,0.76568,1.1598),(3695,4605,1.3656,1.1585),(3695,4615,1.9656,1.1443),(3695,4625,2.262,1.1301),(3695,4635,2.2835,1.1159),(3695,4645,2.3051,1.1039),(3695,4655,2.3196,1.0921),(3695,4665,2.3209,1.0802),(3695,4675,2.3221,1.0685),(3695,4685,2.2428,1.057),(3695,4695,1.7652,1.0454),(3695,4705,1.2876,1.0388),(3695,4715,0.80997,1.0357),(3695,4725,1.0329,1.0327),(3695,4735,1.2628,1.0282),(3695,4745,1.4927,1.0217),(3695,4755,1.7282,1.0151),(3695,4765,1.965,1.0077),(3695,4775,2.2018,0.99729),(3695,4785,2.2886,0.9869),(3695,4795,2.2886,0.9765),(3695,4805,2.2886,0.96618),(3695,4815,2.1784,0.95586),(3695,4825,1.9365,0.94553),(3695,4835,1.6946,0.93853),(3695,4845,1.4496,0.93203),(3695,4855,1.1967,0.92554),(3695,4865,0.9438,0.92183),(3695,4875,0.76427,0.91939),(3695,4885,1.2524,0.91694),(3695,4895,1.7405,0.91045),(3695,4905,2.2287,0.90006),(3695,4915,2.2676,0.88966),(3695,4925,2.2679,0.8793),(3695,4935,2.2681,0.86899),(3695,4945,2.2594,0.85868),(3695,4955,2.2476,0.84815),(3695,4965,2.2358,0.83639),(3695,4975,1.8652,0.82464),(3695,4985,1.2174,0.81288),(3695,4995,0.56969,0.81273),(3695,5005,0.36206,0.81287),(3695,5015,0.8541,0.81301),(3695,5025,1.3461,0.80718),(3695,5035,1.77,0.79983),(3695,5045,1.9341,0.79248),(3695,5055,2.0981,0.78357),(3695,5065,2.2574,0.77371),(3695,5075,2.2581,0.76385),(3695,5085,2.2589,0.75405),(3695,5095,2.2597,0.74434),(3695,5105,1.9746,0.73464),(3695,5115,1.6396,0.72623),(3695,5125,1.3046,0.72147),(3695,5135,1.135,0.71672),(3695,5145,1.0456,0.7121),(3695,5155,0.95633,0.7089),(3695,5165,1.1226,0.7057),(3695,5175,1.5497,0.70251),(3695,5185,1.9767,0.69416),(3695,5195,2.2686,0.68529),(3695,5205,2.2688,0.67641),(3695,5215,2.2691,0.66763),(3695,5225,2.2576,0.65889),(3695,5235,2.1731,0.65014),(3695,5245,2.0887,0.64203),(3695,5255,2.0042,0.63444),(3695,5265,1.4118,0.62684),(3695,5275,0.79837,0.62212),(3695,5285,0.18498,0.62226),(3695,5295,0.59197,0.62241),(3695,5305,1.2831,0.62094),(3695,5315,1.9743,0.61274),(3695,5325,2.2514,0.60453),(3695,5335,2.2572,0.59634),(3695,5345,2.2629,0.58912),(3695,5355,2.2661,0.5819),(3695,5365,2.2656,0.57468),(3695,5375,2.2652,0.56756),(3695,5385,2.1354,0.56046),(3695,5395,1.6124,0.55336),(3695,5405,1.0894,0.54983),(3695,5415,0.62205,0.54816),(3695,5425,0.90288,0.54648),(3695,5435,1.1837,0.54444),(3695,5445,1.4645,0.54202),(3695,5455,1.7388,0.53961),(3695,5465,2.0123,0.53672),(3695,5475,2.2858,0.53276),(3695,5485,2.3628,0.52879),(3695,5495,2.3608,0.52484),(3695,5505,2.3588,0.52095),(3695,5515,2.3568,0.51707),(3695,5525,2.3548,0.51318),(3695,5535,2.3529,0.50935),(3695,5545,2.351,0.50551),(3695,5555,2.3492,0.50168),(3695,5565,2.3473,0.49788),(3695,5575,2.3455,0.4941),(3695,5585,2.3437,0.49031),(3695,5595,2.3419,0.48654),(3695,5605,2.3401,0.48278),(3695,5615,2.3384,0.47903),(3695,5625,2.3367,0.47528),(3695,5635,2.335,0.47155),(3695,5645,2.3333,0.46782),(3695,5655,2.3317,0.46409),(3695,5665,2.33,0.46038),(3695,5675,2.3284,0.45666),(3695,5685,2.3268,0.45294),(3695,5695,2.3252,0.44923),(3695,5705,2.3236,0.44553),(3695,5715,2.3221,0.44182),(3695,5725,2.3205,0.43812),(3695,5735,2.319,0.43443),(3695,5745,2.3175,0.43073),(3695,5755,2.316,0.42703),(3695,5765,2.3145,0.42331),(3695,5775,2.313,0.4196),(3695,5785,2.3115,0.41589),(3695,5795,2.3101,0.41218),(3695,5805,2.3086,0.40846),(3695,5815,2.3072,0.40474),(3695,5825,2.3057,0.40103),(3695,5835,2.3043,0.39731),(3695,5845,2.3029,0.39359),(3695,5855,2.3014,0.38988),(3695,5865,2.3,0.38616),(3695,5875,2.2986,0.38244),(3695,5885,2.2972,0.37873),(3695,5895,2.2958,0.37502),(3695,5905,2.2944,0.3713),(3695,5915,2.293,0.36759),(3695,5925,2.2916,0.36388),(3695,5935,2.2902,0.36017),(3695,5945,2.2888,0.35647),(3695,5955,2.2873,0.35277),(3695,5965,2.2859,0.34907),(3695,5975,2.2846,0.34537),(3695,5985,2.2832,0.34167),(3695,5995,1.7453,0.33798),(3695,6005,1.1211,0.33517),(3695,6015,0.49696,0.33475),(3695,6025,0.65644,0.33433),(3695,6035,1.1794,0.33351),(3695,6045,1.7023,0.32879),(3695,6055,2.0643,0.32408),(3695,6065,2.2685,0.31937),(3695,6075,2.4726,0.31322),(3695,6085,2.6102,0.30694),(3695,6095,2.6106,0.30066),(3695,6105,2.611,0.29436),(3695,6115,2.6114,0.28806),(3695,6125,2.6118,0.28176),(3695,6135,2.6122,0.27548),(3695,6145,2.6126,0.26923),(3695,6155,2.6129,0.26297),(3695,6165,2.6132,0.25676),(3695,6175,2.6135,0.25062),(3695,6185,2.6138,0.24448),(3695,6195,2.6141,0.23836),(3695,6205,2.6143,0.23232),(3695,6215,2.6146,0.22628),(3695,6225,2.6148,0.22025),(3695,6235,2.615,0.21429),(3695,6245,2.6152,0.20833),(3695,6255,2.6153,0.20236),(3695,6265,2.6155,0.19646),(3695,6275,2.6156,0.19056),(3695,6285,2.6157,0.18467),(3695,6295,2.6158,0.17884),(3695,6305,2.616,0.17305),(3695,6315,2.616,0.16726),(3695,6325,2.6161,0.16153),(3695,6335,2.6162,0.15586),(3695,6345,2.6162,0.15018),(3695,6355,2.6163,0.14454),(3695,6365,2.6163,0.13897),(3695,6375,2.6163,0.13339),(3695,6385,2.6163,0.12783),(3695,6395,2.6163,0.12232),(3695,6405,2.6164,0.11681),(3695,6415,2.6163,0.1113),(3695,6425,2.6163,0.10584),(3695,6435,2.6163,0.10037),(3695,6445,2.6163,0.094903),(3695,6455,2.6163,0.08951),(3695,6465,2.6163,0.084139),(3695,6475,2.6163,0.078767),(3695,6485,2.6163,0.073417),(3695,6495,2.6163,0.06808),(3695,6505,2.6163,0.062744),(3695,6515,2.6163,0.057428),(3695,6525,2.6163,0.05214),(3695,6535,2.6163,0.046852),(3695,6545,2.6162,0.041571),(3695,6555,2.6162,0.036313),(3695,6565,2.6162,0.031056),(3695,6575,2.6162,0.025804),(3695,6585,2.6162,0.020639),(3695,6595,2.2252,0.015474),(3695,6605,1.4026,0.010309),(3695,6615,0.57993,0.009693),(3695,6625,0.001617,0.009661),(3695,6635,0.001616,0.009629),(3695,6645,0.001615,0.009617),(3695,6655,0.001614,0.009612),(3695,6665,0.001614,0.009608),(3695,6675,0.001613,0.009603),(3695,6685,0.001613,0.009598),(3695,6695,0.001612,0.009594),(3695,6705,0.001612,0.009589),(3695,6715,0.001612,0.009584),(3695,6725,0.001612,0.009579),(3695,6735,0.001612,0.009574),(3695,6745,0.001611,0.009568),(3695,6755,0.001611,0.009563),(3695,6765,0.001611,0.009557),(3695,6775,0.001612,0.009552),(3695,6785,0.001612,0.009546),(3695,6795,0.001612,0.00954),(3695,6805,0.001612,0.009534),(3695,6815,0.001612,0.009528),(3695,6825,0.001612,0.009522),(3695,6835,0.001613,0.009516),(3695,6845,0.001613,0.009509),(3695,6855,0.001613,0.009503),(3695,6865,0.001614,0.009496),(3695,6875,0.001614,0.00949),(3695,6885,0.001614,0.009483),(3695,6895,0.001615,0.009476),(3695,6905,0.001615,0.00947),(3695,6915,0.001615,0.009463),(3695,6925,0.001616,0.009456),(3695,6935,0.001616,0.009449),(3695,6945,0.001617,0.009442),(3695,6955,0.001617,0.009435),(3695,6965,0.001618,0.009427),(3695,6975,0.001618,0.00942),(3695,6985,0.001618,0.009413),(3705,5,7e-06,3.5469),(3705,15,2e-05,3.5469),(3705,25,3.3e-05,3.5469),(3705,35,4.6e-05,3.5469),(3705,45,6e-05,3.5469),(3705,55,7.3e-05,3.5469),(3705,65,8.6e-05,3.5469),(3705,75,9.8e-05,3.5469),(3705,85,0.000111,3.5469),(3705,95,0.000123,3.5469),(3705,105,0.000135,3.5469),(3705,115,0.000146,3.5469),(3705,125,0.000158,3.5469),(3705,135,0.000169,3.5469),(3705,145,0.00018,3.5469),(3705,155,0.00019,3.5469),(3705,165,0.0002,3.5468),(3705,175,0.000211,3.5468),(3705,185,0.000219,3.5468),(3705,195,0.000228,3.5468),(3705,205,0.000236,3.5468),(3705,215,0.000245,3.5468),(3705,225,0.000251,3.5468),(3705,235,0.000257,3.5467),(3705,245,0.000263,3.5467),(3705,255,0.000269,3.5467),(3705,265,0.000273,3.5467),(3705,275,0.000276,3.5467),(3705,285,0.000278,3.5466),(3705,295,0.000281,3.5466),(3705,305,0.000281,3.5466),(3705,315,0.000281,3.5466),(3705,325,0.00028,3.5466),(3705,335,0.000279,3.5465),(3705,345,0.000275,3.5465),(3705,355,0.00027,3.5465),(3705,365,0.000266,3.5465),(3705,375,0.000261,3.5464),(3705,385,0.000252,3.5464),(3705,395,0.000243,3.5464),(3705,405,0.000233,3.5463),(3705,415,0.000224,3.5463),(3705,425,0.000209,3.5463),(3705,435,0.000194,3.5462),(3705,445,0.000179,3.5462),(3705,455,0.000164,3.5462),(3705,465,0.000143,3.5461),(3705,475,0.000121,3.5461),(3705,485,0.0001,3.5461),(3705,495,7.8e-05,3.546),(3705,505,4.9e-05,3.546),(3705,515,2e-05,3.546),(3705,525,-9e-06,3.5459),(3705,535,-3.8e-05,3.5459),(3705,545,-7.5e-05,3.5458),(3705,555,-0.000113,3.5458),(3705,565,-0.00015,3.5457),(3705,575,-0.000188,3.5457),(3705,585,-0.000235,3.5457),(3705,595,-0.000282,3.5456),(3705,605,-0.000329,3.5456),(3705,615,-0.000378,3.5455),(3705,625,-0.000436,3.5455),(3705,635,-0.000494,3.5454),(3705,645,-0.000552,3.5454),(3705,655,-0.000612,3.5453),(3705,665,-0.000683,3.5453),(3705,675,-0.000753,3.5452),(3705,685,-0.000824,3.5452),(3705,695,-0.000897,3.5451),(3705,705,-0.000981,3.5451),(3705,715,-0.001065,3.545),(3705,725,-0.001149,3.545),(3705,735,-0.001237,3.5449),(3705,745,-0.001336,3.5449),(3705,755,-0.001436,3.5448),(3705,765,-0.001536,3.5448),(3705,775,-0.00164,3.5447),(3705,785,-0.001757,3.5447),(3705,795,-0.001874,3.5446),(3705,805,-0.00199,3.5446),(3705,815,-0.002113,3.5445),(3705,825,-0.002249,3.5445),(3705,835,-0.002384,3.5445),(3705,845,-0.00252,3.5444),(3705,855,-0.002663,3.5444),(3705,865,-0.002819,3.5443),(3705,875,-0.002975,3.5443),(3705,885,-0.003131,3.5442),(3705,895,-0.003295,3.5442),(3705,905,-0.003474,3.5442),(3705,915,-0.003652,3.5441),(3705,925,-0.00383,3.5441),(3705,935,-0.004018,3.5441),(3705,945,-0.00422,3.544),(3705,955,-0.004422,3.544),(3705,965,-0.004624,3.544),(3705,975,-0.004837,3.5439),(3705,985,-0.005064,3.5439),(3705,995,-0.005291,3.5439),(3705,1005,-0.005517,3.5439),(3705,1015,-0.005757,3.5439),(3705,1025,-0.006009,3.5439),(3705,1035,-0.006262,3.5439),(3705,1045,-0.006514,3.5439),(3705,1055,-0.006781,3.5439),(3705,1065,-0.00706,3.5439),(3705,1075,-0.007339,3.5439),(3705,1085,-0.007618,3.5439),(3705,1095,-0.007913,3.544),(3705,1105,-0.008219,3.544),(3705,1115,-0.008525,3.544),(3705,1125,-0.00883,3.5441),(3705,1135,-0.009153,3.5441),(3705,1145,-0.009485,3.5442),(3705,1155,-0.009817,3.5443),(3705,1165,-0.010149,3.5443),(3705,1175,-0.010499,3.5444),(3705,1185,-0.010856,3.5445),(3705,1195,-0.011214,3.5446),(3705,1205,-0.011572,3.5447),(3705,1215,-0.011947,3.5448),(3705,1225,-0.012329,3.5449),(3705,1235,-0.01271,3.545),(3705,1245,-0.013092,3.5452),(3705,1255,-0.013491,3.5453),(3705,1265,-0.013895,3.5455),(3705,1275,-0.014299,3.5456),(3705,1285,-0.014703,3.5458),(3705,1295,-0.015123,3.546),(3705,1305,-0.015548,3.5462),(3705,1315,-0.015972,3.5464),(3705,1325,-0.016396,3.5466),(3705,1335,-0.016835,3.5468),(3705,1345,-0.017278,3.547),(3705,1355,-0.01772,3.5473),(3705,1365,-0.018162,3.5475),(3705,1375,-0.018618,3.5478),(3705,1385,-0.019075,3.548),(3705,1395,-0.019533,3.5483),(3705,1405,-0.019991,3.5486),(3705,1415,-0.020461,3.5489),(3705,1425,-0.020933,3.5492),(3705,1435,-0.021404,3.5495),(3705,1445,-0.021876,3.5498),(3705,1455,-0.022359,3.5502),(3705,1465,-0.022843,3.5505),(3705,1475,-0.023327,3.5509),(3705,1485,-0.023811,3.5512),(3705,1495,-0.024307,3.5516),(3705,1505,-0.024803,3.552),(3705,1515,-0.025298,3.5524),(3705,1525,-0.025794,3.5528),(3705,1535,-0.026302,3.5532),(3705,1545,-0.02681,3.5536),(3705,1555,-0.027318,3.554),(3705,1565,-0.027826,3.5545),(3705,1575,-0.028348,3.5549),(3705,1585,-0.028869,3.5554),(3705,1595,-0.02939,3.5558),(3705,1605,-0.029913,3.5563),(3705,1615,-0.030451,3.5568),(3705,1625,-0.030988,3.5573),(3705,1635,-0.031525,3.5578),(3705,1645,-0.032066,3.5583),(3705,1655,-0.032623,3.5588),(3705,1665,-0.03318,3.5593),(3705,1675,-0.033737,3.5598),(3705,1685,-0.034299,3.5603),(3705,1695,-0.034881,3.5609),(3705,1705,-0.035462,3.5614),(3705,1715,-0.036044,3.562),(3705,1725,-0.036632,3.5625),(3705,1735,-0.037244,3.5631),(3705,1745,-0.037857,3.5636),(3705,1755,-0.038469,3.5642),(3705,1765,-0.039091,3.5648),(3705,1775,-0.039741,3.5654),(3705,1785,-0.040392,3.566),(3705,1795,-0.041042,3.5666),(3705,1805,-0.041707,3.5672),(3705,1815,-0.042404,3.5678),(3705,1825,-0.043101,3.5684),(3705,1835,-0.043798,3.5691),(3705,1845,-0.044515,3.5697),(3705,1855,-0.045269,3.5704),(3705,1865,-0.046023,3.571),(3705,1875,-0.046778,3.5717),(3705,1885,-0.047558,3.5724),(3705,1895,-0.048381,3.573),(3705,1905,-0.049205,3.5737),(3705,1915,-0.050028,3.5744),(3705,1925,-0.050886,3.5751),(3705,1935,-0.051793,3.5758),(3705,1945,-0.052699,3.5765),(3705,1955,-0.053605,3.5773),(3705,1965,-0.054557,3.578),(3705,1975,-0.055563,3.5788),(3705,1985,-0.056568,3.5795),(3705,1995,-0.057574,3.5803),(3705,2005,-0.058638,3.5811),(3705,2015,-0.059762,3.5819),(3705,2025,-0.060886,3.5827),(3705,2035,-0.06201,3.5836),(3705,2045,-0.063209,3.5844),(3705,2055,-0.064474,3.5852),(3705,2065,-0.065738,3.5861),(3705,2075,-0.067002,3.587),(3705,2085,-0.068363,3.5879),(3705,2095,-0.069794,3.5888),(3705,2105,-0.071225,3.5898),(3705,2115,-0.072656,3.5908),(3705,2125,-0.07421,3.5917),(3705,2135,-0.075839,3.5927),(3705,2145,-0.077469,3.5938),(3705,2155,-0.079098,3.5948),(3705,2165,-0.080883,3.5959),(3705,2175,-0.082748,3.597),(3705,2185,-0.084613,3.5982),(3705,2195,-0.086478,3.5994),(3705,2205,-0.08854,3.6006),(3705,2215,-0.090686,3.6018),(3705,2225,-0.092833,3.6031),(3705,2235,-0.094979,3.6044),(3705,2245,-0.097374,3.6058),(3705,2255,-0.099857,3.6071),(3705,2265,-0.10234,3.6086),(3705,2275,-0.10482,3.6102),(3705,2285,-0.10762,3.6117),(3705,2295,-0.11051,3.6133),(3705,2305,-0.11339,3.615),(3705,2315,-0.11628,3.6168),(3705,2325,-0.11957,3.6186),(3705,2335,-0.12294,3.6205),(3705,2345,-0.12631,3.6225),(3705,2355,-0.12969,3.6247),(3705,2365,-0.13357,3.6268),(3705,2375,-0.13753,3.629),(3705,2385,-0.1415,3.6315),(3705,2395,-0.14546,3.6341),(3705,2405,-0.15007,3.6367),(3705,2415,-0.15475,3.6393),(3705,2425,-0.15943,3.6425),(3705,2435,-0.16411,3.6457),(3705,2445,-0.16962,3.6489),(3705,2455,-0.17518,3.6521),(3705,2465,-0.18073,3.6562),(3705,2475,-0.18629,3.6602),(3705,2485,-0.19289,3.6643),(3705,2495,-0.19952,3.6684),(3705,2505,-0.20615,3.6737),(3705,2515,-0.2128,3.679),(3705,2525,-0.22073,3.6843),(3705,2535,-0.22865,3.6896),(3705,2545,-0.23658,3.6967),(3705,2555,-0.24459,3.7037),(3705,2565,-0.25406,3.7108),(3705,2575,-0.26353,3.7181),(3705,2585,-0.27301,3.7278),(3705,2595,-0.28264,3.7375),(3705,2605,-0.29385,3.7472),(3705,2615,-0.30507,3.7574),(3705,2625,-0.31628,3.7712),(3705,2635,-0.32772,3.785),(3705,2645,-0.34062,3.7988),(3705,2655,-0.35352,3.8136),(3705,2665,-0.36642,3.8339),(3705,2675,-0.37947,3.8541),(3705,2685,-0.39321,3.8743),(3705,2695,-0.40694,3.8966),(3705,2705,-0.42068,3.927),(3705,2715,-0.43437,3.9574),(3705,2725,-0.44787,3.9879),(3705,2735,-0.46137,4.0225),(3705,2745,-0.47487,4.0708),(3705,2755,-0.47789,4.1192),(3705,2765,-0.44988,4.1675),(3705,2775,-0.42188,4.2115),(3705,2785,-0.39387,4.2438),(3705,2795,-0.36456,4.276),(3705,2805,-0.33205,4.3083),(3705,2815,-0.29955,4.3369),(3705,2825,-0.26705,4.3574),(3705,2835,-0.23477,4.3779),(3705,2845,-0.20294,4.3984),(3705,2855,-0.17111,4.4162),(3705,2865,-0.13927,4.4293),(3705,2875,-0.108,4.4423),(3705,2885,-0.077672,4.4554),(3705,2895,-0.047347,4.4665),(3705,2905,-0.017021,4.4746),(3705,2915,0.012691,4.4828),(3705,2925,0.041525,4.4909),(3705,2935,0.070359,4.4976),(3705,2945,0.099193,4.5024),(3705,2955,0.12749,4.5072),(3705,2965,0.15512,4.512),(3705,2975,0.18275,4.5156),(3705,2985,0.21039,4.5179),(3705,2995,0.23761,4.5202),(3705,3005,0.26439,4.5225),(3705,3015,0.29118,4.5239),(3705,3025,0.31797,4.5243),(3705,3035,0.3445,4.5247),(3705,3045,0.37079,4.5251),(3705,3055,0.39709,4.5246),(3705,3065,0.42338,4.5234),(3705,3075,0.44959,4.5222),(3705,3085,0.47572,4.521),(3705,3095,0.50186,4.5189),(3705,3105,0.52799,4.5163),(3705,3115,0.55423,4.5137),(3705,3125,0.58052,4.5111),(3705,3135,0.60682,4.5076),(3705,3145,0.63312,4.5036),(3705,3155,0.65973,4.4996),(3705,3165,0.68651,4.4956),(3705,3175,0.71329,4.4907),(3705,3185,0.74007,4.4854),(3705,3195,0.7674,4.48),(3705,3205,0.795,4.4746),(3705,3215,0.82259,4.4682),(3705,3225,0.85018,4.4614),(3705,3235,0.87863,4.4545),(3705,3245,0.9074,4.4477),(3705,3255,0.93616,4.4396),(3705,3265,0.96493,4.431),(3705,3275,0.99491,4.4225),(3705,3285,1.0253,4.414),(3705,3295,1.0556,4.4038),(3705,3305,1.086,4.3933),(3705,3315,1.118,4.3827),(3705,3325,1.1504,4.3722),(3705,3335,1.1828,4.3595),(3705,3345,1.2152,4.3464),(3705,3355,1.2498,4.3334),(3705,3365,1.2848,4.3203),(3705,3375,1.3198,4.3043),(3705,3385,1.3548,4.288),(3705,3395,1.3927,4.2716),(3705,3405,1.431,4.2552),(3705,3415,1.4693,4.2347),(3705,3425,1.5075,4.2139),(3705,3435,1.5496,4.193),(3705,3445,1.5919,4.1721),(3705,3455,1.6342,4.1453),(3705,3465,1.6765,4.1181),(3705,3475,1.7235,4.0908),(3705,3485,1.7707,4.0636),(3705,3495,1.8179,4.0272),(3705,3505,1.8651,3.9905),(3705,3515,1.9178,3.9539),(3705,3525,1.9706,3.917),(3705,3535,2.0233,3.8659),(3705,3545,2.0763,3.8147),(3705,3555,2.1345,3.7636),(3705,3565,2.1927,3.711),(3705,3575,2.2509,3.6362),(3705,3585,2.3094,3.5615),(3705,3595,2.3706,3.4868),(3705,3605,2.4318,3.4078),(3705,3615,2.493,3.2921),(3705,3625,2.5472,3.1764),(3705,3635,2.552,3.0608),(3705,3645,2.5569,2.9432),(3705,3655,2.5617,2.8146),(3705,3665,2.5472,2.6859),(3705,3675,2.4331,2.5573),(3705,3685,2.319,2.4434),(3705,3695,2.2048,2.3958),(3705,3705,2.1027,2.3481),(3705,3715,2.0475,2.3004),(3705,3725,1.9923,2.2554),(3705,3735,1.9371,2.2199),(3705,3745,1.8836,2.1843),(3705,3755,1.8357,2.1487),(3705,3765,1.7879,2.1154),(3705,3775,1.74,2.0883),(3705,3785,1.6937,2.0613),(3705,3795,1.6518,2.0342),(3705,3805,1.6098,2.009),(3705,3815,1.5678,1.988),(3705,3825,1.5274,1.9671),(3705,3835,1.4902,1.9461),(3705,3845,1.453,1.9268),(3705,3855,1.4159,1.9104),(3705,3865,1.3802,1.8941),(3705,3875,1.3469,1.8778),(3705,3885,1.3137,1.8629),(3705,3895,1.2805,1.8503),(3705,3905,1.2486,1.8377),(3705,3915,1.2185,1.8251),(3705,3925,1.1885,1.8138),(3705,3935,1.1584,1.8043),(3705,3945,1.1295,1.7949),(3705,3955,1.1019,1.7854),(3705,3965,1.0743,1.7772),(3705,3975,1.0467,1.7705),(3705,3985,1.0199,1.7638),(3705,3995,0.99407,1.7571),(3705,4005,0.96823,1.7515),(3705,4015,0.9424,1.747),(3705,4025,1.2554,1.7425),(3705,4035,1.6015,1.7356),(3705,4045,1.9476,1.7238),(3705,4055,2.1942,1.712),(3705,4065,2.4046,1.6995),(3705,4075,2.615,1.683),(3705,4085,2.7058,1.6665),(3705,4095,2.7004,1.6499),(3705,4105,2.695,1.6341),(3705,4115,2.6049,1.6182),(3705,4125,2.3745,1.6024),(3705,4135,2.144,1.5909),(3705,4145,1.911,1.5806),(3705,4155,1.6678,1.5702),(3705,4165,1.4246,1.5636),(3705,4175,1.195,1.5594),(3705,4185,1.6361,1.5551),(3705,4195,2.0771,1.5466),(3705,4205,2.5182,1.5323),(3705,4215,2.5836,1.5181),(3705,4225,2.5784,1.5039),(3705,4235,2.5731,1.4899),(3705,4245,2.5516,1.4758),(3705,4255,2.5219,1.4616),(3705,4265,2.4923,1.4456),(3705,4275,2.1905,1.4296),(3705,4285,1.6,1.4136),(3705,4295,1.0095,1.4118),(3705,4305,0.75928,1.4115),(3705,4315,1.2776,1.4113),(3705,4325,1.796,1.4025),(3705,4335,2.2564,1.3905),(3705,4345,2.325,1.3784),(3705,4355,2.3936,1.3654),(3705,4365,2.4622,1.3517),(3705,4375,2.4644,1.3379),(3705,4385,2.4632,1.3242),(3705,4395,2.462,1.3107),(3705,4405,2.1608,1.2971),(3705,4415,1.7712,1.2852),(3705,4425,1.3816,1.2802),(3705,4435,1.2148,1.2753),(3705,4445,1.2001,1.2704),(3705,4455,1.1854,1.2661),(3705,4465,1.3364,1.2618),(3705,4475,1.7201,1.2575),(3705,4485,2.1039,1.2464),(3705,4495,2.3963,1.2339),(3705,4505,2.3953,1.2215),(3705,4515,2.3944,1.2091),(3705,4525,2.3888,1.1969),(3705,4535,2.3086,1.1846),(3705,4545,2.2284,1.173),(3705,4555,2.1482,1.1622),(3705,4565,1.6407,1.1514),(3705,4575,1.0756,1.1438),(3705,4585,0.51051,1.1441),(3705,4595,0.76632,1.1443),(3705,4605,1.369,1.143),(3705,4615,1.9716,1.129),(3705,4625,2.2689,1.1149),(3705,4635,2.2897,1.1009),(3705,4645,2.3105,1.089),(3705,4655,2.3245,1.0773),(3705,4665,2.3256,1.0655),(3705,4675,2.3268,1.054),(3705,4685,2.2472,1.0426),(3705,4695,1.7683,1.0312),(3705,4705,1.2895,1.0246),(3705,4715,0.81064,1.0216),(3705,4725,1.0339,1.0186),(3705,4735,1.2643,1.0142),(3705,4745,1.4946,1.0077),(3705,4755,1.7306,1.0012),(3705,4765,1.9679,0.99384),(3705,4775,2.2052,0.9835),(3705,4785,2.2921,0.97316),(3705,4795,2.2921,0.96283),(3705,4805,2.2921,0.95254),(3705,4815,2.1817,0.94225),(3705,4825,1.9393,0.93196),(3705,4835,1.6969,0.92498),(3705,4845,1.4514,0.91853),(3705,4855,1.198,0.91207),(3705,4865,0.94458,0.90841),(3705,4875,0.76469,0.90601),(3705,4885,1.2539,0.90362),(3705,4895,1.743,0.89719),(3705,4905,2.2322,0.88689),(3705,4915,2.2712,0.87658),(3705,4925,2.2714,0.8663),(3705,4935,2.2717,0.85608),(3705,4945,2.2633,0.84587),(3705,4955,2.252,0.83544),(3705,4965,2.2407,0.82383),(3705,4975,1.8692,0.81222),(3705,4985,1.2197,0.80062),(3705,4995,0.57014,0.80049),(3705,5005,0.36175,0.80066),(3705,5015,0.85468,0.80082),(3705,5025,1.3476,0.79506),(3705,5035,1.7722,0.78779),(3705,5045,1.9366,0.78052),(3705,5055,2.101,0.7717),(3705,5065,2.2605,0.76193),(3705,5075,2.2612,0.75216),(3705,5085,2.2619,0.74246),(3705,5095,2.2626,0.73284),(3705,5105,1.977,0.72323),(3705,5115,1.6415,0.7149),(3705,5125,1.3059,0.7102),(3705,5135,1.136,0.7055),(3705,5145,1.0465,0.70094),(3705,5155,0.95693,0.69778),(3705,5165,1.1234,0.69463),(3705,5175,1.551,0.69148),(3705,5185,1.9785,0.68323),(3705,5195,2.2707,0.67445),(3705,5205,2.2709,0.66567),(3705,5215,2.2711,0.65698),(3705,5225,2.2596,0.64833),(3705,5235,2.175,0.63968),(3705,5245,2.0904,0.63166),(3705,5255,2.0059,0.62415),(3705,5265,1.4128,0.61664),(3705,5275,0.79883,0.61197),(3705,5285,0.18482,0.61212),(3705,5295,0.59213,0.61226),(3705,5305,1.2839,0.61083),(3705,5315,1.9756,0.60276),(3705,5325,2.2528,0.5947),(3705,5335,2.2583,0.58665),(3705,5345,2.2637,0.57953),(3705,5355,2.2666,0.57241),(3705,5365,2.2661,0.5653),(3705,5375,2.2657,0.55828),(3705,5385,2.1358,0.55128),(3705,5395,1.6126,0.54429),(3705,5405,1.0894,0.54081),(3705,5415,0.62193,0.53916),(3705,5425,0.90222,0.53751),(3705,5435,1.1825,0.53553),(3705,5445,1.4628,0.53319),(3705,5455,1.7368,0.53084),(3705,5465,2.0099,0.52805),(3705,5475,2.2831,0.52421),(3705,5485,2.3601,0.52036),(3705,5495,2.358,0.51653),(3705,5505,2.356,0.51276),(3705,5515,2.354,0.50898),(3705,5525,2.352,0.50521),(3705,5535,2.3501,0.50149),(3705,5545,2.3482,0.49776),(3705,5555,2.3463,0.49404),(3705,5565,2.3444,0.49035),(3705,5575,2.3426,0.48666),(3705,5585,2.3408,0.48298),(3705,5595,2.339,0.47931),(3705,5605,2.3372,0.47565),(3705,5615,2.3355,0.47199),(3705,5625,2.3338,0.46834),(3705,5635,2.3321,0.46471),(3705,5645,2.3304,0.46107),(3705,5655,2.3288,0.45743),(3705,5665,2.3271,0.4538),(3705,5675,2.3255,0.45017),(3705,5685,2.3239,0.44653),(3705,5695,2.3223,0.44291),(3705,5705,2.3208,0.43928),(3705,5715,2.3192,0.43565),(3705,5725,2.3177,0.43203),(3705,5735,2.3161,0.42841),(3705,5745,2.3146,0.42479),(3705,5755,2.3131,0.42116),(3705,5765,2.3116,0.41752),(3705,5775,2.3102,0.41388),(3705,5785,2.3087,0.41024),(3705,5795,2.3072,0.40659),(3705,5805,2.3058,0.40295),(3705,5815,2.3044,0.3993),(3705,5825,2.3029,0.39565),(3705,5835,2.3015,0.392),(3705,5845,2.3001,0.38834),(3705,5855,2.2986,0.38469),(3705,5865,2.2972,0.38104),(3705,5875,2.2958,0.37739),(3705,5885,2.2944,0.37373),(3705,5895,2.293,0.37008),(3705,5905,2.2916,0.36643),(3705,5915,2.2902,0.36278),(3705,5925,2.2888,0.35913),(3705,5935,2.2874,0.35548),(3705,5945,2.286,0.35183),(3705,5955,2.2846,0.34819),(3705,5965,2.2832,0.34455),(3705,5975,2.2818,0.34091),(3705,5985,2.2804,0.33727),(3705,5995,1.7432,0.33363),(3705,6005,1.1198,0.33087),(3705,6015,0.49631,0.33046),(3705,6025,0.65609,0.33004),(3705,6035,1.1791,0.32923),(3705,6045,1.7022,0.32456),(3705,6055,2.0642,0.31989),(3705,6065,2.2683,0.31523),(3705,6075,2.4724,0.30914),(3705,6085,2.61,0.30292),(3705,6095,2.6104,0.2967),(3705,6105,2.6108,0.29047),(3705,6115,2.6112,0.28423),(3705,6125,2.6115,0.27799),(3705,6135,2.6119,0.27178),(3705,6145,2.6123,0.26557),(3705,6155,2.6126,0.25937),(3705,6165,2.6129,0.25322),(3705,6175,2.6132,0.24714),(3705,6185,2.6134,0.24105),(3705,6195,2.6137,0.23499),(3705,6205,2.6139,0.22901),(3705,6215,2.6141,0.22304),(3705,6225,2.6143,0.21706),(3705,6235,2.6145,0.21116),(3705,6245,2.6147,0.20527),(3705,6255,2.6148,0.19937),(3705,6265,2.6149,0.19353),(3705,6275,2.615,0.18771),(3705,6285,2.6151,0.18188),(3705,6295,2.6152,0.17612),(3705,6305,2.6153,0.1704),(3705,6315,2.6154,0.16468),(3705,6325,2.6154,0.15902),(3705,6335,2.6154,0.15343),(3705,6345,2.6155,0.14783),(3705,6355,2.6155,0.14227),(3705,6365,2.6155,0.13677),(3705,6375,2.6155,0.13128),(3705,6385,2.6155,0.12579),(3705,6395,2.6155,0.12037),(3705,6405,2.6154,0.11494),(3705,6415,2.6154,0.10952),(3705,6425,2.6154,0.10414),(3705,6435,2.6154,0.098766),(3705,6445,2.6153,0.09339),(3705,6455,2.6153,0.088087),(3705,6465,2.6153,0.082806),(3705,6475,2.6153,0.077524),(3705,6485,2.6152,0.072265),(3705,6495,2.6152,0.067021),(3705,6505,2.6152,0.061777),(3705,6515,2.6152,0.056553),(3705,6525,2.6151,0.051356),(3705,6535,2.6151,0.046159),(3705,6545,2.6151,0.040971),(3705,6555,2.6151,0.035811),(3705,6565,2.615,0.03065),(3705,6575,2.615,0.025496),(3705,6585,2.615,0.020428),(3705,6595,2.2242,0.01536),(3705,6605,1.4019,0.010292),(3705,6615,0.57966,0.009688),(3705,6625,0.001617,0.009658),(3705,6635,0.001616,0.009628),(3705,6645,0.001615,0.009616),(3705,6655,0.001615,0.009611),(3705,6665,0.001614,0.009607),(3705,6675,0.001614,0.009602),(3705,6685,0.001613,0.009598),(3705,6695,0.001613,0.009593),(3705,6705,0.001613,0.009589),(3705,6715,0.001613,0.009584),(3705,6725,0.001613,0.009579),(3705,6735,0.001613,0.009574),(3705,6745,0.001613,0.009568),(3705,6755,0.001613,0.009563),(3705,6765,0.001613,0.009558),(3705,6775,0.001613,0.009552),(3705,6785,0.001613,0.009546),(3705,6795,0.001614,0.00954),(3705,6805,0.001614,0.009534),(3705,6815,0.001614,0.009528),(3705,6825,0.001615,0.009522),(3705,6835,0.001615,0.009516),(3705,6845,0.001615,0.00951),(3705,6855,0.001616,0.009503),(3705,6865,0.001616,0.009497),(3705,6875,0.001617,0.00949),(3705,6885,0.001617,0.009484),(3705,6895,0.001617,0.009477),(3705,6905,0.001618,0.00947),(3705,6915,0.001618,0.009463),(3705,6925,0.001619,0.009456),(3705,6935,0.001619,0.009449),(3705,6945,0.00162,0.009442),(3705,6955,0.00162,0.009435),(3705,6965,0.001621,0.009428),(3705,6975,0.001621,0.009421),(3705,6985,0.001622,0.009413),(3715,5,7e-06,3.486),(3715,15,2.1e-05,3.486),(3715,25,3.5e-05,3.486),(3715,35,4.9e-05,3.486),(3715,45,6.2e-05,3.486),(3715,55,7.6e-05,3.486),(3715,65,9e-05,3.486),(3715,75,0.000103,3.4859),(3715,85,0.000116,3.4859),(3715,95,0.000129,3.4859),(3715,105,0.000141,3.4859),(3715,115,0.000154,3.4859),(3715,125,0.000166,3.4859),(3715,135,0.000178,3.4859),(3715,145,0.000189,3.4859),(3715,155,0.0002,3.4859),(3715,165,0.000211,3.4859),(3715,175,0.000221,3.4859),(3715,185,0.000231,3.4858),(3715,195,0.00024,3.4858),(3715,205,0.000249,3.4858),(3715,215,0.000258,3.4858),(3715,225,0.000265,3.4858),(3715,235,0.000272,3.4858),(3715,245,0.000279,3.4857),(3715,255,0.000285,3.4857),(3715,265,0.00029,3.4857),(3715,275,0.000293,3.4857),(3715,285,0.000297,3.4857),(3715,295,0.000301,3.4856),(3715,305,0.000301,3.4856),(3715,315,0.000301,3.4856),(3715,325,0.000301,3.4856),(3715,335,0.000302,3.4855),(3715,345,0.000298,3.4855),(3715,355,0.000294,3.4855),(3715,365,0.00029,3.4855),(3715,375,0.000286,3.4854),(3715,385,0.000278,3.4854),(3715,395,0.000269,3.4854),(3715,405,0.000261,3.4853),(3715,415,0.000252,3.4853),(3715,425,0.000238,3.4853),(3715,435,0.000224,3.4852),(3715,445,0.00021,3.4852),(3715,455,0.000196,3.4852),(3715,465,0.000175,3.4851),(3715,475,0.000155,3.4851),(3715,485,0.000134,3.4851),(3715,495,0.000113,3.485),(3715,505,8.5e-05,3.485),(3715,515,5.7e-05,3.4849),(3715,525,2.9e-05,3.4849),(3715,535,1e-06,3.4849),(3715,545,-3.6e-05,3.4848),(3715,555,-7.3e-05,3.4848),(3715,565,-0.000109,3.4847),(3715,575,-0.000146,3.4847),(3715,585,-0.000193,3.4846),(3715,595,-0.000239,3.4846),(3715,605,-0.000286,3.4845),(3715,615,-0.000333,3.4845),(3715,625,-0.000391,3.4844),(3715,635,-0.000448,3.4844),(3715,645,-0.000505,3.4843),(3715,655,-0.000565,3.4843),(3715,665,-0.000635,3.4842),(3715,675,-0.000704,3.4842),(3715,685,-0.000774,3.4841),(3715,695,-0.000847,3.4841),(3715,705,-0.00093,3.484),(3715,715,-0.001014,3.484),(3715,725,-0.001098,3.4839),(3715,735,-0.001185,3.4839),(3715,745,-0.001284,3.4838),(3715,755,-0.001384,3.4838),(3715,765,-0.001483,3.4837),(3715,775,-0.001587,3.4837),(3715,785,-0.001704,3.4836),(3715,795,-0.001821,3.4835),(3715,805,-0.001937,3.4835),(3715,815,-0.00206,3.4834),(3715,825,-0.002196,3.4834),(3715,835,-0.002332,3.4833),(3715,845,-0.002468,3.4833),(3715,855,-0.002611,3.4832),(3715,865,-0.002768,3.4832),(3715,875,-0.002925,3.4831),(3715,885,-0.003082,3.4831),(3715,895,-0.003247,3.483),(3715,905,-0.003427,3.483),(3715,915,-0.003606,3.483),(3715,925,-0.003786,3.4829),(3715,935,-0.003975,3.4829),(3715,945,-0.004179,3.4828),(3715,955,-0.004383,3.4828),(3715,965,-0.004586,3.4828),(3715,975,-0.004802,3.4828),(3715,985,-0.005031,3.4827),(3715,995,-0.00526,3.4827),(3715,1005,-0.005489,3.4827),(3715,1015,-0.005732,3.4827),(3715,1025,-0.005988,3.4827),(3715,1035,-0.006244,3.4826),(3715,1045,-0.006499,3.4826),(3715,1055,-0.00677,3.4826),(3715,1065,-0.007053,3.4826),(3715,1075,-0.007336,3.4827),(3715,1085,-0.007619,3.4827),(3715,1095,-0.007919,3.4827),(3715,1105,-0.008229,3.4827),(3715,1115,-0.00854,3.4827),(3715,1125,-0.008851,3.4828),(3715,1135,-0.009178,3.4828),(3715,1145,-0.009516,3.4829),(3715,1155,-0.009854,3.4829),(3715,1165,-0.010192,3.483),(3715,1175,-0.010548,3.4831),(3715,1185,-0.010912,3.4832),(3715,1195,-0.011277,3.4832),(3715,1205,-0.011641,3.4833),(3715,1215,-0.012023,3.4834),(3715,1225,-0.012412,3.4835),(3715,1235,-0.012801,3.4837),(3715,1245,-0.01319,3.4838),(3715,1255,-0.013596,3.4839),(3715,1265,-0.014008,3.4841),(3715,1275,-0.01442,3.4842),(3715,1285,-0.014832,3.4844),(3715,1295,-0.01526,3.4846),(3715,1305,-0.015693,3.4848),(3715,1315,-0.016125,3.485),(3715,1325,-0.016558,3.4852),(3715,1335,-0.017006,3.4854),(3715,1345,-0.017456,3.4856),(3715,1355,-0.017907,3.4858),(3715,1365,-0.018357,3.4861),(3715,1375,-0.018822,3.4863),(3715,1385,-0.019288,3.4866),(3715,1395,-0.019754,3.4869),(3715,1405,-0.02022,3.4872),(3715,1415,-0.020699,3.4874),(3715,1425,-0.021179,3.4877),(3715,1435,-0.021659,3.4881),(3715,1445,-0.022138,3.4884),(3715,1455,-0.02263,3.4887),(3715,1465,-0.023122,3.489),(3715,1475,-0.023614,3.4894),(3715,1485,-0.024106,3.4898),(3715,1495,-0.024609,3.4901),(3715,1505,-0.025112,3.4905),(3715,1515,-0.025616,3.4909),(3715,1525,-0.026119,3.4913),(3715,1535,-0.026634,3.4917),(3715,1545,-0.027149,3.4921),(3715,1555,-0.027663,3.4926),(3715,1565,-0.028179,3.493),(3715,1575,-0.028707,3.4934),(3715,1585,-0.029234,3.4939),(3715,1595,-0.029762,3.4943),(3715,1605,-0.030291,3.4948),(3715,1615,-0.030835,3.4953),(3715,1625,-0.031378,3.4957),(3715,1635,-0.031921,3.4962),(3715,1645,-0.032467,3.4967),(3715,1655,-0.03303,3.4972),(3715,1665,-0.033592,3.4977),(3715,1675,-0.034155,3.4983),(3715,1685,-0.034722,3.4988),(3715,1695,-0.035309,3.4993),(3715,1705,-0.035895,3.4998),(3715,1715,-0.036482,3.5004),(3715,1725,-0.037075,3.5009),(3715,1735,-0.037692,3.5015),(3715,1745,-0.038309,3.502),(3715,1755,-0.038926,3.5026),(3715,1765,-0.039553,3.5032),(3715,1775,-0.040208,3.5038),(3715,1785,-0.040863,3.5044),(3715,1795,-0.041518,3.505),(3715,1805,-0.042187,3.5056),(3715,1815,-0.042889,3.5062),(3715,1825,-0.043591,3.5068),(3715,1835,-0.044293,3.5074),(3715,1845,-0.045014,3.508),(3715,1855,-0.045774,3.5086),(3715,1865,-0.046533,3.5093),(3715,1875,-0.047292,3.5099),(3715,1885,-0.048078,3.5106),(3715,1895,-0.048907,3.5112),(3715,1905,-0.049736,3.5119),(3715,1915,-0.050565,3.5126),(3715,1925,-0.051429,3.5133),(3715,1935,-0.052341,3.514),(3715,1945,-0.053254,3.5147),(3715,1955,-0.054166,3.5154),(3715,1965,-0.055125,3.5161),(3715,1975,-0.056138,3.5168),(3715,1985,-0.057151,3.5175),(3715,1995,-0.058164,3.5183),(3715,2005,-0.059237,3.5191),(3715,2015,-0.06037,3.5198),(3715,2025,-0.061503,3.5206),(3715,2035,-0.062635,3.5214),(3715,2045,-0.063845,3.5222),(3715,2055,-0.065121,3.523),(3715,2065,-0.066396,3.5239),(3715,2075,-0.067671,3.5247),(3715,2085,-0.069045,3.5256),(3715,2095,-0.07049,3.5264),(3715,2105,-0.071935,3.5273),(3715,2115,-0.07338,3.5283),(3715,2125,-0.07495,3.5292),(3715,2135,-0.076597,3.5301),(3715,2145,-0.078243,3.5311),(3715,2155,-0.07989,3.5321),(3715,2165,-0.081696,3.5332),(3715,2175,-0.083583,3.5342),(3715,2185,-0.085471,3.5353),(3715,2195,-0.087359,3.5364),(3715,2205,-0.089447,3.5375),(3715,2215,-0.091623,3.5387),(3715,2225,-0.093798,3.5399),(3715,2235,-0.095974,3.5412),(3715,2245,-0.098404,3.5424),(3715,2255,-0.10093,3.5437),(3715,2265,-0.10345,3.5451),(3715,2275,-0.10597,3.5466),(3715,2285,-0.10881,3.548),(3715,2295,-0.11175,3.5495),(3715,2305,-0.11469,3.5511),(3715,2315,-0.11762,3.5528),(3715,2325,-0.12097,3.5545),(3715,2335,-0.12442,3.5562),(3715,2345,-0.12786,3.5581),(3715,2355,-0.1313,3.5601),(3715,2365,-0.13527,3.5621),(3715,2375,-0.13933,3.5641),(3715,2385,-0.14338,3.5665),(3715,2395,-0.14744,3.5689),(3715,2405,-0.15217,3.5713),(3715,2415,-0.15699,3.5737),(3715,2425,-0.1618,3.5767),(3715,2435,-0.16661,3.5797),(3715,2445,-0.17229,3.5827),(3715,2455,-0.17804,3.5857),(3715,2465,-0.18378,3.5895),(3715,2475,-0.18952,3.5933),(3715,2485,-0.19639,3.5971),(3715,2495,-0.20329,3.6009),(3715,2505,-0.21019,3.6059),(3715,2515,-0.21711,3.6109),(3715,2525,-0.22544,3.6158),(3715,2535,-0.23377,3.6209),(3715,2545,-0.2421,3.6276),(3715,2555,-0.25053,3.6343),(3715,2565,-0.26063,3.641),(3715,2575,-0.27073,3.6479),(3715,2585,-0.28083,3.6572),(3715,2595,-0.29113,3.6666),(3715,2605,-0.30335,3.6759),(3715,2615,-0.31557,3.6857),(3715,2625,-0.32779,3.6991),(3715,2635,-0.34032,3.7126),(3715,2645,-0.35489,3.7261),(3715,2655,-0.36945,3.7406),(3715,2665,-0.38402,3.7607),(3715,2675,-0.39893,3.7809),(3715,2685,-0.41546,3.8011),(3715,2695,-0.432,3.8234),(3715,2705,-0.44853,3.8546),(3715,2715,-0.46552,3.8858),(3715,2725,-0.48421,3.9169),(3715,2735,-0.5029,3.9528),(3715,2745,-0.52159,4.0041),(3715,2755,-0.52732,4.0554),(3715,2765,-0.49468,4.1067),(3715,2775,-0.46205,4.153),(3715,2785,-0.42942,4.1862),(3715,2795,-0.39589,4.2194),(3715,2805,-0.36022,4.2526),(3715,2815,-0.32455,4.2818),(3715,2825,-0.28887,4.3023),(3715,2835,-0.25385,4.3228),(3715,2845,-0.22015,4.3433),(3715,2855,-0.18644,4.3611),(3715,2865,-0.15273,4.3738),(3715,2875,-0.11986,4.3866),(3715,2885,-0.088381,4.3993),(3715,2895,-0.056906,4.4101),(3715,2905,-0.025432,4.418),(3715,2915,0.005264,4.4258),(3715,2925,0.034842,4.4336),(3715,2935,0.06442,4.44),(3715,2945,0.093998,4.4445),(3715,2955,0.12293,4.449),(3715,2965,0.15108,4.4535),(3715,2975,0.17922,4.4569),(3715,2985,0.20737,4.459),(3715,2995,0.23503,4.4611),(3715,3005,0.2622,4.4633),(3715,3015,0.28936,4.4644),(3715,3025,0.31653,4.4647),(3715,3035,0.34339,4.465),(3715,3045,0.36999,4.4653),(3715,3055,0.39658,4.4647),(3715,3065,0.42317,4.4635),(3715,3075,0.44965,4.4622),(3715,3085,0.47605,4.461),(3715,3095,0.50244,4.459),(3715,3105,0.52883,4.4564),(3715,3115,0.55531,4.4538),(3715,3125,0.58185,4.4512),(3715,3135,0.60839,4.4478),(3715,3145,0.63493,4.444),(3715,3155,0.66178,4.4401),(3715,3165,0.6888,4.4363),(3715,3175,0.71582,4.4315),(3715,3185,0.74284,4.4264),(3715,3195,0.77044,4.4212),(3715,3205,0.7983,4.4161),(3715,3215,0.82616,4.4099),(3715,3225,0.85402,4.4034),(3715,3235,0.88276,4.3968),(3715,3245,0.91184,4.3902),(3715,3255,0.94092,4.3825),(3715,3265,0.96999,4.3744),(3715,3275,1.0003,4.3662),(3715,3285,1.0311,4.3581),(3715,3295,1.0618,4.3484),(3715,3305,1.0925,4.3384),(3715,3315,1.125,4.3283),(3715,3325,1.1579,4.3183),(3715,3335,1.1908,4.3062),(3715,3345,1.2237,4.2938),(3715,3355,1.259,4.2813),(3715,3365,1.2946,4.2689),(3715,3375,1.3303,4.2537),(3715,3385,1.366,4.2381),(3715,3395,1.4048,4.2225),(3715,3405,1.4441,4.2069),(3715,3415,1.4833,4.1874),(3715,3425,1.5225,4.1675),(3715,3435,1.5659,4.1476),(3715,3445,1.6097,4.1277),(3715,3455,1.6534,4.102),(3715,3465,1.6971,4.0759),(3715,3475,1.7463,4.0498),(3715,3485,1.7957,4.0237),(3715,3495,1.845,3.9885),(3715,3505,1.8944,3.9531),(3715,3515,1.9507,3.9177),(3715,3525,2.0069,3.882),(3715,3535,2.0632,3.8319),(3715,3545,2.1198,3.7819),(3715,3555,2.1841,3.7318),(3715,3565,2.2484,3.6802),(3715,3575,2.3127,3.6055),(3715,3585,2.3777,3.5309),(3715,3595,2.4501,3.4563),(3715,3605,2.5226,3.377),(3715,3615,2.595,3.2581),(3715,3625,2.6595,3.1392),(3715,3635,2.6682,3.0203),(3715,3645,2.677,2.8993),(3715,3655,2.6857,2.7657),(3715,3665,2.6706,2.632),(3715,3675,2.534,2.4984),(3715,3685,2.3974,2.3809),(3715,3695,2.2608,2.3355),(3715,3705,2.1402,2.2901),(3715,3715,2.0823,2.2448),(3715,3725,2.0244,2.202),(3715,3735,1.9665,2.1681),(3715,3745,1.9106,2.1343),(3715,3755,1.8609,2.1005),(3715,3765,1.8111,2.0688),(3715,3775,1.7614,2.0432),(3715,3785,1.7134,2.0175),(3715,3795,1.6701,1.9919),(3715,3805,1.6268,1.968),(3715,3815,1.5835,1.9482),(3715,3825,1.5418,1.9285),(3715,3835,1.5037,1.9087),(3715,3845,1.4656,1.8904),(3715,3855,1.4274,1.8751),(3715,3865,1.3908,1.8597),(3715,3875,1.3568,1.8444),(3715,3885,1.3228,1.8304),(3715,3895,1.2889,1.8185),(3715,3905,1.2562,1.8067),(3715,3915,1.2255,1.7949),(3715,3925,1.1948,1.7843),(3715,3935,1.1641,1.7755),(3715,3945,1.1346,1.7666),(3715,3955,1.1064,1.7578),(3715,3965,1.0783,1.7501),(3715,3975,1.0501,1.7438),(3715,3985,1.0228,1.7376),(3715,3995,0.99651,1.7313),(3715,4005,0.9702,1.7261),(3715,4015,0.94388,1.7218),(3715,4025,1.258,1.7176),(3715,4035,1.6054,1.711),(3715,4045,1.9529,1.6994),(3715,4055,2.2005,1.6879),(3715,4065,2.4118,1.6756),(3715,4075,2.6231,1.6593),(3715,4085,2.7141,1.643),(3715,4095,2.7085,1.6267),(3715,4105,2.7029,1.611),(3715,4115,2.6123,1.5954),(3715,4125,2.3808,1.5798),(3715,4135,2.1493,1.5685),(3715,4145,1.9152,1.5584),(3715,4155,1.6708,1.5482),(3715,4165,1.4264,1.5418),(3715,4175,1.1957,1.5377),(3715,4185,1.6386,1.5336),(3715,4195,2.0815,1.5252),(3715,4205,2.5244,1.5112),(3715,4215,2.5901,1.4972),(3715,4225,2.5847,1.4832),(3715,4235,2.5794,1.4694),(3715,4245,2.5584,1.4556),(3715,4255,2.5294,1.4416),(3715,4265,2.5004,1.4258),(3715,4275,2.1975,1.41),(3715,4285,1.6038,1.3942),(3715,4295,1.0101,1.3924),(3715,4305,0.75835,1.3923),(3715,4315,1.2789,1.3921),(3715,4325,1.7994,1.3835),(3715,4335,2.2618,1.3716),(3715,4345,2.3307,1.3597),(3715,4355,2.3996,1.3469),(3715,4365,2.4686,1.3333),(3715,4375,2.4707,1.3196),(3715,4385,2.4694,1.3061),(3715,4395,2.4681,1.2928),(3715,4405,2.1657,1.2794),(3715,4415,1.7746,1.2676),(3715,4425,1.3835,1.2628),(3715,4435,1.2159,1.2579),(3715,4445,1.2011,1.2531),(3715,4455,1.1862,1.2488),(3715,4465,1.3377,1.2446),(3715,4475,1.7229,1.2404),(3715,4485,2.108,1.2295),(3715,4495,2.4014,1.2172),(3715,4505,2.4004,1.2049),(3715,4515,2.3994,1.1927),(3715,4525,2.3937,1.1806),(3715,4535,2.3133,1.1685),(3715,4545,2.2329,1.1571),(3715,4555,2.1525,1.1465),(3715,4565,1.6434,1.1358),(3715,4575,1.0766,1.1283),(3715,4585,0.5098,1.1286),(3715,4595,0.76692,1.1288),(3715,4605,1.3722,1.1275),(3715,4615,1.9774,1.1136),(3715,4625,2.2756,1.0998),(3715,4635,2.2956,1.0859),(3715,4645,2.3156,1.0741),(3715,4655,2.3291,1.0625),(3715,4665,2.3301,1.0509),(3715,4675,2.3312,1.0395),(3715,4685,2.2513,1.0282),(3715,4695,1.7713,1.0169),(3715,4705,1.2912,1.0105),(3715,4715,0.8112,1.0075),(3715,4725,1.0349,1.0045),(3715,4735,1.2657,1.0002),(3715,4745,1.4964,0.99375),(3715,4755,1.7329,0.9873),(3715,4765,1.9707,0.98),(3715,4775,2.2085,0.96971),(3715,4785,2.2956,0.95943),(3715,4795,2.2956,0.94915),(3715,4805,2.2956,0.93889),(3715,4815,2.1849,0.92864),(3715,4825,1.9421,0.91838),(3715,4835,1.6992,0.91144),(3715,4845,1.4532,0.90502),(3715,4855,1.1992,0.89859),(3715,4865,0.94528,0.89498),(3715,4875,0.76501,0.89264),(3715,4885,1.2552,0.8903),(3715,4895,1.7454,0.88394),(3715,4905,2.2356,0.87372),(3715,4915,2.2746,0.86349),(3715,4925,2.2748,0.8533),(3715,4935,2.275,0.84318),(3715,4945,2.267,0.83305),(3715,4955,2.2561,0.82272),(3715,4965,2.2452,0.81127),(3715,4975,1.8729,0.79981),(3715,4985,1.2217,0.78836),(3715,4995,0.57049,0.78826),(3715,5005,0.3614,0.78845),(3715,5015,0.85517,0.78864),(3715,5025,1.3489,0.78294),(3715,5035,1.7743,0.77575),(3715,5045,1.939,0.76855),(3715,5055,2.1036,0.75982),(3715,5065,2.2634,0.75015),(3715,5075,2.2641,0.74047),(3715,5085,2.2648,0.73086),(3715,5095,2.2654,0.72134),(3715,5105,1.9794,0.71182),(3715,5115,1.6433,0.70358),(3715,5125,1.3072,0.69893),(3715,5135,1.137,0.69429),(3715,5145,1.0472,0.68977),(3715,5155,0.95746,0.68667),(3715,5165,1.1241,0.68356),(3715,5175,1.5521,0.68045),(3715,5185,1.9802,0.67229),(3715,5195,2.2726,0.66361),(3715,5205,2.2728,0.65493),(3715,5215,2.273,0.64634),(3715,5225,2.2614,0.63778),(3715,5235,2.1767,0.62923),(3715,5245,2.0921,0.62129),(3715,5255,2.0074,0.61386),(3715,5265,1.4138,0.60643),(3715,5275,0.79923,0.60182),(3715,5285,0.18465,0.60197),(3715,5295,0.59224,0.60212),(3715,5305,1.2845,0.60071),(3715,5315,1.9767,0.59279),(3715,5325,2.254,0.58487),(3715,5335,2.2591,0.57696),(3715,5345,2.2643,0.56994),(3715,5355,2.267,0.56293),(3715,5365,2.2665,0.55592),(3715,5375,2.266,0.549),(3715,5385,2.1361,0.5421),(3715,5395,1.6127,0.53521),(3715,5405,1.0894,0.53179),(3715,5415,0.62176,0.53016),(3715,5425,0.90149,0.52854),(3715,5435,1.1812,0.52661),(3715,5445,1.4609,0.52435),(3715,5455,1.7345,0.52208),(3715,5465,2.0074,0.51938),(3715,5475,2.2802,0.51565),(3715,5485,2.3571,0.51193),(3715,5495,2.355,0.50821),(3715,5505,2.353,0.50456),(3715,5515,2.351,0.5009),(3715,5525,2.349,0.49724),(3715,5535,2.3471,0.49363),(3715,5545,2.3452,0.49001),(3715,5555,2.3433,0.4864),(3715,5565,2.3414,0.48281),(3715,5575,2.3396,0.47923),(3715,5585,2.3378,0.47565),(3715,5595,2.336,0.47209),(3715,5605,2.3342,0.46852),(3715,5615,2.3325,0.46496),(3715,5625,2.3308,0.46141),(3715,5635,2.3291,0.45786),(3715,5645,2.3274,0.45431),(3715,5655,2.3258,0.45076),(3715,5665,2.3241,0.44722),(3715,5675,2.3225,0.44367),(3715,5685,2.3209,0.44013),(3715,5695,2.3193,0.43658),(3715,5705,2.3178,0.43303),(3715,5715,2.3162,0.42949),(3715,5725,2.3147,0.42594),(3715,5735,2.3132,0.4224),(3715,5745,2.3117,0.41885),(3715,5755,2.3102,0.41529),(3715,5765,2.3087,0.41173),(3715,5775,2.3073,0.40816),(3715,5785,2.3058,0.40459),(3715,5795,2.3043,0.40101),(3715,5805,2.3029,0.39743),(3715,5815,2.3015,0.39385),(3715,5825,2.3,0.39027),(3715,5835,2.2986,0.38668),(3715,5845,2.2972,0.3831),(3715,5855,2.2958,0.37951),(3715,5865,2.2944,0.37592),(3715,5875,2.293,0.37233),(3715,5885,2.2916,0.36874),(3715,5895,2.2902,0.36515),(3715,5905,2.2888,0.36156),(3715,5915,2.2874,0.35797),(3715,5925,2.286,0.35438),(3715,5935,2.2846,0.35078),(3715,5945,2.2832,0.3472),(3715,5955,2.2818,0.34362),(3715,5965,2.2804,0.34003),(3715,5975,2.279,0.33645),(3715,5985,2.2776,0.33287),(3715,5995,1.741,0.32929),(3715,6005,1.1183,0.32657),(3715,6015,0.49564,0.32616),(3715,6025,0.65571,0.32575),(3715,6035,1.1788,0.32495),(3715,6045,1.7019,0.32033),(3715,6055,2.064,0.31571),(3715,6065,2.2681,0.31109),(3715,6075,2.4722,0.30506),(3715,6085,2.6097,0.2989),(3715,6095,2.6101,0.29275),(3715,6105,2.6105,0.28658),(3715,6115,2.6108,0.2804),(3715,6125,2.6112,0.27423),(3715,6135,2.6115,0.26807),(3715,6145,2.6119,0.26192),(3715,6155,2.6122,0.25578),(3715,6165,2.6125,0.24968),(3715,6175,2.6127,0.24365),(3715,6185,2.613,0.23763),(3715,6195,2.6132,0.23162),(3715,6205,2.6134,0.22571),(3715,6215,2.6136,0.21979),(3715,6225,2.6138,0.21387),(3715,6235,2.6139,0.20804),(3715,6245,2.6141,0.20221),(3715,6255,2.6142,0.19638),(3715,6265,2.6143,0.19061),(3715,6275,2.6144,0.18485),(3715,6285,2.6145,0.17909),(3715,6295,2.6145,0.1734),(3715,6305,2.6146,0.16775),(3715,6315,2.6146,0.1621),(3715,6325,2.6146,0.15652),(3715,6335,2.6146,0.151),(3715,6345,2.6146,0.14548),(3715,6355,2.6146,0.14),(3715,6365,2.6146,0.13458),(3715,6375,2.6146,0.12916),(3715,6385,2.6145,0.12376),(3715,6395,2.6145,0.11842),(3715,6405,2.6144,0.11308),(3715,6415,2.6144,0.10774),(3715,6425,2.6143,0.10245),(3715,6435,2.6143,0.097163),(3715,6445,2.6142,0.091878),(3715,6455,2.6142,0.086665),(3715,6465,2.6141,0.081473),(3715,6475,2.6141,0.076281),(3715,6485,2.614,0.071113),(3715,6495,2.614,0.065962),(3715,6505,2.6139,0.060811),(3715,6515,2.6139,0.055679),(3715,6525,2.6139,0.050573),(3715,6535,2.6138,0.045467),(3715,6545,2.6138,0.040371),(3715,6555,2.6138,0.035308),(3715,6565,2.6138,0.030245),(3715,6575,2.6137,0.025188),(3715,6585,2.6137,0.020217),(3715,6595,2.2231,0.015245),(3715,6605,1.4012,0.010274),(3715,6615,0.57937,0.009683),(3715,6625,0.001617,0.009655),(3715,6635,0.001616,0.009626),(3715,6645,0.001615,0.009615),(3715,6655,0.001615,0.009611),(3715,6665,0.001615,0.009607),(3715,6675,0.001614,0.009602),(3715,6685,0.001614,0.009598),(3715,6695,0.001614,0.009593),(3715,6705,0.001614,0.009588),(3715,6715,0.001614,0.009584),(3715,6725,0.001614,0.009579),(3715,6735,0.001614,0.009574),(3715,6745,0.001614,0.009568),(3715,6755,0.001614,0.009563),(3715,6765,0.001615,0.009558),(3715,6775,0.001615,0.009552),(3715,6785,0.001615,0.009546),(3715,6795,0.001615,0.009541),(3715,6805,0.001616,0.009534),(3715,6815,0.001616,0.009529),(3715,6825,0.001617,0.009522),(3715,6835,0.001617,0.009516),(3715,6845,0.001618,0.00951),(3715,6855,0.001618,0.009504),(3715,6865,0.001618,0.009497),(3715,6875,0.001619,0.009491),(3715,6885,0.00162,0.009484),(3715,6895,0.00162,0.009477),(3715,6905,0.001621,0.00947),(3715,6915,0.001621,0.009463),(3715,6925,0.001622,0.009457),(3715,6935,0.001622,0.00945),(3715,6945,0.001623,0.009442),(3715,6955,0.001623,0.009435),(3715,6965,0.001624,0.009428),(3715,6975,0.001624,0.009421),(3715,6985,0.001625,0.009414),(3725,5,7e-06,3.3622),(3725,15,2.2e-05,3.3622),(3725,25,3.6e-05,3.3622),(3725,35,5.1e-05,3.3622),(3725,45,6.5e-05,3.3622),(3725,55,8e-05,3.3622),(3725,65,9.4e-05,3.3622),(3725,75,0.000107,3.3622),(3725,85,0.000121,3.3621),(3725,95,0.000135,3.3621),(3725,105,0.000148,3.3621),(3725,115,0.000161,3.3621),(3725,125,0.000173,3.3621),(3725,135,0.000186,3.3621),(3725,145,0.000198,3.3621),(3725,155,0.00021,3.3621),(3725,165,0.000221,3.3621),(3725,175,0.000232,3.3621),(3725,185,0.000243,3.362),(3725,195,0.000252,3.362),(3725,205,0.000262,3.362),(3725,215,0.000271,3.362),(3725,225,0.000279,3.362),(3725,235,0.000287,3.362),(3725,245,0.000294,3.3619),(3725,255,0.000302,3.3619),(3725,265,0.000307,3.3619),(3725,275,0.000311,3.3619),(3725,285,0.000315,3.3619),(3725,295,0.00032,3.3618),(3725,305,0.000321,3.3618),(3725,315,0.000322,3.3618),(3725,325,0.000323,3.3618),(3725,335,0.000324,3.3617),(3725,345,0.000321,3.3617),(3725,355,0.000318,3.3617),(3725,365,0.000315,3.3617),(3725,375,0.000312,3.3616),(3725,385,0.000304,3.3616),(3725,395,0.000296,3.3616),(3725,405,0.000288,3.3615),(3725,415,0.00028,3.3615),(3725,425,0.000268,3.3615),(3725,435,0.000254,3.3614),(3725,445,0.000241,3.3614),(3725,455,0.000228,3.3613),(3725,465,0.000208,3.3613),(3725,475,0.000188,3.3613),(3725,485,0.000168,3.3612),(3725,495,0.000148,3.3612),(3725,505,0.000121,3.3611),(3725,515,9.4e-05,3.3611),(3725,525,6.6e-05,3.3611),(3725,535,3.9e-05,3.361),(3725,545,3e-06,3.361),(3725,555,-3.3e-05,3.3609),(3725,565,-6.8e-05,3.3609),(3725,575,-0.000105,3.3608),(3725,585,-0.00015,3.3608),(3725,595,-0.000196,3.3607),(3725,605,-0.000242,3.3607),(3725,615,-0.000288,3.3606),(3725,625,-0.000345,3.3606),(3725,635,-0.000402,3.3605),(3725,645,-0.000459,3.3605),(3725,655,-0.000517,3.3604),(3725,665,-0.000586,3.3604),(3725,675,-0.000656,3.3603),(3725,685,-0.000725,3.3603),(3725,695,-0.000797,3.3602),(3725,705,-0.00088,3.3601),(3725,715,-0.000963,3.3601),(3725,725,-0.001046,3.36),(3725,735,-0.001133,3.36),(3725,745,-0.001232,3.3599),(3725,755,-0.001331,3.3599),(3725,765,-0.00143,3.3598),(3725,775,-0.001534,3.3597),(3725,785,-0.001651,3.3597),(3725,795,-0.001768,3.3596),(3725,805,-0.001885,3.3596),(3725,815,-0.002007,3.3595),(3725,825,-0.002144,3.3594),(3725,835,-0.00228,3.3594),(3725,845,-0.002416,3.3593),(3725,855,-0.00256,3.3593),(3725,865,-0.002717,3.3592),(3725,875,-0.002875,3.3592),(3725,885,-0.003033,3.3591),(3725,895,-0.003199,3.3591),(3725,905,-0.00338,3.359),(3725,915,-0.00356,3.359),(3725,925,-0.003741,3.3589),(3725,935,-0.003932,3.3589),(3725,945,-0.004138,3.3588),(3725,955,-0.004343,3.3588),(3725,965,-0.004549,3.3588),(3725,975,-0.004767,3.3587),(3725,985,-0.004998,3.3587),(3725,995,-0.00523,3.3587),(3725,1005,-0.005462,3.3586),(3725,1015,-0.005707,3.3586),(3725,1025,-0.005966,3.3586),(3725,1035,-0.006226,3.3586),(3725,1045,-0.006485,3.3586),(3725,1055,-0.006759,3.3586),(3725,1065,-0.007046,3.3586),(3725,1075,-0.007333,3.3586),(3725,1085,-0.00762,3.3586),(3725,1095,-0.007924,3.3586),(3725,1105,-0.00824,3.3586),(3725,1115,-0.008555,3.3586),(3725,1125,-0.008871,3.3587),(3725,1135,-0.009204,3.3587),(3725,1145,-0.009548,3.3587),(3725,1155,-0.009892,3.3588),(3725,1165,-0.010235,3.3588),(3725,1175,-0.010597,3.3589),(3725,1185,-0.010968,3.359),(3725,1195,-0.011339,3.3591),(3725,1205,-0.01171,3.3592),(3725,1215,-0.012099,3.3592),(3725,1225,-0.012495,3.3593),(3725,1235,-0.012891,3.3595),(3725,1245,-0.013288,3.3596),(3725,1255,-0.013702,3.3597),(3725,1265,-0.014121,3.3599),(3725,1275,-0.014541,3.36),(3725,1285,-0.014961,3.3602),(3725,1295,-0.015397,3.3603),(3725,1305,-0.015838,3.3605),(3725,1315,-0.016279,3.3607),(3725,1325,-0.01672,3.3609),(3725,1335,-0.017176,3.3611),(3725,1345,-0.017635,3.3613),(3725,1355,-0.018094,3.3616),(3725,1365,-0.018553,3.3618),(3725,1375,-0.019026,3.3621),(3725,1385,-0.0195,3.3623),(3725,1395,-0.019975,3.3626),(3725,1405,-0.02045,3.3629),(3725,1415,-0.020937,3.3632),(3725,1425,-0.021425,3.3634),(3725,1435,-0.021913,3.3638),(3725,1445,-0.022401,3.3641),(3725,1455,-0.0229,3.3644),(3725,1465,-0.0234,3.3647),(3725,1475,-0.0239,3.3651),(3725,1485,-0.024401,3.3655),(3725,1495,-0.024911,3.3658),(3725,1505,-0.025422,3.3662),(3725,1515,-0.025933,3.3666),(3725,1525,-0.026444,3.367),(3725,1535,-0.026966,3.3674),(3725,1545,-0.027487,3.3678),(3725,1555,-0.028009,3.3682),(3725,1565,-0.028532,3.3687),(3725,1575,-0.029066,3.3691),(3725,1585,-0.0296,3.3695),(3725,1595,-0.030134,3.37),(3725,1605,-0.030669,3.3704),(3725,1615,-0.031218,3.3709),(3725,1625,-0.031768,3.3714),(3725,1635,-0.032317,3.3719),(3725,1645,-0.032869,3.3724),(3725,1655,-0.033437,3.3729),(3725,1665,-0.034004,3.3734),(3725,1675,-0.034572,3.3739),(3725,1685,-0.035145,3.3744),(3725,1695,-0.035736,3.3749),(3725,1705,-0.036328,3.3754),(3725,1715,-0.03692,3.376),(3725,1725,-0.037518,3.3765),(3725,1735,-0.03814,3.3771),(3725,1745,-0.038761,3.3776),(3725,1755,-0.039383,3.3782),(3725,1765,-0.040015,3.3787),(3725,1775,-0.040674,3.3793),(3725,1785,-0.041334,3.3799),(3725,1795,-0.041994,3.3805),(3725,1805,-0.042668,3.3811),(3725,1815,-0.043374,3.3816),(3725,1825,-0.044081,3.3822),(3725,1835,-0.044787,3.3829),(3725,1845,-0.045514,3.3835),(3725,1855,-0.046278,3.3841),(3725,1865,-0.047042,3.3847),(3725,1875,-0.047807,3.3853),(3725,1885,-0.048598,3.386),(3725,1895,-0.049432,3.3866),(3725,1905,-0.050266,3.3873),(3725,1915,-0.051101,3.3879),(3725,1925,-0.051971,3.3886),(3725,1935,-0.05289,3.3892),(3725,1945,-0.053809,3.3899),(3725,1955,-0.054728,3.3906),(3725,1965,-0.055693,3.3913),(3725,1975,-0.056714,3.392),(3725,1985,-0.057734,3.3927),(3725,1995,-0.058754,3.3934),(3725,2005,-0.059836,3.3942),(3725,2015,-0.060977,3.3949),(3725,2025,-0.062119,3.3956),(3725,2035,-0.063261,3.3964),(3725,2045,-0.064481,3.3972),(3725,2055,-0.065767,3.3979),(3725,2065,-0.067054,3.3987),(3725,2075,-0.06834,3.3996),(3725,2085,-0.069727,3.4004),(3725,2095,-0.071186,3.4012),(3725,2105,-0.072644,3.402),(3725,2115,-0.074103,3.4029),(3725,2125,-0.075689,3.4038),(3725,2135,-0.077354,3.4047),(3725,2145,-0.079018,3.4056),(3725,2155,-0.080682,3.4066),(3725,2165,-0.082509,3.4075),(3725,2175,-0.084419,3.4085),(3725,2185,-0.086329,3.4095),(3725,2195,-0.088239,3.4106),(3725,2205,-0.090355,3.4116),(3725,2215,-0.092559,3.4127),(3725,2225,-0.094764,3.4138),(3725,2235,-0.096968,3.415),(3725,2245,-0.099435,3.4162),(3725,2255,-0.10199,3.4174),(3725,2265,-0.10455,3.4187),(3725,2275,-0.10711,3.42),(3725,2285,-0.11,3.4214),(3725,2295,-0.11299,3.4227),(3725,2305,-0.11598,3.4242),(3725,2315,-0.11897,3.4258),(3725,2325,-0.12238,3.4273),(3725,2335,-0.12589,3.4289),(3725,2345,-0.1294,3.4307),(3725,2355,-0.13291,3.4325),(3725,2365,-0.13697,3.4344),(3725,2375,-0.14112,3.4362),(3725,2385,-0.14527,3.4384),(3725,2395,-0.14942,3.4406),(3725,2405,-0.15428,3.4428),(3725,2415,-0.15922,3.4451),(3725,2425,-0.16417,3.4478),(3725,2435,-0.16911,3.4505),(3725,2445,-0.17497,3.4533),(3725,2455,-0.1809,3.456),(3725,2465,-0.18683,3.4595),(3725,2475,-0.19275,3.463),(3725,2485,-0.19989,3.4665),(3725,2495,-0.20706,3.47),(3725,2505,-0.21423,3.4746),(3725,2515,-0.22142,3.4792),(3725,2525,-0.23015,3.4838),(3725,2535,-0.23889,3.4885),(3725,2545,-0.24762,3.4947),(3725,2555,-0.25647,3.5009),(3725,2565,-0.2672,3.5071),(3725,2575,-0.27792,3.5136),(3725,2585,-0.28865,3.5223),(3725,2595,-0.29961,3.531),(3725,2605,-0.31284,3.5398),(3725,2615,-0.32606,3.5489),(3725,2625,-0.33929,3.5617),(3725,2635,-0.35292,3.5745),(3725,2645,-0.36916,3.5872),(3725,2655,-0.38539,3.601),(3725,2665,-0.40162,3.6205),(3725,2675,-0.41839,3.64),(3725,2685,-0.43772,3.6595),(3725,2695,-0.45705,3.6813),(3725,2705,-0.47637,3.7123),(3725,2715,-0.49667,3.7434),(3725,2725,-0.52055,3.7745),(3725,2735,-0.54443,3.8107),(3725,2745,-0.5683,3.8642),(3725,2755,-0.57675,3.9176),(3725,2765,-0.53948,3.971),(3725,2775,-0.50222,4.0188),(3725,2785,-0.46496,4.0518),(3725,2795,-0.42723,4.0847),(3725,2805,-0.38839,4.1176),(3725,2815,-0.34954,4.1465),(3725,2825,-0.31069,4.1663),(3725,2835,-0.27293,4.186),(3725,2845,-0.23735,4.2058),(3725,2855,-0.20177,4.2229),(3725,2865,-0.16619,4.235),(3725,2875,-0.13171,4.2471),(3725,2885,-0.09909,4.2591),(3725,2895,-0.066466,4.2693),(3725,2905,-0.033842,4.2766),(3725,2915,-0.002164,4.2839),(3725,2925,0.028159,4.2912),(3725,2935,0.058481,4.2971),(3725,2945,0.088803,4.3012),(3725,2955,0.11838,4.3053),(3725,2965,0.14703,4.3094),(3725,2975,0.17569,4.3125),(3725,2985,0.20435,4.3143),(3725,2995,0.23246,4.3162),(3725,3005,0.26,4.318),(3725,3015,0.28755,4.319),(3725,3025,0.31509,4.3191),(3725,3035,0.34229,4.3192),(3725,3045,0.36918,4.3193),(3725,3055,0.39607,4.3187),(3725,3065,0.42297,4.3174),(3725,3075,0.44972,4.3161),(3725,3085,0.47637,4.3148),(3725,3095,0.50302,4.3128),(3725,3105,0.52967,4.3102),(3725,3115,0.5564,4.3077),(3725,3125,0.58318,4.3051),(3725,3135,0.60995,4.3018),(3725,3145,0.63673,4.2981),(3725,3155,0.66383,4.2944),(3725,3165,0.69109,4.2906),(3725,3175,0.71836,4.2861),(3725,3185,0.74562,4.2811),(3725,3195,0.77348,4.2762),(3725,3205,0.8016,4.2712),(3725,3215,0.82973,4.2654),(3725,3225,0.85785,4.2591),(3725,3235,0.88689,4.2529),(3725,3245,0.91628,4.2467),(3725,3255,0.94567,4.2393),(3725,3265,0.97506,4.2316),(3725,3275,1.0058,4.2239),(3725,3285,1.0369,4.2162),(3725,3295,1.068,4.2071),(3725,3305,1.0991,4.1976),(3725,3315,1.1321,4.1881),(3725,3325,1.1655,4.1786),(3725,3335,1.1988,4.1673),(3725,3345,1.2322,4.1555),(3725,3355,1.2681,4.1438),(3725,3365,1.3045,4.1321),(3725,3375,1.3409,4.1179),(3725,3385,1.3772,4.1032),(3725,3395,1.417,4.0886),(3725,3405,1.4572,4.0739),(3725,3415,1.4974,4.0556),(3725,3425,1.5375,4.0369),(3725,3435,1.5823,4.0182),(3725,3445,1.6275,3.9995),(3725,3455,1.6726,3.9753),(3725,3465,1.7177,3.9507),(3725,3475,1.7691,3.9262),(3725,3485,1.8206,3.9016),(3725,3495,1.8721,3.8683),(3725,3505,1.9237,3.8349),(3725,3515,1.9835,3.8015),(3725,3525,2.0433,3.7677),(3725,3535,2.1031,3.7201),(3725,3545,2.1634,3.6725),(3725,3555,2.2338,3.6248),(3725,3565,2.3041,3.5757),(3725,3575,2.3745,3.5039),(3725,3585,2.446,3.4321),(3725,3595,2.5297,3.3603),(3725,3605,2.6133,3.284),(3725,3615,2.697,3.1681),(3725,3625,2.7719,3.0522),(3725,3635,2.7844,2.9362),(3725,3645,2.797,2.8182),(3725,3655,2.8096,2.6873),(3725,3665,2.7941,2.5565),(3725,3675,2.635,2.4256),(3725,3685,2.4759,2.3109),(3725,3695,2.3168,2.2683),(3725,3705,2.1777,2.2257),(3725,3715,2.1171,2.1831),(3725,3725,2.0566,2.1429),(3725,3735,1.996,2.1113),(3725,3745,1.9376,2.0796),(3725,3755,1.886,2.048),(3725,3765,1.8344,2.0183),(3725,3775,1.7828,1.9944),(3725,3785,1.7331,1.9705),(3725,3795,1.6885,1.9465),(3725,3805,1.6438,1.9243),(3725,3815,1.5992,1.9059),(3725,3825,1.5563,1.8875),(3725,3835,1.5172,1.869),(3725,3845,1.4781,1.8521),(3725,3855,1.439,1.8378),(3725,3865,1.4014,1.8235),(3725,3875,1.3667,1.8092),(3725,3885,1.3319,1.7962),(3725,3895,1.2972,1.7853),(3725,3905,1.2638,1.7743),(3725,3915,1.2325,1.7633),(3725,3925,1.2012,1.7535),(3725,3935,1.1698,1.7453),(3725,3945,1.1397,1.7371),(3725,3955,1.111,1.7289),(3725,3965,1.0822,1.7218),(3725,3975,1.0535,1.716),(3725,3985,1.0258,1.7102),(3725,3995,0.99896,1.7044),(3725,4005,0.97216,1.6996),(3725,4015,0.94537,1.6957),(3725,4025,1.2607,1.6919),(3725,4035,1.6094,1.6856),(3725,4045,1.9582,1.6743),(3725,4055,2.2069,1.663),(3725,4065,2.419,1.651),(3725,4075,2.6311,1.6349),(3725,4085,2.7224,1.6189),(3725,4095,2.7166,1.6028),(3725,4105,2.7108,1.5874),(3725,4115,2.6197,1.5721),(3725,4125,2.3871,1.5567),(3725,4135,2.1546,1.5456),(3725,4145,1.9194,1.5357),(3725,4155,1.6738,1.5258),(3725,4165,1.4282,1.5196),(3725,4175,1.1963,1.5157),(3725,4185,1.6411,1.5118),(3725,4195,2.0858,1.5036),(3725,4205,2.5306,1.4898),(3725,4215,2.5965,1.476),(3725,4225,2.5911,1.4623),(3725,4235,2.5857,1.4487),(3725,4245,2.5651,1.435),(3725,4255,2.5369,1.4213),(3725,4265,2.5086,1.4056),(3725,4275,2.2044,1.39),(3725,4285,1.6076,1.3744),(3725,4295,1.0107,1.3727),(3725,4305,0.75742,1.3727),(3725,4315,1.2801,1.3726),(3725,4325,1.8028,1.3642),(3725,4335,2.2672,1.3524),(3725,4345,2.3364,1.3407),(3725,4355,2.4057,1.328),(3725,4365,2.4749,1.3146),(3725,4375,2.477,1.3011),(3725,4385,2.4756,1.2878),(3725,4395,2.4741,1.2747),(3725,4405,2.1706,1.2616),(3725,4415,1.778,1.25),(3725,4425,1.3854,1.2452),(3725,4435,1.2171,1.2405),(3725,4445,1.2021,1.2357),(3725,4455,1.1871,1.2315),(3725,4465,1.3391,1.2273),(3725,4475,1.7256,1.2232),(3725,4485,2.1121,1.2124),(3725,4495,2.4065,1.2003),(3725,4505,2.4054,1.1881),(3725,4515,2.4044,1.1762),(3725,4525,2.3986,1.1643),(3725,4535,2.318,1.1524),(3725,4545,2.2374,1.1411),(3725,4555,2.1568,1.1306),(3725,4565,1.6462,1.1201),(3725,4575,1.0776,1.1128),(3725,4585,0.50908,1.1131),(3725,4595,0.76752,1.1133),(3725,4605,1.3754,1.112),(3725,4615,1.9832,1.0983),(3725,4625,2.2822,1.0846),(3725,4635,2.3015,1.0708),(3725,4645,2.3208,1.0592),(3725,4655,2.3337,1.0477),(3725,4665,2.3347,1.0362),(3725,4675,2.3356,1.025),(3725,4685,2.2554,1.0138),(3725,4695,1.7742,1.0027),(3725,4705,1.293,0.9963),(3725,4715,0.81177,0.99341),(3725,4725,1.0359,0.99052),(3725,4735,1.2671,0.98623),(3725,4745,1.4982,0.97983),(3725,4755,1.7352,0.97343),(3725,4765,1.9735,0.96617),(3725,4775,2.2117,0.95593),(3725,4785,2.299,0.94568),(3725,4795,2.299,0.93544),(3725,4805,2.299,0.92521),(3725,4815,2.1882,0.91498),(3725,4825,1.9448,0.90475),(3725,4835,1.7014,0.89785),(3725,4845,1.455,0.89146),(3725,4855,1.2005,0.88507),(3725,4865,0.94598,0.8815),(3725,4875,0.76533,0.87922),(3725,4885,1.2565,0.87693),(3725,4895,1.7477,0.87064),(3725,4905,2.2389,0.86052),(3725,4915,2.278,0.85039),(3725,4925,2.2782,0.84029),(3725,4935,2.2784,0.83027),(3725,4945,2.2707,0.82024),(3725,4955,2.2602,0.81002),(3725,4965,2.2497,0.79872),(3725,4975,1.8767,0.78741),(3725,4985,1.2238,0.77611),(3725,4995,0.57085,0.77604),(3725,5005,0.36104,0.77626),(3725,5015,0.85567,0.77648),(3725,5025,1.3503,0.77085),(3725,5035,1.7764,0.76374),(3725,5045,1.9413,0.75662),(3725,5055,2.1063,0.74798),(3725,5065,2.2663,0.7384),(3725,5075,2.267,0.72882),(3725,5085,2.2676,0.71931),(3725,5095,2.2682,0.70989),(3725,5105,1.9817,0.70046),(3725,5115,1.6451,0.6923),(3725,5125,1.3085,0.68772),(3725,5135,1.1379,0.68314),(3725,5145,1.0479,0.67868),(3725,5155,0.95798,0.67562),(3725,5165,1.1247,0.67255),(3725,5175,1.5532,0.66949),(3725,5185,1.9818,0.66142),(3725,5195,2.2746,0.65284),(3725,5205,2.2747,0.64425),(3725,5215,2.2748,0.63576),(3725,5225,2.2632,0.6273),(3725,5235,2.1784,0.61884),(3725,5245,2.0937,0.611),(3725,5255,2.0089,0.60366),(3725,5265,1.4148,0.59632),(3725,5275,0.79962,0.59176),(3725,5285,0.18447,0.59192),(3725,5295,0.59234,0.59207),(3725,5305,1.2851,0.5907),(3725,5315,1.9778,0.58291),(3725,5325,2.2551,0.57512),(3725,5335,2.26,0.56734),(3725,5345,2.2649,0.56043),(3725,5355,2.2674,0.55352),(3725,5365,2.2669,0.54662),(3725,5375,2.2663,0.53981),(3725,5385,2.1363,0.53301),(3725,5395,1.6129,0.52622),(3725,5405,1.0894,0.52285),(3725,5415,0.6216,0.52126),(3725,5425,0.90076,0.51967),(3725,5435,1.1799,0.51779),(3725,5445,1.4591,0.51561),(3725,5455,1.7323,0.51342),(3725,5465,2.0049,0.5108),(3725,5475,2.2774,0.50719),(3725,5485,2.3542,0.50358),(3725,5495,2.3521,0.49998),(3725,5505,2.35,0.49644),(3725,5515,2.348,0.49289),(3725,5525,2.346,0.48935),(3725,5535,2.3441,0.48584),(3725,5545,2.3422,0.48233),(3725,5555,2.3403,0.47882),(3725,5565,2.3384,0.47534),(3725,5575,2.3365,0.47186),(3725,5585,2.3348,0.46839),(3725,5595,2.333,0.46492),(3725,5605,2.3312,0.46145),(3725,5615,2.3295,0.45799),(3725,5625,2.3277,0.45452),(3725,5635,2.326,0.45107),(3725,5645,2.3244,0.44761),(3725,5655,2.3227,0.44415),(3725,5665,2.3211,0.44069),(3725,5675,2.3195,0.43723),(3725,5685,2.3179,0.43377),(3725,5695,2.3163,0.4303),(3725,5705,2.3148,0.42683),(3725,5715,2.3133,0.42336),(3725,5725,2.3117,0.41989),(3725,5735,2.3102,0.41642),(3725,5745,2.3087,0.41295),(3725,5755,2.3073,0.40947),(3725,5765,2.3058,0.40598),(3725,5775,2.3043,0.40248),(3725,5785,2.3029,0.39898),(3725,5795,2.3014,0.39547),(3725,5805,2.3,0.39196),(3725,5815,2.2986,0.38844),(3725,5825,2.2972,0.38492),(3725,5835,2.2958,0.3814),(3725,5845,2.2944,0.37788),(3725,5855,2.2929,0.37435),(3725,5865,2.2915,0.37083),(3725,5875,2.2901,0.3673),(3725,5885,2.2888,0.36378),(3725,5895,2.2874,0.36025),(3725,5905,2.286,0.35672),(3725,5915,2.2846,0.35319),(3725,5925,2.2832,0.34966),(3725,5935,2.2818,0.34613),(3725,5945,2.2804,0.3426),(3725,5955,2.279,0.33908),(3725,5965,2.2776,0.33555),(3725,5975,2.2762,0.33203),(3725,5985,2.2748,0.32851),(3725,5995,1.7389,0.32499),(3725,6005,1.1169,0.32232),(3725,6015,0.49498,0.32192),(3725,6025,0.65534,0.32152),(3725,6035,1.1785,0.32072),(3725,6045,1.7017,0.31614),(3725,6055,2.0638,0.31156),(3725,6065,2.2679,0.30698),(3725,6075,2.472,0.30101),(3725,6085,2.6095,0.29491),(3725,6095,2.6098,0.28881),(3725,6105,2.6102,0.2827),(3725,6115,2.6105,0.27659),(3725,6125,2.6109,0.27047),(3725,6135,2.6112,0.26437),(3725,6145,2.6115,0.25828),(3725,6155,2.6118,0.25219),(3725,6165,2.612,0.24615),(3725,6175,2.6123,0.24018),(3725,6185,2.6125,0.2342),(3725,6195,2.6127,0.22826),(3725,6205,2.6129,0.2224),(3725,6215,2.6131,0.21654),(3725,6225,2.6132,0.21068),(3725,6235,2.6134,0.20491),(3725,6245,2.6135,0.19914),(3725,6255,2.6136,0.19337),(3725,6265,2.6137,0.18766),(3725,6275,2.6137,0.18197),(3725,6285,2.6138,0.17628),(3725,6295,2.6138,0.17066),(3725,6305,2.6139,0.16508),(3725,6315,2.6138,0.1595),(3725,6325,2.6138,0.15398),(3725,6335,2.6138,0.14854),(3725,6345,2.6138,0.1431),(3725,6355,2.6137,0.13769),(3725,6365,2.6137,0.13235),(3725,6375,2.6136,0.12701),(3725,6385,2.6136,0.12169),(3725,6395,2.6135,0.11643),(3725,6405,2.6134,0.11118),(3725,6415,2.6134,0.10592),(3725,6425,2.6133,0.10072),(3725,6435,2.6132,0.095525),(3725,6445,2.6131,0.090328),(3725,6455,2.6131,0.085206),(3725,6465,2.613,0.080107),(3725,6475,2.6129,0.075007),(3725,6485,2.6128,0.069934),(3725,6495,2.6128,0.064879),(3725,6505,2.6127,0.059823),(3725,6515,2.6127,0.054786),(3725,6525,2.6126,0.049774),(3725,6535,2.6126,0.044762),(3725,6545,2.6125,0.039762),(3725,6555,2.6125,0.034797),(3725,6565,2.6125,0.029832),(3725,6575,2.6124,0.024872),(3725,6585,2.6124,0.019999),(3725,6595,2.222,0.015125),(3725,6605,1.4005,0.010252),(3725,6615,0.57908,0.009675),(3725,6625,0.001617,0.00965),(3725,6635,0.001616,0.009625),(3725,6645,0.001616,0.009615),(3725,6655,0.001615,0.00961),(3725,6665,0.001615,0.009606),(3725,6675,0.001615,0.009602),(3725,6685,0.001615,0.009597),(3725,6695,0.001615,0.009593),(3725,6705,0.001615,0.009588),(3725,6715,0.001615,0.009584),(3725,6725,0.001615,0.009579),(3725,6735,0.001615,0.009574),(3725,6745,0.001615,0.009568),(3725,6755,0.001616,0.009563),(3725,6765,0.001616,0.009558),(3725,6775,0.001616,0.009552),(3725,6785,0.001617,0.009547),(3725,6795,0.001617,0.009541),(3725,6805,0.001618,0.009535),(3725,6815,0.001618,0.009529),(3725,6825,0.001619,0.009523),(3725,6835,0.001619,0.009517),(3725,6845,0.00162,0.00951),(3725,6855,0.00162,0.009504),(3725,6865,0.001621,0.009498),(3725,6875,0.001621,0.009491),(3725,6885,0.001622,0.009484),(3725,6895,0.001623,0.009478),(3725,6905,0.001623,0.009471),(3725,6915,0.001624,0.009464),(3725,6925,0.001625,0.009457),(3725,6935,0.001625,0.00945),(3725,6945,0.001626,0.009443),(3725,6955,0.001626,0.009436),(3725,6965,0.001627,0.009429),(3725,6975,0.001628,0.009421),(3725,6985,0.001628,0.009414),(3735,5,8e-06,3.1853),(3735,15,2.3e-05,3.1853),(3735,25,3.8e-05,3.1853),(3735,35,5.3e-05,3.1853),(3735,45,6.8e-05,3.1853),(3735,55,8.3e-05,3.1853),(3735,65,9.8e-05,3.1853),(3735,75,0.000112,3.1853),(3735,85,0.000126,3.1853),(3735,95,0.000141,3.1853),(3735,105,0.000154,3.1853),(3735,115,0.000168,3.1852),(3735,125,0.000181,3.1852),(3735,135,0.000195,3.1852),(3735,145,0.000207,3.1852),(3735,155,0.000219,3.1852),(3735,165,0.000231,3.1852),(3735,175,0.000243,3.1852),(3735,185,0.000254,3.1852),(3735,195,0.000264,3.1851),(3735,205,0.000275,3.1851),(3735,215,0.000285,3.1851),(3735,225,0.000294,3.1851),(3735,235,0.000302,3.1851),(3735,245,0.00031,3.1851),(3735,255,0.000318,3.185),(3735,265,0.000324,3.185),(3735,275,0.000329,3.185),(3735,285,0.000334,3.185),(3735,295,0.000339,3.1849),(3735,305,0.000341,3.1849),(3735,315,0.000343,3.1849),(3735,325,0.000345,3.1849),(3735,335,0.000346,3.1848),(3735,345,0.000344,3.1848),(3735,355,0.000342,3.1848),(3735,365,0.000339,3.1848),(3735,375,0.000337,3.1847),(3735,385,0.00033,3.1847),(3735,395,0.000323,3.1847),(3735,405,0.000316,3.1846),(3735,415,0.000309,3.1846),(3735,425,0.000297,3.1846),(3735,435,0.000284,3.1845),(3735,445,0.000272,3.1845),(3735,455,0.000259,3.1844),(3735,465,0.000241,3.1844),(3735,475,0.000221,3.1844),(3735,485,0.000202,3.1843),(3735,495,0.000183,3.1843),(3735,505,0.000157,3.1842),(3735,515,0.00013,3.1842),(3735,525,0.000104,3.1841),(3735,535,7.7e-05,3.1841),(3735,545,4.2e-05,3.1841),(3735,555,7e-06,3.184),(3735,565,-2.8e-05,3.184),(3735,575,-6.3e-05,3.1839),(3735,585,-0.000108,3.1839),(3735,595,-0.000153,3.1838),(3735,605,-0.000198,3.1837),(3735,615,-0.000244,3.1837),(3735,625,-0.0003,3.1836),(3735,635,-0.000356,3.1836),(3735,645,-0.000412,3.1835),(3735,655,-0.00047,3.1835),(3735,665,-0.000538,3.1834),(3735,675,-0.000607,3.1834),(3735,685,-0.000675,3.1833),(3735,695,-0.000747,3.1832),(3735,705,-0.000829,3.1832),(3735,715,-0.000912,3.1831),(3735,725,-0.000995,3.183),(3735,735,-0.001081,3.183),(3735,745,-0.00118,3.1829),(3735,755,-0.001279,3.1829),(3735,765,-0.001378,3.1828),(3735,775,-0.001481,3.1827),(3735,785,-0.001598,3.1827),(3735,795,-0.001715,3.1826),(3735,805,-0.001832,3.1825),(3735,815,-0.001955,3.1825),(3735,825,-0.002091,3.1824),(3735,835,-0.002228,3.1824),(3735,845,-0.002364,3.1823),(3735,855,-0.002508,3.1822),(3735,865,-0.002667,3.1822),(3735,875,-0.002825,3.1821),(3735,885,-0.002983,3.1821),(3735,895,-0.003151,3.182),(3735,905,-0.003333,3.1819),(3735,915,-0.003515,3.1819),(3735,925,-0.003697,3.1818),(3735,935,-0.00389,3.1818),(3735,945,-0.004097,3.1817),(3735,955,-0.004304,3.1817),(3735,965,-0.004511,3.1816),(3735,975,-0.004731,3.1816),(3735,985,-0.004966,3.1816),(3735,995,-0.0052,3.1815),(3735,1005,-0.005434,3.1815),(3735,1015,-0.005683,3.1815),(3735,1025,-0.005945,3.1814),(3735,1035,-0.006207,3.1814),(3735,1045,-0.00647,3.1814),(3735,1055,-0.006748,3.1814),(3735,1065,-0.007039,3.1814),(3735,1075,-0.00733,3.1814),(3735,1085,-0.007621,3.1814),(3735,1095,-0.00793,3.1814),(3735,1105,-0.00825,3.1814),(3735,1115,-0.008571,3.1814),(3735,1125,-0.008891,3.1814),(3735,1135,-0.00923,3.1815),(3735,1145,-0.009579,3.1815),(3735,1155,-0.009929,3.1815),(3735,1165,-0.010278,3.1816),(3735,1175,-0.010646,3.1817),(3735,1185,-0.011024,3.1817),(3735,1195,-0.011401,3.1818),(3735,1205,-0.011779,3.1819),(3735,1215,-0.012175,3.182),(3735,1225,-0.012578,3.182),(3735,1235,-0.012982,3.1822),(3735,1245,-0.013385,3.1823),(3735,1255,-0.013807,3.1824),(3735,1265,-0.014235,3.1825),(3735,1275,-0.014662,3.1827),(3735,1285,-0.01509,3.1828),(3735,1295,-0.015534,3.183),(3735,1305,-0.015983,3.1832),(3735,1315,-0.016432,3.1834),(3735,1325,-0.016881,3.1836),(3735,1335,-0.017346,3.1838),(3735,1345,-0.017813,3.184),(3735,1355,-0.018281,3.1842),(3735,1365,-0.018748,3.1844),(3735,1375,-0.019229,3.1847),(3735,1385,-0.019713,3.1849),(3735,1395,-0.020196,3.1852),(3735,1405,-0.020679,3.1855),(3735,1415,-0.021174,3.1858),(3735,1425,-0.021671,3.186),(3735,1435,-0.022167,3.1864),(3735,1445,-0.022664,3.1867),(3735,1455,-0.023171,3.187),(3735,1465,-0.023679,3.1873),(3735,1475,-0.024187,3.1877),(3735,1485,-0.024695,3.1881),(3735,1495,-0.025213,3.1884),(3735,1505,-0.025732,3.1888),(3735,1515,-0.02625,3.1892),(3735,1525,-0.026769,3.1896),(3735,1535,-0.027297,3.19),(3735,1545,-0.027826,3.1904),(3735,1555,-0.028355,3.1908),(3735,1565,-0.028884,3.1912),(3735,1575,-0.029425,3.1917),(3735,1585,-0.029965,3.1921),(3735,1595,-0.030506,3.1925),(3735,1605,-0.031047,3.193),(3735,1615,-0.031602,3.1935),(3735,1625,-0.032157,3.1939),(3735,1635,-0.032712,3.1944),(3735,1645,-0.03327,3.1949),(3735,1655,-0.033843,3.1954),(3735,1665,-0.034417,3.1959),(3735,1675,-0.03499,3.1964),(3735,1685,-0.035568,3.1969),(3735,1695,-0.036164,3.1974),(3735,1705,-0.036761,3.1979),(3735,1715,-0.037358,3.1985),(3735,1725,-0.037961,3.199),(3735,1735,-0.038587,3.1995),(3735,1745,-0.039214,3.2001),(3735,1755,-0.03984,3.2006),(3735,1765,-0.040477,3.2012),(3735,1775,-0.041141,3.2018),(3735,1785,-0.041805,3.2023),(3735,1795,-0.042469,3.2029),(3735,1805,-0.043148,3.2035),(3735,1815,-0.043859,3.2041),(3735,1825,-0.044571,3.2046),(3735,1835,-0.045282,3.2052),(3735,1845,-0.046013,3.2058),(3735,1855,-0.046782,3.2064),(3735,1865,-0.047552,3.207),(3735,1875,-0.048321,3.2076),(3735,1885,-0.049117,3.2083),(3735,1895,-0.049957,3.2089),(3735,1905,-0.050797,3.2095),(3735,1915,-0.051637,3.2102),(3735,1925,-0.052513,3.2108),(3735,1935,-0.053438,3.2114),(3735,1945,-0.054364,3.2121),(3735,1955,-0.055289,3.2128),(3735,1965,-0.056261,3.2134),(3735,1975,-0.057289,3.2141),(3735,1985,-0.058317,3.2148),(3735,1995,-0.059345,3.2155),(3735,2005,-0.060434,3.2162),(3735,2015,-0.061585,3.2169),(3735,2025,-0.062736,3.2176),(3735,2035,-0.063887,3.2183),(3735,2045,-0.065117,3.219),(3735,2055,-0.066414,3.2198),(3735,2065,-0.067712,3.2205),(3735,2075,-0.06901,3.2213),(3735,2085,-0.070409,3.2221),(3735,2095,-0.071881,3.2228),(3735,2105,-0.073354,3.2236),(3735,2115,-0.074827,3.2245),(3735,2125,-0.076429,3.2253),(3735,2135,-0.078111,3.2261),(3735,2145,-0.079793,3.227),(3735,2155,-0.081475,3.2279),(3735,2165,-0.083322,3.2288),(3735,2175,-0.085254,3.2297),(3735,2185,-0.087187,3.2306),(3735,2195,-0.089119,3.2316),(3735,2205,-0.091262,3.2326),(3735,2215,-0.093496,3.2336),(3735,2225,-0.095729,3.2346),(3735,2235,-0.097963,3.2357),(3735,2245,-0.10046,3.2368),(3735,2255,-0.10306,3.2379),(3735,2265,-0.10566,3.2391),(3735,2275,-0.10826,3.2403),(3735,2285,-0.1112,3.2415),(3735,2295,-0.11424,3.2428),(3735,2305,-0.11727,3.2442),(3735,2315,-0.12031,3.2456),(3735,2325,-0.12379,3.247),(3735,2335,-0.12737,3.2484),(3735,2345,-0.13095,3.25),(3735,2355,-0.13453,3.2517),(3735,2365,-0.13867,3.2534),(3735,2375,-0.14292,3.255),(3735,2385,-0.14716,3.257),(3735,2395,-0.1514,3.259),(3735,2405,-0.15639,3.261),(3735,2415,-0.16146,3.2631),(3735,2425,-0.16653,3.2655),(3735,2435,-0.1716,3.268),(3735,2445,-0.17765,3.2705),(3735,2455,-0.18376,3.273),(3735,2465,-0.18987,3.2761),(3735,2475,-0.19599,3.2793),(3735,2485,-0.20339,3.2824),(3735,2495,-0.21083,3.2856),(3735,2505,-0.21826,3.2897),(3735,2515,-0.22572,3.2939),(3735,2525,-0.23486,3.2981),(3735,2535,-0.24401,3.3023),(3735,2545,-0.25315,3.3079),(3735,2555,-0.26241,3.3135),(3735,2565,-0.27376,3.3192),(3735,2575,-0.28512,3.325),(3735,2585,-0.29647,3.333),(3735,2595,-0.30809,3.3409),(3735,2605,-0.32233,3.3489),(3735,2615,-0.33656,3.3573),(3735,2625,-0.3508,3.3691),(3735,2635,-0.36552,3.3808),(3735,2645,-0.38342,3.3926),(3735,2655,-0.40132,3.4054),(3735,2665,-0.41923,3.4237),(3735,2675,-0.43786,3.442),(3735,2685,-0.45998,3.4603),(3735,2695,-0.4821,3.4809),(3735,2705,-0.50422,3.5111),(3735,2715,-0.52782,3.5413),(3735,2725,-0.55689,3.5715),(3735,2735,-0.58595,3.6075),(3735,2745,-0.61502,3.6624),(3735,2755,-0.62617,3.7173),(3735,2765,-0.58428,3.7722),(3735,2775,-0.54239,3.8207),(3735,2785,-0.5005,3.8524),(3735,2795,-0.45857,3.8841),(3735,2805,-0.41655,3.9158),(3735,2815,-0.37453,3.9433),(3735,2825,-0.33251,3.9618),(3735,2835,-0.29201,3.9803),(3735,2845,-0.25456,3.9988),(3735,2855,-0.21711,4.0147),(3735,2865,-0.17966,4.0258),(3735,2875,-0.14357,4.0368),(3735,2885,-0.1098,4.0479),(3735,2895,-0.076025,4.0572),(3735,2905,-0.042252,4.0638),(3735,2915,-0.009591,4.0703),(3735,2925,0.021475,4.0769),(3735,2935,0.052542,4.0822),(3735,2945,0.083608,4.0858),(3735,2955,0.11382,4.0894),(3735,2965,0.14299,4.093),(3735,2975,0.17216,4.0956),(3735,2985,0.20133,4.0971),(3735,2995,0.22989,4.0986),(3735,3005,0.25781,4.1002),(3735,3015,0.28573,4.1009),(3735,3025,0.31365,4.1008),(3735,3035,0.34118,4.1007),(3735,3045,0.36837,4.1007),(3735,3055,0.39557,4.0999),(3735,3065,0.42276,4.0985),(3735,3075,0.44979,4.0971),(3735,3085,0.4767,4.0958),(3735,3095,0.5036,4.0937),(3735,3105,0.53051,4.0912),(3735,3115,0.55748,4.0887),(3735,3125,0.5845,4.0861),(3735,3135,0.61152,4.0829),(3735,3145,0.63854,4.0793),(3735,3155,0.66587,4.0757),(3735,3165,0.69338,4.0721),(3735,3175,0.72089,4.0677),(3735,3185,0.7484,4.063),(3735,3195,0.77652,4.0583),(3735,3205,0.80491,4.0536),(3735,3215,0.8333,4.048),(3735,3225,0.86169,4.0421),(3735,3235,0.89103,4.0362),(3735,3245,0.92072,4.0303),(3735,3255,0.95042,4.0234),(3735,3265,0.98012,4.0161),(3735,3275,1.0112,4.0089),(3735,3285,1.0427,4.0016),(3735,3295,1.0742,3.9931),(3735,3305,1.1057,3.9842),(3735,3315,1.1391,3.9754),(3735,3325,1.173,3.9665),(3735,3335,1.2069,3.9559),(3735,3345,1.2408,3.945),(3735,3355,1.2773,3.9341),(3735,3365,1.3144,3.9232),(3735,3375,1.3514,3.91),(3735,3385,1.3884,3.8964),(3735,3395,1.4291,3.8828),(3735,3405,1.4703,3.8693),(3735,3415,1.5114,3.8523),(3735,3425,1.5525,3.835),(3735,3435,1.5987,3.8178),(3735,3445,1.6453,3.8005),(3735,3455,1.6918,3.7781),(3735,3465,1.7384,3.7554),(3735,3475,1.7918,3.7328),(3735,3485,1.8455,3.7101),(3735,3495,1.8993,3.6794),(3735,3505,1.953,3.6486),(3735,3515,2.0164,3.6177),(3735,3525,2.0797,3.5865),(3735,3535,2.143,3.5425),(3735,3545,2.2069,3.4984),(3735,3555,2.2834,3.4544),(3735,3565,2.3599,3.4089),(3735,3575,2.4363,3.3423),(3735,3585,2.5143,3.2757),(3735,3595,2.6092,3.2092),(3735,3605,2.7041,3.1383),(3735,3615,2.799,3.0306),(3735,3625,2.8842,2.923),(3735,3635,2.9006,2.8153),(3735,3645,2.9171,2.7056),(3735,3655,2.9335,2.5841),(3735,3665,2.9176,2.4626),(3735,3675,2.736,2.3411),(3735,3685,2.5544,2.2346),(3735,3695,2.3727,2.1952),(3735,3705,2.2151,2.1557),(3735,3715,2.1519,2.1163),(3735,3725,2.0887,2.0791),(3735,3735,2.0255,2.05),(3735,3745,1.9646,2.0209),(3735,3755,1.9111,1.9918),(3735,3765,1.8576,1.9646),(3735,3775,1.8041,1.9426),(3735,3785,1.7528,1.9206),(3735,3795,1.7068,1.8987),(3735,3805,1.6609,1.8782),(3735,3815,1.6149,1.8613),(3735,3825,1.5708,1.8444),(3735,3835,1.5307,1.8275),(3735,3845,1.4906,1.812),(3735,3855,1.4505,1.7989),(3735,3865,1.4121,1.7858),(3735,3875,1.3766,1.7727),(3735,3885,1.341,1.7607),(3735,3895,1.3055,1.7507),(3735,3905,1.2714,1.7406),(3735,3915,1.2395,1.7306),(3735,3925,1.2075,1.7216),(3735,3935,1.1755,1.7141),(3735,3945,1.1448,1.7066),(3735,3955,1.1155,1.699),(3735,3965,1.0862,1.6926),(3735,3975,1.057,1.6873),(3735,3985,1.0287,1.682),(3735,3995,1.0014,1.6767),(3735,4005,0.97412,1.6723),(3735,4015,0.94685,1.6688),(3735,4025,1.2633,1.6653),(3735,4035,1.6134,1.6594),(3735,4045,1.9635,1.6484),(3735,4055,2.2132,1.6374),(3735,4065,2.4262,1.6257),(3735,4075,2.6392,1.61),(3735,4085,2.7307,1.5942),(3735,4095,2.7248,1.5785),(3735,4105,2.7188,1.5634),(3735,4115,2.6271,1.5483),(3735,4125,2.3935,1.5332),(3735,4135,2.1598,1.5224),(3735,4145,1.9236,1.5128),(3735,4155,1.6768,1.5031),(3735,4165,1.4301,1.4971),(3735,4175,1.197,1.4933),(3735,4185,1.6436,1.4896),(3735,4195,2.0902,1.4817),(3735,4205,2.5367,1.4681),(3735,4215,2.6029,1.4546),(3735,4225,2.5975,1.441),(3735,4235,2.592,1.4276),(3735,4245,2.5719,1.4142),(3735,4255,2.5443,1.4007),(3735,4265,2.5167,1.3852),(3735,4275,2.2114,1.3698),(3735,4285,1.6113,1.3543),(3735,4295,1.0113,1.3527),(3735,4305,0.75649,1.3527),(3735,4315,1.2814,1.3528),(3735,4325,1.8063,1.3445),(3735,4335,2.2726,1.3329),(3735,4345,2.3421,1.3214),(3735,4355,2.4117,1.3089),(3735,4365,2.4813,1.2957),(3735,4375,2.4833,1.2824),(3735,4385,2.4818,1.2693),(3735,4395,2.4802,1.2565),(3735,4405,2.1755,1.2436),(3735,4415,1.7814,1.2323),(3735,4425,1.3872,1.2276),(3735,4435,1.2183,1.2229),(3735,4445,1.2031,1.2183),(3735,4455,1.188,1.2141),(3735,4465,1.3404,1.21),(3735,4475,1.7283,1.2059),(3735,4485,2.1162,1.1953),(3735,4495,2.4117,1.1833),(3735,4505,2.4105,1.1714),(3735,4515,2.4094,1.1596),(3735,4525,2.4035,1.1479),(3735,4535,2.3227,1.1361),(3735,4545,2.2418,1.1251),(3735,4555,2.161,1.1148),(3735,4565,1.6489,1.1045),(3735,4575,1.0786,1.0972),(3735,4585,0.50837,1.0975),(3735,4595,0.76812,1.0978),(3735,4605,1.3786,1.0965),(3735,4615,1.989,1.0829),(3735,4625,2.2889,1.0693),(3735,4635,2.3074,1.0557),(3735,4645,2.3259,1.0442),(3735,4655,2.3383,1.0329),(3735,4665,2.3392,1.0215),(3735,4675,2.34,1.0104),(3735,4685,2.2595,0.99942),(3735,4695,1.7771,0.9884),(3735,4705,1.2947,0.98214),(3735,4715,0.81234,0.97933),(3735,4725,1.0369,0.97652),(3735,4735,1.2685,0.97228),(3735,4745,1.5,0.96593),(3735,4755,1.7375,0.95957),(3735,4765,1.9763,0.95236),(3735,4775,2.215,0.94214),(3735,4785,2.3025,0.93192),(3735,4795,2.3025,0.9217),(3735,4805,2.3025,0.91149),(3735,4815,2.1914,0.90128),(3735,4825,1.9476,0.89108),(3735,4835,1.7037,0.88421),(3735,4845,1.4568,0.87786),(3735,4855,1.2017,0.8715),(3735,4865,0.94668,0.86799),(3735,4875,0.76565,0.86576),(3735,4885,1.2579,0.86353),(3735,4895,1.7501,0.85732),(3735,4905,2.2423,0.84729),(3735,4915,2.2814,0.83726),(3735,4925,2.2816,0.82726),(3735,4935,2.2817,0.81735),(3735,4945,2.2743,0.80743),(3735,4955,2.2643,0.79733),(3735,4965,2.2543,0.78618),(3735,4975,1.8805,0.77503),(3735,4985,1.2258,0.76388),(3735,4995,0.57121,0.76385),(3735,5005,0.36068,0.7641),(3735,5015,0.85616,0.76435),(3735,5025,1.3516,0.75879),(3735,5035,1.7785,0.75175),(3735,5045,1.9437,0.74472),(3735,5055,2.1089,0.73616),(3735,5065,2.2693,0.72668),(3735,5075,2.2699,0.7172),(3735,5085,2.2704,0.70779),(3735,5095,2.271,0.69846),(3735,5105,1.984,0.68914),(3735,5115,1.6469,0.68108),(3735,5125,1.3097,0.67655),(3735,5135,1.1389,0.67203),(3735,5145,1.0487,0.66764),(3735,5155,0.95851,0.66462),(3735,5165,1.1254,0.6616),(3735,5175,1.5544,0.65858),(3735,5185,1.9834,0.6506),(3735,5195,2.2765,0.64212),(3735,5205,2.2766,0.63363),(3735,5215,2.2767,0.62523),(3735,5225,2.265,0.61687),(3735,5235,2.1802,0.60851),(3735,5245,2.0953,0.60077),(3735,5255,2.0104,0.59352),(3735,5265,1.4157,0.58627),(3735,5275,0.80002,0.58178),(3735,5285,0.1843,0.58194),(3735,5295,0.59244,0.58211),(3735,5305,1.2857,0.58076),(3735,5315,1.979,0.5731),(3735,5325,2.2563,0.56544),(3735,5335,2.2609,0.55779),(3735,5345,2.2654,0.55099),(3735,5355,2.2678,0.54419),(3735,5365,2.2672,0.53739),(3735,5375,2.2666,0.53068),(3735,5385,2.1366,0.524),(3735,5395,1.613,0.51731),(3735,5405,1.0894,0.514),(3735,5415,0.62143,0.51244),(3735,5425,0.90003,0.51088),(3735,5435,1.1786,0.50906),(3735,5445,1.4572,0.50694),(3735,5455,1.7301,0.50483),(3735,5465,2.0023,0.5023),(3735,5475,2.2745,0.4988),(3735,5485,2.3512,0.49531),(3735,5495,2.3491,0.49182),(3735,5505,2.347,0.48839),(3735,5515,2.345,0.48495),(3735,5525,2.3431,0.48152),(3735,5535,2.3411,0.47811),(3735,5545,2.3391,0.47471),(3735,5555,2.3373,0.47131),(3735,5565,2.3354,0.46793),(3735,5575,2.3335,0.46455),(3735,5585,2.3317,0.46117),(3735,5595,2.3299,0.4578),(3735,5605,2.3281,0.45443),(3735,5615,2.3264,0.45106),(3735,5625,2.3247,0.44769),(3735,5635,2.323,0.44432),(3735,5645,2.3214,0.44095),(3735,5655,2.3197,0.43758),(3735,5665,2.3181,0.4342),(3735,5675,2.3165,0.43083),(3735,5685,2.3149,0.42745),(3735,5695,2.3133,0.42406),(3735,5705,2.3118,0.42067),(3735,5715,2.3103,0.41728),(3735,5725,2.3088,0.41388),(3735,5735,2.3073,0.41049),(3735,5745,2.3058,0.40709),(3735,5755,2.3043,0.40368),(3735,5765,2.3029,0.40025),(3735,5775,2.3014,0.39683),(3735,5785,2.3,0.3934),(3735,5795,2.2985,0.38995),(3735,5805,2.2971,0.38651),(3735,5815,2.2957,0.38306),(3735,5825,2.2943,0.3796),(3735,5835,2.2929,0.37615),(3735,5845,2.2915,0.37269),(3735,5855,2.2901,0.36923),(3735,5865,2.2887,0.36577),(3735,5875,2.2873,0.36231),(3735,5885,2.2859,0.35884),(3735,5895,2.2845,0.35537),(3735,5905,2.2831,0.35191),(3735,5915,2.2817,0.34844),(3735,5925,2.2804,0.34497),(3735,5935,2.279,0.3415),(3735,5945,2.2776,0.33804),(3735,5955,2.2762,0.33457),(3735,5965,2.2748,0.33111),(3735,5975,2.2734,0.32765),(3735,5985,2.272,0.32419),(3735,5995,1.7367,0.32073),(3735,6005,1.1155,0.3181),(3735,6015,0.49432,0.31771),(3735,6025,0.65496,0.31733),(3735,6035,1.1782,0.31655),(3735,6045,1.7015,0.312),(3735,6055,2.0636,0.30746),(3735,6065,2.2676,0.30291),(3735,6075,2.4717,0.29699),(3735,6085,2.6092,0.29094),(3735,6095,2.6096,0.2849),(3735,6105,2.6099,0.27884),(3735,6115,2.6102,0.27279),(3735,6125,2.6105,0.26673),(3735,6135,2.6108,0.26069),(3735,6145,2.6111,0.25465),(3735,6155,2.6114,0.24861),(3735,6165,2.6116,0.24262),(3735,6175,2.6119,0.2367),(3735,6185,2.6121,0.23079),(3735,6195,2.6123,0.22489),(3735,6205,2.6124,0.21908),(3735,6215,2.6126,0.21328),(3735,6225,2.6127,0.20747),(3735,6235,2.6128,0.20176),(3735,6245,2.6129,0.19605),(3735,6255,2.613,0.19034),(3735,6265,2.613,0.1847),(3735,6275,2.6131,0.17908),(3735,6285,2.6131,0.17345),(3735,6295,2.6131,0.1679),(3735,6305,2.6131,0.16238),(3735,6315,2.6131,0.15686),(3735,6325,2.6131,0.15142),(3735,6335,2.613,0.14605),(3735,6345,2.6129,0.14068),(3735,6355,2.6129,0.13534),(3735,6365,2.6128,0.13009),(3735,6375,2.6127,0.12483),(3735,6385,2.6126,0.11959),(3735,6395,2.6125,0.11442),(3735,6405,2.6124,0.10925),(3735,6415,2.6123,0.10408),(3735,6425,2.6122,0.098967),(3735,6435,2.6121,0.093857),(3735,6445,2.612,0.088747),(3735,6455,2.6119,0.083718),(3735,6465,2.6118,0.078713),(3735,6475,2.6117,0.073708),(3735,6485,2.6116,0.068732),(3735,6495,2.6116,0.063775),(3735,6505,2.6115,0.058819),(3735,6515,2.6114,0.053879),(3735,6525,2.6114,0.048964),(3735,6535,2.6113,0.044048),(3735,6545,2.6113,0.039144),(3735,6555,2.6112,0.034278),(3735,6565,2.6112,0.029411),(3735,6575,2.6111,0.024551),(3735,6585,2.6111,0.019775),(3735,6595,2.2209,0.015),(3735,6605,1.3998,0.010225),(3735,6615,0.5788,0.009663),(3735,6625,0.001616,0.009643),(3735,6635,0.001616,0.009623),(3735,6645,0.001616,0.009614),(3735,6655,0.001615,0.00961),(3735,6665,0.001615,0.009606),(3735,6675,0.001615,0.009602),(3735,6685,0.001615,0.009598),(3735,6695,0.001615,0.009593),(3735,6705,0.001616,0.009589),(3735,6715,0.001616,0.009584),(3735,6725,0.001616,0.009579),(3735,6735,0.001616,0.009574),(3735,6745,0.001617,0.009569),(3735,6755,0.001617,0.009564),(3735,6765,0.001618,0.009558),(3735,6775,0.001618,0.009553),(3735,6785,0.001619,0.009547),(3735,6795,0.001619,0.009541),(3735,6805,0.00162,0.009536),(3735,6815,0.00162,0.00953),(3735,6825,0.001621,0.009524),(3735,6835,0.001621,0.009517),(3735,6845,0.001622,0.009511),(3735,6855,0.001623,0.009505),(3735,6865,0.001623,0.009498),(3735,6875,0.001624,0.009492),(3735,6885,0.001625,0.009485),(3735,6895,0.001625,0.009479),(3735,6905,0.001626,0.009472),(3735,6915,0.001627,0.009465),(3735,6925,0.001628,0.009458),(3735,6935,0.001628,0.009451),(3735,6945,0.001629,0.009444),(3735,6955,0.00163,0.009437),(3735,6965,0.00163,0.009429),(3735,6975,0.001631,0.009422),(3735,6985,0.001631,0.009415),(3745,5,8e-06,3.0084),(3745,15,2.4e-05,3.0084),(3745,25,4e-05,3.0084),(3745,35,5.5e-05,3.0084),(3745,45,7.1e-05,3.0084),(3745,55,8.7e-05,3.0084),(3745,65,0.000102,3.0084),(3745,75,0.000117,3.0084),(3745,85,0.000132,3.0084),(3745,95,0.000147,3.0084),(3745,105,0.000162,3.0084),(3745,115,0.000176,3.0084),(3745,125,0.00019,3.0084),(3745,135,0.000204,3.0083),(3745,145,0.000217,3.0083),(3745,155,0.00023,3.0083),(3745,165,0.000242,3.0083),(3745,175,0.000255,3.0083),(3745,185,0.000267,3.0083),(3745,195,0.000278,3.0083),(3745,205,0.000289,3.0083),(3745,215,0.0003,3.0082),(3745,225,0.000309,3.0082),(3745,235,0.000318,3.0082),(3745,245,0.000327,3.0082),(3745,255,0.000336,3.0082),(3745,265,0.000342,3.0081),(3745,275,0.000348,3.0081),(3745,285,0.000354,3.0081),(3745,295,0.00036,3.0081),(3745,305,0.000363,3.008),(3745,315,0.000366,3.008),(3745,325,0.000368,3.008),(3745,335,0.000371,3.008),(3745,345,0.00037,3.0079),(3745,355,0.000368,3.0079),(3745,365,0.000366,3.0079),(3745,375,0.000365,3.0078),(3745,385,0.000359,3.0078),(3745,395,0.000353,3.0078),(3745,405,0.000347,3.0077),(3745,415,0.00034,3.0077),(3745,425,0.000329,3.0077),(3745,435,0.000318,3.0076),(3745,445,0.000306,3.0076),(3745,455,0.000294,3.0075),(3745,465,0.000277,3.0075),(3745,475,0.000259,3.0075),(3745,485,0.00024,3.0074),(3745,495,0.000222,3.0074),(3745,505,0.000197,3.0073),(3745,515,0.000171,3.0073),(3745,525,0.000146,3.0072),(3745,535,0.00012,3.0072),(3745,545,8.6e-05,3.0071),(3745,555,5.2e-05,3.0071),(3745,565,1.8e-05,3.007),(3745,575,-1.6e-05,3.007),(3745,585,-6e-05,3.0069),(3745,595,-0.000104,3.0069),(3745,605,-0.000148,3.0068),(3745,615,-0.000193,3.0068),(3745,625,-0.000248,3.0067),(3745,635,-0.000303,3.0066),(3745,645,-0.000358,3.0066),(3745,655,-0.000415,3.0065),(3745,665,-0.000483,3.0065),(3745,675,-0.000551,3.0064),(3745,685,-0.000618,3.0063),(3745,695,-0.000689,3.0063),(3745,705,-0.000771,3.0062),(3745,715,-0.000853,3.0061),(3745,725,-0.000935,3.0061),(3745,735,-0.001021,3.006),(3745,745,-0.001119,3.0059),(3745,755,-0.001218,3.0059),(3745,765,-0.001316,3.0058),(3745,775,-0.001419,3.0057),(3745,785,-0.001535,3.0057),(3745,795,-0.001652,3.0056),(3745,805,-0.001768,3.0055),(3745,815,-0.001891,3.0055),(3745,825,-0.002027,3.0054),(3745,835,-0.002164,3.0053),(3745,845,-0.002301,3.0053),(3745,855,-0.002445,3.0052),(3745,865,-0.002604,3.0051),(3745,875,-0.002763,3.0051),(3745,885,-0.002921,3.005),(3745,895,-0.003089,3.0049),(3745,905,-0.003272,3.0049),(3745,915,-0.003455,3.0048),(3745,925,-0.003638,3.0048),(3745,935,-0.003832,3.0047),(3745,945,-0.004041,3.0046),(3745,955,-0.00425,3.0046),(3745,965,-0.004459,3.0045),(3745,975,-0.004681,3.0045),(3745,985,-0.004918,3.0044),(3745,995,-0.005154,3.0044),(3745,1005,-0.005391,3.0044),(3745,1015,-0.005642,3.0043),(3745,1025,-0.005908,3.0043),(3745,1035,-0.006173,3.0043),(3745,1045,-0.006439,3.0042),(3745,1055,-0.00672,3.0042),(3745,1065,-0.007016,3.0042),(3745,1075,-0.007311,3.0042),(3745,1085,-0.007606,3.0042),(3745,1095,-0.007919,3.0042),(3745,1105,-0.008244,3.0042),(3745,1115,-0.00857,3.0042),(3745,1125,-0.008895,3.0042),(3745,1135,-0.009239,3.0042),(3745,1145,-0.009595,3.0043),(3745,1155,-0.00995,3.0043),(3745,1165,-0.010305,3.0043),(3745,1175,-0.01068,3.0044),(3745,1185,-0.011064,3.0044),(3745,1195,-0.011448,3.0045),(3745,1205,-0.011832,3.0046),(3745,1215,-0.012235,3.0047),(3745,1225,-0.012647,3.0048),(3745,1235,-0.013058,3.0049),(3745,1245,-0.013469,3.005),(3745,1255,-0.013898,3.0051),(3745,1265,-0.014334,3.0052),(3745,1275,-0.01477,3.0054),(3745,1285,-0.015206,3.0055),(3745,1295,-0.015659,3.0057),(3745,1305,-0.016116,3.0058),(3745,1315,-0.016574,3.006),(3745,1325,-0.017032,3.0062),(3745,1335,-0.017505,3.0064),(3745,1345,-0.017981,3.0066),(3745,1355,-0.018458,3.0068),(3745,1365,-0.018934,3.0071),(3745,1375,-0.019424,3.0073),(3745,1385,-0.019916,3.0075),(3745,1395,-0.020408,3.0078),(3745,1405,-0.020899,3.0081),(3745,1415,-0.021403,3.0084),(3745,1425,-0.021908,3.0087),(3745,1435,-0.022413,3.009),(3745,1445,-0.022918,3.0093),(3745,1455,-0.023434,3.0096),(3745,1465,-0.02395,3.0099),(3745,1475,-0.024466,3.0103),(3745,1485,-0.024982,3.0106),(3745,1495,-0.025507,3.011),(3745,1505,-0.026033,3.0114),(3745,1515,-0.026559,3.0118),(3745,1525,-0.027085,3.0122),(3745,1535,-0.027621,3.0125),(3745,1545,-0.028156,3.0129),(3745,1555,-0.028692,3.0134),(3745,1565,-0.029228,3.0138),(3745,1575,-0.029774,3.0142),(3745,1585,-0.030321,3.0147),(3745,1595,-0.030867,3.0151),(3745,1605,-0.031415,3.0156),(3745,1615,-0.031975,3.016),(3745,1625,-0.032536,3.0165),(3745,1635,-0.033096,3.017),(3745,1645,-0.033659,3.0175),(3745,1655,-0.034237,3.0179),(3745,1665,-0.034814,3.0184),(3745,1675,-0.035392,3.0189),(3745,1685,-0.035974,3.0194),(3745,1695,-0.036575,3.0199),(3745,1705,-0.037176,3.0205),(3745,1715,-0.037777,3.021),(3745,1725,-0.038384,3.0215),(3745,1735,-0.039014,3.022),(3745,1745,-0.039644,3.0226),(3745,1755,-0.040274,3.0231),(3745,1765,-0.040914,3.0237),(3745,1775,-0.041581,3.0242),(3745,1785,-0.042249,3.0248),(3745,1795,-0.042916,3.0253),(3745,1805,-0.043598,3.0259),(3745,1815,-0.044313,3.0265),(3745,1825,-0.045027,3.027),(3745,1835,-0.045742,3.0276),(3745,1845,-0.046476,3.0282),(3745,1855,-0.047248,3.0288),(3745,1865,-0.048021,3.0294),(3745,1875,-0.048793,3.03),(3745,1885,-0.049593,3.0306),(3745,1895,-0.050436,3.0312),(3745,1905,-0.05128,3.0318),(3745,1915,-0.052123,3.0324),(3745,1925,-0.053002,3.033),(3745,1935,-0.053931,3.0336),(3745,1945,-0.05486,3.0343),(3745,1955,-0.055789,3.0349),(3745,1965,-0.056766,3.0355),(3745,1975,-0.057798,3.0362),(3745,1985,-0.058831,3.0368),(3745,1995,-0.059863,3.0375),(3745,2005,-0.060958,3.0382),(3745,2015,-0.062114,3.0388),(3745,2025,-0.06327,3.0395),(3745,2035,-0.064427,3.0402),(3745,2045,-0.065663,3.0409),(3745,2055,-0.066967,3.0416),(3745,2065,-0.068272,3.0423),(3745,2075,-0.069577,3.043),(3745,2085,-0.070984,3.0438),(3745,2095,-0.072465,3.0445),(3745,2105,-0.073947,3.0452),(3745,2115,-0.075428,3.046),(3745,2125,-0.077041,3.0468),(3745,2135,-0.078734,3.0476),(3745,2145,-0.080428,3.0484),(3745,2155,-0.082121,3.0492),(3745,2165,-0.083982,3.05),(3745,2175,-0.08593,3.0509),(3745,2185,-0.087877,3.0517),(3745,2195,-0.089825,3.0526),(3745,2205,-0.091986,3.0536),(3745,2215,-0.09424,3.0545),(3745,2225,-0.096493,3.0554),(3745,2235,-0.098747,3.0564),(3745,2245,-0.10127,3.0574),(3745,2255,-0.1039,3.0584),(3745,2265,-0.10652,3.0595),(3745,2275,-0.10914,3.0606),(3745,2285,-0.11212,3.0617),(3745,2295,-0.11519,3.0628),(3745,2305,-0.11827,3.0641),(3745,2315,-0.12134,3.0654),(3745,2325,-0.12487,3.0667),(3745,2335,-0.1285,3.0679),(3745,2345,-0.13212,3.0694),(3745,2355,-0.13575,3.0709),(3745,2365,-0.13996,3.0724),(3745,2375,-0.14428,3.0739),(3745,2385,-0.14859,3.0757),(3745,2395,-0.1529,3.0775),(3745,2405,-0.15798,3.0793),(3745,2415,-0.16315,3.0811),(3745,2425,-0.16832,3.0832),(3745,2435,-0.17349,3.0855),(3745,2445,-0.17967,3.0877),(3745,2455,-0.18592,3.0899),(3745,2465,-0.19218,3.0927),(3745,2475,-0.19843,3.0955),(3745,2485,-0.20604,3.0983),(3745,2495,-0.21369,3.1012),(3745,2505,-0.22134,3.1049),(3745,2515,-0.22901,3.1086),(3745,2525,-0.23848,3.1123),(3745,2535,-0.24794,3.116),(3745,2545,-0.25741,3.1211),(3745,2555,-0.26701,3.1262),(3745,2565,-0.27888,3.1312),(3745,2575,-0.29075,3.1364),(3745,2585,-0.30263,3.1436),(3745,2595,-0.31481,3.1508),(3745,2605,-0.32992,3.158),(3745,2615,-0.34502,3.1656),(3745,2625,-0.36013,3.1764),(3745,2635,-0.37582,3.1872),(3745,2645,-0.39528,3.198),(3745,2655,-0.41474,3.2097),(3745,2665,-0.43419,3.2268),(3745,2675,-0.45463,3.244),(3745,2685,-0.47972,3.2611),(3745,2695,-0.50481,3.2806),(3745,2705,-0.52991,3.3099),(3745,2715,-0.55723,3.3393),(3745,2725,-0.59283,3.3686),(3745,2735,-0.62843,3.4042),(3745,2745,-0.66403,3.4606),(3745,2755,-0.6785,3.517),(3745,2765,-0.63041,3.5733),(3745,2775,-0.58232,3.6226),(3745,2785,-0.53424,3.653),(3745,2795,-0.48699,3.6835),(3745,2805,-0.44178,3.7139),(3745,2815,-0.39658,3.7402),(3745,2825,-0.35137,3.7574),(3745,2835,-0.30817,3.7746),(3745,2845,-0.26902,3.7918),(3745,2855,-0.22986,3.8065),(3745,2865,-0.1907,3.8166),(3745,2875,-0.15318,3.8266),(3745,2885,-0.11842,3.8367),(3745,2895,-0.083661,3.8451),(3745,2905,-0.048901,3.8509),(3745,2915,-0.015405,3.8568),(3745,2925,0.016276,3.8626),(3745,2935,0.047957,3.8672),(3745,2945,0.079639,3.8703),(3745,2955,0.11037,3.8734),(3745,2965,0.13996,3.8765),(3745,2975,0.16954,3.8787),(3745,2985,0.19912,3.8799),(3745,2995,0.22803,3.8811),(3745,3005,0.25625,3.8823),(3745,3015,0.28447,3.8828),(3745,3025,0.31269,3.8825),(3745,3035,0.34048,3.8822),(3745,3045,0.36791,3.882),(3745,3055,0.39533,3.8811),(3745,3065,0.42276,3.8796),(3745,3075,0.45,3.8782),(3745,3085,0.47711,3.8767),(3745,3095,0.50421,3.8747),(3745,3105,0.53132,3.8722),(3745,3115,0.55848,3.8697),(3745,3125,0.58568,3.8672),(3745,3135,0.61288,3.864),(3745,3145,0.64008,3.8606),(3745,3155,0.66761,3.8571),(3745,3165,0.6953,3.8536),(3745,3175,0.72299,3.8494),(3745,3185,0.75069,3.8449),(3745,3195,0.779,3.8404),(3745,3205,0.80759,3.8359),(3745,3215,0.83619,3.8307),(3745,3225,0.86478,3.8251),(3745,3235,0.89435,3.8195),(3745,3245,0.92428,3.814),(3745,3255,0.95421,3.8075),(3745,3265,0.98415,3.8007),(3745,3275,1.0155,3.7939),(3745,3285,1.0473,3.7871),(3745,3295,1.0791,3.7792),(3745,3305,1.1109,3.7709),(3745,3315,1.1447,3.7626),(3745,3325,1.1789,3.7544),(3745,3335,1.2132,3.7446),(3745,3345,1.2475,3.7345),(3745,3355,1.2845,3.7244),(3745,3365,1.3221,3.7143),(3745,3375,1.3597,3.7022),(3745,3385,1.3972,3.6896),(3745,3395,1.4386,3.6771),(3745,3405,1.4805,3.6646),(3745,3415,1.5224,3.6491),(3745,3425,1.5643,3.6332),(3745,3435,1.6116,3.6173),(3745,3445,1.6593,3.6014),(3745,3455,1.707,3.5809),(3745,3465,1.7547,3.5602),(3745,3475,1.8099,3.5394),(3745,3485,1.8654,3.5186),(3745,3495,1.9209,3.4905),(3745,3505,1.9764,3.4622),(3745,3515,2.0427,3.4339),(3745,3525,2.109,3.4053),(3745,3535,2.1753,3.3649),(3745,3545,2.2423,3.3244),(3745,3555,2.3238,3.2839),(3745,3565,2.4054,3.2421),(3745,3575,2.487,3.1807),(3745,3585,2.5705,3.1194),(3745,3595,2.6749,3.058),(3745,3605,2.7793,2.9927),(3745,3615,2.8836,2.8932),(3745,3625,2.9775,2.7938),(3745,3635,2.9972,2.6943),(3745,3645,3.0168,2.593),(3745,3655,3.0365,2.4809),(3745,3665,3.0202,2.3687),(3745,3675,2.8196,2.2566),(3745,3685,2.6191,2.1583),(3745,3695,2.4186,2.122),(3745,3705,2.2454,2.0858),(3745,3715,2.1799,2.0495),(3745,3725,2.1144,2.0154),(3745,3735,2.0489,1.9888),(3745,3745,1.9859,1.9622),(3745,3755,1.9309,1.9357),(3745,3765,1.8759,1.9108),(3745,3775,1.8208,1.8908),(3745,3785,1.768,1.8708),(3745,3795,1.721,1.8508),(3745,3805,1.674,1.8322),(3745,3815,1.627,1.8168),(3745,3825,1.5819,1.8014),(3745,3835,1.541,1.786),(3745,3845,1.5001,1.7718),(3745,3855,1.4593,1.7599),(3745,3865,1.4201,1.748),(3745,3875,1.384,1.7361),(3745,3885,1.3478,1.7253),(3745,3895,1.3117,1.7161),(3745,3905,1.277,1.707),(3745,3915,1.2445,1.6978),(3745,3925,1.2121,1.6896),(3745,3935,1.1796,1.6828),(3745,3945,1.1483,1.676),(3745,3955,1.1186,1.6692),(3745,3965,1.0889,1.6633),(3745,3975,1.0592,1.6585),(3745,3985,1.0305,1.6538),(3745,3995,1.0028,1.649),(3745,4005,0.97517,1.645),(3745,4015,0.9475,1.6419),(3745,4025,1.2652,1.6388),(3745,4035,1.6166,1.6332),(3745,4045,1.9681,1.6225),(3745,4055,2.2188,1.6118),(3745,4065,2.4326,1.6005),(3745,4075,2.6465,1.585),(3745,4085,2.7384,1.5696),(3745,4095,2.7322,1.5541),(3745,4105,2.726,1.5393),(3745,4115,2.6339,1.5245),(3745,4125,2.3992,1.5098),(3745,4135,2.1645,1.4992),(3745,4145,1.9273,1.4898),(3745,4155,1.6793,1.4804),(3745,4165,1.4314,1.4745),(3745,4175,1.1973,1.471),(3745,4185,1.6456,1.4675),(3745,4195,2.094,1.4598),(3745,4205,2.5424,1.4464),(3745,4215,2.6088,1.4331),(3745,4225,2.6033,1.4198),(3745,4235,2.5978,1.4066),(3745,4245,2.5782,1.3934),(3745,4255,2.5513,1.3801),(3745,4265,2.5245,1.3648),(3745,4275,2.218,1.3495),(3745,4285,1.6148,1.3342),(3745,4295,1.0117,1.3327),(3745,4305,0.75537,1.3328),(3745,4315,1.2824,1.3329),(3745,4325,1.8093,1.3248),(3745,4335,2.2775,1.3134),(3745,4345,2.3474,1.3021),(3745,4355,2.4173,1.2898),(3745,4365,2.4872,1.2768),(3745,4375,2.489,1.2637),(3745,4385,2.4874,1.2509),(3745,4395,2.4857,1.2383),(3745,4405,2.1799,1.2257),(3745,4415,1.7844,1.2146),(3745,4425,1.3888,1.21),(3745,4435,1.2192,1.2054),(3745,4445,1.204,1.2008),(3745,4455,1.1887,1.1968),(3745,4465,1.3416,1.1927),(3745,4475,1.7308,1.1886),(3745,4485,2.12,1.1781),(3745,4495,2.4164,1.1664),(3745,4505,2.4151,1.1546),(3745,4515,2.4139,1.143),(3745,4525,2.408,1.1314),(3745,4535,2.3269,1.1199),(3745,4545,2.2459,1.109),(3745,4555,2.1649,1.0989),(3745,4565,1.6513,1.0888),(3745,4575,1.0795,1.0817),(3745,4585,0.50761,1.0819),(3745,4595,0.76864,1.0822),(3745,4605,1.3816,1.0809),(3745,4615,1.9945,1.0675),(3745,4625,2.2952,1.0541),(3745,4635,2.313,1.0407),(3745,4645,2.3308,1.0293),(3745,4655,2.3426,1.0181),(3745,4665,2.3434,1.0069),(3745,4675,2.3441,0.99589),(3745,4685,2.2633,0.98502),(3745,4695,1.7798,0.97415),(3745,4705,1.2963,0.96799),(3745,4715,0.81275,0.96525),(3745,4725,1.0377,0.96251),(3745,4735,1.2697,0.95834),(3745,4745,1.5018,0.95203),(3745,4755,1.7397,0.94572),(3745,4765,1.979,0.93855),(3745,4775,2.2183,0.92835),(3745,4785,2.3059,0.91816),(3745,4795,2.3059,0.90796),(3745,4805,2.3059,0.89778),(3745,4815,2.1946,0.88759),(3745,4825,1.9503,0.8774),(3745,4835,1.7059,0.87057),(3745,4845,1.4584,0.86425),(3745,4855,1.2029,0.85794),(3745,4865,0.94728,0.85447),(3745,4875,0.76584,0.8523),(3745,4885,1.259,0.85012),(3745,4895,1.7522,0.84399),(3745,4905,2.2454,0.83406),(3745,4915,2.2846,0.82413),(3745,4925,2.2847,0.81424),(3745,4935,2.2848,0.80443),(3745,4945,2.2777,0.79462),(3745,4955,2.2681,0.78463),(3745,4965,2.2585,0.77364),(3745,4975,1.8839,0.76264),(3745,4985,1.2277,0.75164),(3745,4995,0.57145,0.75165),(3745,5005,0.36024,0.75194),(3745,5015,0.85655,0.75223),(3745,5025,1.3529,0.74673),(3745,5035,1.7804,0.73977),(3745,5045,1.9459,0.73281),(3745,5055,2.1114,0.72435),(3745,5065,2.272,0.71496),(3745,5075,2.2725,0.70558),(3745,5085,2.2731,0.69627),(3745,5095,2.2736,0.68704),(3745,5105,1.9862,0.67782),(3745,5115,1.6485,0.66985),(3745,5125,1.3109,0.66539),(3745,5135,1.1397,0.66093),(3745,5145,1.0493,0.6566),(3745,5155,0.95895,0.65362),(3745,5165,1.1259,0.65065),(3745,5175,1.5554,0.64767),(3745,5185,1.9849,0.63979),(3745,5195,2.2783,0.6314),(3745,5205,2.2783,0.62301),(3745,5215,2.2784,0.61471),(3745,5225,2.2667,0.60645),(3745,5235,2.1817,0.59819),(3745,5245,2.0967,0.59054),(3745,5255,2.0118,0.58339),(3745,5265,1.4166,0.57623),(3745,5275,0.80034,0.5718),(3745,5285,0.1841,0.57197),(3745,5295,0.59247,0.57214),(3745,5305,1.2862,0.57082),(3745,5315,1.9799,0.56329),(3745,5325,2.2572,0.55576),(3745,5335,2.2615,0.54824),(3745,5345,2.2658,0.54155),(3745,5355,2.268,0.53485),(3745,5365,2.2674,0.52816),(3745,5375,2.2667,0.52156),(3745,5385,2.1367,0.51498),(3745,5395,1.613,0.5084),(3745,5405,1.0893,0.50515),(3745,5415,0.62121,0.50362),(3745,5425,0.89922,0.50209),(3745,5435,1.1772,0.50032),(3745,5445,1.4552,0.49828),(3745,5455,1.7278,0.49624),(3745,5465,1.9996,0.49379),(3745,5475,2.2715,0.49041),(3745,5485,2.348,0.48703),(3745,5495,2.346,0.48366),(3745,5505,2.3439,0.48034),(3745,5515,2.3419,0.47701),(3745,5525,2.3399,0.47369),(3745,5535,2.3379,0.47039),(3745,5545,2.336,0.46709),(3745,5555,2.3341,0.46379),(3745,5565,2.3322,0.46051),(3745,5575,2.3303,0.45724),(3745,5585,2.3286,0.45396),(3745,5595,2.3268,0.45068),(3745,5605,2.325,0.44741),(3745,5615,2.3233,0.44413),(3745,5625,2.3216,0.44085),(3745,5635,2.3198,0.43757),(3745,5645,2.3182,0.43429),(3745,5655,2.3166,0.43101),(3745,5665,2.3149,0.42772),(3745,5675,2.3134,0.42443),(3745,5685,2.3118,0.42113),(3745,5695,2.3102,0.41782),(3745,5705,2.3087,0.41451),(3745,5715,2.3072,0.4112),(3745,5725,2.3057,0.40788),(3745,5735,2.3042,0.40455),(3745,5745,2.3027,0.40123),(3745,5755,2.3013,0.39789),(3745,5765,2.2998,0.39453),(3745,5775,2.2984,0.39118),(3745,5785,2.297,0.38782),(3745,5795,2.2955,0.38444),(3745,5805,2.2941,0.38106),(3745,5815,2.2927,0.37768),(3745,5825,2.2913,0.37429),(3745,5835,2.2899,0.3709),(3745,5845,2.2885,0.3675),(3745,5855,2.2872,0.3641),(3745,5865,2.2858,0.36071),(3745,5875,2.2844,0.35731),(3745,5885,2.283,0.3539),(3745,5895,2.2816,0.3505),(3745,5905,2.2802,0.34709),(3745,5915,2.2788,0.34369),(3745,5925,2.2775,0.34028),(3745,5935,2.2761,0.33687),(3745,5945,2.2747,0.33347),(3745,5955,2.2733,0.33007),(3745,5965,2.2719,0.32667),(3745,5975,2.2705,0.32327),(3745,5985,2.2691,0.31987),(3745,5995,1.7345,0.31647),(3745,6005,1.1141,0.31389),(3745,6015,0.49363,0.31351),(3745,6025,0.65457,0.31313),(3745,6035,1.1779,0.31237),(3745,6045,1.7012,0.30786),(3745,6055,2.0633,0.30335),(3745,6065,2.2674,0.29884),(3745,6075,2.4715,0.29297),(3745,6085,2.6089,0.28698),(3745,6095,2.6092,0.28098),(3745,6105,2.6096,0.27498),(3745,6115,2.6099,0.26899),(3745,6125,2.6101,0.26299),(3745,6135,2.6104,0.257),(3745,6145,2.6107,0.25102),(3745,6155,2.6109,0.24504),(3745,6165,2.6112,0.2391),(3745,6175,2.6114,0.23323),(3745,6185,2.6116,0.22737),(3745,6195,2.6117,0.22152),(3745,6205,2.6119,0.21577),(3745,6215,2.612,0.21002),(3745,6225,2.6121,0.20427),(3745,6235,2.6122,0.19862),(3745,6245,2.6123,0.19297),(3745,6255,2.6123,0.18732),(3745,6265,2.6123,0.18174),(3745,6275,2.6123,0.17618),(3745,6285,2.6123,0.17062),(3745,6295,2.6123,0.16513),(3745,6305,2.6123,0.15968),(3745,6315,2.6122,0.15423),(3745,6325,2.6122,0.14886),(3745,6335,2.6121,0.14356),(3745,6345,2.612,0.13825),(3745,6355,2.6119,0.13299),(3745,6365,2.6118,0.12782),(3745,6375,2.6117,0.12265),(3745,6385,2.6115,0.11749),(3745,6395,2.6114,0.11241),(3745,6405,2.6113,0.10732),(3745,6415,2.6112,0.10224),(3745,6425,2.611,0.097212),(3745,6435,2.6109,0.092189),(3745,6445,2.6108,0.087166),(3745,6455,2.6107,0.08223),(3745,6465,2.6105,0.07732),(3745,6475,2.6104,0.072409),(3745,6485,2.6103,0.06753),(3745,6495,2.6102,0.062672),(3745,6505,2.6101,0.057814),(3745,6515,2.61,0.052972),(3745,6525,2.61,0.048153),(3745,6535,2.6099,0.043334),(3745,6545,2.6098,0.038527),(3745,6555,2.6098,0.033759),(3745,6565,2.6097,0.028991),(3745,6575,2.6097,0.024229),(3745,6585,2.6097,0.019552),(3745,6595,2.2197,0.014875),(3745,6605,1.3991,0.010198),(3745,6615,0.57847,0.009652),(3745,6625,0.001616,0.009637),(3745,6635,0.001616,0.009622),(3745,6645,0.001615,0.009614),(3745,6655,0.001615,0.00961),(3745,6665,0.001615,0.009606),(3745,6675,0.001616,0.009602),(3745,6685,0.001616,0.009598),(3745,6695,0.001616,0.009593),(3745,6705,0.001616,0.009589),(3745,6715,0.001617,0.009584),(3745,6725,0.001617,0.009579),(3745,6735,0.001618,0.009574),(3745,6745,0.001618,0.009569),(3745,6755,0.001618,0.009564),(3745,6765,0.001619,0.009559),(3745,6775,0.00162,0.009553),(3745,6785,0.00162,0.009548),(3745,6795,0.001621,0.009542),(3745,6805,0.001622,0.009536),(3745,6815,0.001622,0.00953),(3745,6825,0.001623,0.009524),(3745,6835,0.001624,0.009518),(3745,6845,0.001624,0.009512),(3745,6855,0.001625,0.009506),(3745,6865,0.001626,0.009499),(3745,6875,0.001627,0.009492),(3745,6885,0.001627,0.009486),(3745,6895,0.001628,0.009479),(3745,6905,0.001629,0.009472),(3745,6915,0.00163,0.009465),(3745,6925,0.00163,0.009459),(3745,6935,0.001631,0.009451),(3745,6945,0.001632,0.009444),(3745,6955,0.001633,0.009437),(3745,6965,0.001633,0.00943),(3745,6975,0.001634,0.009423),(3745,6985,0.001635,0.009416),(3755,5,8e-06,2.8315),(3755,15,2.5e-05,2.8315),(3755,25,4.1e-05,2.8315),(3755,35,5.8e-05,2.8315),(3755,45,7.4e-05,2.8315),(3755,55,9e-05,2.8315),(3755,65,0.000106,2.8315),(3755,75,0.000122,2.8315),(3755,85,0.000138,2.8315),(3755,95,0.000154,2.8315),(3755,105,0.000169,2.8315),(3755,115,0.000184,2.8315),(3755,125,0.000199,2.8315),(3755,135,0.000213,2.8315),(3755,145,0.000227,2.8315),(3755,155,0.000241,2.8315),(3755,165,0.000254,2.8314),(3755,175,0.000268,2.8314),(3755,185,0.00028,2.8314),(3755,195,0.000292,2.8314),(3755,205,0.000304,2.8314),(3755,215,0.000315,2.8314),(3755,225,0.000326,2.8313),(3755,235,0.000335,2.8313),(3755,245,0.000345,2.8313),(3755,255,0.000354,2.8313),(3755,265,0.000362,2.8313),(3755,275,0.000369,2.8312),(3755,285,0.000376,2.8312),(3755,295,0.000382,2.8312),(3755,305,0.000387,2.8312),(3755,315,0.00039,2.8311),(3755,325,0.000393,2.8311),(3755,335,0.000397,2.8311),(3755,345,0.000397,2.831),(3755,355,0.000396,2.831),(3755,365,0.000395,2.831),(3755,375,0.000395,2.8309),(3755,385,0.00039,2.8309),(3755,395,0.000385,2.8309),(3755,405,0.000379,2.8308),(3755,415,0.000374,2.8308),(3755,425,0.000364,2.8308),(3755,435,0.000353,2.8307),(3755,445,0.000343,2.8307),(3755,455,0.000332,2.8306),(3755,465,0.000315,2.8306),(3755,475,0.000298,2.8305),(3755,485,0.000281,2.8305),(3755,495,0.000264,2.8305),(3755,505,0.00024,2.8304),(3755,515,0.000216,2.8304),(3755,525,0.000191,2.8303),(3755,535,0.000166,2.8303),(3755,545,0.000134,2.8302),(3755,555,0.000101,2.8302),(3755,565,6.8e-05,2.8301),(3755,575,3.4e-05,2.83),(3755,585,-8e-06,2.83),(3755,595,-5.1e-05,2.8299),(3755,605,-9.4e-05,2.8299),(3755,615,-0.000138,2.8298),(3755,625,-0.000192,2.8298),(3755,635,-0.000246,2.8297),(3755,645,-0.0003,2.8296),(3755,655,-0.000356,2.8296),(3755,665,-0.000422,2.8295),(3755,675,-0.000489,2.8294),(3755,685,-0.000556,2.8294),(3755,695,-0.000625,2.8293),(3755,705,-0.000707,2.8292),(3755,715,-0.000788,2.8292),(3755,725,-0.000869,2.8291),(3755,735,-0.000954,2.829),(3755,745,-0.001052,2.829),(3755,755,-0.001149,2.8289),(3755,765,-0.001247,2.8288),(3755,775,-0.001349,2.8287),(3755,785,-0.001465,2.8287),(3755,795,-0.001581,2.8286),(3755,805,-0.001697,2.8285),(3755,815,-0.00182,2.8284),(3755,825,-0.001956,2.8284),(3755,835,-0.002092,2.8283),(3755,845,-0.002229,2.8282),(3755,855,-0.002373,2.8282),(3755,865,-0.002532,2.8281),(3755,875,-0.002691,2.828),(3755,885,-0.00285,2.8279),(3755,895,-0.003019,2.8279),(3755,905,-0.003203,2.8278),(3755,915,-0.003386,2.8277),(3755,925,-0.00357,2.8277),(3755,935,-0.003765,2.8276),(3755,945,-0.003975,2.8275),(3755,955,-0.004186,2.8275),(3755,965,-0.004396,2.8274),(3755,975,-0.00462,2.8274),(3755,985,-0.004859,2.8273),(3755,995,-0.005097,2.8273),(3755,1005,-0.005336,2.8272),(3755,1015,-0.00559,2.8272),(3755,1025,-0.005859,2.8271),(3755,1035,-0.006127,2.8271),(3755,1045,-0.006396,2.8271),(3755,1055,-0.006681,2.827),(3755,1065,-0.00698,2.827),(3755,1075,-0.00728,2.827),(3755,1085,-0.007579,2.827),(3755,1095,-0.007896,2.827),(3755,1105,-0.008227,2.827),(3755,1115,-0.008557,2.827),(3755,1125,-0.008887,2.827),(3755,1135,-0.009237,2.827),(3755,1145,-0.009598,2.827),(3755,1155,-0.009959,2.827),(3755,1165,-0.010321,2.8271),(3755,1175,-0.010702,2.8271),(3755,1185,-0.011093,2.8272),(3755,1195,-0.011484,2.8272),(3755,1205,-0.011875,2.8273),(3755,1215,-0.012286,2.8274),(3755,1225,-0.012705,2.8275),(3755,1235,-0.013123,2.8276),(3755,1245,-0.013542,2.8277),(3755,1255,-0.01398,2.8278),(3755,1265,-0.014424,2.8279),(3755,1275,-0.014868,2.828),(3755,1285,-0.015313,2.8282),(3755,1295,-0.015774,2.8283),(3755,1305,-0.016241,2.8285),(3755,1315,-0.016707,2.8287),(3755,1325,-0.017174,2.8289),(3755,1335,-0.017656,2.8291),(3755,1345,-0.018141,2.8292),(3755,1355,-0.018627,2.8295),(3755,1365,-0.019112,2.8297),(3755,1375,-0.019611,2.8299),(3755,1385,-0.020112,2.8302),(3755,1395,-0.020613,2.8304),(3755,1405,-0.021114,2.8307),(3755,1415,-0.021626,2.831),(3755,1425,-0.02214,2.8313),(3755,1435,-0.022653,2.8316),(3755,1445,-0.023167,2.8319),(3755,1455,-0.02369,2.8322),(3755,1465,-0.024215,2.8325),(3755,1475,-0.024739,2.8329),(3755,1485,-0.025263,2.8332),(3755,1495,-0.025796,2.8336),(3755,1505,-0.026329,2.834),(3755,1515,-0.026863,2.8343),(3755,1525,-0.027396,2.8347),(3755,1535,-0.027938,2.8351),(3755,1545,-0.02848,2.8355),(3755,1555,-0.029023,2.8359),(3755,1565,-0.029565,2.8364),(3755,1575,-0.030117,2.8368),(3755,1585,-0.03067,2.8372),(3755,1595,-0.031222,2.8377),(3755,1605,-0.031775,2.8381),(3755,1615,-0.03234,2.8386),(3755,1625,-0.032906,2.839),(3755,1635,-0.033471,2.8395),(3755,1645,-0.034038,2.84),(3755,1655,-0.03462,2.8405),(3755,1665,-0.035202,2.841),(3755,1675,-0.035784,2.8415),(3755,1685,-0.03637,2.842),(3755,1695,-0.036974,2.8425),(3755,1705,-0.037578,2.843),(3755,1715,-0.038182,2.8435),(3755,1725,-0.038793,2.844),(3755,1735,-0.039426,2.8445),(3755,1745,-0.040058,2.845),(3755,1755,-0.040691,2.8456),(3755,1765,-0.041334,2.8461),(3755,1775,-0.042004,2.8467);
INSERT INTO `ILD_00_Brho_Bz` VALUES (3755,1785,-0.042673,2.8472),(3755,1795,-0.043343,2.8478),(3755,1805,-0.044027,2.8483),(3755,1815,-0.044743,2.8489),(3755,1825,-0.04546,2.8494),(3755,1835,-0.046176,2.85),(3755,1845,-0.046912,2.8506),(3755,1855,-0.047687,2.8511),(3755,1865,-0.048461,2.8517),(3755,1875,-0.049235,2.8523),(3755,1885,-0.050037,2.8529),(3755,1895,-0.050882,2.8534),(3755,1905,-0.051727,2.854),(3755,1915,-0.052572,2.8546),(3755,1925,-0.053454,2.8552),(3755,1935,-0.054385,2.8558),(3755,1945,-0.055316,2.8564),(3755,1955,-0.056247,2.857),(3755,1965,-0.057226,2.8577),(3755,1975,-0.058261,2.8583),(3755,1985,-0.059296,2.8589),(3755,1995,-0.06033,2.8595),(3755,2005,-0.061427,2.8602),(3755,2015,-0.062587,2.8608),(3755,2025,-0.063746,2.8614),(3755,2035,-0.064906,2.8621),(3755,2045,-0.066145,2.8628),(3755,2055,-0.067454,2.8634),(3755,2065,-0.068762,2.8641),(3755,2075,-0.070071,2.8648),(3755,2085,-0.071483,2.8655),(3755,2095,-0.072969,2.8661),(3755,2105,-0.074456,2.8668),(3755,2115,-0.075943,2.8676),(3755,2125,-0.077562,2.8683),(3755,2135,-0.079263,2.869),(3755,2145,-0.080964,2.8698),(3755,2155,-0.082664,2.8705),(3755,2165,-0.084534,2.8713),(3755,2175,-0.086491,2.8721),(3755,2185,-0.088449,2.8729),(3755,2195,-0.090406,2.8737),(3755,2205,-0.092579,2.8745),(3755,2215,-0.094846,2.8753),(3755,2225,-0.097113,2.8762),(3755,2235,-0.09938,2.8771),(3755,2245,-0.10192,2.878),(3755,2255,-0.10457,2.8789),(3755,2265,-0.10721,2.8799),(3755,2275,-0.10985,2.8809),(3755,2285,-0.11285,2.8819),(3755,2295,-0.11595,2.8829),(3755,2305,-0.11905,2.884),(3755,2315,-0.12215,2.8852),(3755,2325,-0.12571,2.8863),(3755,2335,-0.12937,2.8875),(3755,2345,-0.13303,2.8888),(3755,2355,-0.1367,2.8901),(3755,2365,-0.14096,2.8914),(3755,2375,-0.14532,2.8927),(3755,2385,-0.14969,2.8943),(3755,2395,-0.15405,2.8959),(3755,2405,-0.1592,2.8975),(3755,2415,-0.16445,2.8991),(3755,2425,-0.16969,2.901),(3755,2435,-0.17493,2.9029),(3755,2445,-0.18122,2.9049),(3755,2455,-0.18759,2.9068),(3755,2465,-0.19395,2.9093),(3755,2475,-0.20032,2.9118),(3755,2485,-0.2081,2.9143),(3755,2495,-0.21591,2.9167),(3755,2505,-0.22373,2.92),(3755,2515,-0.23158,2.9233),(3755,2525,-0.24131,2.9265),(3755,2535,-0.25104,2.9298),(3755,2545,-0.26078,2.9343),(3755,2555,-0.27065,2.9388),(3755,2565,-0.28297,2.9432),(3755,2575,-0.29529,2.9479),(3755,2585,-0.3076,2.9543),(3755,2595,-0.32026,2.9607),(3755,2605,-0.33615,2.9672),(3755,2615,-0.35203,2.974),(3755,2625,-0.36792,2.9838),(3755,2635,-0.38448,2.9935),(3755,2645,-0.40542,3.0033),(3755,2655,-0.42635,3.014),(3755,2665,-0.44729,3.03),(3755,2675,-0.46948,3.0459),(3755,2685,-0.49767,3.0619),(3755,2695,-0.52586,3.0803),(3755,2705,-0.55405,3.1087),(3755,2715,-0.58542,3.1372),(3755,2725,-0.6285,3.1656),(3755,2735,-0.67158,3.2009),(3755,2745,-0.71467,3.2588),(3755,2755,-0.73289,3.3166),(3755,2765,-0.67749,3.3745),(3755,2775,-0.62209,3.4245),(3755,2785,-0.56668,3.4537),(3755,2795,-0.51333,3.4828),(3755,2805,-0.46493,3.512),(3755,2815,-0.41652,3.537),(3755,2825,-0.36812,3.5529),(3755,2835,-0.32226,3.5688),(3755,2845,-0.28152,3.5848),(3755,2855,-0.24078,3.5983),(3755,2865,-0.20003,3.6073),(3755,2875,-0.16119,3.6164),(3755,2885,-0.12556,3.6255),(3755,2895,-0.089927,3.633),(3755,2905,-0.054295,3.6381),(3755,2915,-0.020071,3.6432),(3755,2925,0.012133,3.6483),(3755,2935,0.044338,3.6523),(3755,2945,0.076543,3.6549),(3755,2955,0.10772,3.6575),(3755,2965,0.13764,3.6601),(3755,2975,0.16756,3.6619),(3755,2985,0.19749,3.6627),(3755,2995,0.22669,3.6636),(3755,3005,0.25515,3.6645),(3755,3015,0.28361,3.6646),(3755,3025,0.31207,3.6642),(3755,3035,0.34007,3.6637),(3755,3045,0.36769,3.6633),(3755,3055,0.3953,3.6623),(3755,3065,0.42291,3.6607),(3755,3075,0.45032,3.6592),(3755,3085,0.47758,3.6577),(3755,3095,0.50484,3.6556),(3755,3105,0.5321,3.6531),(3755,3115,0.55941,3.6507),(3755,3125,0.58676,3.6482),(3755,3135,0.6141,3.6452),(3755,3145,0.64144,3.6418),(3755,3155,0.66911,3.6384),(3755,3165,0.69695,3.6351),(3755,3175,0.72479,3.6311),(3755,3185,0.75263,3.6268),(3755,3195,0.78109,3.6226),(3755,3205,0.80984,3.6183),(3755,3215,0.83859,3.6133),(3755,3225,0.86734,3.6081),(3755,3235,0.89709,3.6029),(3755,3245,0.9272,3.5976),(3755,3255,0.95732,3.5916),(3755,3265,0.98744,3.5852),(3755,3275,1.019,3.5789),(3755,3285,1.051,3.5726),(3755,3295,1.0831,3.5652),(3755,3305,1.1151,3.5576),(3755,3315,1.1492,3.5499),(3755,3325,1.1837,3.5423),(3755,3335,1.2183,3.5333),(3755,3345,1.2529,3.524),(3755,3355,1.2903,3.5147),(3755,3365,1.3283,3.5055),(3755,3375,1.3663,3.4943),(3755,3385,1.4043,3.4829),(3755,3395,1.4463,3.4714),(3755,3405,1.4888,3.46),(3755,3415,1.5313,3.4458),(3755,3425,1.5738,3.4313),(3755,3435,1.622,3.4169),(3755,3445,1.6706,3.4024),(3755,3455,1.7193,3.3838),(3755,3465,1.7679,3.3649),(3755,3475,1.8246,3.346),(3755,3485,1.8816,3.3272),(3755,3495,1.9386,3.3015),(3755,3505,1.9957,3.2758),(3755,3515,2.0645,3.2501),(3755,3525,2.1333,3.2241),(3755,3535,2.2021,3.1872),(3755,3545,2.2717,3.1504),(3755,3555,2.3577,3.1135),(3755,3565,2.4438,3.0753),(3755,3575,2.5298,3.0192),(3755,3585,2.6181,2.963),(3755,3595,2.7307,2.9068),(3755,3605,2.8433,2.847),(3755,3615,2.9559,2.7558),(3755,3625,3.0573,2.6646),(3755,3635,3.0797,2.5733),(3755,3645,3.1021,2.4805),(3755,3655,3.1245,2.3777),(3755,3665,3.1078,2.2749),(3755,3675,2.891,2.1721),(3755,3685,2.6741,2.082),(3755,3695,2.4572,2.0489),(3755,3705,2.2706,2.0158),(3755,3715,2.2031,1.9827),(3755,3725,2.1355,1.9516),(3755,3735,2.068,1.9276),(3755,3745,2.0031,1.9036),(3755,3755,1.9468,1.8795),(3755,3765,1.8905,1.8571),(3755,3775,1.8341,1.839),(3755,3785,1.7802,1.821),(3755,3795,1.7322,1.8029),(3755,3805,1.6843,1.7861),(3755,3815,1.6364,1.7723),(3755,3825,1.5906,1.7584),(3755,3835,1.5491,1.7445),(3755,3845,1.5075,1.7317),(3755,3855,1.466,1.721),(3755,3865,1.4262,1.7103),(3755,3875,1.3896,1.6995),(3755,3885,1.353,1.6898),(3755,3895,1.3163,1.6815),(3755,3905,1.2812,1.6733),(3755,3915,1.2483,1.665),(3755,3925,1.2154,1.6577),(3755,3935,1.1825,1.6516),(3755,3945,1.1508,1.6454),(3755,3955,1.1208,1.6393),(3755,3965,1.0907,1.6341),(3755,3975,1.0606,1.6298),(3755,3985,1.0315,1.6255),(3755,3995,1.0035,1.6213),(3755,4005,0.97555,1.6177),(3755,4015,0.94756,1.615),(3755,4025,1.2665,1.6122),(3755,4035,1.6193,1.607),(3755,4045,1.9722,1.5966),(3755,4055,2.2239,1.5863),(3755,4065,2.4386,1.5752),(3755,4075,2.6534,1.5601),(3755,4085,2.7455,1.5449),(3755,4095,2.7392,1.5298),(3755,4105,2.7328,1.5153),(3755,4115,2.6402,1.5008),(3755,4125,2.4045,1.4863),(3755,4135,2.1688,1.476),(3755,4145,1.9305,1.4668),(3755,4155,1.6815,1.4576),(3755,4165,1.4324,1.452),(3755,4175,1.1972,1.4487),(3755,4185,1.6474,1.4454),(3755,4195,2.0975,1.4379),(3755,4205,2.5477,1.4247),(3755,4215,2.6143,1.4116),(3755,4225,2.6088,1.3986),(3755,4235,2.6033,1.3856),(3755,4245,2.5841,1.3726),(3755,4255,2.558,1.3595),(3755,4265,2.5319,1.3444),(3755,4275,2.2244,1.3293),(3755,4285,1.6181,1.3141),(3755,4295,1.0119,1.3127),(3755,4305,0.75412,1.3129),(3755,4315,1.2831,1.3131),(3755,4325,1.8122,1.3051),(3755,4335,2.2821,1.2939),(3755,4345,2.3523,1.2828),(3755,4355,2.4225,1.2707),(3755,4365,2.4927,1.2579),(3755,4375,2.4944,1.2451),(3755,4385,2.4926,1.2324),(3755,4395,2.4907,1.2201),(3755,4405,2.1839,1.2078),(3755,4415,1.7871,1.1969),(3755,4425,1.3903,1.1924),(3755,4435,1.2201,1.1879),(3755,4445,1.2047,1.1834),(3755,4455,1.1894,1.1794),(3755,4465,1.3427,1.1753),(3755,4475,1.7331,1.1713),(3755,4485,2.1235,1.161),(3755,4495,2.4208,1.1494),(3755,4505,2.4195,1.1378),(3755,4515,2.4182,1.1264),(3755,4525,2.4121,1.115),(3755,4535,2.3309,1.1037),(3755,4545,2.2497,1.093),(3755,4555,2.1685,1.083),(3755,4565,1.6536,1.0731),(3755,4575,1.0802,1.0661),(3755,4585,0.50683,1.0664),(3755,4595,0.7691,1.0667),(3755,4605,1.3845,1.0654),(3755,4615,1.9998,1.0521),(3755,4625,2.3012,1.0388),(3755,4635,2.3183,1.0256),(3755,4645,2.3354,1.0143),(3755,4655,2.3467,1.0033),(3755,4665,2.3474,0.99218),(3755,4675,2.348,0.98136),(3755,4685,2.2669,0.97062),(3755,4695,1.7823,0.95989),(3755,4705,1.2977,0.95383),(3755,4715,0.81304,0.95117),(3755,4725,1.0384,0.94851),(3755,4735,1.2709,0.9444),(3755,4745,1.5034,0.93813),(3755,4755,1.7419,0.93187),(3755,4765,1.9817,0.92473),(3755,4775,2.2215,0.91456),(3755,4785,2.3093,0.90439),(3755,4795,2.3093,0.89422),(3755,4805,2.3093,0.88406),(3755,4815,2.1978,0.8739),(3755,4825,1.9529,0.86373),(3755,4835,1.7081,0.85693),(3755,4845,1.4601,0.85065),(3755,4855,1.2039,0.84437),(3755,4865,0.9478,0.84096),(3755,4875,0.76596,0.83884),(3755,4885,1.2601,0.83672),(3755,4895,1.7543,0.83067),(3755,4905,2.2485,0.82083),(3755,4915,2.2877,0.811),(3755,4925,2.2877,0.80121),(3755,4935,2.2878,0.79151),(3755,4945,2.281,0.78181),(3755,4955,2.2717,0.77194),(3755,4965,2.2625,0.7611),(3755,4975,1.8872,0.75025),(3755,4985,1.2294,0.73941),(3755,4995,0.5716,0.73945),(3755,5005,0.35975,0.73978),(3755,5015,0.85686,0.7401),(3755,5025,1.354,0.73467),(3755,5035,1.7822,0.72779),(3755,5045,1.948,0.7209),(3755,5055,2.1137,0.71253),(3755,5065,2.2746,0.70325),(3755,5075,2.2751,0.69396),(3755,5085,2.2755,0.68475),(3755,5095,2.276,0.67562),(3755,5105,1.9882,0.6665),(3755,5115,1.65,0.65862),(3755,5125,1.3119,0.65422),(3755,5135,1.1404,0.64983),(3755,5145,1.0499,0.64556),(3755,5155,0.95932,0.64263),(3755,5165,1.1264,0.63969),(3755,5175,1.5563,0.63676),(3755,5185,1.9862,0.62897),(3755,5195,2.2799,0.62068),(3755,5205,2.2799,0.61238),(3755,5215,2.2799,0.60419),(3755,5225,2.2681,0.59603),(3755,5235,2.1831,0.58787),(3755,5245,2.098,0.58031),(3755,5255,2.013,0.57325),(3755,5265,1.4173,0.56619),(3755,5275,0.8006,0.56182),(3755,5285,0.18388,0.562),(3755,5295,0.59244,0.56217),(3755,5305,1.2865,0.56089),(3755,5315,1.9806,0.55348),(3755,5325,2.2579,0.54608),(3755,5335,2.262,0.53869),(3755,5345,2.266,0.5321),(3755,5355,2.2681,0.52552),(3755,5365,2.2674,0.51893),(3755,5375,2.2667,0.51244),(3755,5385,2.1366,0.50596),(3755,5395,1.6129,0.49949),(3755,5405,1.0892,0.49629),(3755,5415,0.62094,0.4948),(3755,5425,0.89834,0.49331),(3755,5435,1.1758,0.49159),(3755,5445,1.4532,0.48962),(3755,5455,1.7253,0.48765),(3755,5465,1.9968,0.48529),(3755,5475,2.2683,0.48203),(3755,5485,2.3447,0.47876),(3755,5495,2.3427,0.4755),(3755,5505,2.3406,0.47229),(3755,5515,2.3385,0.46907),(3755,5525,2.3366,0.46586),(3755,5535,2.3346,0.46266),(3755,5545,2.3327,0.45947),(3755,5555,2.3308,0.45628),(3755,5565,2.3289,0.4531),(3755,5575,2.327,0.44992),(3755,5585,2.3253,0.44675),(3755,5595,2.3235,0.44357),(3755,5605,2.3217,0.44039),(3755,5615,2.32,0.43721),(3755,5625,2.3183,0.43402),(3755,5635,2.3166,0.43083),(3755,5645,2.3149,0.42764),(3755,5655,2.3133,0.42444),(3755,5665,2.3117,0.42123),(3755,5675,2.3101,0.41802),(3755,5685,2.3086,0.41481),(3755,5695,2.307,0.41158),(3755,5705,2.3055,0.40835),(3755,5715,2.304,0.40511),(3755,5725,2.3025,0.40187),(3755,5735,2.301,0.39862),(3755,5745,2.2996,0.39537),(3755,5755,2.2981,0.3921),(3755,5765,2.2967,0.38881),(3755,5775,2.2953,0.38553),(3755,5785,2.2939,0.38224),(3755,5795,2.2925,0.37893),(3755,5805,2.2911,0.37562),(3755,5815,2.2897,0.3723),(3755,5825,2.2883,0.36897),(3755,5835,2.2869,0.36564),(3755,5845,2.2855,0.36232),(3755,5855,2.2842,0.35898),(3755,5865,2.2828,0.35564),(3755,5875,2.2814,0.35231),(3755,5885,2.28,0.34897),(3755,5895,2.2786,0.34562),(3755,5905,2.2773,0.34228),(3755,5915,2.2759,0.33894),(3755,5925,2.2745,0.33559),(3755,5935,2.2731,0.33225),(3755,5945,2.2717,0.32891),(3755,5955,2.2703,0.32557),(3755,5965,2.269,0.32222),(3755,5975,2.2676,0.31888),(3755,5985,2.2662,0.31554),(3755,5995,1.7322,0.3122),(3755,6005,1.1126,0.30967),(3755,6015,0.49294,0.30931),(3755,6025,0.65417,0.30894),(3755,6035,1.1776,0.30819),(3755,6045,1.701,0.30371),(3755,6055,2.0631,0.29924),(3755,6065,2.2671,0.29477),(3755,6075,2.4712,0.28895),(3755,6085,2.6086,0.28301),(3755,6095,2.6089,0.27706),(3755,6105,2.6092,0.27113),(3755,6115,2.6095,0.26519),(3755,6125,2.6097,0.25925),(3755,6135,2.61,0.25332),(3755,6145,2.6102,0.24739),(3755,6155,2.6104,0.24146),(3755,6165,2.6106,0.23558),(3755,6175,2.6108,0.22976),(3755,6185,2.611,0.22395),(3755,6195,2.6111,0.21816),(3755,6205,2.6112,0.21246),(3755,6215,2.6113,0.20676),(3755,6225,2.6114,0.20107),(3755,6235,2.6115,0.19548),(3755,6245,2.6115,0.18988),(3755,6255,2.6115,0.18429),(3755,6265,2.6115,0.17878),(3755,6275,2.6115,0.17329),(3755,6285,2.6115,0.16779),(3755,6295,2.6114,0.16237),(3755,6305,2.6114,0.15699),(3755,6315,2.6113,0.1516),(3755,6325,2.6112,0.14629),(3755,6335,2.6111,0.14106),(3755,6345,2.611,0.13583),(3755,6355,2.6108,0.13065),(3755,6365,2.6107,0.12556),(3755,6375,2.6106,0.12047),(3755,6385,2.6104,0.11539),(3755,6395,2.6102,0.11039),(3755,6405,2.6101,0.10539),(3755,6415,2.6099,0.1004),(3755,6425,2.6098,0.095457),(3755,6435,2.6096,0.090521),(3755,6445,2.6095,0.085585),(3755,6455,2.6093,0.080742),(3755,6465,2.6092,0.075926),(3755,6475,2.609,0.07111),(3755,6485,2.6089,0.066328),(3755,6495,2.6087,0.061568),(3755,6505,2.6086,0.056809),(3755,6515,2.6085,0.052065),(3755,6525,2.6084,0.047342),(3755,6535,2.6084,0.04262),(3755,6545,2.6083,0.03791),(3755,6555,2.6082,0.03324),(3755,6565,2.6082,0.028571),(3755,6575,2.6081,0.023907),(3755,6585,2.6081,0.019328),(3755,6595,2.2183,0.014749),(3755,6605,1.3982,0.010171),(3755,6615,0.57813,0.00964),(3755,6625,0.001615,0.00963),(3755,6635,0.001615,0.00962),(3755,6645,0.001615,0.009614),(3755,6655,0.001615,0.00961),(3755,6665,0.001616,0.009606),(3755,6675,0.001616,0.009602),(3755,6685,0.001616,0.009598),(3755,6695,0.001617,0.009594),(3755,6705,0.001617,0.009589),(3755,6715,0.001617,0.009584),(3755,6725,0.001618,0.00958),(3755,6735,0.001619,0.009575),(3755,6745,0.001619,0.00957),(3755,6755,0.00162,0.009565),(3755,6765,0.00162,0.009559),(3755,6775,0.001621,0.009554),(3755,6785,0.001622,0.009548),(3755,6795,0.001623,0.009543),(3755,6805,0.001623,0.009537),(3755,6815,0.001624,0.009531),(3755,6825,0.001625,0.009525),(3755,6835,0.001626,0.009519),(3755,6845,0.001627,0.009512),(3755,6855,0.001628,0.009506),(3755,6865,0.001628,0.0095),(3755,6875,0.001629,0.009493),(3755,6885,0.00163,0.009487),(3755,6895,0.001631,0.00948),(3755,6905,0.001632,0.009473),(3755,6915,0.001633,0.009466),(3755,6925,0.001633,0.009459),(3755,6935,0.001634,0.009452),(3755,6945,0.001635,0.009445),(3755,6955,0.001636,0.009438),(3755,6965,0.001636,0.009431),(3755,6975,0.001637,0.009423),(3755,6985,0.001638,0.009416),(3765,5,9e-06,2.6547),(3765,15,2.6e-05,2.6547),(3765,25,4.3e-05,2.6547),(3765,35,6e-05,2.6547),(3765,45,7.7e-05,2.6547),(3765,55,9.4e-05,2.6547),(3765,65,0.000111,2.6546),(3765,75,0.000128,2.6546),(3765,85,0.000144,2.6546),(3765,95,0.000161,2.6546),(3765,105,0.000176,2.6546),(3765,115,0.000192,2.6546),(3765,125,0.000208,2.6546),(3765,135,0.000223,2.6546),(3765,145,0.000238,2.6546),(3765,155,0.000252,2.6546),(3765,165,0.000266,2.6546),(3765,175,0.00028,2.6545),(3765,185,0.000293,2.6545),(3765,195,0.000306,2.6545),(3765,205,0.000318,2.6545),(3765,215,0.000331,2.6545),(3765,225,0.000342,2.6544),(3765,235,0.000352,2.6544),(3765,245,0.000363,2.6544),(3765,255,0.000373,2.6544),(3765,265,0.000382,2.6544),(3765,275,0.000389,2.6543),(3765,285,0.000397,2.6543),(3765,295,0.000405,2.6543),(3765,305,0.00041,2.6543),(3765,315,0.000414,2.6542),(3765,325,0.000418,2.6542),(3765,335,0.000423,2.6542),(3765,345,0.000424,2.6541),(3765,355,0.000424,2.6541),(3765,365,0.000424,2.6541),(3765,375,0.000424,2.654),(3765,385,0.000421,2.654),(3765,395,0.000416,2.654),(3765,405,0.000412,2.6539),(3765,415,0.000408,2.6539),(3765,425,0.000398,2.6538),(3765,435,0.000389,2.6538),(3765,445,0.000379,2.6538),(3765,455,0.00037,2.6537),(3765,465,0.000354,2.6537),(3765,475,0.000338,2.6536),(3765,485,0.000322,2.6536),(3765,495,0.000306,2.6535),(3765,505,0.000283,2.6535),(3765,515,0.00026,2.6534),(3765,525,0.000236,2.6534),(3765,535,0.000213,2.6533),(3765,545,0.000181,2.6533),(3765,555,0.000149,2.6532),(3765,565,0.000117,2.6532),(3765,575,8.5e-05,2.6531),(3765,585,4.3e-05,2.653),(3765,595,2e-06,2.653),(3765,605,-4e-05,2.6529),(3765,615,-8.3e-05,2.6529),(3765,625,-0.000136,2.6528),(3765,635,-0.000188,2.6527),(3765,645,-0.000241,2.6527),(3765,655,-0.000296,2.6526),(3765,665,-0.000362,2.6525),(3765,675,-0.000428,2.6525),(3765,685,-0.000494,2.6524),(3765,695,-0.000562,2.6523),(3765,705,-0.000642,2.6523),(3765,715,-0.000723,2.6522),(3765,725,-0.000803,2.6521),(3765,735,-0.000887,2.652),(3765,745,-0.000984,2.652),(3765,755,-0.001081,2.6519),(3765,765,-0.001178,2.6518),(3765,775,-0.00128,2.6517),(3765,785,-0.001395,2.6517),(3765,795,-0.001511,2.6516),(3765,805,-0.001626,2.6515),(3765,815,-0.001748,2.6514),(3765,825,-0.001884,2.6513),(3765,835,-0.002021,2.6513),(3765,845,-0.002157,2.6512),(3765,855,-0.002301,2.6511),(3765,865,-0.002461,2.651),(3765,875,-0.00262,2.651),(3765,885,-0.002779,2.6509),(3765,895,-0.002948,2.6508),(3765,905,-0.003133,2.6507),(3765,915,-0.003317,2.6507),(3765,925,-0.003502,2.6506),(3765,935,-0.003698,2.6505),(3765,945,-0.00391,2.6504),(3765,955,-0.004122,2.6504),(3765,965,-0.004333,2.6503),(3765,975,-0.004559,2.6502),(3765,985,-0.0048,2.6502),(3765,995,-0.005041,2.6501),(3765,1005,-0.005282,2.6501),(3765,1015,-0.005538,2.65),(3765,1025,-0.00581,2.65),(3765,1035,-0.006081,2.6499),(3765,1045,-0.006353,2.6499),(3765,1055,-0.006642,2.6499),(3765,1065,-0.006945,2.6498),(3765,1075,-0.007248,2.6498),(3765,1085,-0.007552,2.6498),(3765,1095,-0.007874,2.6498),(3765,1105,-0.008209,2.6497),(3765,1115,-0.008544,2.6497),(3765,1125,-0.00888,2.6497),(3765,1135,-0.009235,2.6497),(3765,1145,-0.009602,2.6498),(3765,1155,-0.009969,2.6498),(3765,1165,-0.010336,2.6498),(3765,1175,-0.010724,2.6498),(3765,1185,-0.011122,2.6499),(3765,1195,-0.01152,2.6499),(3765,1205,-0.011918,2.65),(3765,1215,-0.012336,2.6501),(3765,1225,-0.012762,2.6501),(3765,1235,-0.013189,2.6502),(3765,1245,-0.013616,2.6503),(3765,1255,-0.014062,2.6504),(3765,1265,-0.014514,2.6505),(3765,1275,-0.014967,2.6507),(3765,1285,-0.015419,2.6508),(3765,1295,-0.01589,2.651),(3765,1305,-0.016365,2.6511),(3765,1315,-0.016841,2.6513),(3765,1325,-0.017316,2.6515),(3765,1335,-0.017807,2.6517),(3765,1345,-0.018302,2.6519),(3765,1355,-0.018796,2.6521),(3765,1365,-0.01929,2.6523),(3765,1375,-0.019798,2.6525),(3765,1385,-0.020308,2.6528),(3765,1395,-0.020818,2.653),(3765,1405,-0.021328,2.6533),(3765,1415,-0.021849,2.6536),(3765,1425,-0.022371,2.6538),(3765,1435,-0.022893,2.6542),(3765,1445,-0.023416,2.6545),(3765,1455,-0.023947,2.6548),(3765,1465,-0.02448,2.6551),(3765,1475,-0.025012,2.6555),(3765,1485,-0.025544,2.6558),(3765,1495,-0.026085,2.6562),(3765,1505,-0.026625,2.6565),(3765,1515,-0.027166,2.6569),(3765,1525,-0.027707,2.6573),(3765,1535,-0.028256,2.6577),(3765,1545,-0.028805,2.6581),(3765,1555,-0.029353,2.6585),(3765,1565,-0.029903,2.6589),(3765,1575,-0.030461,2.6593),(3765,1585,-0.031019,2.6598),(3765,1595,-0.031576,2.6602),(3765,1605,-0.032136,2.6607),(3765,1615,-0.032706,2.6611),(3765,1625,-0.033275,2.6616),(3765,1635,-0.033845,2.662),(3765,1645,-0.034418,2.6625),(3765,1655,-0.035004,2.663),(3765,1665,-0.03559,2.6635),(3765,1675,-0.036176,2.664),(3765,1685,-0.036765,2.6645),(3765,1695,-0.037373,2.665),(3765,1705,-0.03798,2.6655),(3765,1715,-0.038588,2.666),(3765,1725,-0.039201,2.6665),(3765,1735,-0.039837,2.667),(3765,1745,-0.040473,2.6675),(3765,1755,-0.041108,2.668),(3765,1765,-0.041753,2.6686),(3765,1775,-0.042426,2.6691),(3765,1785,-0.043098,2.6696),(3765,1795,-0.04377,2.6702),(3765,1805,-0.044456,2.6707),(3765,1815,-0.045174,2.6713),(3765,1825,-0.045893,2.6718),(3765,1835,-0.046611,2.6724),(3765,1845,-0.047349,2.6729),(3765,1855,-0.048125,2.6735),(3765,1865,-0.048901,2.674),(3765,1875,-0.049678,2.6746),(3765,1885,-0.050481,2.6751),(3765,1895,-0.051328,2.6757),(3765,1905,-0.052175,2.6763),(3765,1915,-0.053022,2.6769),(3765,1925,-0.053905,2.6774),(3765,1935,-0.054838,2.678),(3765,1945,-0.055772,2.6786),(3765,1955,-0.056705,2.6792),(3765,1965,-0.057686,2.6798),(3765,1975,-0.058723,2.6804),(3765,1985,-0.05976,2.6809),(3765,1995,-0.060797,2.6815),(3765,2005,-0.061897,2.6822),(3765,2015,-0.06306,2.6828),(3765,2025,-0.064222,2.6834),(3765,2035,-0.065384,2.684),(3765,2045,-0.066628,2.6846),(3765,2055,-0.06794,2.6852),(3765,2065,-0.069253,2.6858),(3765,2075,-0.070565,2.6865),(3765,2085,-0.071982,2.6871),(3765,2095,-0.073474,2.6878),(3765,2105,-0.074966,2.6884),(3765,2115,-0.076458,2.6891),(3765,2125,-0.078084,2.6898),(3765,2135,-0.079792,2.6904),(3765,2145,-0.081499,2.6911),(3765,2155,-0.083207,2.6918),(3765,2165,-0.085086,2.6925),(3765,2175,-0.087053,2.6932),(3765,2185,-0.08902,2.6939),(3765,2195,-0.090987,2.6947),(3765,2205,-0.093172,2.6954),(3765,2215,-0.095453,2.6962),(3765,2225,-0.097733,2.697),(3765,2235,-0.10001,2.6978),(3765,2245,-0.10257,2.6986),(3765,2255,-0.10523,2.6994),(3765,2265,-0.10789,2.7003),(3765,2275,-0.11055,2.7011),(3765,2285,-0.11358,2.702),(3765,2295,-0.1167,2.7029),(3765,2305,-0.11983,2.7039),(3765,2315,-0.12295,2.7049),(3765,2325,-0.12655,2.7059),(3765,2335,-0.13025,2.7069),(3765,2345,-0.13395,2.708),(3765,2355,-0.13765,2.7092),(3765,2365,-0.14196,2.7103),(3765,2375,-0.14637,2.7115),(3765,2385,-0.15079,2.7128),(3765,2395,-0.1552,2.7142),(3765,2405,-0.16043,2.7155),(3765,2415,-0.16574,2.7169),(3765,2425,-0.17106,2.7185),(3765,2435,-0.17638,2.7202),(3765,2445,-0.18278,2.7218),(3765,2455,-0.18925,2.7235),(3765,2465,-0.19573,2.7256),(3765,2475,-0.2022,2.7277),(3765,2485,-0.21015,2.7298),(3765,2495,-0.21814,2.7319),(3765,2505,-0.22612,2.7346),(3765,2515,-0.23414,2.7374),(3765,2525,-0.24414,2.7401),(3765,2535,-0.25414,2.7429),(3765,2545,-0.26414,2.7467),(3765,2555,-0.27429,2.7505),(3765,2565,-0.28706,2.7543),(3765,2575,-0.29982,2.7582),(3765,2585,-0.31258,2.7636),(3765,2595,-0.32571,2.7691),(3765,2605,-0.34238,2.7746),(3765,2615,-0.35904,2.7804),(3765,2625,-0.37571,2.7887),(3765,2635,-0.39315,2.7971),(3765,2645,-0.41556,2.8054),(3765,2655,-0.43797,2.8146),(3765,2665,-0.46038,2.8284),(3765,2675,-0.48433,2.8421),(3765,2685,-0.51562,2.8559),(3765,2695,-0.54691,2.8718),(3765,2705,-0.5782,2.8967),(3765,2715,-0.6136,2.9216),(3765,2725,-0.66417,2.9465),(3765,2735,-0.71474,2.9775),(3765,2745,-0.76531,3.0286),(3765,2755,-0.78727,3.0797),(3765,2765,-0.72456,3.1308),(3765,2775,-0.66185,3.1749),(3765,2785,-0.59913,3.2003),(3765,2795,-0.53967,3.2256),(3765,2805,-0.48807,3.2509),(3765,2815,-0.43647,3.2726),(3765,2825,-0.38487,3.2862),(3765,2835,-0.33635,3.2999),(3765,2845,-0.29402,3.3135),(3765,2855,-0.25169,3.325),(3765,2865,-0.20937,3.3326),(3765,2875,-0.1692,3.3403),(3765,2885,-0.1327,3.3479),(3765,2895,-0.096193,3.3541),(3765,2905,-0.059689,3.3583),(3765,2915,-0.024737,3.3625),(3765,2925,0.007991,3.3666),(3765,2935,0.040718,3.3698),(3765,2945,0.073446,3.3718),(3765,2955,0.10506,3.3738),(3765,2965,0.13533,3.3758),(3765,2975,0.16559,3.3771),(3765,2985,0.19585,3.3775),(3765,2995,0.22535,3.378),(3765,3005,0.25405,3.3785),(3765,3015,0.28275,3.3783),(3765,3025,0.31145,3.3777),(3765,3035,0.33967,3.377),(3765,3045,0.36746,3.3763),(3765,3055,0.39526,3.3751),(3765,3065,0.42305,3.3735),(3765,3075,0.45063,3.3719),(3765,3085,0.47805,3.3703),(3765,3095,0.50546,3.3681),(3765,3105,0.53288,3.3657),(3765,3115,0.56034,3.3632),(3765,3125,0.58783,3.3608),(3765,3135,0.61532,3.3578),(3765,3145,0.64281,3.3546),(3765,3155,0.67061,3.3514),(3765,3165,0.6986,3.3481),(3765,3175,0.72658,3.3444),(3765,3185,0.75456,3.3403),(3765,3195,0.78318,3.3363),(3765,3205,0.81209,3.3322),(3765,3215,0.841,3.3276),(3765,3225,0.8699,3.3227),(3765,3235,0.89982,3.3178),(3765,3245,0.93013,3.313),(3765,3255,0.96043,3.3074),(3765,3265,0.99073,3.3015),(3765,3275,1.0225,3.2957),(3765,3285,1.0548,3.2898),(3765,3295,1.087,3.2831),(3765,3305,1.1193,3.2761),(3765,3315,1.1536,3.2691),(3765,3325,1.1885,3.2622),(3765,3335,1.2234,3.254),(3765,3345,1.2583,3.2456),(3765,3355,1.2962,3.2372),(3765,3365,1.3346,3.2288),(3765,3375,1.373,3.2188),(3765,3385,1.4114,3.2086),(3765,3395,1.4539,3.1983),(3765,3405,1.4971,3.188),(3765,3415,1.5402,3.1754),(3765,3425,1.5833,3.1626),(3765,3435,1.6324,3.1497),(3765,3445,1.682,3.1369),(3765,3455,1.7315,3.1205),(3765,3465,1.7811,3.1038),(3765,3475,1.8393,3.0872),(3765,3485,1.8978,3.0706),(3765,3495,1.9563,3.0482),(3765,3505,2.0149,3.0257),(3765,3515,2.0862,3.0031),(3765,3525,2.1576,2.9804),(3765,3535,2.2289,2.9483),(3765,3545,2.3011,2.9162),(3765,3555,2.3917,2.8841),(3765,3565,2.4822,2.8509),(3765,3575,2.5727,2.8022),(3765,3585,2.6657,2.7536),(3765,3595,2.7866,2.7049),(3765,3605,2.9074,2.6532),(3765,3615,3.0282,2.5749),(3765,3625,3.1371,2.4966),(3765,3635,3.1623,2.4182),(3765,3645,3.1874,2.3385),(3765,3655,3.2126,2.2506),(3765,3665,3.1955,2.1627),(3765,3675,2.9623,2.0748),(3765,3685,2.729,1.9977),(3765,3695,2.4958,1.9686),(3765,3705,2.2958,1.9394),(3765,3715,2.2262,1.9103),(3765,3725,2.1566,1.883),(3765,3735,2.087,1.8619),(3765,3745,2.0204,1.8409),(3765,3755,1.9627,1.8198),(3765,3765,1.9051,1.8002),(3765,3775,1.8474,1.7843),(3765,3785,1.7923,1.7685),(3765,3795,1.7435,1.7527),(3765,3805,1.6947,1.7379),(3765,3815,1.6459,1.7258),(3765,3825,1.5992,1.7136),(3765,3835,1.5571,1.7014),(3765,3845,1.5149,1.6901),(3765,3855,1.4727,1.6806),(3765,3865,1.4324,1.6712),(3765,3875,1.3952,1.6617),(3765,3885,1.3581,1.653),(3765,3895,1.321,1.6458),(3765,3905,1.2853,1.6385),(3765,3915,1.252,1.6312),(3765,3925,1.2187,1.6247),(3765,3935,1.1854,1.6193),(3765,3945,1.1533,1.6139),(3765,3955,1.1229,1.6085),(3765,3965,1.0924,1.6039),(3765,3975,1.062,1.6002),(3765,3985,1.0326,1.5964),(3765,3995,1.0043,1.5927),(3765,4005,0.97593,1.5897),(3765,4015,0.94761,1.5873),(3765,4025,1.2678,1.5849),(3765,4035,1.622,1.5801),(3765,4045,1.9763,1.5701),(3765,4055,2.229,1.56),(3765,4065,2.4446,1.5493),(3765,4075,2.6602,1.5345),(3765,4085,2.7527,1.5197),(3765,4095,2.7461,1.505),(3765,4105,2.7396,1.4908),(3765,4115,2.6464,1.4766),(3765,4125,2.4098,1.4624),(3765,4135,2.1731,1.4523),(3765,4145,1.9338,1.4434),(3765,4155,1.6836,1.4345),(3765,4165,1.4334,1.4291),(3765,4175,1.1972,1.426),(3765,4185,1.6491,1.4229),(3765,4195,2.101,1.4155),(3765,4205,2.5529,1.4027),(3765,4215,2.6199,1.3898),(3765,4225,2.6143,1.377),(3765,4235,2.6088,1.3642),(3765,4245,2.5901,1.3515),(3765,4255,2.5647,1.3386),(3765,4265,2.5393,1.3236),(3765,4275,2.2307,1.3087),(3765,4285,1.6214,1.2938),(3765,4295,1.0121,1.2924),(3765,4305,0.75287,1.2927),(3765,4315,1.2839,1.2929),(3765,4325,1.815,1.2851),(3765,4335,2.2867,1.2741),(3765,4345,2.3572,1.2632),(3765,4355,2.4277,1.2513),(3765,4365,2.4982,1.2388),(3765,4375,2.4997,1.2262),(3765,4385,2.4977,1.2138),(3765,4395,2.4957,1.2018),(3765,4405,2.1879,1.1897),(3765,4415,1.7898,1.1791),(3765,4425,1.3917,1.1747),(3765,4435,1.2209,1.1703),(3765,4445,1.2055,1.1659),(3765,4455,1.19,1.1619),(3765,4465,1.3438,1.1579),(3765,4475,1.7354,1.1539),(3765,4485,2.127,1.1438),(3765,4495,2.4252,1.1324),(3765,4505,2.4238,1.121),(3765,4515,2.4224,1.1097),(3765,4525,2.4163,1.0986),(3765,4535,2.3349,1.0874),(3765,4545,2.2535,1.0769),(3765,4555,2.1721,1.0671),(3765,4565,1.6558,1.0573),(3765,4575,1.0809,1.0505),(3765,4585,0.50604,1.0507),(3765,4595,0.76957,1.051),(3765,4605,1.3873,1.0498),(3765,4615,2.0051,1.0367),(3765,4625,2.3073,1.0236),(3765,4635,2.3236,1.0105),(3765,4645,2.34,0.99937),(3765,4655,2.3508,0.98842),(3765,4665,2.3513,0.97748),(3765,4675,2.3518,0.96679),(3765,4685,2.2705,0.95619),(3765,4695,1.7848,0.94558),(3765,4705,1.2991,0.93962),(3765,4715,0.81333,0.93703),(3765,4725,1.0392,0.93445),(3765,4735,1.2721,0.9304),(3765,4745,1.5051,0.92419),(3765,4755,1.744,0.91797),(3765,4765,1.9844,0.91088),(3765,4775,2.2247,0.90074),(3765,4785,2.3127,0.8906),(3765,4795,2.3127,0.88046),(3765,4805,2.3127,0.87033),(3765,4815,2.2009,0.8602),(3765,4825,1.9556,0.85007),(3765,4835,1.7102,0.84331),(3765,4845,1.4617,0.83707),(3765,4855,1.205,0.83084),(3765,4865,0.94832,0.82748),(3765,4875,0.76607,0.82542),(3765,4885,1.2612,0.82336),(3765,4895,1.7563,0.81739),(3765,4905,2.2515,0.80766),(3765,4915,2.2907,0.79794),(3765,4925,2.2907,0.78826),(3765,4935,2.2908,0.77867),(3765,4945,2.2842,0.76909),(3765,4955,2.2753,0.75933),(3765,4965,2.2664,0.74864),(3765,4975,1.8905,0.73795),(3765,4985,1.2311,0.72726),(3765,4995,0.57175,0.72733),(3765,5005,0.35925,0.72769),(3765,5015,0.85717,0.72804),(3765,5025,1.3551,0.72269),(3765,5035,1.784,0.71588),(3765,5045,1.95,0.70908),(3765,5055,2.116,0.7008),(3765,5065,2.2772,0.69162),(3765,5075,2.2776,0.68244),(3765,5085,2.278,0.67332),(3765,5095,2.2785,0.6643),(3765,5105,1.9902,0.65528),(3765,5115,1.6515,0.64749),(3765,5125,1.3129,0.64316),(3765,5135,1.1412,0.63883),(3765,5145,1.0504,0.63462),(3765,5155,0.95969,0.63173),(3765,5165,1.1269,0.62884),(3765,5175,1.5572,0.62596),(3765,5185,1.9876,0.61826),(3765,5195,2.2815,0.61007),(3765,5205,2.2815,0.60188),(3765,5215,2.2815,0.59379),(3765,5225,2.2696,0.58573),(3765,5235,2.1845,0.57767),(3765,5245,2.0993,0.57021),(3765,5255,2.0142,0.56324),(3765,5265,1.4181,0.55627),(3765,5275,0.80086,0.55196),(3765,5285,0.18366,0.55214),(3765,5295,0.59242,0.55233),(3765,5305,1.2869,0.55107),(3765,5315,1.9813,0.5438),(3765,5325,2.2587,0.53653),(3765,5335,2.2625,0.52928),(3765,5345,2.2662,0.5228),(3765,5355,2.2681,0.51632),(3765,5365,2.2674,0.50984),(3765,5375,2.2667,0.50345),(3765,5385,2.1366,0.49708),(3765,5395,1.6128,0.49071),(3765,5405,1.089,0.48757),(3765,5415,0.62066,0.48611),(3765,5425,0.89747,0.48464),(3765,5435,1.1743,0.48297),(3765,5445,1.4511,0.48108),(3765,5455,1.7228,0.47919),(3765,5465,1.994,0.47691),(3765,5475,2.2651,0.47376),(3765,5485,2.3414,0.47061),(3765,5495,2.3394,0.46746),(3765,5505,2.3373,0.46435),(3765,5515,2.3352,0.46124),(3765,5525,2.3333,0.45813),(3765,5535,2.3313,0.45504),(3765,5545,2.3294,0.45195),(3765,5555,2.3275,0.44885),(3765,5565,2.3256,0.44577),(3765,5575,2.3238,0.44269),(3765,5585,2.322,0.43961),(3765,5595,2.3202,0.43652),(3765,5605,2.3184,0.43343),(3765,5615,2.3167,0.43034),(3765,5625,2.315,0.42725),(3765,5635,2.3133,0.42414),(3765,5645,2.3117,0.42104),(3765,5655,2.3101,0.41793),(3765,5665,2.3085,0.4148),(3765,5675,2.3069,0.41167),(3765,5685,2.3054,0.40854),(3765,5695,2.3038,0.40539),(3765,5705,2.3023,0.40223),(3765,5715,2.3008,0.39907),(3765,5725,2.2993,0.3959),(3765,5735,2.2979,0.39272),(3765,5745,2.2964,0.38954),(3765,5755,2.295,0.38634),(3765,5765,2.2936,0.38313),(3765,5775,2.2922,0.37992),(3765,5785,2.2908,0.37669),(3765,5795,2.2894,0.37345),(3765,5805,2.288,0.3702),(3765,5815,2.2866,0.36695),(3765,5825,2.2852,0.36369),(3765,5835,2.2839,0.36043),(3765,5845,2.2825,0.35716),(3765,5855,2.2811,0.35389),(3765,5865,2.2798,0.35062),(3765,5875,2.2784,0.34735),(3765,5885,2.277,0.34407),(3765,5895,2.2757,0.34079),(3765,5905,2.2743,0.33751),(3765,5915,2.2729,0.33423),(3765,5925,2.2716,0.33095),(3765,5935,2.2702,0.32767),(3765,5945,2.2688,0.32439),(3765,5955,2.2674,0.32112),(3765,5965,2.266,0.31784),(3765,5975,2.2646,0.31457),(3765,5985,2.2633,0.31129),(3765,5995,1.73,0.30802),(3765,6005,1.1111,0.30554),(3765,6015,0.49225,0.30518),(3765,6025,0.65377,0.30482),(3765,6035,1.1772,0.30408),(3765,6045,1.7007,0.29963),(3765,6055,2.0628,0.29519),(3765,6065,2.2668,0.29074),(3765,6075,2.4709,0.28497),(3765,6085,2.6083,0.27907),(3765,6095,2.6086,0.27317),(3765,6105,2.6088,0.26728),(3765,6115,2.6091,0.2614),(3765,6125,2.6093,0.25551),(3765,6135,2.6095,0.24963),(3765,6145,2.6098,0.24376),(3765,6155,2.6099,0.23788),(3765,6165,2.6101,0.23204),(3765,6175,2.6103,0.22628),(3765,6185,2.6104,0.22051),(3765,6195,2.6105,0.21477),(3765,6205,2.6106,0.20913),(3765,6215,2.6107,0.20349),(3765,6225,2.6107,0.19785),(3765,6235,2.6108,0.19231),(3765,6245,2.6108,0.18677),(3765,6255,2.6108,0.18124),(3765,6265,2.6107,0.17579),(3765,6275,2.6107,0.17036),(3765,6285,2.6106,0.16493),(3765,6295,2.6106,0.15957),(3765,6305,2.6105,0.15425),(3765,6315,2.6104,0.14894),(3765,6325,2.6103,0.14369),(3765,6335,2.6101,0.13853),(3765,6345,2.61,0.13337),(3765,6355,2.6098,0.12826),(3765,6365,2.6096,0.12325),(3765,6375,2.6094,0.11824),(3765,6385,2.6093,0.11324),(3765,6395,2.6091,0.10833),(3765,6405,2.6089,0.10342),(3765,6415,2.6087,0.098506),(3765,6425,2.6085,0.093656),(3765,6435,2.6083,0.088808),(3765,6445,2.6081,0.08396),(3765,6455,2.6079,0.079212),(3765,6465,2.6078,0.074491),(3765,6475,2.6076,0.069771),(3765,6485,2.6074,0.065088),(3765,6495,2.6073,0.06043),(3765,6505,2.6072,0.055771),(3765,6515,2.607,0.051129),(3765,6525,2.6069,0.046508),(3765,6535,2.6068,0.041887),(3765,6545,2.6068,0.037279),(3765,6555,2.6067,0.032712),(3765,6565,2.6066,0.028144),(3765,6575,2.6066,0.023583),(3765,6585,2.6065,0.019104),(3765,6595,2.217,0.014625),(3765,6605,1.3974,0.010146),(3765,6615,0.57778,0.00963),(3765,6625,0.001615,0.009625),(3765,6635,0.001615,0.009619),(3765,6645,0.001615,0.009614),(3765,6655,0.001615,0.00961),(3765,6665,0.001616,0.009607),(3765,6675,0.001616,0.009602),(3765,6685,0.001617,0.009598),(3765,6695,0.001617,0.009594),(3765,6705,0.001618,0.00959),(3765,6715,0.001618,0.009585),(3765,6725,0.001619,0.00958),(3765,6735,0.00162,0.009576),(3765,6745,0.00162,0.00957),(3765,6755,0.001621,0.009565),(3765,6765,0.001622,0.00956),(3765,6775,0.001623,0.009555),(3765,6785,0.001624,0.009549),(3765,6795,0.001625,0.009544),(3765,6805,0.001625,0.009538),(3765,6815,0.001626,0.009532),(3765,6825,0.001627,0.009526),(3765,6835,0.001628,0.00952),(3765,6845,0.001629,0.009513),(3765,6855,0.00163,0.009507),(3765,6865,0.001631,0.009501),(3765,6875,0.001632,0.009494),(3765,6885,0.001633,0.009487),(3765,6895,0.001633,0.009481),(3765,6905,0.001634,0.009474),(3765,6915,0.001635,0.009467),(3765,6925,0.001636,0.00946),(3765,6935,0.001637,0.009453),(3765,6945,0.001638,0.009446),(3765,6955,0.001639,0.009439),(3765,6965,0.00164,0.009432),(3765,6975,0.001641,0.009424),(3765,6985,0.001641,0.009417),(3775,5,9e-06,2.4778),(3775,15,2.7e-05,2.4778),(3775,25,4.5e-05,2.4778),(3775,35,6.3e-05,2.4778),(3775,45,8e-05,2.4778),(3775,55,9.8e-05,2.4778),(3775,65,0.000116,2.4778),(3775,75,0.000133,2.4778),(3775,85,0.00015,2.4778),(3775,95,0.000167,2.4777),(3775,105,0.000184,2.4777),(3775,115,0.0002,2.4777),(3775,125,0.000216,2.4777),(3775,135,0.000233,2.4777),(3775,145,0.000248,2.4777),(3775,155,0.000263,2.4777),(3775,165,0.000278,2.4777),(3775,175,0.000293,2.4776),(3775,185,0.000307,2.4776),(3775,195,0.00032,2.4776),(3775,205,0.000333,2.4776),(3775,215,0.000347,2.4776),(3775,225,0.000358,2.4776),(3775,235,0.00037,2.4775),(3775,245,0.000381,2.4775),(3775,255,0.000392,2.4775),(3775,265,0.000401,2.4775),(3775,275,0.00041,2.4774),(3775,285,0.000418,2.4774),(3775,295,0.000427,2.4774),(3775,305,0.000433,2.4774),(3775,315,0.000438,2.4773),(3775,325,0.000443,2.4773),(3775,335,0.000449,2.4773),(3775,345,0.000451,2.4772),(3775,355,0.000452,2.4772),(3775,365,0.000453,2.4772),(3775,375,0.000454,2.4771),(3775,385,0.000451,2.4771),(3775,395,0.000448,2.4771),(3775,405,0.000445,2.477),(3775,415,0.000441,2.477),(3775,425,0.000433,2.4769),(3775,435,0.000424,2.4769),(3775,445,0.000416,2.4769),(3775,455,0.000407,2.4768),(3775,465,0.000393,2.4768),(3775,475,0.000378,2.4767),(3775,485,0.000363,2.4767),(3775,495,0.000348,2.4766),(3775,505,0.000326,2.4766),(3775,515,0.000304,2.4765),(3775,525,0.000282,2.4765),(3775,535,0.000259,2.4764),(3775,545,0.000228,2.4763),(3775,555,0.000198,2.4763),(3775,565,0.000167,2.4762),(3775,575,0.000136,2.4762),(3775,585,9.5e-05,2.4761),(3775,595,5.5e-05,2.476),(3775,605,1.4e-05,2.476),(3775,615,-2.8e-05,2.4759),(3775,625,-7.9e-05,2.4759),(3775,635,-0.000131,2.4758),(3775,645,-0.000183,2.4757),(3775,655,-0.000237,2.4756),(3775,665,-0.000302,2.4756),(3775,675,-0.000366,2.4755),(3775,685,-0.000431,2.4754),(3775,695,-0.000499,2.4754),(3775,705,-0.000578,2.4753),(3775,715,-0.000658,2.4752),(3775,725,-0.000737,2.4751),(3775,735,-0.000821,2.475),(3775,745,-0.000917,2.475),(3775,755,-0.001013,2.4749),(3775,765,-0.001109,2.4748),(3775,775,-0.00121,2.4747),(3775,785,-0.001325,2.4746),(3775,795,-0.00144,2.4746),(3775,805,-0.001555,2.4745),(3775,815,-0.001677,2.4744),(3775,825,-0.001813,2.4743),(3775,835,-0.001949,2.4742),(3775,845,-0.002085,2.4741),(3775,855,-0.002229,2.4741),(3775,865,-0.002389,2.474),(3775,875,-0.002548,2.4739),(3775,885,-0.002708,2.4738),(3775,895,-0.002877,2.4737),(3775,905,-0.003063,2.4736),(3775,915,-0.003248,2.4736),(3775,925,-0.003433,2.4735),(3775,935,-0.003631,2.4734),(3775,945,-0.003844,2.4733),(3775,955,-0.004057,2.4733),(3775,965,-0.00427,2.4732),(3775,975,-0.004498,2.4731),(3775,985,-0.004741,2.473),(3775,995,-0.004984,2.473),(3775,1005,-0.005227,2.4729),(3775,1015,-0.005486,2.4729),(3775,1025,-0.005761,2.4728),(3775,1035,-0.006036,2.4727),(3775,1045,-0.00631,2.4727),(3775,1055,-0.006603,2.4727),(3775,1065,-0.00691,2.4726),(3775,1075,-0.007217,2.4726),(3775,1085,-0.007524,2.4725),(3775,1095,-0.007851,2.4725),(3775,1105,-0.008191,2.4725),(3775,1115,-0.008531,2.4725),(3775,1125,-0.008872,2.4725),(3775,1135,-0.009233,2.4725),(3775,1145,-0.009606,2.4725),(3775,1155,-0.009979,2.4725),(3775,1165,-0.010352,2.4725),(3775,1175,-0.010746,2.4725),(3775,1185,-0.011151,2.4726),(3775,1195,-0.011556,2.4726),(3775,1205,-0.01196,2.4727),(3775,1215,-0.012386,2.4727),(3775,1225,-0.01282,2.4728),(3775,1235,-0.013255,2.4729),(3775,1245,-0.013689,2.473),(3775,1255,-0.014143,2.4731),(3775,1265,-0.014604,2.4732),(3775,1275,-0.015065,2.4733),(3775,1285,-0.015526,2.4734),(3775,1295,-0.016006,2.4736),(3775,1305,-0.01649,2.4737),(3775,1315,-0.016974,2.4739),(3775,1325,-0.017458,2.4741),(3775,1335,-0.017958,2.4743),(3775,1345,-0.018462,2.4744),(3775,1355,-0.018965,2.4747),(3775,1365,-0.019469,2.4749),(3775,1375,-0.019985,2.4751),(3775,1385,-0.020504,2.4753),(3775,1395,-0.021023,2.4756),(3775,1405,-0.021542,2.4759),(3775,1415,-0.022072,2.4761),(3775,1425,-0.022603,2.4764),(3775,1435,-0.023133,2.4767),(3775,1445,-0.023664,2.477),(3775,1455,-0.024204,2.4773),(3775,1465,-0.024745,2.4777),(3775,1475,-0.025285,2.478),(3775,1485,-0.025825,2.4784),(3775,1495,-0.026373,2.4787),(3775,1505,-0.026921,2.4791),(3775,1515,-0.02747,2.4795),(3775,1525,-0.028018,2.4798),(3775,1535,-0.028573,2.4802),(3775,1545,-0.029129,2.4806),(3775,1555,-0.029684,2.481),(3775,1565,-0.03024,2.4815),(3775,1575,-0.030804,2.4819),(3775,1585,-0.031367,2.4823),(3775,1595,-0.031931,2.4827),(3775,1605,-0.032496,2.4832),(3775,1615,-0.033071,2.4836),(3775,1625,-0.033645,2.4841),(3775,1635,-0.03422,2.4846),(3775,1645,-0.034797,2.485),(3775,1655,-0.035387,2.4855),(3775,1665,-0.035977,2.486),(3775,1675,-0.036567,2.4865),(3775,1685,-0.037161,2.487),(3775,1695,-0.037772,2.4874),(3775,1705,-0.038383,2.4879),(3775,1715,-0.038993,2.4884),(3775,1725,-0.03961,2.489),(3775,1735,-0.040249,2.4895),(3775,1745,-0.040887,2.49),(3775,1755,-0.041525,2.4905),(3775,1765,-0.042173,2.491),(3775,1775,-0.042848,2.4915),(3775,1785,-0.043522,2.492),(3775,1795,-0.044196,2.4926),(3775,1805,-0.044885,2.4931),(3775,1815,-0.045605,2.4936),(3775,1825,-0.046325,2.4942),(3775,1835,-0.047046,2.4947),(3775,1845,-0.047786,2.4952),(3775,1855,-0.048564,2.4958),(3775,1865,-0.049342,2.4963),(3775,1875,-0.05012,2.4969),(3775,1885,-0.050925,2.4974),(3775,1895,-0.051774,2.498),(3775,1905,-0.052623,2.4985),(3775,1915,-0.053472,2.4991),(3775,1925,-0.054357,2.4996),(3775,1935,-0.055292,2.5002),(3775,1945,-0.056227,2.5007),(3775,1955,-0.057162,2.5013),(3775,1965,-0.058146,2.5019),(3775,1975,-0.059185,2.5024),(3775,1985,-0.060225,2.503),(3775,1995,-0.061264,2.5036),(3775,2005,-0.062367,2.5041),(3775,2015,-0.063532,2.5047),(3775,2025,-0.064698,2.5053),(3775,2035,-0.065863,2.5059),(3775,2045,-0.06711,2.5064),(3775,2055,-0.068427,2.507),(3775,2065,-0.069743,2.5076),(3775,2075,-0.071059,2.5082),(3775,2085,-0.072481,2.5088),(3775,2095,-0.073978,2.5094),(3775,2105,-0.075476,2.51),(3775,2115,-0.076973,2.5106),(3775,2125,-0.078605,2.5112),(3775,2135,-0.08032,2.5118),(3775,2145,-0.082035,2.5124),(3775,2155,-0.08375,2.5131),(3775,2165,-0.085637,2.5137),(3775,2175,-0.087614,2.5144),(3775,2185,-0.089591,2.515),(3775,2195,-0.091568,2.5157),(3775,2205,-0.093766,2.5163),(3775,2215,-0.096059,2.517),(3775,2225,-0.098353,2.5177),(3775,2235,-0.10065,2.5184),(3775,2245,-0.10322,2.5191),(3775,2255,-0.1059,2.5198),(3775,2265,-0.10858,2.5206),(3775,2275,-0.11126,2.5214),(3775,2285,-0.11431,2.5221),(3775,2295,-0.11746,2.5229),(3775,2305,-0.12061,2.5237),(3775,2315,-0.12376,2.5246),(3775,2325,-0.12739,2.5254),(3775,2335,-0.13112,2.5263),(3775,2345,-0.13486,2.5272),(3775,2355,-0.13859,2.5282),(3775,2365,-0.14295,2.5291),(3775,2375,-0.14742,2.5301),(3775,2385,-0.15189,2.5312),(3775,2395,-0.15635,2.5323),(3775,2405,-0.16165,2.5335),(3775,2415,-0.16704,2.5346),(3775,2425,-0.17243,2.5359),(3775,2435,-0.17782,2.5373),(3775,2445,-0.18433,2.5386),(3775,2455,-0.19092,2.54),(3775,2465,-0.1975,2.5417),(3775,2475,-0.20409,2.5434),(3775,2485,-0.21221,2.5451),(3775,2495,-0.22036,2.5468),(3775,2505,-0.22852,2.549),(3775,2515,-0.2367,2.5512),(3775,2525,-0.24697,2.5534),(3775,2535,-0.25724,2.5556),(3775,2545,-0.26751,2.5587),(3775,2555,-0.27794,2.5617),(3775,2565,-0.29114,2.5647),(3775,2575,-0.30435,2.5679),(3775,2585,-0.31756,2.5722),(3775,2595,-0.33116,2.5766),(3775,2605,-0.34861,2.5809),(3775,2615,-0.36606,2.5856),(3775,2625,-0.3835,2.5922),(3775,2635,-0.40181,2.5989),(3775,2645,-0.4257,2.6056),(3775,2655,-0.44959,2.6129),(3775,2665,-0.47347,2.6239),(3775,2675,-0.49918,2.6348),(3775,2685,-0.53357,2.6458),(3775,2695,-0.56796,2.6585),(3775,2705,-0.60235,2.6782),(3775,2715,-0.64178,2.6979),(3775,2725,-0.69983,2.7176),(3775,2735,-0.75789,2.7419),(3775,2745,-0.81594,2.7814),(3775,2755,-0.84166,2.8209),(3775,2765,-0.77164,2.8604),(3775,2775,-0.70161,2.8946),(3775,2785,-0.63158,2.9146),(3775,2795,-0.566,2.9346),(3775,2805,-0.51121,2.9546),(3775,2815,-0.45642,2.9717),(3775,2825,-0.40162,2.9824),(3775,2835,-0.35044,2.9932),(3775,2845,-0.30652,3.0039),(3775,2855,-0.26261,3.013),(3775,2865,-0.2187,3.0189),(3775,2875,-0.17721,3.0248),(3775,2885,-0.13983,3.0307),(3775,2895,-0.10246,3.0355),(3775,2905,-0.065083,3.0386),(3775,2915,-0.029402,3.0417),(3775,2925,0.003848,3.0447),(3775,2935,0.037099,3.0471),(3775,2945,0.07035,3.0484),(3775,2955,0.10241,3.0497),(3775,2965,0.13301,3.051),(3775,2975,0.16362,3.0517),(3775,2985,0.19422,3.0517),(3775,2995,0.22401,3.0517),(3775,3005,0.25295,3.0518),(3775,3015,0.28189,3.0513),(3775,3025,0.31083,3.0504),(3775,3035,0.33926,3.0495),(3775,3045,0.36724,3.0485),(3775,3055,0.39522,3.0472),(3775,3065,0.4232,3.0455),(3775,3075,0.45095,3.0437),(3775,3085,0.47852,3.042),(3775,3095,0.50609,3.0399),(3775,3105,0.53366,3.0374),(3775,3115,0.56127,3.035),(3775,3125,0.5889,3.0326),(3775,3135,0.61653,3.0297),(3775,3145,0.64417,3.0266),(3775,3155,0.67212,3.0235),(3775,3165,0.70025,3.0203),(3775,3175,0.72837,3.0168),(3775,3185,0.7565,3.013),(3775,3195,0.78527,3.0092),(3775,3205,0.81434,3.0054),(3775,3215,0.8434,3.0011),(3775,3225,0.87246,2.9965),(3775,3235,0.90256,2.992),(3775,3245,0.93305,2.9875),(3775,3255,0.96354,2.9824),(3775,3265,0.99402,2.977),(3775,3275,1.026,2.9717),(3775,3285,1.0585,2.9664),(3775,3295,1.091,2.9603),(3775,3305,1.1235,2.954),(3775,3315,1.1581,2.9477),(3775,3325,1.1933,2.9414),(3775,3335,1.2285,2.9342),(3775,3345,1.2637,2.9267),(3775,3355,1.302,2.9192),(3775,3365,1.3408,2.9118),(3775,3375,1.3796,2.903),(3775,3385,1.4184,2.894),(3775,3395,1.4616,2.885),(3775,3405,1.5053,2.876),(3775,3415,1.5491,2.865),(3775,3425,1.5928,2.8539),(3775,3435,1.6428,2.8428),(3775,3445,1.6933,2.8317),(3775,3455,1.7438,2.8177),(3775,3465,1.7943,2.8035),(3775,3475,1.854,2.7893),(3775,3485,1.914,2.7751),(3775,3495,1.974,2.7563),(3775,3505,2.0341,2.7374),(3775,3515,2.108,2.7185),(3775,3525,2.1819,2.6993),(3775,3535,2.2558,2.6727),(3775,3545,2.3306,2.6461),(3775,3555,2.4256,2.6195),(3775,3565,2.5205,2.592),(3775,3575,2.6155,2.5523),(3775,3585,2.7133,2.5125),(3775,3595,2.8424,2.4728),(3775,3605,2.9714,2.4307),(3775,3615,3.1004,2.368),(3775,3625,3.217,2.3054),(3775,3635,3.2448,2.2427),(3775,3645,3.2727,2.1791),(3775,3655,3.3006,2.1094),(3775,3665,3.2832,2.0397),(3775,3675,3.0336,1.97),(3775,3685,2.784,1.9086),(3775,3695,2.5344,1.8839),(3775,3705,2.321,1.8592),(3775,3715,2.2494,1.8345),(3775,3725,2.1777,1.8114),(3775,3735,2.1061,1.7936),(3775,3745,2.0376,1.7758),(3775,3755,1.9786,1.7581),(3775,3765,1.9197,1.7414),(3775,3775,1.8607,1.728),(3775,3785,1.8044,1.7145),(3775,3795,1.7547,1.7011),(3775,3805,1.7051,1.6885),(3775,3815,1.6554,1.6781),(3775,3825,1.6079,1.6676),(3775,3835,1.5651,1.6572),(3775,3845,1.5223,1.6475),(3775,3855,1.4795,1.6394),(3775,3865,1.4385,1.6312),(3775,3875,1.4009,1.623),(3775,3885,1.3632,1.6156),(3775,3895,1.3256,1.6093),(3775,3905,1.2895,1.603),(3775,3915,1.2558,1.5968),(3775,3925,1.222,1.5912),(3775,3935,1.1883,1.5865),(3775,3945,1.1558,1.5819),(3775,3955,1.125,1.5772),(3775,3965,1.0942,1.5732),(3775,3975,1.0634,1.57),(3775,3985,1.0336,1.5669),(3775,3995,1.005,1.5637),(3775,4005,0.97631,1.5611),(3775,4015,0.94767,1.5591),(3775,4025,1.2691,1.5572),(3775,4035,1.6247,1.5527),(3775,4045,1.9803,1.5431),(3775,4055,2.234,1.5334),(3775,4065,2.4506,1.5231),(3775,4075,2.6671,1.5087),(3775,4085,2.7598,1.4943),(3775,4095,2.7531,1.4798),(3775,4105,2.7463,1.466),(3775,4115,2.6527,1.4521),(3775,4125,2.4151,1.4383),(3775,4135,2.1774,1.4285),(3775,4145,1.9371,1.4198),(3775,4155,1.6858,1.4111),(3775,4165,1.4345,1.406),(3775,4175,1.1971,1.403),(3775,4185,1.6508,1.4001),(3775,4195,2.1045,1.393),(3775,4205,2.5582,1.3804),(3775,4215,2.6254,1.3677),(3775,4225,2.6198,1.3551),(3775,4235,2.6142,1.3426),(3775,4245,2.596,1.3301),(3775,4255,2.5714,1.3174),(3775,4265,2.5468,1.3027),(3775,4275,2.237,1.2879),(3775,4285,1.6247,1.2732),(3775,4295,1.0124,1.2719),(3775,4305,0.75162,1.2722),(3775,4315,1.2847,1.2725),(3775,4325,1.8178,1.2648),(3775,4335,2.2913,1.2541),(3775,4345,2.3621,1.2434),(3775,4355,2.4329,1.2318),(3775,4365,2.5036,1.2196),(3775,4375,2.5051,1.2073),(3775,4385,2.5029,1.1952),(3775,4395,2.5008,1.1834),(3775,4405,2.1919,1.1717),(3775,4415,1.7925,1.1613),(3775,4425,1.3931,1.157),(3775,4435,1.2217,1.1527),(3775,4445,1.2062,1.1484),(3775,4455,1.1907,1.1444),(3775,4465,1.3449,1.1405),(3775,4475,1.7377,1.1365),(3775,4485,2.1305,1.1266),(3775,4495,2.4296,1.1154),(3775,4505,2.4282,1.1041),(3775,4515,2.4267,1.0931),(3775,4525,2.4205,1.0821),(3775,4535,2.3389,1.0711),(3775,4545,2.2573,1.0607),(3775,4555,2.1757,1.0511),(3775,4565,1.658,1.0415),(3775,4575,1.0817,1.0348),(3775,4585,0.50526,1.0351),(3775,4595,0.77004,1.0354),(3775,4605,1.3902,1.0342),(3775,4615,2.0104,1.0212),(3775,4625,2.3133,1.0083),(3775,4635,2.329,0.99534),(3775,4645,2.3446,0.98439),(3775,4655,2.3549,0.97358),(3775,4665,2.3553,0.96276),(3775,4675,2.3557,0.9522),(3775,4685,2.2741,0.94172),(3775,4695,1.7873,0.93124),(3775,4705,1.3005,0.92537),(3775,4715,0.81362,0.92286),(3775,4725,1.0399,0.92035),(3775,4735,1.2733,0.91638),(3775,4745,1.5067,0.91021),(3775,4755,1.7462,0.90405),(3775,4765,1.987,0.89701),(3775,4775,2.2279,0.8869),(3775,4785,2.3161,0.87679),(3775,4795,2.3161,0.86668),(3775,4805,2.3161,0.85659),(3775,4815,2.2041,0.8465),(3775,4825,1.9582,0.83641),(3775,4835,1.7124,0.8297),(3775,4845,1.4634,0.82351),(3775,4855,1.2061,0.81732),(3775,4865,0.94884,0.81402),(3775,4875,0.76618,0.81202),(3775,4885,1.2623,0.81002),(3775,4895,1.7584,0.80414),(3775,4905,2.2545,0.79452),(3775,4915,2.2937,0.78491),(3775,4925,2.2937,0.77535),(3775,4935,2.2937,0.76588),(3775,4945,2.2874,0.75641),(3775,4955,2.2789,0.74677),(3775,4965,2.2704,0.73623),(3775,4975,1.8937,0.72569),(3775,4985,1.2328,0.71515),(3775,4995,0.57189,0.71526),(3775,5005,0.35876,0.71564),(3775,5015,0.85748,0.71602),(3775,5025,1.3562,0.71074),(3775,5035,1.7858,0.70402),(3775,5045,1.9521,0.6973),(3775,5055,2.1184,0.68912),(3775,5065,2.2797,0.68005),(3775,5075,2.2801,0.67097),(3775,5085,2.2805,0.66196),(3775,5095,2.2809,0.65304),(3775,5105,1.9922,0.64413),(3775,5115,1.6531,0.63643),(3775,5125,1.3139,0.63216),(3775,5135,1.1419,0.62788),(3775,5145,1.051,0.62373),(3775,5155,0.96006,0.62089),(3775,5165,1.1274,0.61806),(3775,5175,1.5582,0.61522),(3775,5185,1.9889,0.60762),(3775,5195,2.2832,0.59954),(3775,5205,2.2831,0.59145),(3775,5215,2.283,0.58346),(3775,5225,2.2711,0.57551),(3775,5235,2.1859,0.56755),(3775,5245,2.1006,0.56019),(3775,5255,2.0154,0.55331),(3775,5265,1.4188,0.54643),(3775,5275,0.80113,0.54218),(3775,5285,0.18344,0.54237),(3775,5295,0.59239,0.54256),(3775,5305,1.2872,0.54133),(3775,5315,1.9821,0.5342),(3775,5325,2.2594,0.52706),(3775,5335,2.2629,0.51994),(3775,5345,2.2665,0.51357),(3775,5355,2.2682,0.50719),(3775,5365,2.2674,0.50082),(3775,5375,2.2667,0.49454),(3775,5385,2.1365,0.48827),(3775,5395,1.6127,0.48201),(3775,5405,1.0888,0.47892),(3775,5415,0.62039,0.47749),(3775,5425,0.8966,0.47606),(3775,5435,1.1728,0.47444),(3775,5445,1.449,0.47262),(3775,5455,1.7204,0.4708),(3775,5465,1.9911,0.46861),(3775,5475,2.2619,0.46557),(3775,5485,2.3381,0.46252),(3775,5495,2.336,0.45949),(3775,5505,2.334,0.45648),(3775,5515,2.3319,0.45348),(3775,5525,2.33,0.45047),(3775,5535,2.328,0.44748),(3775,5545,2.3261,0.44448),(3775,5555,2.3242,0.44149),(3775,5565,2.3223,0.4385),(3775,5575,2.3205,0.43551),(3775,5585,2.3187,0.43252),(3775,5595,2.3169,0.42953),(3775,5605,2.3151,0.42653),(3775,5615,2.3134,0.42352),(3775,5625,2.3117,0.42052),(3775,5635,2.3101,0.41749),(3775,5645,2.3084,0.41447),(3775,5655,2.3068,0.41145),(3775,5665,2.3052,0.4084),(3775,5675,2.3037,0.40535),(3775,5685,2.3021,0.4023),(3775,5695,2.3006,0.39922),(3775,5705,2.2991,0.39614),(3775,5715,2.2976,0.39306),(3775,5725,2.2962,0.38995),(3775,5735,2.2947,0.38685),(3775,5745,2.2933,0.38374),(3775,5755,2.2919,0.38061),(3775,5765,2.2905,0.37747),(3775,5775,2.2891,0.37433),(3775,5785,2.2877,0.37117),(3775,5795,2.2863,0.36799),(3775,5805,2.2849,0.36481),(3775,5815,2.2836,0.36163),(3775,5825,2.2822,0.35843),(3775,5835,2.2808,0.35524),(3775,5845,2.2795,0.35204),(3775,5855,2.2781,0.34883),(3775,5865,2.2768,0.34562),(3775,5875,2.2754,0.34241),(3775,5885,2.2741,0.3392),(3775,5895,2.2727,0.33598),(3775,5905,2.2713,0.33277),(3775,5915,2.27,0.32955),(3775,5925,2.2686,0.32634),(3775,5935,2.2672,0.32312),(3775,5945,2.2658,0.31991),(3775,5955,2.2645,0.31671),(3775,5965,2.2631,0.3135),(3775,5975,2.2617,0.31029),(3775,5985,2.2603,0.30708),(3775,5995,1.7277,0.30388),(3775,6005,1.1096,0.30145),(3775,6015,0.49156,0.3011),(3775,6025,0.65336,0.30074),(3775,6035,1.1769,0.30001),(3775,6045,1.7004,0.29559),(3775,6055,2.0626,0.29117),(3775,6065,2.2666,0.28675),(3775,6075,2.4706,0.28101),(3775,6085,2.608,0.27515),(3775,6095,2.6082,0.26929),(3775,6105,2.6085,0.26345),(3775,6115,2.6087,0.25761),(3775,6125,2.6089,0.25178),(3775,6135,2.6091,0.24595),(3775,6145,2.6093,0.24012),(3775,6155,2.6095,0.23429),(3775,6165,2.6096,0.22851),(3775,6175,2.6097,0.22279),(3775,6185,2.6098,0.21707),(3775,6195,2.6099,0.21138),(3775,6205,2.61,0.20579),(3775,6215,2.61,0.2002),(3775,6225,2.61,0.19461),(3775,6235,2.6101,0.18913),(3775,6245,2.61,0.18365),(3775,6255,2.61,0.17817),(3775,6265,2.6099,0.17278),(3775,6275,2.6099,0.16741),(3775,6285,2.6098,0.16205),(3775,6295,2.6097,0.15676),(3775,6305,2.6096,0.1515),(3775,6315,2.6094,0.14625),(3775,6325,2.6093,0.14107),(3775,6335,2.6091,0.13598),(3775,6345,2.6089,0.13088),(3775,6355,2.6087,0.12584),(3775,6365,2.6085,0.12091),(3775,6375,2.6083,0.11598),(3775,6385,2.6081,0.11107),(3775,6395,2.6079,0.10624),(3775,6405,2.6077,0.10141),(3775,6415,2.6075,0.096588),(3775,6425,2.6072,0.091827),(3775,6435,2.607,0.087069),(3775,6445,2.6068,0.08231),(3775,6455,2.6066,0.077656),(3775,6465,2.6064,0.073032),(3775,6475,2.6062,0.068408),(3775,6485,2.606,0.063825),(3775,6495,2.6058,0.05927),(3775,6505,2.6057,0.054715),(3775,6515,2.6055,0.050176),(3775,6525,2.6054,0.045659),(3775,6535,2.6053,0.041142),(3775,6545,2.6052,0.036639),(3775,6555,2.6051,0.032177),(3775,6565,2.6051,0.027714),(3775,6575,2.605,0.023257),(3775,6585,2.605,0.018879),(3775,6595,2.2157,0.0145),(3775,6605,1.3965,0.010122),(3775,6615,0.57743,0.009621),(3775,6625,0.001614,0.00962),(3775,6635,0.001615,0.009618),(3775,6645,0.001615,0.009615),(3775,6655,0.001615,0.009611),(3775,6665,0.001616,0.009607),(3775,6675,0.001616,0.009603),(3775,6685,0.001617,0.009599),(3775,6695,0.001618,0.009595),(3775,6705,0.001618,0.009591),(3775,6715,0.001619,0.009586),(3775,6725,0.00162,0.009581),(3775,6735,0.001621,0.009576),(3775,6745,0.001622,0.009571),(3775,6755,0.001623,0.009566),(3775,6765,0.001623,0.009561),(3775,6775,0.001624,0.009556),(3775,6785,0.001625,0.00955),(3775,6795,0.001626,0.009545),(3775,6805,0.001627,0.009539),(3775,6815,0.001628,0.009533),(3775,6825,0.001629,0.009527),(3775,6835,0.00163,0.009521),(3775,6845,0.001631,0.009514),(3775,6855,0.001632,0.009508),(3775,6865,0.001633,0.009502),(3775,6875,0.001634,0.009495),(3775,6885,0.001635,0.009489),(3775,6895,0.001636,0.009482),(3775,6905,0.001637,0.009475),(3775,6915,0.001638,0.009468),(3775,6925,0.001639,0.009461),(3775,6935,0.00164,0.009454),(3775,6945,0.001641,0.009447),(3775,6955,0.001642,0.00944),(3775,6965,0.001643,0.009432),(3775,6975,0.001644,0.009425),(3775,6985,0.001644,0.009418),(3785,5,9e-06,2.3009),(3785,15,2.8e-05,2.3009),(3785,25,4.7e-05,2.3009),(3785,35,6.5e-05,2.3009),(3785,45,8.4e-05,2.3009),(3785,55,0.000102,2.3009),(3785,65,0.000121,2.3009),(3785,75,0.000139,2.3009),(3785,85,0.000157,2.3009),(3785,95,0.000174,2.3009),(3785,105,0.000192,2.3008),(3785,115,0.000209,2.3008),(3785,125,0.000226,2.3008),(3785,135,0.000243,2.3008),(3785,145,0.000259,2.3008),(3785,155,0.000275,2.3008),(3785,165,0.000291,2.3008),(3785,175,0.000307,2.3008),(3785,185,0.000321,2.3007),(3785,195,0.000335,2.3007),(3785,205,0.000349,2.3007),(3785,215,0.000364,2.3007),(3785,225,0.000376,2.3007),(3785,235,0.000388,2.3006),(3785,245,0.0004,2.3006),(3785,255,0.000413,2.3006),(3785,265,0.000423,2.3006),(3785,275,0.000432,2.3005),(3785,285,0.000442,2.3005),(3785,295,0.000451,2.3005),(3785,305,0.000458,2.3005),(3785,315,0.000464,2.3004),(3785,325,0.000471,2.3004),(3785,335,0.000477,2.3004),(3785,345,0.00048,2.3003),(3785,355,0.000482,2.3003),(3785,365,0.000484,2.3003),(3785,375,0.000487,2.3002),(3785,385,0.000485,2.3002),(3785,395,0.000483,2.3002),(3785,405,0.00048,2.3001),(3785,415,0.000478,2.3001),(3785,425,0.000471,2.3),(3785,435,0.000464,2.3),(3785,445,0.000456,2.2999),(3785,455,0.000449,2.2999),(3785,465,0.000435,2.2998),(3785,475,0.000422,2.2998),(3785,485,0.000408,2.2997),(3785,495,0.000395,2.2997),(3785,505,0.000374,2.2996),(3785,515,0.000353,2.2996),(3785,525,0.000332,2.2995),(3785,535,0.000311,2.2995),(3785,545,0.000281,2.2994),(3785,555,0.000252,2.2994),(3785,565,0.000222,2.2993),(3785,575,0.000192,2.2992),(3785,585,0.000153,2.2992),(3785,595,0.000114,2.2991),(3785,605,7.5e-05,2.299),(3785,615,3.4e-05,2.299),(3785,625,-1.6e-05,2.2989),(3785,635,-6.6e-05,2.2988),(3785,645,-0.000117,2.2988),(3785,655,-0.000169,2.2987),(3785,665,-0.000233,2.2986),(3785,675,-0.000296,2.2985),(3785,685,-0.00036,2.2985),(3785,695,-0.000426,2.2984),(3785,705,-0.000504,2.2983),(3785,715,-0.000583,2.2982),(3785,725,-0.000661,2.2981),(3785,735,-0.000743,2.2981),(3785,745,-0.000838,2.298),(3785,755,-0.000933,2.2979),(3785,765,-0.001029,2.2978),(3785,775,-0.001129,2.2977),(3785,785,-0.001243,2.2976),(3785,795,-0.001357,2.2975),(3785,805,-0.001471,2.2975),(3785,815,-0.001592,2.2974),(3785,825,-0.001728,2.2973),(3785,835,-0.001863,2.2972),(3785,845,-0.001999,2.2971),(3785,855,-0.002143,2.297),(3785,865,-0.002302,2.2969),(3785,875,-0.002462,2.2968),(3785,885,-0.002621,2.2967),(3785,895,-0.002791,2.2966),(3785,905,-0.002976,2.2966),(3785,915,-0.003162,2.2965),(3785,925,-0.003348,2.2964),(3785,935,-0.003546,2.2963),(3785,945,-0.00376,2.2962),(3785,955,-0.003975,2.2961),(3785,965,-0.004189,2.2961),(3785,975,-0.004418,2.296),(3785,985,-0.004663,2.2959),(3785,995,-0.004908,2.2958),(3785,1005,-0.005153,2.2958),(3785,1015,-0.005414,2.2957),(3785,1025,-0.005692,2.2956),(3785,1035,-0.005969,2.2956),(3785,1045,-0.006247,2.2955),(3785,1055,-0.006543,2.2955),(3785,1065,-0.006854,2.2954),(3785,1075,-0.007165,2.2954),(3785,1085,-0.007476,2.2953),(3785,1095,-0.007807,2.2953),(3785,1105,-0.008153,2.2953),(3785,1115,-0.008498,2.2952),(3785,1125,-0.008843,2.2952),(3785,1135,-0.009209,2.2952),(3785,1145,-0.009589,2.2952),(3785,1155,-0.009968,2.2952),(3785,1165,-0.010347,2.2952),(3785,1175,-0.010748,2.2952),(3785,1185,-0.01116,2.2953),(3785,1195,-0.011572,2.2953),(3785,1205,-0.011984,2.2954),(3785,1215,-0.012417,2.2954),(3785,1225,-0.01286,2.2955),(3785,1235,-0.013302,2.2955),(3785,1245,-0.013745,2.2956),(3785,1255,-0.014208,2.2957),(3785,1265,-0.014678,2.2958),(3785,1275,-0.015148,2.2959),(3785,1285,-0.015617,2.2961),(3785,1295,-0.016106,2.2962),(3785,1305,-0.0166,2.2963),(3785,1315,-0.017093,2.2965),(3785,1325,-0.017587,2.2967),(3785,1335,-0.018097,2.2969),(3785,1345,-0.01861,2.297),(3785,1355,-0.019123,2.2972),(3785,1365,-0.019636,2.2975),(3785,1375,-0.020162,2.2977),(3785,1385,-0.02069,2.2979),(3785,1395,-0.021219,2.2982),(3785,1405,-0.021747,2.2984),(3785,1415,-0.022286,2.2987),(3785,1425,-0.022826,2.299),(3785,1435,-0.023366,2.2993),(3785,1445,-0.023906,2.2996),(3785,1455,-0.024454,2.2999),(3785,1465,-0.025002,2.3002),(3785,1475,-0.025551,2.3006),(3785,1485,-0.0261,2.3009),(3785,1495,-0.026655,2.3013),(3785,1505,-0.027211,2.3016),(3785,1515,-0.027766,2.302),(3785,1525,-0.028322,2.3024),(3785,1535,-0.028884,2.3028),(3785,1545,-0.029445,2.3032),(3785,1555,-0.030007,2.3036),(3785,1565,-0.030569,2.304),(3785,1575,-0.031138,2.3044),(3785,1585,-0.031707,2.3048),(3785,1595,-0.032276,2.3053),(3785,1605,-0.032846,2.3057),(3785,1615,-0.033425,2.3062),(3785,1625,-0.034004,2.3066),(3785,1635,-0.034583,2.3071),(3785,1645,-0.035164,2.3075),(3785,1655,-0.035757,2.308),(3785,1665,-0.03635,2.3085),(3785,1675,-0.036943,2.309),(3785,1685,-0.03754,2.3094),(3785,1695,-0.038153,2.3099),(3785,1705,-0.038766,2.3104),(3785,1715,-0.039379,2.3109),(3785,1725,-0.039998,2.3114),(3785,1735,-0.040638,2.3119),(3785,1745,-0.041277,2.3124),(3785,1755,-0.041917,2.3129),(3785,1765,-0.042566,2.3134),(3785,1775,-0.043241,2.314),(3785,1785,-0.043916,2.3145),(3785,1795,-0.044591,2.315),(3785,1805,-0.04528,2.3155),(3785,1815,-0.046,2.316),(3785,1825,-0.046721,2.3165),(3785,1835,-0.047441,2.3171),(3785,1845,-0.048181,2.3176),(3785,1855,-0.048959,2.3181),(3785,1865,-0.049737,2.3186),(3785,1875,-0.050514,2.3192),(3785,1885,-0.051319,2.3197),(3785,1895,-0.052167,2.3202),(3785,1905,-0.053015,2.3208),(3785,1915,-0.053863,2.3213),(3785,1925,-0.054748,2.3218),(3785,1935,-0.055682,2.3224),(3785,1945,-0.056616,2.3229),(3785,1955,-0.05755,2.3234),(3785,1965,-0.058533,2.324),(3785,1975,-0.059571,2.3245),(3785,1985,-0.06061,2.325),(3785,1995,-0.061648,2.3256),(3785,2005,-0.06275,2.3261),(3785,2015,-0.063914,2.3266),(3785,2025,-0.065078,2.3272),(3785,2035,-0.066243,2.3277),(3785,2045,-0.067489,2.3283),(3785,2055,-0.068804,2.3288),(3785,2065,-0.070119,2.3294),(3785,2075,-0.071435,2.3299),(3785,2085,-0.072855,2.3305),(3785,2095,-0.074352,2.331),(3785,2105,-0.075849,2.3316),(3785,2115,-0.077346,2.3321),(3785,2125,-0.078977,2.3327),(3785,2135,-0.080692,2.3332),(3785,2145,-0.082407,2.3338),(3785,2155,-0.084121,2.3344),(3785,2165,-0.086009,2.3349),(3785,2175,-0.087986,2.3355),(3785,2185,-0.089964,2.3361),(3785,2195,-0.091941,2.3367),(3785,2205,-0.094141,2.3372),(3785,2215,-0.096436,2.3378),(3785,2225,-0.098732,2.3384),(3785,2235,-0.10103,2.339),(3785,2245,-0.10361,2.3397),(3785,2255,-0.10629,2.3403),(3785,2265,-0.10897,2.3409),(3785,2275,-0.11166,2.3416),(3785,2285,-0.11471,2.3422),(3785,2295,-0.11787,2.3428),(3785,2305,-0.12102,2.3435),(3785,2315,-0.12418,2.3442),(3785,2325,-0.12782,2.3449),(3785,2335,-0.13157,2.3456),(3785,2345,-0.13532,2.3464),(3785,2355,-0.13906,2.3472),(3785,2365,-0.14344,2.348),(3785,2375,-0.14792,2.3487),(3785,2385,-0.15241,2.3496),(3785,2395,-0.15689,2.3505),(3785,2405,-0.16222,2.3514),(3785,2415,-0.16764,2.3523),(3785,2425,-0.17306,2.3533),(3785,2435,-0.17848,2.3544),(3785,2445,-0.18504,2.3554),(3785,2455,-0.19167,2.3565),(3785,2465,-0.1983,2.3578),(3785,2475,-0.20494,2.3591),(3785,2485,-0.21313,2.3603),(3785,2495,-0.22136,2.3616),(3785,2505,-0.22959,2.3633),(3785,2515,-0.23786,2.365),(3785,2525,-0.24825,2.3667),(3785,2535,-0.25865,2.3684),(3785,2545,-0.26904,2.3706),(3785,2555,-0.27961,2.3729),(3785,2565,-0.29303,2.3752),(3785,2575,-0.30646,2.3775),(3785,2585,-0.31988,2.3808),(3785,2595,-0.33372,2.384),(3785,2605,-0.35157,2.3873),(3785,2615,-0.36941,2.3908),(3785,2625,-0.38725,2.3957),(3785,2635,-0.406,2.4007),(3785,2645,-0.43064,2.4057),(3785,2655,-0.45528,2.4112),(3785,2665,-0.47992,2.4194),(3785,2675,-0.50652,2.4275),(3785,2685,-0.54243,2.4357),(3785,2695,-0.57834,2.4451),(3785,2705,-0.61425,2.4597),(3785,2715,-0.65557,2.4742),(3785,2725,-0.71688,2.4887),(3785,2735,-0.77819,2.5063),(3785,2745,-0.8395,2.5342),(3785,2755,-0.86685,2.5621),(3785,2765,-0.79364,2.59),(3785,2775,-0.72042,2.6143),(3785,2785,-0.64721,2.6289),(3785,2795,-0.57891,2.6435),(3785,2805,-0.52254,2.6582),(3785,2815,-0.46617,2.6707),(3785,2825,-0.4098,2.6786),(3785,2835,-0.35729,2.6864),(3785,2845,-0.31256,2.6943),(3785,2855,-0.26783,2.7009),(3785,2865,-0.2231,2.7051),(3785,2875,-0.18093,2.7093),(3785,2885,-0.1431,2.7135),(3785,2895,-0.10528,2.7168),(3785,2905,-0.067448,2.7188),(3785,2915,-0.031391,2.7209),(3785,2925,0.002129,2.7229),(3785,2935,0.035649,2.7243),(3785,2945,0.069169,2.7249),(3785,2955,0.10145,2.7255),(3785,2965,0.13223,2.7261),(3785,2975,0.16301,2.7263),(3785,2985,0.19379,2.7259),(3785,2995,0.22372,2.7255),(3785,3005,0.25278,2.7251),(3785,3015,0.28184,2.7243),(3785,3025,0.3109,2.7231),(3785,3035,0.33944,2.722),(3785,3045,0.36752,2.7208),(3785,3055,0.39559,2.7193),(3785,3065,0.42366,2.7174),(3785,3075,0.45149,2.7156),(3785,3085,0.47914,2.7138),(3785,3095,0.50679,2.7116),(3785,3105,0.53444,2.7092),(3785,3115,0.56213,2.7067),(3785,3125,0.58983,2.7043),(3785,3135,0.61753,2.7015),(3785,3145,0.64523,2.6986),(3785,3155,0.67326,2.6956),(3785,3165,0.70145,2.6926),(3785,3175,0.72965,2.6892),(3785,3185,0.75785,2.6856),(3785,3195,0.7867,2.6821),(3785,3205,0.81584,2.6785),(3785,3215,0.84498,2.6745),(3785,3225,0.87412,2.6704),(3785,3235,0.9043,2.6662),(3785,3245,0.93488,2.662),(3785,3255,0.96545,2.6574),(3785,3265,0.99603,2.6526),(3785,3275,1.0282,2.6477),(3785,3285,1.0607,2.6429),(3785,3295,1.0933,2.6375),(3785,3305,1.1259,2.6319),(3785,3315,1.1607,2.6263),(3785,3325,1.1961,2.6207),(3785,3335,1.2314,2.6143),(3785,3345,1.2667,2.6078),(3785,3355,1.3052,2.6012),(3785,3365,1.3442,2.5947),(3785,3375,1.3832,2.5871),(3785,3385,1.4223,2.5794),(3785,3395,1.4657,2.5716),(3785,3405,1.5098,2.5639),(3785,3415,1.5538,2.5547),(3785,3425,1.5979,2.5453),(3785,3435,1.6483,2.5359),(3785,3445,1.6993,2.5265),(3785,3455,1.7503,2.5149),(3785,3465,1.8012,2.5032),(3785,3475,1.8617,2.4914),(3785,3485,1.9224,2.4797),(3785,3495,1.9832,2.4644),(3785,3505,2.0441,2.4491),(3785,3515,2.1192,2.4338),(3785,3525,2.1944,2.4183),(3785,3535,2.2695,2.3972),(3785,3545,2.3457,2.376),(3785,3555,2.4429,2.3549),(3785,3565,2.5401,2.3331),(3785,3575,2.6372,2.3023),(3785,3585,2.7374,2.2715),(3785,3595,2.8702,2.2407),(3785,3605,3.003,2.2082),(3785,3615,3.1358,2.1612),(3785,3625,3.2558,2.1142),(3785,3635,3.2848,2.0673),(3785,3645,3.3137,2.0196),(3785,3655,3.3427,1.9682),(3785,3665,3.3249,1.9167),(3785,3675,3.0681,1.8652),(3785,3685,2.8112,1.8195),(3785,3695,2.5543,1.7992),(3785,3705,2.3348,1.779),(3785,3715,2.2619,1.7588),(3785,3725,2.189,1.7398),(3785,3735,2.1161,1.7253),(3785,3745,2.0465,1.7108),(3785,3755,1.9868,1.6963),(3785,3765,1.9271,1.6827),(3785,3775,1.8675,1.6716),(3785,3785,1.8105,1.6605),(3785,3795,1.7603,1.6494),(3785,3805,1.7102,1.6391),(3785,3815,1.66,1.6304),(3785,3825,1.6121,1.6217),(3785,3835,1.569,1.613),(3785,3845,1.5258,1.6049),(3785,3855,1.4826,1.5981),(3785,3865,1.4414,1.5913),(3785,3875,1.4034,1.5844),(3785,3885,1.3655,1.5782),(3785,3895,1.3275,1.5729),(3785,3905,1.2912,1.5676),(3785,3915,1.2572,1.5623),(3785,3925,1.2232,1.5576),(3785,3935,1.1891,1.5537),(3785,3945,1.1564,1.5498),(3785,3955,1.1254,1.5459),(3785,3965,1.0943,1.5426),(3785,3975,1.0633,1.5399),(3785,3985,1.0333,1.5373),(3785,3995,1.0044,1.5346),(3785,4005,0.97556,1.5325),(3785,4015,0.94669,1.531),(3785,4025,1.2693,1.5294),(3785,4035,1.6264,1.5254),(3785,4045,1.9834,1.5161),(3785,4055,2.2382,1.5068),(3785,4065,2.4556,1.4969),(3785,4075,2.673,1.4828),(3785,4085,2.766,1.4688),(3785,4095,2.7591,1.4547),(3785,4105,2.7522,1.4412),(3785,4115,2.6582,1.4276),(3785,4125,2.4196,1.4141),(3785,4135,2.181,1.4046),(3785,4145,1.9397,1.3962),(3785,4155,1.6873,1.3878),(3785,4165,1.4349,1.3828),(3785,4175,1.1966,1.3801),(3785,4185,1.652,1.3774),(3785,4195,2.1074,1.3705),(3785,4205,2.5629,1.3581),(3785,4215,2.6303,1.3457),(3785,4225,2.6247,1.3333),(3785,4235,2.6191,1.321),(3785,4245,2.6014,1.3087),(3785,4255,2.5775,1.2963),(3785,4265,2.5537,1.2817),(3785,4275,2.2429,1.2672),(3785,4285,1.6277,1.2526),(3785,4295,1.0124,1.2514),(3785,4305,0.75024,1.2517),(3785,4315,1.2852,1.252),(3785,4325,1.8201,1.2446),(3785,4335,2.2953,1.2341),(3785,4345,2.3663,1.2236),(3785,4355,2.4374,1.2123),(3785,4365,2.5084,1.2004),(3785,4375,2.5097,1.1884),(3785,4385,2.5074,1.1766),(3785,4395,2.505,1.1651),(3785,4405,2.1952,1.1536),(3785,4415,1.7947,1.1435),(3785,4425,1.3942,1.1392),(3785,4435,1.2224,1.135),(3785,4445,1.2068,1.1308),(3785,4455,1.1912,1.1269),(3785,4465,1.3459,1.123),(3785,4475,1.7397,1.1192),(3785,4485,2.1336,1.1094),(3785,4495,2.4335,1.0983),(3785,4505,2.432,1.0873),(3785,4515,2.4305,1.0764),(3785,4525,2.4242,1.0656),(3785,4535,2.3424,1.0548),(3785,4545,2.2606,1.0446),(3785,4555,2.1788,1.0351),(3785,4565,1.66,1.0257),(3785,4575,1.0822,1.0191),(3785,4585,0.5044,1.0194),(3785,4595,0.77037,1.0198),(3785,4605,1.3928,1.0186),(3785,4615,2.0153,1.0058),(3785,4625,2.319,0.99301),(3785,4635,2.3339,0.98022),(3785,4645,2.3488,0.96941),(3785,4655,2.3587,0.95873),(3785,4665,2.359,0.94805),(3785,4675,2.3593,0.93762),(3785,4685,2.2774,0.92726),(3785,4695,1.7895,0.9169),(3785,4705,1.3016,0.91113),(3785,4715,0.81373,0.90869),(3785,4725,1.0405,0.90626),(3785,4735,1.2743,0.90235),(3785,4745,1.5082,0.89624),(3785,4755,1.7482,0.89013),(3785,4765,1.9896,0.88314),(3785,4775,2.231,0.87306),(3785,4785,2.3195,0.86298),(3785,4795,2.3194,0.85291),(3785,4805,2.3194,0.84286),(3785,4815,2.2072,0.83281),(3785,4825,1.9608,0.82276),(3785,4835,1.7144,0.81609),(3785,4845,1.4649,0.80995),(3785,4855,1.2071,0.80381),(3785,4865,0.94922,0.80056),(3785,4875,0.76614,0.79862),(3785,4885,1.2632,0.79668),(3785,4895,1.7602,0.79088),(3785,4905,2.2572,0.78139),(3785,4915,2.2965,0.77189),(3785,4925,2.2964,0.76244),(3785,4935,2.2964,0.75308),(3785,4945,2.2903,0.74373),(3785,4955,2.2822,0.73422),(3785,4965,2.274,0.72382),(3785,4975,1.8966,0.71343),(3785,4985,1.2343,0.70304),(3785,4995,0.57192,0.70318),(3785,5005,0.35818,0.70359),(3785,5015,0.85767,0.704),(3785,5025,1.3572,0.69879),(3785,5035,1.7874,0.69216),(3785,5045,1.9539,0.68553),(3785,5055,2.1205,0.67745),(3785,5065,2.2821,0.66847),(3785,5075,2.2824,0.6595),(3785,5085,2.2827,0.6506),(3785,5095,2.2831,0.64178),(3785,5105,1.994,0.63297),(3785,5115,1.6544,0.62536),(3785,5125,1.3148,0.62115),(3785,5135,1.1425,0.61694),(3785,5145,1.0514,0.61285),(3785,5155,0.96031,0.61006),(3785,5165,1.1278,0.60727),(3785,5175,1.5589,0.60448),(3785,5185,1.99,0.59699),(3785,5195,2.2845,0.589),(3785,5205,2.2844,0.58102),(3785,5215,2.2843,0.57314),(3785,5225,2.2724,0.56528),(3785,5235,2.187,0.55743),(3785,5245,2.1017,0.55016),(3785,5255,2.0164,0.54338),(3785,5265,1.4194,0.53659),(3785,5275,0.8013,0.53239),(3785,5285,0.1832,0.53259),(3785,5295,0.59228,0.53278),(3785,5305,1.2874,0.53159),(3785,5315,1.9826,0.52459),(3785,5325,2.2598,0.51759),(3785,5335,2.2631,0.5106),(3785,5345,2.2664,0.50434),(3785,5355,2.268,0.49807),(3785,5365,2.2672,0.49181),(3785,5375,2.2665,0.48563),(3785,5385,2.1362,0.47947),(3785,5395,1.6124,0.47331),(3785,5405,1.0885,0.47028),(3785,5415,0.62006,0.46887),(3785,5425,0.89563,0.46747),(3785,5435,1.1712,0.4659),(3785,5445,1.4468,0.46416),(3785,5455,1.7177,0.46241),(3785,5465,1.9881,0.46031),(3785,5475,2.2585,0.45737),(3785,5485,2.3346,0.45444),(3785,5495,2.3325,0.45151),(3785,5505,2.3304,0.44861),(3785,5515,2.3284,0.44571),(3785,5525,2.3264,0.44281),(3785,5535,2.3245,0.43991),(3785,5545,2.3226,0.43701),(3785,5555,2.3207,0.43412),(3785,5565,2.3188,0.43122),(3785,5575,2.317,0.42833),(3785,5585,2.3152,0.42543),(3785,5595,2.3134,0.42253),(3785,5605,2.3117,0.41962),(3785,5615,2.31,0.4167),(3785,5625,2.3083,0.41378),(3785,5635,2.3067,0.41085),(3785,5645,2.305,0.40791),(3785,5655,2.3035,0.40496),(3785,5665,2.3019,0.402),(3785,5675,2.3003,0.39903),(3785,5685,2.2988,0.39606),(3785,5695,2.2973,0.39305),(3785,5705,2.2958,0.39005),(3785,5715,2.2943,0.38704),(3785,5725,2.2929,0.38401),(3785,5735,2.2914,0.38098),(3785,5745,2.29,0.37794),(3785,5755,2.2886,0.37488),(3785,5765,2.2872,0.37181),(3785,5775,2.2859,0.36873),(3785,5785,2.2845,0.36564),(3785,5795,2.2831,0.36253),(3785,5805,2.2818,0.35942),(3785,5815,2.2804,0.35631),(3785,5825,2.2791,0.35317),(3785,5835,2.2777,0.35004),(3785,5845,2.2764,0.34691),(3785,5855,2.275,0.34376),(3785,5865,2.2737,0.34062),(3785,5875,2.2723,0.33747),(3785,5885,2.271,0.33432),(3785,5895,2.2696,0.33117),(3785,5905,2.2683,0.32802),(3785,5915,2.2669,0.32488),(3785,5925,2.2655,0.32173),(3785,5935,2.2642,0.31858),(3785,5945,2.2628,0.31543),(3785,5955,2.2614,0.31229),(3785,5965,2.26,0.30915),(3785,5975,2.2586,0.30601),(3785,5985,2.2573,0.30288),(3785,5995,1.7254,0.29974),(3785,6005,1.1081,0.29736),(3785,6015,0.49083,0.29701),(3785,6025,0.65294,0.29666),(3785,6035,1.1765,0.29593),(3785,6045,1.7001,0.29154),(3785,6055,2.0623,0.28715),(3785,6065,2.2663,0.28276),(3785,6075,2.4702,0.27706),(3785,6085,2.6076,0.27124),(3785,6095,2.6079,0.26542),(3785,6105,2.6081,0.25962),(3785,6115,2.6083,0.25383),(3785,6125,2.6085,0.24804),(3785,6135,2.6086,0.24226),(3785,6145,2.6088,0.23648),(3785,6155,2.6089,0.23071),(3785,6165,2.6091,0.22497),(3785,6175,2.6092,0.2193),(3785,6185,2.6092,0.21363),(3785,6195,2.6093,0.20799),(3785,6205,2.6093,0.20245),(3785,6215,2.6093,0.19691),(3785,6225,2.6093,0.19138),(3785,6235,2.6093,0.18595),(3785,6245,2.6092,0.18052),(3785,6255,2.6092,0.1751),(3785,6265,2.6091,0.16977),(3785,6275,2.609,0.16447),(3785,6285,2.6088,0.15916),(3785,6295,2.6087,0.15394),(3785,6305,2.6086,0.14875),(3785,6315,2.6084,0.14356),(3785,6325,2.6082,0.13846),(3785,6335,2.608,0.13343),(3785,6345,2.6078,0.1284),(3785,6355,2.6075,0.12343),(3785,6365,2.6073,0.11858),(3785,6375,2.6071,0.11373),(3785,6385,2.6068,0.10889),(3785,6395,2.6066,0.10415),(3785,6405,2.6063,0.09941),(3785,6415,2.6061,0.09467),(3785,6425,2.6058,0.089998),(3785,6435,2.6056,0.085329),(3785,6445,2.6053,0.08066),(3785,6455,2.6051,0.076101),(3785,6465,2.6048,0.071573),(3785,6475,2.6046,0.067044),(3785,6485,2.6044,0.062562),(3785,6495,2.6042,0.05811),(3785,6505,2.604,0.053658),(3785,6515,2.6039,0.049222),(3785,6525,2.6037,0.04481),(3785,6535,2.6036,0.040398),(3785,6545,2.6035,0.035999),(3785,6555,2.6034,0.031642),(3785,6565,2.6033,0.027284),(3785,6575,2.6033,0.022932),(3785,6585,2.6032,0.018654),(3785,6595,2.2142,0.014376),(3785,6605,1.3956,0.010098),(3785,6615,0.57705,0.009612),(3785,6625,0.001614,0.009615),(3785,6635,0.001614,0.009617),(3785,6645,0.001615,0.009615),(3785,6655,0.001615,0.009611),(3785,6665,0.001616,0.009608),(3785,6675,0.001616,0.009604),(3785,6685,0.001617,0.0096),(3785,6695,0.001618,0.009596),(3785,6705,0.001619,0.009591),(3785,6715,0.00162,0.009587),(3785,6725,0.001621,0.009582),(3785,6735,0.001622,0.009577),(3785,6745,0.001623,0.009572),(3785,6755,0.001624,0.009567),(3785,6765,0.001625,0.009562),(3785,6775,0.001626,0.009557),(3785,6785,0.001627,0.009551),(3785,6795,0.001628,0.009546),(3785,6805,0.001629,0.00954),(3785,6815,0.00163,0.009534),(3785,6825,0.001631,0.009528),(3785,6835,0.001633,0.009522),(3785,6845,0.001634,0.009515),(3785,6855,0.001635,0.009509),(3785,6865,0.001636,0.009503),(3785,6875,0.001637,0.009496),(3785,6885,0.001638,0.00949),(3785,6895,0.001639,0.009483),(3785,6905,0.00164,0.009476),(3785,6915,0.001641,0.009469),(3785,6925,0.001642,0.009462),(3785,6935,0.001643,0.009455),(3785,6945,0.001644,0.009448),(3785,6955,0.001645,0.009441),(3785,6965,0.001646,0.009433),(3785,6975,0.001647,0.009426),(3785,6985,0.001648,0.009419),(3795,5,1e-05,2.124),(3795,15,2.9e-05,2.124),(3795,25,4.9e-05,2.124),(3795,35,6.8e-05,2.124),(3795,45,8.7e-05,2.124),(3795,55,0.000107,2.124),(3795,65,0.000126,2.124),(3795,75,0.000144,2.124),(3795,85,0.000163,2.124),(3795,95,0.000182,2.124),(3795,105,0.0002,2.124),(3795,115,0.000218,2.124),(3795,125,0.000236,2.1239),(3795,135,0.000254,2.1239),(3795,145,0.000271,2.1239),(3795,155,0.000288,2.1239),(3795,165,0.000304,2.1239),(3795,175,0.000321,2.1239),(3795,185,0.000336,2.1239),(3795,195,0.000351,2.1238),(3795,205,0.000366,2.1238),(3795,215,0.000381,2.1238),(3795,225,0.000395,2.1238),(3795,235,0.000408,2.1238),(3795,245,0.000421,2.1237),(3795,255,0.000434,2.1237),(3795,265,0.000445,2.1237),(3795,275,0.000455,2.1237),(3795,285,0.000466,2.1236),(3795,295,0.000476,2.1236),(3795,305,0.000484,2.1236),(3795,315,0.000492,2.1235),(3795,325,0.000499,2.1235),(3795,335,0.000506,2.1235),(3795,345,0.00051,2.1234),(3795,355,0.000514,2.1234),(3795,365,0.000517,2.1234),(3795,375,0.000521,2.1233),(3795,385,0.00052,2.1233),(3795,395,0.000519,2.1232),(3795,405,0.000518,2.1232),(3795,415,0.000517,2.1232),(3795,425,0.000511,2.1231),(3795,435,0.000505,2.1231),(3795,445,0.000498,2.123),(3795,455,0.000492,2.123),(3795,465,0.00048,2.1229),(3795,475,0.000468,2.1229),(3795,485,0.000456,2.1228),(3795,495,0.000443,2.1228),(3795,505,0.000424,2.1227),(3795,515,0.000404,2.1227),(3795,525,0.000385,2.1226),(3795,535,0.000365,2.1225),(3795,545,0.000337,2.1225),(3795,555,0.000309,2.1224),(3795,565,0.000281,2.1224),(3795,575,0.000252,2.1223),(3795,585,0.000214,2.1222),(3795,595,0.000177,2.1222),(3795,605,0.000139,2.1221),(3795,615,0.0001,2.122),(3795,625,5.1e-05,2.1219),(3795,635,2e-06,2.1219),(3795,645,-4.7e-05,2.1218),(3795,655,-9.8e-05,2.1217),(3795,665,-0.00016,2.1216),(3795,675,-0.000222,2.1216),(3795,685,-0.000284,2.1215),(3795,695,-0.000349,2.1214),(3795,705,-0.000426,2.1213),(3795,715,-0.000503,2.1212),(3795,725,-0.00058,2.1211),(3795,735,-0.000661,2.1211),(3795,745,-0.000755,2.121),(3795,755,-0.000848,2.1209),(3795,765,-0.000942,2.1208),(3795,775,-0.001042,2.1207),(3795,785,-0.001155,2.1206),(3795,795,-0.001268,2.1205),(3795,805,-0.001381,2.1204),(3795,815,-0.001501,2.1203),(3795,825,-0.001636,2.1202),(3795,835,-0.001771,2.1201),(3795,845,-0.001906,2.12),(3795,855,-0.002049,2.12),(3795,865,-0.002208,2.1199),(3795,875,-0.002367,2.1198),(3795,885,-0.002526,2.1197),(3795,895,-0.002696,2.1196),(3795,905,-0.002882,2.1195),(3795,915,-0.003068,2.1194),(3795,925,-0.003254,2.1193),(3795,935,-0.003452,2.1192),(3795,945,-0.003668,2.1191),(3795,955,-0.003883,2.119),(3795,965,-0.004098,2.1189),(3795,975,-0.004328,2.1188),(3795,985,-0.004575,2.1188),(3795,995,-0.004822,2.1187),(3795,1005,-0.005069,2.1186),(3795,1015,-0.005332,2.1185),(3795,1025,-0.005613,2.1184),(3795,1035,-0.005893,2.1184),(3795,1045,-0.006173,2.1183),(3795,1055,-0.006472,2.1183),(3795,1065,-0.006787,2.1182),(3795,1075,-0.007102,2.1181),(3795,1085,-0.007417,2.1181),(3795,1095,-0.007753,2.1181),(3795,1105,-0.008103,2.118),(3795,1115,-0.008453,2.118),(3795,1125,-0.008804,2.118),(3795,1135,-0.009176,2.1179),(3795,1145,-0.009561,2.1179),(3795,1155,-0.009947,2.1179),(3795,1165,-0.010332,2.1179),(3795,1175,-0.01074,2.1179),(3795,1185,-0.011159,2.118),(3795,1195,-0.011578,2.118),(3795,1205,-0.011998,2.118),(3795,1215,-0.012439,2.1181),(3795,1225,-0.01289,2.1181),(3795,1235,-0.013341,2.1182),(3795,1245,-0.013792,2.1183),(3795,1255,-0.014264,2.1184),(3795,1265,-0.014743,2.1184),(3795,1275,-0.015222,2.1186),(3795,1285,-0.015701,2.1187),(3795,1295,-0.016199,2.1188),(3795,1305,-0.016702,2.1189),(3795,1315,-0.017206,2.1191),(3795,1325,-0.017709,2.1193),(3795,1335,-0.018228,2.1195),(3795,1345,-0.018751,2.1196),(3795,1355,-0.019274,2.1198),(3795,1365,-0.019797,2.1201),(3795,1375,-0.020334,2.1203),(3795,1385,-0.020872,2.1205),(3795,1395,-0.02141,2.1207),(3795,1405,-0.021948,2.121),(3795,1415,-0.022496,2.1213),(3795,1425,-0.023045,2.1215),(3795,1435,-0.023594,2.1218),(3795,1445,-0.024143,2.1222),(3795,1455,-0.0247,2.1225),(3795,1465,-0.025257,2.1228),(3795,1475,-0.025814,2.1231),(3795,1485,-0.026371,2.1235),(3795,1495,-0.026933,2.1238),(3795,1505,-0.027496,2.1242),(3795,1515,-0.028059,2.1245),(3795,1525,-0.028622,2.1249),(3795,1535,-0.02919,2.1253),(3795,1545,-0.029759,2.1257),(3795,1555,-0.030327,2.1261),(3795,1565,-0.030895,2.1265),(3795,1575,-0.031469,2.1269),(3795,1585,-0.032043,2.1274),(3795,1595,-0.032617,2.1278),(3795,1605,-0.033192,2.1282),(3795,1615,-0.033775,2.1287),(3795,1625,-0.034357,2.1291),(3795,1635,-0.03494,2.1296),(3795,1645,-0.035524,2.1301),(3795,1655,-0.03612,2.1305),(3795,1665,-0.036716,2.131),(3795,1675,-0.037312,2.1315),(3795,1685,-0.037911,2.1319),(3795,1695,-0.038526,2.1324),(3795,1705,-0.03914,2.1329),(3795,1715,-0.039755,2.1334),(3795,1725,-0.040375,2.1339),(3795,1735,-0.041015,2.1344),(3795,1745,-0.041656,2.1349),(3795,1755,-0.042296,2.1354),(3795,1765,-0.042946,2.1359),(3795,1775,-0.043621,2.1364),(3795,1785,-0.044296,2.1369),(3795,1795,-0.044971,2.1374),(3795,1805,-0.045659,2.1379),(3795,1815,-0.046379,2.1384),(3795,1825,-0.047098,2.1389),(3795,1835,-0.047818,2.1394),(3795,1845,-0.048557,2.1399),(3795,1855,-0.049333,2.1404),(3795,1865,-0.050109,2.141),(3795,1875,-0.050885,2.1415),(3795,1885,-0.051688,2.142),(3795,1895,-0.052534,2.1425),(3795,1905,-0.05338,2.143),(3795,1915,-0.054226,2.1435),(3795,1925,-0.055109,2.144),(3795,1935,-0.05604,2.1445),(3795,1945,-0.056972,2.145),(3795,1955,-0.057904,2.1455),(3795,1965,-0.058884,2.1461),(3795,1975,-0.059919,2.1466),(3795,1985,-0.060955,2.1471),(3795,1995,-0.061991,2.1476),(3795,2005,-0.063089,2.1481),(3795,2015,-0.06425,2.1486),(3795,2025,-0.065412,2.1491),(3795,2035,-0.066573,2.1496),(3795,2045,-0.067815,2.1501),(3795,2055,-0.069127,2.1506),(3795,2065,-0.070439,2.1511),(3795,2075,-0.071751,2.1516),(3795,2085,-0.073168,2.1521),(3795,2095,-0.074661,2.1526),(3795,2105,-0.076154,2.1531),(3795,2115,-0.077647,2.1536),(3795,2125,-0.079275,2.1541),(3795,2135,-0.080986,2.1546),(3795,2145,-0.082697,2.1551),(3795,2155,-0.084408,2.1556),(3795,2165,-0.086291,2.1561),(3795,2175,-0.088265,2.1566),(3795,2185,-0.090239,2.1571),(3795,2195,-0.092212,2.1576),(3795,2205,-0.094408,2.1581),(3795,2215,-0.096699,2.1586),(3795,2225,-0.098991,2.1592),(3795,2235,-0.10128,2.1597),(3795,2245,-0.10386,2.1602),(3795,2255,-0.10654,2.1607),(3795,2265,-0.10922,2.1612),(3795,2275,-0.1119,2.1618),(3795,2285,-0.11495,2.1623),(3795,2295,-0.1181,2.1628),(3795,2305,-0.12126,2.1634),(3795,2315,-0.12442,2.1639),(3795,2325,-0.12805,2.1645),(3795,2335,-0.1318,2.165),(3795,2345,-0.13555,2.1656),(3795,2355,-0.13929,2.1662),(3795,2365,-0.14367,2.1668),(3795,2375,-0.14816,2.1674),(3795,2385,-0.15265,2.168),(3795,2395,-0.15713,2.1687),(3795,2405,-0.16246,2.1693),(3795,2415,-0.16789,2.17),(3795,2425,-0.17332,2.1707),(3795,2435,-0.17875,2.1715),(3795,2445,-0.18532,2.1722),(3795,2455,-0.19197,2.173),(3795,2465,-0.19862,2.1738),(3795,2475,-0.20527,2.1747),(3795,2485,-0.21349,2.1756),(3795,2495,-0.22175,2.1765),(3795,2505,-0.23001,2.1777),(3795,2515,-0.23831,2.1788),(3795,2525,-0.24876,2.1799),(3795,2535,-0.25922,2.1811),(3795,2545,-0.26967,2.1826),(3795,2555,-0.28029,2.1841),(3795,2565,-0.29383,2.1856),(3795,2575,-0.30736,2.1872),(3795,2585,-0.32089,2.1893),(3795,2595,-0.33485,2.1915),(3795,2605,-0.3529,2.1937),(3795,2615,-0.37094,2.196),(3795,2625,-0.38899,2.1993),(3795,2635,-0.40797,2.2026),(3795,2645,-0.433,2.2059),(3795,2655,-0.45804,2.2095),(3795,2665,-0.48307,2.2149),(3795,2675,-0.51012,2.2203),(3795,2685,-0.54677,2.2257),(3795,2695,-0.58342,2.2318),(3795,2705,-0.62008,2.2411),(3795,2715,-0.66222,2.2505),(3795,2725,-0.72469,2.2598),(3795,2735,-0.78716,2.2708),(3795,2745,-0.84962,2.287),(3795,2755,-0.87755,2.3033),(3795,2765,-0.80319,2.3196),(3795,2775,-0.72884,2.3339),(3795,2785,-0.65448,2.3432),(3795,2795,-0.58515,2.3525),(3795,2805,-0.52801,2.3618),(3795,2815,-0.47086,2.3698),(3795,2825,-0.41372,2.3747),(3795,2835,-0.36055,2.3797),(3795,2845,-0.31539,2.3847),(3795,2855,-0.27022,2.3888),(3795,2865,-0.22505,2.3913),(3795,2875,-0.18252,2.3938),(3795,2885,-0.14445,2.3963),(3795,2895,-0.10638,2.3981),(3795,2905,-0.06831,2.3991),(3795,2915,-0.03205,2.4),(3795,2925,0.001613,2.401),(3795,2935,0.035276,2.4015),(3795,2945,0.068939,2.4014),(3795,2955,0.10134,2.4014),(3795,2965,0.13221,2.4013),(3795,2975,0.16308,2.4009),(3795,2985,0.19395,2.4001),(3795,2995,0.22396,2.3992),(3795,3005,0.25308,2.3984),(3795,3015,0.28221,2.3973),(3795,3025,0.31133,2.3959),(3795,3035,0.33992,2.3945),(3795,3045,0.36804,2.393),(3795,3055,0.39616,2.3913),(3795,3065,0.42428,2.3894),(3795,3075,0.45216,2.3875),(3795,3085,0.47985,2.3855),(3795,3095,0.50753,2.3833),(3795,3105,0.53522,2.3809),(3795,3115,0.56294,2.3785),(3795,3125,0.59068,2.3761),(3795,3135,0.61842,2.3734),(3795,3145,0.64615,2.3705),(3795,3155,0.67421,2.3677),(3795,3165,0.70244,2.3648),(3795,3175,0.73068,2.3616),(3795,3185,0.75891,2.3583),(3795,3195,0.78779,2.355),(3795,3205,0.81697,2.3517),(3795,3215,0.84614,2.348),(3795,3225,0.87532,2.3442),(3795,3235,0.90555,2.3404),(3795,3245,0.93616,2.3366),(3795,3255,0.96678,2.3324),(3795,3265,0.9974,2.3281),(3795,3275,1.0296,2.3238),(3795,3285,1.0622,2.3194),(3795,3295,1.0949,2.3147),(3795,3305,1.1275,2.3098),(3795,3315,1.1624,2.3048),(3795,3325,1.1978,2.2999),(3795,3335,1.2332,2.2944),(3795,3345,1.2686,2.2888),(3795,3355,1.3071,2.2832),(3795,3365,1.3462,2.2776),(3795,3375,1.3854,2.2712),(3795,3385,1.4245,2.2648),(3795,3395,1.4681,2.2583),(3795,3405,1.5123,2.2518),(3795,3415,1.5565,2.2443),(3795,3425,1.6007,2.2366),(3795,3435,1.6514,2.229),(3795,3445,1.7026,2.2213),(3795,3455,1.7538,2.2121),(3795,3465,1.805,2.2029),(3795,3475,1.8658,2.1936),(3795,3485,1.927,2.1843),(3795,3495,1.9881,2.1726),(3795,3505,2.0494,2.1608),(3795,3515,2.1252,2.1491),(3795,3525,2.201,2.1372),(3795,3535,2.2768,2.1216),(3795,3545,2.3536,2.1059),(3795,3555,2.4519,2.0903),(3795,3565,2.5502,2.0743),(3795,3575,2.6485,2.0524),(3795,3585,2.7498,2.0304),(3795,3595,2.8842,2.0085),(3795,3605,3.0186,1.9856),(3795,3615,3.153,1.9544),(3795,3625,3.2743,1.9231),(3795,3635,3.3035,1.8918),(3795,3645,3.3327,1.8602),(3795,3655,3.3619,1.8269),(3795,3665,3.3439,1.7937),(3795,3675,3.0843,1.7604),(3795,3685,2.8246,1.7303),(3795,3695,2.5649,1.7146),(3795,3705,2.3429,1.6988),(3795,3715,2.2692,1.683),(3795,3725,2.1954,1.6683),(3795,3735,2.1217,1.657),(3795,3745,2.0512,1.6457),(3795,3755,1.9911,1.6345),(3795,3765,1.931,1.6239),(3795,3775,1.8709,1.6152),(3795,3785,1.8136,1.6065),(3795,3795,1.7632,1.5978),(3795,3805,1.7127,1.5896),(3795,3815,1.6623,1.5827),(3795,3825,1.6142,1.5758),(3795,3835,1.5708,1.5688),(3795,3845,1.5274,1.5624),(3795,3855,1.484,1.5568),(3795,3865,1.4425,1.5513),(3795,3875,1.4044,1.5458),(3795,3885,1.3663,1.5407),(3795,3895,1.3281,1.5364),(3795,3905,1.2916,1.5321),(3795,3915,1.2574,1.5278),(3795,3925,1.2232,1.524),(3795,3935,1.189,1.5209),(3795,3945,1.1562,1.5177),(3795,3955,1.1249,1.5145),(3795,3965,1.0937,1.5119),(3795,3975,1.0625,1.5098),(3795,3985,1.0323,1.5077),(3795,3995,1.0033,1.5056),(3795,4005,0.97423,1.504),(3795,4015,0.94519,1.5028),(3795,4025,1.2691,1.5017),(3795,4035,1.6276,1.498),(3795,4045,1.9861,1.4891),(3795,4055,2.2418,1.4802),(3795,4065,2.4601,1.4707),(3795,4075,2.6784,1.457),(3795,4085,2.7718,1.4433),(3795,4095,2.7647,1.4296),(3795,4105,2.7577,1.4164),(3795,4115,2.6632,1.4032),(3795,4125,2.4237,1.39),(3795,4135,2.1842,1.3807),(3795,4145,1.942,1.3726),(3795,4155,1.6886,1.3644),(3795,4165,1.4351,1.3597),(3795,4175,1.1958,1.3572),(3795,4185,1.6529,1.3546),(3795,4195,2.1101,1.3479),(3795,4205,2.5672,1.3358),(3795,4215,2.6349,1.3236),(3795,4225,2.6293,1.3115),(3795,4235,2.6237,1.2994),(3795,4245,2.6065,1.2874),(3795,4255,2.5834,1.2751),(3795,4265,2.5603,1.2608),(3795,4275,2.2485,1.2464),(3795,4285,1.6305,1.2321),(3795,4295,1.0124,1.2309),(3795,4305,0.7488,1.2312),(3795,4315,1.2855,1.2316),(3795,4325,1.8222,1.2243),(3795,4335,2.2989,1.2141),(3795,4345,2.3702,1.2039),(3795,4355,2.4415,1.1928),(3795,4365,2.5127,1.1811),(3795,4375,2.5139,1.1694),(3795,4385,2.5114,1.1579),(3795,4395,2.5089,1.1467),(3795,4405,2.1983,1.1355),(3795,4415,1.7967,1.1256),(3795,4425,1.3952,1.1215),(3795,4435,1.2229,1.1174),(3795,4445,1.2073,1.1133),(3795,4455,1.1916,1.1094),(3795,4465,1.3467,1.1056),(3795,4475,1.7416,1.1018),(3795,4485,2.1365,1.0921),(3795,4495,2.4372,1.0813),(3795,4505,2.4356,1.0704),(3795,4515,2.4341,1.0597),(3795,4525,2.4277,1.0491),(3795,4535,2.3457,1.0385),(3795,4545,2.2638,1.0284),(3795,4555,2.1818,1.0191),(3795,4565,1.6617,1.0098),(3795,4575,1.0826,1.0034),(3795,4585,0.50349,1.0037),(3795,4595,0.77064,1.0041),(3795,4605,1.3953,1.003),(3795,4615,2.0201,0.99036),(3795,4625,2.3244,0.97773),(3795,4635,2.3387,0.9651),(3795,4645,2.3529,0.95443),(3795,4655,2.3623,0.94388),(3795,4665,2.3625,0.93334),(3795,4675,2.3627,0.92303),(3795,4685,2.2806,0.91279),(3795,4695,1.7916,0.90256),(3795,4705,1.3027,0.89688),(3795,4715,0.81375,0.89452),(3795,4725,1.0409,0.89216),(3795,4735,1.2753,0.88832),(3795,4745,1.5097,0.88227),(3795,4755,1.7502,0.87621),(3795,4765,1.9922,0.86926),(3795,4775,2.2341,0.85922),(3795,4785,2.3227,0.84917),(3795,4795,2.3227,0.83913),(3795,4805,2.3227,0.82912),(3795,4815,2.2102,0.81911),(3795,4825,1.9633,0.8091),(3795,4835,1.7164,0.80248),(3795,4845,1.4663,0.79639),(3795,4855,1.2079,0.7903),(3795,4865,0.94954,0.7871),(3795,4875,0.76604,0.78522),(3795,4885,1.264,0.78334),(3795,4895,1.7619,0.77763),(3795,4905,2.2598,0.76825),(3795,4915,2.2991,0.75887),(3795,4925,2.299,0.74953),(3795,4935,2.2989,0.74029),(3795,4945,2.2931,0.73105),(3795,4955,2.2852,0.72166),(3795,4965,2.2774,0.71142),(3795,4975,1.8994,0.70118),(3795,4985,1.2356,0.69094),(3795,4995,0.57188,0.69111),(3795,5005,0.35757,0.69154),(3795,5015,0.85779,0.69198),(3795,5025,1.358,0.68685),(3795,5035,1.7889,0.6803),(3795,5045,1.9557,0.67375),(3795,5055,2.1225,0.66577),(3795,5065,2.2843,0.6569),(3795,5075,2.2846,0.64803),(3795,5085,2.2848,0.63923),(3795,5095,2.2851,0.63052),(3795,5105,1.9956,0.62181),(3795,5115,1.6556,0.6143),(3795,5125,1.3156,0.61015),(3795,5135,1.143,0.60599),(3795,5145,1.0518,0.60196),(3795,5155,0.96051,0.59922),(3795,5165,1.1281,0.59648),(3795,5175,1.5596,0.59374),(3795,5185,1.9911,0.58635),(3795,5195,2.2858,0.57847),(3795,5205,2.2856,0.57059),(3795,5215,2.2855,0.56281),(3795,5225,2.2735,0.55506),(3795,5235,2.1881,0.54731),(3795,5245,2.1027,0.54014),(3795,5255,2.0173,0.53344),(3795,5265,1.4199,0.52674),(3795,5275,0.80143,0.52261),(3795,5285,0.18294,0.52281),(3795,5295,0.59213,0.52301),(3795,5305,1.2875,0.52185),(3795,5315,1.9829,0.51498),(3795,5325,2.2601,0.50812),(3795,5335,2.2632,0.50126),(3795,5345,2.2663,0.49511),(3795,5355,2.2677,0.48895),(3795,5365,2.2669,0.48279),(3795,5375,2.2661,0.47672),(3795,5385,2.1359,0.47066),(3795,5395,1.612,0.46461),(3795,5405,1.0882,0.46163),(3795,5415,0.61969,0.46026),(3795,5425,0.89461,0.45888),(3795,5435,1.1695,0.45736),(3795,5445,1.4445,0.45569),(3795,5455,1.715,0.45402),(3795,5465,1.985,0.452),(3795,5475,2.2549,0.44918),(3795,5485,2.331,0.44636),(3795,5495,2.3289,0.44354),(3795,5505,2.3268,0.44074),(3795,5515,2.3248,0.43795),(3795,5525,2.3228,0.43515),(3795,5535,2.3209,0.43235),(3795,5545,2.319,0.42955),(3795,5555,2.3171,0.42675),(3795,5565,2.3153,0.42395),(3795,5575,2.3134,0.42115),(3795,5585,2.3117,0.41835),(3795,5595,2.3099,0.41553),(3795,5605,2.3082,0.41271),(3795,5615,2.3065,0.40988),(3795,5625,2.3048,0.40705),(3795,5635,2.3032,0.4042),(3795,5645,2.3016,0.40134),(3795,5655,2.3,0.39848),(3795,5665,2.2984,0.3956),(3795,5675,2.2969,0.39271),(3795,5685,2.2954,0.38982),(3795,5695,2.2939,0.38689),(3795,5705,2.2924,0.38396),(3795,5715,2.291,0.38103),(3795,5725,2.2895,0.37807),(3795,5735,2.2881,0.3751),(3795,5745,2.2867,0.37214),(3795,5755,2.2853,0.36915),(3795,5765,2.2839,0.36615),(3795,5775,2.2826,0.36314),(3795,5785,2.2812,0.36012),(3795,5795,2.2799,0.35708),(3795,5805,2.2785,0.35403),(3795,5815,2.2772,0.35098),(3795,5825,2.2758,0.34792),(3795,5835,2.2745,0.34485),(3795,5845,2.2732,0.34178),(3795,5855,2.2718,0.3387),(3795,5865,2.2705,0.33561),(3795,5875,2.2692,0.33253),(3795,5885,2.2678,0.32945),(3795,5895,2.2665,0.32636),(3795,5905,2.2651,0.32328),(3795,5915,2.2638,0.3202),(3795,5925,2.2624,0.31711),(3795,5935,2.261,0.31403),(3795,5945,2.2597,0.31095),(3795,5955,2.2583,0.30788),(3795,5965,2.2569,0.30481),(3795,5975,2.2555,0.30174),(3795,5985,2.2541,0.29867),(3795,5995,1.723,0.2956),(3795,6005,1.1065,0.29327),(3795,6015,0.49009,0.29293),(3795,6025,0.6525,0.29258),(3795,6035,1.1761,0.29186),(3795,6045,1.6998,0.28749),(3795,6055,2.062,0.28313),(3795,6065,2.2659,0.27876),(3795,6075,2.4699,0.2731),(3795,6085,2.6073,0.26732),(3795,6095,2.6075,0.26154),(3795,6105,2.6077,0.25579),(3795,6115,2.6079,0.25004),(3795,6125,2.608,0.2443),(3795,6135,2.6082,0.23857),(3795,6145,2.6083,0.23284),(3795,6155,2.6084,0.22712),(3795,6165,2.6085,0.22143),(3795,6175,2.6086,0.21581),(3795,6185,2.6086,0.21019),(3795,6195,2.6086,0.2046),(3795,6205,2.6086,0.19911),(3795,6215,2.6086,0.19362),(3795,6225,2.6085,0.18814),(3795,6235,2.6085,0.18277),(3795,6245,2.6084,0.1774),(3795,6255,2.6083,0.17203),(3795,6265,2.6081,0.16677),(3795,6275,2.608,0.16152),(3795,6285,2.6078,0.15628),(3795,6295,2.6077,0.15112),(3795,6305,2.6075,0.146),(3795,6315,2.6073,0.14088),(3795,6325,2.607,0.13584),(3795,6335,2.6068,0.13087),(3795,6345,2.6065,0.12591),(3795,6355,2.6063,0.12101),(3795,6365,2.606,0.11624),(3795,6375,2.6057,0.11147),(3795,6385,2.6054,0.10671),(3795,6395,2.6052,0.10206),(3795,6405,2.6049,0.097405),(3795,6415,2.6046,0.092752),(3795,6425,2.6043,0.088169),(3795,6435,2.604,0.08359),(3795,6445,2.6038,0.07901),(3795,6455,2.6035,0.074545),(3795,6465,2.6032,0.070113),(3795,6475,2.603,0.065681),(3795,6485,2.6027,0.061299),(3795,6495,2.6025,0.05695),(3795,6505,2.6023,0.052601),(3795,6515,2.6021,0.048269),(3795,6525,2.602,0.043962),(3795,6535,2.6018,0.039654),(3795,6545,2.6017,0.03536),(3795,6555,2.6016,0.031107),(3795,6565,2.6015,0.026854),(3795,6575,2.6014,0.022607),(3795,6585,2.6014,0.018429),(3795,6595,2.2126,0.014251),(3795,6605,1.3946,0.010074),(3795,6615,0.57664,0.009604),(3795,6625,0.001613,0.00961),(3795,6635,0.001613,0.009616),(3795,6645,0.001614,0.009616),(3795,6655,0.001615,0.009612),(3795,6665,0.001616,0.009608),(3795,6675,0.001617,0.009604),(3795,6685,0.001617,0.0096),(3795,6695,0.001618,0.009596),(3795,6705,0.001619,0.009592),(3795,6715,0.00162,0.009588),(3795,6725,0.001622,0.009583),(3795,6735,0.001623,0.009578),(3795,6745,0.001624,0.009573),(3795,6755,0.001625,0.009568),(3795,6765,0.001626,0.009563),(3795,6775,0.001627,0.009558),(3795,6785,0.001629,0.009552),(3795,6795,0.00163,0.009547),(3795,6805,0.001631,0.009541),(3795,6815,0.001632,0.009535),(3795,6825,0.001633,0.009529),(3795,6835,0.001635,0.009523),(3795,6845,0.001636,0.009516),(3795,6855,0.001637,0.00951),(3795,6865,0.001638,0.009504),(3795,6875,0.001639,0.009497),(3795,6885,0.001641,0.009491),(3795,6895,0.001642,0.009484),(3795,6905,0.001643,0.009477),(3795,6915,0.001644,0.00947),(3795,6925,0.001645,0.009463),(3795,6935,0.001646,0.009456),(3795,6945,0.001647,0.009449),(3795,6955,0.001648,0.009442),(3795,6965,0.001649,0.009434),(3795,6975,0.00165,0.009427),(3795,6985,0.001651,0.00942),(3805,5,1e-05,1.9471),(3805,15,3e-05,1.9471),(3805,25,5.1e-05,1.9471),(3805,35,7.1e-05,1.9471),(3805,45,9.1e-05,1.9471),(3805,55,0.000111,1.9471),(3805,65,0.000131,1.9471),(3805,75,0.00015,1.9471),(3805,85,0.00017,1.9471),(3805,95,0.000189,1.9471),(3805,105,0.000209,1.9471),(3805,115,0.000227,1.9471),(3805,125,0.000246,1.947),(3805,135,0.000265,1.947),(3805,145,0.000283,1.947),(3805,155,0.0003,1.947),(3805,165,0.000317,1.947),(3805,175,0.000335,1.947),(3805,185,0.000351,1.947),(3805,195,0.000367,1.9469),(3805,205,0.000383,1.9469),(3805,215,0.000399,1.9469),(3805,225,0.000413,1.9469),(3805,235,0.000427,1.9469),(3805,245,0.000441,1.9468),(3805,255,0.000455,1.9468),(3805,265,0.000467,1.9468),(3805,275,0.000479,1.9468),(3805,285,0.00049,1.9467),(3805,295,0.000502,1.9467),(3805,305,0.000511,1.9467),(3805,315,0.000519,1.9466),(3805,325,0.000527,1.9466),(3805,335,0.000536,1.9466),(3805,345,0.000541,1.9465),(3805,355,0.000545,1.9465),(3805,365,0.00055,1.9465),(3805,375,0.000555,1.9464),(3805,385,0.000555,1.9464),(3805,395,0.000555,1.9463),(3805,405,0.000555,1.9463),(3805,415,0.000555,1.9462),(3805,425,0.000551,1.9462),(3805,435,0.000546,1.9462),(3805,445,0.000541,1.9461),(3805,455,0.000536,1.9461),(3805,465,0.000525,1.946),(3805,475,0.000514,1.946),(3805,485,0.000503,1.9459),(3805,495,0.000492,1.9458),(3805,505,0.000474,1.9458),(3805,515,0.000456,1.9457),(3805,525,0.000437,1.9457),(3805,535,0.000419,1.9456),(3805,545,0.000392,1.9455),(3805,555,0.000366,1.9455),(3805,565,0.000339,1.9454),(3805,575,0.000312,1.9453),(3805,585,0.000276,1.9453),(3805,595,0.000239,1.9452),(3805,605,0.000203,1.9451),(3805,615,0.000166,1.9451),(3805,625,0.000118,1.945),(3805,635,7.1e-05,1.9449),(3805,645,2.3e-05,1.9448),(3805,655,-2.7e-05,1.9448),(3805,665,-8.7e-05,1.9447),(3805,675,-0.000148,1.9446),(3805,685,-0.000208,1.9445),(3805,695,-0.000272,1.9444),(3805,705,-0.000347,1.9443),(3805,715,-0.000423,1.9442),(3805,725,-0.000499,1.9442),(3805,735,-0.000578,1.9441),(3805,745,-0.000671,1.944),(3805,755,-0.000764,1.9439),(3805,765,-0.000856,1.9438),(3805,775,-0.000954,1.9437),(3805,785,-0.001066,1.9436),(3805,795,-0.001179,1.9435),(3805,805,-0.001291,1.9434),(3805,815,-0.00141,1.9433),(3805,825,-0.001544,1.9432),(3805,835,-0.001678,1.9431),(3805,845,-0.001812,1.943),(3805,855,-0.001955,1.9429),(3805,865,-0.002114,1.9428),(3805,875,-0.002273,1.9427),(3805,885,-0.002431,1.9426),(3805,895,-0.002601,1.9425),(3805,905,-0.002787,1.9424),(3805,915,-0.002973,1.9423),(3805,925,-0.00316,1.9422),(3805,935,-0.003359,1.9421),(3805,945,-0.003575,1.942),(3805,955,-0.003791,1.9419),(3805,965,-0.004007,1.9418),(3805,975,-0.004239,1.9417),(3805,985,-0.004487,1.9416),(3805,995,-0.004736,1.9415),(3805,1005,-0.004984,1.9414),(3805,1015,-0.00525,1.9413),(3805,1025,-0.005533,1.9413),(3805,1035,-0.005816,1.9412),(3805,1045,-0.006099,1.9411),(3805,1055,-0.006402,1.941),(3805,1065,-0.006721,1.941),(3805,1075,-0.00704,1.9409),(3805,1085,-0.007358,1.9409),(3805,1095,-0.007699,1.9408),(3805,1105,-0.008054,1.9407),(3805,1115,-0.008409,1.9407),(3805,1125,-0.008764,1.9407),(3805,1135,-0.009142,1.9407),(3805,1145,-0.009534,1.9406),(3805,1155,-0.009925,1.9406),(3805,1165,-0.010317,1.9406),(3805,1175,-0.010732,1.9406),(3805,1185,-0.011158,1.9406),(3805,1195,-0.011585,1.9406),(3805,1205,-0.012011,1.9407),(3805,1215,-0.012461,1.9407),(3805,1225,-0.01292,1.9408),(3805,1235,-0.013379,1.9408),(3805,1245,-0.013839,1.9409),(3805,1255,-0.014319,1.941),(3805,1265,-0.014808,1.941),(3805,1275,-0.015296,1.9412),(3805,1285,-0.015784,1.9413),(3805,1295,-0.016292,1.9414),(3805,1305,-0.016805,1.9415),(3805,1315,-0.017318,1.9417),(3805,1325,-0.017831,1.9418),(3805,1335,-0.01836,1.942),(3805,1345,-0.018893,1.9422),(3805,1355,-0.019426,1.9424),(3805,1365,-0.019959,1.9426),(3805,1375,-0.020505,1.9428),(3805,1385,-0.021053,1.943),(3805,1395,-0.021601,1.9433),(3805,1405,-0.022148,1.9435),(3805,1415,-0.022706,1.9438),(3805,1425,-0.023264,1.9441),(3805,1435,-0.023822,1.9444),(3805,1445,-0.02438,1.9447),(3805,1455,-0.024945,1.945),(3805,1465,-0.025511,1.9453),(3805,1475,-0.026076,1.9456),(3805,1485,-0.026642,1.946),(3805,1495,-0.027212,1.9463),(3805,1505,-0.027782,1.9467),(3805,1515,-0.028353,1.9471),(3805,1525,-0.028923,1.9474),(3805,1535,-0.029497,1.9478),(3805,1545,-0.030072,1.9482),(3805,1555,-0.030646,1.9486),(3805,1565,-0.03122,1.949),(3805,1575,-0.0318,1.9494),(3805,1585,-0.032379,1.9499),(3805,1595,-0.032958,1.9503),(3805,1605,-0.033537,1.9507),(3805,1615,-0.034124,1.9512),(3805,1625,-0.03471,1.9516),(3805,1635,-0.035297,1.9521),(3805,1645,-0.035885,1.9525),(3805,1655,-0.036484,1.953),(3805,1665,-0.037082,1.9535),(3805,1675,-0.03768,1.9539),(3805,1685,-0.038282,1.9544),(3805,1695,-0.038898,1.9549),(3805,1705,-0.039514,1.9554),(3805,1715,-0.04013,1.9559),(3805,1725,-0.040752,1.9563),(3805,1735,-0.041393,1.9568),(3805,1745,-0.042034,1.9573),(3805,1755,-0.042676,1.9578),(3805,1765,-0.043326,1.9583),(3805,1775,-0.044,1.9588),(3805,1785,-0.044675,1.9593),(3805,1795,-0.04535,1.9598),(3805,1805,-0.046038,1.9603),(3805,1815,-0.046757,1.9608),(3805,1825,-0.047475,1.9613),(3805,1835,-0.048194,1.9618),(3805,1845,-0.048932,1.9623),(3805,1855,-0.049706,1.9628),(3805,1865,-0.050481,1.9633),(3805,1875,-0.051256,1.9638),(3805,1885,-0.052057,1.9642),(3805,1895,-0.052901,1.9647),(3805,1905,-0.053745,1.9652),(3805,1915,-0.054589,1.9657),(3805,1925,-0.055469,1.9662),(3805,1935,-0.056399,1.9667),(3805,1945,-0.057328,1.9672),(3805,1955,-0.058258,1.9677),(3805,1965,-0.059235,1.9681),(3805,1975,-0.060268,1.9686),(3805,1985,-0.0613,1.9691),(3805,1995,-0.062333,1.9696),(3805,2005,-0.063429,1.9701),(3805,2015,-0.064587,1.9705),(3805,2025,-0.065745,1.971),(3805,2035,-0.066903,1.9715),(3805,2045,-0.068142,1.9719),(3805,2055,-0.06945,1.9724),(3805,2065,-0.070759,1.9729),(3805,2075,-0.072067,1.9733),(3805,2085,-0.073481,1.9738),(3805,2095,-0.07497,1.9742),(3805,2105,-0.076459,1.9747),(3805,2115,-0.077949,1.9751),(3805,2125,-0.079573,1.9756),(3805,2135,-0.08128,1.976),(3805,2145,-0.082987,1.9765),(3805,2155,-0.084694,1.9769),(3805,2165,-0.086574,1.9773),(3805,2175,-0.088544,1.9778),(3805,2185,-0.090513,1.9782),(3805,2195,-0.092483,1.9786),(3805,2205,-0.094675,1.979),(3805,2215,-0.096963,1.9795),(3805,2225,-0.099251,1.9799),(3805,2235,-0.10154,1.9803),(3805,2245,-0.10411,1.9807),(3805,2255,-0.10679,1.9811),(3805,2265,-0.10947,1.9815),(3805,2275,-0.11214,1.982),(3805,2285,-0.11519,1.9824),(3805,2295,-0.11834,1.9828),(3805,2305,-0.1215,1.9832),(3805,2315,-0.12465,1.9836),(3805,2325,-0.12829,1.984),(3805,2335,-0.13203,1.9844),(3805,2345,-0.13578,1.9848),(3805,2355,-0.13952,1.9852),(3805,2365,-0.14391,1.9856),(3805,2375,-0.14839,1.986),(3805,2385,-0.15288,1.9864),(3805,2395,-0.15737,1.9868),(3805,2405,-0.16271,1.9872),(3805,2415,-0.16815,1.9876),(3805,2425,-0.17358,1.9881),(3805,2435,-0.17902,1.9885),(3805,2445,-0.1856,1.989),(3805,2455,-0.19227,1.9894),(3805,2465,-0.19893,1.9899),(3805,2475,-0.2056,1.9904),(3805,2485,-0.21385,1.9908),(3805,2495,-0.22214,1.9913),(3805,2505,-0.23044,1.9919),(3805,2515,-0.23876,1.9925),(3805,2525,-0.24928,1.993),(3805,2535,-0.25979,1.9936),(3805,2545,-0.2703,1.9943),(3805,2555,-0.28098,1.9951),(3805,2565,-0.29462,1.9958),(3805,2575,-0.30826,1.9965),(3805,2585,-0.3219,1.9975),(3805,2595,-0.33598,1.9985),(3805,2605,-0.35423,1.9995),(3805,2615,-0.37248,2.0006),(3805,2625,-0.39073,2.002),(3805,2635,-0.40994,2.0035),(3805,2645,-0.43537,2.005),(3805,2655,-0.46079,2.0066),(3805,2665,-0.48622,2.009),(3805,2675,-0.51372,2.0114),(3805,2685,-0.55111,2.0137),(3805,2695,-0.58851,2.0164),(3805,2705,-0.6259,2.0202),(3805,2715,-0.66888,2.0241),(3805,2725,-0.7325,2.0279),(3805,2735,-0.79612,2.0322),(3805,2745,-0.85974,2.0376),(3805,2755,-0.88824,2.0431),(3805,2765,-0.81275,2.0486),(3805,2775,-0.73725,2.0535),(3805,2785,-0.66175,2.0572),(3805,2795,-0.59139,2.0609),(3805,2805,-0.53348,2.0646),(3805,2815,-0.47556,2.0677),(3805,2825,-0.41764,2.0696),(3805,2835,-0.36381,2.0715),(3805,2845,-0.31821,2.0733),(3805,2855,-0.27261,2.0748),(3805,2865,-0.22701,2.0754),(3805,2875,-0.18412,2.076),(3805,2885,-0.1458,2.0767),(3805,2895,-0.10749,2.077),(3805,2905,-0.069172,2.0768),(3805,2915,-0.03271,2.0766),(3805,2925,0.001097,2.0764),(3805,2935,0.034903,2.076),(3805,2945,0.06871,2.0752),(3805,2955,0.10123,2.0744),(3805,2965,0.13219,2.0736),(3805,2975,0.16315,2.0726),(3805,2985,0.19411,2.0713),(3805,2995,0.2242,2.07),(3805,3005,0.25339,2.0688),(3805,3015,0.28257,2.0673),(3805,3025,0.31176,2.0656),(3805,3035,0.3404,2.0639),(3805,3045,0.36857,2.0623),(3805,3055,0.39674,2.0604),(3805,3065,0.42491,2.0583),(3805,3075,0.45282,2.0563),(3805,3085,0.48055,2.0542),(3805,3095,0.50828,2.052),(3805,3105,0.536,2.0496),(3805,3115,0.56376,2.0472),(3805,3125,0.59153,2.0448),(3805,3135,0.6193,2.0422),(3805,3145,0.64708,2.0394),(3805,3155,0.67517,2.0367),(3805,3165,0.70343,2.034),(3805,3175,0.7317,2.031),(3805,3185,0.75997,2.0279),(3805,3195,0.78888,2.0248),(3805,3205,0.8181,2.0217),(3805,3215,0.84731,2.0184),(3805,3225,0.87653,2.015),(3805,3235,0.90679,2.0115),(3805,3245,0.93745,2.0081),(3805,3255,0.96811,2.0044),(3805,3265,0.99877,2.0006),(3805,3275,1.031,1.9968),(3805,3285,1.0637,1.993),(3805,3295,1.0964,1.9889),(3805,3305,1.1291,1.9846),(3805,3315,1.164,1.9804),(3805,3325,1.1995,1.9762),(3805,3335,1.2349,1.9716),(3805,3345,1.2704,1.967),(3805,3355,1.3091,1.9623),(3805,3365,1.3483,1.9577),(3805,3375,1.3875,1.9525),(3805,3385,1.4267,1.9474),(3805,3395,1.4705,1.9422),(3805,3405,1.5148,1.937),(3805,3415,1.5592,1.9312),(3805,3425,1.6035,1.9253),(3805,3435,1.6544,1.9195),(3805,3445,1.7059,1.9136),(3805,3455,1.7573,1.907),(3805,3465,1.8087,1.9002),(3805,3475,1.8699,1.8935),(3805,3485,1.9315,1.8868),(3805,3495,1.993,1.8788),(3805,3505,2.0547,1.8709),(3805,3515,2.1311,1.8629),(3805,3525,2.2076,1.8549),(3805,3535,2.2841,1.845),(3805,3545,2.3616,1.8352),(3805,3555,2.461,1.8253),(3805,3565,2.5604,1.8153),(3805,3575,2.6598,1.8026),(3805,3585,2.7623,1.79),(3805,3595,2.8982,1.7773),(3805,3605,3.0341,1.7643),(3805,3615,3.1701,1.7481),(3805,3625,3.2928,1.7319),(3805,3635,3.3223,1.7158),(3805,3645,3.3517,1.6995),(3805,3655,3.3812,1.6831),(3805,3665,3.363,1.6667),(3805,3675,3.1005,1.6503),(3805,3685,2.838,1.635),(3805,3695,2.5755,1.6247),(3805,3705,2.3511,1.6144),(3805,3715,2.2765,1.6041),(3805,3725,2.2018,1.5943),(3805,3735,2.1272,1.5866),(3805,3745,2.056,1.579),(3805,3755,1.9955,1.5713),(3805,3765,1.9349,1.564),(3805,3775,1.8744,1.5578),(3805,3785,1.8167,1.5516),(3805,3795,1.766,1.5453),(3805,3805,1.7153,1.5394),(3805,3815,1.6646,1.5343),(3805,3825,1.6162,1.5292),(3805,3835,1.5726,1.524),(3805,3845,1.529,1.5192),(3805,3855,1.4854,1.515),(3805,3865,1.4437,1.5108),(3805,3875,1.4054,1.5066),(3805,3885,1.3671,1.5028),(3805,3895,1.3288,1.4995),(3805,3905,1.292,1.4962),(3805,3915,1.2577,1.4929),(3805,3925,1.2233,1.4899),(3805,3935,1.1889,1.4875),(3805,3945,1.1559,1.4851),(3805,3955,1.1245,1.4827),(3805,3965,1.0931,1.4807),(3805,3975,1.0617,1.4792),(3805,3985,1.0313,1.4776),(3805,3995,1.0021,1.4761),(3805,4005,0.97291,1.475),(3805,4015,0.9437,1.4742),(3805,4025,1.2689,1.4735),(3805,4035,1.6288,1.4702),(3805,4045,1.9887,1.4617),(3805,4055,2.2455,1.4532),(3805,4065,2.4647,1.444),(3805,4075,2.6838,1.4307),(3805,4085,2.7775,1.4174),(3805,4095,2.7703,1.4041),(3805,4105,2.7632,1.3912),(3805,4115,2.6683,1.3784),(3805,4125,2.4279,1.3655),(3805,4135,2.1875,1.3566),(3805,4145,1.9443,1.3487),(3805,4155,1.6898,1.3408),(3805,4165,1.4354,1.3363),(3805,4175,1.195,1.3339),(3805,4185,1.6539,1.3315),(3805,4195,2.1127,1.3251),(3805,4205,2.5716,1.3131),(3805,4215,2.6395,1.3012),(3805,4225,2.6339,1.2894),(3805,4235,2.6282,1.2775),(3805,4245,2.6115,1.2657),(3805,4255,2.5892,1.2537),(3805,4265,2.5669,1.2396),(3805,4275,2.2542,1.2254),(3805,4285,1.6333,1.2113),(3805,4295,1.0124,1.2102),(3805,4305,0.74736,1.2106),(3805,4315,1.2858,1.2109),(3805,4325,1.8242,1.2039),(3805,4335,2.3026,1.1939),(3805,4345,2.3741,1.1839),(3805,4355,2.4456,1.1732),(3805,4365,2.5171,1.1618),(3805,4375,2.5181,1.1504),(3805,4385,2.5155,1.1391),(3805,4395,2.5128,1.1282),(3805,4405,2.2013,1.1173),(3805,4415,1.7987,1.1077),(3805,4425,1.3961,1.1037),(3805,4435,1.2234,1.0996),(3805,4445,1.2077,1.0956),(3805,4455,1.1921,1.0919),(3805,4465,1.3476,1.0881),(3805,4475,1.7435,1.0843),(3805,4485,2.1395,1.0748),(3805,4495,2.4409,1.0642),(3805,4505,2.4393,1.0535),(3805,4515,2.4376,1.043),(3805,4525,2.4312,1.0325),(3805,4535,2.349,1.022),(3805,4545,2.2669,1.0122),(3805,4555,2.1847,1.003),(3805,4565,1.6635,0.9939),(3805,4575,1.083,0.98755),(3805,4585,0.50258,0.98796),(3805,4595,0.7709,0.98837),(3805,4605,1.3978,0.98732),(3805,4615,2.0248,0.97485),(3805,4625,2.3299,0.96238),(3805,4635,2.3434,0.94991),(3805,4645,2.357,0.93936),(3805,4655,2.3659,0.92894),(3805,4665,2.366,0.91852),(3805,4675,2.3661,0.90832),(3805,4685,2.2837,0.8982),(3805,4695,1.7937,0.88807),(3805,4705,1.3037,0.88249),(3805,4715,0.81377,0.8802),(3805,4725,1.0414,0.87792),(3805,4735,1.2763,0.87415),(3805,4745,1.5112,0.86815),(3805,4755,1.7522,0.86216),(3805,4765,1.9947,0.85527),(3805,4775,2.2372,0.84528),(3805,4785,2.326,0.83529),(3805,4795,2.326,0.82531),(3805,4805,2.3259,0.81537),(3805,4815,2.2132,0.80543),(3805,4825,1.9658,0.79549),(3805,4835,1.7184,0.78894),(3805,4845,1.4678,0.78291),(3805,4855,1.2088,0.77688),(3805,4865,0.94986,0.77375),(3805,4875,0.76593,0.77192),(3805,4885,1.2647,0.77009),(3805,4895,1.7636,0.76448),(3805,4905,2.2624,0.75521),(3805,4915,2.3017,0.74595),(3805,4925,2.3016,0.73673),(3805,4935,2.3014,0.7276),(3805,4945,2.2958,0.71848),(3805,4955,2.2883,0.7092),(3805,4965,2.2808,0.69911),(3805,4975,1.9022,0.68902),(3805,4985,1.237,0.67893),(3805,4995,0.57184,0.67913),(3805,5005,0.35695,0.67959),(3805,5015,0.85792,0.68005),(3805,5025,1.3589,0.67499),(3805,5035,1.7904,0.66853),(3805,5045,1.9574,0.66207),(3805,5055,2.1244,0.65419),(3805,5065,2.2865,0.64543),(3805,5075,2.2867,0.63667),(3805,5085,2.287,0.62798),(3805,5095,2.2872,0.61938),(3805,5105,1.9973,0.61078),(3805,5115,1.6569,0.60336),(3805,5125,1.3164,0.59927),(3805,5135,1.1436,0.59517),(3805,5145,1.0521,0.5912),(3805,5155,0.96071,0.58851),(3805,5165,1.1283,0.58582),(3805,5175,1.5602,0.58313),(3805,5185,1.9921,0.57584),(3805,5195,2.2871,0.56807),(3805,5205,2.2869,0.5603),(3805,5215,2.2867,0.55262),(3805,5225,2.2747,0.54498),(3805,5235,2.1892,0.53734),(3805,5245,2.1037,0.53027),(3805,5255,2.0182,0.52366),(3805,5265,1.4204,0.51706),(3805,5275,0.80156,0.51298),(3805,5285,0.18268,0.51319),(3805,5295,0.59198,0.51339),(3805,5305,1.2876,0.51226),(3805,5315,1.9832,0.50553),(3805,5325,2.2604,0.4988),(3805,5335,2.2633,0.49208),(3805,5345,2.2661,0.48603),(3805,5355,2.2674,0.47998),(3805,5365,2.2666,0.47393),(3805,5375,2.2658,0.46796),(3805,5385,2.1355,0.46201),(3805,5395,1.6117,0.45606),(3805,5405,1.0878,0.45314),(3805,5415,0.61932,0.45179),(3805,5425,0.8936,0.45045),(3805,5435,1.1679,0.44898),(3805,5445,1.4422,0.44738),(3805,5455,1.7123,0.44577),(3805,5465,1.9818,0.44384),(3805,5475,2.2514,0.44112),(3805,5485,2.3273,0.4384),(3805,5495,2.3252,0.43569),(3805,5505,2.3232,0.43299),(3805,5515,2.3212,0.43029),(3805,5525,2.3192,0.4276),(3805,5535,2.3173,0.42489),(3805,5545,2.3154,0.42218),(3805,5555,2.3135,0.41947),(3805,5565,2.3117,0.41676),(3805,5575,2.3099,0.41405),(3805,5585,2.3081,0.41133),(3805,5595,2.3064,0.4086),(3805,5605,2.3046,0.40586),(3805,5615,2.303,0.40312),(3805,5625,2.3013,0.40036),(3805,5635,2.2997,0.39759),(3805,5645,2.2981,0.39481),(3805,5655,2.2965,0.39203),(3805,5665,2.295,0.38922),(3805,5675,2.2935,0.38641),(3805,5685,2.292,0.38359),(3805,5695,2.2905,0.38073),(3805,5705,2.289,0.37787),(3805,5715,2.2876,0.37502),(3805,5725,2.2862,0.37213),(3805,5735,2.2848,0.36923),(3805,5745,2.2834,0.36634),(3805,5755,2.282,0.36342),(3805,5765,2.2807,0.36048),(3805,5775,2.2793,0.35754),(3805,5785,2.278,0.35459),(3805,5795,2.2766,0.35161),(3805,5805,2.2753,0.34864),(3805,5815,2.274,0.34566),(3805,5825,2.2726,0.34266),(3805,5835,2.2713,0.33965),(3805,5845,2.27,0.33665),(3805,5855,2.2687,0.33364),(3805,5865,2.2674,0.33062),(3805,5875,2.266,0.32761),(3805,5885,2.2647,0.32459),(3805,5895,2.2634,0.32157),(3805,5905,2.262,0.31856),(3805,5915,2.2607,0.31554),(3805,5925,2.2593,0.31253),(3805,5935,2.2579,0.30952),(3805,5945,2.2566,0.30651),(3805,5955,2.2552,0.30351),(3805,5965,2.2538,0.30051),(3805,5975,2.2524,0.29751),(3805,5985,2.251,0.29451),(3805,5995,1.7206,0.29151),(3805,6005,1.105,0.28924),(3805,6015,0.48935,0.28891),(3805,6025,0.65206,0.28858),(3805,6035,1.1758,0.28787),(3805,6045,1.6995,0.28353),(3805,6055,2.0617,0.27918),(3805,6065,2.2656,0.27484),(3805,6075,2.4695,0.2692),(3805,6085,2.6069,0.26345),(3805,6095,2.6071,0.2577),(3805,6105,2.6073,0.25198),(3805,6115,2.6075,0.24628),(3805,6125,2.6076,0.24057),(3805,6135,2.6077,0.23488),(3805,6145,2.6078,0.2292),(3805,6155,2.6079,0.22351),(3805,6165,2.6079,0.21787),(3805,6175,2.608,0.21229),(3805,6185,2.608,0.20671),(3805,6195,2.608,0.20116),(3805,6205,2.6079,0.19572),(3805,6215,2.6079,0.19029),(3805,6225,2.6078,0.18485),(3805,6235,2.6077,0.17954),(3805,6245,2.6075,0.17422),(3805,6255,2.6074,0.1689),(3805,6265,2.6072,0.1637),(3805,6275,2.607,0.15852),(3805,6285,2.6068,0.15334),(3805,6295,2.6066,0.14825),(3805,6305,2.6064,0.14319),(3805,6315,2.6061,0.13814),(3805,6325,2.6059,0.13316),(3805,6335,2.6056,0.12827),(3805,6345,2.6053,0.12338),(3805,6355,2.605,0.11855),(3805,6365,2.6047,0.11386),(3805,6375,2.6044,0.10917),(3805,6385,2.6041,0.10449),(3805,6395,2.6038,0.099923),(3805,6405,2.6034,0.095353),(3805,6415,2.6031,0.090783),(3805,6425,2.6028,0.086292),(3805,6435,2.6025,0.081806),(3805,6445,2.6022,0.077319),(3805,6455,2.6019,0.07295),(3805,6465,2.6016,0.068614),(3805,6475,2.6013,0.064279),(3805,6485,2.6011,0.059998),(3805,6495,2.6008,0.055753),(3805,6505,2.6006,0.051508),(3805,6515,2.6004,0.047282),(3805,6525,2.6002,0.043081),(3805,6535,2.6,0.03888),(3805,6545,2.5999,0.034693),(3805,6555,2.5998,0.030551),(3805,6565,2.5997,0.026409),(3805,6575,2.5996,0.022272),(3805,6585,2.5995,0.018202),(3805,6595,2.211,0.014133),(3805,6605,1.3936,0.010063),(3805,6615,0.57623,0.009605),(3805,6625,0.001612,0.009611),(3805,6635,0.001613,0.009617),(3805,6645,0.001614,0.009616),(3805,6655,0.001614,0.009613),(3805,6665,0.001615,0.009609),(3805,6675,0.001617,0.009605),(3805,6685,0.001618,0.009602),(3805,6695,0.001619,0.009598),(3805,6705,0.00162,0.009593),(3805,6715,0.001621,0.009589),(3805,6725,0.001622,0.009584),(3805,6735,0.001624,0.00958),(3805,6745,0.001625,0.009575),(3805,6755,0.001626,0.009569),(3805,6765,0.001628,0.009565),(3805,6775,0.001629,0.009559),(3805,6785,0.00163,0.009553),(3805,6795,0.001632,0.009548),(3805,6805,0.001633,0.009542),(3805,6815,0.001634,0.009536),(3805,6825,0.001636,0.00953),(3805,6835,0.001637,0.009524),(3805,6845,0.001638,0.009518),(3805,6855,0.001639,0.009511),(3805,6865,0.001641,0.009505),(3805,6875,0.001642,0.009498),(3805,6885,0.001643,0.009492),(3805,6895,0.001644,0.009485),(3805,6905,0.001646,0.009478),(3805,6915,0.001647,0.009471),(3805,6925,0.001648,0.009464),(3805,6935,0.001649,0.009457),(3805,6945,0.00165,0.00945),(3805,6955,0.001651,0.009443),(3805,6965,0.001653,0.009435),(3805,6975,0.001654,0.009428),(3805,6985,0.001655,0.009421),(3815,5,1.1e-05,1.7702),(3815,15,3.2e-05,1.7702),(3815,25,5.3e-05,1.7702),(3815,35,7.3e-05,1.7702),(3815,45,9.4e-05,1.7702),(3815,55,0.000115,1.7702),(3815,65,0.000136,1.7702),(3815,75,0.000156,1.7702),(3815,85,0.000177,1.7702),(3815,95,0.000197,1.7702),(3815,105,0.000217,1.7702),(3815,115,0.000236,1.7702),(3815,125,0.000256,1.7701),(3815,135,0.000275,1.7701),(3815,145,0.000294,1.7701),(3815,155,0.000312,1.7701),(3815,165,0.000331,1.7701),(3815,175,0.000349,1.7701),(3815,185,0.000366,1.7701),(3815,195,0.000383,1.77),(3815,205,0.0004,1.77),(3815,215,0.000417,1.77),(3815,225,0.000432,1.77),(3815,235,0.000447,1.77),(3815,245,0.000461,1.7699),(3815,255,0.000476,1.7699),(3815,265,0.000489,1.7699),(3815,275,0.000502,1.7698),(3815,285,0.000514,1.7698),(3815,295,0.000527,1.7698),(3815,305,0.000537,1.7698),(3815,315,0.000546,1.7697),(3815,325,0.000556,1.7697),(3815,335,0.000565,1.7697),(3815,345,0.000571,1.7696),(3815,355,0.000577,1.7696),(3815,365,0.000583,1.7695),(3815,375,0.000589,1.7695),(3815,385,0.00059,1.7695),(3815,395,0.000592,1.7694),(3815,405,0.000593,1.7694),(3815,415,0.000594,1.7693),(3815,425,0.000591,1.7693),(3815,435,0.000587,1.7692),(3815,445,0.000583,1.7692),(3815,455,0.000579,1.7691),(3815,465,0.00057,1.7691),(3815,475,0.00056,1.769),(3815,485,0.00055,1.769),(3815,495,0.00054,1.7689),(3815,505,0.000524,1.7689),(3815,515,0.000507,1.7688),(3815,525,0.00049,1.7687),(3815,535,0.000473,1.7687),(3815,545,0.000448,1.7686),(3815,555,0.000423,1.7685),(3815,565,0.000398,1.7685),(3815,575,0.000372,1.7684),(3815,585,0.000337,1.7683),(3815,595,0.000302,1.7683),(3815,605,0.000267,1.7682),(3815,615,0.000231,1.7681),(3815,625,0.000185,1.768),(3815,635,0.000139,1.7679),(3815,645,9.3e-05,1.7679),(3815,655,4.5e-05,1.7678),(3815,665,-1.4e-05,1.7677),(3815,675,-7.3e-05,1.7676),(3815,685,-0.000133,1.7675),(3815,695,-0.000195,1.7674),(3815,705,-0.000269,1.7673),(3815,715,-0.000343,1.7673),(3815,725,-0.000417,1.7672),(3815,735,-0.000496,1.7671),(3815,745,-0.000587,1.767),(3815,755,-0.000679,1.7669),(3815,765,-0.00077,1.7668),(3815,775,-0.000867,1.7667),(3815,785,-0.000978,1.7666),(3815,795,-0.001089,1.7665),(3815,805,-0.001201,1.7664),(3815,815,-0.001319,1.7663),(3815,825,-0.001452,1.7661),(3815,835,-0.001586,1.766),(3815,845,-0.001719,1.7659),(3815,855,-0.001861,1.7658),(3815,865,-0.00202,1.7657),(3815,875,-0.002178,1.7656),(3815,885,-0.002337,1.7655),(3815,895,-0.002506,1.7654),(3815,905,-0.002693,1.7653),(3815,915,-0.002879,1.7652),(3815,925,-0.003066,1.7651),(3815,935,-0.003265,1.765),(3815,945,-0.003482,1.7648),(3815,955,-0.003699,1.7647),(3815,965,-0.003916,1.7646),(3815,975,-0.004149,1.7645),(3815,985,-0.0044,1.7644),(3815,995,-0.00465,1.7643),(3815,1005,-0.0049,1.7642),(3815,1015,-0.005169,1.7641),(3815,1025,-0.005454,1.7641),(3815,1035,-0.00574,1.764),(3815,1045,-0.006026,1.7639),(3815,1055,-0.006332,1.7638),(3815,1065,-0.006654,1.7637),(3815,1075,-0.006977,1.7637),(3815,1085,-0.0073,1.7636),(3815,1095,-0.007644,1.7635),(3815,1105,-0.008004,1.7635),(3815,1115,-0.008365,1.7634),(3815,1125,-0.008725,1.7634),(3815,1135,-0.009109,1.7633),(3815,1145,-0.009506,1.7633),(3815,1155,-0.009904,1.7633),(3815,1165,-0.010302,1.7633),(3815,1175,-0.010724,1.7633),(3815,1185,-0.011157,1.7633),(3815,1195,-0.011591,1.7633),(3815,1205,-0.012025,1.7633),(3815,1215,-0.012483,1.7633),(3815,1225,-0.01295,1.7634),(3815,1235,-0.013418,1.7634),(3815,1245,-0.013885,1.7635),(3815,1255,-0.014375,1.7636),(3815,1265,-0.014873,1.7636),(3815,1275,-0.01537,1.7637),(3815,1285,-0.015868,1.7639),(3815,1295,-0.016385,1.764),(3815,1305,-0.016908,1.7641),(3815,1315,-0.01743,1.7642),(3815,1325,-0.017953,1.7644),(3815,1335,-0.018492,1.7646),(3815,1345,-0.019035,1.7647),(3815,1355,-0.019578,1.7649),(3815,1365,-0.020121,1.7651),(3815,1375,-0.020676,1.7653),(3815,1385,-0.021234,1.7656),(3815,1395,-0.021791,1.7658),(3815,1405,-0.022349,1.7661),(3815,1415,-0.022915,1.7663),(3815,1425,-0.023483,1.7666),(3815,1435,-0.02405,1.7669),(3815,1445,-0.024618,1.7672),(3815,1455,-0.025191,1.7675),(3815,1465,-0.025765,1.7678),(3815,1475,-0.026339,1.7681),(3815,1485,-0.026913,1.7685),(3815,1495,-0.02749,1.7688),(3815,1505,-0.028068,1.7692),(3815,1515,-0.028646,1.7696),(3815,1525,-0.029223,1.7699),(3815,1535,-0.029804,1.7703),(3815,1545,-0.030385,1.7707),(3815,1555,-0.030965,1.7711),(3815,1565,-0.031546,1.7715),(3815,1575,-0.03213,1.7719),(3815,1585,-0.032714,1.7724),(3815,1595,-0.033298,1.7728),(3815,1605,-0.033883,1.7732),(3815,1615,-0.034473,1.7737),(3815,1625,-0.035064,1.7741),(3815,1635,-0.035654,1.7746),(3815,1645,-0.036246,1.775),(3815,1655,-0.036847,1.7755),(3815,1665,-0.037448,1.776),(3815,1675,-0.038049,1.7764),(3815,1685,-0.038653,1.7769),(3815,1695,-0.039271,1.7774),(3815,1705,-0.039888,1.7778),(3815,1715,-0.040506,1.7783),(3815,1725,-0.041129,1.7788),(3815,1735,-0.041771,1.7793),(3815,1745,-0.042413,1.7798),(3815,1755,-0.043055,1.7802),(3815,1765,-0.043705,1.7807),(3815,1775,-0.04438,1.7812),(3815,1785,-0.045054,1.7817),(3815,1795,-0.045729,1.7822),(3815,1805,-0.046417,1.7827),(3815,1815,-0.047135,1.7832),(3815,1825,-0.047852,1.7836),(3815,1835,-0.04857,1.7841),(3815,1845,-0.049307,1.7846),(3815,1855,-0.05008,1.7851),(3815,1865,-0.050853,1.7856),(3815,1875,-0.051626,1.786),(3815,1885,-0.052426,1.7865),(3815,1895,-0.053268,1.787),(3815,1905,-0.05411,1.7875),(3815,1915,-0.054952,1.7879),(3815,1925,-0.05583,1.7884),(3815,1935,-0.056757,1.7889),(3815,1945,-0.057684,1.7893),(3815,1955,-0.058611,1.7898),(3815,1965,-0.059586,1.7902),(3815,1975,-0.060616,1.7907),(3815,1985,-0.061646,1.7911),(3815,1995,-0.062676,1.7916),(3815,2005,-0.063768,1.792),(3815,2015,-0.064923,1.7925),(3815,2025,-0.066078,1.7929),(3815,2035,-0.067233,1.7933),(3815,2045,-0.068469,1.7938),(3815,2055,-0.069774,1.7942),(3815,2065,-0.071079,1.7946),(3815,2075,-0.072384,1.795),(3815,2085,-0.073793,1.7954),(3815,2095,-0.075279,1.7958),(3815,2105,-0.076765,1.7962),(3815,2115,-0.07825,1.7966),(3815,2125,-0.079871,1.797),(3815,2135,-0.081574,1.7974),(3815,2145,-0.083277,1.7978),(3815,2155,-0.08498,1.7982),(3815,2165,-0.086856,1.7985),(3815,2175,-0.088822,1.7989),(3815,2185,-0.090788,1.7993),(3815,2195,-0.092754,1.7996),(3815,2205,-0.094942,1.7999),(3815,2215,-0.097226,1.8003),(3815,2225,-0.09951,1.8006),(3815,2235,-0.10179,1.8009),(3815,2245,-0.10437,1.8013),(3815,2255,-0.10704,1.8016),(3815,2265,-0.10971,1.8019),(3815,2275,-0.11238,1.8022),(3815,2285,-0.11543,1.8024),(3815,2295,-0.11858,1.8027),(3815,2305,-0.12173,1.803),(3815,2315,-0.12488,1.8032),(3815,2325,-0.12852,1.8035),(3815,2335,-0.13226,1.8037),(3815,2345,-0.13601,1.804),(3815,2355,-0.13975,1.8042),(3815,2365,-0.14414,1.8044),(3815,2375,-0.14863,1.8046),(3815,2385,-0.15312,1.8048),(3815,2395,-0.15761,1.805),(3815,2405,-0.16296,1.8051),(3815,2415,-0.1684,1.8053),(3815,2425,-0.17384,1.8054),(3815,2435,-0.17929,1.8056),(3815,2445,-0.18589,1.8057),(3815,2455,-0.19257,1.8058),(3815,2465,-0.19925,1.8059),(3815,2475,-0.20593,1.8059),(3815,2485,-0.21421,1.806),(3815,2495,-0.22254,1.8061),(3815,2505,-0.23086,1.8061),(3815,2515,-0.23922,1.8061),(3815,2525,-0.24979,1.8061),(3815,2535,-0.26036,1.8061),(3815,2545,-0.27093,1.806),(3815,2555,-0.28167,1.8059),(3815,2565,-0.29542,1.8058),(3815,2575,-0.30917,1.8057),(3815,2585,-0.32292,1.8055),(3815,2595,-0.33711,1.8053),(3815,2605,-0.35556,1.8051),(3815,2615,-0.37402,1.8049),(3815,2625,-0.39247,1.8045),(3815,2635,-0.41191,1.8041),(3815,2645,-0.43773,1.8038),(3815,2655,-0.46355,1.8033),(3815,2665,-0.48937,1.8025),(3815,2675,-0.51733,1.8018),(3815,2685,-0.55546,1.801),(3815,2695,-0.59359,1.8001),(3815,2705,-0.63172,1.7983),(3815,2715,-0.67553,1.7966),(3815,2725,-0.74031,1.7948),(3815,2735,-0.80509,1.7923),(3815,2745,-0.86986,1.7873),(3815,2755,-0.89894,1.7823),(3815,2765,-0.8223,1.7773),(3815,2775,-0.74566,1.7731),(3815,2785,-0.66903,1.7711),(3815,2795,-0.59763,1.7691),(3815,2805,-0.53894,1.7671),(3815,2815,-0.48026,1.7653),(3815,2825,-0.42157,1.7639),(3815,2835,-0.36707,1.7626),(3815,2845,-0.32104,1.7612),(3815,2855,-0.275,1.7599),(3815,2865,-0.22897,1.7586),(3815,2875,-0.18571,1.7574),(3815,2885,-0.14715,1.7561),(3815,2895,-0.10859,1.7548),(3815,2905,-0.070034,1.7534),(3815,2915,-0.033369,1.7521),(3815,2925,0.00058,1.7507),(3815,2935,0.03453,1.7493),(3815,2945,0.06848,1.7478),(3815,2955,0.10112,1.7462),(3815,2965,0.13217,1.7447),(3815,2975,0.16322,1.7431),(3815,2985,0.19427,1.7414),(3815,2995,0.22444,1.7396),(3815,3005,0.25369,1.7379),(3815,3015,0.28294,1.7361),(3815,3025,0.31218,1.7341),(3815,3035,0.34088,1.7322),(3815,3045,0.3691,1.7303),(3815,3055,0.39731,1.7282),(3815,3065,0.42553,1.726),(3815,3075,0.45349,1.7239),(3815,3085,0.48125,1.7217),(3815,3095,0.50902,1.7194),(3815,3105,0.53678,1.717),(3815,3115,0.56457,1.7147),(3815,3125,0.59238,1.7123),(3815,3135,0.62019,1.7097),(3815,3145,0.648,1.7071),(3815,3155,0.67612,1.7045),(3815,3165,0.70442,1.7019),(3815,3175,0.73272,1.6991),(3815,3185,0.76103,1.6963),(3815,3195,0.78998,1.6934),(3815,3205,0.81923,1.6906),(3815,3215,0.84848,1.6876),(3815,3225,0.87773,1.6845),(3815,3235,0.90803,1.6815),(3815,3245,0.93874,1.6784),(3815,3255,0.96944,1.6752),(3815,3265,1.0001,1.6719),(3815,3275,1.0324,1.6686),(3815,3285,1.0652,1.6653),(3815,3295,1.0979,1.6618),(3815,3305,1.1306,1.6583),(3815,3315,1.1656,1.6548),(3815,3325,1.2012,1.6513),(3815,3335,1.2367,1.6476),(3815,3345,1.2723,1.6439),(3815,3355,1.311,1.6402),(3815,3365,1.3503,1.6365),(3815,3375,1.3896,1.6327),(3815,3385,1.429,1.6288),(3815,3395,1.4729,1.6249),(3815,3405,1.5174,1.621),(3815,3415,1.5618,1.617),(3815,3425,1.6063,1.613),(3815,3435,1.6575,1.609),(3815,3445,1.7091,1.6049),(3815,3455,1.7608,1.6008),(3815,3465,1.8125,1.5967),(3815,3475,1.8741,1.5926),(3815,3485,1.936,1.5884),(3815,3495,1.9979,1.5843),(3815,3505,2.06,1.5802),(3815,3515,2.1371,1.5761),(3815,3525,2.2142,1.572),(3815,3535,2.2914,1.5681),(3815,3545,2.3696,1.5641),(3815,3555,2.4701,1.5602),(3815,3565,2.5706,1.5563),(3815,3575,2.6711,1.553),(3815,3585,2.7747,1.5497),(3815,3595,2.9122,1.5465),(3815,3605,3.0497,1.5434),(3815,3615,3.1872,1.5421),(3815,3625,3.3113,1.5408),(3815,3635,3.341,1.5395),(3815,3645,3.3707,1.5384),(3815,3655,3.4004,1.5383),(3815,3665,3.382,1.5382),(3815,3675,3.1166,1.5381),(3815,3685,2.8513,1.5372),(3815,3695,2.586,1.5327),(3815,3705,2.3592,1.5283),(3815,3715,2.2837,1.5238),(3815,3725,2.2082,1.5194),(3815,3735,2.1327,1.5154),(3815,3745,2.0608,1.5115),(3815,3755,1.9998,1.5075),(3815,3765,1.9389,1.5036),(3815,3775,1.8779,1.4999),(3815,3785,1.8198,1.4962),(3815,3795,1.7688,1.4925),(3815,3805,1.7178,1.489),(3815,3815,1.6669,1.4856),(3815,3825,1.6182,1.4823),(3815,3835,1.5744,1.479),(3815,3845,1.5306,1.4758),(3815,3855,1.4868,1.473),(3815,3865,1.4449,1.4701),(3815,3875,1.4064,1.4672),(3815,3885,1.3679,1.4646),(3815,3895,1.3294,1.4623),(3815,3905,1.2925,1.46),(3815,3915,1.2579,1.4577),(3815,3925,1.2234,1.4557),(3815,3935,1.1888,1.454),(3815,3945,1.1556,1.4524),(3815,3955,1.124,1.4507),(3815,3965,1.0924,1.4493),(3815,3975,1.0609,1.4484),(3815,3985,1.0303,1.4474),(3815,3995,1.001,1.4464),(3815,4005,0.97158,1.4458),(3815,4015,0.9422,1.4454),(3815,4025,1.2687,1.4451),(3815,4035,1.63,1.4422),(3815,4045,1.9913,1.4341),(3815,4055,2.2491,1.426),(3815,4065,2.4692,1.4172),(3815,4075,2.6893,1.4043),(3815,4085,2.7832,1.3914),(3815,4095,2.7759,1.3785),(3815,4105,2.7686,1.366),(3815,4115,2.6733,1.3534),(3815,4125,2.432,1.3409),(3815,4135,2.1907,1.3323),(3815,4145,1.9466,1.3247),(3815,4155,1.6911,1.317),(3815,4165,1.4356,1.3127),(3815,4175,1.1942,1.3105),(3815,4185,1.6548,1.3083),(3815,4195,2.1154,1.302),(3815,4205,2.5759,1.2904),(3815,4215,2.6441,1.2787),(3815,4225,2.6385,1.2671),(3815,4235,2.6328,1.2555),(3815,4245,2.6166,1.2439),(3815,4255,2.595,1.2321),(3815,4265,2.5735,1.2182),(3815,4275,2.2598,1.2044),(3815,4285,1.6361,1.1905),(3815,4295,1.0124,1.1894),(3815,4305,0.74592,1.1898),(3815,4315,1.2861,1.1902),(3815,4325,1.8263,1.1833),(3815,4335,2.3062,1.1736),(3815,4345,2.3779,1.1639),(3815,4355,2.4497,1.1535),(3815,4365,2.5215,1.1424),(3815,4375,2.5223,1.1313),(3815,4385,2.5195,1.1203),(3815,4395,2.5167,1.1097),(3815,4405,2.2043,1.0991),(3815,4415,1.8007,1.0897),(3815,4425,1.3971,1.0858),(3815,4435,1.2239,1.0819),(3815,4445,1.2082,1.0779),(3815,4455,1.1925,1.0742),(3815,4465,1.3484,1.0705),(3815,4475,1.7454,1.0668),(3815,4485,2.1424,1.0575),(3815,4495,2.4446,1.047),(3815,4505,2.4429,1.0365),(3815,4515,2.4412,1.0262),(3815,4525,2.4347,1.0159),(3815,4535,2.3524,1.0056),(3815,4545,2.27,0.99589),(3815,4555,2.1877,0.9869),(3815,4565,1.6653,0.97791),(3815,4575,1.0835,0.97168),(3815,4585,0.50167,0.97215),(3815,4595,0.77117,0.97261),(3815,4605,1.4004,0.97162),(3815,4615,2.0295,0.95931),(3815,4625,2.3353,0.947),(3815,4635,2.3482,0.93469),(3815,4645,2.3611,0.92426),(3815,4655,2.3695,0.91396),(3815,4665,2.3695,0.90366),(3815,4675,2.3695,0.89357),(3815,4685,2.2868,0.88355),(3815,4695,1.7958,0.87353),(3815,4705,1.3048,0.86803),(3815,4715,0.81378,0.86582),(3815,4725,1.0419,0.86361),(3815,4735,1.2773,0.85991),(3815,4745,1.5126,0.85398),(3815,4755,1.7542,0.84806),(3815,4765,1.9973,0.84124),(3815,4775,2.2403,0.83131),(3815,4785,2.3293,0.82139),(3815,4795,2.3292,0.81147),(3815,4805,2.3292,0.80161),(3815,4815,2.2162,0.79176),(3815,4825,1.9683,0.7819),(3815,4835,1.7204,0.77542),(3815,4845,1.4693,0.76947),(3815,4855,1.2097,0.76351),(3815,4865,0.95018,0.76044),(3815,4875,0.76582,0.75866),(3815,4885,1.2655,0.75689),(3815,4895,1.7652,0.75136),(3815,4905,2.265,0.74222),(3815,4915,2.3043,0.73307),(3815,4925,2.3041,0.72397),(3815,4935,2.3039,0.71496),(3815,4945,2.2986,0.70595),(3815,4955,2.2914,0.6968),(3815,4965,2.2843,0.68685),(3815,4975,1.9049,0.67691),(3815,4985,1.2384,0.66697),(3815,4995,0.5718,0.66719),(3815,5005,0.35633,0.66768),(3815,5015,0.85804,0.66816),(3815,5025,1.3598,0.66318),(3815,5035,1.7919,0.65681),(3815,5045,1.9592,0.65044),(3815,5055,2.1264,0.64266),(3815,5065,2.2887,0.63401),(3815,5075,2.2889,0.62536),(3815,5085,2.2891,0.61677),(3815,5095,2.2893,0.60828),(3815,5105,1.999,0.59979),(3815,5115,1.6581,0.59246),(3815,5125,1.3172,0.58843),(3815,5135,1.1441,0.5844),(3815,5145,1.0525,0.58049),(3815,5155,0.9609,0.57785),(3815,5165,1.1286,0.57521),(3815,5175,1.5609,0.57257),(3815,5185,1.9931,0.56538),(3815,5195,2.2883,0.55772),(3815,5205,2.2881,0.55006),(3815,5215,2.2879,0.5425),(3815,5225,2.2758,0.53496),(3815,5235,2.1902,0.52743),(3815,5245,2.1047,0.52045),(3815,5255,2.0191,0.51394),(3815,5265,1.421,0.50743),(3815,5275,0.80169,0.50342),(3815,5285,0.18242,0.50363),(3815,5295,0.59182,0.50384),(3815,5305,1.2877,0.50274),(3815,5315,1.9836,0.49614),(3815,5325,2.2607,0.48954),(3815,5335,2.2634,0.48296),(3815,5345,2.266,0.47702),(3815,5355,2.2671,0.47107),(3815,5365,2.2663,0.46513),(3815,5375,2.2654,0.45927),(3815,5385,2.1351,0.45342),(3815,5395,1.6113,0.44757),(3815,5405,1.0875,0.44471),(3815,5415,0.61895,0.44339),(3815,5425,0.89259,0.44208),(3815,5435,1.1662,0.44066),(3815,5445,1.4399,0.43912),(3815,5455,1.7095,0.43759),(3815,5465,1.9787,0.43573),(3815,5475,2.2479,0.43312),(3815,5485,2.3237,0.4305),(3815,5495,2.3216,0.42789),(3815,5505,2.3195,0.42529),(3815,5515,2.3175,0.42269),(3815,5525,2.3156,0.42009),(3815,5535,2.3136,0.41747),(3815,5545,2.3117,0.41485),(3815,5555,2.3099,0.41224),(3815,5565,2.3081,0.40961),(3815,5575,2.3063,0.40698),(3815,5585,2.3046,0.40434),(3815,5595,2.3028,0.40169),(3815,5605,2.3011,0.39903),(3815,5615,2.2995,0.39637),(3815,5625,2.2978,0.39369),(3815,5635,2.2962,0.39099),(3815,5645,2.2946,0.3883),(3815,5655,2.2931,0.38559),(3815,5665,2.2916,0.38285),(3815,5675,2.2901,0.38011),(3815,5685,2.2886,0.37737),(3815,5695,2.2871,0.37458),(3815,5705,2.2857,0.3718),(3815,5715,2.2843,0.36901),(3815,5725,2.2829,0.36619),(3815,5735,2.2815,0.36336),(3815,5745,2.2801,0.36054),(3815,5755,2.2787,0.35768),(3815,5765,2.2774,0.35481),(3815,5775,2.276,0.35194),(3815,5785,2.2747,0.34906),(3815,5795,2.2734,0.34615),(3815,5805,2.2721,0.34324),(3815,5815,2.2707,0.34033),(3815,5825,2.2694,0.33739),(3815,5835,2.2681,0.33446),(3815,5845,2.2668,0.33153),(3815,5855,2.2655,0.32858),(3815,5865,2.2642,0.32563),(3815,5875,2.2629,0.32269),(3815,5885,2.2615,0.31974),(3815,5895,2.2602,0.31679),(3815,5905,2.2589,0.31384),(3815,5915,2.2575,0.3109),(3815,5925,2.2562,0.30796),(3815,5935,2.2548,0.30502),(3815,5945,2.2534,0.30208),(3815,5955,2.2521,0.29915),(3815,5965,2.2507,0.29622),(3815,5975,2.2493,0.2933),(3815,5985,2.2479,0.29037),(3815,5995,1.7182,0.28745),(3815,6005,1.1034,0.28524),(3815,6015,0.48861,0.28492),(3815,6025,0.65163,0.28461),(3815,6035,1.1754,0.28391),(3815,6045,1.6991,0.27959),(3815,6055,2.0614,0.27527),(3815,6065,2.2653,0.27094),(3815,6075,2.4692,0.26533),(3815,6085,2.6065,0.25961),(3815,6095,2.6067,0.25388),(3815,6105,2.6069,0.24819),(3815,6115,2.6071,0.24252),(3815,6125,2.6072,0.23684),(3815,6135,2.6073,0.23119),(3815,6145,2.6073,0.22554),(3815,6155,2.6074,0.2199),(3815,6165,2.6074,0.21429),(3815,6175,2.6074,0.20875),(3815,6185,2.6074,0.20321),(3815,6195,2.6073,0.19771),(3815,6205,2.6072,0.19232),(3815,6215,2.6071,0.18693),(3815,6225,2.607,0.18154),(3815,6235,2.6068,0.17628),(3815,6245,2.6067,0.17102),(3815,6255,2.6065,0.16576),(3815,6265,2.6063,0.16061),(3815,6275,2.6061,0.1555),(3815,6285,2.6058,0.15038),(3815,6295,2.6056,0.14535),(3815,6305,2.6053,0.14036),(3815,6315,2.605,0.13538),(3815,6325,2.6047,0.13047),(3815,6335,2.6044,0.12565),(3815,6345,2.6041,0.12083),(3815,6355,2.6037,0.11608),(3815,6365,2.6034,0.11146),(3815,6375,2.6031,0.10685),(3815,6385,2.6027,0.10225),(3815,6395,2.6024,0.097767),(3815,6405,2.602,0.09328),(3815,6415,2.6017,0.088793),(3815,6425,2.6013,0.084396),(3815,6435,2.601,0.080004),(3815,6445,2.6006,0.075611),(3815,6455,2.6003,0.071338),(3815,6465,2.6,0.067099),(3815,6475,2.5997,0.06286),(3815,6485,2.5994,0.05868),(3815,6495,2.5991,0.05454),(3815,6505,2.5989,0.0504),(3815,6515,2.5986,0.04628),(3815,6525,2.5984,0.042187),(3815,6535,2.5982,0.038094),(3815,6545,2.5981,0.034016),(3815,6555,2.5979,0.029987),(3815,6565,2.5978,0.025957),(3815,6575,2.5978,0.021932),(3815,6585,2.5977,0.017974),(3815,6595,2.2095,0.014016),(3815,6605,1.3926,0.010058),(3815,6615,0.57582,0.009611),(3815,6625,0.001611,0.009615),(3815,6635,0.001612,0.009619),(3815,6645,0.001613,0.009617),(3815,6655,0.001614,0.009614),(3815,6665,0.001615,0.00961),(3815,6675,0.001617,0.009607),(3815,6685,0.001618,0.009603),(3815,6695,0.001619,0.009599),(3815,6705,0.00162,0.009595),(3815,6715,0.001622,0.00959),(3815,6725,0.001623,0.009586),(3815,6735,0.001625,0.009581),(3815,6745,0.001626,0.009576),(3815,6755,0.001628,0.009571),(3815,6765,0.001629,0.009566),(3815,6775,0.001631,0.00956),(3815,6785,0.001632,0.009555),(3815,6795,0.001633,0.00955),(3815,6805,0.001635,0.009544),(3815,6815,0.001636,0.009538),(3815,6825,0.001638,0.009532),(3815,6835,0.001639,0.009525),(3815,6845,0.001641,0.009519),(3815,6855,0.001642,0.009513),(3815,6865,0.001643,0.009506),(3815,6875,0.001645,0.0095),(3815,6885,0.001646,0.009493),(3815,6895,0.001647,0.009486),(3815,6905,0.001649,0.00948),(3815,6915,0.00165,0.009473),(3815,6925,0.001651,0.009465),(3815,6935,0.001652,0.009458),(3815,6945,0.001654,0.009451),(3815,6955,0.001655,0.009444),(3815,6965,0.001656,0.009437),(3815,6975,0.001657,0.009429),(3815,6985,0.001658,0.009422),(3825,5,1.1e-05,1.5933),(3825,15,3.3e-05,1.5933),(3825,25,5.5e-05,1.5933),(3825,35,7.6e-05,1.5933),(3825,45,9.8e-05,1.5933),(3825,55,0.00012,1.5933),(3825,65,0.000141,1.5933),(3825,75,0.000162,1.5933),(3825,85,0.000184,1.5933),(3825,95,0.000205,1.5933),(3825,105,0.000226,1.5933),(3825,115,0.000246,1.5933),(3825,125,0.000267,1.5933),(3825,135,0.000287,1.5932),(3825,145,0.000307,1.5932),(3825,155,0.000326,1.5932),(3825,165,0.000345,1.5932),(3825,175,0.000364,1.5932),(3825,185,0.000382,1.5932),(3825,195,0.0004,1.5931),(3825,205,0.000418,1.5931),(3825,215,0.000436,1.5931),(3825,225,0.000452,1.5931),(3825,235,0.000468,1.5931),(3825,245,0.000483,1.593),(3825,255,0.000499,1.593),(3825,265,0.000513,1.593),(3825,275,0.000527,1.5929),(3825,285,0.00054,1.5929),(3825,295,0.000554,1.5929),(3825,305,0.000565,1.5929),(3825,315,0.000576,1.5928),(3825,325,0.000586,1.5928),(3825,335,0.000597,1.5927),(3825,345,0.000604,1.5927),(3825,355,0.000611,1.5927),(3825,365,0.000618,1.5926),(3825,375,0.000625,1.5926),(3825,385,0.000628,1.5925),(3825,395,0.000631,1.5925),(3825,405,0.000634,1.5925),(3825,415,0.000636,1.5924),(3825,425,0.000634,1.5924),(3825,435,0.000632,1.5923),(3825,445,0.000629,1.5923),(3825,455,0.000627,1.5922),(3825,465,0.000619,1.5922),(3825,475,0.000611,1.5921),(3825,485,0.000602,1.592),(3825,495,0.000594,1.592),(3825,505,0.000579,1.5919),(3825,515,0.000564,1.5919),(3825,525,0.000548,1.5918),(3825,535,0.000533,1.5917),(3825,545,0.000509,1.5917),(3825,555,0.000486,1.5916),(3825,565,0.000462,1.5915),(3825,575,0.000438,1.5915),(3825,585,0.000405,1.5914),(3825,595,0.000372,1.5913),(3825,605,0.000339,1.5912),(3825,615,0.000305,1.5911),(3825,625,0.00026,1.5911),(3825,635,0.000216,1.591),(3825,645,0.000172,1.5909),(3825,655,0.000125,1.5908),(3825,665,6.8e-05,1.5907),(3825,675,1.1e-05,1.5906),(3825,685,-4.7e-05,1.5905),(3825,695,-0.000107,1.5905),(3825,705,-0.000179,1.5904),(3825,715,-0.000252,1.5903),(3825,725,-0.000324,1.5902),(3825,735,-0.000401,1.5901),(3825,745,-0.000491,1.59),(3825,755,-0.000581,1.5899),(3825,765,-0.00067,1.5898),(3825,775,-0.000766,1.5896),(3825,785,-0.000875,1.5895),(3825,795,-0.000985,1.5894),(3825,805,-0.001095,1.5893),(3825,815,-0.001212,1.5892),(3825,825,-0.001344,1.5891),(3825,835,-0.001476,1.589),(3825,845,-0.001608,1.5889),(3825,855,-0.00175,1.5888),(3825,865,-0.001907,1.5886),(3825,875,-0.002065,1.5885),(3825,885,-0.002223,1.5884),(3825,895,-0.002391,1.5883),(3825,905,-0.002578,1.5882),(3825,915,-0.002764,1.5881),(3825,925,-0.00295,1.5879),(3825,935,-0.00315,1.5878),(3825,945,-0.003367,1.5877),(3825,955,-0.003585,1.5876),(3825,965,-0.003802,1.5875),(3825,975,-0.004036,1.5874),(3825,985,-0.004288,1.5873),(3825,995,-0.00454,1.5872),(3825,1005,-0.004791,1.5871),(3825,1015,-0.005061,1.587),(3825,1025,-0.00535,1.5869),(3825,1035,-0.005638,1.5868),(3825,1045,-0.005926,1.5867),(3825,1055,-0.006235,1.5866),(3825,1065,-0.006561,1.5865),(3825,1075,-0.006888,1.5864),(3825,1085,-0.007214,1.5863),(3825,1095,-0.007563,1.5863),(3825,1105,-0.007928,1.5862),(3825,1115,-0.008294,1.5861),(3825,1125,-0.008659,1.5861),(3825,1135,-0.009048,1.586),(3825,1145,-0.009453,1.586),(3825,1155,-0.009857,1.586),(3825,1165,-0.010261,1.586),(3825,1175,-0.01069,1.5859),(3825,1185,-0.011131,1.5859),(3825,1195,-0.011573,1.5859),(3825,1205,-0.012015,1.5859),(3825,1215,-0.012481,1.586),(3825,1225,-0.012957,1.586),(3825,1235,-0.013434,1.586),(3825,1245,-0.01391,1.5861),(3825,1255,-0.01441,1.5862),(3825,1265,-0.014917,1.5862),(3825,1275,-0.015425,1.5863),(3825,1285,-0.015932,1.5864),(3825,1295,-0.01646,1.5865),(3825,1305,-0.016993,1.5866),(3825,1315,-0.017526,1.5868),(3825,1325,-0.01806,1.5869),(3825,1335,-0.01861,1.5871),(3825,1345,-0.019163,1.5873),(3825,1355,-0.019717,1.5875),(3825,1365,-0.020271,1.5877),(3825,1375,-0.020837,1.5879),(3825,1385,-0.021405,1.5881),(3825,1395,-0.021973,1.5883),(3825,1405,-0.022541,1.5886),(3825,1415,-0.023117,1.5888),(3825,1425,-0.023695,1.5891),(3825,1435,-0.024272,1.5894),(3825,1445,-0.024849,1.5897),(3825,1455,-0.025432,1.59),(3825,1465,-0.026014,1.5903),(3825,1475,-0.026597,1.5906),(3825,1485,-0.027179,1.591),(3825,1495,-0.027764,1.5913),(3825,1505,-0.028349,1.5917),(3825,1515,-0.028935,1.5921),(3825,1525,-0.02952,1.5924),(3825,1535,-0.030106,1.5928),(3825,1545,-0.030693,1.5932),(3825,1555,-0.03128,1.5936),(3825,1565,-0.031866,1.594),(3825,1575,-0.032455,1.5944),(3825,1585,-0.033044,1.5949),(3825,1595,-0.033632,1.5953),(3825,1605,-0.034221,1.5957),(3825,1615,-0.034815,1.5962),(3825,1625,-0.035408,1.5966),(3825,1635,-0.036001,1.5971),(3825,1645,-0.036596,1.5975),(3825,1655,-0.037198,1.598),(3825,1665,-0.037801,1.5984),(3825,1675,-0.038403,1.5989),(3825,1685,-0.039009,1.5994),(3825,1695,-0.039627,1.5998),(3825,1705,-0.040245,1.6003),(3825,1715,-0.040863,1.6008),(3825,1725,-0.041486,1.6013),(3825,1735,-0.042127,1.6017),(3825,1745,-0.042767,1.6022),(3825,1755,-0.043408,1.6027),(3825,1765,-0.044057,1.6032),(3825,1775,-0.04473,1.6036),(3825,1785,-0.045403,1.6041),(3825,1795,-0.046075,1.6046),(3825,1805,-0.04676,1.6051),(3825,1815,-0.047475,1.6055),(3825,1825,-0.04819,1.606),(3825,1835,-0.048905,1.6065),(3825,1845,-0.049638,1.6069),(3825,1855,-0.050407,1.6074),(3825,1865,-0.051176,1.6079),(3825,1875,-0.051945,1.6083),(3825,1885,-0.052741,1.6088),(3825,1895,-0.053578,1.6092),(3825,1905,-0.054415,1.6097),(3825,1915,-0.055252,1.6101),(3825,1925,-0.056125,1.6106),(3825,1935,-0.057046,1.611),(3825,1945,-0.057967,1.6115),(3825,1955,-0.058888,1.6119),(3825,1965,-0.059857,1.6123),(3825,1975,-0.06088,1.6128),(3825,1985,-0.061903,1.6132),(3825,1995,-0.062927,1.6136),(3825,2005,-0.064012,1.614),(3825,2015,-0.065159,1.6144),(3825,2025,-0.066306,1.6148),(3825,2035,-0.067452,1.6152),(3825,2045,-0.06868,1.6156),(3825,2055,-0.069976,1.616),(3825,2065,-0.071272,1.6164),(3825,2075,-0.072568,1.6167),(3825,2085,-0.073967,1.6171),(3825,2095,-0.075443,1.6175),(3825,2105,-0.076918,1.6178),(3825,2115,-0.078393,1.6181),(3825,2125,-0.080002,1.6185),(3825,2135,-0.081693,1.6188),(3825,2145,-0.083384,1.6191),(3825,2155,-0.085075,1.6194),(3825,2165,-0.086938,1.6197),(3825,2175,-0.088889,1.62),(3825,2185,-0.090841,1.6203),(3825,2195,-0.092793,1.6206),(3825,2205,-0.094965,1.6209),(3825,2215,-0.097233,1.6211),(3825,2225,-0.0995,1.6213),(3825,2235,-0.10177,1.6216),(3825,2245,-0.10432,1.6218),(3825,2255,-0.10697,1.622),(3825,2265,-0.10963,1.6222),(3825,2275,-0.11228,1.6223),(3825,2285,-0.1153,1.6225),(3825,2295,-0.11843,1.6227),(3825,2305,-0.12156,1.6228),(3825,2315,-0.12468,1.6229),(3825,2325,-0.12829,1.623),(3825,2335,-0.13201,1.6231),(3825,2345,-0.13572,1.6231),(3825,2355,-0.13944,1.6232),(3825,2365,-0.14379,1.6232),(3825,2375,-0.14825,1.6232),(3825,2385,-0.1527,1.6232),(3825,2395,-0.15716,1.6231),(3825,2405,-0.16246,1.623),(3825,2415,-0.16785,1.623),(3825,2425,-0.17325,1.6228),(3825,2435,-0.17865,1.6226),(3825,2445,-0.18519,1.6224),(3825,2455,-0.19181,1.6222),(3825,2465,-0.19844,1.6219),(3825,2475,-0.20506,1.6215),(3825,2485,-0.21326,1.6212),(3825,2495,-0.2215,1.6208),(3825,2505,-0.22975,1.6203),(3825,2515,-0.23802,1.6197),(3825,2525,-0.24847,1.6191),(3825,2535,-0.25893,1.6186),(3825,2545,-0.26938,1.6177),(3825,2555,-0.28,1.6168),(3825,2565,-0.29358,1.6159),(3825,2575,-0.30715,1.615),(3825,2585,-0.32072,1.6136),(3825,2595,-0.33472,1.6122),(3825,2605,-0.35288,1.6108),(3825,2615,-0.37104,1.6093),(3825,2625,-0.38921,1.607),(3825,2635,-0.40832,1.6048),(3825,2645,-0.43361,1.6025),(3825,2655,-0.45889,1.6),(3825,2665,-0.48418,1.5961),(3825,2675,-0.51151,1.5922),(3825,2685,-0.54857,1.5883),(3825,2695,-0.58562,1.5837),(3825,2705,-0.62268,1.5764),(3825,2715,-0.66512,1.5691),(3825,2725,-0.72748,1.5617),(3825,2735,-0.78983,1.5525),(3825,2745,-0.85218,1.537),(3825,2755,-0.88004,1.5216),(3825,2765,-0.80576,1.5061),(3825,2775,-0.73148,1.4928),(3825,2785,-0.6572,1.485),(3825,2795,-0.58779,1.4773),(3825,2805,-0.53016,1.4695),(3825,2815,-0.47253,1.4628),(3825,2825,-0.41491,1.4582),(3825,2835,-0.3613,1.4537),(3825,2845,-0.3158,1.4491),(3825,2855,-0.2703,1.445),(3825,2865,-0.22479,1.4419),(3825,2875,-0.18198,1.4387),(3825,2885,-0.14371,1.4355),(3825,2895,-0.10545,1.4326),(3825,2905,-0.067182,1.4301),(3825,2915,-0.030762,1.4276),(3825,2925,0.003013,1.425),(3825,2935,0.036787,1.4226),(3825,2945,0.070562,1.4204),(3825,2955,0.10306,1.4181),(3825,2965,0.13399,1.4158),(3825,2975,0.16493,1.4136),(3825,2985,0.19587,1.4114),(3825,2995,0.22594,1.4092),(3825,3005,0.2551,1.4071),(3825,3015,0.28427,1.4049),(3825,3025,0.31344,1.4027),(3825,3035,0.34207,1.4005),(3825,3045,0.37022,1.3983),(3825,3055,0.39838,1.396),(3825,3065,0.42653,1.3938),(3825,3075,0.45443,1.3915),(3825,3085,0.48215,1.3892),(3825,3095,0.50986,1.3869),(3825,3105,0.53758,1.3845),(3825,3115,0.56532,1.3821),(3825,3125,0.59308,1.3797),(3825,3135,0.62084,1.3773),(3825,3145,0.64859,1.3748),(3825,3155,0.67667,1.3723),(3825,3165,0.70492,1.3698),(3825,3175,0.73317,1.3672),(3825,3185,0.76142,1.3646),(3825,3195,0.79032,1.362),(3825,3205,0.81952,1.3594),(3825,3215,0.84871,1.3568),(3825,3225,0.8779,1.3541),(3825,3235,0.90815,1.3514),(3825,3245,0.93878,1.3487),(3825,3255,0.96941,1.3459),(3825,3265,1,1.3431),(3825,3275,1.0322,1.3404),(3825,3285,1.0649,1.3376),(3825,3295,1.0976,1.3348),(3825,3305,1.1302,1.332),(3825,3315,1.1651,1.3292),(3825,3325,1.2005,1.3264),(3825,3335,1.236,1.3236),(3825,3345,1.2714,1.3209),(3825,3355,1.31,1.3182),(3825,3365,1.3491,1.3154),(3825,3375,1.3883,1.3128),(3825,3385,1.4275,1.3102),(3825,3395,1.4711,1.3077),(3825,3405,1.5154,1.3051),(3825,3415,1.5597,1.3028),(3825,3425,1.6039,1.3006),(3825,3435,1.6547,1.2984),(3825,3445,1.706,1.2962),(3825,3455,1.7574,1.2947),(3825,3465,1.8087,1.2931),(3825,3475,1.8698,1.2916),(3825,3485,1.9312,1.2901),(3825,3495,1.9926,1.2898),(3825,3505,2.0541,1.2896),(3825,3515,2.1304,1.2893),(3825,3525,2.2067,1.2891),(3825,3535,2.2829,1.2911),(3825,3545,2.3602,1.2931),(3825,3555,2.4593,1.2951),(3825,3565,2.5584,1.2974),(3825,3575,2.6574,1.3034),(3825,3585,2.7595,1.3095),(3825,3595,2.8945,1.3156),(3825,3605,3.0296,1.3225),(3825,3615,3.1646,1.3361),(3825,3625,3.2865,1.3497),(3825,3635,3.3154,1.3633),(3825,3645,3.3443,1.3773),(3825,3655,3.3733,1.3935),(3825,3665,3.3549,1.4097),(3825,3675,3.0944,1.4259),(3825,3685,2.834,1.4394),(3825,3695,2.5735,1.4408),(3825,3705,2.3507,1.4421),(3825,3715,2.2759,1.4435),(3825,3725,2.2011,1.4445),(3825,3735,2.1263,1.4443),(3825,3745,2.055,1.444),(3825,3755,1.9945,1.4437),(3825,3765,1.934,1.4432),(3825,3775,1.8734,1.442),(3825,3785,1.8157,1.4409),(3825,3795,1.765,1.4397),(3825,3805,1.7143,1.4385),(3825,3815,1.6635,1.437),(3825,3825,1.6151,1.4354),(3825,3835,1.5714,1.4339),(3825,3845,1.5278,1.4324),(3825,3855,1.4841,1.4309),(3825,3865,1.4423,1.4294),(3825,3875,1.4039,1.4279),(3825,3885,1.3654,1.4264),(3825,3895,1.327,1.4251),(3825,3905,1.2901,1.4238),(3825,3915,1.2555,1.4225),(3825,3925,1.221,1.4214),(3825,3935,1.1865,1.4205),(3825,3945,1.1532,1.4196),(3825,3955,1.1216,1.4187),(3825,3965,1.09,1.418),(3825,3975,1.0584,1.4176),(3825,3985,1.0278,1.4171),(3825,3995,0.99839,1.4167),(3825,4005,0.96896,1.4165),(3825,4015,0.93953,1.4166),(3825,4025,1.2673,1.4167),(3825,4035,1.6301,1.4143),(3825,4045,1.9928,1.4066),(3825,4055,2.2516,1.3988),(3825,4065,2.4726,1.3904),(3825,4075,2.6935,1.3779),(3825,4085,2.7879,1.3654),(3825,4095,2.7805,1.3529),(3825,4105,2.7731,1.3407),(3825,4115,2.6773,1.3285),(3825,4125,2.4352,1.3164),(3825,4135,2.1931,1.308),(3825,4145,1.9481,1.3006),(3825,4155,1.6917,1.2933),(3825,4165,1.4352,1.2892),(3825,4175,1.193,1.2871),(3825,4185,1.6552,1.2851),(3825,4195,2.1174,1.279),(3825,4205,2.5795,1.2676),(3825,4215,2.648,1.2562),(3825,4225,2.6423,1.2448),(3825,4235,2.6367,1.2334),(3825,4245,2.621,1.2221),(3825,4255,2.6002,1.2105),(3825,4265,2.5794,1.1969),(3825,4275,2.2648,1.1833),(3825,4285,1.6385,1.1696),(3825,4295,1.0122,1.1686),(3825,4305,0.74436,1.169),(3825,4315,1.2861,1.1694),(3825,4325,1.8278,1.1628),(3825,4335,2.309,1.1533),(3825,4345,2.381,1.1439),(3825,4355,2.4529,1.1338),(3825,4365,2.5249,1.123),(3825,4375,2.5257,1.1122),(3825,4385,2.5227,1.1015),(3825,4395,2.5197,1.0912),(3825,4405,2.2067,1.0809),(3825,4415,1.8022,1.0717),(3825,4425,1.3977,1.0679),(3825,4435,1.2242,1.0641),(3825,4445,1.2085,1.0602),(3825,4455,1.1927,1.0566),(3825,4465,1.349,1.053),(3825,4475,1.7469,1.0493),(3825,4485,2.1449,1.0402),(3825,4495,2.4478,1.0299),(3825,4505,2.446,1.0195),(3825,4515,2.4443,1.0094),(3825,4525,2.4377,0.99923),(3825,4535,2.3552,0.98911),(3825,4545,2.2727,0.97959),(3825,4555,2.1902,0.97076),(3825,4565,1.6667,0.96192),(3825,4575,1.0836,0.95582),(3825,4585,0.50061,0.95633),(3825,4595,0.77123,0.95685),(3825,4605,1.4025,0.95592),(3825,4615,2.0339,0.94377),(3825,4625,2.3403,0.93161),(3825,4635,2.3525,0.91946),(3825,4645,2.3648,0.90916),(3825,4655,2.3727,0.89898),(3825,4665,2.3727,0.8888),(3825,4675,2.3726,0.87882),(3825,4685,2.2897,0.8689),(3825,4695,1.7977,0.85898),(3825,4705,1.3056,0.85357),(3825,4715,0.81359,0.85144),(3825,4725,1.0422,0.8493),(3825,4735,1.278,0.84567),(3825,4745,1.5139,0.83981),(3825,4755,1.756,0.83395),(3825,4765,1.9996,0.8272),(3825,4775,2.2432,0.81734),(3825,4785,2.3324,0.80748),(3825,4795,2.3323,0.79763),(3825,4805,2.3322,0.78785),(3825,4815,2.219,0.77808),(3825,4825,1.9706,0.76831),(3825,4835,1.7222,0.76191),(3825,4845,1.4705,0.75602),(3825,4855,1.2104,0.75014),(3825,4865,0.95033,0.74712),(3825,4875,0.76556,0.74541),(3825,4885,1.2661,0.74369),(3825,4895,1.7667,0.73824),(3825,4905,2.2672,0.72922),(3825,4915,2.3066,0.72019),(3825,4925,2.3064,0.71121),(3825,4935,2.3061,0.70232),(3825,4945,2.301,0.69342),(3825,4955,2.2941,0.68439),(3825,4965,2.2873,0.67459),(3825,4975,1.9074,0.6648),(3825,4985,1.2395,0.655),(3825,4995,0.57163,0.65525),(3825,5005,0.35564,0.65576),(3825,5015,0.85803,0.65627),(3825,5025,1.3604,0.65137),(3825,5035,1.7932,0.64508),(3825,5045,1.9606,0.6388),(3825,5055,2.1281,0.63112),(3825,5065,2.2906,0.62258),(3825,5075,2.2907,0.61404),(3825,5085,2.2909,0.60557),(3825,5095,2.291,0.59718),(3825,5105,2.0004,0.58879),(3825,5115,1.6591,0.58157),(3825,5125,1.3178,0.5776),(3825,5135,1.1445,0.57363),(3825,5145,1.0527,0.56978),(3825,5155,0.96097,0.56719),(3825,5165,1.1288,0.5646),(3825,5175,1.5613,0.56201),(3825,5185,1.9939,0.55493),(3825,5195,2.2893,0.54738),(3825,5205,2.289,0.53983),(3825,5215,2.2888,0.53237),(3825,5225,2.2767,0.52494),(3825,5235,2.191,0.51751),(3825,5245,2.1054,0.51064),(3825,5255,2.0198,0.50422),(3825,5265,1.4213,0.4978),(3825,5275,0.80173,0.49385),(3825,5285,0.18214,0.49407),(3825,5295,0.59158,0.49429),(3825,5305,1.2876,0.49322),(3825,5315,1.9836,0.48675),(3825,5325,2.2607,0.48029),(3825,5335,2.2631,0.47383),(3825,5345,2.2655,0.468),(3825,5355,2.2666,0.46217),(3825,5365,2.2657,0.45633),(3825,5375,2.2648,0.45057),(3825,5385,2.1345,0.44483),(3825,5395,1.6108,0.43909),(3825,5405,1.087,0.43628),(3825,5415,0.61851,0.43499),(3825,5425,0.89148,0.43371),(3825,5435,1.1644,0.43233),(3825,5445,1.4374,0.43087),(3825,5455,1.7066,0.4294),(3825,5465,1.9754,0.42762),(3825,5475,2.2441,0.42511),(3825,5485,2.3198,0.4226),(3825,5495,2.3177,0.42009),(3825,5505,2.3157,0.41759),(3825,5515,2.3137,0.41509),(3825,5525,2.3118,0.41258),(3825,5535,2.3098,0.41005),(3825,5545,2.3079,0.40753),(3825,5555,2.3061,0.405),(3825,5565,2.3043,0.40245),(3825,5575,2.3025,0.39991),(3825,5585,2.3008,0.39736),(3825,5595,2.2991,0.39479),(3825,5605,2.2974,0.39221),(3825,5615,2.2958,0.38962),(3825,5625,2.2942,0.38702),(3825,5635,2.2926,0.3844),(3825,5645,2.291,0.38178),(3825,5655,2.2895,0.37915),(3825,5665,2.288,0.37648),(3825,5675,2.2865,0.37382),(3825,5685,2.285,0.37115),(3825,5695,2.2836,0.36843),(3825,5705,2.2822,0.36572),(3825,5715,2.2808,0.363),(3825,5725,2.2794,0.36025),(3825,5735,2.278,0.35749),(3825,5745,2.2767,0.35473),(3825,5755,2.2753,0.35195),(3825,5765,2.274,0.34915),(3825,5775,2.2727,0.34635),(3825,5785,2.2713,0.34352),(3825,5795,2.27,0.34069),(3825,5805,2.2687,0.33785),(3825,5815,2.2674,0.335),(3825,5825,2.2661,0.33213),(3825,5835,2.2648,0.32927),(3825,5845,2.2635,0.3264),(3825,5855,2.2622,0.32352),(3825,5865,2.2609,0.32064),(3825,5875,2.2596,0.31777),(3825,5885,2.2583,0.31489),(3825,5895,2.2569,0.31201),(3825,5905,2.2556,0.30913),(3825,5915,2.2543,0.30626),(3825,5925,2.2529,0.30339),(3825,5935,2.2516,0.30051),(3825,5945,2.2502,0.29765),(3825,5955,2.2488,0.2948),(3825,5965,2.2474,0.29194),(3825,5975,2.2461,0.28908),(3825,5985,2.2447,0.28624),(3825,5995,1.7157,0.28339),(3825,6005,1.1018,0.28124),(3825,6015,0.48784,0.28093),(3825,6025,0.65117,0.28063),(3825,6035,1.175,0.27995),(3825,6045,1.6988,0.27565),(3825,6055,2.0611,0.27135),(3825,6065,2.2649,0.26705),(3825,6075,2.4688,0.26146),(3825,6085,2.6061,0.25576),(3825,6095,2.6063,0.25006),(3825,6105,2.6065,0.2444),(3825,6115,2.6066,0.23876),(3825,6125,2.6067,0.23312),(3825,6135,2.6068,0.22749),(3825,6145,2.6069,0.22189),(3825,6155,2.6068,0.21628),(3825,6165,2.6068,0.21072),(3825,6175,2.6068,0.20522),(3825,6185,2.6067,0.19972),(3825,6195,2.6066,0.19425),(3825,6205,2.6065,0.18891),(3825,6215,2.6064,0.18357),(3825,6225,2.6062,0.17824),(3825,6235,2.606,0.17303),(3825,6245,2.6058,0.16782),(3825,6255,2.6055,0.16261),(3825,6265,2.6053,0.15753),(3825,6275,2.605,0.15247),(3825,6285,2.6047,0.14741),(3825,6295,2.6044,0.14245),(3825,6305,2.6041,0.13753),(3825,6315,2.6038,0.13261),(3825,6325,2.6034,0.12778),(3825,6335,2.6031,0.12303),(3825,6345,2.6027,0.11828),(3825,6355,2.6023,0.1136),(3825,6365,2.6019,0.10907),(3825,6375,2.6016,0.10453),(3825,6385,2.6012,0.10002),(3825,6395,2.6008,0.095612),(3825,6405,2.6004,0.091207),(3825,6415,2.6,0.086803),(3825,6425,2.5996,0.0825),(3825,6435,2.5992,0.078202),(3825,6445,2.5989,0.073904),(3825,6455,2.5985,0.069727),(3825,6465,2.5981,0.065584),(3825,6475,2.5978,0.061442),(3825,6485,2.5975,0.057363),(3825,6495,2.5972,0.053328),(3825,6505,2.5969,0.049292),(3825,6515,2.5967,0.045278),(3825,6525,2.5964,0.041293),(3825,6535,2.5962,0.037307),(3825,6545,2.5961,0.033339),(3825,6555,2.5959,0.029422),(3825,6565,2.5958,0.025505),(3825,6575,2.5957,0.021593),(3825,6585,2.5956,0.017747),(3825,6595,2.2077,0.0139),(3825,6605,1.3915,0.010053),(3825,6615,0.57536,0.009617),(3825,6625,0.00161,0.009619),(3825,6635,0.001611,0.00962),(3825,6645,0.001613,0.009619),(3825,6655,0.001614,0.009615),(3825,6665,0.001615,0.009612),(3825,6675,0.001617,0.009608),(3825,6685,0.001618,0.009604),(3825,6695,0.001619,0.0096),(3825,6705,0.001621,0.009596),(3825,6715,0.001623,0.009592),(3825,6725,0.001624,0.009587),(3825,6735,0.001626,0.009583),(3825,6745,0.001627,0.009577),(3825,6755,0.001629,0.009572),(3825,6765,0.00163,0.009567),(3825,6775,0.001632,0.009562),(3825,6785,0.001634,0.009557),(3825,6795,0.001635,0.009551),(3825,6805,0.001637,0.009545),(3825,6815,0.001638,0.009539),(3825,6825,0.00164,0.009533),(3825,6835,0.001641,0.009527),(3825,6845,0.001643,0.009521),(3825,6855,0.001644,0.009514),(3825,6865,0.001646,0.009508),(3825,6875,0.001647,0.009501),(3825,6885,0.001649,0.009494),(3825,6895,0.00165,0.009488),(3825,6905,0.001651,0.009481),(3825,6915,0.001653,0.009474),(3825,6925,0.001654,0.009467),(3825,6935,0.001655,0.009459),(3825,6945,0.001657,0.009452),(3825,6955,0.001658,0.009445),(3825,6965,0.001659,0.009438),(3825,6975,0.00166,0.00943),(3825,6985,0.001661,0.009423),(3835,5,1.1e-05,1.4164),(3835,15,3.4e-05,1.4164),(3835,25,5.7e-05,1.4164),(3835,35,7.9e-05,1.4164),(3835,45,0.000102,1.4164),(3835,55,0.000124,1.4164),(3835,65,0.000147,1.4164),(3835,75,0.000169,1.4164),(3835,85,0.000191,1.4164),(3835,95,0.000213,1.4164),(3835,105,0.000235,1.4164),(3835,115,0.000256,1.4164),(3835,125,0.000277,1.4164),(3835,135,0.000299,1.4163),(3835,145,0.000319,1.4163),(3835,155,0.000339,1.4163),(3835,165,0.00036,1.4163),(3835,175,0.00038,1.4163),(3835,185,0.000399,1.4163),(3835,195,0.000418,1.4162),(3835,205,0.000436,1.4162),(3835,215,0.000455,1.4162),(3835,225,0.000472,1.4162),(3835,235,0.000489,1.4162),(3835,245,0.000506,1.4161),(3835,255,0.000523,1.4161),(3835,265,0.000538,1.4161),(3835,275,0.000552,1.416),(3835,285,0.000567,1.416),(3835,295,0.000582,1.416),(3835,305,0.000594,1.4159),(3835,315,0.000606,1.4159),(3835,325,0.000617,1.4159),(3835,335,0.000629,1.4158),(3835,345,0.000638,1.4158),(3835,355,0.000646,1.4158),(3835,365,0.000655,1.4157),(3835,375,0.000663,1.4157),(3835,385,0.000667,1.4156),(3835,395,0.000671,1.4156),(3835,405,0.000675,1.4155),(3835,415,0.000679,1.4155),(3835,425,0.000679,1.4154),(3835,435,0.000678,1.4154),(3835,445,0.000677,1.4153),(3835,455,0.000676,1.4153),(3835,465,0.000669,1.4152),(3835,475,0.000663,1.4152),(3835,485,0.000656,1.4151),(3835,495,0.000649,1.4151),(3835,505,0.000636,1.415),(3835,515,0.000622,1.4149),(3835,525,0.000608,1.4149),(3835,535,0.000595,1.4148),(3835,545,0.000573,1.4147),(3835,555,0.000551,1.4147),(3835,565,0.000529,1.4146),(3835,575,0.000507,1.4145),(3835,585,0.000476,1.4144),(3835,595,0.000444,1.4144),(3835,605,0.000413,1.4143),(3835,615,0.000381,1.4142),(3835,625,0.000338,1.4141),(3835,635,0.000296,1.414),(3835,645,0.000253,1.4139),(3835,655,0.000209,1.4138),(3835,665,0.000153,1.4138),(3835,675,9.8e-05,1.4137),(3835,685,4.3e-05,1.4136),(3835,695,-1.6e-05,1.4135),(3835,705,-8.6e-05,1.4134),(3835,715,-0.000157,1.4133),(3835,725,-0.000228,1.4132),(3835,735,-0.000302,1.4131),(3835,745,-0.00039,1.413),(3835,755,-0.000478,1.4129),(3835,765,-0.000566,1.4127),(3835,775,-0.00066,1.4126),(3835,785,-0.000768,1.4125),(3835,795,-0.000876,1.4124),(3835,805,-0.000984,1.4123),(3835,815,-0.001099,1.4122),(3835,825,-0.00123,1.4121),(3835,835,-0.001361,1.4119),(3835,845,-0.001492,1.4118),(3835,855,-0.001632,1.4117),(3835,865,-0.001789,1.4116),(3835,875,-0.001946,1.4115),(3835,885,-0.002102,1.4113),(3835,895,-0.00227,1.4112),(3835,905,-0.002456,1.4111),(3835,915,-0.002642,1.411),(3835,925,-0.002828,1.4108),(3835,935,-0.003027,1.4107),(3835,945,-0.003245,1.4106),(3835,955,-0.003463,1.4105),(3835,965,-0.003681,1.4103),(3835,975,-0.003915,1.4102),(3835,985,-0.004168,1.4101),(3835,995,-0.004421,1.41),(3835,1005,-0.004674,1.4099),(3835,1015,-0.004946,1.4098),(3835,1025,-0.005236,1.4097),(3835,1035,-0.005527,1.4096),(3835,1045,-0.005817,1.4095),(3835,1055,-0.006129,1.4094),(3835,1065,-0.006459,1.4093),(3835,1075,-0.006789,1.4092),(3835,1085,-0.007119,1.4091),(3835,1095,-0.007473,1.409),(3835,1105,-0.007843,1.4089),(3835,1115,-0.008213,1.4089),(3835,1125,-0.008584,1.4088),(3835,1135,-0.008979,1.4087),(3835,1145,-0.00939,1.4087),(3835,1155,-0.0098,1.4086),(3835,1165,-0.010211,1.4086),(3835,1175,-0.010648,1.4086),(3835,1185,-0.011097,1.4086),(3835,1195,-0.011547,1.4086),(3835,1205,-0.011996,1.4086),(3835,1215,-0.012471,1.4086),(3835,1225,-0.012957,1.4086),(3835,1235,-0.013442,1.4086),(3835,1245,-0.013928,1.4087),(3835,1255,-0.014438,1.4088),(3835,1265,-0.014955,1.4088),(3835,1275,-0.015473,1.4089),(3835,1285,-0.01599,1.409),(3835,1295,-0.016529,1.4091),(3835,1305,-0.017073,1.4092),(3835,1315,-0.017617,1.4093),(3835,1325,-0.018161,1.4095),(3835,1335,-0.018722,1.4096),(3835,1345,-0.019287,1.4098),(3835,1355,-0.019852,1.41),(3835,1365,-0.020416,1.4102),(3835,1375,-0.020993,1.4104),(3835,1385,-0.021572,1.4106),(3835,1395,-0.022151,1.4108),(3835,1405,-0.02273,1.4111),(3835,1415,-0.023317,1.4114),(3835,1425,-0.023904,1.4116),(3835,1435,-0.024491,1.4119),(3835,1445,-0.025079,1.4122),(3835,1455,-0.02567,1.4125),(3835,1465,-0.026261,1.4128),(3835,1475,-0.026853,1.4132),(3835,1485,-0.027444,1.4135),(3835,1495,-0.028037,1.4138),(3835,1505,-0.028629,1.4142),(3835,1515,-0.029222,1.4146),(3835,1525,-0.029815,1.4149),(3835,1535,-0.030407,1.4153),(3835,1545,-0.031,1.4157),(3835,1555,-0.031592,1.4161),(3835,1565,-0.032185,1.4165),(3835,1575,-0.032778,1.4169),(3835,1585,-0.033371,1.4174),(3835,1595,-0.033964,1.4178),(3835,1605,-0.034557,1.4182),(3835,1615,-0.035153,1.4187),(3835,1625,-0.035749,1.4191),(3835,1635,-0.036345,1.4196),(3835,1645,-0.036942,1.42),(3835,1655,-0.037546,1.4205),(3835,1665,-0.03815,1.4209),(3835,1675,-0.038754,1.4214),(3835,1685,-0.03936,1.4218),(3835,1695,-0.039978,1.4223),(3835,1705,-0.040595,1.4228),(3835,1715,-0.041213,1.4232),(3835,1725,-0.041835,1.4237),(3835,1735,-0.042475,1.4242),(3835,1745,-0.043114,1.4246),(3835,1755,-0.043753,1.4251),(3835,1765,-0.044401,1.4256),(3835,1775,-0.045071,1.426),(3835,1785,-0.04574,1.4265),(3835,1795,-0.04641,1.427),(3835,1805,-0.047093,1.4274),(3835,1815,-0.047804,1.4279),(3835,1825,-0.048514,1.4284),(3835,1835,-0.049225,1.4288),(3835,1845,-0.049955,1.4293),(3835,1855,-0.050719,1.4297),(3835,1865,-0.051483,1.4302),(3835,1875,-0.052247,1.4306),(3835,1885,-0.053037,1.4311),(3835,1895,-0.053869,1.4315),(3835,1905,-0.0547,1.4319),(3835,1915,-0.055531,1.4324),(3835,1925,-0.056398,1.4328),(3835,1935,-0.057312,1.4332),(3835,1945,-0.058226,1.4336),(3835,1955,-0.05914,1.434),(3835,1965,-0.060101,1.4344),(3835,1975,-0.061116,1.4348),(3835,1985,-0.062132,1.4352),(3835,1995,-0.063147,1.4356),(3835,2005,-0.064223,1.436),(3835,2015,-0.065361,1.4364),(3835,2025,-0.066498,1.4367),(3835,2035,-0.067636,1.4371),(3835,2045,-0.068853,1.4374),(3835,2055,-0.070138,1.4378),(3835,2065,-0.071423,1.4381),(3835,2075,-0.072708,1.4384),(3835,2085,-0.074096,1.4388),(3835,2095,-0.075559,1.4391),(3835,2105,-0.077021,1.4394),(3835,2115,-0.078484,1.4397),(3835,2125,-0.080078,1.4399),(3835,2135,-0.081755,1.4402),(3835,2145,-0.083431,1.4405),(3835,2155,-0.085107,1.4407),(3835,2165,-0.086953,1.4409),(3835,2175,-0.088887,1.4412),(3835,2185,-0.090821,1.4414),(3835,2195,-0.092756,1.4416),(3835,2205,-0.094908,1.4418),(3835,2215,-0.097155,1.4419),(3835,2225,-0.099402,1.4421),(3835,2235,-0.10165,1.4422),(3835,2245,-0.10418,1.4423),(3835,2255,-0.1068,1.4424),(3835,2265,-0.10943,1.4425),(3835,2275,-0.11206,1.4425),(3835,2285,-0.11505,1.4426),(3835,2295,-0.11815,1.4426),(3835,2305,-0.12125,1.4426),(3835,2315,-0.12434,1.4426),(3835,2325,-0.12791,1.4425),(3835,2335,-0.13159,1.4425),(3835,2345,-0.13527,1.4423),(3835,2355,-0.13895,1.4422),(3835,2365,-0.14325,1.442),(3835,2375,-0.14766,1.4418),(3835,2385,-0.15207,1.4415),(3835,2395,-0.15647,1.4412),(3835,2405,-0.16171,1.4409),(3835,2415,-0.16705,1.4406),(3835,2425,-0.17238,1.4401),(3835,2435,-0.17772,1.4396),(3835,2445,-0.18418,1.4391),(3835,2455,-0.19071,1.4386),(3835,2465,-0.19725,1.4379),(3835,2475,-0.20379,1.4371),(3835,2485,-0.21187,1.4363),(3835,2495,-0.22,1.4356),(3835,2505,-0.22812,1.4345),(3835,2515,-0.23628,1.4333),(3835,2525,-0.24656,1.4322),(3835,2535,-0.25684,1.431),(3835,2545,-0.26712,1.4293),(3835,2555,-0.27757,1.4276),(3835,2565,-0.29087,1.4259),(3835,2575,-0.30417,1.4242),(3835,2585,-0.31747,1.4216),(3835,2595,-0.33118,1.419),(3835,2605,-0.34888,1.4164),(3835,2615,-0.36659,1.4137),(3835,2625,-0.38429,1.4095),(3835,2635,-0.4029,1.4054),(3835,2645,-0.42735,1.4013),(3835,2655,-0.4518,1.3967),(3835,2665,-0.47625,1.3897),(3835,2675,-0.5026,1.3826),(3835,2685,-0.53798,1.3756),(3835,2695,-0.57336,1.3674),(3835,2705,-0.60875,1.3545),(3835,2715,-0.64911,1.3415),(3835,2725,-0.70786,1.3286),(3835,2735,-0.76661,1.3126),(3835,2745,-0.82536,1.2867),(3835,2755,-0.85141,1.2608),(3835,2765,-0.78064,1.2349),(3835,2775,-0.70986,1.2124),(3835,2785,-0.63909,1.1989),(3835,2795,-0.57265,1.1855),(3835,2805,-0.51669,1.172),(3835,2815,-0.46073,1.1603),(3835,2825,-0.40477,1.1525),(3835,2835,-0.35256,1.1448),(3835,2845,-0.30791,1.137),(3835,2855,-0.26326,1.1302),(3835,2865,-0.2186,1.1251),(3835,2875,-0.1765,1.12),(3835,2885,-0.1387,1.115),(3835,2895,-0.1009,1.1104),(3835,2905,-0.063109,1.1067),(3835,2915,-0.02708,1.103),(3835,2925,0.006415,1.0993),(3835,2935,0.03991,1.0959),(3835,2945,0.073405,1.0929),(3835,2955,0.10567,1.0899),(3835,2965,0.13642,1.0869),(3835,2975,0.16718,1.0841),(3835,2985,0.19793,1.0815),(3835,2995,0.22785,1.0788),(3835,3005,0.25689,1.0762),(3835,3015,0.28593,1.0737),(3835,3025,0.31497,1.0712),(3835,3035,0.34349,1.0687),(3835,3045,0.37155,1.0663),(3835,3055,0.3996,1.0638),(3835,3065,0.42766,1.0615),(3835,3075,0.45547,1.0591),(3835,3085,0.48311,1.0567),(3835,3095,0.51074,1.0543),(3835,3105,0.53837,1.0519),(3835,3115,0.56603,1.0496),(3835,3125,0.59372,1.0472),(3835,3135,0.6214,1.0448),(3835,3145,0.64908,1.0425),(3835,3155,0.67709,1.0401),(3835,3165,0.70526,1.0377),(3835,3175,0.73343,1.0354),(3835,3185,0.7616,1.033),(3835,3195,0.79042,1.0306),(3835,3205,0.81953,1.0283),(3835,3215,0.84863,1.0259),(3835,3225,0.87774,1.0236),(3835,3235,0.90788,1.0213),(3835,3245,0.93841,1.0189),(3835,3255,0.96894,1.0167),(3835,3265,0.99947,1.0144),(3835,3275,1.0315,1.0121),(3835,3285,1.0641,1.0099),(3835,3295,1.0966,1.0078),(3835,3305,1.1291,1.0057),(3835,3315,1.1638,1.0036),(3835,3325,1.1991,1.0015),(3835,3335,1.2343,0.99965),(3835,3345,1.2696,0.99786),(3835,3355,1.308,0.99607),(3835,3365,1.3469,0.99429),(3835,3375,1.3858,0.99295),(3835,3385,1.4247,0.99168),(3835,3395,1.4681,0.99041),(3835,3405,1.512,0.98914),(3835,3415,1.5559,0.98867),(3835,3425,1.5998,0.98828),(3835,3435,1.6501,0.98788),(3835,3445,1.7009,0.98749),(3835,3455,1.7517,0.9885),(3835,3465,1.8025,0.98958),(3835,3475,1.8627,0.99067),(3835,3485,1.9233,0.99175),(3835,3495,1.9839,0.99531),(3835,3505,2.0445,0.99891),(3835,3515,2.1195,1.0025),(3835,3525,2.1944,1.0062),(3835,3535,2.2693,1.0141),(3835,3545,2.3452,1.0221),(3835,3555,2.442,1.03),(3835,3565,2.5388,1.0384),(3835,3575,2.6356,1.0538),(3835,3585,2.7353,1.0693),(3835,3595,2.8665,1.0847),(3835,3605,2.9977,1.1016),(3835,3615,3.129,1.1301),(3835,3625,3.2474,1.1586),(3835,3635,3.2752,1.1871),(3835,3645,3.303,1.2162),(3835,3655,3.3308,1.2487),(3835,3665,3.3127,1.2812),(3835,3675,3.0596,1.3137),(3835,3685,2.8065,1.3416),(3835,3695,2.5534,1.3488),(3835,3705,2.3367,1.356),(3835,3715,2.2631,1.3633),(3835,3725,2.1896,1.3696),(3835,3735,2.116,1.3731),(3835,3745,2.0458,1.3765),(3835,3755,1.986,1.3799),(3835,3765,1.9262,1.3828),(3835,3775,1.8664,1.3842),(3835,3785,1.8092,1.3856),(3835,3795,1.759,1.3869),(3835,3805,1.7087,1.388),(3835,3815,1.6584,1.3883),(3835,3825,1.6103,1.3886),(3835,3835,1.5669,1.3889),(3835,3845,1.5235,1.389),(3835,3855,1.48,1.3888),(3835,3865,1.4385,1.3887),(3835,3875,1.4002,1.3885),(3835,3885,1.3619,1.3882),(3835,3895,1.3235,1.388),(3835,3905,1.2868,1.3877),(3835,3915,1.2523,1.3874),(3835,3925,1.2178,1.3871),(3835,3935,1.1833,1.387),(3835,3945,1.1501,1.3868),(3835,3955,1.1186,1.3866),(3835,3965,1.087,1.3866),(3835,3975,1.0554,1.3868),(3835,3985,1.0248,1.3869),(3835,3995,0.99537,1.387),(3835,4005,0.96592,1.3873),(3835,4015,0.93647,1.3878),(3835,4025,1.2656,1.3883),(3835,4035,1.6297,1.3863),(3835,4045,1.9939,1.379),(3835,4055,2.2538,1.3717),(3835,4065,2.4756,1.3637),(3835,4075,2.6974,1.3515),(3835,4085,2.7921,1.3394),(3835,4095,2.7846,1.3272),(3835,4105,2.7772,1.3154),(3835,4115,2.6811,1.3036),(3835,4125,2.4382,1.2918),(3835,4135,2.1952,1.2837),(3835,4145,1.9495,1.2766),(3835,4155,1.6921,1.2695),(3835,4165,1.4347,1.2656),(3835,4175,1.1916,1.2637),(3835,4185,1.6554,1.2619),(3835,4195,2.1191,1.256),(3835,4205,2.5829,1.2449),(3835,4215,2.6516,1.2337),(3835,4225,2.646,1.2225),(3835,4235,2.6404,1.2114),(3835,4245,2.6251,1.2003),(3835,4255,2.6051,1.1889),(3835,4265,2.585,1.1756),(3835,4275,2.2696,1.1622),(3835,4285,1.6407,1.1488),(3835,4295,1.0119,1.1478),(3835,4305,0.74277,1.1482),(3835,4315,1.2859,1.1487),(3835,4325,1.829,1.1422),(3835,4335,2.3115,1.1331),(3835,4345,2.3837,1.1239),(3835,4355,2.4559,1.114),(3835,4365,2.5281,1.1036),(3835,4375,2.5287,1.0931),(3835,4385,2.5256,1.0827),(3835,4395,2.5225,1.0727),(3835,4405,2.2088,1.0626),(3835,4415,1.8035,1.0537),(3835,4425,1.3983,1.05),(3835,4435,1.2244,1.0463),(3835,4445,1.2087,1.0425),(3835,4455,1.1929,1.039),(3835,4465,1.3496,1.0354),(3835,4475,1.7484,1.0318),(3835,4485,2.1472,1.0228),(3835,4495,2.4508,1.0127),(3835,4505,2.449,1.0026),(3835,4515,2.4472,0.99255),(3835,4525,2.4405,0.9826),(3835,4535,2.3579,0.97265),(3835,4545,2.2753,0.96329),(3835,4555,2.1926,0.95461),(3835,4565,1.668,0.94593),(3835,4575,1.0837,0.93995),(3835,4585,0.49949,0.94052),(3835,4595,0.77123,0.94108),(3835,4605,1.4046,0.94022),(3835,4615,2.038,0.92822),(3835,4625,2.3451,0.91623),(3835,4635,2.3568,0.90424),(3835,4645,2.3684,0.89405),(3835,4655,2.3759,0.88399),(3835,4665,2.3757,0.87393),(3835,4675,2.3756,0.86406),(3835,4685,2.2925,0.85425),(3835,4695,1.7994,0.84444),(3835,4705,1.3064,0.83912),(3835,4715,0.81334,0.83706),(3835,4725,1.0424,0.835),(3835,4735,1.2788,0.83144),(3835,4745,1.5151,0.82564),(3835,4755,1.7578,0.81985),(3835,4765,2.0019,0.81317),(3835,4775,2.246,0.80337),(3835,4785,2.3354,0.79358),(3835,4795,2.3353,0.78379),(3835,4805,2.3351,0.7741),(3835,4815,2.2217,0.76441),(3835,4825,1.9728,0.75472),(3835,4835,1.7239,0.74839),(3835,4845,1.4717,0.74258),(3835,4855,1.2111,0.73677),(3835,4865,0.95043,0.73381),(3835,4875,0.76525,0.73215),(3835,4885,1.2666,0.73048),(3835,4895,1.768,0.72513),(3835,4905,2.2694,0.71622),(3835,4915,2.3088,0.70732),(3835,4925,2.3085,0.69845),(3835,4935,2.3082,0.68967),(3835,4945,2.3033,0.68089),(3835,4955,2.2967,0.67198),(3835,4965,2.2901,0.66233),(3835,4975,1.9096,0.65268),(3835,4985,1.2405,0.64304),(3835,4995,0.57142,0.64332),(3835,5005,0.35492,0.64385),(3835,5015,0.85798,0.64438),(3835,5025,1.361,0.63955),(3835,5035,1.7944,0.63336),(3835,5045,1.962,0.62716),(3835,5055,2.1297,0.61958),(3835,5065,2.2924,0.61115),(3835,5075,2.2925,0.60272),(3835,5085,2.2926,0.59436),(3835,5095,2.2927,0.58608),(3835,5105,2.0018,0.5778),(3835,5115,1.6601,0.57067),(3835,5125,1.3184,0.56677),(3835,5135,1.1448,0.56286),(3835,5145,1.0529,0.55907),(3835,5155,0.96099,0.55653),(3835,5165,1.1289,0.55399),(3835,5175,1.5617,0.55145),(3835,5185,1.9946,0.54447),(3835,5195,2.2902,0.53703),(3835,5205,2.2899,0.52959),(3835,5215,2.2896,0.52224),(3835,5225,2.2774,0.51492),(3835,5235,2.1917,0.5076),(3835,5245,2.106,0.50083),(3835,5255,2.0203,0.4945),(3835,5265,1.4216,0.48818),(3835,5275,0.80173,0.48429),(3835,5285,0.18184,0.48451),(3835,5295,0.5913,0.48473),(3835,5305,1.2874,0.48369),(3835,5315,1.9835,0.47736),(3835,5325,2.2606,0.47103),(3835,5335,2.2628,0.46471),(3835,5345,2.265,0.45899),(3835,5355,2.2659,0.45326),(3835,5365,2.265,0.44753),(3835,5375,2.2641,0.44188),(3835,5385,2.1338,0.43624),(3835,5395,1.6102,0.4306),(3835,5405,1.0865,0.42785),(3835,5415,0.61805,0.42659),(3835,5425,0.89033,0.42533),(3835,5435,1.1626,0.42401),(3835,5445,1.4349,0.42261),(3835,5455,1.7037,0.42121),(3835,5465,1.972,0.41951),(3835,5475,2.2403,0.41711),(3835,5485,2.3159,0.4147),(3835,5495,2.3138,0.4123),(3835,5505,2.3117,0.40989),(3835,5515,2.3098,0.40748),(3835,5525,2.3078,0.40507),(3835,5535,2.3059,0.40264),(3835,5545,2.3041,0.4002),(3835,5555,2.3023,0.39776),(3835,5565,2.3005,0.3953),(3835,5575,2.2987,0.39284),(3835,5585,2.297,0.39037),(3835,5595,2.2953,0.38788),(3835,5605,2.2936,0.38538),(3835,5615,2.2921,0.38288),(3835,5625,2.2905,0.38036),(3835,5635,2.2889,0.37781),(3835,5645,2.2874,0.37526),(3835,5655,2.2858,0.37271),(3835,5665,2.2843,0.37012),(3835,5675,2.2829,0.36752),(3835,5685,2.2815,0.36493),(3835,5695,2.28,0.36228),(3835,5705,2.2786,0.35964),(3835,5715,2.2772,0.35699),(3835,5725,2.2759,0.35431),(3835,5735,2.2745,0.35162),(3835,5745,2.2732,0.34893),(3835,5755,2.2719,0.34621),(3835,5765,2.2705,0.34348),(3835,5775,2.2692,0.34075),(3835,5785,2.2679,0.33799),(3835,5795,2.2666,0.33522),(3835,5805,2.2653,0.33245),(3835,5815,2.264,0.32967),(3835,5825,2.2627,0.32687),(3835,5835,2.2615,0.32408),(3835,5845,2.2602,0.32128),(3835,5855,2.2589,0.31847),(3835,5865,2.2576,0.31566),(3835,5875,2.2563,0.31285),(3835,5885,2.255,0.31004),(3835,5895,2.2536,0.30723),(3835,5905,2.2523,0.30442),(3835,5915,2.251,0.30161),(3835,5925,2.2496,0.29881),(3835,5935,2.2483,0.29601),(3835,5945,2.2469,0.29322),(3835,5955,2.2456,0.29044),(3835,5965,2.2442,0.28765),(3835,5975,2.2428,0.28487),(3835,5985,2.2414,0.2821),(3835,5995,1.7131,0.27933),(3835,6005,1.1001,0.27723),(3835,6015,0.48707,0.27694),(3835,6025,0.65071,0.27666),(3835,6035,1.1746,0.276),(3835,6045,1.6984,0.27171),(3835,6055,2.0607,0.26743),(3835,6065,2.2646,0.26315),(3835,6075,2.4684,0.25759),(3835,6085,2.6057,0.25192),(3835,6095,2.6059,0.24624),(3835,6105,2.6061,0.24061),(3835,6115,2.6062,0.235),(3835,6125,2.6063,0.22939),(3835,6135,2.6063,0.2238),(3835,6145,2.6064,0.21823),(3835,6155,2.6063,0.21267),(3835,6165,2.6063,0.20714),(3835,6175,2.6062,0.20168),(3835,6185,2.6061,0.19622),(3835,6195,2.606,0.1908),(3835,6205,2.6058,0.18551),(3835,6215,2.6056,0.18022),(3835,6225,2.6054,0.17493),(3835,6235,2.6052,0.16977),(3835,6245,2.6049,0.16462),(3835,6255,2.6046,0.15946),(3835,6265,2.6043,0.15444),(3835,6275,2.604,0.14944),(3835,6285,2.6036,0.14444),(3835,6295,2.6033,0.13955),(3835,6305,2.6029,0.1347),(3835,6315,2.6025,0.12985),(3835,6325,2.6021,0.12508),(3835,6335,2.6017,0.12041),(3835,6345,2.6013,0.11574),(3835,6355,2.6009,0.11113),(3835,6365,2.6004,0.10667),(3835,6375,2.6,0.10222),(3835,6385,2.5996,0.097778),(3835,6395,2.5991,0.093456),(3835,6405,2.5987,0.089135),(3835,6415,2.5983,0.084813),(3835,6425,2.5978,0.080604),(3835,6435,2.5974,0.0764),(3835,6445,2.597,0.072196),(3835,6455,2.5966,0.068115),(3835,6465,2.5962,0.064069),(3835,6475,2.5959,0.060023),(3835,6485,2.5955,0.056046),(3835,6495,2.5952,0.052115),(3835,6505,2.5949,0.048185),(3835,6515,2.5946,0.044276),(3835,6525,2.5943,0.040399),(3835,6535,2.5941,0.036521),(3835,6545,2.5939,0.032661),(3835,6555,2.5937,0.028857),(3835,6565,2.5936,0.025053),(3835,6575,2.5935,0.021254),(3835,6585,2.5934,0.017519),(3835,6595,2.2058,0.013784),(3835,6605,1.3904,0.010048),(3835,6615,0.57488,0.009623),(3835,6625,0.001609,0.009622),(3835,6635,0.00161,0.009622),(3835,6645,0.001612,0.00962),(3835,6655,0.001613,0.009616),(3835,6665,0.001615,0.009613),(3835,6675,0.001616,0.009609),(3835,6685,0.001618,0.009605),(3835,6695,0.00162,0.009602),(3835,6705,0.001621,0.009598),(3835,6715,0.001623,0.009593),(3835,6725,0.001625,0.009589),(3835,6735,0.001627,0.009584),(3835,6745,0.001628,0.009579),(3835,6755,0.00163,0.009574),(3835,6765,0.001632,0.009569),(3835,6775,0.001634,0.009563),(3835,6785,0.001635,0.009558),(3835,6795,0.001637,0.009552),(3835,6805,0.001639,0.009546),(3835,6815,0.00164,0.009541),(3835,6825,0.001642,0.009535),(3835,6835,0.001644,0.009528),(3835,6845,0.001645,0.009522),(3835,6855,0.001647,0.009516),(3835,6865,0.001649,0.009509),(3835,6875,0.00165,0.009503),(3835,6885,0.001651,0.009496),(3835,6895,0.001653,0.009489),(3835,6905,0.001654,0.009482),(3835,6915,0.001656,0.009475),(3835,6925,0.001657,0.009468),(3835,6935,0.001659,0.009461),(3835,6945,0.00166,0.009454),(3835,6955,0.001661,0.009446),(3835,6965,0.001662,0.009439),(3835,6975,0.001664,0.009431),(3835,6985,0.001665,0.009424),(3845,5,1.2e-05,1.2395),(3845,15,3.5e-05,1.2395),(3845,25,5.9e-05,1.2395),(3845,35,8.2e-05,1.2395),(3845,45,0.000106,1.2395),(3845,55,0.000129,1.2395),(3845,65,0.000152,1.2395),(3845,75,0.000175,1.2395),(3845,85,0.000198,1.2395),(3845,95,0.000221,1.2395),(3845,105,0.000244,1.2395),(3845,115,0.000266,1.2395),(3845,125,0.000288,1.2394),(3845,135,0.00031,1.2394),(3845,145,0.000332,1.2394),(3845,155,0.000353,1.2394),(3845,165,0.000374,1.2394),(3845,175,0.000395,1.2394),(3845,185,0.000415,1.2394),(3845,195,0.000435,1.2393),(3845,205,0.000455,1.2393),(3845,215,0.000474,1.2393),(3845,225,0.000493,1.2393),(3845,235,0.000511,1.2392),(3845,245,0.000528,1.2392),(3845,255,0.000546,1.2392),(3845,265,0.000562,1.2392),(3845,275,0.000578,1.2391),(3845,285,0.000594,1.2391),(3845,295,0.000609,1.2391),(3845,305,0.000623,1.239),(3845,315,0.000636,1.239),(3845,325,0.000649,1.239),(3845,335,0.000662,1.2389),(3845,345,0.000672,1.2389),(3845,355,0.000681,1.2388),(3845,365,0.000691,1.2388),(3845,375,0.000701,1.2388),(3845,385,0.000707,1.2387),(3845,395,0.000712,1.2387),(3845,405,0.000717,1.2386),(3845,415,0.000723,1.2386),(3845,425,0.000724,1.2385),(3845,435,0.000724,1.2385),(3845,445,0.000724,1.2384),(3845,455,0.000725,1.2384),(3845,465,0.00072,1.2383),(3845,475,0.000715,1.2382),(3845,485,0.000709,1.2382),(3845,495,0.000704,1.2381),(3845,505,0.000692,1.2381),(3845,515,0.00068,1.238),(3845,525,0.000669,1.2379),(3845,535,0.000656,1.2379),(3845,545,0.000636,1.2378),(3845,555,0.000616,1.2377),(3845,565,0.000596,1.2376),(3845,575,0.000576,1.2376),(3845,585,0.000546,1.2375),(3845,595,0.000517,1.2374),(3845,605,0.000487,1.2373),(3845,615,0.000457,1.2372),(3845,625,0.000416,1.2371),(3845,635,0.000376,1.2371),(3845,645,0.000335,1.237),(3845,655,0.000292,1.2369),(3845,665,0.000239,1.2368),(3845,675,0.000185,1.2367),(3845,685,0.000132,1.2366),(3845,695,7.5e-05,1.2365),(3845,705,7e-06,1.2364),(3845,715,-6.2e-05,1.2363),(3845,725,-0.000131,1.2362),(3845,735,-0.000203,1.2361),(3845,745,-0.00029,1.2359),(3845,755,-0.000376,1.2358),(3845,765,-0.000462,1.2357),(3845,775,-0.000554,1.2356),(3845,785,-0.00066,1.2355),(3845,795,-0.000767,1.2354),(3845,805,-0.000873,1.2352),(3845,815,-0.000987,1.2351),(3845,825,-0.001117,1.235),(3845,835,-0.001246,1.2349),(3845,845,-0.001376,1.2348),(3845,855,-0.001515,1.2346),(3845,865,-0.00167,1.2345),(3845,875,-0.001826,1.2344),(3845,885,-0.001982,1.2342),(3845,895,-0.002149,1.2341),(3845,905,-0.002335,1.234),(3845,915,-0.00252,1.2338),(3845,925,-0.002705,1.2337),(3845,935,-0.002905,1.2336),(3845,945,-0.003123,1.2334),(3845,955,-0.003341,1.2333),(3845,965,-0.003559,1.2332),(3845,975,-0.003794,1.2331),(3845,985,-0.004049,1.2329),(3845,995,-0.004303,1.2328),(3845,1005,-0.004557,1.2327),(3845,1015,-0.00483,1.2326),(3845,1025,-0.005123,1.2324),(3845,1035,-0.005416,1.2323),(3845,1045,-0.005709,1.2322),(3845,1055,-0.006024,1.2321),(3845,1065,-0.006358,1.232),(3845,1075,-0.006691,1.2319),(3845,1085,-0.007025,1.2318),(3845,1095,-0.007383,1.2317),(3845,1105,-0.007758,1.2316),(3845,1115,-0.008133,1.2315),(3845,1125,-0.008509,1.2315),(3845,1135,-0.00891,1.2314),(3845,1145,-0.009327,1.2313),(3845,1155,-0.009744,1.2313),(3845,1165,-0.010161,1.2313),(3845,1175,-0.010605,1.2312),(3845,1185,-0.011063,1.2312),(3845,1195,-0.01152,1.2312),(3845,1205,-0.011978,1.2312),(3845,1215,-0.012461,1.2312),(3845,1225,-0.012956,1.2312),(3845,1235,-0.013451,1.2312),(3845,1245,-0.013946,1.2313),(3845,1255,-0.014465,1.2313),(3845,1265,-0.014993,1.2313),(3845,1275,-0.015521,1.2314),(3845,1285,-0.016049,1.2315),(3845,1295,-0.016598,1.2316),(3845,1305,-0.017153,1.2317),(3845,1315,-0.017708,1.2318),(3845,1325,-0.018263,1.232),(3845,1335,-0.018835,1.2321),(3845,1345,-0.019411,1.2323),(3845,1355,-0.019986,1.2325),(3845,1365,-0.020562,1.2327),(3845,1375,-0.02115,1.2329),(3845,1385,-0.02174,1.2331),(3845,1395,-0.02233,1.2333),(3845,1405,-0.022919,1.2336),(3845,1415,-0.023516,1.2338),(3845,1425,-0.024113,1.2341),(3845,1435,-0.024711,1.2344),(3845,1445,-0.025308,1.2347),(3845,1455,-0.025908,1.235),(3845,1465,-0.026509,1.2353),(3845,1475,-0.027109,1.2356),(3845,1485,-0.027709,1.236),(3845,1495,-0.028309,1.2363),(3845,1505,-0.02891,1.2367),(3845,1515,-0.02951,1.237),(3845,1525,-0.03011,1.2374),(3845,1535,-0.030708,1.2378),(3845,1545,-0.031307,1.2382),(3845,1555,-0.031905,1.2386),(3845,1565,-0.032504,1.239),(3845,1575,-0.033101,1.2394),(3845,1585,-0.033698,1.2398),(3845,1595,-0.034296,1.2403),(3845,1605,-0.034893,1.2407),(3845,1615,-0.035492,1.2411),(3845,1625,-0.036091,1.2416),(3845,1635,-0.036689,1.242),(3845,1645,-0.037289,1.2425),(3845,1655,-0.037894,1.2429),(3845,1665,-0.038499,1.2434),(3845,1675,-0.039104,1.2438),(3845,1685,-0.039711,1.2443),(3845,1695,-0.040328,1.2448),(3845,1705,-0.040946,1.2452),(3845,1715,-0.041563,1.2457),(3845,1725,-0.042185,1.2461),(3845,1735,-0.042823,1.2466),(3845,1745,-0.043461,1.2471),(3845,1755,-0.044098,1.2475),(3845,1765,-0.044744,1.248),(3845,1775,-0.045411,1.2485),(3845,1785,-0.046078,1.2489),(3845,1795,-0.046745,1.2494),(3845,1805,-0.047425,1.2498),(3845,1815,-0.048132,1.2503),(3845,1825,-0.048839,1.2507),(3845,1835,-0.049546,1.2512),(3845,1845,-0.050271,1.2516),(3845,1855,-0.051031,1.252),(3845,1865,-0.05179,1.2525),(3845,1875,-0.052549,1.2529),(3845,1885,-0.053334,1.2533),(3845,1895,-0.05416,1.2538),(3845,1905,-0.054985,1.2542),(3845,1915,-0.055811,1.2546),(3845,1925,-0.056671,1.255),(3845,1935,-0.057578,1.2554),(3845,1945,-0.058485,1.2558),(3845,1955,-0.059393,1.2562),(3845,1965,-0.060346,1.2565),(3845,1975,-0.061353,1.2569),(3845,1985,-0.06236,1.2573),(3845,1995,-0.063367,1.2576),(3845,2005,-0.064435,1.258),(3845,2015,-0.065563,1.2583),(3845,2025,-0.066691,1.2587),(3845,2035,-0.067819,1.259),(3845,2045,-0.069026,1.2593),(3845,2055,-0.070301,1.2596),(3845,2065,-0.071575,1.2599),(3845,2075,-0.072849,1.2602),(3845,2085,-0.074225,1.2605),(3845,2095,-0.075675,1.2607),(3845,2105,-0.077125,1.261),(3845,2115,-0.078574,1.2612),(3845,2125,-0.080155,1.2614),(3845,2135,-0.081816,1.2617),(3845,2145,-0.083478,1.2619),(3845,2155,-0.085139,1.262),(3845,2165,-0.086969,1.2622),(3845,2175,-0.088885,1.2624),(3845,2185,-0.090802,1.2625),(3845,2195,-0.092718,1.2626),(3845,2205,-0.094851,1.2627),(3845,2215,-0.097077,1.2628),(3845,2225,-0.099303,1.2629),(3845,2235,-0.10153,1.2629),(3845,2245,-0.10403,1.2629),(3845,2255,-0.10664,1.2629),(3845,2265,-0.10924,1.2629),(3845,2275,-0.11184,1.2628),(3845,2285,-0.1148,1.2628),(3845,2295,-0.11787,1.2627),(3845,2305,-0.12094,1.2625),(3845,2315,-0.124,1.2623),(3845,2325,-0.12754,1.2621),(3845,2335,-0.13118,1.2619),(3845,2345,-0.13482,1.2616),(3845,2355,-0.13846,1.2613),(3845,2365,-0.14271,1.2609),(3845,2375,-0.14707,1.2606),(3845,2385,-0.15143,1.2601),(3845,2395,-0.15579,1.2595),(3845,2405,-0.16097,1.259),(3845,2415,-0.16624,1.2585),(3845,2425,-0.17151,1.2577),(3845,2435,-0.17679,1.2569),(3845,2445,-0.18316,1.2561),(3845,2455,-0.18961,1.2553),(3845,2465,-0.19607,1.2542),(3845,2475,-0.20252,1.253),(3845,2485,-0.21049,1.2518),(3845,2495,-0.2185,1.2507),(3845,2505,-0.2265,1.249),(3845,2515,-0.23454,1.2474),(3845,2525,-0.24465,1.2457),(3845,2535,-0.25475,1.244),(3845,2545,-0.26486,1.2416),(3845,2555,-0.27513,1.2392),(3845,2565,-0.28816,1.2368),(3845,2575,-0.30118,1.2342),(3845,2585,-0.31421,1.2306),(3845,2595,-0.32764,1.227),(3845,2605,-0.34489,1.2233),(3845,2615,-0.36213,1.2195),(3845,2625,-0.37938,1.2138),(3845,2635,-0.39748,1.2081),(3845,2645,-0.42109,1.2023),(3845,2655,-0.4447,1.1961),(3845,2665,-0.46832,1.1866),(3845,2675,-0.49368,1.1771),(3845,2685,-0.52739,1.1676),(3845,2695,-0.5611,1.1566),(3845,2705,-0.59482,1.1396),(3845,2715,-0.63309,1.1225),(3845,2725,-0.68824,1.1055),(3845,2735,-0.74338,1.0848),(3845,2745,-0.79853,1.0518),(3845,2755,-0.82277,1.0189),(3845,2765,-0.75551,0.98591),(3845,2775,-0.68825,0.95711),(3845,2785,-0.62098,0.9394),(3845,2795,-0.55751,0.92169),(3845,2805,-0.50322,0.90398),(3845,2815,-0.44893,0.88857),(3845,2825,-0.39463,0.87821),(3845,2835,-0.34382,0.86785),(3845,2845,-0.30002,0.85749),(3845,2855,-0.25622,0.84844),(3845,2865,-0.21241,0.84177),(3845,2875,-0.17102,0.83511),(3845,2885,-0.13369,0.82844),(3845,2895,-0.096362,0.82254),(3845,2905,-0.059035,0.81782),(3845,2915,-0.023397,0.8131),(3845,2925,0.009817,0.80838),(3845,2935,0.043032,0.80412),(3845,2945,0.076247,0.80046),(3845,2955,0.10827,0.79681),(3845,2965,0.13885,0.79315),(3845,2975,0.16942,0.78978),(3845,2985,0.2,0.78673),(3845,2995,0.22976,0.78368),(3845,3005,0.25867,0.78063),(3845,3015,0.28759,0.77775),(3845,3025,0.3165,0.77505),(3845,3035,0.34491,0.77235),(3845,3045,0.37287,0.76965),(3845,3055,0.40083,0.76706),(3845,3065,0.42879,0.76457),(3845,3075,0.45651,0.76208),(3845,3085,0.48407,0.75959),(3845,3095,0.51162,0.75719),(3845,3105,0.53917,0.75483),(3845,3115,0.56675,0.75248),(3845,3125,0.59436,0.75013),(3845,3135,0.62197,0.74785),(3845,3145,0.64958,0.7456),(3845,3155,0.6775,0.74336),(3845,3165,0.70559,0.74111),(3845,3175,0.73369,0.73895),(3845,3185,0.76179,0.73682),(3845,3195,0.79052,0.73468),(3845,3205,0.81954,0.73255),(3845,3215,0.84856,0.73053),(3845,3225,0.87758,0.72855),(3845,3235,0.90762,0.72656),(3845,3245,0.93805,0.72458),(3845,3255,0.96848,0.72277),(3845,3265,0.9989,0.72101),(3845,3275,1.0308,0.71925),(3845,3285,1.0632,0.71749),(3845,3295,1.0956,0.71599),(3845,3305,1.128,0.71457),(3845,3315,1.1626,0.71316),(3845,3325,1.1977,0.71174),(3845,3335,1.2327,0.71076),(3845,3345,1.2678,0.70987),(3845,3355,1.3059,0.70899),(3845,3365,1.3446,0.7081),(3845,3375,1.3833,0.70794),(3845,3385,1.422,0.7079),(3845,3395,1.465,0.70785),(3845,3405,1.5085,0.70781),(3845,3415,1.5521,0.70897),(3845,3425,1.5956,0.71026),(3845,3435,1.6454,0.71154),(3845,3445,1.6957,0.71283),(3845,3455,1.746,0.71616),(3845,3465,1.7962,0.71962),(3845,3475,1.8557,0.72307),(3845,3485,1.9154,0.72652),(3845,3495,1.9752,0.7335),(3845,3505,2.035,0.74054),(3845,3515,2.1086,0.74758),(3845,3525,2.1821,0.75477),(3845,3535,2.2557,0.7679),(3845,3545,2.3302,0.78104),(3845,3555,2.4247,0.79417),(3845,3565,2.5193,0.80798),(3845,3575,2.6138,0.83159),(3845,3585,2.7111,0.85521),(3845,3595,2.8385,0.87883),(3845,3605,2.9659,0.90428),(3845,3615,3.0933,0.94562),(3845,3625,3.2083,0.98696),(3845,3635,3.235,1.0283),(3845,3645,3.2617,1.0704),(3845,3655,3.2884,1.1168),(3845,3665,3.2706,1.1633),(3845,3675,3.0248,1.2097),(3845,3685,2.779,1.2499),(3845,3695,2.5333,1.2624),(3845,3705,2.3227,1.2748),(3845,3715,2.2504,1.2873),(3845,3725,2.178,1.2985),(3845,3735,2.1057,1.3052),(3845,3745,2.0366,1.3119),(3845,3755,1.9775,1.3187),(3845,3765,1.9184,1.3246),(3845,3775,1.8593,1.3283),(3845,3785,1.8028,1.3319),(3845,3795,1.7529,1.3356),(3845,3805,1.7031,1.3388),(3845,3815,1.6532,1.3407),(3845,3825,1.6055,1.3427),(3845,3835,1.5623,1.3447),(3845,3845,1.5192,1.3464),(3845,3855,1.476,1.3474),(3845,3865,1.4346,1.3485),(3845,3875,1.3965,1.3496),(3845,3885,1.3583,1.3505),(3845,3895,1.3201,1.3511),(3845,3905,1.2835,1.3518),(3845,3915,1.2491,1.3524),(3845,3925,1.2147,1.353),(3845,3935,1.1802,1.3536),(3845,3945,1.1471,1.3541),(3845,3955,1.1155,1.3547),(3845,3965,1.0839,1.3553),(3845,3975,1.0524,1.356),(3845,3985,1.0218,1.3566),(3845,3995,0.99234,1.3573),(3845,4005,0.96287,1.3581),(3845,4015,0.93341,1.3589),(3845,4025,1.2638,1.3598),(3845,4035,1.6294,1.3582),(3845,4045,1.995,1.3513),(3845,4055,2.2559,1.3444),(3845,4065,2.4786,1.3368),(3845,4075,2.7013,1.325),(3845,4085,2.7964,1.3133),(3845,4095,2.7888,1.3015),(3845,4105,2.7812,1.29),(3845,4115,2.6848,1.2786),(3845,4125,2.4411,1.2671),(3845,4135,2.1974,1.2593),(3845,4145,1.9508,1.2525),(3845,4155,1.6925,1.2456),(3845,4165,1.4342,1.2419),(3845,4175,1.1902,1.2402),(3845,4185,1.6556,1.2386),(3845,4195,2.1209,1.2329),(3845,4205,2.5863,1.222),(3845,4215,2.6553,1.2111),(3845,4225,2.6497,1.2002),(3845,4235,2.644,1.1892),(3845,4245,2.6293,1.1783),(3845,4255,2.61,1.1673),(3845,4265,2.5907,1.1542),(3845,4275,2.2744,1.1411),(3845,4285,1.643,1.128),(3845,4295,1.0116,1.127),(3845,4305,0.74118,1.1275),(3845,4315,1.2857,1.1279),(3845,4325,1.8303,1.1217),(3845,4335,2.3141,1.1128),(3845,4345,2.3865,1.1039),(3845,4355,2.4588,1.0943),(3845,4365,2.5312,1.0841),(3845,4375,2.5317,1.0739),(3845,4385,2.5285,1.0639),(3845,4395,2.5253,1.0541),(3845,4405,2.211,1.0443),(3845,4415,1.8049,1.0356),(3845,4425,1.3988,1.0319),(3845,4435,1.2246,1.0283),(3845,4445,1.2088,1.0247),(3845,4455,1.1931,1.0212),(3845,4465,1.3501,1.0177),(3845,4475,1.7498,1.0142),(3845,4485,2.1495,1.0054),(3845,4495,2.4538,0.99544),(3845,4505,2.452,0.98547),(3845,4515,2.4501,0.97562),(3845,4525,2.4434,0.96583),(3845,4535,2.3606,0.95604),(3845,4545,2.2778,0.94684),(3845,4555,2.195,0.93831),(3845,4565,1.6693,0.92978),(3845,4575,1.0838,0.92392),(3845,4585,0.49837,0.92456),(3845,4595,0.77123,0.92519),(3845,4605,1.4067,0.92441),(3845,4615,2.0422,0.91257),(3845,4625,2.35,0.90073),(3845,4635,2.361,0.88888),(3845,4645,2.372,0.87881),(3845,4655,2.3791,0.86887),(3845,4665,2.3788,0.85892),(3845,4675,2.3786,0.84915),(3845,4685,2.2952,0.83943),(3845,4695,1.8012,0.82972),(3845,4705,1.3071,0.82448),(3845,4715,0.81309,0.82249),(3845,4725,1.0427,0.8205),(3845,4735,1.2795,0.81702),(3845,4745,1.5163,0.81131),(3845,4755,1.7595,0.8056),(3845,4765,2.0042,0.799),(3845,4775,2.2489,0.78931),(3845,4785,2.3384,0.77961),(3845,4795,2.3382,0.76993),(3845,4805,2.3381,0.76036),(3845,4815,2.2244,0.75078),(3845,4825,1.975,0.74121),(3845,4835,1.7256,0.73498),(3845,4845,1.4729,0.72926),(3845,4855,1.2117,0.72354),(3845,4865,0.95054,0.72065),(3845,4875,0.76495,0.71903),(3845,4885,1.2671,0.71742),(3845,4895,1.7693,0.71215),(3845,4905,2.2715,0.70336),(3845,4915,2.311,0.69458),(3845,4925,2.3107,0.68583),(3845,4935,2.3103,0.67717),(3845,4945,2.3056,0.6685),(3845,4955,2.2993,0.65971),(3845,4965,2.293,0.6502),(3845,4975,1.9119,0.6407),(3845,4985,1.2416,0.6312),(3845,4995,0.57121,0.6315),(3845,5005,0.3542,0.63205),(3845,5015,0.85792,0.63261),(3845,5025,1.3617,0.62786),(3845,5035,1.7956,0.62175),(3845,5045,1.9634,0.61565),(3845,5055,2.1313,0.60817),(3845,5065,2.2942,0.59986),(3845,5075,2.2943,0.59154),(3845,5085,2.2943,0.58329),(3845,5095,2.2944,0.57513),(3845,5105,2.0031,0.56696),(3845,5115,1.661,0.55993),(3845,5125,1.3189,0.55609),(3845,5135,1.1452,0.55225),(3845,5145,1.0531,0.54852),(3845,5155,0.96102,0.54603),(3845,5165,1.129,0.54354),(3845,5175,1.5621,0.54105),(3845,5185,1.9953,0.53418),(3845,5195,2.2911,0.52685),(3845,5205,2.2908,0.51952),(3845,5215,2.2904,0.51228),(3845,5225,2.2782,0.50508),(3845,5235,2.1925,0.49787),(3845,5245,2.1067,0.4912),(3845,5255,2.0209,0.48497),(3845,5265,1.4219,0.47874),(3845,5275,0.80172,0.47491),(3845,5285,0.18155,0.47514),(3845,5295,0.59103,0.47537),(3845,5305,1.2872,0.47436),(3845,5315,1.9835,0.46816),(3845,5325,2.2604,0.46196),(3845,5335,2.2625,0.45577),(3845,5345,2.2645,0.45016),(3845,5355,2.2653,0.44454),(3845,5365,2.2644,0.43892),(3845,5375,2.2634,0.43337),(3845,5385,2.1332,0.42784),(3845,5395,1.6096,0.4223),(3845,5405,1.086,0.4196),(3845,5415,0.61758,0.41837),(3845,5425,0.88919,0.41715),(3845,5435,1.1608,0.41587),(3845,5445,1.4324,0.41453),(3845,5455,1.7007,0.41319),(3845,5465,1.9686,0.41156),(3845,5475,2.2365,0.40925),(3845,5485,2.3119,0.40694),(3845,5495,2.3099,0.40463),(3845,5505,2.3078,0.40231),(3845,5515,2.3058,0.39999),(3845,5525,2.3039,0.39767),(3845,5535,2.302,0.39531),(3845,5545,2.3002,0.39296),(3845,5555,2.2984,0.3906),(3845,5565,2.2966,0.38822),(3845,5575,2.2949,0.38583),(3845,5585,2.2932,0.38344),(3845,5595,2.2916,0.38102),(3845,5605,2.2899,0.37859),(3845,5615,2.2883,0.37616),(3845,5625,2.2867,0.37371),(3845,5635,2.2852,0.37123),(3845,5645,2.2837,0.36875),(3845,5655,2.2822,0.36626),(3845,5665,2.2807,0.36373),(3845,5675,2.2793,0.36121),(3845,5685,2.2779,0.35868),(3845,5695,2.2765,0.3561),(3845,5705,2.2751,0.35351),(3845,5715,2.2737,0.35093),(3845,5725,2.2724,0.34832),(3845,5735,2.271,0.34569),(3845,5745,2.2697,0.34307),(3845,5755,2.2684,0.34041),(3845,5765,2.2671,0.33775),(3845,5775,2.2658,0.33508),(3845,5785,2.2645,0.33239),(3845,5795,2.2632,0.32969),(3845,5805,2.2619,0.32699),(3845,5815,2.2607,0.32428),(3845,5825,2.2594,0.32155),(3845,5835,2.2581,0.31883),(3845,5845,2.2568,0.3161),(3845,5855,2.2555,0.31337),(3845,5865,2.2542,0.31063),(3845,5875,2.2529,0.3079),(3845,5885,2.2516,0.30517),(3845,5895,2.2503,0.30243),(3845,5905,2.249,0.2997),(3845,5915,2.2477,0.29698),(3845,5925,2.2463,0.29426),(3845,5935,2.245,0.29154),(3845,5945,2.2436,0.28883),(3845,5955,2.2423,0.28613),(3845,5965,2.2409,0.28343),(3845,5975,2.2395,0.28073),(3845,5985,2.2381,0.27805),(3845,5995,1.7106,0.27536),(3845,6005,1.0985,0.27333),(3845,6015,0.4863,0.27306),(3845,6025,0.65025,0.27278),(3845,6035,1.1742,0.27213),(3845,6045,1.6981,0.26787),(3845,6055,2.0604,0.26361),(3845,6065,2.2642,0.25934),(3845,6075,2.4681,0.2538),(3845,6085,2.6054,0.24814),(3845,6095,2.6055,0.24249),(3845,6105,2.6056,0.23688),(3845,6115,2.6058,0.23128),(3845,6125,2.6058,0.22569),(3845,6135,2.6058,0.22012),(3845,6145,2.6059,0.21458),(3845,6155,2.6058,0.20904),(3845,6165,2.6057,0.20354),(3845,6175,2.6057,0.19811),(3845,6185,2.6055,0.19269),(3845,6195,2.6053,0.18729),(3845,6205,2.6051,0.18204),(3845,6215,2.6049,0.17679),(3845,6225,2.6046,0.17154),(3845,6235,2.6043,0.16644),(3845,6245,2.604,0.16133),(3845,6255,2.6037,0.15623),(3845,6265,2.6033,0.15126),(3845,6275,2.6029,0.14632),(3845,6285,2.6025,0.14138),(3845,6295,2.6021,0.13655),(3845,6305,2.6017,0.13178),(3845,6315,2.6013,0.12701),(3845,6325,2.6008,0.12232),(3845,6335,2.6003,0.11772),(3845,6345,2.5999,0.11311),(3845,6355,2.5994,0.10858),(3845,6365,2.5989,0.10421),(3845,6375,2.5984,0.099835),(3845,6385,2.598,0.095479),(3845,6395,2.5975,0.091244),(3845,6405,2.597,0.087009),(3845,6415,2.5965,0.082774),(3845,6425,2.5961,0.07866),(3845,6435,2.5956,0.074553),(3845,6445,2.5952,0.070445),(3845,6455,2.5947,0.066463),(3845,6465,2.5943,0.062517),(3845,6475,2.5939,0.058571),(3845,6485,2.5936,0.054698),(3845,6495,2.5932,0.050873),(3845,6505,2.5929,0.047049),(3845,6515,2.5926,0.043248),(3845,6525,2.5923,0.03948),(3845,6535,2.592,0.035712),(3845,6545,2.5918,0.031962),(3845,6555,2.5916,0.028265),(3845,6565,2.5915,0.024569),(3845,6575,2.5914,0.020878),(3845,6585,2.5913,0.017264),(3845,6595,2.204,0.013649),(3845,6605,1.3892,0.010035),(3845,6615,0.5744,0.009623),(3845,6625,0.001608,0.009623),(3845,6635,0.00161,0.009624),(3845,6645,0.001611,0.009621),(3845,6655,0.001613,0.009618),(3845,6665,0.001615,0.009615),(3845,6675,0.001616,0.009611),(3845,6685,0.001618,0.009607),(3845,6695,0.00162,0.009603),(3845,6705,0.001622,0.0096),(3845,6715,0.001624,0.009595),(3845,6725,0.001626,0.009591),(3845,6735,0.001628,0.009586),(3845,6745,0.00163,0.009581),(3845,6755,0.001631,0.009576),(3845,6765,0.001633,0.009571),(3845,6775,0.001635,0.009565),(3845,6785,0.001637,0.00956),(3845,6795,0.001639,0.009554),(3845,6805,0.001641,0.009548),(3845,6815,0.001643,0.009542),(3845,6825,0.001644,0.009536),(3845,6835,0.001646,0.00953),(3845,6845,0.001648,0.009524),(3845,6855,0.001649,0.009517),(3845,6865,0.001651,0.009511),(3845,6875,0.001653,0.009504),(3845,6885,0.001654,0.009497),(3845,6895,0.001656,0.009491),(3845,6905,0.001657,0.009484),(3845,6915,0.001659,0.009477),(3845,6925,0.00166,0.00947),(3845,6935,0.001662,0.009462),(3845,6945,0.001663,0.009455),(3845,6955,0.001664,0.009448),(3845,6965,0.001666,0.00944),(3845,6975,0.001667,0.009433),(3845,6985,0.001668,0.009425),(3855,5,1.2e-05,1.0626),(3855,15,3.7e-05,1.0626),(3855,25,6.1e-05,1.0626),(3855,35,8.5e-05,1.0626),(3855,45,0.00011,1.0626),(3855,55,0.000134,1.0626),(3855,65,0.000158,1.0626),(3855,75,0.000182,1.0626),(3855,85,0.000206,1.0626),(3855,95,0.00023,1.0626),(3855,105,0.000253,1.0626),(3855,115,0.000276,1.0626),(3855,125,0.000299,1.0625),(3855,135,0.000322,1.0625),(3855,145,0.000345,1.0625),(3855,155,0.000367,1.0625),(3855,165,0.000389,1.0625),(3855,175,0.000411,1.0625),(3855,185,0.000432,1.0624),(3855,195,0.000452,1.0624),(3855,205,0.000473,1.0624),(3855,215,0.000494,1.0624),(3855,225,0.000513,1.0624),(3855,235,0.000532,1.0623),(3855,245,0.000551,1.0623),(3855,255,0.00057,1.0623),(3855,265,0.000587,1.0622),(3855,275,0.000604,1.0622),(3855,285,0.000621,1.0622),(3855,295,0.000637,1.0622),(3855,305,0.000652,1.0621),(3855,315,0.000666,1.0621),(3855,325,0.00068,1.062),(3855,335,0.000694,1.062),(3855,345,0.000706,1.062),(3855,355,0.000716,1.0619),(3855,365,0.000727,1.0619),(3855,375,0.000738,1.0618),(3855,385,0.000746,1.0618),(3855,395,0.000752,1.0617),(3855,405,0.000759,1.0617),(3855,415,0.000766,1.0616),(3855,425,0.000768,1.0616),(3855,435,0.00077,1.0615),(3855,445,0.000772,1.0615),(3855,455,0.000774,1.0614),(3855,465,0.00077,1.0614),(3855,475,0.000767,1.0613),(3855,485,0.000763,1.0612),(3855,495,0.000759,1.0612),(3855,505,0.000749,1.0611),(3855,515,0.000739,1.0611),(3855,525,0.000729,1.061),(3855,535,0.000718,1.0609),(3855,545,0.0007,1.0608),(3855,555,0.000682,1.0608),(3855,565,0.000663,1.0607),(3855,575,0.000644,1.0606),(3855,585,0.000617,1.0605),(3855,595,0.000589,1.0604),(3855,605,0.000561,1.0604),(3855,615,0.000533,1.0603),(3855,625,0.000494,1.0602),(3855,635,0.000455,1.0601),(3855,645,0.000417,1.06),(3855,655,0.000376,1.0599),(3855,665,0.000324,1.0598),(3855,675,0.000273,1.0597),(3855,685,0.000221,1.0596),(3855,695,0.000166,1.0595),(3855,705,0.0001,1.0594),(3855,715,3.3e-05,1.0593),(3855,725,-3.4e-05,1.0592),(3855,735,-0.000105,1.0591),(3855,745,-0.000189,1.0589),(3855,755,-0.000274,1.0588),(3855,765,-0.000358,1.0587),(3855,775,-0.000448,1.0586),(3855,785,-0.000553,1.0585),(3855,795,-0.000658,1.0583),(3855,805,-0.000763,1.0582),(3855,815,-0.000875,1.0581),(3855,825,-0.001003,1.0579),(3855,835,-0.001131,1.0578),(3855,845,-0.001259,1.0577),(3855,855,-0.001397,1.0575),(3855,865,-0.001552,1.0574),(3855,875,-0.001707,1.0573),(3855,885,-0.001862,1.0571),(3855,895,-0.002028,1.057),(3855,905,-0.002213,1.0569),(3855,915,-0.002398,1.0567),(3855,925,-0.002583,1.0566),(3855,935,-0.002782,1.0564),(3855,945,-0.003001,1.0563),(3855,955,-0.003219,1.0562),(3855,965,-0.003438,1.056),(3855,975,-0.003674,1.0559),(3855,985,-0.003929,1.0558),(3855,995,-0.004184,1.0556),(3855,1005,-0.004439,1.0555),(3855,1015,-0.004715,1.0554),(3855,1025,-0.00501,1.0552),(3855,1035,-0.005305,1.0551),(3855,1045,-0.0056,1.055),(3855,1055,-0.005919,1.0549),(3855,1065,-0.006256,1.0547),(3855,1075,-0.006593,1.0546),(3855,1085,-0.00693,1.0545),(3855,1095,-0.007292,1.0544),(3855,1105,-0.007673,1.0543),(3855,1115,-0.008053,1.0542),(3855,1125,-0.008434,1.0541),(3855,1135,-0.008841,1.0541),(3855,1145,-0.009265,1.054),(3855,1155,-0.009688,1.0539),(3855,1165,-0.010112,1.0539),(3855,1175,-0.010563,1.0538),(3855,1185,-0.011028,1.0538),(3855,1195,-0.011494,1.0538),(3855,1205,-0.011959,1.0538),(3855,1215,-0.012452,1.0538),(3855,1225,-0.012956,1.0537),(3855,1235,-0.01346,1.0538),(3855,1245,-0.013964,1.0538),(3855,1255,-0.014493,1.0538),(3855,1265,-0.015031,1.0539),(3855,1275,-0.015569,1.054),(3855,1285,-0.016107,1.054),(3855,1295,-0.016667,1.0541),(3855,1305,-0.017233,1.0542),(3855,1315,-0.017799,1.0543),(3855,1325,-0.018364,1.0545),(3855,1335,-0.018948,1.0546),(3855,1345,-0.019534,1.0548),(3855,1355,-0.020121,1.055),(3855,1365,-0.020708,1.0552),(3855,1375,-0.021307,1.0554),(3855,1385,-0.021907,1.0555),(3855,1395,-0.022508,1.0558),(3855,1405,-0.023108,1.056),(3855,1415,-0.023715,1.0563),(3855,1425,-0.024323,1.0565),(3855,1435,-0.02493,1.0568),(3855,1445,-0.025538,1.0571),(3855,1455,-0.026147,1.0574),(3855,1465,-0.026756,1.0577),(3855,1475,-0.027365,1.0581),(3855,1485,-0.027974,1.0584),(3855,1495,-0.028582,1.0588),(3855,1505,-0.02919,1.0591),(3855,1515,-0.029797,1.0595),(3855,1525,-0.030405,1.0599),(3855,1535,-0.031009,1.0603),(3855,1545,-0.031614,1.0606),(3855,1555,-0.032218,1.0611),(3855,1565,-0.032822,1.0615),(3855,1575,-0.033424,1.0619),(3855,1585,-0.034026,1.0623),(3855,1595,-0.034627,1.0627),(3855,1605,-0.035229,1.0632),(3855,1615,-0.03583,1.0636),(3855,1625,-0.036432,1.064),(3855,1635,-0.037033,1.0645),(3855,1645,-0.037636,1.0649),(3855,1655,-0.038242,1.0654),(3855,1665,-0.038848,1.0658),(3855,1675,-0.039454,1.0663),(3855,1685,-0.040062,1.0668),(3855,1695,-0.040679,1.0672),(3855,1705,-0.041296,1.0677),(3855,1715,-0.041913,1.0681),(3855,1725,-0.042535,1.0686),(3855,1735,-0.043171,1.069),(3855,1745,-0.043807,1.0695),(3855,1755,-0.044443,1.07),(3855,1765,-0.045087,1.0704),(3855,1775,-0.045751,1.0709),(3855,1785,-0.046416,1.0713),(3855,1795,-0.04708,1.0718),(3855,1805,-0.047757,1.0722),(3855,1815,-0.04846,1.0726),(3855,1825,-0.049164,1.0731),(3855,1835,-0.049867,1.0735),(3855,1845,-0.050588,1.0739),(3855,1855,-0.051342,1.0744),(3855,1865,-0.052097,1.0748),(3855,1875,-0.052851,1.0752),(3855,1885,-0.053631,1.0756),(3855,1895,-0.05445,1.076),(3855,1905,-0.05527,1.0764),(3855,1915,-0.05609,1.0768),(3855,1925,-0.056943,1.0772),(3855,1935,-0.057844,1.0776),(3855,1945,-0.058744,1.0779),(3855,1955,-0.059645,1.0783),(3855,1965,-0.06059,1.0786),(3855,1975,-0.061589,1.079),(3855,1985,-0.062589,1.0793),(3855,1995,-0.063588,1.0797),(3855,2005,-0.064647,1.08),(3855,2015,-0.065765,1.0803),(3855,2025,-0.066884,1.0806),(3855,2035,-0.068003,1.0809),(3855,2045,-0.0692,1.0812),(3855,2055,-0.070463,1.0814),(3855,2065,-0.071726,1.0817),(3855,2075,-0.07299,1.0819),(3855,2085,-0.074354,1.0821),(3855,2095,-0.075791,1.0824),(3855,2105,-0.077228,1.0826),(3855,2115,-0.078665,1.0828),(3855,2125,-0.080232,1.0829),(3855,2135,-0.081878,1.0831),(3855,2145,-0.083525,1.0832),(3855,2155,-0.085171,1.0833),(3855,2165,-0.086984,1.0835),(3855,2175,-0.088883,1.0836),(3855,2185,-0.090782,1.0836),(3855,2195,-0.092681,1.0836),(3855,2205,-0.094794,1.0837),(3855,2215,-0.096999,1.0837),(3855,2225,-0.099204,1.0837),(3855,2235,-0.10141,1.0836),(3855,2245,-0.10389,1.0835),(3855,2255,-0.10647,1.0835),(3855,2265,-0.10904,1.0833),(3855,2275,-0.11162,1.0831),(3855,2285,-0.11456,1.0829),(3855,2295,-0.11759,1.0827),(3855,2305,-0.12063,1.0824),(3855,2315,-0.12366,1.0821),(3855,2325,-0.12716,1.0818),(3855,2335,-0.13076,1.0814),(3855,2345,-0.13436,1.0809),(3855,2355,-0.13797,1.0804),(3855,2365,-0.14217,1.0799),(3855,2375,-0.14648,1.0794),(3855,2385,-0.1508,1.0786),(3855,2395,-0.15511,1.0779),(3855,2405,-0.16022,1.0771),(3855,2415,-0.16543,1.0764),(3855,2425,-0.17064,1.0753),(3855,2435,-0.17585,1.0742),(3855,2445,-0.18215,1.0731),(3855,2455,-0.18851,1.072),(3855,2465,-0.19488,1.0705),(3855,2475,-0.20125,1.069),(3855,2485,-0.2091,1.0674),(3855,2495,-0.21699,1.0659),(3855,2505,-0.22488,1.0637),(3855,2515,-0.2328,1.0616),(3855,2525,-0.24273,1.0594),(3855,2535,-0.25267,1.0572),(3855,2545,-0.2626,1.054),(3855,2555,-0.27269,1.0509),(3855,2565,-0.28545,1.0478),(3855,2575,-0.2982,1.0445),(3855,2585,-0.31096,1.0399),(3855,2595,-0.3241,1.0352),(3855,2605,-0.34089,1.0306),(3855,2615,-0.35768,1.0256),(3855,2625,-0.37447,1.0184),(3855,2635,-0.39206,1.0112),(3855,2645,-0.41483,1.004),(3855,2655,-0.43761,0.99614),(3855,2665,-0.46039,0.98433),(3855,2675,-0.48477,0.97252),(3855,2685,-0.5168,0.96072),(3855,2695,-0.54884,0.94719),(3855,2705,-0.58088,0.92647),(3855,2715,-0.61707,0.90575),(3855,2725,-0.66862,0.88503),(3855,2735,-0.72016,0.86003),(3855,2745,-0.7717,0.82092),(3855,2755,-0.79414,0.78181),(3855,2765,-0.73038,0.7427),(3855,2775,-0.66663,0.70836),(3855,2785,-0.60287,0.68677),(3855,2795,-0.54237,0.66518),(3855,2805,-0.48975,0.64358),(3855,2815,-0.43712,0.62474),(3855,2825,-0.3845,0.61198),(3855,2835,-0.33508,0.59921),(3855,2845,-0.29213,0.58645),(3855,2855,-0.24918,0.57529),(3855,2865,-0.20623,0.5671),(3855,2875,-0.16554,0.55892),(3855,2885,-0.12868,0.55073),(3855,2895,-0.091819,0.54351),(3855,2905,-0.054961,0.53781),(3855,2915,-0.019715,0.53211),(3855,2925,0.01322,0.5264),(3855,2935,0.046155,0.52131),(3855,2945,0.07909,0.51702),(3855,2955,0.11088,0.51272),(3855,2965,0.14127,0.50843),(3855,2975,0.17167,0.50453),(3855,2985,0.20206,0.50108),(3855,2995,0.23167,0.49762),(3855,3005,0.26046,0.49417),(3855,3015,0.28924,0.49098),(3855,3025,0.31803,0.48805),(3855,3035,0.34633,0.48511),(3855,3045,0.37419,0.48218),(3855,3055,0.40205,0.47943),(3855,3065,0.42992,0.47685),(3855,3075,0.45755,0.47426),(3855,3085,0.48502,0.47167),(3855,3095,0.51249,0.46923),(3855,3105,0.53996,0.46689),(3855,3115,0.56747,0.46456),(3855,3125,0.595,0.46222),(3855,3135,0.62253,0.46002),(3855,3145,0.65007,0.4579),(3855,3155,0.67791,0.45578),(3855,3165,0.70593,0.45366),(3855,3175,0.73395,0.45168),(3855,3185,0.76197,0.44978),(3855,3195,0.79062,0.44788),(3855,3205,0.81955,0.44598),(3855,3215,0.84848,0.44427),(3855,3225,0.87742,0.44264),(3855,3235,0.90736,0.44101),(3855,3245,0.93768,0.43938),(3855,3255,0.96801,0.43802),(3855,3265,0.99833,0.43674),(3855,3275,1.0301,0.43547),(3855,3285,1.0624,0.4342),(3855,3295,1.0947,0.43334),(3855,3305,1.1269,0.43258),(3855,3315,1.1613,0.43183),(3855,3325,1.1962,0.43107),(3855,3335,1.2311,0.43094),(3855,3345,1.266,0.43095),(3855,3355,1.3039,0.43095),(3855,3365,1.3424,0.43096),(3855,3375,1.3808,0.43196),(3855,3385,1.4192,0.43311),(3855,3395,1.4619,0.43427),(3855,3405,1.5051,0.43542),(3855,3415,1.5483,0.43818),(3855,3425,1.5915,0.44111),(3855,3435,1.6408,0.44405),(3855,3445,1.6905,0.44698),(3855,3455,1.7403,0.45258),(3855,3465,1.79,0.45833),(3855,3475,1.8486,0.46409),(3855,3485,1.9075,0.46984),(3855,3495,1.9664,0.48015),(3855,3505,2.0254,0.49053),(3855,3515,2.0976,0.5009),(3855,3525,2.1699,0.51147),(3855,3535,2.2421,0.52963),(3855,3545,2.3152,0.54779),(3855,3555,2.4075,0.56594),(3855,3565,2.4997,0.58496),(3855,3575,2.592,0.61642),(3855,3585,2.6869,0.64789),(3855,3595,2.8105,0.67935),(3855,3605,2.9341,0.71312),(3855,3615,3.0577,0.76676),(3855,3625,3.1692,0.82039),(3855,3635,3.1948,0.87402),(3855,3645,3.2203,0.92854),(3855,3655,3.2459,0.98832),(3855,3665,3.2284,1.0481),(3855,3675,2.99,1.1079),(3855,3685,2.7515,1.1599),(3855,3695,2.5131,1.1774),(3855,3705,2.3087,1.195),(3855,3715,2.2376,1.2125),(3855,3725,2.1665,1.2283),(3855,3735,2.0954,1.2382),(3855,3745,2.0273,1.2481),(3855,3755,1.969,1.258),(3855,3765,1.9106,1.2669),(3855,3775,1.8522,1.2728),(3855,3785,1.7964,1.2787),(3855,3795,1.7469,1.2847),(3855,3805,1.6975,1.2899),(3855,3815,1.648,1.2935),(3855,3825,1.6007,1.2971),(3855,3835,1.5578,1.3008),(3855,3845,1.5149,1.3039),(3855,3855,1.472,1.3062),(3855,3865,1.4308,1.3085),(3855,3875,1.3928,1.3108),(3855,3885,1.3548,1.3128),(3855,3895,1.3167,1.3144),(3855,3905,1.2802,1.316),(3855,3915,1.2458,1.3176),(3855,3925,1.2115,1.319),(3855,3935,1.1771,1.3203),(3855,3945,1.144,1.3215),(3855,3955,1.1125,1.3228),(3855,3965,1.0809,1.324),(3855,3975,1.0493,1.3252),(3855,3985,1.0188,1.3264),(3855,3995,0.98931,1.3275),(3855,4005,0.95983,1.3288),(3855,4015,0.93035,1.3301),(3855,4025,1.262,1.3313),(3855,4035,1.6291,1.3301),(3855,4045,1.9961,1.3236),(3855,4055,2.258,1.317),(3855,4065,2.4817,1.3098),(3855,4075,2.7053,1.2985),(3855,4085,2.8006,1.2871),(3855,4095,2.793,1.2758),(3855,4105,2.7853,1.2646),(3855,4115,2.6886,1.2535),(3855,4125,2.444,1.2424),(3855,4135,2.1995,1.2349),(3855,4145,1.9521,1.2283),(3855,4155,1.6928,1.2218),(3855,4165,1.4336,1.2183),(3855,4175,1.1888,1.2167),(3855,4185,1.6558,1.2152),(3855,4195,2.1227,1.2097),(3855,4205,2.5897,1.1991),(3855,4215,2.6589,1.1884),(3855,4225,2.6533,1.1777),(3855,4235,2.6477,1.1671),(3855,4245,2.6335,1.1564),(3855,4255,2.6149,1.1456),(3855,4265,2.5963,1.1328),(3855,4275,2.2792,1.1199),(3855,4285,1.6453,1.1071),(3855,4295,1.0114,1.1062),(3855,4305,0.73959,1.1067),(3855,4315,1.2856,1.1073),(3855,4325,1.8316,1.1012),(3855,4335,2.3166,1.0926),(3855,4345,2.3892,1.084),(3855,4355,2.4618,1.0746),(3855,4365,2.5344,1.0647),(3855,4375,2.5348,1.0548),(3855,4385,2.5314,1.045),(3855,4395,2.5281,1.0354),(3855,4405,2.2131,1.0258),(3855,4415,1.8062,1.0174),(3855,4425,1.3993,1.0138),(3855,4435,1.2248,1.0103),(3855,4445,1.209,1.0068),(3855,4455,1.1933,1.0034),(3855,4465,1.3507,1),(3855,4475,1.7513,0.99663),(3855,4485,2.1519,0.98794),(3855,4495,2.4569,0.97814),(3855,4505,2.4549,0.96834),(3855,4515,2.453,0.95865),(3855,4525,2.4463,0.94902),(3855,4535,2.3633,0.93939),(3855,4545,2.2803,0.93035),(3855,4555,2.1974,0.92196),(3855,4565,1.6706,0.91358),(3855,4575,1.0839,0.90785),(3855,4585,0.49726,0.90856),(3855,4595,0.77122,0.90927),(3855,4605,1.4088,0.90857),(3855,4615,2.0464,0.89688),(3855,4625,2.3548,0.88519),(3855,4635,2.3652,0.8735),(3855,4645,2.3755,0.86354),(3855,4655,2.3822,0.8537),(3855,4665,2.3819,0.84386),(3855,4675,2.3816,0.83419),(3855,4685,2.298,0.82457),(3855,4695,1.803,0.81496),(3855,4705,1.3079,0.8098),(3855,4715,0.81283,0.80788),(3855,4725,1.0429,0.80596),(3855,4735,1.2802,0.80256),(3855,4745,1.5175,0.79693),(3855,4755,1.7613,0.7913),(3855,4765,2.0065,0.78479),(3855,4775,2.2517,0.77521),(3855,4785,2.3414,0.76563),(3855,4795,2.3412,0.75606),(3855,4805,2.341,0.74662),(3855,4815,2.2271,0.73717),(3855,4825,1.9772,0.72773),(3855,4835,1.7273,0.7216),(3855,4845,1.4741,0.71598),(3855,4855,1.2124,0.71035),(3855,4865,0.95064,0.70752),(3855,4875,0.76464,0.70596),(3855,4885,1.2676,0.70439),(3855,4895,1.7707,0.6992),(3855,4905,2.2737,0.69053),(3855,4915,2.3132,0.68187),(3855,4925,2.3128,0.67324),(3855,4935,2.3124,0.66469),(3855,4945,2.3079,0.65614),(3855,4955,2.3019,0.64747),(3855,4965,2.2959,0.63811),(3855,4975,1.9142,0.62875),(3855,4985,1.2426,0.61939),(3855,4995,0.571,0.61972),(3855,5005,0.35348,0.62029),(3855,5015,0.85787,0.62087),(3855,5025,1.3623,0.61619),(3855,5035,1.7967,0.61018),(3855,5045,1.9648,0.60416),(3855,5055,2.1329,0.59679),(3855,5065,2.2961,0.58859),(3855,5075,2.2961,0.58039),(3855,5085,2.2961,0.57226),(3855,5095,2.2961,0.56421),(3855,5105,2.0045,0.55615),(3855,5115,1.662,0.54922),(3855,5125,1.3195,0.54545),(3855,5135,1.1455,0.54167),(3855,5145,1.0533,0.53801),(3855,5155,0.96104,0.53557),(3855,5165,1.1291,0.53313),(3855,5175,1.5625,0.53069),(3855,5185,1.996,0.52392),(3855,5195,2.292,0.51671),(3855,5205,2.2916,0.5095),(3855,5215,2.2912,0.50237),(3855,5225,2.279,0.49527),(3855,5235,2.1932,0.48818),(3855,5245,2.1073,0.48161),(3855,5255,2.0215,0.47549),(3855,5265,1.4222,0.46936),(3855,5275,0.80172,0.46559),(3855,5285,0.18125,0.46582),(3855,5295,0.59075,0.46606),(3855,5305,1.2871,0.46508),(3855,5315,1.9834,0.45901),(3855,5325,2.2603,0.45294),(3855,5335,2.2622,0.44689),(3855,5345,2.264,0.44137),(3855,5355,2.2647,0.43586),(3855,5365,2.2637,0.43035),(3855,5375,2.2628,0.42491),(3855,5385,2.1325,0.41948),(3855,5395,1.609,0.41405),(3855,5405,1.0855,0.4114),(3855,5415,0.61712,0.41021),(3855,5425,0.88805,0.40901),(3855,5435,1.159,0.40777),(3855,5445,1.4299,0.40649),(3855,5455,1.6977,0.40521),(3855,5465,1.9652,0.40365),(3855,5475,2.2326,0.40143),(3855,5485,2.308,0.39921),(3855,5495,2.3059,0.39699),(3855,5505,2.3039,0.39476),(3855,5515,2.3019,0.39252),(3855,5525,2.3,0.39029),(3855,5535,2.2982,0.38802),(3855,5545,2.2963,0.38574),(3855,5555,2.2946,0.38346),(3855,5565,2.2928,0.38115),(3855,5575,2.2911,0.37884),(3855,5585,2.2894,0.37652),(3855,5595,2.2878,0.37417),(3855,5605,2.2861,0.37181),(3855,5615,2.2846,0.36944),(3855,5625,2.283,0.36706),(3855,5635,2.2815,0.36464),(3855,5645,2.28,0.36223),(3855,5655,2.2785,0.35981),(3855,5665,2.2771,0.35734),(3855,5675,2.2757,0.35488),(3855,5685,2.2743,0.35241),(3855,5695,2.2729,0.3499),(3855,5705,2.2715,0.34738),(3855,5715,2.2702,0.34487),(3855,5725,2.2689,0.34231),(3855,5735,2.2675,0.33975),(3855,5745,2.2662,0.33719),(3855,5755,2.2649,0.3346),(3855,5765,2.2636,0.332),(3855,5775,2.2624,0.3294),(3855,5785,2.2611,0.32678),(3855,5795,2.2598,0.32415),(3855,5805,2.2585,0.32151),(3855,5815,2.2573,0.31887),(3855,5825,2.256,0.31622),(3855,5835,2.2547,0.31357),(3855,5845,2.2535,0.31091),(3855,5855,2.2522,0.30826),(3855,5865,2.2509,0.3056),(3855,5875,2.2496,0.30294),(3855,5885,2.2483,0.30029),(3855,5895,2.247,0.29764),(3855,5905,2.2457,0.29499),(3855,5915,2.2444,0.29235),(3855,5925,2.243,0.28971),(3855,5935,2.2417,0.28707),(3855,5945,2.2403,0.28445),(3855,5955,2.239,0.28184),(3855,5965,2.2376,0.27922),(3855,5975,2.2362,0.27661),(3855,5985,2.2349,0.27402),(3855,5995,1.7081,0.27142),(3855,6005,1.0968,0.26946),(3855,6015,0.48553,0.26919),(3855,6025,0.6498,0.26893),(3855,6035,1.1738,0.26829),(3855,6045,1.6977,0.26405),(3855,6055,2.0601,0.2598),(3855,6065,2.2639,0.25556),(3855,6075,2.4677,0.25003),(3855,6085,2.605,0.24439),(3855,6095,2.6051,0.23875),(3855,6105,2.6052,0.23315),(3855,6115,2.6054,0.22757),(3855,6125,2.6054,0.22199),(3855,6135,2.6054,0.21645),(3855,6145,2.6054,0.21093),(3855,6155,2.6053,0.20541),(3855,6165,2.6052,0.19994),(3855,6175,2.6051,0.19454),(3855,6185,2.6049,0.18914),(3855,6195,2.6047,0.18377),(3855,6205,2.6044,0.17856),(3855,6215,2.6041,0.17335),(3855,6225,2.6038,0.16814),(3855,6235,2.6035,0.16308),(3855,6245,2.6031,0.15803),(3855,6255,2.6027,0.15297),(3855,6265,2.6023,0.14806),(3855,6275,2.6019,0.14317),(3855,6285,2.6014,0.13828),(3855,6295,2.601,0.13353),(3855,6305,2.6006,0.12884),(3855,6315,2.6,0.12414),(3855,6325,2.5995,0.11953),(3855,6335,2.599,0.115),(3855,6345,2.5984,0.11048),(3855,6355,2.5979,0.10602),(3855,6365,2.5974,0.10173),(3855,6375,2.5969,0.097437),(3855,6385,2.5964,0.093165),(3855,6395,2.5958,0.089017),(3855,6405,2.5953,0.084869),(3855,6415,2.5948,0.080721),(3855,6425,2.5943,0.076704),(3855,6435,2.5938,0.072693),(3855,6445,2.5933,0.068682),(3855,6455,2.5929,0.0648),(3855,6465,2.5924,0.060955),(3855,6475,2.592,0.05711),(3855,6485,2.5916,0.053341),(3855,6495,2.5912,0.049623),(3855,6505,2.5908,0.045906),(3855,6515,2.5905,0.042213),(3855,6525,2.5902,0.038555),(3855,6535,2.5899,0.034898),(3855,6545,2.5897,0.031256),(3855,6555,2.5895,0.027666),(3855,6565,2.5893,0.024076),(3855,6575,2.5892,0.020493),(3855,6585,2.5891,0.017001),(3855,6595,2.2022,0.01351),(3855,6605,1.388,0.010019),(3855,6615,0.57392,0.009622),(3855,6625,0.001607,0.009624),(3855,6635,0.001609,0.009625),(3855,6645,0.00161,0.009623),(3855,6655,0.001612,0.00962),(3855,6665,0.001614,0.009617),(3855,6675,0.001616,0.009613),(3855,6685,0.001618,0.009609),(3855,6695,0.00162,0.009606),(3855,6705,0.001622,0.009602),(3855,6715,0.001624,0.009597),(3855,6725,0.001626,0.009593),(3855,6735,0.001628,0.009588),(3855,6745,0.001631,0.009583),(3855,6755,0.001633,0.009578),(3855,6765,0.001635,0.009573),(3855,6775,0.001637,0.009567),(3855,6785,0.001639,0.009562),(3855,6795,0.001641,0.009556),(3855,6805,0.001643,0.00955),(3855,6815,0.001645,0.009544),(3855,6825,0.001646,0.009538),(3855,6835,0.001648,0.009532),(3855,6845,0.00165,0.009526),(3855,6855,0.001652,0.009519),(3855,6865,0.001654,0.009513),(3855,6875,0.001655,0.009506),(3855,6885,0.001657,0.009499),(3855,6895,0.001659,0.009492),(3855,6905,0.00166,0.009485),(3855,6915,0.001662,0.009478),(3855,6925,0.001663,0.009471),(3855,6935,0.001665,0.009464),(3855,6945,0.001666,0.009456),(3855,6955,0.001668,0.009449),(3855,6965,0.001669,0.009441),(3855,6975,0.00167,0.009434),(3855,6985,0.001672,0.009426),(3865,5,1.3e-05,0.88572),(3865,15,3.8e-05,0.88572),(3865,25,6.3e-05,0.88572),(3865,35,8.8e-05,0.88571),(3865,45,0.000114,0.88571),(3865,55,0.000139,0.8857),(3865,65,0.000164,0.8857),(3865,75,0.000189,0.88569),(3865,85,0.000214,0.88568),(3865,95,0.000238,0.88567),(3865,105,0.000263,0.88566),(3865,115,0.000287,0.88565),(3865,125,0.000311,0.88564),(3865,135,0.000335,0.88562),(3865,145,0.000358,0.88561),(3865,155,0.000381,0.88559),(3865,165,0.000404,0.88557),(3865,175,0.000427,0.88555),(3865,185,0.000449,0.88553),(3865,195,0.000471,0.88552),(3865,205,0.000493,0.88549),(3865,215,0.000514,0.88547),(3865,225,0.000535,0.88544),(3865,235,0.000555,0.88542),(3865,245,0.000575,0.88539),(3865,255,0.000595,0.88536),(3865,265,0.000613,0.88533),(3865,275,0.000631,0.8853),(3865,285,0.000649,0.88527),(3865,295,0.000667,0.88524),(3865,305,0.000683,0.8852),(3865,315,0.000698,0.88517),(3865,325,0.000714,0.88513),(3865,335,0.000729,0.88509),(3865,345,0.000742,0.88505),(3865,355,0.000754,0.88501),(3865,365,0.000766,0.88496),(3865,375,0.000779,0.88492),(3865,385,0.000787,0.88487),(3865,395,0.000796,0.88482),(3865,405,0.000804,0.88477),(3865,415,0.000813,0.88472),(3865,425,0.000816,0.88467),(3865,435,0.00082,0.88462),(3865,445,0.000824,0.88456),(3865,455,0.000827,0.8845),(3865,465,0.000825,0.88444),(3865,475,0.000824,0.88438),(3865,485,0.000822,0.88431),(3865,495,0.00082,0.88425),(3865,505,0.000811,0.88418),(3865,515,0.000803,0.88411),(3865,525,0.000794,0.88404),(3865,535,0.000786,0.88396),(3865,545,0.00077,0.88389),(3865,555,0.000753,0.88381),(3865,565,0.000737,0.88373),(3865,575,0.00072,0.88365),(3865,585,0.000695,0.88357),(3865,595,0.000669,0.88348),(3865,605,0.000644,0.88339),(3865,615,0.000617,0.8833),(3865,625,0.000581,0.88321),(3865,635,0.000544,0.88312),(3865,645,0.000508,0.88302),(3865,655,0.000469,0.88292),(3865,665,0.00042,0.88282),(3865,675,0.000371,0.88272),(3865,685,0.000322,0.88261),(3865,695,0.000269,0.8825),(3865,705,0.000205,0.88239),(3865,715,0.000141,0.88228),(3865,725,7.6e-05,0.88216),(3865,735,8e-06,0.88204),(3865,745,-7.4e-05,0.88193),(3865,755,-0.000157,0.88181),(3865,765,-0.000239,0.88168),(3865,775,-0.000326,0.88155),(3865,785,-0.000429,0.88143),(3865,795,-0.000531,0.8813),(3865,805,-0.000634,0.88116),(3865,815,-0.000744,0.88103),(3865,825,-0.00087,0.88089),(3865,835,-0.000997,0.88076),(3865,845,-0.001123,0.88062),(3865,855,-0.001259,0.88048),(3865,865,-0.001412,0.88033),(3865,875,-0.001565,0.88019),(3865,885,-0.001718,0.88004),(3865,895,-0.001883,0.8799),(3865,905,-0.002067,0.87975),(3865,915,-0.002251,0.87961),(3865,925,-0.002435,0.87946),(3865,935,-0.002633,0.87931),(3865,945,-0.002851,0.87916),(3865,955,-0.00307,0.87901),(3865,965,-0.003288,0.87886),(3865,975,-0.003524,0.87872),(3865,985,-0.00378,0.87857),(3865,995,-0.004036,0.87843),(3865,1005,-0.004292,0.87828),(3865,1015,-0.004568,0.87814),(3865,1025,-0.004865,0.878),(3865,1035,-0.005162,0.87786),(3865,1045,-0.005459,0.87773),(3865,1055,-0.00578,0.8776),(3865,1065,-0.00612,0.87747),(3865,1075,-0.006461,0.87735),(3865,1085,-0.006801,0.87724),(3865,1095,-0.007168,0.87712),(3865,1105,-0.007553,0.87701),(3865,1115,-0.007939,0.87691),(3865,1125,-0.008324,0.87682),(3865,1135,-0.008738,0.87673),(3865,1145,-0.009168,0.87664),(3865,1155,-0.009598,0.87657),(3865,1165,-0.010028,0.87651),(3865,1175,-0.010488,0.87646),(3865,1185,-0.010962,0.8764),(3865,1195,-0.011435,0.87637),(3865,1205,-0.011909,0.87635),(3865,1215,-0.012412,0.87633),(3865,1225,-0.012926,0.87631),(3865,1235,-0.01344,0.87633),(3865,1245,-0.013954,0.87636),(3865,1255,-0.014494,0.87638),(3865,1265,-0.015044,0.87641),(3865,1275,-0.015593,0.87648),(3865,1285,-0.016142,0.87656),(3865,1295,-0.016714,0.87664),(3865,1305,-0.017292,0.87672),(3865,1315,-0.01787,0.87685),(3865,1325,-0.018448,0.87698),(3865,1335,-0.019044,0.87712),(3865,1345,-0.019643,0.87725),(3865,1355,-0.020242,0.87744),(3865,1365,-0.020842,0.87763),(3865,1375,-0.021453,0.87782),(3865,1385,-0.022065,0.87802),(3865,1395,-0.022678,0.87826),(3865,1405,-0.02329,0.87851),(3865,1415,-0.023908,0.87875),(3865,1425,-0.024527,0.879),(3865,1435,-0.025146,0.8793),(3865,1445,-0.025764,0.8796),(3865,1455,-0.026383,0.8799),(3865,1465,-0.027002,0.8802),(3865,1475,-0.02762,0.88054),(3865,1485,-0.028239,0.88088),(3865,1495,-0.028855,0.88123),(3865,1505,-0.02947,0.88158),(3865,1515,-0.030085,0.88196),(3865,1525,-0.0307,0.88234),(3865,1535,-0.03131,0.88273),(3865,1545,-0.031921,0.88311),(3865,1555,-0.032531,0.88352),(3865,1565,-0.033141,0.88394),(3865,1575,-0.033746,0.88435),(3865,1585,-0.034352,0.88477),(3865,1595,-0.034957,0.8852),(3865,1605,-0.035562,0.88564),(3865,1615,-0.036165,0.88607),(3865,1625,-0.036769,0.88651),(3865,1635,-0.037372,0.88696),(3865,1645,-0.037975,0.88741),(3865,1655,-0.038581,0.88786),(3865,1665,-0.039187,0.88831),(3865,1675,-0.039793,0.88876),(3865,1685,-0.040401,0.88922),(3865,1695,-0.041016,0.88967),(3865,1705,-0.041631,0.89012),(3865,1715,-0.042247,0.89058),(3865,1725,-0.042866,0.89103),(3865,1735,-0.043499,0.89148),(3865,1745,-0.044131,0.89194),(3865,1755,-0.044764,0.89238),(3865,1765,-0.045404,0.89283),(3865,1775,-0.046064,0.89328),(3865,1785,-0.046723,0.89372),(3865,1795,-0.047383,0.89415),(3865,1805,-0.048054,0.89459),(3865,1815,-0.048751,0.89502),(3865,1825,-0.049448,0.89545),(3865,1835,-0.050145,0.89586),(3865,1845,-0.050859,0.89628),(3865,1855,-0.051606,0.89669),(3865,1865,-0.052353,0.8971),(3865,1875,-0.0531,0.89749),(3865,1885,-0.053871,0.89788),(3865,1895,-0.054682,0.89827),(3865,1905,-0.055492,0.89865),(3865,1915,-0.056303,0.89902),(3865,1925,-0.057147,0.89938),(3865,1935,-0.058037,0.89975),(3865,1945,-0.058926,0.90009),(3865,1955,-0.059816,0.90042),(3865,1965,-0.060751,0.90075),(3865,1975,-0.061737,0.90108),(3865,1985,-0.062724,0.90139),(3865,1995,-0.063711,0.90168),(3865,2005,-0.064757,0.90197),(3865,2015,-0.065861,0.90226),(3865,2025,-0.066965,0.90253),(3865,2035,-0.06807,0.90277),(3865,2045,-0.069251,0.90301),(3865,2055,-0.070497,0.90326),(3865,2065,-0.071744,0.90347),(3865,2075,-0.07299,0.90366),(3865,2085,-0.074336,0.90384),(3865,2095,-0.075753,0.90403),(3865,2105,-0.07717,0.90418),(3865,2115,-0.078587,0.9043),(3865,2125,-0.080132,0.90443),(3865,2135,-0.081755,0.90455),(3865,2145,-0.083378,0.90462),(3865,2155,-0.085001,0.90467),(3865,2165,-0.086787,0.90471),(3865,2175,-0.088657,0.90476),(3865,2185,-0.090528,0.90474),(3865,2195,-0.092399,0.90469),(3865,2205,-0.094479,0.90464),(3865,2215,-0.09665,0.90459),(3865,2225,-0.09882,0.90447),(3865,2235,-0.10099,0.9043),(3865,2245,-0.10343,0.90414),(3865,2255,-0.10597,0.90398),(3865,2265,-0.1085,0.90371),(3865,2275,-0.11104,0.90341),(3865,2285,-0.11392,0.90311),(3865,2295,-0.1169,0.90281),(3865,2305,-0.11989,0.90237),(3865,2315,-0.12287,0.90189),(3865,2325,-0.1263,0.90141),(3865,2335,-0.12984,0.90093),(3865,2345,-0.13337,0.90027),(3865,2355,-0.13691,0.89957),(3865,2365,-0.14103,0.89887),(3865,2375,-0.14526,0.89817),(3865,2385,-0.14948,0.89721),(3865,2395,-0.1537,0.89622),(3865,2405,-0.15871,0.89523),(3865,2415,-0.1638,0.89424),(3865,2425,-0.1689,0.89289),(3865,2435,-0.17399,0.89151),(3865,2445,-0.18013,0.89013),(3865,2455,-0.18634,0.88875),(3865,2465,-0.19255,0.88685),(3865,2475,-0.19876,0.88494),(3865,2485,-0.20639,0.88302),(3865,2495,-0.21406,0.8811),(3865,2505,-0.22172,0.87841),(3865,2515,-0.22942,0.87573),(3865,2525,-0.23902,0.87304),(3865,2535,-0.24862,0.87031),(3865,2545,-0.25822,0.86647),(3865,2555,-0.26797,0.86263),(3865,2565,-0.28021,0.85879),(3865,2575,-0.29245,0.85481),(3865,2585,-0.30469,0.84915),(3865,2595,-0.31728,0.84349),(3865,2605,-0.33323,0.83783),(3865,2615,-0.34917,0.83183),(3865,2625,-0.36511,0.82313),(3865,2635,-0.38176,0.81444),(3865,2645,-0.40304,0.80574),(3865,2655,-0.42433,0.79621),(3865,2665,-0.44561,0.7821),(3865,2675,-0.46827,0.76799),(3865,2685,-0.49751,0.75388),(3865,2695,-0.52675,0.73778),(3865,2705,-0.55598,0.71336),(3865,2715,-0.58878,0.68895),(3865,2725,-0.63473,0.66453),(3865,2735,-0.68068,0.63527),(3865,2745,-0.72663,0.59001),(3865,2755,-0.74623,0.54475),(3865,2765,-0.68782,0.49949),(3865,2775,-0.62941,0.45962),(3865,2785,-0.571,0.43414),(3865,2795,-0.51512,0.40866),(3865,2805,-0.46536,0.38319),(3865,2815,-0.4156,0.36092),(3865,2825,-0.36584,0.34575),(3865,2835,-0.31886,0.33057),(3865,2845,-0.27747,0.3154),(3865,2855,-0.23609,0.30215),(3865,2865,-0.19471,0.29244),(3865,2875,-0.15534,0.28273),(3865,2885,-0.11939,0.27302),(3865,2895,-0.083435,0.26449),(3865,2905,-0.047483,0.2578),(3865,2915,-0.013,0.25112),(3865,2925,0.019376,0.24443),(3865,2935,0.051752,0.2385),(3865,2945,0.084128,0.23357),(3865,2955,0.11544,0.22864),(3865,2965,0.14547,0.22371),(3865,2975,0.17549,0.21928),(3865,2985,0.20551,0.21543),(3865,2995,0.2348,0.21157),(3865,3005,0.26333,0.20771),(3865,3015,0.29185,0.2042),(3865,3025,0.32038,0.20104),(3865,3035,0.34844,0.19787),(3865,3045,0.3761,0.19471),(3865,3055,0.40376,0.1918),(3865,3065,0.43141,0.18912),(3865,3075,0.45886,0.18643),(3865,3085,0.48616,0.18374),(3865,3095,0.51346,0.18127),(3865,3105,0.54075,0.17895),(3865,3115,0.56809,0.17663),(3865,3125,0.59546,0.17431),(3865,3135,0.62283,0.17219),(3865,3145,0.6502,0.17019),(3865,3155,0.67789,0.1682),(3865,3165,0.70574,0.1662),(3865,3175,0.7336,0.16442),(3865,3185,0.76145,0.16275),(3865,3195,0.78992,0.16108),(3865,3205,0.81867,0.15941),(3865,3215,0.84742,0.15802),(3865,3225,0.87618,0.15674),(3865,3235,0.90591,0.15545),(3865,3245,0.93602,0.15417),(3865,3255,0.96613,0.15326),(3865,3265,0.99623,0.15248),(3865,3275,1.0278,0.1517),(3865,3285,1.0598,0.15092),(3865,3295,1.0918,0.15068),(3865,3305,1.1238,0.15059),(3865,3315,1.1578,0.1505),(3865,3325,1.1924,0.1504),(3865,3335,1.2269,0.15113),(3865,3345,1.2614,0.15202),(3865,3355,1.2989,0.15292),(3865,3365,1.3368,0.15381),(3865,3375,1.3748,0.15597),(3865,3385,1.4127,0.15832),(3865,3395,1.4547,0.16068),(3865,3405,1.4972,0.16303),(3865,3415,1.5397,0.1674),(3865,3425,1.5822,0.17197),(3865,3435,1.6304,0.17655),(3865,3445,1.6791,0.18112),(3865,3455,1.7277,0.18899),(3865,3465,1.7764,0.19705),(3865,3475,1.8334,0.20511),(3865,3485,1.8906,0.21317),(3865,3495,1.9479,0.2268),(3865,3505,2.0052,0.24051),(3865,3515,2.0747,0.25423),(3865,3525,2.1442,0.26817),(3865,3535,2.2137,0.29136),(3865,3545,2.284,0.31454),(3865,3555,2.3717,0.33772),(3865,3565,2.4594,0.36194),(3865,3575,2.5471,0.40125),(3865,3585,2.6373,0.44057),(3865,3595,2.7534,0.47988),(3865,3605,2.8696,0.52196),(3865,3615,2.9858,0.58789),(3865,3625,3.0906,0.65382),(3865,3635,3.1142,0.71974),(3865,3645,3.1378,0.78671),(3865,3655,3.1615,0.85983),(3865,3665,3.1446,0.93295),(3865,3675,2.9202,1.0061),(3865,3685,2.6958,1.0699),(3865,3695,2.4715,1.0925),(3865,3705,2.2788,1.1151),(3865,3715,2.2104,1.1376),(3865,3725,2.1421,1.1581),(3865,3735,2.0737,1.1712),(3865,3745,2.0081,1.1843),(3865,3755,1.9512,1.1974),(3865,3765,1.8943,1.2092),(3865,3775,1.8375,1.2174),(3865,3785,1.7829,1.2256),(3865,3795,1.7344,1.2337),(3865,3805,1.6859,1.241),(3865,3815,1.6373,1.2463),(3865,3825,1.5908,1.2515),(3865,3835,1.5485,1.2568),(3865,3845,1.5061,1.2615),(3865,3855,1.4638,1.265),(3865,3865,1.4232,1.2685),(3865,3875,1.3855,1.272),(3865,3885,1.3479,1.2752),(3865,3895,1.3102,1.2777),(3865,3905,1.274,1.2802),(3865,3915,1.2399,1.2827),(3865,3925,1.2058,1.285),(3865,3935,1.1717,1.2869),(3865,3945,1.1388,1.2889),(3865,3955,1.1074,1.2908),(3865,3965,1.076,1.2927),(3865,3975,1.0446,1.2944),(3865,3985,1.0142,1.2961),(3865,3995,0.98481,1.2978),(3865,4005,0.95543,1.2995),(3865,4015,0.92605,1.3012),(3865,4025,1.2591,1.3028),(3865,4035,1.6275,1.302),(3865,4045,1.996,1.2959),(3865,4055,2.2589,1.2897),(3865,4065,2.4834,1.2829),(3865,4075,2.7079,1.2719),(3865,4085,2.8037,1.261),(3865,4095,2.796,1.25),(3865,4105,2.7883,1.2392),(3865,4115,2.6912,1.2285),(3865,4125,2.446,1.2177),(3865,4135,2.2007,1.2105),(3865,4145,1.9526,1.2042),(3865,4155,1.6925,1.1979),(3865,4165,1.4325,1.1946),(3865,4175,1.1869,1.1932),(3865,4185,1.6554,1.1918),(3865,4195,2.1238,1.1865),(3865,4205,2.5923,1.1761),(3865,4215,2.6618,1.1657),(3865,4225,2.6562,1.1553),(3865,4235,2.6506,1.1449),(3865,4245,2.6368,1.1345),(3865,4255,2.6189,1.1239),(3865,4265,2.601,1.1113),(3865,4275,2.2832,1.0988),(3865,4285,1.647,1.0863),(3865,4295,1.0108,1.0855),(3865,4305,0.73784,1.086),(3865,4315,1.285,1.0866),(3865,4325,1.8322,1.0807),(3865,4335,2.3184,1.0723),(3865,4345,2.3911,1.064),(3865,4355,2.4639,1.0549),(3865,4365,2.5366,1.0453),(3865,4375,2.537,1.0356),(3865,4385,2.5335,1.0261),(3865,4395,2.5301,1.0168),(3865,4405,2.2146,1.0074),(3865,4415,1.807,0.99916),(3865,4425,1.3995,0.99575),(3865,4435,1.2247,0.99233),(3865,4445,1.2089,0.98892),(3865,4455,1.1932,0.98561),(3865,4465,1.3509,0.98231),(3865,4475,1.7523,0.97901),(3865,4485,2.1538,0.97047),(3865,4495,2.4594,0.96084),(3865,4505,2.4574,0.95121),(3865,4515,2.4554,0.94169),(3865,4525,2.4486,0.93222),(3865,4535,2.3655,0.92275),(3865,4545,2.2824,0.91386),(3865,4555,2.1993,0.90562),(3865,4565,1.6715,0.89738),(3865,4575,1.0837,0.89178),(3865,4585,0.49589,0.89257),(3865,4595,0.77093,0.89335),(3865,4605,1.4105,0.89274),(3865,4615,2.0501,0.8812),(3865,4625,2.3592,0.86965),(3865,4635,2.369,0.85811),(3865,4645,2.3788,0.84826),(3865,4655,2.385,0.83853),(3865,4665,2.3847,0.8288),(3865,4675,2.3843,0.81923),(3865,4685,2.3005,0.80971),(3865,4695,1.8044,0.80019),(3865,4705,1.3084,0.79512),(3865,4715,0.81236,0.79327),(3865,4725,1.0429,0.79143),(3865,4735,1.2807,0.7881),(3865,4745,1.5185,0.78255),(3865,4755,1.7627,0.77701),(3865,4765,2.0085,0.77059),(3865,4775,2.2542,0.76112),(3865,4785,2.3441,0.75165),(3865,4795,2.3438,0.74219),(3865,4805,2.3436,0.73288),(3865,4815,2.2294,0.72356),(3865,4825,1.979,0.71425),(3865,4835,1.7286,0.70822),(3865,4845,1.475,0.70269),(3865,4855,1.2128,0.69716),(3865,4865,0.95055,0.6944),(3865,4875,0.76418,0.69288),(3865,4885,1.2679,0.69136),(3865,4895,1.7717,0.68626),(3865,4905,2.2754,0.67771),(3865,4915,2.315,0.66916),(3865,4925,2.3146,0.66065),(3865,4935,2.3142,0.65222),(3865,4945,2.3098,0.64378),(3865,4955,2.3041,0.63523),(3865,4965,2.2983,0.62601),(3865,4975,1.9161,0.6168),(3865,4985,1.2434,0.60758),(3865,4995,0.57066,0.60793),(3865,5005,0.35268,0.60853),(3865,5015,0.85767,0.60912),(3865,5025,1.3627,0.60452),(3865,5035,1.7976,0.5986),(3865,5045,1.9659,0.59268),(3865,5055,2.1342,0.58542),(3865,5065,2.2975,0.57733),(3865,5075,2.2975,0.56925),(3865,5085,2.2975,0.56123),(3865,5095,2.2974,0.55329),(3865,5105,2.0055,0.54534),(3865,5115,1.6627,0.53851),(3865,5125,1.3198,0.53481),(3865,5135,1.1456,0.5311),(3865,5145,1.0533,0.5275),(3865,5155,0.96092,0.52511),(3865,5165,1.129,0.52272),(3865,5175,1.5627,0.52033),(3865,5185,1.9964,0.51367),(3865,5195,2.2926,0.50657),(3865,5205,2.2922,0.49947),(3865,5215,2.2917,0.49246),(3865,5225,2.2795,0.48547),(3865,5235,2.1936,0.47849),(3865,5245,2.1077,0.47203),(3865,5255,2.0218,0.466),(3865,5265,1.4223,0.45997),(3865,5275,0.80161,0.45627),(3865,5285,0.18092,0.45651),(3865,5295,0.59037,0.45674),(3865,5305,1.2867,0.45579),(3865,5315,1.983,0.44986),(3865,5325,2.2598,0.44392),(3865,5335,2.2615,0.438),(3865,5345,2.2632,0.43259),(3865,5355,2.2637,0.42719),(3865,5365,2.2628,0.42179),(3865,5375,2.2618,0.41645),(3865,5385,2.1315,0.41112),(3865,5395,1.6082,0.40579),(3865,5405,1.0849,0.40321),(3865,5415,0.61658,0.40204),(3865,5425,0.88681,0.40087),(3865,5435,1.157,0.39967),(3865,5445,1.4273,0.39846),(3865,5455,1.6946,0.39724),(3865,5465,1.9616,0.39574),(3865,5475,2.2286,0.39361),(3865,5485,2.3038,0.39148),(3865,5495,2.3018,0.38935),(3865,5505,2.2997,0.38721),(3865,5515,2.2978,0.38506),(3865,5525,2.2959,0.38291),(3865,5535,2.2941,0.38072),(3865,5545,2.2923,0.37852),(3865,5555,2.2905,0.37632),(3865,5565,2.2888,0.37409),(3865,5575,2.2871,0.37184),(3865,5585,2.2854,0.3696),(3865,5595,2.2838,0.36732),(3865,5605,2.2822,0.36503),(3865,5615,2.2807,0.36273),(3865,5625,2.2792,0.36041),(3865,5635,2.2776,0.35806),(3865,5645,2.2762,0.35571),(3865,5655,2.2747,0.35335),(3865,5665,2.2733,0.35095),(3865,5675,2.2719,0.34855),(3865,5685,2.2706,0.34615),(3865,5695,2.2692,0.3437),(3865,5705,2.2678,0.34125),(3865,5715,2.2665,0.3388),(3865,5725,2.2652,0.33631),(3865,5735,2.2639,0.33381),(3865,5745,2.2626,0.33131),(3865,5755,2.2614,0.32879),(3865,5765,2.2601,0.32625),(3865,5775,2.2588,0.32372),(3865,5785,2.2575,0.32117),(3865,5795,2.2563,0.3186),(3865,5805,2.255,0.31603),(3865,5815,2.2538,0.31346),(3865,5825,2.2525,0.31089),(3865,5835,2.2512,0.30831),(3865,5845,2.2499,0.30573),(3865,5855,2.2487,0.30315),(3865,5865,2.2474,0.30057),(3865,5875,2.2461,0.29798),(3865,5885,2.2448,0.29541),(3865,5895,2.2435,0.29284),(3865,5905,2.2422,0.29027),(3865,5915,2.2409,0.28772),(3865,5925,2.2395,0.28516),(3865,5935,2.2382,0.28261),(3865,5945,2.2368,0.28007),(3865,5955,2.2355,0.27754),(3865,5965,2.2341,0.27501),(3865,5975,2.2327,0.27249),(3865,5985,2.2313,0.26998),(3865,5995,1.7054,0.26748),(3865,6005,1.0951,0.26558),(3865,6015,0.4847,0.26533),(3865,6025,0.64931,0.26508),(3865,6035,1.1733,0.26445),(3865,6045,1.6974,0.26023),(3865,6055,2.0597,0.256),(3865,6065,2.2635,0.25177),(3865,6075,2.4673,0.24626),(3865,6085,2.6045,0.24063),(3865,6095,2.6047,0.23501),(3865,6105,2.6048,0.22943),(3865,6115,2.6049,0.22386),(3865,6125,2.6049,0.2183),(3865,6135,2.6049,0.21277),(3865,6145,2.6049,0.20728),(3865,6155,2.6047,0.20179),(3865,6165,2.6046,0.19634),(3865,6175,2.6045,0.19096),(3865,6185,2.6042,0.18559),(3865,6195,2.604,0.18025),(3865,6205,2.6037,0.17508),(3865,6215,2.6034,0.1699),(3865,6225,2.603,0.16473),(3865,6235,2.6026,0.15973),(3865,6245,2.6022,0.15472),(3865,6255,2.6017,0.14972),(3865,6265,2.6013,0.14486),(3865,6275,2.6008,0.14002),(3865,6285,2.6003,0.13519),(3865,6295,2.5998,0.13051),(3865,6305,2.5992,0.12589),(3865,6315,2.5986,0.12128),(3865,6325,2.5981,0.11675),(3865,6335,2.5975,0.11229),(3865,6345,2.5969,0.10784),(3865,6355,2.5963,0.10346),(3865,6365,2.5957,0.099249),(3865,6375,2.5952,0.095039),(3865,6385,2.5946,0.09085),(3865,6395,2.594,0.08679),(3865,6405,2.5934,0.08273),(3865,6415,2.5929,0.078669),(3865,6425,2.5923,0.074748),(3865,6435,2.5918,0.070834),(3865,6445,2.5913,0.06692),(3865,6455,2.5907,0.063137),(3865,6465,2.5902,0.059393),(3865,6475,2.5898,0.055648),(3865,6485,2.5894,0.051984),(3865,6495,2.5889,0.048373),(3865,6505,2.5886,0.044763),(3865,6515,2.5882,0.041178),(3865,6525,2.5879,0.037631),(3865,6535,2.5876,0.034083),(3865,6545,2.5873,0.030551),(3865,6555,2.5871,0.027067),(3865,6565,2.5869,0.023584),(3865,6575,2.5868,0.020108),(3865,6585,2.5867,0.016739),(3865,6595,2.2001,0.013371),(3865,6605,1.3867,0.010003),(3865,6615,0.57337,0.009621),(3865,6625,0.001605,0.009624),(3865,6635,0.001608,0.009627),(3865,6645,0.00161,0.009625),(3865,6655,0.001612,0.009622),(3865,6665,0.001614,0.009619),(3865,6675,0.001616,0.009615),(3865,6685,0.001618,0.009611),(3865,6695,0.00162,0.009608),(3865,6705,0.001623,0.009604),(3865,6715,0.001625,0.009599),(3865,6725,0.001627,0.009595),(3865,6735,0.00163,0.00959),(3865,6745,0.001632,0.009585),(3865,6755,0.001634,0.00958),(3865,6765,0.001636,0.009575),(3865,6775,0.001638,0.009569),(3865,6785,0.001641,0.009564),(3865,6795,0.001643,0.009558),(3865,6805,0.001645,0.009552),(3865,6815,0.001647,0.009546),(3865,6825,0.001649,0.00954),(3865,6835,0.001651,0.009534),(3865,6845,0.001653,0.009527),(3865,6855,0.001655,0.009521),(3865,6865,0.001656,0.009514),(3865,6875,0.001658,0.009508),(3865,6885,0.00166,0.009501),(3865,6895,0.001662,0.009494),(3865,6905,0.001663,0.009487),(3865,6915,0.001665,0.00948),(3865,6925,0.001667,0.009473),(3865,6935,0.001668,0.009465),(3865,6945,0.00167,0.009458),(3865,6955,0.001671,0.00945),(3865,6965,0.001673,0.009443),(3865,6975,0.001674,0.009435),(3865,6985,0.001675,0.009428),(3875,5,1.3e-05,0.70881),(3875,15,3.9e-05,0.70881),(3875,25,6.6e-05,0.70881),(3875,35,9.2e-05,0.70881),(3875,45,0.000118,0.7088),(3875,55,0.000144,0.7088),(3875,65,0.00017,0.70879),(3875,75,0.000196,0.70878),(3875,85,0.000221,0.70877),(3875,95,0.000247,0.70876),(3875,105,0.000272,0.70875),(3875,115,0.000297,0.70874),(3875,125,0.000323,0.70873),(3875,135,0.000348,0.70871),(3875,145,0.000372,0.7087),(3875,155,0.000396,0.70868),(3875,165,0.00042,0.70867),(3875,175,0.000444,0.70865),(3875,185,0.000467,0.70863),(3875,195,0.00049,0.70861),(3875,205,0.000513,0.70858),(3875,215,0.000535,0.70856),(3875,225,0.000557,0.70853),(3875,235,0.000578,0.70851),(3875,245,0.000599,0.70848),(3875,255,0.00062,0.70845),(3875,265,0.00064,0.70842),(3875,275,0.000659,0.70839),(3875,285,0.000678,0.70836),(3875,295,0.000697,0.70832),(3875,305,0.000715,0.70829),(3875,315,0.000731,0.70825),(3875,325,0.000748,0.70821),(3875,335,0.000765,0.70817),(3875,345,0.000779,0.70813),(3875,355,0.000792,0.70809),(3875,365,0.000806,0.70804),(3875,375,0.00082,0.708),(3875,385,0.00083,0.70795),(3875,395,0.00084,0.7079),(3875,405,0.00085,0.70785),(3875,415,0.00086,0.70779),(3875,425,0.000865,0.70774),(3875,435,0.000871,0.70769),(3875,445,0.000876,0.70763),(3875,455,0.000881,0.70757),(3875,465,0.000881,0.70751),(3875,475,0.000881,0.70745),(3875,485,0.000881,0.70738),(3875,495,0.000881,0.70731),(3875,505,0.000874,0.70724),(3875,515,0.000868,0.70717),(3875,525,0.000861,0.7071),(3875,535,0.000855,0.70702),(3875,545,0.000841,0.70694),(3875,555,0.000826,0.70687),(3875,565,0.000812,0.70678),(3875,575,0.000798,0.7067),(3875,585,0.000774,0.70661),(3875,595,0.000751,0.70653),(3875,605,0.000728,0.70643),(3875,615,0.000703,0.70634),(3875,625,0.000669,0.70625),(3875,635,0.000635,0.70615),(3875,645,0.000601,0.70605),(3875,655,0.000565,0.70594),(3875,665,0.000518,0.70584),(3875,675,0.000471,0.70574),(3875,685,0.000424,0.70562),(3875,695,0.000375,0.70551),(3875,705,0.000313,0.7054),(3875,715,0.000251,0.70528),(3875,725,0.000189,0.70516),(3875,735,0.000123,0.70504),(3875,745,4.3e-05,0.70492),(3875,755,-3.7e-05,0.70479),(3875,765,-0.000116,0.70466),(3875,775,-0.000201,0.70453),(3875,785,-0.000302,0.7044),(3875,795,-0.000402,0.70426),(3875,805,-0.000502,0.70412),(3875,815,-0.00061,0.70398),(3875,825,-0.000734,0.70384),(3875,835,-0.000858,0.7037),(3875,845,-0.000982,0.70355),(3875,855,-0.001116,0.7034),(3875,865,-0.001267,0.70325),(3875,875,-0.001419,0.7031),(3875,885,-0.00157,0.70295),(3875,895,-0.001734,0.7028),(3875,905,-0.001916,0.70264),(3875,915,-0.002099,0.70249),(3875,925,-0.002282,0.70233),(3875,935,-0.002479,0.70217),(3875,945,-0.002697,0.70202),(3875,955,-0.002915,0.70186),(3875,965,-0.003132,0.7017),(3875,975,-0.003368,0.70155),(3875,985,-0.003625,0.70139),(3875,995,-0.003881,0.70123),(3875,1005,-0.004137,0.70108),(3875,1015,-0.004416,0.70093),(3875,1025,-0.004714,0.70078),(3875,1035,-0.005013,0.70063),(3875,1045,-0.005312,0.70049),(3875,1055,-0.005635,0.70035),(3875,1065,-0.005979,0.70021),(3875,1075,-0.006322,0.70008),(3875,1085,-0.006666,0.69995),(3875,1095,-0.007037,0.69983),(3875,1105,-0.007427,0.6997),(3875,1115,-0.007818,0.69959),(3875,1125,-0.008208,0.69949),(3875,1135,-0.008628,0.69939),(3875,1145,-0.009065,0.69929),(3875,1155,-0.009502,0.69921),(3875,1165,-0.009939,0.69914),(3875,1175,-0.010406,0.69907),(3875,1185,-0.010889,0.69901),(3875,1195,-0.011371,0.69896),(3875,1205,-0.011854,0.69894),(3875,1215,-0.012366,0.69891),(3875,1225,-0.01289,0.69888),(3875,1235,-0.013414,0.69889),(3875,1245,-0.013939,0.69891),(3875,1255,-0.01449,0.69893),(3875,1265,-0.015051,0.69894),(3875,1275,-0.015612,0.69901),(3875,1285,-0.016173,0.69908),(3875,1295,-0.016757,0.69915),(3875,1305,-0.017348,0.69922),(3875,1315,-0.017938,0.69934),(3875,1325,-0.018529,0.69947),(3875,1335,-0.019137,0.6996),(3875,1345,-0.019749,0.69973),(3875,1355,-0.020361,0.69992),(3875,1365,-0.020973,0.7001),(3875,1375,-0.021596,0.70029),(3875,1385,-0.022221,0.70048),(3875,1395,-0.022846,0.70072),(3875,1405,-0.023471,0.70097),(3875,1415,-0.0241,0.70122),(3875,1425,-0.02473,0.70146),(3875,1435,-0.02536,0.70176),(3875,1445,-0.02599,0.70206),(3875,1455,-0.026619,0.70236),(3875,1465,-0.027247,0.70266),(3875,1475,-0.027875,0.703),(3875,1485,-0.028504,0.70335),(3875,1495,-0.029127,0.70369),(3875,1505,-0.02975,0.70404),(3875,1515,-0.030373,0.70442),(3875,1525,-0.030996,0.70481),(3875,1535,-0.031612,0.70519),(3875,1545,-0.032228,0.70558),(3875,1555,-0.032844,0.70599),(3875,1565,-0.033459,0.7064),(3875,1575,-0.034068,0.70682),(3875,1585,-0.034677,0.70724),(3875,1595,-0.035286,0.70767),(3875,1605,-0.035895,0.70811),(3875,1615,-0.0365,0.70854),(3875,1625,-0.037104,0.70898),(3875,1635,-0.037709,0.70943),(3875,1645,-0.038314,0.70987),(3875,1655,-0.03892,0.71032),(3875,1665,-0.039525,0.71077),(3875,1675,-0.040131,0.71122),(3875,1685,-0.040737,0.71167),(3875,1695,-0.04135,0.71212),(3875,1705,-0.041964,0.71258),(3875,1715,-0.042577,0.71302),(3875,1725,-0.043193,0.71347),(3875,1735,-0.043822,0.71392),(3875,1745,-0.044451,0.71437),(3875,1755,-0.04508,0.71481),(3875,1765,-0.045716,0.71525),(3875,1775,-0.04637,0.71569),(3875,1785,-0.047024,0.71612),(3875,1795,-0.047679,0.71655),(3875,1805,-0.048344,0.71697),(3875,1815,-0.049034,0.71739),(3875,1825,-0.049725,0.71781),(3875,1835,-0.050415,0.71821),(3875,1845,-0.051122,0.71861),(3875,1855,-0.051861,0.71902),(3875,1865,-0.052599,0.71941),(3875,1875,-0.053338,0.71978),(3875,1885,-0.054101,0.72016),(3875,1895,-0.054901,0.72054),(3875,1905,-0.055702,0.7209),(3875,1915,-0.056503,0.72124),(3875,1925,-0.057337,0.72158),(3875,1935,-0.058215,0.72193),(3875,1945,-0.059094,0.72225),(3875,1955,-0.059972,0.72256),(3875,1965,-0.060895,0.72286),(3875,1975,-0.061868,0.72317),(3875,1985,-0.062842,0.72345),(3875,1995,-0.063815,0.72371),(3875,2005,-0.064847,0.72397),(3875,2015,-0.065936,0.72423),(3875,2025,-0.067025,0.72446),(3875,2035,-0.068114,0.72467),(3875,2045,-0.069278,0.72487),(3875,2055,-0.070507,0.72508),(3875,2065,-0.071735,0.72525),(3875,2075,-0.072963,0.7254),(3875,2085,-0.074289,0.72554),(3875,2095,-0.075685,0.72569),(3875,2105,-0.077081,0.72578),(3875,2115,-0.078477,0.72585),(3875,2125,-0.079998,0.72592),(3875,2135,-0.081595,0.72599),(3875,2145,-0.083193,0.72601),(3875,2155,-0.08479,0.72599),(3875,2165,-0.086548,0.72597),(3875,2175,-0.088388,0.72595),(3875,2185,-0.090228,0.72586),(3875,2195,-0.092069,0.72574),(3875,2205,-0.094114,0.72561),(3875,2215,-0.096247,0.72549),(3875,2225,-0.098381,0.72527),(3875,2235,-0.10051,0.72501),(3875,2245,-0.10291,0.72475),(3875,2255,-0.1054,0.7245),(3875,2265,-0.10789,0.72412),(3875,2275,-0.11038,0.7237),(3875,2285,-0.11321,0.72329),(3875,2295,-0.11613,0.72287),(3875,2305,-0.11906,0.72229),(3875,2315,-0.12199,0.72167),(3875,2325,-0.12535,0.72105),(3875,2335,-0.12881,0.72043),(3875,2345,-0.13227,0.7196),(3875,2355,-0.13574,0.71872),(3875,2365,-0.13977,0.71784),(3875,2375,-0.1439,0.71696),(3875,2385,-0.14803,0.71578),(3875,2395,-0.15216,0.71456),(3875,2405,-0.15704,0.71335),(3875,2415,-0.16201,0.71213),(3875,2425,-0.16698,0.71049),(3875,2435,-0.17195,0.70882),(3875,2445,-0.17792,0.70715),(3875,2455,-0.18396,0.70548),(3875,2465,-0.19,0.7032),(3875,2475,-0.19603,0.7009),(3875,2485,-0.20342,0.6986),(3875,2495,-0.21084,0.6963),(3875,2505,-0.21826,0.6931),(3875,2515,-0.22571,0.6899),(3875,2525,-0.23495,0.6867),(3875,2535,-0.24419,0.68345),(3875,2545,-0.25343,0.6789),(3875,2555,-0.26281,0.67435),(3875,2565,-0.27448,0.6698),(3875,2575,-0.28616,0.66509),(3875,2585,-0.29784,0.65842),(3875,2595,-0.30983,0.65175),(3875,2605,-0.32485,0.64508),(3875,2615,-0.33986,0.63801),(3875,2625,-0.35488,0.62782),(3875,2635,-0.37051,0.61763),(3875,2645,-0.39017,0.60744),(3875,2655,-0.40984,0.59629),(3875,2665,-0.4295,0.57988),(3875,2675,-0.45029,0.56346),(3875,2685,-0.47651,0.54705),(3875,2695,-0.50273,0.52837),(3875,2705,-0.52894,0.50026),(3875,2715,-0.55808,0.47215),(3875,2725,-0.59805,0.44404),(3875,2735,-0.63802,0.4105),(3875,2745,-0.67799,0.3591),(3875,2755,-0.69456,0.30769),(3875,2765,-0.64186,0.25628),(3875,2775,-0.58915,0.21087),(3875,2785,-0.53645,0.18151),(3875,2795,-0.4855,0.15215),(3875,2805,-0.43884,0.12279),(3875,2815,-0.39218,0.097101),(3875,2825,-0.34551,0.079518),(3875,2835,-0.30117,0.061935),(3875,2845,-0.26149,0.044352),(3875,2855,-0.22182,0.029001),(3875,2865,-0.18214,0.017768),(3875,2875,-0.14422,0.006536),(3875,2885,-0.10926,-0.004697),(3875,2895,-0.074299,-0.014536),(3875,2905,-0.039339,-0.022205),(3875,2915,-0.005693,-0.029874),(3875,2925,0.026069,-0.037543),(3875,2935,0.057832,-0.044308),(3875,2945,0.089594,-0.049875),(3875,2955,0.12039,-0.055443),(3875,2965,0.15001,-0.061011),(3875,2975,0.17962,-0.065964),(3875,2985,0.20924,-0.070225),(3875,2995,0.23818,-0.074486),(3875,3005,0.26641,-0.078748),(3875,3015,0.29464,-0.082569),(3875,3025,0.32288,-0.085967),(3875,3035,0.35069,-0.089366),(3875,3045,0.37812,-0.092764),(3875,3055,0.40555,-0.095826),(3875,3065,0.43298,-0.098612),(3875,3075,0.46023,-0.1014),(3875,3085,0.48733,-0.10418),(3875,3095,0.51444,-0.10668),(3875,3105,0.54154,-0.10899),(3875,3115,0.5687,-0.11129),(3875,3125,0.59589,-0.1136),(3875,3135,0.62308,-0.11563),(3875,3145,0.65027,-0.11751),(3875,3155,0.67778,-0.11938),(3875,3165,0.70545,-0.12126),(3875,3175,0.73312,-0.12284),(3875,3185,0.76079,-0.12428),(3875,3195,0.78907,-0.12572),(3875,3205,0.81762,-0.12716),(3875,3215,0.84617,-0.12824),(3875,3225,0.87472,-0.12917),(3875,3235,0.90423,-0.1301),(3875,3245,0.9341,-0.13103),(3875,3255,0.96397,-0.13149),(3875,3265,0.99384,-0.13178),(3875,3275,1.0251,-0.13207),(3875,3285,1.0568,-0.13236),(3875,3295,1.0885,-0.13198),(3875,3305,1.1202,-0.13141),(3875,3315,1.1539,-0.13083),(3875,3325,1.188,-0.13026),(3875,3335,1.2222,-0.12869),(3875,3345,1.2563,-0.1269),(3875,3355,1.2932,-0.12512),(3875,3365,1.3306,-0.12333),(3875,3375,1.368,-0.12002),(3875,3385,1.4054,-0.11646),(3875,3395,1.4466,-0.11291),(3875,3405,1.4884,-0.10935),(3875,3415,1.5301,-0.10339),(3875,3425,1.5718,-0.097169),(3875,3435,1.6189,-0.090951),(3875,3445,1.6664,-0.084733),(3875,3455,1.7139,-0.074596),(3875,3465,1.7614,-0.064232),(3875,3475,1.8166,-0.053868),(3875,3485,1.872,-0.043505),(3875,3495,1.9274,-0.026553),(3875,3505,1.9829,-0.009502),(3875,3515,2.0494,0.007549),(3875,3525,2.1159,0.024876),(3875,3535,2.1824,0.053081),(3875,3545,2.2497,0.081287),(3875,3555,2.3324,0.10949),(3875,3565,2.4151,0.13892),(3875,3575,2.4978,0.18608),(3875,3585,2.5826,0.23324),(3875,3595,2.6907,0.28041),(3875,3605,2.7988,0.3308),(3875,3615,2.9069,0.40902),(3875,3625,3.0043,0.48724),(3875,3635,3.0258,0.56547),(3875,3645,3.0473,0.64487),(3875,3655,3.0688,0.73133),(3875,3665,3.0526,0.81778),(3875,3675,2.8436,0.90424),(3875,3685,2.6346,0.97992),(3875,3695,2.4256,1.0075),(3875,3705,2.2458,1.0352),(3875,3715,2.1804,1.0628),(3875,3725,2.1151,1.0879),(3875,3735,2.0498,1.1042),(3875,3745,1.9869,1.1205),(3875,3755,1.9317,1.1368),(3875,3765,1.8764,1.1516),(3875,3775,1.8212,1.162),(3875,3785,1.7681,1.1724),(3875,3795,1.7206,1.1828),(3875,3805,1.6731,1.1921),(3875,3815,1.6255,1.199),(3875,3825,1.5799,1.2059),(3875,3835,1.5382,1.2128),(3875,3845,1.4965,1.219),(3875,3855,1.4549,1.2238),(3875,3865,1.4148,1.2285),(3875,3875,1.3776,1.2333),(3875,3885,1.3404,1.2375),(3875,3895,1.3031,1.241),(3875,3905,1.2673,1.2444),(3875,3915,1.2335,1.2478),(3875,3925,1.1997,1.2509),(3875,3935,1.1659,1.2536),(3875,3945,1.1332,1.2562),(3875,3955,1.102,1.2589),(3875,3965,1.0708,1.2613),(3875,3975,1.0395,1.2636),(3875,3985,1.0093,1.2658),(3875,3995,0.98002,1.2681),(3875,4005,0.95077,1.2702),(3875,4015,0.92151,1.2723),(3875,4025,1.2558,1.2743),(3875,4035,1.6257,1.2739),(3875,4045,1.9956,1.2681),(3875,4055,2.2596,1.2624),(3875,4065,2.4849,1.256),(3875,4075,2.7103,1.2454),(3875,4085,2.8064,1.2348),(3875,4095,2.7987,1.2243),(3875,4105,2.791,1.2138),(3875,4115,2.6936,1.2034),(3875,4125,2.4477,1.193),(3875,4135,2.2018,1.1861),(3875,4145,1.9529,1.18),(3875,4155,1.6921,1.174),(3875,4165,1.4313,1.1709),(3875,4175,1.1849,1.1697),(3875,4185,1.6549,1.1685),(3875,4195,2.1248,1.1634),(3875,4205,2.5948,1.1532),(3875,4215,2.6645,1.1431),(3875,4225,2.6589,1.1329),(3875,4235,2.6533,1.1227),(3875,4245,2.64,1.1125),(3875,4255,2.6228,1.1022),(3875,4265,2.6056,1.0899),(3875,4275,2.287,1.0777),(3875,4285,1.6486,1.0654),(3875,4295,1.0102,1.0647),(3875,4305,0.73605,1.0653),(3875,4315,1.2844,1.0659),(3875,4325,1.8328,1.0602),(3875,4335,2.3199,1.0521),(3875,4345,2.3929,1.044),(3875,4355,2.4658,1.0352),(3875,4365,2.5387,1.0259),(3875,4375,2.539,1.0165),(3875,4385,2.5355,1.0072),(3875,4395,2.532,0.99812),(3875,4405,2.216,0.989),(3875,4415,1.8078,0.98095),(3875,4425,1.3995,0.97764),(3875,4435,1.2245,0.97434),(3875,4445,1.2087,0.97103),(3875,4455,1.193,0.96782),(3875,4465,1.3511,0.9646),(3875,4475,1.7533,0.96139),(3875,4485,2.1556,0.95301),(3875,4495,2.4618,0.94355),(3875,4505,2.4597,0.93408),(3875,4515,2.4577,0.92472),(3875,4525,2.4509,0.91541),(3875,4535,2.3676,0.9061),(3875,4545,2.2844,0.89736),(3875,4555,2.2011,0.88927),(3875,4565,1.6723,0.88118),(3875,4575,1.0834,0.87571),(3875,4585,0.49448,0.87657),(3875,4595,0.77059,0.87743),(3875,4605,1.4122,0.8769),(3875,4615,2.0538,0.86551),(3875,4625,2.3635,0.85412),(3875,4635,2.3727,0.84273),(3875,4645,2.3819,0.83299),(3875,4655,2.3878,0.82336),(3875,4665,2.3873,0.81374),(3875,4675,2.3869,0.80427),(3875,4685,2.3029,0.79485),(3875,4695,1.8059,0.78543),(3875,4705,1.3089,0.78044),(3875,4715,0.81185,0.77866),(3875,4725,1.0428,0.77689),(3875,4735,1.2811,0.77364),(3875,4745,1.5194,0.76818),(3875,4755,1.7641,0.76272),(3875,4765,2.0104,0.75639),(3875,4775,2.2566,0.74703),(3875,4785,2.3467,0.73768),(3875,4795,2.3463,0.72833),(3875,4805,2.346,0.71914),(3875,4815,2.2316,0.70995),(3875,4825,1.9808,0.70076),(3875,4835,1.7299,0.69483),(3875,4845,1.4758,0.6894),(3875,4855,1.2131,0.68397),(3875,4865,0.95043,0.68127),(3875,4875,0.7637,0.6798),(3875,4885,1.2682,0.67833),(3875,4895,1.7727,0.67331),(3875,4905,2.2772,0.66488),(3875,4915,2.3167,0.65645),(3875,4925,2.3163,0.64806),(3875,4935,2.3158,0.63974),(3875,4945,2.3117,0.63142),(3875,4955,2.3061,0.62299),(3875,4965,2.3006,0.61392),(3875,4975,1.918,0.60485),(3875,4985,1.2441,0.59577),(3875,4995,0.57029,0.59615),(3875,5005,0.35186,0.59676),(3875,5015,0.85743,0.59738),(3875,5025,1.363,0.59286),(3875,5035,1.7985,0.58703),(3875,5045,1.967,0.58119),(3875,5055,2.1355,0.57404),(3875,5065,2.2989,0.56607),(3875,5075,2.2989,0.5581),(3875,5085,2.2988,0.55019),(3875,5095,2.2987,0.54237),(3875,5105,2.0065,0.53454),(3875,5115,1.6633,0.52781),(3875,5125,1.3201,0.52416),(3875,5135,1.1457,0.52052),(3875,5145,1.0533,0.51699),(3875,5155,0.96076,0.51465),(3875,5165,1.1289,0.51231),(3875,5175,1.5628,0.50997),(3875,5185,1.9968,0.50342),(3875,5195,2.2931,0.49643),(3875,5205,2.2926,0.48945),(3875,5215,2.2922,0.48254),(3875,5225,2.2799,0.47567),(3875,5235,2.1939,0.4688),(3875,5245,2.108,0.46245),(3875,5255,2.022,0.45652),(3875,5265,1.4224,0.45058),(3875,5275,0.80147,0.44694),(3875,5285,0.18059,0.44719),(3875,5295,0.58998,0.44743),(3875,5305,1.2863,0.44651),(3875,5315,1.9826,0.4407),(3875,5325,2.2593,0.4349),(3875,5335,2.2608,0.42911),(3875,5345,2.2623,0.42381),(3875,5355,2.2628,0.41852),(3875,5365,2.2618,0.41322),(3875,5375,2.2608,0.40799),(3875,5385,2.1305,0.40276),(3875,5395,1.6074,0.39754),(3875,5405,1.0842,0.39501),(3875,5415,0.61603,0.39387),(3875,5425,0.88555,0.39273),(3875,5435,1.1551,0.39158),(3875,5445,1.4246,0.39042),(3875,5455,1.6914,0.38926),(3875,5465,1.958,0.38783),(3875,5475,2.2245,0.3858),(3875,5485,2.2996,0.38376),(3875,5495,2.2976,0.38172),(3875,5505,2.2956,0.37966),(3875,5515,2.2937,0.37759),(3875,5525,2.2918,0.37553),(3875,5535,2.29,0.37342),(3875,5545,2.2882,0.3713),(3875,5555,2.2864,0.36918),(3875,5565,2.2847,0.36702),(3875,5575,2.283,0.36485),(3875,5585,2.2814,0.36268),(3875,5595,2.2798,0.36047),(3875,5605,2.2782,0.35824),(3875,5615,2.2767,0.35602),(3875,5625,2.2752,0.35376),(3875,5635,2.2738,0.35148),(3875,5645,2.2723,0.3492),(3875,5655,2.2709,0.3469),(3875,5665,2.2695,0.34457),(3875,5675,2.2681,0.34223),(3875,5685,2.2668,0.33989),(3875,5695,2.2655,0.3375),(3875,5705,2.2641,0.33512),(3875,5715,2.2628,0.33273),(3875,5725,2.2615,0.3303),(3875,5735,2.2603,0.32787),(3875,5745,2.259,0.32543),(3875,5755,2.2577,0.32297),(3875,5765,2.2565,0.3205),(3875,5775,2.2552,0.31803),(3875,5785,2.254,0.31555),(3875,5795,2.2527,0.31305),(3875,5805,2.2515,0.31056),(3875,5815,2.2502,0.30806),(3875,5825,2.2489,0.30555),(3875,5835,2.2477,0.30304),(3875,5845,2.2464,0.30054),(3875,5855,2.2451,0.29804),(3875,5865,2.2439,0.29553),(3875,5875,2.2426,0.29303),(3875,5885,2.2413,0.29054),(3875,5895,2.24,0.28805),(3875,5905,2.2386,0.28556),(3875,5915,2.2373,0.28308),(3875,5925,2.236,0.28061),(3875,5935,2.2346,0.27814),(3875,5945,2.2333,0.27569),(3875,5955,2.2319,0.27325),(3875,5965,2.2305,0.2708),(3875,5975,2.2292,0.26837),(3875,5985,2.2278,0.26595),(3875,5995,1.7027,0.26354),(3875,6005,1.0933,0.26171),(3875,6015,0.48387,0.26147),(3875,6025,0.64882,0.26123),(3875,6035,1.1729,0.26061),(3875,6045,1.697,0.2564),(3875,6055,2.0594,0.25219),(3875,6065,2.2631,0.24798),(3875,6075,2.4669,0.24249),(3875,6085,2.6041,0.23688),(3875,6095,2.6042,0.23127),(3875,6105,2.6043,0.2257),(3875,6115,2.6044,0.22015),(3875,6125,2.6044,0.2146),(3875,6135,2.6044,0.2091),(3875,6145,2.6043,0.20363),(3875,6155,2.6042,0.19816),(3875,6165,2.604,0.19273),(3875,6175,2.6039,0.18738),(3875,6185,2.6036,0.18204),(3875,6195,2.6033,0.17673),(3875,6205,2.603,0.17159),(3875,6215,2.6026,0.16646),(3875,6225,2.6022,0.16133),(3875,6235,2.6017,0.15637),(3875,6245,2.6013,0.15142),(3875,6255,2.6007,0.14646),(3875,6265,2.6002,0.14165),(3875,6275,2.5997,0.13688),(3875,6285,2.5991,0.1321),(3875,6295,2.5985,0.12748),(3875,6305,2.5979,0.12295),(3875,6315,2.5972,0.11842),(3875,6325,2.5966,0.11396),(3875,6335,2.596,0.10958),(3875,6345,2.5953,0.1052),(3875,6355,2.5947,0.10089),(3875,6365,2.594,0.096768),(3875,6375,2.5934,0.092642),(3875,6385,2.5928,0.088536),(3875,6395,2.5921,0.084563),(3875,6405,2.5915,0.08059),(3875,6415,2.5909,0.076617),(3875,6425,2.5903,0.072792),(3875,6435,2.5897,0.068975),(3875,6445,2.5891,0.065157),(3875,6455,2.5886,0.061475),(3875,6465,2.588,0.057831),(3875,6475,2.5876,0.054187),(3875,6485,2.5871,0.050627),(3875,6495,2.5866,0.047123),(3875,6505,2.5862,0.043619),(3875,6515,2.5859,0.040143),(3875,6525,2.5855,0.036706),(3875,6535,2.5852,0.033268),(3875,6545,2.5849,0.029845),(3875,6555,2.5847,0.026468),(3875,6565,2.5845,0.023091),(3875,6575,2.5843,0.019722),(3875,6585,2.5842,0.016477),(3875,6595,2.1979,0.013232),(3875,6605,1.3854,0.009987),(3875,6615,0.57282,0.00962),(3875,6625,0.001604,0.009624),(3875,6635,0.001607,0.009628),(3875,6645,0.001609,0.009627),(3875,6655,0.001611,0.009624),(3875,6665,0.001613,0.009621),(3875,6675,0.001616,0.009617),(3875,6685,0.001618,0.009614),(3875,6695,0.001621,0.00961),(3875,6705,0.001623,0.009606),(3875,6715,0.001626,0.009601),(3875,6725,0.001628,0.009597),(3875,6735,0.001631,0.009592),(3875,6745,0.001633,0.009587),(3875,6755,0.001635,0.009582),(3875,6765,0.001638,0.009577),(3875,6775,0.00164,0.009572),(3875,6785,0.001642,0.009566),(3875,6795,0.001644,0.00956),(3875,6805,0.001647,0.009554),(3875,6815,0.001649,0.009548),(3875,6825,0.001651,0.009542),(3875,6835,0.001653,0.009536),(3875,6845,0.001655,0.009529),(3875,6855,0.001657,0.009523),(3875,6865,0.001659,0.009516),(3875,6875,0.001661,0.009509),(3875,6885,0.001663,0.009502),(3875,6895,0.001665,0.009496),(3875,6905,0.001667,0.009488),(3875,6915,0.001668,0.009481),(3875,6925,0.00167,0.009474),(3875,6935,0.001672,0.009467),(3875,6945,0.001673,0.009459),(3875,6955,0.001675,0.009452),(3875,6965,0.001676,0.009444),(3875,6975,0.001678,0.009437),(3875,6985,0.001679,0.009429),(3885,5,1.4e-05,0.53225),(3885,15,4.1e-05,0.53224),(3885,25,6.8e-05,0.53224),(3885,35,9.5e-05,0.53224),(3885,45,0.000122,0.53224),(3885,55,0.000149,0.53223),(3885,65,0.000176,0.53222),(3885,75,0.000203,0.53222),(3885,85,0.000229,0.53221),(3885,95,0.000256,0.5322),(3885,105,0.000282,0.53218),(3885,115,0.000308,0.53217),(3885,125,0.000334,0.53216),(3885,135,0.00036,0.53214),(3885,145,0.000386,0.53213),(3885,155,0.000411,0.53211),(3885,165,0.000436,0.5321),(3885,175,0.000461,0.53208),(3885,185,0.000485,0.53206),(3885,195,0.000509,0.53203),(3885,205,0.000532,0.53201),(3885,215,0.000556,0.53199),(3885,225,0.000579,0.53196),(3885,235,0.000601,0.53194),(3885,245,0.000623,0.53191),(3885,255,0.000646,0.53188),(3885,265,0.000667,0.53185),(3885,275,0.000687,0.53182),(3885,285,0.000707,0.53178),(3885,295,0.000728,0.53175),(3885,305,0.000746,0.53171),(3885,315,0.000764,0.53168),(3885,325,0.000782,0.53163),(3885,335,0.0008,0.53159),(3885,345,0.000816,0.53155),(3885,355,0.000831,0.53151),(3885,365,0.000846,0.53146),(3885,375,0.000861,0.53141),(3885,385,0.000873,0.53137),(3885,395,0.000884,0.53132),(3885,405,0.000895,0.53126),(3885,415,0.000907,0.53121),(3885,425,0.000914,0.53115),(3885,435,0.000921,0.5311),(3885,445,0.000928,0.53104),(3885,455,0.000935,0.53098),(3885,465,0.000937,0.53091),(3885,475,0.000939,0.53085),(3885,485,0.00094,0.53078),(3885,495,0.000942,0.53071),(3885,505,0.000938,0.53064),(3885,515,0.000933,0.53057),(3885,525,0.000928,0.5305),(3885,535,0.000924,0.53042),(3885,545,0.000912,0.53034),(3885,555,0.0009,0.53026),(3885,565,0.000888,0.53017),(3885,575,0.000875,0.53009),(3885,585,0.000854,0.53),(3885,595,0.000833,0.52991),(3885,605,0.000812,0.52981),(3885,615,0.000789,0.52972),(3885,625,0.000758,0.52962),(3885,635,0.000726,0.52952),(3885,645,0.000694,0.52942),(3885,655,0.00066,0.52931),(3885,665,0.000616,0.5292),(3885,675,0.000571,0.5291),(3885,685,0.000527,0.52898),(3885,695,0.00048,0.52886),(3885,705,0.00042,0.52875),(3885,715,0.000361,0.52863),(3885,725,0.000301,0.5285),(3885,735,0.000238,0.52837),(3885,745,0.00016,0.52825),(3885,755,8.3e-05,0.52812),(3885,765,6e-06,0.52798),(3885,775,-7.7e-05,0.52784),(3885,785,-0.000175,0.52771),(3885,795,-0.000272,0.52757),(3885,805,-0.00037,0.52742),(3885,815,-0.000476,0.52727),(3885,825,-0.000598,0.52713),(3885,835,-0.00072,0.52698),(3885,845,-0.000842,0.52682),(3885,855,-0.000973,0.52667),(3885,865,-0.001123,0.52651),(3885,875,-0.001273,0.52636),(3885,885,-0.001422,0.52619),(3885,895,-0.001584,0.52603),(3885,905,-0.001766,0.52587),(3885,915,-0.001947,0.52571),(3885,925,-0.002128,0.52554),(3885,935,-0.002325,0.52537),(3885,945,-0.002542,0.52521),(3885,955,-0.002759,0.52504),(3885,965,-0.002977,0.52488),(3885,975,-0.003213,0.52471),(3885,985,-0.00347,0.52454),(3885,995,-0.003727,0.52438),(3885,1005,-0.003984,0.52421),(3885,1015,-0.004263,0.52405),(3885,1025,-0.004563,0.52389),(3885,1035,-0.004863,0.52373),(3885,1045,-0.005164,0.52358),(3885,1055,-0.00549,0.52342),(3885,1065,-0.005837,0.52327),(3885,1075,-0.006184,0.52312),(3885,1085,-0.00653,0.52299),(3885,1095,-0.006906,0.52285),(3885,1105,-0.007301,0.52271),(3885,1115,-0.007696,0.52259),(3885,1125,-0.008092,0.52248),(3885,1135,-0.008518,0.52236),(3885,1145,-0.008961,0.52225),(3885,1155,-0.009405,0.52216),(3885,1165,-0.009849,0.52208),(3885,1175,-0.010325,0.522),(3885,1185,-0.010816,0.52192),(3885,1195,-0.011307,0.52186),(3885,1205,-0.011798,0.52183),(3885,1215,-0.01232,0.52179),(3885,1225,-0.012854,0.52175),(3885,1235,-0.013389,0.52174),(3885,1245,-0.013924,0.52175),(3885,1255,-0.014487,0.52176),(3885,1265,-0.015059,0.52177),(3885,1275,-0.015632,0.52182),(3885,1285,-0.016204,0.52189),(3885,1295,-0.016801,0.52195),(3885,1305,-0.017404,0.52202),(3885,1315,-0.018006,0.52213),(3885,1325,-0.018609,0.52226),(3885,1335,-0.01923,0.52238),(3885,1345,-0.019855,0.52251),(3885,1355,-0.02048,0.52268),(3885,1365,-0.021104,0.52287),(3885,1375,-0.02174,0.52306),(3885,1385,-0.022377,0.52324),(3885,1395,-0.023014,0.52348),(3885,1405,-0.023651,0.52373),(3885,1415,-0.024292,0.52397),(3885,1425,-0.024933,0.52422),(3885,1435,-0.025575,0.52452),(3885,1445,-0.026216,0.52482),(3885,1455,-0.026854,0.52512),(3885,1465,-0.027492,0.52542),(3885,1475,-0.028131,0.52576),(3885,1485,-0.028769,0.52611),(3885,1495,-0.0294,0.52646),(3885,1505,-0.030031,0.52681),(3885,1515,-0.030661,0.52719),(3885,1525,-0.031292,0.52758),(3885,1535,-0.031913,0.52797),(3885,1545,-0.032535,0.52836),(3885,1555,-0.033157,0.52877),(3885,1565,-0.033778,0.52919),(3885,1575,-0.03439,0.52961),(3885,1585,-0.035003,0.53003),(3885,1595,-0.035615,0.53046),(3885,1605,-0.036227,0.5309),(3885,1615,-0.036834,0.53134),(3885,1625,-0.03744,0.53178),(3885,1635,-0.038046,0.53222),(3885,1645,-0.038653,0.53267),(3885,1655,-0.039258,0.53312),(3885,1665,-0.039863,0.53357),(3885,1675,-0.040468,0.53402),(3885,1685,-0.041074,0.53447),(3885,1695,-0.041685,0.53492),(3885,1705,-0.042296,0.53537),(3885,1715,-0.042907,0.53582),(3885,1725,-0.043521,0.53626),(3885,1735,-0.044146,0.53671),(3885,1745,-0.044771,0.53715),(3885,1755,-0.045396,0.53758),(3885,1765,-0.046027,0.53802),(3885,1775,-0.046676,0.53845),(3885,1785,-0.047325,0.53888),(3885,1795,-0.047974,0.53929),(3885,1805,-0.048634,0.53971),(3885,1815,-0.049318,0.54012),(3885,1825,-0.050001,0.54053),(3885,1835,-0.050685,0.54092),(3885,1845,-0.051385,0.54131),(3885,1855,-0.052115,0.5417),(3885,1865,-0.052846,0.54208),(3885,1875,-0.053576,0.54244),(3885,1885,-0.05433,0.5428),(3885,1895,-0.055121,0.54316),(3885,1905,-0.055912,0.54351),(3885,1915,-0.056704,0.54383),(3885,1925,-0.057527,0.54416),(3885,1935,-0.058394,0.54448),(3885,1945,-0.059261,0.54479),(3885,1955,-0.060128,0.54507),(3885,1965,-0.061038,0.54535),(3885,1975,-0.061999,0.54563),(3885,1985,-0.062959,0.54589),(3885,1995,-0.06392,0.54612),(3885,2005,-0.064937,0.54635),(3885,2015,-0.066011,0.54658),(3885,2025,-0.067084,0.54678),(3885,2035,-0.068158,0.54696),(3885,2045,-0.069305,0.54713),(3885,2055,-0.070516,0.5473),(3885,2065,-0.071726,0.54743),(3885,2075,-0.072937,0.54754),(3885,2085,-0.074242,0.54764),(3885,2095,-0.075617,0.54774),(3885,2105,-0.076992,0.5478),(3885,2115,-0.078367,0.54782),(3885,2125,-0.079864,0.54784),(3885,2135,-0.081436,0.54786),(3885,2145,-0.083008,0.54782),(3885,2155,-0.08458,0.54774),(3885,2165,-0.086309,0.54766),(3885,2175,-0.088119,0.54758),(3885,2185,-0.089929,0.54743),(3885,2195,-0.091739,0.54723),(3885,2205,-0.093749,0.54703),(3885,2215,-0.095845,0.54684),(3885,2225,-0.097942,0.54653),(3885,2235,-0.10004,0.54619),(3885,2245,-0.10239,0.54585),(3885,2255,-0.10484,0.54551),(3885,2265,-0.10728,0.54503),(3885,2275,-0.10972,0.54451),(3885,2285,-0.1125,0.54398),(3885,2295,-0.11537,0.54346),(3885,2305,-0.11824,0.54276),(3885,2315,-0.1211,0.54201),(3885,2325,-0.1244,0.54126),(3885,2335,-0.12779,0.54051),(3885,2345,-0.13118,0.53952),(3885,2355,-0.13457,0.53848),(3885,2365,-0.13851,0.53744),(3885,2375,-0.14254,0.5364),(3885,2385,-0.14658,0.53503),(3885,2395,-0.15062,0.53362),(3885,2405,-0.15538,0.5322),(3885,2415,-0.16022,0.53078),(3885,2425,-0.16506,0.5289),(3885,2435,-0.16991,0.52698),(3885,2445,-0.17571,0.52505),(3885,2455,-0.18157,0.52313),(3885,2465,-0.18744,0.52054),(3885,2475,-0.19331,0.51792),(3885,2485,-0.20045,0.5153),(3885,2495,-0.20763,0.51268),(3885,2505,-0.2148,0.50907),(3885,2515,-0.22201,0.50546),(3885,2525,-0.23088,0.50184),(3885,2535,-0.23976,0.49818),(3885,2545,-0.24864,0.49309),(3885,2555,-0.25764,0.48801),(3885,2565,-0.26876,0.48292),(3885,2575,-0.27987,0.47767),(3885,2585,-0.29099,0.4703),(3885,2595,-0.30238,0.46294),(3885,2605,-0.31647,0.45558),(3885,2615,-0.33056,0.44779),(3885,2625,-0.34465,0.4367),(3885,2635,-0.35926,0.42562),(3885,2645,-0.3773,0.41454),(3885,2655,-0.39534,0.40247),(3885,2665,-0.41338,0.38496),(3885,2675,-0.43232,0.36746),(3885,2685,-0.45551,0.34996),(3885,2695,-0.47871,0.33019),(3885,2705,-0.5019,0.30094),(3885,2715,-0.52739,0.2717),(3885,2725,-0.56138,0.24245),(3885,2735,-0.59537,0.20766),(3885,2745,-0.62936,0.15462),(3885,2755,-0.6429,0.10157),(3885,2765,-0.59589,0.048523),(3885,2775,-0.54889,0.001487),(3885,2785,-0.50189,-0.029483),(3885,2795,-0.45589,-0.060453),(3885,2805,-0.41232,-0.091423),(3885,2815,-0.36876,-0.11859),(3885,2825,-0.32519,-0.13738),(3885,2835,-0.28348,-0.15616),(3885,2845,-0.24552,-0.17495),(3885,2855,-0.20755,-0.19139),(3885,2865,-0.16958,-0.20353),(3885,2875,-0.1331,-0.21566),(3885,2885,-0.099133,-0.22779),(3885,2895,-0.065164,-0.23844),(3885,2905,-0.031196,-0.24676),(3885,2915,0.001614,-0.25508),(3885,2925,0.032763,-0.26341),(3885,2935,0.063912,-0.27074),(3885,2945,0.095061,-0.27677),(3885,2955,0.12534,-0.28279),(3885,2965,0.15455,-0.28882),(3885,2975,0.18376,-0.29416),(3885,2985,0.21297,-0.29872),(3885,2995,0.24155,-0.30328),(3885,3005,0.2695,-0.30785),(3885,3015,0.29744,-0.3119),(3885,3025,0.32538,-0.31548),(3885,3035,0.35293,-0.31905),(3885,3045,0.38014,-0.32263),(3885,3055,0.40734,-0.32581),(3885,3065,0.43455,-0.32866),(3885,3075,0.46159,-0.33152),(3885,3085,0.4885,-0.33437),(3885,3095,0.51542,-0.33688),(3885,3105,0.54233,-0.33916),(3885,3115,0.5693,-0.34144),(3885,3125,0.59632,-0.34371),(3885,3135,0.62333,-0.34566),(3885,3145,0.65034,-0.34742),(3885,3155,0.67767,-0.34918),(3885,3165,0.70516,-0.35093),(3885,3175,0.73265,-0.35233),(3885,3185,0.76014,-0.35356),(3885,3195,0.78822,-0.35478),(3885,3205,0.81657,-0.356),(3885,3215,0.84492,-0.35679),(3885,3225,0.87327,-0.35741),(3885,3235,0.90255,-0.35802),(3885,3245,0.93219,-0.35864),(3885,3255,0.96182,-0.35868),(3885,3265,0.99145,-0.35854),(3885,3275,1.0224,-0.3584),(3885,3285,1.0538,-0.35825),(3885,3295,1.0852,-0.35731),(3885,3305,1.1166,-0.35616),(3885,3315,1.1499,-0.35501),(3885,3325,1.1837,-0.35386),(3885,3335,1.2174,-0.35156),(3885,3345,1.2512,-0.34901),(3885,3355,1.2876,-0.34646),(3885,3365,1.3244,-0.34392),(3885,3375,1.3613,-0.33964),(3885,3385,1.3981,-0.33509),(3885,3395,1.4386,-0.33054),(3885,3405,1.4796,-0.32599),(3885,3415,1.5205,-0.31875),(3885,3425,1.5614,-0.31122),(3885,3435,1.6074,-0.3037),(3885,3445,1.6537,-0.29618),(3885,3455,1.7001,-0.28433),(3885,3465,1.7464,-0.27224),(3885,3475,1.7998,-0.26015),(3885,3485,1.8534,-0.24806),(3885,3495,1.9069,-0.22878),(3885,3505,1.9606,-0.2094),(3885,3515,2.0241,-0.19002),(3885,3525,2.0876,-0.17034),(3885,3535,2.1512,-0.13886),(3885,3545,2.2153,-0.10738),(3885,3555,2.293,-0.075899),(3885,3565,2.3707,-0.043078),(3885,3575,2.4484,0.009234),(3885,3585,2.528,0.061546),(3885,3595,2.628,0.11386),(3885,3605,2.728,0.16997),(3885,3615,2.8279,0.25886),(3885,3625,2.918,0.34774),(3885,3635,2.9373,0.43662),(3885,3645,2.9567,0.52714),(3885,3655,2.9761,0.62736),(3885,3665,2.9607,0.72758),(3885,3675,2.7671,0.8278),(3885,3685,2.5734,0.91495),(3885,3695,2.3797,0.94377),(3885,3705,2.2127,0.9726),(3885,3715,2.1505,1.0014),(3885,3725,2.0882,1.0279),(3885,3735,2.0259,1.0462),(3885,3745,1.9658,1.0645),(3885,3755,1.9121,1.0827),(3885,3765,1.8585,1.0994),(3885,3775,1.8049,1.1115),(3885,3785,1.7533,1.1236),(3885,3795,1.7068,1.1357),(3885,3805,1.6602,1.1466),(3885,3815,1.6137,1.1549),(3885,3825,1.569,1.1631),(3885,3835,1.5279,1.1713),(3885,3845,1.4869,1.1787),(3885,3855,1.4459,1.1845),(3885,3865,1.4064,1.1903),(3885,3875,1.3696,1.1961),(3885,3885,1.3328,1.2013),(3885,3895,1.296,1.2055),(3885,3905,1.2606,1.2098),(3885,3915,1.227,1.214),(3885,3925,1.1935,1.2178),(3885,3935,1.16,1.2211),(3885,3945,1.1276,1.2244),(3885,3955,1.0965,1.2276),(3885,3965,1.0655,1.2307),(3885,3975,1.0345,1.2334),(3885,3985,1.0044,1.2361),(3885,3995,0.97523,1.2388),(3885,4005,0.9461,1.2413),(3885,4015,0.91697,1.2437),(3885,4025,1.2526,1.2462),(3885,4035,1.6239,1.2461),(3885,4045,1.9952,1.2407),(3885,4055,2.2602,1.2353),(3885,4065,2.4865,1.2293),(3885,4075,2.7127,1.2191),(3885,4085,2.8092,1.2089),(3885,4095,2.8015,1.1987),(3885,4105,2.7937,1.1887),(3885,4115,2.6961,1.1786),(3885,4125,2.4494,1.1685),(3885,4135,2.2028,1.1618),(3885,4145,1.9532,1.1561),(3885,4155,1.6916,1.1503),(3885,4165,1.43,1.1474),(3885,4175,1.1829,1.1463),(3885,4185,1.6544,1.1453),(3885,4195,2.1258,1.1404),(3885,4205,2.5972,1.1305),(3885,4215,2.6672,1.1205),(3885,4225,2.6616,1.1106),(3885,4235,2.6561,1.1007),(3885,4245,2.6432,1.0907),(3885,4255,2.6267,1.0806),(3885,4265,2.6101,1.0687),(3885,4275,2.2908,1.0568),(3885,4285,1.6502,1.0448),(3885,4295,1.0096,1.0442),(3885,4305,0.73426,1.0448),(3885,4315,1.2838,1.0455),(3885,4325,1.8333,1.04),(3885,4335,2.3215,1.0321),(3885,4345,2.3946,1.0243),(3885,4355,2.4677,1.0157),(3885,4365,2.5408,1.0066),(3885,4375,2.541,0.99742),(3885,4385,2.5375,0.98835),(3885,4395,2.5339,0.97941),(3885,4405,2.2174,0.97046),(3885,4415,1.8085,0.96257),(3885,4425,1.3996,0.95938),(3885,4435,1.2243,0.95618),(3885,4445,1.2086,0.95299),(3885,4455,1.1929,0.94989),(3885,4465,1.3513,0.94679),(3885,4475,1.7543,0.94368),(3885,4485,2.1574,0.93545),(3885,4495,2.4642,0.92614),(3885,4505,2.4621,0.91683),(3885,4515,2.46,0.90762),(3885,4525,2.4532,0.89846),(3885,4535,2.3698,0.8893),(3885,4545,2.2864,0.8807),(3885,4555,2.203,0.87275),(3885,4565,1.6731,0.86479),(3885,4575,1.0831,0.85944),(3885,4585,0.49307,0.86039),(3885,4595,0.77024,0.86134),(3885,4605,1.4138,0.86091),(3885,4615,2.0574,0.84967),(3885,4625,2.3678,0.83843),(3885,4635,2.3764,0.82719),(3885,4645,2.3851,0.81756),(3885,4655,2.3905,0.80805),(3885,4665,2.39,0.79853),(3885,4675,2.3895,0.78917),(3885,4685,2.3053,0.77986),(3885,4695,1.8073,0.77054),(3885,4705,1.3093,0.76564),(3885,4715,0.81134,0.76393),(3885,4725,1.0428,0.76223),(3885,4735,1.2815,0.75906),(3885,4745,1.5203,0.7537),(3885,4755,1.7655,0.74834),(3885,4765,2.0123,0.74212),(3885,4775,2.2591,0.73291),(3885,4785,2.3492,0.7237),(3885,4795,2.3489,0.71449),(3885,4805,2.3485,0.70546),(3885,4815,2.2338,0.69643),(3885,4825,1.9825,0.6874),(3885,4835,1.7313,0.68158),(3885,4845,1.4767,0.67626),(3885,4855,1.2135,0.67094),(3885,4865,0.95031,0.6683),(3885,4875,0.76322,0.66687),(3885,4885,1.2684,0.66545),(3885,4895,1.7736,0.66051),(3885,4905,2.2789,0.6522),(3885,4915,2.3184,0.64389),(3885,4925,2.318,0.63562),(3885,4935,2.3175,0.62742),(3885,4945,2.3135,0.61921),(3885,4955,2.3082,0.6109),(3885,4965,2.303,0.60197),(3885,4975,1.9198,0.59304),(3885,4985,1.2449,0.58411),(3885,4995,0.56992,0.58451),(3885,5005,0.35104,0.58514),(3885,5015,0.8572,0.58577),(3885,5025,1.3634,0.58133),(3885,5035,1.7994,0.57559),(3885,5045,1.968,0.56986),(3885,5055,2.1367,0.56281),(3885,5065,2.3003,0.55496),(3885,5075,2.3002,0.54711),(3885,5085,2.3001,0.53933),(3885,5095,2.3,0.53162),(3885,5105,2.0075,0.52391),(3885,5115,1.664,0.51728),(3885,5125,1.3205,0.51371),(3885,5135,1.1459,0.51013),(3885,5145,1.0532,0.50667),(3885,5155,0.96061,0.50438),(3885,5165,1.1288,0.50209),(3885,5175,1.563,0.4998),(3885,5185,1.9971,0.49336),(3885,5195,2.2936,0.48649),(3885,5205,2.2931,0.47962),(3885,5215,2.2926,0.47284),(3885,5225,2.2803,0.46608),(3885,5235,2.1943,0.45933),(3885,5245,2.1083,0.45308),(3885,5255,2.0223,0.44725),(3885,5265,1.4224,0.44142),(3885,5275,0.80133,0.43785),(3885,5285,0.18026,0.4381),(3885,5295,0.58958,0.43835),(3885,5305,1.2858,0.43745),(3885,5315,1.9821,0.43178),(3885,5325,2.2587,0.42611),(3885,5335,2.2601,0.42044),(3885,5345,2.2614,0.41525),(3885,5355,2.2618,0.41007),(3885,5365,2.2608,0.40488),(3885,5375,2.2598,0.39975),(3885,5385,2.1295,0.39463),(3885,5395,1.6066,0.38951),(3885,5405,1.0836,0.38703),(3885,5415,0.61547,0.38592),(3885,5425,0.88429,0.38481),(3885,5435,1.1531,0.3837),(3885,5445,1.4219,0.38258),(3885,5455,1.6883,0.38147),(3885,5465,1.9544,0.3801),(3885,5475,2.2204,0.37814),(3885,5485,2.2954,0.37618),(3885,5495,2.2934,0.37421),(3885,5505,2.2914,0.37222),(3885,5515,2.2895,0.37023),(3885,5525,2.2877,0.36824),(3885,5535,2.2858,0.36619),(3885,5545,2.2841,0.36414),(3885,5555,2.2824,0.36209),(3885,5565,2.2807,0.35999),(3885,5575,2.279,0.35788),(3885,5585,2.2774,0.35577),(3885,5595,2.2759,0.35362),(3885,5605,2.2743,0.35145),(3885,5615,2.2728,0.34927),(3885,5625,2.2713,0.34708),(3885,5635,2.2699,0.34485),(3885,5645,2.2685,0.34262),(3885,5655,2.2671,0.34038),(3885,5665,2.2657,0.3381),(3885,5675,2.2644,0.33581),(3885,5685,2.263,0.33353),(3885,5695,2.2617,0.3312),(3885,5705,2.2604,0.32886),(3885,5715,2.2592,0.32653),(3885,5725,2.2579,0.32416),(3885,5735,2.2566,0.32178),(3885,5745,2.2554,0.31941),(3885,5755,2.2541,0.31701),(3885,5765,2.2529,0.31461),(3885,5775,2.2516,0.3122),(3885,5785,2.2504,0.30978),(3885,5795,2.2492,0.30736),(3885,5805,2.2479,0.30493),(3885,5815,2.2467,0.3025),(3885,5825,2.2454,0.30008),(3885,5835,2.2441,0.29765),(3885,5845,2.2429,0.29522),(3885,5855,2.2416,0.29281),(3885,5865,2.2403,0.29039),(3885,5875,2.239,0.28797),(3885,5885,2.2377,0.28558),(3885,5895,2.2364,0.28318),(3885,5905,2.2351,0.28079),(3885,5915,2.2338,0.27841),(3885,5925,2.2324,0.27604),(3885,5935,2.2311,0.27367),(3885,5945,2.2297,0.27132),(3885,5955,2.2284,0.26898),(3885,5965,2.227,0.26664),(3885,5975,2.2256,0.26432),(3885,5985,2.2242,0.26201),(3885,5995,1.6999,0.2597),(3885,6005,1.0915,0.25795),(3885,6015,0.48303,0.25772),(3885,6025,0.64833,0.25749),(3885,6035,1.1725,0.25688),(3885,6045,1.6966,0.25268),(3885,6055,2.059,0.24848),(3885,6065,2.2628,0.24428),(3885,6075,2.4665,0.23879),(3885,6085,2.6037,0.23319),(3885,6095,2.6038,0.22758),(3885,6105,2.6039,0.22202),(3885,6115,2.604,0.21648),(3885,6125,2.6039,0.21094),(3885,6135,2.6039,0.20544),(3885,6145,2.6038,0.19999),(3885,6155,2.6036,0.19453),(3885,6165,2.6034,0.18912),(3885,6175,2.6032,0.18379),(3885,6185,2.6029,0.17846),(3885,6195,2.6026,0.17317),(3885,6205,2.6023,0.16806),(3885,6215,2.6018,0.16295),(3885,6225,2.6013,0.15785),(3885,6235,2.6009,0.15294),(3885,6245,2.6003,0.14803),(3885,6255,2.5998,0.14312),(3885,6265,2.5992,0.13837),(3885,6275,2.5986,0.13366),(3885,6285,2.5979,0.12894),(3885,6295,2.5972,0.12438),(3885,6305,2.5965,0.1199),(3885,6315,2.5959,0.11542),(3885,6325,2.5952,0.11103),(3885,6335,2.5945,0.10674),(3885,6345,2.5938,0.10244),(3885,6355,2.5931,0.098227),(3885,6365,2.5923,0.094191),(3885,6375,2.5916,0.090155),(3885,6385,2.5909,0.086141),(3885,6395,2.5902,0.082268),(3885,6405,2.5895,0.078395),(3885,6415,2.5889,0.074522),(3885,6425,2.5882,0.070798),(3885,6435,2.5876,0.067081),(3885,6445,2.587,0.063364),(3885,6455,2.5864,0.059786),(3885,6465,2.5858,0.056248),(3885,6475,2.5853,0.05271),(3885,6485,2.5848,0.049258),(3885,6495,2.5843,0.045862),(3885,6505,2.5839,0.042466),(3885,6515,2.5835,0.039102),(3885,6525,2.5831,0.035781),(3885,6535,2.5828,0.03246),(3885,6545,2.5825,0.029155),(3885,6555,2.5823,0.025902),(3885,6565,2.5821,0.022648),(3885,6575,2.5819,0.019401),(3885,6585,2.5817,0.016256),(3885,6595,2.1958,0.01311),(3885,6605,1.384,0.009965),(3885,6615,0.57226,0.009614),(3885,6625,0.001603,0.009622),(3885,6635,0.001605,0.009629),(3885,6645,0.001608,0.00963),(3885,6655,0.00161,0.009626),(3885,6665,0.001613,0.009623),(3885,6675,0.001616,0.00962),(3885,6685,0.001618,0.009616),(3885,6695,0.001621,0.009612),(3885,6705,0.001624,0.009609),(3885,6715,0.001626,0.009604),(3885,6725,0.001629,0.0096),(3885,6735,0.001631,0.009595),(3885,6745,0.001634,0.00959),(3885,6755,0.001637,0.009585),(3885,6765,0.001639,0.00958),(3885,6775,0.001642,0.009574),(3885,6785,0.001644,0.009568),(3885,6795,0.001646,0.009563),(3885,6805,0.001649,0.009557),(3885,6815,0.001651,0.00955),(3885,6825,0.001653,0.009544),(3885,6835,0.001656,0.009538),(3885,6845,0.001658,0.009531),(3885,6855,0.00166,0.009525),(3885,6865,0.001662,0.009518),(3885,6875,0.001664,0.009511),(3885,6885,0.001666,0.009504),(3885,6895,0.001668,0.009497),(3885,6905,0.00167,0.00949),(3885,6915,0.001671,0.009483),(3885,6925,0.001673,0.009476),(3885,6935,0.001675,0.009468),(3885,6945,0.001677,0.009461),(3885,6955,0.001678,0.009453),(3885,6965,0.00168,0.009446),(3885,6975,0.001681,0.009438),(3885,6985,0.001683,0.00943),(3895,5,1.4e-05,0.35572),(3895,15,4.2e-05,0.35572),(3895,25,7e-05,0.35572),(3895,35,9.8e-05,0.35572),(3895,45,0.000126,0.35571),(3895,55,0.000154,0.35571),(3895,65,0.000182,0.3557),(3895,75,0.000209,0.35569),(3895,85,0.000237,0.35568),(3895,95,0.000265,0.35567),(3895,105,0.000292,0.35566),(3895,115,0.000319,0.35565),(3895,125,0.000346,0.35564),(3895,135,0.000373,0.35562),(3895,145,0.000399,0.35561),(3895,155,0.000425,0.35559),(3895,165,0.000451,0.35557),(3895,175,0.000477,0.35555),(3895,185,0.000503,0.35553),(3895,195,0.000527,0.35551),(3895,205,0.000552,0.35549),(3895,215,0.000577,0.35546),(3895,225,0.000601,0.35544),(3895,235,0.000624,0.35541),(3895,245,0.000648,0.35538),(3895,255,0.000671,0.35535),(3895,265,0.000693,0.35532),(3895,275,0.000715,0.35529),(3895,285,0.000736,0.35525),(3895,295,0.000758,0.35522),(3895,305,0.000778,0.35518),(3895,315,0.000797,0.35515),(3895,325,0.000816,0.3551),(3895,335,0.000835,0.35506),(3895,345,0.000852,0.35502),(3895,355,0.000869,0.35498),(3895,365,0.000885,0.35493),(3895,375,0.000902,0.35488),(3895,385,0.000915,0.35483),(3895,395,0.000928,0.35478),(3895,405,0.000941,0.35473),(3895,415,0.000954,0.35467),(3895,425,0.000963,0.35462),(3895,435,0.000972,0.35456),(3895,445,0.000981,0.3545),(3895,455,0.000989,0.35443),(3895,465,0.000993,0.35437),(3895,475,0.000996,0.35431),(3895,485,0.001,0.35424),(3895,495,0.001003,0.35416),(3895,505,0.001001,0.35409),(3895,515,0.000998,0.35402),(3895,525,0.000995,0.35394),(3895,535,0.000993,0.35386),(3895,545,0.000983,0.35378),(3895,555,0.000973,0.3537),(3895,565,0.000963,0.35361),(3895,575,0.000952,0.35352),(3895,585,0.000933,0.35343),(3895,595,0.000914,0.35334),(3895,605,0.000895,0.35324),(3895,615,0.000875,0.35314),(3895,625,0.000846,0.35305),(3895,635,0.000817,0.35294),(3895,645,0.000787,0.35284),(3895,655,0.000756,0.35273),(3895,665,0.000714,0.35262),(3895,675,0.000672,0.3525),(3895,685,0.00063,0.35238),(3895,695,0.000585,0.35226),(3895,705,0.000528,0.35214),(3895,715,0.000471,0.35202),(3895,725,0.000414,0.35189),(3895,735,0.000353,0.35176),(3895,745,0.000278,0.35163),(3895,755,0.000203,0.35149),(3895,765,0.000129,0.35135),(3895,775,4.8e-05,0.35121),(3895,785,-4.7e-05,0.35107),(3895,795,-0.000143,0.35092),(3895,805,-0.000238,0.35077),(3895,815,-0.000341,0.35062),(3895,825,-0.000461,0.35046),(3895,835,-0.000581,0.35031),(3895,845,-0.000701,0.35015),(3895,855,-0.000831,0.34998),(3895,865,-0.000979,0.34982),(3895,875,-0.001126,0.34966),(3895,885,-0.001274,0.34949),(3895,895,-0.001435,0.34932),(3895,905,-0.001615,0.34915),(3895,915,-0.001795,0.34897),(3895,925,-0.001975,0.3488),(3895,935,-0.002171,0.34862),(3895,945,-0.002388,0.34845),(3895,955,-0.002605,0.34827),(3895,965,-0.002821,0.34809),(3895,975,-0.003057,0.34792),(3895,985,-0.003315,0.34774),(3895,995,-0.003572,0.34756),(3895,1005,-0.00383,0.34739),(3895,1015,-0.00411,0.34722),(3895,1025,-0.004412,0.34704),(3895,1035,-0.004714,0.34687),(3895,1045,-0.005016,0.34671),(3895,1055,-0.005345,0.34654),(3895,1065,-0.005695,0.34637),(3895,1075,-0.006045,0.34622),(3895,1085,-0.006395,0.34607),(3895,1095,-0.006775,0.34592),(3895,1105,-0.007175,0.34577),(3895,1115,-0.007575,0.34563),(3895,1125,-0.007975,0.34551),(3895,1135,-0.008408,0.34538),(3895,1145,-0.008858,0.34525),(3895,1155,-0.009309,0.34515),(3895,1165,-0.00976,0.34506),(3895,1175,-0.010243,0.34496),(3895,1185,-0.010743,0.34487),(3895,1195,-0.011242,0.34481),(3895,1205,-0.011742,0.34476),(3895,1215,-0.012274,0.34471),(3895,1225,-0.012819,0.34465),(3895,1235,-0.013364,0.34464),(3895,1245,-0.013908,0.34464),(3895,1255,-0.014483,0.34464),(3895,1265,-0.015067,0.34464),(3895,1275,-0.015651,0.34468),(3895,1285,-0.016235,0.34474),(3895,1295,-0.016844,0.3448),(3895,1305,-0.017459,0.34486),(3895,1315,-0.018075,0.34496),(3895,1325,-0.01869,0.34508),(3895,1335,-0.019323,0.3452),(3895,1345,-0.019961,0.34532),(3895,1355,-0.020598,0.34549),(3895,1365,-0.021235,0.34568),(3895,1375,-0.021883,0.34586),(3895,1385,-0.022533,0.34604),(3895,1395,-0.023182,0.34628),(3895,1405,-0.023832,0.34653),(3895,1415,-0.024484,0.34677),(3895,1425,-0.025137,0.34702),(3895,1435,-0.025789,0.34731),(3895,1445,-0.026442,0.34762),(3895,1455,-0.02709,0.34792),(3895,1465,-0.027738,0.34822),(3895,1475,-0.028386,0.34857),(3895,1485,-0.029034,0.34892),(3895,1495,-0.029672,0.34927),(3895,1505,-0.030311,0.34962),(3895,1515,-0.030949,0.35001),(3895,1525,-0.031588,0.3504),(3895,1535,-0.032215,0.35079),(3895,1545,-0.032842,0.35118),(3895,1555,-0.033469,0.3516),(3895,1565,-0.034096,0.35202),(3895,1575,-0.034712,0.35244),(3895,1585,-0.035328,0.35286),(3895,1595,-0.035945,0.3533),(3895,1605,-0.03656,0.35374),(3895,1615,-0.037168,0.35418),(3895,1625,-0.037776,0.35462),(3895,1635,-0.038384,0.35507),(3895,1645,-0.038991,0.35552),(3895,1655,-0.039596,0.35597),(3895,1665,-0.040201,0.35641),(3895,1675,-0.040805,0.35686),(3895,1685,-0.041411,0.35731),(3895,1695,-0.042019,0.35776),(3895,1705,-0.042628,0.35821),(3895,1715,-0.043237,0.35865),(3895,1725,-0.043848,0.3591),(3895,1735,-0.044469,0.35954),(3895,1745,-0.045091,0.35998),(3895,1755,-0.045712,0.36041),(3895,1765,-0.046339,0.36083),(3895,1775,-0.046983,0.36126),(3895,1785,-0.047627,0.36168),(3895,1795,-0.04827,0.36209),(3895,1805,-0.048924,0.3625),(3895,1815,-0.049601,0.3629),(3895,1825,-0.050278,0.3633),(3895,1835,-0.050955,0.36368),(3895,1845,-0.051648,0.36406),(3895,1855,-0.05237,0.36444),(3895,1865,-0.053092,0.36481),(3895,1875,-0.053814,0.36515),(3895,1885,-0.054559,0.3655),(3895,1895,-0.055341,0.36584),(3895,1905,-0.056122,0.36617),(3895,1915,-0.056904,0.36648),(3895,1925,-0.057717,0.36678),(3895,1935,-0.058573,0.36709),(3895,1945,-0.059428,0.36737),(3895,1955,-0.060284,0.36763),(3895,1965,-0.061182,0.36789),(3895,1975,-0.06213,0.36815),(3895,1985,-0.063077,0.36838),(3895,1995,-0.064024,0.36858),(3895,2005,-0.065027,0.36879),(3895,2015,-0.066085,0.36899),(3895,2025,-0.067144,0.36916),(3895,2035,-0.068202,0.3693),(3895,2045,-0.069333,0.36944),(3895,2055,-0.070525,0.36958),(3895,2065,-0.071718,0.36967),(3895,2075,-0.07291,0.36973),(3895,2085,-0.074196,0.3698),(3895,2095,-0.075549,0.36986),(3895,2105,-0.076903,0.36987),(3895,2115,-0.078256,0.36984),(3895,2125,-0.079729,0.36981),(3895,2135,-0.081276,0.36978),(3895,2145,-0.082823,0.36969),(3895,2155,-0.08437,0.36955),(3895,2165,-0.08607,0.36941),(3895,2175,-0.08785,0.36928),(3895,2185,-0.089629,0.36905),(3895,2195,-0.091408,0.36878),(3895,2205,-0.093383,0.36852),(3895,2215,-0.095443,0.36825),(3895,2225,-0.097503,0.36787),(3895,2235,-0.099562,0.36744),(3895,2245,-0.10187,0.36701),(3895,2255,-0.10427,0.36658),(3895,2265,-0.10667,0.36601),(3895,2275,-0.10907,0.36538),(3895,2285,-0.11179,0.36475),(3895,2295,-0.1146,0.36413),(3895,2305,-0.11741,0.3633),(3895,2315,-0.12022,0.36242),(3895,2325,-0.12345,0.36155),(3895,2335,-0.12676,0.36067),(3895,2345,-0.13008,0.35953),(3895,2355,-0.1334,0.35833),(3895,2365,-0.13725,0.35714),(3895,2375,-0.14119,0.35594),(3895,2385,-0.14513,0.35438),(3895,2395,-0.14907,0.35277),(3895,2405,-0.15371,0.35115),(3895,2415,-0.15843,0.34954),(3895,2425,-0.16315,0.34742),(3895,2435,-0.16786,0.34525),(3895,2445,-0.1735,0.34308),(3895,2455,-0.17919,0.34091),(3895,2465,-0.18488,0.33801),(3895,2475,-0.19058,0.33508),(3895,2485,-0.19748,0.33215),(3895,2495,-0.20441,0.32922),(3895,2505,-0.21134,0.32521),(3895,2515,-0.2183,0.3212),(3895,2525,-0.22682,0.31719),(3895,2535,-0.23533,0.31312),(3895,2545,-0.24385,0.30753),(3895,2555,-0.25248,0.30193),(3895,2565,-0.26303,0.29634),(3895,2575,-0.27358,0.29056),(3895,2585,-0.28414,0.28255),(3895,2595,-0.29493,0.27453),(3895,2605,-0.3081,0.26651),(3895,2615,-0.32126,0.25806),(3895,2625,-0.33442,0.24617),(3895,2635,-0.34802,0.23427),(3895,2645,-0.36444,0.22238),(3895,2655,-0.38085,0.20949),(3895,2665,-0.39727,0.19106),(3895,2675,-0.41434,0.17264),(3895,2685,-0.43451,0.15422),(3895,2695,-0.45469,0.13356),(3895,2705,-0.47486,0.10353),(3895,2715,-0.4967,0.073498),(3895,2725,-0.5247,0.043469),(3895,2735,-0.55271,0.007848),(3895,2745,-0.58072,-0.046214),(3895,2755,-0.59123,-0.10028),(3895,2765,-0.54993,-0.15434),(3895,2775,-0.50863,-0.20247),(3895,2785,-0.46733,-0.23473),(3895,2795,-0.42627,-0.267),(3895,2805,-0.38581,-0.29926),(3895,2815,-0.34534,-0.32764),(3895,2825,-0.30487,-0.34746),(3895,2835,-0.2658,-0.36728),(3895,2845,-0.22954,-0.3871),(3895,2855,-0.19328,-0.40451),(3895,2865,-0.15702,-0.41745),(3895,2875,-0.12198,-0.4304),(3895,2885,-0.089006,-0.44335),(3895,2895,-0.056029,-0.45473),(3895,2905,-0.023052,-0.46366),(3895,2915,0.008921,-0.47259),(3895,2925,0.039457,-0.48152),(3895,2935,0.069992,-0.48939),(3895,2945,0.10053,-0.49585),(3895,2955,0.13028,-0.50231),(3895,2965,0.15909,-0.50877),(3895,2975,0.18789,-0.51447),(3895,2985,0.21669,-0.51932),(3895,2995,0.24493,-0.52417),(3895,3005,0.27258,-0.52903),(3895,3015,0.30023,-0.53331),(3895,3025,0.32788,-0.53706),(3895,3035,0.35518,-0.5408),(3895,3045,0.38216,-0.54454),(3895,3055,0.40914,-0.54783),(3895,3065,0.43612,-0.55075),(3895,3075,0.46295,-0.55367),(3895,3085,0.48967,-0.55659),(3895,3095,0.51639,-0.55911),(3895,3105,0.54312,-0.56136),(3895,3115,0.56991,-0.56361),(3895,3125,0.59674,-0.56585),(3895,3135,0.62358,-0.56772),(3895,3145,0.65041,-0.56935),(3895,3155,0.67756,-0.57099),(3895,3165,0.70487,-0.57263),(3895,3175,0.73217,-0.57385),(3895,3185,0.75948,-0.57486),(3895,3195,0.78737,-0.57587),(3895,3205,0.81552,-0.57688),(3895,3215,0.84367,-0.57739),(3895,3225,0.87182,-0.57769),(3895,3235,0.90088,-0.57799),(3895,3245,0.93027,-0.57829),(3895,3255,0.95966,-0.57794),(3895,3265,0.98905,-0.57737),(3895,3275,1.0198,-0.57679),(3895,3285,1.0509,-0.57622),(3895,3295,1.082,-0.57474),(3895,3305,1.1131,-0.57302),(3895,3315,1.146,-0.5713),(3895,3325,1.1793,-0.56958),(3895,3335,1.2127,-0.56656),(3895,3345,1.2461,-0.56327),(3895,3355,1.2819,-0.55998),(3895,3365,1.3182,-0.55669),(3895,3375,1.3546,-0.55148),(3895,3385,1.3909,-0.54596),(3895,3395,1.4306,-0.54044),(3895,3405,1.4708,-0.53493),(3895,3415,1.5109,-0.52646),(3895,3425,1.5511,-0.51767),(3895,3435,1.5959,-0.50889),(3895,3445,1.6411,-0.50011),(3895,3455,1.6862,-0.48664),(3895,3465,1.7314,-0.4729),(3895,3475,1.783,-0.45916),(3895,3485,1.8347,-0.44542),(3895,3495,1.8865,-0.42396),(3895,3505,1.9383,-0.40239),(3895,3515,1.9988,-0.38081),(3895,3525,2.0593,-0.35892),(3895,3535,2.1199,-0.32441),(3895,3545,2.181,-0.28989),(3895,3555,2.2537,-0.25538),(3895,3565,2.3264,-0.21941),(3895,3575,2.3991,-0.16232),(3895,3585,2.4734,-0.10523),(3895,3595,2.5653,-0.048145),(3895,3605,2.6571,0.013335),(3895,3615,2.749,0.11265),(3895,3625,2.8316,0.21197),(3895,3635,2.8489,0.31129),(3895,3645,2.8662,0.41273),(3895,3655,2.8835,0.52677),(3895,3665,2.8688,0.64082),(3895,3675,2.6905,0.75487),(3895,3685,2.5122,0.85343),(3895,3695,2.3339,0.88293),(3895,3705,2.1797,0.91243),(3895,3715,2.1205,0.94192),(3895,3725,2.0613,0.96932),(3895,3735,2.0021,0.9894),(3895,3745,1.9446,1.0095),(3895,3755,1.8926,1.0295),(3895,3765,1.8406,1.048),(3895,3775,1.7886,1.0617),(3895,3785,1.7385,1.0754),(3895,3795,1.693,1.0891),(3895,3805,1.6474,1.1016),(3895,3815,1.6019,1.1111),(3895,3825,1.5581,1.1206),(3895,3835,1.5177,1.1302),(3895,3845,1.4773,1.1388),(3895,3855,1.4369,1.1456),(3895,3865,1.398,1.1524),(3895,3875,1.3617,1.1592),(3895,3885,1.3253,1.1653),(3895,3895,1.2889,1.1703),(3895,3905,1.2538,1.1753),(3895,3915,1.2206,1.1803),(3895,3925,1.1874,1.1849),(3895,3935,1.1541,1.1887),(3895,3945,1.1219,1.1926),(3895,3955,1.0911,1.1965),(3895,3965,1.0602,1.2),(3895,3975,1.0294,1.2032),(3895,3985,0.99945,1.2064),(3895,3995,0.97045,1.2095),(3895,4005,0.94144,1.2125),(3895,4015,0.91244,1.2153),(3895,4025,1.2494,1.2181),(3895,4035,1.6221,1.2183),(3895,4045,1.9948,1.2133),(3895,4055,2.2609,1.2083),(3895,4065,2.488,1.2026),(3895,4075,2.7151,1.1928),(3895,4085,2.812,1.183),(3895,4095,2.8042,1.1732),(3895,4105,2.7964,1.1635),(3895,4115,2.6985,1.1538),(3895,4125,2.4512,1.144),(3895,4135,2.2039,1.1376),(3895,4145,1.9535,1.1321),(3895,4155,1.6912,1.1266),(3895,4165,1.4288,1.1239),(3895,4175,1.1809,1.123),(3895,4185,1.6538,1.1221),(3895,4195,2.1268,1.1174),(3895,4205,2.5997,1.1077),(3895,4215,2.6699,1.0981),(3895,4225,2.6644,1.0884),(3895,4235,2.6588,1.0787),(3895,4245,2.6464,1.069),(3895,4255,2.6305,1.0591),(3895,4265,2.6147,1.0475),(3895,4275,2.2946,1.0359),(3895,4285,1.6518,1.0243),(3895,4295,1.009,1.0237),(3895,4305,0.73247,1.0245),(3895,4315,1.2831,1.0252),(3895,4325,1.8338,1.0199),(3895,4335,2.323,1.0122),(3895,4345,2.3963,1.0046),(3895,4355,2.4696,0.9962),(3895,4365,2.5429,0.98728),(3895,4375,2.5431,0.97835),(3895,4385,2.5394,0.96948),(3895,4395,2.5358,0.96069),(3895,4405,2.2187,0.9519),(3895,4415,1.8092,0.94416),(3895,4425,1.3997,0.94108),(3895,4435,1.2241,0.93801),(3895,4445,1.2084,0.93493),(3895,4455,1.1927,0.93194),(3895,4465,1.3515,0.92895),(3895,4475,1.7553,0.92596),(3895,4485,2.1592,0.91788),(3895,4495,2.4666,0.90872),(3895,4505,2.4645,0.89957),(3895,4515,2.4624,0.89051),(3895,4525,2.4554,0.88149),(3895,4535,2.3719,0.87248),(3895,4545,2.2884,0.86402),(3895,4555,2.2048,0.8562),(3895,4565,1.674,0.84837),(3895,4575,1.0828,0.84314),(3895,4585,0.49165,0.84418),(3895,4595,0.7699,0.84523),(3895,4605,1.4155,0.84489),(3895,4615,2.0611,0.8338),(3895,4625,2.3721,0.82271),(3895,4635,2.3802,0.81163),(3895,4645,2.3882,0.80211),(3895,4655,2.3933,0.79271),(3895,4665,2.3927,0.78331),(3895,4675,2.3922,0.77406),(3895,4685,2.3077,0.76485),(3895,4695,1.8088,0.75564),(3895,4705,1.3098,0.75082),(3895,4715,0.81082,0.74918),(3895,4725,1.0427,0.74755),(3895,4735,1.2819,0.74446),(3895,4745,1.5212,0.7392),(3895,4755,1.7669,0.73394),(3895,4765,2.0142,0.72784),(3895,4775,2.2615,0.71878),(3895,4785,2.3518,0.70972),(3895,4795,2.3514,0.70067),(3895,4805,2.3509,0.69179),(3895,4815,2.2361,0.68292),(3895,4825,1.9843,0.67405),(3895,4835,1.7326,0.66835),(3895,4845,1.4775,0.66314),(3895,4855,1.2138,0.65793),(3895,4865,0.95018,0.65535),(3895,4875,0.76273,0.65397),(3895,4885,1.2687,0.65258),(3895,4895,1.7746,0.64773),(3895,4905,2.2806,0.63954),(3895,4915,2.3202,0.63135),(3895,4925,2.3197,0.6232),(3895,4935,2.3192,0.61511),(3895,4945,2.3153,0.60702),(3895,4955,2.3103,0.59883),(3895,4965,2.3053,0.59004),(3895,4975,1.9216,0.58126),(3895,4985,1.2456,0.57247),(3895,4995,0.56955,0.57289),(3895,5005,0.35023,0.57354),(3895,5015,0.85697,0.57418),(3895,5025,1.3637,0.56982),(3895,5035,1.8002,0.56418),(3895,5045,1.9691,0.55854),(3895,5055,2.1379,0.55161),(3895,5065,2.3018,0.54388),(3895,5075,2.3016,0.53615),(3895,5085,2.3014,0.52848),(3895,5095,2.3013,0.52089),(3895,5105,2.0085,0.5133),(3895,5115,1.6646,0.50678),(3895,5125,1.3208,0.50328),(3895,5135,1.146,0.49977),(3895,5145,1.0532,0.49637),(3895,5155,0.96045,0.49413),(3895,5165,1.1287,0.49189),(3895,5175,1.5631,0.48966),(3895,5185,1.9975,0.48333),(3895,5195,2.2941,0.47658),(3895,5205,2.2936,0.46983),(3895,5215,2.2931,0.46316),(3895,5225,2.2807,0.45652),(3895,5235,2.1947,0.44989),(3895,5245,2.1086,0.44375),(3895,5255,2.0225,0.43802),(3895,5265,1.4225,0.4323),(3895,5275,0.8012,0.42879),(3895,5285,0.17992,0.42904),(3895,5295,0.58918,0.4293),(3895,5305,1.2854,0.42843),(3895,5315,1.9817,0.42289),(3895,5325,2.2581,0.41734),(3895,5335,2.2593,0.4118),(3895,5345,2.2605,0.40672),(3895,5355,2.2608,0.40164),(3895,5365,2.2598,0.39656),(3895,5375,2.2587,0.39154),(3895,5385,2.1286,0.38652),(3895,5395,1.6057,0.38151),(3895,5405,1.0829,0.37908),(3895,5415,0.61491,0.378),(3895,5425,0.88303,0.37692),(3895,5435,1.1511,0.37584),(3895,5445,1.4193,0.37478),(3895,5455,1.6851,0.37371),(3895,5465,1.9507,0.3724),(3895,5475,2.2163,0.37051),(3895,5485,2.2912,0.36862),(3895,5495,2.2892,0.36672),(3895,5505,2.2872,0.3648),(3895,5515,2.2853,0.36288),(3895,5525,2.2835,0.36096),(3895,5535,2.2817,0.35898),(3895,5545,2.28,0.35699),(3895,5555,2.2783,0.355),(3895,5565,2.2766,0.35296),(3895,5575,2.275,0.35091),(3895,5585,2.2734,0.34886),(3895,5595,2.2719,0.34676),(3895,5605,2.2703,0.34465),(3895,5615,2.2689,0.34253),(3895,5625,2.2674,0.34039),(3895,5635,2.266,0.33821),(3895,5645,2.2646,0.33603),(3895,5655,2.2633,0.33384),(3895,5665,2.2619,0.33162),(3895,5675,2.2606,0.32939),(3895,5685,2.2593,0.32716),(3895,5695,2.258,0.32487),(3895,5705,2.2567,0.32259),(3895,5715,2.2555,0.32031),(3895,5725,2.2542,0.318),(3895,5735,2.253,0.31568),(3895,5745,2.2517,0.31336),(3895,5755,2.2505,0.31103),(3895,5765,2.2493,0.30869),(3895,5775,2.248,0.30634),(3895,5785,2.2468,0.304),(3895,5795,2.2456,0.30164),(3895,5805,2.2443,0.29928),(3895,5815,2.2431,0.29693),(3895,5825,2.2419,0.29458),(3895,5835,2.2406,0.29223),(3895,5845,2.2393,0.28989),(3895,5855,2.2381,0.28756),(3895,5865,2.2368,0.28523),(3895,5875,2.2355,0.28291),(3895,5885,2.2342,0.28061),(3895,5895,2.2329,0.27831),(3895,5905,2.2315,0.27601),(3895,5915,2.2302,0.27373),(3895,5925,2.2289,0.27146),(3895,5935,2.2275,0.2692),(3895,5945,2.2262,0.26695),(3895,5955,2.2248,0.26472),(3895,5965,2.2234,0.26249),(3895,5975,2.222,0.26027),(3895,5985,2.2206,0.25807),(3895,5995,1.6972,0.25587),(3895,6005,1.0897,0.25421),(3895,6015,0.48219,0.25399),(3895,6025,0.64784,0.25376),(3895,6035,1.1721,0.25316),(3895,6045,1.6963,0.24897),(3895,6055,2.0587,0.24478),(3895,6065,2.2624,0.24059),(3895,6075,2.4661,0.23511),(3895,6085,2.6033,0.22951),(3895,6095,2.6034,0.22391),(3895,6105,2.6034,0.21835),(3895,6115,2.6035,0.21282),(3895,6125,2.6034,0.20728),(3895,6135,2.6034,0.20179),(3895,6145,2.6033,0.19635),(3895,6155,2.6031,0.1909),(3895,6165,2.6029,0.18551),(3895,6175,2.6026,0.18019),(3895,6185,2.6023,0.17488),(3895,6195,2.6019,0.16961),(3895,6205,2.6015,0.16453),(3895,6215,2.6011,0.15944),(3895,6225,2.6005,0.15436),(3895,6235,2.6,0.1495),(3895,6245,2.5994,0.14463),(3895,6255,2.5988,0.13977),(3895,6265,2.5981,0.13508),(3895,6275,2.5975,0.13043),(3895,6285,2.5967,0.12578),(3895,6295,2.5959,0.12127),(3895,6305,2.5952,0.11684),(3895,6315,2.5945,0.1124),(3895,6325,2.5937,0.10808),(3895,6335,2.593,0.10387),(3895,6345,2.5922,0.099669),(3895,6355,2.5914,0.095546),(3895,6365,2.5906,0.091601),(3895,6375,2.5899,0.087657),(3895,6385,2.5891,0.083736),(3895,6395,2.5883,0.079965),(3895,6405,2.5876,0.076193),(3895,6415,2.5869,0.072422),(3895,6425,2.5862,0.068799),(3895,6435,2.5855,0.065183),(3895,6445,2.5849,0.061567),(3895,6455,2.5843,0.058094),(3895,6465,2.5836,0.054663),(3895,6475,2.5831,0.051232),(3895,6485,2.5826,0.047887),(3895,6495,2.582,0.044599),(3895,6505,2.5816,0.041312),(3895,6515,2.5812,0.038059),(3895,6525,2.5807,0.034856),(3895,6535,2.5804,0.031652),(3895,6545,2.5801,0.028467),(3895,6555,2.5798,0.02534),(3895,6565,2.5796,0.022212),(3895,6575,2.5794,0.019089),(3895,6585,2.5792,0.01604),(3895,6595,2.1937,0.012991),(3895,6605,1.3827,0.009942),(3895,6615,0.57171,0.009606),(3895,6625,0.001602,0.009619),(3895,6635,0.001605,0.009631),(3895,6645,0.001607,0.009632),(3895,6655,0.00161,0.009629),(3895,6665,0.001613,0.009626),(3895,6675,0.001616,0.009623),(3895,6685,0.001618,0.009619),(3895,6695,0.001621,0.009615),(3895,6705,0.001624,0.009611),(3895,6715,0.001627,0.009607),(3895,6725,0.00163,0.009602),(3895,6735,0.001633,0.009598),(3895,6745,0.001635,0.009593),(3895,6755,0.001638,0.009588),(3895,6765,0.001641,0.009582),(3895,6775,0.001643,0.009577),(3895,6785,0.001646,0.009571),(3895,6795,0.001648,0.009565),(3895,6805,0.001651,0.009559),(3895,6815,0.001653,0.009553),(3895,6825,0.001656,0.009547),(3895,6835,0.001658,0.00954),(3895,6845,0.00166,0.009534),(3895,6855,0.001662,0.009527),(3895,6865,0.001665,0.00952),(3895,6875,0.001667,0.009513),(3895,6885,0.001669,0.009506),(3895,6895,0.001671,0.009499),(3895,6905,0.001673,0.009492),(3895,6915,0.001674,0.009485),(3895,6925,0.001676,0.009478),(3895,6935,0.001678,0.00947),(3895,6945,0.00168,0.009463),(3895,6955,0.001682,0.009455),(3895,6965,0.001683,0.009447),(3895,6975,0.001685,0.00944),(3895,6985,0.001686,0.009432),(3905,5,1.5e-05,0.1792),(3905,15,4.4e-05,0.1792),(3905,25,7.3e-05,0.1792),(3905,35,0.000101,0.1792),(3905,45,0.00013,0.17919),(3905,55,0.000159,0.17919),(3905,65,0.000188,0.17918),(3905,75,0.000217,0.17917),(3905,85,0.000245,0.17916),(3905,95,0.000274,0.17915),(3905,105,0.000302,0.17914),(3905,115,0.00033,0.17913),(3905,125,0.000358,0.17911),(3905,135,0.000386,0.1791),(3905,145,0.000414,0.17908),(3905,155,0.000441,0.17907),(3905,165,0.000468,0.17905),(3905,175,0.000495,0.17903),(3905,185,0.000521,0.17901),(3905,195,0.000547,0.17899),(3905,205,0.000573,0.17896),(3905,215,0.000599,0.17894),(3905,225,0.000624,0.17891),(3905,235,0.000649,0.17889),(3905,245,0.000674,0.17886),(3905,255,0.000698,0.17882),(3905,265,0.000721,0.17879),(3905,275,0.000744,0.17876),(3905,285,0.000767,0.17873),(3905,295,0.00079,0.17869),(3905,305,0.000811,0.17865),(3905,315,0.000832,0.17862),(3905,325,0.000853,0.17857),(3905,335,0.000873,0.17853),(3905,345,0.000892,0.17849),(3905,355,0.00091,0.17844),(3905,365,0.000928,0.1784),(3905,375,0.000946,0.17835),(3905,385,0.000961,0.1783),(3905,395,0.000975,0.17825),(3905,405,0.00099,0.17819),(3905,415,0.001005,0.17813),(3905,425,0.001016,0.17808),(3905,435,0.001026,0.17802),(3905,445,0.001037,0.17795),(3905,455,0.001047,0.17789),(3905,465,0.001053,0.17783),(3905,475,0.001058,0.17776),(3905,485,0.001064,0.17769),(3905,495,0.001069,0.17762),(3905,505,0.001069,0.17754),(3905,515,0.001069,0.17747),(3905,525,0.001068,0.17739),(3905,535,0.001068,0.17731),(3905,545,0.00106,0.17722),(3905,555,0.001052,0.17714),(3905,565,0.001045,0.17705),(3905,575,0.001037,0.17696),(3905,585,0.00102,0.17687),(3905,595,0.001004,0.17677),(3905,605,0.000988,0.17667),(3905,615,0.00097,0.17657),(3905,625,0.000944,0.17647),(3905,635,0.000917,0.17637),(3905,645,0.00089,0.17625),(3905,655,0.000862,0.17614),(3905,665,0.000823,0.17603),(3905,675,0.000784,0.17591),(3905,685,0.000745,0.17579),(3905,695,0.000703,0.17566),(3905,705,0.000649,0.17554),(3905,715,0.000595,0.17541),(3905,725,0.000541,0.17528),(3905,735,0.000483,0.17514),(3905,745,0.000411,0.17501),(3905,755,0.00034,0.17487),(3905,765,0.000268,0.17472),(3905,775,0.000191,0.17457),(3905,785,9.8e-05,0.17443),(3905,795,6e-06,0.17427),(3905,805,-8.6e-05,0.17412),(3905,815,-0.000186,0.17396),(3905,825,-0.000303,0.1738),(3905,835,-0.00042,0.17364),(3905,845,-0.000537,0.17347),(3905,855,-0.000664,0.1733),(3905,865,-0.000809,0.17313),(3905,875,-0.000954,0.17296),(3905,885,-0.001099,0.17278),(3905,895,-0.001257,0.1726),(3905,905,-0.001435,0.17242),(3905,915,-0.001613,0.17224),(3905,925,-0.001791,0.17206),(3905,935,-0.001985,0.17187),(3905,945,-0.002201,0.17169),(3905,955,-0.002416,0.1715),(3905,965,-0.002631,0.17131),(3905,975,-0.002866,0.17113),(3905,985,-0.003123,0.17094),(3905,995,-0.00338,0.17075),(3905,1005,-0.003638,0.17057),(3905,1015,-0.003918,0.17038),(3905,1025,-0.004221,0.17019),(3905,1035,-0.004525,0.17001),(3905,1045,-0.004828,0.16983),(3905,1055,-0.005158,0.16966),(3905,1065,-0.005511,0.16948),(3905,1075,-0.005864,0.16931),(3905,1085,-0.006217,0.16915),(3905,1095,-0.006601,0.16898),(3905,1105,-0.007006,0.16882),(3905,1115,-0.007411,0.16867),(3905,1125,-0.007816,0.16854),(3905,1135,-0.008254,0.1684),(3905,1145,-0.008712,0.16826),(3905,1155,-0.00917,0.16814),(3905,1165,-0.009627,0.16804),(3905,1175,-0.010119,0.16793),(3905,1185,-0.010628,0.16783),(3905,1195,-0.011137,0.16775),(3905,1205,-0.011647,0.16769),(3905,1215,-0.012189,0.16762),(3905,1225,-0.012746,0.16756),(3905,1235,-0.013302,0.16754),(3905,1245,-0.013859,0.16753),(3905,1255,-0.014446,0.16752),(3905,1265,-0.015043,0.16751),(3905,1275,-0.015641,0.16754),(3905,1285,-0.016238,0.16759),(3905,1295,-0.016861,0.16764),(3905,1305,-0.017491,0.16769),(3905,1315,-0.018121,0.16779),(3905,1325,-0.01875,0.16791),(3905,1335,-0.019399,0.16802),(3905,1345,-0.020051,0.16813),(3905,1355,-0.020703,0.1683),(3905,1365,-0.021355,0.16848),(3905,1375,-0.022017,0.16866),(3905,1385,-0.022681,0.16884),(3905,1395,-0.023345,0.16908),(3905,1405,-0.024008,0.16933),(3905,1415,-0.024673,0.16957),(3905,1425,-0.025339,0.16981),(3905,1435,-0.026004,0.17011),(3905,1445,-0.026669,0.17041),(3905,1455,-0.027328,0.17072),(3905,1465,-0.027987,0.17102),(3905,1475,-0.028646,0.17137),(3905,1485,-0.029305,0.17172),(3905,1495,-0.029952,0.17208),(3905,1505,-0.030598,0.17243),(3905,1515,-0.031245,0.17282),(3905,1525,-0.031892,0.17321),(3905,1535,-0.032524,0.17361),(3905,1545,-0.033157,0.174),(3905,1555,-0.03379,0.17442),(3905,1565,-0.034422,0.17485),(3905,1575,-0.035041,0.17527),(3905,1585,-0.03566,0.17569),(3905,1595,-0.036279,0.17614),(3905,1605,-0.036897,0.17658),(3905,1615,-0.037505,0.17702),(3905,1625,-0.038114,0.17746),(3905,1635,-0.038722,0.17791),(3905,1645,-0.039329,0.17836),(3905,1655,-0.039932,0.17881),(3905,1665,-0.040535,0.17926),(3905,1675,-0.041138,0.17971),(3905,1685,-0.041741,0.18016),(3905,1695,-0.042345,0.18061),(3905,1705,-0.04295,0.18105),(3905,1715,-0.043554,0.18149),(3905,1725,-0.044161,0.18193),(3905,1735,-0.044777,0.18237),(3905,1745,-0.045392,0.18281),(3905,1755,-0.046007,0.18323),(3905,1765,-0.046628,0.18365),(3905,1775,-0.047264,0.18407),(3905,1785,-0.0479,0.18449),(3905,1795,-0.048536,0.18489),(3905,1805,-0.049181,0.18529),(3905,1815,-0.049849,0.18568),(3905,1825,-0.050516,0.18607),(3905,1835,-0.051184,0.18644),(3905,1845,-0.051866,0.18681),(3905,1855,-0.052577,0.18718),(3905,1865,-0.053289,0.18753),(3905,1875,-0.054,0.18786),(3905,1885,-0.054733,0.18819),(3905,1895,-0.055501,0.18852),(3905,1905,-0.05627,0.18883),(3905,1915,-0.057038,0.18912),(3905,1925,-0.057837,0.18941),(3905,1935,-0.058678,0.18969),(3905,1945,-0.059519,0.18996),(3905,1955,-0.060359,0.19019),(3905,1965,-0.061241,0.19043),(3905,1975,-0.062171,0.19067),(3905,1985,-0.063101,0.19087),(3905,1995,-0.06403,0.19105),(3905,2005,-0.065014,0.19122),(3905,2015,-0.066052,0.1914),(3905,2025,-0.06709,0.19154),(3905,2035,-0.068128,0.19164),(3905,2045,-0.069237,0.19175),(3905,2055,-0.070405,0.19185),(3905,2065,-0.071573,0.19191),(3905,2075,-0.072742,0.19193),(3905,2085,-0.074001,0.19195),(3905,2095,-0.075326,0.19197),(3905,2105,-0.076651,0.19194),(3905,2115,-0.077977,0.19186),(3905,2125,-0.079418,0.19178),(3905,2135,-0.080931,0.19171),(3905,2145,-0.082444,0.19155),(3905,2155,-0.083957,0.19136),(3905,2165,-0.085618,0.19116),(3905,2175,-0.087357,0.19097),(3905,2185,-0.089095,0.19068),(3905,2195,-0.090834,0.19034),(3905,2205,-0.092761,0.19),(3905,2215,-0.094771,0.18966),(3905,2225,-0.096781,0.1892),(3905,2235,-0.09879,0.18869),(3905,2245,-0.10104,0.18817),(3905,2255,-0.10338,0.18766),(3905,2265,-0.10571,0.18698),(3905,2275,-0.10805,0.18625),(3905,2285,-0.1107,0.18552),(3905,2295,-0.11343,0.18479),(3905,2305,-0.11617,0.18384),(3905,2315,-0.1189,0.18284),(3905,2325,-0.12203,0.18184),(3905,2335,-0.12525,0.18083),(3905,2345,-0.12847,0.17954),(3905,2355,-0.13168,0.17818),(3905,2365,-0.13541,0.17683),(3905,2375,-0.13922,0.17548),(3905,2385,-0.14304,0.17372),(3905,2395,-0.14685,0.17192),(3905,2405,-0.15132,0.17011),(3905,2415,-0.15587,0.1683),(3905,2425,-0.16042,0.16594),(3905,2435,-0.16497,0.16352),(3905,2445,-0.17038,0.16111),(3905,2455,-0.17584,0.15869),(3905,2465,-0.18131,0.15549),(3905,2475,-0.18677,0.15224),(3905,2485,-0.19335,0.149),(3905,2495,-0.19997,0.14576),(3905,2505,-0.20658,0.14135),(3905,2515,-0.21321,0.13694),(3905,2525,-0.22127,0.13253),(3905,2535,-0.22933,0.12807),(3905,2545,-0.23738,0.12196),(3905,2555,-0.24554,0.11586),(3905,2565,-0.25541,0.10975),(3905,2575,-0.26527,0.10346),(3905,2585,-0.27514,0.094789),(3905,2595,-0.28522,0.086122),(3905,2605,-0.29732,0.077454),(3905,2615,-0.30942,0.068328),(3905,2625,-0.32152,0.055627),(3905,2635,-0.33397,0.042926),(3905,2645,-0.34868,0.030225),(3905,2655,-0.36339,0.016505),(3905,2665,-0.3781,-0.002837),(3905,2675,-0.39325,-0.022179),(3905,2685,-0.41055,-0.04152),(3905,2695,-0.42784,-0.063077),(3905,2705,-0.44513,-0.093888),(3905,2715,-0.46339,-0.1247),(3905,2725,-0.48523,-0.15551),(3905,2735,-0.50707,-0.19197),(3905,2745,-0.52892,-0.24705),(3905,2755,-0.53619,-0.30212),(3905,2765,-0.50031,-0.3572),(3905,2775,-0.46444,-0.40642),(3905,2785,-0.42856,-0.43998),(3905,2795,-0.39232,-0.47354),(3905,2805,-0.35516,-0.5071),(3905,2815,-0.31801,-0.53669),(3905,2825,-0.28085,-0.55755),(3905,2835,-0.24462,-0.5784),(3905,2845,-0.21026,-0.59926),(3905,2855,-0.1759,-0.61762),(3905,2865,-0.14153,-0.63138),(3905,2875,-0.10812,-0.64514),(3905,2885,-0.076312,-0.65891),(3905,2895,-0.044504,-0.67102),(3905,2905,-0.012695,-0.68056),(3905,2915,0.018275,-0.6901),(3905,2925,0.048045,-0.69964),(3905,2935,0.077814,-0.70804),(3905,2945,0.10758,-0.71493),(3905,2955,0.13668,-0.72183),(3905,2965,0.16495,-0.72872),(3905,2975,0.19322,-0.73479),(3905,2985,0.22149,-0.73993),(3905,2995,0.24926,-0.74507),(3905,3005,0.27651,-0.75021),(3905,3015,0.30377,-0.75472),(3905,3025,0.33102,-0.75863),(3905,3035,0.35797,-0.76254),(3905,3045,0.38463,-0.76645),(3905,3055,0.41129,-0.76985),(3905,3065,0.43796,-0.77284),(3905,3075,0.4645,-0.77582),(3905,3085,0.49095,-0.77881),(3905,3095,0.5174,-0.78134),(3905,3105,0.54384,-0.78356),(3905,3115,0.57037,-0.78578),(3905,3125,0.59695,-0.78799),(3905,3135,0.62353,-0.78977),(3905,3145,0.65011,-0.79129),(3905,3155,0.67699,-0.79281),(3905,3165,0.70404,-0.79432),(3905,3175,0.73108,-0.79536),(3905,3185,0.75813,-0.79616),(3905,3195,0.78574,-0.79696),(3905,3205,0.8136,-0.79776),(3905,3215,0.84146,-0.79799),(3905,3225,0.86932,-0.79797),(3905,3235,0.89805,-0.79796),(3905,3245,0.9271,-0.79795),(3905,3255,0.95616,-0.7972),(3905,3265,0.98521,-0.79619),(3905,3275,1.0155,-0.79519),(3905,3285,1.0462,-0.79418),(3905,3295,1.0769,-0.79217),(3905,3305,1.1075,-0.78988),(3905,3315,1.1399,-0.78759),(3905,3325,1.1728,-0.7853),(3905,3335,1.2056,-0.78157),(3905,3345,1.2384,-0.77753),(3905,3355,1.2736,-0.7735),(3905,3365,1.3091,-0.76947),(3905,3375,1.3447,-0.76331),(3905,3385,1.3803,-0.75683),(3905,3395,1.419,-0.75035),(3905,3405,1.4581,-0.74387),(3905,3415,1.4973,-0.73417),(3905,3425,1.5364,-0.72413),(3905,3435,1.5797,-0.71409),(3905,3445,1.6234,-0.70405),(3905,3455,1.6671,-0.68895),(3905,3465,1.7107,-0.67356),(3905,3475,1.76,-0.65817),(3905,3485,1.8095,-0.64278),(3905,3495,1.8589,-0.61914),(3905,3505,1.9084,-0.59537),(3905,3515,1.9652,-0.57161),(3905,3525,2.022,-0.5475),(3905,3535,2.0788,-0.50995),(3905,3545,2.136,-0.4724),(3905,3555,2.2022,-0.43486),(3905,3565,2.2684,-0.39575),(3905,3575,2.3345,-0.33388),(3905,3585,2.4017,-0.27201),(3905,3595,2.4804,-0.21015),(3905,3605,2.5591,-0.1433),(3905,3615,2.6378,-0.033549),(3905,3625,2.7082,0.076206),(3905,3635,2.7203,0.18596),(3905,3645,2.7324,0.29832),(3905,3655,2.7445,0.42619),(3905,3665,2.7299,0.55407),(3905,3675,2.5788,0.68194),(3905,3685,2.4277,0.79192),(3905,3695,2.2766,0.82208),(3905,3705,2.1445,0.85225),(3905,3715,2.0873,0.88242),(3905,3725,2.0301,0.91074),(3905,3735,1.9728,0.93261),(3905,3745,1.9173,0.95449),(3905,3755,1.8671,0.97637),(3905,3765,1.8169,0.99653),(3905,3775,1.7667,1.0119),(3905,3785,1.7182,1.0272),(3905,3795,1.6739,1.0425),(3905,3805,1.6297,1.0565),(3905,3815,1.5855,1.0673),(3905,3825,1.5428,1.0782),(3905,3835,1.5033,1.089),(3905,3845,1.4638,1.0988),(3905,3855,1.4244,1.1066),(3905,3865,1.3862,1.1144),(3905,3875,1.3505,1.1222),(3905,3885,1.3148,1.1293),(3905,3895,1.279,1.1351),(3905,3905,1.2445,1.1409),(3905,3915,1.2117,1.1467),(3905,3925,1.1789,1.1519),(3905,3935,1.1461,1.1564),(3905,3945,1.1143,1.1609),(3905,3955,1.0838,1.1653),(3905,3965,1.0532,1.1694),(3905,3975,1.0227,1.1731),(3905,3985,0.99302,1.1767),(3905,3995,0.96425,1.1803),(3905,4005,0.93547,1.1837),(3905,4015,0.9067,1.1868),(3905,4025,1.2449,1.1899),(3905,4035,1.6191,1.1906),(3905,4045,1.9932,1.1859),(3905,4055,2.2602,1.1813),(3905,4065,2.4882,1.176),(3905,4075,2.7162,1.1665),(3905,4085,2.8134,1.1571),(3905,4095,2.8057,1.1477),(3905,4105,2.7979,1.1383),(3905,4115,2.6998,1.1289),(3905,4125,2.4518,1.1196),(3905,4135,2.2039,1.1134),(3905,4145,1.953,1.1082),(3905,4155,1.6899,1.103),(3905,4165,1.4269,1.1005),(3905,4175,1.1785,1.0997),(3905,4185,1.6527,1.0989),(3905,4195,2.127,1.0944),(3905,4205,2.6013,1.085),(3905,4215,2.6718,1.0756),(3905,4225,2.6662,1.0661),(3905,4235,2.6607,1.0567),(3905,4245,2.6487,1.0472),(3905,4255,2.6334,1.0376),(3905,4265,2.6182,1.0263),(3905,4275,2.2975,1.015),(3905,4285,1.6527,1.0037),(3905,4295,1.0079,1.0032),(3905,4305,0.73038,1.0041),(3905,4315,1.2821,1.0049),(3905,4325,1.8337,0.99977),(3905,4335,2.3239,0.99231),(3905,4345,2.3973,0.98485),(3905,4355,2.4708,0.97671),(3905,4365,2.5443,0.968),(3905,4375,2.5445,0.95928),(3905,4385,2.5408,0.9506),(3905,4395,2.5372,0.94197),(3905,4405,2.2196,0.93334),(3905,4415,1.8095,0.92575),(3905,4425,1.3994,0.92279),(3905,4435,1.2236,0.91983),(3905,4445,1.2079,0.91687),(3905,4455,1.1922,0.91399),(3905,4465,1.3513,0.91112),(3905,4475,1.7559,0.90824),(3905,4485,2.1605,0.90031),(3905,4495,2.4684,0.89131),(3905,4505,2.4663,0.88231),(3905,4515,2.4642,0.87339),(3905,4525,2.4572,0.86452),(3905,4535,2.3735,0.85565),(3905,4545,2.2899,0.84734),(3905,4555,2.2062,0.83965),(3905,4565,1.6744,0.83196),(3905,4575,1.0822,0.82684),(3905,4585,0.48993,0.82798),(3905,4595,0.7692,0.82911),(3905,4605,1.4167,0.82887),(3905,4615,2.0642,0.81794),(3905,4625,2.3759,0.807),(3905,4635,2.3834,0.79606),(3905,4645,2.391,0.78667),(3905,4655,2.3957,0.77737),(3905,4665,2.395,0.76808),(3905,4675,2.3944,0.75894),(3905,4685,2.3098,0.74984),(3905,4695,1.8099,0.74074),(3905,4705,1.31,0.73601),(3905,4715,0.81008,0.73444),(3905,4725,1.0424,0.73287),(3905,4735,1.2821,0.72986),(3905,4745,1.5217,0.72471),(3905,4755,1.7679,0.71955),(3905,4765,2.0156,0.71356),(3905,4775,2.2634,0.70465),(3905,4785,2.3538,0.69574),(3905,4795,2.3533,0.68684),(3905,4805,2.3528,0.67813),(3905,4815,2.2377,0.66942),(3905,4825,1.9856,0.6607),(3905,4835,1.7334,0.65512),(3905,4845,1.478,0.65002),(3905,4855,1.2139,0.64491),(3905,4865,0.94986,0.6424),(3905,4875,0.7621,0.64106),(3905,4885,1.2687,0.63972),(3905,4895,1.7753,0.63495),(3905,4905,2.2819,0.62688),(3905,4915,2.3215,0.61881),(3905,4925,2.321,0.61077),(3905,4935,2.3205,0.6028),(3905,4945,2.3168,0.59483),(3905,4955,2.312,0.58676),(3905,4965,2.3072,0.57811),(3905,4975,1.923,0.56947),(3905,4985,1.246,0.56083),(3905,4995,0.56905,0.56127),(3905,5005,0.34933,0.56193),(3905,5015,0.85657,0.56259),(3905,5025,1.3638,0.55831),(3905,5035,1.8007,0.55277),(3905,5045,1.9698,0.54722),(3905,5055,2.1388,0.5404),(3905,5065,2.3028,0.53279),(3905,5075,2.3026,0.52519),(3905,5085,2.3024,0.51764),(3905,5095,2.3022,0.51017),(3905,5105,2.0091,0.5027),(3905,5115,1.665,0.49628),(3905,5125,1.3209,0.49285),(3905,5135,1.1459,0.48941),(3905,5145,1.053,0.48607),(3905,5155,0.96013,0.48389),(3905,5165,1.1284,0.4817),(3905,5175,1.563,0.47951),(3905,5185,1.9975,0.4733),(3905,5195,2.2942,0.46667),(3905,5205,2.2937,0.46004),(3905,5215,2.2932,0.45349),(3905,5225,2.2807,0.44696),(3905,5235,2.1947,0.44044),(3905,5245,2.1086,0.43441),(3905,5255,2.0225,0.42879),(3905,5265,1.4223,0.42317),(3905,5275,0.80093,0.41973),(3905,5285,0.17956,0.41999),(3905,5295,0.58868,0.42024),(3905,5305,1.2848,0.41941),(3905,5315,1.9809,0.41399),(3905,5325,2.2572,0.40858),(3905,5335,2.2583,0.40317),(3905,5345,2.2593,0.3982),(3905,5355,2.2595,0.39322),(3905,5365,2.2585,0.38825),(3905,5375,2.2574,0.38333),(3905,5385,2.1273,0.37842),(3905,5395,1.6047,0.3735),(3905,5405,1.0821,0.37113),(3905,5415,0.61427,0.37008),(3905,5425,0.88167,0.36902),(3905,5435,1.1491,0.36799),(3905,5445,1.4165,0.36697),(3905,5455,1.6818,0.36595),(3905,5465,1.947,0.36469),(3905,5475,2.2121,0.36287),(3905,5485,2.2868,0.36105),(3905,5495,2.2848,0.35923),(3905,5505,2.2829,0.35738),(3905,5515,2.281,0.35553),(3905,5525,2.2792,0.35368),(3905,5535,2.2775,0.35176),(3905,5545,2.2757,0.34983),(3905,5555,2.2741,0.34791),(3905,5565,2.2724,0.34593),(3905,5575,2.2708,0.34394),(3905,5585,2.2693,0.34194),(3905,5595,2.2678,0.33991),(3905,5605,2.2662,0.33785),(3905,5615,2.2648,0.33578),(3905,5625,2.2634,0.3337),(3905,5635,2.262,0.33157),(3905,5645,2.2606,0.32945),(3905,5655,2.2593,0.32731),(3905,5665,2.258,0.32513),(3905,5675,2.2567,0.32296),(3905,5685,2.2554,0.32078),(3905,5695,2.2541,0.31855),(3905,5705,2.2529,0.31632),(3905,5715,2.2516,0.31409),(3905,5725,2.2504,0.31183),(3905,5735,2.2492,0.30957),(3905,5745,2.248,0.30732),(3905,5755,2.2467,0.30504),(3905,5765,2.2455,0.30277),(3905,5775,2.2443,0.30049),(3905,5785,2.2431,0.29821),(3905,5795,2.2419,0.29592),(3905,5805,2.2406,0.29364),(3905,5815,2.2394,0.29136),(3905,5825,2.2381,0.28909),(3905,5835,2.2369,0.28682),(3905,5845,2.2356,0.28456),(3905,5855,2.2343,0.28232),(3905,5865,2.233,0.28008),(3905,5875,2.2317,0.27784),(3905,5885,2.2304,0.27563),(3905,5895,2.2291,0.27343),(3905,5905,2.2277,0.27123),(3905,5915,2.2264,0.26905),(3905,5925,2.2251,0.26689),(3905,5935,2.2237,0.26472),(3905,5945,2.2223,0.26258),(3905,5955,2.2209,0.26046),(3905,5965,2.2195,0.25834),(3905,5975,2.2182,0.25623),(3905,5985,2.2168,0.25414),(3905,5995,1.6942,0.25205),(3905,6005,1.0877,0.25047),(3905,6015,0.48128,0.25025),(3905,6025,0.64732,0.25004),(3905,6035,1.1716,0.24945),(3905,6045,1.696,0.24526),(3905,6055,2.0584,0.24108),(3905,6065,2.2621,0.23689),(3905,6075,2.4658,0.23142),(3905,6085,2.6029,0.22582),(3905,6095,2.603,0.22023),(3905,6105,2.603,0.21468),(3905,6115,2.6031,0.20915),(3905,6125,2.603,0.20362),(3905,6135,2.6029,0.19814),(3905,6145,2.6028,0.19271),(3905,6155,2.6025,0.18727),(3905,6165,2.6023,0.18189),(3905,6175,2.602,0.17659),(3905,6185,2.6016,0.1713),(3905,6195,2.6012,0.16605),(3905,6205,2.6007,0.16099),(3905,6215,2.6002,0.15593),(3905,6225,2.5996,0.15088),(3905,6235,2.599,0.14606),(3905,6245,2.5984,0.14123),(3905,6255,2.5977,0.13641),(3905,6265,2.597,0.13179),(3905,6275,2.5963,0.1272),(3905,6285,2.5954,0.12262),(3905,6295,2.5946,0.11816),(3905,6305,2.5938,0.11377),(3905,6315,2.593,0.10938),(3905,6325,2.5922,0.10513),(3905,6335,2.5913,0.10101),(3905,6345,2.5905,0.096897),(3905,6355,2.5896,0.092864),(3905,6365,2.5888,0.089011),(3905,6375,2.5879,0.085158),(3905,6385,2.5871,0.08133),(3905,6395,2.5863,0.077661),(3905,6405,2.5855,0.073991),(3905,6415,2.5847,0.070322),(3905,6425,2.5839,0.0668),(3905,6435,2.5832,0.063285),(3905,6445,2.5825,0.05977),(3905,6455,2.5818,0.056403),(3905,6465,2.5812,0.053078),(3905,6475,2.5806,0.049753),(3905,6485,2.58,0.046515),(3905,6495,2.5794,0.043336),(3905,6505,2.579,0.040157),(3905,6515,2.5785,0.037017),(3905,6525,2.578,0.033931),(3905,6535,2.5777,0.030845),(3905,6545,2.5774,0.027779),(3905,6555,2.5771,0.024777),(3905,6565,2.5769,0.021776),(3905,6575,2.5767,0.018777),(3905,6585,2.5765,0.015825),(3905,6595,2.1914,0.012872),(3905,6605,1.3812,0.009919),(3905,6615,0.57111,0.009598),(3905,6625,0.0016,0.009615),(3905,6635,0.001603,0.009632),(3905,6645,0.001606,0.009635),(3905,6655,0.001609,0.009632),(3905,6665,0.001612,0.009629),(3905,6675,0.001615,0.009626),(3905,6685,0.001619,0.009622),(3905,6695,0.001622,0.009618),(3905,6705,0.001625,0.009614),(3905,6715,0.001628,0.00961),(3905,6725,0.001631,0.009605),(3905,6735,0.001634,0.0096),(3905,6745,0.001637,0.009595),(3905,6755,0.001639,0.00959),(3905,6765,0.001642,0.009585),(3905,6775,0.001645,0.009579),(3905,6785,0.001648,0.009574),(3905,6795,0.001651,0.009568),(3905,6805,0.001653,0.009562),(3905,6815,0.001656,0.009555),(3905,6825,0.001658,0.009549),(3905,6835,0.001661,0.009543),(3905,6845,0.001663,0.009536),(3905,6855,0.001665,0.009529),(3905,6865,0.001668,0.009522),(3905,6875,0.00167,0.009515),(3905,6885,0.001672,0.009508),(3905,6895,0.001674,0.009501),(3905,6905,0.001676,0.009494),(3905,6915,0.001678,0.009487),(3905,6925,0.00168,0.009479),(3905,6935,0.001682,0.009472),(3905,6945,0.001684,0.009464),(3905,6955,0.001685,0.009457),(3905,6965,0.001687,0.009449),(3905,6975,0.001688,0.009441),(3905,6985,0.00169,0.009433),(3915,5,1.5e-05,0.002682),(3915,15,4.5e-05,0.00268),(3915,25,7.5e-05,0.002678),(3915,35,0.000105,0.002676),(3915,45,0.000135,0.002671),(3915,55,0.000165,0.002664),(3915,65,0.000194,0.002657),(3915,75,0.000224,0.002651),(3915,85,0.000254,0.002641),(3915,95,0.000283,0.00263),(3915,105,0.000313,0.002618),(3915,115,0.000342,0.002607),(3915,125,0.000371,0.002592),(3915,135,0.0004,0.002576),(3915,145,0.000428,0.00256),(3915,155,0.000456,0.002544),(3915,165,0.000485,0.002525),(3915,175,0.000513,0.002504),(3915,185,0.00054,0.002483),(3915,195,0.000567,0.002462),(3915,205,0.000595,0.002437),(3915,215,0.000622,0.002412),(3915,225,0.000648,0.002386),(3915,235,0.000674,0.00236),(3915,245,0.000699,0.002329),(3915,255,0.000725,0.002298),(3915,265,0.00075,0.002266),(3915,275,0.000774,0.002235),(3915,285,0.000798,0.002198),(3915,295,0.000822,0.002161),(3915,305,0.000845,0.002123),(3915,315,0.000867,0.002085),(3915,325,0.000889,0.002043),(3915,335,0.000911,0.001999),(3915,345,0.000931,0.001955),(3915,355,0.000951,0.001911),(3915,365,0.00097,0.001862),(3915,375,0.00099,0.001811),(3915,385,0.001006,0.00176),(3915,395,0.001023,0.00171),(3915,405,0.001039,0.001653),(3915,415,0.001056,0.001594),(3915,425,0.001068,0.001537),(3915,435,0.001081,0.001478),(3915,445,0.001093,0.001413),(3915,455,0.001106,0.001347),(3915,465,0.001113,0.001281),(3915,475,0.001121,0.001215),(3915,485,0.001128,0.001141),(3915,495,0.001136,0.001067),(3915,505,0.001138,0.000993),(3915,515,0.00114,0.000918),(3915,525,0.001141,0.000834),(3915,535,0.001143,0.000751),(3915,545,0.001138,0.000667),(3915,555,0.001133,0.000582),(3915,565,0.001128,0.000489),(3915,575,0.001122,0.000395),(3915,585,0.001108,0.000301),(3915,595,0.001094,0.000206),(3915,605,0.001081,0.000102),(3915,615,0.001066,-3e-06),(3915,625,0.001042,-0.000107),(3915,635,0.001018,-0.000213),(3915,645,0.000994,-0.000329),(3915,655,0.000969,-0.000445),(3915,665,0.000933,-0.000561),(3915,675,0.000897,-0.000679),(3915,685,0.00086,-0.000807),(3915,695,0.000822,-0.000935),(3915,705,0.000771,-0.001063),(3915,715,0.00072,-0.001194),(3915,725,0.000669,-0.001334),(3915,735,0.000614,-0.001474),(3915,745,0.000546,-0.001614),(3915,755,0.000477,-0.001757),(3915,765,0.000409,-0.00191),(3915,775,0.000335,-0.002063),(3915,785,0.000246,-0.002216),(3915,795,0.000157,-0.002372),(3915,805,6.7e-05,-0.002537),(3915,815,-3e-05,-0.002702),(3915,825,-0.000143,-0.002867),(3915,835,-0.000257,-0.003035),(3915,845,-0.000371,-0.003211),(3915,855,-0.000495,-0.003388),(3915,865,-0.000637,-0.003564),(3915,875,-0.00078,-0.003744),(3915,885,-0.000922,-0.00393),(3915,895,-0.001078,-0.004117),(3915,905,-0.001253,-0.004303),(3915,915,-0.001429,-0.004492),(3915,925,-0.001605,-0.004686),(3915,935,-0.001797,-0.00488),(3915,945,-0.002011,-0.005074),(3915,955,-0.002224,-0.00527),(3915,965,-0.002438,-0.005468),(3915,975,-0.002672,-0.005666),(3915,985,-0.002929,-0.005863),(3915,995,-0.003186,-0.006061),(3915,1005,-0.003442,-0.006258),(3915,1015,-0.003723,-0.006455),(3915,1025,-0.004027,-0.006652),(3915,1035,-0.004332,-0.006845),(3915,1045,-0.004636,-0.007036),(3915,1055,-0.004968,-0.007226),(3915,1065,-0.005324,-0.007416),(3915,1075,-0.00568,-0.007597),(3915,1085,-0.006035,-0.007772),(3915,1095,-0.006423,-0.007948),(3915,1105,-0.006833,-0.008123),(3915,1115,-0.007242,-0.008284),(3915,1125,-0.007652,-0.008435),(3915,1135,-0.008097,-0.008586),(3915,1145,-0.008561,-0.008738),(3915,1155,-0.009026,-0.008867),(3915,1165,-0.009491,-0.008985),(3915,1175,-0.009992,-0.009103),(3915,1185,-0.010511,-0.009221),(3915,1195,-0.011029,-0.009308),(3915,1205,-0.011548,-0.009382),(3915,1215,-0.012101,-0.009456),(3915,1225,-0.012669,-0.009529),(3915,1235,-0.013238,-0.009564),(3915,1245,-0.013806,-0.009584),(3915,1255,-0.014406,-0.009604),(3915,1265,-0.015017,-0.009624),(3915,1275,-0.015628,-0.009597),(3915,1285,-0.016239,-0.009556),(3915,1295,-0.016876,-0.009514),(3915,1305,-0.01752,-0.009473),(3915,1315,-0.018165,-0.009378),(3915,1325,-0.018809,-0.009269),(3915,1335,-0.019472,-0.009161),(3915,1345,-0.020139,-0.009053),(3915,1355,-0.020806,-0.008886),(3915,1365,-0.021473,-0.008709),(3915,1375,-0.02215,-0.008532),(3915,1385,-0.022828,-0.008355),(3915,1395,-0.023506,-0.008119),(3915,1405,-0.024184,-0.007876),(3915,1415,-0.024862,-0.007632),(3915,1425,-0.025541,-0.007389),(3915,1435,-0.026219,-0.00709),(3915,1445,-0.026897,-0.006786),(3915,1455,-0.027567,-0.006482),(3915,1465,-0.028237,-0.006178),(3915,1475,-0.028907,-0.005825),(3915,1485,-0.029576,-0.00547),(3915,1495,-0.030231,-0.005116),(3915,1505,-0.030887,-0.00476),(3915,1515,-0.031542,-0.004365),(3915,1525,-0.032196,-0.003969),(3915,1535,-0.032835,-0.003573),(3915,1545,-0.033473,-0.003175),(3915,1555,-0.034111,-0.00275),(3915,1565,-0.034748,-0.002324),(3915,1575,-0.03537,-0.001899),(3915,1585,-0.035992,-0.001471),(3915,1595,-0.036614,-0.001028),(3915,1605,-0.037234,-0.000584),(3915,1615,-0.037843,-0.00014),(3915,1625,-0.038451,0.000304),(3915,1635,-0.03906,0.000755),(3915,1645,-0.039667,0.001205),(3915,1655,-0.040268,0.001656),(3915,1665,-0.040869,0.002106),(3915,1675,-0.041469,0.002554),(3915,1685,-0.04207,0.003002),(3915,1695,-0.04267,0.003449),(3915,1705,-0.043271,0.003895),(3915,1715,-0.043871,0.004331),(3915,1725,-0.044473,0.004767),(3915,1735,-0.045082,0.005203),(3915,1745,-0.045691,0.005634),(3915,1755,-0.0463,0.006051),(3915,1765,-0.046914,0.006467),(3915,1775,-0.047542,0.006884),(3915,1785,-0.04817,0.007293),(3915,1795,-0.048798,0.007683),(3915,1805,-0.049435,0.008073),(3915,1815,-0.050093,0.008463),(3915,1825,-0.050751,0.008842),(3915,1835,-0.051409,0.009199),(3915,1845,-0.052081,0.009555),(3915,1855,-0.052781,0.009911),(3915,1865,-0.053481,0.010253),(3915,1875,-0.05418,0.010568),(3915,1885,-0.054901,0.010884),(3915,1895,-0.055656,0.0112),(3915,1905,-0.056412,0.011496),(3915,1915,-0.057167,0.011764),(3915,1925,-0.057951,0.012032),(3915,1935,-0.058777,0.012301),(3915,1945,-0.059602,0.012544),(3915,1955,-0.060427,0.012757),(3915,1965,-0.061293,0.012969),(3915,1975,-0.062205,0.013181),(3915,1985,-0.063116,0.013363),(3915,1995,-0.064028,0.01351),(3915,2005,-0.064993,0.013657),(3915,2015,-0.06601,0.013804),(3915,2025,-0.067027,0.013912),(3915,2035,-0.068044,0.013983),(3915,2045,-0.06913,0.014054),(3915,2055,-0.070274,0.014125),(3915,2065,-0.071418,0.014146),(3915,2075,-0.072562,0.014127),(3915,2085,-0.073794,0.014108),(3915,2095,-0.07509,0.014089),(3915,2105,-0.076386,0.014006),(3915,2115,-0.077682,0.013881),(3915,2125,-0.079091,0.013755),(3915,2135,-0.08057,0.01363),(3915,2145,-0.082048,0.013422),(3915,2155,-0.083526,0.013169),(3915,2165,-0.085148,0.012915),(3915,2175,-0.086845,0.012662),(3915,2185,-0.088541,0.012303),(3915,2195,-0.090238,0.011894),(3915,2205,-0.092117,0.011486),(3915,2215,-0.094076,0.011077),(3915,2225,-0.096034,0.010532),(3915,2235,-0.097993,0.009933),(3915,2245,-0.10018,0.009335),(3915,2255,-0.10246,0.008736),(3915,2265,-0.10473,0.007959),(3915,2275,-0.107,0.007125),(3915,2285,-0.10957,0.006291),(3915,2295,-0.11223,0.005456),(3915,2305,-0.11488,0.004385),(3915,2315,-0.11754,0.003254),(3915,2325,-0.12057,0.002123),(3915,2335,-0.12369,0.000992),(3915,2345,-0.12681,-0.000456),(3915,2355,-0.12992,-0.001966),(3915,2365,-0.13352,-0.003476),(3915,2375,-0.13721,-0.004987),(3915,2385,-0.14089,-0.006929),(3915,2395,-0.14457,-0.008933),(3915,2405,-0.14888,-0.010937),(3915,2415,-0.15325,-0.012941),(3915,2425,-0.15763,-0.015546),(3915,2435,-0.162,-0.018206),(3915,2445,-0.16718,-0.020866),(3915,2455,-0.17241,-0.023526),(3915,2465,-0.17764,-0.027041),(3915,2475,-0.18287,-0.030596),(3915,2485,-0.18913,-0.03415),(3915,2495,-0.19542,-0.037705),(3915,2505,-0.2017,-0.042505),(3915,2515,-0.20801,-0.047312),(3915,2525,-0.2156,-0.052119),(3915,2535,-0.22318,-0.056988),(3915,2545,-0.23077,-0.063603),(3915,2555,-0.23844,-0.070219),(3915,2565,-0.24762,-0.076834),(3915,2575,-0.25679,-0.08365),(3915,2585,-0.26596,-0.092969),(3915,2595,-0.27531,-0.10229),(3915,2605,-0.28633,-0.11161),(3915,2615,-0.29736,-0.1214),(3915,2625,-0.30839,-0.13491),(3915,2635,-0.31968,-0.14842),(3915,2645,-0.33267,-0.16193),(3915,2655,-0.34567,-0.17648),(3915,2665,-0.35866,-0.19674),(3915,2675,-0.3719,-0.217),(3915,2685,-0.38632,-0.23726),(3915,2695,-0.40075,-0.25971),(3915,2705,-0.41518,-0.2913),(3915,2715,-0.42986,-0.3229),(3915,2725,-0.44552,-0.35449),(3915,2735,-0.46118,-0.39178),(3915,2745,-0.47684,-0.44788),(3915,2755,-0.48085,-0.50397),(3915,2765,-0.45038,-0.56006),(3915,2775,-0.41991,-0.61037),(3915,2785,-0.38943,-0.64523),(3915,2795,-0.35798,-0.68008),(3915,2805,-0.32416,-0.71493),(3915,2815,-0.29034,-0.74574),(3915,2825,-0.25651,-0.76763),(3915,2835,-0.22315,-0.78953),(3915,2845,-0.1907,-0.81142),(3915,2855,-0.15825,-0.83074),(3915,2865,-0.12579,-0.84531),(3915,2875,-0.094022,-0.85989),(3915,2885,-0.063397,-0.87446),(3915,2895,-0.032773,-0.88731),(3915,2905,-0.002148,-0.89746),(3915,2915,0.027805,-0.90761),(3915,2925,0.056795,-0.91776),(3915,2935,0.085786,-0.92669),(3915,2945,0.11478,-0.93402),(3915,2955,0.1432,-0.94134),(3915,2965,0.17092,-0.94867),(3915,2975,0.19865,-0.9551),(3915,2985,0.22637,-0.96053),(3915,2995,0.25367,-0.96596),(3915,3005,0.28052,-0.97139),(3915,3015,0.30737,-0.97613),(3915,3025,0.33422,-0.98021),(3915,3035,0.3608,-0.98429),(3915,3045,0.38714,-0.98837),(3915,3055,0.41348,-0.99188),(3915,3065,0.43982,-0.99493),(3915,3075,0.46606,-0.99797),(3915,3085,0.49223,-1.001),(3915,3095,0.5184,-1.0036),(3915,3105,0.54457,-1.0058),(3915,3115,0.57083,-1.0079),(3915,3125,0.59714,-1.0101),(3915,3135,0.62346,-1.0118),(3915,3145,0.64977,-1.0132),(3915,3155,0.67638,-1.0146),(3915,3165,0.70316,-1.016),(3915,3175,0.72994,-1.0169),(3915,3185,0.75672,-1.0175),(3915,3195,0.78403,-1.0181),(3915,3205,0.8116,-1.0186),(3915,3215,0.83916,-1.0186),(3915,3225,0.86673,-1.0183),(3915,3235,0.89512,-1.0179),(3915,3245,0.92383,-1.0176),(3915,3255,0.95253,-1.0165),(3915,3265,0.98124,-1.015),(3915,3275,1.0111,-1.0136),(3915,3285,1.0414,-1.0122),(3915,3295,1.0716,-1.0096),(3915,3305,1.1019,-1.0067),(3915,3315,1.1337,-1.0039),(3915,3325,1.166,-1.001),(3915,3335,1.1983,-0.99657),(3915,3345,1.2305,-0.9918),(3915,3355,1.2649,-0.98702),(3915,3365,1.2998,-0.98225),(3915,3375,1.3346,-0.97515),(3915,3385,1.3694,-0.96771),(3915,3395,1.4071,-0.96026),(3915,3405,1.4452,-0.95281),(3915,3415,1.4833,-0.94188),(3915,3425,1.5214,-0.93058),(3915,3435,1.5632,-0.91928),(3915,3445,1.6053,-0.90798),(3915,3455,1.6474,-0.89126),(3915,3465,1.6896,-0.87422),(3915,3475,1.7365,-0.85718),(3915,3485,1.7836,-0.84014),(3915,3495,1.8307,-0.81431),(3915,3505,1.8779,-0.78836),(3915,3515,1.9309,-0.7624),(3915,3525,1.9839,-0.73608),(3915,3535,2.0369,-0.6955),(3915,3545,2.0902,-0.65492),(3915,3555,2.1497,-0.61434),(3915,3565,2.2092,-0.57208),(3915,3575,2.2687,-0.50544),(3915,3585,2.3286,-0.43879),(3915,3595,2.3937,-0.37215),(3915,3605,2.4587,-0.29994),(3915,3615,2.5238,-0.17975),(3915,3625,2.5816,-0.059562),(3915,3635,2.5882,0.060628),(3915,3645,2.5949,0.18391),(3915,3655,2.6015,0.32561),(3915,3665,2.587,0.46731),(3915,3675,2.4641,0.60901),(3915,3685,2.3412,0.7304),(3915,3695,2.2183,0.76124),(3915,3705,2.1092,0.79208),(3915,3715,2.0538,0.82291),(3915,3725,1.9985,0.85215),(3915,3735,1.9431,0.87583),(3915,3745,1.8895,0.89951),(3915,3755,1.841,0.92318),(3915,3765,1.7926,0.9451),(3915,3775,1.7442,0.96206),(3915,3785,1.6974,0.97902),(3915,3795,1.6544,0.99598),(3915,3805,1.6115,1.0115),(3915,3815,1.5686,1.0236),(3915,3825,1.5271,1.0357),(3915,3835,1.4886,1.0478),(3915,3845,1.45,1.0588),(3915,3855,1.4115,1.0676),(3915,3865,1.3742,1.0764),(3915,3875,1.3391,1.0853),(3915,3885,1.304,1.0932),(3915,3895,1.2689,1.0998),(3915,3905,1.2349,1.1064),(3915,3915,1.2026,1.113),(3915,3925,1.1702,1.1189),(3915,3935,1.1379,1.124),(3915,3945,1.1065,1.1291),(3915,3955,1.0763,1.1342),(3915,3965,1.0461,1.1388),(3915,3975,1.0159,1.1429),(3915,3985,0.98646,1.147),(3915,3995,0.95793,1.1511),(3915,4005,0.92939,1.1549),(3915,4015,0.90086,1.1583),(3915,4025,1.2404,1.1618),(3915,4035,1.6159,1.1628),(3915,4045,1.9914,1.1585),(3915,4055,2.2595,1.1543),(3915,4065,2.4883,1.1493),(3915,4075,2.7171,1.1403),(3915,4085,2.8148,1.1312),(3915,4095,2.807,1.1222),(3915,4105,2.7993,1.1131),(3915,4115,2.7009,1.1041),(3915,4125,2.4524,1.0951),(3915,4135,2.2039,1.0892),(3915,4145,1.9524,1.0843),(3915,4155,1.6887,1.0793),(3915,4165,1.425,1.077),(3915,4175,1.1759,1.0763),(3915,4185,1.6516,1.0757),(3915,4195,2.1272,1.0714),(3915,4205,2.6028,1.0622),(3915,4215,2.6735,1.0531),(3915,4225,2.668,1.0439),(3915,4235,2.6625,1.0347),(3915,4245,2.6509,1.0255),(3915,4255,2.6362,1.0161),(3915,4265,2.6216,1.0051),(3915,4275,2.3002,0.9941),(3915,4285,1.6535,0.9831),(3915,4295,1.0068,0.98277),(3915,4305,0.72826,0.98368),(3915,4315,1.2809,0.98459),(3915,4325,1.8336,0.97965),(3915,4335,2.3247,0.97239),(3915,4345,2.3983,0.96514),(3915,4355,2.4719,0.95722),(3915,4365,2.5456,0.94872),(3915,4375,2.5458,0.94022),(3915,4385,2.5421,0.93173),(3915,4395,2.5385,0.92326),(3915,4405,2.2205,0.91478),(3915,4415,1.8098,0.90734),(3915,4425,1.399,0.9045),(3915,4435,1.223,0.90165),(3915,4445,1.2073,0.89881),(3915,4455,1.1916,0.89605),(3915,4465,1.351,0.89328),(3915,4475,1.7564,0.89052),(3915,4485,2.1618,0.88273),(3915,4495,2.4703,0.87389),(3915,4505,2.4681,0.86504),(3915,4515,2.466,0.85628),(3915,4525,2.4589,0.84755),(3915,4535,2.3752,0.83883),(3915,4545,2.2914,0.83066),(3915,4555,2.2076,0.8231),(3915,4565,1.6748,0.81554),(3915,4575,1.0815,0.81055),(3915,4585,0.48817,0.81177),(3915,4595,0.76848,0.813),(3915,4605,1.4179,0.81286),(3915,4615,2.0673,0.80207),(3915,4625,2.3796,0.79129),(3915,4635,2.3866,0.7805),(3915,4645,2.3937,0.77122),(3915,4655,2.398,0.76204),(3915,4665,2.3973,0.75286),(3915,4675,2.3966,0.74382),(3915,4685,2.3118,0.73483),(3915,4695,1.811,0.72584),(3915,4705,1.3101,0.72119),(3915,4715,0.80933,0.71969),(3915,4725,1.0421,0.71819),(3915,4735,1.2821,0.71527),(3915,4745,1.5222,0.71021),(3915,4755,1.7689,0.70516),(3915,4765,2.0171,0.69928),(3915,4775,2.2652,0.69052),(3915,4785,2.3558,0.68176),(3915,4795,2.3553,0.67301),(3915,4805,2.3547,0.66446),(3915,4815,2.2394,0.65591),(3915,4825,1.9868,0.64735),(3915,4835,1.7343,0.64189),(3915,4845,1.4784,0.63689),(3915,4855,1.214,0.6319),(3915,4865,0.94951,0.62945),(3915,4875,0.76146,0.62816),(3915,4885,1.2687,0.62686),(3915,4895,1.7759,0.62217),(3915,4905,2.2832,0.61422),(3915,4915,2.3228,0.60627),(3915,4925,2.3223,0.59835),(3915,4935,2.3217,0.59049),(3915,4945,2.3182,0.58264),(3915,4955,2.3136,0.57468),(3915,4965,2.309,0.56619),(3915,4975,1.9244,0.55769),(3915,4985,1.2465,0.54919),(3915,4995,0.56853,0.54964),(3915,5005,0.34842,0.55032),(3915,5015,0.85616,0.551),(3915,5025,1.3639,0.5468),(3915,5035,1.8012,0.54135),(3915,5045,1.9704,0.5359),(3915,5055,2.1396,0.5292),(3915,5065,2.3037,0.52171),(3915,5075,2.3035,0.51422),(3915,5085,2.3033,0.5068),(3915,5095,2.303,0.49944),(3915,5105,2.0097,0.49209),(3915,5115,1.6653,0.48578),(3915,5125,1.3209,0.48241),(3915,5135,1.1458,0.47904),(3915,5145,1.0528,0.47578),(3915,5155,0.95979,0.47364),(3915,5165,1.1281,0.47151),(3915,5175,1.5628,0.46937),(3915,5185,1.9975,0.46327),(3915,5195,2.2944,0.45676),(3915,5205,2.2938,0.45025),(3915,5215,2.2932,0.44381),(3915,5225,2.2808,0.43741),(3915,5235,2.1946,0.431),(3915,5245,2.1085,0.42508),(3915,5255,2.0224,0.41956),(3915,5265,1.4221,0.41404),(3915,5275,0.80065,0.41067),(3915,5285,0.17919,0.41093),(3915,5295,0.58816,0.41119),(3915,5305,1.2841,0.41038),(3915,5315,1.98,0.4051),(3915,5325,2.2562,0.39981),(3915,5335,2.2572,0.39453),(3915,5345,2.2581,0.38967),(3915,5355,2.2582,0.3848),(3915,5365,2.2571,0.37994),(3915,5375,2.2561,0.37512),(3915,5385,2.126,0.37031),(3915,5395,1.6036,0.3655),(3915,5405,1.0813,0.36318),(3915,5415,0.61363,0.36216),(3915,5425,0.88031,0.36113),(3915,5435,1.147,0.36013),(3915,5445,1.4137,0.35916),(3915,5455,1.6785,0.35819),(3915,5465,1.9432,0.35699),(3915,5475,2.2078,0.35524),(3915,5485,2.2824,0.35349),(3915,5495,2.2805,0.35174),(3915,5505,2.2786,0.34996),(3915,5515,2.2767,0.34818),(3915,5525,2.2749,0.3464),(3915,5535,2.2732,0.34454),(3915,5545,2.2715,0.34268),(3915,5555,2.2698,0.34082),(3915,5565,2.2682,0.33891),(3915,5575,2.2666,0.33697),(3915,5585,2.2651,0.33503),(3915,5595,2.2636,0.33305),(3915,5605,2.2621,0.33105),(3915,5615,2.2607,0.32904),(3915,5625,2.2594,0.327),(3915,5635,2.258,0.32493),(3915,5645,2.2566,0.32286),(3915,5655,2.2553,0.32078),(3915,5665,2.254,0.31865),(3915,5675,2.2528,0.31653),(3915,5685,2.2515,0.31441),(3915,5695,2.2503,0.31223),(3915,5705,2.249,0.31005),(3915,5715,2.2478,0.30787),(3915,5725,2.2466,0.30567),(3915,5735,2.2454,0.30347),(3915,5745,2.2442,0.30127),(3915,5755,2.243,0.29906),(3915,5765,2.2418,0.29685),(3915,5775,2.2405,0.29463),(3915,5785,2.2393,0.29242),(3915,5795,2.2381,0.29021),(3915,5805,2.2369,0.28799),(3915,5815,2.2356,0.28579),(3915,5825,2.2344,0.2836),(3915,5835,2.2331,0.28141),(3915,5845,2.2318,0.27922),(3915,5855,2.2305,0.27707),(3915,5865,2.2292,0.27492),(3915,5875,2.2279,0.27277),(3915,5885,2.2266,0.27066),(3915,5895,2.2253,0.26855),(3915,5905,2.2239,0.26645),(3915,5915,2.2226,0.26437),(3915,5925,2.2212,0.26231),(3915,5935,2.2198,0.26025),(3915,5945,2.2185,0.25822),(3915,5955,2.2171,0.2562),(3915,5965,2.2157,0.25419),(3915,5975,2.2142,0.25219),(3915,5985,2.2128,0.25021),(3915,5995,1.6912,0.24822),(3915,6005,1.0858,0.24672),(3915,6015,0.48036,0.24652),(3915,6025,0.64681,0.24631),(3915,6035,1.1712,0.24573),(3915,6045,1.6957,0.24155),(3915,6055,2.0581,0.23738),(3915,6065,2.2618,0.2332),(3915,6075,2.4654,0.22773),(3915,6085,2.6026,0.22214),(3915,6095,2.6026,0.21656),(3915,6105,2.6026,0.21101),(3915,6115,2.6027,0.20549),(3915,6125,2.6025,0.19996),(3915,6135,2.6024,0.19449),(3915,6145,2.6023,0.18907),(3915,6155,2.6019,0.18365),(3915,6165,2.6016,0.17828),(3915,6175,2.6013,0.173),(3915,6185,2.6009,0.16772),(3915,6195,2.6004,0.16249),(3915,6205,2.5999,0.15745),(3915,6215,2.5994,0.15242),(3915,6225,2.5987,0.14739),(3915,6235,2.5981,0.14261),(3915,6245,2.5974,0.13784),(3915,6255,2.5966,0.13306),(3915,6265,2.5958,0.1285),(3915,6275,2.595,0.12398),(3915,6285,2.5942,0.11946),(3915,6295,2.5933,0.11505),(3915,6305,2.5924,0.11071),(3915,6315,2.5915,0.10636),(3915,6325,2.5906,0.10218),(3915,6335,2.5897,0.09815),(3915,6345,2.5888,0.094125),(3915,6355,2.5878,0.090182),(3915,6365,2.5869,0.086421),(3915,6375,2.586,0.08266),(3915,6385,2.5851,0.078925),(3915,6395,2.5842,0.075357),(3915,6405,2.5833,0.071789),(3915,6415,2.5825,0.068221),(3915,6425,2.5816,0.064801),(3915,6435,2.5808,0.061387),(3915,6445,2.5801,0.057973),(3915,6455,2.5794,0.054711),(3915,6465,2.5787,0.051492),(3915,6475,2.578,0.048274),(3915,6485,2.5774,0.045144),(3915,6495,2.5768,0.042073),(3915,6505,2.5763,0.039002),(3915,6515,2.5758,0.035975),(3915,6525,2.5753,0.033006),(3915,6535,2.575,0.030037),(3915,6545,2.5746,0.027091),(3915,6555,2.5743,0.024215),(3915,6565,2.5741,0.02134),(3915,6575,2.5739,0.018465),(3915,6585,2.5737,0.015609),(3915,6595,2.189,0.012753),(3915,6605,1.3798,0.009897),(3915,6615,0.5705,0.009591),(3915,6625,0.001599,0.009612),(3915,6635,0.001602,0.009634),(3915,6645,0.001605,0.009638),(3915,6655,0.001609,0.009635),(3915,6665,0.001612,0.009632),(3915,6675,0.001615,0.009628),(3915,6685,0.001619,0.009625),(3915,6695,0.001622,0.009621),(3915,6705,0.001625,0.009617),(3915,6715,0.001629,0.009612),(3915,6725,0.001632,0.009608),(3915,6735,0.001635,0.009603),(3915,6745,0.001638,0.009598),(3915,6755,0.001641,0.009593),(3915,6765,0.001644,0.009588),(3915,6775,0.001647,0.009582),(3915,6785,0.00165,0.009576),(3915,6795,0.001653,0.00957),(3915,6805,0.001656,0.009564),(3915,6815,0.001658,0.009558),(3915,6825,0.001661,0.009551),(3915,6835,0.001663,0.009545),(3915,6845,0.001666,0.009538),(3915,6855,0.001668,0.009531),(3915,6865,0.001671,0.009525),(3915,6875,0.001673,0.009517),(3915,6885,0.001675,0.00951),(3915,6895,0.001677,0.009503),(3915,6905,0.001679,0.009496),(3915,6915,0.001681,0.009489),(3915,6925,0.001683,0.009481),(3915,6935,0.001685,0.009473),(3915,6945,0.001687,0.009466),(3915,6955,0.001689,0.009458),(3915,6965,0.00169,0.009451),(3915,6975,0.001692,0.009443),(3915,6985,0.001694,0.009435),(3925,5,1.5e-05,-0.00384),(3925,15,4.6e-05,-0.003842),(3925,25,7.7e-05,-0.003844),(3925,35,0.000108,-0.003847),(3925,45,0.000139,-0.003851),(3925,55,0.00017,-0.003858),(3925,65,0.000201,-0.003865),(3925,75,0.000231,-0.003872),(3925,85,0.000262,-0.003881),(3925,95,0.000293,-0.003893),(3925,105,0.000323,-0.003904),(3925,115,0.000353,-0.003916),(3925,125,0.000383,-0.00393),(3925,135,0.000413,-0.003947),(3925,145,0.000443,-0.003963),(3925,155,0.000472,-0.00398),(3925,165,0.000501,-0.003999),(3925,175,0.000531,-0.00402),(3925,185,0.000559,-0.004041),(3925,195,0.000587,-0.004063),(3925,205,0.000616,-0.004087),(3925,215,0.000644,-0.004114),(3925,225,0.000671,-0.00414),(3925,235,0.000698,-0.004166),(3925,245,0.000725,-0.004197),(3925,255,0.000752,-0.004228),(3925,265,0.000778,-0.00426),(3925,275,0.000804,-0.004292),(3925,285,0.000829,-0.004329),(3925,295,0.000855,-0.004367),(3925,305,0.000879,-0.004405),(3925,315,0.000902,-0.004444),(3925,325,0.000926,-0.004487),(3925,335,0.000949,-0.004531),(3925,345,0.000971,-0.004576),(3925,355,0.000992,-0.00462),(3925,365,0.001013,-0.00467),(3925,375,0.001034,-0.004722),(3925,385,0.001052,-0.004773),(3925,395,0.00107,-0.004824),(3925,405,0.001088,-0.004882),(3925,415,0.001106,-0.004941),(3925,425,0.001121,-0.005),(3925,435,0.001135,-0.005059),(3925,445,0.00115,-0.005126),(3925,455,0.001164,-0.005193),(3925,465,0.001174,-0.00526),(3925,475,0.001184,-0.005327),(3925,485,0.001193,-0.005403),(3925,495,0.001203,-0.005478),(3925,505,0.001207,-0.005554),(3925,515,0.001211,-0.00563),(3925,525,0.001215,-0.005715),(3925,535,0.001218,-0.005801),(3925,545,0.001216,-0.005886),(3925,555,0.001213,-0.005972),(3925,565,0.00121,-0.006068),(3925,575,0.001207,-0.006164),(3925,585,0.001196,-0.00626),(3925,595,0.001185,-0.006357),(3925,605,0.001174,-0.006464),(3925,615,0.001162,-0.006571),(3925,625,0.001141,-0.006678),(3925,635,0.00112,-0.006786),(3925,645,0.001099,-0.006905),(3925,655,0.001076,-0.007024),(3925,665,0.001043,-0.007143),(3925,675,0.001009,-0.007264),(3925,685,0.000976,-0.007396),(3925,695,0.00094,-0.007528),(3925,705,0.000893,-0.007659),(3925,715,0.000845,-0.007793),(3925,725,0.000797,-0.007938),(3925,735,0.000745,-0.008083),(3925,745,0.00068,-0.008227),(3925,755,0.000615,-0.008375),(3925,765,0.00055,-0.008533),(3925,775,0.000479,-0.008691),(3925,785,0.000393,-0.008849),(3925,795,0.000307,-0.009011),(3925,805,0.000221,-0.009182),(3925,815,0.000127,-0.009353),(3925,825,1.7e-05,-0.009524),(3925,835,-9.4e-05,-0.0097),(3925,845,-0.000205,-0.009883),(3925,855,-0.000326,-0.010067),(3925,865,-0.000466,-0.010251),(3925,875,-0.000605,-0.010438),(3925,885,-0.000745,-0.010633),(3925,895,-0.000898,-0.010828),(3925,905,-0.001071,-0.011023),(3925,915,-0.001245,-0.011222),(3925,925,-0.001418,-0.011426),(3925,935,-0.001608,-0.01163),(3925,945,-0.001821,-0.011834),(3925,955,-0.002033,-0.01204),(3925,965,-0.002245,-0.012249),(3925,975,-0.002478,-0.012458),(3925,985,-0.002734,-0.012667),(3925,995,-0.002991,-0.012877),(3925,1005,-0.003247,-0.013086),(3925,1015,-0.003528,-0.013296),(3925,1025,-0.003834,-0.013506),(3925,1035,-0.004139,-0.013713),(3925,1045,-0.004444,-0.013916),(3925,1055,-0.004778,-0.01412),(3925,1065,-0.005137,-0.014324),(3925,1075,-0.005495,-0.01452),(3925,1085,-0.005853,-0.01471),(3925,1095,-0.006245,-0.0149),(3925,1105,-0.006659,-0.01509),(3925,1115,-0.007074,-0.015265),(3925,1125,-0.007489,-0.015432),(3925,1135,-0.007939,-0.015598),(3925,1145,-0.008411,-0.015764),(3925,1155,-0.008883,-0.015909),(3925,1165,-0.009355,-0.016041),(3925,1175,-0.009865,-0.016173),(3925,1185,-0.010393,-0.016306),(3925,1195,-0.010921,-0.016407),(3925,1205,-0.011449,-0.016495),(3925,1215,-0.012013,-0.016582),(3925,1225,-0.012593,-0.016669),(3925,1235,-0.013173,-0.016716),(3925,1245,-0.013753,-0.016748),(3925,1255,-0.014366,-0.01678),(3925,1265,-0.014991,-0.016811),(3925,1275,-0.015615,-0.016794),(3925,1285,-0.016239,-0.016761),(3925,1295,-0.016891,-0.016729),(3925,1305,-0.01755,-0.016696),(3925,1315,-0.018209,-0.016607),(3925,1325,-0.018868,-0.016505),(3925,1335,-0.019546,-0.016403),(3925,1345,-0.020228,-0.0163),(3925,1355,-0.02091,-0.016137),(3925,1365,-0.021592,-0.015962),(3925,1375,-0.022283,-0.015788),(3925,1385,-0.022975,-0.015613),(3925,1395,-0.023668,-0.015377),(3925,1405,-0.02436,-0.015133),(3925,1415,-0.025051,-0.014889),(3925,1425,-0.025743,-0.014645),(3925,1435,-0.026434,-0.014343),(3925,1445,-0.027125,-0.014036),(3925,1455,-0.027806,-0.013729),(3925,1465,-0.028487,-0.013422),(3925,1475,-0.029167,-0.013064),(3925,1485,-0.029848,-0.012704),(3925,1495,-0.030511,-0.012345),(3925,1505,-0.031175,-0.011985),(3925,1515,-0.031838,-0.011583),(3925,1525,-0.032501,-0.011182),(3925,1535,-0.033145,-0.01078),(3925,1545,-0.033789,-0.010378),(3925,1555,-0.034432,-0.009947),(3925,1565,-0.035075,-0.009515),(3925,1575,-0.035699,-0.009084),(3925,1585,-0.036324,-0.008652),(3925,1595,-0.036949,-0.008204),(3925,1605,-0.037572,-0.007755),(3925,1615,-0.038181,-0.007307),(3925,1625,-0.038789,-0.006858),(3925,1635,-0.039398,-0.006404),(3925,1645,-0.040005,-0.005951),(3925,1655,-0.040604,-0.005497),(3925,1665,-0.041203,-0.005044),(3925,1675,-0.041801,-0.004595),(3925,1685,-0.042399,-0.004147),(3925,1695,-0.042995,-0.003698),(3925,1705,-0.043591,-0.003252),(3925,1715,-0.044188,-0.002817),(3925,1725,-0.044785,-0.002383),(3925,1735,-0.045388,-0.001948),(3925,1745,-0.045991,-0.001518),(3925,1755,-0.046594,-0.001106),(3925,1765,-0.047201,-0.000693),(3925,1775,-0.047821,-0.00028),(3925,1785,-0.048441,0.000124),(3925,1795,-0.049061,0.000508),(3925,1805,-0.04969,0.000891),(3925,1815,-0.050338,0.001274),(3925,1825,-0.050986,0.001646),(3925,1835,-0.051634,0.001992),(3925,1845,-0.052296,0.002339),(3925,1855,-0.052984,0.002685),(3925,1865,-0.053673,0.003016),(3925,1875,-0.054361,0.003318),(3925,1885,-0.05507,0.003621),(3925,1895,-0.055812,0.003923),(3925,1905,-0.056554,0.004205),(3925,1915,-0.057295,0.004457),(3925,1925,-0.058066,0.004708),(3925,1935,-0.058876,0.004959),(3925,1945,-0.059686,0.005184),(3925,1955,-0.060496,0.005376),(3925,1965,-0.061344,0.005568),(3925,1975,-0.062238,0.00576),(3925,1985,-0.063132,0.005918),(3925,1995,-0.064026,0.00604),(3925,2005,-0.064971,0.006162),(3925,2015,-0.065968,0.006284),(3925,2025,-0.066964,0.006364),(3925,2035,-0.06796,0.006405),(3925,2045,-0.069023,0.006445),(3925,2055,-0.070142,0.006486),(3925,2065,-0.071262,0.006473),(3925,2075,-0.072381,0.006418),(3925,2085,-0.073587,0.006363),(3925,2095,-0.074854,0.006307),(3925,2105,-0.076121,0.006184),(3925,2115,-0.077388,0.006015),(3925,2125,-0.078764,0.005846),(3925,2135,-0.080208,0.005678),(3925,2145,-0.081652,0.005421),(3925,2155,-0.083095,0.005116),(3925,2165,-0.084678,0.004811),(3925,2175,-0.086333,0.004505),(3925,2185,-0.087988,0.004088),(3925,2195,-0.089642,0.003618),(3925,2205,-0.091473,0.003147),(3925,2215,-0.093381,0.002677),(3925,2225,-0.095288,0.002061),(3925,2235,-0.097195,0.001389),(3925,2245,-0.099326,0.000716),(3925,2255,-0.10154,4.4e-05),(3925,2265,-0.10375,-0.000819),(3925,2275,-0.10596,-0.001742),(3925,2285,-0.10845,-0.002665),(3925,2295,-0.11103,-0.003588),(3925,2305,-0.1136,-0.004762),(3925,2315,-0.11618,-0.005999),(3925,2325,-0.11911,-0.007237),(3925,2335,-0.12213,-0.008475),(3925,2345,-0.12515,-0.010048),(3925,2355,-0.12816,-0.011687),(3925,2365,-0.13164,-0.013326),(3925,2375,-0.13519,-0.014965),(3925,2385,-0.13874,-0.01706),(3925,2395,-0.14229,-0.019219),(3925,2405,-0.14643,-0.021378),(3925,2415,-0.15063,-0.023537),(3925,2425,-0.15483,-0.026327),(3925,2435,-0.15904,-0.029174),(3925,2445,-0.16398,-0.032021),(3925,2455,-0.16898,-0.034869),(3925,2465,-0.17397,-0.038605),(3925,2475,-0.17897,-0.042383),(3925,2485,-0.1849,-0.046162),(3925,2495,-0.19086,-0.04994),(3925,2505,-0.19682,-0.055002),(3925,2515,-0.2028,-0.060071),(3925,2525,-0.20992,-0.06514),(3925,2535,-0.21704,-0.070273),(3925,2545,-0.22416,-0.077182),(3925,2555,-0.23135,-0.084091),(3925,2565,-0.23983,-0.091001),(3925,2575,-0.2483,-0.09811),(3925,2585,-0.25678,-0.10772),(3925,2595,-0.26539,-0.11733),(3925,2605,-0.27535,-0.12695),(3925,2615,-0.28531,-0.13702),(3925,2625,-0.29526,-0.15073),(3925,2635,-0.3054,-0.16443),(3925,2645,-0.31667,-0.17813),(3925,2655,-0.32794,-0.19282),(3925,2665,-0.33922,-0.2129),(3925,2675,-0.35054,-0.23299),(3925,2685,-0.3621,-0.25308),(3925,2695,-0.37366,-0.27514),(3925,2705,-0.38522,-0.30545),(3925,2715,-0.39634,-0.33577),(3925,2725,-0.40581,-0.36608),(3925,2735,-0.41529,-0.4011),(3925,2745,-0.42477,-0.45163),(3925,2755,-0.42552,-0.50217),(3925,2765,-0.40045,-0.5527),(3925,2775,-0.37538,-0.59848),(3925,2785,-0.3503,-0.63157),(3925,2795,-0.32365,-0.66465),(3925,2805,-0.29316,-0.69773),(3925,2815,-0.26267,-0.72723),(3925,2825,-0.23218,-0.7488),(3925,2835,-0.20167,-0.77037),(3925,2845,-0.17113,-0.79195),(3925,2855,-0.14059,-0.8111),(3925,2865,-0.11005,-0.8258),(3925,2875,-0.079923,-0.8405),(3925,2885,-0.050482,-0.8552),(3925,2895,-0.021041,-0.8682),(3925,2905,0.008399,-0.87857),(3925,2915,0.037335,-0.88895),(3925,2925,0.065546,-0.89932),(3925,2935,0.093758,-0.90847),(3925,2945,0.12197,-0.91601),(3925,2955,0.14972,-0.92354),(3925,2965,0.1769,-0.93108),(3925,2975,0.20408,-0.9377),(3925,2985,0.23126,-0.94328),(3925,2995,0.25808,-0.94887),(3925,3005,0.28453,-0.95445),(3925,3015,0.31097,-0.95932),(3925,3025,0.33742,-0.96349),(3925,3035,0.36364,-0.96766),(3925,3045,0.38965,-0.97183),(3925,3055,0.41567,-0.97539),(3925,3065,0.44168,-0.97846),(3925,3075,0.46763,-0.98153),(3925,3085,0.49352,-0.98461),(3925,3095,0.5194,-0.98713),(3925,3105,0.54529,-0.98928),(3925,3115,0.57128,-0.99142),(3925,3125,0.59733,-0.99356),(3925,3135,0.62338,-0.99517),(3925,3145,0.64943,-0.99645),(3925,3155,0.67578,-0.99774),(3925,3165,0.70229,-0.99902),(3925,3175,0.72879,-0.99971),(3925,3185,0.7553,-1.0001),(3925,3195,0.78233,-1.0005),(3925,3205,0.8096,-1.0009),(3925,3215,0.83687,-1.0006),(3925,3225,0.86414,-1),(3925,3235,0.8922,-0.99944),(3925,3245,0.92055,-0.99885),(3925,3255,0.94891,-0.99737),(3925,3265,0.97727,-0.99559),(3925,3275,1.0067,-0.9938),(3925,3285,1.0366,-0.99202),(3925,3295,1.0664,-0.98903),(3925,3305,1.0962,-0.98573),(3925,3315,1.1275,-0.98242),(3925,3325,1.1592,-0.97911),(3925,3335,1.1909,-0.97413),(3925,3345,1.2226,-0.9688),(3925,3355,1.2563,-0.96346),(3925,3365,1.2904,-0.95813),(3925,3375,1.3245,-0.95037),(3925,3385,1.3586,-0.94225),(3925,3395,1.3952,-0.93412),(3925,3405,1.4323,-0.92599),(3925,3415,1.4693,-0.91427),(3925,3425,1.5063,-0.90218),(3925,3435,1.5466,-0.89008),(3925,3445,1.5872,-0.87798),(3925,3455,1.6278,-0.86038),(3925,3465,1.6684,-0.84246),(3925,3475,1.713,-0.82454),(3925,3485,1.7578,-0.80662),(3925,3495,1.8025,-0.77998),(3925,3505,1.8473,-0.7532),(3925,3515,1.8966,-0.72642),(3925,3525,1.9458,-0.6993),(3925,3535,1.995,-0.65844),(3925,3545,2.0444,-0.61758),(3925,3555,2.0972,-0.57672),(3925,3565,2.15,-0.53431),(3925,3575,2.2028,-0.46951),(3925,3585,2.2555,-0.40471),(3925,3595,2.3069,-0.33991),(3925,3605,2.3583,-0.27037),(3925,3615,2.4098,-0.16003),(3925,3625,2.455,-0.049684),(3925,3635,2.4561,0.060659),(3925,3645,2.4573,0.1734),(3925,3655,2.4585,0.30046),(3925,3665,2.444,0.42752),(3925,3675,2.3494,0.55458),(3925,3685,2.2547,0.66468),(3925,3695,2.1601,0.69919),(3925,3705,2.0738,0.73371),(3925,3715,2.0203,0.76822),(3925,3725,1.9669,0.80069),(3925,3735,1.9134,0.82607),(3925,3745,1.8616,0.85145),(3925,3755,1.815,0.87683),(3925,3765,1.7684,0.9003),(3925,3775,1.7218,0.91843),(3925,3785,1.6766,0.93655),(3925,3795,1.635,0.95468),(3925,3805,1.5934,0.97127),(3925,3815,1.5518,0.98431),(3925,3825,1.5114,0.99734),(3925,3835,1.4738,1.0104),(3925,3845,1.4362,1.0222),(3925,3855,1.3986,1.0318),(3925,3865,1.3621,1.0413),(3925,3875,1.3276,1.0509),(3925,3885,1.2932,1.0596),(3925,3895,1.2587,1.0667),(3925,3905,1.2253,1.0739),(3925,3915,1.1934,1.0811),(3925,3925,1.1615,1.0876),(3925,3935,1.1296,1.0932),(3925,3945,1.0986,1.0988),(3925,3955,1.0688,1.1043),(3925,3965,1.0389,1.1094),(3925,3975,1.009,1.1139),(3925,3985,0.9799,1.1183),(3925,3995,0.95161,1.1228),(3925,4005,0.92331,1.1269),(3925,4015,0.89501,1.1307),(3925,4025,1.2358,1.1345),(3925,4035,1.6128,1.1358),(3925,4045,1.9897,1.1318),(3925,4055,2.2587,1.1279),(3925,4065,2.4884,1.1233),(3925,4075,2.7181,1.1146),(3925,4085,2.8162,1.1059),(3925,4095,2.8084,1.0972),(3925,4105,2.8007,1.0885),(3925,4115,2.7021,1.0798),(3925,4125,2.453,1.0711),(3925,4135,2.2039,1.0655),(3925,4145,1.9517,1.0608),(3925,4155,1.6874,1.0561),(3925,4165,1.4231,1.054),(3925,4175,1.1734,1.0535),(3925,4185,1.6504,1.053),(3925,4195,2.1274,1.0489),(3925,4205,2.6043,1.04),(3925,4215,2.6753,1.0311),(3925,4225,2.6698,1.0221),(3925,4235,2.6644,1.0131),(3925,4245,2.6532,1.0041),(3925,4255,2.6391,0.99503),(3925,4265,2.625,0.98433),(3925,4275,2.303,0.97363),(3925,4285,1.6544,0.96294),(3925,4295,1.0057,0.96276),(3925,4305,0.72615,0.96381),(3925,4315,1.2798,0.96486),(3925,4325,1.8335,0.96006),(3925,4335,2.3254,0.95295),(3925,4345,2.3993,0.94585),(3925,4355,2.4731,0.93806),(3925,4365,2.5469,0.9297),(3925,4375,2.5471,0.92133),(3925,4385,2.5435,0.91295),(3925,4395,2.5398,0.90457),(3925,4405,2.2214,0.89619),(3925,4415,1.81,0.88884),(3925,4425,1.3987,0.88612),(3925,4435,1.2224,0.8834),(3925,4445,1.2067,0.88068),(3925,4455,1.1911,0.87805),(3925,4465,1.3508,0.87542),(3925,4475,1.7569,0.87279),(3925,4485,2.163,0.86514),(3925,4495,2.4721,0.85643),(3925,4505,2.4699,0.84772),(3925,4515,2.4677,0.83909),(3925,4525,2.4607,0.83049),(3925,4535,2.3768,0.8219),(3925,4545,2.2929,0.81385),(3925,4555,2.209,0.8064),(3925,4565,1.6752,0.79896),(3925,4575,1.0808,0.79407),(3925,4585,0.48642,0.79538),(3925,4595,0.76775,0.7967),(3925,4605,1.4191,0.79666),(3925,4615,2.0704,0.78604),(3925,4625,2.3834,0.77543),(3925,4635,2.3899,0.76482),(3925,4645,2.3964,0.75567),(3925,4655,2.4003,0.74662),(3925,4665,2.3996,0.73756),(3925,4675,2.3989,0.72866),(3925,4685,2.3138,0.7198),(3925,4695,1.8121,0.71094),(3925,4705,1.3103,0.70639),(3925,4715,0.80857,0.70496),(3925,4725,1.0417,0.70353),(3925,4735,1.2822,0.70069),(3925,4745,1.5227,0.69574),(3925,4755,1.7698,0.6908),(3925,4765,2.0185,0.68504),(3925,4775,2.2671,0.67646),(3925,4785,2.3578,0.66787),(3925,4795,2.3572,0.6593),(3925,4805,2.3566,0.65091),(3925,4815,2.241,0.64253),(3925,4825,1.9881,0.63415),(3925,4835,1.7352,0.6288),(3925,4845,1.4789,0.62392),(3925,4855,1.214,0.61904),(3925,4865,0.94916,0.61666),(3925,4875,0.76081,0.6154),(3925,4885,1.2687,0.61415),(3925,4895,1.7766,0.60954),(3925,4905,2.2845,0.60171),(3925,4915,2.3241,0.59388),(3925,4925,2.3236,0.58608),(3925,4935,2.323,0.57834),(3925,4945,2.3196,0.5706),(3925,4955,2.3152,0.56277),(3925,4965,2.3108,0.55441),(3925,4975,1.9258,0.54605),(3925,4985,1.2469,0.5377),(3925,4995,0.56802,0.53817),(3925,5005,0.34751,0.53887),(3925,5015,0.85575,0.53957),(3925,5025,1.364,0.53545),(3925,5035,1.8017,0.5301),(3925,5045,1.9711,0.52475),(3925,5055,2.1404,0.51816),(3925,5065,2.3047,0.51081),(3925,5075,2.3044,0.50345),(3925,5085,2.3042,0.49615),(3925,5095,2.3039,0.48892),(3925,5105,2.0104,0.4817),(3925,5115,1.6657,0.4755),(3925,5125,1.321,0.4722),(3925,5135,1.1457,0.4689),(3925,5145,1.0526,0.46571),(3925,5155,0.95945,0.46362),(3925,5165,1.1277,0.46154),(3925,5175,1.5626,0.45946),(3925,5185,1.9975,0.45348),(3925,5195,2.2945,0.44709),(3925,5205,2.2939,0.4407),(3925,5215,2.2932,0.43438),(3925,5225,2.2808,0.4281),(3925,5235,2.1946,0.42181),(3925,5245,2.1084,0.41601),(3925,5255,2.0223,0.4106),(3925,5265,1.4219,0.40518),(3925,5275,0.80038,0.40188),(3925,5285,0.17882,0.40215),(3925,5295,0.58765,0.40241),(3925,5305,1.2834,0.40163),(3925,5315,1.9792,0.39647),(3925,5325,2.2552,0.39131),(3925,5335,2.256,0.38616),(3925,5345,2.2568,0.3814),(3925,5355,2.2569,0.37664),(3925,5365,2.2558,0.37188),(3925,5375,2.2547,0.36717),(3925,5385,2.1247,0.36246),(3925,5395,1.6026,0.35776),(3925,5405,1.0805,0.35549),(3925,5415,0.61298,0.35449),(3925,5425,0.87894,0.3535),(3925,5435,1.1449,0.35253),(3925,5445,1.4109,0.35159),(3925,5455,1.6752,0.35065),(3925,5465,1.9394,0.34948),(3925,5475,2.2035,0.34779),(3925,5485,2.278,0.34609),(3925,5495,2.2761,0.34439),(3925,5505,2.2742,0.34265),(3925,5515,2.2724,0.34091),(3925,5525,2.2706,0.33917),(3925,5535,2.2689,0.33736),(3925,5545,2.2672,0.33555),(3925,5555,2.2656,0.33373),(3925,5565,2.264,0.33185),(3925,5575,2.2624,0.32996),(3925,5585,2.261,0.32806),(3925,5595,2.2595,0.32612),(3925,5605,2.258,0.32415),(3925,5615,2.2567,0.32218),(3925,5625,2.2553,0.32018),(3925,5635,2.2539,0.31814),(3925,5645,2.2527,0.31611),(3925,5655,2.2514,0.31406),(3925,5665,2.2501,0.31198),(3925,5675,2.2488,0.30989),(3925,5685,2.2476,0.30781),(3925,5695,2.2464,0.30567),(3925,5705,2.2452,0.30354),(3925,5715,2.244,0.30141),(3925,5725,2.2428,0.29926),(3925,5735,2.2416,0.29712),(3925,5745,2.2404,0.29497),(3925,5755,2.2392,0.29282),(3925,5765,2.238,0.29067),(3925,5775,2.2368,0.28852),(3925,5785,2.2356,0.28637),(3925,5795,2.2344,0.28423),(3925,5805,2.2331,0.28209),(3925,5815,2.2319,0.27997),(3925,5825,2.2306,0.27787),(3925,5835,2.2293,0.27577),(3925,5845,2.2281,0.27367),(3925,5855,2.2268,0.27163),(3925,5865,2.2255,0.26958),(3925,5875,2.2241,0.26753),(3925,5885,2.2228,0.26553),(3925,5895,2.2215,0.26354),(3925,5905,2.2201,0.26155),(3925,5915,2.2187,0.2596),(3925,5925,2.2174,0.25766),(3925,5935,2.216,0.25572),(3925,5945,2.2146,0.25381),(3925,5955,2.2132,0.25192),(3925,5965,2.2118,0.25003),(3925,5975,2.2103,0.24816),(3925,5985,2.2089,0.24631),(3925,5995,1.6882,0.24446),(3925,6005,1.0838,0.24307),(3925,6015,0.47944,0.24288),(3925,6025,0.64629,0.2427),(3925,6035,1.1708,0.24214),(3925,6045,1.6953,0.23795),(3925,6055,2.0578,0.23376),(3925,6065,2.2615,0.22958),(3925,6075,2.4651,0.2241),(3925,6085,2.6022,0.2185),(3925,6095,2.6022,0.21291),(3925,6105,2.6022,0.20736),(3925,6115,2.6022,0.20183),(3925,6125,2.6021,0.19629),(3925,6135,2.6019,0.19082),(3925,6145,2.6017,0.18541),(3925,6155,2.6014,0.17999),(3925,6165,2.601,0.17463),(3925,6175,2.6007,0.16936),(3925,6185,2.6002,0.16409),(3925,6195,2.5997,0.15888),(3925,6205,2.5992,0.15387),(3925,6215,2.5985,0.14885),(3925,6225,2.5978,0.14385),(3925,6235,2.5971,0.1391),(3925,6245,2.5964,0.13436),(3925,6255,2.5955,0.12962),(3925,6265,2.5947,0.1251),(3925,6275,2.5938,0.12062),(3925,6285,2.5929,0.11615),(3925,6295,2.592,0.11182),(3925,6305,2.5911,0.10757),(3925,6315,2.59,0.10332),(3925,6325,2.589,0.099212),(3925,6335,2.588,0.095261),(3925,6345,2.587,0.09131),(3925,6355,2.586,0.087446),(3925,6365,2.585,0.083776),(3925,6375,2.584,0.080107),(3925,6385,2.583,0.076465),(3925,6395,2.5821,0.073005),(3925,6405,2.5811,0.069545),(3925,6415,2.5802,0.066085),(3925,6425,2.5793,0.062774),(3925,6435,2.5785,0.05947),(3925,6445,2.5777,0.056166),(3925,6455,2.5769,0.053016),(3925,6465,2.5761,0.04991),(3925,6475,2.5755,0.046804),(3925,6485,2.5748,0.043784),(3925,6495,2.5742,0.040823),(3925,6505,2.5737,0.037862),(3925,6515,2.5731,0.034943),(3925,6525,2.5726,0.032083),(3925,6535,2.5722,0.029223),(3925,6545,2.5719,0.026384),(3925,6555,2.5715,0.02361),(3925,6565,2.5713,0.020837),(3925,6575,2.5711,0.018066),(3925,6585,2.571,0.015335),(3925,6595,2.1867,0.012604),(3925,6605,1.3783,0.009873),(3925,6615,0.56989,0.009585),(3925,6625,0.001597,0.009611),(3925,6635,0.001601,0.009636),(3925,6645,0.001605,0.009642),(3925,6655,0.001608,0.009639),(3925,6665,0.001612,0.009636),(3925,6675,0.001615,0.009632),(3925,6685,0.001619,0.009628),(3925,6695,0.001622,0.009625),(3925,6705,0.001626,0.009621),(3925,6715,0.001629,0.009616),(3925,6725,0.001633,0.009612),(3925,6735,0.001636,0.009607),(3925,6745,0.001639,0.009602),(3925,6755,0.001643,0.009596),(3925,6765,0.001646,0.009591),(3925,6775,0.001649,0.009585),(3925,6785,0.001652,0.009579),(3925,6795,0.001655,0.009573),(3925,6805,0.001658,0.009567),(3925,6815,0.001661,0.009561),(3925,6825,0.001663,0.009554),(3925,6835,0.001666,0.009548),(3925,6845,0.001669,0.009541),(3925,6855,0.001671,0.009534),(3925,6865,0.001674,0.009527),(3925,6875,0.001676,0.00952),(3925,6885,0.001678,0.009513),(3925,6895,0.00168,0.009506),(3925,6905,0.001683,0.009498),(3925,6915,0.001685,0.009491),(3925,6925,0.001687,0.009483),(3925,6935,0.001689,0.009475),(3925,6945,0.001691,0.009468),(3925,6955,0.001692,0.00946),(3925,6965,0.001694,0.009452),(3925,6975,0.001696,0.009444),(3925,6985,0.001698,0.009437),(3935,5,1.6e-05,-0.003808),(3935,15,4.8e-05,-0.00381),(3935,25,8e-05,-0.003812),(3935,35,0.000112,-0.003815),(3935,45,0.000143,-0.003819),(3935,55,0.000175,-0.003826),(3935,65,0.000207,-0.003833),(3935,75,0.000239,-0.00384),(3935,85,0.00027,-0.00385),(3935,95,0.000302,-0.003861),(3935,105,0.000333,-0.003873),(3935,115,0.000364,-0.003885),(3935,125,0.000395,-0.0039),(3935,135,0.000427,-0.003916),(3935,145,0.000457,-0.003933),(3935,155,0.000488,-0.003949),(3935,165,0.000518,-0.003969),(3935,175,0.000549,-0.00399),(3935,185,0.000578,-0.004012),(3935,195,0.000608,-0.004033),(3935,205,0.000637,-0.004058),(3935,215,0.000666,-0.004085),(3935,225,0.000695,-0.004111),(3935,235,0.000723,-0.004138),(3935,245,0.000751,-0.004169),(3935,255,0.000779,-0.004201),(3935,265,0.000807,-0.004233),(3935,275,0.000833,-0.004265),(3935,285,0.00086,-0.004303),(3935,295,0.000887,-0.004341),(3935,305,0.000912,-0.00438),(3935,315,0.000937,-0.004419),(3935,325,0.000962,-0.004462),(3935,335,0.000987,-0.004507),(3935,345,0.00101,-0.004552),(3935,355,0.001033,-0.004597),(3935,365,0.001056,-0.004648),(3935,375,0.001078,-0.0047),(3935,385,0.001098,-0.004752),(3935,395,0.001118,-0.004805),(3935,405,0.001138,-0.004864),(3935,415,0.001157,-0.004923),(3935,425,0.001174,-0.004983),(3935,435,0.00119,-0.005043),(3935,445,0.001206,-0.005111),(3935,455,0.001223,-0.005179),(3935,465,0.001234,-0.005247),(3935,475,0.001246,-0.005315),(3935,485,0.001258,-0.005392),(3935,495,0.001269,-0.005469),(3935,505,0.001276,-0.005546),(3935,515,0.001282,-0.005624),(3935,525,0.001288,-0.005711),(3935,535,0.001294,-0.005798),(3935,545,0.001294,-0.005885),(3935,555,0.001293,-0.005973),(3935,565,0.001293,-0.006071),(3935,575,0.001292,-0.006169),(3935,585,0.001284,-0.006267),(3935,595,0.001275,-0.006365),(3935,605,0.001267,-0.006475),(3935,615,0.001257,-0.006584),(3935,625,0.001239,-0.006694),(3935,635,0.001221,-0.006805),(3935,645,0.001203,-0.006927),(3935,655,0.001183,-0.007049),(3935,665,0.001152,-0.007171),(3935,675,0.001122,-0.007295),(3935,685,0.001092,-0.00743),(3935,695,0.001059,-0.007566),(3935,705,0.001015,-0.007701),(3935,715,0.00097,-0.007839),(3935,725,0.000926,-0.007988),(3935,735,0.000877,-0.008137),(3935,745,0.000815,-0.008286),(3935,755,0.000753,-0.008438),(3935,765,0.000691,-0.008602),(3935,775,0.000623,-0.008765),(3935,785,0.000541,-0.008928),(3935,795,0.000458,-0.009096),(3935,805,0.000375,-0.009273),(3935,815,0.000284,-0.00945),(3935,825,0.000177,-0.009628),(3935,835,6.9e-05,-0.00981),(3935,845,-3.9e-05,-0.010001),(3935,855,-0.000157,-0.010192),(3935,865,-0.000294,-0.010383),(3935,875,-0.000431,-0.010579),(3935,885,-0.000568,-0.010782),(3935,895,-0.000718,-0.010986),(3935,905,-0.000889,-0.011189),(3935,915,-0.00106,-0.011397),(3935,925,-0.001231,-0.011611),(3935,935,-0.00142,-0.011825),(3935,945,-0.001631,-0.012039),(3935,955,-0.001841,-0.012256),(3935,965,-0.002052,-0.012476),(3935,975,-0.002284,-0.012697),(3935,985,-0.00254,-0.012917),(3935,995,-0.002796,-0.013139),(3935,1005,-0.003052,-0.013361),(3935,1015,-0.003333,-0.013584),(3935,1025,-0.003639,-0.013806),(3935,1035,-0.003946,-0.014026),(3935,1045,-0.004252,-0.014244),(3935,1055,-0.004588,-0.014462),(3935,1065,-0.004949,-0.014679),(3935,1075,-0.00531,-0.01489),(3935,1085,-0.005671,-0.015094),(3935,1095,-0.006067,-0.015299),(3935,1105,-0.006486,-0.015503),(3935,1115,-0.006906,-0.015694),(3935,1125,-0.007325,-0.015875),(3935,1135,-0.007782,-0.016057),(3935,1145,-0.008261,-0.016238),(3935,1155,-0.00874,-0.016397),(3935,1165,-0.009219,-0.016544),(3935,1175,-0.009737,-0.016692),(3935,1185,-0.010275,-0.016839),(3935,1195,-0.010812,-0.016954),(3935,1205,-0.01135,-0.017055),(3935,1215,-0.011925,-0.017156),(3935,1225,-0.012517,-0.017257),(3935,1235,-0.013108,-0.017316),(3935,1245,-0.0137,-0.01736),(3935,1255,-0.014326,-0.017403),(3935,1265,-0.014964,-0.017446),(3935,1275,-0.015602,-0.017439),(3935,1285,-0.01624,-0.017415),(3935,1295,-0.016906,-0.017392),(3935,1305,-0.01758,-0.017368),(3935,1315,-0.018253,-0.017286),(3935,1325,-0.018927,-0.017189),(3935,1335,-0.01962,-0.017093),(3935,1345,-0.020317,-0.016996),(3935,1355,-0.021013,-0.016836),(3935,1365,-0.02171,-0.016664),(3935,1375,-0.022416,-0.016492),(3935,1385,-0.023122,-0.01632),(3935,1395,-0.023829,-0.016083),(3935,1405,-0.024536,-0.015839),(3935,1415,-0.025241,-0.015594),(3935,1425,-0.025945,-0.015349),(3935,1435,-0.026649,-0.015044),(3935,1445,-0.027353,-0.014734),(3935,1455,-0.028045,-0.014424),(3935,1465,-0.028737,-0.014114),(3935,1475,-0.029428,-0.013751),(3935,1485,-0.030119,-0.013386),(3935,1495,-0.030791,-0.013021),(3935,1505,-0.031463,-0.012656),(3935,1515,-0.032135,-0.012249),(3935,1525,-0.032806,-0.011842),(3935,1535,-0.033455,-0.011435),(3935,1545,-0.034104,-0.011026),(3935,1555,-0.034754,-0.01059),(3935,1565,-0.035401,-0.010153),(3935,1575,-0.036029,-0.009717),(3935,1585,-0.036656,-0.009279),(3935,1595,-0.037284,-0.008826),(3935,1605,-0.037909,-0.008373),(3935,1615,-0.038518,-0.00792),(3935,1625,-0.039127,-0.007467),(3935,1635,-0.039736,-0.00701),(3935,1645,-0.040344,-0.006553),(3935,1655,-0.04094,-0.006096),(3935,1665,-0.041537,-0.00564),(3935,1675,-0.042133,-0.00519),(3935,1685,-0.042729,-0.00474),(3935,1695,-0.04332,-0.004291),(3935,1705,-0.043912,-0.003844),(3935,1715,-0.044504,-0.00341),(3935,1725,-0.045097,-0.002977),(3935,1735,-0.045694,-0.002544),(3935,1745,-0.04629,-0.002116),(3935,1755,-0.046887,-0.001707),(3935,1765,-0.047488,-0.001298),(3935,1775,-0.0481,-0.000889),(3935,1785,-0.048712,-0.00049),(3935,1795,-0.049324,-0.000113),(3935,1805,-0.049944,0.000264),(3935,1815,-0.050582,0.00064),(3935,1825,-0.051221,0.001004),(3935,1835,-0.051859,0.001341),(3935,1845,-0.052511,0.001677),(3935,1855,-0.053188,0.002014),(3935,1865,-0.053865,0.002334),(3935,1875,-0.054542,0.002623),(3935,1885,-0.055238,0.002913),(3935,1895,-0.055967,0.003203),(3935,1905,-0.056695,0.00347),(3935,1915,-0.057424,0.003705),(3935,1925,-0.05818,0.003939),(3935,1935,-0.058974,0.004174),(3935,1945,-0.059769,0.004381),(3935,1955,-0.060563,0.004552),(3935,1965,-0.061395,0.004723),(3935,1975,-0.062271,0.004894),(3935,1985,-0.063148,0.00503),(3935,1995,-0.064024,0.005127),(3935,2005,-0.064949,0.005224),(3935,2015,-0.065925,0.005321),(3935,2025,-0.0669,0.005373),(3935,2035,-0.067876,0.005383),(3935,2045,-0.068916,0.005394),(3935,2055,-0.070011,0.005404),(3935,2065,-0.071106,0.005358),(3935,2075,-0.072201,0.005266),(3935,2085,-0.073378,0.005175),(3935,2095,-0.074617,0.005084),(3935,2105,-0.075855,0.00492),(3935,2115,-0.077093,0.004708),(3935,2125,-0.078437,0.004496),(3935,2135,-0.079846,0.004284),(3935,2145,-0.081255,0.003979),(3935,2155,-0.082664,0.003623),(3935,2165,-0.084207,0.003266),(3935,2175,-0.08582,0.002909),(3935,2185,-0.087433,0.002433),(3935,2195,-0.089045,0.001901),(3935,2205,-0.090828,0.00137),(3935,2215,-0.092684,0.000838),(3935,2225,-0.09454,0.000152),(3935,2235,-0.096396,-0.000594),(3935,2245,-0.098467,-0.00134),(3935,2255,-0.10061,-0.002086),(3935,2265,-0.10276,-0.003033),(3935,2275,-0.10491,-0.004044),(3935,2285,-0.10733,-0.005055),(3935,2295,-0.10982,-0.006066),(3935,2305,-0.11232,-0.007343),(3935,2315,-0.11482,-0.008686),(3935,2325,-0.11765,-0.01003),(3935,2335,-0.12057,-0.011374),(3935,2345,-0.12349,-0.013071),(3935,2355,-0.1264,-0.014838),(3935,2365,-0.12975,-0.016604),(3935,2375,-0.13317,-0.018371),(3935,2385,-0.13659,-0.020616),(3935,2395,-0.14001,-0.022929),(3935,2405,-0.14398,-0.025242),(3935,2415,-0.14801,-0.027555),(3935,2425,-0.15204,-0.030526),(3935,2435,-0.15607,-0.033559),(3935,2445,-0.16078,-0.036591),(3935,2455,-0.16554,-0.039623),(3935,2465,-0.1703,-0.043578),(3935,2475,-0.17506,-0.047577),(3935,2485,-0.18068,-0.051575),(3935,2495,-0.18631,-0.055574),(3935,2505,-0.19194,-0.060893),(3935,2515,-0.19759,-0.066219),(3935,2525,-0.20424,-0.071545),(3935,2535,-0.21089,-0.076936),(3935,2545,-0.21754,-0.084131),(3935,2555,-0.22425,-0.091325),(3935,2565,-0.23203,-0.09852),(3935,2575,-0.23981,-0.10591),(3935,2585,-0.24759,-0.11581),(3935,2595,-0.25548,-0.1257),(3935,2605,-0.26436,-0.13559),(3935,2615,-0.27325,-0.14593),(3935,2625,-0.28213,-0.15981),(3935,2635,-0.29111,-0.17368),(3935,2645,-0.30066,-0.18755),(3935,2655,-0.31022,-0.20235),(3935,2665,-0.31978,-0.22222),(3935,2675,-0.32919,-0.24209),(3935,2685,-0.33789,-0.26196),(3935,2695,-0.34659,-0.28358),(3935,2705,-0.35529,-0.31254),(3935,2715,-0.36284,-0.34149),(3935,2725,-0.36616,-0.37045),(3935,2735,-0.36947,-0.40307),(3935,2745,-0.37279,-0.44779),(3935,2755,-0.3703,-0.49251),(3935,2765,-0.35061,-0.53723),(3935,2775,-0.33092,-0.57827),(3935,2785,-0.31123,-0.60947),(3935,2795,-0.28935,-0.64066),(3935,2805,-0.26219,-0.67186),(3935,2815,-0.23502,-0.69994),(3935,2825,-0.20786,-0.72114),(3935,2835,-0.1802,-0.74235),(3935,2845,-0.15157,-0.76355),(3935,2855,-0.12294,-0.7825),(3935,2865,-0.094315,-0.79729),(3935,2875,-0.065823,-0.81208),(3935,2885,-0.037565,-0.82687),(3935,2895,-0.009308,-0.84002),(3935,2905,0.01895,-0.8506),(3935,2915,0.046869,-0.86118),(3935,2925,0.074301,-0.87177),(3935,2935,0.10173,-0.88112),(3935,2945,0.12917,-0.88886),(3935,2955,0.15624,-0.8966),(3935,2965,0.18288,-0.90433),(3935,2975,0.20951,-0.91113),(3935,2985,0.23615,-0.91687),(3935,2995,0.2625,-0.9226),(3935,3005,0.28854,-0.92834),(3935,3015,0.31458,-0.93332),(3935,3025,0.34062,-0.93758),(3935,3035,0.36647,-0.94183),(3935,3045,0.39216,-0.94609),(3935,3055,0.41786,-0.94971),(3935,3065,0.44355,-0.9528),(3935,3075,0.46919,-0.95589),(3935,3085,0.4948,-0.95899),(3935,3095,0.52041,-0.9615),(3935,3105,0.54601,-0.96359),(3935,3115,0.57173,-0.96569),(3935,3125,0.59752,-0.96779),(3935,3135,0.6233,-0.96931),(3935,3145,0.64909,-0.97048),(3935,3155,0.67517,-0.97165),(3935,3165,0.70141,-0.97282),(3935,3175,0.72765,-0.97335),(3935,3185,0.75388,-0.97357),(3935,3195,0.78063,-0.97378),(3935,3205,0.8076,-0.974),(3935,3215,0.83457,-0.97346),(3935,3225,0.86154,-0.97261),(3935,3235,0.88926,-0.97176),(3935,3245,0.91727,-0.97091),(3935,3255,0.94528,-0.9691),(3935,3265,0.97329,-0.96697),(3935,3275,1.0024,-0.96484),(3935,3285,1.0317,-0.9627),(3935,3295,1.0611,-0.9593),(3935,3305,1.0905,-0.95555),(3935,3315,1.1213,-0.9518),(3935,3325,1.1525,-0.94805),(3935,3335,1.1836,-0.94253),(3935,3345,1.2147,-0.93665),(3935,3355,1.2477,-0.93076),(3935,3365,1.281,-0.92488),(3935,3375,1.3144,-0.91647),(3935,3385,1.3477,-0.90768),(3935,3395,1.3833,-0.89888),(3935,3405,1.4193,-0.89009),(3935,3415,1.4553,-0.8776),(3935,3425,1.4912,-0.86472),(3935,3435,1.5301,-0.85184),(3935,3445,1.5691,-0.83897),(3935,3455,1.6082,-0.82052),(3935,3465,1.6472,-0.80174),(3935,3475,1.6895,-0.78297),(3935,3485,1.7319,-0.7642),(3935,3495,1.7744,-0.73679),(3935,3505,1.8168,-0.70925),(3935,3515,1.8622,-0.68171),(3935,3525,1.9077,-0.65383),(3935,3535,1.9531,-0.6128),(3935,3545,1.9986,-0.57176),(3935,3555,2.0447,-0.53072),(3935,3565,2.0909,-0.48829),(3935,3575,2.137,-0.42559),(3935,3585,2.1824,-0.36288),(3935,3595,2.2203,-0.30018),(3935,3605,2.2581,-0.23362),(3935,3615,2.2959,-0.13391),(3935,3625,2.3285,-0.034192),(3935,3635,2.3243,0.065523),(3935,3645,2.3201,0.1669),(3935,3655,2.3158,0.27822),(3935,3665,2.3014,0.38954),(3935,3675,2.2349,0.50085),(3935,3685,2.1683,0.59879),(3935,3695,2.1018,0.6371),(3935,3705,2.0383,0.6754),(3935,3715,1.9868,0.71371),(3935,3725,1.9352,0.74951),(3935,3735,1.8837,0.77659),(3935,3745,1.8338,0.80366),(3935,3755,1.7889,0.83074),(3935,3765,1.7441,0.85577),(3935,3775,1.6993,0.87504),(3935,3785,1.6557,0.89431),(3935,3795,1.6155,0.91359),(3935,3805,1.5752,0.93125),(3935,3815,1.5349,0.94519),(3935,3825,1.4958,0.95913),(3935,3835,1.4591,0.97307),(3935,3845,1.4223,0.98577),(3935,3855,1.3856,0.99606),(3935,3865,1.35,1.0064),(3935,3875,1.3162,1.0166),(3935,3885,1.2824,1.026),(3935,3895,1.2486,1.0338),(3935,3905,1.2157,1.0415),(3935,3915,1.1843,1.0493),(3935,3925,1.1529,1.0564),(3935,3935,1.1214,1.0624),(3935,3945,1.0908,1.0685),(3935,3955,1.0613,1.0745),(3935,3965,1.0317,1.08),(3935,3975,1.0022,1.0849),(3935,3985,0.97333,1.0897),(3935,3995,0.94528,1.0946),(3935,4005,0.91722,1.099),(3935,4015,0.88917,1.1031),(3935,4025,1.2313,1.1072),(3935,4035,1.6096,1.1088),(3935,4045,1.9879,1.1051),(3935,4055,2.258,1.1015),(3935,4065,2.4885,1.0972),(3935,4075,2.7191,1.0889),(3935,4085,2.8175,1.0806),(3935,4095,2.8098,1.0723),(3935,4105,2.8021,1.0639),(3935,4115,2.7033,1.0555),(3935,4125,2.4536,1.0472),(3935,4135,2.2038,1.0419),(3935,4145,1.9511,1.0374),(3935,4155,1.6861,1.033),(3935,4165,1.4212,1.031),(3935,4175,1.1709,1.0307),(3935,4185,1.6492,1.0304),(3935,4195,2.1275,1.0264),(3935,4205,2.6059,1.0178),(3935,4215,2.6771,1.0091),(3935,4225,2.6716,1.0004),(3935,4235,2.6662,0.9916),(3935,4245,2.6554,0.98285),(3935,4255,2.6419,0.97397),(3935,4265,2.6283,0.96358),(3935,4275,2.3058,0.95319),(3935,4285,1.6552,0.94279),(3935,4295,1.0047,0.94278),(3935,4305,0.72402,0.94396),(3935,4315,1.2787,0.94515),(3935,4325,1.8334,0.94049),(3935,4335,2.3262,0.93353),(3935,4345,2.4002,0.92658),(3935,4355,2.4742,0.91893),(3935,4365,2.5482,0.91068),(3935,4375,2.5484,0.90244),(3935,4385,2.5448,0.89418),(3935,4395,2.5412,0.88589),(3935,4405,2.2222,0.87759),(3935,4415,1.8103,0.87034),(3935,4425,1.3983,0.86775),(3935,4435,1.2218,0.86515),(3935,4445,1.2062,0.86255),(3935,4455,1.1905,0.86005),(3935,4465,1.3506,0.85756),(3935,4475,1.7574,0.85506),(3935,4485,2.1643,0.84754),(3935,4495,2.474,0.83897),(3935,4505,2.4717,0.8304),(3935,4515,2.4695,0.8219),(3935,4525,2.4624,0.81343),(3935,4535,2.3784,0.80496),(3935,4545,2.2943,0.79703),(3935,4555,2.2103,0.7897),(3935,4565,1.6756,0.78237),(3935,4575,1.0801,0.77759),(3935,4585,0.48467,0.77899),(3935,4595,0.76702,0.78039),(3935,4605,1.4203,0.78045),(3935,4615,2.0735,0.77001),(3935,4625,2.3871,0.75957),(3935,4635,2.3931,0.74913),(3935,4645,2.3991,0.74011),(3935,4655,2.4027,0.73119),(3935,4665,2.4019,0.72227),(3935,4675,2.4011,0.7135),(3935,4685,2.3158,0.70477),(3935,4695,1.8131,0.69605),(3935,4705,1.3105,0.69159),(3935,4715,0.80781,0.69022),(3935,4725,1.0414,0.68886),(3935,4735,1.2823,0.6861),(3935,4745,1.5233,0.68127),(3935,4755,1.7708,0.67644),(3935,4765,2.0199,0.67081),(3935,4775,2.269,0.6624),(3935,4785,2.3598,0.65399),(3935,4795,2.3591,0.64558),(3935,4805,2.3584,0.63737),(3935,4815,2.2427,0.62916),(3935,4825,1.9893,0.62095),(3935,4835,1.736,0.61572),(3935,4845,1.4794,0.61095),(3935,4855,1.2141,0.60618),(3935,4865,0.94882,0.60386),(3935,4875,0.76017,0.60265),(3935,4885,1.2687,0.60144),(3935,4895,1.7772,0.59691),(3935,4905,2.2857,0.5892),(3935,4915,2.3254,0.58149),(3935,4925,2.3248,0.57381),(3935,4935,2.3242,0.56619),(3935,4945,2.321,0.55856),(3935,4955,2.3168,0.55085),(3935,4965,2.3126,0.54264),(3935,4975,1.9272,0.53442),(3935,4985,1.2473,0.52621),(3935,4995,0.5675,0.5267),(3935,5005,0.34661,0.52742),(3935,5015,0.85533,0.52813),(3935,5025,1.3641,0.5241),(3935,5035,1.8023,0.51885),(3935,5045,1.9717,0.51361),(3935,5055,2.1412,0.50714),(3935,5065,2.3057,0.49991),(3935,5075,2.3054,0.49268),(3935,5085,2.3051,0.48551),(3935,5095,2.3047,0.47841),(3935,5105,2.011,0.47131),(3935,5115,1.666,0.46523),(3935,5125,1.321,0.462),(3935,5135,1.1456,0.45877),(3935,5145,1.0523,0.45564),(3935,5155,0.95911,0.45361),(3935,5165,1.1274,0.45158),(3935,5175,1.5625,0.44956),(3935,5185,1.9975,0.44369),(3935,5195,2.2946,0.43742),(3935,5205,2.2939,0.43116),(3935,5215,2.2933,0.42497),(3935,5225,2.2808,0.4188),(3935,5235,2.1946,0.41264),(3935,5245,2.1084,0.40694),(3935,5255,2.0222,0.40164),(3935,5265,1.4217,0.39634),(3935,5275,0.8001,0.3931),(3935,5285,0.17845,0.39337),(3935,5295,0.58714,0.39364),(3935,5305,1.2828,0.39289),(3935,5315,1.9784,0.38785),(3935,5325,2.2543,0.38282),(3935,5335,2.2549,0.3778),(3935,5345,2.2556,0.37314),(3935,5355,2.2555,0.36849),(3935,5365,2.2544,0.36384),(3935,5375,2.2534,0.35923),(3935,5385,2.1234,0.35463),(3935,5395,1.6015,0.35002),(3935,5405,1.0797,0.34781),(3935,5415,0.61233,0.34684),(3935,5425,0.87757,0.34587),(3935,5435,1.1428,0.34493),(3935,5445,1.4081,0.34402),(3935,5455,1.6719,0.34312),(3935,5465,1.9356,0.34199),(3935,5475,2.1992,0.34034),(3935,5485,2.2736,0.33869),(3935,5495,2.2717,0.33703),(3935,5505,2.2699,0.33534),(3935,5515,2.2681,0.33365),(3935,5525,2.2663,0.33196),(3935,5535,2.2646,0.33019),(3935,5545,2.263,0.32841),(3935,5555,2.2614,0.32664),(3935,5565,2.2598,0.3248),(3935,5575,2.2583,0.32294),(3935,5585,2.2568,0.32108),(3935,5595,2.2554,0.31918),(3935,5605,2.2539,0.31725),(3935,5615,2.2526,0.31531),(3935,5625,2.2513,0.31335),(3935,5635,2.2499,0.31135),(3935,5645,2.2487,0.30935),(3935,5655,2.2474,0.30734),(3935,5665,2.2461,0.30529),(3935,5675,2.2449,0.30324),(3935,5685,2.2437,0.3012),(3935,5695,2.2425,0.29911),(3935,5705,2.2413,0.29703),(3935,5715,2.2401,0.29494),(3935,5725,2.239,0.29285),(3935,5735,2.2378,0.29075),(3935,5745,2.2366,0.28866),(3935,5755,2.2354,0.28657),(3935,5765,2.2342,0.28448),(3935,5775,2.233,0.28239),(3935,5785,2.2318,0.28032),(3935,5795,2.2306,0.27825),(3935,5805,2.2294,0.27619),(3935,5815,2.2281,0.27414),(3935,5825,2.2269,0.27213),(3935,5835,2.2256,0.27012),(3935,5845,2.2243,0.26812),(3935,5855,2.223,0.26617),(3935,5865,2.2217,0.26423),(3935,5875,2.2204,0.26228),(3935,5885,2.219,0.2604),(3935,5895,2.2177,0.25852),(3935,5905,2.2163,0.25665),(3935,5915,2.2149,0.25482),(3935,5925,2.2135,0.253),(3935,5935,2.2121,0.25118),(3935,5945,2.2107,0.2494),(3935,5955,2.2093,0.24764),(3935,5965,2.2079,0.24588),(3935,5975,2.2064,0.24414),(3935,5985,2.205,0.24242),(3935,5995,1.6851,0.24071),(3935,6005,1.0818,0.23942),(3935,6015,0.47852,0.23925),(3935,6025,0.64577,0.23909),(3935,6035,1.1704,0.23854),(3935,6045,1.695,0.23435),(3935,6055,2.0576,0.23015),(3935,6065,2.2612,0.22596),(3935,6075,2.4648,0.22047),(3935,6085,2.6019,0.21486),(3935,6095,2.6019,0.20926),(3935,6105,2.6019,0.2037),(3935,6115,2.6018,0.19816),(3935,6125,2.6016,0.19263),(3935,6135,2.6014,0.18716),(3935,6145,2.6012,0.18174),(3935,6155,2.6008,0.17633),(3935,6165,2.6004,0.17097),(3935,6175,2.6,0.16572),(3935,6185,2.5995,0.16047),(3935,6195,2.5989,0.15527),(3935,6205,2.5984,0.15028),(3935,6215,2.5977,0.14529),(3935,6225,2.5969,0.1403),(3935,6235,2.5962,0.13559),(3935,6245,2.5954,0.13088),(3935,6255,2.5944,0.12617),(3935,6265,2.5935,0.1217),(3935,6275,2.5926,0.11726),(3935,6285,2.5916,0.11283),(3935,6295,2.5907,0.10858),(3935,6305,2.5897,0.10443),(3935,6315,2.5886,0.10027),(3935,6325,2.5875,0.096249),(3935,6335,2.5864,0.092371),(3935,6345,2.5853,0.088493),(3935,6355,2.5842,0.084709),(3935,6365,2.5831,0.08113),(3935,6375,2.5821,0.077551),(3935,6385,2.581,0.074003),(3935,6395,2.58,0.070651),(3935,6405,2.579,0.067299),(3935,6415,2.578,0.063947),(3935,6425,2.577,0.060747),(3935,6435,2.5761,0.057553),(3935,6445,2.5753,0.05436),(3935,6455,2.5745,0.051322),(3935,6465,2.5736,0.048328),(3935,6475,2.5729,0.045333),(3935,6485,2.5723,0.042425),(3935,6495,2.5716,0.039574),(3935,6505,2.571,0.036722),(3935,6515,2.5705,0.033913),(3935,6525,2.5699,0.031161),(3935,6535,2.5695,0.028409),(3935,6545,2.5691,0.025676),(3935,6555,2.5688,0.023004),(3935,6565,2.5685,0.020331),(3935,6575,2.5684,0.017663),(3935,6585,2.5682,0.015058),(3935,6595,2.1844,0.012454),(3935,6605,1.3768,0.00985),(3935,6615,0.56928,0.009579),(3935,6625,0.001596,0.009609),(3935,6635,0.0016,0.009639),(3935,6645,0.001604,0.009646),(3935,6655,0.001607,0.009643),(3935,6665,0.001611,0.00964),(3935,6675,0.001615,0.009636),(3935,6685,0.001619,0.009632),(3935,6695,0.001623,0.009628),(3935,6705,0.001626,0.009624),(3935,6715,0.00163,0.00962),(3935,6725,0.001634,0.009615),(3935,6735,0.001637,0.00961),(3935,6745,0.001641,0.009605),(3935,6755,0.001644,0.0096),(3935,6765,0.001648,0.009594),(3935,6775,0.001651,0.009588),(3935,6785,0.001654,0.009582),(3935,6795,0.001657,0.009576),(3935,6805,0.00166,0.00957),(3935,6815,0.001663,0.009564),(3935,6825,0.001666,0.009557),(3935,6835,0.001669,0.00955),(3935,6845,0.001672,0.009543),(3935,6855,0.001674,0.009537),(3935,6865,0.001677,0.00953),(3935,6875,0.001679,0.009522),(3935,6885,0.001682,0.009515),(3935,6895,0.001684,0.009508),(3935,6905,0.001686,0.0095),(3935,6915,0.001688,0.009493),(3935,6925,0.00169,0.009485),(3935,6935,0.001692,0.009477),(3935,6945,0.001694,0.00947),(3935,6955,0.001696,0.009462),(3935,6965,0.001698,0.009454),(3935,6975,0.0017,0.009446),(3935,6985,0.001701,0.009438),(3945,5,1.6e-05,-0.003776),(3945,15,4.9e-05,-0.003778),(3945,25,8.2e-05,-0.003781),(3945,35,0.000115,-0.003783),(3945,45,0.000148,-0.003788),(3945,55,0.000181,-0.003795),(3945,65,0.000213,-0.003802),(3945,75,0.000246,-0.003809),(3945,85,0.000279,-0.003818),(3945,95,0.000311,-0.00383),(3945,105,0.000344,-0.003842),(3945,115,0.000376,-0.003854),(3945,125,0.000408,-0.003868),(3945,135,0.00044,-0.003885),(3945,145,0.000472,-0.003902),(3945,155,0.000504,-0.003919),(3945,165,0.000535,-0.003939),(3945,175,0.000567,-0.00396),(3945,185,0.000598,-0.003982),(3945,195,0.000628,-0.004004),(3945,205,0.000659,-0.004029),(3945,215,0.00069,-0.004056),(3945,225,0.000719,-0.004083),(3945,235,0.000749,-0.00411),(3945,245,0.000778,-0.004141),(3945,255,0.000808,-0.004173),(3945,265,0.000836,-0.004206),(3945,275,0.000865,-0.004238),(3945,285,0.000893,-0.004276),(3945,295,0.000921,-0.004315),(3945,305,0.000948,-0.004354),(3945,315,0.000974,-0.004393),(3945,325,0.001001,-0.004438),(3945,335,0.001027,-0.004483),(3945,345,0.001052,-0.004529),(3945,355,0.001076,-0.004575),(3945,365,0.001101,-0.004627),(3945,375,0.001125,-0.004679),(3945,385,0.001147,-0.004732),(3945,395,0.001168,-0.004785),(3945,405,0.00119,-0.004845),(3945,415,0.001211,-0.004905),(3945,425,0.00123,-0.004966),(3945,435,0.001248,-0.005027),(3945,445,0.001267,-0.005096),(3945,455,0.001285,-0.005165),(3945,465,0.001299,-0.005234),(3945,475,0.001313,-0.005304),(3945,485,0.001327,-0.005382),(3945,495,0.001341,-0.00546),(3945,505,0.00135,-0.005539),(3945,515,0.001358,-0.005617),(3945,525,0.001367,-0.005706),(3945,535,0.001375,-0.005795),(3945,545,0.001378,-0.005884),(3945,555,0.00138,-0.005973),(3945,565,0.001383,-0.006073),(3945,575,0.001385,-0.006173),(3945,585,0.001379,-0.006273),(3945,595,0.001374,-0.006374),(3945,605,0.001368,-0.006486),(3945,615,0.001362,-0.006598),(3945,625,0.001347,-0.00671),(3945,635,0.001332,-0.006824),(3945,645,0.001317,-0.006949),(3945,655,0.0013,-0.007073),(3945,665,0.001274,-0.007199),(3945,675,0.001247,-0.007326),(3945,685,0.001221,-0.007465),(3945,695,0.001191,-0.007604),(3945,705,0.001151,-0.007743),(3945,715,0.00111,-0.007884),(3945,725,0.001069,-0.008038),(3945,735,0.001024,-0.008191),(3945,745,0.000966,-0.008345),(3945,755,0.000908,-0.008502),(3945,765,0.00085,-0.00867),(3945,775,0.000787,-0.008839),(3945,785,0.000708,-0.009007),(3945,795,0.000629,-0.00918),(3945,805,0.000551,-0.009364),(3945,815,0.000464,-0.009548),(3945,825,0.000361,-0.009731),(3945,835,0.000257,-0.00992),(3945,845,0.000154,-0.010118),(3945,855,4e-05,-0.010317),(3945,865,-9.3e-05,-0.010515),(3945,875,-0.000226,-0.010719),(3945,885,-0.00036,-0.010931),(3945,895,-0.000506,-0.011143),(3945,905,-0.000674,-0.011355),(3945,915,-0.000841,-0.011572),(3945,925,-0.001009,-0.011796),(3945,935,-0.001194,-0.01202),(3945,945,-0.001402,-0.012244),(3945,955,-0.00161,-0.012472),(3945,965,-0.001818,-0.012704),(3945,975,-0.002048,-0.012936),(3945,985,-0.002302,-0.013167),(3945,995,-0.002556,-0.013401),(3945,1005,-0.00281,-0.013636),(3945,1015,-0.003091,-0.013871),(3945,1025,-0.003397,-0.014106),(3945,1035,-0.003703,-0.01434),(3945,1045,-0.004009,-0.014571),(3945,1055,-0.004346,-0.014803),(3945,1065,-0.004709,-0.015034),(3945,1075,-0.005072,-0.015259),(3945,1085,-0.005436,-0.015478),(3945,1095,-0.005834,-0.015698),(3945,1105,-0.006258,-0.015917),(3945,1115,-0.006682,-0.016122),(3945,1125,-0.007106,-0.016319),(3945,1135,-0.007569,-0.016515),(3945,1145,-0.008056,-0.016712),(3945,1155,-0.008542,-0.016886),(3945,1165,-0.009028,-0.017048),(3945,1175,-0.009556,-0.01721),(3945,1185,-0.010104,-0.017372),(3945,1195,-0.010652,-0.017501),(3945,1205,-0.0112,-0.017616),(3945,1215,-0.011788,-0.01773),(3945,1225,-0.012393,-0.017845),(3945,1235,-0.012998,-0.017916),(3945,1245,-0.013603,-0.017971),(3945,1255,-0.014244,-0.018026),(3945,1265,-0.014898,-0.018082),(3945,1275,-0.015552,-0.018083),(3945,1285,-0.016206,-0.018069),(3945,1295,-0.016889,-0.018054),(3945,1305,-0.017581,-0.01804),(3945,1315,-0.018272,-0.017964),(3945,1325,-0.018963,-0.017873),(3945,1335,-0.019674,-0.017783),(3945,1345,-0.020389,-0.017692),(3945,1355,-0.021104,-0.017534),(3945,1365,-0.021818,-0.017365),(3945,1375,-0.022541,-0.017196),(3945,1385,-0.023265,-0.017026),(3945,1395,-0.023989,-0.016789),(3945,1405,-0.024713,-0.016544),(3945,1415,-0.025433,-0.016299),(3945,1425,-0.026153,-0.016053),(3945,1435,-0.026872,-0.015745),(3945,1445,-0.027592,-0.015432),(3945,1455,-0.028296,-0.015118),(3945,1465,-0.029,-0.014805),(3945,1475,-0.029704,-0.014437),(3945,1485,-0.030408,-0.014068),(3945,1495,-0.031089,-0.013698),(3945,1505,-0.031769,-0.013328),(3945,1515,-0.03245,-0.012915),(3945,1525,-0.03313,-0.012502),(3945,1535,-0.033785,-0.01209),(3945,1545,-0.034439,-0.011675),(3945,1555,-0.035094,-0.011233),(3945,1565,-0.035747,-0.010791),(3945,1575,-0.036376,-0.010349),(3945,1585,-0.037006,-0.009906),(3945,1595,-0.037635,-0.009448),(3945,1605,-0.038262,-0.008991),(3945,1615,-0.03887,-0.008533),(3945,1625,-0.039477,-0.008075),(3945,1635,-0.040085,-0.007615),(3945,1645,-0.040691,-0.007155),(3945,1655,-0.041283,-0.006695),(3945,1665,-0.041876,-0.006237),(3945,1675,-0.042468,-0.005786),(3945,1685,-0.043059,-0.005334),(3945,1695,-0.043644,-0.004883),(3945,1705,-0.04423,-0.004436),(3945,1715,-0.044815,-0.004004),(3945,1725,-0.045401,-0.003572),(3945,1735,-0.045989,-0.003139),(3945,1745,-0.046577,-0.002714),(3945,1755,-0.047165,-0.002309),(3945,1765,-0.047756,-0.001904),(3945,1775,-0.048358,-0.001499),(3945,1785,-0.048959,-0.001104),(3945,1795,-0.04956,-0.000734),(3945,1805,-0.050169,-0.000364),(3945,1815,-0.050795,6e-06),(3945,1825,-0.051421,0.000362),(3945,1835,-0.052047,0.000689),(3945,1845,-0.052685,0.001016),(3945,1855,-0.053348,0.001344),(3945,1865,-0.05401,0.001652),(3945,1875,-0.054672,0.001929),(3945,1885,-0.055354,0.002205),(3945,1895,-0.056065,0.002482),(3945,1905,-0.056777,0.002735),(3945,1915,-0.057489,0.002953),(3945,1925,-0.058228,0.003171),(3945,1935,-0.059003,0.003389),(3945,1945,-0.059778,0.003577),(3945,1955,-0.060554,0.003728),(3945,1965,-0.061365,0.003878),(3945,1975,-0.062219,0.004029),(3945,1985,-0.063073,0.004141),(3945,1995,-0.063927,0.004213),(3945,2005,-0.064829,0.004285),(3945,2015,-0.065779,0.004357),(3945,2025,-0.066729,0.004381),(3945,2035,-0.067678,0.004362),(3945,2045,-0.06869,0.004342),(3945,2055,-0.069755,0.004322),(3945,2065,-0.07082,0.004242),(3945,2075,-0.071885,0.004115),(3945,2085,-0.07303,0.003987),(3945,2095,-0.074232,0.00386),(3945,2105,-0.075435,0.003656),(3945,2115,-0.076638,0.003401),(3945,2125,-0.077942,0.003145),(3945,2135,-0.079308,0.00289),(3945,2145,-0.080675,0.002537),(3945,2155,-0.082041,0.002129),(3945,2165,-0.083536,0.001721),(3945,2175,-0.085098,0.001313),(3945,2185,-0.086659,0.000779),(3945,2195,-0.088221,0.000185),(3945,2205,-0.089945,-0.000408),(3945,2215,-0.091738,-0.001002),(3945,2225,-0.093532,-0.001757),(3945,2235,-0.095326,-0.002577),(3945,2245,-0.097324,-0.003396),(3945,2255,-0.099394,-0.004216),(3945,2265,-0.10146,-0.005247),(3945,2275,-0.10353,-0.006347),(3945,2285,-0.10586,-0.007446),(3945,2295,-0.10826,-0.008545),(3945,2305,-0.11066,-0.009924),(3945,2315,-0.11306,-0.011373),(3945,2325,-0.11578,-0.012823),(3945,2335,-0.11858,-0.014273),(3945,2345,-0.12137,-0.016094),(3945,2355,-0.12417,-0.017988),(3945,2365,-0.12737,-0.019882),(3945,2375,-0.13063,-0.021776),(3945,2385,-0.1339,-0.024172),(3945,2395,-0.13716,-0.026639),(3945,2405,-0.14093,-0.029106),(3945,2415,-0.14476,-0.031572),(3945,2425,-0.14859,-0.034726),(3945,2435,-0.15242,-0.037943),(3945,2445,-0.15687,-0.04116),(3945,2455,-0.16136,-0.044377),(3945,2465,-0.16586,-0.048551),(3945,2475,-0.17035,-0.05277),(3945,2485,-0.1756,-0.056989),(3945,2495,-0.18088,-0.061208),(3945,2505,-0.18615,-0.066784),(3945,2515,-0.19144,-0.072367),(3945,2525,-0.1976,-0.07795),(3945,2535,-0.20376,-0.083599),(3945,2545,-0.20992,-0.091079),(3945,2555,-0.21613,-0.098559),(3945,2565,-0.22322,-0.10604),(3945,2575,-0.23032,-0.11372),(3945,2585,-0.23741,-0.12389),(3945,2595,-0.24459,-0.13406),(3945,2605,-0.25251,-0.14423),(3945,2615,-0.26044,-0.15484),(3945,2625,-0.26837,-0.16888),(3945,2635,-0.27634,-0.18293),(3945,2645,-0.28457,-0.19698),(3945,2655,-0.2928,-0.21188),(3945,2665,-0.30104,-0.23153),(3945,2675,-0.30905,-0.25119),(3945,2685,-0.31602,-0.27084),(3945,2695,-0.323,-0.29203),(3945,2705,-0.32997,-0.31963),(3945,2715,-0.33578,-0.34722),(3945,2725,-0.33733,-0.37482),(3945,2735,-0.33888,-0.40505),(3945,2745,-0.34043,-0.44395),(3945,2755,-0.33699,-0.48286),(3945,2765,-0.31882,-0.52177),(3945,2775,-0.30064,-0.55806),(3945,2785,-0.28246,-0.58737),(3945,2795,-0.26219,-0.61667),(3945,2805,-0.23684,-0.64598),(3945,2815,-0.21149,-0.67265),(3945,2825,-0.18615,-0.69348),(3945,2835,-0.16019,-0.71432),(3945,2845,-0.133,-0.73515),(3945,2855,-0.10581,-0.7539),(3945,2865,-0.078626,-0.76878),(3945,2875,-0.051435,-0.78367),(3945,2885,-0.024239,-0.79855),(3945,2895,0.002957,-0.81184),(3945,2905,0.030153,-0.82263),(3945,2915,0.057126,-0.83342),(3945,2925,0.083779,-0.84421),(3945,2935,0.11043,-0.85377),(3945,2945,0.13708,-0.86171),(3945,2955,0.16347,-0.86965),(3945,2965,0.18952,-0.87759),(3945,2975,0.21557,-0.88456),(3945,2985,0.24162,-0.89045),(3945,2995,0.26743,-0.89633),(3945,3005,0.29301,-0.90222),(3945,3015,0.31859,-0.90732),(3945,3025,0.34417,-0.91167),(3945,3035,0.3696,-0.91601),(3945,3045,0.39491,-0.92036),(3945,3055,0.42022,-0.92403),(3945,3065,0.44552,-0.92714),(3945,3075,0.47081,-0.93026),(3945,3085,0.49607,-0.93337),(3945,3095,0.52134,-0.93586),(3945,3105,0.5466,-0.93791),(3945,3115,0.57198,-0.93997),(3945,3125,0.59744,-0.94202),(3945,3135,0.6229,-0.94345),(3945,3145,0.64836,-0.9445),(3945,3155,0.67411,-0.94556),(3945,3165,0.70001,-0.94662),(3945,3175,0.72591,-0.94699),(3945,3185,0.75182,-0.94702),(3945,3195,0.7782,-0.94705),(3945,3205,0.8048,-0.94708),(3945,3215,0.83141,-0.9463),(3945,3225,0.85801,-0.94519),(3945,3235,0.88532,-0.94408),(3945,3245,0.9129,-0.94296),(3945,3255,0.94049,-0.94083),(3945,3265,0.96807,-0.93835),(3945,3275,0.99663,-0.93587),(3945,3285,1.0255,-0.93339),(3945,3295,1.0544,-0.92956),(3945,3305,1.0832,-0.92537),(3945,3315,1.1134,-0.92117),(3945,3325,1.1439,-0.91698),(3945,3335,1.1744,-0.91093),(3945,3345,1.2048,-0.9045),(3945,3355,1.237,-0.89806),(3945,3365,1.2695,-0.89162),(3945,3375,1.3019,-0.88257),(3945,3385,1.3344,-0.87311),(3945,3395,1.3689,-0.86364),(3945,3405,1.4037,-0.85418),(3945,3415,1.4385,-0.84092),(3945,3425,1.4733,-0.82726),(3945,3435,1.5106,-0.81361),(3945,3445,1.5481,-0.79995),(3945,3455,1.5855,-0.78065),(3945,3465,1.623,-0.76103),(3945,3475,1.6631,-0.7414),(3945,3485,1.7033,-0.72178),(3945,3495,1.7434,-0.6936),(3945,3505,1.7836,-0.6653),(3945,3515,1.8259,-0.63699),(3945,3525,1.8682,-0.60837),(3945,3535,1.9104,-0.56716),(3945,3545,1.9527,-0.52594),(3945,3555,1.9944,-0.48473),(3945,3565,2.0361,-0.44227),(3945,3575,2.0779,-0.38166),(3945,3585,2.1188,-0.32105),(3945,3595,2.1515,-0.26044),(3945,3605,2.1841,-0.19687),(3945,3615,2.2168,-0.10779),(3945,3625,2.2449,-0.018699),(3945,3635,2.2402,0.070388),(3945,3645,2.2356,0.16041),(3945,3655,2.2309,0.25598),(3945,3665,2.2176,0.35156),(3945,3675,2.16,0.44713),(3945,3685,2.1023,0.53291),(3945,3695,2.0446,0.57501),(3945,3705,1.989,0.6171),(3945,3715,1.9414,0.6592),(3945,3725,1.8938,0.69833),(3945,3735,1.8462,0.7271),(3945,3745,1.7998,0.75588),(3945,3755,1.7573,0.78465),(3945,3765,1.7148,0.81123),(3945,3775,1.6723,0.83165),(3945,3785,1.6308,0.85207),(3945,3795,1.5921,0.87249),(3945,3805,1.5533,0.89123),(3945,3815,1.5146,0.90608),(3945,3825,1.4768,0.92092),(3945,3835,1.4412,0.93577),(3945,3845,1.4056,0.94931),(3945,3855,1.37,0.96033),(3945,3865,1.3353,0.97136),(3945,3875,1.3022,0.98239),(3945,3885,1.2692,0.99241),(3945,3895,1.2362,1.0008),(3945,3905,1.204,1.0092),(3945,3915,1.1731,1.0175),(3945,3925,1.1423,1.0251),(3945,3935,1.1114,1.0317),(3945,3945,1.0813,1.0382),(3945,3955,1.0522,1.0447),(3945,3965,1.023,1.0506),(3945,3975,0.99391,1.0559),(3945,3985,0.96545,1.0611),(3945,3995,0.93771,1.0663),(3945,4005,0.90998,1.0711),(3945,4015,0.88225,1.0755),(3945,4025,1.2256,1.0798),(3945,4035,1.6053,1.0818),(3945,4045,1.985,1.0785),(3945,4055,2.256,1.0752),(3945,4065,2.4874,1.0712),(3945,4075,2.7187,1.0633),(3945,4085,2.8175,1.0553),(3945,4095,2.8099,1.0473),(3945,4105,2.8022,1.0393),(3945,4115,2.7032,1.0313),(3945,4125,2.453,1.0232),(3945,4135,2.2028,1.0182),(3945,4145,1.9495,1.014),(3945,4155,1.6841,1.0098),(3945,4165,1.4186,1.008),(3945,4175,1.1678,1.0079),(3945,4185,1.6474,1.0077),(3945,4195,2.127,1.004),(3945,4205,2.6065,0.99551),(3945,4215,2.678,0.98706),(3945,4225,2.6725,0.9786),(3945,4235,2.6671,0.97007),(3945,4245,2.6567,0.96155),(3945,4255,2.6437,0.95291),(3945,4265,2.6306,0.94283),(3945,4275,2.3075,0.93274),(3945,4285,1.6552,0.92265),(3945,4295,1.0029,0.92279),(3945,4305,0.72141,0.92411),(3945,4315,1.2771,0.92543),(3945,4325,1.8328,0.92092),(3945,4335,2.3265,0.91411),(3945,4345,2.4007,0.9073),(3945,4355,2.4749,0.89979),(3945,4365,2.5491,0.89167),(3945,4375,2.5494,0.88356),(3945,4385,2.5458,0.87541),(3945,4395,2.5422,0.86721),(3945,4405,2.2228,0.859),(3945,4415,1.8102,0.85184),(3945,4425,1.3975,0.84937),(3945,4435,1.2208,0.8469),(3945,4445,1.2051,0.84442),(3945,4455,1.1895,0.84206),(3945,4465,1.3498,0.83969),(3945,4475,1.7575,0.83733),(3945,4485,2.1651,0.82994),(3945,4495,2.4753,0.82151),(3945,4505,2.4731,0.81308),(3945,4515,2.4708,0.80471),(3945,4525,2.4637,0.79637),(3945,4535,2.3796,0.78803),(3945,4545,2.2954,0.78022),(3945,4555,2.2113,0.773),(3945,4565,1.6756,0.76578),(3945,4575,1.0791,0.76111),(3945,4585,0.48259,0.7626),(3945,4595,0.7659,0.76409),(3945,4605,1.4209,0.76424),(3945,4615,2.076,0.75397),(3945,4625,2.3902,0.74371),(3945,4635,2.3957,0.73344),(3945,4645,2.4012,0.72455),(3945,4655,2.4045,0.71576),(3945,4665,2.4037,0.70697),(3945,4675,2.4028,0.69833),(3945,4685,2.3173,0.68974),(3945,4695,1.8138,0.68115),(3945,4705,1.3103,0.67678),(3945,4715,0.80681,0.67549),(3945,4725,1.0407,0.67419),(3945,4735,1.2821,0.67152),(3945,4745,1.5234,0.6668),(3945,4755,1.7713,0.66209),(3945,4765,2.0208,0.65658),(3945,4775,2.2702,0.64834),(3945,4785,2.3611,0.6401),(3945,4795,2.3604,0.63187),(3945,4805,2.3596,0.62383),(3945,4815,2.2437,0.61579),(3945,4825,1.99,0.60775),(3945,4835,1.7364,0.60264),(3945,4845,1.4794,0.59798),(3945,4855,1.2138,0.59333),(3945,4865,0.94825,0.59107),(3945,4875,0.75938,0.5899),(3945,4885,1.2684,0.58873),(3945,4895,1.7775,0.58429),(3945,4905,2.2866,0.57669),(3945,4915,2.3263,0.5691),(3945,4925,2.3257,0.56154),(3945,4935,2.3251,0.55404),(3945,4945,2.3219,0.54653),(3945,4955,2.3179,0.53894),(3945,4965,2.314,0.53087),(3945,4975,1.9281,0.52279),(3945,4985,1.2475,0.51472),(3945,4995,0.56685,0.51524),(3945,5005,0.34562,0.51597),(3945,5015,0.85474,0.5167),(3945,5025,1.3639,0.51275),(3945,5035,1.8024,0.50761),(3945,5045,1.972,0.50246),(3945,5055,2.1416,0.49611),(3945,5065,2.3062,0.48901),(3945,5075,2.3058,0.48192),(3945,5085,2.3055,0.47487),(3945,5095,2.3051,0.4679),(3945,5105,2.0112,0.46093),(3945,5115,1.666,0.45495),(3945,5125,1.3208,0.4518),(3945,5135,1.1452,0.44864),(3945,5145,1.0519,0.44558),(3945,5155,0.95858,0.4436),(3945,5165,1.1269,0.44163),(3945,5175,1.562,0.43965),(3945,5185,1.9972,0.4339),(3945,5195,2.2942,0.42776),(3945,5205,2.2936,0.42162),(3945,5215,2.2929,0.41555),(3945,5225,2.2804,0.4095),(3945,5235,2.1942,0.40346),(3945,5245,2.108,0.39788),(3945,5255,2.0217,0.39268),(3945,5265,1.4213,0.38749),(3945,5275,0.79967,0.38432),(3945,5285,0.17805,0.3846),(3945,5295,0.58651,0.38487),(3945,5305,1.2818,0.38414),(3945,5315,1.9772,0.37924),(3945,5325,2.2529,0.37433),(3945,5335,2.2535,0.36943),(3945,5345,2.254,0.36489),(3945,5355,2.2539,0.36034),(3945,5365,2.2528,0.3558),(3945,5375,2.2517,0.35129),(3945,5385,2.1218,0.34679),(3945,5395,1.6002,0.34229),(3945,5405,1.0787,0.34013),(3945,5415,0.6116,0.33919),(3945,5425,0.87612,0.33824),(3945,5435,1.1406,0.33733),(3945,5445,1.4052,0.33646),(3945,5455,1.6685,0.33559),(3945,5465,1.9317,0.33449),(3945,5475,2.1949,0.33289),(3945,5485,2.2691,0.33129),(3945,5495,2.2673,0.32968),(3945,5505,2.2654,0.32803),(3945,5515,2.2637,0.32638),(3945,5525,2.262,0.32474),(3945,5535,2.2603,0.32301),(3945,5545,2.2586,0.32128),(3945,5555,2.2571,0.31955),(3945,5565,2.2556,0.31775),(3945,5575,2.254,0.31593),(3945,5585,2.2526,0.31411),(3945,5595,2.2512,0.31224),(3945,5605,2.2498,0.31034),(3945,5615,2.2485,0.30845),(3945,5625,2.2472,0.30652),(3945,5635,2.2459,0.30456),(3945,5645,2.2446,0.30259),(3945,5655,2.2434,0.30062),(3945,5665,2.2421,0.29861),(3945,5675,2.2409,0.2966),(3945,5685,2.2397,0.29459),(3945,5695,2.2386,0.29255),(3945,5705,2.2374,0.29051),(3945,5715,2.2362,0.28848),(3945,5725,2.235,0.28643),(3945,5735,2.2338,0.28439),(3945,5745,2.2326,0.28234),(3945,5755,2.2315,0.28031),(3945,5765,2.2303,0.27829),(3945,5775,2.2291,0.27626),(3945,5785,2.2278,0.27426),(3945,5795,2.2266,0.27227),(3945,5805,2.2254,0.27028),(3945,5815,2.2241,0.26832),(3945,5825,2.2229,0.26639),(3945,5835,2.2216,0.26447),(3945,5845,2.2202,0.26256),(3945,5855,2.2189,0.26072),(3945,5865,2.2176,0.25888),(3945,5875,2.2162,0.25703),(3945,5885,2.2149,0.25527),(3945,5895,2.2135,0.25351),(3945,5905,2.2121,0.25174),(3945,5915,2.2107,0.25004),(3945,5925,2.2093,0.24834),(3945,5935,2.2079,0.24665),(3945,5945,2.2065,0.24499),(3945,5955,2.205,0.24336),(3945,5965,2.2036,0.24173),(3945,5975,2.2022,0.24012),(3945,5985,2.2007,0.23853),(3945,5995,1.6818,0.23695),(3945,6005,1.0797,0.23576),(3945,6015,0.47753,0.23562),(3945,6025,0.64525,0.23548),(3945,6035,1.17,0.23495),(3945,6045,1.6948,0.23075),(3945,6055,2.0574,0.22654),(3945,6065,2.261,0.22234),(3945,6075,2.4646,0.21684),(3945,6085,2.6017,0.21122),(3945,6095,2.6017,0.20561),(3945,6105,2.6016,0.20005),(3945,6115,2.6015,0.1945),(3945,6125,2.6013,0.18896),(3945,6135,2.601,0.18349),(3945,6145,2.6008,0.17808),(3945,6155,2.6003,0.17267),(3945,6165,2.5999,0.16732),(3945,6175,2.5994,0.16208),(3945,6185,2.5988,0.15684),(3945,6195,2.5982,0.15166),(3945,6205,2.5975,0.14669),(3945,6215,2.5968,0.14172),(3945,6225,2.596,0.13675),(3945,6235,2.5951,0.13208),(3945,6245,2.5942,0.1274),(3945,6255,2.5932,0.12272),(3945,6265,2.5923,0.11829),(3945,6275,2.5912,0.1139),(3945,6285,2.5902,0.10952),(3945,6295,2.5891,0.10535),(3945,6305,2.588,0.10128),(3945,6315,2.5869,0.097221),(3945,6325,2.5857,0.093285),(3945,6335,2.5845,0.089481),(3945,6345,2.5833,0.085676),(3945,6355,2.5822,0.081971),(3945,6365,2.581,0.078484),(3945,6375,2.5799,0.074996),(3945,6385,2.5788,0.071541),(3945,6395,2.5776,0.068298),(3945,6405,2.5766,0.065054),(3945,6415,2.5755,0.06181),(3945,6425,2.5745,0.05872),(3945,6435,2.5735,0.055637),(3945,6445,2.5726,0.052554),(3945,6455,2.5717,0.049627),(3945,6465,2.5709,0.046745),(3945,6475,2.5701,0.043863),(3945,6485,2.5694,0.041066),(3945,6495,2.5686,0.038324),(3945,6505,2.5681,0.035582),(3945,6515,2.5675,0.032882),(3945,6525,2.5669,0.030239),(3945,6535,2.5665,0.027595),(3945,6545,2.5661,0.024969),(3945,6555,2.5657,0.022397),(3945,6565,2.5654,0.019826),(3945,6575,2.5653,0.01726),(3945,6585,2.5651,0.014782),(3945,6595,2.1817,0.012304),(3945,6605,1.3751,0.009826),(3945,6615,0.56858,0.009574),(3945,6625,0.001594,0.009608),(3945,6635,0.001599,0.009642),(3945,6645,0.001603,0.00965),(3945,6655,0.001607,0.009647),(3945,6665,0.001611,0.009643),(3945,6675,0.001615,0.00964),(3945,6685,0.001619,0.009636),(3945,6695,0.001623,0.009632),(3945,6705,0.001627,0.009628),(3945,6715,0.001631,0.009623),(3945,6725,0.001635,0.009619),(3945,6735,0.001639,0.009614),(3945,6745,0.001642,0.009608),(3945,6755,0.001646,0.009603),(3945,6765,0.001649,0.009598),(3945,6775,0.001653,0.009591),(3945,6785,0.001656,0.009586),(3945,6795,0.001659,0.009579),(3945,6805,0.001663,0.009573),(3945,6815,0.001666,0.009567),(3945,6825,0.001669,0.00956),(3945,6835,0.001672,0.009553),(3945,6845,0.001675,0.009546),(3945,6855,0.001677,0.009539),(3945,6865,0.00168,0.009532),(3945,6875,0.001682,0.009525),(3945,6885,0.001685,0.009517),(3945,6895,0.001687,0.00951),(3945,6905,0.00169,0.009503),(3945,6915,0.001692,0.009495),(3945,6925,0.001694,0.009487),(3945,6935,0.001696,0.00948),(3945,6945,0.001698,0.009472),(3945,6955,0.0017,0.009464),(3945,6965,0.001702,0.009456),(3945,6975,0.001704,0.009448),(3945,6985,0.001705,0.00944),(3955,5,1.7e-05,-0.003744),(3955,15,5.1e-05,-0.003746),(3955,25,8.5e-05,-0.003749),(3955,35,0.000119,-0.003751),(3955,45,0.000152,-0.003756),(3955,55,0.000186,-0.003763),(3955,65,0.00022,-0.00377),(3955,75,0.000254,-0.003777),(3955,85,0.000287,-0.003787),(3955,95,0.000321,-0.003798),(3955,105,0.000354,-0.00381),(3955,115,0.000388,-0.003822),(3955,125,0.000421,-0.003837),(3955,135,0.000454,-0.003854),(3955,145,0.000487,-0.003871),(3955,155,0.00052,-0.003888),(3955,165,0.000553,-0.003908),(3955,175,0.000585,-0.00393),(3955,185,0.000618,-0.003952),(3955,195,0.000649,-0.003974),(3955,205,0.000681,-0.004),(3955,215,0.000713,-0.004027),(3955,225,0.000744,-0.004054),(3955,235,0.000775,-0.004081),(3955,245,0.000806,-0.004112),(3955,255,0.000836,-0.004145),(3955,265,0.000866,-0.004178),(3955,275,0.000896,-0.004211),(3955,285,0.000925,-0.004249),(3955,295,0.000955,-0.004289),(3955,305,0.000983,-0.004329),(3955,315,0.001011,-0.004368),(3955,325,0.00104,-0.004413),(3955,335,0.001068,-0.004459),(3955,345,0.001094,-0.004506),(3955,355,0.00112,-0.004552),(3955,365,0.001146,-0.004604),(3955,375,0.001172,-0.004658),(3955,385,0.001195,-0.004711),(3955,395,0.001219,-0.004765),(3955,405,0.001242,-0.004825),(3955,415,0.001265,-0.004887),(3955,425,0.001286,-0.004948),(3955,435,0.001306,-0.00501),(3955,445,0.001327,-0.00508),(3955,455,0.001347,-0.00515),(3955,465,0.001363,-0.005221),(3955,475,0.00138,-0.005292),(3955,485,0.001396,-0.005371),(3955,495,0.001412,-0.005451),(3955,505,0.001423,-0.005531),(3955,515,0.001435,-0.005611),(3955,525,0.001446,-0.005701),(3955,535,0.001457,-0.005792),(3955,545,0.001462,-0.005882),(3955,555,0.001467,-0.005973),(3955,565,0.001472,-0.006075),(3955,575,0.001477,-0.006177),(3955,585,0.001475,-0.006279),(3955,595,0.001472,-0.006382),(3955,605,0.00147,-0.006497),(3955,615,0.001466,-0.006611),(3955,625,0.001455,-0.006725),(3955,635,0.001443,-0.006842),(3955,645,0.001432,-0.00697),(3955,655,0.001418,-0.007098),(3955,665,0.001395,-0.007226),(3955,675,0.001372,-0.007356),(3955,685,0.001349,-0.007498),(3955,695,0.001323,-0.007641),(3955,705,0.001286,-0.007783),(3955,715,0.001249,-0.007929),(3955,725,0.001213,-0.008087),(3955,735,0.001172,-0.008245),(3955,745,0.001118,-0.008403),(3955,755,0.001064,-0.008564),(3955,765,0.00101,-0.008738),(3955,775,0.00095,-0.008912),(3955,785,0.000876,-0.009086),(3955,795,0.000801,-0.009264),(3955,805,0.000726,-0.009454),(3955,815,0.000644,-0.009644),(3955,825,0.000545,-0.009834),(3955,835,0.000445,-0.010029),(3955,845,0.000346,-0.010235),(3955,855,0.000236,-0.010441),(3955,865,0.000107,-0.010647),(3955,875,-2.2e-05,-0.010858),(3955,885,-0.000151,-0.011079),(3955,895,-0.000294,-0.0113),(3955,905,-0.000458,-0.011521),(3955,915,-0.000622,-0.011747),(3955,925,-0.000787,-0.011981),(3955,935,-0.000968,-0.012215),(3955,945,-0.001174,-0.012449),(3955,955,-0.001379,-0.012687),(3955,965,-0.001584,-0.01293),(3955,975,-0.001811,-0.013174),(3955,985,-0.002064,-0.013417),(3955,995,-0.002316,-0.013663),(3955,1005,-0.002569,-0.013911),(3955,1015,-0.002849,-0.014159),(3955,1025,-0.003155,-0.014406),(3955,1035,-0.003461,-0.014653),(3955,1045,-0.003766,-0.014899),(3955,1055,-0.004105,-0.015144),(3955,1065,-0.00447,-0.01539),(3955,1075,-0.004835,-0.015629),(3955,1085,-0.0052,-0.015863),(3955,1095,-0.005602,-0.016097),(3955,1105,-0.00603,-0.016331),(3955,1115,-0.006458,-0.016552),(3955,1125,-0.006887,-0.016763),(3955,1135,-0.007356,-0.016975),(3955,1145,-0.00785,-0.017187),(3955,1155,-0.008344,-0.017376),(3955,1165,-0.008838,-0.017553),(3955,1175,-0.009374,-0.017729),(3955,1185,-0.009933,-0.017906),(3955,1195,-0.010491,-0.01805),(3955,1205,-0.01105,-0.018178),(3955,1215,-0.011651,-0.018307),(3955,1225,-0.012269,-0.018435),(3955,1235,-0.012887,-0.018519),(3955,1245,-0.013506,-0.018586),(3955,1255,-0.014163,-0.018653),(3955,1265,-0.014833,-0.01872),(3955,1275,-0.015502,-0.018731),(3955,1285,-0.016172,-0.018726),(3955,1295,-0.016873,-0.01872),(3955,1305,-0.017582,-0.018715),(3955,1315,-0.018291,-0.018646),(3955,1325,-0.018999,-0.018561),(3955,1335,-0.019728,-0.018476),(3955,1345,-0.020461,-0.018391),(3955,1355,-0.021194,-0.018237),(3955,1365,-0.021927,-0.01807),(3955,1375,-0.022667,-0.017903),(3955,1385,-0.023408,-0.017736),(3955,1395,-0.024149,-0.017499),(3955,1405,-0.02489,-0.017252),(3955,1415,-0.025626,-0.017006),(3955,1425,-0.02636,-0.01676),(3955,1435,-0.027095,-0.016449),(3955,1445,-0.02783,-0.016132),(3955,1455,-0.028547,-0.015815),(3955,1465,-0.029263,-0.015499),(3955,1475,-0.029979,-0.015126),(3955,1485,-0.030696,-0.014751),(3955,1495,-0.031386,-0.014376),(3955,1505,-0.032075,-0.014001),(3955,1515,-0.032765,-0.013583),(3955,1525,-0.033454,-0.013164),(3955,1535,-0.034114,-0.012745),(3955,1545,-0.034774,-0.012325),(3955,1555,-0.035434,-0.011878),(3955,1565,-0.036092,-0.01143),(3955,1575,-0.036724,-0.010982),(3955,1585,-0.037355,-0.010533),(3955,1595,-0.037986,-0.010071),(3955,1605,-0.038615,-0.009609),(3955,1615,-0.039221,-0.009146),(3955,1625,-0.039828,-0.008684),(3955,1635,-0.040434,-0.008221),(3955,1645,-0.041038,-0.007757),(3955,1655,-0.041626,-0.007294),(3955,1665,-0.042215,-0.006832),(3955,1675,-0.042803,-0.00638),(3955,1685,-0.04339,-0.005927),(3955,1695,-0.043968,-0.005475),(3955,1705,-0.044547,-0.005027),(3955,1715,-0.045126,-0.004596),(3955,1725,-0.045705,-0.004165),(3955,1735,-0.046284,-0.003733),(3955,1745,-0.046863,-0.00331),(3955,1755,-0.047443,-0.002908),(3955,1765,-0.048025,-0.002507),(3955,1775,-0.048616,-0.002106),(3955,1785,-0.049206,-0.001716),(3955,1795,-0.049797,-0.001352),(3955,1805,-0.050394,-0.000989),(3955,1815,-0.051008,-0.000626),(3955,1825,-0.051621,-0.000277),(3955,1835,-0.052234,4e-05),(3955,1845,-0.052859,0.000358),(3955,1855,-0.053507,0.000675),(3955,1865,-0.054155,0.000973),(3955,1875,-0.054803,0.001237),(3955,1885,-0.055469,0.0015),(3955,1895,-0.056164,0.001764),(3955,1905,-0.056859,0.002003),(3955,1915,-0.057555,0.002204),(3955,1925,-0.058275,0.002406),(3955,1935,-0.059031,0.002607),(3955,1945,-0.059788,0.002777),(3955,1955,-0.060544,0.002907),(3955,1965,-0.061335,0.003037),(3955,1975,-0.062167,0.003167),(3955,1985,-0.062999,0.003257),(3955,1995,-0.063831,0.003304),(3955,2005,-0.064709,0.003351),(3955,2015,-0.065633,0.003398),(3955,2025,-0.066557,0.003395),(3955,2035,-0.067481,0.003345),(3955,2045,-0.068465,0.003295),(3955,2055,-0.0695,0.003246),(3955,2065,-0.070535,0.003132),(3955,2075,-0.071569,0.002969),(3955,2085,-0.072681,0.002806),(3955,2095,-0.073848,0.002642),(3955,2105,-0.075015,0.002398),(3955,2115,-0.076182,0.0021),(3955,2125,-0.077446,0.001802),(3955,2135,-0.078771,0.001504),(3955,2145,-0.080095,0.001103),(3955,2155,-0.081419,0.000644),(3955,2165,-0.082866,0.000185),(3955,2175,-0.084376,-0.000275),(3955,2185,-0.085886,-0.000866),(3955,2195,-0.087397,-0.001521),(3955,2205,-0.089061,-0.002175),(3955,2215,-0.090793,-0.002829),(3955,2225,-0.092524,-0.003654),(3955,2235,-0.094255,-0.004547),(3955,2245,-0.09618,-0.005439),(3955,2255,-0.098174,-0.006332),(3955,2265,-0.10017,-0.007447),(3955,2275,-0.10216,-0.008633),(3955,2285,-0.1044,-0.00982),(3955,2295,-0.1067,-0.011006),(3955,2305,-0.109,-0.012486),(3955,2315,-0.11131,-0.014041),(3955,2325,-0.11391,-0.015595),(3955,2335,-0.11659,-0.017149),(3955,2345,-0.11926,-0.019093),(3955,2355,-0.12193,-0.021113),(3955,2365,-0.12498,-0.023134),(3955,2375,-0.12809,-0.025154),(3955,2385,-0.1312,-0.027698),(3955,2395,-0.13431,-0.030316),(3955,2405,-0.13789,-0.032935),(3955,2415,-0.14151,-0.035553),(3955,2425,-0.14514,-0.038886),(3955,2435,-0.14876,-0.042285),(3955,2445,-0.15295,-0.045684),(3955,2455,-0.15718,-0.049083),(3955,2465,-0.16141,-0.053471),(3955,2475,-0.16564,-0.057906),(3955,2485,-0.17053,-0.062341),(3955,2495,-0.17545,-0.066776),(3955,2505,-0.18036,-0.072603),(3955,2515,-0.18529,-0.078437),(3955,2525,-0.19096,-0.084271),(3955,2535,-0.19662,-0.090171),(3955,2545,-0.20229,-0.097927),(3955,2555,-0.208,-0.10568),(3955,2565,-0.21441,-0.11344),(3955,2575,-0.22082,-0.1214),(3955,2585,-0.22723,-0.13183),(3955,2595,-0.2337,-0.14227),(3955,2605,-0.24067,-0.15271),(3955,2615,-0.24764,-0.16357),(3955,2625,-0.25461,-0.17777),(3955,2635,-0.26157,-0.19197),(3955,2645,-0.26847,-0.20617),(3955,2655,-0.27538,-0.22117),(3955,2665,-0.28229,-0.24058),(3955,2675,-0.28891,-0.26),(3955,2685,-0.29416,-0.27942),(3955,2695,-0.2994,-0.30016),(3955,2705,-0.30465,-0.32639),(3955,2715,-0.30873,-0.35263),(3955,2725,-0.30851,-0.37886),(3955,2735,-0.30829,-0.40673),(3955,2745,-0.30807,-0.43997),(3955,2755,-0.30369,-0.47322),(3955,2765,-0.28703,-0.50647),(3955,2775,-0.27036,-0.53813),(3955,2785,-0.2537,-0.56556),(3955,2795,-0.23502,-0.593),(3955,2805,-0.21149,-0.62043),(3955,2815,-0.18797,-0.64569),(3955,2825,-0.16444,-0.66613),(3955,2835,-0.14017,-0.68658),(3955,2845,-0.11443,-0.70703),(3955,2855,-0.088681,-0.72555),(3955,2865,-0.062936,-0.74052),(3955,2875,-0.037047,-0.75548),(3955,2885,-0.010912,-0.77044),(3955,2895,0.015222,-0.78385),(3955,2905,0.041357,-0.79483),(3955,2915,0.067384,-0.80582),(3955,2925,0.093258,-0.81681),(3955,2935,0.11913,-0.82656),(3955,2945,0.145,-0.83469),(3955,2955,0.17069,-0.84282),(3955,2965,0.19616,-0.85095),(3955,2975,0.22162,-0.8581),(3955,2985,0.24708,-0.86413),(3955,2995,0.27237,-0.87016),(3955,3005,0.29749,-0.87619),(3955,3015,0.3226,-0.88141),(3955,3025,0.34772,-0.88584),(3955,3035,0.37273,-0.89027),(3955,3045,0.39765,-0.8947),(3955,3055,0.42258,-0.89841),(3955,3065,0.4475,-0.90155),(3955,3075,0.47242,-0.90468),(3955,3085,0.49734,-0.90782),(3955,3095,0.52227,-0.91029),(3955,3105,0.54719,-0.91229),(3955,3115,0.57224,-0.9143),(3955,3125,0.59737,-0.91631),(3955,3135,0.62251,-0.91765),(3955,3145,0.64764,-0.91859),(3955,3155,0.67305,-0.91953),(3955,3165,0.69862,-0.92048),(3955,3175,0.72418,-0.92069),(3955,3185,0.74975,-0.92054),(3955,3195,0.77578,-0.92038),(3955,3205,0.80201,-0.92023),(3955,3215,0.82824,-0.91921),(3955,3225,0.85448,-0.91784),(3955,3235,0.88138,-0.91647),(3955,3245,0.90854,-0.91509),(3955,3255,0.93569,-0.91264),(3955,3265,0.96284,-0.90982),(3955,3275,0.99091,-0.90699),(3955,3285,1.0193,-0.90417),(3955,3295,1.0476,-0.89993),(3955,3305,1.0759,-0.8953),(3955,3315,1.1055,-0.89066),(3955,3325,1.1353,-0.88603),(3955,3335,1.1651,-0.87946),(3955,3345,1.195,-0.87249),(3955,3355,1.2263,-0.86551),(3955,3365,1.2579,-0.85853),(3955,3375,1.2895,-0.84883),(3955,3385,1.3211,-0.83872),(3955,3395,1.3545,-0.8286),(3955,3405,1.3882,-0.81849),(3955,3415,1.4218,-0.80448),(3955,3425,1.4555,-0.79006),(3955,3435,1.4912,-0.77564),(3955,3445,1.527,-0.76122),(3955,3455,1.5629,-0.74111),(3955,3465,1.5988,-0.72066),(3955,3475,1.6366,-0.70022),(3955,3485,1.6746,-0.67978),(3955,3495,1.7125,-0.65088),(3955,3505,1.7505,-0.62185),(3955,3515,1.7895,-0.59282),(3955,3525,1.8286,-0.56349),(3955,3535,1.8677,-0.52216),(3955,3545,1.9067,-0.48083),(3955,3555,1.944,-0.4395),(3955,3565,1.9814,-0.39707),(3955,3575,2.0187,-0.33859),(3955,3585,2.0552,-0.28011),(3955,3595,2.0827,-0.22163),(3955,3605,2.1102,-0.16105),(3955,3615,2.1377,-0.082372),(3955,3625,2.1612,-0.003691),(3955,3635,2.1561,0.074989),(3955,3645,2.1511,0.1539),(3955,3655,2.1461,0.23416),(3955,3665,2.1339,0.31442),(3955,3675,2.0851,0.39469),(3955,3685,2.0362,0.46861),(3955,3695,1.9874,0.51427),(3955,3705,1.9397,0.55993),(3955,3715,1.896,0.60559),(3955,3725,1.8523,0.64785),(3955,3735,1.8087,0.67825),(3955,3745,1.7658,0.70865),(3955,3755,1.7256,0.73904),(3955,3765,1.6854,0.76711),(3955,3775,1.6452,0.78864),(3955,3785,1.6059,0.81018),(3955,3795,1.5687,0.83171),(3955,3805,1.5315,0.85149),(3955,3815,1.4943,0.86722),(3955,3825,1.4579,0.88294),(3955,3835,1.4234,0.89867),(3955,3845,1.3888,0.91304),(3955,3855,1.3543,0.92479),(3955,3865,1.3206,0.93653),(3955,3875,1.2883,0.94828),(3955,3885,1.256,0.95897),(3955,3895,1.2238,0.96793),(3955,3905,1.1923,0.9769),(3955,3915,1.162,0.98586),(3955,3925,1.1317,0.994),(3955,3935,1.1014,1.001),(3955,3945,1.0718,1.008),(3955,3955,1.0431,1.015),(3955,3965,1.0144,1.0213),(3955,3975,0.98565,1.0269),(3955,3985,0.95756,1.0325),(3955,3995,0.93015,1.0381),(3955,4005,0.90274,1.0433),(3955,4015,0.87533,1.0479),(3955,4025,1.22,1.0526),(3955,4035,1.601,1.0548),(3955,4045,1.982,1.0518),(3955,4055,2.254,1.0489),(3955,4065,2.4862,1.0453),(3955,4075,2.7183,1.0377),(3955,4085,2.8175,1.0301),(3955,4095,2.8099,1.0224),(3955,4105,2.8023,1.0147),(3955,4115,2.7032,1.007),(3955,4125,2.4525,0.9993),(3955,4135,2.2018,0.99455),(3955,4145,1.948,0.99061),(3955,4155,1.682,0.98666),(3955,4165,1.416,0.98511),(3955,4175,1.1648,0.98508),(3955,4185,1.6456,0.98506),(3955,4195,2.1264,0.98151),(3955,4205,2.6072,0.9733),(3955,4215,2.6788,0.9651),(3955,4225,2.6735,0.95687),(3955,4235,2.6681,0.94858),(3955,4245,2.658,0.94029),(3955,4255,2.6454,0.93189),(3955,4265,2.6329,0.9221),(3955,4275,2.3092,0.91232),(3955,4285,1.6552,0.90253),(3955,4295,1.0012,0.90283),(3955,4305,0.7188,0.90429),(3955,4315,1.2755,0.90575),(3955,4325,1.8322,0.90138),(3955,4335,2.3268,0.89471),(3955,4345,2.4012,0.88805),(3955,4355,2.4756,0.88067),(3955,4365,2.55,0.87268),(3955,4375,2.5503,0.86469),(3955,4385,2.5468,0.85665),(3955,4395,2.5432,0.84853),(3955,4405,2.2233,0.84041),(3955,4415,1.81,0.83335),(3955,4425,1.3968,0.831),(3955,4435,1.2197,0.82865),(3955,4445,1.2041,0.8263),(3955,4455,1.1885,0.82407),(3955,4465,1.3491,0.82183),(3955,4475,1.7575,0.8196),(3955,4485,2.1659,0.81235),(3955,4495,2.4767,0.80405),(3955,4505,2.4744,0.79576),(3955,4515,2.4721,0.78752),(3955,4525,2.465,0.7793),(3955,4535,2.3807,0.77109),(3955,4545,2.2965,0.7634),(3955,4555,2.2122,0.7563),(3955,4565,1.6756,0.74919),(3955,4575,1.0781,0.74462),(3955,4585,0.48052,0.7462),(3955,4595,0.76478,0.74778),(3955,4605,1.4216,0.74803),(3955,4615,2.0785,0.73793),(3955,4625,2.3933,0.72784),(3955,4635,2.3983,0.71775),(3955,4645,2.4034,0.709),(3955,4655,2.4064,0.70034),(3955,4665,2.4054,0.69168),(3955,4675,2.4045,0.68318),(3955,4685,2.3189,0.67472),(3955,4695,1.8145,0.66626),(3955,4705,1.3102,0.66199),(3955,4715,0.80581,0.66076),(3955,4725,1.0401,0.65953),(3955,4735,1.2818,0.65695),(3955,4745,1.5235,0.65234),(3955,4755,1.7718,0.64774),(3955,4765,2.0216,0.64236),(3955,4775,2.2714,0.63429),(3955,4785,2.3625,0.62622),(3955,4795,2.3617,0.61816),(3955,4805,2.3609,0.61029),(3955,4815,2.2447,0.60242),(3955,4825,1.9908,0.59456),(3955,4835,1.7368,0.58957),(3955,4845,1.4795,0.58502),(3955,4855,1.2136,0.58048),(3955,4865,0.94769,0.57829),(3955,4875,0.75859,0.57716),(3955,4885,1.2682,0.57603),(3955,4895,1.7778,0.57167),(3955,4905,2.2874,0.56419),(3955,4915,2.3272,0.55672),(3955,4925,2.3265,0.54928),(3955,4935,2.3259,0.54189),(3955,4945,2.3229,0.5345),(3955,4955,2.3191,0.52703),(3955,4965,2.3153,0.5191),(3955,4975,1.9291,0.51117),(3955,4985,1.2476,0.50324),(3955,4995,0.5662,0.50378),(3955,5005,0.34463,0.50453),(3955,5015,0.85415,0.50528),(3955,5025,1.3637,0.50141),(3955,5035,1.8025,0.49637),(3955,5045,1.9723,0.49133),(3955,5055,2.142,0.48509),(3955,5065,2.3067,0.47813),(3955,5075,2.3063,0.47116),(3955,5085,2.3059,0.46425),(3955,5095,2.3055,0.4574),(3955,5105,2.0114,0.45055),(3955,5115,1.666,0.44469),(3955,5125,1.3206,0.4416),(3955,5135,1.1449,0.43852),(3955,5145,1.0515,0.43553),(3955,5155,0.95805,0.4336),(3955,5165,1.1263,0.43168),(3955,5175,1.5616,0.42976),(3955,5185,1.9968,0.42413),(3955,5195,2.2939,0.41811),(3955,5205,2.2932,0.41209),(3955,5215,2.2926,0.40614),(3955,5225,2.28,0.40022),(3955,5235,2.1938,0.3943),(3955,5245,2.1075,0.38883),(3955,5255,2.0213,0.38374),(3955,5265,1.4209,0.37865),(3955,5275,0.79925,0.37556),(3955,5285,0.17765,0.37584),(3955,5295,0.58589,0.37611),(3955,5305,1.2809,0.37541),(3955,5315,1.976,0.37064),(3955,5325,2.2515,0.36586),(3955,5335,2.252,0.36108),(3955,5345,2.2524,0.35664),(3955,5355,2.2522,0.35221),(3955,5365,2.2511,0.34777),(3955,5375,2.25,0.34336),(3955,5385,2.1201,0.33896),(3955,5395,1.5989,0.33457),(3955,5405,1.0777,0.33246),(3955,5415,0.61086,0.33154),(3955,5425,0.87467,0.33063),(3955,5435,1.1385,0.32975),(3955,5445,1.4023,0.32891),(3955,5455,1.6651,0.32807),(3955,5465,1.9278,0.32701),(3955,5475,2.1905,0.32545),(3955,5485,2.2646,0.3239),(3955,5495,2.2628,0.32234),(3955,5505,2.261,0.32073),(3955,5515,2.2592,0.31912),(3955,5525,2.2576,0.31752),(3955,5535,2.2559,0.31583),(3955,5545,2.2543,0.31414),(3955,5555,2.2528,0.31245),(3955,5565,2.2513,0.31069),(3955,5575,2.2498,0.30891),(3955,5585,2.2484,0.30712),(3955,5595,2.247,0.3053),(3955,5605,2.2457,0.30343),(3955,5615,2.2444,0.30157),(3955,5625,2.2431,0.29968),(3955,5635,2.2418,0.29775),(3955,5645,2.2406,0.29582),(3955,5655,2.2393,0.29388),(3955,5665,2.2381,0.29191),(3955,5675,2.2369,0.28993),(3955,5685,2.2358,0.28796),(3955,5695,2.2346,0.28597),(3955,5705,2.2334,0.28398),(3955,5715,2.2322,0.28199),(3955,5725,2.2311,0.28),(3955,5735,2.2299,0.27801),(3955,5745,2.2287,0.27601),(3955,5755,2.2275,0.27404),(3955,5765,2.2263,0.27208),(3955,5775,2.2251,0.27012),(3955,5785,2.2239,0.26818),(3955,5795,2.2227,0.26627),(3955,5805,2.2214,0.26436),(3955,5815,2.2201,0.26248),(3955,5825,2.2188,0.26064),(3955,5835,2.2175,0.25881),(3955,5845,2.2162,0.25699),(3955,5855,2.2149,0.25525),(3955,5865,2.2135,0.25351),(3955,5875,2.2121,0.25178),(3955,5885,2.2107,0.25013),(3955,5895,2.2093,0.24848),(3955,5905,2.2079,0.24683),(3955,5915,2.2065,0.24525),(3955,5925,2.2051,0.24368),(3955,5935,2.2037,0.24211),(3955,5945,2.2022,0.24058),(3955,5955,2.2008,0.23908),(3955,5965,2.1993,0.23757),(3955,5975,2.1979,0.2361),(3955,5985,2.1964,0.23465),(3955,5995,1.6785,0.2332),(3955,6005,1.0775,0.23212),(3955,6015,0.47654,0.232),(3955,6025,0.64473,0.23187),(3955,6035,1.1697,0.23137),(3955,6045,1.6946,0.22715),(3955,6055,2.0573,0.22294),(3955,6065,2.2609,0.21872),(3955,6075,2.4645,0.21321),(3955,6085,2.6015,0.20759),(3955,6095,2.6015,0.20196),(3955,6105,2.6014,0.19639),(3955,6115,2.6013,0.19084),(3955,6125,2.601,0.18529),(3955,6135,2.6007,0.17982),(3955,6145,2.6004,0.17441),(3955,6155,2.5999,0.169),(3955,6165,2.5993,0.16366),(3955,6175,2.5988,0.15844),(3955,6185,2.5981,0.15322),(3955,6195,2.5974,0.14805),(3955,6205,2.5967,0.1431),(3955,6215,2.5959,0.13815),(3955,6225,2.595,0.13321),(3955,6235,2.5941,0.12856),(3955,6245,2.5931,0.12392),(3955,6255,2.592,0.11928),(3955,6265,2.591,0.11489),(3955,6275,2.5899,0.11055),(3955,6285,2.5887,0.1062),(3955,6295,2.5875,0.10211),(3955,6305,2.5864,0.09814),(3955,6315,2.5851,0.094171),(3955,6325,2.5839,0.090319),(3955,6335,2.5826,0.086589),(3955,6345,2.5814,0.082859),(3955,6355,2.5802,0.079234),(3955,6365,2.5789,0.075838),(3955,6375,2.5777,0.072442),(3955,6385,2.5765,0.069081),(3955,6395,2.5753,0.065945),(3955,6405,2.5741,0.06281),(3955,6415,2.573,0.059674),(3955,6425,2.5719,0.056694),(3955,6435,2.5709,0.053722),(3955,6445,2.5699,0.05075),(3955,6455,2.569,0.047935),(3955,6465,2.5681,0.045165),(3955,6475,2.5673,0.042396),(3955,6485,2.5665,0.039709),(3955,6495,2.5657,0.037078),(3955,6505,2.5651,0.034446),(3955,6515,2.5645,0.031855),(3955,6525,2.5639,0.02932),(3955,6535,2.5634,0.026784),(3955,6545,2.563,0.024265),(3955,6555,2.5626,0.021795),(3955,6565,2.5623,0.019325),(3955,6575,2.5621,0.016862),(3955,6585,2.5619,0.014509),(3955,6595,2.179,0.012156),(3955,6605,1.3734,0.009803),(3955,6615,0.56788,0.009569),(3955,6625,0.001593,0.009607),(3955,6635,0.001597,0.009645),(3955,6645,0.001602,0.009654),(3955,6655,0.001607,0.00965),(3955,6665,0.001611,0.009647),(3955,6675,0.001615,0.009644),(3955,6685,0.00162,0.00964),(3955,6695,0.001624,0.009636),(3955,6705,0.001628,0.009632),(3955,6715,0.001632,0.009627),(3955,6725,0.001636,0.009622),(3955,6735,0.00164,0.009617),(3955,6745,0.001644,0.009612),(3955,6755,0.001648,0.009606),(3955,6765,0.001651,0.009601),(3955,6775,0.001655,0.009595),(3955,6785,0.001659,0.009589),(3955,6795,0.001662,0.009583),(3955,6805,0.001665,0.009576),(3955,6815,0.001669,0.009569),(3955,6825,0.001672,0.009563),(3955,6835,0.001675,0.009556),(3955,6845,0.001678,0.009549),(3955,6855,0.00168,0.009542),(3955,6865,0.001683,0.009535),(3955,6875,0.001686,0.009527),(3955,6885,0.001688,0.00952),(3955,6895,0.001691,0.009512),(3955,6905,0.001693,0.009505),(3955,6915,0.001696,0.009497),(3955,6925,0.001698,0.009489),(3955,6935,0.0017,0.009482),(3955,6945,0.001702,0.009474),(3955,6955,0.001704,0.009466),(3955,6965,0.001706,0.009458),(3955,6975,0.001708,0.00945),(3955,6985,0.001709,0.009442),(3965,5,1.7e-05,-0.003708),(3965,15,5.2e-05,-0.00371),(3965,25,8.7e-05,-0.003713),(3965,35,0.000122,-0.003715),(3965,45,0.000157,-0.00372),(3965,55,0.000192,-0.003727),(3965,65,0.000226,-0.003734),(3965,75,0.000261,-0.003741),(3965,85,0.000296,-0.003751),(3965,95,0.00033,-0.003763),(3965,105,0.000365,-0.003775),(3965,115,0.000399,-0.003787),(3965,125,0.000434,-0.003802),(3965,135,0.000468,-0.003819),(3965,145,0.000502,-0.003836),(3965,155,0.000536,-0.003853),(3965,165,0.00057,-0.003873),(3965,175,0.000604,-0.003896),(3965,185,0.000637,-0.003918),(3965,195,0.00067,-0.00394),(3965,205,0.000703,-0.003966),(3965,215,0.000736,-0.003993),(3965,225,0.000769,-0.00402),(3965,235,0.000801,-0.004048),(3965,245,0.000833,-0.00408),(3965,255,0.000865,-0.004113),(3965,265,0.000896,-0.004146),(3965,275,0.000927,-0.004179),(3965,285,0.000958,-0.004217),(3965,295,0.000989,-0.004257),(3965,305,0.001019,-0.004297),(3965,315,0.001048,-0.004337),(3965,325,0.001078,-0.004383),(3965,335,0.001108,-0.004429),(3965,345,0.001136,-0.004476),(3965,355,0.001163,-0.004523),(3965,365,0.001191,-0.004576),(3965,375,0.001218,-0.00463),(3965,385,0.001244,-0.004684),(3965,395,0.001269,-0.004738),(3965,405,0.001294,-0.004799),(3965,415,0.00132,-0.004861),(3965,425,0.001342,-0.004924),(3965,435,0.001365,-0.004986),(3965,445,0.001387,-0.005057),(3965,455,0.001409,-0.005128),(3965,465,0.001428,-0.0052),(3965,475,0.001447,-0.005271),(3965,485,0.001465,-0.005352),(3965,495,0.001484,-0.005433),(3965,505,0.001497,-0.005514),(3965,515,0.001511,-0.005595),(3965,525,0.001525,-0.005687),(3965,535,0.001538,-0.005778),(3965,545,0.001546,-0.00587),(3965,555,0.001554,-0.005963),(3965,565,0.001562,-0.006066),(3965,575,0.001569,-0.00617),(3965,585,0.00157,-0.006274),(3965,595,0.001571,-0.006379),(3965,605,0.001571,-0.006496),(3965,615,0.001571,-0.006612),(3965,625,0.001563,-0.006729),(3965,635,0.001554,-0.006847),(3965,645,0.001546,-0.006978),(3965,655,0.001536,-0.007109),(3965,665,0.001516,-0.00724),(3965,675,0.001497,-0.007373),(3965,685,0.001478,-0.007519),(3965,695,0.001455,-0.007665),(3965,705,0.001422,-0.00781),(3965,715,0.001389,-0.00796),(3965,725,0.001356,-0.008122),(3965,735,0.001319,-0.008284),(3965,745,0.001269,-0.008446),(3965,755,0.001219,-0.008612),(3965,765,0.001169,-0.008791),(3965,775,0.001113,-0.00897),(3965,785,0.001043,-0.009149),(3965,795,0.000973,-0.009333),(3965,805,0.000902,-0.009529),(3965,815,0.000824,-0.009725),(3965,825,0.000729,-0.009921),(3965,835,0.000633,-0.010123),(3965,845,0.000538,-0.010337),(3965,855,0.000432,-0.01055),(3965,865,0.000307,-0.010764),(3965,875,0.000182,-0.010983),(3965,885,5.7e-05,-0.011213),(3965,895,-8.2e-05,-0.011443),(3965,905,-0.000243,-0.011673),(3965,915,-0.000404,-0.011909),(3965,925,-0.000564,-0.012154),(3965,935,-0.000743,-0.012398),(3965,945,-0.000945,-0.012643),(3965,955,-0.001148,-0.012892),(3965,965,-0.00135,-0.013148),(3965,975,-0.001575,-0.013404),(3965,985,-0.001826,-0.01366),(3965,995,-0.002077,-0.013919),(3965,1005,-0.002328,-0.014181),(3965,1015,-0.002606,-0.014443),(3965,1025,-0.002912,-0.014705),(3965,1035,-0.003218,-0.014967),(3965,1045,-0.003524,-0.015229),(3965,1055,-0.003863,-0.01549),(3965,1065,-0.00423,-0.015752),(3965,1075,-0.004597,-0.016007),(3965,1085,-0.004964,-0.016259),(3965,1095,-0.00537,-0.01651),(3965,1105,-0.005802,-0.016761),(3965,1115,-0.006235,-0.016999),(3965,1125,-0.006668,-0.017229),(3965,1135,-0.007143,-0.017459),(3965,1145,-0.007645,-0.017688),(3965,1155,-0.008146,-0.017895),(3965,1165,-0.008647,-0.01809),(3965,1175,-0.009193,-0.018284),(3965,1185,-0.009762,-0.018479),(3965,1195,-0.010331,-0.018639),(3965,1205,-0.0109,-0.018785),(3965,1215,-0.011513,-0.01893),(3965,1225,-0.012145,-0.019075),(3965,1235,-0.012777,-0.019173),(3965,1245,-0.013409,-0.019254),(3965,1255,-0.014081,-0.019335),(3965,1265,-0.014767,-0.019417),(3965,1275,-0.015453,-0.01944),(3965,1285,-0.016139,-0.019445),(3965,1295,-0.016856,-0.01945),(3965,1305,-0.017583,-0.019455),(3965,1315,-0.018309,-0.019393),(3965,1325,-0.019036,-0.019315),(3965,1335,-0.019782,-0.019236),(3965,1345,-0.020533,-0.019157),(3965,1355,-0.021284,-0.019005),(3965,1365,-0.022035,-0.01884),(3965,1375,-0.022792,-0.018675),(3965,1385,-0.023551,-0.01851),(3965,1395,-0.024309,-0.01827),(3965,1405,-0.025068,-0.018022),(3965,1415,-0.025818,-0.017773),(3965,1425,-0.026568,-0.017524),(3965,1435,-0.027318,-0.017207),(3965,1445,-0.028068,-0.016884),(3965,1455,-0.028798,-0.016562),(3965,1465,-0.029527,-0.016239),(3965,1475,-0.030255,-0.015858),(3965,1485,-0.030984,-0.015475),(3965,1495,-0.031683,-0.015091),(3965,1505,-0.032382,-0.014708),(3965,1515,-0.03308,-0.01428),(3965,1525,-0.033778,-0.013852),(3965,1535,-0.034444,-0.013424),(3965,1545,-0.035109,-0.012995),(3965,1555,-0.035774,-0.012539),(3965,1565,-0.036438,-0.012082),(3965,1575,-0.037071,-0.011625),(3965,1585,-0.037704,-0.011167),(3965,1595,-0.038337,-0.010697),(3965,1605,-0.038967,-0.010227),(3965,1615,-0.039572,-0.009757),(3965,1625,-0.040178,-0.009287),(3965,1635,-0.040783,-0.008818),(3965,1645,-0.041385,-0.008349),(3965,1655,-0.041969,-0.007879),(3965,1665,-0.042554,-0.007412),(3965,1675,-0.043138,-0.006956),(3965,1685,-0.04372,-0.0065),(3965,1695,-0.044292,-0.006044),(3965,1705,-0.044865,-0.005593),(3965,1715,-0.045437,-0.005161),(3965,1725,-0.046009,-0.004729),(3965,1735,-0.04658,-0.004297),(3965,1745,-0.04715,-0.003873),(3965,1755,-0.047721,-0.003473),(3965,1765,-0.048294,-0.003074),(3965,1775,-0.048874,-0.002675),(3965,1785,-0.049454,-0.002287),(3965,1795,-0.050033,-0.001929),(3965,1805,-0.05062,-0.00157),(3965,1815,-0.05122,-0.001212),(3965,1825,-0.051821,-0.000869),(3965,1835,-0.052422,-0.000559),(3965,1845,-0.053034,-0.00025),(3965,1855,-0.053667,6e-05),(3965,1865,-0.054301,0.000349),(3965,1875,-0.054934,0.000602),(3965,1885,-0.055585,0.000855),(3965,1895,-0.056263,0.001107),(3965,1905,-0.056942,0.001334),(3965,1915,-0.05762,0.001521),(3965,1925,-0.058323,0.001708),(3965,1935,-0.05906,0.001895),(3965,1945,-0.059797,0.00205),(3965,1955,-0.060534,0.002162),(3965,1965,-0.061305,0.002274),(3965,1975,-0.062114,0.002387),(3965,1985,-0.062924,0.002457),(3965,1995,-0.063734,0.002483),(3965,2005,-0.064588,0.002508),(3965,2015,-0.065487,0.002534),(3965,2025,-0.066385,0.002507),(3965,2035,-0.067284,0.002431),(3965,2045,-0.068239,0.002355),(3965,2055,-0.069244,0.00228),(3965,2065,-0.070249,0.002138),(3965,2075,-0.071254,0.001944),(3965,2085,-0.072332,0.00175),(3965,2095,-0.073464,0.001556),(3965,2105,-0.074595,0.001277),(3965,2115,-0.075727,0.000943),(3965,2125,-0.076951,0.000609),(3965,2135,-0.078233,0.000274),(3965,2145,-0.079515,-0.000167),(3965,2155,-0.080796,-0.000669),(3965,2165,-0.082195,-0.001171),(3965,2175,-0.083654,-0.001674),(3965,2185,-0.085113,-0.002313),(3965,2195,-0.086572,-0.003018),(3965,2205,-0.088178,-0.003722),(3965,2215,-0.089847,-0.004427),(3965,2225,-0.091516,-0.005309),(3965,2235,-0.093185,-0.006261),(3965,2245,-0.095037,-0.007212),(3965,2255,-0.096953,-0.008164),(3965,2265,-0.09887,-0.009346),(3965,2275,-0.10079,-0.010602),(3965,2285,-0.10293,-0.011858),(3965,2295,-0.10514,-0.013114),(3965,2305,-0.10735,-0.014672),(3965,2315,-0.10956,-0.016307),(3965,2325,-0.11204,-0.017943),(3965,2335,-0.1146,-0.019578),(3965,2345,-0.11715,-0.021614),(3965,2355,-0.1197,-0.023728),(3965,2365,-0.1226,-0.025842),(3965,2375,-0.12555,-0.027956),(3965,2385,-0.12851,-0.030607),(3965,2395,-0.13147,-0.033333),(3965,2405,-0.13484,-0.036058),(3965,2415,-0.13827,-0.038784),(3965,2425,-0.14169,-0.042237),(3965,2435,-0.14511,-0.045756),(3965,2445,-0.14904,-0.049276),(3965,2455,-0.153,-0.052795),(3965,2465,-0.15696,-0.057312),(3965,2475,-0.16092,-0.061876),(3965,2485,-0.16546,-0.066439),(3965,2495,-0.17002,-0.071003),(3965,2505,-0.17457,-0.076956),(3965,2515,-0.17914,-0.082916),(3965,2525,-0.18431,-0.088875),(3965,2535,-0.18949,-0.0949),(3965,2545,-0.19466,-0.10275),(3965,2555,-0.19987,-0.1106),(3965,2565,-0.20559,-0.11846),(3965,2575,-0.21132,-0.1265),(3965,2585,-0.21705,-0.13695),(3965,2595,-0.22281,-0.14739),(3965,2605,-0.22882,-0.15784),(3965,2615,-0.23483,-0.16869),(3965,2625,-0.24084,-0.18269),(3965,2635,-0.2468,-0.1967),(3965,2645,-0.25238,-0.21071),(3965,2655,-0.25796,-0.22545),(3965,2665,-0.26355,-0.24425),(3965,2675,-0.26877,-0.26306),(3965,2685,-0.27229,-0.28186),(3965,2695,-0.27581,-0.30183),(3965,2705,-0.27933,-0.32667),(3965,2715,-0.28168,-0.3515),(3965,2725,-0.27969,-0.37634),(3965,2735,-0.2777,-0.40253),(3965,2745,-0.27571,-0.43321),(3965,2755,-0.27039,-0.46388),(3965,2765,-0.25524,-0.49456),(3965,2775,-0.24008,-0.52392),(3965,2785,-0.22493,-0.54977),(3965,2795,-0.20786,-0.57562),(3965,2805,-0.18615,-0.60147),(3965,2815,-0.16444,-0.6254),(3965,2825,-0.14273,-0.64511),(3965,2835,-0.12015,-0.66482),(3965,2845,-0.095852,-0.68452),(3965,2855,-0.07155,-0.70247),(3965,2865,-0.047247,-0.71715),(3965,2875,-0.022659,-0.73183),(3965,2885,0.002414,-0.74651),(3965,2895,0.027487,-0.75971),(3965,2905,0.05256,-0.77063),(3965,2915,0.077642,-0.78155),(3965,2925,0.10274,-0.79246),(3965,2935,0.12783,-0.80219),(3965,2945,0.15292,-0.81033),(3965,2955,0.17792,-0.81847),(3965,2965,0.20279,-0.82661),(3965,2975,0.22767,-0.83377),(3965,2985,0.25254,-0.83983),(3965,2995,0.27731,-0.84589),(3965,3005,0.30196,-0.85195),(3965,3015,0.32662,-0.85718),(3965,3025,0.35127,-0.86162),(3965,3035,0.37586,-0.86606),(3965,3045,0.4004,-0.8705),(3965,3055,0.42494,-0.87422),(3965,3065,0.44947,-0.87733),(3965,3075,0.47404,-0.88044),(3965,3085,0.49862,-0.88356),(3965,3095,0.5232,-0.88598),(3965,3105,0.54778,-0.88793),(3965,3115,0.57249,-0.88988),(3965,3125,0.5973,-0.89182),(3965,3135,0.62211,-0.89307),(3965,3145,0.64691,-0.89391),(3965,3155,0.67199,-0.89475),(3965,3165,0.69722,-0.89559),(3965,3175,0.72245,-0.89566),(3965,3185,0.74768,-0.89536),(3965,3195,0.77335,-0.89505),(3965,3205,0.79922,-0.89474),(3965,3215,0.82508,-0.89354),(3965,3225,0.85095,-0.89196),(3965,3235,0.87744,-0.89039),(3965,3245,0.90417,-0.88881),(3965,3255,0.93089,-0.88611),(3965,3265,0.95762,-0.88303),(3965,3275,0.98519,-0.87995),(3965,3285,1.013,-0.87688),(3965,3295,1.0408,-0.87233),(3965,3305,1.0687,-0.8674),(3965,3315,1.0976,-0.86246),(3965,3325,1.1267,-0.85752),(3965,3335,1.1559,-0.8506),(3965,3345,1.1851,-0.84328),(3965,3355,1.2156,-0.83595),(3965,3365,1.2463,-0.82862),(3965,3375,1.2771,-0.81855),(3965,3385,1.3078,-0.80806),(3965,3395,1.3401,-0.79757),(3965,3405,1.3726,-0.78708),(3965,3415,1.4051,-0.77272),(3965,3425,1.4376,-0.75795),(3965,3435,1.4717,-0.74319),(3965,3445,1.506,-0.72842),(3965,3455,1.5403,-0.70809),(3965,3465,1.5745,-0.68743),(3965,3475,1.6102,-0.66678),(3965,3485,1.6459,-0.64612),(3965,3495,1.6816,-0.61738),(3965,3505,1.7173,-0.58852),(3965,3515,1.7532,-0.55965),(3965,3525,1.7891,-0.53051),(3965,3535,1.825,-0.49021),(3965,3545,1.8608,-0.44992),(3965,3555,1.8937,-0.40962),(3965,3565,1.9266,-0.36834),(3965,3575,1.9595,-0.31271),(3965,3585,1.9916,-0.25708),(3965,3595,2.0139,-0.20145),(3965,3605,2.0362,-0.14404),(3965,3615,2.0586,-0.071271),(3965,3625,2.0775,0.001498),(3965,3635,2.072,0.074266),(3965,3645,2.0666,0.14716),(3965,3655,2.0612,0.22084),(3965,3665,2.0501,0.29451),(3965,3675,2.0102,0.36818),(3965,3685,1.9702,0.43652),(3965,3695,1.9302,0.48111),(3965,3705,1.8903,0.5257),(3965,3715,1.8506,0.57029),(3965,3725,1.8109,0.61173),(3965,3735,1.7711,0.64222),(3965,3745,1.7319,0.67271),(3965,3755,1.694,0.7032),(3965,3765,1.6561,0.73144),(3965,3775,1.6182,0.75335),(3965,3785,1.581,0.77527),(3965,3795,1.5453,0.79718),(3965,3805,1.5096,0.81737),(3965,3815,1.474,0.83354),(3965,3825,1.439,0.84971),(3965,3835,1.4055,0.86589),(3965,3845,1.3721,0.8807),(3965,3855,1.3386,0.89288),(3965,3865,1.3058,0.90506),(3965,3875,1.2744,0.91724),(3965,3885,1.2429,0.92834),(3965,3895,1.2114,0.93769),(3965,3905,1.1806,0.94705),(3965,3915,1.1508,0.9564),(3965,3925,1.1211,0.96491),(3965,3935,1.0914,0.97224),(3965,3945,1.0622,0.97958),(3965,3955,1.034,0.98691),(3965,3965,1.0057,0.99357),(3965,3975,0.97739,0.99945),(3965,3985,0.94967,1.0053),(3965,3995,0.92259,1.0112),(3965,4005,0.8955,1.0166),(3965,4015,0.86841,1.0215),(3965,4025,1.2143,1.0264),(3965,4035,1.5967,1.0288),(3965,4045,1.9791,1.0262),(3965,4055,2.252,1.0235),(3965,4065,2.485,1.0202),(3965,4075,2.718,1.0129),(3965,4085,2.8176,1.0056),(3965,4095,2.81,0.99835),(3965,4105,2.8024,0.99094),(3965,4115,2.7032,0.98353),(3965,4125,2.4519,0.97612),(3965,4135,2.2007,0.97163),(3965,4145,1.9464,0.96793),(3965,4155,1.6799,0.96423),(3965,4165,1.4134,0.96286),(3965,4175,1.1617,0.963),(3965,4185,1.6438,0.96314),(3965,4195,2.1258,0.95978),(3965,4205,2.6079,0.95179),(3965,4215,2.6797,0.9438),(3965,4225,2.6744,0.93579),(3965,4235,2.6691,0.92771),(3965,4245,2.6593,0.91964),(3965,4255,2.6472,0.91145),(3965,4265,2.6352,0.90194),(3965,4275,2.3109,0.89243),(3965,4285,1.6552,0.88291),(3965,4295,0.99946,0.88339),(3965,4305,0.71618,0.88502),(3965,4315,1.2739,0.88666),(3965,4325,1.8315,0.8824),(3965,4335,2.327,0.87582),(3965,4345,2.4016,0.86924),(3965,4355,2.4762,0.86194),(3965,4365,2.5509,0.85401),(3965,4375,2.5512,0.84608),(3965,4385,2.5478,0.83809),(3965,4395,2.5443,0.83002),(3965,4405,2.2238,0.82194),(3965,4415,1.8099,0.81494),(3965,4425,1.396,0.81272),(3965,4435,1.2187,0.81049),(3965,4445,1.2031,0.80827),(3965,4455,1.1874,0.80617),(3965,4465,1.3484,0.80407),(3965,4475,1.7575,0.80197),(3965,4485,2.1667,0.79485),(3965,4495,2.478,0.78667),(3965,4505,2.4757,0.7785),(3965,4515,2.4735,0.77037),(3965,4525,2.4663,0.76227),(3965,4535,2.3819,0.75416),(3965,4545,2.2975,0.74657),(3965,4555,2.2132,0.73957),(3965,4565,1.6756,0.73256),(3965,4575,1.077,0.72808),(3965,4585,0.47844,0.72973),(3965,4595,0.76366,0.73138),(3965,4605,1.4223,0.73171),(3965,4615,2.0809,0.72182),(3965,4625,2.3964,0.71193),(3965,4635,2.401,0.70205),(3965,4645,2.4056,0.69346),(3965,4655,2.4082,0.68495),(3965,4665,2.4072,0.67645),(3965,4675,2.4062,0.66811),(3965,4685,2.3204,0.65981),(3965,4695,1.8152,0.65151),(3965,4705,1.31,0.64735),(3965,4715,0.80482,0.64618),(3965,4725,1.0395,0.64502),(3965,4735,1.2815,0.64252),(3965,4745,1.5236,0.63803),(3965,4755,1.7723,0.63354),(3965,4765,2.0225,0.6283),(3965,4775,2.2727,0.6204),(3965,4785,2.3638,0.61251),(3965,4795,2.3629,0.60462),(3965,4805,2.3621,0.59692),(3965,4815,2.2458,0.58922),(3965,4825,1.9915,0.58152),(3965,4835,1.7372,0.57664),(3965,4845,1.4796,0.57221),(3965,4855,1.2133,0.56777),(3965,4865,0.94713,0.56564),(3965,4875,0.75779,0.56456),(3965,4885,1.268,0.56347),(3965,4895,1.7781,0.55919),(3965,4905,2.2883,0.55184),(3965,4915,2.3281,0.54449),(3965,4925,2.3274,0.53717),(3965,4935,2.3267,0.5299),(3965,4945,2.3239,0.52263),(3965,4955,2.3202,0.51528),(3965,4965,2.3166,0.50749),(3965,4975,1.93,0.49971),(3965,4985,1.2478,0.49192),(3965,4995,0.56555,0.49247),(3965,5005,0.34365,0.49324),(3965,5015,0.85356,0.494),(3965,5025,1.3635,0.49022),(3965,5035,1.8027,0.48529),(3965,5045,1.9726,0.48036),(3965,5055,2.1424,0.47425),(3965,5065,2.3072,0.46742),(3965,5075,2.3068,0.4606),(3965,5085,2.3064,0.45382),(3965,5095,2.306,0.44711),(3965,5105,2.0116,0.4404),(3965,5115,1.666,0.43466),(3965,5125,1.3204,0.43164),(3965,5135,1.1445,0.42863),(3965,5145,1.051,0.42571),(3965,5155,0.95752,0.42384),(3965,5165,1.1258,0.42198),(3965,5175,1.5611,0.42011),(3965,5185,1.9965,0.4146),(3965,5195,2.2936,0.40871),(3965,5205,2.2929,0.40282),(3965,5215,2.2922,0.397),(3965,5225,2.2796,0.3912),(3965,5235,2.1934,0.3854),(3965,5245,2.1071,0.38006),(3965,5255,2.0208,0.37508),(3965,5265,1.4204,0.37011),(3965,5275,0.79883,0.36708),(3965,5285,0.17724,0.36736),(3965,5295,0.58527,0.36764),(3965,5305,1.28,0.36697),(3965,5315,1.9748,0.36231),(3965,5325,2.2501,0.35766),(3965,5335,2.2505,0.35301),(3965,5345,2.2508,0.34867),(3965,5355,2.2505,0.34434),(3965,5365,2.2494,0.34001),(3965,5375,2.2483,0.3357),(3965,5385,2.1185,0.33141),(3965,5395,1.5976,0.32711),(3965,5405,1.0767,0.32506),(3965,5415,0.61012,0.32417),(3965,5425,0.87321,0.32328),(3965,5435,1.1363,0.32242),(3965,5445,1.3994,0.32159),(3965,5455,1.6617,0.32077),(3965,5465,1.9239,0.31973),(3965,5475,2.1861,0.31819),(3965,5485,2.2601,0.31665),(3965,5495,2.2583,0.31511),(3965,5505,2.2565,0.31352),(3965,5515,2.2548,0.31192),(3965,5525,2.2532,0.31033),(3965,5535,2.2516,0.30866),(3965,5545,2.25,0.30698),(3965,5555,2.2485,0.3053),(3965,5565,2.247,0.30355),(3965,5575,2.2456,0.30178),(3965,5585,2.2442,0.3),(3965,5595,2.2429,0.29819),(3965,5605,2.2415,0.29633),(3965,5615,2.2402,0.29448),(3965,5625,2.239,0.29261),(3965,5635,2.2377,0.29069),(3965,5645,2.2365,0.28878),(3965,5655,2.2353,0.28685),(3965,5665,2.2341,0.2849),(3965,5675,2.2329,0.28295),(3965,5685,2.2318,0.281),(3965,5695,2.2306,0.27905),(3965,5705,2.2294,0.27709),(3965,5715,2.2283,0.27514),(3965,5725,2.2271,0.27319),(3965,5735,2.2259,0.27125),(3965,5745,2.2248,0.26931),(3965,5755,2.2236,0.2674),(3965,5765,2.2224,0.26551),(3965,5775,2.2211,0.26361),(3965,5785,2.2199,0.26176),(3965,5795,2.2187,0.25993),(3965,5805,2.2174,0.25811),(3965,5815,2.2161,0.25632),(3965,5825,2.2148,0.25459),(3965,5835,2.2135,0.25286),(3965,5845,2.2121,0.25115),(3965,5855,2.2108,0.24954),(3965,5865,2.2094,0.24792),(3965,5875,2.208,0.24631),(3965,5885,2.2066,0.2448),(3965,5895,2.2052,0.24329),(3965,5905,2.2038,0.24178),(3965,5915,2.2023,0.24035),(3965,5925,2.2009,0.23893),(3965,5935,2.1994,0.23751),(3965,5945,2.198,0.23614),(3965,5955,2.1965,0.2348),(3965,5965,2.195,0.23345),(3965,5975,2.1936,0.23214),(3965,5985,2.1921,0.23085),(3965,5995,1.6752,0.22956),(3965,6005,1.0754,0.2286),(3965,6015,0.47555,0.2285),(3965,6025,0.64421,0.22839),(3965,6035,1.1693,0.2279),(3965,6045,1.6944,0.22366),(3965,6055,2.0571,0.21941),(3965,6065,2.2607,0.21517),(3965,6075,2.4643,0.20963),(3965,6085,2.6014,0.20398),(3965,6095,2.6012,0.19832),(3965,6105,2.6011,0.19273),(3965,6115,2.601,0.18715),(3965,6125,2.6006,0.18158),(3965,6135,2.6003,0.1761),(3965,6145,2.5999,0.17068),(3965,6155,2.5994,0.16527),(3965,6165,2.5988,0.15993),(3965,6175,2.5982,0.15472),(3965,6185,2.5975,0.14951),(3965,6195,2.5967,0.14435),(3965,6205,2.5959,0.13943),(3965,6215,2.595,0.13451),(3965,6225,2.594,0.12959),(3965,6235,2.593,0.125),(3965,6245,2.592,0.1204),(3965,6255,2.5908,0.1158),(3965,6265,2.5897,0.11147),(3965,6275,2.5885,0.10719),(3965,6285,2.5873,0.10291),(3965,6295,2.586,0.098884),(3965,6305,2.5847,0.094981),(3965,6315,2.5834,0.091079),(3965,6325,2.5821,0.087307),(3965,6335,2.5808,0.083669),(3965,6345,2.5795,0.080032),(3965,6355,2.5781,0.076502),(3965,6365,2.5768,0.073208),(3965,6375,2.5755,0.069914),(3965,6385,2.5742,0.066655),(3965,6395,2.573,0.063628),(3965,6405,2.5717,0.060601),(3965,6415,2.5706,0.057574),(3965,6425,2.5694,0.054709),(3965,6435,2.5683,0.051852),(3965,6445,2.5673,0.048995),(3965,6455,2.5663,0.046295),(3965,6465,2.5653,0.043641),(3965,6475,2.5644,0.040986),(3965,6485,2.5636,0.038413),(3965,6495,2.5628,0.035895),(3965,6505,2.5621,0.033377),(3965,6515,2.5615,0.030897),(3965,6525,2.5609,0.028472),(3965,6535,2.5604,0.026047),(3965,6545,2.56,0.023638),(3965,6555,2.5595,0.021281),(3965,6565,2.5593,0.018924),(3965,6575,2.559,0.016572),(3965,6585,2.5588,0.014313),(3965,6595,2.1763,0.012053),(3965,6605,1.3718,0.009794),(3965,6615,0.56718,0.009571),(3965,6625,0.001592,0.00961),(3965,6635,0.001596,0.009649),(3965,6645,0.001601,0.009659),(3965,6655,0.001606,0.009655),(3965,6665,0.001611,0.009652),(3965,6675,0.001615,0.009649),(3965,6685,0.00162,0.009645),(3965,6695,0.001624,0.009641),(3965,6705,0.001629,0.009636),(3965,6715,0.001633,0.009631),(3965,6725,0.001638,0.009627),(3965,6735,0.001642,0.009622),(3965,6745,0.001646,0.009616),(3965,6755,0.00165,0.00961),(3965,6765,0.001654,0.009605),(3965,6775,0.001657,0.009599),(3965,6785,0.001661,0.009592),(3965,6795,0.001664,0.009586),(3965,6805,0.001668,0.00958),(3965,6815,0.001671,0.009573),(3965,6825,0.001674,0.009566),(3965,6835,0.001678,0.009559),(3965,6845,0.001681,0.009552),(3965,6855,0.001684,0.009545),(3965,6865,0.001687,0.009538),(3965,6875,0.001689,0.00953),(3965,6885,0.001692,0.009522),(3965,6895,0.001694,0.009515),(3965,6905,0.001697,0.009507),(3965,6915,0.001699,0.009499),(3965,6925,0.001702,0.009492),(3965,6935,0.001704,0.009484),(3965,6945,0.001706,0.009476),(3965,6955,0.001708,0.009468),(3965,6965,0.00171,0.00946),(3965,6975,0.001712,0.009451),(3965,6985,0.001713,0.009443),(3975,5,1.8e-05,-0.003672),(3975,15,5.4e-05,-0.003675),(3975,25,9e-05,-0.003677),(3975,35,0.000126,-0.003679),(3975,45,0.000161,-0.003684),(3975,55,0.000197,-0.003691),(3975,65,0.000233,-0.003698),(3975,75,0.000269,-0.003706),(3975,85,0.000304,-0.003716),(3975,95,0.00034,-0.003727),(3975,105,0.000376,-0.003739),(3975,115,0.000411,-0.003751),(3975,125,0.000447,-0.003766),(3975,135,0.000482,-0.003784),(3975,145,0.000517,-0.003801),(3975,155,0.000552,-0.003818),(3975,165,0.000587,-0.003839),(3975,175,0.000622,-0.003861),(3975,185,0.000657,-0.003883),(3975,195,0.000691,-0.003906),(3975,205,0.000726,-0.003932),(3975,215,0.00076,-0.003959),(3975,225,0.000793,-0.003987),(3975,235,0.000827,-0.004015),(3975,245,0.00086,-0.004047),(3975,255,0.000893,-0.00408),(3975,265,0.000926,-0.004113),(3975,275,0.000958,-0.004147),(3975,285,0.000991,-0.004185),(3975,295,0.001023,-0.004226),(3975,305,0.001054,-0.004266),(3975,315,0.001085,-0.004306),(3975,325,0.001117,-0.004352),(3975,335,0.001148,-0.004399),(3975,345,0.001177,-0.004446),(3975,355,0.001207,-0.004493),(3975,365,0.001236,-0.004547),(3975,375,0.001265,-0.004601),(3975,385,0.001293,-0.004656),(3975,395,0.00132,-0.004711),(3975,405,0.001347,-0.004773),(3975,415,0.001374,-0.004836),(3975,425,0.001399,-0.004899),(3975,435,0.001423,-0.004962),(3975,445,0.001447,-0.005033),(3975,455,0.001472,-0.005106),(3975,465,0.001493,-0.005178),(3975,475,0.001514,-0.00525),(3975,485,0.001535,-0.005332),(3975,495,0.001555,-0.005414),(3975,505,0.001571,-0.005497),(3975,515,0.001588,-0.005579),(3975,525,0.001604,-0.005672),(3975,535,0.00162,-0.005765),(3975,545,0.001631,-0.005858),(3975,555,0.001641,-0.005952),(3975,565,0.001652,-0.006058),(3975,575,0.001662,-0.006163),(3975,585,0.001666,-0.006269),(3975,595,0.00167,-0.006376),(3975,605,0.001674,-0.006495),(3975,615,0.001676,-0.006613),(3975,625,0.001671,-0.006732),(3975,635,0.001666,-0.006853),(3975,645,0.001661,-0.006987),(3975,655,0.001654,-0.00712),(3975,665,0.001639,-0.007253),(3975,675,0.001623,-0.00739),(3975,685,0.001607,-0.007539),(3975,695,0.001589,-0.007688),(3975,705,0.001559,-0.007838),(3975,715,0.00153,-0.00799),(3975,725,0.001501,-0.008157),(3975,735,0.001468,-0.008323),(3975,745,0.001422,-0.008489),(3975,755,0.001376,-0.00866),(3975,765,0.00133,-0.008844),(3975,775,0.001279,-0.009028),(3975,785,0.001212,-0.009212),(3975,795,0.001146,-0.009401),(3975,805,0.00108,-0.009604),(3975,815,0.001006,-0.009806),(3975,825,0.000915,-0.010009),(3975,835,0.000824,-0.010217),(3975,845,0.000733,-0.010438),(3975,855,0.000631,-0.010659),(3975,865,0.00051,-0.010881),(3975,875,0.000389,-0.011108),(3975,885,0.000268,-0.011347),(3975,895,0.000133,-0.011586),(3975,905,-2.4e-05,-0.011825),(3975,915,-0.000181,-0.012071),(3975,925,-0.000338,-0.012326),(3975,935,-0.000514,-0.012581),(3975,945,-0.000713,-0.012837),(3975,955,-0.000912,-0.013098),(3975,965,-0.001112,-0.013366),(3975,975,-0.001335,-0.013635),(3975,985,-0.001584,-0.013903),(3975,995,-0.001832,-0.014175),(3975,1005,-0.002082,-0.014452),(3975,1015,-0.002359,-0.014728),(3975,1025,-0.002665,-0.015005),(3975,1035,-0.002971,-0.015281),(3975,1045,-0.003276,-0.015559),(3975,1055,-0.003616,-0.015836),(3975,1065,-0.003985,-0.016113),(3975,1075,-0.004354,-0.016386),(3975,1085,-0.004722,-0.016654),(3975,1095,-0.005131,-0.016923),(3975,1105,-0.005568,-0.017191),(3975,1115,-0.006006,-0.017447),(3975,1125,-0.006443,-0.017695),(3975,1135,-0.006925,-0.017942),(3975,1145,-0.007433,-0.01819),(3975,1155,-0.007942,-0.018415),(3975,1165,-0.00845,-0.018627),(3975,1175,-0.009006,-0.018839),(3975,1185,-0.009586,-0.019052),(3975,1195,-0.010165,-0.019229),(3975,1205,-0.010744,-0.019391),(3975,1215,-0.01137,-0.019553),(3975,1225,-0.012016,-0.019714),(3975,1235,-0.012662,-0.019828),(3975,1245,-0.013307,-0.019923),(3975,1255,-0.013995,-0.020018),(3975,1265,-0.014697,-0.020114),(3975,1275,-0.015399,-0.020148),(3975,1285,-0.016101,-0.020164),(3975,1295,-0.016837,-0.02018),(3975,1305,-0.017581,-0.020196),(3975,1315,-0.018325,-0.020141),(3975,1325,-0.01907,-0.020068),(3975,1335,-0.019835,-0.019996),(3975,1345,-0.020604,-0.019924),(3975,1355,-0.021373,-0.019774),(3975,1365,-0.022143,-0.019611),(3975,1375,-0.022918,-0.019447),(3975,1385,-0.023694,-0.019283),(3975,1395,-0.02447,-0.019042),(3975,1405,-0.025246,-0.018791),(3975,1415,-0.026012,-0.01854),(3975,1425,-0.026778,-0.018288),(3975,1435,-0.027543,-0.017965),(3975,1445,-0.028309,-0.017637),(3975,1455,-0.029051,-0.017308),(3975,1465,-0.029792,-0.016979),(3975,1475,-0.030533,-0.01659),(3975,1485,-0.031275,-0.016198),(3975,1495,-0.031983,-0.015807),(3975,1505,-0.032691,-0.015415),(3975,1515,-0.033399,-0.014978),(3975,1525,-0.034105,-0.014541),(3975,1535,-0.034776,-0.014104),(3975,1545,-0.035447,-0.013665),(3975,1555,-0.036118,-0.0132),(3975,1565,-0.036786,-0.012734),(3975,1575,-0.037421,-0.012268),(3975,1585,-0.038056,-0.011802),(3975,1595,-0.038691,-0.011324),(3975,1605,-0.039322,-0.010846),(3975,1615,-0.039926,-0.010368),(3975,1625,-0.04053,-0.00989),(3975,1635,-0.041134,-0.009415),(3975,1645,-0.041734,-0.00894),(3975,1655,-0.042314,-0.008465),(3975,1665,-0.042894,-0.007992),(3975,1675,-0.043474,-0.007533),(3975,1685,-0.044052,-0.007073),(3975,1695,-0.044617,-0.006614),(3975,1705,-0.045183,-0.006159),(3975,1715,-0.045748,-0.005726),(3975,1725,-0.046313,-0.005293),(3975,1735,-0.046875,-0.00486),(3975,1745,-0.047436,-0.004436),(3975,1755,-0.047998,-0.004038),(3975,1765,-0.048561,-0.003641),(3975,1775,-0.04913,-0.003244),(3975,1785,-0.049699,-0.002859),(3975,1795,-0.050268,-0.002505),(3975,1805,-0.050843,-0.002151),(3975,1815,-0.051431,-0.001798),(3975,1825,-0.052019,-0.001461),(3975,1835,-0.052607,-0.001159),(3975,1845,-0.053205,-0.000857),(3975,1855,-0.053824,-0.000555),(3975,1865,-0.054443,-0.000275),(3975,1875,-0.055061,-3.3e-05),(3975,1885,-0.055696,0.000209),(3975,1895,-0.056358,0.00045),(3975,1905,-0.057019,0.000665),(3975,1915,-0.057681,0.000838),(3975,1925,-0.058366,0.001011),(3975,1935,-0.059083,0.001184),(3975,1945,-0.059801,0.001322),(3975,1955,-0.060518,0.001417),(3975,1965,-0.061268,0.001512),(3975,1975,-0.062056,0.001606),(3975,1985,-0.062843,0.001657),(3975,1995,-0.06363,0.001661),(3975,2005,-0.06446,0.001665),(3975,2015,-0.065333,0.001669),(3975,2025,-0.066205,0.001618),(3975,2035,-0.067078,0.001517),(3975,2045,-0.068005,0.001415),(3975,2055,-0.06898,0.001314),(3975,2065,-0.069954,0.001143),(3975,2075,-0.070928,0.000918),(3975,2085,-0.071973,0.000694),(3975,2095,-0.073068,0.000469),(3975,2105,-0.074164,0.000157),(3975,2115,-0.075259,-0.000214),(3975,2125,-0.076444,-0.000585),(3975,2135,-0.077682,-0.000955),(3975,2145,-0.078921,-0.001437),(3975,2155,-0.08016,-0.001982),(3975,2165,-0.081509,-0.002527),(3975,2175,-0.082917,-0.003072),(3975,2185,-0.084324,-0.00376),(3975,2195,-0.085732,-0.004515),(3975,2205,-0.087278,-0.00527),(3975,2215,-0.088883,-0.006025),(3975,2225,-0.090489,-0.006964),(3975,2235,-0.092095,-0.007974),(3975,2245,-0.093873,-0.008985),(3975,2255,-0.095712,-0.009996),(3975,2265,-0.097551,-0.011245),(3975,2275,-0.099389,-0.01257),(3975,2285,-0.10144,-0.013895),(3975,2295,-0.10355,-0.015221),(3975,2305,-0.10566,-0.016858),(3975,2315,-0.10778,-0.018574),(3975,2325,-0.11015,-0.02029),(3975,2335,-0.11258,-0.022007),(3975,2345,-0.11501,-0.024135),(3975,2355,-0.11744,-0.026343),(3975,2365,-0.12018,-0.028551),(3975,2375,-0.12298,-0.030759),(3975,2385,-0.12578,-0.033515),(3975,2395,-0.12858,-0.036349),(3975,2405,-0.13176,-0.039182),(3975,2415,-0.13498,-0.042016),(3975,2425,-0.1382,-0.045588),(3975,2435,-0.14142,-0.049228),(3975,2445,-0.14509,-0.052867),(3975,2455,-0.14878,-0.056507),(3975,2465,-0.15247,-0.061153),(3975,2475,-0.15617,-0.065845),(3975,2485,-0.16035,-0.070538),(3975,2495,-0.16455,-0.075231),(3975,2505,-0.16874,-0.081309),(3975,2515,-0.17295,-0.087395),(3975,2525,-0.17763,-0.09348),(3975,2535,-0.18232,-0.09963),(3975,2545,-0.187,-0.10758),(3975,2555,-0.19171,-0.11553),(3975,2565,-0.19676,-0.12347),(3975,2575,-0.20181,-0.13161),(3975,2585,-0.20687,-0.14206),(3975,2595,-0.21192,-0.15252),(3975,2605,-0.21699,-0.16297),(3975,2615,-0.22207,-0.17381),(3975,2625,-0.22714,-0.18762),(3975,2635,-0.23211,-0.20143),(3975,2645,-0.23641,-0.21524),(3975,2655,-0.2407,-0.22973),(3975,2665,-0.245,-0.24792),(3975,2675,-0.24887,-0.26611),(3975,2685,-0.25073,-0.2843),(3975,2695,-0.2526,-0.30351),(3975,2705,-0.25446,-0.32694),(3975,2715,-0.25515,-0.35038),(3975,2725,-0.25149,-0.37381),(3975,2735,-0.24784,-0.39833),(3975,2745,-0.24418,-0.42644),(3975,2755,-0.23798,-0.45455),(3975,2765,-0.22425,-0.48265),(3975,2775,-0.21052,-0.50971),(3975,2785,-0.19679,-0.53398),(3975,2795,-0.18124,-0.55824),(3975,2805,-0.16127,-0.5825),(3975,2815,-0.1413,-0.60511),(3975,2825,-0.12134,-0.62408),(3975,2835,-0.1004,-0.64305),(3975,2845,-0.077494,-0.66202),(3975,2855,-0.054593,-0.67938),(3975,2865,-0.031692,-0.69378),(3975,2875,-0.008372,-0.70817),(3975,2885,0.015659,-0.72257),(3975,2895,0.03969,-0.73558),(3975,2905,0.063721,-0.74643),(3975,2915,0.087871,-0.75727),(3975,2925,0.11219,-0.76812),(3975,2935,0.13652,-0.77781),(3975,2945,0.16084,-0.78596),(3975,2955,0.18515,-0.79411),(3975,2965,0.20944,-0.80226),(3975,2975,0.23372,-0.80944),(3975,2985,0.25801,-0.81553),(3975,2995,0.28225,-0.82162),(3975,3005,0.30644,-0.8277),(3975,3015,0.33063,-0.83296),(3975,3025,0.35482,-0.83741),(3975,3035,0.37899,-0.84186),(3975,3045,0.40314,-0.84631),(3975,3055,0.42729,-0.85002),(3975,3065,0.45144,-0.85311),(3975,3075,0.47564,-0.8562),(3975,3085,0.49988,-0.8593),(3975,3095,0.52411,-0.86168),(3975,3105,0.54835,-0.86357),(3975,3115,0.57273,-0.86545),(3975,3125,0.5972,-0.86734),(3975,3135,0.62168,-0.8685),(3975,3145,0.64615,-0.86923),(3975,3155,0.6709,-0.86997),(3975,3165,0.69579,-0.8707),(3975,3175,0.72068,-0.87064),(3975,3185,0.74557,-0.87018),(3975,3195,0.77087,-0.86972),(3975,3205,0.79637,-0.86926),(3975,3215,0.82186,-0.86786),(3975,3225,0.84735,-0.86608),(3975,3235,0.87343,-0.8643),(3975,3245,0.89973,-0.86252),(3975,3255,0.92602,-0.85958),(3975,3265,0.95232,-0.85625),(3975,3275,0.97939,-0.85291),(3975,3285,1.0067,-0.84958),(3975,3295,1.034,-0.84474),(3975,3305,1.0613,-0.83949),(3975,3315,1.0896,-0.83425),(3975,3325,1.1181,-0.829),(3975,3335,1.1466,-0.82175),(3975,3345,1.1751,-0.81407),(3975,3355,1.2048,-0.80639),(3975,3365,1.2346,-0.79871),(3975,3375,1.2645,-0.78827),(3975,3385,1.2944,-0.7774),(3975,3395,1.3256,-0.76654),(3975,3405,1.3569,-0.75567),(3975,3415,1.3883,-0.74096),(3975,3425,1.4196,-0.72584),(3975,3435,1.4522,-0.71073),(3975,3445,1.4849,-0.69562),(3975,3455,1.5176,-0.67506),(3975,3465,1.5503,-0.6542),(3975,3475,1.5837,-0.63333),(3975,3485,1.6172,-0.61247),(3975,3495,1.6507,-0.58388),(3975,3505,1.6842,-0.55518),(3975,3515,1.717,-0.52649),(3975,3525,1.7498,-0.49753),(3975,3535,1.7826,-0.45826),(3975,3545,1.8152,-0.419),(3975,3555,1.8439,-0.37974),(3975,3565,1.8726,-0.33961),(3975,3575,1.9013,-0.28683),(3975,3585,1.929,-0.23405),(3975,3595,1.9464,-0.18127),(3975,3605,1.9639,-0.12703),(3975,3615,1.9813,-0.06017),(3975,3625,1.9959,0.006687),(3975,3635,1.9901,0.073543),(3975,3645,1.9844,0.14043),(3975,3655,1.9786,0.20751),(3975,3665,1.9686,0.27459),(3975,3675,1.937,0.34167),(3975,3685,1.9054,0.40444),(3975,3695,1.8738,0.44795),(3975,3705,1.8414,0.49146),(3975,3715,1.8055,0.53498),(3975,3725,1.7696,0.57561),(3975,3735,1.7337,0.60619),(3975,3745,1.6979,0.63678),(3975,3755,1.6623,0.66736),(3975,3765,1.6267,0.69577),(3975,3775,1.5911,0.71806),(3975,3785,1.5559,0.74036),(3975,3795,1.5218,0.76266),(3975,3805,1.4877,0.78324),(3975,3815,1.4535,0.79986),(3975,3825,1.42,0.81648),(3975,3835,1.3876,0.8331),(3975,3845,1.3552,0.84835),(3975,3855,1.3228,0.86096),(3975,3865,1.291,0.87358),(3975,3875,1.2603,0.88619),(3975,3885,1.2296,0.89771),(3975,3895,1.1989,0.90745),(3975,3905,1.1688,0.9172),(3975,3915,1.1396,0.92694),(3975,3925,1.1104,0.93581),(3975,3935,1.0812,0.94348),(3975,3945,1.0526,0.95115),(3975,3955,1.0248,0.95882),(3975,3965,0.9969,0.9658),(3975,3975,0.96904,0.97195),(3975,3985,0.9417,0.9781),(3975,3995,0.91494,0.98426),(3975,4005,0.88818,0.9899),(3975,4015,0.86142,0.99503),(3975,4025,1.2086,1.0002),(3975,4035,1.5923,1.0029),(3975,4045,1.976,1.0005),(3975,4055,2.2499,0.99812),(3975,4065,2.4837,0.99508),(3975,4075,2.7175,0.98814),(3975,4085,2.8175,0.9812),(3975,4095,2.81,0.97425),(3975,4105,2.8025,0.96715),(3975,4115,2.7031,0.96005),(3975,4125,2.4513,0.95294),(3975,4135,2.1996,0.94871),(3975,4145,1.9448,0.94525),(3975,4155,1.6778,0.94179),(3975,4165,1.4108,0.94062),(3975,4175,1.1586,0.94092),(3975,4185,1.6419,0.94121),(3975,4195,2.1252,0.93804),(3975,4205,2.6085,0.93027),(3975,4215,2.6806,0.92251),(3975,4225,2.6753,0.91471),(3975,4235,2.67,0.90685),(3975,4245,2.6605,0.89899),(3975,4255,2.6489,0.89102),(3975,4265,2.6374,0.88178),(3975,4275,2.3125,0.87253),(3975,4285,1.6551,0.86329),(3975,4295,0.99767,0.86395),(3975,4305,0.71351,0.86576),(3975,4315,1.2722,0.86756),(3975,4325,1.8309,0.86342),(3975,4335,2.3273,0.85693),(3975,4345,2.4021,0.85044),(3975,4355,2.4769,0.8432),(3975,4365,2.5517,0.83533),(3975,4375,2.5522,0.82746),(3975,4385,2.5487,0.81953),(3975,4395,2.5453,0.8115),(3975,4405,2.2244,0.80347),(3975,4415,1.8098,0.79653),(3975,4425,1.3952,0.79443),(3975,4435,1.2176,0.79234),(3975,4445,1.202,0.79024),(3975,4455,1.1864,0.78828),(3975,4465,1.3477,0.78631),(3975,4475,1.7575,0.78435),(3975,4485,2.1674,0.77735),(3975,4495,2.4793,0.76929),(3975,4505,2.477,0.76124),(3975,4515,2.4747,0.75322),(3975,4525,2.4675,0.74523),(3975,4535,2.383,0.73723),(3975,4545,2.2986,0.72975),(3975,4555,2.2141,0.72284),(3975,4565,1.6756,0.71593),(3975,4575,1.076,0.71154),(3975,4585,0.47634,0.71326),(3975,4595,0.7625,0.71497),(3975,4605,1.4229,0.71539),(3975,4615,2.0834,0.70571),(3975,4625,2.3994,0.69602),(3975,4635,2.4035,0.68634),(3975,4645,2.4077,0.67791),(3975,4655,2.41,0.66957),(3975,4665,2.409,0.66123),(3975,4675,2.4079,0.65304),(3975,4685,2.3219,0.6449),(3975,4695,1.8158,0.63676),(3975,4705,1.3098,0.6327),(3975,4715,0.8038,0.6316),(3975,4725,1.0388,0.63051),(3975,4735,1.2813,0.6281),(3975,4745,1.5237,0.62372),(3975,4755,1.7727,0.61935),(3975,4765,2.0233,0.61423),(3975,4775,2.2739,0.60651),(3975,4785,2.3651,0.5988),(3975,4795,2.3642,0.59108),(3975,4805,2.3632,0.58355),(3975,4815,2.2468,0.57601),(3975,4825,1.9921,0.56848),(3975,4835,1.7375,0.56372),(3975,4845,1.4796,0.55939),(3975,4855,1.2131,0.55507),(3975,4865,0.94654,0.553),(3975,4875,0.75699,0.55195),(3975,4885,1.2677,0.55091),(3975,4895,1.7784,0.54671),(3975,4905,2.2891,0.53948),(3975,4915,2.3289,0.53225),(3975,4925,2.3282,0.52505),(3975,4935,2.3275,0.5179),(3975,4945,2.3248,0.51076),(3975,4955,2.3213,0.50353),(3975,4965,2.3179,0.49589),(3975,4975,1.9309,0.48824),(3975,4985,1.2479,0.4806),(3975,4995,0.56488,0.48117),(3975,5005,0.34265,0.48195),(3975,5015,0.85295,0.48272),(3975,5025,1.3633,0.47904),(3975,5035,1.8028,0.47421),(3975,5045,1.9728,0.46939),(3975,5055,2.1428,0.46341),(3975,5065,2.3077,0.45672),(3975,5075,2.3072,0.45003),(3975,5085,2.3068,0.44339),(3975,5095,2.3063,0.43682),(3975,5105,2.0118,0.43025),(3975,5115,1.666,0.42462),(3975,5125,1.3202,0.42168),(3975,5135,1.1442,0.41874),(3975,5145,1.0506,0.4159),(3975,5155,0.95697,0.41409),(3975,5165,1.1253,0.41227),(3975,5175,1.5607,0.41046),(3975,5185,1.9961,0.40507),(3975,5195,2.2933,0.39931),(3975,5205,2.2925,0.39355),(3975,5215,2.2918,0.38786),(3975,5225,2.2792,0.38219),(3975,5235,2.1929,0.37651),(3975,5245,2.1066,0.37129),(3975,5255,2.0203,0.36642),(3975,5265,1.42,0.36156),(3975,5275,0.79839,0.35861),(3975,5285,0.17684,0.35889),(3975,5295,0.58463,0.35917),(3975,5305,1.2791,0.35853),(3975,5315,1.9735,0.35399),(3975,5325,2.2487,0.34946),(3975,5335,2.249,0.34493),(3975,5345,2.2492,0.3407),(3975,5355,2.2489,0.33647),(3975,5365,2.2477,0.33224),(3975,5375,2.2466,0.32804),(3975,5385,2.1169,0.32385),(3975,5395,1.5963,0.31965),(3975,5405,1.0757,0.31765),(3975,5415,0.60938,0.31679),(3975,5425,0.87175,0.31593),(3975,5435,1.1341,0.31509),(3975,5445,1.3965,0.31428),(3975,5455,1.6583,0.31347),(3975,5465,1.92,0.31245),(3975,5475,2.1817,0.31093),(3975,5485,2.2556,0.30941),(3975,5495,2.2538,0.30788),(3975,5505,2.2521,0.30631),(3975,5515,2.2504,0.30473),(3975,5525,2.2488,0.30315),(3975,5535,2.2472,0.30148),(3975,5545,2.2457,0.29982),(3975,5555,2.2442,0.29815),(3975,5565,2.2428,0.29641),(3975,5575,2.2414,0.29465),(3975,5585,2.24,0.29289),(3975,5595,2.2387,0.29108),(3975,5605,2.2374,0.28924),(3975,5615,2.2361,0.2874),(3975,5625,2.2349,0.28553),(3975,5635,2.2337,0.28363),(3975,5645,2.2325,0.28173),(3975,5655,2.2313,0.27982),(3975,5665,2.2301,0.2779),(3975,5675,2.2289,0.27597),(3975,5685,2.2278,0.27404),(3975,5695,2.2266,0.27212),(3975,5705,2.2255,0.2702),(3975,5715,2.2243,0.26828),(3975,5725,2.2232,0.26639),(3975,5735,2.222,0.2645),(3975,5745,2.2208,0.2626),(3975,5755,2.2196,0.26076),(3975,5765,2.2184,0.25893),(3975,5775,2.2172,0.25711),(3975,5785,2.2159,0.25533),(3975,5795,2.2147,0.25359),(3975,5805,2.2134,0.25185),(3975,5815,2.2121,0.25016),(3975,5825,2.2108,0.24853),(3975,5835,2.2094,0.24691),(3975,5845,2.208,0.24531),(3975,5855,2.2067,0.24382),(3975,5865,2.2053,0.24233),(3975,5875,2.2039,0.24084),(3975,5885,2.2024,0.23947),(3975,5895,2.201,0.2381),(3975,5905,2.1995,0.23673),(3975,5915,2.1981,0.23545),(3975,5925,2.1966,0.23418),(3975,5935,2.1951,0.23292),(3975,5945,2.1937,0.2317),(3975,5955,2.1922,0.23052),(3975,5965,2.1907,0.22933),(3975,5975,2.1892,0.22818),(3975,5985,2.1878,0.22705),(3975,5995,1.6719,0.22592),(3975,6005,1.0732,0.22508),(3975,6015,0.47454,0.225),(3975,6025,0.64369,0.22491),(3975,6035,1.1689,0.22444),(3975,6045,1.6942,0.22016),(3975,6055,2.057,0.21589),(3975,6065,2.2606,0.21162),(3975,6075,2.4642,0.20605),(3975,6085,2.6012,0.20036),(3975,6095,2.6011,0.19468),(3975,6105,2.6009,0.18906),(3975,6115,2.6007,0.18347),(3975,6125,2.6003,0.17787),(3975,6135,2.5999,0.17238),(3975,6145,2.5995,0.16695),(3975,6155,2.5989,0.16153),(3975,6165,2.5983,0.15619),(3975,6175,2.5976,0.151),(3975,6185,2.5968,0.1458),(3975,6195,2.5959,0.14066),(3975,6205,2.5951,0.13576),(3975,6215,2.5941,0.13087),(3975,6225,2.593,0.12598),(3975,6235,2.592,0.12143),(3975,6245,2.5908,0.11687),(3975,6255,2.5896,0.11232),(3975,6265,2.5884,0.10805),(3975,6275,2.5871,0.10384),(3975,6285,2.5858,0.09962),(3975,6295,2.5844,0.095659),(3975,6305,2.583,0.091823),(3975,6315,2.5817,0.087987),(3975,6325,2.5803,0.084294),(3975,6335,2.5789,0.08075),(3975,6345,2.5775,0.077205),(3975,6355,2.5761,0.07377),(3975,6365,2.5747,0.070578),(3975,6375,2.5733,0.067385),(3975,6385,2.5719,0.064229),(3975,6395,2.5706,0.06131),(3975,6405,2.5693,0.058392),(3975,6415,2.5681,0.055474),(3975,6425,2.5668,0.052724),(3975,6435,2.5656,0.049982),(3975,6445,2.5646,0.04724),(3975,6455,2.5635,0.044655),(3975,6465,2.5624,0.042116),(3975,6475,2.5616,0.039576),(3975,6485,2.5607,0.037117),(3975,6495,2.5598,0.034712),(3975,6505,2.5591,0.032307),(3975,6515,2.5585,0.02994),(3975,6525,2.5578,0.027625),(3975,6535,2.5573,0.02531),(3975,6545,2.5569,0.023012),(3975,6555,2.5564,0.020767),(3975,6565,2.5561,0.018522),(3975,6575,2.5559,0.016282),(3975,6585,2.5556,0.014116),(3975,6595,2.1736,0.01195),(3975,6605,1.3701,0.009784),(3975,6615,0.56648,0.009573),(3975,6625,0.00159,0.009614),(3975,6635,0.001595,0.009654),(3975,6645,0.0016,0.009664),(3975,6655,0.001605,0.00966),(3975,6665,0.00161,0.009657),(3975,6675,0.001615,0.009654),(3975,6685,0.00162,0.00965),(3975,6695,0.001625,0.009645),(3975,6705,0.00163,0.009641),(3975,6715,0.001634,0.009636),(3975,6725,0.001639,0.009631),(3975,6735,0.001643,0.009626),(3975,6745,0.001647,0.00962),(3975,6755,0.001652,0.009614),(3975,6765,0.001656,0.009609),(3975,6775,0.001659,0.009602),(3975,6785,0.001663,0.009596),(3975,6795,0.001667,0.00959),(3975,6805,0.001671,0.009583),(3975,6815,0.001674,0.009576),(3975,6825,0.001677,0.009569),(3975,6835,0.001681,0.009562),(3975,6845,0.001684,0.009555),(3975,6855,0.001687,0.009548),(3975,6865,0.00169,0.00954),(3975,6875,0.001693,0.009533),(3975,6885,0.001695,0.009525),(3975,6895,0.001698,0.009517),(3975,6905,0.001701,0.00951),(3975,6915,0.001703,0.009502),(3975,6925,0.001705,0.009494),(3975,6935,0.001708,0.009486),(3975,6945,0.00171,0.009478),(3975,6955,0.001712,0.00947),(3975,6965,0.001714,0.009462),(3975,6975,0.001716,0.009453),(3975,6985,0.001718,0.009445),(3985,5,1.8e-05,-0.003637),(3985,15,5.5e-05,-0.003639),(3985,25,9.2e-05,-0.003641),(3985,35,0.000129,-0.003644),(3985,45,0.000166,-0.003648),(3985,55,0.000203,-0.003656),(3985,65,0.00024,-0.003663),(3985,75,0.000276,-0.00367),(3985,85,0.000313,-0.00368),(3985,95,0.00035,-0.003692),(3985,105,0.000386,-0.003704),(3985,115,0.000423,-0.003716),(3985,125,0.00046,-0.003731),(3985,135,0.000496,-0.003749),(3985,145,0.000533,-0.003766),(3985,155,0.000569,-0.003783),(3985,165,0.000605,-0.003804),(3985,175,0.000641,-0.003826),(3985,185,0.000677,-0.003849),(3985,195,0.000713,-0.003871),(3985,205,0.000748,-0.003898),(3985,215,0.000784,-0.003926),(3985,225,0.000819,-0.003954),(3985,235,0.000853,-0.003981),(3985,245,0.000888,-0.004014),(3985,255,0.000923,-0.004047),(3985,265,0.000957,-0.004081),(3985,275,0.00099,-0.004115),(3985,285,0.001024,-0.004153),(3985,295,0.001058,-0.004194),(3985,305,0.001091,-0.004234),(3985,315,0.001124,-0.004275),(3985,325,0.001156,-0.004321),(3985,335,0.001189,-0.004369),(3985,345,0.001221,-0.004417),(3985,355,0.001252,-0.004464),(3985,365,0.001283,-0.004518),(3985,375,0.001314,-0.004573),(3985,385,0.001343,-0.004629),(3985,395,0.001372,-0.004684),(3985,405,0.001401,-0.004746),(3985,415,0.00143,-0.00481),(3985,425,0.001457,-0.004874),(3985,435,0.001484,-0.004937),(3985,445,0.00151,-0.00501),(3985,455,0.001537,-0.005083),(3985,465,0.001561,-0.005156),(3985,475,0.001584,-0.00523),(3985,485,0.001607,-0.005313),(3985,495,0.001631,-0.005396),(3985,505,0.001649,-0.005479),(3985,515,0.001669,-0.005563),(3985,525,0.001687,-0.005658),(3985,535,0.001706,-0.005752),(3985,545,0.00172,-0.005847),(3985,555,0.001734,-0.005942),(3985,565,0.001748,-0.006049),(3985,575,0.001761,-0.006157),(3985,585,0.001768,-0.006264),(3985,595,0.001775,-0.006372),(3985,605,0.001782,-0.006494),(3985,615,0.001789,-0.006615),(3985,625,0.001787,-0.006736),(3985,635,0.001786,-0.006859),(3985,645,0.001785,-0.006995),(3985,655,0.001782,-0.007131),(3985,665,0.00177,-0.007267),(3985,675,0.001759,-0.007406),(3985,685,0.001747,-0.007559),(3985,695,0.001733,-0.007712),(3985,705,0.001708,-0.007864),(3985,715,0.001683,-0.008021),(3985,725,0.001659,-0.008191),(3985,735,0.00163,-0.008362),(3985,745,0.001589,-0.008532),(3985,755,0.001548,-0.008707),(3985,765,0.001507,-0.008896),(3985,775,0.001461,-0.009085),(3985,785,0.0014,-0.009275),(3985,795,0.001339,-0.00947),(3985,805,0.001278,-0.009678),(3985,815,0.001209,-0.009887),(3985,825,0.001123,-0.010096),(3985,835,0.001038,-0.010311),(3985,845,0.000952,-0.01054),(3985,855,0.000856,-0.010769),(3985,865,0.00074,-0.010997),(3985,875,0.000624,-0.011233),(3985,885,0.000508,-0.011481),(3985,895,0.000378,-0.011729),(3985,905,0.000227,-0.011977),(3985,915,7.5e-05,-0.012233),(3985,925,-7.7e-05,-0.012499),(3985,935,-0.000248,-0.012765),(3985,945,-0.000443,-0.013031),(3985,955,-0.000638,-0.013303),(3985,965,-0.000833,-0.013584),(3985,975,-0.001051,-0.013865),(3985,985,-0.001297,-0.014146),(3985,995,-0.001543,-0.014432),(3985,1005,-0.001788,-0.014722),(3985,1015,-0.002064,-0.015013),(3985,1025,-0.002367,-0.015304),(3985,1035,-0.002671,-0.015596),(3985,1045,-0.002975,-0.015889),(3985,1055,-0.003315,-0.016182),(3985,1065,-0.003684,-0.016475),(3985,1075,-0.004054,-0.016764),(3985,1085,-0.004423,-0.01705),(3985,1095,-0.004835,-0.017336),(3985,1105,-0.005276,-0.017621),(3985,1115,-0.005717,-0.017895),(3985,1125,-0.006158,-0.01816),(3985,1135,-0.006646,-0.018426),(3985,1145,-0.007162,-0.018691),(3985,1155,-0.007678,-0.018934),(3985,1165,-0.008193,-0.019164),(3985,1175,-0.00876,-0.019394),(3985,1185,-0.00935,-0.019625),(3985,1195,-0.009942,-0.019819),(3985,1205,-0.010532,-0.019997),(3985,1215,-0.011173,-0.020176),(3985,1225,-0.011834,-0.020354),(3985,1235,-0.012496,-0.020482),(3985,1245,-0.013157,-0.020592),(3985,1255,-0.013863,-0.020701),(3985,1265,-0.014584,-0.020811),(3985,1275,-0.015306,-0.020857),(3985,1285,-0.016027,-0.020883),(3985,1295,-0.016783,-0.02091),(3985,1305,-0.017549,-0.020936),(3985,1315,-0.018316,-0.020888),(3985,1325,-0.019082,-0.020822),(3985,1335,-0.019869,-0.020756),(3985,1345,-0.020661,-0.02069),(3985,1355,-0.021452,-0.020543),(3985,1365,-0.022244,-0.020381),(3985,1375,-0.02304,-0.020219),(3985,1385,-0.023837,-0.020057),(3985,1395,-0.024635,-0.019814),(3985,1405,-0.025432,-0.01956),(3985,1415,-0.026217,-0.019306),(3985,1425,-0.027001,-0.019052),(3985,1435,-0.027785,-0.018724),(3985,1445,-0.028569,-0.018389),(3985,1455,-0.029326,-0.018054),(3985,1465,-0.030081,-0.017719),(3985,1475,-0.030837,-0.017321),(3985,1485,-0.031593,-0.016922),(3985,1495,-0.032311,-0.016522),(3985,1505,-0.033029,-0.016122),(3985,1515,-0.033746,-0.015675),(3985,1525,-0.034463,-0.015229),(3985,1535,-0.035139,-0.014783),(3985,1545,-0.035815,-0.014335),(3985,1555,-0.036491,-0.01386),(3985,1565,-0.037164,-0.013386),(3985,1575,-0.037799,-0.012911),(3985,1585,-0.038435,-0.012436),(3985,1595,-0.039071,-0.01195),(3985,1605,-0.039703,-0.011464),(3985,1615,-0.040303,-0.010979),(3985,1625,-0.040904,-0.010494),(3985,1635,-0.041505,-0.010013),(3985,1645,-0.042101,-0.009532),(3985,1655,-0.042675,-0.00905),(3985,1665,-0.043249,-0.008572),(3985,1675,-0.043823,-0.008109),(3985,1685,-0.044393,-0.007646),(3985,1695,-0.04495,-0.007183),(3985,1705,-0.045506,-0.006725),(3985,1715,-0.046063,-0.006292),(3985,1725,-0.046618,-0.005857),(3985,1735,-0.047168,-0.005424),(3985,1745,-0.047719,-0.004999),(3985,1755,-0.048269,-0.004603),(3985,1765,-0.048821,-0.004208),(3985,1775,-0.049376,-0.003812),(3985,1785,-0.049932,-0.00343),(3985,1795,-0.050487,-0.003081),(3985,1805,-0.051048,-0.002733),(3985,1815,-0.05162,-0.002384),(3985,1825,-0.052193,-0.002053),(3985,1835,-0.052765,-0.001758),(3985,1845,-0.053348,-0.001464),(3985,1855,-0.053949,-0.00117),(3985,1865,-0.05455,-0.000899),(3985,1875,-0.055151,-0.000668),(3985,1885,-0.055768,-0.000437),(3985,1895,-0.05641,-0.000206),(3985,1905,-0.057051,-4e-06),(3985,1915,-0.057693,0.000155),(3985,1925,-0.058357,0.000313),(3985,1935,-0.059052,0.000472),(3985,1945,-0.059748,0.000595),(3985,1955,-0.060443,0.000672),(3985,1965,-0.061168,0.000749),(3985,1975,-0.06193,0.000826),(3985,1985,-0.062692,0.000857),(3985,1995,-0.063454,0.000839),(3985,2005,-0.064256,0.000822),(3985,2015,-0.065099,0.000804),(3985,2025,-0.065942,0.000729),(3985,2035,-0.066785,0.000602),(3985,2045,-0.06768,0.000475),(3985,2055,-0.06862,0.000348),(3985,2065,-0.069559,0.000149),(3985,2075,-0.070499,-0.000107),(3985,2085,-0.071506,-0.000363),(3985,2095,-0.07256,-0.000618),(3985,2105,-0.073615,-0.000964),(3985,2115,-0.07467,-0.001371),(3985,2125,-0.075809,-0.001778),(3985,2135,-0.076999,-0.002185),(3985,2145,-0.078189,-0.002708),(3985,2155,-0.07938,-0.003296),(3985,2165,-0.080675,-0.003883),(3985,2175,-0.082024,-0.004471),(3985,2185,-0.083373,-0.005207),(3985,2195,-0.084723,-0.006012),(3985,2205,-0.086202,-0.006817),(3985,2215,-0.087737,-0.007623),(3985,2225,-0.089273,-0.008618),(3985,2235,-0.090808,-0.009688),(3985,2245,-0.092504,-0.010758),(3985,2255,-0.094256,-0.011828),(3985,2265,-0.096009,-0.013144),(3985,2275,-0.097762,-0.014539),(3985,2285,-0.099711,-0.015933),(3985,2295,-0.10172,-0.017328),(3985,2305,-0.10372,-0.019043),(3985,2315,-0.10573,-0.020841),(3985,2325,-0.10797,-0.022638),(3985,2335,-0.11027,-0.024436),(3985,2345,-0.11257,-0.026655),(3985,2355,-0.11486,-0.028957),(3985,2365,-0.11745,-0.031259),(3985,2375,-0.12008,-0.033561),(3985,2385,-0.12271,-0.036424),(3985,2395,-0.12535,-0.039365),(3985,2405,-0.12832,-0.042306),(3985,2415,-0.13132,-0.045247),(3985,2425,-0.13433,-0.048939),(3985,2435,-0.13734,-0.052699),(3985,2445,-0.14074,-0.056459),(3985,2455,-0.14416,-0.060219),(3985,2465,-0.14758,-0.064994),(3985,2475,-0.151,-0.069815),(3985,2485,-0.15483,-0.074637),(3985,2495,-0.15867,-0.079458),(3985,2505,-0.16252,-0.085662),(3985,2515,-0.16637,-0.091874),(3985,2525,-0.17059,-0.098085),(3985,2535,-0.17482,-0.10436),(3985,2545,-0.17905,-0.1124),(3985,2555,-0.18329,-0.12045),(3985,2565,-0.18775,-0.12849),(3985,2575,-0.19221,-0.13671),(3985,2585,-0.19666,-0.14718),(3985,2595,-0.20111,-0.15764),(3985,2605,-0.20543,-0.1681),(3985,2615,-0.20975,-0.17892),(3985,2625,-0.21407,-0.19254),(3985,2635,-0.21827,-0.20616),(3985,2645,-0.22166,-0.21978),(3985,2655,-0.22506,-0.23401),(3985,2665,-0.22845,-0.25159),(3985,2675,-0.23141,-0.26917),(3985,2685,-0.23233,-0.28675),(3985,2695,-0.23325,-0.30518),(3985,2705,-0.23417,-0.32722),(3985,2715,-0.23399,-0.34925),(3985,2725,-0.22973,-0.37128),(3985,2735,-0.22546,-0.39413),(3985,2745,-0.22119,-0.41967),(3985,2755,-0.21467,-0.44521),(3985,2765,-0.20148,-0.47075),(3985,2775,-0.18829,-0.49551),(3985,2785,-0.17509,-0.51818),(3985,2795,-0.1602,-0.54086),(3985,2805,-0.14121,-0.56354),(3985,2815,-0.12222,-0.58483),(3985,2825,-0.10323,-0.60305),(3985,2835,-0.083263,-0.62128),(3985,2845,-0.061344,-0.63951),(3985,2855,-0.039425,-0.65629),(3985,2865,-0.017505,-0.67041),(3985,2875,0.004884,-0.68452),(3985,2885,0.02807,-0.69864),(3985,2895,0.051256,-0.71145),(3985,2905,0.074442,-0.72222),(3985,2915,0.097811,-0.733),(3985,2925,0.12144,-0.74378),(3985,2935,0.14507,-0.75343),(3985,2945,0.1687,-0.76159),(3985,2955,0.19237,-0.76975),(3985,2965,0.2161,-0.77792),(3985,2975,0.23982,-0.78512),(3985,2985,0.26354,-0.79123),(3985,2995,0.28726,-0.79734),(3985,3005,0.31098,-0.80346),(3985,3015,0.3347,-0.80873),(3985,3025,0.35841,-0.81319),(3985,3035,0.38214,-0.81766),(3985,3045,0.40588,-0.82212),(3985,3055,0.42962,-0.82582),(3985,3065,0.45336,-0.82889),(3985,3075,0.47716,-0.83196),(3985,3085,0.50102,-0.83504),(3985,3095,0.52488,-0.83737),(3985,3105,0.54873,-0.8392),(3985,3115,0.57274,-0.84103),(3985,3125,0.59685,-0.84285),(3985,3135,0.62096,-0.84393),(3985,3145,0.64507,-0.84455),(3985,3155,0.66944,-0.84518),(3985,3165,0.69395,-0.84581),(3985,3175,0.71846,-0.84561),(3985,3185,0.74297,-0.845),(3985,3195,0.76787,-0.84438),(3985,3205,0.79296,-0.84377),(3985,3215,0.81804,-0.84219),(3985,3225,0.84312,-0.8402),(3985,3235,0.86874,-0.83822),(3985,3245,0.89456,-0.83624),(3985,3255,0.92038,-0.83305),(3985,3265,0.9462,-0.82946),(3985,3275,0.97272,-0.82587),(3985,3285,0.99946,-0.82228),(3985,3295,1.0262,-0.81715),(3985,3305,1.0529,-0.81159),(3985,3315,1.0805,-0.80604),(3985,3325,1.1084,-0.80049),(3985,3335,1.1362,-0.79289),(3985,3345,1.164,-0.78486),(3985,3355,1.1928,-0.77682),(3985,3365,1.2218,-0.76879),(3985,3375,1.2508,-0.75798),(3985,3385,1.2798,-0.74674),(3985,3395,1.3099,-0.7355),(3985,3405,1.3401,-0.72427),(3985,3415,1.3704,-0.7092),(3985,3425,1.4006,-0.69374),(3985,3435,1.4318,-0.67828),(3985,3445,1.463,-0.66281),(3985,3455,1.4942,-0.64204),(3985,3465,1.5255,-0.62097),(3985,3475,1.5571,-0.59989),(3985,3485,1.5888,-0.57881),(3985,3495,1.6204,-0.55039),(3985,3505,1.652,-0.52185),(3985,3515,1.6825,-0.49332),(3985,3525,1.713,-0.46454),(3985,3535,1.7435,-0.42632),(3985,3545,1.7738,-0.38809),(3985,3555,1.7999,-0.34986),(3985,3565,1.826,-0.31088),(3985,3575,1.8521,-0.26095),(3985,3585,1.8773,-0.21102),(3985,3595,1.8926,-0.16109),(3985,3605,1.9079,-0.11001),(3985,3615,1.9232,-0.04907),(3985,3625,1.9359,0.011876),(3985,3635,1.9305,0.072821),(3985,3645,1.925,0.1337),(3985,3655,1.9195,0.19419),(3985,3665,1.9103,0.25468),(3985,3675,1.8821,0.31516),(3985,3685,1.8539,0.37235),(3985,3695,1.8257,0.41479),(3985,3705,1.7965,0.45723),(3985,3715,1.7633,0.49967),(3985,3725,1.7302,0.53949),(3985,3735,1.6971,0.57017),(3985,3745,1.6638,0.60084),(3985,3755,1.6302,0.63152),(3985,3765,1.5967,0.66009),(3985,3775,1.5631,0.68277),(3985,3785,1.5298,0.70545),(3985,3795,1.4971,0.72813),(3985,3805,1.4644,0.74912),(3985,3815,1.4318,0.76618),(3985,3825,1.3995,0.78325),(3985,3835,1.3682,0.80031),(3985,3845,1.3369,0.81601),(3985,3855,1.3056,0.82905),(3985,3865,1.2748,0.8421),(3985,3875,1.2449,0.85514),(3985,3885,1.215,0.86708),(3985,3895,1.1851,0.87721),(3985,3905,1.1557,0.88735),(3985,3915,1.1271,0.89748),(3985,3925,1.0986,0.90672),(3985,3935,1.07,0.91473),(3985,3945,1.0419,0.92273),(3985,3955,1.0146,0.93074),(3985,3965,0.98716,0.93802),(3985,3975,0.95977,0.94446),(3985,3985,0.93286,0.95089),(3985,3995,0.90647,0.95732),(3985,4005,0.88008,0.96322),(3985,4015,0.85369,0.96859),(3985,4025,1.202,0.97395),(3985,4035,1.587,0.97692),(3985,4045,1.9721,0.97482),(3985,4055,2.2468,0.97273),(3985,4065,2.4814,0.96999),(3985,4075,2.7159,0.96338),(3985,4085,2.8163,0.95677),(3985,4095,2.8089,0.95015),(3985,4105,2.8014,0.94336),(3985,4115,2.7019,0.93656),(3985,4125,2.4497,0.92976),(3985,4135,2.1976,0.92578),(3985,4145,1.9424,0.92257),(3985,4155,1.675,0.91935),(3985,4165,1.4075,0.91837),(3985,4175,1.155,0.91883),(3985,4185,1.6394,0.91929),(3985,4195,2.1239,0.9163),(3985,4205,2.6083,0.90876),(3985,4215,2.6806,0.90121),(3985,4225,2.6754,0.89364),(3985,4235,2.6701,0.88599),(3985,4245,2.661,0.87834),(3985,4255,2.6498,0.87059),(3985,4265,2.6387,0.86162),(3985,4275,2.3132,0.85264),(3985,4285,1.6542,0.84367),(3985,4295,0.99522,0.84451),(3985,4305,0.71031,0.84649),(3985,4315,1.2701,0.84847),(3985,4325,1.8299,0.84444),(3985,4335,2.3273,0.83803),(3985,4345,2.4023,0.83163),(3985,4355,2.4774,0.82447),(3985,4365,2.5524,0.81666),(3985,4375,2.5529,0.80885),(3985,4385,2.5496,0.80098),(3985,4395,2.5462,0.79299),(3985,4405,2.2247,0.78501),(3985,4415,1.8094,0.77812),(3985,4425,1.394,0.77615),(3985,4435,1.2161,0.77418),(3985,4445,1.2005,0.77221),(3985,4455,1.1848,0.77038),(3985,4465,1.3465,0.76856),(3985,4475,1.7571,0.76673),(3985,4485,2.1678,0.75985),(3985,4495,2.4803,0.75191),(3985,4505,2.478,0.74397),(3985,4515,2.4756,0.73607),(3985,4525,2.4684,0.72819),(3985,4535,2.3838,0.7203),(3985,4545,2.2993,0.71292),(3985,4555,2.2147,0.70611),(3985,4565,1.6753,0.6993),(3985,4575,1.0747,0.695),(3985,4585,0.47402,0.69678),(3985,4595,0.76102,0.69857),(3985,4605,1.4231,0.69907),(3985,4615,2.0851,0.68959),(3985,4625,2.4017,0.68012),(3985,4635,2.4055,0.67064),(3985,4645,2.4092,0.66237),(3985,4655,2.4113,0.65418),(3985,4665,2.4101,0.646),(3985,4675,2.409,0.63797),(3985,4685,2.3228,0.62999),(3985,4695,1.8161,0.62201),(3985,4705,1.3093,0.61806),(3985,4715,0.80257,0.61703),(3985,4725,1.0379,0.61599),(3985,4735,1.2806,0.61367),(3985,4745,1.5234,0.60941),(3985,4755,1.7727,0.60516),(3985,4765,2.0236,0.60017),(3985,4775,2.2745,0.59263),(3985,4785,2.3658,0.58508),(3985,4795,2.3648,0.57755),(3985,4805,2.3638,0.57018),(3985,4815,2.2472,0.56281),(3985,4825,1.9923,0.55544),(3985,4835,1.7375,0.5508),(3985,4845,1.4793,0.54658),(3985,4855,1.2125,0.54236),(3985,4865,0.94577,0.54035),(3985,4875,0.75605,0.53935),(3985,4885,1.2672,0.53834),(3985,4895,1.7784,0.53423),(3985,4905,2.2895,0.52712),(3985,4915,2.3294,0.52002),(3985,4925,2.3286,0.51294),(3985,4935,2.3279,0.50591),(3985,4945,2.3253,0.49888),(3985,4955,2.322,0.49178),(3985,4965,2.3187,0.48428),(3985,4975,1.9314,0.47678),(3985,4985,1.2478,0.46928),(3985,4995,0.56409,0.46986),(3985,5005,0.34157,0.47066),(3985,5015,0.85217,0.47145),(3985,5025,1.3628,0.46785),(3985,5035,1.8026,0.46313),(3985,5045,1.9726,0.45842),(3985,5055,2.1427,0.45257),(3985,5065,2.3078,0.44602),(3985,5075,2.3073,0.43947),(3985,5085,2.3068,0.43297),(3985,5095,2.3063,0.42653),(3985,5105,2.0116,0.42009),(3985,5115,1.6657,0.41459),(3985,5125,1.3197,0.41172),(3985,5135,1.1436,0.40886),(3985,5145,1.0499,0.40608),(3985,5155,0.95625,0.40433),(3985,5165,1.1245,0.40257),(3985,5175,1.5599,0.40081),(3985,5185,1.9953,0.39554),(3985,5195,2.2925,0.38992),(3985,5205,2.2918,0.38429),(3985,5215,2.291,0.37872),(3985,5225,2.2784,0.37317),(3985,5235,2.1921,0.36762),(3985,5245,2.1058,0.36251),(3985,5255,2.0195,0.35776),(3985,5265,1.4193,0.35301),(3985,5275,0.79783,0.35013),(3985,5285,0.1764,0.35042),(3985,5295,0.58391,0.3507),(3985,5305,1.278,0.35008),(3985,5315,1.972,0.34567),(3985,5325,2.247,0.34126),(3985,5335,2.2471,0.33686),(3985,5345,2.2473,0.33273),(3985,5355,2.2469,0.32861),(3985,5365,2.2457,0.32448),(3985,5375,2.2446,0.32038),(3985,5385,2.115,0.31629),(3985,5395,1.5948,0.31219),(3985,5405,1.0746,0.31025),(3985,5415,0.60857,0.30941),(3985,5425,0.87024,0.30858),(3985,5435,1.1319,0.30777),(3985,5445,1.3936,0.30697),(3985,5455,1.6549,0.30617),(3985,5465,1.9161,0.30516),(3985,5475,2.1773,0.30366),(3985,5485,2.251,0.30217),(3985,5495,2.2493,0.30066),(3985,5505,2.2476,0.29909),(3985,5515,2.246,0.29753),(3985,5525,2.2445,0.29596),(3985,5535,2.2429,0.29431),(3985,5545,2.2414,0.29265),(3985,5555,2.24,0.291),(3985,5565,2.2386,0.28927),(3985,5575,2.2372,0.28752),(3985,5585,2.2359,0.28577),(3985,5595,2.2346,0.28397),(3985,5605,2.2333,0.28214),(3985,5615,2.232,0.28031),(3985,5625,2.2308,0.27846),(3985,5635,2.2296,0.27657),(3985,5645,2.2284,0.27469),(3985,5655,2.2273,0.2728),(3985,5665,2.2261,0.27089),(3985,5675,2.2249,0.26899),(3985,5685,2.2238,0.26709),(3985,5695,2.2226,0.2652),(3985,5705,2.2215,0.26331),(3985,5715,2.2203,0.26143),(3985,5725,2.2191,0.25958),(3985,5735,2.2179,0.25774),(3985,5745,2.2167,0.2559),(3985,5755,2.2155,0.25412),(3985,5765,2.2143,0.25236),(3985,5775,2.213,0.2506),(3985,5785,2.2117,0.2489),(3985,5795,2.2104,0.24725),(3985,5805,2.2091,0.2456),(3985,5815,2.2078,0.244),(3985,5825,2.2064,0.24248),(3985,5835,2.205,0.24096),(3985,5845,2.2036,0.23947),(3985,5855,2.2022,0.2381),(3985,5865,2.2008,0.23673),(3985,5875,2.1993,0.23537),(3985,5885,2.1978,0.23414),(3985,5895,2.1964,0.23291),(3985,5905,2.1949,0.23168),(3985,5915,2.1934,0.23055),(3985,5925,2.1919,0.22944),(3985,5935,2.1904,0.22832),(3985,5945,2.1889,0.22727),(3985,5955,2.1874,0.22624),(3985,5965,2.1859,0.22522),(3985,5975,2.1844,0.22422),(3985,5985,2.1829,0.22325),(3985,5995,1.6681,0.22228),(3985,6005,1.0708,0.22156),(3985,6015,0.47343,0.2215),(3985,6025,0.64315,0.22143),(3985,6035,1.1686,0.22097),(3985,6045,1.6941,0.21667),(3985,6055,2.0571,0.21237),(3985,6065,2.2607,0.20806),(3985,6075,2.4643,0.20247),(3985,6085,2.6013,0.19675),(3985,6095,2.6011,0.19103),(3985,6105,2.6009,0.18539),(3985,6115,2.6007,0.17978),(3985,6125,2.6002,0.17416),(3985,6135,2.5998,0.16865),(3985,6145,2.5993,0.16322),(3985,6155,2.5986,0.1578),(3985,6165,2.5979,0.15246),(3985,6175,2.5971,0.14727),(3985,6185,2.5962,0.14209),(3985,6195,2.5953,0.13697),(3985,6205,2.5943,0.1321),(3985,6215,2.5932,0.12723),(3985,6225,2.592,0.12237),(3985,6235,2.5909,0.11786),(3985,6245,2.5896,0.11335),(3985,6255,2.5883,0.10884),(3985,6265,2.587,0.10463),(3985,6275,2.5856,0.10048),(3985,6285,2.5841,0.096329),(3985,6295,2.5826,0.092433),(3985,6305,2.5812,0.088664),(3985,6315,2.5797,0.084895),(3985,6325,2.5782,0.081281),(3985,6335,2.5767,0.07783),(3985,6345,2.5752,0.074378),(3985,6355,2.5737,0.071039),(3985,6365,2.5722,0.067947),(3985,6375,2.5708,0.064856),(3985,6385,2.5693,0.061802),(3985,6395,2.5679,0.058993),(3985,6405,2.5666,0.056183),(3985,6415,2.5653,0.053374),(3985,6425,2.5639,0.050739),(3985,6435,2.5627,0.048112),(3985,6445,2.5616,0.045486),(3985,6455,2.5604,0.043016),(3985,6465,2.5593,0.040591),(3985,6475,2.5584,0.038166),(3985,6485,2.5575,0.035821),(3985,6495,2.5566,0.033529),(3985,6505,2.5559,0.031238),(3985,6515,2.5552,0.028983),(3985,6525,2.5545,0.026778),(3985,6535,2.554,0.024573),(3985,6545,2.5535,0.022385),(3985,6555,2.553,0.020253),(3985,6565,2.5527,0.018121),(3985,6575,2.5525,0.015992),(3985,6585,2.5522,0.01392),(3985,6595,2.1707,0.011847),(3985,6605,1.3682,0.009775),(3985,6615,0.56572,0.009576),(3985,6625,0.001589,0.009617),(3985,6635,0.001594,0.009659),(3985,6645,0.0016,0.009669),(3985,6655,0.001605,0.009665),(3985,6665,0.001611,0.009662),(3985,6675,0.001616,0.009658),(3985,6685,0.001621,0.009654),(3985,6695,0.001626,0.00965),(3985,6705,0.001631,0.009646),(3985,6715,0.001636,0.00964),(3985,6725,0.00164,0.009635),(3985,6735,0.001645,0.00963),(3985,6745,0.001649,0.009624),(3985,6755,0.001654,0.009619),(3985,6765,0.001658,0.009613),(3985,6775,0.001662,0.009606),(3985,6785,0.001666,0.0096),(3985,6795,0.00167,0.009593),(3985,6805,0.001674,0.009587),(3985,6815,0.001677,0.00958),(3985,6825,0.001681,0.009573),(3985,6835,0.001684,0.009565),(3985,6845,0.001687,0.009558),(3985,6855,0.00169,0.009551),(3985,6865,0.001693,0.009543),(3985,6875,0.001697,0.009536),(3985,6885,0.001699,0.009528),(3985,6895,0.001702,0.00952),(3985,6905,0.001705,0.009512),(3985,6915,0.001707,0.009504),(3985,6925,0.001709,0.009496),(3985,6935,0.001712,0.009488),(3985,6945,0.001714,0.00948),(3985,6955,0.001716,0.009472),(3985,6965,0.001718,0.009463),(3985,6975,0.00172,0.009455),(3985,6985,0.001722,0.009447),(3995,5,1.9e-05,-0.0036),(3995,15,5.7e-05,-0.003603),(3995,25,9.5e-05,-0.003605),(3995,35,0.000133,-0.003607),(3995,45,0.000171,-0.003612),(3995,55,0.000209,-0.003619),(3995,65,0.000246,-0.003627),(3995,75,0.000284,-0.003634),(3995,85,0.000322,-0.003644),(3995,95,0.00036,-0.003656),(3995,105,0.000397,-0.003668),(3995,115,0.000435,-0.00368),(3995,125,0.000473,-0.003695),(3995,135,0.00051,-0.003713),(3995,145,0.000548,-0.00373),(3995,155,0.000585,-0.003747),(3995,165,0.000623,-0.003768),(3995,175,0.00066,-0.003791),(3995,185,0.000697,-0.003814),(3995,195,0.000734,-0.003837),(3995,205,0.000771,-0.003863),(3995,215,0.000808,-0.003891),(3995,225,0.000844,-0.003919),(3995,235,0.00088,-0.003947),(3995,245,0.000916,-0.00398),(3995,255,0.000952,-0.004014),(3995,265,0.000987,-0.004048),(3995,275,0.001023,-0.004082),(3995,285,0.001058,-0.004121),(3995,295,0.001093,-0.004162),(3995,305,0.001128,-0.004202),(3995,315,0.001162,-0.004243),(3995,325,0.001196,-0.00429),(3995,335,0.001231,-0.004338),(3995,345,0.001264,-0.004386),(3995,355,0.001297,-0.004434),(3995,365,0.00133,-0.004489),(3995,375,0.001363,-0.004544),(3995,385,0.001394,-0.0046),(3995,395,0.001425,-0.004656),(3995,405,0.001456,-0.004719),(3995,415,0.001487,-0.004784),(3995,425,0.001516,-0.004848),(3995,435,0.001545,-0.004912),(3995,445,0.001574,-0.004986),(3995,455,0.001602,-0.005059),(3995,465,0.001628,-0.005134),(3995,475,0.001654,-0.005208),(3995,485,0.00168,-0.005292),(3995,495,0.001706,-0.005376),(3995,505,0.001728,-0.005461),(3995,515,0.001749,-0.005546),(3995,525,0.001771,-0.005641),(3995,535,0.001793,-0.005738),(3995,545,0.001809,-0.005833),(3995,555,0.001826,-0.00593),(3995,565,0.001843,-0.006039),(3995,575,0.001859,-0.006148),(3995,585,0.00187,-0.006257),(3995,595,0.001881,-0.006367),(3995,605,0.001891,-0.006491),(3995,615,0.001901,-0.006614),(3995,625,0.001904,-0.006737),(3995,635,0.001906,-0.006863),(3995,645,0.001909,-0.007002),(3995,655,0.00191,-0.00714),(3995,665,0.001902,-0.007279),(3995,675,0.001895,-0.007421),(3995,685,0.001887,-0.007577),(3995,695,0.001877,-0.007733),(3995,705,0.001857,-0.007889),(3995,715,0.001837,-0.008049),(3995,725,0.001817,-0.008224),(3995,735,0.001793,-0.008398),(3995,745,0.001757,-0.008573),(3995,755,0.001721,-0.008752),(3995,765,0.001685,-0.008946),(3995,775,0.001643,-0.009141),(3995,785,0.001587,-0.009335),(3995,795,0.001531,-0.009536),(3995,805,0.001476,-0.009751),(3995,815,0.001412,-0.009966),(3995,825,0.001332,-0.010181),(3995,835,0.001251,-0.010403),(3995,845,0.001171,-0.010639),(3995,855,0.00108,-0.010875),(3995,865,0.00097,-0.011111),(3995,875,0.000859,-0.011355),(3995,885,0.000749,-0.011613),(3995,895,0.000624,-0.01187),(3995,905,0.000477,-0.012127),(3995,915,0.000331,-0.012392),(3995,925,0.000184,-0.012669),(3995,935,1.8e-05,-0.012946),(3995,945,-0.000172,-0.013222),(3995,955,-0.000363,-0.013507),(3995,965,-0.000554,-0.0138),(3995,975,-0.000768,-0.014094),(3995,985,-0.001011,-0.014387),(3995,995,-0.001253,-0.014686),(3995,1005,-0.001495,-0.014991),(3995,1015,-0.001768,-0.015296),(3995,1025,-0.00207,-0.015602),(3995,1035,-0.002372,-0.015909),(3995,1045,-0.002674,-0.016218),(3995,1055,-0.003014,-0.016528),(3995,1065,-0.003384,-0.016837),(3995,1075,-0.003754,-0.017143),(3995,1085,-0.004124,-0.017447),(3995,1095,-0.004538,-0.01775),(3995,1105,-0.004983,-0.018053),(3995,1115,-0.005428,-0.018345),(3995,1125,-0.005872,-0.018629),(3995,1135,-0.006366,-0.018913),(3995,1145,-0.00689,-0.019197),(3995,1155,-0.007413,-0.019458),(3995,1165,-0.007937,-0.019706),(3995,1175,-0.008513,-0.019955),(3995,1185,-0.009116,-0.020203),(3995,1195,-0.009718,-0.020415),(3995,1205,-0.010321,-0.020611),(3995,1215,-0.010976,-0.020806),(3995,1225,-0.011653,-0.021001),(3995,1235,-0.01233,-0.021145),(3995,1245,-0.013006,-0.021269),(3995,1255,-0.013731,-0.021393),(3995,1265,-0.014472,-0.021518),(3995,1275,-0.015212,-0.021575),(3995,1285,-0.015953,-0.021613),(3995,1295,-0.01673,-0.02165),(3995,1305,-0.017518,-0.021688),(3995,1315,-0.018306,-0.021647),(3995,1325,-0.019093,-0.021587),(3995,1335,-0.019903,-0.021528),(3995,1345,-0.020717,-0.021468),(3995,1355,-0.021531,-0.021323),(3995,1365,-0.022345,-0.021163),(3995,1375,-0.023163,-0.021002),(3995,1385,-0.023981,-0.020842),(3995,1395,-0.0248,-0.020596),(3995,1405,-0.025618,-0.02034),(3995,1415,-0.026422,-0.020083),(3995,1425,-0.027224,-0.019826),(3995,1435,-0.028026,-0.019491),(3995,1445,-0.028828,-0.019149),(3995,1455,-0.0296,-0.018808),(3995,1465,-0.03037,-0.018467),(3995,1475,-0.03114,-0.01806),(3995,1485,-0.031911,-0.017651),(3995,1495,-0.032639,-0.017243),(3995,1505,-0.033366,-0.016834),(3995,1515,-0.034094,-0.016378),(3995,1525,-0.03482,-0.015921),(3995,1535,-0.035501,-0.015465),(3995,1545,-0.036182,-0.015008),(3995,1555,-0.036863,-0.014523),(3995,1565,-0.037542,-0.014039),(3995,1575,-0.038178,-0.013555),(3995,1585,-0.038814,-0.01307),(3995,1595,-0.039451,-0.012576),(3995,1605,-0.040083,-0.012082),(3995,1615,-0.040681,-0.011589),(3995,1625,-0.041278,-0.011095),(3995,1635,-0.041876,-0.010608),(3995,1645,-0.042469,-0.010121),(3995,1655,-0.043036,-0.009633),(3995,1665,-0.043604,-0.009149),(3995,1675,-0.044171,-0.008682),(3995,1685,-0.044735,-0.008215),(3995,1695,-0.045283,-0.007748),(3995,1705,-0.04583,-0.007287),(3995,1715,-0.046378,-0.006852),(3995,1725,-0.046923,-0.006417),(3995,1735,-0.047462,-0.005981),(3995,1745,-0.048001,-0.005556),(3995,1755,-0.04854,-0.005162),(3995,1765,-0.04908,-0.004769),(3995,1775,-0.049622,-0.004375),(3995,1785,-0.050164,-0.003995),(3995,1795,-0.050706,-0.003651),(3995,1805,-0.051252,-0.003306),(3995,1815,-0.05181,-0.002962),(3995,1825,-0.052367,-0.002636),(3995,1835,-0.052924,-0.00235),(3995,1845,-0.05349,-0.002063),(3995,1855,-0.054074,-0.001777),(3995,1865,-0.054657,-0.001514),(3995,1875,-0.055241,-0.001294),(3995,1885,-0.055839,-0.001074),(3995,1895,-0.056461,-0.000853),(3995,1905,-0.057083,-0.000663),(3995,1915,-0.057706,-0.000518),(3995,1925,-0.058349,-0.000373),(3995,1935,-0.059022,-0.000228),(3995,1945,-0.059694,-0.000121),(3995,1955,-0.060367,-6.1e-05),(3995,1965,-0.061069,-2e-06),(3995,1975,-0.061805,5.8e-05),(3995,1985,-0.062541,7e-05),(3995,1995,-0.063277,3.2e-05),(3995,2005,-0.064052,-7e-06),(3995,2015,-0.064865,-4.6e-05),(3995,2025,-0.065678,-0.000143),(3995,2035,-0.066491,-0.000296),(3995,2045,-0.067354,-0.000448),(3995,2055,-0.068259,-0.000601),(3995,2065,-0.069165,-0.000828),(3995,2075,-0.07007,-0.001113),(3995,2085,-0.071038,-0.001399),(3995,2095,-0.072053,-0.001684),(3995,2105,-0.073067,-0.002064),(3995,2115,-0.074081,-0.002506),(3995,2125,-0.075174,-0.002948),(3995,2135,-0.076316,-0.003391),(3995,2145,-0.077458,-0.003953),(3995,2155,-0.0786,-0.004582),(3995,2165,-0.07984,-0.005211),(3995,2175,-0.081131,-0.005841),(3995,2185,-0.082422,-0.006622),(3995,2195,-0.083714,-0.007477),(3995,2205,-0.085126,-0.008331),(3995,2215,-0.086591,-0.009185),(3995,2225,-0.088056,-0.010235),(3995,2235,-0.089521,-0.011362),(3995,2245,-0.091135,-0.012489),(3995,2255,-0.092801,-0.013616),(3995,2265,-0.094468,-0.014997),(3995,2275,-0.096134,-0.016458),(3995,2285,-0.097982,-0.01792),(3995,2295,-0.099881,-0.019381),(3995,2305,-0.10178,-0.021172),(3995,2315,-0.10368,-0.023047),(3995,2325,-0.1058,-0.024922),(3995,2335,-0.10796,-0.026797),(3995,2345,-0.11012,-0.029104),(3995,2355,-0.11229,-0.031496),(3995,2365,-0.11471,-0.033887),(3995,2375,-0.11718,-0.036279),(3995,2385,-0.11964,-0.039241),(3995,2395,-0.12211,-0.042284),(3995,2405,-0.12487,-0.045327),(3995,2415,-0.12767,-0.04837),(3995,2425,-0.13046,-0.052173),(3995,2435,-0.13326,-0.056046),(3995,2445,-0.13639,-0.059919),(3995,2455,-0.13953,-0.063792),(3995,2465,-0.14268,-0.068684),(3995,2475,-0.14583,-0.073624),(3995,2485,-0.14931,-0.078564),(3995,2495,-0.1528,-0.083504),(3995,2505,-0.15629,-0.089821),(3995,2515,-0.15979,-0.096144),(3995,2525,-0.16355,-0.10247),(3995,2535,-0.16732,-0.10885),(3995,2545,-0.17109,-0.11697),(3995,2555,-0.17486,-0.1251),(3995,2565,-0.17873,-0.13322),(3995,2575,-0.1826,-0.14151),(3995,2585,-0.18646,-0.15196),(3995,2595,-0.1903,-0.16242),(3995,2605,-0.19387,-0.17287),(3995,2615,-0.19744,-0.18365),(3995,2625,-0.20101,-0.19706),(3995,2635,-0.20443,-0.21047),(3995,2645,-0.20692,-0.22388),(3995,2655,-0.20941,-0.23783),(3995,2665,-0.2119,-0.25479),(3995,2675,-0.21395,-0.27175),(3995,2685,-0.21393,-0.28871),(3995,2695,-0.21391,-0.30639),(3995,2705,-0.21389,-0.32706),(3995,2715,-0.21284,-0.34773),(3995,2725,-0.20796,-0.36841),(3995,2735,-0.20308,-0.38965),(3995,2745,-0.19821,-0.41277),(3995,2755,-0.19136,-0.43589),(3995,2765,-0.17871,-0.45901),(3995,2775,-0.16605,-0.48159),(3995,2785,-0.15339,-0.50274),(3995,2795,-0.13917,-0.52389),(3995,2805,-0.12115,-0.54503),(3995,2815,-0.10313,-0.56504),(3995,2825,-0.085117,-0.58253),(3995,2835,-0.066132,-0.60002),(3995,2845,-0.045194,-0.6175),(3995,2855,-0.024257,-0.6337),(3995,2865,-0.003319,-0.64752),(3995,2875,0.01814,-0.66133),(3995,2885,0.040481,-0.67515),(3995,2895,0.062822,-0.68774),(3995,2905,0.085164,-0.69843),(3995,2915,0.10775,-0.70911),(3995,2925,0.13069,-0.7198),(3995,2935,0.15362,-0.7294),(3995,2945,0.17656,-0.73755),(3995,2955,0.1996,-0.74571),(3995,2965,0.22276,-0.75387),(3995,2975,0.24591,-0.76107),(3995,2985,0.26907,-0.7672),(3995,2995,0.29227,-0.77333),(3995,3005,0.31551,-0.77946),(3995,3015,0.33876,-0.78474),(3995,3025,0.362,-0.78921),(3995,3035,0.38529,-0.79368),(3995,3045,0.40861,-0.79814),(3995,3055,0.43194,-0.80183),(3995,3065,0.45527,-0.80488),(3995,3075,0.47868,-0.80792),(3995,3085,0.50216,-0.81097),(3995,3095,0.52564,-0.81326),(3995,3105,0.54912,-0.81503),(3995,3115,0.57276,-0.81679),(3995,3125,0.5965,-0.81856),(3995,3135,0.62024,-0.81954),(3995,3145,0.64398,-0.82007),(3995,3155,0.66798,-0.82059),(3995,3165,0.69211,-0.82111),(3995,3175,0.71624,-0.82078),(3995,3185,0.74038,-0.82002),(3995,3195,0.76488,-0.81926),(3995,3205,0.78954,-0.8185),(3995,3215,0.81421,-0.81673),(3995,3225,0.83888,-0.81455),(3995,3235,0.86404,-0.81237),(3995,3245,0.88939,-0.81019),(3995,3255,0.91474,-0.80677),(3995,3265,0.94008,-0.80294),(3995,3275,0.96606,-0.79911),(3995,3285,0.99224,-0.79527),(3995,3295,1.0184,-0.78986),(3995,3305,1.0446,-0.78401),(3995,3315,1.0715,-0.77817),(3995,3325,1.0986,-0.77233),(3995,3335,1.1258,-0.7644),(3995,3345,1.1529,-0.75605),(3995,3355,1.1808,-0.74769),(3995,3365,1.209,-0.73933),(3995,3375,1.2371,-0.72818),(3995,3385,1.2652,-0.71659),(3995,3395,1.2942,-0.70501),(3995,3405,1.3233,-0.69343),(3995,3415,1.3525,-0.67806),(3995,3425,1.3816,-0.66229),(3995,3435,1.4113,-0.64652),(3995,3445,1.4411,-0.63075),(3995,3455,1.4709,-0.60981),(3995,3465,1.5007,-0.58858),(3995,3475,1.5305,-0.56734),(3995,3485,1.5603,-0.54611),(3995,3495,1.5901,-0.5179),(3995,3505,1.6198,-0.48959),(3995,3515,1.648,-0.46128),(3995,3525,1.6762,-0.43275),(3995,3535,1.7044,-0.39559),(3995,3545,1.7324,-0.35844),(3995,3555,1.7559,-0.32128),(3995,3565,1.7794,-0.28348),(3995,3575,1.8029,-0.23634),(3995,3585,1.8255,-0.1892),(3995,3595,1.8387,-0.14206),(3995,3605,1.8519,-0.094061),(3995,3615,1.8651,-0.038717),(3995,3625,1.876,0.016628),(3995,3635,1.8708,0.071972),(3995,3645,1.8656,0.12717),(3995,3655,1.8604,0.18147),(3995,3665,1.852,0.23577),(3995,3675,1.8271,0.29006),(3995,3685,1.8023,0.34198),(3995,3695,1.7775,0.38327),(3995,3705,1.7515,0.42456),(3995,3715,1.7212,0.46585),(3995,3725,1.6908,0.50477),(3995,3735,1.6604,0.53544),(3995,3745,1.6298,0.56611),(3995,3755,1.5982,0.59678),(3995,3765,1.5666,0.62544),(3995,3775,1.5351,0.64843),(3995,3785,1.5036,0.67142),(3995,3795,1.4724,0.69441),(3995,3805,1.4412,0.71573),(3995,3815,1.41,0.73319),(3995,3825,1.3791,0.75065),(3995,3835,1.3489,0.76811),(3995,3845,1.3186,0.7842),(3995,3855,1.2884,0.79765),(3995,3865,1.2586,0.81109),(3995,3875,1.2295,0.82453),(3995,3885,1.2004,0.83685),(3995,3895,1.1713,0.84735),(3995,3905,1.1427,0.85785),(3995,3915,1.1147,0.86835),(3995,3925,1.0867,0.87793),(3995,3935,1.0588,0.88626),(3995,3945,1.0313,0.89458),(3995,3955,1.0043,0.9029),(3995,3965,0.97743,0.91048),(3995,3975,0.9505,0.91718),(3995,3985,0.92401,0.92388),(3995,3995,0.89799,0.93059),(3995,4005,0.87197,0.93673),(3995,4015,0.84595,0.94232),(3995,4025,1.1955,0.94791),(3995,4035,1.5818,0.95112),(3995,4045,1.9681,0.94931),(3995,4055,2.2437,0.9475),(3995,4065,2.4791,0.94505),(3995,4075,2.7144,0.93876),(3995,4085,2.8151,0.93247),(3995,4095,2.8078,0.92618),(3995,4105,2.8004,0.91969),(3995,4115,2.7008,0.9132),(3995,4125,2.4482,0.9067),(3995,4135,2.1956,0.90297),(3995,4145,1.94,0.9),(3995,4155,1.6721,0.89702),(3995,4165,1.4043,0.89623),(3995,4175,1.1514,0.89685),(3995,4185,1.637,0.89747),(3995,4195,2.1226,0.89467),(3995,4205,2.6082,0.88734),(3995,4215,2.6807,0.88001),(3995,4225,2.6755,0.87266),(3995,4235,2.6703,0.86522),(3995,4245,2.6614,0.85778),(3995,4255,2.6507,0.85024),(3995,4265,2.64,0.84153),(3995,4275,2.314,0.83283),(3995,4285,1.6534,0.82412),(3995,4295,0.99278,0.82514),(3995,4305,0.7071,0.82729),(3995,4315,1.268,0.82944),(3995,4325,1.8289,0.82552),(3995,4335,2.3273,0.8192),(3995,4345,2.4025,0.81288),(3995,4355,2.4778,0.80579),(3995,4365,2.5531,0.79803),(3995,4375,2.5537,0.79028),(3995,4385,2.5504,0.78246),(3995,4395,2.5471,0.77452),(3995,4405,2.225,0.76658),(3995,4415,1.8089,0.75975),(3995,4425,1.3928,0.75791),(3995,4435,1.2146,0.75606),(3995,4445,1.199,0.75421),(3995,4455,1.1833,0.75252),(3995,4465,1.3453,0.75083),(3995,4475,1.7567,0.74914),(3995,4485,2.1681,0.74238),(3995,4495,2.4812,0.73456),(3995,4505,2.4789,0.72674),(3995,4515,2.4765,0.71895),(3995,4525,2.4693,0.71117),(3995,4535,2.3846,0.7034),(3995,4545,2.3,0.69612),(3995,4555,2.2153,0.6894),(3995,4565,1.675,0.68268),(3995,4575,1.0734,0.67847),(3995,4585,0.4717,0.68032),(3995,4595,0.75954,0.68218),(3995,4605,1.4232,0.68276),(3995,4615,2.0869,0.67349),(3995,4625,2.4041,0.66422),(3995,4635,2.4074,0.65495),(3995,4645,2.4107,0.64685),(3995,4655,2.4125,0.63882),(3995,4665,2.4113,0.6308),(3995,4675,2.4102,0.62293),(3995,4685,2.3238,0.61512),(3995,4695,1.8163,0.6073),(3995,4705,1.3088,0.60345),(3995,4715,0.80134,0.60248),(3995,4725,1.037,0.60152),(3995,4735,1.28,0.59928),(3995,4745,1.5231,0.59514),(3995,4755,1.7727,0.591),(3995,4765,2.0239,0.58614),(3995,4775,2.2751,0.57877),(3995,4785,2.3665,0.5714),(3995,4795,2.3654,0.56403),(3995,4805,2.3644,0.55683),(3995,4815,2.2477,0.54963),(3995,4825,1.9925,0.54242),(3995,4835,1.7374,0.5379),(3995,4845,1.479,0.53379),(3995,4855,1.212,0.52967),(3995,4865,0.945,0.52773),(3995,4875,0.75511,0.52677),(3995,4885,1.2667,0.5258),(3995,4895,1.7784,0.52177),(3995,4905,2.29,0.51479),(3995,4915,2.3298,0.5078),(3995,4925,2.3291,0.50085),(3995,4935,2.3283,0.49394),(3995,4945,2.3258,0.48703),(3995,4955,2.3226,0.48005),(3995,4965,2.3195,0.47269),(3995,4975,1.9319,0.46533),(3995,4985,1.2476,0.45798),(3995,4995,0.5633,0.45858),(3995,5005,0.3405,0.45939),(3995,5015,0.85139,0.46019),(3995,5025,1.3623,0.45669),(3995,5035,1.8023,0.45208),(3995,5045,1.9725,0.44747),(3995,5055,2.1427,0.44175),(3995,5065,2.3078,0.43534),(3995,5075,2.3073,0.42893),(3995,5085,2.3067,0.42257),(3995,5095,2.3062,0.41627),(3995,5105,2.0114,0.40997),(3995,5115,1.6653,0.40459),(3995,5125,1.3192,0.4018),(3995,5135,1.143,0.39901),(3995,5145,1.0493,0.3963),(3995,5155,0.95552,0.3946),(3995,5165,1.1237,0.3929),(3995,5175,1.5591,0.39119),(3995,5185,1.9946,0.38605),(3995,5195,2.2918,0.38055),(3995,5205,2.291,0.37505),(3995,5215,2.2902,0.36961),(3995,5225,2.2776,0.36419),(3995,5235,2.1913,0.35877),(3995,5245,2.105,0.35378),(3995,5255,2.0187,0.34914),(3995,5265,1.4186,0.3445),(3995,5275,0.79726,0.34169),(3995,5285,0.17596,0.34198),(3995,5295,0.58318,0.34227),(3995,5305,1.2768,0.34168),(3995,5315,1.9705,0.33739),(3995,5325,2.2452,0.3331),(3995,5335,2.2453,0.32882),(3995,5345,2.2453,0.3248),(3995,5355,2.2449,0.32078),(3995,5365,2.2438,0.31676),(3995,5375,2.2426,0.31276),(3995,5385,2.1131,0.30877),(3995,5395,1.5933,0.30478),(3995,5405,1.0735,0.30288),(3995,5415,0.60775,0.30208),(3995,5425,0.86873,0.30127),(3995,5435,1.1297,0.30048),(3995,5445,1.3907,0.29969),(3995,5455,1.6514,0.29891),(3995,5465,1.9121,0.29791),(3995,5475,2.1729,0.29642),(3995,5485,2.2465,0.29494),(3995,5495,2.2449,0.29345),(3995,5505,2.2432,0.29189),(3995,5515,2.2416,0.29033),(3995,5525,2.2401,0.28877),(3995,5535,2.2386,0.28713),(3995,5545,2.2371,0.28548),(3995,5555,2.2357,0.28383),(3995,5565,2.2343,0.28211),(3995,5575,2.233,0.28036),(3995,5585,2.2317,0.27862),(3995,5595,2.2304,0.27683),(3995,5605,2.2292,0.275),(3995,5615,2.228,0.27318),(3995,5625,2.2268,0.27134),(3995,5635,2.2256,0.26947),(3995,5645,2.2244,0.26759),(3995,5655,2.2232,0.26571),(3995,5665,2.2221,0.26383),(3995,5675,2.2209,0.26195),(3995,5685,2.2198,0.26007),(3995,5695,2.2186,0.25821),(3995,5705,2.2174,0.25636),(3995,5715,2.2163,0.25451),(3995,5725,2.2151,0.25271),(3995,5735,2.2139,0.25092),(3995,5745,2.2126,0.24913),(3995,5755,2.2114,0.24741),(3995,5765,2.2101,0.24572),(3995,5775,2.2088,0.24403),(3995,5785,2.2075,0.24241),(3995,5795,2.2062,0.24085),(3995,5805,2.2048,0.2393),(3995,5815,2.2034,0.23779),(3995,5825,2.202,0.23638),(3995,5835,2.2006,0.23497),(3995,5845,2.1992,0.23359),(3995,5855,2.1977,0.23235),(3995,5865,2.1962,0.23111),(3995,5875,2.1947,0.22987),(3995,5885,2.1932,0.22878),(3995,5895,2.1917,0.2277),(3995,5905,2.1902,0.22662),(3995,5915,2.1887,0.22563),(3995,5925,2.1871,0.22468),(3995,5935,2.1856,0.22372),(3995,5945,2.1841,0.22282),(3995,5955,2.1825,0.22196),(3995,5965,2.181,0.2211),(3995,5975,2.1795,0.22026),(3995,5985,2.178,0.21946),(3995,5995,1.6644,0.21866),(3995,6005,1.0684,0.21806),(3995,6015,0.47231,0.21801),(3995,6025,0.64262,0.21797),(3995,6035,1.1683,0.21752),(3995,6045,1.6941,0.21319),(3995,6055,2.0572,0.20885),(3995,6065,2.2608,0.20452),(3995,6075,2.4644,0.19889),(3995,6085,2.6014,0.19314),(3995,6095,2.6011,0.18739),(3995,6105,2.6009,0.18172),(3995,6115,2.6007,0.17609),(3995,6125,2.6001,0.17045),(3995,6135,2.5996,0.16492),(3995,6145,2.5991,0.15948),(3995,6155,2.5983,0.15405),(3995,6165,2.5975,0.14871),(3995,6175,2.5966,0.14354),(3995,6185,2.5956,0.13836),(3995,6195,2.5946,0.13326),(3995,6205,2.5935,0.12842),(3995,6215,2.5923,0.12358),(3995,6225,2.591,0.11875),(3995,6235,2.5898,0.11429),(3995,6245,2.5884,0.10982),(3995,6255,2.587,0.10536),(3995,6265,2.5855,0.10121),(3995,6275,2.584,0.097127),(3995,6285,2.5825,0.093041),(3995,6295,2.5809,0.089213),(3995,6305,2.5793,0.085514),(3995,6315,2.5777,0.081816),(3995,6325,2.5761,0.078284),(3995,6335,2.5745,0.074927),(3995,6345,2.573,0.07157),(3995,6355,2.5714,0.068328),(3995,6365,2.5698,0.065339),(3995,6375,2.5683,0.062351),(3995,6385,2.5668,0.0594),(3995,6395,2.5653,0.0567),(3995,6405,2.5638,0.054),(3995,6415,2.5625,0.0513),(3995,6425,2.5611,0.048779),(3995,6435,2.5598,0.046267),(3995,6445,2.5586,0.043755),(3995,6455,2.5574,0.0414),(3995,6465,2.5562,0.039089),(3995,6475,2.5553,0.036778),(3995,6485,2.5543,0.034546),(3995,6495,2.5533,0.032367),(3995,6505,2.5526,0.030187),(3995,6515,2.5519,0.028043),(3995,6525,2.5511,0.025946),(3995,6535,2.5506,0.02385),(3995,6545,2.5501,0.021771),(3995,6555,2.5496,0.019749),(3995,6565,2.5493,0.017726),(3995,6575,2.549,0.015706),(3995,6585,2.5488,0.013727),(3995,6595,2.1678,0.011747),(3995,6605,1.3664,0.009767),(3995,6615,0.56496,0.009579),(3995,6625,0.001588,0.009621),(3995,6635,0.001594,0.009664),(3995,6645,0.001599,0.009674),(3995,6655,0.001605,0.009671),(3995,6665,0.001611,0.009667),(3995,6675,0.001616,0.009663),(3995,6685,0.001622,0.009659),(3995,6695,0.001627,0.009655),(3995,6705,0.001632,0.00965),(3995,6715,0.001637,0.009645),(3995,6725,0.001642,0.00964),(3995,6735,0.001647,0.009635),(3995,6745,0.001652,0.009629),(3995,6755,0.001656,0.009623),(3995,6765,0.00166,0.009617),(3995,6775,0.001665,0.00961),(3995,6785,0.001669,0.009604),(3995,6795,0.001673,0.009597),(3995,6805,0.001677,0.00959),(3995,6815,0.00168,0.009583),(3995,6825,0.001684,0.009576),(3995,6835,0.001687,0.009569),(3995,6845,0.001691,0.009561),(3995,6855,0.001694,0.009554),(3995,6865,0.001697,0.009546),(3995,6875,0.0017,0.009538),(3995,6885,0.001703,0.009531),(3995,6895,0.001706,0.009523),(3995,6905,0.001709,0.009515),(3995,6915,0.001711,0.009507),(3995,6925,0.001713,0.009499),(3995,6935,0.001716,0.00949),(3995,6945,0.001718,0.009482),(3995,6955,0.00172,0.009474),(3995,6965,0.001722,0.009465),(3995,6975,0.001724,0.009457),(3995,6985,0.001726,0.009449),(4005,5,1.9e-05,-0.00356),(4005,15,5.8e-05,-0.003563),(4005,25,9.7e-05,-0.003565),(4005,35,0.000136,-0.003567),(4005,45,0.000175,-0.003572),(4005,55,0.000214,-0.00358),(4005,65,0.000253,-0.003587),(4005,75,0.000292,-0.003594),(4005,85,0.000331,-0.003604),(4005,95,0.000369,-0.003616),(4005,105,0.000408,-0.003628),(4005,115,0.000447,-0.00364),(4005,125,0.000486,-0.003656),(4005,135,0.000524,-0.003673),(4005,145,0.000563,-0.003691),(4005,155,0.000602,-0.003708),(4005,165,0.00064,-0.003729),(4005,175,0.000679,-0.003752),(4005,185,0.000717,-0.003775),(4005,195,0.000755,-0.003797),(4005,205,0.000793,-0.003824),(4005,215,0.000831,-0.003852),(4005,225,0.000869,-0.00388),(4005,235,0.000907,-0.003909),(4005,245,0.000944,-0.003941),(4005,255,0.000981,-0.003975),(4005,265,0.001018,-0.00401),(4005,275,0.001055,-0.004044),(4005,285,0.001092,-0.004083),(4005,295,0.001128,-0.004124),(4005,305,0.001164,-0.004165),(4005,315,0.0012,-0.004206),(4005,325,0.001236,-0.004253),(4005,335,0.001272,-0.004301),(4005,345,0.001307,-0.004349),(4005,355,0.001342,-0.004398),(4005,365,0.001376,-0.004453),(4005,375,0.001411,-0.004509),(4005,385,0.001444,-0.004565),(4005,395,0.001478,-0.004621),(4005,405,0.00151,-0.004685),(4005,415,0.001544,-0.00475),(4005,425,0.001575,-0.004815),(4005,435,0.001606,-0.004879),(4005,445,0.001637,-0.004953),(4005,455,0.001668,-0.005028),(4005,465,0.001696,-0.005103),(4005,475,0.001724,-0.005177),(4005,485,0.001753,-0.005262),(4005,495,0.001781,-0.005348),(4005,505,0.001806,-0.005433),(4005,515,0.00183,-0.005519),(4005,525,0.001855,-0.005616),(4005,535,0.001879,-0.005713),(4005,545,0.001899,-0.00581),(4005,555,0.001919,-0.005908),(4005,565,0.001939,-0.006018),(4005,575,0.001958,-0.006129),(4005,585,0.001972,-0.006239),(4005,595,0.001986,-0.006351),(4005,605,0.002,-0.006476),(4005,615,0.002013,-0.006601),(4005,625,0.00202,-0.006726),(4005,635,0.002026,-0.006854),(4005,645,0.002032,-0.006995),(4005,655,0.002037,-0.007136),(4005,665,0.002034,-0.007277),(4005,675,0.002031,-0.007422),(4005,685,0.002027,-0.007581),(4005,695,0.002021,-0.00774),(4005,705,0.002006,-0.007899),(4005,715,0.00199,-0.008062),(4005,725,0.001975,-0.00824),(4005,735,0.001955,-0.008419),(4005,745,0.001924,-0.008597),(4005,755,0.001893,-0.008781),(4005,765,0.001862,-0.00898),(4005,775,0.001825,-0.009179),(4005,785,0.001775,-0.009378),(4005,795,0.001724,-0.009584),(4005,805,0.001673,-0.009805),(4005,815,0.001615,-0.010026),(4005,825,0.00154,-0.010247),(4005,835,0.001465,-0.010476),(4005,845,0.00139,-0.01072),(4005,855,0.001305,-0.010963),(4005,865,0.0012,-0.011207),(4005,875,0.001094,-0.011459),(4005,885,0.000989,-0.011726),(4005,895,0.00087,-0.011992),(4005,905,0.000728,-0.012259),(4005,915,0.000586,-0.012534),(4005,925,0.000445,-0.012822),(4005,935,0.000284,-0.01311),(4005,945,9.8e-05,-0.013398),(4005,955,-8.8e-05,-0.013695),(4005,965,-0.000274,-0.014002),(4005,975,-0.000485,-0.014309),(4005,985,-0.000724,-0.014616),(4005,995,-0.000963,-0.01493),(4005,1005,-0.001202,-0.015251),(4005,1015,-0.001472,-0.015572),(4005,1025,-0.001773,-0.015893),(4005,1035,-0.002073,-0.016218),(4005,1045,-0.002374,-0.016545),(4005,1055,-0.002713,-0.016873),(4005,1065,-0.003084,-0.017201),(4005,1075,-0.003455,-0.017526),(4005,1085,-0.003825,-0.01785),(4005,1095,-0.004242,-0.018173),(4005,1105,-0.00469,-0.018497),(4005,1115,-0.005139,-0.01881),(4005,1125,-0.005587,-0.019115),(4005,1135,-0.006087,-0.019421),(4005,1145,-0.006618,-0.019726),(4005,1155,-0.007149,-0.020009),(4005,1165,-0.00768,-0.020279),(4005,1175,-0.008266,-0.02055),(4005,1185,-0.008881,-0.02082),(4005,1195,-0.009495,-0.021053),(4005,1205,-0.010109,-0.021269),(4005,1215,-0.010778,-0.021485),(4005,1225,-0.011471,-0.021701),(4005,1235,-0.012163,-0.021863),(4005,1245,-0.012856,-0.022005),(4005,1255,-0.013599,-0.022147),(4005,1265,-0.014359,-0.022289),(4005,1275,-0.015119,-0.022361),(4005,1285,-0.015878,-0.022412),(4005,1295,-0.016677,-0.022462),(4005,1305,-0.017487,-0.022512),(4005,1315,-0.018296,-0.02248),(4005,1325,-0.019105,-0.022427),(4005,1335,-0.019937,-0.022374),(4005,1345,-0.020774,-0.022322),(4005,1355,-0.02161,-0.022178),(4005,1365,-0.022446,-0.022019),(4005,1375,-0.023285,-0.021859),(4005,1385,-0.024125,-0.021699),(4005,1395,-0.024965,-0.021449),(4005,1405,-0.025804,-0.021186),(4005,1415,-0.026626,-0.020924),(4005,1425,-0.027447,-0.020662),(4005,1435,-0.028268,-0.020318),(4005,1445,-0.029088,-0.019966),(4005,1455,-0.029875,-0.019615),(4005,1465,-0.030659,-0.019263),(4005,1475,-0.031444,-0.018844),(4005,1485,-0.032229,-0.018423),(4005,1495,-0.032967,-0.018001),(4005,1505,-0.033704,-0.017579),(4005,1515,-0.034441,-0.017109),(4005,1525,-0.035178,-0.016639),(4005,1535,-0.035864,-0.016169),(4005,1545,-0.03655,-0.015697),(4005,1555,-0.037236,-0.0152),(4005,1565,-0.037919,-0.014703),(4005,1575,-0.038556,-0.014205),(4005,1585,-0.039194,-0.013707),(4005,1595,-0.039831,-0.013201),(4005,1605,-0.040463,-0.012696),(4005,1615,-0.041058,-0.012191),(4005,1625,-0.041652,-0.011686),(4005,1635,-0.042247,-0.01119),(4005,1645,-0.042836,-0.010693),(4005,1655,-0.043398,-0.010197),(4005,1665,-0.043959,-0.009704),(4005,1675,-0.04452,-0.009231),(4005,1685,-0.045077,-0.008757),(4005,1695,-0.045615,-0.008284),(4005,1705,-0.046154,-0.007817),(4005,1715,-0.046692,-0.007379),(4005,1725,-0.047228,-0.00694),(4005,1735,-0.047756,-0.006502),(4005,1745,-0.048283,-0.006074),(4005,1755,-0.048811,-0.00568),(4005,1765,-0.049339,-0.005286),(4005,1775,-0.049867,-0.004892),(4005,1785,-0.050396,-0.004513),(4005,1795,-0.050925,-0.004172),(4005,1805,-0.051457,-0.00383),(4005,1815,-0.051999,-0.003489),(4005,1825,-0.05254,-0.003167),(4005,1835,-0.053082,-0.002886),(4005,1845,-0.053632,-0.002606),(4005,1855,-0.054198,-0.002325),(4005,1865,-0.054765,-0.002069),(4005,1875,-0.055331,-0.001857),(4005,1885,-0.055911,-0.001646),(4005,1895,-0.056513,-0.001434),(4005,1905,-0.057116,-0.001254),(4005,1915,-0.057718,-0.00112),(4005,1925,-0.05834,-0.000987),(4005,1935,-0.058991,-0.000853),(4005,1945,-0.059641,-0.000759),(4005,1955,-0.060291,-0.000714),(4005,1965,-0.060969,-0.000669),(4005,1975,-0.06168,-0.000624),(4005,1985,-0.06239,-0.000627),(4005,1995,-0.0631,-0.000684),(4005,2005,-0.063847,-0.00074),(4005,2015,-0.064631,-0.000796),(4005,2025,-0.065415,-0.000913),(4005,2035,-0.066198,-0.001087),(4005,2045,-0.067029,-0.00126),(4005,2055,-0.067899,-0.001434),(4005,2065,-0.06877,-0.001684),(4005,2075,-0.069641,-0.001994),(4005,2085,-0.070571,-0.002304),(4005,2095,-0.071545,-0.002614),(4005,2105,-0.072518,-0.003021),(4005,2115,-0.073492,-0.003492),(4005,2125,-0.074539,-0.003963),(4005,2135,-0.075633,-0.004434),(4005,2145,-0.076726,-0.005027),(4005,2155,-0.07782,-0.00569),(4005,2165,-0.079005,-0.006352),(4005,2175,-0.080238,-0.007015),(4005,2185,-0.081471,-0.007833),(4005,2195,-0.082704,-0.008726),(4005,2205,-0.08405,-0.009618),(4005,2215,-0.085445,-0.010511),(4005,2225,-0.086839,-0.011603),(4005,2235,-0.088234,-0.012774),(4005,2245,-0.089766,-0.013944),(4005,2255,-0.091346,-0.015115),(4005,2265,-0.092926,-0.016543),(4005,2275,-0.094507,-0.018054),(4005,2285,-0.096252,-0.019565),(4005,2295,-0.098045,-0.021076),(4005,2305,-0.099838,-0.022921),(4005,2315,-0.10163,-0.024851),(4005,2325,-0.10362,-0.026781),(4005,2335,-0.10565,-0.028711),(4005,2345,-0.10768,-0.031077),(4005,2355,-0.10972,-0.033528),(4005,2365,-0.11198,-0.03598),(4005,2375,-0.11427,-0.038431),(4005,2385,-0.11657,-0.041456),(4005,2395,-0.11887,-0.044562),(4005,2405,-0.12143,-0.047668),(4005,2415,-0.12401,-0.050773),(4005,2425,-0.12659,-0.054637),(4005,2435,-0.12918,-0.058571),(4005,2445,-0.13203,-0.062505),(4005,2455,-0.13491,-0.066438),(4005,2465,-0.13778,-0.071381),(4005,2475,-0.14066,-0.076371),(4005,2485,-0.14379,-0.08136),(4005,2495,-0.14693,-0.08635),(4005,2505,-0.15007,-0.092688),(4005,2515,-0.15321,-0.099032),(4005,2525,-0.15651,-0.10538),(4005,2535,-0.15982,-0.11178),(4005,2545,-0.16313,-0.11987),(4005,2555,-0.16644,-0.12795),(4005,2565,-0.16971,-0.13603),(4005,2575,-0.17299,-0.14428),(4005,2585,-0.17626,-0.15459),(4005,2595,-0.17949,-0.16489),(4005,2605,-0.18231,-0.17519),(4005,2615,-0.18512,-0.18581),(4005,2625,-0.18794,-0.19888),(4005,2635,-0.19059,-0.21194),(4005,2645,-0.19218,-0.22501),(4005,2655,-0.19376,-0.23857),(4005,2665,-0.19535,-0.25488),(4005,2675,-0.1965,-0.27118),(4005,2685,-0.19553,-0.28749),(4005,2695,-0.19457,-0.30444),(4005,2705,-0.19361,-0.32404),(4005,2715,-0.19168,-0.34364),(4005,2725,-0.18619,-0.36324),(4005,2735,-0.18071,-0.38333),(4005,2745,-0.17522,-0.40501),(4005,2755,-0.16806,-0.42669),(4005,2765,-0.15593,-0.44837),(4005,2775,-0.14381,-0.46959),(4005,2785,-0.13169,-0.48959),(4005,2795,-0.11813,-0.50959),(4005,2805,-0.10109,-0.52959),(4005,2815,-0.084049,-0.54858),(4005,2825,-0.067008,-0.56533),(4005,2835,-0.049,-0.58208),(4005,2845,-0.029044,-0.59884),(4005,2855,-0.009088,-0.61441),(4005,2865,0.010868,-0.62781),(4005,2875,0.031396,-0.64121),(4005,2885,0.052892,-0.6546),(4005,2895,0.074389,-0.66686),(4005,2905,0.095885,-0.67732),(4005,2915,0.11769,-0.68779),(4005,2925,0.13993,-0.69825),(4005,2935,0.16218,-0.70767),(4005,2945,0.18442,-0.71572),(4005,2955,0.20682,-0.72376),(4005,2965,0.22942,-0.73181),(4005,2975,0.25201,-0.73892),(4005,2985,0.2746,-0.74498),(4005,2995,0.29728,-0.75105),(4005,3005,0.32005,-0.75711),(4005,3015,0.34282,-0.76234),(4005,3025,0.36559,-0.76676),(4005,3035,0.38844,-0.77117),(4005,3045,0.41135,-0.77559),(4005,3055,0.43427,-0.77923),(4005,3065,0.45718,-0.78222),(4005,3075,0.4802,-0.78521),(4005,3085,0.5033,-0.7882),(4005,3095,0.52641,-0.79043),(4005,3105,0.54951,-0.79213),(4005,3115,0.57278,-0.79382),(4005,3125,0.59615,-0.79551),(4005,3135,0.61953,-0.79641),(4005,3145,0.6429,-0.79684),(4005,3155,0.66652,-0.79727),(4005,3165,0.69027,-0.79771),(4005,3175,0.71403,-0.79726),(4005,3185,0.73778,-0.79638),(4005,3195,0.76188,-0.7955),(4005,3205,0.78613,-0.79462),(4005,3215,0.81038,-0.79272),(4005,3225,0.83464,-0.79039),(4005,3235,0.85934,-0.78807),(4005,3245,0.88422,-0.78575),(4005,3255,0.90909,-0.78217),(4005,3265,0.93397,-0.77817),(4005,3275,0.9594,-0.77417),(4005,3285,0.98501,-0.77017),(4005,3295,1.0106,-0.76457),(4005,3305,1.0362,-0.75855),(4005,3315,1.0625,-0.75253),(4005,3325,1.0889,-0.74651),(4005,3335,1.1153,-0.73841),(4005,3345,1.1418,-0.72988),(4005,3355,1.1689,-0.72135),(4005,3365,1.1962,-0.71281),(4005,3375,1.2234,-0.70152),(4005,3385,1.2507,-0.68981),(4005,3395,1.2786,-0.6781),(4005,3405,1.3066,-0.66638),(4005,3415,1.3345,-0.65097),(4005,3425,1.3625,-0.63518),(4005,3435,1.3909,-0.61938),(4005,3445,1.4192,-0.60359),(4005,3455,1.4476,-0.58283),(4005,3465,1.4759,-0.56179),(4005,3475,1.5039,-0.54075),(4005,3485,1.5318,-0.51971),(4005,3495,1.5597,-0.49211),(4005,3505,1.5877,-0.4644),(4005,3515,1.6135,-0.4367),(4005,3525,1.6394,-0.40879),(4005,3535,1.6653,-0.37296),(4005,3545,1.691,-0.33712),(4005,3555,1.7119,-0.30128),(4005,3565,1.7328,-0.26487),(4005,3575,1.7537,-0.22012),(4005,3585,1.7738,-0.17536),(4005,3595,1.7849,-0.13061),(4005,3605,1.7959,-0.085122),(4005,3615,1.807,-0.033317),(4005,3625,1.8161,0.018488),(4005,3635,1.8111,0.070294),(4005,3645,1.8062,0.12195),(4005,3655,1.8013,0.17273),(4005,3665,1.7936,0.22351),(4005,3675,1.7722,0.27429),(4005,3685,1.7507,0.32302),(4005,3695,1.7293,0.36263),(4005,3705,1.7066,0.40223),(4005,3715,1.679,0.44184),(4005,3725,1.6514,0.47931),(4005,3735,1.6238,0.50933),(4005,3745,1.5957,0.53935),(4005,3755,1.5662,0.56937),(4005,3765,1.5366,0.5975),(4005,3775,1.507,0.62033),(4005,3785,1.4774,0.64317),(4005,3795,1.4477,0.666),(4005,3805,1.418,0.68723),(4005,3815,1.3882,0.70475),(4005,3825,1.3587,0.72228),(4005,3835,1.3295,0.73981),(4005,3845,1.3004,0.75599),(4005,3855,1.2712,0.7696),(4005,3865,1.2424,0.78321),(4005,3875,1.2141,0.79681),(4005,3885,1.1858,0.80931),(4005,3895,1.1575,0.82),(4005,3905,1.1296,0.83069),(4005,3915,1.1023,0.84139),(4005,3925,1.0749,0.85117),(4005,3935,1.0476,0.85969),(4005,3945,1.0206,0.86821),(4005,3955,0.99414,0.87673),(4005,3965,0.96769,0.8845),(4005,3975,0.94123,0.89138),(4005,3985,0.91516,0.89827),(4005,3995,0.88951,0.90515),(4005,4005,0.86386,0.91147),(4005,4015,0.83821,0.91722),(4005,4025,1.189,0.92298),(4005,4035,1.5765,0.92638),(4005,4045,1.9641,0.92481),(4005,4055,2.2406,0.92325),(4005,4065,2.4767,0.92105),(4005,4075,2.7128,0.91505),(4005,4085,2.8139,0.90905),(4005,4095,2.8066,0.90306),(4005,4105,2.7994,0.89684),(4005,4115,2.6996,0.89062),(4005,4125,2.4466,0.88439),(4005,4135,2.1936,0.8809),(4005,4145,1.9376,0.87814),(4005,4155,1.6693,0.87538),(4005,4165,1.401,0.87477),(4005,4175,1.1477,0.87556),(4005,4185,1.6345,0.87634),(4005,4195,2.1213,0.87372),(4005,4205,2.6081,0.86659),(4005,4215,2.6808,0.85945),(4005,4225,2.6756,0.85229),(4005,4235,2.6705,0.84504),(4005,4245,2.6619,0.83779),(4005,4255,2.6516,0.83045),(4005,4265,2.6413,0.82197),(4005,4275,2.3147,0.81349),(4005,4285,1.6525,0.80501),(4005,4295,0.99034,0.80621),(4005,4305,0.70389,0.80852),(4005,4315,1.2659,0.81083),(4005,4325,1.8279,0.80699),(4005,4335,2.3273,0.80073),(4005,4345,2.4028,0.79447),(4005,4355,2.4783,0.78742),(4005,4365,2.5538,0.77971),(4005,4375,2.5545,0.77199),(4005,4385,2.5513,0.76421),(4005,4395,2.548,0.75631),(4005,4405,2.2254,0.74841),(4005,4415,1.8085,0.74165),(4005,4425,1.3916,0.73991),(4005,4435,1.2131,0.73818),(4005,4445,1.1975,0.73645),(4005,4455,1.1818,0.73488),(4005,4465,1.3441,0.73331),(4005,4475,1.7563,0.73174),(4005,4485,2.1684,0.72509),(4005,4495,2.4821,0.71738),(4005,4505,2.4798,0.70966),(4005,4515,2.4774,0.70197),(4005,4525,2.4702,0.6943),(4005,4535,2.3854,0.68663),(4005,4545,2.3007,0.67944),(4005,4555,2.2159,0.67282),(4005,4565,1.6747,0.66619),(4005,4575,1.0721,0.66206),(4005,4585,0.46937,0.66395),(4005,4595,0.75806,0.66585),(4005,4605,1.4234,0.6665),(4005,4615,2.0887,0.65746),(4005,4625,2.4064,0.64842),(4005,4635,2.4093,0.63939),(4005,4645,2.4123,0.63147),(4005,4655,2.4138,0.62362),(4005,4665,2.4125,0.61578),(4005,4675,2.4113,0.60809),(4005,4685,2.3247,0.60045),(4005,4695,1.8165,0.59281),(4005,4705,1.3083,0.58907),(4005,4715,0.80011,0.58816),(4005,4725,1.036,0.58726),(4005,4735,1.2794,0.5851),(4005,4745,1.5228,0.58107),(4005,4755,1.7727,0.57705),(4005,4765,2.0242,0.57231),(4005,4775,2.2757,0.56511),(4005,4785,2.3672,0.55791),(4005,4795,2.3661,0.55071),(4005,4805,2.365,0.54366),(4005,4815,2.2481,0.53661),(4005,4825,1.9927,0.52956),(4005,4835,1.7374,0.52514),(4005,4845,1.4787,0.52113),(4005,4855,1.2115,0.51712),(4005,4865,0.94423,0.51523),(4005,4875,0.75417,0.51431),(4005,4885,1.2663,0.51339),(4005,4895,1.7783,0.50944),(4005,4905,2.2904,0.50258),(4005,4915,2.3303,0.49572),(4005,4925,2.3295,0.48889),(4005,4935,2.3287,0.4821),(4005,4945,2.3263,0.47531),(4005,4955,2.3233,0.46846),(4005,4965,2.3203,0.46124),(4005,4975,1.9324,0.45403),(4005,4985,1.2475,0.44681),(4005,4995,0.56251,0.44744),(4005,5005,0.33942,0.44826),(4005,5015,0.85061,0.44908),(4005,5025,1.3618,0.44567),(4005,5035,1.8021,0.44118),(4005,5045,1.9724,0.43669),(4005,5055,2.1426,0.4311),(4005,5065,2.3078,0.42484),(4005,5075,2.3073,0.41858),(4005,5085,2.3067,0.41237),(4005,5095,2.3061,0.40621),(4005,5105,2.0112,0.40006),(4005,5115,1.665,0.39481),(4005,5125,1.3187,0.39209),(4005,5135,1.1424,0.38938),(4005,5145,1.0486,0.38676),(4005,5155,0.9548,0.38511),(4005,5165,1.123,0.38346),(4005,5175,1.5584,0.38181),(4005,5185,1.9938,0.3768),(4005,5195,2.291,0.37144),(4005,5205,2.2902,0.36607),(4005,5215,2.2894,0.36076),(4005,5225,2.2768,0.35548),(4005,5235,2.1905,0.35019),(4005,5245,2.1041,0.34532),(4005,5255,2.0178,0.3408),(4005,5265,1.4178,0.33627),(4005,5275,0.79669,0.33354),(4005,5285,0.17553,0.33383),(4005,5295,0.58245,0.33412),(4005,5305,1.2757,0.33355),(4005,5315,1.9689,0.32939),(4005,5325,2.2434,0.32522),(4005,5335,2.2434,0.32105),(4005,5345,2.2434,0.31713),(4005,5355,2.2429,0.31322),(4005,5365,2.2418,0.3093),(4005,5375,2.2406,0.3054),(4005,5385,2.1112,0.30151),(4005,5395,1.5918,0.29762),(4005,5405,1.0723,0.29577),(4005,5415,0.60694,0.295),(4005,5425,0.86722,0.29422),(4005,5435,1.1275,0.29343),(4005,5445,1.3878,0.29264),(4005,5455,1.648,0.29184),(4005,5465,1.9082,0.29084),(4005,5475,2.1685,0.28934),(4005,5485,2.242,0.28784),(4005,5495,2.2404,0.28632),(4005,5505,2.2387,0.28474),(4005,5515,2.2372,0.28317),(4005,5525,2.2357,0.28159),(4005,5535,2.2342,0.27992),(4005,5545,2.2328,0.27824),(4005,5555,2.2315,0.27656),(4005,5565,2.2301,0.27482),(4005,5575,2.2288,0.27304),(4005,5585,2.2275,0.27127),(4005,5595,2.2263,0.26946),(4005,5605,2.2251,0.26762),(4005,5615,2.2239,0.26578),(4005,5625,2.2227,0.26392),(4005,5635,2.2215,0.26203),(4005,5645,2.2204,0.26014),(4005,5655,2.2192,0.25826),(4005,5665,2.2181,0.25638),(4005,5675,2.2169,0.2545),(4005,5685,2.2158,0.25263),(4005,5695,2.2146,0.2508),(4005,5705,2.2134,0.24898),(4005,5715,2.2122,0.24715),(4005,5725,2.211,0.2454),(4005,5735,2.2098,0.24367),(4005,5745,2.2085,0.24193),(4005,5755,2.2073,0.24029),(4005,5765,2.206,0.23868),(4005,5775,2.2046,0.23707),(4005,5785,2.2033,0.23555),(4005,5795,2.2019,0.23409),(4005,5805,2.2005,0.23264),(4005,5815,2.1991,0.23125),(4005,5825,2.1977,0.22997),(4005,5835,2.1962,0.22869),(4005,5845,2.1947,0.22745),(4005,5855,2.1932,0.22636),(4005,5865,2.1917,0.22526),(4005,5875,2.1902,0.22417),(4005,5885,2.1886,0.22325),(4005,5895,2.1871,0.22234),(4005,5905,2.1855,0.22142),(4005,5915,2.1839,0.22061),(4005,5925,2.1824,0.21984),(4005,5935,2.1808,0.21906),(4005,5945,2.1793,0.21835),(4005,5955,2.1777,0.21767),(4005,5965,2.1762,0.217),(4005,5975,2.1747,0.21635),(4005,5985,2.1731,0.21574),(4005,5995,1.6606,0.21512),(4005,6005,1.0659,0.21467),(4005,6015,0.4712,0.21464),(4005,6025,0.64208,0.21461),(4005,6035,1.1681,0.21418),(4005,6045,1.694,0.2098),(4005,6055,2.0572,0.20542),(4005,6065,2.2608,0.20104),(4005,6075,2.4644,0.19535),(4005,6085,2.6014,0.18955),(4005,6095,2.6012,0.18375),(4005,6105,2.6009,0.17804),(4005,6115,2.6006,0.17235),(4005,6125,2.6,0.16667),(4005,6135,2.5994,0.16112),(4005,6145,2.5989,0.15566),(4005,6155,2.598,0.15021),(4005,6165,2.5971,0.14486),(4005,6175,2.5962,0.1397),(4005,6185,2.595,0.13454),(4005,6195,2.5939,0.12945),(4005,6205,2.5927,0.12465),(4005,6215,2.5914,0.11985),(4005,6225,2.59,0.11506),(4005,6235,2.5886,0.11066),(4005,6245,2.5872,0.10625),(4005,6255,2.5856,0.10185),(4005,6265,2.5841,0.097782),(4005,6275,2.5825,0.093773),(4005,6285,2.5808,0.089765),(4005,6295,2.5791,0.086027),(4005,6305,2.5775,0.082424),(4005,6315,2.5758,0.07882),(4005,6325,2.5741,0.07539),(4005,6335,2.5724,0.072139),(4005,6345,2.5707,0.068889),(4005,6355,2.569,0.065755),(4005,6365,2.5674,0.062877),(4005,6375,2.5658,0.059999),(4005,6385,2.5642,0.057159),(4005,6395,2.5626,0.054572),(4005,6405,2.5611,0.051985),(4005,6415,2.5596,0.049398),(4005,6425,2.5582,0.046988),(4005,6435,2.5568,0.044587),(4005,6445,2.5556,0.042187),(4005,6455,2.5544,0.039942),(4005,6465,2.5531,0.037741),(4005,6475,2.5521,0.035541),(4005,6485,2.5511,0.033415),(4005,6495,2.5501,0.031339),(4005,6505,2.5493,0.029264),(4005,6515,2.5486,0.02722),(4005,6525,2.5478,0.02522),(4005,6535,2.5472,0.023221),(4005,6545,2.5467,0.021238),(4005,6555,2.5462,0.019307),(4005,6565,2.5459,0.017376),(4005,6575,2.5456,0.015447),(4005,6585,2.5453,0.013556),(4005,6595,2.1648,0.011664),(4005,6605,1.3645,0.009772),(4005,6615,0.5642,0.009592),(4005,6625,0.001587,0.009631),(4005,6635,0.001593,0.009671),(4005,6645,0.001599,0.00968),(4005,6655,0.001605,0.009677),(4005,6665,0.001611,0.009673),(4005,6675,0.001617,0.009669),(4005,6685,0.001622,0.009665),(4005,6695,0.001628,0.009661),(4005,6705,0.001633,0.009656),(4005,6715,0.001639,0.009651),(4005,6725,0.001644,0.009645),(4005,6735,0.001649,0.00964),(4005,6745,0.001654,0.009634),(4005,6755,0.001658,0.009628),(4005,6765,0.001663,0.009621),(4005,6775,0.001667,0.009615),(4005,6785,0.001672,0.009608),(4005,6795,0.001676,0.009601),(4005,6805,0.00168,0.009594),(4005,6815,0.001684,0.009587),(4005,6825,0.001687,0.00958),(4005,6835,0.001691,0.009572),(4005,6845,0.001695,0.009565),(4005,6855,0.001698,0.009557),(4005,6865,0.001701,0.009549),(4005,6875,0.001704,0.009541),(4005,6885,0.001707,0.009534),(4005,6895,0.00171,0.009525),(4005,6905,0.001713,0.009517),(4005,6915,0.001715,0.009509),(4005,6925,0.001718,0.009501),(4005,6935,0.00172,0.009493),(4005,6945,0.001722,0.009484),(4005,6955,0.001724,0.009476),(4005,6965,0.001726,0.009468),(4005,6975,0.001729,0.009459),(4005,6985,0.00173,0.009451),(4015,5,2e-05,-0.003521),(4015,15,6e-05,-0.003523),(4015,25,0.0001,-0.003525),(4015,35,0.00014,-0.003528),(4015,45,0.00018,-0.003533),(4015,55,0.00022,-0.00354),(4015,65,0.00026,-0.003547),(4015,75,0.0003,-0.003554),(4015,85,0.000339,-0.003564),(4015,95,0.000379,-0.003577),(4015,105,0.000419,-0.003589),(4015,115,0.000459,-0.003601),(4015,125,0.000499,-0.003616),(4015,135,0.000539,-0.003634),(4015,145,0.000578,-0.003651),(4015,155,0.000618,-0.003668),(4015,165,0.000658,-0.003689),(4015,175,0.000697,-0.003712),(4015,185,0.000737,-0.003735),(4015,195,0.000776,-0.003758),(4015,205,0.000816,-0.003785),(4015,215,0.000855,-0.003813),(4015,225,0.000894,-0.003842),(4015,235,0.000933,-0.00387),(4015,245,0.000972,-0.003903),(4015,255,0.001011,-0.003937),(4015,265,0.001049,-0.003972),(4015,275,0.001087,-0.004006),(4015,285,0.001125,-0.004045),(4015,295,0.001164,-0.004086),(4015,305,0.001201,-0.004127),(4015,315,0.001239,-0.004169),(4015,325,0.001276,-0.004216),(4015,335,0.001314,-0.004264),(4015,345,0.00135,-0.004313),(4015,355,0.001387,-0.004361),(4015,365,0.001423,-0.004417),(4015,375,0.00146,-0.004473),(4015,385,0.001495,-0.00453),(4015,395,0.00153,-0.004586),(4015,405,0.001565,-0.004651),(4015,415,0.0016,-0.004716),(4015,425,0.001634,-0.004781),(4015,435,0.001667,-0.004846),(4015,445,0.0017,-0.004921),(4015,455,0.001733,-0.004996),(4015,465,0.001764,-0.005072),(4015,475,0.001795,-0.005147),(4015,485,0.001826,-0.005233),(4015,495,0.001857,-0.005319),(4015,505,0.001884,-0.005405),(4015,515,0.001911,-0.005492),(4015,525,0.001939,-0.00559),(4015,535,0.001966,-0.005688),(4015,545,0.001989,-0.005786),(4015,555,0.002012,-0.005885),(4015,565,0.002035,-0.005997),(4015,575,0.002057,-0.006109),(4015,585,0.002075,-0.006221),(4015,595,0.002092,-0.006334),(4015,605,0.00211,-0.006461),(4015,615,0.002127,-0.006588),(4015,625,0.002137,-0.006715),(4015,635,0.002147,-0.006844),(4015,645,0.002157,-0.006988),(4015,655,0.002166,-0.007131),(4015,665,0.002167,-0.007275),(4015,675,0.002168,-0.007422),(4015,685,0.002169,-0.007584),(4015,695,0.002168,-0.007746),(4015,705,0.002157,-0.007908),(4015,715,0.002146,-0.008075),(4015,725,0.002135,-0.008257),(4015,735,0.00212,-0.008439),(4015,745,0.002094,-0.008621),(4015,755,0.002068,-0.008809),(4015,765,0.002042,-0.009013),(4015,775,0.002011,-0.009217),(4015,785,0.001965,-0.009421),(4015,795,0.00192,-0.009632),(4015,805,0.001875,-0.009859),(4015,815,0.001822,-0.010086),(4015,825,0.001752,-0.010314),(4015,835,0.001683,-0.010549),(4015,845,0.001614,-0.0108),(4015,855,0.001534,-0.011052),(4015,865,0.001435,-0.011303),(4015,875,0.001335,-0.011564),(4015,885,0.001236,-0.011839),(4015,895,0.001122,-0.012115),(4015,905,0.000985,-0.012391),(4015,915,0.000849,-0.012676),(4015,925,0.000713,-0.012976),(4015,935,0.000557,-0.013275),(4015,945,0.000376,-0.013575),(4015,955,0.000195,-0.013884),(4015,965,1.3e-05,-0.014204),(4015,975,-0.000193,-0.014525),(4015,985,-0.000428,-0.014845),(4015,995,-0.000663,-0.015174),(4015,1005,-0.000899,-0.015511),(4015,1015,-0.001166,-0.015848),(4015,1025,-0.001464,-0.016185),(4015,1035,-0.001763,-0.016527),(4015,1045,-0.002061,-0.016872),(4015,1055,-0.0024,-0.017218),(4015,1065,-0.002771,-0.017564),(4015,1075,-0.003142,-0.017909),(4015,1085,-0.003513,-0.018253),(4015,1095,-0.003932,-0.018597),(4015,1105,-0.004384,-0.018941),(4015,1115,-0.004836,-0.019274),(4015,1125,-0.005288,-0.019601),(4015,1135,-0.005794,-0.019928),(4015,1145,-0.006333,-0.020255),(4015,1155,-0.006871,-0.02056),(4015,1165,-0.007409,-0.020852),(4015,1175,-0.008006,-0.021145),(4015,1185,-0.008632,-0.021437),(4015,1195,-0.009258,-0.021691),(4015,1205,-0.009883,-0.021928),(4015,1215,-0.010568,-0.022164),(4015,1225,-0.011277,-0.022401),(4015,1235,-0.011985,-0.022582),(4015,1245,-0.012694,-0.022742),(4015,1255,-0.013456,-0.022901),(4015,1265,-0.014236,-0.023061),(4015,1275,-0.015016,-0.023147),(4015,1285,-0.015796,-0.02321),(4015,1295,-0.016616,-0.023274),(4015,1305,-0.017448,-0.023337),(4015,1315,-0.01828,-0.023313),(4015,1325,-0.019112,-0.023267),(4015,1335,-0.019968,-0.023221),(4015,1345,-0.020827,-0.023176),(4015,1355,-0.021687,-0.023034),(4015,1365,-0.022547,-0.022875),(4015,1375,-0.023409,-0.022715),(4015,1385,-0.02427,-0.022556),(4015,1395,-0.025132,-0.022301),(4015,1405,-0.025994,-0.022033),(4015,1415,-0.026835,-0.021766),(4015,1425,-0.027675,-0.021499),(4015,1435,-0.028515,-0.021144),(4015,1445,-0.029355,-0.020783),(4015,1455,-0.030157,-0.020422),(4015,1465,-0.030956,-0.02006),(4015,1475,-0.031755,-0.019628),(4015,1485,-0.032555,-0.019194),(4015,1495,-0.033303,-0.018759),(4015,1505,-0.03405,-0.018325),(4015,1515,-0.034798,-0.017841),(4015,1525,-0.035544,-0.017357),(4015,1535,-0.036235,-0.016873),(4015,1545,-0.036926,-0.016387),(4015,1555,-0.037618,-0.015877),(4015,1565,-0.038306,-0.015366),(4015,1575,-0.038943,-0.014855),(4015,1585,-0.039581,-0.014344),(4015,1595,-0.040218,-0.013827),(4015,1605,-0.040851,-0.01331),(4015,1615,-0.041442,-0.012793),(4015,1625,-0.042033,-0.012277),(4015,1635,-0.042624,-0.011771),(4015,1645,-0.04321,-0.011266),(4015,1655,-0.043764,-0.01076),(4015,1665,-0.044318,-0.010259),(4015,1675,-0.044873,-0.009779),(4015,1685,-0.045422,-0.009299),(4015,1695,-0.045951,-0.00882),(4015,1705,-0.04648,-0.008348),(4015,1715,-0.047009,-0.007906),(4015,1725,-0.047535,-0.007464),(4015,1735,-0.048051,-0.007023),(4015,1745,-0.048567,-0.006592),(4015,1755,-0.049082,-0.006198),(4015,1765,-0.049598,-0.005804),(4015,1775,-0.050112,-0.00541),(4015,1785,-0.050627,-0.005031),(4015,1795,-0.051142,-0.004693),(4015,1805,-0.05166,-0.004354),(4015,1815,-0.052185,-0.004016),(4015,1825,-0.052711,-0.003698),(4015,1835,-0.053237,-0.003423),(4015,1845,-0.05377,-0.003148),(4015,1855,-0.054319,-0.002873),(4015,1865,-0.054867,-0.002624),(4015,1875,-0.055415,-0.002421),(4015,1885,-0.055977,-0.002218),(4015,1895,-0.056559,-0.002015),(4015,1905,-0.057141,-0.001844),(4015,1915,-0.057723,-0.001722),(4015,1925,-0.058324,-0.0016),(4015,1935,-0.058952,-0.001478),(4015,1945,-0.059579,-0.001397),(4015,1955,-0.060206,-0.001366),(4015,1965,-0.06086,-0.001336),(4015,1975,-0.061544,-0.001305),(4015,1985,-0.062228,-0.001325),(4015,1995,-0.062913,-0.001399),(4015,2005,-0.063632,-0.001473),(4015,2015,-0.064385,-0.001547),(4015,2025,-0.065138,-0.001683),(4015,2035,-0.065892,-0.001878),(4015,2045,-0.06669,-0.002072),(4015,2055,-0.067525,-0.002267),(4015,2065,-0.068361,-0.00254),(4015,2075,-0.069196,-0.002875),(4015,2085,-0.070088,-0.003209),(4015,2095,-0.07102,-0.003544),(4015,2105,-0.071952,-0.003978),(4015,2115,-0.072884,-0.004477),(4015,2125,-0.073886,-0.004977),(4015,2135,-0.07493,-0.005477),(4015,2145,-0.075975,-0.006102),(4015,2155,-0.077019,-0.006798),(4015,2165,-0.078149,-0.007494),(4015,2175,-0.079323,-0.008189),(4015,2185,-0.080497,-0.009044),(4015,2195,-0.081672,-0.009975),(4015,2205,-0.08295,-0.010906),(4015,2215,-0.084273,-0.011836),(4015,2225,-0.085597,-0.012971),(4015,2235,-0.08692,-0.014185),(4015,2245,-0.088369,-0.015399),(4015,2255,-0.089862,-0.016614),(4015,2265,-0.091356,-0.01809),(4015,2275,-0.092849,-0.01965),(4015,2285,-0.094492,-0.02121),(4015,2295,-0.096177,-0.02277),(4015,2305,-0.097863,-0.024669),(4015,2315,-0.099548,-0.026654),(4015,2325,-0.10141,-0.028639),(4015,2335,-0.10331,-0.030624),(4015,2345,-0.10521,-0.03305),(4015,2355,-0.10711,-0.035561),(4015,2365,-0.1092,-0.038073),(4015,2375,-0.11133,-0.040584),(4015,2385,-0.11347,-0.043671),(4015,2395,-0.1156,-0.04684),(4015,2405,-0.11794,-0.050008),(4015,2415,-0.12032,-0.053177),(4015,2425,-0.12269,-0.057102),(4015,2435,-0.12506,-0.061096),(4015,2445,-0.12765,-0.06509),(4015,2455,-0.13025,-0.069085),(4015,2465,-0.13286,-0.074078),(4015,2475,-0.13546,-0.079117),(4015,2485,-0.13825,-0.084156),(4015,2495,-0.14104,-0.089196),(4015,2505,-0.14383,-0.095555),(4015,2515,-0.14662,-0.10192),(4015,2525,-0.14948,-0.10829),(4015,2535,-0.15234,-0.11471),(4015,2545,-0.1552,-0.12276),(4015,2555,-0.15806,-0.1308),(4015,2565,-0.16076,-0.13885),(4015,2575,-0.16346,-0.14706),(4015,2585,-0.16615,-0.15721),(4015,2595,-0.1688,-0.16736),(4015,2605,-0.17089,-0.17752),(4015,2615,-0.17299,-0.18797),(4015,2625,-0.17509,-0.20069),(4015,2635,-0.17701,-0.21341),(4015,2645,-0.17775,-0.22614),(4015,2655,-0.17848,-0.23931),(4015,2665,-0.17922,-0.25496),(4015,2675,-0.17951,-0.27062),(4015,2685,-0.17768,-0.28628),(4015,2695,-0.17585,-0.30249),(4015,2705,-0.17402,-0.32102),(4015,2715,-0.17129,-0.33954),(4015,2725,-0.16525,-0.35807),(4015,2735,-0.15922,-0.377),(4015,2745,-0.15318,-0.39725),(4015,2755,-0.14573,-0.41749),(4015,2765,-0.1341,-0.43774),(4015,2775,-0.12246,-0.4576),(4015,2785,-0.11082,-0.47645),(4015,2795,-0.097873,-0.4953),(4015,2805,-0.081737,-0.51415),(4015,2815,-0.0656,-0.53212),(4015,2825,-0.049464,-0.54813),(4015,2835,-0.032368,-0.56415),(4015,2845,-0.013338,-0.58017),(4015,2855,0.005691,-0.59512),(4015,2865,0.024721,-0.6081),(4015,2875,0.044366,-0.62108),(4015,2885,0.065052,-0.63406),(4015,2895,0.085738,-0.64597),(4015,2905,0.10642,-0.65622),(4015,2915,0.12747,-0.66646),(4015,2925,0.14905,-0.67671),(4015,2935,0.17062,-0.68595),(4015,2945,0.19219,-0.69388),(4015,2955,0.21397,-0.70181),(4015,2965,0.236,-0.70974),(4015,2975,0.25804,-0.71677),(4015,2985,0.28007,-0.72277),(4015,2995,0.30224,-0.72877),(4015,3005,0.32454,-0.73477),(4015,3015,0.34684,-0.73993),(4015,3025,0.36914,-0.7443),(4015,3035,0.39155,-0.74867),(4015,3045,0.41405,-0.75304),(4015,3055,0.43655,-0.75662),(4015,3065,0.45906,-0.75956),(4015,3075,0.48169,-0.7625),(4015,3085,0.50441,-0.76544),(4015,3095,0.52713,-0.7676),(4015,3105,0.54985,-0.76922),(4015,3115,0.57275,-0.77085),(4015,3125,0.59575,-0.77247),(4015,3135,0.61876,-0.77328),(4015,3145,0.64176,-0.77362),(4015,3155,0.665,-0.77396),(4015,3165,0.68837,-0.7743),(4015,3175,0.71174,-0.77374),(4015,3185,0.73512,-0.77274),(4015,3195,0.75881,-0.77174),(4015,3205,0.78264,-0.77074),(4015,3215,0.80648,-0.76871),(4015,3225,0.83032,-0.76624),(4015,3235,0.85456,-0.76377),(4015,3245,0.87896,-0.7613),(4015,3255,0.90336,-0.75756),(4015,3265,0.92775,-0.75339),(4015,3275,0.95265,-0.74923),(4015,3285,0.97769,-0.74506),(4015,3295,1.0027,-0.73929),(4015,3305,1.0278,-0.73309),(4015,3315,1.0534,-0.72689),(4015,3325,1.0791,-0.72069),(4015,3335,1.1048,-0.71242),(4015,3345,1.1306,-0.70371),(4015,3355,1.1569,-0.69501),(4015,3365,1.1833,-0.6863),(4015,3375,1.2096,-0.67487),(4015,3385,1.236,-0.66303),(4015,3395,1.2629,-0.65118),(4015,3405,1.2898,-0.63933),(4015,3415,1.3166,-0.62389),(4015,3425,1.3435,-0.60807),(4015,3435,1.3705,-0.59225),(4015,3445,1.3974,-0.57643),(4015,3455,1.4244,-0.55585),(4015,3465,1.4513,-0.53501),(4015,3475,1.4775,-0.51416),(4015,3485,1.5037,-0.49331),(4015,3495,1.5298,-0.46631),(4015,3505,1.5559,-0.43921),(4015,3515,1.5797,-0.41212),(4015,3525,1.6034,-0.38484),(4015,3535,1.6271,-0.35032),(4015,3545,1.6506,-0.3158),(4015,3555,1.6691,-0.28129),(4015,3565,1.6876,-0.24626),(4015,3575,1.7061,-0.2039),(4015,3585,1.7238,-0.16153),(4015,3595,1.7329,-0.11916),(4015,3605,1.742,-0.076183),(4015,3615,1.7512,-0.027917),(4015,3625,1.7586,0.020349),(4015,3635,1.7539,0.068615),(4015,3645,1.7493,0.11674),(4015,3655,1.7446,0.16399),(4015,3665,1.7377,0.21125),(4015,3675,1.7193,0.25851),(4015,3685,1.7009,0.30406),(4015,3695,1.6826,0.34198),(4015,3705,1.6628,0.37991),(4015,3715,1.6378,0.41783),(4015,3725,1.6128,0.45385),(4015,3735,1.5878,0.48322),(4015,3745,1.5621,0.51259),(4015,3755,1.5345,0.54196),(4015,3765,1.5069,0.56957),(4015,3775,1.4792,0.59224),(4015,3785,1.4514,0.61491),(4015,3795,1.4231,0.63759),(4015,3805,1.3948,0.65872),(4015,3815,1.3665,0.67632),(4015,3825,1.3383,0.69391),(4015,3835,1.3102,0.7115),(4015,3845,1.2821,0.72779),(4015,3855,1.254,0.74155),(4015,3865,1.2261,0.75532),(4015,3875,1.1986,0.76909),(4015,3885,1.1711,0.78176),(4015,3895,1.1436,0.79265),(4015,3905,1.1164,0.80354),(4015,3915,1.0897,0.81443),(4015,3925,1.063,0.8244),(4015,3935,1.0362,0.83312),(4015,3945,1.0098,0.84184),(4015,3955,0.98383,0.85056),(4015,3965,0.95785,0.85851),(4015,3975,0.93186,0.86558),(4015,3985,0.90622,0.87265),(4015,3995,0.88094,0.87972),(4015,4005,0.85566,0.88621),(4015,4015,0.83038,0.89213),(4015,4025,1.1823,0.89805),(4015,4035,1.5711,0.90164),(4015,4045,1.9599,0.90032),(4015,4055,2.2374,0.899),(4015,4065,2.4742,0.89705),(4015,4075,2.711,0.89134),(4015,4085,2.8126,0.88564),(4015,4095,2.8054,0.87993),(4015,4105,2.7982,0.87399),(4015,4115,2.6983,0.86804),(4015,4125,2.4449,0.86209),(4015,4135,2.1914,0.85882),(4015,4145,1.935,0.85628),(4015,4155,1.6663,0.85373),(4015,4165,1.3977,0.85331),(4015,4175,1.144,0.85426),(4015,4185,1.6319,0.85521),(4015,4195,2.1199,0.85276),(4015,4205,2.6078,0.84583),(4015,4215,2.6808,0.8389),(4015,4225,2.6756,0.83193),(4015,4235,2.6705,0.82487),(4015,4245,2.6622,0.8178),(4015,4255,2.6523,0.81065),(4015,4265,2.6424,0.80241),(4015,4275,2.3153,0.79416),(4015,4285,1.6516,0.78591),(4015,4295,0.98778,0.78727),(4015,4305,0.70059,0.78975),(4015,4315,1.2637,0.79222),(4015,4325,1.8268,0.78847),(4015,4335,2.3272,0.78227),(4015,4345,2.403,0.77606),(4015,4355,2.4787,0.76906),(4015,4365,2.5545,0.76138),(4015,4375,2.5552,0.7537),(4015,4385,2.5521,0.74595),(4015,4395,2.5489,0.7381),(4015,4405,2.2257,0.73025),(4015,4415,1.808,0.72354),(4015,4425,1.3904,0.72192),(4015,4435,1.2115,0.7203),(4015,4445,1.1959,0.71869),(4015,4455,1.1802,0.71724),(4015,4465,1.3428,0.71579),(4015,4475,1.7558,0.71434),(4015,4485,2.1687,0.7078),(4015,4495,2.483,0.70019),(4015,4505,2.4806,0.69259),(4015,4515,2.4783,0.685),(4015,4525,2.471,0.67743),(4015,4535,2.3862,0.66986),(4015,4545,2.3013,0.66277),(4015,4555,2.2164,0.65624),(4015,4565,1.6744,0.6497),(4015,4575,1.0707,0.64564),(4015,4585,0.46702,0.64759),(4015,4595,0.75653,0.64953),(4015,4605,1.4234,0.65024),(4015,4615,2.0903,0.64144),(4015,4625,2.4086,0.63263),(4015,4635,2.4111,0.62382),(4015,4645,2.4137,0.61608),(4015,4655,2.4149,0.60842),(4015,4665,2.4136,0.60076),(4015,4675,2.4123,0.59325),(4015,4685,2.3255,0.58578),(4015,4695,1.8166,0.57832),(4015,4705,1.3077,0.57469),(4015,4715,0.79884,0.57385),(4015,4725,1.0351,0.573),(4015,4735,1.2787,0.57092),(4015,4745,1.5224,0.56701),(4015,4755,1.7727,0.5631),(4015,4765,2.0244,0.55849),(4015,4775,2.2762,0.55145),(4015,4785,2.3677,0.54441),(4015,4795,2.3666,0.53738),(4015,4805,2.3655,0.53049),(4015,4815,2.2485,0.52359),(4015,4825,1.9929,0.5167),(4015,4835,1.7372,0.51239),(4015,4845,1.4783,0.50848),(4015,4855,1.2109,0.50457),(4015,4865,0.94343,0.50274),(4015,4875,0.75321,0.50186),(4015,4885,1.2657,0.50098),(4015,4895,1.7782,0.49712),(4015,4905,2.2908,0.49038),(4015,4915,2.3306,0.48364),(4015,4925,2.3299,0.47693),(4015,4935,2.3291,0.47026),(4015,4945,2.3268,0.4636),(4015,4955,2.3239,0.45687),(4015,4965,2.321,0.4498),(4015,4975,1.9329,0.44272),(4015,4985,1.2473,0.43564),(4015,4995,0.5617,0.43629),(4015,5005,0.33833,0.43713),(4015,5015,0.84979,0.43797),(4015,5025,1.3613,0.43465),(4015,5035,1.8018,0.43028),(4015,5045,1.9721,0.4259),(4015,5055,2.1425,0.42045),(4015,5065,2.3078,0.41434),(4015,5075,2.3072,0.40823),(4015,5085,2.3066,0.40216),(4015,5095,2.306,0.39616),(4015,5105,2.011,0.39015),(4015,5115,1.6646,0.38503),(4015,5125,1.3182,0.38239),(4015,5135,1.1418,0.37975),(4015,5145,1.0479,0.37721),(4015,5155,0.95404,0.37561),(4015,5165,1.1222,0.37402),(4015,5175,1.5576,0.37243),(4015,5185,1.993,0.36755),(4015,5195,2.2902,0.36232),(4015,5205,2.2894,0.35709),(4015,5215,2.2885,0.35192),(4015,5225,2.2759,0.34676),(4015,5235,2.1896,0.3416),(4015,5245,2.1032,0.33686),(4015,5255,2.0169,0.33245),(4015,5265,1.4171,0.32804),(4015,5275,0.79609,0.32538),(4015,5285,0.17508,0.32568),(4015,5295,0.58171,0.32597),(4015,5305,1.2745,0.32543),(4015,5315,1.9673,0.32138),(4015,5325,2.2416,0.31733),(4015,5335,2.2415,0.31328),(4015,5345,2.2414,0.30947),(4015,5355,2.2409,0.30566),(4015,5365,2.2397,0.30184),(4015,5375,2.2386,0.29804),(4015,5385,2.1093,0.29425),(4015,5395,1.5902,0.29046),(4015,5405,1.0712,0.28867),(4015,5415,0.60612,0.28791),(4015,5425,0.86571,0.28716),(4015,5435,1.1253,0.28639),(4015,5445,1.3849,0.28558),(4015,5455,1.6446,0.28478),(4015,5465,1.9043,0.28377),(4015,5475,2.1641,0.28225),(4015,5485,2.2375,0.28073),(4015,5495,2.2359,0.2792),(4015,5505,2.2343,0.2776),(4015,5515,2.2328,0.276),(4015,5525,2.2314,0.2744),(4015,5535,2.2299,0.2727),(4015,5545,2.2285,0.271),(4015,5555,2.2272,0.2693),(4015,5565,2.2259,0.26752),(4015,5575,2.2246,0.26573),(4015,5585,2.2234,0.26393),(4015,5595,2.2222,0.26209),(4015,5605,2.221,0.26023),(4015,5615,2.2198,0.25837),(4015,5625,2.2187,0.25649),(4015,5635,2.2175,0.25459),(4015,5645,2.2164,0.2527),(4015,5655,2.2152,0.2508),(4015,5665,2.2141,0.24893),(4015,5675,2.2129,0.24706),(4015,5685,2.2118,0.24519),(4015,5695,2.2106,0.24339),(4015,5705,2.2094,0.24159),(4015,5715,2.2082,0.2398),(4015,5725,2.207,0.2381),(4015,5735,2.2057,0.23642),(4015,5745,2.2044,0.23474),(4015,5755,2.2031,0.23316),(4015,5765,2.2018,0.23164),(4015,5775,2.2004,0.23011),(4015,5785,2.199,0.22868),(4015,5795,2.1976,0.22733),(4015,5805,2.1962,0.22599),(4015,5815,2.1947,0.22471),(4015,5825,2.1933,0.22357),(4015,5835,2.1917,0.22242),(4015,5845,2.1902,0.2213),(4015,5855,2.1887,0.22036),(4015,5865,2.1871,0.21942),(4015,5875,2.1855,0.21848),(4015,5885,2.1839,0.21772),(4015,5895,2.1823,0.21697),(4015,5905,2.1807,0.21622),(4015,5915,2.1791,0.21559),(4015,5925,2.1775,0.215),(4015,5935,2.1759,0.2144),(4015,5945,2.1744,0.21387),(4015,5955,2.1728,0.21338),(4015,5965,2.1712,0.21289),(4015,5975,2.1697,0.21244),(4015,5985,2.1681,0.21201),(4015,5995,1.6568,0.21159),(4015,6005,1.0634,0.21128),(4015,6015,0.47006,0.21127),(4015,6025,0.64155,0.21126),(4015,6035,1.1678,0.21083),(4015,6045,1.694,0.20641),(4015,6055,2.0573,0.20198),(4015,6065,2.261,0.19756),(4015,6075,2.4646,0.19182),(4015,6085,2.6016,0.18596),(4015,6095,2.6013,0.18011),(4015,6105,2.601,0.17435),(4015,6115,2.6006,0.16862),(4015,6125,2.6,0.1629),(4015,6135,2.5993,0.15732),(4015,6145,2.5987,0.15184),(4015,6155,2.5977,0.14637),(4015,6165,2.5967,0.14102),(4015,6175,2.5957,0.13587),(4015,6185,2.5945,0.13072),(4015,6195,2.5932,0.12565),(4015,6205,2.5919,0.12089),(4015,6215,2.5905,0.11612),(4015,6225,2.589,0.11137),(4015,6235,2.5875,0.10703),(4015,6245,2.5859,0.10269),(4015,6255,2.5843,0.098344),(4015,6265,2.5826,0.094351),(4015,6275,2.5809,0.09042),(4015,6285,2.5791,0.086489),(4015,6295,2.5773,0.082841),(4015,6305,2.5756,0.079333),(4015,6315,2.5738,0.075825),(4015,6325,2.572,0.072496),(4015,6335,2.5702,0.069352),(4015,6345,2.5684,0.066208),(4015,6355,2.5666,0.063181),(4015,6365,2.5649,0.060414),(4015,6375,2.5632,0.057647),(4015,6385,2.5615,0.054918),(4015,6395,2.5599,0.052444),(4015,6405,2.5583,0.04997),(4015,6415,2.5568,0.047495),(4015,6425,2.5553,0.045197),(4015,6435,2.5539,0.042908),(4015,6445,2.5526,0.040618),(4015,6455,2.5513,0.038484),(4015,6465,2.55,0.036394),(4015,6475,2.5489,0.034304),(4015,6485,2.5479,0.032284),(4015,6495,2.5468,0.030312),(4015,6505,2.546,0.02834),(4015,6515,2.5452,0.026397),(4015,6525,2.5444,0.024494),(4015,6535,2.5438,0.022592),(4015,6545,2.5433,0.020704),(4015,6555,2.5428,0.018865),(4015,6565,2.5424,0.017026),(4015,6575,2.5421,0.015188),(4015,6585,2.5419,0.013385),(4015,6595,2.1619,0.011581),(4015,6605,1.3627,0.009777),(4015,6615,0.56342,0.009604),(4015,6625,0.001585,0.009641),(4015,6635,0.001592,0.009678),(4015,6645,0.001598,0.009687),(4015,6655,0.001605,0.009683),(4015,6665,0.001611,0.00968),(4015,6675,0.001617,0.009676),(4015,6685,0.001623,0.009671),(4015,6695,0.001629,0.009666),(4015,6705,0.001635,0.009661),(4015,6715,0.00164,0.009656),(4015,6725,0.001646,0.00965),(4015,6735,0.001651,0.009645),(4015,6745,0.001656,0.009639),(4015,6755,0.001661,0.009632),(4015,6765,0.001665,0.009626),(4015,6775,0.00167,0.009619),(4015,6785,0.001675,0.009612),(4015,6795,0.001679,0.009605),(4015,6805,0.001683,0.009598),(4015,6815,0.001687,0.009591),(4015,6825,0.001691,0.009584),(4015,6835,0.001694,0.009576),(4015,6845,0.001698,0.009568),(4015,6855,0.001701,0.00956),(4015,6865,0.001705,0.009553),(4015,6875,0.001708,0.009544),(4015,6885,0.001711,0.009536),(4015,6895,0.001714,0.009528),(4015,6905,0.001717,0.00952),(4015,6915,0.001719,0.009512),(4015,6925,0.001722,0.009504),(4015,6935,0.001724,0.009495),(4015,6945,0.001726,0.009487),(4015,6955,0.001729,0.009478),(4015,6965,0.001731,0.00947),(4015,6975,0.001733,0.009461),(4015,6985,0.001735,0.009453),(4025,5,2.1e-05,-0.003481),(4025,15,6.2e-05,-0.003483),(4025,25,0.000103,-0.003485),(4025,35,0.000144,-0.003488),(4025,45,0.000185,-0.003493),(4025,55,0.000226,-0.0035),(4025,65,0.000267,-0.003508),(4025,75,0.000307,-0.003515),(4025,85,0.000348,-0.003525),(4025,95,0.000389,-0.003537),(4025,105,0.00043,-0.003549),(4025,115,0.000471,-0.003561),(4025,125,0.000512,-0.003576),(4025,135,0.000553,-0.003594),(4025,145,0.000594,-0.003611),(4025,155,0.000635,-0.003629),(4025,165,0.000675,-0.00365),(4025,175,0.000716,-0.003673),(4025,185,0.000757,-0.003696),(4025,195,0.000798,-0.003719),(4025,205,0.000839,-0.003746),(4025,215,0.000879,-0.003774),(4025,225,0.00092,-0.003803),(4025,235,0.00096,-0.003832),(4025,245,0.001,-0.003864),(4025,255,0.00104,-0.003899),(4025,265,0.00108,-0.003933),(4025,275,0.00112,-0.003968),(4025,285,0.00116,-0.004007),(4025,295,0.001199,-0.004049),(4025,305,0.001239,-0.00409),(4025,315,0.001278,-0.004131),(4025,325,0.001317,-0.004179),(4025,335,0.001356,-0.004228),(4025,345,0.001394,-0.004276),(4025,355,0.001433,-0.004325),(4025,365,0.001471,-0.004381),(4025,375,0.00151,-0.004438),(4025,385,0.001547,-0.004495),(4025,395,0.001584,-0.004552),(4025,405,0.001621,-0.004616),(4025,415,0.001658,-0.004682),(4025,425,0.001694,-0.004748),(4025,435,0.001729,-0.004814),(4025,445,0.001765,-0.004889),(4025,455,0.001801,-0.004965),(4025,465,0.001834,-0.005041),(4025,475,0.001868,-0.005117),(4025,485,0.001901,-0.005203),(4025,495,0.001934,-0.005291),(4025,505,0.001965,-0.005378),(4025,515,0.001995,-0.005465),(4025,525,0.002026,-0.005564),(4025,535,0.002056,-0.005664),(4025,545,0.002082,-0.005763),(4025,555,0.002109,-0.005863),(4025,565,0.002135,-0.005976),(4025,575,0.002161,-0.00609),(4025,585,0.002182,-0.006203),(4025,595,0.002203,-0.006318),(4025,605,0.002225,-0.006446),(4025,615,0.002245,-0.006575),(4025,625,0.00226,-0.006704),(4025,635,0.002274,-0.006835),(4025,645,0.002289,-0.006981),(4025,655,0.002302,-0.007127),(4025,665,0.002308,-0.007273),(4025,675,0.002313,-0.007422),(4025,685,0.002319,-0.007587),(4025,695,0.002322,-0.007753),(4025,705,0.002317,-0.007918),(4025,715,0.002311,-0.008087),(4025,725,0.002305,-0.008273),(4025,735,0.002296,-0.008459),(4025,745,0.002276,-0.008646),(4025,755,0.002256,-0.008837),(4025,765,0.002236,-0.009046),(4025,775,0.00221,-0.009255),(4025,785,0.002171,-0.009464),(4025,795,0.002132,-0.00968),(4025,805,0.002093,-0.009913),(4025,815,0.002047,-0.010147),(4025,825,0.001985,-0.01038),(4025,835,0.001922,-0.010622),(4025,845,0.001859,-0.010881),(4025,855,0.001786,-0.01114),(4025,865,0.001694,-0.011399),(4025,875,0.001602,-0.011668),(4025,885,0.001509,-0.011953),(4025,895,0.001402,-0.012238),(4025,905,0.001273,-0.012523),(4025,915,0.001144,-0.012819),(4025,925,0.001014,-0.013129),(4025,935,0.000865,-0.01344),(4025,945,0.000691,-0.013751),(4025,955,0.000516,-0.014072),(4025,965,0.000341,-0.014406),(4025,975,0.000141,-0.01474),(4025,985,-8.9e-05,-0.015074),(4025,995,-0.000318,-0.015418),(4025,1005,-0.000548,-0.015771),(4025,1015,-0.00081,-0.016124),(4025,1025,-0.001105,-0.016477),(4025,1035,-0.001399,-0.016835),(4025,1045,-0.001694,-0.0172),(4025,1055,-0.00203,-0.017564),(4025,1065,-0.0024,-0.017928),(4025,1075,-0.00277,-0.018292),(4025,1085,-0.00314,-0.018656),(4025,1095,-0.003559,-0.01902),(4025,1105,-0.004014,-0.019384),(4025,1115,-0.004468,-0.019739),(4025,1125,-0.004923,-0.020088),(4025,1135,-0.005435,-0.020436),(4025,1145,-0.00598,-0.020785),(4025,1155,-0.006526,-0.021111),(4025,1165,-0.007071,-0.021425),(4025,1175,-0.007679,-0.021739),(4025,1185,-0.008317,-0.022054),(4025,1195,-0.008956,-0.022329),(4025,1205,-0.009594,-0.022586),(4025,1215,-0.010296,-0.022844),(4025,1225,-0.011023,-0.023101),(4025,1235,-0.01175,-0.0233),(4025,1245,-0.012477,-0.023478),(4025,1255,-0.013261,-0.023655),(4025,1265,-0.014065,-0.023832),(4025,1275,-0.014868,-0.023932),(4025,1285,-0.015672,-0.024009),(4025,1295,-0.016519,-0.024085),(4025,1305,-0.017379,-0.024162),(4025,1315,-0.018238,-0.024146),(4025,1325,-0.019097,-0.024107),(4025,1335,-0.01998,-0.024068),(4025,1345,-0.020869,-0.024029),(4025,1355,-0.021757,-0.023889),(4025,1365,-0.022645,-0.02373),(4025,1375,-0.023534,-0.023572),(4025,1385,-0.024422,-0.023413),(4025,1395,-0.025311,-0.023153),(4025,1405,-0.0262,-0.02288),(4025,1415,-0.027064,-0.022608),(4025,1425,-0.027927,-0.022335),(4025,1435,-0.02879,-0.021971),(4025,1445,-0.029652,-0.0216),(4025,1455,-0.030471,-0.021228),(4025,1465,-0.031287,-0.020857),(4025,1475,-0.032104,-0.020412),(4025,1485,-0.03292,-0.019965),(4025,1495,-0.033679,-0.019518),(4025,1505,-0.034438,-0.01907),(4025,1515,-0.035196,-0.018572),(4025,1525,-0.035952,-0.018074),(4025,1535,-0.036648,-0.017576),(4025,1545,-0.037344,-0.017077),(4025,1555,-0.03804,-0.016553),(4025,1565,-0.038732,-0.016029),(4025,1575,-0.039369,-0.015505),(4025,1585,-0.040006,-0.01498),(4025,1595,-0.040642,-0.014452),(4025,1605,-0.041274,-0.013923),(4025,1615,-0.041859,-0.013395),(4025,1625,-0.042445,-0.012868),(4025,1635,-0.04303,-0.012353),(4025,1645,-0.04361,-0.011838),(4025,1655,-0.044155,-0.011324),(4025,1665,-0.044701,-0.010814),(4025,1675,-0.045246,-0.010328),(4025,1685,-0.045786,-0.009842),(4025,1695,-0.046303,-0.009356),(4025,1705,-0.04682,-0.008878),(4025,1715,-0.047337,-0.008433),(4025,1725,-0.047851,-0.007988),(4025,1735,-0.048352,-0.007543),(4025,1745,-0.048853,-0.00711),(4025,1755,-0.049355,-0.006716),(4025,1765,-0.049856,-0.006322),(4025,1775,-0.050354,-0.005927),(4025,1785,-0.050852,-0.00555),(4025,1795,-0.051351,-0.005214),(4025,1805,-0.051852,-0.004879),(4025,1815,-0.05236,-0.004543),(4025,1825,-0.052867,-0.004229),(4025,1835,-0.053375,-0.00396),(4025,1845,-0.053889,-0.00369),(4025,1855,-0.054418,-0.003421),(4025,1865,-0.054946,-0.003179),(4025,1875,-0.055474,-0.002985),(4025,1885,-0.056014,-0.00279),(4025,1895,-0.056574,-0.002596),(4025,1905,-0.057134,-0.002435),(4025,1915,-0.057693,-0.002325),(4025,1925,-0.058271,-0.002214),(4025,1935,-0.058873,-0.002104),(4025,1945,-0.059475,-0.002035),(4025,1955,-0.060078,-0.002019),(4025,1965,-0.060705,-0.002003),(4025,1975,-0.06136,-0.001987),(4025,1985,-0.062016,-0.002023),(4025,1995,-0.062672,-0.002114),(4025,2005,-0.06336,-0.002206),(4025,2015,-0.064081,-0.002297),(4025,2025,-0.064802,-0.002453),(4025,2035,-0.065523,-0.002669),(4025,2045,-0.066285,-0.002884),(4025,2055,-0.067083,-0.0031),(4025,2065,-0.06788,-0.003396),(4025,2075,-0.068678,-0.003755),(4025,2085,-0.069528,-0.004115),(4025,2095,-0.070416,-0.004474),(4025,2105,-0.071304,-0.004935),(4025,2115,-0.072191,-0.005463),(4025,2125,-0.073144,-0.005992),(4025,2135,-0.074136,-0.00652),(4025,2145,-0.075128,-0.007177),(4025,2155,-0.07612,-0.007906),(4025,2165,-0.077191,-0.008635),(4025,2175,-0.078302,-0.009364),(4025,2185,-0.079414,-0.010255),(4025,2195,-0.080526,-0.011224),(4025,2205,-0.081733,-0.012193),(4025,2215,-0.082981,-0.013162),(4025,2225,-0.084229,-0.014338),(4025,2235,-0.085477,-0.015596),(4025,2245,-0.086839,-0.016854),(4025,2255,-0.088242,-0.018112),(4025,2265,-0.089644,-0.019637),(4025,2275,-0.091047,-0.021246),(4025,2285,-0.092583,-0.022856),(4025,2295,-0.094157,-0.024465),(4025,2305,-0.095732,-0.026418),(4025,2315,-0.097306,-0.028458),(4025,2325,-0.099035,-0.030498),(4025,2335,-0.1008,-0.032538),(4025,2345,-0.10256,-0.035023),(4025,2355,-0.10432,-0.037594),(4025,2365,-0.10626,-0.040166),(4025,2375,-0.10822,-0.042737),(4025,2385,-0.11018,-0.045886),(4025,2395,-0.11215,-0.049118),(4025,2405,-0.11429,-0.052349),(4025,2415,-0.11645,-0.05558),(4025,2425,-0.11862,-0.059566),(4025,2435,-0.12078,-0.063621),(4025,2445,-0.12311,-0.067676),(4025,2455,-0.12546,-0.071731),(4025,2465,-0.1278,-0.076774),(4025,2475,-0.13015,-0.081863),(4025,2485,-0.13261,-0.086952),(4025,2495,-0.13508,-0.092041),(4025,2505,-0.13755,-0.098422),(4025,2515,-0.14001,-0.10481),(4025,2525,-0.14248,-0.1112),(4025,2535,-0.14494,-0.11764),(4025,2545,-0.14741,-0.12565),(4025,2555,-0.14986,-0.13366),(4025,2565,-0.15208,-0.14167),(4025,2575,-0.1543,-0.14983),(4025,2585,-0.15651,-0.15983),(4025,2595,-0.15867,-0.16984),(4025,2605,-0.16021,-0.17985),(4025,2615,-0.16175,-0.19012),(4025,2625,-0.1633,-0.2025),(4025,2635,-0.16465,-0.21488),(4025,2645,-0.1648,-0.22727),(4025,2655,-0.16494,-0.24005),(4025,2665,-0.16508,-0.25505),(4025,2675,-0.1648,-0.27006),(4025,2685,-0.16244,-0.28506),(4025,2695,-0.16009,-0.30054),(4025,2705,-0.15773,-0.31799),(4025,2715,-0.15454,-0.33545),(4025,2725,-0.14826,-0.3529),(4025,2735,-0.14197,-0.37067),(4025,2745,-0.13569,-0.38948),(4025,2755,-0.12811,-0.40829),(4025,2765,-0.11673,-0.4271),(4025,2775,-0.10534,-0.44561),(4025,2785,-0.093953,-0.46331),(4025,2795,-0.081343,-0.48101),(4025,2805,-0.065768,-0.49871),(4025,2815,-0.050193,-0.51565),(4025,2825,-0.034619,-0.53094),(4025,2835,-0.018118,-0.54622),(4025,2845,0.00025,-0.5615),(4025,2855,0.018617,-0.57583),(4025,2865,0.036984,-0.58839),(4025,2875,0.055973,-0.60095),(4025,2885,0.076015,-0.61352),(4025,2895,0.096056,-0.62509),(4025,2905,0.1161,-0.63511),(4025,2915,0.13653,-0.64513),(4025,2925,0.15752,-0.65516),(4025,2935,0.17851,-0.66423),(4025,2945,0.1995,-0.67205),(4025,2955,0.22073,-0.67986),(4025,2965,0.24225,-0.68768),(4025,2975,0.26377,-0.69461),(4025,2985,0.2853,-0.70055),(4025,2995,0.30698,-0.70648),(4025,3005,0.32883,-0.71242),(4025,3015,0.35067,-0.71753),(4025,3025,0.37252,-0.72185),(4025,3035,0.3945,-0.72617),(4025,3045,0.41659,-0.73049),(4025,3055,0.43868,-0.73402),(4025,3065,0.46077,-0.7369),(4025,3075,0.483,-0.73978),(4025,3085,0.50533,-0.74267),(4025,3095,0.52766,-0.74477),(4025,3105,0.55,-0.74632),(4025,3115,0.5725,-0.74787),(4025,3125,0.59512,-0.74942),(4025,3135,0.61774,-0.75015),(4025,3145,0.64036,-0.7504),(4025,3155,0.66321,-0.75064),(4025,3165,0.68618,-0.75089),(4025,3175,0.70915,-0.75022),(4025,3185,0.73212,-0.7491),(4025,3195,0.75539,-0.74799),(4025,3205,0.77879,-0.74687),(4025,3215,0.8022,-0.74469),(4025,3225,0.8256,-0.74208),(4025,3235,0.84937,-0.73947),(4025,3245,0.87328,-0.73685),(4025,3255,0.89718,-0.73295),(4025,3265,0.92109,-0.72862),(4025,3275,0.94543,-0.72429),(4025,3285,0.9699,-0.71995),(4025,3295,0.99437,-0.71401),(4025,3305,1.0188,-0.70763),(4025,3315,1.0438,-0.70125),(4025,3325,1.0688,-0.69487),(4025,3335,1.0939,-0.68642),(4025,3345,1.1189,-0.67754),(4025,3355,1.1444,-0.66867),(4025,3365,1.17,-0.65979),(4025,3375,1.1956,-0.64822),(4025,3385,1.2211,-0.63624),(4025,3395,1.247,-0.62427),(4025,3405,1.2729,-0.61229),(4025,3415,1.2987,-0.5968),(4025,3425,1.3246,-0.58096),(4025,3435,1.3504,-0.56511),(4025,3445,1.3761,-0.54926),(4025,3455,1.4018,-0.52887),(4025,3465,1.4276,-0.50822),(4025,3475,1.4523,-0.48757),(4025,3485,1.477,-0.46692),(4025,3495,1.5017,-0.44051),(4025,3505,1.5264,-0.41403),(4025,3515,1.5486,-0.38754),(4025,3525,1.5707,-0.36088),(4025,3535,1.5928,-0.32768),(4025,3545,1.6147,-0.29449),(4025,3555,1.6317,-0.26129),(4025,3565,1.6487,-0.22765),(4025,3575,1.6656,-0.18767),(4025,3585,1.6819,-0.1477),(4025,3595,1.69,-0.10772),(4025,3605,1.6982,-0.067244),(4025,3615,1.7063,-0.022517),(4025,3625,1.7129,0.022209),(4025,3635,1.7085,0.066936),(4025,3645,1.7041,0.11152),(4025,3655,1.6997,0.15526),(4025,3665,1.6933,0.199),(4025,3675,1.6764,0.24274),(4025,3685,1.6596,0.2851),(4025,3695,1.6428,0.32134),(4025,3705,1.6246,0.35758),(4025,3715,1.6014,0.39382),(4025,3725,1.5781,0.42839),(4025,3735,1.5548,0.45711),(4025,3745,1.5308,0.48583),(4025,3755,1.5047,0.51455),(4025,3765,1.4786,0.54164),(4025,3775,1.4525,0.56415),(4025,3785,1.4261,0.58666),(4025,3795,1.399,0.60917),(4025,3805,1.3719,0.63022),(4025,3815,1.3449,0.64788),(4025,3825,1.3178,0.66554),(4025,3835,1.2907,0.68319),(4025,3845,1.2635,0.69958),(4025,3855,1.2364,0.71351),(4025,3865,1.2094,0.72744),(4025,3875,1.1827,0.74137),(4025,3885,1.156,0.75422),(4025,3895,1.1293,0.7653),(4025,3905,1.1028,0.77639),(4025,3915,1.0767,0.78747),(4025,3925,1.0505,0.79764),(4025,3935,1.0244,0.80656),(4025,3945,0.99852,0.81547),(4025,3955,0.97301,0.82438),(4025,3965,0.9475,0.83253),(4025,3975,0.922,0.83978),(4025,3985,0.89678,0.84703),(4025,3995,0.87189,0.85428),(4025,4005,0.84699,0.86095),(4025,4015,0.8221,0.86703),(4025,4025,1.1751,0.87312),(4025,4035,1.5651,0.8769),(4025,4045,1.9551,0.87582),(4025,4055,2.2334,0.87475),(4025,4065,2.4709,0.87305),(4025,4075,2.7084,0.86763),(4025,4085,2.8103,0.86222),(4025,4095,2.8032,0.85681),(4025,4105,2.7961,0.85114),(4025,4115,2.6962,0.84546),(4025,4125,2.4424,0.83978),(4025,4135,2.1886,0.83674),(4025,4145,1.9318,0.83442),(4025,4155,1.6628,0.83209),(4025,4165,1.3938,0.83186),(4025,4175,1.1398,0.83297),(4025,4185,1.6289,0.83408),(4025,4195,2.1179,0.83181),(4025,4205,2.607,0.82508),(4025,4215,2.6801,0.81834),(4025,4225,2.6751,0.81156),(4025,4235,2.67,0.80469),(4025,4245,2.6619,0.79782),(4025,4255,2.6524,0.79086),(4025,4265,2.6429,0.78284),(4025,4275,2.3152,0.77482),(4025,4285,1.65,0.76681),(4025,4295,0.98469,0.76834),(4025,4305,0.69683,0.77097),(4025,4315,1.2612,0.77361),(4025,4325,1.8255,0.76995),(4025,4335,2.327,0.7638),(4025,4345,2.403,0.75766),(4025,4355,2.4791,0.7507),(4025,4365,2.5551,0.74305),(4025,4375,2.5559,0.7354),(4025,4385,2.5528,0.7277),(4025,4395,2.5497,0.71989),(4025,4405,2.2258,0.71208),(4025,4415,1.8073,0.70543),(4025,4425,1.3888,0.70393),(4025,4435,1.2096,0.70242),(4025,4445,1.194,0.70092),(4025,4455,1.1783,0.69959),(4025,4465,1.3412,0.69826),(4025,4475,1.7549,0.69693),(4025,4485,2.1687,0.69051),(4025,4495,2.4835,0.68301),(4025,4505,2.4812,0.67551),(4025,4515,2.4788,0.66803),(4025,4525,2.4716,0.66056),(4025,4535,2.3866,0.65309),(4025,4545,2.3017,0.6461),(4025,4555,2.2167,0.63966),(4025,4565,1.6738,0.63321),(4025,4575,1.0692,0.62923),(4025,4585,0.46454,0.63122),(4025,4595,0.75474,0.6332),(4025,4605,1.423,0.63398),(4025,4615,2.0913,0.62541),(4025,4625,2.4101,0.61683),(4025,4635,2.4123,0.60825),(4025,4645,2.4145,0.6007),(4025,4655,2.4155,0.59322),(4025,4665,2.4141,0.58574),(4025,4675,2.4127,0.5784),(4025,4685,2.3259,0.57112),(4025,4695,1.8164,0.56383),(4025,4705,1.3069,0.56031),(4025,4715,0.7974,0.55953),(4025,4725,1.0339,0.55874),(4025,4735,1.2778,0.55675),(4025,4745,1.5217,0.55295),(4025,4755,1.7722,0.54915),(4025,4765,2.0242,0.54467),(4025,4775,2.2762,0.53779),(4025,4785,2.3678,0.53092),(4025,4795,2.3667,0.52406),(4025,4805,2.3656,0.51732),(4025,4815,2.2484,0.51058),(4025,4825,1.9926,0.50384),(4025,4835,1.7368,0.49964),(4025,4845,1.4777,0.49582),(4025,4855,1.2101,0.49201),(4025,4865,0.94246,0.49025),(4025,4875,0.75213,0.48941),(4025,4885,1.265,0.48857),(4025,4895,1.7779,0.48479),(4025,4905,2.2908,0.47818),(4025,4915,2.3307,0.47156),(4025,4925,2.3299,0.46497),(4025,4935,2.3291,0.45843),(4025,4945,2.3268,0.45188),(4025,4955,2.3241,0.44528),(4025,4965,2.3214,0.43835),(4025,4975,1.933,0.43141),(4025,4985,1.2469,0.42448),(4025,4995,0.56077,0.42515),(4025,5005,0.33717,0.426),(4025,5015,0.84881,0.42686),(4025,5025,1.3605,0.42364),(4025,5035,1.8012,0.41938),(4025,5045,1.9716,0.41511),(4025,5055,2.142,0.4098),(4025,5065,2.3073,0.40384),(4025,5075,2.3067,0.39787),(4025,5085,2.3061,0.39196),(4025,5095,2.3054,0.3861),(4025,5105,2.0103,0.38024),(4025,5115,1.6639,0.37525),(4025,5125,1.3174,0.37269),(4025,5135,1.141,0.37013),(4025,5145,1.0471,0.36766),(4025,5155,0.95313,0.36612),(4025,5165,1.1212,0.36459),(4025,5175,1.5565,0.36305),(4025,5185,1.9919,0.35829),(4025,5195,2.289,0.3532),(4025,5205,2.2882,0.34811),(4025,5215,2.2873,0.34307),(4025,5225,2.2746,0.33804),(4025,5235,2.1883,0.33302),(4025,5245,2.102,0.3284),(4025,5255,2.0157,0.32411),(4025,5265,1.4161,0.31981),(4025,5275,0.79537,0.31722),(4025,5285,0.17462,0.31752),(4025,5295,0.58088,0.31782),(4025,5305,1.2732,0.3173),(4025,5315,1.9654,0.31337),(4025,5325,2.2395,0.30944),(4025,5335,2.2393,0.30552),(4025,5345,2.2392,0.3018),(4025,5355,2.2386,0.29809),(4025,5365,2.2374,0.29438),(4025,5375,2.2363,0.29068),(4025,5385,2.1071,0.28699),(4025,5395,1.5885,0.2833),(4025,5405,1.0699,0.28156),(4025,5415,0.60523,0.28083),(4025,5425,0.86417,0.28011),(4025,5435,1.1231,0.27934),(4025,5445,1.3821,0.27853),(4025,5455,1.6413,0.27772),(4025,5465,1.9005,0.27669),(4025,5475,2.1598,0.27516),(4025,5485,2.2331,0.27363),(4025,5495,2.2316,0.27208),(4025,5505,2.23,0.27046),(4025,5515,2.2286,0.26883),(4025,5525,2.2272,0.26721),(4025,5535,2.2258,0.26549),(4025,5545,2.2244,0.26376),(4025,5555,2.2231,0.26203),(4025,5565,2.2219,0.26023),(4025,5575,2.2206,0.25841),(4025,5585,2.2194,0.25659),(4025,5595,2.2182,0.25473),(4025,5605,2.217,0.25284),(4025,5615,2.2159,0.25096),(4025,5625,2.2147,0.24907),(4025,5635,2.2136,0.24716),(4025,5645,2.2124,0.24525),(4025,5655,2.2113,0.24335),(4025,5665,2.2101,0.24148),(4025,5675,2.209,0.23961),(4025,5685,2.2078,0.23775),(4025,5695,2.2066,0.23598),(4025,5705,2.2053,0.23421),(4025,5715,2.2041,0.23244),(4025,5725,2.2028,0.2308),(4025,5735,2.2015,0.22917),(4025,5745,2.2001,0.22754),(4025,5755,2.1988,0.22604),(4025,5765,2.1974,0.22459),(4025,5775,2.196,0.22315),(4025,5785,2.1945,0.22181),(4025,5795,2.1931,0.22057),(4025,5805,2.1915,0.21934),(4025,5815,2.19,0.21818),(4025,5825,2.1885,0.21716),(4025,5835,2.1869,0.21614),(4025,5845,2.1853,0.21516),(4025,5855,2.1837,0.21437),(4025,5865,2.1821,0.21358),(4025,5875,2.1804,0.21278),(4025,5885,2.1788,0.2122),(4025,5895,2.1771,0.21161),(4025,5905,2.1755,0.21102),(4025,5915,2.1738,0.21057),(4025,5925,2.1722,0.21015),(4025,5935,2.1705,0.20974),(4025,5945,2.1689,0.20939),(4025,5955,2.1673,0.20909),(4025,5965,2.1657,0.20879),(4025,5975,2.1642,0.20852),(4025,5985,2.1626,0.20829),(4025,5995,1.6526,0.20806),(4025,6005,1.0607,0.2079),(4025,6015,0.46881,0.2079),(4025,6025,0.641,0.20791),(4025,6035,1.1676,0.20749),(4025,6045,1.6941,0.20302),(4025,6055,2.0577,0.19855),(4025,6065,2.2613,0.19407),(4025,6075,2.465,0.18828),(4025,6085,2.602,0.18237),(4025,6095,2.6016,0.17646),(4025,6105,2.6013,0.17066),(4025,6115,2.6009,0.16489),(4025,6125,2.6002,0.15913),(4025,6135,2.5994,0.15352),(4025,6145,2.5987,0.14802),(4025,6155,2.5976,0.14253),(4025,6165,2.5965,0.13717),(4025,6175,2.5954,0.13203),(4025,6185,2.594,0.1269),(4025,6195,2.5926,0.12184),(4025,6205,2.5912,0.11712),(4025,6215,2.5897,0.1124),(4025,6225,2.588,0.10768),(4025,6235,2.5864,0.1034),(4025,6245,2.5847,0.09912),(4025,6255,2.5828,0.094838),(4025,6265,2.581,0.09092),(4025,6275,2.5792,0.087067),(4025,6285,2.5773,0.083214),(4025,6295,2.5754,0.079655),(4025,6305,2.5734,0.076243),(4025,6315,2.5715,0.07283),(4025,6325,2.5696,0.069601),(4025,6335,2.5677,0.066564),(4025,6345,2.5658,0.063526),(4025,6355,2.5639,0.060608),(4025,6365,2.5621,0.057951),(4025,6375,2.5603,0.055295),(4025,6385,2.5586,0.052678),(4025,6395,2.5568,0.050316),(4025,6405,2.5552,0.047954),(4025,6415,2.5536,0.045593),(4025,6425,2.5521,0.043406),(4025,6435,2.5506,0.041228),(4025,6445,2.5492,0.039049),(4025,6455,2.5479,0.037025),(4025,6465,2.5466,0.035046),(4025,6475,2.5455,0.033067),(4025,6485,2.5444,0.031154),(4025,6495,2.5433,0.029285),(4025,6505,2.5425,0.027416),(4025,6515,2.5416,0.025574),(4025,6525,2.5408,0.023768),(4025,6535,2.5402,0.021963),(4025,6545,2.5397,0.020171),(4025,6555,2.5391,0.018423),(4025,6565,2.5387,0.016675),(4025,6575,2.5385,0.014929),(4025,6585,2.5382,0.013213),(4025,6595,2.1588,0.011497),(4025,6605,1.3607,0.009781),(4025,6615,0.56261,0.009617),(4025,6625,0.001584,0.009651),(4025,6635,0.001591,0.009685),(4025,6645,0.001598,0.009693),(4025,6655,0.001605,0.009689),(4025,6665,0.001612,0.009686),(4025,6675,0.001618,0.009681),(4025,6685,0.001625,0.009677),(4025,6695,0.00163,0.009672),(4025,6705,0.001636,0.009667),(4025,6715,0.001642,0.009661),(4025,6725,0.001648,0.009656),(4025,6735,0.001653,0.00965),(4025,6745,0.001659,0.009644),(4025,6755,0.001664,0.009637),(4025,6765,0.001669,0.009631),(4025,6775,0.001673,0.009624),(4025,6785,0.001678,0.009617),(4025,6795,0.001682,0.00961),(4025,6805,0.001687,0.009602),(4025,6815,0.001691,0.009595),(4025,6825,0.001695,0.009587),(4025,6835,0.001698,0.00958),(4025,6845,0.001702,0.009572),(4025,6855,0.001705,0.009564),(4025,6865,0.001709,0.009556),(4025,6875,0.001712,0.009548),(4025,6885,0.001715,0.009539),(4025,6895,0.001718,0.009531),(4025,6905,0.001721,0.009523),(4025,6915,0.001724,0.009514),(4025,6925,0.001726,0.009506),(4025,6935,0.001729,0.009498),(4025,6945,0.001731,0.009489),(4025,6955,0.001733,0.00948),(4025,6965,0.001736,0.009472),(4025,6975,0.001737,0.009463),(4025,6985,0.001739,0.009454),(4035,5,2.1e-05,-0.00344),(4035,15,6.3e-05,-0.003442),(4035,25,0.000105,-0.003445),(4035,35,0.000147,-0.003447),(4035,45,0.000189,-0.003452),(4035,55,0.000231,-0.00346),(4035,65,0.000273,-0.003467),(4035,75,0.000315,-0.003474),(4035,85,0.000357,-0.003484),(4035,95,0.000399,-0.003496),(4035,105,0.000441,-0.003508),(4035,115,0.000483,-0.003521),(4035,125,0.000525,-0.003536),(4035,135,0.000567,-0.003553),(4035,145,0.000609,-0.003571),(4035,155,0.000651,-0.003588),(4035,165,0.000693,-0.003609),(4035,175,0.000735,-0.003632),(4035,185,0.000777,-0.003655),(4035,195,0.000819,-0.003678),(4035,205,0.000861,-0.003706),(4035,215,0.000903,-0.003734),(4035,225,0.000945,-0.003763),(4035,235,0.000987,-0.003792),(4035,245,0.001028,-0.003825),(4035,255,0.00107,-0.003859),(4035,265,0.001111,-0.003894),(4035,275,0.001153,-0.003929),(4035,285,0.001194,-0.003968),(4035,295,0.001235,-0.00401),(4035,305,0.001276,-0.004051),(4035,315,0.001317,-0.004092),(4035,325,0.001357,-0.00414),(4035,335,0.001398,-0.004189),(4035,345,0.001439,-0.004238),(4035,355,0.001479,-0.004287),(4035,365,0.001519,-0.004344),(4035,375,0.001559,-0.004401),(4035,385,0.001599,-0.004458),(4035,395,0.001638,-0.004515),(4035,405,0.001677,-0.00458),(4035,415,0.001716,-0.004646),(4035,425,0.001754,-0.004713),(4035,435,0.001792,-0.004779),(4035,445,0.00183,-0.004855),(4035,455,0.001868,-0.004931),(4035,465,0.001904,-0.005007),(4035,475,0.00194,-0.005084),(4035,485,0.001976,-0.005172),(4035,495,0.002012,-0.00526),(4035,505,0.002046,-0.005348),(4035,515,0.002079,-0.005436),(4035,525,0.002112,-0.005536),(4035,535,0.002146,-0.005637),(4035,545,0.002175,-0.005737),(4035,555,0.002205,-0.005838),(4035,565,0.002235,-0.005953),(4035,575,0.002264,-0.006067),(4035,585,0.002289,-0.006182),(4035,595,0.002314,-0.006298),(4035,605,0.002339,-0.006428),(4035,615,0.002364,-0.006559),(4035,625,0.002383,-0.006689),(4035,635,0.002401,-0.006822),(4035,645,0.00242,-0.006971),(4035,655,0.002438,-0.007119),(4035,665,0.002448,-0.007267),(4035,675,0.002459,-0.007419),(4035,685,0.002469,-0.007587),(4035,695,0.002478,-0.007755),(4035,705,0.002477,-0.007923),(4035,715,0.002477,-0.008096),(4035,725,0.002476,-0.008285),(4035,735,0.002473,-0.008475),(4035,745,0.002458,-0.008665),(4035,755,0.002444,-0.008861),(4035,765,0.002429,-0.009074),(4035,775,0.00241,-0.009288),(4035,785,0.002377,-0.009502),(4035,795,0.002345,-0.009723),(4035,805,0.002312,-0.009962),(4035,815,0.002273,-0.010202),(4035,825,0.002217,-0.010441),(4035,835,0.002161,-0.010689),(4035,845,0.002105,-0.010956),(4035,855,0.002039,-0.011222),(4035,865,0.001953,-0.011489),(4035,875,0.001868,-0.011766),(4035,885,0.001783,-0.01206),(4035,895,0.001683,-0.012355),(4035,905,0.00156,-0.012649),(4035,915,0.001438,-0.012955),(4035,925,0.001316,-0.013277),(4035,935,0.001174,-0.013599),(4035,945,0.001006,-0.013921),(4035,955,0.000837,-0.014255),(4035,965,0.000669,-0.014603),(4035,975,0.000475,-0.014951),(4035,985,0.000251,-0.015299),(4035,995,2.7e-05,-0.015657),(4035,1005,-0.000197,-0.016026),(4035,1015,-0.000455,-0.016396),(4035,1025,-0.000745,-0.016765),(4035,1035,-0.001036,-0.017141),(4035,1045,-0.001327,-0.017524),(4035,1055,-0.00166,-0.017907),(4035,1065,-0.002029,-0.01829),(4035,1075,-0.002397,-0.018674),(4035,1085,-0.002766,-0.019059),(4035,1095,-0.003187,-0.019445),(4035,1105,-0.003644,-0.01983),(4035,1115,-0.004101,-0.020206),(4035,1125,-0.004558,-0.020578),(4035,1135,-0.005075,-0.020949),(4035,1145,-0.005627,-0.02132),(4035,1155,-0.00618,-0.021669),(4035,1165,-0.006733,-0.022006),(4035,1175,-0.007352,-0.022344),(4035,1185,-0.008003,-0.022681),(4035,1195,-0.008654,-0.022978),(4035,1205,-0.009305,-0.023257),(4035,1215,-0.010023,-0.023537),(4035,1225,-0.010769,-0.023816),(4035,1235,-0.011515,-0.024035),(4035,1245,-0.01226,-0.024231),(4035,1255,-0.013067,-0.024428),(4035,1265,-0.013894,-0.024624),(4035,1275,-0.014721,-0.024739),(4035,1285,-0.015548,-0.024829),(4035,1295,-0.016422,-0.024919),(4035,1305,-0.017309,-0.02501),(4035,1315,-0.018195,-0.025002),(4035,1325,-0.019082,-0.02497),(4035,1335,-0.019993,-0.024939),(4035,1345,-0.02091,-0.024907),(4035,1355,-0.021827,-0.024768),(4035,1365,-0.022744,-0.02461),(4035,1375,-0.023659,-0.024451),(4035,1385,-0.024575,-0.024293),(4035,1395,-0.02549,-0.024027),(4035,1405,-0.026405,-0.023748),(4035,1415,-0.027293,-0.023469),(4035,1425,-0.028179,-0.02319),(4035,1435,-0.029064,-0.022816),(4035,1445,-0.029949,-0.022433),(4035,1455,-0.030786,-0.022051),(4035,1465,-0.031619,-0.021668),(4035,1475,-0.032452,-0.021209),(4035,1485,-0.033286,-0.020748),(4035,1495,-0.034056,-0.020287),(4035,1505,-0.034825,-0.019825),(4035,1515,-0.035594,-0.019312),(4035,1525,-0.036361,-0.018798),(4035,1535,-0.037062,-0.018285),(4035,1545,-0.037762,-0.017771),(4035,1555,-0.038463,-0.017232),(4035,1565,-0.039159,-0.016694),(4035,1575,-0.039795,-0.016155),(4035,1585,-0.040431,-0.015616),(4035,1595,-0.041067,-0.015075),(4035,1605,-0.041697,-0.014534),(4035,1615,-0.042277,-0.013993),(4035,1625,-0.042857,-0.013454),(4035,1635,-0.043437,-0.012929),(4035,1645,-0.044011,-0.012405),(4035,1655,-0.044547,-0.01188),(4035,1665,-0.045083,-0.011361),(4035,1675,-0.045619,-0.010868),(4035,1685,-0.046149,-0.010375),(4035,1695,-0.046655,-0.009882),(4035,1705,-0.04716,-0.009398),(4035,1715,-0.047665,-0.00895),(4035,1725,-0.048166,-0.008501),(4035,1735,-0.048653,-0.008052),(4035,1745,-0.04914,-0.007617),(4035,1755,-0.049628,-0.007222),(4035,1765,-0.050113,-0.006827),(4035,1775,-0.050596,-0.006432),(4035,1785,-0.051078,-0.006054),(4035,1795,-0.05156,-0.005721),(4035,1805,-0.052044,-0.005388),(4035,1815,-0.052534,-0.005055),(4035,1825,-0.053023,-0.004744),(4035,1835,-0.053513,-0.00448),(4035,1845,-0.054008,-0.004216),(4035,1855,-0.054516,-0.003953),(4035,1865,-0.055024,-0.003717),(4035,1875,-0.055533,-0.00353),(4035,1885,-0.056052,-0.003344),(4035,1895,-0.056589,-0.003158),(4035,1905,-0.057126,-0.003007),(4035,1915,-0.057664,-0.002907),(4035,1925,-0.058218,-0.002808),(4035,1935,-0.058795,-0.002708),(4035,1945,-0.059372,-0.002652),(4035,1955,-0.059949,-0.002649),(4035,1965,-0.060549,-0.002647),(4035,1975,-0.061177,-0.002645),(4035,1985,-0.061804,-0.002696),(4035,1995,-0.062431,-0.002804),(4035,2005,-0.063089,-0.002913),(4035,2015,-0.063777,-0.003021),(4035,2025,-0.064465,-0.003195),(4035,2035,-0.065153,-0.003431),(4035,2045,-0.06588,-0.003666),(4035,2055,-0.06664,-0.003901),(4035,2065,-0.0674,-0.004219),(4035,2075,-0.06816,-0.004602),(4035,2085,-0.068968,-0.004985),(4035,2095,-0.069812,-0.005367),(4035,2105,-0.070655,-0.005853),(4035,2115,-0.071499,-0.006409),(4035,2125,-0.072402,-0.006964),(4035,2135,-0.073341,-0.00752),(4035,2145,-0.074281,-0.008206),(4035,2155,-0.075221,-0.008966),(4035,2165,-0.076232,-0.009726),(4035,2175,-0.077282,-0.010486),(4035,2185,-0.078331,-0.011412),(4035,2195,-0.07938,-0.012416),(4035,2205,-0.080516,-0.01342),(4035,2215,-0.081689,-0.014425),(4035,2225,-0.082862,-0.01564),(4035,2235,-0.084035,-0.016938),(4035,2245,-0.08531,-0.018237),(4035,2255,-0.086621,-0.019535),(4035,2265,-0.087933,-0.021103),(4035,2275,-0.089244,-0.022758),(4035,2285,-0.090674,-0.024413),(4035,2295,-0.092137,-0.026067),(4035,2305,-0.093601,-0.028069),(4035,2315,-0.095065,-0.030158),(4035,2325,-0.096661,-0.032248),(4035,2335,-0.098288,-0.034338),(4035,2345,-0.099915,-0.036875),(4035,2355,-0.10154,-0.0395),(4035,2365,-0.10331,-0.042124),(4035,2375,-0.10511,-0.044749),(4035,2385,-0.1069,-0.047952),(4035,2395,-0.1087,-0.051237),(4035,2405,-0.11063,-0.054523),(4035,2415,-0.11259,-0.057808),(4035,2425,-0.11454,-0.061844),(4035,2435,-0.1165,-0.065949),(4035,2445,-0.11857,-0.070054),(4035,2455,-0.12066,-0.07416),(4035,2465,-0.12275,-0.079239),(4035,2475,-0.12483,-0.084365),(4035,2485,-0.12697,-0.08949),(4035,2495,-0.12912,-0.094615),(4035,2505,-0.13126,-0.101),(4035,2515,-0.13341,-0.10739),(4035,2525,-0.13548,-0.11379),(4035,2535,-0.13754,-0.12023),(4035,2545,-0.13961,-0.12819),(4035,2555,-0.14166,-0.13614),(4035,2565,-0.1434,-0.1441),(4035,2575,-0.14514,-0.15219),(4035,2585,-0.14688,-0.16203),(4035,2595,-0.14854,-0.17187),(4035,2605,-0.14953,-0.18172),(4035,2615,-0.15051,-0.19181),(4035,2625,-0.1515,-0.20384),(4035,2635,-0.15229,-0.21587),(4035,2645,-0.15185,-0.2279),(4035,2655,-0.1514,-0.24029),(4035,2665,-0.15095,-0.25466),(4035,2675,-0.15008,-0.26903),(4035,2685,-0.1472,-0.28339),(4035,2695,-0.14433,-0.29816),(4035,2705,-0.14145,-0.3146),(4035,2715,-0.13779,-0.33104),(4035,2725,-0.13126,-0.34748),(4035,2735,-0.12472,-0.36416),(4035,2745,-0.11819,-0.38164),(4035,2755,-0.11049,-0.39912),(4035,2765,-0.099354,-0.4166),(4035,2775,-0.088218,-0.43384),(4035,2785,-0.077081,-0.45046),(4035,2795,-0.064813,-0.46708),(4035,2805,-0.0498,-0.48369),(4035,2815,-0.034786,-0.49967),(4035,2825,-0.019773,-0.51424),(4035,2835,-0.003867,-0.52881),(4035,2845,0.013837,-0.54338),(4035,2855,0.031542,-0.55709),(4035,2865,0.049247,-0.56924),(4035,2875,0.06758,-0.58138),(4035,2885,0.086977,-0.59352),(4035,2895,0.10637,-0.60474),(4035,2905,0.12577,-0.61453),(4035,2915,0.14558,-0.62432),(4035,2925,0.16599,-0.63411),(4035,2935,0.1864,-0.64299),(4035,2945,0.20681,-0.65068),(4035,2955,0.22749,-0.65837),(4035,2965,0.2485,-0.66606),(4035,2975,0.26951,-0.67288),(4035,2985,0.29052,-0.67874),(4035,2995,0.31172,-0.6846),(4035,3005,0.33311,-0.69046),(4035,3015,0.3545,-0.6955),(4035,3025,0.3759,-0.69976),(4035,3035,0.39744,-0.70402),(4035,3045,0.41912,-0.70828),(4035,3055,0.4408,-0.71176),(4035,3065,0.46248,-0.71458),(4035,3075,0.48431,-0.71741),(4035,3085,0.50625,-0.72023),(4035,3095,0.5282,-0.72226),(4035,3105,0.55014,-0.72374),(4035,3115,0.57226,-0.72522),(4035,3125,0.59449,-0.72671),(4035,3135,0.61673,-0.72735),(4035,3145,0.63896,-0.72751),(4035,3155,0.66142,-0.72766),(4035,3165,0.68399,-0.72781),(4035,3175,0.70656,-0.72704),(4035,3185,0.72913,-0.72581),(4035,3195,0.75198,-0.72458),(4035,3205,0.77494,-0.72336),(4035,3215,0.79791,-0.72105),(4035,3225,0.82088,-0.71831),(4035,3235,0.84418,-0.71556),(4035,3245,0.86759,-0.71282),(4035,3255,0.89101,-0.70877),(4035,3265,0.91443,-0.70429),(4035,3275,0.93822,-0.69981),(4035,3285,0.96212,-0.69533),(4035,3295,0.98602,-0.68923),(4035,3305,1.0099,-0.68269),(4035,3315,1.0342,-0.67616),(4035,3325,1.0586,-0.66962),(4035,3335,1.0829,-0.66103),(4035,3345,1.1073,-0.65201),(4035,3355,1.132,-0.64299),(4035,3365,1.1567,-0.63396),(4035,3375,1.1815,-0.6223),(4035,3385,1.2062,-0.61023),(4035,3395,1.2311,-0.59816),(4035,3405,1.256,-0.58608),(4035,3415,1.2808,-0.57061),(4035,3425,1.3057,-0.55478),(4035,3435,1.3302,-0.53895),(4035,3445,1.3548,-0.52312),(4035,3455,1.3793,-0.50296),(4035,3465,1.4038,-0.48255),(4035,3475,1.4271,-0.46214),(4035,3485,1.4504,-0.44173),(4035,3495,1.4737,-0.41596),(4035,3505,1.497,-0.39011),(4035,3515,1.5175,-0.36426),(4035,3525,1.538,-0.33827),(4035,3535,1.5586,-0.30637),(4035,3545,1.5789,-0.27448),(4035,3555,1.5943,-0.24259),(4035,3565,1.6098,-0.21032),(4035,3575,1.6252,-0.17262),(4035,3585,1.64,-0.13491),(4035,3595,1.6471,-0.0972),(4035,3605,1.6543,-0.059104),(4035,3615,1.6615,-0.017654),(4035,3625,1.6673,0.023796),(4035,3635,1.6631,0.065246),(4035,3645,1.659,0.10656),(4035,3655,1.6548,0.14705),(4035,3665,1.6488,0.18755),(4035,3675,1.6336,0.22804),(4035,3685,1.6183,0.26746),(4035,3695,1.603,0.30205),(4035,3705,1.5865,0.33665),(4035,3715,1.5649,0.37125),(4035,3725,1.5434,0.40438),(4035,3735,1.5218,0.4324),(4035,3745,1.4995,0.46043),(4035,3755,1.4749,0.48845),(4035,3765,1.4503,0.51497),(4035,3775,1.4257,0.53726),(4035,3785,1.4008,0.55955),(4035,3795,1.3749,0.58184),(4035,3805,1.3491,0.60274),(4035,3815,1.3232,0.62041),(4035,3825,1.2973,0.63808),(4035,3835,1.2712,0.65575),(4035,3845,1.245,0.67218),(4035,3855,1.2189,0.68623),(4035,3865,1.1928,0.70027),(4035,3875,1.1668,0.71432),(4035,3885,1.1409,0.7273),(4035,3895,1.1149,0.73855),(4035,3905,1.0891,0.74979),(4035,3915,1.0636,0.76104),(4035,3925,1.0381,0.77138),(4035,3935,1.0125,0.78046),(4035,3945,0.98722,0.78954),(4035,3955,0.96219,0.79863),(4035,3965,0.93716,0.80694),(4035,3975,0.91213,0.81435),(4035,3985,0.88735,0.82177),(4035,3995,0.86284,0.82918),(4035,4005,0.83833,0.836),(4035,4015,0.81382,0.84224),(4035,4025,1.1679,0.84847),(4035,4035,1.5591,0.85243),(4035,4045,1.9503,0.85159),(4035,4055,2.2294,0.85074),(4035,4065,2.4676,0.84929),(4035,4075,2.7058,0.84415),(4035,4085,2.8081,0.83902),(4035,4095,2.8011,0.83389),(4035,4105,2.7941,0.82848),(4035,4115,2.6941,0.82307),(4035,4125,2.4399,0.81766),(4035,4135,2.1858,0.81483),(4035,4145,1.9286,0.81272),(4035,4155,1.6593,0.8106),(4035,4165,1.3899,0.81054),(4035,4175,1.1356,0.81181),(4035,4185,1.6258,0.81309),(4035,4195,2.1159,0.81099),(4035,4205,2.6061,0.80444),(4035,4215,2.6795,0.7979),(4035,4225,2.6745,0.79132),(4035,4235,2.6694,0.78463),(4035,4245,2.6617,0.77794),(4035,4255,2.6525,0.77116),(4035,4265,2.6433,0.76337),(4035,4275,2.3151,0.75558),(4035,4285,1.6484,0.74778),(4035,4295,0.9816,0.74947),(4035,4305,0.69308,0.75226),(4035,4315,1.2587,0.75505),(4035,4325,1.8242,0.75147),(4035,4335,2.3268,0.74538),(4035,4345,2.4031,0.7393),(4035,4355,2.4794,0.73239),(4035,4365,2.5557,0.72478),(4035,4375,2.5565,0.71718),(4035,4385,2.5535,0.70952),(4035,4395,2.5504,0.70177),(4035,4405,2.2259,0.69401),(4035,4415,1.8066,0.68742),(4035,4425,1.3873,0.68603),(4035,4435,1.2077,0.68463),(4035,4445,1.192,0.68324),(4035,4455,1.1763,0.68202),(4035,4465,1.3395,0.68081),(4035,4475,1.7541,0.67959),(4035,4485,2.1686,0.67328),(4035,4495,2.4841,0.66589),(4035,4505,2.4817,0.6585),(4035,4515,2.4793,0.65112),(4035,4525,2.4721,0.64375),(4035,4535,2.387,0.63638),(4035,4545,2.302,0.62949),(4035,4555,2.217,0.62314),(4035,4565,1.6732,0.61679),(4035,4575,1.0676,0.61288),(4035,4585,0.46206,0.61491),(4035,4595,0.75295,0.61693),(4035,4605,1.4226,0.61777),(4035,4615,2.0923,0.60943),(4035,4625,2.4115,0.60109),(4035,4635,2.4134,0.59275),(4035,4645,2.4153,0.58538),(4035,4655,2.416,0.57808),(4035,4665,2.4146,0.57078),(4035,4675,2.4132,0.56362),(4035,4685,2.3262,0.55652),(4035,4695,1.8161,0.54941),(4035,4705,1.306,0.546),(4035,4715,0.79595,0.54527),(4035,4725,1.0327,0.54455),(4035,4735,1.2768,0.54264),(4035,4745,1.521,0.53895),(4035,4755,1.7718,0.53526),(4035,4765,2.024,0.5309),(4035,4775,2.2763,0.52419),(4035,4785,2.3679,0.51748),(4035,4795,2.3668,0.51078),(4035,4805,2.3656,0.50419),(4035,4815,2.2484,0.49761),(4035,4825,1.9923,0.49102),(4035,4835,1.7363,0.48692),(4035,4845,1.4771,0.48321),(4035,4855,1.2093,0.47949),(4035,4865,0.94149,0.47779),(4035,4875,0.75104,0.47699),(4035,4885,1.2643,0.4762),(4035,4895,1.7775,0.4725),(4035,4905,2.2908,0.46601),(4035,4915,2.3307,0.45952),(4035,4925,2.3299,0.45305),(4035,4935,2.3291,0.44663),(4035,4945,2.3269,0.4402),(4035,4955,2.3243,0.43373),(4035,4965,2.3217,0.42694),(4035,4975,1.9331,0.42014),(4035,4985,1.2464,0.41335),(4035,4995,0.55985,0.41404),(4035,5005,0.336,0.41492),(4035,5015,0.84783,0.41579),(4035,5025,1.3597,0.41266),(4035,5035,1.8005,0.40852),(4035,5045,1.971,0.40437),(4035,5055,2.1415,0.39919),(4035,5065,2.3068,0.39338),(4035,5075,2.3062,0.38757),(4035,5085,2.3055,0.38181),(4035,5095,2.3049,0.3761),(4035,5105,2.0097,0.37039),(4035,5115,1.6632,0.36552),(4035,5125,1.3167,0.36304),(4035,5135,1.1402,0.36056),(4035,5145,1.0462,0.35817),(4035,5155,0.95221,0.35669),(4035,5165,1.1202,0.35521),(4035,5175,1.5555,0.35373),(4035,5185,1.9907,0.3491),(4035,5195,2.2878,0.34415),(4035,5205,2.2869,0.33919),(4035,5215,2.2861,0.33428),(4035,5225,2.2734,0.32939),(4035,5235,2.1871,0.32451),(4035,5245,2.1008,0.32001),(4035,5255,2.0145,0.31583),(4035,5265,1.4152,0.31166),(4035,5275,0.79466,0.30914),(4035,5285,0.17415,0.30944),(4035,5295,0.58006,0.30974),(4035,5305,1.2718,0.30925),(4035,5315,1.9635,0.30544),(4035,5325,2.2374,0.30163),(4035,5335,2.2371,0.29782),(4035,5345,2.2369,0.29421),(4035,5355,2.2363,0.2906),(4035,5365,2.2351,0.28699),(4035,5375,2.234,0.28339),(4035,5385,2.1049,0.2798),(4035,5395,1.5868,0.27621),(4035,5405,1.0687,0.27452),(4035,5415,0.60435,0.27382),(4035,5425,0.86264,0.27312),(4035,5435,1.1209,0.27236),(4035,5445,1.3792,0.27153),(4035,5455,1.6379,0.27071),(4035,5465,1.8967,0.26966),(4035,5475,2.1555,0.26811),(4035,5485,2.2287,0.26655),(4035,5495,2.2272,0.26497),(4035,5505,2.2257,0.26332),(4035,5515,2.2243,0.26166),(4035,5525,2.2229,0.26001),(4035,5535,2.2216,0.25825),(4035,5545,2.2203,0.25649),(4035,5555,2.219,0.25473),(4035,5565,2.2178,0.25289),(4035,5575,2.2166,0.25104),(4035,5585,2.2154,0.24918),(4035,5595,2.2142,0.24729),(4035,5605,2.2131,0.24537),(4035,5615,2.2119,0.24346),(4035,5625,2.2108,0.24154),(4035,5635,2.2097,0.23962),(4035,5645,2.2085,0.23769),(4035,5655,2.2073,0.23578),(4035,5665,2.2062,0.23392),(4035,5675,2.205,0.23205),(4035,5685,2.2038,0.23019),(4035,5695,2.2025,0.22845),(4035,5705,2.2013,0.22671),(4035,5715,2.2,0.22497),(4035,5725,2.1986,0.22338),(4035,5735,2.1973,0.2218),(4035,5745,2.1959,0.22023),(4035,5755,2.1945,0.21881),(4035,5765,2.193,0.21745),(4035,5775,2.1915,0.21609),(4035,5785,2.19,0.21486),(4035,5795,2.1885,0.21373),(4035,5805,2.1869,0.21261),(4035,5815,2.1853,0.21157),(4035,5825,2.1837,0.21069),(4035,5835,2.182,0.20981),(4035,5845,2.1803,0.20897),(4035,5855,2.1787,0.20833),(4035,5865,2.177,0.2077),(4035,5875,2.1753,0.20706),(4035,5885,2.1736,0.20664),(4035,5895,2.1719,0.20623),(4035,5905,2.1702,0.20581),(4035,5915,2.1685,0.20554),(4035,5925,2.1668,0.20531),(4035,5935,2.1651,0.20507),(4035,5945,2.1635,0.20492),(4035,5955,2.1618,0.20481),(4035,5965,2.1602,0.2047),(4035,5975,2.1586,0.20462),(4035,5985,2.1571,0.20458),(4035,5995,1.6483,0.20455),(4035,6005,1.0579,0.20453),(4035,6015,0.46756,0.20455),(4035,6025,0.64046,0.20458),(4035,6035,1.1674,0.20417),(4035,6045,1.6943,0.19965),(4035,6055,2.058,0.19513),(4035,6065,2.2617,0.1906),(4035,6075,2.4654,0.18476),(4035,6085,2.6024,0.17879),(4035,6095,2.602,0.17282),(4035,6105,2.6016,0.16696),(4035,6115,2.6012,0.16115),(4035,6125,2.6003,0.15534),(4035,6135,2.5995,0.1497),(4035,6145,2.5987,0.14418),(4035,6155,2.5975,0.13867),(4035,6165,2.5963,0.1333),(4035,6175,2.5951,0.12818),(4035,6185,2.5936,0.12306),(4035,6195,2.5921,0.11802),(4035,6205,2.5905,0.11334),(4035,6215,2.5888,0.10866),(4035,6225,2.587,0.10399),(4035,6235,2.5852,0.099771),(4035,6245,2.5834,0.095558),(4035,6255,2.5814,0.091344),(4035,6265,2.5794,0.087508),(4035,6275,2.5775,0.08374),(4035,6285,2.5754,0.079972),(4035,6295,2.5734,0.076509),(4035,6305,2.5713,0.073198),(4035,6315,2.5693,0.069887),(4035,6325,2.5672,0.066765),(4035,6335,2.5652,0.063839),(4035,6345,2.5632,0.060914),(4035,6355,2.5613,0.058108),(4035,6365,2.5593,0.055565),(4035,6375,2.5574,0.053022),(4035,6385,2.5556,0.050519),(4035,6395,2.5538,0.048272),(4035,6405,2.5521,0.046025),(4035,6415,2.5505,0.043778),(4035,6425,2.5488,0.041701),(4035,6435,2.5473,0.039632),(4035,6445,2.5459,0.037563),(4035,6455,2.5445,0.035646),(4035,6465,2.5432,0.033773),(4035,6475,2.542,0.031901),(4035,6485,2.5409,0.03009),(4035,6495,2.5398,0.028321),(4035,6505,2.5389,0.026552),(4035,6515,2.5381,0.024805),(4035,6525,2.5372,0.023091),(4035,6535,2.5366,0.021377),(4035,6545,2.536,0.019675),(4035,6555,2.5355,0.018013),(4035,6565,2.5351,0.016351),(4035,6575,2.5348,0.014691),(4035,6585,2.5345,0.013056),(4035,6595,2.1556,0.011422),(4035,6605,1.3587,0.009788),(4035,6615,0.56179,0.00963),(4035,6625,0.001584,0.009661),(4035,6635,0.001591,0.009693),(4035,6645,0.001598,0.0097),(4035,6655,0.001605,0.009696),(4035,6665,0.001612,0.009692),(4035,6675,0.001619,0.009688),(4035,6685,0.001626,0.009683),(4035,6695,0.001632,0.009678),(4035,6705,0.001638,0.009673),(4035,6715,0.001644,0.009667),(4035,6725,0.00165,0.009661),(4035,6735,0.001656,0.009655),(4035,6745,0.001661,0.009649),(4035,6755,0.001667,0.009642),(4035,6765,0.001672,0.009635),(4035,6775,0.001677,0.009628),(4035,6785,0.001681,0.009621),(4035,6795,0.001686,0.009614),(4035,6805,0.00169,0.009606),(4035,6815,0.001695,0.009599),(4035,6825,0.001698,0.009591),(4035,6835,0.001702,0.009583),(4035,6845,0.001706,0.009575),(4035,6855,0.00171,0.009567),(4035,6865,0.001713,0.009559),(4035,6875,0.001716,0.009551),(4035,6885,0.00172,0.009542),(4035,6895,0.001722,0.009534),(4035,6905,0.001725,0.009526),(4035,6915,0.001728,0.009517),(4035,6925,0.001731,0.009509),(4035,6935,0.001733,0.0095),(4035,6945,0.001736,0.009491),(4035,6955,0.001738,0.009483),(4035,6965,0.00174,0.009474),(4035,6975,0.001742,0.009465),(4035,6985,0.001744,0.009456),(4045,5,2.2e-05,-0.003396),(4045,15,6.5e-05,-0.003399),(4045,25,0.000108,-0.003401),(4045,35,0.000151,-0.003403),(4045,45,0.000194,-0.003408),(4045,55,0.000237,-0.003416),(4045,65,0.00028,-0.003423),(4045,75,0.000323,-0.00343),(4045,85,0.000366,-0.00344),(4045,95,0.000409,-0.003452),(4045,105,0.000452,-0.003465),(4045,115,0.000495,-0.003477),(4045,125,0.000538,-0.003492),(4045,135,0.000581,-0.00351),(4045,145,0.000625,-0.003527),(4045,155,0.000668,-0.003544),(4045,165,0.000711,-0.003565),(4045,175,0.000754,-0.003588),(4045,185,0.000797,-0.003611),(4045,195,0.000841,-0.003634),(4045,205,0.000884,-0.003661),(4045,215,0.000927,-0.00369),(4045,225,0.00097,-0.003719),(4045,235,0.001013,-0.003748),(4045,245,0.001056,-0.003781),(4045,255,0.0011,-0.003815),(4045,265,0.001143,-0.00385),(4045,275,0.001185,-0.003885),(4045,285,0.001228,-0.003925),(4045,295,0.001271,-0.003966),(4045,305,0.001313,-0.004007),(4045,315,0.001356,-0.004049),(4045,325,0.001398,-0.004097),(4045,335,0.001441,-0.004146),(4045,345,0.001483,-0.004195),(4045,355,0.001525,-0.004244),(4045,365,0.001567,-0.0043),(4045,375,0.001609,-0.004358),(4045,385,0.00165,-0.004415),(4045,395,0.001692,-0.004472),(4045,405,0.001733,-0.004538),(4045,415,0.001774,-0.004604),(4045,425,0.001815,-0.004671),(4045,435,0.001855,-0.004737),(4045,445,0.001895,-0.004813),(4045,455,0.001935,-0.00489),(4045,465,0.001974,-0.004967),(4045,475,0.002013,-0.005043),(4045,485,0.002051,-0.005131),(4045,495,0.00209,-0.00522),(4045,505,0.002126,-0.005308),(4045,515,0.002163,-0.005397),(4045,525,0.002199,-0.005498),(4045,535,0.002236,-0.005599),(4045,545,0.002269,-0.0057),(4045,555,0.002302,-0.005802),(4045,565,0.002335,-0.005918),(4045,575,0.002368,-0.006033),(4045,585,0.002397,-0.006149),(4045,595,0.002425,-0.006266),(4045,605,0.002454,-0.006398),(4045,615,0.002482,-0.00653),(4045,625,0.002505,-0.006662),(4045,635,0.002528,-0.006796),(4045,645,0.002552,-0.006947),(4045,655,0.002573,-0.007097),(4045,665,0.002589,-0.007247),(4045,675,0.002604,-0.0074),(4045,685,0.002619,-0.007571),(4045,695,0.002632,-0.007742),(4045,705,0.002637,-0.007912),(4045,715,0.002642,-0.008087),(4045,725,0.002647,-0.00828),(4045,735,0.002649,-0.008474),(4045,745,0.002641,-0.008667),(4045,755,0.002632,-0.008866),(4045,765,0.002623,-0.009084),(4045,775,0.00261,-0.009302),(4045,785,0.002584,-0.00952),(4045,795,0.002557,-0.009746),(4045,805,0.002531,-0.009991),(4045,815,0.002498,-0.010236),(4045,825,0.002449,-0.010481),(4045,835,0.0024,-0.010736),(4045,845,0.002351,-0.01101),(4045,855,0.002291,-0.011284),(4045,865,0.002213,-0.011557),(4045,875,0.002135,-0.011842),(4045,885,0.002056,-0.012146),(4045,895,0.001963,-0.01245),(4045,905,0.001848,-0.012754),(4045,915,0.001733,-0.01307),(4045,925,0.001617,-0.013404),(4045,935,0.001482,-0.013738),(4045,945,0.00132,-0.014072),(4045,955,0.001159,-0.014418),(4045,965,0.000997,-0.014781),(4045,975,0.000809,-0.015143),(4045,985,0.000591,-0.015506),(4045,995,0.000373,-0.01588),(4045,1005,0.000154,-0.016267),(4045,1015,-9.9e-05,-0.016654),(4045,1025,-0.000386,-0.01704),(4045,1035,-0.000672,-0.017436),(4045,1045,-0.000959,-0.01784),(4045,1055,-0.00129,-0.018244),(4045,1065,-0.001658,-0.018648),(4045,1075,-0.002025,-0.019054),(4045,1085,-0.002393,-0.019463),(4045,1095,-0.002814,-0.019872),(4045,1105,-0.003274,-0.020282),(4045,1115,-0.003733,-0.020684),(4045,1125,-0.004192,-0.021081),(4045,1135,-0.004715,-0.021479),(4045,1145,-0.005275,-0.021876),(4045,1155,-0.005835,-0.022252),(4045,1165,-0.006395,-0.022617),(4045,1175,-0.007024,-0.022981),(4045,1185,-0.007688,-0.023346),(4045,1195,-0.008352,-0.02367),(4045,1205,-0.009016,-0.023975),(4045,1215,-0.009751,-0.024281),(4045,1225,-0.010515,-0.024587),(4045,1235,-0.011279,-0.024829),(4045,1245,-0.012043,-0.025049),(4045,1255,-0.012872,-0.025268),(4045,1265,-0.013723,-0.025487),(4045,1275,-0.014574,-0.02562),(4045,1285,-0.015424,-0.025727),(4045,1295,-0.016325,-0.025834),(4045,1305,-0.017239,-0.025941),(4045,1315,-0.018152,-0.025942),(4045,1325,-0.019066,-0.025919),(4045,1335,-0.020006,-0.025896),(4045,1345,-0.020952,-0.025873),(4045,1355,-0.021897,-0.025734),(4045,1365,-0.022842,-0.025574),(4045,1375,-0.023785,-0.025414),(4045,1385,-0.024727,-0.025255),(4045,1395,-0.025669,-0.024981),(4045,1405,-0.026611,-0.024693),(4045,1415,-0.027522,-0.024404),(4045,1425,-0.02843,-0.024116),(4045,1435,-0.029338,-0.023726),(4045,1445,-0.030246,-0.023328),(4045,1455,-0.0311,-0.02293),(4045,1465,-0.031951,-0.022532),(4045,1475,-0.032801,-0.022054),(4045,1485,-0.033652,-0.021574),(4045,1495,-0.034432,-0.021093),(4045,1505,-0.035212,-0.020612),(4045,1515,-0.035992,-0.020079),(4045,1525,-0.03677,-0.019546),(4045,1535,-0.037475,-0.019013),(4045,1545,-0.03818,-0.018479),(4045,1555,-0.038885,-0.017921),(4045,1565,-0.039586,-0.017364),(4045,1575,-0.040221,-0.016807),(4045,1585,-0.040856,-0.016249),(4045,1595,-0.041491,-0.015692),(4045,1605,-0.04212,-0.015135),(4045,1615,-0.042694,-0.014578),(4045,1625,-0.043269,-0.014023),(4045,1635,-0.043843,-0.013486),(4045,1645,-0.044411,-0.012948),(4045,1655,-0.044938,-0.012411),(4045,1665,-0.045465,-0.011879),(4045,1675,-0.045992,-0.011378),(4045,1685,-0.046513,-0.010876),(4045,1695,-0.047006,-0.010374),(4045,1705,-0.047499,-0.009882),(4045,1715,-0.047993,-0.009427),(4045,1725,-0.048481,-0.008973),(4045,1735,-0.048954,-0.008519),(4045,1745,-0.049427,-0.008078),(4045,1755,-0.0499,-0.007681),(4045,1765,-0.050371,-0.007284),(4045,1775,-0.050837,-0.006887),(4045,1785,-0.051303,-0.006508),(4045,1795,-0.051769,-0.006176),(4045,1805,-0.052237,-0.005844),(4045,1815,-0.052708,-0.005512),(4045,1825,-0.053179,-0.005203),(4045,1835,-0.05365,-0.004943),(4045,1845,-0.054127,-0.004683),(4045,1855,-0.054615,-0.004423),(4045,1865,-0.055103,-0.004192),(4045,1875,-0.055591,-0.004012),(4045,1885,-0.056089,-0.003832),(4045,1895,-0.056604,-0.003652),(4045,1905,-0.057119,-0.003508),(4045,1915,-0.057634,-0.003418),(4045,1925,-0.058165,-0.003327),(4045,1935,-0.058717,-0.003236),(4045,1945,-0.059269,-0.00319),(4045,1955,-0.059821,-0.003199),(4045,1965,-0.060394,-0.003208),(4045,1975,-0.060993,-0.003217),(4045,1985,-0.061592,-0.00328),(4045,1995,-0.06219,-0.003402),(4045,2005,-0.062818,-0.003524),(4045,2015,-0.063473,-0.003646),(4045,2025,-0.064129,-0.003835),(4045,2035,-0.064784,-0.004086),(4045,2045,-0.065475,-0.004337),(4045,2055,-0.066197,-0.004588),(4045,2065,-0.06692,-0.004923),(4045,2075,-0.067642,-0.005324),(4045,2085,-0.068408,-0.005725),(4045,2095,-0.069208,-0.006126),(4045,2105,-0.070007,-0.006632),(4045,2115,-0.070806,-0.007208),(4045,2125,-0.07166,-0.007784),(4045,2135,-0.072547,-0.008361),(4045,2145,-0.073434,-0.009069),(4045,2155,-0.074321,-0.009852),(4045,2165,-0.075274,-0.010635),(4045,2175,-0.076261,-0.011419),(4045,2185,-0.077248,-0.012369),(4045,2195,-0.078234,-0.013399),(4045,2205,-0.079299,-0.01443),(4045,2215,-0.080396,-0.01546),(4045,2225,-0.081494,-0.016702),(4045,2235,-0.082592,-0.018029),(4045,2245,-0.083781,-0.019355),(4045,2255,-0.085001,-0.020681),(4045,2265,-0.086221,-0.022279),(4045,2275,-0.087442,-0.023963),(4045,2285,-0.088765,-0.025647),(4045,2295,-0.090118,-0.027331),(4045,2305,-0.09147,-0.029363),(4045,2315,-0.092823,-0.031483),(4045,2325,-0.094288,-0.033602),(4045,2335,-0.095778,-0.035722),(4045,2345,-0.097269,-0.038288),(4045,2355,-0.098759,-0.040941),(4045,2365,-0.10037,-0.043594),(4045,2375,-0.10199,-0.046246),(4045,2385,-0.10362,-0.049473),(4045,2395,-0.10524,-0.052781),(4045,2405,-0.10698,-0.056089),(4045,2415,-0.10872,-0.059397),(4045,2425,-0.11047,-0.063445),(4045,2435,-0.11222,-0.067561),(4045,2445,-0.11404,-0.071676),(4045,2455,-0.11586,-0.075792),(4045,2465,-0.11769,-0.08086),(4045,2475,-0.11951,-0.085973),(4045,2485,-0.12134,-0.091086),(4045,2495,-0.12316,-0.096199),(4045,2505,-0.12498,-0.10253),(4045,2515,-0.1268,-0.10887),(4045,2525,-0.12847,-0.11521),(4045,2535,-0.13014,-0.1216),(4045,2545,-0.13181,-0.12944),(4045,2555,-0.13346,-0.13727),(4045,2565,-0.13472,-0.14511),(4045,2575,-0.13598,-0.15308),(4045,2585,-0.13724,-0.1627),(4045,2595,-0.13842,-0.17231),(4045,2605,-0.13885,-0.18193),(4045,2615,-0.13927,-0.19178),(4045,2625,-0.1397,-0.20343),(4045,2635,-0.13994,-0.21509),(4045,2645,-0.13889,-0.22674),(4045,2655,-0.13785,-0.23872),(4045,2665,-0.13681,-0.25251),(4045,2675,-0.13536,-0.26629),(4045,2685,-0.13196,-0.28008),(4045,2695,-0.12856,-0.29422),(4045,2705,-0.12517,-0.30985),(4045,2715,-0.12105,-0.32549),(4045,2725,-0.11426,-0.34113),(4045,2735,-0.10747,-0.35697),(4045,2745,-0.10069,-0.37351),(4045,2755,-0.092869,-0.39005),(4045,2765,-0.081983,-0.40658),(4045,2775,-0.071096,-0.42291),(4045,2785,-0.06021,-0.43869),(4045,2795,-0.048282,-0.45446),(4045,2805,-0.033831,-0.47024),(4045,2815,-0.019379,-0.48544),(4045,2825,-0.004928,-0.49937),(4045,2835,0.010383,-0.51331),(4045,2845,0.027425,-0.52724),(4045,2855,0.044468,-0.54039),(4045,2865,0.06151,-0.5521),(4045,2875,0.079188,-0.5638),(4045,2885,0.09794,-0.57551),(4045,2895,0.11669,-0.58636),(4045,2905,0.13544,-0.59586),(4045,2915,0.15464,-0.60537),(4045,2925,0.17447,-0.61488),(4045,2935,0.19429,-0.62352),(4045,2945,0.21412,-0.63103),(4045,2955,0.23425,-0.63853),(4045,2965,0.25475,-0.64604),(4045,2975,0.27525,-0.65271),(4045,2985,0.29574,-0.65845),(4045,2995,0.31646,-0.66418),(4045,3005,0.3374,-0.66992),(4045,3015,0.35834,-0.67486),(4045,3025,0.37928,-0.67903),(4045,3035,0.40039,-0.6832),(4045,3045,0.42166,-0.68736),(4045,3055,0.44292,-0.69075),(4045,3065,0.46419,-0.6935),(4045,3075,0.48562,-0.69625),(4045,3085,0.50717,-0.699),(4045,3095,0.52873,-0.70095),(4045,3105,0.55028,-0.70236),(4045,3115,0.57202,-0.70377),(4045,3125,0.59387,-0.70517),(4045,3135,0.61571,-0.70574),(4045,3145,0.63756,-0.70581),(4045,3155,0.65962,-0.70589),(4045,3165,0.68179,-0.70596),(4045,3175,0.70397,-0.70511),(4045,3185,0.72614,-0.7038),(4045,3195,0.74856,-0.70248),(4045,3205,0.77109,-0.70117),(4045,3215,0.79363,-0.69878),(4045,3225,0.81616,-0.69594),(4045,3235,0.83898,-0.69311),(4045,3245,0.86191,-0.69027),(4045,3255,0.88484,-0.68614),(4045,3265,0.90777,-0.68158),(4045,3275,0.931,-0.67701),(4045,3285,0.95433,-0.67244),(4045,3295,0.97766,-0.66627),(4045,3305,1.001,-0.65966),(4045,3315,1.0246,-0.65306),(4045,3325,1.0483,-0.64645),(4045,3335,1.072,-0.63782),(4045,3345,1.0957,-0.62877),(4045,3355,1.1196,-0.61972),(4045,3365,1.1435,-0.61066),(4045,3375,1.1674,-0.59904),(4045,3385,1.1913,-0.58701),(4045,3395,1.2152,-0.57498),(4045,3405,1.2391,-0.56296),(4045,3415,1.2629,-0.54765),(4045,3425,1.2868,-0.53201),(4045,3435,1.3101,-0.51636),(4045,3445,1.3334,-0.50072),(4045,3455,1.3567,-0.48095),(4045,3465,1.38,-0.46095),(4045,3475,1.4019,-0.44094),(4045,3485,1.4238,-0.42094),(4045,3495,1.4456,-0.39593),(4045,3505,1.4675,-0.37084),(4045,3515,1.4864,-0.34575),(4045,3525,1.5054,-0.32053),(4045,3535,1.5243,-0.28989),(4045,3545,1.543,-0.25926),(4045,3555,1.557,-0.22862),(4045,3565,1.5709,-0.19765),(4045,3575,1.5848,-0.16179),(4045,3585,1.5981,-0.12593),(4045,3595,1.6043,-0.090074),(4045,3605,1.6105,-0.053875),(4045,3615,1.6167,-0.014744),(4045,3625,1.6216,0.024386),(4045,3635,1.6177,0.063517),(4045,3645,1.6138,0.10252),(4045,3655,1.6099,0.14078),(4045,3665,1.6044,0.17904),(4045,3675,1.5907,0.2173),(4045,3685,1.577,0.25462),(4045,3695,1.5632,0.28771),(4045,3705,1.5483,0.3208),(4045,3715,1.5285,0.35389),(4045,3725,1.5086,0.38566),(4045,3735,1.4888,0.41282),(4045,3745,1.4682,0.43997),(4045,3755,1.4451,0.46713),(4045,3765,1.4221,0.4929),(4045,3775,1.399,0.51475),(4045,3785,1.3755,0.5366),(4045,3795,1.3508,0.55845),(4045,3805,1.3262,0.57898),(4045,3815,1.3016,0.59646),(4045,3825,1.2768,0.61394),(4045,3835,1.2517,0.63142),(4045,3845,1.2265,0.64772),(4045,3855,1.2013,0.66172),(4045,3865,1.1761,0.67573),(4045,3875,1.1509,0.68973),(4045,3885,1.1258,0.7027),(4045,3895,1.1006,0.71398),(4045,3905,1.0755,0.72525),(4045,3915,1.0506,0.73653),(4045,3925,1.0256,0.74692),(4045,3935,1.0007,0.75608),(4045,3945,0.97592,0.76523),(4045,3955,0.95137,0.77439),(4045,3965,0.92681,0.78278),(4045,3975,0.90226,0.79029),(4045,3985,0.87791,0.79779),(4045,3995,0.85379,0.80529),(4045,4005,0.82966,0.81221),(4045,4015,0.80553,0.81854),(4045,4025,1.1608,0.82487),(4045,4035,1.5531,0.82896),(4045,4045,1.9454,0.82831),(4045,4055,2.2254,0.82766),(4045,4065,2.4643,0.8264),(4045,4075,2.7032,0.82151),(4045,4085,2.8058,0.81662),(4045,4095,2.7989,0.81173),(4045,4105,2.792,0.80655),(4045,4115,2.6919,0.80136),(4045,4125,2.4374,0.79618),(4045,4135,2.1829,0.79354),(4045,4145,1.9254,0.7916),(4045,4155,1.6557,0.78965),(4045,4165,1.386,0.78975),(4045,4175,1.1314,0.79117),(4045,4185,1.6227,0.79258),(4045,4195,2.114,0.79064),(4045,4205,2.6052,0.78427),(4045,4215,2.6789,0.7779),(4045,4225,2.6739,0.77149),(4045,4235,2.6689,0.76497),(4045,4245,2.6614,0.75844),(4045,4255,2.6526,0.75184),(4045,4265,2.6438,0.74425),(4045,4275,2.3151,0.73666),(4045,4285,1.6468,0.72907),(4045,4295,0.97851,0.73087),(4045,4305,0.68932,0.73377),(4045,4315,1.2561,0.73666),(4045,4325,1.8229,0.73316),(4045,4335,2.3266,0.72714),(4045,4345,2.4032,0.72112),(4045,4355,2.4797,0.71428),(4045,4365,2.5563,0.70674),(4045,4375,2.5572,0.69919),(4045,4385,2.5542,0.69161),(4045,4395,2.5512,0.68394),(4045,4405,2.226,0.67627),(4045,4415,1.8059,0.66977),(4045,4425,1.3857,0.66846),(4045,4435,1.2058,0.66715),(4045,4445,1.1901,0.66585),(4045,4455,1.1744,0.66472),(4045,4465,1.3379,0.6636),(4045,4475,1.7532,0.66247),(4045,4485,2.1685,0.65626),(4045,4495,2.4846,0.64898),(4045,4505,2.4822,0.6417),(4045,4515,2.4799,0.63443),(4045,4525,2.4726,0.62716),(4045,4535,2.3875,0.61989),(4045,4545,2.3024,0.6131),(4045,4555,2.2172,0.60685),(4045,4565,1.6726,0.6006),(4045,4575,1.0661,0.59677),(4045,4585,0.45958,0.59881),(4045,4595,0.75117,0.60085),(4045,4605,1.4222,0.60174),(4045,4615,2.0933,0.59364),(4045,4625,2.413,0.58554),(4045,4635,2.4146,0.57744),(4045,4645,2.4161,0.57027),(4045,4655,2.4166,0.56316),(4045,4665,2.4151,0.55605),(4045,4675,2.4136,0.54908),(4045,4685,2.3265,0.54216),(4045,4695,1.8158,0.53523),(4045,4705,1.3052,0.53193),(4045,4715,0.79451,0.53126),(4045,4725,1.0315,0.53059),(4045,4735,1.2759,0.52875),(4045,4745,1.5203,0.52516),(4045,4755,1.7713,0.52158),(4045,4765,2.0238,0.51734),(4045,4775,2.2763,0.51078),(4045,4785,2.368,0.50423),(4045,4795,2.3668,0.49768),(4045,4805,2.3656,0.49123),(4045,4815,2.2483,0.48479),(4045,4825,1.9921,0.47834),(4045,4835,1.7359,0.47434),(4045,4845,1.4764,0.47072),(4045,4855,1.2085,0.4671),(4045,4865,0.94052,0.46545),(4045,4875,0.74996,0.4647),(4045,4885,1.2636,0.46395),(4045,4895,1.7772,0.46034),(4045,4905,2.2908,0.45397),(4045,4915,2.3307,0.44761),(4045,4925,2.3299,0.44126),(4045,4935,2.3291,0.43496),(4045,4945,2.327,0.42867),(4045,4955,2.3245,0.42231),(4045,4965,2.322,0.41567),(4045,4975,1.9331,0.40902),(4045,4985,1.246,0.40237),(4045,4995,0.55892,0.40308),(4045,5005,0.33483,0.40397),(4045,5015,0.84685,0.40486),(4045,5025,1.3589,0.40184),(4045,5035,1.7999,0.39781),(4045,5045,1.9704,0.39379),(4045,5055,2.1409,0.38876),(4045,5065,2.3064,0.38311),(4045,5075,2.3057,0.37746),(4045,5085,2.305,0.37185),(4045,5095,2.3043,0.36629),(4045,5105,2.0091,0.36074),(4045,5115,1.6625,0.35601),(4045,5125,1.3159,0.35361),(4045,5135,1.1394,0.35121),(4045,5145,1.0453,0.3489),(4045,5155,0.95129,0.34748),(4045,5165,1.1192,0.34606),(4045,5175,1.5544,0.34463),(4045,5185,1.9896,0.34014),(4045,5195,2.2866,0.33533),(4045,5205,2.2857,0.33051),(4045,5215,2.2848,0.32575),(4045,5225,2.2721,0.321),(4045,5235,2.1859,0.31624),(4045,5245,2.0996,0.31188),(4045,5255,2.0133,0.30782),(4045,5265,1.4142,0.30376),(4045,5275,0.79394,0.30132),(4045,5285,0.17368,0.30162),(4045,5295,0.57923,0.30193),(4045,5305,1.2705,0.30146),(4045,5315,1.9617,0.29776),(4045,5325,2.2352,0.29406),(4045,5335,2.2349,0.29037),(4045,5345,2.2346,0.28686),(4045,5355,2.234,0.28336),(4045,5365,2.2328,0.27985),(4045,5375,2.2317,0.27635),(4045,5385,2.1027,0.27286),(4045,5395,1.5851,0.26936),(4045,5405,1.0674,0.26772),(4045,5415,0.60346,0.26705),(4045,5425,0.8611,0.26637),(4045,5435,1.1187,0.2656),(4045,5445,1.3764,0.26474),(4045,5455,1.6346,0.26388),(4045,5465,1.8929,0.2628),(4045,5475,2.1512,0.26118),(4045,5485,2.2243,0.25956),(4045,5495,2.2229,0.25793),(4045,5505,2.2214,0.25621),(4045,5515,2.22,0.25449),(4045,5525,2.2187,0.25277),(4045,5535,2.2174,0.25094),(4045,5545,2.2161,0.24911),(4045,5555,2.2149,0.24728),(4045,5565,2.2137,0.24538),(4045,5575,2.2125,0.24345),(4045,5585,2.2114,0.24153),(4045,5595,2.2102,0.23958),(4045,5605,2.2091,0.23761),(4045,5615,2.208,0.23564),(4045,5625,2.2069,0.23367),(4045,5635,2.2057,0.23171),(4045,5645,2.2046,0.22975),(4045,5655,2.2034,0.22781),(4045,5665,2.2022,0.22594),(4045,5675,2.201,0.22406),(4045,5685,2.1998,0.2222),(4045,5695,2.1985,0.22049),(4045,5705,2.1972,0.21877),(4045,5715,2.1959,0.21706),(4045,5725,2.1945,0.21554),(4045,5735,2.1931,0.21403),(4045,5745,2.1916,0.21253),(4045,5755,2.1901,0.2112),(4045,5765,2.1886,0.20995),(4045,5775,2.1871,0.20869),(4045,5785,2.1855,0.20758),(4045,5795,2.1839,0.20659),(4045,5805,2.1822,0.20561),(4045,5815,2.1805,0.20471),(4045,5825,2.1789,0.204),(4045,5835,2.1772,0.20328),(4045,5845,2.1754,0.2026),(4045,5855,2.1737,0.20214),(4045,5865,2.1719,0.20169),(4045,5875,2.1702,0.20123),(4045,5885,2.1684,0.201),(4045,5895,2.1667,0.20078),(4045,5905,2.1649,0.20056),(4045,5915,2.1632,0.20049),(4045,5925,2.1614,0.20045),(4045,5935,2.1598,0.20041),(4045,5945,2.1581,0.20046),(4045,5955,2.1564,0.20055),(4045,5965,2.1547,0.20064),(4045,5975,2.1531,0.20077),(4045,5985,2.1515,0.20094),(4045,5995,1.6441,0.2011),(4045,6005,1.0552,0.20124),(4045,6015,0.46631,0.20129),(4045,6025,0.63992,0.20133),(4045,6035,1.1672,0.20094),(4045,6045,1.6944,0.19636),(4045,6055,2.0583,0.19177),(4045,6065,2.262,0.18718),(4045,6075,2.4658,0.18126),(4045,6085,2.6028,0.17521),(4045,6095,2.6024,0.16916),(4045,6105,2.6019,0.16325),(4045,6115,2.6014,0.15738),(4045,6125,2.6005,0.15151),(4045,6135,2.5996,0.14582),(4045,6145,2.5987,0.14028),(4045,6155,2.5974,0.13473),(4045,6165,2.5961,0.12936),(4045,6175,2.5948,0.12425),(4045,6185,2.5932,0.11914),(4045,6195,2.5915,0.11413),(4045,6205,2.5898,0.1095),(4045,6215,2.588,0.10488),(4045,6225,2.586,0.10026),(4045,6235,2.5841,0.096139),(4045,6245,2.5821,0.092015),(4045,6255,2.58,0.087892),(4045,6265,2.5779,0.084163),(4045,6275,2.5757,0.080507),(4045,6285,2.5736,0.07685),(4045,6295,2.5714,0.073507),(4045,6305,2.5692,0.070319),(4045,6315,2.567,0.067131),(4045,6325,2.5649,0.064137),(4045,6335,2.5627,0.061344),(4045,6345,2.5606,0.058552),(4045,6355,2.5586,0.055876),(4045,6365,2.5565,0.053459),(4045,6375,2.5546,0.051041),(4045,6385,2.5527,0.048662),(4045,6395,2.5508,0.046535),(4045,6405,2.549,0.044408),(4045,6415,2.5473,0.042281),(4045,6425,2.5456,0.040308),(4045,6435,2.544,0.038343),(4045,6445,2.5426,0.036377),(4045,6455,2.5411,0.034555),(4045,6465,2.5398,0.032774),(4045,6475,2.5386,0.030993),(4045,6485,2.5374,0.02927),(4045,6495,2.5362,0.027586),(4045,6505,2.5354,0.025902),(4045,6515,2.5345,0.024235),(4045,6525,2.5336,0.022591),(4045,6535,2.533,0.020948),(4045,6545,2.5324,0.019315),(4045,6555,2.5318,0.017718),(4045,6565,2.5314,0.016121),(4045,6575,2.5311,0.014525),(4045,6585,2.5308,0.01295),(4045,6595,2.1525,0.011374),(4045,6605,1.3567,0.009799),(4045,6615,0.56098,0.009645),(4045,6625,0.001583,0.009673),(4045,6635,0.00159,0.009702),(4045,6645,0.001598,0.009707),(4045,6655,0.001606,0.009704),(4045,6665,0.001613,0.009699),(4045,6675,0.00162,0.009695),(4045,6685,0.001627,0.00969),(4045,6695,0.001633,0.009685),(4045,6705,0.00164,0.00968),(4045,6715,0.001646,0.009673),(4045,6725,0.001652,0.009667),(4045,6735,0.001658,0.009661),(4045,6745,0.001664,0.009654),(4045,6755,0.001669,0.009648),(4045,6765,0.001675,0.009641),(4045,6775,0.00168,0.009633),(4045,6785,0.001685,0.009626),(4045,6795,0.001689,0.009619),(4045,6805,0.001694,0.009611),(4045,6815,0.001698,0.009603),(4045,6825,0.001702,0.009595),(4045,6835,0.001706,0.009587),(4045,6845,0.00171,0.009579),(4045,6855,0.001714,0.009571),(4045,6865,0.001717,0.009562),(4045,6875,0.001721,0.009554),(4045,6885,0.001724,0.009546),(4045,6895,0.001727,0.009537),(4045,6905,0.00173,0.009528),(4045,6915,0.001733,0.00952),(4045,6925,0.001735,0.009511),(4045,6935,0.001738,0.009502),(4045,6945,0.00174,0.009494),(4045,6955,0.001742,0.009485),(4045,6965,0.001745,0.009476),(4045,6975,0.001747,0.009467),(4045,6985,0.001749,0.009458),(4055,5,2.2e-05,-0.003352),(4055,15,6.6e-05,-0.003355),(4055,25,0.00011,-0.003357),(4055,35,0.000154,-0.00336),(4055,45,0.000199,-0.003364),(4055,55,0.000243,-0.003372),(4055,65,0.000287,-0.003379),(4055,75,0.000331,-0.003387),(4055,85,0.000375,-0.003397),(4055,95,0.000419,-0.003409),(4055,105,0.000463,-0.003421),(4055,115,0.000508,-0.003433),(4055,125,0.000552,-0.003448),(4055,135,0.000596,-0.003466),(4055,145,0.00064,-0.003483),(4055,155,0.000684,-0.0035),(4055,165,0.000729,-0.003521),(4055,175,0.000773,-0.003544),(4055,185,0.000817,-0.003567),(4055,195,0.000862,-0.00359),(4055,205,0.000906,-0.003617),(4055,215,0.000951,-0.003646),(4055,225,0.000996,-0.003675),(4055,235,0.00104,-0.003703),(4055,245,0.001085,-0.003737),(4055,255,0.001129,-0.003771),(4055,265,0.001174,-0.003806),(4055,275,0.001218,-0.003841),(4055,285,0.001262,-0.003881),(4055,295,0.001306,-0.003922),(4055,305,0.00135,-0.003964),(4055,315,0.001395,-0.004005),(4055,325,0.001439,-0.004053),(4055,335,0.001483,-0.004102),(4055,345,0.001527,-0.004151),(4055,355,0.001571,-0.004201),(4055,365,0.001615,-0.004257),(4055,375,0.001659,-0.004314),(4055,385,0.001702,-0.004372),(4055,395,0.001746,-0.004429),(4055,405,0.001789,-0.004495),(4055,415,0.001833,-0.004562),(4055,425,0.001875,-0.004628),(4055,435,0.001918,-0.004695),(4055,445,0.00196,-0.004771),(4055,455,0.002003,-0.004849),(4055,465,0.002044,-0.004926),(4055,475,0.002086,-0.005003),(4055,485,0.002127,-0.005091),(4055,495,0.002168,-0.00518),(4055,505,0.002208,-0.005269),(4055,515,0.002247,-0.005358),(4055,525,0.002287,-0.00546),(4055,535,0.002326,-0.005562),(4055,545,0.002363,-0.005664),(4055,555,0.002399,-0.005767),(4055,565,0.002436,-0.005883),(4055,575,0.002472,-0.006),(4055,585,0.002505,-0.006117),(4055,595,0.002537,-0.006235),(4055,605,0.00257,-0.006368),(4055,615,0.002602,-0.006501),(4055,625,0.00263,-0.006635),(4055,635,0.002657,-0.00677),(4055,645,0.002684,-0.006922),(4055,655,0.002711,-0.007074),(4055,665,0.002731,-0.007226),(4055,675,0.002751,-0.007382),(4055,685,0.002771,-0.007555),(4055,695,0.00279,-0.007728),(4055,705,0.0028,-0.007901),(4055,715,0.002811,-0.008079),(4055,725,0.002821,-0.008276),(4055,735,0.002828,-0.008472),(4055,745,0.002826,-0.008669),(4055,755,0.002823,-0.008871),(4055,765,0.002821,-0.009094),(4055,775,0.002814,-0.009316),(4055,785,0.002794,-0.009539),(4055,795,0.002775,-0.009769),(4055,805,0.002755,-0.01002),(4055,815,0.002728,-0.010271),(4055,825,0.002686,-0.010521),(4055,835,0.002645,-0.010782),(4055,845,0.002603,-0.011063),(4055,855,0.00255,-0.011345),(4055,865,0.00248,-0.011626),(4055,875,0.002409,-0.011919),(4055,885,0.002338,-0.012232),(4055,895,0.002253,-0.012545),(4055,905,0.002145,-0.012859),(4055,915,0.002037,-0.013185),(4055,925,0.001929,-0.013531),(4055,935,0.001801,-0.013876),(4055,945,0.001647,-0.014222),(4055,955,0.001493,-0.014581),(4055,965,0.001339,-0.014958),(4055,975,0.001157,-0.015335),(4055,985,0.000945,-0.015712),(4055,995,0.000734,-0.016103),(4055,1005,0.000522,-0.016507),(4055,1015,0.000274,-0.016911),(4055,1025,-8e-06,-0.017316),(4055,1035,-0.00029,-0.017731),(4055,1045,-0.000572,-0.018156),(4055,1055,-0.0009,-0.01858),(4055,1065,-0.001266,-0.019005),(4055,1075,-0.001631,-0.019434),(4055,1085,-0.001996,-0.019867),(4055,1095,-0.002418,-0.0203),(4055,1105,-0.00288,-0.020733),(4055,1115,-0.003341,-0.021161),(4055,1125,-0.003802,-0.021585),(4055,1135,-0.00433,-0.022008),(4055,1145,-0.004897,-0.022432),(4055,1155,-0.005463,-0.022835),(4055,1165,-0.00603,-0.023227),(4055,1175,-0.006671,-0.023619),(4055,1185,-0.007348,-0.024011),(4055,1195,-0.008025,-0.024361),(4055,1205,-0.008701,-0.024693),(4055,1215,-0.009454,-0.025025),(4055,1225,-0.010237,-0.025357),(4055,1235,-0.011021,-0.025624),(4055,1245,-0.011804,-0.025866),(4055,1255,-0.012657,-0.026108),(4055,1265,-0.013533,-0.02635),(4055,1275,-0.014408,-0.026501),(4055,1285,-0.015284,-0.026624),(4055,1295,-0.016213,-0.026748),(4055,1305,-0.017156,-0.026871),(4055,1315,-0.0181,-0.026883),(4055,1325,-0.019043,-0.026868),(4055,1335,-0.020013,-0.026853),(4055,1345,-0.020989,-0.026838),(4055,1355,-0.021965,-0.026699),(4055,1365,-0.022941,-0.026539),(4055,1375,-0.023913,-0.026378),(4055,1385,-0.024884,-0.026217),(4055,1395,-0.025855,-0.025935),(4055,1405,-0.026826,-0.025637),(4055,1415,-0.027762,-0.025339),(4055,1425,-0.028694,-0.025041),(4055,1435,-0.029626,-0.024636),(4055,1445,-0.030559,-0.024223),(4055,1455,-0.031431,-0.023809),(4055,1465,-0.032299,-0.023396),(4055,1475,-0.033167,-0.022899),(4055,1485,-0.034036,-0.022399),(4055,1495,-0.034828,-0.0219),(4055,1505,-0.035618,-0.0214),(4055,1515,-0.036409,-0.020847),(4055,1525,-0.037198,-0.020294),(4055,1535,-0.037907,-0.019741),(4055,1545,-0.038617,-0.019187),(4055,1555,-0.039326,-0.01861),(4055,1565,-0.040031,-0.018034),(4055,1575,-0.040664,-0.017458),(4055,1585,-0.041298,-0.016882),(4055,1595,-0.041931,-0.016309),(4055,1605,-0.042558,-0.015736),(4055,1615,-0.043126,-0.015162),(4055,1625,-0.043694,-0.014592),(4055,1635,-0.044263,-0.014042),(4055,1645,-0.044824,-0.013492),(4055,1655,-0.045341,-0.012942),(4055,1665,-0.045858,-0.012398),(4055,1675,-0.046375,-0.011887),(4055,1685,-0.046885,-0.011376),(4055,1695,-0.047366,-0.010865),(4055,1705,-0.047846,-0.010365),(4055,1715,-0.048326,-0.009905),(4055,1725,-0.048802,-0.009445),(4055,1735,-0.04926,-0.008985),(4055,1745,-0.049717,-0.00854),(4055,1755,-0.050175,-0.008141),(4055,1765,-0.050631,-0.007742),(4055,1775,-0.05108,-0.007343),(4055,1785,-0.051529,-0.006962),(4055,1795,-0.051978,-0.006631),(4055,1805,-0.052428,-0.0063),(4055,1815,-0.05288,-0.005969),(4055,1825,-0.053333,-0.005662),(4055,1835,-0.053785,-0.005406),(4055,1845,-0.054242,-0.00515),(4055,1855,-0.05471,-0.004894),(4055,1865,-0.055177,-0.004667),(4055,1875,-0.055644,-0.004494),(4055,1885,-0.056121,-0.00432),(4055,1895,-0.056613,-0.004147),(4055,1905,-0.057105,-0.00401),(4055,1915,-0.057596,-0.003928),(4055,1925,-0.058103,-0.003847),(4055,1935,-0.058629,-0.003765),(4055,1945,-0.059155,-0.003728),(4055,1955,-0.059682,-0.003748),(4055,1965,-0.060228,-0.003769),(4055,1975,-0.060798,-0.003789),(4055,1985,-0.061368,-0.003864),(4055,1995,-0.061937,-0.004),(4055,2005,-0.062533,-0.004135),(4055,2015,-0.063156,-0.00427),(4055,2025,-0.063778,-0.004474),(4055,2035,-0.0644,-0.004741),(4055,2045,-0.065056,-0.005008),(4055,2055,-0.065739,-0.005275),(4055,2065,-0.066423,-0.005627),(4055,2075,-0.067107,-0.006047),(4055,2085,-0.067832,-0.006466),(4055,2095,-0.068586,-0.006885),(4055,2105,-0.06934,-0.007411),(4055,2115,-0.070095,-0.008008),(4055,2125,-0.070898,-0.008604),(4055,2135,-0.071733,-0.009201),(4055,2145,-0.072567,-0.009932),(4055,2155,-0.073401,-0.010739),(4055,2165,-0.074295,-0.011545),(4055,2175,-0.075218,-0.012352),(4055,2185,-0.076142,-0.013327),(4055,2195,-0.077066,-0.014383),(4055,2205,-0.078058,-0.015439),(4055,2215,-0.079081,-0.016494),(4055,2225,-0.080103,-0.017764),(4055,2235,-0.081126,-0.019119),(4055,2245,-0.082227,-0.020473),(4055,2255,-0.083356,-0.021827),(4055,2265,-0.084485,-0.023454),(4055,2275,-0.085614,-0.025168),(4055,2285,-0.086831,-0.026882),(4055,2295,-0.088073,-0.028595),(4055,2305,-0.089314,-0.030657),(4055,2315,-0.090556,-0.032807),(4055,2325,-0.09189,-0.034957),(4055,2335,-0.093245,-0.037106),(4055,2345,-0.0946,-0.039701),(4055,2355,-0.095955,-0.042382),(4055,2365,-0.0974,-0.045063),(4055,2375,-0.098859,-0.047744),(4055,2385,-0.10032,-0.050994),(4055,2395,-0.10178,-0.054325),(4055,2405,-0.10331,-0.057656),(4055,2415,-0.10485,-0.060986),(4055,2425,-0.10639,-0.065046),(4055,2435,-0.10793,-0.069172),(4055,2445,-0.1095,-0.073298),(4055,2455,-0.11108,-0.077424),(4055,2465,-0.11265,-0.082481),(4055,2475,-0.11422,-0.087581),(4055,2485,-0.11573,-0.092682),(4055,2495,-0.11725,-0.097782),(4055,2505,-0.11876,-0.10406),(4055,2515,-0.12026,-0.11035),(4055,2525,-0.12155,-0.11664),(4055,2535,-0.12284,-0.12297),(4055,2545,-0.12413,-0.13069),(4055,2555,-0.1254,-0.13841),(4055,2565,-0.1262,-0.14612),(4055,2575,-0.12701,-0.15396),(4055,2585,-0.12782,-0.16336),(4055,2595,-0.12854,-0.17275),(4055,2605,-0.12845,-0.18214),(4055,2615,-0.12836,-0.19175),(4055,2625,-0.12828,-0.20303),(4055,2635,-0.12799,-0.2143),(4055,2645,-0.12641,-0.22558),(4055,2655,-0.12483,-0.23715),(4055,2665,-0.12324,-0.25035),(4055,2675,-0.12127,-0.26356),(4055,2685,-0.1174,-0.27676),(4055,2695,-0.11354,-0.29028),(4055,2705,-0.10967,-0.30511),(4055,2715,-0.10514,-0.31994),(4055,2725,-0.098142,-0.33477),(4055,2735,-0.091141,-0.34978),(4055,2745,-0.084141,-0.36538),(4055,2755,-0.076216,-0.38097),(4055,2765,-0.065554,-0.39657),(4055,2775,-0.054892,-0.41198),(4055,2785,-0.04423,-0.42692),(4055,2795,-0.03261,-0.44185),(4055,2805,-0.018667,-0.45678),(4055,2815,-0.004724,-0.47121),(4055,2825,0.00922,-0.4845),(4055,2835,0.023988,-0.4978),(4055,2845,0.04042,-0.5111),(4055,2855,0.056853,-0.52369),(4055,2865,0.073285,-0.53496),(4055,2875,0.090354,-0.54623),(4055,2885,0.1085,-0.5575),(4055,2895,0.12665,-0.56797),(4055,2905,0.1448,-0.5772),(4055,2915,0.16341,-0.58642),(4055,2925,0.18268,-0.59564),(4055,2935,0.20195,-0.60405),(4055,2945,0.22122,-0.61137),(4055,2955,0.24082,-0.61869),(4055,2965,0.26083,-0.62601),(4055,2975,0.28083,-0.63253),(4055,2985,0.30083,-0.63815),(4055,2995,0.32108,-0.64376),(4055,3005,0.34157,-0.64938),(4055,3015,0.36207,-0.65421),(4055,3025,0.38256,-0.65829),(4055,3035,0.40325,-0.66237),(4055,3045,0.42411,-0.66645),(4055,3055,0.44497,-0.66975),(4055,3065,0.46582,-0.67242),(4055,3075,0.48686,-0.67509),(4055,3085,0.50803,-0.67776),(4055,3095,0.52919,-0.67964),(4055,3105,0.55036,-0.68097),(4055,3115,0.57171,-0.68231),(4055,3125,0.59317,-0.68364),(4055,3135,0.61463,-0.68413),(4055,3145,0.6361,-0.68412),(4055,3155,0.65776,-0.68412),(4055,3165,0.67953,-0.68411),(4055,3175,0.70131,-0.68318),(4055,3185,0.72308,-0.68178),(4055,3195,0.74508,-0.68038),(4055,3205,0.76718,-0.67898),(4055,3215,0.78928,-0.6765),(4055,3225,0.81138,-0.67358),(4055,3235,0.83373,-0.67066),(4055,3245,0.85617,-0.66773),(4055,3255,0.87861,-0.66352),(4055,3265,0.90105,-0.65886),(4055,3275,0.92373,-0.65421),(4055,3285,0.9465,-0.64955),(4055,3295,0.96926,-0.64331),(4055,3305,0.99202,-0.63663),(4055,3315,1.015,-0.62996),(4055,3325,1.038,-0.62328),(4055,3335,1.061,-0.61462),(4055,3345,1.084,-0.60553),(4055,3355,1.1071,-0.59645),(4055,3365,1.1303,-0.58736),(4055,3375,1.1534,-0.57577),(4055,3385,1.1765,-0.56379),(4055,3395,1.1994,-0.55181),(4055,3405,1.2223,-0.53983),(4055,3415,1.2452,-0.52469),(4055,3425,1.2681,-0.50923),(4055,3435,1.2903,-0.49377),(4055,3445,1.3125,-0.47831),(4055,3455,1.3346,-0.45894),(4055,3465,1.3568,-0.43934),(4055,3475,1.3773,-0.41975),(4055,3485,1.3978,-0.40016),(4055,3495,1.4183,-0.3759),(4055,3505,1.4388,-0.35157),(4055,3515,1.4563,-0.32724),(4055,3525,1.4738,-0.30279),(4055,3535,1.4913,-0.27341),(4055,3545,1.5085,-0.24403),(4055,3555,1.5211,-0.21465),(4055,3565,1.5336,-0.18497),(4055,3575,1.5462,-0.15097),(4055,3585,1.5581,-0.11696),(4055,3595,1.5635,-0.082947),(4055,3605,1.5688,-0.048646),(4055,3615,1.5742,-0.011835),(4055,3625,1.5784,0.024976),(4055,3635,1.5747,0.061788),(4055,3645,1.571,0.098486),(4055,3655,1.5674,0.13451),(4055,3665,1.5623,0.17054),(4055,3675,1.5499,0.20656),(4055,3685,1.5376,0.24177),(4055,3695,1.5252,0.27336),(4055,3705,1.5117,0.30494),(4055,3715,1.4934,0.33653),(4055,3725,1.4752,0.36693),(4055,3735,1.4569,0.39323),(4055,3745,1.4378,0.41952),(4055,3755,1.4162,0.44582),(4055,3765,1.3945,0.47083),(4055,3775,1.3728,0.49224),(4055,3785,1.3506,0.51365),(4055,3795,1.3272,0.53506),(4055,3805,1.3037,0.55522),(4055,3815,1.2803,0.57252),(4055,3825,1.2566,0.58981),(4055,3835,1.2323,0.6071),(4055,3845,1.2081,0.62326),(4055,3855,1.1839,0.63722),(4055,3865,1.1596,0.65118),(4055,3875,1.1351,0.66514),(4055,3885,1.1107,0.67809),(4055,3895,1.0862,0.6894),(4055,3905,1.0618,0.70072),(4055,3915,1.0375,0.71203),(4055,3925,1.0132,0.72246),(4055,3935,0.98881,0.73169),(4055,3945,0.96458,0.74092),(4055,3955,0.9405,0.75015),(4055,3965,0.91642,0.75863),(4055,3975,0.89234,0.76622),(4055,3985,0.86842,0.77381),(4055,3995,0.84467,0.78141),(4055,4005,0.82093,0.78842),(4055,4015,0.79718,0.79485),(4055,4025,1.1535,0.80127),(4055,4035,1.547,0.80549),(4055,4045,1.9404,0.80503),(4055,4055,2.2212,0.80457),(4055,4065,2.4608,0.80351),(4055,4075,2.7004,0.79886),(4055,4085,2.8033,0.79421),(4055,4095,2.7965,0.78957),(4055,4105,2.7897,0.78462),(4055,4115,2.6896,0.77966),(4055,4125,2.4348,0.7747),(4055,4135,2.1799,0.77225),(4055,4145,1.9221,0.77048),(4055,4155,1.652,0.76871),(4055,4165,1.382,0.76897),(4055,4175,1.127,0.77052),(4055,4185,1.6194,0.77207),(4055,4195,2.1118,0.77029),(4055,4205,2.6042,0.76409),(4055,4215,2.6781,0.75789),(4055,4225,2.6731,0.75166),(4055,4235,2.6682,0.74531),(4055,4245,2.6609,0.73895),(4055,4255,2.6525,0.73252),(4055,4265,2.6441,0.72513),(4055,4275,2.3148,0.71774),(4055,4285,1.645,0.71035),(4055,4295,0.9753,0.71227),(4055,4305,0.68548,0.71527),(4055,4315,1.2535,0.71827),(4055,4325,1.8216,0.71484),(4055,4335,2.3264,0.70889),(4055,4345,2.4032,0.70294),(4055,4355,2.48,0.69617),(4055,4365,2.5568,0.68869),(4055,4375,2.5578,0.68121),(4055,4385,2.5548,0.67369),(4055,4395,2.5519,0.66611),(4055,4405,2.2261,0.65853),(4055,4415,1.8051,0.65211),(4055,4425,1.3841,0.65089),(4055,4435,1.2038,0.64968),(4055,4445,1.1881,0.64846),(4055,4455,1.1724,0.64742),(4055,4465,1.3362,0.64639),(4055,4475,1.7523,0.64535),(4055,4485,2.1684,0.63924),(4055,4495,2.485,0.63207),(4055,4505,2.4827,0.6249),(4055,4515,2.4803,0.61773),(4055,4525,2.473,0.61057),(4055,4535,2.3878,0.60341),(4055,4545,2.3026,0.59672),(4055,4555,2.2174,0.59057),(4055,4565,1.672,0.58442),(4055,4575,1.0645,0.58066),(4055,4585,0.45708,0.58272),(4055,4595,0.74932,0.58477),(4055,4605,1.4217,0.5857),(4055,4615,2.0941,0.57785),(4055,4625,2.4143,0.56999),(4055,4635,2.4155,0.56214),(4055,4645,2.4167,0.55516),(4055,4655,2.417,0.54824),(4055,4665,2.4154,0.54132),(4055,4675,2.4139,0.53454),(4055,4685,2.3266,0.5278),(4055,4695,1.8154,0.52105),(4055,4705,1.3042,0.51786),(4055,4715,0.79301,0.51724),(4055,4725,1.0302,0.51663),(4055,4735,1.2749,0.51486),(4055,4745,1.5195,0.51138),(4055,4755,1.7707,0.5079),(4055,4765,2.0235,0.50377),(4055,4775,2.2762,0.49737),(4055,4785,2.368,0.49097),(4055,4795,2.3668,0.48457),(4055,4805,2.3655,0.47827),(4055,4815,2.2481,0.47197),(4055,4825,1.9917,0.46566),(4055,4835,1.7354,0.46176),(4055,4845,1.4757,0.45824),(4055,4855,1.2076,0.45471),(4055,4865,0.93951,0.45312),(4055,4875,0.74884,0.45242),(4055,4885,1.2628,0.45171),(4055,4895,1.7768,0.44818),(4055,4905,2.2907,0.44194),(4055,4915,2.3307,0.4357),(4055,4925,2.3298,0.42948),(4055,4935,2.329,0.4233),(4055,4945,2.327,0.41713),(4055,4955,2.3246,0.4109),(4055,4965,2.3222,0.4044),(4055,4975,1.9331,0.39789),(4055,4985,1.2455,0.39139),(4055,4995,0.55796,0.39211),(4055,5005,0.33364,0.39303),(4055,5015,0.84582,0.39394),(4055,5025,1.358,0.39101),(4055,5035,1.7991,0.38711),(4055,5045,1.9697,0.3832),(4055,5055,2.1403,0.37832),(4055,5065,2.3058,0.37283),(4055,5075,2.305,0.36734),(4055,5085,2.3043,0.36189),(4055,5095,2.3036,0.35649),(4055,5105,2.0084,0.35109),(4055,5115,1.6617,0.3465),(4055,5125,1.3151,0.34418),(4055,5135,1.1385,0.34187),(4055,5145,1.0444,0.33963),(4055,5155,0.95033,0.33826),(4055,5165,1.1182,0.3369),(4055,5175,1.5533,0.33554),(4055,5185,1.9883,0.33118),(4055,5195,2.2853,0.32651),(4055,5205,2.2844,0.32183),(4055,5215,2.2835,0.31721),(4055,5225,2.2708,0.3126),(4055,5235,2.1845,0.30798),(4055,5245,2.0983,0.30374),(4055,5255,2.012,0.29981),(4055,5265,1.4132,0.29587),(4055,5275,0.79318,0.29351),(4055,5285,0.17321,0.29381),(4055,5295,0.57838,0.29411),(4055,5305,1.269,0.29366),(4055,5315,1.9597,0.29008),(4055,5325,2.233,0.2865),(4055,5335,2.2327,0.28292),(4055,5345,2.2323,0.27952),(4055,5355,2.2316,0.27611),(4055,5365,2.2305,0.27271),(4055,5375,2.2293,0.26931),(4055,5385,2.1004,0.26591),(4055,5395,1.5833,0.26252),(4055,5405,1.0661,0.26093),(4055,5415,0.60256,0.26027),(4055,5425,0.85957,0.25962),(4055,5435,1.1166,0.25885),(4055,5445,1.3736,0.25796),(4055,5455,1.6313,0.25706),(4055,5465,1.8892,0.25593),(4055,5475,2.147,0.25425),(4055,5485,2.22,0.25257),(4055,5495,2.2186,0.25088),(4055,5505,2.2172,0.2491),(4055,5515,2.2158,0.24731),(4055,5525,2.2146,0.24553),(4055,5535,2.2133,0.24363),(4055,5545,2.2121,0.24174),(4055,5555,2.2109,0.23984),(4055,5565,2.2097,0.23786),(4055,5575,2.2086,0.23587),(4055,5585,2.2074,0.23388),(4055,5595,2.2063,0.23186),(4055,5605,2.2052,0.22984),(4055,5615,2.2041,0.22781),(4055,5625,2.203,0.2258),(4055,5635,2.2019,0.2238),(4055,5645,2.2007,0.22181),(4055,5655,2.1995,0.21984),(4055,5665,2.1983,0.21796),(4055,5675,2.1971,0.21607),(4055,5685,2.1958,0.2142),(4055,5695,2.1945,0.21252),(4055,5705,2.1931,0.21084),(4055,5715,2.1917,0.20916),(4055,5725,2.1903,0.20769),(4055,5735,2.1888,0.20626),(4055,5745,2.1873,0.20483),(4055,5755,2.1857,0.20359),(4055,5765,2.1842,0.20244),(4055,5775,2.1825,0.20129),(4055,5785,2.1808,0.2003),(4055,5795,2.1792,0.19945),(4055,5805,2.1774,0.19861),(4055,5815,2.1757,0.19786),(4055,5825,2.1739,0.1973),(4055,5835,2.1721,0.19674),(4055,5845,2.1703,0.19623),(4055,5855,2.1685,0.19595),(4055,5865,2.1667,0.19568),(4055,5875,2.1649,0.1954),(4055,5885,2.1631,0.19536),(4055,5895,2.1613,0.19533),(4055,5905,2.1595,0.1953),(4055,5915,2.1577,0.19543),(4055,5925,2.1559,0.19559),(4055,5935,2.1542,0.19575),(4055,5945,2.1524,0.196),(4055,5955,2.1507,0.19629),(4055,5965,2.1491,0.19659),(4055,5975,2.1474,0.19692),(4055,5985,2.1458,0.19729),(4055,5995,1.6397,0.19766),(4055,6005,1.0524,0.19795),(4055,6015,0.46503,0.19802),(4055,6025,0.63938,0.19809),(4055,6035,1.167,0.19771),(4055,6045,1.6946,0.19306),(4055,6055,2.0587,0.18841),(4055,6065,2.2625,0.18376),(4055,6075,2.4663,0.17776),(4055,6085,2.6033,0.17164),(4055,6095,2.6028,0.16551),(4055,6105,2.6023,0.15953),(4055,6115,2.6017,0.1536),(4055,6125,2.6008,0.14767),(4055,6135,2.5998,0.14194),(4055,6145,2.5988,0.13637),(4055,6155,2.5974,0.1308),(4055,6165,2.5959,0.12541),(4055,6175,2.5945,0.12031),(4055,6185,2.5927,0.11522),(4055,6195,2.5909,0.11024),(4055,6205,2.5891,0.10567),(4055,6215,2.5871,0.1011),(4055,6225,2.585,0.096539),(4055,6235,2.5829,0.092506),(4055,6245,2.5807,0.088473),(4055,6255,2.5785,0.08444),(4055,6265,2.5762,0.080819),(4055,6275,2.574,0.077274),(4055,6285,2.5716,0.073728),(4055,6295,2.5693,0.070504),(4055,6305,2.567,0.06744),(4055,6315,2.5647,0.064376),(4055,6325,2.5624,0.06151),(4055,6335,2.5601,0.05885),(4055,6345,2.558,0.05619),(4055,6355,2.5558,0.053644),(4055,6365,2.5537,0.051352),(4055,6375,2.5516,0.049059),(4055,6385,2.5496,0.046805),(4055,6395,2.5477,0.044798),(4055,6405,2.5458,0.042791),(4055,6415,2.5441,0.040784),(4055,6425,2.5423,0.038915),(4055,6435,2.5407,0.037053),(4055,6445,2.5392,0.035191),(4055,6455,2.5377,0.033463),(4055,6465,2.5363,0.031774),(4055,6475,2.5351,0.030085),(4055,6485,2.5339,0.02845),(4055,6495,2.5326,0.026851),(4055,6505,2.5317,0.025252),(4055,6515,2.5308,0.023664),(4055,6525,2.5299,0.022091),(4055,6535,2.5293,0.020518),(4055,6545,2.5287,0.018955),(4055,6555,2.5281,0.017423),(4055,6565,2.5277,0.015891),(4055,6575,2.5274,0.01436),(4055,6585,2.5271,0.012843),(4055,6595,2.1493,0.011327),(4055,6605,1.3547,0.00981),(4055,6615,0.56016,0.00966),(4055,6625,0.001582,0.009685),(4055,6635,0.00159,0.009711),(4055,6645,0.001598,0.009715),(4055,6655,0.001606,0.009711),(4055,6665,0.001614,0.009707),(4055,6675,0.001621,0.009702),(4055,6685,0.001628,0.009697),(4055,6695,0.001635,0.009692),(4055,6705,0.001642,0.009686),(4055,6715,0.001649,0.00968),(4055,6725,0.001655,0.009673),(4055,6735,0.001661,0.009667),(4055,6745,0.001667,0.00966),(4055,6755,0.001672,0.009653),(4055,6765,0.001678,0.009646),(4055,6775,0.001683,0.009638),(4055,6785,0.001688,0.009631),(4055,6795,0.001693,0.009623),(4055,6805,0.001698,0.009615),(4055,6815,0.001702,0.009607),(4055,6825,0.001706,0.009599),(4055,6835,0.00171,0.009591),(4055,6845,0.001714,0.009583),(4055,6855,0.001718,0.009574),(4055,6865,0.001721,0.009566),(4055,6875,0.001725,0.009557),(4055,6885,0.001728,0.009549),(4055,6895,0.001731,0.00954),(4055,6905,0.001734,0.009531),(4055,6915,0.001737,0.009523),(4055,6925,0.00174,0.009514),(4055,6935,0.001742,0.009505),(4055,6945,0.001745,0.009496),(4055,6955,0.001747,0.009487),(4055,6965,0.001749,0.009478),(4055,6975,0.001752,0.009469),(4055,6985,0.001753,0.00946),(4065,5,2.3e-05,-0.003309),(4065,15,6.8e-05,-0.003311),(4065,25,0.000113,-0.003313),(4065,35,0.000158,-0.003316),(4065,45,0.000203,-0.003321),(4065,55,0.000248,-0.003328),(4065,65,0.000294,-0.003335),(4065,75,0.000339,-0.003343),(4065,85,0.000384,-0.003353),(4065,95,0.000429,-0.003365),(4065,105,0.000474,-0.003377),(4065,115,0.00052,-0.003389),(4065,125,0.000565,-0.003404),(4065,135,0.00061,-0.003422),(4065,145,0.000656,-0.003439),(4065,155,0.000701,-0.003456),(4065,165,0.000746,-0.003477),(4065,175,0.000792,-0.0035),(4065,185,0.000838,-0.003523),(4065,195,0.000883,-0.003546),(4065,205,0.000929,-0.003573),(4065,215,0.000975,-0.003602),(4065,225,0.001021,-0.00363),(4065,235,0.001067,-0.003659),(4065,245,0.001113,-0.003693),(4065,255,0.001159,-0.003727),(4065,265,0.001204,-0.003762),(4065,275,0.00125,-0.003797),(4065,285,0.001296,-0.003837),(4065,295,0.001342,-0.003878),(4065,305,0.001388,-0.00392),(4065,315,0.001434,-0.003961),(4065,325,0.001479,-0.004009),(4065,335,0.001525,-0.004058),(4065,345,0.001571,-0.004108),(4065,355,0.001617,-0.004157),(4065,365,0.001663,-0.004214),(4065,375,0.001709,-0.004271),(4065,385,0.001754,-0.004329),(4065,395,0.0018,-0.004386),(4065,405,0.001846,-0.004452),(4065,415,0.001891,-0.004519),(4065,425,0.001936,-0.004586),(4065,435,0.001981,-0.004653),(4065,445,0.002026,-0.00473),(4065,455,0.002071,-0.004807),(4065,465,0.002115,-0.004884),(4065,475,0.002159,-0.004962),(4065,485,0.002204,-0.005051),(4065,495,0.002248,-0.005141),(4065,505,0.00229,-0.00523),(4065,515,0.002333,-0.00532),(4065,525,0.002376,-0.005422),(4065,535,0.002418,-0.005525),(4065,545,0.002458,-0.005628),(4065,555,0.002499,-0.005731),(4065,565,0.002539,-0.005849),(4065,575,0.002579,-0.005966),(4065,585,0.002616,-0.006084),(4065,595,0.002652,-0.006203),(4065,605,0.002689,-0.006338),(4065,615,0.002726,-0.006472),(4065,625,0.002758,-0.006607),(4065,635,0.00279,-0.006744),(4065,645,0.002822,-0.006898),(4065,655,0.002853,-0.007052),(4065,665,0.002878,-0.007206),(4065,675,0.002904,-0.007364),(4065,685,0.002929,-0.007539),(4065,695,0.002953,-0.007715),(4065,705,0.00297,-0.00789),(4065,715,0.002986,-0.008071),(4065,725,0.003003,-0.008271),(4065,735,0.003016,-0.008471),(4065,745,0.003021,-0.00867),(4065,755,0.003025,-0.008877),(4065,765,0.003029,-0.009104),(4065,775,0.003029,-0.00933),(4065,785,0.003017,-0.009557),(4065,795,0.003005,-0.009792),(4065,805,0.002993,-0.010049),(4065,815,0.002974,-0.010305),(4065,825,0.00294,-0.010562),(4065,835,0.002907,-0.010829),(4065,845,0.002873,-0.011117),(4065,855,0.00283,-0.011406),(4065,865,0.002768,-0.011694),(4065,875,0.002706,-0.011996),(4065,885,0.002644,-0.012318),(4065,895,0.002568,-0.012641),(4065,905,0.002469,-0.012963),(4065,915,0.002371,-0.0133),(4065,925,0.002272,-0.013657),(4065,935,0.002154,-0.014015),(4065,945,0.002009,-0.014372),(4065,955,0.001864,-0.014745),(4065,965,0.001719,-0.015136),(4065,975,0.001546,-0.015527),(4065,985,0.001343,-0.015919),(4065,995,0.00114,-0.016325),(4065,1005,0.000936,-0.016747),(4065,1015,0.000696,-0.017169),(4065,1025,0.000421,-0.017592),(4065,1035,0.000146,-0.018026),(4065,1045,-0.000129,-0.018472),(4065,1055,-0.000451,-0.018917),(4065,1065,-0.000813,-0.019363),(4065,1075,-0.001174,-0.019815),(4065,1085,-0.001535,-0.020271),(4065,1095,-0.001956,-0.020728),(4065,1105,-0.002417,-0.021185),(4065,1115,-0.002878,-0.021638),(4065,1125,-0.00334,-0.022088),(4065,1135,-0.003871,-0.022538),(4065,1145,-0.004444,-0.022988),(4065,1155,-0.005018,-0.023418),(4065,1165,-0.00559,-0.023837),(4065,1175,-0.006242,-0.024256),(4065,1185,-0.006933,-0.024675),(4065,1195,-0.007623,-0.025053),(4065,1205,-0.008314,-0.025411),(4065,1215,-0.009085,-0.02577),(4065,1225,-0.009891,-0.026128),(4065,1235,-0.010696,-0.026418),(4065,1245,-0.011501,-0.026683),(4065,1255,-0.012381,-0.026948),(4065,1265,-0.013287,-0.027213),(4065,1275,-0.014192,-0.027382),(4065,1285,-0.015098,-0.027522),(4065,1295,-0.016061,-0.027662),(4065,1305,-0.017039,-0.027802),(4065,1315,-0.018018,-0.027824),(4065,1325,-0.018996,-0.027817),(4065,1335,-0.020003,-0.02781),(4065,1345,-0.021016,-0.027803),(4065,1355,-0.02203,-0.027665),(4065,1365,-0.023043,-0.027503),(4065,1375,-0.02405,-0.027341),(4065,1385,-0.025055,-0.027179),(4065,1395,-0.026061,-0.026889),(4065,1405,-0.027067,-0.026581),(4065,1415,-0.028032,-0.026274),(4065,1425,-0.028993,-0.025967),(4065,1435,-0.029954,-0.025547),(4065,1445,-0.030915,-0.025118),(4065,1455,-0.031807,-0.024689),(4065,1465,-0.032696,-0.024259),(4065,1475,-0.033585,-0.023744),(4065,1485,-0.034474,-0.023225),(4065,1495,-0.035277,-0.022707),(4065,1505,-0.036079,-0.022188),(4065,1515,-0.036881,-0.021615),(4065,1525,-0.037681,-0.021041),(4065,1535,-0.038394,-0.020468),(4065,1545,-0.039107,-0.019894),(4065,1555,-0.03982,-0.0193),(4065,1565,-0.040527,-0.018705),(4065,1575,-0.041158,-0.01811),(4065,1585,-0.041788,-0.017515),(4065,1595,-0.042418,-0.016926),(4065,1605,-0.04304,-0.016336),(4065,1615,-0.0436,-0.015747),(4065,1625,-0.04416,-0.015161),(4065,1635,-0.044719,-0.014598),(4065,1645,-0.045271,-0.014035),(4065,1655,-0.045776,-0.013473),(4065,1665,-0.04628,-0.012917),(4065,1675,-0.046785,-0.012397),(4065,1685,-0.047282,-0.011877),(4065,1695,-0.047747,-0.011357),(4065,1705,-0.048212,-0.010848),(4065,1715,-0.048677,-0.010383),(4065,1725,-0.049137,-0.009917),(4065,1735,-0.049577,-0.009452),(4065,1745,-0.050017,-0.009002),(4065,1755,-0.050458,-0.008601),(4065,1765,-0.050896,-0.008199),(4065,1775,-0.051325,-0.007798),(4065,1785,-0.051755,-0.007417),(4065,1795,-0.052185,-0.007086),(4065,1805,-0.052615,-0.006756),(4065,1815,-0.053047,-0.006426),(4065,1825,-0.053479,-0.006121),(4065,1835,-0.05391,-0.005869),(4065,1845,-0.054346,-0.005616),(4065,1855,-0.054791,-0.005364),(4065,1865,-0.055236,-0.005143),(4065,1875,-0.05568,-0.004975),(4065,1885,-0.056133,-0.004808),(4065,1895,-0.056601,-0.004641),(4065,1905,-0.057068,-0.004512),(4065,1915,-0.057536,-0.004439),(4065,1925,-0.058016,-0.004366),(4065,1935,-0.058515,-0.004293),(4065,1945,-0.059014,-0.004266),(4065,1955,-0.059513,-0.004298),(4065,1965,-0.060031,-0.004329),(4065,1975,-0.06057,-0.004361),(4065,1985,-0.06111,-0.004448),(4065,1995,-0.061649,-0.004597),(4065,2005,-0.062212,-0.004746),(4065,2015,-0.0628,-0.004895),(4065,2025,-0.063388,-0.005114),(4065,2035,-0.063975,-0.005397),(4065,2045,-0.064593,-0.005679),(4065,2055,-0.065237,-0.005962),(4065,2065,-0.065881,-0.006332),(4065,2075,-0.066525,-0.006769),(4065,2085,-0.067206,-0.007207),(4065,2095,-0.067914,-0.007644),(4065,2105,-0.068622,-0.008189),(4065,2115,-0.06933,-0.008807),(4065,2125,-0.070082,-0.009425),(4065,2135,-0.070862,-0.010042),(4065,2145,-0.071642,-0.010795),(4065,2155,-0.072422,-0.011625),(4065,2165,-0.073254,-0.012455),(4065,2175,-0.074113,-0.013284),(4065,2185,-0.074973,-0.014285),(4065,2195,-0.075832,-0.015366),(4065,2205,-0.076752,-0.016448),(4065,2215,-0.077697,-0.017529),(4065,2225,-0.078643,-0.018827),(4065,2235,-0.079589,-0.020209),(4065,2245,-0.080602,-0.021591),(4065,2255,-0.08164,-0.022973),(4065,2265,-0.082677,-0.024629),(4065,2275,-0.083714,-0.026373),(4065,2285,-0.084825,-0.028116),(4065,2295,-0.085956,-0.02986),(4065,2305,-0.087087,-0.031951),(4065,2315,-0.088218,-0.034131),(4065,2325,-0.089423,-0.036311),(4065,2335,-0.090644,-0.038491),(4065,2345,-0.091866,-0.041114),(4065,2355,-0.093087,-0.043823),(4065,2365,-0.094375,-0.046533),(4065,2375,-0.095673,-0.049242),(4065,2385,-0.096971,-0.052516),(4065,2395,-0.09827,-0.055869),(4065,2405,-0.099611,-0.059222),(4065,2415,-0.10096,-0.062576),(4065,2425,-0.1023,-0.066647),(4065,2435,-0.10365,-0.070783),(4065,2445,-0.10499,-0.07492),(4065,2455,-0.10632,-0.079057),(4065,2465,-0.10766,-0.084102),(4065,2475,-0.109,-0.08919),(4065,2485,-0.11023,-0.094278),(4065,2495,-0.11146,-0.099365),(4065,2505,-0.11269,-0.10559),(4065,2515,-0.11392,-0.11183),(4065,2525,-0.11488,-0.11806),(4065,2535,-0.11584,-0.12435),(4065,2545,-0.1168,-0.13194),(4065,2555,-0.11774,-0.13954),(4065,2565,-0.11817,-0.14714),(4065,2575,-0.1186,-0.15485),(4065,2585,-0.11903,-0.16402),(4065,2595,-0.11938,-0.17319),(4065,2605,-0.11889,-0.18236),(4065,2615,-0.1184,-0.19173),(4065,2625,-0.11791,-0.20262),(4065,2635,-0.11722,-0.21352),(4065,2645,-0.11525,-0.22442),(4065,2655,-0.11328,-0.23558),(4065,2665,-0.11132,-0.2482),(4065,2675,-0.10897,-0.26082),(4065,2685,-0.1048,-0.27344),(4065,2695,-0.10063,-0.28633),(4065,2705,-0.096467,-0.30036),(4065,2715,-0.091673,-0.31439),(4065,2725,-0.084559,-0.32842),(4065,2735,-0.077445,-0.34259),(4065,2745,-0.070332,-0.35725),(4065,2755,-0.06236,-0.3719),(4065,2765,-0.051847,-0.38655),(4065,2775,-0.041335,-0.40105),(4065,2785,-0.030823,-0.41515),(4065,2795,-0.019412,-0.42924),(4065,2805,-0.005823,-0.44333),(4065,2815,0.007766,-0.45697),(4065,2825,0.021355,-0.46964),(4065,2835,0.035734,-0.4823),(4065,2845,0.051705,-0.49496),(4065,2855,0.067677,-0.50698),(4065,2865,0.083649,-0.51782),(4065,2875,0.10025,-0.52866),(4065,2885,0.1179,-0.53949),(4065,2895,0.13556,-0.54959),(4065,2905,0.15322,-0.55853),(4065,2915,0.17134,-0.56747),(4065,2925,0.19014,-0.57641),(4065,2935,0.20893,-0.58457),(4065,2945,0.22773,-0.59171),(4065,2955,0.24686,-0.59885),(4065,2965,0.26642,-0.60599),(4065,2975,0.28597,-0.61236),(4065,2985,0.30553,-0.61785),(4065,2995,0.32534,-0.62334),(4065,3005,0.34542,-0.62883),(4065,3015,0.36549,-0.63356),(4065,3025,0.38557,-0.63755),(4065,3035,0.40585,-0.64154),(4065,3045,0.42631,-0.64553),(4065,3055,0.44678,-0.64875),(4065,3065,0.46724,-0.65134),(4065,3075,0.48789,-0.65394),(4065,3085,0.50867,-0.65653),(4065,3095,0.52946,-0.65833),(4065,3105,0.55024,-0.65959),(4065,3115,0.5712,-0.66085),(4065,3125,0.59228,-0.6621),(4065,3135,0.61336,-0.66251),(4065,3145,0.63444,-0.66243),(4065,3155,0.65571,-0.66235),(4065,3165,0.67708,-0.66226),(4065,3175,0.69845,-0.66125),(4065,3185,0.71982,-0.65976),(4065,3195,0.7414,-0.65828),(4065,3205,0.76306,-0.65679),(4065,3215,0.78473,-0.65423),(4065,3225,0.8064,-0.65122),(4065,3235,0.82828,-0.6482),(4065,3245,0.85024,-0.64519),(4065,3255,0.87219,-0.64089),(4065,3265,0.89415,-0.63615),(4065,3275,0.91631,-0.63141),(4065,3285,0.93852,-0.62667),(4065,3295,0.96073,-0.62035),(4065,3305,0.98295,-0.6136),(4065,3315,1.0053,-0.60686),(4065,3325,1.0277,-0.60011),(4065,3335,1.0501,-0.59141),(4065,3345,1.0724,-0.58229),(4065,3355,1.0948,-0.57318),(4065,3365,1.1172,-0.56406),(4065,3375,1.1396,-0.55251),(4065,3385,1.1619,-0.54057),(4065,3395,1.184,-0.52864),(4065,3405,1.206,-0.5167),(4065,3415,1.2281,-0.50174),(4065,3425,1.2501,-0.48646),(4065,3435,1.2713,-0.47118),(4065,3445,1.2925,-0.4559),(4065,3455,1.3137,-0.43692),(4065,3465,1.3348,-0.41774),(4065,3475,1.3543,-0.39855),(4065,3485,1.3737,-0.37937),(4065,3495,1.3932,-0.35587),(4065,3505,1.4126,-0.3323),(4065,3515,1.429,-0.30873),(4065,3525,1.4454,-0.28505),(4065,3535,1.4618,-0.25693),(4065,3545,1.4779,-0.22881),(4065,3555,1.4896,-0.20068),(4065,3565,1.5012,-0.1723),(4065,3575,1.5128,-0.14014),(4065,3585,1.5239,-0.10798),(4065,3595,1.5287,-0.07582),(4065,3605,1.5335,-0.043417),(4065,3615,1.5383,-0.008925),(4065,3625,1.5421,0.025566),(4065,3635,1.5386,0.060058),(4065,3645,1.5351,0.09445),(4065,3655,1.5316,0.12824),(4065,3665,1.5268,0.16203),(4065,3675,1.5153,0.19582),(4065,3685,1.5038,0.22893),(4065,3695,1.4922,0.25901),(4065,3705,1.4796,0.28909),(4065,3715,1.4624,0.31917),(4065,3725,1.4452,0.34821),(4065,3735,1.4281,0.37364),(4065,3745,1.4101,0.39907),(4065,3755,1.3895,0.4245),(4065,3765,1.3689,0.44876),(4065,3775,1.3483,0.46973),(4065,3785,1.3272,0.4907),(4065,3795,1.3047,0.51166),(4065,3805,1.2823,0.53147),(4065,3815,1.2598,0.54857),(4065,3825,1.237,0.56568),(4065,3835,1.2136,0.58278),(4065,3845,1.1902,0.5988),(4065,3855,1.1668,0.61271),(4065,3865,1.1433,0.62663),(4065,3875,1.1195,0.64055),(4065,3885,1.0957,0.65348),(4065,3895,1.072,0.66483),(4065,3905,1.0482,0.67618),(4065,3915,1.0244,0.68752),(4065,3925,1.0006,0.69801),(4065,3935,0.97685,0.70731),(4065,3945,0.95313,0.71661),(4065,3955,0.92951,0.72591),(4065,3965,0.90588,0.73447),(4065,3975,0.88225,0.74215),(4065,3985,0.85875,0.74984),(4065,3995,0.83537,0.75752),(4065,4005,0.812,0.76462),(4065,4015,0.78862,0.77115),(4065,4025,1.1459,0.77768),(4065,4035,1.5404,0.78202),(4065,4045,1.935,0.78175),(4065,4055,2.2164,0.78148),(4065,4065,2.4567,0.78062),(4065,4075,2.6969,0.77622),(4065,4085,2.8002,0.77181),(4065,4095,2.7935,0.76741),(4065,4105,2.7868,0.76268),(4065,4115,2.6867,0.75795),(4065,4125,2.4315,0.75322),(4065,4135,2.1764,0.75096),(4065,4145,1.9182,0.74936),(4065,4155,1.6479,0.74777),(4065,4165,1.3776,0.74818),(4065,4175,1.1223,0.74987),(4065,4185,1.6158,0.75156),(4065,4195,2.1093,0.74993),(4065,4205,2.6027,0.74391),(4065,4215,2.6768,0.73789),(4065,4225,2.6719,0.73183),(4065,4235,2.667,0.72565),(4065,4245,2.66,0.71946),(4065,4255,2.6519,0.7132),(4065,4265,2.6438,0.70601),(4065,4275,2.314,0.69882),(4065,4285,1.6429,0.69164),(4065,4295,0.97176,0.69367),(4065,4305,0.68138,0.69677),(4065,4315,1.2507,0.69988),(4065,4325,1.82,0.69653),(4065,4335,2.326,0.69065),(4065,4345,2.403,0.68476),(4065,4355,2.4801,0.67805),(4065,4365,2.5571,0.67064),(4065,4375,2.5582,0.66323),(4065,4385,2.5552,0.65578),(4065,4395,2.5523,0.64829),(4065,4405,2.2258,0.64079),(4065,4415,1.804,0.63446),(4065,4425,1.3822,0.63333),(4065,4435,1.2016,0.6322),(4065,4445,1.1858,0.63107),(4065,4455,1.1701,0.63012),(4065,4465,1.3342,0.62918),(4065,4475,1.7511,0.62823),(4065,4485,2.1679,0.62223),(4065,4495,2.4851,0.61516),(4065,4505,2.4828,0.60809),(4065,4515,2.4804,0.60104),(4065,4525,2.4731,0.59398),(4065,4535,2.3879,0.58693),(4065,4545,2.3026,0.58034),(4065,4555,2.2173,0.57429),(4065,4565,1.6711,0.56823),(4065,4575,1.0628,0.56455),(4065,4585,0.45454,0.56662),(4065,4595,0.7473,0.5687),(4065,4605,1.4208,0.56967),(4065,4615,2.0943,0.56205),(4065,4625,2.4148,0.55444),(4065,4635,2.4158,0.54683),(4065,4645,2.4168,0.54005),(4065,4655,2.4168,0.53332),(4065,4665,2.4153,0.5266),(4065,4675,2.4137,0.52),(4065,4685,2.3263,0.51344),(4065,4695,1.8146,0.50688),(4065,4705,1.303,0.50379),(4065,4715,0.79138,0.50323),(4065,4725,1.0288,0.50266),(4065,4735,1.2736,0.50097),(4065,4745,1.5185,0.4976),(4065,4755,1.7699,0.49423),(4065,4765,2.0228,0.49021),(4065,4775,2.2757,0.48396),(4065,4785,2.3675,0.47771),(4065,4795,2.3663,0.47147),(4065,4805,2.365,0.46531),(4065,4815,2.2475,0.45915),(4065,4825,1.991,0.45299),(4065,4835,1.7345,0.44919),(4065,4845,1.4748,0.44575),(4065,4855,1.2066,0.44232),(4065,4865,0.93834,0.44079),(4065,4875,0.7476,0.44013),(4065,4885,1.2618,0.43947),(4065,4895,1.7761,0.43602),(4065,4905,2.2903,0.4299),(4065,4915,2.3303,0.42379),(4065,4925,2.3294,0.41769),(4065,4935,2.3285,0.41164),(4065,4945,2.3266,0.40559),(4065,4955,2.3243,0.39949),(4065,4965,2.3221,0.39313),(4065,4975,1.9328,0.38677),(4065,4985,1.2448,0.3804),(4065,4995,0.55689,0.38115),(4065,5005,0.33237,0.38208),(4065,5015,0.84462,0.38301),(4065,5025,1.3569,0.38018),(4065,5035,1.7981,0.3764),(4065,5045,1.9687,0.37262),(4065,5055,2.1392,0.36788),(4065,5065,2.3047,0.36255),(4065,5075,2.304,0.35722),(4065,5085,2.3033,0.35193),(4065,5095,2.3025,0.34669),(4065,5105,2.0073,0.34144),(4065,5115,1.6606,0.33699),(4065,5125,1.314,0.33475),(4065,5135,1.1374,0.33252),(4065,5145,1.0433,0.33036),(4065,5155,0.94921,0.32905),(4065,5165,1.117,0.32774),(4065,5175,1.5519,0.32644),(4065,5185,1.9868,0.32221),(4065,5195,2.2836,0.31768),(4065,5205,2.2827,0.31316),(4065,5215,2.2818,0.30867),(4065,5225,2.2691,0.3042),(4065,5235,2.1828,0.29972),(4065,5245,2.0966,0.29561),(4065,5255,2.0104,0.29179),(4065,5265,1.4119,0.28798),(4065,5275,0.79231,0.28569),(4065,5285,0.17271,0.28599),(4065,5295,0.57747,0.2863),(4065,5305,1.2675,0.28587),(4065,5315,1.9575,0.28241),(4065,5325,2.2305,0.27894),(4065,5335,2.2301,0.27548),(4065,5345,2.2297,0.27217),(4065,5355,2.229,0.26887),(4065,5365,2.2278,0.26556),(4065,5375,2.2267,0.26227),(4065,5385,2.098,0.25897),(4065,5395,1.5813,0.25567),(4065,5405,1.0647,0.25413),(4065,5415,0.6016,0.2535),(4065,5425,0.85805,0.25287),(4065,5435,1.1145,0.2521),(4065,5445,1.3709,0.25117),(4065,5455,1.6282,0.25023),(4065,5465,1.8856,0.24906),(4065,5475,2.143,0.24732),(4065,5485,2.2159,0.24559),(4065,5495,2.2146,0.24384),(4065,5505,2.2132,0.24199),(4065,5515,2.2119,0.24014),(4065,5525,2.2107,0.23829),(4065,5535,2.2094,0.23633),(4065,5545,2.2082,0.23436),(4065,5555,2.2071,0.23239),(4065,5565,2.206,0.23035),(4065,5575,2.2048,0.22829),(4065,5585,2.2037,0.22623),(4065,5595,2.2026,0.22415),(4065,5605,2.2015,0.22207),(4065,5615,2.2004,0.21999),(4065,5625,2.1992,0.21793),(4065,5635,2.1981,0.2159),(4065,5645,2.1969,0.21386),(4065,5655,2.1957,0.21187),(4065,5665,2.1945,0.20998),(4065,5675,2.1931,0.20809),(4065,5685,2.1918,0.20621),(4065,5695,2.1904,0.20456),(4065,5705,2.189,0.20291),(4065,5715,2.1875,0.20126),(4065,5725,2.186,0.19985),(4065,5735,2.1844,0.19849),(4065,5745,2.1828,0.19712),(4065,5755,2.1811,0.19598),(4065,5765,2.1794,0.19494),(4065,5775,2.1777,0.19389),(4065,5785,2.1759,0.19302),(4065,5795,2.1741,0.19231),(4065,5805,2.1723,0.1916),(4065,5815,2.1704,0.191),(4065,5825,2.1686,0.19061),(4065,5835,2.1667,0.19021),(4065,5845,2.1648,0.18986),(4065,5855,2.1629,0.18976),(4065,5865,2.161,0.18967),(4065,5875,2.1591,0.18957),(4065,5885,2.1572,0.18972),(4065,5895,2.1554,0.18988),(4065,5905,2.1535,0.19004),(4065,5915,2.1517,0.19037),(4065,5925,2.1498,0.19073),(4065,5935,2.148,0.19109),(4065,5945,2.1463,0.19154),(4065,5955,2.1445,0.19203),(4065,5965,2.1429,0.19253),(4065,5975,2.1412,0.19306),(4065,5985,2.1396,0.19364),(4065,5995,1.6349,0.19421),(4065,6005,1.0493,0.19466),(4065,6015,0.46365,0.19475),(4065,6025,0.63886,0.19484),(4065,6035,1.1669,0.19449),(4065,6045,1.695,0.18977),(4065,6055,2.0594,0.18506),(4065,6065,2.2632,0.18034),(4065,6075,2.467,0.17427),(4065,6085,2.6041,0.16806),(4065,6095,2.6035,0.16186),(4065,6105,2.603,0.15581),(4065,6115,2.6023,0.14982),(4065,6125,2.6012,0.14383),(4065,6135,2.6001,0.13806),(4065,6145,2.599,0.13246),(4065,6155,2.5974,0.12686),(4065,6165,2.5958,0.12146),(4065,6175,2.5942,0.11638),(4065,6185,2.5923,0.11131),(4065,6195,2.5903,0.10634),(4065,6205,2.5883,0.10183),(4065,6215,2.5862,0.097316),(4065,6225,2.5839,0.092817),(4065,6235,2.5816,0.088874),(4065,6245,2.5793,0.084931),(4065,6255,2.5769,0.080988),(4065,6265,2.5744,0.077475),(4065,6275,2.572,0.074041),(4065,6285,2.5695,0.070607),(4065,6295,2.567,0.067502),(4065,6305,2.5646,0.064561),(4065,6315,2.5621,0.06162),(4065,6325,2.5597,0.058882),(4065,6335,2.5573,0.056355),(4065,6345,2.555,0.053828),(4065,6355,2.5528,0.051413),(4065,6365,2.5505,0.049245),(4065,6375,2.5484,0.047078),(4065,6385,2.5463,0.044948),(4065,6395,2.5443,0.043061),(4065,6405,2.5424,0.041174),(4065,6415,2.5406,0.039287),(4065,6425,2.5388,0.037523),(4065,6435,2.5371,0.035764),(4065,6445,2.5356,0.034005),(4065,6455,2.534,0.032372),(4065,6465,2.5326,0.030775),(4065,6475,2.5313,0.029178),(4065,6485,2.5301,0.02763),(4065,6495,2.5289,0.026117),(4065,6505,2.528,0.024603),(4065,6515,2.5271,0.023094),(4065,6525,2.5262,0.021591),(4065,6535,2.5255,0.020089),(4065,6545,2.5249,0.018595),(4065,6555,2.5243,0.017128),(4065,6565,2.5239,0.015661),(4065,6575,2.5236,0.014194),(4065,6585,2.5233,0.012737),(4065,6595,2.1461,0.011279),(4065,6605,1.3527,0.009821),(4065,6615,0.5593,0.009675),(4065,6625,0.001582,0.009697),(4065,6635,0.00159,0.00972),(4065,6645,0.001599,0.009723),(4065,6655,0.001607,0.009719),(4065,6665,0.001615,0.009714),(4065,6675,0.001623,0.009709),(4065,6685,0.001631,0.009704),(4065,6695,0.001638,0.009699),(4065,6705,0.001645,0.009693),(4065,6715,0.001652,0.009686),(4065,6725,0.001658,0.00968),(4065,6735,0.001664,0.009673),(4065,6745,0.00167,0.009666),(4065,6755,0.001676,0.009659),(4065,6765,0.001682,0.009651),(4065,6775,0.001687,0.009644),(4065,6785,0.001692,0.009636),(4065,6795,0.001697,0.009628),(4065,6805,0.001702,0.00962),(4065,6815,0.001707,0.009612),(4065,6825,0.001711,0.009603),(4065,6835,0.001715,0.009595),(4065,6845,0.001719,0.009587),(4065,6855,0.001723,0.009578),(4065,6865,0.001726,0.009569),(4065,6875,0.00173,0.009561),(4065,6885,0.001733,0.009552),(4065,6895,0.001736,0.009543),(4065,6905,0.001739,0.009534),(4065,6915,0.001742,0.009525),(4065,6925,0.001745,0.009516),(4065,6935,0.001747,0.009507),(4065,6945,0.00175,0.009498),(4065,6955,0.001752,0.009489),(4065,6965,0.001754,0.00948),(4065,6975,0.001757,0.009471),(4065,6985,0.001758,0.009462),(4075,5,2.3e-05,-0.003263),(4075,15,6.9e-05,-0.003266),(4075,25,0.000115,-0.003268),(4075,35,0.000162,-0.00327),(4075,45,0.000208,-0.003276),(4075,55,0.000254,-0.003283),(4075,65,0.0003,-0.00329),(4075,75,0.000347,-0.003298),(4075,85,0.000393,-0.003308),(4075,95,0.000439,-0.00332),(4075,105,0.000485,-0.003332),(4075,115,0.000532,-0.003344),(4075,125,0.000578,-0.003359),(4075,135,0.000625,-0.003377),(4075,145,0.000671,-0.003394),(4075,155,0.000718,-0.003411),(4075,165,0.000764,-0.003432),(4075,175,0.000811,-0.003455),(4075,185,0.000858,-0.003477),(4075,195,0.000905,-0.0035),(4075,205,0.000952,-0.003527),(4075,215,0.000999,-0.003556),(4075,225,0.001046,-0.003585),(4075,235,0.001093,-0.003613),(4075,245,0.001141,-0.003647),(4075,255,0.001188,-0.003681),(4075,265,0.001235,-0.003716),(4075,275,0.001283,-0.003751),(4075,285,0.00133,-0.003791),(4075,295,0.001378,-0.003833),(4075,305,0.001425,-0.003874),(4075,315,0.001473,-0.003916),(4075,325,0.00152,-0.003964),(4075,335,0.001568,-0.004013),(4075,345,0.001616,-0.004062),(4075,355,0.001663,-0.004111),(4075,365,0.001711,-0.004168),(4075,375,0.001759,-0.004226),(4075,385,0.001807,-0.004283),(4075,395,0.001854,-0.004341),(4075,405,0.001902,-0.004407),(4075,415,0.00195,-0.004474),(4075,425,0.001997,-0.004541),(4075,435,0.002045,-0.004608),(4075,445,0.002092,-0.004685),(4075,455,0.002139,-0.004763),(4075,465,0.002186,-0.00484),(4075,475,0.002233,-0.004918),(4075,485,0.00228,-0.005007),(4075,495,0.002327,-0.005097),(4075,505,0.002373,-0.005187),(4075,515,0.002419,-0.005277),(4075,525,0.002465,-0.005381),(4075,535,0.00251,-0.005484),(4075,545,0.002554,-0.005587),(4075,555,0.002598,-0.005692),(4075,565,0.002642,-0.00581),(4075,575,0.002685,-0.005928),(4075,585,0.002726,-0.006047),(4075,595,0.002767,-0.006167),(4075,605,0.002808,-0.006303),(4075,615,0.002849,-0.006438),(4075,625,0.002886,-0.006574),(4075,635,0.002923,-0.006713),(4075,645,0.002959,-0.006868),(4075,655,0.002995,-0.007024),(4075,665,0.003026,-0.00718),(4075,675,0.003057,-0.007339),(4075,685,0.003088,-0.007517),(4075,695,0.003117,-0.007695),(4075,705,0.003139,-0.007872),(4075,715,0.003162,-0.008056),(4075,725,0.003184,-0.008259),(4075,735,0.003204,-0.008461),(4075,745,0.003215,-0.008664),(4075,755,0.003226,-0.008874),(4075,765,0.003237,-0.009105),(4075,775,0.003244,-0.009336),(4075,785,0.00324,-0.009567),(4075,795,0.003235,-0.009807),(4075,805,0.003231,-0.010069),(4075,815,0.00322,-0.01033),(4075,825,0.003194,-0.010592),(4075,835,0.003169,-0.010865),(4075,845,0.003144,-0.011161),(4075,855,0.003109,-0.011457),(4075,865,0.003056,-0.011753),(4075,875,0.003003,-0.012062),(4075,885,0.00295,-0.012394),(4075,895,0.002883,-0.012725),(4075,905,0.002793,-0.013057),(4075,915,0.002704,-0.013404),(4075,925,0.002615,-0.013773),(4075,935,0.002506,-0.014142),(4075,945,0.00237,-0.014511),(4075,955,0.002234,-0.014897),(4075,965,0.002099,-0.015303),(4075,975,0.001935,-0.015709),(4075,985,0.00174,-0.016115),(4075,995,0.001545,-0.016538),(4075,1005,0.001351,-0.016978),(4075,1015,0.001118,-0.017419),(4075,1025,0.00085,-0.017859),(4075,1035,0.000582,-0.018313),(4075,1045,0.000314,-0.01878),(4075,1055,-3e-06,-0.019248),(4075,1065,-0.00036,-0.019715),(4075,1075,-0.000717,-0.020191),(4075,1085,-0.001074,-0.020673),(4075,1095,-0.001493,-0.021155),(4075,1105,-0.001954,-0.021637),(4075,1115,-0.002416,-0.022116),(4075,1125,-0.002877,-0.022595),(4075,1135,-0.003413,-0.023073),(4075,1145,-0.003992,-0.023551),(4075,1155,-0.004571,-0.02401),(4075,1165,-0.005151,-0.024458),(4075,1175,-0.005813,-0.024907),(4075,1185,-0.006518,-0.025356),(4075,1195,-0.007222,-0.025762),(4075,1205,-0.007926,-0.026149),(4075,1215,-0.008717,-0.026536),(4075,1225,-0.009544,-0.026924),(4075,1235,-0.010371,-0.02724),(4075,1245,-0.011198,-0.02753),(4075,1255,-0.012106,-0.02782),(4075,1265,-0.013041,-0.02811),(4075,1275,-0.013976,-0.028299),(4075,1285,-0.014911,-0.028457),(4075,1295,-0.015908,-0.028616),(4075,1305,-0.016922,-0.028774),(4075,1315,-0.017935,-0.028806),(4075,1325,-0.018949,-0.028808),(4075,1335,-0.019993,-0.02881),(4075,1345,-0.021043,-0.028812),(4075,1355,-0.022094,-0.028673),(4075,1365,-0.023144,-0.02851),(4075,1375,-0.024186,-0.028346),(4075,1385,-0.025227,-0.028182),(4075,1395,-0.026268,-0.027882),(4075,1405,-0.027308,-0.027563),(4075,1415,-0.028302,-0.027245),(4075,1425,-0.029292,-0.026926),(4075,1435,-0.030281,-0.026489),(4075,1445,-0.031271,-0.026041),(4075,1455,-0.032184,-0.025594),(4075,1465,-0.033093,-0.025147),(4075,1475,-0.034002,-0.02461),(4075,1485,-0.034911,-0.02407),(4075,1495,-0.035726,-0.023529),(4075,1505,-0.03654,-0.022989),(4075,1515,-0.037354,-0.022393),(4075,1525,-0.038165,-0.021798),(4075,1535,-0.038881,-0.021202),(4075,1545,-0.039597,-0.020606),(4075,1555,-0.040314,-0.01999),(4075,1565,-0.041024,-0.019375),(4075,1575,-0.041651,-0.018759),(4075,1585,-0.042278,-0.018144),(4075,1595,-0.042904,-0.017537),(4075,1605,-0.043523,-0.01693),(4075,1615,-0.044074,-0.016323),(4075,1625,-0.044625,-0.01572),(4075,1635,-0.045176,-0.015143),(4075,1645,-0.045719,-0.014566),(4075,1655,-0.046211,-0.01399),(4075,1665,-0.046703,-0.013421),(4075,1675,-0.047195,-0.012891),(4075,1685,-0.047679,-0.012361),(4075,1695,-0.048128,-0.011831),(4075,1705,-0.048578,-0.011313),(4075,1715,-0.049028,-0.010842),(4075,1725,-0.049471,-0.01037),(4075,1735,-0.049894,-0.009899),(4075,1745,-0.050317,-0.009443),(4075,1755,-0.05074,-0.009039),(4075,1765,-0.05116,-0.008635),(4075,1775,-0.051571,-0.008231),(4075,1785,-0.051982,-0.007848),(4075,1795,-0.052392,-0.007519),(4075,1805,-0.052803,-0.007189),(4075,1815,-0.053214,-0.006859),(4075,1825,-0.053625,-0.006555),(4075,1835,-0.054036,-0.006306),(4075,1845,-0.05445,-0.006058),(4075,1855,-0.054872,-0.005809),(4075,1865,-0.055294,-0.005591),(4075,1875,-0.055716,-0.00543),(4075,1885,-0.056146,-0.005269),(4075,1895,-0.056589,-0.005107),(4075,1905,-0.057032,-0.004985),(4075,1915,-0.057475,-0.00492),(4075,1925,-0.05793,-0.004855),(4075,1935,-0.058401,-0.00479),(4075,1945,-0.058873,-0.004772),(4075,1955,-0.059345,-0.004814),(4075,1965,-0.059834,-0.004855),(4075,1975,-0.060343,-0.004897),(4075,1985,-0.060851,-0.004996),(4075,1995,-0.06136,-0.005157),(4075,2005,-0.061891,-0.005319),(4075,2015,-0.062444,-0.00548),(4075,2025,-0.062997,-0.005712),(4075,2035,-0.06355,-0.006009),(4075,2045,-0.06413,-0.006306),(4075,2055,-0.064734,-0.006603),(4075,2065,-0.065338,-0.006988),(4075,2075,-0.065942,-0.007442),(4075,2085,-0.06658,-0.007896),(4075,2095,-0.067241,-0.008349),(4075,2105,-0.067903,-0.008912),(4075,2115,-0.068564,-0.009548),(4075,2125,-0.069266,-0.010184),(4075,2135,-0.069991,-0.01082),(4075,2145,-0.070717,-0.011593),(4075,2155,-0.071442,-0.012443),(4075,2165,-0.072213,-0.013293),(4075,2175,-0.073008,-0.014143),(4075,2185,-0.073803,-0.015165),(4075,2195,-0.074598,-0.016268),(4075,2205,-0.075445,-0.017372),(4075,2215,-0.076314,-0.018475),(4075,2225,-0.077183,-0.019796),(4075,2235,-0.078052,-0.021201),(4075,2245,-0.078978,-0.022607),(4075,2255,-0.079923,-0.024013),(4075,2265,-0.080869,-0.025693),(4075,2275,-0.081814,-0.02746),(4075,2285,-0.082818,-0.029228),(4075,2295,-0.083839,-0.030995),(4075,2305,-0.084859,-0.03311),(4075,2315,-0.08588,-0.035313),(4075,2325,-0.086956,-0.037516),(4075,2335,-0.088044,-0.03972),(4075,2345,-0.089132,-0.042363),(4075,2355,-0.09022,-0.045093),(4075,2365,-0.09135,-0.047822),(4075,2375,-0.092487,-0.050552),(4075,2385,-0.093624,-0.053839),(4075,2395,-0.094761,-0.057205),(4075,2405,-0.09591,-0.060571),(4075,2415,-0.097061,-0.063937),(4075,2425,-0.098212,-0.068008),(4075,2435,-0.099363,-0.072143),(4075,2445,-0.10047,-0.076279),(4075,2455,-0.10157,-0.080414),(4075,2465,-0.10267,-0.085435),(4075,2475,-0.10378,-0.090496),(4075,2485,-0.10473,-0.095558),(4075,2495,-0.10568,-0.10062),(4075,2505,-0.10663,-0.10678),(4075,2515,-0.10758,-0.11295),(4075,2525,-0.10821,-0.11912),(4075,2535,-0.10884,-0.12533),(4075,2545,-0.10947,-0.13279),(4075,2555,-0.11007,-0.14026),(4075,2565,-0.11013,-0.14772),(4075,2575,-0.11019,-0.1553),(4075,2585,-0.11025,-0.16423),(4075,2595,-0.11022,-0.17317),(4075,2605,-0.10933,-0.18211),(4075,2615,-0.10844,-0.19123),(4075,2625,-0.10755,-0.20175),(4075,2635,-0.10646,-0.21227),(4075,2645,-0.1041,-0.2228),(4075,2655,-0.10174,-0.23356),(4075,2665,-0.099385,-0.24562),(4075,2675,-0.096662,-0.25769),(4075,2685,-0.092195,-0.26975),(4075,2695,-0.087727,-0.28205),(4075,2705,-0.08326,-0.29533),(4075,2715,-0.078205,-0.30861),(4075,2725,-0.070977,-0.32189),(4075,2735,-0.063749,-0.33529),(4075,2745,-0.056522,-0.34908),(4075,2755,-0.048503,-0.36287),(4075,2765,-0.03814,-0.37666),(4075,2775,-0.027778,-0.39032),(4075,2785,-0.017415,-0.40363),(4075,2795,-0.006214,-0.41694),(4075,2805,0.007021,-0.43025),(4075,2815,0.020255,-0.44317),(4075,2825,0.033489,-0.45522),(4075,2835,0.047479,-0.46728),(4075,2845,0.06299,-0.47934),(4075,2855,0.078501,-0.49082),(4075,2865,0.094013,-0.50123),(4075,2875,0.11014,-0.51164),(4075,2885,0.12731,-0.52205),(4075,2895,0.14447,-0.53178),(4075,2905,0.16164,-0.54043),(4075,2915,0.17928,-0.54908),(4075,2925,0.1976,-0.55774),(4075,2935,0.21591,-0.56566),(4075,2945,0.23423,-0.5726),(4075,2955,0.2529,-0.57955),(4075,2965,0.27201,-0.5865),(4075,2975,0.29112,-0.5927),(4075,2985,0.31022,-0.59806),(4075,2995,0.3296,-0.60342),(4075,3005,0.34926,-0.60879),(4075,3015,0.36892,-0.6134),(4075,3025,0.38858,-0.61729),(4075,3035,0.40845,-0.62118),(4075,3045,0.42852,-0.62507),(4075,3055,0.44859,-0.62821),(4075,3065,0.46866,-0.63072),(4075,3075,0.48892,-0.63323),(4075,3085,0.50932,-0.63575),(4075,3095,0.52972,-0.63747),(4075,3105,0.55012,-0.63866),(4075,3115,0.5707,-0.63984),(4075,3125,0.59139,-0.64102),(4075,3135,0.61209,-0.64136),(4075,3145,0.63278,-0.6412),(4075,3155,0.65365,-0.64104),(4075,3165,0.67463,-0.64088),(4075,3175,0.6956,-0.63979),(4075,3185,0.71657,-0.63823),(4075,3195,0.73772,-0.63667),(4075,3205,0.75895,-0.63511),(4075,3215,0.78019,-0.63247),(4075,3225,0.80142,-0.62938),(4075,3235,0.82283,-0.6263),(4075,3245,0.84431,-0.62321),(4075,3255,0.86578,-0.61884),(4075,3265,0.88726,-0.61403),(4075,3275,0.90888,-0.60923),(4075,3285,0.93054,-0.60442),(4075,3295,0.95221,-0.59805),(4075,3305,0.97387,-0.59126),(4075,3315,0.9956,-0.58447),(4075,3325,1.0173,-0.57768),(4075,3335,1.0391,-0.56897),(4075,3345,1.0608,-0.55986),(4075,3355,1.0825,-0.55074),(4075,3365,1.1041,-0.54163),(4075,3375,1.1257,-0.53014),(4075,3385,1.1474,-0.51829),(4075,3395,1.1686,-0.50644),(4075,3405,1.1898,-0.49459),(4075,3415,1.2109,-0.47982),(4075,3425,1.2321,-0.46476),(4075,3435,1.2524,-0.4497),(4075,3445,1.2725,-0.43464),(4075,3455,1.2927,-0.41609),(4075,3465,1.3129,-0.39734),(4075,3475,1.3313,-0.3786),(4075,3485,1.3497,-0.35985),(4075,3495,1.368,-0.33711),(4075,3505,1.3863,-0.3143),(4075,3515,1.4016,-0.2915),(4075,3525,1.4169,-0.26859),(4075,3535,1.4323,-0.24168),(4075,3545,1.4474,-0.21477),(4075,3555,1.4581,-0.18785),(4075,3565,1.4687,-0.16071),(4075,3575,1.4794,-0.13028),(4075,3585,1.4896,-0.09984),(4075,3595,1.4939,-0.069405),(4075,3605,1.4982,-0.038767),(4075,3615,1.5025,-0.006393),(4075,3625,1.5059,0.025981),(4075,3635,1.5026,0.058355),(4075,3645,1.4992,0.09064),(4075,3655,1.4959,0.12239),(4075,3665,1.4914,0.15414),(4075,3675,1.4807,0.18589),(4075,3685,1.47,0.21707),(4075,3695,1.4593,0.24572),(4075,3705,1.4475,0.27437),(4075,3715,1.4314,0.30303),(4075,3725,1.4153,0.33077),(4075,3735,1.3993,0.35533),(4075,3745,1.3824,0.3799),(4075,3755,1.3629,0.40446),(4075,3765,1.3434,0.42796),(4075,3775,1.3239,0.44845),(4075,3785,1.3038,0.46894),(4075,3795,1.2823,0.48944),(4075,3805,1.2608,0.50884),(4075,3815,1.2393,0.52571),(4075,3825,1.2174,0.54258),(4075,3835,1.1949,0.55946),(4075,3845,1.1723,0.57529),(4075,3855,1.1497,0.58912),(4075,3865,1.1269,0.60295),(4075,3875,1.1039,0.61678),(4075,3885,1.0808,0.62966),(4075,3895,1.0577,0.64101),(4075,3905,1.0346,0.65235),(4075,3915,1.0113,0.66369),(4075,3925,0.98811,0.67419),(4075,3935,0.96488,0.68354),(4075,3945,0.94168,0.69288),(4075,3955,0.91851,0.70223),(4075,3965,0.89534,0.71084),(4075,3975,0.87217,0.71858),(4075,3985,0.84908,0.72633),(4075,3995,0.82607,0.73408),(4075,4005,0.80307,0.74126),(4075,4015,0.78007,0.74786),(4075,4025,1.1383,0.75446),(4075,4035,1.5339,0.75891),(4075,4045,1.9295,0.75882),(4075,4055,2.2117,0.75872),(4075,4065,2.4526,0.75804),(4075,4075,2.6934,0.75386),(4075,4085,2.7971,0.74968),(4075,4095,2.7905,0.7455),(4075,4105,2.784,0.741),(4075,4115,2.6838,0.73647),(4075,4125,2.4283,0.73195),(4075,4135,2.1729,0.72986),(4075,4145,1.9144,0.72843),(4075,4155,1.6438,0.72699),(4075,4165,1.3731,0.72754),(4075,4175,1.1176,0.72935),(4075,4185,1.6122,0.73117),(4075,4195,2.1067,0.72968),(4075,4205,2.6012,0.72383),(4075,4215,2.6755,0.71798),(4075,4225,2.6707,0.71209),(4075,4235,2.6658,0.70607),(4075,4245,2.659,0.70004),(4075,4255,2.6513,0.69395),(4075,4265,2.6435,0.68696),(4075,4275,2.3132,0.67997),(4075,4285,1.6407,0.67297),(4075,4295,0.96822,0.6751),(4075,4305,0.67728,0.67829),(4075,4315,1.2479,0.68148),(4075,4325,1.8184,0.67821),(4075,4335,2.3255,0.6724),(4075,4345,2.4028,0.6666),(4075,4355,2.4802,0.65997),(4075,4365,2.5575,0.65264),(4075,4375,2.5585,0.64531),(4075,4385,2.5556,0.63796),(4075,4395,2.5527,0.63057),(4075,4405,2.2256,0.62317),(4075,4415,1.803,0.61694),(4075,4425,1.3803,0.61589),(4075,4435,1.1993,0.61484),(4075,4445,1.1836,0.61379),(4075,4455,1.1678,0.61292),(4075,4465,1.3323,0.61206),(4075,4475,1.7499,0.61119),(4075,4485,2.1675,0.60529),(4075,4495,2.4853,0.59834),(4075,4505,2.4829,0.59138),(4075,4515,2.4806,0.58443),(4075,4525,2.4733,0.57749),(4075,4535,2.3879,0.57054),(4075,4545,2.3025,0.56406),(4075,4555,2.2172,0.55811),(4075,4565,1.6703,0.55216),(4075,4575,1.0611,0.54855),(4075,4585,0.45199,0.55064),(4075,4595,0.74529,0.55272),(4075,4605,1.4199,0.55373),(4075,4615,2.0945,0.54636),(4075,4625,2.4154,0.53899),(4075,4635,2.4161,0.53162),(4075,4645,2.4168,0.52503),(4075,4655,2.4167,0.5185),(4075,4665,2.4151,0.51196),(4075,4675,2.4134,0.50555),(4075,4685,2.3259,0.49917),(4075,4695,1.8139,0.49279),(4075,4705,1.3018,0.48981),(4075,4715,0.78975,0.4893),(4075,4725,1.0273,0.48878),(4075,4735,1.2724,0.48717),(4075,4745,1.5174,0.4839),(4075,4755,1.769,0.48062),(4075,4765,2.0221,0.47672),(4075,4775,2.2752,0.47062),(4075,4785,2.3671,0.46452),(4075,4795,2.3658,0.45843),(4075,4805,2.3646,0.45241),(4075,4815,2.247,0.44639),(4075,4825,1.9904,0.44036),(4075,4835,1.7337,0.43666),(4075,4845,1.4739,0.43332),(4075,4855,1.2055,0.42997),(4075,4865,0.93718,0.42851),(4075,4875,0.74636,0.42789),(4075,4885,1.2609,0.42727),(4075,4895,1.7754,0.42391),(4075,4905,2.2899,0.41792),(4075,4915,2.3299,0.41193),(4075,4925,2.329,0.40596),(4075,4935,2.3281,0.40004),(4075,4945,2.3263,0.39411),(4075,4955,2.3241,0.38814),(4075,4965,2.3219,0.38192),(4075,4975,1.9325,0.3757),(4075,4985,1.2441,0.36948),(4075,4995,0.55582,0.37025),(4075,5005,0.3311,0.3712),(4075,5015,0.84342,0.37215),(4075,5025,1.3557,0.36942),(4075,5035,1.797,0.36577),(4075,5045,1.9676,0.36211),(4075,5055,2.1382,0.35752),(4075,5065,2.3037,0.35235),(4075,5075,2.3029,0.34718),(4075,5085,2.3022,0.34205),(4075,5095,2.3014,0.33696),(4075,5105,2.0062,0.33188),(4075,5115,1.6596,0.32757),(4075,5125,1.3129,0.32541),(4075,5135,1.1363,0.32326),(4075,5145,1.0422,0.32118),(4075,5155,0.94809,0.31993),(4075,5165,1.1158,0.31868),(4075,5175,1.5505,0.31743),(4075,5185,1.9852,0.31334),(4075,5195,2.2819,0.30896),(4075,5205,2.281,0.30457),(4075,5215,2.2801,0.30023),(4075,5225,2.2674,0.2959),(4075,5235,2.1812,0.29157),(4075,5245,2.095,0.28758),(4075,5255,2.0088,0.28389),(4075,5265,1.4107,0.28019),(4075,5275,0.79144,0.27798),(4075,5285,0.17222,0.27828),(4075,5295,0.57655,0.27859),(4075,5305,1.2659,0.27819),(4075,5315,1.9553,0.27484),(4075,5325,2.2281,0.27148),(4075,5335,2.2276,0.26813),(4075,5345,2.2271,0.26493),(4075,5355,2.2264,0.26172),(4075,5365,2.2252,0.25852),(4075,5375,2.2241,0.25532),(4075,5385,2.0955,0.25212),(4075,5395,1.5794,0.24892),(4075,5405,1.0633,0.24743),(4075,5415,0.60065,0.24683),(4075,5425,0.85653,0.24622),(4075,5435,1.1124,0.24543),(4075,5445,1.3683,0.24446),(4075,5455,1.6251,0.24348),(4075,5465,1.8821,0.24225),(4075,5475,2.139,0.24044),(4075,5485,2.2119,0.23863),(4075,5495,2.2105,0.2368),(4075,5505,2.2092,0.23487),(4075,5515,2.208,0.23294),(4075,5525,2.2068,0.23102),(4075,5535,2.2056,0.22897),(4075,5545,2.2044,0.22692),(4075,5555,2.2033,0.22487),(4075,5565,2.2022,0.22274),(4075,5575,2.2011,0.2206),(4075,5585,2.2,0.21846),(4075,5595,2.1989,0.21632),(4075,5605,2.1978,0.21417),(4075,5615,2.1967,0.21203),(4075,5625,2.1955,0.20991),(4075,5635,2.1944,0.20784),(4075,5645,2.1931,0.20577),(4075,5655,2.1919,0.20374),(4075,5665,2.1906,0.20184),(4075,5675,2.1892,0.19995),(4075,5685,2.1878,0.19807),(4075,5695,2.1864,0.19646),(4075,5705,2.1849,0.19484),(4075,5715,2.1832,0.19322),(4075,5725,2.1816,0.19189),(4075,5735,2.18,0.19061),(4075,5745,2.1782,0.18932),(4075,5755,2.1765,0.18828),(4075,5765,2.1747,0.18735),(4075,5775,2.1728,0.18642),(4075,5785,2.1709,0.18569),(4075,5795,2.1691,0.18512),(4075,5805,2.1671,0.18456),(4075,5815,2.1652,0.18412),(4075,5825,2.1632,0.18389),(4075,5835,2.1612,0.18367),(4075,5845,2.1592,0.1835),(4075,5855,2.1573,0.18358),(4075,5865,2.1553,0.18367),(4075,5875,2.1533,0.18376),(4075,5885,2.1514,0.18411),(4075,5895,2.1494,0.18447),(4075,5905,2.1475,0.18482),(4075,5915,2.1456,0.18535),(4075,5925,2.1437,0.18591),(4075,5935,2.1419,0.18647),(4075,5945,2.1401,0.18712),(4075,5955,2.1383,0.18782),(4075,5965,2.1366,0.18852),(4075,5975,2.135,0.18925),(4075,5985,2.1333,0.19002),(4075,5995,1.6301,0.1908),(4075,6005,1.0462,0.19139),(4075,6015,0.46227,0.19151),(4075,6025,0.63833,0.19163),(4075,6035,1.1669,0.19128),(4075,6045,1.6954,0.1865),(4075,6055,2.06,0.18171),(4075,6065,2.2639,0.17693),(4075,6075,2.4678,0.17077),(4075,6085,2.6049,0.16448),(4075,6095,2.6043,0.15819),(4075,6105,2.6036,0.15207),(4075,6115,2.6029,0.14602),(4075,6125,2.6017,0.13996),(4075,6135,2.6005,0.13415),(4075,6145,2.5992,0.12852),(4075,6155,2.5975,0.1229),(4075,6165,2.5958,0.11749),(4075,6175,2.594,0.11244),(4075,6185,2.5919,0.10739),(4075,6195,2.5898,0.10246),(4075,6205,2.5876,0.098011),(4075,6215,2.5853,0.093564),(4075,6225,2.5828,0.089133),(4075,6235,2.5803,0.085294),(4075,6245,2.5778,0.081455),(4075,6255,2.5752,0.077617),(4075,6265,2.5726,0.074226),(4075,6275,2.57,0.070917),(4075,6285,2.5674,0.067608),(4075,6295,2.5647,0.064636),(4075,6305,2.5621,0.06183),(4075,6315,2.5596,0.059024),(4075,6325,2.557,0.056424),(4075,6335,2.5545,0.054036),(4075,6345,2.5521,0.051649),(4075,6355,2.5497,0.04937),(4075,6365,2.5474,0.047332),(4075,6375,2.5452,0.045294),(4075,6385,2.543,0.043292),(4075,6395,2.5409,0.041524),(4075,6405,2.5389,0.039757),(4075,6415,2.5371,0.037989),(4075,6425,2.5352,0.036325),(4075,6435,2.5335,0.034665),(4075,6445,2.5319,0.033006),(4075,6455,2.5304,0.03146),(4075,6465,2.5289,0.029947),(4075,6475,2.5276,0.028434),(4075,6485,2.5264,0.026964),(4075,6495,2.5251,0.025524),(4075,6505,2.5242,0.024084),(4075,6515,2.5233,0.022642),(4075,6525,2.5224,0.021197),(4075,6535,2.5217,0.019751),(4075,6545,2.5211,0.018313),(4075,6555,2.5204,0.016898),(4075,6565,2.52,0.015483),(4075,6575,2.5197,0.014068),(4075,6585,2.5194,0.012656),(4075,6595,2.1428,0.011244),(4075,6605,1.3506,0.009832),(4075,6615,0.55845,0.009689),(4075,6625,0.001582,0.009709),(4075,6635,0.001591,0.009729),(4075,6645,0.0016,0.009731),(4075,6655,0.001608,0.009727),(4075,6665,0.001617,0.009722),(4075,6675,0.001625,0.009717),(4075,6685,0.001633,0.009711),(4075,6695,0.00164,0.009706),(4075,6705,0.001647,0.009699),(4075,6715,0.001654,0.009693),(4075,6725,0.001661,0.009686),(4075,6735,0.001668,0.009679),(4075,6745,0.001674,0.009672),(4075,6755,0.00168,0.009664),(4075,6765,0.001686,0.009657),(4075,6775,0.001691,0.009649),(4075,6785,0.001697,0.009641),(4075,6795,0.001701,0.009633),(4075,6805,0.001706,0.009624),(4075,6815,0.001711,0.009616),(4075,6825,0.001715,0.009608),(4075,6835,0.00172,0.009599),(4075,6845,0.001724,0.009591),(4075,6855,0.001727,0.009582),(4075,6865,0.001731,0.009573),(4075,6875,0.001735,0.009564),(4075,6885,0.001738,0.009555),(4075,6895,0.001741,0.009546),(4075,6905,0.001744,0.009537),(4075,6915,0.001747,0.009528),(4075,6925,0.00175,0.009519),(4075,6935,0.001752,0.00951),(4075,6945,0.001755,0.009501),(4075,6955,0.001757,0.009492),(4075,6965,0.001759,0.009482),(4075,6975,0.001762,0.009473),(4075,6985,0.001763,0.009464),(4085,5,2.4e-05,-0.003216),(4085,15,7.1e-05,-0.003218),(4085,25,0.000118,-0.00322),(4085,35,0.000165,-0.003223),(4085,45,0.000212,-0.003228),(4085,55,0.00026,-0.003235),(4085,65,0.000307,-0.003242),(4085,75,0.000354,-0.003249),(4085,85,0.000402,-0.003259),(4085,95,0.000449,-0.003272),(4085,105,0.000497,-0.003284),(4085,115,0.000544,-0.003296),(4085,125,0.000591,-0.003311),(4085,135,0.000639,-0.003328),(4085,145,0.000687,-0.003345),(4085,155,0.000734,-0.003363),(4085,165,0.000782,-0.003383),(4085,175,0.00083,-0.003406),(4085,185,0.000878,-0.003429),(4085,195,0.000926,-0.003451),(4085,205,0.000974,-0.003478),(4085,215,0.001022,-0.003507),(4085,225,0.001071,-0.003535),(4085,235,0.00112,-0.003564),(4085,245,0.001169,-0.003597),(4085,255,0.001217,-0.003632),(4085,265,0.001266,-0.003667),(4085,275,0.001315,-0.003701),(4085,285,0.001364,-0.003741),(4085,295,0.001413,-0.003782),(4085,305,0.001462,-0.003824),(4085,315,0.001512,-0.003865),(4085,325,0.001561,-0.003913),(4085,335,0.00161,-0.003962),(4085,345,0.00166,-0.004011),(4085,355,0.00171,-0.00406),(4085,365,0.001759,-0.004117),(4085,375,0.001809,-0.004175),(4085,385,0.001859,-0.004232),(4085,395,0.001909,-0.00429),(4085,405,0.001959,-0.004356),(4085,415,0.002008,-0.004423),(4085,425,0.002058,-0.00449),(4085,435,0.002108,-0.004557),(4085,445,0.002158,-0.004634),(4085,455,0.002208,-0.004711),(4085,465,0.002257,-0.004789),(4085,475,0.002307,-0.004867),(4085,485,0.002357,-0.004956),(4085,495,0.002406,-0.005046),(4085,505,0.002455,-0.005136),(4085,515,0.002504,-0.005226),(4085,525,0.002553,-0.00533),(4085,535,0.002602,-0.005433),(4085,545,0.00265,-0.005537),(4085,555,0.002697,-0.005642),(4085,565,0.002745,-0.00576),(4085,575,0.002792,-0.00588),(4085,585,0.002837,-0.005998),(4085,595,0.002882,-0.006119),(4085,605,0.002927,-0.006256),(4085,615,0.002972,-0.006392),(4085,625,0.003014,-0.006529),(4085,635,0.003055,-0.006668),(4085,645,0.003097,-0.006825),(4085,655,0.003137,-0.006982),(4085,665,0.003174,-0.007139),(4085,675,0.00321,-0.0073),(4085,685,0.003246,-0.007479),(4085,695,0.003281,-0.007659),(4085,705,0.003309,-0.007839),(4085,715,0.003338,-0.008024),(4085,725,0.003366,-0.008229),(4085,735,0.003392,-0.008435),(4085,745,0.00341,-0.00864),(4085,755,0.003428,-0.008853),(4085,765,0.003446,-0.009087),(4085,775,0.00346,-0.009322),(4085,785,0.003463,-0.009556),(4085,795,0.003466,-0.0098),(4085,805,0.003469,-0.010067),(4085,815,0.003466,-0.010334),(4085,825,0.003449,-0.010601),(4085,835,0.003432,-0.010879),(4085,845,0.003415,-0.011182),(4085,855,0.003388,-0.011484),(4085,865,0.003344,-0.011787),(4085,875,0.0033,-0.012103),(4085,885,0.003256,-0.012444),(4085,895,0.003198,-0.012785),(4085,905,0.003118,-0.013126),(4085,915,0.003038,-0.013483),(4085,925,0.002958,-0.013864),(4085,935,0.002858,-0.014244),(4085,945,0.002731,-0.014625),(4085,955,0.002605,-0.015024),(4085,965,0.002478,-0.015446),(4085,975,0.002324,-0.015867),(4085,985,0.002138,-0.016288),(4085,995,0.001951,-0.016728),(4085,1005,0.001765,-0.017188),(4085,1015,0.001541,-0.017647),(4085,1025,0.00128,-0.018106),(4085,1035,0.001019,-0.018582),(4085,1045,0.000757,-0.019073),(4085,1055,0.000446,-0.019564),(4085,1065,9.3e-05,-0.020055),(4085,1075,-0.00026,-0.020557),(4085,1085,-0.000613,-0.021067),(4085,1095,-0.00103,-0.021577),(4085,1105,-0.001492,-0.022088),(4085,1115,-0.001953,-0.022598),(4085,1125,-0.002415,-0.023108),(4085,1135,-0.002955,-0.023619),(4085,1145,-0.00354,-0.024129),(4085,1155,-0.004125,-0.024622),(4085,1165,-0.004711,-0.025105),(4085,1175,-0.005385,-0.025588),(4085,1185,-0.006103,-0.026072),(4085,1195,-0.00682,-0.026512),(4085,1205,-0.007538,-0.026934),(4085,1215,-0.008349,-0.027356),(4085,1225,-0.009198,-0.027777),(4085,1235,-0.010047,-0.028125),(4085,1245,-0.010896,-0.028446),(4085,1255,-0.011831,-0.028766),(4085,1265,-0.012796,-0.029087),(4085,1275,-0.01376,-0.0293),(4085,1285,-0.014725,-0.029481),(4085,1295,-0.015756,-0.029661),(4085,1305,-0.016804,-0.029842),(4085,1315,-0.017853,-0.029886),(4085,1325,-0.018902,-0.029898),(4085,1335,-0.019983,-0.02991),(4085,1345,-0.021071,-0.029922),(4085,1355,-0.022158,-0.029783),(4085,1365,-0.023246,-0.029615),(4085,1375,-0.024323,-0.029448),(4085,1385,-0.025398,-0.029281),(4085,1395,-0.026474,-0.028966),(4085,1405,-0.027549,-0.028632),(4085,1415,-0.028573,-0.028298),(4085,1425,-0.029591,-0.027964),(4085,1435,-0.030609,-0.027503),(4085,1445,-0.031627,-0.027032),(4085,1455,-0.032561,-0.026562),(4085,1465,-0.033491,-0.026091),(4085,1475,-0.03442,-0.025526),(4085,1485,-0.035349,-0.024958),(4085,1495,-0.036176,-0.02439),(4085,1505,-0.037001,-0.023821),(4085,1515,-0.037826,-0.023198),(4085,1525,-0.038649,-0.022574),(4085,1535,-0.039368,-0.021951),(4085,1545,-0.040088,-0.021327),(4085,1555,-0.040808,-0.020686),(4085,1565,-0.041521,-0.020045),(4085,1575,-0.042144,-0.019404),(4085,1585,-0.042768,-0.018764),(4085,1595,-0.043391,-0.018135),(4085,1605,-0.044006,-0.017507),(4085,1615,-0.044548,-0.016878),(4085,1625,-0.045091,-0.016254),(4085,1635,-0.045633,-0.015661),(4085,1645,-0.046166,-0.015068),(4085,1655,-0.046646,-0.014475),(4085,1665,-0.047125,-0.01389),(4085,1675,-0.047604,-0.013348),(4085,1685,-0.048075,-0.012807),(4085,1695,-0.04851,-0.012265),(4085,1705,-0.048944,-0.011736),(4085,1715,-0.049378,-0.011257),(4085,1725,-0.049806,-0.010778),(4085,1735,-0.050212,-0.010298),(4085,1745,-0.050617,-0.009837),(4085,1755,-0.051023,-0.009429),(4085,1765,-0.051425,-0.009021),(4085,1775,-0.051816,-0.008613),(4085,1785,-0.052208,-0.008227),(4085,1795,-0.052599,-0.007897),(4085,1805,-0.052991,-0.007566),(4085,1815,-0.053381,-0.007236),(4085,1825,-0.053771,-0.006933),(4085,1835,-0.054161,-0.006686),(4085,1845,-0.054554,-0.006439),(4085,1855,-0.054954,-0.006192),(4085,1865,-0.055353,-0.005977),(4085,1875,-0.055753,-0.005821),(4085,1885,-0.056159,-0.005664),(4085,1895,-0.056577,-0.005507),(4085,1905,-0.056996,-0.005389),(4085,1915,-0.057414,-0.005331),(4085,1925,-0.057843,-0.005272),(4085,1935,-0.058288,-0.005213),(4085,1945,-0.058732,-0.005202),(4085,1955,-0.059177,-0.005252),(4085,1965,-0.059637,-0.005301),(4085,1975,-0.060115,-0.005351),(4085,1985,-0.060593,-0.005459),(4085,1995,-0.061072,-0.005629),(4085,2005,-0.06157,-0.0058),(4085,2015,-0.062088,-0.005971),(4085,2025,-0.062606,-0.006213),(4085,2035,-0.063125,-0.006521),(4085,2045,-0.063668,-0.006828),(4085,2055,-0.064232,-0.007136),(4085,2065,-0.064796,-0.007532),(4085,2075,-0.06536,-0.007998),(4085,2085,-0.065954,-0.008464),(4085,2095,-0.066569,-0.008929),(4085,2105,-0.067184,-0.009505),(4085,2115,-0.067799,-0.010153),(4085,2125,-0.068449,-0.010802),(4085,2135,-0.06912,-0.011451),(4085,2145,-0.069791,-0.012237),(4085,2155,-0.070463,-0.0131),(4085,2165,-0.071173,-0.013963),(4085,2175,-0.071904,-0.014827),(4085,2185,-0.072634,-0.015862),(4085,2195,-0.073365,-0.016979),(4085,2205,-0.074139,-0.018096),(4085,2215,-0.074931,-0.019213),(4085,2225,-0.075723,-0.020547),(4085,2235,-0.076516,-0.021965),(4085,2245,-0.077353,-0.023384),(4085,2255,-0.078207,-0.024803),(4085,2265,-0.07906,-0.026494),(4085,2275,-0.079914,-0.028273),(4085,2285,-0.080812,-0.030052),(4085,2295,-0.081722,-0.03183),(4085,2305,-0.082632,-0.033953),(4085,2315,-0.083542,-0.036164),(4085,2325,-0.084488,-0.038375),(4085,2335,-0.085443,-0.040585),(4085,2345,-0.086398,-0.043231),(4085,2355,-0.087352,-0.045961),(4085,2365,-0.088325,-0.048691),(4085,2375,-0.089301,-0.051421),(4085,2385,-0.090276,-0.054699),(4085,2395,-0.091252,-0.058054),(4085,2405,-0.09221,-0.06141),(4085,2415,-0.093166,-0.064765),(4085,2425,-0.094121,-0.068809),(4085,2435,-0.095077,-0.072915),(4085,2445,-0.09595,-0.077022),(4085,2455,-0.096818,-0.081128),(4085,2465,-0.097685,-0.086092),(4085,2475,-0.098553,-0.091097),(4085,2485,-0.099227,-0.096101),(4085,2495,-0.099897,-0.10111),(4085,2505,-0.10057,-0.10717),(4085,2515,-0.10123,-0.11323),(4085,2525,-0.10153,-0.1193),(4085,2535,-0.10184,-0.12541),(4085,2545,-0.10214,-0.13271),(4085,2555,-0.10241,-0.14001),(4085,2565,-0.10209,-0.14731),(4085,2575,-0.10178,-0.15472),(4085,2585,-0.10146,-0.1634),(4085,2595,-0.10106,-0.17209),(4085,2605,-0.099765,-0.18078),(4085,2615,-0.098473,-0.18963),(4085,2625,-0.09718,-0.19979),(4085,2635,-0.095694,-0.20995),(4085,2645,-0.092948,-0.2201),(4085,2655,-0.090202,-0.23048),(4085,2665,-0.087456,-0.24205),(4085,2675,-0.084359,-0.25361),(4085,2685,-0.07959,-0.26518),(4085,2695,-0.074821,-0.27696),(4085,2705,-0.070052,-0.28962),(4085,2715,-0.064736,-0.30229),(4085,2725,-0.057395,-0.31495),(4085,2735,-0.050053,-0.32771),(4085,2745,-0.042712,-0.34082),(4085,2755,-0.034646,-0.35393),(4085,2765,-0.024433,-0.36704),(4085,2775,-0.014221,-0.38003),(4085,2785,-0.004008,-0.3927),(4085,2795,0.006984,-0.40537),(4085,2805,0.019864,-0.41804),(4085,2815,0.032744,-0.43035),(4085,2825,0.045624,-0.44188),(4085,2835,0.059224,-0.45341),(4085,2845,0.074275,-0.46494),(4085,2855,0.089326,-0.47593),(4085,2865,0.10438,-0.48594),(4085,2875,0.12003,-0.49594),(4085,2885,0.13671,-0.50595),(4085,2895,0.15338,-0.51531),(4085,2905,0.17006,-0.52366),(4085,2915,0.18722,-0.53202),(4085,2925,0.20506,-0.54038),(4085,2935,0.2229,-0.54804),(4085,2945,0.24074,-0.55478),(4085,2955,0.25894,-0.56151),(4085,2965,0.2776,-0.56825),(4085,2975,0.29626,-0.57427),(4085,2985,0.31492,-0.57948),(4085,2995,0.33386,-0.58469),(4085,3005,0.3531,-0.58989),(4085,3015,0.37235,-0.59437),(4085,3025,0.39159,-0.59815),(4085,3035,0.41106,-0.60193),(4085,3045,0.43073,-0.60571),(4085,3055,0.45041,-0.60874),(4085,3065,0.47008,-0.61117),(4085,3075,0.48995,-0.61359),(4085,3085,0.50997,-0.61602),(4085,3095,0.52998,-0.61767),(4085,3105,0.55,-0.61877),(4085,3115,0.5702,-0.61988),(4085,3125,0.59051,-0.62099),(4085,3135,0.61082,-0.62126),(4085,3145,0.63112,-0.62104),(4085,3155,0.6516,-0.62082),(4085,3165,0.67217,-0.6206),(4085,3175,0.69274,-0.61945),(4085,3185,0.71331,-0.61784),(4085,3195,0.73404,-0.61622),(4085,3205,0.75484,-0.61461),(4085,3215,0.77564,-0.61193),(4085,3225,0.79644,-0.6088),(4085,3235,0.81738,-0.60567),(4085,3245,0.83838,-0.60255),(4085,3255,0.85937,-0.59815),(4085,3265,0.88036,-0.59332),(4085,3275,0.90145,-0.5885),(4085,3285,0.92256,-0.58367),(4085,3295,0.94368,-0.57731),(4085,3305,0.96479,-0.57054),(4085,3315,0.9859,-0.56377),(4085,3325,1.007,-0.55699),(4085,3335,1.0281,-0.54835),(4085,3345,1.0492,-0.5393),(4085,3355,1.0701,-0.53026),(4085,3365,1.091,-0.52122),(4085,3375,1.1119,-0.50989),(4085,3385,1.1328,-0.4982),(4085,3395,1.1532,-0.48651),(4085,3405,1.1735,-0.47483),(4085,3415,1.1938,-0.46035),(4085,3425,1.2141,-0.4456),(4085,3435,1.2334,-0.43084),(4085,3445,1.2526,-0.41608),(4085,3455,1.2718,-0.39802),(4085,3465,1.291,-0.37977),(4085,3475,1.3083,-0.36153),(4085,3485,1.3256,-0.34328),(4085,3495,1.3428,-0.32131),(4085,3505,1.3601,-0.29928),(4085,3515,1.3743,-0.27724),(4085,3525,1.3885,-0.25512),(4085,3535,1.4028,-0.22931),(4085,3545,1.4168,-0.20349),(4085,3555,1.4265,-0.17768),(4085,3565,1.4363,-0.15166),(4085,3575,1.446,-0.12266),(4085,3585,1.4553,-0.093656),(4085,3595,1.4591,-0.064653),(4085,3605,1.4629,-0.035471),(4085,3615,1.4667,-0.004744),(4085,3625,1.4697,0.025984),(4085,3635,1.4665,0.056712),(4085,3645,1.4633,0.087359),(4085,3655,1.4602,0.11752),(4085,3665,1.4559,0.14769),(4085,3675,1.446,0.17786),(4085,3685,1.4362,0.20752),(4085,3695,1.4263,0.23492),(4085,3705,1.4154,0.26233),(4085,3715,1.4004,0.28973),(4085,3725,1.3854,0.31631),(4085,3735,1.3704,0.34001),(4085,3745,1.3546,0.36371),(4085,3755,1.3362,0.38741),(4085,3765,1.3178,0.41012),(4085,3775,1.2994,0.43006),(4085,3785,1.2804,0.44999),(4085,3795,1.2599,0.46993),(4085,3805,1.2393,0.48884),(4085,3815,1.2188,0.50538),(4085,3825,1.1979,0.52192),(4085,3835,1.1761,0.53846),(4085,3845,1.1544,0.55402),(4085,3855,1.1326,0.56766),(4085,3865,1.1106,0.5813),(4085,3875,1.0882,0.59495),(4085,3885,1.0658,0.60768),(4085,3895,1.0434,0.61894),(4085,3905,1.0209,0.63019),(4085,3915,0.99826,0.64144),(4085,3925,0.97559,0.65188),(4085,3935,0.95292,0.6612),(4085,3945,0.93023,0.67051),(4085,3955,0.90752,0.67982),(4085,3965,0.8848,0.68842),(4085,3975,0.86208,0.69618),(4085,3985,0.8394,0.70393),(4085,3995,0.81677,0.71169),(4085,4005,0.79414,0.71888),(4085,4015,0.77151,0.72552),(4085,4025,1.1308,0.73215),(4085,4035,1.5274,0.73666),(4085,4045,1.924,0.7367),(4085,4055,2.207,0.73674),(4085,4065,2.4485,0.7362),(4085,4075,2.69,0.7322),(4085,4085,2.794,0.72821),(4085,4095,2.7875,0.72421),(4085,4105,2.7811,0.71988),(4085,4115,2.6808,0.71553),(4085,4125,2.4251,0.71118),(4085,4135,2.1694,0.70922),(4085,4145,1.9106,0.70791),(4085,4155,1.6397,0.7066),(4085,4165,1.3687,0.70724),(4085,4175,1.1129,0.70915),(4085,4185,1.6085,0.71105),(4085,4195,2.1041,0.70968),(4085,4205,2.5997,0.70399),(4085,4215,2.6742,0.69829),(4085,4225,2.6694,0.69255),(4085,4235,2.6647,0.68668),(4085,4245,2.6581,0.68081),(4085,4255,2.6506,0.67487),(4085,4265,2.6432,0.66806),(4085,4275,2.3124,0.66125),(4085,4285,1.6385,0.65444),(4085,4295,0.96468,0.65661),(4085,4305,0.67317,0.65983),(4085,4315,1.245,0.66304),(4085,4325,1.8169,0.65986),(4085,4335,2.3251,0.65417),(4085,4345,2.4027,0.64847),(4085,4355,2.4803,0.64196),(4085,4365,2.5578,0.63476),(4085,4375,2.5589,0.62756),(4085,4385,2.556,0.62034),(4085,4395,2.5532,0.6131),(4085,4405,2.2254,0.60586),(4085,4415,1.8019,0.59976),(4085,4425,1.3784,0.59877),(4085,4435,1.1971,0.59778),(4085,4445,1.1813,0.59678),(4085,4455,1.1656,0.59597),(4085,4465,1.3303,0.59515),(4085,4475,1.7487,0.59434),(4085,4485,2.167,0.58855),(4085,4495,2.4854,0.58171),(4085,4505,2.483,0.57487),(4085,4515,2.4807,0.56804),(4085,4525,2.4734,0.56122),(4085,4535,2.3879,0.5544),(4085,4545,2.3025,0.54803),(4085,4555,2.2171,0.5422),(4085,4565,1.6694,0.53636),(4085,4575,1.0594,0.53283),(4085,4585,0.44945,0.53491),(4085,4595,0.74327,0.53698),(4085,4605,1.419,0.53801),(4085,4615,2.0947,0.53088),(4085,4625,2.416,0.52375),(4085,4635,2.4164,0.51662),(4085,4645,2.4168,0.51023),(4085,4655,2.4165,0.50388),(4085,4665,2.4149,0.49754),(4085,4675,2.4132,0.49131),(4085,4685,2.3256,0.48511),(4085,4695,1.8131,0.47891),(4085,4705,1.3006,0.47603),(4085,4715,0.78812,0.47556),(4085,4725,1.0259,0.4751),(4085,4735,1.2711,0.47355),(4085,4745,1.5164,0.47037),(4085,4755,1.7681,0.4672),(4085,4765,2.0214,0.4634),(4085,4775,2.2747,0.45744),(4085,4785,2.3667,0.45148),(4085,4795,2.3654,0.44553),(4085,4805,2.3641,0.43964),(4085,4815,2.2464,0.43375),(4085,4825,1.9897,0.42787),(4085,4835,1.7329,0.42426),(4085,4845,1.4729,0.421),(4085,4855,1.2045,0.41775),(4085,4865,0.93602,0.41634),(4085,4875,0.74513,0.41577),(4085,4885,1.2599,0.4152),(4085,4895,1.7747,0.41193),(4085,4905,2.2895,0.40607),(4085,4915,2.3295,0.40021),(4085,4925,2.3286,0.39437),(4085,4935,2.3277,0.38857),(4085,4945,2.3259,0.38277),(4085,4955,2.3238,0.37694),(4085,4965,2.3217,0.37086),(4085,4975,1.9321,0.36479),(4085,4985,1.2434,0.35872),(4085,4995,0.55475,0.35951),(4085,5005,0.32983,0.36047),(4085,5015,0.84222,0.36144),(4085,5025,1.3546,0.35882),(4085,5035,1.7959,0.35529),(4085,5045,1.9665,0.35176),(4085,5055,2.1371,0.34732),(4085,5065,2.3027,0.34232),(4085,5075,2.3019,0.33732),(4085,5085,2.3011,0.33236),(4085,5095,2.3003,0.32744),(4085,5105,2.0051,0.32252),(4085,5115,1.6585,0.31835),(4085,5125,1.3119,0.31627),(4085,5135,1.1352,0.3142),(4085,5145,1.0411,0.3122),(4085,5155,0.94698,0.31101),(4085,5165,1.1146,0.30982),(4085,5175,1.5491,0.30862),(4085,5185,1.9837,0.30468),(4085,5195,2.2803,0.30044),(4085,5205,2.2793,0.29621),(4085,5215,2.2784,0.29201),(4085,5225,2.2656,0.28783),(4085,5235,2.1795,0.28365),(4085,5245,2.0933,0.2798),(4085,5255,2.0072,0.27622),(4085,5265,1.4094,0.27265),(4085,5275,0.79057,0.27052),(4085,5285,0.17172,0.27082),(4085,5295,0.57564,0.27113),(4085,5305,1.2644,0.27075),(4085,5315,1.9531,0.26751),(4085,5325,2.2256,0.26427),(4085,5335,2.2251,0.26102),(4085,5345,2.2245,0.25792),(4085,5355,2.2238,0.25481),(4085,5365,2.2226,0.25171),(4085,5375,2.2215,0.24861),(4085,5385,2.093,0.2455),(4085,5395,1.5774,0.2424),(4085,5405,1.0619,0.24096),(4085,5415,0.59969,0.24037),(4085,5425,0.855,0.23979),(4085,5435,1.1103,0.23898),(4085,5445,1.3656,0.23794),(4085,5455,1.622,0.23689),(4085,5465,1.8785,0.23558),(4085,5475,2.135,0.23366),(4085,5485,2.2078,0.23174),(4085,5495,2.2065,0.22981),(4085,5505,2.2052,0.22776),(4085,5515,2.204,0.22571),(4085,5525,2.2029,0.22367),(4085,5535,2.2017,0.22151),(4085,5545,2.2006,0.21934),(4085,5555,2.1995,0.21717),(4085,5565,2.1984,0.21493),(4085,5575,2.1974,0.21268),(4085,5585,2.1963,0.21043),(4085,5595,2.1952,0.20819),(4085,5605,2.1941,0.20596),(4085,5615,2.193,0.20373),(4085,5625,2.1918,0.20155),(4085,5635,2.1906,0.19943),(4085,5645,2.1894,0.19732),(4085,5655,2.188,0.19525),(4085,5665,2.1867,0.19336),(4085,5675,2.1853,0.19146),(4085,5685,2.1838,0.18959),(4085,5695,2.1823,0.18802),(4085,5705,2.1807,0.18645),(4085,5715,2.179,0.18489),(4085,5725,2.1773,0.18365),(4085,5735,2.1756,0.18247),(4085,5745,2.1737,0.18128),(4085,5755,2.1719,0.18037),(4085,5765,2.17,0.17958),(4085,5775,2.168,0.17879),(4085,5785,2.166,0.17821),(4085,5795,2.164,0.17782),(4085,5805,2.162,0.17743),(4085,5815,2.1599,0.17717),(4085,5825,2.1578,0.17714),(4085,5835,2.1558,0.17711),(4085,5845,2.1537,0.17713),(4085,5855,2.1516,0.17742),(4085,5865,2.1496,0.17772),(4085,5875,2.1475,0.17801),(4085,5885,2.1455,0.17857),(4085,5895,2.1435,0.17913),(4085,5905,2.1415,0.17969),(4085,5915,2.1396,0.18042),(4085,5925,2.1377,0.18118),(4085,5935,2.1358,0.18194),(4085,5945,2.134,0.18279),(4085,5955,2.1321,0.18369),(4085,5965,2.1304,0.18459),(4085,5975,2.1287,0.18552),(4085,5985,2.1271,0.18649),(4085,5995,1.6253,0.18745),(4085,6005,1.0431,0.1882),(4085,6015,0.46088,0.18834),(4085,6025,0.6378,0.18848),(4085,6035,1.1668,0.18815),(4085,6045,1.6958,0.18328),(4085,6055,2.0607,0.1784),(4085,6065,2.2647,0.17353),(4085,6075,2.4686,0.16726),(4085,6085,2.6057,0.16087),(4085,6095,2.605,0.15448),(4085,6105,2.6043,0.14829),(4085,6115,2.6035,0.14216),(4085,6125,2.6021,0.13604),(4085,6135,2.6008,0.13018),(4085,6145,2.5995,0.12453),(4085,6155,2.5976,0.11889),(4085,6165,2.5957,0.11348),(4085,6175,2.5938,0.10847),(4085,6185,2.5916,0.10346),(4085,6195,2.5892,0.098584),(4085,6205,2.5869,0.09423),(4085,6215,2.5843,0.089877),(4085,6225,2.5817,0.08554),(4085,6235,2.5791,0.081838),(4085,6245,2.5764,0.078136),(4085,6255,2.5736,0.074434),(4085,6265,2.5708,0.071199),(4085,6275,2.568,0.068048),(4085,6285,2.5652,0.064898),(4085,6295,2.5624,0.062087),(4085,6305,2.5597,0.059445),(4085,6315,2.557,0.056802),(4085,6325,2.5543,0.054361),(4085,6335,2.5516,0.05213),(4085,6345,2.5492,0.049899),(4085,6355,2.5467,0.047771),(4085,6365,2.5442,0.045871),(4085,6375,2.5419,0.043972),(4085,6385,2.5397,0.042106),(4085,6395,2.5375,0.040455),(4085,6405,2.5355,0.038805),(4085,6415,2.5336,0.037154),(4085,6425,2.5317,0.035582),(4085,6435,2.5299,0.034013),(4085,6445,2.5283,0.032445),(4085,6455,2.5267,0.03097),(4085,6465,2.5252,0.029521),(4085,6475,2.5239,0.028072),(4085,6485,2.5226,0.026657),(4085,6495,2.5214,0.025265),(4085,6505,2.5204,0.023872),(4085,6515,2.5195,0.022468),(4085,6525,2.5186,0.021049),(4085,6535,2.5179,0.019629),(4085,6545,2.5173,0.018215),(4085,6555,2.5166,0.016821),(4085,6565,2.5162,0.015426),(4085,6575,2.5159,0.014032),(4085,6585,2.5156,0.012635),(4085,6595,2.1395,0.011239),(4085,6605,1.3486,0.009843),(4085,6615,0.5576,0.009701),(4085,6625,0.001582,0.00972),(4085,6635,0.001591,0.009739),(4085,6645,0.0016,0.009741),(4085,6655,0.00161,0.009736),(4085,6665,0.001618,0.009731),(4085,6675,0.001626,0.009726),(4085,6685,0.001635,0.00972),(4085,6695,0.001642,0.009713),(4085,6705,0.00165,0.009707),(4085,6715,0.001657,0.0097),(4085,6725,0.001664,0.009693),(4085,6735,0.001671,0.009686),(4085,6745,0.001677,0.009678),(4085,6755,0.001684,0.009671),(4085,6765,0.001689,0.009663),(4085,6775,0.001695,0.009654),(4085,6785,0.001701,0.009646),(4085,6795,0.001706,0.009638),(4085,6805,0.001711,0.009629),(4085,6815,0.001716,0.009621),(4085,6825,0.00172,0.009612),(4085,6835,0.001724,0.009603),(4085,6845,0.001729,0.009595),(4085,6855,0.001732,0.009586),(4085,6865,0.001736,0.009577),(4085,6875,0.00174,0.009568),(4085,6885,0.001743,0.009558),(4085,6895,0.001746,0.009549),(4085,6905,0.001749,0.00954),(4085,6915,0.001752,0.009531),(4085,6925,0.001755,0.009522),(4085,6935,0.001757,0.009513),(4085,6945,0.00176,0.009503),(4085,6955,0.001762,0.009494),(4085,6965,0.001764,0.009485),(4085,6975,0.001767,0.009475),(4085,6985,0.001768,0.009466),(4095,5,2.4e-05,-0.003168),(4095,15,7.2e-05,-0.00317),(4095,25,0.000121,-0.003172),(4095,35,0.000169,-0.003175),(4095,45,0.000217,-0.00318),(4095,55,0.000265,-0.003187),(4095,65,0.000314,-0.003194),(4095,75,0.000362,-0.003201),(4095,85,0.000411,-0.003211),(4095,95,0.000459,-0.003223),(4095,105,0.000507,-0.003236),(4095,115,0.000556,-0.003248),(4095,125,0.000605,-0.003263),(4095,135,0.000653,-0.00328),(4095,145,0.000702,-0.003297),(4095,155,0.000751,-0.003314),(4095,165,0.0008,-0.003335),(4095,175,0.000849,-0.003357),(4095,185,0.000898,-0.00338),(4095,195,0.000947,-0.003402),(4095,205,0.000997,-0.003429),(4095,215,0.001046,-0.003457),(4095,225,0.001096,-0.003486),(4095,235,0.001146,-0.003514),(4095,245,0.001196,-0.003547),(4095,255,0.001246,-0.003582),(4095,265,0.001297,-0.003617),(4095,275,0.001347,-0.003651),(4095,285,0.001398,-0.003691),(4095,295,0.001448,-0.003732),(4095,305,0.001499,-0.003774),(4095,315,0.00155,-0.003815),(4095,325,0.001601,-0.003863),(4095,335,0.001653,-0.003912),(4095,345,0.001704,-0.00396),(4095,355,0.001755,-0.00401),(4095,365,0.001807,-0.004066),(4095,375,0.001859,-0.004123),(4095,385,0.001911,-0.004181),(4095,395,0.001963,-0.004239),(4095,405,0.002015,-0.004305),(4095,415,0.002067,-0.004372),(4095,425,0.002119,-0.004438),(4095,435,0.002171,-0.004505),(4095,445,0.002224,-0.004582),(4095,455,0.002276,-0.00466),(4095,465,0.002328,-0.004738),(4095,475,0.002381,-0.004815),(4095,485,0.002433,-0.004905),(4095,495,0.002486,-0.004995),(4095,505,0.002538,-0.005085),(4095,515,0.00259,-0.005175),(4095,525,0.002642,-0.005279),(4095,535,0.002695,-0.005383),(4095,545,0.002746,-0.005487),(4095,555,0.002797,-0.005592),(4095,565,0.002848,-0.005711),(4095,575,0.002899,-0.005831),(4095,585,0.002949,-0.00595),(4095,595,0.002998,-0.006071),(4095,605,0.003047,-0.006209),(4095,615,0.003096,-0.006346),(4095,625,0.003143,-0.006484),(4095,635,0.003189,-0.006624),(4095,645,0.003235,-0.006782),(4095,655,0.003281,-0.00694),(4095,665,0.003323,-0.007098),(4095,675,0.003364,-0.00726),(4095,685,0.003406,-0.007442),(4095,695,0.003446,-0.007623),(4095,705,0.003481,-0.007805),(4095,715,0.003516,-0.007992),(4095,725,0.003551,-0.0082),(4095,735,0.003583,-0.008408),(4095,745,0.003608,-0.008616),(4095,755,0.003633,-0.008831),(4095,765,0.003658,-0.009069),(4095,775,0.003679,-0.009307),(4095,785,0.00369,-0.009546),(4095,795,0.003701,-0.009793),(4095,805,0.003712,-0.010065),(4095,815,0.003717,-0.010337),(4095,825,0.003709,-0.010609),(4095,835,0.003701,-0.010893),(4095,845,0.003693,-0.011202),(4095,855,0.003676,-0.011511),(4095,865,0.003641,-0.011821),(4095,875,0.003607,-0.012145),(4095,885,0.003572,-0.012495),(4095,895,0.003524,-0.012844),(4095,905,0.003454,-0.013194),(4095,915,0.003385,-0.013561),(4095,925,0.003315,-0.013954),(4095,935,0.003225,-0.014347),(4095,945,0.003109,-0.014739),(4095,955,0.002993,-0.015152),(4095,965,0.002877,-0.015588),(4095,975,0.002732,-0.016025),(4095,985,0.002556,-0.016461),(4095,995,0.00238,-0.016918),(4095,1005,0.002203,-0.017397),(4095,1015,0.001988,-0.017875),(4095,1025,0.001735,-0.018354),(4095,1035,0.001483,-0.018851),(4095,1045,0.00123,-0.019366),(4095,1055,0.000925,-0.01988),(4095,1065,0.000578,-0.020395),(4095,1075,0.000231,-0.020923),(4095,1085,-0.000116,-0.021461),(4095,1095,-0.00053,-0.022),(4095,1105,-0.000991,-0.022538),(4095,1115,-0.001452,-0.023079),(4095,1125,-0.001912,-0.023622),(4095,1135,-0.002455,-0.024165),(4095,1145,-0.003045,-0.024707),(4095,1155,-0.003636,-0.025234),(4095,1165,-0.004227,-0.025752),(4095,1175,-0.004912,-0.02627),(4095,1185,-0.005643,-0.026788),(4095,1195,-0.006375,-0.027263),(4095,1205,-0.007106,-0.027719),(4095,1215,-0.007937,-0.028175),(4095,1225,-0.008809,-0.028631),(4095,1235,-0.009681,-0.029011),(4095,1245,-0.010553,-0.029362),(4095,1255,-0.011519,-0.029713),(4095,1265,-0.012516,-0.030064),(4095,1275,-0.013513,-0.030301),(4095,1285,-0.01451,-0.030504),(4095,1295,-0.015578,-0.030707),(4095,1305,-0.016666,-0.03091),(4095,1315,-0.017754,-0.030967),(4095,1325,-0.018842,-0.030989),(4095,1335,-0.019964,-0.031011),(4095,1345,-0.021093,-0.031033),(4095,1355,-0.022222,-0.030892),(4095,1365,-0.023351,-0.030721),(4095,1375,-0.024468,-0.03055),(4095,1385,-0.025582,-0.03038),(4095,1395,-0.026696,-0.030051),(4095,1405,-0.02781,-0.029701),(4095,1415,-0.028866,-0.029352),(4095,1425,-0.029915,-0.029002),(4095,1435,-0.030965,-0.028518),(4095,1445,-0.032014,-0.028024),(4095,1455,-0.032971,-0.027529),(4095,1465,-0.033921,-0.027034),(4095,1475,-0.034872,-0.026442),(4095,1485,-0.035823,-0.025846),(4095,1495,-0.036662,-0.02525),(4095,1505,-0.037498,-0.024654),(4095,1515,-0.038335,-0.024002),(4095,1525,-0.039169,-0.023351),(4095,1535,-0.039891,-0.0227),(4095,1545,-0.040613,-0.022048),(4095,1555,-0.041335,-0.021381),(4095,1565,-0.042051,-0.020714),(4095,1575,-0.042669,-0.020048),(4095,1585,-0.043288,-0.019383),(4095,1595,-0.043906,-0.018733),(4095,1605,-0.044516,-0.018083),(4095,1615,-0.045048,-0.017434),(4095,1625,-0.04558,-0.016789),(4095,1635,-0.046112,-0.016179),(4095,1645,-0.046635,-0.015569),(4095,1655,-0.0471,-0.01496),(4095,1665,-0.047565,-0.014359),(4095,1675,-0.048031,-0.013806),(4095,1685,-0.048487,-0.013252),(4095,1695,-0.048905,-0.012698),(4095,1705,-0.049322,-0.012158),(4095,1715,-0.04974,-0.011672),(4095,1725,-0.050151,-0.011185),(4095,1735,-0.050537,-0.010698),(4095,1745,-0.050924,-0.01023),(4095,1755,-0.051311,-0.009818),(4095,1765,-0.051694,-0.009406),(4095,1775,-0.052066,-0.008995),(4095,1785,-0.052437,-0.008606),(4095,1795,-0.052808,-0.008275),(4095,1805,-0.053179,-0.007944),(4095,1815,-0.053547,-0.007613),(4095,1825,-0.053916,-0.00731),(4095,1835,-0.054284,-0.007065),(4095,1845,-0.054655,-0.00682),(4095,1855,-0.055032,-0.006575),(4095,1865,-0.055408,-0.006364),(4095,1875,-0.055784,-0.006211),(4095,1885,-0.056167,-0.006058),(4095,1895,-0.05656,-0.005906),(4095,1905,-0.056953,-0.005794),(4095,1915,-0.057346,-0.005741),(4095,1925,-0.057749,-0.005689),(4095,1935,-0.058165,-0.005636),(4095,1945,-0.058582,-0.005632),(4095,1955,-0.058999,-0.00569),(4095,1965,-0.05943,-0.005748),(4095,1975,-0.059878,-0.005805),(4095,1985,-0.060325,-0.005921),(4095,1995,-0.060772,-0.006102),(4095,2005,-0.061237,-0.006282),(4095,2015,-0.061721,-0.006462),(4095,2025,-0.062204,-0.006714),(4095,2035,-0.062687,-0.007032),(4095,2045,-0.063192,-0.007351),(4095,2055,-0.063716,-0.007669),(4095,2065,-0.06424,-0.008077),(4095,2075,-0.064764,-0.008554),(4095,2085,-0.065314,-0.009032),(4095,2095,-0.065883,-0.009509),(4095,2105,-0.066452,-0.010097),(4095,2115,-0.06702,-0.010759),(4095,2125,-0.067619,-0.01142),(4095,2135,-0.068235,-0.012081),(4095,2145,-0.068852,-0.01288),(4095,2155,-0.069468,-0.013757),(4095,2165,-0.070118,-0.014634),(4095,2175,-0.070784,-0.015511),(4095,2185,-0.071451,-0.01656),(4095,2195,-0.072117,-0.01769),(4095,2205,-0.072818,-0.018821),(4095,2215,-0.073534,-0.019951),(4095,2225,-0.07425,-0.021298),(4095,2235,-0.074966,-0.02273),(4095,2245,-0.075717,-0.024161),(4095,2255,-0.076479,-0.025593),(4095,2265,-0.077242,-0.027296),(4095,2275,-0.078005,-0.029086),(4095,2285,-0.078797,-0.030876),(4095,2295,-0.079598,-0.032665),(4095,2305,-0.0804,-0.034797),(4095,2315,-0.081201,-0.037015),(4095,2325,-0.08202,-0.039233),(4095,2335,-0.082844,-0.041451),(4095,2345,-0.083668,-0.044098),(4095,2355,-0.084492,-0.046829),(4095,2365,-0.085311,-0.04956),(4095,2375,-0.08613,-0.05229),(4095,2385,-0.086948,-0.055559),(4095,2395,-0.087767,-0.058904),(4095,2405,-0.08854,-0.062249),(4095,2415,-0.089307,-0.065593),(4095,2425,-0.090074,-0.069609),(4095,2435,-0.090842,-0.073687),(4095,2445,-0.091492,-0.077764),(4095,2455,-0.092135,-0.081842),(4095,2465,-0.092778,-0.08675),(4095,2475,-0.09342,-0.091697),(4095,2485,-0.093831,-0.096644),(4095,2495,-0.094235,-0.10159),(4095,2505,-0.09464,-0.10755),(4095,2515,-0.095038,-0.11352),(4095,2525,-0.095034,-0.11948),(4095,2535,-0.09503,-0.12549),(4095,2545,-0.095026,-0.13263),(4095,2555,-0.094987,-0.13976),(4095,2565,-0.094328,-0.1469),(4095,2575,-0.093669,-0.15414),(4095,2585,-0.09301,-0.16257),(4095,2595,-0.092258,-0.17101),(4095,2605,-0.090603,-0.17944),(4095,2615,-0.088948,-0.18803),(4095,2625,-0.087294,-0.19783),(4095,2635,-0.085447,-0.20762),(4095,2645,-0.082358,-0.21741),(4095,2655,-0.079268,-0.2274),(4095,2665,-0.076179,-0.23847),(4095,2675,-0.072753,-0.24954),(4095,2685,-0.067724,-0.26062),(4095,2695,-0.062696,-0.27187),(4095,2705,-0.057667,-0.28392),(4095,2715,-0.052126,-0.29596),(4095,2725,-0.044692,-0.30801),(4095,2735,-0.037259,-0.32014),(4095,2745,-0.029825,-0.33257),(4095,2755,-0.021724,-0.34499),(4095,2765,-0.011646,-0.35742),(4095,2775,-0.001569,-0.36974),(4095,2785,0.008509,-0.38177),(4095,2795,0.019313,-0.3938),(4095,2805,0.031876,-0.40583),(4095,2815,0.044439,-0.41754),(4095,2825,0.057002,-0.42854),(4095,2835,0.070252,-0.43954),(4095,2845,0.084886,-0.45054),(4095,2855,0.099519,-0.46104),(4095,2865,0.11415,-0.47064),(4095,2875,0.12938,-0.48024),(4095,2885,0.1456,-0.48984),(4095,2895,0.16183,-0.49884),(4095,2905,0.17805,-0.5069),(4095,2915,0.19476,-0.51496),(4095,2925,0.21215,-0.52302),(4095,2935,0.22954,-0.53042),(4095,2945,0.24693,-0.53695),(4095,2955,0.2647,-0.54347),(4095,2965,0.28294,-0.55),(4095,2975,0.30117,-0.55583),(4095,2985,0.3194,-0.56089),(4095,2995,0.33793,-0.56595),(4095,3005,0.35676,-0.571),(4095,3015,0.3756,-0.57535),(4095,3025,0.39444,-0.57901),(4095,3035,0.41352,-0.58268),(4095,3045,0.43281,-0.58635),(4095,3055,0.4521,-0.58928),(4095,3065,0.47138,-0.59162),(4095,3075,0.49087,-0.59395),(4095,3085,0.51051,-0.59629),(4095,3095,0.53015,-0.59786),(4095,3105,0.5498,-0.59889),(4095,3115,0.56961,-0.59993),(4095,3125,0.58954,-0.60096),(4095,3135,0.60947,-0.60117),(4095,3145,0.6294,-0.60088),(4095,3155,0.64949,-0.6006),(4095,3165,0.66966,-0.60032),(4095,3175,0.68983,-0.59911),(4095,3185,0.71,-0.59744),(4095,3195,0.73031,-0.59578),(4095,3205,0.75069,-0.59411),(4095,3215,0.77106,-0.59138),(4095,3225,0.79144,-0.58821),(4095,3235,0.81192,-0.58505),(4095,3245,0.83244,-0.58188),(4095,3255,0.85296,-0.57746),(4095,3265,0.87348,-0.57261),(4095,3275,0.89404,-0.56777),(4095,3285,0.91462,-0.56292),(4095,3295,0.9352,-0.55657),(4095,3305,0.95578,-0.54982),(4095,3315,0.97629,-0.54306),(4095,3325,0.99678,-0.5363),(4095,3335,1.0173,-0.52772),(4095,3345,1.0378,-0.51875),(4095,3355,1.058,-0.50978),(4095,3365,1.0782,-0.50082),(4095,3375,1.0983,-0.48964),(4095,3385,1.1185,-0.47811),(4095,3395,1.1381,-0.46659),(4095,3405,1.1576,-0.45507),(4095,3415,1.1771,-0.44088),(4095,3425,1.1966,-0.42643),(4095,3435,1.215,-0.41197),(4095,3445,1.2332,-0.39751),(4095,3455,1.2515,-0.37995),(4095,3465,1.2698,-0.36221),(4095,3475,1.2861,-0.34446),(4095,3485,1.3024,-0.32672),(4095,3495,1.3187,-0.30551),(4095,3505,1.335,-0.28425),(4095,3515,1.3482,-0.26299),(4095,3525,1.3615,-0.24164),(4095,3535,1.3747,-0.21693),(4095,3545,1.3878,-0.19222),(4095,3555,1.3967,-0.16751),(4095,3565,1.4056,-0.14261),(4095,3575,1.4146,-0.11504),(4095,3585,1.423,-0.087471),(4095,3595,1.4264,-0.059902),(4095,3605,1.4298,-0.032175),(4095,3615,1.4331,-0.003094),(4095,3625,1.4357,0.025988),(4095,3635,1.4327,0.055069),(4095,3645,1.4297,0.084079),(4095,3655,1.4267,0.11266),(4095,3665,1.4226,0.14124),(4095,3675,1.4135,0.16982),(4095,3685,1.4043,0.19796),(4095,3695,1.3952,0.22412),(4095,3705,1.385,0.25028),(4095,3715,1.371,0.27644),(4095,3725,1.357,0.30186),(4095,3735,1.343,0.32469),(4095,3745,1.3281,0.34752),(4095,3755,1.3107,0.37036),(4095,3765,1.2933,0.39228),(4095,3775,1.2758,0.41166),(4095,3785,1.2578,0.43105),(4095,3795,1.2382,0.45043),(4095,3805,1.2185,0.46885),(4095,3815,1.1989,0.48506),(4095,3825,1.1788,0.50126),(4095,3835,1.1578,0.51747),(4095,3845,1.1368,0.53274),(4095,3855,1.1159,0.5462),(4095,3865,1.0946,0.55966),(4095,3875,1.0729,0.57312),(4095,3885,1.0511,0.5857),(4095,3895,1.0294,0.59687),(4095,3905,1.0075,0.60803),(4095,3915,0.98533,0.61919),(4095,3925,0.96319,0.62957),(4095,3935,0.94106,0.63885),(4095,3945,0.91887,0.64814),(4095,3955,0.89659,0.65742),(4095,3965,0.87431,0.66601),(4095,3975,0.85203,0.67377),(4095,3985,0.82976,0.68153),(4095,3995,0.80749,0.6893),(4095,4005,0.78522,0.69651),(4095,4015,0.76295,0.70317),(4095,4025,1.1232,0.70983),(4095,4035,1.5208,0.71441),(4095,4045,1.9184,0.71458),(4095,4055,2.2021,0.71475),(4095,4065,2.4442,0.71436),(4095,4075,2.6863,0.71054),(4095,4085,2.7906,0.70673),(4095,4095,2.7843,0.70292),(4095,4105,2.778,0.69876),(4095,4115,2.6777,0.69458),(4095,4125,2.4217,0.69041),(4095,4135,2.1657,0.68858),(4095,4145,1.9067,0.68739),(4095,4155,1.6354,0.68621),(4095,4165,1.3642,0.68695),(4095,4175,1.1081,0.68894),(4095,4185,1.6048,0.69093),(4095,4195,2.1014,0.68968),(4095,4205,2.598,0.68414),(4095,4215,2.6727,0.6786),(4095,4225,2.668,0.67301),(4095,4235,2.6633,0.66729),(4095,4245,2.657,0.66157),(4095,4255,2.6498,0.65579),(4095,4265,2.6426,0.64916),(4095,4275,2.3114,0.64253),(4095,4285,1.6362,0.63591),(4095,4295,0.96108,0.63812),(4095,4305,0.66904,0.64137),(4095,4315,1.2421,0.64461),(4095,4325,1.8152,0.64151),(4095,4335,2.3245,0.63593),(4095,4345,2.4023,0.63034),(4095,4355,2.4802,0.62395),(4095,4365,2.558,0.61687),(4095,4375,2.5591,0.6098),(4095,4385,2.5563,0.60272),(4095,4395,2.5534,0.59563),(4095,4405,2.225,0.58854),(4095,4415,1.8007,0.58257),(4095,4425,1.3764,0.58164),(4095,4435,1.1948,0.58071),(4095,4445,1.179,0.57978),(4095,4455,1.1632,0.57901),(4095,4465,1.3283,0.57825),(4095,4475,1.7473,0.57749),(4095,4485,2.1664,0.5718),(4095,4495,2.4854,0.56508),(4095,4505,2.483,0.55837),(4095,4515,2.4806,0.55166),(4095,4525,2.4733,0.54495),(4095,4535,2.3878,0.53825),(4095,4545,2.3023,0.532),(4095,4555,2.2168,0.52628),(4095,4565,1.6685,0.52056),(4095,4575,1.0577,0.51711),(4095,4585,0.44691,0.51918),(4095,4595,0.7412,0.52125),(4095,4605,1.4179,0.5223),(4095,4615,2.0946,0.5154),(4095,4625,2.4163,0.50851),(4095,4635,2.4165,0.50162),(4095,4645,2.4166,0.49542),(4095,4655,2.4162,0.48927),(4095,4665,2.4144,0.48312),(4095,4675,2.4127,0.47707),(4095,4685,2.325,0.47105),(4095,4695,1.8121,0.46503),(4095,4705,1.2993,0.46225),(4095,4715,0.78644,0.46183),(4095,4725,1.0244,0.46141),(4095,4735,1.2698,0.45993),(4095,4745,1.5152,0.45685),(4095,4755,1.7671,0.45377),(4095,4765,2.0206,0.45008),(4095,4775,2.274,0.44426),(4095,4785,2.3661,0.43844),(4095,4795,2.3647,0.43263),(4095,4805,2.3634,0.42688),(4095,4815,2.2457,0.42112),(4095,4825,1.9889,0.41537),(4095,4835,1.732,0.41186),(4095,4845,1.4719,0.40869),(4095,4855,1.2033,0.40552),(4095,4865,0.93479,0.40417),(4095,4875,0.74384,0.40365),(4095,4885,1.2589,0.40312),(4095,4895,1.7739,0.39994),(4095,4905,2.2889,0.39421),(4095,4915,2.3289,0.38848),(4095,4925,2.328,0.38277),(4095,4935,2.3271,0.3771),(4095,4945,2.3254,0.37144),(4095,4955,2.3234,0.36573),(4095,4965,2.3214,0.3598),(4095,4975,1.9317,0.35388),(4095,4985,1.2426,0.34795),(4095,4995,0.55363,0.34876),(4095,5005,0.32853,0.34975),(4095,5015,0.84095,0.35073),(4095,5025,1.3534,0.34822),(4095,5035,1.7947,0.34481),(4095,5045,1.9653,0.34141),(4095,5055,2.1359,0.33713),(4095,5065,2.3014,0.3323),(4095,5075,2.3006,0.32747),(4095,5085,2.2998,0.32267),(4095,5095,2.299,0.31791),(4095,5105,2.0038,0.31316),(4095,5115,1.6572,0.30912),(4095,5125,1.3107,0.30713),(4095,5135,1.1341,0.30514),(4095,5145,1.0399,0.30322),(4095,5155,0.94579,0.30209),(4095,5165,1.1133,0.30095),(4095,5175,1.5476,0.29982),(4095,5185,1.982,0.29601),(4095,5195,2.2784,0.29193),(4095,5205,2.2775,0.28785),(4095,5215,2.2765,0.2838),(4095,5225,2.2638,0.27976),(4095,5235,2.1777,0.27573),(4095,5245,2.0915,0.27201),(4095,5255,2.0054,0.26856),(4095,5265,1.4081,0.26511),(4095,5275,0.78964,0.26306),(4095,5285,0.17121,0.26336),(4095,5295,0.57469,0.26367),(4095,5305,1.2627,0.26331),(4095,5315,1.9508,0.26018),(4095,5325,2.223,0.25705),(4095,5335,2.2224,0.25392),(4095,5345,2.2219,0.25091),(4095,5355,2.221,0.2479),(4095,5365,2.2199,0.2449),(4095,5375,2.2188,0.24189),(4095,5385,2.0905,0.23888),(4095,5395,1.5754,0.23588),(4095,5405,1.0604,0.23448),(4095,5415,0.59872,0.23392),(4095,5425,0.8535,0.23336),(4095,5435,1.1083,0.23253),(4095,5445,1.3631,0.23141),(4095,5455,1.619,0.2303),(4095,5465,1.8751,0.22891),(4095,5475,2.1312,0.22688),(4095,5485,2.2039,0.22485),(4095,5495,2.2026,0.22281),(4095,5505,2.2014,0.22065),(4095,5515,2.2002,0.21848),(4095,5525,2.1991,0.21632),(4095,5535,2.198,0.21404),(4095,5545,2.1969,0.21175),(4095,5555,2.1959,0.20947),(4095,5565,2.1948,0.20712),(4095,5575,2.1938,0.20476),(4095,5585,2.1927,0.2024),(4095,5595,2.1916,0.20007),(4095,5605,2.1906,0.19776),(4095,5615,2.1894,0.19544),(4095,5625,2.1882,0.19319),(4095,5635,2.187,0.19103),(4095,5645,2.1856,0.18886),(4095,5655,2.1843,0.18676),(4095,5665,2.1829,0.18487),(4095,5675,2.1814,0.18297),(4095,5685,2.1798,0.1811),(4095,5695,2.1782,0.17958),(4095,5705,2.1765,0.17807),(4095,5715,2.1747,0.17655),(4095,5725,2.1729,0.17541),(4095,5735,2.171,0.17432),(4095,5745,2.169,0.17324),(4095,5755,2.1671,0.17246),(4095,5765,2.1651,0.17181),(4095,5775,2.163,0.17116),(4095,5785,2.1608,0.17074),(4095,5795,2.1587,0.17052),(4095,5805,2.1566,0.1703),(4095,5815,2.1544,0.17022),(4095,5825,2.1522,0.17038),(4095,5835,2.1501,0.17054),(4095,5845,2.1479,0.17076),(4095,5855,2.1457,0.17126),(4095,5865,2.1436,0.17176),(4095,5875,2.1415,0.17226),(4095,5885,2.1394,0.17302),(4095,5895,2.1373,0.17379),(4095,5905,2.1353,0.17456),(4095,5915,2.1333,0.17549),(4095,5925,2.1313,0.17645),(4095,5935,2.1294,0.17742),(4095,5945,2.1275,0.17847),(4095,5955,2.1257,0.17957),(4095,5965,2.124,0.18067),(4095,5975,2.1223,0.18179),(4095,5985,2.1206,0.18295),(4095,5995,1.6203,0.18411),(4095,6005,1.0399,0.185),(4095,6015,0.45946,0.18517),(4095,6025,0.63729,0.18533),(4095,6035,1.1668,0.18502),(4095,6045,1.6963,0.18005),(4095,6055,2.0615,0.17509),(4095,6065,2.2655,0.17012),(4095,6075,2.4696,0.16376),(4095,6085,2.6067,0.15727),(4095,6095,2.6059,0.15077),(4095,6105,2.6051,0.1445),(4095,6115,2.6042,0.1383),(4095,6125,2.6027,0.13211),(4095,6135,2.6012,0.12621),(4095,6145,2.5998,0.12054),(4095,6155,2.5977,0.11487),(4095,6165,2.5956,0.10947),(4095,6175,2.5936,0.1045),(4095,6185,2.5911,0.099535),(4095,6195,2.5886,0.09471),(4095,6205,2.5861,0.09045),(4095,6215,2.5833,0.08619),(4095,6225,2.5805,0.081947),(4095,6235,2.5777,0.078382),(4095,6245,2.5748,0.074816),(4095,6255,2.5718,0.071251),(4095,6265,2.5688,0.068171),(4095,6275,2.5659,0.065179),(4095,6285,2.5629,0.062187),(4095,6295,2.56,0.059538),(4095,6305,2.5571,0.057059),(4095,6315,2.5543,0.05458),(4095,6325,2.5515,0.052299),(4095,6335,2.5487,0.050224),(4095,6345,2.5461,0.048148),(4095,6355,2.5435,0.046171),(4095,6365,2.5409,0.044411),(4095,6375,2.5386,0.04265),(4095,6385,2.5363,0.04092),(4095,6395,2.534,0.039387),(4095,6405,2.5319,0.037853),(4095,6415,2.53,0.036319),(4095,6425,2.528,0.034839),(4095,6435,2.5262,0.033361),(4095,6445,2.5246,0.031884),(4095,6455,2.523,0.030479),(4095,6465,2.5214,0.029095),(4095,6475,2.5201,0.027711),(4095,6485,2.5189,0.02635),(4095,6495,2.5176,0.025005),(4095,6505,2.5166,0.02366),(4095,6515,2.5157,0.022295),(4095,6525,2.5147,0.0209),(4095,6535,2.5141,0.019506),(4095,6545,2.5134,0.018117),(4095,6555,2.5128,0.016743),(4095,6565,2.5124,0.01537),(4095,6575,2.512,0.013996),(4095,6585,2.5117,0.012615),(4095,6595,2.1362,0.011234),(4095,6605,1.3465,0.009853),(4095,6615,0.55675,0.009712),(4095,6625,0.001582,0.00973),(4095,6635,0.001592,0.009749),(4095,6645,0.001601,0.00975),(4095,6655,0.001611,0.009745),(4095,6665,0.00162,0.00974),(4095,6675,0.001629,0.009734),(4095,6685,0.001637,0.009728),(4095,6695,0.001645,0.009721),(4095,6705,0.001653,0.009715),(4095,6715,0.001661,0.009707),(4095,6725,0.001668,0.0097),(4095,6735,0.001675,0.009693),(4095,6745,0.001681,0.009685),(4095,6755,0.001688,0.009677),(4095,6765,0.001694,0.009669),(4095,6775,0.0017,0.00966),(4095,6785,0.001705,0.009652),(4095,6795,0.00171,0.009643),(4095,6805,0.001715,0.009634),(4095,6815,0.00172,0.009626),(4095,6825,0.001725,0.009617),(4095,6835,0.001729,0.009608),(4095,6845,0.001733,0.009599),(4095,6855,0.001737,0.00959),(4095,6865,0.001741,0.00958),(4095,6875,0.001745,0.009571),(4095,6885,0.001748,0.009562),(4095,6895,0.001751,0.009553),(4095,6905,0.001754,0.009543),(4095,6915,0.001757,0.009534),(4095,6925,0.00176,0.009524),(4095,6935,0.001762,0.009515),(4095,6945,0.001765,0.009506),(4095,6955,0.001767,0.009496),(4095,6965,0.00177,0.009487),(4095,6975,0.001772,0.009477),(4095,6985,0.001773,0.009468),(4105,5,2.5e-05,-0.00312),(4105,15,7.4e-05,-0.003122),(4105,25,0.000123,-0.003125),(4105,35,0.000172,-0.003127),(4105,45,0.000222,-0.003132),(4105,55,0.000271,-0.003139),(4105,65,0.00032,-0.003146),(4105,75,0.00037,-0.003153),(4105,85,0.000419,-0.003163),(4105,95,0.000469,-0.003175),(4105,105,0.000518,-0.003187),(4105,115,0.000568,-0.003199),(4105,125,0.000617,-0.003214),(4105,135,0.000667,-0.003231),(4105,145,0.000717,-0.003249),(4105,155,0.000767,-0.003266),(4105,165,0.000817,-0.003286),(4105,175,0.000867,-0.003308),(4105,185,0.000918,-0.003331),(4105,195,0.000968,-0.003353),(4105,205,0.001019,-0.00338),(4105,215,0.00107,-0.003408),(4105,225,0.001121,-0.003436),(4105,235,0.001172,-0.003465),(4105,245,0.001224,-0.003498),(4105,255,0.001275,-0.003532),(4105,265,0.001327,-0.003567),(4105,275,0.001379,-0.003601),(4105,285,0.001431,-0.003641),(4105,295,0.001483,-0.003682),(4105,305,0.001536,-0.003723),(4105,315,0.001589,-0.003765),(4105,325,0.001641,-0.003812),(4105,335,0.001694,-0.003861),(4105,345,0.001748,-0.00391),(4105,355,0.001801,-0.003959),(4105,365,0.001855,-0.004015),(4105,375,0.001908,-0.004072),(4105,385,0.001962,-0.00413),(4105,395,0.002017,-0.004187),(4105,405,0.002071,-0.004253),(4105,415,0.002125,-0.00432),(4105,425,0.00218,-0.004387),(4105,435,0.002235,-0.004454),(4105,445,0.002289,-0.004531),(4105,455,0.002344,-0.004608),(4105,465,0.0024,-0.004686),(4105,475,0.002455,-0.004764),(4105,485,0.00251,-0.004853),(4105,495,0.002565,-0.004944),(4105,505,0.002621,-0.005034),(4105,515,0.002676,-0.005124),(4105,525,0.002732,-0.005228),(4105,535,0.002787,-0.005332),(4105,545,0.002842,-0.005437),(4105,555,0.002897,-0.005542),(4105,565,0.002952,-0.005662),(4105,575,0.003007,-0.005782),(4105,585,0.003061,-0.005902),(4105,595,0.003115,-0.006024),(4105,605,0.003168,-0.006162),(4105,615,0.003222,-0.0063),(4105,625,0.003273,-0.006438),(4105,635,0.003325,-0.00658),(4105,645,0.003376,-0.006739),(4105,655,0.003427,-0.006898),(4105,665,0.003475,-0.007058),(4105,675,0.003522,-0.007221),(4105,685,0.00357,-0.007404),(4105,695,0.003616,-0.007587),(4105,705,0.003658,-0.007771),(4105,715,0.003699,-0.00796),(4105,725,0.003741,-0.00817),(4105,735,0.00378,-0.008381),(4105,745,0.003813,-0.008592),(4105,755,0.003846,-0.00881),(4105,765,0.003878,-0.009052),(4105,775,0.003907,-0.009293),(4105,785,0.003927,-0.009535),(4105,795,0.003947,-0.009787),(4105,805,0.003967,-0.010064),(4105,815,0.003981,-0.01034),(4105,825,0.003983,-0.010617),(4105,835,0.003985,-0.010907),(4105,845,0.003986,-0.011223),(4105,855,0.003979,-0.011539),(4105,865,0.003956,-0.011855),(4105,875,0.003932,-0.012186),(4105,885,0.003909,-0.012545),(4105,895,0.003872,-0.012904),(4105,905,0.003814,-0.013263),(4105,915,0.003757,-0.01364),(4105,925,0.003699,-0.014044),(4105,935,0.003621,-0.014449),(4105,945,0.003518,-0.014853),(4105,955,0.003414,-0.015279),(4105,965,0.00331,-0.015731),(4105,975,0.003178,-0.016182),(4105,985,0.003014,-0.016634),(4105,995,0.00285,-0.017108),(4105,1005,0.002687,-0.017606),(4105,1015,0.002483,-0.018103),(4105,1025,0.002242,-0.018601),(4105,1035,0.002,-0.01912),(4105,1045,0.001759,-0.019658),(4105,1055,0.001464,-0.020197),(4105,1065,0.001125,-0.020735),(4105,1075,0.000787,-0.021289),(4105,1085,0.000448,-0.021856),(4105,1095,4e-05,-0.022423),(4105,1105,-0.000417,-0.022989),(4105,1115,-0.000874,-0.023561),(4105,1125,-0.001331,-0.024136),(4105,1135,-0.001874,-0.024711),(4105,1145,-0.002469,-0.025285),(4105,1155,-0.003063,-0.025846),(4105,1165,-0.003658,-0.026398),(4105,1175,-0.004353,-0.026951),(4105,1185,-0.005098,-0.027504),(4105,1195,-0.005843,-0.028014),(4105,1205,-0.006589,-0.028504),(4105,1215,-0.007442,-0.028995),(4105,1225,-0.00834,-0.029485),(4105,1235,-0.009238,-0.029896),(4105,1245,-0.010135,-0.030278),(4105,1255,-0.011135,-0.030659),(4105,1265,-0.01217,-0.031041),(4105,1275,-0.013204,-0.031302),(4105,1285,-0.014239,-0.031527),(4105,1295,-0.015352,-0.031752),(4105,1305,-0.016487,-0.031977),(4105,1315,-0.017621,-0.032047),(4105,1325,-0.018756,-0.032079),(4105,1335,-0.019927,-0.032111),(4105,1345,-0.021107,-0.032143),(4105,1355,-0.022286,-0.032001),(4105,1365,-0.023465,-0.031827),(4105,1375,-0.024628,-0.031653),(4105,1385,-0.025789,-0.031479),(4105,1395,-0.026949,-0.031135),(4105,1405,-0.02811,-0.03077),(4105,1415,-0.029203,-0.030405),(4105,1425,-0.030289,-0.030041),(4105,1435,-0.031375,-0.029533),(4105,1445,-0.032461,-0.029015),(4105,1455,-0.033442,-0.028496),(4105,1465,-0.034417,-0.027978),(4105,1475,-0.035392,-0.027358),(4105,1485,-0.036368,-0.026734),(4105,1495,-0.037218,-0.02611),(4105,1505,-0.038066,-0.025486),(4105,1515,-0.038914,-0.024807),(4105,1525,-0.039759,-0.024128),(4105,1535,-0.040482,-0.023448),(4105,1545,-0.041205,-0.022768),(4105,1555,-0.041928,-0.022076),(4105,1565,-0.042643,-0.021384),(4105,1575,-0.043255,-0.020692),(4105,1585,-0.043866,-0.020002),(4105,1595,-0.044477,-0.019331),(4105,1605,-0.045078,-0.01866),(4105,1615,-0.045597,-0.017989),(4105,1625,-0.046116,-0.017323),(4105,1635,-0.046635,-0.016697),(4105,1645,-0.047144,-0.016071),(4105,1655,-0.047592,-0.015445),(4105,1665,-0.048041,-0.014828),(4105,1675,-0.048489,-0.014263),(4105,1685,-0.048928,-0.013697),(4105,1695,-0.049326,-0.013132),(4105,1705,-0.049724,-0.012581),(4105,1715,-0.050122,-0.012087),(4105,1725,-0.050513,-0.011592),(4105,1735,-0.050879,-0.011098),(4105,1745,-0.051245,-0.010623),(4105,1755,-0.051611,-0.010207),(4105,1765,-0.051973,-0.009792),(4105,1775,-0.052322,-0.009376),(4105,1785,-0.052671,-0.008984),(4105,1795,-0.05302,-0.008653),(4105,1805,-0.053368,-0.008321),(4105,1815,-0.053714,-0.00799),(4105,1825,-0.054059,-0.007687),(4105,1835,-0.054404,-0.007444),(4105,1845,-0.054751,-0.007201),(4105,1855,-0.055103,-0.006959),(4105,1865,-0.055455,-0.00675),(4105,1875,-0.055806,-0.006602),(4105,1885,-0.056164,-0.006454),(4105,1895,-0.05653,-0.006305),(4105,1905,-0.056897,-0.006198),(4105,1915,-0.057264,-0.006152),(4105,1925,-0.057639,-0.006106),(4105,1935,-0.058027,-0.00606),(4105,1945,-0.058416,-0.006063),(4105,1955,-0.058804,-0.006128),(4105,1965,-0.059205,-0.006194),(4105,1975,-0.05962,-0.006259),(4105,1985,-0.060036,-0.006384),(4105,1995,-0.060452,-0.006574),(4105,2005,-0.060883,-0.006763),(4105,2015,-0.061331,-0.006953),(4105,2025,-0.061778,-0.007215),(4105,2035,-0.062226,-0.007544),(4105,2045,-0.062693,-0.007873),(4105,2055,-0.063176,-0.008202),(4105,2065,-0.063659,-0.008621),(4105,2075,-0.064143,-0.009111),(4105,2085,-0.064648,-0.0096),(4105,2095,-0.06517,-0.010089),(4105,2105,-0.065692,-0.010689),(4105,2115,-0.066214,-0.011364),(4105,2125,-0.06676,-0.012038),(4105,2135,-0.067322,-0.012712),(4105,2145,-0.067884,-0.013524),(4105,2155,-0.068446,-0.014414),(4105,2165,-0.069035,-0.015304),(4105,2175,-0.069637,-0.016195),(4105,2185,-0.07024,-0.017257),(4105,2195,-0.070842,-0.018401),(4105,2205,-0.071471,-0.019545),(4105,2215,-0.072112,-0.020689),(4105,2225,-0.072752,-0.022049),(4105,2235,-0.073393,-0.023494),(4105,2245,-0.074058,-0.024938),(4105,2255,-0.074731,-0.026383),(4105,2265,-0.075404,-0.028097),(4105,2275,-0.076078,-0.029898),(4105,2285,-0.076768,-0.031699),(4105,2295,-0.077463,-0.033501),(4105,2305,-0.078158,-0.03564),(4105,2315,-0.078853,-0.037865),(4105,2325,-0.079551,-0.040091),(4105,2335,-0.080249,-0.042316),(4105,2345,-0.080947,-0.044965),(4105,2355,-0.081645,-0.047697),(4105,2365,-0.082319,-0.050428),(4105,2375,-0.082989,-0.05316),(4105,2385,-0.083658,-0.056419),(4105,2395,-0.084328,-0.059753),(4105,2405,-0.084928,-0.063087),(4105,2415,-0.085519,-0.066422),(4105,2425,-0.086111,-0.07041),(4105,2435,-0.086703,-0.074459),(4105,2445,-0.08715,-0.078507),(4105,2455,-0.087588,-0.082556),(4105,2465,-0.088025,-0.087408),(4105,2475,-0.088463,-0.092297),(4105,2485,-0.088638,-0.097187),(4105,2495,-0.088806,-0.10208),(4105,2505,-0.088975,-0.10794),(4105,2515,-0.089137,-0.1138),(4105,2525,-0.088868,-0.11967),(4105,2535,-0.088599,-0.12557),(4105,2545,-0.088331,-0.13255),(4105,2555,-0.088025,-0.13952),(4105,2565,-0.087081,-0.14649),(4105,2575,-0.086137,-0.15356),(4105,2585,-0.085193,-0.16174),(4105,2595,-0.084155,-0.16992),(4105,2605,-0.082213,-0.17811),(4105,2615,-0.080271,-0.18643),(4105,2625,-0.078329,-0.19586),(4105,2635,-0.0762,-0.20529),(4105,2645,-0.072853,-0.21472),(4105,2655,-0.069507,-0.22432),(4105,2665,-0.06616,-0.2349),(4105,2675,-0.062491,-0.24547),(4105,2685,-0.057283,-0.25605),(4105,2695,-0.052074,-0.26679),(4105,2705,-0.046865,-0.27821),(4105,2715,-0.041172,-0.28964),(4105,2725,-0.033687,-0.30106),(4105,2735,-0.026201,-0.31256),(4105,2745,-0.018716,-0.32431),(4105,2755,-0.010604,-0.33606),(4105,2765,-0.000633,-0.3478),(4105,2775,0.009338,-0.35945),(4105,2785,0.019308,-0.37084),(4105,2795,0.029965,-0.38223),(4105,2805,0.042284,-0.39363),(4105,2815,0.054603,-0.40473),(4105,2825,0.066922,-0.4152),(4105,2835,0.079898,-0.42566),(4105,2845,0.094197,-0.43613),(4105,2855,0.1085,-0.44615),(4105,2865,0.1228,-0.45535),(4105,2875,0.13767,-0.46454),(4105,2885,0.15352,-0.47373),(4105,2895,0.16936,-0.48237),(4105,2905,0.18521,-0.49013),(4105,2915,0.20153,-0.4979),(4105,2925,0.21854,-0.50566),(4105,2935,0.23554,-0.51281),(4105,2945,0.25254,-0.51912),(4105,2955,0.26992,-0.52543),(4105,2965,0.28777,-0.53175),(4105,2975,0.30561,-0.5374),(4105,2985,0.32346,-0.5423),(4105,2995,0.34161,-0.54721),(4105,3005,0.36007,-0.55211),(4105,3015,0.37853,-0.55633),(4105,3025,0.39699,-0.55988),(4105,3035,0.4157,-0.56343),(4105,3045,0.43462,-0.56698),(4105,3055,0.45354,-0.56982),(4105,3065,0.47247,-0.57206),(4105,3075,0.49159,-0.57431),(4105,3085,0.51087,-0.57656),(4105,3095,0.53014,-0.57805),(4105,3105,0.54942,-0.57901),(4105,3115,0.56887,-0.57997),(4105,3125,0.58843,-0.58093),(4105,3135,0.60799,-0.58107),(4105,3145,0.62754,-0.58072),(4105,3155,0.64725,-0.58038),(4105,3165,0.66704,-0.58003),(4105,3175,0.68682,-0.57877),(4105,3185,0.70661,-0.57705),(4105,3195,0.72651,-0.57533),(4105,3205,0.74647,-0.57361),(4105,3215,0.76643,-0.57084),(4105,3225,0.78638,-0.56763),(4105,3235,0.80642,-0.56442),(4105,3245,0.82648,-0.56121),(4105,3255,0.84655,-0.55677),(4105,3265,0.86661,-0.5519),(4105,3275,0.88668,-0.54704),(4105,3285,0.90675,-0.54218),(4105,3295,0.92681,-0.53583),(4105,3305,0.94688,-0.52909),(4105,3315,0.96683,-0.52235),(4105,3325,0.98675,-0.51561),(4105,3335,1.0067,-0.50709),(4105,3345,1.0266,-0.4982),(4105,3355,1.0462,-0.4893),(4105,3365,1.0657,-0.48041),(4105,3375,1.0852,-0.46938),(4105,3385,1.1048,-0.45802),(4105,3395,1.1236,-0.44666),(4105,3405,1.1424,-0.43531),(4105,3415,1.1612,-0.42141),(4105,3425,1.18,-0.40726),(4105,3435,1.1976,-0.39311),(4105,3445,1.2151,-0.37895),(4105,3455,1.2326,-0.36188),(4105,3465,1.25,-0.34464),(4105,3475,1.2656,-0.3274),(4105,3485,1.2811,-0.31015),(4105,3495,1.2966,-0.28971),(4105,3505,1.312,-0.26922),(4105,3515,1.3245,-0.24873),(4105,3525,1.337,-0.22817),(4105,3535,1.3495,-0.20456),(4105,3545,1.3618,-0.18094),(4105,3555,1.3701,-0.15733),(4105,3565,1.3785,-0.13356),(4105,3575,1.3868,-0.10742),(4105,3585,1.3947,-0.081286),(4105,3595,1.3978,-0.05515),(4105,3605,1.4008,-0.028879),(4105,3615,1.4039,-0.001444),(4105,3625,1.4062,0.025991),(4105,3635,1.4033,0.053426),(4105,3645,1.4004,0.080799),(4105,3655,1.3975,0.1078),(4105,3665,1.3936,0.13479),(4105,3675,1.385,0.16179),(4105,3685,1.3763,0.18841),(4105,3695,1.3676,0.21332),(4105,3705,1.358,0.23823),(4105,3715,1.3447,0.26314),(4105,3725,1.3314,0.2874),(4105,3735,1.3181,0.30937),(4105,3745,1.304,0.33134),(4105,3755,1.2873,0.3533),(4105,3765,1.2707,0.37445),(4105,3775,1.254,0.39327),(4105,3785,1.2367,0.4121),(4105,3795,1.2178,0.43093),(4105,3805,1.1989,0.44886),(4105,3815,1.1801,0.46473),(4105,3825,1.1607,0.48061),(4105,3835,1.1404,0.49648),(4105,3845,1.1201,0.51146),(4105,3855,1.0998,0.52474),(4105,3865,1.0792,0.53801),(4105,3875,1.058,0.55129),(4105,3885,1.0368,0.56372),(4105,3895,1.0157,0.5748),(4105,3905,0.99431,0.58587),(4105,3915,0.97267,0.59695),(4105,3925,0.95103,0.60725),(4105,3935,0.92939,0.61651),(4105,3945,0.90766,0.62576),(4105,3955,0.88579,0.63502),(4105,3965,0.86393,0.64359),(4105,3975,0.84206,0.65136),(4105,3985,0.82017,0.65914),(4105,3995,0.79824,0.66691),(4105,4005,0.77631,0.67414),(4105,4015,0.75439,0.68083),(4105,4025,1.1155,0.68752),(4105,4035,1.514,0.69216),(4105,4045,1.9125,0.69246),(4105,4055,2.1969,0.69277),(4105,4065,2.4395,0.69251),(4105,4075,2.6822,0.68888),(4105,4085,2.7869,0.68526),(4105,4095,2.7807,0.68163),(4105,4105,2.7745,0.67764),(4105,4115,2.6742,0.67364),(4105,4125,2.4179,0.66963),(4105,4135,2.1617,0.66794),(4105,4145,1.9025,0.66688),(4105,4155,1.631,0.66581),(4105,4165,1.3595,0.66666),(4105,4175,1.1032,0.66873),(4105,4185,1.6008,0.67081),(4105,4195,2.0984,0.66967),(4105,4205,2.5959,0.66429),(4105,4215,2.6709,0.65891),(4105,4225,2.6662,0.65348),(4105,4235,2.6616,0.64791),(4105,4245,2.6554,0.64234),(4105,4255,2.6486,0.63671),(4105,4265,2.6417,0.63026),(4105,4275,2.31,0.62382),(4105,4285,1.6337,0.61737),(4105,4295,0.95734,0.61963),(4105,4305,0.66484,0.62291),(4105,4315,1.2391,0.62618),(4105,4325,1.8133,0.62317),(4105,4335,2.3236,0.61769),(4105,4345,2.4017,0.61221),(4105,4355,2.4798,0.60594),(4105,4365,2.5578,0.59899),(4105,4375,2.559,0.59205),(4105,4385,2.5561,0.5851),(4105,4395,2.5532,0.57816),(4105,4405,2.2243,0.57122),(4105,4415,1.7993,0.56539),(4105,4425,1.3743,0.56451),(4105,4435,1.1924,0.56364),(4105,4445,1.1766,0.56277),(4105,4455,1.1608,0.56206),(4105,4465,1.3261,0.56135),(4105,4475,1.7458,0.56064),(4105,4485,2.1656,0.55506),(4105,4495,2.485,0.54846),(4105,4505,2.4827,0.54186),(4105,4515,2.4803,0.53527),(4105,4525,2.473,0.52868),(4105,4535,2.3874,0.5221),(4105,4545,2.3019,0.51598),(4105,4555,2.2163,0.51037),(4105,4565,1.6673,0.50476),(4105,4575,1.0558,0.50139),(4105,4585,0.44437,0.50345),(4105,4595,0.73902,0.50551),(4105,4605,1.4165,0.50658),(4105,4615,2.094,0.49993),(4105,4625,2.416,0.49328),(4105,4635,2.4159,0.48663),(4105,4645,2.4159,0.48062),(4105,4655,2.4153,0.47466),(4105,4665,2.4136,0.4687),(4105,4675,2.4118,0.46283),(4105,4685,2.324,0.45699),(4105,4695,1.8109,0.45115),(4105,4705,1.2978,0.44847),(4105,4715,0.78466,0.4481),(4105,4725,1.0227,0.44773),(4105,4735,1.2683,0.44631),(4105,4745,1.5138,0.44332),(4105,4755,1.7659,0.44034),(4105,4765,2.0195,0.43676),(4105,4775,2.2731,0.43108),(4105,4785,2.3651,0.42541),(4105,4795,2.3638,0.41973),(4105,4805,2.3625,0.41411),(4105,4815,2.2447,0.40849),(4105,4825,1.9878,0.40287),(4105,4835,1.7308,0.39945),(4105,4845,1.4706,0.39637),(4105,4855,1.202,0.39329),(4105,4865,0.93343,0.392),(4105,4875,0.74244,0.39153),(4105,4885,1.2577,0.39105),(4105,4895,1.7729,0.38796),(4105,4905,2.2881,0.38236),(4105,4915,2.3281,0.37676),(4105,4925,2.3272,0.37118),(4105,4935,2.3262,0.36564),(4105,4945,2.3246,0.3601),(4105,4955,2.3226,0.35452),(4105,4965,2.3207,0.34874),(4105,4975,1.9309,0.34297),(4105,4985,1.2417,0.33719),(4105,4995,0.55242,0.33802),(4105,5005,0.32716,0.33902),(4105,5015,0.83952,0.34002),(4105,5025,1.3519,0.33761),(4105,5035,1.7932,0.33434),(4105,5045,1.9638,0.33106),(4105,5055,2.1343,0.32693),(4105,5065,2.2998,0.32227),(4105,5075,2.299,0.31761),(4105,5085,2.2981,0.31298),(4105,5095,2.2973,0.30838),(4105,5105,2.0022,0.30379),(4105,5115,1.6558,0.2999),(4105,5125,1.3093,0.298),(4105,5135,1.1327,0.29609),(4105,5145,1.0386,0.29425),(4105,5155,0.94447,0.29317),(4105,5165,1.1118,0.29209),(4105,5175,1.5459,0.29101),(4105,5185,1.98,0.28735),(4105,5195,2.2763,0.28342),(4105,5205,2.2753,0.27948),(4105,5215,2.2743,0.27558),(4105,5225,2.2616,0.27169),(4105,5235,2.1755,0.26781),(4105,5245,2.0894,0.26423),(4105,5255,2.0034,0.2609),(4105,5265,1.4065,0.25757),(4105,5275,0.78861,0.2556),(4105,5285,0.17069,0.2559),(4105,5295,0.57369,0.25621),(4105,5305,1.261,0.25588),(4105,5315,1.9483,0.25285),(4105,5325,2.2201,0.24983),(4105,5335,2.2195,0.24681),(4105,5345,2.2189,0.2439),(4105,5355,2.2181,0.24099),(4105,5365,2.217,0.23808),(4105,5375,2.2159,0.23517),(4105,5385,2.0877,0.23226),(4105,5395,1.5733,0.22935),(4105,5405,1.0589,0.228),(4105,5415,0.5977,0.22746),(4105,5425,0.85203,0.22692),(4105,5435,1.1064,0.22608),(4105,5445,1.3607,0.22489),(4105,5455,1.6163,0.22371),(4105,5465,1.872,0.22224),(4105,5475,2.1277,0.2201),(4105,5485,2.2003,0.21797),(4105,5495,2.1991,0.21581),(4105,5505,2.1979,0.21353),(4105,5515,2.1968,0.21125),(4105,5525,2.1957,0.20898),(4105,5535,2.1947,0.20658),(4105,5545,2.1936,0.20417),(4105,5555,2.1926,0.20177),(4105,5565,2.1916,0.19931),(4105,5575,2.1905,0.19684),(4105,5585,2.1894,0.19438),(4105,5595,2.1883,0.19195),(4105,5605,2.1872,0.18955),(4105,5615,2.186,0.18715),(4105,5625,2.1847,0.18483),(4105,5635,2.1835,0.18262),(4105,5645,2.182,0.18041),(4105,5655,2.1806,0.17827),(4105,5665,2.1791,0.17638),(4105,5675,2.1774,0.17448),(4105,5685,2.1757,0.17261),(4105,5695,2.174,0.17115),(4105,5705,2.1722,0.16968),(4105,5715,2.1702,0.16821),(4105,5725,2.1683,0.16717),(4105,5735,2.1662,0.16618),(4105,5745,2.1641,0.1652),(4105,5755,2.162,0.16454),(4105,5765,2.1598,0.16404),(4105,5775,2.1576,0.16353),(4105,5785,2.1553,0.16326),(4105,5795,2.153,0.16322),(4105,5805,2.1508,0.16317),(4105,5815,2.1485,0.16327),(4105,5825,2.1462,0.16362),(4105,5835,2.1439,0.16398),(4105,5845,2.1416,0.1644),(4105,5855,2.1393,0.1651),(4105,5865,2.1371,0.1658),(4105,5875,2.1349,0.1665),(4105,5885,2.1327,0.16748),(4105,5895,2.1306,0.16845),(4105,5905,2.1285,0.16943),(4105,5915,2.1265,0.17056),(4105,5925,2.1244,0.17173),(4105,5935,2.1225,0.1729),(4105,5945,2.1206,0.17415),(4105,5955,2.1187,0.17544),(4105,5965,2.117,0.17674),(4105,5975,2.1153,0.17807),(4105,5985,2.1136,0.17942),(4105,5995,1.615,0.18077),(4105,6005,1.0365,0.1818),(4105,6015,0.45795,0.182),(4105,6025,0.63681,0.18219),(4105,6035,1.167,0.18188),(4105,6045,1.6971,0.17683),(4105,6055,2.0626,0.17178),(4105,6065,2.2668,0.16672),(4105,6075,2.4709,0.16026),(4105,6085,2.608,0.15366),(4105,6095,2.6071,0.14706),(4105,6105,2.6061,0.14071),(4105,6115,2.6051,0.13445),(4105,6125,2.6035,0.12818),(4105,6135,2.6018,0.12224),(4105,6145,2.6002,0.11655),(4105,6155,2.5979,0.11086),(4105,6165,2.5956,0.10546),(4105,6175,2.5933,0.10054),(4105,6185,2.5906,0.095609),(4105,6195,2.5879,0.090836),(4105,6205,2.5851,0.086669),(4105,6215,2.5822,0.082502),(4105,6225,2.5791,0.078354),(4105,6235,2.576,0.074925),(4105,6245,2.5729,0.071497),(4105,6255,2.5698,0.068069),(4105,6265,2.5666,0.065144),(4105,6275,2.5635,0.06231),(4105,6285,2.5603,0.059477),(4105,6295,2.5572,0.056989),(4105,6305,2.5542,0.054673),(4105,6315,2.5512,0.052358),(4105,6325,2.5483,0.050236),(4105,6335,2.5454,0.048317),(4105,6345,2.5427,0.046398),(4105,6355,2.54,0.044572),(4105,6365,2.5374,0.04295),(4105,6375,2.535,0.041329),(4105,6385,2.5326,0.039734),(4105,6395,2.5303,0.038318),(4105,6405,2.5282,0.036901),(4105,6415,2.5262,0.035485),(4105,6425,2.5242,0.034096),(4105,6435,2.5223,0.032709),(4105,6445,2.5207,0.031323),(4105,6455,2.5191,0.029988),(4105,6465,2.5175,0.028669),(4105,6475,2.5163,0.027349),(4105,6485,2.515,0.026043),(4105,6495,2.5137,0.024746),(4105,6505,2.5128,0.023448),(4105,6515,2.5118,0.022121),(4105,6525,2.5109,0.020752),(4105,6535,2.5102,0.019383),(4105,6545,2.5096,0.018018),(4105,6555,2.509,0.016666),(4105,6565,2.5085,0.015313),(4105,6575,2.5082,0.01396),(4105,6585,2.5079,0.012595),(4105,6595,2.133,0.011229),(4105,6605,1.3445,0.009864),(4105,6615,0.55591,0.009724),(4105,6625,0.001583,0.009741),(4105,6635,0.001593,0.009758),(4105,6645,0.001603,0.00976),(4105,6655,0.001613,0.009754),(4105,6665,0.001623,0.009749),(4105,6675,0.001632,0.009742),(4105,6685,0.001641,0.009736),(4105,6695,0.001649,0.009729),(4105,6705,0.001657,0.009722),(4105,6715,0.001665,0.009715),(4105,6725,0.001672,0.009707),(4105,6735,0.001679,0.009699),(4105,6745,0.001686,0.009691),(4105,6755,0.001692,0.009683),(4105,6765,0.001698,0.009675),(4105,6775,0.001705,0.009666),(4105,6785,0.00171,0.009657),(4105,6795,0.001715,0.009648),(4105,6805,0.001721,0.009639),(4105,6815,0.001726,0.00963),(4105,6825,0.00173,0.009621),(4105,6835,0.001734,0.009612),(4105,6845,0.001739,0.009603),(4105,6855,0.001743,0.009593),(4105,6865,0.001746,0.009584),(4105,6875,0.00175,0.009574),(4105,6885,0.001753,0.009565),(4105,6895,0.001757,0.009556),(4105,6905,0.00176,0.009546),(4105,6915,0.001763,0.009537),(4105,6925,0.001765,0.009527),(4105,6935,0.001768,0.009518),(4105,6945,0.00177,0.009508),(4105,6955,0.001773,0.009498),(4105,6965,0.001775,0.009489),(4105,6975,0.001777,0.00948),(4105,6985,0.001779,0.00947),(4115,5,2.5e-05,-0.00307),(4115,15,7.5e-05,-0.003073),(4115,25,0.000125,-0.003075),(4115,35,0.000176,-0.003077),(4115,45,0.000226,-0.003082),(4115,55,0.000276,-0.003089),(4115,65,0.000327,-0.003097),(4115,75,0.000377,-0.003104),(4115,85,0.000428,-0.003114),(4115,95,0.000478,-0.003126),(4115,105,0.000529,-0.003138),(4115,115,0.00058,-0.003149),(4115,125,0.00063,-0.003165),(4115,135,0.000681,-0.003181),(4115,145,0.000732,-0.003198),(4115,155,0.000783,-0.003215),(4115,165,0.000835,-0.003236),(4115,175,0.000886,-0.003258),(4115,185,0.000938,-0.00328),(4115,195,0.00099,-0.003302),(4115,205,0.001041,-0.003329),(4115,215,0.001093,-0.003357),(4115,225,0.001146,-0.003385),(4115,235,0.001199,-0.003413),(4115,245,0.001251,-0.003446),(4115,255,0.001304,-0.00348),(4115,265,0.001358,-0.003515),(4115,275,0.001411,-0.003549),(4115,285,0.001465,-0.003589),(4115,295,0.001518,-0.003629),(4115,305,0.001573,-0.003671),(4115,315,0.001627,-0.003711),(4115,325,0.001682,-0.003759),(4115,335,0.001736,-0.003807),(4115,345,0.001791,-0.003856),(4115,355,0.001847,-0.003905),(4115,365,0.001902,-0.003961),(4115,375,0.001958,-0.004018),(4115,385,0.002014,-0.004075),(4115,395,0.00207,-0.004133),(4115,405,0.002127,-0.004198),(4115,415,0.002183,-0.004265),(4115,425,0.002241,-0.004332),(4115,435,0.002298,-0.004399),(4115,445,0.002355,-0.004476),(4115,455,0.002412,-0.004553),(4115,465,0.002471,-0.004631),(4115,475,0.002529,-0.004708),(4115,485,0.002587,-0.004798),(4115,495,0.002645,-0.004888),(4115,505,0.002704,-0.004978),(4115,515,0.002762,-0.005068),(4115,525,0.002821,-0.005172),(4115,535,0.00288,-0.005277),(4115,545,0.002939,-0.005381),(4115,555,0.002998,-0.005486),(4115,565,0.003057,-0.005607),(4115,575,0.003115,-0.005727),(4115,585,0.003174,-0.005847),(4115,595,0.003232,-0.005969),(4115,605,0.00329,-0.006108),(4115,615,0.003348,-0.006247),(4115,625,0.003404,-0.006386),(4115,635,0.003461,-0.006528),(4115,645,0.003517,-0.006688),(4115,655,0.003573,-0.006848),(4115,665,0.003627,-0.007008),(4115,675,0.00368,-0.007173),(4115,685,0.003733,-0.007357),(4115,695,0.003786,-0.007542),(4115,705,0.003834,-0.007727),(4115,715,0.003883,-0.007918),(4115,725,0.003931,-0.00813),(4115,735,0.003977,-0.008343),(4115,745,0.004018,-0.008556),(4115,755,0.004058,-0.008777),(4115,765,0.004098,-0.009022),(4115,775,0.004136,-0.009267),(4115,785,0.004164,-0.009511),(4115,795,0.004193,-0.009767),(4115,805,0.004221,-0.010048),(4115,815,0.004245,-0.010329),(4115,825,0.004256,-0.010611),(4115,835,0.004268,-0.010906),(4115,845,0.00428,-0.011228),(4115,855,0.004283,-0.01155),(4115,865,0.00427,-0.011872),(4115,875,0.004258,-0.012211),(4115,885,0.004246,-0.012579),(4115,895,0.00422,-0.012946),(4115,905,0.004174,-0.013313),(4115,915,0.004129,-0.013701),(4115,925,0.004083,-0.014117),(4115,935,0.004018,-0.014533),(4115,945,0.003926,-0.014949),(4115,955,0.003835,-0.015387),(4115,965,0.003744,-0.015854),(4115,975,0.003624,-0.016321),(4115,985,0.003473,-0.016788),(4115,995,0.003321,-0.01728),(4115,1005,0.00317,-0.017797),(4115,1015,0.002978,-0.018314),(4115,1025,0.002748,-0.018832),(4115,1035,0.002518,-0.019373),(4115,1045,0.002288,-0.019936),(4115,1055,0.002003,-0.020499),(4115,1065,0.001673,-0.021061),(4115,1075,0.001342,-0.021644),(4115,1085,0.001012,-0.02224),(4115,1095,0.00061,-0.022837),(4115,1105,0.000157,-0.023434),(4115,1115,-0.000296,-0.024039),(4115,1125,-0.00075,-0.024648),(4115,1135,-0.001294,-0.025258),(4115,1145,-0.001892,-0.025868),(4115,1155,-0.00249,-0.026466),(4115,1165,-0.003088,-0.027057),(4115,1175,-0.003794,-0.027648),(4115,1185,-0.004553,-0.028239),(4115,1195,-0.005312,-0.028788),(4115,1205,-0.006071,-0.029317),(4115,1215,-0.006947,-0.029847),(4115,1225,-0.00787,-0.030377),(4115,1235,-0.008794,-0.030824),(4115,1245,-0.009717,-0.03124),(4115,1255,-0.010752,-0.031657),(4115,1265,-0.011824,-0.032073),(4115,1275,-0.012896,-0.032363),(4115,1285,-0.013968,-0.032613),(4115,1295,-0.015126,-0.032864),(4115,1305,-0.016308,-0.033114),(4115,1315,-0.017489,-0.033198),(4115,1325,-0.01867,-0.033242),(4115,1335,-0.019891,-0.033285),(4115,1345,-0.02112,-0.033329),(4115,1355,-0.02235,-0.033184),(4115,1365,-0.023579,-0.033005),(4115,1375,-0.024789,-0.032826),(4115,1385,-0.025995,-0.032647),(4115,1395,-0.027202,-0.032286),(4115,1405,-0.028409,-0.031902),(4115,1415,-0.02954,-0.031518),(4115,1425,-0.030663,-0.031134),(4115,1435,-0.031785,-0.030599),(4115,1445,-0.032908,-0.030052),(4115,1455,-0.033914,-0.029505),(4115,1465,-0.034913,-0.028958),(4115,1475,-0.035913,-0.028305),(4115,1485,-0.036912,-0.027649),(4115,1495,-0.037773,-0.026993),(4115,1505,-0.038633,-0.026336),(4115,1515,-0.039493,-0.025625),(4115,1525,-0.040349,-0.024913),(4115,1535,-0.041073,-0.024202),(4115,1545,-0.041797,-0.02349),(4115,1555,-0.04252,-0.02277),(4115,1565,-0.043236,-0.022049),(4115,1575,-0.04384,-0.021328),(4115,1585,-0.044444,-0.02061),(4115,1595,-0.045048,-0.019916),(4115,1605,-0.045641,-0.019221),(4115,1615,-0.046147,-0.018526),(4115,1625,-0.046653,-0.017838),(4115,1635,-0.047158,-0.017194),(4115,1645,-0.047653,-0.01655),(4115,1655,-0.048085,-0.015905),(4115,1665,-0.048516,-0.015272),(4115,1675,-0.048947,-0.014694),(4115,1685,-0.049369,-0.014115),(4115,1695,-0.049747,-0.013537),(4115,1705,-0.050126,-0.012974),(4115,1715,-0.050505,-0.012472),(4115,1725,-0.050876,-0.011969),(4115,1735,-0.051221,-0.011467),(4115,1745,-0.051566,-0.010985),(4115,1755,-0.051911,-0.010565),(4115,1765,-0.052251,-0.010145),(4115,1775,-0.052578,-0.009725),(4115,1785,-0.052905,-0.00933),(4115,1795,-0.053232,-0.008997),(4115,1805,-0.053558,-0.008665),(4115,1815,-0.05388,-0.008332),(4115,1825,-0.054202,-0.008029),(4115,1835,-0.054524,-0.007788),(4115,1845,-0.054847,-0.007546),(4115,1855,-0.055174,-0.007305),(4115,1865,-0.055502,-0.007099),(4115,1875,-0.055829,-0.006954),(4115,1885,-0.056161,-0.00681),(4115,1895,-0.056501,-0.006665),(4115,1905,-0.056841,-0.006562),(4115,1915,-0.057181,-0.006522),(4115,1925,-0.05753,-0.006481),(4115,1935,-0.057889,-0.00644),(4115,1945,-0.058249,-0.006449),(4115,1955,-0.058609,-0.006522),(4115,1965,-0.058979,-0.006594),(4115,1975,-0.059363,-0.006666),(4115,1985,-0.059747,-0.006798),(4115,1995,-0.060131,-0.006996),(4115,2005,-0.060529,-0.007193),(4115,2015,-0.060941,-0.007391),(4115,2025,-0.061353,-0.007661),(4115,2035,-0.061765,-0.007999),(4115,2045,-0.062193,-0.008337),(4115,2055,-0.062636,-0.008675),(4115,2065,-0.063078,-0.009103),(4115,2075,-0.063521,-0.009602),(4115,2085,-0.063982,-0.010101),(4115,2095,-0.064457,-0.0106),(4115,2105,-0.064932,-0.01121),(4115,2115,-0.065407,-0.011894),(4115,2125,-0.065902,-0.012578),(4115,2135,-0.066409,-0.013262),(4115,2145,-0.066917,-0.014084),(4115,2155,-0.067424,-0.014984),(4115,2165,-0.067952,-0.015884),(4115,2175,-0.06849,-0.016784),(4115,2185,-0.069029,-0.017855),(4115,2195,-0.069567,-0.019009),(4115,2205,-0.070124,-0.020162),(4115,2215,-0.070689,-0.021315),(4115,2225,-0.071255,-0.022683),(4115,2235,-0.07182,-0.024135),(4115,2245,-0.072399,-0.025588),(4115,2255,-0.072983,-0.02704),(4115,2265,-0.073567,-0.02876),(4115,2275,-0.07415,-0.030566),(4115,2285,-0.074739,-0.032372),(4115,2295,-0.075328,-0.034178),(4115,2305,-0.075917,-0.036318),(4115,2315,-0.076506,-0.038543),(4115,2325,-0.077082,-0.040769),(4115,2335,-0.077654,-0.042994),(4115,2345,-0.078226,-0.045636),(4115,2355,-0.078799,-0.04836),(4115,2365,-0.079327,-0.051083),(4115,2375,-0.079847,-0.053806),(4115,2385,-0.080368,-0.057047),(4115,2395,-0.080889,-0.06036),(4115,2405,-0.081316,-0.063673),(4115,2415,-0.081732,-0.066987),(4115,2425,-0.082148,-0.070937),(4115,2435,-0.082564,-0.074945),(4115,2445,-0.082808,-0.078954),(4115,2455,-0.08304,-0.082962),(4115,2465,-0.083273,-0.087746),(4115,2475,-0.083505,-0.092567),(4115,2485,-0.083445,-0.097387),(4115,2495,-0.083377,-0.10221),(4115,2505,-0.08331,-0.10796),(4115,2515,-0.083235,-0.11371),(4115,2525,-0.082702,-0.11946),(4115,2535,-0.082168,-0.12525),(4115,2545,-0.081635,-0.13206),(4115,2555,-0.081064,-0.13886),(4115,2565,-0.079834,-0.14566),(4115,2575,-0.078605,-0.15255),(4115,2585,-0.077376,-0.16048),(4115,2595,-0.076052,-0.16841),(4115,2605,-0.073823,-0.17634),(4115,2615,-0.071594,-0.18441),(4115,2625,-0.069365,-0.19348),(4115,2635,-0.066952,-0.20256),(4115,2645,-0.063349,-0.21163),(4115,2655,-0.059746,-0.22086),(4115,2665,-0.056142,-0.23097),(4115,2675,-0.05223,-0.24108),(4115,2685,-0.046841,-0.25119),(4115,2695,-0.041452,-0.26144),(4115,2705,-0.036063,-0.2723),(4115,2715,-0.030217,-0.28315),(4115,2725,-0.022681,-0.29401),(4115,2735,-0.015144,-0.30493),(4115,2745,-0.007607,-0.31605),(4115,2755,0.000517,-0.32718),(4115,2765,0.01038,-0.3383),(4115,2775,0.020244,-0.34934),(4115,2785,0.030107,-0.36014),(4115,2795,0.040617,-0.37095),(4115,2805,0.052692,-0.38175),(4115,2815,0.064766,-0.39229),(4115,2825,0.076841,-0.40227),(4115,2835,0.089543,-0.41224),(4115,2845,0.10351,-0.42221),(4115,2855,0.11747,-0.43177),(4115,2865,0.13144,-0.44057),(4115,2875,0.14596,-0.44938),(4115,2885,0.16143,-0.45818),(4115,2895,0.1769,-0.46647),(4115,2905,0.19237,-0.47394),(4115,2915,0.20831,-0.48142),(4115,2925,0.22492,-0.48889),(4115,2935,0.24153,-0.49577),(4115,2945,0.25814,-0.50188),(4115,2955,0.27514,-0.50798),(4115,2965,0.2926,-0.51408),(4115,2975,0.31006,-0.51954),(4115,2985,0.32752,-0.52429),(4115,2995,0.34529,-0.52904),(4115,3005,0.36337,-0.53379),(4115,3015,0.38146,-0.53786),(4115,3025,0.39955,-0.5413),(4115,3035,0.41788,-0.54474),(4115,3045,0.43644,-0.54817),(4115,3055,0.45499,-0.5509),(4115,3065,0.47355,-0.55306),(4115,3075,0.49231,-0.55522),(4115,3085,0.51122,-0.55738),(4115,3095,0.53013,-0.55879),(4115,3105,0.54905,-0.55968),(4115,3115,0.56813,-0.56057),(4115,3125,0.58731,-0.56146),(4115,3135,0.6065,-0.56154),(4115,3145,0.62569,-0.56113),(4115,3155,0.64501,-0.56073),(4115,3165,0.66441,-0.56033),(4115,3175,0.68381,-0.55902),(4115,3185,0.70321,-0.55725),(4115,3195,0.7227,-0.55549),(4115,3205,0.74225,-0.55373),(4115,3215,0.76179,-0.55093),(4115,3225,0.78133,-0.5477),(4115,3235,0.80092,-0.54446),(4115,3245,0.82053,-0.54123),(4115,3255,0.84013,-0.53678),(4115,3265,0.85974,-0.53192),(4115,3275,0.87931,-0.52705),(4115,3285,0.89887,-0.52219),(4115,3295,0.91843,-0.51588),(4115,3305,0.93799,-0.50918),(4115,3315,0.95737,-0.50248),(4115,3325,0.97672,-0.49578),(4115,3335,0.99606,-0.48735),(4115,3345,1.0154,-0.47856),(4115,3355,1.0344,-0.46976),(4115,3365,1.0532,-0.46097),(4115,3375,1.0721,-0.45012),(4115,3385,1.091,-0.43896),(4115,3395,1.1092,-0.42779),(4115,3405,1.1272,-0.41663),(4115,3415,1.1453,-0.40305),(4115,3425,1.1633,-0.38922),(4115,3435,1.1802,-0.37539),(4115,3445,1.1969,-0.36156),(4115,3455,1.2136,-0.34499),(4115,3465,1.2303,-0.32826),(4115,3475,1.245,-0.31153),(4115,3485,1.2597,-0.2948),(4115,3495,1.2744,-0.27511),(4115,3505,1.2891,-0.25537),(4115,3515,1.3008,-0.23564),(4115,3525,1.3125,-0.21583),(4115,3535,1.3242,-0.19326),(4115,3545,1.3358,-0.17069),(4115,3555,1.3435,-0.14811),(4115,3565,1.3513,-0.1254),(4115,3575,1.359,-0.10058),(4115,3585,1.3663,-0.075765),(4115,3595,1.3691,-0.050949),(4115,3605,1.3719,-0.026016),(4115,3615,1.3746,-7.4e-05),(4115,3625,1.3767,0.025869),(4115,3635,1.3739,0.051812),(4115,3645,1.3711,0.0777),(4115,3655,1.3683,0.10326),(4115,3665,1.3646,0.12882),(4115,3675,1.3564,0.15437),(4115,3685,1.3483,0.1796),(4115,3695,1.3401,0.20335),(4115,3705,1.331,0.2271),(4115,3715,1.3184,0.25085),(4115,3725,1.3058,0.27402),(4115,3735,1.2932,0.29514),(4115,3745,1.2798,0.31627),(4115,3755,1.2639,0.3374),(4115,3765,1.248,0.35777),(4115,3775,1.2322,0.37603),(4115,3785,1.2157,0.39429),(4115,3795,1.1975,0.41255),(4115,3805,1.1794,0.42998),(4115,3815,1.1612,0.44549),(4115,3825,1.1426,0.461),(4115,3835,1.123,0.47651),(4115,3845,1.1033,0.49119),(4115,3855,1.0837,0.50424),(4115,3865,1.0637,0.5173),(4115,3875,1.0431,0.53035),(4115,3885,1.0226,0.5426),(4115,3895,1.002,0.55355),(4115,3905,0.98116,0.56451),(4115,3915,0.96002,0.57546),(4115,3925,0.93887,0.58567),(4115,3935,0.91773,0.59486),(4115,3945,0.89644,0.60406),(4115,3955,0.87499,0.61325),(4115,3965,0.85354,0.62179),(4115,3975,0.83209,0.62954),(4115,3985,0.81058,0.63729),(4115,3995,0.78899,0.64505),(4115,4005,0.76741,0.65227),(4115,4015,0.74582,0.65897),(4115,4025,1.1078,0.66566),(4115,4035,1.5072,0.67034),(4115,4045,1.9067,0.67075),(4115,4055,2.1917,0.67117),(4115,4065,2.4349,0.67103),(4115,4075,2.6781,0.66756),(4115,4085,2.7831,0.6641),(4115,4095,2.777,0.66063),(4115,4105,2.7709,0.65679),(4115,4115,2.6707,0.65294),(4115,4125,2.4142,0.64909),(4115,4135,2.1577,0.64752),(4115,4145,1.8982,0.64655),(4115,4155,1.6265,0.64559),(4115,4165,1.3547,0.64652),(4115,4175,1.0982,0.64866),(4115,4185,1.5968,0.65079),(4115,4195,2.0953,0.64976),(4115,4205,2.5939,0.64452),(4115,4215,2.669,0.63928),(4115,4225,2.6644,0.634),(4115,4235,2.6598,0.62857),(4115,4245,2.6539,0.62315),(4115,4255,2.6473,0.61766),(4115,4265,2.6407,0.61139),(4115,4275,2.3086,0.60512),(4115,4285,1.6311,0.59885),(4115,4295,0.9536,0.60114),(4115,4305,0.66065,0.60441),(4115,4315,1.236,0.60769),(4115,4325,1.8114,0.60477),(4115,4335,2.3228,0.59941),(4115,4345,2.4011,0.59406),(4115,4355,2.4794,0.58793),(4115,4365,2.5577,0.58114),(4115,4375,2.5588,0.57434),(4115,4385,2.5559,0.56756),(4115,4395,2.5531,0.56079),(4115,4405,2.2236,0.55402),(4115,4415,1.7979,0.54834),(4115,4425,1.3721,0.54751),(4115,4435,1.1899,0.54669),(4115,4445,1.1741,0.54587),(4115,4455,1.1583,0.5452),(4115,4465,1.3239,0.54453),(4115,4475,1.7443,0.54387),(4115,4485,2.1648,0.5384),(4115,4495,2.4847,0.53192),(4115,4505,2.4823,0.52545),(4115,4515,2.48,0.51899),(4115,4525,2.4727,0.51253),(4115,4535,2.387,0.50608),(4115,4545,2.3014,0.50007),(4115,4555,2.2158,0.49459),(4115,4565,1.6662,0.4891),(4115,4575,1.054,0.48581),(4115,4585,0.44184,0.48786),(4115,4595,0.73685,0.48991),(4115,4605,1.4151,0.49099),(4115,4615,2.0934,0.48457),(4115,4625,2.4157,0.47816),(4115,4635,2.4154,0.47174),(4115,4645,2.4152,0.46592),(4115,4655,2.4145,0.46015),(4115,4665,2.4127,0.45437),(4115,4675,2.4109,0.44868),(4115,4685,2.323,0.44302),(4115,4695,1.8096,0.43735),(4115,4705,1.2963,0.43478),(4115,4715,0.78287,0.43445),(4115,4725,1.0211,0.43412),(4115,4735,1.2668,0.43276),(4115,4745,1.5125,0.42987),(4115,4755,1.7647,0.42699),(4115,4765,2.0184,0.42351),(4115,4775,2.2721,0.41797),(4115,4785,2.3642,0.41243),(4115,4795,2.3629,0.4069),(4115,4805,2.3615,0.40141),(4115,4815,2.2437,0.39592),(4115,4825,1.9867,0.39044),(4115,4835,1.7297,0.38711),(4115,4845,1.4694,0.38412),(4115,4855,1.2007,0.38113),(4115,4865,0.93207,0.3799),(4115,4875,0.74104,0.37947),(4115,4885,1.2564,0.37904),(4115,4895,1.7718,0.37604),(4115,4905,2.2873,0.37057),(4115,4915,2.3272,0.36511),(4115,4925,2.3263,0.35966),(4115,4935,2.3254,0.35426),(4115,4945,2.3238,0.34885),(4115,4955,2.3219,0.34341),(4115,4965,2.3201,0.33779),(4115,4975,1.9301,0.33216),(4115,4985,1.2407,0.32653),(4115,4995,0.55121,0.32738),(4115,5005,0.32579,0.32839),(4115,5015,0.8381,0.32941),(4115,5025,1.3504,0.32711),(4115,5035,1.7917,0.32396),(4115,5045,1.9622,0.32081),(4115,5055,2.1327,0.31684),(4115,5065,2.2982,0.31235),(4115,5075,2.2973,0.30786),(4115,5085,2.2965,0.3034),(4115,5095,2.2956,0.29897),(4115,5105,2.0006,0.29455),(4115,5115,1.6543,0.2908),(4115,5125,1.3079,0.28897),(4115,5135,1.1314,0.28714),(4115,5145,1.0373,0.28539),(4115,5155,0.94314,0.28437),(4115,5165,1.1104,0.28335),(4115,5175,1.5442,0.28233),(4115,5185,1.978,0.27881),(4115,5195,2.2741,0.27502),(4115,5205,2.2731,0.27124),(4115,5215,2.2721,0.2675),(4115,5225,2.2594,0.26376),(4115,5235,2.1734,0.26002),(4115,5245,2.0874,0.25658),(4115,5255,2.0014,0.25338),(4115,5265,1.405,0.25018),(4115,5275,0.78758,0.24828),(4115,5285,0.17016,0.24859),(4115,5295,0.57268,0.2489),(4115,5305,1.2592,0.24858),(4115,5315,1.9458,0.24567),(4115,5325,2.2173,0.24275),(4115,5335,2.2167,0.23984),(4115,5345,2.216,0.23703),(4115,5355,2.2152,0.23422),(4115,5365,2.2141,0.23141),(4115,5375,2.2129,0.22859),(4115,5385,2.0849,0.22578),(4115,5395,1.5711,0.22296),(4115,5405,1.0573,0.22166),(4115,5415,0.59669,0.22114),(4115,5425,0.85057,0.22062),(4115,5435,1.1044,0.21974),(4115,5445,1.3583,0.21848),(4115,5455,1.6135,0.21721),(4115,5465,1.8688,0.21565),(4115,5475,2.1242,0.21338),(4115,5485,2.1967,0.21111),(4115,5495,2.1956,0.20882),(4115,5505,2.1944,0.20641),(4115,5515,2.1934,0.20399),(4115,5525,2.1923,0.20158),(4115,5535,2.1913,0.19904),(4115,5545,2.1903,0.1965),(4115,5555,2.1893,0.19396),(4115,5565,2.1883,0.19138),(4115,5575,2.1873,0.18879),(4115,5585,2.1862,0.1862),(4115,5595,2.185,0.18368),(4115,5605,2.1839,0.18119),(4115,5615,2.1826,0.17871),(4115,5625,2.1813,0.17632),(4115,5635,2.18,0.17408),(4115,5645,2.1784,0.17183),(4115,5655,2.1769,0.16967),(4115,5665,2.1753,0.16779),(4115,5675,2.1735,0.16591),(4115,5685,2.1717,0.16406),(4115,5695,2.1698,0.16267),(4115,5705,2.1678,0.16127),(4115,5715,2.1657,0.15987),(4115,5725,2.1636,0.15894),(4115,5735,2.1615,0.15807),(4115,5745,2.1592,0.15721),(4115,5755,2.1569,0.1567),(4115,5765,2.1546,0.15635),(4115,5775,2.1522,0.156),(4115,5785,2.1498,0.1559),(4115,5795,2.1474,0.15604),(4115,5805,2.1449,0.15617),(4115,5815,2.1425,0.15645),(4115,5825,2.1401,0.15701),(4115,5835,2.1377,0.15757),(4115,5845,2.1353,0.15818),(4115,5855,2.1329,0.15909),(4115,5865,2.1306,0.16),(4115,5875,2.1283,0.1609),(4115,5885,2.1261,0.16208),(4115,5895,2.1239,0.16325),(4115,5905,2.1217,0.16443),(4115,5915,2.1196,0.16576),(4115,5925,2.1176,0.16712),(4115,5935,2.1156,0.16849),(4115,5945,2.1137,0.16993),(4115,5955,2.1118,0.17142),(4115,5965,2.1101,0.17291),(4115,5975,2.1083,0.17441),(4115,5985,2.1066,0.17595),(4115,5995,1.6097,0.17748),(4115,6005,1.0331,0.17865),(4115,6015,0.45644,0.17886),(4115,6025,0.63634,0.17907),(4115,6035,1.1671,0.17877),(4115,6045,1.6979,0.17362),(4115,6055,2.0638,0.16846),(4115,6065,2.268,0.1633),(4115,6075,2.4722,0.15672),(4115,6085,2.6093,0.15001),(4115,6095,2.6083,0.1433),(4115,6105,2.6072,0.13687),(4115,6115,2.606,0.13054),(4115,6125,2.6042,0.1242),(4115,6135,2.6024,0.11823),(4115,6145,2.6006,0.11254),(4115,6155,2.5981,0.10684),(4115,6165,2.5956,0.10147),(4115,6175,2.5931,0.096606),(4115,6185,2.5902,0.091746),(4115,6195,2.5872,0.087051),(4115,6205,2.5842,0.083007),(4115,6215,2.581,0.078964),(4115,6225,2.5777,0.07494),(4115,6235,2.5744,0.071677),(4115,6245,2.5711,0.068415),(4115,6255,2.5677,0.065152),(4115,6265,2.5644,0.062407),(4115,6275,2.561,0.059756),(4115,6285,2.5578,0.057105),(4115,6295,2.5545,0.054798),(4115,6305,2.5512,0.052662),(4115,6315,2.5482,0.050525),(4115,6325,2.5451,0.048575),(4115,6335,2.5421,0.046818),(4115,6345,2.5393,0.045061),(4115,6355,2.5366,0.043389),(4115,6365,2.5339,0.041903),(4115,6375,2.5314,0.040418),(4115,6385,2.529,0.038956),(4115,6395,2.5266,0.037649),(4115,6405,2.5244,0.036342),(4115,6415,2.5224,0.035035),(4115,6425,2.5204,0.033726),(4115,6435,2.5185,0.032418),(4115,6445,2.5169,0.031109),(4115,6455,2.5152,0.029828),(4115,6465,2.5137,0.028555),(4115,6475,2.5124,0.027282),(4115,6485,2.5111,0.02601),(4115,6495,2.5098,0.024739),(4115,6505,2.5089,0.023468),(4115,6515,2.508,0.022159),(4115,6525,2.507,0.020796),(4115,6535,2.5064,0.019433),(4115,6545,2.5057,0.018072),(4115,6555,2.5051,0.016714),(4115,6565,2.5047,0.015356),(4115,6575,2.5044,0.013996),(4115,6585,2.5041,0.012624),(4115,6595,2.1297,0.011251),(4115,6605,1.3424,0.009878),(4115,6615,0.55506,0.009737),(4115,6625,0.001584,0.009753),(4115,6635,0.001595,0.009769),(4115,6645,0.001605,0.00977),(4115,6655,0.001616,0.009764),(4115,6665,0.001625,0.009758),(4115,6675,0.001635,0.009751),(4115,6685,0.001644,0.009744),(4115,6695,0.001652,0.009737),(4115,6705,0.001661,0.00973),(4115,6715,0.001669,0.009722),(4115,6725,0.001676,0.009714),(4115,6735,0.001683,0.009706),(4115,6745,0.00169,0.009698),(4115,6755,0.001697,0.009689),(4115,6765,0.001703,0.009681),(4115,6775,0.001709,0.009672),(4115,6785,0.001715,0.009662),(4115,6795,0.001721,0.009654),(4115,6805,0.001726,0.009644),(4115,6815,0.001731,0.009635),(4115,6825,0.001735,0.009626),(4115,6835,0.00174,0.009616),(4115,6845,0.001744,0.009607),(4115,6855,0.001748,0.009597),(4115,6865,0.001752,0.009588),(4115,6875,0.001756,0.009578),(4115,6885,0.001759,0.009568),(4115,6895,0.001762,0.009559),(4115,6905,0.001765,0.009549),(4115,6915,0.001768,0.009539),(4115,6925,0.001771,0.00953),(4115,6935,0.001773,0.00952),(4115,6945,0.001776,0.00951),(4115,6955,0.001778,0.009501),(4115,6965,0.00178,0.009491),(4115,6975,0.001783,0.009482),(4115,6985,0.001784,0.009472),(4125,5,2.6e-05,-0.003019),(4125,15,7.7e-05,-0.003021),(4125,25,0.000128,-0.003023),(4125,35,0.000179,-0.003025),(4125,45,0.00023,-0.00303),(4125,55,0.000282,-0.003037),(4125,65,0.000333,-0.003044),(4125,75,0.000385,-0.003052),(4125,85,0.000436,-0.003061),(4125,95,0.000488,-0.003073),(4125,105,0.000539,-0.003085),(4125,115,0.000591,-0.003097),(4125,125,0.000643,-0.003112),(4125,135,0.000695,-0.003129),(4125,145,0.000747,-0.003146),(4125,155,0.0008,-0.003162),(4125,165,0.000852,-0.003183),(4125,175,0.000905,-0.003205),(4125,185,0.000957,-0.003227),(4125,195,0.001011,-0.003249),(4125,205,0.001064,-0.003275),(4125,215,0.001117,-0.003303),(4125,225,0.001171,-0.00333),(4125,235,0.001225,-0.003358),(4125,245,0.001279,-0.003391),(4125,255,0.001333,-0.003425),(4125,265,0.001388,-0.003459),(4125,275,0.001443,-0.003493),(4125,285,0.001498,-0.003532),(4125,295,0.001553,-0.003573),(4125,305,0.001609,-0.003614),(4125,315,0.001665,-0.003654),(4125,325,0.001722,-0.003701),(4125,335,0.001778,-0.00375),(4125,345,0.001835,-0.003798),(4125,355,0.001892,-0.003846),(4125,365,0.00195,-0.003902),(4125,375,0.002007,-0.003959),(4125,385,0.002066,-0.004016),(4125,395,0.002124,-0.004073),(4125,405,0.002183,-0.004138),(4125,415,0.002242,-0.004205),(4125,425,0.002301,-0.004271),(4125,435,0.002361,-0.004338),(4125,445,0.002421,-0.004414),(4125,455,0.002481,-0.004491),(4125,465,0.002541,-0.004568),(4125,475,0.002602,-0.004645),(4125,485,0.002663,-0.004735),(4125,495,0.002724,-0.004824),(4125,505,0.002786,-0.004914),(4125,515,0.002848,-0.005004),(4125,525,0.00291,-0.005108),(4125,535,0.002973,-0.005212),(4125,545,0.003035,-0.005316),(4125,555,0.003098,-0.005421),(4125,565,0.003161,-0.005542),(4125,575,0.003223,-0.005662),(4125,585,0.003286,-0.005782),(4125,595,0.003348,-0.005904),(4125,605,0.003411,-0.006043),(4125,615,0.003473,-0.006182),(4125,625,0.003535,-0.006321),(4125,635,0.003596,-0.006463),(4125,645,0.003658,-0.006624),(4125,655,0.003719,-0.006784),(4125,665,0.003779,-0.006945),(4125,675,0.003838,-0.00711),(4125,685,0.003897,-0.007296),(4125,695,0.003956,-0.007482),(4125,705,0.004011,-0.007667),(4125,715,0.004066,-0.007859),(4125,725,0.004121,-0.008074),(4125,735,0.004174,-0.008288),(4125,745,0.004222,-0.008502),(4125,755,0.00427,-0.008725),(4125,765,0.004319,-0.008972),(4125,775,0.004364,-0.00922),(4125,785,0.004401,-0.009467),(4125,795,0.004438,-0.009725),(4125,805,0.004476,-0.010011),(4125,815,0.004508,-0.010296),(4125,825,0.00453,-0.010581),(4125,835,0.004551,-0.01088),(4125,845,0.004573,-0.011208),(4125,855,0.004587,-0.011536),(4125,865,0.004585,-0.011864),(4125,875,0.004584,-0.012209),(4125,885,0.004582,-0.012585),(4125,895,0.004568,-0.01296),(4125,905,0.004534,-0.013336),(4125,915,0.004501,-0.013732),(4125,925,0.004467,-0.014159),(4125,935,0.004414,-0.014587),(4125,945,0.004335,-0.015014),(4125,955,0.004256,-0.015466),(4125,965,0.004178,-0.015948),(4125,975,0.004071,-0.01643),(4125,985,0.003931,-0.016912),(4125,995,0.003792,-0.017422),(4125,1005,0.003653,-0.017959),(4125,1015,0.003473,-0.018497),(4125,1025,0.003255,-0.019034),(4125,1035,0.003036,-0.019599),(4125,1045,0.002817,-0.020188),(4125,1055,0.002541,-0.020778),(4125,1065,0.00222,-0.021367),(4125,1075,0.001898,-0.021979),(4125,1085,0.001577,-0.022609),(4125,1095,0.00118,-0.023238),(4125,1105,0.00073,-0.023868),(4125,1115,0.000281,-0.02451),(4125,1125,-0.000168,-0.025159),(4125,1135,-0.000714,-0.025809),(4125,1145,-0.001316,-0.026458),(4125,1155,-0.001917,-0.027099),(4125,1165,-0.002519,-0.027735),(4125,1175,-0.003235,-0.02837),(4125,1185,-0.004008,-0.029006),(4125,1195,-0.004781,-0.029601),(4125,1205,-0.005554,-0.030176),(4125,1215,-0.006452,-0.030752),(4125,1225,-0.007401,-0.031328),(4125,1235,-0.00835,-0.031818),(4125,1245,-0.009299,-0.032277),(4125,1255,-0.010369,-0.032736),(4125,1265,-0.011478,-0.033195),(4125,1275,-0.012588,-0.033518),(4125,1285,-0.013698,-0.0338),(4125,1295,-0.0149,-0.034081),(4125,1305,-0.016128,-0.034363),(4125,1315,-0.017356,-0.034464),(4125,1325,-0.018584,-0.034521),(4125,1335,-0.019855,-0.034578),(4125,1345,-0.021134,-0.034635),(4125,1355,-0.022413,-0.034486),(4125,1365,-0.023693,-0.0343),(4125,1375,-0.024949,-0.034114),(4125,1385,-0.026202,-0.033928),(4125,1395,-0.027455,-0.033544),(4125,1405,-0.028708,-0.033135),(4125,1415,-0.029877,-0.032726),(4125,1425,-0.031036,-0.032316),(4125,1435,-0.032196,-0.031746),(4125,1445,-0.033355,-0.031163),(4125,1455,-0.034386,-0.030579),(4125,1465,-0.035409,-0.029996),(4125,1475,-0.036433,-0.029303),(4125,1485,-0.037456,-0.028607),(4125,1495,-0.038329,-0.02791),(4125,1505,-0.039201,-0.027214),(4125,1515,-0.040072,-0.026464),(4125,1525,-0.040939,-0.025714),(4125,1535,-0.041664,-0.024964),(4125,1545,-0.042388,-0.024214),(4125,1555,-0.043113,-0.023459),(4125,1565,-0.043829,-0.022705),(4125,1575,-0.044425,-0.021951),(4125,1585,-0.045022,-0.0212),(4125,1595,-0.045618,-0.020478),(4125,1605,-0.046204,-0.019757),(4125,1615,-0.046696,-0.019035),(4125,1625,-0.047189,-0.018321),(4125,1635,-0.047681,-0.017656),(4125,1645,-0.048163,-0.016991),(4125,1655,-0.048577,-0.016327),(4125,1665,-0.048991,-0.015674),(4125,1675,-0.049405,-0.015081),(4125,1685,-0.049809,-0.014489),(4125,1695,-0.050169,-0.013896),(4125,1705,-0.050528,-0.01332),(4125,1715,-0.050887,-0.012809),(4125,1725,-0.051238,-0.012297),(4125,1735,-0.051562,-0.011786),(4125,1745,-0.051886,-0.011295),(4125,1755,-0.05221,-0.010871),(4125,1765,-0.052529,-0.010446),(4125,1775,-0.052834,-0.010021),(4125,1785,-0.053139,-0.009621),(4125,1795,-0.053444,-0.009287),(4125,1805,-0.053747,-0.008953),(4125,1815,-0.054046,-0.008618),(4125,1825,-0.054345,-0.008314),(4125,1835,-0.054643,-0.008074),(4125,1845,-0.054943,-0.007834),(4125,1855,-0.055246,-0.007593),(4125,1865,-0.055548,-0.007388),(4125,1875,-0.055851,-0.007246),(4125,1885,-0.056158,-0.007104),(4125,1895,-0.056472,-0.006963),(4125,1905,-0.056786,-0.006863),(4125,1915,-0.057099,-0.006826),(4125,1925,-0.057421,-0.006789),(4125,1935,-0.057751,-0.006752),(4125,1945,-0.058082,-0.006766),(4125,1955,-0.058413,-0.006843),(4125,1965,-0.058754,-0.00692),(4125,1975,-0.059106,-0.006998),(4125,1985,-0.059458,-0.007135),(4125,1995,-0.05981,-0.007338),(4125,2005,-0.060175,-0.007541),(4125,2015,-0.060551,-0.007744),(4125,2025,-0.060927,-0.00802),(4125,2035,-0.061303,-0.008364),(4125,2045,-0.061693,-0.008707),(4125,2055,-0.062095,-0.009051),(4125,2065,-0.062497,-0.009485),(4125,2075,-0.062899,-0.00999),(4125,2085,-0.063316,-0.010494),(4125,2095,-0.063744,-0.010999),(4125,2105,-0.064172,-0.011614),(4125,2115,-0.0646,-0.012303),(4125,2125,-0.065044,-0.012992),(4125,2135,-0.065496,-0.013681),(4125,2145,-0.065949,-0.014508),(4125,2155,-0.066402,-0.015412),(4125,2165,-0.066869,-0.016316),(4125,2175,-0.067344,-0.01722),(4125,2185,-0.067818,-0.018294),(4125,2195,-0.068292,-0.01945),(4125,2205,-0.068777,-0.020605),(4125,2215,-0.069267,-0.021761),(4125,2225,-0.069757,-0.023129),(4125,2235,-0.070246,-0.02458),(4125,2245,-0.07074,-0.026032),(4125,2255,-0.071234,-0.027483),(4125,2265,-0.071729,-0.029199),(4125,2275,-0.072223,-0.031),(4125,2285,-0.072709,-0.0328),(4125,2295,-0.073192,-0.034601),(4125,2305,-0.073676,-0.036731),(4125,2315,-0.074159,-0.038944),(4125,2325,-0.074612,-0.041157),(4125,2335,-0.075059,-0.043371),(4125,2345,-0.075505,-0.045992),(4125,2355,-0.075952,-0.048693),(4125,2365,-0.076334,-0.051394),(4125,2375,-0.076706,-0.054095),(4125,2385,-0.077078,-0.057301),(4125,2395,-0.07745,-0.060577),(4125,2405,-0.077704,-0.063853),(4125,2415,-0.077944,-0.06713),(4125,2425,-0.078185,-0.071023),(4125,2435,-0.078425,-0.074974),(4125,2445,-0.078466,-0.078924),(4125,2455,-0.078493,-0.082874),(4125,2465,-0.07852,-0.087572),(4125,2475,-0.078547,-0.092304),(4125,2485,-0.078252,-0.097036),(4125,2495,-0.077948,-0.10177),(4125,2505,-0.077645,-0.10739),(4125,2515,-0.077334,-0.11301),(4125,2525,-0.076536,-0.11864),(4125,2535,-0.075738,-0.1243),(4125,2545,-0.074939,-0.13092),(4125,2555,-0.074102,-0.13753),(4125,2565,-0.072588,-0.14415),(4125,2575,-0.071073,-0.15085),(4125,2585,-0.069559,-0.15853),(4125,2595,-0.06795,-0.16621),(4125,2605,-0.065433,-0.17389),(4125,2615,-0.062917,-0.18169),(4125,2625,-0.060401,-0.19043),(4125,2635,-0.057705,-0.19917),(4125,2645,-0.053845,-0.20791),(4125,2655,-0.049984,-0.21679),(4125,2665,-0.046124,-0.22648),(4125,2675,-0.041968,-0.23617),(4125,2685,-0.036399,-0.24586),(4125,2695,-0.03083,-0.25567),(4125,2705,-0.025262,-0.26604),(4125,2715,-0.019263,-0.2764),(4125,2725,-0.011675,-0.28677),(4125,2735,-0.004087,-0.29719),(4125,2745,0.003501,-0.30779),(4125,2755,0.011637,-0.31839),(4125,2765,0.021394,-0.32899),(4125,2775,0.03115,-0.33951),(4125,2785,0.040907,-0.34981),(4125,2795,0.051269,-0.36011),(4125,2805,0.063099,-0.37041),(4125,2815,0.07493,-0.38047),(4125,2825,0.08676,-0.39),(4125,2835,0.099188,-0.39953),(4125,2845,0.11282,-0.40905),(4125,2855,0.12645,-0.4182),(4125,2865,0.14008,-0.42664),(4125,2875,0.15426,-0.43509),(4125,2885,0.16935,-0.44353),(4125,2895,0.18444,-0.45148),(4125,2905,0.19953,-0.45867),(4125,2915,0.21509,-0.46586),(4125,2925,0.23131,-0.47306),(4125,2935,0.24753,-0.47968),(4125,2945,0.26375,-0.48557),(4125,2955,0.28036,-0.49145),(4125,2965,0.29743,-0.49734),(4125,2975,0.3145,-0.50261),(4125,2985,0.33158,-0.5072),(4125,2995,0.34897,-0.51178),(4125,3005,0.36668,-0.51637),(4125,3015,0.38439,-0.52031),(4125,3025,0.4021,-0.52362),(4125,3035,0.42007,-0.52693),(4125,3045,0.43825,-0.53025),(4125,3055,0.45644,-0.53288),(4125,3065,0.47463,-0.53494),(4125,3075,0.49303,-0.53701),(4125,3085,0.51157,-0.53908),(4125,3095,0.53012,-0.54041),(4125,3105,0.54867,-0.54123),(4125,3115,0.56738,-0.54206),(4125,3125,0.5862,-0.54288),(4125,3135,0.60502,-0.5429),(4125,3145,0.62384,-0.54245),(4125,3155,0.64278,-0.542),(4125,3165,0.66179,-0.54156),(4125,3175,0.6808,-0.54021),(4125,3185,0.69981,-0.53843),(4125,3195,0.7189,-0.53664),(4125,3205,0.73803,-0.53485),(4125,3215,0.75715,-0.53204),(4125,3225,0.77628,-0.52881),(4125,3235,0.79542,-0.52557),(4125,3245,0.81457,-0.52234),(4125,3255,0.83372,-0.51792),(4125,3265,0.85287,-0.51309),(4125,3275,0.87195,-0.50826),(4125,3285,0.891,-0.50343),(4125,3295,0.91004,-0.49719),(4125,3305,0.92909,-0.49056),(4125,3315,0.94792,-0.48394),(4125,3325,0.96669,-0.47732),(4125,3335,0.98546,-0.46903),(4125,3345,1.0042,-0.46038),(4125,3355,1.0225,-0.45173),(4125,3365,1.0408,-0.44309),(4125,3375,1.059,-0.43246),(4125,3385,1.0773,-0.42154),(4125,3395,1.0947,-0.41061),(4125,3405,1.112,-0.39968),(4125,3415,1.1294,-0.38645),(4125,3425,1.1467,-0.37299),(4125,3435,1.1628,-0.35952),(4125,3445,1.1787,-0.34605),(4125,3455,1.1946,-0.33),(4125,3465,1.2106,-0.31379),(4125,3475,1.2245,-0.29759),(4125,3485,1.2384,-0.28138),(4125,3495,1.2522,-0.26242),(4125,3505,1.2661,-0.24341),(4125,3515,1.2771,-0.22439),(4125,3525,1.288,-0.20532),(4125,3535,1.299,-0.18369),(4125,3545,1.3098,-0.16206),(4125,3555,1.3169,-0.14043),(4125,3565,1.3241,-0.11867),(4125,3575,1.3312,-0.09499),(4125,3585,1.338,-0.071312),(4125,3595,1.3405,-0.047633),(4125,3605,1.3429,-0.023849),(4125,3615,1.3454,0.000849),(4125,3625,1.3472,0.025547),(4125,3635,1.3445,0.050245),(4125,3645,1.3418,0.074893),(4125,3655,1.3391,0.099244),(4125,3665,1.3356,0.1236),(4125,3675,1.3279,0.14795),(4125,3685,1.3202,0.172),(4125,3695,1.3125,0.19472),(4125,3705,1.304,0.21744),(4125,3715,1.2921,0.24016),(4125,3725,1.2802,0.26235),(4125,3735,1.2683,0.28268),(4125,3745,1.2556,0.303),(4125,3755,1.2405,0.32333),(4125,3765,1.2254,0.34296),(4125,3775,1.2103,0.36064),(4125,3785,1.1946,0.37832),(4125,3795,1.1772,0.39599),(4125,3805,1.1598,0.41289),(4125,3815,1.1424,0.428),(4125,3825,1.1245,0.4431),(4125,3835,1.1055,0.4582),(4125,3845,1.0866,0.47251),(4125,3855,1.0676,0.48529),(4125,3865,1.0483,0.49807),(4125,3875,1.0283,0.51086),(4125,3885,1.0083,0.52287),(4125,3895,0.98828,0.53364),(4125,3905,0.96802,0.54442),(4125,3915,0.94736,0.55519),(4125,3925,0.92671,0.56525),(4125,3935,0.90606,0.57434),(4125,3945,0.88523,0.58343),(4125,3955,0.8642,0.59251),(4125,3965,0.84316,0.60096),(4125,3975,0.82212,0.60865),(4125,3985,0.80098,0.61634),(4125,3995,0.77974,0.62403),(4125,4005,0.7585,0.63121),(4125,4015,0.73726,0.63787),(4125,4025,1.1001,0.64454),(4125,4035,1.5004,0.64921),(4125,4045,1.9008,0.6497),(4125,4055,2.1864,0.65019),(4125,4065,2.4302,0.65013),(4125,4075,2.674,0.64679),(4125,4085,2.7794,0.64345),(4125,4095,2.7734,0.64011),(4125,4105,2.7674,0.63639),(4125,4115,2.6671,0.63266),(4125,4125,2.4105,0.62893),(4125,4135,2.1538,0.62743),(4125,4145,1.894,0.62654),(4125,4155,1.622,0.62566),(4125,4165,1.35,0.62663),(4125,4175,1.0932,0.62879),(4125,4185,1.5927,0.63095),(4125,4195,2.0923,0.62998),(4125,4205,2.5918,0.62488),(4125,4215,2.6671,0.61977),(4125,4225,2.6626,0.61462),(4125,4235,2.6581,0.60932),(4125,4245,2.6524,0.60403),(4125,4255,2.6461,0.59867),(4125,4265,2.6397,0.59257),(4125,4275,2.3072,0.58646),(4125,4285,1.6285,0.58035),(4125,4295,0.94987,0.58263),(4125,4305,0.65645,0.58587),(4125,4315,1.233,0.58911),(4125,4325,1.8095,0.58629),(4125,4335,2.3219,0.58109),(4125,4345,2.4005,0.57589),(4125,4355,2.479,0.56993),(4125,4365,2.5575,0.56333),(4125,4375,2.5587,0.55673),(4125,4385,2.5558,0.55014),(4125,4395,2.5529,0.54357),(4125,4405,2.2229,0.53701),(4125,4415,1.7965,0.5315),(4125,4425,1.37,0.53071),(4125,4435,1.1875,0.52993),(4125,4445,1.1717,0.52915),(4125,4455,1.1559,0.52851),(4125,4465,1.3217,0.52787),(4125,4475,1.7428,0.52723),(4125,4485,2.1639,0.52188),(4125,4495,2.4844,0.51554),(4125,4505,2.482,0.5092),(4125,4515,2.4797,0.50288),(4125,4525,2.4723,0.49656),(4125,4535,2.3866,0.49024),(4125,4545,2.3009,0.48438),(4125,4555,2.2152,0.47902),(4125,4565,1.665,0.47367),(4125,4575,1.0522,0.47046),(4125,4585,0.43931,0.47249),(4125,4595,0.73467,0.47452),(4125,4605,1.4138,0.47561),(4125,4615,2.0929,0.46942),(4125,4625,2.4154,0.46322),(4125,4635,2.4149,0.45703),(4125,4645,2.4145,0.4514),(4125,4655,2.4136,0.4458),(4125,4665,2.4118,0.44021),(4125,4675,2.41,0.43469),(4125,4685,2.322,0.42919),(4125,4695,1.8084,0.42369),(4125,4705,1.2947,0.42121),(4125,4715,0.78109,0.42092),(4125,4725,1.0194,0.42063),(4125,4735,1.2652,0.41934),(4125,4745,1.5111,0.41654),(4125,4755,1.7634,0.41375),(4125,4765,2.0173,0.41037),(4125,4775,2.2711,0.40497),(4125,4785,2.3633,0.39957),(4125,4795,2.3619,0.39417),(4125,4805,2.3606,0.38882),(4125,4815,2.2427,0.38346),(4125,4825,1.9856,0.37811),(4125,4835,1.7285,0.37488),(4125,4845,1.4682,0.37197),(4125,4855,1.1994,0.36907),(4125,4865,0.93071,0.3679),(4125,4875,0.73964,0.36752),(4125,4885,1.2552,0.36713),(4125,4895,1.7708,0.36423),(4125,4905,2.2864,0.35891),(4125,4915,2.3264,0.35358),(4125,4925,2.3254,0.34828),(4125,4935,2.3245,0.34302),(4125,4945,2.3229,0.33776),(4125,4955,2.3212,0.33246),(4125,4965,2.3194,0.32699),(4125,4975,1.9294,0.32152),(4125,4985,1.2397,0.31604),(4125,4995,0.54999,0.31691),(4125,5005,0.32441,0.31794),(4125,5015,0.83667,0.31896),(4125,5025,1.3489,0.31677),(4125,5035,1.7901,0.31375),(4125,5045,1.9606,0.31073),(4125,5055,2.1311,0.30691),(4125,5065,2.2965,0.3026),(4125,5075,2.2957,0.29829),(4125,5085,2.2948,0.294),(4125,5095,2.2939,0.28974),(4125,5105,1.999,0.28548),(4125,5115,1.6528,0.28188),(4125,5125,1.3065,0.28014),(4125,5135,1.13,0.27839),(4125,5145,1.0359,0.27671),(4125,5155,0.94182,0.27575),(4125,5165,1.1089,0.27478),(4125,5175,1.5425,0.27382),(4125,5185,1.976,0.27045),(4125,5195,2.2719,0.26683),(4125,5205,2.2709,0.26321),(4125,5215,2.2699,0.25962),(4125,5225,2.2571,0.25604),(4125,5235,2.1712,0.25246),(4125,5245,2.0853,0.24916),(4125,5255,1.9993,0.24608),(4125,5265,1.4035,0.24301),(4125,5275,0.78655,0.24119),(4125,5285,0.16964,0.2415),(4125,5295,0.57168,0.24181),(4125,5305,1.2575,0.24151),(4125,5315,1.9433,0.23871),(4125,5325,2.2145,0.2359),(4125,5335,2.2138,0.23309),(4125,5345,2.2131,0.23038),(4125,5355,2.2123,0.22766),(4125,5365,2.2112,0.22495),(4125,5375,2.21,0.22223),(4125,5385,2.0822,0.2195),(4125,5395,1.569,0.21677),(4125,5405,1.0558,0.21551),(4125,5415,0.59567,0.21501),(4125,5425,0.8491,0.21451),(4125,5435,1.1025,0.21359),(4125,5445,1.356,0.21223),(4125,5455,1.6107,0.21086),(4125,5465,1.8657,0.20918),(4125,5475,2.1206,0.20674),(4125,5485,2.1931,0.20431),(4125,5495,2.192,0.20185),(4125,5505,2.1909,0.19926),(4125,5515,2.1899,0.19668),(4125,5525,2.189,0.19409),(4125,5535,2.188,0.19138),(4125,5545,2.187,0.18868),(4125,5555,2.186,0.18597),(4125,5565,2.185,0.18325),(4125,5575,2.184,0.18053),(4125,5585,2.1829,0.1778),(4125,5595,2.1817,0.17517),(4125,5605,2.1806,0.1726),(4125,5615,2.1792,0.17003),(4125,5625,2.1778,0.16758),(4125,5635,2.1765,0.16532),(4125,5645,2.1748,0.16305),(4125,5655,2.1732,0.16088),(4125,5665,2.1715,0.15905),(4125,5675,2.1696,0.15721),(4125,5685,2.1676,0.15541),(4125,5695,2.1656,0.15412),(4125,5705,2.1635,0.15282),(4125,5715,2.1612,0.15153),(4125,5725,2.159,0.15074),(4125,5735,2.1567,0.15002),(4125,5745,2.1542,0.14931),(4125,5755,2.1518,0.14897),(4125,5765,2.1493,0.1488),(4125,5775,2.1468,0.14862),(4125,5785,2.1442,0.14872),(4125,5795,2.1417,0.14905),(4125,5805,2.1391,0.14939),(4125,5815,2.1366,0.14987),(4125,5825,2.134,0.15063),(4125,5835,2.1315,0.15139),(4125,5845,2.129,0.15221),(4125,5855,2.1265,0.15332),(4125,5865,2.1241,0.15443),(4125,5875,2.1218,0.15554),(4125,5885,2.1194,0.15691),(4125,5895,2.1171,0.15828),(4125,5905,2.115,0.15966),(4125,5915,2.1128,0.16117),(4125,5925,2.1107,0.16272),(4125,5935,2.1087,0.16428),(4125,5945,2.1068,0.16589),(4125,5955,2.1048,0.16755),(4125,5965,2.1031,0.16921),(4125,5975,2.1014,0.17088),(4125,5985,2.0996,0.17258),(4125,5995,1.6044,0.17427),(4125,6005,1.0296,0.17556),(4125,6015,0.45493,0.17578),(4125,6025,0.63586,0.176),(4125,6035,1.1673,0.17571),(4125,6045,1.6987,0.17042),(4125,6055,2.0649,0.16514),(4125,6065,2.2692,0.15985),(4125,6075,2.4735,0.15314),(4125,6085,2.6106,0.1463),(4125,6095,2.6095,0.13946),(4125,6105,2.6083,0.13294),(4125,6115,2.607,0.12655),(4125,6125,2.605,0.12015),(4125,6135,2.603,0.11416),(4125,6145,2.601,0.10849),(4125,6155,2.5983,0.10281),(4125,6165,2.5955,0.09749),(4125,6175,2.5928,0.092737),(4125,6185,2.5897,0.087983),(4125,6195,2.5864,0.083409),(4125,6205,2.5832,0.079537),(4125,6215,2.5798,0.075666),(4125,6225,2.5763,0.071815),(4125,6235,2.5728,0.068764),(4125,6245,2.5692,0.065712),(4125,6255,2.5657,0.062661),(4125,6265,2.5621,0.060136),(4125,6275,2.5586,0.057707),(4125,6285,2.5552,0.055278),(4125,6295,2.5517,0.053181),(4125,6305,2.5483,0.05125),(4125,6315,2.5452,0.049319),(4125,6325,2.542,0.047557),(4125,6335,2.5388,0.045973),(4125,6345,2.536,0.044388),(4125,6355,2.5331,0.042875),(4125,6365,2.5303,0.041521),(4125,6375,2.5278,0.040167),(4125,6385,2.5253,0.038832),(4125,6395,2.5229,0.037623),(4125,6405,2.5206,0.036413),(4125,6415,2.5186,0.035204),(4125,6425,2.5166,0.033955),(4125,6435,2.5147,0.032705),(4125,6445,2.513,0.031454),(4125,6455,2.5114,0.0302),(4125,6465,2.5098,0.028944),(4125,6475,2.5085,0.027688),(4125,6485,2.5072,0.026418),(4125,6495,2.506,0.025139),(4125,6505,2.505,0.02386),(4125,6515,2.5041,0.022536),(4125,6525,2.5032,0.021149),(4125,6535,2.5025,0.019762),(4125,6545,2.5019,0.01837),(4125,6555,2.5013,0.016963),(4125,6565,2.5009,0.015556),(4125,6575,2.5006,0.014148),(4125,6585,2.5003,0.012732),(4125,6595,2.1265,0.011316),(4125,6605,1.3404,0.0099),(4125,6615,0.55422,0.009751),(4125,6625,0.001585,0.009766),(4125,6635,0.001596,0.009781),(4125,6645,0.001607,0.00978),(4125,6655,0.001618,0.009774),(4125,6665,0.001628,0.009768),(4125,6675,0.001638,0.009761),(4125,6685,0.001647,0.009754),(4125,6695,0.001656,0.009746),(4125,6705,0.001664,0.009739),(4125,6715,0.001673,0.00973),(4125,6725,0.00168,0.009722),(4125,6735,0.001688,0.009714),(4125,6745,0.001695,0.009705),(4125,6755,0.001702,0.009696),(4125,6765,0.001708,0.009687),(4125,6775,0.001714,0.009678),(4125,6785,0.00172,0.009668),(4125,6795,0.001726,0.009659),(4125,6805,0.001731,0.009649),(4125,6815,0.001736,0.00964),(4125,6825,0.001741,0.00963),(4125,6835,0.001745,0.009621),(4125,6845,0.00175,0.009611),(4125,6855,0.001754,0.009601),(4125,6865,0.001757,0.009591),(4125,6875,0.001761,0.009582),(4125,6885,0.001764,0.009572),(4125,6895,0.001768,0.009562),(4125,6905,0.001771,0.009552),(4125,6915,0.001774,0.009542),(4125,6925,0.001776,0.009532),(4125,6935,0.001779,0.009523),(4125,6945,0.001781,0.009513),(4125,6955,0.001784,0.009503),(4125,6965,0.001786,0.009493),(4125,6975,0.001788,0.009484),(4125,6985,0.00179,0.009474),(4135,5,2.6e-05,-0.002967),(4135,15,7.8e-05,-0.002969),(4135,25,0.00013,-0.002972),(4135,35,0.000183,-0.002974),(4135,45,0.000235,-0.002978),(4135,55,0.000287,-0.002985),(4135,65,0.000339,-0.002992),(4135,75,0.000392,-0.002999),(4135,85,0.000445,-0.003009),(4135,95,0.000497,-0.003021),(4135,105,0.00055,-0.003033),(4135,115,0.000603,-0.003044),(4135,125,0.000656,-0.003059),(4135,135,0.000709,-0.003076),(4135,145,0.000762,-0.003093),(4135,155,0.000816,-0.003109),(4135,165,0.000869,-0.003129),(4135,175,0.000923,-0.003151),(4135,185,0.000977,-0.003173),(4135,195,0.001031,-0.003195),(4135,205,0.001086,-0.003221),(4135,215,0.00114,-0.003248),(4135,225,0.001195,-0.003276),(4135,235,0.001251,-0.003304),(4135,245,0.001306,-0.003336),(4135,255,0.001361,-0.00337),(4135,265,0.001418,-0.003403),(4135,275,0.001474,-0.003437),(4135,285,0.001531,-0.003476),(4135,295,0.001588,-0.003516),(4135,305,0.001645,-0.003557),(4135,315,0.001703,-0.003597),(4135,325,0.001761,-0.003644),(4135,335,0.001819,-0.003692),(4135,345,0.001878,-0.00374),(4135,355,0.001937,-0.003788),(4135,365,0.001997,-0.003843),(4135,375,0.002056,-0.0039),(4135,385,0.002117,-0.003956),(4135,395,0.002177,-0.004013),(4135,405,0.002238,-0.004078),(4135,415,0.002299,-0.004144),(4135,425,0.002361,-0.00421),(4135,435,0.002424,-0.004276),(4135,445,0.002486,-0.004353),(4135,455,0.002548,-0.004429),(4135,465,0.002612,-0.004506),(4135,475,0.002676,-0.004583),(4135,485,0.00274,-0.004672),(4135,495,0.002803,-0.004761),(4135,505,0.002869,-0.00485),(4135,515,0.002934,-0.00494),(4135,525,0.002999,-0.005044),(4135,535,0.003065,-0.005148),(4135,545,0.003131,-0.005252),(4135,555,0.003198,-0.005356),(4135,565,0.003264,-0.005477),(4135,575,0.003331,-0.005597),(4135,585,0.003398,-0.005717),(4135,595,0.003465,-0.005839),(4135,605,0.003532,-0.005978),(4135,615,0.003599,-0.006117),(4135,625,0.003666,-0.006256),(4135,635,0.003733,-0.006399),(4135,645,0.003799,-0.00656),(4135,655,0.003866,-0.006721),(4135,665,0.003931,-0.006882),(4135,675,0.003997,-0.007048),(4135,685,0.004062,-0.007234),(4135,695,0.004127,-0.007421),(4135,705,0.004189,-0.007608),(4135,715,0.004251,-0.007801),(4135,725,0.004313,-0.008016),(4135,735,0.004373,-0.008233),(4135,745,0.00443,-0.008448),(4135,755,0.004486,-0.008673),(4135,765,0.004542,-0.008923),(4135,775,0.004596,-0.009173),(4135,785,0.004642,-0.009423),(4135,795,0.004689,-0.009684),(4135,805,0.004736,-0.009973),(4135,815,0.004778,-0.010262),(4135,825,0.00481,-0.010551),(4135,835,0.004842,-0.010855),(4135,845,0.004874,-0.011188),(4135,855,0.004899,-0.011522),(4135,865,0.004909,-0.011855),(4135,875,0.00492,-0.012207),(4135,885,0.004931,-0.012591),(4135,895,0.004929,-0.012974),(4135,905,0.004908,-0.013358),(4135,915,0.004888,-0.013764),(4135,925,0.004867,-0.014202),(4135,935,0.004828,-0.014641),(4135,945,0.004763,-0.015079),(4135,955,0.004699,-0.015544),(4135,965,0.004634,-0.016042),(4135,975,0.004541,-0.016539),(4135,985,0.004417,-0.017036),(4135,995,0.004292,-0.017564),(4135,1005,0.004167,-0.018121),(4135,1015,0.004002,-0.018679),(4135,1025,0.003796,-0.019237),(4135,1035,0.003591,-0.019826),(4135,1045,0.003386,-0.020441),(4135,1055,0.003123,-0.021057),(4135,1065,0.002813,-0.021672),(4135,1075,0.002503,-0.022314),(4135,1085,0.002192,-0.022977),(4135,1095,0.001804,-0.02364),(4135,1105,0.001361,-0.024303),(4135,1115,0.000918,-0.024981),(4135,1125,0.000475,-0.02567),(4135,1135,-6.9e-05,-0.026359),(4135,1145,-0.000672,-0.027048),(4135,1155,-0.001276,-0.027732),(4135,1165,-0.001879,-0.028412),(4135,1175,-0.002605,-0.029093),(4135,1185,-0.003391,-0.029773),(4135,1195,-0.004177,-0.030413),(4135,1205,-0.004963,-0.031035),(4135,1215,-0.005884,-0.031657),(4135,1225,-0.00686,-0.032279),(4135,1235,-0.007837,-0.032813),(4135,1245,-0.008813,-0.033314),(4135,1255,-0.009921,-0.033815),(4135,1265,-0.011073,-0.034316),(4135,1275,-0.012224,-0.034673),(4135,1285,-0.013376,-0.034986),(4135,1295,-0.014631,-0.035299),(4135,1305,-0.015912,-0.035612),(4135,1315,-0.017194,-0.035729),(4135,1325,-0.018476,-0.0358),(4135,1335,-0.019804,-0.03587),(4135,1345,-0.021142,-0.035941),(4135,1355,-0.02248,-0.035788),(4135,1365,-0.023818,-0.035595),(4135,1375,-0.025128,-0.035401),(4135,1385,-0.026435,-0.035208),(4135,1395,-0.027742,-0.034801),(4135,1405,-0.029048,-0.034367),(4135,1415,-0.030259,-0.033933),(4135,1425,-0.03146,-0.033499),(4135,1435,-0.032661,-0.032893),(4135,1445,-0.033861,-0.032274),(4135,1455,-0.034919,-0.031654),(4135,1465,-0.035968,-0.031034),(4135,1475,-0.037017,-0.030302),(4135,1485,-0.038066,-0.029565),(4135,1495,-0.03895,-0.028828),(4135,1505,-0.039832,-0.028091),(4135,1515,-0.040714,-0.027303),(4135,1525,-0.041592,-0.026514),(4135,1535,-0.042316,-0.025726),(4135,1545,-0.043039,-0.024937),(4135,1555,-0.043762,-0.024149),(4135,1565,-0.044476,-0.023362),(4135,1575,-0.045062,-0.022574),(4135,1585,-0.045649,-0.02179),(4135,1595,-0.046235,-0.021041),(4135,1605,-0.04681,-0.020292),(4135,1615,-0.047286,-0.019544),(4135,1625,-0.047763,-0.018803),(4135,1635,-0.048239,-0.018118),(4135,1645,-0.048704,-0.017433),(4135,1655,-0.049099,-0.016748),(4135,1665,-0.049494,-0.016076),(4135,1675,-0.049888,-0.015469),(4135,1685,-0.050273,-0.014863),(4135,1695,-0.05061,-0.014256),(4135,1705,-0.050948,-0.013667),(4135,1715,-0.051286,-0.013146),(4135,1725,-0.051615,-0.012625),(4135,1735,-0.051917,-0.012105),(4135,1745,-0.052218,-0.011606),(4135,1755,-0.052519,-0.011176),(4135,1765,-0.052816,-0.010746),(4135,1775,-0.053097,-0.010317),(4135,1785,-0.053379,-0.009913),(4135,1795,-0.05366,-0.009577),(4135,1805,-0.05394,-0.009241),(4135,1815,-0.054214,-0.008905),(4135,1825,-0.054489,-0.0086),(4135,1835,-0.054763,-0.00836),(4135,1845,-0.055038,-0.008121),(4135,1855,-0.055316,-0.007881),(4135,1865,-0.055593,-0.007678),(4135,1875,-0.05587,-0.007538),(4135,1885,-0.056151,-0.007399),(4135,1895,-0.056438,-0.00726),(4135,1905,-0.056725,-0.007163),(4135,1915,-0.057012,-0.00713),(4135,1925,-0.057306,-0.007098),(4135,1935,-0.057608,-0.007065),(4135,1945,-0.05791,-0.007083),(4135,1955,-0.058212,-0.007165),(4135,1965,-0.058522,-0.007247),(4135,1975,-0.058842,-0.007329),(4135,1985,-0.059163,-0.007472),(4135,1995,-0.059483,-0.00768),(4135,2005,-0.059813,-0.007888),(4135,2015,-0.060154,-0.008097),(4135,2025,-0.060494,-0.008379),(4135,2035,-0.060835,-0.008728),(4135,2045,-0.061187,-0.009078),(4135,2055,-0.061548,-0.009428),(4135,2065,-0.06191,-0.009867),(4135,2075,-0.062271,-0.010377),(4135,2085,-0.062644,-0.010887),(4135,2095,-0.063026,-0.011397),(4135,2105,-0.063407,-0.012018),(4135,2115,-0.063788,-0.012712),(4135,2125,-0.064181,-0.013407),(4135,2135,-0.06458,-0.014101),(4135,2145,-0.064978,-0.014932),(4135,2155,-0.065377,-0.01584),(4135,2165,-0.065784,-0.016748),(4135,2175,-0.066196,-0.017656),(4135,2185,-0.066607,-0.018734),(4135,2195,-0.067018,-0.019891),(4135,2205,-0.067433,-0.021049),(4135,2215,-0.067848,-0.022207),(4135,2225,-0.068264,-0.023575),(4135,2235,-0.06868,-0.025025),(4135,2245,-0.069089,-0.026476),(4135,2255,-0.069497,-0.027927),(4135,2265,-0.069904,-0.029639),(4135,2275,-0.070312,-0.031434),(4135,2285,-0.070698,-0.033229),(4135,2295,-0.071079,-0.035025),(4135,2305,-0.071459,-0.037143),(4135,2315,-0.071839,-0.039345),(4135,2325,-0.072175,-0.041546),(4135,2335,-0.0725,-0.043747),(4135,2345,-0.072826,-0.046348),(4135,2355,-0.073151,-0.049027),(4135,2365,-0.073395,-0.051705),(4135,2375,-0.073624,-0.054384),(4135,2385,-0.073853,-0.057554),(4135,2395,-0.074083,-0.060794),(4135,2405,-0.074173,-0.064033),(4135,2415,-0.074247,-0.067272),(4135,2425,-0.074322,-0.07111),(4135,2435,-0.074396,-0.075002),(4135,2445,-0.074246,-0.078894),(4135,2455,-0.074081,-0.082786),(4135,2465,-0.073917,-0.087397),(4135,2475,-0.073752,-0.092041),(4135,2485,-0.073239,-0.096686),(4135,2495,-0.072717,-0.10133),(4135,2505,-0.072195,-0.10682),(4135,2515,-0.071666,-0.11232),(4135,2525,-0.070627,-0.11781),(4135,2535,-0.069587,-0.12334),(4135,2545,-0.068548,-0.12978),(4135,2555,-0.067469,-0.13621),(4135,2565,-0.065699,-0.14264),(4135,2575,-0.063929,-0.14915),(4135,2585,-0.062159,-0.15658),(4135,2595,-0.060295,-0.164),(4135,2605,-0.057526,-0.17143),(4135,2615,-0.054758,-0.17897),(4135,2625,-0.051989,-0.18737),(4135,2635,-0.049045,-0.19578),(4135,2645,-0.044964,-0.20418),(4135,2655,-0.040883,-0.21272),(4135,2665,-0.036802,-0.22199),(4135,2675,-0.032438,-0.23125),(4135,2685,-0.026719,-0.24052),(4135,2695,-0.021001,-0.24991),(4135,2705,-0.015282,-0.25978),(4135,2715,-0.009158,-0.26965),(4135,2725,-0.001532,-0.27953),(4135,2735,0.006094,-0.28945),(4135,2745,0.01372,-0.29952),(4135,2755,0.021859,-0.3096),(4135,2765,0.031518,-0.31967),(4135,2775,0.041177,-0.32967),(4135,2785,0.050836,-0.33947),(4135,2795,0.061065,-0.34927),(4135,2805,0.072678,-0.35906),(4135,2815,0.084292,-0.36864),(4135,2825,0.095905,-0.37773),(4135,2835,0.10809,-0.38681),(4135,2845,0.12142,-0.3959),(4135,2855,0.13475,-0.40463),(4135,2865,0.14809,-0.41271),(4135,2875,0.16194,-0.4208),(4135,2885,0.17669,-0.42888),(4135,2895,0.19144,-0.4365),(4135,2905,0.20619,-0.4434),(4135,2915,0.22139,-0.45031),(4135,2925,0.23725,-0.45722),(4135,2935,0.25311,-0.46359),(4135,2945,0.26897,-0.46926),(4135,2955,0.28522,-0.47493),(4135,2965,0.30193,-0.4806),(4135,2975,0.31864,-0.48568),(4135,2985,0.33536,-0.49011),(4135,2995,0.35238,-0.49453),(4135,3005,0.36974,-0.49895),(4135,3015,0.38709,-0.50275),(4135,3025,0.40445,-0.50594),(4135,3035,0.42206,-0.50913),(4135,3045,0.4399,-0.51232),(4135,3055,0.45773,-0.51485),(4135,3065,0.47557,-0.51682),(4135,3075,0.49361,-0.5188),(4135,3085,0.51181,-0.52078),(4135,3095,0.53,-0.52203),(4135,3105,0.5482,-0.52279),(4135,3115,0.56655,-0.52354),(4135,3125,0.58501,-0.5243),(4135,3135,0.60347,-0.52427),(4135,3145,0.62193,-0.52377),(4135,3155,0.6405,-0.52328),(4135,3165,0.65913,-0.52278),(4135,3175,0.67776,-0.52141),(4135,3185,0.6964,-0.5196),(4135,3195,0.71509,-0.51778),(4135,3205,0.73382,-0.51597),(4135,3215,0.75254,-0.51315),(4135,3225,0.77126,-0.50992),(4135,3235,0.78997,-0.50669),(4135,3245,0.80868,-0.50345),(4135,3255,0.82739,-0.49905),(4135,3265,0.8461,-0.49426),(4135,3275,0.8647,-0.48946),(4135,3285,0.88326,-0.48466),(4135,3295,0.90182,-0.47849),(4135,3305,0.92038,-0.47195),(4135,3315,0.93867,-0.46541),(4135,3325,0.9569,-0.45887),(4135,3335,0.97513,-0.45071),(4135,3345,0.99335,-0.4422),(4135,3355,1.0111,-0.4337),(4135,3365,1.0287,-0.4252),(4135,3375,1.0463,-0.4148),(4135,3385,1.064,-0.40411),(4135,3395,1.0807,-0.39342),(4135,3405,1.0974,-0.38273),(4135,3415,1.1141,-0.36986),(4135,3425,1.1308,-0.35675),(4135,3435,1.1461,-0.34365),(4135,3445,1.1613,-0.33055),(4135,3455,1.1766,-0.31501),(4135,3465,1.1918,-0.29933),(4135,3475,1.205,-0.28365),(4135,3485,1.2182,-0.26797),(4135,3495,1.2313,-0.24972),(4135,3505,1.2444,-0.23144),(4135,3515,1.2547,-0.21315),(4135,3525,1.265,-0.19481),(4135,3535,1.2753,-0.17412),(4135,3545,1.2855,-0.15343),(4135,3555,1.2921,-0.13275),(4135,3565,1.2988,-0.11194),(4135,3575,1.3054,-0.0894),(4135,3585,1.3116,-0.066858),(4135,3595,1.3139,-0.044317),(4135,3605,1.3161,-0.021681),(4135,3615,1.3183,0.001771),(4135,3625,1.3199,0.025224),(4135,3635,1.3173,0.048677),(4135,3645,1.3147,0.072086),(4135,3655,1.3121,0.095231),(4135,3665,1.3087,0.11838),(4135,3675,1.3014,0.14152),(4135,3685,1.2942,0.1644),(4135,3695,1.2869,0.18609),(4135,3705,1.2788,0.20778),(4135,3715,1.2675,0.22948),(4135,3725,1.2562,0.25069),(4135,3735,1.2449,0.27021),(4135,3745,1.2329,0.28974),(4135,3755,1.2185,0.30927),(4135,3765,1.2041,0.32816),(4135,3775,1.1896,0.34525),(4135,3785,1.1746,0.36234),(4135,3795,1.1579,0.37944),(4135,3805,1.1411,0.3958),(4135,3815,1.1244,0.4105),(4135,3825,1.1072,0.4252),(4135,3835,1.0888,0.43989),(4135,3845,1.0705,0.45384),(4135,3855,1.0521,0.46635),(4135,3865,1.0334,0.47885),(4135,3875,1.0139,0.49136),(4135,3885,0.99443,0.50314),(4135,3895,0.97497,0.51373),(4135,3905,0.95522,0.52433),(4135,3915,0.93503,0.53492),(4135,3925,0.91484,0.54484),(4135,3935,0.89465,0.55381),(4135,3945,0.87426,0.56279),(4135,3955,0.85361,0.57177),(4135,3965,0.83296,0.58013),(4135,3975,0.81231,0.58776),(4135,3985,0.79154,0.59539),(4135,3995,0.77062,0.60302),(4135,4005,0.74971,0.61015),(4135,4015,0.7288,0.61678),(4135,4025,1.0924,0.62341),(4135,4035,1.4936,0.62809),(4135,4045,1.8949,0.62865),(4135,4055,2.1811,0.62921),(4135,4065,2.4255,0.62923),(4135,4075,2.6698,0.62602),(4135,4085,2.7754,0.6228),(4135,4095,2.7696,0.61959),(4135,4105,2.7638,0.61599),(4135,4115,2.6635,0.61237),(4135,4125,2.4066,0.60876),(4135,4135,2.1497,0.60735),(4135,4145,1.8897,0.60653),(4135,4155,1.6175,0.60572),(4135,4165,1.3452,0.60673),(4135,4175,1.0882,0.60892),(4135,4185,1.5887,0.61111),(4135,4195,2.0891,0.61021),(4135,4205,2.5895,0.60524),(4135,4215,2.6651,0.60026),(4135,4225,2.6606,0.59524),(4135,4235,2.6562,0.59008),(4135,4245,2.6506,0.58491),(4135,4255,2.6446,0.57969),(4135,4265,2.6385,0.57374),(4135,4275,2.3056,0.5678),(4135,4285,1.6259,0.56186),(4135,4295,0.94614,0.56411),(4135,4305,0.65231,0.56733),(4135,4315,1.2299,0.57054),(4135,4325,1.8074,0.56782),(4135,4335,2.3208,0.56277),(4135,4345,2.3996,0.55772),(4135,4355,2.4783,0.55193),(4135,4365,2.557,0.54552),(4135,4375,2.5582,0.53912),(4135,4385,2.5553,0.53272),(4135,4395,2.5524,0.52636),(4135,4405,2.2219,0.51999),(4135,4415,1.7949,0.51466),(4135,4425,1.3678,0.51391),(4135,4435,1.185,0.51317),(4135,4445,1.1692,0.51243),(4135,4455,1.1534,0.51181),(4135,4465,1.3195,0.5112),(4135,4475,1.7412,0.51059),(4135,4485,2.1629,0.50535),(4135,4495,2.4838,0.49915),(4135,4505,2.4815,0.49295),(4135,4515,2.4791,0.48677),(4135,4525,2.4718,0.48059),(4135,4535,2.386,0.47441),(4135,4545,2.3002,0.46868),(4135,4555,2.2145,0.46346),(4135,4565,1.6637,0.45823),(4135,4575,1.0503,0.45512),(4135,4585,0.4368,0.45713),(4135,4595,0.73246,0.45913),(4135,4605,1.4122,0.46023),(4135,4615,2.092,0.45426),(4135,4625,2.4147,0.44829),(4135,4635,2.4141,0.44232),(4135,4645,2.4135,0.43687),(4135,4655,2.4125,0.43146),(4135,4665,2.4106,0.42604),(4135,4675,2.4088,0.42069),(4135,4685,2.3208,0.41536),(4135,4695,1.807,0.41004),(4135,4705,1.2931,0.40765),(4135,4715,0.77926,0.4074),(4135,4725,1.0177,0.40714),(4135,4735,1.2636,0.40591),(4135,4745,1.5096,0.40321),(4135,4755,1.762,0.40051),(4135,4765,2.016,0.39724),(4135,4775,2.2699,0.39197),(4135,4785,2.3621,0.38671),(4135,4795,2.3608,0.38145),(4135,4805,2.3594,0.37623),(4135,4815,2.2415,0.371),(4135,4825,1.9844,0.36578),(4135,4835,1.7272,0.36264),(4135,4845,1.4668,0.35983),(4135,4855,1.198,0.35701),(4135,4865,0.92927,0.3559),(4135,4875,0.73817,0.35556),(4135,4885,1.2539,0.35523),(4135,4895,1.7696,0.35242),(4135,4905,2.2853,0.34724),(4135,4915,2.3253,0.34206),(4135,4925,2.3244,0.3369),(4135,4935,2.3234,0.33178),(4135,4945,2.3219,0.32666),(4135,4955,2.3202,0.32151),(4135,4965,2.3185,0.31619),(4135,4975,1.9284,0.31087),(4135,4985,1.2386,0.30556),(4135,4995,0.54872,0.30644),(4135,5005,0.32301,0.30748),(4135,5015,0.83516,0.30852),(4135,5025,1.3473,0.30643),(4135,5035,1.7884,0.30354),(4135,5045,1.9589,0.30065),(4135,5055,2.1293,0.29699),(4135,5065,2.2946,0.29285),(4135,5075,2.2938,0.28871),(4135,5085,2.2929,0.2846),(4135,5095,2.292,0.28051),(4135,5105,1.9972,0.27642),(4135,5115,1.6511,0.27297),(4135,5125,1.305,0.2713),(4135,5135,1.1286,0.26963),(4135,5145,1.0345,0.26803),(4135,5155,0.94041,0.26713),(4135,5165,1.1074,0.26622),(4135,5175,1.5406,0.26532),(4135,5185,1.9738,0.2621),(4135,5195,2.2695,0.25863),(4135,5205,2.2685,0.25517),(4135,5215,2.2675,0.25174),(4135,5225,2.2547,0.24831),(4135,5235,2.1688,0.24489),(4135,5245,2.083,0.24173),(4135,5255,1.9971,0.23879),(4135,5265,1.4018,0.23584),(4135,5275,0.78544,0.2341),(4135,5285,0.1691,0.23441),(4135,5295,0.57064,0.23472),(4135,5305,1.2556,0.23445),(4135,5315,1.9406,0.23174),(4135,5325,2.2115,0.22904),(4135,5335,2.2108,0.22634),(4135,5345,2.2101,0.22373),(4135,5355,2.2092,0.22111),(4135,5365,2.2081,0.21849),(4135,5375,2.207,0.21586),(4135,5385,2.0793,0.21322),(4135,5395,1.5667,0.21059),(4135,5405,1.0541,0.20937),(4135,5415,0.59463,0.20888),(4135,5425,0.84767,0.2084),(4135,5435,1.1007,0.20744),(4135,5445,1.3538,0.20598),(4135,5455,1.6082,0.20451),(4135,5465,1.8628,0.2027),(4135,5475,2.1174,0.2001),(4135,5485,2.1898,0.1975),(4135,5495,2.1888,0.19488),(4135,5505,2.1878,0.19212),(4135,5515,2.1868,0.18936),(4135,5525,2.1859,0.1866),(4135,5535,2.1849,0.18373),(4135,5545,2.184,0.18085),(4135,5555,2.183,0.17798),(4135,5565,2.182,0.17512),(4135,5575,2.181,0.17226),(4135,5585,2.1798,0.1694),(4135,5595,2.1786,0.16666),(4135,5605,2.1774,0.16401),(4135,5615,2.176,0.16135),(4135,5625,2.1745,0.15885),(4135,5635,2.173,0.15656),(4135,5645,2.1713,0.15427),(4135,5655,2.1694,0.1521),(4135,5665,2.1676,0.15031),(4135,5675,2.1656,0.14852),(4135,5685,2.1634,0.14676),(4135,5695,2.1613,0.14557),(4135,5705,2.159,0.14438),(4135,5715,2.1566,0.14319),(4135,5725,2.1541,0.14254),(4135,5735,2.1516,0.14197),(4135,5745,2.149,0.1414),(4135,5755,2.1464,0.14124),(4135,5765,2.1438,0.14124),(4135,5775,2.1411,0.14125),(4135,5785,2.1384,0.14153),(4135,5795,2.1357,0.14206),(4135,5805,2.133,0.1426),(4135,5815,2.1303,0.14328),(4135,5825,2.1276,0.14425),(4135,5835,2.125,0.14521),(4135,5845,2.1224,0.14624),(4135,5855,2.1198,0.14755),(4135,5865,2.1173,0.14887),(4135,5875,2.1149,0.15018),(4135,5885,2.1124,0.15174),(4135,5895,2.1101,0.15331),(4135,5905,2.1079,0.15488),(4135,5915,2.1057,0.15659),(4135,5925,2.1035,0.15832),(4135,5935,2.1015,0.16006),(4135,5945,2.0995,0.16186),(4135,5955,2.0976,0.16369),(4135,5965,2.0958,0.16552),(4135,5975,2.0941,0.16736),(4135,5985,2.0924,0.16921),(4135,5995,1.5988,0.17106),(4135,6005,1.0261,0.17247),(4135,6015,0.45337,0.1727),(4135,6025,0.63542,0.17294),(4135,6035,1.1675,0.17264),(4135,6045,1.6996,0.16723),(4135,6055,2.0663,0.16181),(4135,6065,2.2707,0.1564),(4135,6075,2.475,0.14956),(4135,6085,2.6122,0.14259),(4135,6095,2.6109,0.13561),(4135,6105,2.6096,0.12902),(4135,6115,2.6081,0.12256),(4135,6125,2.6059,0.1161),(4135,6135,2.6036,0.11009),(4135,6145,2.6014,0.10443),(4135,6155,2.5984,0.098782),(4135,6165,2.5954,0.093513),(4135,6175,2.5924,0.088867),(4135,6185,2.5891,0.08422),(4135,6195,2.5855,0.079766),(4135,6205,2.582,0.076067),(4135,6215,2.5784,0.072368),(4135,6225,2.5746,0.06869),(4135,6235,2.5709,0.06585),(4135,6245,2.5671,0.06301),(4135,6255,2.5633,0.06017),(4135,6265,2.5596,0.057866),(4135,6275,2.5558,0.055658),(4135,6285,2.5523,0.053451),(4135,6295,2.5487,0.051565),(4135,6305,2.5451,0.049839),(4135,6315,2.5419,0.048112),(4135,6325,2.5386,0.04654),(4135,6335,2.5353,0.045127),(4135,6345,2.5324,0.043715),(4135,6355,2.5295,0.042361),(4135,6365,2.5266,0.041139),(4135,6375,2.524,0.039916),(4135,6385,2.5215,0.038708),(4135,6395,2.519,0.037596),(4135,6405,2.5168,0.036484),(4135,6415,2.5147,0.035373),(4135,6425,2.5127,0.034184),(4135,6435,2.5108,0.032992),(4135,6445,2.5091,0.0318),(4135,6455,2.5075,0.030571),(4135,6465,2.5059,0.029332),(4135,6475,2.5047,0.028093),(4135,6485,2.5034,0.026826),(4135,6495,2.5021,0.025539),(4135,6505,2.5012,0.024253),(4135,6515,2.5003,0.022914),(4135,6525,2.4994,0.021502),(4135,6535,2.4987,0.020091),(4135,6545,2.4982,0.018669),(4135,6555,2.4976,0.017213),(4135,6565,2.4972,0.015757),(4135,6575,2.4969,0.014301),(4135,6585,2.4966,0.012841),(4135,6595,2.1233,0.011381),(4135,6605,1.3384,0.009921),(4135,6615,0.5534,0.009766),(4135,6625,0.001587,0.009779),(4135,6635,0.001598,0.009792),(4135,6645,0.00161,0.009791),(4135,6655,0.001621,0.009785),(4135,6665,0.001631,0.009778),(4135,6675,0.001641,0.009771),(4135,6685,0.001651,0.009763),(4135,6695,0.00166,0.009755),(4135,6705,0.001669,0.009747),(4135,6715,0.001677,0.009739),(4135,6725,0.001685,0.00973),(4135,6735,0.001693,0.009721),(4135,6745,0.0017,0.009712),(4135,6755,0.001707,0.009703),(4135,6765,0.001713,0.009693),(4135,6775,0.00172,0.009684),(4135,6785,0.001726,0.009674),(4135,6795,0.001731,0.009664),(4135,6805,0.001737,0.009655),(4135,6815,0.001742,0.009645),(4135,6825,0.001746,0.009635),(4135,6835,0.001751,0.009625),(4135,6845,0.001755,0.009615),(4135,6855,0.001759,0.009605),(4135,6865,0.001763,0.009595),(4135,6875,0.001767,0.009585),(4135,6885,0.00177,0.009575),(4135,6895,0.001773,0.009565),(4135,6905,0.001777,0.009555),(4135,6915,0.001779,0.009545),(4135,6925,0.001782,0.009535),(4135,6935,0.001785,0.009525),(4135,6945,0.001787,0.009515),(4135,6955,0.001789,0.009505),(4135,6965,0.001791,0.009495),(4135,6975,0.001793,0.009485),(4135,6985,0.001795,0.009476),(4145,5,2.7e-05,-0.002915),(4145,15,8e-05,-0.002917),(4145,25,0.000133,-0.00292),(4145,35,0.000186,-0.002922),(4145,45,0.000239,-0.002927),(4145,55,0.000292,-0.002934),(4145,65,0.000346,-0.00294),(4145,75,0.000399,-0.002947),(4145,85,0.000453,-0.002957),(4145,95,0.000506,-0.002969),(4145,105,0.00056,-0.00298),(4145,115,0.000614,-0.002992),(4145,125,0.000668,-0.003007),(4145,135,0.000722,-0.003023),(4145,145,0.000776,-0.00304),(4145,155,0.000831,-0.003056),(4145,165,0.000886,-0.003076),(4145,175,0.00094,-0.003098),(4145,185,0.000996,-0.003119),(4145,195,0.001051,-0.003141),(4145,205,0.001107,-0.003167),(4145,215,0.001162,-0.003194),(4145,225,0.001219,-0.003221),(4145,235,0.001276,-0.003249),(4145,245,0.001332,-0.003281),(4145,255,0.001389,-0.003314),(4145,265,0.001447,-0.003348),(4145,275,0.001505,-0.003381),(4145,285,0.001563,-0.00342),(4145,295,0.001621,-0.00346),(4145,305,0.00168,-0.0035),(4145,315,0.00174,-0.00354),(4145,325,0.0018,-0.003586),(4145,335,0.001859,-0.003634),(4145,345,0.00192,-0.003682),(4145,355,0.001981,-0.00373),(4145,365,0.002043,-0.003784),(4145,375,0.002104,-0.003841),(4145,385,0.002167,-0.003897),(4145,395,0.00223,-0.003953),(4145,405,0.002293,-0.004018),(4145,415,0.002356,-0.004084),(4145,425,0.00242,-0.00415),(4145,435,0.002485,-0.004215),(4145,445,0.00255,-0.004291),(4145,455,0.002615,-0.004367),(4145,465,0.002681,-0.004444),(4145,475,0.002748,-0.00452),(4145,485,0.002815,-0.004609),(4145,495,0.002881,-0.004698),(4145,505,0.00295,-0.004787),(4145,515,0.003019,-0.004876),(4145,525,0.003087,-0.00498),(4145,535,0.003156,-0.005083),(4145,545,0.003227,-0.005187),(4145,555,0.003297,-0.005292),(4145,565,0.003368,-0.005412),(4145,575,0.003438,-0.005532),(4145,585,0.00351,-0.005652),(4145,595,0.003581,-0.005774),(4145,605,0.003653,-0.005913),(4145,615,0.003725,-0.006053),(4145,625,0.003797,-0.006192),(4145,635,0.003869,-0.006334),(4145,645,0.003941,-0.006496),(4145,655,0.004013,-0.006657),(4145,665,0.004085,-0.006819),(4145,675,0.004156,-0.006985),(4145,685,0.004228,-0.007173),(4145,695,0.004299,-0.00736),(4145,705,0.004369,-0.007548),(4145,715,0.004438,-0.007742),(4145,725,0.004508,-0.00796),(4145,735,0.004576,-0.008177),(4145,745,0.00464,-0.008395),(4145,755,0.004705,-0.008621),(4145,765,0.00477,-0.008874),(4145,775,0.004833,-0.009126),(4145,785,0.004889,-0.009379),(4145,795,0.004946,-0.009643),(4145,805,0.005003,-0.009936),(4145,815,0.005055,-0.010228),(4145,825,0.005099,-0.010521),(4145,835,0.005143,-0.010829),(4145,845,0.005186,-0.011169),(4145,855,0.005223,-0.011508),(4145,865,0.005247,-0.011847),(4145,875,0.005271,-0.012205),(4145,885,0.005294,-0.012597),(4145,895,0.005307,-0.012988),(4145,905,0.005301,-0.01338),(4145,915,0.005295,-0.013795),(4145,925,0.00529,-0.014245),(4145,935,0.005266,-0.014695),(4145,945,0.005218,-0.015144),(4145,955,0.005169,-0.015623),(4145,965,0.005121,-0.016135),(4145,975,0.005045,-0.016648),(4145,985,0.004938,-0.017161),(4145,995,0.00483,-0.017705),(4145,1005,0.004723,-0.018284),(4145,1015,0.004575,-0.018862),(4145,1025,0.004386,-0.01944),(4145,1035,0.004198,-0.020052),(4145,1045,0.00401,-0.020694),(4145,1055,0.003763,-0.021336),(4145,1065,0.003468,-0.021977),(4145,1075,0.003172,-0.02265),(4145,1085,0.002877,-0.023345),(4145,1095,0.002501,-0.024041),(4145,1105,0.002068,-0.024737),(4145,1115,0.001635,-0.025453),(4145,1125,0.001202,-0.026181),(4145,1135,0.000662,-0.02691),(4145,1145,6e-05,-0.027638),(4145,1155,-0.000542,-0.028365),(4145,1165,-0.001144,-0.02909),(4145,1175,-0.001877,-0.029815),(4145,1185,-0.002675,-0.03054),(4145,1195,-0.003473,-0.031226),(4145,1205,-0.004271,-0.031894),(4145,1215,-0.005217,-0.032562),(4145,1225,-0.006223,-0.033231),(4145,1235,-0.007229,-0.033808),(4145,1245,-0.008235,-0.034351),(4145,1255,-0.009386,-0.034894),(4145,1265,-0.010586,-0.035438),(4145,1275,-0.011786,-0.035828),(4145,1285,-0.012987,-0.036172),(4145,1295,-0.014301,-0.036517),(4145,1305,-0.015647,-0.036861),(4145,1315,-0.016993,-0.036995),(4145,1325,-0.018338,-0.037079),(4145,1335,-0.019735,-0.037163),(4145,1345,-0.021143,-0.037247),(4145,1355,-0.02255,-0.03709),(4145,1365,-0.023958,-0.03689),(4145,1375,-0.025333,-0.036689),(4145,1385,-0.026703,-0.036488),(4145,1395,-0.028072,-0.036059),(4145,1405,-0.029442,-0.0356),(4145,1415,-0.030702,-0.03514),(4145,1425,-0.03195,-0.034681),(4145,1435,-0.033199,-0.03404),(4145,1445,-0.034447,-0.033384),(4145,1455,-0.035533,-0.032729),(4145,1465,-0.03661,-0.032073),(4145,1475,-0.037687,-0.0313),(4145,1485,-0.038764,-0.030523),(4145,1495,-0.039659,-0.029746),(4145,1505,-0.040551,-0.028969),(4145,1515,-0.041442,-0.028142),(4145,1525,-0.04233,-0.027315),(4145,1535,-0.043049,-0.026487),(4145,1545,-0.043768,-0.02566),(4145,1555,-0.044487,-0.024839),(4145,1565,-0.045196,-0.024018),(4145,1575,-0.045769,-0.023197),(4145,1585,-0.046341,-0.022379),(4145,1595,-0.046914,-0.021604),(4145,1605,-0.047474,-0.020828),(4145,1615,-0.047931,-0.020052),(4145,1625,-0.048388,-0.019285),(4145,1635,-0.048845,-0.01858),(4145,1645,-0.04929,-0.017875),(4145,1655,-0.049661,-0.01717),(4145,1665,-0.050033,-0.016478),(4145,1675,-0.050405,-0.015857),(4145,1685,-0.050766,-0.015236),(4145,1695,-0.05108,-0.014615),(4145,1705,-0.051393,-0.014013),(4145,1715,-0.051706,-0.013483),(4145,1725,-0.052012,-0.012953),(4145,1735,-0.052288,-0.012424),(4145,1745,-0.052565,-0.011917),(4145,1755,-0.052841,-0.011482),(4145,1765,-0.053112,-0.011047),(4145,1775,-0.053369,-0.010612),(4145,1785,-0.053625,-0.010205),(4145,1795,-0.053881,-0.009867),(4145,1805,-0.054136,-0.009529),(4145,1815,-0.054385,-0.009191),(4145,1825,-0.054634,-0.008885),(4145,1835,-0.054883,-0.008647),(4145,1845,-0.055132,-0.008408),(4145,1855,-0.055383,-0.008169),(4145,1865,-0.055634,-0.007967),(4145,1875,-0.055885,-0.00783),(4145,1885,-0.056139,-0.007694),(4145,1895,-0.056399,-0.007557),(4145,1905,-0.056659,-0.007464),(4145,1915,-0.056918,-0.007435),(4145,1925,-0.057184,-0.007406),(4145,1935,-0.057456,-0.007377),(4145,1945,-0.057729,-0.007399),(4145,1955,-0.058001,-0.007486),(4145,1965,-0.058281,-0.007573),(4145,1975,-0.058569,-0.00766),(4145,1985,-0.058857,-0.007808),(4145,1995,-0.059146,-0.008022),(4145,2005,-0.059442,-0.008236),(4145,2015,-0.059747,-0.00845),(4145,2025,-0.060052,-0.008737),(4145,2035,-0.060357,-0.009093),(4145,2045,-0.060671,-0.009448),(4145,2055,-0.060992,-0.009803),(4145,2065,-0.061313,-0.010249),(4145,2075,-0.061634,-0.010764),(4145,2085,-0.061963,-0.01128),(4145,2095,-0.062299,-0.011796),(4145,2105,-0.062634,-0.012422),(4145,2115,-0.06297,-0.013122),(4145,2125,-0.063311,-0.013821),(4145,2135,-0.063657,-0.014521),(4145,2145,-0.064003,-0.015356),(4145,2155,-0.064349,-0.016268),(4145,2165,-0.064697,-0.01718),(4145,2175,-0.065046,-0.018092),(4145,2185,-0.065396,-0.019173),(4145,2195,-0.065746,-0.020333),(4145,2205,-0.066091,-0.021492),(4145,2215,-0.066435,-0.022652),(4145,2225,-0.066779,-0.02402),(4145,2235,-0.067122,-0.02547),(4145,2245,-0.067451,-0.02692),(4145,2255,-0.067774,-0.02837),(4145,2265,-0.068097,-0.030078),(4145,2275,-0.068421,-0.031868),(4145,2285,-0.068712,-0.033658),(4145,2295,-0.068994,-0.035448),(4145,2305,-0.069276,-0.037556),(4145,2315,-0.069558,-0.039745),(4145,2325,-0.069781,-0.041934),(4145,2335,-0.069992,-0.044123),(4145,2345,-0.070202,-0.046704),(4145,2355,-0.070413,-0.04936),(4145,2365,-0.070525,-0.052017),(4145,2375,-0.070622,-0.054673),(4145,2385,-0.070718,-0.057808),(4145,2395,-0.070814,-0.06101),(4145,2405,-0.070753,-0.064213),(4145,2415,-0.070673,-0.067415),(4145,2425,-0.070594,-0.071196),(4145,2435,-0.070515,-0.07503),(4145,2445,-0.070192,-0.078864),(4145,2455,-0.069853,-0.082698),(4145,2465,-0.069514,-0.087222),(4145,2475,-0.069174,-0.091779),(4145,2485,-0.068468,-0.096335),(4145,2495,-0.067752,-0.10089),(4145,2505,-0.067036,-0.10625),(4145,2515,-0.066313,-0.11162),(4145,2525,-0.065064,-0.11699),(4145,2535,-0.063815,-0.12238),(4145,2545,-0.062567,-0.12864),(4145,2555,-0.061278,-0.13489),(4145,2565,-0.059293,-0.14114),(4145,2575,-0.057308,-0.14746),(4145,2585,-0.055323,-0.15463),(4145,2595,-0.053245,-0.1618),(4145,2605,-0.050271,-0.16897),(4145,2615,-0.047297,-0.17625),(4145,2625,-0.044323,-0.18432),(4145,2635,-0.041178,-0.19239),(4145,2645,-0.036926,-0.20046),(4145,2655,-0.032673,-0.20865),(4145,2665,-0.02842,-0.21749),(4145,2675,-0.023894,-0.22634),(4145,2685,-0.018067,-0.23519),(4145,2695,-0.012239,-0.24414),(4145,2705,-0.006411,-0.25352),(4145,2715,-0.000196,-0.2629),(4145,2725,0.007449,-0.27229),(4145,2735,0.015094,-0.28171),(4145,2745,0.022739,-0.29126),(4145,2755,0.03087,-0.30081),(4145,2765,0.040444,-0.31036),(4145,2775,0.050017,-0.31984),(4145,2785,0.059591,-0.32913),(4145,2795,0.069707,-0.33843),(4145,2805,0.081139,-0.34772),(4145,2815,0.092571,-0.35681),(4145,2825,0.104,-0.36546),(4145,2835,0.11598,-0.3741),(4145,2845,0.12906,-0.38275),(4145,2855,0.14214,-0.39107),(4145,2865,0.15522,-0.39879),(4145,2875,0.16881,-0.4065),(4145,2885,0.18326,-0.41422),(4145,2895,0.19771,-0.42151),(4145,2905,0.21216,-0.42814),(4145,2915,0.22706,-0.43476),(4145,2925,0.2426,-0.44138),(4145,2935,0.25814,-0.4475),(4145,2945,0.27368,-0.45296),(4145,2955,0.2896,-0.45841),(4145,2965,0.30599,-0.46386),(4145,2975,0.32237,-0.46875),(4145,2985,0.33875,-0.47301),(4145,2995,0.35545,-0.47728),(4145,3005,0.37247,-0.48154),(4145,3015,0.3895,-0.48519),(4145,3025,0.40652,-0.48826),(4145,3035,0.4238,-0.49133),(4145,3045,0.4413,-0.4944),(4145,3055,0.45881,-0.49682),(4145,3065,0.47631,-0.4987),(4145,3075,0.49402,-0.50059),(4145,3085,0.51187,-0.50247),(4145,3095,0.52973,-0.50365),(4145,3105,0.54759,-0.50434),(4145,3115,0.56561,-0.50503),(4145,3125,0.58372,-0.50572),(4145,3135,0.60183,-0.50564),(4145,3145,0.61994,-0.50509),(4145,3155,0.63815,-0.50455),(4145,3165,0.65642,-0.50401),(4145,3175,0.6747,-0.5026),(4145,3185,0.69297,-0.50077),(4145,3195,0.71128,-0.49893),(4145,3205,0.72962,-0.49709),(4145,3215,0.74795,-0.49426),(4145,3225,0.76629,-0.49103),(4145,3235,0.78459,-0.4878),(4145,3245,0.80288,-0.48457),(4145,3255,0.82117,-0.48019),(4145,3265,0.83946,-0.47543),(4145,3275,0.85761,-0.47066),(4145,3285,0.87571,-0.4659),(4145,3295,0.89381,-0.4598),(4145,3305,0.91192,-0.45334),(4145,3315,0.92971,-0.44687),(4145,3325,0.94743,-0.44041),(4145,3335,0.96516,-0.43238),(4145,3345,0.98288,-0.42403),(4145,3355,1.0001,-0.41567),(4145,3365,1.0171,-0.40732),(4145,3375,1.0342,-0.39715),(4145,3385,1.0513,-0.38669),(4145,3395,1.0675,-0.37624),(4145,3405,1.0836,-0.36578),(4145,3415,1.0997,-0.35326),(4145,3425,1.1157,-0.34052),(4145,3435,1.1305,-0.32778),(4145,3445,1.1451,-0.31504),(4145,3455,1.1597,-0.30002),(4145,3465,1.1743,-0.28486),(4145,3475,1.1869,-0.26971),(4145,3485,1.1995,-0.25456),(4145,3495,1.212,-0.23703),(4145,3505,1.2245,-0.21947),(4145,3515,1.2343,-0.20191),(4145,3525,1.2441,-0.1843),(4145,3535,1.2538,-0.16455),(4145,3545,1.2634,-0.14481),(4145,3555,1.2697,-0.12506),(4145,3565,1.2759,-0.10521),(4145,3575,1.2821,-0.083809),(4145,3585,1.288,-0.062405),(4145,3595,1.29,-0.041001),(4145,3605,1.2921,-0.019514),(4145,3615,1.2941,0.002694),(4145,3625,1.2955,0.024902),(4145,3635,1.293,0.047109),(4145,3645,1.2905,0.069279),(4145,3655,1.2879,0.091217),(4145,3665,1.2847,0.11316),(4145,3675,1.2777,0.13509),(4145,3685,1.2707,0.1568),(4145,3695,1.2638,0.17746),(4145,3705,1.256,0.19813),(4145,3715,1.2452,0.21879),(4145,3725,1.2344,0.23902),(4145,3735,1.2236,0.25775),(4145,3745,1.2121,0.27647),(4145,3755,1.1982,0.2952),(4145,3765,1.1843,0.31335),(4145,3775,1.1705,0.32986),(4145,3785,1.156,0.34637),(4145,3795,1.1398,0.36288),(4145,3805,1.1237,0.37872),(4145,3815,1.1075,0.39301),(4145,3825,1.0908,0.40729),(4145,3835,1.073,0.42158),(4145,3845,1.0552,0.43517),(4145,3855,1.0374,0.4474),(4145,3865,1.0191,0.45963),(4145,3875,1.0002,0.47186),(4145,3885,0.98117,0.4834),(4145,3895,0.9622,0.49382),(4145,3905,0.9429,0.50424),(4145,3915,0.92313,0.51466),(4145,3925,0.90336,0.52442),(4145,3935,0.88359,0.53329),(4145,3945,0.86359,0.54216),(4145,3955,0.8433,0.55103),(4145,3965,0.82302,0.5593),(4145,3975,0.80273,0.56687),(4145,3985,0.78229,0.57443),(4145,3995,0.76168,0.582),(4145,4005,0.74108,0.58909),(4145,4015,0.72047,0.59569),(4145,4025,1.0848,0.60229),(4145,4035,1.4868,0.60697),(4145,4045,1.8888,0.6076),(4145,4055,2.1757,0.60824),(4145,4065,2.4205,0.60834),(4145,4075,2.6653,0.60524),(4145,4085,2.7713,0.60215),(4145,4095,2.7656,0.59906),(4145,4105,2.7599,0.59558),(4145,4115,2.6596,0.59209),(4145,4125,2.4025,0.58859),(4145,4135,2.1454,0.58727),(4145,4145,1.8853,0.58652),(4145,4155,1.6128,0.58578),(4145,4165,1.3404,0.58684),(4145,4175,1.0832,0.58905),(4145,4185,1.5845,0.59126),(4145,4195,2.0858,0.59044),(4145,4205,2.587,0.5856),(4145,4215,2.6627,0.58075),(4145,4225,2.6584,0.57586),(4145,4235,2.654,0.57083),(4145,4245,2.6486,0.56579),(4145,4255,2.6428,0.5607),(4145,4265,2.637,0.55492),(4145,4275,2.3038,0.54914),(4145,4285,1.6231,0.54336),(4145,4295,0.94242,0.5456),(4145,4305,0.64822,0.54878),(4145,4315,1.2267,0.55196),(4145,4325,1.8052,0.54934),(4145,4335,2.3194,0.54444),(4145,4345,2.3983,0.53954),(4145,4355,2.4772,0.53393),(4145,4365,2.5561,0.52772),(4145,4375,2.5573,0.5215),(4145,4385,2.5544,0.5153),(4145,4395,2.5515,0.50914),(4145,4405,2.2206,0.50298),(4145,4415,1.793,0.49782),(4145,4425,1.3654,0.49711),(4145,4435,1.1825,0.49641),(4145,4445,1.1667,0.49571),(4145,4455,1.1509,0.49512),(4145,4465,1.3172,0.49453),(4145,4475,1.7394,0.49395),(4145,4485,2.1616,0.48883),(4145,4495,2.483,0.48277),(4145,4505,2.4806,0.4767),(4145,4515,2.4782,0.47065),(4145,4525,2.4709,0.46462),(4145,4535,2.3851,0.45858),(4145,4545,2.2993,0.45299),(4145,4555,2.2134,0.4479),(4145,4565,1.6622,0.4428),(4145,4575,1.0483,0.43978),(4145,4585,0.43433,0.44176),(4145,4595,0.73019,0.44374),(4145,4605,1.4105,0.44485),(4145,4615,2.0907,0.4391),(4145,4625,2.4136,0.43336),(4145,4635,2.4129,0.42762),(4145,4645,2.4121,0.42235),(4145,4655,2.411,0.41711),(4145,4665,2.4091,0.41188),(4145,4675,2.4073,0.4067),(4145,4685,2.3192,0.40154),(4145,4695,1.8053,0.39638),(4145,4705,1.2913,0.39408),(4145,4715,0.77735,0.39387),(4145,4725,1.0158,0.39366),(4145,4735,1.2619,0.39249),(4145,4745,1.5079,0.38988),(4145,4755,1.7604,0.38727),(4145,4765,2.0145,0.3841),(4145,4775,2.2685,0.37897),(4145,4785,2.3607,0.37385),(4145,4795,2.3593,0.36872),(4145,4805,2.358,0.36363),(4145,4815,2.2401,0.35854),(4145,4825,1.9829,0.35345),(4145,4835,1.7257,0.35041),(4145,4845,1.4653,0.34768),(4145,4855,1.1965,0.34495),(4145,4865,0.92771,0.3439),(4145,4875,0.73661,0.34361),(4145,4885,1.2524,0.34332),(4145,4895,1.7682,0.34061),(4145,4905,2.284,0.33557),(4145,4915,2.324,0.33054),(4145,4925,2.323,0.32552),(4145,4935,2.322,0.32054),(4145,4945,2.3206,0.31556),(4145,4955,2.3189,0.31055),(4145,4965,2.3173,0.30539),(4145,4975,1.9272,0.30023),(4145,4985,1.2373,0.29507),(4145,4995,0.54738,0.29597),(4145,5005,0.32155,0.29702),(4145,5015,0.83352,0.29807),(4145,5025,1.3455,0.29608),(4145,5035,1.7864,0.29333),(4145,5045,1.9568,0.29057),(4145,5055,2.1271,0.28706),(4145,5065,2.2924,0.2831),(4145,5075,2.2915,0.27914),(4145,5085,2.2906,0.27519),(4145,5095,2.2897,0.27128),(4145,5105,1.9951,0.26736),(4145,5115,1.6492,0.26405),(4145,5125,1.3033,0.26246),(4145,5135,1.127,0.26088),(4145,5145,1.0329,0.25935),(4145,5155,0.93887,0.25851),(4145,5165,1.1057,0.25766),(4145,5175,1.5385,0.25681),(4145,5185,1.9714,0.25374),(4145,5195,2.2668,0.25044),(4145,5205,2.2657,0.24713),(4145,5215,2.2647,0.24386),(4145,5225,2.2519,0.24059),(4145,5235,2.1662,0.23733),(4145,5245,2.0804,0.23431),(4145,5255,1.9946,0.23149),(4145,5265,1.3999,0.22867),(4145,5275,0.78423,0.22702),(4145,5285,0.16855,0.22732),(4145,5295,0.56954,0.22763),(4145,5305,1.2537,0.22738),(4145,5315,1.9378,0.22478),(4145,5325,2.2083,0.22219),(4145,5335,2.2076,0.2196),(4145,5345,2.2068,0.21708),(4145,5355,2.2059,0.21455),(4145,5365,2.2048,0.21203),(4145,5375,2.2037,0.20949),(4145,5385,2.0762,0.20694),(4145,5395,1.5643,0.2044),(4145,5405,1.0525,0.20322),(4145,5415,0.59357,0.20276),(4145,5425,0.8463,0.20229),(4145,5435,1.099,0.2013),(4145,5445,1.3518,0.19973),(4145,5455,1.6059,0.19816),(4145,5465,1.8602,0.19623),(4145,5475,2.1145,0.19346),(4145,5485,2.1869,0.1907),(4145,5495,2.1859,0.18791),(4145,5505,2.185,0.18498),(4145,5515,2.1841,0.18204),(4145,5525,2.1832,0.17911),(4145,5535,2.1823,0.17607),(4145,5545,2.1813,0.17303),(4145,5555,2.1803,0.16999),(4145,5565,2.1793,0.16699),(4145,5575,2.1783,0.16399),(4145,5585,2.177,0.161),(4145,5595,2.1758,0.15815),(4145,5605,2.1745,0.15541),(4145,5615,2.1729,0.15267),(4145,5625,2.1713,0.15011),(4145,5635,2.1697,0.1478),(4145,5645,2.1677,0.14549),(4145,5655,2.1657,0.14331),(4145,5665,2.1637,0.14156),(4145,5675,2.1615,0.13982),(4145,5685,2.1591,0.13811),(4145,5695,2.1567,0.13702),(4145,5705,2.1543,0.13593),(4145,5715,2.1516,0.13484),(4145,5725,2.149,0.13434),(4145,5735,2.1463,0.13392),(4145,5745,2.1435,0.1335),(4145,5755,2.1406,0.13351),(4145,5765,2.1378,0.13369),(4145,5775,2.135,0.13388),(4145,5785,2.1321,0.13435),(4145,5795,2.1292,0.13508),(4145,5805,2.1264,0.13581),(4145,5815,2.1236,0.13669),(4145,5825,2.1207,0.13786),(4145,5835,2.118,0.13904),(4145,5845,2.1153,0.14027),(4145,5855,2.1126,0.14178),(4145,5865,2.11,0.1433),(4145,5875,2.1075,0.14482),(4145,5885,2.105,0.14658),(4145,5895,2.1026,0.14834),(4145,5905,2.1004,0.15011),(4145,5915,2.0981,0.152),(4145,5925,2.0959,0.15392),(4145,5935,2.0939,0.15585),(4145,5945,2.0919,0.15782),(4145,5955,2.0899,0.15982),(4145,5965,2.0882,0.16182),(4145,5975,2.0865,0.16383),(4145,5985,2.0847,0.16584),(4145,5995,1.593,0.16785),(4145,6005,1.0224,0.16938),(4145,6015,0.45175,0.16963),(4145,6025,0.63503,0.16987),(4145,6035,1.168,0.16957),(4145,6045,1.7009,0.16403),(4145,6055,2.068,0.15849),(4145,6065,2.2725,0.15295),(4145,6075,2.477,0.14598),(4145,6085,2.6142,0.13887),(4145,6095,2.6126,0.13177),(4145,6105,2.6111,0.12509),(4145,6115,2.6094,0.11857),(4145,6125,2.6069,0.11204),(4145,6135,2.6044,0.10602),(4145,6145,2.6019,0.10038),(4145,6155,2.5986,0.094752),(4145,6165,2.5952,0.089536),(4145,6175,2.5919,0.084997),(4145,6185,2.5882,0.080458),(4145,6195,2.5844,0.076124),(4145,6205,2.5806,0.072597),(4145,6215,2.5766,0.06907),(4145,6225,2.5726,0.065565),(4145,6235,2.5686,0.062936),(4145,6245,2.5646,0.060308),(4145,6255,2.5606,0.05768),(4145,6265,2.5566,0.055595),(4145,6275,2.5527,0.053609),(4145,6285,2.549,0.051623),(4145,6295,2.5452,0.049948),(4145,6305,2.5415,0.048427),(4145,6315,2.5382,0.046906),(4145,6325,2.5348,0.045523),(4145,6335,2.5315,0.044282),(4145,6345,2.5285,0.043042),(4145,6355,2.5256,0.041848),(4145,6365,2.5226,0.040756),(4145,6375,2.52,0.039665),(4145,6385,2.5175,0.038584),(4145,6395,2.515,0.03757),(4145,6405,2.5128,0.036556),(4145,6415,2.5108,0.035542),(4145,6425,2.5087,0.034413),(4145,6435,2.5068,0.033279),(4145,6445,2.5052,0.032145),(4145,6455,2.5036,0.030942),(4145,6465,2.5021,0.029721),(4145,6475,2.5008,0.028499),(4145,6485,2.4996,0.027234),(4145,6495,2.4984,0.025939),(4145,6505,2.4975,0.024645),(4145,6515,2.4966,0.023291),(4145,6525,2.4957,0.021855),(4145,6535,2.4951,0.02042),(4145,6545,2.4945,0.018967),(4145,6555,2.4939,0.017462),(4145,6565,2.4936,0.015957),(4145,6575,2.4933,0.014453),(4145,6585,2.493,0.012949),(4145,6595,2.1203,0.011445),(4145,6605,1.3365,0.009942),(4145,6615,0.55261,0.009781),(4145,6625,0.00159,0.009793),(4145,6635,0.001602,0.009804),(4145,6645,0.001613,0.009803),(4145,6655,0.001625,0.009795),(4145,6665,0.001635,0.009788),(4145,6675,0.001646,0.009781),(4145,6685,0.001656,0.009772),(4145,6695,0.001665,0.009764),(4145,6705,0.001674,0.009756),(4145,6715,0.001683,0.009747),(4145,6725,0.001691,0.009738),(4145,6735,0.001698,0.009728),(4145,6745,0.001706,0.009719),(4145,6755,0.001713,0.009709),(4145,6765,0.001719,0.0097),(4145,6775,0.001726,0.00969),(4145,6785,0.001732,0.00968),(4145,6795,0.001737,0.00967),(4145,6805,0.001743,0.00966),(4145,6815,0.001748,0.00965),(4145,6825,0.001753,0.00964),(4145,6835,0.001757,0.009629),(4145,6845,0.001762,0.009619),(4145,6855,0.001766,0.009609),(4145,6865,0.001769,0.009599),(4145,6875,0.001773,0.009589),(4145,6885,0.001776,0.009578),(4145,6895,0.00178,0.009568),(4145,6905,0.001783,0.009558),(4145,6915,0.001785,0.009548),(4145,6925,0.001788,0.009538),(4145,6935,0.001791,0.009528),(4145,6945,0.001793,0.009517),(4145,6955,0.001795,0.009507),(4145,6965,0.001797,0.009497),(4145,6975,0.001799,0.009487),(4145,6985,0.001801,0.009477),(4155,5,2.7e-05,-0.002862),(4155,15,8.1e-05,-0.002864),(4155,25,0.000135,-0.002866),(4155,35,0.000189,-0.002868),(4155,45,0.000243,-0.002873),(4155,55,0.000297,-0.00288),(4155,65,0.000352,-0.002887),(4155,75,0.000406,-0.002894),(4155,85,0.000461,-0.002903),(4155,95,0.000515,-0.002915),(4155,105,0.00057,-0.002926),(4155,115,0.000625,-0.002938),(4155,125,0.00068,-0.002952),(4155,135,0.000735,-0.002968),(4155,145,0.000791,-0.002985),(4155,155,0.000846,-0.003001),(4155,165,0.000902,-0.003021),(4155,175,0.000958,-0.003042),(4155,185,0.001014,-0.003064),(4155,195,0.001071,-0.003085),(4155,205,0.001128,-0.00311),(4155,215,0.001185,-0.003137),(4155,225,0.001243,-0.003164),(4155,235,0.001301,-0.003191),(4155,245,0.001359,-0.003223),(4155,255,0.001417,-0.003256),(4155,265,0.001476,-0.003289),(4155,275,0.001536,-0.003322),(4155,285,0.001595,-0.003361),(4155,295,0.001655,-0.0034),(4155,305,0.001716,-0.00344),(4155,315,0.001777,-0.00348),(4155,325,0.001838,-0.003526),(4155,335,0.001899,-0.003573),(4155,345,0.001962,-0.00362),(4155,355,0.002025,-0.003668),(4155,365,0.002089,-0.003722),(4155,375,0.002152,-0.003778),(4155,385,0.002217,-0.003833),(4155,395,0.002282,-0.003889),(4155,405,0.002347,-0.003954),(4155,415,0.002412,-0.004019),(4155,425,0.002479,-0.004084),(4155,435,0.002547,-0.00415),(4155,445,0.002614,-0.004225),(4155,455,0.002681,-0.004301),(4155,465,0.002751,-0.004377),(4155,475,0.00282,-0.004452),(4155,485,0.00289,-0.004541),(4155,495,0.00296,-0.004629),(4155,505,0.003032,-0.004717),(4155,515,0.003104,-0.004806),(4155,525,0.003176,-0.004909),(4155,535,0.003248,-0.005012),(4155,545,0.003322,-0.005116),(4155,555,0.003397,-0.00522),(4155,565,0.003471,-0.005339),(4155,575,0.003545,-0.005459),(4155,585,0.003622,-0.005579),(4155,595,0.003698,-0.0057),(4155,605,0.003774,-0.00584),(4155,615,0.00385,-0.005979),(4155,625,0.003928,-0.006118),(4155,635,0.004005,-0.00626),(4155,645,0.004083,-0.006422),(4155,655,0.00416,-0.006583),(4155,665,0.004238,-0.006745),(4155,675,0.004316,-0.006911),(4155,685,0.004394,-0.007099),(4155,695,0.004472,-0.007287),(4155,705,0.004549,-0.007475),(4155,715,0.004625,-0.00767),(4155,725,0.004702,-0.007888),(4155,735,0.004778,-0.008107),(4155,745,0.004851,-0.008326),(4155,755,0.004925,-0.008554),(4155,765,0.004998,-0.008808),(4155,775,0.00507,-0.009062),(4155,785,0.005136,-0.009317),(4155,795,0.005203,-0.009583),(4155,805,0.00527,-0.009879),(4155,815,0.005333,-0.010175),(4155,825,0.005388,-0.010471),(4155,835,0.005443,-0.010783),(4155,845,0.005498,-0.011127),(4155,855,0.005547,-0.011471),(4155,865,0.005584,-0.011815),(4155,875,0.005621,-0.012179),(4155,885,0.005658,-0.012578),(4155,895,0.005685,-0.012977),(4155,905,0.005694,-0.013375),(4155,915,0.005703,-0.013799),(4155,925,0.005712,-0.01426),(4155,935,0.005704,-0.01472),(4155,945,0.005672,-0.01518),(4155,955,0.00564,-0.015671),(4155,965,0.005608,-0.016198),(4155,975,0.005549,-0.016726),(4155,985,0.005459,-0.017253),(4155,995,0.005369,-0.017816),(4155,1005,0.005279,-0.018415),(4155,1015,0.005148,-0.019013),(4155,1025,0.004976,-0.019612),(4155,1035,0.004805,-0.020248),(4155,1045,0.004634,-0.020917),(4155,1055,0.004403,-0.021586),(4155,1065,0.004122,-0.022255),(4155,1075,0.003842,-0.022959),(4155,1085,0.003562,-0.02369),(4155,1095,0.003197,-0.024421),(4155,1105,0.002774,-0.025152),(4155,1115,0.002351,-0.025908),(4155,1125,0.001929,-0.02668),(4155,1135,0.001394,-0.027453),(4155,1145,0.000793,-0.028225),(4155,1155,0.000192,-0.028999),(4155,1165,-0.000409,-0.029775),(4155,1175,-0.00115,-0.030551),(4155,1185,-0.00196,-0.031327),(4155,1195,-0.00277,-0.032066),(4155,1205,-0.00358,-0.032789),(4155,1215,-0.00455,-0.033511),(4155,1225,-0.005585,-0.034234),(4155,1235,-0.006621,-0.034863),(4155,1245,-0.007656,-0.035457),(4155,1255,-0.008851,-0.036052),(4155,1265,-0.0101,-0.036646),(4155,1275,-0.011348,-0.037078),(4155,1285,-0.012597,-0.03746),(4155,1295,-0.013972,-0.037842),(4155,1305,-0.015382,-0.038225),(4155,1315,-0.016791,-0.03838),(4155,1325,-0.0182,-0.03848),(4155,1335,-0.019666,-0.03858),(4155,1345,-0.021143,-0.03868),(4155,1355,-0.02262,-0.038517),(4155,1365,-0.024098,-0.038307),(4155,1375,-0.025537,-0.038096),(4155,1385,-0.02697,-0.037885),(4155,1395,-0.028403,-0.037426),(4155,1405,-0.029837,-0.036934),(4155,1415,-0.031145,-0.036443),(4155,1425,-0.032441,-0.035951),(4155,1435,-0.033737,-0.035266),(4155,1445,-0.035032,-0.034565),(4155,1455,-0.036148,-0.033864),(4155,1465,-0.037252,-0.033163),(4155,1475,-0.038357,-0.032341),(4155,1485,-0.039462,-0.031516),(4155,1495,-0.040367,-0.03069),(4155,1505,-0.041269,-0.029865),(4155,1515,-0.042171,-0.028992),(4155,1525,-0.043068,-0.02812),(4155,1535,-0.043783,-0.027248),(4155,1545,-0.044497,-0.026376),(4155,1555,-0.045212,-0.025517),(4155,1565,-0.045917,-0.024658),(4155,1575,-0.046475,-0.023798),(4155,1585,-0.047034,-0.022944),(4155,1595,-0.047592,-0.022138),(4155,1605,-0.048138,-0.021333),(4155,1615,-0.048576,-0.020527),(4155,1625,-0.049013,-0.019732),(4155,1635,-0.04945,-0.019005),(4155,1645,-0.049875,-0.018278),(4155,1655,-0.050224,-0.017551),(4155,1665,-0.050573,-0.016838),(4155,1675,-0.050922,-0.016202),(4155,1685,-0.05126,-0.015566),(4155,1695,-0.051549,-0.014931),(4155,1705,-0.051838,-0.014314),(4155,1715,-0.052127,-0.013775),(4155,1725,-0.052408,-0.013236),(4155,1735,-0.052659,-0.012697),(4155,1745,-0.052911,-0.012182),(4155,1755,-0.053163,-0.011742),(4155,1765,-0.053409,-0.011302),(4155,1775,-0.05364,-0.010862),(4155,1785,-0.053871,-0.010451),(4155,1795,-0.054103,-0.010111),(4155,1805,-0.054332,-0.009771),(4155,1815,-0.054555,-0.009431),(4155,1825,-0.054779,-0.009124),(4155,1835,-0.055002,-0.008886),(4155,1845,-0.055226,-0.008647),(4155,1855,-0.055451,-0.008409),(4155,1865,-0.055676,-0.008208),(4155,1875,-0.0559,-0.008074),(4155,1885,-0.056128,-0.007939),(4155,1895,-0.05636,-0.007804),(4155,1905,-0.056592,-0.007713),(4155,1915,-0.056824,-0.007687),(4155,1925,-0.057061,-0.007662),(4155,1935,-0.057305,-0.007636),(4155,1945,-0.057548,-0.007661),(4155,1955,-0.057791,-0.007752),(4155,1965,-0.05804,-0.007843),(4155,1975,-0.058296,-0.007933),(4155,1985,-0.058552,-0.008085),(4155,1995,-0.058808,-0.008303),(4155,2005,-0.059071,-0.008521),(4155,2015,-0.05934,-0.008738),(4155,2025,-0.05961,-0.00903),(4155,2035,-0.059879,-0.009389),(4155,2045,-0.060154,-0.009748),(4155,2055,-0.060435,-0.010107),(4155,2065,-0.060716,-0.010555),(4155,2075,-0.060997,-0.011074),(4155,2085,-0.061283,-0.011593),(4155,2095,-0.061572,-0.012112),(4155,2105,-0.061861,-0.01274),(4155,2115,-0.062151,-0.013441),(4155,2125,-0.062442,-0.014143),(4155,2135,-0.062735,-0.014844),(4155,2145,-0.063027,-0.01568),(4155,2155,-0.06332,-0.016593),(4155,2165,-0.063609,-0.017505),(4155,2175,-0.063897,-0.018417),(4155,2185,-0.064185,-0.019495),(4155,2195,-0.064473,-0.020653),(4155,2205,-0.06475,-0.02181),(4155,2215,-0.065021,-0.022967),(4155,2225,-0.065293,-0.02433),(4155,2235,-0.065565,-0.025774),(4155,2245,-0.065812,-0.027217),(4155,2255,-0.066051,-0.028661),(4155,2265,-0.066291,-0.030358),(4155,2275,-0.06653,-0.032136),(4155,2285,-0.066725,-0.033914),(4155,2295,-0.066909,-0.035692),(4155,2305,-0.067093,-0.037782),(4155,2315,-0.067276,-0.039952),(4155,2325,-0.067388,-0.042121),(4155,2335,-0.067483,-0.04429),(4155,2345,-0.067579,-0.046842),(4155,2355,-0.067675,-0.049467),(4155,2365,-0.067656,-0.052093),(4155,2375,-0.067619,-0.054719),(4155,2385,-0.067582,-0.057809),(4155,2395,-0.067544,-0.060965),(4155,2405,-0.067332,-0.064121),(4155,2415,-0.067099,-0.067277),(4155,2425,-0.066866,-0.070992),(4155,2435,-0.066633,-0.074758),(4155,2445,-0.066138,-0.078525),(4155,2455,-0.065624,-0.082291),(4155,2465,-0.06511,-0.086719),(4155,2475,-0.064597,-0.091179),(4155,2485,-0.063697,-0.095638),(4155,2495,-0.062787,-0.1001),(4155,2505,-0.061877,-0.10532),(4155,2515,-0.060959,-0.11055),(4155,2525,-0.059502,-0.11579),(4155,2535,-0.058044,-0.12104),(4155,2545,-0.056586,-0.12711),(4155,2555,-0.055087,-0.13317),(4155,2565,-0.052887,-0.13924),(4155,2575,-0.050687,-0.14536),(4155,2585,-0.048486,-0.15229),(4155,2595,-0.046194,-0.15921),(4155,2605,-0.043015,-0.16614),(4155,2615,-0.039836,-0.17315),(4155,2625,-0.036657,-0.1809),(4155,2635,-0.033311,-0.18865),(4155,2645,-0.028887,-0.19641),(4155,2655,-0.024462,-0.20426),(4155,2665,-0.020038,-0.21272),(4155,2675,-0.015351,-0.22118),(4155,2685,-0.009414,-0.22963),(4155,2695,-0.003477,-0.23818),(4155,2705,0.00246,-0.24711),(4155,2715,0.008765,-0.25605),(4155,2725,0.016429,-0.26498),(4155,2735,0.024093,-0.27394),(4155,2745,0.031757,-0.28302),(4155,2755,0.039882,-0.29209),(4155,2765,0.04937,-0.30117),(4155,2775,0.058858,-0.31018),(4155,2785,0.068346,-0.31901),(4155,2795,0.078349,-0.32784),(4155,2805,0.0896,-0.33668),(4155,2815,0.10085,-0.34532),(4155,2825,0.1121,-0.35356),(4155,2835,0.12388,-0.3618),(4155,2845,0.1367,-0.37004),(4155,2855,0.14953,-0.37797),(4155,2865,0.16236,-0.38535),(4155,2875,0.17568,-0.39272),(4155,2885,0.18983,-0.4001),(4155,2895,0.20398,-0.40708),(4155,2905,0.21814,-0.41343),(4155,2915,0.23273,-0.41978),(4155,2925,0.24795,-0.42613),(4155,2935,0.26317,-0.432),(4155,2945,0.27839,-0.43724),(4155,2955,0.29399,-0.44248),(4155,2965,0.31004,-0.44773),(4155,2975,0.32609,-0.45243),(4155,2985,0.34215,-0.45653),(4155,2995,0.35851,-0.46063),(4155,3005,0.37521,-0.46473),(4155,3015,0.3919,-0.46824),(4155,3025,0.40859,-0.47119),(4155,3035,0.42554,-0.47414),(4155,3045,0.44271,-0.47709),(4155,3055,0.45988,-0.4794),(4155,3065,0.47705,-0.4812),(4155,3075,0.49442,-0.48299),(4155,3085,0.51194,-0.48479),(4155,3095,0.52947,-0.48589),(4155,3105,0.54699,-0.48652),(4155,3115,0.56466,-0.48715),(4155,3125,0.58242,-0.48777),(4155,3135,0.60019,-0.48764),(4155,3145,0.61795,-0.48706),(4155,3155,0.63581,-0.48648),(4155,3165,0.65372,-0.4859),(4155,3175,0.67163,-0.48447),(4155,3185,0.68954,-0.48262),(4155,3195,0.70747,-0.48077),(4155,3205,0.72542,-0.47892),(4155,3215,0.74337,-0.4761),(4155,3225,0.76132,-0.47288),(4155,3235,0.77921,-0.46966),(4155,3245,0.79708,-0.46644),(4155,3255,0.81495,-0.46211),(4155,3265,0.83282,-0.4574),(4155,3275,0.85052,-0.45268),(4155,3285,0.86816,-0.44797),(4155,3295,0.88581,-0.44196),(4155,3305,0.90345,-0.4356),(4155,3315,0.92075,-0.42924),(4155,3325,0.93797,-0.42288),(4155,3335,0.95519,-0.415),(4155,3345,0.97241,-0.40682),(4155,3355,0.98904,-0.39863),(4155,3365,1.0056,-0.39044),(4155,3375,1.0221,-0.38051),(4155,3385,1.0386,-0.37031),(4155,3395,1.0542,-0.36012),(4155,3405,1.0697,-0.34992),(4155,3415,1.0852,-0.33775),(4155,3425,1.1007,-0.32539),(4155,3435,1.1148,-0.31302),(4155,3445,1.1288,-0.30065),(4155,3455,1.1428,-0.28615),(4155,3465,1.1568,-0.27151),(4155,3475,1.1688,-0.25688),(4155,3485,1.1808,-0.24225),(4155,3495,1.1927,-0.22542),(4155,3505,1.2047,-0.20855),(4155,3515,1.2139,-0.19169),(4155,3525,1.2231,-0.17477),(4155,3535,1.2323,-0.15591),(4155,3545,1.2414,-0.13704),(4155,3555,1.2472,-0.11818),(4155,3565,1.2531,-0.099216),(4155,3575,1.2589,-0.078852),(4155,3585,1.2644,-0.058487),(4155,3595,1.2662,-0.038123),(4155,3605,1.268,-0.017684),(4155,3615,1.2699,0.003399),(4155,3625,1.2712,0.024481),(4155,3635,1.2687,0.045564),(4155,3645,1.2662,0.066612),(4155,3655,1.2638,0.087457),(4155,3665,1.2606,0.1083),(4155,3675,1.254,0.12915),(4155,3685,1.2473,0.14978),(4155,3695,1.2406,0.16949),(4155,3705,1.2332,0.18921),(4155,3715,1.2229,0.20892),(4155,3725,1.2126,0.22824),(4155,3735,1.2023,0.2462),(4155,3745,1.1912,0.26417),(4155,3755,1.1779,0.28213),(4155,3765,1.1646,0.29956),(4155,3775,1.1513,0.31549),(4155,3785,1.1374,0.33142),(4155,3795,1.1218,0.34736),(4155,3805,1.1062,0.36266),(4155,3815,1.0906,0.37653),(4155,3825,1.0745,0.3904),(4155,3835,1.0572,0.40426),(4155,3845,1.0399,0.41747),(4155,3855,1.0226,0.4294),(4155,3865,1.0049,0.44133),(4155,3875,0.98641,0.45327),(4155,3885,0.96791,0.46454),(4155,3895,0.94942,0.47475),(4155,3905,0.93058,0.48497),(4155,3915,0.91123,0.49518),(4155,3925,0.89188,0.50477),(4155,3935,0.87253,0.5135),(4155,3945,0.85293,0.52223),(4155,3955,0.833,0.53096),(4155,3965,0.81307,0.53912),(4155,3975,0.79315,0.5466),(4155,3985,0.77304,0.55408),(4155,3995,0.75274,0.56157),(4155,4005,0.73244,0.56858),(4155,4015,0.71214,0.57512),(4155,4025,1.0772,0.58166),(4155,4035,1.48,0.58632),(4155,4045,1.8828,0.587),(4155,4055,2.1702,0.58768),(4155,4065,2.4155,0.58784),(4155,4075,2.6609,0.58485),(4155,4085,2.7671,0.58186),(4155,4095,2.7615,0.57887),(4155,4105,2.756,0.57548),(4155,4115,2.6557,0.57209),(4155,4125,2.3985,0.56869),(4155,4135,2.1412,0.56743),(4155,4145,1.8809,0.56674),(4155,4155,1.6082,0.56605),(4155,4165,1.3355,0.56713),(4155,4175,1.0782,0.56935),(4155,4185,1.5803,0.57157),(4155,4195,2.0824,0.57079),(4155,4205,2.5845,0.56607),(4155,4215,2.6604,0.56135),(4155,4225,2.6561,0.55657),(4155,4235,2.6518,0.55165),(4155,4245,2.6466,0.54674),(4155,4255,2.641,0.54177),(4155,4265,2.6354,0.53614),(4155,4275,2.3019,0.53051),(4155,4285,1.6203,0.52489),(4155,4295,0.93869,0.52711),(4155,4305,0.64413,0.53024),(4155,4315,1.2235,0.53338),(4155,4325,1.8029,0.53086),(4155,4335,2.3179,0.52612),(4155,4345,2.397,0.52139),(4155,4355,2.4761,0.51596),(4155,4365,2.5552,0.50995),(4155,4375,2.5564,0.50393),(4155,4385,2.5535,0.49794),(4155,4395,2.5505,0.49199),(4155,4405,2.2193,0.48604),(4155,4415,1.7912,0.48105),(4155,4425,1.3631,0.48039),(4155,4435,1.1799,0.47972),(4155,4445,1.1641,0.47905),(4155,4455,1.1483,0.4785),(4155,4465,1.3149,0.47794),(4155,4475,1.7376,0.47738),(4155,4485,2.1604,0.47239),(4155,4495,2.4821,0.46647),(4155,4505,2.4798,0.46055),(4155,4515,2.4774,0.45465),(4155,4525,2.47,0.44876),(4155,4535,2.3842,0.44288),(4155,4545,2.2983,0.43743),(4155,4555,2.2124,0.43247),(4155,4565,1.6608,0.42752),(4155,4575,1.0463,0.42458),(4155,4585,0.43186,0.42654),(4155,4595,0.72792,0.4285),(4155,4605,1.4087,0.42961),(4155,4615,2.0895,0.42408),(4155,4625,2.4125,0.41855),(4155,4635,2.4116,0.41302),(4155,4645,2.4107,0.40793),(4155,4655,2.4095,0.40286),(4155,4665,2.4076,0.3978),(4155,4675,2.4057,0.39278),(4155,4685,2.3177,0.38778),(4155,4695,1.8036,0.38278),(4155,4705,1.2895,0.38057),(4155,4715,0.77544,0.3804),(4155,4725,1.014,0.38022),(4155,4735,1.2601,0.3791),(4155,4745,1.5062,0.37659),(4155,4755,1.7588,0.37408),(4155,4765,2.0129,0.37101),(4155,4775,2.2671,0.36603),(4155,4785,2.3593,0.36104),(4155,4795,2.3579,0.35606),(4155,4805,2.3566,0.35111),(4155,4815,2.2387,0.34616),(4155,4825,1.9814,0.34121),(4155,4835,1.7242,0.33826),(4155,4845,1.4638,0.33561),(4155,4855,1.195,0.33297),(4155,4865,0.92616,0.33198),(4155,4875,0.73504,0.33173),(4155,4885,1.2509,0.33148),(4155,4895,1.7668,0.32888),(4155,4905,2.2827,0.32399),(4155,4915,2.3226,0.31911),(4155,4925,2.3216,0.31425),(4155,4935,2.3207,0.30942),(4155,4945,2.3192,0.3046),(4155,4955,2.3176,0.29974),(4155,4965,2.316,0.29475),(4155,4975,1.926,0.28975),(4155,4985,1.236,0.28476),(4155,4995,0.54603,0.28566),(4155,5005,0.3201,0.28671),(4155,5015,0.83187,0.28776),(4155,5025,1.3436,0.28588),(4155,5035,1.7844,0.28325),(4155,5045,1.9547,0.28063),(4155,5055,2.1249,0.27728),(4155,5065,2.2901,0.27349),(4155,5075,2.2892,0.26971),(4155,5085,2.2883,0.26594),(4155,5095,2.2874,0.26219),(4155,5105,1.9929,0.25844),(4155,5115,1.6473,0.25528),(4155,5125,1.3016,0.25377),(4155,5135,1.1254,0.25226),(4155,5145,1.0313,0.25081),(4155,5155,0.93733,0.25002),(4155,5165,1.104,0.24923),(4155,5175,1.5364,0.24845),(4155,5185,1.9689,0.24553),(4155,5195,2.264,0.24239),(4155,5205,2.263,0.23925),(4155,5215,2.262,0.23614),(4155,5225,2.2492,0.23304),(4155,5235,2.1635,0.22994),(4155,5245,2.0778,0.22706),(4155,5255,1.9921,0.22437),(4155,5265,1.3981,0.22168),(4155,5275,0.78303,0.22011),(4155,5285,0.168,0.22041),(4155,5295,0.56845,0.22072),(4155,5305,1.2517,0.22048),(4155,5315,1.9349,0.218),(4155,5325,2.2051,0.21552),(4155,5335,2.2043,0.21303),(4155,5345,2.2036,0.21061),(4155,5355,2.2027,0.20818),(4155,5365,2.2016,0.20575),(4155,5375,2.2005,0.2033),(4155,5385,2.0732,0.20083),(4155,5395,1.562,0.19837),(4155,5405,1.0508,0.19724),(4155,5415,0.5925,0.19679),(4155,5425,0.84494,0.19634),(4155,5435,1.0974,0.19529),(4155,5445,1.3498,0.1936),(4155,5455,1.6036,0.19192),(4155,5465,1.8577,0.18985),(4155,5475,2.1117,0.18689),(4155,5485,2.184,0.18393),(4155,5495,2.1831,0.18095),(4155,5505,2.1822,0.17781),(4155,5515,2.1813,0.17468),(4155,5525,2.1805,0.17155),(4155,5535,2.1796,0.16834),(4155,5545,2.1787,0.16513),(4155,5555,2.1777,0.16191),(4155,5565,2.1767,0.15877),(4155,5575,2.1756,0.15565),(4155,5585,2.1743,0.15253),(4155,5595,2.1729,0.1496),(4155,5605,2.1716,0.1468),(4155,5615,2.1698,0.14401),(4155,5625,2.1681,0.14142),(4155,5635,2.1663,0.13913),(4155,5645,2.1642,0.13684),(4155,5655,2.162,0.1347),(4155,5665,2.1598,0.13304),(4155,5675,2.1574,0.13139),(4155,5685,2.1548,0.12977),(4155,5695,2.1522,0.12882),(4155,5705,2.1495,0.12787),(4155,5715,2.1467,0.12692),(4155,5725,2.1438,0.12659),(4155,5735,2.1409,0.12634),(4155,5745,2.1379,0.12609),(4155,5755,2.1349,0.12628),(4155,5765,2.1319,0.12665),(4155,5775,2.1288,0.12702),(4155,5785,2.1258,0.12768),(4155,5795,2.1228,0.1286),(4155,5805,2.1198,0.12952),(4155,5815,2.1168,0.13059),(4155,5825,2.1139,0.13194),(4155,5835,2.111,0.1333),(4155,5845,2.1082,0.13471),(4155,5855,2.1054,0.13641),(4155,5865,2.1027,0.1381),(4155,5875,2.1002,0.1398),(4155,5885,2.0976,0.14173),(4155,5895,2.0951,0.14366),(4155,5905,2.0928,0.14559),(4155,5915,2.0905,0.14765),(4155,5925,2.0883,0.14973),(4155,5935,2.0863,0.15181),(4155,5945,2.0842,0.15394),(4155,5955,2.0822,0.15609),(4155,5965,2.0805,0.15824),(4155,5975,2.0788,0.16039),(4155,5985,2.0771,0.16254),(4155,5995,1.5871,0.16469),(4155,6005,1.0186,0.16633),(4155,6015,0.45013,0.16657),(4155,6025,0.63464,0.16682),(4155,6035,1.1684,0.16651),(4155,6045,1.7022,0.16082),(4155,6055,2.0697,0.15513),(4155,6065,2.2743,0.14944),(4155,6075,2.479,0.14232),(4155,6085,2.6161,0.13507),(4155,6095,2.6144,0.12782),(4155,6105,2.6127,0.12107),(4155,6115,2.6108,0.11451),(4155,6125,2.6079,0.10794),(4155,6135,2.6051,0.10193),(4155,6145,2.6023,0.09637),(4155,6155,2.5987,0.090806),(4155,6165,2.5951,0.085698),(4155,6175,2.5914,0.081328),(4155,6185,2.5874,0.076957),(4155,6195,2.5832,0.072806),(4155,6205,2.5791,0.069513),(4155,6215,2.5749,0.066221),(4155,6225,2.5706,0.062951),(4155,6235,2.5663,0.060584),(4155,6245,2.562,0.058217),(4155,6255,2.5578,0.05585),(4155,6265,2.5536,0.054022),(4155,6275,2.5495,0.052291),(4155,6285,2.5456,0.05056),(4155,6295,2.5418,0.049114),(4155,6305,2.5379,0.047809),(4155,6315,2.5345,0.046504),(4155,6325,2.5311,0.045313),(4155,6335,2.5276,0.044242),(4155,6345,2.5246,0.04317),(4155,6355,2.5216,0.042127),(4155,6365,2.5187,0.041149),(4155,6375,2.516,0.040171),(4155,6385,2.5136,0.039197),(4155,6395,2.5111,0.038252),(4155,6405,2.5088,0.037306),(4155,6415,2.5068,0.036361),(4155,6425,2.5048,0.035261),(4155,6435,2.5029,0.034154),(4155,6445,2.5013,0.033047),(4155,6455,2.4997,0.031839),(4155,6465,2.4982,0.030603),(4155,6475,2.497,0.029366),(4155,6485,2.4958,0.028069),(4155,6495,2.4946,0.026733),(4155,6505,2.4937,0.025396),(4155,6515,2.4928,0.023993),(4155,6525,2.492,0.022497),(4155,6535,2.4914,0.021002),(4155,6545,2.4909,0.019484),(4155,6555,2.4903,0.017896),(4155,6565,2.49,0.016308),(4155,6575,2.4897,0.01472),(4155,6585,2.4894,0.013132),(4155,6595,2.1173,0.011544),(4155,6605,1.3345,0.009957),(4155,6615,0.55183,0.009788),(4155,6625,0.001592,0.009802),(4155,6635,0.001605,0.009815),(4155,6645,0.001617,0.009814),(4155,6655,0.001629,0.009807),(4155,6665,0.00164,0.009799),(4155,6675,0.00165,0.009791),(4155,6685,0.001661,0.009782),(4155,6695,0.00167,0.009773),(4155,6705,0.001679,0.009765),(4155,6715,0.001688,0.009755),(4155,6725,0.001696,0.009746),(4155,6735,0.001704,0.009736),(4155,6745,0.001712,0.009726),(4155,6755,0.001719,0.009716),(4155,6765,0.001725,0.009706),(4155,6775,0.001732,0.009696),(4155,6785,0.001738,0.009686),(4155,6795,0.001744,0.009675),(4155,6805,0.001749,0.009665),(4155,6815,0.001754,0.009655),(4155,6825,0.001759,0.009644),(4155,6835,0.001764,0.009634),(4155,6845,0.001768,0.009623),(4155,6855,0.001772,0.009613),(4155,6865,0.001776,0.009602),(4155,6875,0.001779,0.009592),(4155,6885,0.001783,0.009582),(4155,6895,0.001786,0.009571),(4155,6905,0.001789,0.009561),(4155,6915,0.001792,0.009551),(4155,6925,0.001794,0.00954),(4155,6935,0.001797,0.00953),(4155,6945,0.001799,0.00952),(4155,6955,0.001801,0.00951),(4155,6965,0.001803,0.009499),(4155,6975,0.001805,0.009489),(4155,6985,0.001807,0.009479),(4165,5,2.7e-05,-0.002806),(4165,15,8.2e-05,-0.002809),(4165,25,0.000137,-0.002811),(4165,35,0.000192,-0.002813),(4165,45,0.000248,-0.002818),(4165,55,0.000303,-0.002824),(4165,65,0.000358,-0.002831),(4165,75,0.000413,-0.002838),(4165,85,0.000469,-0.002847),(4165,95,0.000524,-0.002858),(4165,105,0.00058,-0.00287),(4165,115,0.000636,-0.002881),(4165,125,0.000692,-0.002895),(4165,135,0.000748,-0.002912),(4165,145,0.000805,-0.002928),(4165,155,0.000862,-0.002944),(4165,165,0.000919,-0.002963),(4165,175,0.000976,-0.002984),(4165,185,0.001033,-0.003005),(4165,195,0.001091,-0.003027),(4165,205,0.001149,-0.003051),(4165,215,0.001207,-0.003078),(4165,225,0.001266,-0.003105),(4165,235,0.001326,-0.003132),(4165,245,0.001385,-0.003163),(4165,255,0.001445,-0.003195),(4165,265,0.001505,-0.003228),(4165,275,0.001566,-0.003261),(4165,285,0.001627,-0.003299),(4165,295,0.001688,-0.003338),(4165,305,0.001751,-0.003377),(4165,315,0.001814,-0.003416),(4165,325,0.001877,-0.003462),(4165,335,0.00194,-0.003508),(4165,345,0.002004,-0.003555),(4165,355,0.002069,-0.003602),(4165,365,0.002134,-0.003655),(4165,375,0.002199,-0.003711),(4165,385,0.002266,-0.003766),(4165,395,0.002334,-0.003821),(4165,405,0.002401,-0.003884),(4165,415,0.002469,-0.003949),(4165,425,0.002538,-0.004014),(4165,435,0.002608,-0.004078),(4165,445,0.002678,-0.004153),(4165,455,0.002748,-0.004228),(4165,465,0.00282,-0.004303),(4165,475,0.002893,-0.004379),(4165,485,0.002965,-0.004466),(4165,495,0.003038,-0.004554),(4165,505,0.003113,-0.004641),(4165,515,0.003188,-0.004729),(4165,525,0.003264,-0.004831),(4165,535,0.003339,-0.004934),(4165,545,0.003417,-0.005036),(4165,555,0.003496,-0.005139),(4165,565,0.003574,-0.005258),(4165,575,0.003652,-0.005377),(4165,585,0.003733,-0.005496),(4165,595,0.003814,-0.005617),(4165,605,0.003895,-0.005756),(4165,615,0.003976,-0.005894),(4165,625,0.004059,-0.006033),(4165,635,0.004142,-0.006174),(4165,645,0.004225,-0.006335),(4165,655,0.004308,-0.006497),(4165,665,0.004392,-0.006658),(4165,675,0.004476,-0.006824),(4165,685,0.00456,-0.007012),(4165,695,0.004644,-0.0072),(4165,705,0.004729,-0.007388),(4165,715,0.004813,-0.007582),(4165,725,0.004897,-0.007801),(4165,735,0.00498,-0.00802),(4165,745,0.005062,-0.008239),(4165,755,0.005144,-0.008468),(4165,765,0.005226,-0.008723),(4165,775,0.005307,-0.008979),(4165,785,0.005383,-0.009234),(4165,795,0.00546,-0.009502),(4165,805,0.005536,-0.0098),(4165,815,0.00561,-0.010099),(4165,825,0.005677,-0.010397),(4165,835,0.005744,-0.010712),(4165,845,0.00581,-0.011059),(4165,855,0.005871,-0.011407),(4165,865,0.005922,-0.011755),(4165,875,0.005972,-0.012125),(4165,885,0.006022,-0.01253),(4165,895,0.006062,-0.012935),(4165,905,0.006086,-0.01334),(4165,915,0.006111,-0.013772),(4165,925,0.006135,-0.014242),(4165,935,0.006142,-0.014712),(4165,945,0.006127,-0.015182),(4165,955,0.006111,-0.015685),(4165,965,0.006096,-0.016227),(4165,975,0.006053,-0.016769),(4165,985,0.00598,-0.017311),(4165,995,0.005908,-0.01789),(4165,1005,0.005835,-0.01851),(4165,1015,0.00572,-0.019129),(4165,1025,0.005566,-0.019748),(4165,1035,0.005412,-0.020409),(4165,1045,0.005258,-0.021106),(4165,1055,0.005043,-0.021803),(4165,1065,0.004777,-0.022501),(4165,1075,0.004512,-0.023239),(4165,1085,0.004246,-0.024008),(4165,1095,0.003894,-0.024776),(4165,1105,0.003481,-0.025545),(4165,1115,0.003068,-0.026345),(4165,1125,0.002655,-0.027166),(4165,1135,0.002125,-0.027986),(4165,1145,0.001525,-0.028807),(4165,1155,0.000926,-0.029636),(4165,1165,0.000326,-0.03047),(4165,1175,-0.000422,-0.031303),(4165,1185,-0.001244,-0.032137),(4165,1195,-0.002067,-0.032938),(4165,1205,-0.002889,-0.033724),(4165,1215,-0.003883,-0.03451),(4165,1225,-0.004948,-0.035296),(4165,1235,-0.006013,-0.035987),(4165,1245,-0.007078,-0.036642),(4165,1255,-0.008316,-0.037297),(4165,1265,-0.009613,-0.037952),(4165,1275,-0.01091,-0.038434),(4165,1285,-0.012207,-0.038863),(4165,1295,-0.013643,-0.039291),(4165,1305,-0.015116,-0.03972),(4165,1315,-0.016589,-0.0399),(4165,1325,-0.018062,-0.040019),(4165,1335,-0.019597,-0.040139),(4165,1345,-0.021144,-0.040259),(4165,1355,-0.022691,-0.040087),(4165,1365,-0.024238,-0.039863),(4165,1375,-0.025741,-0.039639),(4165,1385,-0.027238,-0.039414),(4165,1395,-0.028734,-0.038917),(4165,1405,-0.030231,-0.038385),(4165,1415,-0.031588,-0.037853),(4165,1425,-0.032931,-0.037321),(4165,1435,-0.034275,-0.036581),(4165,1445,-0.035618,-0.035824),(4165,1455,-0.036762,-0.035068),(4165,1465,-0.037895,-0.034311),(4165,1475,-0.039028,-0.033432),(4165,1485,-0.040161,-0.032548),(4165,1495,-0.041076,-0.031665),(4165,1505,-0.041987,-0.030781),(4165,1515,-0.042899,-0.029856),(4165,1525,-0.043805,-0.028931),(4165,1535,-0.044516,-0.028006),(4165,1545,-0.045227,-0.027083),(4165,1555,-0.045937,-0.02618),(4165,1565,-0.046637,-0.025278),(4165,1575,-0.047182,-0.024376),(4165,1585,-0.047726,-0.023479),(4165,1595,-0.048271,-0.022641),(4165,1605,-0.048803,-0.021802),(4165,1615,-0.04922,-0.020964),(4165,1625,-0.049638,-0.020137),(4165,1635,-0.050056,-0.019386),(4165,1645,-0.05046,-0.018636),(4165,1655,-0.050786,-0.017885),(4165,1665,-0.051112,-0.017151),(4165,1675,-0.051439,-0.016499),(4165,1685,-0.051754,-0.015848),(4165,1695,-0.052018,-0.015196),(4165,1705,-0.052283,-0.014565),(4165,1715,-0.052548,-0.014016),(4165,1725,-0.052804,-0.013468),(4165,1735,-0.053031,-0.012919),(4165,1745,-0.053258,-0.012395),(4165,1755,-0.053484,-0.01195),(4165,1765,-0.053706,-0.011505),(4165,1775,-0.053912,-0.01106),(4165,1785,-0.054118,-0.010644),(4165,1795,-0.054324,-0.010302),(4165,1805,-0.054528,-0.00996),(4165,1815,-0.054726,-0.009618),(4165,1825,-0.054924,-0.00931),(4165,1835,-0.055122,-0.009071),(4165,1845,-0.05532,-0.008833),(4165,1855,-0.055518,-0.008595),(4165,1865,-0.055717,-0.008394),(4165,1875,-0.055915,-0.008261),(4165,1885,-0.056116,-0.008128),(4165,1895,-0.056321,-0.007995),(4165,1905,-0.056526,-0.007905),(4165,1915,-0.05673,-0.007882),(4165,1925,-0.056939,-0.007858),(4165,1935,-0.057153,-0.007834),(4165,1945,-0.057367,-0.007862),(4165,1955,-0.057581,-0.007955),(4165,1965,-0.057799,-0.008048),(4165,1975,-0.058023,-0.008141),(4165,1985,-0.058247,-0.008294),(4165,1995,-0.058471,-0.008514),(4165,2005,-0.0587,-0.008734),(4165,2015,-0.058934,-0.008953),(4165,2025,-0.059167,-0.009246),(4165,2035,-0.059401,-0.009607),(4165,2045,-0.059638,-0.009967),(4165,2055,-0.059879,-0.010327),(4165,2065,-0.060119,-0.010776),(4165,2075,-0.06036,-0.011295),(4165,2085,-0.060602,-0.011813),(4165,2095,-0.060845,-0.012332),(4165,2105,-0.061089,-0.012959),(4165,2115,-0.061332,-0.013659),(4165,2125,-0.061573,-0.014359),(4165,2135,-0.061812,-0.015058),(4165,2145,-0.062052,-0.015891),(4165,2155,-0.062291,-0.016799),(4165,2165,-0.062522,-0.017707),(4165,2175,-0.062748,-0.018614),(4165,2185,-0.062974,-0.019686),(4165,2195,-0.063201,-0.020835),(4165,2205,-0.063408,-0.021985),(4165,2215,-0.063608,-0.023134),(4165,2225,-0.063808,-0.024485),(4165,2235,-0.064007,-0.025916),(4165,2245,-0.064174,-0.027347),(4165,2255,-0.064329,-0.028778),(4165,2265,-0.064484,-0.030457),(4165,2275,-0.064639,-0.032216),(4165,2285,-0.064739,-0.033974),(4165,2295,-0.064824,-0.035733),(4165,2305,-0.064909,-0.037797),(4165,2315,-0.064994,-0.039937),(4165,2325,-0.064994,-0.042078),(4165,2335,-0.064975,-0.044219),(4165,2345,-0.064956,-0.046732),(4165,2355,-0.064936,-0.049317),(4165,2365,-0.064787,-0.051903),(4165,2375,-0.064617,-0.054488),(4165,2385,-0.064446,-0.057523),(4165,2395,-0.064275,-0.060622),(4165,2405,-0.063911,-0.063721),(4165,2415,-0.063525,-0.06682),(4165,2425,-0.063139,-0.070458),(4165,2435,-0.062752,-0.074146),(4165,2445,-0.062084,-0.077833),(4165,2455,-0.061396,-0.081521),(4165,2465,-0.060707,-0.085843),(4165,2475,-0.060019,-0.090195),(4165,2485,-0.058926,-0.094547),(4165,2495,-0.057822,-0.098899),(4165,2505,-0.056718,-0.10398),(4165,2515,-0.055606,-0.10907),(4165,2525,-0.053939,-0.11415),(4165,2535,-0.052272,-0.11927),(4165,2545,-0.050605,-0.12514),(4165,2555,-0.048897,-0.13102),(4165,2565,-0.046481,-0.13689),(4165,2575,-0.044066,-0.14283),(4165,2585,-0.04165,-0.14951),(4165,2595,-0.039143,-0.15619),(4165,2605,-0.035759,-0.16287),(4165,2615,-0.032375,-0.16963),(4165,2625,-0.028991,-0.17708),(4165,2635,-0.025445,-0.18453),(4165,2645,-0.020848,-0.19198),(4165,2655,-0.016252,-0.19953),(4165,2665,-0.011656,-0.20763),(4165,2675,-0.006808,-0.21572),(4165,2685,-0.000762,-0.22382),(4165,2695,0.005285,-0.232),(4165,2705,0.011331,-0.24053),(4165,2715,0.017726,-0.24906),(4165,2725,0.025409,-0.25759),(4165,2735,0.033092,-0.26615),(4165,2745,0.040775,-0.27481),(4165,2755,0.048893,-0.28346),(4165,2765,0.058295,-0.29211),(4165,2775,0.067698,-0.30071),(4165,2785,0.077101,-0.30913),(4165,2795,0.086991,-0.31755),(4165,2805,0.098061,-0.32598),(4165,2815,0.10913,-0.33423),(4165,2825,0.1202,-0.34209),(4165,2835,0.13177,-0.34996),(4165,2845,0.14435,-0.35782),(4165,2855,0.15692,-0.36541),(4165,2865,0.1695,-0.37247),(4165,2875,0.18255,-0.37952),(4165,2885,0.1964,-0.38658),(4165,2895,0.21026,-0.39326),(4165,2905,0.22411,-0.39935),(4165,2915,0.2384,-0.40544),(4165,2925,0.2533,-0.41153),(4165,2935,0.2682,-0.41717),(4165,2945,0.2831,-0.4222),(4165,2955,0.29837,-0.42724),(4165,2965,0.31409,-0.43227),(4165,2975,0.32982,-0.43679),(4165,2985,0.34554,-0.44073),(4165,2995,0.36158,-0.44467),(4165,3005,0.37794,-0.44861),(4165,3015,0.3943,-0.45198),(4165,3025,0.41066,-0.45481),(4165,3035,0.42727,-0.45764),(4165,3045,0.44411,-0.46046),(4165,3055,0.46095,-0.46268),(4165,3065,0.47779,-0.46439),(4165,3075,0.49483,-0.46609),(4165,3085,0.51201,-0.4678),(4165,3095,0.5292,-0.46884),(4165,3105,0.54638,-0.46941),(4165,3115,0.56371,-0.46998),(4165,3125,0.58113,-0.47054),(4165,3135,0.59855,-0.47037),(4165,3145,0.61597,-0.46976),(4165,3155,0.63347,-0.46915),(4165,3165,0.65101,-0.46854),(4165,3175,0.66856,-0.4671),(4165,3185,0.68611,-0.46525),(4165,3195,0.70366,-0.4634),(4165,3205,0.72122,-0.46154),(4165,3215,0.73879,-0.45875),(4165,3225,0.75635,-0.45556),(4165,3235,0.77383,-0.45237),(4165,3245,0.79128,-0.44919),(4165,3255,0.80873,-0.44492),(4165,3265,0.82619,-0.44028),(4165,3275,0.84343,-0.43564),(4165,3285,0.86062,-0.431),(4165,3295,0.8778,-0.4251),(4165,3305,0.89498,-0.41886),(4165,3315,0.91179,-0.41263),(4165,3325,0.9285,-0.40639),(4165,3335,0.94522,-0.3987),(4165,3345,0.96193,-0.3907),(4165,3355,0.97803,-0.3827),(4165,3365,0.99401,-0.3747),(4165,3375,1.01,-0.36504),(4165,3385,1.026,-0.35512),(4165,3395,1.041,-0.3452),(4165,3405,1.0559,-0.33528),(4165,3415,1.0708,-0.32349),(4165,3425,1.0857,-0.31151),(4165,3435,1.0992,-0.29953),(4165,3445,1.1126,-0.28755),(4165,3455,1.126,-0.27355),(4165,3465,1.1393,-0.25943),(4165,3475,1.1508,-0.24532),(4165,3485,1.1621,-0.2312),(4165,3495,1.1734,-0.21503),(4165,3505,1.1848,-0.19882),(4165,3515,1.1934,-0.18262),(4165,3525,1.2021,-0.16637),(4165,3535,1.2108,-0.14831),(4165,3545,1.2194,-0.13025),(4165,3555,1.2248,-0.1122),(4165,3565,1.2302,-0.094051),(4165,3575,1.2356,-0.074614),(4165,3585,1.2407,-0.055178),(4165,3595,1.2424,-0.035742),(4165,3605,1.244,-0.016237),(4165,3615,1.2457,0.003857),(4165,3625,1.2468,0.02395),(4165,3635,1.2444,0.044044),(4165,3645,1.242,0.064107),(4165,3655,1.2396,0.083986),(4165,3665,1.2366,0.10387),(4165,3675,1.2302,0.12374),(4165,3685,1.2239,0.14343),(4165,3695,1.2175,0.16228),(4165,3705,1.2105,0.18113),(4165,3715,1.2006,0.19997),(4165,3725,1.1908,0.21846),(4165,3735,1.1809,0.2357),(4165,3745,1.1704,0.25295),(4165,3755,1.1576,0.27019),(4165,3765,1.1449,0.28694),(4165,3775,1.1321,0.3023),(4165,3785,1.1187,0.31766),(4165,3795,1.1037,0.33301),(4165,3805,1.0887,0.34779),(4165,3815,1.0737,0.36122),(4165,3825,1.0581,0.37465),(4165,3835,1.0414,0.38807),(4165,3845,1.0246,0.40088),(4165,3855,1.0079,0.41248),(4165,3865,0.99068,0.42409),(4165,3875,0.97267,0.43569),(4165,3885,0.95465,0.44667),(4165,3895,0.93664,0.45665),(4165,3905,0.91826,0.46662),(4165,3915,0.89933,0.47659),(4165,3925,0.8804,0.48597),(4165,3935,0.86147,0.49453),(4165,3945,0.84226,0.5031),(4165,3955,0.8227,0.51166),(4165,3965,0.80313,0.51967),(4165,3975,0.78357,0.52704),(4165,3985,0.76379,0.53441),(4165,3995,0.7438,0.54178),(4165,4005,0.72381,0.5487),(4165,4015,0.70382,0.55516),(4165,4025,1.0696,0.56162),(4165,4035,1.4732,0.56622),(4165,4045,1.8768,0.56692),(4165,4055,2.1648,0.56762),(4165,4065,2.4106,0.5678),(4165,4075,2.6564,0.56488),(4165,4085,2.7629,0.56196),(4165,4095,2.7575,0.55905),(4165,4105,2.7521,0.55574),(4165,4115,2.6518,0.55241),(4165,4125,2.3944,0.54909),(4165,4135,2.137,0.54786),(4165,4145,1.8765,0.54721),(4165,4155,1.6036,0.54655),(4165,4165,1.3307,0.54763),(4165,4175,1.0732,0.54983),(4165,4185,1.5761,0.55203),(4165,4195,2.0791,0.55129),(4165,4205,2.582,0.54667),(4165,4215,2.6581,0.54205),(4165,4225,2.6538,0.53739),(4165,4235,2.6496,0.53257),(4165,4245,2.6446,0.52776),(4165,4255,2.6393,0.5229),(4165,4265,2.6339,0.51741),(4165,4275,2.3,0.51193),(4165,4285,1.6175,0.50645),(4165,4295,0.93497,0.50863),(4165,4305,0.64005,0.51171),(4165,4315,1.2204,0.51479),(4165,4325,1.8007,0.51238),(4165,4335,2.3165,0.50781),(4165,4345,2.3958,0.50324),(4165,4355,2.4751,0.49801),(4165,4365,2.5543,0.49222),(4165,4375,2.5555,0.48642),(4165,4385,2.5525,0.48065),(4165,4395,2.5496,0.47491),(4165,4405,2.218,0.46917),(4165,4415,1.7893,0.46437),(4165,4425,1.3607,0.46374),(4165,4435,1.1774,0.46311),(4165,4445,1.1616,0.46248),(4165,4455,1.1458,0.46195),(4165,4465,1.3126,0.46141),(4165,4475,1.7359,0.46088),(4165,4485,2.1592,0.45602),(4165,4495,2.4813,0.45026),(4165,4505,2.4789,0.4445),(4165,4515,2.4765,0.43876),(4165,4525,2.4692,0.43304),(4165,4535,2.3832,0.42731),(4165,4545,2.2973,0.42202),(4165,4555,2.2114,0.41721),(4165,4565,1.6593,0.4124),(4165,4575,1.0443,0.40956),(4165,4585,0.42939,0.41149),(4165,4595,0.72565,0.41343),(4165,4605,1.4069,0.41454),(4165,4615,2.0882,0.40921),(4165,4625,2.4114,0.40388),(4165,4635,2.4104,0.39855),(4165,4645,2.4093,0.39362),(4165,4655,2.408,0.38872),(4165,4665,2.4061,0.38382),(4165,4675,2.4042,0.37896),(4165,4685,2.3161,0.3741),(4165,4695,1.8019,0.36925),(4165,4705,1.2877,0.36713),(4165,4715,0.77354,0.36698),(4165,4725,1.0122,0.36683),(4165,4735,1.2583,0.36577),(4165,4745,1.5045,0.36335),(4165,4755,1.7572,0.36094),(4165,4765,2.0114,0.35798),(4165,4775,2.2656,0.35314),(4165,4785,2.3579,0.34831),(4165,4795,2.3565,0.34347),(4165,4805,2.3551,0.33867),(4165,4815,2.2372,0.33386),(4165,4825,1.98,0.32905),(4165,4835,1.7227,0.3262),(4165,4845,1.4623,0.32364),(4165,4855,1.1934,0.32109),(4165,4865,0.9246,0.32015),(4165,4875,0.73348,0.31994),(4165,4885,1.2494,0.31974),(4165,4895,1.7654,0.31723),(4165,4905,2.2813,0.31252),(4165,4915,2.3213,0.30781),(4165,4925,2.3203,0.30311),(4165,4935,2.3193,0.29845),(4165,4945,2.3179,0.29379),(4165,4955,2.3163,0.2891),(4165,4965,2.3148,0.28428),(4165,4975,1.9247,0.27946),(4165,4985,1.2347,0.27464),(4165,4995,0.54469,0.27554),(4165,5005,0.31865,0.27658),(4165,5015,0.83023,0.27762),(4165,5025,1.3418,0.27584),(4165,5035,1.7824,0.27334),(4165,5045,1.9526,0.27084),(4165,5055,2.1228,0.26766),(4165,5065,2.2879,0.26405),(4165,5075,2.287,0.26044),(4165,5085,2.286,0.25685),(4165,5095,2.2851,0.25327),(4165,5105,1.9908,0.24969),(4165,5115,1.6454,0.24668),(4165,5125,1.2999,0.24524),(4165,5135,1.1238,0.2438),(4165,5145,1.0298,0.24242),(4165,5155,0.9358,0.24169),(4165,5165,1.1023,0.24096),(4165,5175,1.5344,0.24023),(4165,5185,1.9664,0.23748),(4165,5195,2.2613,0.23451),(4165,5205,2.2603,0.23155),(4165,5215,2.2592,0.22861),(4165,5225,2.2464,0.22567),(4165,5235,2.1608,0.22274),(4165,5245,2.0752,0.22001),(4165,5255,1.9896,0.21746),(4165,5265,1.3962,0.2149),(4165,5275,0.78183,0.2134),(4165,5285,0.16745,0.2137),(4165,5295,0.56736,0.214),(4165,5305,1.2497,0.21379),(4165,5315,1.9321,0.21142),(4165,5325,2.2019,0.20905),(4165,5335,2.2011,0.20668),(4165,5345,2.2003,0.20434),(4165,5355,2.1994,0.20201),(4165,5365,2.1983,0.19967),(4165,5375,2.1973,0.1973),(4165,5385,2.0701,0.19492),(4165,5395,1.5596,0.19253),(4165,5405,1.0491,0.19143),(4165,5415,0.59143,0.19099),(4165,5425,0.84357,0.19055),(4165,5435,1.0957,0.18945),(4165,5445,1.3478,0.18762),(4165,5455,1.6014,0.18579),(4165,5465,1.8551,0.18356),(4165,5475,2.1088,0.18037),(4165,5485,2.1811,0.17719),(4165,5495,2.1802,0.17398),(4165,5505,2.1794,0.17063),(4165,5515,2.1786,0.16728),(4165,5525,2.1778,0.16392),(4165,5535,2.177,0.16052),(4165,5545,2.1761,0.15712),(4165,5555,2.175,0.15372),(4165,5565,2.174,0.15044),(4165,5575,2.1729,0.14721),(4165,5585,2.1715,0.14398),(4165,5595,2.1701,0.14099),(4165,5605,2.1686,0.13817),(4165,5615,2.1667,0.13535),(4165,5625,2.1648,0.13278),(4165,5635,2.1629,0.13056),(4165,5645,2.1606,0.12835),(4165,5655,2.1583,0.12629),(4165,5665,2.1559,0.12477),(4165,5675,2.1533,0.12326),(4165,5685,2.1505,0.12178),(4165,5695,2.1477,0.12102),(4165,5705,2.1448,0.12025),(4165,5715,2.1417,0.11948),(4165,5725,2.1386,0.11934),(4165,5735,2.1355,0.11929),(4165,5745,2.1323,0.11924),(4165,5755,2.1291,0.11962),(4165,5765,2.1259,0.12019),(4165,5775,2.1227,0.12076),(4165,5785,2.1195,0.1216),(4165,5795,2.1163,0.1227),(4165,5805,2.1132,0.12379),(4165,5815,2.1101,0.12503),(4165,5825,2.107,0.12655),(4165,5835,2.104,0.12807),(4165,5845,2.1011,0.12964),(4165,5855,2.0982,0.13148),(4165,5865,2.0955,0.13332),(4165,5875,2.0928,0.13516),(4165,5885,2.0902,0.13723),(4165,5895,2.0876,0.1393),(4165,5905,2.0853,0.14137),(4165,5915,2.083,0.14356),(4165,5925,2.0807,0.14577),(4165,5935,2.0786,0.14799),(4165,5945,2.0766,0.15024),(4165,5955,2.0746,0.15251),(4165,5965,2.0729,0.15478),(4165,5975,2.0711,0.15705),(4165,5985,2.0694,0.15932),(4165,5995,1.5813,0.16159),(4165,6005,1.0149,0.1633),(4165,6015,0.4485,0.16355),(4165,6025,0.63425,0.16379),(4165,6035,1.1688,0.16346),(4165,6045,1.7034,0.15759),(4165,6055,2.0714,0.15172),(4165,6065,2.2762,0.14585),(4165,6075,2.4809,0.13857),(4165,6085,2.6181,0.13116),(4165,6095,2.6162,0.12375),(4165,6105,2.6142,0.11695),(4165,6115,2.6121,0.11036),(4165,6125,2.609,0.10378),(4165,6135,2.6059,0.097834),(4165,6145,2.6028,0.092396),(4165,6155,2.5988,0.086958),(4165,6165,2.5949,0.082018),(4165,6175,2.5909,0.077886),(4165,6185,2.5865,0.073755),(4165,6195,2.5821,0.069856),(4165,6205,2.5776,0.066869),(4165,6215,2.5731,0.063883),(4165,6225,2.5685,0.06092),(4165,6235,2.564,0.058871),(4165,6245,2.5595,0.056822),(4165,6255,2.5551,0.054773),(4165,6265,2.5506,0.053241),(4165,6275,2.5463,0.051803),(4165,6285,2.5423,0.050365),(4165,6295,2.5383,0.049169),(4165,6305,2.5344,0.048093),(4165,6315,2.5308,0.047016),(4165,6325,2.5273,0.046023),(4165,6335,2.5238,0.045116),(4165,6345,2.5207,0.04421),(4165,6355,2.5177,0.043309),(4165,6365,2.5147,0.042423),(4165,6375,2.5121,0.041537),(4165,6385,2.5096,0.040648),(4165,6395,2.5071,0.039739),(4165,6405,2.5048,0.03883),(4165,6415,2.5028,0.03792),(4165,6425,2.5008,0.036814),(4165,6435,2.4989,0.035699),(4165,6445,2.4974,0.034584),(4165,6455,2.4958,0.033334),(4165,6465,2.4943,0.032045),(4165,6475,2.4931,0.030757),(4165,6485,2.492,0.029391),(4165,6495,2.4908,0.027973),(4165,6505,2.49,0.026556),(4165,6515,2.4891,0.025063),(4165,6525,2.4883,0.023468),(4165,6535,2.4877,0.021872),(4165,6545,2.4872,0.020249),(4165,6555,2.4867,0.018539),(4165,6565,2.4863,0.016829),(4165,6575,2.4861,0.015119),(4165,6585,2.4858,0.013401),(4165,6595,2.1142,0.011682),(4165,6605,1.3326,0.009964),(4165,6615,0.55104,0.009786),(4165,6625,0.001595,0.009806),(4165,6635,0.001608,0.009827),(4165,6645,0.00162,0.009827),(4165,6655,0.001633,0.009819),(4165,6665,0.001644,0.00981),(4165,6675,0.001655,0.009802),(4165,6685,0.001666,0.009792),(4165,6695,0.001675,0.009783),(4165,6705,0.001684,0.009774),(4165,6715,0.001694,0.009764),(4165,6725,0.001702,0.009754),(4165,6735,0.00171,0.009744),(4165,6745,0.001718,0.009734),(4165,6755,0.001725,0.009723),(4165,6765,0.001731,0.009713),(4165,6775,0.001738,0.009702),(4165,6785,0.001744,0.009692),(4165,6795,0.00175,0.009681),(4165,6805,0.001755,0.00967),(4165,6815,0.001761,0.00966),(4165,6825,0.001765,0.009649),(4165,6835,0.00177,0.009638),(4165,6845,0.001774,0.009628),(4165,6855,0.001778,0.009617),(4165,6865,0.001782,0.009606),(4165,6875,0.001786,0.009596),(4165,6885,0.001789,0.009585),(4165,6895,0.001792,0.009574),(4165,6905,0.001795,0.009564),(4165,6915,0.001798,0.009553),(4165,6925,0.0018,0.009543),(4165,6935,0.001803,0.009532),(4165,6945,0.001805,0.009522),(4165,6955,0.001807,0.009512),(4165,6965,0.001809,0.009501),(4165,6975,0.001811,0.009491),(4165,6985,0.001813,0.009481),(4175,5,2.8e-05,-0.002751),(4175,15,8.4e-05,-0.002753),(4175,25,0.00014,-0.002755),(4175,35,0.000196,-0.002757),(4175,45,0.000252,-0.002762),(4175,55,0.000308,-0.002769),(4175,65,0.000364,-0.002775),(4175,75,0.00042,-0.002782),(4175,85,0.000477,-0.002791),(4175,95,0.000533,-0.002802),(4175,105,0.00059,-0.002813),(4175,115,0.000647,-0.002825),(4175,125,0.000704,-0.002839),(4175,135,0.000761,-0.002855),(4175,145,0.000819,-0.00287),(4175,155,0.000877,-0.002886),(4175,165,0.000935,-0.002906),(4175,175,0.000993,-0.002926),(4175,185,0.001051,-0.002947),(4175,195,0.001111,-0.002968),(4175,205,0.00117,-0.002993),(4175,215,0.001229,-0.003019),(4175,225,0.001289,-0.003045),(4175,235,0.00135,-0.003072),(4175,245,0.001411,-0.003102),(4175,255,0.001471,-0.003135),(4175,265,0.001533,-0.003167),(4175,275,0.001596,-0.003199),(4175,285,0.001658,-0.003236),(4175,295,0.001721,-0.003275),(4175,305,0.001785,-0.003314),(4175,315,0.00185,-0.003353),(4175,325,0.001914,-0.003397),(4175,335,0.001979,-0.003443),(4175,345,0.002045,-0.00349),(4175,355,0.002112,-0.003536),(4175,365,0.002179,-0.003589),(4175,375,0.002246,-0.003644),(4175,385,0.002315,-0.003698),(4175,395,0.002385,-0.003752),(4175,405,0.002454,-0.003815),(4175,415,0.002524,-0.003879),(4175,425,0.002596,-0.003943),(4175,435,0.002668,-0.004007),(4175,445,0.00274,-0.004081),(4175,455,0.002813,-0.004156),(4175,465,0.002888,-0.00423),(4175,475,0.002963,-0.004305),(4175,485,0.003039,-0.004391),(4175,495,0.003114,-0.004478),(4175,505,0.003193,-0.004565),(4175,515,0.003272,-0.004652),(4175,525,0.00335,-0.004753),(4175,535,0.003429,-0.004855),(4175,545,0.003511,-0.004957),(4175,555,0.003593,-0.005059),(4175,565,0.003675,-0.005177),(4175,575,0.003758,-0.005296),(4175,585,0.003843,-0.005414),(4175,595,0.003929,-0.005534),(4175,605,0.004014,-0.005672),(4175,615,0.0041,-0.00581),(4175,625,0.004188,-0.005948),(4175,635,0.004276,-0.006089),(4175,645,0.004365,-0.006249),(4175,655,0.004453,-0.00641),(4175,665,0.004544,-0.006571),(4175,675,0.004635,-0.006737),(4175,685,0.004725,-0.006924),(4175,695,0.004816,-0.007112),(4175,705,0.004908,-0.0073),(4175,715,0.004999,-0.007495),(4175,725,0.005091,-0.007714),(4175,735,0.005183,-0.007933),(4175,745,0.005274,-0.008153),(4175,755,0.005364,-0.008382),(4175,765,0.005455,-0.008639),(4175,775,0.005545,-0.008895),(4175,785,0.005632,-0.009152),(4175,795,0.005719,-0.009421),(4175,805,0.005807,-0.009722),(4175,815,0.005891,-0.010022),(4175,825,0.005971,-0.010323),(4175,835,0.00605,-0.01064),(4175,845,0.006129,-0.010992),(4175,855,0.006203,-0.011344),(4175,865,0.006267,-0.011696),(4175,875,0.006332,-0.01207),(4175,885,0.006397,-0.012482),(4175,895,0.006452,-0.012893),(4175,905,0.006493,-0.013305),(4175,915,0.006533,-0.013745),(4175,925,0.006574,-0.014224),(4175,935,0.006598,-0.014704),(4175,945,0.006602,-0.015184),(4175,955,0.006605,-0.015698),(4175,965,0.006608,-0.016255),(4175,975,0.006585,-0.016811),(4175,985,0.006533,-0.017368),(4175,995,0.00648,-0.017965),(4175,1005,0.006427,-0.018605),(4175,1015,0.006333,-0.019244),(4175,1025,0.0062,-0.019884),(4175,1035,0.006067,-0.020569),(4175,1045,0.005934,-0.021295),(4175,1055,0.005738,-0.022021),(4175,1065,0.005493,-0.022747),(4175,1075,0.005247,-0.023518),(4175,1085,0.005001,-0.024325),(4175,1095,0.004666,-0.025132),(4175,1105,0.004268,-0.025938),(4175,1115,0.00387,-0.026783),(4175,1125,0.003472,-0.027651),(4175,1135,0.002952,-0.02852),(4175,1145,0.002358,-0.029389),(4175,1155,0.001764,-0.030272),(4175,1165,0.001171,-0.031164),(4175,1175,0.000418,-0.032056),(4175,1185,-0.000413,-0.032947),(4175,1195,-0.001245,-0.03381),(4175,1205,-0.002076,-0.034659),(4175,1215,-0.003095,-0.035509),(4175,1225,-0.00419,-0.036358),(4175,1235,-0.005286,-0.037111),(4175,1245,-0.006382,-0.037827),(4175,1255,-0.007669,-0.038543),(4175,1265,-0.009022,-0.039259),(4175,1275,-0.010374,-0.03979),(4175,1285,-0.011727,-0.040265),(4175,1295,-0.013235,-0.04074),(4175,1305,-0.014785,-0.041216),(4175,1315,-0.016335,-0.04142),(4175,1325,-0.017885,-0.041559),(4175,1335,-0.019504,-0.041698),(4175,1345,-0.021137,-0.041837),(4175,1355,-0.02277,-0.041657),(4175,1365,-0.024403,-0.041419),(4175,1375,-0.025984,-0.041181),(4175,1385,-0.027557,-0.040944),(4175,1395,-0.029131,-0.040409),(4175,1405,-0.030704,-0.039836),(4175,1415,-0.032118,-0.039263),(4175,1425,-0.033516,-0.03869),(4175,1435,-0.034914,-0.037896),(4175,1445,-0.036311,-0.037084),(4175,1455,-0.037486,-0.036272),(4175,1465,-0.038648,-0.03546),(4175,1475,-0.03981,-0.034522),(4175,1485,-0.040972,-0.033581),(4175,1495,-0.041895,-0.032639),(4175,1505,-0.042813,-0.031697),(4175,1515,-0.043732,-0.03072),(4175,1525,-0.044645,-0.029742),(4175,1535,-0.045347,-0.028765),(4175,1545,-0.046049,-0.027789),(4175,1555,-0.04675,-0.026844),(4175,1565,-0.04744,-0.025899),(4175,1575,-0.047966,-0.024953),(4175,1585,-0.048492,-0.024014),(4175,1595,-0.049018,-0.023143),(4175,1605,-0.04953,-0.022272),(4175,1615,-0.049923,-0.021401),(4175,1625,-0.050317,-0.020542),(4175,1635,-0.05071,-0.019768),(4175,1645,-0.05109,-0.018994),(4175,1655,-0.051389,-0.01822),(4175,1665,-0.051689,-0.017463),(4175,1675,-0.051989,-0.016796),(4175,1685,-0.052277,-0.016129),(4175,1695,-0.052514,-0.015461),(4175,1705,-0.052752,-0.014816),(4175,1715,-0.052989,-0.014258),(4175,1725,-0.053219,-0.013699),(4175,1735,-0.053418,-0.013141),(4175,1745,-0.053618,-0.012609),(4175,1755,-0.053818,-0.012158),(4175,1765,-0.054012,-0.011708),(4175,1775,-0.054192,-0.011257),(4175,1785,-0.054371,-0.010837),(4175,1795,-0.054551,-0.010493),(4175,1805,-0.054728,-0.010149),(4175,1815,-0.054899,-0.009805),(4175,1825,-0.055071,-0.009495),(4175,1835,-0.055242,-0.009257),(4175,1845,-0.055414,-0.009019),(4175,1855,-0.055586,-0.00878),(4175,1865,-0.055757,-0.00858),(4175,1875,-0.055929,-0.008449),(4175,1885,-0.056103,-0.008317),(4175,1895,-0.05628,-0.008185),(4175,1905,-0.056457,-0.008098),(4175,1915,-0.056634,-0.008076),(4175,1925,-0.056814,-0.008054),(4175,1935,-0.056999,-0.008032),(4175,1945,-0.057183,-0.008062),(4175,1955,-0.057368,-0.008157),(4175,1965,-0.057556,-0.008253),(4175,1975,-0.057748,-0.008348),(4175,1985,-0.05794,-0.008504),(4175,1995,-0.058132,-0.008725),(4175,2005,-0.058328,-0.008947),(4175,2015,-0.058526,-0.009169),(4175,2025,-0.058724,-0.009463),(4175,2035,-0.058923,-0.009824),(4175,2045,-0.059123,-0.010186),(4175,2055,-0.059324,-0.010547),(4175,2065,-0.059525,-0.010997),(4175,2075,-0.059726,-0.011516),(4175,2085,-0.059925,-0.012034),(4175,2095,-0.060124,-0.012553),(4175,2105,-0.060322,-0.013179),(4175,2115,-0.06052,-0.013877),(4175,2125,-0.060712,-0.014575),(4175,2135,-0.0609,-0.015272),(4175,2145,-0.061088,-0.016102),(4175,2155,-0.061275,-0.017005),(4175,2165,-0.061449,-0.017908),(4175,2175,-0.061616,-0.018812),(4175,2185,-0.061782,-0.019877),(4175,2195,-0.061949,-0.021018),(4175,2205,-0.06209,-0.022159),(4175,2215,-0.06222,-0.023301),(4175,2225,-0.062351,-0.024641),(4175,2235,-0.062481,-0.026059),(4175,2245,-0.06257,-0.027476),(4175,2255,-0.062645,-0.028894),(4175,2265,-0.062719,-0.030556),(4175,2275,-0.062793,-0.032295),(4175,2285,-0.062803,-0.034034),(4175,2295,-0.062795,-0.035774),(4175,2305,-0.062786,-0.037811),(4175,2315,-0.062777,-0.039923),(4175,2325,-0.062672,-0.042036),(4175,2335,-0.062544,-0.044149),(4175,2345,-0.062416,-0.046623),(4175,2355,-0.062289,-0.049167),(4175,2365,-0.062017,-0.051712),(4175,2375,-0.061722,-0.054257),(4175,2385,-0.061427,-0.057237),(4175,2395,-0.061131,-0.060279),(4175,2405,-0.060627,-0.063322),(4175,2415,-0.060099,-0.066364),(4175,2425,-0.05957,-0.069925),(4175,2435,-0.059042,-0.073533),(4175,2445,-0.058215,-0.077142),(4175,2455,-0.057367,-0.080751),(4175,2465,-0.05652,-0.084967),(4175,2475,-0.055672,-0.089212),(4175,2485,-0.054404,-0.093456),(4175,2495,-0.053125,-0.097701),(4175,2505,-0.051847,-0.10264),(4175,2515,-0.050559,-0.10758),(4175,2525,-0.048706,-0.11252),(4175,2535,-0.046854,-0.11749),(4175,2545,-0.045001,-0.12318),(4175,2555,-0.043107,-0.12886),(4175,2565,-0.040504,-0.13455),(4175,2575,-0.0379,-0.14029),(4175,2585,-0.035297,-0.14672),(4175,2595,-0.032604,-0.15316),(4175,2605,-0.029044,-0.1596),(4175,2615,-0.025485,-0.16612),(4175,2625,-0.021925,-0.17326),(4175,2635,-0.018208,-0.18041),(4175,2645,-0.013469,-0.18756),(4175,2655,-0.00873,-0.19479),(4175,2665,-0.00399,-0.20253),(4175,2675,0.000991,-0.21027),(4175,2685,0.007124,-0.21801),(4175,2695,0.013258,-0.22583),(4175,2705,0.019391,-0.23395),(4175,2715,0.025857,-0.24208),(4175,2725,0.03355,-0.25021),(4175,2735,0.041243,-0.25836),(4175,2745,0.048936,-0.26659),(4175,2755,0.05704,-0.27483),(4175,2765,0.066365,-0.28306),(4175,2775,0.075689,-0.29123),(4175,2785,0.085013,-0.29925),(4175,2795,0.0948,-0.30726),(4175,2805,0.10571,-0.31528),(4175,2815,0.11662,-0.32313),(4175,2825,0.12753,-0.33062),(4175,2835,0.13892,-0.33812),(4175,2845,0.15127,-0.34561),(4175,2855,0.16362,-0.35284),(4175,2865,0.17597,-0.35959),(4175,2875,0.18878,-0.36633),(4175,2885,0.20236,-0.37307),(4175,2895,0.21595,-0.37945),(4175,2905,0.22954,-0.38528),(4175,2915,0.24355,-0.39111),(4175,2925,0.25816,-0.39694),(4175,2935,0.27276,-0.40234),(4175,2945,0.28737,-0.40716),(4175,2955,0.30235,-0.41199),(4175,2965,0.31777,-0.41682),(4175,2975,0.33319,-0.42115),(4175,2985,0.34861,-0.42493),(4175,2995,0.36434,-0.42871),(4175,3005,0.38039,-0.43249),(4175,3015,0.39644,-0.43572),(4175,3025,0.41249,-0.43843),(4175,3035,0.42879,-0.44114),(4175,3045,0.44532,-0.44384),(4175,3055,0.46184,-0.44595),(4175,3065,0.47836,-0.44758),(4175,3075,0.49508,-0.4492),(4175,3085,0.51195,-0.45082),(4175,3095,0.52881,-0.45179),(4175,3105,0.54568,-0.4523),(4175,3115,0.56268,-0.45281),(4175,3125,0.57977,-0.45332),(4175,3135,0.59686,-0.4531),(4175,3145,0.61395,-0.45246),(4175,3155,0.63111,-0.45182),(4175,3165,0.64831,-0.45118),(4175,3175,0.66551,-0.44973),(4175,3185,0.6827,-0.44788),(4175,3195,0.6999,-0.44602),(4175,3205,0.71709,-0.44417),(4175,3215,0.73429,-0.4414),(4175,3225,0.75148,-0.43824),(4175,3235,0.76857,-0.43509),(4175,3245,0.78563,-0.43193),(4175,3255,0.80268,-0.42772),(4175,3265,0.81974,-0.42316),(4175,3275,0.83656,-0.41859),(4175,3285,0.85332,-0.41402),(4175,3295,0.87007,-0.40824),(4175,3305,0.88682,-0.40213),(4175,3315,0.90317,-0.39601),(4175,3325,0.91941,-0.3899),(4175,3335,0.93566,-0.38239),(4175,3345,0.95191,-0.37458),(4175,3355,0.9675,-0.36677),(4175,3365,0.98298,-0.35897),(4175,3375,0.99845,-0.34957),(4175,3385,1.0139,-0.33993),(4175,3395,1.0284,-0.33029),(4175,3405,1.0428,-0.32064),(4175,3415,1.0572,-0.30923),(4175,3425,1.0715,-0.29763),(4175,3435,1.0845,-0.28604),(4175,3445,1.0973,-0.27444),(4175,3455,1.1102,-0.26095),(4175,3465,1.123,-0.24735),(4175,3475,1.1339,-0.23375),(4175,3485,1.1447,-0.22015),(4175,3495,1.1555,-0.20464),(4175,3505,1.1663,-0.18909),(4175,3515,1.1745,-0.17355),(4175,3525,1.1827,-0.15797),(4175,3535,1.191,-0.14072),(4175,3545,1.1991,-0.12347),(4175,3555,1.2041,-0.10622),(4175,3565,1.2092,-0.088885),(4175,3575,1.2143,-0.070377),(4175,3585,1.2191,-0.051869),(4175,3595,1.2206,-0.033361),(4175,3605,1.222,-0.01479),(4175,3615,1.2235,0.004314),(4175,3625,1.2245,0.023419),(4175,3635,1.2222,0.042524),(4175,3645,1.2198,0.061601),(4175,3655,1.2175,0.080515),(4175,3665,1.2145,0.099428),(4175,3675,1.2085,0.11834),(4175,3685,1.2024,0.13708),(4175,3695,1.1963,0.15507),(4175,3705,1.1895,0.17305),(4175,3715,1.1801,0.19103),(4175,3725,1.1706,0.20869),(4175,3735,1.1612,0.22521),(4175,3745,1.1511,0.24173),(4175,3755,1.1388,0.25825),(4175,3765,1.1265,0.27431),(4175,3775,1.1143,0.2891),(4175,3785,1.1014,0.30389),(4175,3795,1.0868,0.31867),(4175,3805,1.0723,0.33292),(4175,3815,1.0578,0.3459),(4175,3825,1.0427,0.35889),(4175,3835,1.0264,0.37188),(4175,3845,1.0102,0.38429),(4175,3855,0.99392,0.39556),(4175,3865,0.97718,0.40684),(4175,3875,0.9596,0.41812),(4175,3885,0.94202,0.42881),(4175,3895,0.92445,0.43854),(4175,3905,0.90648,0.44827),(4175,3915,0.88793,0.45801),(4175,3925,0.86939,0.46718),(4175,3935,0.85084,0.47557),(4175,3945,0.83199,0.48397),(4175,3955,0.81276,0.49236),(4175,3965,0.79352,0.50023),(4175,3975,0.77429,0.50749),(4175,3985,0.75483,0.51474),(4175,3995,0.73512,0.522),(4175,4005,0.71542,0.52881),(4175,4015,0.69571,0.53519),(4175,4025,1.0622,0.54157),(4175,4035,1.4665,0.54612),(4175,4045,1.8708,0.54684),(4175,4055,2.1593,0.54756),(4175,4065,2.4056,0.54776),(4175,4075,2.6519,0.54492),(4175,4085,2.7587,0.54207),(4175,4095,2.7534,0.53922),(4175,4105,2.7481,0.53599),(4175,4115,2.6479,0.53273),(4175,4125,2.3903,0.52948),(4175,4135,2.1327,0.5283),(4175,4145,1.872,0.52768),(4175,4155,1.599,0.52706),(4175,4165,1.3259,0.52814),(4175,4175,1.0683,0.53032),(4175,4185,1.572,0.5325),(4175,4195,2.0756,0.5318),(4175,4205,2.5793,0.52728),(4175,4215,2.6556,0.52276),(4175,4225,2.6514,0.5182),(4175,4235,2.6472,0.51349),(4175,4245,2.6424,0.50878),(4175,4255,2.6373,0.50403),(4175,4265,2.6321,0.49869),(4175,4275,2.298,0.49335),(4175,4285,1.6146,0.48801),(4175,4295,0.93131,0.49016),(4175,4305,0.63606,0.49318),(4175,4315,1.2171,0.4962),(4175,4325,1.7982,0.49389),(4175,4335,2.3147,0.4895),(4175,4345,2.3942,0.4851),(4175,4355,2.4736,0.48007),(4175,4365,2.553,0.47449),(4175,4375,2.5542,0.46891),(4175,4385,2.5512,0.46335),(4175,4395,2.5483,0.45783),(4175,4405,2.2163,0.45231),(4175,4415,1.7873,0.44769),(4175,4425,1.3583,0.4471),(4175,4435,1.1748,0.4465),(4175,4445,1.159,0.44591),(4175,4455,1.1432,0.4454),(4175,4465,1.3102,0.44489),(4175,4475,1.7339,0.44438),(4175,4485,2.1577,0.43966),(4175,4495,2.4802,0.43406),(4175,4505,2.4778,0.42845),(4175,4515,2.4754,0.42288),(4175,4525,2.468,0.41731),(4175,4535,2.382,0.41175),(4175,4545,2.2961,0.4066),(4175,4555,2.2101,0.40194),(4175,4565,1.6576,0.39728),(4175,4575,1.0423,0.39453),(4175,4585,0.42695,0.39644),(4175,4595,0.72336,0.39835),(4175,4605,1.405,0.39946),(4175,4615,2.0866,0.39434),(4175,4625,2.4099,0.38921),(4175,4635,2.4088,0.38408),(4175,4645,2.4076,0.37932),(4175,4655,2.4062,0.37458),(4175,4665,2.4043,0.36984),(4175,4675,2.4024,0.36513),(4175,4685,2.3143,0.36043),(4175,4695,1.8,0.35572),(4175,4705,1.2858,0.35368),(4175,4715,0.77158,0.35356),(4175,4725,1.0103,0.35344),(4175,4735,1.2565,0.35244),(4175,4745,1.5027,0.35012),(4175,4755,1.7554,0.34779),(4175,4765,2.0097,0.34495),(4175,4775,2.2639,0.34026),(4175,4785,2.3562,0.33557),(4175,4795,2.3548,0.33089),(4175,4805,2.3535,0.32622),(4175,4815,2.2356,0.32156),(4175,4825,1.9783,0.3169),(4175,4835,1.7211,0.31414),(4175,4845,1.4606,0.31167),(4175,4855,1.1918,0.3092),(4175,4865,0.92295,0.30832),(4175,4875,0.73184,0.30815),(4175,4885,1.2478,0.30799),(4175,4895,1.7637,0.30559),(4175,4905,2.2797,0.30104),(4175,4915,2.3196,0.2965),(4175,4925,2.3186,0.29197),(4175,4935,2.3176,0.28747),(4175,4945,2.3162,0.28298),(4175,4955,2.3147,0.27846),(4175,4965,2.3133,0.27381),(4175,4975,1.9232,0.26917),(4175,4985,1.2333,0.26452),(4175,4995,0.5433,0.26541),(4175,5005,0.31718,0.26644),(4175,5015,0.8285,0.26748),(4175,5025,1.3398,0.2658),(4175,5035,1.7802,0.26343),(4175,5045,1.9502,0.26106),(4175,5055,2.1203,0.25803),(4175,5065,2.2853,0.25461),(4175,5075,2.2843,0.25118),(4175,5085,2.2834,0.24776),(4175,5095,2.2825,0.24435),(4175,5105,1.9884,0.24095),(4175,5115,1.6432,0.23807),(4175,5125,1.298,0.23671),(4175,5135,1.122,0.23534),(4175,5145,1.0281,0.23403),(4175,5155,0.93415,0.23336),(4175,5165,1.1004,0.23269),(4175,5175,1.5321,0.23202),(4175,5185,1.9637,0.22943),(4175,5195,2.2582,0.22664),(4175,5205,2.2572,0.22385),(4175,5215,2.2561,0.22107),(4175,5225,2.2434,0.21831),(4175,5235,2.1579,0.21555),(4175,5245,2.0724,0.21297),(4175,5255,1.9869,0.21054),(4175,5265,1.3942,0.20811),(4175,5275,0.78053,0.2067),(4175,5285,0.16689,0.20699),(4175,5295,0.56622,0.20729),(4175,5305,1.2476,0.20709),(4175,5315,1.9291,0.20483),(4175,5325,2.1985,0.20258),(4175,5335,2.1977,0.20032),(4175,5345,2.1969,0.19808),(4175,5355,2.196,0.19584),(4175,5365,2.1949,0.1936),(4175,5375,2.1939,0.1913),(4175,5385,2.0669,0.189),(4175,5395,1.5571,0.18669),(4175,5405,1.0473,0.18562),(4175,5415,0.59035,0.18519),(4175,5425,0.84228,0.18477),(4175,5435,1.0942,0.1836),(4175,5445,1.3461,0.18164),(4175,5455,1.5994,0.17967),(4175,5465,1.8529,0.17727),(4175,5475,2.1064,0.17386),(4175,5485,2.1786,0.17045),(4175,5495,2.1778,0.16702),(4175,5505,2.1771,0.16345),(4175,5515,2.1763,0.15987),(4175,5525,2.1755,0.15629),(4175,5535,2.1747,0.15271),(4175,5545,2.1738,0.14912),(4175,5555,2.1727,0.14552),(4175,5565,2.1716,0.14212),(4175,5575,2.1705,0.13877),(4175,5585,2.1689,0.13543),(4175,5595,2.1673,0.13238),(4175,5605,2.1658,0.12954),(4175,5615,2.1637,0.1267),(4175,5625,2.1616,0.12415),(4175,5635,2.1595,0.122),(4175,5645,2.157,0.11985),(4175,5655,2.1543,0.11788),(4175,5665,2.1517,0.11651),(4175,5675,2.1489,0.11513),(4175,5685,2.1458,0.1138),(4175,5695,2.1428,0.11321),(4175,5705,2.1397,0.11262),(4175,5715,2.1364,0.11204),(4175,5725,2.1331,0.11209),(4175,5735,2.1298,0.11224),(4175,5745,2.1264,0.11239),(4175,5755,2.123,0.11297),(4175,5765,2.1196,0.11373),(4175,5775,2.1162,0.11449),(4175,5785,2.1129,0.11552),(4175,5795,2.1095,0.1168),(4175,5805,2.1063,0.11807),(4175,5815,2.103,0.11948),(4175,5825,2.0998,0.12116),(4175,5835,2.0967,0.12283),(4175,5845,2.0937,0.12456),(4175,5855,2.0907,0.12655),(4175,5865,2.0879,0.12854),(4175,5875,2.0852,0.13053),(4175,5885,2.0825,0.13273),(4175,5895,2.0799,0.13494),(4175,5905,2.0775,0.13715),(4175,5915,2.0751,0.13947),(4175,5925,2.0728,0.14181),(4175,5935,2.0708,0.14416),(4175,5945,2.0687,0.14654),(4175,5955,2.0667,0.14893),(4175,5965,2.065,0.15133),(4175,5975,2.0633,0.15372),(4175,5985,2.0615,0.1561),(4175,5995,1.5753,0.15848),(4175,6005,1.0111,0.16028),(4175,6015,0.44685,0.16052),(4175,6025,0.63394,0.16076),(4175,6035,1.1695,0.16042),(4175,6045,1.705,0.15437),(4175,6055,2.0736,0.14832),(4175,6065,2.2784,0.14227),(4175,6075,2.4833,0.13482),(4175,6085,2.6205,0.12726),(4175,6095,2.6182,0.11969),(4175,6105,2.616,0.11283),(4175,6115,2.6136,0.10622),(4175,6125,2.6101,0.099617),(4175,6135,2.6066,0.093734),(4175,6145,2.6031,0.088421),(4175,6155,2.5988,0.083109),(4175,6165,2.5944,0.078337),(4175,6175,2.59,0.074445),(4175,6185,2.5853,0.070552),(4175,6195,2.5805,0.066906),(4175,6205,2.5757,0.064225),(4175,6215,2.5708,0.061545),(4175,6225,2.566,0.058888),(4175,6235,2.5611,0.057157),(4175,6245,2.5563,0.055427),(4175,6255,2.5518,0.053696),(4175,6265,2.5472,0.052461),(4175,6275,2.5427,0.051316),(4175,6285,2.5386,0.050171),(4175,6295,2.5344,0.049224),(4175,6305,2.5304,0.048377),(4175,6315,2.5268,0.047529),(4175,6325,2.5232,0.046733),(4175,6335,2.5196,0.045991),(4175,6345,2.5166,0.045249),(4175,6355,2.5136,0.044491),(4175,6365,2.5106,0.043697),(4175,6375,2.5079,0.042904),(4175,6385,2.5055,0.0421),(4175,6395,2.503,0.041226),(4175,6405,2.5008,0.040353),(4175,6415,2.4988,0.03948),(4175,6425,2.4969,0.038367),(4175,6435,2.4951,0.037244),(4175,6445,2.4936,0.03612),(4175,6455,2.492,0.034828),(4175,6465,2.4906,0.033488),(4175,6475,2.4895,0.032148),(4175,6485,2.4883,0.030713),(4175,6495,2.4872,0.029214),(4175,6505,2.4864,0.027715),(4175,6515,2.4856,0.026133),(4175,6525,2.4848,0.024438),(4175,6535,2.4843,0.022742),(4175,6545,2.4838,0.021014),(4175,6555,2.4833,0.019182),(4175,6565,2.483,0.01735),(4175,6575,2.4828,0.015518),(4175,6585,2.4825,0.013669),(4175,6595,2.1114,0.01182),(4175,6605,1.3309,0.009971),(4175,6615,0.55031,0.009784),(4175,6625,0.001599,0.009811),(4175,6635,0.001612,0.009838),(4175,6645,0.001625,0.009839),(4175,6655,0.001638,0.00983),(4175,6665,0.001649,0.009822),(4175,6675,0.00166,0.009812),(4175,6685,0.001672,0.009803),(4175,6695,0.001681,0.009793),(4175,6705,0.001691,0.009783),(4175,6715,0.0017,0.009773),(4175,6725,0.001708,0.009762),(4175,6735,0.001716,0.009752),(4175,6745,0.001724,0.009741),(4175,6755,0.001731,0.00973),(4175,6765,0.001738,0.00972),(4175,6775,0.001745,0.009709),(4175,6785,0.001751,0.009698),(4175,6795,0.001757,0.009687),(4175,6805,0.001762,0.009676),(4175,6815,0.001767,0.009665),(4175,6825,0.001772,0.009654),(4175,6835,0.001777,0.009643),(4175,6845,0.001781,0.009632),(4175,6855,0.001785,0.009621),(4175,6865,0.001788,0.00961),(4175,6875,0.001792,0.009599),(4175,6885,0.001795,0.009588),(4175,6895,0.001798,0.009577),(4175,6905,0.001801,0.009567),(4175,6915,0.001804,0.009556),(4175,6925,0.001807,0.009545),(4175,6935,0.001809,0.009535),(4175,6945,0.001811,0.009524),(4175,6955,0.001813,0.009514),(4175,6965,0.001815,0.009503),(4175,6975,0.001817,0.009493),(4175,6985,0.001819,0.009482),(4185,5,2.8e-05,-0.002696),(4185,15,8.5e-05,-0.002698),(4185,25,0.000142,-0.0027),(4185,35,0.000199,-0.002702),(4185,45,0.000256,-0.002706),(4185,55,0.000312,-0.002713),(4185,65,0.00037,-0.002719),(4185,75,0.000427,-0.002726),(4185,85,0.000484,-0.002735),(4185,95,0.000541,-0.002746),(4185,105,0.000599,-0.002757),(4185,115,0.000657,-0.002768),(4185,125,0.000715,-0.002782),(4185,135,0.000773,-0.002798),(4185,145,0.000832,-0.002813),(4185,155,0.000891,-0.002829),(4185,165,0.00095,-0.002848),(4185,175,0.001009,-0.002868),(4185,185,0.001069,-0.002889),(4185,195,0.001129,-0.00291),(4185,205,0.00119,-0.002934),(4185,215,0.00125,-0.00296),(4185,225,0.001311,-0.002986),(4185,235,0.001373,-0.003012),(4185,245,0.001435,-0.003042),(4185,255,0.001497,-0.003074),(4185,265,0.001561,-0.003106),(4185,275,0.001625,-0.003138),(4185,285,0.001688,-0.003174),(4185,295,0.001752,-0.003213),(4185,305,0.001818,-0.003251),(4185,315,0.001884,-0.003289),(4185,325,0.00195,-0.003333),(4185,335,0.002016,-0.003379),(4185,345,0.002085,-0.003424),(4185,355,0.002153,-0.00347),(4185,365,0.002222,-0.003523),(4185,375,0.002291,-0.003576),(4185,385,0.002362,-0.00363),(4185,395,0.002434,-0.003684),(4185,405,0.002505,-0.003746),(4185,415,0.002577,-0.00381),(4185,425,0.002652,-0.003873),(4185,435,0.002726,-0.003936),(4185,445,0.002801,-0.004009),(4185,455,0.002876,-0.004083),(4185,465,0.002954,-0.004157),(4185,475,0.003032,-0.004231),(4185,485,0.003111,-0.004317),(4185,495,0.003189,-0.004403),(4185,505,0.003271,-0.004489),(4185,515,0.003353,-0.004575),(4185,525,0.003435,-0.004676),(4185,535,0.003517,-0.004777),(4185,545,0.003603,-0.004877),(4185,555,0.003689,-0.004979),(4185,565,0.003775,-0.005097),(4185,575,0.003862,-0.005214),(4185,585,0.003952,-0.005332),(4185,595,0.004042,-0.005451),(4185,605,0.004132,-0.005588),(4185,615,0.004222,-0.005726),(4185,625,0.004316,-0.005863),(4185,635,0.00441,-0.006003),(4185,645,0.004504,-0.006163),(4185,655,0.004598,-0.006324),(4185,665,0.004695,-0.006484),(4185,675,0.004792,-0.006649),(4185,685,0.004889,-0.006837),(4185,695,0.004987,-0.007025),(4185,705,0.005087,-0.007212),(4185,715,0.005186,-0.007407),(4185,725,0.005286,-0.007627),(4185,735,0.005385,-0.007847),(4185,745,0.005485,-0.008067),(4185,755,0.005586,-0.008296),(4185,765,0.005686,-0.008554),(4185,775,0.005785,-0.008812),(4185,785,0.005884,-0.009069),(4185,795,0.005982,-0.00934),(4185,805,0.00608,-0.009643),(4185,815,0.006176,-0.009946),(4185,825,0.006269,-0.010249),(4185,835,0.006361,-0.010569),(4185,845,0.006453,-0.010925),(4185,855,0.006541,-0.011281),(4185,865,0.006621,-0.011637),(4185,875,0.006701,-0.012016),(4185,885,0.006781,-0.012434),(4185,895,0.006853,-0.012852),(4185,905,0.006912,-0.01327),(4185,915,0.00697,-0.013717),(4185,925,0.007029,-0.014207),(4185,935,0.007073,-0.014696),(4185,945,0.007097,-0.015186),(4185,955,0.007121,-0.015712),(4185,965,0.007145,-0.016283),(4185,975,0.007143,-0.016854),(4185,985,0.007114,-0.017425),(4185,995,0.007084,-0.018039),(4185,1005,0.007055,-0.0187),(4185,1015,0.006985,-0.01936),(4185,1025,0.006876,-0.02002),(4185,1035,0.006768,-0.02073),(4185,1045,0.006659,-0.021484),(4185,1055,0.006488,-0.022238),(4185,1065,0.006266,-0.022993),(4185,1075,0.006045,-0.023798),(4185,1085,0.005823,-0.024643),(4185,1095,0.005509,-0.025487),(4185,1105,0.005131,-0.026331),(4185,1115,0.004754,-0.02722),(4185,1125,0.004376,-0.028137),(4185,1135,0.003869,-0.029054),(4185,1145,0.003286,-0.029971),(4185,1155,0.002703,-0.030909),(4185,1165,0.00212,-0.031858),(4185,1175,0.001367,-0.032808),(4185,1185,0.000529,-0.033757),(4185,1195,-0.000309,-0.034682),(4185,1205,-0.001147,-0.035594),(4185,1215,-0.00219,-0.036507),(4185,1225,-0.003317,-0.03742),(4185,1235,-0.004444,-0.038234),(4185,1245,-0.005572,-0.039011),(4185,1255,-0.006914,-0.039788),(4185,1265,-0.008329,-0.040565),(4185,1275,-0.009744,-0.041146),(4185,1285,-0.011159,-0.041668),(4185,1295,-0.012751,-0.042189),(4185,1305,-0.014391,-0.042711),(4185,1315,-0.016031,-0.04294),(4185,1325,-0.017671,-0.043098),(4185,1335,-0.019389,-0.043257),(4185,1345,-0.021124,-0.043415),(4185,1355,-0.022858,-0.043227),(4185,1365,-0.024592,-0.042975),(4185,1375,-0.026265,-0.042724),(4185,1385,-0.027927,-0.042473),(4185,1395,-0.02959,-0.0419),(4185,1405,-0.031253,-0.041287),(4185,1415,-0.032731,-0.040673),(4185,1425,-0.03419,-0.040059),(4185,1435,-0.03565,-0.039211),(4185,1445,-0.037109,-0.038343),(4185,1455,-0.038316,-0.037476),(4185,1465,-0.039508,-0.036608),(4185,1475,-0.0407,-0.035613),(4185,1485,-0.041893,-0.034613),(4185,1495,-0.04282,-0.033613),(4185,1505,-0.043743,-0.032613),(4185,1515,-0.044666,-0.031583),(4185,1525,-0.045583,-0.030554),(4185,1535,-0.046271,-0.029524),(4185,1545,-0.04696,-0.028496),(4185,1555,-0.047648,-0.027507),(4185,1565,-0.048324,-0.026519),(4185,1575,-0.048826,-0.025531),(4185,1585,-0.049328,-0.024549),(4185,1595,-0.04983,-0.023645),(4185,1605,-0.050318,-0.022742),(4185,1615,-0.050682,-0.021838),(4185,1625,-0.051047,-0.020947),(4185,1635,-0.051411,-0.020149),(4185,1645,-0.051762,-0.019352),(4185,1655,-0.052032,-0.018554),(4185,1665,-0.052301,-0.017776),(4185,1675,-0.05257,-0.017093),(4185,1685,-0.052828,-0.01641),(4185,1695,-0.053036,-0.015727),(4185,1705,-0.053243,-0.015067),(4185,1715,-0.053451,-0.014499),(4185,1725,-0.05365,-0.013931),(4185,1735,-0.053821,-0.013363),(4185,1745,-0.053992,-0.012822),(4185,1755,-0.054162,-0.012366),(4185,1765,-0.054328,-0.011911),(4185,1775,-0.054479,-0.011455),(4185,1785,-0.054631,-0.01103),(4185,1795,-0.054782,-0.010684),(4185,1805,-0.054931,-0.010338),(4185,1815,-0.055076,-0.009992),(4185,1825,-0.05522,-0.009681),(4185,1835,-0.055364,-0.009442),(4185,1845,-0.055508,-0.009204),(4185,1855,-0.055653,-0.008966),(4185,1865,-0.055797,-0.008767),(4185,1875,-0.055942,-0.008636),(4185,1885,-0.056088,-0.008506),(4185,1895,-0.056237,-0.008375),(4185,1905,-0.056386,-0.00829),(4185,1915,-0.056535,-0.00827),(4185,1925,-0.056687,-0.00825),(4185,1935,-0.056842,-0.008231),(4185,1945,-0.056997,-0.008263),(4185,1955,-0.057152,-0.00836),(4185,1965,-0.05731,-0.008458),(4185,1975,-0.057471,-0.008555),(4185,1985,-0.057631,-0.008713),(4185,1995,-0.057792,-0.008937),(4185,2005,-0.057954,-0.00916),(4185,2015,-0.058118,-0.009384),(4185,2025,-0.058281,-0.00968),(4185,2035,-0.058445,-0.010042),(4185,2045,-0.058608,-0.010405),(4185,2055,-0.05877,-0.010768),(4185,2065,-0.058933,-0.011218),(4185,2075,-0.059095,-0.011736),(4185,2085,-0.059253,-0.012255),(4185,2095,-0.059407,-0.012774),(4185,2105,-0.059561,-0.013399),(4185,2115,-0.059716,-0.014095),(4185,2125,-0.05986,-0.014791),(4185,2135,-0.059997,-0.015486),(4185,2145,-0.060135,-0.016312),(4185,2155,-0.060272,-0.017211),(4185,2165,-0.060391,-0.01811),(4185,2175,-0.0605,-0.019009),(4185,2185,-0.060608,-0.020067),(4185,2195,-0.060717,-0.021201),(4185,2205,-0.060794,-0.022334),(4185,2215,-0.060858,-0.023467),(4185,2225,-0.060922,-0.024796),(4185,2235,-0.060985,-0.026201),(4185,2245,-0.061,-0.027606),(4185,2255,-0.060997,-0.029011),(4185,2265,-0.060994,-0.030655),(4185,2275,-0.060992,-0.032375),(4185,2285,-0.060915,-0.034095),(4185,2295,-0.060818,-0.035815),(4185,2305,-0.06072,-0.037825),(4185,2315,-0.060623,-0.039909),(4185,2325,-0.060417,-0.041993),(4185,2335,-0.060188,-0.044078),(4185,2345,-0.059958,-0.046513),(4185,2355,-0.059728,-0.049017),(4185,2365,-0.059342,-0.051522),(4185,2375,-0.058931,-0.054026),(4185,2385,-0.058519,-0.056951),(4185,2395,-0.058107,-0.059937),(4185,2405,-0.057473,-0.062922),(4185,2415,-0.056814,-0.065907),(4185,2425,-0.056155,-0.069391),(4185,2435,-0.055495,-0.072921),(4185,2445,-0.054524,-0.076451),(4185,2455,-0.053532,-0.079981),(4185,2465,-0.052539,-0.084091),(4185,2475,-0.051546,-0.088228),(4185,2485,-0.050122,-0.092365),(4185,2495,-0.048687,-0.096502),(4185,2505,-0.047251,-0.1013),(4185,2515,-0.045807,-0.1061),(4185,2525,-0.043791,-0.11089),(4185,2535,-0.041775,-0.11572),(4185,2545,-0.039759,-0.12121),(4185,2555,-0.037702,-0.12671),(4185,2565,-0.034938,-0.1322),(4185,2575,-0.032173,-0.13775),(4185,2585,-0.029409,-0.14394),(4185,2595,-0.026556,-0.15013),(4185,2605,-0.02285,-0.15633),(4185,2615,-0.019144,-0.1626),(4185,2625,-0.015438,-0.16944),(4185,2635,-0.011578,-0.17629),(4185,2645,-0.006723,-0.18313),(4185,2655,-0.001868,-0.19006),(4185,2665,0.002986,-0.19744),(4185,2675,0.008074,-0.20482),(4185,2685,0.014274,-0.2122),(4185,2695,0.020473,-0.21965),(4185,2705,0.026673,-0.22737),(4185,2715,0.033191,-0.2351),(4185,2725,0.040884,-0.24283),(4185,2735,0.048578,-0.25057),(4185,2745,0.056272,-0.25838),(4185,2755,0.064359,-0.26619),(4185,2765,0.07361,-0.27401),(4185,2775,0.082862,-0.28176),(4185,2785,0.092114,-0.28937),(4185,2795,0.10181,-0.29697),(4185,2805,0.11258,-0.30458),(4185,2815,0.12334,-0.31203),(4185,2825,0.13411,-0.31916),(4185,2835,0.14534,-0.32628),(4185,2845,0.15749,-0.3334),(4185,2855,0.16964,-0.34028),(4185,2865,0.1818,-0.3467),(4185,2875,0.19439,-0.35313),(4185,2885,0.20774,-0.35955),(4185,2895,0.22109,-0.36564),(4185,2905,0.23444,-0.37121),(4185,2915,0.2482,-0.37678),(4185,2925,0.26255,-0.38235),(4185,2935,0.27689,-0.38751),(4185,2945,0.29123,-0.39213),(4185,2955,0.30594,-0.39674),(4185,2965,0.32108,-0.40136),(4185,2975,0.33622,-0.40551),(4185,2985,0.35136,-0.40913),(4185,2995,0.3668,-0.41275),(4185,3005,0.38256,-0.41637),(4185,3015,0.39833,-0.41946),(4185,3025,0.41409,-0.42205),(4185,3035,0.4301,-0.42464),(4185,3045,0.44632,-0.42722),(4185,3055,0.46255,-0.42923),(4185,3065,0.47878,-0.43077),(4185,3075,0.4952,-0.4323),(4185,3085,0.51176,-0.43383),(4185,3095,0.52832,-0.43473),(4185,3105,0.54488,-0.43518),(4185,3115,0.56157,-0.43564),(4185,3125,0.57834,-0.43609),(4185,3135,0.59512,-0.43584),(4185,3145,0.61189,-0.43517),(4185,3155,0.62873,-0.4345),(4185,3165,0.6456,-0.43383),(4185,3175,0.66246,-0.43236),(4185,3185,0.67933,-0.43051),(4185,3195,0.69619,-0.42865),(4185,3205,0.71303,-0.4268),(4185,3215,0.72987,-0.42405),(4185,3225,0.74672,-0.42092),(4185,3235,0.76344,-0.4178),(4185,3245,0.78012,-0.41468),(4185,3255,0.7968,-0.41053),(4185,3265,0.81348,-0.40604),(4185,3275,0.82991,-0.40154),(4185,3285,0.84626,-0.39705),(4185,3295,0.86261,-0.39138),(4185,3305,0.87896,-0.38539),(4185,3315,0.89487,-0.3794),(4185,3325,0.91069,-0.37341),(4185,3335,0.9265,-0.36608),(4185,3345,0.94231,-0.35846),(4185,3355,0.95745,-0.35085),(4185,3365,0.97246,-0.34323),(4185,3375,0.98748,-0.3341),(4185,3385,1.0025,-0.32474),(4185,3395,1.0165,-0.31537),(4185,3405,1.0304,-0.306),(4185,3415,1.0443,-0.29497),(4185,3425,1.0582,-0.28376),(4185,3435,1.0706,-0.27255),(4185,3445,1.083,-0.26134),(4185,3455,1.0954,-0.24835),(4185,3465,1.1077,-0.23527),(4185,3475,1.1181,-0.22218),(4185,3485,1.1285,-0.2091),(4185,3495,1.1389,-0.19424),(4185,3505,1.1492,-0.17936),(4185,3515,1.157,-0.16448),(4185,3525,1.1649,-0.14956),(4185,3535,1.1727,-0.13312),(4185,3545,1.1804,-0.11668),(4185,3555,1.1852,-0.10024),(4185,3565,1.19,-0.08372),(4185,3575,1.1948,-0.06614),(4185,3585,1.1993,-0.04856),(4185,3595,1.2007,-0.03098),(4185,3605,1.202,-0.013344),(4185,3615,1.2034,0.004772),(4185,3625,1.2043,0.022888),(4185,3635,1.202,0.041004),(4185,3645,1.1997,0.059096),(4185,3655,1.1974,0.077043),(4185,3665,1.1945,0.094991),(4185,3675,1.1886,0.11294),(4185,3685,1.1827,0.13073),(4185,3695,1.1769,0.14785),(4185,3705,1.1703,0.16497),(4185,3715,1.1612,0.18209),(4185,3725,1.1521,0.19891),(4185,3735,1.143,0.21471),(4185,3745,1.1332,0.23051),(4185,3755,1.1214,0.24631),(4185,3765,1.1095,0.26169),(4185,3775,1.0976,0.2759),(4185,3785,1.0852,0.29012),(4185,3795,1.0711,0.30433),(4185,3805,1.057,0.31804),(4185,3815,1.0429,0.33059),(4185,3825,1.0282,0.34314),(4185,3835,1.0124,0.35569),(4185,3845,0.99655,0.3677),(4185,3855,0.9807,0.37864),(4185,3865,0.96438,0.38959),(4185,3875,0.94719,0.40054),(4185,3885,0.93,0.41094),(4185,3895,0.91281,0.42043),(4185,3905,0.89522,0.42993),(4185,3915,0.87702,0.43942),(4185,3925,0.85882,0.44838),(4185,3935,0.84062,0.45661),(4185,3945,0.8221,0.46484),(4185,3955,0.80317,0.47306),(4185,3965,0.78424,0.48079),(4185,3975,0.76531,0.48793),(4185,3985,0.74613,0.49507),(4185,3995,0.7267,0.50221),(4185,4005,0.70726,0.50893),(4185,4015,0.68782,0.51522),(4185,4025,1.0549,0.52152),(4185,4035,1.4599,0.52602),(4185,4045,1.8648,0.52676),(4185,4055,2.1538,0.52749),(4185,4065,2.4005,0.52773),(4185,4075,2.6473,0.52495),(4185,4085,2.7543,0.52218),(4185,4095,2.7492,0.5194),(4185,4105,2.744,0.51624),(4185,4115,2.6438,0.51306),(4185,4125,2.3861,0.50988),(4185,4135,2.1284,0.50874),(4185,4145,1.8676,0.50815),(4185,4155,1.5944,0.50756),(4185,4165,1.3212,0.50864),(4185,4175,1.0634,0.51081),(4185,4185,1.5678,0.51297),(4185,4195,2.0721,0.5123),(4185,4205,2.5765,0.50788),(4185,4215,2.6529,0.50347),(4185,4225,2.6488,0.49901),(4185,4235,2.6447,0.49441),(4185,4245,2.64,0.4898),(4185,4255,2.6351,0.48516),(4185,4265,2.6301,0.47996),(4185,4275,2.2957,0.47476),(4185,4285,1.6117,0.46957),(4185,4295,0.9277,0.47168),(4185,4305,0.63217,0.47464),(4185,4315,1.2139,0.4776),(4185,4325,1.7956,0.47541),(4185,4335,2.3126,0.47118),(4185,4345,2.3922,0.46696),(4185,4355,2.4718,0.46212),(4185,4365,2.5513,0.45676),(4185,4375,2.5525,0.4514),(4185,4385,2.5495,0.44605),(4185,4395,2.5465,0.44075),(4185,4405,2.2144,0.43544),(4185,4415,1.7851,0.43101),(4185,4425,1.3558,0.43045),(4185,4435,1.1721,0.4299),(4185,4445,1.1564,0.42934),(4185,4455,1.1406,0.42886),(4185,4465,1.3078,0.42837),(4185,4475,1.7319,0.42789),(4185,4485,2.156,0.4233),(4185,4495,2.4787,0.41785),(4185,4505,2.4763,0.41241),(4185,4515,2.4739,0.40699),(4185,4525,2.4666,0.40158),(4185,4535,2.3806,0.39618),(4185,4545,2.2946,0.39119),(4185,4555,2.2085,0.38668),(4185,4565,1.6558,0.38216),(4185,4575,1.0402,0.37951),(4185,4585,0.42455,0.3814),(4185,4595,0.72103,0.38328),(4185,4605,1.4029,0.38439),(4185,4615,2.0848,0.37946),(4185,4625,2.4081,0.37454),(4185,4635,2.4069,0.36961),(4185,4645,2.4056,0.36501),(4185,4655,2.4041,0.36044),(4185,4665,2.4022,0.35586),(4185,4675,2.4003,0.3513),(4185,4685,2.3122,0.34675),(4185,4695,1.798,0.3422),(4185,4705,1.2838,0.34023),(4185,4715,0.76959,0.34014),(4185,4725,1.0083,0.34005),(4185,4735,1.2545,0.33911),(4185,4745,1.5007,0.33688),(4185,4755,1.7534,0.33465),(4185,4765,2.0077,0.33191),(4185,4775,2.262,0.32737),(4185,4785,2.3543,0.32284),(4185,4795,2.3529,0.3183),(4185,4805,2.3515,0.31378),(4185,4815,2.2336,0.30926),(4185,4825,1.9764,0.30475),(4185,4835,1.7192,0.30208),(4185,4845,1.4588,0.2997),(4185,4855,1.19,0.29732),(4185,4865,0.92122,0.29649),(4185,4875,0.73012,0.29636),(4185,4885,1.246,0.29624),(4185,4895,1.7619,0.29394),(4185,4905,2.2777,0.28957),(4185,4915,2.3176,0.28519),(4185,4925,2.3166,0.28083),(4185,4935,2.3156,0.2765),(4185,4945,2.3143,0.27216),(4185,4955,2.3128,0.26781),(4185,4965,2.3114,0.26334),(4185,4975,1.9215,0.25887),(4185,4985,1.2317,0.2544),(4185,4995,0.54186,0.25529),(4185,5005,0.31571,0.25631),(4185,5015,0.82668,0.25733),(4185,5025,1.3376,0.25575),(4185,5035,1.7777,0.25351),(4185,5045,1.9476,0.25127),(4185,5055,2.1175,0.24841),(4185,5065,2.2824,0.24516),(4185,5075,2.2814,0.24191),(4185,5085,2.2805,0.23867),(4185,5095,2.2796,0.23544),(4185,5105,1.9858,0.2322),(4185,5115,1.6409,0.22947),(4185,5125,1.296,0.22818),(4185,5135,1.1202,0.22688),(4185,5145,1.0263,0.22564),(4185,5155,0.9324,0.22503),(4185,5165,1.0984,0.22442),(4185,5175,1.5296,0.22381),(4185,5185,1.9607,0.22138),(4185,5195,2.2549,0.21876),(4185,5205,2.2538,0.21614),(4185,5215,2.2528,0.21354),(4185,5225,2.24,0.21095),(4185,5235,2.1547,0.20835),(4185,5245,2.0693,0.20592),(4185,5255,1.9839,0.20362),(4185,5265,1.392,0.20133),(4185,5275,0.77916,0.19999),(4185,5285,0.16632,0.20028),(4185,5295,0.56504,0.20057),(4185,5305,1.2455,0.2004),(4185,5315,1.9259,0.19825),(4185,5325,2.1949,0.19611),(4185,5335,2.1941,0.19397),(4185,5345,2.1933,0.19182),(4185,5355,2.1924,0.18967),(4185,5365,2.1914,0.18752),(4185,5375,2.1903,0.1853),(4185,5385,2.0636,0.18308),(4185,5395,1.5546,0.18085),(4185,5405,1.0455,0.17982),(4185,5415,0.58925,0.1794),(4185,5425,0.84107,0.17898),(4185,5435,1.0929,0.17775),(4185,5445,1.3447,0.17565),(4185,5455,1.5978,0.17355),(4185,5465,1.8511,0.17099),(4185,5475,2.1044,0.16735),(4185,5485,2.1766,0.16372),(4185,5495,2.1759,0.16006),(4185,5505,2.1752,0.15626),(4185,5515,2.1745,0.15246),(4185,5525,2.1737,0.14867),(4185,5535,2.1728,0.14489),(4185,5545,2.1719,0.14111),(4185,5555,2.1707,0.13733),(4185,5565,2.1695,0.1338),(4185,5575,2.1682,0.13034),(4185,5585,2.1665,0.12688),(4185,5595,2.1647,0.12377),(4185,5605,2.163,0.12091),(4185,5615,2.1606,0.11805),(4185,5625,2.1583,0.11551),(4185,5635,2.1559,0.11343),(4185,5645,2.1531,0.11135),(4185,5655,2.1502,0.10947),(4185,5665,2.1473,0.10824),(4185,5675,2.1442,0.107),(4185,5685,2.1409,0.10581),(4185,5695,2.1376,0.10541),(4185,5705,2.1342,0.105),(4185,5715,2.1307,0.10459),(4185,5725,2.1272,0.10485),(4185,5735,2.1236,0.1052),(4185,5745,2.1201,0.10554),(4185,5755,2.1165,0.10631),(4185,5765,2.1129,0.10727),(4185,5775,2.1094,0.10823),(4185,5785,2.1058,0.10944),(4185,5795,2.1023,0.11089),(4185,5805,2.099,0.11235),(4185,5815,2.0956,0.11393),(4185,5825,2.0923,0.11576),(4185,5835,2.0891,0.1176),(4185,5845,2.086,0.11949),(4185,5855,2.0829,0.12162),(4185,5865,2.08,0.12376),(4185,5875,2.0773,0.1259),(4185,5885,2.0745,0.12824),(4185,5895,2.0719,0.13059),(4185,5905,2.0694,0.13293),(4185,5915,2.067,0.13538),(4185,5925,2.0647,0.13786),(4185,5935,2.0626,0.14033),(4185,5945,2.0606,0.14284),(4185,5955,2.0585,0.14536),(4185,5965,2.0568,0.14788),(4185,5975,2.0551,0.15039),(4185,5985,2.0534,0.15288),(4185,5995,1.5691,0.15537),(4185,6005,1.0072,0.15725),(4185,6015,0.44517,0.15749),(4185,6025,0.6337,0.15773),(4185,6035,1.1703,0.15737),(4185,6045,1.7069,0.15114),(4185,6055,2.0761,0.14491),(4185,6065,2.2811,0.13868),(4185,6075,2.486,0.13108),(4185,6085,2.6232,0.12335),(4185,6095,2.6206,0.11562),(4185,6105,2.618,0.10871),(4185,6115,2.6152,0.10208),(4185,6125,2.6112,0.095455),(4185,6135,2.6073,0.089635),(4185,6145,2.6033,0.084447),(4185,6155,2.5985,0.07926),(4185,6165,2.5936,0.074657),(4185,6175,2.5888,0.071003),(4185,6185,2.5836,0.06735),(4185,6195,2.5784,0.063956),(4185,6205,2.5732,0.061581),(4185,6215,2.568,0.059207),(4185,6225,2.5629,0.056857),(4185,6235,2.5577,0.055444),(4185,6245,2.5527,0.054031),(4185,6255,2.5479,0.052619),(4185,6265,2.5432,0.05168),(4185,6275,2.5385,0.050828),(4185,6285,2.5343,0.049976),(4185,6295,2.5301,0.04928),(4185,6305,2.526,0.04866),(4185,6315,2.5224,0.048041),(4185,6325,2.5188,0.047443),(4185,6335,2.5152,0.046866),(4185,6345,2.5122,0.046289),(4185,6355,2.5092,0.045673),(4185,6365,2.5063,0.044972),(4185,6375,2.5037,0.04427),(4185,6385,2.5013,0.043551),(4185,6395,2.4989,0.042714),(4185,6405,2.4968,0.041876),(4185,6415,2.4949,0.041039),(4185,6425,2.493,0.03992),(4185,6435,2.4913,0.038788),(4185,6445,2.4898,0.037657),(4185,6455,2.4884,0.036323),(4185,6465,2.487,0.034931),(4185,6475,2.4859,0.033539),(4185,6485,2.4849,0.032034),(4185,6495,2.4838,0.030454),(4185,6505,2.4831,0.028875),(4185,6515,2.4823,0.027204),(4185,6525,2.4816,0.025408),(4185,6535,2.4811,0.023613),(4185,6545,2.4806,0.021779),(4185,6555,2.4802,0.019825),(4185,6565,2.4799,0.017872),(4185,6575,2.4797,0.015916),(4185,6585,2.4795,0.013937),(4185,6595,2.1089,0.011958),(4185,6605,1.3293,0.009978),(4185,6615,0.54965,0.009782),(4185,6625,0.001604,0.009815),(4185,6635,0.001618,0.009848),(4185,6645,0.001631,0.009852),(4185,6655,0.001644,0.009842),(4185,6665,0.001656,0.009833),(4185,6675,0.001667,0.009823),(4185,6685,0.001678,0.009813),(4185,6695,0.001688,0.009803),(4185,6705,0.001698,0.009792),(4185,6715,0.001707,0.009781),(4185,6725,0.001716,0.00977),(4185,6735,0.001724,0.00976),(4185,6745,0.001732,0.009749),(4185,6755,0.001739,0.009737),(4185,6765,0.001746,0.009726),(4185,6775,0.001752,0.009715),(4185,6785,0.001758,0.009704),(4185,6795,0.001764,0.009692),(4185,6805,0.00177,0.009681),(4185,6815,0.001775,0.00967),(4185,6825,0.001779,0.009658),(4185,6835,0.001784,0.009647),(4185,6845,0.001788,0.009636),(4185,6855,0.001792,0.009625),(4185,6865,0.001796,0.009614),(4185,6875,0.001799,0.009602),(4185,6885,0.001802,0.009591),(4185,6895,0.001805,0.00958),(4185,6905,0.001808,0.009569),(4185,6915,0.001811,0.009559),(4185,6925,0.001813,0.009548),(4185,6935,0.001816,0.009537),(4185,6945,0.001818,0.009526),(4185,6955,0.00182,0.009516),(4185,6965,0.001822,0.009505),(4185,6975,0.001823,0.009495),(4185,6985,0.001825,0.009484),(4195,5,2.9e-05,-0.002638),(4195,15,8.6e-05,-0.00264),(4195,25,0.000144,-0.002642),(4195,35,0.000202,-0.002644),(4195,45,0.00026,-0.002649),(4195,55,0.000317,-0.002655),(4195,65,0.000375,-0.002662),(4195,75,0.000434,-0.002668),(4195,85,0.000492,-0.002677),(4195,95,0.00055,-0.002688),(4195,105,0.000609,-0.002699),(4195,115,0.000668,-0.00271),(4195,125,0.000727,-0.002723),(4195,135,0.000786,-0.002739),(4195,145,0.000845,-0.002754),(4195,155,0.000905,-0.002769),(4195,165,0.000965,-0.002788),(4195,175,0.001025,-0.002808),(4195,185,0.001087,-0.002828),(4195,195,0.001148,-0.002848),(4195,205,0.001209,-0.002872),(4195,215,0.001271,-0.002898),(4195,225,0.001334,-0.002923),(4195,235,0.001397,-0.002949),(4195,245,0.00146,-0.002979),(4195,255,0.001523,-0.00301),(4195,265,0.001588,-0.003041),(4195,275,0.001653,-0.003073),(4195,285,0.001718,-0.003109),(4195,295,0.001784,-0.003147),(4195,305,0.001851,-0.003184),(4195,315,0.001919,-0.003222),(4195,325,0.001986,-0.003266),(4195,335,0.002054,-0.00331),(4195,345,0.002124,-0.003355),(4195,355,0.002195,-0.0034),(4195,365,0.002265,-0.003452),(4195,375,0.002336,-0.003505),(4195,385,0.002409,-0.003558),(4195,395,0.002483,-0.003611),(4195,405,0.002557,-0.003672),(4195,415,0.00263,-0.003735),(4195,425,0.002707,-0.003797),(4195,435,0.002785,-0.00386),(4195,445,0.002862,-0.003932),(4195,455,0.002939,-0.004005),(4195,465,0.00302,-0.004078),(4195,475,0.003101,-0.004151),(4195,485,0.003182,-0.004235),(4195,495,0.003263,-0.004321),(4195,505,0.003349,-0.004406),(4195,515,0.003434,-0.004491),(4195,525,0.003519,-0.00459),(4195,535,0.003605,-0.00469),(4195,545,0.003695,-0.00479),(4195,555,0.003785,-0.00489),(4195,565,0.003875,-0.005007),(4195,575,0.003965,-0.005123),(4195,585,0.00406,-0.00524),(4195,595,0.004155,-0.005358),(4195,605,0.004249,-0.005494),(4195,615,0.004345,-0.00563),(4195,625,0.004444,-0.005766),(4195,635,0.004543,-0.005906),(4195,645,0.004643,-0.006065),(4195,655,0.004743,-0.006224),(4195,665,0.004846,-0.006384),(4195,675,0.00495,-0.006548),(4195,685,0.005054,-0.006735),(4195,695,0.005158,-0.006921),(4195,705,0.005265,-0.007108),(4195,715,0.005373,-0.007302),(4195,725,0.00548,-0.007522),(4195,735,0.005588,-0.007741),(4195,745,0.005697,-0.007961),(4195,755,0.005807,-0.00819),(4195,765,0.005916,-0.008448),(4195,775,0.006026,-0.008706),(4195,785,0.006135,-0.008964),(4195,795,0.006244,-0.009235),(4195,805,0.006353,-0.009539),(4195,815,0.006461,-0.009843),(4195,825,0.006567,-0.010147),(4195,835,0.006672,-0.010469),(4195,845,0.006777,-0.010828),(4195,855,0.006879,-0.011186),(4195,865,0.006975,-0.011545),(4195,875,0.00707,-0.011927),(4195,885,0.007166,-0.01235),(4195,895,0.007254,-0.012773),(4195,905,0.007331,-0.013196),(4195,915,0.007408,-0.01365),(4195,925,0.007484,-0.014148),(4195,935,0.007547,-0.014646),(4195,945,0.007592,-0.015144),(4195,955,0.007637,-0.015681),(4195,965,0.007681,-0.016265),(4195,975,0.007702,-0.016849),(4195,985,0.007696,-0.017432),(4195,995,0.007689,-0.018064),(4195,1005,0.007683,-0.018744),(4195,1015,0.007637,-0.019424),(4195,1025,0.007553,-0.020104),(4195,1035,0.007468,-0.020838),(4195,1045,0.007384,-0.021621),(4195,1055,0.007238,-0.022404),(4195,1065,0.00704,-0.023186),(4195,1075,0.006842,-0.024027),(4195,1085,0.006644,-0.024911),(4195,1095,0.006352,-0.025796),(4195,1105,0.005995,-0.02668),(4195,1115,0.005637,-0.027617),(4195,1125,0.00528,-0.028588),(4195,1135,0.004787,-0.029558),(4195,1145,0.004215,-0.030528),(4195,1155,0.003642,-0.031529),(4195,1165,0.00307,-0.032545),(4195,1175,0.002316,-0.033562),(4195,1185,0.001471,-0.034578),(4195,1195,0.000627,-0.035577),(4195,1205,-0.000217,-0.036567),(4195,1215,-0.001285,-0.037557),(4195,1225,-0.002444,-0.038547),(4195,1235,-0.003603,-0.039439),(4195,1245,-0.004762,-0.040294),(4195,1255,-0.006159,-0.041148),(4195,1265,-0.007636,-0.042003),(4195,1275,-0.009114,-0.042649),(4195,1285,-0.010591,-0.043232),(4195,1295,-0.012267,-0.043815),(4195,1305,-0.013997,-0.044398),(4195,1315,-0.015727,-0.044659),(4195,1325,-0.017457,-0.044843),(4195,1335,-0.019274,-0.045027),(4195,1345,-0.02111,-0.045212),(4195,1355,-0.022946,-0.04501),(4195,1365,-0.024782,-0.044739),(4195,1375,-0.026545,-0.044467),(4195,1385,-0.028297,-0.044196),(4195,1395,-0.03005,-0.043572),(4195,1405,-0.031802,-0.042902),(4195,1415,-0.033344,-0.042232),(4195,1425,-0.034865,-0.041563),(4195,1435,-0.036386,-0.040643),(4195,1445,-0.037906,-0.039703),(4195,1455,-0.039145,-0.038763),(4195,1465,-0.040368,-0.037823),(4195,1475,-0.041591,-0.036755),(4195,1485,-0.042813,-0.035683),(4195,1495,-0.043745,-0.034611),(4195,1505,-0.044673,-0.033539),(4195,1515,-0.0456,-0.032447),(4195,1525,-0.046521,-0.031355),(4195,1535,-0.047196,-0.030263),(4195,1545,-0.047871,-0.029173),(4195,1555,-0.048545,-0.028136),(4195,1565,-0.049207,-0.027099),(4195,1575,-0.049685,-0.026062),(4195,1585,-0.050164,-0.025033),(4195,1595,-0.050642,-0.024093),(4195,1605,-0.051105,-0.023154),(4195,1615,-0.051441,-0.022215),(4195,1625,-0.051777,-0.02129),(4195,1635,-0.052113,-0.020468),(4195,1645,-0.052435,-0.019646),(4195,1655,-0.052674,-0.018824),(4195,1665,-0.052913,-0.018023),(4195,1675,-0.053152,-0.017324),(4195,1685,-0.05338,-0.016626),(4195,1695,-0.053557,-0.015927),(4195,1705,-0.053735,-0.015253),(4195,1715,-0.053912,-0.014676),(4195,1725,-0.054082,-0.014099),(4195,1735,-0.054224,-0.013521),(4195,1745,-0.054365,-0.012972),(4195,1755,-0.054507,-0.012512),(4195,1765,-0.054644,-0.012052),(4195,1775,-0.054767,-0.011591),(4195,1785,-0.054891,-0.011163),(4195,1795,-0.055014,-0.010815),(4195,1805,-0.055135,-0.010467),(4195,1815,-0.055252,-0.01012),(4195,1825,-0.055369,-0.009807),(4195,1835,-0.055486,-0.009569),(4195,1845,-0.055603,-0.009331),(4195,1855,-0.05572,-0.009093),(4195,1865,-0.055837,-0.008894),(4195,1875,-0.055954,-0.008764),(4195,1885,-0.056073,-0.008635),(4195,1895,-0.056194,-0.008506),(4195,1905,-0.056315,-0.008421),(4195,1915,-0.056436,-0.008403),(4195,1925,-0.056559,-0.008384),(4195,1935,-0.056685,-0.008366),(4195,1945,-0.056811,-0.008399),(4195,1955,-0.056937,-0.008498),(4195,1965,-0.057064,-0.008596),(4195,1975,-0.057193,-0.008695),(4195,1985,-0.057322,-0.008853),(4195,1995,-0.057451,-0.009077),(4195,2005,-0.05758,-0.009301),(4195,2015,-0.057709,-0.009525),(4195,2025,-0.057838,-0.00982),(4195,2035,-0.057967,-0.010182),(4195,2045,-0.058093,-0.010543),(4195,2055,-0.058217,-0.010905),(4195,2065,-0.058341,-0.011353),(4195,2075,-0.058464,-0.011869),(4195,2085,-0.05858,-0.012385),(4195,2095,-0.05869,-0.012901),(4195,2105,-0.058801,-0.013521),(4195,2115,-0.058911,-0.014212),(4195,2125,-0.059007,-0.014903),(4195,2135,-0.059095,-0.015593),(4195,2145,-0.059182,-0.016411),(4195,2155,-0.059269,-0.017302),(4195,2165,-0.059333,-0.018192),(4195,2175,-0.059384,-0.019083),(4195,2185,-0.059434,-0.02013),(4195,2195,-0.059485,-0.02125),(4195,2205,-0.059499,-0.022371),(4195,2215,-0.059496,-0.023491),(4195,2225,-0.059492,-0.024803),(4195,2235,-0.059489,-0.026189),(4195,2245,-0.05943,-0.027576),(4195,2255,-0.05935,-0.028963),(4195,2265,-0.05927,-0.030582),(4195,2275,-0.05919,-0.032276),(4195,2285,-0.059027,-0.03397),(4195,2295,-0.058841,-0.035664),(4195,2305,-0.058655,-0.037641),(4195,2315,-0.058468,-0.03969),(4195,2325,-0.058163,-0.041738),(4195,2335,-0.057831,-0.043787),(4195,2345,-0.057499,-0.046177),(4195,2355,-0.057167,-0.048632),(4195,2365,-0.056667,-0.051088),(4195,2375,-0.056139,-0.053544),(4195,2385,-0.055611,-0.056407),(4195,2395,-0.055083,-0.059327),(4195,2405,-0.05432,-0.062247),(4195,2415,-0.053529,-0.065168),(4195,2425,-0.052739,-0.068567),(4195,2435,-0.051949,-0.072011),(4195,2445,-0.050833,-0.075454),(4195,2455,-0.049696,-0.078898),(4195,2465,-0.048558,-0.082895),(4195,2475,-0.047421,-0.086919),(4195,2485,-0.04584,-0.090942),(4195,2495,-0.044248,-0.094965),(4195,2505,-0.042656,-0.099613),(4195,2515,-0.041055,-0.10426),(4195,2525,-0.038876,-0.10891),(4195,2535,-0.036697,-0.11359),(4195,2545,-0.034517,-0.11889),(4195,2555,-0.032297,-0.1242),(4195,2565,-0.029372,-0.12951),(4195,2575,-0.026446,-0.13486),(4195,2585,-0.02352,-0.14082),(4195,2595,-0.020508,-0.14678),(4195,2605,-0.016655,-0.15274),(4195,2615,-0.012802,-0.15876),(4195,2625,-0.00895,-0.16532),(4195,2635,-0.004948,-0.17188),(4195,2645,2.3e-05,-0.17844),(4195,2655,0.004993,-0.18508),(4195,2665,0.009963,-0.19213),(4195,2675,0.015158,-0.19918),(4195,2685,0.021423,-0.20623),(4195,2695,0.027689,-0.21333),(4195,2705,0.033955,-0.22069),(4195,2715,0.040524,-0.22805),(4195,2725,0.048219,-0.23541),(4195,2735,0.055913,-0.24279),(4195,2745,0.063608,-0.25022),(4195,2755,0.071677,-0.25765),(4195,2765,0.080856,-0.26508),(4195,2775,0.090036,-0.27246),(4195,2785,0.099215,-0.27969),(4195,2795,0.10882,-0.28692),(4195,2805,0.11944,-0.29416),(4195,2815,0.13007,-0.30125),(4195,2825,0.1407,-0.30803),(4195,2835,0.15176,-0.31482),(4195,2845,0.16372,-0.3216),(4195,2855,0.17567,-0.32815),(4195,2865,0.18763,-0.33428),(4195,2875,0.20001,-0.34041),(4195,2885,0.21312,-0.34654),(4195,2895,0.22624,-0.35235),(4195,2905,0.23935,-0.35767),(4195,2915,0.25286,-0.36299),(4195,2925,0.26694,-0.36831),(4195,2935,0.28102,-0.37325),(4195,2945,0.29509,-0.37767),(4195,2955,0.30953,-0.38209),(4195,2965,0.32439,-0.38651),(4195,2975,0.33925,-0.39048),(4195,2985,0.35411,-0.39394),(4195,2995,0.36927,-0.39741),(4195,3005,0.38474,-0.40087),(4195,3015,0.40021,-0.40383),(4195,3025,0.41568,-0.4063),(4195,3035,0.4314,-0.40877),(4195,3045,0.44733,-0.41124),(4195,3055,0.46326,-0.41315),(4195,3065,0.47919,-0.4146),(4195,3075,0.49531,-0.41605),(4195,3085,0.51157,-0.4175),(4195,3095,0.52782,-0.41834),(4195,3105,0.54408,-0.41874),(4195,3115,0.56046,-0.41914),(4195,3125,0.57692,-0.41954),(4195,3135,0.59338,-0.41925),(4195,3145,0.60984,-0.41856),(4195,3155,0.62635,-0.41787),(4195,3165,0.64289,-0.41718),(4195,3175,0.65942,-0.41572),(4195,3185,0.67596,-0.41387),(4195,3195,0.69247,-0.41203),(4195,3205,0.70896,-0.41018),(4195,3215,0.72546,-0.40746),(4195,3225,0.74195,-0.40439),(4195,3235,0.75831,-0.40131),(4195,3245,0.77461,-0.39823),(4195,3255,0.79091,-0.39416),(4195,3265,0.80722,-0.38976),(4195,3275,0.82325,-0.38535),(4195,3285,0.8392,-0.38094),(4195,3295,0.85514,-0.3754),(4195,3305,0.87109,-0.36955),(4195,3315,0.88658,-0.3637),(4195,3325,0.90196,-0.35785),(4195,3335,0.91734,-0.35072),(4195,3345,0.93272,-0.34331),(4195,3355,0.9474,-0.3359),(4195,3365,0.96195,-0.32849),(4195,3375,0.9765,-0.31964),(4195,3385,0.99106,-0.31056),(4195,3395,1.0046,-0.30148),(4195,3405,1.018,-0.2924),(4195,3415,1.0314,-0.28174),(4195,3425,1.0448,-0.27092),(4195,3435,1.0568,-0.26009),(4195,3445,1.0687,-0.24927),(4195,3455,1.0806,-0.23678),(4195,3465,1.0924,-0.2242),(4195,3475,1.1024,-0.21161),(4195,3485,1.1123,-0.19903),(4195,3495,1.1222,-0.1848),(4195,3505,1.1321,-0.17055),(4195,3515,1.1395,-0.15629),(4195,3525,1.147,-0.142),(4195,3535,1.1544,-0.12631),(4195,3545,1.1617,-0.11061),(4195,3555,1.1663,-0.094919),(4195,3565,1.1708,-0.079158),(4195,3575,1.1753,-0.062423),(4195,3585,1.1795,-0.045688),(4195,3595,1.1808,-0.028953),(4195,3605,1.182,-0.012167),(4195,3615,1.1832,0.005055),(4195,3625,1.184,0.022277),(4195,3635,1.1818,0.039499),(4195,3645,1.1795,0.0567),(4195,3655,1.1772,0.073772),(4195,3665,1.1744,0.090843),(4195,3675,1.1688,0.10792),(4195,3685,1.1631,0.12485),(4195,3695,1.1574,0.14117),(4195,3705,1.1511,0.15749),(4195,3715,1.1424,0.17381),(4195,3725,1.1336,0.18986),(4195,3735,1.1248,0.20498),(4195,3745,1.1154,0.2201),(4195,3755,1.1039,0.23522),(4195,3765,1.0925,0.24995),(4195,3775,1.081,0.2636),(4195,3785,1.0689,0.27726),(4195,3795,1.0553,0.29091),(4195,3805,1.0416,0.3041),(4195,3815,1.028,0.31621),(4195,3825,1.0137,0.32831),(4195,3835,0.99833,0.34042),(4195,3845,0.98291,0.35201),(4195,3855,0.96749,0.36261),(4195,3865,0.95157,0.37322),(4195,3875,0.93477,0.38382),(4195,3885,0.91797,0.3939),(4195,3895,0.90118,0.40314),(4195,3905,0.88395,0.41237),(4195,3915,0.8661,0.4216),(4195,3925,0.84825,0.43033),(4195,3935,0.8304,0.43837),(4195,3945,0.81221,0.4464),(4195,3955,0.79358,0.45443),(4195,3965,0.77495,0.462),(4195,3975,0.75633,0.469),(4195,3985,0.73744,0.47601),(4195,3995,0.71827,0.48302),(4195,4005,0.6991,0.48962),(4195,4015,0.67993,0.49582),(4195,4025,1.0477,0.50201),(4195,4035,1.4533,0.50645),(4195,4045,1.8588,0.50718),(4195,4055,2.1484,0.5079),(4195,4065,2.3955,0.50813),(4195,4075,2.6427,0.5054),(4195,4085,2.75,0.50267),(4195,4095,2.745,0.49994),(4195,4105,2.7399,0.49682),(4195,4115,2.6398,0.49369),(4195,4125,2.3819,0.49056),(4195,4135,2.1241,0.48945),(4195,4145,1.8632,0.48888),(4195,4155,1.5898,0.48831),(4195,4165,1.3165,0.48938),(4195,4175,1.0585,0.49151),(4195,4185,1.5636,0.49365),(4195,4195,2.0686,0.493),(4195,4205,2.5737,0.48868),(4195,4215,2.6503,0.48435),(4195,4225,2.6462,0.47998),(4195,4235,2.6422,0.47547),(4195,4245,2.6377,0.47097),(4195,4255,2.6329,0.46642),(4195,4265,2.6281,0.46136),(4195,4275,2.2935,0.4563),(4195,4285,1.6088,0.45124),(4195,4295,0.92409,0.45332),(4195,4305,0.62828,0.45622),(4195,4315,1.2106,0.45913),(4195,4325,1.7929,0.45704),(4195,4335,2.3106,0.45298),(4195,4345,2.3903,0.44891),(4195,4355,2.47,0.44426),(4195,4365,2.5496,0.4391),(4195,4375,2.5508,0.43394),(4195,4385,2.5478,0.4288),(4195,4395,2.5448,0.4237),(4195,4405,2.2124,0.41859),(4195,4415,1.7828,0.41433),(4195,4425,1.3532,0.41382),(4195,4435,1.1695,0.41331),(4195,4445,1.1538,0.41279),(4195,4455,1.138,0.41234),(4195,4465,1.3053,0.4119),(4195,4475,1.7298,0.41145),(4195,4485,2.1543,0.40701),(4195,4495,2.4773,0.40173),(4195,4505,2.4749,0.39646),(4195,4515,2.4725,0.39121),(4195,4525,2.4651,0.38598),(4195,4535,2.3791,0.38074),(4195,4545,2.293,0.37592),(4195,4555,2.207,0.37155),(4195,4565,1.654,0.36718),(4195,4575,1.0381,0.36463),(4195,4585,0.42214,0.36649),(4195,4595,0.7187,0.36835),(4195,4605,1.4008,0.36945),(4195,4615,2.0829,0.36472),(4195,4625,2.4063,0.35998),(4195,4635,2.405,0.35525),(4195,4645,2.4036,0.3508),(4195,4655,2.402,0.34637),(4195,4665,2.4001,0.34195),(4195,4675,2.3983,0.33753),(4195,4685,2.3101,0.33312),(4195,4695,1.796,0.3287),(4195,4705,1.2818,0.32681),(4195,4715,0.76759,0.32674),(4195,4725,1.0063,0.32667),(4195,4735,1.2525,0.32578),(4195,4745,1.4987,0.32365),(4195,4755,1.7515,0.32152),(4195,4765,2.0058,0.31889),(4195,4775,2.2601,0.31452),(4195,4785,2.3524,0.31015),(4195,4795,2.351,0.30578),(4195,4805,2.3496,0.30142),(4195,4815,2.2317,0.29706),(4195,4825,1.9746,0.2927),(4195,4835,1.7174,0.29013),(4195,4845,1.457,0.28784),(4195,4855,1.1882,0.28555),(4195,4865,0.91948,0.28477),(4195,4875,0.72841,0.28467),(4195,4885,1.2442,0.28457),(4195,4895,1.76,0.28239),(4195,4905,2.2758,0.2782),(4195,4915,2.3157,0.27401),(4195,4925,2.3147,0.26983),(4195,4935,2.3136,0.26568),(4195,4945,2.3123,0.26153),(4195,4955,2.3109,0.25736),(4195,4965,2.3095,0.25308),(4195,4975,1.9197,0.2488),(4195,4985,1.2301,0.24452),(4195,4995,0.54043,0.24538),(4195,5005,0.31424,0.24637),(4195,5015,0.82485,0.24736),(4195,5025,1.3355,0.24588),(4195,5035,1.7752,0.24376),(4195,5045,1.945,0.24165),(4195,5055,2.1147,0.23895),(4195,5065,2.2794,0.23588),(4195,5075,2.2785,0.23282),(4195,5085,2.2776,0.22975),(4195,5095,2.2766,0.22669),(4195,5105,1.9831,0.22362),(4195,5115,1.6386,0.22103),(4195,5125,1.294,0.2198),(4195,5135,1.1183,0.21857),(4195,5145,1.0245,0.21739),(4195,5155,0.93064,0.21684),(4195,5165,1.0965,0.21628),(4195,5175,1.5271,0.21573),(4195,5185,1.9577,0.21348),(4195,5195,2.2515,0.21106),(4195,5205,2.2504,0.20863),(4195,5215,2.2494,0.20621),(4195,5225,2.2367,0.20379),(4195,5235,2.1514,0.20137),(4195,5245,2.0662,0.19909),(4195,5255,1.981,0.19692),(4195,5265,1.3898,0.19475),(4195,5275,0.77779,0.19349),(4195,5285,0.16576,0.19377),(4195,5295,0.56386,0.19405),(4195,5305,1.2433,0.19389),(4195,5315,1.9227,0.19187),(4195,5325,2.1913,0.18984),(4195,5335,2.1905,0.18782),(4195,5345,2.1897,0.18577),(4195,5355,2.1888,0.18371),(4195,5365,2.1878,0.18165),(4195,5375,2.1868,0.17951),(4195,5385,2.0602,0.17736),(4195,5395,1.552,0.1752),(4195,5405,1.0437,0.17419),(4195,5415,0.58816,0.17378),(4195,5425,0.83985,0.17336),(4195,5435,1.0916,0.17206),(4195,5445,1.3432,0.1698),(4195,5455,1.5962,0.16754),(4195,5465,1.8493,0.16479),(4195,5475,2.1024,0.1609),(4195,5485,2.1746,0.15702),(4195,5495,2.174,0.15311),(4195,5505,2.1733,0.14908),(4195,5515,2.1726,0.14506),(4195,5525,2.1718,0.14103),(4195,5535,2.171,0.1371),(4195,5545,2.17,0.13317),(4195,5555,2.1687,0.12924),(4195,5565,2.1674,0.12564),(4195,5575,2.166,0.12214),(4195,5585,2.1641,0.11864),(4195,5595,2.1621,0.11556),(4195,5605,2.1602,0.11278),(4195,5615,2.1576,0.11),(4195,5625,2.155,0.10757),(4195,5635,2.1524,0.10566),(4195,5645,2.1493,0.10374),(4195,5655,2.1461,0.10204),(4195,5665,2.1429,0.10102),(4195,5675,2.1395,0.099996),(4195,5685,2.136,0.099021),(4195,5695,2.1324,0.098835),(4195,5705,2.1288,0.098649),(4195,5715,2.125,0.098463),(4195,5725,2.1213,0.098918),(4195,5735,2.1175,0.099465),(4195,5745,2.1137,0.10001),(4195,5755,2.1099,0.10096),(4195,5765,2.1062,0.10207),(4195,5775,2.1025,0.10319),(4195,5785,2.0988,0.10455),(4195,5795,2.0951,0.10612),(4195,5805,2.0917,0.10769),(4195,5815,2.0882,0.10938),(4195,5825,2.0847,0.1113),(4195,5835,2.0815,0.11323),(4195,5845,2.0783,0.1152),(4195,5855,2.0752,0.1174),(4195,5865,2.0722,0.1196),(4195,5875,2.0693,0.12181),(4195,5885,2.0665,0.12422),(4195,5895,2.0638,0.12663),(4195,5905,2.0614,0.12905),(4195,5915,2.0589,0.13157),(4195,5925,2.0566,0.13412),(4195,5935,2.0545,0.13668),(4195,5945,2.0524,0.13927),(4195,5955,2.0504,0.14188),(4195,5965,2.0487,0.14449),(4195,5975,2.047,0.14709),(4195,5985,2.0453,0.14968),(4195,5995,1.563,0.15227),(4195,6005,1.0032,0.15421),(4195,6015,0.44349,0.15445),(4195,6025,0.63347,0.15469),(4195,6035,1.1712,0.1543),(4195,6045,1.7088,0.14785),(4195,6055,2.0786,0.1414),(4195,6065,2.2837,0.13496),(4195,6075,2.4888,0.12719),(4195,6085,2.6259,0.11931),(4195,6095,2.6229,0.11142),(4195,6105,2.62,0.1045),(4195,6115,2.6168,0.097935),(4195,6125,2.6124,0.091366),(4195,6135,2.6079,0.08571),(4195,6145,2.6035,0.080773),(4195,6155,2.5982,0.075836),(4195,6165,2.5929,0.071529),(4195,6175,2.5876,0.068245),(4195,6185,2.582,0.06496),(4195,6195,2.5764,0.061944),(4195,6205,2.5707,0.05998),(4195,6215,2.5652,0.058015),(4195,6225,2.5598,0.056074),(4195,6235,2.5543,0.055038),(4195,6245,2.5491,0.054003),(4195,6255,2.5441,0.052967),(4195,6265,2.5392,0.052348),(4195,6275,2.5344,0.051805),(4195,6285,2.5301,0.051261),(4195,6295,2.5258,0.050809),(4195,6305,2.5216,0.050402),(4195,6315,2.518,0.049996),(4195,6325,2.5144,0.049567),(4195,6335,2.5108,0.049115),(4195,6345,2.5078,0.048663),(4195,6355,2.5049,0.048146),(4195,6365,2.5019,0.047485),(4195,6375,2.4994,0.046824),(4195,6385,2.4971,0.046137),(4195,6395,2.4948,0.045276),(4195,6405,2.4927,0.044416),(4195,6415,2.4909,0.043555),(4195,6425,2.4891,0.042372),(4195,6435,2.4875,0.041174),(4195,6445,2.4861,0.039976),(4195,6455,2.4847,0.038543),(4195,6465,2.4834,0.037042),(4195,6475,2.4824,0.035541),(4195,6485,2.4814,0.033915),(4195,6495,2.4804,0.032205),(4195,6505,2.4797,0.030494),(4195,6515,2.479,0.028685),(4195,6525,2.4783,0.026741),(4195,6535,2.4779,0.024796),(4195,6545,2.4775,0.022811),(4195,6555,2.477,0.020699),(4195,6565,2.4768,0.018586),(4195,6575,2.4766,0.016472),(4195,6585,2.4764,0.014324),(4195,6595,2.1063,0.012176),(4195,6605,1.3276,0.010029),(4195,6615,0.54898,0.009809),(4195,6625,0.00161,0.009836),(4195,6635,0.001623,0.009864),(4195,6645,0.001637,0.009865),(4195,6655,0.00165,0.009855),(4195,6665,0.001662,0.009845),(4195,6675,0.001674,0.009834),(4195,6685,0.001685,0.009824),(4195,6695,0.001695,0.009813),(4195,6705,0.001705,0.009802),(4195,6715,0.001714,0.00979),(4195,6725,0.001723,0.009779),(4195,6735,0.001731,0.009768),(4195,6745,0.001739,0.009756),(4195,6755,0.001746,0.009744),(4195,6765,0.001753,0.009733),(4195,6775,0.00176,0.009721),(4195,6785,0.001766,0.009709),(4195,6795,0.001771,0.009698),(4195,6805,0.001777,0.009686),(4195,6815,0.001782,0.009675),(4195,6825,0.001787,0.009663),(4195,6835,0.001791,0.009651),(4195,6845,0.001796,0.00964),(4195,6855,0.001799,0.009628),(4195,6865,0.001803,0.009617),(4195,6875,0.001806,0.009606),(4195,6885,0.001809,0.009595),(4195,6895,0.001812,0.009583),(4195,6905,0.001815,0.009572),(4195,6915,0.001818,0.009561),(4195,6925,0.00182,0.00955),(4195,6935,0.001822,0.009539),(4195,6945,0.001824,0.009528),(4195,6955,0.001826,0.009517),(4195,6965,0.001828,0.009507),(4195,6975,0.00183,0.009496),(4195,6985,0.001831,0.009486),(4205,5,2.9e-05,-0.00258),(4205,15,8.8e-05,-0.002582),(4205,25,0.000146,-0.002583),(4205,35,0.000205,-0.002586),(4205,45,0.000264,-0.00259),(4205,55,0.000322,-0.002596),(4205,65,0.000381,-0.002602),(4205,75,0.00044,-0.002609),(4205,85,0.000499,-0.002617),(4205,95,0.000558,-0.002628),(4205,105,0.000618,-0.002639),(4205,115,0.000678,-0.002649),(4205,125,0.000738,-0.002663),(4205,135,0.000798,-0.002678),(4205,145,0.000859,-0.002693),(4205,155,0.00092,-0.002708),(4205,165,0.000981,-0.002726),(4205,175,0.001042,-0.002746),(4205,185,0.001104,-0.002766),(4205,195,0.001167,-0.002786),(4205,205,0.001229,-0.002809),(4205,215,0.001292,-0.002834),(4205,225,0.001356,-0.002859),(4205,235,0.00142,-0.002884),(4205,245,0.001484,-0.002913),(4205,255,0.001549,-0.002944),(4205,265,0.001615,-0.002975),(4205,275,0.001682,-0.003006),(4205,285,0.001749,-0.003041),(4205,295,0.001815,-0.003078),(4205,305,0.001884,-0.003115),(4205,315,0.001953,-0.003152),(4205,325,0.002022,-0.003195),(4205,335,0.002092,-0.003239),(4205,345,0.002164,-0.003283),(4205,355,0.002236,-0.003327),(4205,365,0.002308,-0.003378),(4205,375,0.002381,-0.00343),(4205,385,0.002456,-0.003482),(4205,395,0.002532,-0.003534),(4205,405,0.002608,-0.003595),(4205,415,0.002684,-0.003656),(4205,425,0.002763,-0.003718),(4205,435,0.002843,-0.003779),(4205,445,0.002923,-0.00385),(4205,455,0.003003,-0.003922),(4205,465,0.003086,-0.003994),(4205,475,0.00317,-0.004066),(4205,485,0.003254,-0.004149),(4205,495,0.003338,-0.004233),(4205,505,0.003427,-0.004317),(4205,515,0.003515,-0.004401),(4205,525,0.003604,-0.004499),(4205,535,0.003693,-0.004597),(4205,545,0.003787,-0.004695),(4205,555,0.003881,-0.004795),(4205,565,0.003975,-0.00491),(4205,575,0.004069,-0.005025),(4205,585,0.004168,-0.00514),(4205,595,0.004268,-0.005257),(4205,605,0.004367,-0.005391),(4205,615,0.004467,-0.005526),(4205,625,0.004572,-0.005661),(4205,635,0.004677,-0.005798),(4205,645,0.004781,-0.005956),(4205,655,0.004887,-0.006114),(4205,665,0.004997,-0.006272),(4205,675,0.005108,-0.006435),(4205,685,0.005218,-0.00662),(4205,695,0.005329,-0.006806),(4205,705,0.005444,-0.006991),(4205,715,0.005559,-0.007184),(4205,725,0.005674,-0.007402),(4205,735,0.00579,-0.00762),(4205,745,0.005909,-0.007839),(4205,755,0.006028,-0.008067),(4205,765,0.006147,-0.008325),(4205,775,0.006266,-0.008582),(4205,785,0.006386,-0.00884),(4205,795,0.006506,-0.009111),(4205,805,0.006627,-0.009415),(4205,815,0.006746,-0.009719),(4205,825,0.006865,-0.010023),(4205,835,0.006983,-0.010346),(4205,845,0.007102,-0.010706),(4205,855,0.007217,-0.011067),(4205,865,0.007328,-0.011427),(4205,875,0.007439,-0.011812),(4205,885,0.00755,-0.012238),(4205,895,0.007655,-0.012665),(4205,905,0.00775,-0.013092),(4205,915,0.007845,-0.013551),(4205,925,0.007939,-0.014056),(4205,935,0.008022,-0.014561),(4205,945,0.008087,-0.015066),(4205,955,0.008152,-0.015612),(4205,965,0.008218,-0.016208),(4205,975,0.00826,-0.016804),(4205,985,0.008277,-0.0174),(4205,995,0.008294,-0.018047),(4205,1005,0.008311,-0.018746),(4205,1015,0.008288,-0.019445),(4205,1025,0.008229,-0.020144),(4205,1035,0.008169,-0.020903),(4205,1045,0.00811,-0.021715),(4205,1055,0.007987,-0.022526),(4205,1065,0.007814,-0.023338),(4205,1075,0.00764,-0.024215),(4205,1085,0.007466,-0.025141),(4205,1095,0.007196,-0.026067),(4205,1105,0.006859,-0.026993),(4205,1115,0.006521,-0.027982),(4205,1125,0.006183,-0.02901),(4205,1135,0.005705,-0.030038),(4205,1145,0.005143,-0.031066),(4205,1155,0.004581,-0.032135),(4205,1165,0.004019,-0.033226),(4205,1175,0.003264,-0.034317),(4205,1185,0.002413,-0.035409),(4205,1195,0.001563,-0.036491),(4205,1205,0.000712,-0.03757),(4205,1215,-0.00038,-0.038648),(4205,1225,-0.001571,-0.039727),(4205,1235,-0.002762,-0.040709),(4205,1245,-0.003952,-0.041655),(4205,1255,-0.005404,-0.042601),(4205,1265,-0.006944,-0.043547),(4205,1275,-0.008483,-0.04427),(4205,1285,-0.010023,-0.044927),(4205,1295,-0.011783,-0.045583),(4205,1305,-0.013603,-0.04624),(4205,1315,-0.015423,-0.04654),(4205,1325,-0.017242,-0.046755),(4205,1335,-0.019159,-0.04697),(4205,1345,-0.021097,-0.047186),(4205,1355,-0.023034,-0.046967),(4205,1365,-0.024972,-0.04667),(4205,1375,-0.026826,-0.046374),(4205,1385,-0.028667,-0.046077),(4205,1395,-0.030509,-0.045389),(4205,1405,-0.032351,-0.044651),(4205,1415,-0.033957,-0.043913),(4205,1425,-0.035539,-0.043175),(4205,1435,-0.037122,-0.04217),(4205,1445,-0.038704,-0.041144),(4205,1455,-0.039975,-0.040117),(4205,1465,-0.041228,-0.039091),(4205,1475,-0.042481,-0.03794),(4205,1485,-0.043734,-0.036784),(4205,1495,-0.04467,-0.035628),(4205,1505,-0.045602,-0.034472),(4205,1515,-0.046534,-0.03331),(4205,1525,-0.047459,-0.032148),(4205,1535,-0.04812,-0.030985),(4205,1545,-0.048782,-0.029826),(4205,1555,-0.049443,-0.028736),(4205,1565,-0.050091,-0.027646),(4205,1575,-0.050545,-0.026555),(4205,1585,-0.050999,-0.025474),(4205,1595,-0.051454,-0.024497),(4205,1605,-0.051893,-0.02352),(4205,1615,-0.0522,-0.022543),(4205,1625,-0.052507,-0.021582),(4205,1635,-0.052814,-0.020735),(4205,1645,-0.053107,-0.019889),(4205,1655,-0.053316,-0.019042),(4205,1665,-0.053525,-0.018217),(4205,1675,-0.053734,-0.017503),(4205,1685,-0.053931,-0.016789),(4205,1695,-0.054079,-0.016075),(4205,1705,-0.054226,-0.015387),(4205,1715,-0.054374,-0.014801),(4205,1725,-0.054514,-0.014215),(4205,1735,-0.054626,-0.013629),(4205,1745,-0.054739,-0.013072),(4205,1755,-0.054851,-0.012608),(4205,1765,-0.054959,-0.012143),(4205,1775,-0.055055,-0.011678),(4205,1785,-0.05515,-0.011246),(4205,1795,-0.055246,-0.010897),(4205,1805,-0.055339,-0.010548),(4205,1815,-0.055429,-0.010199),(4205,1825,-0.055518,-0.009885),(4205,1835,-0.055607,-0.009647),(4205,1845,-0.055697,-0.009409),(4205,1855,-0.055787,-0.009171),(4205,1865,-0.055877,-0.008973),(4205,1875,-0.055966,-0.008844),(4205,1885,-0.056057,-0.008716),(4205,1895,-0.056151,-0.008587),(4205,1905,-0.056244,-0.008503),(4205,1915,-0.056337,-0.008485),(4205,1925,-0.056432,-0.008468),(4205,1935,-0.056528,-0.00845),(4205,1945,-0.056625,-0.008484),(4205,1955,-0.056721,-0.008582),(4205,1965,-0.056818,-0.008681),(4205,1975,-0.056916,-0.008779),(4205,1985,-0.057013,-0.008937),(4205,1995,-0.057111,-0.00916),(4205,2005,-0.057207,-0.009383),(4205,2015,-0.057301,-0.009606),(4205,2025,-0.057395,-0.009899),(4205,2035,-0.05749,-0.010258),(4205,2045,-0.057579,-0.010617),(4205,2055,-0.057664,-0.010975),(4205,2065,-0.057748,-0.011419),(4205,2075,-0.057833,-0.01193),(4205,2085,-0.057907,-0.012441),(4205,2095,-0.057974,-0.012951),(4205,2105,-0.05804,-0.013565),(4205,2115,-0.058107,-0.014248),(4205,2125,-0.058155,-0.01493),(4205,2135,-0.058192,-0.015613),(4205,2145,-0.058229,-0.016421),(4205,2155,-0.058266,-0.017299),(4205,2165,-0.058274,-0.018178),(4205,2175,-0.058267,-0.019056),(4205,2185,-0.05826,-0.020088),(4205,2195,-0.058254,-0.021192),(4205,2205,-0.058203,-0.022295),(4205,2215,-0.058133,-0.023399),(4205,2225,-0.058063,-0.024689),(4205,2235,-0.057994,-0.026053),(4205,2245,-0.057859,-0.027416),(4205,2255,-0.057703,-0.02878),(4205,2265,-0.057546,-0.03037),(4205,2275,-0.057389,-0.032033),(4205,2285,-0.05714,-0.033696),(4205,2295,-0.056864,-0.035359),(4205,2305,-0.056589,-0.037297),(4205,2315,-0.056314,-0.039304),(4205,2325,-0.055909,-0.041311),(4205,2335,-0.055475,-0.043319),(4205,2345,-0.055041,-0.045655),(4205,2355,-0.054607,-0.048057),(4205,2365,-0.053993,-0.050458),(4205,2375,-0.053348,-0.052859),(4205,2385,-0.052704,-0.055653),(4205,2395,-0.052059,-0.058501),(4205,2405,-0.051166,-0.06135),(4205,2415,-0.050245,-0.064199),(4205,2425,-0.049324,-0.067508),(4205,2435,-0.048402,-0.070858),(4205,2445,-0.047143,-0.074209),(4205,2455,-0.04586,-0.07756),(4205,2465,-0.044577,-0.08144),(4205,2475,-0.043295,-0.085345),(4205,2485,-0.041558,-0.089249),(4205,2495,-0.039809,-0.093154),(4205,2505,-0.03806,-0.097651),(4205,2515,-0.036303,-0.10215),(4205,2525,-0.03396,-0.10665),(4205,2535,-0.031618,-0.11117),(4205,2545,-0.029276,-0.11629),(4205,2555,-0.026892,-0.12141),(4205,2565,-0.023806,-0.12653),(4205,2575,-0.020719,-0.13169),(4205,2585,-0.017632,-0.13742),(4205,2595,-0.014459,-0.14315),(4205,2605,-0.01046,-0.14888),(4205,2615,-0.006461,-0.15467),(4205,2625,-0.002462,-0.16096),(4205,2635,0.001683,-0.16725),(4205,2645,0.006768,-0.17354),(4205,2655,0.011854,-0.1799),(4205,2665,0.01694,-0.18664),(4205,2675,0.022241,-0.19338),(4205,2685,0.028573,-0.20012),(4205,2695,0.034905,-0.20691),(4205,2705,0.041236,-0.21393),(4205,2715,0.047858,-0.22095),(4205,2725,0.055553,-0.22798),(4205,2735,0.063249,-0.23501),(4205,2745,0.070944,-0.24209),(4205,2755,0.078995,-0.24917),(4205,2765,0.088102,-0.25625),(4205,2775,0.09721,-0.26328),(4205,2785,0.10632,-0.27018),(4205,2795,0.11583,-0.27707),(4205,2805,0.12631,-0.28396),(4205,2815,0.1368,-0.29072),(4205,2825,0.14728,-0.29719),(4205,2835,0.15819,-0.30366),(4205,2845,0.16995,-0.31013),(4205,2855,0.1817,-0.31638),(4205,2865,0.19346,-0.32223),(4205,2875,0.20563,-0.32808),(4205,2885,0.2185,-0.33393),(4205,2895,0.23138,-0.33948),(4205,2905,0.24425,-0.34457),(4205,2915,0.25751,-0.34965),(4205,2925,0.27133,-0.35474),(4205,2935,0.28514,-0.35946),(4205,2945,0.29896,-0.36369),(4205,2955,0.31312,-0.36792),(4205,2965,0.3277,-0.37215),(4205,2975,0.34228,-0.37594),(4205,2985,0.35686,-0.37926),(4205,2995,0.37173,-0.38257),(4205,3005,0.38692,-0.38588),(4205,3015,0.4021,-0.38871),(4205,3025,0.41728,-0.39106),(4205,3035,0.4327,-0.39342),(4205,3045,0.44834,-0.39578),(4205,3055,0.46397,-0.39759),(4205,3065,0.47961,-0.39896),(4205,3075,0.49543,-0.40034),(4205,3085,0.51138,-0.40171),(4205,3095,0.52733,-0.40248),(4205,3105,0.54328,-0.40283),(4205,3115,0.55935,-0.40319),(4205,3125,0.57549,-0.40354),(4205,3135,0.59164,-0.40323),(4205,3145,0.60778,-0.40252),(4205,3155,0.62397,-0.40182),(4205,3165,0.64017,-0.40111),(4205,3175,0.65638,-0.39965),(4205,3185,0.67259,-0.39783),(4205,3195,0.68876,-0.396),(4205,3205,0.7049,-0.39417),(4205,3215,0.72104,-0.3915),(4205,3225,0.73718,-0.38848),(4205,3235,0.75317,-0.38546),(4205,3245,0.7691,-0.38244),(4205,3255,0.78503,-0.37846),(4205,3265,0.80096,-0.37415),(4205,3275,0.81659,-0.36985),(4205,3285,0.83213,-0.36554),(4205,3295,0.84768,-0.36014),(4205,3305,0.86322,-0.35445),(4205,3315,0.87828,-0.34875),(4205,3325,0.89323,-0.34306),(4205,3335,0.90817,-0.33613),(4205,3345,0.92312,-0.32894),(4205,3355,0.93734,-0.32175),(4205,3365,0.95144,-0.31456),(4205,3375,0.96553,-0.30599),(4205,3385,0.97962,-0.2972),(4205,3395,0.99269,-0.28842),(4205,3405,1.0056,-0.27964),(4205,3415,1.0185,-0.26936),(4205,3425,1.0315,-0.25892),(4205,3435,1.043,-0.24848),(4205,3445,1.0544,-0.23805),(4205,3455,1.0658,-0.22604),(4205,3465,1.0772,-0.21395),(4205,3475,1.0867,-0.20186),(4205,3485,1.0961,-0.18976),(4205,3495,1.1056,-0.17613),(4205,3505,1.115,-0.16247),(4205,3515,1.1221,-0.14882),(4205,3525,1.1291,-0.13513),(4205,3535,1.1362,-0.12013),(4205,3545,1.1431,-0.10514),(4205,3555,1.1473,-0.090141),(4205,3565,1.1516,-0.075084),(4205,3575,1.1558,-0.059127),(4205,3585,1.1598,-0.043171),(4205,3595,1.1609,-0.027214),(4205,3605,1.162,-0.011211),(4205,3615,1.1631,0.005195),(4205,3625,1.1637,0.021601),(4205,3635,1.1615,0.038007),(4205,3645,1.1593,0.054394),(4205,3655,1.1571,0.070662),(4205,3665,1.1544,0.086931),(4205,3675,1.1489,0.1032),(4205,3685,1.1435,0.11934),(4205,3695,1.138,0.13492),(4205,3705,1.132,0.1505),(4205,3715,1.1235,0.16608),(4205,3725,1.1151,0.18141),(4205,3735,1.1066,0.19588),(4205,3745,1.0975,0.21034),(4205,3755,1.0865,0.22481),(4205,3765,1.0754,0.23892),(4205,3775,1.0644,0.25203),(4205,3785,1.0527,0.26514),(4205,3795,1.0395,0.27824),(4205,3805,1.0263,0.29091),(4205,3815,1.0131,0.30257),(4205,3825,0.99926,0.31423),(4205,3835,0.98427,0.32589),(4205,3845,0.96927,0.33706),(4205,3855,0.95427,0.34731),(4205,3865,0.93876,0.35755),(4205,3875,0.92236,0.36779),(4205,3885,0.90595,0.37755),(4205,3895,0.88954,0.3865),(4205,3905,0.87269,0.39545),(4205,3915,0.85519,0.4044),(4205,3925,0.83768,0.41288),(4205,3935,0.82018,0.4207),(4205,3945,0.80231,0.42853),(4205,3955,0.78399,0.43635),(4205,3965,0.76567,0.44373),(4205,3975,0.74734,0.45058),(4205,3985,0.72874,0.45744),(4205,3995,0.70984,0.4643),(4205,4005,0.69094,0.47077),(4205,4015,0.67204,0.47686),(4205,4025,1.0404,0.48295),(4205,4035,1.4466,0.4873),(4205,4045,1.8529,0.488),(4205,4055,2.1429,0.4887),(4205,4065,2.3905,0.48891),(4205,4075,2.638,0.48619),(4205,4085,2.7456,0.48348),(4205,4095,2.7408,0.48077),(4205,4105,2.7359,0.47769),(4205,4115,2.6357,0.47458),(4205,4125,2.3778,0.47148),(4205,4135,2.1198,0.47038),(4205,4145,1.8587,0.46982),(4205,4155,1.5852,0.46925),(4205,4165,1.3117,0.47031),(4205,4175,1.0537,0.4724),(4205,4185,1.5594,0.4745),(4205,4195,2.0651,0.47386),(4205,4205,2.5709,0.46962),(4205,4215,2.6476,0.46538),(4205,4225,2.6436,0.46109),(4205,4235,2.6396,0.45666),(4205,4245,2.6353,0.45224),(4205,4255,2.6307,0.44778),(4205,4265,2.6261,0.44285),(4205,4275,2.2913,0.43792),(4205,4285,1.6059,0.433),(4205,4295,0.92048,0.43504),(4205,4305,0.62439,0.4379),(4205,4315,1.2073,0.44076),(4205,4325,1.7903,0.43876),(4205,4335,2.3085,0.43485),(4205,4345,2.3883,0.43095),(4205,4355,2.4681,0.42647),(4205,4365,2.548,0.4215),(4205,4375,2.5491,0.41653),(4205,4385,2.5461,0.41158),(4205,4395,2.5431,0.40667),(4205,4405,2.2104,0.40176),(4205,4415,1.7806,0.39766),(4205,4425,1.3507,0.39719),(4205,4435,1.1669,0.39673),(4205,4445,1.1512,0.39626),(4205,4455,1.1354,0.39586),(4205,4465,1.3029,0.39546),(4205,4475,1.7278,0.39505),(4205,4485,2.1526,0.39077),(4205,4495,2.4759,0.38568),(4205,4505,2.4735,0.38059),(4205,4515,2.4711,0.37552),(4205,4525,2.4637,0.37047),(4205,4535,2.3776,0.36542),(4205,4545,2.2915,0.36076),(4205,4555,2.2054,0.35654),(4205,4565,1.6522,0.35233),(4205,4575,1.036,0.34988),(4205,4585,0.41974,0.3517),(4205,4595,0.71637,0.35353),(4205,4605,1.3987,0.35463),(4205,4615,2.081,0.35007),(4205,4625,2.4045,0.34552),(4205,4635,2.4031,0.34096),(4205,4645,2.4016,0.33666),(4205,4655,2.4,0.33237),(4205,4665,2.3981,0.32809),(4205,4675,2.3962,0.32381),(4205,4685,2.3081,0.31952),(4205,4695,1.7939,0.31524),(4205,4705,1.2798,0.3134),(4205,4715,0.7656,0.31335),(4205,4725,1.0043,0.31329),(4205,4735,1.2505,0.31245),(4205,4745,1.4967,0.31042),(4205,4755,1.7495,0.3084),(4205,4765,2.0038,0.30589),(4205,4775,2.2581,0.3017),(4205,4785,2.3504,0.2975),(4205,4795,2.3491,0.29331),(4205,4805,2.3477,0.28912),(4205,4815,2.2298,0.28493),(4205,4825,1.9727,0.28075),(4205,4835,1.7155,0.27828),(4205,4845,1.4552,0.27608),(4205,4855,1.1865,0.27387),(4205,4865,0.91775,0.27313),(4205,4875,0.7267,0.27305),(4205,4885,1.2424,0.27297),(4205,4895,1.7581,0.2709),(4205,4905,2.2738,0.26692),(4205,4915,2.3137,0.26293),(4205,4925,2.3127,0.25896),(4205,4935,2.3117,0.255),(4205,4945,2.3104,0.25104),(4205,4955,2.309,0.24707),(4205,4965,2.3077,0.24299),(4205,4975,1.918,0.23891),(4205,4985,1.2285,0.23482),(4205,4995,0.53899,0.23564),(4205,5005,0.31277,0.23659),(4205,5015,0.82303,0.23753),(4205,5025,1.3333,0.23613),(4205,5035,1.7727,0.23414),(4205,5045,1.9424,0.23215),(4205,5055,2.112,0.22961),(4205,5065,2.2765,0.22673),(4205,5075,2.2756,0.22385),(4205,5085,2.2746,0.22097),(4205,5095,2.2737,0.21807),(4205,5105,1.9805,0.21518),(4205,5115,1.6363,0.21273),(4205,5125,1.292,0.21155),(4205,5135,1.1164,0.21038),(4205,5145,1.0227,0.20925),(4205,5155,0.92889,0.20876),(4205,5165,1.0945,0.20826),(4205,5175,1.5246,0.20776),(4205,5185,1.9547,0.20571),(4205,5195,2.2481,0.20349),(4205,5205,2.2471,0.20127),(4205,5215,2.246,0.19904),(4205,5225,2.2333,0.19681),(4205,5235,2.1482,0.19457),(4205,5245,2.0631,0.19243),(4205,5255,1.978,0.19039),(4205,5265,1.3876,0.18834),(4205,5275,0.77641,0.18715),(4205,5285,0.16519,0.18741),(4205,5295,0.56268,0.18768),(4205,5305,1.2411,0.18753),(4205,5315,1.9195,0.18564),(4205,5325,2.1876,0.18374),(4205,5335,2.1869,0.18185),(4205,5345,2.1861,0.17989),(4205,5355,2.1852,0.17793),(4205,5365,2.1842,0.17596),(4205,5375,2.1832,0.17389),(4205,5385,2.0569,0.1718),(4205,5395,1.5494,0.16971),(4205,5405,1.042,0.16872),(4205,5415,0.58706,0.1683),(4205,5425,0.83864,0.16788),(4205,5435,1.0902,0.16649),(4205,5445,1.3418,0.16406),(4205,5455,1.5946,0.16163),(4205,5465,1.8475,0.15867),(4205,5475,2.1004,0.15451),(4205,5485,2.1726,0.15034),(4205,5495,2.172,0.14617),(4205,5505,2.1714,0.14191),(4205,5515,2.1708,0.13765),(4205,5525,2.1699,0.13339),(4205,5535,2.1691,0.12933),(4205,5545,2.1681,0.12528),(4205,5555,2.1667,0.12123),(4205,5565,2.1653,0.11762),(4205,5575,2.1638,0.11414),(4205,5585,2.1617,0.11066),(4205,5595,2.1595,0.10769),(4205,5605,2.1574,0.10506),(4205,5615,2.1545,0.10243),(4205,5625,2.1517,0.10019),(4205,5635,2.1488,0.09852),(4205,5645,2.1454,0.096848),(4205,5655,2.142,0.095392),(4205,5665,2.1386,0.094645),(4205,5675,2.1349,0.093898),(4205,5685,2.131,0.093196),(4205,5695,2.1272,0.093262),(4205,5705,2.1233,0.093328),(4205,5715,2.1193,0.093395),(4205,5725,2.1154,0.094057),(4205,5735,2.1114,0.094803),(4205,5745,2.1074,0.095549),(4205,5755,2.1034,0.096649),(4205,5765,2.0995,0.097902),(4205,5775,2.0956,0.099155),(4205,5785,2.0918,0.10061),(4205,5795,2.088,0.10226),(4205,5805,2.0844,0.1039),(4205,5815,2.0808,0.10565),(4205,5825,2.0772,0.1076),(4205,5835,2.0739,0.10955),(4205,5845,2.0706,0.11154),(4205,5855,2.0674,0.11375),(4205,5865,2.0643,0.11595),(4205,5875,2.0614,0.11816),(4205,5885,2.0585,0.12058),(4205,5895,2.0558,0.12301),(4205,5905,2.0533,0.12543),(4205,5915,2.0508,0.12799),(4205,5925,2.0484,0.13057),(4205,5935,2.0464,0.13316),(4205,5945,2.0443,0.1358),(4205,5955,2.0423,0.13847),(4205,5965,2.0406,0.14115),(4205,5975,2.0389,0.14382),(4205,5985,2.0372,0.14649),(4205,5995,1.5568,0.14916),(4205,6005,0.99931,0.15117),(4205,6015,0.44181,0.1514),(4205,6025,0.63324,0.15163),(4205,6035,1.172,0.15121),(4205,6045,1.7108,0.14451),(4205,6055,2.0811,0.13782),(4205,6065,2.2863,0.13112),(4205,6075,2.4916,0.12319),(4205,6085,2.6286,0.11515),(4205,6095,2.6253,0.10711),(4205,6105,2.622,0.10024),(4205,6115,2.6184,0.093787),(4205,6125,2.6135,0.087336),(4205,6135,2.6086,0.081928),(4205,6145,2.6037,0.077342),(4205,6155,2.5979,0.072757),(4205,6165,2.5921,0.068849),(4205,6175,2.5863,0.06604),(4205,6185,2.5803,0.063231),(4205,6195,2.5743,0.060694),(4205,6205,2.5683,0.059224),(4205,6215,2.5624,0.057754),(4205,6225,2.5567,0.056305),(4205,6235,2.5509,0.055695),(4205,6245,2.5454,0.055084),(4205,6255,2.5403,0.054474),(4205,6265,2.5352,0.054192),(4205,6275,2.5302,0.053969),(4205,6285,2.5258,0.053747),(4205,6295,2.5215,0.053535),(4205,6305,2.5172,0.053327),(4205,6315,2.5136,0.05312),(4205,6325,2.51,0.052839),(4205,6335,2.5063,0.05248),(4205,6345,2.5034,0.052122),(4205,6355,2.5005,0.051668),(4205,6365,2.4976,0.051005),(4205,6375,2.4952,0.050342),(4205,6385,2.4929,0.049643),(4205,6395,2.4907,0.048712),(4205,6405,2.4887,0.04778),(4205,6415,2.487,0.046849),(4205,6425,2.4852,0.045554),(4205,6435,2.4836,0.044243),(4205,6445,2.4824,0.042931),(4205,6455,2.4811,0.041352),(4205,6465,2.4798,0.039696),(4205,6475,2.4789,0.03804),(4205,6485,2.4779,0.036249),(4205,6495,2.477,0.034368),(4205,6505,2.4764,0.032487),(4205,6515,2.4757,0.0305),(4205,6525,2.4751,0.028367),(4205,6535,2.4747,0.026234),(4205,6545,2.4743,0.02406),(4205,6555,2.4739,0.021759),(4205,6565,2.4737,0.019458),(4205,6575,2.4735,0.017154),(4205,6585,2.4734,0.014807),(4205,6595,2.1037,0.012461),(4205,6605,1.326,0.010114),(4205,6615,0.54832,0.009858),(4205,6625,0.001615,0.00987),(4205,6635,0.001629,0.009882),(4205,6645,0.001643,0.009878),(4205,6655,0.001656,0.009868),(4205,6665,0.001668,0.009857),(4205,6675,0.00168,0.009846),(4205,6685,0.001692,0.009834),(4205,6695,0.001702,0.009823),(4205,6705,0.001712,0.009811),(4205,6715,0.001722,0.009799),(4205,6725,0.00173,0.009788),(4205,6735,0.001738,0.009776),(4205,6745,0.001746,0.009764),(4205,6755,0.001754,0.009752),(4205,6765,0.00176,0.00974),(4205,6775,0.001767,0.009728),(4205,6785,0.001773,0.009715),(4205,6795,0.001779,0.009703),(4205,6805,0.001784,0.009691),(4205,6815,0.00179,0.009679),(4205,6825,0.001794,0.009668),(4205,6835,0.001798,0.009656),(4205,6845,0.001803,0.009644),(4205,6855,0.001806,0.009632),(4205,6865,0.00181,0.009621),(4205,6875,0.001813,0.009609),(4205,6885,0.001816,0.009597),(4205,6895,0.001819,0.009586),(4205,6905,0.001822,0.009575),(4205,6915,0.001824,0.009563),(4205,6925,0.001827,0.009552),(4205,6935,0.001829,0.009541),(4205,6945,0.001831,0.00953),(4205,6955,0.001832,0.009519),(4205,6965,0.001834,0.009508),(4205,6975,0.001836,0.009498),(4205,6985,0.001837,0.009487),(4215,5,3e-05,-0.002521),(4215,15,8.9e-05,-0.002523),(4215,25,0.000148,-0.002524),(4215,35,0.000208,-0.002527),(4215,45,0.000267,-0.002531),(4215,55,0.000327,-0.002537),(4215,65,0.000387,-0.002543),(4215,75,0.000447,-0.002549),(4215,85,0.000507,-0.002558),(4215,95,0.000567,-0.002568),(4215,105,0.000627,-0.002579),(4215,115,0.000688,-0.002589),(4215,125,0.000749,-0.002602),(4215,135,0.00081,-0.002617),(4215,145,0.000871,-0.002632),(4215,155,0.000933,-0.002647),(4215,165,0.000995,-0.002664),(4215,175,0.001057,-0.002684),(4215,185,0.00112,-0.002703),(4215,195,0.001184,-0.002723),(4215,205,0.001248,-0.002746),(4215,215,0.001311,-0.00277),(4215,225,0.001376,-0.002795),(4215,235,0.001442,-0.002819),(4215,245,0.001508,-0.002848),(4215,255,0.001574,-0.002878),(4215,265,0.001641,-0.002908),(4215,275,0.001709,-0.002939),(4215,285,0.001777,-0.002974),(4215,295,0.001845,-0.00301),(4215,305,0.001915,-0.003046),(4215,315,0.001986,-0.003082),(4215,325,0.002057,-0.003124),(4215,335,0.002128,-0.003168),(4215,345,0.002201,-0.003211),(4215,355,0.002275,-0.003254),(4215,365,0.00235,-0.003304),(4215,375,0.002424,-0.003355),(4215,385,0.002501,-0.003407),(4215,395,0.002579,-0.003458),(4215,405,0.002657,-0.003517),(4215,415,0.002735,-0.003578),(4215,425,0.002816,-0.003638),(4215,435,0.002899,-0.003698),(4215,445,0.002981,-0.003769),(4215,455,0.003063,-0.003839),(4215,465,0.003149,-0.00391),(4215,475,0.003236,-0.003981),(4215,485,0.003323,-0.004063),(4215,495,0.00341,-0.004145),(4215,505,0.003502,-0.004228),(4215,515,0.003593,-0.004311),(4215,525,0.003685,-0.004408),(4215,535,0.003777,-0.004504),(4215,545,0.003875,-0.004601),(4215,555,0.003973,-0.004699),(4215,565,0.004071,-0.004813),(4215,575,0.004169,-0.004926),(4215,585,0.004273,-0.00504),(4215,595,0.004377,-0.005155),(4215,605,0.004481,-0.005288),(4215,615,0.004585,-0.005422),(4215,625,0.004696,-0.005555),(4215,635,0.004806,-0.005691),(4215,645,0.004916,-0.005847),(4215,655,0.005028,-0.006004),(4215,665,0.005144,-0.00616),(4215,675,0.005261,-0.006321),(4215,685,0.005378,-0.006506),(4215,695,0.005496,-0.00669),(4215,705,0.005619,-0.006874),(4215,715,0.005742,-0.007065),(4215,725,0.005865,-0.007282),(4215,735,0.00599,-0.0075),(4215,745,0.006118,-0.007717),(4215,755,0.006246,-0.007945),(4215,765,0.006374,-0.008201),(4215,775,0.006504,-0.008458),(4215,785,0.006635,-0.008715),(4215,795,0.006767,-0.008986),(4215,805,0.006899,-0.00929),(4215,815,0.007031,-0.009595),(4215,825,0.007163,-0.009899),(4215,835,0.007295,-0.010223),(4215,845,0.007428,-0.010585),(4215,855,0.007558,-0.010947),(4215,865,0.007686,-0.011308),(4215,875,0.007814,-0.011696),(4215,885,0.007941,-0.012126),(4215,895,0.008064,-0.012557),(4215,905,0.008178,-0.012988),(4215,915,0.008293,-0.013452),(4215,925,0.008408,-0.013964),(4215,935,0.008511,-0.014476),(4215,945,0.0086,-0.014988),(4215,955,0.008689,-0.015544),(4215,965,0.008778,-0.016152),(4215,975,0.008846,-0.01676),(4215,985,0.008889,-0.017368),(4215,995,0.008933,-0.01803),(4215,1005,0.008977,-0.018748),(4215,1015,0.008984,-0.019467),(4215,1025,0.008954,-0.020185),(4215,1035,0.008925,-0.020968),(4215,1045,0.008895,-0.021808),(4215,1055,0.008804,-0.022649),(4215,1065,0.008662,-0.023489),(4215,1075,0.008519,-0.024402),(4215,1085,0.008377,-0.02537),(4215,1095,0.008137,-0.026338),(4215,1105,0.007829,-0.027306),(4215,1115,0.00752,-0.028346),(4215,1125,0.007212,-0.029432),(4215,1135,0.006757,-0.030517),(4215,1145,0.006215,-0.031603),(4215,1155,0.005674,-0.032741),(4215,1165,0.005132,-0.033907),(4215,1175,0.004385,-0.035073),(4215,1185,0.003536,-0.036239),(4215,1195,0.002687,-0.037405),(4215,1205,0.001837,-0.038573),(4215,1215,0.000725,-0.03974),(4215,1225,-0.000496,-0.040907),(4215,1235,-0.001717,-0.041979),(4215,1245,-0.002938,-0.043016),(4215,1255,-0.004451,-0.044053),(4215,1265,-0.006063,-0.04509),(4215,1275,-0.007675,-0.045892),(4215,1285,-0.009287,-0.046622),(4215,1295,-0.011153,-0.047352),(4215,1305,-0.013087,-0.048082),(4215,1315,-0.015021,-0.048421),(4215,1325,-0.016955,-0.048667),(4215,1335,-0.019002,-0.048913),(4215,1345,-0.021074,-0.049159),(4215,1355,-0.023145,-0.048924),(4215,1365,-0.025217,-0.048602),(4215,1375,-0.027188,-0.04828),(4215,1385,-0.029143,-0.047958),(4215,1395,-0.031099,-0.047206),(4215,1405,-0.033054,-0.0464),(4215,1415,-0.034736,-0.045594),(4215,1425,-0.03639,-0.044787),(4215,1435,-0.038044,-0.043697),(4215,1445,-0.039698,-0.042585),(4215,1455,-0.041,-0.041472),(4215,1465,-0.042281,-0.040359),(4215,1475,-0.043563,-0.039124),(4215,1485,-0.044844,-0.037885),(4215,1495,-0.045778,-0.036645),(4215,1505,-0.046706,-0.035405),(4215,1515,-0.047634,-0.034173),(4215,1525,-0.048555,-0.032941),(4215,1535,-0.049193,-0.031708),(4215,1545,-0.049831,-0.03048),(4215,1555,-0.05047,-0.029336),(4215,1565,-0.051094,-0.028192),(4215,1575,-0.051515,-0.027049),(4215,1585,-0.051937,-0.025916),(4215,1595,-0.052358,-0.024901),(4215,1605,-0.052764,-0.023886),(4215,1615,-0.053035,-0.022872),(4215,1625,-0.053306,-0.021875),(4215,1635,-0.053577,-0.021003),(4215,1645,-0.053834,-0.020131),(4215,1655,-0.054008,-0.019259),(4215,1665,-0.054181,-0.018411),(4215,1675,-0.054354,-0.017681),(4215,1685,-0.054516,-0.016952),(4215,1695,-0.05463,-0.016222),(4215,1705,-0.054744,-0.01552),(4215,1715,-0.054857,-0.014926),(4215,1725,-0.054964,-0.014331),(4215,1735,-0.055045,-0.013736),(4215,1745,-0.055126,-0.013172),(4215,1755,-0.055207,-0.012703),(4215,1765,-0.055284,-0.012234),(4215,1775,-0.05535,-0.011765),(4215,1785,-0.055416,-0.01133),(4215,1795,-0.055482,-0.010979),(4215,1805,-0.055546,-0.010629),(4215,1815,-0.055607,-0.010278),(4215,1825,-0.055668,-0.009964),(4215,1835,-0.05573,-0.009726),(4215,1845,-0.055791,-0.009488),(4215,1855,-0.055853,-0.00925),(4215,1865,-0.055916,-0.009052),(4215,1875,-0.055978,-0.008924),(4215,1885,-0.056041,-0.008796),(4215,1895,-0.056107,-0.008669),(4215,1905,-0.056172,-0.008585),(4215,1915,-0.056238,-0.008568),(4215,1925,-0.056304,-0.008552),(4215,1935,-0.056372,-0.008535),(4215,1945,-0.056439,-0.008569),(4215,1955,-0.056507,-0.008667),(4215,1965,-0.056574,-0.008766),(4215,1975,-0.056641,-0.008864),(4215,1985,-0.056708,-0.009022),(4215,1995,-0.056775,-0.009243),(4215,2005,-0.056839,-0.009465),(4215,2015,-0.056899,-0.009686),(4215,2025,-0.05696,-0.009978),(4215,2035,-0.057021,-0.010334),(4215,2045,-0.057075,-0.01069),(4215,2055,-0.057122,-0.011046),(4215,2065,-0.057169,-0.011485),(4215,2075,-0.057217,-0.011991),(4215,2085,-0.057251,-0.012496),(4215,2095,-0.057275,-0.013002),(4215,2105,-0.0573,-0.013609),(4215,2115,-0.057324,-0.014283),(4215,2125,-0.057327,-0.014958),(4215,2135,-0.057316,-0.015632),(4215,2145,-0.057306,-0.01643),(4215,2155,-0.057295,-0.017296),(4215,2165,-0.057251,-0.018163),(4215,2175,-0.057189,-0.01903),(4215,2185,-0.057127,-0.020046),(4215,2195,-0.057066,-0.021133),(4215,2205,-0.056954,-0.02222),(4215,2215,-0.056822,-0.023307),(4215,2225,-0.056689,-0.024576),(4215,2235,-0.056557,-0.025916),(4215,2245,-0.056353,-0.027257),(4215,2255,-0.056124,-0.028597),(4215,2265,-0.055895,-0.030158),(4215,2275,-0.055666,-0.03179),(4215,2285,-0.055337,-0.033422),(4215,2295,-0.054979,-0.035054),(4215,2305,-0.054621,-0.036952),(4215,2315,-0.054263,-0.038918),(4215,2325,-0.053766,-0.040884),(4215,2335,-0.053239,-0.04285),(4215,2345,-0.052711,-0.045134),(4215,2355,-0.052183,-0.047481),(4215,2365,-0.051464,-0.049828),(4215,2375,-0.050713,-0.052174),(4215,2385,-0.049963,-0.054898),(4215,2395,-0.049212,-0.057676),(4215,2405,-0.048203,-0.060453),(4215,2415,-0.047163,-0.06323),(4215,2425,-0.046124,-0.066448),(4215,2435,-0.045084,-0.069706),(4215,2445,-0.043696,-0.072965),(4215,2455,-0.042285,-0.076223),(4215,2465,-0.040873,-0.079985),(4215,2475,-0.039461,-0.083771),(4215,2485,-0.037587,-0.087556),(4215,2495,-0.035701,-0.091342),(4215,2505,-0.033814,-0.095688),(4215,2515,-0.031919,-0.10004),(4215,2525,-0.029436,-0.10439),(4215,2535,-0.026953,-0.10876),(4215,2545,-0.024469,-0.11369),(4215,2555,-0.021945,-0.11862),(4215,2565,-0.018722,-0.12355),(4215,2575,-0.015499,-0.12852),(4215,2585,-0.012275,-0.13402),(4215,2595,-0.008967,-0.13952),(4215,2605,-0.004847,-0.14502),(4215,2615,-0.000726,-0.15058),(4215,2625,0.003395,-0.1566),(4215,2635,0.007657,-0.16262),(4215,2645,0.012835,-0.16864),(4215,2655,0.018014,-0.17472),(4215,2665,0.023192,-0.18115),(4215,2675,0.028579,-0.18758),(4215,2685,0.034961,-0.19401),(4215,2695,0.041342,-0.20049),(4215,2705,0.047723,-0.20717),(4215,2715,0.054383,-0.21386),(4215,2725,0.062073,-0.22054),(4215,2735,0.069762,-0.22723),(4215,2745,0.077451,-0.23397),(4215,2755,0.085482,-0.2407),(4215,2765,0.094522,-0.24743),(4215,2775,0.10356,-0.25411),(4215,2785,0.1126,-0.26067),(4215,2795,0.12203,-0.26722),(4215,2805,0.13239,-0.27377),(4215,2815,0.14275,-0.2802),(4215,2825,0.15311,-0.28635),(4215,2835,0.16387,-0.2925),(4215,2845,0.17545,-0.29866),(4215,2855,0.18704,-0.30461),(4215,2865,0.19862,-0.31018),(4215,2875,0.2106,-0.31575),(4215,2885,0.22326,-0.32132),(4215,2895,0.23592,-0.32661),(4215,2905,0.24858,-0.33146),(4215,2915,0.26162,-0.33631),(4215,2925,0.2752,-0.34117),(4215,2935,0.28878,-0.34567),(4215,2945,0.30236,-0.3497),(4215,2955,0.31627,-0.35374),(4215,2965,0.3306,-0.35778),(4215,2975,0.34492,-0.36141),(4215,2985,0.35925,-0.36457),(4215,2995,0.37387,-0.36773),(4215,3005,0.38878,-0.37089),(4215,3015,0.4037,-0.37358),(4215,3025,0.41862,-0.37583),(4215,3035,0.43377,-0.37807),(4215,3045,0.44913,-0.38031),(4215,3055,0.46449,-0.38203),(4215,3065,0.47985,-0.38333),(4215,3075,0.49539,-0.38462),(4215,3085,0.51106,-0.38591),(4215,3095,0.52673,-0.38662),(4215,3105,0.54239,-0.38693),(4215,3115,0.55817,-0.38724),(4215,3125,0.57402,-0.38755),(4215,3135,0.58987,-0.38721),(4215,3145,0.60572,-0.38648),(4215,3155,0.6216,-0.38576),(4215,3165,0.6375,-0.38504),(4215,3175,0.6534,-0.38359),(4215,3185,0.6693,-0.38178),(4215,3195,0.68514,-0.37998),(4215,3205,0.70096,-0.37817),(4215,3215,0.71678,-0.37554),(4215,3225,0.73259,-0.37258),(4215,3235,0.74824,-0.36961),(4215,3245,0.76382,-0.36665),(4215,3255,0.7794,-0.36276),(4215,3265,0.79499,-0.35855),(4215,3275,0.81025,-0.35435),(4215,3285,0.82543,-0.35014),(4215,3295,0.8406,-0.34488),(4215,3305,0.85577,-0.33934),(4215,3315,0.87044,-0.3338),(4215,3325,0.885,-0.32826),(4215,3335,0.89955,-0.32154),(4215,3345,0.9141,-0.31456),(4215,3355,0.92792,-0.30759),(4215,3365,0.9416,-0.30062),(4215,3375,0.95528,-0.29234),(4215,3385,0.96896,-0.28385),(4215,3395,0.9816,-0.27536),(4215,3405,0.9941,-0.26688),(4215,3415,1.0066,-0.25697),(4215,3425,1.0191,-0.24693),(4215,3435,1.0302,-0.23688),(4215,3445,1.0412,-0.22683),(4215,3455,1.0522,-0.21531),(4215,3465,1.0631,-0.2037),(4215,3475,1.0723,-0.1921),(4215,3485,1.0813,-0.18049),(4215,3495,1.0904,-0.16746),(4215,3505,1.0994,-0.1544),(4215,3515,1.1061,-0.14134),(4215,3525,1.1129,-0.12825),(4215,3535,1.1196,-0.11395),(4215,3545,1.1262,-0.099658),(4215,3555,1.1302,-0.085363),(4215,3565,1.1342,-0.071011),(4215,3575,1.1382,-0.055832),(4215,3585,1.142,-0.040654),(4215,3595,1.1429,-0.025475),(4215,3605,1.1439,-0.010254),(4215,3615,1.1449,0.005336),(4215,3625,1.1455,0.020926),(4215,3635,1.1433,0.036515),(4215,3645,1.1412,0.052087),(4215,3655,1.139,0.067553),(4215,3665,1.1363,0.083019),(4215,3675,1.131,0.098485),(4215,3685,1.1257,0.11384),(4215,3695,1.1205,0.12867),(4215,3705,1.1146,0.14351),(4215,3715,1.1064,0.15835),(4215,3725,1.0983,0.17296),(4215,3735,1.0901,0.18677),(4215,3745,1.0813,0.20059),(4215,3755,1.0706,0.21441),(4215,3765,1.0599,0.2279),(4215,3775,1.0492,0.24046),(4215,3785,1.0379,0.25302),(4215,3795,1.025,0.26557),(4215,3805,1.0122,0.27773),(4215,3815,0.99933,0.28894),(4215,3825,0.98591,0.30015),(4215,3835,0.97128,0.31136),(4215,3845,0.95665,0.32211),(4215,3855,0.94202,0.332),(4215,3865,0.92687,0.34188),(4215,3875,0.91081,0.35177),(4215,3885,0.89474,0.36119),(4215,3895,0.87867,0.36986),(4215,3905,0.86215,0.37853),(4215,3915,0.84495,0.3872),(4215,3925,0.82775,0.39543),(4215,3935,0.81055,0.40304),(4215,3945,0.79298,0.41065),(4215,3955,0.77492,0.41826),(4215,3965,0.75686,0.42546),(4215,3975,0.7388,0.43217),(4215,3985,0.72046,0.43887),(4215,3995,0.7018,0.44558),(4215,4005,0.68313,0.45192),(4215,4015,0.66447,0.4579),(4215,4025,1.0334,0.46388),(4215,4035,1.4402,0.46815),(4215,4045,1.8471,0.46882),(4215,4055,2.1375,0.46949),(4215,4065,2.3855,0.46968),(4215,4075,2.6335,0.46699),(4215,4085,2.7413,0.4643),(4215,4095,2.7366,0.46161),(4215,4105,2.7318,0.45855),(4215,4115,2.6317,0.45547),(4215,4125,2.3736,0.4524),(4215,4135,2.1155,0.45131),(4215,4145,1.8543,0.45076),(4215,4155,1.5807,0.4502),(4215,4165,1.3071,0.45124),(4215,4175,1.0489,0.45329),(4215,4185,1.5553,0.45535),(4215,4195,2.0616,0.45473),(4215,4205,2.5679,0.45056),(4215,4215,2.6448,0.4464),(4215,4225,2.6409,0.44219),(4215,4235,2.637,0.43785),(4215,4245,2.6327,0.43352),(4215,4255,2.6283,0.42915),(4215,4265,2.6239,0.42435),(4215,4275,2.2888,0.41955),(4215,4285,1.6029,0.41475),(4215,4295,0.91694,0.41677),(4215,4305,0.62061,0.41958),(4215,4315,1.204,0.42239),(4215,4325,1.7875,0.42048),(4215,4335,2.3061,0.41673),(4215,4345,2.386,0.41298),(4215,4355,2.4659,0.40868),(4215,4365,2.5459,0.4039),(4215,4375,2.547,0.39912),(4215,4385,2.544,0.39437),(4215,4395,2.541,0.38964),(4215,4405,2.2082,0.38492),(4215,4415,1.7781,0.38098),(4215,4425,1.3481,0.38057),(4215,4435,1.1642,0.38015),(4215,4445,1.1485,0.37973),(4215,4455,1.1328,0.37938),(4215,4465,1.3004,0.37902),(4215,4475,1.7255,0.37866),(4215,4485,2.1506,0.37454),(4215,4495,2.4741,0.36963),(4215,4505,2.4717,0.36472),(4215,4515,2.4693,0.35983),(4215,4525,2.4619,0.35496),(4215,4535,2.3758,0.35009),(4215,4545,2.2897,0.34559),(4215,4555,2.2036,0.34153),(4215,4565,1.6502,0.33747),(4215,4575,1.0338,0.33512),(4215,4585,0.41738,0.33692),(4215,4595,0.71402,0.33871),(4215,4605,1.3964,0.33981),(4215,4615,2.0789,0.33543),(4215,4625,2.4024,0.33105),(4215,4635,2.4008,0.32667),(4215,4645,2.3993,0.32251),(4215,4655,2.3976,0.31837),(4215,4665,2.3957,0.31423),(4215,4675,2.3938,0.31008),(4215,4685,2.3058,0.30593),(4215,4695,1.7917,0.30177),(4215,4705,1.2776,0.3),(4215,4715,0.76359,0.29996),(4215,4725,1.0022,0.29991),(4215,4735,1.2483,0.29912),(4215,4745,1.4945,0.2972),(4215,4755,1.7472,0.29527),(4215,4765,2.0015,0.29288),(4215,4775,2.2558,0.28887),(4215,4785,2.3481,0.28486),(4215,4795,2.3468,0.28084),(4215,4805,2.3454,0.27682),(4215,4815,2.2276,0.27281),(4215,4825,1.9705,0.26879),(4215,4835,1.7135,0.26643),(4215,4845,1.4532,0.26431),(4215,4855,1.1846,0.2622),(4215,4865,0.91594,0.2615),(4215,4875,0.72494,0.26144),(4215,4885,1.2404,0.26137),(4215,4895,1.756,0.25942),(4215,4905,2.2715,0.25563),(4215,4915,2.3113,0.25185),(4215,4925,2.3103,0.24808),(4215,4935,2.3092,0.24432),(4215,4945,2.308,0.24056),(4215,4955,2.3067,0.23678),(4215,4965,2.3054,0.23289),(4215,4975,1.9159,0.22901),(4215,4985,1.2267,0.22513),(4215,4995,0.53757,0.22591),(4215,5005,0.31137,0.2268),(4215,5015,0.82116,0.22769),(4215,5025,1.3309,0.22639),(4215,5035,1.77,0.22452),(4215,5045,1.9394,0.22266),(4215,5055,2.1088,0.22028),(4215,5065,2.2732,0.21759),(4215,5075,2.2723,0.21489),(4215,5085,2.2713,0.21219),(4215,5095,2.2704,0.20946),(4215,5105,1.9775,0.20674),(4215,5115,1.6337,0.20443),(4215,5125,1.2899,0.20331),(4215,5135,1.1145,0.20218),(4215,5145,1.0207,0.20112),(4215,5155,0.92701,0.20068),(4215,5165,1.0923,0.20024),(4215,5175,1.5218,0.1998),(4215,5185,1.9513,0.19794),(4215,5195,2.2443,0.19593),(4215,5205,2.2433,0.19392),(4215,5215,2.2422,0.19187),(4215,5225,2.2295,0.18982),(4215,5235,2.1446,0.18776),(4215,5245,2.0597,0.18578),(4215,5255,1.9748,0.18385),(4215,5265,1.3853,0.18193),(4215,5275,0.77496,0.18081),(4215,5285,0.16464,0.18106),(4215,5295,0.56145,0.18131),(4215,5305,1.2387,0.18117),(4215,5315,1.916,0.17941),(4215,5325,2.1838,0.17765),(4215,5335,2.183,0.17588),(4215,5345,2.1822,0.17401),(4215,5355,2.1814,0.17214),(4215,5365,2.1805,0.17028),(4215,5375,2.1796,0.16827),(4215,5385,2.0535,0.16624),(4215,5395,1.5468,0.16421),(4215,5405,1.0401,0.16324),(4215,5415,0.58599,0.16282),(4215,5425,0.83758,0.16239),(4215,5435,1.0892,0.16092),(4215,5445,1.3408,0.15832),(4215,5455,1.5934,0.15571),(4215,5465,1.8462,0.15255),(4215,5475,2.099,0.14811),(4215,5485,2.1712,0.14367),(4215,5495,2.1707,0.13922),(4215,5505,2.1702,0.13473),(4215,5515,2.1694,0.13024),(4215,5525,2.1685,0.12576),(4215,5535,2.1676,0.12156),(4215,5545,2.1665,0.11739),(4215,5555,2.1649,0.11321),(4215,5565,2.1633,0.10959),(4215,5575,2.1616,0.10614),(4215,5585,2.1591,0.10269),(4215,5595,2.1567,0.099809),(4215,5605,2.1543,0.097333),(4215,5615,2.1511,0.094858),(4215,5625,2.1479,0.092812),(4215,5635,2.1447,0.091383),(4215,5645,2.141,0.089954),(4215,5655,2.1373,0.088747),(4215,5665,2.1335,0.088274),(4215,5675,2.1296,0.087801),(4215,5685,2.1255,0.087371),(4215,5695,2.1214,0.087689),(4215,5705,2.1173,0.088008),(4215,5715,2.1131,0.088327),(4215,5725,2.1089,0.089195),(4215,5735,2.1048,0.090142),(4215,5745,2.1006,0.091088),(4215,5755,2.0965,0.092342),(4215,5765,2.0924,0.09373),(4215,5775,2.0885,0.095118),(4215,5785,2.0845,0.096677),(4215,5795,2.0806,0.098394),(4215,5805,2.0769,0.10011),(4215,5815,2.0733,0.10192),(4215,5825,2.0696,0.10389),(4215,5835,2.0662,0.10587),(4215,5845,2.0629,0.10788),(4215,5855,2.0595,0.11009),(4215,5865,2.0564,0.1123),(4215,5875,2.0535,0.11451),(4215,5885,2.0505,0.11695),(4215,5895,2.0477,0.11938),(4215,5905,2.0452,0.12182),(4215,5915,2.0427,0.1244),(4215,5925,2.0402,0.12702),(4215,5935,2.0381,0.12964),(4215,5945,2.0361,0.13233),(4215,5955,2.034,0.13507),(4215,5965,2.0323,0.13781),(4215,5975,2.0307,0.14055),(4215,5985,2.029,0.14331),(4215,5995,1.5505,0.14606),(4215,6005,0.99534,0.14812),(4215,6015,0.44014,0.14835),(4215,6025,0.63316,0.14857),(4215,6035,1.1732,0.14812),(4215,6045,1.7132,0.14117),(4215,6055,2.0843,0.13423),(4215,6065,2.2896,0.12728),(4215,6075,2.4949,0.11919),(4215,6085,2.6318,0.111),(4215,6095,2.6279,0.1028),(4215,6105,2.624,0.095974),(4215,6115,2.6199,0.08964),(4215,6125,2.6144,0.083305),(4215,6135,2.6088,0.078146),(4215,6145,2.6033,0.073912),(4215,6155,2.5969,0.069678),(4215,6165,2.5905,0.066169),(4215,6175,2.5841,0.063835),(4215,6185,2.5777,0.061501),(4215,6195,2.5712,0.059443),(4215,6205,2.5648,0.058468),(4215,6215,2.5586,0.057492),(4215,6225,2.5526,0.056536),(4215,6235,2.5466,0.056351),(4215,6245,2.5409,0.056166),(4215,6255,2.5357,0.05598),(4215,6265,2.5304,0.056035),(4215,6275,2.5254,0.056134),(4215,6285,2.521,0.056233),(4215,6295,2.5167,0.05626),(4215,6305,2.5124,0.056253),(4215,6315,2.5088,0.056245),(4215,6325,2.5053,0.056111),(4215,6335,2.5017,0.055846),(4215,6345,2.4989,0.05558),(4215,6355,2.4961,0.05519),(4215,6365,2.4933,0.054525),(4215,6375,2.491,0.05386),(4215,6385,2.4888,0.05315),(4215,6395,2.4867,0.052147),(4215,6405,2.4848,0.051145),(4215,6415,2.4832,0.050142),(4215,6425,2.4816,0.048736),(4215,6435,2.4801,0.047311),(4215,6445,2.4789,0.045886),(4215,6455,2.4777,0.044161),(4215,6465,2.4766,0.04235),(4215,6475,2.4757,0.040539),(4215,6485,2.4749,0.038584),(4215,6495,2.474,0.036532),(4215,6505,2.4734,0.03448),(4215,6515,2.4729,0.032315),(4215,6525,2.4723,0.029993),(4215,6535,2.4719,0.027671),(4215,6545,2.4716,0.025309),(4215,6555,2.4712,0.022819),(4215,6565,2.471,0.02033),(4215,6575,2.4709,0.017836),(4215,6585,2.4708,0.015291),(4215,6595,2.1015,0.012745),(4215,6605,1.3246,0.010199),(4215,6615,0.54774,0.009907),(4215,6625,0.001622,0.009904),(4215,6635,0.001636,0.009901),(4215,6645,0.00165,0.009892),(4215,6655,0.001664,0.009881),(4215,6665,0.001676,0.009869),(4215,6675,0.001688,0.009857),(4215,6685,0.0017,0.009845),(4215,6695,0.00171,0.009833),(4215,6705,0.00172,0.009821),(4215,6715,0.00173,0.009809),(4215,6725,0.001739,0.009796),(4215,6735,0.001747,0.009784),(4215,6745,0.001755,0.009771),(4215,6755,0.001762,0.009759),(4215,6765,0.001769,0.009746),(4215,6775,0.001775,0.009734),(4215,6785,0.001782,0.009721),(4215,6795,0.001787,0.009709),(4215,6805,0.001792,0.009697),(4215,6815,0.001798,0.009684),(4215,6825,0.001802,0.009672),(4215,6835,0.001806,0.00966),(4215,6845,0.001811,0.009648),(4215,6855,0.001814,0.009636),(4215,6865,0.001817,0.009624),(4215,6875,0.001821,0.009612),(4215,6885,0.001824,0.0096),(4215,6895,0.001826,0.009589),(4215,6905,0.001829,0.009577),(4215,6915,0.001831,0.009566),(4215,6925,0.001834,0.009554),(4215,6935,0.001836,0.009543),(4215,6945,0.001838,0.009532),(4215,6955,0.001839,0.009521),(4215,6965,0.001841,0.00951),(4215,6975,0.001842,0.009499),(4215,6985,0.001844,0.009488),(4225,5,3e-05,-0.002462),(4225,15,9e-05,-0.002464),(4225,25,0.00015,-0.002466),(4225,35,0.000211,-0.002468),(4225,45,0.000271,-0.002472),(4225,55,0.000331,-0.002478),(4225,65,0.000392,-0.002484),(4225,75,0.000453,-0.00249),(4225,85,0.000513,-0.002498),(4225,95,0.000574,-0.002508),(4225,105,0.000636,-0.002519),(4225,115,0.000697,-0.002529),(4225,125,0.000759,-0.002542),(4225,135,0.000821,-0.002556),(4225,145,0.000883,-0.002571),(4225,155,0.000946,-0.002585),(4225,165,0.001009,-0.002603),(4225,175,0.001072,-0.002622),(4225,185,0.001137,-0.002641),(4225,195,0.001201,-0.00266),(4225,205,0.001266,-0.002682),(4225,215,0.001331,-0.002706),(4225,225,0.001397,-0.00273),(4225,235,0.001463,-0.002754),(4225,245,0.00153,-0.002783),(4225,255,0.001597,-0.002812),(4225,265,0.001666,-0.002842),(4225,275,0.001735,-0.002871),(4225,285,0.001804,-0.002906),(4225,295,0.001874,-0.002941),(4225,305,0.001945,-0.002977),(4225,315,0.002018,-0.003012),(4225,325,0.00209,-0.003054),(4225,335,0.002162,-0.003096),(4225,345,0.002237,-0.003139),(4225,355,0.002313,-0.003181),(4225,365,0.002389,-0.00323),(4225,375,0.002465,-0.003281),(4225,385,0.002544,-0.003331),(4225,395,0.002624,-0.003381),(4225,405,0.002704,-0.00344),(4225,415,0.002784,-0.003499),(4225,425,0.002868,-0.003558),(4225,435,0.002952,-0.003618),(4225,445,0.003037,-0.003687),(4225,455,0.003121,-0.003756),(4225,465,0.003211,-0.003826),(4225,475,0.0033,-0.003896),(4225,485,0.00339,-0.003977),(4225,495,0.003479,-0.004058),(4225,505,0.003574,-0.004139),(4225,515,0.003669,-0.004221),(4225,525,0.003764,-0.004316),(4225,535,0.00386,-0.004412),(4225,545,0.003961,-0.004507),(4225,555,0.004063,-0.004603),(4225,565,0.004164,-0.004716),(4225,575,0.004266,-0.004828),(4225,585,0.004375,-0.00494),(4225,595,0.004483,-0.005054),(4225,605,0.004592,-0.005186),(4225,615,0.004701,-0.005317),(4225,625,0.004817,-0.005449),(4225,635,0.004933,-0.005584),(4225,645,0.005049,-0.005739),(4225,655,0.005165,-0.005894),(4225,665,0.005289,-0.006049),(4225,675,0.005412,-0.006208),(4225,685,0.005536,-0.006391),(4225,695,0.005661,-0.006574),(4225,705,0.005792,-0.006757),(4225,715,0.005923,-0.006947),(4225,725,0.006054,-0.007163),(4225,735,0.006186,-0.007379),(4225,745,0.006324,-0.007595),(4225,755,0.006462,-0.007822),(4225,765,0.0066,-0.008078),(4225,775,0.00674,-0.008334),(4225,785,0.006883,-0.008591),(4225,795,0.007027,-0.008861),(4225,805,0.007171,-0.009166),(4225,815,0.007315,-0.009471),(4225,825,0.007462,-0.009775),(4225,835,0.007608,-0.0101),(4225,845,0.007755,-0.010463),(4225,855,0.007901,-0.010827),(4225,865,0.008046,-0.01119),(4225,875,0.008191,-0.01158),(4225,885,0.008336,-0.012014),(4225,895,0.008478,-0.012449),(4225,905,0.008614,-0.012883),(4225,915,0.008749,-0.013353),(4225,925,0.008885,-0.013872),(4225,935,0.009012,-0.014391),(4225,945,0.009126,-0.014911),(4225,955,0.00924,-0.015475),(4225,965,0.009354,-0.016095),(4225,975,0.009449,-0.016716),(4225,985,0.009523,-0.017336),(4225,995,0.009597,-0.018013),(4225,1005,0.00967,-0.018751),(4225,1015,0.009709,-0.019488),(4225,1025,0.009713,-0.020225),(4225,1035,0.009718,-0.021033),(4225,1045,0.009722,-0.021902),(4225,1055,0.009666,-0.022772),(4225,1065,0.00956,-0.023641),(4225,1075,0.009454,-0.02459),(4225,1085,0.009349,-0.0256),(4225,1095,0.009144,-0.02661),(4225,1105,0.008871,-0.027619),(4225,1115,0.008599,-0.02871),(4225,1125,0.008325,-0.029854),(4225,1135,0.007901,-0.030997),(4225,1145,0.007386,-0.03214),(4225,1155,0.006872,-0.033347),(4225,1165,0.006357,-0.034587),(4225,1175,0.005624,-0.035828),(4225,1185,0.004782,-0.037069),(4225,1195,0.00394,-0.03832),(4225,1205,0.003097,-0.039575),(4225,1215,0.001967,-0.040831),(4225,1225,0.000717,-0.042087),(4225,1235,-0.000533,-0.043249),(4225,1245,-0.001782,-0.044378),(4225,1255,-0.003362,-0.045506),(4225,1265,-0.005054,-0.046634),(4225,1275,-0.006745,-0.047513),(4225,1285,-0.008436,-0.048317),(4225,1295,-0.010422,-0.04912),(4225,1305,-0.012487,-0.049924),(4225,1315,-0.014553,-0.050302),(4225,1325,-0.016618,-0.050579),(4225,1335,-0.018817,-0.050856),(4225,1345,-0.021044,-0.051133),(4225,1355,-0.023272,-0.050881),(4225,1365,-0.025499,-0.050534),(4225,1375,-0.027604,-0.050186),(4225,1385,-0.029691,-0.049838),(4225,1395,-0.031777,-0.049024),(4225,1405,-0.033863,-0.048149),(4225,1415,-0.035629,-0.047274),(4225,1425,-0.037361,-0.0464),(4225,1435,-0.039093,-0.045225),(4225,1445,-0.040826,-0.044026),(4225,1455,-0.042158,-0.042827),(4225,1465,-0.043467,-0.041628),(4225,1475,-0.044776,-0.040309),(4225,1485,-0.046085,-0.038985),(4225,1495,-0.04701,-0.037662),(4225,1505,-0.047929,-0.036339),(4225,1515,-0.048849,-0.035036),(4225,1525,-0.04976,-0.033734),(4225,1535,-0.050368,-0.032431),(4225,1545,-0.050976,-0.031133),(4225,1555,-0.051585,-0.029936),(4225,1565,-0.052178,-0.028739),(4225,1575,-0.052561,-0.027542),(4225,1585,-0.052943,-0.026357),(4225,1595,-0.053326,-0.025305),(4225,1605,-0.053692,-0.024253),(4225,1615,-0.053922,-0.0232),(4225,1625,-0.054153,-0.022167),(4225,1635,-0.054383,-0.02127),(4225,1645,-0.054599,-0.020374),(4225,1655,-0.054733,-0.019477),(4225,1665,-0.054867,-0.018605),(4225,1675,-0.055,-0.01786),(4225,1685,-0.055124,-0.017115),(4225,1695,-0.055201,-0.01637),(4225,1705,-0.055279,-0.015654),(4225,1715,-0.055356,-0.01505),(4225,1725,-0.055427,-0.014447),(4225,1735,-0.055475,-0.013844),(4225,1745,-0.055522,-0.013272),(4225,1755,-0.05557,-0.012799),(4225,1765,-0.055615,-0.012326),(4225,1775,-0.05565,-0.011853),(4225,1785,-0.055685,-0.011414),(4225,1795,-0.055721,-0.011061),(4225,1805,-0.055755,-0.010709),(4225,1815,-0.055787,-0.010357),(4225,1825,-0.05582,-0.010042),(4225,1835,-0.055852,-0.009804),(4225,1845,-0.055886,-0.009566),(4225,1855,-0.05592,-0.009329),(4225,1865,-0.055955,-0.009131),(4225,1875,-0.055989,-0.009004),(4225,1885,-0.056025,-0.008877),(4225,1895,-0.056063,-0.00875),(4225,1905,-0.0561,-0.008667),(4225,1915,-0.056138,-0.008651),(4225,1925,-0.056176,-0.008635),(4225,1935,-0.056216,-0.008619),(4225,1945,-0.056255,-0.008653),(4225,1955,-0.056294,-0.008752),(4225,1965,-0.056332,-0.00885),(4225,1975,-0.056369,-0.008949),(4225,1985,-0.056405,-0.009106),(4225,1995,-0.056442,-0.009326),(4225,2005,-0.056474,-0.009547),(4225,2015,-0.056502,-0.009767),(4225,2025,-0.05653,-0.010057),(4225,2035,-0.056558,-0.01041),(4225,2045,-0.056577,-0.010763),(4225,2055,-0.056588,-0.011116),(4225,2065,-0.0566,-0.011551),(4225,2075,-0.056611,-0.012052),(4225,2085,-0.056606,-0.012552),(4225,2095,-0.05659,-0.013053),(4225,2105,-0.056573,-0.013653),(4225,2115,-0.056557,-0.014319),(4225,2125,-0.056516,-0.014986),(4225,2135,-0.056459,-0.015652),(4225,2145,-0.056402,-0.016439),(4225,2155,-0.056345,-0.017294),(4225,2165,-0.05625,-0.018148),(4225,2175,-0.056136,-0.019003),(4225,2185,-0.056022,-0.020004),(4225,2195,-0.055908,-0.021075),(4225,2205,-0.055739,-0.022145),(4225,2215,-0.055546,-0.023215),(4225,2225,-0.055353,-0.024463),(4225,2235,-0.055161,-0.02578),(4225,2245,-0.054891,-0.027097),(4225,2255,-0.054593,-0.028415),(4225,2265,-0.054295,-0.029947),(4225,2275,-0.053998,-0.031547),(4225,2285,-0.053592,-0.033148),(4225,2295,-0.053156,-0.034749),(4225,2305,-0.05272,-0.036608),(4225,2315,-0.052284,-0.038532),(4225,2325,-0.051701,-0.040457),(4225,2335,-0.051084,-0.042381),(4225,2345,-0.050468,-0.044613),(4225,2355,-0.049852,-0.046905),(4225,2365,-0.049036,-0.049197),(4225,2375,-0.048186,-0.051489),(4225,2385,-0.047336,-0.054144),(4225,2395,-0.046487,-0.05685),(4225,2405,-0.045369,-0.059556),(4225,2415,-0.04422,-0.062262),(4225,2425,-0.043071,-0.065389),(4225,2435,-0.041922,-0.068554),(4225,2445,-0.040417,-0.07172),(4225,2455,-0.038887,-0.074886),(4225,2465,-0.037357,-0.07853),(4225,2475,-0.035827,-0.082197),(4225,2485,-0.033828,-0.085864),(4225,2495,-0.031818,-0.08953),(4225,2505,-0.029807,-0.093726),(4225,2515,-0.027788,-0.097925),(4225,2525,-0.025179,-0.10212),(4225,2535,-0.02257,-0.10634),(4225,2545,-0.01996,-0.11108),(4225,2555,-0.017311,-0.11583),(4225,2565,-0.013968,-0.12057),(4225,2575,-0.010625,-0.12535),(4225,2585,-0.007281,-0.13062),(4225,2595,-0.003855,-0.1359),(4225,2605,0.00037,-0.14117),(4225,2615,0.004595,-0.14649),(4225,2625,0.00882,-0.15224),(4225,2635,0.013183,-0.15799),(4225,2645,0.018439,-0.16373),(4225,2655,0.023694,-0.16954),(4225,2665,0.02895,-0.17566),(4225,2675,0.034408,-0.18178),(4225,2685,0.040828,-0.1879),(4225,2695,0.047247,-0.19406),(4225,2705,0.053667,-0.20041),(4225,2715,0.060355,-0.20676),(4225,2725,0.068034,-0.2131),(4225,2735,0.075714,-0.21946),(4225,2745,0.083393,-0.22584),(4225,2755,0.0914,-0.23222),(4225,2765,0.10038,-0.23861),(4225,2775,0.10935,-0.24494),(4225,2785,0.11833,-0.25115),(4225,2795,0.12768,-0.25737),(4225,2805,0.13792,-0.26358),(4225,2815,0.14817,-0.26967),(4225,2825,0.15841,-0.27551),(4225,2835,0.16905,-0.28135),(4225,2845,0.18047,-0.28719),(4225,2855,0.19189,-0.29283),(4225,2865,0.20332,-0.29813),(4225,2875,0.21513,-0.30342),(4225,2885,0.2276,-0.30871),(4225,2895,0.24006,-0.31374),(4225,2905,0.25253,-0.31836),(4225,2915,0.26537,-0.32298),(4225,2925,0.27872,-0.32759),(4225,2935,0.29208,-0.33188),(4225,2945,0.30544,-0.33572),(4225,2955,0.31913,-0.33957),(4225,2965,0.33322,-0.34341),(4225,2975,0.34731,-0.34687),(4225,2985,0.3614,-0.34988),(4225,2995,0.37577,-0.35289),(4225,3005,0.39044,-0.3559),(4225,3015,0.40511,-0.35846),(4225,3025,0.41977,-0.36059),(4225,3035,0.43467,-0.36272),(4225,3045,0.44977,-0.36485),(4225,3055,0.46487,-0.36648),(4225,3065,0.47997,-0.36769),(4225,3075,0.49525,-0.3689),(4225,3085,0.51065,-0.37012),(4225,3095,0.52604,-0.37077),(4225,3105,0.54144,-0.37103),(4225,3115,0.55695,-0.37129),(4225,3125,0.57251,-0.37155),(4225,3135,0.58808,-0.37118),(4225,3145,0.60365,-0.37044),(4225,3155,0.61924,-0.36971),(4225,3165,0.63485,-0.36897),(4225,3175,0.65046,-0.36753),(4225,3185,0.66606,-0.36574),(4225,3195,0.6816,-0.36395),(4225,3205,0.69711,-0.36216),(4225,3215,0.71262,-0.35958),(4225,3225,0.72812,-0.35667),(4225,3235,0.74345,-0.35377),(4225,3245,0.7587,-0.35086),(4225,3255,0.77395,-0.34706),(4225,3265,0.78921,-0.34295),(4225,3275,0.80413,-0.33885),(4225,3285,0.81896,-0.33474),(4225,3295,0.83378,-0.32963),(4225,3305,0.84861,-0.32424),(4225,3315,0.86292,-0.31885),(4225,3325,0.87711,-0.31346),(4225,3335,0.89129,-0.30695),(4225,3345,0.90548,-0.30019),(4225,3355,0.91892,-0.29344),(4225,3365,0.93222,-0.28668),(4225,3375,0.94552,-0.27869),(4225,3385,0.95882,-0.2705),(4225,3395,0.97107,-0.26231),(4225,3405,0.9832,-0.25412),(4225,3415,0.99532,-0.24459),(4225,3425,1.0074,-0.23493),(4225,3435,1.0182,-0.22527),(4225,3445,1.0288,-0.2156),(4225,3455,1.0394,-0.20457),(4225,3465,1.05,-0.19345),(4225,3475,1.0587,-0.18234),(4225,3485,1.0674,-0.17123),(4225,3495,1.0762,-0.15878),(4225,3505,1.0849,-0.14632),(4225,3515,1.0913,-0.13386),(4225,3525,1.0977,-0.12137),(4225,3535,1.1042,-0.10778),(4225,3545,1.1105,-0.094181),(4225,3555,1.1143,-0.080585),(4225,3565,1.1181,-0.066937),(4225,3575,1.1219,-0.052537),(4225,3585,1.1254,-0.038137),(4225,3595,1.1263,-0.023736),(4225,3605,1.1272,-0.009297),(4225,3615,1.1281,0.005477),(4225,3625,1.1286,0.02025),(4225,3635,1.1265,0.035023),(4225,3645,1.1244,0.049781),(4225,3655,1.1222,0.064444),(4225,3665,1.1196,0.079107),(4225,3675,1.1145,0.09377),(4225,3685,1.1093,0.10833),(4225,3695,1.1042,0.12242),(4225,3705,1.0985,0.13652),(4225,3715,1.0906,0.15061),(4225,3725,1.0826,0.1645),(4225,3735,1.0747,0.17767),(4225,3745,1.0662,0.19084),(4225,3755,1.0558,0.20401),(4225,3765,1.0454,0.21687),(4225,3775,1.035,0.22888),(4225,3785,1.024,0.24089),(4225,3795,1.0115,0.25291),(4225,3805,0.99894,0.26454),(4225,3815,0.98642,0.2753),(4225,3825,0.97332,0.28606),(4225,3835,0.95902,0.29682),(4225,3845,0.94473,0.30716),(4225,3855,0.93043,0.31669),(4225,3865,0.9156,0.32621),(4225,3875,0.89985,0.33574),(4225,3885,0.88409,0.34483),(4225,3895,0.86834,0.35322),(4225,3905,0.85211,0.36161),(4225,3915,0.83519,0.37),(4225,3925,0.81826,0.37797),(4225,3935,0.80134,0.38537),(4225,3945,0.78402,0.39278),(4225,3955,0.7662,0.40018),(4225,3965,0.74838,0.40719),(4225,3975,0.73056,0.41375),(4225,3985,0.71245,0.42031),(4225,3995,0.69401,0.42686),(4225,4005,0.67557,0.43308),(4225,4015,0.65713,0.43894),(4225,4025,1.0266,0.44481),(4225,4035,1.434,0.449),(4225,4045,1.8414,0.44964),(4225,4055,2.1322,0.45028),(4225,4065,2.3806,0.45045),(4225,4075,2.629,0.44778),(4225,4085,2.737,0.44511),(4225,4095,2.7324,0.44244),(4225,4105,2.7278,0.43941),(4225,4115,2.6277,0.43637),(4225,4125,2.3695,0.43332),(4225,4135,2.1113,0.43224),(4225,4145,1.85,0.4317),(4225,4155,1.5763,0.43115),(4225,4165,1.3026,0.43216),(4225,4175,1.0443,0.43418),(4225,4185,1.5512,0.4362),(4225,4195,2.058,0.43559),(4225,4205,2.5649,0.43151),(4225,4215,2.642,0.42742),(4225,4225,2.6381,0.42329),(4225,4235,2.6342,0.41904),(4225,4245,2.6301,0.4148),(4225,4255,2.6258,0.41052),(4225,4265,2.6215,0.40585),(4225,4275,2.2863,0.40118),(4225,4285,1.5999,0.39651),(4225,4295,0.91344,0.3985),(4225,4305,0.61689,0.40126),(4225,4315,1.2007,0.40401),(4225,4325,1.7845,0.40221),(4225,4335,2.3035,0.39861),(4225,4345,2.3835,0.39501),(4225,4355,2.4635,0.39088),(4225,4365,2.5435,0.3863),(4225,4375,2.5446,0.38171),(4225,4385,2.5416,0.37715),(4225,4395,2.5386,0.37261),(4225,4405,2.2057,0.36808),(4225,4415,1.7755,0.36431),(4225,4425,1.3454,0.36394),(4225,4435,1.1614,0.36357),(4225,4445,1.1457,0.3632),(4225,4455,1.1301,0.36289),(4225,4465,1.2978,0.36258),(4225,4475,1.7231,0.36227),(4225,4485,2.1484,0.3583),(4225,4495,2.4721,0.35358),(4225,4505,2.4697,0.34885),(4225,4515,2.4672,0.34414),(4225,4525,2.4598,0.33945),(4225,4535,2.3737,0.33476),(4225,4545,2.2876,0.33043),(4225,4555,2.2015,0.32652),(4225,4565,1.648,0.32262),(4225,4575,1.0315,0.32037),(4225,4585,0.41506,0.32213),(4225,4595,0.71167,0.3239),(4225,4605,1.3941,0.32498),(4225,4615,2.0765,0.32078),(4225,4625,2.4,0.31658),(4225,4635,2.3983,0.31238),(4225,4645,2.3967,0.30837),(4225,4655,2.395,0.30437),(4225,4665,2.3932,0.30038),(4225,4675,2.3913,0.29636),(4225,4685,2.3033,0.29233),(4225,4695,1.7894,0.2883),(4225,4705,1.2755,0.28659),(4225,4715,0.76158,0.28656),(4225,4725,1.0001,0.28654),(4225,4735,1.2461,0.28579),(4225,4745,1.4921,0.28397),(4225,4755,1.7448,0.28215),(4225,4765,1.9991,0.27988),(4225,4775,2.2533,0.27604),(4225,4785,2.3456,0.27221),(4225,4795,2.3442,0.26837),(4225,4805,2.3428,0.26453),(4225,4815,2.2251,0.26068),(4225,4825,1.9682,0.25684),(4225,4835,1.7113,0.25457),(4225,4845,1.4511,0.25255),(4225,4855,1.1826,0.25052),(4225,4865,0.91408,0.24986),(4225,4875,0.72316,0.24982),(4225,4885,1.2384,0.24978),(4225,4895,1.7536,0.24793),(4225,4905,2.2688,0.24435),(4225,4915,2.3086,0.24077),(4225,4925,2.3076,0.2372),(4225,4935,2.3065,0.23363),(4225,4945,2.3053,0.23007),(4225,4955,2.3041,0.22648),(4225,4965,2.3028,0.2228),(4225,4975,1.9136,0.21912),(4225,4985,1.2249,0.21544),(4225,4995,0.53616,0.21617),(4225,5005,0.31001,0.21702),(4225,5015,0.81925,0.21786),(4225,5025,1.3285,0.21665),(4225,5035,1.767,0.2149),(4225,5045,1.9362,0.21316),(4225,5055,2.1054,0.21095),(4225,5065,2.2696,0.20844),(4225,5075,2.2687,0.20593),(4225,5085,2.2678,0.2034),(4225,5095,2.2668,0.20085),(4225,5105,1.9744,0.1983),(4225,5115,1.631,0.19613),(4225,5125,1.2877,0.19506),(4225,5135,1.1124,0.19399),(4225,5145,1.0187,0.19298),(4225,5155,0.92505,0.1926),(4225,5165,1.09,0.19221),(4225,5175,1.5188,0.19183),(4225,5185,1.9476,0.19016),(4225,5195,2.2402,0.18836),(4225,5205,2.2392,0.18656),(4225,5215,2.2381,0.18471),(4225,5225,2.2255,0.18283),(4225,5235,2.1408,0.18096),(4225,5245,2.0561,0.17912),(4225,5255,1.9714,0.17732),(4225,5265,1.3828,0.17552),(4225,5275,0.77346,0.17447),(4225,5285,0.1641,0.17471),(4225,5295,0.56018,0.17494),(4225,5305,1.2363,0.17481),(4225,5315,1.9123,0.17318),(4225,5325,2.1797,0.17155),(4225,5335,2.1789,0.16991),(4225,5345,2.1782,0.16814),(4225,5355,2.1774,0.16636),(4225,5365,2.1766,0.16459),(4225,5375,2.1758,0.16265),(4225,5385,2.0499,0.16068),(4225,5395,1.5441,0.15871),(4225,5405,1.0383,0.15776),(4225,5415,0.58493,0.15733),(4225,5425,0.83661,0.15691),(4225,5435,1.0883,0.15535),(4225,5445,1.34,0.15257),(4225,5455,1.5926,0.14979),(4225,5465,1.8454,0.14643),(4225,5475,2.0981,0.14171),(4225,5485,2.1703,0.13699),(4225,5495,2.1698,0.13228),(4225,5505,2.1693,0.12756),(4225,5515,2.1685,0.12284),(4225,5525,2.1675,0.11812),(4225,5535,2.1664,0.1138),(4225,5545,2.1651,0.1095),(4225,5555,2.1632,0.1052),(4225,5565,2.1613,0.10157),(4225,5575,2.1593,0.098139),(4225,5585,2.1565,0.094708),(4225,5595,2.1537,0.091931),(4225,5605,2.1509,0.089609),(4225,5615,2.1473,0.087288),(4225,5625,2.1438,0.085433),(4225,5635,2.1402,0.084246),(4225,5645,2.1362,0.08306),(4225,5655,2.1322,0.082103),(4225,5665,2.1281,0.081903),(4225,5675,2.1239,0.081703),(4225,5685,2.1195,0.081545),(4225,5695,2.1152,0.082117),(4225,5705,2.1109,0.082688),(4225,5715,2.1065,0.083259),(4225,5725,2.1022,0.084334),(4225,5735,2.0978,0.08548),(4225,5745,2.0936,0.086626),(4225,5755,2.0894,0.088035),(4225,5765,2.0851,0.089558),(4225,5775,2.0811,0.09108),(4225,5785,2.0771,0.092742),(4225,5795,2.0731,0.094533),(4225,5805,2.0693,0.096323),(4225,5815,2.0656,0.098186),(4225,5825,2.0619,0.10019),(4225,5835,2.0584,0.10219),(4225,5845,2.055,0.10423),(4225,5855,2.0517,0.10644),(4225,5865,2.0485,0.10865),(4225,5875,2.0455,0.11087),(4225,5885,2.0425,0.11331),(4225,5895,2.0396,0.11576),(4225,5905,2.037,0.1182),(4225,5915,2.0344,0.12082),(4225,5925,2.032,0.12347),(4225,5935,2.0298,0.12612),(4225,5945,2.0277,0.12886),(4225,5955,2.0256,0.13167),(4225,5965,2.024,0.13447),(4225,5975,2.0223,0.13729),(4225,5985,2.0207,0.14012),(4225,5995,1.5442,0.14296),(4225,6005,0.99134,0.14508),(4225,6015,0.43847,0.1453),(4225,6025,0.63319,0.14551),(4225,6035,1.1746,0.14503),(4225,6045,1.7161,0.13784),(4225,6055,2.0878,0.13064),(4225,6065,2.2932,0.12345),(4225,6075,2.4985,0.11519),(4225,6085,2.6353,0.10684),(4225,6095,2.6307,0.098487),(4225,6105,2.6262,0.091709),(4225,6115,2.6213,0.085492),(4225,6125,2.615,0.079274),(4225,6135,2.6087,0.074363),(4225,6145,2.6024,0.070481),(4225,6155,2.5954,0.066599),(4225,6165,2.5883,0.063489),(4225,6175,2.5813,0.06163),(4225,6185,2.5744,0.059772),(4225,6195,2.5675,0.058193),(4225,6205,2.5606,0.057712),(4225,6215,2.5541,0.05723),(4225,6225,2.5478,0.056767),(4225,6235,2.5416,0.057007),(4225,6245,2.5358,0.057247),(4225,6255,2.5305,0.057487),(4225,6265,2.5252,0.057879),(4225,6275,2.5201,0.058299),(4225,6285,2.5158,0.058719),(4225,6295,2.5115,0.058986),(4225,6305,2.5073,0.059178),(4225,6315,2.5038,0.05937),(4225,6325,2.5004,0.059383),(4225,6335,2.4969,0.059211),(4225,6345,2.4942,0.059039),(4225,6355,2.4916,0.058712),(4225,6365,2.489,0.058045),(4225,6375,2.4868,0.057378),(4225,6385,2.4848,0.056656),(4225,6395,2.4828,0.055583),(4225,6405,2.4811,0.054509),(4225,6415,2.4796,0.053436),(4225,6425,2.4781,0.051918),(4225,6435,2.4768,0.05038),(4225,6445,2.4757,0.048842),(4225,6455,2.4746,0.04697),(4225,6465,2.4736,0.045004),(4225,6475,2.4728,0.043038),(4225,6485,2.4721,0.040918),(4225,6495,2.4713,0.038695),(4225,6505,2.4708,0.036473),(4225,6515,2.4703,0.03413),(4225,6525,2.4698,0.031619),(4225,6535,2.4694,0.029109),(4225,6545,2.4691,0.026558),(4225,6555,2.4688,0.02388),(4225,6565,2.4686,0.021201),(4225,6575,2.4685,0.018519),(4225,6585,2.4684,0.015774),(4225,6595,2.0995,0.013029),(4225,6605,1.3234,0.010285),(4225,6615,0.54724,0.009956),(4225,6625,0.00163,0.009938),(4225,6635,0.001644,0.00992),(4225,6645,0.001659,0.009906),(4225,6655,0.001673,0.009894),(4225,6665,0.001685,0.009881),(4225,6675,0.001697,0.009869),(4225,6685,0.001709,0.009856),(4225,6695,0.00172,0.009844),(4225,6705,0.001729,0.009831),(4225,6715,0.001739,0.009818),(4225,6725,0.001748,0.009805),(4225,6735,0.001756,0.009792),(4225,6745,0.001764,0.009779),(4225,6755,0.001771,0.009766),(4225,6765,0.001778,0.009753),(4225,6775,0.001784,0.00974),(4225,6785,0.00179,0.009727),(4225,6795,0.001796,0.009714),(4225,6805,0.001801,0.009702),(4225,6815,0.001806,0.009689),(4225,6825,0.00181,0.009676),(4225,6835,0.001814,0.009664),(4225,6845,0.001819,0.009652),(4225,6855,0.001822,0.00964),(4225,6865,0.001825,0.009627),(4225,6875,0.001829,0.009615),(4225,6885,0.001831,0.009603),(4225,6895,0.001834,0.009591),(4225,6905,0.001837,0.00958),(4225,6915,0.001839,0.009568),(4225,6925,0.001841,0.009557),(4225,6935,0.001843,0.009545),(4225,6945,0.001845,0.009534),(4225,6955,0.001846,0.009523),(4225,6965,0.001848,0.009512),(4225,6975,0.001849,0.009501),(4225,6985,0.00185,0.00949),(4235,5,3e-05,-0.002401),(4235,15,9.1e-05,-0.002403),(4235,25,0.000152,-0.002405),(4235,35,0.000214,-0.002406),(4235,45,0.000275,-0.002411),(4235,55,0.000336,-0.002416),(4235,65,0.000397,-0.002422),(4235,75,0.000459,-0.002428),(4235,85,0.00052,-0.002436),(4235,95,0.000582,-0.002446),(4235,105,0.000644,-0.002456),(4235,115,0.000707,-0.002466),(4235,125,0.00077,-0.002479),(4235,135,0.000832,-0.002493),(4235,145,0.000896,-0.002507),(4235,155,0.00096,-0.002521),(4235,165,0.001024,-0.002538),(4235,175,0.001087,-0.002557),(4235,185,0.001153,-0.002576),(4235,195,0.001218,-0.002594),(4235,205,0.001284,-0.002616),(4235,215,0.00135,-0.00264),(4235,225,0.001417,-0.002663),(4235,235,0.001485,-0.002687),(4235,245,0.001553,-0.002714),(4235,255,0.001621,-0.002743),(4235,265,0.001691,-0.002772),(4235,275,0.001761,-0.002801),(4235,285,0.001832,-0.002835),(4235,295,0.001902,-0.002869),(4235,305,0.001976,-0.002904),(4235,315,0.002049,-0.002939),(4235,325,0.002123,-0.002979),(4235,335,0.002197,-0.003021),(4235,345,0.002274,-0.003062),(4235,355,0.002351,-0.003104),(4235,365,0.002429,-0.003152),(4235,375,0.002506,-0.003201),(4235,385,0.002588,-0.00325),(4235,395,0.002669,-0.0033),(4235,405,0.002751,-0.003357),(4235,415,0.002833,-0.003415),(4235,425,0.002919,-0.003473),(4235,435,0.003006,-0.003531),(4235,445,0.003093,-0.003599),(4235,455,0.00318,-0.003667),(4235,465,0.003272,-0.003735),(4235,475,0.003364,-0.003804),(4235,485,0.003456,-0.003883),(4235,495,0.003548,-0.003963),(4235,505,0.003647,-0.004043),(4235,515,0.003745,-0.004123),(4235,525,0.003843,-0.004216),(4235,535,0.003942,-0.00431),(4235,545,0.004047,-0.004404),(4235,555,0.004153,-0.004498),(4235,565,0.004258,-0.004609),(4235,575,0.004364,-0.004719),(4235,585,0.004477,-0.004829),(4235,595,0.00459,-0.004941),(4235,605,0.004703,-0.005071),(4235,615,0.004817,-0.0052),(4235,625,0.004938,-0.00533),(4235,635,0.005059,-0.005463),(4235,645,0.005181,-0.005615),(4235,655,0.005303,-0.005768),(4235,665,0.005433,-0.005921),(4235,675,0.005563,-0.006078),(4235,685,0.005693,-0.006259),(4235,695,0.005825,-0.00644),(4235,705,0.005964,-0.00662),(4235,715,0.006103,-0.006808),(4235,725,0.006242,-0.007022),(4235,735,0.006383,-0.007236),(4235,745,0.006531,-0.00745),(4235,755,0.006679,-0.007675),(4235,765,0.006826,-0.007929),(4235,775,0.006976,-0.008183),(4235,785,0.007132,-0.008438),(4235,795,0.007287,-0.008707),(4235,805,0.007442,-0.00901),(4235,815,0.0076,-0.009314),(4235,825,0.007761,-0.009617),(4235,835,0.007921,-0.00994),(4235,845,0.008082,-0.010303),(4235,855,0.008244,-0.010667),(4235,865,0.008407,-0.01103),(4235,875,0.008569,-0.01142),(4235,885,0.008731,-0.011856),(4235,895,0.008892,-0.012292),(4235,905,0.009049,-0.012728),(4235,915,0.009206,-0.0132),(4235,925,0.009363,-0.013724),(4235,935,0.009512,-0.014247),(4235,945,0.009652,-0.014771),(4235,955,0.009791,-0.015343),(4235,965,0.009931,-0.015972),(4235,975,0.010053,-0.016601),(4235,985,0.010156,-0.017231),(4235,995,0.01026,-0.017921),(4235,1005,0.010363,-0.018675),(4235,1015,0.010433,-0.019429),(4235,1025,0.010472,-0.020183),(4235,1035,0.01051,-0.021012),(4235,1045,0.010549,-0.021909),(4235,1055,0.010528,-0.022806),(4235,1065,0.010459,-0.023702),(4235,1075,0.01039,-0.024687),(4235,1085,0.01032,-0.02574),(4235,1095,0.010152,-0.026792),(4235,1105,0.009914,-0.027844),(4235,1115,0.009677,-0.02899),(4235,1125,0.009439,-0.030196),(4235,1135,0.009044,-0.031402),(4235,1145,0.008557,-0.032608),(4235,1155,0.00807,-0.033894),(4235,1165,0.007582,-0.035222),(4235,1175,0.006862,-0.03655),(4235,1185,0.006027,-0.037877),(4235,1195,0.005192,-0.039232),(4235,1205,0.004357,-0.040599),(4235,1215,0.003208,-0.041965),(4235,1225,0.00193,-0.043332),(4235,1235,0.000651,-0.044614),(4235,1245,-0.000627,-0.045866),(4235,1255,-0.002274,-0.047117),(4235,1265,-0.004044,-0.048368),(4235,1275,-0.005815,-0.049357),(4235,1285,-0.007586,-0.050267),(4235,1295,-0.009692,-0.051176),(4235,1305,-0.011888,-0.052086),(4235,1315,-0.014084,-0.052523),(4235,1325,-0.016281,-0.052846),(4235,1335,-0.018632,-0.05317),(4235,1345,-0.021015,-0.053494),(4235,1355,-0.023399,-0.053214),(4235,1365,-0.025782,-0.052825),(4235,1375,-0.028021,-0.052436),(4235,1385,-0.030238,-0.052047),(4235,1395,-0.032455,-0.051137),(4235,1405,-0.034673,-0.050162),(4235,1415,-0.036522,-0.049186),(4235,1425,-0.038332,-0.04821),(4235,1435,-0.040143,-0.046918),(4235,1445,-0.041954,-0.0456),(4235,1455,-0.043316,-0.044283),(4235,1465,-0.044653,-0.042966),(4235,1475,-0.045989,-0.041539),(4235,1485,-0.047326,-0.040109),(4235,1495,-0.048242,-0.038679),(4235,1505,-0.049153,-0.037249),(4235,1515,-0.050063,-0.035864),(4235,1525,-0.050965,-0.034478),(4235,1535,-0.051543,-0.033092),(4235,1545,-0.052121,-0.031712),(4235,1555,-0.0527,-0.030456),(4235,1565,-0.053263,-0.0292),(4235,1575,-0.053606,-0.027944),(4235,1585,-0.05395,-0.026702),(4235,1595,-0.054293,-0.02561),(4235,1605,-0.054621,-0.024519),(4235,1615,-0.05481,-0.023428),(4235,1625,-0.054999,-0.022357),(4235,1635,-0.055188,-0.021437),(4235,1645,-0.055363,-0.020516),(4235,1655,-0.055458,-0.019595),(4235,1665,-0.055552,-0.018701),(4235,1675,-0.055647,-0.017943),(4235,1685,-0.055731,-0.017184),(4235,1695,-0.055772,-0.016426),(4235,1705,-0.055814,-0.015697),(4235,1715,-0.055855,-0.015087),(4235,1725,-0.05589,-0.014477),(4235,1735,-0.055904,-0.013867),(4235,1745,-0.055919,-0.013289),(4235,1755,-0.055933,-0.012813),(4235,1765,-0.055946,-0.012338),(4235,1775,-0.05595,-0.011862),(4235,1785,-0.055955,-0.011421),(4235,1795,-0.05596,-0.011069),(4235,1805,-0.055964,-0.010717),(4235,1815,-0.055968,-0.010364),(4235,1825,-0.055971,-0.010049),(4235,1835,-0.055975,-0.009812),(4235,1845,-0.05598,-0.009575),(4235,1855,-0.055987,-0.009338),(4235,1865,-0.055994,-0.009141),(4235,1875,-0.056,-0.009015),(4235,1885,-0.056008,-0.008889),(4235,1895,-0.056018,-0.008762),(4235,1905,-0.056028,-0.00868),(4235,1915,-0.056039,-0.008664),(4235,1925,-0.056049,-0.008648),(4235,1935,-0.05606,-0.008632),(4235,1945,-0.05607,-0.008666),(4235,1955,-0.056081,-0.008764),(4235,1965,-0.05609,-0.008861),(4235,1975,-0.056096,-0.008959),(4235,1985,-0.056103,-0.009114),(4235,1995,-0.056109,-0.009332),(4235,2005,-0.05611,-0.009549),(4235,2015,-0.056105,-0.009767),(4235,2025,-0.0561,-0.010052),(4235,2035,-0.056096,-0.010401),(4235,2045,-0.05608,-0.010749),(4235,2055,-0.056055,-0.011097),(4235,2065,-0.05603,-0.011526),(4235,2075,-0.056005,-0.012018),(4235,2085,-0.055961,-0.012511),(4235,2095,-0.055904,-0.013003),(4235,2105,-0.055847,-0.013593),(4235,2115,-0.05579,-0.014248),(4235,2125,-0.055705,-0.014903),(4235,2135,-0.055601,-0.015558),(4235,2145,-0.055498,-0.01633),(4235,2155,-0.055395,-0.017169),(4235,2165,-0.05525,-0.018008),(4235,2175,-0.055083,-0.018847),(4235,2185,-0.054916,-0.019828),(4235,2195,-0.054749,-0.020877),(4235,2205,-0.054523,-0.021926),(4235,2215,-0.05427,-0.022974),(4235,2225,-0.054017,-0.024196),(4235,2235,-0.053764,-0.025484),(4235,2245,-0.053428,-0.026773),(4235,2255,-0.053062,-0.028062),(4235,2265,-0.052695,-0.029559),(4235,2275,-0.052329,-0.031123),(4235,2285,-0.051848,-0.032687),(4235,2295,-0.051334,-0.03425),(4235,2305,-0.050819,-0.036063),(4235,2315,-0.050305,-0.03794),(4235,2325,-0.049635,-0.039817),(4235,2335,-0.04893,-0.041693),(4235,2345,-0.048226,-0.043866),(4235,2355,-0.047521,-0.046097),(4235,2365,-0.046607,-0.048328),(4235,2375,-0.045659,-0.050559),(4235,2385,-0.04471,-0.053137),(4235,2395,-0.043761,-0.055765),(4235,2405,-0.042535,-0.058393),(4235,2415,-0.041277,-0.061021),(4235,2425,-0.040019,-0.064052),(4235,2435,-0.038761,-0.067119),(4235,2445,-0.037137,-0.070187),(4235,2455,-0.035489,-0.073254),(4235,2465,-0.033841,-0.076777),(4235,2475,-0.032193,-0.080321),(4235,2485,-0.03007,-0.083865),(4235,2495,-0.027935,-0.087409),(4235,2505,-0.0258,-0.091454),(4235,2515,-0.023656,-0.095501),(4235,2525,-0.020921,-0.099548),(4235,2535,-0.018186,-0.10361),(4235,2545,-0.015452,-0.10817),(4235,2555,-0.012677,-0.11273),(4235,2565,-0.009214,-0.11729),(4235,2575,-0.005751,-0.12189),(4235,2585,-0.002288,-0.12694),(4235,2595,0.001257,-0.13199),(4235,2605,0.005586,-0.13704),(4235,2615,0.009916,-0.14215),(4235,2625,0.014245,-0.14764),(4235,2635,0.018709,-0.15313),(4235,2645,0.024042,-0.15862),(4235,2655,0.029375,-0.16417),(4235,2665,0.034708,-0.17),(4235,2675,0.040236,-0.17584),(4235,2685,0.046695,-0.18168),(4235,2695,0.053153,-0.18755),(4235,2705,0.059611,-0.19359),(4235,2715,0.066327,-0.19963),(4235,2725,0.073996,-0.20567),(4235,2735,0.081666,-0.21171),(4235,2745,0.089335,-0.21778),(4235,2755,0.097319,-0.22385),(4235,2765,0.10623,-0.22992),(4235,2775,0.11515,-0.23594),(4235,2785,0.12406,-0.24184),(4235,2795,0.13333,-0.24774),(4235,2805,0.14346,-0.25365),(4235,2815,0.15359,-0.25944),(4235,2825,0.16372,-0.26499),(4235,2835,0.17423,-0.27054),(4235,2845,0.18549,-0.27609),(4235,2855,0.19675,-0.28146),(4235,2865,0.20802,-0.2865),(4235,2875,0.21966,-0.29154),(4235,2885,0.23193,-0.29658),(4235,2895,0.2442,-0.30136),(4235,2905,0.25648,-0.30576),(4235,2915,0.26911,-0.31016),(4235,2925,0.28225,-0.31456),(4235,2935,0.29539,-0.31864),(4235,2945,0.30853,-0.3223),(4235,2955,0.32199,-0.32597),(4235,2965,0.33584,-0.32963),(4235,2975,0.34969,-0.33292),(4235,2985,0.36355,-0.33579),(4235,2995,0.37768,-0.33866),(4235,3005,0.39209,-0.34152),(4235,3015,0.40651,-0.34396),(4235,3025,0.42093,-0.34598),(4235,3035,0.43557,-0.34801),(4235,3045,0.45041,-0.35003),(4235,3055,0.46526,-0.35157),(4235,3065,0.4801,-0.35271),(4235,3075,0.4951,-0.35385),(4235,3085,0.51023,-0.35499),(4235,3095,0.52536,-0.35559),(4235,3105,0.54049,-0.35581),(4235,3115,0.55572,-0.35603),(4235,3125,0.57101,-0.35625),(4235,3135,0.5863,-0.35586),(4235,3145,0.60158,-0.35512),(4235,3155,0.61689,-0.35437),(4235,3165,0.6322,-0.35363),(4235,3175,0.64751,-0.35221),(4235,3185,0.66283,-0.35045),(4235,3195,0.67806,-0.34869),(4235,3205,0.69326,-0.34693),(4235,3215,0.70845,-0.3444),(4235,3225,0.72365,-0.34156),(4235,3235,0.73865,-0.33872),(4235,3245,0.75358,-0.33588),(4235,3255,0.7685,-0.33218),(4235,3265,0.78343,-0.32819),(4235,3275,0.79801,-0.3242),(4235,3285,0.81249,-0.3202),(4235,3295,0.82697,-0.31524),(4235,3305,0.84145,-0.31002),(4235,3315,0.8554,-0.3048),(4235,3325,0.86922,-0.29958),(4235,3335,0.88304,-0.29328),(4235,3345,0.89686,-0.28675),(4235,3355,0.90992,-0.28022),(4235,3365,0.92284,-0.27369),(4235,3375,0.93576,-0.26599),(4235,3385,0.94868,-0.25809),(4235,3395,0.96055,-0.2502),(4235,3405,0.97229,-0.24231),(4235,3415,0.98402,-0.23316),(4235,3425,0.99576,-0.22388),(4235,3435,1.0061,-0.2146),(4235,3445,1.0163,-0.20532),(4235,3455,1.0265,-0.19475),(4235,3465,1.0368,-0.1841),(4235,3475,1.0452,-0.17346),(4235,3485,1.0536,-0.16282),(4235,3495,1.0619,-0.15094),(4235,3505,1.0703,-0.13904),(4235,3515,1.0764,-0.12714),(4235,3525,1.0826,-0.11521),(4235,3535,1.0887,-0.10226),(4235,3545,1.0948,-0.089311),(4235,3555,1.0984,-0.07636),(4235,3565,1.102,-0.063362),(4235,3575,1.1056,-0.04967),(4235,3585,1.1089,-0.035978),(4235,3595,1.1097,-0.022287),(4235,3605,1.1105,-0.008559),(4235,3615,1.1113,0.005475),(4235,3625,1.1118,0.019509),(4235,3635,1.1097,0.033544),(4235,3645,1.1076,0.047563),(4235,3655,1.1055,0.061497),(4235,3665,1.1029,0.07543),(4235,3675,1.0979,0.089363),(4235,3685,1.0929,0.1032),(4235,3695,1.0879,0.11661),(4235,3705,1.0824,0.13003),(4235,3715,1.0747,0.14344),(4235,3725,1.067,0.15666),(4235,3735,1.0593,0.16922),(4235,3745,1.0511,0.18177),(4235,3755,1.041,0.19433),(4235,3765,1.0309,0.2066),(4235,3775,1.0208,0.21808),(4235,3785,1.0101,0.22957),(4235,3795,0.99789,0.24105),(4235,3805,0.98569,0.25218),(4235,3815,0.9735,0.26249),(4235,3825,0.96074,0.2728),(4235,3835,0.94677,0.28312),(4235,3845,0.9328,0.29303),(4235,3855,0.91884,0.30219),(4235,3865,0.90433,0.31134),(4235,3875,0.88889,0.32049),(4235,3885,0.87344,0.32924),(4235,3895,0.858,0.33733),(4235,3905,0.84207,0.34541),(4235,3915,0.82542,0.3535),(4235,3925,0.80877,0.3612),(4235,3935,0.79212,0.36836),(4235,3945,0.77506,0.37553),(4235,3955,0.75748,0.3827),(4235,3965,0.7399,0.38951),(4235,3975,0.72232,0.39591),(4235,3985,0.70444,0.40231),(4235,3995,0.68622,0.4087),(4235,4005,0.668,0.41479),(4235,4015,0.64979,0.42055),(4235,4025,1.0198,0.42631),(4235,4035,1.4277,0.43042),(4235,4045,1.8357,0.43101),(4235,4055,2.127,0.4316),(4235,4065,2.3757,0.43172),(4235,4075,2.6244,0.42903),(4235,4085,2.7328,0.42634),(4235,4095,2.7282,0.42364),(4235,4105,2.7237,0.42061),(4235,4115,2.6237,0.41757),(4235,4125,2.3654,0.41453),(4235,4135,2.1071,0.41345),(4235,4145,1.8457,0.41291),(4235,4155,1.5718,0.41237),(4235,4165,1.298,0.41337),(4235,4175,1.0396,0.41537),(4235,4185,1.5471,0.41736),(4235,4195,2.0545,0.41676),(4235,4205,2.5619,0.41273),(4235,4215,2.6391,0.4087),(4235,4225,2.6353,0.40464),(4235,4235,2.6314,0.40046),(4235,4245,2.6274,0.39627),(4235,4255,2.6233,0.39206),(4235,4265,2.6191,0.38752),(4235,4275,2.2837,0.38297),(4235,4285,1.5968,0.37842),(4235,4295,0.90994,0.3804),(4235,4305,0.61318,0.38313),(4235,4315,1.1974,0.38587),(4235,4325,1.7816,0.38415),(4235,4335,2.3009,0.38068),(4235,4345,2.3809,0.37721),(4235,4355,2.461,0.37322),(4235,4365,2.5411,0.36879),(4235,4375,2.5422,0.36436),(4235,4385,2.5392,0.35996),(4235,4395,2.5362,0.35559),(4235,4405,2.2032,0.35122),(4235,4415,1.7729,0.3476),(4235,4425,1.3427,0.3473),(4235,4435,1.1587,0.34699),(4235,4445,1.143,0.34669),(4235,4455,1.1273,0.34644),(4235,4465,1.2951,0.3462),(4235,4475,1.7207,0.34595),(4235,4485,2.1462,0.34216),(4235,4495,2.47,0.33764),(4235,4505,2.4676,0.33312),(4235,4515,2.4652,0.3286),(4235,4525,2.4578,0.3241),(4235,4535,2.3717,0.31959),(4235,4545,2.2855,0.31544),(4235,4555,2.1994,0.31169),(4235,4565,1.6459,0.30795),(4235,4575,1.0293,0.30579),(4235,4585,0.41274,0.30752),(4235,4595,0.70931,0.30924),(4235,4605,1.3917,0.3103),(4235,4615,2.0741,0.30627),(4235,4625,2.3975,0.30223),(4235,4635,2.3959,0.29819),(4235,4645,2.3942,0.29431),(4235,4655,2.3925,0.29043),(4235,4665,2.3906,0.28656),(4235,4675,2.3888,0.28266),(4235,4685,2.3008,0.27876),(4235,4695,1.787,0.27486),(4235,4705,1.2733,0.2732),(4235,4715,0.75957,0.27317),(4235,4725,0.99796,0.27314),(4235,4735,1.2439,0.27244),(4235,4745,1.4898,0.27072),(4235,4755,1.7424,0.26901),(4235,4765,1.9966,0.26687),(4235,4775,2.2507,0.26323),(4235,4785,2.343,0.2596),(4235,4795,2.3416,0.25597),(4235,4805,2.3403,0.25232),(4235,4815,2.2226,0.24867),(4235,4825,1.9658,0.24503),(4235,4835,1.709,0.24287),(4235,4845,1.449,0.24095),(4235,4855,1.1806,0.23902),(4235,4865,0.91222,0.23839),(4235,4875,0.72137,0.23834),(4235,4885,1.2363,0.23828),(4235,4895,1.7512,0.23655),(4235,4905,2.2661,0.2332),(4235,4915,2.3059,0.22984),(4235,4925,2.3049,0.22649),(4235,4935,2.3038,0.22313),(4235,4945,2.3026,0.21977),(4235,4955,2.3014,0.2164),(4235,4965,2.3002,0.21294),(4235,4975,1.9113,0.20948),(4235,4985,1.223,0.20602),(4235,4995,0.53475,0.20668),(4235,5005,0.30866,0.20744),(4235,5015,0.81734,0.2082),(4235,5025,1.326,0.20705),(4235,5035,1.7641,0.20543),(4235,5045,1.933,0.20381),(4235,5055,2.102,0.20175),(4235,5065,2.266,0.19942),(4235,5075,2.2651,0.1971),(4235,5085,2.2642,0.19475),(4235,5095,2.2633,0.19237),(4235,5105,1.9712,0.18999),(4235,5115,1.6283,0.18797),(4235,5125,1.2854,0.18694),(4235,5135,1.1104,0.18592),(4235,5145,1.0167,0.18495),(4235,5155,0.92309,0.18462),(4235,5165,1.0877,0.18429),(4235,5175,1.5158,0.18396),(4235,5185,1.9439,0.18251),(4235,5195,2.236,0.18094),(4235,5205,2.235,0.17937),(4235,5215,2.234,0.17772),(4235,5225,2.2215,0.17604),(4235,5235,2.137,0.17436),(4235,5245,2.0525,0.17268),(4235,5255,1.968,0.171),(4235,5265,1.3804,0.16931),(4235,5275,0.77196,0.16833),(4235,5285,0.16357,0.16853),(4235,5295,0.55892,0.16874),(4235,5305,1.2338,0.16861),(4235,5315,1.9087,0.1671),(4235,5325,2.1756,0.16559),(4235,5335,2.1749,0.16408),(4235,5345,2.1742,0.16239),(4235,5355,2.1735,0.16071),(4235,5365,2.1727,0.15902),(4235,5375,2.172,0.15716),(4235,5385,2.0464,0.15527),(4235,5395,1.5414,0.15337),(4235,5405,1.0364,0.15244),(4235,5415,0.58386,0.152),(4235,5425,0.83564,0.15157),(4235,5435,1.0874,0.14991),(4235,5445,1.3392,0.14694),(4235,5455,1.5918,0.14397),(4235,5465,1.8445,0.14039),(4235,5475,2.0972,0.1354),(4235,5485,2.1694,0.13041),(4235,5495,2.1689,0.12543),(4235,5505,2.1684,0.12056),(4235,5515,2.1675,0.11568),(4235,5525,2.1664,0.11081),(4235,5535,2.1652,0.10652),(4235,5545,2.1637,0.10225),(4235,5555,2.1615,0.097991),(4235,5565,2.1593,0.094534),(4235,5575,2.157,0.09132),(4235,5585,2.1538,0.088107),(4235,5595,2.1507,0.085616),(4235,5605,2.1475,0.083627),(4235,5615,2.1436,0.081639),(4235,5625,2.1397,0.08013),(4235,5635,2.1358,0.079308),(4235,5645,2.1314,0.078487),(4235,5655,2.1271,0.077886),(4235,5665,2.1227,0.078014),(4235,5675,2.1182,0.078142),(4235,5685,2.1136,0.078307),(4235,5695,2.109,0.079122),(4235,5705,2.1045,0.079937),(4235,5715,2.0999,0.080752),(4235,5725,2.0954,0.081979),(4235,5735,2.0909,0.083264),(4235,5745,2.0865,0.084549),(4235,5755,2.0822,0.086026),(4235,5765,2.0779,0.087587),(4235,5775,2.0738,0.089148),(4235,5785,2.0697,0.090803),(4235,5795,2.0656,0.092545),(4235,5805,2.0618,0.094287),(4235,5815,2.058,0.09608),(4235,5825,2.0542,0.097973),(4235,5835,2.0507,0.099865),(4235,5845,2.0472,0.10179),(4235,5855,2.0438,0.10386),(4235,5865,2.0405,0.10594),(4235,5875,2.0375,0.10801),(4235,5885,2.0344,0.11033),(4235,5895,2.0315,0.11265),(4235,5905,2.0289,0.11497),(4235,5915,2.0262,0.1175),(4235,5925,2.0237,0.12008),(4235,5935,2.0215,0.12266),(4235,5945,2.0194,0.12539),(4235,5955,2.0173,0.12821),(4235,5965,2.0156,0.13103),(4235,5975,2.014,0.1339),(4235,5985,2.0123,0.13683),(4235,5995,1.5379,0.13977),(4235,6005,0.98734,0.14196),(4235,6015,0.43679,0.14217),(4235,6025,0.63321,0.14237),(4235,6035,1.1761,0.14186),(4235,6045,1.7189,0.13435),(4235,6055,2.0914,0.12685),(4235,6065,2.2968,0.11935),(4235,6075,2.5022,0.111),(4235,6085,2.6388,0.10258),(4235,6095,2.6335,0.094163),(4235,6105,2.6283,0.087633),(4235,6115,2.6228,0.081775),(4235,6125,2.6157,0.075917),(4235,6135,2.6086,0.071518),(4235,6145,2.6015,0.068268),(4235,6155,2.5939,0.065017),(4235,6165,2.5862,0.062561),(4235,6175,2.5785,0.061394),(4235,6185,2.5711,0.060227),(4235,6195,2.5637,0.059321),(4235,6205,2.5564,0.059439),(4235,6215,2.5495,0.059558),(4235,6225,2.5431,0.05969),(4235,6235,2.5366,0.060358),(4235,6245,2.5306,0.061026),(4235,6255,2.5253,0.061694),(4235,6265,2.5199,0.062362),(4235,6275,2.5148,0.063031),(4235,6285,2.5106,0.063699),(4235,6295,2.5063,0.064118),(4235,6305,2.5022,0.064414),(4235,6315,2.4988,0.064709),(4235,6325,2.4955,0.064763),(4235,6335,2.4922,0.064565),(4235,6345,2.4896,0.064367),(4235,6355,2.4871,0.063988),(4235,6365,2.4846,0.063212),(4235,6375,2.4826,0.062435),(4235,6385,2.4808,0.061596),(4235,6395,2.4789,0.060352),(4235,6405,2.4774,0.059108),(4235,6415,2.476,0.057864),(4235,6425,2.4746,0.056148),(4235,6435,2.4734,0.054409),(4235,6445,2.4725,0.05267),(4235,6455,2.4715,0.05058),(4235,6465,2.4706,0.04839),(4235,6475,2.4699,0.0462),(4235,6485,2.4693,0.043848),(4235,6495,2.4686,0.04139),(4235,6505,2.4682,0.038931),(4235,6515,2.4677,0.036349),(4235,6525,2.4673,0.033599),(4235,6535,2.467,0.030849),(4235,6545,2.4667,0.028057),(4235,6555,2.4664,0.025137),(4235,6565,2.4663,0.022217),(4235,6575,2.4662,0.019292),(4235,6585,2.4661,0.016302),(4235,6595,2.0975,0.013313),(4235,6605,1.3221,0.010323),(4235,6615,0.54673,0.009968),(4235,6625,0.001638,0.009951),(4235,6635,0.001653,0.009934),(4235,6645,0.001667,0.00992),(4235,6655,0.001682,0.009907),(4235,6665,0.001694,0.009894),(4235,6675,0.001706,0.009881),(4235,6685,0.001719,0.009867),(4235,6695,0.001729,0.009854),(4235,6705,0.001739,0.009841),(4235,6715,0.001749,0.009827),(4235,6725,0.001757,0.009813),(4235,6735,0.001765,0.0098),(4235,6745,0.001773,0.009786),(4235,6755,0.00178,0.009773),(4235,6765,0.001787,0.00976),(4235,6775,0.001793,0.009746),(4235,6785,0.001799,0.009733),(4235,6795,0.001804,0.00972),(4235,6805,0.00181,0.009707),(4235,6815,0.001815,0.009694),(4235,6825,0.001819,0.009681),(4235,6835,0.001823,0.009668),(4235,6845,0.001827,0.009655),(4235,6855,0.00183,0.009643),(4235,6865,0.001833,0.009631),(4235,6875,0.001837,0.009618),(4235,6885,0.001839,0.009606),(4235,6895,0.001842,0.009594),(4235,6905,0.001844,0.009582),(4235,6915,0.001846,0.00957),(4235,6925,0.001848,0.009558),(4235,6935,0.00185,0.009547),(4235,6945,0.001852,0.009536),(4235,6955,0.001853,0.009524),(4235,6965,0.001855,0.009513),(4235,6975,0.001856,0.009502),(4235,6985,0.001857,0.009491),(4245,5,3.1e-05,-0.002339),(4245,15,9.3e-05,-0.002341),(4245,25,0.000154,-0.002342),(4245,35,0.000216,-0.002344),(4245,45,0.000278,-0.002348),(4245,55,0.00034,-0.002354),(4245,65,0.000402,-0.00236),(4245,75,0.000465,-0.002365),(4245,85,0.000527,-0.002374),(4245,95,0.00059,-0.002383),(4245,105,0.000653,-0.002393),(4245,115,0.000716,-0.002403),(4245,125,0.00078,-0.002415),(4245,135,0.000843,-0.002429),(4245,145,0.000908,-0.002442),(4245,155,0.000973,-0.002456),(4245,165,0.001038,-0.002473),(4245,175,0.001102,-0.002491),(4245,185,0.001169,-0.002509),(4245,195,0.001235,-0.002527),(4245,205,0.001302,-0.002549),(4245,215,0.001369,-0.002572),(4245,225,0.001437,-0.002595),(4245,235,0.001506,-0.002617),(4245,245,0.001575,-0.002644),(4245,255,0.001644,-0.002672),(4245,265,0.001716,-0.002701),(4245,275,0.001788,-0.002729),(4245,285,0.001859,-0.002762),(4245,295,0.001931,-0.002796),(4245,305,0.002006,-0.002829),(4245,315,0.002081,-0.002864),(4245,325,0.002156,-0.002903),(4245,335,0.002231,-0.002943),(4245,345,0.00231,-0.002984),(4245,355,0.002389,-0.003024),(4245,365,0.002468,-0.003071),(4245,375,0.002548,-0.003119),(4245,385,0.002631,-0.003167),(4245,395,0.002715,-0.003215),(4245,405,0.002799,-0.003271),(4245,415,0.002882,-0.003328),(4245,425,0.002971,-0.003385),(4245,435,0.00306,-0.003442),(4245,445,0.003149,-0.003508),(4245,455,0.003238,-0.003574),(4245,465,0.003333,-0.003641),(4245,475,0.003428,-0.003708),(4245,485,0.003523,-0.003786),(4245,495,0.003618,-0.003864),(4245,505,0.003719,-0.003942),(4245,515,0.003821,-0.00402),(4245,525,0.003922,-0.004112),(4245,535,0.004024,-0.004204),(4245,545,0.004133,-0.004295),(4245,555,0.004242,-0.004388),(4245,565,0.004352,-0.004496),(4245,575,0.004461,-0.004604),(4245,585,0.004579,-0.004712),(4245,595,0.004697,-0.004822),(4245,605,0.004814,-0.004949),(4245,615,0.004933,-0.005076),(4245,625,0.005059,-0.005204),(4245,635,0.005186,-0.005334),(4245,645,0.005313,-0.005484),(4245,655,0.005441,-0.005634),(4245,665,0.005578,-0.005784),(4245,675,0.005714,-0.005939),(4245,685,0.005851,-0.006117),(4245,695,0.00599,-0.006295),(4245,705,0.006137,-0.006473),(4245,715,0.006284,-0.006658),(4245,725,0.006431,-0.006869),(4245,735,0.00658,-0.00708),(4245,745,0.006738,-0.007292),(4245,755,0.006895,-0.007513),(4245,765,0.007052,-0.007765),(4245,775,0.007213,-0.008017),(4245,785,0.00738,-0.008269),(4245,795,0.007547,-0.008535),(4245,805,0.007714,-0.008836),(4245,815,0.007884,-0.009137),(4245,825,0.008059,-0.009439),(4245,835,0.008235,-0.00976),(4245,845,0.00841,-0.010121),(4245,855,0.008587,-0.010483),(4245,865,0.008767,-0.010845),(4245,875,0.008947,-0.011234),(4245,885,0.009127,-0.01167),(4245,895,0.009306,-0.012107),(4245,905,0.009484,-0.012543),(4245,915,0.009662,-0.013016),(4245,925,0.00984,-0.013543),(4245,935,0.010012,-0.01407),(4245,945,0.010177,-0.014597),(4245,955,0.010342,-0.015173),(4245,965,0.010507,-0.01581),(4245,975,0.010657,-0.016447),(4245,985,0.01079,-0.017084),(4245,995,0.010923,-0.017786),(4245,1005,0.011056,-0.018555),(4245,1015,0.011158,-0.019324),(4245,1025,0.011231,-0.020092),(4245,1035,0.011303,-0.020943),(4245,1045,0.011376,-0.021866),(4245,1055,0.01139,-0.022789),(4245,1065,0.011357,-0.023712),(4245,1075,0.011325,-0.024733),(4245,1085,0.011292,-0.025828),(4245,1095,0.011159,-0.026923),(4245,1105,0.010957,-0.028018),(4245,1115,0.010755,-0.029221),(4245,1125,0.010553,-0.030493),(4245,1135,0.010188,-0.031765),(4245,1145,0.009728,-0.033037),(4245,1155,0.009268,-0.034406),(4245,1165,0.008807,-0.035829),(4245,1175,0.008101,-0.037251),(4245,1185,0.007273,-0.038674),(4245,1195,0.006445,-0.040143),(4245,1205,0.005617,-0.041634),(4245,1215,0.004449,-0.043124),(4245,1225,0.003142,-0.044615),(4245,1235,0.001835,-0.046034),(4245,1245,0.000528,-0.047426),(4245,1255,-0.001185,-0.048818),(4245,1265,-0.003035,-0.050211),(4245,1275,-0.004885,-0.051328),(4245,1285,-0.006735,-0.052363),(4245,1295,-0.008961,-0.053397),(4245,1305,-0.011288,-0.054432),(4245,1315,-0.013616,-0.054937),(4245,1325,-0.015943,-0.055316),(4245,1335,-0.018446,-0.055696),(4245,1345,-0.020986,-0.056075),(4245,1355,-0.023525,-0.055761),(4245,1365,-0.026065,-0.055321),(4245,1375,-0.028438,-0.054882),(4245,1385,-0.030786,-0.054442),(4245,1395,-0.033134,-0.053421),(4245,1405,-0.035482,-0.052325),(4245,1415,-0.037414,-0.051229),(4245,1425,-0.039303,-0.050133),(4245,1435,-0.041193,-0.048706),(4245,1445,-0.043082,-0.047251),(4245,1455,-0.044475,-0.045797),(4245,1465,-0.045839,-0.044343),(4245,1475,-0.047203,-0.042797),(4245,1485,-0.048567,-0.041247),(4245,1495,-0.049475,-0.039697),(4245,1505,-0.050376,-0.038147),(4245,1515,-0.051277,-0.036671),(4245,1525,-0.05217,-0.035194),(4245,1535,-0.052718,-0.033717),(4245,1545,-0.053266,-0.032248),(4245,1555,-0.053815,-0.030929),(4245,1565,-0.054348,-0.029611),(4245,1575,-0.054652,-0.028293),(4245,1585,-0.054956,-0.02699),(4245,1595,-0.055261,-0.025859),(4245,1605,-0.055549,-0.024728),(4245,1615,-0.055697,-0.023597),(4245,1625,-0.055845,-0.022489),(4245,1635,-0.055993,-0.021545),(4245,1645,-0.056128,-0.020601),(4245,1655,-0.056183,-0.019657),(4245,1665,-0.056238,-0.018742),(4245,1675,-0.056293,-0.017971),(4245,1685,-0.056339,-0.0172),(4245,1695,-0.056344,-0.016429),(4245,1705,-0.056348,-0.015689),(4245,1715,-0.056353,-0.015073),(4245,1725,-0.056353,-0.014457),(4245,1735,-0.056334,-0.013842),(4245,1745,-0.056315,-0.013259),(4245,1755,-0.056297,-0.012782),(4245,1765,-0.056276,-0.012305),(4245,1775,-0.05625,-0.011828),(4245,1785,-0.056224,-0.011386),(4245,1795,-0.056198,-0.011034),(4245,1805,-0.056173,-0.010682),(4245,1815,-0.056148,-0.01033),(4245,1825,-0.056123,-0.010015),(4245,1835,-0.056098,-0.009779),(4245,1845,-0.056074,-0.009543),(4245,1855,-0.056053,-0.009307),(4245,1865,-0.056032,-0.009111),(4245,1875,-0.056011,-0.008986),(4245,1885,-0.055992,-0.008861),(4245,1895,-0.055974,-0.008735),(4245,1905,-0.055957,-0.008654),(4245,1915,-0.055939,-0.008638),(4245,1925,-0.055921,-0.008622),(4245,1935,-0.055904,-0.008606),(4245,1945,-0.055886,-0.008639),(4245,1955,-0.055868,-0.008735),(4245,1965,-0.055848,-0.00883),(4245,1975,-0.055824,-0.008926),(4245,1985,-0.0558,-0.009079),(4245,1995,-0.055776,-0.009293),(4245,2005,-0.055746,-0.009507),(4245,2015,-0.055708,-0.009721),(4245,2025,-0.055671,-0.010001),(4245,2035,-0.055633,-0.010343),(4245,2045,-0.055583,-0.010685),(4245,2055,-0.055521,-0.011026),(4245,2065,-0.05546,-0.011447),(4245,2075,-0.055398,-0.01193),(4245,2085,-0.055316,-0.012413),(4245,2095,-0.055218,-0.012896),(4245,2105,-0.055121,-0.013474),(4245,2115,-0.055023,-0.014116),(4245,2125,-0.054893,-0.014757),(4245,2135,-0.054744,-0.015398),(4245,2145,-0.054595,-0.016154),(4245,2155,-0.054445,-0.016975),(4245,2165,-0.05425,-0.017796),(4245,2175,-0.05403,-0.018616),(4245,2185,-0.053811,-0.019575),(4245,2195,-0.053591,-0.0206),(4245,2205,-0.053307,-0.021625),(4245,2215,-0.052994,-0.022649),(4245,2225,-0.052681,-0.023841),(4245,2235,-0.052368,-0.025098),(4245,2245,-0.051965,-0.026356),(4245,2255,-0.05153,-0.027613),(4245,2265,-0.051095,-0.029072),(4245,2275,-0.05066,-0.030595),(4245,2285,-0.050103,-0.032118),(4245,2295,-0.049511,-0.033641),(4245,2305,-0.048918,-0.035405),(4245,2315,-0.048326,-0.03723),(4245,2325,-0.04757,-0.039055),(4245,2335,-0.046776,-0.04088),(4245,2345,-0.045983,-0.04299),(4245,2355,-0.04519,-0.045156),(4245,2365,-0.044179,-0.047321),(4245,2375,-0.043131,-0.049487),(4245,2385,-0.042083,-0.051986),(4245,2395,-0.041036,-0.054533),(4245,2405,-0.039701,-0.057079),(4245,2415,-0.038334,-0.059625),(4245,2425,-0.036966,-0.062556),(4245,2435,-0.035599,-0.065522),(4245,2445,-0.033858,-0.068488),(4245,2455,-0.032091,-0.071454),(4245,2465,-0.030325,-0.074853),(4245,2475,-0.028558,-0.078272),(4245,2485,-0.026311,-0.081691),(4245,2495,-0.024052,-0.08511),(4245,2505,-0.021793,-0.089003),(4245,2515,-0.019524,-0.092898),(4245,2525,-0.016664,-0.096794),(4245,2535,-0.013803,-0.10071),(4245,2545,-0.010943,-0.10508),(4245,2555,-0.008043,-0.10946),(4245,2565,-0.00446,-0.11384),(4245,2575,-0.000877,-0.11825),(4245,2585,0.002706,-0.12309),(4245,2595,0.006369,-0.12793),(4245,2605,0.010803,-0.13276),(4245,2615,0.015237,-0.13765),(4245,2625,0.01967,-0.1429),(4245,2635,0.024235,-0.14815),(4245,2645,0.029645,-0.15339),(4245,2655,0.035056,-0.15869),(4245,2665,0.040466,-0.16426),(4245,2675,0.046065,-0.16982),(4245,2685,0.052561,-0.17539),(4245,2695,0.059058,-0.18099),(4245,2705,0.065555,-0.18674),(4245,2715,0.072299,-0.19248),(4245,2725,0.079958,-0.19823),(4245,2735,0.087618,-0.20399),(4245,2745,0.095277,-0.20976),(4245,2755,0.10324,-0.21553),(4245,2765,0.11209,-0.2213),(4245,2775,0.12094,-0.22703),(4245,2785,0.12979,-0.23264),(4245,2795,0.13898,-0.23826),(4245,2805,0.149,-0.24387),(4245,2815,0.15901,-0.24938),(4245,2825,0.16903,-0.25466),(4245,2835,0.1794,-0.25994),(4245,2845,0.19051,-0.26521),(4245,2855,0.20161,-0.27032),(4245,2865,0.21272,-0.27512),(4245,2875,0.22418,-0.27991),(4245,2885,0.23626,-0.28471),(4245,2895,0.24834,-0.28926),(4245,2905,0.26042,-0.29345),(4245,2915,0.27285,-0.29764),(4245,2925,0.28577,-0.30183),(4245,2935,0.29869,-0.30571),(4245,2945,0.31161,-0.3092),(4245,2955,0.32484,-0.31269),(4245,2965,0.33846,-0.31618),(4245,2975,0.35208,-0.31932),(4245,2985,0.36569,-0.32205),(4245,2995,0.37958,-0.32477),(4245,3005,0.39375,-0.3275),(4245,3015,0.40792,-0.32982),(4245,3025,0.42209,-0.33174),(4245,3035,0.43647,-0.33366),(4245,3045,0.45106,-0.33558),(4245,3055,0.46564,-0.33703),(4245,3065,0.48022,-0.3381),(4245,3075,0.49496,-0.33917),(4245,3085,0.50982,-0.34024),(4245,3095,0.52468,-0.34079),(4245,3105,0.53954,-0.34097),(4245,3115,0.55449,-0.34116),(4245,3125,0.5695,-0.34134),(4245,3135,0.58451,-0.34094),(4245,3145,0.59952,-0.3402),(4245,3155,0.61453,-0.33945),(4245,3165,0.62955,-0.3387),(4245,3175,0.64457,-0.3373),(4245,3185,0.65959,-0.33558),(4245,3195,0.67452,-0.33385),(4245,3205,0.68941,-0.33213),(4245,3215,0.70429,-0.32967),(4245,3225,0.71918,-0.3269),(4245,3235,0.73386,-0.32413),(4245,3245,0.74846,-0.32137),(4245,3255,0.76306,-0.31778),(4245,3265,0.77765,-0.3139),(4245,3275,0.79189,-0.31003),(4245,3285,0.80602,-0.30616),(4245,3295,0.82016,-0.30136),(4245,3305,0.83429,-0.29631),(4245,3315,0.84787,-0.29126),(4245,3325,0.86133,-0.28621),(4245,3335,0.87478,-0.28013),(4245,3345,0.88824,-0.27383),(4245,3355,0.90092,-0.26754),(4245,3365,0.91346,-0.26124),(4245,3375,0.926,-0.25383),(4245,3385,0.93854,-0.24624),(4245,3395,0.95003,-0.23865),(4245,3405,0.96138,-0.23106),(4245,3415,0.97273,-0.22228),(4245,3425,0.98408,-0.21337),(4245,3435,0.99404,-0.20447),(4245,3445,1.0039,-0.19557),(4245,3455,1.0137,-0.18545),(4245,3465,1.0236,-0.17527),(4245,3475,1.0317,-0.16508),(4245,3485,1.0397,-0.1549),(4245,3495,1.0477,-0.14356),(4245,3505,1.0557,-0.1322),(4245,3515,1.0616,-0.12084),(4245,3525,1.0674,-0.10946),(4245,3535,1.0733,-0.097125),(4245,3545,1.0791,-0.084789),(4245,3555,1.0825,-0.072452),(4245,3565,1.0859,-0.060072),(4245,3575,1.0892,-0.047049),(4245,3585,1.0924,-0.034026),(4245,3595,1.0931,-0.021003),(4245,3605,1.0938,-0.007947),(4245,3615,1.0946,0.005392),(4245,3625,1.0949,0.018732),(4245,3635,1.0929,0.032071),(4245,3645,1.0908,0.045397),(4245,3655,1.0887,0.058642),(4245,3665,1.0862,0.071887),(4245,3675,1.0813,0.085132),(4245,3685,1.0765,0.098289),(4245,3695,1.0716,0.11105),(4245,3705,1.0663,0.12381),(4245,3715,1.0588,0.13658),(4245,3725,1.0514,0.14916),(4245,3735,1.044,0.16113),(4245,3745,1.0359,0.1731),(4245,3755,1.0261,0.18506),(4245,3765,1.0163,0.19677),(4245,3775,1.0066,0.20773),(4245,3785,0.99617,0.21869),(4245,3795,0.98431,0.22966),(4245,3805,0.97245,0.24029),(4245,3815,0.96058,0.25015),(4245,3825,0.94815,0.26002),(4245,3835,0.93452,0.26988),(4245,3845,0.92088,0.27938),(4245,3855,0.90724,0.28815),(4245,3865,0.89307,0.29692),(4245,3875,0.87793,0.30569),(4245,3885,0.86279,0.31408),(4245,3895,0.84766,0.32185),(4245,3905,0.83202,0.32962),(4245,3915,0.81565,0.3374),(4245,3925,0.79928,0.34481),(4245,3935,0.7829,0.35173),(4245,3945,0.7661,0.35865),(4245,3955,0.74876,0.36557),(4245,3965,0.73142,0.37217),(4245,3975,0.71408,0.3784),(4245,3985,0.69643,0.38463),(4245,3995,0.67843,0.39086),(4245,4005,0.66044,0.39681),(4245,4015,0.64244,0.40248),(4245,4025,1.0129,0.40814),(4245,4035,1.4215,0.41216),(4245,4045,1.83,0.41269),(4245,4055,2.1217,0.41323),(4245,4065,2.3708,0.41329),(4245,4075,2.6199,0.41055),(4245,4085,2.7285,0.40781),(4245,4095,2.7241,0.40506),(4245,4105,2.7197,0.40201),(4245,4115,2.6197,0.39895),(4245,4125,2.3613,0.39589),(4245,4135,2.1028,0.39482),(4245,4145,1.8413,0.39429),(4245,4155,1.5674,0.39376),(4245,4165,1.2935,0.39475),(4245,4175,1.035,0.39672),(4245,4185,1.543,0.39868),(4245,4195,2.0509,0.39809),(4245,4205,2.5589,0.39412),(4245,4215,2.6362,0.39014),(4245,4225,2.6324,0.38612),(4245,4235,2.6287,0.382),(4245,4245,2.6247,0.37787),(4245,4255,2.6207,0.37372),(4245,4265,2.6167,0.36928),(4245,4275,2.2812,0.36485),(4245,4285,1.5938,0.36041),(4245,4295,0.90644,0.3624),(4245,4305,0.60947,0.36513),(4245,4315,1.194,0.36786),(4245,4325,1.7786,0.36622),(4245,4335,2.2982,0.36286),(4245,4345,2.3784,0.3595),(4245,4355,2.4586,0.35564),(4245,4365,2.5388,0.35134),(4245,4375,2.5399,0.34705),(4245,4385,2.5368,0.34278),(4245,4395,2.5338,0.33856),(4245,4405,2.2008,0.33435),(4245,4415,1.7703,0.33086),(4245,4425,1.3399,0.33064),(4245,4435,1.1559,0.33041),(4245,4445,1.1403,0.33018),(4245,4455,1.1246,0.33001),(4245,4465,1.2925,0.32984),(4245,4475,1.7183,0.32967),(4245,4485,2.144,0.32608),(4245,4495,2.468,0.32177),(4245,4505,2.4656,0.31746),(4245,4515,2.4631,0.31315),(4245,4525,2.4557,0.30884),(4245,4535,2.3696,0.30452),(4245,4545,2.2835,0.30055),(4245,4555,2.1974,0.29697),(4245,4565,1.6437,0.29338),(4245,4575,1.0271,0.29133),(4245,4585,0.41041,0.293),(4245,4595,0.70695,0.29467),(4245,4605,1.3893,0.2957),(4245,4615,2.0717,0.29182),(4245,4625,2.3951,0.28794),(4245,4635,2.3934,0.28405),(4245,4645,2.3917,0.28029),(4245,4655,2.3899,0.27653),(4245,4665,2.3881,0.27277),(4245,4675,2.3863,0.26899),(4245,4685,2.2983,0.26521),(4245,4695,1.7847,0.26143),(4245,4705,1.2711,0.25982),(4245,4715,0.75756,0.25978),(4245,4725,0.99585,0.25975),(4245,4735,1.2417,0.25908),(4245,4745,1.4875,0.25747),(4245,4755,1.74,0.25586),(4245,4765,1.9941,0.25385),(4245,4775,2.2482,0.25044),(4245,4785,2.3404,0.24702),(4245,4795,2.3391,0.2436),(4245,4805,2.3377,0.24016),(4245,4815,2.2201,0.23673),(4245,4825,1.9635,0.23329),(4245,4835,1.7068,0.23126),(4245,4845,1.447,0.22944),(4245,4855,1.1787,0.22762),(4245,4865,0.91036,0.227),(4245,4875,0.71958,0.22693),(4245,4885,1.2342,0.22685),(4245,4895,1.7488,0.22523),(4245,4905,2.2634,0.22211),(4245,4915,2.3032,0.219),(4245,4925,2.3021,0.21587),(4245,4935,2.3011,0.21273),(4245,4945,2.3,0.20959),(4245,4955,2.2988,0.20644),(4245,4965,2.2976,0.20321),(4245,4975,1.9089,0.19999),(4245,4985,1.2211,0.19677),(4245,4995,0.53333,0.19732),(4245,5005,0.30731,0.19797),(4245,5015,0.81543,0.19862),(4245,5025,1.3235,0.19755),(4245,5035,1.7611,0.19604),(4245,5045,1.9299,0.19453),(4245,5055,2.0986,0.19262),(4245,5065,2.2623,0.19048),(4245,5075,2.2615,0.18834),(4245,5085,2.2606,0.18617),(4245,5095,2.2597,0.18397),(4245,5105,1.968,0.18177),(4245,5115,1.6256,0.17989),(4245,5125,1.2832,0.1789),(4245,5135,1.1083,0.17791),(4245,5145,1.0147,0.17698),(4245,5155,0.92113,0.1767),(4245,5165,1.0855,0.17643),(4245,5175,1.5128,0.17615),(4245,5185,1.9402,0.17492),(4245,5195,2.2319,0.1736),(4245,5205,2.2309,0.17228),(4245,5215,2.23,0.17085),(4245,5225,2.2174,0.16937),(4245,5235,2.1332,0.16789),(4245,5245,2.0489,0.16636),(4245,5255,1.9646,0.1648),(4245,5265,1.3779,0.16323),(4245,5275,0.77046,0.1623),(4245,5285,0.16303,0.16246),(4245,5295,0.55766,0.16262),(4245,5305,1.2314,0.16249),(4245,5315,1.905,0.1611),(4245,5325,2.1715,0.15972),(4245,5335,2.1708,0.15833),(4245,5345,2.1702,0.15673),(4245,5355,2.1695,0.15513),(4245,5365,2.1688,0.15353),(4245,5375,2.1682,0.15175),(4245,5385,2.0429,0.14993),(4245,5395,1.5387,0.14812),(4245,5405,1.0346,0.1472),(4245,5415,0.5828,0.14675),(4245,5425,0.83467,0.1463),(4245,5435,1.0865,0.14455),(4245,5445,1.3384,0.14138),(4245,5455,1.591,0.13821),(4245,5465,1.8437,0.13441),(4245,5475,2.0963,0.12914),(4245,5485,2.1685,0.12387),(4245,5495,2.168,0.11864),(4245,5505,2.1675,0.11366),(4245,5515,2.1666,0.10867),(4245,5525,2.1653,0.10369),(4245,5535,2.164,0.099511),(4245,5545,2.1623,0.095375),(4245,5555,2.1598,0.091238),(4245,5565,2.1574,0.088063),(4245,5575,2.1547,0.085179),(4245,5585,2.1512,0.082294),(4245,5595,2.1477,0.080194),(4245,5605,2.1442,0.078641),(4245,5615,2.1399,0.077088),(4245,5625,2.1356,0.076014),(4245,5635,2.1313,0.075628),(4245,5645,2.1267,0.075241),(4245,5655,2.1219,0.075058),(4245,5665,2.1172,0.075544),(4245,5675,2.1124,0.07603),(4245,5685,2.1076,0.076548),(4245,5695,2.1028,0.077602),(4245,5705,2.098,0.078656),(4245,5715,2.0933,0.07971),(4245,5725,2.0886,0.081058),(4245,5735,2.084,0.082446),(4245,5745,2.0795,0.083835),(4245,5755,2.075,0.085332),(4245,5765,2.0706,0.086875),(4245,5775,2.0664,0.088419),(4245,5785,2.0622,0.090004),(4245,5795,2.0581,0.091628),(4245,5805,2.0542,0.093253),(4245,5815,2.0503,0.094904),(4245,5825,2.0465,0.096609),(4245,5835,2.0429,0.098314),(4245,5845,2.0394,0.10004),(4245,5855,2.0359,0.1019),(4245,5865,2.0326,0.10375),(4245,5875,2.0295,0.10561),(4245,5885,2.0264,0.10772),(4245,5895,2.0234,0.10984),(4245,5905,2.0207,0.11195),(4245,5915,2.018,0.11434),(4245,5925,2.0154,0.11679),(4245,5935,2.0132,0.11924),(4245,5945,2.0111,0.12192),(4245,5955,2.0089,0.12472),(4245,5965,2.0073,0.12752),(4245,5975,2.0056,0.13044),(4245,5985,2.004,0.13348),(4245,5995,1.5316,0.13653),(4245,6005,0.98334,0.1388),(4245,6015,0.43512,0.139),(4245,6025,0.63324,0.13919),(4245,6035,1.1775,0.13863),(4245,6045,1.7218,0.13079),(4245,6055,2.095,0.12294),(4245,6065,2.3004,0.11509),(4245,6075,2.5059,0.10671),(4245,6085,2.6423,0.098268),(4245,6095,2.6363,0.089831),(4245,6105,2.6304,0.083664),(4245,6115,2.6242,0.078305),(4245,6125,2.6163,0.072946),(4245,6135,2.6085,0.069209),(4245,6145,2.6007,0.06675),(4245,6155,2.5923,0.064291),(4245,6165,2.584,0.062635),(4245,6175,2.5756,0.062283),(4245,6185,2.5677,0.061932),(4245,6195,2.5599,0.061809),(4245,6205,2.5521,0.062588),(4245,6215,2.545,0.063366),(4245,6225,2.5383,0.064152),(4245,6235,2.5316,0.06525),(4245,6245,2.5255,0.066348),(4245,6255,2.5201,0.067445),(4245,6265,2.5147,0.068355),(4245,6275,2.5095,0.06923),(4245,6285,2.5054,0.070106),(4245,6295,2.5012,0.070627),(4245,6305,2.4971,0.070972),(4245,6315,2.4938,0.071316),(4245,6325,2.4906,0.071349),(4245,6335,2.4874,0.071057),(4245,6345,2.485,0.070765),(4245,6355,2.4826,0.070268),(4245,6365,2.4803,0.06932),(4245,6375,2.4784,0.068373),(4245,6385,2.4767,0.067355),(4245,6395,2.475,0.065884),(4245,6405,2.4736,0.064413),(4245,6415,2.4724,0.062942),(4245,6425,2.4712,0.060976),(4245,6435,2.4701,0.058987),(4245,6445,2.4693,0.056999),(4245,6455,2.4684,0.054649),(4245,6465,2.4676,0.052195),(4245,6475,2.467,0.049741),(4245,6485,2.4665,0.04712),(4245,6495,2.4659,0.044387),(4245,6505,2.4655,0.041654),(4245,6515,2.4651,0.0388),(4245,6525,2.4647,0.03578),(4245,6535,2.4645,0.032761),(4245,6545,2.4643,0.029699),(4245,6555,2.464,0.026507),(4245,6565,2.4639,0.023314),(4245,6575,2.4638,0.020117),(4245,6585,2.4638,0.016857),(4245,6595,2.0956,0.013596),(4245,6605,1.3209,0.010335),(4245,6615,0.54622,0.009958),(4245,6625,0.001646,0.009952),(4245,6635,0.001661,0.009946),(4245,6645,0.001676,0.009935),(4245,6655,0.001691,0.009921),(4245,6665,0.001703,0.009907),(4245,6675,0.001716,0.009893),(4245,6685,0.001728,0.009879),(4245,6695,0.001738,0.009864),(4245,6705,0.001748,0.00985),(4245,6715,0.001758,0.009836),(4245,6725,0.001766,0.009822),(4245,6735,0.001774,0.009808),(4245,6745,0.001782,0.009794),(4245,6755,0.00179,0.00978),(4245,6765,0.001796,0.009766),(4245,6775,0.001802,0.009752),(4245,6785,0.001808,0.009739),(4245,6795,0.001813,0.009725),(4245,6805,0.001818,0.009711),(4245,6815,0.001823,0.009698),(4245,6825,0.001827,0.009685),(4245,6835,0.001831,0.009672),(4245,6845,0.001835,0.009659),(4245,6855,0.001838,0.009646),(4245,6865,0.001841,0.009633),(4245,6875,0.001844,0.009621),(4245,6885,0.001847,0.009609),(4245,6895,0.001849,0.009596),(4245,6905,0.001852,0.009584),(4245,6915,0.001854,0.009572),(4245,6925,0.001855,0.00956),(4245,6935,0.001857,0.009549),(4245,6945,0.001859,0.009537),(4245,6955,0.00186,0.009525),(4245,6965,0.001861,0.009514),(4245,6975,0.001863,0.009503),(4245,6985,0.001863,0.009492),(4255,5,3.1e-05,-0.002277),(4255,15,9.4e-05,-0.002279),(4255,25,0.000156,-0.00228),(4255,35,0.000219,-0.002282),(4255,45,0.000282,-0.002286),(4255,55,0.000344,-0.002292),(4255,65,0.000407,-0.002297),(4255,75,0.00047,-0.002303),(4255,85,0.000534,-0.002311),(4255,95,0.000597,-0.00232),(4255,105,0.000661,-0.00233),(4255,115,0.000725,-0.002339),(4255,125,0.000789,-0.002351),(4255,135,0.000854,-0.002364),(4255,145,0.000919,-0.002378),(4255,155,0.000985,-0.002391),(4255,165,0.001051,-0.002407),(4255,175,0.001116,-0.002425),(4255,185,0.001183,-0.002443),(4255,195,0.001251,-0.002461),(4255,205,0.001319,-0.002482),(4255,215,0.001386,-0.002504),(4255,225,0.001456,-0.002526),(4255,235,0.001526,-0.002548),(4255,245,0.001596,-0.002574),(4255,255,0.001666,-0.002602),(4255,265,0.001739,-0.002629),(4255,275,0.001812,-0.002657),(4255,285,0.001885,-0.002689),(4255,295,0.001958,-0.002722),(4255,305,0.002034,-0.002755),(4255,315,0.00211,-0.002788),(4255,325,0.002187,-0.002826),(4255,335,0.002263,-0.002866),(4255,345,0.002344,-0.002905),(4255,355,0.002424,-0.002945),(4255,365,0.002505,-0.002991),(4255,375,0.002586,-0.003037),(4255,385,0.002671,-0.003084),(4255,395,0.002757,-0.003131),(4255,405,0.002842,-0.003185),(4255,415,0.002928,-0.003241),(4255,425,0.003019,-0.003296),(4255,435,0.00311,-0.003352),(4255,445,0.003201,-0.003416),(4255,455,0.003292,-0.003482),(4255,465,0.00339,-0.003547),(4255,475,0.003487,-0.003612),(4255,485,0.003585,-0.003688),(4255,495,0.003682,-0.003765),(4255,505,0.003787,-0.003841),(4255,515,0.003892,-0.003918),(4255,525,0.003996,-0.004007),(4255,535,0.004101,-0.004097),(4255,545,0.004214,-0.004187),(4255,555,0.004327,-0.004278),(4255,565,0.004439,-0.004383),(4255,575,0.004553,-0.004489),(4255,585,0.004675,-0.004595),(4255,595,0.004797,-0.004703),(4255,605,0.004919,-0.004828),(4255,615,0.005042,-0.004952),(4255,625,0.005174,-0.005077),(4255,635,0.005306,-0.005205),(4255,645,0.005438,-0.005353),(4255,655,0.005572,-0.0055),(4255,665,0.005715,-0.005648),(4255,675,0.005858,-0.0058),(4255,685,0.006001,-0.005975),(4255,695,0.006146,-0.00615),(4255,705,0.006301,-0.006326),(4255,715,0.006456,-0.006508),(4255,725,0.006611,-0.006716),(4255,735,0.006769,-0.006925),(4255,745,0.006936,-0.007133),(4255,755,0.007103,-0.007352),(4255,765,0.00727,-0.007601),(4255,775,0.007441,-0.00785),(4255,785,0.00762,-0.0081),(4255,795,0.007799,-0.008363),(4255,805,0.007978,-0.008662),(4255,815,0.008161,-0.008961),(4255,825,0.008351,-0.00926),(4255,835,0.008541,-0.009579),(4255,845,0.008732,-0.00994),(4255,855,0.008925,-0.0103),(4255,865,0.009123,-0.01066),(4255,875,0.009321,-0.011049),(4255,885,0.00952,-0.011485),(4255,895,0.009719,-0.011921),(4255,905,0.00992,-0.012358),(4255,915,0.010121,-0.012832),(4255,925,0.010322,-0.013362),(4255,935,0.010519,-0.013892),(4255,945,0.010712,-0.014422),(4255,955,0.010905,-0.015004),(4255,965,0.011098,-0.015648),(4255,975,0.011279,-0.016293),(4255,985,0.011447,-0.016937),(4255,995,0.011615,-0.01765),(4255,1005,0.011782,-0.018434),(4255,1015,0.011922,-0.019218),(4255,1025,0.012036,-0.020002),(4255,1035,0.01215,-0.020874),(4255,1045,0.012263,-0.021823),(4255,1055,0.012322,-0.022772),(4255,1065,0.012337,-0.023721),(4255,1075,0.012352,-0.024778),(4255,1085,0.012366,-0.025916),(4255,1095,0.012283,-0.027054),(4255,1105,0.012131,-0.028192),(4255,1115,0.011979,-0.029452),(4255,1125,0.011827,-0.03079),(4255,1135,0.01151,-0.032127),(4255,1145,0.011096,-0.033465),(4255,1155,0.010682,-0.034919),(4255,1165,0.010267,-0.036436),(4255,1175,0.009594,-0.037953),(4255,1185,0.008792,-0.03947),(4255,1195,0.00799,-0.041054),(4255,1205,0.007189,-0.042669),(4255,1215,0.006017,-0.044283),(4255,1225,0.004693,-0.045897),(4255,1235,0.003368,-0.047453),(4255,1245,0.002044,-0.048986),(4255,1255,0.00026,-0.05052),(4255,1265,-0.00168,-0.052053),(4255,1275,-0.00362,-0.0533),(4255,1285,-0.005559,-0.054459),(4255,1295,-0.007943,-0.055618),(4255,1305,-0.010447,-0.056777),(4255,1315,-0.012951,-0.057352),(4255,1325,-0.015455,-0.057787),(4255,1335,-0.018176,-0.058221),(4255,1345,-0.020941,-0.058656),(4255,1355,-0.023707,-0.058308),(4255,1365,-0.026473,-0.057818),(4255,1375,-0.029029,-0.057328),(4255,1385,-0.031553,-0.056838),(4255,1395,-0.034077,-0.055704),(4255,1405,-0.036601,-0.054489),(4255,1415,-0.038631,-0.053273),(4255,1425,-0.040609,-0.052057),(4255,1435,-0.042587,-0.050494),(4255,1445,-0.044566,-0.048903),(4255,1455,-0.045978,-0.047312),(4255,1465,-0.047358,-0.045721),(4255,1475,-0.048738,-0.044054),(4255,1485,-0.050118,-0.042384),(4255,1495,-0.050998,-0.040714),(4255,1505,-0.051871,-0.039045),(4255,1515,-0.052744,-0.037478),(4255,1525,-0.053608,-0.03591),(4255,1535,-0.054107,-0.034343),(4255,1545,-0.054607,-0.032784),(4255,1555,-0.055107,-0.031403),(4255,1565,-0.055591,-0.030022),(4255,1575,-0.055841,-0.028642),(4255,1585,-0.056092,-0.027279),(4255,1595,-0.056342,-0.026108),(4255,1605,-0.056577,-0.024937),(4255,1615,-0.056673,-0.023767),(4255,1625,-0.05677,-0.022621),(4255,1635,-0.056866,-0.021654),(4255,1645,-0.05695,-0.020687),(4255,1655,-0.056959,-0.019719),(4255,1665,-0.056967,-0.018782),(4255,1675,-0.056976,-0.017998),(4255,1685,-0.056976,-0.017215),(4255,1695,-0.05694,-0.016431),(4255,1705,-0.056904,-0.015681),(4255,1715,-0.056868,-0.015059),(4255,1725,-0.056828,-0.014438),(4255,1735,-0.056774,-0.013817),(4255,1745,-0.05672,-0.01323),(4255,1755,-0.056665,-0.012751),(4255,1765,-0.05661,-0.012272),(4255,1775,-0.056552,-0.011793),(4255,1785,-0.056495,-0.01135),(4255,1795,-0.056437,-0.010998),(4255,1805,-0.05638,-0.010647),(4255,1815,-0.056326,-0.010295),(4255,1825,-0.056272,-0.009981),(4255,1835,-0.056218,-0.009746),(4255,1845,-0.056166,-0.009512),(4255,1855,-0.056118,-0.009277),(4255,1865,-0.05607,-0.009082),(4255,1875,-0.056021,-0.008957),(4255,1885,-0.055974,-0.008833),(4255,1895,-0.05593,-0.008708),(4255,1905,-0.055885,-0.008627),(4255,1915,-0.055841,-0.008611),(4255,1925,-0.055796,-0.008595),(4255,1935,-0.055751,-0.008579),(4255,1945,-0.055706,-0.008611),(4255,1955,-0.055661,-0.008705),(4255,1965,-0.055612,-0.0088),(4255,1975,-0.05556,-0.008894),(4255,1985,-0.055507,-0.009044),(4255,1995,-0.055455,-0.009254),(4255,2005,-0.055395,-0.009464),(4255,2015,-0.055326,-0.009674),(4255,2025,-0.055258,-0.00995),(4255,2035,-0.055189,-0.010285),(4255,2045,-0.055106,-0.010621),(4255,2055,-0.055011,-0.010956),(4255,2065,-0.054915,-0.011369),(4255,2075,-0.05482,-0.011842),(4255,2085,-0.054701,-0.012316),(4255,2095,-0.054566,-0.012789),(4255,2105,-0.05443,-0.013355),(4255,2115,-0.054294,-0.013983),(4255,2125,-0.054124,-0.014611),(4255,2135,-0.053932,-0.015239),(4255,2145,-0.05374,-0.015979),(4255,2155,-0.053548,-0.016781),(4255,2165,-0.053306,-0.017583),(4255,2175,-0.053038,-0.018386),(4255,2185,-0.05277,-0.019323),(4255,2195,-0.052502,-0.020323),(4255,2205,-0.052164,-0.021323),(4255,2215,-0.051796,-0.022324),(4255,2225,-0.051429,-0.023486),(4255,2235,-0.051061,-0.024712),(4255,2245,-0.050597,-0.025938),(4255,2255,-0.0501,-0.027164),(4255,2265,-0.049603,-0.028584),(4255,2275,-0.049105,-0.030067),(4255,2285,-0.04848,-0.031549),(4255,2295,-0.047817,-0.033032),(4255,2305,-0.047154,-0.034746),(4255,2315,-0.046491,-0.03652),(4255,2325,-0.045657,-0.038293),(4255,2335,-0.044785,-0.040067),(4255,2345,-0.043913,-0.042114),(4255,2355,-0.043041,-0.044214),(4255,2365,-0.041943,-0.046315),(4255,2375,-0.040808,-0.048416),(4255,2385,-0.039673,-0.050835),(4255,2395,-0.038537,-0.0533),(4255,2405,-0.037108,-0.055765),(4255,2415,-0.035645,-0.05823),(4255,2425,-0.034182,-0.06106),(4255,2435,-0.032719,-0.063925),(4255,2445,-0.030876,-0.066789),(4255,2455,-0.029008,-0.069654),(4255,2465,-0.027139,-0.072929),(4255,2475,-0.02527,-0.076223),(4255,2485,-0.022917,-0.079517),(4255,2495,-0.020552,-0.082812),(4255,2505,-0.018187,-0.086553),(4255,2515,-0.015813,-0.090296),(4255,2525,-0.012847,-0.094039),(4255,2535,-0.009882,-0.097798),(4255,2545,-0.006916,-0.10199),(4255,2555,-0.003911,-0.10619),(4255,2565,-0.00023,-0.11038),(4255,2575,0.003451,-0.11461),(4255,2585,0.007133,-0.11924),(4255,2595,0.010893,-0.12386),(4255,2605,0.01541,-0.12849),(4255,2615,0.019927,-0.13316),(4255,2625,0.024444,-0.13816),(4255,2635,0.029089,-0.14316),(4255,2645,0.034559,-0.14817),(4255,2655,0.040029,-0.15321),(4255,2665,0.045499,-0.15851),(4255,2675,0.051151,-0.1638),(4255,2685,0.057674,-0.16909),(4255,2695,0.064197,-0.17442),(4255,2705,0.07072,-0.17988),(4255,2715,0.077482,-0.18534),(4255,2725,0.085127,-0.1908),(4255,2735,0.092772,-0.19626),(4255,2745,0.10042,-0.20174),(4255,2755,0.10835,-0.20721),(4255,2765,0.11714,-0.21269),(4255,2775,0.12594,-0.21812),(4255,2785,0.13473,-0.22344),(4255,2795,0.14385,-0.22877),(4255,2805,0.15376,-0.23409),(4255,2815,0.16368,-0.23931),(4255,2825,0.17359,-0.24432),(4255,2835,0.18386,-0.24933),(4255,2845,0.19482,-0.25434),(4255,2855,0.20579,-0.25918),(4255,2865,0.21675,-0.26374),(4255,2875,0.22807,-0.26829),(4255,2885,0.23998,-0.27284),(4255,2895,0.25189,-0.27716),(4255,2905,0.2638,-0.28114),(4255,2915,0.27604,-0.28512),(4255,2925,0.28877,-0.2891),(4255,2935,0.3015,-0.29279),(4255,2945,0.31422,-0.2961),(4255,2955,0.32725,-0.29942),(4255,2965,0.34066,-0.30274),(4255,2975,0.35406,-0.30571),(4255,2985,0.36747,-0.3083),(4255,2995,0.38114,-0.31089),(4255,3005,0.39508,-0.31348),(4255,3015,0.40903,-0.31568),(4255,3025,0.42297,-0.31749),(4255,3035,0.43713,-0.31931),(4255,3045,0.45148,-0.32113),(4255,3055,0.46582,-0.32249),(4255,3065,0.48017,-0.32349),(4255,3075,0.49467,-0.3245),(4255,3085,0.50929,-0.3255),(4255,3095,0.5239,-0.32599),(4255,3105,0.53852,-0.32614),(4255,3115,0.55322,-0.32629),(4255,3125,0.56797,-0.32644),(4255,3135,0.58272,-0.32602),(4255,3145,0.59747,-0.32528),(4255,3155,0.61223,-0.32453),(4255,3165,0.62698,-0.32378),(4255,3175,0.64173,-0.3224),(4255,3185,0.65648,-0.32071),(4255,3195,0.67113,-0.31902),(4255,3205,0.68574,-0.31733),(4255,3215,0.70035,-0.31493),(4255,3225,0.71496,-0.31224),(4255,3235,0.72934,-0.30955),(4255,3245,0.74364,-0.30686),(4255,3255,0.75795,-0.30337),(4255,3265,0.77225,-0.29962),(4255,3275,0.78618,-0.29587),(4255,3285,0.80001,-0.29211),(4255,3295,0.81383,-0.28748),(4255,3305,0.82765,-0.2826),(4255,3315,0.84091,-0.27772),(4255,3325,0.85404,-0.27284),(4255,3335,0.86718,-0.26698),(4255,3345,0.88031,-0.26092),(4255,3355,0.89266,-0.25486),(4255,3365,0.90487,-0.2488),(4255,3375,0.91708,-0.24167),(4255,3385,0.92929,-0.23438),(4255,3395,0.94044,-0.22709),(4255,3405,0.95146,-0.2198),(4255,3415,0.96248,-0.21139),(4255,3425,0.9735,-0.20287),(4255,3435,0.98314,-0.19434),(4255,3445,0.99267,-0.18582),(4255,3455,1.0022,-0.17616),(4255,3465,1.0117,-0.16643),(4255,3475,1.0195,-0.15671),(4255,3485,1.0273,-0.14698),(4255,3495,1.035,-0.13618),(4255,3505,1.0427,-0.12537),(4255,3515,1.0483,-0.11455),(4255,3525,1.054,-0.10371),(4255,3535,1.0596,-0.091988),(4255,3545,1.0651,-0.080266),(4255,3555,1.0683,-0.068544),(4255,3565,1.0716,-0.056781),(4255,3575,1.0748,-0.044427),(4255,3585,1.0778,-0.032073),(4255,3595,1.0785,-0.019719),(4255,3605,1.0791,-0.007334),(4255,3615,1.0797,0.00531),(4255,3625,1.08,0.017954),(4255,3635,1.078,0.030598),(4255,3645,1.0759,0.04323),(4255,3655,1.0739,0.055787),(4255,3665,1.0714,0.068345),(4255,3675,1.0667,0.080902),(4255,3685,1.062,0.093378),(4255,3695,1.0572,0.10549),(4255,3705,1.052,0.1176),(4255,3715,1.0448,0.12972),(4255,3725,1.0375,0.14167),(4255,3735,1.0303,0.15304),(4255,3745,1.0225,0.16442),(4255,3755,1.0129,0.1758),(4255,3765,1.0034,0.18693),(4255,3775,0.99386,0.19737),(4255,3785,0.98374,0.20782),(4255,3795,0.97216,0.21826),(4255,3805,0.96058,0.2284),(4255,3815,0.949,0.23781),(4255,3825,0.93685,0.24723),(4255,3835,0.92349,0.25665),(4255,3845,0.91014,0.26572),(4255,3855,0.89679,0.27411),(4255,3865,0.88289,0.2825),(4255,3875,0.86802,0.29089),(4255,3885,0.85315,0.29893),(4255,3895,0.83828,0.30638),(4255,3905,0.82289,0.31384),(4255,3915,0.80675,0.32129),(4255,3925,0.7906,0.32842),(4255,3935,0.77445,0.33509),(4255,3945,0.75786,0.34177),(4255,3955,0.74071,0.34844),(4255,3965,0.72355,0.35483),(4255,3975,0.7064,0.3609),(4255,3985,0.68892,0.36696),(4255,3995,0.6711,0.37302),(4255,4005,0.65327,0.37884),(4255,4015,0.63544,0.38441),(4255,4025,1.0064,0.38997),(4255,4035,1.4155,0.3939),(4255,4045,1.8245,0.39438),(4255,4055,2.1167,0.39485),(4255,4065,2.3661,0.39485),(4255,4075,2.6156,0.39206),(4255,4085,2.7244,0.38927),(4255,4095,2.7201,0.38648),(4255,4105,2.7158,0.38342),(4255,4115,2.6158,0.38034),(4255,4125,2.3572,0.37726),(4255,4135,2.0987,0.37619),(4255,4145,1.8371,0.37566),(4255,4155,1.563,0.37514),(4255,4165,1.289,0.37612),(4255,4175,1.0305,0.37806),(4255,4185,1.5389,0.38001),(4255,4195,2.0474,0.37943),(4255,4205,2.5558,0.3755),(4255,4215,2.6332,0.37157),(4255,4225,2.6295,0.36761),(4255,4235,2.6258,0.36353),(4255,4245,2.6219,0.35946),(4255,4255,2.618,0.35537),(4255,4265,2.6141,0.35105),(4255,4275,2.2784,0.34673),(4255,4285,1.5907,0.34241),(4255,4295,0.90292,0.3444),(4255,4305,0.60578,0.34712),(4255,4315,1.1906,0.34984),(4255,4325,1.7755,0.34828),(4255,4335,2.2954,0.34504),(4255,4345,2.3756,0.3418),(4255,4355,2.4558,0.33806),(4255,4365,2.5361,0.33389),(4255,4375,2.5372,0.32973),(4255,4385,2.5341,0.3256),(4255,4395,2.5311,0.32154),(4255,4405,2.198,0.31748),(4255,4415,1.7675,0.31413),(4255,4425,1.3371,0.31398),(4255,4435,1.153,0.31383),(4255,4445,1.1374,0.31368),(4255,4455,1.1218,0.31359),(4255,4465,1.2897,0.31349),(4255,4475,1.7155,0.3134),(4255,4485,2.1413,0.31),(4255,4495,2.4654,0.3059),(4255,4505,2.463,0.30181),(4255,4515,2.4606,0.29769),(4255,4525,2.4532,0.29357),(4255,4535,2.3671,0.28946),(4255,4545,2.281,0.28566),(4255,4555,2.1949,0.28224),(4255,4565,1.6413,0.27882),(4255,4575,1.0248,0.27686),(4255,4585,0.40819,0.27848),(4255,4595,0.70463,0.2801),(4255,4605,1.3868,0.2811),(4255,4615,2.069,0.27737),(4255,4625,2.3923,0.27364),(4255,4635,2.3906,0.26992),(4255,4645,2.3888,0.26627),(4255,4655,2.387,0.26262),(4255,4665,2.3852,0.25898),(4255,4675,2.3834,0.25532),(4255,4685,2.2955,0.25166),(4255,4695,1.7822,0.248),(4255,4705,1.2689,0.24643),(4255,4715,0.75559,0.24639),(4255,4725,0.99367,0.24635),(4255,4735,1.2393,0.24572),(4255,4745,1.4849,0.24422),(4255,4755,1.7372,0.24272),(4255,4765,1.9911,0.24084),(4255,4775,2.2451,0.23764),(4255,4785,2.3372,0.23443),(4255,4795,2.3359,0.23123),(4255,4805,2.3346,0.22801),(4255,4815,2.2171,0.22478),(4255,4825,1.9607,0.22156),(4255,4835,1.7043,0.21964),(4255,4845,1.4446,0.21793),(4255,4855,1.1766,0.21622),(4255,4865,0.90846,0.21561),(4255,4875,0.71783,0.21552),(4255,4885,1.2319,0.21542),(4255,4895,1.746,0.21391),(4255,4905,2.26,0.21103),(4255,4915,2.2998,0.20815),(4255,4925,2.2988,0.20526),(4255,4935,2.2978,0.20233),(4255,4945,2.2966,0.19941),(4255,4955,2.2955,0.19647),(4255,4965,2.2944,0.19349),(4255,4975,1.9062,0.1905),(4255,4985,1.2191,0.18751),(4255,4995,0.53203,0.18797),(4255,5005,0.30617,0.18851),(4255,5015,0.81354,0.18905),(4255,5025,1.3209,0.18805),(4255,5035,1.7578,0.18665),(4255,5045,1.9263,0.18524),(4255,5055,2.0948,0.1835),(4255,5065,2.2582,0.18154),(4255,5075,2.2574,0.17958),(4255,5085,2.2565,0.17759),(4255,5095,2.2557,0.17557),(4255,5105,1.9645,0.17354),(4255,5115,1.6227,0.1718),(4255,5125,1.2809,0.17085),(4255,5135,1.1062,0.16991),(4255,5145,1.0126,0.16902),(4255,5155,0.91903,0.16879),(4255,5165,1.0829,0.16856),(4255,5175,1.5095,0.16833),(4255,5185,1.936,0.16734),(4255,5195,2.2271,0.16627),(4255,5205,2.2262,0.1652),(4255,5215,2.2253,0.16397),(4255,5225,2.2129,0.1627),(4255,5235,2.1289,0.16142),(4255,5245,2.0449,0.16004),(4255,5255,1.961,0.15859),(4255,5265,1.3753,0.15714),(4255,5275,0.76893,0.15627),(4255,5285,0.16257,0.15639),(4255,5295,0.55638,0.15651),(4255,5305,1.2287,0.15637),(4255,5315,1.9011,0.1551),(4255,5325,2.167,0.15384),(4255,5335,2.1664,0.15257),(4255,5345,2.1658,0.15106),(4255,5355,2.1653,0.14955),(4255,5365,2.1647,0.14804),(4255,5375,2.1642,0.14634),(4255,5385,2.0392,0.1446),(4255,5395,1.5359,0.14287),(4255,5405,1.0327,0.14197),(4255,5415,0.58183,0.1415),(4255,5425,0.83395,0.14104),(4255,5435,1.0861,0.13918),(4255,5445,1.3382,0.13581),(4255,5455,1.5908,0.13245),(4255,5465,1.8435,0.12842),(4255,5475,2.0962,0.12288),(4255,5485,2.1683,0.11733),(4255,5495,2.1677,0.11185),(4255,5505,2.1671,0.10676),(4255,5515,2.1659,0.10167),(4255,5525,2.1642,0.096575),(4255,5535,2.1626,0.092506),(4255,5545,2.1605,0.088496),(4255,5555,2.1576,0.084486),(4255,5565,2.1547,0.081592),(4255,5575,2.1516,0.079037),(4255,5585,2.1476,0.076482),(4255,5595,2.1436,0.074773),(4255,5605,2.1396,0.073655),(4255,5615,2.135,0.072537),(4255,5625,2.1303,0.071898),(4255,5635,2.1256,0.071947),(4255,5645,2.1207,0.071996),(4255,5655,2.1158,0.07223),(4255,5665,2.1108,0.073074),(4255,5675,2.1058,0.073919),(4255,5685,2.1008,0.074789),(4255,5695,2.0959,0.076082),(4255,5705,2.091,0.077375),(4255,5715,2.0862,0.078669),(4255,5725,2.0815,0.080136),(4255,5735,2.0768,0.081629),(4255,5745,2.0723,0.083121),(4255,5755,2.0678,0.084637),(4255,5765,2.0633,0.086164),(4255,5775,2.0592,0.08769),(4255,5785,2.055,0.089206),(4255,5795,2.0508,0.090712),(4255,5805,2.0469,0.092218),(4255,5815,2.0431,0.093728),(4255,5825,2.0392,0.095245),(4255,5835,2.0356,0.096762),(4255,5845,2.0321,0.098299),(4255,5855,2.0285,0.099933),(4255,5865,2.0252,0.10157),(4255,5875,2.022,0.1032),(4255,5885,2.0188,0.10511),(4255,5895,2.0157,0.10702),(4255,5905,2.0129,0.10893),(4255,5915,2.0101,0.11118),(4255,5925,2.0074,0.1135),(4255,5935,2.0051,0.11582),(4255,5945,2.0028,0.11844),(4255,5955,2.0006,0.12123),(4255,5965,1.9989,0.12402),(4255,5975,1.9972,0.12698),(4255,5985,1.9955,0.13014),(4255,5995,1.5251,0.13329),(4255,6005,0.97928,0.13564),(4255,6015,0.43348,0.13582),(4255,6025,0.63357,0.13601),(4255,6035,1.1796,0.13541),(4255,6045,1.7256,0.12722),(4255,6055,2.0996,0.11903),(4255,6065,2.3049,0.11084),(4255,6075,2.5101,0.10241),(4255,6085,2.646,0.093953),(4255,6095,2.6389,0.085498),(4255,6105,2.6319,0.079695),(4255,6115,2.6245,0.074835),(4255,6125,2.6156,0.069974),(4255,6135,2.6068,0.0669),(4255,6145,2.5979,0.065232),(4255,6155,2.5889,0.063565),(4255,6165,2.5798,0.06271),(4255,6175,2.5708,0.063173),(4255,6185,2.5625,0.063636),(4255,6195,2.5543,0.064298),(4255,6205,2.5462,0.065736),(4255,6215,2.5389,0.067174),(4255,6225,2.5322,0.068615),(4255,6235,2.5255,0.070142),(4255,6245,2.5193,0.07167),(4255,6255,2.514,0.073197),(4255,6265,2.5087,0.074348),(4255,6275,2.5037,0.07543),(4255,6285,2.4997,0.076513),(4255,6295,2.4957,0.077135),(4255,6305,2.4918,0.077529),(4255,6315,2.4888,0.077923),(4255,6325,2.4858,0.077935),(4255,6335,2.4829,0.077549),(4255,6345,2.4807,0.077162),(4255,6355,2.4785,0.076548),(4255,6365,2.4764,0.075429),(4255,6375,2.4747,0.07431),(4255,6385,2.4732,0.073114),(4255,6395,2.4717,0.071416),(4255,6405,2.4704,0.069717),(4255,6415,2.4694,0.068019),(4255,6425,2.4683,0.065804),(4255,6435,2.4674,0.063566),(4255,6445,2.4667,0.061327),(4255,6455,2.466,0.058717),(4255,6465,2.4653,0.056),(4255,6475,2.4648,0.053283),(4255,6485,2.4643,0.050392),(4255,6495,2.4639,0.047385),(4255,6505,2.4636,0.044377),(4255,6515,2.4632,0.041251),(4255,6525,2.4629,0.037962),(4255,6535,2.4627,0.034673),(4255,6545,2.4626,0.031341),(4255,6555,2.4624,0.027876),(4255,6565,2.4623,0.024412),(4255,6575,2.4622,0.020943),(4255,6585,2.4622,0.017411),(4255,6595,2.0942,0.013879),(4255,6605,1.3201,0.010347),(4255,6615,0.54588,0.009949),(4255,6625,0.001657,0.009954),(4255,6635,0.001672,0.009958),(4255,6645,0.001687,0.009949),(4255,6655,0.001702,0.009934),(4255,6665,0.001714,0.00992),(4255,6675,0.001727,0.009905),(4255,6685,0.001739,0.00989),(4255,6695,0.001749,0.009875),(4255,6705,0.001759,0.00986),(4255,6715,0.001769,0.009845),(4255,6725,0.001777,0.00983),(4255,6735,0.001785,0.009816),(4255,6745,0.001793,0.009801),(4255,6755,0.0018,0.009787),(4255,6765,0.001806,0.009772),(4255,6775,0.001812,0.009758),(4255,6785,0.001818,0.009744),(4255,6795,0.001823,0.00973),(4255,6805,0.001828,0.009716),(4255,6815,0.001833,0.009703),(4255,6825,0.001836,0.009689),(4255,6835,0.00184,0.009676),(4255,6845,0.001844,0.009662),(4255,6855,0.001847,0.009649),(4255,6865,0.00185,0.009636),(4255,6875,0.001853,0.009624),(4255,6885,0.001855,0.009611),(4255,6895,0.001857,0.009598),(4255,6905,0.00186,0.009586),(4255,6915,0.001861,0.009574),(4255,6925,0.001863,0.009562),(4255,6935,0.001865,0.00955),(4255,6945,0.001866,0.009539),(4255,6955,0.001867,0.009527),(4255,6965,0.001868,0.009515),(4255,6975,0.00187,0.009504),(4255,6985,0.00187,0.009493),(4265,5,3.2e-05,-0.002215),(4265,15,9.5e-05,-0.002217),(4265,25,0.000158,-0.002218),(4265,35,0.000221,-0.00222),(4265,45,0.000285,-0.002224),(4265,55,0.000348,-0.002229),(4265,65,0.000412,-0.002235),(4265,75,0.000476,-0.00224),(4265,85,0.00054,-0.002248),(4265,95,0.000604,-0.002257),(4265,105,0.000668,-0.002266),(4265,115,0.000733,-0.002275),(4265,125,0.000799,-0.002287),(4265,135,0.000864,-0.0023),(4265,145,0.00093,-0.002313),(4265,155,0.000996,-0.002326),(4265,165,0.001063,-0.002342),(4265,175,0.00113,-0.002359),(4265,185,0.001197,-0.002377),(4265,195,0.001266,-0.002394),(4265,205,0.001335,-0.002414),(4265,215,0.001403,-0.002436),(4265,225,0.001474,-0.002457),(4265,235,0.001545,-0.002479),(4265,245,0.001616,-0.002504),(4265,255,0.001687,-0.002531),(4265,265,0.00176,-0.002558),(4265,275,0.001835,-0.002585),(4265,285,0.001909,-0.002616),(4265,295,0.001983,-0.002648),(4265,305,0.00206,-0.00268),(4265,315,0.002138,-0.002712),(4265,325,0.002216,-0.00275),(4265,335,0.002294,-0.002788),(4265,345,0.002376,-0.002827),(4265,355,0.002458,-0.002865),(4265,365,0.00254,-0.00291),(4265,375,0.002623,-0.002955),(4265,385,0.00271,-0.003001),(4265,395,0.002797,-0.003047),(4265,405,0.002884,-0.0031),(4265,415,0.002972,-0.003154),(4265,425,0.003065,-0.003208),(4265,435,0.003158,-0.003262),(4265,445,0.003251,-0.003325),(4265,455,0.003345,-0.003389),(4265,465,0.003445,-0.003452),(4265,475,0.003545,-0.003516),(4265,485,0.003645,-0.003591),(4265,495,0.003745,-0.003665),(4265,505,0.003852,-0.00374),(4265,515,0.00396,-0.003815),(4265,525,0.004068,-0.003903),(4265,535,0.004176,-0.003991),(4265,545,0.004292,-0.004078),(4265,555,0.004408,-0.004167),(4265,565,0.004524,-0.004271),(4265,575,0.004641,-0.004374),(4265,585,0.004768,-0.004478),(4265,595,0.004894,-0.004583),(4265,605,0.00502,-0.004706),(4265,615,0.005148,-0.004828),(4265,625,0.005285,-0.004951),(4265,635,0.005422,-0.005076),(4265,645,0.00556,-0.005221),(4265,655,0.005699,-0.005366),(4265,665,0.005848,-0.005511),(4265,675,0.005998,-0.005661),(4265,685,0.006147,-0.005833),(4265,695,0.006299,-0.006006),(4265,705,0.006462,-0.006178),(4265,715,0.006625,-0.006358),(4265,725,0.006788,-0.006563),(4265,735,0.006954,-0.006769),(4265,745,0.007131,-0.006975),(4265,755,0.007307,-0.007191),(4265,765,0.007484,-0.007437),(4265,775,0.007665,-0.007684),(4265,785,0.007857,-0.007931),(4265,795,0.008048,-0.008192),(4265,805,0.008239,-0.008488),(4265,815,0.008435,-0.008785),(4265,825,0.00864,-0.009082),(4265,835,0.008845,-0.009399);
INSERT INTO `ILD_00_Brho_Bz` VALUES (4265,845,0.009051,-0.009758),(4265,855,0.00926,-0.010117),(4265,865,0.009477,-0.010476),(4265,875,0.009695,-0.010863),(4265,885,0.009912,-0.0113),(4265,895,0.010132,-0.011736),(4265,905,0.010356,-0.012173),(4265,915,0.010581,-0.012649),(4265,925,0.010805,-0.013182),(4265,935,0.011029,-0.013715),(4265,945,0.011252,-0.014247),(4265,955,0.011474,-0.014834),(4265,965,0.011697,-0.015486),(4265,975,0.011911,-0.016138),(4265,985,0.012116,-0.016791),(4265,995,0.01232,-0.017515),(4265,1005,0.012524,-0.018314),(4265,1015,0.012705,-0.019113),(4265,1025,0.012863,-0.019912),(4265,1035,0.013022,-0.020804),(4265,1045,0.01318,-0.02178),(4265,1055,0.013288,-0.022755),(4265,1065,0.013355,-0.023731),(4265,1075,0.013422,-0.024824),(4265,1085,0.013489,-0.026004),(4265,1095,0.013461,-0.027185),(4265,1105,0.013367,-0.028366),(4265,1115,0.013273,-0.029683),(4265,1125,0.013178,-0.031086),(4265,1135,0.012917,-0.03249),(4265,1145,0.012558,-0.033894),(4265,1155,0.012198,-0.035432),(4265,1165,0.011838,-0.037044),(4265,1175,0.011207,-0.038655),(4265,1185,0.010441,-0.040267),(4265,1195,0.009675,-0.041965),(4265,1205,0.008909,-0.043704),(4265,1215,0.00774,-0.045442),(4265,1225,0.006404,-0.04718),(4265,1235,0.005068,-0.048872),(4265,1245,0.003732,-0.050547),(4265,1255,0.001873,-0.052221),(4265,1265,-0.000161,-0.053896),(4265,1275,-0.002195,-0.055271),(4265,1285,-0.00423,-0.056555),(4265,1295,-0.00679,-0.057839),(4265,1305,-0.009492,-0.059123),(4265,1315,-0.012194,-0.059766),(4265,1325,-0.014896,-0.060257),(4265,1335,-0.017865,-0.060747),(4265,1345,-0.02089,-0.061237),(4265,1355,-0.023914,-0.060855),(4265,1365,-0.026939,-0.060315),(4265,1375,-0.029702,-0.059774),(4265,1385,-0.032424,-0.059233),(4265,1395,-0.035146,-0.057988),(4265,1405,-0.037868,-0.056652),(4265,1415,-0.040001,-0.055316),(4265,1425,-0.042074,-0.05398),(4265,1435,-0.044146,-0.052281),(4265,1445,-0.046218,-0.050554),(4265,1455,-0.047646,-0.048826),(4265,1465,-0.049036,-0.047098),(4265,1475,-0.050426,-0.045311),(4265,1485,-0.051817,-0.043521),(4265,1495,-0.05266,-0.041732),(4265,1505,-0.053496,-0.039943),(4265,1515,-0.054331,-0.038285),(4265,1525,-0.055156,-0.036627),(4265,1535,-0.055599,-0.034968),(4265,1545,-0.056041,-0.03332),(4265,1555,-0.056483,-0.031877),(4265,1565,-0.056909,-0.030434),(4265,1575,-0.057099,-0.028991),(4265,1585,-0.057288,-0.027567),(4265,1595,-0.057478,-0.026357),(4265,1605,-0.057652,-0.025147),(4265,1615,-0.057692,-0.023937),(4265,1625,-0.057731,-0.022753),(4265,1635,-0.057771,-0.021763),(4265,1645,-0.057799,-0.020772),(4265,1655,-0.057758,-0.019781),(4265,1665,-0.057717,-0.018822),(4265,1675,-0.057676,-0.018026),(4265,1685,-0.057628,-0.01723),(4265,1695,-0.057549,-0.016434),(4265,1705,-0.05747,-0.015673),(4265,1715,-0.057392,-0.015046),(4265,1725,-0.05731,-0.014419),(4265,1735,-0.057219,-0.013792),(4265,1745,-0.057128,-0.0132),(4265,1755,-0.057036,-0.01272),(4265,1765,-0.056945,-0.012239),(4265,1775,-0.056855,-0.011758),(4265,1785,-0.056765,-0.011314),(4265,1795,-0.056675,-0.010963),(4265,1805,-0.056587,-0.010612),(4265,1815,-0.056504,-0.010261),(4265,1825,-0.056421,-0.009947),(4265,1835,-0.056338,-0.009714),(4265,1845,-0.056257,-0.00948),(4265,1855,-0.056182,-0.009246),(4265,1865,-0.056106,-0.009052),(4265,1875,-0.05603,-0.008928),(4265,1885,-0.055956,-0.008805),(4265,1895,-0.055885,-0.008681),(4265,1905,-0.055814,-0.008601),(4265,1915,-0.055743,-0.008584),(4265,1925,-0.055672,-0.008568),(4265,1935,-0.0556,-0.008552),(4265,1945,-0.055528,-0.008584),(4265,1955,-0.055456,-0.008676),(4265,1965,-0.05538,-0.008769),(4265,1975,-0.0553,-0.008861),(4265,1985,-0.055219,-0.009008),(4265,1995,-0.055139,-0.009215),(4265,2005,-0.05505,-0.009421),(4265,2015,-0.054951,-0.009628),(4265,2025,-0.054853,-0.009898),(4265,2035,-0.054754,-0.010227),(4265,2045,-0.05464,-0.010557),(4265,2055,-0.054511,-0.010886),(4265,2065,-0.054383,-0.01129),(4265,2075,-0.054255,-0.011754),(4265,2085,-0.054101,-0.012218),(4265,2095,-0.053929,-0.012682),(4265,2105,-0.053757,-0.013236),(4265,2115,-0.053584,-0.013851),(4265,2125,-0.053374,-0.014465),(4265,2135,-0.053141,-0.01508),(4265,2145,-0.052908,-0.015803),(4265,2155,-0.052675,-0.016587),(4265,2165,-0.052388,-0.017371),(4265,2175,-0.052074,-0.018155),(4265,2185,-0.05176,-0.01907),(4265,2195,-0.051445,-0.020046),(4265,2205,-0.051057,-0.021022),(4265,2215,-0.050636,-0.021998),(4265,2225,-0.050216,-0.023131),(4265,2235,-0.049795,-0.024325),(4265,2245,-0.049274,-0.02552),(4265,2255,-0.048718,-0.026714),(4265,2265,-0.048161,-0.028096),(4265,2275,-0.047604,-0.029538),(4265,2285,-0.046913,-0.03098),(4265,2295,-0.046184,-0.032423),(4265,2305,-0.045454,-0.034088),(4265,2315,-0.044725,-0.03581),(4265,2325,-0.043818,-0.037531),(4265,2335,-0.042871,-0.039253),(4265,2345,-0.041924,-0.041238),(4265,2355,-0.040978,-0.043273),(4265,2365,-0.039799,-0.045309),(4265,2375,-0.038582,-0.047344),(4265,2385,-0.037364,-0.049684),(4265,2395,-0.036147,-0.052067),(4265,2405,-0.034629,-0.054451),(4265,2415,-0.033077,-0.056834),(4265,2425,-0.031525,-0.059565),(4265,2435,-0.029973,-0.062328),(4265,2445,-0.028036,-0.065091),(4265,2455,-0.026073,-0.067854),(4265,2465,-0.02411,-0.071005),(4265,2475,-0.022147,-0.074174),(4265,2485,-0.019697,-0.077344),(4265,2495,-0.017234,-0.080513),(4265,2505,-0.014772,-0.084102),(4265,2515,-0.012301,-0.087693),(4265,2525,-0.00924,-0.091285),(4265,2535,-0.006179,-0.094891),(4265,2545,-0.003118,-0.098904),(4265,2555,-1.8e-05,-0.10292),(4265,2565,0.003752,-0.10693),(4265,2575,0.007521,-0.11097),(4265,2585,0.01129,-0.11538),(4265,2595,0.015137,-0.1198),(4265,2605,0.019728,-0.12421),(4265,2615,0.024319,-0.12866),(4265,2625,0.028909,-0.13342),(4265,2635,0.033625,-0.13818),(4265,2645,0.039146,-0.14294),(4265,2655,0.044666,-0.14774),(4265,2665,0.050187,-0.15276),(4265,2675,0.055885,-0.15778),(4265,2685,0.062429,-0.1628),(4265,2695,0.068972,-0.16786),(4265,2705,0.075516,-0.17303),(4265,2715,0.08229,-0.1782),(4265,2725,0.089919,-0.18337),(4265,2735,0.097548,-0.18854),(4265,2745,0.10518,-0.19372),(4265,2755,0.11309,-0.1989),(4265,2765,0.12182,-0.20407),(4265,2775,0.13056,-0.20921),(4265,2785,0.13929,-0.21424),(4265,2795,0.14835,-0.21928),(4265,2805,0.15817,-0.22431),(4265,2815,0.16799,-0.22925),(4265,2825,0.17781,-0.23399),(4265,2835,0.18796,-0.23872),(4265,2845,0.1988,-0.24346),(4265,2855,0.20963,-0.24805),(4265,2865,0.22047,-0.25235),(4265,2875,0.23165,-0.25666),(4265,2885,0.2434,-0.26097),(4265,2895,0.25515,-0.26506),(4265,2905,0.2669,-0.26883),(4265,2915,0.27898,-0.2726),(4265,2925,0.29152,-0.27637),(4265,2935,0.30406,-0.27986),(4265,2945,0.31661,-0.28301),(4265,2955,0.32945,-0.28615),(4265,2965,0.34266,-0.28929),(4265,2975,0.35586,-0.29211),(4265,2985,0.36907,-0.29456),(4265,2995,0.38253,-0.29701),(4265,3005,0.39626,-0.29946),(4265,3015,0.41,-0.30154),(4265,3025,0.42373,-0.30325),(4265,3035,0.43767,-0.30496),(4265,3045,0.45179,-0.30667),(4265,3055,0.46592,-0.30796),(4265,3065,0.48004,-0.30889),(4265,3075,0.49431,-0.30982),(4265,3085,0.50869,-0.31075),(4265,3095,0.52308,-0.3112),(4265,3105,0.53746,-0.31131),(4265,3115,0.55192,-0.31142),(4265,3125,0.56643,-0.31153),(4265,3135,0.58093,-0.3111),(4265,3145,0.59544,-0.31036),(4265,3155,0.60994,-0.30961),(4265,3165,0.62444,-0.30886),(4265,3175,0.63894,-0.3075),(4265,3185,0.65344,-0.30584),(4265,3195,0.66782,-0.30419),(4265,3205,0.68216,-0.30253),(4265,3215,0.69651,-0.30019),(4265,3225,0.71085,-0.29758),(4265,3235,0.72496,-0.29496),(4265,3245,0.73898,-0.29235),(4265,3255,0.753,-0.28897),(4265,3265,0.76703,-0.28534),(4265,3275,0.78067,-0.2817),(4265,3285,0.7942,-0.27807),(4265,3295,0.80773,-0.27359),(4265,3305,0.82125,-0.26889),(4265,3315,0.83422,-0.26418),(4265,3325,0.84705,-0.25947),(4265,3335,0.85988,-0.25384),(4265,3345,0.87271,-0.24801),(4265,3355,0.88475,-0.24218),(4265,3365,0.89665,-0.23635),(4265,3375,0.90855,-0.22951),(4265,3385,0.92045,-0.22252),(4265,3395,0.9313,-0.21554),(4265,3405,0.94201,-0.20855),(4265,3415,0.95273,-0.20051),(4265,3425,0.96344,-0.19236),(4265,3435,0.97279,-0.18421),(4265,3445,0.98203,-0.17607),(4265,3455,0.99127,-0.16686),(4265,3465,1.0005,-0.1576),(4265,3475,1.008,-0.14833),(4265,3485,1.0155,-0.13907),(4265,3495,1.023,-0.12881),(4265,3505,1.0304,-0.11853),(4265,3515,1.0358,-0.10826),(4265,3525,1.0413,-0.097959),(4265,3535,1.0467,-0.086851),(4265,3545,1.052,-0.075744),(4265,3555,1.0551,-0.064636),(4265,3565,1.0581,-0.053491),(4265,3575,1.0612,-0.041806),(4265,3585,1.0641,-0.03012),(4265,3595,1.0647,-0.018435),(4265,3605,1.0653,-0.006722),(4265,3615,1.0658,0.005227),(4265,3625,1.0661,0.017176),(4265,3635,1.0641,0.029125),(4265,3645,1.062,0.041063),(4265,3655,1.06,0.052932),(4265,3665,1.0576,0.064802),(4265,3675,1.0529,0.076672),(4265,3685,1.0483,0.088467),(4265,3695,1.0437,0.099931),(4265,3705,1.0386,0.11139),(4265,3715,1.0316,0.12286),(4265,3725,1.0245,0.13417),(4265,3735,1.0174,0.14496),(4265,3745,1.0098,0.15575),(4265,3755,1.0005,0.16653),(4265,3765,0.9912,0.17709),(4265,3775,0.98189,0.18702),(4265,3785,0.97201,0.19694),(4265,3795,0.96068,0.20687),(4265,3805,0.94936,0.21651),(4265,3815,0.93804,0.22548),(4265,3825,0.92615,0.23444),(4265,3835,0.91306,0.24341),(4265,3845,0.89997,0.25206),(4265,3855,0.88688,0.26007),(4265,3865,0.87323,0.26808),(4265,3875,0.85861,0.27609),(4265,3885,0.84398,0.28377),(4265,3895,0.82935,0.29091),(4265,3905,0.81419,0.29805),(4265,3915,0.79825,0.30519),(4265,3925,0.78231,0.31203),(4265,3935,0.76637,0.31846),(4265,3945,0.74996,0.32488),(4265,3955,0.73297,0.33131),(4265,3965,0.71597,0.33749),(4265,3975,0.69898,0.34339),(4265,3985,0.68165,0.34929),(4265,3995,0.66397,0.35518),(4265,4005,0.64629,0.36086),(4265,4015,0.62861,0.36633),(4265,4025,1.0001,0.3718),(4265,4035,1.4096,0.37565),(4265,4045,1.8192,0.37606),(4265,4055,2.1117,0.37647),(4265,4065,2.3616,0.37642),(4265,4075,2.6114,0.37358),(4265,4085,2.7204,0.37074),(4265,4095,2.7162,0.3679),(4265,4105,2.712,0.36482),(4265,4115,2.612,0.36172),(4265,4125,2.3533,0.35862),(4265,4135,2.0946,0.35756),(4265,4145,1.8328,0.35704),(4265,4155,1.5587,0.35652),(4265,4165,1.2846,0.35749),(4265,4175,1.026,0.35941),(4265,4185,1.5349,0.36134),(4265,4195,2.0438,0.36076),(4265,4205,2.5527,0.35688),(4265,4215,2.6302,0.35301),(4265,4225,2.6265,0.34909),(4265,4235,2.6229,0.34507),(4265,4245,2.6191,0.34105),(4265,4255,2.6152,0.33702),(4265,4265,2.6113,0.33282),(4265,4275,2.2755,0.32861),(4265,4285,1.5875,0.3244),(4265,4295,0.8994,0.3264),(4265,4305,0.60211,0.32912),(4265,4315,1.1872,0.33183),(4265,4325,1.7723,0.33035),(4265,4335,2.2924,0.32722),(4265,4345,2.3727,0.32409),(4265,4355,2.4529,0.32047),(4265,4365,2.5332,0.31644),(4265,4375,2.5343,0.31241),(4265,4385,2.5312,0.30842),(4265,4395,2.5282,0.30451),(4265,4405,2.195,0.3006),(4265,4415,1.7646,0.2974),(4265,4425,1.3341,0.29732),(4265,4435,1.15,0.29725),(4265,4445,1.1344,0.29717),(4265,4455,1.1188,0.29716),(4265,4465,1.2868,0.29714),(4265,4475,1.7126,0.29712),(4265,4485,2.1385,0.29391),(4265,4495,2.4626,0.29003),(4265,4505,2.4602,0.28615),(4265,4515,2.4578,0.28224),(4265,4525,2.4504,0.27831),(4265,4535,2.3643,0.27439),(4265,4545,2.2783,0.27077),(4265,4555,2.1922,0.26751),(4265,4565,1.6388,0.26425),(4265,4575,1.0224,0.2624),(4265,4585,0.40603,0.26396),(4265,4595,0.70231,0.26553),(4265,4605,1.3842,0.2665),(4265,4615,2.0661,0.26293),(4265,4625,2.3893,0.25935),(4265,4635,2.3875,0.25578),(4265,4645,2.3858,0.25224),(4265,4655,2.384,0.24871),(4265,4665,2.3822,0.24518),(4265,4675,2.3804,0.24165),(4265,4685,2.2926,0.23811),(4265,4695,1.7796,0.23457),(4265,4705,1.2666,0.23305),(4265,4715,0.75365,0.233),(4265,4725,0.99147,0.23295),(4265,4735,1.2368,0.23236),(4265,4745,1.4821,0.23097),(4265,4755,1.7343,0.22958),(4265,4765,1.988,0.22783),(4265,4775,2.2417,0.22484),(4265,4785,2.3338,0.22185),(4265,4795,2.3325,0.21886),(4265,4805,2.3312,0.21585),(4265,4815,2.2138,0.21284),(4265,4825,1.9577,0.20983),(4265,4835,1.7016,0.20803),(4265,4845,1.4422,0.20642),(4265,4855,1.1744,0.20481),(4265,4865,0.90656,0.20423),(4265,4875,0.71609,0.20411),(4265,4885,1.2295,0.204),(4265,4895,1.7429,0.20259),(4265,4905,2.2564,0.19995),(4265,4915,2.2961,0.19731),(4265,4925,2.2951,0.19464),(4265,4935,2.2941,0.19193),(4265,4945,2.293,0.18923),(4265,4955,2.2919,0.18651),(4265,4965,2.2909,0.18376),(4265,4975,1.9031,0.18101),(4265,4985,1.217,0.17826),(4265,4995,0.53077,0.17861),(4265,5005,0.30514,0.17905),(4265,5015,0.81166,0.17948),(4265,5025,1.3182,0.17854),(4265,5035,1.7543,0.17725),(4265,5045,1.9225,0.17596),(4265,5055,2.0907,0.17437),(4265,5065,2.2538,0.1726),(4265,5075,2.253,0.17082),(4265,5085,2.2522,0.16901),(4265,5095,2.2514,0.16717),(4265,5105,1.9608,0.16532),(4265,5115,1.6196,0.16372),(4265,5125,1.2784,0.16281),(4265,5135,1.104,0.1619),(4265,5145,1.0104,0.16105),(4265,5155,0.91688,0.16087),(4265,5165,1.0803,0.16069),(4265,5175,1.5059,0.16052),(4265,5185,1.9314,0.15975),(4265,5195,2.2219,0.15893),(4265,5205,2.2211,0.15811),(4265,5215,2.2203,0.1571),(4265,5225,2.2081,0.15602),(4265,5235,2.1244,0.15494),(4265,5245,2.0408,0.15373),(4265,5255,1.9572,0.15239),(4265,5265,1.3726,0.15106),(4265,5275,0.76737,0.15025),(4265,5285,0.16215,0.15032),(4265,5295,0.5551,0.1504),(4265,5305,1.226,0.15025),(4265,5315,1.8969,0.14911),(4265,5325,2.1623,0.14797),(4265,5335,2.1619,0.14682),(4265,5345,2.1614,0.1454),(4265,5355,2.1609,0.14397),(4265,5365,2.1605,0.14255),(4265,5375,2.16,0.14093),(4265,5385,2.0354,0.13927),(4265,5395,1.5331,0.13761),(4265,5405,1.0309,0.13673),(4265,5415,0.58089,0.13626),(4265,5425,0.83334,0.13578),(4265,5435,1.0858,0.13382),(4265,5445,1.3382,0.13025),(4265,5455,1.5909,0.12668),(4265,5465,1.8437,0.12243),(4265,5475,2.0965,0.11662),(4265,5485,2.1684,0.1108),(4265,5495,2.1676,0.10506),(4265,5505,2.1668,0.099856),(4265,5515,2.1653,0.094657),(4265,5525,2.1632,0.089457),(4265,5535,2.1611,0.085502),(4265,5545,2.1585,0.081617),(4265,5555,2.1551,0.077733),(4265,5565,2.1516,0.075121),(4265,5575,2.148,0.072895),(4265,5585,2.1435,0.070669),(4265,5595,2.139,0.069352),(4265,5605,2.1346,0.068669),(4265,5615,2.1295,0.067986),(4265,5625,2.1245,0.067783),(4265,5635,2.1194,0.068267),(4265,5645,2.1143,0.06875),(4265,5655,2.1091,0.069401),(4265,5665,2.1039,0.070605),(4265,5675,2.0988,0.071808),(4265,5685,2.0937,0.07303),(4265,5695,2.0886,0.074562),(4265,5705,2.0837,0.076094),(4265,5715,2.0789,0.077627),(4265,5725,2.0741,0.079215),(4265,5735,2.0694,0.080811),(4265,5745,2.065,0.082408),(4265,5755,2.0605,0.083943),(4265,5765,2.0561,0.085452),(4265,5775,2.0519,0.086961),(4265,5785,2.0478,0.088407),(4265,5795,2.0437,0.089796),(4265,5805,2.0398,0.091184),(4265,5815,2.036,0.092553),(4265,5825,2.0322,0.093882),(4265,5835,2.0285,0.095211),(4265,5845,2.025,0.096554),(4265,5855,2.0214,0.097968),(4265,5865,2.018,0.099382),(4265,5875,2.0147,0.1008),(4265,5885,2.0114,0.1025),(4265,5895,2.0083,0.10421),(4265,5905,2.0053,0.10592),(4265,5915,2.0024,0.10802),(4265,5925,1.9996,0.11021),(4265,5935,1.9971,0.1124),(4265,5945,1.9946,0.11496),(4265,5955,1.9922,0.11774),(4265,5965,1.9904,0.12052),(4265,5975,1.9886,0.12352),(4265,5985,1.9868,0.12679),(4265,5995,1.5185,0.13005),(4265,6005,0.97521,0.13248),(4265,6015,0.43186,0.13265),(4265,6025,0.63405,0.13283),(4265,6035,1.182,0.13219),(4265,6045,1.73,0.12365),(4265,6055,2.1047,0.11512),(4265,6065,2.3097,0.10659),(4265,6075,2.5146,0.098109),(4265,6085,2.6499,0.089638),(4265,6095,2.6415,0.081166),(4265,6105,2.633,0.075726),(4265,6115,2.6244,0.071364),(4265,6125,2.6143,0.067002),(4265,6135,2.6043,0.064591),(4265,6145,2.5942,0.063715),(4265,6155,2.5844,0.062839),(4265,6165,2.5747,0.062784),(4265,6175,2.565,0.064063),(4265,6185,2.5563,0.065341),(4265,6195,2.5479,0.066786),(4265,6205,2.5395,0.068884),(4265,6215,2.5321,0.070983),(4265,6225,2.5254,0.073077),(4265,6235,2.5187,0.075034),(4265,6245,2.5127,0.076991),(4265,6255,2.5076,0.078949),(4265,6265,2.5024,0.080341),(4265,6275,2.4977,0.08163),(4265,6285,2.4939,0.08292),(4265,6295,2.4902,0.083644),(4265,6305,2.4865,0.084087),(4265,6315,2.4838,0.08453),(4265,6325,2.4811,0.084521),(4265,6335,2.4784,0.084041),(4265,6345,2.4765,0.08356),(4265,6355,2.4746,0.082827),(4265,6365,2.4727,0.081538),(4265,6375,2.4712,0.080248),(4265,6385,2.4699,0.078873),(4265,6395,2.4686,0.076947),(4265,6405,2.4675,0.075022),(4265,6415,2.4667,0.073096),(4265,6425,2.4658,0.070633),(4265,6435,2.465,0.068144),(4265,6445,2.4644,0.065655),(4265,6455,2.4638,0.062785),(4265,6465,2.4633,0.059805),(4265,6475,2.4629,0.056824),(4265,6485,2.4625,0.053664),(4265,6495,2.4622,0.050382),(4265,6505,2.4619,0.0471),(4265,6515,2.4617,0.043702),(4265,6525,2.4615,0.040144),(4265,6535,2.4613,0.036585),(4265,6545,2.4612,0.032983),(4265,6555,2.4611,0.029246),(4265,6565,2.461,0.025509),(4265,6575,2.461,0.021768),(4265,6585,2.4609,0.017965),(4265,6595,2.0932,0.014162),(4265,6605,1.3194,0.010359),(4265,6615,0.54562,0.009939),(4265,6625,0.001669,0.009955),(4265,6635,0.001684,0.00997),(4265,6645,0.001699,0.009964),(4265,6655,0.001714,0.009948),(4265,6665,0.001726,0.009932),(4265,6675,0.001739,0.009917),(4265,6685,0.001751,0.009901),(4265,6695,0.001761,0.009885),(4265,6705,0.001771,0.00987),(4265,6715,0.00178,0.009854),(4265,6725,0.001788,0.009839),(4265,6735,0.001796,0.009824),(4265,6745,0.001804,0.009809),(4265,6755,0.001811,0.009794),(4265,6765,0.001817,0.009779),(4265,6775,0.001823,0.009764),(4265,6785,0.001828,0.00975),(4265,6795,0.001833,0.009735),(4265,6805,0.001838,0.009721),(4265,6815,0.001842,0.009707),(4265,6825,0.001846,0.009693),(4265,6835,0.00185,0.009679),(4265,6845,0.001853,0.009666),(4265,6855,0.001856,0.009652),(4265,6865,0.001859,0.009639),(4265,6875,0.001862,0.009626),(4265,6885,0.001864,0.009614),(4265,6895,0.001866,0.009601),(4265,6905,0.001868,0.009588),(4265,6915,0.001869,0.009576),(4265,6925,0.001871,0.009564),(4265,6935,0.001872,0.009552),(4265,6945,0.001874,0.00954),(4265,6955,0.001875,0.009528),(4265,6965,0.001876,0.009517),(4265,6975,0.001877,0.009505),(4265,6985,0.001877,0.009494),(4275,5,3.2e-05,-0.002151),(4275,15,9.6e-05,-0.002153),(4275,25,0.00016,-0.002154),(4275,35,0.000224,-0.002156),(4275,45,0.000288,-0.00216),(4275,55,0.000352,-0.002165),(4275,65,0.000416,-0.00217),(4275,75,0.000481,-0.002175),(4275,85,0.000546,-0.002183),(4275,95,0.00061,-0.002192),(4275,105,0.000676,-0.002201),(4275,115,0.000742,-0.00221),(4275,125,0.000808,-0.002221),(4275,135,0.000873,-0.002233),(4275,145,0.00094,-0.002246),(4275,155,0.001008,-0.002259),(4275,165,0.001075,-0.002274),(4275,175,0.001143,-0.002291),(4275,185,0.001212,-0.002308),(4275,195,0.001281,-0.002324),(4275,205,0.001351,-0.002344),(4275,215,0.00142,-0.002365),(4275,225,0.001491,-0.002386),(4275,235,0.001564,-0.002407),(4275,245,0.001636,-0.002431),(4275,255,0.001708,-0.002457),(4275,265,0.001783,-0.002483),(4275,275,0.001858,-0.002509),(4275,285,0.001933,-0.002539),(4275,295,0.002009,-0.002571),(4275,305,0.002087,-0.002602),(4275,315,0.002167,-0.002633),(4275,325,0.002246,-0.002669),(4275,335,0.002325,-0.002707),(4275,345,0.002408,-0.002744),(4275,355,0.002492,-0.002781),(4275,365,0.002576,-0.002825),(4275,375,0.00266,-0.002869),(4275,385,0.002748,-0.002913),(4275,395,0.002837,-0.002957),(4275,405,0.002926,-0.003009),(4275,415,0.003016,-0.003061),(4275,425,0.003111,-0.003114),(4275,435,0.003206,-0.003166),(4275,445,0.003302,-0.003228),(4275,455,0.003397,-0.003289),(4275,465,0.003499,-0.003351),(4275,475,0.003602,-0.003413),(4275,485,0.003704,-0.003486),(4275,495,0.003807,-0.003558),(4275,505,0.003918,-0.003631),(4275,515,0.004028,-0.003704),(4275,525,0.004139,-0.003789),(4275,535,0.00425,-0.003875),(4275,545,0.00437,-0.00396),(4275,555,0.00449,-0.004046),(4275,565,0.004609,-0.004147),(4275,575,0.00473,-0.004248),(4275,585,0.004861,-0.004349),(4275,595,0.004991,-0.004452),(4275,605,0.005122,-0.004571),(4275,615,0.005254,-0.004691),(4275,625,0.005396,-0.00481),(4275,635,0.005539,-0.004933),(4275,645,0.005681,-0.005074),(4275,655,0.005826,-0.005216),(4275,665,0.005982,-0.005357),(4275,675,0.006138,-0.005503),(4275,685,0.006294,-0.005672),(4275,695,0.006452,-0.005841),(4275,705,0.006623,-0.006009),(4275,715,0.006794,-0.006185),(4275,725,0.006964,-0.006387),(4275,735,0.007138,-0.006588),(4275,745,0.007325,-0.00679),(4275,755,0.007512,-0.007002),(4275,765,0.007698,-0.007244),(4275,775,0.00789,-0.007486),(4275,785,0.008093,-0.007728),(4275,795,0.008296,-0.007985),(4275,805,0.0085,-0.008278),(4275,815,0.008708,-0.00857),(4275,825,0.008929,-0.008862),(4275,835,0.009149,-0.009175),(4275,845,0.00937,-0.00953),(4275,855,0.009595,-0.009885),(4275,865,0.009832,-0.010239),(4275,875,0.010068,-0.010623),(4275,885,0.010304,-0.011057),(4275,895,0.010545,-0.01149),(4275,905,0.010793,-0.011923),(4275,915,0.011041,-0.012397),(4275,925,0.011289,-0.012928),(4275,935,0.011539,-0.01346),(4275,945,0.011791,-0.013992),(4275,955,0.012044,-0.014579),(4275,965,0.012296,-0.015234),(4275,975,0.012543,-0.015888),(4275,985,0.012784,-0.016543),(4275,995,0.013025,-0.017273),(4275,1005,0.013266,-0.018081),(4275,1015,0.013488,-0.01889),(4275,1025,0.013691,-0.019698),(4275,1035,0.013894,-0.020606),(4275,1045,0.014097,-0.021602),(4275,1055,0.014254,-0.022599),(4275,1065,0.014373,-0.023595),(4275,1075,0.014493,-0.024719),(4275,1085,0.014612,-0.025939),(4275,1095,0.01464,-0.027159),(4275,1105,0.014603,-0.02838),(4275,1115,0.014566,-0.029753),(4275,1125,0.014529,-0.031224),(4275,1135,0.014324,-0.032696),(4275,1145,0.014019,-0.034167),(4275,1155,0.013715,-0.035799),(4275,1165,0.01341,-0.037519),(4275,1175,0.012821,-0.039239),(4275,1185,0.01209,-0.040958),(4275,1195,0.01136,-0.042799),(4275,1205,0.010629,-0.044695),(4275,1215,0.009462,-0.046591),(4275,1225,0.008114,-0.048487),(4275,1235,0.006767,-0.050367),(4275,1245,0.005419,-0.052242),(4275,1255,0.003487,-0.054117),(4275,1265,0.001358,-0.055992),(4275,1275,-0.000771,-0.057566),(4275,1285,-0.0029,-0.059048),(4275,1295,-0.005636,-0.06053),(4275,1305,-0.008536,-0.062013),(4275,1315,-0.011436,-0.062775),(4275,1325,-0.014337,-0.063364),(4275,1335,-0.017554,-0.063954),(4275,1345,-0.020838,-0.064543),(4275,1355,-0.024122,-0.064096),(4275,1365,-0.027406,-0.063462),(4275,1375,-0.030375,-0.062827),(4275,1385,-0.033294,-0.062192),(4275,1395,-0.036214,-0.060764),(4275,1405,-0.039134,-0.059234),(4275,1415,-0.041372,-0.057704),(4275,1425,-0.043538,-0.056174),(4275,1435,-0.045704,-0.05428),(4275,1445,-0.047871,-0.052356),(4275,1455,-0.049313,-0.050431),(4275,1465,-0.050714,-0.048507),(4275,1475,-0.052115,-0.046565),(4275,1485,-0.053516,-0.044621),(4275,1495,-0.054322,-0.042677),(4275,1505,-0.05512,-0.040735),(4275,1515,-0.055917,-0.038972),(4275,1525,-0.056705,-0.037208),(4275,1535,-0.05709,-0.035445),(4275,1545,-0.057474,-0.033694),(4275,1555,-0.057859,-0.032186),(4275,1565,-0.058228,-0.030678),(4275,1575,-0.058356,-0.02917),(4275,1585,-0.058485,-0.027684),(4275,1595,-0.058613,-0.026437),(4275,1605,-0.058727,-0.02519),(4275,1615,-0.05871,-0.023944),(4275,1625,-0.058693,-0.022726),(4275,1635,-0.058676,-0.021717),(4275,1645,-0.058649,-0.020708),(4275,1655,-0.058558,-0.019699),(4275,1665,-0.058467,-0.018723),(4275,1675,-0.058376,-0.01792),(4275,1685,-0.05828,-0.017116),(4275,1695,-0.058158,-0.016313),(4275,1705,-0.058036,-0.015545),(4275,1715,-0.057915,-0.014916),(4275,1725,-0.057792,-0.014288),(4275,1735,-0.057664,-0.013659),(4275,1745,-0.057536,-0.013067),(4275,1755,-0.057407,-0.012588),(4275,1765,-0.057281,-0.012109),(4275,1775,-0.057159,-0.01163),(4275,1785,-0.057036,-0.011188),(4275,1795,-0.056914,-0.01084),(4275,1805,-0.056794,-0.010491),(4275,1815,-0.056682,-0.010142),(4275,1825,-0.05657,-0.009832),(4275,1835,-0.056457,-0.0096),(4275,1845,-0.056348,-0.009369),(4275,1855,-0.056245,-0.009138),(4275,1865,-0.056142,-0.008946),(4275,1875,-0.056039,-0.008823),(4275,1885,-0.055938,-0.008701),(4275,1895,-0.055841,-0.008579),(4275,1905,-0.055743,-0.008499),(4275,1915,-0.055645,-0.008483),(4275,1925,-0.055547,-0.008466),(4275,1935,-0.055449,-0.00845),(4275,1945,-0.05535,-0.00848),(4275,1955,-0.055251,-0.00857),(4275,1965,-0.055148,-0.00866),(4275,1975,-0.05504,-0.00875),(4275,1985,-0.054932,-0.008894),(4275,1995,-0.054823,-0.009095),(4275,2005,-0.054705,-0.009296),(4275,2015,-0.054576,-0.009498),(4275,2025,-0.054448,-0.009761),(4275,2035,-0.054319,-0.010082),(4275,2045,-0.054173,-0.010403),(4275,2055,-0.054012,-0.010724),(4275,2065,-0.053851,-0.011118),(4275,2075,-0.05369,-0.011569),(4275,2085,-0.053501,-0.012021),(4275,2095,-0.053292,-0.012473),(4275,2105,-0.053083,-0.013012),(4275,2115,-0.052874,-0.01361),(4275,2125,-0.052625,-0.014208),(4275,2135,-0.052351,-0.014806),(4275,2145,-0.052077,-0.015509),(4275,2155,-0.051802,-0.016271),(4275,2165,-0.051471,-0.017033),(4275,2175,-0.05111,-0.017795),(4275,2185,-0.050749,-0.018683),(4275,2195,-0.050388,-0.019631),(4275,2205,-0.049949,-0.020578),(4275,2215,-0.049476,-0.021526),(4275,2225,-0.049003,-0.022624),(4275,2235,-0.04853,-0.023782),(4275,2245,-0.047951,-0.02494),(4275,2255,-0.047335,-0.026098),(4275,2265,-0.046719,-0.027437),(4275,2275,-0.046103,-0.028833),(4275,2285,-0.045347,-0.03023),(4275,2295,-0.044551,-0.031626),(4275,2305,-0.043755,-0.033236),(4275,2315,-0.042958,-0.034901),(4275,2325,-0.041978,-0.036566),(4275,2335,-0.040957,-0.038231),(4275,2345,-0.039936,-0.040147),(4275,2355,-0.038914,-0.042112),(4275,2365,-0.037655,-0.044077),(4275,2375,-0.036355,-0.046042),(4275,2385,-0.035056,-0.048297),(4275,2395,-0.033756,-0.050594),(4275,2405,-0.03215,-0.05289),(4275,2415,-0.030509,-0.055187),(4275,2425,-0.028868,-0.057814),(4275,2435,-0.027226,-0.060472),(4275,2445,-0.025195,-0.06313),(4275,2455,-0.023138,-0.065787),(4275,2465,-0.02108,-0.068813),(4275,2475,-0.019023,-0.071855),(4275,2485,-0.016476,-0.074898),(4275,2495,-0.013917,-0.07794),(4275,2505,-0.011357,-0.081379),(4275,2515,-0.008789,-0.08482),(4275,2525,-0.005633,-0.08826),(4275,2535,-0.002476,-0.091715),(4275,2545,0.000681,-0.095551),(4275,2555,0.003876,-0.099387),(4275,2565,0.007733,-0.10322),(4275,2575,0.011591,-0.10709),(4275,2585,0.015448,-0.1113),(4275,2595,0.019381,-0.11551),(4275,2605,0.024046,-0.11971),(4275,2615,0.02871,-0.12396),(4275,2625,0.033375,-0.12849),(4275,2635,0.03816,-0.13302),(4275,2645,0.043732,-0.13755),(4275,2655,0.049304,-0.14212),(4275,2665,0.054876,-0.14689),(4275,2675,0.06062,-0.15167),(4275,2685,0.067184,-0.15644),(4275,2695,0.073748,-0.16124),(4275,2705,0.080311,-0.16614),(4275,2715,0.087099,-0.17105),(4275,2725,0.094711,-0.17596),(4275,2735,0.10232,-0.18087),(4275,2745,0.10994,-0.18578),(4275,2755,0.11782,-0.19069),(4275,2765,0.1265,-0.1956),(4275,2775,0.13518,-0.20047),(4275,2785,0.14386,-0.20524),(4275,2795,0.15285,-0.21001),(4275,2805,0.16257,-0.21478),(4275,2815,0.1723,-0.21946),(4275,2825,0.18202,-0.22395),(4275,2835,0.19207,-0.22844),(4275,2845,0.20278,-0.23293),(4275,2855,0.21348,-0.23728),(4275,2865,0.22419,-0.24136),(4275,2875,0.23522,-0.24545),(4275,2885,0.24681,-0.24953),(4275,2895,0.25841,-0.25342),(4275,2905,0.27,-0.25699),(4275,2915,0.28191,-0.26057),(4275,2925,0.29427,-0.26414),(4275,2935,0.30663,-0.26746),(4275,2945,0.319,-0.27044),(4275,2955,0.33165,-0.27342),(4275,2965,0.34466,-0.2764),(4275,2975,0.35766,-0.27907),(4275,2985,0.37067,-0.28139),(4275,2995,0.38393,-0.28371),(4275,3005,0.39745,-0.28604),(4275,3015,0.41097,-0.288),(4275,3025,0.42449,-0.28962),(4275,3035,0.43821,-0.29123),(4275,3045,0.45211,-0.29285),(4275,3055,0.46601,-0.29405),(4275,3065,0.47991,-0.29492),(4275,3075,0.49395,-0.29579),(4275,3085,0.5081,-0.29666),(4275,3095,0.52225,-0.29707),(4275,3105,0.5364,-0.29715),(4275,3115,0.55062,-0.29723),(4275,3125,0.56488,-0.29731),(4275,3135,0.57915,-0.29688),(4275,3145,0.59341,-0.29613),(4275,3155,0.60766,-0.29539),(4275,3165,0.6219,-0.29465),(4275,3175,0.63615,-0.29332),(4275,3185,0.65039,-0.29171),(4275,3195,0.66452,-0.2901),(4275,3205,0.67859,-0.28848),(4275,3215,0.69266,-0.28622),(4275,3225,0.70674,-0.28369),(4275,3235,0.72057,-0.28115),(4275,3245,0.73431,-0.27862),(4275,3255,0.74806,-0.27536),(4275,3265,0.7618,-0.27186),(4275,3275,0.77516,-0.26835),(4275,3285,0.78839,-0.26485),(4275,3295,0.80163,-0.26054),(4275,3305,0.81486,-0.25601),(4275,3315,0.82753,-0.25148),(4275,3325,0.84005,-0.24696),(4275,3335,0.85258,-0.24155),(4275,3345,0.86511,-0.23595),(4275,3355,0.87684,-0.23036),(4275,3365,0.88844,-0.22477),(4275,3375,0.90003,-0.21822),(4275,3385,0.91162,-0.21154),(4275,3395,0.92216,-0.20485),(4275,3405,0.93257,-0.19816),(4275,3415,0.94297,-0.19048),(4275,3425,0.95338,-0.1827),(4275,3435,0.96244,-0.17492),(4275,3445,0.97138,-0.16714),(4275,3455,0.98033,-0.15837),(4275,3465,0.98928,-0.14954),(4275,3475,0.99655,-0.14072),(4275,3485,1.0038,-0.13189),(4275,3495,1.011,-0.12214),(4275,3505,1.0182,-0.11237),(4275,3515,1.0234,-0.1026),(4275,3525,1.0286,-0.092809),(4275,3535,1.0337,-0.082268),(4275,3545,1.0388,-0.071727),(4275,3555,1.0418,-0.061185),(4275,3565,1.0447,-0.05061),(4275,3575,1.0477,-0.039535),(4275,3585,1.0504,-0.02846),(4275,3595,1.0509,-0.017385),(4275,3605,1.0514,-0.006285),(4275,3615,1.0519,0.005032),(4275,3625,1.0521,0.016349),(4275,3635,1.0501,0.027666),(4275,3645,1.0481,0.038972),(4275,3655,1.0461,0.050215),(4275,3665,1.0437,0.061457),(4275,3675,1.0392,0.072699),(4275,3685,1.0347,0.083872),(4275,3695,1.0302,0.094737),(4275,3705,1.0252,0.1056),(4275,3715,1.0183,0.11647),(4275,3725,1.0115,0.12719),(4275,3735,1.0046,0.13742),(4275,3745,0.99716,0.14766),(4275,3755,0.98808,0.15789),(4275,3765,0.979,0.16791),(4275,3775,0.96992,0.17734),(4275,3785,0.96028,0.18677),(4275,3795,0.94921,0.19619),(4275,3805,0.93815,0.20534),(4275,3815,0.92708,0.21387),(4275,3825,0.91545,0.22239),(4275,3835,0.90262,0.23092),(4275,3845,0.88979,0.23913),(4275,3855,0.87697,0.24675),(4275,3865,0.86358,0.25437),(4275,3875,0.84919,0.26198),(4275,3885,0.83481,0.26929),(4275,3895,0.82042,0.27609),(4275,3905,0.8055,0.28288),(4275,3915,0.78976,0.28968),(4275,3925,0.77402,0.2962),(4275,3935,0.75829,0.30235),(4275,3945,0.74207,0.3085),(4275,3955,0.72523,0.31465),(4275,3965,0.70839,0.3206),(4275,3975,0.69156,0.32632),(4275,3985,0.67439,0.33203),(4275,3995,0.65685,0.33775),(4275,4005,0.63931,0.34332),(4275,4015,0.62177,0.34875),(4275,4025,0.99373,0.35417),(4275,4035,1.4038,0.35797),(4275,4045,1.8139,0.35833),(4275,4055,2.1068,0.3587),(4275,4065,2.357,0.35859),(4275,4075,2.6073,0.35563),(4275,4085,2.7164,0.35268),(4275,4095,2.7123,0.34972),(4275,4105,2.7081,0.34656),(4275,4115,2.6082,0.34339),(4275,4125,2.3493,0.34022),(4275,4135,2.0905,0.33918),(4275,4145,1.8286,0.33871),(4275,4155,1.5544,0.33825),(4275,4165,1.2802,0.33927),(4275,4175,1.0215,0.34124),(4275,4185,1.5309,0.34321),(4275,4195,2.0402,0.34265),(4275,4205,2.5495,0.33876),(4275,4215,2.6272,0.33488),(4275,4225,2.6235,0.33095),(4275,4235,2.6199,0.3269),(4275,4245,2.6162,0.32285),(4275,4255,2.6124,0.31879),(4275,4265,2.6086,0.31467),(4275,4275,2.2727,0.31054),(4275,4285,1.5843,0.30641),(4275,4295,0.89588,0.30849),(4275,4305,0.59843,0.31128),(4275,4315,1.1837,0.31408),(4275,4325,1.769,0.31269),(4275,4335,2.2894,0.30966),(4275,4345,2.3697,0.30663),(4275,4355,2.4501,0.3031),(4275,4365,2.5304,0.29913),(4275,4375,2.5314,0.29517),(4275,4385,2.5284,0.29127),(4275,4395,2.5253,0.28748),(4275,4405,2.1921,0.28369),(4275,4415,1.7616,0.2806),(4275,4425,1.3311,0.28066),(4275,4435,1.1471,0.28072),(4275,4445,1.1315,0.28078),(4275,4455,1.1158,0.28088),(4275,4465,1.2838,0.28099),(4275,4475,1.7097,0.28109),(4275,4485,2.1356,0.27808),(4275,4495,2.4597,0.27441),(4275,4505,2.4573,0.27074),(4275,4515,2.455,0.26702),(4275,4525,2.4476,0.26327),(4275,4535,2.3616,0.25953),(4275,4545,2.2756,0.25611),(4275,4555,2.1896,0.25305),(4275,4565,1.6363,0.25),(4275,4575,1.0201,0.24827),(4275,4585,0.40386,0.24978),(4275,4595,0.7,0.25129),(4275,4605,1.3816,0.25223),(4275,4615,2.0633,0.24878),(4275,4625,2.3863,0.24532),(4275,4635,2.3845,0.24187),(4275,4645,2.3828,0.23839),(4275,4655,2.381,0.2349),(4275,4665,2.3792,0.23142),(4275,4675,2.3774,0.22798),(4275,4685,2.2896,0.22456),(4275,4695,1.777,0.22113),(4275,4705,1.2643,0.21966),(4275,4715,0.7517,0.21962),(4275,4725,0.98926,0.21958),(4275,4735,1.2343,0.21904),(4275,4745,1.4794,0.21778),(4275,4755,1.7313,0.21651),(4275,4765,1.9848,0.21491),(4275,4775,2.2383,0.21212),(4275,4785,2.3304,0.20933),(4275,4795,2.3291,0.20655),(4275,4805,2.3278,0.20376),(4275,4815,2.2105,0.20098),(4275,4825,1.9547,0.1982),(4275,4835,1.6989,0.19657),(4275,4845,1.4398,0.19513),(4275,4855,1.1722,0.19368),(4275,4865,0.90465,0.19312),(4275,4875,0.71435,0.19296),(4275,4885,1.2271,0.19281),(4275,4895,1.7399,0.19149),(4275,4905,2.2527,0.18907),(4275,4915,2.2924,0.18664),(4275,4925,2.2914,0.18418),(4275,4935,2.2905,0.18166),(4275,4945,2.2894,0.17914),(4275,4955,2.2884,0.17663),(4275,4965,2.2873,0.17416),(4275,4975,1.9001,0.1717),(4275,4985,1.2148,0.16923),(4275,4995,0.52952,0.16945),(4275,5005,0.3041,0.16974),(4275,5015,0.80977,0.17003),(4275,5025,1.3155,0.16914),(4275,5035,1.7509,0.16795),(4275,5045,1.9187,0.16676),(4275,5055,2.0866,0.16529),(4275,5065,2.2494,0.16365),(4275,5075,2.2487,0.162),(4275,5085,2.2479,0.16035),(4275,5095,2.2471,0.15868),(4275,5105,1.9571,0.15702),(4275,5115,1.6165,0.15557),(4275,5125,1.276,0.15474),(4275,5135,1.1018,0.15391),(4275,5145,1.0083,0.15314),(4275,5155,0.91472,0.15299),(4275,5165,1.0777,0.15284),(4275,5175,1.5023,0.1527),(4275,5185,1.9269,0.15212),(4275,5195,2.2168,0.1515),(4275,5205,2.2161,0.15089),(4275,5215,2.2154,0.15008),(4275,5225,2.2033,0.14921),(4275,5235,2.12,0.14834),(4275,5245,2.0367,0.14733),(4275,5255,1.9534,0.1462),(4275,5265,1.3699,0.14507),(4275,5275,0.76582,0.14436),(4275,5285,0.16173,0.14436),(4275,5295,0.55381,0.14437),(4275,5305,1.2233,0.14416),(4275,5315,1.8928,0.14304),(4275,5325,2.1577,0.14191),(4275,5335,2.1573,0.14079),(4275,5345,2.1569,0.1394),(4275,5355,2.1566,0.13801),(4275,5365,2.1562,0.13663),(4275,5375,2.1559,0.13518),(4275,5385,2.0316,0.13372),(4275,5395,1.5303,0.13226),(4275,5405,1.029,0.13146),(4275,5415,0.57996,0.131),(4275,5425,0.83273,0.13054),(4275,5435,1.0855,0.12849),(4275,5445,1.3383,0.12473),(4275,5455,1.5911,0.12097),(4275,5465,1.8439,0.11655),(4275,5475,2.0967,0.1106),(4275,5485,2.1686,0.10464),(4275,5495,2.1676,0.098798),(4275,5505,2.1666,0.093783),(4275,5515,2.1647,0.088768),(4275,5525,2.1622,0.083753),(4275,5535,2.1597,0.080253),(4275,5545,2.1566,0.07684),(4275,5555,2.1526,0.073427),(4275,5565,2.1486,0.071391),(4275,5575,2.1444,0.069772),(4275,5585,2.1395,0.068153),(4275,5595,2.1345,0.067431),(4275,5605,2.1295,0.067335),(4275,5615,2.1241,0.067239),(4275,5625,2.1187,0.067571),(4275,5635,2.1132,0.068517),(4275,5645,2.1078,0.069463),(4275,5655,2.1024,0.070539),(4275,5665,2.097,0.072041),(4275,5675,2.0917,0.073544),(4275,5685,2.0865,0.075055),(4275,5695,2.0813,0.076717),(4275,5705,2.0763,0.07838),(4275,5715,2.0715,0.080043),(4275,5725,2.0668,0.081637),(4275,5735,2.0621,0.083221),(4275,5745,2.0576,0.084805),(4275,5755,2.0532,0.086243),(4275,5765,2.0488,0.087619),(4275,5775,2.0447,0.088994),(4275,5785,2.0407,0.090255),(4275,5795,2.0366,0.091411),(4275,5805,2.0327,0.092567),(4275,5815,2.0289,0.093674),(4275,5825,2.0251,0.094689),(4275,5835,2.0215,0.095703),(4275,5845,2.0179,0.096722),(4275,5855,2.0143,0.097761),(4275,5865,2.0108,0.0988),(4275,5875,2.0075,0.099839),(4275,5885,2.0041,0.10115),(4275,5895,2.0008,0.10246),(4275,5905,1.9978,0.10377),(4275,5915,1.9947,0.10552),(4275,5925,1.9917,0.10737),(4275,5935,1.9891,0.10923),(4275,5945,1.9865,0.11157),(4275,5955,1.9839,0.11419),(4275,5965,1.982,0.11682),(4275,5975,1.9801,0.1198),(4275,5985,1.9782,0.12322),(4275,5995,1.512,0.12663),(4275,6005,0.97113,0.12916),(4275,6015,0.43024,0.12932),(4275,6025,0.63452,0.12947),(4275,6035,1.1844,0.12877),(4275,6045,1.7343,0.11983),(4275,6055,2.1099,0.11089),(4275,6065,2.3145,0.10195),(4275,6075,2.5192,0.093839),(4275,6085,2.6538,0.085806),(4275,6095,2.644,0.077772),(4275,6105,2.6342,0.073318),(4275,6115,2.6242,0.070136),(4275,6125,2.613,0.066955),(4275,6135,2.6017,0.065776),(4275,6145,2.5905,0.066175),(4275,6155,2.58,0.066575),(4275,6165,2.5696,0.06768),(4275,6175,2.5591,0.069929),(4275,6185,2.5501,0.072179),(4275,6195,2.5414,0.074512),(4275,6205,2.5327,0.077168),(4275,6215,2.5253,0.079825),(4275,6225,2.5186,0.082469),(4275,6235,2.5119,0.084622),(4275,6245,2.506,0.086775),(4275,6255,2.5011,0.088928),(4275,6265,2.4962,0.090307),(4275,6275,2.4916,0.091547),(4275,6285,2.4881,0.092786),(4275,6295,2.4846,0.093338),(4275,6305,2.4812,0.093549),(4275,6315,2.4788,0.093761),(4275,6325,2.4764,0.093489),(4275,6335,2.474,0.092713),(4275,6345,2.4723,0.091937),(4275,6355,2.4706,0.090897),(4275,6365,2.469,0.089272),(4275,6375,2.4677,0.087647),(4275,6385,2.4666,0.085935),(4275,6395,2.4655,0.083659),(4275,6405,2.4646,0.081383),(4275,6415,2.4639,0.079108),(4275,6425,2.4632,0.076299),(4275,6435,2.4626,0.073466),(4275,6445,2.4621,0.070633),(4275,6455,2.4617,0.067433),(4275,6465,2.4613,0.064128),(4275,6475,2.461,0.060823),(4275,6485,2.4607,0.057338),(4275,6495,2.4605,0.053733),(4275,6505,2.4603,0.050127),(4275,6515,2.4601,0.046416),(4275,6525,2.46,0.04256),(4275,6535,2.4599,0.038704),(4275,6545,2.4598,0.034808),(4275,6555,2.4598,0.030788),(4275,6565,2.4597,0.026767),(4275,6575,2.4597,0.022741),(4275,6585,2.4597,0.01864),(4275,6595,2.0921,0.014538),(4275,6605,1.3188,0.010437),(4275,6615,0.54536,0.009975),(4275,6625,0.001681,0.009982),(4275,6635,0.001696,0.009988),(4275,6645,0.001712,0.009978),(4275,6655,0.001726,0.009961),(4275,6665,0.001739,0.009945),(4275,6675,0.001751,0.009928),(4275,6685,0.001763,0.009912),(4275,6695,0.001773,0.009895),(4275,6705,0.001782,0.009879),(4275,6715,0.001792,0.009863),(4275,6725,0.0018,0.009847),(4275,6735,0.001808,0.009831),(4275,6745,0.001815,0.009815),(4275,6755,0.001822,0.0098),(4275,6765,0.001828,0.009784),(4275,6775,0.001834,0.00977),(4275,6785,0.001839,0.009755),(4275,6795,0.001843,0.00974),(4275,6805,0.001848,0.009725),(4275,6815,0.001852,0.009711),(4275,6825,0.001856,0.009697),(4275,6835,0.001859,0.009683),(4275,6845,0.001863,0.009669),(4275,6855,0.001865,0.009655),(4275,6865,0.001868,0.009642),(4275,6875,0.00187,0.009629),(4275,6885,0.001872,0.009616),(4275,6895,0.001874,0.009603),(4275,6905,0.001876,0.00959),(4275,6915,0.001877,0.009577),(4275,6925,0.001879,0.009565),(4275,6935,0.00188,0.009553),(4275,6945,0.001881,0.009541),(4275,6955,0.001882,0.009529),(4275,6965,0.001883,0.009517),(4275,6975,0.001884,0.009506),(4275,6985,0.001884,0.009494),(4285,5,3.2e-05,-0.002086),(4285,15,9.7e-05,-0.002088),(4285,25,0.000161,-0.002089),(4285,35,0.000226,-0.002091),(4285,45,0.000291,-0.002095),(4285,55,0.000356,-0.0021),(4285,65,0.000421,-0.002105),(4285,75,0.000486,-0.00211),(4285,85,0.000552,-0.002117),(4285,95,0.000617,-0.002126),(4285,105,0.000683,-0.002134),(4285,115,0.00075,-0.002143),(4285,125,0.000817,-0.002154),(4285,135,0.000883,-0.002166),(4285,145,0.000951,-0.002178),(4285,155,0.001019,-0.00219),(4285,165,0.001088,-0.002205),(4285,175,0.001156,-0.002221),(4285,185,0.001226,-0.002238),(4285,195,0.001296,-0.002254),(4285,205,0.001367,-0.002273),(4285,215,0.001437,-0.002293),(4285,225,0.001509,-0.002313),(4285,235,0.001582,-0.002334),(4285,245,0.001656,-0.002357),(4285,255,0.001729,-0.002382),(4285,265,0.001804,-0.002407),(4285,275,0.001881,-0.002433),(4285,285,0.001958,-0.002462),(4285,295,0.002034,-0.002492),(4285,305,0.002114,-0.002522),(4285,315,0.002195,-0.002552),(4285,325,0.002275,-0.002587),(4285,335,0.002356,-0.002623),(4285,345,0.00244,-0.00266),(4285,355,0.002526,-0.002696),(4285,365,0.002611,-0.002738),(4285,375,0.002696,-0.00278),(4285,385,0.002787,-0.002823),(4285,395,0.002878,-0.002866),(4285,405,0.002969,-0.002916),(4285,415,0.00306,-0.002967),(4285,425,0.003157,-0.003018),(4285,435,0.003254,-0.003068),(4285,445,0.003352,-0.003128),(4285,455,0.003449,-0.003188),(4285,465,0.003554,-0.003248),(4285,475,0.003659,-0.003308),(4285,485,0.003764,-0.003378),(4285,495,0.00387,-0.003448),(4285,505,0.003983,-0.003519),(4285,515,0.004097,-0.00359),(4285,525,0.00421,-0.003672),(4285,535,0.004324,-0.003755),(4285,545,0.004448,-0.003838),(4285,555,0.004571,-0.003922),(4285,565,0.004695,-0.00402),(4285,575,0.004819,-0.004118),(4285,585,0.004954,-0.004216),(4285,595,0.005089,-0.004316),(4285,605,0.005223,-0.004432),(4285,615,0.00536,-0.004548),(4285,625,0.005508,-0.004664),(4285,635,0.005655,-0.004783),(4285,645,0.005803,-0.004921),(4285,655,0.005953,-0.005059),(4285,665,0.006115,-0.005196),(4285,675,0.006278,-0.005339),(4285,685,0.00644,-0.005503),(4285,695,0.006605,-0.005668),(4285,705,0.006784,-0.005832),(4285,715,0.006962,-0.006004),(4285,725,0.007141,-0.006201),(4285,735,0.007323,-0.006398),(4285,745,0.00752,-0.006595),(4285,755,0.007716,-0.006802),(4285,765,0.007912,-0.007039),(4285,775,0.008114,-0.007276),(4285,785,0.00833,-0.007514),(4285,795,0.008545,-0.007765),(4285,805,0.008761,-0.008052),(4285,815,0.008982,-0.008339),(4285,825,0.009218,-0.008627),(4285,835,0.009453,-0.008934),(4285,845,0.009689,-0.009284),(4285,855,0.009931,-0.009634),(4285,865,0.010186,-0.009983),(4285,875,0.010441,-0.010362),(4285,885,0.010696,-0.010791),(4285,895,0.010958,-0.01122),(4285,905,0.011229,-0.011648),(4285,915,0.011501,-0.012118),(4285,925,0.011773,-0.012647),(4285,935,0.012049,-0.013176),(4285,945,0.012331,-0.013704),(4285,955,0.012613,-0.01429),(4285,965,0.012895,-0.014946),(4285,975,0.013175,-0.015601),(4285,985,0.013452,-0.016256),(4285,995,0.01373,-0.01699),(4285,1005,0.014008,-0.017806),(4285,1015,0.01427,-0.018621),(4285,1025,0.014518,-0.019436),(4285,1035,0.014766,-0.020358),(4285,1045,0.015013,-0.021373),(4285,1055,0.015219,-0.022388),(4285,1065,0.015391,-0.023403),(4285,1075,0.015563,-0.024556),(4285,1085,0.015735,-0.025814),(4285,1095,0.015818,-0.027072),(4285,1105,0.015839,-0.02833),(4285,1115,0.01586,-0.02976),(4285,1125,0.015881,-0.0313),(4285,1135,0.015731,-0.03284),(4285,1145,0.015481,-0.03438),(4285,1155,0.015231,-0.03611),(4285,1165,0.014981,-0.037943),(4285,1175,0.014434,-0.039776),(4285,1185,0.013739,-0.041609),(4285,1195,0.013044,-0.043603),(4285,1205,0.01235,-0.045669),(4285,1215,0.011185,-0.047736),(4285,1225,0.009825,-0.049802),(4285,1235,0.008466,-0.051892),(4285,1245,0.007107,-0.05399),(4285,1255,0.005101,-0.056088),(4285,1265,0.002878,-0.058186),(4285,1275,0.000654,-0.059986),(4285,1285,-0.00157,-0.061696),(4285,1295,-0.004482,-0.063405),(4285,1305,-0.007581,-0.065114),(4285,1315,-0.010679,-0.066014),(4285,1325,-0.013777,-0.066719),(4285,1335,-0.017243,-0.067425),(4285,1345,-0.020787,-0.06813),(4285,1355,-0.02433,-0.067607),(4285,1365,-0.027873,-0.066861),(4285,1375,-0.031047,-0.066115),(4285,1385,-0.034165,-0.06537),(4285,1395,-0.037283,-0.063732),(4285,1405,-0.040401,-0.061979),(4285,1415,-0.042742,-0.060226),(4285,1425,-0.045002,-0.058474),(4285,1435,-0.047263,-0.056359),(4285,1445,-0.049523,-0.054216),(4285,1455,-0.050981,-0.052072),(4285,1465,-0.052392,-0.049929),(4285,1475,-0.053803,-0.047817),(4285,1485,-0.055214,-0.045706),(4285,1495,-0.055984,-0.043595),(4285,1505,-0.056744,-0.041485),(4285,1515,-0.057504,-0.039612),(4285,1525,-0.058254,-0.037738),(4285,1535,-0.058581,-0.035865),(4285,1545,-0.058908,-0.034004),(4285,1555,-0.059235,-0.032431),(4285,1565,-0.059546,-0.030857),(4285,1575,-0.059614,-0.029283),(4285,1585,-0.059681,-0.027734),(4285,1595,-0.059749,-0.026452),(4285,1605,-0.059802,-0.02517),(4285,1615,-0.059728,-0.023888),(4285,1625,-0.059655,-0.022637),(4285,1635,-0.059581,-0.021611),(4285,1645,-0.059498,-0.020586),(4285,1655,-0.059357,-0.01956),(4285,1665,-0.059217,-0.01857),(4285,1675,-0.059076,-0.017761),(4285,1685,-0.058931,-0.016952),(4285,1695,-0.058767,-0.016143),(4285,1705,-0.058602,-0.01537),(4285,1715,-0.058438,-0.014742),(4285,1725,-0.058273,-0.014114),(4285,1735,-0.058108,-0.013485),(4285,1745,-0.057943,-0.012894),(4285,1755,-0.057779,-0.012418),(4285,1765,-0.057616,-0.011942),(4285,1775,-0.057462,-0.011466),(4285,1785,-0.057307,-0.011027),(4285,1795,-0.057152,-0.010682),(4285,1805,-0.057001,-0.010337),(4285,1815,-0.05686,-0.009992),(4285,1825,-0.056718,-0.009684),(4285,1835,-0.056577,-0.009456),(4285,1845,-0.056439,-0.009227),(4285,1855,-0.056309,-0.008999),(4285,1865,-0.056178,-0.008809),(4285,1875,-0.056048,-0.008689),(4285,1885,-0.05592,-0.008568),(4285,1895,-0.055796,-0.008448),(4285,1905,-0.055672,-0.008368),(4285,1915,-0.055548,-0.008352),(4285,1925,-0.055423,-0.008335),(4285,1935,-0.055298,-0.008318),(4285,1945,-0.055172,-0.008347),(4285,1955,-0.055047,-0.008434),(4285,1965,-0.054916,-0.008521),(4285,1975,-0.05478,-0.008609),(4285,1985,-0.054644,-0.008748),(4285,1995,-0.054507,-0.008944),(4285,2005,-0.05436,-0.009139),(4285,2015,-0.054201,-0.009335),(4285,2025,-0.054043,-0.009591),(4285,2035,-0.053884,-0.009902),(4285,2045,-0.053707,-0.010214),(4285,2055,-0.053513,-0.010526),(4285,2065,-0.053319,-0.010908),(4285,2075,-0.053124,-0.011347),(4285,2085,-0.052901,-0.011786),(4285,2095,-0.052655,-0.012224),(4285,2105,-0.05241,-0.012747),(4285,2115,-0.052164,-0.013327),(4285,2125,-0.051876,-0.013907),(4285,2135,-0.05156,-0.014487),(4285,2145,-0.051245,-0.015168),(4285,2155,-0.050929,-0.015907),(4285,2165,-0.050553,-0.016646),(4285,2175,-0.050146,-0.017384),(4285,2185,-0.049739,-0.018244),(4285,2195,-0.049331,-0.019161),(4285,2205,-0.048841,-0.020079),(4285,2215,-0.048316,-0.020996),(4285,2225,-0.04779,-0.022059),(4285,2235,-0.047265,-0.023179),(4285,2245,-0.046629,-0.024299),(4285,2255,-0.045953,-0.025418),(4285,2265,-0.045278,-0.026711),(4285,2275,-0.044602,-0.02806),(4285,2285,-0.043781,-0.029408),(4285,2295,-0.042918,-0.030757),(4285,2305,-0.042055,-0.03231),(4285,2315,-0.041192,-0.033916),(4285,2325,-0.040139,-0.035521),(4285,2335,-0.039043,-0.037127),(4285,2345,-0.037947,-0.038973),(4285,2355,-0.036851,-0.040865),(4285,2365,-0.035511,-0.042757),(4285,2375,-0.034129,-0.044649),(4285,2385,-0.032747,-0.046818),(4285,2395,-0.031365,-0.049026),(4285,2405,-0.029671,-0.051235),(4285,2415,-0.027941,-0.053443),(4285,2425,-0.02621,-0.055965),(4285,2435,-0.02448,-0.058516),(4285,2445,-0.022355,-0.061067),(4285,2455,-0.020203,-0.063618),(4285,2465,-0.018051,-0.066516),(4285,2475,-0.015899,-0.069432),(4285,2485,-0.013255,-0.072347),(4285,2495,-0.010599,-0.075262),(4285,2505,-0.007942,-0.07855),(4285,2515,-0.005277,-0.08184),(4285,2525,-0.002025,-0.085131),(4285,2535,0.001227,-0.088434),(4285,2545,0.004479,-0.092095),(4285,2555,0.007769,-0.095757),(4285,2565,0.011715,-0.099419),(4285,2575,0.01566,-0.10311),(4285,2585,0.019606,-0.10712),(4285,2595,0.023626,-0.11113),(4285,2605,0.028364,-0.11514),(4285,2615,0.033102,-0.11918),(4285,2625,0.03784,-0.12349),(4285,2635,0.042696,-0.1278),(4285,2645,0.048319,-0.1321),(4285,2655,0.053942,-0.13645),(4285,2665,0.059565,-0.14098),(4285,2675,0.065354,-0.14551),(4285,2685,0.071938,-0.15004),(4285,2695,0.078523,-0.1546),(4285,2705,0.085107,-0.15925),(4285,2715,0.091907,-0.16391),(4285,2725,0.099504,-0.16856),(4285,2735,0.1071,-0.17321),(4285,2745,0.1147,-0.17787),(4285,2755,0.12255,-0.18252),(4285,2765,0.13118,-0.18717),(4285,2775,0.1398,-0.19179),(4285,2785,0.14843,-0.19631),(4285,2795,0.15734,-0.20083),(4285,2805,0.16697,-0.20534),(4285,2815,0.1766,-0.20978),(4285,2825,0.18623,-0.21403),(4285,2835,0.19618,-0.21829),(4285,2845,0.20675,-0.22254),(4285,2855,0.21733,-0.22666),(4285,2865,0.22791,-0.23053),(4285,2875,0.2388,-0.2344),(4285,2885,0.25023,-0.23827),(4285,2895,0.26167,-0.24195),(4285,2905,0.2731,-0.24534),(4285,2915,0.28484,-0.24872),(4285,2925,0.29702,-0.25211),(4285,2935,0.3092,-0.25525),(4285,2945,0.32138,-0.25807),(4285,2955,0.33385,-0.2609),(4285,2965,0.34665,-0.26372),(4285,2975,0.35946,-0.26625),(4285,2985,0.37227,-0.26845),(4285,2995,0.38532,-0.27064),(4285,3005,0.39863,-0.27284),(4285,3015,0.41194,-0.27469),(4285,3025,0.42524,-0.27622),(4285,3035,0.43875,-0.27774),(4285,3045,0.45242,-0.27927),(4285,3055,0.4661,-0.2804),(4285,3065,0.47978,-0.28121),(4285,3075,0.49359,-0.28202),(4285,3085,0.5075,-0.28282),(4285,3095,0.52142,-0.28319),(4285,3105,0.53534,-0.28325),(4285,3115,0.54932,-0.2833),(4285,3125,0.56334,-0.28336),(4285,3135,0.57736,-0.28292),(4285,3145,0.59138,-0.28219),(4285,3155,0.60538,-0.28145),(4285,3165,0.61937,-0.28072),(4285,3175,0.63336,-0.27943),(4285,3185,0.64734,-0.27786),(4285,3195,0.66121,-0.27629),(4285,3205,0.67501,-0.27473),(4285,3215,0.68882,-0.27254),(4285,3225,0.70263,-0.27009),(4285,3235,0.71618,-0.26765),(4285,3245,0.72965,-0.2652),(4285,3255,0.74311,-0.26206),(4285,3265,0.75658,-0.25869),(4285,3275,0.76964,-0.25532),(4285,3285,0.78258,-0.25195),(4285,3295,0.79553,-0.24781),(4285,3305,0.80847,-0.24346),(4285,3315,0.82083,-0.23912),(4285,3325,0.83306,-0.23477),(4285,3335,0.84528,-0.22959),(4285,3345,0.85751,-0.22424),(4285,3355,0.86894,-0.21888),(4285,3365,0.88022,-0.21352),(4285,3375,0.8915,-0.20727),(4285,3385,0.90279,-0.20088),(4285,3395,0.91302,-0.19449),(4285,3405,0.92312,-0.1881),(4285,3415,0.93322,-0.18078),(4285,3425,0.94332,-0.17337),(4285,3435,0.95208,-0.16595),(4285,3445,0.96074,-0.15853),(4285,3455,0.9694,-0.15019),(4285,3465,0.97805,-0.14179),(4285,3475,0.98506,-0.1334),(4285,3485,0.992,-0.125),(4285,3495,0.99895,-0.11574),(4285,3505,1.0059,-0.10646),(4285,3515,1.0109,-0.097186),(4285,3525,1.0158,-0.087892),(4285,3535,1.0208,-0.077899),(4285,3545,1.0257,-0.067906),(4285,3555,1.0285,-0.057913),(4285,3565,1.0313,-0.047888),(4285,3575,1.0341,-0.037401),(4285,3585,1.0367,-0.026914),(4285,3595,1.0371,-0.016427),(4285,3605,1.0376,-0.005917),(4285,3615,1.038,0.004793),(4285,3625,1.0382,0.015502),(4285,3635,1.0362,0.026212),(4285,3645,1.0342,0.036912),(4285,3655,1.0322,0.04755),(4285,3665,1.0299,0.058189),(4285,3675,1.0255,0.068827),(4285,3685,1.0211,0.079401),(4285,3695,1.0167,0.089686),(4285,3705,1.0118,0.099971),(4285,3715,1.0051,0.11026),(4285,3725,0.99843,0.12041),(4285,3735,0.99173,0.1301),(4285,3745,0.9845,0.1398),(4285,3755,0.97565,0.14949),(4285,3765,0.9668,0.15899),(4285,3775,0.95795,0.16792),(4285,3785,0.94854,0.17686),(4285,3795,0.93774,0.18579),(4285,3805,0.92693,0.19446),(4285,3815,0.91612,0.20254),(4285,3825,0.90475,0.21063),(4285,3835,0.89219,0.21871),(4285,3845,0.87962,0.22649),(4285,3855,0.86705,0.23371),(4285,3865,0.85392,0.24093),(4285,3875,0.83978,0.24815),(4285,3885,0.82564,0.25507),(4285,3895,0.8115,0.26151),(4285,3905,0.7968,0.26796),(4285,3915,0.78127,0.2744),(4285,3925,0.76573,0.2806),(4285,3935,0.7502,0.28645),(4285,3945,0.73417,0.29231),(4285,3955,0.71749,0.29817),(4285,3965,0.70082,0.30388),(4285,3975,0.68414,0.30941),(4285,3985,0.66712,0.31495),(4285,3995,0.64972,0.32048),(4285,4005,0.63233,0.32595),(4285,4015,0.61494,0.33135),(4285,4025,0.98738,0.33675),(4285,4035,1.398,0.34051),(4285,4045,1.8085,0.34083),(4285,4055,2.1019,0.34116),(4285,4065,2.3525,0.34099),(4285,4075,2.6031,0.33789),(4285,4085,2.7125,0.33479),(4285,4095,2.7084,0.33169),(4285,4105,2.7043,0.32843),(4285,4115,2.6044,0.32517),(4285,4125,2.3454,0.32191),(4285,4135,2.0864,0.3209),(4285,4145,1.8244,0.32051),(4285,4155,1.5501,0.32011),(4285,4165,1.2758,0.3212),(4285,4175,1.0171,0.32324),(4285,4185,1.5268,0.32529),(4285,4195,2.0366,0.32476),(4285,4205,2.5464,0.32084),(4285,4215,2.6241,0.31691),(4285,4225,2.6206,0.31294),(4285,4235,2.617,0.30883),(4285,4245,2.6133,0.30472),(4285,4255,2.6096,0.30062),(4285,4265,2.6059,0.29655),(4285,4275,2.2698,0.29249),(4285,4285,1.5811,0.28842),(4285,4295,0.89236,0.29061),(4285,4305,0.59476,0.29352),(4285,4315,1.1803,0.29643),(4285,4325,1.7658,0.29514),(4285,4335,2.2864,0.2922),(4285,4345,2.3668,0.28927),(4285,4355,2.4472,0.2858),(4285,4365,2.5276,0.28188),(4285,4375,2.5286,0.27796),(4285,4385,2.5255,0.27412),(4285,4395,2.5224,0.27044),(4285,4405,2.1892,0.26676),(4285,4415,1.7586,0.26379),(4285,4425,1.3281,0.264),(4285,4435,1.1441,0.26422),(4285,4445,1.1285,0.26443),(4285,4455,1.1129,0.26467),(4285,4465,1.2809,0.26491),(4285,4475,1.7068,0.26515),(4285,4485,2.1327,0.26234),(4285,4495,2.4569,0.25888),(4285,4505,2.4545,0.25542),(4285,4515,2.4522,0.25189),(4285,4525,2.4448,0.24832),(4285,4535,2.3589,0.24475),(4285,4545,2.2729,0.24153),(4285,4555,2.1869,0.23869),(4285,4565,1.6338,0.23586),(4285,4575,1.0178,0.23428),(4285,4585,0.40169,0.23573),(4285,4595,0.69769,0.23718),(4285,4605,1.379,0.23808),(4285,4615,2.0604,0.23474),(4285,4625,2.3833,0.23139),(4285,4635,2.3815,0.22804),(4285,4645,2.3797,0.22459),(4285,4655,2.378,0.22113),(4285,4665,2.3762,0.21767),(4285,4675,2.3744,0.21432),(4285,4685,2.2867,0.211),(4285,4695,1.7744,0.20768),(4285,4705,1.2621,0.20627),(4285,4715,0.74975,0.20625),(4285,4725,0.98706,0.20622),(4285,4735,1.2319,0.20575),(4285,4745,1.4767,0.20461),(4285,4755,1.7284,0.20348),(4285,4765,1.9817,0.20202),(4285,4775,2.235,0.19943),(4285,4785,2.3269,0.19684),(4285,4795,2.3256,0.19426),(4285,4805,2.3244,0.19171),(4285,4815,2.2073,0.18916),(4285,4825,1.9517,0.18661),(4285,4835,1.6962,0.18518),(4285,4845,1.4373,0.18391),(4285,4855,1.17,0.18265),(4285,4865,0.90274,0.18212),(4285,4875,0.71262,0.18192),(4285,4885,1.2248,0.18172),(4285,4895,1.7369,0.18049),(4285,4905,2.249,0.17827),(4285,4915,2.2887,0.17605),(4285,4925,2.2878,0.17379),(4285,4935,2.2868,0.17144),(4285,4945,2.2858,0.16909),(4285,4955,2.2848,0.16677),(4285,4965,2.2838,0.16461),(4285,4975,1.8971,0.16245),(4285,4985,1.2127,0.16029),(4285,4995,0.52826,0.16036),(4285,5005,0.30306,0.1605),(4285,5015,0.80789,0.16063),(4285,5025,1.3127,0.15978),(4285,5035,1.7474,0.15869),(4285,5045,1.915,0.1576),(4285,5055,2.0825,0.15623),(4285,5065,2.2451,0.15469),(4285,5075,2.2443,0.15316),(4285,5085,2.2436,0.15165),(4285,5095,2.2428,0.15017),(4285,5105,1.9533,0.14869),(4285,5115,1.6135,0.14741),(4285,5125,1.2736,0.14667),(4285,5135,1.0996,0.14593),(4285,5145,1.0061,0.14524),(4285,5155,0.91256,0.14512),(4285,5165,1.0751,0.145),(4285,5175,1.4987,0.14487),(4285,5185,1.9224,0.14447),(4285,5195,2.2116,0.14404),(4285,5205,2.211,0.14362),(4285,5215,2.2104,0.14302),(4285,5225,2.1984,0.14235),(4285,5235,2.1155,0.14169),(4285,5245,2.0325,0.1409),(4285,5255,1.9496,0.14001),(4285,5265,1.3672,0.13912),(4285,5275,0.76426,0.13853),(4285,5285,0.16132,0.13845),(4285,5295,0.55252,0.13837),(4285,5305,1.2206,0.13808),(4285,5315,1.8886,0.13694),(4285,5325,2.153,0.13579),(4285,5335,2.1528,0.13465),(4285,5345,2.1525,0.13327),(4285,5355,2.1522,0.1319),(4285,5365,2.152,0.13053),(4285,5375,2.1518,0.12929),(4285,5385,2.0278,0.12808),(4285,5395,1.5275,0.12687),(4285,5405,1.0272,0.12617),(4285,5415,0.57903,0.12573),(4285,5425,0.83212,0.1253),(4285,5435,1.0852,0.12318),(4285,5445,1.3383,0.11923),(4285,5455,1.5912,0.11529),(4285,5465,1.8441,0.11071),(4285,5475,2.097,0.10467),(4285,5485,2.1687,0.098626),(4285,5495,2.1675,0.092747),(4285,5505,2.1663,0.08803),(4285,5515,2.1642,0.083313),(4285,5525,2.1612,0.078596),(4285,5535,2.1582,0.075686),(4285,5545,2.1547,0.072879),(4285,5555,2.1501,0.070072),(4285,5565,2.1456,0.068726),(4285,5575,2.1409,0.067821),(4285,5585,2.1354,0.066917),(4285,5595,2.1299,0.066869),(4285,5605,2.1244,0.067419),(4285,5615,2.1186,0.067969),(4285,5625,2.1128,0.068876),(4285,5635,2.107,0.070295),(4285,5645,2.1014,0.071714),(4285,5655,2.0957,0.073216),(4285,5665,2.09,0.074994),(4285,5675,2.0846,0.076772),(4285,5685,2.0794,0.078549),(4285,5695,2.0741,0.0803),(4285,5705,2.069,0.082052),(4285,5715,2.0642,0.083803),(4285,5725,2.0594,0.085357),(4285,5735,2.0547,0.086884),(4285,5745,2.0503,0.08841),(4285,5755,2.0459,0.089707),(4285,5765,2.0416,0.090903),(4285,5775,2.0375,0.0921),(4285,5785,2.0335,0.093131),(4285,5795,2.0294,0.094009),(4285,5805,2.0256,0.094887),(4285,5815,2.0218,0.095688),(4285,5825,2.0181,0.096338),(4285,5835,2.0144,0.096989),(4285,5845,2.0108,0.097632),(4285,5855,2.0072,0.098236),(4285,5865,2.0037,0.098841),(4285,5875,2.0002,0.099445),(4285,5885,1.9968,0.10028),(4285,5895,1.9934,0.10112),(4285,5905,1.9902,0.10196),(4285,5915,1.9869,0.10328),(4285,5925,1.9838,0.10471),(4285,5935,1.981,0.10615),(4285,5945,1.9783,0.1082),(4285,5955,1.9755,0.11062),(4285,5965,1.9735,0.11304),(4285,5975,1.9715,0.11598),(4285,5985,1.9695,0.11956),(4285,5995,1.5055,0.12314),(4285,6005,0.96705,0.12578),(4285,6015,0.42862,0.12591),(4285,6025,0.63499,0.12604),(4285,6035,1.1868,0.12528),(4285,6045,1.7386,0.11591),(4285,6055,2.115,0.10654),(4285,6065,2.3193,0.097164),(4285,6075,2.5237,0.08958),(4285,6085,2.6576,0.082162),(4285,6095,2.6465,0.074743),(4285,6105,2.6353,0.071515),(4285,6115,2.624,0.069779),(4285,6125,2.6116,0.068042),(4285,6135,2.5992,0.068319),(4285,6145,2.5869,0.070181),(4285,6155,2.5756,0.072044),(4285,6165,2.5645,0.074447),(4285,6175,2.5533,0.077729),(4285,6185,2.5439,0.081011),(4285,6195,2.5349,0.084271),(4285,6205,2.526,0.087447),(4285,6215,2.5185,0.090623),(4285,6225,2.5118,0.093776),(4285,6235,2.5052,0.096034),(4285,6245,2.4993,0.098292),(4285,6255,2.4946,0.10055),(4285,6265,2.4899,0.10182),(4285,6275,2.4856,0.10291),(4285,6285,2.4823,0.10399),(4285,6295,2.479,0.10427),(4285,6305,2.4758,0.10414),(4285,6315,2.4737,0.10401),(4285,6325,2.4716,0.10338),(4285,6335,2.4695,0.10223),(4285,6345,2.4681,0.10108),(4285,6355,2.4667,0.099661),(4285,6365,2.4653,0.097638),(4285,6375,2.4642,0.095614),(4285,6385,2.4633,0.093503),(4285,6395,2.4625,0.090829),(4285,6405,2.4618,0.088155),(4285,6415,2.4612,0.085482),(4285,6425,2.4607,0.082291),(4285,6435,2.4602,0.079077),(4285,6445,2.4599,0.075863),(4285,6455,2.4595,0.072307),(4285,6465,2.4592,0.068653),(4285,6475,2.4591,0.064999),(4285,6485,2.4589,0.061169),(4285,6495,2.4588,0.05722),(4285,6505,2.4587,0.053272),(4285,6515,2.4586,0.049233),(4285,6525,2.4585,0.045069),(4285,6535,2.4585,0.040904),(4285,6545,2.4585,0.036705),(4285,6555,2.4585,0.032396),(4285,6565,2.4585,0.028087),(4285,6575,2.4585,0.023772),(4285,6585,2.4585,0.019362),(4285,6595,2.0911,0.014951),(4285,6605,1.3181,0.01054),(4285,6615,0.54509,0.010029),(4285,6625,0.001693,0.010018),(4285,6635,0.001709,0.010008),(4285,6645,0.001724,0.009993),(4285,6655,0.001739,0.009975),(4285,6665,0.001751,0.009957),(4285,6675,0.001763,0.00994),(4285,6685,0.001775,0.009923),(4285,6695,0.001785,0.009905),(4285,6705,0.001794,0.009888),(4285,6715,0.001803,0.009872),(4285,6725,0.001811,0.009855),(4285,6735,0.001819,0.009838),(4285,6745,0.001826,0.009822),(4285,6755,0.001833,0.009806),(4285,6765,0.001838,0.00979),(4285,6775,0.001844,0.009775),(4285,6785,0.001849,0.009759),(4285,6795,0.001853,0.009744),(4285,6805,0.001858,0.009729),(4285,6815,0.001862,0.009715),(4285,6825,0.001865,0.0097),(4285,6835,0.001868,0.009686),(4285,6845,0.001872,0.009672),(4285,6855,0.001874,0.009658),(4285,6865,0.001876,0.009644),(4285,6875,0.001879,0.009631),(4285,6885,0.001881,0.009617),(4285,6895,0.001882,0.009604),(4285,6905,0.001884,0.009591),(4285,6915,0.001885,0.009579),(4285,6925,0.001887,0.009566),(4285,6935,0.001888,0.009554),(4285,6945,0.001889,0.009542),(4285,6955,0.001889,0.00953),(4285,6965,0.00189,0.009518),(4285,6975,0.001891,0.009506),(4285,6985,0.001891,0.009495),(4295,5,3.3e-05,-0.002021),(4295,15,9.8e-05,-0.002023),(4295,25,0.000163,-0.002025),(4295,35,0.000228,-0.002026),(4295,45,0.000294,-0.00203),(4295,55,0.000359,-0.002034),(4295,65,0.000425,-0.002039),(4295,75,0.000491,-0.002044),(4295,85,0.000557,-0.002051),(4295,95,0.000623,-0.002059),(4295,105,0.00069,-0.002068),(4295,115,0.000757,-0.002076),(4295,125,0.000825,-0.002087),(4295,135,0.000892,-0.002098),(4295,145,0.00096,-0.00211),(4295,155,0.001029,-0.002122),(4295,165,0.001099,-0.002136),(4295,175,0.001168,-0.002152),(4295,185,0.001238,-0.002168),(4295,195,0.001309,-0.002183),(4295,205,0.00138,-0.002202),(4295,215,0.001452,-0.002221),(4295,225,0.001525,-0.002241),(4295,235,0.001599,-0.00226),(4295,245,0.001673,-0.002283),(4295,255,0.001747,-0.002308),(4295,265,0.001824,-0.002332),(4295,275,0.001901,-0.002356),(4295,285,0.001979,-0.002384),(4295,295,0.002057,-0.002413),(4295,305,0.002138,-0.002442),(4295,315,0.002219,-0.002472),(4295,325,0.002301,-0.002505),(4295,335,0.002383,-0.00254),(4295,345,0.002469,-0.002575),(4295,355,0.002556,-0.00261),(4295,365,0.002642,-0.002651),(4295,375,0.002729,-0.002692),(4295,385,0.002821,-0.002733),(4295,395,0.002913,-0.002775),(4295,405,0.003006,-0.002823),(4295,415,0.003099,-0.002872),(4295,425,0.003197,-0.002921),(4295,435,0.003297,-0.00297),(4295,445,0.003396,-0.003028),(4295,455,0.003496,-0.003086),(4295,465,0.003603,-0.003144),(4295,475,0.00371,-0.003202),(4295,485,0.003818,-0.00327),(4295,495,0.003925,-0.003338),(4295,505,0.004041,-0.003407),(4295,515,0.004158,-0.003475),(4295,525,0.004274,-0.003556),(4295,535,0.004391,-0.003636),(4295,545,0.004517,-0.003716),(4295,555,0.004644,-0.003798),(4295,565,0.004771,-0.003893),(4295,575,0.004899,-0.003988),(4295,585,0.005037,-0.004083),(4295,595,0.005176,-0.00418),(4295,605,0.005315,-0.004292),(4295,615,0.005456,-0.004405),(4295,625,0.005608,-0.004518),(4295,635,0.005761,-0.004633),(4295,645,0.005914,-0.004768),(4295,655,0.006069,-0.004902),(4295,665,0.006237,-0.005036),(4295,675,0.006405,-0.005175),(4295,685,0.006573,-0.005335),(4295,695,0.006745,-0.005495),(4295,705,0.006931,-0.005655),(4295,715,0.007117,-0.005822),(4295,725,0.007303,-0.006015),(4295,735,0.007494,-0.006207),(4295,745,0.007699,-0.006399),(4295,755,0.007905,-0.006602),(4295,765,0.008111,-0.006834),(4295,775,0.008323,-0.007066),(4295,785,0.00855,-0.007299),(4295,795,0.008777,-0.007545),(4295,805,0.009005,-0.007827),(4295,815,0.009239,-0.008109),(4295,825,0.00949,-0.008391),(4295,835,0.00974,-0.008694),(4295,845,0.00999,-0.009038),(4295,855,0.010249,-0.009383),(4295,865,0.010524,-0.009727),(4295,875,0.010798,-0.010101),(4295,885,0.011072,-0.010525),(4295,895,0.011355,-0.010949),(4295,905,0.011652,-0.011374),(4295,915,0.011948,-0.01184),(4295,925,0.012245,-0.012365),(4295,935,0.012549,-0.012891),(4295,945,0.012862,-0.013417),(4295,955,0.013176,-0.014002),(4295,965,0.01349,-0.014658),(4295,975,0.013806,-0.015314),(4295,985,0.014125,-0.01597),(4295,995,0.014444,-0.016707),(4295,1005,0.014763,-0.01753),(4295,1015,0.015073,-0.018352),(4295,1025,0.015374,-0.019175),(4295,1035,0.015674,-0.020109),(4295,1045,0.015975,-0.021143),(4295,1055,0.016241,-0.022176),(4295,1065,0.01648,-0.02321),(4295,1075,0.016719,-0.024393),(4295,1085,0.016957,-0.025689),(4295,1095,0.017114,-0.026985),(4295,1105,0.017215,-0.028281),(4295,1115,0.017316,-0.029767),(4295,1125,0.017417,-0.031376),(4295,1135,0.017352,-0.032984),(4295,1145,0.01719,-0.034593),(4295,1155,0.017028,-0.03642),(4295,1165,0.016866,-0.038367),(4295,1175,0.0164,-0.040313),(4295,1185,0.015784,-0.04226),(4295,1195,0.015167,-0.044406),(4295,1205,0.01455,-0.046644),(4295,1215,0.013428,-0.048881),(4295,1225,0.012096,-0.051118),(4295,1235,0.010765,-0.053416),(4295,1245,0.009433,-0.055738),(4295,1255,0.007367,-0.058059),(4295,1265,0.005052,-0.06038),(4295,1275,0.002737,-0.062406),(4295,1285,0.000422,-0.064343),(4295,1295,-0.00273,-0.06628),(4295,1305,-0.006109,-0.068216),(4295,1315,-0.009487,-0.069253),(4295,1325,-0.012866,-0.070074),(4295,1335,-0.016734,-0.070896),(4295,1345,-0.020705,-0.071717),(4295,1355,-0.024676,-0.071118),(4295,1365,-0.028647,-0.070261),(4295,1375,-0.032121,-0.069404),(4295,1385,-0.035519,-0.068547),(4295,1395,-0.038917,-0.066699),(4295,1405,-0.042315,-0.064724),(4295,1415,-0.044765,-0.062748),(4295,1425,-0.047116,-0.060773),(4295,1435,-0.049467,-0.058439),(4295,1445,-0.051818,-0.056076),(4295,1455,-0.053253,-0.053713),(4295,1465,-0.054635,-0.05135),(4295,1475,-0.056018,-0.049069),(4295,1485,-0.0574,-0.046791),(4295,1495,-0.05809,-0.044513),(4295,1505,-0.05877,-0.042236),(4295,1515,-0.05945,-0.040252),(4295,1525,-0.06012,-0.038268),(4295,1535,-0.060356,-0.036284),(4295,1545,-0.060593,-0.034315),(4295,1555,-0.06083,-0.032676),(4295,1565,-0.06105,-0.031036),(4295,1575,-0.061034,-0.029397),(4295,1585,-0.061019,-0.027784),(4295,1595,-0.061003,-0.026467),(4295,1605,-0.060974,-0.025149),(4295,1615,-0.06083,-0.023832),(4295,1625,-0.060686,-0.022548),(4295,1635,-0.060542,-0.021506),(4295,1645,-0.06039,-0.020464),(4295,1655,-0.060192,-0.019421),(4295,1665,-0.059994,-0.018416),(4295,1675,-0.059796,-0.017602),(4295,1685,-0.059595,-0.016787),(4295,1695,-0.059384,-0.015972),(4295,1705,-0.059173,-0.015196),(4295,1715,-0.058961,-0.014568),(4295,1725,-0.058752,-0.01394),(4295,1735,-0.058548,-0.013312),(4295,1745,-0.058345,-0.012721),(4295,1755,-0.058141,-0.012248),(4295,1765,-0.057942,-0.011775),(4295,1775,-0.057754,-0.011301),(4295,1785,-0.057567,-0.010865),(4295,1795,-0.05738,-0.010524),(4295,1805,-0.057197,-0.010182),(4295,1815,-0.057027,-0.009841),(4295,1825,-0.056857,-0.009537),(4295,1835,-0.056687,-0.009311),(4295,1845,-0.056522,-0.009086),(4295,1855,-0.056365,-0.00886),(4295,1865,-0.056209,-0.008673),(4295,1875,-0.056052,-0.008554),(4295,1885,-0.055899,-0.008435),(4295,1895,-0.05575,-0.008316),(4295,1905,-0.0556,-0.008238),(4295,1915,-0.055451,-0.008221),(4295,1925,-0.055302,-0.008203),(4295,1935,-0.055152,-0.008186),(4295,1945,-0.055001,-0.008214),(4295,1955,-0.054851,-0.008298),(4295,1965,-0.054695,-0.008383),(4295,1975,-0.054533,-0.008467),(4295,1985,-0.054371,-0.008602),(4295,1995,-0.054209,-0.008792),(4295,2005,-0.054036,-0.008982),(4295,2015,-0.05385,-0.009172),(4295,2025,-0.053664,-0.00942),(4295,2035,-0.053478,-0.009723),(4295,2045,-0.053272,-0.010025),(4295,2055,-0.053048,-0.010328),(4295,2065,-0.052824,-0.010699),(4295,2075,-0.0526,-0.011125),(4295,2085,-0.052345,-0.01155),(4295,2095,-0.052067,-0.011975),(4295,2105,-0.051788,-0.012483),(4295,2115,-0.05151,-0.013045),(4295,2125,-0.051186,-0.013607),(4295,2135,-0.050834,-0.014169),(4295,2145,-0.050482,-0.014828),(4295,2155,-0.05013,-0.015543),(4295,2165,-0.049714,-0.016258),(4295,2175,-0.049265,-0.016973),(4295,2185,-0.048817,-0.017805),(4295,2195,-0.048368,-0.018692),(4295,2205,-0.047834,-0.01958),(4295,2215,-0.047262,-0.020467),(4295,2225,-0.04669,-0.021493),(4295,2235,-0.046118,-0.022575),(4295,2245,-0.045431,-0.023657),(4295,2255,-0.044704,-0.024738),(4295,2265,-0.043976,-0.025986),(4295,2275,-0.043249,-0.027286),(4295,2285,-0.042371,-0.028587),(4295,2295,-0.04145,-0.029887),(4295,2305,-0.040529,-0.031384),(4295,2315,-0.039608,-0.03293),(4295,2325,-0.038492,-0.034477),(4295,2335,-0.037332,-0.036023),(4295,2345,-0.036172,-0.037798),(4295,2355,-0.035013,-0.039618),(4295,2365,-0.033603,-0.041437),(4295,2375,-0.032151,-0.043257),(4295,2385,-0.0307,-0.04534),(4295,2395,-0.029248,-0.047459),(4295,2405,-0.027479,-0.049579),(4295,2415,-0.025674,-0.051699),(4295,2425,-0.023869,-0.054115),(4295,2435,-0.022063,-0.05656),(4295,2445,-0.01986,-0.059004),(4295,2455,-0.01763,-0.061448),(4295,2465,-0.015399,-0.06422),(4295,2475,-0.013169,-0.067008),(4295,2485,-0.010445,-0.069795),(4295,2495,-0.00771,-0.072583),(4295,2505,-0.004974,-0.075721),(4295,2515,-0.002229,-0.078861),(4295,2525,0.001099,-0.082001),(4295,2535,0.004429,-0.085153),(4295,2545,0.007757,-0.08864),(4295,2555,0.011124,-0.092127),(4295,2565,0.015139,-0.095614),(4295,2575,0.019154,-0.099125),(4295,2585,0.023169,-0.10294),(4295,2595,0.027257,-0.10675),(4295,2605,0.032051,-0.11056),(4295,2615,0.036845,-0.1144),(4295,2625,0.041639,-0.11848),(4295,2635,0.046549,-0.12257),(4295,2645,0.052209,-0.12666),(4295,2655,0.057869,-0.13078),(4295,2665,0.063528,-0.13507),(4295,2675,0.06935,-0.13936),(4295,2685,0.075946,-0.14365),(4295,2695,0.082542,-0.14796),(4295,2705,0.089137,-0.15236),(4295,2715,0.095942,-0.15676),(4295,2725,0.10352,-0.16116),(4295,2735,0.1111,-0.16556),(4295,2745,0.11868,-0.16996),(4295,2755,0.12651,-0.17435),(4295,2765,0.13508,-0.17875),(4295,2775,0.14365,-0.18311),(4295,2785,0.15223,-0.18738),(4295,2795,0.16108,-0.19164),(4295,2805,0.17063,-0.19591),(4295,2815,0.18018,-0.2001),(4295,2825,0.18972,-0.20412),(4295,2835,0.19958,-0.20813),(4295,2845,0.21004,-0.21215),(4295,2855,0.2205,-0.21604),(4295,2865,0.23097,-0.21969),(4295,2875,0.24174,-0.22335),(4295,2885,0.25304,-0.227),(4295,2895,0.26433,-0.23048),(4295,2905,0.27563,-0.23368),(4295,2915,0.28722,-0.23688),(4295,2925,0.29925,-0.24008),(4295,2935,0.31127,-0.24305),(4295,2945,0.32329,-0.24571),(4295,2955,0.33559,-0.24838),(4295,2965,0.34822,-0.25104),(4295,2975,0.36086,-0.25343),(4295,2985,0.37349,-0.2555),(4295,2995,0.38637,-0.25757),(4295,3005,0.39949,-0.25965),(4295,3015,0.41261,-0.26139),(4295,3025,0.42573,-0.26282),(4295,3035,0.43904,-0.26425),(4295,3045,0.45252,-0.26568),(4295,3055,0.466,-0.26674),(4295,3065,0.47948,-0.26749),(4295,3075,0.49309,-0.26824),(4295,3085,0.5068,-0.26899),(4295,3095,0.52051,-0.26931),(4295,3105,0.53422,-0.26935),(4295,3115,0.54799,-0.26938),(4295,3125,0.56179,-0.26941),(4295,3135,0.5756,-0.26896),(4295,3145,0.58941,-0.26824),(4295,3155,0.60318,-0.26751),(4295,3165,0.61695,-0.26679),(4295,3175,0.63071,-0.26553),(4295,3185,0.64447,-0.26401),(4295,3195,0.65811,-0.26249),(4295,3205,0.67168,-0.26097),(4295,3215,0.68525,-0.25886),(4295,3225,0.69882,-0.2565),(4295,3235,0.71214,-0.25414),(4295,3245,0.72536,-0.25178),(4295,3255,0.73858,-0.24876),(4295,3265,0.7518,-0.24552),(4295,3275,0.76462,-0.24228),(4295,3285,0.77731,-0.23904),(4295,3295,0.79,-0.23508),(4295,3305,0.80269,-0.23091),(4295,3315,0.8148,-0.22675),(4295,3325,0.82676,-0.22259),(4295,3335,0.83873,-0.21764),(4295,3345,0.85069,-0.21252),(4295,3355,0.86186,-0.2074),(4295,3365,0.87288,-0.20228),(4295,3375,0.88391,-0.19632),(4295,3385,0.89493,-0.19023),(4295,3395,0.90491,-0.18414),(4295,3405,0.91475,-0.17805),(4295,3415,0.9246,-0.17109),(4295,3425,0.93444,-0.16403),(4295,3435,0.94297,-0.15698),(4295,3445,0.95138,-0.14993),(4295,3455,0.9598,-0.14201),(4295,3465,0.96822,-0.13404),(4295,3475,0.97501,-0.12608),(4295,3485,0.98174,-0.11811),(4295,3495,0.98847,-0.10934),(4295,3505,0.9952,-0.10056),(4295,3515,1,-0.091774),(4295,3525,1.0048,-0.082975),(4295,3535,1.0096,-0.07353),(4295,3545,1.0143,-0.064085),(4295,3555,1.017,-0.05464),(4295,3565,1.0197,-0.045166),(4295,3575,1.0224,-0.035267),(4295,3585,1.0249,-0.025368),(4295,3595,1.0253,-0.015469),(4295,3605,1.0257,-0.005549),(4295,3615,1.0261,0.004554),(4295,3625,1.0262,0.014656),(4295,3635,1.0242,0.024758),(4295,3645,1.0222,0.034851),(4295,3655,1.0203,0.044886),(4295,3665,1.0179,0.05492),(4295,3675,1.0136,0.064955),(4295,3685,1.0093,0.074929),(4295,3695,1.005,0.084635),(4295,3705,1.0003,0.094341),(4295,3715,0.99373,0.10405),(4295,3725,0.98718,0.11363),(4295,3735,0.98062,0.12278),(4295,3745,0.97356,0.13194),(4295,3755,0.9649,0.14109),(4295,3765,0.95624,0.15006),(4295,3775,0.94758,0.1585),(4295,3785,0.93838,0.16695),(4295,3795,0.92779,0.17539),(4295,3805,0.91721,0.18359),(4295,3815,0.90662,0.19122),(4295,3825,0.89547,0.19886),(4295,3835,0.88313,0.20649),(4295,3845,0.87079,0.21385),(4295,3855,0.85846,0.22067),(4295,3865,0.84554,0.22749),(4295,3875,0.83161,0.23431),(4295,3885,0.81768,0.24085),(4295,3895,0.80374,0.24694),(4295,3905,0.78923,0.25303),(4295,3915,0.77386,0.25912),(4295,3925,0.75849,0.26499),(4295,3935,0.74311,0.27056),(4295,3945,0.7272,0.27612),(4295,3955,0.7106,0.28169),(4295,3965,0.694,0.28716),(4295,3975,0.6774,0.29251),(4295,3985,0.66043,0.29786),(4295,3995,0.64305,0.30321),(4295,4005,0.62567,0.30858),(4295,4015,0.60829,0.31395),(4295,4025,0.98123,0.31932),(4295,4035,1.3923,0.32305),(4295,4045,1.8035,0.32333),(4295,4055,2.0973,0.32362),(4295,4065,2.3484,0.32339),(4295,4075,2.5994,0.32015),(4295,4085,2.709,0.3169),(4295,4095,2.705,0.31366),(4295,4105,2.7009,0.31031),(4295,4115,2.6008,0.30696),(4295,4125,2.3415,0.3036),(4295,4135,2.0822,0.30263),(4295,4145,1.82,0.3023),(4295,4155,1.5456,0.30197),(4295,4165,1.2712,0.30313),(4295,4175,1.0124,0.30525),(4295,4185,1.5227,0.30736),(4295,4195,2.033,0.30686),(4295,4205,2.5433,0.30291),(4295,4215,2.6212,0.29895),(4295,4225,2.6177,0.29494),(4295,4235,2.6142,0.29077),(4295,4245,2.6105,0.28659),(4295,4255,2.6067,0.28244),(4295,4265,2.6029,0.27843),(4295,4275,2.2667,0.27443),(4295,4285,1.5776,0.27043),(4295,4295,0.88855,0.27273),(4295,4305,0.59078,0.27575),(4295,4315,1.1766,0.27878),(4295,4325,1.7623,0.27759),(4295,4335,2.2831,0.27475),(4295,4345,2.3636,0.2719),(4295,4355,2.4441,0.2685),(4295,4365,2.5246,0.26463),(4295,4375,2.5255,0.26075),(4295,4385,2.5223,0.25698),(4295,4395,2.5191,0.25341),(4295,4405,2.1858,0.24983),(4295,4415,1.7552,0.24698),(4295,4425,1.3247,0.24735),(4295,4435,1.1406,0.24771),(4295,4445,1.125,0.24808),(4295,4455,1.1095,0.24846),(4295,4465,1.2775,0.24884),(4295,4475,1.7033,0.24922),(4295,4485,2.1292,0.2466),(4295,4495,2.4533,0.24335),(4295,4505,2.4511,0.2401),(4295,4515,2.4488,0.23676),(4295,4525,2.4415,0.23336),(4295,4535,2.3555,0.22997),(4295,4545,2.2695,0.22695),(4295,4555,2.1836,0.22434),(4295,4565,1.630859,0.22173),(4295,4575,1.0152,0.22029),(4295,4585,0.39963,0.22168),(4295,4595,0.69542,0.22307),(4295,4605,1.3763,0.22394),(4295,4615,2.0572,0.2207),(4295,4625,2.3799,0.21746),(4295,4635,2.3782,0.21422),(4295,4645,2.3765,0.21079),(4295,4655,2.3747,0.20736),(4295,4665,2.3729,0.20392),(4295,4675,2.371,0.20065),(4295,4685,2.2833,0.19744),(4295,4695,1.7714,0.19424),(4295,4705,1.2596,0.19288),(4295,4715,0.74767,0.19287),(4295,4725,0.98461,0.19286),(4295,4735,1.229,0.19246),(4295,4745,1.4735,0.19145),(4295,4755,1.7249,0.19045),(4295,4765,1.9779,0.18913),(4295,4775,2.2309,0.18674),(4295,4785,2.3228,0.18435),(4295,4795,2.3215,0.18196),(4295,4805,2.3202,0.17965),(4295,4815,2.2032,0.17734),(4295,4825,1.948,0.17502),(4295,4835,1.6927,0.17378),(4295,4845,1.4343,0.1727),(4295,4855,1.1675,0.17163),(4295,4865,0.90068,0.17112),(4295,4875,0.7109,0.17087),(4295,4885,1.2221,0.17062),(4295,4895,1.7334,0.16948),(4295,4905,2.2446,0.16747),(4295,4915,2.2843,0.16545),(4295,4925,2.2834,0.16339),(4295,4935,2.2825,0.16122),(4295,4945,2.2814,0.15904),(4295,4955,2.2803,0.15692),(4295,4965,2.2792,0.15506),(4295,4975,1.8932,0.15321),(4295,4985,1.2102,0.15135),(4295,4995,0.52717,0.15128),(4295,5005,0.30238,0.15125),(4295,5015,0.80609,0.15122),(4295,5025,1.3098,0.15042),(4295,5035,1.7435,0.14942),(4295,5045,1.9107,0.14843),(4295,5055,2.078,0.14717),(4295,5065,2.2402,0.14574),(4295,5075,2.2394,0.14432),(4295,5085,2.2386,0.14295),(4295,5095,2.2378,0.14166),(4295,5105,1.949,0.14036),(4295,5115,1.6099,0.13924),(4295,5125,1.2707,0.13859),(4295,5135,1.097,0.13794),(4295,5145,1.0036,0.13734),(4295,5155,0.91018,0.13725),(4295,5165,1.0722,0.13715),(4295,5175,1.4947,0.13705),(4295,5185,1.9172,0.13683),(4295,5195,2.2057,0.13658),(4295,5205,2.2052,0.13634),(4295,5215,2.2047,0.13595),(4295,5225,2.1928,0.13549),(4295,5235,2.1102,0.13504),(4295,5245,2.0275,0.13448),(4295,5255,1.9449,0.13382),(4295,5265,1.364,0.13316),(4295,5275,0.76253,0.13269),(4295,5285,0.16107,0.13253),(4295,5295,0.55138,0.13236),(4295,5305,1.2179,0.13201),(4295,5315,1.8844,0.13084),(4295,5325,2.1482,0.12967),(4295,5335,2.148,0.1285),(4295,5345,2.1478,0.12715),(4295,5355,2.1475,0.1258),(4295,5365,2.1472,0.12444),(4295,5375,2.1469,0.12341),(4295,5385,2.0231,0.12244),(4295,5395,1.524,0.12147),(4295,5405,1.0249,0.12088),(4295,5415,0.57792,0.12047),(4295,5425,0.8316,0.12006),(4295,5435,1.0853,0.11787),(4295,5445,1.339,0.11374),(4295,5455,1.5919,0.1096),(4295,5465,1.8447,0.10487),(4295,5475,2.0976,0.098741),(4295,5485,2.1689,0.092613),(4295,5495,2.1671,0.086697),(4295,5505,2.1654,0.082278),(4295,5515,2.1626,0.077859),(4295,5525,2.1588,0.07344),(4295,5535,2.1551,0.071119),(4295,5545,2.1509,0.068918),(4295,5555,2.1457,0.066717),(4295,5565,2.1405,0.06606),(4295,5575,2.1351,0.065871),(4295,5585,2.1292,0.065681),(4295,5595,2.1233,0.066308),(4295,5605,2.1174,0.067504),(4295,5615,2.1113,0.068699),(4295,5625,2.1053,0.070181),(4295,5635,2.0993,0.072072),(4295,5645,2.0936,0.073964),(4295,5655,2.0879,0.075893),(4295,5665,2.0822,0.077947),(4295,5675,2.0768,0.080001),(4295,5685,2.0716,0.082044),(4295,5695,2.0664,0.083883),(4295,5705,2.0614,0.085723),(4295,5715,2.0568,0.087562),(4295,5725,2.0521,0.089077),(4295,5735,2.0475,0.090546),(4295,5745,2.0433,0.092015),(4295,5755,2.039,0.09317),(4295,5765,2.0348,0.094188),(4295,5775,2.0309,0.095206),(4295,5785,2.027,0.096007),(4295,5795,2.0231,0.096608),(4295,5805,2.0194,0.097208),(4295,5815,2.0157,0.097701),(4295,5825,2.012,0.097988),(4295,5835,2.0084,0.098274),(4295,5845,2.0048,0.098542),(4295,5855,2.0013,0.098712),(4295,5865,1.9977,0.098882),(4295,5875,1.9942,0.099052),(4295,5885,1.9907,0.099416),(4295,5895,1.9872,0.099784),(4295,5905,1.9838,0.10015),(4295,5915,1.9804,0.10104),(4295,5925,1.977,0.10205),(4295,5935,1.9739,0.10307),(4295,5945,1.9707,0.10484),(4295,5955,1.9676,0.10705),(4295,5965,1.9651,0.10926),(4295,5975,1.9627,0.11216),(4295,5985,1.9602,0.11591),(4295,5995,1.4984,0.11965),(4295,6005,0.96267,0.1224),(4295,6015,0.42692,0.12251),(4295,6025,0.63594,0.12262),(4295,6035,1.1904,0.12179),(4295,6045,1.7448,0.11199),(4295,6055,2.1217,0.10218),(4295,6065,2.3246,0.092379),(4295,6075,2.5276,0.085322),(4295,6085,2.6598,0.078518),(4295,6095,2.6465,0.071713),(4295,6105,2.6331,0.069713),(4295,6115,2.6197,0.069421),(4295,6125,2.6061,0.06913),(4295,6135,2.5925,0.070862),(4295,6145,2.5789,0.074187),(4295,6155,2.5673,0.077513),(4295,6165,2.5558,0.081215),(4295,6175,2.5443,0.085529),(4295,6185,2.535,0.089842),(4295,6195,2.5262,0.09403),(4295,6205,2.5175,0.097725),(4295,6215,2.5103,0.10142),(4295,6225,2.504,0.10508),(4295,6235,2.4978,0.10744),(4295,6245,2.4924,0.10981),(4295,6255,2.4881,0.11217),(4295,6265,2.4839,0.11333),(4295,6275,2.48,0.11427),(4295,6285,2.4771,0.1152),(4295,6295,2.4743,0.1152),(4295,6305,2.4715,0.11473),(4295,6315,2.4697,0.11426),(4295,6325,2.4679,0.11327),(4295,6335,2.4662,0.11175),(4295,6345,2.465,0.11023),(4295,6355,2.4638,0.10843),(4295,6365,2.4627,0.106),(4295,6375,2.4619,0.10358),(4295,6385,2.4612,0.10107),(4295,6395,2.4605,0.098),(4295,6405,2.46,0.094927),(4295,6415,2.4596,0.091855),(4295,6425,2.4592,0.088283),(4295,6435,2.4589,0.084688),(4295,6445,2.4586,0.081093),(4295,6455,2.4584,0.07718),(4295,6465,2.4582,0.073178),(4295,6475,2.4582,0.069175),(4295,6485,2.4581,0.064999),(4295,6495,2.458,0.060708),(4295,6505,2.458,0.056417),(4295,6515,2.4579,0.05205),(4295,6525,2.4579,0.047577),(4295,6535,2.4579,0.043104),(4295,6545,2.458,0.038601),(4295,6555,2.458,0.034004),(4295,6565,2.458,0.029408),(4295,6575,2.458,0.024803),(4295,6585,2.458,0.020083),(4295,6595,2.0908,0.015363),(4295,6605,1.3179,0.010643),(4295,6615,0.54502,0.010082),(4295,6625,0.001709,0.010055),(4295,6635,0.001724,0.010028),(4295,6645,0.001739,0.010007),(4295,6655,0.001754,0.009989),(4295,6665,0.001765,0.00997),(4295,6675,0.001777,0.009952),(4295,6685,0.001789,0.009934),(4295,6695,0.001798,0.009916),(4295,6705,0.001808,0.009898),(4295,6715,0.001817,0.00988),(4295,6725,0.001825,0.009863),(4295,6735,0.001832,0.009846),(4295,6745,0.001839,0.009829),(4295,6755,0.001845,0.009812),(4295,6765,0.00185,0.009796),(4295,6775,0.001856,0.00978),(4295,6785,0.001861,0.009764),(4295,6795,0.001865,0.009748),(4295,6805,0.001869,0.009733),(4295,6815,0.001873,0.009718),(4295,6825,0.001876,0.009703),(4295,6835,0.001879,0.009689),(4295,6845,0.001882,0.009675),(4295,6855,0.001884,0.00966),(4295,6865,0.001886,0.009646),(4295,6875,0.001888,0.009633),(4295,6885,0.00189,0.009619),(4295,6895,0.001891,0.009606),(4295,6905,0.001893,0.009593),(4295,6915,0.001894,0.00958),(4295,6925,0.001895,0.009567),(4295,6935,0.001896,0.009555),(4295,6945,0.001897,0.009543),(4295,6955,0.001897,0.00953),(4295,6965,0.001898,0.009518),(4295,6975,0.001898,0.009507),(4295,6985,0.001898,0.009495),(4305,5,3.3e-05,-0.001957),(4305,15,9.9e-05,-0.001958),(4305,25,0.000164,-0.00196),(4305,35,0.00023,-0.001961),(4305,45,0.000296,-0.001965),(4305,55,0.000362,-0.001969),(4305,65,0.000429,-0.001974),(4305,75,0.000495,-0.001979),(4305,85,0.000562,-0.001985),(4305,95,0.000629,-0.001993),(4305,105,0.000696,-0.002001),(4305,115,0.000764,-0.002009),(4305,125,0.000832,-0.00202),(4305,135,0.0009,-0.002031),(4305,145,0.000969,-0.002042),(4305,155,0.001039,-0.002054),(4305,165,0.001109,-0.002067),(4305,175,0.001179,-0.002083),(4305,185,0.00125,-0.002098),(4305,195,0.001322,-0.002113),(4305,205,0.001394,-0.002131),(4305,215,0.001466,-0.002149),(4305,225,0.00154,-0.002168),(4305,235,0.001615,-0.002187),(4305,245,0.00169,-0.002209),(4305,255,0.001765,-0.002233),(4305,265,0.001842,-0.002256),(4305,275,0.001921,-0.002279),(4305,285,0.001999,-0.002306),(4305,295,0.002078,-0.002335),(4305,305,0.00216,-0.002363),(4305,315,0.002243,-0.002391),(4305,325,0.002326,-0.002424),(4305,335,0.002409,-0.002457),(4305,345,0.002496,-0.002491),(4305,355,0.002584,-0.002525),(4305,365,0.002672,-0.002564),(4305,375,0.00276,-0.002604),(4305,385,0.002854,-0.002644),(4305,395,0.002948,-0.002684),(4305,405,0.003042,-0.00273),(4305,415,0.003136,-0.002778),(4305,425,0.003237,-0.002825),(4305,435,0.003338,-0.002872),(4305,445,0.003439,-0.002928),(4305,455,0.00354,-0.002984),(4305,465,0.00365,-0.00304),(4305,475,0.003759,-0.003096),(4305,485,0.003869,-0.003162),(4305,495,0.003978,-0.003228),(4305,505,0.004097,-0.003295),(4305,515,0.004216,-0.003361),(4305,525,0.004335,-0.003439),(4305,535,0.004455,-0.003517),(4305,545,0.004585,-0.003594),(4305,555,0.004715,-0.003673),(4305,565,0.004845,-0.003765),(4305,575,0.004975,-0.003857),(4305,585,0.005118,-0.003949),(4305,595,0.005261,-0.004043),(4305,605,0.005404,-0.004153),(4305,615,0.005548,-0.004262),(4305,625,0.005706,-0.004372),(4305,635,0.005863,-0.004484),(4305,645,0.00602,-0.004614),(4305,655,0.00618,-0.004745),(4305,665,0.006355,-0.004875),(4305,675,0.006529,-0.00501),(4305,685,0.006703,-0.005166),(4305,695,0.006881,-0.005322),(4305,705,0.007074,-0.005478),(4305,715,0.007268,-0.005641),(4305,725,0.007461,-0.005829),(4305,735,0.007659,-0.006017),(4305,745,0.007874,-0.006204),(4305,755,0.008089,-0.006402),(4305,765,0.008304,-0.006629),(4305,775,0.008526,-0.006857),(4305,785,0.008765,-0.007084),(4305,795,0.009004,-0.007326),(4305,805,0.009243,-0.007602),(4305,815,0.009491,-0.007879),(4305,825,0.009756,-0.008155),(4305,835,0.010022,-0.008453),(4305,845,0.010287,-0.008792),(4305,855,0.010562,-0.009131),(4305,865,0.010856,-0.009471),(4305,875,0.011149,-0.00984),(4305,885,0.011443,-0.010259),(4305,895,0.011748,-0.010679),(4305,905,0.012069,-0.011099),(4305,915,0.012391,-0.011561),(4305,925,0.012713,-0.012084),(4305,935,0.013045,-0.012607),(4305,945,0.013391,-0.01313),(4305,955,0.013738,-0.013713),(4305,965,0.014084,-0.01437),(4305,975,0.014438,-0.015026),(4305,985,0.0148,-0.015683),(4305,995,0.015162,-0.016424),(4305,1005,0.015523,-0.017254),(4305,1015,0.015882,-0.018083),(4305,1025,0.016238,-0.018913),(4305,1035,0.016595,-0.019861),(4305,1045,0.016951,-0.020913),(4305,1055,0.017281,-0.021965),(4305,1065,0.017591,-0.023018),(4305,1075,0.0179,-0.02423),(4305,1085,0.018209,-0.025564),(4305,1095,0.018447,-0.026898),(4305,1105,0.018635,-0.028232),(4305,1115,0.018823,-0.029775),(4305,1125,0.019011,-0.031452),(4305,1135,0.01904,-0.033129),(4305,1145,0.018977,-0.034806),(4305,1155,0.018913,-0.036731),(4305,1165,0.018849,-0.038791),(4305,1175,0.018477,-0.040851),(4305,1185,0.017952,-0.042911),(4305,1195,0.017426,-0.04521),(4305,1205,0.016901,-0.047618),(4305,1215,0.015833,-0.050026),(4305,1225,0.014542,-0.052433),(4305,1235,0.01325,-0.054941),(4305,1245,0.011959,-0.057485),(4305,1255,0.009835,-0.06003),(4305,1265,0.00743,-0.062575),(4305,1275,0.005025,-0.064827),(4305,1285,0.00262,-0.066991),(4305,1295,-0.000792,-0.069154),(4305,1305,-0.004476,-0.071318),(4305,1315,-0.00816,-0.072492),(4305,1325,-0.011845,-0.073429),(4305,1335,-0.016163,-0.074367),(4305,1345,-0.020614,-0.075304),(4305,1355,-0.025066,-0.074628),(4305,1365,-0.029517,-0.07366),(4305,1375,-0.03332,-0.072693),(4305,1385,-0.037024,-0.071725),(4305,1395,-0.040728,-0.069667),(4305,1405,-0.044431,-0.067469),(4305,1415,-0.046991,-0.06527),(4305,1425,-0.049432,-0.063072),(4305,1435,-0.051873,-0.060519),(4305,1445,-0.054313,-0.057936),(4305,1455,-0.055714,-0.055354),(4305,1465,-0.057055,-0.052771),(4305,1475,-0.058396,-0.050321),(4305,1485,-0.059737,-0.047876),(4305,1495,-0.060335,-0.04543),(4305,1505,-0.060922,-0.042986),(4305,1515,-0.061509,-0.040892),(4305,1525,-0.062085,-0.038797),(4305,1535,-0.06222,-0.036703),(4305,1545,-0.062356,-0.034626),(4305,1555,-0.062492,-0.03292),(4305,1565,-0.062612,-0.031215),(4305,1575,-0.062506,-0.02951),(4305,1585,-0.0624,-0.027834),(4305,1595,-0.062294,-0.026481),(4305,1605,-0.062176,-0.025128),(4305,1615,-0.061958,-0.023776),(4305,1625,-0.061739,-0.022459),(4305,1635,-0.061521,-0.0214),(4305,1645,-0.061296,-0.020342),(4305,1655,-0.061038,-0.019283),(4305,1665,-0.06078,-0.018263),(4305,1675,-0.060522,-0.017443),(4305,1685,-0.060263,-0.016623),(4305,1695,-0.060004,-0.015802),(4305,1705,-0.059744,-0.015021),(4305,1715,-0.059485,-0.014393),(4305,1725,-0.059229,-0.013765),(4305,1735,-0.058986,-0.013138),(4305,1745,-0.058744,-0.012548),(4305,1755,-0.058501,-0.012078),(4305,1765,-0.058264,-0.011607),(4305,1775,-0.058044,-0.011137),(4305,1785,-0.057824,-0.010704),(4305,1795,-0.057604,-0.010366),(4305,1805,-0.05739,-0.010028),(4305,1815,-0.057192,-0.00969),(4305,1825,-0.056993,-0.009389),(4305,1835,-0.056794,-0.009167),(4305,1845,-0.056601,-0.008944),(4305,1855,-0.056419,-0.008722),(4305,1865,-0.056237,-0.008537),(4305,1875,-0.056055,-0.00842),(4305,1885,-0.055876,-0.008302),(4305,1895,-0.055703,-0.008185),(4305,1905,-0.055529,-0.008107),(4305,1915,-0.055355,-0.00809),(4305,1925,-0.055182,-0.008072),(4305,1935,-0.055007,-0.008055),(4305,1945,-0.054833,-0.008081),(4305,1955,-0.054658,-0.008162),(4305,1965,-0.054478,-0.008244),(4305,1975,-0.054291,-0.008326),(4305,1985,-0.054104,-0.008457),(4305,1995,-0.053917,-0.008641),(4305,2005,-0.053718,-0.008825),(4305,2015,-0.053505,-0.009009),(4305,2025,-0.053293,-0.00925),(4305,2035,-0.053081,-0.009543),(4305,2045,-0.052847,-0.009837),(4305,2055,-0.052594,-0.01013),(4305,2065,-0.052342,-0.01049),(4305,2075,-0.052089,-0.010902),(4305,2085,-0.051803,-0.011314),(4305,2095,-0.051493,-0.011727),(4305,2105,-0.051183,-0.012218),(4305,2115,-0.050873,-0.012762),(4305,2125,-0.050515,-0.013306),(4305,2135,-0.050128,-0.01385),(4305,2145,-0.04974,-0.014488),(4305,2155,-0.049353,-0.015179),(4305,2165,-0.048899,-0.015871),(4305,2175,-0.048411,-0.016562),(4305,2185,-0.047922,-0.017366),(4305,2195,-0.047434,-0.018223),(4305,2205,-0.046857,-0.01908),(4305,2215,-0.04624,-0.019937),(4305,2225,-0.045624,-0.020928),(4305,2235,-0.045008,-0.021971),(4305,2245,-0.044273,-0.023015),(4305,2255,-0.043496,-0.024058),(4305,2265,-0.042719,-0.02526),(4305,2275,-0.041942,-0.026513),(4305,2285,-0.04101,-0.027765),(4305,2295,-0.040034,-0.029018),(4305,2305,-0.039058,-0.030458),(4305,2315,-0.038081,-0.031945),(4305,2325,-0.036906,-0.033432),(4305,2335,-0.035685,-0.034919),(4305,2345,-0.034465,-0.036624),(4305,2355,-0.033244,-0.038371),(4305,2365,-0.031769,-0.040118),(4305,2375,-0.030251,-0.041865),(4305,2385,-0.028734,-0.043861),(4305,2395,-0.027216,-0.045892),(4305,2405,-0.025377,-0.047923),(4305,2415,-0.023501,-0.049954),(4305,2425,-0.021625,-0.052266),(4305,2435,-0.019749,-0.054603),(4305,2445,-0.017473,-0.056941),(4305,2455,-0.015169,-0.059278),(4305,2465,-0.012865,-0.061924),(4305,2475,-0.010561,-0.064584),(4305,2485,-0.007764,-0.067244),(4305,2495,-0.004954,-0.069904),(4305,2505,-0.002145,-0.072892),(4305,2515,0.000674,-0.075882),(4305,2525,0.004074,-0.078871),(4305,2535,0.007474,-0.081872),(4305,2545,0.010874,-0.085184),(4305,2555,0.014311,-0.088497),(4305,2565,0.018389,-0.091809),(4305,2575,0.022468,-0.095144),(4305,2585,0.026546,-0.098755),(4305,2595,0.030697,-0.10237),(4305,2605,0.035542,-0.10598),(4305,2615,0.040387,-0.10962),(4305,2625,0.045232,-0.11348),(4305,2635,0.05019,-0.11735),(4305,2645,0.055882,-0.12121),(4305,2655,0.061574,-0.1251),(4305,2665,0.067266,-0.12915),(4305,2675,0.073116,-0.1332),(4305,2685,0.07972,-0.13725),(4305,2695,0.086325,-0.14132),(4305,2705,0.092929,-0.14547),(4305,2715,0.099737,-0.14962),(4305,2725,0.1073,-0.15376),(4305,2735,0.11485,-0.15791),(4305,2745,0.12241,-0.16205),(4305,2755,0.13021,-0.16619),(4305,2765,0.13874,-0.17032),(4305,2775,0.14726,-0.17443),(4305,2785,0.15579,-0.17844),(4305,2795,0.16459,-0.18246),(4305,2805,0.17405,-0.18648),(4305,2815,0.18352,-0.19042),(4305,2825,0.19299,-0.1942),(4305,2835,0.20275,-0.19798),(4305,2845,0.21311,-0.20176),(4305,2855,0.22347,-0.20542),(4305,2865,0.23382,-0.20886),(4305,2875,0.24448,-0.2123),(4305,2885,0.25565,-0.21574),(4305,2895,0.26681,-0.21901),(4305,2905,0.27798,-0.22202),(4305,2915,0.28943,-0.22503),(4305,2925,0.30131,-0.22805),(4305,2935,0.31318,-0.23084),(4305,2945,0.32505,-0.23335),(4305,2955,0.3372,-0.23586),(4305,2965,0.34966,-0.23837),(4305,2975,0.36213,-0.24061),(4305,2985,0.3746,-0.24256),(4305,2995,0.3873,-0.2445),(4305,3005,0.40024,-0.24645),(4305,3015,0.41319,-0.24809),(4305,3025,0.42613,-0.24943),(4305,3035,0.43926,-0.25076),(4305,3045,0.45255,-0.2521),(4305,3055,0.46584,-0.25308),(4305,3065,0.47913,-0.25377),(4305,3075,0.49255,-0.25446),(4305,3085,0.50606,-0.25515),(4305,3095,0.51957,-0.25544),(4305,3105,0.53308,-0.25544),(4305,3115,0.54665,-0.25545),(4305,3125,0.56025,-0.25545),(4305,3135,0.57385,-0.255),(4305,3145,0.58745,-0.25429),(4305,3155,0.60102,-0.25357),(4305,3165,0.61456,-0.25286),(4305,3175,0.62811,-0.25163),(4305,3185,0.64166,-0.25016),(4305,3195,0.65507,-0.24869),(4305,3205,0.66842,-0.24721),(4305,3215,0.68177,-0.24517),(4305,3225,0.69512,-0.2429),(4305,3235,0.7082,-0.24063),(4305,3245,0.72119,-0.23836),(4305,3255,0.73418,-0.23546),(4305,3265,0.74717,-0.23236),(4305,3275,0.75974,-0.22925),(4305,3285,0.7722,-0.22614),(4305,3295,0.78465,-0.22235),(4305,3305,0.7971,-0.21837),(4305,3315,0.80896,-0.21439),(4305,3325,0.82068,-0.21041),(4305,3335,0.8324,-0.20568),(4305,3345,0.84412,-0.2008),(4305,3355,0.85505,-0.19592),(4305,3365,0.86582,-0.19104),(4305,3375,0.8766,-0.18537),(4305,3385,0.88738,-0.17958),(4305,3395,0.89712,-0.17378),(4305,3405,0.90673,-0.16799),(4305,3415,0.91633,-0.16139),(4305,3425,0.92594,-0.1547),(4305,3435,0.93423,-0.14801),(4305,3445,0.94243,-0.14132),(4305,3455,0.95062,-0.13383),(4305,3465,0.95881,-0.12629),(4305,3475,0.9654,-0.11876),(4305,3485,0.97194,-0.11122),(4305,3495,0.97848,-0.10294),(4305,3505,0.98501,-0.094652),(4305,3515,0.98966,-0.086363),(4305,3525,0.99431,-0.078058),(4305,3535,0.99896,-0.069162),(4305,3545,1.0035,-0.060265),(4305,3555,1.0061,-0.051368),(4305,3565,1.0087,-0.042444),(4305,3575,1.0112,-0.033133),(4305,3585,1.0136,-0.023822),(4305,3595,1.014,-0.014511),(4305,3605,1.0143,-0.005181),(4305,3615,1.0147,0.004314),(4305,3625,1.0148,0.01381),(4305,3635,1.0128,0.023305),(4305,3645,1.0109,0.032791),(4305,3655,1.0089,0.042221),(4305,3665,1.0066,0.051652),(4305,3675,1.0024,0.061082),(4305,3685,0.99819,0.070457),(4305,3695,0.99397,0.079584),(4305,3705,0.98931,0.08871),(4305,3715,0.98289,0.097837),(4305,3725,0.97648,0.10685),(4305,3735,0.97006,0.11546),(4305,3745,0.96315,0.12408),(4305,3755,0.95467,0.1327),(4305,3765,0.9462,0.14114),(4305,3775,0.93772,0.14909),(4305,3785,0.92871,0.15704),(4305,3795,0.91833,0.16498),(4305,3805,0.90795,0.17271),(4305,3815,0.89757,0.1799),(4305,3825,0.88663,0.18709),(4305,3835,0.87451,0.19428),(4305,3845,0.86239,0.20121),(4305,3855,0.85027,0.20763),(4305,3865,0.83756,0.21405),(4305,3875,0.82382,0.22048),(4305,3885,0.81009,0.22664),(4305,3895,0.79635,0.23237),(4305,3905,0.78202,0.23811),(4305,3915,0.76679,0.24384),(4305,3925,0.75156,0.24939),(4305,3935,0.73633,0.25466),(4305,3945,0.72052,0.25993),(4305,3955,0.70397,0.26521),(4305,3965,0.68743,0.27043),(4305,3975,0.67088,0.2756),(4305,3985,0.65392,0.28077),(4305,3995,0.63651,0.28595),(4305,4005,0.61911,0.2912),(4305,4015,0.6017,0.29655),(4305,4025,0.97513,0.30189),(4305,4035,1.3868,0.3056),(4305,4045,1.7985,0.30584),(4305,4055,2.0928,0.30607),(4305,4065,2.3443,0.30579),(4305,4075,2.5959,0.3024),(4305,4085,2.7057,0.29902),(4305,4095,2.7017,0.29563),(4305,4105,2.6976,0.29218),(4305,4115,2.5974,0.28874),(4305,4125,2.3377,0.28529),(4305,4135,2.0781,0.28435),(4305,4145,1.8155,0.28409),(4305,4155,1.541,0.28383),(4305,4165,1.2665,0.28506),(4305,4175,1.0076,0.28725),(4305,4185,1.5185,0.28944),(4305,4195,2.0294,0.28897),(4305,4205,2.5403,0.28498),(4305,4215,2.6183,0.28099),(4305,4225,2.6149,0.27694),(4305,4235,2.6115,0.2727),(4305,4245,2.6078,0.26847),(4305,4255,2.6039,0.26426),(4305,4265,2.6,0.26032),(4305,4275,2.2635,0.25638),(4305,4285,1.5741,0.25244),(4305,4295,0.88465,0.25485),(4305,4305,0.58671,0.25798),(4305,4315,1.1727,0.26112),(4305,4325,1.7588,0.26004),(4305,4335,2.2797,0.25729),(4305,4345,2.3604,0.25454),(4305,4355,2.441,0.2512),(4305,4365,2.5216,0.24737),(4305,4375,2.5224,0.24354),(4305,4385,2.5191,0.23984),(4305,4395,2.5158,0.23637),(4305,4405,2.1824,0.2329),(4305,4415,1.7517,0.23016),(4305,4425,1.321,0.23069),(4305,4435,1.137,0.23121),(4305,4445,1.1214,0.23173),(4305,4455,1.1059,0.23225),(4305,4465,1.2739,0.23276),(4305,4475,1.6997,0.23328),(4305,4485,2.1255,0.23086),(4305,4495,2.4496,0.22782),(4305,4505,2.4474,0.22478),(4305,4515,2.4452,0.22162),(4305,4525,2.438,0.21841),(4305,4535,2.352,0.21519),(4305,4545,2.266,0.21237),(4305,4555,2.18,0.20998),(4305,4565,1.6277,0.2076),(4305,4575,1.0127,0.2063),(4305,4585,0.39761,0.20763),(4305,4595,0.69317,0.20896),(4305,4605,1.3735,0.20979),(4305,4615,2.0538,0.20666),(4305,4625,2.3763,0.20353),(4305,4635,2.3747,0.2004),(4305,4645,2.3732,0.197),(4305,4655,2.3714,0.19358),(4305,4665,2.3695,0.19016),(4305,4675,2.3675,0.18699),(4305,4685,2.2798,0.18389),(4305,4695,1.7684,0.18079),(4305,4705,1.257,0.17949),(4305,4715,0.74554,0.1795),(4305,4725,0.98209,0.17951),(4305,4735,1.2261,0.17916),(4305,4745,1.4702,0.17829),(4305,4755,1.7213,0.17742),(4305,4765,1.974,0.17625),(4305,4775,2.2267,0.17405),(4305,4785,2.3184,0.17186),(4305,4795,2.3171,0.16967),(4305,4805,2.3157,0.16759),(4305,4815,2.1989,0.16551),(4305,4825,1.944,0.16343),(4305,4835,1.6891,0.16238),(4305,4845,1.4311,0.16149),(4305,4855,1.1648,0.1606),(4305,4865,0.89856,0.16012),(4305,4875,0.7092,0.15983),(4305,4885,1.2194,0.15953),(4305,4895,1.7297,0.15847),(4305,4905,2.2399,0.15666),(4305,4915,2.2796,0.15486),(4305,4925,2.2788,0.15299),(4305,4935,2.2779,0.15099),(4305,4945,2.2768,0.14899),(4305,4955,2.2755,0.14706),(4305,4965,2.2742,0.14551),(4305,4975,1.8891,0.14396),(4305,4985,1.2076,0.14241),(4305,4995,0.52612,0.14219),(4305,5005,0.30181,0.142),(4305,5015,0.8043,0.14182),(4305,5025,1.3068,0.14106),(4305,5035,1.7395,0.14016),(4305,5045,1.9064,0.13926),(4305,5055,2.0732,0.1381),(4305,5065,2.2351,0.13679),(4305,5075,2.2343,0.13547),(4305,5085,2.2334,0.13425),(4305,5095,2.2326,0.13314),(4305,5105,1.9444,0.13203),(4305,5115,1.6061,0.13107),(4305,5125,1.2677,0.13051),(4305,5135,1.0944,0.12996),(4305,5145,1.001,0.12945),(4305,5155,0.90774,0.12938),(4305,5165,1.0692,0.1293),(4305,5175,1.4905,0.12923),(4305,5185,1.9119,0.12918),(4305,5195,2.1996,0.12913),(4305,5205,2.1992,0.12907),(4305,5215,2.1987,0.12888),(4305,5225,2.1869,0.12863),(4305,5235,2.1046,0.12839),(4305,5245,2.0223,0.12805),(4305,5255,1.94,0.12763),(4305,5265,1.3606,0.12721),(4305,5275,0.76074,0.12686),(4305,5285,0.16088,0.12661),(4305,5295,0.55029,0.12636),(4305,5305,1.2152,0.12593),(4305,5315,1.8801,0.12474),(4305,5325,2.1433,0.12355),(4305,5335,2.1432,0.12236),(4305,5345,2.143,0.12102),(4305,5355,2.1427,0.11969),(4305,5365,2.1422,0.11835),(4305,5375,2.1417,0.11753),(4305,5385,2.0181,0.1168),(4305,5395,1.5203,0.11608),(4305,5405,1.0225,0.11558),(4305,5415,0.57676,0.11521),(4305,5425,0.83112,0.11483),(4305,5435,1.0855,0.11256),(4305,5445,1.3399,0.10824),(4305,5455,1.5928,0.10392),(4305,5465,1.8455,0.099028),(4305,5475,2.0983,0.092814),(4305,5485,2.1691,0.086601),(4305,5495,2.1667,0.080647),(4305,5505,2.1642,0.076526),(4305,5515,2.1606,0.072405),(4305,5525,2.1561,0.068284),(4305,5535,2.1515,0.066552),(4305,5545,2.1465,0.064957),(4305,5555,2.1406,0.063362),(4305,5565,2.1347,0.063395),(4305,5575,2.1287,0.06392),(4305,5585,2.1224,0.064445),(4305,5595,2.116,0.065746),(4305,5605,2.1097,0.067588),(4305,5615,2.1035,0.069429),(4305,5625,2.0973,0.071486),(4305,5635,2.0912,0.07385),(4305,5645,2.0854,0.076214),(4305,5655,2.0797,0.078571),(4305,5665,2.074,0.0809),(4305,5675,2.0687,0.08323),(4305,5685,2.0637,0.085538),(4305,5695,2.0586,0.087466),(4305,5705,2.0538,0.089394),(4305,5715,2.0493,0.091322),(4305,5725,2.0447,0.092797),(4305,5735,2.0404,0.094209),(4305,5745,2.0363,0.095621),(4305,5755,2.0322,0.096633),(4305,5765,2.0282,0.097472),(4305,5775,2.0245,0.098312),(4305,5785,2.0207,0.098883),(4305,5795,2.017,0.099206),(4305,5805,2.0134,0.099529),(4305,5815,2.0098,0.099715),(4305,5825,2.0063,0.099638),(4305,5835,2.0027,0.09956),(4305,5845,1.9992,0.099452),(4305,5855,1.9957,0.099187),(4305,5865,1.9922,0.098923),(4305,5875,1.9886,0.098658),(4305,5885,1.9851,0.098551),(4305,5895,1.9815,0.098446),(4305,5905,1.9778,0.098342),(4305,5915,1.9742,0.098801),(4305,5925,1.9706,0.099395),(4305,5935,1.967,0.099988),(4305,5945,1.9634,0.10147),(4305,5955,1.9598,0.10347),(4305,5965,1.9568,0.10548),(4305,5975,1.9537,0.10834),(4305,5985,1.9507,0.11225),(4305,5995,1.4912,0.11616),(4305,6005,0.95819,0.11903),(4305,6015,0.4252,0.11911),(4305,6025,0.63703,0.11919),(4305,6035,1.1943,0.1183),(4305,6045,1.7516,0.10807),(4305,6055,2.129,0.09783),(4305,6065,2.3301,0.087594),(4305,6075,2.5312,0.081063),(4305,6085,2.6615,0.074874),(4305,6095,2.6456,0.068684),(4305,6105,2.6298,0.067911),(4305,6115,2.6141,0.069064),(4305,6125,2.5992,0.070217),(4305,6135,2.5844,0.073404),(4305,6145,2.5695,0.078193),(4305,6155,2.5577,0.082982),(4305,6165,2.546,0.087983),(4305,6175,2.5343,0.093328),(4305,6185,2.5252,0.098674),(4305,6195,2.5168,0.10379),(4305,6205,2.5084,0.108),(4305,6215,2.5016,0.11222),(4305,6225,2.4959,0.11639),(4305,6235,2.4902,0.11886),(4305,6245,2.4854,0.12132),(4305,6255,2.4816,0.12379),(4305,6265,2.4779,0.12484),(4305,6275,2.4745,0.12562),(4305,6285,2.4721,0.12641),(4305,6295,2.4697,0.12613),(4305,6305,2.4674,0.12532),(4305,6315,2.466,0.12451),(4305,6325,2.4645,0.12317),(4305,6335,2.4631,0.12127),(4305,6345,2.4622,0.11937),(4305,6355,2.4613,0.11719),(4305,6365,2.4604,0.11437),(4305,6375,2.4599,0.11155),(4305,6385,2.4594,0.10864),(4305,6395,2.4589,0.10517),(4305,6405,2.4585,0.1017),(4305,6415,2.4583,0.098229),(4305,6425,2.458,0.094275),(4305,6435,2.4578,0.090299),(4305,6445,2.4577,0.086322),(4305,6455,2.4576,0.082054),(4305,6465,2.4576,0.077702),(4305,6475,2.4575,0.073351),(4305,6485,2.4575,0.06883),(4305,6495,2.4575,0.064196),(4305,6505,2.4575,0.059562),(4305,6515,2.4576,0.054866),(4305,6525,2.4576,0.050085),(4305,6535,2.4576,0.045304),(4305,6545,2.4577,0.040497),(4305,6555,2.4577,0.035613),(4305,6565,2.4578,0.030728),(4305,6575,2.4578,0.025834),(4305,6585,2.4579,0.020805),(4305,6595,2.0906,0.015776),(4305,6605,1.3178,0.010747),(4305,6615,0.54499,0.010136),(4305,6625,0.001725,0.010092),(4305,6635,0.00174,0.010048),(4305,6645,0.001755,0.010022),(4305,6655,0.001769,0.010002),(4305,6665,0.001781,0.009983),(4305,6675,0.001793,0.009963),(4305,6685,0.001804,0.009944),(4305,6695,0.001813,0.009926),(4305,6705,0.001822,0.009907),(4305,6715,0.001831,0.009889),(4305,6725,0.001838,0.009871),(4305,6735,0.001845,0.009853),(4305,6745,0.001852,0.009836),(4305,6755,0.001858,0.009819),(4305,6765,0.001863,0.009801),(4305,6775,0.001868,0.009785),(4305,6785,0.001873,0.009769),(4305,6795,0.001876,0.009753),(4305,6805,0.00188,0.009737),(4305,6815,0.001884,0.009722),(4305,6825,0.001886,0.009707),(4305,6835,0.001889,0.009692),(4305,6845,0.001892,0.009677),(4305,6855,0.001894,0.009663),(4305,6865,0.001896,0.009649),(4305,6875,0.001898,0.009635),(4305,6885,0.001899,0.009621),(4305,6895,0.0019,0.009607),(4305,6905,0.001901,0.009594),(4305,6915,0.001902,0.009581),(4305,6925,0.001903,0.009568),(4305,6935,0.001904,0.009556),(4305,6945,0.001905,0.009543),(4305,6955,0.001905,0.009531),(4305,6965,0.001905,0.009519),(4305,6975,0.001906,0.009507),(4305,6985,0.001906,0.009496),(4315,5,3.3e-05,-0.00189),(4315,15,9.9e-05,-0.001892),(4315,25,0.000166,-0.001893),(4315,35,0.000232,-0.001895),(4315,45,0.000299,-0.001898),(4315,55,0.000365,-0.001902),(4315,65,0.000432,-0.001907),(4315,75,0.0005,-0.001911),(4315,85,0.000567,-0.001918),(4315,95,0.000634,-0.001925),(4315,105,0.000702,-0.001933),(4315,115,0.000771,-0.001941),(4315,125,0.000839,-0.00195),(4315,135,0.000908,-0.001961),(4315,145,0.000978,-0.001972),(4315,155,0.001048,-0.001983),(4315,165,0.001119,-0.001996),(4315,175,0.001189,-0.002011),(4315,185,0.001262,-0.002025),(4315,195,0.001334,-0.00204),(4315,205,0.001407,-0.002057),(4315,215,0.00148,-0.002075),(4315,225,0.001555,-0.002093),(4315,235,0.001631,-0.002111),(4315,245,0.001706,-0.002132),(4315,255,0.001782,-0.002155),(4315,265,0.001861,-0.002177),(4315,275,0.00194,-0.0022),(4315,285,0.00202,-0.002226),(4315,295,0.002099,-0.002253),(4315,305,0.002183,-0.00228),(4315,315,0.002267,-0.002307),(4315,325,0.002351,-0.002338),(4315,335,0.002435,-0.00237),(4315,345,0.002523,-0.002403),(4315,355,0.002613,-0.002435),(4315,365,0.002702,-0.002472),(4315,375,0.002792,-0.002511),(4315,385,0.002886,-0.002549),(4315,395,0.002982,-0.002588),(4315,405,0.003078,-0.002632),(4315,415,0.003173,-0.002678),(4315,425,0.003276,-0.002723),(4315,435,0.003379,-0.002769),(4315,445,0.003482,-0.002822),(4315,455,0.003585,-0.002876),(4315,465,0.003697,-0.00293),(4315,475,0.003808,-0.002984),(4315,485,0.00392,-0.003047),(4315,495,0.004032,-0.003111),(4315,505,0.004153,-0.003174),(4315,515,0.004275,-0.003238),(4315,525,0.004397,-0.003313),(4315,535,0.004519,-0.003388),(4315,545,0.004652,-0.003463),(4315,555,0.004785,-0.003538),(4315,565,0.004918,-0.003627),(4315,575,0.005052,-0.003716),(4315,585,0.005199,-0.003805),(4315,595,0.005346,-0.003895),(4315,605,0.005492,-0.004),(4315,615,0.005641,-0.004106),(4315,625,0.005803,-0.004211),(4315,635,0.005965,-0.004319),(4315,645,0.006127,-0.004445),(4315,655,0.006292,-0.004571),(4315,665,0.006472,-0.004697),(4315,675,0.006652,-0.004827),(4315,685,0.006833,-0.004977),(4315,695,0.007017,-0.005128),(4315,705,0.007217,-0.005279),(4315,715,0.007418,-0.005436),(4315,725,0.007619,-0.005618),(4315,735,0.007825,-0.005799),(4315,745,0.008049,-0.005981),(4315,755,0.008274,-0.006172),(4315,765,0.008498,-0.006393),(4315,775,0.008729,-0.006613),(4315,785,0.00898,-0.006833),(4315,795,0.009231,-0.007068),(4315,805,0.009482,-0.007337),(4315,815,0.009742,-0.007606),(4315,825,0.010023,-0.007874),(4315,835,0.010303,-0.008164),(4315,845,0.010584,-0.008494),(4315,855,0.010875,-0.008825),(4315,865,0.011188,-0.009156),(4315,875,0.011501,-0.009516),(4315,885,0.011814,-0.009927),(4315,895,0.01214,-0.010337),(4315,905,0.012487,-0.010748),(4315,915,0.012834,-0.011201),(4315,925,0.01318,-0.011715),(4315,935,0.013541,-0.012229),(4315,945,0.01392,-0.012743),(4315,955,0.0143,-0.013318),(4315,965,0.014679,-0.013967),(4315,975,0.01507,-0.014616),(4315,985,0.015474,-0.015265),(4315,995,0.015879,-0.016002),(4315,1005,0.016283,-0.016828),(4315,1015,0.016691,-0.017655),(4315,1025,0.017103,-0.018481),(4315,1035,0.017515,-0.019431),(4315,1045,0.017926,-0.02049),(4315,1055,0.018321,-0.021548),(4315,1065,0.018701,-0.022607),(4315,1075,0.019081,-0.023837),(4315,1085,0.019462,-0.025196),(4315,1095,0.01978,-0.026555),(4315,1105,0.020055,-0.027914),(4315,1115,0.02033,-0.029502),(4315,1125,0.020605,-0.031239),(4315,1135,0.020728,-0.032975),(4315,1145,0.020763,-0.034712),(4315,1155,0.020798,-0.036735),(4315,1165,0.020832,-0.038914),(4315,1175,0.020554,-0.041093),(4315,1185,0.02012,-0.043272),(4315,1195,0.019686,-0.045754),(4315,1205,0.019251,-0.048373),(4315,1215,0.018239,-0.050993),(4315,1225,0.016987,-0.053612),(4315,1235,0.015736,-0.056414),(4315,1245,0.014484,-0.059286),(4315,1255,0.012303,-0.062157),(4315,1265,0.009808,-0.065029),(4315,1275,0.007313,-0.067663),(4315,1285,0.004818,-0.070225),(4315,1295,0.001146,-0.072787),(4315,1305,-0.002844,-0.075349),(4315,1315,-0.006834,-0.076806),(4315,1325,-0.010823,-0.077998),(4315,1335,-0.015592,-0.07919),(4315,1345,-0.020524,-0.080383),(4315,1355,-0.025455,-0.079535),(4315,1365,-0.030387,-0.078317),(4315,1375,-0.03452,-0.077099),(4315,1385,-0.038529,-0.075881),(4315,1395,-0.042538,-0.073445),(4315,1405,-0.046548,-0.070852),(4315,1415,-0.049217,-0.06826),(4315,1425,-0.051748,-0.065667),(4315,1435,-0.054278,-0.062784),(4315,1445,-0.056809,-0.059878),(4315,1455,-0.058175,-0.056972),(4315,1465,-0.059475,-0.054066),(4315,1475,-0.060775,-0.051403),(4315,1485,-0.062075,-0.048749),(4315,1495,-0.06258,-0.046095),(4315,1505,-0.063074,-0.043443),(4315,1515,-0.063567,-0.041232),(4315,1525,-0.064049,-0.039021),(4315,1535,-0.064084,-0.03681),(4315,1545,-0.064119,-0.034619),(4315,1555,-0.064154,-0.032856),(4315,1565,-0.064174,-0.031094),(4315,1575,-0.063977,-0.029331),(4315,1585,-0.063781,-0.027601),(4315,1595,-0.063585,-0.026225),(4315,1605,-0.063379,-0.024849),(4315,1615,-0.063086,-0.023473),(4315,1625,-0.062792,-0.022136),(4315,1635,-0.062499,-0.021073),(4315,1645,-0.062202,-0.020009),(4315,1655,-0.061884,-0.018945),(4315,1665,-0.061566,-0.017922),(4315,1675,-0.061247,-0.017106),(4315,1685,-0.060931,-0.016289),(4315,1695,-0.060624,-0.015473),(4315,1705,-0.060316,-0.014696),(4315,1715,-0.060008,-0.014076),(4315,1725,-0.059707,-0.013455),(4315,1735,-0.059425,-0.012835),(4315,1745,-0.059143,-0.012253),(4315,1755,-0.058861,-0.011791),(4315,1765,-0.058587,-0.011328),(4315,1775,-0.058334,-0.010866),(4315,1785,-0.058081,-0.01044),(4315,1795,-0.057828,-0.010109),(4315,1805,-0.057583,-0.009778),(4315,1815,-0.057356,-0.009447),(4315,1825,-0.057129,-0.009153),(4315,1835,-0.056902,-0.008935),(4315,1845,-0.056681,-0.008718),(4315,1855,-0.056473,-0.0085),(4315,1865,-0.056266,-0.00832),(4315,1875,-0.056058,-0.008205),(4315,1885,-0.055853,-0.008091),(4315,1895,-0.055656,-0.007976),(4315,1905,-0.055458,-0.0079),(4315,1915,-0.05526,-0.007882),(4315,1925,-0.055061,-0.007864),(4315,1935,-0.054863,-0.007847),(4315,1945,-0.054664,-0.007871),(4315,1955,-0.054465,-0.007949),(4315,1965,-0.05426,-0.008028),(4315,1975,-0.054049,-0.008106),(4315,1985,-0.053837,-0.008232),(4315,1995,-0.053625,-0.008409),(4315,2005,-0.0534,-0.008586),(4315,2015,-0.053161,-0.008763),(4315,2025,-0.052922,-0.008995),(4315,2035,-0.052684,-0.009278),(4315,2045,-0.052422,-0.00956),(4315,2055,-0.05214,-0.009842),(4315,2065,-0.051859,-0.010189),(4315,2075,-0.051578,-0.010585),(4315,2085,-0.051262,-0.010982),(4315,2095,-0.05092,-0.011379),(4315,2105,-0.050578,-0.011851),(4315,2115,-0.050236,-0.012374),(4315,2125,-0.049844,-0.012898),(4315,2135,-0.049421,-0.013421),(4315,2145,-0.048999,-0.014034),(4315,2155,-0.048576,-0.014699),(4315,2165,-0.048084,-0.015363),(4315,2175,-0.047556,-0.016028),(4315,2185,-0.047028,-0.0168),(4315,2195,-0.0465,-0.017623),(4315,2205,-0.04588,-0.018446),(4315,2215,-0.045219,-0.019269),(4315,2225,-0.044558,-0.020219),(4315,2235,-0.043897,-0.02122),(4315,2245,-0.043114,-0.022221),(4315,2255,-0.042288,-0.023222),(4315,2265,-0.041461,-0.024374),(4315,2275,-0.040634,-0.025575),(4315,2285,-0.039649,-0.026775),(4315,2295,-0.038617,-0.027976),(4315,2305,-0.037586,-0.029354),(4315,2315,-0.036555,-0.030778),(4315,2325,-0.035319,-0.032201),(4315,2335,-0.034038,-0.033625),(4315,2345,-0.032757,-0.035255),(4315,2355,-0.031475,-0.036925),(4315,2365,-0.029935,-0.038595),(4315,2375,-0.028351,-0.040265),(4315,2385,-0.026767,-0.042171),(4315,2395,-0.025184,-0.04411),(4315,2405,-0.023275,-0.046049),(4315,2415,-0.021328,-0.047988),(4315,2425,-0.019382,-0.050192),(4315,2435,-0.017435,-0.052421),(4315,2445,-0.015086,-0.054649),(4315,2455,-0.012708,-0.056877),(4315,2465,-0.010331,-0.059396),(4315,2475,-0.007954,-0.061928),(4315,2485,-0.005083,-0.06446),(4315,2495,-0.002199,-0.066992),(4315,2505,0.000685,-0.069832),(4315,2515,0.003577,-0.072674),(4315,2525,0.007048,-0.075516),(4315,2535,0.010519,-0.078368),(4315,2545,0.01399,-0.081511),(4315,2555,0.017497,-0.084655),(4315,2565,0.021639,-0.087799),(4315,2575,0.025782,-0.090963),(4315,2585,0.029924,-0.094385),(4315,2595,0.034137,-0.097807),(4315,2605,0.039032,-0.10123),(4315,2615,0.043928,-0.10468),(4315,2625,0.048824,-0.10834),(4315,2635,0.053831,-0.11199),(4315,2645,0.059555,-0.11565),(4315,2655,0.065279,-0.11933),(4315,2665,0.071004,-0.12316),(4315,2675,0.076882,-0.12699),(4315,2685,0.083495,-0.13082),(4315,2695,0.090108,-0.13466),(4315,2705,0.096721,-0.13858),(4315,2715,0.10353,-0.14249),(4315,2725,0.11107,-0.14641),(4315,2735,0.11861,-0.15032),(4315,2745,0.12615,-0.15423),(4315,2755,0.13392,-0.15813),(4315,2765,0.1424,-0.16204),(4315,2775,0.15087,-0.16591),(4315,2785,0.15935,-0.1697),(4315,2795,0.16809,-0.17349),(4315,2805,0.17748,-0.17727),(4315,2815,0.18687,-0.18099),(4315,2825,0.19625,-0.18456),(4315,2835,0.20593,-0.18812),(4315,2845,0.21618,-0.19169),(4315,2855,0.22643,-0.19514),(4315,2865,0.23668,-0.19839),(4315,2875,0.24722,-0.20163),(4315,2885,0.25826,-0.20487),(4315,2895,0.26929,-0.20796),(4315,2905,0.28033,-0.2108),(4315,2915,0.29164,-0.21364),(4315,2925,0.30337,-0.21648),(4315,2935,0.31509,-0.21911),(4315,2945,0.32681,-0.22148),(4315,2955,0.3388,-0.22384),(4315,2965,0.3511,-0.2262),(4315,2975,0.3634,-0.22832),(4315,2985,0.37571,-0.23015),(4315,2995,0.38824,-0.23198),(4315,3005,0.401,-0.23381),(4315,3015,0.41377,-0.23535),(4315,3025,0.42653,-0.2366),(4315,3035,0.43947,-0.23786),(4315,3045,0.45258,-0.23911),(4315,3055,0.46568,-0.24002),(4315,3065,0.47878,-0.24066),(4315,3075,0.49201,-0.2413),(4315,3085,0.50532,-0.24194),(4315,3095,0.51864,-0.24219),(4315,3105,0.53195,-0.24218),(4315,3115,0.54531,-0.24216),(4315,3125,0.55871,-0.24215),(4315,3135,0.5721,-0.2417),(4315,3145,0.58549,-0.241),(4315,3155,0.59885,-0.2403),(4315,3165,0.61218,-0.2396),(4315,3175,0.62551,-0.23842),(4315,3185,0.63885,-0.237),(4315,3195,0.65204,-0.23558),(4315,3205,0.66516,-0.23416),(4315,3215,0.67829,-0.2322),(4315,3225,0.69141,-0.23003),(4315,3235,0.70427,-0.22785),(4315,3245,0.71702,-0.22567),(4315,3255,0.72978,-0.2229),(4315,3265,0.74253,-0.21993),(4315,3275,0.75487,-0.21696),(4315,3285,0.76708,-0.21399),(4315,3295,0.7793,-0.21037),(4315,3305,0.79151,-0.20658),(4315,3315,0.80313,-0.20279),(4315,3325,0.8146,-0.19899),(4315,3335,0.82608,-0.1945),(4315,3345,0.83756,-0.18985),(4315,3355,0.84823,-0.18521),(4315,3365,0.85877,-0.18057),(4315,3375,0.8693,-0.17519),(4315,3385,0.87983,-0.16969),(4315,3395,0.88933,-0.16419),(4315,3405,0.8987,-0.15869),(4315,3415,0.90806,-0.15243),(4315,3425,0.91743,-0.14609),(4315,3435,0.9255,-0.13976),(4315,3445,0.93347,-0.13342),(4315,3455,0.94144,-0.12633),(4315,3465,0.94941,-0.11921),(4315,3475,0.9558,-0.11208),(4315,3485,0.96214,-0.10495),(4315,3495,0.96848,-0.097133),(4315,3505,0.97481,-0.089306),(4315,3515,0.97931,-0.081479),(4315,3525,0.9838,-0.073638),(4315,3535,0.9883,-0.065248),(4315,3545,0.9927,-0.056858),(4315,3555,0.99517,-0.048468),(4315,3565,0.99763,-0.040054),(4315,3575,1.0001,-0.031282),(4315,3585,1.0024,-0.02251),(4315,3595,1.0027,-0.013738),(4315,3605,1.003,-0.004949),(4315,3615,1.0033,0.003991),(4315,3625,1.0033,0.012931),(4315,3635,1.0014,0.021871),(4315,3645,0.9995,0.030801),(4315,3655,0.99758,0.039678),(4315,3665,0.9953,0.048556),(4315,3675,0.99117,0.057433),(4315,3685,0.98704,0.066258),(4315,3695,0.9829,0.074849),(4315,3705,0.97833,0.08344),(4315,3715,0.97206,0.092031),(4315,3725,0.96578,0.10051),(4315,3735,0.95951,0.10862),(4315,3745,0.95274,0.11673),(4315,3755,0.94445,0.12484),(4315,3765,0.93615,0.13279),(4315,3775,0.92786,0.14027),(4315,3785,0.91903,0.14775),(4315,3795,0.90886,0.15523),(4315,3805,0.89869,0.16249),(4315,3815,0.88853,0.16924),(4315,3825,0.8778,0.17599),(4315,3835,0.86589,0.18275),(4315,3845,0.85398,0.18925),(4315,3855,0.84208,0.19526),(4315,3865,0.82958,0.20126),(4315,3875,0.81604,0.20727),(4315,3885,0.8025,0.21302),(4315,3895,0.78897,0.21836),(4315,3905,0.77481,0.2237),(4315,3915,0.75972,0.22904),(4315,3925,0.74463,0.2342),(4315,3935,0.72955,0.23911),(4315,3945,0.71384,0.24402),(4315,3955,0.69735,0.24893),(4315,3965,0.68085,0.25385),(4315,3975,0.66436,0.25877),(4315,3985,0.64741,0.2637),(4315,3995,0.62998,0.26862),(4315,4005,0.61255,0.27379),(4315,4015,0.59511,0.2792),(4315,4025,0.96904,0.28461),(4315,4035,1.3813,0.2884),(4315,4045,1.7935,0.28877),(4315,4055,2.0883,0.28914),(4315,4065,2.3403,0.28895),(4315,4075,2.5924,0.2854),(4315,4085,2.7024,0.28184),(4315,4095,2.6984,0.27829),(4315,4105,2.6943,0.27464),(4315,4115,2.594,0.27098),(4315,4125,2.3339,0.26732),(4315,4135,2.0739,0.26645),(4315,4145,1.811,0.26634),(4315,4155,1.5364,0.26623),(4315,4165,1.2619,0.26771),(4315,4175,1.0029,0.2702),(4315,4185,1.5143,0.27269),(4315,4195,2.0258,0.27229),(4315,4205,2.5372,0.26806),(4315,4215,2.6154,0.26383),(4315,4225,2.6121,0.25954),(4315,4235,2.6088,0.25505),(4315,4245,2.605,0.25056),(4315,4255,2.601,0.2461),(4315,4265,2.597,0.24209),(4315,4275,2.2603,0.23808),(4315,4285,1.5705,0.23406),(4315,4295,0.88074,0.23677),(4315,4305,0.58263,0.24026),(4315,4315,1.1689,0.24375),(4315,4325,1.7552,0.2429),(4315,4335,2.2764,0.24035),(4315,4345,2.3571,0.2378),(4315,4355,2.4379,0.23454),(4315,4365,2.5186,0.23068),(4315,4375,2.5193,0.22682),(4315,4385,2.5159,0.22309),(4315,4395,2.5124,0.21958),(4315,4405,2.179,0.21607),(4315,4415,1.7482,0.21336),(4315,4425,1.3174,0.21418),(4315,4435,1.1333,0.215),(4315,4445,1.1178,0.21582),(4315,4455,1.1023,0.21657),(4315,4465,1.2703,0.21733),(4315,4475,1.6961,0.21808),(4315,4485,2.1218,0.21574),(4315,4495,2.4459,0.21276),(4315,4505,2.4438,0.20977),(4315,4515,2.4416,0.20672),(4315,4525,2.4345,0.20363),(4315,4535,2.3485,0.20054),(4315,4545,2.2624,0.19797),(4315,4555,2.1764,0.19599),(4315,4565,1.6246,0.19401),(4315,4575,1.0101,0.19301),(4315,4585,0.39558,0.1944),(4315,4595,0.69092,0.1958),(4315,4605,1.3707,0.19667),(4315,4615,2.0505,0.19355),(4315,4625,2.3728,0.19043),(4315,4635,2.3713,0.18732),(4315,4645,2.3698,0.18378),(4315,4655,2.3682,0.18022),(4315,4665,2.3661,0.17666),(4315,4675,2.364,0.17343),(4315,4685,2.2763,0.1703),(4315,4695,1.7653,0.16718),(4315,4705,1.2544,0.16597),(4315,4715,0.74342,0.16617),(4315,4725,0.97957,0.16636),(4315,4735,1.2232,0.1662),(4315,4745,1.4668,0.16552),(4315,4755,1.7176,0.16485),(4315,4765,1.97,0.16385),(4315,4775,2.2225,0.16175),(4315,4785,2.3141,0.15965),(4315,4795,2.3127,0.15757),(4315,4805,2.3113,0.15566),(4315,4815,2.1946,0.15375),(4315,4825,1.94,0.15184),(4315,4835,1.6855,0.15112),(4315,4845,1.4278,0.15058),(4315,4855,1.1622,0.15005),(4315,4865,0.89645,0.14971),(4315,4875,0.70749,0.14945),(4315,4885,1.2167,0.1492),(4315,4895,1.726,0.14816),(4315,4905,2.2352,0.14636),(4315,4915,2.2749,0.14456),(4315,4925,2.2741,0.14271),(4315,4935,2.2734,0.14075),(4315,4945,2.2722,0.1388),(4315,4955,2.2707,0.13697),(4315,4965,2.2693,0.13581),(4315,4975,1.885,0.13465),(4315,4985,1.205,0.13349),(4315,4995,0.52507,0.13315),(4315,5005,0.30124,0.13284),(4315,5015,0.80252,0.13252),(4315,5025,1.3038,0.13183),(4315,5035,1.7355,0.13104),(4315,5045,1.902,0.13025),(4315,5055,2.0685,0.1291),(4315,5065,2.2301,0.12773),(4315,5075,2.2292,0.12637),(4315,5085,2.2283,0.12516),(4315,5095,2.2274,0.12415),(4315,5105,1.9398,0.12314),(4315,5115,1.6023,0.12233),(4315,5125,1.2647,0.12207),(4315,5135,1.0917,0.12181),(4315,5145,0.99848,0.12157),(4315,5155,0.90529,0.12147),(4315,5165,1.0662,0.12137),(4315,5175,1.4864,0.12127),(4315,5185,1.9065,0.12106),(4315,5195,2.1934,0.12085),(4315,5205,2.1931,0.12064),(4315,5215,2.1927,0.12051),(4315,5225,2.1811,0.12042),(4315,5235,2.0991,0.12033),(4315,5245,2.0171,0.12044),(4315,5255,1.9351,0.12073),(4315,5265,1.3572,0.12101),(4315,5275,0.75895,0.12105),(4315,5285,0.16068,0.12069),(4315,5295,0.5492,0.12032),(4315,5305,1.2125,0.11972),(4315,5315,1.8758,0.11818),(4315,5325,2.1385,0.11663),(4315,5335,2.1384,0.11508),(4315,5345,2.1383,0.11356),(4315,5355,2.1379,0.11205),(4315,5365,2.1372,0.11053),(4315,5375,2.1365,0.11003),(4315,5385,2.0131,0.10974),(4315,5395,1.5166,0.10944),(4315,5405,1.02,0.10932),(4315,5415,0.57559,0.10927),(4315,5425,0.83064,0.10923),(4315,5435,1.0857,0.1071),(4315,5445,1.3407,0.1027),(4315,5455,1.5937,0.098292),(4315,5465,1.8464,0.093465),(4315,5475,2.099,0.087658),(4315,5485,2.1693,0.081852),(4315,5495,2.1662,0.076359),(4315,5505,2.1631,0.073085),(4315,5515,2.1587,0.069811),(4315,5525,2.1533,0.066536),(4315,5535,2.1479,0.065752),(4315,5545,2.1421,0.065111),(4315,5555,2.1355,0.06447),(4315,5565,2.129,0.065336),(4315,5575,2.1223,0.066659),(4315,5585,2.1156,0.067982),(4315,5595,2.1088,0.069928),(4315,5605,2.102,0.072308),(4315,5615,2.0957,0.074689),(4315,5625,2.0893,0.077181),(4315,5635,2.083,0.079834),(4315,5645,2.0772,0.082487),(4315,5655,2.0715,0.085088),(4315,5665,2.0659,0.087518),(4315,5675,2.0607,0.089947),(4315,5685,2.0557,0.092348),(4315,5695,2.0508,0.094254),(4315,5705,2.0461,0.096159),(4315,5715,2.0418,0.098065),(4315,5725,2.0374,0.099444),(4315,5735,2.0332,0.10075),(4315,5745,2.0293,0.10205),(4315,5755,2.0255,0.10292),(4315,5765,2.0216,0.1036),(4315,5775,2.018,0.10427),(4315,5785,2.0144,0.10465),(4315,5795,2.0109,0.10476),(4315,5805,2.0074,0.10487),(4315,5815,2.004,0.10481),(4315,5825,2.0005,0.10444),(4315,5835,1.9971,0.10408),(4315,5845,1.9936,0.10367),(4315,5855,1.9902,0.103),(4315,5865,1.9866,0.10234),(4315,5875,1.983,0.10167),(4315,5885,1.9794,0.10101),(4315,5895,1.9757,0.10035),(4315,5905,1.9718,0.099692),(4315,5915,1.968,0.099457),(4315,5925,1.9641,0.099323),(4315,5935,1.96,0.099189),(4315,5945,1.956,0.099922),(4315,5955,1.952,0.10117),(4315,5965,1.9484,0.10241),(4315,5975,1.9448,0.10476),(4315,5985,1.9412,0.10844),(4315,5995,1.4839,0.11213),(4315,6005,0.95371,0.11487),(4315,6015,0.42348,0.11506),(4315,6025,0.63812,0.11526),(4315,6035,1.1982,0.11446),(4315,6045,1.7583,0.10413),(4315,6055,2.1363,0.093788),(4315,6065,2.3356,0.083449),(4315,6075,2.5349,0.079286),(4315,6085,2.6631,0.075689),(4315,6095,2.6448,0.072093),(4315,6105,2.6265,0.073961),(4315,6115,2.6085,0.077773),(4315,6125,2.5924,0.081584),(4315,6135,2.5763,0.086786),(4315,6145,2.5602,0.093084),(4315,6155,2.5482,0.099382),(4315,6165,2.5362,0.10548),(4315,6175,2.5243,0.11125),(4315,6185,2.5155,0.11701),(4315,6195,2.5074,0.12241),(4315,6205,2.4993,0.12638),(4315,6215,2.493,0.13034),(4315,6225,2.4878,0.13425),(4315,6235,2.4827,0.13614),(4315,6245,2.4783,0.13803),(4315,6255,2.4751,0.13992),(4315,6265,2.4719,0.14029),(4315,6275,2.469,0.14039),(4315,6285,2.4671,0.14049),(4315,6295,2.4652,0.13954),(4315,6305,2.4634,0.13808),(4315,6315,2.4623,0.13661),(4315,6325,2.4612,0.13462),(4315,6335,2.46,0.1321),(4315,6345,2.4594,0.12958),(4315,6355,2.4588,0.12679),(4315,6365,2.4582,0.12341),(4315,6375,2.4578,0.12003),(4315,6385,2.4576,0.11658),(4315,6395,2.4573,0.11262),(4315,6405,2.4571,0.10866),(4315,6415,2.457,0.1047),(4315,6425,2.4569,0.10031),(4315,6435,2.4568,0.095908),(4315,6445,2.4568,0.091504),(4315,6455,2.4568,0.086849),(4315,6465,2.4569,0.082122),(4315,6475,2.4569,0.077395),(4315,6485,2.457,0.072518),(4315,6495,2.4571,0.067541),(4315,6505,2.4571,0.062563),(4315,6515,2.4572,0.057538),(4315,6525,2.4573,0.052447),(4315,6535,2.4573,0.047357),(4315,6545,2.4574,0.042245),(4315,6555,2.4575,0.037066),(4315,6565,2.4576,0.031887),(4315,6575,2.4576,0.0267),(4315,6585,2.4577,0.021401),(4315,6595,2.0905,0.016101),(4315,6605,1.3177,0.010801),(4315,6615,0.54497,0.010157),(4315,6625,0.001742,0.01011),(4315,6635,0.001756,0.010064),(4315,6645,0.001771,0.010035),(4315,6655,0.001785,0.010015),(4315,6665,0.001796,0.009994),(4315,6675,0.001808,0.009974),(4315,6685,0.001819,0.009954),(4315,6695,0.001828,0.009935),(4315,6705,0.001837,0.009915),(4315,6715,0.001845,0.009896),(4315,6725,0.001852,0.009878),(4315,6735,0.001859,0.009859),(4315,6745,0.001865,0.009841),(4315,6755,0.001871,0.009824),(4315,6765,0.001875,0.009806),(4315,6775,0.00188,0.009789),(4315,6785,0.001885,0.009773),(4315,6795,0.001888,0.009756),(4315,6805,0.001892,0.00974),(4315,6815,0.001895,0.009725),(4315,6825,0.001897,0.009709),(4315,6835,0.0019,0.009694),(4315,6845,0.001902,0.009679),(4315,6855,0.001904,0.009664),(4315,6865,0.001906,0.00965),(4315,6875,0.001907,0.009636),(4315,6885,0.001908,0.009622),(4315,6895,0.001909,0.009608),(4315,6905,0.00191,0.009595),(4315,6915,0.001911,0.009582),(4315,6925,0.001912,0.009569),(4315,6935,0.001912,0.009556),(4315,6945,0.001912,0.009544),(4315,6955,0.001913,0.009531),(4315,6965,0.001913,0.009519),(4315,6975,0.001913,0.009507),(4315,6985,0.001913,0.009495),(4325,5,3.3e-05,-0.001823),(4325,15,0.0001,-0.001825),(4325,25,0.000167,-0.001826),(4325,35,0.000234,-0.001827),(4325,45,0.000301,-0.00183),(4325,55,0.000369,-0.001835),(4325,65,0.000436,-0.001839),(4325,75,0.000504,-0.001843),(4325,85,0.000572,-0.001849),(4325,95,0.00064,-0.001857),(4325,105,0.000708,-0.001864),(4325,115,0.000778,-0.001871),(4325,125,0.000847,-0.001881),(4325,135,0.000916,-0.001891),(4325,145,0.000987,-0.001901),(4325,155,0.001058,-0.001912),(4325,165,0.001129,-0.001924),(4325,175,0.0012,-0.001938),(4325,185,0.001273,-0.001953),(4325,195,0.001347,-0.001966),(4325,205,0.001421,-0.001983),(4325,215,0.001494,-0.002),(4325,225,0.00157,-0.002017),(4325,235,0.001646,-0.002035),(4325,245,0.001723,-0.002055),(4325,255,0.0018,-0.002076),(4325,265,0.001879,-0.002098),(4325,275,0.00196,-0.002119),(4325,285,0.00204,-0.002144),(4325,295,0.002121,-0.00217),(4325,305,0.002205,-0.002196),(4325,315,0.00229,-0.002221),(4325,325,0.002376,-0.002252),(4325,335,0.002461,-0.002282),(4325,345,0.002551,-0.002313),(4325,355,0.002641,-0.002344),(4325,365,0.002732,-0.00238),(4325,375,0.002823,-0.002417),(4325,385,0.002919,-0.002454),(4325,395,0.003016,-0.00249),(4325,405,0.003113,-0.002533),(4325,415,0.003211,-0.002577),(4325,425,0.003315,-0.00262),(4325,435,0.00342,-0.002664),(4325,445,0.003525,-0.002715),(4325,455,0.00363,-0.002766),(4325,465,0.003743,-0.002818),(4325,475,0.003857,-0.00287),(4325,485,0.003971,-0.00293),(4325,495,0.004085,-0.002991),(4325,505,0.004209,-0.003052),(4325,515,0.004334,-0.003113),(4325,525,0.004458,-0.003185),(4325,535,0.004583,-0.003257),(4325,545,0.004719,-0.003329),(4325,555,0.004856,-0.003401),(4325,565,0.004992,-0.003487),(4325,575,0.005129,-0.003572),(4325,585,0.00528,-0.003657),(4325,595,0.00543,-0.003743),(4325,605,0.005581,-0.003844),(4325,615,0.005733,-0.003946),(4325,625,0.0059,-0.004047),(4325,635,0.006067,-0.004151),(4325,645,0.006234,-0.004272),(4325,655,0.006404,-0.004393),(4325,665,0.00659,-0.004514),(4325,675,0.006776,-0.004639),(4325,685,0.006962,-0.004784),(4325,695,0.007152,-0.004929),(4325,705,0.00736,-0.005074),(4325,715,0.007569,-0.005225),(4325,725,0.007777,-0.0054),(4325,735,0.007991,-0.005576),(4325,745,0.008224,-0.005751),(4325,755,0.008458,-0.005936),(4325,765,0.008691,-0.006149),(4325,775,0.008933,-0.006361),(4325,785,0.009195,-0.006574),(4325,795,0.009458,-0.006801),(4325,805,0.009721,-0.007061),(4325,815,0.009994,-0.007322),(4325,825,0.010289,-0.007582),(4325,835,0.010585,-0.007863),(4325,845,0.01088,-0.008184),(4325,855,0.011189,-0.008505),(4325,865,0.011521,-0.008826),(4325,875,0.011853,-0.009177),(4325,885,0.012185,-0.009577),(4325,895,0.012533,-0.009978),(4325,905,0.012905,-0.010378),(4325,915,0.013277,-0.010821),(4325,925,0.013648,-0.011324),(4325,935,0.014037,-0.011828),(4325,945,0.014449,-0.012332),(4325,955,0.014861,-0.012897),(4325,965,0.015273,-0.013537),(4325,975,0.015702,-0.014177),(4325,985,0.016149,-0.014816),(4325,995,0.016596,-0.015545),(4325,1005,0.017043,-0.016366),(4325,1015,0.0175,-0.017187),(4325,1025,0.017968,-0.018008),(4325,1035,0.018435,-0.018957),(4325,1045,0.018902,-0.020019),(4325,1055,0.01936,-0.021081),(4325,1065,0.019812,-0.022143),(4325,1075,0.020263,-0.023387),(4325,1085,0.020714,-0.024768),(4325,1095,0.021113,-0.026149),(4325,1105,0.021475,-0.02753),(4325,1115,0.021837,-0.029162),(4325,1125,0.022198,-0.030956),(4325,1135,0.022416,-0.03275),(4325,1145,0.02255,-0.034544),(4325,1155,0.022683,-0.036665),(4325,1165,0.022816,-0.038965),(4325,1175,0.022631,-0.041264),(4325,1185,0.022288,-0.043564),(4325,1195,0.021945,-0.046235),(4325,1205,0.021602,-0.049076),(4325,1215,0.020644,-0.051916),(4325,1225,0.019433,-0.054757),(4325,1235,0.018221,-0.057876),(4325,1245,0.01701,-0.061099),(4325,1255,0.014772,-0.064322),(4325,1265,0.012186,-0.067546),(4325,1275,0.009601,-0.0706),(4325,1285,0.007016,-0.073602),(4325,1295,0.003085,-0.076604),(4325,1305,-0.001211,-0.079607),(4325,1315,-0.005507,-0.081381),(4325,1325,-0.009802,-0.082862),(4325,1335,-0.015021,-0.084343),(4325,1345,-0.020433,-0.085824),(4325,1355,-0.025845,-0.08478),(4325,1365,-0.031257,-0.083278),(4325,1375,-0.035719,-0.081777),(4325,1385,-0.040034,-0.080275),(4325,1395,-0.044349,-0.07742),(4325,1405,-0.048664,-0.074391),(4325,1415,-0.051443,-0.071362),(4325,1425,-0.054063,-0.068333),(4325,1435,-0.056684,-0.065095),(4325,1445,-0.059304,-0.06184),(4325,1455,-0.060636,-0.058585),(4325,1465,-0.061895,-0.05533),(4325,1475,-0.063153,-0.052444),(4325,1485,-0.064412,-0.049572),(4325,1495,-0.064825,-0.046699),(4325,1505,-0.065225,-0.043829),(4325,1515,-0.065626,-0.041499),(4325,1525,-0.066014,-0.03917),(4325,1535,-0.065948,-0.036841),(4325,1545,-0.065882,-0.034535),(4325,1555,-0.065816,-0.032717),(4325,1565,-0.065735,-0.030899),(4325,1575,-0.065449,-0.029082),(4325,1585,-0.065163,-0.027299),(4325,1595,-0.064876,-0.025903),(4325,1605,-0.064582,-0.024507),(4325,1615,-0.064214,-0.023112),(4325,1625,-0.063846,-0.021756),(4325,1635,-0.063478,-0.020691),(4325,1645,-0.063108,-0.019625),(4325,1655,-0.06273,-0.01856),(4325,1665,-0.062351,-0.017536),(4325,1675,-0.061973,-0.016725),(4325,1685,-0.061599,-0.015915),(4325,1695,-0.061243,-0.015105),(4325,1705,-0.060888,-0.014335),(4325,1715,-0.060532,-0.013724),(4325,1725,-0.060184,-0.013112),(4325,1735,-0.059863,-0.012501),(4325,1745,-0.059542,-0.011928),(4325,1755,-0.059221,-0.011475),(4325,1765,-0.058909,-0.011022),(4325,1775,-0.058623,-0.010568),(4325,1785,-0.058338,-0.010152),(4325,1795,-0.058052,-0.009829),(4325,1805,-0.057775,-0.009505),(4325,1815,-0.05752,-0.009182),(4325,1825,-0.057265,-0.008895),(4325,1835,-0.057009,-0.008683),(4325,1845,-0.056761,-0.008471),(4325,1855,-0.056528,-0.008259),(4325,1865,-0.056294,-0.008084),(4325,1875,-0.05606,-0.007972),(4325,1885,-0.055831,-0.00786),(4325,1895,-0.055608,-0.007748),(4325,1905,-0.055386,-0.007674),(4325,1915,-0.055164,-0.007656),(4325,1925,-0.054941,-0.007638),(4325,1935,-0.054718,-0.00762),(4325,1945,-0.054495,-0.007643),(4325,1955,-0.054272,-0.007718),(4325,1965,-0.054043,-0.007792),(4325,1975,-0.053806,-0.007867),(4325,1985,-0.053569,-0.007988),(4325,1995,-0.053333,-0.008158),(4325,2005,-0.053082,-0.008328),(4325,2015,-0.052817,-0.008498),(4325,2025,-0.052551,-0.00872),(4325,2035,-0.052286,-0.008991),(4325,2045,-0.051997,-0.009262),(4325,2055,-0.051687,-0.009533),(4325,2065,-0.051377,-0.009865),(4325,2075,-0.051067,-0.010246),(4325,2085,-0.05072,-0.010626),(4325,2095,-0.050346,-0.011007),(4325,2105,-0.049973,-0.01146),(4325,2115,-0.049599,-0.011962),(4325,2125,-0.049173,-0.012463),(4325,2135,-0.048715,-0.012965),(4325,2145,-0.048257,-0.013553),(4325,2155,-0.047799,-0.01419),(4325,2165,-0.047269,-0.014826),(4325,2175,-0.046701,-0.015463),(4325,2185,-0.046134,-0.016203),(4325,2195,-0.045566,-0.016991),(4325,2205,-0.044903,-0.017779),(4325,2215,-0.044198,-0.018567),(4325,2225,-0.043492,-0.019476),(4325,2235,-0.042787,-0.020434),(4325,2245,-0.041956,-0.021391),(4325,2255,-0.04108,-0.022349),(4325,2265,-0.040203,-0.02345),(4325,2275,-0.039327,-0.024597),(4325,2285,-0.038288,-0.025745),(4325,2295,-0.037201,-0.026892),(4325,2305,-0.036115,-0.028208),(4325,2315,-0.035028,-0.029567),(4325,2325,-0.033733,-0.030925),(4325,2335,-0.032391,-0.032284),(4325,2345,-0.031049,-0.033838),(4325,2355,-0.029707,-0.03543),(4325,2365,-0.028101,-0.037022),(4325,2375,-0.026451,-0.038615),(4325,2385,-0.024801,-0.040429),(4325,2395,-0.023152,-0.042276),(4325,2405,-0.021173,-0.044122),(4325,2415,-0.019156,-0.045968),(4325,2425,-0.017139,-0.048064),(4325,2435,-0.015122,-0.050183),(4325,2445,-0.012699,-0.052301),(4325,2455,-0.010248,-0.05442),(4325,2465,-0.007797,-0.056812),(4325,2475,-0.005346,-0.059216),(4325,2485,-0.002401,-0.06162),(4325,2495,0.000556,-0.064024),(4325,2505,0.003514,-0.066717),(4325,2515,0.00648,-0.069411),(4325,2525,0.010022,-0.072105),(4325,2535,0.013564,-0.074809),(4325,2545,0.017106,-0.077785),(4325,2555,0.020684,-0.080762),(4325,2565,0.02489,-0.083738),(4325,2575,0.029095,-0.086734),(4325,2585,0.033301,-0.089969),(4325,2595,0.037576,-0.093205),(4325,2605,0.042523,-0.09644),(4325,2615,0.04747,-0.099701),(4325,2625,0.052416,-0.10315),(4325,2635,0.057471,-0.10661),(4325,2645,0.063228,-0.11006),(4325,2655,0.068985,-0.11354),(4325,2665,0.074741,-0.11715),(4325,2675,0.080648,-0.12076),(4325,2685,0.087269,-0.12437),(4325,2695,0.093891,-0.128),(4325,2705,0.10051,-0.13169),(4325,2715,0.10733,-0.13538),(4325,2725,0.11485,-0.13907),(4325,2735,0.12236,-0.14275),(4325,2745,0.12988,-0.14643),(4325,2755,0.13763,-0.15011),(4325,2765,0.14606,-0.15379),(4325,2775,0.15448,-0.15743),(4325,2785,0.16291,-0.161),(4325,2795,0.17159,-0.16456),(4325,2805,0.1809,-0.16813),(4325,2815,0.19021,-0.17163),(4325,2825,0.19952,-0.17499),(4325,2835,0.20911,-0.17834),(4325,2845,0.21925,-0.1817),(4325,2855,0.22939,-0.18495),(4325,2865,0.23954,-0.188),(4325,2875,0.24996,-0.19105),(4325,2885,0.26087,-0.19411),(4325,2895,0.27177,-0.19701),(4325,2905,0.28268,-0.19968),(4325,2915,0.29386,-0.20235),(4325,2925,0.30543,-0.20502),(4325,2935,0.317,-0.2075),(4325,2945,0.32858,-0.20972),(4325,2955,0.3404,-0.21194),(4325,2965,0.35254,-0.21417),(4325,2975,0.36468,-0.21615),(4325,2985,0.37681,-0.21787),(4325,2995,0.38917,-0.21959),(4325,3005,0.40176,-0.22131),(4325,3015,0.41434,-0.22275),(4325,3025,0.42693,-0.22392),(4325,3035,0.43969,-0.22509),(4325,3045,0.45261,-0.22626),(4325,3055,0.46552,-0.22711),(4325,3065,0.47844,-0.2277),(4325,3075,0.49146,-0.22828),(4325,3085,0.50458,-0.22887),(4325,3095,0.5177,-0.22909),(4325,3105,0.53082,-0.22906),(4325,3115,0.54398,-0.22903),(4325,3125,0.55716,-0.229),(4325,3135,0.57035,-0.22856),(4325,3145,0.58354,-0.22788),(4325,3155,0.59668,-0.22719),(4325,3165,0.6098,-0.22651),(4325,3175,0.62292,-0.22537),(4325,3185,0.63603,-0.22401),(4325,3195,0.649,-0.22264),(4325,3205,0.6619,-0.22128),(4325,3215,0.6748,-0.2194),(4325,3225,0.68771,-0.21732),(4325,3235,0.70033,-0.21524),(4325,3245,0.71285,-0.21316),(4325,3255,0.72538,-0.21052),(4325,3265,0.7379,-0.20769),(4325,3275,0.75,-0.20486),(4325,3285,0.76197,-0.20203),(4325,3295,0.77395,-0.19859),(4325,3305,0.78592,-0.19498),(4325,3315,0.79729,-0.19137),(4325,3325,0.80852,-0.18777),(4325,3335,0.81975,-0.1835),(4325,3345,0.83099,-0.1791),(4325,3355,0.84142,-0.17469),(4325,3365,0.85171,-0.17029),(4325,3375,0.86199,-0.16519),(4325,3385,0.87228,-0.15998),(4325,3395,0.88154,-0.15478),(4325,3405,0.89067,-0.14957),(4325,3415,0.89979,-0.14366),(4325,3425,0.90892,-0.13767),(4325,3435,0.91677,-0.13168),(4325,3445,0.92451,-0.12569),(4325,3455,0.93226,-0.11901),(4325,3465,0.94,-0.11228),(4325,3475,0.9462,-0.10556),(4325,3485,0.95234,-0.098832),(4325,3495,0.95848,-0.091468),(4325,3505,0.96462,-0.084096),(4325,3515,0.96895,-0.076723),(4325,3525,0.97329,-0.069337),(4325,3535,0.97763,-0.061444),(4325,3545,0.98188,-0.053551),(4325,3555,0.98424,-0.045659),(4325,3565,0.9866,-0.037743),(4325,3575,0.98896,-0.029499),(4325,3585,0.99114,-0.021255),(4325,3595,0.9914,-0.01301),(4325,3605,0.99167,-0.00475),(4325,3615,0.99193,0.003647),(4325,3625,0.99192,0.012044),(4325,3635,0.99003,0.020441),(4325,3645,0.98813,0.028829),(4325,3655,0.98623,0.037165),(4325,3665,0.98398,0.045501),(4325,3675,0.97993,0.053837),(4325,3685,0.97588,0.062124),(4325,3695,0.97183,0.07019),(4325,3705,0.96736,0.078257),(4325,3715,0.96122,0.086323),(4325,3725,0.95508,0.094288),(4325,3735,0.94895,0.1019),(4325,3745,0.94233,0.10951),(4325,3755,0.93422,0.11713),(4325,3765,0.92611,0.12458),(4325,3775,0.91799,0.1316),(4325,3785,0.90936,0.13861),(4325,3795,0.8994,0.14562),(4325,3805,0.88944,0.15242),(4325,3815,0.87948,0.15874),(4325,3825,0.86896,0.16506),(4325,3835,0.85727,0.17138),(4325,3845,0.84558,0.17745),(4325,3855,0.83389,0.18304),(4325,3865,0.8216,0.18863),(4325,3875,0.80826,0.19422),(4325,3885,0.79492,0.19956),(4325,3895,0.78158,0.20449),(4325,3905,0.76759,0.20942),(4325,3915,0.75265,0.21436),(4325,3925,0.73771,0.21912),(4325,3935,0.72277,0.22365),(4325,3945,0.70716,0.22817),(4325,3955,0.69072,0.2327),(4325,3965,0.67428,0.23729),(4325,3975,0.65783,0.24196),(4325,3985,0.6409,0.24663),(4325,3995,0.62344,0.25129),(4325,4005,0.60599,0.25637),(4325,4015,0.58853,0.26187),(4325,4025,0.96295,0.26737),(4325,4035,1.3757,0.27127),(4325,4045,1.7885,0.27182),(4325,4055,2.0838,0.27236),(4325,4065,2.3363,0.27229),(4325,4075,2.5888,0.26857),(4325,4085,2.6991,0.26484),(4325,4095,2.6951,0.26112),(4325,4105,2.691,0.25723),(4325,4115,2.5905,0.25333),(4325,4125,2.3301,0.24943),(4325,4135,2.0697,0.24864),(4325,4145,1.8065,0.2487),(4325,4155,1.5319,0.24876),(4325,4165,1.2572,0.25053),(4325,4175,0.99811,0.25338),(4325,4185,1.5101,0.25623),(4325,4195,2.0222,0.25591),(4325,4205,2.5342,0.25139),(4325,4215,2.6126,0.24687),(4325,4225,2.6093,0.24228),(4325,4235,2.6061,0.23749),(4325,4245,2.6023,0.2327),(4325,4255,2.5982,0.22796),(4325,4265,2.594,0.22383),(4325,4275,2.2571,0.21971),(4325,4285,1.567,0.21559),(4325,4295,0.87684,0.21865),(4325,4305,0.57856,0.22254),(4325,4315,1.1651,0.22644),(4325,4325,1.7516,0.22587),(4325,4335,2.273,0.22354),(4325,4345,2.3539,0.22122),(4325,4355,2.4348,0.21804),(4325,4365,2.5156,0.21414),(4325,4375,2.5162,0.21023),(4325,4385,2.5126,0.20644),(4325,4395,2.5091,0.20286),(4325,4405,2.1755,0.19927),(4325,4415,1.7447,0.19656),(4325,4425,1.3138,0.19771),(4325,4435,1.1297,0.19886),(4325,4445,1.1142,0.20002),(4325,4455,1.0988,0.20103),(4325,4465,1.2668,0.20205),(4325,4475,1.6925,0.20306),(4325,4485,2.1182,0.20078),(4325,4495,2.4422,0.19781),(4325,4505,2.4401,0.19484),(4325,4515,2.4381,0.19186),(4325,4525,2.431,0.18889),(4325,4535,2.3449,0.18591),(4325,4545,2.2589,0.18361),(4325,4555,2.1728,0.18209),(4325,4565,1.6215,0.18056),(4325,4575,1.0075,0.1799),(4325,4585,0.39356,0.18138),(4325,4595,0.68867,0.18286),(4325,4605,1.3679,0.18381),(4325,4615,2.0471,0.18068),(4325,4625,2.3692,0.17755),(4325,4635,2.3679,0.17441),(4325,4645,2.3665,0.17071),(4325,4655,2.3649,0.16696),(4325,4665,2.3627,0.16321),(4325,4675,2.3605,0.15989),(4325,4685,2.2728,0.15671),(4325,4695,1.7623,0.15352),(4325,4705,1.2518,0.15243),(4325,4715,0.74129,0.15284),(4325,4725,0.97705,0.15326),(4325,4735,1.2203,0.15332),(4325,4745,1.4635,0.15286),(4325,4755,1.714,0.15239),(4325,4765,1.9661,0.15157),(4325,4775,2.2183,0.14955),(4325,4785,2.3097,0.14752),(4325,4795,2.3083,0.1455),(4325,4805,2.3069,0.14375),(4325,4815,2.1903,0.142),(4325,4825,1.9361,0.14025),(4325,4835,1.6819,0.13989),(4325,4845,1.4246,0.13975),(4325,4855,1.1595,0.13961),(4325,4865,0.89434,0.13943),(4325,4875,0.70579,0.13924),(4325,4885,1.214,0.13905),(4325,4895,1.7223,0.13801),(4325,4905,2.2305,0.13617),(4325,4915,2.2702,0.13432),(4325,4925,2.2695,0.13244),(4325,4935,2.2688,0.13051),(4325,4945,2.2675,0.12857),(4325,4955,2.2659,0.12681),(4325,4965,2.2644,0.12607),(4325,4975,1.8808,0.12532),(4325,4985,1.2024,0.12457),(4325,4995,0.52402,0.12413),(4325,5005,0.30067,0.12369),(4325,5015,0.80073,0.12326),(4325,5025,1.3008,0.12263),(4325,5035,1.7315,0.12195),(4325,5045,1.8976,0.12127),(4325,5055,2.0638,0.12011),(4325,5065,2.2251,0.11865),(4325,5075,2.2241,0.1172),(4325,5085,2.2231,0.11597),(4325,5095,2.2221,0.11505),(4325,5105,1.9352,0.11412),(4325,5115,1.5985,0.11346),(4325,5125,1.2617,0.11354),(4325,5135,1.089,0.11363),(4325,5145,0.99592,0.1137),(4325,5155,0.90284,0.11355),(4325,5165,1.0633,0.11341),(4325,5175,1.4822,0.11326),(4325,5185,1.9012,0.11284),(4325,5195,2.1873,0.11238),(4325,5205,2.187,0.11192),(4325,5215,2.1868,0.11183),(4325,5225,2.1752,0.11188),(4325,5235,2.0935,0.11193),(4325,5245,2.0118,0.11255),(4325,5255,1.9301,0.11365),(4325,5265,1.3538,0.11475),(4325,5275,0.75717,0.11526),(4325,5285,0.16049,0.11476),(4325,5295,0.5481,0.11427),(4325,5305,1.2098,0.11348),(4325,5315,1.8715,0.1115),(4325,5325,2.1336,0.10951),(4325,5335,2.1335,0.10753),(4325,5345,2.1335,0.10578),(4325,5355,2.1331,0.10403),(4325,5365,2.1322,0.10229),(4325,5375,2.1313,0.10215),(4325,5385,2.0081,0.10233),(4325,5395,1.5129,0.1025),(4325,5405,1.0176,0.10281),(4325,5415,0.57443,0.10318),(4325,5425,0.83016,0.10355),(4325,5435,1.0859,0.1016),(4325,5445,1.3416,0.097142),(4325,5455,1.5946,0.092679),(4325,5465,1.8472,0.087969),(4325,5475,2.0998,0.08269),(4325,5485,2.1695,0.07741),(4325,5495,2.1657,0.0725),(4325,5505,2.1619,0.070206),(4325,5515,2.1568,0.067912),(4325,5525,2.1506,0.065618),(4325,5535,2.1443,0.065868),(4325,5545,2.1377,0.066266),(4325,5555,2.1305,0.066663),(4325,5565,2.1232,0.068398),(4325,5575,2.1159,0.070538),(4325,5585,2.1087,0.072678),(4325,5595,2.1015,0.075262),(4325,5605,2.0943,0.078155),(4325,5615,2.0878,0.081049),(4325,5625,2.0813,0.083944),(4325,5635,2.0748,0.086841),(4325,5645,2.069,0.089738),(4325,5655,2.0634,0.092539),(4325,5665,2.0577,0.095026),(4325,5675,2.0526,0.097512),(4325,5685,2.0478,0.099964),(4325,5695,2.043,0.10182),(4325,5705,2.0385,0.10368),(4325,5715,2.0343,0.10553),(4325,5725,2.0301,0.1068),(4325,5735,2.0261,0.10799),(4325,5745,2.0224,0.10918),(4325,5755,2.0187,0.1099),(4325,5765,2.015,0.11041),(4325,5775,2.0116,0.11093),(4325,5785,2.0082,0.11113),(4325,5795,2.0048,0.11103),(4325,5805,2.0014,0.11093),(4325,5815,1.9981,0.11065),(4325,5825,1.9948,0.11002),(4325,5835,1.9914,0.10938),(4325,5845,1.988,0.10868),(4325,5855,1.9846,0.10763),(4325,5865,1.9811,0.10657),(4325,5875,1.9774,0.10552),(4325,5885,1.9738,0.10428),(4325,5895,1.9699,0.10305),(4325,5905,1.9659,0.10181),(4325,5915,1.9618,0.10082),(4325,5925,1.9576,0.09988),(4325,5935,1.9531,0.098944),(4325,5945,1.9487,0.098817),(4325,5955,1.9442,0.099168),(4325,5965,1.94,0.09952),(4325,5975,1.9358,0.10123),(4325,5985,1.9316,0.1046),(4325,5995,1.4767,0.10797),(4325,6005,0.94923,0.11052),(4325,6015,0.42176,0.11086),(4325,6025,0.63921,0.11121),(4325,6035,1.2022,0.11054),(4325,6045,1.7651,0.10018),(4325,6055,2.1435,0.089821),(4325,6065,2.3411,0.079461),(4325,6075,2.5386,0.078111),(4325,6085,2.6648,0.077589),(4325,6095,2.644,0.077068),(4325,6105,2.6232,0.081921),(4325,6115,2.6029,0.088685),(4325,6125,2.5855,0.09545),(4325,6135,2.5682,0.1028),(4325,6145,2.5509,0.11062),(4325,6155,2.5386,0.11844),(4325,6165,2.5265,0.12558),(4325,6175,2.5143,0.13162),(4325,6185,2.5057,0.13766),(4325,6195,2.498,0.1432),(4325,6205,2.4902,0.14672),(4325,6215,2.4844,0.15025),(4325,6225,2.4797,0.15371),(4325,6235,2.4751,0.15485),(4325,6245,2.4713,0.156),(4325,6255,2.4686,0.15714),(4325,6265,2.4659,0.1567),(4325,6275,2.4636,0.15598),(4325,6285,2.4621,0.15527),(4325,6295,2.4607,0.15356),(4325,6305,2.4594,0.15136),(4325,6315,2.4586,0.14916),(4325,6325,2.4578,0.14646),(4325,6335,2.457,0.14325),(4325,6345,2.4566,0.14003),(4325,6355,2.4563,0.13658),(4325,6365,2.456,0.13261),(4325,6375,2.4558,0.12865),(4325,6385,2.4558,0.12461),(4325,6395,2.4557,0.12013),(4325,6405,2.4557,0.11566),(4325,6415,2.4557,0.11119),(4325,6425,2.4558,0.10636),(4325,6435,2.4558,0.10152),(4325,6445,2.4559,0.096675),(4325,6455,2.4561,0.091625),(4325,6465,2.4562,0.086516),(4325,6475,2.4563,0.081408),(4325,6485,2.4564,0.076172),(4325,6495,2.4566,0.07085),(4325,6505,2.4567,0.065529),(4325,6515,2.4568,0.060174),(4325,6525,2.4569,0.054774),(4325,6535,2.457,0.049374),(4325,6545,2.4571,0.043955),(4325,6555,2.4572,0.038481),(4325,6565,2.4573,0.033006),(4325,6575,2.4574,0.027526),(4325,6585,2.4575,0.021966),(4325,6595,2.0904,0.016405),(4325,6605,1.3177,0.010844),(4325,6615,0.54495,0.01017),(4325,6625,0.001758,0.010124),(4325,6635,0.001772,0.010078),(4325,6645,0.001787,0.010049),(4325,6655,0.001801,0.010027),(4325,6665,0.001812,0.010006),(4325,6675,0.001823,0.009985),(4325,6685,0.001834,0.009964),(4325,6695,0.001843,0.009943),(4325,6705,0.001851,0.009923),(4325,6715,0.001859,0.009904),(4325,6725,0.001866,0.009884),(4325,6735,0.001872,0.009865),(4325,6745,0.001878,0.009847),(4325,6755,0.001884,0.009829),(4325,6765,0.001888,0.009811),(4325,6775,0.001893,0.009794),(4325,6785,0.001897,0.009777),(4325,6795,0.0019,0.00976),(4325,6805,0.001903,0.009743),(4325,6815,0.001906,0.009727),(4325,6825,0.001908,0.009711),(4325,6835,0.00191,0.009696),(4325,6845,0.001912,0.009681),(4325,6855,0.001914,0.009666),(4325,6865,0.001915,0.009651),(4325,6875,0.001917,0.009637),(4325,6885,0.001917,0.009623),(4325,6895,0.001918,0.009609),(4325,6905,0.001919,0.009596),(4325,6915,0.00192,0.009582),(4325,6925,0.00192,0.009569),(4325,6935,0.00192,0.009556),(4325,6945,0.00192,0.009544),(4325,6955,0.00192,0.009531),(4325,6965,0.00192,0.009519),(4325,6975,0.00192,0.009507),(4325,6985,0.00192,0.009495),(4335,5,3.4e-05,-0.001756),(4335,15,0.000101,-0.001758),(4335,25,0.000168,-0.001759),(4335,35,0.000236,-0.00176),(4335,45,0.000304,-0.001763),(4335,55,0.000371,-0.001767),(4335,65,0.000439,-0.001771),(4335,75,0.000508,-0.001775),(4335,85,0.000576,-0.001781),(4335,95,0.000644,-0.001788),(4335,105,0.000713,-0.001795),(4335,115,0.000783,-0.001802),(4335,125,0.000853,-0.001811),(4335,135,0.000923,-0.001821),(4335,145,0.000994,-0.001831),(4335,155,0.001066,-0.001841),(4335,165,0.001137,-0.001853),(4335,175,0.001209,-0.001866),(4335,185,0.001283,-0.00188),(4335,195,0.001357,-0.001893),(4335,205,0.001431,-0.001909),(4335,215,0.001505,-0.001925),(4335,225,0.001582,-0.001942),(4335,235,0.001659,-0.001958),(4335,245,0.001737,-0.001978),(4335,255,0.001814,-0.001998),(4335,265,0.001894,-0.002018),(4335,275,0.001976,-0.002039),(4335,285,0.002057,-0.002062),(4335,295,0.002139,-0.002087),(4335,305,0.002224,-0.002112),(4335,315,0.00231,-0.002136),(4335,325,0.002396,-0.002165),(4335,335,0.002482,-0.002194),(4335,345,0.002573,-0.002224),(4335,355,0.002665,-0.002253),(4335,365,0.002757,-0.002288),(4335,375,0.002848,-0.002323),(4335,385,0.002946,-0.002358),(4335,395,0.003045,-0.002393),(4335,405,0.003143,-0.002434),(4335,415,0.003242,-0.002475),(4335,425,0.003347,-0.002517),(4335,435,0.003454,-0.002559),(4335,445,0.00356,-0.002607),(4335,455,0.003667,-0.002657),(4335,465,0.003782,-0.002706),(4335,475,0.003898,-0.002755),(4335,485,0.004014,-0.002813),(4335,495,0.00413,-0.002872),(4335,505,0.004256,-0.00293),(4335,515,0.004383,-0.002989),(4335,525,0.004509,-0.003057),(4335,535,0.004636,-0.003126),(4335,545,0.004776,-0.003195),(4335,555,0.004915,-0.003264),(4335,565,0.005054,-0.003346),(4335,575,0.005194,-0.003427),(4335,585,0.005348,-0.003509),(4335,595,0.005502,-0.003592),(4335,605,0.005656,-0.003689),(4335,615,0.005812,-0.003786),(4335,625,0.005983,-0.003883),(4335,635,0.006154,-0.003983),(4335,645,0.006325,-0.004099),(4335,655,0.006499,-0.004215),(4335,665,0.006691,-0.004331),(4335,675,0.006882,-0.004451),(4335,685,0.007073,-0.00459),(4335,695,0.007269,-0.00473),(4335,705,0.007483,-0.004869),(4335,715,0.007698,-0.005015),(4335,725,0.007913,-0.005183),(4335,735,0.008134,-0.005352),(4335,745,0.008376,-0.005521),(4335,755,0.008618,-0.005699),(4335,765,0.00886,-0.005904),(4335,775,0.00911,-0.00611),(4335,785,0.009384,-0.006315),(4335,795,0.009657,-0.006534),(4335,805,0.009931,-0.006786),(4335,815,0.010215,-0.007038),(4335,825,0.010525,-0.00729),(4335,835,0.010835,-0.007562),(4335,845,0.011144,-0.007874),(4335,855,0.011468,-0.008185),(4335,865,0.011819,-0.008497),(4335,875,0.01217,-0.008838),(4335,885,0.012521,-0.009228),(4335,895,0.012889,-0.009618),(4335,905,0.013286,-0.010008),(4335,915,0.013682,-0.010441),(4335,925,0.014079,-0.010934),(4335,935,0.014496,-0.011427),(4335,945,0.014942,-0.011921),(4335,955,0.015387,-0.012476),(4335,965,0.015832,-0.013106),(4335,975,0.0163,-0.013737),(4335,985,0.016792,-0.014367),(4335,995,0.017285,-0.015089),(4335,1005,0.017778,-0.015904),(4335,1015,0.018289,-0.01672),(4335,1025,0.018819,-0.017535),(4335,1035,0.019348,-0.018483),(4335,1045,0.019878,-0.019549),(4335,1055,0.020411,-0.020614),(4335,1065,0.020948,-0.02168),(4335,1075,0.021485,-0.022937),(4335,1085,0.022022,-0.02434),(4335,1095,0.022524,-0.025743),(4335,1105,0.023002,-0.027146),(4335,1115,0.02348,-0.028822),(4335,1125,0.023957,-0.030673),(4335,1135,0.024313,-0.032524),(4335,1145,0.024596,-0.034375),(4335,1155,0.024879,-0.036595),(4335,1165,0.025162,-0.039015),(4335,1175,0.025143,-0.041435),(4335,1185,0.024974,-0.043855),(4335,1195,0.024806,-0.046717),(4335,1205,0.024637,-0.049778),(4335,1215,0.023835,-0.05284),(4335,1225,0.022772,-0.055902),(4335,1235,0.021709,-0.059337),(4335,1245,0.020645,-0.062912),(4335,1255,0.018433,-0.066488),(4335,1265,0.015832,-0.070063),(4335,1275,0.013231,-0.073536),(4335,1285,0.010629,-0.076979),(4335,1295,0.006357,-0.080422),(4335,1305,0.001631,-0.083864),(4335,1315,-0.003094,-0.085957),(4335,1325,-0.007819,-0.087726),(4335,1335,-0.0139,-0.089496),(4335,1345,-0.020266,-0.091266),(4335,1355,-0.026632,-0.090026),(4335,1365,-0.032998,-0.08824),(4335,1375,-0.03796,-0.086455),(4335,1385,-0.042705,-0.08467),(4335,1395,-0.04745,-0.081395),(4335,1405,-0.052195,-0.07793),(4335,1415,-0.055028,-0.074465),(4335,1425,-0.057664,-0.071),(4335,1435,-0.0603,-0.067406),(4335,1445,-0.062935,-0.063802),(4335,1455,-0.064127,-0.060198),(4335,1465,-0.065236,-0.056595),(4335,1475,-0.066345,-0.053485),(4335,1485,-0.067454,-0.050394),(4335,1495,-0.067691,-0.047302),(4335,1505,-0.067915,-0.044214),(4335,1515,-0.068139,-0.041767),(4335,1525,-0.068352,-0.039319),(4335,1535,-0.068133,-0.036872),(4335,1545,-0.067915,-0.03445),(4335,1555,-0.067696,-0.032578),(4335,1565,-0.067465,-0.030705),(4335,1575,-0.06706,-0.028832),(4335,1585,-0.066655,-0.026998),(4335,1595,-0.06625,-0.025582),(4335,1605,-0.06584,-0.024166),(4335,1615,-0.065383,-0.02275),(4335,1625,-0.064926,-0.021377),(4335,1635,-0.064469,-0.020309),(4335,1645,-0.064014,-0.019241),(4335,1655,-0.063569,-0.018174),(4335,1665,-0.063124,-0.017149),(4335,1675,-0.062679,-0.016345),(4335,1685,-0.062242,-0.015541),(4335,1695,-0.061836,-0.014737),(4335,1705,-0.06143,-0.013974),(4335,1715,-0.061024,-0.013372),(4335,1725,-0.060628,-0.012769),(4335,1735,-0.060268,-0.012167),(4335,1745,-0.059908,-0.011603),(4335,1755,-0.059548,-0.011159),(4335,1765,-0.0592,-0.010715),(4335,1775,-0.058882,-0.010271),(4335,1785,-0.058565,-0.009863),(4335,1795,-0.058248,-0.009548),(4335,1805,-0.057942,-0.009232),(4335,1815,-0.05766,-0.008917),(4335,1825,-0.057378,-0.008637),(4335,1835,-0.057097,-0.008431),(4335,1845,-0.056823,-0.008224),(4335,1855,-0.056566,-0.008018),(4335,1865,-0.056309,-0.007847),(4335,1875,-0.056052,-0.007738),(4335,1885,-0.0558,-0.007629),(4335,1895,-0.055556,-0.00752),(4335,1905,-0.055312,-0.007448),(4335,1915,-0.055067,-0.00743),(4335,1925,-0.054823,-0.007411),(4335,1935,-0.054579,-0.007393),(4335,1945,-0.054335,-0.007415),(4335,1955,-0.054091,-0.007486),(4335,1965,-0.05384,-0.007557),(4335,1975,-0.053581,-0.007628),(4335,1985,-0.053323,-0.007744),(4335,1995,-0.053064,-0.007906),(4335,2005,-0.052791,-0.008069),(4335,2015,-0.052503,-0.008232),(4335,2025,-0.052215,-0.008445),(4335,2035,-0.051927,-0.008704),(4335,2045,-0.051614,-0.008964),(4335,2055,-0.051279,-0.009224),(4335,2065,-0.050944,-0.009542),(4335,2075,-0.050609,-0.009906),(4335,2085,-0.050236,-0.010271),(4335,2095,-0.049836,-0.010635),(4335,2105,-0.049435,-0.011069),(4335,2115,-0.049035,-0.011549),(4335,2125,-0.04858,-0.012029),(4335,2135,-0.048092,-0.012509),(4335,2145,-0.047603,-0.013072),(4335,2155,-0.047115,-0.013681),(4335,2165,-0.046553,-0.01429),(4335,2175,-0.045952,-0.014899),(4335,2185,-0.045351,-0.015605),(4335,2195,-0.04475,-0.016358),(4335,2205,-0.04405,-0.017111),(4335,2215,-0.043308,-0.017865),(4335,2225,-0.042566,-0.018733),(4335,2235,-0.041823,-0.019647),(4335,2245,-0.040952,-0.020561),(4335,2255,-0.040035,-0.021475),(4335,2265,-0.039117,-0.022526),(4335,2275,-0.0382,-0.02362),(4335,2285,-0.037116,-0.024714),(4335,2295,-0.035984,-0.025808),(4335,2305,-0.034852,-0.027061),(4335,2315,-0.03372,-0.028355),(4335,2325,-0.032376,-0.029649),(4335,2335,-0.030985,-0.030943),(4335,2345,-0.029593,-0.032422),(4335,2355,-0.028202,-0.033936),(4335,2365,-0.026543,-0.03545),(4335,2375,-0.02484,-0.036964),(4335,2385,-0.023137,-0.038688),(4335,2395,-0.021434,-0.040441),(4335,2405,-0.019399,-0.042195),(4335,2415,-0.017326,-0.043948),(4335,2425,-0.015253,-0.045936),(4335,2435,-0.01318,-0.047945),(4335,2445,-0.010699,-0.049954),(4335,2455,-0.008191,-0.051963),(4335,2465,-0.005682,-0.054227),(4335,2475,-0.003174,-0.056503),(4335,2485,-0.000171,-0.05878),(4335,2495,0.002844,-0.061056),(4335,2505,0.005858,-0.063601),(4335,2515,0.008882,-0.066148),(4335,2525,0.012478,-0.068695),(4335,2535,0.016074,-0.07125),(4335,2545,0.01967,-0.074059),(4335,2555,0.023302,-0.076869),(4335,2565,0.027554,-0.079678),(4335,2575,0.031807,-0.082505),(4335,2585,0.03606,-0.085553),(4335,2595,0.040382,-0.088602),(4335,2605,0.045365,-0.091651),(4335,2615,0.050348,-0.094723),(4335,2625,0.055331,-0.097972),(4335,2635,0.06042,-0.10122),(4335,2645,0.066198,-0.10447),(4335,2655,0.071975,-0.10774),(4335,2665,0.077753,-0.11114),(4335,2675,0.083678,-0.11453),(4335,2685,0.090301,-0.11792),(4335,2695,0.096925,-0.12133),(4335,2705,0.10355,-0.12479),(4335,2715,0.11036,-0.12826),(4335,2725,0.11786,-0.13172),(4335,2735,0.12536,-0.13518),(4335,2745,0.13286,-0.13863),(4335,2755,0.14058,-0.14208),(4335,2765,0.14896,-0.14553),(4335,2775,0.15734,-0.14895),(4335,2785,0.16572,-0.1523),(4335,2795,0.17435,-0.15564),(4335,2805,0.18359,-0.15899),(4335,2815,0.19284,-0.16227),(4335,2825,0.20208,-0.16541),(4335,2835,0.21159,-0.16856),(4335,2845,0.22164,-0.17171),(4335,2855,0.23169,-0.17475),(4335,2865,0.24175,-0.17761),(4335,2875,0.25208,-0.18048),(4335,2885,0.26287,-0.18334),(4335,2895,0.27366,-0.18606),(4335,2905,0.28446,-0.18856),(4335,2915,0.29552,-0.19107),(4335,2925,0.30697,-0.19357),(4335,2935,0.31841,-0.19589),(4335,2945,0.32986,-0.19797),(4335,2955,0.34156,-0.20005),(4335,2965,0.35355,-0.20213),(4335,2975,0.36555,-0.20399),(4335,2985,0.37755,-0.20559),(4335,2995,0.38976,-0.2072),(4335,3005,0.40219,-0.2088),(4335,3015,0.41463,-0.21015),(4335,3025,0.42706,-0.21124),(4335,3035,0.43967,-0.21232),(4335,3045,0.45242,-0.21341),(4335,3055,0.46518,-0.2142),(4335,3065,0.47793,-0.21473),(4335,3075,0.4908,-0.21527),(4335,3085,0.50374,-0.2158),(4335,3095,0.51669,-0.216),(4335,3105,0.52964,-0.21595),(4335,3115,0.54263,-0.2159),(4335,3125,0.55564,-0.21585),(4335,3135,0.56865,-0.21541),(4335,3145,0.58167,-0.21475),(4335,3155,0.59463,-0.21408),(4335,3165,0.60757,-0.21342),(4335,3175,0.6205,-0.21232),(4335,3185,0.63344,-0.21101),(4335,3195,0.64622,-0.2097),(4335,3205,0.65894,-0.20839),(4335,3215,0.67165,-0.20661),(4335,3225,0.68436,-0.20462),(4335,3235,0.6968,-0.20263),(4335,3245,0.70913,-0.20065),(4335,3255,0.72146,-0.19814),(4335,3265,0.73379,-0.19545),(4335,3275,0.74569,-0.19275),(4335,3285,0.75746,-0.19006),(4335,3295,0.76924,-0.1868),(4335,3305,0.78101,-0.18338),(4335,3315,0.79219,-0.17996),(4335,3325,0.80322,-0.17654),(4335,3335,0.81425,-0.1725),(4335,3345,0.82528,-0.16834),(4335,3355,0.83552,-0.16417),(4335,3365,0.84561,-0.16001),(4335,3375,0.8557,-0.15519),(4335,3385,0.86578,-0.15028),(4335,3395,0.87485,-0.14537),(4335,3405,0.88379,-0.14046),(4335,3415,0.89273,-0.13488),(4335,3425,0.90166,-0.12924),(4335,3435,0.90933,-0.1236),(4335,3445,0.9169,-0.11796),(4335,3455,0.92447,-0.11168),(4335,3465,0.93204,-0.10536),(4335,3475,0.93808,-0.099035),(4335,3485,0.94407,-0.092714),(4335,3495,0.95006,-0.085804),(4335,3505,0.95604,-0.078885),(4335,3515,0.96026,-0.071967),(4335,3525,0.96447,-0.065037),(4335,3535,0.96869,-0.057641),(4335,3545,0.97282,-0.050245),(4335,3555,0.9751,-0.042849),(4335,3565,0.97738,-0.035433),(4335,3575,0.97966,-0.027716),(4335,3585,0.98177,-0.019999),(4335,3595,0.982,-0.012283),(4335,3605,0.98223,-0.004551),(4335,3615,0.98246,0.003303),(4335,3625,0.98243,0.011157),(4335,3635,0.98055,0.019012),(4335,3645,0.97867,0.026858),(4335,3655,0.97679,0.034652),(4335,3665,0.97457,0.042447),(4335,3675,0.97059,0.050242),(4335,3685,0.96661,0.05799),(4335,3695,0.96263,0.065532),(4335,3705,0.95823,0.073074),(4335,3715,0.95221,0.080616),(4335,3725,0.94619,0.088062),(4335,3735,0.94017,0.095178),(4335,3745,0.93368,0.10229),(4335,3755,0.92572,0.10941),(4335,3765,0.91776,0.11637),(4335,3775,0.9098,0.12292),(4335,3785,0.90133,0.12947),(4335,3795,0.89155,0.13602),(4335,3805,0.88177,0.14236),(4335,3815,0.87199,0.14825),(4335,3825,0.86167,0.15413),(4335,3835,0.85017,0.16001),(4335,3845,0.83868,0.16565),(4335,3855,0.82719,0.17082),(4335,3865,0.81509,0.17599),(4335,3875,0.80194,0.18117),(4335,3885,0.78879,0.18609),(4335,3895,0.77564,0.19062),(4335,3905,0.76182,0.19515),(4335,3915,0.747,0.19967),(4335,3925,0.73218,0.20404),(4335,3935,0.71736,0.20818),(4335,3945,0.7018,0.21233),(4335,3955,0.68531,0.21647),(4335,3965,0.66882,0.22074),(4335,3975,0.65233,0.22514),(4335,3985,0.63521,0.22955),(4335,3995,0.61741,0.23396),(4335,4005,0.59961,0.23895),(4335,4015,0.5818,0.24454),(4335,4025,0.95663,0.25012),(4335,4035,1.3699,0.25414),(4335,4045,1.7831,0.25486),(4335,4055,2.0792,0.25557),(4335,4065,2.3326,0.25563),(4335,4075,2.586,0.25174),(4335,4085,2.6966,0.24784),(4335,4095,2.6927,0.24395),(4335,4105,2.6887,0.23982),(4335,4115,2.5879,0.23568),(4335,4125,2.3267,0.23154),(4335,4135,2.0655,0.23084),(4335,4145,1.8016,0.23107),(4335,4155,1.5266,0.2313),(4335,4165,1.2517,0.23334),(4335,4175,0.99235,0.23656),(4335,4185,1.5056,0.23977),(4335,4195,2.0189,0.23953),(4335,4205,2.5322,0.23472),(4335,4215,2.6109,0.22991),(4335,4225,2.6077,0.22503),(4335,4235,2.6046,0.21994),(4335,4245,2.6006,0.21484),(4335,4255,2.5961,0.20981),(4335,4265,2.5917,0.20558),(4335,4275,2.2541,0.20135),(4335,4285,1.5631,0.19711),(4335,4295,0.8721,0.20053),(4335,4305,0.57335,0.20483),(4335,4315,1.1603,0.20913),(4335,4325,1.7473,0.20884),(4335,4335,2.2691,0.20673),(4335,4345,2.3504,0.20463),(4335,4355,2.4317,0.20153),(4335,4365,2.5129,0.19759),(4335,4375,2.5135,0.19364),(4335,4385,2.5098,0.1898),(4335,4395,2.5061,0.18613),(4335,4405,2.1721,0.18247),(4335,4415,1.7407,0.17975),(4335,4425,1.3093,0.18124),(4335,4435,1.1251,0.18273),(4335,4445,1.1097,0.18422),(4335,4455,1.0944,0.18549),(4335,4465,1.2625,0.18677),(4335,4475,1.6885,0.18804),(4335,4485,2.1144,0.18582),(4335,4495,2.4386,0.18286),(4335,4505,2.4365,0.1799),(4335,4515,2.4343,0.17701),(4335,4525,2.4272,0.17415),(4335,4535,2.3407,0.17128),(4335,4545,2.2543,0.16926),(4335,4555,2.1678,0.16818),(4335,4565,1.6173,0.1671),(4335,4575,1.0043,0.16679),(4335,4585,0.39121,0.16836),(4335,4595,0.6863,0.16992),(4335,4605,1.3651,0.17094),(4335,4615,2.0439,0.1678),(4335,4625,2.3659,0.16466),(4335,4635,2.3649,0.16151),(4335,4645,2.3638,0.15763),(4335,4655,2.3623,0.15369),(4335,4665,2.3598,0.14976),(4335,4675,2.3574,0.14635),(4335,4685,2.2695,0.14311),(4335,4695,1.7591,0.13987),(4335,4705,1.2488,0.13888),(4335,4715,0.73848,0.13952),(4335,4725,0.97384,0.14016),(4335,4735,1.2167,0.14045),(4335,4745,1.4595,0.14019),(4335,4755,1.7098,0.13993),(4335,4765,1.9618,0.1393),(4335,4775,2.2138,0.13734),(4335,4785,2.3051,0.13538),(4335,4795,2.3036,0.13344),(4335,4805,2.302,0.13185),(4335,4815,2.1854,0.13025),(4335,4825,1.9312,0.12866),(4335,4835,1.6771,0.12867),(4335,4845,1.4201,0.12892),(4335,4855,1.1559,0.12917),(4335,4865,0.89173,0.12916),(4335,4875,0.70393,0.12903),(4335,4885,1.2113,0.1289),(4335,4895,1.7187,0.12787),(4335,4905,2.226,0.12598),(4335,4915,2.2656,0.12409),(4335,4925,2.2649,0.12218),(4335,4935,2.2643,0.12026),(4335,4945,2.2625,0.11834),(4335,4955,2.2603,0.11666),(4335,4965,2.2582,0.11633),(4335,4975,1.8756,0.11599),(4335,4985,1.1993,0.11566),(4335,4995,0.52304,0.1151),(4335,5005,0.30042,0.11455),(4335,5015,0.799,0.11399),(4335,5025,1.2976,0.11343),(4335,5035,1.727,0.11286),(4335,5045,1.8931,0.1123),(4335,5055,2.0591,0.11112),(4335,5065,2.2202,0.10957),(4335,5075,2.219,0.10802),(4335,5085,2.2178,0.10679),(4335,5095,2.2165,0.10594),(4335,5105,1.93,0.10509),(4335,5115,1.5937,0.10458),(4335,5125,1.2575,0.10501),(4335,5135,1.0853,0.10544),(4335,5145,0.99278,0.10582),(4335,5155,0.90025,0.10563),(4335,5165,1.0604,0.10545),(4335,5175,1.4784,0.10526),(4335,5185,1.8963,0.10461),(4335,5195,2.1817,0.10391),(4335,5205,2.181,0.10321),(4335,5215,2.1804,0.10315),(4335,5225,2.1685,0.10334),(4335,5235,2.0864,0.10352),(4335,5245,2.0043,0.10466),(4335,5255,1.9222,0.10657),(4335,5265,1.3484,0.10849),(4335,5275,0.75447,0.10946),(4335,5285,0.16048,0.10884),(4335,5295,0.54766,0.10821),(4335,5305,1.2081,0.10724),(4335,5315,1.8685,0.10482),(4335,5325,2.1299,0.10239),(4335,5335,2.1296,0.099972),(4335,5345,2.1294,0.097997),(4335,5355,2.1285,0.096021),(4335,5365,2.1266,0.094045),(4335,5375,2.1248,0.094265),(4335,5385,2.0012,0.094913),(4335,5395,1.5073,0.095561),(4335,5405,1.0135,0.096301),(4335,5415,0.57173,0.097087),(4335,5425,0.82869,0.097874),(4335,5435,1.0856,0.096111),(4335,5445,1.3426,0.091588),(4335,5455,1.595,0.087066),(4335,5465,1.8469,0.082474),(4335,5475,2.0988,0.077721),(4335,5485,2.1676,0.072968),(4335,5495,2.1626,0.068641),(4335,5505,2.1576,0.067327),(4335,5515,2.1515,0.066013),(4335,5525,2.1444,0.064699),(4335,5535,2.1372,0.065985),(4335,5545,2.1299,0.067421),(4335,5555,2.1222,0.068856),(4335,5565,2.1144,0.07146),(4335,5575,2.1068,0.074417),(4335,5585,2.0995,0.077375),(4335,5595,2.0922,0.080597),(4335,5605,2.0849,0.084003),(4335,5615,2.0785,0.087409),(4335,5625,2.0721,0.090706),(4335,5635,2.0657,0.093847),(4335,5645,2.0601,0.096988),(4335,5655,2.0547,0.09999),(4335,5665,2.0493,0.10253),(4335,5675,2.0444,0.10508),(4335,5685,2.0398,0.10758),(4335,5695,2.0353,0.10939),(4335,5705,2.031,0.11119),(4335,5715,2.027,0.113),(4335,5725,2.0231,0.11416),(4335,5735,2.0193,0.11523),(4335,5745,2.0158,0.1163),(4335,5755,2.0124,0.11687),(4335,5765,2.0089,0.11723),(4335,5775,2.0057,0.11759),(4335,5785,2.0025,0.1176),(4335,5795,1.9993,0.1173),(4335,5805,1.9962,0.117),(4335,5815,1.993,0.1165),(4335,5825,1.9899,0.11559),(4335,5835,1.9867,0.11469),(4335,5845,1.9835,0.1137),(4335,5855,1.9803,0.11225),(4335,5865,1.9769,0.11081),(4335,5875,1.9734,0.10936),(4335,5885,1.9699,0.10755),(4335,5895,1.9661,0.10574),(4335,5905,1.962,0.10393),(4335,5915,1.9579,0.10218),(4335,5925,1.9537,0.10044),(4335,5935,1.9488,0.098699),(4335,5945,1.9439,0.097712),(4335,5955,1.939,0.097169),(4335,5965,1.9336,0.096626),(4335,5975,1.9281,0.097704),(4335,5985,1.9226,0.10076),(4335,5995,1.4696,0.10381),(4335,6005,0.94458,0.10617),(4335,6015,0.41953,0.10666),(4335,6025,0.63994,0.10715),(4335,6035,1.2061,0.10662),(4335,6045,1.7722,0.096237),(4335,6055,2.1496,0.085855),(4335,6065,2.3419,0.075472),(4335,6075,2.5342,0.076936),(4335,6085,2.6561,0.079489),(4335,6095,2.6329,0.082043),(4335,6105,2.6097,0.089881),(4335,6115,2.5874,0.099598),(4335,6125,2.5703,0.10932),(4335,6135,2.5532,0.11882),(4335,6145,2.5361,0.12816),(4335,6155,2.5249,0.1375),(4335,6165,2.5139,0.14568),(4335,6175,2.5029,0.152),(4335,6185,2.4953,0.15832),(4335,6195,2.4887,0.16398),(4335,6205,2.4821,0.16706),(4335,6215,2.4772,0.17015),(4335,6225,2.4734,0.17317),(4335,6235,2.4696,0.17357),(4335,6245,2.4666,0.17396),(4335,6255,2.4645,0.17436),(4335,6265,2.4624,0.17312),(4335,6275,2.4606,0.17158),(4335,6285,2.4596,0.17004),(4335,6295,2.4586,0.16757),(4335,6305,2.4576,0.16464),(4335,6315,2.4571,0.16171),(4335,6325,2.4566,0.1583),(4335,6335,2.4561,0.15439),(4335,6345,2.4559,0.15049),(4335,6355,2.4558,0.14638),(4335,6365,2.4556,0.14182),(4335,6375,2.4556,0.13726),(4335,6385,2.4557,0.13264),(4335,6395,2.4557,0.12765),(4335,6405,2.4558,0.12266),(4335,6415,2.4559,0.11768),(4335,6425,2.456,0.11241),(4335,6435,2.4562,0.10713),(4335,6445,2.4563,0.10185),(4335,6455,2.4565,0.096401),(4335,6465,2.4567,0.090911),(4335,6475,2.4568,0.08542),(4335,6485,2.457,0.079825),(4335,6495,2.4572,0.07416),(4335,6505,2.4573,0.068495),(4335,6515,2.4574,0.062811),(4335,6525,2.4576,0.057101),(4335,6535,2.4577,0.051391),(4335,6545,2.4578,0.045666),(4335,6555,2.4579,0.039896),(4335,6565,2.458,0.034126),(4335,6575,2.4581,0.028352),(4335,6585,2.4582,0.02253),(4335,6595,2.091,0.016709),(4335,6605,1.318,0.010887),(4335,6615,0.54512,0.010184),(4335,6625,0.001779,0.010138),(4335,6635,0.001793,0.010092),(4335,6645,0.001807,0.010063),(4335,6655,0.00182,0.01004),(4335,6665,0.001831,0.010017),(4335,6675,0.001841,0.009995),(4335,6685,0.001852,0.009974),(4335,6695,0.00186,0.009952),(4335,6705,0.001868,0.009931),(4335,6715,0.001875,0.009911),(4335,6725,0.001882,0.009891),(4335,6735,0.001888,0.009871),(4335,6745,0.001893,0.009853),(4335,6755,0.001898,0.009834),(4335,6765,0.001902,0.009815),(4335,6775,0.001906,0.009798),(4335,6785,0.00191,0.00978),(4335,6795,0.001912,0.009763),(4335,6805,0.001915,0.009746),(4335,6815,0.001918,0.00973),(4335,6825,0.00192,0.009714),(4335,6835,0.001922,0.009698),(4335,6845,0.001923,0.009683),(4335,6855,0.001924,0.009667),(4335,6865,0.001926,0.009652),(4335,6875,0.001927,0.009638),(4335,6885,0.001927,0.009624),(4335,6895,0.001928,0.00961),(4335,6905,0.001928,0.009596),(4335,6915,0.001929,0.009583),(4335,6925,0.001929,0.009569),(4335,6935,0.001929,0.009557),(4335,6945,0.001929,0.009544),(4335,6955,0.001929,0.009531),(4335,6965,0.001928,0.009519),(4335,6975,0.001928,0.009507),(4335,6985,0.001928,0.009495),(4345,5,3.4e-05,-0.001689),(4345,15,0.000102,-0.00169),(4345,25,0.00017,-0.001692),(4345,35,0.000238,-0.001693),(4345,45,0.000306,-0.001696),(4345,55,0.000374,-0.0017),(4345,65,0.000442,-0.001704),(4345,75,0.000511,-0.001708),(4345,85,0.00058,-0.001713),(4345,95,0.000649,-0.00172),(4345,105,0.000718,-0.001726),(4345,115,0.000789,-0.001733),(4345,125,0.000859,-0.001741),(4345,135,0.000929,-0.001751),(4345,145,0.001001,-0.00176),(4345,155,0.001073,-0.001769),(4345,165,0.001145,-0.001781),(4345,175,0.001218,-0.001794),(4345,185,0.001292,-0.001806),(4345,195,0.001367,-0.001819),(4345,205,0.001442,-0.001834),(4345,215,0.001516,-0.00185),(4345,225,0.001594,-0.001866),(4345,235,0.001672,-0.001882),(4345,245,0.00175,-0.0019),(4345,255,0.001828,-0.001919),(4345,265,0.001909,-0.001939),(4345,275,0.001991,-0.001958),(4345,285,0.002073,-0.001981),(4345,295,0.002155,-0.002004),(4345,305,0.002241,-0.002028),(4345,315,0.002328,-0.002051),(4345,325,0.002415,-0.002078),(4345,335,0.002502,-0.002106),(4345,345,0.002594,-0.002135),(4345,355,0.002687,-0.002163),(4345,365,0.00278,-0.002195),(4345,375,0.002873,-0.002229),(4345,385,0.002972,-0.002262),(4345,395,0.003072,-0.002296),(4345,405,0.003171,-0.002335),(4345,415,0.003271,-0.002374),(4345,425,0.003378,-0.002414),(4345,435,0.003486,-0.002453),(4345,445,0.003594,-0.0025),(4345,455,0.003702,-0.002547),(4345,465,0.003819,-0.002594),(4345,475,0.003937,-0.002641),(4345,485,0.004055,-0.002697),(4345,495,0.004172,-0.002752),(4345,505,0.004301,-0.002808),(4345,515,0.00443,-0.002864),(4345,525,0.004559,-0.002929),(4345,535,0.004688,-0.002995),(4345,545,0.00483,-0.003061),(4345,555,0.004972,-0.003127),(4345,565,0.005113,-0.003205),(4345,575,0.005256,-0.003283),(4345,585,0.005414,-0.003361),(4345,595,0.005571,-0.00344),(4345,605,0.005728,-0.003533),(4345,615,0.005887,-0.003626),(4345,625,0.006063,-0.003719),(4345,635,0.006238,-0.003814),(4345,645,0.006413,-0.003926),(4345,655,0.006591,-0.004037),(4345,665,0.006788,-0.004148),(4345,675,0.006984,-0.004263),(4345,685,0.007181,-0.004397),(4345,695,0.007382,-0.00453),(4345,705,0.007603,-0.004664),(4345,715,0.007824,-0.004804),(4345,725,0.008045,-0.004966),(4345,735,0.008273,-0.005129),(4345,745,0.008523,-0.005291),(4345,755,0.008773,-0.005462),(4345,765,0.009024,-0.00566),(4345,775,0.009283,-0.005858),(4345,785,0.009567,-0.006056),(4345,795,0.009851,-0.006267),(4345,805,0.010135,-0.006511),(4345,815,0.010432,-0.006754),(4345,825,0.010755,-0.006998),(4345,835,0.011079,-0.007261),(4345,845,0.011402,-0.007563),(4345,855,0.011742,-0.007866),(4345,865,0.012111,-0.008168),(4345,875,0.01248,-0.008499),(4345,885,0.012849,-0.008879),(4345,895,0.013239,-0.009259),(4345,905,0.01366,-0.009639),(4345,915,0.014081,-0.010061),(4345,925,0.014503,-0.010544),(4345,935,0.014949,-0.011027),(4345,945,0.015427,-0.011509),(4345,955,0.015906,-0.012055),(4345,965,0.016385,-0.012676),(4345,975,0.016892,-0.013297),(4345,985,0.01743,-0.013918),(4345,995,0.017969,-0.014632),(4345,1005,0.018507,-0.015442),(4345,1015,0.019074,-0.016252),(4345,1025,0.019667,-0.017062),(4345,1035,0.02026,-0.018009),(4345,1045,0.020854,-0.019078),(4345,1055,0.021465,-0.020147),(4345,1065,0.02209,-0.021216),(4345,1075,0.022715,-0.022488),(4345,1085,0.02334,-0.023912),(4345,1095,0.02395,-0.025337),(4345,1105,0.024549,-0.026762),(4345,1115,0.025148,-0.028481),(4345,1125,0.025746,-0.03039),(4345,1135,0.026247,-0.032298),(4345,1145,0.026689,-0.034207),(4345,1155,0.027131,-0.036525),(4345,1165,0.027574,-0.039066),(4345,1175,0.027734,-0.041606),(4345,1185,0.027755,-0.044146),(4345,1195,0.027775,-0.047198),(4345,1205,0.027796,-0.050481),(4345,1215,0.027168,-0.053764),(4345,1225,0.026273,-0.057047),(4345,1235,0.025377,-0.060798),(4345,1245,0.024482,-0.064726),(4345,1255,0.02231,-0.068653),(4345,1265,0.019706,-0.07258),(4345,1275,0.017103,-0.076473),(4345,1285,0.014499,-0.080356),(4345,1295,0.00987,-0.084239),(4345,1305,0.004693,-0.088122),(4345,1315,-0.000484,-0.090532),(4345,1325,-0.005661,-0.092591),(4345,1335,-0.012681,-0.094649),(4345,1345,-0.020086,-0.096707),(4345,1355,-0.027492,-0.095271),(4345,1365,-0.034898,-0.093202),(4345,1375,-0.04039,-0.091133),(4345,1385,-0.045588,-0.089064),(4345,1395,-0.050785,-0.085371),(4345,1405,-0.055982,-0.081469),(4345,1415,-0.05886,-0.077568),(4345,1425,-0.061498,-0.073666),(4345,1435,-0.064135,-0.069717),(4345,1445,-0.066773,-0.065764),(4345,1455,-0.067805,-0.061812),(4345,1465,-0.068745,-0.057859),(4345,1475,-0.069684,-0.054526),(4345,1485,-0.070624,-0.051216),(4345,1495,-0.07067,-0.047906),(4345,1505,-0.070703,-0.0446),(4345,1515,-0.070735,-0.042034),(4345,1525,-0.070758,-0.039469),(4345,1535,-0.070377,-0.036903),(4345,1545,-0.069996,-0.034366),(4345,1555,-0.069616,-0.032438),(4345,1565,-0.069226,-0.03051),(4345,1575,-0.068697,-0.028582),(4345,1585,-0.068168,-0.026696),(4345,1595,-0.067639,-0.02526),(4345,1605,-0.067108,-0.023824),(4345,1615,-0.06656,-0.022388),(4345,1625,-0.066011,-0.020997),(4345,1635,-0.065462,-0.019927),(4345,1645,-0.064919,-0.018858),(4345,1655,-0.064407,-0.017788),(4345,1665,-0.063894,-0.016763),(4345,1675,-0.063382,-0.015965),(4345,1685,-0.06288,-0.015167),(4345,1695,-0.062424,-0.014369),(4345,1705,-0.061967,-0.013613),(4345,1715,-0.061511,-0.013019),(4345,1725,-0.061067,-0.012426),(4345,1735,-0.060668,-0.011833),(4345,1745,-0.060269,-0.011278),(4345,1755,-0.05987,-0.010844),(4345,1765,-0.059484,-0.010409),(4345,1775,-0.059136,-0.009974),(4345,1785,-0.058788,-0.009575),(4345,1795,-0.05844,-0.009267),(4345,1805,-0.058104,-0.00896),(4345,1815,-0.057796,-0.008652),(4345,1825,-0.057488,-0.008379),(4345,1835,-0.05718,-0.008178),(4345,1845,-0.056882,-0.007977),(4345,1855,-0.056602,-0.007777),(4345,1865,-0.056322,-0.00761),(4345,1875,-0.056042,-0.007504),(4345,1885,-0.055768,-0.007398),(4345,1895,-0.055502,-0.007292),(4345,1905,-0.055237,-0.007221),(4345,1915,-0.054971,-0.007203),(4345,1925,-0.054706,-0.007185),(4345,1935,-0.054441,-0.007167),(4345,1945,-0.054176,-0.007187),(4345,1955,-0.053911,-0.007254),(4345,1965,-0.053639,-0.007322),(4345,1975,-0.05336,-0.00739),(4345,1985,-0.05308,-0.0075),(4345,1995,-0.0528,-0.007655),(4345,2005,-0.052506,-0.007811),(4345,2015,-0.052195,-0.007966),(4345,2025,-0.051885,-0.00817),(4345,2035,-0.051575,-0.008418),(4345,2045,-0.051238,-0.008666),(4345,2055,-0.050879,-0.008914),(4345,2065,-0.050521,-0.009218),(4345,2075,-0.050162,-0.009567),(4345,2085,-0.049764,-0.009915),(4345,2095,-0.049337,-0.010263),(4345,2105,-0.04891,-0.010677),(4345,2115,-0.048483,-0.011136),(4345,2125,-0.048,-0.011595),(4345,2135,-0.047483,-0.012053),(4345,2145,-0.046966,-0.01259),(4345,2155,-0.046448,-0.013172),(4345,2165,-0.045855,-0.013753),(4345,2175,-0.045222,-0.014334),(4345,2185,-0.044588,-0.015008),(4345,2195,-0.043955,-0.015726),(4345,2205,-0.043221,-0.016444),(4345,2215,-0.042443,-0.017162),(4345,2225,-0.041664,-0.01799),(4345,2235,-0.040886,-0.018861),(4345,2245,-0.039976,-0.019731),(4345,2255,-0.039019,-0.020602),(4345,2265,-0.038062,-0.021602),(4345,2275,-0.037105,-0.022642),(4345,2285,-0.035978,-0.023683),(4345,2295,-0.034802,-0.024724),(4345,2305,-0.033627,-0.025915),(4345,2315,-0.032452,-0.027144),(4345,2325,-0.031061,-0.028373),(4345,2335,-0.029622,-0.029603),(4345,2345,-0.028183,-0.031005),(4345,2355,-0.026744,-0.032441),(4345,2365,-0.025035,-0.033878),(4345,2375,-0.023282,-0.035314),(4345,2385,-0.021528,-0.036947),(4345,2395,-0.019774,-0.038607),(4345,2405,-0.017686,-0.040268),(4345,2415,-0.015559,-0.041928),(4345,2425,-0.013432,-0.043807),(4345,2435,-0.011306,-0.045707),(4345,2445,-0.00877,-0.047606),(4345,2455,-0.006207,-0.049506),(4345,2465,-0.003643,-0.051643),(4345,2475,-0.00108,-0.053791),(4345,2485,0.001977,-0.055939),(4345,2495,0.005046,-0.058087),(4345,2505,0.008115,-0.060486),(4345,2515,0.011193,-0.062885),(4345,2525,0.01484,-0.065284),(4345,2535,0.018487,-0.067692),(4345,2545,0.022133,-0.070334),(4345,2555,0.025816,-0.072975),(4345,2565,0.030113,-0.075617),(4345,2575,0.03441,-0.078275),(4345,2585,0.038707,-0.081138),(4345,2595,0.043072,-0.084),(4345,2605,0.048089,-0.086862),(4345,2615,0.053105,-0.089745),(4345,2625,0.058122,-0.092791),(4345,2635,0.063243,-0.095836),(4345,2645,0.06904,-0.098882),(4345,2655,0.074837,-0.10195),(4345,2665,0.080634,-0.10512),(4345,2675,0.086574,-0.1083),(4345,2685,0.093198,-0.11148),(4345,2695,0.099822,-0.11466),(4345,2705,0.10645,-0.1179),(4345,2715,0.11325,-0.12114),(4345,2725,0.12073,-0.12438),(4345,2735,0.12821,-0.12761),(4345,2745,0.13569,-0.13084),(4345,2755,0.14338,-0.13406),(4345,2765,0.15172,-0.13728),(4345,2775,0.16006,-0.14048),(4345,2785,0.1684,-0.1436),(4345,2795,0.17698,-0.14672),(4345,2805,0.18616,-0.14984),(4345,2815,0.19533,-0.15291),(4345,2825,0.20451,-0.15584),(4345,2835,0.21394,-0.15878),(4345,2845,0.22391,-0.16171),(4345,2855,0.23387,-0.16456),(4345,2865,0.24384,-0.16723),(4345,2875,0.25407,-0.1699),(4345,2885,0.26476,-0.17257),(4345,2895,0.27545,-0.17511),(4345,2905,0.28614,-0.17744),(4345,2915,0.29709,-0.17978),(4345,2925,0.30841,-0.18211),(4345,2935,0.31974,-0.18428),(4345,2945,0.33106,-0.18622),(4345,2955,0.34263,-0.18815),(4345,2965,0.35449,-0.19009),(4345,2975,0.36635,-0.19182),(4345,2985,0.37821,-0.19332),(4345,2995,0.39028,-0.19481),(4345,3005,0.40257,-0.1963),(4345,3015,0.41486,-0.19755),(4345,3025,0.42715,-0.19855),(4345,3035,0.4396,-0.19956),(4345,3045,0.4522,-0.20056),(4345,3055,0.4648,-0.20128),(4345,3065,0.4774,-0.20177),(4345,3075,0.4901,-0.20225),(4345,3085,0.50289,-0.20274),(4345,3095,0.51568,-0.2029),(4345,3105,0.52846,-0.20283),(4345,3115,0.54128,-0.20277),(4345,3125,0.55413,-0.2027),(4345,3135,0.56697,-0.20227),(4345,3145,0.57981,-0.20162),(4345,3155,0.5926,-0.20098),(4345,3165,0.60536,-0.20033),(4345,3175,0.61812,-0.19928),(4345,3185,0.63088,-0.19802),(4345,3195,0.64349,-0.19677),(4345,3205,0.65602,-0.19551),(4345,3215,0.66855,-0.19381),(4345,3225,0.68108,-0.19192),(4345,3235,0.69333,-0.19003),(4345,3245,0.70548,-0.18814),(4345,3255,0.71762,-0.18575),(4345,3265,0.72976,-0.1832),(4345,3275,0.74148,-0.18065),(4345,3285,0.75306,-0.1781),(4345,3295,0.76464,-0.17501),(4345,3305,0.77623,-0.17178),(4345,3315,0.78721,-0.16855),(4345,3325,0.79805,-0.16531),(4345,3335,0.80889,-0.16151),(4345,3345,0.81973,-0.15758),(4345,3355,0.82978,-0.15365),(4345,3365,0.83968,-0.14973),(4345,3375,0.84958,-0.1452),(4345,3385,0.85948,-0.14058),(4345,3395,0.86837,-0.13596),(4345,3405,0.87712,-0.13134),(4345,3415,0.88588,-0.12611),(4345,3425,0.89463,-0.12082),(4345,3435,0.90213,-0.11552),(4345,3445,0.90953,-0.11023),(4345,3455,0.91694,-0.10435),(4345,3465,0.92434,-0.098431),(4345,3475,0.93024,-0.092513),(4345,3485,0.93608,-0.086596),(4345,3495,0.94192,-0.080139),(4345,3505,0.94776,-0.073675),(4345,3515,0.95186,-0.067211),(4345,3525,0.95596,-0.060736),(4345,3535,0.96007,-0.053837),(4345,3545,0.96408,-0.046939),(4345,3555,0.96629,-0.04004),(4345,3565,0.96849,-0.033123),(4345,3575,0.9707,-0.025933),(4345,3585,0.97274,-0.018744),(4345,3595,0.97294,-0.011555),(4345,3605,0.97314,-0.004353),(4345,3615,0.97334,0.002959),(4345,3625,0.97328,0.010271),(4345,3635,0.97142,0.017582),(4345,3645,0.96956,0.024886),(4345,3655,0.9677,0.032139),(4345,3665,0.96551,0.039393),(4345,3675,0.96159,0.046647),(4345,3685,0.95768,0.053857),(4345,3695,0.95376,0.060874),(4345,3705,0.94945,0.067891),(4345,3715,0.94353,0.074908),(4345,3725,0.93762,0.081836),(4345,3735,0.93171,0.088454),(4345,3745,0.92534,0.095072),(4345,3755,0.91753,0.10169),(4345,3765,0.90972,0.10817),(4345,3775,0.90191,0.11425),(4345,3785,0.8936,0.12033),(4345,3795,0.884,0.12641),(4345,3805,0.8744,0.1323),(4345,3815,0.8648,0.13775),(4345,3825,0.85465,0.14319),(4345,3835,0.84335,0.14864),(4345,3845,0.83206,0.15385),(4345,3855,0.82076,0.1586),(4345,3865,0.80886,0.16336),(4345,3875,0.79589,0.16811),(4345,3885,0.78292,0.17263),(4345,3895,0.76996,0.17675),(4345,3905,0.7563,0.18087),(4345,3915,0.7416,0.18499),(4345,3925,0.7269,0.18896),(4345,3935,0.7122,0.19272),(4345,3945,0.69668,0.19648),(4345,3955,0.68012,0.20024),(4345,3965,0.66357,0.20418),(4345,3975,0.64701,0.20833),(4345,3985,0.62967,0.21248),(4345,3995,0.61146,0.21662),(4345,4005,0.59326,0.22153),(4345,4015,0.57506,0.22721),(4345,4025,0.95028,0.23288),(4345,4035,1.364,0.23701),(4345,4045,1.7777,0.2379),(4345,4055,2.0746,0.23879),(4345,4065,2.3289,0.23897),(4345,4075,2.5832,0.23491),(4345,4085,2.6943,0.23084),(4345,4095,2.6904,0.22678),(4345,4105,2.6865,0.22241),(4345,4115,2.5854,0.21803),(4345,4125,2.3233,0.21365),(4345,4135,2.0612,0.21303),(4345,4145,1.7965,0.21343),(4345,4155,1.5213,0.21383),(4345,4165,1.246,0.21616),(4345,4175,0.98641,0.21974),(4345,4185,1.5011,0.22331),(4345,4195,2.0157,0.22315),(4345,4205,2.5304,0.21805),(4345,4215,2.6094,0.21295),(4345,4225,2.6063,0.20778),(4345,4235,2.6033,0.20238),(4345,4245,2.5991,0.19698),(4345,4255,2.5942,0.19166),(4345,4265,2.5894,0.18732),(4345,4275,2.2512,0.18298),(4345,4285,1.5592,0.17864),(4345,4295,0.86722,0.18241),(4345,4305,0.56793,0.18711),(4345,4315,1.1554,0.19182),(4345,4325,1.7428,0.1918),(4345,4335,2.2652,0.18992),(4345,4345,2.3469,0.18805),(4345,4355,2.4286,0.18503),(4345,4365,2.5103,0.18104),(4345,4375,2.5108,0.17705),(4345,4385,2.507,0.17315),(4345,4395,2.5032,0.16941),(4345,4405,2.1687,0.16567),(4345,4415,1.7367,0.16295),(4345,4425,1.3047,0.16477),(4345,4435,1.1203,0.16659),(4345,4445,1.1051,0.16841),(4345,4455,1.0899,0.16995),(4345,4465,1.2582,0.17148),(4345,4475,1.6844,0.17302),(4345,4485,2.1105,0.17085),(4345,4495,2.4349,0.16791),(4345,4505,2.4328,0.16497),(4345,4515,2.4306,0.16215),(4345,4525,2.4234,0.15941),(4345,4535,2.3364,0.15666),(4345,4545,2.2495,0.15491),(4345,4555,2.1625,0.15428),(4345,4565,1.6129,0.15365),(4345,4575,1.0008,0.15369),(4345,4585,0.3888,0.15533),(4345,4595,0.68391,0.15698),(4345,4605,1.3623,0.15808),(4345,4615,2.0407,0.15492),(4345,4625,2.3627,0.15177),(4345,4635,2.362,0.14861),(4345,4645,2.3612,0.14455),(4345,4655,2.3598,0.14043),(4345,4665,2.3571,0.13631),(4345,4675,2.3543,0.13281),(4345,4685,2.2662,0.12951),(4345,4695,1.756,0.12622),(4345,4705,1.2458,0.12533),(4345,4715,0.73553,0.1262),(4345,4725,0.97052,0.12707),(4345,4735,1.213,0.12757),(4345,4745,1.4554,0.12752),(4345,4755,1.7055,0.12748),(4345,4765,1.9574,0.12702),(4345,4775,2.2093,0.12513),(4345,4785,2.3005,0.12325),(4345,4795,2.2988,0.12138),(4345,4805,2.297,0.11994),(4345,4815,2.1804,0.11851),(4345,4825,1.9262,0.11707),(4345,4835,1.6721,0.11744),(4345,4845,1.4155,0.11809),(4345,4855,1.1522,0.11874),(4345,4865,0.88903,0.11889),(4345,4875,0.70204,0.11882),(4345,4885,1.2086,0.11875),(4345,4895,1.7151,0.11773),(4345,4905,2.2216,0.11579),(4345,4915,2.2611,0.11385),(4345,4925,2.2604,0.11192),(4345,4935,2.2597,0.11002),(4345,4945,2.2574,0.10811),(4345,4955,2.2546,0.10651),(4345,4965,2.2518,0.10659),(4345,4975,1.8701,0.10666),(4345,4985,1.1961,0.10674),(4345,4995,0.52208,0.10608),(4345,5005,0.30024,0.1054),(4345,5015,0.79728,0.10472),(4345,5025,1.2943,0.10423),(4345,5035,1.7225,0.10377),(4345,5045,1.8885,0.10332),(4345,5055,2.0545,0.10213),(4345,5065,2.2155,0.10049),(4345,5075,2.2139,0.098853),(4345,5085,2.2124,0.097598),(4345,5095,2.2108,0.096833),(4345,5105,1.9247,0.096068),(4345,5115,1.5889,0.095707),(4345,5125,1.2531,0.096482),(4345,5135,1.0815,0.097257),(4345,5145,0.98954,0.097948),(4345,5155,0.89763,0.097718),(4345,5165,1.0576,0.097487),(4345,5175,1.4746,0.097257),(4345,5185,1.8916,0.09638),(4345,5195,2.1761,0.095436),(4345,5205,2.1751,0.094491),(4345,5215,2.174,0.094471),(4345,5225,2.1617,0.094795),(4345,5235,2.079,0.09512),(4345,5245,1.9963,0.096765),(4345,5255,1.9136,0.099494),(4345,5265,1.3427,0.10222),(4345,5275,0.7516,0.10366),(4345,5285,0.16051,0.10291),(4345,5295,0.54733,0.10216),(4345,5305,1.2065,0.10101),(4345,5315,1.8656,0.098139),(4345,5325,2.1264,0.095273),(4345,5335,2.1259,0.092417),(4345,5345,2.1254,0.090213),(4345,5355,2.1239,0.088008),(4345,5365,2.1209,0.085804),(4345,5375,2.118,0.086381),(4345,5385,1.9939,0.087501),(4345,5395,1.5015,0.088621),(4345,5405,1.0091,0.089793),(4345,5415,0.56875,0.090994),(4345,5425,0.82704,0.092194),(4345,5435,1.0853,0.090617),(4345,5445,1.3436,0.086035),(4345,5455,1.5955,0.081453),(4345,5465,1.8465,0.076978),(4345,5475,2.0976,0.072752),(4345,5485,2.1652,0.068527),(4345,5495,2.159,0.064782),(4345,5505,2.1527,0.064448),(4345,5515,2.1455,0.064114),(4345,5525,2.1375,0.06378),(4345,5535,2.1295,0.066101),(4345,5545,2.1214,0.068575),(4345,5555,2.1133,0.071049),(4345,5565,2.1051,0.074522),(4345,5575,2.0971,0.078296),(4345,5585,2.0898,0.082071),(4345,5595,2.0825,0.085931),(4345,5605,2.0751,0.08985),(4345,5615,2.0689,0.093769),(4345,5625,2.0627,0.097469),(4345,5635,2.0565,0.10085),(4345,5645,2.0511,0.10424),(4345,5655,2.046,0.10744),(4345,5665,2.0408,0.11004),(4345,5675,2.0362,0.11264),(4345,5685,2.0319,0.1152),(4345,5695,2.0275,0.11695),(4345,5705,2.0235,0.11871),(4345,5715,2.0199,0.12047),(4345,5725,2.0162,0.12152),(4345,5735,2.0126,0.12247),(4345,5745,2.0094,0.12342),(4345,5755,2.0061,0.12384),(4345,5765,2.0029,0.12404),(4345,5775,1.9999,0.12424),(4345,5785,1.997,0.12408),(4345,5795,1.994,0.12358),(4345,5805,1.991,0.12307),(4345,5815,1.9881,0.12234),(4345,5825,1.9852,0.12117),(4345,5835,1.9822,0.12),(4345,5845,1.9792,0.11871),(4345,5855,1.9762,0.11688),(4345,5865,1.973,0.11504),(4345,5875,1.9696,0.1132),(4345,5885,1.9662,0.11082),(4345,5895,1.9626,0.10844),(4345,5905,1.9585,0.10605),(4345,5915,1.9545,0.10354),(4345,5925,1.9502,0.10099),(4345,5935,1.9449,0.098453),(4345,5945,1.9397,0.096607),(4345,5955,1.9344,0.09517),(4345,5965,1.9275,0.093733),(4345,5975,1.9206,0.094177),(4345,5985,1.9138,0.096916),(4345,5995,1.4626,0.099655),(4345,6005,0.9399,0.10182),(4345,6015,0.41721,0.10246),(4345,6025,0.6406,0.1031),(4345,6035,1.21,0.1027),(4345,6045,1.7794,0.092293),(4345,6055,2.1555,0.081888),(4345,6065,2.3419,0.071483),(4345,6075,2.5284,0.075762),(4345,6085,2.6455,0.081389),(4345,6095,2.6199,0.087017),(4345,6105,2.5943,0.09784),(4345,6115,2.5701,0.11051),(4345,6125,2.5535,0.12318),(4345,6135,2.537,0.13484),(4345,6145,2.5204,0.1457),(4345,6155,2.5105,0.15655),(4345,6165,2.5009,0.16579),(4345,6175,2.4912,0.17238),(4345,6185,2.4849,0.17897),(4345,6195,2.4795,0.18476),(4345,6205,2.4741,0.18741),(4345,6215,2.4703,0.19005),(4345,6225,2.4674,0.19263),(4345,6235,2.4645,0.19228),(4345,6245,2.4623,0.19193),(4345,6255,2.4608,0.19158),(4345,6265,2.4594,0.18953),(4345,6275,2.4582,0.18717),(4345,6285,2.4575,0.18482),(4345,6295,2.4569,0.18159),(4345,6305,2.4563,0.17792),(4345,6315,2.4561,0.17426),(4345,6325,2.4558,0.17014),(4345,6335,2.4556,0.16554),(4345,6345,2.4556,0.16095),(4345,6355,2.4556,0.15618),(4345,6365,2.4556,0.15102),(4345,6375,2.4558,0.14587),(4345,6385,2.4559,0.14067),(4345,6395,2.456,0.13517),(4345,6405,2.4562,0.12967),(4345,6415,2.4564,0.12417),(4345,6425,2.4566,0.11846),(4345,6435,2.4568,0.11274),(4345,6445,2.457,0.10702),(4345,6455,2.4572,0.10118),(4345,6465,2.4574,0.095305),(4345,6475,2.4576,0.089433),(4345,6485,2.4577,0.083479),(4345,6495,2.4579,0.07747),(4345,6505,2.4581,0.071461),(4345,6515,2.4583,0.065447),(4345,6525,2.4584,0.059428),(4345,6535,2.4585,0.053408),(4345,6545,2.4587,0.047377),(4345,6555,2.4588,0.041311),(4345,6565,2.4589,0.035245),(4345,6575,2.459,0.029178),(4345,6585,2.4591,0.023095),(4345,6595,2.0917,0.017013),(4345,6605,1.3185,0.01093),(4345,6615,0.54533,0.010197),(4345,6625,0.0018,0.010152),(4345,6635,0.001814,0.010107),(4345,6645,0.001827,0.010076),(4345,6655,0.00184,0.010053),(4345,6665,0.00185,0.010029),(4345,6675,0.00186,0.010006),(4345,6685,0.00187,0.009983),(4345,6695,0.001877,0.009961),(4345,6705,0.001885,0.009939),(4345,6715,0.001892,0.009919),(4345,6725,0.001898,0.009898),(4345,6735,0.001903,0.009877),(4345,6745,0.001908,0.009858),(4345,6755,0.001913,0.009839),(4345,6765,0.001916,0.00982),(4345,6775,0.00192,0.009802),(4345,6785,0.001923,0.009784),(4345,6795,0.001925,0.009766),(4345,6805,0.001928,0.009749),(4345,6815,0.00193,0.009732),(4345,6825,0.001932,0.009716),(4345,6835,0.001933,0.0097),(4345,6845,0.001935,0.009684),(4345,6855,0.001935,0.009669),(4345,6865,0.001936,0.009654),(4345,6875,0.001937,0.009639),(4345,6885,0.001937,0.009625),(4345,6895,0.001937,0.00961),(4345,6905,0.001938,0.009597),(4345,6915,0.001938,0.009583),(4345,6925,0.001937,0.00957),(4345,6935,0.001937,0.009557),(4345,6945,0.001937,0.009544),(4345,6955,0.001937,0.009531),(4345,6965,0.001936,0.009519),(4345,6975,0.001936,0.009507),(4345,6985,0.001935,0.009495),(4355,5,3.4e-05,-0.001621),(4355,15,0.000102,-0.001622),(4355,25,0.000171,-0.001623),(4355,35,0.000239,-0.001624),(4355,45,0.000308,-0.001627),(4355,55,0.000376,-0.001631),(4355,65,0.000445,-0.001634),(4355,75,0.000514,-0.001638),(4355,85,0.000584,-0.001643),(4355,95,0.000653,-0.001649),(4355,105,0.000723,-0.001656),(4355,115,0.000794,-0.001662),(4355,125,0.000865,-0.00167),(4355,135,0.000935,-0.001679),(4355,145,0.001007,-0.001688),(4355,155,0.00108,-0.001697),(4355,165,0.001153,-0.001707),(4355,175,0.001226,-0.00172),(4355,185,0.001301,-0.001731),(4355,195,0.001376,-0.001744),(4355,205,0.001452,-0.001758),(4355,215,0.001527,-0.001773),(4355,225,0.001605,-0.001788),(4355,235,0.001684,-0.001803),(4355,245,0.001763,-0.00182),(4355,255,0.001842,-0.001838),(4355,265,0.001924,-0.001857),(4355,275,0.002006,-0.001875),(4355,285,0.002089,-0.001896),(4355,295,0.002172,-0.001919),(4355,305,0.002259,-0.001941),(4355,315,0.002347,-0.001963),(4355,325,0.002435,-0.001989),(4355,335,0.002523,-0.002015),(4355,345,0.002616,-0.002042),(4355,355,0.00271,-0.002068),(4355,365,0.002804,-0.002099),(4355,375,0.002898,-0.002131),(4355,385,0.002998,-0.002162),(4355,395,0.003099,-0.002194),(4355,405,0.0032,-0.002231),(4355,415,0.003301,-0.002268),(4355,425,0.00341,-0.002306),(4355,435,0.003519,-0.002343),(4355,445,0.003628,-0.002387),(4355,455,0.003738,-0.002432),(4355,465,0.003857,-0.002476),(4355,475,0.003976,-0.002521),(4355,485,0.004096,-0.002573),(4355,495,0.004215,-0.002626),(4355,505,0.004346,-0.002678),(4355,515,0.004477,-0.002731),(4355,525,0.004608,-0.002793),(4355,535,0.00474,-0.002856),(4355,545,0.004884,-0.002918),(4355,555,0.005029,-0.002981),(4355,565,0.005173,-0.003055),(4355,575,0.005319,-0.003128),(4355,585,0.005479,-0.003202),(4355,595,0.00564,-0.003277),(4355,605,0.0058,-0.003365),(4355,615,0.005963,-0.003453),(4355,625,0.006142,-0.003541),(4355,635,0.006322,-0.003632),(4355,645,0.006501,-0.003737),(4355,655,0.006684,-0.003842),(4355,665,0.006885,-0.003948),(4355,675,0.007086,-0.004057),(4355,685,0.007288,-0.004184),(4355,695,0.007495,-0.004311),(4355,705,0.007722,-0.004438),(4355,715,0.00795,-0.004571),(4355,725,0.008177,-0.004725),(4355,735,0.008412,-0.004879),(4355,745,0.00867,-0.005033),(4355,755,0.008929,-0.005196),(4355,765,0.009187,-0.005384),(4355,775,0.009456,-0.005573),(4355,785,0.009751,-0.005761),(4355,795,0.010045,-0.005962),(4355,805,0.01034,-0.006195),(4355,815,0.010648,-0.006427),(4355,825,0.010986,-0.006659),(4355,835,0.011323,-0.00691),(4355,845,0.011661,-0.007199),(4355,855,0.012016,-0.007488),(4355,865,0.012403,-0.007777),(4355,875,0.012791,-0.008094),(4355,885,0.013178,-0.008458),(4355,895,0.013589,-0.008822),(4355,905,0.014035,-0.009187),(4355,915,0.01448,-0.009592),(4355,925,0.014926,-0.010057),(4355,935,0.015401,-0.010521),(4355,945,0.015913,-0.010986),(4355,955,0.016425,-0.011512),(4355,965,0.016937,-0.012113),(4355,975,0.017483,-0.012714),(4355,985,0.018068,-0.013315),(4355,995,0.018653,-0.014008),(4355,1005,0.019237,-0.014797),(4355,1015,0.019859,-0.015586),(4355,1025,0.020516,-0.016375),(4355,1035,0.021173,-0.017302),(4355,1045,0.02183,-0.018353),(4355,1055,0.022518,-0.019404),(4355,1065,0.023231,-0.020454),(4355,1075,0.023945,-0.021714),(4355,1085,0.024659,-0.023132),(4355,1095,0.025376,-0.02455),(4355,1105,0.026096,-0.025968),(4355,1115,0.026816,-0.027699),(4355,1125,0.027535,-0.029632),(4355,1135,0.028181,-0.031564),(4355,1145,0.028782,-0.033496),(4355,1155,0.029384,-0.035884),(4355,1165,0.029986,-0.038518),(4355,1175,0.030326,-0.041153),(4355,1185,0.030535,-0.043787),(4355,1195,0.030745,-0.047033),(4355,1205,0.030955,-0.050556),(4355,1215,0.030501,-0.054079),(4355,1225,0.029774,-0.057602),(4355,1235,0.029046,-0.061785),(4355,1245,0.028319,-0.066213),(4355,1255,0.026187,-0.070642),(4355,1265,0.023581,-0.075071),(4355,1275,0.020975,-0.079722),(4355,1285,0.018369,-0.08444),(4355,1295,0.013384,-0.089158),(4355,1305,0.007755,-0.093876),(4355,1315,0.002126,-0.097097),(4355,1325,-0.003503,-0.099961),(4355,1335,-0.011461,-0.10282),(4355,1345,-0.019906,-0.10569),(4355,1355,-0.028352,-0.1037),(4355,1365,-0.036798,-0.10083),(4355,1375,-0.042821,-0.09796),(4355,1385,-0.04847,-0.095091),(4355,1395,-0.05412,-0.090569),(4355,1405,-0.059769,-0.085836),(4355,1415,-0.062692,-0.081102),(4355,1425,-0.065331,-0.076369),(4355,1435,-0.067971,-0.071896),(4355,1445,-0.07061,-0.067444),(4355,1455,-0.071483,-0.062992),(4355,1465,-0.072253,-0.05854),(4355,1475,-0.073024,-0.05496),(4355,1485,-0.073794,-0.051411),(4355,1495,-0.073649,-0.047863),(4355,1505,-0.07349,-0.044319),(4355,1515,-0.073331,-0.041661),(4355,1525,-0.073163,-0.039004),(4355,1535,-0.07262,-0.036346),(4355,1545,-0.072078,-0.03372),(4355,1555,-0.071536,-0.031771),(4355,1565,-0.070986,-0.029821),(4355,1575,-0.070334,-0.027871),(4355,1585,-0.069681,-0.025965),(4355,1595,-0.069028,-0.024538),(4355,1605,-0.068377,-0.02311),(4355,1615,-0.067736,-0.021682),(4355,1625,-0.067096,-0.020301),(4355,1635,-0.066456,-0.019251),(4355,1645,-0.065824,-0.0182),(4355,1655,-0.065245,-0.017149),(4355,1665,-0.064665,-0.016144),(4355,1675,-0.064085,-0.015367),(4355,1685,-0.063518,-0.01459),(4355,1695,-0.063011,-0.013813),(4355,1705,-0.062504,-0.013077),(4355,1715,-0.061997,-0.012504),(4355,1725,-0.061506,-0.01193),(4355,1735,-0.061068,-0.011356),(4355,1745,-0.06063,-0.01082),(4355,1755,-0.060192,-0.010401),(4355,1765,-0.059769,-0.009982),(4355,1775,-0.05939,-0.009563),(4355,1785,-0.059011,-0.009179),(4355,1795,-0.058631,-0.008884),(4355,1805,-0.058266,-0.008589),(4355,1815,-0.057932,-0.008293),(4355,1825,-0.057598,-0.008031),(4355,1835,-0.057264,-0.007839),(4355,1845,-0.056941,-0.007646),(4355,1855,-0.056638,-0.007454),(4355,1865,-0.056335,-0.007294),(4355,1875,-0.056032,-0.007193),(4355,1885,-0.055735,-0.007091),(4355,1895,-0.055448,-0.006989),(4355,1905,-0.055162,-0.006921),(4355,1915,-0.054875,-0.006903),(4355,1925,-0.054588,-0.006886),(4355,1935,-0.054303,-0.006868),(4355,1945,-0.054017,-0.006886),(4355,1955,-0.053731,-0.00695),(4355,1965,-0.053439,-0.007014),(4355,1975,-0.053138,-0.007078),(4355,1985,-0.052837,-0.007182),(4355,1995,-0.052537,-0.007329),(4355,2005,-0.05222,-0.007476),(4355,2015,-0.051887,-0.007623),(4355,2025,-0.051555,-0.007816),(4355,2035,-0.051222,-0.008051),(4355,2045,-0.050863,-0.008287),(4355,2055,-0.05048,-0.008522),(4355,2065,-0.050097,-0.00881),(4355,2075,-0.049714,-0.00914),(4355,2085,-0.049291,-0.00947),(4355,2095,-0.048838,-0.009801),(4355,2105,-0.048384,-0.010193),(4355,2115,-0.047931,-0.010628),(4355,2125,-0.04742,-0.011063),(4355,2135,-0.046874,-0.011497),(4355,2145,-0.046328,-0.012006),(4355,2155,-0.045781,-0.012557),(4355,2165,-0.045157,-0.013107),(4355,2175,-0.044491,-0.013658),(4355,2185,-0.043826,-0.014296),(4355,2195,-0.04316,-0.014976),(4355,2205,-0.042391,-0.015656),(4355,2215,-0.041577,-0.016336),(4355,2225,-0.040763,-0.01712),(4355,2235,-0.039949,-0.017944),(4355,2245,-0.039,-0.018768),(4355,2255,-0.038003,-0.019591),(4355,2265,-0.037007,-0.020537),(4355,2275,-0.03601,-0.021521),(4355,2285,-0.03484,-0.022505),(4355,2295,-0.033621,-0.023489),(4355,2305,-0.032402,-0.024614),(4355,2315,-0.031183,-0.025775),(4355,2325,-0.029746,-0.026936),(4355,2335,-0.028259,-0.028097),(4355,2345,-0.026773,-0.029421),(4355,2355,-0.025287,-0.030776),(4355,2365,-0.023528,-0.032132),(4355,2375,-0.021723,-0.033487),(4355,2385,-0.019918,-0.035026),(4355,2395,-0.018113,-0.036591),(4355,2405,-0.015972,-0.038157),(4355,2415,-0.013792,-0.039722),(4355,2425,-0.011612,-0.041492),(4355,2435,-0.009431,-0.04328),(4355,2445,-0.006841,-0.045069),(4355,2455,-0.004223,-0.046857),(4355,2465,-0.001605,-0.048868),(4355,2475,0.001014,-0.050889),(4355,2485,0.004125,-0.05291),(4355,2495,0.007248,-0.05493),(4355,2505,0.010372,-0.057184),(4355,2515,0.013504,-0.059439),(4355,2525,0.017201,-0.061694),(4355,2535,0.020899,-0.063956),(4355,2545,0.024597,-0.066436),(4355,2555,0.02833,-0.068917),(4355,2565,0.032671,-0.071397),(4355,2575,0.037013,-0.073893),(4355,2585,0.041354,-0.076578),(4355,2595,0.045762,-0.079263),(4355,2605,0.050813,-0.081948),(4355,2615,0.055863,-0.084652),(4355,2625,0.060913,-0.087506),(4355,2635,0.066066,-0.090361),(4355,2645,0.071882,-0.093216),(4355,2655,0.077698,-0.096089),(4355,2665,0.083514,-0.099063),(4355,2675,0.08947,-0.10204),(4355,2685,0.096095,-0.10501),(4355,2695,0.10272,-0.108),(4355,2705,0.10934,-0.11103),(4355,2715,0.11615,-0.11406),(4355,2725,0.12361,-0.11709),(4355,2735,0.13106,-0.12012),(4355,2745,0.13852,-0.12313),(4355,2755,0.14619,-0.12615),(4355,2765,0.15449,-0.12917),(4355,2775,0.16278,-0.13215),(4355,2785,0.17107,-0.13507),(4355,2795,0.17961,-0.13799),(4355,2805,0.18872,-0.14091),(4355,2815,0.19782,-0.14378),(4355,2825,0.20693,-0.14653),(4355,2835,0.2163,-0.14927),(4355,2845,0.22618,-0.15202),(4355,2855,0.23605,-0.15467),(4355,2865,0.24593,-0.15717),(4355,2875,0.25607,-0.15967),(4355,2885,0.26665,-0.16216),(4355,2895,0.27724,-0.16454),(4355,2905,0.28782,-0.16672),(4355,2915,0.29865,-0.1689),(4355,2925,0.30986,-0.17108),(4355,2935,0.32106,-0.1731),(4355,2945,0.33226,-0.17491),(4355,2955,0.3437,-0.17671),(4355,2965,0.35542,-0.17852),(4355,2975,0.36715,-0.18013),(4355,2985,0.37887,-0.18152),(4355,2995,0.3908,-0.18291),(4355,3005,0.40295,-0.1843),(4355,3015,0.41509,-0.18546),(4355,3025,0.42723,-0.18639),(4355,3035,0.43953,-0.18732),(4355,3045,0.45198,-0.18825),(4355,3055,0.46442,-0.18891),(4355,3065,0.47687,-0.18935),(4355,3075,0.48941,-0.1898),(4355,3085,0.50204,-0.19024),(4355,3095,0.51466,-0.19037),(4355,3105,0.52728,-0.19029),(4355,3115,0.53994,-0.19022),(4355,3125,0.55261,-0.19014),(4355,3135,0.56528,-0.18972),(4355,3145,0.57796,-0.18909),(4355,3155,0.59057,-0.18847),(4355,3165,0.60316,-0.18785),(4355,3175,0.61574,-0.18684),(4355,3185,0.62833,-0.18565),(4355,3195,0.64075,-0.18445),(4355,3205,0.6531,-0.18326),(4355,3215,0.66545,-0.18164),(4355,3225,0.6778,-0.17985),(4355,3235,0.68987,-0.17806),(4355,3245,0.70183,-0.17627),(4355,3255,0.71378,-0.17402),(4355,3265,0.72574,-0.17161),(4355,3275,0.73726,-0.1692),(4355,3285,0.74866,-0.1668),(4355,3295,0.76005,-0.16389),(4355,3305,0.77145,-0.16084),(4355,3315,0.78224,-0.1578),(4355,3325,0.79289,-0.15475),(4355,3335,0.80354,-0.15117),(4355,3345,0.81419,-0.14748),(4355,3355,0.82404,-0.14379),(4355,3365,0.83375,-0.1401),(4355,3375,0.84347,-0.13585),(4355,3385,0.85318,-0.13152),(4355,3395,0.86188,-0.12719),(4355,3405,0.87045,-0.12285),(4355,3415,0.87903,-0.11795),(4355,3425,0.8876,-0.113),(4355,3435,0.89493,-0.10804),(4355,3445,0.90217,-0.10309),(4355,3455,0.9094,-0.097583),(4355,3465,0.91664,-0.09205),(4355,3475,0.92239,-0.086516),(4355,3485,0.92809,-0.080982),(4355,3495,0.93379,-0.074953),(4355,3505,0.93948,-0.068916),(4355,3515,0.94347,-0.062879),(4355,3525,0.94745,-0.056832),(4355,3535,0.95144,-0.050396),(4355,3545,0.95535,-0.04396),(4355,3555,0.95748,-0.037524),(4355,3565,0.95961,-0.031071),(4355,3575,0.96174,-0.024369),(4355,3585,0.9637,-0.017668),(4355,3595,0.96387,-0.010966),(4355,3605,0.96404,-0.004254),(4355,3615,0.96421,0.002558),(4355,3625,0.96414,0.00937),(4355,3635,0.96229,0.016181),(4355,3645,0.96045,0.022985),(4355,3655,0.95861,0.029739),(4355,3665,0.95644,0.036494),(4355,3675,0.9526,0.043249),(4355,3685,0.94875,0.049962),(4355,3695,0.9449,0.056494),(4355,3705,0.94066,0.063025),(4355,3715,0.93486,0.069556),(4355,3725,0.92906,0.076003),(4355,3735,0.92326,0.082157),(4355,3745,0.91701,0.088311),(4355,3755,0.90934,0.094465),(4355,3765,0.90168,0.10048),(4355,3775,0.89402,0.10613),(4355,3785,0.88586,0.11177),(4355,3795,0.87644,0.11741),(4355,3805,0.86702,0.12287),(4355,3815,0.8576,0.12789),(4355,3825,0.84764,0.13291),(4355,3835,0.83653,0.13794),(4355,3845,0.82543,0.14272),(4355,3855,0.81433,0.14705),(4355,3865,0.80262,0.15138),(4355,3875,0.78984,0.15572),(4355,3885,0.77706,0.15979),(4355,3895,0.76428,0.16344),(4355,3905,0.75078,0.1671),(4355,3915,0.7362,0.17075),(4355,3925,0.72162,0.17422),(4355,3935,0.70704,0.17744),(4355,3945,0.69156,0.18066),(4355,3955,0.67494,0.18388),(4355,3965,0.65832,0.18727),(4355,3975,0.64169,0.19086),(4355,3985,0.62412,0.19445),(4355,3995,0.60552,0.19804),(4355,4005,0.58691,0.20266),(4355,4015,0.56831,0.20829),(4355,4025,0.94393,0.21393),(4355,4035,1.3581,0.21831),(4355,4045,1.7723,0.22006),(4355,4055,2.07,0.2218),(4355,4065,2.3252,0.22278),(4355,4075,2.5804,0.21918),(4355,4085,2.692,0.21558),(4355,4095,2.6882,0.21198),(4355,4105,2.6843,0.20756),(4355,4115,2.583,0.20312),(4355,4125,2.32,0.19867),(4355,4135,2.0569,0.19771),(4355,4145,1.7915,0.19769),(4355,4155,1.5159,0.19766),(4355,4165,1.2403,0.1998),(4355,4175,0.98047,0.20332),(4355,4185,1.4965,0.20683),(4355,4195,2.0126,0.20658),(4355,4205,2.5286,0.20133),(4355,4215,2.6079,0.19608),(4355,4225,2.605,0.19087),(4355,4235,2.602,0.18577),(4355,4245,2.5976,0.18066),(4355,4255,2.5924,0.17558),(4355,4265,2.5872,0.1708),(4355,4275,2.2483,0.16601),(4355,4285,1.5553,0.16123),(4355,4295,0.86233,0.16509),(4355,4305,0.56251,0.16996),(4355,4315,1.1504,0.17482),(4355,4325,1.7383,0.17521),(4355,4335,2.2612,0.17384),(4355,4345,2.3433,0.17246),(4355,4355,2.4255,0.17),(4355,4365,2.5077,0.16663),(4355,4375,2.5081,0.16325),(4355,4385,2.5042,0.15973),(4355,4395,2.5003,0.15595),(4355,4405,2.1653,0.15218),(4355,4415,1.7327,0.14936),(4355,4425,1.3001,0.15079),(4355,4435,1.1155,0.15222),(4355,4445,1.1004,0.15365),(4355,4455,1.0854,0.1548),(4355,4465,1.2539,0.15596),(4355,4475,1.6803,0.15711),(4355,4485,2.1067,0.15502),(4355,4495,2.4313,0.15225),(4355,4505,2.4291,0.14949),(4355,4515,2.4268,0.14711),(4355,4525,2.4195,0.14496),(4355,4535,2.3321,0.1428),(4355,4545,2.2447,0.14161),(4355,4555,2.1573,0.14151),(4355,4565,1.6085,0.14142),(4355,4575,0.99743,0.14187),(4355,4585,0.3864,0.14368),(4355,4595,0.68151,0.14548),(4355,4605,1.3595,0.14668),(4355,4615,2.0375,0.14314),(4355,4625,2.3595,0.13961),(4355,4635,2.359,0.13608),(4355,4645,2.3586,0.13246),(4355,4655,2.3573,0.12885),(4355,4665,2.3543,0.12523),(4355,4675,2.3513,0.12182),(4355,4685,2.2629,0.11849),(4355,4695,1.7528,0.11516),(4355,4705,1.2427,0.11405),(4355,4715,0.73259,0.11455),(4355,4725,0.96719,0.11505),(4355,4735,1.2093,0.11532),(4355,4745,1.4513,0.11523),(4355,4755,1.7013,0.11514),(4355,4765,1.953,0.11477),(4355,4775,2.2048,0.11342),(4355,4785,2.2959,0.11208),(4355,4795,2.294,0.11075),(4355,4805,2.2921,0.10976),(4355,4815,2.1753,0.10877),(4355,4825,1.9212,0.10778),(4355,4835,1.6671,0.10819),(4355,4845,1.4108,0.10881),(4355,4855,1.1485,0.10944),(4355,4865,0.88633,0.10923),(4355,4875,0.70016,0.10865),(4355,4885,1.2058,0.10807),(4355,4895,1.7115,0.10688),(4355,4905,2.2171,0.10511),(4355,4915,2.2565,0.10334),(4355,4925,2.2558,0.10175),(4355,4935,2.2551,0.10049),(4355,4945,2.2523,0.099235),(4355,4955,2.2488,0.098206),(4355,4965,2.2454,0.09843),(4355,4975,1.8647,0.098654),(4355,4985,1.1929,0.098878),(4355,4995,0.52111,0.097873),(4355,5005,0.30005,0.096836),(4355,5015,0.79556,0.0958),(4355,5025,1.2911,0.095193),(4355,5035,1.718,0.094695),(4355,5045,1.8839,0.094197),(4355,5055,2.0498,0.093232),(4355,5065,2.2107,0.091979),(4355,5075,2.2088,0.090727),(4355,5085,2.207,0.089796),(4355,5095,2.2051,0.089273),(4355,5105,1.9193,0.08875),(4355,5115,1.584,0.08852),(4355,5125,1.2486,0.089116),(4355,5135,1.0776,0.089711),(4355,5145,0.9863,0.090171),(4355,5155,0.89501,0.089154),(4355,5165,1.0549,0.088137),(4355,5175,1.4708,0.08712),(4355,5185,1.8868,0.085958),(4355,5195,2.1705,0.084782),(4355,5205,2.1691,0.083606),(4355,5215,2.1676,0.083801),(4355,5225,2.1548,0.084509),(4355,5235,2.0716,0.085217),(4355,5245,1.9884,0.087696),(4355,5255,1.9051,0.091629),(4355,5265,1.3369,0.095561),(4355,5275,0.74874,0.097678),(4355,5285,0.16054,0.096723),(4355,5295,0.547,0.095767),(4355,5305,1.2049,0.094289),(4355,5315,1.8628,0.09063),(4355,5325,2.1229,0.086972),(4355,5335,2.1222,0.083341),(4355,5345,2.1215,0.0816),(4355,5355,2.1193,0.079858),(4355,5365,2.1153,0.078116),(4355,5375,2.1112,0.079046),(4355,5385,1.9866,0.080496),(4355,5395,1.4956,0.081947),(4355,5405,1.0047,0.083328),(4355,5415,0.56577,0.084672),(4355,5425,0.82539,0.086016),(4355,5435,1.085,0.084593),(4355,5445,1.3446,0.080174),(4355,5455,1.5959,0.075754),(4355,5465,1.8461,0.071775),(4355,5475,2.0963,0.068812),(4355,5485,2.1628,0.065849),(4355,5495,2.1553,0.063378),(4355,5505,2.1479,0.064394),(4355,5515,2.1396,0.06541),(4355,5525,2.1307,0.066426),(4355,5535,2.1217,0.06973),(4355,5545,2.1129,0.073167),(4355,5555,2.1044,0.076603),(4355,5565,2.0958,0.080703),(4355,5575,2.0875,0.085004),(4355,5585,2.0801,0.089305),(4355,5595,2.0728,0.093513),(4355,5605,2.0654,0.097656),(4355,5615,2.0593,0.1018),(4355,5625,2.0533,0.10566),(4355,5635,2.0472,0.10911),(4355,5645,2.0421,0.11256),(4355,5655,2.0372,0.11582),(4355,5665,2.0323,0.11843),(4355,5675,2.0279,0.12105),(4355,5685,2.0239,0.12362),(4355,5695,2.0198,0.1254),(4355,5705,2.0161,0.12718),(4355,5715,2.0127,0.12897),(4355,5725,2.0092,0.13008),(4355,5735,2.0059,0.1311),(4355,5745,2.0029,0.13212),(4355,5755,1.9999,0.13266),(4355,5765,1.9969,0.13298),(4355,5775,1.9942,0.13331),(4355,5785,1.9914,0.13329),(4355,5795,1.9886,0.13297),(4355,5805,1.9859,0.13264),(4355,5815,1.9832,0.13209),(4355,5825,1.9805,0.13113),(4355,5835,1.9777,0.13016),(4355,5845,1.9749,0.12907),(4355,5855,1.9721,0.12741),(4355,5865,1.969,0.12574),(4355,5875,1.9658,0.12408),(4355,5885,1.9626,0.1217),(4355,5895,1.9591,0.11931),(4355,5905,1.9551,0.11693),(4355,5915,1.9511,0.11404),(4355,5925,1.9467,0.11104),(4355,5935,1.9411,0.10803),(4355,5945,1.9354,0.1051),(4355,5955,1.9297,0.1022),(4355,5965,1.9214,0.09931),(4355,5975,1.9132,0.097625),(4355,5985,1.9049,0.097414),(4355,5995,1.4555,0.097202),(4355,6005,0.93522,0.097213),(4355,6015,0.41489,0.097815),(4355,6025,0.64126,0.098418),(4355,6035,1.2139,0.098541),(4355,6045,1.7866,0.09405),(4355,6055,2.1613,0.089558),(4355,6065,2.3419,0.085067),(4355,6075,2.5225,0.095802),(4355,6085,2.635,0.10794),(4355,6095,2.607,0.12007),(4355,6105,2.579,0.13357),(4355,6115,2.5528,0.14756),(4355,6125,2.5368,0.16155),(4355,6135,2.5208,0.17305),(4355,6145,2.5047,0.1826),(4355,6155,2.4962,0.19215),(4355,6165,2.4878,0.19982),(4355,6175,2.4794,0.20444),(4355,6185,2.4744,0.20906),(4355,6195,2.4703,0.21291),(4355,6205,2.4661,0.2137),(4355,6215,2.4633,0.21449),(4355,6225,2.4614,0.21522),(4355,6235,2.4594,0.21332),(4355,6245,2.458,0.21143),(4355,6255,2.4572,0.20953),(4355,6265,2.4564,0.20621),(4355,6275,2.4557,0.20264),(4355,6285,2.4554,0.19906),(4355,6295,2.4552,0.19478),(4355,6305,2.455,0.19015),(4355,6315,2.455,0.18553),(4355,6325,2.4551,0.18055),(4355,6335,2.4551,0.17521),(4355,6345,2.4553,0.16987),(4355,6355,2.4555,0.16441),(4355,6365,2.4556,0.15867),(4355,6375,2.4559,0.15294),(4355,6385,2.4561,0.14717),(4355,6395,2.4564,0.1412),(4355,6405,2.4566,0.13523),(4355,6415,2.4569,0.12926),(4355,6425,2.4571,0.12317),(4355,6435,2.4574,0.11707),(4355,6445,2.4576,0.11098),(4355,6455,2.4578,0.10481),(4355,6465,2.4581,0.098626),(4355,6475,2.4583,0.092441),(4355,6485,2.4585,0.086204),(4355,6495,2.4587,0.079934),(4355,6505,2.4589,0.073664),(4355,6515,2.4591,0.067401),(4355,6525,2.4592,0.061149),(4355,6535,2.4594,0.054897),(4355,6545,2.4595,0.048641),(4355,6555,2.4597,0.042375),(4355,6565,2.4598,0.036108),(4355,6575,2.4599,0.02984),(4355,6585,2.46,0.023561),(4355,6595,2.0924,0.017282),(4355,6605,1.319,0.011003),(4355,6615,0.54553,0.010237),(4355,6625,0.001822,0.01018),(4355,6635,0.001835,0.010122),(4355,6645,0.001847,0.010088),(4355,6655,0.00186,0.010063),(4355,6665,0.001869,0.010038),(4355,6675,0.001879,0.010014),(4355,6685,0.001888,0.009991),(4355,6695,0.001895,0.009968),(4355,6705,0.001902,0.009946),(4355,6715,0.001909,0.009924),(4355,6725,0.001914,0.009903),(4355,6735,0.001919,0.009882),(4355,6745,0.001924,0.009862),(4355,6755,0.001927,0.009842),(4355,6765,0.00193,0.009822),(4355,6775,0.001934,0.009804),(4355,6785,0.001937,0.009786),(4355,6795,0.001938,0.009768),(4355,6805,0.00194,0.009751),(4355,6815,0.001942,0.009734),(4355,6825,0.001943,0.009717),(4355,6835,0.001945,0.009701),(4355,6845,0.001946,0.009685),(4355,6855,0.001946,0.009669),(4355,6865,0.001947,0.009654),(4355,6875,0.001947,0.009639),(4355,6885,0.001947,0.009625),(4355,6895,0.001947,0.00961),(4355,6905,0.001947,0.009597),(4355,6915,0.001947,0.009583),(4355,6925,0.001946,0.009569),(4355,6935,0.001946,0.009556),(4355,6945,0.001945,0.009543),(4355,6955,0.001945,0.00953),(4355,6965,0.001944,0.009518),(4355,6975,0.001943,0.009506),(4355,6985,0.001943,0.009494),(4365,5,3.4e-05,-0.001552),(4365,15,0.000103,-0.001553),(4365,25,0.000172,-0.001554),(4365,35,0.000241,-0.001556),(4365,45,0.00031,-0.001558),(4365,55,0.000379,-0.001561),(4365,65,0.000448,-0.001565),(4365,75,0.000518,-0.001568),(4365,85,0.000588,-0.001573),(4365,95,0.000657,-0.001579),(4365,105,0.000728,-0.001585),(4365,115,0.000799,-0.001591),(4365,125,0.000871,-0.001598),(4365,135,0.000942,-0.001607),(4365,145,0.001014,-0.001615),(4365,155,0.001088,-0.001623),(4365,165,0.001161,-0.001634),(4365,175,0.001234,-0.001645),(4365,185,0.00131,-0.001656),(4365,195,0.001386,-0.001667),(4365,205,0.001462,-0.001681),(4365,215,0.001538,-0.001695),(4365,225,0.001617,-0.001709),(4365,235,0.001696,-0.001723),(4365,245,0.001776,-0.00174),(4365,255,0.001855,-0.001757),(4365,265,0.001938,-0.001774),(4365,275,0.002022,-0.001791),(4365,285,0.002105,-0.001812),(4365,295,0.002189,-0.001832),(4365,305,0.002277,-0.001853),(4365,315,0.002366,-0.001874),(4365,325,0.002455,-0.001899),(4365,335,0.002543,-0.001924),(4365,345,0.002637,-0.001949),(4365,355,0.002732,-0.001974),(4365,365,0.002827,-0.002003),(4365,375,0.002922,-0.002032),(4365,385,0.003024,-0.002062),(4365,395,0.003126,-0.002092),(4365,405,0.003228,-0.002127),(4365,415,0.00333,-0.002162),(4365,425,0.003441,-0.002197),(4365,435,0.003552,-0.002232),(4365,445,0.003662,-0.002274),(4365,455,0.003773,-0.002316),(4365,465,0.003894,-0.002357),(4365,475,0.004015,-0.002399),(4365,485,0.004137,-0.002449),(4365,495,0.004258,-0.002498),(4365,505,0.004391,-0.002548),(4365,515,0.004524,-0.002598),(4365,525,0.004658,-0.002657),(4365,535,0.004791,-0.002715),(4365,545,0.004938,-0.002774),(4365,555,0.005086,-0.002833),(4365,565,0.005233,-0.002903),(4365,575,0.005381,-0.002972),(4365,585,0.005545,-0.003042),(4365,595,0.005709,-0.003113),(4365,605,0.005873,-0.003196),(4365,615,0.006039,-0.003279),(4365,625,0.006222,-0.003362),(4365,635,0.006405,-0.003447),(4365,645,0.006589,-0.003547),(4365,655,0.006776,-0.003646),(4365,665,0.006982,-0.003746),(4365,675,0.007189,-0.003849),(4365,685,0.007396,-0.003969),(4365,695,0.007607,-0.004089),(4365,705,0.007841,-0.004209),(4365,715,0.008075,-0.004334),(4365,725,0.008309,-0.00448),(4365,735,0.008551,-0.004626),(4365,745,0.008818,-0.004772),(4365,755,0.009085,-0.004926),(4365,765,0.009351,-0.005105),(4365,775,0.009628,-0.005283),(4365,785,0.009934,-0.005462),(4365,795,0.010239,-0.005653),(4365,805,0.010545,-0.005873),(4365,815,0.010864,-0.006094),(4365,825,0.011216,-0.006314),(4365,835,0.011567,-0.006553),(4365,845,0.011919,-0.006828),(4365,855,0.012289,-0.007103),(4365,865,0.012695,-0.007379),(4365,875,0.013101,-0.007681),(4365,885,0.013507,-0.008028),(4365,895,0.013938,-0.008376),(4365,905,0.014409,-0.008724),(4365,915,0.014879,-0.009112),(4365,925,0.01535,-0.009557),(4365,935,0.015853,-0.010003),(4365,945,0.016399,-0.010448),(4365,955,0.016944,-0.010954),(4365,965,0.01749,-0.011534),(4365,975,0.018075,-0.012113),(4365,985,0.018706,-0.012692),(4365,995,0.019337,-0.013363),(4365,1005,0.019967,-0.014129),(4365,1015,0.020644,-0.014895),(4365,1025,0.021364,-0.015661),(4365,1035,0.022085,-0.016566),(4365,1045,0.022805,-0.017596),(4365,1055,0.023571,-0.018626),(4365,1065,0.024373,-0.019655),(4365,1075,0.025175,-0.0209),(4365,1085,0.025977,-0.022308),(4365,1095,0.026802,-0.023715),(4365,1105,0.027643,-0.025123),(4365,1115,0.028483,-0.026862),(4365,1125,0.029324,-0.028814),(4365,1135,0.030115,-0.030765),(4365,1145,0.030876,-0.032717),(4365,1155,0.031637,-0.035171),(4365,1165,0.032398,-0.037896),(4365,1175,0.032917,-0.040622),(4365,1185,0.033316,-0.043347),(4365,1195,0.033715,-0.046788),(4365,1205,0.034114,-0.050554),(4365,1215,0.033834,-0.054319),(4365,1225,0.033275,-0.058085),(4365,1235,0.032715,-0.062711),(4365,1245,0.032155,-0.06766),(4365,1255,0.030064,-0.072609),(4365,1265,0.027456,-0.077558),(4365,1275,0.024848,-0.083009),(4365,1285,0.022239,-0.088612),(4365,1295,0.016898,-0.094214),(4365,1305,0.010817,-0.099817),(4365,1315,0.004736,-0.10391),(4365,1325,-0.001345,-0.10764),(4365,1335,-0.010241,-0.11138),(4365,1345,-0.019726,-0.11511),(4365,1355,-0.029212,-0.11252),(4365,1365,-0.038697,-0.10879),(4365,1375,-0.045251,-0.10506),(4365,1385,-0.051353,-0.10132),(4365,1395,-0.057454,-0.095921),(4365,1405,-0.063556,-0.090306),(4365,1415,-0.066523,-0.084691),(4365,1425,-0.069165,-0.079076),(4365,1435,-0.071806,-0.074058),(4365,1445,-0.074448,-0.069087),(4365,1455,-0.07516,-0.064117),(4365,1465,-0.075761,-0.059147),(4365,1475,-0.076363,-0.055317),(4365,1485,-0.076964,-0.051528),(4365,1495,-0.076628,-0.047739),(4365,1505,-0.076278,-0.043955),(4365,1515,-0.075927,-0.041209),(4365,1525,-0.075568,-0.038462),(4365,1535,-0.074864,-0.035716),(4365,1545,-0.07416,-0.033004),(4365,1555,-0.073456,-0.031037),(4365,1565,-0.072747,-0.029069),(4365,1575,-0.07197,-0.027102),(4365,1585,-0.071194,-0.025181),(4365,1595,-0.070417,-0.023765),(4365,1605,-0.069645,-0.022349),(4365,1615,-0.068913,-0.020934),(4365,1625,-0.068181,-0.019566),(4365,1635,-0.06745,-0.018537),(4365,1645,-0.06673,-0.017508),(4365,1655,-0.066082,-0.016479),(4365,1665,-0.065435,-0.015495),(4365,1675,-0.064788,-0.014741),(4365,1685,-0.064157,-0.013987),(4365,1695,-0.063599,-0.013234),(4365,1705,-0.063041,-0.01252),(4365,1715,-0.062484,-0.011967),(4365,1725,-0.061944,-0.011414),(4365,1735,-0.061467,-0.010861),(4365,1745,-0.06099,-0.010344),(4365,1755,-0.060513,-0.009942),(4365,1765,-0.060054,-0.00954),(4365,1775,-0.059644,-0.009139),(4365,1785,-0.059233,-0.00877),(4365,1795,-0.058823,-0.008488),(4365,1805,-0.058427,-0.008205),(4365,1815,-0.058068,-0.007923),(4365,1825,-0.057708,-0.007672),(4365,1835,-0.057348,-0.007488),(4365,1845,-0.056999,-0.007305),(4365,1855,-0.056673,-0.007121),(4365,1865,-0.056348,-0.006969),(4365,1875,-0.056022,-0.006871),(4365,1885,-0.055703,-0.006774),(4365,1895,-0.055395,-0.006677),(4365,1905,-0.055087,-0.006612),(4365,1915,-0.054778,-0.006594),(4365,1925,-0.054471,-0.006577),(4365,1935,-0.054165,-0.00656),(4365,1945,-0.053858,-0.006576),(4365,1955,-0.053552,-0.006636),(4365,1965,-0.053238,-0.006696),(4365,1975,-0.052916,-0.006756),(4365,1985,-0.052594,-0.006854),(4365,1995,-0.052273,-0.006993),(4365,2005,-0.051934,-0.007132),(4365,2015,-0.051579,-0.007271),(4365,2025,-0.051225,-0.007453),(4365,2035,-0.05087,-0.007675),(4365,2045,-0.050487,-0.007897),(4365,2055,-0.05008,-0.008119),(4365,2065,-0.049674,-0.008391),(4365,2075,-0.049267,-0.008703),(4365,2085,-0.048818,-0.009015),(4365,2095,-0.048339,-0.009327),(4365,2105,-0.047859,-0.009697),(4365,2115,-0.04738,-0.010108),(4365,2125,-0.046841,-0.010518),(4365,2135,-0.046265,-0.010929),(4365,2145,-0.04569,-0.011409),(4365,2155,-0.045115,-0.011929),(4365,2165,-0.044459,-0.012448),(4365,2175,-0.043761,-0.012968),(4365,2185,-0.043063,-0.01357),(4365,2195,-0.042366,-0.014212),(4365,2205,-0.041562,-0.014853),(4365,2215,-0.040712,-0.015495),(4365,2225,-0.039862,-0.016233),(4365,2235,-0.039012,-0.01701),(4365,2245,-0.038024,-0.017787),(4365,2255,-0.036988,-0.018564),(4365,2265,-0.035951,-0.019454),(4365,2275,-0.034915,-0.020381),(4365,2285,-0.033703,-0.021308),(4365,2295,-0.03244,-0.022235),(4365,2305,-0.031177,-0.023294),(4365,2315,-0.029915,-0.024386),(4365,2325,-0.028431,-0.025479),(4365,2335,-0.026897,-0.026572),(4365,2345,-0.025363,-0.027816),(4365,2355,-0.023829,-0.02909),(4365,2365,-0.02202,-0.030364),(4365,2375,-0.020164,-0.031638),(4365,2385,-0.018309,-0.033083),(4365,2395,-0.016453,-0.034553),(4365,2405,-0.014259,-0.036023),(4365,2415,-0.012025,-0.037492),(4365,2425,-0.009791,-0.039153),(4365,2435,-0.007557,-0.04083),(4365,2445,-0.004912,-0.042508),(4365,2455,-0.002239,-0.044185),(4365,2465,0.000434,-0.046069),(4365,2475,0.003108,-0.047963),(4365,2485,0.006273,-0.049856),(4365,2495,0.009451,-0.05175),(4365,2505,0.012628,-0.053859),(4365,2515,0.015814,-0.05597),(4365,2525,0.019563,-0.05808),(4365,2535,0.023312,-0.060198),(4365,2545,0.027061,-0.062518),(4365,2555,0.030844,-0.064837),(4365,2565,0.03523,-0.067157),(4365,2575,0.039616,-0.069491),(4365,2585,0.044001,-0.072),(4365,2595,0.048453,-0.074508),(4365,2605,0.053537,-0.077017),(4365,2615,0.058621,-0.079544),(4365,2625,0.063705,-0.082209),(4365,2635,0.068889,-0.084874),(4365,2645,0.074724,-0.08754),(4365,2655,0.080559,-0.090222),(4365,2665,0.086394,-0.092997),(4365,2675,0.092366,-0.095772),(4365,2685,0.098992,-0.098547),(4365,2695,0.10562,-0.10133),(4365,2705,0.11224,-0.10416),(4365,2715,0.11904,-0.10699),(4365,2725,0.12648,-0.10981),(4365,2735,0.13392,-0.11264),(4365,2745,0.14136,-0.11545),(4365,2755,0.149,-0.11826),(4365,2765,0.15725,-0.12107),(4365,2775,0.1655,-0.12385),(4365,2785,0.17375,-0.12657),(4365,2795,0.18223,-0.12929),(4365,2805,0.19128,-0.13201),(4365,2815,0.20032,-0.13468),(4365,2825,0.20936,-0.13724),(4365,2835,0.21865,-0.1398),(4365,2845,0.22844,-0.14235),(4365,2855,0.23823,-0.14483),(4365,2865,0.24803,-0.14715),(4365,2875,0.25807,-0.14948),(4365,2885,0.26855,-0.1518),(4365,2895,0.27902,-0.15401),(4365,2905,0.2895,-0.15604),(4365,2915,0.30022,-0.15806),(4365,2925,0.3113,-0.16009),(4365,2935,0.32238,-0.16197),(4365,2945,0.33346,-0.16365),(4365,2955,0.34477,-0.16533),(4365,2965,0.35636,-0.16701),(4365,2975,0.36795,-0.16851),(4365,2985,0.37954,-0.16979),(4365,2995,0.39133,-0.17108),(4365,3005,0.40332,-0.17237),(4365,3015,0.41532,-0.17343),(4365,3025,0.42731,-0.17429),(4365,3035,0.43947,-0.17515),(4365,3045,0.45176,-0.17601),(4365,3055,0.46404,-0.17661),(4365,3065,0.47633,-0.17701),(4365,3075,0.48872,-0.17741),(4365,3085,0.50118,-0.1778),(4365,3095,0.51364,-0.17792),(4365,3105,0.5261,-0.17783),(4365,3115,0.53859,-0.17774),(4365,3125,0.55109,-0.17765),(4365,3135,0.5636,-0.17724),(4365,3145,0.5761,-0.17664),(4365,3155,0.58854,-0.17604),(4365,3165,0.60095,-0.17544),(4365,3175,0.61336,-0.17448),(4365,3185,0.62577,-0.17335),(4365,3195,0.63802,-0.17222),(4365,3205,0.65019,-0.17108),(4365,3215,0.66236,-0.16956),(4365,3225,0.67453,-0.16787),(4365,3235,0.6864,-0.16618),(4365,3245,0.69818,-0.16449),(4365,3255,0.70995,-0.16237),(4365,3265,0.72172,-0.1601),(4365,3275,0.73305,-0.15784),(4365,3285,0.74426,-0.15557),(4365,3295,0.75546,-0.15284),(4365,3305,0.76666,-0.14999),(4365,3315,0.77727,-0.14713),(4365,3325,0.78772,-0.14428),(4365,3335,0.79818,-0.14092),(4365,3345,0.80864,-0.13747),(4365,3355,0.81831,-0.13402),(4365,3365,0.82783,-0.13056),(4365,3375,0.83735,-0.12659),(4365,3385,0.84687,-0.12254),(4365,3395,0.85539,-0.11849),(4365,3405,0.86379,-0.11445),(4365,3415,0.87218,-0.10988),(4365,3425,0.88057,-0.10526),(4365,3435,0.88773,-0.10063),(4365,3445,0.8948,-0.096012),(4365,3455,0.90187,-0.090889),(4365,3465,0.90893,-0.085737),(4365,3475,0.91454,-0.080584),(4365,3485,0.9201,-0.075432),(4365,3495,0.92565,-0.069826),(4365,3505,0.9312,-0.064213),(4365,3515,0.93507,-0.058599),(4365,3525,0.93894,-0.052977),(4365,3535,0.94282,-0.047),(4365,3545,0.94661,-0.041022),(4365,3555,0.94867,-0.035045),(4365,3565,0.95072,-0.029052),(4365,3575,0.95278,-0.022833),(4365,3585,0.95467,-0.016614),(4365,3595,0.95481,-0.010396),(4365,3605,0.95495,-0.004167),(4365,3615,0.95509,0.00215),(4365,3625,0.95499,0.008467),(4365,3635,0.95317,0.014784),(4365,3645,0.95134,0.021093),(4365,3655,0.94952,0.027354),(4365,3665,0.94738,0.033614),(4365,3675,0.9436,0.039875),(4365,3685,0.93982,0.046098),(4365,3695,0.93604,0.052148),(4365,3705,0.93187,0.058198),(4365,3715,0.92618,0.064248),(4365,3725,0.92049,0.070219),(4365,3735,0.9148,0.075914),(4365,3745,0.90867,0.081608),(4365,3755,0.90116,0.087302),(4365,3765,0.89364,0.092868),(4365,3775,0.88613,0.098074),(4365,3785,0.87813,0.10328),(4365,3795,0.86889,0.10849),(4365,3805,0.85964,0.11351),(4365,3815,0.8504,0.11811),(4365,3825,0.84062,0.12272),(4365,3835,0.82971,0.12732),(4365,3845,0.81881,0.13168),(4365,3855,0.8079,0.13559),(4365,3865,0.79638,0.13949),(4365,3875,0.78379,0.1434),(4365,3885,0.7712,0.14703),(4365,3895,0.7586,0.15021),(4365,3905,0.74526,0.15339),(4365,3915,0.7308,0.15657),(4365,3925,0.71634,0.15953),(4365,3935,0.70188,0.16219),(4365,3945,0.68644,0.16484),(4365,3955,0.66975,0.16749),(4365,3965,0.65306,0.1703),(4365,3975,0.63638,0.1733),(4365,3985,0.61858,0.17631),(4365,3995,0.59957,0.17931),(4365,4005,0.58057,0.1836),(4365,4015,0.56156,0.18918),(4365,4025,0.93758,0.19476),(4365,4035,1.3522,0.19941),(4365,4045,1.7669,0.2021),(4365,4055,2.0654,0.20478),(4365,4065,2.3215,0.20664),(4365,4075,2.5776,0.20359),(4365,4085,2.6897,0.20053),(4365,4095,2.6859,0.19748),(4365,4105,2.6821,0.19304),(4365,4115,2.5805,0.18855),(4365,4125,2.3166,0.18406),(4365,4135,2.0527,0.1827),(4365,4145,1.7864,0.18218),(4365,4155,1.5105,0.18166),(4365,4165,1.2347,0.18354),(4365,4175,0.97453,0.18695),(4365,4185,1.492,0.19036),(4365,4195,2.0094,0.18999),(4365,4205,2.5268,0.18461),(4365,4215,2.6064,0.17923),(4365,4225,2.6036,0.17401),(4365,4235,2.6007,0.16927),(4365,4245,2.5961,0.16453),(4365,4255,2.5905,0.15975),(4365,4265,2.5849,0.15448),(4365,4275,2.2453,0.14922),(4365,4285,1.5514,0.14395),(4365,4295,0.85745,0.14788),(4365,4305,0.5571,0.15287),(4365,4315,1.1455,0.15786),(4365,4325,1.7339,0.15867),(4365,4335,2.2572,0.15784),(4365,4345,2.3398,0.157),(4365,4355,2.4224,0.15517),(4365,4365,2.5051,0.15248),(4365,4375,2.5054,0.1498),(4365,4385,2.5014,0.14671),(4365,4395,2.4974,0.14291),(4365,4405,2.162,0.1391),(4365,4415,1.7287,0.13617),(4365,4425,1.2955,0.13712),(4365,4435,1.1107,0.13807),(4365,4445,1.0958,0.13902),(4365,4455,1.0808,0.13971),(4365,4465,1.2495,0.1404),(4365,4475,1.6762,0.14109),(4365,4485,2.1029,0.13908),(4365,4495,2.4277,0.13651),(4365,4505,2.4254,0.13393),(4365,4515,2.4231,0.13205),(4365,4525,2.4157,0.13054),(4365,4535,2.3278,0.12903),(4365,4545,2.2399,0.12844),(4365,4555,2.152,0.12889),(4365,4565,1.6041,0.12933),(4365,4575,0.99402,0.13022),(4365,4585,0.38399,0.1322),(4365,4595,0.67912,0.13417),(4365,4605,1.3567,0.13546),(4365,4615,2.0343,0.1315),(4365,4625,2.3562,0.12755),(4365,4635,2.3561,0.12359),(4365,4645,2.356,0.1205),(4365,4655,2.3548,0.11747),(4365,4665,2.3515,0.11444),(4365,4675,2.3483,0.11116),(4365,4685,2.2597,0.10779),(4365,4695,1.7497,0.10442),(4365,4705,1.2397,0.10304),(4365,4715,0.72965,0.10311),(4365,4725,0.96387,0.10318),(4365,4735,1.2055,0.10315),(4365,4745,1.4472,0.10298),(4365,4755,1.697,0.10282),(4365,4765,1.9486,0.10252),(4365,4775,2.2003,0.10178),(4365,4785,2.2912,0.10103),(4365,4795,2.2892,0.1003),(4365,4805,2.2871,0.099791),(4365,4815,2.1703,0.099282),(4365,4825,1.9162,0.098773),(4365,4835,1.6621,0.099181),(4365,4845,1.4061,0.099729),(4365,4855,1.1448,0.10028),(4365,4865,0.88363,0.099646),(4365,4875,0.69827,0.09848),(4365,4885,1.2031,0.097314),(4365,4895,1.7078,0.095942),(4365,4905,2.2126,0.094373),(4365,4915,2.252,0.092804),(4365,4925,2.2512,0.091581),(4365,4935,2.2505,0.091054),(4365,4945,2.2473,0.090528),(4365,4955,2.2431,0.090134),(4365,4965,2.2389,0.090473),(4365,4975,1.8593,0.090811),(4365,4985,1.1897,0.09115),(4365,4995,0.52014,0.089768),(4365,5005,0.29986,0.088343),(4365,5015,0.79384,0.086918),(4365,5025,1.2878,0.08618),(4365,5035,1.7136,0.085616),(4365,5045,1.8793,0.085053),(4365,5055,2.0451,0.08434),(4365,5065,2.2059,0.083536),(4365,5075,2.2038,0.082732),(4365,5085,2.2016,0.082167),(4365,5095,2.1995,0.081906),(4365,5105,1.914,0.081645),(4365,5115,1.5791,0.081544),(4365,5125,1.2442,0.081895),(4365,5135,1.0737,0.082245),(4365,5145,0.98306,0.082407),(4365,5155,0.89239,0.080509),(4365,5165,1.0521,0.078612),(4365,5175,1.4671,0.076714),(4365,5185,1.8821,0.075262),(4365,5195,2.165,0.073856),(4365,5205,2.1631,0.07245),(4365,5215,2.1612,0.072883),(4365,5225,2.148,0.074004),(4365,5235,2.0642,0.075125),(4365,5245,1.9804,0.07848),(4365,5255,1.8966,0.083665),(4365,5265,1.3312,0.08885),(4365,5275,0.74587,0.091674),(4365,5285,0.16057,0.090501),(4365,5295,0.54667,0.089327),(4365,5305,1.2033,0.087513),(4365,5315,1.8599,0.083017),(4365,5325,2.1194,0.078522),(4365,5335,2.1185,0.074076),(4365,5345,2.1175,0.072883),(4365,5355,2.1148,0.07169),(4365,5365,2.1096,0.070498),(4365,5375,2.1044,0.071779),(4365,5385,1.9793,0.073543),(4365,5395,1.4898,0.075306),(4365,5405,1.0003,0.076867),(4365,5415,0.56279,0.078322),(4365,5425,0.82373,0.079776),(4365,5435,1.0847,0.078502),(4365,5445,1.3456,0.074273),(4365,5455,1.5963,0.070045),(4365,5465,1.8457,0.066608),(4365,5475,2.0951,0.065),(4365,5485,2.1604,0.063392),(4365,5495,2.1517,0.062281),(4365,5505,2.143,0.064693),(4365,5515,2.1337,0.067106),(4365,5525,2.1238,0.069518),(4365,5535,2.114,0.0738),(4365,5545,2.1045,0.078189),(4365,5555,2.0955,0.082578),(4365,5565,2.0865,0.087276),(4365,5575,2.0779,0.092066),(4365,5585,2.0704,0.096857),(4365,5595,2.063,0.10138),(4365,5605,2.0556,0.10571),(4365,5615,2.0498,0.11004),(4365,5625,2.0439,0.11402),(4365,5635,2.038,0.11752),(4365,5645,2.0331,0.12101),(4365,5655,2.0284,0.12431),(4365,5665,2.0238,0.12693),(4365,5675,2.0197,0.12955),(4365,5685,2.0159,0.13214),(4365,5695,2.0121,0.13395),(4365,5705,2.0086,0.13577),(4365,5715,2.0055,0.13759),(4365,5725,2.0023,0.13879),(4365,5735,1.9993,0.13991),(4365,5745,1.9965,0.14102),(4365,5755,1.9937,0.1417),(4365,5765,1.991,0.14219),(4365,5775,1.9884,0.14267),(4365,5785,1.9858,0.14285),(4365,5795,1.9833,0.14275),(4365,5805,1.9808,0.14265),(4365,5815,1.9783,0.14234),(4365,5825,1.9758,0.14163),(4365,5835,1.9732,0.14093),(4365,5845,1.9706,0.14011),(4365,5855,1.9679,0.13868),(4365,5865,1.9651,0.13726),(4365,5875,1.9621,0.13583),(4365,5885,1.959,0.13353),(4365,5895,1.9556,0.13122),(4365,5905,1.9516,0.1289),(4365,5915,1.9476,0.12569),(4365,5925,1.9432,0.12227),(4365,5935,1.9372,0.11885),(4365,5945,1.9312,0.11479),(4365,5955,1.925,0.11037),(4365,5965,1.9154,0.10595),(4365,5975,1.9057,0.10195),(4365,5985,1.896,0.098455),(4365,5995,1.4485,0.094964),(4365,6005,0.93054,0.092571),(4365,6015,0.41257,0.093115),(4365,6025,0.64192,0.093659),(4365,6035,1.2179,0.094356),(4365,6045,1.7938,0.096522),(4365,6055,2.1672,0.098688),(4365,6065,2.3419,0.10085),(4365,6075,2.5167,0.1185),(4365,6085,2.6245,0.13757),(4365,6095,2.5941,0.15665),(4365,6105,2.5637,0.17279),(4365,6115,2.5355,0.18789),(4365,6125,2.52,0.20299),(4365,6135,2.5045,0.21405),(4365,6145,2.489,0.22194),(4365,6155,2.4818,0.22982),(4365,6165,2.4747,0.2356),(4365,6175,2.4677,0.23797),(4365,6185,2.4639,0.24034),(4365,6195,2.461,0.24198),(4365,6205,2.4581,0.24074),(4365,6215,2.4564,0.23949),(4365,6225,2.4554,0.2382),(4365,6235,2.4543,0.23466),(4365,6245,2.4537,0.23112),(4365,6255,2.4535,0.22758),(4365,6265,2.4533,0.22293),(4365,6275,2.4532,0.21808),(4365,6285,2.4534,0.21323),(4365,6295,2.4535,0.20787),(4365,6305,2.4536,0.20225),(4365,6315,2.454,0.19663),(4365,6325,2.4543,0.19079),(4365,6335,2.4546,0.1847),(4365,6345,2.455,0.17861),(4365,6355,2.4553,0.17245),(4365,6365,2.4557,0.16613),(4365,6375,2.456,0.15981),(4365,6385,2.4563,0.15348),(4365,6395,2.4567,0.14705),(4365,6405,2.457,0.14061),(4365,6415,2.4573,0.13418),(4365,6425,2.4576,0.12771),(4365,6435,2.4579,0.12125),(4365,6445,2.4582,0.11479),(4365,6455,2.4585,0.1083),(4365,6465,2.4588,0.10181),(4365,6475,2.459,0.095322),(4365,6485,2.4592,0.088814),(4365,6495,2.4595,0.082292),(4365,6505,2.4597,0.075771),(4365,6515,2.4599,0.069269),(4365,6525,2.4601,0.062794),(4365,6535,2.4602,0.056319),(4365,6545,2.4604,0.049849),(4365,6555,2.4605,0.043394),(4365,6565,2.4606,0.036938),(4365,6575,2.4607,0.030482),(4365,6585,2.4608,0.024015),(4365,6595,2.0932,0.017547),(4365,6605,1.3195,0.01108),(4365,6615,0.54574,0.01028),(4365,6625,0.001843,0.010209),(4365,6635,0.001856,0.010139),(4365,6645,0.001868,0.0101),(4365,6655,0.00188,0.010074),(4365,6665,0.001888,0.010048),(4365,6675,0.001897,0.010023),(4365,6685,0.001906,0.009999),(4365,6695,0.001913,0.009975),(4365,6705,0.001919,0.009952),(4365,6715,0.001925,0.00993),(4365,6725,0.00193,0.009908),(4365,6735,0.001934,0.009886),(4365,6745,0.001939,0.009866),(4365,6755,0.001942,0.009845),(4365,6765,0.001945,0.009825),(4365,6775,0.001948,0.009807),(4365,6785,0.00195,0.009788),(4365,6795,0.001951,0.009769),(4365,6805,0.001953,0.009752),(4365,6815,0.001955,0.009735),(4365,6825,0.001955,0.009718),(4365,6835,0.001956,0.009701),(4365,6845,0.001957,0.009685),(4365,6855,0.001957,0.009669),(4365,6865,0.001957,0.009654),(4365,6875,0.001957,0.009639),(4365,6885,0.001957,0.009624),(4365,6895,0.001957,0.00961),(4365,6905,0.001956,0.009596),(4365,6915,0.001956,0.009582),(4365,6925,0.001955,0.009569),(4365,6935,0.001955,0.009555),(4365,6945,0.001954,0.009543),(4365,6955,0.001953,0.009529),(4365,6965,0.001952,0.009517),(4365,6975,0.001951,0.009505),(4365,6985,0.00195,0.009493),(4375,5,3.5e-05,-0.001483),(4375,15,0.000104,-0.001484),(4375,25,0.000173,-0.001485),(4375,35,0.000242,-0.001486),(4375,45,0.000311,-0.001489),(4375,55,0.000381,-0.001492),(4375,65,0.00045,-0.001495),(4375,75,0.00052,-0.001499),(4375,85,0.000591,-0.001503),(4375,95,0.000661,-0.001509),(4375,105,0.000732,-0.001514),(4375,115,0.000803,-0.00152),(4375,125,0.000875,-0.001527),(4375,135,0.000946,-0.001535),(4375,145,0.001019,-0.001542),(4375,155,0.001093,-0.00155),(4375,165,0.001167,-0.00156),(4375,175,0.001241,-0.00157),(4375,185,0.001316,-0.001581),(4375,195,0.001393,-0.001592),(4375,205,0.001469,-0.001604),(4375,215,0.001546,-0.001617),(4375,225,0.001625,-0.001631),(4375,235,0.001705,-0.001644),(4375,245,0.001785,-0.001659),(4375,255,0.001865,-0.001676),(4375,265,0.001948,-0.001692),(4375,275,0.002033,-0.001708),(4375,285,0.002117,-0.001727),(4375,295,0.002201,-0.001746),(4375,305,0.00229,-0.001766),(4375,315,0.002379,-0.001786),(4375,325,0.002469,-0.001808),(4375,335,0.002558,-0.001832),(4375,345,0.002653,-0.001855),(4375,355,0.002749,-0.001879),(4375,365,0.002844,-0.001906),(4375,375,0.00294,-0.001934),(4375,385,0.003043,-0.001962),(4375,395,0.003146,-0.00199),(4375,405,0.003249,-0.002022),(4375,415,0.003352,-0.002055),(4375,425,0.003464,-0.002088),(4375,435,0.003576,-0.002121),(4375,445,0.003688,-0.00216),(4375,455,0.0038,-0.0022),(4375,465,0.003922,-0.002239),(4375,475,0.004045,-0.002278),(4375,485,0.004167,-0.002325),(4375,495,0.00429,-0.002371),(4375,505,0.004424,-0.002418),(4375,515,0.004559,-0.002465),(4375,525,0.004694,-0.00252),(4375,535,0.00483,-0.002575),(4375,545,0.004979,-0.00263),(4375,555,0.005128,-0.002686),(4375,565,0.005278,-0.002751),(4375,575,0.005428,-0.002816),(4375,585,0.005594,-0.002882),(4375,595,0.005761,-0.002948),(4375,605,0.005927,-0.003026),(4375,615,0.006096,-0.003105),(4375,625,0.006282,-0.003182),(4375,635,0.006469,-0.003263),(4375,645,0.006656,-0.003356),(4375,655,0.006846,-0.00345),(4375,665,0.007057,-0.003544),(4375,675,0.007267,-0.003641),(4375,685,0.007478,-0.003754),(4375,695,0.007694,-0.003867),(4375,705,0.007933,-0.00398),(4375,715,0.008173,-0.004098),(4375,725,0.008412,-0.004236),(4375,735,0.008659,-0.004373),(4375,745,0.008933,-0.004511),(4375,755,0.009206,-0.004656),(4375,765,0.00948,-0.004825),(4375,775,0.009764,-0.004994),(4375,785,0.010078,-0.005163),(4375,795,0.010393,-0.005343),(4375,805,0.010707,-0.005552),(4375,815,0.011036,-0.005761),(4375,825,0.0114,-0.00597),(4375,835,0.011763,-0.006196),(4375,845,0.012126,-0.006457),(4375,855,0.01251,-0.006719),(4375,865,0.012932,-0.00698),(4375,875,0.013354,-0.007267),(4375,885,0.013776,-0.007599),(4375,895,0.014225,-0.00793),(4375,905,0.014718,-0.008261),(4375,915,0.01521,-0.008632),(4375,925,0.015703,-0.009058),(4375,935,0.016231,-0.009485),(4375,945,0.016808,-0.009911),(4375,955,0.017384,-0.010397),(4375,965,0.017961,-0.010954),(4375,975,0.018584,-0.011512),(4375,985,0.019258,-0.01207),(4375,995,0.019933,-0.012718),(4375,1005,0.020608,-0.013461),(4375,1015,0.021339,-0.014204),(4375,1025,0.022125,-0.014946),(4375,1035,0.02291,-0.01583),(4375,1045,0.023696,-0.016839),(4375,1055,0.024544,-0.017848),(4375,1065,0.025443,-0.018856),(4375,1075,0.026342,-0.020086),(4375,1085,0.027241,-0.021483),(4375,1095,0.028193,-0.022881),(4375,1105,0.029181,-0.024278),(4375,1115,0.030169,-0.026024),(4375,1125,0.031157,-0.027996),(4375,1135,0.032143,-0.029967),(4375,1145,0.033127,-0.031938),(4375,1155,0.034111,-0.034458),(4375,1165,0.035095,-0.037274),(4375,1175,0.035906,-0.04009),(4375,1185,0.036631,-0.042906),(4375,1195,0.037356,-0.046543),(4375,1205,0.038081,-0.050551),(4375,1215,0.038194,-0.054559),(4375,1225,0.038054,-0.058567),(4375,1235,0.037914,-0.063638),(4375,1245,0.037774,-0.069107),(4375,1255,0.036037,-0.074576),(4375,1265,0.03376,-0.080046),(4375,1275,0.031484,-0.086296),(4375,1285,0.029207,-0.092784),(4375,1295,0.023573,-0.099271),(4375,1305,0.017032,-0.10576),(4375,1315,0.01049,-0.11073),(4375,1325,0.003949,-0.11533),(4375,1335,-0.007195,-0.11993),(4375,1345,-0.019303,-0.12454),(4375,1355,-0.031411,-0.12135),(4375,1365,-0.043519,-0.11675),(4375,1375,-0.050823,-0.11215),(4375,1385,-0.057385,-0.10755),(4375,1395,-0.063948,-0.10127),(4375,1405,-0.070511,-0.094776),(4375,1415,-0.07322,-0.08828),(4375,1425,-0.075529,-0.081783),(4375,1435,-0.077838,-0.07622),(4375,1445,-0.080147,-0.070731),(4375,1455,-0.080442,-0.065243),(4375,1465,-0.080621,-0.059755),(4375,1475,-0.080801,-0.055674),(4375,1485,-0.08098,-0.051645),(4375,1495,-0.080314,-0.047615),(4375,1505,-0.079635,-0.043591),(4375,1515,-0.078957,-0.040756),(4375,1525,-0.078272,-0.037921),(4375,1535,-0.077342,-0.035085),(4375,1545,-0.076413,-0.032288),(4375,1555,-0.075483,-0.030303),(4375,1565,-0.074554,-0.028318),(4375,1575,-0.073628,-0.026333),(4375,1585,-0.072701,-0.024397),(4375,1595,-0.071775,-0.022993),(4375,1605,-0.070859,-0.021589),(4375,1615,-0.070027,-0.020185),(4375,1625,-0.069195,-0.01883),(4375,1635,-0.068364,-0.017823),(4375,1645,-0.067549,-0.016816),(4375,1655,-0.066833,-0.015809),(4375,1665,-0.066118,-0.014847),(4375,1675,-0.065402,-0.014116),(4375,1685,-0.064707,-0.013385),(4375,1695,-0.064101,-0.012654),(4375,1705,-0.063496,-0.011964),(4375,1715,-0.06289,-0.011431),(4375,1725,-0.062305,-0.010898),(4375,1735,-0.061793,-0.010365),(4375,1745,-0.061281,-0.009869),(4375,1755,-0.060769,-0.009484),(4375,1765,-0.060276,-0.009099),(4375,1775,-0.059838,-0.008714),(4375,1785,-0.059401,-0.008361),(4375,1795,-0.058963,-0.008092),(4375,1805,-0.058542,-0.007822),(4375,1815,-0.05816,-0.007552),(4375,1825,-0.057778,-0.007313),(4375,1835,-0.057396,-0.007138),(4375,1845,-0.057027,-0.006963),(4375,1855,-0.056682,-0.006788),(4375,1865,-0.056337,-0.006643),(4375,1875,-0.055992,-0.00655),(4375,1885,-0.055655,-0.006457),(4375,1895,-0.05533,-0.006365),(4375,1905,-0.055004,-0.006302),(4375,1915,-0.054679,-0.006286),(4375,1925,-0.054354,-0.006268),(4375,1935,-0.054031,-0.006251),(4375,1945,-0.053708,-0.006267),(4375,1955,-0.053384,-0.006323),(4375,1965,-0.053054,-0.006379),(4375,1975,-0.052715,-0.006435),(4375,1985,-0.052377,-0.006527),(4375,1995,-0.052038,-0.006658),(4375,2005,-0.051682,-0.006788),(4375,2015,-0.05131,-0.006919),(4375,2025,-0.050937,-0.00709),(4375,2035,-0.050565,-0.007299),(4375,2045,-0.050163,-0.007508),(4375,2055,-0.049737,-0.007717),(4375,2065,-0.049312,-0.007973),(4375,2075,-0.048886,-0.008266),(4375,2085,-0.048417,-0.008559),(4375,2095,-0.047917,-0.008853),(4375,2105,-0.047416,-0.009202),(4375,2115,-0.046916,-0.009588),(4375,2125,-0.046355,-0.009974),(4375,2135,-0.045757,-0.01036),(4375,2145,-0.045159,-0.010812),(4375,2155,-0.04456,-0.0113),(4375,2165,-0.04388,-0.011789),(4375,2175,-0.043157,-0.012278),(4375,2185,-0.042434,-0.012844),(4375,2195,-0.041711,-0.013447),(4375,2205,-0.04088,-0.01405),(4375,2215,-0.040003,-0.014653),(4375,2225,-0.039125,-0.015347),(4375,2235,-0.038247,-0.016077),(4375,2245,-0.03723,-0.016806),(4375,2255,-0.036163,-0.017536),(4375,2265,-0.035096,-0.018372),(4375,2275,-0.034029,-0.019241),(4375,2285,-0.032784,-0.020111),(4375,2295,-0.031489,-0.020981),(4375,2305,-0.030193,-0.021973),(4375,2315,-0.028898,-0.022998),(4375,2325,-0.027378,-0.024022),(4375,2335,-0.025809,-0.025046),(4375,2345,-0.02424,-0.026211),(4375,2355,-0.022671,-0.027403),(4375,2365,-0.020824,-0.028596),(4375,2375,-0.018931,-0.029789),(4375,2385,-0.017038,-0.03114),(4375,2395,-0.015145,-0.032515),(4375,2405,-0.012911,-0.033889),(4375,2415,-0.010639,-0.035263),(4375,2425,-0.008366,-0.036813),(4375,2435,-0.006093,-0.03838),(4375,2445,-0.003409,-0.039947),(4375,2455,-0.000696,-0.041513),(4375,2465,0.002016,-0.04327),(4375,2475,0.004729,-0.045037),(4375,2485,0.007933,-0.046803),(4375,2495,0.011149,-0.048569),(4375,2505,0.014365,-0.050534),(4375,2515,0.017589,-0.052501),(4375,2525,0.021373,-0.054467),(4375,2535,0.025158,-0.05644),(4375,2545,0.028942,-0.058599),(4375,2555,0.03276,-0.060758),(4375,2565,0.037176,-0.062917),(4375,2575,0.041592,-0.065089),(4375,2585,0.046007,-0.067422),(4375,2595,0.050488,-0.069754),(4375,2605,0.055593,-0.072087),(4375,2615,0.060699,-0.074436),(4375,2625,0.065805,-0.076912),(4375,2635,0.071009,-0.079388),(4375,2645,0.076854,-0.081863),(4375,2655,0.082699,-0.084355),(4375,2665,0.088545,-0.086931),(4375,2675,0.094524,-0.089507),(4375,2685,0.10115,-0.092083),(4375,2695,0.10777,-0.094667),(4375,2705,0.11439,-0.097289),(4375,2715,0.12118,-0.099911),(4375,2725,0.1286,-0.10253),(4375,2735,0.13602,-0.10515),(4375,2745,0.14343,-0.10776),(4375,2755,0.15105,-0.11036),(4375,2765,0.15926,-0.11297),(4375,2775,0.16748,-0.11555),(4375,2785,0.17569,-0.11807),(4375,2795,0.18413,-0.12059),(4375,2805,0.19312,-0.12311),(4375,2815,0.20211,-0.12559),(4375,2825,0.21109,-0.12795),(4375,2835,0.22032,-0.13032),(4375,2845,0.23004,-0.13269),(4375,2855,0.23976,-0.13498),(4375,2865,0.24948,-0.13713),(4375,2875,0.25945,-0.13929),(4375,2885,0.26984,-0.14144),(4375,2895,0.28022,-0.14348),(4375,2905,0.29061,-0.14536),(4375,2915,0.30124,-0.14723),(4375,2925,0.31222,-0.14911),(4375,2935,0.3232,-0.15084),(4375,2945,0.33418,-0.1524),(4375,2955,0.34539,-0.15395),(4375,2965,0.35687,-0.1555),(4375,2975,0.36835,-0.15688),(4375,2985,0.37983,-0.15806),(4375,2995,0.3915,-0.15925),(4375,3005,0.40338,-0.16043),(4375,3015,0.41526,-0.16141),(4375,3025,0.42713,-0.16219),(4375,3035,0.43916,-0.16298),(4375,3045,0.45133,-0.16376),(4375,3055,0.46349,-0.16431),(4375,3065,0.47565,-0.16466),(4375,3075,0.48791,-0.16502),(4375,3085,0.50024,-0.16537),(4375,3095,0.51257,-0.16546),(4375,3105,0.5249,-0.16536),(4375,3115,0.53725,-0.16526),(4375,3125,0.54962,-0.16516),(4375,3135,0.56199,-0.16476),(4375,3145,0.57436,-0.16419),(4375,3155,0.58666,-0.16361),(4375,3165,0.59893,-0.16304),(4375,3175,0.6112,-0.16213),(4375,3185,0.62347,-0.16106),(4375,3195,0.63557,-0.15998),(4375,3205,0.6476,-0.15891),(4375,3215,0.65963,-0.15747),(4375,3225,0.67165,-0.15588),(4375,3235,0.68339,-0.15429),(4375,3245,0.69501,-0.15271),(4375,3255,0.70664,-0.15072),(4375,3265,0.71826,-0.1486),(4375,3275,0.72945,-0.14647),(4375,3285,0.74051,-0.14435),(4375,3295,0.75157,-0.1418),(4375,3305,0.76263,-0.13913),(4375,3315,0.77308,-0.13647),(4375,3325,0.7834,-0.1338),(4375,3335,0.79371,-0.13068),(4375,3345,0.80402,-0.12746),(4375,3355,0.81355,-0.12424),(4375,3365,0.82293,-0.12102),(4375,3375,0.83231,-0.11733),(4375,3385,0.84169,-0.11357),(4375,3395,0.85007,-0.1098),(4375,3405,0.85833,-0.10604),(4375,3415,0.86659,-0.1018),(4375,3425,0.87485,-0.097514),(4375,3435,0.88189,-0.093226),(4375,3445,0.88883,-0.088939),(4375,3455,0.89578,-0.084194),(4375,3465,0.90272,-0.079424),(4375,3475,0.90822,-0.074653),(4375,3485,0.91367,-0.069882),(4375,3495,0.91912,-0.064699),(4375,3505,0.92456,-0.05951),(4375,3515,0.92836,-0.05432),(4375,3525,0.93215,-0.049123),(4375,3535,0.93594,-0.043604),(4375,3545,0.93965,-0.038084),(4375,3555,0.94166,-0.032565),(4375,3565,0.94366,-0.027032),(4375,3575,0.94567,-0.021297),(4375,3585,0.94751,-0.015561),(4375,3595,0.94763,-0.009825),(4375,3605,0.94775,-0.00408),(4375,3615,0.94788,0.001742),(4375,3625,0.94776,0.007564),(4375,3635,0.94595,0.013386),(4375,3645,0.94415,0.019201),(4375,3655,0.94234,0.024968),(4375,3665,0.94022,0.030735),(4375,3675,0.9365,0.036502),(4375,3685,0.93277,0.042233),(4375,3695,0.92904,0.047802),(4375,3705,0.92494,0.053372),(4375,3715,0.91934,0.058941),(4375,3725,0.91374,0.064436),(4375,3735,0.90814,0.06967),(4375,3745,0.90211,0.074904),(4375,3755,0.89472,0.080139),(4375,3765,0.88733,0.085251),(4375,3775,0.87995,0.090021),(4375,3785,0.87208,0.094791),(4375,3795,0.863,0.099561),(4375,3805,0.85392,0.10415),(4375,3815,0.84484,0.10834),(4375,3825,0.83523,0.11252),(4375,3835,0.82452,0.1167),(4375,3845,0.81381,0.12064),(4375,3855,0.8031,0.12412),(4375,3865,0.7918,0.1276),(4375,3875,0.77943,0.13108),(4375,3885,0.76707,0.13427),(4375,3895,0.7547,0.13698),(4375,3905,0.74158,0.13969),(4375,3915,0.72733,0.1424),(4375,3925,0.71307,0.14484),(4375,3935,0.69882,0.14693),(4375,3945,0.68347,0.14902),(4375,3955,0.66675,0.1511),(4375,3965,0.65002,0.15334),(4375,3975,0.6333,0.15575),(4375,3985,0.61503,0.15816),(4375,3995,0.59509,0.16057),(4375,4005,0.57514,0.16454),(4375,4015,0.5552,0.17007),(4375,4025,0.9306,0.1756),(4375,4035,1.3447,0.18052),(4375,4045,1.7587,0.18414),(4375,4055,2.0581,0.18777),(4375,4065,2.3157,0.19051),(4375,4075,2.5732,0.188),(4375,4085,2.6863,0.18549),(4375,4095,2.6833,0.18297),(4375,4105,2.6803,0.17851),(4375,4115,2.5789,0.17398),(4375,4125,2.3146,0.16945),(4375,4135,2.0503,0.16769),(4375,4145,1.7835,0.16667),(4375,4155,1.5069,0.16566),(4375,4165,1.2302,0.16727),(4375,4175,0.96935,0.17058),(4375,4185,1.4883,0.17389),(4375,4195,2.0073,0.17339),(4375,4205,2.5263,0.16788),(4375,4215,2.6057,0.16237),(4375,4225,2.6024,0.15715),(4375,4235,2.599,0.15277),(4375,4245,2.5946,0.1484),(4375,4255,2.5896,0.14392),(4375,4265,2.5847,0.13817),(4375,4275,2.2445,0.13243),(4375,4285,1.5487,0.12668),(4375,4295,0.85291,0.13067),(4375,4305,0.55132,0.13578),(4375,4315,1.1399,0.1409),(4375,4325,1.7284,0.14213),(4375,4335,2.2519,0.14184),(4375,4345,2.3348,0.14154),(4375,4355,2.4177,0.14033),(4375,4365,2.5006,0.13834),(4375,4375,2.5016,0.13635),(4375,4385,2.4984,0.1337),(4375,4395,2.4952,0.12986),(4375,4405,2.1597,0.12602),(4375,4415,1.7263,0.12298),(4375,4425,1.2928,0.12345),(4375,4435,1.1081,0.12392),(4375,4445,1.0932,0.12438),(4375,4455,1.0784,0.12461),(4375,4465,1.247,0.12484),(4375,4475,1.6733,0.12506),(4375,4485,2.0996,0.12314),(4375,4495,2.4239,0.12076),(4375,4505,2.421,0.11838),(4375,4515,2.4181,0.11699),(4375,4525,2.4101,0.11613),(4375,4535,2.3219,0.11527),(4375,4545,2.2336,0.11528),(4375,4555,2.1454,0.11627),(4375,4565,1.5985,0.11725),(4375,4575,0.98973,0.11858),(4375,4585,0.381,0.12071),(4375,4595,0.67685,0.12285),(4375,4605,1.3549,0.12425),(4375,4615,2.033,0.11986),(4375,4625,2.3547,0.11548),(4375,4635,2.3538,0.1111),(4375,4645,2.3528,0.10854),(4375,4655,2.3512,0.1061),(4375,4665,2.3483,0.10366),(4375,4675,2.3455,0.10049),(4375,4685,2.2573,0.09709),(4375,4695,1.7478,0.09369),(4375,4705,1.2382,0.092043),(4375,4715,0.72859,0.091671),(4375,4725,0.96207,0.091299),(4375,4735,1.203,0.090978),(4375,4745,1.4439,0.090736),(4375,4755,1.6929,0.090493),(4375,4765,1.9437,0.090272),(4375,4775,2.1945,0.09013),(4375,4785,2.2851,0.089987),(4375,4795,2.283,0.08985),(4375,4805,2.2809,0.089823),(4375,4815,2.1644,0.089797),(4375,4825,1.9109,0.08977),(4375,4835,1.6574,0.090175),(4375,4845,1.4022,0.090647),(4375,4855,1.1425,0.091118),(4375,4865,0.88282,0.090061),(4375,4875,0.69868,0.088312),(4375,4885,1.2018,0.086562),(4375,4895,1.705,0.085005),(4375,4905,2.2082,0.083634),(4375,4915,2.2468,0.082263),(4375,4925,2.2454,0.081414),(4375,4935,2.2441,0.081617),(4375,4945,2.2407,0.08182),(4375,4955,2.2366,0.082062),(4375,4965,2.2324,0.082515),(4375,4975,1.8543,0.082968),(4375,4985,1.1873,0.083421),(4375,4995,0.52041,0.081664),(4375,5005,0.30105,0.07985),(4375,5015,0.79322,0.078037),(4375,5025,1.2854,0.077167),(4375,5035,1.7096,0.076538),(4375,5045,1.8747,0.075908),(4375,5055,2.0398,0.075448),(4375,5065,2.1999,0.075092),(4375,5075,2.1977,0.074737),(4375,5085,2.1955,0.074538),(4375,5095,2.1932,0.074539),(4375,5105,1.9086,0.07454),(4375,5115,1.5747,0.074568),(4375,5125,1.2407,0.074674),(4375,5135,1.0715,0.074779),(4375,5145,0.98214,0.074642),(4375,5155,0.89279,0.071865),(4375,5165,1.0523,0.069087),(4375,5175,1.4656,0.066309),(4375,5185,1.8789,0.064565),(4375,5195,2.1603,0.062929),(4375,5205,2.1572,0.061293),(4375,5215,2.1542,0.061964),(4375,5225,2.1397,0.063499),(4375,5235,2.0544,0.065034),(4375,5245,1.969,0.069263),(4375,5255,1.8836,0.075701),(4375,5265,1.3225,0.082139),(4375,5275,0.74178,0.08567),(4375,5285,0.16104,0.084279),(4375,5295,0.54778,0.082888),(4375,5305,1.2039,0.080736),(4375,5315,1.8601,0.075404),(4375,5325,2.1183,0.070072),(4375,5335,2.1155,0.06481),(4375,5345,2.1127,0.064166),(4375,5355,2.1085,0.063523),(4375,5365,2.1025,0.062879),(4375,5375,2.0964,0.064512),(4375,5385,1.9711,0.066589),(4375,5395,1.4832,0.068666),(4375,5405,0.99536,0.070406),(4375,5415,0.55946,0.071971),(4375,5425,0.82155,0.073536),(4375,5435,1.0836,0.072411),(4375,5445,1.3457,0.068373),(4375,5455,1.5946,0.064335),(4375,5465,1.8418,0.061441),(4375,5475,2.089,0.061188),(4375,5485,2.1529,0.060935),(4375,5495,2.1429,0.061184),(4375,5505,2.1329,0.064993),(4375,5515,2.1228,0.068802),(4375,5525,2.1125,0.07261),(4375,5535,2.1023,0.077869),(4375,5545,2.0926,0.083211),(4375,5555,2.0838,0.088553),(4375,5565,2.075,0.093848),(4375,5575,2.0664,0.099128),(4375,5585,2.0594,0.10441),(4375,5595,2.0523,0.10924),(4375,5605,2.0452,0.11376),(4375,5615,2.0397,0.11828),(4375,5625,2.0341,0.12239),(4375,5635,2.0286,0.12593),(4375,5645,2.024,0.12947),(4375,5655,2.0196,0.1328),(4375,5665,2.0153,0.13543),(4375,5675,2.0114,0.13806),(4375,5685,2.0079,0.14066),(4375,5695,2.0044,0.14251),(4375,5705,2.0011,0.14436),(4375,5715,1.9981,0.14622),(4375,5725,1.9952,0.14751),(4375,5735,1.9923,0.14871),(4375,5745,1.9897,0.14992),(4375,5755,1.9871,0.15074),(4375,5765,1.9845,0.15139),(4375,5775,1.9821,0.15204),(4375,5785,1.9796,0.15241),(4375,5795,1.9772,0.15253),(4375,5805,1.9749,0.15265),(4375,5815,1.9726,0.15258),(4375,5825,1.9702,0.15214),(4375,5835,1.9678,0.1517),(4375,5845,1.9654,0.15114),(4375,5855,1.9631,0.14995),(4375,5865,1.9605,0.14877),(4375,5875,1.9578,0.14759),(4375,5885,1.9551,0.14536),(4375,5895,1.9522,0.14312),(4375,5905,1.9488,0.14088),(4375,5915,1.9454,0.13735),(4375,5925,1.9416,0.1335),(4375,5935,1.9365,0.12966),(4375,5945,1.9313,0.12449),(4375,5955,1.926,0.11854),(4375,5965,1.9169,0.11259),(4375,5975,1.9078,0.10627),(4375,5985,1.8987,0.099496),(4375,5995,1.4501,0.092725),(4375,6005,0.93085,0.087929),(4375,6015,0.41158,0.088415),(4375,6025,0.63732,0.088901),(4375,6035,1.2086,0.090171),(4375,6045,1.7799,0.098994),(4375,6055,2.1478,0.10782),(4375,6065,2.3163,0.11664),(4375,6075,2.4849,0.1412),(4375,6085,2.5898,0.16721),(4375,6095,2.5638,0.19322),(4375,6105,2.5378,0.212),(4375,6115,2.5139,0.22821),(4375,6125,2.5021,0.24442),(4375,6135,2.4904,0.25505),(4375,6145,2.4787,0.26127),(4375,6155,2.4735,0.26749),(4375,6165,2.4685,0.27139),(4375,6175,2.4636,0.2715),(4375,6185,2.461,0.27162),(4375,6195,2.4592,0.27105),(4375,6205,2.4573,0.26778),(4375,6215,2.4562,0.2645),(4375,6225,2.4557,0.26118),(4375,6235,2.4552,0.25599),(4375,6245,2.4549,0.25081),(4375,6255,2.4549,0.24563),(4375,6265,2.455,0.23965),(4375,6275,2.4551,0.23353),(4375,6285,2.4553,0.22741),(4375,6295,2.4555,0.22096),(4375,6305,2.4557,0.21435),(4375,6315,2.4561,0.20774),(4375,6325,2.4564,0.20102),(4375,6335,2.4568,0.19418),(4375,6345,2.4571,0.18735),(4375,6355,2.4574,0.18049),(4375,6365,2.4577,0.17359),(4375,6375,2.458,0.16669),(4375,6385,2.4583,0.15979),(4375,6395,2.4586,0.15289),(4375,6405,2.4589,0.14599),(4375,6415,2.4592,0.13909),(4375,6425,2.4595,0.13226),(4375,6435,2.4597,0.12543),(4375,6445,2.46,0.1186),(4375,6455,2.4602,0.11179),(4375,6465,2.4605,0.105),(4375,6475,2.4607,0.098204),(4375,6485,2.4609,0.091423),(4375,6495,2.4611,0.084651),(4375,6505,2.4612,0.077878),(4375,6515,2.4614,0.071137),(4375,6525,2.4616,0.064439),(4375,6535,2.4617,0.057742),(4375,6545,2.4619,0.051057),(4375,6555,2.462,0.044413),(4375,6565,2.4621,0.037769),(4375,6575,2.4622,0.031124),(4375,6585,2.4623,0.024468),(4375,6595,2.0944,0.017812),(4375,6605,1.3202,0.011156),(4375,6615,0.54608,0.010324),(4375,6625,0.00187,0.010239),(4375,6635,0.001881,0.010155),(4375,6645,0.001892,0.010111),(4375,6655,0.001903,0.010084),(4375,6665,0.001911,0.010057),(4375,6675,0.001919,0.010031),(4375,6685,0.001927,0.010006),(4375,6695,0.001933,0.009982),(4375,6705,0.001938,0.009958),(4375,6715,0.001944,0.009935),(4375,6725,0.001948,0.009912),(4375,6735,0.001952,0.00989),(4375,6745,0.001955,0.009869),(4375,6755,0.001958,0.009849),(4375,6765,0.00196,0.009828),(4375,6775,0.001963,0.009809),(4375,6785,0.001964,0.00979),(4375,6795,0.001965,0.009771),(4375,6805,0.001967,0.009753),(4375,6815,0.001968,0.009736),(4375,6825,0.001968,0.009718),(4375,6835,0.001968,0.009702),(4375,6845,0.001969,0.009686),(4375,6855,0.001968,0.00967),(4375,6865,0.001968,0.009654),(4375,6875,0.001968,0.009639),(4375,6885,0.001967,0.009624),(4375,6895,0.001967,0.009609),(4375,6905,0.001966,0.009596),(4375,6915,0.001965,0.009582),(4375,6925,0.001964,0.009568),(4375,6935,0.001963,0.009555),(4375,6945,0.001962,0.009542),(4375,6955,0.001961,0.009529),(4375,6965,0.00196,0.009516),(4375,6975,0.001959,0.009504),(4375,6985,0.001958,0.009492),(4385,5,3.5e-05,-0.001414),(4385,15,0.000104,-0.001415),(4385,25,0.000174,-0.001417),(4385,35,0.000243,-0.001418),(4385,45,0.000313,-0.00142),(4385,55,0.000382,-0.001423),(4385,65,0.000452,-0.001426),(4385,75,0.000523,-0.001429),(4385,85,0.000593,-0.001433),(4385,95,0.000664,-0.001438),(4385,105,0.000735,-0.001443),(4385,115,0.000807,-0.001449),(4385,125,0.000879,-0.001455),(4385,135,0.000951,-0.001462),(4385,145,0.001024,-0.00147),(4385,155,0.001098,-0.001477),(4385,165,0.001172,-0.001486),(4385,175,0.001246,-0.001496),(4385,185,0.001323,-0.001506),(4385,195,0.0014,-0.001515),(4385,205,0.001477,-0.001527),(4385,215,0.001554,-0.00154),(4385,225,0.001633,-0.001552),(4385,235,0.001714,-0.001564),(4385,245,0.001794,-0.001579),(4385,255,0.001875,-0.001594),(4385,265,0.001959,-0.001609),(4385,275,0.002043,-0.001625),(4385,285,0.002128,-0.001642),(4385,295,0.002213,-0.00166),(4385,305,0.002302,-0.001679),(4385,315,0.002392,-0.001697),(4385,325,0.002482,-0.001718),(4385,335,0.002573,-0.00174),(4385,345,0.002668,-0.001762),(4385,355,0.002765,-0.001784),(4385,365,0.002861,-0.001809),(4385,375,0.002958,-0.001835),(4385,385,0.003061,-0.001862),(4385,395,0.003165,-0.001888),(4385,405,0.003269,-0.001918),(4385,415,0.003374,-0.001949),(4385,425,0.003486,-0.00198),(4385,435,0.003599,-0.002011),(4385,445,0.003712,-0.002047),(4385,455,0.003825,-0.002083),(4385,465,0.003949,-0.00212),(4385,475,0.004073,-0.002157),(4385,485,0.004197,-0.0022),(4385,495,0.004321,-0.002244),(4385,505,0.004457,-0.002287),(4385,515,0.004594,-0.002331),(4385,525,0.00473,-0.002383),(4385,535,0.004867,-0.002434),(4385,545,0.005019,-0.002486),(4385,555,0.00517,-0.002538),(4385,565,0.005321,-0.002599),(4385,575,0.005474,-0.00266),(4385,585,0.005643,-0.002721),(4385,595,0.005812,-0.002784),(4385,605,0.00598,-0.002857),(4385,615,0.006152,-0.00293),(4385,625,0.006342,-0.003003),(4385,635,0.006531,-0.003078),(4385,645,0.006721,-0.003166),(4385,655,0.006915,-0.003254),(4385,665,0.007129,-0.003342),(4385,675,0.007344,-0.003433),(4385,685,0.007559,-0.003539),(4385,695,0.007779,-0.003645),(4385,705,0.008023,-0.003751),(4385,715,0.008268,-0.003862),(4385,725,0.008512,-0.003991),(4385,735,0.008765,-0.004121),(4385,745,0.009045,-0.00425),(4385,755,0.009325,-0.004387),(4385,765,0.009605,-0.004546),(4385,775,0.009897,-0.004705),(4385,785,0.01022,-0.004863),(4385,795,0.010543,-0.005034),(4385,805,0.010866,-0.005231),(4385,815,0.011205,-0.005428),(4385,825,0.01158,-0.005625),(4385,835,0.011955,-0.005839),(4385,845,0.01233,-0.006087),(4385,855,0.012727,-0.006334),(4385,865,0.013164,-0.006581),(4385,875,0.013602,-0.006854),(4385,885,0.01404,-0.007169),(4385,895,0.014507,-0.007484),(4385,905,0.015022,-0.007799),(4385,915,0.015536,-0.008152),(4385,925,0.01605,-0.008559),(4385,935,0.016604,-0.008966),(4385,945,0.017211,-0.009374),(4385,955,0.017819,-0.009839),(4385,965,0.018426,-0.010375),(4385,975,0.019085,-0.010911),(4385,985,0.019804,-0.011447),(4385,995,0.020523,-0.012073),(4385,1005,0.021242,-0.012793),(4385,1015,0.022028,-0.013513),(4385,1025,0.022879,-0.014232),(4385,1035,0.023729,-0.015094),(4385,1045,0.02458,-0.016082),(4385,1055,0.025511,-0.017069),(4385,1065,0.026508,-0.018057),(4385,1075,0.027505,-0.019272),(4385,1085,0.028502,-0.020659),(4385,1095,0.029581,-0.022046),(4385,1105,0.030719,-0.023432),(4385,1115,0.031856,-0.025187),(4385,1125,0.032993,-0.027178),(4385,1135,0.034178,-0.029169),(4385,1145,0.035389,-0.03116),(4385,1155,0.036601,-0.033745),(4385,1165,0.037813,-0.036652),(4385,1175,0.038924,-0.039559),(4385,1185,0.039985,-0.042466),(4385,1195,0.041047,-0.046297),(4385,1205,0.042108,-0.050548),(4385,1215,0.042629,-0.054798),(4385,1225,0.042928,-0.059049),(4385,1235,0.043227,-0.064565),(4385,1245,0.043526,-0.070554),(4385,1255,0.042166,-0.076544),(4385,1265,0.040246,-0.082533),(4385,1275,0.038326,-0.089583),(4385,1285,0.036405,-0.096956),(4385,1295,0.030484,-0.10433),(4385,1305,0.023482,-0.1117),(4385,1315,0.016479,-0.11754),(4385,1325,0.009476,-0.12301),(4385,1335,-0.004013,-0.12849),(4385,1345,-0.018861,-0.13396),(4385,1355,-0.03371,-0.13017),(4385,1365,-0.048558,-0.12471),(4385,1375,-0.056628,-0.11925),(4385,1385,-0.063652,-0.11378),(4385,1395,-0.070677,-0.10662),(4385,1405,-0.077701,-0.099246),(4385,1415,-0.08013,-0.091868),(4385,1425,-0.082082,-0.08449),(4385,1435,-0.084033,-0.078382),(4385,1445,-0.085985,-0.072375),(4385,1455,-0.085844,-0.066369),(4385,1465,-0.085582,-0.060362),(4385,1475,-0.08532,-0.056032),(4385,1485,-0.085058,-0.051761),(4385,1495,-0.084052,-0.047491),(4385,1505,-0.083035,-0.043227),(4385,1515,-0.082018,-0.040303),(4385,1525,-0.080997,-0.037379),(4385,1535,-0.079838,-0.034455),(4385,1545,-0.078678,-0.031572),(4385,1555,-0.077519,-0.029569),(4385,1565,-0.076364,-0.027567),(4385,1575,-0.075286,-0.025564),(4385,1585,-0.074208,-0.023613),(4385,1595,-0.073131,-0.022221),(4385,1605,-0.072068,-0.020829),(4385,1615,-0.071136,-0.019436),(4385,1625,-0.070204,-0.018095),(4385,1635,-0.069272,-0.017109),(4385,1645,-0.068361,-0.016124),(4385,1655,-0.067577,-0.015139),(4385,1665,-0.066794,-0.014199),(4385,1675,-0.06601,-0.013491),(4385,1685,-0.06525,-0.012783),(4385,1695,-0.064597,-0.012075),(4385,1705,-0.063943,-0.011407),(4385,1715,-0.06329,-0.010894),(4385,1725,-0.06266,-0.010382),(4385,1735,-0.062113,-0.00987),(4385,1745,-0.061566,-0.009393),(4385,1755,-0.061019,-0.009025),(4385,1765,-0.060493,-0.008657),(4385,1775,-0.060029,-0.008289),(4385,1785,-0.059565,-0.007952),(4385,1795,-0.0591,-0.007696),(4385,1805,-0.058654,-0.007439),(4385,1815,-0.05825,-0.007182),(4385,1825,-0.057846,-0.006954),(4385,1835,-0.057442,-0.006788),(4385,1845,-0.057052,-0.006621),(4385,1855,-0.056689,-0.006455),(4385,1865,-0.056325,-0.006317),(4385,1875,-0.055962,-0.006229),(4385,1885,-0.055606,-0.006141),(4385,1895,-0.055264,-0.006053),(4385,1905,-0.054921,-0.005993),(4385,1915,-0.054579,-0.005977),(4385,1925,-0.054237,-0.00596),(4385,1935,-0.053898,-0.005943),(4385,1945,-0.053558,-0.005957),(4385,1955,-0.053218,-0.006009),(4385,1965,-0.052871,-0.006062),(4385,1975,-0.052516,-0.006114),(4385,1985,-0.052161,-0.0062),(4385,1995,-0.051805,-0.006322),(4385,2005,-0.051433,-0.006444),(4385,2015,-0.051043,-0.006566),(4385,2025,-0.050653,-0.006727),(4385,2035,-0.050263,-0.006922),(4385,2045,-0.049843,-0.007118),(4385,2055,-0.049399,-0.007314),(4385,2065,-0.048954,-0.007554),(4385,2075,-0.04851,-0.007829),(4385,2085,-0.048021,-0.008104),(4385,2095,-0.0475,-0.008379),(4385,2105,-0.04698,-0.008706),(4385,2115,-0.046459,-0.009068),(4385,2125,-0.045876,-0.00943),(4385,2135,-0.045256,-0.009791),(4385,2145,-0.044635,-0.010214),(4385,2155,-0.044014,-0.010672),(4385,2165,-0.04331,-0.01113),(4385,2175,-0.042562,-0.011588),(4385,2185,-0.041815,-0.012118),(4385,2195,-0.041067,-0.012683),(4385,2205,-0.04021,-0.013247),(4385,2215,-0.039305,-0.013812),(4385,2225,-0.0384,-0.014461),(4385,2235,-0.037495,-0.015143),(4385,2245,-0.036449,-0.015826),(4385,2255,-0.035352,-0.016508),(4385,2265,-0.034256,-0.017289),(4385,2275,-0.033159,-0.018102),(4385,2285,-0.031883,-0.018914),(4385,2295,-0.030555,-0.019727),(4385,2305,-0.029227,-0.020653),(4385,2315,-0.027899,-0.021609),(4385,2325,-0.026346,-0.022564),(4385,2335,-0.024742,-0.02352),(4385,2345,-0.023138,-0.024606),(4385,2355,-0.021534,-0.025717),(4385,2365,-0.019652,-0.026828),(4385,2375,-0.017722,-0.02794),(4385,2385,-0.015792,-0.029198),(4385,2395,-0.013862,-0.030476),(4385,2405,-0.011591,-0.031755),(4385,2415,-0.009281,-0.033034),(4385,2425,-0.00697,-0.034474),(4385,2435,-0.00466,-0.03593),(4385,2445,-0.001937,-0.037386),(4385,2455,0.000814,-0.038841),(4385,2465,0.003564,-0.040472),(4385,2475,0.006315,-0.04211),(4385,2485,0.009556,-0.043749),(4385,2495,0.012809,-0.045388),(4385,2505,0.016062,-0.047209),(4385,2515,0.019324,-0.049032),(4385,2525,0.023142,-0.050854),(4385,2535,0.026961,-0.052682),(4385,2545,0.030779,-0.054681),(4385,2555,0.034632,-0.056679),(4385,2565,0.039076,-0.058677),(4385,2575,0.043521,-0.060687),(4385,2585,0.047965,-0.062844),(4385,2595,0.052474,-0.065),(4385,2605,0.0576,-0.067157),(4385,2615,0.062727,-0.069328),(4385,2625,0.067853,-0.071615),(4385,2635,0.073077,-0.073901),(4385,2645,0.078931,-0.076187),(4385,2655,0.084786,-0.078488),(4385,2665,0.090641,-0.080864),(4385,2675,0.096628,-0.083241),(4385,2685,0.10324,-0.085618),(4385,2695,0.10986,-0.088002),(4385,2705,0.11648,-0.09042),(4385,2715,0.12326,-0.092837),(4385,2725,0.13066,-0.095254),(4385,2735,0.13806,-0.097667),(4385,2745,0.14545,-0.10007),(4385,2755,0.15305,-0.10247),(4385,2765,0.16122,-0.10487),(4385,2775,0.1694,-0.10725),(4385,2785,0.17758,-0.10957),(4385,2795,0.18597,-0.11189),(4385,2805,0.19491,-0.11421),(4385,2815,0.20384,-0.11649),(4385,2825,0.21277,-0.11867),(4385,2835,0.22194,-0.12085),(4385,2845,0.23159,-0.12303),(4385,2855,0.24124,-0.12514),(4385,2865,0.25089,-0.12712),(4385,2875,0.26078,-0.1291),(4385,2885,0.27108,-0.13107),(4385,2895,0.28138,-0.13295),(4385,2905,0.29169,-0.13468),(4385,2915,0.30223,-0.1364),(4385,2925,0.31311,-0.13812),(4385,2935,0.32399,-0.13972),(4385,2945,0.33487,-0.14114),(4385,2955,0.34598,-0.14256),(4385,2965,0.35735,-0.14399),(4385,2975,0.36872,-0.14525),(4385,2985,0.38009,-0.14633),(4385,2995,0.39165,-0.14741),(4385,3005,0.40341,-0.14849),(4385,3015,0.41517,-0.14939),(4385,3025,0.42693,-0.1501),(4385,3035,0.43884,-0.15081),(4385,3045,0.45088,-0.15152),(4385,3055,0.46292,-0.15201),(4385,3065,0.47496,-0.15232),(4385,3075,0.48709,-0.15263),(4385,3085,0.49929,-0.15294),(4385,3095,0.51149,-0.153),(4385,3105,0.52369,-0.15289),(4385,3115,0.53592,-0.15278),(4385,3125,0.54815,-0.15267),(4385,3135,0.56039,-0.15229),(4385,3145,0.57262,-0.15173),(4385,3155,0.58479,-0.15118),(4385,3165,0.59692,-0.15063),(4385,3175,0.60906,-0.14977),(4385,3185,0.62119,-0.14876),(4385,3195,0.63315,-0.14775),(4385,3205,0.64504,-0.14674),(4385,3215,0.65692,-0.14539),(4385,3225,0.66881,-0.1439),(4385,3235,0.6804,-0.14241),(4385,3245,0.69189,-0.14092),(4385,3255,0.70337,-0.13907),(4385,3265,0.71485,-0.13709),(4385,3275,0.7259,-0.13511),(4385,3285,0.73682,-0.13313),(4385,3295,0.74773,-0.13076),(4385,3305,0.75865,-0.12828),(4385,3315,0.76896,-0.1258),(4385,3325,0.77913,-0.12332),(4385,3335,0.7893,-0.12043),(4385,3345,0.79947,-0.11744),(4385,3355,0.80886,-0.11446),(4385,3365,0.8181,-0.11148),(4385,3375,0.82734,-0.10807),(4385,3385,0.83659,-0.10459),(4385,3395,0.84484,-0.10111),(4385,3405,0.85297,-0.097633),(4385,3415,0.86109,-0.093725),(4385,3425,0.86922,-0.089772),(4385,3435,0.87614,-0.085819),(4385,3445,0.88297,-0.081866),(4385,3455,0.88979,-0.0775),(4385,3465,0.89662,-0.073111),(4385,3475,0.90202,-0.068722),(4385,3485,0.90737,-0.064332),(4385,3495,0.91271,-0.059572),(4385,3505,0.91805,-0.054807),(4385,3515,0.92177,-0.050041),(4385,3525,0.92548,-0.045268),(4385,3535,0.9292,-0.040207),(4385,3545,0.93283,-0.035147),(4385,3555,0.93479,-0.030086),(4385,3565,0.93674,-0.025013),(4385,3575,0.93869,-0.01976),(4385,3585,0.94049,-0.014507),(4385,3595,0.94059,-0.009254),(4385,3605,0.9407,-0.003993),(4385,3615,0.9408,0.001334),(4385,3625,0.94067,0.006662),(4385,3635,0.93888,0.011989),(4385,3645,0.93709,0.017309),(4385,3655,0.93531,0.022582),(4385,3665,0.93321,0.027855),(4385,3675,0.92954,0.033129),(4385,3685,0.92586,0.038368),(4385,3695,0.92219,0.043457),(4385,3705,0.91814,0.048545),(4385,3715,0.91263,0.053633),(4385,3725,0.90712,0.058652),(4385,3735,0.90161,0.063426),(4385,3745,0.89568,0.068201),(4385,3755,0.88841,0.072975),(4385,3765,0.88115,0.077634),(4385,3775,0.87389,0.081968),(4385,3785,0.86616,0.086301),(4385,3795,0.85724,0.090635),(4385,3805,0.84831,0.094796),(4385,3815,0.83939,0.098558),(4385,3825,0.82996,0.10232),(4385,3835,0.81945,0.10608),(4385,3845,0.80894,0.1096),(4385,3855,0.79843,0.11266),(4385,3865,0.78734,0.11571),(4385,3875,0.7752,0.11876),(4385,3885,0.76307,0.12151),(4385,3895,0.75094,0.12374),(4385,3905,0.73804,0.12598),(4385,3915,0.724,0.12822),(4385,3925,0.70995,0.13015),(4385,3935,0.69591,0.13167),(4385,3945,0.68067,0.1332),(4385,3955,0.66391,0.13472),(4385,3965,0.64715,0.13638),(4385,3975,0.63039,0.1382),(4385,3985,0.61163,0.14002),(4385,3995,0.59071,0.14184),(4385,4005,0.56979,0.14548),(4385,4015,0.54886,0.15096),(4385,4025,0.92357,0.15644),(4385,4035,1.337,0.16162),(4385,4045,1.7504,0.16618),(4385,4055,2.0507,0.17075),(4385,4065,2.3097,0.17438),(4385,4075,2.5687,0.17241),(4385,4085,2.6828,0.17044),(4385,4095,2.6806,0.16847),(4385,4105,2.6784,0.16399),(4385,4115,2.5774,0.15941),(4385,4125,2.3127,0.15484),(4385,4135,2.0481,0.15268),(4385,4145,1.7808,0.15117),(4385,4155,1.5034,0.14965),(4385,4165,1.2259,0.15101),(4385,4175,0.96423,0.15421),(4385,4185,1.4848,0.15741),(4385,4195,2.0053,0.1568),(4385,4205,2.5258,0.15116),(4385,4215,2.605,0.14551),(4385,4225,2.6012,0.14028),(4385,4235,2.5973,0.13627),(4385,4245,2.5932,0.13227),(4385,4255,2.5889,0.12809),(4385,4265,2.5846,0.12186),(4385,4275,2.2438,0.11563),(4385,4285,1.5461,0.1094),(4385,4295,0.8484,0.11345),(4385,4305,0.54551,0.1187),(4385,4315,1.1342,0.12394),(4385,4325,1.7228,0.1256),(4385,4335,2.2464,0.12584),(4385,4345,2.3296,0.12608),(4385,4355,2.4128,0.12549),(4385,4365,2.496,0.1242),(4385,4375,2.4978,0.1229),(4385,4385,2.4954,0.12068),(4385,4395,2.4929,0.11681),(4385,4405,2.1575,0.11295),(4385,4415,1.7239,0.10979),(4385,4425,1.2903,0.10978),(4385,4435,1.1056,0.10976),(4385,4445,1.0908,0.10975),(4385,4455,1.0761,0.10951),(4385,4465,1.2446,0.10928),(4385,4475,1.6704,0.10904),(4385,4485,2.0963,0.10719),(4385,4495,2.4201,0.10501),(4385,4505,2.4165,0.10283),(4385,4515,2.413,0.10193),(4385,4525,2.4044,0.10172),(4385,4535,2.3158,0.10151),(4385,4545,2.2272,0.10211),(4385,4555,2.1386,0.10364),(4385,4565,1.5928,0.10517),(4385,4575,0.98538,0.10693),(4385,4585,0.37796,0.10923),(4385,4595,0.67459,0.11154),(4385,4605,1.3532,0.11303),(4385,4615,2.0318,0.10822),(4385,4625,2.3533,0.10342),(4385,4635,2.3514,0.09861),(4385,4645,2.3495,0.096571),(4385,4655,2.3475,0.094722),(4385,4665,2.3451,0.092873),(4385,4675,2.3427,0.089824),(4385,4685,2.2551,0.08639),(4385,4695,1.7459,0.082956),(4385,4705,1.2368,0.081042),(4385,4715,0.72768,0.080232),(4385,4725,0.96038,0.079422),(4385,4735,1.2005,0.078808),(4385,4745,1.4406,0.078489),(4385,4755,1.6887,0.07817),(4385,4765,1.9386,0.078024),(4385,4775,2.1886,0.078483),(4385,4785,2.2788,0.078942),(4385,4795,2.2767,0.0794),(4385,4805,2.2746,0.079856),(4385,4815,2.1584,0.080311),(4385,4825,1.9055,0.080767),(4385,4835,1.6527,0.08117),(4385,4845,1.3984,0.081564),(4385,4855,1.1403,0.081959),(4385,4865,0.88216,0.080477),(4385,4875,0.69926,0.078143),(4385,4885,1.2007,0.07581),(4385,4895,1.7022,0.074069),(4385,4905,2.2037,0.072896),(4385,4915,2.2416,0.071723),(4385,4925,2.2395,0.071248),(4385,4935,2.2375,0.072181),(4385,4945,2.234,0.073113),(4385,4955,2.23,0.07399),(4385,4965,2.2259,0.074557),(4385,4975,1.8493,0.075125),(4385,4985,1.185,0.075693),(4385,4995,0.52076,0.073559),(4385,5005,0.30234,0.071357),(4385,5015,0.79269,0.069155),(4385,5025,1.283,0.068154),(4385,5035,1.7056,0.067459),(4385,5045,1.87,0.066764),(4385,5055,2.0344,0.066556),(4385,5065,2.1939,0.066649),(4385,5075,2.1916,0.066742),(4385,5085,2.1893,0.06691),(4385,5095,2.187,0.067172),(4385,5105,1.9032,0.067435),(4385,5115,1.5703,0.067592),(4385,5125,1.2374,0.067453),(4385,5135,1.0694,0.067314),(4385,5145,0.98138,0.066878),(4385,5155,0.89341,0.06322),(4385,5165,1.0527,0.059562),(4385,5175,1.4643,0.055904),(4385,5185,1.8759,0.053869),(4385,5195,2.1557,0.052002),(4385,5205,2.1514,0.050136),(4385,5215,2.1471,0.051046),(4385,5225,2.1313,0.052994),(4385,5235,2.0443,0.054943),(4385,5245,1.9573,0.060046),(4385,5255,1.8703,0.067737),(4385,5265,1.3136,0.075427),(4385,5275,0.7376,0.079665),(4385,5285,0.16154,0.078057),(4385,5295,0.54899,0.076449),(4385,5305,1.2047,0.07396),(4385,5315,1.8605,0.067791),(4385,5325,2.1173,0.061623),(4385,5335,2.1126,0.055544),(4385,5345,2.1078,0.05545),(4385,5355,2.1022,0.055355),(4385,5365,2.0953,0.055261),(4385,5375,2.0883,0.057245),(4385,5385,1.9628,0.059635),(4385,5395,1.4766,0.062026),(4385,5405,0.99038,0.063945),(4385,5415,0.5561,0.065621),(4385,5425,0.81932,0.067296),(4385,5435,1.0825,0.06632),(4385,5445,1.3458,0.062473),(4385,5455,1.5927,0.058626),(4385,5465,1.8377,0.056274),(4385,5475,2.0826,0.057376),(4385,5485,2.1449,0.058478),(4385,5495,2.1336,0.060087),(4385,5505,2.1224,0.065292),(4385,5515,2.1115,0.070497),(4385,5525,2.1009,0.075702),(4385,5535,2.0904,0.081938),(4385,5545,2.0805,0.088233),(4385,5555,2.0719,0.094528),(4385,5565,2.0632,0.10042),(4385,5575,2.0549,0.10619),(4385,5585,2.0482,0.11196),(4385,5595,2.0414,0.1171),(4385,5605,2.0347,0.12181),(4385,5615,2.0295,0.12651),(4385,5625,2.0244,0.13076),(4385,5635,2.0192,0.13434),(4385,5645,2.0149,0.13792),(4385,5655,2.0108,0.14129),(4385,5665,2.0068,0.14393),(4385,5675,2.0032,0.14657),(4385,5685,1.9999,0.14918),(4385,5695,1.9966,0.15106),(4385,5705,1.9936,0.15295),(4385,5715,1.9908,0.15484),(4385,5725,1.988,0.15622),(4385,5735,1.9853,0.15752),(4385,5745,1.9828,0.15882),(4385,5755,1.9804,0.15978),(4385,5765,1.9779,0.16059),(4385,5775,1.9757,0.16141),(4385,5785,1.9734,0.16197),(4385,5795,1.9711,0.16232),(4385,5805,1.969,0.16266),(4385,5815,1.9668,0.16282),(4385,5825,1.9646,0.16264),(4385,5835,1.9624,0.16247),(4385,5845,1.9603,0.16217),(4385,5855,1.9581,0.16122),(4385,5865,1.9558,0.16028),(4385,5875,1.9535,0.15934),(4385,5885,1.9512,0.15719),(4385,5895,1.9487,0.15502),(4385,5905,1.946,0.15286),(4385,5915,1.9432,0.149),(4385,5925,1.9401,0.14473),(4385,5935,1.936,0.14047),(4385,5945,1.9318,0.13418),(4385,5955,1.9274,0.12671),(4385,5965,1.919,0.11923),(4385,5975,1.9106,0.11059),(4385,5985,1.9022,0.10054),(4385,5995,1.4524,0.090486),(4385,6005,0.93154,0.083287),(4385,6015,0.41067,0.083715),(4385,6025,0.63233,0.084143),(4385,6035,1.1984,0.085986),(4385,6045,1.7644,0.10147),(4385,6055,2.1265,0.11695),(4385,6065,2.2888,0.13243),(4385,6075,2.4511,0.1639),(4385,6085,2.5534,0.19685),(4385,6095,2.5322,0.22979),(4385,6105,2.5111,0.25122),(4385,6115,2.4919,0.26854),(4385,6125,2.4842,0.28586),(4385,6135,2.4764,0.29604),(4385,6145,2.4687,0.3006),(4385,6155,2.4657,0.30516),(4385,6165,2.4628,0.30717),(4385,6175,2.46,0.30504),(4385,6185,2.4587,0.3029),(4385,6195,2.4578,0.30013),(4385,6205,2.457,0.29481),(4385,6215,2.4566,0.2895),(4385,6225,2.4565,0.28415),(4385,6235,2.4565,0.27733),(4385,6245,2.4565,0.2705),(4385,6255,2.4568,0.26368),(4385,6265,2.457,0.25637),(4385,6275,2.4572,0.24897),(4385,6285,2.4575,0.24158),(4385,6295,2.4578,0.23405),(4385,6305,2.4581,0.22645),(4385,6315,2.4584,0.21885),(4385,6325,2.4588,0.21126),(4385,6335,2.4591,0.20367),(4385,6345,2.4594,0.19608),(4385,6355,2.4597,0.18853),(4385,6365,2.4599,0.18105),(4385,6375,2.4602,0.17357),(4385,6385,2.4605,0.1661),(4385,6395,2.4607,0.15874),(4385,6405,2.461,0.15137),(4385,6415,2.4612,0.14401),(4385,6425,2.4614,0.1368),(4385,6435,2.4616,0.1296),(4385,6445,2.4618,0.12241),(4385,6455,2.462,0.11528),(4385,6465,2.4622,0.10819),(4385,6475,2.4624,0.10109),(4385,6485,2.4626,0.094032),(4385,6495,2.4627,0.087009),(4385,6505,2.4629,0.079985),(4385,6515,2.463,0.073005),(4385,6525,2.4632,0.066085),(4385,6535,2.4633,0.059164),(4385,6545,2.4634,0.052265),(4385,6555,2.4635,0.045432),(4385,6565,2.4636,0.038599),(4385,6575,2.4637,0.031765),(4385,6585,2.4637,0.024921),(4385,6595,2.0956,0.018077),(4385,6605,1.321,0.011233),(4385,6615,0.54642,0.010367),(4385,6625,0.001896,0.010269),(4385,6635,0.001906,0.010171),(4385,6645,0.001917,0.010122),(4385,6655,0.001927,0.010094),(4385,6665,0.001934,0.010066),(4385,6675,0.001941,0.01004),(4385,6685,0.001948,0.010014),(4385,6695,0.001953,0.009989),(4385,6705,0.001958,0.009964),(4385,6715,0.001963,0.00994),(4385,6725,0.001966,0.009917),(4385,6735,0.001969,0.009894),(4385,6745,0.001972,0.009873),(4385,6755,0.001975,0.009852),(4385,6765,0.001976,0.009831),(4385,6775,0.001978,0.009811),(4385,6785,0.001979,0.009792),(4385,6795,0.00198,0.009773),(4385,6805,0.00198,0.009755),(4385,6815,0.001981,0.009737),(4385,6825,0.001981,0.009719),(4385,6835,0.00198,0.009703),(4385,6845,0.00198,0.009686),(4385,6855,0.00198,0.00967),(4385,6865,0.001979,0.009654),(4385,6875,0.001978,0.009639),(4385,6885,0.001978,0.009624),(4385,6895,0.001976,0.009609),(4385,6905,0.001976,0.009595),(4385,6915,0.001974,0.009581),(4385,6925,0.001973,0.009567),(4385,6935,0.001972,0.009554),(4385,6945,0.001971,0.009541),(4385,6955,0.001969,0.009528),(4385,6965,0.001968,0.009515),(4385,6975,0.001967,0.009503),(4385,6985,0.001965,0.009491),(4395,5,3.5e-05,-0.001344),(4395,15,0.000105,-0.001345),(4395,25,0.000174,-0.001346),(4395,35,0.000244,-0.001347),(4395,45,0.000314,-0.001349),(4395,55,0.000384,-0.001352),(4395,65,0.000455,-0.001355),(4395,75,0.000525,-0.001358),(4395,85,0.000596,-0.001362),(4395,95,0.000667,-0.001367),(4395,105,0.000739,-0.001371),(4395,115,0.000811,-0.001376),(4395,125,0.000883,-0.001382),(4395,135,0.000955,-0.001389),(4395,145,0.001029,-0.001396),(4395,155,0.001104,-0.001402),(4395,165,0.001178,-0.001411),(4395,175,0.001252,-0.00142),(4395,185,0.001329,-0.001429),(4395,195,0.001406,-0.001438),(4395,205,0.001484,-0.001449),(4395,215,0.001561,-0.00146),(4395,225,0.001641,-0.001472),(4395,235,0.001722,-0.001483),(4395,245,0.001803,-0.001497),(4395,255,0.001884,-0.001511),(4395,265,0.001969,-0.001525),(4395,275,0.002054,-0.001539),(4395,285,0.002139,-0.001555),(4395,295,0.002225,-0.001572),(4395,305,0.002315,-0.001589),(4395,315,0.002405,-0.001606),(4395,325,0.002496,-0.001625),(4395,335,0.002587,-0.001646),(4395,345,0.002683,-0.001666),(4395,355,0.002781,-0.001686),(4395,365,0.002878,-0.00171),(4395,375,0.002975,-0.001734),(4395,385,0.00308,-0.001758),(4395,395,0.003185,-0.001782),(4395,405,0.00329,-0.00181),(4395,415,0.003395,-0.001839),(4395,425,0.003508,-0.001867),(4395,435,0.003623,-0.001896),(4395,445,0.003737,-0.001929),(4395,455,0.003851,-0.001963),(4395,465,0.003976,-0.001997),(4395,475,0.004101,-0.00203),(4395,485,0.004226,-0.00207),(4395,495,0.004352,-0.002111),(4395,505,0.00449,-0.002151),(4395,515,0.004628,-0.002191),(4395,525,0.004766,-0.002239),(4395,535,0.004905,-0.002287),(4395,545,0.005058,-0.002334),(4395,555,0.005211,-0.002383),(4395,565,0.005365,-0.002439),(4395,575,0.00552,-0.002496),(4395,585,0.005691,-0.002552),(4395,595,0.005862,-0.00261),(4395,605,0.006034,-0.002677),(4395,615,0.006208,-0.002745),(4395,625,0.006401,-0.002812),(4395,635,0.006594,-0.002882),(4395,645,0.006787,-0.002963),(4395,655,0.006984,-0.003044),(4395,665,0.007202,-0.003125),(4395,675,0.007421,-0.003209),(4395,685,0.007639,-0.003307),(4395,695,0.007864,-0.003405),(4395,705,0.008114,-0.003503),(4395,715,0.008363,-0.003606),(4395,725,0.008613,-0.003726),(4395,735,0.008871,-0.003845),(4395,745,0.009157,-0.003965),(4395,755,0.009444,-0.004091),(4395,765,0.009731,-0.004238),(4395,775,0.01003,-0.004385),(4395,785,0.010361,-0.004533),(4395,795,0.010693,-0.00469),(4395,805,0.011025,-0.004873),(4395,815,0.011374,-0.005056),(4395,825,0.01176,-0.005238),(4395,835,0.012147,-0.005437),(4395,845,0.012533,-0.005666),(4395,855,0.012943,-0.005896),(4395,865,0.013397,-0.006125),(4395,875,0.01385,-0.006378),(4395,885,0.014304,-0.006671),(4395,895,0.014789,-0.006964),(4395,905,0.015325,-0.007257),(4395,915,0.015861,-0.007585),(4395,925,0.016397,-0.007965),(4395,935,0.016977,-0.008344),(4395,945,0.017615,-0.008724),(4395,955,0.018253,-0.009158),(4395,965,0.018891,-0.00966),(4395,975,0.019587,-0.010161),(4395,985,0.02035,-0.010663),(4395,995,0.021114,-0.01125),(4395,1005,0.021877,-0.011927),(4395,1015,0.022718,-0.012603),(4395,1025,0.023633,-0.01328),(4395,1035,0.024549,-0.014094),(4395,1045,0.025464,-0.015029),(4395,1055,0.026478,-0.015964),(4395,1065,0.027573,-0.016899),(4395,1075,0.028667,-0.018058),(4395,1085,0.029762,-0.019384),(4395,1095,0.03097,-0.020711),(4395,1105,0.032256,-0.022038),(4395,1115,0.033543,-0.023735),(4395,1125,0.03483,-0.02567),(4395,1135,0.036212,-0.027605),(4395,1145,0.037652,-0.02954),(4395,1155,0.039092,-0.032096),(4395,1165,0.040531,-0.03499),(4395,1175,0.041943,-0.037884),(4395,1185,0.04334,-0.040777),(4395,1195,0.044737,-0.044704),(4395,1205,0.046135,-0.049098),(4395,1215,0.047065,-0.053492),(4395,1225,0.047803,-0.057886),(4395,1235,0.048541,-0.063878),(4395,1245,0.049278,-0.070467),(4395,1255,0.048296,-0.077056),(4395,1265,0.046732,-0.083644),(4395,1275,0.045168,-0.092117),(4395,1285,0.043604,-0.10116),(4395,1295,0.037395,-0.1102),(4395,1305,0.029931,-0.11925),(4395,1315,0.022467,-0.12788),(4395,1325,0.015003,-0.13642),(4395,1335,-0.000831,-0.14495),(4395,1345,-0.01842,-0.15349),(4395,1355,-0.036008,-0.14758),(4395,1365,-0.053597,-0.13906),(4395,1375,-0.062433,-0.13054),(4395,1385,-0.06992,-0.12202),(4395,1395,-0.077406,-0.11304),(4395,1405,-0.084892,-0.10399),(4395,1415,-0.08704,-0.094942),(4395,1425,-0.088634,-0.085894),(4395,1435,-0.090228,-0.079108),(4395,1445,-0.091823,-0.072503),(4395,1455,-0.091245,-0.065898),(4395,1465,-0.090542,-0.059293),(4395,1475,-0.08984,-0.054804),(4395,1485,-0.089137,-0.050392),(4395,1495,-0.087791,-0.045979),(4395,1505,-0.086435,-0.041574),(4395,1515,-0.08508,-0.038665),(4395,1525,-0.083723,-0.035757),(4395,1535,-0.082334,-0.032848),(4395,1545,-0.080944,-0.029983),(4395,1555,-0.079554,-0.028038),(4395,1565,-0.078175,-0.026093),(4395,1575,-0.076945,-0.024148),(4395,1585,-0.075716,-0.022255),(4395,1595,-0.074486,-0.020924),(4395,1605,-0.073277,-0.019593),(4395,1615,-0.072245,-0.018262),(4395,1625,-0.071212,-0.01698),(4395,1635,-0.07018,-0.016048),(4395,1645,-0.069173,-0.015115),(4395,1655,-0.068321,-0.014183),(4395,1665,-0.06747,-0.013294),(4395,1675,-0.066618,-0.012629),(4395,1685,-0.065794,-0.011963),(4395,1695,-0.065093,-0.011298),(4395,1705,-0.064391,-0.01067),(4395,1715,-0.06369,-0.010191),(4395,1725,-0.063016,-0.009712),(4395,1735,-0.062433,-0.009232),(4395,1745,-0.061851,-0.008786),(4395,1755,-0.061269,-0.008443),(4395,1765,-0.060711,-0.0081),(4395,1775,-0.06022,-0.007756),(4395,1785,-0.059728,-0.007443),(4395,1795,-0.059237,-0.007203),(4395,1805,-0.058765,-0.006964),(4395,1815,-0.05834,-0.006725),(4395,1825,-0.057914,-0.006513),(4395,1835,-0.057489,-0.006358),(4395,1845,-0.057078,-0.006204),(4395,1855,-0.056695,-0.006049),(4395,1865,-0.056313,-0.00592),(4395,1875,-0.055931,-0.005838),(4395,1885,-0.055557,-0.005757),(4395,1895,-0.055198,-0.005674),(4395,1905,-0.054838,-0.005619),(4395,1915,-0.054479,-0.005603),(4395,1925,-0.054121,-0.005588),(4395,1935,-0.053764,-0.005572),(4395,1945,-0.053408,-0.005585),(4395,1955,-0.053052,-0.005633),(4395,1965,-0.052689,-0.005681),(4395,1975,-0.052317,-0.005729),(4395,1985,-0.051945,-0.005809),(4395,1995,-0.051573,-0.005922),(4395,2005,-0.051183,-0.006035),(4395,2015,-0.050776,-0.006148),(4395,2025,-0.050368,-0.006297),(4395,2035,-0.049961,-0.006478),(4395,2045,-0.049523,-0.006659),(4395,2055,-0.04906,-0.006841),(4395,2065,-0.048597,-0.007063),(4395,2075,-0.048134,-0.007318),(4395,2085,-0.047625,-0.007573),(4395,2095,-0.047084,-0.007828),(4395,2105,-0.046543,-0.008131),(4395,2115,-0.046002,-0.008467),(4395,2125,-0.045398,-0.008802),(4395,2135,-0.044754,-0.009138),(4395,2145,-0.044111,-0.00953),(4395,2155,-0.043468,-0.009955),(4395,2165,-0.04274,-0.01038),(4395,2175,-0.041968,-0.010805),(4395,2185,-0.041195,-0.011297),(4395,2195,-0.040423,-0.01182),(4395,2205,-0.039539,-0.012344),(4395,2215,-0.038607,-0.012867),(4395,2225,-0.037675,-0.013469),(4395,2235,-0.036743,-0.014102),(4395,2245,-0.035668,-0.014735),(4395,2255,-0.034542,-0.015368),(4395,2265,-0.033415,-0.016091),(4395,2275,-0.032289,-0.016844),(4395,2285,-0.030981,-0.017597),(4395,2295,-0.029621,-0.01835),(4395,2305,-0.028261,-0.019208),(4395,2315,-0.026901,-0.020093),(4395,2325,-0.025313,-0.020978),(4395,2335,-0.023675,-0.021863),(4395,2345,-0.022037,-0.022867),(4395,2355,-0.020398,-0.023895),(4395,2365,-0.018479,-0.024924),(4395,2375,-0.016513,-0.025952),(4395,2385,-0.014547,-0.027114),(4395,2395,-0.01258,-0.028296),(4395,2405,-0.010272,-0.029478),(4395,2415,-0.007923,-0.03066),(4395,2425,-0.005575,-0.031991),(4395,2435,-0.003226,-0.033335),(4395,2445,-0.000466,-0.034679),(4395,2455,0.002324,-0.036023),(4395,2465,0.005112,-0.037528),(4395,2475,0.007902,-0.039041),(4395,2485,0.011179,-0.040553),(4395,2495,0.01447,-0.042066),(4395,2505,0.01776,-0.043746),(4395,2515,0.021059,-0.045427),(4395,2525,0.024911,-0.047108),(4395,2535,0.028764,-0.048794),(4395,2545,0.032617,-0.050637),(4395,2555,0.036503,-0.05248),(4395,2565,0.040977,-0.054322),(4395,2575,0.04545,-0.056176),(4395,2585,0.049924,-0.058164),(4395,2595,0.05446,-0.060152),(4395,2605,0.059607,-0.062141),(4395,2615,0.064754,-0.064143),(4395,2625,0.069901,-0.06625),(4395,2635,0.075144,-0.068358),(4395,2645,0.081008,-0.070466),(4395,2655,0.086873,-0.072587),(4395,2665,0.092737,-0.074777),(4395,2675,0.098731,-0.076968),(4395,2685,0.10534,-0.079159),(4395,2695,0.11196,-0.081357),(4395,2705,0.11857,-0.083585),(4395,2715,0.12534,-0.085812),(4395,2725,0.13272,-0.08804),(4395,2735,0.1401,-0.090264),(4395,2745,0.14748,-0.092476),(4395,2755,0.15504,-0.094688),(4395,2765,0.16318,-0.0969),(4395,2775,0.17132,-0.099091),(4395,2785,0.17946,-0.10123),(4395,2795,0.18782,-0.10337),(4395,2805,0.19669,-0.10551),(4395,2815,0.20557,-0.1076),(4395,2825,0.21445,-0.10961),(4395,2835,0.22356,-0.11162),(4395,2845,0.23314,-0.11363),(4395,2855,0.24272,-0.11557),(4395,2865,0.25229,-0.11739),(4395,2875,0.26211,-0.11921),(4395,2885,0.27233,-0.12103),(4395,2895,0.28254,-0.12276),(4395,2905,0.29276,-0.12434),(4395,2915,0.30321,-0.12592),(4395,2925,0.314,-0.12751),(4395,2935,0.32478,-0.12897),(4395,2945,0.33556,-0.13027),(4395,2955,0.34656,-0.13158),(4395,2965,0.35783,-0.13288),(4395,2975,0.36909,-0.13404),(4395,2985,0.38035,-0.13502),(4395,2995,0.3918,-0.13601),(4395,3005,0.40344,-0.137),(4395,3015,0.41509,-0.13781),(4395,3025,0.42673,-0.13845),(4395,3035,0.43852,-0.1391),(4395,3045,0.45044,-0.13974),(4395,3055,0.46235,-0.14018),(4395,3065,0.47427,-0.14045),(4395,3075,0.48627,-0.14072),(4395,3085,0.49835,-0.141),(4395,3095,0.51042,-0.14104),(4395,3105,0.52249,-0.14092),(4395,3115,0.53458,-0.14081),(4395,3125,0.54668,-0.14069),(4395,3135,0.55878,-0.14032),(4395,3145,0.57088,-0.13979),(4395,3155,0.58292,-0.13927),(4395,3165,0.59491,-0.13875),(4395,3175,0.60691,-0.13794),(4395,3185,0.61891,-0.13699),(4395,3195,0.63073,-0.13604),(4395,3205,0.64248,-0.13509),(4395,3215,0.65422,-0.13384),(4395,3225,0.66597,-0.13245),(4395,3235,0.67742,-0.13107),(4395,3245,0.68876,-0.12968),(4395,3255,0.7001,-0.12796),(4395,3265,0.71144,-0.12612),(4395,3275,0.72235,-0.12429),(4395,3285,0.73312,-0.12245),(4395,3295,0.74389,-0.12026),(4395,3305,0.75467,-0.11797),(4395,3315,0.76484,-0.11568),(4395,3325,0.77487,-0.11338),(4395,3335,0.7849,-0.11071),(4395,3345,0.79492,-0.10796),(4395,3355,0.80417,-0.10522),(4395,3365,0.81327,-0.10247),(4395,3375,0.82238,-0.099326),(4395,3385,0.83148,-0.096126),(4395,3395,0.83961,-0.092926),(4395,3405,0.8476,-0.089726),(4395,3415,0.8556,-0.086136),(4395,3425,0.86359,-0.082506),(4395,3435,0.8704,-0.078876),(4395,3445,0.8771,-0.075246),(4395,3455,0.88381,-0.071243),(4395,3465,0.89052,-0.067219),(4395,3475,0.89581,-0.063194),(4395,3485,0.90106,-0.05917),(4395,3495,0.90631,-0.054811),(4395,3505,0.91154,-0.050447),(4395,3515,0.91518,-0.046083),(4395,3525,0.91882,-0.041712),(4395,3535,0.92245,-0.037083),(4395,3545,0.92601,-0.032454),(4395,3555,0.92791,-0.027824),(4395,3565,0.92981,-0.023184),(4395,3575,0.93172,-0.018382),(4395,3585,0.93347,-0.013581),(4395,3595,0.93355,-0.008779),(4395,3605,0.93364,-0.003971),(4395,3615,0.93373,0.000896),(4395,3625,0.93358,0.005762),(4395,3635,0.93181,0.010628),(4395,3645,0.93004,0.015487),(4395,3655,0.92827,0.020301),(4395,3665,0.9262,0.025116),(4395,3675,0.92258,0.02993),(4395,3685,0.91896,0.034712),(4395,3695,0.91533,0.039354),(4395,3705,0.91135,0.043996),(4395,3715,0.90593,0.048637),(4395,3725,0.90051,0.053213),(4395,3735,0.89508,0.057562),(4395,3745,0.88925,0.061911),(4395,3755,0.88211,0.066259),(4395,3765,0.87497,0.070499),(4395,3775,0.86783,0.074431),(4395,3785,0.86023,0.078363),(4395,3795,0.85147,0.082295),(4395,3805,0.84271,0.086061),(4395,3815,0.83395,0.08944),(4395,3825,0.82469,0.092819),(4395,3835,0.81438,0.096198),(4395,3845,0.80407,0.099332),(4395,3855,0.79376,0.10199),(4395,3865,0.78287,0.10465),(4395,3875,0.77097,0.10731),(4395,3885,0.75907,0.10962),(4395,3895,0.74717,0.11137),(4395,3905,0.7345,0.11311),(4395,3915,0.72067,0.11486),(4395,3925,0.70684,0.11617),(4395,3935,0.69301,0.11689),(4395,3945,0.67787,0.1176),(4395,3955,0.66107,0.11832),(4395,3965,0.64428,0.11886),(4395,3975,0.62748,0.11918),(4395,3985,0.60823,0.1195),(4395,3995,0.58633,0.11982),(4395,4005,0.56443,0.12178),(4395,4015,0.54253,0.12537),(4395,4025,0.91655,0.12897),(4395,4035,1.3293,0.13368),(4395,4045,1.7421,0.14075),(4395,4055,2.0432,0.14782),(4395,4065,2.3037,0.15412),(4395,4075,2.5641,0.15584),(4395,4085,2.6794,0.15756),(4395,4095,2.678,0.15928),(4395,4105,2.6766,0.1584),(4395,4115,2.576,0.15743),(4395,4125,2.3109,0.15645),(4395,4135,2.0458,0.15103),(4395,4145,1.7781,0.14442),(4395,4155,1.4998,0.1378),(4395,4165,1.2215,0.13255),(4395,4175,0.9591,0.12817),(4395,4185,1.4812,0.12378),(4395,4195,2.0033,0.12126),(4395,4205,2.5254,0.12119),(4395,4215,2.6044,0.12111),(4395,4225,2.6,0.12148),(4395,4235,2.5956,0.12315),(4395,4245,2.5917,0.12482),(4395,4255,2.5881,0.12611),(4395,4265,2.5845,0.1227),(4395,4275,2.2432,0.11928),(4395,4285,1.5435,0.11587),(4395,4295,0.84389,0.11219),(4395,4305,0.53971,0.10848),(4395,4315,1.1285,0.10477),(4395,4325,1.7173,0.10461),(4395,4335,2.241,0.10583),(4395,4345,2.3245,0.10706),(4395,4355,2.4079,0.10971),(4395,4365,2.4914,0.11358),(4395,4375,2.494,0.11745),(4395,4385,2.4923,0.12018),(4395,4395,2.4907,0.1209),(4395,4405,2.1553,0.12163),(4395,4415,1.7216,0.12074),(4395,4425,1.2878,0.11269),(4395,4435,1.1031,0.10465),(4395,4445,1.0885,0.096609),(4395,4455,1.0739,0.090018),(4395,4465,1.2422,0.083428),(4395,4475,1.6676,0.076838),(4395,4485,2.093,0.078203),(4395,4495,2.4163,0.081236),(4395,4505,2.412109,0.084269),(4395,4515,2.4079,0.088066),(4395,4525,2.3987,0.092278),(4395,4535,2.3098,0.096489),(4395,4545,2.2208,0.0987),(4395,4555,2.1318,0.098658),(4395,4565,1.5871,0.098615),(4395,4575,0.98103,0.096559),(4395,4585,0.37492,0.089622),(4395,4595,0.67234,0.082685),(4395,4605,1.3515,0.076638),(4395,4615,2.0307,0.077515),(4395,4625,2.3519,0.078391),(4395,4635,2.3491,0.079268),(4395,4645,2.3463,0.083396),(4395,4655,2.3437,0.087748),(4395,4665,2.3419,0.0921),(4395,4675,2.34,0.094335),(4395,4685,2.2528,0.095892),(4395,4695,1.7441,0.097448),(4395,4705,1.2354,0.092512),(4395,4715,0.72676,0.08286),(4395,4725,0.95869,0.073207),(4395,4735,1.198,0.066225),(4395,4745,1.4374,0.063236),(4395,4755,1.6846,0.060246),(4395,4765,1.9336,0.059112),(4395,4775,2.1826,0.064451),(4395,4785,2.2725,0.06979),(4395,4795,2.2704,0.075096),(4395,4805,2.2683,0.079694),(4395,4815,2.1523,0.084292),(4395,4825,1.9002,0.08889),(4395,4835,1.648,0.085438),(4395,4845,1.3946,0.080745),(4395,4855,1.138,0.076052),(4395,4865,0.88149,0.068185),(4395,4875,0.69984,0.058879),(4395,4885,1.1997,0.049574),(4395,4895,1.6995,0.047532),(4395,4905,2.1993,0.052473),(4395,4915,2.2364,0.057413),(4395,4925,2.2336,0.062912),(4395,4935,2.2309,0.069537),(4395,4945,2.2273,0.076162),(4395,4955,2.2234,0.082342),(4395,4965,2.2194,0.086067),(4395,4975,1.8443,0.089792),(4395,4985,1.1827,0.093518),(4395,4995,0.52112,0.082645),(4395,5005,0.30362,0.071401),(4395,5015,0.79215,0.060158),(4395,5025,1.2807,0.056258),(4395,5035,1.7017,0.054228),(4395,5045,1.8654,0.052199),(4395,5055,2.0291,0.054519),(4395,5065,2.1879,0.059518),(4395,5075,2.1855,0.064517),(4395,5085,2.1831,0.069326),(4395,5095,2.1807,0.073892),(4395,5105,1.8978,0.078457),(4395,5115,1.5659,0.080026),(4395,5125,1.234,0.073166),(4395,5135,1.0672,0.066306),(4395,5145,0.98063,0.059253),(4395,5155,0.89403,0.050096),(4395,5165,1.0532,0.04094),(4395,5175,1.463,0.031784),(4395,5185,1.8729,0.034039),(4395,5195,2.1511,0.037478),(4395,5205,2.1455,0.040917),(4395,5215,2.14,0.046028),(4395,5225,2.1229,0.051764),(4395,5235,2.0343,0.0575),(4395,5245,1.9457,0.062567),(4395,5255,1.857,0.067085),(4395,5265,1.3048,0.071603),(4395,5275,0.73341,0.070661),(4395,5285,0.16205,0.060473),(4395,5295,0.5502,0.050285),(4395,5305,1.2056,0.042251),(4395,5315,1.8609,0.04322),(4395,5325,2.1164,0.044189),(4395,5335,2.1097,0.045237),(4395,5345,2.103,0.051573),(4395,5355,2.0958,0.057908),(4395,5365,2.0881,0.064243),(4395,5375,2.0803,0.071047),(4395,5385,1.9545,0.077941),(4395,5395,1.47,0.084836),(4395,5405,0.98541,0.081656),(4395,5415,0.55273,0.07325),(4395,5425,0.81709,0.064843),(4395,5435,1.0814,0.05793),(4395,5445,1.3458,0.052633),(4395,5455,1.5908,0.047336),(4395,5465,1.8335,0.044721),(4395,5475,2.0762,0.048305),(4395,5485,2.137,0.051888),(4395,5495,2.1244,0.055871),(4395,5505,2.1119,0.062678),(4395,5515,2.1002,0.069485),(4395,5525,2.0893,0.076292),(4395,5535,2.0784,0.083371),(4395,5545,2.0684,0.090466),(4395,5555,2.0599,0.097561),(4395,5565,2.0515,0.10393),(4395,5575,2.0434,0.11007),(4395,5585,2.037,0.11621),(4395,5595,2.0306,0.12164),(4395,5605,2.0242,0.12656),(4395,5615,2.0194,0.13149),(4395,5625,2.0146,0.13595),(4395,5635,2.0097,0.13974),(4395,5645,2.0058,0.14353),(4395,5655,2.002,0.14712),(4395,5665,1.9983,0.15003),(4395,5675,1.995,0.15294),(4395,5685,1.9919,0.15581),(4395,5695,1.9889,0.15807),(4395,5705,1.986,0.16032),(4395,5715,1.9834,0.16257),(4395,5725,1.9808,0.16442),(4395,5735,1.9783,0.1662),(4395,5745,1.976,0.16798),(4395,5755,1.9737,0.16953),(4395,5765,1.9714,0.17097),(4395,5775,1.9693,0.17241),(4395,5785,1.9672,0.1737),(4395,5795,1.965,0.17485),(4395,5805,1.963,0.17601),(4395,5815,1.961,0.17707),(4395,5825,1.959,0.17794),(4395,5835,1.957,0.17882),(4395,5845,1.9551,0.17963),(4395,5855,1.9531,0.18007),(4395,5865,1.9512,0.18052),(4395,5875,1.9493,0.18096),(4395,5885,1.9473,0.18063),(4395,5895,1.9453,0.18028),(4395,5905,1.9432,0.17993),(4395,5915,1.941,0.17828),(4395,5925,1.9387,0.17631),(4395,5935,1.9355,0.17434),(4395,5945,1.9322,0.17031),(4395,5955,1.9289,0.16507),(4395,5965,1.9212,0.15983),(4395,5975,1.9135,0.15162),(4395,5985,1.9058,0.1398),(4395,5995,1.4547,0.12797),(4395,6005,0.93222,0.11578),(4395,6015,0.40977,0.10263),(4395,6025,0.62734,0.089478),(4395,6035,1.1881,0.082541),(4395,6045,1.7489,0.13549),(4395,6055,2.1053,0.18844),(4395,6065,2.2613,0.24138),(4395,6075,2.4173,0.26667),(4395,6085,2.517,0.28941),(4395,6095,2.5007,0.31215),(4395,6105,2.4844,0.32411),(4395,6115,2.47,0.33224),(4395,6125,2.4662,0.34037),(4395,6135,2.4625,0.34335),(4395,6145,2.4587,0.34227),(4395,6155,2.4579,0.34119),(4395,6165,2.4571,0.33839),(4395,6175,2.4564,0.3328),(4395,6185,2.4563,0.3272),(4395,6195,2.4565,0.32122),(4395,6205,2.4566,0.31373),(4395,6215,2.457,0.30624),(4395,6225,2.4574,0.29873),(4395,6235,2.4578,0.29049),(4395,6245,2.4582,0.28225),(4395,6255,2.4586,0.27401),(4395,6265,2.459,0.26568),(4395,6275,2.4594,0.25733),(4395,6285,2.4598,0.24898),(4395,6295,2.4601,0.2407),(4395,6305,2.4604,0.23245),(4395,6315,2.4608,0.2242),(4395,6325,2.4611,0.21605),(4395,6335,2.4614,0.20801),(4395,6345,2.4617,0.19997),(4395,6355,2.4619,0.192),(4395,6365,2.4622,0.1842),(4395,6375,2.4624,0.17639),(4395,6385,2.4626,0.16862),(4395,6395,2.4628,0.16103),(4395,6405,2.463,0.15343),(4395,6415,2.4632,0.14584),(4395,6425,2.4634,0.13846),(4395,6435,2.4635,0.13109),(4395,6445,2.4637,0.12372),(4395,6455,2.4638,0.11646),(4395,6465,2.464,0.10924),(4395,6475,2.4641,0.10202),(4395,6485,2.4642,0.094866),(4395,6495,2.4644,0.087755),(4395,6505,2.4645,0.080645),(4395,6515,2.4646,0.073582),(4395,6525,2.4648,0.066584),(4395,6535,2.4649,0.059586),(4395,6545,2.4649,0.052613),(4395,6555,2.465,0.045721),(4395,6565,2.4651,0.038829),(4395,6575,2.4652,0.031937),(4395,6585,2.4652,0.025042),(4395,6595,2.0969,0.018147),(4395,6605,1.3218,0.011252),(4395,6615,0.54677,0.010379),(4395,6625,0.001922,0.010279),(4395,6635,0.001932,0.01018),(4395,6645,0.001941,0.01013),(4395,6655,0.00195,0.010101),(4395,6665,0.001957,0.010072),(4395,6675,0.001963,0.010045),(4395,6685,0.001969,0.010019),(4395,6695,0.001974,0.009992),(4395,6705,0.001978,0.009967),(4395,6715,0.001982,0.009943),(4395,6725,0.001985,0.009919),(4395,6735,0.001987,0.009896),(4395,6745,0.001989,0.009874),(4395,6755,0.001991,0.009853),(4395,6765,0.001992,0.009831),(4395,6775,0.001993,0.009812),(4395,6785,0.001994,0.009792),(4395,6795,0.001994,0.009772),(4395,6805,0.001994,0.009754),(4395,6815,0.001994,0.009736),(4395,6825,0.001993,0.009718),(4395,6835,0.001993,0.009702),(4395,6845,0.001992,0.009685),(4395,6855,0.001991,0.009669),(4395,6865,0.00199,0.009653),(4395,6875,0.001989,0.009638),(4395,6885,0.001988,0.009622),(4395,6895,0.001986,0.009608),(4395,6905,0.001985,0.009593),(4395,6915,0.001984,0.009579),(4395,6925,0.001982,0.009565),(4395,6935,0.001981,0.009552),(4395,6945,0.001979,0.009539),(4395,6955,0.001978,0.009526),(4395,6965,0.001976,0.009514),(4395,6975,0.001975,0.009501),(4395,6985,0.001973,0.009489),(4405,5,3.5e-05,-0.001274),(4405,15,0.000105,-0.001275),(4405,25,0.000175,-0.001276),(4405,35,0.000245,-0.001277),(4405,45,0.000316,-0.001279),(4405,55,0.000386,-0.001282),(4405,65,0.000457,-0.001284),(4405,75,0.000528,-0.001287),(4405,85,0.000599,-0.00129),(4405,95,0.00067,-0.001295),(4405,105,0.000742,-0.001299),(4405,115,0.000815,-0.001304),(4405,125,0.000887,-0.001309),(4405,135,0.00096,-0.001315),(4405,145,0.001034,-0.001321),(4405,155,0.001109,-0.001328),(4405,165,0.001184,-0.001335),(4405,175,0.001259,-0.001344),(4405,185,0.001335,-0.001352),(4405,195,0.001413,-0.00136),(4405,205,0.001491,-0.00137),(4405,215,0.001569,-0.001381),(4405,225,0.001649,-0.001391),(4405,235,0.001731,-0.001402),(4405,245,0.001812,-0.001414),(4405,255,0.001894,-0.001427),(4405,265,0.001979,-0.00144),(4405,275,0.002065,-0.001453),(4405,285,0.002151,-0.001468),(4405,295,0.002237,-0.001484),(4405,305,0.002327,-0.001499),(4405,315,0.002418,-0.001515),(4405,325,0.00251,-0.001533),(4405,335,0.002601,-0.001551),(4405,345,0.002698,-0.00157),(4405,355,0.002797,-0.001588),(4405,365,0.002895,-0.00161),(4405,375,0.002993,-0.001632),(4405,385,0.003098,-0.001654),(4405,395,0.003204,-0.001676),(4405,405,0.00331,-0.001702),(4405,415,0.003416,-0.001728),(4405,425,0.003531,-0.001754),(4405,435,0.003646,-0.00178),(4405,445,0.003761,-0.001811),(4405,455,0.003877,-0.001842),(4405,465,0.004003,-0.001873),(4405,475,0.004129,-0.001904),(4405,485,0.004256,-0.001941),(4405,495,0.004382,-0.001978),(4405,505,0.004522,-0.002014),(4405,515,0.004662,-0.002051),(4405,525,0.004802,-0.002095),(4405,535,0.004942,-0.002139),(4405,545,0.005097,-0.002183),(4405,555,0.005253,-0.002227),(4405,565,0.005408,-0.002279),(4405,575,0.005565,-0.002331),(4405,585,0.005739,-0.002382),(4405,595,0.005913,-0.002435),(4405,605,0.006087,-0.002497),(4405,615,0.006263,-0.002559),(4405,625,0.006459,-0.002621),(4405,635,0.006656,-0.002685),(4405,645,0.006852,-0.002759),(4405,655,0.007052,-0.002834),(4405,665,0.007274,-0.002908),(4405,675,0.007497,-0.002985),(4405,685,0.00772,-0.003075),(4405,695,0.007949,-0.003165),(4405,705,0.008203,-0.003255),(4405,715,0.008458,-0.003349),(4405,725,0.008712,-0.003459),(4405,735,0.008976,-0.003569),(4405,745,0.009269,-0.003679),(4405,755,0.009563,-0.003795),(4405,765,0.009856,-0.00393),(4405,775,0.010162,-0.004065),(4405,785,0.010502,-0.004201),(4405,795,0.010843,-0.004345),(4405,805,0.011183,-0.004514),(4405,815,0.011542,-0.004682),(4405,825,0.01194,-0.00485),(4405,835,0.012338,-0.005033),(4405,845,0.012736,-0.005244),(4405,855,0.013159,-0.005456),(4405,865,0.013628,-0.005668),(4405,875,0.014097,-0.005901),(4405,885,0.014566,-0.006172),(4405,895,0.01507,-0.006442),(4405,905,0.015628,-0.006712),(4405,915,0.016186,-0.007016),(4405,925,0.016743,-0.007368),(4405,935,0.017349,-0.00772),(4405,945,0.018017,-0.008071),(4405,955,0.018685,-0.008475),(4405,965,0.019354,-0.008941),(4405,975,0.020087,-0.009408),(4405,985,0.020895,-0.009874),(4405,995,0.021702,-0.010422),(4405,1005,0.022509,-0.011055),(4405,1015,0.023404,-0.011688),(4405,1025,0.024385,-0.012321),(4405,1035,0.025365,-0.013086),(4405,1045,0.026345,-0.013968),(4405,1055,0.027442,-0.014849),(4405,1065,0.028635,-0.015731),(4405,1075,0.029827,-0.016832),(4405,1085,0.031019,-0.018097),(4405,1095,0.032355,-0.019363),(4405,1105,0.033791,-0.020628),(4405,1115,0.035227,-0.022266),(4405,1125,0.036663,-0.024143),(4405,1135,0.038245,-0.026019),(4405,1145,0.039913,-0.027896),(4405,1155,0.041581,-0.030422),(4405,1165,0.043249,-0.033299),(4405,1175,0.044962,-0.036176),(4405,1185,0.046698,-0.039054),(4405,1195,0.048433,-0.043072),(4405,1205,0.050169,-0.047607),(4405,1215,0.051514,-0.052143),(4405,1225,0.052697,-0.056678),(4405,1235,0.05388,-0.063146),(4405,1245,0.055063,-0.070336),(4405,1255,0.054471,-0.077527),(4405,1265,0.053279,-0.084717),(4405,1275,0.052088,-0.094629),(4405,1285,0.050896,-0.10537),(4405,1295,0.044421,-0.1161),(4405,1305,0.036516,-0.12684),(4405,1315,0.028612,-0.13832),(4405,1325,0.020707,-0.14998),(4405,1335,0.002456,-0.16164),(4405,1345,-0.017964,-0.17329),(4405,1355,-0.038384,-0.16523),(4405,1365,-0.058804,-0.1536),(4405,1375,-0.068401,-0.14196),(4405,1385,-0.076328,-0.13032),(4405,1395,-0.084255,-0.11948),(4405,1405,-0.092182,-0.10874),(4405,1415,-0.094033,-0.098001),(4405,1425,-0.095254,-0.087262),(4405,1435,-0.096475,-0.079794),(4405,1445,-0.097696,-0.072588),(4405,1455,-0.096674,-0.065382),(4405,1465,-0.095524,-0.058176),(4405,1475,-0.094374,-0.053533),(4405,1485,-0.093223,-0.048981),(4405,1495,-0.091535,-0.044429),(4405,1505,-0.089839,-0.039885),(4405,1515,-0.088143,-0.036995),(4405,1525,-0.086448,-0.034105),(4405,1535,-0.084828,-0.031214),(4405,1545,-0.083207,-0.028369),(4405,1555,-0.081587,-0.026484),(4405,1565,-0.079982,-0.024599),(4405,1575,-0.078601,-0.022715),(4405,1585,-0.07722,-0.020882),(4405,1595,-0.075839,-0.019613),(4405,1605,-0.074483,-0.018345),(4405,1615,-0.07335,-0.017076),(4405,1625,-0.072218,-0.015856),(4405,1635,-0.071085,-0.014977),(4405,1645,-0.069983,-0.014098),(4405,1655,-0.069063,-0.013219),(4405,1665,-0.068143,-0.012382),(4405,1675,-0.067224,-0.01176),(4405,1685,-0.066335,-0.011137),(4405,1695,-0.065586,-0.010515),(4405,1705,-0.064838,-0.009928),(4405,1715,-0.064089,-0.009482),(4405,1725,-0.063369,-0.009037),(4405,1735,-0.062752,-0.008591),(4405,1745,-0.062135,-0.008176),(4405,1755,-0.061518,-0.007857),(4405,1765,-0.060927,-0.007539),(4405,1775,-0.060409,-0.007221),(4405,1785,-0.059891,-0.00693),(4405,1795,-0.059373,-0.006709),(4405,1805,-0.058876,-0.006487),(4405,1815,-0.058429,-0.006266),(4405,1825,-0.057982,-0.00607),(4405,1835,-0.057534,-0.005927),(4405,1845,-0.057103,-0.005784),(4405,1855,-0.056702,-0.005641),(4405,1865,-0.056301,-0.005522),(4405,1875,-0.0559,-0.005446),(4405,1885,-0.055509,-0.00537),(4405,1895,-0.055132,-0.005294),(4405,1905,-0.054756,-0.005243),(4405,1915,-0.054379,-0.005228),(4405,1925,-0.054004,-0.005214),(4405,1935,-0.053632,-0.005199),(4405,1945,-0.053259,-0.00521),(4405,1955,-0.052887,-0.005255),(4405,1965,-0.052507,-0.005299),(4405,1975,-0.052118,-0.005343),(4405,1985,-0.051729,-0.005416),(4405,1995,-0.051341,-0.00552),(4405,2005,-0.050934,-0.005624),(4405,2015,-0.05051,-0.005728),(4405,2025,-0.050085,-0.005865),(4405,2035,-0.04966,-0.006032),(4405,2045,-0.049205,-0.006198),(4405,2055,-0.048723,-0.006365),(4405,2065,-0.048241,-0.00657),(4405,2075,-0.047759,-0.006805),(4405,2085,-0.047231,-0.00704),(4405,2095,-0.046669,-0.007275),(4405,2105,-0.046108,-0.007554),(4405,2115,-0.045547,-0.007864),(4405,2125,-0.044921,-0.008173),(4405,2135,-0.044255,-0.008482),(4405,2145,-0.04359,-0.008844),(4405,2155,-0.042924,-0.009236),(4405,2165,-0.042172,-0.009627),(4405,2175,-0.041375,-0.010019),(4405,2185,-0.040579,-0.010472),(4405,2195,-0.039782,-0.010955),(4405,2205,-0.038872,-0.011438),(4405,2215,-0.037913,-0.01192),(4405,2225,-0.036954,-0.012475),(4405,2235,-0.035995,-0.013058),(4405,2245,-0.03489,-0.013641),(4405,2255,-0.033734,-0.014224),(4405,2265,-0.032578,-0.014891),(4405,2275,-0.031423,-0.015584),(4405,2285,-0.030083,-0.016277),(4405,2295,-0.028691,-0.016971),(4405,2305,-0.027299,-0.01776),(4405,2315,-0.025906,-0.018574),(4405,2325,-0.024285,-0.019388),(4405,2335,-0.022612,-0.020202),(4405,2345,-0.02094,-0.021125),(4405,2355,-0.019267,-0.02207),(4405,2365,-0.017312,-0.023015),(4405,2375,-0.015309,-0.02396),(4405,2385,-0.013306,-0.025027),(4405,2395,-0.011304,-0.026112),(4405,2405,-0.008958,-0.027197),(4405,2415,-0.006572,-0.028282),(4405,2425,-0.004185,-0.029503),(4405,2435,-0.001799,-0.030736),(4405,2445,0.000999,-0.031969),(4405,2455,0.003827,-0.033202),(4405,2465,0.006653,-0.034581),(4405,2475,0.009481,-0.035967),(4405,2485,0.012795,-0.037353),(4405,2495,0.016123,-0.038739),(4405,2505,0.01945,-0.040278),(4405,2515,0.022786,-0.041818),(4405,2525,0.026672,-0.043358),(4405,2535,0.030559,-0.044903),(4405,2545,0.034446,-0.04659),(4405,2555,0.038366,-0.048277),(4405,2565,0.042868,-0.049964),(4405,2575,0.04737,-0.051661),(4405,2585,0.051873,-0.053482),(4405,2595,0.056437,-0.055302),(4405,2605,0.061605,-0.057122),(4405,2615,0.066772,-0.058955),(4405,2625,0.07194,-0.060884),(4405,2635,0.077202,-0.062814),(4405,2645,0.083075,-0.064743),(4405,2655,0.088949,-0.066684),(4405,2665,0.094823,-0.06869),(4405,2675,0.10082,-0.070695),(4405,2685,0.10743,-0.0727),(4405,2695,0.11404,-0.074712),(4405,2705,0.12065,-0.076751),(4405,2715,0.12742,-0.07879),(4405,2725,0.13477,-0.080828),(4405,2735,0.14213,-0.082864),(4405,2745,0.14949,-0.084887),(4405,2755,0.15703,-0.086911),(4405,2765,0.16513,-0.088935),(4405,2775,0.17323,-0.09094),(4405,2785,0.18134,-0.092896),(4405,2795,0.18965,-0.094852),(4405,2805,0.19847,-0.096807),(4405,2815,0.2073,-0.098725),(4405,2825,0.21612,-0.10056),(4405,2835,0.22517,-0.10239),(4405,2845,0.23468,-0.10423),(4405,2855,0.24418,-0.106),(4405,2865,0.25369,-0.10767),(4405,2875,0.26343,-0.10933),(4405,2885,0.27356,-0.11099),(4405,2895,0.2837,-0.11257),(4405,2905,0.29383,-0.11401),(4405,2915,0.30419,-0.11546),(4405,2925,0.31487,-0.1169),(4405,2935,0.32556,-0.11823),(4405,2945,0.33625,-0.11942),(4405,2955,0.34714,-0.1206),(4405,2965,0.3583,-0.12179),(4405,2975,0.36945,-0.12284),(4405,2985,0.38061,-0.12373),(4405,2995,0.39194,-0.12462),(4405,3005,0.40347,-0.12552),(4405,3015,0.415,-0.12625),(4405,3025,0.42653,-0.12682),(4405,3035,0.43819,-0.1274),(4405,3045,0.44999,-0.12797),(4405,3055,0.46178,-0.12836),(4405,3065,0.47358,-0.1286),(4405,3075,0.48545,-0.12883),(4405,3085,0.4974,-0.12907),(4405,3095,0.50934,-0.12909),(4405,3105,0.52129,-0.12897),(4405,3115,0.53324,-0.12885),(4405,3125,0.54521,-0.12872),(4405,3135,0.55718,-0.12837),(4405,3145,0.56915,-0.12787),(4405,3155,0.58105,-0.12737),(4405,3165,0.59291,-0.12688),(4405,3175,0.60477,-0.12612),(4405,3185,0.61663,-0.12524),(4405,3195,0.62831,-0.12435),(4405,3205,0.63992,-0.12347),(4405,3215,0.65153,-0.1223),(4405,3225,0.66313,-0.12102),(4405,3235,0.67444,-0.11974),(4405,3245,0.68564,-0.11845),(4405,3255,0.69684,-0.11686),(4405,3265,0.70804,-0.11517),(4405,3275,0.71881,-0.11348),(4405,3285,0.72944,-0.11179),(4405,3295,0.74007,-0.10978),(4405,3305,0.7507,-0.10767),(4405,3315,0.76073,-0.10557),(4405,3325,0.77062,-0.10346),(4405,3335,0.7805,-0.10102),(4405,3345,0.79039,-0.0985),(4405,3355,0.7995,-0.095983),(4405,3365,0.80847,-0.093466),(4405,3375,0.81743,-0.090598),(4405,3385,0.8264,-0.087676),(4405,3395,0.83439,-0.084755),(4405,3405,0.84226,-0.081833),(4405,3415,0.85012,-0.078561),(4405,3425,0.85799,-0.075254),(4405,3435,0.86467,-0.071946),(4405,3445,0.87126,-0.068639),(4405,3455,0.87785,-0.064998),(4405,3465,0.88444,-0.061338),(4405,3475,0.88963,-0.057678),(4405,3485,0.89478,-0.054018),(4405,3495,0.89992,-0.050059),(4405,3505,0.90506,-0.046097),(4405,3515,0.90862,-0.042134),(4405,3525,0.91218,-0.038165),(4405,3535,0.91573,-0.033966),(4405,3545,0.91921,-0.029767),(4405,3555,0.92107,-0.025568),(4405,3565,0.92292,-0.02136),(4405,3575,0.92477,-0.017009),(4405,3585,0.92647,-0.012658),(4405,3595,0.92654,-0.008307),(4405,3605,0.92661,-0.00395),(4405,3615,0.92668,0.000456),(4405,3625,0.92652,0.004862),(4405,3635,0.92477,0.009269),(4405,3645,0.92302,0.013668),(4405,3655,0.92126,0.018024),(4405,3665,0.91921,0.02238),(4405,3675,0.91564,0.026736),(4405,3685,0.91208,0.031062),(4405,3695,0.90851,0.035258),(4405,3705,0.90458,0.039454),(4405,3715,0.89925,0.04365),(4405,3725,0.89392,0.047785),(4405,3735,0.88858,0.051708),(4405,3745,0.88284,0.055632),(4405,3755,0.87583,0.059556),(4405,3765,0.86881,0.063377),(4405,3775,0.8618,0.066909),(4405,3785,0.85433,0.070441),(4405,3795,0.84573,0.073972),(4405,3805,0.83713,0.077343),(4405,3815,0.82853,0.08034),(4405,3825,0.81945,0.083338),(4405,3835,0.80933,0.086335),(4405,3845,0.79922,0.089083),(4405,3855,0.78911,0.09135),(4405,3865,0.77844,0.093617),(4405,3875,0.76677,0.095884),(4405,3885,0.7551,0.097764),(4405,3895,0.74344,0.099016),(4405,3905,0.73099,0.10027),(4405,3915,0.71738,0.10152),(4405,3925,0.70376,0.10221),(4405,3935,0.69015,0.10211),(4405,3945,0.67512,0.10202),(4405,3955,0.6583,0.10193),(4405,3965,0.64147,0.10132),(4405,3975,0.62465,0.10012),(4405,3985,0.60493,0.098921),(4405,3995,0.58205,0.097719),(4405,4005,0.55918,0.097947),(4405,4015,0.53631,0.099605),(4405,4025,0.90956,0.10126),(4405,4035,1.3216,0.10548),(4405,4045,1.7336,0.11511),(4405,4055,2.0356,0.12473),(4405,4065,2.2975,0.13376),(4405,4075,2.5594,0.13925),(4405,4085,2.6757,0.14475),(4405,4095,2.6751,0.15025),(4405,4105,2.6745,0.15307),(4405,4115,2.5743,0.15579),(4405,4125,2.309,0.15851),(4405,4135,2.0438,0.14977),(4405,4145,1.7757,0.13792),(4405,4155,1.4967,0.12607),(4405,4165,1.2176,0.11403),(4405,4175,0.95443,0.10185),(4405,4185,1.4778,0.089673),(4405,4195,2.0012,0.08518),(4405,4205,2.5246,0.090841),(4405,4215,2.6034,0.096502),(4405,4225,2.5985,0.10263),(4405,4235,2.5936,0.11012),(4405,4245,2.59,0.11762),(4405,4255,2.5871,0.12452),(4405,4265,2.5842,0.12401),(4405,4275,2.2425,0.1235),(4405,4285,1.5411,0.123),(4405,4295,0.83976,0.11137),(4405,4305,0.53438,0.098459),(4405,4315,1.1231,0.085544),(4405,4325,1.7118,0.083494),(4405,4335,2.2355,0.085715),(4405,4345,2.3192,0.087935),(4405,4355,2.4028,0.093901),(4405,4365,2.4865,0.10306),(4405,4375,2.4898,0.11222),(4405,4385,2.489,0.12004),(4405,4395,2.4882,0.12547),(4405,4405,2.1531,0.13091),(4405,4415,1.7194,0.13237),(4405,4425,1.2857,0.11608),(4405,4435,1.101,0.099786),(4405,4445,1.0865,0.08351),(4405,4455,1.072,0.070401),(4405,4465,1.2401,0.057292),(4405,4475,1.6648,0.044184),(4405,4485,2.0895,0.048847),(4405,4495,2.4122,0.057234),(4405,4505,2.4074,0.065622),(4405,4515,2.4026,0.074238),(4405,4525,2.3928,0.082978),(4405,4535,2.3036,0.091718),(4405,4545,2.2143,0.09556),(4405,4555,2.1251,0.093887),(4405,4565,1.5817,0.092215),(4405,4575,0.97704,0.086228),(4405,4585,0.37239,0.069785),(4405,4595,0.67043,0.053343),(4405,4605,1.3499,0.03954),(4405,4615,2.0293,0.046271),(4405,4625,2.3502,0.053003),(4405,4635,2.3464,0.059735),(4405,4645,2.3426,0.070188),(4405,4655,2.3397,0.080898),(4405,4665,2.3383,0.091608),(4405,4675,2.3369,0.099271),(4405,4685,2.2503,0.10596),(4405,4695,1.7423,0.11265),(4405,4705,1.2343,0.10461),(4405,4715,0.72637,0.085881),(4405,4725,0.95742,0.06715),(4405,4735,1.1959,0.053631),(4405,4745,1.4343,0.047899),(4405,4755,1.6805,0.042166),(4405,4765,1.9285,0.040014),(4405,4775,2.1765,0.050352),(4405,4785,2.266,0.060691),(4405,4795,2.2639,0.070963),(4405,4805,2.2618,0.079806),(4405,4815,2.1462,0.088649),(4405,4825,1.8948,0.097492),(4405,4835,1.6435,0.090079),(4405,4845,1.3911,0.080157),(4405,4855,1.1362,0.070236),(4405,4865,0.88121,0.055818),(4405,4875,0.70081,0.039361),(4405,4885,1.1987,0.022904),(4405,4895,1.6966,0.02056),(4405,4905,2.1945,0.031778),(4405,4915,2.2308,0.042997),(4405,4925,2.2274,0.054626),(4405,4935,2.224,0.067083),(4405,4945,2.2203,0.079539),(4405,4955,2.2165,0.091153),(4405,4965,2.2127,0.098121),(4405,4975,1.8393,0.10509),(4405,4985,1.1806,0.11206),(4405,4995,0.52187,0.092211),(4405,5005,0.30538,0.071684),(4405,5015,0.79195,0.051157),(4405,5025,1.2785,0.044281),(4405,5035,1.6978,0.040882),(4405,5045,1.8607,0.037482),(4405,5055,2.0236,0.042393),(4405,5065,2.1816,0.052424),(4405,5075,2.1791,0.062454),(4405,5085,2.1766,0.072023),(4405,5095,2.1742,0.081005),(4405,5105,1.8923,0.089987),(4405,5115,1.5616,0.093002),(4405,5125,1.2309,0.07924),(4405,5135,1.0655,0.065479),(4405,5145,0.98024,0.051631),(4405,5155,0.89499,0.036848),(4405,5165,1.0539,0.022064),(4405,5175,1.4618,0.00728),(4405,5185,1.8697,0.013953),(4405,5195,2.1462,0.022853),(4405,5205,2.1394,0.031753),(4405,5215,2.1327,0.041175),(4405,5225,2.1143,0.050794),(4405,5235,2.0242,0.060412),(4405,5245,1.9341,0.065416),(4405,5255,1.8439,0.066637),(4405,5265,1.2962,0.067859),(4405,5275,0.72962,0.061572),(4405,5285,0.16304,0.042571),(4405,5295,0.55169,0.02357),(4405,5305,1.2064,0.009845),(4405,5315,1.861,0.018174),(4405,5325,2.1151,0.026503),(4405,5335,2.1064,0.034901),(4405,5345,2.0977,0.047831),(4405,5355,2.0891,0.060761),(4405,5365,2.0805,0.073691),(4405,5375,2.072,0.085438),(4405,5385,1.9461,0.096954),(4405,5395,1.4634,0.10847),(4405,5405,0.98078,0.10004),(4405,5415,0.54996,0.08127),(4405,5425,0.81528,0.062496),(4405,5435,1.0806,0.049476),(4405,5445,1.3459,0.042683),(4405,5455,1.589,0.03589),(4405,5465,1.8294,0.03299),(4405,5475,2.0697,0.039087),(4405,5485,2.1289,0.045183),(4405,5495,2.1151,0.051567),(4405,5505,2.1012,0.059982),(4405,5515,2.0888,0.068397),(4405,5525,2.0776,0.076812),(4405,5535,2.0664,0.084731),(4405,5545,2.0563,0.092621),(4405,5555,2.048,0.10051),(4405,5565,2.0397,0.10734),(4405,5575,2.0318,0.11386),(4405,5585,2.0258,0.12037),(4405,5595,2.0198,0.12608),(4405,5605,2.0137,0.13122),(4405,5615,2.0093,0.13637),(4405,5625,2.0048,0.14105),(4405,5635,2.0003,0.14505),(4405,5645,1.9967,0.14906),(4405,5655,1.9932,0.15287),(4405,5665,1.9898,0.15606),(4405,5675,1.9867,0.15925),(4405,5685,1.9839,0.1624),(4405,5695,1.9811,0.16503),(4405,5705,1.9785,0.16765),(4405,5715,1.976,0.17028),(4405,5725,1.9736,0.1726),(4405,5735,1.9713,0.17487),(4405,5745,1.9691,0.17715),(4405,5755,1.967,0.17929),(4405,5765,1.9648,0.18137),(4405,5775,1.9629,0.18345),(4405,5785,1.9609,0.18548),(4405,5795,1.9589,0.18747),(4405,5805,1.957,0.18945),(4405,5815,1.9552,0.19143),(4405,5825,1.9533,0.19338),(4405,5835,1.9516,0.19533),(4405,5845,1.9498,0.19727),(4405,5855,1.9481,0.19913),(4405,5865,1.9465,0.20099),(4405,5875,1.9449,0.20286),(4405,5885,1.9433,0.20439),(4405,5895,1.9418,0.20591),(4405,5905,1.9403,0.20743),(4405,5915,1.9387,0.20805),(4405,5925,1.9371,0.20845),(4405,5935,1.9348,0.20885),(4405,5945,1.9326,0.20717),(4405,5955,1.9302,0.20428),(4405,5965,1.9232,0.20138),(4405,5975,1.9163,0.19368),(4405,5985,1.9094,0.18012),(4405,5995,1.4573,0.16657),(4405,6005,0.93343,0.14932),(4405,6015,0.40961,0.12221),(4405,6025,0.6225,0.095095),(4405,6035,1.1771,0.079117),(4405,6045,1.7316,0.17039),(4405,6055,2.0822,0.26167),(4405,6065,2.2328,0.35295),(4405,6075,2.3835,0.37167),(4405,6085,2.4811,0.38373),(4405,6095,2.4697,0.39578),(4405,6105,2.4583,0.39795),(4405,6115,2.4486,0.39659),(4405,6125,2.4487,0.39524),(4405,6135,2.4489,0.39083),(4405,6145,2.4491,0.384),(4405,6155,2.4504,0.37718),(4405,6165,2.4517,0.36949),(4405,6175,2.453,0.3604),(4405,6185,2.4542,0.35131),(4405,6195,2.4553,0.3421),(4405,6205,2.4565,0.33242),(4405,6215,2.4574,0.32275),(4405,6225,2.4583,0.31308),(4405,6235,2.4591,0.30343),(4405,6245,2.4599,0.29378),(4405,6255,2.4605,0.28413),(4405,6265,2.4611,0.27478),(4405,6275,2.4616,0.26549),(4405,6285,2.462,0.2562),(4405,6295,2.4624,0.24717),(4405,6305,2.4628,0.23828),(4405,6315,2.4631,0.22939),(4405,6325,2.4634,0.2207),(4405,6335,2.4637,0.21221),(4405,6345,2.464,0.20372),(4405,6355,2.4642,0.19534),(4405,6365,2.4644,0.18722),(4405,6375,2.4646,0.1791),(4405,6385,2.4647,0.17103),(4405,6395,2.4649,0.16321),(4405,6405,2.465,0.1554),(4405,6415,2.4652,0.14759),(4405,6425,2.4653,0.14004),(4405,6435,2.4654,0.1325),(4405,6445,2.4655,0.12496),(4405,6455,2.4657,0.11758),(4405,6465,2.4658,0.11024),(4405,6475,2.4658,0.1029),(4405,6485,2.4659,0.095649),(4405,6495,2.466,0.088457),(4405,6505,2.4661,0.081265),(4405,6515,2.4662,0.074123),(4405,6525,2.4663,0.067051),(4405,6535,2.4664,0.059979),(4405,6545,2.4665,0.052938),(4405,6555,2.4666,0.04599),(4405,6565,2.4666,0.039042),(4405,6575,2.4667,0.032095),(4405,6585,2.4667,0.025153),(4405,6595,2.0982,0.018211),(4405,6605,1.3226,0.011269),(4405,6615,0.54712,0.010389),(4405,6625,0.001949,0.010289),(4405,6635,0.001957,0.010189),(4405,6645,0.001966,0.010138),(4405,6655,0.001974,0.010108),(4405,6665,0.001979,0.010078),(4405,6675,0.001985,0.01005),(4405,6685,0.001991,0.010023),(4405,6695,0.001994,0.009996),(4405,6705,0.001997,0.00997),(4405,6715,0.002001,0.009946),(4405,6725,0.002003,0.009921),(4405,6735,0.002004,0.009898),(4405,6745,0.002006,0.009876),(4405,6755,0.002007,0.009854),(4405,6765,0.002008,0.009832),(4405,6775,0.002008,0.009812),(4405,6785,0.002008,0.009792),(4405,6795,0.002008,0.009772),(4405,6805,0.002007,0.009754),(4405,6815,0.002007,0.009736),(4405,6825,0.002006,0.009718),(4405,6835,0.002005,0.009701),(4405,6845,0.002004,0.009684),(4405,6855,0.002002,0.009667),(4405,6865,0.002001,0.009651),(4405,6875,0.002,0.009636),(4405,6885,0.001998,0.009621),(4405,6895,0.001997,0.009606),(4405,6905,0.001995,0.009592),(4405,6915,0.001993,0.009578),(4405,6925,0.001991,0.009564),(4405,6935,0.00199,0.00955),(4405,6945,0.001988,0.009537),(4405,6955,0.001986,0.009524),(4405,6965,0.001984,0.009512),(4405,6975,0.001982,0.009499),(4405,6985,0.00198,0.009487),(4415,5,3.5e-05,-0.001204),(4415,15,0.000105,-0.001205),(4415,25,0.000176,-0.001206),(4415,35,0.000246,-0.001207),(4415,45,0.000317,-0.001209),(4415,55,0.000387,-0.001211),(4415,65,0.000458,-0.001213),(4415,75,0.000529,-0.001216),(4415,85,0.000601,-0.001219),(4415,95,0.000672,-0.001223),(4415,105,0.000745,-0.001227),(4415,115,0.000817,-0.001231),(4415,125,0.00089,-0.001236),(4415,135,0.000963,-0.001242),(4415,145,0.001038,-0.001247),(4415,155,0.001113,-0.001253),(4415,165,0.001188,-0.00126),(4415,175,0.001263,-0.001268),(4415,185,0.00134,-0.001275),(4415,195,0.001418,-0.001283),(4415,205,0.001496,-0.001292),(4415,215,0.001574,-0.001301),(4415,225,0.001655,-0.001311),(4415,235,0.001737,-0.001321),(4415,245,0.001819,-0.001332),(4415,255,0.0019,-0.001344),(4415,265,0.001986,-0.001356),(4415,275,0.002072,-0.001367),(4415,285,0.002158,-0.001381),(4415,295,0.002245,-0.001395),(4415,305,0.002335,-0.001409),(4415,315,0.002427,-0.001423),(4415,325,0.002519,-0.00144),(4415,335,0.002611,-0.001457),(4415,345,0.002709,-0.001473),(4415,355,0.002808,-0.00149),(4415,365,0.002906,-0.00151),(4415,375,0.003005,-0.00153),(4415,385,0.003111,-0.00155),(4415,395,0.003217,-0.00157),(4415,405,0.003324,-0.001594),(4415,415,0.003431,-0.001618),(4415,425,0.003546,-0.001641),(4415,435,0.003662,-0.001665),(4415,445,0.003778,-0.001693),(4415,455,0.003894,-0.001721),(4415,465,0.004021,-0.001749),(4415,475,0.004149,-0.001778),(4415,485,0.004276,-0.001811),(4415,495,0.004404,-0.001845),(4415,505,0.004545,-0.001878),(4415,515,0.004686,-0.001912),(4415,525,0.004826,-0.001951),(4415,535,0.004968,-0.001991),(4415,545,0.005125,-0.002031),(4415,555,0.005281,-0.002071),(4415,565,0.005438,-0.002118),(4415,575,0.005597,-0.002166),(4415,585,0.005772,-0.002213),(4415,595,0.005948,-0.002261),(4415,605,0.006124,-0.002317),(4415,615,0.006302,-0.002374),(4415,625,0.0065,-0.00243),(4415,635,0.006699,-0.002488),(4415,645,0.006897,-0.002555),(4415,655,0.007099,-0.002623),(4415,665,0.007325,-0.002691),(4415,675,0.00755,-0.002761),(4415,685,0.007776,-0.002843),(4415,695,0.008008,-0.002925),(4415,705,0.008266,-0.003007),(4415,715,0.008524,-0.003093),(4415,725,0.008782,-0.003193),(4415,735,0.00905,-0.003293),(4415,745,0.009348,-0.003393),(4415,755,0.009646,-0.003499),(4415,765,0.009944,-0.003622),(4415,775,0.010255,-0.003745),(4415,785,0.010602,-0.003869),(4415,795,0.010949,-0.004001),(4415,805,0.011295,-0.004155),(4415,815,0.011661,-0.004308),(4415,825,0.012067,-0.004462),(4415,835,0.012474,-0.004629),(4415,845,0.01288,-0.004822),(4415,855,0.013313,-0.005016),(4415,865,0.013794,-0.00521),(4415,875,0.014275,-0.005424),(4415,885,0.014756,-0.005672),(4415,895,0.015273,-0.00592),(4415,905,0.015848,-0.006168),(4415,915,0.016422,-0.006447),(4415,925,0.016996,-0.006771),(4415,935,0.017621,-0.007095),(4415,945,0.018314,-0.007419),(4415,955,0.019006,-0.007791),(4415,965,0.019698,-0.008222),(4415,975,0.020462,-0.008654),(4415,985,0.021305,-0.009085),(4415,995,0.022148,-0.009594),(4415,1005,0.022991,-0.010183),(4415,1015,0.023932,-0.010773),(4415,1025,0.024969,-0.011362),(4415,1035,0.026005,-0.012078),(4415,1045,0.027041,-0.012906),(4415,1055,0.028212,-0.013735),(4415,1065,0.029494,-0.014563),(4415,1075,0.030777,-0.015606),(4415,1085,0.032059,-0.01681),(4415,1095,0.033521,-0.018014),(4415,1105,0.035109,-0.019219),(4415,1115,0.036697,-0.020797),(4415,1125,0.038284,-0.022615),(4415,1135,0.040091,-0.024434),(4415,1145,0.042027,-0.026252),(4415,1155,0.043962,-0.028747),(4415,1165,0.045898,-0.031608),(4415,1175,0.048026,-0.034469),(4415,1185,0.05025,-0.03733),(4415,1195,0.052473,-0.041441),(4415,1205,0.054697,-0.046117),(4415,1215,0.056811,-0.050793),(4415,1225,0.058881,-0.05547),(4415,1235,0.06095,-0.062413),(4415,1245,0.06302,-0.070206),(4415,1255,0.063719,-0.077998),(4415,1265,0.063956,-0.08579),(4415,1275,0.064193,-0.097141),(4415,1285,0.06443,-0.10957),(4415,1295,0.059008,-0.122),(4415,1305,0.052055,-0.13443),(4415,1315,0.045103,-0.14876),(4415,1325,0.03815,-0.16354),(4415,1335,0.01272,-0.17832),(4415,1345,-0.016582,-0.1931),(4415,1355,-0.045885,-0.18288),(4415,1365,-0.075187,-0.16813),(4415,1375,-0.085147,-0.15337),(4415,1385,-0.092122,-0.13862),(4415,1395,-0.099098,-0.12592),(4415,1405,-0.10607,-0.11349),(4415,1415,-0.10654,-0.10106),(4415,1425,-0.10633,-0.088629),(4415,1435,-0.10611,-0.08048),(4415,1445,-0.1059,-0.072673),(4415,1455,-0.10396,-0.064867),(4415,1465,-0.10192,-0.05706),(4415,1475,-0.099883,-0.052261),(4415,1485,-0.097843,-0.04757),(4415,1495,-0.095659,-0.042878),(4415,1505,-0.093473,-0.038196),(4415,1515,-0.091287,-0.035324),(4415,1525,-0.089108,-0.032452),(4415,1535,-0.087219,-0.02958),(4415,1545,-0.085329,-0.026755),(4415,1555,-0.08344,-0.02493),(4415,1565,-0.081574,-0.023106),(4415,1575,-0.08004,-0.021281),(4415,1585,-0.078506,-0.019508),(4415,1595,-0.076972,-0.018302),(4415,1605,-0.07547,-0.017096),(4415,1615,-0.074246,-0.01589),(4415,1625,-0.073022,-0.014731),(4415,1635,-0.071798,-0.013906),(4415,1645,-0.07061,-0.013081),(4415,1655,-0.069633,-0.012255),(4415,1665,-0.068656,-0.01147),(4415,1675,-0.067679,-0.010891),(4415,1685,-0.066737,-0.010312),(4415,1695,-0.06595,-0.009732),(4415,1705,-0.065163,-0.009187),(4415,1715,-0.064377,-0.008774),(4415,1725,-0.063622,-0.008362),(4415,1735,-0.062978,-0.007949),(4415,1745,-0.062334,-0.007565),(4415,1755,-0.061691,-0.007272),(4415,1765,-0.061075,-0.006978),(4415,1775,-0.060537,-0.006685),(4415,1785,-0.059999,-0.006417),(4415,1795,-0.059461,-0.006214),(4415,1805,-0.058946,-0.00601),(4415,1815,-0.058483,-0.005807),(4415,1825,-0.05802,-0.005626),(4415,1835,-0.057557,-0.005495),(4415,1845,-0.05711,-0.005364),(4415,1855,-0.056696,-0.005233),(4415,1865,-0.056282,-0.005123),(4415,1875,-0.055868,-0.005054),(4415,1885,-0.055463,-0.004984),(4415,1895,-0.055075,-0.004914),(4415,1905,-0.054686,-0.004867),(4415,1915,-0.054298,-0.004854),(4415,1925,-0.053911,-0.00484),(4415,1935,-0.053527,-0.004826),(4415,1945,-0.053143,-0.004836),(4415,1955,-0.052759,-0.004876),(4415,1965,-0.052367,-0.004917),(4415,1975,-0.051967,-0.004957),(4415,1985,-0.051567,-0.005023),(4415,1995,-0.051166,-0.005118),(4415,2005,-0.050748,-0.005213),(4415,2015,-0.050311,-0.005308),(4415,2025,-0.049874,-0.005432),(4415,2035,-0.049437,-0.005585),(4415,2045,-0.048968,-0.005738),(4415,2055,-0.048473,-0.00589),(4415,2065,-0.047978,-0.006077),(4415,2075,-0.047483,-0.006292),(4415,2085,-0.046941,-0.006507),(4415,2095,-0.046365,-0.006722),(4415,2105,-0.045789,-0.006977),(4415,2115,-0.045213,-0.00726),(4415,2125,-0.044572,-0.007543),(4415,2135,-0.04389,-0.007826),(4415,2145,-0.043209,-0.008158),(4415,2155,-0.042528,-0.008516),(4415,2165,-0.041759,-0.008875),(4415,2175,-0.040945,-0.009233),(4415,2185,-0.04013,-0.009648),(4415,2195,-0.039316,-0.01009),(4415,2205,-0.038388,-0.010531),(4415,2215,-0.03741,-0.010973),(4415,2225,-0.036432,-0.011481),(4415,2235,-0.035454,-0.012014),(4415,2245,-0.03433,-0.012547),(4415,2255,-0.033154,-0.01308),(4415,2265,-0.031977,-0.01369),(4415,2275,-0.030801,-0.014323),(4415,2285,-0.02944,-0.014957),(4415,2295,-0.028026,-0.015591),(4415,2305,-0.026612,-0.016312),(4415,2315,-0.025198,-0.017055),(4415,2325,-0.023554,-0.017798),(4415,2335,-0.021858,-0.018541),(4415,2345,-0.020162,-0.019383),(4415,2355,-0.018466,-0.020245),(4415,2365,-0.016487,-0.021106),(4415,2375,-0.01446,-0.021968),(4415,2385,-0.012433,-0.02294),(4415,2395,-0.010406,-0.023928),(4415,2405,-0.008035,-0.024917),(4415,2415,-0.005624,-0.025905),(4415,2425,-0.003213,-0.027015),(4415,2435,-0.000802,-0.028137),(4415,2445,0.002022,-0.029258),(4415,2455,0.004874,-0.03038),(4415,2465,0.007726,-0.031634),(4415,2475,0.010578,-0.032893),(4415,2485,0.013918,-0.034153),(4415,2495,0.017269,-0.035413),(4415,2505,0.020621,-0.036811),(4415,2515,0.023981,-0.038209),(4415,2525,0.027889,-0.039608),(4415,2535,0.031798,-0.041011),(4415,2545,0.035707,-0.042543),(4415,2555,0.039649,-0.044074),(4415,2565,0.044168,-0.045606),(4415,2575,0.048688,-0.047147),(4415,2585,0.053208,-0.048799),(4415,2595,0.05779,-0.050452),(4415,2605,0.062969,-0.052104),(4415,2615,0.068148,-0.053767),(4415,2625,0.073328,-0.055518),(4415,2635,0.0786,-0.05727),(4415,2645,0.084477,-0.059021),(4415,2655,0.090354,-0.060782),(4415,2665,0.09623,-0.062602),(4415,2675,0.10223,-0.064422),(4415,2685,0.10883,-0.066241),(4415,2695,0.11544,-0.068067),(4415,2705,0.12204,-0.069917),(4415,2715,0.12879,-0.071767),(4415,2725,0.13613,-0.073616),(4415,2735,0.14347,-0.075463),(4415,2745,0.15081,-0.077299),(4415,2755,0.15833,-0.079134),(4415,2765,0.1664,-0.08097),(4415,2775,0.17447,-0.082788),(4415,2785,0.18254,-0.084562),(4415,2795,0.19082,-0.086335),(4415,2805,0.1996,-0.088108),(4415,2815,0.20838,-0.089847),(4415,2825,0.21716,-0.091509),(4415,2835,0.22616,-0.093171),(4415,2845,0.23562,-0.094833),(4415,2855,0.24507,-0.09644),(4415,2865,0.25452,-0.097944),(4415,2875,0.2642,-0.099449),(4415,2885,0.27426,-0.10095),(4415,2895,0.28433,-0.10238),(4415,2905,0.2944,-0.10368),(4415,2915,0.30469,-0.10499),(4415,2925,0.3153,-0.10629),(4415,2935,0.32591,-0.10749),(4415,2945,0.33652,-0.10856),(4415,2955,0.34733,-0.10963),(4415,2965,0.35841,-0.11069),(4415,2975,0.36948,-0.11164),(4415,2985,0.38055,-0.11244),(4415,2995,0.3918,-0.11324),(4415,3005,0.40324,-0.11403),(4415,3015,0.41467,-0.11469),(4415,3025,0.42611,-0.11519),(4415,3035,0.43769,-0.1157),(4415,3045,0.44939,-0.11621),(4415,3055,0.46109,-0.11655),(4415,3065,0.47279,-0.11674),(4415,3075,0.48457,-0.11694),(4415,3085,0.49642,-0.11714),(4415,3095,0.50827,-0.11714),(4415,3105,0.52012,-0.11701),(4415,3115,0.53198,-0.11688),(4415,3125,0.54385,-0.11676),(4415,3135,0.55572,-0.11641),(4415,3145,0.56759,-0.11594),(4415,3155,0.57939,-0.11547),(4415,3165,0.59115,-0.115),(4415,3175,0.60291,-0.1143),(4415,3185,0.61467,-0.11348),(4415,3195,0.62626,-0.11266),(4415,3205,0.63776,-0.11184),(4415,3215,0.64927,-0.11077),(4415,3225,0.66078,-0.10959),(4415,3235,0.67199,-0.1084),(4415,3245,0.68309,-0.10722),(4415,3255,0.69419,-0.10577),(4415,3265,0.70529,-0.10422),(4415,3275,0.71596,-0.10268),(4415,3285,0.72649,-0.10113),(4415,3295,0.73702,-0.099291),(4415,3305,0.74755,-0.097375),(4415,3315,0.75749,-0.095458),(4415,3325,0.76728,-0.093541),(4415,3335,0.77707,-0.091321),(4415,3345,0.78687,-0.089036),(4415,3355,0.79588,-0.086751),(4415,3365,0.80476,-0.084467),(4415,3375,0.81364,-0.081871),(4415,3385,0.82251,-0.079227),(4415,3395,0.83042,-0.076583),(4415,3405,0.8382,-0.073939),(4415,3415,0.84598,-0.070987),(4415,3425,0.85376,-0.068002),(4415,3435,0.86037,-0.065017),(4415,3445,0.86688,-0.062032),(4415,3455,0.87339,-0.058753),(4415,3465,0.87991,-0.055457),(4415,3475,0.88504,-0.052162),(4415,3485,0.89012,-0.048866),(4415,3495,0.8952,-0.045308),(4415,3505,0.90028,-0.041746),(4415,3515,0.90378,-0.038184),(4415,3525,0.90729,-0.034617),(4415,3535,0.9108,-0.030849),(4415,3545,0.91424,-0.027081),(4415,3555,0.91606,-0.023312),(4415,3565,0.91788,-0.019536),(4415,3575,0.9197,-0.015635),(4415,3585,0.92138,-0.011735),(4415,3595,0.92144,-0.007834),(4415,3605,0.9215,-0.003929),(4415,3615,0.92156,1.7e-05),(4415,3625,0.9214,0.003963),(4415,3635,0.91966,0.007909),(4415,3645,0.91792,0.011848),(4415,3655,0.91618,0.015746),(4415,3665,0.91415,0.019644),(4415,3675,0.91062,0.023541),(4415,3685,0.90709,0.027412),(4415,3695,0.90356,0.031162),(4415,3705,0.89968,0.034912),(4415,3715,0.89442,0.038662),(4415,3725,0.88915,0.042356),(4415,3735,0.88388,0.045855),(4415,3745,0.87822,0.049354),(4415,3755,0.8713,0.052852),(4415,3765,0.86438,0.056255),(4415,3775,0.85746,0.059386),(4415,3785,0.85011,0.062518),(4415,3795,0.84165,0.06565),(4415,3805,0.83319,0.068625),(4415,3815,0.82473,0.071241),(4415,3825,0.8158,0.073857),(4415,3835,0.8059,0.076472),(4415,3845,0.796,0.078834),(4415,3855,0.78609,0.080708),(4415,3865,0.77567,0.082582),(4415,3875,0.76433,0.084456),(4415,3885,0.75299,0.085905),(4415,3895,0.74165,0.086664),(4415,3905,0.72961,0.087423),(4415,3915,0.71652,0.088183),(4415,3925,0.70343,0.088243),(4415,3935,0.69034,0.08734),(4415,3945,0.67591,0.086436),(4415,3955,0.65976,0.085533),(4415,3965,0.6436,0.083791),(4415,3975,0.62745,0.081066),(4415,3985,0.60783,0.078341),(4415,3995,0.58443,0.075616),(4415,4005,0.56104,0.074115),(4415,4015,0.53765,0.073838),(4415,4025,0.90539,0.073561),(4415,4035,1.3114,0.07729),(4415,4045,1.7174,0.089463),(4415,4055,2.0178,0.10164),(4415,4065,2.2797,0.11339),(4415,4075,2.5416,0.12267),(4415,4085,2.6585,0.13194),(4415,4095,2.6588,0.14121),(4415,4105,2.6591,0.14773),(4415,4115,2.5635,0.15415),(4415,4125,2.3087,0.16057),(4415,4135,2.0539,0.1485),(4415,4145,1.7947,0.13142),(4415,4155,1.5178,0.11434),(4415,4165,1.2408,0.095502),(4415,4175,0.97944,0.075533),(4415,4185,1.4881,0.055564),(4415,4195,1.9968,0.049103),(4415,4205,2.5055,0.060497),(4415,4215,2.5814,0.071891),(4415,4225,2.5758,0.083771),(4415,4235,2.5702,0.097091),(4415,4245,2.5693,0.11041),(4415,4255,2.5707,0.12292),(4415,4265,2.5722,0.12532),(4415,4275,2.2387,0.12772),(4415,4285,1.5497,0.13013),(4415,4295,0.8608,0.11056),(4415,4305,0.56034,0.088435),(4415,4315,1.1371,0.066314),(4415,4325,1.7138,0.062381),(4415,4335,2.2265,0.065597),(4415,4345,2.3052,0.068813),(4415,4355,2.3838,0.078092),(4415,4365,2.4625,0.092543),(4415,4375,2.4671,0.10699),(4415,4385,2.4678,0.11989),(4415,4395,2.4685,0.13005),(4415,4405,2.1457,0.1402),(4415,4415,1.7275,0.144),(4415,4425,1.3093,0.11946),(4415,4435,1.1297,0.094924),(4415,4445,1.1131,0.070411),(4415,4455,1.0966,0.050784),(4415,4465,1.2574,0.031157),(4415,4475,1.6673,0.01153),(4415,4485,2.0773,0.01949),(4415,4495,2.3888,0.033233),(4415,4505,2.3844,0.046976),(4415,4515,2.38,0.060411),(4415,4525,2.371,0.073678),(4415,4535,2.2889,0.086946),(4415,4545,2.2069,0.09242),(4415,4555,2.1248,0.089117),(4415,4565,1.5915,0.085814),(4415,4575,0.99734,0.075896),(4415,4585,0.40318,0.049949),(4415,4595,0.69184,0.024001),(4415,4605,1.3535,0.002441),(4415,4615,2.0152,0.015028),(4415,4625,2.3268,0.027615),(4415,4635,2.3214,0.040201),(4415,4645,2.316,0.05698),(4415,4655,2.3127,0.074047),(4415,4665,2.3133,0.091115),(4415,4675,2.314,0.10421),(4415,4685,2.232,0.11603),(4415,4695,1.7416,0.12785),(4415,4705,1.2511,0.11671),(4415,4715,0.76069,0.088903),(4415,4725,0.9836,0.061093),(4415,4735,1.2136,0.041037),(4415,4745,1.4437,0.032561),(4415,4755,1.68,0.024086),(4415,4765,1.9177,0.020915),(4415,4775,2.1555,0.036254),(4415,4785,2.2418,0.051592),(4415,4795,2.2406,0.06683),(4415,4805,2.2395,0.079918),(4415,4815,2.1299,0.093006),(4415,4825,1.8907,0.10609),(4415,4835,1.6514,0.094719),(4415,4845,1.4089,0.07957),(4415,4855,1.1576,0.06442),(4415,4865,0.9064,0.04345),(4415,4875,0.72757,0.019842),(4415,4885,1.2077,-0.003765),(4415,4895,1.6878,-0.006413),(4415,4905,2.1679,0.011084),(4415,4915,2.2026,0.028581),(4415,4925,2.1991,0.046341),(4415,4935,2.1956,0.064629),(4415,4945,2.1943,0.082916),(4415,4955,2.1938,0.099965),(4415,4965,2.1934,0.11018),(4415,4975,1.8313,0.12039),(4415,4985,1.19,0.1306),(4415,4995,0.54878,0.10178),(4415,5005,0.33872,0.071967),(4415,5015,0.81414,0.042156),(4415,5025,1.2896,0.032304),(4415,5035,1.6982,0.027535),(4415,5045,1.8527,0.022766),(4415,5055,2.0071,0.030268),(4415,5065,2.1569,0.04533),(4415,5075,2.1551,0.060392),(4415,5085,2.1534,0.07472),(4415,5095,2.1516,0.088118),(4415,5105,1.8823,0.10152),(4415,5115,1.5663,0.10598),(4415,5125,1.2504,0.085315),(4415,5135,1.0895,0.064652),(4415,5145,1.004,0.04401),(4415,5155,0.91839,0.023599),(4415,5165,1.0697,0.003187),(4415,5175,1.4625,-0.017224),(4415,5185,1.8553,-0.006133),(4415,5195,2.1218,0.008227),(4415,5205,2.1157,0.022588),(4415,5215,2.1097,0.036323),(4415,5225,2.093,0.049823),(4415,5235,2.01,0.063324),(4415,5245,1.9271,0.068265),(4415,5255,1.8441,0.06619),(4415,5265,1.3072,0.064115),(4415,5275,0.75153,0.052483),(4415,5285,0.19586,0.024669),(4415,5295,0.5714,-0.003146),(4415,5305,1.2063,-0.022561),(4415,5315,1.8411,-0.006872),(4415,5325,2.0867,0.008818),(4415,5335,2.077,0.024565),(4415,5345,2.0674,0.044089),(4415,5355,2.0589,0.063614),(4415,5365,2.052,0.083138),(4415,5375,2.0451,0.099829),(4415,5385,1.9254,0.11597),(4415,5395,1.4624,0.1321),(4415,5405,0.99946,0.11843),(4415,5415,0.58628,0.08929),(4415,5425,0.84171,0.060149),(4415,5435,1.0971,0.041021),(4415,5445,1.3526,0.032733),(4415,5455,1.5883,0.024445),(4415,5465,1.8216,0.021259),(4415,5475,2.0549,0.029869),(4415,5485,2.1119,0.038478),(4415,5495,2.098,0.047263),(4415,5505,2.084,0.057286),(4415,5515,2.0719,0.067309),(4415,5525,2.0614,0.077332),(4415,5535,2.0508,0.086091),(4415,5545,2.0414,0.094776),(4415,5555,2.0338,0.10346),(4415,5565,2.0262,0.11076),(4415,5575,2.019,0.11765),(4415,5585,2.0135,0.12453),(4415,5595,2.008,0.13052),(4415,5605,2.0025,0.13588),(4415,5615,1.9984,0.14125),(4415,5625,1.9943,0.14614),(4415,5635,1.9902,0.15037),(4415,5645,1.9868,0.15459),(4415,5655,1.9836,0.15863),(4415,5665,1.9804,0.16209),(4415,5675,1.9775,0.16555),(4415,5685,1.9748,0.16899),(4415,5695,1.9721,0.17198),(4415,5705,1.9696,0.17498),(4415,5715,1.9672,0.17798),(4415,5725,1.9648,0.18078),(4415,5735,1.9625,0.18355),(4415,5745,1.9603,0.18632),(4415,5755,1.9582,0.18905),(4415,5765,1.956,0.19177),(4415,5775,1.9539,0.1945),(4415,5785,1.9519,0.19727),(4415,5795,1.9498,0.20008),(4415,5805,1.9478,0.2029),(4415,5815,1.9458,0.20579),(4415,5825,1.9438,0.20881),(4415,5835,1.9419,0.21184),(4415,5845,1.94,0.21491),(4415,5855,1.9381,0.21819),(4415,5865,1.9363,0.22147),(4415,5875,1.9346,0.22475),(4415,5885,1.9328,0.22814),(4415,5895,1.9312,0.23154),(4415,5905,1.9297,0.23494),(4415,5915,1.9283,0.23782),(4415,5925,1.9269,0.24059),(4415,5935,1.9257,0.24336),(4415,5945,1.9246,0.24404),(4415,5955,1.9234,0.24349),(4415,5965,1.9224,0.24293),(4415,5975,1.9214,0.23574),(4415,5985,1.9203,0.22045),(4415,5995,1.4801,0.20516),(4415,6005,0.96924,0.18286),(4415,6015,0.45836,0.14178),(4415,6025,0.62742,0.10071),(4415,6035,1.1118,0.075693),(4415,6045,1.5962,0.2053),(4415,6055,1.9395,0.33491),(4415,6065,2.1445,0.46451),(4415,6075,2.3494,0.47668),(4415,6085,2.4849,0.47805),(4415,6095,2.477,0.47942),(4415,6105,2.4691,0.47179),(4415,6115,2.4623,0.46095),(4415,6125,2.462,0.45011),(4415,6135,2.4616,0.43831),(4415,6145,2.4612,0.42573),(4415,6155,2.4619,0.41316),(4415,6165,2.4626,0.40058),(4415,6175,2.4632,0.388),(4415,6185,2.4638,0.37541),(4415,6195,2.4644,0.36297),(4415,6205,2.465,0.35112),(4415,6215,2.4654,0.33926),(4415,6225,2.4658,0.32742),(4415,6235,2.4661,0.31636),(4415,6245,2.4665,0.3053),(4415,6255,2.4667,0.29424),(4415,6265,2.4669,0.28388),(4415,6275,2.4671,0.27365),(4415,6285,2.4672,0.26341),(4415,6295,2.4673,0.25364),(4415,6305,2.4675,0.24411),(4415,6315,2.4675,0.23458),(4415,6325,2.4676,0.22534),(4415,6335,2.4677,0.2164),(4415,6345,2.4677,0.20746),(4415,6355,2.4677,0.19868),(4415,6365,2.4678,0.19025),(4415,6375,2.4678,0.18182),(4415,6385,2.4678,0.17343),(4415,6395,2.4678,0.1654),(4415,6405,2.4678,0.15737),(4415,6415,2.4678,0.14934),(4415,6425,2.4679,0.14162),(4415,6435,2.4679,0.13391),(4415,6445,2.4679,0.12621),(4415,6455,2.4679,0.11869),(4415,6465,2.4679,0.11124),(4415,6475,2.4679,0.10378),(4415,6485,2.468,0.096433),(4415,6495,2.468,0.089159),(4415,6505,2.468,0.081884),(4415,6515,2.4681,0.074664),(4415,6525,2.4681,0.067518),(4415,6535,2.4682,0.060373),(4415,6545,2.4682,0.053262),(4415,6555,2.4682,0.046258),(4415,6565,2.4683,0.039255),(4415,6575,2.4683,0.032253),(4415,6585,2.4683,0.025264),(4415,6595,2.0995,0.018275),(4415,6605,1.3235,0.011286),(4415,6615,0.5475,0.0104),(4415,6625,0.00198,0.010299),(4415,6635,0.001987,0.010198),(4415,6645,0.001994,0.010146),(4415,6655,0.002001,0.010115),(4415,6665,0.002005,0.010084),(4415,6675,0.00201,0.010055),(4415,6685,0.002014,0.010028),(4415,6695,0.002017,0.01),(4415,6705,0.002019,0.009973),(4415,6715,0.002021,0.009948),(4415,6725,0.002023,0.009924),(4415,6735,0.002024,0.009899),(4415,6745,0.002024,0.009877),(4415,6755,0.002025,0.009855),(4415,6765,0.002024,0.009832),(4415,6775,0.002024,0.009812),(4415,6785,0.002024,0.009792),(4415,6795,0.002023,0.009772),(4415,6805,0.002022,0.009753),(4415,6815,0.002021,0.009735),(4415,6825,0.002019,0.009717),(4415,6835,0.002018,0.009699),(4415,6845,0.002016,0.009683),(4415,6855,0.002014,0.009666),(4415,6865,0.002012,0.00965),(4415,6875,0.002011,0.009635),(4415,6885,0.002009,0.009619),(4415,6895,0.002007,0.009604),(4415,6905,0.002005,0.00959),(4415,6915,0.002003,0.009576),(4415,6925,0.002001,0.009562),(4415,6935,0.001998,0.009549),(4415,6945,0.001996,0.009536),(4415,6955,0.001994,0.009522),(4415,6965,0.001992,0.00951),(4415,6975,0.00199,0.009498),(4415,6985,0.001988,0.009485),(4425,5,3.5e-05,-0.001134),(4425,15,0.000106,-0.001135),(4425,25,0.000176,-0.001136),(4425,35,0.000247,-0.001137),(4425,45,0.000318,-0.001138),(4425,55,0.000388,-0.00114),(4425,65,0.000459,-0.001143),(4425,75,0.000531,-0.001145),(4425,85,0.000603,-0.001148),(4425,95,0.000674,-0.001151),(4425,105,0.000747,-0.001155),(4425,115,0.00082,-0.001159),(4425,125,0.000893,-0.001163),(4425,135,0.000967,-0.001168),(4425,145,0.001041,-0.001173),(4425,155,0.001117,-0.001178),(4425,165,0.001192,-0.001185),(4425,175,0.001267,-0.001192),(4425,185,0.001345,-0.001198),(4425,195,0.001423,-0.001205),(4425,205,0.001501,-0.001213),(4425,215,0.00158,-0.001222),(4425,225,0.001661,-0.001231),(4425,235,0.001743,-0.001239),(4425,245,0.001825,-0.00125),(4425,255,0.001907,-0.00126),(4425,265,0.001993,-0.001271),(4425,275,0.002079,-0.001282),(4425,285,0.002166,-0.001294),(4425,295,0.002253,-0.001307),(4425,305,0.002344,-0.001319),(4425,315,0.002436,-0.001332),(4425,325,0.002529,-0.001347),(4425,335,0.002621,-0.001362),(4425,345,0.002719,-0.001377),(4425,355,0.002819,-0.001392),(4425,365,0.002918,-0.00141),(4425,375,0.003017,-0.001428),(4425,385,0.003123,-0.001446),(4425,395,0.003231,-0.001464),(4425,405,0.003338,-0.001485),(4425,415,0.003445,-0.001507),(4425,425,0.003562,-0.001528),(4425,435,0.003678,-0.00155),(4425,445,0.003795,-0.001575),(4425,455,0.003912,-0.0016),(4425,465,0.00404,-0.001625),(4425,475,0.004169,-0.001651),(4425,485,0.004297,-0.001681),(4425,495,0.004425,-0.001711),(4425,505,0.004567,-0.001741),(4425,515,0.004709,-0.001772),(4425,525,0.004851,-0.001807),(4425,535,0.004994,-0.001843),(4425,545,0.005152,-0.001879),(4425,555,0.00531,-0.001915),(4425,565,0.005468,-0.001958),(4425,575,0.005628,-0.002),(4425,585,0.005805,-0.002043),(4425,595,0.005983,-0.002086),(4425,605,0.00616,-0.002137),(4425,615,0.00634,-0.002187),(4425,625,0.006541,-0.002238),(4425,635,0.006742,-0.00229),(4425,645,0.006942,-0.002351),(4425,655,0.007147,-0.002412),(4425,665,0.007375,-0.002473),(4425,675,0.007604,-0.002536),(4425,685,0.007832,-0.00261),(4425,695,0.008067,-0.002684),(4425,705,0.008329,-0.002758),(4425,715,0.00859,-0.002835),(4425,725,0.008852,-0.002925),(4425,735,0.009124,-0.003016),(4425,745,0.009426,-0.003106),(4425,755,0.009729,-0.003201),(4425,765,0.010032,-0.003313),(4425,775,0.010348,-0.003424),(4425,785,0.010701,-0.003536),(4425,795,0.011054,-0.003655),(4425,805,0.011407,-0.003794),(4425,815,0.01178,-0.003933),(4425,825,0.012195,-0.004072),(4425,835,0.01261,-0.004223),(4425,845,0.013025,-0.004398),(4425,855,0.013467,-0.004574),(4425,865,0.01396,-0.00475),(4425,875,0.014453,-0.004944),(4425,885,0.014945,-0.005169),(4425,895,0.015476,-0.005395),(4425,905,0.016067,-0.00562),(4425,915,0.016658,-0.005875),(4425,925,0.017249,-0.00617),(4425,935,0.017894,-0.006465),(4425,945,0.01861,-0.006761),(4425,955,0.019327,-0.007102),(4425,965,0.020043,-0.007497),(4425,975,0.020836,-0.007893),(4425,985,0.021715,-0.008289),(4425,995,0.022594,-0.008757),(4425,1005,0.023473,-0.009302),(4425,1015,0.024461,-0.009846),(4425,1025,0.025553,-0.010391),(4425,1035,0.026644,-0.011057),(4425,1045,0.027736,-0.01183),(4425,1055,0.028982,-0.012603),(4425,1065,0.030354,-0.013376),(4425,1075,0.031726,-0.014358),(4425,1085,0.033099,-0.015498),(4425,1095,0.034687,-0.016637),(4425,1105,0.036427,-0.017777),(4425,1115,0.038166,-0.01929),(4425,1125,0.039906,-0.021044),(4425,1135,0.041937,-0.022798),(4425,1145,0.044141,-0.024551),(4425,1155,0.046344,-0.027005),(4425,1165,0.048547,-0.029837),(4425,1175,0.05109,-0.03267),(4425,1185,0.053801,-0.035502),(4425,1195,0.056513,-0.039685),(4425,1205,0.059224,-0.04448),(4425,1215,0.062109,-0.049275),(4425,1225,0.065064,-0.05407),(4425,1235,0.06802,-0.061462),(4425,1245,0.070976,-0.069825),(4425,1255,0.072968,-0.078188),(4425,1265,0.074634,-0.086552),(4425,1275,0.076299,-0.099355),(4425,1285,0.077965,-0.1135),(4425,1295,0.073596,-0.12765),(4425,1305,0.067595,-0.1418),(4425,1315,0.061594,-0.15943),(4425,1325,0.055592,-0.17789),(4425,1335,0.022984,-0.19635),(4425,1345,-0.0152,-0.21481),(4425,1355,-0.053385,-0.20204),(4425,1365,-0.09157,-0.18362),(4425,1375,-0.10189,-0.16519),(4425,1385,-0.10792,-0.14676),(4425,1395,-0.11394,-0.13213),(4425,1405,-0.11997,-0.11798),(4425,1415,-0.11904,-0.10383),(4425,1425,-0.1174,-0.08968),(4425,1435,-0.11575,-0.080874),(4425,1445,-0.11411,-0.072498),(4425,1455,-0.11125,-0.064121),(4425,1465,-0.10832,-0.055744),(4425,1475,-0.10539,-0.050813),(4425,1485,-0.10246,-0.046005),(4425,1495,-0.099783,-0.041196),(4425,1505,-0.097107,-0.036398),(4425,1515,-0.094431,-0.033557),(4425,1525,-0.091768,-0.030716),(4425,1535,-0.08961,-0.027875),(4425,1545,-0.087452,-0.025082),(4425,1555,-0.085294,-0.023324),(4425,1565,-0.083166,-0.021565),(4425,1575,-0.081479,-0.019807),(4425,1585,-0.079792,-0.018101),(4425,1595,-0.078105,-0.016961),(4425,1605,-0.076457,-0.01582),(4425,1615,-0.075142,-0.01468),(4425,1625,-0.073827,-0.013586),(4425,1635,-0.072512,-0.012816),(4425,1645,-0.071237,-0.012047),(4425,1655,-0.070203,-0.011277),(4425,1665,-0.069169,-0.010546),(4425,1675,-0.068135,-0.010011),(4425,1685,-0.067139,-0.009476),(4425,1695,-0.066314,-0.00894),(4425,1705,-0.065489,-0.008437),(4425,1715,-0.064665,-0.008058),(4425,1725,-0.063874,-0.007679),(4425,1735,-0.063204,-0.007301),(4425,1745,-0.062534,-0.006949),(4425,1755,-0.061863,-0.006681),(4425,1765,-0.061223,-0.006413),(4425,1775,-0.060665,-0.006145),(4425,1785,-0.060107,-0.0059),(4425,1795,-0.059549,-0.005714),(4425,1805,-0.059015,-0.005529),(4425,1815,-0.058537,-0.005344),(4425,1825,-0.058058,-0.00518),(4425,1835,-0.057579,-0.00506),(4425,1845,-0.057118,-0.004941),(4425,1855,-0.05669,-0.004821),(4425,1865,-0.056263,-0.004722),(4425,1875,-0.055835,-0.004659),(4425,1885,-0.055418,-0.004595),(4425,1895,-0.055018,-0.004532),(4425,1905,-0.054617,-0.004489),(4425,1915,-0.054217,-0.004476),(4425,1925,-0.053818,-0.004463),(4425,1935,-0.053422,-0.004451),(4425,1945,-0.053027,-0.004459),(4425,1955,-0.052631,-0.004496),(4425,1965,-0.052228,-0.004532),(4425,1975,-0.051816,-0.004568),(4425,1985,-0.051404,-0.004628),(4425,1995,-0.050992,-0.004713),(4425,2005,-0.050561,-0.004799),(4425,2015,-0.050112,-0.004885),(4425,2025,-0.049663,-0.004998),(4425,2035,-0.049213,-0.005136),(4425,2045,-0.048732,-0.005274),(4425,2055,-0.048223,-0.005412),(4425,2065,-0.047715,-0.005581),(4425,2075,-0.047207,-0.005776),(4425,2085,-0.046651,-0.005971),(4425,2095,-0.04606,-0.006165),(4425,2105,-0.04547,-0.006397),(4425,2115,-0.044879,-0.006654),(4425,2125,-0.044223,-0.00691),(4425,2135,-0.043525,-0.007167),(4425,2145,-0.042828,-0.007468),(4425,2155,-0.042131,-0.007793),(4425,2165,-0.041345,-0.008118),(4425,2175,-0.040514,-0.008443),(4425,2185,-0.039682,-0.00882),(4425,2195,-0.038851,-0.00922),(4425,2205,-0.037904,-0.009621),(4425,2215,-0.036907,-0.010022),(4425,2225,-0.035911,-0.010482),(4425,2235,-0.034914,-0.010965),(4425,2245,-0.03377,-0.011449),(4425,2255,-0.032573,-0.011932),(4425,2265,-0.031376,-0.012484),(4425,2275,-0.03018,-0.013058),(4425,2285,-0.028797,-0.013632),(4425,2295,-0.027361,-0.014206),(4425,2305,-0.025925,-0.014858),(4425,2315,-0.02449,-0.015531),(4425,2325,-0.022822,-0.016203),(4425,2335,-0.021103,-0.016875),(4425,2345,-0.019384,-0.017636),(4425,2355,-0.017665,-0.018414),(4425,2365,-0.015662,-0.019192),(4425,2375,-0.013611,-0.019971),(4425,2385,-0.01156,-0.020848),(4425,2395,-0.009508,-0.021739),(4425,2405,-0.007112,-0.02263),(4425,2415,-0.004676,-0.023522),(4425,2425,-0.00224,-0.024522),(4425,2435,0.000196,-0.025532),(4425,2445,0.003045,-0.026542),(4425,2455,0.005922,-0.027553),(4425,2465,0.008799,-0.028681),(4425,2475,0.011676,-0.029814),(4425,2485,0.01504,-0.030948),(4425,2495,0.018416,-0.032081),(4425,2505,0.021791,-0.033338),(4425,2515,0.025176,-0.034595),(4425,2525,0.029106,-0.035853),(4425,2535,0.033037,-0.037114),(4425,2545,0.036967,-0.038491),(4425,2555,0.040931,-0.039867),(4425,2565,0.045469,-0.041244),(4425,2575,0.050007,-0.042629),(4425,2585,0.054544,-0.044113),(4425,2595,0.059143,-0.045598),(4425,2605,0.064334,-0.047082),(4425,2615,0.069525,-0.048577),(4425,2625,0.074715,-0.05015),(4425,2635,0.079998,-0.051724),(4425,2645,0.085878,-0.053297),(4425,2655,0.091758,-0.05488),(4425,2665,0.097638,-0.056514),(4425,2675,0.10364,-0.058149),(4425,2685,0.11024,-0.059784),(4425,2695,0.11683,-0.061424),(4425,2705,0.12342,-0.063085),(4425,2715,0.13017,-0.064747),(4425,2725,0.13749,-0.066408),(4425,2735,0.14481,-0.068067),(4425,2745,0.15213,-0.069715),(4425,2755,0.15963,-0.071363),(4425,2765,0.16767,-0.073011),(4425,2775,0.17571,-0.074644),(4425,2785,0.18375,-0.076235),(4425,2795,0.19199,-0.077827),(4425,2805,0.20073,-0.079418),(4425,2815,0.20947,-0.080978),(4425,2825,0.2182,-0.082468),(4425,2835,0.22716,-0.083959),(4425,2845,0.23655,-0.085449),(4425,2855,0.24595,-0.086889),(4425,2865,0.25535,-0.088236),(4425,2875,0.26497,-0.089583),(4425,2885,0.27496,-0.09093),(4425,2895,0.28496,-0.092206),(4425,2905,0.29496,-0.093371),(4425,2915,0.30518,-0.094536),(4425,2925,0.31572,-0.0957),(4425,2935,0.32625,-0.096772),(4425,2945,0.33679,-0.097721),(4425,2955,0.34752,-0.09867),(4425,2965,0.35851,-0.09962),(4425,2975,0.3695,-0.10045),(4425,2985,0.38049,-0.10116),(4425,2995,0.39165,-0.10187),(4425,3005,0.403,-0.10257),(4425,3015,0.41435,-0.10314),(4425,3025,0.4257,-0.10358),(4425,3035,0.43718,-0.10403),(4425,3045,0.44879,-0.10447),(4425,3055,0.4604,-0.10475),(4425,3065,0.47201,-0.10491),(4425,3075,0.48369,-0.10507),(4425,3085,0.49545,-0.10523),(4425,3095,0.5072,-0.10522),(4425,3105,0.51895,-0.10508),(4425,3115,0.53071,-0.10494),(4425,3125,0.54248,-0.10481),(4425,3135,0.55426,-0.10448),(4425,3145,0.56603,-0.10404),(4425,3155,0.57773,-0.1036),(4425,3165,0.58939,-0.10316),(4425,3175,0.60105,-0.1025),(4425,3185,0.61271,-0.10175),(4425,3195,0.6242,-0.10099),(4425,3205,0.63561,-0.10024),(4425,3215,0.64701,-0.099252),(4425,3225,0.65842,-0.098175),(4425,3235,0.66953,-0.097097),(4425,3245,0.68054,-0.096019),(4425,3255,0.69154,-0.094698),(4425,3265,0.70254,-0.093295),(4425,3275,0.71311,-0.091892),(4425,3285,0.72354,-0.090489),(4425,3295,0.73398,-0.088829),(4425,3305,0.74441,-0.0871),(4425,3315,0.75425,-0.08537),(4425,3325,0.76395,-0.083641),(4425,3335,0.77365,-0.081645),(4425,3345,0.78334,-0.079592),(4425,3355,0.79227,-0.07754),(4425,3365,0.80106,-0.075487),(4425,3375,0.80984,-0.073163),(4425,3385,0.81863,-0.070797),(4425,3395,0.82645,-0.068431),(4425,3405,0.83414,-0.066065),(4425,3415,0.84184,-0.06343),(4425,3425,0.84954,-0.060767),(4425,3435,0.85607,-0.058105),(4425,3445,0.8625,-0.055442),(4425,3455,0.86894,-0.052524),(4425,3465,0.87538,-0.049593),(4425,3475,0.88044,-0.046661),(4425,3485,0.88546,-0.043729),(4425,3495,0.89048,-0.04057),(4425,3505,0.89549,-0.037409),(4425,3515,0.89895,-0.034247),(4425,3525,0.90241,-0.031081),(4425,3535,0.90587,-0.027742),(4425,3545,0.90926,-0.024403),(4425,3555,0.91105,-0.021064),(4425,3565,0.91284,-0.017718),(4425,3575,0.91464,-0.014267),(4425,3585,0.91628,-0.010816),(4425,3595,0.91633,-0.007365),(4425,3605,0.91639,-0.00391),(4425,3615,0.91644,-0.000423),(4425,3625,0.91627,0.003064),(4425,3635,0.91454,0.006552),(4425,3645,0.91282,0.010032),(4425,3655,0.9111,0.013473),(4425,3665,0.90909,0.016914),(4425,3675,0.9056,0.020355),(4425,3685,0.90211,0.023771),(4425,3695,0.89862,0.027077),(4425,3705,0.89478,0.030382),(4425,3715,0.88958,0.033688),(4425,3725,0.88438,0.036943),(4425,3735,0.87918,0.040018),(4425,3745,0.87359,0.043094),(4425,3755,0.86677,0.046169),(4425,3765,0.85995,0.049155),(4425,3775,0.85313,0.051889),(4425,3785,0.84589,0.054623),(4425,3795,0.83757,0.057356),(4425,3805,0.82925,0.05994),(4425,3815,0.82092,0.062178),(4425,3825,0.81216,0.064415),(4425,3835,0.80247,0.066653),(4425,3845,0.79277,0.068634),(4425,3855,0.78307,0.070122),(4425,3865,0.7729,0.071609),(4425,3875,0.76189,0.073096),(4425,3885,0.75088,0.074123),(4425,3895,0.73987,0.074401),(4425,3905,0.72824,0.074679),(4425,3915,0.71567,0.074957),(4425,3925,0.70311,0.0744),(4425,3935,0.69054,0.072695),(4425,3945,0.67669,0.070989),(4425,3955,0.66121,0.069284),(4425,3965,0.64574,0.066377),(4425,3975,0.63026,0.062061),(4425,3985,0.61073,0.057746),(4425,3995,0.58682,0.05343),(4425,4005,0.56291,0.049892),(4425,4015,0.539,0.04713),(4425,4025,0.90121,0.044369),(4425,4035,1.3012,0.047282),(4425,4045,1.7012,0.062152),(4425,4055,2,0.077023),(4425,4065,2.262,0.091685),(4425,4075,2.5239,0.1051),(4425,4085,2.6413,0.11852),(4425,4095,2.6425,0.13194),(4425,4105,2.6438,0.14286),(4425,4115,2.5526,0.15369),(4425,4125,2.3083,0.16452),(4425,4135,2.064,0.14939),(4425,4145,1.8136,0.12724),(4425,4155,1.5388,0.10509),(4425,4165,1.264,0.07846),(4425,4175,1.0045,0.048961),(4425,4185,1.4984,0.019462),(4425,4195,1.9924,0.010413),(4425,4205,2.4864,0.028396),(4425,4215,2.5594,0.046379),(4425,4225,2.5532,0.064812),(4425,4235,2.5469,0.084581),(4425,4245,2.5486,0.10435),(4425,4255,2.5544,0.12316),(4425,4265,2.5601,0.13),(4425,4275,2.2349,0.13685),(4425,4285,1.5583,0.1437),(4425,4295,0.88183,0.11366),(4425,4305,0.58631,0.079351),(4425,4315,1.1511,0.04504),(4425,4325,1.7159,0.038831),(4425,4335,2.2174,0.043669),(4425,4345,2.2912,0.048507),(4425,4355,2.3649,0.061673),(4425,4365,2.4386,0.081945),(4425,4375,2.4444,0.10222),(4425,4385,2.4466,0.12086),(4425,4395,2.4488,0.13661),(4425,4405,2.1383,0.15236),(4425,4415,1.7356,0.15909),(4425,4425,1.3329,0.12563),(4425,4435,1.1584,0.09217),(4425,4445,1.1398,0.058738),(4425,4455,1.1212,0.031593),(4425,4465,1.2747,0.004447),(4425,4475,1.6699,-0.022698),(4425,4485,2.0651,-0.011052),(4425,4495,2.3654,0.008726),(4425,4505,2.3614,0.028504),(4425,4515,2.3573,0.047383),(4425,4525,2.3491,0.065775),(4425,4535,2.2742,0.084167),(4425,4545,2.1994,0.092074),(4425,4555,2.1245,0.088171),(4425,4565,1.6013,0.084268),(4425,4575,1.0176,0.070336),(4425,4585,0.43398,0.032094),(4425,4595,0.71325,-0.006148),(4425,4605,1.3571,-0.03783),(4425,4615,2.001,-0.018456),(4425,4625,2.3034,0.000918),(4425,4635,2.2964,0.020292),(4425,4645,2.2894,0.043882),(4425,4655,2.2857,0.067762),(4425,4665,2.2884,0.091643),(4425,4675,2.2911,0.11095),(4425,4685,2.2137,0.12879),(4425,4695,1.7408,0.14663),(4425,4705,1.2679,0.13206),(4425,4715,0.79501,0.093952),(4425,4725,1.0098,0.055844),(4425,4735,1.2314,0.028421),(4425,4745,1.4531,0.01696),(4425,4755,1.6795,0.005499),(4425,4765,1.9069,0.001224),(4425,4775,2.1344,0.022027),(4425,4785,2.2176,0.04283),(4425,4795,2.2174,0.063505),(4425,4805,2.2171,0.081441),(4425,4815,2.1136,0.099378),(4425,4825,1.8865,0.11731),(4425,4835,1.6594,0.10224),(4425,4845,1.4267,0.082065),(4425,4855,1.1791,0.061894),(4425,4865,0.93159,0.033441),(4425,4875,0.75433,0.001234),(4425,4885,1.2166,-0.030972),(4425,4895,1.6789,-0.034342),(4425,4905,2.1412,-0.009997),(4425,4915,2.1744,0.014349),(4425,4925,2.1708,0.038765),(4425,4935,2.1671,0.063325),(4425,4945,2.1683,0.087884),(4425,4955,2.1711,0.11092),(4425,4965,2.174,0.12557),(4425,4975,1.8232,0.14022),(4425,4985,1.1994,0.15488),(4425,4995,0.57568,0.11482),(4425,5005,0.37205,0.073372),(4425,5015,0.83632,0.031926),(4425,5025,1.3006,0.018881),(4425,5035,1.6987,0.013068),(4425,5045,1.8446,0.007256),(4425,5055,1.9906,0.017773),(4425,5065,2.1322,0.038349),(4425,5075,2.1311,0.058926),(4425,5085,2.1301,0.078575),(4425,5095,2.129,0.097046),(4425,5105,1.8723,0.11552),(4425,5115,1.5711,0.12188),(4425,5125,1.2698,0.094211),(4425,5135,1.1136,0.066539),(4425,5145,1.0277,0.038924),(4425,5155,0.9418,0.011923),(4425,5165,1.0855,-0.015079),(4425,5175,1.4632,-0.04208),(4425,5185,1.841,-0.02619),(4425,5195,2.0974,-0.005848),(4425,5205,2.0921,0.014495),(4425,5215,2.0867,0.033104),(4425,5225,2.0716,0.051066),(4425,5235,1.9959,0.069027),(4425,5245,1.9201,0.074796),(4425,5255,1.8444,0.07057),(4425,5265,1.3182,0.066344),(4425,5275,0.77343,0.049209),(4425,5285,0.22868,0.010217),(4425,5295,0.59111,-0.028776),(4425,5305,1.2062,-0.055696),(4425,5315,1.8212,-0.032159),(4425,5325,2.0584,-0.008622),(4425,5335,2.0477,0.014958),(4425,5345,2.037,0.041356),(4425,5355,2.0287,0.067755),(4425,5365,2.0235,0.094154),(4425,5375,2.0183,0.1165),(4425,5385,1.9046,0.13805),(4425,5395,1.4614,0.15961),(4425,5405,1.0181,0.14054),(4425,5415,0.6226,0.10041),(4425,5425,0.86813,0.060267),(4425,5435,1.1137,0.034253),(4425,5445,1.3592,0.02353),(4425,5455,1.5875,0.012807),(4425,5465,1.8138,0.008722),(4425,5475,2.0401,0.019982),(4425,5485,2.095,0.031241),(4425,5495,2.0808,0.042549),(4425,5505,2.0667,0.054196),(4425,5515,2.0549,0.065843),(4425,5525,2.0451,0.07749),(4425,5535,2.0352,0.087093),(4425,5545,2.0264,0.096578),(4425,5555,2.0196,0.10606),(4425,5565,2.0127,0.11384),(4425,5575,2.0062,0.12111),(4425,5585,2.0012,0.12837),(4425,5595,1.9963,0.13466),(4425,5605,1.9913,0.14026),(4425,5615,1.9876,0.14586),(4425,5625,1.9839,0.15099),(4425,5635,1.9801,0.15544),(4425,5645,1.977,0.1599),(4425,5655,1.974,0.16419),(4425,5665,1.971,0.16794),(4425,5675,1.9683,0.1717),(4425,5685,1.9657,0.17543),(4425,5695,1.9631,0.17882),(4425,5705,1.9607,0.1822),(4425,5715,1.9584,0.18559),(4425,5725,1.956,0.18889),(4425,5735,1.9537,0.19217),(4425,5745,1.9515,0.19545),(4425,5755,1.9493,0.1988),(4425,5765,1.9471,0.20218),(4425,5775,1.945,0.20556),(4425,5785,1.9428,0.20909),(4425,5795,1.9407,0.21276),(4425,5805,1.9386,0.21643),(4425,5815,1.9364,0.22026),(4425,5825,1.9343,0.22439),(4425,5835,1.9322,0.22853),(4425,5845,1.9302,0.23276),(4425,5855,1.9281,0.23751),(4425,5865,1.9261,0.24226),(4425,5875,1.9242,0.247),(4425,5885,1.9223,0.25235),(4425,5895,1.9206,0.25771),(4425,5905,1.9192,0.26308),(4425,5915,1.9178,0.26843),(4425,5925,1.9167,0.27379),(4425,5935,1.9166,0.27915),(4425,5945,1.9165,0.28265),(4425,5955,1.9166,0.28505),(4425,5965,1.9215,0.28745),(4425,5975,1.9264,0.28201),(4425,5985,1.9312,0.26702),(4425,5995,1.503,0.25202),(4425,6005,1.0051,0.2261),(4425,6015,0.50711,0.171),(4425,6025,0.63233,0.11591),(4425,6035,1.0466,0.081315),(4425,6045,1.4608,0.24428),(4425,6055,1.7968,0.40724),(4425,6065,2.0561,0.5702),(4425,6075,2.3154,0.57596),(4425,6085,2.4886,0.56727),(4425,6095,2.4842,0.55859),(4425,6105,2.4799,0.54166),(4425,6115,2.4761,0.5218),(4425,6125,2.4752,0.50194),(4425,6135,2.4743,0.48309),(4425,6145,2.4734,0.46505),(4425,6155,2.4734,0.447),(4425,6165,2.4735,0.42978),(4425,6175,2.4735,0.41387),(4425,6185,2.4735,0.39797),(4425,6195,2.4735,0.38247),(4425,6205,2.4735,0.36854),(4425,6215,2.4734,0.35462),(4425,6225,2.4733,0.34073),(4425,6235,2.4732,0.32835),(4425,6245,2.473,0.31596),(4425,6255,2.4729,0.30357),(4425,6265,2.4728,0.29226),(4425,6275,2.4726,0.28113),(4425,6285,2.4724,0.27001),(4425,6295,2.4722,0.25955),(4425,6305,2.4721,0.24942),(4425,6315,2.4719,0.23929),(4425,6325,2.4717,0.22954),(4425,6335,2.4716,0.22018),(4425,6345,2.4714,0.21083),(4425,6355,2.4713,0.20167),(4425,6365,2.4711,0.19294),(4425,6375,2.471,0.18422),(4425,6385,2.4709,0.17556),(4425,6395,2.4707,0.16732),(4425,6405,2.4706,0.15909),(4425,6415,2.4705,0.15086),(4425,6425,2.4704,0.14298),(4425,6435,2.4703,0.13513),(4425,6445,2.4702,0.12727),(4425,6455,2.4702,0.11964),(4425,6465,2.4701,0.11208),(4425,6475,2.47,0.10452),(4425,6485,2.47,0.097091),(4425,6495,2.4699,0.089746),(4425,6505,2.4699,0.082401),(4425,6515,2.4699,0.075113),(4425,6525,2.4699,0.067905),(4425,6535,2.4699,0.060696),(4425,6545,2.4699,0.053526),(4425,6555,2.4699,0.046477),(4425,6565,2.4699,0.039428),(4425,6575,2.47,0.032381),(4425,6585,2.47,0.025354),(4425,6595,2.1009,0.018327),(4425,6605,1.3244,0.011301),(4425,6615,0.54789,0.01041),(4425,6625,0.002011,0.010308),(4425,6635,0.002017,0.010206),(4425,6645,0.002022,0.010154),(4425,6655,0.002028,0.010122),(4425,6665,0.002031,0.01009),(4425,6675,0.002034,0.01006),(4425,6685,0.002038,0.010032),(4425,6695,0.002039,0.010003),(4425,6705,0.002041,0.009976),(4425,6715,0.002042,0.009951),(4425,6725,0.002043,0.009926),(4425,6735,0.002043,0.009901),(4425,6745,0.002043,0.009878),(4425,6755,0.002042,0.009855),(4425,6765,0.002041,0.009833),(4425,6775,0.00204,0.009812),(4425,6785,0.002039,0.009792),(4425,6795,0.002037,0.009771),(4425,6805,0.002036,0.009753),(4425,6815,0.002034,0.009734),(4425,6825,0.002032,0.009716),(4425,6835,0.00203,0.009698),(4425,6845,0.002028,0.009681),(4425,6855,0.002026,0.009665),(4425,6865,0.002024,0.009649),(4425,6875,0.002021,0.009633),(4425,6885,0.002019,0.009618),(4425,6895,0.002017,0.009602),(4425,6905,0.002014,0.009588),(4425,6915,0.002012,0.009574),(4425,6925,0.00201,0.00956),(4425,6935,0.002007,0.009547),(4425,6945,0.002005,0.009534),(4425,6955,0.002002,0.00952),(4425,6965,0.002,0.009508),(4425,6975,0.001998,0.009496),(4425,6985,0.001995,0.009484),(4435,5,3.5e-05,-0.001063),(4435,15,0.000106,-0.001064),(4435,25,0.000177,-0.001065),(4435,35,0.000248,-0.001066),(4435,45,0.000318,-0.001067),(4435,55,0.000389,-0.001069),(4435,65,0.000461,-0.001071),(4435,75,0.000533,-0.001073),(4435,85,0.000605,-0.001075),(4435,95,0.000677,-0.001079),(4435,105,0.000749,-0.001082),(4435,115,0.000823,-0.001085),(4435,125,0.000896,-0.001089),(4435,135,0.00097,-0.001094),(4435,145,0.001045,-0.001098),(4435,155,0.00112,-0.001103),(4435,165,0.001196,-0.001108),(4435,175,0.001272,-0.001114),(4435,185,0.001349,-0.00112),(4435,195,0.001428,-0.001126),(4435,205,0.001506,-0.001134),(4435,215,0.001585,-0.001141),(4435,225,0.001666,-0.001149),(4435,235,0.001749,-0.001157),(4435,245,0.001831,-0.001166),(4435,255,0.001914,-0.001175),(4435,265,0.002,-0.001185),(4435,275,0.002087,-0.001194),(4435,285,0.002174,-0.001205),(4435,295,0.002261,-0.001216),(4435,305,0.002353,-0.001228),(4435,315,0.002446,-0.001239),(4435,325,0.002538,-0.001252),(4435,335,0.002631,-0.001265),(4435,345,0.00273,-0.001279),(4435,355,0.00283,-0.001292),(4435,365,0.002929,-0.001308),(4435,375,0.003029,-0.001324),(4435,385,0.003136,-0.00134),(4435,395,0.003244,-0.001356),(4435,405,0.003352,-0.001375),(4435,415,0.00346,-0.001394),(4435,425,0.003577,-0.001412),(4435,435,0.003695,-0.001432),(4435,445,0.003812,-0.001454),(4435,455,0.00393,-0.001476),(4435,465,0.004059,-0.001498),(4435,475,0.004188,-0.001521),(4435,485,0.004317,-0.001547),(4435,495,0.004447,-0.001574),(4435,505,0.00459,-0.001601),(4435,515,0.004733,-0.001627),(4435,525,0.004876,-0.001659),(4435,535,0.00502,-0.001691),(4435,545,0.005179,-0.001722),(4435,555,0.005339,-0.001754),(4435,565,0.005498,-0.001792),(4435,575,0.005659,-0.001829),(4435,585,0.005839,-0.001866),(4435,595,0.006018,-0.001905),(4435,605,0.006197,-0.001949),(4435,615,0.006379,-0.001994),(4435,625,0.006582,-0.002039),(4435,635,0.006785,-0.002084),(4435,645,0.006987,-0.002138),(4435,655,0.007195,-0.002192),(4435,665,0.007426,-0.002246),(4435,675,0.007657,-0.002301),(4435,685,0.007888,-0.002366),(4435,695,0.008126,-0.002431),(4435,705,0.008391,-0.002496),(4435,715,0.008657,-0.002564),(4435,725,0.008922,-0.002644),(4435,735,0.009198,-0.002723),(4435,745,0.009505,-0.002802),(4435,755,0.009813,-0.002886),(4435,765,0.01012,-0.002984),(4435,775,0.010442,-0.003082),(4435,785,0.010801,-0.00318),(4435,795,0.01116,-0.003285),(4435,805,0.011519,-0.003407),(4435,815,0.011899,-0.00353),(4435,825,0.012322,-0.003652),(4435,835,0.012746,-0.003785),(4435,845,0.013169,-0.003939),(4435,855,0.013621,-0.004093),(4435,865,0.014126,-0.004248),(4435,875,0.01463,-0.004419),(4435,885,0.015135,-0.004617),(4435,895,0.01568,-0.004816),(4435,905,0.016287,-0.005014),(4435,915,0.016894,-0.005238),(4435,925,0.017502,-0.005498),(4435,935,0.018167,-0.005758),(4435,945,0.018907,-0.006018),(4435,955,0.019647,-0.006318),(4435,965,0.020388,-0.006667),(4435,975,0.02121,-0.007016),(4435,985,0.022125,-0.007365),(4435,995,0.02304,-0.007779),(4435,1005,0.023955,-0.00826),(4435,1015,0.024989,-0.008742),(4435,1025,0.026136,-0.009223),(4435,1035,0.027284,-0.009813),(4435,1045,0.028432,-0.010499),(4435,1055,0.029752,-0.011185),(4435,1065,0.031214,-0.011871),(4435,1075,0.032676,-0.012745),(4435,1085,0.034138,-0.013762),(4435,1095,0.035853,-0.014779),(4435,1105,0.037745,-0.015796),(4435,1115,0.039636,-0.017157),(4435,1125,0.041528,-0.018738),(4435,1135,0.043783,-0.020319),(4435,1145,0.046254,-0.0219),(4435,1155,0.048726,-0.024141),(4435,1165,0.051197,-0.026739),(4435,1175,0.054154,-0.029338),(4435,1185,0.057353,-0.031936),(4435,1195,0.060552,-0.035872),(4435,1205,0.063751,-0.040414),(4435,1215,0.067406,-0.044956),(4435,1225,0.071248,-0.049498),(4435,1235,0.075091,-0.056868),(4435,1245,0.078933,-0.065297),(4435,1255,0.082216,-0.073726),(4435,1265,0.085311,-0.082155),(4435,1275,0.088405,-0.096635),(4435,1285,0.091499,-0.11295),(4435,1295,0.088184,-0.12926),(4435,1305,0.083134,-0.14558),(4435,1315,0.078085,-0.17399),(4435,1325,0.073035,-0.2053),(4435,1335,0.033248,-0.2366),(4435,1345,-0.013818,-0.26791),(4435,1355,-0.060885,-0.24624),(4435,1365,-0.10795,-0.21497),(4435,1375,-0.11864,-0.18371),(4435,1385,-0.12371,-0.15244),(4435,1395,-0.12878,-0.13442),(4435,1405,-0.13386,-0.11811),(4435,1415,-0.13155,-0.10179),(4435,1425,-0.12847,-0.085474),(4435,1435,-0.1254,-0.076448),(4435,1445,-0.12232,-0.068007),(4435,1455,-0.11854,-0.059567),(4435,1465,-0.11472,-0.051126),(4435,1475,-0.1109,-0.046439),(4435,1485,-0.10708,-0.041887),(4435,1495,-0.10391,-0.037335),(4435,1505,-0.10074,-0.032792),(4435,1515,-0.097575,-0.030188),(4435,1525,-0.094428,-0.027584),(4435,1535,-0.092001,-0.024979),(4435,1545,-0.089574,-0.02242),(4435,1555,-0.087147,-0.020837),(4435,1565,-0.084758,-0.019253),(4435,1575,-0.082918,-0.01767),(4435,1585,-0.081079,-0.016134),(4435,1595,-0.079239,-0.015117),(4435,1605,-0.077444,-0.0141),(4435,1615,-0.076038,-0.013084),(4435,1625,-0.074632,-0.012108),(4435,1635,-0.073226,-0.011426),(4435,1645,-0.071865,-0.010744),(4435,1655,-0.070773,-0.010061),(4435,1665,-0.069682,-0.009413),(4435,1675,-0.06859,-0.00894),(4435,1685,-0.067541,-0.008467),(4435,1695,-0.066678,-0.007994),(4435,1705,-0.065815,-0.007549),(4435,1715,-0.064952,-0.007215),(4435,1725,-0.064127,-0.00688),(4435,1735,-0.06343,-0.006546),(4435,1745,-0.062733,-0.006236),(4435,1755,-0.062036,-0.005999),(4435,1765,-0.06137,-0.005763),(4435,1775,-0.060793,-0.005526),(4435,1785,-0.060215,-0.005311),(4435,1795,-0.059637,-0.005147),(4435,1805,-0.059085,-0.004984),(4435,1815,-0.05859,-0.00482),(4435,1825,-0.058096,-0.004676),(4435,1835,-0.057601,-0.00457),(4435,1845,-0.057125,-0.004465),(4435,1855,-0.056684,-0.004359),(4435,1865,-0.056244,-0.004272),(4435,1875,-0.055803,-0.004216),(4435,1885,-0.055373,-0.00416),(4435,1895,-0.05496,-0.004104),(4435,1905,-0.054548,-0.004066),(4435,1915,-0.054135,-0.004055),(4435,1925,-0.053725,-0.004043),(4435,1935,-0.053318,-0.004032),(4435,1945,-0.052911,-0.00404),(4435,1955,-0.052503,-0.004072),(4435,1965,-0.052089,-0.004104),(4435,1975,-0.051665,-0.004136),(4435,1985,-0.051241,-0.004189),(4435,1995,-0.050818,-0.004265),(4435,2005,-0.050375,-0.004341),(4435,2015,-0.049913,-0.004417),(4435,2025,-0.049451,-0.004517),(4435,2035,-0.04899,-0.00464),(4435,2045,-0.048496,-0.004762),(4435,2055,-0.047974,-0.004885),(4435,2065,-0.047452,-0.005036),(4435,2075,-0.04693,-0.005209),(4435,2085,-0.04636,-0.005382),(4435,2095,-0.045755,-0.005556),(4435,2105,-0.04515,-0.005762),(4435,2115,-0.044545,-0.005992),(4435,2125,-0.043874,-0.006221),(4435,2135,-0.04316,-0.00645),(4435,2145,-0.042447,-0.006718),(4435,2155,-0.041734,-0.007009),(4435,2165,-0.040932,-0.007299),(4435,2175,-0.040083,-0.00759),(4435,2185,-0.039234,-0.007926),(4435,2195,-0.038385,-0.008285),(4435,2205,-0.03742,-0.008643),(4435,2215,-0.036405,-0.009001),(4435,2225,-0.035389,-0.009413),(4435,2235,-0.034374,-0.009845),(4435,2245,-0.033209,-0.010277),(4435,2255,-0.031992,-0.010709),(4435,2265,-0.030775,-0.011203),(4435,2275,-0.029558,-0.011716),(4435,2285,-0.028154,-0.012228),(4435,2295,-0.026696,-0.012741),(4435,2305,-0.025239,-0.013324),(4435,2315,-0.023781,-0.013924),(4435,2325,-0.022091,-0.014524),(4435,2335,-0.020349,-0.015124),(4435,2345,-0.018606,-0.015802),(4435,2355,-0.016864,-0.016496),(4435,2365,-0.014837,-0.01719),(4435,2375,-0.012761,-0.017884),(4435,2385,-0.010686,-0.018665),(4435,2395,-0.008611,-0.019459),(4435,2405,-0.00619,-0.020253),(4435,2415,-0.003729,-0.021046),(4435,2425,-0.001268,-0.021936),(4435,2435,0.001193,-0.022835),(4435,2445,0.004067,-0.023734),(4435,2455,0.00697,-0.024633),(4435,2465,0.009872,-0.025636),(4435,2475,0.012774,-0.026644),(4435,2485,0.016162,-0.027652),(4435,2495,0.019562,-0.02866),(4435,2505,0.022962,-0.029778),(4435,2515,0.02637,-0.030896),(4435,2525,0.030323,-0.032014),(4435,2535,0.034276,-0.033136),(4435,2545,0.038228,-0.034362),(4435,2555,0.042214,-0.035587),(4435,2565,0.046769,-0.036813),(4435,2575,0.051325,-0.038045),(4435,2585,0.05588,-0.039368),(4435,2595,0.060497,-0.040691),(4435,2605,0.065699,-0.042013),(4435,2615,0.070901,-0.043345),(4435,2625,0.076103,-0.044748),(4435,2635,0.081396,-0.046152),(4435,2645,0.087279,-0.047555),(4435,2655,0.093163,-0.048967),(4435,2665,0.099046,-0.050426),(4435,2675,0.10505,-0.051885),(4435,2685,0.11164,-0.053344),(4435,2695,0.11823,-0.054808),(4435,2705,0.12481,-0.056292),(4435,2715,0.13155,-0.057777),(4435,2725,0.13885,-0.059261),(4435,2735,0.14615,-0.060742),(4435,2745,0.15345,-0.062214),(4435,2755,0.16093,-0.063687),(4435,2765,0.16894,-0.065159),(4435,2775,0.17695,-0.066618),(4435,2785,0.18496,-0.068039),(4435,2795,0.19317,-0.06946),(4435,2805,0.20186,-0.070881),(4435,2815,0.21055,-0.072274),(4435,2825,0.21924,-0.073604),(4435,2835,0.22815,-0.074934),(4435,2845,0.23749,-0.076264),(4435,2855,0.24683,-0.077548),(4435,2865,0.25617,-0.078748),(4435,2875,0.26573,-0.079947),(4435,2885,0.27566,-0.081147),(4435,2895,0.2856,-0.082282),(4435,2905,0.29553,-0.083316),(4435,2915,0.30568,-0.084351),(4435,2925,0.31614,-0.085385),(4435,2935,0.3266,-0.086334),(4435,2945,0.33705,-0.087173),(4435,2955,0.34771,-0.088011),(4435,2965,0.35862,-0.088849),(4435,2975,0.36952,-0.089583),(4435,2985,0.38043,-0.090201),(4435,2995,0.39151,-0.090818),(4435,3005,0.40277,-0.091436),(4435,3015,0.41403,-0.091931),(4435,3025,0.42529,-0.092309),(4435,3035,0.43668,-0.092687),(4435,3045,0.44819,-0.093065),(4435,3055,0.45971,-0.093304),(4435,3065,0.47122,-0.093428),(4435,3075,0.48281,-0.093553),(4435,3085,0.49447,-0.093677),(4435,3095,0.50612,-0.093645),(4435,3105,0.51778,-0.093505),(4435,3115,0.52945,-0.093365),(4435,3125,0.54112,-0.093225),(4435,3135,0.55279,-0.092914),(4435,3145,0.56447,-0.092501),(4435,3155,0.57607,-0.092088),(4435,3165,0.58763,-0.091675),(4435,3175,0.59919,-0.091076),(4435,3185,0.61076,-0.090384),(4435,3195,0.62214,-0.089691),(4435,3205,0.63345,-0.088999),(4435,3215,0.64476,-0.088106),(4435,3225,0.65607,-0.087131),(4435,3235,0.66708,-0.086155),(4435,3245,0.67798,-0.08518),(4435,3255,0.68889,-0.083991),(4435,3265,0.69979,-0.082731),(4435,3275,0.71026,-0.08147),(4435,3285,0.72059,-0.080209),(4435,3295,0.73093,-0.078725),(4435,3305,0.74127,-0.077181),(4435,3315,0.75101,-0.075636),(4435,3325,0.76062,-0.074092),(4435,3335,0.77022,-0.072316),(4435,3345,0.77982,-0.070492),(4435,3355,0.78866,-0.068668),(4435,3365,0.79735,-0.066844),(4435,3375,0.80605,-0.064786),(4435,3385,0.81474,-0.062692),(4435,3395,0.82248,-0.060598),(4435,3405,0.83009,-0.058504),(4435,3415,0.8377,-0.056179),(4435,3425,0.84531,-0.05383),(4435,3435,0.85176,-0.051481),(4435,3445,0.85813,-0.049132),(4435,3455,0.86449,-0.046565),(4435,3465,0.87085,-0.043986),(4435,3475,0.87585,-0.041406),(4435,3485,0.8808,-0.038827),(4435,3495,0.88576,-0.036054),(4435,3505,0.8907,-0.033278),(4435,3515,0.89412,-0.030502),(4435,3525,0.89753,-0.027723),(4435,3535,0.90094,-0.024796),(4435,3545,0.90428,-0.021869),(4435,3555,0.90604,-0.018942),(4435,3565,0.9078,-0.016009),(4435,3575,0.90957,-0.012988),(4435,3585,0.91119,-0.009967),(4435,3595,0.91123,-0.006945),(4435,3605,0.91127,-0.003921),(4435,3615,0.91132,-0.00087),(4435,3625,0.91114,0.00218),(4435,3635,0.90943,0.005231),(4435,3645,0.90772,0.008275),(4435,3655,0.90602,0.011282),(4435,3665,0.90402,0.014289),(4435,3675,0.90057,0.017296),(4435,3685,0.89712,0.020281),(4435,3695,0.89368,0.023168),(4435,3705,0.88989,0.026054),(4435,3715,0.88475,0.02894),(4435,3725,0.87962,0.031781),(4435,3735,0.87448,0.034462),(4435,3745,0.86897,0.037144),(4435,3755,0.86224,0.039825),(4435,3765,0.85552,0.042426),(4435,3775,0.8488,0.044802),(4435,3785,0.84166,0.047177),(4435,3795,0.83348,0.049552),(4435,3805,0.8253,0.05179),(4435,3815,0.81712,0.053713),(4435,3825,0.80852,0.055636),(4435,3835,0.79903,0.057559),(4435,3845,0.78954,0.059239),(4435,3855,0.78006,0.060452),(4435,3865,0.77013,0.061665),(4435,3875,0.75945,0.062878),(4435,3885,0.74877,0.063621),(4435,3895,0.73808,0.063602),(4435,3905,0.72686,0.063582),(4435,3915,0.71482,0.063563),(4435,3925,0.70278,0.062554),(4435,3935,0.69074,0.060182),(4435,3945,0.67748,0.057811),(4435,3955,0.66267,0.05544),(4435,3965,0.64787,0.05093),(4435,3975,0.63306,0.043915),(4435,3985,0.61363,0.036899),(4435,3995,0.5892,0.029884),(4435,4005,0.56477,0.019202),(4435,4015,0.54034,0.004855),(4435,4025,0.89703,-0.009493),(4435,4035,1.291,-0.012788),(4435,4045,1.685,0.007212),(4435,4055,1.9822,0.027211),(4435,4065,2.2442,0.04774),(4435,4075,2.5062,0.071418),(4435,4085,2.6241,0.095097),(4435,4095,2.6262,0.11878),(4435,4105,2.6284,0.14569),(4435,4115,2.5418,0.17272),(4435,4125,2.3079,0.19974),(4435,4135,2.0741,0.18612),(4435,4145,1.8326,0.16149),(4435,4155,1.5599,0.13687),(4435,4165,1.2872,0.085954),(4435,4175,1.0295,0.018151),(4435,4185,1.5087,-0.049653),(4435,4195,1.988,-0.071561),(4435,4205,2.4673,-0.032809),(4435,4215,2.5374,0.005944),(4435,4225,2.5305,0.044136),(4435,4235,2.5236,0.080668),(4435,4245,2.528,0.1172),(4435,4255,2.538,0.15375),(4435,4265,2.5481,0.19047),(4435,4275,2.2311,0.22719),(4435,4285,1.567,0.26391),(4435,4295,0.90287,0.18177),(4435,4305,0.61228,0.085832),(4435,4315,1.1651,-0.010104),(4435,4325,1.7179,-0.025089),(4435,4335,2.2084,-0.008251),(4435,4345,2.2772,0.008587),(4435,4355,2.3459,0.035159),(4435,4365,2.4146,0.070038),(4435,4375,2.4216,0.10492),(4435,4385,2.4254,0.14018),(4435,4395,2.4292,0.17613),(4435,4405,2.131,0.21209),(4435,4415,1.7437,0.23163),(4435,4425,1.3565,0.17798),(4435,4435,1.187,0.12433),(4435,4445,1.1664,0.070699),(4435,4455,1.1458,0.019466),(4435,4465,1.2919,-0.031768),(4435,4475,1.6724,-0.083001),(4435,4485,2.0529,-0.061231),(4435,4495,2.342,-0.024157),(4435,4505,2.3384,0.012916),(4435,4515,2.3347,0.047604),(4435,4525,2.3272,0.080999),(4435,4535,2.2596,0.11439),(4435,4545,2.1919,0.138),(4435,4555,2.1242,0.15058),(4435,4565,1.6111,0.16315),(4435,4575,1.0379,0.1438),(4435,4585,0.46477,0.047066),(4435,4595,0.73466,-0.049669),(4435,4605,1.3608,-0.13065),(4435,4615,1.9869,-0.089051),(4435,4625,2.2799,-0.04745),(4435,4635,2.2713,-0.005849),(4435,4645,2.2627,0.032604),(4435,4655,2.2588,0.070842),(4435,4665,2.2635,0.10908),(4435,4675,2.2682,0.14757),(4435,4685,2.1954,0.18615),(4435,4695,1.7401,0.22472),(4435,4705,1.2847,0.20121),(4435,4715,0.82933,0.13259),(4435,4725,1.0359,0.063968),(4435,4735,1.2492,0.015456),(4435,4745,1.4624,-0.003018),(4435,4755,1.6789,-0.021492),(4435,4765,1.8962,-0.028285),(4435,4775,2.1134,0.005681),(4435,4785,2.1934,0.039647),(4435,4795,2.1941,0.073559),(4435,4805,2.1948,0.10634),(4435,4815,2.0972,0.13912),(4435,4825,1.8823,0.1719),(4435,4835,1.6674,0.15741),(4435,4845,1.4445,0.13563),(4435,4855,1.2006,0.11386),(4435,4865,0.95678,0.062488),(4435,4875,0.7811,-0.002295),(4435,4885,1.2256,-0.067078),(4435,4895,1.6701,-0.07811),(4435,4905,2.1146,-0.03748),(4435,4915,2.1463,0.00315),(4435,4925,2.1425,0.042948),(4435,4935,2.1386,0.08107),(4435,4945,2.1423,0.11919),(4435,4955,2.1484,0.15744),(4435,4965,2.1546,0.19636),(4435,4975,1.8152,0.23528),(4435,4985,1.2089,0.27421),(4435,4995,0.60259,0.18541),(4435,5005,0.40538,0.093373),(4435,5015,0.85851,0.001335),(4435,5025,1.3116,-0.018501),(4435,5035,1.6991,-0.019949),(4435,5045,1.8366,-0.021397),(4435,5055,1.9741,-0.000848),(4435,5065,2.1075,0.033252),(4435,5075,2.1071,0.067353),(4435,5085,2.1068,0.1016),(4435,5095,2.1064,0.13602),(4435,5105,1.8624,0.17045),(4435,5115,1.5758,0.18628),(4435,5125,1.2893,0.14983),(4435,5135,1.1376,0.11338),(4435,5145,1.0514,0.075835),(4435,5155,0.9652,0.0263),(4435,5165,1.1012,-0.023236),(4435,5175,1.464,-0.072771),(4435,5185,1.8267,-0.045763),(4435,5195,2.073,-0.010808),(4435,5205,2.0684,0.024146),(4435,5215,2.0637,0.056958),(4435,5225,2.0503,0.088967),(4435,5235,1.9817,0.12098),(4435,5245,1.9132,0.14232),(4435,5255,1.8446,0.15491),(4435,5265,1.3292,0.16751),(4435,5275,0.79534,0.14225),(4435,5285,0.2615,0.052916),(4435,5295,0.61082,-0.036423),(4435,5305,1.2061,-0.1009),(4435,5315,1.8013,-0.061446),(4435,5325,2.03,-0.021995),(4435,5335,2.0183,0.017433),(4435,5345,2.0067,0.055338),(4435,5355,1.9984,0.093242),(4435,5365,1.9949,0.13115),(4435,5375,1.9914,0.17092),(4435,5385,1.8839,0.21106),(4435,5395,1.4604,0.2512),(4435,5405,1.0368,0.22437),(4435,5415,0.65892,0.16279),(4435,5425,0.89455,0.10121),(4435,5435,1.1302,0.055413),(4435,5445,1.3658,0.026702),(4435,5455,1.5868,-0.002009),(4435,5465,1.806,-0.017164),(4435,5475,2.0252,-0.000986),(4435,5485,2.078,0.015192),(4435,5495,2.0637,0.031042),(4435,5505,2.0495,0.044576),(4435,5515,2.038,0.05811),(4435,5525,2.0288,0.071644),(4435,5535,2.0196,0.082175),(4435,5545,2.0115,0.092533),(4435,5555,2.0054,0.10289),(4435,5565,1.9992,0.11131),(4435,5575,1.9934,0.11913),(4435,5585,1.989,0.12696),(4435,5595,1.9846,0.13377),(4435,5605,1.9802,0.13988),(4435,5615,1.9768,0.14598),(4435,5625,1.9734,0.15163),(4435,5635,1.97,0.15661),(4435,5645,1.9672,0.1616),(4435,5655,1.9644,0.16644),(4435,5665,1.9616,0.17079),(4435,5675,1.9591,0.17513),(4435,5685,1.9566,0.17947),(4435,5695,1.9542,0.18354),(4435,5705,1.9518,0.18762),(4435,5715,1.9495,0.19169),(4435,5725,1.9472,0.19578),(4435,5735,1.945,0.19987),(4435,5745,1.9427,0.20396),(4435,5755,1.9405,0.20825),(4435,5765,1.9383,0.21261),(4435,5775,1.9361,0.21698),(4435,5785,1.9338,0.22162),(4435,5795,1.9316,0.22652),(4435,5805,1.9293,0.23143),(4435,5815,1.9271,0.23662),(4435,5825,1.9248,0.24237),(4435,5835,1.9226,0.24812),(4435,5845,1.9203,0.25409),(4435,5855,1.9181,0.26111),(4435,5865,1.9159,0.26814),(4435,5875,1.9139,0.27516),(4435,5885,1.9118,0.28403),(4435,5895,1.9101,0.29292),(4435,5905,1.9087,0.30181),(4435,5915,1.9074,0.3129),(4435,5925,1.9066,0.32451),(4435,5935,1.9075,0.33612),(4435,5945,1.9085,0.35016),(4435,5955,1.9099,0.36565),(4435,5965,1.9206,0.38113),(4435,5975,1.9314,0.39809),(4435,5985,1.9422,0.41687),(4435,5995,1.5259,0.43564),(4435,6005,1.0409,0.43018),(4435,6015,0.55586,0.35994),(4435,6025,0.63725,0.28971),(4435,6035,0.98134,0.23679),(4435,6045,1.3254,0.35071),(4435,6055,1.6542,0.46462),(4435,6065,1.9678,0.57853),(4435,6075,2.2814,0.58045),(4435,6085,2.4923,0.57207),(4435,6095,2.4915,0.56369),(4435,6105,2.4907,0.5458),(4435,6115,2.4898,0.52452),(4435,6125,2.4884,0.50325),(4435,6135,2.487,0.48328),(4435,6145,2.4856,0.46433),(4435,6155,2.4849,0.44539),(4435,6165,2.4843,0.42746),(4435,6175,2.4837,0.41118),(4435,6185,2.4831,0.3949),(4435,6195,2.4826,0.37907),(4435,6205,2.482,0.36503),(4435,6215,2.4814,0.35098),(4435,6225,2.4808,0.33698),(4435,6235,2.4802,0.3246),(4435,6245,2.4796,0.31222),(4435,6255,2.4791,0.29984),(4435,6265,2.4786,0.28857),(4435,6275,2.4781,0.27751),(4435,6285,2.4776,0.26644),(4435,6295,2.4772,0.25606),(4435,6305,2.4767,0.24601),(4435,6315,2.4763,0.23597),(4435,6325,2.4759,0.22632),(4435,6335,2.4755,0.21706),(4435,6345,2.4752,0.20781),(4435,6355,2.4748,0.19875),(4435,6365,2.4745,0.19013),(4435,6375,2.4742,0.18151),(4435,6385,2.4739,0.17296),(4435,6395,2.4736,0.16485),(4435,6405,2.4734,0.15673),(4435,6415,2.4732,0.14862),(4435,6425,2.473,0.14086),(4435,6435,2.4728,0.13311),(4435,6445,2.4726,0.12536),(4435,6455,2.4724,0.11785),(4435,6465,2.4722,0.11041),(4435,6475,2.4721,0.10297),(4435,6485,2.472,0.095659),(4435,6495,2.4719,0.088437),(4435,6505,2.4718,0.081216),(4435,6515,2.4718,0.074048),(4435,6525,2.4717,0.066954),(4435,6535,2.4717,0.05986),(4435,6545,2.4716,0.052805),(4435,6555,2.4716,0.045872),(4435,6565,2.4716,0.03894),(4435,6575,2.4716,0.032008),(4435,6585,2.4716,0.025098),(4435,6595,2.1023,0.018187),(4435,6605,1.3253,0.011276),(4435,6615,0.54827,0.010403),(4435,6625,0.002041,0.010305),(4435,6635,0.002046,0.010208),(4435,6645,0.002051,0.010157),(4435,6655,0.002055,0.010124),(4435,6665,0.002057,0.010092),(4435,6675,0.002059,0.010061),(4435,6685,0.002061,0.010032),(4435,6695,0.002062,0.010003),(4435,6705,0.002062,0.009976),(4435,6715,0.002063,0.00995),(4435,6725,0.002062,0.009924),(4435,6735,0.002062,0.009899),(4435,6745,0.002061,0.009876),(4435,6755,0.00206,0.009853),(4435,6765,0.002058,0.00983),(4435,6775,0.002056,0.00981),(4435,6785,0.002055,0.009789),(4435,6795,0.002052,0.009769),(4435,6805,0.00205,0.00975),(4435,6815,0.002048,0.009731),(4435,6825,0.002046,0.009713),(4435,6835,0.002043,0.009695),(4435,6845,0.002041,0.009678),(4435,6855,0.002038,0.009662),(4435,6865,0.002035,0.009645),(4435,6875,0.002032,0.00963),(4435,6885,0.00203,0.009614),(4435,6895,0.002027,0.0096),(4435,6905,0.002024,0.009585),(4435,6915,0.002021,0.009571),(4435,6925,0.002019,0.009557),(4435,6935,0.002016,0.009544),(4435,6945,0.002013,0.009531),(4435,6955,0.002011,0.009517),(4435,6965,0.002008,0.009505),(4435,6975,0.002005,0.009493),(4435,6985,0.002003,0.009481),(4445,5,3.5e-05,-0.000993),(4445,15,0.000106,-0.000993),(4445,25,0.000177,-0.000994),(4445,35,0.000248,-0.000995),(4445,45,0.000319,-0.000996),(4445,55,0.00039,-0.000997),(4445,65,0.000462,-0.000999),(4445,75,0.000534,-0.001001),(4445,85,0.000607,-0.001003),(4445,95,0.000679,-0.001006),(4445,105,0.000752,-0.001009),(4445,115,0.000826,-0.001012),(4445,125,0.000899,-0.001015),(4445,135,0.000973,-0.001019),(4445,145,0.001048,-0.001023),(4445,155,0.001124,-0.001027),(4445,165,0.0012,-0.001032),(4445,175,0.001276,-0.001037),(4445,185,0.001354,-0.001043),(4445,195,0.001432,-0.001048),(4445,205,0.001511,-0.001054),(4445,215,0.00159,-0.001061),(4445,225,0.001672,-0.001068),(4445,235,0.001754,-0.001075),(4445,245,0.001837,-0.001082),(4445,255,0.00192,-0.001091),(4445,265,0.002006,-0.001099),(4445,275,0.002094,-0.001107),(4445,285,0.002181,-0.001117),(4445,295,0.002269,-0.001126),(4445,305,0.002361,-0.001136),(4445,315,0.002454,-0.001146),(4445,325,0.002547,-0.001157),(4445,335,0.002641,-0.001169),(4445,345,0.00274,-0.001181),(4445,355,0.00284,-0.001192),(4445,365,0.00294,-0.001206),(4445,375,0.003041,-0.00122),(4445,385,0.003148,-0.001234),(4445,395,0.003257,-0.001248),(4445,405,0.003366,-0.001264),(4445,415,0.003474,-0.00128),(4445,425,0.003592,-0.001297),(4445,435,0.00371,-0.001313),(4445,445,0.003829,-0.001332),(4445,455,0.003947,-0.001352),(4445,465,0.004077,-0.001371),(4445,475,0.004207,-0.001391),(4445,485,0.004337,-0.001414),(4445,495,0.004467,-0.001437),(4445,505,0.004611,-0.00146),(4445,515,0.004755,-0.001483),(4445,525,0.0049,-0.001511),(4445,535,0.005044,-0.001538),(4445,545,0.005205,-0.001565),(4445,555,0.005366,-0.001593),(4445,565,0.005527,-0.001625),(4445,575,0.00569,-0.001658),(4445,585,0.00587,-0.00169),(4445,595,0.006051,-0.001723),(4445,605,0.006232,-0.001762),(4445,615,0.006416,-0.0018),(4445,625,0.006621,-0.001839),(4445,635,0.006826,-0.001879),(4445,645,0.007031,-0.001925),(4445,655,0.00724,-0.001972),(4445,665,0.007474,-0.002018),(4445,675,0.007707,-0.002066),(4445,685,0.007941,-0.002122),(4445,695,0.008182,-0.002178),(4445,705,0.008451,-0.002234),(4445,715,0.00872,-0.002293),(4445,725,0.008989,-0.002361),(4445,735,0.009268,-0.00243),(4445,745,0.00958,-0.002498),(4445,755,0.009892,-0.002571),(4445,765,0.010204,-0.002656),(4445,775,0.01053,-0.00274),(4445,785,0.010896,-0.002825),(4445,795,0.011261,-0.002915),(4445,805,0.011626,-0.003021),(4445,815,0.012012,-0.003126),(4445,825,0.012444,-0.003232),(4445,835,0.012876,-0.003346),(4445,845,0.013307,-0.00348),(4445,855,0.013769,-0.003613),(4445,865,0.014284,-0.003746),(4445,875,0.0148,-0.003894),(4445,885,0.015316,-0.004065),(4445,895,0.015873,-0.004236),(4445,905,0.016497,-0.004408),(4445,915,0.01712,-0.004601),(4445,925,0.017743,-0.004826),(4445,935,0.018427,-0.005051),(4445,945,0.01919,-0.005275),(4445,955,0.019954,-0.005535),(4445,965,0.020717,-0.005837),(4445,975,0.021568,-0.00614),(4445,985,0.022517,-0.006442),(4445,995,0.023467,-0.006801),(4445,1005,0.024416,-0.007219),(4445,1015,0.025494,-0.007637),(4445,1025,0.026695,-0.008055),(4445,1035,0.027896,-0.008569),(4445,1045,0.029097,-0.009168),(4445,1055,0.030489,-0.009766),(4445,1065,0.032038,-0.010365),(4445,1075,0.033586,-0.011132),(4445,1085,0.035135,-0.012027),(4445,1095,0.036973,-0.012921),(4445,1105,0.039011,-0.013816),(4445,1115,0.04105,-0.015023),(4445,1125,0.043088,-0.016432),(4445,1135,0.045563,-0.01784),(4445,1145,0.048296,-0.019248),(4445,1155,0.051029,-0.021277),(4445,1165,0.053762,-0.023642),(4445,1175,0.057131,-0.026006),(4445,1185,0.060817,-0.028371),(4445,1195,0.064502,-0.032059),(4445,1205,0.068187,-0.036348),(4445,1215,0.072633,-0.040637),(4445,1225,0.077394,-0.044926),(4445,1235,0.082154,-0.052275),(4445,1245,0.086914,-0.060769),(4445,1255,0.09165,-0.069264),(4445,1265,0.096378,-0.077758),(4445,1275,0.10111,-0.093914),(4445,1285,0.10583,-0.11239),(4445,1295,0.10444,-0.13087),(4445,1305,0.10138,-0.14935),(4445,1315,0.098327,-0.18855),(4445,1325,0.095272,-0.2327),(4445,1335,0.046411,-0.27685),(4445,1345,-0.012051,-0.321),(4445,1355,-0.070513,-0.29044),(4445,1365,-0.12897,-0.24633),(4445,1375,-0.13946,-0.20223),(4445,1385,-0.14253,-0.15812),(4445,1395,-0.14561,-0.13672),(4445,1405,-0.14869,-0.11823),(4445,1415,-0.14471,-0.099752),(4445,1425,-0.14,-0.081268),(4445,1435,-0.13529,-0.072022),(4445,1445,-0.13057,-0.063517),(4445,1455,-0.12583,-0.055012),(4445,1465,-0.12109,-0.046507),(4445,1475,-0.11635,-0.042065),(4445,1485,-0.11161,-0.037769),(4445,1495,-0.10794,-0.033473),(4445,1505,-0.10429,-0.029187),(4445,1515,-0.10063,-0.026819),(4445,1525,-0.097005,-0.024451),(4445,1535,-0.094315,-0.022084),(4445,1545,-0.091625,-0.019759),(4445,1555,-0.088935,-0.01835),(4445,1565,-0.08629,-0.016941),(4445,1575,-0.084302,-0.015532),(4445,1585,-0.082315,-0.014167),(4445,1595,-0.080327,-0.013274),(4445,1605,-0.078391,-0.01238),(4445,1615,-0.076897,-0.011487),(4445,1625,-0.075403,-0.010631),(4445,1635,-0.073909,-0.010036),(4445,1645,-0.072465,-0.009441),(4445,1655,-0.071319,-0.008845),(4445,1665,-0.070173,-0.00828),(4445,1675,-0.069026,-0.007869),(4445,1685,-0.067925,-0.007458),(4445,1695,-0.067026,-0.007047),(4445,1705,-0.066127,-0.006661),(4445,1715,-0.065228,-0.006371),(4445,1725,-0.064368,-0.006081),(4445,1735,-0.063646,-0.005792),(4445,1745,-0.062923,-0.005522),(4445,1755,-0.062201,-0.005318),(4445,1765,-0.061511,-0.005113),(4445,1775,-0.060915,-0.004908),(4445,1785,-0.060318,-0.004721),(4445,1795,-0.059722,-0.00458),(4445,1805,-0.059151,-0.004438),(4445,1815,-0.058642,-0.004297),(4445,1825,-0.058132,-0.004171),(4445,1835,-0.057623,-0.00408),(4445,1845,-0.057133,-0.003989),(4445,1855,-0.056679,-0.003898),(4445,1865,-0.056226,-0.003822),(4445,1875,-0.055772,-0.003773),(4445,1885,-0.05533,-0.003725),(4445,1895,-0.054906,-0.003676),(4445,1905,-0.054482,-0.003643),(4445,1915,-0.054058,-0.003633),(4445,1925,-0.053636,-0.003624),(4445,1935,-0.053218,-0.003614),(4445,1945,-0.0528,-0.003621),(4445,1955,-0.052382,-0.003648),(4445,1965,-0.051956,-0.003676),(4445,1975,-0.051521,-0.003704),(4445,1985,-0.051086,-0.00375),(4445,1995,-0.050651,-0.003816),(4445,2005,-0.050197,-0.003882),(4445,2015,-0.049723,-0.003949),(4445,2025,-0.04925,-0.004036),(4445,2035,-0.048776,-0.004143),(4445,2045,-0.04827,-0.004251),(4445,2055,-0.047735,-0.004358),(4445,2065,-0.047201,-0.00449),(4445,2075,-0.046666,-0.004642),(4445,2085,-0.046083,-0.004794),(4445,2095,-0.045464,-0.004946),(4445,2105,-0.044845,-0.005128),(4445,2115,-0.044226,-0.005329),(4445,2125,-0.04354,-0.005531),(4445,2135,-0.042811,-0.005732),(4445,2145,-0.042083,-0.005968),(4445,2155,-0.041355,-0.006224),(4445,2165,-0.040536,-0.006481),(4445,2175,-0.03967,-0.006737),(4445,2185,-0.038805,-0.007033),(4445,2195,-0.03794,-0.007349),(4445,2205,-0.036957,-0.007665),(4445,2215,-0.035923,-0.007981),(4445,2225,-0.03489,-0.008343),(4445,2235,-0.033856,-0.008724),(4445,2245,-0.032673,-0.009105),(4445,2255,-0.031436,-0.009486),(4445,2265,-0.0302,-0.009921),(4445,2275,-0.028963,-0.010373),(4445,2285,-0.027538,-0.010824),(4445,2295,-0.02606,-0.011276),(4445,2305,-0.024581,-0.011789),(4445,2315,-0.023102,-0.012317),(4445,2325,-0.02139,-0.012844),(4445,2335,-0.019626,-0.013372),(4445,2345,-0.017862,-0.013969),(4445,2355,-0.016097,-0.014578),(4445,2365,-0.014047,-0.015188),(4445,2375,-0.011948,-0.015797),(4445,2385,-0.00985,-0.016483),(4445,2395,-0.007752,-0.017179),(4445,2405,-0.005307,-0.017875),(4445,2415,-0.002822,-0.018571),(4445,2425,-0.000337,-0.019351),(4445,2435,0.002148,-0.020138),(4445,2445,0.005046,-0.020925),(4445,2455,0.007972,-0.021713),(4445,2465,0.010898,-0.022591),(4445,2475,0.013825,-0.023474),(4445,2485,0.017236,-0.024356),(4445,2495,0.020659,-0.025239),(4445,2505,0.024082,-0.026217),(4445,2515,0.027514,-0.027197),(4445,2525,0.031488,-0.028176),(4445,2535,0.035461,-0.029159),(4445,2545,0.039435,-0.030233),(4445,2555,0.043441,-0.031307),(4445,2565,0.048014,-0.032381),(4445,2575,0.052587,-0.033462),(4445,2585,0.057159,-0.034622),(4445,2595,0.061792,-0.035783),(4445,2605,0.067006,-0.036944),(4445,2615,0.072219,-0.038113),(4445,2625,0.077432,-0.039346),(4445,2635,0.082736,-0.04058),(4445,2645,0.088622,-0.041813),(4445,2655,0.094509,-0.043054),(4445,2665,0.1004,-0.044337),(4445,2675,0.1064,-0.045621),(4445,2685,0.11298,-0.046905),(4445,2695,0.11956,-0.048193),(4445,2705,0.12614,-0.0495),(4445,2715,0.13287,-0.050806),(4445,2725,0.14016,-0.052113),(4445,2735,0.14744,-0.053417),(4445,2745,0.15472,-0.054714),(4445,2755,0.16218,-0.05601),(4445,2765,0.17016,-0.057307),(4445,2775,0.17814,-0.058591),(4445,2785,0.18611,-0.059842),(4445,2795,0.19429,-0.061093),(4445,2805,0.20294,-0.062345),(4445,2815,0.21159,-0.06357),(4445,2825,0.22024,-0.06474),(4445,2835,0.2291,-0.065909),(4445,2845,0.23839,-0.067078),(4445,2855,0.24768,-0.068206),(4445,2865,0.25696,-0.069259),(4445,2875,0.26647,-0.070311),(4445,2885,0.27634,-0.071364),(4445,2895,0.2862,-0.072358),(4445,2905,0.29607,-0.073262),(4445,2915,0.30615,-0.074165),(4445,2925,0.31654,-0.075069),(4445,2935,0.32692,-0.075897),(4445,2945,0.33731,-0.076624),(4445,2955,0.34789,-0.077351),(4445,2965,0.35872,-0.078078),(4445,2975,0.36954,-0.078712),(4445,2985,0.38037,-0.079241),(4445,2995,0.39136,-0.079771),(4445,3005,0.40254,-0.0803),(4445,3015,0.41371,-0.08072),(4445,3025,0.42488,-0.081034),(4445,3035,0.43619,-0.081349),(4445,3045,0.44761,-0.081664),(4445,3055,0.45904,-0.081855),(4445,3065,0.47046,-0.081944),(4445,3075,0.48196,-0.082034),(4445,3085,0.49353,-0.082123),(4445,3095,0.50509,-0.082075),(4445,3105,0.51665,-0.08193),(4445,3115,0.52823,-0.081786),(4445,3125,0.53981,-0.081641),(4445,3135,0.55139,-0.081346),(4445,3145,0.56297,-0.080962),(4445,3155,0.57447,-0.080578),(4445,3165,0.58594,-0.080193),(4445,3175,0.59741,-0.079646),(4445,3185,0.60887,-0.079018),(4445,3195,0.62016,-0.07839),(4445,3205,0.63138,-0.077762),(4445,3215,0.64259,-0.076961),(4445,3225,0.6538,-0.076087),(4445,3235,0.66472,-0.075214),(4445,3245,0.67553,-0.07434),(4445,3255,0.68634,-0.073284),(4445,3265,0.69715,-0.072166),(4445,3275,0.70752,-0.071048),(4445,3285,0.71777,-0.06993),(4445,3295,0.72801,-0.068621),(4445,3305,0.73825,-0.067262),(4445,3315,0.74791,-0.065902),(4445,3325,0.75742,-0.064542),(4445,3335,0.76693,-0.062988),(4445,3345,0.77645,-0.061392),(4445,3355,0.78519,-0.059797),(4445,3365,0.7938,-0.058201),(4445,3375,0.80241,-0.056409),(4445,3385,0.81102,-0.054587),(4445,3395,0.81867,-0.052765),(4445,3405,0.8262,-0.050942),(4445,3415,0.83374,-0.048927),(4445,3425,0.84127,-0.046892),(4445,3435,0.84765,-0.044857),(4445,3445,0.85394,-0.042822),(4445,3455,0.86023,-0.040606),(4445,3465,0.86652,-0.038379),(4445,3475,0.87146,-0.036152),(4445,3485,0.87635,-0.033925),(4445,3495,0.88124,-0.031538),(4445,3505,0.88613,-0.029148),(4445,3515,0.8895,-0.026758),(4445,3525,0.89286,-0.024365),(4445,3535,0.89623,-0.02185),(4445,3545,0.89952,-0.019335),(4445,3555,0.90126,-0.01682),(4445,3565,0.90299,-0.014301),(4445,3575,0.90473,-0.011709),(4445,3585,0.90632,-0.009117),(4445,3595,0.90635,-0.006525),(4445,3605,0.90639,-0.003931),(4445,3615,0.90642,-0.001317),(4445,3625,0.90625,0.001296),(4445,3635,0.90455,0.00391),(4445,3645,0.90286,0.006517),(4445,3655,0.90116,0.009091),(4445,3665,0.89919,0.011664),(4445,3675,0.89578,0.014238),(4445,3685,0.89237,0.016792),(4445,3695,0.88896,0.019259),(4445,3705,0.88521,0.021725),(4445,3715,0.88014,0.024192),(4445,3725,0.87507,0.026619),(4445,3735,0.87,0.028907),(4445,3745,0.86455,0.031194),(4445,3755,0.85792,0.033481),(4445,3765,0.85129,0.035698),(4445,3775,0.84466,0.037714),(4445,3785,0.83764,0.039731),(4445,3795,0.82959,0.041747),(4445,3805,0.82154,0.043641),(4445,3815,0.8135,0.045249),(4445,3825,0.80505,0.046857),(4445,3835,0.79577,0.048465),(4445,3845,0.78648,0.049845),(4445,3855,0.7772,0.050783),(4445,3865,0.76753,0.051721),(4445,3875,0.75717,0.05266),(4445,3885,0.74682,0.05312),(4445,3895,0.73646,0.052803),(4445,3905,0.72566,0.052486),(4445,3915,0.71418,0.052169),(4445,3925,0.7027,0.050708),(4445,3935,0.69122,0.04767),(4445,3945,0.67865,0.044633),(4445,3955,0.66471,0.041595),(4445,3965,0.65077,0.035484),(4445,3975,0.63683,0.025768),(4445,3985,0.61807,0.016053),(4445,3995,0.59409,0.006338),(4445,4005,0.5701,-0.011487),(4445,4015,0.54612,-0.037421),(4445,4025,0.89552,-0.063356),(4445,4035,1.2815,-0.072859),(4445,4045,1.6674,-0.047729),(4445,4055,1.9621,-0.0226),(4445,4065,2.2234,0.003794),(4445,4075,2.4848,0.037734),(4445,4085,2.6026,0.071674),(4445,4095,2.605,0.10561),(4445,4105,2.6073,0.14852),(4445,4115,2.5256,0.19174),(4445,4125,2.3045,0.23496),(4445,4135,2.0834,0.22284),(4445,4145,1.8533,0.19575),(4445,4155,1.5871,0.16865),(4445,4165,1.3209,0.093447),(4445,4175,1.069,-0.01266),(4445,4185,1.5264,-0.11877),(4445,4195,1.9839,-0.15354),(4445,4205,2.4413,-0.094013),(4445,4215,2.5078,-0.034491),(4445,4225,2.5008,0.023459),(4445,4235,2.4937,0.076756),(4445,4245,2.4998,0.13005),(4445,4255,2.5126,0.18434),(4445,4265,2.5254,0.25094),(4445,4275,2.2212,0.31754),(4445,4285,1.5805,0.38413),(4445,4295,0.93985,0.24987),(4445,4305,0.65911,0.092313),(4445,4315,1.1911,-0.065248),(4445,4325,1.7231,-0.089008),(4445,4335,2.1947,-0.060171),(4445,4345,2.2582,-0.031334),(4445,4355,2.3217,0.008645),(4445,4365,2.3851,0.05813),(4445,4375,2.3927,0.10761),(4445,4385,2.3973,0.15951),(4445,4395,2.4019,0.21566),(4445,4405,2.1196,0.27182),(4445,4415,1.7527,0.30416),(4445,4425,1.3858,0.23033),(4445,4435,1.2237,0.1565),(4445,4445,1.2015,0.08266),(4445,4455,1.1793,0.007339),(4445,4465,1.3163,-0.067983),(4445,4475,1.6771,-0.1433),(4445,4485,2.0378,-0.11141),(4445,4495,2.3121,-0.057041),(4445,4505,2.3091,-0.002672),(4445,4515,2.3061,0.047825),(4445,4525,2.2996,0.096223),(4445,4535,2.239,0.14462),(4445,4545,2.1783,0.18392),(4445,4555,2.1177,0.21298),(4445,4565,1.6226,0.24204),(4445,4575,1.0689,0.21727),(4445,4585,0.51524,0.062039),(4445,4595,0.77159,-0.093189),(4445,4605,1.3702,-0.22347),(4445,4615,1.9688,-0.15965),(4445,4625,2.2484,-0.095818),(4445,4635,2.2392,-0.03199),(4445,4645,2.23,0.021327),(4445,4655,2.226,0.073921),(4445,4665,2.232,0.12651),(4445,4675,2.2379,0.1842),(4445,4685,2.1702,0.24351),(4445,4695,1.7386,0.30281),(4445,4705,1.3069,0.27036),(4445,4715,0.87522,0.17122),(4445,4725,1.071,0.072092),(4445,4735,1.273,0.00249),(4445,4745,1.475,-0.022996),(4445,4755,1.6791,-0.048482),(4445,4765,1.8837,-0.057794),(4445,4775,2.0882,-0.010665),(4445,4785,2.1641,0.036463),(4445,4795,2.1655,0.083614),(4445,4805,2.1668,0.13123),(4445,4815,2.0761,0.17885),(4445,4825,1.8753,0.22648),(4445,4835,1.6745,0.21258),(4445,4845,1.4639,0.1892),(4445,4855,1.2274,0.16582),(4445,4865,0.99103,0.091535),(4445,4875,0.81969,-0.005825),(4445,4885,1.2405,-0.10318),(4445,4895,1.6613,-0.12188),(4445,4905,2.0821,-0.064964),(4445,4915,2.1121,-0.00805),(4445,4925,2.1085,0.04713),(4445,4935,2.1049,0.098815),(4445,4945,2.1101,0.1505),(4445,4955,2.1183,0.20395),(4445,4965,2.1265,0.26715),(4445,4975,1.8029,0.33034),(4445,4985,1.2231,0.39354),(4445,4995,0.64327,0.256),(4445,5005,0.45546,0.11337),(4445,5015,0.89084,-0.029256),(4445,5025,1.3262,-0.055882),(4445,5035,1.6977,-0.052966),(4445,5045,1.8256,-0.05005),(4445,5055,1.9535,-0.019468),(4445,5065,2.0776,0.028156),(4445,5075,2.0777,0.07578),(4445,5085,2.0777,0.12462),(4445,5095,2.0778,0.175),(4445,5105,1.8488,0.22538),(4445,5115,1.58,0.25068),(4445,5125,1.3111,0.20545),(4445,5135,1.1661,0.16023),(4445,5145,1.0812,0.11275),(4445,5155,0.99634,0.040677),(4445,5165,1.1234,-0.031393),(4445,5175,1.4666,-0.10346),(4445,5185,1.8098,-0.065335),(4445,5195,2.043,-0.015769),(4445,5205,2.0392,0.033798),(4445,5215,2.0354,0.080811),(4445,5225,2.0235,0.12687),(4445,5235,1.9618,0.17293),(4445,5245,1.9001,0.20984),(4445,5255,1.8384,0.23925),(4445,5265,1.3415,0.26867),(4445,5275,0.82661,0.2353),(4445,5285,0.31174,0.095614),(4445,5295,0.64348,-0.04407),(4445,5305,1.211,-0.1461),(4445,5315,1.7785,-0.090733),(4445,5325,1.9959,-0.035368),(4445,5335,1.9838,0.019908),(4445,5345,1.9716,0.069319),(4445,5355,1.9635,0.11873),(4445,5365,1.9608,0.16814),(4445,5375,1.9581,0.22534),(4445,5385,1.8573,0.28407),(4445,5395,1.4582,0.3428),(4445,5405,1.0592,0.3082),(4445,5415,0.70335,0.22517),(4445,5425,0.92868,0.14215),(4445,5435,1.154,0.076573),(4445,5445,1.3793,0.029874),(4445,5455,1.5905,-0.016825),(4445,5465,1.7999,-0.04305),(4445,5475,2.0093,-0.021954),(4445,5485,2.0594,-0.000857),(4445,5495,2.0454,0.019536),(4445,5505,2.0314,0.034957),(4445,5515,2.0204,0.050377),(4445,5525,2.012,0.065798),(4445,5535,2.0037,0.077257),(4445,5545,1.9963,0.088488),(4445,5555,1.9909,0.09972),(4445,5565,1.9855,0.10877),(4445,5575,1.9804,0.11716),(4445,5585,1.9765,0.12555),(4445,5595,1.9726,0.13289),(4445,5605,1.9688,0.1395),(4445,5615,1.9658,0.14611),(4445,5625,1.9628,0.15226),(4445,5635,1.9598,0.15778),(4445,5645,1.9571,0.1633),(4445,5655,1.9546,0.16869),(4445,5665,1.952,0.17363),(4445,5675,1.9496,0.17857),(4445,5685,1.9473,0.18351),(4445,5695,1.945,0.18827),(4445,5705,1.9427,0.19303),(4445,5715,1.9404,0.19779),(4445,5725,1.9382,0.20268),(4445,5735,1.9359,0.20758),(4445,5745,1.9336,0.21248),(4445,5755,1.9314,0.2177),(4445,5765,1.9291,0.22304),(4445,5775,1.9267,0.22839),(4445,5785,1.9244,0.23415),(4445,5795,1.9221,0.24028),(4445,5805,1.9196,0.24642),(4445,5815,1.9172,0.25298),(4445,5825,1.9147,0.26035),(4445,5835,1.9123,0.26772),(4445,5845,1.9098,0.27541),(4445,5855,1.9073,0.28471),(4445,5865,1.9048,0.29402),(4445,5875,1.9025,0.30332),(4445,5885,1.9001,0.3157),(4445,5895,1.898,0.32812),(4445,5905,1.8964,0.34055),(4445,5915,1.8948,0.35736),(4445,5925,1.8939,0.37522),(4445,5935,1.8951,0.39309),(4445,5945,1.8963,0.41768),(4445,5955,1.8981,0.44624),(4445,5965,1.9122,0.47481),(4445,5975,1.9264,0.51417),(4445,5985,1.9405,0.56672),(4445,5995,1.5409,0.61926),(4445,6005,1.0747,0.63426),(4445,6015,0.60852,0.54888),(4445,6025,0.65077,0.46351),(4445,6035,0.92884,0.39227),(4445,6045,1.2069,0.45713),(4445,6055,1.5273,0.522),(4445,6065,1.8893,0.58686),(4445,6075,2.2513,0.58493),(4445,6085,2.496,0.57686),(4445,6095,2.4989,0.56879),(4445,6105,2.5019,0.54994),(4445,6115,2.5041,0.52725),(4445,6125,2.5021,0.50456),(4445,6135,2.5001,0.48346),(4445,6145,2.4981,0.46362),(4445,6155,2.4967,0.44378),(4445,6165,2.4954,0.42515),(4445,6175,2.4941,0.40849),(4445,6185,2.4929,0.39183),(4445,6195,2.4917,0.37567),(4445,6205,2.4905,0.36151),(4445,6215,2.4894,0.34735),(4445,6225,2.4883,0.33323),(4445,6235,2.4872,0.32085),(4445,6245,2.4862,0.30848),(4445,6255,2.4853,0.2961),(4445,6265,2.4844,0.28489),(4445,6275,2.4835,0.27388),(4445,6285,2.4828,0.26287),(4445,6295,2.482,0.25257),(4445,6305,2.4813,0.24261),(4445,6315,2.4806,0.23266),(4445,6325,2.48,0.22309),(4445,6335,2.4794,0.21394),(4445,6345,2.4788,0.20479),(4445,6355,2.4783,0.19583),(4445,6365,2.4778,0.18732),(4445,6375,2.4773,0.17881),(4445,6385,2.4769,0.17037),(4445,6395,2.4765,0.16237),(4445,6405,2.4761,0.15438),(4445,6415,2.4758,0.14638),(4445,6425,2.4755,0.13873),(4445,6435,2.4752,0.13109),(4445,6445,2.4749,0.12345),(4445,6455,2.4746,0.11606),(4445,6465,2.4744,0.10874),(4445,6475,2.4742,0.10142),(4445,6485,2.474,0.094227),(4445,6495,2.4738,0.087129),(4445,6505,2.4737,0.080031),(4445,6515,2.4736,0.072982),(4445,6525,2.4734,0.066003),(4445,6535,2.4734,0.059023),(4445,6545,2.4733,0.052083),(4445,6555,2.4733,0.045267),(4445,6565,2.4732,0.038451),(4445,6575,2.4732,0.031636),(4445,6585,2.4732,0.024841),(4445,6595,2.1037,0.018046),(4445,6605,1.3262,0.011251),(4445,6615,0.54865,0.010395),(4445,6625,0.002073,0.010303),(4445,6635,0.002076,0.01021),(4445,6645,0.002079,0.010159),(4445,6655,0.002082,0.010126),(4445,6665,0.002083,0.010093),(4445,6675,0.002084,0.010062),(4445,6685,0.002085,0.010033),(4445,6695,0.002085,0.010003),(4445,6705,0.002084,0.009975),(4445,6715,0.002084,0.009949),(4445,6725,0.002082,0.009923),(4445,6735,0.002081,0.009898),(4445,6745,0.002079,0.009874),(4445,6755,0.002077,0.009851),(4445,6765,0.002075,0.009828),(4445,6775,0.002073,0.009807),(4445,6785,0.00207,0.009787),(4445,6795,0.002067,0.009766),(4445,6805,0.002065,0.009747),(4445,6815,0.002062,0.009728),(4445,6825,0.002059,0.00971),(4445,6835,0.002056,0.009692),(4445,6845,0.002053,0.009675),(4445,6855,0.00205,0.009659),(4445,6865,0.002046,0.009642),(4445,6875,0.002043,0.009627),(4445,6885,0.00204,0.009612),(4445,6895,0.002037,0.009596),(4445,6905,0.002034,0.009582),(4445,6915,0.002031,0.009568),(4445,6925,0.002028,0.009554),(4445,6935,0.002025,0.009541),(4445,6945,0.002022,0.009528),(4445,6955,0.002019,0.009515),(4445,6965,0.002016,0.009502),(4445,6975,0.002013,0.00949),(4445,6985,0.00201,0.009478),(4455,5,3.5e-05,-0.000922),(4455,15,0.000106,-0.000922),(4455,25,0.000177,-0.000923),(4455,35,0.000249,-0.000924),(4455,45,0.00032,-0.000925),(4455,55,0.000391,-0.000926),(4455,65,0.000463,-0.000927),(4455,75,0.000535,-0.000929),(4455,85,0.000608,-0.000931),(4455,95,0.00068,-0.000933),(4455,105,0.000753,-0.000936),(4455,115,0.000827,-0.000938),(4455,125,0.000901,-0.000941),(4455,135,0.000975,-0.000944),(4455,145,0.00105,-0.000948),(4455,155,0.001126,-0.000951),(4455,165,0.001202,-0.000956),(4455,175,0.001278,-0.00096),(4455,185,0.001356,-0.000965),(4455,195,0.001435,-0.000969),(4455,205,0.001514,-0.000975),(4455,215,0.001593,-0.000981),(4455,225,0.001675,-0.000986),(4455,235,0.001758,-0.000992),(4455,245,0.001841,-0.000999),(4455,255,0.001924,-0.001006),(4455,265,0.00201,-0.001013),(4455,275,0.002098,-0.00102),(4455,285,0.002185,-0.001028),(4455,295,0.002273,-0.001036),(4455,305,0.002365,-0.001045),(4455,315,0.002459,-0.001053),(4455,325,0.002553,-0.001063),(4455,335,0.002646,-0.001073),(4455,345,0.002746,-0.001082),(4455,355,0.002846,-0.001092),(4455,365,0.002947,-0.001104),(4455,375,0.003047,-0.001116),(4455,385,0.003155,-0.001127),(4455,395,0.003264,-0.001139),(4455,405,0.003373,-0.001153),(4455,415,0.003482,-0.001167),(4455,425,0.0036,-0.001181),(4455,435,0.003719,-0.001195),(4455,445,0.003838,-0.001211),(4455,455,0.003957,-0.001228),(4455,465,0.004087,-0.001244),(4455,475,0.004218,-0.001261),(4455,485,0.004348,-0.00128),(4455,495,0.004479,-0.0013),(4455,505,0.004624,-0.001319),(4455,515,0.004768,-0.001339),(4455,525,0.004913,-0.001362),(4455,535,0.005058,-0.001385),(4455,545,0.00522,-0.001409),(4455,555,0.005382,-0.001432),(4455,565,0.005543,-0.001459),(4455,575,0.005706,-0.001487),(4455,585,0.005888,-0.001514),(4455,595,0.00607,-0.001542),(4455,605,0.006252,-0.001574),(4455,615,0.006437,-0.001607),(4455,625,0.006642,-0.001639),(4455,635,0.006849,-0.001673),(4455,645,0.007055,-0.001712),(4455,655,0.007265,-0.001751),(4455,665,0.007501,-0.00179),(4455,675,0.007736,-0.001831),(4455,685,0.007971,-0.001878),(4455,695,0.008213,-0.001925),(4455,705,0.008484,-0.001972),(4455,715,0.008755,-0.002022),(4455,725,0.009026,-0.00208),(4455,735,0.009307,-0.002137),(4455,745,0.009622,-0.002195),(4455,755,0.009936,-0.002256),(4455,765,0.010251,-0.002327),(4455,775,0.01058,-0.002398),(4455,785,0.010948,-0.002469),(4455,795,0.011317,-0.002546),(4455,805,0.011686,-0.002634),(4455,815,0.012075,-0.002723),(4455,825,0.012512,-0.002812),(4455,835,0.012948,-0.002908),(4455,845,0.013384,-0.00302),(4455,855,0.01385,-0.003132),(4455,865,0.014372,-0.003244),(4455,875,0.014894,-0.003368),(4455,885,0.015416,-0.003513),(4455,895,0.015981,-0.003657),(4455,905,0.016614,-0.003801),(4455,915,0.017246,-0.003964),(4455,925,0.017878,-0.004154),(4455,935,0.018573,-0.004343),(4455,945,0.01935,-0.004533),(4455,955,0.020127,-0.004752),(4455,965,0.020904,-0.005007),(4455,975,0.021771,-0.005263),(4455,985,0.022741,-0.005518),(4455,995,0.023711,-0.005823),(4455,1005,0.024681,-0.006177),(4455,1015,0.025786,-0.006532),(4455,1025,0.02702,-0.006887),(4455,1035,0.028254,-0.007325),(4455,1045,0.029488,-0.007836),(4455,1055,0.030926,-0.008348),(4455,1065,0.032531,-0.008859),(4455,1075,0.034137,-0.009519),(4455,1085,0.035742,-0.010291),(4455,1095,0.037664,-0.011063),(4455,1105,0.039806,-0.011836),(4455,1115,0.041948,-0.01289),(4455,1125,0.044091,-0.014126),(4455,1135,0.046736,-0.015361),(4455,1145,0.049679,-0.016597),(4455,1155,0.052621,-0.018413),(4455,1165,0.055564,-0.020544),(4455,1175,0.059318,-0.022674),(4455,1185,0.063476,-0.024805),(4455,1195,0.067633,-0.028247),(4455,1205,0.07179,-0.032282),(4455,1215,0.077226,-0.036318),(4455,1225,0.08319,-0.040354),(4455,1235,0.089153,-0.047682),(4455,1245,0.095117,-0.056241),(4455,1255,0.10277,-0.064801),(4455,1265,0.11099,-0.073361),(4455,1275,0.11922,-0.091194),(4455,1285,0.12744,-0.11184),(4455,1295,0.13583,-0.13248),(4455,1305,0.14426,-0.15313),(4455,1315,0.1527,-0.20311),(4455,1325,0.16114,-0.2601),(4455,1335,0.085944,-0.3171),(4455,1345,-0.006774,-0.3741),(4455,1355,-0.099492,-0.33464),(4455,1365,-0.19221,-0.27769),(4455,1375,-0.19732,-0.22074),(4455,1385,-0.18891,-0.1638),(4455,1395,-0.18051,-0.13901),(4455,1405,-0.1721,-0.11836),(4455,1415,-0.16387,-0.097713),(4455,1425,-0.15566,-0.077063),(4455,1435,-0.14745,-0.067596),(4455,1445,-0.13924,-0.059027),(4455,1455,-0.13317,-0.050457),(4455,1465,-0.12722,-0.041888),(4455,1475,-0.12128,-0.037691),(4455,1485,-0.11533,-0.033651),(4455,1495,-0.11118,-0.029612),(4455,1505,-0.10705,-0.025581),(4455,1515,-0.10292,-0.02345),(4455,1525,-0.098827,-0.021319),(4455,1535,-0.095927,-0.019188),(4455,1545,-0.093027,-0.017097),(4455,1555,-0.090127,-0.015863),(4455,1565,-0.087279,-0.014629),(4455,1575,-0.085188,-0.013395),(4455,1585,-0.083096,-0.0122),(4455,1595,-0.081005,-0.01143),(4455,1605,-0.078969,-0.01066),(4455,1615,-0.077419,-0.009891),(4455,1625,-0.075868,-0.009153),(4455,1635,-0.074318,-0.008645),(4455,1645,-0.07282,-0.008138),(4455,1655,-0.071641,-0.007629),(4455,1665,-0.070461,-0.007148),(4455,1675,-0.069281,-0.006799),(4455,1685,-0.068149,-0.00645),(4455,1695,-0.067228,-0.006101),(4455,1705,-0.066308,-0.005773),(4455,1715,-0.065387,-0.005528),(4455,1725,-0.064507,-0.005282),(4455,1735,-0.06377,-0.005037),(4455,1745,-0.063033,-0.004809),(4455,1755,-0.062296,-0.004636),(4455,1765,-0.061593,-0.004463),(4455,1775,-0.060986,-0.00429),(4455,1785,-0.060379,-0.004132),(4455,1795,-0.059771,-0.004012),(4455,1805,-0.059191,-0.003893),(4455,1815,-0.058673,-0.003773),(4455,1825,-0.058155,-0.003667),(4455,1835,-0.057637,-0.00359),(4455,1845,-0.057139,-0.003513),(4455,1855,-0.056678,-0.003436),(4455,1865,-0.056218,-0.003372),(4455,1875,-0.055757,-0.003331),(4455,1885,-0.055308,-0.003289),(4455,1895,-0.054878,-0.003248),(4455,1905,-0.054447,-0.00322),(4455,1915,-0.054017,-0.003212),(4455,1925,-0.053589,-0.003204),(4455,1935,-0.053164,-0.003195),(4455,1945,-0.052739,-0.003201),(4455,1955,-0.052315,-0.003225),(4455,1965,-0.051883,-0.003248),(4455,1975,-0.051441,-0.003272),(4455,1985,-0.051,-0.003311),(4455,1995,-0.050558,-0.003368),(4455,2005,-0.050097,-0.003424),(4455,2015,-0.049616,-0.003481),(4455,2025,-0.049136,-0.003555),(4455,2035,-0.048655,-0.003647),(4455,2045,-0.048141,-0.003739),(4455,2055,-0.047599,-0.003831),(4455,2065,-0.047056,-0.003944),(4455,2075,-0.046514,-0.004075),(4455,2085,-0.045922,-0.004206),(4455,2095,-0.045294,-0.004337),(4455,2105,-0.044666,-0.004493),(4455,2115,-0.044039,-0.004667),(4455,2125,-0.043343,-0.004841),(4455,2135,-0.042605,-0.005015),(4455,2145,-0.041867,-0.005219),(4455,2155,-0.041129,-0.005441),(4455,2165,-0.0403,-0.005662),(4455,2175,-0.039424,-0.005883),(4455,2185,-0.038548,-0.00614),(4455,2195,-0.037672,-0.006413),(4455,2205,-0.036679,-0.006687),(4455,2215,-0.035634,-0.00696),(4455,2225,-0.034589,-0.007274),(4455,2235,-0.033545,-0.007604),(4455,2245,-0.03235,-0.007934),(4455,2255,-0.031102,-0.008263),(4455,2265,-0.029853,-0.008639),(4455,2275,-0.028605,-0.00903),(4455,2285,-0.027168,-0.009421),(4455,2295,-0.025677,-0.009811),(4455,2305,-0.024186,-0.010254),(4455,2315,-0.022696,-0.01071),(4455,2325,-0.020971,-0.011165),(4455,2335,-0.019194,-0.011621),(4455,2345,-0.017417,-0.012135),(4455,2355,-0.01564,-0.01266),(4455,2365,-0.013576,-0.013185),(4455,2375,-0.011465,-0.01371),(4455,2385,-0.009353,-0.0143),(4455,2395,-0.007242,-0.014899),(4455,2405,-0.004783,-0.015497),(4455,2415,-0.002285,-0.016096),(4455,2425,0.000213,-0.016765),(4455,2435,0.002712,-0.017441),(4455,2445,0.005623,-0.018117),(4455,2455,0.008564,-0.018793),(4455,2465,0.011504,-0.019546),(4455,2475,0.014444,-0.020303),(4455,2485,0.017869,-0.02106),(4455,2495,0.021306,-0.021817),(4455,2505,0.024744,-0.022657),(4455,2515,0.028189,-0.023498),(4455,2525,0.032176,-0.024338),(4455,2535,0.036163,-0.025181),(4455,2545,0.04015,-0.026104),(4455,2555,0.04417,-0.027027),(4455,2565,0.048754,-0.02795),(4455,2575,0.053338,-0.028878),(4455,2585,0.057923,-0.029877),(4455,2595,0.062567,-0.030876),(4455,2605,0.067788,-0.031875),(4455,2615,0.07301,-0.032881),(4455,2625,0.078231,-0.033944),(4455,2635,0.083542,-0.035008),(4455,2645,0.089432,-0.036071),(4455,2655,0.095322,-0.037141),(4455,2665,0.10121,-0.038249),(4455,2675,0.10722,-0.039357),(4455,2685,0.1138,-0.040466),(4455,2695,0.12038,-0.041578),(4455,2705,0.12695,-0.042707),(4455,2715,0.13368,-0.043836),(4455,2725,0.14095,-0.044965),(4455,2735,0.14822,-0.046092),(4455,2745,0.15549,-0.047213),(4455,2755,0.16294,-0.048334),(4455,2765,0.1709,-0.049455),(4455,2775,0.17886,-0.050565),(4455,2785,0.18682,-0.051646),(4455,2795,0.19497,-0.052727),(4455,2805,0.2036,-0.053808),(4455,2815,0.21222,-0.054866),(4455,2825,0.22085,-0.055875),(4455,2835,0.22968,-0.056884),(4455,2845,0.23893,-0.057893),(4455,2855,0.24818,-0.058865),(4455,2865,0.25744,-0.05977),(4455,2875,0.2669,-0.060676),(4455,2885,0.27673,-0.061581),(4455,2895,0.28656,-0.062434),(4455,2905,0.29638,-0.063207),(4455,2915,0.30642,-0.06398),(4455,2925,0.31676,-0.064753),(4455,2935,0.3271,-0.065459),(4455,2945,0.33743,-0.066075),(4455,2955,0.34797,-0.066691),(4455,2965,0.35874,-0.067308),(4455,2975,0.36951,-0.067841),(4455,2985,0.38028,-0.068282),(4455,2995,0.39123,-0.068723),(4455,3005,0.40235,-0.069163),(4455,3015,0.41346,-0.069508),(4455,3025,0.42458,-0.06976),(4455,3035,0.43583,-0.070011),(4455,3045,0.4472,-0.070263),(4455,3055,0.45857,-0.070406),(4455,3065,0.46994,-0.070461),(4455,3075,0.48138,-0.070515),(4455,3085,0.49289,-0.070569),(4455,3095,0.50439,-0.070504),(4455,3105,0.5159,-0.070355),(4455,3115,0.52741,-0.070206),(4455,3125,0.53894,-0.070057),(4455,3135,0.55046,-0.069778),(4455,3145,0.56198,-0.069423),(4455,3155,0.57343,-0.069067),(4455,3165,0.58484,-0.068712),(4455,3175,0.59625,-0.068217),(4455,3185,0.60766,-0.067653),(4455,3195,0.61889,-0.067089),(4455,3205,0.63005,-0.066526),(4455,3215,0.64121,-0.065815),(4455,3225,0.65237,-0.065043),(4455,3235,0.66323,-0.064272),(4455,3245,0.67399,-0.063501),(4455,3255,0.68474,-0.062577),(4455,3265,0.6955,-0.061601),(4455,3275,0.70582,-0.060625),(4455,3285,0.71601,-0.05965),(4455,3295,0.72621,-0.058517),(4455,3305,0.7364,-0.057343),(4455,3315,0.74601,-0.056168),(4455,3325,0.75547,-0.054993),(4455,3335,0.76493,-0.053659),(4455,3345,0.7744,-0.052292),(4455,3355,0.7831,-0.050925),(4455,3365,0.79167,-0.049558),(4455,3375,0.80023,-0.048032),(4455,3385,0.80879,-0.046482),(4455,3395,0.81641,-0.044931),(4455,3405,0.8239,-0.043381),(4455,3415,0.83139,-0.041676),(4455,3425,0.83888,-0.039955),(4455,3435,0.84523,-0.038234),(4455,3445,0.85148,-0.036513),(4455,3455,0.85773,-0.034647),(4455,3465,0.86399,-0.032772),(4455,3475,0.8689,-0.030898),(4455,3485,0.87376,-0.029024),(4455,3495,0.87863,-0.027021),(4455,3505,0.88348,-0.025017),(4455,3515,0.88683,-0.023013),(4455,3525,0.89017,-0.021007),(4455,3535,0.89351,-0.018904),(4455,3545,0.89679,-0.016801),(4455,3555,0.89851,-0.014699),(4455,3565,0.90023,-0.012592),(4455,3575,0.90195,-0.01043),(4455,3585,0.90353,-0.008267),(4455,3595,0.90357,-0.006105),(4455,3605,0.9036,-0.003941),(4455,3615,0.90363,-0.001764),(4455,3625,0.90346,0.000412),(4455,3635,0.90177,0.002589),(4455,3645,0.90009,0.00476),(4455,3655,0.8984,0.0069),(4455,3665,0.89644,0.009039),(4455,3675,0.89305,0.011179),(4455,3685,0.88967,0.013302),(4455,3695,0.88628,0.015349),(4455,3705,0.88256,0.017397),(4455,3715,0.87753,0.019445),(4455,3725,0.8725,0.021458),(4455,3735,0.86746,0.023351),(4455,3745,0.86206,0.025244),(4455,3755,0.85549,0.027137),(4455,3765,0.84892,0.028969),(4455,3775,0.84235,0.030627),(4455,3785,0.83539,0.032285),(4455,3795,0.82743,0.033943),(4455,3805,0.81948,0.035491),(4455,3815,0.81152,0.036784),(4455,3825,0.80319,0.038078),(4455,3835,0.79406,0.039371),(4455,3845,0.78494,0.04045),(4455,3855,0.77581,0.041114),(4455,3865,0.76636,0.041778),(4455,3875,0.75635,0.042442),(4455,3885,0.74633,0.042618),(4455,3895,0.73631,0.042004),(4455,3905,0.72606,0.04139),(4455,3915,0.71545,0.040776),(4455,3925,0.70485,0.038862),(4455,3935,0.69424,0.035158),(4455,3945,0.68333,0.031455),(4455,3955,0.67205,0.027751),(4455,3965,0.66077,0.020037),(4455,3975,0.64949,0.007622),(4455,3985,0.63652,-0.004793),(4455,3995,0.62174,-0.017208),(4455,4005,0.60695,-0.042176),(4455,4015,0.59217,-0.079697),(4455,4025,0.91833,-0.11722),(4455,4035,1.2778,-0.13293),(4455,4045,1.6374,-0.10267),(4455,4055,1.9204,-0.072412),(4455,4065,2.1756,-0.040151),(4455,4075,2.4307,0.00405),(4455,4085,2.5422,0.048251),(4455,4095,2.5382,0.092453),(4455,4105,2.5342,0.15135),(4455,4115,2.4609,0.21077),(4455,4125,2.2729,0.27018),(4455,4135,2.0848,0.25956),(4455,4145,1.8903,0.23),(4455,4155,1.6699,0.20043),(4455,4165,1.4495,0.10094),(4455,4175,1.2408,-0.04347),(4455,4185,1.6116,-0.18788),(4455,4195,1.9824,-0.23551),(4455,4205,2.3532,-0.15522),(4455,4215,2.4096,-0.074926),(4455,4225,2.4069,0.002782),(4455,4235,2.4041,0.072844),(4455,4245,2.4038,0.14291),(4455,4255,2.4048,0.21493),(4455,4265,2.4058,0.3114),(4455,4275,2.1555,0.40788),(4455,4285,1.6387,0.50435),(4455,4295,1.1219,0.31798),(4455,4305,0.89585,0.098795),(4455,4315,1.3263,-0.12039),(4455,4325,1.7567,-0.15293),(4455,4335,2.1388,-0.11209),(4455,4345,2.1943,-0.071254),(4455,4355,2.2497,-0.017869),(4455,4365,2.3051,0.046222),(4455,4375,2.3071,0.11031),(4455,4385,2.3064,0.17884),(4455,4395,2.3057,0.25519),(4455,4405,2.072,0.33155),(4455,4415,1.7696,0.3767),(4455,4425,1.4672,0.28268),(4455,4435,1.3329,0.18866),(4455,4445,1.3134,0.094621),(4455,4455,1.294,-0.004788),(4455,4465,1.4056,-0.1042),(4455,4475,1.7013,-0.20361),(4455,4485,1.9971,-0.16159),(4455,4495,2.2226,-0.089924),(4455,4505,2.2228,-0.01826),(4455,4515,2.2229,0.048045),(4455,4525,2.2198,0.11145),(4455,4535,2.1644,0.17485),(4455,4545,2.1091,0.22985),(4455,4555,2.0537,0.27538),(4455,4565,1.6488,0.32092),(4455,4575,1.1967,0.29073),(4455,4585,0.7447,0.077011),(4455,4595,0.94974,-0.13671),(4455,4605,1.4324,-0.3163),(4455,4615,1.915,-0.23024),(4455,4625,2.1438,-0.14419),(4455,4635,2.1427,-0.058131),(4455,4645,2.1416,0.010049),(4455,4655,2.1409,0.077),(4455,4665,2.141,0.14395),(4455,4675,2.1412,0.22082),(4455,4685,2.0821,0.30086),(4455,4695,1.7302,0.38091),(4455,4705,1.3783,0.3395),(4455,4715,1.0264,0.20986),(4455,4725,1.1864,0.080216),(4455,4735,1.3515,-0.010475),(4455,4745,1.5166,-0.042974),(4455,4755,1.6856,-0.075473),(4455,4765,1.8555,-0.087303),(4455,4775,2.0254,-0.027011),(4455,4785,2.0878,0.03328),(4455,4795,2.0881,0.093668),(4455,4805,2.0884,0.15613),(4455,4815,2.0116,0.21859),(4455,4825,1.8428,0.28106),(4455,4835,1.674,0.26776),(4455,4845,1.4979,0.24277),(4455,4855,1.3028,0.21779),(4455,4865,1.1077,0.12058),(4455,4875,0.96594,-0.009354),(4455,4885,1.3097,-0.13929),(4455,4895,1.6534,-0.16565),(4455,4905,1.9972,-0.092448),(4455,4915,2.0241,-0.019249),(4455,4925,2.0237,0.051313),(4455,4935,2.0233,0.11656),(4455,4945,2.022,0.18181),(4455,4955,2.0204,0.25047),(4455,4965,2.0188,0.33793),(4455,4975,1.7521,0.4254),(4455,4985,1.2807,0.51287),(4455,4995,0.80928,0.3266),(4455,5005,0.65794,0.13337),(4455,5015,1.0154,-0.059847),(4455,5025,1.3729,-0.093264),(4455,5035,1.6786,-0.085983),(4455,5045,1.7871,-0.078703),(4455,5055,1.8955,-0.038089),(4455,5065,2.0007,0.023059),(4455,5075,1.9985,0.084207),(4455,5085,1.9963,0.14764),(4455,5095,1.9941,0.21397),(4455,5105,1.8028,0.28031),(4455,5115,1.5785,0.31507),(4455,5125,1.3542,0.26107),(4455,5135,1.2348,0.20707),(4455,5145,1.1663,0.14966),(4455,5155,1.0978,0.055054),(4455,5165,1.2035,-0.03955),(4455,5175,1.4867,-0.13415),(4455,5185,1.7699,-0.084908),(4455,5195,1.9626,-0.020729),(4455,5205,1.9602,0.043449),(4455,5215,1.9578,0.10466),(4455,5225,1.9477,0.16477),(4455,5235,1.8898,0.22488),(4455,5245,1.8318,0.27736),(4455,5255,1.7739,0.3236),(4455,5265,1.3657,0.36983),(4455,5275,0.94306,0.32834),(4455,5285,0.52045,0.13831),(4455,5295,0.79401,-0.051717),(4455,5305,1.2614,-0.1913),(4455,5315,1.7289,-0.12002),(4455,5325,1.9094,-0.048741),(4455,5335,1.9017,0.022384),(4455,5345,1.894,0.0833),(4455,5355,1.8854,0.14422),(4455,5365,1.8758,0.20513),(4455,5375,1.8661,0.27977),(4455,5385,1.7769,0.35708),(4455,5395,1.4459,0.43439),(4455,5405,1.115,0.39202),(4455,5415,0.82157,0.28756),(4455,5425,1.0329,0.1831),(4455,5435,1.2443,0.097733),(4455,5445,1.4557,0.033046),(4455,5455,1.6343,-0.031641),(4455,5465,1.809,-0.068936),(4455,5475,1.9836,-0.042921),(4455,5485,2.0263,-0.016907),(4455,5495,2.0158,0.00803),(4455,5505,2.0054,0.025337),(4455,5515,1.9971,0.042644),(4455,5525,1.9906,0.059951),(4455,5535,1.9842,0.072339),(4455,5545,1.9785,0.084443),(4455,5555,1.9741,0.096547),(4455,5565,1.9698,0.10623),(4455,5575,1.9656,0.11519),(4455,5585,1.9624,0.12414),(4455,5595,1.9592,0.13201),(4455,5605,1.9559,0.13912),(4455,5615,1.9532,0.14623),(4455,5625,1.9506,0.1529),(4455,5635,1.9479,0.15895),(4455,5645,1.9454,0.165),(4455,5655,1.943,0.17093),(4455,5665,1.9406,0.17647),(4455,5675,1.9383,0.18201),(4455,5685,1.936,0.18755),(4455,5695,1.9336,0.193),(4455,5705,1.9313,0.19844),(4455,5715,1.9289,0.20389),(4455,5725,1.9266,0.20957),(4455,5735,1.9242,0.21529),(4455,5745,1.9217,0.221),(4455,5755,1.9192,0.22714),(4455,5765,1.9167,0.23347),(4455,5775,1.9139,0.23981),(4455,5785,1.9112,0.24668),(4455,5795,1.9085,0.25404),(4455,5805,1.9055,0.26141),(4455,5815,1.9024,0.26933),(4455,5825,1.8994,0.27833),(4455,5835,1.8961,0.28732),(4455,5845,1.8926,0.29673),(4455,5855,1.8891,0.30831),(4455,5865,1.8853,0.3199),(4455,5875,1.8813,0.33148),(4455,5885,1.8773,0.34737),(4455,5895,1.8729,0.36333),(4455,5905,1.8681,0.37928),(4455,5915,1.8633,0.40182),(4455,5925,1.8582,0.42594),(4455,5935,1.8522,0.45005),(4455,5945,1.8462,0.48519),(4455,5955,1.8403,0.52684),(4455,5965,1.835,0.56849),(4455,5975,1.8298,0.63025),(4455,5985,1.8246,0.71657),(4455,5995,1.4845,0.80289),(4455,6005,1.0906,0.83833),(4455,6015,0.69674,0.73783),(4455,6025,0.74251,0.63732),(4455,6035,0.9922,0.54775),(4455,6045,1.2419,0.56356),(4455,6055,1.5451,0.57938),(4455,6065,1.9009,0.59519),(4455,6075,2.2567,0.58942),(4455,6085,2.499,0.58166),(4455,6095,2.5076,0.5739),(4455,6105,2.5162,0.55408),(4455,6115,2.523,0.52998),(4455,6125,2.5199,0.50587),(4455,6135,2.5167,0.48365),(4455,6145,2.5136,0.46291),(4455,6155,2.511,0.44216),(4455,6165,2.5084,0.42283),(4455,6175,2.5059,0.40579),(4455,6185,2.5037,0.38876),(4455,6195,2.5016,0.37228),(4455,6205,2.4995,0.35799),(4455,6215,2.4976,0.34371),(4455,6225,2.4959,0.32948),(4455,6235,2.4942,0.31711),(4455,6245,2.4926,0.30474),(4455,6255,2.4913,0.29237),(4455,6265,2.4899,0.2812),(4455,6275,2.4886,0.27025),(4455,6285,2.4875,0.2593),(4455,6295,2.4865,0.24908),(4455,6305,2.4854,0.23921),(4455,6315,2.4845,0.22934),(4455,6325,2.4836,0.21987),(4455,6335,2.4828,0.21082),(4455,6345,2.482,0.20176),(4455,6355,2.4813,0.19291),(4455,6365,2.4806,0.18451),(4455,6375,2.48,0.17611),(4455,6385,2.4794,0.16778),(4455,6395,2.4788,0.1599),(4455,6405,2.4783,0.15202),(4455,6415,2.4779,0.14415),(4455,6425,2.4775,0.1366),(4455,6435,2.4771,0.12907),(4455,6445,2.4767,0.12155),(4455,6455,2.4763,0.11427),(4455,6465,2.476,0.10707),(4455,6475,2.4757,0.099862),(4455,6485,2.4755,0.092795),(4455,6495,2.4752,0.085821),(4455,6505,2.4751,0.078846),(4455,6515,2.4749,0.071917),(4455,6525,2.4747,0.065052),(4455,6535,2.4746,0.058187),(4455,6545,2.4745,0.051362),(4455,6555,2.4744,0.044662),(4455,6565,2.4744,0.037962),(4455,6575,2.4744,0.031264),(4455,6585,2.4743,0.024585),(4455,6595,2.1046,0.017906),(4455,6605,1.3268,0.011227),(4455,6615,0.54892,0.010388),(4455,6625,0.002107,0.0103),(4455,6635,0.002109,0.010212),(4455,6645,0.00211,0.010162),(4455,6655,0.002112,0.010128),(4455,6665,0.002111,0.010095),(4455,6675,0.002111,0.010063),(4455,6685,0.002111,0.010033),(4455,6695,0.002109,0.010003),(4455,6705,0.002107,0.009975),(4455,6715,0.002106,0.009948),(4455,6725,0.002103,0.009922),(4455,6735,0.002101,0.009896),(4455,6745,0.002098,0.009873),(4455,6755,0.002095,0.009849),(4455,6765,0.002092,0.009826),(4455,6775,0.002089,0.009805),(4455,6785,0.002086,0.009784),(4455,6795,0.002083,0.009763),(4455,6805,0.002079,0.009744),(4455,6815,0.002076,0.009726),(4455,6825,0.002072,0.009707),(4455,6835,0.002069,0.009689),(4455,6845,0.002065,0.009672),(4455,6855,0.002061,0.009655),(4455,6865,0.002058,0.009639),(4455,6875,0.002054,0.009624),(4455,6885,0.002051,0.009608),(4455,6895,0.002047,0.009593),(4455,6905,0.002044,0.009579),(4455,6915,0.00204,0.009565),(4455,6925,0.002037,0.009551),(4455,6935,0.002033,0.009538),(4455,6945,0.00203,0.009525),(4455,6955,0.002027,0.009512),(4455,6965,0.002024,0.009499),(4455,6975,0.002021,0.009487),(4455,6985,0.002018,0.009475),(4465,5,3.6e-05,-0.040348),(4465,15,0.000107,-0.040353),(4465,25,0.000178,-0.040358),(4465,35,0.000249,-0.040363),(4465,45,0.00032,-0.040369),(4465,55,0.000392,-0.040374),(4465,65,0.000464,-0.040379),(4465,75,0.000536,-0.040384),(4465,85,0.000609,-0.040391),(4465,95,0.000681,-0.0404),(4465,105,0.000754,-0.040409),(4465,115,0.000828,-0.040418),(4465,125,0.000903,-0.040429),(4465,135,0.000977,-0.040441),(4465,145,0.001052,-0.040452),(4465,155,0.001128,-0.040464),(4465,165,0.001205,-0.040479),(4465,175,0.001281,-0.040496),(4465,185,0.001359,-0.040513),(4465,195,0.001438,-0.040529),(4465,205,0.001517,-0.040549),(4465,215,0.001597,-0.040571),(4465,225,0.001678,-0.040592),(4465,235,0.001761,-0.040614),(4465,245,0.001844,-0.040639),(4465,255,0.001927,-0.040665),(4465,265,0.002014,-0.040691),(4465,275,0.002102,-0.040717),(4465,285,0.00219,-0.040746),(4465,295,0.002278,-0.040775),(4465,305,0.00237,-0.040805),(4465,315,0.002464,-0.040834),(4465,325,0.002558,-0.040866),(4465,335,0.002651,-0.040899),(4465,345,0.002751,-0.040932),(4465,355,0.002852,-0.040965),(4465,365,0.002953,-0.041004),(4465,375,0.003054,-0.041043),(4465,385,0.003162,-0.041082),(4465,395,0.003272,-0.041121),(4465,405,0.003381,-0.041166),(4465,415,0.00349,-0.041211),(4465,425,0.003609,-0.041257),(4465,435,0.003728,-0.041302),(4465,445,0.003847,-0.041351),(4465,455,0.003967,-0.0414),(4465,465,0.004097,-0.04145),(4465,475,0.004228,-0.041499),(4465,485,0.00436,-0.041553),(4465,495,0.004491,-0.041607),(4465,505,0.004636,-0.041662),(4465,515,0.004781,-0.041716),(4465,525,0.004927,-0.041777),(4465,535,0.005072,-0.041839),(4465,545,0.005235,-0.0419),(4465,555,0.005397,-0.041961),(4465,565,0.00556,-0.04203),(4465,575,0.005723,-0.042099),(4465,585,0.005906,-0.042169),(4465,595,0.006089,-0.042238),(4465,605,0.006272,-0.042315),(4465,615,0.006457,-0.042392),(4465,625,0.006664,-0.042469),(4465,635,0.006872,-0.042547),(4465,645,0.007079,-0.042632),(4465,655,0.007291,-0.042717),(4465,665,0.007527,-0.042803),(4465,675,0.007764,-0.042889),(4465,685,0.008001,-0.042983),(4465,695,0.008245,-0.043077),(4465,705,0.008518,-0.043171),(4465,715,0.00879,-0.043268),(4465,725,0.009063,-0.043373),(4465,735,0.009346,-0.043479),(4465,745,0.009663,-0.043584),(4465,755,0.00998,-0.043693),(4465,765,0.010297,-0.043814),(4465,775,0.010629,-0.043934),(4465,785,0.011001,-0.044054),(4465,795,0.011373,-0.044179),(4465,805,0.011745,-0.044315),(4465,815,0.012138,-0.044451),(4465,825,0.012579,-0.044587),(4465,835,0.01302,-0.04473),(4465,845,0.013461,-0.044886),(4465,855,0.013932,-0.045041),(4465,865,0.014461,-0.045197),(4465,875,0.014989,-0.045362),(4465,885,0.015517,-0.045545),(4465,895,0.01609,-0.045727),(4465,905,0.016731,-0.04591),(4465,915,0.017372,-0.046106),(4465,925,0.018014,-0.046323),(4465,935,0.018719,-0.04654),(4465,945,0.01951,-0.046757),(4465,955,0.0203,-0.046996),(4465,965,0.02109,-0.047262),(4465,975,0.021974,-0.047528),(4465,985,0.022965,-0.047795),(4465,995,0.023956,-0.048098),(4465,1005,0.024946,-0.04844),(4465,1015,0.026078,-0.048781),(4465,1025,0.027345,-0.049123),(4465,1035,0.028612,-0.049529),(4465,1045,0.029879,-0.04999),(4465,1055,0.031363,-0.050452),(4465,1065,0.033025,-0.050914),(4465,1075,0.034687,-0.05149),(4465,1085,0.036348,-0.052154),(4465,1095,0.038355,-0.052818),(4465,1105,0.040601,-0.053482),(4465,1115,0.042847,-0.054371),(4465,1125,0.045094,-0.055404),(4465,1135,0.04791,-0.056438),(4465,1145,0.051062,-0.057472),(4465,1155,0.054214,-0.058987),(4465,1165,0.057366,-0.060764),(4465,1175,0.061505,-0.062541),(4465,1185,0.066134,-0.064318),(4465,1195,0.070764,-0.067257),(4465,1205,0.075393,-0.070725),(4465,1215,0.081819,-0.074192),(4465,1225,0.088986,-0.077659),(4465,1235,0.096153,-0.084411),(4465,1245,0.10332,-0.092393),(4465,1255,0.11389,-0.10037),(4465,1265,0.12561,-0.10836),(4465,1275,0.13733,-0.12708),(4465,1285,0.14904,-0.14905),(4465,1295,0.16722,-0.17103),(4465,1305,0.18715,-0.193),(4465,1315,0.20707,-0.25014),(4465,1325,0.227,-0.31569),(4465,1335,0.12548,-0.38124),(4465,1345,-0.001497,-0.44679),(4465,1355,-0.12847,-0.40157),(4465,1365,-0.25545,-0.33627),(4465,1375,-0.25519,-0.27098),(4465,1385,-0.23529,-0.20568),(4465,1395,-0.2154,-0.1785),(4465,1405,-0.19551,-0.15621),(4465,1415,-0.18303,-0.13393),(4465,1425,-0.17132,-0.11165),(4465,1435,-0.15961,-0.10277),(4465,1445,-0.14791,-0.094958),(4465,1455,-0.14051,-0.08715),(4465,1465,-0.13335,-0.079342),(4465,1475,-0.1262,-0.075828),(4465,1485,-0.11905,-0.072468),(4465,1495,-0.11441,-0.069108),(4465,1505,-0.10981,-0.065755),(4465,1515,-0.10521,-0.064009),(4465,1525,-0.10065,-0.062262),(4465,1535,-0.097539,-0.060515),(4465,1545,-0.094429,-0.058801),(4465,1555,-0.091319,-0.057771),(4465,1565,-0.088268,-0.056742),(4465,1575,-0.086073,-0.055712),(4465,1585,-0.083877,-0.054713),(4465,1595,-0.081682,-0.054051),(4465,1605,-0.079548,-0.053388),(4465,1615,-0.077941,-0.052725),(4465,1625,-0.076333,-0.052088),(4465,1635,-0.074726,-0.05163),(4465,1645,-0.073176,-0.051172),(4465,1655,-0.071962,-0.050714),(4465,1665,-0.070749,-0.050276),(4465,1675,-0.069536,-0.049942),(4465,1685,-0.068372,-0.049608),(4465,1695,-0.06743,-0.049274),(4465,1705,-0.066488,-0.048957),(4465,1715,-0.065546,-0.048705),(4465,1725,-0.064647,-0.048452),(4465,1735,-0.063895,-0.0482),(4465,1745,-0.063144,-0.047962),(4465,1755,-0.062392,-0.04777),(4465,1765,-0.061675,-0.047578),(4465,1775,-0.061057,-0.047385),(4465,1785,-0.060439,-0.047206),(4465,1795,-0.059821,-0.047062),(4465,1805,-0.059231,-0.046917),(4465,1815,-0.058704,-0.046773),(4465,1825,-0.058178,-0.046642),(4465,1835,-0.057652,-0.046539),(4465,1845,-0.057145,-0.046436),(4465,1855,-0.056678,-0.046332),(4465,1865,-0.05621,-0.046243),(4465,1875,-0.055742,-0.046177),(4465,1885,-0.055286,-0.046112),(4465,1895,-0.054849,-0.046046),(4465,1905,-0.054412,-0.045995),(4465,1915,-0.053975,-0.045966),(4465,1925,-0.053541,-0.045937),(4465,1935,-0.05311,-0.045908),(4465,1945,-0.052679,-0.045895),(4465,1955,-0.052248,-0.045902),(4465,1965,-0.051809,-0.045909),(4465,1975,-0.051361,-0.045917),(4465,1985,-0.050913,-0.045942),(4465,1995,-0.050465,-0.045988),(4465,2005,-0.049997,-0.046034),(4465,2015,-0.049509,-0.04608),(4465,2025,-0.049022,-0.046148),(4465,2035,-0.048534,-0.046236),(4465,2045,-0.048012,-0.046324),(4465,2055,-0.047462,-0.046413),(4465,2065,-0.046911,-0.046528),(4465,2075,-0.046361,-0.046664),(4465,2085,-0.045761,-0.0468),(4465,2095,-0.045124,-0.046936),(4465,2105,-0.044488,-0.047104),(4465,2115,-0.043851,-0.047294),(4465,2125,-0.043146,-0.047484),(4465,2135,-0.042398,-0.047673),(4465,2145,-0.04165,-0.047902),(4465,2155,-0.040903,-0.048153),(4465,2165,-0.040064,-0.048404),(4465,2175,-0.039178,-0.048655),(4465,2185,-0.038291,-0.048951),(4465,2195,-0.037405,-0.049269),(4465,2205,-0.036401,-0.049586),(4465,2215,-0.035345,-0.049904),(4465,2225,-0.034289,-0.050272),(4465,2235,-0.033233,-0.050661),(4465,2245,-0.032027,-0.05105),(4465,2255,-0.030767,-0.051438),(4465,2265,-0.029507,-0.051883),(4465,2275,-0.028247,-0.052346),(4465,2285,-0.026798,-0.052809),(4465,2295,-0.025295,-0.053272),(4465,2305,-0.023792,-0.053796),(4465,2315,-0.022289,-0.054335),(4465,2325,-0.020551,-0.054874),(4465,2335,-0.018762,-0.055413),(4465,2345,-0.016972,-0.056017),(4465,2355,-0.015182,-0.056634),(4465,2365,-0.013105,-0.057251),(4465,2375,-0.010981,-0.057867),(4465,2385,-0.008856,-0.058552),(4465,2395,-0.006731,-0.059247),(4465,2405,-0.00426,-0.059942),(4465,2415,-0.001748,-0.060637),(4465,2425,0.000764,-0.061403),(4465,2435,0.003276,-0.062176),(4465,2445,0.006201,-0.062949),(4465,2455,0.009155,-0.063722),(4465,2465,0.012109,-0.06457),(4465,2475,0.015063,-0.065422),(4465,2485,0.018502,-0.066273),(4465,2495,0.021954,-0.067125),(4465,2505,0.025405,-0.068052),(4465,2515,0.028865,-0.06898),(4465,2525,0.032865,-0.069907),(4465,2535,0.036865,-0.070837),(4465,2545,0.040866,-0.071835),(4465,2555,0.044899,-0.072832),(4465,2565,0.049494,-0.07383),(4465,2575,0.05409,-0.074832),(4465,2585,0.058686,-0.075887),(4465,2595,0.063341,-0.076943),(4465,2605,0.068571,-0.077999),(4465,2615,0.073801,-0.07906),(4465,2625,0.07903,-0.080158),(4465,2635,0.084349,-0.081255),(4465,2645,0.090242,-0.082353),(4465,2655,0.096134,-0.083454),(4465,2665,0.10203,-0.084572),(4465,2675,0.10804,-0.08569),(4465,2685,0.11461,-0.086809),(4465,2695,0.12119,-0.087926),(4465,2705,0.12776,-0.089038),(4465,2715,0.13448,-0.090151),(4465,2725,0.14174,-0.091264),(4465,2735,0.14901,-0.092369),(4465,2745,0.15627,-0.093448),(4465,2755,0.1637,-0.094527),(4465,2765,0.17164,-0.095607),(4465,2775,0.17958,-0.096669),(4465,2785,0.18753,-0.097684),(4465,2795,0.19566,-0.0987),(4465,2805,0.20426,-0.099715),(4465,2815,0.21285,-0.1007),(4465,2825,0.22145,-0.10162),(4465,2835,0.23026,-0.10255),(4465,2845,0.23947,-0.10347),(4465,2855,0.24869,-0.10435),(4465,2865,0.25791,-0.10515),(4465,2875,0.26734,-0.10595),(4465,2885,0.27712,-0.10675),(4465,2895,0.28691,-0.10749),(4465,2905,0.29669,-0.10814),(4465,2915,0.30669,-0.1088),(4465,2925,0.31698,-0.10945),(4465,2935,0.32727,-0.11003),(4465,2945,0.33756,-0.11051),(4465,2955,0.34804,-0.11099),(4465,2965,0.35876,-0.11148),(4465,2975,0.36948,-0.11187),(4465,2985,0.3802,-0.11217),(4465,2995,0.39109,-0.11247),(4465,3005,0.40216,-0.11277),(4465,3015,0.41322,-0.11296),(4465,3025,0.42428,-0.11307),(4465,3035,0.43548,-0.11317),(4465,3045,0.44679,-0.11327),(4465,3055,0.4581,-0.11327),(4465,3065,0.46941,-0.11317),(4465,3075,0.4808,-0.11307),(4465,3085,0.49225,-0.11297),(4465,3095,0.50369,-0.11275),(4465,3105,0.51514,-0.11245),(4465,3115,0.5266,-0.11215),(4465,3125,0.53807,-0.11184),(4465,3135,0.54953,-0.11141),(4465,3145,0.561,-0.1109),(4465,3155,0.57239,-0.1104),(4465,3165,0.58374,-0.10989),(4465,3175,0.59509,-0.10925),(4465,3185,0.60645,-0.10854),(4465,3195,0.61763,-0.10783),(4465,3205,0.62873,-0.10712),(4465,3215,0.63983,-0.10627),(4465,3225,0.65093,-0.10536),(4465,3235,0.66174,-0.10445),(4465,3245,0.67244,-0.10355),(4465,3255,0.68314,-0.1025),(4465,3265,0.69385,-0.1014),(4465,3275,0.70412,-0.10031),(4465,3285,0.71426,-0.099211),(4465,3295,0.7244,-0.097972),(4465,3305,0.73455,-0.096695),(4465,3315,0.7441,-0.095419),(4465,3325,0.75352,-0.094142),(4465,3335,0.76294,-0.092722),(4465,3345,0.77235,-0.091272),(4465,3355,0.78101,-0.089822),(4465,3365,0.78953,-0.088372),(4465,3375,0.79805,-0.086779),(4465,3385,0.80657,-0.085164),(4465,3395,0.81414,-0.083549),(4465,3405,0.82159,-0.081933),(4465,3415,0.82904,-0.080178),(4465,3425,0.83649,-0.078408),(4465,3435,0.8428,-0.076638),(4465,3445,0.84902,-0.074868),(4465,3455,0.85524,-0.072966),(4465,3465,0.86145,-0.071056),(4465,3475,0.86634,-0.069147),(4465,3485,0.87117,-0.067237),(4465,3495,0.87601,-0.065212),(4465,3505,0.88083,-0.063185),(4465,3515,0.88416,-0.061158),(4465,3525,0.88748,-0.059129),(4465,3535,0.8908,-0.057017),(4465,3545,0.89405,-0.054905),(4465,3555,0.89576,-0.052793),(4465,3565,0.89747,-0.050678),(4465,3575,0.89918,-0.048522),(4465,3585,0.90075,-0.046367),(4465,3595,0.90078,-0.044211),(4465,3605,0.90081,-0.042056),(4465,3615,0.90084,-0.039905),(4465,3625,0.90067,-0.037755),(4465,3635,0.89899,-0.035604),(4465,3645,0.89732,-0.033462),(4465,3655,0.89564,-0.03137),(4465,3665,0.89369,-0.029278),(4465,3675,0.89033,-0.027186),(4465,3685,0.88697,-0.025115),(4465,3695,0.8836,-0.023137),(4465,3705,0.87991,-0.021159),(4465,3715,0.87492,-0.019181),(4465,3725,0.86992,-0.017242),(4465,3735,0.86493,-0.015438),(4465,3745,0.85957,-0.013635),(4465,3755,0.85306,-0.011831),(4465,3765,0.84654,-0.010094),(4465,3775,0.84003,-0.008543),(4465,3785,0.83314,-0.006992),(4465,3795,0.82527,-0.00544),(4465,3805,0.81741,-0.004002),(4465,3815,0.80954,-0.002827),(4465,3825,0.80132,-0.001652),(4465,3835,0.79236,-0.000477),(4465,3845,0.78339,0.00048),(4465,3855,0.77442,0.001014),(4465,3865,0.7652,0.001549),(4465,3875,0.75552,0.002083),(4465,3885,0.74584,0.00211),(4465,3895,0.73617,0.001313),(4465,3905,0.72646,0.000515),(4465,3915,0.71673,-0.000283),(4465,3925,0.70699,-0.002483),(4465,3935,0.69726,-0.006615),(4465,3945,0.68801,-0.010747),(4465,3955,0.67939,-0.014879),(4465,3965,0.67076,-0.023512),(4465,3975,0.66214,-0.037422),(4465,3985,0.65497,-0.051332),(4465,3995,0.64939,-0.065242),(4465,4005,0.64381,-0.095235),(4465,4015,0.63822,-0.14131),(4465,4025,0.94113,-0.18738),(4465,4035,1.2742,-0.20664),(4465,4045,1.6073,-0.16937),(4465,4055,1.8788,-0.13211),(4465,4065,2.1277,-0.092367),(4465,4075,2.3766,-0.037862),(4465,4085,2.4818,0.016642),(4465,4095,2.4714,0.071147),(4465,4105,2.461,0.14378),(4465,4115,2.3962,0.21706),(4465,4125,2.2413,0.29034),(4465,4135,2.0863,0.28195),(4465,4145,1.9274,0.25147),(4465,4155,1.7527,0.22099),(4465,4165,1.5781,0.10334),(4465,4175,1.4125,-0.070289),(4465,4185,1.6967,-0.24392),(4465,4195,1.9809,-0.30138),(4465,4205,2.2652,-0.20529),(4465,4215,2.3114,-0.10921),(4465,4225,2.3129,-0.016343),(4465,4235,2.3144,0.066965),(4465,4245,2.3078,0.15027),(4465,4255,2.2969,0.23623),(4465,4265,2.2861,0.35527),(4465,4275,2.0899,0.47431),(4465,4285,1.697,0.59334),(4465,4295,1.304,0.36698),(4465,4305,1.1326,0.10055),(4465,4315,1.4615,-0.16588),(4465,4325,1.7903,-0.20498),(4465,4335,2.083,-0.15472),(4465,4345,2.1303,-0.10446),(4465,4355,2.1776,-0.040439),(4465,4365,2.225,0.035326),(4465,4375,2.2216,0.11109),(4465,4385,2.2155,0.19273),(4465,4395,2.2094,0.28473),(4465,4405,2.0244,0.37674),(4465,4415,1.7865,0.43193),(4465,4425,1.5486,0.32288),(4465,4435,1.4421,0.21384),(4465,4445,1.4254,0.10475),(4465,4455,1.4086,-0.013036),(4465,4465,1.4948,-0.13083),(4465,4475,1.7256,-0.24862),(4465,4485,1.9563,-0.19884),(4465,4495,2.133,-0.11394),(4465,4505,2.1364,-0.029047),(4465,4515,2.1398,0.049721),(4465,4525,2.14,0.12517),(4465,4535,2.0899,0.20061),(4465,4545,2.0398,0.2682),(4465,4555,1.9897,0.32694),(4465,4565,1.675,0.38568),(4465,4575,1.3246,0.35168),(4465,4585,0.97417,0.092908),(4465,4595,1.1279,-0.16586),(4465,4605,1.4946,-0.38353),(4465,4615,1.8613,-0.28129),(4465,4625,2.0392,-0.17904),(4465,4635,2.0462,-0.076803),(4465,4645,2.0532,0.002711),(4465,4655,2.0558,0.080662),(4465,4665,2.0501,0.15861),(4465,4675,2.0444,0.24993),(4465,4685,1.9939,0.34553),(4465,4695,1.7218,0.44113),(4465,4705,1.4496,0.39291),(4465,4715,1.1775,0.2402),(4465,4725,1.3017,0.087497),(4465,4735,1.4299,-0.019089),(4465,4745,1.5582,-0.056776),(4465,4755,1.6921,-0.094463),(4465,4765,1.8273,-0.10803),(4465,4775,1.9626,-0.037426),(4465,4785,2.0116,0.033177),(4465,4795,2.0107,0.10394),(4465,4805,2.0099,0.17815),(4465,4815,1.9471,0.25236),(4465,4825,1.8103,0.32658),(4465,4835,1.6735,0.3143),(4465,4845,1.532,0.28868),(4465,4855,1.3782,0.26305),(4465,4865,1.2244,0.14841),(4465,4875,1.1122,-0.006588),(4465,4885,1.3789,-0.16158),(4465,4895,1.6456,-0.1941),(4465,4905,1.9122,-0.1089),(4465,4915,1.936,-0.023702),(4465,4925,1.9388,0.058346),(4465,4935,1.9416,0.13404),(4465,4945,1.9339,0.20974),(4465,4955,1.9225,0.29003),(4465,4965,1.9111,0.39559),(4465,4975,1.7013,0.50115),(4465,4985,1.3383,0.60671),(4465,4995,0.9753,0.38285),(4465,5005,0.86042,0.15064),(4465,5015,1.14,-0.081579),(4465,5025,1.4196,-0.12009),(4465,5035,1.6596,-0.10928),(4465,5045,1.7486,-0.098463),(4465,5055,1.8376,-0.049912),(4465,5065,1.9238,0.021886),(4465,5075,1.9193,0.093684),(4465,5085,1.9149,0.16856),(4465,5095,1.9104,0.24733),(4465,5105,1.7567,0.32611),(4465,5115,1.577,0.36841),(4465,5125,1.3973,0.30812),(4465,5135,1.3035,0.24783),(4465,5145,1.2514,0.18321),(4465,5155,1.1993,0.071418),(4465,5165,1.2835,-0.04037),(4465,5175,1.5067,-0.15216),(4465,5185,1.73,-0.094313),(4465,5195,1.8821,-0.018859),(4465,5205,1.8812,0.056595),(4465,5215,1.8803,0.12912),(4465,5225,1.8719,0.20055),(4465,5235,1.8177,0.27197),(4465,5245,1.7635,0.33692),(4465,5255,1.7093,0.39654),(4465,5265,1.3899,0.45617),(4465,5275,1.0595,0.40846),(4465,5285,0.72916,0.17902),(4465,5295,0.94453,-0.050429),(4465,5305,1.3119,-0.21959),(4465,5315,1.6792,-0.13677),(4465,5325,1.8228,-0.053944),(4465,5335,1.8196,0.02868),(4465,5345,1.8163,0.098176),(4465,5355,1.8074,0.16767),(4465,5365,1.7908,0.23717),(4465,5375,1.7741,0.32437),(4465,5385,1.6965,0.41503),(4465,5395,1.4337,0.50569),(4465,5405,1.1708,0.45617),(4465,5415,0.93979,0.33392),(4465,5425,1.1372,0.21167),(4465,5435,1.3346,0.1106),(4465,5445,1.532,0.03246),(4465,5455,1.6782,-0.04568),(4465,5465,1.8181,-0.091152),(4465,5475,1.9579,-0.061123),(4465,5485,1.9932,-0.031094),(4465,5495,1.9863,-0.002445),(4465,5505,1.9794,0.016432),(4465,5515,1.9738,0.035309),(4465,5525,1.9692,0.054186),(4465,5535,1.9647,0.067387),(4465,5545,1.9606,0.080262),(4465,5555,1.9574,0.093136),(4465,5565,1.9541,0.10342),(4465,5575,1.9509,0.11291),(4465,5585,1.9483,0.1224),(4465,5595,1.9457,0.13079),(4465,5605,1.943,0.1384),(4465,5615,1.9407,0.14602),(4465,5625,1.9384,0.15322),(4465,5635,1.936,0.15981),(4465,5645,1.9337,0.1664),(4465,5655,1.9315,0.17289),(4465,5665,1.9292,0.17904),(4465,5675,1.9269,0.18519),(4465,5685,1.9246,0.19134),(4465,5695,1.9223,0.19749),(4465,5705,1.9199,0.20363),(4465,5715,1.9175,0.20978),(4465,5725,1.915,0.21626),(4465,5735,1.9125,0.22279),(4465,5745,1.9097,0.22932),(4465,5755,1.907,0.2364),(4465,5765,1.9042,0.24371),(4465,5775,1.9011,0.25102),(4465,5785,1.898,0.259),(4465,5795,1.8949,0.26758),(4465,5805,1.8913,0.27617),(4465,5815,1.8877,0.28544),(4465,5825,1.8841,0.29601),(4465,5835,1.8798,0.30658),(4465,5845,1.8754,0.31768),(4465,5855,1.871,0.33145),(4465,5865,1.8658,0.34523),(4465,5875,1.8601,0.359),(4465,5885,1.8544,0.37818),(4465,5895,1.8478,0.39744),(4465,5905,1.8398,0.41671),(4465,5915,1.8317,0.44443),(4465,5925,1.8225,0.47417),(4465,5935,1.8093,0.50391),(4465,5945,1.7961,0.54813),(4465,5955,1.7825,0.60091),(4465,5965,1.7578,0.65368),(4465,5975,1.7332,0.73362),(4465,5985,1.7086,0.84669),(4465,5995,1.4282,0.95975),(4465,6005,1.1066,1.0116),(4465,6015,0.78497,0.89971),(4465,6025,0.83426,0.78784),(4465,6035,1.0556,0.68371),(4465,6045,1.2769,0.65417),(4465,6055,1.5629,0.62462),(4465,6065,1.9125,0.59507),(4465,6075,2.262,0.58566),(4465,6085,2.502,0.5781),(4465,6095,2.5162,0.57053),(4465,6105,2.5305,0.55032),(4465,6115,2.542,0.52561),(4465,6125,2.5377,0.50089),(4465,6135,2.5334,0.47822),(4465,6145,2.5291,0.45715),(4465,6155,2.5252,0.43608),(4465,6165,2.5214,0.41654),(4465,6175,2.5176,0.39948),(4465,6185,2.5144,0.38243),(4465,6195,2.5114,0.36596),(4465,6205,2.5084,0.3518),(4465,6215,2.5058,0.33763),(4465,6225,2.5035,0.32352),(4465,6235,2.5012,0.31132),(4465,6245,2.4991,0.29912),(4465,6255,2.4973,0.28692),(4465,6265,2.4954,0.27593),(4465,6275,2.4937,0.26515),(4465,6285,2.4923,0.25438),(4465,6295,2.4909,0.24433),(4465,6305,2.4895,0.23463),(4465,6315,2.4884,0.22494),(4465,6325,2.4873,0.21564),(4465,6335,2.4861,0.20676),(4465,6345,2.4852,0.19787),(4465,6355,2.4843,0.18919),(4465,6365,2.4834,0.18095),(4465,6375,2.4826,0.1727),(4465,6385,2.4819,0.16453),(4465,6395,2.4812,0.15682),(4465,6405,2.4806,0.14911),(4465,6415,2.48,0.14139),(4465,6425,2.4795,0.13399),(4465,6435,2.4789,0.12661),(4465,6445,2.4785,0.11923),(4465,6455,2.4781,0.1121),(4465,6465,2.4776,0.10504),(4465,6475,2.4773,0.097989),(4465,6485,2.477,0.091072),(4465,6495,2.4767,0.084247),(4465,6505,2.4765,0.077422),(4465,6515,2.4762,0.070638),(4465,6525,2.476,0.063912),(4465,6535,2.4759,0.057187),(4465,6545,2.4758,0.050501),(4465,6555,2.4756,0.043941),(4465,6565,2.4756,0.03738),(4465,6575,2.4755,0.030821),(4465,6585,2.4755,0.024281),(4465,6595,2.1056,0.01774),(4465,6605,1.3274,0.011199),(4465,6615,0.5492,0.01038),(4465,6625,0.002142,0.010297),(4465,6635,0.002142,0.010213),(4465,6645,0.002141,0.010164),(4465,6655,0.002141,0.01013),(4465,6665,0.002139,0.010095),(4465,6675,0.002138,0.010063),(4465,6685,0.002136,0.010033),(4465,6695,0.002133,0.010002),(4465,6705,0.00213,0.009973),(4465,6715,0.002128,0.009947),(4465,6725,0.002124,0.00992),(4465,6735,0.002121,0.009894),(4465,6745,0.002117,0.00987),(4465,6755,0.002114,0.009847),(4465,6765,0.00211,0.009823),(4465,6775,0.002106,0.009802),(4465,6785,0.002102,0.009781),(4465,6795,0.002098,0.00976),(4465,6805,0.002094,0.009741),(4465,6815,0.00209,0.009722),(4465,6825,0.002085,0.009704),(4465,6835,0.002081,0.009686),(4465,6845,0.002077,0.009669),(4465,6855,0.002073,0.009652),(4465,6865,0.002069,0.009636),(4465,6875,0.002065,0.009621),(4465,6885,0.002061,0.009605),(4465,6895,0.002057,0.00959),(4465,6905,0.002053,0.009576),(4465,6915,0.00205,0.009562),(4465,6925,0.002046,0.009548),(4465,6935,0.002042,0.009535),(4465,6945,0.002038,0.009522),(4465,6955,0.002035,0.009509),(4465,6965,0.002031,0.009496),(4465,6975,0.002028,0.009484),(4465,6985,0.002025,0.009472),(4475,5,3.6e-05,-0.32022),(4475,15,0.000107,-0.32026),(4475,25,0.000178,-0.3203),(4475,35,0.00025,-0.32034),(4475,45,0.000321,-0.32037),(4475,55,0.000393,-0.3204),(4475,65,0.000465,-0.32044),(4475,75,0.000537,-0.32047),(4475,85,0.00061,-0.32052),(4475,95,0.000682,-0.32057),(4475,105,0.000756,-0.32063),(4475,115,0.00083,-0.32069),(4475,125,0.000904,-0.32076),(4475,135,0.000978,-0.32083),(4475,145,0.001054,-0.32091),(4475,155,0.00113,-0.32098),(4475,165,0.001207,-0.32108),(4475,175,0.001283,-0.32118),(4475,185,0.001362,-0.32129),(4475,195,0.001441,-0.3214),(4475,205,0.00152,-0.32153),(4475,215,0.0016,-0.32167),(4475,225,0.001682,-0.3218),(4475,235,0.001765,-0.32194),(4475,245,0.001848,-0.3221),(4475,255,0.001931,-0.32227),(4475,265,0.002018,-0.32244),(4475,275,0.002106,-0.32261),(4475,285,0.002194,-0.3228),(4475,295,0.002282,-0.32298),(4475,305,0.002375,-0.32317),(4475,315,0.002469,-0.32336),(4475,325,0.002563,-0.32356),(4475,335,0.002657,-0.32377),(4475,345,0.002757,-0.32398),(4475,355,0.002858,-0.32418),(4475,365,0.002959,-0.32442),(4475,375,0.00306,-0.32467),(4475,385,0.003169,-0.32492),(4475,395,0.003279,-0.32516),(4475,405,0.003389,-0.32544),(4475,415,0.003498,-0.32572),(4475,425,0.003617,-0.32601),(4475,435,0.003737,-0.32629),(4475,445,0.003857,-0.32659),(4475,455,0.003976,-0.32689),(4475,465,0.004108,-0.32719),(4475,475,0.004239,-0.32749),(4475,485,0.004371,-0.32781),(4475,495,0.004503,-0.32813),(4475,505,0.004648,-0.32845),(4475,515,0.004794,-0.32878),(4475,525,0.00494,-0.32913),(4475,535,0.005087,-0.32949),(4475,545,0.00525,-0.32985),(4475,555,0.005413,-0.3302),(4475,565,0.005576,-0.3306),(4475,575,0.00574,-0.33099),(4475,585,0.005924,-0.33139),(4475,595,0.006108,-0.33179),(4475,605,0.006291,-0.33222),(4475,615,0.006478,-0.33264),(4475,625,0.006686,-0.33307),(4475,635,0.006894,-0.3335),(4475,645,0.007103,-0.33396),(4475,655,0.007316,-0.33442),(4475,665,0.007554,-0.33487),(4475,675,0.007792,-0.33533),(4475,685,0.008031,-0.33581),(4475,695,0.008276,-0.33629),(4475,705,0.008551,-0.33677),(4475,715,0.008826,-0.33726),(4475,725,0.0091,-0.33777),(4475,735,0.009386,-0.33828),(4475,745,0.009705,-0.33879),(4475,755,0.010025,-0.33931),(4475,765,0.010344,-0.33986),(4475,775,0.010679,-0.34041),(4475,785,0.011054,-0.34096),(4475,795,0.011429,-0.34152),(4475,805,0.011805,-0.34209),(4475,815,0.012202,-0.34267),(4475,825,0.012647,-0.34324),(4475,835,0.013092,-0.34382),(4475,845,0.013537,-0.34441),(4475,855,0.014014,-0.34501),(4475,865,0.014549,-0.3456),(4475,875,0.015083,-0.3462),(4475,885,0.015618,-0.34682),(4475,895,0.016198,-0.34744),(4475,905,0.016848,-0.34805),(4475,915,0.017499,-0.34868),(4475,925,0.018149,-0.3493),(4475,935,0.018866,-0.34993),(4475,945,0.019669,-0.35056),(4475,955,0.020473,-0.35118),(4475,965,0.021277,-0.35181),(4475,975,0.022178,-0.35243),(4475,985,0.023189,-0.35306),(4475,995,0.0242,-0.35369),(4475,1005,0.025211,-0.35432),(4475,1015,0.02637,-0.35496),(4475,1025,0.02767,-0.35559),(4475,1035,0.02897,-0.35623),(4475,1045,0.03027,-0.35687),(4475,1055,0.0318,-0.35751),(4475,1065,0.033519,-0.35815),(4475,1075,0.035237,-0.35879),(4475,1085,0.036955,-0.35943),(4475,1095,0.039046,-0.36007),(4475,1105,0.041396,-0.36071),(4475,1115,0.043746,-0.36136),(4475,1125,0.046097,-0.36202),(4475,1135,0.049083,-0.36267),(4475,1145,0.052444,-0.36332),(4475,1155,0.055806,-0.364),(4475,1165,0.059168,-0.36469),(4475,1175,0.063692,-0.36538),(4475,1185,0.068793,-0.36608),(4475,1195,0.073894,-0.36697),(4475,1205,0.078995,-0.36794),(4475,1215,0.086411,-0.36892),(4475,1225,0.094782,-0.3699),(4475,1235,0.10315,-0.3727),(4475,1245,0.11152,-0.37619),(4475,1255,0.12501,-0.37968),(4475,1265,0.14022,-0.38316),(4475,1275,0.15544,-0.39796),(4475,1285,0.17065,-0.41619),(4475,1295,0.19861,-0.43441),(4475,1305,0.23003,-0.45264),(4475,1315,0.26145,-0.49485),(4475,1325,0.29286,-0.5428),(4475,1335,0.16501,-0.59075),(4475,1345,0.00378,-0.6387),(4475,1355,-0.15745,-0.60686),(4475,1365,-0.31868,-0.56056),(4475,1375,-0.31305,-0.51426),(4475,1385,-0.28167,-0.46796),(4475,1395,-0.2503,-0.44438),(4475,1405,-0.21892,-0.42371),(4475,1415,-0.20219,-0.40305),(4475,1425,-0.18699,-0.38239),(4475,1435,-0.17178,-0.37898),(4475,1445,-0.15657,-0.37697),(4475,1455,-0.14784,-0.37495),(4475,1465,-0.13948,-0.37293),(4475,1475,-0.13113,-0.37276),(4475,1485,-0.12277,-0.37266),(4475,1495,-0.11765,-0.37255),(4475,1505,-0.11257,-0.37245),(4475,1515,-0.1075,-0.37199),(4475,1525,-0.10247,-0.37152),(4475,1535,-0.099151,-0.37106),(4475,1545,-0.095831,-0.37059),(4475,1555,-0.092512,-0.36994),(4475,1565,-0.089258,-0.3693),(4475,1575,-0.086958,-0.36866),(4475,1585,-0.084659,-0.36801),(4475,1595,-0.082359,-0.36736),(4475,1605,-0.080126,-0.3667),(4475,1615,-0.078462,-0.36604),(4475,1625,-0.076799,-0.36539),(4475,1635,-0.075135,-0.36476),(4475,1645,-0.073531,-0.36412),(4475,1655,-0.072284,-0.36349),(4475,1665,-0.071037,-0.36286),(4475,1675,-0.06979,-0.36225),(4475,1685,-0.068596,-0.36165),(4475,1695,-0.067632,-0.36104),(4475,1705,-0.066669,-0.36044),(4475,1715,-0.065706,-0.35987),(4475,1725,-0.064786,-0.35929),(4475,1735,-0.06402,-0.35872),(4475,1745,-0.063254,-0.35816),(4475,1755,-0.062488,-0.35764),(4475,1765,-0.061757,-0.35712),(4475,1775,-0.061129,-0.3566),(4475,1785,-0.0605,-0.35609),(4475,1795,-0.059871,-0.35564),(4475,1805,-0.059271,-0.35519),(4475,1815,-0.058736,-0.35473),(4475,1825,-0.058201,-0.3543),(4475,1835,-0.057666,-0.35393),(4475,1845,-0.057152,-0.35356),(4475,1855,-0.056677,-0.35318),(4475,1865,-0.056202,-0.35284),(4475,1875,-0.055727,-0.35256),(4475,1885,-0.055264,-0.35228),(4475,1895,-0.054821,-0.35199),(4475,1905,-0.054377,-0.35175),(4475,1915,-0.053934,-0.35156),(4475,1925,-0.053493,-0.35138),(4475,1935,-0.053056,-0.35119),(4475,1945,-0.052619,-0.35105),(4475,1955,-0.052181,-0.35097),(4475,1965,-0.051736,-0.35088),(4475,1975,-0.051281,-0.3508),(4475,1985,-0.050827,-0.35077),(4475,1995,-0.050372,-0.3508),(4475,2005,-0.049897,-0.35083),(4475,2015,-0.049402,-0.35086),(4475,2025,-0.048907,-0.35096),(4475,2035,-0.048412,-0.35111),(4475,2045,-0.047883,-0.35127),(4475,2055,-0.047325,-0.35143),(4475,2065,-0.046767,-0.35167),(4475,2075,-0.046208,-0.35197),(4475,2085,-0.045599,-0.35228),(4475,2095,-0.044954,-0.35258),(4475,2105,-0.044309,-0.35298),(4475,2115,-0.043663,-0.35345),(4475,2125,-0.042949,-0.35392),(4475,2135,-0.042191,-0.35439),(4475,2145,-0.041434,-0.35499),(4475,2155,-0.040677,-0.35566),(4475,2165,-0.039828,-0.35633),(4475,2175,-0.038931,-0.357),(4475,2185,-0.038034,-0.35782),(4475,2195,-0.037138,-0.35871),(4475,2205,-0.036122,-0.3596),(4475,2215,-0.035056,-0.36049),(4475,2225,-0.033989,-0.36154),(4475,2235,-0.032922,-0.36266),(4475,2245,-0.031704,-0.36378),(4475,2255,-0.030433,-0.36489),(4475,2265,-0.029161,-0.36619),(4475,2275,-0.027889,-0.36753),(4475,2285,-0.026428,-0.36888),(4475,2295,-0.024913,-0.37023),(4475,2305,-0.023397,-0.37175),(4475,2315,-0.021882,-0.37332),(4475,2325,-0.020132,-0.37489),(4475,2335,-0.018329,-0.37646),(4475,2345,-0.016527,-0.37821),(4475,2355,-0.014724,-0.37998),(4475,2365,-0.012635,-0.38176),(4475,2375,-0.010497,-0.38354),(4475,2385,-0.008359,-0.38549),(4475,2395,-0.006221,-0.38746),(4475,2405,-0.003736,-0.38943),(4475,2415,-0.001211,-0.3914),(4475,2425,0.001314,-0.39353),(4475,2435,0.00384,-0.39567),(4475,2445,0.006779,-0.39781),(4475,2455,0.009747,-0.39995),(4475,2465,0.012715,-0.40223),(4475,2475,0.015683,-0.40451),(4475,2485,0.019136,-0.40679),(4475,2495,0.022601,-0.40908),(4475,2505,0.026066,-0.41147),(4475,2515,0.02954,-0.41386),(4475,2525,0.033554,-0.41626),(4475,2535,0.037567,-0.41865),(4475,2545,0.041581,-0.4211),(4475,2555,0.045627,-0.42355),(4475,2565,0.050235,-0.42599),(4475,2575,0.054842,-0.42844),(4475,2585,0.059449,-0.43089),(4475,2595,0.064116,-0.43333),(4475,2605,0.069353,-0.43577),(4475,2615,0.074591,-0.43821),(4475,2625,0.079829,-0.44059),(4475,2635,0.085155,-0.44297),(4475,2645,0.091051,-0.44535),(4475,2655,0.096947,-0.44771),(4475,2665,0.10284,-0.44996),(4475,2675,0.10886,-0.45222),(4475,2685,0.11543,-0.45448),(4475,2695,0.122,-0.4567),(4475,2705,0.12857,-0.45877),(4475,2715,0.13529,-0.46085),(4475,2725,0.14254,-0.46293),(4475,2735,0.14979,-0.46496),(4475,2745,0.15704,-0.46681),(4475,2755,0.16446,-0.46866),(4475,2765,0.17238,-0.47052),(4475,2775,0.18031,-0.4723),(4475,2785,0.18823,-0.47389),(4475,2795,0.19634,-0.47548),(4475,2805,0.20491,-0.47707),(4475,2815,0.21349,-0.47856),(4475,2825,0.22206,-0.47985),(4475,2835,0.23083,-0.48113),(4475,2845,0.24001,-0.48242),(4475,2855,0.2492,-0.48359),(4475,2865,0.25838,-0.48454),(4475,2875,0.26777,-0.48549),(4475,2885,0.27752,-0.48644),(4475,2895,0.28726,-0.48725),(4475,2905,0.29701,-0.48785),(4475,2915,0.30695,-0.48844),(4475,2925,0.3172,-0.48903),(4475,2935,0.32744,-0.48946),(4475,2945,0.33768,-0.48967),(4475,2955,0.34812,-0.48989),(4475,2965,0.35879,-0.4901),(4475,2975,0.36945,-0.49013),(4475,2985,0.38012,-0.48996),(4475,2995,0.39096,-0.48978),(4475,3005,0.40197,-0.48961),(4475,3015,0.41297,-0.48923),(4475,3025,0.42398,-0.48866),(4475,3035,0.43512,-0.48809),(4475,3045,0.44638,-0.48752),(4475,3055,0.45763,-0.48673),(4475,3065,0.46888,-0.48577),(4475,3075,0.48022,-0.4848),(4475,3085,0.49161,-0.48383),(4475,3095,0.503,-0.48263),(4475,3105,0.51439,-0.48126),(4475,3115,0.52579,-0.4799),(4475,3125,0.5372,-0.47853),(4475,3135,0.5486,-0.47692),(4475,3145,0.56001,-0.47516),(4475,3155,0.57135,-0.4734),(4475,3165,0.58264,-0.47164),(4475,3175,0.59394,-0.46963),(4475,3185,0.60523,-0.46749),(4475,3195,0.61636,-0.46536),(4475,3205,0.6274,-0.46322),(4475,3215,0.63845,-0.46083),(4475,3225,0.6495,-0.45835),(4475,3235,0.66025,-0.45586),(4475,3245,0.6709,-0.45337),(4475,3255,0.68155,-0.45064),(4475,3265,0.6922,-0.44782),(4475,3275,0.70242,-0.445),(4475,3285,0.71251,-0.44219),(4475,3295,0.7226,-0.43913),(4475,3305,0.73269,-0.436),(4475,3315,0.7422,-0.43288),(4475,3325,0.75157,-0.42975),(4475,3335,0.76094,-0.42638),(4475,3345,0.77031,-0.42295),(4475,3355,0.77892,-0.41953),(4475,3365,0.78739,-0.4161),(4475,3375,0.79587,-0.41241),(4475,3385,0.80434,-0.40868),(4475,3395,0.81187,-0.40495),(4475,3405,0.81928,-0.40121),(4475,3415,0.82669,-0.39721),(4475,3425,0.83411,-0.39318),(4475,3435,0.84038,-0.38916),(4475,3445,0.84656,-0.38513),(4475,3455,0.85274,-0.38084),(4475,3465,0.85892,-0.37653),(4475,3475,0.86378,-0.37223),(4475,3485,0.86858,-0.36793),(4475,3495,0.87339,-0.36339),(4475,3505,0.87818,-0.35885),(4475,3515,0.88148,-0.35432),(4475,3525,0.88479,-0.34977),(4475,3535,0.88809,-0.34509),(4475,3545,0.89132,-0.3404),(4475,3555,0.89301,-0.33571),(4475,3565,0.89471,-0.33102),(4475,3575,0.89641,-0.3263),(4475,3585,0.89796,-0.32158),(4475,3595,0.89799,-0.31685),(4475,3605,0.89802,-0.31214),(4475,3615,0.89805,-0.30752),(4475,3625,0.89788,-0.30289),(4475,3635,0.89621,-0.29826),(4475,3645,0.89455,-0.29367),(4475,3655,0.89289,-0.28928),(4475,3665,0.89095,-0.28488),(4475,3675,0.88761,-0.28049),(4475,3685,0.88427,-0.27616),(4475,3695,0.88093,-0.27212),(4475,3705,0.87726,-0.26808),(4475,3715,0.87231,-0.26405),(4475,3725,0.86735,-0.26011),(4475,3735,0.8624,-0.25655),(4475,3745,0.85708,-0.25298),(4475,3755,0.85062,-0.24941),(4475,3765,0.84417,-0.246),(4475,3775,0.83771,-0.24302),(4475,3785,0.83089,-0.24004),(4475,3795,0.82311,-0.23707),(4475,3805,0.81534,-0.23431),(4475,3815,0.80756,-0.23206),(4475,3825,0.79946,-0.2298),(4475,3835,0.79065,-0.22755),(4475,3845,0.78184,-0.22562),(4475,3855,0.77304,-0.22434),(4475,3865,0.76404,-0.22305),(4475,3875,0.7547,-0.22176),(4475,3885,0.74536,-0.22107),(4475,3895,0.73602,-0.22136),(4475,3905,0.72687,-0.22165),(4475,3915,0.71801,-0.22193),(4475,3925,0.70914,-0.22341),(4475,3935,0.70028,-0.22652),(4475,3945,0.69269,-0.22963),(4475,3955,0.68673,-0.23275),(4475,3965,0.68076,-0.23814),(4475,3975,0.67479,-0.24621),(4475,3985,0.67342,-0.25429),(4475,3995,0.67704,-0.26236),(4475,4005,0.68066,-0.28447),(4475,4015,0.68428,-0.32064),(4475,4025,0.96394,-0.3568),(4475,4035,1.2706,-0.3634),(4475,4045,1.5773,-0.30769),(4475,4055,1.8371,-0.25198),(4475,4065,2.0798,-0.19493),(4475,4075,2.3225,-0.12987),(4475,4085,2.4214,-0.064802),(4475,4095,2.4046,0.000261),(4475,4105,2.3879,0.072914),(4475,4115,2.3316,0.14584),(4475,4125,2.2096,0.21876),(4475,4135,2.0877,0.21703),(4475,4145,1.9644,0.19511),(4475,4155,1.8355,0.17318),(4475,4165,1.7067,0.074754),(4475,4175,1.5842,-0.072815),(4475,4185,1.7819,-0.22038),(4475,4195,1.9795,-0.26924),(4475,4205,2.1771,-0.18762),(4475,4215,2.2132,-0.10601),(4475,4225,2.219,-0.026026),(4475,4235,2.2248,0.049107),(4475,4245,2.2117,0.12424),(4475,4255,2.1891,0.201),(4475,4265,2.1665,0.29807),(4475,4275,2.0243,0.39514),(4475,4285,1.7552,0.49221),(4475,4295,1.4861,0.29967),(4475,4305,1.3693,0.073542),(4475,4315,1.5966,-0.15259),(4475,4325,1.8239,-0.18481),(4475,4335,2.0271,-0.14081),(4475,4345,2.0663,-0.09681),(4475,4355,2.1056,-0.039002),(4475,4365,2.1449,0.030585),(4475,4375,2.136,0.10017),(4475,4385,2.1246,0.17351),(4475,4395,2.1132,0.25348),(4475,4405,1.9767,0.33345),(4475,4415,1.8034,0.3818),(4475,4425,1.63,0.28914),(4475,4435,1.5513,0.19647),(4475,4445,1.5373,0.10375),(4475,4455,1.5233,0.002331),(4475,4465,1.584,-0.099092),(4475,4475,1.7498,-0.20051),(4475,4485,1.9156,-0.15741),(4475,4495,2.0435,-0.084009),(4475,4505,2.0501,-0.010608),(4475,4515,2.0567,0.060254),(4475,4525,2.0602,0.12974),(4475,4535,2.0154,0.19923),(4475,4545,1.9706,0.26048),(4475,4555,1.9257,0.31247),(4475,4565,1.7012,0.36445),(4475,4575,1.4524,0.33642),(4475,4585,1.2036,0.11443),(4475,4595,1.306,-0.10755),(4475,4605,1.5568,-0.29496),(4475,4615,1.8076,-0.21331),(4475,4625,1.9346,-0.13166),(4475,4635,1.9497,-0.050011),(4475,4645,1.9648,0.019353),(4475,4655,1.9707,0.087872),(4475,4665,1.9592,0.15639),(4475,4675,1.9477,0.2333),(4475,4685,1.9057,0.3129),(4475,4695,1.7134,0.3925),(4475,4705,1.521,0.35047),(4475,4715,1.3287,0.22006),(4475,4725,1.4171,0.089649),(4475,4735,1.5084,-0.001208),(4475,4745,1.5997,-0.032979),(4475,4755,1.6986,-0.064751),(4475,4765,1.7992,-0.075288),(4475,4775,1.8998,-0.011732),(4475,4785,1.9354,0.051823),(4475,4795,1.9334,0.11554),(4475,4805,1.9314,0.18267),(4475,4815,1.8826,0.2498),(4475,4825,1.7778,0.31693),(4475,4835,1.6729,0.30826),(4475,4845,1.566,0.2879),(4475,4855,1.4535,0.26754),(4475,4865,1.341,0.16879),(4475,4875,1.2584,0.034506),(4475,4885,1.4481,-0.099775),(4475,4895,1.6377,-0.12932),(4475,4905,1.8273,-0.058203),(4475,4915,1.8479,0.012914),(4475,4925,1.8539,0.082733),(4475,4935,1.86,0.14994),(4475,4945,1.8458,0.21715),(4475,4955,1.8246,0.28724),(4475,4965,1.8034,0.37327),(4475,4975,1.6505,0.45931),(4475,4985,1.3959,0.54534),(4475,4995,1.1413,0.35183),(4475,5005,1.0629,0.15123),(4475,5015,1.2646,-0.049377),(4475,5025,1.4663,-0.082686),(4475,5035,1.6406,-0.073389),(4475,5045,1.7101,-0.064091),(4475,5055,1.7796,-0.020353),(4475,5065,1.8469,0.044603),(4475,5075,1.8402,0.10956),(4475,5085,1.8334,0.17667),(4475,5095,1.8267,0.24651),(4475,5105,1.7107,0.31635),(4475,5115,1.5756,0.35438),(4475,5125,1.4405,0.30294),(4475,5135,1.3723,0.2515),(4475,5145,1.3366,0.19628),(4475,5155,1.3008,0.099879),(4475,5165,1.3636,0.003476),(4475,5175,1.5268,-0.092927),(4475,5185,1.69,-0.041821),(4475,5195,1.8017,0.024597),(4475,5205,1.8022,0.091014),(4475,5215,1.8027,0.15723),(4475,5225,1.7962,0.22338),(4475,5235,1.7457,0.28953),(4475,5245,1.6952,0.34798),(4475,5255,1.6447,0.40011),(4475,5265,1.4141,0.45224),(4475,5275,1.176,0.4099),(4475,5285,0.93786,0.20758),(4475,5295,1.0951,0.005255),(4475,5305,1.3623,-0.14492),(4475,5315,1.6296,-0.077167),(4475,5325,1.7362,-0.009409),(4475,5335,1.7375,0.058237),(4475,5345,1.7387,0.1185),(4475,5355,1.7294,0.17876),(4475,5365,1.7057,0.23902),(4475,5375,1.6821,0.30921),(4475,5385,1.6162,0.38134),(4475,5395,1.4214,0.45347),(4475,5405,1.2266,0.40055),(4475,5415,1.058,0.28274),(4475,5425,1.2415,0.16494),(4475,5435,1.4249,0.07298),(4475,5445,1.6084,0.008997),(4475,5455,1.722,-0.054986),(4475,5465,1.8271,-0.091026),(4475,5475,1.9323,-0.062484),(4475,5485,1.9601,-0.033942),(4475,5495,1.9567,-0.00664),(4475,5505,1.9534,0.011876),(4475,5515,1.9505,0.030393),(4475,5525,1.9478,0.048909),(4475,5535,1.9452,0.062228),(4475,5545,1.9428,0.075248),(4475,5555,1.9406,0.088268),(4475,5565,1.9384,0.098883),(4475,5575,1.9362,0.10877),(4475,5585,1.9342,0.11866),(4475,5595,1.9322,0.12752),(4475,5605,1.9302,0.13566),(4475,5615,1.9281,0.14381),(4475,5625,1.9261,0.15157),(4475,5635,1.9241,0.15878),(4475,5645,1.922,0.16599),(4475,5655,1.9199,0.17311),(4475,5665,1.9178,0.17995),(4475,5675,1.9156,0.18679),(4475,5685,1.9133,0.19363),(4475,5695,1.911,0.20054),(4475,5705,1.9086,0.20744),(4475,5715,1.906,0.21435),(4475,5725,1.9034,0.22167),(4475,5735,1.9007,0.22905),(4475,5745,1.8978,0.23643),(4475,5755,1.8948,0.24445),(4475,5765,1.8918,0.25273),(4475,5775,1.8883,0.26102),(4475,5785,1.8849,0.27005),(4475,5795,1.8814,0.27978),(4475,5805,1.8772,0.2895),(4475,5815,1.873,0.29998),(4475,5825,1.8687,0.31192),(4475,5835,1.8636,0.32385),(4475,5845,1.8583,0.33636),(4475,5855,1.8529,0.35178),(4475,5865,1.8463,0.3672),(4475,5875,1.839,0.38262),(4475,5885,1.8316,0.40374),(4475,5895,1.8227,0.42495),(4475,5905,1.8114,0.44615),(4475,5915,1.8001,0.47572),(4475,5925,1.7869,0.50728),(4475,5935,1.7664,0.53885),(4475,5945,1.746,0.58325),(4475,5955,1.7246,0.63525),(4475,5965,1.6807,0.68724),(4475,5975,1.6367,0.75955),(4475,5985,1.5927,0.85665),(4475,5995,1.3718,0.95375),(4475,6005,1.1225,0.99713),(4475,6015,0.8732,0.89689),(4475,6025,0.92601,0.79665),(4475,6035,1.1189,0.70091),(4475,6045,1.3119,0.64843),(4475,6055,1.5807,0.59596),(4475,6065,1.924,0.54349),(4475,6075,2.2673,0.53171),(4475,6085,2.505,0.52367),(4475,6095,2.5249,0.51563),(4475,6105,2.5448,0.49846),(4475,6115,2.5609,0.47804),(4475,6125,2.5555,0.45761),(4475,6135,2.55,0.43859),(4475,6145,2.5446,0.42068),(4475,6155,2.5395,0.40277),(4475,6165,2.5344,0.38601),(4475,6175,2.5293,0.37114),(4475,6185,2.5251,0.35627),(4475,6195,2.5212,0.34187),(4475,6205,2.5174,0.32927),(4475,6215,2.514,0.31667),(4475,6225,2.5111,0.30411),(4475,6235,2.5081,0.29308),(4475,6245,2.5055,0.28205),(4475,6255,2.5032,0.27101),(4475,6265,2.501,0.26096),(4475,6275,2.4988,0.25108),(4475,6285,2.4971,0.24121),(4475,6295,2.4953,0.23193),(4475,6305,2.4936,0.22294),(4475,6315,2.4922,0.21396),(4475,6325,2.4909,0.20531),(4475,6335,2.4895,0.197),(4475,6345,2.4884,0.18869),(4475,6355,2.4873,0.18055),(4475,6365,2.4862,0.1728),(4475,6375,2.4853,0.16504),(4475,6385,2.4844,0.15735),(4475,6395,2.4836,0.15006),(4475,6405,2.4828,0.14276),(4475,6415,2.4821,0.13547),(4475,6425,2.4815,0.12844),(4475,6435,2.4808,0.12142),(4475,6445,2.4803,0.1144),(4475,6455,2.4798,0.10761),(4475,6465,2.4793,0.10089),(4475,6475,2.4789,0.09417),(4475,6485,2.4785,0.087572),(4475,6495,2.4781,0.081056),(4475,6505,2.4778,0.074541),(4475,6515,2.4776,0.068059),(4475,6525,2.4773,0.061625),(4475,6535,2.4771,0.05519),(4475,6545,2.477,0.048792),(4475,6555,2.4768,0.042513),(4475,6565,2.4767,0.036233),(4475,6575,2.4767,0.029954),(4475,6585,2.4766,0.023687),(4475,6595,2.1066,0.017421),(4475,6605,1.328,0.011154),(4475,6615,0.54947,0.010369),(4475,6625,0.002176,0.010289),(4475,6635,0.002174,0.010209),(4475,6645,0.002172,0.010161),(4475,6655,0.002171,0.010126),(4475,6665,0.002168,0.010091),(4475,6675,0.002164,0.010059),(4475,6685,0.002161,0.010028),(4475,6695,0.002157,0.009998),(4475,6705,0.002153,0.009968),(4475,6715,0.002149,0.009942),(4475,6725,0.002145,0.009915),(4475,6735,0.002141,0.009889),(4475,6745,0.002136,0.009865),(4475,6755,0.002132,0.009842),(4475,6765,0.002127,0.009818),(4475,6775,0.002122,0.009797),(4475,6785,0.002118,0.009776),(4475,6795,0.002113,0.009755),(4475,6805,0.002108,0.009736),(4475,6815,0.002103,0.009717),(4475,6825,0.002099,0.009699),(4475,6835,0.002094,0.009681),(4475,6845,0.002089,0.009664),(4475,6855,0.002085,0.009647),(4475,6865,0.00208,0.009631),(4475,6875,0.002076,0.009616),(4475,6885,0.002071,0.0096),(4475,6895,0.002067,0.009585),(4475,6905,0.002063,0.009571),(4475,6915,0.002059,0.009557),(4475,6925,0.002055,0.009543),(4475,6935,0.002051,0.009531),(4475,6945,0.002047,0.009518),(4475,6955,0.002043,0.009505),(4475,6965,0.002039,0.009493),(4475,6975,0.002036,0.009481),(4475,6985,0.002032,0.009469),(4485,5,3.5e-05,-0.6001),(4485,15,0.000105,-0.60017),(4485,25,0.000176,-0.60024),(4485,35,0.000246,-0.60031),(4485,45,0.000316,-0.60037),(4485,55,0.000387,-0.60043),(4485,65,0.000457,-0.6005),(4485,75,0.000528,-0.60056),(4485,85,0.000599,-0.60064),(4485,95,0.000669,-0.60075),(4485,105,0.000741,-0.60085),(4485,115,0.000813,-0.60096),(4485,125,0.000885,-0.60109),(4485,135,0.000957,-0.60122),(4485,145,0.00103,-0.60136),(4485,155,0.001105,-0.6015),(4485,165,0.00118,-0.60168),(4485,175,0.001255,-0.60187),(4485,185,0.001333,-0.60207),(4485,195,0.001412,-0.60227),(4485,205,0.001491,-0.6025),(4485,215,0.00157,-0.60276),(4485,225,0.001653,-0.60301),(4485,235,0.001737,-0.60327),(4485,245,0.001821,-0.60357),(4485,255,0.001905,-0.60388),(4485,265,0.001992,-0.60419),(4485,275,0.002081,-0.60451),(4485,285,0.00217,-0.60485),(4485,295,0.002258,-0.60519),(4485,305,0.00235,-0.60554),(4485,315,0.002443,-0.60588),(4485,325,0.002536,-0.60626),(4485,335,0.002629,-0.60664),(4485,345,0.002728,-0.60702),(4485,355,0.002828,-0.6074),(4485,365,0.002929,-0.60784),(4485,375,0.003029,-0.6083),(4485,385,0.003138,-0.60875),(4485,395,0.003249,-0.60921),(4485,405,0.003359,-0.60972),(4485,415,0.003469,-0.61024),(4485,425,0.003589,-0.61076),(4485,435,0.003708,-0.61128),(4485,445,0.003828,-0.61182),(4485,455,0.003948,-0.61237),(4485,465,0.004078,-0.61292),(4485,475,0.004208,-0.61347),(4485,485,0.004337,-0.61406),(4485,495,0.004467,-0.61466),(4485,505,0.00461,-0.61525),(4485,515,0.004752,-0.61584),(4485,525,0.004895,-0.61649),(4485,535,0.005039,-0.61714),(4485,545,0.005199,-0.61779),(4485,555,0.00536,-0.61845),(4485,565,0.00552,-0.61917),(4485,575,0.005682,-0.61989),(4485,585,0.005864,-0.62061),(4485,595,0.006046,-0.62134),(4485,605,0.006228,-0.62212),(4485,615,0.006413,-0.6229),(4485,625,0.00662,-0.62367),(4485,635,0.006826,-0.62446),(4485,645,0.007033,-0.62529),(4485,655,0.007244,-0.62611),(4485,665,0.00748,-0.62694),(4485,675,0.007715,-0.62778),(4485,685,0.007951,-0.62864),(4485,695,0.008193,-0.62951),(4485,705,0.008465,-0.63037),(4485,715,0.008736,-0.63125),(4485,725,0.009007,-0.63216),(4485,735,0.009289,-0.63308),(4485,745,0.009606,-0.63399),(4485,755,0.009923,-0.63492),(4485,765,0.01024,-0.63591),(4485,775,0.010573,-0.63689),(4485,785,0.010946,-0.63787),(4485,795,0.01132,-0.63886),(4485,805,0.011693,-0.63987),(4485,815,0.012089,-0.64088),(4485,825,0.012532,-0.6419),(4485,835,0.012975,-0.64291),(4485,845,0.013418,-0.64394),(4485,855,0.013893,-0.64497),(4485,865,0.014426,-0.646),(4485,875,0.014959,-0.64704),(4485,885,0.015492,-0.64809),(4485,895,0.01607,-0.64915),(4485,905,0.016719,-0.6502),(4485,915,0.017368,-0.65125),(4485,925,0.018018,-0.65228),(4485,935,0.018733,-0.65332),(4485,945,0.019536,-0.65435),(4485,955,0.020339,-0.65537),(4485,965,0.021142,-0.65635),(4485,975,0.022044,-0.65734),(4485,985,0.023058,-0.65832),(4485,995,0.024072,-0.65928),(4485,1005,0.025085,-0.66021),(4485,1015,0.02625,-0.66114),(4485,1025,0.027561,-0.66206),(4485,1035,0.028872,-0.66293),(4485,1045,0.030182,-0.66375),(4485,1055,0.03173,-0.66457),(4485,1065,0.033472,-0.66538),(4485,1075,0.035214,-0.66609),(4485,1085,0.036956,-0.66671),(4485,1095,0.039085,-0.66733),(4485,1105,0.041483,-0.66795),(4485,1115,0.043882,-0.66836),(4485,1125,0.04628,-0.66863),(4485,1135,0.049346,-0.6689),(4485,1145,0.052805,-0.66917),(4485,1155,0.056265,-0.66901),(4485,1165,0.059724,-0.66862),(4485,1175,0.064443,-0.66823),(4485,1185,0.069787,-0.66784),(4485,1195,0.07513,-0.66667),(4485,1205,0.080474,-0.66516),(4485,1215,0.088581,-0.66365),(4485,1225,0.097829,-0.66214),(4485,1235,0.10708,-0.661),(4485,1245,0.11632,-0.65999),(4485,1255,0.13278,-0.65898),(4485,1265,0.15168,-0.65797),(4485,1275,0.17057,-0.66884),(4485,1285,0.18946,-0.68332),(4485,1295,0.22531,-0.6978),(4485,1305,0.26575,-0.71228),(4485,1315,0.30618,-0.73956),(4485,1325,0.34662,-0.76991),(4485,1335,0.19746,-0.80026),(4485,1345,0.008574,-0.83061),(4485,1355,-0.18031,-0.81216),(4485,1365,-0.3692,-0.78485),(4485,1375,-0.35998,-0.75755),(4485,1385,-0.32019,-0.73024),(4485,1395,-0.2804,-0.71026),(4485,1405,-0.24061,-0.69121),(4485,1415,-0.21916,-0.67217),(4485,1425,-0.19961,-0.65312),(4485,1435,-0.18006,-0.6552),(4485,1445,-0.16051,-0.65897),(4485,1455,-0.15078,-0.66274),(4485,1465,-0.14162,-0.66651),(4485,1475,-0.13245,-0.66969),(4485,1485,-0.12328,-0.67285),(4485,1495,-0.118,-0.676),(4485,1505,-0.11277,-0.67914),(4485,1515,-0.10755,-0.67996),(4485,1525,-0.10237,-0.68078),(4485,1535,-0.098979,-0.6816),(4485,1545,-0.095591,-0.68237),(4485,1555,-0.092203,-0.68211),(4485,1565,-0.088882,-0.68186),(4485,1575,-0.086539,-0.6816),(4485,1585,-0.084196,-0.68131),(4485,1595,-0.081853,-0.68066),(4485,1605,-0.079578,-0.68001),(4485,1615,-0.077891,-0.67936),(4485,1625,-0.076204,-0.67869),(4485,1635,-0.074516,-0.67788),(4485,1645,-0.07289,-0.67707),(4485,1655,-0.071632,-0.67626),(4485,1665,-0.070375,-0.67544),(4485,1675,-0.069117,-0.67456),(4485,1685,-0.067912,-0.67368),(4485,1695,-0.066944,-0.6728),(4485,1705,-0.065977,-0.67192),(4485,1715,-0.065009,-0.67103),(4485,1725,-0.064086,-0.67014),(4485,1735,-0.063319,-0.66925),(4485,1745,-0.062552,-0.66836),(4485,1755,-0.061785,-0.66751),(4485,1765,-0.061055,-0.66666),(4485,1775,-0.060427,-0.66581),(4485,1785,-0.059799,-0.66498),(4485,1795,-0.059171,-0.66422),(4485,1805,-0.058571,-0.66345),(4485,1815,-0.058038,-0.66269),(4485,1825,-0.057504,-0.66196),(4485,1835,-0.05697,-0.66132),(4485,1845,-0.056457,-0.66068),(4485,1855,-0.055982,-0.66003),(4485,1865,-0.055508,-0.65944),(4485,1875,-0.055034,-0.65894),(4485,1885,-0.054571,-0.65844),(4485,1895,-0.054127,-0.65794),(4485,1905,-0.053684,-0.6575),(4485,1915,-0.05324,-0.65716),(4485,1925,-0.052799,-0.65681),(4485,1935,-0.052361,-0.65647),(4485,1945,-0.051923,-0.6562),(4485,1955,-0.051485,-0.65603),(4485,1965,-0.051039,-0.65586),(4485,1975,-0.050583,-0.65569),(4485,1985,-0.050128,-0.65561),(4485,1995,-0.049672,-0.65562),(4485,2005,-0.049197,-0.65563),(4485,2015,-0.048701,-0.65564),(4485,2025,-0.048205,-0.65577),(4485,2035,-0.047709,-0.65599),(4485,2045,-0.047179,-0.65622),(4485,2055,-0.04662,-0.65645),(4485,2065,-0.046061,-0.65681),(4485,2075,-0.045502,-0.65728),(4485,2085,-0.044893,-0.65775),(4485,2095,-0.044248,-0.65822),(4485,2105,-0.043603,-0.65886),(4485,2115,-0.042958,-0.65961),(4485,2125,-0.042244,-0.66036),(4485,2135,-0.041488,-0.66111),(4485,2145,-0.040732,-0.66208),(4485,2155,-0.039976,-0.66317),(4485,2165,-0.039128,-0.66426),(4485,2175,-0.038232,-0.66535),(4485,2185,-0.037336,-0.66669),(4485,2195,-0.036441,-0.66815),(4485,2205,-0.035426,-0.66962),(4485,2215,-0.034361,-0.67108),(4485,2225,-0.033295,-0.67281),(4485,2235,-0.032229,-0.67466),(4485,2245,-0.031013,-0.6765),(4485,2255,-0.029743,-0.67835),(4485,2265,-0.028473,-0.68049),(4485,2275,-0.027203,-0.68272),(4485,2285,-0.025744,-0.68495),(4485,2295,-0.024232,-0.68718),(4485,2305,-0.022719,-0.68971),(4485,2315,-0.021207,-0.69231),(4485,2325,-0.019462,-0.69491),(4485,2335,-0.017665,-0.69751),(4485,2345,-0.015868,-0.7004),(4485,2355,-0.014071,-0.70334),(4485,2365,-0.011989,-0.70628),(4485,2375,-0.00986,-0.70922),(4485,2385,-0.007731,-0.71242),(4485,2395,-0.005602,-0.71567),(4485,2405,-0.00313,-0.71892),(4485,2415,-0.000617,-0.72216),(4485,2425,0.001896,-0.72565),(4485,2435,0.004409,-0.72916),(4485,2445,0.007331,-0.73266),(4485,2455,0.010282,-0.73617),(4485,2465,0.013233,-0.73988),(4485,2475,0.016184,-0.7436),(4485,2485,0.019615,-0.74732),(4485,2495,0.023058,-0.75103),(4485,2505,0.026501,-0.75489),(4485,2515,0.029952,-0.75875),(4485,2525,0.033937,-0.76261),(4485,2535,0.037923,-0.76646),(4485,2545,0.041908,-0.77036),(4485,2555,0.045925,-0.77426),(4485,2565,0.050496,-0.77816),(4485,2575,0.055066,-0.78205),(4485,2585,0.059637,-0.78588),(4485,2595,0.064267,-0.78972),(4485,2605,0.069459,-0.79355),(4485,2615,0.074652,-0.79736),(4485,2625,0.079845,-0.80102),(4485,2635,0.085124,-0.80468),(4485,2645,0.090965,-0.80834),(4485,2655,0.096806,-0.81196),(4485,2665,0.10265,-0.81536),(4485,2675,0.1086,-0.81875),(4485,2685,0.11511,-0.82214),(4485,2695,0.12161,-0.82547),(4485,2705,0.12812,-0.82851),(4485,2715,0.13477,-0.83155),(4485,2725,0.14194,-0.8346),(4485,2735,0.14911,-0.83754),(4485,2745,0.15629,-0.84017),(4485,2755,0.16363,-0.8428),(4485,2765,0.17146,-0.84543),(4485,2775,0.17929,-0.84793),(4485,2785,0.18712,-0.85009),(4485,2795,0.19514,-0.85225),(4485,2805,0.20361,-0.85442),(4485,2815,0.21208,-0.85642),(4485,2825,0.22055,-0.85807),(4485,2835,0.22922,-0.85972),(4485,2845,0.23829,-0.86137),(4485,2855,0.24736,-0.86282),(4485,2865,0.25643,-0.86393),(4485,2875,0.26571,-0.86503),(4485,2885,0.27533,-0.86613),(4485,2895,0.28495,-0.86701),(4485,2905,0.29457,-0.86755),(4485,2915,0.30439,-0.86808),(4485,2925,0.3145,-0.86861),(4485,2935,0.32461,-0.86889),(4485,2945,0.33472,-0.86884),(4485,2955,0.34502,-0.86878),(4485,2965,0.35555,-0.86873),(4485,2975,0.36608,-0.86839),(4485,2985,0.37661,-0.86774),(4485,2995,0.3873,-0.8671),(4485,3005,0.39816,-0.86645),(4485,3015,0.40902,-0.8655),(4485,3025,0.41989,-0.86426),(4485,3035,0.43088,-0.86301),(4485,3045,0.44198,-0.86177),(4485,3055,0.45309,-0.8602),(4485,3065,0.46419,-0.85837),(4485,3075,0.47537,-0.85653),(4485,3085,0.48661,-0.85469),(4485,3095,0.49784,-0.85251),(4485,3105,0.50908,-0.85008),(4485,3115,0.52033,-0.84765),(4485,3125,0.53158,-0.84522),(4485,3135,0.54283,-0.84243),(4485,3145,0.55408,-0.83942),(4485,3155,0.56526,-0.83641),(4485,3165,0.5764,-0.8334),(4485,3175,0.58755,-0.83001),(4485,3185,0.59869,-0.82645),(4485,3195,0.60966,-0.82289),(4485,3205,0.62055,-0.81932),(4485,3215,0.63145,-0.8154),(4485,3225,0.64234,-0.81133),(4485,3235,0.65295,-0.80726),(4485,3245,0.66345,-0.80319),(4485,3255,0.67395,-0.79877),(4485,3265,0.68445,-0.79424),(4485,3275,0.69453,-0.7897),(4485,3285,0.70448,-0.78516),(4485,3295,0.71443,-0.78028),(4485,3305,0.72438,-0.77531),(4485,3315,0.73375,-0.77034),(4485,3325,0.74298,-0.76537),(4485,3335,0.75221,-0.76004),(4485,3345,0.76145,-0.75463),(4485,3355,0.76993,-0.74923),(4485,3365,0.77827,-0.74382),(4485,3375,0.78662,-0.73804),(4485,3385,0.79496,-0.73219),(4485,3395,0.80237,-0.72634),(4485,3405,0.80966,-0.72049),(4485,3415,0.81695,-0.71425),(4485,3425,0.82423,-0.70796),(4485,3435,0.8304,-0.70168),(4485,3445,0.83647,-0.69539),(4485,3455,0.84254,-0.68871),(4485,3465,0.84861,-0.68201),(4485,3475,0.85337,-0.67531),(4485,3485,0.85808,-0.66862),(4485,3495,0.86279,-0.66157),(4485,3505,0.8675,-0.65452),(4485,3515,0.87073,-0.64747),(4485,3525,0.87396,-0.64042),(4485,3535,0.87719,-0.63316),(4485,3545,0.88035,-0.62589),(4485,3555,0.882,-0.61863),(4485,3565,0.88366,-0.61137),(4485,3575,0.88531,-0.60408),(4485,3585,0.88683,-0.59679),(4485,3595,0.88685,-0.5895),(4485,3605,0.88687,-0.58223),(4485,3615,0.88689,-0.57513),(4485,3625,0.8867,-0.56803),(4485,3635,0.88506,-0.56092),(4485,3645,0.88342,-0.55388),(4485,3655,0.88178,-0.54719),(4485,3665,0.87987,-0.54049),(4485,3675,0.87658,-0.53379),(4485,3685,0.87329,-0.52721),(4485,3695,0.87001,-0.52111),(4485,3705,0.8664,-0.51501),(4485,3715,0.86153,-0.50891),(4485,3725,0.85667,-0.50298),(4485,3735,0.8518,-0.49765),(4485,3745,0.84658,-0.49232),(4485,3755,0.84025,-0.48699),(4485,3765,0.83393,-0.4819),(4485,3775,0.8276,-0.4775),(4485,3785,0.82091,-0.4731),(4485,3795,0.81332,-0.4687),(4485,3805,0.80572,-0.46462),(4485,3815,0.79813,-0.46128),(4485,3825,0.79023,-0.45795),(4485,3835,0.78168,-0.45462),(4485,3845,0.77314,-0.45173),(4485,3855,0.7646,-0.44969),(4485,3865,0.75594,-0.44765),(4485,3875,0.74706,-0.44561),(4485,3885,0.73818,-0.44426),(4485,3895,0.72929,-0.44403),(4485,3905,0.72078,-0.44381),(4485,3915,0.71282,-0.44358),(4485,3925,0.70485,-0.44434),(4485,3935,0.69689,-0.44643),(4485,3945,0.69068,-0.44852),(4485,3955,0.68669,-0.45062),(4485,3965,0.6827,-0.45277),(4485,3975,0.67871,-0.45501),(4485,3985,0.68269,-0.45724),(4485,3995,0.69528,-0.45947),(4485,4005,0.70787,-0.47371),(4485,4015,0.72046,-0.49996),(4485,4025,0.97594,-0.52621),(4485,4035,1.2552,-0.52016),(4485,4045,1.5344,-0.44601),(4485,4055,1.7836,-0.37186),(4485,4065,2.0219,-0.29749),(4485,4075,2.2602,-0.22187),(4485,4085,2.3549,-0.14625),(4485,4095,2.3342,-0.070624),(4485,4105,2.3136,0.002051),(4485,4115,2.2665,0.074621),(4485,4125,2.1756,0.14719),(4485,4135,2.0847,0.15212),(4485,4145,1.9946,0.13875),(4485,4155,1.9075,0.12538),(4485,4165,1.8205,0.046164),(4485,4175,1.7375,-0.07534),(4485,4185,1.8577,-0.19684),(4485,4195,1.9778,-0.23709),(4485,4205,2.098,-0.16995),(4485,4215,2.1243,-0.10281),(4485,4225,2.1329,-0.035709),(4485,4235,2.1415,0.03125),(4485,4245,2.1236,0.098208),(4485,4255,2.0923,0.16577),(4485,4265,2.061,0.24087),(4485,4275,1.9676,0.31597),(4485,4285,1.8083,0.39107),(4485,4295,1.649,0.23237),(4485,4305,1.5805,0.046533),(4485,4315,1.7167,-0.1393),(4485,4325,1.8529,-0.16464),(4485,4335,1.9757,-0.1269),(4485,4345,2.0069,-0.089157),(4485,4355,2.0381,-0.037565),(4485,4365,2.0693,0.025844),(4485,4375,2.0562,0.089253),(4485,4385,2.0408,0.1543),(4485,4395,2.0253,0.22223),(4485,4405,1.9328,0.29017),(4485,4415,1.8175,0.33168),(4485,4425,1.7023,0.25539),(4485,4435,1.6488,0.17909),(4485,4445,1.6375,0.10276),(4485,4455,1.6262,0.017699),(4485,4465,1.6642,-0.067357),(4485,4475,1.7712,-0.15241),(4485,4485,1.8783,-0.11598),(4485,4495,1.9619,-0.054073),(4485,4505,1.9705,0.007831),(4485,4515,1.979,0.070787),(4485,4525,1.9847,0.13431),(4485,4535,1.9453,0.19784),(4485,4545,1.906,0.25276),(4485,4555,1.8666,0.29799),(4485,4565,1.7236,0.34323),(4485,4575,1.5666,0.32115),(4485,4585,1.4097,0.13596),(4485,4595,1.4669,-0.049242),(4485,4605,1.6147,-0.2064),(4485,4615,1.7624,-0.14534),(4485,4625,1.8435,-0.084279),(4485,4635,1.8641,-0.023219),(4485,4645,1.8848,0.035995),(4485,4655,1.8928,0.095082),(4485,4665,1.877,0.15417),(4485,4675,1.8612,0.21668),(4485,4685,1.8276,0.28028),(4485,4695,1.7064,0.34388),(4485,4705,1.5851,0.30803),(4485,4715,1.4639,0.19991),(4485,4725,1.5202,0.091801),(4485,4735,1.5783,0.016672),(4485,4745,1.6364,-0.009183),(4485,4755,1.7032,-0.035038),(4485,4765,1.7721,-0.042546),(4485,4775,1.8409,0.013962),(4485,4785,1.8642,0.07047),(4485,4795,1.8611,0.12714),(4485,4805,1.858,0.18719),(4485,4815,1.8219,0.24724),(4485,4825,1.7463,0.30729),(4485,4835,1.6707,0.30223),(4485,4845,1.5953,0.28713),(4485,4855,1.5206,0.27203),(4485,4865,1.446,0.18917),(4485,4875,1.3906,0.0756),(4485,4885,1.511,-0.037966),(4485,4895,1.6314,-0.064541),(4485,4905,1.7518,-0.007506),(4485,4915,1.7688,0.049529),(4485,4925,1.7768,0.10712),(4485,4935,1.7848,0.16584),(4485,4945,1.7657,0.22455),(4485,4955,1.7372,0.28446),(4485,4965,1.7087,0.35096),(4485,4975,1.6072,0.41747),(4485,4985,1.4495,0.48398),(4485,4995,1.2917,0.32081),(4485,5005,1.2456,0.15182),(4485,5015,1.3769,-0.017176),(4485,5025,1.5082,-0.045278),(4485,5035,1.6229,-0.037499),(4485,5045,1.6742,-0.029719),(4485,5055,1.7255,0.009206),(4485,5065,1.775,0.067319),(4485,5075,1.7665,0.12543),(4485,5085,1.7579,0.18478),(4485,5095,1.7494,0.24569),(4485,5105,1.6676,0.3066),(4485,5115,1.5731,0.34035),(4485,5125,1.4786,0.29777),(4485,5135,1.4337,0.25518),(4485,5145,1.4129,0.20936),(4485,5155,1.3921,0.12834),(4485,5165,1.4354,0.047322),(4485,5175,1.5441,-0.033695),(4485,5185,1.6529,0.010671),(4485,5195,1.7275,0.068052),(4485,5205,1.7286,0.12543),(4485,5215,1.7298,0.18535),(4485,5225,1.7243,0.24622),(4485,5235,1.6781,0.30708),(4485,5245,1.6318,0.35904),(4485,5255,1.5856,0.40368),(4485,5265,1.4362,0.44832),(4485,5275,1.2825,0.41134),(4485,5285,1.1289,0.23614),(4485,5295,1.2336,0.060939),(4485,5305,1.4103,-0.070262),(4485,5315,1.5871,-0.017569),(4485,5325,1.6597,0.035125),(4485,5335,1.6641,0.087795),(4485,5345,1.6685,0.13882),(4485,5355,1.6589,0.18985),(4485,5365,1.6304,0.24087),(4485,5375,1.6019,0.29405),(4485,5385,1.5478,0.34765),(4485,5395,1.4159,0.40124),(4485,5405,1.284,0.34492),(4485,5415,1.1728,0.23156),(4485,5425,1.3402,0.11821),(4485,5435,1.5075,0.035361),(4485,5445,1.6749,-0.014466),(4485,5455,1.7589,-0.064293),(4485,5465,1.8328,-0.090901),(4485,5475,1.9067,-0.063845),(4485,5485,1.9279,-0.03679),(4485,5495,1.9279,-0.010836),(4485,5505,1.9279,0.00732),(4485,5515,1.9274,0.025476),(4485,5525,1.9266,0.043632),(4485,5535,1.9258,0.057069),(4485,5545,1.9248,0.070234),(4485,5555,1.9237,0.083399),(4485,5565,1.9225,0.094351),(4485,5575,1.9213,0.10463),(4485,5585,1.9198,0.11491),(4485,5595,1.9184,0.12425),(4485,5605,1.917,0.13292),(4485,5615,1.9153,0.14159),(4485,5625,1.9136,0.14992),(4485,5635,1.9119,0.15775),(4485,5645,1.9099,0.16558),(4485,5655,1.908,0.17333),(4485,5665,1.906,0.18086),(4485,5675,1.9038,0.18838),(4485,5685,1.9015,0.19592),(4485,5695,1.8992,0.20358),(4485,5705,1.8967,0.21125),(4485,5715,1.894,0.21892),(4485,5725,1.8913,0.22708),(4485,5735,1.8885,0.23532),(4485,5745,1.8853,0.24355),(4485,5755,1.8821,0.2525),(4485,5765,1.8788,0.26176),(4485,5775,1.8749,0.27102),(4485,5785,1.871,0.28111),(4485,5795,1.8671,0.29197),(4485,5805,1.8623,0.30283),(4485,5815,1.8574,0.31453),(4485,5825,1.8525,0.32782),(4485,5835,1.8465,0.34112),(4485,5845,1.8401,0.35503),(4485,5855,1.8337,0.3721),(4485,5865,1.8257,0.38918),(4485,5875,1.8166,0.40625),(4485,5885,1.8075,0.4293),(4485,5895,1.7963,0.45245),(4485,5905,1.7818,0.4756),(4485,5915,1.7674,0.50701),(4485,5925,1.7502,0.5404),(4485,5935,1.7231,0.57378),(4485,5945,1.696,0.61837),(4485,5955,1.6677,0.66959),(4485,5965,1.6077,0.7208),(4485,5975,1.5478,0.78549),(4485,5985,1.4878,0.86662),(4485,5995,1.3216,0.94776),(4485,6005,1.1383,0.98267),(4485,6015,0.95501,0.89407),(4485,6025,1.0147,0.80546),(4485,6035,1.1871,0.7181),(4485,6045,1.3595,0.6427),(4485,6055,1.6125,0.5673),(4485,6065,1.9445,0.4919),(4485,6075,2.2765,0.47776),(4485,6085,2.508,0.46925),(4485,6095,2.5325,0.46073),(4485,6105,2.557,0.4466),(4485,6115,2.5769,0.43047),(4485,6125,2.5705,0.41433),(4485,6135,2.5642,0.39897),(4485,6145,2.5579,0.38421),(4485,6155,2.5517,0.36945),(4485,6165,2.5455,0.35549),(4485,6175,2.5394,0.3428),(4485,6185,2.5344,0.33012),(4485,6195,2.5298,0.31777),(4485,6205,2.5251,0.30674),(4485,6215,2.5212,0.29571),(4485,6225,2.5177,0.2847),(4485,6235,2.5142,0.27484),(4485,6245,2.5111,0.26497),(4485,6255,2.5084,0.25511),(4485,6265,2.5058,0.24599),(4485,6275,2.5033,0.23701),(4485,6285,2.5013,0.22803),(4485,6295,2.4992,0.21953),(4485,6305,2.4972,0.21125),(4485,6315,2.4956,0.20298),(4485,6325,2.494,0.19497),(4485,6335,2.4925,0.18724),(4485,6345,2.4912,0.17951),(4485,6355,2.4899,0.17192),(4485,6365,2.4886,0.16465),(4485,6375,2.4876,0.15738),(4485,6385,2.4866,0.15017),(4485,6395,2.4856,0.14329),(4485,6405,2.4847,0.13642),(4485,6415,2.4839,0.12954),(4485,6425,2.4832,0.12288),(4485,6435,2.4825,0.11623),(4485,6445,2.4819,0.10958),(4485,6455,2.4813,0.10313),(4485,6465,2.4807,0.096741),(4485,6475,2.4802,0.090352),(4485,6485,2.4798,0.084072),(4485,6495,2.4793,0.077866),(4485,6505,2.479,0.07166),(4485,6515,2.4787,0.065481),(4485,6525,2.4784,0.059337),(4485,6535,2.4782,0.053193),(4485,6545,2.478,0.047084),(4485,6555,2.4778,0.041085),(4485,6565,2.4777,0.035085),(4485,6575,2.4776,0.029086),(4485,6585,2.4775,0.023094),(4485,6595,2.1073,0.017101),(4485,6605,1.3285,0.011109),(4485,6615,0.54971,0.010358),(4485,6625,0.002211,0.010282),(4485,6635,0.002207,0.010205),(4485,6645,0.002204,0.010158),(4485,6655,0.0022,0.010122),(4485,6665,0.002196,0.010087),(4485,6675,0.002191,0.010054),(4485,6685,0.002187,0.010024),(4485,6695,0.002182,0.009993),(4485,6705,0.002177,0.009964),(4485,6715,0.002171,0.009937),(4485,6725,0.002166,0.00991),(4485,6735,0.002161,0.009884),(4485,6745,0.002155,0.00986),(4485,6755,0.00215,0.009836),(4485,6765,0.002145,0.009813),(4485,6775,0.002139,0.009792),(4485,6785,0.002133,0.009771),(4485,6795,0.002128,0.00975),(4485,6805,0.002123,0.009731),(4485,6815,0.002117,0.009712),(4485,6825,0.002112,0.009693),(4485,6835,0.002107,0.009676),(4485,6845,0.002102,0.009659),(4485,6855,0.002097,0.009642),(4485,6865,0.002092,0.009626),(4485,6875,0.002087,0.009611),(4485,6885,0.002082,0.009596),(4485,6895,0.002077,0.009581),(4485,6905,0.002072,0.009567),(4485,6915,0.002068,0.009553),(4485,6925,0.002064,0.009539),(4485,6935,0.002059,0.009526),(4485,6945,0.002055,0.009514),(4485,6955,0.002051,0.009501),(4485,6965,0.002047,0.009489),(4485,6975,0.002043,0.009477),(4485,6985,0.002039,0.009465),(4495,5,3.3e-05,-0.87997),(4495,15,9.8e-05,-0.88007),(4495,25,0.000163,-0.88018),(4495,35,0.000226,-0.88028),(4495,45,0.000289,-0.88038),(4495,55,0.000352,-0.88046),(4495,65,0.000414,-0.88055),(4495,75,0.000473,-0.88064),(4495,85,0.000533,-0.88077),(4495,95,0.000593,-0.88092),(4495,105,0.000652,-0.88108),(4495,115,0.000712,-0.88123),(4495,125,0.000771,-0.88141),(4495,135,0.000831,-0.88162),(4495,145,0.000894,-0.88182),(4495,155,0.00096,-0.88202),(4495,165,0.001025,-0.88227),(4495,175,0.00109,-0.88256),(4495,185,0.001164,-0.88285),(4495,195,0.00124,-0.88313),(4495,205,0.001317,-0.88348),(4495,215,0.001394,-0.88385),(4495,225,0.00148,-0.88423),(4495,235,0.001568,-0.8846),(4495,245,0.001657,-0.88503),(4495,255,0.001746,-0.88549),(4495,265,0.001836,-0.88595),(4495,275,0.001927,-0.8864),(4495,285,0.002018,-0.8869),(4495,295,0.002109,-0.8874),(4495,305,0.002196,-0.8879),(4495,315,0.002282,-0.88841),(4495,325,0.002368,-0.88895),(4495,335,0.002454,-0.88951),(4495,345,0.002547,-0.89006),(4495,355,0.002641,-0.89062),(4495,365,0.002736,-0.89126),(4495,375,0.00283,-0.89193),(4495,385,0.00294,-0.89259),(4495,395,0.003052,-0.89325),(4495,405,0.003165,-0.894),(4495,415,0.003277,-0.89475),(4495,425,0.003395,-0.89551),(4495,435,0.003514,-0.89626),(4495,445,0.003633,-0.89706),(4495,455,0.003751,-0.89786),(4495,465,0.003868,-0.89866),(4495,475,0.003986,-0.89946),(4495,485,0.004103,-0.90032),(4495,495,0.00422,-0.90118),(4495,505,0.004343,-0.90204),(4495,515,0.004467,-0.9029),(4495,525,0.00459,-0.90384),(4495,535,0.004714,-0.90479),(4495,545,0.004857,-0.90574),(4495,555,0.005001,-0.90669),(4495,565,0.005145,-0.90774),(4495,575,0.00529,-0.90879),(4495,585,0.005458,-0.90983),(4495,595,0.005627,-0.91089),(4495,605,0.005795,-0.91202),(4495,615,0.005967,-0.91315),(4495,625,0.006159,-0.91428),(4495,635,0.006352,-0.91541),(4495,645,0.006544,-0.91661),(4495,655,0.00674,-0.91781),(4495,665,0.006954,-0.91901),(4495,675,0.007168,-0.92022),(4495,685,0.007382,-0.92147),(4495,695,0.007602,-0.92272),(4495,705,0.007845,-0.92397),(4495,715,0.008088,-0.92524),(4495,725,0.008331,-0.92656),(4495,735,0.008585,-0.92788),(4495,745,0.008878,-0.9292),(4495,755,0.00917,-0.93054),(4495,765,0.009463,-0.93195),(4495,775,0.009771,-0.93336),(4495,785,0.010121,-0.93478),(4495,795,0.010471,-0.9362),(4495,805,0.010821,-0.93765),(4495,815,0.01119,-0.9391),(4495,825,0.011602,-0.94055),(4495,835,0.012014,-0.942),(4495,845,0.012425,-0.94347),(4495,855,0.012866,-0.94494),(4495,865,0.013361,-0.9464),(4495,875,0.013857,-0.94788),(4495,885,0.014352,-0.94937),(4495,895,0.014889,-0.95085),(4495,905,0.015491,-0.95234),(4495,915,0.016094,-0.95381),(4495,925,0.016696,-0.95526),(4495,935,0.017357,-0.95671),(4495,945,0.018097,-0.95815),(4495,955,0.018836,-0.95955),(4495,965,0.019575,-0.9609),(4495,975,0.020407,-0.96224),(4495,985,0.021344,-0.96359),(4495,995,0.02228,-0.96487),(4495,1005,0.023217,-0.96609),(4495,1015,0.024298,-0.96731),(4495,1025,0.025518,-0.96853),(4495,1035,0.026738,-0.96963),(4495,1045,0.027958,-0.97063),(4495,1055,0.029397,-0.97162),(4495,1065,0.031017,-0.97262),(4495,1075,0.032638,-0.97339),(4495,1085,0.034258,-0.97399),(4495,1095,0.036218,-0.97458),(4495,1105,0.038415,-0.97518),(4495,1115,0.040612,-0.97535),(4495,1125,0.04281,-0.97524),(4495,1135,0.045548,-0.97513),(4495,1145,0.048607,-0.97502),(4495,1155,0.051665,-0.97403),(4495,1165,0.054724,-0.97255),(4495,1175,0.058788,-0.97107),(4495,1185,0.063352,-0.9696),(4495,1195,0.067916,-0.96638),(4495,1205,0.072479,-0.96238),(4495,1215,0.079948,-0.95839),(4495,1225,0.088614,-0.95439),(4495,1235,0.097281,-0.94929),(4495,1245,0.10595,-0.94379),(4495,1255,0.12563,-0.93828),(4495,1265,0.14904,-0.93277),(4495,1275,0.17244,-0.93973),(4495,1285,0.19585,-0.95045),(4495,1295,0.23108,-0.96118),(4495,1305,0.26951,-0.97191),(4495,1315,0.30794,-0.98427),(4495,1325,0.34637,-0.99702),(4495,1335,0.19833,-1.0098),(4495,1345,0.011216,-1.0225),(4495,1355,-0.1759,-1.0174),(4495,1365,-0.36302,-1.0091),(4495,1375,-0.35814,-1.0008),(4495,1385,-0.32364,-0.99252),(4495,1395,-0.28914,-0.97614),(4495,1405,-0.25464,-0.95871),(4495,1415,-0.22634,-0.94129),(4495,1425,-0.19869,-0.92386),(4495,1435,-0.17104,-0.93142),(4495,1445,-0.14339,-0.94098),(4495,1455,-0.13412,-0.95054),(4495,1465,-0.12592,-0.9601),(4495,1475,-0.11771,-0.96662),(4495,1485,-0.1095,-0.97303),(4495,1495,-0.10549,-0.97945),(4495,1505,-0.10154,-0.98584),(4495,1515,-0.097598,-0.98794),(4495,1525,-0.093679,-0.99004),(4495,1535,-0.090853,-0.99214),(4495,1545,-0.088027,-0.99416),(4495,1555,-0.085201,-0.99428),(4495,1565,-0.082421,-0.99441),(4495,1575,-0.080304,-0.99454),(4495,1585,-0.078186,-0.99461),(4495,1595,-0.076069,-0.99397),(4495,1605,-0.074009,-0.99332),(4495,1615,-0.072445,-0.99268),(4495,1625,-0.070881,-0.99199),(4495,1635,-0.069316,-0.99101),(4495,1645,-0.067809,-0.99002),(4495,1655,-0.06664,-0.98903),(4495,1665,-0.06547,-0.98802),(4495,1675,-0.064301,-0.98687),(4495,1685,-0.063182,-0.98572),(4495,1695,-0.062286,-0.98457),(4495,1705,-0.06139,-0.9834),(4495,1715,-0.060494,-0.98219),(4495,1725,-0.05964,-0.98098),(4495,1735,-0.058935,-0.97977),(4495,1745,-0.058229,-0.97856),(4495,1755,-0.057523,-0.97738),(4495,1765,-0.056852,-0.9762),(4495,1775,-0.056277,-0.97502),(4495,1785,-0.055702,-0.97387),(4495,1795,-0.055127,-0.9728),(4495,1805,-0.054577,-0.97172),(4495,1815,-0.054087,-0.97065),(4495,1825,-0.053597,-0.96962),(4495,1835,-0.053107,-0.96871),(4495,1845,-0.052634,-0.9678),(4495,1855,-0.052194,-0.96688),(4495,1865,-0.051754,-0.96604),(4495,1875,-0.051314,-0.96532),(4495,1885,-0.050883,-0.9646),(4495,1895,-0.050467,-0.96388),(4495,1905,-0.050051,-0.96325),(4495,1915,-0.049635,-0.96275),(4495,1925,-0.04922,-0.96225),(4495,1935,-0.048806,-0.96175),(4495,1945,-0.048392,-0.96136),(4495,1955,-0.047978,-0.9611),(4495,1965,-0.047556,-0.96084),(4495,1975,-0.047126,-0.96057),(4495,1985,-0.046695,-0.96044),(4495,1995,-0.046265,-0.96043),(4495,2005,-0.045816,-0.96043),(4495,2015,-0.045348,-0.96043),(4495,2025,-0.044879,-0.96058),(4495,2035,-0.044411,-0.96087),(4495,2045,-0.043911,-0.96117),(4495,2055,-0.043384,-0.96146),(4495,2065,-0.042857,-0.96195),(4495,2075,-0.04233,-0.96259),(4495,2085,-0.041758,-0.96323),(4495,2095,-0.041154,-0.96386),(4495,2105,-0.040549,-0.96474),(4495,2115,-0.039945,-0.96577),(4495,2125,-0.039277,-0.9668),(4495,2135,-0.03857,-0.96784),(4495,2145,-0.037862,-0.96917),(4495,2155,-0.037154,-0.97068),(4495,2165,-0.036357,-0.97219),(4495,2175,-0.035514,-0.9737),(4495,2185,-0.03467,-0.97556),(4495,2195,-0.033827,-0.9776),(4495,2205,-0.032867,-0.97963),(4495,2215,-0.031856,-0.98166),(4495,2225,-0.030846,-0.98409),(4495,2235,-0.029835,-0.98666),(4495,2245,-0.028678,-0.98923),(4495,2255,-0.027468,-0.99181),(4495,2265,-0.026259,-0.99479),(4495,2275,-0.025049,-0.99791),(4495,2285,-0.023659,-1.001),(4495,2295,-0.022218,-1.0041),(4495,2305,-0.020776,-1.0077),(4495,2315,-0.019334,-1.0113),(4495,2325,-0.017673,-1.0149),(4495,2335,-0.015963,-1.0186),(4495,2345,-0.014253,-1.0226),(4495,2355,-0.012543,-1.0267),(4495,2365,-0.010565,-1.0308),(4495,2375,-0.008542,-1.0349),(4495,2385,-0.00652,-1.0394),(4495,2395,-0.004497,-1.0439),(4495,2405,-0.002151,-1.0484),(4495,2415,0.000233,-1.0529),(4495,2425,0.002616,-1.0578),(4495,2435,0.005,-1.0626),(4495,2445,0.00777,-1.0675),(4495,2455,0.010566,-1.0724),(4495,2465,0.013362,-1.0775),(4495,2475,0.016158,-1.0827),(4495,2485,0.019406,-1.0878),(4495,2495,0.022665,-1.093),(4495,2505,0.025925,-1.0983),(4495,2515,0.029192,-1.1036),(4495,2525,0.032961,-1.109),(4495,2535,0.036731,-1.1143),(4495,2545,0.0405,-1.1196),(4495,2555,0.044299,-1.125),(4495,2565,0.04862,-1.1303),(4495,2575,0.052941,-1.1357),(4495,2585,0.057262,-1.1409),(4495,2595,0.061638,-1.1461),(4495,2605,0.066547,-1.1513),(4495,2615,0.071456,-1.1565),(4495,2625,0.076365,-1.1615),(4495,2635,0.081357,-1.1664),(4495,2645,0.086882,-1.1713),(4495,2655,0.092407,-1.1762),(4495,2665,0.097932,-1.1807),(4495,2675,0.10357,-1.1853),(4495,2685,0.10972,-1.1898),(4495,2695,0.11588,-1.1942),(4495,2705,0.12204,-1.1982),(4495,2715,0.12833,-1.2023),(4495,2725,0.13513,-1.2063),(4495,2735,0.14192,-1.2101),(4495,2745,0.14872,-1.2135),(4495,2755,0.15567,-1.2169),(4495,2765,0.16309,-1.2203),(4495,2775,0.17052,-1.2236),(4495,2785,0.17794,-1.2263),(4495,2795,0.18554,-1.229),(4495,2805,0.19358,-1.2318),(4495,2815,0.20161,-1.2343),(4495,2825,0.20964,-1.2363),(4495,2835,0.21786,-1.2383),(4495,2845,0.22647,-1.2403),(4495,2855,0.23508,-1.2421),(4495,2865,0.24368,-1.2433),(4495,2875,0.25248,-1.2446),(4495,2885,0.26162,-1.2458),(4495,2895,0.27075,-1.2468),(4495,2905,0.27988,-1.2472),(4495,2915,0.28921,-1.2477),(4495,2925,0.29881,-1.2482),(4495,2935,0.30841,-1.2483),(4495,2945,0.31801,-1.248),(4495,2955,0.32778,-1.2477),(4495,2965,0.33778,-1.2474),(4495,2975,0.34778,-1.2467),(4495,2985,0.35777,-1.2455),(4495,2995,0.36792,-1.2444),(4495,3005,0.37824,-1.2433),(4495,3015,0.38855,-1.2418),(4495,3025,0.39886,-1.2398),(4495,3035,0.40929,-1.2379),(4495,3045,0.41983,-1.236),(4495,3055,0.43036,-1.2337),(4495,3065,0.4409,-1.231),(4495,3075,0.4515,-1.2283),(4495,3085,0.46215,-1.2256),(4495,3095,0.47281,-1.2224),(4495,3105,0.48346,-1.2189),(4495,3115,0.49412,-1.2154),(4495,3125,0.50478,-1.2119),(4495,3135,0.51544,-1.2079),(4495,3145,0.5261,-1.2037),(4495,3155,0.53669,-1.1994),(4495,3165,0.54724,-1.1951),(4495,3175,0.5578,-1.1904),(4495,3185,0.56835,-1.1854),(4495,3195,0.57874,-1.1804),(4495,3205,0.58905,-1.1754),(4495,3215,0.59937,-1.17),(4495,3225,0.60968,-1.1643),(4495,3235,0.61972,-1.1587),(4495,3245,0.62965,-1.153),(4495,3255,0.63959,-1.1469),(4495,3265,0.64952,-1.1407),(4495,3275,0.65905,-1.1344),(4495,3285,0.66845,-1.1281),(4495,3295,0.67785,-1.1214),(4495,3305,0.68725,-1.1146),(4495,3315,0.69609,-1.1078),(4495,3325,0.70479,-1.101),(4495,3335,0.71349,-1.0937),(4495,3345,0.72219,-1.0863),(4495,3355,0.73015,-1.0789),(4495,3365,0.73799,-1.0716),(4495,3375,0.74582,-1.0637),(4495,3385,0.75365,-1.0557),(4495,3395,0.76057,-1.0477),(4495,3405,0.76738,-1.0398),(4495,3415,0.77418,-1.0313),(4495,3425,0.78098,-1.0227),(4495,3435,0.7867,-1.0142),(4495,3445,0.79233,-1.0056),(4495,3455,0.79796,-0.99659),(4495,3465,0.80359,-0.98749),(4495,3475,0.80797,-0.9784),(4495,3485,0.81231,-0.9693),(4495,3495,0.81664,-0.95975),(4495,3505,0.82097,-0.95019),(4495,3515,0.82391,-0.94063),(4495,3525,0.82686,-0.93107),(4495,3535,0.8298,-0.92123),(4495,3545,0.83268,-0.91139),(4495,3555,0.83416,-0.90155),(4495,3565,0.83564,-0.89171),(4495,3575,0.83712,-0.88186),(4495,3585,0.83847,-0.872),(4495,3595,0.83844,-0.86214),(4495,3605,0.8384,-0.85231),(4495,3615,0.83837,-0.84274),(4495,3625,0.83815,-0.83316),(4495,3635,0.83657,-0.82358),(4495,3645,0.835,-0.81409),(4495,3655,0.83343,-0.80509),(4495,3665,0.8316,-0.7961),(4495,3675,0.82851,-0.7871),(4495,3685,0.82541,-0.77825),(4495,3695,0.82231,-0.77009),(4495,3705,0.81892,-0.76193),(4495,3715,0.81437,-0.75378),(4495,3725,0.80981,-0.74585),(4495,3735,0.80526,-0.73876),(4495,3745,0.80038,-0.73166),(4495,3755,0.79449,-0.72457),(4495,3765,0.7886,-0.71781),(4495,3775,0.78271,-0.71198),(4495,3785,0.7765,-0.70615),(4495,3795,0.76947,-0.70032),(4495,3805,0.76245,-0.69492),(4495,3815,0.75542,-0.69051),(4495,3825,0.74814,-0.6861),(4495,3835,0.74034,-0.68169),(4495,3845,0.73254,-0.67783),(4495,3855,0.72474,-0.67504),(4495,3865,0.71691,-0.67224),(4495,3875,0.70903,-0.66945),(4495,3885,0.70114,-0.66744),(4495,3895,0.69325,-0.66671),(4495,3905,0.68575,-0.66597),(4495,3915,0.6788,-0.66523),(4495,3925,0.67185,-0.66526),(4495,3935,0.66491,-0.66634),(4495,3945,0.65881,-0.66741),(4495,3955,0.65378,-0.66849),(4495,3965,0.64875,-0.66741),(4495,3975,0.64372,-0.6638),(4495,3985,0.65098,-0.66019),(4495,3995,0.67154,-0.65659),(4495,4005,0.69209,-0.66295),(4495,4015,0.71265,-0.67929),(4495,4025,0.9397,-0.69563),(4495,4035,1.187,-0.67692),(4495,4045,1.4342,-0.58432),(4495,4055,1.6775,-0.49173),(4495,4065,1.9193,-0.40006),(4495,4075,2.1611,-0.31387),(4495,4085,2.2613,-0.22769),(4495,4095,2.2476,-0.14151),(4495,4105,2.2339,-0.068811),(4495,4115,2.1995,0.003403),(4495,4125,2.1306,0.075618),(4495,4135,2.0618,0.087201),(4495,4145,1.9941,0.082385),(4495,4155,1.9313,0.07757),(4495,4165,1.8684,0.017574),(4495,4175,1.8084,-0.077865),(4495,4185,1.8919,-0.1733),(4495,4195,1.9754,-0.20495),(4495,4205,2.0588,-0.15228),(4495,4215,2.0764,-0.099607),(4495,4225,2.0816,-0.045392),(4495,4235,2.0867,0.013392),(4495,4245,2.0711,0.072176),(4495,4255,2.0449,0.13054),(4495,4265,2.0187,0.18367),(4495,4275,1.9509,0.23681),(4495,4285,1.8388,0.28994),(4495,4295,1.7267,0.16506),(4495,4305,1.6773,0.019524),(4495,4315,1.7693,-0.12601),(4495,4325,1.8613,-0.14447),(4495,4335,1.9444,-0.11299),(4495,4345,1.9675,-0.081505),(4495,4355,1.9906,-0.036128),(4495,4365,2.0137,0.021103),(4495,4375,2.0019,0.078334),(4495,4385,1.9883,0.13508),(4495,4395,1.9748,0.19098),(4495,4405,1.9054,0.24688),(4495,4415,1.8196,0.28156),(4495,4425,1.7338,0.22164),(4495,4435,1.6939,0.16172),(4495,4445,1.6854,0.10176),(4495,4455,1.6768,0.033067),(4495,4465,1.7036,-0.035623),(4495,4475,1.78,-0.10431),(4495,4485,1.8565,-0.074544),(4495,4495,1.9159,-0.024137),(4495,4505,1.9209,0.02627),(4495,4515,1.9258,0.08132),(4495,4525,1.9285,0.13889),(4495,4535,1.8953,0.19645),(4495,4545,1.8622,0.24504),(4495,4555,1.829,0.28352),(4495,4565,1.7291,0.322),(4495,4575,1.6201,0.30589),(4495,4585,1.5112,0.15748),(4495,4595,1.5509,0.009068),(4495,4605,1.6533,-0.11783),(4495,4615,1.7557,-0.077366),(4495,4625,1.8122,-0.036896),(4495,4635,1.8273,0.003573),(4495,4645,1.8424,0.052637),(4495,4655,1.8475,0.10229),(4495,4665,1.834,0.15195),(4495,4675,1.8204,0.20005),(4495,4685,1.7941,0.24765),(4495,4695,1.7055,0.29526),(4495,4705,1.6169,0.26559),(4495,4715,1.5282,0.17977),(4495,4725,1.5683,0.093954),(4495,4735,1.6097,0.034552),(4495,4745,1.651,0.014614),(4495,4755,1.6996,-0.005325),(4495,4765,1.7498,-0.009805),(4495,4775,1.8,0.039656),(4495,4785,1.8158,0.089116),(4495,4795,1.8116,0.13873),(4495,4805,1.8074,0.19171),(4495,4815,1.7783,0.24468),(4495,4825,1.7194,0.29765),(4495,4835,1.6606,0.2962),(4495,4845,1.6035,0.28635),(4495,4855,1.5511,0.27651),(4495,4865,1.4987,0.20955),(4495,4875,1.46,0.11669),(4495,4885,1.5463,0.023842),(4495,4895,1.6325,0.000239),(4495,4905,1.7187,0.043192),(4495,4915,1.7296,0.086145),(4495,4925,1.734,0.13151),(4495,4935,1.7384,0.18173),(4495,4945,1.7211,0.23195),(4495,4955,1.6963,0.28168),(4495,4965,1.6715,0.32865),(4495,4975,1.5973,0.37563),(4495,4985,1.485,0.42261),(4495,4995,1.3727,0.28979),(4495,5005,1.3401,0.15241),(4495,5015,1.4344,0.015025),(4495,5025,1.5286,-0.00787),(4495,5035,1.6113,-0.001609),(4495,5045,1.6497,0.004653),(4495,5055,1.6882,0.038766),(4495,5065,1.7252,0.090036),(4495,5075,1.717,0.14131),(4495,5085,1.7088,0.19289),(4495,5095,1.7005,0.24486),(4495,5105,1.6381,0.29684),(4495,5115,1.5662,0.32633),(4495,5125,1.4942,0.29259),(4495,5135,1.4624,0.25885),(4495,5145,1.45,0.22243),(4495,5155,1.4375,0.1568),(4495,5165,1.4703,0.091169),(4495,5175,1.5492,0.025537),(4495,5185,1.6281,0.063163),(4495,5195,1.6813,0.11151),(4495,5205,1.6793,0.15985),(4495,5215,1.6773,0.21347),(4495,5225,1.67,0.26905),(4495,5235,1.6301,0.32464),(4495,5245,1.5903,0.3701),(4495,5255,1.5504,0.40725),(4495,5265,1.4489,0.4444),(4495,5275,1.3449,0.41277),(4495,5285,1.2408,0.2647),(4495,5295,1.3188,0.11662),(4495,5305,1.4474,0.0044),(4495,5315,1.5761,0.04203),(4495,5325,1.6281,0.07966),(4495,5335,1.6298,0.11735),(4495,5345,1.6315,0.15914),(4495,5355,1.6222,0.20093),(4495,5365,1.5981,0.24273),(4495,5375,1.574,0.27889),(4495,5385,1.5331,0.31395),(4495,5395,1.4407,0.34902),(4495,5405,1.3484,0.28929),(4495,5415,1.2723,0.18039),(4495,5425,1.4141,0.071481),(4495,5435,1.5558,-0.002259),(4495,5445,1.6975,-0.037929),(4495,5455,1.765,-0.073599),(4495,5465,1.8234,-0.090775),(4495,5475,1.8818,-0.065207),(4495,5485,1.9001,-0.039638),(4495,5495,1.9023,-0.015032),(4495,5505,1.9044,0.002764),(4495,5515,1.9056,0.02056),(4495,5525,1.9061,0.038356),(4495,5535,1.9066,0.05191),(4495,5545,1.9067,0.065221),(4495,5555,1.9063,0.078531),(4495,5565,1.9059,0.089819),(4495,5575,1.9054,0.10049),(4495,5585,1.9044,0.11117),(4495,5595,1.9034,0.12098),(4495,5605,1.9024,0.13018),(4495,5615,1.9009,0.13938),(4495,5625,1.8994,0.14827),(4495,5635,1.8979,0.15672),(4495,5645,1.8961,0.16516),(4495,5655,1.8942,0.17355),(4495,5665,1.8922,0.18177),(4495,5675,1.89,0.18998),(4495,5685,1.8876,0.1982),(4495,5695,1.8853,0.20663),(4495,5705,1.8826,0.21506),(4495,5715,1.8797,0.22349),(4495,5725,1.8768,0.2325),(4495,5735,1.8737,0.24158),(4495,5745,1.8701,0.25066),(4495,5755,1.8666,0.26055),(4495,5765,1.8629,0.27079),(4495,5775,1.8584,0.28102),(4495,5785,1.854,0.29217),(4495,5795,1.8495,0.30417),(4495,5805,1.8438,0.31617),(4495,5815,1.8381,0.32907),(4495,5825,1.8324,0.34373),(4495,5835,1.8251,0.35839),(4495,5845,1.8174,0.37371),(4495,5855,1.8097,0.39243),(4495,5865,1.8001,0.41115),(4495,5875,1.789,0.42987),(4495,5885,1.7779,0.45487),(4495,5895,1.7643,0.47996),(4495,5905,1.7467,0.50505),(4495,5915,1.7292,0.5383),(4495,5925,1.7088,0.57351),(4495,5935,1.6777,0.60871),(4495,5945,1.6466,0.65349),(4495,5955,1.6144,0.70392),(4495,5965,1.5537,0.75436),(4495,5975,1.493,0.81142),(4495,5985,1.4323,0.87659),(4495,5995,1.2987,0.94176),(4495,6005,1.1535,0.96822),(4495,6015,1.0082,0.89125),(4495,6025,1.0898,0.81427),(4495,6035,1.2767,0.73529),(4495,6045,1.4636,0.63697),(4495,6055,1.7066,0.53864),(4495,6065,2.0047,0.44032),(4495,6075,2.3027,0.42381),(4495,6085,2.5113,0.41482),(4495,6095,2.5355,0.40583),(4495,6105,2.5596,0.39474),(4495,6115,2.5793,0.3829),(4495,6125,2.5732,0.37105),(4495,6135,2.5671,0.35935),(4495,6145,2.561,0.34775),(4495,6155,2.5548,0.33614),(4495,6165,2.5485,0.32496),(4495,6175,2.5423,0.31446),(4495,6185,2.5372,0.30397),(4495,6195,2.5324,0.29368),(4495,6205,2.5277,0.28421),(4495,6215,2.5236,0.27474),(4495,6225,2.52,0.26529),(4495,6235,2.5164,0.2566),(4495,6245,2.5131,0.2479),(4495,6255,2.5103,0.23921),(4495,6265,2.5076,0.23103),(4495,6275,2.5049,0.22295),(4495,6285,2.5028,0.21486),(4495,6295,2.5006,0.20713),(4495,6305,2.4985,0.19956),(4495,6315,2.4969,0.192),(4495,6325,2.4952,0.18464),(4495,6335,2.4935,0.17748),(4495,6345,2.4921,0.17032),(4495,6355,2.4908,0.16328),(4495,6365,2.4894,0.1565),(4495,6375,2.4883,0.14972),(4495,6385,2.4873,0.14298),(4495,6395,2.4862,0.13653),(4495,6405,2.4853,0.13007),(4495,6415,2.4844,0.12361),(4495,6425,2.4836,0.11732),(4495,6435,2.4829,0.11104),(4495,6445,2.4822,0.10475),(4495,6455,2.4816,0.098646),(4495,6465,2.481,0.092589),(4495,6475,2.4805,0.086533),(4495,6485,2.48,0.080572),(4495,6495,2.4795,0.074676),(4495,6505,2.4792,0.06878),(4495,6515,2.4788,0.062902),(4495,6525,2.4785,0.057049),(4495,6535,2.4783,0.051196),(4495,6545,2.4781,0.045376),(4495,6555,2.4779,0.039657),(4495,6565,2.4777,0.033938),(4495,6575,2.4776,0.028218),(4495,6585,2.4775,0.0225),(4495,6595,2.1074,0.016782),(4495,6605,1.3286,0.011063),(4495,6615,0.54974,0.010347),(4495,6625,0.002247,0.010274),(4495,6635,0.002241,0.010201),(4495,6645,0.002236,0.010154),(4495,6655,0.002231,0.010119),(4495,6665,0.002225,0.010083),(4495,6675,0.002219,0.01005),(4495,6685,0.002213,0.010019),(4495,6695,0.002206,0.009988),(4495,6705,0.0022,0.009959),(4495,6715,0.002194,0.009932),(4495,6725,0.002187,0.009905),(4495,6735,0.002181,0.009878),(4495,6745,0.002174,0.009855),(4495,6755,0.002168,0.009831),(4495,6765,0.002162,0.009807),(4495,6775,0.002155,0.009786),(4495,6785,0.002149,0.009765),(4495,6795,0.002143,0.009744),(4495,6805,0.002137,0.009725),(4495,6815,0.002131,0.009707),(4495,6825,0.002125,0.009688),(4495,6835,0.002119,0.009671),(4495,6845,0.002113,0.009654),(4495,6855,0.002108,0.009637),(4495,6865,0.002103,0.009621),(4495,6875,0.002097,0.009606),(4495,6885,0.002092,0.009591),(4495,6895,0.002087,0.009576),(4495,6905,0.002082,0.009562),(4495,6915,0.002077,0.009549),(4495,6925,0.002072,0.009535),(4495,6935,0.002067,0.009522),(4495,6945,0.002063,0.00951),(4495,6955,0.002058,0.009497),(4495,6965,0.002054,0.009485),(4495,6975,0.00205,0.009473),(4495,6985,0.002046,0.009461),(4505,5,3e-05,-1.1178),(4505,15,9.1e-05,-1.1179),(4505,25,0.00015,-1.1181),(4505,35,0.000206,-1.1182),(4505,45,0.000262,-1.1183),(4505,55,0.000318,-1.1184),(4505,65,0.00037,-1.1186),(4505,75,0.000418,-1.1187),(4505,85,0.000467,-1.1188),(4505,95,0.000516,-1.119),(4505,105,0.000564,-1.1192),(4505,115,0.000611,-1.1194),(4505,125,0.000658,-1.1197),(4505,135,0.000705,-1.1199),(4505,145,0.000758,-1.1202),(4505,155,0.000814,-1.1204),(4505,165,0.00087,-1.1207),(4505,175,0.000926,-1.1211),(4505,185,0.000994,-1.1215),(4505,195,0.001069,-1.1218),(4505,205,0.001144,-1.1223),(4505,215,0.001218,-1.1227),(4505,225,0.001306,-1.1232),(4505,235,0.0014,-1.1237),(4505,245,0.001493,-1.1242),(4505,255,0.001586,-1.1248),(4505,265,0.00168,-1.1254),(4505,275,0.001773,-1.126),(4505,285,0.001866,-1.1266),(4505,295,0.001959,-1.1272),(4505,305,0.002041,-1.1279),(4505,315,0.00212,-1.1285),(4505,325,0.0022,-1.1292),(4505,335,0.002279,-1.1299),(4505,345,0.002366,-1.1306),(4505,355,0.002454,-1.1313),(4505,365,0.002543,-1.1321),(4505,375,0.002631,-1.1329),(4505,385,0.002742,-1.1338),(4505,395,0.002856,-1.1346),(4505,405,0.00297,-1.1356),(4505,415,0.003085,-1.1365),(4505,425,0.003202,-1.1375),(4505,435,0.003319,-1.1384),(4505,445,0.003437,-1.1394),(4505,455,0.003554,-1.1405),(4505,465,0.003659,-1.1415),(4505,475,0.003764,-1.1425),(4505,485,0.003869,-1.1436),(4505,495,0.003973,-1.1447),(4505,505,0.004077,-1.1458),(4505,515,0.004181,-1.1468),(4505,525,0.004285,-1.148),(4505,535,0.004389,-1.1492),(4505,545,0.004516,-1.1504),(4505,555,0.004642,-1.1516),(4505,565,0.004769,-1.1529),(4505,575,0.004898,-1.1543),(4505,585,0.005053,-1.1556),(4505,595,0.005208,-1.1569),(4505,605,0.005363,-1.1584),(4505,615,0.005521,-1.1598),(4505,625,0.005699,-1.1612),(4505,635,0.005877,-1.1626),(4505,645,0.006055,-1.1642),(4505,655,0.006235,-1.1657),(4505,665,0.006428,-1.1672),(4505,675,0.006621,-1.1687),(4505,685,0.006813,-1.1703),(4505,695,0.00701,-1.1719),(4505,705,0.007225,-1.1734),(4505,715,0.00744,-1.175),(4505,725,0.007654,-1.1767),(4505,735,0.007881,-1.1784),(4505,745,0.008149,-1.18),(4505,755,0.008417,-1.1817),(4505,765,0.008685,-1.1835),(4505,775,0.008969,-1.1853),(4505,785,0.009296,-1.187),(4505,795,0.009622,-1.1888),(4505,805,0.009949,-1.1906),(4505,815,0.010292,-1.1925),(4505,825,0.010672,-1.1943),(4505,835,0.011052,-1.1961),(4505,845,0.011432,-1.1979),(4505,855,0.01184,-1.1998),(4505,865,0.012297,-1.2016),(4505,875,0.012755,-1.2035),(4505,885,0.013212,-1.2053),(4505,895,0.013708,-1.2072),(4505,905,0.014264,-1.209),(4505,915,0.014819,-1.2109),(4505,925,0.015374,-1.2127),(4505,935,0.015982,-1.2144),(4505,945,0.016657,-1.2162),(4505,955,0.017333,-1.218),(4505,965,0.018009,-1.2196),(4505,975,0.018771,-1.2213),(4505,985,0.01963,-1.2229),(4505,995,0.020489,-1.2245),(4505,1005,0.021349,-1.226),(4505,1015,0.022346,-1.2274),(4505,1025,0.023475,-1.2289),(4505,1035,0.024604,-1.2302),(4505,1045,0.025733,-1.2313),(4505,1055,0.027065,-1.2325),(4505,1065,0.028563,-1.2336),(4505,1075,0.030061,-1.2345),(4505,1085,0.031559,-1.2351),(4505,1095,0.03335,-1.2357),(4505,1105,0.035347,-1.2362),(4505,1115,0.037343,-1.2362),(4505,1125,0.039339,-1.2358),(4505,1135,0.041751,-1.2354),(4505,1145,0.044408,-1.235),(4505,1155,0.047066,-1.2334),(4505,1165,0.049723,-1.2311),(4505,1175,0.053133,-1.2288),(4505,1185,0.056917,-1.2265),(4505,1195,0.060701,-1.2218),(4505,1205,0.064485,-1.216),(4505,1215,0.071314,-1.2102),(4505,1225,0.0794,-1.2044),(4505,1235,0.087486,-1.1963),(4505,1245,0.095572,-1.1875),(4505,1255,0.11848,-1.1786),(4505,1265,0.1464,-1.1697),(4505,1275,0.17431,-1.172),(4505,1285,0.20223,-1.1776),(4505,1295,0.23684,-1.1833),(4505,1305,0.27327,-1.1889),(4505,1315,0.30969,-1.1861),(4505,1325,0.34612,-1.1814),(4505,1335,0.1992,-1.1766),(4505,1345,0.013858,-1.1719),(4505,1355,-0.17149,-1.1796),(4505,1365,-0.35683,-1.1895),(4505,1375,-0.3563,-1.1995),(4505,1385,-0.32708,-1.2095),(4505,1395,-0.29787,-1.199),(4505,1405,-0.26866,-1.1859),(4505,1415,-0.23352,-1.1728),(4505,1425,-0.19777,-1.1597),(4505,1435,-0.16201,-1.1713),(4505,1445,-0.12626,-1.1848),(4505,1455,-0.11746,-1.1984),(4505,1465,-0.11022,-1.2119),(4505,1475,-0.10297,-1.2207),(4505,1485,-0.095722,-1.2293),(4505,1495,-0.092985,-1.2379),(4505,1505,-0.090317,-1.2465),(4505,1515,-0.087648,-1.2495),(4505,1525,-0.08499,-1.2525),(4505,1535,-0.082726,-1.2555),(4505,1545,-0.080463,-1.2584),(4505,1555,-0.078199,-1.2589),(4505,1565,-0.07596,-1.2593),(4505,1575,-0.074068,-1.2597),(4505,1585,-0.072177,-1.26),(4505,1595,-0.070285,-1.2594),(4505,1605,-0.06844,-1.2588),(4505,1615,-0.066999,-1.2581),(4505,1625,-0.065558,-1.2574),(4505,1635,-0.064117,-1.2563),(4505,1645,-0.062727,-1.2552),(4505,1655,-0.061647,-1.254),(4505,1665,-0.060566,-1.2529),(4505,1675,-0.059486,-1.2515),(4505,1685,-0.058452,-1.2501),(4505,1695,-0.057628,-1.2487),(4505,1705,-0.056803,-1.2473),(4505,1715,-0.055979,-1.2459),(4505,1725,-0.055194,-1.2444),(4505,1735,-0.05455,-1.2429),(4505,1745,-0.053906,-1.2415),(4505,1755,-0.053261,-1.24),(4505,1765,-0.052649,-1.2386),(4505,1775,-0.052127,-1.2371),(4505,1785,-0.051605,-1.2357),(4505,1795,-0.051082,-1.2344),(4505,1805,-0.050583,-1.2331),(4505,1815,-0.050136,-1.2318),(4505,1825,-0.04969,-1.2305),(4505,1835,-0.049243,-1.2294),(4505,1845,-0.048811,-1.2283),(4505,1855,-0.048405,-1.2271),(4505,1865,-0.048,-1.2261),(4505,1875,-0.047594,-1.2252),(4505,1885,-0.047195,-1.2243),(4505,1895,-0.046807,-1.2234),(4505,1905,-0.046418,-1.2226),(4505,1915,-0.04603,-1.222),(4505,1925,-0.045641,-1.2214),(4505,1935,-0.045251,-1.2208),(4505,1945,-0.044861,-1.2203),(4505,1955,-0.044471,-1.22),(4505,1965,-0.044074,-1.2197),(4505,1975,-0.043668,-1.2193),(4505,1985,-0.043263,-1.2192),(4505,1995,-0.042858,-1.2192),(4505,2005,-0.042435,-1.2192),(4505,2015,-0.041994,-1.2192),(4505,2025,-0.041554,-1.2194),(4505,2035,-0.041113,-1.2197),(4505,2045,-0.040643,-1.2201),(4505,2055,-0.040148,-1.2205),(4505,2065,-0.039652,-1.2211),(4505,2075,-0.039157,-1.2219),(4505,2085,-0.038622,-1.2227),(4505,2095,-0.038059,-1.2235),(4505,2105,-0.037495,-1.2246),(4505,2115,-0.036932,-1.2259),(4505,2125,-0.03631,-1.2272),(4505,2135,-0.035651,-1.2284),(4505,2145,-0.034992,-1.2301),(4505,2155,-0.034333,-1.232),(4505,2165,-0.033587,-1.2339),(4505,2175,-0.032795,-1.2357),(4505,2185,-0.032004,-1.2381),(4505,2195,-0.031213,-1.2406),(4505,2205,-0.030307,-1.2431),(4505,2215,-0.029352,-1.2456),(4505,2225,-0.028396,-1.2486),(4505,2235,-0.027441,-1.2518),(4505,2245,-0.026343,-1.255),(4505,2255,-0.025194,-1.2582),(4505,2265,-0.024045,-1.2619),(4505,2275,-0.022896,-1.2658),(4505,2285,-0.021574,-1.2696),(4505,2295,-0.020204,-1.2735),(4505,2305,-0.018833,-1.2779),(4505,2315,-0.017462,-1.2824),(4505,2325,-0.015885,-1.2869),(4505,2335,-0.014262,-1.2913),(4505,2345,-0.012638,-1.2963),(4505,2355,-0.011015,-1.3014),(4505,2365,-0.009141,-1.3065),(4505,2375,-0.007225,-1.3115),(4505,2385,-0.005308,-1.317),(4505,2395,-0.003392,-1.3226),(4505,2405,-0.001172,-1.3282),(4505,2415,0.001082,-1.3338),(4505,2425,0.003337,-1.3398),(4505,2435,0.005592,-1.3458),(4505,2445,0.008208,-1.3518),(4505,2455,0.010849,-1.3578),(4505,2465,0.013491,-1.3641),(4505,2475,0.016132,-1.3704),(4505,2485,0.019197,-1.3767),(4505,2495,0.022273,-1.3831),(4505,2505,0.025349,-1.3896),(4505,2515,0.028432,-1.3961),(4505,2525,0.031985,-1.4027),(4505,2535,0.035539,-1.4092),(4505,2545,0.039092,-1.4157),(4505,2555,0.042674,-1.4223),(4505,2565,0.046745,-1.4288),(4505,2575,0.050815,-1.4353),(4505,2585,0.054886,-1.4417),(4505,2595,0.059009,-1.448),(4505,2605,0.063634,-1.4544),(4505,2615,0.06826,-1.4607),(4505,2625,0.072886,-1.4667),(4505,2635,0.077589,-1.4727),(4505,2645,0.082799,-1.4787),(4505,2655,0.088008,-1.4846),(4505,2665,0.093218,-1.4901),(4505,2675,0.098531,-1.4955),(4505,2685,0.10434,-1.501),(4505,2695,0.11015,-1.5063),(4505,2705,0.11596,-1.5111),(4505,2715,0.1219,-1.5159),(4505,2725,0.12831,-1.5207),(4505,2735,0.13473,-1.5253),(4505,2745,0.14115,-1.5293),(4505,2755,0.14771,-1.5333),(4505,2765,0.15473,-1.5373),(4505,2775,0.16174,-1.5411),(4505,2785,0.16876,-1.5443),(4505,2795,0.17594,-1.5475),(4505,2805,0.18354,-1.5506),(4505,2815,0.19113,-1.5535),(4505,2825,0.19873,-1.5558),(4505,2835,0.20651,-1.558),(4505,2845,0.21465,-1.5603),(4505,2855,0.22279,-1.5622),(4505,2865,0.23093,-1.5636),(4505,2875,0.23926,-1.5649),(4505,2885,0.24791,-1.5662),(4505,2895,0.25655,-1.5671),(4505,2905,0.2652,-1.5675),(4505,2915,0.27402,-1.5678),(4505,2925,0.28311,-1.5681),(4505,2935,0.2922,-1.568),(4505,2945,0.30129,-1.5674),(4505,2955,0.31055,-1.5667),(4505,2965,0.32001,-1.5661),(4505,2975,0.32948,-1.565),(4505,2985,0.33894,-1.5633),(4505,2995,0.34855,-1.5617),(4505,3005,0.35831,-1.56),(4505,3015,0.36808,-1.5579),(4505,3025,0.37784,-1.5552),(4505,3035,0.38771,-1.5526),(4505,3045,0.39767,-1.55),(4505,3055,0.40764,-1.5468),(4505,3065,0.41761,-1.5431),(4505,3075,0.42763,-1.5395),(4505,3085,0.4377,-1.5359),(4505,3095,0.44777,-1.5317),(4505,3105,0.45784,-1.5271),(4505,3115,0.46791,-1.5225),(4505,3125,0.47798,-1.5178),(4505,3135,0.48805,-1.5126),(4505,3145,0.49812,-1.507),(4505,3155,0.50812,-1.5014),(4505,3165,0.51808,-1.4959),(4505,3175,0.52805,-1.4897),(4505,3185,0.53801,-1.4831),(4505,3195,0.54781,-1.4766),(4505,3205,0.55755,-1.4701),(4505,3215,0.56728,-1.463),(4505,3225,0.57702,-1.4556),(4505,3235,0.58649,-1.4482),(4505,3245,0.59586,-1.4409),(4505,3255,0.60523,-1.4329),(4505,3265,0.6146,-1.4248),(4505,3275,0.62357,-1.4166),(4505,3285,0.63242,-1.4085),(4505,3295,0.64127,-1.3997),(4505,3305,0.65012,-1.3909),(4505,3315,0.65842,-1.382),(4505,3325,0.66659,-1.3731),(4505,3335,0.67476,-1.3636),(4505,3345,0.68293,-1.354),(4505,3355,0.69038,-1.3444),(4505,3365,0.6977,-1.3348),(4505,3375,0.70502,-1.3246),(4505,3385,0.71234,-1.3143),(4505,3395,0.71878,-1.304),(4505,3405,0.72509,-1.2937),(4505,3415,0.73141,-1.2827),(4505,3425,0.73773,-1.2717),(4505,3435,0.743,-1.2607),(4505,3445,0.74819,-1.2497),(4505,3455,0.75338,-1.2381),(4505,3465,0.75857,-1.2264),(4505,3475,0.76257,-1.2148),(4505,3485,0.76653,-1.2031),(4505,3495,0.77049,-1.191),(4505,3505,0.77444,-1.1788),(4505,3515,0.7771,-1.1667),(4505,3525,0.77975,-1.1545),(4505,3535,0.78241,-1.142),(4505,3545,0.785,-1.1296),(4505,3555,0.78631,-1.1171),(4505,3565,0.78761,-1.1047),(4505,3575,0.78892,-1.0923),(4505,3585,0.79011,-1.0799),(4505,3595,0.79002,-1.0674),(4505,3605,0.78994,-1.0551),(4505,3615,0.78985,-1.043),(4505,3625,0.78959,-1.031),(4505,3635,0.78808,-1.019),(4505,3645,0.78658,-1.0071),(4505,3655,0.78507,-0.9958),(4505,3665,0.78334,-0.98453),(4505,3675,0.78043,-0.97325),(4505,3685,0.77753,-0.96218),(4505,3695,0.77462,-0.95198),(4505,3705,0.77144,-0.94179),(4505,3715,0.7672,-0.93159),(4505,3725,0.76296,-0.92169),(4505,3735,0.75871,-0.91284),(4505,3745,0.75418,-0.90399),(4505,3755,0.74873,-0.89514),(4505,3765,0.74327,-0.88671),(4505,3775,0.73782,-0.87944),(4505,3785,0.73209,-0.87218),(4505,3795,0.72563,-0.86491),(4505,3805,0.71917,-0.85817),(4505,3815,0.71271,-0.85265),(4505,3825,0.70606,-0.84713),(4505,3835,0.699,-0.84161),(4505,3845,0.69194,-0.83675),(4505,3855,0.68488,-0.83315),(4505,3865,0.67788,-0.82955),(4505,3875,0.67099,-0.82595),(4505,3885,0.6641,-0.82322),(4505,3895,0.65721,-0.82191),(4505,3905,0.65071,-0.8206),(4505,3915,0.64478,-0.81929),(4505,3925,0.63885,-0.8187),(4505,3935,0.63292,-0.81909),(4505,3945,0.62693,-0.81948),(4505,3955,0.62087,-0.81988),(4505,3965,0.6148,-0.8173),(4505,3975,0.60873,-0.81125),(4505,3985,0.61927,-0.8052),(4505,3995,0.64779,-0.79915),(4505,4005,0.67632,-0.80102),(4505,4015,0.70484,-0.81082),(4505,4025,0.90347,-0.82061),(4505,4035,1.1187,-0.79431),(4505,4045,1.334,-0.69192),(4505,4055,1.5713,-0.58953),(4505,4065,1.8166,-0.48863),(4505,4075,2.062,-0.39663),(4505,4085,2.1676,-0.30463),(4505,4095,2.1609,-0.21262),(4505,4105,2.1543,-0.14163),(4505,4115,2.1325,-0.071383),(4505,4125,2.0857,-0.00114),(4505,4135,2.0389,0.016235),(4505,4145,1.9937,0.01931),(4505,4155,1.955,0.022386),(4505,4165,1.9163,-0.018889),(4505,4175,1.8793,-0.088651),(4505,4185,1.9261,-0.15841),(4505,4195,1.9729,-0.18094),(4505,4205,2.0197,-0.14102),(4505,4215,2.0286,-0.1011),(4505,4225,2.0302,-0.058551),(4505,4235,2.0319,-0.008209),(4505,4245,2.0185,0.042133),(4505,4255,1.9975,0.091289),(4505,4265,1.9764,0.12566),(4505,4275,1.9341,0.16004),(4505,4285,1.8693,0.19442),(4505,4295,1.8044,0.10215),(4505,4305,1.7741,-0.004799),(4505,4315,1.8219,-0.11175),(4505,4325,1.8696,-0.12379),(4505,4335,1.9131,-0.098513),(4505,4345,1.9281,-0.073237),(4505,4355,1.9431,-0.034564),(4505,4365,1.9581,0.01554),(4505,4375,1.9477,0.065644),(4505,4385,1.9359,0.11366),(4505,4395,1.9242,0.158),(4505,4405,1.878,0.20233),(4505,4415,1.8217,0.2304),(4505,4425,1.7653,0.18593),(4505,4435,1.739,0.14146),(4505,4445,1.7332,0.096947),(4505,4455,1.7274,0.044299),(4505,4465,1.7431,-0.008348),(4505,4475,1.7889,-0.060996),(4505,4485,1.8347,-0.037467),(4505,4495,1.8699,0.002029),(4505,4505,1.8713,0.041526),(4505,4515,1.8727,0.088084),(4505,4525,1.8723,0.13847),(4505,4535,1.8454,0.18885),(4505,4545,1.8184,0.23016),(4505,4555,1.7914,0.26123),(4505,4565,1.7345,0.2923),(4505,4575,1.6737,0.2814),(4505,4585,1.6128,0.16874),(4505,4595,1.6348,0.056082),(4505,4605,1.6919,-0.041116),(4505,4615,1.7489,-0.018011),(4505,4625,1.781,0.005094),(4505,4635,1.7905,0.028198),(4505,4645,1.8,0.067358),(4505,4655,1.8022,0.10762),(4505,4665,1.7909,0.14789),(4505,4675,1.7796,0.18288),(4505,4685,1.7607,0.21619),(4505,4695,1.7046,0.24949),(4505,4705,1.6486,0.22608),(4505,4715,1.5925,0.16145),(4505,4725,1.6164,0.096821),(4505,4735,1.641,0.052343),(4505,4745,1.6657,0.037969),(4505,4755,1.696,0.023595),(4505,4765,1.7275,0.021773),(4505,4775,1.7591,0.063748),(4505,4785,1.7673,0.10572),(4505,4795,1.7621,0.14784),(4505,4805,1.7568,0.19301),(4505,4815,1.7347,0.23818),(4505,4825,1.6926,0.28336),(4505,4835,1.6505,0.2845),(4505,4845,1.6117,0.27884),(4505,4855,1.5816,0.27319),(4505,4865,1.5515,0.22166),(4505,4875,1.5295,0.14935),(4505,4885,1.5815,0.077034),(4505,4895,1.6335,0.057122),(4505,4905,1.6856,0.087576),(4505,4915,1.6904,0.11803),(4505,4925,1.6912,0.15213),(4505,4935,1.6919,0.19357),(4505,4945,1.6765,0.235),(4505,4955,1.6554,0.27463),(4505,4965,1.6343,0.30431),(4505,4975,1.5874,0.33398),(4505,4985,1.5205,0.36365),(4505,4995,1.4536,0.26044),(4505,5005,1.4346,0.15386),(4505,5015,1.4918,0.047276),(4505,5025,1.549,0.029434),(4505,5035,1.5996,0.034191),(4505,5045,1.6252,0.038948),(4505,5055,1.6508,0.067871),(4505,5065,1.6755,0.11168),(4505,5075,1.6675,0.15549),(4505,5085,1.6596,0.19884),(4505,5095,1.6517,0.24161),(4505,5105,1.6085,0.28437),(4505,5115,1.5592,0.30918),(4505,5125,1.5099,0.28355),(4505,5135,1.4911,0.25791),(4505,5145,1.487,0.23019),(4505,5155,1.483,0.17973),(4505,5165,1.5052,0.12927),(4505,5175,1.5543,0.078808),(4505,5185,1.6033,0.10983),(4505,5195,1.6351,0.14931),(4505,5205,1.63,0.18879),(4505,5215,1.6248,0.23506),(4505,5225,1.6157,0.28387),(4505,5235,1.5822,0.33268),(4505,5245,1.5487,0.37035),(4505,5255,1.5152,0.39889),(4505,5265,1.4616,0.42743),(4505,5275,1.4072,0.40078),(4505,5285,1.3528,0.28067),(4505,5295,1.404,0.16057),(4505,5305,1.4845,0.068358),(4505,5315,1.5651,0.092743),(4505,5325,1.5964,0.11713),(4505,5335,1.5955,0.14163),(4505,5345,1.5945,0.174),(4505,5355,1.5855,0.20636),(4505,5365,1.5659,0.23873),(4505,5375,1.5462,0.25916),(4505,5385,1.5183,0.27726),(4505,5395,1.4656,0.29535),(4505,5405,1.4129,0.23465),(4505,5415,1.3718,0.13307),(4505,5425,1.4879,0.031487),(4505,5435,1.6041,-0.032413),(4505,5445,1.7202,-0.055519),(4505,5455,1.7711,-0.078625),(4505,5465,1.814,-0.087627),(4505,5475,1.8569,-0.064032),(4505,5485,1.8723,-0.040437),(4505,5495,1.8766,-0.017635),(4505,5505,1.8809,-0.000449),(4505,5515,1.8838,0.016738),(4505,5525,1.8856,0.033924),(4505,5535,1.8873,0.047457),(4505,5545,1.8886,0.06078),(4505,5555,1.8889,0.074102),(4505,5565,1.8893,0.085636),(4505,5575,1.8894,0.096627),(4505,5585,1.8889,0.10762),(4505,5595,1.8883,0.11784),(4505,5605,1.8878,0.12752),(4505,5615,1.8865,0.1372),(4505,5625,1.8852,0.14661),(4505,5635,1.884,0.15563),(4505,5645,1.8822,0.16465),(4505,5655,1.8804,0.17364),(4505,5665,1.8785,0.1825),(4505,5675,1.8763,0.19137),(4505,5685,1.8738,0.20024),(4505,5695,1.8713,0.20939),(4505,5705,1.8686,0.21854),(4505,5715,1.8655,0.22769),(4505,5725,1.8623,0.23748),(4505,5735,1.859,0.24736),(4505,5745,1.855,0.25724),(4505,5755,1.8511,0.26799),(4505,5765,1.847,0.27912),(4505,5775,1.842,0.29025),(4505,5785,1.8369,0.30236),(4505,5795,1.8319,0.31537),(4505,5805,1.8254,0.32838),(4505,5815,1.8188,0.34236),(4505,5825,1.8122,0.35818),(4505,5835,1.8038,0.374),(4505,5845,1.7948,0.3905),(4505,5855,1.7858,0.41054),(4505,5865,1.7744,0.43057),(4505,5875,1.7613,0.4506),(4505,5885,1.7482,0.47694),(4505,5895,1.7322,0.50337),(4505,5905,1.7116,0.5298),(4505,5915,1.6911,0.56391),(4505,5925,1.6674,0.59985),(4505,5935,1.6323,0.6358),(4505,5945,1.5973,0.67927),(4505,5955,1.5612,0.72718),(4505,5965,1.4997,0.7751),(4505,5975,1.4382,0.82332),(4505,5985,1.3767,0.87192),(4505,5995,1.2758,0.92052),(4505,6005,1.1686,0.9369),(4505,6015,1.0614,0.86715),(4505,6025,1.165,0.79741),(4505,6035,1.3663,0.72355),(4505,6045,1.5677,0.6101),(4505,6055,1.8007,0.49666),(4505,6065,2.0648,0.38321),(4505,6075,2.3289,0.36582),(4505,6085,2.5145,0.35727),(4505,6095,2.5384,0.34871),(4505,6105,2.5623,0.34088),(4505,6115,2.5818,0.3333),(4505,6125,2.5759,0.32572),(4505,6135,2.57,0.31767),(4505,6145,2.5642,0.30925),(4505,6155,2.5578,0.30082),(4505,6165,2.5515,0.29246),(4505,6175,2.5452,0.28421),(4505,6185,2.54,0.27595),(4505,6195,2.5351,0.26778),(4505,6205,2.5302,0.25994),(4505,6215,2.526,0.2521),(4505,6225,2.5223,0.24428),(4505,6235,2.5185,0.23682),(4505,6245,2.5151,0.22935),(4505,6255,2.5122,0.22189),(4505,6265,2.5093,0.21472),(4505,6275,2.5066,0.2076),(4505,6285,2.5043,0.20047),(4505,6295,2.5021,0.19357),(4505,6305,2.4998,0.18677),(4505,6315,2.4981,0.17998),(4505,6325,2.4963,0.17332),(4505,6335,2.4945,0.16678),(4505,6345,2.4931,0.16025),(4505,6355,2.4917,0.15381),(4505,6365,2.4902,0.14756),(4505,6375,2.489,0.14131),(4505,6385,2.4879,0.1351),(4505,6395,2.4868,0.1291),(4505,6405,2.4858,0.1231),(4505,6415,2.4849,0.11711),(4505,6425,2.484,0.11122),(4505,6435,2.4832,0.10534),(4505,6445,2.4826,0.09946),(4505,6455,2.4819,0.093727),(4505,6465,2.4812,0.088036),(4505,6475,2.4807,0.082345),(4505,6485,2.4802,0.076734),(4505,6495,2.4797,0.071176),(4505,6505,2.4793,0.065619),(4505,6515,2.479,0.060072),(4505,6525,2.4786,0.054538),(4505,6535,2.4784,0.049005),(4505,6545,2.4781,0.043501),(4505,6555,2.4779,0.03809),(4505,6565,2.4778,0.032678),(4505,6575,2.4777,0.027266),(4505,6585,2.4776,0.021849),(4505,6595,2.1074,0.016432),(4505,6605,1.3286,0.011015),(4505,6615,0.54977,0.010336),(4505,6625,0.002283,0.010265),(4505,6635,0.002276,0.010195),(4505,6645,0.002269,0.010149),(4505,6655,0.002261,0.010114),(4505,6665,0.002254,0.010078),(4505,6675,0.002246,0.010044),(4505,6685,0.002239,0.010013),(4505,6695,0.002231,0.009982),(4505,6705,0.002223,0.009953),(4505,6715,0.002216,0.009926),(4505,6725,0.002208,0.009899),(4505,6735,0.002201,0.009872),(4505,6745,0.002194,0.009849),(4505,6755,0.002186,0.009825),(4505,6765,0.002179,0.009801),(4505,6775,0.002172,0.00978),(4505,6785,0.002165,0.009759),(4505,6795,0.002158,0.009739),(4505,6805,0.002151,0.00972),(4505,6815,0.002145,0.009701),(4505,6825,0.002138,0.009682),(4505,6835,0.002132,0.009665),(4505,6845,0.002125,0.009649),(4505,6855,0.002119,0.009632),(4505,6865,0.002113,0.009616),(4505,6875,0.002107,0.009601),(4505,6885,0.002102,0.009586),(4505,6895,0.002096,0.009571),(4505,6905,0.002091,0.009558),(4505,6915,0.002086,0.009544),(4505,6925,0.002081,0.00953),(4505,6935,0.002076,0.009518),(4505,6945,0.002071,0.009505),(4505,6955,0.002066,0.009492),(4505,6965,0.002061,0.009481),(4505,6975,0.002057,0.009469),(4505,6985,0.002053,0.009457),(4515,5,2.8e-05,-1.2111),(4515,15,8.4e-05,-1.2112),(4515,25,0.000137,-1.2114),(4515,35,0.000185,-1.2115),(4515,45,0.000234,-1.2117),(4515,55,0.000283,-1.2118),(4515,65,0.000326,-1.2119),(4515,75,0.000364,-1.212),(4515,85,0.000401,-1.2122),(4515,95,0.000439,-1.2124),(4515,105,0.000475,-1.2126),(4515,115,0.00051,-1.2129),(4515,125,0.000544,-1.2131),(4515,135,0.000579,-1.2134),(4515,145,0.000621,-1.2137),(4515,155,0.000668,-1.2139),(4515,165,0.000714,-1.2143),(4515,175,0.000761,-1.2147),(4515,185,0.000825,-1.215),(4515,195,0.000898,-1.2154),(4515,205,0.00097,-1.2159),(4515,215,0.001043,-1.2164),(4515,225,0.001133,-1.2169),(4515,235,0.001231,-1.2174),(4515,245,0.001329,-1.218),(4515,255,0.001427,-1.2186),(4515,265,0.001523,-1.2192),(4515,275,0.001619,-1.2199),(4515,285,0.001714,-1.2205),(4515,295,0.00181,-1.2212),(4515,305,0.001887,-1.2219),(4515,315,0.001959,-1.2226),(4515,325,0.002031,-1.2234),(4515,335,0.002104,-1.2241),(4515,345,0.002184,-1.2249),(4515,355,0.002267,-1.2256),(4515,365,0.00235,-1.2265),(4515,375,0.002432,-1.2274),(4515,385,0.002544,-1.2283),(4515,395,0.00266,-1.2292),(4515,405,0.002776,-1.2302),(4515,415,0.002892,-1.2313),(4515,425,0.003008,-1.2323),(4515,435,0.003125,-1.2333),(4515,445,0.003241,-1.2344),(4515,455,0.003357,-1.2355),(4515,465,0.00345,-1.2367),(4515,475,0.003542,-1.2378),(4515,485,0.003634,-1.2389),(4515,495,0.003726,-1.2401),(4515,505,0.003811,-1.2413),(4515,515,0.003895,-1.2425),(4515,525,0.00398,-1.2437),(4515,535,0.004065,-1.245),(4515,545,0.004174,-1.2463),(4515,555,0.004284,-1.2476),(4515,565,0.004393,-1.249),(4515,575,0.004505,-1.2505),(4515,585,0.004647,-1.2519),(4515,595,0.004789,-1.2533),(4515,605,0.00493,-1.2548),(4515,615,0.005075,-1.2564),(4515,625,0.005238,-1.2579),(4515,635,0.005402,-1.2595),(4515,645,0.005566,-1.2611),(4515,655,0.005731,-1.2627),(4515,665,0.005902,-1.2644),(4515,675,0.006073,-1.266),(4515,685,0.006245,-1.2677),(4515,695,0.006419,-1.2694),(4515,705,0.006605,-1.2711),(4515,715,0.006792,-1.2728),(4515,725,0.006978,-1.2746),(4515,735,0.007178,-1.2764),(4515,745,0.007421,-1.2782),(4515,755,0.007665,-1.28),(4515,765,0.007908,-1.2819),(4515,775,0.008167,-1.2838),(4515,785,0.00847,-1.2857),(4515,795,0.008773,-1.2876),(4515,805,0.009076,-1.2896),(4515,815,0.009393,-1.2916),(4515,825,0.009742,-1.2935),(4515,835,0.010091,-1.2955),(4515,845,0.010439,-1.2975),(4515,855,0.010813,-1.2994),(4515,865,0.011233,-1.3014),(4515,875,0.011653,-1.3034),(4515,885,0.012073,-1.3054),(4515,895,0.012527,-1.3074),(4515,905,0.013036,-1.3094),(4515,915,0.013544,-1.3113),(4515,925,0.014053,-1.3133),(4515,935,0.014606,-1.3152),(4515,945,0.015218,-1.3171),(4515,955,0.01583,-1.319),(4515,965,0.016442,-1.3208),(4515,975,0.017134,-1.3225),(4515,985,0.017916,-1.3243),(4515,995,0.018698,-1.326),(4515,1005,0.01948,-1.3275),(4515,1015,0.020393,-1.3291),(4515,1025,0.021431,-1.3307),(4515,1035,0.02247,-1.3321),(4515,1045,0.023508,-1.3333),(4515,1055,0.024732,-1.3345),(4515,1065,0.026108,-1.3357),(4515,1075,0.027484,-1.3366),(4515,1085,0.02886,-1.3373),(4515,1095,0.030483,-1.3379),(4515,1105,0.032278,-1.3385),(4515,1115,0.034073,-1.3385),(4515,1125,0.035869,-1.3381),(4515,1135,0.037954,-1.3377),(4515,1145,0.04021,-1.3373),(4515,1155,0.042466,-1.3358),(4515,1165,0.044723,-1.3336),(4515,1175,0.047479,-1.3313),(4515,1185,0.050482,-1.3291),(4515,1195,0.053486,-1.3248),(4515,1205,0.05649,-1.3196),(4515,1215,0.062681,-1.3143),(4515,1225,0.070186,-1.3091),(4515,1235,0.077691,-1.3016),(4515,1245,0.085196,-1.2932),(4515,1255,0.11133,-1.2848),(4515,1265,0.14376,-1.2764),(4515,1275,0.17618,-1.2714),(4515,1285,0.20861,-1.2673),(4515,1295,0.2426,-1.2632),(4515,1305,0.27703,-1.2591),(4515,1315,0.31145,-1.2406),(4515,1325,0.34587,-1.2187),(4515,1335,0.20007,-1.1967),(4515,1345,0.0165,-1.1748),(4515,1355,-0.16707,-1.1932),(4515,1365,-0.35064,-1.219),(4515,1375,-0.35445,-1.2447),(4515,1385,-0.33053,-1.2704),(4515,1395,-0.3066,-1.2738),(4515,1405,-0.28268,-1.2744),(4515,1415,-0.2407,-1.2749),(4515,1425,-0.19684,-1.2754),(4515,1435,-0.15299,-1.286),(4515,1445,-0.10913,-1.2974),(4515,1455,-0.1008,-1.3088),(4515,1465,-0.094515,-1.3202),(4515,1475,-0.088228,-1.3274),(4515,1485,-0.081942,-1.3345),(4515,1495,-0.080479,-1.3416),(4515,1505,-0.079089,-1.3487),(4515,1515,-0.077699,-1.3514),(4515,1525,-0.076301,-1.3541),(4515,1535,-0.074599,-1.3567),(4515,1545,-0.072898,-1.3593),(4515,1555,-0.071197,-1.3597),(4515,1565,-0.069498,-1.3601),(4515,1575,-0.067833,-1.3605),(4515,1585,-0.066167,-1.3609),(4515,1595,-0.064501,-1.3602),(4515,1605,-0.062871,-1.3595),(4515,1615,-0.061553,-1.3589),(4515,1625,-0.060235,-1.3582),(4515,1635,-0.058917,-1.357),(4515,1645,-0.057646,-1.3558),(4515,1655,-0.056654,-1.3547),(4515,1665,-0.055662,-1.3535),(4515,1675,-0.05467,-1.3521),(4515,1685,-0.053722,-1.3506),(4515,1695,-0.052969,-1.3492),(4515,1705,-0.052216,-1.3478),(4515,1715,-0.051464,-1.3463),(4515,1725,-0.050748,-1.3448),(4515,1735,-0.050166,-1.3432),(4515,1745,-0.049583,-1.3417),(4515,1755,-0.049,-1.3403),(4515,1765,-0.048446,-1.3388),(4515,1775,-0.047977,-1.3373),(4515,1785,-0.047507,-1.3358),(4515,1795,-0.047038,-1.3345),(4515,1805,-0.046589,-1.3331),(4515,1815,-0.046186,-1.3318),(4515,1825,-0.045783,-1.3305),(4515,1835,-0.04538,-1.3293),(4515,1845,-0.044988,-1.3282),(4515,1855,-0.044616,-1.3271),(4515,1865,-0.044245,-1.326),(4515,1875,-0.043874,-1.3251),(4515,1885,-0.043507,-1.3242),(4515,1895,-0.043146,-1.3233),(4515,1905,-0.042785,-1.3226),(4515,1915,-0.042425,-1.322),(4515,1925,-0.042062,-1.3214),(4515,1935,-0.041696,-1.3208),(4515,1945,-0.04133,-1.3203),(4515,1955,-0.040964,-1.32),(4515,1965,-0.040591,-1.3198),(4515,1975,-0.040211,-1.3195),(4515,1985,-0.039831,-1.3194),(4515,1995,-0.039451,-1.3194),(4515,2005,-0.039054,-1.3195),(4515,2015,-0.038641,-1.3196),(4515,2025,-0.038228,-1.3199),(4515,2035,-0.037815,-1.3203),(4515,2045,-0.037375,-1.3208),(4515,2055,-0.036911,-1.3213),(4515,2065,-0.036448,-1.322),(4515,2075,-0.035984,-1.3229),(4515,2085,-0.035486,-1.3239),(4515,2095,-0.034964,-1.3248),(4515,2105,-0.034442,-1.3261),(4515,2115,-0.033919,-1.3275),(4515,2125,-0.033343,-1.329),(4515,2135,-0.032732,-1.3304),(4515,2145,-0.032122,-1.3323),(4515,2155,-0.031512,-1.3344),(4515,2165,-0.030817,-1.3364),(4515,2175,-0.030077,-1.3385),(4515,2185,-0.029338,-1.3411),(4515,2195,-0.028598,-1.3438),(4515,2205,-0.027747,-1.3466),(4515,2215,-0.026847,-1.3493),(4515,2225,-0.025947,-1.3526),(4515,2235,-0.025047,-1.356),(4515,2245,-0.024008,-1.3594),(4515,2255,-0.022919,-1.3629),(4515,2265,-0.021831,-1.3668),(4515,2275,-0.020742,-1.3709),(4515,2285,-0.01949,-1.3751),(4515,2295,-0.01819,-1.3792),(4515,2305,-0.01689,-1.3838),(4515,2315,-0.01559,-1.3886),(4515,2325,-0.014097,-1.3934),(4515,2335,-0.01256,-1.3982),(4515,2345,-0.011024,-1.4034),(4515,2355,-0.009487,-1.4088),(4515,2365,-0.007717,-1.4141),(4515,2375,-0.005907,-1.4195),(4515,2385,-0.004097,-1.4253),(4515,2395,-0.002286,-1.4312),(4515,2405,-0.000194,-1.4371),(4515,2415,0.001932,-1.443),(4515,2425,0.004058,-1.4493),(4515,2435,0.006183,-1.4556),(4515,2445,0.008647,-1.4619),(4515,2455,0.011133,-1.4682),(4515,2465,0.013619,-1.4748),(4515,2475,0.016106,-1.4815),(4515,2485,0.018988,-1.4881),(4515,2495,0.021881,-1.4948),(4515,2505,0.024773,-1.5016),(4515,2515,0.027672,-1.5084),(4515,2525,0.031009,-1.5153),(4515,2535,0.034347,-1.5221),(4515,2545,0.037685,-1.5289),(4515,2555,0.041049,-1.5358),(4515,2565,0.044869,-1.5426),(4515,2575,0.048689,-1.5494),(4515,2585,0.05251,-1.5561),(4515,2595,0.056379,-1.5627),(4515,2605,0.060722,-1.5693),(4515,2615,0.065064,-1.5759),(4515,2625,0.069406,-1.5822),(4515,2635,0.073822,-1.5884),(4515,2645,0.078716,-1.5947),(4515,2655,0.08361,-1.6008),(4515,2665,0.088503,-1.6065),(4515,2675,0.093495,-1.6121),(4515,2685,0.098957,-1.6178),(4515,2695,0.10442,-1.6233),(4515,2705,0.10988,-1.6282),(4515,2715,0.11546,-1.6332),(4515,2725,0.1215,-1.6381),(4515,2735,0.12754,-1.6428),(4515,2745,0.13357,-1.6469),(4515,2755,0.13976,-1.651),(4515,2765,0.14636,-1.6551),(4515,2775,0.15297,-1.6589),(4515,2785,0.15958,-1.662),(4515,2795,0.16634,-1.6652),(4515,2805,0.1735,-1.6683),(4515,2815,0.18066,-1.6712),(4515,2825,0.18782,-1.6733),(4515,2835,0.19515,-1.6754),(4515,2845,0.20283,-1.6775),(4515,2855,0.2105,-1.6793),(4515,2865,0.21818,-1.6803),(4515,2875,0.22604,-1.6814),(4515,2885,0.2342,-1.6825),(4515,2895,0.24235,-1.6831),(4515,2905,0.25051,-1.683),(4515,2915,0.25884,-1.683),(4515,2925,0.26742,-1.6829),(4515,2935,0.27599,-1.6824),(4515,2945,0.28457,-1.6812),(4515,2955,0.29331,-1.68),(4515,2965,0.30224,-1.6788),(4515,2975,0.31118,-1.6771),(4515,2985,0.32011,-1.6747),(4515,2995,0.32918,-1.6723),(4515,3005,0.33839,-1.67),(4515,3015,0.3476,-1.667),(4515,3025,0.35681,-1.6635),(4515,3035,0.36612,-1.66),(4515,3045,0.37552,-1.6564),(4515,3055,0.38492,-1.6523),(4515,3065,0.39432,-1.6475),(4515,3075,0.40377,-1.6428),(4515,3085,0.41325,-1.6381),(4515,3095,0.42274,-1.6326),(4515,3105,0.43223,-1.6267),(4515,3115,0.44171,-1.6207),(4515,3125,0.45119,-1.6148),(4515,3135,0.46067,-1.6081),(4515,3145,0.47014,-1.6009),(4515,3155,0.47955,-1.5938),(4515,3165,0.48893,-1.5866),(4515,3175,0.4983,-1.5786),(4515,3185,0.50767,-1.5702),(4515,3195,0.51689,-1.5619),(4515,3205,0.52605,-1.5535),(4515,3215,0.5352,-1.5443),(4515,3225,0.54436,-1.5347),(4515,3235,0.55326,-1.5252),(4515,3245,0.56206,-1.5156),(4515,3255,0.57087,-1.5053),(4515,3265,0.57967,-1.4946),(4515,3275,0.58809,-1.484),(4515,3285,0.59639,-1.4733),(4515,3295,0.60469,-1.4618),(4515,3305,0.61299,-1.4502),(4515,3315,0.62076,-1.4385),(4515,3325,0.6284,-1.4268),(4515,3335,0.63604,-1.4143),(4515,3345,0.64367,-1.4017),(4515,3355,0.65061,-1.3891),(4515,3365,0.65742,-1.3765),(4515,3375,0.66423,-1.3631),(4515,3385,0.67103,-1.3496),(4515,3395,0.67698,-1.3361),(4515,3405,0.68281,-1.3227),(4515,3415,0.68864,-1.3085),(4515,3425,0.69448,-1.2943),(4515,3435,0.69931,-1.2801),(4515,3445,0.70406,-1.2659),(4515,3455,0.70881,-1.2512),(4515,3465,0.71355,-1.2365),(4515,3475,0.71718,-1.2218),(4515,3485,0.72076,-1.207),(4515,3495,0.72434,-1.1919),(4515,3505,0.72791,-1.1768),(4515,3515,0.73028,-1.1617),(4515,3525,0.73265,-1.1467),(4515,3535,0.73502,-1.1315),(4515,3545,0.73733,-1.1163),(4515,3555,0.73846,-1.1011),(4515,3565,0.73959,-1.086),(4515,3575,0.74072,-1.071),(4515,3585,0.74175,-1.056),(4515,3595,0.74161,-1.0411),(4515,3605,0.74147,-1.0262),(4515,3615,0.74133,-1.0118),(4515,3625,0.74103,-0.99742),(4515,3635,0.73959,-0.98304),(4515,3645,0.73816,-0.96878),(4515,3655,0.73672,-0.95534),(4515,3665,0.73508,-0.9419),(4515,3675,0.73236,-0.92845),(4515,3685,0.72964,-0.91524),(4515,3695,0.72692,-0.90308),(4515,3705,0.72396,-0.89093),(4515,3715,0.72003,-0.87877),(4515,3725,0.7161,-0.86696),(4515,3735,0.71217,-0.85638),(4515,3745,0.70798,-0.84581),(4515,3755,0.70296,-0.83523),(4515,3765,0.69795,-0.82513),(4515,3775,0.69293,-0.81639),(4515,3785,0.68767,-0.80766),(4515,3795,0.68178,-0.79892),(4515,3805,0.6759,-0.79078),(4515,3815,0.67001,-0.78405),(4515,3825,0.66398,-0.77731),(4515,3835,0.65766,-0.77058),(4515,3845,0.65134,-0.76458),(4515,3855,0.64502,-0.75998),(4515,3865,0.63886,-0.75539),(4515,3875,0.63296,-0.7508),(4515,3885,0.62707,-0.74715),(4515,3895,0.62117,-0.74505),(4515,3905,0.61567,-0.74294),(4515,3915,0.61076,-0.74084),(4515,3925,0.60585,-0.73999),(4515,3935,0.60094,-0.74086),(4515,3945,0.59506,-0.74174),(4515,3955,0.58795,-0.74261),(4515,3965,0.58084,-0.74455),(4515,3975,0.57373,-0.74772),(4515,3985,0.58756,-0.75089),(4515,3995,0.62405,-0.75406),(4515,4005,0.66054,-0.76307),(4515,4015,0.69703,-0.77792),(4515,4025,0.86723,-0.79277),(4515,4035,1.0505,-0.77631),(4515,4045,1.2338,-0.69386),(4515,4055,1.4651,-0.61141),(4515,4065,1.714,-0.52909),(4515,4075,1.9629,-0.44757),(4515,4085,2.0739,-0.36604),(4515,4095,2.0743,-0.28452),(4515,4105,2.0747,-0.22116),(4515,4115,2.0656,-0.15844),(4515,4125,2.0408,-0.095729),(4515,4135,2.016,-0.075542),(4515,4145,1.9932,-0.066858),(4515,4155,1.9787,-0.058173),(4515,4165,1.9642,-0.082433),(4515,4175,1.9502,-0.12786),(4515,4185,1.9603,-0.17328),(4515,4195,1.9705,-0.18489),(4515,4205,1.9806,-0.15181),(4515,4215,1.9807,-0.11874),(4515,4225,1.9789,-0.083667),(4515,4235,1.9772,-0.042688),(4515,4245,1.966,-0.001708),(4515,4255,1.9501,0.038208),(4515,4265,1.9342,0.064873),(4515,4275,1.9174,0.091539),(4515,4285,1.8998,0.1182),(4515,4295,1.8821,0.054408),(4515,4305,1.871,-0.019883),(4515,4315,1.8745,-0.094174),(4515,4325,1.8779,-0.10133),(4515,4335,1.8819,-0.082089),(4515,4345,1.8887,-0.06285),(4515,4355,1.8956,-0.032564),(4515,4365,1.9025,0.007148),(4515,4375,1.8934,0.046859),(4515,4385,1.8835,0.084654),(4515,4395,1.8736,0.11906),(4515,4405,1.8506,0.15347),(4515,4415,1.8237,0.17568),(4515,4425,1.7969,0.14347),(4515,4435,1.7842,0.11126),(4515,4445,1.7811,0.07903),(4515,4455,1.778,0.041308),(4515,4465,1.7825,0.003586),(4515,4475,1.7977,-0.034135),(4515,4485,1.8129,-0.015372),(4515,4495,1.8239,0.015232),(4515,4505,1.8217,0.045835),(4515,4515,1.8195,0.081887),(4515,4525,1.8162,0.12089),(4515,4535,1.7954,0.1599),(4515,4545,1.7746,0.19063),(4515,4555,1.7538,0.21206),(4515,4565,1.74,0.23349),(4515,4575,1.7272,0.22516),(4515,4585,1.7143,0.1447),(4515,4595,1.7188,0.064241),(4515,4605,1.7305,-0.005138),(4515,4615,1.7422,0.011698),(4515,4625,1.7498,0.028534),(4515,4635,1.7537,0.04537),(4515,4645,1.7576,0.075472),(4515,4655,1.757,0.10649),(4515,4665,1.7479,0.1375),(4515,4675,1.7388,0.16385),(4515,4685,1.7272,0.1887),(4515,4695,1.7038,0.21356),(4515,4705,1.6803,0.19665),(4515,4715,1.6568,0.1494),(4515,4725,1.6645,0.10215),(4515,4735,1.6724,0.069826),(4515,4745,1.6804,0.059809),(4515,4755,1.6923,0.049791),(4515,4765,1.7053,0.049352),(4515,4775,1.7182,0.082331),(4515,4785,1.7189,0.11531),(4515,4795,1.7125,0.14837),(4515,4805,1.7062,0.18327),(4515,4815,1.6912,0.21817),(4515,4825,1.6658,0.25307),(4515,4835,1.6404,0.25328),(4515,4845,1.6199,0.24815),(4515,4855,1.6121,0.24302),(4515,4865,1.6042,0.20537),(4515,4875,1.5989,0.15298),(4515,4885,1.6167,0.10059),(4515,4895,1.6346,0.086846),(4515,4905,1.6524,0.11025),(4515,4915,1.6512,0.13365),(4515,4925,1.6483,0.15978),(4515,4935,1.6455,0.19144),(4515,4945,1.6319,0.22309),(4515,4955,1.6145,0.25295),(4515,4965,1.5971,0.27295),(4515,4975,1.5775,0.29295),(4515,4985,1.556,0.31295),(4515,4995,1.5345,0.23683),(4515,5005,1.5291,0.15826),(4515,5015,1.5493,0.079698),(4515,5025,1.5694,0.066381),(4515,5035,1.588,0.069679),(4515,5045,1.6008,0.072978),(4515,5055,1.6135,0.095418),(4515,5065,1.6257,0.12965),(4515,5075,1.6181,0.16388),(4515,5085,1.6104,0.19739),(4515,5095,1.6028,0.22997),(4515,5105,1.579,0.26256),(4515,5115,1.5523,0.28132),(4515,5125,1.5256,0.2612),(4515,5135,1.5198,0.24108),(4515,5145,1.5241,0.21963),(4515,5155,1.5285,0.18361),(4515,5165,1.5402,0.1476),(4515,5175,1.5593,0.11158),(4515,5185,1.5785,0.13647),(4515,5195,1.589,0.16769),(4515,5205,1.5806,0.1989),(4515,5215,1.5723,0.23424),(4515,5225,1.5614,0.27112),(4515,5235,1.5343,0.308),(4515,5245,1.5071,0.33345),(4515,5255,1.48,0.34953),(4515,5265,1.4743,0.3656),(4515,5275,1.4696,0.34258),(4515,5285,1.4648,0.25336),(4515,5295,1.4892,0.16414),(4515,5305,1.5217,0.095497),(4515,5315,1.5541,0.1129),(4515,5325,1.5648,0.13029),(4515,5335,1.5611,0.14776),(4515,5345,1.5575,0.17005),(4515,5355,1.5489,0.19233),(4515,5365,1.5336,0.21462),(4515,5375,1.5183,0.22371),(4515,5385,1.5036,0.23022),(4515,5395,1.4904,0.23674),(4515,5405,1.4773,0.18341),(4515,5415,1.4714,0.099036),(4515,5425,1.5618,0.01466),(4515,5435,1.6523,-0.036891),(4515,5445,1.7428,-0.052908),(4515,5455,1.7771,-0.068925),(4515,5465,1.8046,-0.07408),(4515,5475,1.832,-0.054132),(4515,5485,1.8445,-0.034185),(4515,5495,1.851,-0.01476),(4515,5505,1.8574,0.00096),(4515,5515,1.862,0.016679),(4515,5525,1.8651,0.032399),(4515,5535,1.8681,0.045431),(4515,5545,1.8704,0.058308),(4515,5555,1.8715,0.071185),(4515,5565,1.8726,0.082654),(4515,5575,1.8735,0.093696),(4515,5585,1.8734,0.10474),(4515,5595,1.8733,0.11516),(4515,5605,1.8731,0.12514),(4515,5615,1.8721,0.13512),(4515,5625,1.8711,0.14489),(4515,5635,1.87,0.15436),(4515,5645,1.8684,0.16382),(4515,5655,1.8666,0.17327),(4515,5665,1.8648,0.18265),(4515,5675,1.8625,0.19204),(4515,5685,1.86,0.20144),(4515,5695,1.8574,0.21117),(4515,5705,1.8545,0.22089),(4515,5715,1.8512,0.23062),(4515,5725,1.8478,0.24101),(4515,5735,1.8442,0.25149),(4515,5745,1.8399,0.26198),(4515,5755,1.8356,0.27335),(4515,5765,1.8311,0.28509),(4515,5775,1.8255,0.29684),(4515,5785,1.8199,0.30955),(4515,5795,1.8143,0.32316),(4515,5805,1.807,0.33677),(4515,5815,1.7995,0.35129),(4515,5825,1.7921,0.3676),(4515,5835,1.7825,0.3839),(4515,5845,1.7722,0.40083),(4515,5855,1.7618,0.42102),(4515,5865,1.7488,0.4412),(4515,5875,1.7337,0.46138),(4515,5885,1.7186,0.487),(4515,5895,1.7001,0.5127),(4515,5905,1.6765,0.5384),(4515,5915,1.6529,0.56995),(4515,5925,1.626,0.60291),(4515,5935,1.5869,0.63586),(4515,5945,1.5479,0.67289),(4515,5955,1.5079,0.71231),(4515,5965,1.4457,0.75174),(4515,5975,1.3834,0.78691),(4515,5985,1.3212,0.8169),(4515,5995,1.253,0.84689),(4515,6005,1.1838,0.84756),(4515,6015,1.1145,0.76989),(4515,6025,1.2401,0.69222),(4515,6035,1.4559,0.61229),(4515,6045,1.6718,0.51055),(4515,6055,1.8949,0.40882),(4515,6065,2.125,0.30708),(4515,6075,2.3551,0.29394),(4515,6085,2.5178,0.28895),(4515,6095,2.5414,0.28396),(4515,6105,2.565,0.28013),(4515,6115,2.5843,0.27673),(4515,6125,2.5786,0.27332),(4515,6135,2.5729,0.26893),(4515,6145,2.5673,0.26376),(4515,6155,2.5609,0.2586),(4515,6165,2.5545,0.25317),(4515,6175,2.5481,0.24735),(4515,6185,2.5428,0.24152),(4515,6195,2.5378,0.23566),(4515,6205,2.5328,0.22968),(4515,6215,2.5284,0.2237),(4515,6225,2.5245,0.21772),(4515,6235,2.5206,0.21172),(4515,6245,2.5171,0.20573),(4515,6255,2.5141,0.19973),(4515,6265,2.5111,0.19378),(4515,6275,2.5082,0.18784),(4515,6285,2.5059,0.18189),(4515,6295,2.5035,0.17603),(4515,6305,2.5012,0.1702),(4515,6315,2.4993,0.16437),(4515,6325,2.4974,0.15859),(4515,6335,2.4956,0.15287),(4515,6345,2.494,0.14714),(4515,6355,2.4925,0.14147),(4515,6365,2.491,0.13591),(4515,6375,2.4898,0.13035),(4515,6385,2.4886,0.12481),(4515,6395,2.4874,0.1194),(4515,6405,2.4864,0.114),(4515,6415,2.4854,0.1086),(4515,6425,2.4845,0.10325),(4515,6435,2.4836,0.097902),(4515,6445,2.4829,0.092556),(4515,6455,2.4822,0.087312),(4515,6465,2.4815,0.082099),(4515,6475,2.481,0.076885),(4515,6485,2.4804,0.071729),(4515,6495,2.4799,0.066612),(4515,6505,2.4795,0.061495),(4515,6515,2.4791,0.056378),(4515,6525,2.4787,0.051262),(4515,6535,2.4784,0.046146),(4515,6545,2.4782,0.041055),(4515,6555,2.478,0.036044),(4515,6565,2.4778,0.031033),(4515,6575,2.4777,0.026022),(4515,6585,2.4776,0.020999),(4515,6595,2.1074,0.015976),(4515,6605,1.3286,0.010953),(4515,6615,0.5498,0.010321),(4515,6625,0.002319,0.010253),(4515,6635,0.00231,0.010184),(4515,6645,0.002301,0.010139),(4515,6655,0.002292,0.010103),(4515,6665,0.002283,0.010067),(4515,6675,0.002274,0.010034),(4515,6685,0.002265,0.010003),(4515,6695,0.002256,0.009973),(4515,6705,0.002247,0.009943),(4515,6715,0.002238,0.009916),(4515,6725,0.00223,0.009889),(4515,6735,0.002221,0.009863),(4515,6745,0.002213,0.00984),(4515,6755,0.002204,0.009816),(4515,6765,0.002196,0.009793),(4515,6775,0.002188,0.009772),(4515,6785,0.002181,0.009751),(4515,6795,0.002173,0.00973),(4515,6805,0.002166,0.009712),(4515,6815,0.002158,0.009693),(4515,6825,0.002151,0.009675),(4515,6835,0.002144,0.009658),(4515,6845,0.002137,0.009641),(4515,6855,0.002131,0.009625),(4515,6865,0.002124,0.009609),(4515,6875,0.002118,0.009594),(4515,6885,0.002112,0.00958),(4515,6895,0.002106,0.009565),(4515,6905,0.0021,0.009552),(4515,6915,0.002094,0.009538),(4515,6925,0.002089,0.009525),(4515,6935,0.002084,0.009512),(4515,6945,0.002079,0.0095),(4515,6955,0.002074,0.009487),(4515,6965,0.002069,0.009476),(4515,6975,0.002064,0.009464),(4515,6985,0.00206,0.009453),(4525,5,2.5e-05,-1.3044),(4525,15,7.5e-05,-1.3045),(4525,25,0.000122,-1.3047),(4525,35,0.000164,-1.3049),(4525,45,0.000206,-1.305),(4525,55,0.000249,-1.3051),(4525,65,0.000284,-1.3053),(4525,75,0.000313,-1.3054),(4525,85,0.000342,-1.3056),(4525,95,0.000371,-1.3058),(4525,105,0.000398,-1.3061),(4525,115,0.000422,-1.3063),(4525,125,0.000447,-1.3066),(4525,135,0.000471,-1.3069),(4525,145,0.000503,-1.3071),(4525,155,0.00054,-1.3074),(4525,165,0.000577,-1.3078),(4525,175,0.000614,-1.3082),(4525,185,0.000671,-1.3086),(4525,195,0.000737,-1.309),(4525,205,0.000804,-1.3095),(4525,215,0.00087,-1.31),(4525,225,0.000959,-1.3106),(4525,235,0.001055,-1.3111),(4525,245,0.001152,-1.3117),(4525,255,0.001249,-1.3124),(4525,265,0.001344,-1.3131),(4525,275,0.00144,-1.3137),(4525,285,0.001535,-1.3145),(4525,295,0.00163,-1.3152),(4525,305,0.001703,-1.316),(4525,315,0.00177,-1.3168),(4525,325,0.001836,-1.3176),(4525,335,0.001903,-1.3184),(4525,345,0.001976,-1.3192),(4525,355,0.002051,-1.32),(4525,365,0.002126,-1.3209),(4525,375,0.002201,-1.3219),(4525,385,0.00231,-1.3228),(4525,395,0.002423,-1.3238),(4525,405,0.002536,-1.3249),(4525,415,0.002648,-1.326),(4525,425,0.002762,-1.3271),(4525,435,0.002875,-1.3282),(4525,445,0.002989,-1.3294),(4525,455,0.003102,-1.3306),(4525,465,0.003186,-1.3318),(4525,475,0.003268,-1.333),(4525,485,0.00335,-1.3343),(4525,495,0.003433,-1.3356),(4525,505,0.003501,-1.3368),(4525,515,0.003569,-1.3381),(4525,525,0.003636,-1.3395),(4525,535,0.003705,-1.3408),(4525,545,0.003797,-1.3422),(4525,555,0.003889,-1.3436),(4525,565,0.003981,-1.3451),(4525,575,0.004075,-1.3466),(4525,585,0.004201,-1.3482),(4525,595,0.004326,-1.3497),(4525,605,0.004452,-1.3513),(4525,615,0.00458,-1.353),(4525,625,0.004727,-1.3546),(4525,635,0.004875,-1.3563),(4525,645,0.005023,-1.358),(4525,655,0.005171,-1.3598),(4525,665,0.005321,-1.3616),(4525,675,0.005472,-1.3633),(4525,685,0.005622,-1.3652),(4525,695,0.005774,-1.367),(4525,705,0.005933,-1.3688),(4525,715,0.006092,-1.3707),(4525,725,0.006252,-1.3726),(4525,735,0.006424,-1.3745),(4525,745,0.006638,-1.3764),(4525,755,0.006853,-1.3783),(4525,765,0.007068,-1.3803),(4525,775,0.007299,-1.3824),(4525,785,0.007574,-1.3844),(4525,795,0.007848,-1.3865),(4525,805,0.008123,-1.3886),(4525,815,0.00841,-1.3907),(4525,825,0.008724,-1.3928),(4525,835,0.009038,-1.3949),(4525,845,0.009353,-1.397),(4525,855,0.00969,-1.3991),(4525,865,0.010068,-1.4012),(4525,875,0.010446,-1.4033),(4525,885,0.010825,-1.4054),(4525,895,0.011235,-1.4076),(4525,905,0.011693,-1.4097),(4525,915,0.012151,-1.4118),(4525,925,0.012609,-1.4139),(4525,935,0.013106,-1.4159),(4525,945,0.013652,-1.418),(4525,955,0.014198,-1.42),(4525,965,0.014744,-1.4219),(4525,975,0.015362,-1.4238),(4525,985,0.01606,-1.4257),(4525,995,0.016758,-1.4274),(4525,1005,0.017456,-1.4291),(4525,1015,0.018275,-1.4308),(4525,1025,0.019211,-1.4324),(4525,1035,0.020146,-1.4339),(4525,1045,0.021081,-1.4352),(4525,1055,0.022183,-1.4365),(4525,1065,0.023423,-1.4378),(4525,1075,0.024662,-1.4388),(4525,1085,0.025901,-1.4394),(4525,1095,0.027344,-1.4401),(4525,1105,0.028929,-1.4408),(4525,1115,0.030514,-1.4408),(4525,1125,0.032099,-1.4404),(4525,1135,0.033871,-1.44),(4525,1145,0.035754,-1.4396),(4525,1155,0.037637,-1.4381),(4525,1165,0.03952,-1.436),(4525,1175,0.04172,-1.4339),(4525,1185,0.044078,-1.4318),(4525,1195,0.046436,-1.4279),(4525,1205,0.048794,-1.4232),(4525,1215,0.054377,-1.4185),(4525,1225,0.061291,-1.4138),(4525,1235,0.068205,-1.4068),(4525,1245,0.075118,-1.3989),(4525,1255,0.10245,-1.391),(4525,1265,0.13667,-1.3832),(4525,1275,0.17089,-1.3707),(4525,1285,0.20512,-1.3569),(4525,1295,0.2364,-1.3431),(4525,1305,0.26688,-1.3293),(4525,1315,0.29736,-1.2951),(4525,1325,0.32784,-1.256),(4525,1335,0.19011,-1.2168),(4525,1345,0.017121,-1.1777),(4525,1355,-0.15587,-1.2069),(4525,1365,-0.32886,-1.2484),(4525,1375,-0.33624,-1.2899),(4525,1385,-0.31806,-1.3314),(4525,1395,-0.29988,-1.3487),(4525,1405,-0.28171,-1.3629),(4525,1415,-0.23675,-1.377),(4525,1425,-0.18901,-1.3912),(4525,1435,-0.14126,-1.4008),(4525,1445,-0.093522,-1.41),(4525,1455,-0.085734,-1.4192),(4525,1465,-0.080246,-1.4285),(4525,1475,-0.074759,-1.4342),(4525,1485,-0.069271,-1.4397),(4525,1495,-0.068763,-1.4453),(4525,1505,-0.06833,-1.4509),(4525,1515,-0.067897,-1.4532),(4525,1525,-0.067444,-1.4556),(4525,1535,-0.066221,-1.458),(4525,1545,-0.064997,-1.4602),(4525,1555,-0.063774,-1.4606),(4525,1565,-0.062537,-1.461),(4525,1575,-0.061093,-1.4614),(4525,1585,-0.059649,-1.4617),(4525,1595,-0.058206,-1.461),(4525,1605,-0.056789,-1.4603),(4525,1615,-0.055601,-1.4597),(4525,1625,-0.054414,-1.4589),(4525,1635,-0.053226,-1.4577),(4525,1645,-0.052081,-1.4565),(4525,1655,-0.051184,-1.4553),(4525,1665,-0.050287,-1.4541),(4525,1675,-0.049391,-1.4526),(4525,1685,-0.048534,-1.4512),(4525,1695,-0.047856,-1.4497),(4525,1705,-0.047178,-1.4482),(4525,1715,-0.0465,-1.4467),(4525,1725,-0.045857,-1.4451),(4525,1735,-0.045336,-1.4436),(4525,1745,-0.044815,-1.442),(4525,1755,-0.044294,-1.4405),(4525,1765,-0.043801,-1.439),(4525,1775,-0.043384,-1.4374),(4525,1785,-0.042968,-1.4359),(4525,1795,-0.042551,-1.4346),(4525,1805,-0.042153,-1.4332),(4525,1815,-0.041795,-1.4318),(4525,1825,-0.041438,-1.4305),(4525,1835,-0.041081,-1.4293),(4525,1845,-0.040732,-1.4282),(4525,1855,-0.0404,-1.427),(4525,1865,-0.040068,-1.4259),(4525,1875,-0.039736,-1.425),(4525,1885,-0.039406,-1.4241),(4525,1895,-0.039078,-1.4233),(4525,1905,-0.038751,-1.4225),(4525,1915,-0.038423,-1.4219),(4525,1925,-0.038092,-1.4213),(4525,1935,-0.037756,-1.4208),(4525,1945,-0.037419,-1.4203),(4525,1955,-0.037083,-1.4201),(4525,1965,-0.03674,-1.4199),(4525,1975,-0.03639,-1.4196),(4525,1985,-0.036039,-1.4196),(4525,1995,-0.035688,-1.4197),(4525,2005,-0.035322,-1.4199),(4525,2015,-0.034942,-1.42),(4525,2025,-0.034561,-1.4204),(4525,2035,-0.034181,-1.4209),(4525,2045,-0.033775,-1.4215),(4525,2055,-0.033348,-1.4221),(4525,2065,-0.032921,-1.4229),(4525,2075,-0.032494,-1.424),(4525,2085,-0.032038,-1.4251),(4525,2095,-0.03156,-1.4261),(4525,2105,-0.031083,-1.4275),(4525,2115,-0.030605,-1.4292),(4525,2125,-0.030079,-1.4308),(4525,2135,-0.029523,-1.4324),(4525,2145,-0.028967,-1.4345),(4525,2155,-0.028412,-1.4368),(4525,2165,-0.027776,-1.439),(4525,2175,-0.027098,-1.4413),(4525,2185,-0.026421,-1.4441),(4525,2195,-0.025744,-1.447),(4525,2205,-0.024959,-1.45),(4525,2215,-0.024129,-1.453),(4525,2225,-0.023298,-1.4565),(4525,2235,-0.022468,-1.4601),(4525,2245,-0.021504,-1.4638),(4525,2255,-0.020493,-1.4675),(4525,2265,-0.019482,-1.4717),(4525,2275,-0.018471,-1.4761),(4525,2285,-0.017304,-1.4805),(4525,2295,-0.016092,-1.4849),(4525,2305,-0.014881,-1.4898),(4525,2315,-0.013669,-1.4948),(4525,2325,-0.012276,-1.4999),(4525,2335,-0.010843,-1.505),(4525,2345,-0.00941,-1.5105),(4525,2355,-0.007977,-1.5162),(4525,2365,-0.006326,-1.5218),(4525,2375,-0.004639,-1.5275),(4525,2385,-0.002952,-1.5336),(4525,2395,-0.001265,-1.5398),(4525,2405,0.000684,-1.546),(4525,2415,0.002664,-1.5522),(4525,2425,0.004643,-1.5588),(4525,2435,0.006622,-1.5654),(4525,2445,0.008913,-1.572),(4525,2455,0.011226,-1.5787),(4525,2465,0.013539,-1.5856),(4525,2475,0.015851,-1.5925),(4525,2485,0.018531,-1.5995),(4525,2495,0.021219,-1.6064),(4525,2505,0.023908,-1.6136),(4525,2515,0.026603,-1.6207),(4525,2525,0.029704,-1.6279),(4525,2535,0.032806,-1.635),(4525,2545,0.035907,-1.6421),(4525,2555,0.039033,-1.6493),(4525,2565,0.042583,-1.6564),(4525,2575,0.046132,-1.6635),(4525,2585,0.049682,-1.6704),(4525,2595,0.053277,-1.6774),(4525,2605,0.057313,-1.6843),(4525,2615,0.061348,-1.6912),(4525,2625,0.065384,-1.6976),(4525,2635,0.069489,-1.7041),(4525,2645,0.07404,-1.7106),(4525,2655,0.078592,-1.717),(4525,2665,0.083143,-1.7229),(4525,2675,0.087787,-1.7288),(4525,2685,0.092871,-1.7346),(4525,2695,0.097954,-1.7403),(4525,2705,0.10304,-1.7454),(4525,2715,0.10824,-1.7505),(4525,2725,0.11386,-1.7555),(4525,2735,0.11948,-1.7604),(4525,2745,0.1251,-1.7645),(4525,2755,0.13086,-1.7687),(4525,2765,0.13702,-1.7728),(4525,2775,0.14318,-1.7767),(4525,2785,0.14934,-1.7798),(4525,2795,0.15565,-1.7829),(4525,2805,0.16232,-1.786),(4525,2815,0.169,-1.7888),(4525,2825,0.17568,-1.7908),(4525,2835,0.18252,-1.7928),(4525,2845,0.18968,-1.7948),(4525,2855,0.19685,-1.7963),(4525,2865,0.20401,-1.7971),(4525,2875,0.21135,-1.7979),(4525,2885,0.21896,-1.7987),(4525,2895,0.22658,-1.7991),(4525,2905,0.23419,-1.7986),(4525,2915,0.24197,-1.7982),(4525,2925,0.24998,-1.7977),(4525,2935,0.25799,-1.7967),(4525,2945,0.266,-1.795),(4525,2955,0.27415,-1.7933),(4525,2965,0.28249,-1.7915),(4525,2975,0.29083,-1.7892),(4525,2985,0.29917,-1.7861),(4525,2995,0.30763,-1.783),(4525,3005,0.31622,-1.78),(4525,3015,0.32481,-1.7762),(4525,3025,0.33341,-1.7718),(4525,3035,0.34208,-1.7674),(4525,3045,0.35084,-1.7629),(4525,3055,0.3596,-1.7577),(4525,3065,0.36835,-1.7519),(4525,3075,0.37715,-1.7461),(4525,3085,0.38597,-1.7402),(4525,3095,0.3948,-1.7336),(4525,3105,0.40362,-1.7263),(4525,3115,0.41244,-1.719),(4525,3125,0.42124,-1.7118),(4525,3135,0.43004,-1.7036),(4525,3145,0.43884,-1.6948),(4525,3155,0.44757,-1.6861),(4525,3165,0.45626,-1.6773),(4525,3175,0.46494,-1.6676),(4525,3185,0.47363,-1.6574),(4525,3195,0.48217,-1.6471),(4525,3205,0.49065,-1.6369),(4525,3215,0.49912,-1.6256),(4525,3225,0.5076,-1.6139),(4525,3235,0.51583,-1.6021),(4525,3245,0.52397,-1.5904),(4525,3255,0.53211,-1.5776),(4525,3265,0.54024,-1.5644),(4525,3275,0.54802,-1.5513),(4525,3285,0.55568,-1.5381),(4525,3295,0.56334,-1.5239),(4525,3305,0.571,-1.5095),(4525,3315,0.57815,-1.495),(4525,3325,0.58518,-1.4805),(4525,3335,0.59222,-1.465),(4525,3345,0.59925,-1.4494),(4525,3355,0.60563,-1.4337),(4525,3365,0.61188,-1.4181),(4525,3375,0.61813,-1.4016),(4525,3385,0.62438,-1.3849),(4525,3395,0.62983,-1.3683),(4525,3405,0.63517,-1.3516),(4525,3415,0.64051,-1.3343),(4525,3425,0.64585,-1.317),(4525,3435,0.65025,-1.2996),(4525,3445,0.65458,-1.2822),(4525,3455,0.65891,-1.2644),(4525,3465,0.66325,-1.2466),(4525,3475,0.66653,-1.2287),(4525,3485,0.66979,-1.2109),(4525,3495,0.67304,-1.1929),(4525,3505,0.67628,-1.1749),(4525,3515,0.67842,-1.1568),(4525,3525,0.68056,-1.1388),(4525,3535,0.6827,-1.1209),(4525,3545,0.68479,-1.103),(4525,3555,0.68581,-1.0851),(4525,3565,0.68682,-1.0672),(4525,3575,0.68784,-1.0497),(4525,3585,0.68876,-1.0322),(4525,3595,0.68863,-1.0147),(4525,3605,0.6885,-0.99733),(4525,3615,0.68837,-0.98058),(4525,3625,0.6881,-0.96383),(4525,3635,0.6868,-0.94709),(4525,3645,0.6855,-0.9305),(4525,3655,0.6842,-0.91488),(4525,3665,0.68271,-0.89927),(4525,3675,0.68025,-0.88365),(4525,3685,0.6778,-0.86831),(4525,3695,0.67534,-0.85419),(4525,3705,0.67267,-0.84007),(4525,3715,0.66913,-0.82595),(4525,3725,0.66559,-0.81223),(4525,3735,0.66205,-0.79993),(4525,3745,0.65828,-0.78762),(4525,3755,0.65378,-0.77532),(4525,3765,0.64928,-0.76356),(4525,3775,0.64479,-0.75335),(4525,3785,0.64008,-0.74313),(4525,3795,0.63483,-0.73292),(4525,3805,0.62959,-0.72339),(4525,3815,0.62434,-0.71544),(4525,3825,0.619,-0.70749),(4525,3835,0.61348,-0.69954),(4525,3845,0.60795,-0.6924),(4525,3855,0.60242,-0.68682),(4525,3865,0.59712,-0.68123),(4525,3875,0.59224,-0.67565),(4525,3885,0.58737,-0.67109),(4525,3895,0.58249,-0.66819),(4525,3905,0.57811,-0.66529),(4525,3915,0.57447,-0.66239),(4525,3925,0.57084,-0.66128),(4525,3935,0.5672,-0.66264),(4525,3945,0.5625,-0.66399),(4525,3955,0.55646,-0.66535),(4525,3965,0.55042,-0.67179),(4525,3975,0.54438,-0.68418),(4525,3985,0.56182,-0.69658),(4525,3995,0.60467,-0.70897),(4525,4005,0.64752,-0.72512),(4525,4015,0.69037,-0.74502),(4525,4025,0.8377,-0.76493),(4525,4035,0.99525,-0.75831),(4525,4045,1.1528,-0.6958),(4525,4055,1.3776,-0.63328),(4525,4065,1.6269,-0.56955),(4525,4075,1.8761,-0.4985),(4525,4085,1.9908,-0.42746),(4525,4095,1.9972,-0.35642),(4525,4105,2.0036,-0.30069),(4525,4115,2.0049,-0.2455),(4525,4125,1.9978,-0.19032),(4525,4135,1.9907,-0.16732),(4525,4145,1.9857,-0.15303),(4525,4155,1.9892,-0.13873),(4525,4165,1.9927,-0.14598),(4525,4175,1.9958,-0.16706),(4525,4185,1.9796,-0.18814),(4525,4195,1.9633,-0.18884),(4525,4205,1.947,-0.16261),(4525,4215,1.9407,-0.13638),(4525,4225,1.9363,-0.10878),(4525,4235,1.9319,-0.077166),(4525,4245,1.9229,-0.045549),(4525,4255,1.9116,-0.014873),(4525,4265,1.9002,0.004082),(4525,4275,1.9023,0.023037),(4525,4285,1.9186,0.041992),(4525,4295,1.9349,0.006661),(4525,4305,1.9376,-0.034968),(4525,4315,1.9095,-0.076596),(4525,4325,1.8815,-0.078867),(4525,4335,1.8571,-0.065665),(4525,4345,1.8573,-0.052464),(4525,4355,1.8575,-0.030565),(4525,4365,1.8577,-0.001245),(4525,4375,1.8499,0.028075),(4525,4385,1.8417,0.055646),(4525,4395,1.8334,0.080128),(4525,4405,1.8279,0.10461),(4525,4415,1.8233,0.12095),(4525,4425,1.8186,0.10101),(4525,4435,1.8159,0.081069),(4525,4445,1.8147,0.061112),(4525,4455,1.8135,0.038317),(4525,4465,1.8097,0.015521),(4525,4475,1.802,-0.007274),(4525,4485,1.7944,0.006724),(4525,4495,1.7874,0.028434),(4525,4505,1.7824,0.050145),(4525,4515,1.7774,0.07569),(4525,4525,1.7718,0.10331),(4525,4535,1.7566,0.13094),(4525,4545,1.7415,0.15111),(4525,4555,1.7263,0.16289),(4525,4565,1.7434,0.17467),(4525,4575,1.7649,0.16892),(4525,4585,1.7863,0.12066),(4525,4595,1.778,0.0724),(4525,4605,1.757,0.030839),(4525,4615,1.736,0.041406),(4525,4625,1.7256,0.051974),(4525,4635,1.7249,0.062541),(4525,4645,1.7242,0.083587),(4525,4655,1.7212,0.10535),(4525,4665,1.7141,0.12712),(4525,4675,1.707,0.14482),(4525,4685,1.7012,0.16122),(4525,4695,1.7018,0.17762),(4525,4705,1.7024,0.16722),(4525,4715,1.703,0.13735),(4525,4725,1.6986,0.10747),(4525,4735,1.6941,0.08731),(4525,4745,1.6897,0.081649),(4525,4755,1.6877,0.075987),(4525,4765,1.6864,0.07693),(4525,4775,1.6851,0.10091),(4525,4785,1.6802,0.1249),(4525,4795,1.6731,0.14891),(4525,4805,1.6661,0.17353),(4525,4815,1.6567,0.19815),(4525,4825,1.6445,0.22278),(4525,4835,1.6324,0.22207),(4525,4845,1.6258,0.21746),(4525,4855,1.6338,0.21285),(4525,4865,1.6419,0.18907),(4525,4875,1.6484,0.15661),(4525,4885,1.6409,0.12414),(4525,4895,1.6334,0.11657),(4525,4905,1.626,0.13292),(4525,4915,1.6202,0.14926),(4525,4925,1.6146,0.16744),(4525,4935,1.609,0.18931),(4525,4945,1.5974,0.21117),(4525,4955,1.5838,0.23126),(4525,4965,1.5701,0.2416),(4525,4975,1.5706,0.25193),(4525,4985,1.5822,0.26226),(4525,4995,1.5938,0.21322),(4525,5005,1.5981,0.16267),(4525,5015,1.5909,0.11212),(4525,5025,1.5836,0.10333),(4525,5035,1.5785,0.10517),(4525,5045,1.5811,0.10701),(4525,5055,1.5837,0.12296),(4525,5065,1.586,0.14761),(4525,5075,1.5788,0.17227),(4525,5085,1.5717,0.19593),(4525,5095,1.5646,0.21834),(4525,5105,1.5557,0.24075),(4525,5115,1.5464,0.25345),(4525,5125,1.5372,0.23886),(4525,5135,1.5408,0.22426),(4525,5145,1.5505,0.20907),(4525,5155,1.5603,0.1875),(4525,5165,1.5637,0.16593),(4525,5175,1.5605,0.14435),(4525,5185,1.5573,0.16311),(4525,5195,1.5518,0.18606),(4525,5205,1.5416,0.20901),(4525,5215,1.5313,0.23342),(4525,5225,1.5196,0.25837),(4525,5235,1.499,0.28332),(4525,5245,1.4784,0.29655),(4525,5255,1.4578,0.30016),(4525,5265,1.4864,0.30377),(4525,5275,1.517,0.28438),(4525,5285,1.5476,0.22604),(4525,5295,1.5518,0.1677),(4525,5305,1.5487,0.12264),(4525,5315,1.5456,0.13305),(4525,5325,1.5411,0.14346),(4525,5335,1.5358,0.1539),(4525,5345,1.5304,0.1661),(4525,5355,1.523,0.1783),(4525,5365,1.5126,0.1905),(4525,5375,1.5022,0.18826),(4525,5385,1.4986,0.18319),(4525,5395,1.5155,0.17813),(4525,5405,1.5325,0.13217),(4525,5415,1.5531,0.065002),(4525,5425,1.6213,-0.002167),(4525,5435,1.6895,-0.041369),(4525,5445,1.7577,-0.050297),(4525,5455,1.779,-0.059225),(4525,5465,1.7945,-0.060533),(4525,5475,1.81,-0.044233),(4525,5485,1.8201,-0.027932),(4525,5495,1.828,-0.011885),(4525,5505,1.8359,0.002368),(4525,5515,1.8417,0.016621),(4525,5525,1.8456,0.030874),(4525,5535,1.8496,0.043405),(4525,5545,1.8528,0.055836),(4525,5555,1.8545,0.068267),(4525,5565,1.8562,0.079671),(4525,5575,1.8576,0.090765),(4525,5585,1.8578,0.10186),(4525,5595,1.8581,0.11248),(4525,5605,1.8583,0.12276),(4525,5615,1.8574,0.13305),(4525,5625,1.8566,0.14318),(4525,5635,1.8557,0.15308),(4525,5645,1.8541,0.16299),(4525,5655,1.8524,0.1729),(4525,5665,1.8506,0.1828),(4525,5675,1.8483,0.19271),(4525,5685,1.8456,0.20264),(4525,5695,1.843,0.21294),(4525,5705,1.8399,0.22324),(4525,5715,1.8364,0.23354),(4525,5725,1.8328,0.24453),(4525,5735,1.8289,0.25562),(4525,5745,1.8243,0.26672),(4525,5755,1.8196,0.2787),(4525,5765,1.8147,0.29106),(4525,5775,1.8085,0.30343),(4525,5785,1.8024,0.31675),(4525,5795,1.7962,0.33095),(4525,5805,1.7881,0.34515),(4525,5815,1.7798,0.36023),(4525,5825,1.7715,0.37702),(4525,5835,1.7608,0.3938),(4525,5845,1.7493,0.41116),(4525,5855,1.7378,0.4315),(4525,5865,1.7233,0.45183),(4525,5875,1.7065,0.47216),(4525,5885,1.6897,0.49706),(4525,5895,1.6693,0.52203),(4525,5905,1.6433,0.547),(4525,5915,1.6174,0.576),(4525,5925,1.5882,0.60597),(4525,5935,1.5469,0.63593),(4525,5945,1.5057,0.66651),(4525,5955,1.4637,0.69745),(4525,5965,1.404,0.72839),(4525,5975,1.3443,0.75051),(4525,5985,1.2846,0.76188),(4525,5995,1.2464,0.77325),(4525,6005,1.2116,0.75822),(4525,6015,1.1769,0.67263),(4525,6025,1.3189,0.58704),(4525,6035,1.5428,0.50103),(4525,6045,1.7667,0.41101),(4525,6055,1.978,0.32098),(4525,6065,2.1769,0.23095),(4525,6075,2.3758,0.22206),(4525,6085,2.5173,0.22063),(4525,6095,2.5404,0.2192),(4525,6105,2.5635,0.21939),(4525,6115,2.5825,0.22016),(4525,6125,2.5773,0.22092),(4525,6135,2.5722,0.22019),(4525,6145,2.5671,0.21828),(4525,6155,2.5609,0.21637),(4525,6165,2.5547,0.21389),(4525,6175,2.5485,0.21049),(4525,6185,2.5432,0.20708),(4525,6195,2.5383,0.20354),(4525,6205,2.5333,0.19942),(4525,6215,2.529,0.19529),(4525,6225,2.5251,0.19116),(4525,6235,2.5212,0.18663),(4525,6245,2.5177,0.1821),(4525,6255,2.5146,0.17757),(4525,6265,2.5116,0.17284),(4525,6275,2.5087,0.16808),(4525,6285,2.5063,0.16331),(4525,6295,2.5038,0.15848),(4525,6305,2.5015,0.15362),(4525,6315,2.4996,0.14876),(4525,6325,2.4977,0.14387),(4525,6335,2.4957,0.13895),(4525,6345,2.4942,0.13403),(4525,6355,2.4926,0.12912),(4525,6365,2.4911,0.12425),(4525,6375,2.4898,0.11938),(4525,6385,2.4886,0.11452),(4525,6395,2.4874,0.10971),(4525,6405,2.4863,0.1049),(4525,6415,2.4853,0.10009),(4525,6425,2.4844,0.095275),(4525,6435,2.4835,0.090463),(4525,6445,2.4827,0.085651),(4525,6455,2.482,0.080898),(4525,6465,2.4813,0.076162),(4525,6475,2.4807,0.071426),(4525,6485,2.4801,0.066725),(4525,6495,2.4796,0.062048),(4525,6505,2.4792,0.05737),(4525,6515,2.4788,0.052684),(4525,6525,2.4784,0.047985),(4525,6535,2.4781,0.043286),(4525,6545,2.4778,0.038609),(4525,6555,2.4776,0.033999),(4525,6565,2.4774,0.029388),(4525,6575,2.4773,0.024777),(4525,6585,2.4772,0.020149),(4525,6595,2.1071,0.015521),(4525,6605,1.3284,0.010892),(4525,6615,0.54974,0.010306),(4525,6625,0.002355,0.01024),(4525,6635,0.002344,0.010173),(4525,6645,0.002333,0.010129),(4525,6655,0.002322,0.010093),(4525,6665,0.002312,0.010057),(4525,6675,0.002301,0.010024),(4525,6685,0.00229,0.009993),(4525,6695,0.00228,0.009963),(4525,6705,0.00227,0.009933),(4525,6715,0.00226,0.009907),(4525,6725,0.00225,0.00988),(4525,6735,0.002241,0.009854),(4525,6745,0.002231,0.009831),(4525,6755,0.002222,0.009807),(4525,6765,0.002214,0.009784),(4525,6775,0.002205,0.009763),(4525,6785,0.002196,0.009743),(4525,6795,0.002188,0.009722),(4525,6805,0.00218,0.009704),(4525,6815,0.002171,0.009686),(4525,6825,0.002164,0.009668),(4525,6835,0.002156,0.00965),(4525,6845,0.002149,0.009634),(4525,6855,0.002142,0.009618),(4525,6865,0.002135,0.009602),(4525,6875,0.002128,0.009588),(4525,6885,0.002122,0.009573),(4525,6895,0.002115,0.009559),(4525,6905,0.002109,0.009546),(4525,6915,0.002103,0.009532),(4525,6925,0.002097,0.009519),(4525,6935,0.002092,0.009507),(4525,6945,0.002086,0.009495),(4525,6955,0.002081,0.009482),(4525,6965,0.002076,0.009471),(4525,6975,0.002071,0.009459),(4525,6985,0.002066,0.009448),(4535,5,2.1e-05,-1.3977),(4535,15,6.2e-05,-1.3978),(4535,25,0.000101,-1.398),(4535,35,0.000139,-1.3982),(4535,45,0.000177,-1.3983),(4535,55,0.000214,-1.3985),(4535,65,0.000246,-1.3986),(4535,75,0.000273,-1.3988),(4535,85,0.0003,-1.399),(4535,95,0.000327,-1.3992),(4535,105,0.00035,-1.3995),(4535,115,0.000371,-1.3997),(4535,125,0.000392,-1.4),(4535,135,0.000413,-1.4003),(4535,145,0.000437,-1.4006),(4535,155,0.000463,-1.4009),(4535,165,0.000489,-1.4013),(4535,175,0.000515,-1.4018),(4535,185,0.000557,-1.4022),(4535,195,0.000607,-1.4026),(4535,205,0.000658,-1.4031),(4535,215,0.000708,-1.4037),(4535,225,0.000779,-1.4043),(4535,235,0.000859,-1.4048),(4535,245,0.000939,-1.4055),(4535,255,0.001019,-1.4062),(4535,265,0.001105,-1.4069),(4535,275,0.001193,-1.4076),(4535,285,0.001281,-1.4084),(4535,295,0.001368,-1.4093),(4535,305,0.001438,-1.4101),(4535,315,0.001502,-1.4109),(4535,325,0.001567,-1.4117),(4535,335,0.001631,-1.4126),(4535,345,0.001695,-1.4135),(4535,355,0.001758,-1.4144),(4535,365,0.001821,-1.4153),(4535,375,0.001884,-1.4164),(4535,385,0.001976,-1.4174),(4535,395,0.002073,-1.4184),(4535,405,0.002169,-1.4196),(4535,415,0.002266,-1.4208),(4535,425,0.002371,-1.422),(4535,435,0.002477,-1.4231),(4535,445,0.002583,-1.4244),(4535,455,0.002689,-1.4257),(4535,465,0.00277,-1.427),(4535,475,0.002851,-1.4283),(4535,485,0.002931,-1.4296),(4535,495,0.003011,-1.431),(4535,505,0.003071,-1.4324),(4535,515,0.00313,-1.4337),(4535,525,0.003189,-1.4352),(4535,535,0.003249,-1.4366),(4535,545,0.003321,-1.4381),(4535,555,0.003393,-1.4396),(4535,565,0.003466,-1.4412),(4535,575,0.00354,-1.4428),(4535,585,0.003642,-1.4444),(4535,595,0.003745,-1.4461),(4535,605,0.003847,-1.4478),(4535,615,0.003952,-1.4496),(4535,625,0.004078,-1.4513),(4535,635,0.004204,-1.4531),(4535,645,0.00433,-1.455),(4535,655,0.004457,-1.4569),(4535,665,0.004589,-1.4588),(4535,675,0.004721,-1.4606),(4535,685,0.004853,-1.4626),(4535,695,0.004985,-1.4646),(4535,705,0.005119,-1.4665),(4535,715,0.005253,-1.4685),(4535,725,0.005387,-1.4705),(4535,735,0.00553,-1.4725),(4535,745,0.005706,-1.4745),(4535,755,0.005881,-1.4766),(4535,765,0.006057,-1.4788),(4535,775,0.006248,-1.4809),(4535,785,0.006482,-1.4831),(4535,795,0.006714,-1.4853),(4535,805,0.006948,-1.4875),(4535,815,0.007193,-1.4898),(4535,825,0.007465,-1.492),(4535,835,0.007737,-1.4942),(4535,845,0.008009,-1.4965),(4535,855,0.008301,-1.4987),(4535,865,0.008627,-1.501),(4535,875,0.008954,-1.5032),(4535,885,0.009281,-1.5055),(4535,895,0.009636,-1.5078),(4535,905,0.010034,-1.51),(4535,915,0.010433,-1.5123),(4535,925,0.010832,-1.5145),(4535,935,0.011263,-1.5167),(4535,945,0.011737,-1.5189),(4535,955,0.01221,-1.521),(4535,965,0.012684,-1.523),(4535,975,0.013215,-1.525),(4535,985,0.013812,-1.527),(4535,995,0.014408,-1.5289),(4535,1005,0.015005,-1.5307),(4535,1015,0.015704,-1.5325),(4535,1025,0.016503,-1.5342),(4535,1035,0.017301,-1.5358),(4535,1045,0.0181,-1.5372),(4535,1055,0.019043,-1.5385),(4535,1065,0.020106,-1.5399),(4535,1075,0.021168,-1.5409),(4535,1085,0.022231,-1.5416),(4535,1095,0.023462,-1.5424),(4535,1105,0.024811,-1.5431),(4535,1115,0.026161,-1.5431),(4535,1125,0.02751,-1.5427),(4535,1135,0.029007,-1.5423),(4535,1145,0.030592,-1.542),(4535,1155,0.032178,-1.5405),(4535,1165,0.033763,-1.5385),(4535,1175,0.035678,-1.5364),(4535,1185,0.037757,-1.5344),(4535,1195,0.039836,-1.5309),(4535,1205,0.041915,-1.5268),(4535,1215,0.046977,-1.5226),(4535,1225,0.053271,-1.5185),(4535,1235,0.059564,-1.512),(4535,1245,0.065857,-1.5046),(4535,1255,0.088818,-1.4973),(4535,1265,0.11741,-1.4899),(4535,1275,0.146,-1.4701),(4535,1285,0.17459,-1.4466),(4535,1295,0.19739,-1.4231),(4535,1305,0.21862,-1.3996),(4535,1315,0.23986,-1.3496),(4535,1325,0.26109,-1.2933),(4535,1335,0.15047,-1.237),(4535,1345,0.012203,-1.1806),(4535,1355,-0.12606,-1.2205),(4535,1365,-0.26432,-1.2778),(4535,1375,-0.27314,-1.3351),(4535,1385,-0.26197,-1.3924),(4535,1395,-0.25081,-1.4235),(4535,1405,-0.23965,-1.4513),(4535,1415,-0.20229,-1.4791),(4535,1425,-0.16222,-1.5069),(4535,1435,-0.12214,-1.5155),(4535,1445,-0.082062,-1.5226),(4535,1455,-0.075029,-1.5297),(4535,1465,-0.0699,-1.5367),(4535,1475,-0.06477,-1.5409),(4535,1485,-0.05964,-1.5449),(4535,1495,-0.059213,-1.549),(4535,1505,-0.058857,-1.553),(4535,1515,-0.058501,-1.5551),(4535,1525,-0.058129,-1.5571),(4535,1535,-0.057152,-1.5592),(4535,1545,-0.056174,-1.5611),(4535,1555,-0.055197,-1.5615),(4535,1565,-0.054203,-1.5619),(4535,1575,-0.052972,-1.5622),(4535,1585,-0.05174,-1.5625),(4535,1595,-0.050509,-1.5618),(4535,1605,-0.049298,-1.5611),(4535,1615,-0.048262,-1.5604),(4535,1625,-0.047226,-1.5597),(4535,1635,-0.04619,-1.5584),(4535,1645,-0.04519,-1.5572),(4535,1655,-0.044406,-1.556),(4535,1665,-0.043622,-1.5547),(4535,1675,-0.042838,-1.5532),(4535,1685,-0.042089,-1.5517),(4535,1695,-0.041496,-1.5502),(4535,1705,-0.040902,-1.5487),(4535,1715,-0.040308,-1.5471),(4535,1725,-0.039745,-1.5455),(4535,1735,-0.039288,-1.5439),(4535,1745,-0.03883,-1.5423),(4535,1755,-0.038373,-1.5407),(4535,1765,-0.037941,-1.5391),(4535,1775,-0.037578,-1.5376),(4535,1785,-0.037215,-1.5361),(4535,1795,-0.036852,-1.5346),(4535,1805,-0.036507,-1.5332),(4535,1815,-0.036201,-1.5318),(4535,1825,-0.035895,-1.5305),(4535,1835,-0.03559,-1.5293),(4535,1845,-0.035292,-1.5281),(4535,1855,-0.035011,-1.5269),(4535,1865,-0.034731,-1.5258),(4535,1875,-0.03445,-1.525),(4535,1885,-0.03417,-1.5241),(4535,1895,-0.033892,-1.5232),(4535,1905,-0.033613,-1.5224),(4535,1915,-0.033335,-1.5219),(4535,1925,-0.033051,-1.5213),(4535,1935,-0.03276,-1.5207),(4535,1945,-0.032469,-1.5204),(4535,1955,-0.032178,-1.5202),(4535,1965,-0.031879,-1.52),(4535,1975,-0.03157,-1.5198),(4535,1985,-0.031261,-1.5198),(4535,1995,-0.030952,-1.52),(4535,2005,-0.03063,-1.5202),(4535,2015,-0.030294,-1.5204),(4535,2025,-0.029959,-1.5208),(4535,2035,-0.029623,-1.5215),(4535,2045,-0.029266,-1.5222),(4535,2055,-0.028889,-1.5228),(4535,2065,-0.028512,-1.5238),(4535,2075,-0.028135,-1.525),(4535,2085,-0.027733,-1.5262),(4535,2095,-0.02731,-1.5275),(4535,2105,-0.026888,-1.529),(4535,2115,-0.026466,-1.5308),(4535,2125,-0.026005,-1.5326),(4535,2135,-0.025519,-1.5344),(4535,2145,-0.025032,-1.5367),(4535,2155,-0.024546,-1.5391),(4535,2165,-0.023993,-1.5416),(4535,2175,-0.023405,-1.5441),(4535,2185,-0.022818,-1.547),(4535,2195,-0.02223,-1.5502),(4535,2205,-0.021548,-1.5534),(4535,2215,-0.020826,-1.5566),(4535,2225,-0.020104,-1.5604),(4535,2235,-0.019381,-1.5643),(4535,2245,-0.018537,-1.5682),(4535,2255,-0.01765,-1.5721),(4535,2265,-0.016763,-1.5766),(4535,2275,-0.015876,-1.5812),(4535,2285,-0.014842,-1.5859),(4535,2295,-0.013766,-1.5905),(4535,2305,-0.01269,-1.5957),(4535,2315,-0.011614,-1.6011),(4535,2325,-0.010368,-1.6064),(4535,2335,-0.009083,-1.6118),(4535,2345,-0.007798,-1.6176),(4535,2355,-0.006514,-1.6236),(4535,2365,-0.005028,-1.6295),(4535,2375,-0.003509,-1.6355),(4535,2385,-0.00199,-1.6419),(4535,2395,-0.000471,-1.6484),(4535,2405,0.001286,-1.6549),(4535,2415,0.003071,-1.6614),(4535,2425,0.004856,-1.6683),(4535,2435,0.006641,-1.6752),(4535,2445,0.008708,-1.6822),(4535,2455,0.010796,-1.6891),(4535,2465,0.012883,-1.6964),(4535,2475,0.01497,-1.7036),(4535,2485,0.017392,-1.7109),(4535,2495,0.019822,-1.7181),(4535,2505,0.022252,-1.7256),(4535,2515,0.024687,-1.733),(4535,2525,0.027497,-1.7405),(4535,2535,0.030307,-1.7479),(4535,2545,0.033116,-1.7553),(4535,2555,0.035948,-1.7628),(4535,2565,0.03917,-1.7702),(4535,2575,0.042391,-1.7776),(4535,2585,0.045613,-1.7848),(4535,2595,0.048876,-1.792),(4535,2605,0.052542,-1.7992),(4535,2615,0.056209,-1.8064),(4535,2625,0.059875,-1.8131),(4535,2635,0.063604,-1.8199),(4535,2645,0.067741,-1.8266),(4535,2655,0.071878,-1.8332),(4535,2665,0.076015,-1.8393),(4535,2675,0.080237,-1.8454),(4535,2685,0.084859,-1.8514),(4535,2695,0.089481,-1.8574),(4535,2705,0.094103,-1.8626),(4535,2715,0.09883,-1.8678),(4535,2725,0.10394,-1.873),(4535,2735,0.10906,-1.878),(4535,2745,0.11417,-1.8822),(4535,2755,0.11941,-1.8864),(4535,2765,0.12501,-1.8906),(4535,2775,0.13061,-1.8945),(4535,2785,0.13621,-1.8976),(4535,2795,0.14195,-1.9006),(4535,2805,0.14802,-1.9037),(4535,2815,0.1541,-1.9064),(4535,2825,0.16017,-1.9083),(4535,2835,0.16639,-1.9101),(4535,2845,0.17291,-1.912),(4535,2855,0.17943,-1.9134),(4535,2865,0.18596,-1.9139),(4535,2875,0.19263,-1.9145),(4535,2885,0.19956,-1.915),(4535,2895,0.20648,-1.915),(4535,2905,0.21341,-1.9142),(4535,2915,0.22048,-1.9134),(4535,2925,0.22776,-1.9125),(4535,2935,0.23505,-1.9111),(4535,2945,0.24233,-1.9088),(4535,2955,0.24974,-1.9065),(4535,2965,0.25731,-1.9042),(4535,2975,0.26488,-1.9013),(4535,2985,0.27245,-1.8975),(4535,2995,0.28012,-1.8937),(4535,3005,0.28791,-1.8899),(4535,3015,0.29569,-1.8854),(4535,3025,0.30348,-1.8801),(4535,3035,0.31133,-1.8747),(4535,3045,0.31924,-1.8694),(4535,3055,0.32715,-1.8632),(4535,3065,0.33507,-1.8563),(4535,3075,0.343,-1.8493),(4535,3085,0.35095,-1.8424),(4535,3095,0.35889,-1.8345),(4535,3105,0.36684,-1.8259),(4535,3115,0.37475,-1.8173),(4535,3125,0.38264,-1.8087),(4535,3135,0.39053,-1.7991),(4535,3145,0.39843,-1.7887),(4535,3155,0.40622,-1.7784),(4535,3165,0.41397,-1.7681),(4535,3175,0.42172,-1.7566),(4535,3185,0.42946,-1.7445),(4535,3195,0.43705,-1.7324),(4535,3205,0.44457,-1.7203),(4535,3215,0.45209,-1.7069),(4535,3225,0.45961,-1.693),(4535,3235,0.46689,-1.6791),(4535,3245,0.47409,-1.6652),(4535,3255,0.48128,-1.6499),(4535,3265,0.48848,-1.6343),(4535,3275,0.49535,-1.6186),(4535,3285,0.50211,-1.603),(4535,3295,0.50888,-1.586),(4535,3305,0.51565,-1.5688),(4535,3315,0.52198,-1.5515),(4535,3325,0.52821,-1.5342),(4535,3335,0.53444,-1.5157),(4535,3345,0.54067,-1.4971),(4535,3355,0.54636,-1.4784),(4535,3365,0.55194,-1.4597),(4535,3375,0.55752,-1.44),(4535,3385,0.5631,-1.4202),(4535,3395,0.568,-1.4004),(4535,3405,0.57283,-1.3806),(4535,3415,0.57765,-1.3601),(4535,3425,0.58247,-1.3396),(4535,3435,0.58651,-1.319),(4535,3445,0.59049,-1.2985),(4535,3455,0.59447,-1.2776),(4535,3465,0.59844,-1.2566),(4535,3475,0.60153,-1.2357),(4535,3485,0.60458,-1.2148),(4535,3495,0.60763,-1.1938),(4535,3505,0.61068,-1.1729),(4535,3515,0.61275,-1.1519),(4535,3525,0.61482,-1.131),(4535,3535,0.6169,-1.1104),(4535,3545,0.61892,-1.0897),(4535,3555,0.61999,-1.0691),(4535,3565,0.62106,-1.0485),(4535,3575,0.62213,-1.0285),(4535,3585,0.62311,-1.0084),(4535,3595,0.62316,-0.9884),(4535,3605,0.6232,-0.96846),(4535,3615,0.62325,-0.94935),(4535,3625,0.62317,-0.93025),(4535,3635,0.62219,-0.91114),(4535,3645,0.62121,-0.89222),(4535,3655,0.62022,-0.87443),(4535,3665,0.61908,-0.85664),(4535,3675,0.61709,-0.83885),(4535,3685,0.6151,-0.82137),(4535,3695,0.61311,-0.80529),(4535,3705,0.61093,-0.78921),(4535,3715,0.60799,-0.77313),(4535,3725,0.60506,-0.7575),(4535,3735,0.60213,-0.74347),(4535,3745,0.599,-0.72944),(4535,3755,0.59524,-0.71541),(4535,3765,0.59147,-0.70199),(4535,3775,0.58771,-0.6903),(4535,3785,0.58377,-0.67861),(4535,3795,0.57937,-0.66692),(4535,3805,0.57497,-0.656),(4535,3815,0.57056,-0.64683),(4535,3825,0.5661,-0.63767),(4535,3835,0.56149,-0.62851),(4535,3845,0.55689,-0.62023),(4535,3855,0.55228,-0.61365),(4535,3865,0.54797,-0.60707),(4535,3875,0.54416,-0.6005),(4535,3885,0.54036,-0.59502),(4535,3895,0.53655,-0.59133),(4535,3905,0.53361,-0.58763),(4535,3915,0.53195,-0.58394),(4535,3925,0.53029,-0.58257),(4535,3935,0.52864,-0.58441),(4535,3945,0.52806,-0.58625),(4535,3955,0.52887,-0.58809),(4535,3965,0.52968,-0.59903),(4535,3975,0.53049,-0.62065),(4535,3985,0.55243,-0.64227),(4535,3995,0.59724,-0.66389),(4535,4005,0.64205,-0.68717),(4535,4015,0.68686,-0.71213),(4535,4025,0.82652,-0.73708),(4535,4035,0.97546,-0.74031),(4535,4045,1.1244,-0.69773),(4535,4055,1.3409,-0.65516),(4535,4065,1.5822,-0.61001),(4535,4075,1.8234,-0.54944),(4535,4085,1.9363,-0.48888),(4535,4095,1.946,-0.42832),(4535,4105,1.9558,-0.38022),(4535,4115,1.9614,-0.33256),(4535,4125,1.9602,-0.28491),(4535,4135,1.9589,-0.2591),(4535,4145,1.9588,-0.23919),(4535,4155,1.9635,-0.21929),(4535,4165,1.9681,-0.20952),(4535,4175,1.9723,-0.20626),(4535,4185,1.9578,-0.203),(4535,4195,1.9432,-0.1928),(4535,4205,1.9286,-0.1734),(4535,4215,1.9223,-0.15401),(4535,4225,1.9175,-0.1339),(4535,4235,1.9128,-0.11164),(4535,4245,1.9057,-0.08939),(4535,4255,1.8974,-0.067954),(4535,4265,1.8892,-0.056709),(4535,4275,1.8916,-0.045465),(4535,4285,1.9055,-0.034221),(4535,4295,1.9193,-0.041086),(4535,4305,1.9213,-0.050052),(4535,4315,1.8966,-0.059018),(4535,4325,1.872,-0.056405),(4535,4335,1.8501,-0.049241),(4535,4345,1.8476,-0.042077),(4535,4355,1.845,-0.028565),(4535,4365,1.8425,-0.009637),(4535,4375,1.8357,0.00929),(4535,4385,1.8288,0.026638),(4535,4395,1.8218,0.041193),(4535,4405,1.8183,0.055747),(4535,4415,1.8157,0.06623),(4535,4425,1.8132,0.058552),(4535,4435,1.8111,0.050874),(4535,4445,1.8094,0.043195),(4535,4455,1.8076,0.035325),(4535,4465,1.8029,0.027456),(4535,4475,1.794,0.019586),(4535,4485,1.7851,0.028819),(4535,4495,1.7769,0.041637),(4535,4505,1.7714,0.054454),(4535,4515,1.7659,0.069493),(4535,4525,1.76,0.085737),(4535,4535,1.7489,0.10198),(4535,4545,1.7377,0.11159),(4535,4555,1.7266,0.11372),(4535,4565,1.7412,0.11586),(4535,4575,1.7592,0.11268),(4535,4585,1.7773,0.096619),(4535,4595,1.7693,0.080559),(4535,4605,1.7503,0.066817),(4535,4615,1.7313,0.071115),(4535,4625,1.7209,0.075414),(4535,4635,1.7182,0.079712),(4535,4645,1.7156,0.091701),(4535,4655,1.7118,0.10422),(4535,4665,1.7059,0.11674),(4535,4675,1.7001,0.12579),(4535,4685,1.6954,0.13374),(4535,4695,1.6968,0.14169),(4535,4705,1.6982,0.13779),(4535,4715,1.6996,0.1253),(4535,4725,1.6946,0.1128),(4535,4735,1.6894,0.10479),(4535,4745,1.6843,0.10349),(4535,4755,1.6804,0.10218),(4535,4765,1.6769,0.10451),(4535,4775,1.6734,0.1195),(4535,4785,1.6679,0.13449),(4535,4795,1.6614,0.14945),(4535,4805,1.6549,0.16379),(4535,4815,1.6473,0.17814),(4535,4825,1.6386,0.19249),(4535,4835,1.6298,0.19086),(4535,4845,1.6253,0.18677),(4535,4855,1.6317,0.18268),(4535,4865,1.6382,0.17278),(4535,4875,1.6432,0.16024),(4535,4885,1.6347,0.1477),(4535,4895,1.6263,0.14629),(4535,4905,1.6178,0.15559),(4535,4915,1.6118,0.16488),(4535,4925,1.6059,0.1751),(4535,4935,1.6001,0.18717),(4535,4945,1.591,0.19925),(4535,4955,1.5809,0.20958),(4535,4965,1.5707,0.21024),(4535,4975,1.5723,0.2109),(4535,4985,1.583,0.21156),(4535,4995,1.5936,0.18961),(4535,5005,1.597,0.16707),(4535,5015,1.589,0.14454),(4535,5025,1.5811,0.14027),(4535,5035,1.5747,0.14066),(4535,5045,1.5744,0.14104),(4535,5055,1.5742,0.15051),(4535,5065,1.5738,0.16558),(4535,5075,1.5677,0.18065),(4535,5085,1.5616,0.19447),(4535,5095,1.5555,0.20671),(4535,5105,1.5495,0.21894),(4535,5115,1.5435,0.22559),(4535,5125,1.5376,0.21651),(4535,5135,1.5405,0.20743),(4535,5145,1.5477,0.19852),(4535,5155,1.555,0.19139),(4535,5165,1.5561,0.18425),(4535,5175,1.551,0.17712),(4535,5185,1.5459,0.18975),(4535,5195,1.5396,0.20444),(4535,5205,1.5306,0.21912),(4535,5215,1.5217,0.2326),(4535,5225,1.5121,0.24562),(4535,5235,1.4985,0.25864),(4535,5245,1.4848,0.25965),(4535,5255,1.4712,0.25079),(4535,5265,1.4966,0.24194),(4535,5275,1.5236,0.22619),(4535,5285,1.5505,0.19873),(4535,5295,1.5528,0.17127),(4535,5305,1.5483,0.14978),(4535,5315,1.5437,0.1532),(4535,5325,1.5393,0.15662),(4535,5335,1.535,0.16003),(4535,5345,1.5308,0.16215),(4535,5355,1.5266,0.16427),(4535,5365,1.5224,0.16639),(4535,5375,1.5182,0.15281),(4535,5385,1.5202,0.13616),(4535,5395,1.5413,0.11951),(4535,5405,1.5624,0.080929),(4535,5415,1.5859,0.030968),(4535,5425,1.6411,-0.018993),(4535,5435,1.6963,-0.045847),(4535,5445,1.7516,-0.047686),(4535,5455,1.7694,-0.049525),(4535,5465,1.7827,-0.046987),(4535,5475,1.796,-0.034334),(4535,5485,1.805,-0.02168),(4535,5495,1.8124,-0.00901),(4535,5505,1.8198,0.003776),(4535,5515,1.8253,0.016563),(4535,5525,1.8293,0.029349),(4535,5535,1.8333,0.041378),(4535,5545,1.8365,0.053364),(4535,5555,1.8384,0.065349),(4535,5565,1.8402,0.076689),(4535,5575,1.8418,0.087833),(4535,5585,1.8421,0.098977),(4535,5595,1.8425,0.10979),(4535,5605,1.8428,0.12038),(4535,5615,1.842,0.13097),(4535,5625,1.8412,0.14146),(4535,5635,1.8404,0.15181),(4535,5645,1.8388,0.16216),(4535,5655,1.837,0.17252),(4535,5665,1.8352,0.18295),(4535,5675,1.8328,0.19338),(4535,5685,1.83,0.20384),(4535,5695,1.8272,0.21471),(4535,5705,1.824,0.22559),(4535,5715,1.8202,0.23646),(4535,5725,1.8164,0.24806),(4535,5735,1.8122,0.25975),(4535,5745,1.8071,0.27145),(4535,5755,1.802,0.28405),(4535,5765,1.7968,0.29703),(4535,5775,1.7901,0.31002),(4535,5785,1.7834,0.32394),(4535,5795,1.7767,0.33874),(4535,5805,1.7679,0.35353),(4535,5815,1.7589,0.36917),(4535,5825,1.7499,0.38644),(4535,5835,1.7383,0.4037),(4535,5845,1.726,0.42149),(4535,5855,1.7136,0.44197),(4535,5865,1.6981,0.46245),(4535,5875,1.6804,0.48293),(4535,5885,1.6627,0.50712),(4535,5895,1.6416,0.53136),(4535,5905,1.6154,0.5556),(4535,5915,1.5892,0.58205),(4535,5925,1.5604,0.60903),(4535,5935,1.5218,0.636),(4535,5945,1.4833,0.66013),(4535,5955,1.4444,0.68258),(4535,5965,1.3962,0.70503),(4535,5975,1.3481,0.71411),(4535,5985,1.3,0.70686),(4535,5995,1.2846,0.69962),(4535,6005,1.2745,0.66888),(4535,6015,1.2644,0.57537),(4535,6025,1.4077,0.48186),(4535,6035,1.6221,0.38977),(4535,6045,1.8366,0.31146),(4535,6055,2.0312,0.23314),(4535,6065,2.2064,0.15483),(4535,6075,2.3815,0.15018),(4535,6085,2.5066,0.15231),(4535,6095,2.5287,0.15445),(4535,6105,2.5507,0.15865),(4535,6115,2.569,0.16359),(4535,6125,2.5652,0.16853),(4535,6135,2.5614,0.17145),(4535,6145,2.5576,0.1728),(4535,6155,2.5523,0.17414),(4535,6165,2.547,0.1746),(4535,6175,2.5417,0.17362),(4535,6185,2.5372,0.17265),(4535,6195,2.5328,0.17142),(4535,6205,2.5284,0.16915),(4535,6215,2.5245,0.16689),(4535,6225,2.521,0.1646),(4535,6235,2.5174,0.16154),(4535,6245,2.5142,0.15848),(4535,6255,2.5114,0.15541),(4535,6265,2.5085,0.15191),(4535,6275,2.5058,0.14832),(4535,6285,2.5036,0.14473),(4535,6295,2.5013,0.14094),(4535,6305,2.4991,0.13705),(4535,6315,2.4973,0.13315),(4535,6325,2.4954,0.12915),(4535,6335,2.4936,0.12504),(4535,6345,2.4921,0.12092),(4535,6355,2.4907,0.11678),(4535,6365,2.4892,0.1126),(4535,6375,2.488,0.10841),(4535,6385,2.4868,0.10422),(4535,6395,2.4856,0.10001),(4535,6405,2.4846,0.095793),(4535,6415,2.4836,0.091578),(4535,6425,2.4827,0.087302),(4535,6435,2.4818,0.083024),(4535,6445,2.4811,0.078747),(4535,6455,2.4803,0.074484),(4535,6465,2.4797,0.070225),(4535,6475,2.4791,0.065966),(4535,6485,2.4786,0.06172),(4535,6495,2.478,0.057483),(4535,6505,2.4776,0.053246),(4535,6515,2.4772,0.04899),(4535,6525,2.4768,0.044708),(4535,6535,2.4765,0.040427),(4535,6545,2.4763,0.036163),(4535,6555,2.476,0.031953),(4535,6565,2.4759,0.027744),(4535,6575,2.4758,0.023533),(4535,6585,2.4756,0.019299),(4535,6595,2.1058,0.015065),(4535,6605,1.3276,0.010831),(4535,6615,0.54943,0.010292),(4535,6625,0.00239,0.010227),(4535,6635,0.002378,0.010162),(4535,6645,0.002365,0.010118),(4535,6655,0.002352,0.010083),(4535,6665,0.00234,0.010047),(4535,6675,0.002328,0.010014),(4535,6685,0.002315,0.009983),(4535,6695,0.002304,0.009953),(4535,6705,0.002293,0.009924),(4535,6715,0.002281,0.009897),(4535,6725,0.002271,0.009871),(4535,6735,0.00226,0.009845),(4535,6745,0.00225,0.009822),(4535,6755,0.00224,0.009798),(4535,6765,0.00223,0.009775),(4535,6775,0.00222,0.009755),(4535,6785,0.002211,0.009735),(4535,6795,0.002202,0.009714),(4535,6805,0.002193,0.009696),(4535,6815,0.002184,0.009678),(4535,6825,0.002176,0.00966),(4535,6835,0.002168,0.009643),(4535,6845,0.00216,0.009627),(4535,6855,0.002152,0.009611),(4535,6865,0.002145,0.009596),(4535,6875,0.002138,0.009581),(4535,6885,0.002131,0.009567),(4535,6895,0.002124,0.009553),(4535,6905,0.002117,0.00954),(4535,6915,0.002111,0.009527),(4535,6925,0.002105,0.009513),(4535,6935,0.002099,0.009501),(4535,6945,0.002093,0.009489),(4535,6955,0.002088,0.009477),(4535,6965,0.002083,0.009466),(4535,6975,0.002077,0.009455),(4535,6985,0.002073,0.009444),(4545,5,1.6e-05,-1.4476),(4545,15,4.8e-05,-1.4478),(4545,25,8.1e-05,-1.448),(4545,35,0.000114,-1.4482),(4545,45,0.000147,-1.4483),(4545,55,0.000179,-1.4485),(4545,65,0.000208,-1.4487),(4545,75,0.000233,-1.4488),(4545,85,0.000257,-1.449),(4545,95,0.000282,-1.4493),(4545,105,0.000302,-1.4495),(4545,115,0.00032,-1.4498),(4545,125,0.000337,-1.4501),(4545,135,0.000354,-1.4504),(4545,145,0.00037,-1.4507),(4545,155,0.000385,-1.4511),(4545,165,0.0004,-1.4515),(4545,175,0.000415,-1.4519),(4545,185,0.000443,-1.4523),(4545,195,0.000477,-1.4528),(4545,205,0.000511,-1.4533),(4545,215,0.000545,-1.4539),(4545,225,0.0006,-1.4545),(4545,235,0.000663,-1.455),(4545,245,0.000726,-1.4557),(4545,255,0.000789,-1.4565),(4545,265,0.000865,-1.4572),(4545,275,0.000946,-1.4579),(4545,285,0.001026,-1.4588),(4545,295,0.001107,-1.4596),(4545,305,0.001173,-1.4605),(4545,315,0.001235,-1.4613),(4545,325,0.001298,-1.4622),(4545,335,0.00136,-1.4631),(4545,345,0.001413,-1.464),(4545,355,0.001464,-1.4649),(4545,365,0.001516,-1.4659),(4545,375,0.001567,-1.467),(4545,385,0.001643,-1.468),(4545,395,0.001723,-1.4691),(4545,405,0.001803,-1.4703),(4545,415,0.001883,-1.4715),(4545,425,0.00198,-1.4728),(4545,435,0.002078,-1.474),(4545,445,0.002177,-1.4753),(4545,455,0.002275,-1.4767),(4545,465,0.002354,-1.478),(4545,475,0.002433,-1.4793),(4545,485,0.002511,-1.4807),(4545,495,0.002589,-1.4821),(4545,505,0.002641,-1.4836),(4545,515,0.002691,-1.485),(4545,525,0.002742,-1.4865),(4545,535,0.002793,-1.488),(4545,545,0.002846,-1.4895),(4545,555,0.002898,-1.491),(4545,565,0.002951,-1.4927),(4545,575,0.003005,-1.4944),(4545,585,0.003084,-1.496),(4545,595,0.003163,-1.4977),(4545,605,0.003242,-1.4995),(4545,615,0.003324,-1.5014),(4545,625,0.003428,-1.5032),(4545,635,0.003533,-1.505),(4545,645,0.003637,-1.507),(4545,655,0.003743,-1.5089),(4545,665,0.003857,-1.5109),(4545,675,0.00397,-1.5128),(4545,685,0.004083,-1.5148),(4545,695,0.004196,-1.5169),(4545,705,0.004305,-1.5189),(4545,715,0.004413,-1.5209),(4545,725,0.004522,-1.523),(4545,735,0.004637,-1.5251),(4545,745,0.004773,-1.5272),(4545,755,0.00491,-1.5293),(4545,765,0.005046,-1.5315),(4545,775,0.005197,-1.5338),(4545,785,0.005389,-1.536),(4545,795,0.005581,-1.5383),(4545,805,0.005772,-1.5406),(4545,815,0.005976,-1.5429),(4545,825,0.006206,-1.5452),(4545,835,0.006436,-1.5475),(4545,845,0.006666,-1.5498),(4545,855,0.006912,-1.5522),(4545,865,0.007187,-1.5545),(4545,875,0.007462,-1.5568),(4545,885,0.007737,-1.5591),(4545,895,0.008037,-1.5615),(4545,905,0.008376,-1.5638),(4545,915,0.008715,-1.5662),(4545,925,0.009055,-1.5684),(4545,935,0.009421,-1.5707),(4545,945,0.009822,-1.573),(4545,955,0.010223,-1.5752),(4545,965,0.010624,-1.5773),(4545,975,0.011069,-1.5793),(4545,985,0.011564,-1.5814),(4545,995,0.012059,-1.5834),(4545,1005,0.012553,-1.5852),(4545,1015,0.013133,-1.587),(4545,1025,0.013795,-1.5888),(4545,1035,0.014456,-1.5904),(4545,1045,0.015118,-1.5918),(4545,1055,0.015903,-1.5933),(4545,1065,0.016788,-1.5947),(4545,1075,0.017674,-1.5957),(4545,1085,0.01856,-1.5964),(4545,1095,0.01958,-1.5972),(4545,1105,0.020693,-1.5979),(4545,1115,0.021807,-1.598),(4545,1125,0.022921,-1.5976),(4545,1135,0.024143,-1.5972),(4545,1145,0.025431,-1.5969),(4545,1155,0.026718,-1.5955),(4545,1165,0.028005,-1.5936),(4545,1175,0.029635,-1.5916),(4545,1185,0.031435,-1.5897),(4545,1195,0.033235,-1.5865),(4545,1205,0.035035,-1.5828),(4545,1215,0.039577,-1.5791),(4545,1225,0.04525,-1.5754),(4545,1235,0.050923,-1.5692),(4545,1245,0.056596,-1.562),(4545,1255,0.075188,-1.5548),(4545,1265,0.098144,-1.5477),(4545,1275,0.1211,-1.5232),(4545,1285,0.14405,-1.4935),(4545,1295,0.15838,-1.4638),(4545,1305,0.17037,-1.4341),(4545,1315,0.18235,-1.3762),(4545,1325,0.19434,-1.3115),(4545,1335,0.11082,-1.2468),(4545,1345,0.007285,-1.1821),(4545,1355,-0.096253,-1.2273),(4545,1365,-0.19979,-1.2924),(4545,1375,-0.21004,-1.3575),(4545,1385,-0.20589,-1.4225),(4545,1395,-0.20174,-1.4623),(4545,1405,-0.19759,-1.4989),(4545,1415,-0.16783,-1.5354),(4545,1425,-0.13542,-1.5719),(4545,1435,-0.10301,-1.5799),(4545,1445,-0.070602,-1.5857),(4545,1455,-0.064325,-1.5914),(4545,1465,-0.059553,-1.5971),(4545,1475,-0.054781,-1.6002),(4545,1485,-0.050009,-1.6031),(4545,1495,-0.049663,-1.606),(4545,1505,-0.049384,-1.609),(4545,1515,-0.049105,-1.6107),(4545,1525,-0.048815,-1.6125),(4545,1535,-0.048083,-1.6142),(4545,1545,-0.047351,-1.6159),(4545,1555,-0.04662,-1.6163),(4545,1565,-0.04587,-1.6166),(4545,1575,-0.04485,-1.6169),(4545,1585,-0.043831,-1.6171),(4545,1595,-0.042812,-1.6165),(4545,1605,-0.041806,-1.6158),(4545,1615,-0.040922,-1.6151),(4545,1625,-0.040037,-1.6143),(4545,1635,-0.039153,-1.6131),(4545,1645,-0.038299,-1.6118),(4545,1655,-0.037628,-1.6105),(4545,1665,-0.036957,-1.6092),(4545,1675,-0.036286,-1.6077),(4545,1685,-0.035644,-1.6062),(4545,1695,-0.035135,-1.6046),(4545,1705,-0.034626,-1.6031),(4545,1715,-0.034117,-1.6014),(4545,1725,-0.033633,-1.5998),(4545,1735,-0.033239,-1.5982),(4545,1745,-0.032846,-1.5965),(4545,1755,-0.032452,-1.5949),(4545,1765,-0.032081,-1.5934),(4545,1775,-0.031772,-1.5918),(4545,1785,-0.031463,-1.5902),(4545,1795,-0.031154,-1.5888),(4545,1805,-0.030861,-1.5873),(4545,1815,-0.030607,-1.5859),(4545,1825,-0.030353,-1.5845),(4545,1835,-0.030098,-1.5833),(4545,1845,-0.029852,-1.5821),(4545,1855,-0.029623,-1.5809),(4545,1865,-0.029393,-1.5798),(4545,1875,-0.029164,-1.5789),(4545,1885,-0.028934,-1.578),(4545,1895,-0.028705,-1.5771),(4545,1905,-0.028476,-1.5763),(4545,1915,-0.028247,-1.5757),(4545,1925,-0.028011,-1.5752),(4545,1935,-0.027765,-1.5746),(4545,1945,-0.027519,-1.5742),(4545,1955,-0.027273,-1.5741),(4545,1965,-0.027017,-1.5739),(4545,1975,-0.02675,-1.5737),(4545,1985,-0.026483,-1.5737),(4545,1995,-0.026216,-1.5739),(4545,2005,-0.025937,-1.5742),(4545,2015,-0.025647,-1.5744),(4545,2025,-0.025356,-1.5749),(4545,2035,-0.025066,-1.5756),(4545,2045,-0.024756,-1.5763),(4545,2055,-0.02443,-1.577),(4545,2065,-0.024103,-1.578),(4545,2075,-0.023777,-1.5793),(4545,2085,-0.023427,-1.5806),(4545,2095,-0.023061,-1.5818),(4545,2105,-0.022694,-1.5835),(4545,2115,-0.022328,-1.5853),(4545,2125,-0.02193,-1.5872),(4545,2135,-0.021514,-1.5891),(4545,2145,-0.021097,-1.5914),(4545,2155,-0.020681,-1.594),(4545,2165,-0.020211,-1.5966),(4545,2175,-0.019713,-1.5992),(4545,2185,-0.019214,-1.6022),(4545,2195,-0.018716,-1.6055),(4545,2205,-0.018137,-1.6088),(4545,2215,-0.017523,-1.6122),(4545,2225,-0.016909,-1.616),(4545,2235,-0.016295,-1.6201),(4545,2245,-0.015571,-1.6241),(4545,2255,-0.014807,-1.6282),(4545,2265,-0.014044,-1.6328),(4545,2275,-0.013281,-1.6376),(4545,2285,-0.01238,-1.6424),(4545,2295,-0.01144,-1.6471),(4545,2305,-0.010499,-1.6525),(4545,2315,-0.009559,-1.658),(4545,2325,-0.008459,-1.6635),(4545,2335,-0.007323,-1.669),(4545,2345,-0.006187,-1.675),(4545,2355,-0.005051,-1.6811),(4545,2365,-0.00373,-1.6873),(4545,2375,-0.00238,-1.6934),(4545,2385,-0.001029,-1.7),(4545,2395,0.000322,-1.7067),(4545,2405,0.001888,-1.7134),(4545,2415,0.003478,-1.72),(4545,2425,0.005069,-1.7271),(4545,2435,0.00666,-1.7342),(4545,2445,0.008504,-1.7414),(4545,2455,0.010366,-1.7485),(4545,2465,0.012227,-1.7559),(4545,2475,0.014089,-1.7634),(4545,2485,0.016253,-1.7708),(4545,2495,0.018424,-1.7783),(4545,2505,0.020595,-1.7859),(4545,2515,0.022772,-1.7935),(4545,2525,0.02529,-1.8012),(4545,2535,0.027808,-1.8088),(4545,2545,0.030325,-1.8164),(4545,2555,0.032864,-1.824),(4545,2565,0.035757,-1.8316),(4545,2575,0.038651,-1.8392),(4545,2585,0.041544,-1.8466),(4545,2595,0.044476,-1.854),(4545,2605,0.047772,-1.8613),(4545,2615,0.051069,-1.8687),(4545,2625,0.054366,-1.8756),(4545,2635,0.057719,-1.8825),(4545,2645,0.061442,-1.8894),(4545,2655,0.065165,-1.8962),(4545,2665,0.068887,-1.9024),(4545,2675,0.072686,-1.9086),(4545,2685,0.076847,-1.9148),(4545,2695,0.081007,-1.9208),(4545,2705,0.085168,-1.9261),(4545,2715,0.089423,-1.9315),(4545,2725,0.094027,-1.9368),(4545,2735,0.09863,-1.9419),(4545,2745,0.10323,-1.9461),(4545,2755,0.10795,-1.9504),(4545,2765,0.11299,-1.9547),(4545,2775,0.11804,-1.9587),(4545,2785,0.12308,-1.9618),(4545,2795,0.12825,-1.9649),(4545,2805,0.13372,-1.968),(4545,2815,0.13919,-1.9707),(4545,2825,0.14466,-1.9726),(4545,2835,0.15027,-1.9744),(4545,2845,0.15615,-1.9763),(4545,2855,0.16202,-1.9776),(4545,2865,0.1679,-1.9781),(4545,2875,0.17391,-1.9786),(4545,2885,0.18015,-1.9791),(4545,2895,0.18639,-1.979),(4545,2905,0.19263,-1.9781),(4545,2915,0.199,-1.9771),(4545,2925,0.20555,-1.9762),(4545,2935,0.2121,-1.9746),(4545,2945,0.21866,-1.9722),(4545,2955,0.22532,-1.9697),(4545,2965,0.23212,-1.9673),(4545,2975,0.23892,-1.9641),(4545,2985,0.24573,-1.9601),(4545,2995,0.25261,-1.9561),(4545,3005,0.25959,-1.9521),(4545,3015,0.26657,-1.9473),(4545,3025,0.27355,-1.9417),(4545,3035,0.28057,-1.936),(4545,3045,0.28764,-1.9304),(4545,3055,0.29471,-1.9239),(4545,3065,0.30178,-1.9166),(4545,3075,0.30885,-1.9093),(4545,3085,0.31592,-1.902),(4545,3095,0.32299,-1.8937),(4545,3105,0.33006,-1.8846),(4545,3115,0.33707,-1.8756),(4545,3125,0.34405,-1.8665),(4545,3135,0.35103,-1.8563),(4545,3145,0.35801,-1.8455),(4545,3155,0.36488,-1.8346),(4545,3165,0.37168,-1.8238),(4545,3175,0.37849,-1.8116),(4545,3185,0.38529,-1.7989),(4545,3195,0.39193,-1.7861),(4545,3205,0.39849,-1.7734),(4545,3215,0.40506,-1.7593),(4545,3225,0.41162,-1.7446),(4545,3235,0.41796,-1.7299),(4545,3245,0.42421,-1.7153),(4545,3255,0.43046,-1.6992),(4545,3265,0.43672,-1.6827),(4545,3275,0.44268,-1.6662),(4545,3285,0.44855,-1.6496),(4545,3295,0.45442,-1.6317),(4545,3305,0.4603,-1.6135),(4545,3315,0.46581,-1.5952),(4545,3325,0.47124,-1.5769),(4545,3335,0.47667,-1.5574),(4545,3345,0.4821,-1.5377),(4545,3355,0.48709,-1.5179),(4545,3365,0.49199,-1.4982),(4545,3375,0.4969,-1.4774),(4545,3385,0.50181,-1.4565),(4545,3395,0.50618,-1.4355),(4545,3405,0.51049,-1.4146),(4545,3415,0.51479,-1.393),(4545,3425,0.5191,-1.3713),(4545,3435,0.52277,-1.3496),(4545,3445,0.52639,-1.3279),(4545,3455,0.53002,-1.3059),(4545,3465,0.53364,-1.2838),(4545,3475,0.53652,-1.2618),(4545,3485,0.53937,-1.2397),(4545,3495,0.54222,-1.2177),(4545,3505,0.54507,-1.1957),(4545,3515,0.54708,-1.1737),(4545,3525,0.54908,-1.1517),(4545,3535,0.55109,-1.1301),(4545,3545,0.55305,-1.1085),(4545,3555,0.55417,-1.0869),(4545,3565,0.55529,-1.0653),(4545,3575,0.55641,-1.0443),(4545,3585,0.55745,-1.0234),(4545,3595,0.55768,-1.0024),(4545,3605,0.5579,-0.9816),(4545,3615,0.55813,-0.96164),(4545,3625,0.55824,-0.94168),(4545,3635,0.55758,-0.92172),(4545,3645,0.55692,-0.90196),(4545,3655,0.55625,-0.88338),(4545,3665,0.55545,-0.8648),(4545,3675,0.55392,-0.84622),(4545,3685,0.5524,-0.82797),(4545,3695,0.55087,-0.81118),(4545,3705,0.54919,-0.79439),(4545,3715,0.54686,-0.7776),(4545,3725,0.54454,-0.76128),(4545,3735,0.54221,-0.74662),(4545,3745,0.53972,-0.73196),(4545,3755,0.53669,-0.7173),(4545,3765,0.53366,-0.70328),(4545,3775,0.53064,-0.69104),(4545,3785,0.52746,-0.6788),(4545,3795,0.5239,-0.66657),(4545,3805,0.52034,-0.65512),(4545,3815,0.51678,-0.64548),(4545,3825,0.51319,-0.63584),(4545,3835,0.50951,-0.62621),(4545,3845,0.50583,-0.61746),(4545,3855,0.50215,-0.61042),(4545,3865,0.49882,-0.60337),(4545,3875,0.49608,-0.59633),(4545,3885,0.49335,-0.59033),(4545,3895,0.49061,-0.58602),(4545,3905,0.48911,-0.58171),(4545,3915,0.48943,-0.57741),(4545,3925,0.48975,-0.5754),(4545,3935,0.49007,-0.57656),(4545,3945,0.49362,-0.57773),(4545,3955,0.50128,-0.57889),(4545,3965,0.50894,-0.59026),(4545,3975,0.5166,-0.61359),(4545,3985,0.54303,-0.63691),(4545,3995,0.58981,-0.66024),(4545,4005,0.63658,-0.68162),(4545,4015,0.68335,-0.70104),(4545,4025,0.81534,-0.72046),(4545,4035,0.95567,-0.72506),(4545,4045,1.096,-0.69841),(4545,4055,1.3043,-0.67176),(4545,4065,1.5375,-0.64163),(4545,4075,1.7706,-0.59074),(4545,4085,1.8818,-0.53985),(4545,4095,1.8949,-0.48896),(4545,4105,1.9081,-0.44724),(4545,4115,1.918,-0.40585),(4545,4125,1.9225,-0.36446),(4545,4135,1.9271,-0.33654),(4545,4145,1.9319,-0.31226),(4545,4155,1.9377,-0.28799),(4545,4165,1.9435,-0.26585),(4545,4175,1.9489,-0.24507),(4545,4185,1.936,-0.22429),(4545,4195,1.9231,-0.206),(4545,4205,1.9103,-0.19102),(4545,4215,1.9039,-0.17604),(4545,4225,1.8988,-0.1609),(4545,4235,1.8936,-0.14525),(4545,4245,1.8884,-0.12961),(4545,4255,1.8833,-0.11464),(4545,4265,1.8781,-0.10812),(4545,4275,1.881,-0.1016),(4545,4285,1.8924,-0.095081),(4545,4295,1.9037,-0.081788),(4545,4305,1.9051,-0.06771),(4545,4315,1.8838,-0.053632),(4545,4325,1.8624,-0.047126),(4545,4335,1.8431,-0.043596),(4545,4345,1.8378,-0.040066),(4545,4355,1.8326,-0.032347),(4545,4365,1.8273,-0.021053),(4545,4375,1.8216,-0.009759),(4545,4385,1.8159,0.000175),(4545,4395,1.8102,0.007706),(4545,4405,1.8086,0.015236),(4545,4415,1.8082,0.021658),(4545,4425,1.8078,0.02313),(4545,4435,1.8063,0.024603),(4545,4445,1.804,0.026083),(4545,4455,1.8017,0.029072),(4545,4465,1.7962,0.03206),(4545,4475,1.7859,0.035048),(4545,4485,1.7757,0.040883),(4545,4495,1.7665,0.047314),(4545,4505,1.7604,0.053745),(4545,4515,1.7543,0.061082),(4545,4525,1.7482,0.06891),(4545,4535,1.7411,0.076738),(4545,4545,1.734,0.079012),(4545,4555,1.7269,0.07503),(4545,4565,1.739,0.071048),(4545,4575,1.7536,0.070151),(4545,4585,1.7682,0.076728),(4545,4595,1.7606,0.083306),(4545,4605,1.7436,0.089166),(4545,4615,1.7266,0.089444),(4545,4625,1.7161,0.089723),(4545,4635,1.7115,0.090001),(4545,4645,1.7069,0.095416),(4545,4655,1.7023,0.10118),(4545,4665,1.6977,0.10695),(4545,4675,1.6931,0.10995),(4545,4685,1.6897,0.11205),(4545,4695,1.6919,0.11416),(4545,4705,1.6941,0.11509),(4545,4715,1.6963,0.11519),(4545,4725,1.6905,0.11528),(4545,4735,1.6847,0.11612),(4545,4745,1.6789,0.11808),(4545,4755,1.6731,0.12005),(4545,4765,1.6674,0.1234),(4545,4775,1.6617,0.13163),(4545,4785,1.6557,0.13985),(4545,4795,1.6497,0.148),(4545,4805,1.6436,0.15472),(4545,4815,1.6379,0.16144),(4545,4825,1.6326,0.16816),(4545,4835,1.6273,0.16623),(4545,4845,1.6248,0.16297),(4545,4855,1.6297,0.15971),(4545,4865,1.6345,0.15982),(4545,4875,1.638,0.16145),(4545,4885,1.6286,0.16308),(4545,4895,1.6191,0.166),(4545,4905,1.6097,0.17017),(4545,4915,1.6033,0.17433),(4545,4925,1.5972,0.1787),(4545,4935,1.5911,0.18349),(4545,4945,1.5846,0.18828),(4545,4955,1.578,0.19146),(4545,4965,1.5714,0.18582),(4545,4975,1.574,0.18018),(4545,4985,1.5837,0.17455),(4545,4995,1.5934,0.17206),(4545,5005,1.596,0.16966),(4545,5015,1.5872,0.16725),(4545,5025,1.5785,0.16645),(4545,5035,1.5709,0.16607),(4545,5045,1.5678,0.16568),(4545,5055,1.5647,0.17035),(4545,5065,1.5616,0.17813),(4545,5075,1.5565,0.18591),(4545,5085,1.5515,0.19233),(4545,5095,1.5464,0.19703),(4545,5105,1.5433,0.20174),(4545,5115,1.5406,0.20397),(4545,5125,1.5379,0.19924),(4545,5135,1.5402,0.1945),(4545,5145,1.5449,0.19042),(4545,5155,1.5496,0.19334),(4545,5165,1.5485,0.19627),(4545,5175,1.5415,0.1992),(4545,5185,1.5345,0.20681),(4545,5195,1.5273,0.21491),(4545,5205,1.5197,0.22301),(4545,5215,1.5121,0.22796),(4545,5225,1.5046,0.23173),(4545,5235,1.498,0.2355),(4545,5245,1.4913,0.22795),(4545,5255,1.4846,0.21112),(4545,5265,1.5068,0.19429),(4545,5275,1.5301,0.18163),(4545,5285,1.5535,0.17603),(4545,5295,1.5538,0.17044),(4545,5305,1.5478,0.16556),(4545,5315,1.5418,0.16365),(4545,5325,1.5375,0.16174),(4545,5335,1.5343,0.15978),(4545,5345,1.5311,0.15408),(4545,5355,1.5301,0.14837),(4545,5365,1.5321,0.14267),(4545,5375,1.5341,0.12147),(4545,5385,1.5419,0.097238),(4545,5395,1.5671,0.073008),(4545,5405,1.5923,0.041236),(4545,5415,1.6187,0.00555),(4545,5425,1.6609,-0.030135),(4545,5435,1.7032,-0.047195),(4545,5445,1.7454,-0.044092),(4545,5455,1.7598,-0.040989),(4545,5465,1.7709,-0.035848),(4545,5475,1.7819,-0.026001),(4545,5485,1.7899,-0.016153),(4545,5495,1.7968,-0.006097),(4545,5505,1.8036,0.005434),(4545,5515,1.8089,0.016965),(4545,5525,1.813,0.028496),(4545,5535,1.817,0.040037),(4545,5545,1.8203,0.051579),(4545,5555,1.8222,0.06312),(4545,5565,1.8242,0.074346),(4545,5575,1.826,0.085477),(4545,5585,1.8264,0.096608),(4545,5595,1.8269,0.10755),(4545,5605,1.8274,0.11836),(4545,5615,1.8266,0.12917),(4545,5625,1.8259,0.13993),(4545,5635,1.8251,0.15063),(4545,5645,1.8235,0.16133),(4545,5655,1.8216,0.17206),(4545,5665,1.8198,0.18292),(4545,5675,1.8173,0.19377),(4545,5685,1.8144,0.20466),(4545,5695,1.8115,0.21599),(4545,5705,1.808,0.22733),(4545,5715,1.8039,0.23867),(4545,5725,1.7999,0.25074),(4545,5735,1.7954,0.26291),(4545,5745,1.79,0.27508),(4545,5755,1.7845,0.28813),(4545,5765,1.7789,0.30155),(4545,5775,1.7717,0.31498),(4545,5785,1.7644,0.32931),(4545,5795,1.7572,0.34445),(4545,5805,1.7477,0.3596),(4545,5815,1.738,0.37552),(4545,5825,1.7283,0.39293),(4545,5835,1.7159,0.41034),(4545,5845,1.7026,0.4282),(4545,5855,1.6893,0.44834),(4545,5865,1.673,0.46849),(4545,5875,1.6543,0.48863),(4545,5885,1.6357,0.51142),(4545,5895,1.6139,0.53426),(4545,5905,1.5875,0.55709),(4545,5915,1.561,0.58023),(4545,5925,1.5325,0.60345),(4545,5935,1.4967,0.62667),(4545,5945,1.4609,0.644),(4545,5955,1.425,0.65784),(4545,5965,1.3885,0.67169),(4545,5975,1.3519,0.66896),(4545,5985,1.3154,0.64599),(4545,5995,1.3228,0.62303),(4545,6005,1.3373,0.57963),(4545,6015,1.3518,0.48161),(4545,6025,1.4965,0.38358),(4545,6035,1.7015,0.28845),(4545,6045,1.9065,0.22114),(4545,6055,2.0844,0.15384),(4545,6065,2.2358,0.086529),(4545,6075,2.3872,0.085487),(4545,6085,2.496,0.090535),(4545,6095,2.517,0.095584),(4545,6105,2.538,0.10301),(4545,6115,2.5555,0.11127),(4545,6125,2.553,0.11954),(4545,6135,2.5505,0.12547),(4545,6145,2.548,0.12955),(4545,6155,2.5437,0.13364),(4545,6165,2.5394,0.13662),(4545,6175,2.535,0.13779),(4545,6185,2.5311,0.13897),(4545,6195,2.5272,0.13979),(4545,6205,2.5234,0.13922),(4545,6215,2.52,0.13866),(4545,6225,2.5168,0.13807),(4545,6235,2.5136,0.13638),(4545,6245,2.5107,0.1347),(4545,6255,2.5081,0.13301),(4545,6265,2.5055,0.13068),(4545,6275,2.503,0.12823),(4545,6285,2.5009,0.12577),(4545,6295,2.4988,0.123),(4545,6305,2.4967,0.12005),(4545,6315,2.495,0.11711),(4545,6325,2.4932,0.11399),(4545,6335,2.4915,0.11068),(4545,6345,2.4901,0.10737),(4545,6355,2.4887,0.104),(4545,6365,2.4873,0.10051),(4545,6375,2.4861,0.097025),(4545,6385,2.485,0.093521),(4545,6395,2.4838,0.089913),(4545,6405,2.4828,0.086304),(4545,6415,2.4819,0.082696),(4545,6425,2.481,0.078975),(4545,6435,2.4801,0.075249),(4545,6445,2.4794,0.071522),(4545,6455,2.4787,0.067768),(4545,6465,2.478,0.064006),(4545,6475,2.4775,0.060244),(4545,6485,2.477,0.056473),(4545,6495,2.4764,0.052695),(4545,6505,2.476,0.048917),(4545,6515,2.4757,0.045111),(4545,6525,2.4753,0.041267),(4545,6535,2.475,0.037423),(4545,6545,2.4747,0.033592),(4545,6555,2.4745,0.029803),(4545,6565,2.4743,0.026014),(4545,6575,2.4742,0.022223),(4545,6585,2.4741,0.018404),(4545,6595,2.1044,0.014585),(4545,6605,1.3268,0.010766),(4545,6615,0.54911,0.010275),(4545,6625,0.002426,0.010212),(4545,6635,0.002411,0.010149),(4545,6645,0.002397,0.010106),(4545,6655,0.002382,0.01007),(4545,6665,0.002368,0.010035),(4545,6675,0.002354,0.010002),(4545,6685,0.002341,0.009972),(4545,6695,0.002328,0.009941),(4545,6705,0.002315,0.009912),(4545,6715,0.002303,0.009886),(4545,6725,0.002291,0.00986),(4545,6735,0.002279,0.009834),(4545,6745,0.002268,0.009811),(4545,6755,0.002257,0.009789),(4545,6765,0.002246,0.009766),(4545,6775,0.002236,0.009746),(4545,6785,0.002226,0.009725),(4545,6795,0.002216,0.009705),(4545,6805,0.002207,0.009687),(4545,6815,0.002197,0.009669),(4545,6825,0.002188,0.009652),(4545,6835,0.00218,0.009635),(4545,6845,0.002171,0.009619),(4545,6855,0.002163,0.009604),(4545,6865,0.002155,0.009588),(4545,6875,0.002147,0.009574),(4545,6885,0.00214,0.00956),(4545,6895,0.002133,0.009546),(4545,6905,0.002126,0.009533),(4545,6915,0.002119,0.00952),(4545,6925,0.002113,0.009508),(4545,6935,0.002106,0.009496),(4545,6945,0.0021,0.009484),(4545,6955,0.002095,0.009472),(4545,6965,0.002089,0.009461),(4545,6975,0.002084,0.00945),(4545,6985,0.002079,0.009439),(4555,5,1.2e-05,-1.401),(4555,15,3.5e-05,-1.4012),(4555,25,6.1e-05,-1.4013),(4555,35,8.9e-05,-1.4015),(4555,45,0.000117,-1.4017),(4555,55,0.000145,-1.4018),(4555,65,0.00017,-1.402),(4555,75,0.000192,-1.4021),(4555,85,0.000215,-1.4023),(4555,95,0.000238,-1.4026),(4555,105,0.000255,-1.4028),(4555,115,0.000269,-1.4031),(4555,125,0.000282,-1.4034),(4555,135,0.000296,-1.4037),(4555,145,0.000303,-1.404),(4555,155,0.000308,-1.4043),(4555,165,0.000312,-1.4047),(4555,175,0.000316,-1.4051),(4555,185,0.00033,-1.4056),(4555,195,0.000347,-1.406),(4555,205,0.000365,-1.4065),(4555,215,0.000382,-1.407),(4555,225,0.000421,-1.4076),(4555,235,0.000467,-1.4081),(4555,245,0.000513,-1.4088),(4555,255,0.000559,-1.4095),(4555,265,0.000626,-1.4102),(4555,275,0.000699,-1.4109),(4555,285,0.000772,-1.4117),(4555,295,0.000845,-1.4126),(4555,305,0.000908,-1.4134),(4555,315,0.000968,-1.4142),(4555,325,0.001028,-1.4151),(4555,335,0.001088,-1.416),(4555,345,0.001131,-1.4168),(4555,355,0.001171,-1.4177),(4555,365,0.00121,-1.4187),(4555,375,0.00125,-1.4197),(4555,385,0.00131,-1.4207),(4555,395,0.001373,-1.4217),(4555,405,0.001436,-1.4229),(4555,415,0.0015,-1.4241),(4555,425,0.001589,-1.4253),(4555,435,0.00168,-1.4265),(4555,445,0.001771,-1.4278),(4555,455,0.001862,-1.4291),(4555,465,0.001939,-1.4304),(4555,475,0.002015,-1.4317),(4555,485,0.002092,-1.4331),(4555,495,0.002168,-1.4344),(4555,505,0.00221,-1.4358),(4555,515,0.002253,-1.4372),(4555,525,0.002295,-1.4387),(4555,535,0.002338,-1.4401),(4555,545,0.00237,-1.4416),(4555,555,0.002403,-1.4431),(4555,565,0.002436,-1.4447),(4555,575,0.002471,-1.4463),(4555,585,0.002526,-1.4479),(4555,595,0.002582,-1.4496),(4555,605,0.002637,-1.4513),(4555,615,0.002696,-1.4531),(4555,625,0.002779,-1.4549),(4555,635,0.002862,-1.4566),(4555,645,0.002945,-1.4585),(4555,655,0.003029,-1.4604),(4555,665,0.003124,-1.4623),(4555,675,0.003219,-1.4642),(4555,685,0.003314,-1.4662),(4555,695,0.003406,-1.4682),(4555,705,0.00349,-1.4701),(4555,715,0.003573,-1.4721),(4555,725,0.003657,-1.4741),(4555,735,0.003744,-1.4762),(4555,745,0.003841,-1.4782),(4555,755,0.003938,-1.4803),(4555,765,0.004035,-1.4824),(4555,775,0.004147,-1.4846),(4555,785,0.004297,-1.4868),(4555,795,0.004447,-1.4889),(4555,805,0.004597,-1.4912),(4555,815,0.004759,-1.4934),(4555,825,0.004947,-1.4957),(4555,835,0.005135,-1.4979),(4555,845,0.005322,-1.5002),(4555,855,0.005523,-1.5024),(4555,865,0.005746,-1.5047),(4555,875,0.005969,-1.507),(4555,885,0.006193,-1.5092),(4555,895,0.006438,-1.5115),(4555,905,0.006718,-1.5138),(4555,915,0.006998,-1.5161),(4555,925,0.007278,-1.5183),(4555,935,0.007578,-1.5205),(4555,945,0.007907,-1.5227),(4555,955,0.008235,-1.5249),(4555,965,0.008564,-1.5269),(4555,975,0.008923,-1.5289),(4555,985,0.009316,-1.5309),(4555,995,0.009709,-1.5328),(4555,1005,0.010102,-1.5346),(4555,1015,0.010562,-1.5364),(4555,1025,0.011087,-1.5381),(4555,1035,0.011612,-1.5397),(4555,1045,0.012137,-1.5411),(4555,1055,0.012762,-1.5424),(4555,1065,0.013471,-1.5438),(4555,1075,0.01418,-1.5448),(4555,1085,0.014889,-1.5455),(4555,1095,0.015697,-1.5462),(4555,1105,0.016575,-1.5469),(4555,1115,0.017453,-1.547),(4555,1125,0.018331,-1.5466),(4555,1135,0.01928,-1.5463),(4555,1145,0.020269,-1.546),(4555,1155,0.021259,-1.5447),(4555,1165,0.022248,-1.5429),(4555,1175,0.023593,-1.5412),(4555,1185,0.025114,-1.5394),(4555,1195,0.026635,-1.5364),(4555,1205,0.028156,-1.5328),(4555,1215,0.032177,-1.5292),(4555,1225,0.03723,-1.5256),(4555,1235,0.042283,-1.519),(4555,1245,0.047335,-1.5114),(4555,1255,0.061559,-1.5038),(4555,1265,0.07888,-1.4962),(4555,1275,0.096201,-1.4729),(4555,1285,0.11352,-1.4449),(4555,1295,0.11937,-1.4169),(4555,1305,0.12211,-1.3889),(4555,1315,0.12485,-1.3404),(4555,1325,0.12759,-1.2871),(4555,1335,0.071178,-1.2338),(4555,1345,0.002367,-1.1804),(4555,1355,-0.066445,-1.2188),(4555,1365,-0.13526,-1.2738),(4555,1375,-0.14693,-1.3288),(4555,1385,-0.1498,-1.3838),(4555,1395,-0.15266,-1.4206),(4555,1405,-0.15553,-1.4549),(4555,1415,-0.13338,-1.4893),(4555,1425,-0.10863,-1.5237),(4555,1435,-0.083887,-1.532),(4555,1445,-0.059142,-1.5382),(4555,1455,-0.053621,-1.5444),(4555,1465,-0.049206,-1.5506),(4555,1475,-0.044792,-1.5534),(4555,1485,-0.040377,-1.5561),(4555,1495,-0.040113,-1.5589),(4555,1505,-0.039911,-1.5615),(4555,1515,-0.039709,-1.5631),(4555,1525,-0.0395,-1.5647),(4555,1535,-0.039014,-1.5662),(4555,1545,-0.038528,-1.5678),(4555,1555,-0.038043,-1.568),(4555,1565,-0.037536,-1.5683),(4555,1575,-0.036729,-1.5686),(4555,1585,-0.035922,-1.5688),(4555,1595,-0.035115,-1.5682),(4555,1605,-0.034315,-1.5675),(4555,1615,-0.033582,-1.5668),(4555,1625,-0.032849,-1.5661),(4555,1635,-0.032116,-1.5648),(4555,1645,-0.031408,-1.5635),(4555,1655,-0.03085,-1.5623),(4555,1665,-0.030292,-1.561),(4555,1675,-0.029734,-1.5594),(4555,1685,-0.0292,-1.5579),(4555,1695,-0.028775,-1.5563),(4555,1705,-0.02835,-1.5547),(4555,1715,-0.027925,-1.5531),(4555,1725,-0.027521,-1.5515),(4555,1735,-0.027191,-1.5498),(4555,1745,-0.026861,-1.5482),(4555,1755,-0.026531,-1.5466),(4555,1765,-0.026221,-1.5449),(4555,1775,-0.025965,-1.5433),(4555,1785,-0.02571,-1.5418),(4555,1795,-0.025455,-1.5403),(4555,1805,-0.025215,-1.5388),(4555,1815,-0.025012,-1.5373),(4555,1825,-0.02481,-1.536),(4555,1835,-0.024607,-1.5347),(4555,1845,-0.024412,-1.5335),(4555,1855,-0.024234,-1.5322),(4555,1865,-0.024056,-1.5311),(4555,1875,-0.023877,-1.5302),(4555,1885,-0.023698,-1.5292),(4555,1895,-0.023519,-1.5283),(4555,1905,-0.023339,-1.5274),(4555,1915,-0.023159,-1.5268),(4555,1925,-0.02297,-1.5262),(4555,1935,-0.022769,-1.5256),(4555,1945,-0.022569,-1.5251),(4555,1955,-0.022368,-1.5249),(4555,1965,-0.022156,-1.5247),(4555,1975,-0.02193,-1.5244),(4555,1985,-0.021705,-1.5244),(4555,1995,-0.02148,-1.5245),(4555,2005,-0.021244,-1.5247),(4555,2015,-0.020999,-1.5248),(4555,2025,-0.020753,-1.5252),(4555,2035,-0.020508,-1.5258),(4555,2045,-0.020246,-1.5264),(4555,2055,-0.01997,-1.527),(4555,2065,-0.019694,-1.5279),(4555,2075,-0.019418,-1.5291),(4555,2085,-0.019122,-1.5303),(4555,2095,-0.018811,-1.5314),(4555,2105,-0.0185,-1.5329),(4555,2115,-0.018189,-1.5347),(4555,2125,-0.017856,-1.5365),(4555,2135,-0.017509,-1.5382),(4555,2145,-0.017162,-1.5404),(4555,2155,-0.016816,-1.5428),(4555,2165,-0.016428,-1.5453),(4555,2175,-0.01602,-1.5477),(4555,2185,-0.015611,-1.5507),(4555,2195,-0.015202,-1.5539),(4555,2205,-0.014726,-1.557),(4555,2215,-0.01422,-1.5602),(4555,2225,-0.013714,-1.5639),(4555,2235,-0.013208,-1.5679),(4555,2245,-0.012604,-1.5718),(4555,2255,-0.011965,-1.5757),(4555,2265,-0.011326,-1.5802),(4555,2275,-0.010686,-1.5849),(4555,2285,-0.009919,-1.5895),(4555,2295,-0.009114,-1.5942),(4555,2305,-0.008309,-1.5994),(4555,2315,-0.007504,-1.6048),(4555,2325,-0.00655,-1.6102),(4555,2335,-0.005562,-1.6156),(4555,2345,-0.004575,-1.6215),(4555,2355,-0.003587,-1.6275),(4555,2365,-0.002433,-1.6335),(4555,2375,-0.00125,-1.6396),(4555,2385,-6.7e-05,-1.6461),(4555,2395,0.001115,-1.6526),(4555,2405,0.002489,-1.6592),(4555,2415,0.003886,-1.6658),(4555,2425,0.005282,-1.6728),(4555,2435,0.006678,-1.6798),(4555,2445,0.008299,-1.6869),(4555,2455,0.009935,-1.6939),(4555,2465,0.011572,-1.7012),(4555,2475,0.013208,-1.7086),(4555,2485,0.015114,-1.716),(4555,2495,0.017026,-1.7233),(4555,2505,0.018939,-1.7309),(4555,2515,0.020856,-1.7384),(4555,2525,0.023082,-1.746),(4555,2535,0.025308,-1.7535),(4555,2545,0.027534,-1.7611),(4555,2555,0.029779,-1.7686),(4555,2565,0.032344,-1.7761),(4555,2575,0.03491,-1.7836),(4555,2585,0.037475,-1.7909),(4555,2595,0.040075,-1.7982),(4555,2605,0.043002,-1.8056),(4555,2615,0.045929,-1.8128),(4555,2625,0.048856,-1.8197),(4555,2635,0.051835,-1.8265),(4555,2645,0.055143,-1.8334),(4555,2655,0.058451,-1.8401),(4555,2665,0.061759,-1.8463),(4555,2675,0.065135,-1.8525),(4555,2685,0.068835,-1.8587),(4555,2695,0.072534,-1.8647),(4555,2705,0.076233,-1.8701),(4555,2715,0.080017,-1.8754),(4555,2725,0.08411,-1.8808),(4555,2735,0.088204,-1.8859),(4555,2745,0.092298,-1.8903),(4555,2755,0.096491,-1.8947),(4555,2765,0.10098,-1.8991),(4555,2775,0.10546,-1.9032),(4555,2785,0.10995,-1.9064),(4555,2795,0.11455,-1.9097),(4555,2805,0.11942,-1.913),(4555,2815,0.12429,-1.916),(4555,2825,0.12916,-1.9181),(4555,2835,0.13415,-1.9202),(4555,2845,0.13938,-1.9223),(4555,2855,0.14461,-1.924),(4555,2865,0.14984,-1.9249),(4555,2875,0.15519,-1.9258),(4555,2885,0.16074,-1.9266),(4555,2895,0.16629,-1.927),(4555,2905,0.17185,-1.9266),(4555,2915,0.17751,-1.9262),(4555,2925,0.18334,-1.9257),(4555,2935,0.18916,-1.9247),(4555,2945,0.19499,-1.923),(4555,2955,0.20091,-1.9212),(4555,2965,0.20694,-1.9194),(4555,2975,0.21297,-1.917),(4555,2985,0.21901,-1.9139),(4555,2995,0.22511,-1.9107),(4555,3005,0.23128,-1.9076),(4555,3015,0.23745,-1.9037),(4555,3025,0.24362,-1.8991),(4555,3035,0.24982,-1.8945),(4555,3045,0.25604,-1.89),(4555,3055,0.26227,-1.8846),(4555,3065,0.2685,-1.8786),(4555,3075,0.2747,-1.8725),(4555,3085,0.28089,-1.8665),(4555,3095,0.28709,-1.8596),(4555,3105,0.29328,-1.852),(4555,3115,0.29939,-1.8445),(4555,3125,0.30546,-1.8369),(4555,3135,0.31153,-1.8284),(4555,3145,0.31759,-1.8193),(4555,3155,0.32353,-1.8102),(4555,3165,0.32939,-1.8011),(4555,3175,0.33526,-1.791),(4555,3185,0.34112,-1.7803),(4555,3195,0.34681,-1.7696),(4555,3205,0.35242,-1.759),(4555,3215,0.35802,-1.7472),(4555,3225,0.36363,-1.7349),(4555,3235,0.36902,-1.7227),(4555,3245,0.37433,-1.7104),(4555,3255,0.37964,-1.697),(4555,3265,0.38495,-1.6832),(4555,3275,0.39001,-1.6695),(4555,3285,0.39499,-1.6557),(4555,3295,0.39997,-1.6408),(4555,3305,0.40495,-1.6256),(4555,3315,0.40964,-1.6104),(4555,3325,0.41427,-1.5952),(4555,3335,0.41889,-1.5789),(4555,3345,0.42352,-1.5625),(4555,3355,0.42781,-1.546),(4555,3365,0.43205,-1.5296),(4555,3375,0.43629,-1.5122),(4555,3385,0.44052,-1.4947),(4555,3395,0.44436,-1.4772),(4555,3405,0.44815,-1.4597),(4555,3415,0.45194,-1.4415),(4555,3425,0.45572,-1.4232),(4555,3435,0.45903,-1.4049),(4555,3445,0.4623,-1.3866),(4555,3455,0.46557,-1.3679),(4555,3465,0.46883,-1.3492),(4555,3475,0.47151,-1.3305),(4555,3485,0.47416,-1.3117),(4555,3495,0.47682,-1.2929),(4555,3505,0.47947,-1.274),(4555,3515,0.48141,-1.2551),(4555,3525,0.48334,-1.2362),(4555,3535,0.48528,-1.2175),(4555,3545,0.48719,-1.1988),(4555,3555,0.48836,-1.1801),(4555,3565,0.48953,-1.1614),(4555,3575,0.4907,-1.1431),(4555,3585,0.4918,-1.1249),(4555,3595,0.4922,-1.1067),(4555,3605,0.49261,-1.0885),(4555,3615,0.49301,-1.071),(4555,3625,0.49332,-1.0536),(4555,3635,0.49297,-1.0362),(4555,3645,0.49263,-1.0189),(4555,3655,0.49228,-1.0026),(4555,3665,0.49182,-0.98634),(4555,3675,0.49076,-0.97007),(4555,3685,0.4897,-0.95408),(4555,3695,0.48864,-0.93937),(4555,3705,0.48744,-0.92466),(4555,3715,0.48573,-0.90995),(4555,3725,0.48401,-0.89566),(4555,3735,0.48229,-0.88282),(4555,3745,0.48044,-0.86999),(4555,3755,0.47815,-0.85715),(4555,3765,0.47585,-0.84487),(4555,3775,0.47356,-0.83416),(4555,3785,0.47115,-0.82344),(4555,3795,0.46844,-0.81273),(4555,3805,0.46572,-0.8027),(4555,3815,0.46301,-0.79424),(4555,3825,0.46028,-0.78578),(4555,3835,0.45753,-0.77732),(4555,3845,0.45477,-0.76959),(4555,3855,0.45202,-0.76326),(4555,3865,0.44966,-0.75694),(4555,3875,0.448,-0.75062),(4555,3885,0.44634,-0.74498),(4555,3895,0.44468,-0.74045),(4555,3905,0.4446,-0.73592),(4555,3915,0.44691,-0.73139),(4555,3925,0.44921,-0.72789),(4555,3935,0.45151,-0.72581),(4555,3945,0.45919,-0.72372),(4555,3955,0.47369,-0.72164),(4555,3965,0.4882,-0.72432),(4555,3975,0.5027,-0.73257),(4555,3985,0.53364,-0.74083),(4555,3995,0.58238,-0.74909),(4555,4005,0.63111,-0.74835),(4555,4015,0.67984,-0.73862),(4555,4025,0.80416,-0.72889),(4555,4035,0.93588,-0.71596),(4555,4045,1.0676,-0.69627),(4555,4055,1.2677,-0.67658),(4555,4065,1.4928,-0.65354),(4555,4075,1.7179,-0.61051),(4555,4085,1.8273,-0.56749),(4555,4095,1.8438,-0.52447),(4555,4105,1.8603,-0.48634),(4555,4115,1.8745,-0.44838),(4555,4125,1.8849,-0.41043),(4555,4135,1.8953,-0.38198),(4555,4145,1.905,-0.3561),(4555,4155,1.9119,-0.33022),(4555,4165,1.9188,-0.30605),(4555,4175,1.9254,-0.28297),(4555,4185,1.9142,-0.25989),(4555,4195,1.903,-0.23987),(4555,4205,1.8919,-0.22388),(4555,4215,1.8855,-0.20788),(4555,4225,1.88,-0.19209),(4555,4235,1.8745,-0.17691),(4555,4245,1.8712,-0.16173),(4555,4255,1.8691,-0.14705),(4555,4265,1.867,-0.13859),(4555,4275,1.8703,-0.13013),(4555,4285,1.8792,-0.12167),(4555,4295,1.8882,-0.10677),(4555,4305,1.8889,-0.091113),(4555,4315,1.8709,-0.075459),(4555,4325,1.8529,-0.067268),(4555,4335,1.8361,-0.06201),(4555,4345,1.8281,-0.056751),(4555,4355,1.8201,-0.049033),(4555,4365,1.8121,-0.039216),(4555,4375,1.8075,-0.029399),(4555,4385,1.803,-0.020605),(4555,4395,1.7986,-0.01362),(4555,4405,1.7989,-0.006634),(4555,4415,1.8007,-0.000255),(4555,4425,1.8025,0.003419),(4555,4435,1.8015,0.007093),(4555,4445,1.7987,0.010772),(4555,4455,1.7959,0.015537),(4555,4465,1.7894,0.020302),(4555,4475,1.7779,0.025067),(4555,4485,1.7663,0.030554),(4555,4495,1.756,0.036193),(4555,4505,1.7494,0.041832),(4555,4515,1.7428,0.047726),(4555,4525,1.7364,0.053758),(4555,4535,1.7334,0.05979),(4555,4545,1.7303,0.06194),(4555,4555,1.7272,0.059719),(4555,4565,1.7368,0.057498),(4555,4575,1.748,0.058226),(4555,4585,1.7592,0.0661),(4555,4595,1.752,0.073974),(4555,4605,1.7369,0.081097),(4555,4615,1.7219,0.082374),(4555,4625,1.7113,0.083651),(4555,4635,1.7048,0.084928),(4555,4645,1.6983,0.089312),(4555,4655,1.6929,0.09391),(4555,4665,1.6895,0.098507),(4555,4675,1.6862,0.10121),(4555,4685,1.6839,0.10329),(4555,4695,1.6869,0.10538),(4555,4705,1.6899,0.10742),(4555,4715,1.6929,0.10941),(4555,4725,1.6865,0.1114),(4555,4735,1.68,0.11371),(4555,4745,1.6735,0.11651),(4555,4755,1.6658,0.11931),(4555,4765,1.6579,0.12291),(4555,4775,1.6499,0.12935),(4555,4785,1.6435,0.13578),(4555,4795,1.6379,0.14215),(4555,4805,1.6323,0.14714),(4555,4815,1.6284,0.15213),(4555,4825,1.6266,0.15712),(4555,4835,1.6247,0.15629),(4555,4845,1.6243,0.15456),(4555,4855,1.6276,0.15282),(4555,4865,1.6309,0.15431),(4555,4875,1.6328,0.15726),(4555,4885,1.6224,0.1602),(4555,4895,1.612,0.16335),(4555,4905,1.6016,0.16669),(4555,4915,1.5949,0.17003),(4555,4925,1.5885,0.17328),(4555,4935,1.5821,0.17634),(4555,4945,1.5782,0.17939),(4555,4955,1.5751,0.1813),(4555,4965,1.5721,0.17689),(4555,4975,1.5757,0.17247),(4555,4985,1.5845,0.16806),(4555,4995,1.5933,0.16805),(4555,5005,1.595,0.16816),(4555,5015,1.5854,0.16827),(4555,5025,1.5759,0.1686),(4555,5035,1.5671,0.16899),(4555,5045,1.5612,0.16938),(4555,5055,1.5553,0.17299),(4555,5065,1.5494,0.17858),(4555,5075,1.5454,0.18418),(4555,5085,1.5413,0.18866),(4555,5095,1.5373,0.19174),(4555,5105,1.5372,0.19482),(4555,5115,1.5377,0.1963),(4555,5125,1.5383,0.19329),(4555,5135,1.5399,0.19028),(4555,5145,1.5421,0.18779),(4555,5155,1.5442,0.19099),(4555,5165,1.5409,0.19419),(4555,5175,1.532,0.19739),(4555,5185,1.5231,0.20247),(4555,5195,1.515,0.20773),(4555,5205,1.5088,0.213),(4555,5215,1.5025,0.2148),(4555,5225,1.4972,0.2153),(4555,5235,1.4974,0.2158),(4555,5245,1.4977,0.20789),(4555,5255,1.498,0.19307),(4555,5265,1.5169,0.17825),(4555,5275,1.5367,0.16751),(4555,5285,1.5564,0.16366),(4555,5295,1.5548,0.15981),(4555,5305,1.5474,0.15601),(4555,5315,1.5399,0.15246),(4555,5325,1.5357,0.14891),(4555,5335,1.5336,0.14528),(4555,5345,1.5315,0.1368),(4555,5355,1.5337,0.12832),(4555,5365,1.5419,0.11984),(4555,5375,1.5501,0.099309),(4555,5385,1.5635,0.076425),(4555,5395,1.5929,0.05354),(4555,5405,1.6222,0.027319),(4555,5415,1.6515,-0.000634),(4555,5425,1.6808,-0.028587),(4555,5435,1.71,-0.041556),(4555,5445,1.7393,-0.038303),(4555,5455,1.7503,-0.03505),(4555,5465,1.759,-0.030085),(4555,5475,1.7678,-0.021165),(4555,5485,1.7749,-0.012244),(4555,5495,1.7812,-0.003098),(4555,5505,1.7875,0.007649),(4555,5515,1.7926,0.018397),(4555,5525,1.7966,0.029144),(4555,5535,1.8006,0.040225),(4555,5545,1.804,0.051326),(4555,5555,1.8061,0.062427),(4555,5565,1.8083,0.07343),(4555,5575,1.8101,0.084405),(4555,5585,1.8107,0.095379),(4555,5595,1.8113,0.10628),(4555,5605,1.8119,0.11712),(4555,5615,1.8112,0.12796),(4555,5625,1.8105,0.13881),(4555,5635,1.8098,0.14966),(4555,5645,1.8081,0.16051),(4555,5655,1.8063,0.17141),(4555,5665,1.8044,0.18247),(4555,5675,1.8018,0.19354),(4555,5685,1.7987,0.20463),(4555,5695,1.7957,0.21618),(4555,5705,1.792,0.22774),(4555,5715,1.7877,0.23929),(4555,5725,1.7834,0.25154),(4555,5735,1.7787,0.26388),(4555,5745,1.7728,0.27622),(4555,5755,1.767,0.28936),(4555,5765,1.761,0.30284),(4555,5775,1.7532,0.31632),(4555,5785,1.7454,0.33057),(4555,5795,1.7377,0.34554),(4555,5805,1.7274,0.36051),(4555,5815,1.717,0.37611),(4555,5825,1.7066,0.39291),(4555,5835,1.6934,0.4097),(4555,5845,1.6792,0.42682),(4555,5855,1.6651,0.44554),(4555,5865,1.6478,0.46426),(4555,5875,1.6282,0.48297),(4555,5885,1.6087,0.50288),(4555,5895,1.5863,0.52279),(4555,5905,1.5595,0.54271),(4555,5915,1.5328,0.56087),(4555,5925,1.5047,0.57861),(4555,5935,1.4716,0.59634),(4555,5945,1.4385,0.60607),(4555,5955,1.4057,0.61106),(4555,5965,1.3807,0.61606),(4555,5975,1.3557,0.60429),(4555,5985,1.3307,0.57207),(4555,5995,1.361,0.53986),(4555,6005,1.4002,0.49057),(4555,6015,1.4393,0.39565),(4555,6025,1.5853,0.30073),(4555,6035,1.7808,0.2093),(4555,6045,1.9763,0.15144),(4555,6055,2.1376,0.093577),(4555,6065,2.2652,0.035715),(4555,6075,2.3929,0.036821),(4555,6085,2.4853,0.043348),(4555,6095,2.5052,0.049874),(4555,6105,2.5252,0.058745),(4555,6115,2.542,0.068449),(4555,6125,2.5408,0.078154),(4555,6135,2.5397,0.085615),(4555,6145,2.5385,0.091311),(4555,6155,2.5352,0.097006),(4555,6165,2.5317,0.10156),(4555,6175,2.5283,0.10425),(4555,6185,2.525,0.10694),(4555,6195,2.5217,0.10925),(4555,6205,2.5185,0.11003),(4555,6215,2.5155,0.11082),(4555,6225,2.5127,0.11157),(4555,6235,2.5098,0.11107),(4555,6245,2.5072,0.11058),(4555,6255,2.5048,0.11008),(4555,6265,2.5025,0.10881),(4555,6275,2.5002,0.1074),(4555,6285,2.4982,0.10599),(4555,6295,2.4962,0.10416),(4555,6305,2.4943,0.10214),(4555,6315,2.4927,0.10011),(4555,6325,2.491,0.097848),(4555,6335,2.4894,0.095345),(4555,6345,2.488,0.092842),(4555,6355,2.4867,0.090253),(4555,6365,2.4854,0.087476),(4555,6375,2.4842,0.084699),(4555,6385,2.4831,0.081896),(4555,6395,2.482,0.078925),(4555,6405,2.4811,0.075955),(4555,6415,2.4802,0.072985),(4555,6425,2.4793,0.069856),(4555,6435,2.4785,0.06672),(4555,6445,2.4778,0.063584),(4555,6455,2.4771,0.060381),(4555,6465,2.4764,0.057158),(4555,6475,2.4759,0.053935),(4555,6485,2.4754,0.050681),(4555,6495,2.4749,0.047407),(4555,6505,2.4745,0.044132),(4555,6515,2.4741,0.040821),(4555,6525,2.4737,0.037458),(4555,6535,2.4734,0.034096),(4555,6545,2.4732,0.030743),(4555,6555,2.473,0.027419),(4555,6565,2.4728,0.024095),(4555,6575,2.4727,0.020769),(4555,6585,2.4725,0.017409),(4555,6595,2.1031,0.01405),(4555,6605,1.326,0.01069),(4555,6615,0.5488,0.010253),(4555,6625,0.002462,0.010192),(4555,6635,0.002445,0.010131),(4555,6645,0.002428,0.010088),(4555,6655,0.002412,0.010053),(4555,6665,0.002397,0.010018),(4555,6675,0.002381,0.009986),(4555,6685,0.002366,0.009956),(4555,6695,0.002352,0.009926),(4555,6705,0.002338,0.009898),(4555,6715,0.002324,0.009872),(4555,6725,0.002311,0.009846),(4555,6735,0.002299,0.009821),(4555,6745,0.002286,0.009799),(4555,6755,0.002274,0.009776),(4555,6765,0.002263,0.009754),(4555,6775,0.002252,0.009734),(4555,6785,0.00224,0.009714),(4555,6795,0.00223,0.009695),(4555,6805,0.00222,0.009677),(4555,6815,0.00221,0.009659),(4555,6825,0.002201,0.009642),(4555,6835,0.002191,0.009626),(4555,6845,0.002182,0.00961),(4555,6855,0.002174,0.009595),(4555,6865,0.002165,0.00958),(4555,6875,0.002157,0.009566),(4555,6885,0.002149,0.009552),(4555,6895,0.002142,0.009539),(4555,6905,0.002134,0.009526),(4555,6915,0.002127,0.009513),(4555,6925,0.002121,0.009501),(4555,6935,0.002114,0.009489),(4555,6945,0.002108,0.009477),(4555,6955,0.002102,0.009466),(4555,6965,0.002096,0.009455),(4555,6975,0.00209,0.009444),(4555,6985,0.002085,0.009433),(4565,5,8e-06,-1.3543),(4565,15,2.4e-05,-1.3545),(4565,25,4.4e-05,-1.3546),(4565,35,6.7e-05,-1.3548),(4565,45,9e-05,-1.355),(4565,55,0.000114,-1.3551),(4565,65,0.000135,-1.3553),(4565,75,0.000154,-1.3554),(4565,85,0.000174,-1.3556),(4565,95,0.000194,-1.3559),(4565,105,0.000208,-1.3561),(4565,115,0.000219,-1.3564),(4565,125,0.000229,-1.3566),(4565,135,0.00024,-1.3569),(4565,145,0.000243,-1.3573),(4565,155,0.000241,-1.3576),(4565,165,0.000239,-1.3579),(4565,175,0.000237,-1.3584),(4565,185,0.000241,-1.3588),(4565,195,0.000248,-1.3592),(4565,205,0.000254,-1.3597),(4565,215,0.000261,-1.3602),(4565,225,0.000287,-1.3607),(4565,235,0.000319,-1.3612),(4565,245,0.000352,-1.3619),(4565,255,0.000385,-1.3626),(4565,265,0.00044,-1.3632),(4565,275,0.000503,-1.3639),(4565,285,0.000565,-1.3647),(4565,295,0.000628,-1.3655),(4565,305,0.000684,-1.3663),(4565,315,0.000738,-1.3671),(4565,325,0.000792,-1.3679),(4565,335,0.000846,-1.3688),(4565,345,0.000879,-1.3697),(4565,355,0.000909,-1.3705),(4565,365,0.000938,-1.3715),(4565,375,0.000968,-1.3725),(4565,385,0.001014,-1.3734),(4565,395,0.001062,-1.3744),(4565,405,0.00111,-1.3755),(4565,415,0.001158,-1.3767),(4565,425,0.001234,-1.3778),(4565,435,0.001313,-1.379),(4565,445,0.001393,-1.3802),(4565,455,0.001471,-1.3815),(4565,465,0.001541,-1.3828),(4565,475,0.001609,-1.384),(4565,485,0.001678,-1.3854),(4565,495,0.001747,-1.3867),(4565,505,0.001781,-1.3881),(4565,515,0.001815,-1.3894),(4565,525,0.001849,-1.3908),(4565,535,0.001883,-1.3923),(4565,545,0.001901,-1.3937),(4565,555,0.00192,-1.3951),(4565,565,0.001939,-1.3967),(4565,575,0.001959,-1.3983),(4565,585,0.001996,-1.3998),(4565,595,0.002033,-1.4014),(4565,605,0.00207,-1.4031),(4565,615,0.00211,-1.4048),(4565,625,0.002173,-1.4065),(4565,635,0.002237,-1.4083),(4565,645,0.0023,-1.4101),(4565,655,0.002365,-1.4119),(4565,665,0.00244,-1.4138),(4565,675,0.002516,-1.4156),(4565,685,0.002592,-1.4175),(4565,695,0.002665,-1.4195),(4565,705,0.002726,-1.4214),(4565,715,0.002788,-1.4233),(4565,725,0.002849,-1.4253),(4565,735,0.002911,-1.4272),(4565,745,0.002977,-1.4292),(4565,755,0.003042,-1.4312),(4565,765,0.003108,-1.4333),(4565,775,0.003186,-1.4354),(4565,785,0.003299,-1.4375),(4565,795,0.003411,-1.4396),(4565,805,0.003524,-1.4418),(4565,815,0.003647,-1.444),(4565,825,0.003793,-1.4462),(4565,835,0.003939,-1.4484),(4565,845,0.004085,-1.4506),(4565,855,0.004241,-1.4527),(4565,865,0.004413,-1.4549),(4565,875,0.004586,-1.4571),(4565,885,0.004758,-1.4593),(4565,895,0.004949,-1.4616),(4565,905,0.005168,-1.4638),(4565,915,0.005388,-1.466),(4565,925,0.005607,-1.4681),(4565,935,0.005842,-1.4703),(4565,945,0.006097,-1.4724),(4565,955,0.006352,-1.4745),(4565,965,0.006608,-1.4765),(4565,975,0.006882,-1.4785),(4565,985,0.007178,-1.4805),(4565,995,0.007474,-1.4823),(4565,1005,0.00777,-1.484),(4565,1015,0.008117,-1.4857),(4565,1025,0.008511,-1.4875),(4565,1035,0.008906,-1.489),(4565,1045,0.0093,-1.4903),(4565,1055,0.009773,-1.4916),(4565,1065,0.01031,-1.4929),(4565,1075,0.010847,-1.4939),(4565,1085,0.011384,-1.4945),(4565,1095,0.01199,-1.4952),(4565,1105,0.012645,-1.4959),(4565,1115,0.013299,-1.496),(4565,1125,0.013954,-1.4957),(4565,1135,0.014648,-1.4954),(4565,1145,0.015365,-1.4951),(4565,1155,0.016082,-1.4939),(4565,1165,0.016799,-1.4923),(4565,1175,0.017844,-1.4907),(4565,1185,0.019053,-1.4891),(4565,1195,0.020261,-1.4862),(4565,1205,0.02147,-1.4827),(4565,1215,0.024808,-1.4792),(4565,1225,0.029024,-1.4757),(4565,1235,0.033241,-1.4689),(4565,1245,0.037458,-1.4609),(4565,1255,0.047797,-1.4528),(4565,1265,0.060204,-1.4447),(4565,1275,0.072612,-1.4227),(4565,1285,0.085019,-1.3963),(4565,1295,0.085182,-1.37),(4565,1305,0.082035,-1.3437),(4565,1315,0.078887,-1.3047),(4565,1325,0.07574,-1.2627),(4565,1335,0.040913,-1.2207),(4565,1345,-0.000553,-1.1788),(4565,1355,-0.042019,-1.2103),(4565,1365,-0.083485,-1.2553),(4565,1375,-0.095225,-1.3002),(4565,1385,-0.10238,-1.3451),(4565,1395,-0.10953,-1.3788),(4565,1405,-0.11668,-1.411),(4565,1415,-0.1011,-1.4433),(4565,1425,-0.083148,-1.4755),(4565,1435,-0.065199,-1.4841),(4565,1445,-0.04725,-1.4908),(4565,1455,-0.042693,-1.4974),(4565,1465,-0.038906,-1.5041),(4565,1475,-0.035119,-1.5067),(4565,1485,-0.031333,-1.5092),(4565,1495,-0.031153,-1.5117),(4565,1505,-0.031027,-1.5141),(4565,1515,-0.030902,-1.5155),(4565,1525,-0.030772,-1.5169),(4565,1535,-0.030482,-1.5183),(4565,1545,-0.030192,-1.5196),(4565,1555,-0.029903,-1.5198),(4565,1565,-0.029592,-1.5201),(4565,1575,-0.028986,-1.5204),(4565,1585,-0.028379,-1.5205),(4565,1595,-0.027773,-1.5199),(4565,1605,-0.027169,-1.5192),(4565,1615,-0.026592,-1.5185),(4565,1625,-0.026014,-1.5178),(4565,1635,-0.025437,-1.5165),(4565,1645,-0.024878,-1.5153),(4565,1655,-0.024436,-1.514),(4565,1665,-0.023993,-1.5127),(4565,1675,-0.02355,-1.5111),(4565,1685,-0.023126,-1.5096),(4565,1695,-0.022787,-1.508),(4565,1705,-0.022447,-1.5064),(4565,1715,-0.022108,-1.5048),(4565,1725,-0.021785,-1.5031),(4565,1735,-0.02152,-1.5014),(4565,1745,-0.021255,-1.4998),(4565,1755,-0.02099,-1.4982),(4565,1765,-0.02074,-1.4965),(4565,1775,-0.020537,-1.4949),(4565,1785,-0.020334,-1.4933),(4565,1795,-0.02013,-1.4918),(4565,1805,-0.019941,-1.4903),(4565,1815,-0.019784,-1.4888),(4565,1825,-0.019627,-1.4874),(4565,1835,-0.01947,-1.4861),(4565,1845,-0.019321,-1.4849),(4565,1855,-0.019186,-1.4836),(4565,1865,-0.019052,-1.4824),(4565,1875,-0.018917,-1.4814),(4565,1885,-0.018781,-1.4804),(4565,1895,-0.018644,-1.4794),(4565,1905,-0.018506,-1.4786),(4565,1915,-0.018369,-1.4779),(4565,1925,-0.018223,-1.4772),(4565,1935,-0.018064,-1.4766),(4565,1945,-0.017905,-1.476),(4565,1955,-0.017746,-1.4757),(4565,1965,-0.017576,-1.4754),(4565,1975,-0.017392,-1.4751),(4565,1985,-0.017209,-1.475),(4565,1995,-0.017025,-1.4751),(4565,2005,-0.016833,-1.4751),(4565,2015,-0.016633,-1.4752),(4565,2025,-0.016432,-1.4755),(4565,2035,-0.016232,-1.476),(4565,2045,-0.016018,-1.4766),(4565,2055,-0.015791,-1.4771),(4565,2065,-0.015565,-1.4779),(4565,2075,-0.015339,-1.4789),(4565,2085,-0.015094,-1.48),(4565,2095,-0.014837,-1.481),(4565,2105,-0.01458,-1.4824),(4565,2115,-0.014322,-1.484),(4565,2125,-0.014048,-1.4857),(4565,2135,-0.013764,-1.4873),(4565,2145,-0.01348,-1.4894),(4565,2155,-0.013195,-1.4917),(4565,2165,-0.012879,-1.494),(4565,2175,-0.012546,-1.4963),(4565,2185,-0.012212,-1.4991),(4565,2195,-0.011879,-1.5022),(4565,2205,-0.011488,-1.5052),(4565,2215,-0.011072,-1.5083),(4565,2225,-0.010655,-1.5119),(4565,2235,-0.010239,-1.5157),(4565,2245,-0.009735,-1.5195),(4565,2255,-0.009201,-1.5233),(4565,2265,-0.008666,-1.5276),(4565,2275,-0.008132,-1.5322),(4565,2285,-0.00748,-1.5367),(4565,2295,-0.006794,-1.5413),(4565,2305,-0.006108,-1.5464),(4565,2315,-0.005422,-1.5517),(4565,2325,-0.0046,-1.5569),(4565,2335,-0.003747,-1.5622),(4565,2345,-0.002895,-1.568),(4565,2355,-0.002043,-1.5739),(4565,2365,-0.00104,-1.5798),(4565,2375,-1.3e-05,-1.5857),(4565,2385,0.001014,-1.5921),(4565,2395,0.002041,-1.5986),(4565,2405,0.003237,-1.6051),(4565,2415,0.004452,-1.6116),(4565,2425,0.005667,-1.6185),(4565,2435,0.006882,-1.6254),(4565,2445,0.008294,-1.6323),(4565,2455,0.009719,-1.6393),(4565,2465,0.011144,-1.6466),(4565,2475,0.012569,-1.6538),(4565,2485,0.01423,-1.6611),(4565,2495,0.015898,-1.6684),(4565,2505,0.017566,-1.6758),(4565,2515,0.019238,-1.6833),(4565,2525,0.021184,-1.6908),(4565,2535,0.023129,-1.6982),(4565,2545,0.025075,-1.7057),(4565,2555,0.027038,-1.7132),(4565,2565,0.029286,-1.7206),(4565,2575,0.031535,-1.7281),(4565,2585,0.033784,-1.7353),(4565,2595,0.036063,-1.7425),(4565,2605,0.038634,-1.7498),(4565,2615,0.041205,-1.7569),(4565,2625,0.043776,-1.7638),(4565,2635,0.046392,-1.7706),(4565,2645,0.049303,-1.7774),(4565,2655,0.052215,-1.7841),(4565,2665,0.055126,-1.7902),(4565,2675,0.058098,-1.7964),(4565,2685,0.061359,-1.8026),(4565,2695,0.06462,-1.8086),(4565,2705,0.067882,-1.814),(4565,2715,0.071218,-1.8194),(4565,2725,0.074831,-1.8248),(4565,2735,0.078445,-1.83),(4565,2745,0.082058,-1.8345),(4565,2755,0.085761,-1.839),(4565,2765,0.089726,-1.8434),(4565,2775,0.093691,-1.8476),(4565,2785,0.097657,-1.8511),(4565,2795,0.10172,-1.8546),(4565,2805,0.10603,-1.8581),(4565,2815,0.11034,-1.8612),(4565,2825,0.11465,-1.8636),(4565,2835,0.11906,-1.866),(4565,2845,0.12369,-1.8684),(4565,2855,0.12833,-1.8704),(4565,2865,0.13296,-1.8716),(4565,2875,0.13769,-1.8729),(4565,2885,0.14261,-1.8742),(4565,2895,0.14753,-1.875),(4565,2905,0.15245,-1.8751),(4565,2915,0.15747,-1.8752),(4565,2925,0.16263,-1.8753),(4565,2935,0.16778,-1.8749),(4565,2945,0.17294,-1.8738),(4565,2955,0.17818,-1.8727),(4565,2965,0.18351,-1.8716),(4565,2975,0.18884,-1.8699),(4565,2985,0.19417,-1.8676),(4565,2995,0.19956,-1.8653),(4565,3005,0.20499,-1.863),(4565,3015,0.21043,-1.8601),(4565,3025,0.21587,-1.8566),(4565,3035,0.22132,-1.853),(4565,3045,0.22678,-1.8495),(4565,3055,0.23224,-1.8453),(4565,3065,0.23771,-1.8405),(4565,3075,0.24314,-1.8357),(4565,3085,0.24854,-1.831),(4565,3095,0.25394,-1.8254),(4565,3105,0.25934,-1.8194),(4565,3115,0.26465,-1.8134),(4565,3125,0.2699,-1.8073),(4565,3135,0.27516,-1.8005),(4565,3145,0.28041,-1.7931),(4565,3155,0.28552,-1.7858),(4565,3165,0.29055,-1.7785),(4565,3175,0.29558,-1.7703),(4565,3185,0.30061,-1.7617),(4565,3195,0.30546,-1.7531),(4565,3205,0.31023,-1.7445),(4565,3215,0.315,-1.7351),(4565,3225,0.31977,-1.7252),(4565,3235,0.32433,-1.7154),(4565,3245,0.32881,-1.7056),(4565,3255,0.33329,-1.6948),(4565,3265,0.33778,-1.6838),(4565,3275,0.34203,-1.6728),(4565,3285,0.34622,-1.6618),(4565,3295,0.35041,-1.6498),(4565,3305,0.35461,-1.6377),(4565,3315,0.35856,-1.6256),(4565,3325,0.36246,-1.6134),(4565,3335,0.36635,-1.6004),(4565,3345,0.37025,-1.5873),(4565,3355,0.3739,-1.5741),(4565,3365,0.3775,-1.561),(4565,3375,0.38109,-1.547),(4565,3385,0.38469,-1.5329),(4565,3395,0.38799,-1.5188),(4565,3405,0.39126,-1.5048),(4565,3415,0.39452,-1.49),(4565,3425,0.39778,-1.4751),(4565,3435,0.40068,-1.4603),(4565,3445,0.40355,-1.4454),(4565,3455,0.40641,-1.43),(4565,3465,0.40928,-1.4146),(4565,3475,0.41168,-1.3992),(4565,3485,0.41407,-1.3838),(4565,3495,0.41645,-1.368),(4565,3505,0.41883,-1.3522),(4565,3515,0.42062,-1.3365),(4565,3525,0.42242,-1.3207),(4565,3535,0.42421,-1.3049),(4565,3545,0.42598,-1.2891),(4565,3555,0.42713,-1.2733),(4565,3565,0.42828,-1.2575),(4565,3575,0.42944,-1.2419),(4565,3585,0.43053,-1.2264),(4565,3595,0.43105,-1.2109),(4565,3605,0.43157,-1.1954),(4565,3615,0.43208,-1.1805),(4565,3625,0.43252,-1.1655),(4565,3635,0.43243,-1.1506),(4565,3645,0.43234,-1.1358),(4565,3655,0.43225,-1.1218),(4565,3665,0.43206,-1.1079),(4565,3675,0.4314,-1.0939),(4565,3685,0.43073,-1.0802),(4565,3695,0.43007,-1.0676),(4565,3705,0.4293,-1.0549),(4565,3715,0.42811,-1.0423),(4565,3725,0.42692,-1.03),(4565,3735,0.42574,-1.019),(4565,3745,0.42444,-1.008),(4565,3755,0.4228,-0.997),(4565,3765,0.42117,-0.98647),(4565,3775,0.41953,-0.97728),(4565,3785,0.4178,-0.96808),(4565,3795,0.41583,-0.95889),(4565,3805,0.41387,-0.95028),(4565,3815,0.4119,-0.94299),(4565,3825,0.40994,-0.93571),(4565,3835,0.40799,-0.92843),(4565,3845,0.40604,-0.92172),(4565,3855,0.40409,-0.91611),(4565,3865,0.40253,-0.91051),(4565,3875,0.40165,-0.9049),(4565,3885,0.40078,-0.89963),(4565,3895,0.39991,-0.89488),(4565,3905,0.40069,-0.89013),(4565,3915,0.40396,-0.88538),(4565,3925,0.40723,-0.88039),(4565,3935,0.4105,-0.87505),(4565,3945,0.41992,-0.86972),(4565,3955,0.43716,-0.86438),(4565,3965,0.4544,-0.85837),(4565,3975,0.47164,-0.85156),(4565,3985,0.50242,-0.84475),(4565,3995,0.54783,-0.83794),(4565,4005,0.59325,-0.81509),(4565,4015,0.63867,-0.77621),(4565,4025,0.76853,-0.73733),(4565,4035,0.90665,-0.70686),(4565,4045,1.0448,-0.69413),(4565,4055,1.241,-0.68139),(4565,4065,1.4584,-0.66544),(4565,4075,1.6758,-0.63029),(4565,4085,1.7826,-0.59513),(4565,4095,1.8006,-0.55998),(4565,4105,1.8185,-0.52544),(4565,4115,1.835,-0.49092),(4565,4125,1.8491,-0.4564),(4565,4135,1.8631,-0.42742),(4565,4145,1.8759,-0.39994),(4565,4155,1.8837,-0.37245),(4565,4165,1.8914,-0.34625),(4565,4175,1.8988,-0.32088),(4565,4185,1.8899,-0.2955),(4565,4195,1.881,-0.27373),(4565,4205,1.8721,-0.25673),(4565,4215,1.8663,-0.23972),(4565,4225,1.861,-0.22329),(4565,4235,1.8558,-0.20858),(4565,4245,1.854,-0.19386),(4565,4255,1.8539,-0.17946),(4565,4265,1.8539,-0.16906),(4565,4275,1.8571,-0.15866),(4565,4285,1.8637,-0.14826),(4565,4295,1.8704,-0.13174),(4565,4305,1.8705,-0.11452),(4565,4315,1.8558,-0.097287),(4565,4325,1.841,-0.08741),(4565,4335,1.827,-0.080423),(4565,4345,1.8176,-0.073437),(4565,4355,1.8082,-0.06572),(4565,4365,1.7989,-0.05738),(4565,4375,1.795,-0.04904),(4565,4385,1.7914,-0.041386),(4565,4395,1.7879,-0.034945),(4565,4405,1.7891,-0.028505),(4565,4415,1.7919,-0.022168),(4565,4425,1.7946,-0.016293),(4565,4435,1.7938,-0.010418),(4565,4445,1.7906,-0.00454),(4565,4455,1.7875,0.002002),(4565,4465,1.7807,0.008543),(4565,4475,1.769,0.015085),(4565,4485,1.7572,0.020226),(4565,4495,1.7467,0.025073),(4565,4505,1.74,0.02992),(4565,4515,1.7333,0.034371),(4565,4525,1.727,0.038606),(4565,4535,1.7265,0.042842),(4565,4545,1.7259,0.044869),(4565,4555,1.7254,0.044409),(4565,4565,1.7323,0.043949),(4565,4575,1.7404,0.046302),(4565,4585,1.7484,0.055472),(4565,4595,1.7417,0.064643),(4565,4605,1.7287,0.073028),(4565,4615,1.7158,0.075304),(4565,4625,1.7057,0.07758),(4565,4635,1.6982,0.079856),(4565,4645,1.6907,0.083208),(4565,4655,1.6849,0.086635),(4565,4665,1.6823,0.090062),(4565,4675,1.6797,0.092464),(4565,4685,1.6781,0.094538),(4565,4695,1.681,0.096613),(4565,4705,1.684,0.099738),(4565,4715,1.687,0.10363),(4565,4725,1.6803,0.10751),(4565,4735,1.6736,0.1113),(4565,4745,1.6669,0.11493),(4565,4755,1.6583,0.11857),(4565,4765,1.6493,0.12243),(4565,4775,1.6403,0.12707),(4565,4785,1.6337,0.13172),(4565,4795,1.6286,0.1363),(4565,4805,1.6235,0.13956),(4565,4815,1.6208,0.14283),(4565,4825,1.6209,0.14609),(4565,4835,1.6211,0.14635),(4565,4845,1.6217,0.14614),(4565,4855,1.6235,0.14594),(4565,4865,1.6254,0.1488),(4565,4875,1.626,0.15307),(4565,4885,1.6155,0.15733),(4565,4895,1.605,0.1607),(4565,4905,1.5945,0.16322),(4565,4915,1.5879,0.16573),(4565,4925,1.5817,0.16785),(4565,4935,1.5754,0.16918),(4565,4945,1.5732,0.17051),(4565,4955,1.5724,0.17114),(4565,4965,1.5717,0.16795),(4565,4975,1.5754,0.16476),(4565,4985,1.5827,0.16157),(4565,4995,1.59,0.16405),(4565,5005,1.5908,0.16667),(4565,5015,1.5812,0.16929),(4565,5025,1.5717,0.17075),(4565,5035,1.5625,0.17191),(4565,5045,1.5551,0.17307),(4565,5055,1.5476,0.17563),(4565,5065,1.5403,0.17904),(4565,5075,1.537,0.18245),(4565,5085,1.5338,0.18499),(4565,5095,1.5305,0.18644),(4565,5105,1.5321,0.18789),(4565,5115,1.5345,0.18862),(4565,5125,1.5369,0.18734),(4565,5135,1.5378,0.18605),(4565,5145,1.538,0.18516),(4565,5155,1.5382,0.18864),(4565,5165,1.5336,0.19211),(4565,5175,1.5242,0.19559),(4565,5185,1.5147,0.19812),(4565,5195,1.5068,0.20056),(4565,5205,1.502,0.203),(4565,5215,1.4973,0.20164),(4565,5225,1.4939,0.19887),(4565,5235,1.4988,0.1961),(4565,5245,1.5037,0.18782),(4565,5255,1.5087,0.17502),(4565,5265,1.5245,0.16222),(4565,5275,1.5407,0.15339),(4565,5285,1.557,0.15128),(4565,5295,1.5547,0.14917),(4565,5305,1.5472,0.14646),(4565,5315,1.5397,0.14127),(4565,5325,1.5364,0.13607),(4565,5335,1.5359,0.13078),(4565,5345,1.5353,0.11953),(4565,5355,1.5404,0.10827),(4565,5365,1.553,0.097011),(4565,5375,1.5655,0.077151),(4565,5385,1.5826,0.055612),(4565,5395,1.6133,0.034072),(4565,5405,1.6441,0.013401),(4565,5415,1.674,-0.006819),(4565,5425,1.6935,-0.02704),(4565,5435,1.7131,-0.035917),(4565,5445,1.7326,-0.032514),(4565,5455,1.741,-0.029111),(4565,5465,1.748,-0.024321),(4565,5475,1.755,-0.016329),(4565,5485,1.7611,-0.008336),(4565,5495,1.7668,-9.9e-05),(4565,5505,1.7726,0.009865),(4565,5515,1.7773,0.019828),(4565,5525,1.7812,0.029792),(4565,5535,1.7851,0.040414),(4565,5545,1.7884,0.051073),(4565,5555,1.7906,0.061733),(4565,5565,1.7927,0.072515),(4565,5575,1.7946,0.083333),(4565,5585,1.7952,0.094151),(4565,5595,1.7959,0.105),(4565,5605,1.7965,0.11588),(4565,5615,1.7958,0.12675),(4565,5625,1.7951,0.13768),(4565,5635,1.7944,0.14868),(4565,5645,1.7927,0.15968),(4565,5655,1.7908,0.17075),(4565,5665,1.7888,0.18202),(4565,5675,1.7861,0.1933),(4565,5685,1.7829,0.2046),(4565,5695,1.7797,0.21637),(4565,5705,1.7759,0.22814),(4565,5715,1.7714,0.23991),(4565,5725,1.7668,0.25234),(4565,5735,1.7618,0.26485),(4565,5745,1.7557,0.27737),(4565,5755,1.7495,0.29059),(4565,5765,1.7431,0.30413),(4565,5775,1.7349,0.31766),(4565,5785,1.7267,0.33184),(4565,5795,1.7185,0.34664),(4565,5805,1.7078,0.36143),(4565,5815,1.6968,0.3767),(4565,5825,1.6859,0.39288),(4565,5835,1.6721,0.40907),(4565,5845,1.6574,0.42543),(4565,5855,1.6427,0.44273),(4565,5865,1.6251,0.46002),(4565,5875,1.6052,0.47732),(4565,5885,1.5854,0.49433),(4565,5895,1.5632,0.51133),(4565,5905,1.5372,0.52833),(4565,5915,1.5113,0.54151),(4565,5925,1.4847,0.55376),(4565,5935,1.4558,0.56602),(4565,5945,1.4268,0.56814),(4565,5955,1.3984,0.56428),(4565,5965,1.3852,0.56043),(4565,5975,1.3719,0.53963),(4565,5985,1.3586,0.49815),(4565,5995,1.4071,0.45668),(4565,6005,1.4656,0.40151),(4565,6015,1.524,0.3097),(4565,6025,1.6678,0.21789),(4565,6035,1.8511,0.13016),(4565,6045,2.0345,0.081737),(4565,6055,2.1795,0.033319),(4565,6065,2.2869,-0.0151),(4565,6075,2.3943,-0.011845),(4565,6085,2.4727,-0.00384),(4565,6095,2.4916,0.004165),(4565,6105,2.5105,0.014485),(4565,6115,2.5266,0.025627),(4565,6125,2.5267,0.03677),(4565,6135,2.5268,0.045766),(4565,6145,2.5269,0.053069),(4565,6155,2.5245,0.060373),(4565,6165,2.522,0.066498),(4565,6175,2.5195,0.070708),(4565,6185,2.5169,0.074918),(4565,6195,2.5143,0.078707),(4565,6205,2.5117,0.080841),(4565,6215,2.5092,0.082976),(4565,6225,2.5068,0.085075),(4565,6235,2.5044,0.085765),(4565,6245,2.5022,0.086456),(4565,6255,2.5001,0.087146),(4565,6265,2.498,0.086939),(4565,6275,2.496,0.086568),(4565,6285,2.4942,0.086198),(4565,6295,2.4924,0.085331),(4565,6305,2.4907,0.084217),(4565,6315,2.4892,0.083103),(4565,6325,2.4877,0.081704),(4565,6335,2.4862,0.08001),(4565,6345,2.485,0.078315),(4565,6355,2.4837,0.076504),(4565,6365,2.4825,0.074438),(4565,6375,2.4814,0.072373),(4565,6385,2.4804,0.070271),(4565,6395,2.4794,0.067938),(4565,6405,2.4785,0.065606),(4565,6415,2.4776,0.063273),(4565,6425,2.4768,0.060737),(4565,6435,2.476,0.058192),(4565,6445,2.4754,0.055646),(4565,6455,2.4747,0.052993),(4565,6465,2.4741,0.050309),(4565,6475,2.4736,0.047626),(4565,6485,2.4731,0.04489),(4565,6495,2.4726,0.042118),(4565,6505,2.4722,0.039347),(4565,6515,2.4719,0.03653),(4565,6525,2.4715,0.03365),(4565,6535,2.4712,0.030769),(4565,6545,2.471,0.027894),(4565,6555,2.4708,0.025035),(4565,6565,2.4706,0.022176),(4565,6575,2.4705,0.019314),(4565,6585,2.4704,0.016414),(4565,6595,2.1013,0.013515),(4565,6605,1.3248,0.010615),(4565,6615,0.54835,0.010232),(4565,6625,0.002497,0.010172),(4565,6635,0.002478,0.010112),(4565,6645,0.002459,0.01007),(4565,6655,0.002441,0.010036),(4565,6665,0.002424,0.010002),(4565,6675,0.002407,0.00997),(4565,6685,0.00239,0.009941),(4565,6695,0.002375,0.009911),(4565,6705,0.00236,0.009883),(4565,6715,0.002345,0.009858),(4565,6725,0.002331,0.009833),(4565,6735,0.002317,0.009808),(4565,6745,0.002304,0.009786),(4565,6755,0.002291,0.009764),(4565,6765,0.002279,0.009742),(4565,6775,0.002266,0.009723),(4565,6785,0.002255,0.009703),(4565,6795,0.002244,0.009684),(4565,6805,0.002233,0.009666),(4565,6815,0.002222,0.009649),(4565,6825,0.002212,0.009632),(4565,6835,0.002202,0.009616),(4565,6845,0.002193,0.009601),(4565,6855,0.002184,0.009586),(4565,6865,0.002175,0.009571),(4565,6875,0.002166,0.009558),(4565,6885,0.002158,0.009544),(4565,6895,0.00215,0.009531),(4565,6905,0.002142,0.009518),(4565,6915,0.002135,0.009506),(4565,6925,0.002128,0.009494),(4565,6935,0.002121,0.009482),(4565,6945,0.002115,0.009471),(4565,6955,0.002108,0.00946),(4565,6965,0.002102,0.009449),(4565,6975,0.002096,0.009438),(4565,6985,0.002091,0.009428),(4575,5,6e-06,-1.3077),(4575,15,1.9e-05,-1.3078),(4575,25,3.5e-05,-1.308),(4575,35,5.3e-05,-1.3081),(4575,45,7.1e-05,-1.3083),(4575,55,8.8e-05,-1.3084),(4575,65,0.000105,-1.3086),(4575,75,0.00012,-1.3087),(4575,85,0.000136,-1.3089),(4575,95,0.000151,-1.3091),(4575,105,0.000163,-1.3094),(4575,115,0.000172,-1.3096),(4575,125,0.000181,-1.3099),(4575,135,0.00019,-1.3102),(4575,145,0.000193,-1.3105),(4575,155,0.000193,-1.3108),(4575,165,0.000193,-1.3112),(4575,175,0.000193,-1.3116),(4575,185,0.000197,-1.312),(4575,195,0.000204,-1.3124),(4575,205,0.00021,-1.3129),(4575,215,0.000217,-1.3134),(4575,225,0.000237,-1.3139),(4575,235,0.000262,-1.3144),(4575,245,0.000287,-1.315),(4575,255,0.000312,-1.3156),(4575,265,0.000354,-1.3163),(4575,275,0.0004,-1.3169),(4575,285,0.000447,-1.3176),(4575,295,0.000494,-1.3184),(4575,305,0.000536,-1.3192),(4575,315,0.000576,-1.32),(4575,325,0.000617,-1.3208),(4575,335,0.000657,-1.3216),(4575,345,0.000683,-1.3225),(4575,355,0.000706,-1.3233),(4575,365,0.000728,-1.3242),(4575,375,0.000751,-1.3252),(4575,385,0.000785,-1.3261),(4575,395,0.000821,-1.3271),(4575,405,0.000857,-1.3282),(4575,415,0.000893,-1.3293),(4575,425,0.000949,-1.3304),(4575,435,0.001007,-1.3315),(4575,445,0.001065,-1.3327),(4575,455,0.001123,-1.3339),(4575,465,0.001174,-1.3352),(4575,475,0.001225,-1.3364),(4575,485,0.001276,-1.3377),(4575,495,0.001327,-1.339),(4575,505,0.001353,-1.3403),(4575,515,0.001378,-1.3416),(4575,525,0.001404,-1.343),(4575,535,0.00143,-1.3444),(4575,545,0.001445,-1.3458),(4575,555,0.001459,-1.3472),(4575,565,0.001474,-1.3487),(4575,575,0.00149,-1.3502),(4575,585,0.001518,-1.3517),(4575,595,0.001546,-1.3533),(4575,605,0.001574,-1.3549),(4575,615,0.001604,-1.3566),(4575,625,0.00165,-1.3582),(4575,635,0.001697,-1.3599),(4575,645,0.001743,-1.3617),(4575,655,0.001791,-1.3634),(4575,665,0.001846,-1.3652),(4575,675,0.001901,-1.367),(4575,685,0.001957,-1.3689),(4575,695,0.00201,-1.3707),(4575,705,0.002055,-1.3726),(4575,715,0.0021,-1.3745),(4575,725,0.002145,-1.3764),(4575,735,0.002191,-1.3783),(4575,745,0.002239,-1.3802),(4575,755,0.002287,-1.3822),(4575,765,0.002335,-1.3842),(4575,775,0.002393,-1.3862),(4575,785,0.002474,-1.3883),(4575,795,0.002556,-1.3903),(4575,805,0.002638,-1.3924),(4575,815,0.002727,-1.3946),(4575,825,0.002832,-1.3967),(4575,835,0.002938,-1.3988),(4575,845,0.003044,-1.4009),(4575,855,0.003156,-1.403),(4575,865,0.003279,-1.4052),(4575,875,0.003403,-1.4073),(4575,885,0.003527,-1.4094),(4575,895,0.003664,-1.4116),(4575,905,0.00382,-1.4137),(4575,915,0.003977,-1.4159),(4575,925,0.004133,-1.418),(4575,935,0.0043,-1.4201),(4575,945,0.004481,-1.4222),(4575,955,0.004662,-1.4242),(4575,965,0.004843,-1.4261),(4575,975,0.005036,-1.4281),(4575,985,0.005244,-1.43),(4575,995,0.005452,-1.4318),(4575,1005,0.005661,-1.4334),(4575,1015,0.005903,-1.4351),(4575,1025,0.00618,-1.4368),(4575,1035,0.006456,-1.4382),(4575,1045,0.006732,-1.4395),(4575,1055,0.007062,-1.4407),(4575,1065,0.007437,-1.442),(4575,1075,0.007811,-1.4429),(4575,1085,0.008186,-1.4436),(4575,1095,0.008607,-1.4442),(4575,1105,0.009061,-1.4449),(4575,1115,0.009514,-1.445),(4575,1125,0.009968,-1.4447),(4575,1135,0.010445,-1.4444),(4575,1145,0.010935,-1.4442),(4575,1155,0.011426,-1.4431),(4575,1165,0.011917,-1.4417),(4575,1175,0.012637,-1.4402),(4575,1185,0.013471,-1.4388),(4575,1195,0.014305,-1.436),(4575,1205,0.015139,-1.4326),(4575,1215,0.017494,-1.4293),(4575,1225,0.020477,-1.4259),(4575,1235,0.023459,-1.4188),(4575,1245,0.026442,-1.4103),(4575,1255,0.03379,-1.4018),(4575,1265,0.042613,-1.3933),(4575,1275,0.051435,-1.3724),(4575,1285,0.060257,-1.3477),(4575,1295,0.059899,-1.3231),(4575,1305,0.057059,-1.2985),(4575,1315,0.054218,-1.269),(4575,1325,0.051377,-1.2383),(4575,1335,0.027952,-1.2077),(4575,1345,0.000213,-1.1771),(4575,1355,-0.027525,-1.2019),(4575,1365,-0.055264,-1.2367),(4575,1375,-0.064531,-1.2716),(4575,1385,-0.070948,-1.3064),(4575,1395,-0.077365,-1.337),(4575,1405,-0.083782,-1.3671),(4575,1415,-0.072829,-1.3972),(4575,1425,-0.060073,-1.4273),(4575,1435,-0.047317,-1.4361),(4575,1445,-0.034561,-1.4433),(4575,1455,-0.031351,-1.4505),(4575,1465,-0.028691,-1.4576),(4575,1475,-0.026031,-1.46),(4575,1485,-0.023371,-1.4623),(4575,1495,-0.023281,-1.4645),(4575,1505,-0.023231,-1.4667),(4575,1515,-0.023181,-1.4679),(4575,1525,-0.023127,-1.4691),(4575,1535,-0.022941,-1.4703),(4575,1545,-0.022755,-1.4714),(4575,1555,-0.022569,-1.4716),(4575,1565,-0.022367,-1.4719),(4575,1575,-0.02194,-1.4721),(4575,1585,-0.021513,-1.4722),(4575,1595,-0.021086,-1.4716),(4575,1605,-0.02066,-1.4709),(4575,1615,-0.020246,-1.4703),(4575,1625,-0.019831,-1.4695),(4575,1635,-0.019416,-1.4683),(4575,1645,-0.019015,-1.467),(4575,1655,-0.018692,-1.4657),(4575,1665,-0.018369,-1.4644),(4575,1675,-0.018046,-1.4628),(4575,1685,-0.017736,-1.4613),(4575,1695,-0.017485,-1.4597),(4575,1705,-0.017235,-1.4581),(4575,1715,-0.016984,-1.4564),(4575,1725,-0.016745,-1.4548),(4575,1735,-0.016546,-1.4531),(4575,1745,-0.016347,-1.4514),(4575,1755,-0.016148,-1.4498),(4575,1765,-0.015961,-1.4481),(4575,1775,-0.015806,-1.4465),(4575,1785,-0.015652,-1.4449),(4575,1795,-0.015497,-1.4434),(4575,1805,-0.015353,-1.4418),(4575,1815,-0.015231,-1.4403),(4575,1825,-0.01511,-1.4389),(4575,1835,-0.014989,-1.4376),(4575,1845,-0.014873,-1.4362),(4575,1855,-0.014768,-1.4349),(4575,1865,-0.014663,-1.4337),(4575,1875,-0.014557,-1.4327),(4575,1885,-0.014451,-1.4317),(4575,1895,-0.014344,-1.4306),(4575,1905,-0.014237,-1.4297),(4575,1915,-0.01413,-1.429),(4575,1925,-0.014016,-1.4283),(4575,1935,-0.013893,-1.4275),(4575,1945,-0.01377,-1.427),(4575,1955,-0.013647,-1.4266),(4575,1965,-0.013516,-1.4262),(4575,1975,-0.013374,-1.4258),(4575,1985,-0.013233,-1.4256),(4575,1995,-0.013091,-1.4256),(4575,2005,-0.012942,-1.4256),(4575,2015,-0.012787,-1.4256),(4575,2025,-0.012631,-1.4259),(4575,2035,-0.012476,-1.4263),(4575,2045,-0.012308,-1.4267),(4575,2055,-0.01213,-1.4271),(4575,2065,-0.011952,-1.4278),(4575,2075,-0.011774,-1.4287),(4575,2085,-0.011579,-1.4297),(4575,2095,-0.011372,-1.4306),(4575,2105,-0.011166,-1.4319),(4575,2115,-0.010959,-1.4334),(4575,2125,-0.010734,-1.4349),(4575,2135,-0.010499,-1.4364),(4575,2145,-0.010263,-1.4383),(4575,2155,-0.010027,-1.4405),(4575,2165,-0.00976,-1.4427),(4575,2175,-0.009475,-1.4449),(4575,2185,-0.009191,-1.4476),(4575,2195,-0.008907,-1.4505),(4575,2205,-0.008569,-1.4534),(4575,2215,-0.008208,-1.4563),(4575,2225,-0.007848,-1.4598),(4575,2235,-0.007487,-1.4635),(4575,2245,-0.007049,-1.4671),(4575,2255,-0.006583,-1.4708),(4575,2265,-0.006117,-1.475),(4575,2275,-0.005651,-1.4795),(4575,2285,-0.005083,-1.4839),(4575,2295,-0.004485,-1.4883),(4575,2305,-0.003888,-1.4933),(4575,2315,-0.00329,-1.4985),(4575,2325,-0.002574,-1.5036),(4575,2335,-0.001832,-1.5088),(4575,2345,-0.00109,-1.5145),(4575,2355,-0.000347,-1.5203),(4575,2365,0.000526,-1.5261),(4575,2375,0.001421,-1.5319),(4575,2385,0.002316,-1.5382),(4575,2395,0.003211,-1.5446),(4575,2405,0.004253,-1.551),(4575,2415,0.005311,-1.5573),(4575,2425,0.00637,-1.5641),(4575,2435,0.007429,-1.571),(4575,2445,0.008657,-1.5778),(4575,2455,0.009896,-1.5847),(4575,2465,0.011136,-1.5919),(4575,2475,0.012376,-1.5991),(4575,2485,0.013819,-1.6063),(4575,2495,0.015267,-1.6134),(4575,2505,0.016715,-1.6208),(4575,2515,0.018167,-1.6282),(4575,2525,0.019854,-1.6356),(4575,2535,0.021541,-1.643),(4575,2545,0.023229,-1.6504),(4575,2555,0.024931,-1.6577),(4575,2565,0.026883,-1.6651),(4575,2575,0.028835,-1.6725),(4575,2585,0.030788,-1.6796),(4575,2595,0.032767,-1.6868),(4575,2605,0.035006,-1.694),(4575,2615,0.037246,-1.7011),(4575,2625,0.039485,-1.7078),(4575,2635,0.041766,-1.7146),(4575,2645,0.044313,-1.7214),(4575,2655,0.046859,-1.728),(4575,2665,0.049406,-1.7342),(4575,2675,0.052008,-1.7404),(4575,2685,0.054874,-1.7465),(4575,2695,0.05774,-1.7525),(4575,2705,0.060605,-1.758),(4575,2715,0.06354,-1.7634),(4575,2725,0.066728,-1.7688),(4575,2735,0.069916,-1.7741),(4575,2745,0.073104,-1.7786),(4575,2755,0.076374,-1.7832),(4575,2765,0.079884,-1.7878),(4575,2775,0.083394,-1.7921),(4575,2785,0.086904,-1.7958),(4575,2795,0.090505,-1.7994),(4575,2805,0.094329,-1.8031),(4575,2815,0.098152,-1.8065),(4575,2825,0.10198,-1.8091),(4575,2835,0.1059,-1.8118),(4575,2845,0.11002,-1.8145),(4575,2855,0.11414,-1.8168),(4575,2865,0.11825,-1.8184),(4575,2875,0.12247,-1.8201),(4575,2885,0.12685,-1.8217),(4575,2895,0.13124,-1.823),(4575,2905,0.13562,-1.8236),(4575,2915,0.14009,-1.8242),(4575,2925,0.14469,-1.8248),(4575,2935,0.14929,-1.825),(4575,2945,0.15389,-1.8246),(4575,2955,0.15856,-1.8242),(4575,2965,0.16332,-1.8237),(4575,2975,0.16807,-1.8228),(4575,2985,0.17283,-1.8214),(4575,2995,0.17762,-1.8199),(4575,3005,0.18246,-1.8185),(4575,3015,0.1873,-1.8165),(4575,3025,0.19214,-1.814),(4575,3035,0.19698,-1.8115),(4575,3045,0.20183,-1.8091),(4575,3055,0.20668,-1.806),(4575,3065,0.21153,-1.8025),(4575,3075,0.21633,-1.799),(4575,3085,0.2211,-1.7955),(4575,3095,0.22588,-1.7913),(4575,3105,0.23065,-1.7868),(4575,3115,0.23533,-1.7823),(4575,3125,0.23995,-1.7777),(4575,3135,0.24456,-1.7725),(4575,3145,0.24918,-1.767),(4575,3155,0.25366,-1.7614),(4575,3165,0.25806,-1.7559),(4575,3175,0.26246,-1.7497),(4575,3185,0.26686,-1.7432),(4575,3195,0.27109,-1.7366),(4575,3205,0.27523,-1.7301),(4575,3215,0.27938,-1.723),(4575,3225,0.28352,-1.7155),(4575,3235,0.28746,-1.7081),(4575,3245,0.29133,-1.7007),(4575,3255,0.2952,-1.6926),(4575,3265,0.29907,-1.6844),(4575,3275,0.30273,-1.6761),(4575,3285,0.30632,-1.6678),(4575,3295,0.3099,-1.6589),(4575,3305,0.31349,-1.6498),(4575,3315,0.31686,-1.6408),(4575,3325,0.32017,-1.6317),(4575,3335,0.32347,-1.6219),(4575,3345,0.32678,-1.6121),(4575,3355,0.32986,-1.6022),(4575,3365,0.33288,-1.5923),(4575,3375,0.33591,-1.5818),(4575,3385,0.33894,-1.5711),(4575,3395,0.3417,-1.5605),(4575,3405,0.34442,-1.5498),(4575,3415,0.34715,-1.5385),(4575,3425,0.34987,-1.527),(4575,3435,0.35228,-1.5156),(4575,3445,0.35466,-1.5042),(4575,3455,0.35704,-1.4921),(4575,3465,0.35942,-1.48),(4575,3475,0.36142,-1.4679),(4575,3485,0.3634,-1.4558),(4575,3495,0.36538,-1.4432),(4575,3505,0.36736,-1.4305),(4575,3515,0.36887,-1.4179),(4575,3525,0.37038,-1.4052),(4575,3535,0.37189,-1.3923),(4575,3545,0.37338,-1.3794),(4575,3555,0.37438,-1.3665),(4575,3565,0.37539,-1.3536),(4575,3575,0.3764,-1.3407),(4575,3585,0.37736,-1.3279),(4575,3595,0.37787,-1.3151),(4575,3605,0.37838,-1.3023),(4575,3615,0.37889,-1.2899),(4575,3625,0.37935,-1.2774),(4575,3635,0.37939,-1.265),(4575,3645,0.37943,-1.2527),(4575,3655,0.37947,-1.2411),(4575,3665,0.37944,-1.2294),(4575,3675,0.37905,-1.2178),(4575,3685,0.37865,-1.2063),(4575,3695,0.37825,-1.1958),(4575,3705,0.37778,-1.1852),(4575,3715,0.37698,-1.1747),(4575,3725,0.37619,-1.1644),(4575,3735,0.37539,-1.1552),(4575,3745,0.37451,-1.146),(4575,3755,0.37338,-1.1369),(4575,3765,0.37224,-1.1281),(4575,3775,0.3711,-1.1204),(4575,3785,0.36989,-1.1127),(4575,3795,0.36851,-1.1051),(4575,3805,0.36712,-1.0979),(4575,3815,0.36574,-1.0918),(4575,3825,0.36436,-1.0856),(4575,3835,0.36297,-1.0795),(4575,3845,0.36159,-1.0738),(4575,3855,0.36021,-1.069),(4575,3865,0.35911,-1.0641),(4575,3875,0.3585,-1.0592),(4575,3885,0.35789,-1.0543),(4575,3895,0.35729,-1.0493),(4575,3905,0.35787,-1.0443),(4575,3915,0.36024,-1.0394),(4575,3925,0.36261,-1.0329),(4575,3935,0.36497,-1.0243),(4575,3945,0.37176,-1.0157),(4575,3955,0.38414,-1.0071),(4575,3965,0.39653,-0.99243),(4575,3975,0.40892,-0.97055),(4575,3985,0.4309,-0.94867),(4575,3995,0.46327,-0.92679),(4575,4005,0.49564,-0.88183),(4575,4015,0.52801,-0.81379),(4575,4025,0.68779,-0.74576),(4575,4035,0.86002,-0.69776),(4575,4045,1.0323,-0.69198),(4575,4055,1.2325,-0.68621),(4575,4065,1.443,-0.67735),(4575,4075,1.6534,-0.65006),(4575,4085,1.756,-0.62277),(4575,4095,1.7719,-0.59549),(4575,4105,1.7878,-0.56454),(4575,4115,1.8029,-0.53346),(4575,4125,1.8165,-0.50238),(4575,4135,1.8302,-0.47287),(4575,4145,1.8428,-0.44378),(4575,4155,1.8508,-0.41469),(4575,4165,1.8588,-0.38646),(4575,4175,1.8666,-0.35879),(4575,4185,1.8609,-0.33111),(4575,4195,1.8553,-0.3076),(4575,4205,1.8496,-0.28958),(4575,4215,1.8455,-0.27156),(4575,4225,1.8417,-0.25449),(4575,4235,1.838,-0.24024),(4575,4245,1.8367,-0.22598),(4575,4255,1.8368,-0.21187),(4575,4265,1.8369,-0.19953),(4575,4275,1.8392,-0.18719),(4575,4285,1.8439,-0.17485),(4575,4295,1.8486,-0.15672),(4575,4305,1.8482,-0.13792),(4575,4315,1.8367,-0.11911),(4575,4325,1.8251,-0.10755),(4575,4335,1.8139,-0.098837),(4575,4345,1.8057,-0.090122),(4575,4355,1.7975,-0.082406),(4575,4365,1.7893,-0.075543),(4575,4375,1.7856,-0.06868),(4575,4385,1.7822,-0.062166),(4575,4395,1.7787,-0.056271),(4575,4405,1.7791,-0.050376),(4575,4415,1.7806,-0.044081),(4575,4425,1.7821,-0.036005),(4575,4435,1.7808,-0.027929),(4575,4445,1.7777,-0.019851),(4575,4455,1.7745,-0.011533),(4575,4465,1.7685,-0.003215),(4575,4475,1.7586,0.005103),(4575,4485,1.7486,0.009897),(4575,4495,1.7396,0.013953),(4575,4505,1.7337,0.018008),(4575,4515,1.7277,0.021016),(4575,4525,1.722,0.023455),(4575,4535,1.7211,0.025894),(4575,4545,1.7203,0.027798),(4575,4555,1.7194,0.029098),(4575,4565,1.7239,0.030399),(4575,4575,1.7291,0.034377),(4575,4585,1.7343,0.044844),(4575,4595,1.7283,0.055311),(4575,4605,1.7178,0.064959),(4575,4615,1.7072,0.068234),(4575,4625,1.6986,0.071508),(4575,4635,1.6918,0.074783),(4575,4645,1.685,0.077104),(4575,4655,1.6796,0.07936),(4575,4665,1.6768,0.081616),(4575,4675,1.6741,0.083723),(4575,4685,1.6721,0.085782),(4575,4695,1.6735,0.087841),(4575,4705,1.6749,0.092059),(4575,4715,1.6763,0.097845),(4575,4725,1.6703,0.10363),(4575,4735,1.6642,0.10889),(4575,4745,1.6581,0.11336),(4575,4755,1.6505,0.11783),(4575,4765,1.6425,0.12194),(4575,4775,1.6345,0.1248),(4575,4785,1.6286,0.12765),(4575,4795,1.6238,0.13045),(4575,4805,1.6191,0.13199),(4575,4815,1.6164,0.13352),(4575,4825,1.616,0.13506),(4575,4835,1.6156,0.13641),(4575,4845,1.6154,0.13773),(4575,4855,1.6159,0.13905),(4575,4865,1.6165,0.1433),(4575,4875,1.616,0.14888),(4575,4885,1.6072,0.15445),(4575,4895,1.5984,0.15805),(4575,4905,1.5895,0.15974),(4575,4915,1.5838,0.16143),(4575,4925,1.5784,0.16243),(4575,4935,1.5729,0.16203),(4575,4945,1.5709,0.16162),(4575,4955,1.5701,0.16098),(4575,4965,1.5692,0.15901),(4575,4975,1.5716,0.15704),(4575,4985,1.5764,0.15508),(4575,4995,1.5812,0.16004),(4575,5005,1.581,0.16518),(4575,5015,1.5727,0.17031),(4575,5025,1.5645,0.1729),(4575,5035,1.5566,0.17483),(4575,5045,1.55,0.17677),(4575,5055,1.5433,0.17826),(4575,5065,1.5368,0.17949),(4575,5075,1.5338,0.18072),(4575,5085,1.5309,0.18132),(4575,5095,1.528,0.18115),(4575,5105,1.5289,0.18097),(4575,5115,1.5304,0.18095),(4575,5125,1.532,0.18139),(4575,5135,1.5321,0.18182),(4575,5145,1.5316,0.18254),(4575,5155,1.531,0.18629),(4575,5165,1.527,0.19003),(4575,5175,1.5195,0.19378),(4575,5185,1.5119,0.19378),(4575,5195,1.5058,0.19339),(4575,5205,1.5029,0.19299),(4575,5215,1.5,0.18849),(4575,5225,1.4983,0.18244),(4575,5235,1.5037,0.1764),(4575,5245,1.5091,0.16775),(4575,5255,1.5145,0.15697),(4575,5265,1.5272,0.14619),(4575,5275,1.5402,0.13927),(4575,5285,1.5532,0.1389),(4575,5295,1.5523,0.13853),(4575,5305,1.5475,0.13692),(4575,5315,1.5426,0.13008),(4575,5325,1.5419,0.12323),(4575,5335,1.5438,0.11629),(4575,5345,1.5458,0.10225),(4575,5355,1.5527,0.088216),(4575,5365,1.5664,0.074181),(4575,5375,1.58,0.054993),(4575,5385,1.597,0.034798),(4575,5395,1.624,0.014604),(4575,5405,1.6511,-0.000516),(4575,5415,1.6773,-0.013004),(4575,5425,1.6933,-0.025492),(4575,5435,1.7092,-0.030278),(4575,5445,1.7251,-0.026725),(4575,5455,1.7323,-0.023172),(4575,5465,1.7384,-0.018558),(4575,5475,1.7445,-0.011492),(4575,5485,1.7498,-0.004427),(4575,5495,1.7548,0.0029),(4575,5505,1.7599,0.01208),(4575,5515,1.7641,0.02126),(4575,5525,1.7676,0.030439),(4575,5535,1.7711,0.040602),(4575,5545,1.774,0.050821),(4575,5555,1.776,0.06104),(4575,5565,1.7779,0.071599),(4575,5575,1.7796,0.08226),(4575,5585,1.7802,0.092922),(4575,5595,1.7807,0.10373),(4575,5605,1.7812,0.11464),(4575,5615,1.7804,0.12555),(4575,5625,1.7796,0.13656),(4575,5635,1.7789,0.14771),(4575,5645,1.777,0.15886),(4575,5655,1.775,0.17009),(4575,5665,1.7729,0.18157),(4575,5675,1.7701,0.19306),(4575,5685,1.7667,0.20457),(4575,5695,1.7634,0.21656),(4575,5705,1.7594,0.22854),(4575,5715,1.7547,0.24053),(4575,5725,1.75,0.25314),(4575,5735,1.7448,0.26582),(4575,5745,1.7384,0.27851),(4575,5755,1.732,0.29183),(4575,5765,1.7254,0.30541),(4575,5775,1.7169,0.319),(4575,5785,1.7085,0.33311),(4575,5795,1.7,0.34773),(4575,5805,1.6891,0.36234),(4575,5815,1.678,0.37728),(4575,5825,1.6669,0.39285),(4575,5835,1.6531,0.40843),(4575,5845,1.6385,0.42405),(4575,5855,1.6239,0.43992),(4575,5865,1.6068,0.45579),(4575,5875,1.5879,0.47167),(4575,5885,1.569,0.48578),(4575,5895,1.5484,0.49987),(4575,5905,1.5253,0.51395),(4575,5915,1.5022,0.52214),(4575,5925,1.4793,0.52892),(4575,5935,1.4572,0.53569),(4575,5945,1.435,0.53021),(4575,5955,1.4136,0.5175),(4575,5965,1.4123,0.50479),(4575,5975,1.411,0.47496),(4575,5985,1.4097,0.42424),(4575,5995,1.4679,0.37351),(4575,6005,1.5357,0.31245),(4575,6015,1.6035,0.22374),(4575,6025,1.7386,0.13504),(4575,6035,1.9048,0.051009),(4575,6045,2.0711,0.012034),(4575,6055,2.2006,-0.02694),(4575,6065,2.2942,-0.065914),(4575,6075,2.3877,-0.06051),(4575,6085,2.4566,-0.051027),(4575,6095,2.4745,-0.041544),(4575,6105,2.4923,-0.029776),(4575,6115,2.5077,-0.017194),(4575,6125,2.5089,-0.004613),(4575,6135,2.5101,0.005916),(4575,6145,2.5113,0.014828),(4575,6155,2.5099,0.02374),(4575,6165,2.5084,0.031439),(4575,6175,2.507,0.037166),(4575,6185,2.5052,0.042894),(4575,6195,2.5033,0.048166),(4575,6205,2.5015,0.05165),(4575,6215,2.4996,0.055135),(4575,6225,2.4978,0.058579),(4575,6235,2.496,0.060457),(4575,6245,2.4942,0.062335),(4575,6255,2.4925,0.064213),(4575,6265,2.4909,0.065069),(4575,6275,2.4892,0.065739),(4575,6285,2.4878,0.06641),(4575,6295,2.4863,0.066498),(4575,6305,2.4848,0.066298),(4575,6315,2.4836,0.066098),(4575,6325,2.4823,0.065561),(4575,6335,2.481,0.064675),(4575,6345,2.48,0.063788),(4575,6355,2.4789,0.062756),(4575,6365,2.4778,0.061401),(4575,6375,2.4769,0.060046),(4575,6385,2.476,0.058646),(4575,6395,2.4751,0.056951),(4575,6405,2.4743,0.055256),(4575,6415,2.4736,0.053561),(4575,6425,2.4728,0.051618),(4575,6435,2.4721,0.049663),(4575,6445,2.4716,0.047708),(4575,6455,2.471,0.045606),(4575,6465,2.4704,0.043461),(4575,6475,2.47,0.041316),(4575,6485,2.4695,0.039098),(4575,6495,2.4691,0.03683),(4575,6505,2.4687,0.034563),(4575,6515,2.4684,0.03224),(4575,6525,2.4681,0.029841),(4575,6535,2.4678,0.027443),(4575,6545,2.4676,0.025045),(4575,6555,2.4674,0.022651),(4575,6565,2.4673,0.020257),(4575,6575,2.4672,0.017859),(4575,6585,2.4671,0.015419),(4575,6595,2.0985,0.012979),(4575,6605,1.3231,0.010539),(4575,6615,0.54764,0.01021),(4575,6625,0.00253,0.010152),(4575,6635,0.002509,0.010094),(4575,6645,0.002488,0.010053),(4575,6655,0.002468,0.010019),(4575,6665,0.00245,0.009985),(4575,6675,0.002432,0.009954),(4575,6685,0.002413,0.009925),(4575,6695,0.002397,0.009896),(4575,6705,0.002381,0.009869),(4575,6715,0.002364,0.009844),(4575,6725,0.002349,0.009819),(4575,6735,0.002335,0.009795),(4575,6745,0.00232,0.009773),(4575,6755,0.002307,0.009751),(4575,6765,0.002294,0.00973),(4575,6775,0.002281,0.009711),(4575,6785,0.002268,0.009692),(4575,6795,0.002256,0.009673),(4575,6805,0.002245,0.009656),(4575,6815,0.002233,0.009639),(4575,6825,0.002223,0.009622),(4575,6835,0.002213,0.009607),(4575,6845,0.002202,0.009592),(4575,6855,0.002193,0.009577),(4575,6865,0.002184,0.009563),(4575,6875,0.002175,0.00955),(4575,6885,0.002166,0.009536),(4575,6895,0.002158,0.009523),(4575,6905,0.00215,0.009511),(4575,6915,0.002142,0.009499),(4575,6925,0.002135,0.009487),(4575,6935,0.002128,0.009476),(4575,6945,0.002121,0.009465),(4575,6955,0.002114,0.009453),(4575,6965,0.002108,0.009443),(4575,6975,0.002102,0.009433),(4575,6985,0.002096,0.009422),(4585,5,5e-06,-1.1689),(4585,15,1.4e-05,-1.169),(4585,25,2.5e-05,-1.1692),(4585,35,3.8e-05,-1.1693),(4585,45,5.1e-05,-1.1694),(4585,55,6.3e-05,-1.1695),(4585,65,7.5e-05,-1.1697),(4585,75,8.6e-05,-1.1698),(4585,85,9.7e-05,-1.17),(4585,95,0.000109,-1.1702),(4585,105,0.000117,-1.1704),(4585,115,0.000125,-1.1706),(4585,125,0.000132,-1.1709),(4585,135,0.000139,-1.1712),(4585,145,0.000143,-1.1714),(4585,155,0.000145,-1.1717),(4585,165,0.000147,-1.172),(4585,175,0.000149,-1.1724),(4585,185,0.000154,-1.1728),(4585,195,0.00016,-1.1731),(4585,205,0.000166,-1.1735),(4585,215,0.000172,-1.174),(4585,225,0.000186,-1.1744),(4585,235,0.000204,-1.1749),(4585,245,0.000222,-1.1754),(4585,255,0.000239,-1.176),(4585,265,0.000267,-1.1765),(4585,275,0.000298,-1.1771),(4585,285,0.000329,-1.1778),(4585,295,0.00036,-1.1785),(4585,305,0.000388,-1.1792),(4585,315,0.000415,-1.1799),(4585,325,0.000442,-1.1806),(4585,335,0.000469,-1.1814),(4585,345,0.000486,-1.1821),(4585,355,0.000502,-1.1829),(4585,365,0.000518,-1.1837),(4585,375,0.000534,-1.1845),(4585,385,0.000557,-1.1854),(4585,395,0.00058,-1.1862),(4585,405,0.000604,-1.1872),(4585,415,0.000628,-1.1882),(4585,425,0.000664,-1.1892),(4585,435,0.000701,-1.1901),(4585,445,0.000738,-1.1912),(4585,455,0.000775,-1.1923),(4585,465,0.000808,-1.1934),(4585,475,0.000841,-1.1945),(4585,485,0.000874,-1.1957),(4585,495,0.000906,-1.1969),(4585,505,0.000924,-1.1981),(4585,515,0.000942,-1.1992),(4585,525,0.000959,-1.2005),(4585,535,0.000977,-1.2017),(4585,545,0.000988,-1.203),(4585,555,0.000998,-1.2042),(4585,565,0.001009,-1.2056),(4585,575,0.001021,-1.2069),(4585,585,0.00104,-1.2083),(4585,595,0.001058,-1.2097),(4585,605,0.001077,-1.2111),(4585,615,0.001097,-1.2126),(4585,625,0.001127,-1.2141),(4585,635,0.001156,-1.2156),(4585,645,0.001186,-1.2172),(4585,655,0.001217,-1.2188),(4585,665,0.001252,-1.2204),(4585,675,0.001287,-1.222),(4585,685,0.001322,-1.2237),(4585,695,0.001356,-1.2253),(4585,705,0.001385,-1.227),(4585,715,0.001413,-1.2287),(4585,725,0.001442,-1.2304),(4585,735,0.001471,-1.2322),(4585,745,0.001502,-1.2339),(4585,755,0.001532,-1.2356),(4585,765,0.001563,-1.2374),(4585,775,0.001599,-1.2393),(4585,785,0.00165,-1.2411),(4585,795,0.001701,-1.2429),(4585,805,0.001752,-1.2448),(4585,815,0.001807,-1.2467),(4585,825,0.001872,-1.2486),(4585,835,0.001937,-1.2505),(4585,845,0.002002,-1.2525),(4585,855,0.002071,-1.2544),(4585,865,0.002146,-1.2563),(4585,875,0.002221,-1.2582),(4585,885,0.002296,-1.2602),(4585,895,0.002378,-1.2621),(4585,905,0.002472,-1.264),(4585,915,0.002566,-1.266),(4585,925,0.002659,-1.2679),(4585,935,0.002758,-1.2698),(4585,945,0.002865,-1.2717),(4585,955,0.002971,-1.2735),(4585,965,0.003077,-1.2753),(4585,975,0.00319,-1.277),(4585,985,0.003311,-1.2788),(4585,995,0.003431,-1.2804),(4585,1005,0.003551,-1.2819),(4585,1015,0.00369,-1.2835),(4585,1025,0.003848,-1.285),(4585,1035,0.004006,-1.2863),(4585,1045,0.004163,-1.2875),(4585,1055,0.004351,-1.2886),(4585,1065,0.004563,-1.2898),(4585,1075,0.004775,-1.2907),(4585,1085,0.004987,-1.2913),(4585,1095,0.005223,-1.2919),(4585,1105,0.005476,-1.2926),(4585,1115,0.005729,-1.2927),(4585,1125,0.005981,-1.2926),(4585,1135,0.006241,-1.2924),(4585,1145,0.006506,-1.2923),(4585,1155,0.00677,-1.2915),(4585,1165,0.007035,-1.2903),(4585,1175,0.00743,-1.2892),(4585,1185,0.007889,-1.288),(4585,1195,0.008348,-1.2855),(4585,1205,0.008808,-1.2824),(4585,1215,0.01018,-1.2793),(4585,1225,0.011929,-1.2762),(4585,1235,0.013678,-1.2689),(4585,1245,0.015427,-1.26),(4585,1255,0.019784,-1.2511),(4585,1265,0.025021,-1.2422),(4585,1275,0.030258,-1.2263),(4585,1285,0.035496,-1.2082),(4585,1295,0.034616,-1.1901),(4585,1305,0.032082,-1.172),(4585,1315,0.029549,-1.1687),(4585,1325,0.027015,-1.1689),(4585,1335,0.014992,-1.1692),(4585,1345,0.00098,-1.1694),(4585,1355,-0.013032,-1.174),(4585,1365,-0.027044,-1.1793),(4585,1375,-0.033838,-1.1846),(4585,1385,-0.039518,-1.1899),(4585,1395,-0.045199,-1.2095),(4585,1405,-0.050879,-1.2309),(4585,1415,-0.044562,-1.2523),(4585,1425,-0.036999,-1.2736),(4585,1435,-0.029435,-1.2825),(4585,1445,-0.021872,-1.2905),(4585,1455,-0.02001,-1.2984),(4585,1465,-0.018476,-1.3063),(4585,1475,-0.016942,-1.3086),(4585,1485,-0.015408,-1.3107),(4585,1495,-0.01541,-1.3128),(4585,1505,-0.015435,-1.3149),(4585,1515,-0.01546,-1.3158),(4585,1525,-0.015482,-1.3167),(4585,1535,-0.0154,-1.3176),(4585,1545,-0.015317,-1.3184),(4585,1555,-0.015235,-1.3185),(4585,1565,-0.015142,-1.3186),(4585,1575,-0.014894,-1.3188),(4585,1585,-0.014647,-1.3188),(4585,1595,-0.014399,-1.3182),(4585,1605,-0.014151,-1.3175),(4585,1615,-0.013899,-1.3169),(4585,1625,-0.013647,-1.3162),(4585,1635,-0.013395,-1.315),(4585,1645,-0.013151,-1.3138),(4585,1655,-0.012948,-1.3126),(4585,1665,-0.012745,-1.3114),(4585,1675,-0.012542,-1.3099),(4585,1685,-0.012347,-1.3084),(4585,1695,-0.012184,-1.307),(4585,1705,-0.012022,-1.3055),(4585,1715,-0.011859,-1.3039),(4585,1725,-0.011704,-1.3024),(4585,1735,-0.011571,-1.3008),(4585,1745,-0.011439,-1.2993),(4585,1755,-0.011307,-1.2978),(4585,1765,-0.011182,-1.2963),(4585,1775,-0.011076,-1.2947),(4585,1785,-0.01097,-1.2933),(4585,1795,-0.010864,-1.2918),(4585,1805,-0.010764,-1.2904),(4585,1815,-0.010679,-1.289),(4585,1825,-0.010593,-1.2877),(4585,1835,-0.010507,-1.2865),(4585,1845,-0.010425,-1.2853),(4585,1855,-0.010349,-1.284),(4585,1865,-0.010274,-1.2829),(4585,1875,-0.010198,-1.2819),(4585,1885,-0.010122,-1.281),(4585,1895,-0.010045,-1.28),(4585,1905,-0.009968,-1.2791),(4585,1915,-0.009891,-1.2784),(4585,1925,-0.00981,-1.2777),(4585,1935,-0.009723,-1.277),(4585,1945,-0.009636,-1.2765),(4585,1955,-0.009549,-1.2761),(4585,1965,-0.009456,-1.2757),(4585,1975,-0.009356,-1.2754),(4585,1985,-0.009257,-1.2751),(4585,1995,-0.009157,-1.2751),(4585,2005,-0.009052,-1.2751),(4585,2015,-0.008941,-1.275),(4585,2025,-0.00883,-1.2752),(4585,2035,-0.008719,-1.2755),(4585,2045,-0.008598,-1.2758),(4585,2055,-0.008468,-1.2761),(4585,2065,-0.008338,-1.2767),(4585,2075,-0.008209,-1.2775),(4585,2085,-0.008064,-1.2783),(4585,2095,-0.007908,-1.2791),(4585,2105,-0.007752,-1.2802),(4585,2115,-0.007596,-1.2815),(4585,2125,-0.007421,-1.2828),(4585,2135,-0.007233,-1.2841),(4585,2145,-0.007046,-1.2858),(4585,2155,-0.006859,-1.2877),(4585,2165,-0.00664,-1.2896),(4585,2175,-0.006405,-1.2915),(4585,2185,-0.00617,-1.2939),(4585,2195,-0.005935,-1.2964),(4585,2205,-0.005651,-1.299),(4585,2215,-0.005345,-1.3016),(4585,2225,-0.00504,-1.3047),(4585,2235,-0.004735,-1.3079),(4585,2245,-0.004362,-1.3112),(4585,2255,-0.003965,-1.3144),(4585,2265,-0.003567,-1.3182),(4585,2275,-0.00317,-1.3222),(4585,2285,-0.002686,-1.3261),(4585,2295,-0.002177,-1.3301),(4585,2305,-0.001668,-1.3345),(4585,2315,-0.001159,-1.3391),(4585,2325,-0.000549,-1.3438),(4585,2335,8.3e-05,-1.3484),(4585,2345,0.000716,-1.3535),(4585,2355,0.001348,-1.3587),(4585,2365,0.002092,-1.3639),(4585,2375,0.002855,-1.3691),(4585,2385,0.003618,-1.3747),(4585,2395,0.004381,-1.3805),(4585,2405,0.005269,-1.3862),(4585,2415,0.006171,-1.3919),(4585,2425,0.007073,-1.398),(4585,2435,0.007975,-1.4042),(4585,2445,0.009019,-1.4103),(4585,2455,0.010074,-1.4165),(4585,2465,0.011129,-1.423),(4585,2475,0.012183,-1.4294),(4585,2485,0.013407,-1.4359),(4585,2495,0.014636,-1.4424),(4585,2505,0.015864,-1.449),(4585,2515,0.017095,-1.4557),(4585,2525,0.018524,-1.4623),(4585,2535,0.019953,-1.469),(4585,2545,0.021382,-1.4756),(4585,2555,0.022824,-1.4823),(4585,2565,0.02448,-1.4889),(4585,2575,0.026136,-1.4956),(4585,2585,0.027791,-1.502),(4585,2595,0.029471,-1.5085),(4585,2605,0.031379,-1.515),(4585,2615,0.033287,-1.5214),(4585,2625,0.035195,-1.5275),(4585,2635,0.037139,-1.5336),(4585,2645,0.039322,-1.5397),(4585,2655,0.041504,-1.5458),(4585,2665,0.043686,-1.5514),(4585,2675,0.045918,-1.557),(4585,2685,0.048389,-1.5626),(4585,2695,0.050859,-1.568),(4585,2705,0.053329,-1.573),(4585,2715,0.055862,-1.578),(4585,2725,0.058624,-1.5829),(4585,2735,0.061387,-1.5877),(4585,2745,0.06415,-1.5919),(4585,2755,0.066987,-1.5962),(4585,2765,0.070041,-1.6004),(4585,2775,0.073096,-1.6044),(4585,2785,0.07615,-1.6079),(4585,2795,0.079288,-1.6113),(4585,2805,0.082627,-1.6147),(4585,2815,0.085965,-1.6179),(4585,2825,0.089304,-1.6205),(4585,2835,0.092732,-1.6231),(4585,2845,0.096339,-1.6257),(4585,2855,0.099946,-1.628),(4585,2865,0.10355,-1.6297),(4585,2875,0.10725,-1.6315),(4585,2885,0.1111,-1.6332),(4585,2895,0.11494,-1.6346),(4585,2905,0.11879,-1.6355),(4585,2915,0.12272,-1.6363),(4585,2925,0.12676,-1.6372),(4585,2935,0.1308,-1.6377),(4585,2945,0.13484,-1.6377),(4585,2955,0.13894,-1.6378),(4585,2965,0.14312,-1.6378),(4585,2975,0.1473,-1.6374),(4585,2985,0.15148,-1.6366),(4585,2995,0.15569,-1.6357),(4585,3005,0.15993,-1.6349),(4585,3015,0.16417,-1.6337),(4585,3025,0.16841,-1.632),(4585,3035,0.17265,-1.6304),(4585,3045,0.17688,-1.6287),(4585,3055,0.18111,-1.6266),(4585,3065,0.18535,-1.6241),(4585,3075,0.18953,-1.6217),(4585,3085,0.19367,-1.6192),(4585,3095,0.19781,-1.6162),(4585,3105,0.20196,-1.613),(4585,3115,0.206,-1.6097),(4585,3125,0.20999,-1.6064),(4585,3135,0.21397,-1.6026),(4585,3145,0.21796,-1.5986),(4585,3155,0.2218,-1.5945),(4585,3165,0.22557,-1.5905),(4585,3175,0.22934,-1.586),(4585,3185,0.23311,-1.5812),(4585,3195,0.23671,-1.5764),(4585,3205,0.24023,-1.5717),(4585,3215,0.24375,-1.5665),(4585,3225,0.24727,-1.5611),(4585,3235,0.2506,-1.5557),(4585,3245,0.25386,-1.5503),(4585,3255,0.25711,-1.5444),(4585,3265,0.26037,-1.5385),(4585,3275,0.26342,-1.5325),(4585,3285,0.26641,-1.5265),(4585,3295,0.26939,-1.5201),(4585,3305,0.27238,-1.5136),(4585,3315,0.27515,-1.507),(4585,3325,0.27787,-1.5005),(4585,3335,0.28059,-1.4935),(4585,3345,0.28332,-1.4864),(4585,3355,0.28581,-1.4793),(4585,3365,0.28827,-1.4722),(4585,3375,0.29073,-1.4645),(4585,3385,0.29319,-1.4568),(4585,3395,0.2954,-1.449),(4585,3405,0.29759,-1.4413),(4585,3415,0.29977,-1.4329),(4585,3425,0.30196,-1.4245),(4585,3435,0.30388,-1.416),(4585,3445,0.30577,-1.4076),(4585,3455,0.30767,-1.3985),(4585,3465,0.30957,-1.3894),(4585,3475,0.31116,-1.3802),(4585,3485,0.31273,-1.3711),(4585,3495,0.31431,-1.3614),(4585,3505,0.31589,-1.3517),(4585,3515,0.31711,-1.342),(4585,3525,0.31834,-1.3323),(4585,3535,0.31957,-1.3222),(4585,3545,0.32078,-1.3121),(4585,3555,0.32164,-1.3021),(4585,3565,0.3225,-1.292),(4585,3575,0.32336,-1.2819),(4585,3585,0.32419,-1.2718),(4585,3595,0.32469,-1.2617),(4585,3605,0.3252,-1.2516),(4585,3615,0.32571,-1.2417),(4585,3625,0.32617,-1.2319),(4585,3635,0.32635,-1.222),(4585,3645,0.32653,-1.2123),(4585,3655,0.3267,-1.203),(4585,3665,0.32683,-1.1938),(4585,3675,0.3267,-1.1845),(4585,3685,0.32657,-1.1754),(4585,3695,0.32644,-1.167),(4585,3705,0.32625,-1.1586),(4585,3715,0.32585,-1.1502),(4585,3725,0.32545,-1.142),(4585,3735,0.32504,-1.1347),(4585,3745,0.32458,-1.1274),(4585,3755,0.32395,-1.1201),(4585,3765,0.32331,-1.1131),(4585,3775,0.32267,-1.107),(4585,3785,0.32199,-1.1008),(4585,3795,0.32118,-1.0947),(4585,3805,0.32038,-1.0889),(4585,3815,0.31958,-1.084),(4585,3825,0.31877,-1.0791),(4585,3835,0.31796,-1.0742),(4585,3845,0.31715,-1.0696),(4585,3855,0.31634,-1.0655),(4585,3865,0.31569,-1.0614),(4585,3875,0.31535,-1.0573),(4585,3885,0.31501,-1.0529),(4585,3895,0.31467,-1.048),(4585,3905,0.31505,-1.0431),(4585,3915,0.31652,-1.0382),(4585,3925,0.31798,-1.0309),(4585,3935,0.31945,-1.0206),(4585,3945,0.32359,-1.0102),(4585,3955,0.33112,-0.99983),(4585,3965,0.33865,-0.98251),(4585,3975,0.34619,-0.95707),(4585,3985,0.35938,-0.93162),(4585,3995,0.37871,-0.90617),(4585,4005,0.39803,-0.86617),(4585,4015,0.41736,-0.8116),(4585,4025,0.60704,-0.75704),(4585,4035,0.81339,-0.71824),(4585,4045,1.0197,-0.71268),(4585,4055,1.224,-0.70712),(4585,4065,1.4275,-0.69892),(4585,4075,1.6311,-0.675),(4585,4085,1.7294,-0.65107),(4585,4095,1.7433,-0.62715),(4585,4105,1.7571,-0.59828),(4585,4115,1.7707,-0.56924),(4585,4125,1.784,-0.54019),(4585,4135,1.7973,-0.51051),(4585,4145,1.8096,-0.48064),(4585,4155,1.8179,-0.45078),(4585,4165,1.8262,-0.42157),(4585,4175,1.8344,-0.39279),(4585,4185,1.832,-0.364),(4585,4195,1.8295,-0.33944),(4585,4205,1.8271,-0.32046),(4585,4215,1.8248,-0.30148),(4585,4225,1.8225,-0.28365),(4585,4235,1.8201,-0.26924),(4585,4245,1.8195,-0.25482),(4585,4255,1.8197,-0.24045),(4585,4265,1.8199,-0.2266),(4585,4275,1.8213,-0.21276),(4585,4285,1.824,-0.19891),(4585,4295,1.8267,-0.18011),(4585,4305,1.826,-0.16073),(4585,4315,1.8175,-0.14136),(4585,4325,1.8091,-0.12865),(4585,4335,1.8008,-0.11856),(4585,4345,1.7938,-0.10847),(4585,4355,1.7868,-0.10039),(4585,4365,1.7797,-0.094036),(4585,4375,1.7762,-0.087679),(4585,4385,1.7729,-0.081491),(4585,4395,1.7696,-0.0756),(4585,4405,1.769,-0.069709),(4585,4415,1.7693,-0.063176),(4585,4425,1.7696,-0.053779),(4585,4435,1.7678,-0.044383),(4585,4445,1.7647,-0.034987),(4585,4455,1.7615,-0.025678),(4585,4465,1.7563,-0.01637),(4585,4475,1.7481,-0.007061),(4585,4485,1.74,-0.002275),(4585,4495,1.7326,0.001562),(4585,4505,1.7273,0.005399),(4585,4515,1.7221,0.007863),(4585,4525,1.717,0.009582),(4585,4535,1.7158,0.011302),(4585,4545,1.7146,0.013493),(4585,4555,1.7134,0.016216),(4585,4565,1.7154,0.018939),(4585,4575,1.7178,0.024027),(4585,4585,1.7201,0.034846),(4585,4595,1.715,0.045665),(4585,4605,1.7068,0.055712),(4585,4615,1.6985,0.059761),(4585,4625,1.6914,0.063809),(4585,4635,1.6853,0.067857),(4585,4645,1.6793,0.069814),(4585,4655,1.6743,0.071626),(4585,4665,1.6714,0.073438),(4585,4675,1.6685,0.075606),(4585,4685,1.666,0.077888),(4585,4695,1.6659,0.08017),(4585,4705,1.6658,0.085048),(4585,4715,1.6657,0.091812),(4585,4725,1.6603,0.098576),(4585,4735,1.6548,0.1046),(4585,4745,1.6493,0.10951),(4585,4755,1.6426,0.11441),(4585,4765,1.6356,0.11864),(4585,4775,1.6287,0.1205),(4585,4785,1.6234,0.12236),(4585,4795,1.6191,0.12416),(4585,4805,1.6148,0.12483),(4585,4815,1.612,0.12549),(4585,4825,1.611,0.12615),(4585,4835,1.61,0.12826),(4585,4845,1.6091,0.13059),(4585,4855,1.6083,0.13292),(4585,4865,1.6076,0.13782),(4585,4875,1.6061,0.14389),(4585,4885,1.5989,0.14996),(4585,4895,1.5917,0.15356),(4585,4905,1.5845,0.1548),(4585,4915,1.5797,0.15604),(4585,4925,1.5751,0.15646),(4585,4935,1.5705,0.15525),(4585,4945,1.5686,0.15404),(4585,4955,1.5677,0.15288),(4585,4965,1.5668,0.15198),(4585,4975,1.5677,0.15109),(4585,4985,1.57,0.1502),(4585,4995,1.5724,0.15635),(4585,5005,1.5711,0.16267),(4585,5015,1.5642,0.169),(4585,5025,1.5574,0.17215),(4585,5035,1.5507,0.17448),(4585,5045,1.5448,0.17682),(4585,5055,1.539,0.17765),(4585,5065,1.5332,0.17754),(4585,5075,1.5306,0.17744),(4585,5085,1.528,0.1769),(4585,5095,1.5254,0.1758),(4585,5105,1.5257,0.1747),(4585,5115,1.5264,0.17424),(4585,5125,1.5271,0.17558),(4585,5135,1.5265,0.17692),(4585,5145,1.5252,0.17843),(4585,5155,1.5239,0.18179),(4585,5165,1.5204,0.18516),(4585,5175,1.5148,0.18853),(4585,5185,1.5091,0.18667),(4585,5195,1.5049,0.18426),(4585,5205,1.5039,0.18186),(4585,5215,1.5028,0.17544),(4585,5225,1.5027,0.16753),(4585,5235,1.5086,0.15961),(4585,5245,1.5144,0.15102),(4585,5255,1.5203,0.14186),(4585,5265,1.5299,0.1327),(4585,5275,1.5397,0.12698),(4585,5285,1.5495,0.12705),(4585,5295,1.5499,0.12713),(4585,5305,1.5477,0.12565),(4585,5315,1.5456,0.11764),(4585,5325,1.5474,0.10963),(4585,5335,1.5518,0.10151),(4585,5345,1.5562,0.086202),(4585,5355,1.565,0.070898),(4585,5365,1.5797,0.055594),(4585,5375,1.5945,0.03786),(4585,5385,1.6114,0.019651),(4585,5395,1.6348,0.001442),(4585,5405,1.6581,-0.00939),(4585,5415,1.6807,-0.016395),(4585,5425,1.693,-0.023399),(4585,5435,1.7053,-0.025304),(4585,5445,1.7176,-0.021687),(4585,5455,1.7236,-0.01807),(4585,5465,1.7288,-0.013616),(4585,5475,1.7339,-0.007228),(4585,5485,1.7385,-0.00084),(4585,5495,1.7428,0.005815),(4585,5505,1.7472,0.01436),(4585,5515,1.7508,0.022905),(4585,5525,1.754,0.03145),(4585,5535,1.7571,0.041188),(4585,5545,1.7597,0.050995),(4585,5555,1.7614,0.060801),(4585,5565,1.7632,0.071107),(4585,5575,1.7647,0.081564),(4585,5585,1.7651,0.092021),(4585,5595,1.7655,0.10271),(4585,5605,1.7659,0.11356),(4585,5615,1.765,0.12442),(4585,5625,1.7642,0.13541),(4585,5635,1.7633,0.14659),(4585,5645,1.7614,0.15777),(4585,5655,1.7592,0.16904),(4585,5665,1.7571,0.1806),(4585,5675,1.7541,0.19215),(4585,5685,1.7506,0.20373),(4585,5695,1.7471,0.21577),(4585,5705,1.743,0.22781),(4585,5715,1.738,0.23985),(4585,5725,1.7331,0.25243),(4585,5735,1.7277,0.2651),(4585,5745,1.7211,0.27776),(4585,5755,1.7145,0.29093),(4585,5765,1.7076,0.30432),(4585,5775,1.6989,0.3177),(4585,5785,1.6902,0.33148),(4585,5795,1.6816,0.3456),(4585,5805,1.6704,0.35973),(4585,5815,1.6592,0.374),(4585,5825,1.6479,0.38858),(4585,5835,1.6342,0.40315),(4585,5845,1.6197,0.41763),(4585,5855,1.6051,0.43164),(4585,5865,1.5886,0.44564),(4585,5875,1.5706,0.45964),(4585,5885,1.5525,0.47046),(4585,5895,1.5336,0.48123),(4585,5905,1.5134,0.492),(4585,5915,1.4931,0.49513),(4585,5925,1.474,0.49644),(4585,5935,1.4586,0.49775),(4585,5945,1.4432,0.48548),(4585,5955,1.4288,0.46517),(4585,5965,1.4394,0.44487),(4585,5975,1.4501,0.4081),(4585,5985,1.4607,0.35124),(4585,5995,1.5287,0.29439),(4585,6005,1.6058,0.23027),(4585,6015,1.683,0.14676),(4585,6025,1.8094,0.063246),(4585,6035,1.9585,-0.015327),(4585,6045,2.1077,-0.046302),(4585,6055,2.2218,-0.077276),(4585,6065,2.3015,-0.10825),(4585,6075,2.3812,-0.10129),(4585,6085,2.4404,-0.090844),(4585,6095,2.4573,-0.080397),(4585,6105,2.4742,-0.067738),(4585,6115,2.4889,-0.054293),(4585,6125,2.4912,-0.040848),(4585,6135,2.4935,-0.029305),(4585,6145,2.4957,-0.019259),(4585,6155,2.4954,-0.009214),(4585,6165,2.4949,-0.000367),(4585,6175,2.4944,0.006533),(4585,6185,2.4934,0.013434),(4585,6195,2.4923,0.019865),(4585,6205,2.4912,0.024457),(4585,6215,2.49,0.029048),(4585,6225,2.4888,0.033598),(4585,6235,2.4875,0.036493),(4585,6245,2.4862,0.039388),(4585,6255,2.485,0.042284),(4585,6265,2.4837,0.044077),(4585,6275,2.4825,0.04567),(4585,6285,2.4813,0.047263),(4585,6295,2.4801,0.048214),(4585,6305,2.479,0.048846),(4585,6315,2.4779,0.049478),(4585,6325,2.4769,0.049736),(4585,6335,2.4759,0.049607),(4585,6345,2.4749,0.049477),(4585,6355,2.4741,0.049177),(4585,6365,2.4732,0.048499),(4585,6375,2.4724,0.047821),(4585,6385,2.4716,0.04709),(4585,6395,2.4708,0.046014),(4585,6405,2.4701,0.044937),(4585,6415,2.4695,0.04386),(4585,6425,2.4688,0.042497),(4585,6435,2.4682,0.04112),(4585,6445,2.4677,0.039743),(4585,6455,2.4672,0.038185),(4585,6465,2.4667,0.036575),(4585,6475,2.4663,0.034965),(4585,6485,2.4659,0.033262),(4585,6495,2.4655,0.031498),(4585,6505,2.4652,0.029734),(4585,6515,2.4649,0.027907),(4585,6525,2.4647,0.025994),(4585,6535,2.4644,0.02408),(4585,6545,2.4643,0.022164),(4585,6555,2.4641,0.020239),(4585,6565,2.4639,0.018314),(4585,6575,2.4638,0.016386),(4585,6585,2.4637,0.014411),(4585,6595,2.0957,0.012435),(4585,6605,1.3213,0.010459),(4585,6615,0.54693,0.010185),(4585,6625,0.002563,0.010128),(4585,6635,0.00254,0.010072),(4585,6645,0.002518,0.010032),(4585,6655,0.002496,0.009999),(4585,6665,0.002476,0.009966),(4585,6675,0.002456,0.009936),(4585,6685,0.002436,0.009908),(4585,6695,0.002419,0.009879),(4585,6705,0.002401,0.009853),(4585,6715,0.002384,0.009828),(4585,6725,0.002368,0.009804),(4585,6735,0.002352,0.00978),(4585,6745,0.002337,0.009759),(4585,6755,0.002322,0.009738),(4585,6765,0.002308,0.009717),(4585,6775,0.002295,0.009698),(4585,6785,0.002281,0.00968),(4585,6795,0.002269,0.009661),(4585,6805,0.002257,0.009644),(4585,6815,0.002245,0.009628),(4585,6825,0.002234,0.009612),(4585,6835,0.002223,0.009597),(4585,6845,0.002212,0.009582),(4585,6855,0.002203,0.009567),(4585,6865,0.002193,0.009554),(4585,6875,0.002183,0.009541),(4585,6885,0.002174,0.009528),(4585,6895,0.002166,0.009515),(4585,6905,0.002157,0.009503),(4585,6915,0.002149,0.009491),(4585,6925,0.002142,0.00948),(4585,6935,0.002134,0.009469),(4585,6945,0.002127,0.009458),(4585,6955,0.00212,0.009447),(4585,6965,0.002113,0.009437),(4585,6975,0.002107,0.009427),(4585,6985,0.002101,0.009416),(4595,5,3e-06,-0.88814),(4595,15,9e-06,-0.88824),(4595,25,1.6e-05,-0.88834),(4595,35,2.3e-05,-0.88844),(4595,45,3.1e-05,-0.88854),(4595,55,3.8e-05,-0.88864),(4595,65,4.5e-05,-0.88874),(4595,75,5.2e-05,-0.88883),(4595,85,5.9e-05,-0.88897),(4595,95,6.6e-05,-0.88914),(4595,105,7.2e-05,-0.8893),(4595,115,7.8e-05,-0.88947),(4595,125,8.3e-05,-0.88966),(4595,135,8.9e-05,-0.88987),(4595,145,9.4e-05,-0.89008),(4595,155,9.7e-05,-0.89028),(4595,165,0.000101,-0.89053),(4595,175,0.000105,-0.8908),(4595,185,0.00011,-0.89106),(4595,195,0.000116,-0.89133),(4595,205,0.000122,-0.89164),(4595,215,0.000127,-0.89198),(4595,225,0.000136,-0.89231),(4595,235,0.000147,-0.89265),(4595,245,0.000157,-0.89305),(4595,255,0.000167,-0.89349),(4595,265,0.000181,-0.89392),(4595,275,0.000196,-0.89435),(4595,285,0.000211,-0.89485),(4595,295,0.000226,-0.89538),(4595,305,0.00024,-0.8959),(4595,315,0.000253,-0.89643),(4595,325,0.000266,-0.89699),(4595,335,0.00028,-0.89756),(4595,345,0.00029,-0.89813),(4595,355,0.000299,-0.8987),(4595,365,0.000308,-0.89932),(4595,375,0.000317,-0.89995),(4595,385,0.000328,-0.90059),(4595,395,0.00034,-0.90122),(4595,405,0.000351,-0.90196),(4595,415,0.000363,-0.9027),(4595,425,0.000379,-0.90344),(4595,435,0.000395,-0.90419),(4595,445,0.000411,-0.90501),(4595,455,0.000427,-0.90584),(4595,465,0.000442,-0.90667),(4595,475,0.000457,-0.9075),(4595,485,0.000471,-0.90839),(4595,495,0.000486,-0.90928),(4595,505,0.000496,-0.91017),(4595,515,0.000505,-0.91106),(4595,525,0.000514,-0.91201),(4595,535,0.000524,-0.91295),(4595,545,0.000531,-0.9139),(4595,555,0.000538,-0.91485),(4595,565,0.000545,-0.91588),(4595,575,0.000552,-0.91691),(4595,585,0.000561,-0.91795),(4595,595,0.000571,-0.91899),(4595,605,0.00058,-0.92011),(4595,615,0.00059,-0.92123),(4595,625,0.000603,-0.92236),(4595,635,0.000617,-0.92349),(4595,645,0.00063,-0.9247),(4595,655,0.000643,-0.92592),(4595,665,0.000658,-0.92713),(4595,675,0.000673,-0.92836),(4595,685,0.000687,-0.92964),(4595,695,0.000702,-0.93092),(4595,705,0.000714,-0.9322),(4595,715,0.000726,-0.93349),(4595,725,0.000739,-0.93482),(4595,735,0.000751,-0.93614),(4595,745,0.000764,-0.93746),(4595,755,0.000777,-0.9388),(4595,765,0.00079,-0.9402),(4595,775,0.000805,-0.94159),(4595,785,0.000825,-0.94299),(4595,795,0.000845,-0.9444),(4595,805,0.000866,-0.94587),(4595,815,0.000887,-0.94734),(4595,825,0.000912,-0.9488),(4595,835,0.000936,-0.95027),(4595,845,0.00096,-0.95176),(4595,855,0.000986,-0.95324),(4595,865,0.001012,-0.95473),(4595,875,0.001039,-0.95622),(4595,885,0.001065,-0.95773),(4595,895,0.001093,-0.95923),(4595,905,0.001124,-0.96074),(4595,915,0.001154,-0.96224),(4595,925,0.001185,-0.96374),(4595,935,0.001216,-0.96523),(4595,945,0.001248,-0.96673),(4595,955,0.00128,-0.96818),(4595,965,0.001312,-0.96957),(4595,975,0.001344,-0.97097),(4595,985,0.001377,-0.97237),(4595,995,0.001409,-0.97369),(4595,1005,0.001441,-0.97492),(4595,1015,0.001477,-0.97616),(4595,1025,0.001516,-0.97739),(4595,1035,0.001556,-0.9785),(4595,1045,0.001595,-0.97949),(4595,1055,0.00164,-0.98049),(4595,1065,0.00169,-0.98148),(4595,1075,0.001739,-0.98227),(4595,1085,0.001789,-0.9829),(4595,1095,0.00184,-0.98353),(4595,1105,0.001892,-0.98416),(4595,1115,0.001943,-0.98447),(4595,1125,0.001995,-0.98458),(4595,1135,0.002038,-0.98469),(4595,1145,0.002076,-0.9848),(4595,1155,0.002115,-0.98443),(4595,1165,0.002153,-0.9838),(4595,1175,0.002223,-0.98317),(4595,1185,0.002307,-0.98254),(4595,1195,0.002392,-0.98054),(4595,1205,0.002477,-0.97792),(4595,1215,0.002866,-0.9753),(4595,1225,0.003381,-0.97268),(4595,1235,0.003896,-0.9653),(4595,1245,0.004412,-0.95614),(4595,1255,0.005777,-0.94698),(4595,1265,0.007429,-0.93782),(4595,1275,0.009081,-0.93252),(4595,1285,0.010734,-0.92841),(4595,1295,0.009333,-0.92429),(4595,1305,0.007106,-0.92017),(4595,1315,0.004879,-0.96881),(4595,1325,0.002653,-1.0301),(4595,1335,0.002031,-1.0913),(4595,1345,0.001747,-1.1526),(4595,1355,0.001462,-1.1161),(4595,1365,0.001177,-1.0619),(4595,1375,-0.003145,-1.0077),(4595,1385,-0.008089,-0.95356),(4595,1395,-0.013033,-0.9497),(4595,1405,-0.017977,-0.95232),(4595,1415,-0.016295,-0.95493),(4595,1425,-0.013924,-0.95754),(4595,1435,-0.011554,-0.96613),(4595,1445,-0.009183,-0.9752),(4595,1455,-0.008669,-0.98427),(4595,1465,-0.008261,-0.99334),(4595,1475,-0.007854,-0.99569),(4595,1485,-0.007446,-0.99781),(4595,1495,-0.007539,-0.99992),(4595,1505,-0.007639,-1.002),(4595,1515,-0.007739,-1.0025),(4595,1525,-0.007837,-1.003),(4595,1535,-0.007858,-1.0034),(4595,1545,-0.00788,-1.0039),(4595,1555,-0.007901,-1.0038),(4595,1565,-0.007917,-1.0036),(4595,1575,-0.007849,-1.0035),(4595,1585,-0.007781,-1.0034),(4595,1595,-0.007713,-1.0028),(4595,1605,-0.007642,-1.0021),(4595,1615,-0.007553,-1.0015),(4595,1625,-0.007464,-1.0008),(4595,1635,-0.007375,-0.99985),(4595,1645,-0.007287,-0.99886),(4595,1655,-0.007204,-0.99788),(4595,1665,-0.007121,-0.99686),(4595,1675,-0.007038,-0.99569),(4595,1685,-0.006957,-0.99452),(4595,1695,-0.006883,-0.99336),(4595,1705,-0.006809,-0.99218),(4595,1715,-0.006735,-0.99096),(4595,1725,-0.006663,-0.98975),(4595,1735,-0.006597,-0.98853),(4595,1745,-0.006531,-0.98733),(4595,1755,-0.006466,-0.98615),(4595,1765,-0.006402,-0.98497),(4595,1775,-0.006345,-0.98379),(4595,1785,-0.006288,-0.98264),(4595,1795,-0.006231,-0.98155),(4595,1805,-0.006176,-0.98047),(4595,1815,-0.006126,-0.97939),(4595,1825,-0.006076,-0.97836),(4595,1835,-0.006026,-0.97742),(4595,1845,-0.005977,-0.97649),(4595,1855,-0.005931,-0.97556),(4595,1865,-0.005885,-0.9747),(4595,1875,-0.005838,-0.97396),(4595,1885,-0.005792,-0.97322),(4595,1895,-0.005745,-0.97248),(4595,1905,-0.005698,-0.97182),(4595,1915,-0.005652,-0.9713),(4595,1925,-0.005603,-0.97077),(4595,1935,-0.005552,-0.97024),(4595,1945,-0.005501,-0.96982),(4595,1955,-0.00545,-0.96954),(4595,1965,-0.005396,-0.96925),(4595,1975,-0.005338,-0.96896),(4595,1985,-0.005281,-0.9688),(4595,1995,-0.005223,-0.96877),(4595,2005,-0.005161,-0.96873),(4595,2015,-0.005095,-0.9687),(4595,2025,-0.005029,-0.96881),(4595,2035,-0.004962,-0.96906),(4595,2045,-0.004888,-0.9693),(4595,2055,-0.004807,-0.96955),(4595,2065,-0.004725,-0.96999),(4595,2075,-0.004644,-0.97057),(4595,2085,-0.004548,-0.97116),(4595,2095,-0.004443,-0.97174),(4595,2105,-0.004338,-0.97256),(4595,2115,-0.004232,-0.97353),(4595,2125,-0.004106,-0.9745),(4595,2135,-0.003968,-0.97547),(4595,2145,-0.00383,-0.97672),(4595,2155,-0.003691,-0.97814),(4595,2165,-0.003521,-0.97956),(4595,2175,-0.003335,-0.98097),(4595,2185,-0.003149,-0.98272),(4595,2195,-0.002963,-0.98463),(4595,2205,-0.002732,-0.98654),(4595,2215,-0.002482,-0.98845),(4595,2225,-0.002233,-0.99072),(4595,2235,-0.001983,-0.99314),(4595,2245,-0.001675,-0.99555),(4595,2255,-0.001346,-0.99796),(4595,2265,-0.001018,-1.0008),(4595,2275,-0.00069,-1.0037),(4595,2285,-0.000289,-1.0066),(4595,2295,0.000131,-1.0095),(4595,2305,0.000552,-1.0128),(4595,2315,0.000973,-1.0162),(4595,2325,0.001476,-1.0196),(4595,2335,0.001999,-1.023),(4595,2345,0.002521,-1.0268),(4595,2355,0.003044,-1.0306),(4595,2365,0.003659,-1.0345),(4595,2375,0.004289,-1.0383),(4595,2385,0.00492,-1.0425),(4595,2395,0.005551,-1.0467),(4595,2405,0.006284,-1.0509),(4595,2415,0.00703,-1.0552),(4595,2425,0.007775,-1.0597),(4595,2435,0.008521,-1.0642),(4595,2445,0.009382,-1.0688),(4595,2455,0.010252,-1.0733),(4595,2465,0.011121,-1.0781),(4595,2475,0.01199,-1.0829),(4595,2485,0.012996,-1.0876),(4595,2495,0.014004,-1.0924),(4595,2505,0.015013,-1.0973),(4595,2515,0.016024,-1.1022),(4595,2525,0.017195,-1.1072),(4595,2535,0.018365,-1.1121),(4595,2545,0.019536,-1.117),(4595,2555,0.020717,-1.1219),(4595,2565,0.022076,-1.1268),(4595,2575,0.023436,-1.1317),(4595,2585,0.024795,-1.1365),(4595,2595,0.026175,-1.1413),(4595,2605,0.027752,-1.1461),(4595,2615,0.029328,-1.1509),(4595,2625,0.030904,-1.1554),(4595,2635,0.032513,-1.16),(4595,2645,0.034331,-1.1645),(4595,2655,0.036149,-1.169),(4595,2665,0.037966,-1.1732),(4595,2675,0.039829,-1.1774),(4595,2685,0.041903,-1.1815),(4595,2695,0.043978,-1.1856),(4595,2705,0.046053,-1.1893),(4595,2715,0.048183,-1.1931),(4595,2725,0.050521,-1.1968),(4595,2735,0.052859,-1.2004),(4595,2745,0.055196,-1.2036),(4595,2755,0.0576,-1.2067),(4595,2765,0.060199,-1.2099),(4595,2775,0.062798,-1.213),(4595,2785,0.065397,-1.2156),(4595,2795,0.068071,-1.2182),(4595,2805,0.070925,-1.2208),(4595,2815,0.073778,-1.2232),(4595,2825,0.076632,-1.2252),(4595,2835,0.079566,-1.2272),(4595,2845,0.082661,-1.2291),(4595,2855,0.085756,-1.2309),(4595,2865,0.088851,-1.2323),(4595,2875,0.092025,-1.2336),(4595,2885,0.095336,-1.235),(4595,2895,0.098647,-1.2361),(4595,2905,0.10196,-1.2368),(4595,2915,0.10534,-1.2375),(4595,2925,0.10882,-1.2383),(4595,2935,0.11231,-1.2387),(4595,2945,0.11579,-1.2388),(4595,2955,0.11933,-1.2389),(4595,2965,0.12293,-1.239),(4595,2975,0.12653,-1.2388),(4595,2985,0.13013,-1.2382),(4595,2995,0.13375,-1.2377),(4595,3005,0.1374,-1.2372),(4595,3015,0.14104,-1.2363),(4595,3025,0.14469,-1.2352),(4595,3035,0.14832,-1.234),(4595,3045,0.15193,-1.2329),(4595,3055,0.15555,-1.2314),(4595,3065,0.15916,-1.2296),(4595,3075,0.16272,-1.2278),(4595,3085,0.16624,-1.2261),(4595,3095,0.16975,-1.2239),(4595,3105,0.17327,-1.2215),(4595,3115,0.17668,-1.2191),(4595,3125,0.18003,-1.2168),(4595,3135,0.18338,-1.214),(4595,3145,0.18673,-1.211),(4595,3155,0.18995,-1.2081),(4595,3165,0.19308,-1.2051),(4595,3175,0.19622,-1.2018),(4595,3185,0.19936,-1.1983),(4595,3195,0.20234,-1.1948),(4595,3205,0.20523,-1.1913),(4595,3215,0.20813,-1.1875),(4595,3225,0.21103,-1.1835),(4595,3235,0.21374,-1.1795),(4595,3245,0.21638,-1.1756),(4595,3255,0.21902,-1.1713),(4595,3265,0.22167,-1.1669),(4595,3275,0.22411,-1.1625),(4595,3285,0.2265,-1.1581),(4595,3295,0.22888,-1.1535),(4595,3305,0.23127,-1.1487),(4595,3315,0.23345,-1.1439),(4595,3325,0.23558,-1.1391),(4595,3335,0.23771,-1.134),(4595,3345,0.23985,-1.1288),(4595,3355,0.24177,-1.1237),(4595,3365,0.24366,-1.1185),(4595,3375,0.24555,-1.1129),(4595,3385,0.24743,-1.1073),(4595,3395,0.24911,-1.1016),(4595,3405,0.25075,-1.096),(4595,3415,0.2524,-1.0899),(4595,3425,0.25405,-1.0837),(4595,3435,0.25548,-1.0776),(4595,3445,0.25689,-1.0715),(4595,3455,0.2583,-1.0649),(4595,3465,0.25971,-1.0582),(4595,3475,0.26089,-1.0516),(4595,3485,0.26207,-1.045),(4595,3495,0.26324,-1.0379),(4595,3505,0.26442,-1.0308),(4595,3515,0.26536,-1.0238),(4595,3525,0.2663,-1.0167),(4595,3535,0.26724,-1.0094),(4595,3545,0.26817,-1.0021),(4595,3555,0.26889,-0.99475),(4595,3565,0.2696,-0.98742),(4595,3575,0.27032,-0.98007),(4595,3585,0.27101,-0.97271),(4595,3595,0.27151,-0.96535),(4595,3605,0.27202,-0.95802),(4595,3615,0.27252,-0.95085),(4595,3625,0.273,-0.94369),(4595,3635,0.27331,-0.93652),(4595,3645,0.27362,-0.92942),(4595,3655,0.27393,-0.92267),(4595,3665,0.27421,-0.91591),(4595,3675,0.27435,-0.90916),(4595,3685,0.27449,-0.90252),(4595,3695,0.27463,-0.89638),(4595,3705,0.27473,-0.89024),(4595,3715,0.27472,-0.88409),(4595,3725,0.27471,-0.87812),(4595,3735,0.2747,-0.87274),(4595,3745,0.27465,-0.86735),(4595,3755,0.27452,-0.86197),(4595,3765,0.27438,-0.85681),(4595,3775,0.27424,-0.85226),(4595,3785,0.27408,-0.84772),(4595,3795,0.27386,-0.84318),(4595,3805,0.27364,-0.83889),(4595,3815,0.27341,-0.83519),(4595,3825,0.27318,-0.83149),(4595,3835,0.27294,-0.82779),(4595,3845,0.2727,-0.82426),(4595,3855,0.27246,-0.82104),(4595,3865,0.27228,-0.81783),(4595,3875,0.2722,-0.81461),(4595,3885,0.27212,-0.81095),(4595,3895,0.27205,-0.80656),(4595,3905,0.27223,-0.80217),(4595,3915,0.27279,-0.79777),(4595,3925,0.27336,-0.79106),(4595,3935,0.27393,-0.78114),(4595,3945,0.27542,-0.77123),(4595,3955,0.2781,-0.76131),(4595,3965,0.28078,-0.75076),(4595,3975,0.28346,-0.73946),(4595,3985,0.28786,-0.72817),(4595,3995,0.29414,-0.71688),(4595,4005,0.30042,-0.72353),(4595,4015,0.3067,-0.74812),(4595,4025,0.5263,-0.77271),(4595,4035,0.76676,-0.78433),(4595,4045,1.0072,-0.76858),(4595,4055,1.2155,-0.75283),(4595,4065,1.4121,-0.73539),(4595,4075,1.6087,-0.70789),(4595,4085,1.7028,-0.68038),(4595,4095,1.7146,-0.65288),(4595,4105,1.7264,-0.62377),(4595,4115,1.7386,-0.5946),(4595,4125,1.7515,-0.56544),(4595,4135,1.7643,-0.53612),(4595,4145,1.7764,-0.50677),(4595,4155,1.785,-0.47741),(4595,4165,1.7937,-0.44884),(4595,4175,1.8021,-0.42076),(4595,4185,1.803,-0.39268),(4595,4195,1.8038,-0.36815),(4595,4205,1.8047,-0.3483),(4595,4215,1.8041,-0.32844),(4595,4225,1.8032,-0.30968),(4595,4235,1.8023,-0.29414),(4595,4245,1.8022,-0.27859),(4595,4255,1.8025,-0.26312),(4595,4265,1.8029,-0.24843),(4595,4275,1.8034,-0.23375),(4595,4285,1.8041,-0.21906),(4595,4295,1.8049,-0.20105),(4595,4305,1.8037,-0.18264),(4595,4315,1.7984,-0.16424),(4595,4325,1.7931,-0.15121),(4595,4335,1.7877,-0.14029),(4595,4345,1.7818,-0.12938),(4595,4355,1.776,-0.12039),(4595,4365,1.7702,-0.11304),(4595,4375,1.7669,-0.10569),(4595,4385,1.7636,-0.098572),(4595,4395,1.7604,-0.091852),(4595,4405,1.759,-0.085132),(4595,4415,1.758,-0.077929),(4595,4425,1.7571,-0.06857),(4595,4435,1.7549,-0.05921),(4595,4445,1.7517,-0.049852),(4595,4455,1.7485,-0.040764),(4595,4465,1.744,-0.031677),(4595,4475,1.7377,-0.022589),(4595,4485,1.7314,-0.017291),(4595,4495,1.7256,-0.012787),(4595,4505,1.721,-0.008283),(4595,4515,1.7164,-0.004976),(4595,4525,1.7121,-0.002318),(4595,4535,1.7105,0.000339),(4595,4545,1.709,0.003452),(4595,4555,1.7074,0.007076),(4595,4565,1.7069,0.0107),(4595,4575,1.7065,0.016103),(4595,4585,1.706,0.025818),(4595,4595,1.7017,0.035533),(4595,4605,1.6958,0.044651),(4595,4615,1.6899,0.049126),(4595,4625,1.6842,0.053602),(4595,4635,1.6789,0.058077),(4595,4645,1.6736,0.060694),(4595,4655,1.669,0.063184),(4595,4665,1.6659,0.065674),(4595,4675,1.6629,0.068453),(4595,4685,1.66,0.071324),(4595,4695,1.6584,0.074195),(4595,4705,1.6567,0.079066),(4595,4715,1.6551,0.085389),(4595,4725,1.6502,0.091712),(4595,4735,1.6454,0.097399),(4595,4745,1.6405,0.10214),(4595,4755,1.6348,0.10688),(4595,4765,1.6288,0.11102),(4595,4775,1.6228,0.1131),(4595,4785,1.6182,0.11518),(4595,4795,1.6143,0.11721),(4595,4805,1.6104,0.11831),(4595,4815,1.6076,0.11941),(4595,4825,1.606,0.1205),(4595,4835,1.6045,0.12286),(4595,4845,1.6028,0.12542),(4595,4855,1.6007,0.12797),(4595,4865,1.5986,0.1324),(4595,4875,1.5962,0.13769),(4595,4885,1.5906,0.14297),(4595,4895,1.5851,0.14625),(4595,4905,1.5795,0.14761),(4595,4915,1.5756,0.14897),(4595,4925,1.5718,0.14967),(4595,4935,1.5681,0.14907),(4595,4945,1.5663,0.14847),(4595,4955,1.5654,0.14795),(4595,4965,1.5644,0.1479),(4595,4975,1.5638,0.14785),(4595,4985,1.5637,0.1478),(4595,4995,1.5635,0.15314),(4595,5005,1.5613,0.15862),(4595,5015,1.5557,0.1641),(4595,5025,1.5502,0.16694),(4595,5035,1.5448,0.1691),(4595,5045,1.5397,0.17126),(4595,5055,1.5347,0.17201),(4595,5065,1.5297,0.1719),(4595,5075,1.5274,0.17179),(4595,5085,1.5251,0.17131),(4595,5095,1.5229,0.17038),(4595,5105,1.5224,0.16945),(4595,5115,1.5224,0.16901),(4595,5125,1.5223,0.16999),(4595,5135,1.5208,0.17096),(4595,5145,1.5188,0.17202),(4595,5155,1.5167,0.174),(4595,5165,1.5138,0.17598),(4595,5175,1.51,0.17796),(4595,5185,1.5063,0.17529),(4595,5195,1.504,0.17213),(4595,5205,1.5048,0.16897),(4595,5215,1.5056,0.16256),(4595,5225,1.5071,0.15494),(4595,5235,1.5134,0.14732),(4595,5245,1.5197,0.13941),(4595,5255,1.5261,0.13128),(4595,5265,1.5326,0.12314),(4595,5275,1.5391,0.11749),(4595,5285,1.5457,0.11602),(4595,5295,1.5475,0.11455),(4595,5305,1.548,0.11174),(4595,5315,1.5485,0.10328),(4595,5325,1.5529,0.094826),(4595,5335,1.5597,0.086284),(4595,5345,1.5666,0.072038),(4595,5355,1.5773,0.057792),(4595,5365,1.5931,0.043546),(4595,5375,1.609,0.028471),(4595,5385,1.6258,0.013234),(4595,5395,1.6455,-0.002002),(4595,5405,1.6651,-0.010491),(4595,5415,1.684,-0.015479),(4595,5425,1.6927,-0.020466),(4595,5435,1.7014,-0.021355),(4595,5445,1.7101,-0.017807),(4595,5455,1.7148,-0.014259),(4595,5465,1.7191,-0.009941),(4595,5475,1.7234,-0.003845),(4595,5485,1.7272,0.002251),(4595,5495,1.7308,0.0086),(4595,5505,1.7345,0.016741),(4595,5515,1.7376,0.024881),(4595,5525,1.7403,0.033021),(4595,5535,1.743,0.042388),(4595,5545,1.7453,0.051825),(4595,5555,1.7469,0.061262),(4595,5565,1.7484,0.071268),(4595,5575,1.7497,0.081446),(4595,5585,1.75,0.091624),(4595,5595,1.7503,0.10208),(4595,5605,1.7506,0.11274),(4595,5615,1.7497,0.12339),(4595,5625,1.7487,0.13421),(4595,5635,1.7477,0.14524),(4595,5645,1.7457,0.15628),(4595,5655,1.7434,0.1674),(4595,5665,1.7412,0.17881),(4595,5675,1.7381,0.19021),(4595,5685,1.7344,0.20164),(4595,5695,1.7308,0.21348),(4595,5705,1.7265,0.22531),(4595,5715,1.7214,0.23715),(4595,5725,1.7163,0.24942),(4595,5735,1.7107,0.26175),(4595,5745,1.7038,0.27407),(4595,5755,1.697,0.28674),(4595,5765,1.6899,0.29955),(4595,5775,1.6809,0.31236),(4595,5785,1.672,0.32536),(4595,5795,1.6631,0.33852),(4595,5805,1.6518,0.35168),(4595,5815,1.6403,0.36477),(4595,5825,1.6289,0.37776),(4595,5835,1.6152,0.39074),(4595,5845,1.6008,0.40347),(4595,5855,1.5864,0.41491),(4595,5865,1.5704,0.42635),(4595,5875,1.5532,0.43779),(4595,5885,1.5361,0.44469),(4595,5895,1.5188,0.45153),(4595,5905,1.5014,0.45836),(4595,5915,1.4841,0.45635),(4595,5925,1.4686,0.45222),(4595,5935,1.46,0.44809),(4595,5945,1.4513,0.43024),(4595,5955,1.4439,0.40429),(4595,5965,1.4666,0.37834),(4595,5975,1.4892,0.33787),(4595,5985,1.5118,0.27969),(4595,5995,1.5895,0.22151),(4595,6005,1.676,0.15872),(4595,6015,1.7625,0.083605),(4595,6025,1.8802,0.008494),(4595,6035,2.0122,-0.061923),(4595,6045,2.1443,-0.087124),(4595,6055,2.2429,-0.11232),(4595,6065,2.3088,-0.13752),(4595,6075,2.3747,-0.12992),(4595,6085,2.4243,-0.1193),(4595,6095,2.4401,-0.10868),(4595,6105,2.456,-0.095995),(4595,6115,2.47,-0.082572),(4595,6125,2.4734,-0.06915),(4595,6135,2.4768,-0.057392),(4595,6145,2.4802,-0.046946),(4595,6155,2.4808,-0.0365),(4595,6165,2.4813,-0.02716),(4595,6175,2.4819,-0.019619),(4595,6185,2.4817,-0.012077),(4595,6195,2.4814,-0.004985),(4595,6205,2.481,0.000341),(4595,6215,2.4804,0.005667),(4595,6225,2.4797,0.010951),(4595,6235,2.479,0.014601),(4595,6245,2.4783,0.018251),(4595,6255,2.4774,0.021901),(4595,6265,2.4766,0.024437),(4595,6275,2.4757,0.026771),(4595,6285,2.4749,0.029105),(4595,6295,2.474,0.030774),(4595,6305,2.4731,0.032113),(4595,6315,2.4723,0.033452),(4595,6325,2.4715,0.034403),(4595,6335,2.4707,0.034951),(4595,6345,2.4699,0.035499),(4595,6355,2.4692,0.035859),(4595,6365,2.4685,0.035806),(4595,6375,2.4678,0.035752),(4595,6385,2.4672,0.03564),(4595,6395,2.4666,0.035152),(4595,6405,2.466,0.034663),(4595,6415,2.4654,0.034175),(4595,6425,2.4649,0.033372),(4595,6435,2.4644,0.032554),(4595,6445,2.4639,0.031737),(4595,6455,2.4635,0.030713),(4595,6465,2.4631,0.02963),(4595,6475,2.4627,0.028547),(4595,6485,2.4624,0.027359),(4595,6495,2.462,0.026099),(4595,6505,2.4618,0.024839),(4595,6515,2.4615,0.02351),(4595,6525,2.4612,0.022086),(4595,6535,2.461,0.020662),(4595,6545,2.4609,0.019232),(4595,6555,2.4607,0.017784),(4595,6565,2.4606,0.016337),(4595,6575,2.4605,0.014885),(4595,6585,2.4604,0.013381),(4595,6595,2.0928,0.011876),(4595,6605,1.3195,0.010372),(4595,6615,0.54622,0.010153),(4595,6625,0.002596,0.0101),(4595,6635,0.002571,0.010046),(4595,6645,0.002547,0.010008),(4595,6655,0.002523,0.009976),(4595,6665,0.002502,0.009944),(4595,6675,0.002481,0.009914),(4595,6685,0.00246,0.009887),(4595,6695,0.002441,0.009859),(4595,6705,0.002422,0.009833),(4595,6715,0.002403,0.00981),(4595,6725,0.002386,0.009786),(4595,6735,0.00237,0.009763),(4595,6745,0.002353,0.009743),(4595,6755,0.002338,0.009722),(4595,6765,0.002323,0.009702),(4595,6775,0.002309,0.009684),(4595,6785,0.002295,0.009666),(4595,6795,0.002282,0.009648),(4595,6805,0.002269,0.009631),(4595,6815,0.002256,0.009616),(4595,6825,0.002245,0.0096),(4595,6835,0.002233,0.009585),(4595,6845,0.002222,0.009571),(4595,6855,0.002212,0.009557),(4595,6865,0.002202,0.009543),(4595,6875,0.002192,0.009531),(4595,6885,0.002182,0.009518),(4595,6895,0.002174,0.009506),(4595,6905,0.002165,0.009494),(4595,6915,0.002156,0.009483),(4595,6925,0.002148,0.009472),(4595,6935,0.002141,0.009461),(4595,6945,0.002133,0.00945),(4595,6955,0.002126,0.00944),(4595,6965,0.002119,0.00943),(4595,6975,0.002112,0.00942),(4595,6985,0.002106,0.00941),(4605,5,2e-06,-0.60739),(4605,15,7e-06,-0.60746),(4605,25,1.1e-05,-0.60753),(4605,35,1.5e-05,-0.6076),(4605,45,2e-05,-0.60767),(4605,55,2.4e-05,-0.60773),(4605,65,2.8e-05,-0.6078),(4605,75,3.3e-05,-0.60787),(4605,85,3.7e-05,-0.60796),(4605,95,4.1e-05,-0.60807),(4605,105,4.6e-05,-0.60819),(4605,115,5.1e-05,-0.6083),(4605,125,5.6e-05,-0.60843),(4605,135,6.1e-05,-0.60857),(4605,145,6.6e-05,-0.60871),(4605,155,7e-05,-0.60885),(4605,165,7.5e-05,-0.60902),(4605,175,7.9e-05,-0.6092),(4605,185,8.4e-05,-0.60937),(4605,195,8.8e-05,-0.60955),(4605,205,9.3e-05,-0.60976),(4605,215,9.8e-05,-0.60999),(4605,225,0.000103,-0.61021),(4605,235,0.000109,-0.61044),(4605,245,0.000115,-0.61071),(4605,255,0.000121,-0.61101),(4605,265,0.000128,-0.6113),(4605,275,0.000135,-0.61159),(4605,285,0.000142,-0.61193),(4605,295,0.00015,-0.61229),(4605,305,0.000156,-0.61264),(4605,315,0.000163,-0.613),(4605,325,0.000169,-0.61338),(4605,335,0.000176,-0.61376),(4605,345,0.000181,-0.61414),(4605,355,0.000187,-0.61453),(4605,365,0.000192,-0.61495),(4605,375,0.000197,-0.61538),(4605,385,0.000202,-0.61581),(4605,395,0.000207,-0.61624),(4605,405,0.000212,-0.61673),(4605,415,0.000217,-0.61723),(4605,425,0.000221,-0.61774),(4605,435,0.000225,-0.61824),(4605,445,0.00023,-0.6188),(4605,455,0.000234,-0.61936),(4605,465,0.000238,-0.61992),(4605,475,0.000242,-0.62048),(4605,485,0.000246,-0.62108),(4605,495,0.00025,-0.62168),(4605,505,0.000254,-0.62228),(4605,515,0.000258,-0.62289),(4605,525,0.000262,-0.62353),(4605,535,0.000266,-0.62418),(4605,545,0.00027,-0.62482),(4605,555,0.000274,-0.62547),(4605,565,0.000279,-0.62618),(4605,575,0.000283,-0.62688),(4605,585,0.000287,-0.62759),(4605,595,0.000291,-0.6283),(4605,605,0.000296,-0.62907),(4605,615,0.0003,-0.62984),(4605,625,0.000303,-0.63061),(4605,635,0.000306,-0.63139),(4605,645,0.000309,-0.63223),(4605,655,0.000312,-0.63306),(4605,665,0.000315,-0.63389),(4605,675,0.000317,-0.63474),(4605,685,0.00032,-0.63562),(4605,695,0.000322,-0.63651),(4605,705,0.000325,-0.63739),(4605,715,0.000328,-0.63828),(4605,725,0.00033,-0.6392),(4605,735,0.000333,-0.64012),(4605,745,0.000336,-0.64104),(4605,755,0.000338,-0.64197),(4605,765,0.000341,-0.64294),(4605,775,0.000344,-0.64392),(4605,785,0.000346,-0.64489),(4605,795,0.000349,-0.64588),(4605,805,0.000351,-0.64691),(4605,815,0.000354,-0.64794),(4605,825,0.000356,-0.64896),(4605,835,0.000357,-0.65),(4605,845,0.000359,-0.65105),(4605,855,0.00036,-0.6521),(4605,865,0.00036,-0.65316),(4605,875,0.00036,-0.65422),(4605,885,0.000359,-0.65529),(4605,895,0.000358,-0.65637),(4605,905,0.000354,-0.65745),(4605,915,0.00035,-0.65853),(4605,925,0.000346,-0.65961),(4605,935,0.000339,-0.6607),(4605,945,0.00033,-0.66178),(4605,955,0.00032,-0.66284),(4605,965,0.000311,-0.66388),(4605,975,0.000298,-0.66491),(4605,985,0.000281,-0.66595),(4605,995,0.000264,-0.66695),(4605,1005,0.000247,-0.6679),(4605,1015,0.000226,-0.66885),(4605,1025,0.000199,-0.6698),(4605,1035,0.000173,-0.67069),(4605,1045,0.000147,-0.67151),(4605,1055,0.000114,-0.67233),(4605,1065,7.5e-05,-0.67316),(4605,1075,3.7e-05,-0.67387),(4605,1085,-2e-06,-0.6745),(4605,1095,-4.9e-05,-0.67512),(4605,1105,-0.000101,-0.67575),(4605,1115,-0.000154,-0.67622),(4605,1125,-0.000207,-0.67658),(4605,1135,-0.000285,-0.67693),(4605,1145,-0.000377,-0.67729),(4605,1155,-0.00047,-0.67735),(4605,1165,-0.000563,-0.67726),(4605,1175,-0.000835,-0.67716),(4605,1185,-0.001196,-0.67707),(4605,1195,-0.001556,-0.67557),(4605,1205,-0.001917,-0.67343),(4605,1215,-0.002806,-0.6713),(4605,1225,-0.003914,-0.66916),(4605,1235,-0.005021,-0.66171),(4605,1245,-0.006129,-0.65227),(4605,1255,-0.003294,-0.64283),(4605,1265,0.000874,-0.6334),(4605,1275,0.005041,-0.63877),(4605,1285,0.009208,-0.64864),(4605,1295,0.024426,-0.65851),(4605,1305,0.042632,-0.66838),(4605,1315,0.060838,-0.76895),(4605,1325,0.079044,-0.89122),(4605,1335,0.050252,-1.0135),(4605,1345,0.011612,-1.1358),(4605,1355,-0.027029,-1.0583),(4605,1365,-0.06567,-0.94459),(4605,1375,-0.059542,-0.8309),(4605,1385,-0.046506,-0.7172),(4605,1395,-0.033471,-0.68993),(4605,1405,-0.020436,-0.67377),(4605,1415,-0.014034,-0.65761),(4605,1425,-0.008321,-0.64144),(4605,1435,-0.002609,-0.64972),(4605,1445,0.003104,-0.65995),(4605,1455,0.002178,-0.67018),(4605,1465,0.000869,-0.68041),(4605,1475,-0.00044,-0.68282),(4605,1485,-0.001748,-0.68494),(4605,1495,-0.002212,-0.68707),(4605,1505,-0.002662,-0.68918),(4605,1515,-0.003113,-0.68922),(4605,1525,-0.003555,-0.68926),(4605,1535,-0.003649,-0.68929),(4605,1545,-0.003742,-0.68932),(4605,1555,-0.003836,-0.68898),(4605,1565,-0.003925,-0.68864),(4605,1575,-0.003948,-0.6883),(4605,1585,-0.003971,-0.68794),(4605,1595,-0.003994,-0.68734),(4605,1605,-0.004014,-0.68674),(4605,1615,-0.004012,-0.68614),(4605,1625,-0.004009,-0.68552),(4605,1635,-0.004007,-0.68473),(4605,1645,-0.004002,-0.68394),(4605,1655,-0.003986,-0.68315),(4605,1665,-0.00397,-0.68235),(4605,1675,-0.003954,-0.68148),(4605,1685,-0.003936,-0.68061),(4605,1695,-0.003913,-0.67974),(4605,1705,-0.003889,-0.67886),(4605,1715,-0.003865,-0.67798),(4605,1725,-0.003841,-0.6771),(4605,1735,-0.003813,-0.67622),(4605,1745,-0.003785,-0.67535),(4605,1755,-0.003758,-0.67451),(4605,1765,-0.00373,-0.67367),(4605,1775,-0.003701,-0.67283),(4605,1785,-0.003672,-0.67202),(4605,1795,-0.003643,-0.67126),(4605,1805,-0.003613,-0.6705),(4605,1815,-0.003584,-0.66974),(4605,1825,-0.003554,-0.66902),(4605,1835,-0.003524,-0.66838),(4605,1845,-0.003495,-0.66773),(4605,1855,-0.003465,-0.66709),(4605,1865,-0.003435,-0.6665),(4605,1875,-0.003405,-0.66599),(4605,1885,-0.003375,-0.66548),(4605,1895,-0.003345,-0.66497),(4605,1905,-0.003315,-0.66452),(4605,1915,-0.003286,-0.66416),(4605,1925,-0.003255,-0.6638),(4605,1935,-0.003224,-0.66344),(4605,1945,-0.003193,-0.66316),(4605,1955,-0.003162,-0.66296),(4605,1965,-0.003129,-0.66277),(4605,1975,-0.003095,-0.66257),(4605,1985,-0.00306,-0.66246),(4605,1995,-0.003026,-0.66243),(4605,2005,-0.002988,-0.66241),(4605,2015,-0.002946,-0.66239),(4605,2025,-0.002904,-0.66246),(4605,2035,-0.002863,-0.66262),(4605,2045,-0.002814,-0.66279),(4605,2055,-0.002759,-0.66295),(4605,2065,-0.002704,-0.66324),(4605,2075,-0.00265,-0.66363),(4605,2085,-0.002582,-0.66402),(4605,2095,-0.002505,-0.6644),(4605,2105,-0.002427,-0.66494),(4605,2115,-0.00235,-0.66558),(4605,2125,-0.002252,-0.66622),(4605,2135,-0.00214,-0.66686),(4605,2145,-0.002029,-0.66768),(4605,2155,-0.001917,-0.6686),(4605,2165,-0.001775,-0.66953),(4605,2175,-0.001616,-0.67046),(4605,2185,-0.001457,-0.6716),(4605,2195,-0.001299,-0.67284),(4605,2205,-0.001098,-0.67408),(4605,2215,-0.00088,-0.67532),(4605,2225,-0.000661,-0.67679),(4605,2235,-0.000443,-0.67836),(4605,2245,-0.000172,-0.67992),(4605,2255,0.000118,-0.68149),(4605,2265,0.000408,-0.6833),(4605,2275,0.000697,-0.68518),(4605,2285,0.00105,-0.68707),(4605,2295,0.00142,-0.68896),(4605,2305,0.00179,-0.69109),(4605,2315,0.00216,-0.69329),(4605,2325,0.002603,-0.69548),(4605,2335,0.003062,-0.69768),(4605,2345,0.003521,-0.7001),(4605,2355,0.003981,-0.70258),(4605,2365,0.004522,-0.70505),(4605,2375,0.005077,-0.70753),(4605,2385,0.005631,-0.71022),(4605,2395,0.006186,-0.71295),(4605,2405,0.006831,-0.71567),(4605,2415,0.007487,-0.7184),(4605,2425,0.008142,-0.72131),(4605,2435,0.008797,-0.72425),(4605,2445,0.009553,-0.72718),(4605,2455,0.010315,-0.73011),(4605,2465,0.011078,-0.73319),(4605,2475,0.01184,-0.73627),(4605,2485,0.012718,-0.73935),(4605,2495,0.0136,-0.74244),(4605,2505,0.014481,-0.74561),(4605,2515,0.015365,-0.74879),(4605,2525,0.016386,-0.75196),(4605,2535,0.017407,-0.75514),(4605,2545,0.018428,-0.75833),(4605,2555,0.019458,-0.76152),(4605,2565,0.020645,-0.76471),(4605,2575,0.021833,-0.76789),(4605,2585,0.02302,-0.77101),(4605,2595,0.024226,-0.77413),(4605,2605,0.025609,-0.77725),(4605,2615,0.026993,-0.78036),(4605,2625,0.028376,-0.78334),(4605,2635,0.02979,-0.78631),(4605,2645,0.031395,-0.78929),(4605,2655,0.033001,-0.79223),(4605,2665,0.034607,-0.79499),(4605,2675,0.036254,-0.79775),(4605,2685,0.038098,-0.80051),(4605,2695,0.039943,-0.80322),(4605,2705,0.041787,-0.80569),(4605,2715,0.043683,-0.80817),(4605,2725,0.045772,-0.81064),(4605,2735,0.047861,-0.81304),(4605,2745,0.04995,-0.81518),(4605,2755,0.052101,-0.81732),(4605,2765,0.054433,-0.81946),(4605,2775,0.056765,-0.8215),(4605,2785,0.059098,-0.82327),(4605,2795,0.061499,-0.82505),(4605,2805,0.064068,-0.82682),(4605,2815,0.066637,-0.82847),(4605,2825,0.069206,-0.82985),(4605,2835,0.071849,-0.83122),(4605,2845,0.074643,-0.8326),(4605,2855,0.077436,-0.83384),(4605,2865,0.080229,-0.83481),(4605,2875,0.083097,-0.83579),(4605,2885,0.086092,-0.83676),(4605,2895,0.089087,-0.83758),(4605,2905,0.092081,-0.83815),(4605,2915,0.095142,-0.83873),(4605,2925,0.098298,-0.8393),(4605,2935,0.10145,-0.8397),(4605,2945,0.10461,-0.83986),(4605,2955,0.10781,-0.84003),(4605,2965,0.11107,-0.8402),(4605,2975,0.11433,-0.84017),(4605,2985,0.11759,-0.83993),(4605,2995,0.12087,-0.83968),(4605,3005,0.12416,-0.83944),(4605,3015,0.12745,-0.83898),(4605,3025,0.13074,-0.83833),(4605,3035,0.13402,-0.83767),(4605,3045,0.13727,-0.83702),(4605,3055,0.14053,-0.83613),(4605,3065,0.14378,-0.83506),(4605,3075,0.14697,-0.83398),(4605,3085,0.15012,-0.83291),(4605,3095,0.15326,-0.83159),(4605,3105,0.15641,-0.8301),(4605,3115,0.15945,-0.82861),(4605,3125,0.16243,-0.82712),(4605,3135,0.16541,-0.82539),(4605,3145,0.16839,-0.82351),(4605,3155,0.17123,-0.82163),(4605,3165,0.17401,-0.81975),(4605,3175,0.17678,-0.81763),(4605,3185,0.17955,-0.8154),(4605,3195,0.18216,-0.81317),(4605,3205,0.1847,-0.81093),(4605,3215,0.18724,-0.80849),(4605,3225,0.18977,-0.80595),(4605,3235,0.19213,-0.80341),(4605,3245,0.19442,-0.80088),(4605,3255,0.19671,-0.79815),(4605,3265,0.199,-0.79536),(4605,3275,0.2011,-0.79257),(4605,3285,0.20315,-0.78978),(4605,3295,0.20519,-0.7868),(4605,3305,0.20723,-0.78378),(4605,3315,0.20908,-0.78076),(4605,3325,0.21088,-0.77774),(4605,3335,0.21268,-0.77452),(4605,3345,0.21448,-0.77127),(4605,3355,0.21608,-0.76801),(4605,3365,0.21764,-0.76475),(4605,3375,0.2192,-0.76126),(4605,3385,0.22077,-0.75773),(4605,3395,0.22213,-0.7542),(4605,3405,0.22347,-0.75067),(4605,3415,0.22481,-0.74687),(4605,3425,0.22615,-0.74303),(4605,3435,0.2273,-0.7392),(4605,3445,0.22844,-0.73536),(4605,3455,0.22957,-0.73124),(4605,3465,0.2307,-0.7271),(4605,3475,0.23166,-0.72296),(4605,3485,0.2326,-0.71882),(4605,3495,0.23355,-0.71441),(4605,3505,0.2345,-0.70999),(4605,3515,0.23528,-0.70558),(4605,3525,0.23606,-0.70117),(4605,3535,0.23684,-0.69659),(4605,3545,0.23761,-0.69201),(4605,3555,0.23825,-0.68743),(4605,3565,0.23888,-0.68285),(4605,3575,0.23951,-0.67825),(4605,3585,0.24013,-0.67365),(4605,3595,0.24064,-0.66905),(4605,3605,0.24114,-0.66446),(4605,3615,0.24164,-0.65998),(4605,3625,0.24213,-0.65549),(4605,3635,0.24252,-0.651),(4605,3645,0.24291,-0.64655),(4605,3655,0.24329,-0.6423),(4605,3665,0.24367,-0.63806),(4605,3675,0.24396,-0.63382),(4605,3685,0.24425,-0.62964),(4605,3695,0.24454,-0.62576),(4605,3705,0.24481,-0.62187),(4605,3715,0.24502,-0.61799),(4605,3725,0.24523,-0.6142),(4605,3735,0.24544,-0.61075),(4605,3745,0.24563,-0.6073),(4605,3755,0.24578,-0.60386),(4605,3765,0.24593,-0.60054),(4605,3775,0.24607,-0.59758),(4605,3785,0.24621,-0.59461),(4605,3795,0.24631,-0.59165),(4605,3805,0.24642,-0.58884),(4605,3815,0.24652,-0.58635),(4605,3825,0.24661,-0.58387),(4605,3835,0.24666,-0.58138),(4605,3845,0.24672,-0.57895),(4605,3855,0.24677,-0.57663),(4605,3865,0.24675,-0.5743),(4605,3875,0.2466,-0.57197),(4605,3885,0.24645,-0.56905),(4605,3895,0.2463,-0.56516),(4605,3905,0.246,-0.56128),(4605,3915,0.24546,-0.5574),(4605,3925,0.24492,-0.55117),(4605,3935,0.24437,-0.54171),(4605,3945,0.24567,-0.53225),(4605,3955,0.2493,-0.52279),(4605,3965,0.25293,-0.519),(4605,3975,0.25656,-0.52186),(4605,3985,0.26966,-0.52472),(4605,3995,0.29301,-0.52758),(4605,4005,0.31637,-0.58089),(4605,4015,0.33972,-0.68464),(4605,4025,0.54501,-0.78839),(4605,4035,0.76811,-0.85041),(4605,4045,0.9912,-0.82447),(4605,4055,1.1924,-0.79853),(4605,4065,1.3856,-0.77186),(4605,4075,1.5787,-0.74078),(4605,4085,1.6712,-0.7097),(4605,4095,1.6828,-0.67862),(4605,4105,1.6944,-0.64926),(4605,4115,1.7064,-0.61997),(4605,4125,1.7193,-0.59068),(4605,4135,1.7321,-0.56174),(4605,4145,1.7442,-0.53289),(4605,4155,1.7532,-0.50405),(4605,4165,1.7623,-0.4761),(4605,4175,1.7712,-0.44874),(4605,4185,1.7744,-0.42137),(4605,4195,1.7777,-0.39686),(4605,4205,1.7809,-0.37613),(4605,4215,1.7818,-0.35541),(4605,4225,1.7822,-0.3357),(4605,4235,1.7827,-0.31904),(4605,4245,1.7832,-0.30237),(4605,4255,1.7838,-0.28579),(4605,4265,1.7844,-0.27026),(4605,4275,1.7846,-0.25474),(4605,4285,1.7843,-0.23921),(4605,4295,1.7841,-0.22198),(4605,4305,1.7829,-0.20455),(4605,4315,1.7797,-0.18713),(4605,4325,1.7766,-0.17378),(4605,4335,1.7732,-0.16203),(4605,4345,1.7685,-0.15028),(4605,4355,1.7638,-0.14038),(4605,4365,1.759,-0.13204),(4605,4375,1.7559,-0.1237),(4605,4385,1.7529,-0.11565),(4605,4395,1.7499,-0.1081),(4605,4405,1.7479,-0.10056),(4605,4415,1.7462,-0.092682),(4605,4425,1.7446,-0.08336),(4605,4435,1.7421,-0.074037),(4605,4445,1.739,-0.064717),(4605,4455,1.7359,-0.05585),(4605,4465,1.732,-0.046983),(4605,4475,1.7271,-0.038117),(4605,4485,1.7221,-0.032306),(4605,4495,1.7174,-0.027135),(4605,4505,1.7134,-0.021965),(4605,4515,1.7094,-0.017816),(4605,4525,1.7055,-0.014219),(4605,4535,1.7037,-0.010623),(4605,4545,1.7018,-0.00659),(4605,4555,1.7,-0.002064),(4605,4565,1.6979,0.002461),(4605,4575,1.6957,0.00818),(4605,4585,1.6935,0.01679),(4605,4595,1.6898,0.025401),(4605,4605,1.6854,0.033589),(4605,4615,1.6809,0.038492),(4605,4625,1.6763,0.043394),(4605,4635,1.6716,0.048296),(4605,4645,1.6668,0.051575),(4605,4655,1.6626,0.054743),(4605,4665,1.6594,0.05791),(4605,4675,1.6563,0.061299),(4605,4685,1.6532,0.06476),(4605,4695,1.6505,0.06822),(4605,4705,1.6479,0.073084),(4605,4715,1.6453,0.078966),(4605,4725,1.6409,0.084848),(4605,4735,1.6365,0.090203),(4605,4745,1.6321,0.094771),(4605,4755,1.6271,0.099339),(4605,4765,1.6219,0.1034),(4605,4775,1.6168,0.1057),(4605,4785,1.6126,0.108),(4605,4795,1.609,0.11026),(4605,4805,1.6054,0.1118),(4605,4815,1.6025,0.11333),(4605,4825,1.6005,0.11486),(4605,4835,1.5986,0.11747),(4605,4845,1.5964,0.12024),(4605,4855,1.5935,0.12302),(4605,4865,1.5907,0.12698),(4605,4875,1.5876,0.13148),(4605,4885,1.5832,0.13598),(4605,4895,1.5788,0.13894),(4605,4905,1.5744,0.14042),(4605,4915,1.5711,0.14189),(4605,4925,1.5679,0.14288),(4605,4935,1.5647,0.14289),(4605,4945,1.563,0.14289),(4605,4955,1.5618,0.14302),(4605,4965,1.5606,0.14381),(4605,4975,1.5591,0.1446),(4605,4985,1.5574,0.1454),(4605,4995,1.5556,0.14994),(4605,5005,1.5528,0.15457),(4605,5015,1.5483,0.1592),(4605,5025,1.5437,0.16173),(4605,5035,1.5392,0.16371),(4605,5045,1.5348,0.1657),(4605,5055,1.5305,0.16638),(4605,5065,1.5262,0.16626),(4605,5075,1.5242,0.16613),(4605,5085,1.5221,0.16573),(4605,5095,1.5201,0.16496),(4605,5105,1.5193,0.16419),(4605,5115,1.5186,0.16379),(4605,5125,1.518,0.1644),(4605,5135,1.5162,0.16501),(4605,5145,1.5139,0.16562),(4605,5155,1.5116,0.16621),(4605,5165,1.5094,0.16681),(4605,5175,1.5072,0.1674),(4605,5185,1.505,0.16391),(4605,5195,1.5042,0.16),(4605,5205,1.5063,0.15609),(4605,5215,1.5083,0.14969),(4605,5225,1.511,0.14235),(4605,5235,1.5174,0.13502),(4605,5245,1.5238,0.12781),(4605,5255,1.5302,0.1207),(4605,5265,1.5349,0.11359),(4605,5275,1.5396,0.108),(4605,5285,1.5443,0.10499),(4605,5295,1.5473,0.10197),(4605,5305,1.5499,0.097827),(4605,5315,1.5525,0.088927),(4605,5325,1.5587,0.080027),(4605,5335,1.5672,0.071063),(4605,5345,1.5757,0.057875),(4605,5355,1.5873,0.044686),(4605,5365,1.6033,0.031497),(4605,5375,1.6192,0.019082),(4605,5385,1.6353,0.006818),(4605,5395,1.6518,-0.005446),(4605,5405,1.6683,-0.011592),(4605,5415,1.6841,-0.014563),(4605,5425,1.6903,-0.017534),(4605,5435,1.6965,-0.017407),(4605,5445,1.7027,-0.013927),(4605,5455,1.7065,-0.010448),(4605,5465,1.7099,-0.006266),(4605,5475,1.7134,-0.000462),(4605,5485,1.7166,0.005342),(4605,5495,1.7196,0.011385),(4605,5505,1.7226,0.019121),(4605,5515,1.7252,0.026857),(4605,5525,1.7275,0.034592),(4605,5535,1.7298,0.043588),(4605,5545,1.7317,0.052655),(4605,5555,1.733,0.061723),(4605,5565,1.7343,0.071429),(4605,5575,1.7354,0.081328),(4605,5585,1.7355,0.091227),(4605,5595,1.7356,0.10146),(4605,5605,1.7358,0.11191),(4605,5615,1.7347,0.12237),(4605,5625,1.7336,0.13301),(4605,5635,1.7325,0.14389),(4605,5645,1.7304,0.15478),(4605,5655,1.728,0.16575),(4605,5665,1.7257,0.17701),(4605,5675,1.7224,0.18827),(4605,5685,1.7187,0.19955),(4605,5695,1.715,0.21119),(4605,5705,1.7106,0.22282),(4605,5715,1.7053,0.23445),(4605,5725,1.7001,0.2464),(4605,5735,1.6943,0.2584),(4605,5745,1.6874,0.27039),(4605,5755,1.6804,0.28255),(4605,5765,1.6733,0.29479),(4605,5775,1.6643,0.30703),(4605,5785,1.6553,0.31924),(4605,5795,1.6463,0.33143),(4605,5805,1.6352,0.34363),(4605,5815,1.6239,0.35554),(4605,5825,1.6126,0.36693),(4605,5835,1.5994,0.37832),(4605,5845,1.5856,0.3893),(4605,5855,1.5718,0.39818),(4605,5865,1.557,0.40707),(4605,5875,1.5415,0.41595),(4605,5885,1.526,0.41893),(4605,5895,1.5111,0.42183),(4605,5905,1.4974,0.42472),(4605,5915,1.4836,0.41756),(4605,5925,1.4724,0.40799),(4605,5935,1.4707,0.39842),(4605,5945,1.4689,0.375),(4605,5955,1.4685,0.3434),(4605,5965,1.5008,0.3118),(4605,5975,1.533,0.26763),(4605,5985,1.5652,0.20813),(4605,5995,1.6478,0.14862),(4605,6005,1.7385,0.087159),(4605,6015,1.8292,0.020451),(4605,6025,1.9375,-0.046257),(4605,6035,2.0539,-0.10852),(4605,6045,2.1703,-0.12795),(4605,6055,2.2558,-0.14737),(4605,6065,2.3109,-0.1668),(4605,6075,2.366,-0.15855),(4605,6085,2.408,-0.14776),(4605,6095,2.4229,-0.13697),(4605,6105,2.4379,-0.12425),(4605,6115,2.4513,-0.11085),(4605,6125,2.4555,-0.097451),(4605,6135,2.4598,-0.085479),(4605,6145,2.464,-0.074632),(4605,6155,2.4655,-0.063785),(4605,6165,2.4669,-0.053954),(4605,6175,2.4684,-0.04577),(4605,6185,2.4689,-0.037587),(4605,6195,2.4693,-0.029835),(4605,6205,2.4696,-0.023775),(4605,6215,2.4697,-0.017715),(4605,6225,2.4695,-0.011696),(4605,6235,2.4693,-0.007291),(4605,6245,2.469,-0.002886),(4605,6255,2.4686,0.001519),(4605,6265,2.4682,0.004798),(4605,6275,2.4677,0.007873),(4605,6285,2.4672,0.010948),(4605,6295,2.4667,0.013335),(4605,6305,2.4661,0.015381),(4605,6315,2.4655,0.017427),(4605,6325,2.465,0.01907),(4605,6335,2.4644,0.020295),(4605,6345,2.4639,0.02152),(4605,6355,2.4633,0.022541),(4605,6365,2.4628,0.023112),(4605,6375,2.4623,0.023683),(4605,6385,2.4618,0.024191),(4605,6395,2.4613,0.02429),(4605,6405,2.4608,0.02439),(4605,6415,2.4604,0.024489),(4605,6425,2.46,0.024247),(4605,6435,2.4596,0.023989),(4605,6445,2.4592,0.023731),(4605,6455,2.4589,0.023241),(4605,6465,2.4585,0.022686),(4605,6475,2.4582,0.02213),(4605,6485,2.4579,0.021455),(4605,6495,2.4577,0.0207),(4605,6505,2.4574,0.019944),(4605,6515,2.4572,0.019113),(4605,6525,2.457,0.018179),(4605,6535,2.4568,0.017244),(4605,6545,2.4567,0.016301),(4605,6555,2.4566,0.01533),(4605,6565,2.4565,0.014359),(4605,6575,2.4564,0.013384),(4605,6585,2.4563,0.01235),(4605,6595,2.0894,0.011317),(4605,6605,1.3174,0.010284),(4605,6615,0.54534,0.010121),(4605,6625,0.002626,0.010071),(4605,6635,0.0026,0.01002),(4605,6645,0.002575,0.009983),(4605,6655,0.002549,0.009952),(4605,6665,0.002527,0.009921),(4605,6675,0.002504,0.009893),(4605,6685,0.002481,0.009866),(4605,6695,0.002461,0.009839),(4605,6705,0.002441,0.009814),(4605,6715,0.002422,0.009791),(4605,6725,0.002403,0.009768),(4605,6735,0.002386,0.009746),(4605,6745,0.002369,0.009726),(4605,6755,0.002352,0.009706),(4605,6765,0.002337,0.009687),(4605,6775,0.002322,0.009669),(4605,6785,0.002307,0.009652),(4605,6795,0.002293,0.009634),(4605,6805,0.00228,0.009619),(4605,6815,0.002267,0.009603),(4605,6825,0.002255,0.009588),(4605,6835,0.002243,0.009574),(4605,6845,0.002231,0.00956),(4605,6855,0.00222,0.009546),(4605,6865,0.00221,0.009533),(4605,6875,0.002199,0.009521),(4605,6885,0.00219,0.009509),(4605,6895,0.002181,0.009497),(4605,6905,0.002171,0.009486),(4605,6915,0.002163,0.009475),(4605,6925,0.002155,0.009463),(4605,6935,0.002146,0.009453),(4605,6945,0.002139,0.009443),(4605,6955,0.002132,0.009433),(4605,6965,0.002124,0.009423),(4605,6975,0.002118,0.009414),(4605,6985,0.002111,0.009404),(4615,5,2e-06,-0.32665),(4615,15,7e-06,-0.32668),(4615,25,1.1e-05,-0.32672),(4615,35,1.5e-05,-0.32676),(4615,45,2e-05,-0.32679),(4615,55,2.4e-05,-0.32683),(4615,65,2.8e-05,-0.32686),(4615,75,3.2e-05,-0.3269),(4615,85,3.6e-05,-0.32695),(4615,95,4e-05,-0.32701),(4615,105,4.5e-05,-0.32707),(4615,115,5.1e-05,-0.32713),(4615,125,5.7e-05,-0.3272),(4615,135,6.2e-05,-0.32727),(4615,145,6.6e-05,-0.32735),(4615,155,6.9e-05,-0.32742),(4615,165,7.2e-05,-0.32751),(4615,175,7.5e-05,-0.3276),(4615,185,7.8e-05,-0.32769),(4615,195,8.1e-05,-0.32778),(4615,205,8.4e-05,-0.32788),(4615,215,8.7e-05,-0.328),(4615,225,9.2e-05,-0.32812),(4615,235,9.8e-05,-0.32823),(4615,245,0.000105,-0.32838),(4615,255,0.000111,-0.32853),(4615,265,0.00012,-0.32868),(4615,275,0.000129,-0.32884),(4615,285,0.000139,-0.32901),(4615,295,0.000148,-0.3292),(4615,305,0.000157,-0.32938),(4615,315,0.000165,-0.32957),(4615,325,0.000173,-0.32976),(4615,335,0.000182,-0.32996),(4615,345,0.000188,-0.33016),(4615,355,0.000193,-0.33036),(4615,365,0.000198,-0.33058),(4615,375,0.000204,-0.3308),(4615,385,0.000209,-0.33103),(4615,395,0.000214,-0.33125),(4615,405,0.000219,-0.33151),(4615,415,0.000224,-0.33177),(4615,425,0.000228,-0.33203),(4615,435,0.000233,-0.33229),(4615,445,0.000237,-0.33258),(4615,455,0.000242,-0.33287),(4615,465,0.000245,-0.33316),(4615,475,0.000247,-0.33345),(4615,485,0.00025,-0.33377),(4615,495,0.000252,-0.33408),(4615,505,0.000254,-0.3344),(4615,515,0.000256,-0.33471),(4615,525,0.000258,-0.33506),(4615,535,0.00026,-0.3354),(4615,545,0.000263,-0.33574),(4615,555,0.000267,-0.33609),(4615,565,0.00027,-0.33647),(4615,575,0.000273,-0.33685),(4615,585,0.000277,-0.33723),(4615,595,0.000281,-0.33761),(4615,605,0.000285,-0.33803),(4615,615,0.000289,-0.33845),(4615,625,0.000291,-0.33887),(4615,635,0.000293,-0.3393),(4615,645,0.000295,-0.33975),(4615,655,0.000297,-0.3402),(4615,665,0.000297,-0.34066),(4615,675,0.000298,-0.34112),(4615,685,0.000299,-0.3416),(4615,695,0.000299,-0.34209),(4615,705,0.000301,-0.34257),(4615,715,0.000302,-0.34307),(4615,725,0.000304,-0.34358),(4615,735,0.000305,-0.3441),(4615,745,0.000307,-0.34462),(4615,755,0.000309,-0.34514),(4615,765,0.000311,-0.34569),(4615,775,0.000313,-0.34624),(4615,785,0.000315,-0.3468),(4615,795,0.000317,-0.34736),(4615,805,0.000319,-0.34795),(4615,815,0.000321,-0.34854),(4615,825,0.000323,-0.34913),(4615,835,0.000326,-0.34973),(4615,845,0.000328,-0.35034),(4615,855,0.00033,-0.35096),(4615,865,0.000331,-0.35158),(4615,875,0.000333,-0.35221),(4615,885,0.000334,-0.35286),(4615,895,0.000334,-0.35351),(4615,905,0.000332,-0.35416),(4615,915,0.00033,-0.35482),(4615,925,0.000328,-0.35549),(4615,935,0.000323,-0.35616),(4615,945,0.000315,-0.35683),(4615,955,0.000306,-0.35751),(4615,965,0.000298,-0.35818),(4615,975,0.000286,-0.35886),(4615,985,0.000271,-0.35953),(4615,995,0.000256,-0.36021),(4615,1005,0.00024,-0.36088),(4615,1015,0.000221,-0.36155),(4615,1025,0.000197,-0.36222),(4615,1035,0.000173,-0.36288),(4615,1045,0.00015,-0.36353),(4615,1055,0.000122,-0.36418),(4615,1065,9.1e-05,-0.36483),(4615,1075,6e-05,-0.36547),(4615,1085,3e-05,-0.36609),(4615,1095,-1e-06,-0.36672),(4615,1105,-3.3e-05,-0.36735),(4615,1115,-6.4e-05,-0.36796),(4615,1125,-9.6e-05,-0.36857),(4615,1135,-0.000171,-0.36918),(4615,1145,-0.000272,-0.36979),(4615,1155,-0.000373,-0.37028),(4615,1165,-0.000475,-0.37072),(4615,1175,-0.001108,-0.37115),(4615,1185,-0.002005,-0.37159),(4615,1195,-0.002902,-0.37059),(4615,1205,-0.003799,-0.36894),(4615,1215,-0.006351,-0.36729),(4615,1225,-0.009586,-0.36563),(4615,1235,-0.012821,-0.35812),(4615,1245,-0.016055,-0.3484),(4615,1255,-0.00597,-0.33869),(4615,1265,0.008615,-0.32898),(4615,1275,0.023199,-0.34502),(4615,1285,0.037784,-0.36887),(4615,1295,0.091824,-0.39273),(4615,1305,0.15653,-0.41658),(4615,1315,0.22124,-0.56908),(4615,1325,0.28596,-0.75237),(4615,1335,0.17773,-0.93566),(4615,1345,0.033263,-1.1189),(4615,1355,-0.1112,-1.0005),(4615,1365,-0.25567,-0.82725),(4615,1375,-0.22876,-0.65405),(4615,1385,-0.17541,-0.48085),(4615,1395,-0.12206,-0.43017),(4615,1405,-0.068702,-0.39523),(4615,1415,-0.045464,-0.36029),(4615,1425,-0.025352,-0.32534),(4615,1435,-0.00524,-0.3333),(4615,1445,0.014871,-0.3447),(4615,1455,0.012384,-0.35609),(4615,1465,0.008594,-0.36749),(4615,1475,0.004805,-0.36994),(4615,1485,0.001016,-0.37208),(4615,1495,-0.000181,-0.37421),(4615,1505,-0.001339,-0.37633),(4615,1515,-0.002497,-0.37594),(4615,1525,-0.003629,-0.37555),(4615,1535,-0.003755,-0.37517),(4615,1545,-0.00388,-0.37477),(4615,1555,-0.004005,-0.3742),(4615,1565,-0.004122,-0.37364),(4615,1575,-0.004121,-0.37307),(4615,1585,-0.00412,-0.3725),(4615,1595,-0.004119,-0.37193),(4615,1605,-0.004117,-0.37135),(4615,1615,-0.004103,-0.37077),(4615,1625,-0.004089,-0.3702),(4615,1635,-0.004075,-0.36961),(4615,1645,-0.00406,-0.36902),(4615,1655,-0.004041,-0.36843),(4615,1665,-0.004022,-0.36785),(4615,1675,-0.004004,-0.36727),(4615,1685,-0.003984,-0.36669),(4615,1695,-0.003961,-0.36611),(4615,1705,-0.003939,-0.36554),(4615,1715,-0.003916,-0.365),(4615,1725,-0.003892,-0.36445),(4615,1735,-0.003866,-0.36391),(4615,1745,-0.00384,-0.36337),(4615,1755,-0.003814,-0.36288),(4615,1765,-0.003788,-0.36238),(4615,1775,-0.00376,-0.36188),(4615,1785,-0.003732,-0.3614),(4615,1795,-0.003704,-0.36097),(4615,1805,-0.003676,-0.36053),(4615,1815,-0.003647,-0.3601),(4615,1825,-0.003618,-0.35969),(4615,1835,-0.003588,-0.35933),(4615,1845,-0.003559,-0.35897),(4615,1855,-0.003528,-0.35862),(4615,1865,-0.003498,-0.35829),(4615,1875,-0.003467,-0.35801),(4615,1885,-0.003437,-0.35774),(4615,1895,-0.003407,-0.35746),(4615,1905,-0.003377,-0.35722),(4615,1915,-0.003346,-0.35703),(4615,1925,-0.003315,-0.35684),(4615,1935,-0.003284,-0.35664),(4615,1945,-0.003252,-0.35649),(4615,1955,-0.00322,-0.35638),(4615,1965,-0.003186,-0.35628),(4615,1975,-0.00315,-0.35618),(4615,1985,-0.003114,-0.35612),(4615,1995,-0.003078,-0.3561),(4615,2005,-0.003039,-0.35609),(4615,2015,-0.002995,-0.35607),(4615,2025,-0.002952,-0.35611),(4615,2035,-0.002909,-0.35619),(4615,2045,-0.002859,-0.35627),(4615,2055,-0.002803,-0.35636),(4615,2065,-0.002747,-0.3565),(4615,2075,-0.002691,-0.35669),(4615,2085,-0.002622,-0.35688),(4615,2095,-0.002543,-0.35707),(4615,2105,-0.002465,-0.35733),(4615,2115,-0.002386,-0.35763),(4615,2125,-0.002287,-0.35794),(4615,2135,-0.002175,-0.35824),(4615,2145,-0.002062,-0.35863),(4615,2155,-0.00195,-0.35907),(4615,2165,-0.001807,-0.3595),(4615,2175,-0.001648,-0.35994),(4615,2185,-0.001488,-0.36047),(4615,2195,-0.001329,-0.36104),(4615,2205,-0.001128,-0.36162),(4615,2215,-0.00091,-0.36219),(4615,2225,-0.000691,-0.36287),(4615,2235,-0.000473,-0.36358),(4615,2245,-0.000202,-0.3643),(4615,2255,8.8e-05,-0.36501),(4615,2265,0.000377,-0.36583),(4615,2275,0.000667,-0.36669),(4615,2285,0.001018,-0.36755),(4615,2295,0.001387,-0.3684),(4615,2305,0.001756,-0.36937),(4615,2315,0.002125,-0.37035),(4615,2325,0.002565,-0.37134),(4615,2335,0.003022,-0.37233),(4615,2345,0.003479,-0.37342),(4615,2355,0.003936,-0.37454),(4615,2365,0.004474,-0.37565),(4615,2375,0.005026,-0.37676),(4615,2385,0.005577,-0.37797),(4615,2395,0.006129,-0.3792),(4615,2405,0.00677,-0.38042),(4615,2415,0.007422,-0.38165),(4615,2425,0.008073,-0.38296),(4615,2435,0.008725,-0.38427),(4615,2445,0.009475,-0.38559),(4615,2455,0.010231,-0.38691),(4615,2465,0.010988,-0.38829),(4615,2475,0.011744,-0.38968),(4615,2485,0.012615,-0.39107),(4615,2495,0.013489,-0.39246),(4615,2505,0.014363,-0.3939),(4615,2515,0.015239,-0.39533),(4615,2525,0.016252,-0.39677),(4615,2535,0.017264,-0.39821),(4615,2545,0.018276,-0.39967),(4615,2555,0.019297,-0.40113),(4615,2565,0.020474,-0.40259),(4615,2575,0.02165,-0.40405),(4615,2585,0.022827,-0.4055),(4615,2595,0.024021,-0.40695),(4615,2605,0.025391,-0.40839),(4615,2615,0.026761,-0.40984),(4615,2625,0.028131,-0.41125),(4615,2635,0.029531,-0.41266),(4615,2645,0.031123,-0.41407),(4615,2655,0.032714,-0.41547),(4615,2665,0.034305,-0.41681),(4615,2675,0.035938,-0.41815),(4615,2685,0.037766,-0.41949),(4615,2695,0.039593,-0.42081),(4615,2705,0.041421,-0.42204),(4615,2715,0.0433,-0.42327),(4615,2725,0.04537,-0.42451),(4615,2735,0.047439,-0.4257),(4615,2745,0.049509,-0.4268),(4615,2755,0.051639,-0.42789),(4615,2765,0.053949,-0.42899),(4615,2775,0.056258,-0.43004),(4615,2785,0.058568,-0.43098),(4615,2795,0.060946,-0.43192),(4615,2805,0.063489,-0.43286),(4615,2815,0.066032,-0.43375),(4615,2825,0.068576,-0.43452),(4615,2835,0.071192,-0.43529),(4615,2845,0.073956,-0.43606),(4615,2855,0.076721,-0.43677),(4615,2865,0.079485,-0.43736),(4615,2875,0.082323,-0.43795),(4615,2885,0.085288,-0.43855),(4615,2895,0.088252,-0.43908),(4615,2905,0.091216,-0.4395),(4615,2915,0.094246,-0.43992),(4615,2925,0.09737,-0.44035),(4615,2935,0.10049,-0.44069),(4615,2945,0.10362,-0.44093),(4615,2955,0.10679,-0.44117),(4615,2965,0.11001,-0.44141),(4615,2975,0.11324,-0.44156),(4615,2985,0.11646,-0.4416),(4615,2995,0.1197,-0.44165),(4615,3005,0.12296,-0.44169),(4615,3015,0.12622,-0.44164),(4615,3025,0.12948,-0.44148),(4615,3035,0.13272,-0.44132),(4615,3045,0.13594,-0.44116),(4615,3055,0.13916,-0.44089),(4615,3065,0.14238,-0.44051),(4615,3075,0.14554,-0.44014),(4615,3085,0.14865,-0.43977),(4615,3095,0.15176,-0.43926),(4615,3105,0.15487,-0.43867),(4615,3115,0.15788,-0.43808),(4615,3125,0.16083,-0.43748),(4615,3135,0.16378,-0.43676),(4615,3145,0.16673,-0.43597),(4615,3155,0.16955,-0.43517),(4615,3165,0.1723,-0.43438),(4615,3175,0.17505,-0.43347),(4615,3185,0.17779,-0.4325),(4615,3195,0.18038,-0.43153),(4615,3205,0.1829,-0.43056),(4615,3215,0.18542,-0.4295),(4615,3225,0.18794,-0.42839),(4615,3235,0.19028,-0.42728),(4615,3245,0.19256,-0.42618),(4615,3255,0.19484,-0.425),(4615,3265,0.19712,-0.4238),(4615,3275,0.19921,-0.4226),(4615,3285,0.20125,-0.4214),(4615,3295,0.20329,-0.42015),(4615,3305,0.20532,-0.41888),(4615,3315,0.20716,-0.41762),(4615,3325,0.20896,-0.41635),(4615,3335,0.21076,-0.41503),(4615,3345,0.21255,-0.4137),(4615,3355,0.21415,-0.41237),(4615,3365,0.21571,-0.41104),(4615,3375,0.21726,-0.40963),(4615,3385,0.21882,-0.40821),(4615,3395,0.22018,-0.40679),(4615,3405,0.22152,-0.40537),(4615,3415,0.22285,-0.40385),(4615,3425,0.22419,-0.40232),(4615,3435,0.22533,-0.40079),(4615,3445,0.22646,-0.39926),(4615,3455,0.22759,-0.39762),(4615,3465,0.22872,-0.39597),(4615,3475,0.22967,-0.39432),(4615,3485,0.23061,-0.39267),(4615,3495,0.23155,-0.39091),(4615,3505,0.23249,-0.38914),(4615,3515,0.23327,-0.38738),(4615,3525,0.23405,-0.38561),(4615,3535,0.23483,-0.38378),(4615,3545,0.2356,-0.38195),(4615,3555,0.23624,-0.38011),(4615,3565,0.23688,-0.37828),(4615,3575,0.23751,-0.37644),(4615,3585,0.23814,-0.37459),(4615,3595,0.23865,-0.37275),(4615,3605,0.23915,-0.37091),(4615,3615,0.23966,-0.3691),(4615,3625,0.24016,-0.36729),(4615,3635,0.24055,-0.36548),(4615,3645,0.24094,-0.36368),(4615,3655,0.24133,-0.36194),(4615,3665,0.24171,-0.36021),(4615,3675,0.242,-0.35848),(4615,3685,0.24229,-0.35676),(4615,3695,0.24259,-0.35513),(4615,3705,0.24286,-0.3535),(4615,3715,0.24308,-0.35188),(4615,3725,0.24329,-0.35027),(4615,3735,0.2435,-0.34876),(4615,3745,0.2437,-0.34725),(4615,3755,0.24385,-0.34574),(4615,3765,0.24399,-0.34427),(4615,3775,0.24414,-0.34289),(4615,3785,0.24428,-0.34151),(4615,3795,0.24439,-0.34013),(4615,3805,0.24449,-0.33878),(4615,3815,0.2446,-0.33751),(4615,3825,0.24467,-0.33624),(4615,3835,0.24465,-0.33497),(4615,3845,0.24464,-0.33365),(4615,3855,0.24463,-0.33221),(4615,3865,0.24439,-0.33077),(4615,3875,0.24373,-0.32932),(4615,3885,0.24308,-0.32715),(4615,3895,0.24242,-0.32377),(4615,3905,0.24126,-0.3204),(4615,3915,0.23934,-0.31702),(4615,3925,0.23743,-0.31128),(4615,3935,0.23551,-0.30228),(4615,3945,0.23977,-0.29327),(4615,3955,0.25188,-0.28427),(4615,3965,0.26398,-0.28725),(4615,3975,0.27608,-0.30426),(4615,3985,0.32052,-0.32127),(4615,3995,0.39997,-0.33829),(4615,4005,0.47941,-0.43825),(4615,4015,0.55886,-0.62115),(4615,4025,0.69258,-0.80406),(4615,4035,0.83161,-0.91649),(4615,4045,0.97065,-0.88036),(4615,4055,1.1502,-0.84424),(4615,4065,1.3446,-0.80833),(4615,4075,1.539,-0.77367),(4615,4085,1.6332,-0.73901),(4615,4095,1.647,-0.70435),(4615,4105,1.6607,-0.67475),(4615,4115,1.6743,-0.64534),(4615,4125,1.6875,-0.61592),(4615,4135,1.7007,-0.58736),(4615,4145,1.7132,-0.55902),(4615,4155,1.7228,-0.53068),(4615,4165,1.7324,-0.50337),(4615,4175,1.7419,-0.47671),(4615,4185,1.7464,-0.45006),(4615,4195,1.751,-0.42557),(4615,4205,1.7555,-0.40397),(4615,4215,1.7575,-0.38237),(4615,4225,1.7591,-0.36173),(4615,4235,1.7607,-0.34393),(4615,4245,1.762,-0.32614),(4615,4255,1.763,-0.30845),(4615,4265,1.7641,-0.29209),(4615,4275,1.7647,-0.27573),(4615,4285,1.7646,-0.25936),(4615,4295,1.7646,-0.24292),(4615,4305,1.7639,-0.22646),(4615,4315,1.7617,-0.21001),(4615,4325,1.7594,-0.19634),(4615,4335,1.757,-0.18377),(4615,4345,1.7532,-0.17119),(4615,4355,1.7495,-0.16037),(4615,4365,1.7457,-0.15104),(4615,4375,1.743,-0.14172),(4615,4385,1.7403,-0.13273),(4615,4395,1.7376,-0.12436),(4615,4405,1.7356,-0.11598),(4615,4415,1.7337,-0.10744),(4615,4425,1.7319,-0.09815),(4615,4435,1.7295,-0.088864),(4615,4445,1.7266,-0.079582),(4615,4455,1.7238,-0.070936),(4615,4465,1.7203,-0.06229),(4615,4475,1.7161,-0.053644),(4615,4485,1.7119,-0.047321),(4615,4495,1.7078,-0.041484),(4615,4505,1.7042,-0.035647),(4615,4515,1.7005,-0.030655),(4615,4525,1.697,-0.02612),(4615,4535,1.6948,-0.021585),(4615,4545,1.6927,-0.016631),(4615,4555,1.6906,-0.011205),(4615,4565,1.6881,-0.005778),(4615,4575,1.6857,0.000256),(4615,4585,1.6832,0.007763),(4615,4595,1.6796,0.015269),(4615,4605,1.6756,0.022528),(4615,4615,1.6716,0.027857),(4615,4625,1.6675,0.033186),(4615,4635,1.6631,0.038516),(4615,4645,1.6588,0.042456),(4615,4655,1.6549,0.046301),(4615,4665,1.6516,0.050146),(4615,4675,1.6484,0.054146),(4615,4685,1.6452,0.058196),(4615,4695,1.6423,0.062245),(4615,4705,1.6394,0.067101),(4615,4715,1.6365,0.072542),(4615,4725,1.6324,0.077984),(4615,4735,1.6283,0.083006),(4615,4745,1.6242,0.087404),(4615,4755,1.6197,0.091801),(4615,4765,1.615,0.09578),(4615,4775,1.6104,0.098299),(4615,4785,1.6065,0.10082),(4615,4795,1.603,0.10331),(4615,4805,1.5996,0.10528),(4615,4815,1.5967,0.10725),(4615,4825,1.5944,0.10921),(4615,4835,1.5921,0.11207),(4615,4845,1.5897,0.11507),(4615,4855,1.5868,0.11807),(4615,4865,1.5838,0.12156),(4615,4875,1.5808,0.12528),(4615,4885,1.5769,0.12899),(4615,4895,1.573,0.13163),(4615,4905,1.5691,0.13323),(4615,4915,1.5661,0.13482),(4615,4925,1.5631,0.13609),(4615,4935,1.5602,0.1367),(4615,4945,1.5582,0.13732),(4615,4955,1.5567,0.13809),(4615,4965,1.5551,0.13972),(4615,4975,1.5532,0.14136),(4615,4985,1.5511,0.143),(4615,4995,1.549,0.14673),(4615,5005,1.5461,0.15052),(4615,5015,1.5421,0.1543),(4615,5025,1.538,0.15651),(4615,5035,1.534,0.15832),(4615,5045,1.5303,0.16014),(4615,5055,1.5265,0.16074),(4615,5065,1.5228,0.16061),(4615,5075,1.5209,0.16048),(4615,5085,1.519,0.16014),(4615,5095,1.5171,0.15954),(4615,5105,1.5161,0.15893),(4615,5115,1.5153,0.15856),(4615,5125,1.5144,0.15881),(4615,5135,1.513,0.15906),(4615,5145,1.5112,0.15922),(4615,5155,1.5094,0.15842),(4615,5165,1.5079,0.15763),(4615,5175,1.5068,0.15683),(4615,5185,1.5057,0.15253),(4615,5195,1.5058,0.14787),(4615,5205,1.5085,0.1432),(4615,5215,1.5111,0.13681),(4615,5225,1.5142,0.12977),(4615,5235,1.5202,0.12272),(4615,5245,1.5261,0.11621),(4615,5255,1.5321,0.11012),(4615,5265,1.5367,0.10403),(4615,5275,1.5414,0.098506),(4615,5285,1.546,0.093951),(4615,5295,1.55,0.089395),(4615,5305,1.5539,0.083915),(4615,5315,1.5578,0.074571),(4615,5325,1.5648,0.065228),(4615,5335,1.5739,0.055842),(4615,5345,1.583,0.043711),(4615,5355,1.5945,0.03158),(4615,5365,1.6092,0.019449),(4615,5375,1.624,0.009693),(4615,5385,1.6385,0.000401),(4615,5395,1.6525,-0.008891),(4615,5405,1.6665,-0.012693),(4615,5415,1.6799,-0.013647),(4615,5425,1.685,-0.014601),(4615,5435,1.6902,-0.013459),(4615,5445,1.6953,-0.010048),(4615,5455,1.6985,-0.006637),(4615,5465,1.7013,-0.002591),(4615,5475,1.7042,0.002921),(4615,5485,1.7068,0.008433),(4615,5495,1.7092,0.01417),(4615,5505,1.7116,0.021501),(4615,5515,1.7138,0.028832),(4615,5525,1.7156,0.036163),(4615,5535,1.7175,0.044787),(4615,5545,1.719,0.053486),(4615,5555,1.72,0.062184),(4615,5565,1.721,0.07159),(4615,5575,1.7218,0.08121),(4615,5585,1.7217,0.090829),(4615,5595,1.7216,0.10083),(4615,5605,1.7215,0.11109),(4615,5615,1.7203,0.12135),(4615,5625,1.7191,0.13181),(4615,5635,1.7178,0.14255),(4615,5645,1.7156,0.15328),(4615,5655,1.7131,0.16411),(4615,5665,1.7107,0.17522),(4615,5675,1.7073,0.18633),(4615,5685,1.7035,0.19746),(4615,5695,1.6997,0.20889),(4615,5705,1.6952,0.22032),(4615,5715,1.69,0.23175),(4615,5725,1.6847,0.24339),(4615,5735,1.679,0.25504),(4615,5745,1.6721,0.2667),(4615,5755,1.6652,0.27836),(4615,5765,1.6581,0.29003),(4615,5775,1.6493,0.30169),(4615,5785,1.6406,0.31312),(4615,5795,1.6319,0.32435),(4615,5805,1.6213,0.33558),(4615,5815,1.6105,0.34631),(4615,5825,1.5998,0.35611),(4615,5835,1.5877,0.36591),(4615,5845,1.5752,0.37514),(4615,5855,1.5627,0.38146),(4615,5865,1.5499,0.38778),(4615,5875,1.537,0.3941),(4615,5885,1.524,0.39317),(4615,5895,1.5125,0.39213),(4615,5905,1.5034,0.39109),(4615,5915,1.4943,0.37878),(4615,5925,1.4883,0.36377),(4615,5935,1.4935,0.34876),(4615,5945,1.4987,0.31977),(4615,5955,1.5053,0.28251),(4615,5965,1.5441,0.24526),(4615,5975,1.5829,0.19739),(4615,5985,1.6217,0.13657),(4615,5995,1.703,0.075741),(4615,6005,1.7911,0.015601),(4615,6015,1.8793,-0.042704),(4615,6025,1.9773,-0.10101),(4615,6035,2.08,-0.15511),(4615,6045,2.1827,-0.16877),(4615,6055,2.2579,-0.18242),(4615,6065,2.3061,-0.19607),(4615,6075,2.3543,-0.18718),(4615,6085,2.3914,-0.17622),(4615,6095,2.4056,-0.16525),(4615,6105,2.4199,-0.15251),(4615,6115,2.4327,-0.13913),(4615,6125,2.4375,-0.12575),(4615,6135,2.4423,-0.11357),(4615,6145,2.4472,-0.10232),(4615,6155,2.4494,-0.091071),(4615,6165,2.4515,-0.080747),(4615,6175,2.4536,-0.071922),(4615,6185,2.4548,-0.063097),(4615,6195,2.4558,-0.054685),(4615,6205,2.4567,-0.047891),(4615,6215,2.4573,-0.041097),(4615,6225,2.4577,-0.034343),(4615,6235,2.458,-0.029183),(4615,6245,2.4582,-0.024023),(4615,6255,2.4582,-0.018863),(4615,6265,2.4582,-0.014841),(4615,6275,2.4582,-0.011026),(4615,6285,2.458,-0.00721),(4615,6295,2.4578,-0.004105),(4615,6305,2.4576,-0.001352),(4615,6315,2.4573,0.001401),(4615,6325,2.457,0.003737),(4615,6335,2.4567,0.00564),(4615,6345,2.4564,0.007542),(4615,6355,2.4561,0.009224),(4615,6365,2.4557,0.010419),(4615,6375,2.4554,0.011614),(4615,6385,2.4551,0.012741),(4615,6395,2.4548,0.013428),(4615,6405,2.4545,0.014116),(4615,6415,2.4542,0.014803),(4615,6425,2.4539,0.015122),(4615,6435,2.4536,0.015423),(4615,6445,2.4533,0.015724),(4615,6455,2.4531,0.01577),(4615,6465,2.4528,0.015741),(4615,6475,2.4526,0.015713),(4615,6485,2.4524,0.015551),(4615,6495,2.4522,0.0153),(4615,6505,2.4521,0.015049),(4615,6515,2.4519,0.014716),(4615,6525,2.4517,0.014271),(4615,6535,2.4516,0.013826),(4615,6545,2.4515,0.013369),(4615,6555,2.4514,0.012875),(4615,6565,2.4513,0.012381),(4615,6575,2.4512,0.011882),(4615,6585,2.4512,0.01132),(4615,6595,2.085,0.010758),(4615,6605,1.3146,0.010196),(4615,6615,0.54423,0.01009),(4615,6625,0.002655,0.010042),(4615,6635,0.002627,0.009994),(4615,6645,0.0026,0.009959),(4615,6655,0.002573,0.009929),(4615,6665,0.002549,0.009899),(4615,6675,0.002525,0.009871),(4615,6685,0.002501,0.009845),(4615,6695,0.00248,0.00982),(4615,6705,0.002459,0.009795),(4615,6715,0.002438,0.009773),(4615,6725,0.002419,0.009751),(4615,6735,0.002401,0.009729),(4615,6745,0.002383,0.00971),(4615,6755,0.002365,0.009691),(4615,6765,0.002349,0.009671),(4615,6775,0.002333,0.009655),(4615,6785,0.002318,0.009638),(4615,6795,0.002304,0.009621),(4615,6805,0.00229,0.009606),(4615,6815,0.002276,0.009591),(4615,6825,0.002264,0.009576),(4615,6835,0.002251,0.009562),(4615,6845,0.002239,0.009549),(4615,6855,0.002228,0.009536),(4615,6865,0.002217,0.009523),(4615,6875,0.002206,0.009511),(4615,6885,0.002197,0.009499),(4615,6895,0.002187,0.009488),(4615,6905,0.002177,0.009477),(4615,6915,0.002168,0.009466),(4615,6925,0.00216,0.009455),(4615,6935,0.002152,0.009445),(4615,6945,0.002144,0.009435),(4615,6955,0.002136,0.009426),(4615,6965,0.002129,0.009416),(4615,6975,0.002122,0.009407),(4615,6985,0.002116,0.009398),(4625,5,2e-06,-0.33328),(4625,15,7e-06,-0.33331),(4625,25,1.1e-05,-0.33335),(4625,35,1.5e-05,-0.33339),(4625,45,2e-05,-0.33343),(4625,55,2.4e-05,-0.33346),(4625,65,2.8e-05,-0.3335),(4625,75,3.2e-05,-0.33353),(4625,85,3.5e-05,-0.33358),(4625,95,3.9e-05,-0.33364),(4625,105,4.4e-05,-0.3337),(4625,115,5.1e-05,-0.33376),(4625,125,5.7e-05,-0.33383),(4625,135,6.4e-05,-0.3339),(4625,145,6.7e-05,-0.33398),(4625,155,6.9e-05,-0.33405),(4625,165,7e-05,-0.33413),(4625,175,7.2e-05,-0.33421),(4625,185,7.3e-05,-0.33429),(4625,195,7.4e-05,-0.33437),(4625,205,7.5e-05,-0.33447),(4625,215,7.5e-05,-0.33458),(4625,225,8.1e-05,-0.33469),(4625,235,8.7e-05,-0.33479),(4625,245,9.4e-05,-0.33493),(4625,255,0.000101,-0.33508),(4625,265,0.000112,-0.33522),(4625,275,0.000124,-0.33537),(4625,285,0.000135,-0.33554),(4625,295,0.000147,-0.33572),(4625,305,0.000158,-0.33589),(4625,315,0.000167,-0.33607),(4625,325,0.000177,-0.33626),(4625,335,0.000187,-0.33644),(4625,345,0.000194,-0.33663),(4625,355,0.000199,-0.33682),(4625,365,0.000205,-0.33703),(4625,375,0.00021,-0.33724),(4625,385,0.000215,-0.33745),(4625,395,0.000221,-0.33766),(4625,405,0.000226,-0.3379),(4625,415,0.000231,-0.33815),(4625,425,0.000236,-0.3384),(4625,435,0.000241,-0.33864),(4625,445,0.000245,-0.33892),(4625,455,0.00025,-0.3392),(4625,465,0.000251,-0.33948),(4625,475,0.000252,-0.33976),(4625,485,0.000254,-0.34006),(4625,495,0.000255,-0.34036),(4625,505,0.000255,-0.34066),(4625,515,0.000255,-0.34096),(4625,525,0.000255,-0.3413),(4625,535,0.000255,-0.34165),(4625,545,0.000257,-0.34199),(4625,555,0.000259,-0.34233),(4625,565,0.000261,-0.34272),(4625,575,0.000264,-0.3431),(4625,585,0.000267,-0.34349),(4625,595,0.000271,-0.34388),(4625,605,0.000274,-0.34431),(4625,615,0.000278,-0.34474),(4625,625,0.000279,-0.34517),(4625,635,0.00028,-0.34561),(4625,645,0.000281,-0.34607),(4625,655,0.000281,-0.34654),(4625,665,0.00028,-0.347),(4625,675,0.000279,-0.34748),(4625,685,0.000277,-0.34799),(4625,695,0.000276,-0.3485),(4625,705,0.000277,-0.34901),(4625,715,0.000277,-0.34953),(4625,725,0.000277,-0.35009),(4625,735,0.000278,-0.35065),(4625,745,0.000279,-0.35121),(4625,755,0.00028,-0.35178),(4625,765,0.000281,-0.35238),(4625,775,0.000282,-0.35299),(4625,785,0.000283,-0.35359),(4625,795,0.000285,-0.35421),(4625,805,0.000286,-0.35487),(4625,815,0.000288,-0.35553),(4625,825,0.000291,-0.35619),(4625,835,0.000294,-0.35686),(4625,845,0.000297,-0.35758),(4625,855,0.0003,-0.35829),(4625,865,0.000303,-0.359),(4625,875,0.000306,-0.35974),(4625,885,0.000309,-0.36051),(4625,895,0.000311,-0.36129),(4625,905,0.00031,-0.36206),(4625,915,0.00031,-0.36286),(4625,925,0.00031,-0.36369),(4625,935,0.000307,-0.36452),(4625,945,0.0003,-0.36534),(4625,955,0.000292,-0.3662),(4625,965,0.000285,-0.36708),(4625,975,0.000275,-0.36796),(4625,985,0.000261,-0.36884),(4625,995,0.000247,-0.36976),(4625,1005,0.000233,-0.3707),(4625,1015,0.000216,-0.37164),(4625,1025,0.000195,-0.37258),(4625,1035,0.000174,-0.37356),(4625,1045,0.000153,-0.37457),(4625,1055,0.00013,-0.37558),(4625,1065,0.000107,-0.37659),(4625,1075,8.4e-05,-0.37767),(4625,1085,6.1e-05,-0.37879),(4625,1095,4.6e-05,-0.37991),(4625,1105,3.6e-05,-0.38103),(4625,1115,2.5e-05,-0.38224),(4625,1125,1.5e-05,-0.38352),(4625,1135,-5.8e-05,-0.38479),(4625,1145,-0.000167,-0.38606),(4625,1155,-0.000276,-0.38727),(4625,1165,-0.000386,-0.38844),(4625,1175,-0.001381,-0.3896),(4625,1185,-0.002815,-0.39077),(4625,1195,-0.004248,-0.3904),(4625,1205,-0.005682,-0.38934),(4625,1215,-0.009897,-0.38827),(4625,1225,-0.015258,-0.38721),(4625,1235,-0.02062,-0.38073),(4625,1245,-0.025981,-0.37224),(4625,1255,-0.008646,-0.36374),(4625,1265,0.016356,-0.35524),(4625,1275,0.041358,-0.37318),(4625,1285,0.066359,-0.39914),(4625,1295,0.15922,-0.42511),(4625,1305,0.27044,-0.45107),(4625,1315,0.38165,-0.59659),(4625,1325,0.49287,-0.77072),(4625,1335,0.30521,-0.94485),(4625,1345,0.054915,-1.119),(4625,1355,-0.19538,-1.0051),(4625,1365,-0.44567,-0.8391),(4625,1375,-0.39798,-0.67305),(4625,1385,-0.30431,-0.50701),(4625,1395,-0.21064,-0.45527),(4625,1405,-0.11697,-0.41822),(4625,1415,-0.076893,-0.38117),(4625,1425,-0.042383,-0.34412),(4625,1435,-0.007872,-0.35139),(4625,1445,0.026638,-0.36221),(4625,1455,0.022589,-0.37304),(4625,1465,0.01632,-0.38386),(4625,1475,0.01005,-0.38615),(4625,1485,0.003781,-0.38814),(4625,1495,0.00185,-0.39012),(4625,1505,-1.5e-05,-0.39209),(4625,1515,-0.001881,-0.39112),(4625,1525,-0.003704,-0.39015),(4625,1535,-0.003861,-0.38919),(4625,1545,-0.004017,-0.38821),(4625,1555,-0.004174,-0.38705),(4625,1565,-0.004319,-0.38589),(4625,1575,-0.004294,-0.38473),(4625,1585,-0.004269,-0.38359),(4625,1595,-0.004245,-0.38259),(4625,1605,-0.00422,-0.38159),(4625,1615,-0.004194,-0.38059),(4625,1625,-0.004168,-0.37961),(4625,1635,-0.004143,-0.37875),(4625,1645,-0.004117,-0.37788),(4625,1655,-0.004096,-0.37702),(4625,1665,-0.004075,-0.37618),(4625,1675,-0.004054,-0.37542),(4625,1685,-0.004032,-0.37466),(4625,1695,-0.00401,-0.3739),(4625,1705,-0.003988,-0.37316),(4625,1715,-0.003966,-0.3725),(4625,1725,-0.003944,-0.37183),(4625,1735,-0.003919,-0.37117),(4625,1745,-0.003895,-0.37053),(4625,1755,-0.00387,-0.36995),(4625,1765,-0.003845,-0.36938),(4625,1775,-0.003819,-0.36881),(4625,1785,-0.003792,-0.36827),(4625,1795,-0.003766,-0.36779),(4625,1805,-0.003739,-0.36731),(4625,1815,-0.00371,-0.36684),(4625,1825,-0.003681,-0.36639),(4625,1835,-0.003652,-0.36602),(4625,1845,-0.003622,-0.36564),(4625,1855,-0.003591,-0.36527),(4625,1865,-0.00356,-0.36493),(4625,1875,-0.003529,-0.36465),(4625,1885,-0.003498,-0.36437),(4625,1895,-0.003468,-0.3641),(4625,1905,-0.003438,-0.36386),(4625,1915,-0.003407,-0.36367),(4625,1925,-0.003376,-0.36348),(4625,1935,-0.003343,-0.36329),(4625,1945,-0.003311,-0.36314),(4625,1955,-0.003278,-0.36304),(4625,1965,-0.003243,-0.36293),(4625,1975,-0.003206,-0.36283),(4625,1985,-0.003168,-0.36277),(4625,1995,-0.003131,-0.36276),(4625,2005,-0.00309,-0.36274),(4625,2015,-0.003045,-0.36273),(4625,2025,-0.003,-0.36275),(4625,2035,-0.002956,-0.36282),(4625,2045,-0.002904,-0.36289),(4625,2055,-0.002847,-0.36296),(4625,2065,-0.002789,-0.36308),(4625,2075,-0.002732,-0.36323),(4625,2085,-0.002662,-0.36339),(4625,2095,-0.002582,-0.36354),(4625,2105,-0.002502,-0.36375),(4625,2115,-0.002423,-0.36399),(4625,2125,-0.002322,-0.36422),(4625,2135,-0.002209,-0.36446),(4625,2145,-0.002096,-0.36475),(4625,2155,-0.001983,-0.36507),(4625,2165,-0.001839,-0.36539),(4625,2175,-0.001679,-0.36571),(4625,2185,-0.00152,-0.36609),(4625,2195,-0.00136,-0.36649),(4625,2205,-0.001159,-0.3669),(4625,2215,-0.00094,-0.3673),(4625,2225,-0.000721,-0.36776),(4625,2235,-0.000503,-0.36824),(4625,2245,-0.000232,-0.36873),(4625,2255,5.8e-05,-0.36921),(4625,2265,0.000347,-0.36975),(4625,2275,0.000636,-0.37032),(4625,2285,0.000986,-0.37088),(4625,2295,0.001354,-0.37145),(4625,2305,0.001721,-0.37207),(4625,2315,0.002089,-0.3727),(4625,2325,0.002527,-0.37334),(4625,2335,0.002982,-0.37397),(4625,2345,0.003436,-0.37466),(4625,2355,0.003891,-0.37536),(4625,2365,0.004426,-0.37607),(4625,2375,0.004975,-0.37677),(4625,2385,0.005523,-0.37753),(4625,2395,0.006072,-0.3783),(4625,2405,0.00671,-0.37907),(4625,2415,0.007357,-0.37985),(4625,2425,0.008005,-0.38067),(4625,2435,0.008652,-0.3815),(4625,2445,0.009396,-0.38233),(4625,2455,0.010147,-0.38315),(4625,2465,0.010898,-0.38403),(4625,2475,0.011648,-0.3849),(4625,2485,0.012512,-0.38577),(4625,2495,0.013379,-0.38665),(4625,2505,0.014245,-0.38757),(4625,2515,0.015114,-0.38849),(4625,2525,0.016118,-0.38941),(4625,2535,0.017121,-0.39033),(4625,2545,0.018125,-0.3913),(4625,2555,0.019137,-0.39226),(4625,2565,0.020302,-0.39322),(4625,2575,0.021468,-0.39419),(4625,2585,0.022633,-0.39518),(4625,2595,0.023816,-0.39618),(4625,2605,0.025173,-0.39717),(4625,2615,0.02653,-0.39817),(4625,2625,0.027887,-0.39919),(4625,2635,0.029273,-0.40021),(4625,2645,0.03085,-0.40123),(4625,2655,0.032427,-0.40226),(4625,2665,0.034004,-0.40329),(4625,2675,0.035622,-0.40432),(4625,2685,0.037433,-0.40535),(4625,2695,0.039244,-0.40637),(4625,2705,0.041055,-0.40736),(4625,2715,0.042917,-0.40835),(4625,2725,0.044967,-0.40935),(4625,2735,0.047017,-0.41032),(4625,2745,0.049067,-0.41125),(4625,2755,0.051177,-0.41218),(4625,2765,0.053464,-0.41311),(4625,2775,0.055751,-0.41402),(4625,2785,0.058038,-0.41487),(4625,2795,0.060393,-0.41572),(4625,2805,0.06291,-0.41657),(4625,2815,0.065428,-0.41739),(4625,2825,0.067945,-0.41814),(4625,2835,0.070535,-0.41889),(4625,2845,0.07327,-0.41964),(4625,2855,0.076005,-0.42036),(4625,2865,0.078741,-0.42101),(4625,2875,0.08155,-0.42166),(4625,2885,0.084483,-0.42231),(4625,2895,0.087417,-0.42293),(4625,2905,0.090351,-0.42348),(4625,2915,0.09335,-0.42404),(4625,2925,0.096442,-0.4246),(4625,2935,0.099535,-0.42511),(4625,2945,0.10263,-0.42555),(4625,2955,0.10576,-0.426),(4625,2965,0.10895,-0.42644),(4625,2975,0.11214,-0.42681),(4625,2985,0.11533,-0.42711),(4625,2995,0.11854,-0.4274),(4625,3005,0.12176,-0.4277),(4625,3015,0.12499,-0.42791),(4625,3025,0.12821,-0.42805),(4625,3035,0.13141,-0.42819),(4625,3045,0.1346,-0.42832),(4625,3055,0.13779,-0.42835),(4625,3065,0.14098,-0.4283),(4625,3075,0.1441,-0.42824),(4625,3085,0.14718,-0.42819),(4625,3095,0.15026,-0.42801),(4625,3105,0.15333,-0.42775),(4625,3115,0.15632,-0.42749),(4625,3125,0.15924,-0.42722),(4625,3135,0.16215,-0.42685),(4625,3145,0.16507,-0.4264),(4625,3155,0.16787,-0.42596),(4625,3165,0.17059,-0.42551),(4625,3175,0.17331,-0.42497),(4625,3185,0.17604,-0.42437),(4625,3195,0.17861,-0.42377),(4625,3205,0.18111,-0.42317),(4625,3215,0.18361,-0.4225),(4625,3225,0.18611,-0.42179),(4625,3235,0.18844,-0.42109),(4625,3245,0.1907,-0.42038),(4625,3255,0.19297,-0.41965),(4625,3265,0.19524,-0.4189),(4625,3275,0.19732,-0.41816),(4625,3285,0.19935,-0.41741),(4625,3295,0.20138,-0.41668),(4625,3305,0.20341,-0.41594),(4625,3315,0.20525,-0.41521),(4625,3325,0.20704,-0.41447),(4625,3335,0.20883,-0.41376),(4625,3345,0.21063,-0.41306),(4625,3355,0.21222,-0.41235),(4625,3365,0.21377,-0.41164),(4625,3375,0.21533,-0.41095),(4625,3385,0.21688,-0.41027),(4625,3395,0.21824,-0.40958),(4625,3405,0.21957,-0.40889),(4625,3415,0.2209,-0.4082),(4625,3425,0.22222,-0.40752),(4625,3435,0.22336,-0.40683),(4625,3445,0.22448,-0.40614),(4625,3455,0.22561,-0.40543),(4625,3465,0.22673,-0.40473),(4625,3475,0.22767,-0.40402),(4625,3485,0.22861,-0.40331),(4625,3495,0.22955,-0.40257),(4625,3505,0.23049,-0.40183),(4625,3515,0.23127,-0.40108),(4625,3525,0.23205,-0.40034),(4625,3535,0.23282,-0.39957),(4625,3545,0.23359,-0.39881),(4625,3555,0.23423,-0.39804),(4625,3565,0.23487,-0.39727),(4625,3575,0.23551,-0.3965),(4625,3585,0.23614,-0.39572),(4625,3595,0.23666,-0.39495),(4625,3605,0.23717,-0.39417),(4625,3615,0.23768,-0.39339),(4625,3625,0.23818,-0.3926),(4625,3635,0.23858,-0.39181),(4625,3645,0.23897,-0.39102),(4625,3655,0.23937,-0.39023),(4625,3665,0.23975,-0.38943),(4625,3675,0.24005,-0.38863),(4625,3685,0.24034,-0.38783),(4625,3695,0.24064,-0.38701),(4625,3705,0.24092,-0.38618),(4625,3715,0.24113,-0.38536),(4625,3725,0.24135,-0.38452),(4625,3735,0.24156,-0.38364),(4625,3745,0.24176,-0.38275),(4625,3755,0.24191,-0.38187),(4625,3765,0.24206,-0.38097),(4625,3775,0.24222,-0.38001),(4625,3785,0.24236,-0.37904),(4625,3795,0.24246,-0.37808),(4625,3805,0.24257,-0.37709),(4625,3815,0.24267,-0.37601),(4625,3825,0.24272,-0.37494),(4625,3835,0.24265,-0.37386),(4625,3845,0.24257,-0.37263),(4625,3855,0.24249,-0.37109),(4625,3865,0.24203,-0.36955),(4625,3875,0.24086,-0.36802),(4625,3885,0.2397,-0.36562),(4625,3895,0.23854,-0.36181),(4625,3905,0.23652,-0.35801),(4625,3915,0.23323,-0.35421),(4625,3925,0.22994,-0.3482),(4625,3935,0.22665,-0.33914),(4625,3945,0.23388,-0.33009),(4625,3955,0.25445,-0.32104),(4625,3965,0.27503,-0.32495),(4625,3975,0.29561,-0.34406),(4625,3985,0.37139,-0.36317),(4625,3995,0.50692,-0.38227),(4625,4005,0.64246,-0.48166),(4625,4015,0.77799,-0.66132),(4625,4025,0.84015,-0.84099),(4625,4035,0.89512,-0.95029),(4625,4045,0.9501,-0.91127),(4625,4055,1.1081,-0.87226),(4625,4065,1.3036,-0.83368),(4625,4075,1.4992,-0.79766),(4625,4085,1.5952,-0.76163),(4625,4095,1.6111,-0.72561),(4625,4105,1.627,-0.69598),(4625,4115,1.6421,-0.66657),(4625,4125,1.6557,-0.63716),(4625,4135,1.6693,-0.60899),(4625,4145,1.6823,-0.58114),(4625,4155,1.6924,-0.5533),(4625,4165,1.7026,-0.52655),(4625,4175,1.7126,-0.50051),(4625,4185,1.7184,-0.47447),(4625,4195,1.7242,-0.45014),(4625,4205,1.7301,-0.42807),(4625,4215,1.7333,-0.406),(4625,4225,1.736,-0.38482),(4625,4235,1.7388,-0.36627),(4625,4245,1.7407,-0.34773),(4625,4255,1.7423,-0.3293),(4625,4265,1.7438,-0.31241),(4625,4275,1.7447,-0.29551),(4625,4285,1.745,-0.27862),(4625,4295,1.7452,-0.26262),(4625,4305,1.745,-0.24673),(4625,4315,1.7436,-0.23083),(4625,4325,1.7423,-0.21692),(4625,4335,1.7408,-0.20379),(4625,4345,1.738,-0.19067),(4625,4355,1.7352,-0.17916),(4625,4365,1.7325,-0.16902),(4625,4375,1.7301,-0.15889),(4625,4385,1.7277,-0.14915),(4625,4395,1.7253,-0.1401),(4625,4405,1.7232,-0.13105),(4625,4415,1.7212,-0.12195),(4625,4425,1.7193,-0.11263),(4625,4435,1.7169,-0.1033),(4625,4445,1.7143,-0.093982),(4625,4455,1.7116,-0.08541),(4625,4465,1.7086,-0.076837),(4625,4475,1.7051,-0.068265),(4625,4485,1.7016,-0.06148),(4625,4495,1.6982,-0.05507),(4625,4505,1.6949,-0.048661),(4625,4515,1.6916,-0.042963),(4625,4525,1.6884,-0.037651),(4625,4535,1.686,-0.03234),(4625,4545,1.6836,-0.026691),(4625,4555,1.6812,-0.020663),(4625,4565,1.6784,-0.014635),(4625,4575,1.6756,-0.008363),(4625,4585,1.6728,-0.001499),(4625,4595,1.6695,0.005365),(4625,4605,1.6659,0.012086),(4625,4615,1.6623,0.017699),(4625,4625,1.6586,0.023313),(4625,4635,1.6547,0.028926),(4625,4645,1.6508,0.033371),(4625,4655,1.6471,0.037735),(4625,4665,1.6438,0.0421),(4625,4675,1.6405,0.046531),(4625,4685,1.6372,0.050984),(4625,4695,1.6341,0.055437),(4625,4705,1.6309,0.060289),(4625,4715,1.6277,0.065433),(4625,4725,1.6239,0.070576),(4625,4735,1.6201,0.075377),(4625,4745,1.6163,0.079666),(4625,4755,1.6122,0.083955),(4625,4765,1.6081,0.087903),(4625,4775,1.604,0.090659),(4625,4785,1.6004,0.093416),(4625,4795,1.5971,0.096153),(4625,4805,1.5938,0.098477),(4625,4815,1.5908,0.1008),(4625,4825,1.5882,0.10313),(4625,4835,1.5857,0.10612),(4625,4845,1.583,0.10922),(4625,4855,1.58,0.11233),(4625,4865,1.577,0.11551),(4625,4875,1.574,0.11873),(4625,4885,1.5706,0.12195),(4625,4895,1.5672,0.12441),(4625,4905,1.5638,0.12614),(4625,4915,1.5611,0.12788),(4625,4925,1.5583,0.1294),(4625,4935,1.5556,0.13048),(4625,4945,1.5535,0.13157),(4625,4955,1.5516,0.13281),(4625,4965,1.5496,0.1349),(4625,4975,1.5474,0.13699),(4625,4985,1.5449,0.13908),(4625,4995,1.5423,0.14218),(4625,5005,1.5394,0.14531),(4625,5015,1.5359,0.14843),(4625,5025,1.5323,0.15034),(4625,5035,1.5289,0.15194),(4625,5045,1.5257,0.15354),(4625,5055,1.5225,0.15407),(4625,5065,1.5194,0.15393),(4625,5075,1.5176,0.15379),(4625,5085,1.5158,0.15346),(4625,5095,1.514,0.1529),(4625,5105,1.5129,0.15233),(4625,5115,1.5119,0.15187),(4625,5125,1.5109,0.15168),(4625,5135,1.5097,0.15149),(4625,5145,1.5084,0.15116),(4625,5155,1.5071,0.14937),(4625,5165,1.5064,0.14758),(4625,5175,1.5065,0.14579),(4625,5185,1.5065,0.14103),(4625,5195,1.5075,0.13597),(4625,5205,1.5107,0.1309),(4625,5215,1.5139,0.12464),(4625,5225,1.5174,0.11793),(4625,5235,1.5229,0.11122),(4625,5245,1.5285,0.10514),(4625,5255,1.534,0.099595),(4625,5265,1.5386,0.094045),(4625,5275,1.5431,0.088504),(4625,5285,1.5477,0.082975),(4625,5295,1.5527,0.077447),(4625,5305,1.5579,0.071191),(4625,5315,1.5631,0.061892),(4625,5325,1.571,0.052594),(4625,5335,1.5807,0.043272),(4625,5345,1.5904,0.03243),(4625,5355,1.6017,0.021588),(4625,5365,1.6152,0.010747),(4625,5375,1.6287,0.003139),(4625,5385,1.6417,-0.003836),(4625,5395,1.6532,-0.010812),(4625,5405,1.6647,-0.012961),(4625,5415,1.6757,-0.012606),(4625,5425,1.6798,-0.012251),(4625,5435,1.6839,-0.010427),(4625,5445,1.688,-0.007014),(4625,5455,1.6905,-0.003601),(4625,5465,1.6927,0.000383),(4625,5475,1.695,0.005685),(4625,5485,1.697,0.010988),(4625,5495,1.6988,0.016499),(4625,5505,1.7007,0.023493),(4625,5515,1.7023,0.030487),(4625,5525,1.7038,0.037481),(4625,5535,1.7052,0.045752),(4625,5545,1.7063,0.054097),(4625,5555,1.707,0.062441),(4625,5565,1.7077,0.071519),(4625,5575,1.7082,0.080819),(4625,5585,1.7079,0.090118),(4625,5595,1.7076,0.099817),(4625,5605,1.7073,0.10979),(4625,5615,1.7059,0.11977),(4625,5625,1.7045,0.12995),(4625,5635,1.7032,0.14041),(4625,5645,1.7008,0.15088),(4625,5655,1.6982,0.16142),(4625,5665,1.6956,0.17223),(4625,5675,1.6922,0.18304),(4625,5685,1.6883,0.19386),(4625,5695,1.6845,0.20489),(4625,5705,1.6799,0.21592),(4625,5715,1.6746,0.22696),(4625,5725,1.6693,0.23805),(4625,5735,1.6636,0.24915),(4625,5745,1.6568,0.26024),(4625,5755,1.6499,0.27115),(4625,5765,1.6429,0.28196),(4625,5775,1.6344,0.29278),(4625,5785,1.6259,0.30316),(4625,5795,1.6174,0.31312),(4625,5805,1.6073,0.32309),(4625,5815,1.5972,0.33235),(4625,5825,1.5871,0.34026),(4625,5835,1.5761,0.34816),(4625,5845,1.5648,0.35536),(4625,5855,1.5536,0.35892),(4625,5865,1.5428,0.36248),(4625,5875,1.5324,0.36604),(4625,5885,1.522,0.36132),(4625,5895,1.514,0.35648),(4625,5905,1.5095,0.35164),(4625,5915,1.505,0.33493),(4625,5925,1.5041,0.31539),(4625,5935,1.5163,0.29585),(4625,5945,1.5285,0.26294),(4625,5955,1.5421,0.22215),(4625,5965,1.5875,0.18135),(4625,5975,1.6328,0.13209),(4625,5985,1.6782,0.072513),(4625,5995,1.7582,0.01293),(4625,6005,1.8438,-0.044145),(4625,6015,1.9293,-0.094522),(4625,6025,2.0172,-0.1449),(4625,6035,2.1061,-0.19141),(4625,6045,2.1951,-0.20072),(4625,6055,2.26,-0.21004),(4625,6065,2.3013,-0.21935),(4625,6075,2.3427,-0.21011),(4625,6085,2.3749,-0.19916),(4625,6095,2.3884,-0.18822),(4625,6105,2.4018,-0.17564),(4625,6115,2.4141,-0.16248),(4625,6125,2.4195,-0.14932),(4625,6135,2.4249,-0.13715),(4625,6145,2.4303,-0.12575),(4625,6155,2.4332,-0.11436),(4625,6165,2.436,-0.1038),(4625,6175,2.4388,-0.09458),(4625,6185,2.4406,-0.085362),(4625,6195,2.4422,-0.07653),(4625,6205,2.4438,-0.069214),(4625,6215,2.445,-0.061897),(4625,6225,2.4458,-0.05462),(4625,6235,2.4467,-0.048877),(4625,6245,2.4474,-0.043135),(4625,6255,2.4478,-0.037393),(4625,6265,2.4483,-0.032771),(4625,6275,2.4486,-0.028352),(4625,6285,2.4488,-0.023934),(4625,6295,2.4489,-0.020228),(4625,6305,2.449,-0.016877),(4625,6315,2.449,-0.013525),(4625,6325,2.449,-0.010594),(4625,6335,2.449,-0.0081),(4625,6345,2.4489,-0.005605),(4625,6355,2.4488,-0.003341),(4625,6365,2.4487,-0.001586),(4625,6375,2.4486,0.00017),(4625,6385,2.4484,0.001856),(4625,6395,2.4483,0.003084),(4625,6405,2.4481,0.004312),(4625,6415,2.4479,0.005539),(4625,6425,2.4478,0.00638),(4625,6435,2.4476,0.007203),(4625,6445,2.4475,0.008025),(4625,6455,2.4473,0.008575),(4625,6465,2.4472,0.009045),(4625,6475,2.447,0.009516),(4625,6485,2.4469,0.009843),(4625,6495,2.4468,0.010074),(4625,6505,2.4467,0.010306),(4625,6515,2.4466,0.010451),(4625,6525,2.4464,0.010478),(4625,6535,2.4464,0.010505),(4625,6545,2.4463,0.010518),(4625,6555,2.4462,0.010486),(4625,6565,2.4462,0.010455),(4625,6575,2.4461,0.010419),(4625,6585,2.4461,0.010315),(4625,6595,2.0807,0.010211),(4625,6605,1.3119,0.010108),(4625,6615,0.54313,0.010056),(4625,6625,0.002683,0.01001),(4625,6635,0.002654,0.009965),(4625,6645,0.002625,0.009931),(4625,6655,0.002596,0.009903),(4625,6665,0.002571,0.009874),(4625,6675,0.002546,0.009847),(4625,6685,0.002521,0.009822),(4625,6695,0.002498,0.009798),(4625,6705,0.002476,0.009774),(4625,6715,0.002455,0.009753),(4625,6725,0.002435,0.009732),(4625,6735,0.002416,0.009711),(4625,6745,0.002396,0.009692),(4625,6755,0.002379,0.009674),(4625,6765,0.002362,0.009655),(4625,6775,0.002345,0.009639),(4625,6785,0.002329,0.009623),(4625,6795,0.002315,0.009607),(4625,6805,0.0023,0.009592),(4625,6815,0.002286,0.009577),(4625,6825,0.002273,0.009563),(4625,6835,0.00226,0.00955),(4625,6845,0.002247,0.009537),(4625,6855,0.002236,0.009524),(4625,6865,0.002224,0.009512),(4625,6875,0.002213,0.009501),(4625,6885,0.002203,0.009489),(4625,6895,0.002193,0.009478),(4625,6905,0.002183,0.009468),(4625,6915,0.002174,0.009457),(4625,6925,0.002165,0.009447),(4625,6935,0.002157,0.009437),(4625,6945,0.002149,0.009428),(4625,6955,0.002141,0.009418),(4625,6965,0.002134,0.009409),(4625,6975,0.002126,0.0094),(4625,6985,0.00212,0.009391),(4635,5,2e-06,-0.65407),(4635,15,7e-06,-0.65415),(4635,25,1.1e-05,-0.65422),(4635,35,1.6e-05,-0.6543),(4635,45,2e-05,-0.65437),(4635,55,2.4e-05,-0.65444),(4635,65,2.8e-05,-0.65451),(4635,75,3.1e-05,-0.65458),(4635,85,3.5e-05,-0.65467),(4635,95,3.8e-05,-0.65479),(4635,105,4.4e-05,-0.65491),(4635,115,5.1e-05,-0.65502),(4635,125,5.8e-05,-0.65516),(4635,135,6.5e-05,-0.6553),(4635,145,6.8e-05,-0.65545),(4635,155,6.8e-05,-0.65559),(4635,165,6.8e-05,-0.65574),(4635,175,6.8e-05,-0.6559),(4635,185,6.8e-05,-0.65606),(4635,195,6.7e-05,-0.65622),(4635,205,6.6e-05,-0.65641),(4635,215,6.4e-05,-0.65662),(4635,225,6.9e-05,-0.65683),(4635,235,7.7e-05,-0.65704),(4635,245,8.4e-05,-0.6573),(4635,255,9.1e-05,-0.65759),(4635,265,0.000103,-0.65787),(4635,275,0.000118,-0.65816),(4635,285,0.000132,-0.65849),(4635,295,0.000146,-0.65884),(4635,305,0.000158,-0.65919),(4635,315,0.00017,-0.65953),(4635,325,0.000181,-0.6599),(4635,335,0.000193,-0.66026),(4635,345,0.0002,-0.66063),(4635,355,0.000205,-0.661),(4635,365,0.000211,-0.6614),(4635,375,0.000216,-0.66182),(4635,385,0.000222,-0.66223),(4635,395,0.000228,-0.66264),(4635,405,0.000233,-0.66311),(4635,415,0.000239,-0.66359),(4635,425,0.000243,-0.66407),(4635,435,0.000248,-0.66455),(4635,445,0.000253,-0.66509),(4635,455,0.000257,-0.66564),(4635,465,0.000258,-0.66618),(4635,475,0.000257,-0.66673),(4635,485,0.000257,-0.66732),(4635,495,0.000257,-0.66791),(4635,505,0.000255,-0.6685),(4635,515,0.000253,-0.66909),(4635,525,0.000251,-0.66975),(4635,535,0.000249,-0.67042),(4635,545,0.00025,-0.67108),(4635,555,0.000251,-0.67175),(4635,565,0.000253,-0.6725),(4635,575,0.000254,-0.67325),(4635,585,0.000257,-0.67401),(4635,595,0.000261,-0.67477),(4635,605,0.000264,-0.67561),(4635,615,0.000267,-0.67645),(4635,625,0.000267,-0.67729),(4635,635,0.000266,-0.67814),(4635,645,0.000266,-0.67905),(4635,655,0.000266,-0.67996),(4635,665,0.000263,-0.68087),(4635,675,0.000259,-0.68179),(4635,685,0.000256,-0.68278),(4635,695,0.000254,-0.68378),(4635,705,0.000253,-0.68477),(4635,715,0.000252,-0.68578),(4635,725,0.000251,-0.68687),(4635,735,0.00025,-0.68796),(4635,745,0.00025,-0.68905),(4635,755,0.00025,-0.69017),(4635,765,0.00025,-0.69135),(4635,775,0.000251,-0.69252),(4635,785,0.000252,-0.6937),(4635,795,0.000253,-0.69491),(4635,805,0.000254,-0.69619),(4635,815,0.000255,-0.69747),(4635,825,0.000259,-0.69875),(4635,835,0.000263,-0.70007),(4635,845,0.000266,-0.70146),(4635,855,0.00027,-0.70284),(4635,865,0.000275,-0.70423),(4635,875,0.000279,-0.70566),(4635,885,0.000284,-0.70716),(4635,895,0.000287,-0.70866),(4635,905,0.000289,-0.71016),(4635,915,0.00029,-0.71171),(4635,925,0.000292,-0.71331),(4635,935,0.00029,-0.71492),(4635,945,0.000285,-0.71653),(4635,955,0.000279,-0.71819),(4635,965,0.000273,-0.7199),(4635,975,0.000264,-0.7216),(4635,985,0.000251,-0.72331),(4635,995,0.000239,-0.72508),(4635,1005,0.000226,-0.7269),(4635,1015,0.000211,-0.72872),(4635,1025,0.000192,-0.73055),(4635,1035,0.000174,-0.73244),(4635,1045,0.000156,-0.73439),(4635,1055,0.000139,-0.73634),(4635,1065,0.000124,-0.73829),(4635,1075,0.000108,-0.74036),(4635,1085,9.3e-05,-0.74251),(4635,1095,9.3e-05,-0.74466),(4635,1105,0.000104,-0.74682),(4635,1115,0.000115,-0.74912),(4635,1125,0.000126,-0.75151),(4635,1135,5.6e-05,-0.75391),(4635,1145,-6.2e-05,-0.7563),(4635,1155,-0.000179,-0.75852),(4635,1165,-0.000297,-0.76064),(4635,1175,-0.001653,-0.76276),(4635,1185,-0.003624,-0.76488),(4635,1195,-0.005595,-0.76529),(4635,1205,-0.007565,-0.76492),(4635,1215,-0.013442,-0.76455),(4635,1225,-0.02093,-0.76418),(4635,1235,-0.028419,-0.75997),(4635,1245,-0.035907,-0.75431),(4635,1255,-0.011321,-0.74866),(4635,1265,0.024097,-0.74301),(4635,1275,0.059516,-0.75327),(4635,1285,0.094935,-0.76835),(4635,1295,0.22662,-0.78344),(4635,1305,0.38434,-0.79852),(4635,1315,0.54206,-0.87266),(4635,1325,0.69978,-0.96093),(4635,1335,0.43269,-1.0492),(4635,1345,0.076567,-1.1375),(4635,1355,-0.27955,-1.0782),(4635,1365,-0.63568,-0.99218),(4635,1375,-0.5672,-0.90616),(4635,1385,-0.43321,-0.82014),(4635,1395,-0.29922,-0.79179),(4635,1405,-0.16524,-0.77086),(4635,1415,-0.10832,-0.74993),(4635,1425,-0.059414,-0.729),(4635,1435,-0.010504,-0.73517),(4635,1445,0.038405,-0.74352),(4635,1455,0.032795,-0.75186),(4635,1465,0.024045,-0.76021),(4635,1475,0.015295,-0.76211),(4635,1485,0.006546,-0.76377),(4635,1495,0.003881,-0.76544),(4635,1505,0.001308,-0.76709),(4635,1515,-0.001265,-0.76537),(4635,1525,-0.003778,-0.76366),(4635,1535,-0.003967,-0.76194),(4635,1545,-0.004155,-0.76021),(4635,1555,-0.004343,-0.75806),(4635,1565,-0.004516,-0.75591),(4635,1575,-0.004467,-0.75376),(4635,1585,-0.004419,-0.75163),(4635,1595,-0.004371,-0.74972),(4635,1605,-0.004323,-0.74781),(4635,1615,-0.004286,-0.7459),(4635,1625,-0.004248,-0.74403),(4635,1635,-0.00421,-0.74237),(4635,1645,-0.004175,-0.74071),(4635,1655,-0.004151,-0.73905),(4635,1665,-0.004127,-0.73743),(4635,1675,-0.004104,-0.73597),(4635,1685,-0.00408,-0.73451),(4635,1695,-0.004059,-0.73305),(4635,1705,-0.004038,-0.73163),(4635,1715,-0.004017,-0.73035),(4635,1725,-0.003995,-0.72907),(4635,1735,-0.003973,-0.72779),(4635,1745,-0.00395,-0.72656),(4635,1755,-0.003927,-0.72546),(4635,1765,-0.003903,-0.72435),(4635,1775,-0.003878,-0.72325),(4635,1785,-0.003853,-0.7222),(4635,1795,-0.003827,-0.72128),(4635,1805,-0.003801,-0.72036),(4635,1815,-0.003773,-0.71945),(4635,1825,-0.003744,-0.71859),(4635,1835,-0.003716,-0.71786),(4635,1845,-0.003686,-0.71714),(4635,1855,-0.003655,-0.71641),(4635,1865,-0.003623,-0.71576),(4635,1875,-0.003591,-0.71523),(4635,1885,-0.00356,-0.71469),(4635,1895,-0.003529,-0.71416),(4635,1905,-0.003498,-0.7137),(4635,1915,-0.003468,-0.71333),(4635,1925,-0.003436,-0.71297),(4635,1935,-0.003403,-0.7126),(4635,1945,-0.00337,-0.71231),(4635,1955,-0.003336,-0.71211),(4635,1965,-0.0033,-0.71191),(4635,1975,-0.003262,-0.71171),(4635,1985,-0.003223,-0.7116),(4635,1995,-0.003184,-0.71157),(4635,2005,-0.003141,-0.71154),(4635,2015,-0.003095,-0.71151),(4635,2025,-0.003048,-0.71157),(4635,2035,-0.003002,-0.7117),(4635,2045,-0.002949,-0.71183),(4635,2055,-0.00289,-0.71197),(4635,2065,-0.002832,-0.71219),(4635,2075,-0.002773,-0.71249),(4635,2085,-0.002701,-0.71279),(4635,2095,-0.002621,-0.71308),(4635,2105,-0.00254,-0.71348),(4635,2115,-0.002459,-0.71394),(4635,2125,-0.002358,-0.7144),(4635,2135,-0.002244,-0.71485),(4635,2145,-0.00213,-0.71541),(4635,2155,-0.002016,-0.71603),(4635,2165,-0.001871,-0.71665),(4635,2175,-0.001711,-0.71726),(4635,2185,-0.001551,-0.71799),(4635,2195,-0.001391,-0.71876),(4635,2205,-0.001189,-0.71954),(4635,2215,-0.00097,-0.72031),(4635,2225,-0.000751,-0.7212),(4635,2235,-0.000533,-0.72212),(4635,2245,-0.000262,-0.72305),(4635,2255,2.7e-05,-0.72397),(4635,2265,0.000316,-0.72501),(4635,2275,0.000606,-0.72609),(4635,2285,0.000955,-0.72717),(4635,2295,0.001321,-0.72825),(4635,2305,0.001687,-0.72944),(4635,2315,0.002054,-0.73065),(4635,2325,0.00249,-0.73186),(4635,2335,0.002942,-0.73307),(4635,2345,0.003394,-0.73438),(4635,2355,0.003846,-0.73572),(4635,2365,0.004378,-0.73705),(4635,2375,0.004924,-0.73839),(4635,2385,0.005469,-0.73983),(4635,2395,0.006015,-0.7413),(4635,2405,0.006649,-0.74276),(4635,2415,0.007292,-0.74422),(4635,2425,0.007936,-0.74578),(4635,2435,0.00858,-0.74735),(4635,2445,0.009318,-0.74892),(4635,2455,0.010063,-0.75048),(4635,2465,0.010807,-0.75213),(4635,2475,0.011552,-0.75378),(4635,2485,0.012409,-0.75543),(4635,2495,0.013268,-0.75709),(4635,2505,0.014127,-0.75882),(4635,2515,0.014989,-0.76056),(4635,2525,0.015983,-0.7623),(4635,2535,0.016978,-0.76404),(4635,2545,0.017973,-0.76585),(4635,2555,0.018977,-0.76767),(4635,2565,0.020131,-0.76949),(4635,2575,0.021285,-0.77131),(4635,2585,0.02244,-0.77318),(4635,2595,0.023612,-0.77506),(4635,2605,0.024955,-0.77693),(4635,2615,0.026298,-0.77881),(4635,2625,0.027642,-0.78073),(4635,2635,0.029014,-0.78264),(4635,2645,0.030577,-0.78456),(4635,2655,0.03214,-0.78648),(4635,2665,0.033703,-0.78841),(4635,2675,0.035305,-0.79034),(4635,2685,0.0371,-0.79227),(4635,2695,0.038895,-0.79419),(4635,2705,0.040689,-0.79604),(4635,2715,0.042534,-0.79789),(4635,2725,0.044564,-0.79974),(4635,2735,0.046595,-0.80157),(4635,2745,0.048625,-0.80329),(4635,2755,0.050715,-0.80501),(4635,2765,0.052979,-0.80674),(4635,2775,0.055244,-0.80842),(4635,2785,0.057509,-0.80999),(4635,2795,0.05984,-0.81156),(4635,2805,0.062331,-0.81313),(4635,2815,0.064823,-0.81464),(4635,2825,0.067315,-0.81602),(4635,2835,0.069878,-0.81741),(4635,2845,0.072584,-0.81879),(4635,2855,0.07529,-0.8201),(4635,2865,0.077997,-0.82128),(4635,2875,0.080776,-0.82247),(4635,2885,0.083679,-0.82365),(4635,2895,0.086582,-0.82477),(4635,2905,0.089486,-0.82578),(4635,2915,0.092454,-0.82678),(4635,2925,0.095514,-0.82779),(4635,2935,0.098575,-0.8287),(4635,2945,0.10164,-0.82949),(4635,2955,0.10474,-0.83027),(4635,2965,0.1079,-0.83106),(4635,2975,0.11105,-0.83171),(4635,2985,0.11421,-0.83221),(4635,2995,0.11738,-0.83272),(4635,3005,0.12057,-0.83323),(4635,3015,0.12375,-0.83358),(4635,3025,0.12694,-0.83378),(4635,3035,0.13011,-0.83399),(4635,3045,0.13327,-0.83419),(4635,3055,0.13642,-0.8342),(4635,3065,0.13957,-0.83405),(4635,3075,0.14267,-0.8339),(4635,3085,0.14571,-0.83375),(4635,3095,0.14875,-0.83336),(4635,3105,0.1518,-0.83281),(4635,3115,0.15475,-0.83226),(4635,3125,0.15764,-0.83172),(4635,3135,0.16053,-0.83095),(4635,3145,0.16342,-0.83005),(4635,3155,0.16618,-0.82914),(4635,3165,0.16888,-0.82824),(4635,3175,0.17158,-0.82714),(4635,3185,0.17428,-0.82594),(4635,3195,0.17683,-0.82473),(4635,3205,0.17931,-0.82353),(4635,3215,0.18179,-0.82217),(4635,3225,0.18427,-0.82074),(4635,3235,0.18659,-0.81931),(4635,3245,0.18884,-0.81787),(4635,3255,0.1911,-0.81637),(4635,3265,0.19335,-0.81484),(4635,3275,0.19543,-0.8133),(4635,3285,0.19745,-0.81177),(4635,3295,0.19948,-0.81023),(4635,3305,0.2015,-0.80869),(4635,3315,0.20334,-0.80715),(4635,3325,0.20512,-0.80561),(4635,3335,0.20691,-0.80411),(4635,3345,0.2087,-0.8026),(4635,3355,0.21029,-0.8011),(4635,3365,0.21184,-0.7996),(4635,3375,0.21339,-0.79813),(4635,3385,0.21494,-0.79667),(4635,3395,0.21629,-0.79521),(4635,3405,0.21761,-0.79374),(4635,3415,0.21894,-0.7923),(4635,3425,0.22026,-0.79085),(4635,3435,0.22139,-0.78941),(4635,3445,0.22251,-0.78797),(4635,3455,0.22362,-0.78651),(4635,3465,0.22474,-0.78506),(4635,3475,0.22568,-0.7836),(4635,3485,0.22662,-0.78215),(4635,3495,0.22755,-0.78064),(4635,3505,0.22849,-0.77914),(4635,3515,0.22926,-0.77764),(4635,3525,0.23004,-0.77614),(4635,3535,0.23081,-0.7746),(4635,3545,0.23158,-0.77306),(4635,3555,0.23223,-0.77152),(4635,3565,0.23287,-0.76998),(4635,3575,0.23351,-0.76843),(4635,3585,0.23415,-0.76688),(4635,3595,0.23467,-0.76533),(4635,3605,0.23518,-0.76378),(4635,3615,0.2357,-0.76221),(4635,3625,0.23621,-0.76064),(4635,3635,0.23661,-0.75907),(4635,3645,0.23701,-0.7575),(4635,3655,0.23741,-0.75592),(4635,3665,0.23779,-0.75434),(4635,3675,0.23809,-0.75276),(4635,3685,0.23839,-0.75118),(4635,3695,0.23869,-0.74957),(4635,3705,0.23898,-0.74797),(4635,3715,0.23919,-0.74636),(4635,3725,0.23941,-0.74473),(4635,3735,0.23962,-0.74304),(4635,3745,0.23982,-0.74135),(4635,3755,0.23998,-0.73966),(4635,3765,0.24013,-0.73794),(4635,3775,0.24029,-0.73613),(4635,3785,0.24043,-0.73432),(4635,3795,0.24054,-0.73251),(4635,3805,0.24064,-0.73064),(4635,3815,0.24075,-0.72864),(4635,3825,0.24078,-0.72664),(4635,3835,0.24064,-0.72463),(4635,3845,0.2405,-0.72239),(4635,3855,0.24036,-0.71969),(4635,3865,0.23966,-0.71698),(4635,3875,0.23799,-0.71428),(4635,3885,0.23633,-0.7106),(4635,3895,0.23466,-0.70535),(4635,3905,0.23178,-0.70009),(4635,3915,0.22712,-0.69484),(4635,3925,0.22245,-0.68773),(4635,3935,0.21779,-0.67807),(4635,3945,0.22798,-0.66841),(4635,3955,0.25703,-0.65874),(4635,3965,0.28608,-0.65722),(4635,3975,0.31513,-0.66524),(4635,3985,0.42225,-0.67327),(4635,3995,0.61388,-0.68129),(4635,4005,0.8055,-0.72847),(4635,4015,0.99713,-0.81481),(4635,4025,0.98772,-0.90115),(4635,4035,0.95863,-0.94879),(4635,4045,0.92955,-0.91487),(4635,4055,1.0659,-0.88095),(4635,4065,1.2627,-0.84688),(4635,4075,1.4595,-0.81192),(4635,4085,1.5572,-0.77695),(4635,4095,1.5753,-0.74198),(4635,4105,1.5934,-0.71253),(4635,4115,1.6099,-0.68328),(4635,4125,1.624,-0.65403),(4635,4135,1.638,-0.62626),(4635,4145,1.6513,-0.59888),(4635,4155,1.662,-0.57151),(4635,4165,1.6727,-0.54526),(4635,4175,1.6833,-0.51974),(4635,4185,1.6904,-0.49422),(4635,4195,1.6975,-0.47018),(4635,4205,1.7046,-0.44809),(4635,4215,1.709,-0.426),(4635,4225,1.7129,-0.40471),(4635,4235,1.7168,-0.38582),(4635,4245,1.7195,-0.36692),(4635,4255,1.7215,-0.34815),(4635,4265,1.7235,-0.33107),(4635,4275,1.7248,-0.31398),(4635,4285,1.7253,-0.2969),(4635,4295,1.7258,-0.28098),(4635,4305,1.726,-0.26519),(4635,4315,1.7256,-0.2494),(4635,4325,1.7252,-0.23534),(4635,4335,1.7246,-0.22196),(4635,4345,1.7228,-0.20858),(4635,4355,1.721,-0.19663),(4635,4365,1.7192,-0.18589),(4635,4375,1.7171,-0.17516),(4635,4385,1.7151,-0.16485),(4635,4395,1.713,-0.15529),(4635,4405,1.7109,-0.14573),(4635,4415,1.7087,-0.1362),(4635,4425,1.7066,-0.12676),(4635,4435,1.7043,-0.11731),(4635,4445,1.7019,-0.10787),(4635,4455,1.6995,-0.099214),(4635,4465,1.697,-0.090553),(4635,4475,1.6942,-0.081893),(4635,4485,1.6914,-0.074704),(4635,4495,1.6885,-0.067823),(4635,4505,1.6857,-0.060943),(4635,4515,1.6828,-0.054691),(4635,4525,1.6799,-0.048779),(4635,4535,1.6772,-0.042866),(4635,4545,1.6745,-0.036771),(4635,4555,1.6718,-0.03047),(4635,4565,1.6687,-0.024168),(4635,4575,1.6656,-0.017743),(4635,4585,1.6624,-0.011017),(4635,4595,1.6593,-0.004291),(4635,4605,1.6562,0.002323),(4635,4615,1.653,0.008063),(4635,4625,1.6497,0.013803),(4635,4635,1.6462,0.019544),(4635,4645,1.6428,0.024322),(4635,4655,1.6393,0.029034),(4635,4665,1.636,0.033746),(4635,4675,1.6326,0.038412),(4635,4685,1.6292,0.043064),(4635,4695,1.6258,0.047716),(4635,4705,1.6224,0.05257),(4635,4715,1.619,0.057572),(4635,4725,1.6154,0.062574),(4635,4735,1.6119,0.067274),(4635,4745,1.6084,0.071524),(4635,4755,1.6048,0.075773),(4635,4765,1.6012,0.079747),(4635,4775,1.5976,0.082758),(4635,4785,1.5943,0.085768),(4635,4795,1.5911,0.08876),(4635,4805,1.5879,0.091359),(4635,4815,1.5849,0.093958),(4635,4825,1.5821,0.096557),(4635,4835,1.5792,0.099571),(4635,4845,1.5763,0.10265),(4635,4855,1.5733,0.10572),(4635,4865,1.5702,0.10877),(4635,4875,1.5672,0.1118),(4635,4885,1.5643,0.11483),(4635,4895,1.5614,0.11728),(4635,4905,1.5586,0.11918),(4635,4915,1.556,0.12107),(4635,4925,1.5535,0.1228),(4635,4935,1.5511,0.12421),(4635,4945,1.5487,0.12563),(4635,4955,1.5464,0.12714),(4635,4965,1.5442,0.12926),(4635,4975,1.5415,0.13138),(4635,4985,1.5386,0.1335),(4635,4995,1.5357,0.13616),(4635,5005,1.5327,0.13883),(4635,5015,1.5297,0.1415),(4635,5025,1.5267,0.14312),(4635,5035,1.5237,0.14447),(4635,5045,1.5212,0.14582),(4635,5055,1.5186,0.14625),(4635,5065,1.516,0.1461),(4635,5075,1.5143,0.14596),(4635,5085,1.5127,0.14559),(4635,5095,1.511,0.14493),(4635,5105,1.5097,0.14426),(4635,5115,1.5085,0.14359),(4635,5125,1.5074,0.14287),(4635,5135,1.5064,0.14215),(4635,5145,1.5056,0.14129),(4635,5155,1.5048,0.13893),(4635,5165,1.5049,0.13657),(4635,5175,1.5061,0.13421),(4635,5185,1.5072,0.12939),(4635,5195,1.5092,0.12432),(4635,5205,1.5129,0.11924),(4635,5215,1.5167,0.11325),(4635,5225,1.5206,0.10691),(4635,5235,1.5257,0.10057),(4635,5245,1.5308,0.094675),(4635,5255,1.5359,0.089139),(4635,5265,1.5404,0.083604),(4635,5275,1.5449,0.077941),(4635,5285,1.5493,0.072065),(4635,5295,1.5554,0.066189),(4635,5305,1.5619,0.059765),(4635,5315,1.5684,0.051046),(4635,5325,1.5771,0.042326),(4635,5335,1.5874,0.033599),(4635,5345,1.5977,0.0243),(4635,5355,1.6089,0.015001),(4635,5365,1.6211,0.005702),(4635,5375,1.6334,-0.000315),(4635,5385,1.6448,-0.005692),(4635,5395,1.6538,-0.011068),(4635,5405,1.6629,-0.012319),(4635,5415,1.6715,-0.011428),(4635,5425,1.6745,-0.010538),(4635,5435,1.6776,-0.008398),(4635,5445,1.6807,-0.004906),(4635,5455,1.6825,-0.001414),(4635,5465,1.6841,0.002589),(4635,5475,1.6857,0.007772),(4635,5485,1.6871,0.012955),(4635,5495,1.6885,0.01833),(4635,5505,1.6898,0.025061),(4635,5515,1.6909,0.031792),(4635,5525,1.6919,0.038522),(4635,5535,1.6929,0.04646),(4635,5545,1.6937,0.054467),(4635,5555,1.694,0.062475),(4635,5565,1.6944,0.071194),(4635,5575,1.6946,0.080129),(4635,5585,1.6941,0.089064),(4635,5595,1.6936,0.09839),(4635,5605,1.6931,0.10799),(4635,5615,1.6915,0.11758),(4635,5625,1.69,0.12737),(4635,5635,1.6885,0.13742),(4635,5645,1.686,0.14748),(4635,5655,1.6833,0.1576),(4635,5665,1.6806,0.16792),(4635,5675,1.6771,0.17825),(4635,5685,1.6732,0.18858),(4635,5695,1.6692,0.19901),(4635,5705,1.6646,0.20944),(4635,5715,1.6593,0.21987),(4635,5725,1.654,0.23017),(4635,5735,1.6482,0.24046),(4635,5745,1.6414,0.25074),(4635,5755,1.6347,0.26061),(4635,5765,1.6277,0.2703),(4635,5775,1.6194,0.27999),(4635,5785,1.6112,0.289),(4635,5795,1.6029,0.29737),(4635,5805,1.5934,0.30575),(4635,5815,1.5839,0.31321),(4635,5825,1.5743,0.3189),(4635,5835,1.5644,0.32459),(4635,5845,1.5545,0.32945),(4635,5855,1.5445,0.33003),(4635,5865,1.5358,0.33062),(4635,5875,1.5279,0.3312),(4635,5885,1.5201,0.32283),(4635,5895,1.5154,0.31433),(4635,5905,1.5155,0.30583),(4635,5915,1.5157,0.28556),(4635,5925,1.5199,0.26247),(4635,5935,1.5391,0.23938),(4635,5945,1.5583,0.20438),(4635,5955,1.5788,0.16235),(4635,5965,1.6308,0.12031),(4635,5975,1.6828,0.072197),(4635,5985,1.7347,0.016664),(4635,5995,1.8134,-0.038869),(4635,6005,1.8964,-0.090981),(4635,6015,1.9794,-0.13395),(4635,6025,2.0571,-0.17691),(4635,6035,2.1322,-0.21645),(4635,6045,2.2074,-0.22299),(4635,6055,2.2621,-0.22953),(4635,6065,2.2966,-0.23607),(4635,6075,2.331,-0.2268),(4635,6085,2.3584,-0.21608),(4635,6095,2.3711,-0.20536),(4635,6105,2.3838,-0.19316),(4635,6115,2.3955,-0.18043),(4635,6125,2.4015,-0.1677),(4635,6135,2.4075,-0.1558),(4635,6145,2.4134,-0.14454),(4635,6155,2.417,-0.13329),(4635,6165,2.4205,-0.12276),(4635,6175,2.424,-0.11342),(4635,6185,2.4265,-0.10408),(4635,6195,2.4287,-0.095091),(4635,6205,2.4309,-0.087483),(4635,6215,2.4326,-0.079876),(4635,6225,2.434,-0.072305),(4635,6235,2.4354,-0.066169),(4635,6245,2.4366,-0.060033),(4635,6255,2.4374,-0.053897),(4635,6265,2.4383,-0.048832),(4635,6275,2.439,-0.04396),(4635,6285,2.4395,-0.039089),(4635,6295,2.44,-0.034913),(4635,6305,2.4405,-0.031081),(4635,6315,2.4408,-0.02725),(4635,6325,2.441,-0.023829),(4635,6335,2.4413,-0.020837),(4635,6345,2.4414,-0.017844),(4635,6355,2.4415,-0.015084),(4635,6365,2.4416,-0.012837),(4635,6375,2.4417,-0.010589),(4635,6385,2.4417,-0.008413),(4635,6395,2.4417,-0.006696),(4635,6405,2.4417,-0.00498),(4635,6415,2.4417,-0.003263),(4635,6425,2.4417,-0.001943),(4635,6435,2.4416,-0.00064),(4635,6445,2.4416,0.000662),(4635,6455,2.4416,0.001682),(4635,6465,2.4415,0.00262),(4635,6475,2.4415,0.003558),(4635,6485,2.4414,0.004348),(4635,6495,2.4413,0.005038),(4635,6505,2.4413,0.005729),(4635,6515,2.4412,0.00633),(4635,6525,2.4412,0.00681),(4635,6535,2.4411,0.007289),(4635,6545,2.4411,0.007753),(4635,6555,2.441,0.008169),(4635,6565,2.441,0.008586),(4635,6575,2.441,0.008997),(4635,6585,2.4409,0.009337),(4635,6595,2.0763,0.009678),(4635,6605,1.3092,0.010018),(4635,6615,0.54202,0.010019),(4635,6625,0.002711,0.009976),(4635,6635,0.00268,0.009933),(4635,6645,0.00265,0.009901),(4635,6655,0.00262,0.009874),(4635,6665,0.002593,0.009846),(4635,6675,0.002567,0.009821),(4635,6685,0.00254,0.009797),(4635,6695,0.002517,0.009773),(4635,6705,0.002494,0.009751),(4635,6715,0.002471,0.009731),(4635,6725,0.00245,0.00971),(4635,6735,0.00243,0.00969),(4635,6745,0.00241,0.009673),(4635,6755,0.002392,0.009655),(4635,6765,0.002374,0.009637),(4635,6775,0.002357,0.009622),(4635,6785,0.00234,0.009606),(4635,6795,0.002325,0.009591),(4635,6805,0.00231,0.009577),(4635,6815,0.002295,0.009563),(4635,6825,0.002282,0.009549),(4635,6835,0.002268,0.009537),(4635,6845,0.002255,0.009524),(4635,6855,0.002243,0.009512),(4635,6865,0.002232,0.009501),(4635,6875,0.00222,0.009489),(4635,6885,0.00221,0.009479),(4635,6895,0.0022,0.009468),(4635,6905,0.002189,0.009458),(4635,6915,0.00218,0.009448),(4635,6925,0.002171,0.009438),(4635,6935,0.002162,0.009429),(4635,6945,0.002154,0.009419),(4635,6955,0.002146,0.00941),(4635,6965,0.002138,0.009402),(4635,6975,0.002131,0.009393),(4635,6985,0.002124,0.009384),(4645,5,2e-06,-0.97487),(4645,15,7e-06,-0.97498),(4645,25,1.3e-05,-0.97509),(4645,35,1.8e-05,-0.9752),(4645,45,2.4e-05,-0.97531),(4645,55,3e-05,-0.97541),(4645,65,3.5e-05,-0.97552),(4645,75,4.1e-05,-0.97562),(4645,85,4.6e-05,-0.97577),(4645,95,5.1e-05,-0.97594),(4645,105,5.9e-05,-0.97611),(4645,115,6.7e-05,-0.97629),(4645,125,7.6e-05,-0.97649),(4645,135,8.5e-05,-0.9767),(4645,145,8.5e-05,-0.97692),(4645,155,8.1e-05,-0.97713),(4645,165,7.6e-05,-0.97736),(4645,175,7.2e-05,-0.97759),(4645,185,6.4e-05,-0.97783),(4645,195,5.6e-05,-0.97806),(4645,205,4.8e-05,-0.97835),(4645,215,3.9e-05,-0.97866),(4645,225,4.1e-05,-0.97897),(4645,235,4.7e-05,-0.97928),(4645,245,5.3e-05,-0.97967),(4645,255,5.9e-05,-0.9801),(4645,265,7.6e-05,-0.98052),(4645,275,9.6e-05,-0.98095),(4645,285,0.000116,-0.98144),(4645,295,0.000137,-0.98196),(4645,305,0.000153,-0.98248),(4645,315,0.000169,-0.983),(4645,325,0.000185,-0.98354),(4645,335,0.0002,-0.98408),(4645,345,0.000208,-0.98463),(4645,355,0.000214,-0.98517),(4645,365,0.00022,-0.98578),(4645,375,0.000227,-0.98639),(4645,385,0.000232,-0.987),(4645,395,0.000238,-0.98762),(4645,405,0.000244,-0.98832),(4645,415,0.00025,-0.98904),(4645,425,0.000255,-0.98975),(4645,435,0.00026,-0.99047),(4645,445,0.000265,-0.99127),(4645,455,0.00027,-0.99208),(4645,465,0.000267,-0.99289),(4645,475,0.000263,-0.9937),(4645,485,0.00026,-0.99458),(4645,495,0.000256,-0.99545),(4645,505,0.00025,-0.99633),(4645,515,0.000244,-0.99721),(4645,525,0.000238,-0.9982),(4645,535,0.000232,-0.99919),(4645,545,0.000233,-1.0002),(4645,555,0.000234,-1.0012),(4645,565,0.000235,-1.0023),(4645,575,0.000236,-1.0034),(4645,585,0.000243,-1.0045),(4645,595,0.00025,-1.0057),(4645,605,0.000257,-1.0069),(4645,615,0.000264,-1.0082),(4645,625,0.000266,-1.0094),(4645,635,0.000268,-1.0107),(4645,645,0.000271,-1.012),(4645,655,0.000272,-1.0134),(4645,665,0.000268,-1.0147),(4645,675,0.000265,-1.0161),(4645,685,0.000261,-1.0176),(4645,695,0.000258,-1.0191),(4645,705,0.000257,-1.0205),(4645,715,0.000256,-1.022),(4645,725,0.000255,-1.0237),(4645,735,0.000255,-1.0253),(4645,745,0.000256,-1.0269),(4645,755,0.000257,-1.0286),(4645,765,0.000258,-1.0303),(4645,775,0.000259,-1.0321),(4645,785,0.000261,-1.0338),(4645,795,0.000263,-1.0356),(4645,805,0.000265,-1.0375),(4645,815,0.000269,-1.0394),(4645,825,0.000276,-1.0413),(4645,835,0.000283,-1.0433),(4645,845,0.00029,-1.0453),(4645,855,0.000299,-1.0474),(4645,865,0.000309,-1.0495),(4645,875,0.000319,-1.0516),(4645,885,0.000329,-1.0538),(4645,895,0.000339,-1.056),(4645,905,0.000346,-1.0583),(4645,915,0.000354,-1.0606),(4645,925,0.000361,-1.0629),(4645,935,0.000364,-1.0653),(4645,945,0.000361,-1.0677),(4645,955,0.000358,-1.0702),(4645,965,0.000355,-1.0727),(4645,975,0.000348,-1.0752),(4645,985,0.000337,-1.0778),(4645,995,0.000325,-1.0804),(4645,1005,0.000314,-1.0831),(4645,1015,0.0003,-1.0858),(4645,1025,0.000285,-1.0885),(4645,1035,0.00027,-1.0913),(4645,1045,0.000254,-1.0942),(4645,1055,0.000249,-1.0971),(4645,1065,0.000252,-1.1),(4645,1075,0.000255,-1.103),(4645,1085,0.000257,-1.1062),(4645,1095,0.000282,-1.1094),(4645,1105,0.000322,-1.1126),(4645,1115,0.000361,-1.116),(4645,1125,0.000401,-1.1195),(4645,1135,0.000269,-1.123),(4645,1145,3.5e-05,-1.1265),(4645,1155,-0.000198,-1.1298),(4645,1165,-0.000432,-1.1328),(4645,1175,-0.002281,-1.1359),(4645,1185,-0.004932,-1.139),(4645,1195,-0.007583,-1.1402),(4645,1205,-0.010235,-1.1405),(4645,1215,-0.017038,-1.1408),(4645,1225,-0.025553,-1.1412),(4645,1235,-0.034069,-1.1392),(4645,1245,-0.042585,-1.1364),(4645,1255,-0.015746,-1.1336),(4645,1265,0.023034,-1.1308),(4645,1275,0.061814,-1.1334),(4645,1285,0.10059,-1.1376),(4645,1295,0.23952,-1.1418),(4645,1305,0.40554,-1.146),(4645,1315,0.57155,-1.1487),(4645,1325,0.73757,-1.1511),(4645,1335,0.45523,-1.1535),(4645,1345,0.078933,-1.1559),(4645,1355,-0.29737,-1.1512),(4645,1365,-0.67367,-1.1453),(4645,1375,-0.60108,-1.1393),(4645,1385,-0.45923,-1.1333),(4645,1395,-0.31738,-1.1283),(4645,1405,-0.17553,-1.1235),(4645,1415,-0.11348,-1.1187),(4645,1425,-0.05971,-1.1139),(4645,1435,-0.00594,-1.1189),(4645,1445,0.04783,-1.1248),(4645,1455,0.04118,-1.1307),(4645,1465,0.031049,-1.1366),(4645,1475,0.020919,-1.1381),(4645,1485,0.010789,-1.1394),(4645,1495,0.007177,-1.1408),(4645,1505,0.003663,-1.1421),(4645,1515,0.000149,-1.1396),(4645,1525,-0.003287,-1.1372),(4645,1535,-0.003654,-1.1347),(4645,1545,-0.004021,-1.1322),(4645,1555,-0.004388,-1.1291),(4645,1565,-0.004726,-1.1259),(4645,1575,-0.004645,-1.1228),(4645,1585,-0.004563,-1.1197),(4645,1595,-0.004481,-1.1168),(4645,1605,-0.0044,-1.114),(4645,1615,-0.004328,-1.1112),(4645,1625,-0.004255,-1.1084),(4645,1635,-0.004183,-1.106),(4645,1645,-0.004116,-1.1035),(4645,1655,-0.004079,-1.1011),(4645,1665,-0.004042,-1.0987),(4645,1675,-0.004005,-1.0965),(4645,1685,-0.00397,-1.0944),(4645,1695,-0.003946,-1.0922),(4645,1705,-0.003922,-1.0901),(4645,1715,-0.003898,-1.0882),(4645,1725,-0.003874,-1.0863),(4645,1735,-0.003852,-1.0844),(4645,1745,-0.003829,-1.0826),(4645,1755,-0.003807,-1.081),(4645,1765,-0.003784,-1.0793),(4645,1775,-0.003761,-1.0777),(4645,1785,-0.003737,-1.0761),(4645,1795,-0.003714,-1.0748),(4645,1805,-0.003689,-1.0734),(4645,1815,-0.003661,-1.0721),(4645,1825,-0.003634,-1.0708),(4645,1835,-0.003606,-1.0697),(4645,1845,-0.003576,-1.0686),(4645,1855,-0.003541,-1.0676),(4645,1865,-0.003507,-1.0666),(4645,1875,-0.003473,-1.0658),(4645,1885,-0.00344,-1.065),(4645,1895,-0.00341,-1.0642),(4645,1905,-0.003379,-1.0635),(4645,1915,-0.003349,-1.063),(4645,1925,-0.003317,-1.0625),(4645,1935,-0.003283,-1.0619),(4645,1945,-0.00325,-1.0615),(4645,1955,-0.003216,-1.0612),(4645,1965,-0.003179,-1.0609),(4645,1975,-0.003139,-1.0606),(4645,1985,-0.003099,-1.0604),(4645,1995,-0.00306,-1.0604),(4645,2005,-0.003016,-1.0603),(4645,2015,-0.002969,-1.0603),(4645,2025,-0.002922,-1.0604),(4645,2035,-0.002874,-1.0606),(4645,2045,-0.002821,-1.0608),(4645,2055,-0.002763,-1.061),(4645,2065,-0.002705,-1.0613),(4645,2075,-0.002647,-1.0617),(4645,2085,-0.002577,-1.0622),(4645,2095,-0.0025,-1.0626),(4645,2105,-0.002422,-1.0632),(4645,2115,-0.002344,-1.0639),(4645,2125,-0.002248,-1.0646),(4645,2135,-0.00214,-1.0652),(4645,2145,-0.002033,-1.0661),(4645,2155,-0.001925,-1.067),(4645,2165,-0.001788,-1.0679),(4645,2175,-0.001636,-1.0688),(4645,2185,-0.001484,-1.0699),(4645,2195,-0.001332,-1.071),(4645,2205,-0.001141,-1.0722),(4645,2215,-0.000932,-1.0733),(4645,2225,-0.000724,-1.0746),(4645,2235,-0.000515,-1.076),(4645,2245,-0.000255,-1.0774),(4645,2255,2.4e-05,-1.0787),(4645,2265,0.000302,-1.0803),(4645,2275,0.000581,-1.0819),(4645,2285,0.000914,-1.0835),(4645,2295,0.001262,-1.0851),(4645,2305,0.001611,-1.0868),(4645,2315,0.001959,-1.0886),(4645,2325,0.002375,-1.0904),(4645,2335,0.002806,-1.0922),(4645,2345,0.003236,-1.0941),(4645,2355,0.003667,-1.0961),(4645,2365,0.004175,-1.098),(4645,2375,0.004697,-1.1),(4645,2385,0.005218,-1.1021),(4645,2395,0.00574,-1.1043),(4645,2405,0.006347,-1.1064),(4645,2415,0.006963,-1.1086),(4645,2425,0.00758,-1.1109),(4645,2435,0.008197,-1.1132),(4645,2445,0.008903,-1.1155),(4645,2455,0.009614,-1.1178),(4645,2465,0.010326,-1.1202),(4645,2475,0.011038,-1.1227),(4645,2485,0.011856,-1.1251),(4645,2495,0.012675,-1.1275),(4645,2505,0.013495,-1.1301),(4645,2515,0.014317,-1.1326),(4645,2525,0.015266,-1.1352),(4645,2535,0.016214,-1.1377),(4645,2545,0.017162,-1.1404),(4645,2555,0.018119,-1.1431),(4645,2565,0.019216,-1.1458),(4645,2575,0.020313,-1.1484),(4645,2585,0.02141,-1.1512),(4645,2595,0.022525,-1.1539),(4645,2605,0.023801,-1.1567),(4645,2615,0.025077,-1.1594),(4645,2625,0.026353,-1.1623),(4645,2635,0.027658,-1.1651),(4645,2645,0.029147,-1.1679),(4645,2655,0.030637,-1.1707),(4645,2665,0.032127,-1.1735),(4645,2675,0.033655,-1.1764),(4645,2685,0.035364,-1.1792),(4645,2695,0.037074,-1.182),(4645,2705,0.038784,-1.1847),(4645,2715,0.040541,-1.1874),(4645,2725,0.042476,-1.1901),(4645,2735,0.04441,-1.1928),(4645,2745,0.046345,-1.1953),(4645,2755,0.048336,-1.1978),(4645,2765,0.050494,-1.2004),(4645,2775,0.052651,-1.2028),(4645,2785,0.054809,-1.2051),(4645,2795,0.057029,-1.2074),(4645,2805,0.0594,-1.2097),(4645,2815,0.061771,-1.2119),(4645,2825,0.064142,-1.2139),(4645,2835,0.066579,-1.2159),(4645,2845,0.06915,-1.2179),(4645,2855,0.071721,-1.2198),(4645,2865,0.074293,-1.2216),(4645,2875,0.076934,-1.2233),(4645,2885,0.079694,-1.225),(4645,2895,0.082454,-1.2266),(4645,2905,0.085214,-1.2281),(4645,2915,0.088036,-1.2295),(4645,2925,0.090948,-1.231),(4645,2935,0.09386,-1.2323),(4645,2945,0.096772,-1.2334),(4645,2955,0.099723,-1.2345),(4645,2965,0.10272,-1.2357),(4645,2975,0.10572,-1.2366),(4645,2985,0.10872,-1.2373),(4645,2995,0.11174,-1.238),(4645,3005,0.11477,-1.2388),(4645,3015,0.1178,-1.2392),(4645,3025,0.12083,-1.2395),(4645,3035,0.12385,-1.2398),(4645,3045,0.12685,-1.2401),(4645,3055,0.12985,-1.2401),(4645,3065,0.13285,-1.2398),(4645,3075,0.13579,-1.2396),(4645,3085,0.13868,-1.2393),(4645,3095,0.14157,-1.2387),(4645,3105,0.14446,-1.2379),(4645,3115,0.14726,-1.237),(4645,3125,0.15001,-1.2362),(4645,3135,0.15275,-1.235),(4645,3145,0.1555,-1.2337),(4645,3155,0.15813,-1.2323),(4645,3165,0.1607,-1.231),(4645,3175,0.16326,-1.2293),(4645,3185,0.16583,-1.2275),(4645,3195,0.16826,-1.2257),(4645,3205,0.17062,-1.2239),(4645,3215,0.17298,-1.2218),(4645,3225,0.17535,-1.2197),(4645,3235,0.17756,-1.2175),(4645,3245,0.17971,-1.2154),(4645,3255,0.18186,-1.2131),(4645,3265,0.18402,-1.2108),(4645,3275,0.18601,-1.2084),(4645,3285,0.18796,-1.2061),(4645,3295,0.1899,-1.2038),(4645,3305,0.19185,-1.2014),(4645,3315,0.19361,-1.1991),(4645,3325,0.19534,-1.1968),(4645,3335,0.19707,-1.1944),(4645,3345,0.19879,-1.1922),(4645,3355,0.20033,-1.1899),(4645,3365,0.20183,-1.1876),(4645,3375,0.20333,-1.1853),(4645,3385,0.20484,-1.1831),(4645,3395,0.20615,-1.1808),(4645,3405,0.20743,-1.1786),(4645,3415,0.20871,-1.1764),(4645,3425,0.21,-1.1742),(4645,3435,0.21109,-1.172),(4645,3445,0.21218,-1.1698),(4645,3455,0.21326,-1.1676),(4645,3465,0.21434,-1.1654),(4645,3475,0.21525,-1.1632),(4645,3485,0.21616,-1.161),(4645,3495,0.21706,-1.1587),(4645,3505,0.21797,-1.1565),(4645,3515,0.21872,-1.1542),(4645,3525,0.21947,-1.1519),(4645,3535,0.22022,-1.1496),(4645,3545,0.22097,-1.1473),(4645,3555,0.22159,-1.145),(4645,3565,0.22222,-1.1427),(4645,3575,0.22285,-1.1404),(4645,3585,0.22347,-1.138),(4645,3595,0.22398,-1.1357),(4645,3605,0.2245,-1.1334),(4645,3615,0.22501,-1.131),(4645,3625,0.22551,-1.1287),(4645,3635,0.22591,-1.1263),(4645,3645,0.22631,-1.124),(4645,3655,0.22671,-1.1216),(4645,3665,0.2271,-1.1193),(4645,3675,0.22741,-1.1169),(4645,3685,0.22772,-1.1145),(4645,3695,0.22803,-1.1121),(4645,3705,0.22832,-1.1097),(4645,3715,0.22856,-1.1074),(4645,3725,0.22879,-1.1049),(4645,3735,0.22902,-1.1024),(4645,3745,0.22924,-1.1),(4645,3755,0.22942,-1.0975),(4645,3765,0.2296,-1.0949),(4645,3775,0.22978,-1.0923),(4645,3785,0.22995,-1.0896),(4645,3795,0.23008,-1.0869),(4645,3805,0.23021,-1.0842),(4645,3815,0.23034,-1.0813),(4645,3825,0.23035,-1.0783),(4645,3835,0.2301,-1.0754),(4645,3845,0.22985,-1.0722),(4645,3855,0.22961,-1.0683),(4645,3865,0.22865,-1.0644),(4645,3875,0.22644,-1.0605),(4645,3885,0.22423,-1.0556),(4645,3895,0.22201,-1.0489),(4645,3905,0.2185,-1.0422),(4645,3915,0.21305,-1.0355),(4645,3925,0.2076,-1.0273),(4645,3935,0.20215,-1.017),(4645,3945,0.21337,-1.0067),(4645,3955,0.24575,-0.99645),(4645,3965,0.27814,-0.9895),(4645,3975,0.31052,-0.98643),(4645,3985,0.42409,-0.98337),(4645,3995,0.62553,-0.98031),(4645,4005,0.82697,-0.97528),(4645,4015,1.0284,-0.96829),(4645,4025,1.0013,-0.9613),(4645,4035,0.95185,-0.94729),(4645,4045,0.90239,-0.91846),(4645,4055,1.0323,-0.88964),(4645,4065,1.2277,-0.86008),(4645,4075,1.4231,-0.82617),(4645,4085,1.5211,-0.79227),(4645,4095,1.5408,-0.75836),(4645,4105,1.5605,-0.72909),(4645,4115,1.5783,-0.69999),(4645,4125,1.5929,-0.6709),(4645,4135,1.6075,-0.64353),(4645,4145,1.6215,-0.61662),(4645,4155,1.6327,-0.58972),(4645,4165,1.644,-0.56398),(4645,4175,1.6552,-0.53897),(4645,4185,1.6632,-0.51397),(4645,4195,1.6713,-0.49022),(4645,4205,1.6793,-0.46811),(4645,4215,1.6847,-0.446),(4645,4225,1.6895,-0.42461),(4645,4235,1.6943,-0.40536),(4645,4245,1.6977,-0.38611),(4645,4255,1.7003,-0.36701),(4645,4265,1.7029,-0.34973),(4645,4275,1.7046,-0.33245),(4645,4285,1.7056,-0.31518),(4645,4295,1.7065,-0.29933),(4645,4305,1.7073,-0.28365),(4645,4315,1.7075,-0.26797),(4645,4325,1.7078,-0.25376),(4645,4335,1.7079,-0.24012),(4645,4345,1.7069,-0.22649),(4645,4355,1.7058,-0.2141),(4645,4365,1.7048,-0.20276),(4645,4375,1.7031,-0.19142),(4645,4385,1.7014,-0.18055),(4645,4395,1.6997,-0.17048),(4645,4405,1.6977,-0.16042),(4645,4415,1.6957,-0.15045),(4645,4425,1.6937,-0.14089),(4645,4435,1.6916,-0.13132),(4645,4445,1.6895,-0.12177),(4645,4455,1.6873,-0.11302),(4645,4465,1.6851,-0.10427),(4645,4475,1.6827,-0.095521),(4645,4485,1.6804,-0.087927),(4645,4495,1.678,-0.080576),(4645,4505,1.6754,-0.073225),(4645,4515,1.6728,-0.066418),(4645,4525,1.6702,-0.059906),(4645,4535,1.6674,-0.053393),(4645,4545,1.6647,-0.046851),(4645,4555,1.6619,-0.040276),(4645,4565,1.6587,-0.033701),(4645,4575,1.6555,-0.027122),(4645,4585,1.6523,-0.020534),(4645,4595,1.6494,-0.013947),(4645,4605,1.6465,-0.007441),(4645,4615,1.6436,-0.001573),(4645,4625,1.6406,0.004294),(4645,4635,1.6374,0.010162),(4645,4645,1.6342,0.015273),(4645,4655,1.6309,0.020333),(4645,4665,1.6276,0.025392),(4645,4675,1.6243,0.030293),(4645,4685,1.621,0.035144),(4645,4695,1.6175,0.039995),(4645,4705,1.614,0.044851),(4645,4715,1.6106,0.049711),(4645,4725,1.6072,0.054571),(4645,4735,1.6039,0.059171),(4645,4745,1.6006,0.063381),(4645,4755,1.5973,0.067592),(4645,4765,1.5941,0.071591),(4645,4775,1.5909,0.074856),(4645,4785,1.5877,0.078121),(4645,4795,1.5847,0.081368),(4645,4805,1.5816,0.084241),(4645,4815,1.5786,0.087115),(4645,4825,1.5757,0.089988),(4645,4835,1.5727,0.093017),(4645,4845,1.5698,0.096071),(4645,4855,1.5667,0.099124),(4645,4865,1.5637,0.10203),(4645,4875,1.5608,0.10488),(4645,4885,1.5582,0.10772),(4645,4895,1.5556,0.11016),(4645,4905,1.5531,0.11221),(4645,4915,1.5507,0.11426),(4645,4925,1.5483,0.11621),(4645,4935,1.5459,0.11795),(4645,4945,1.5435,0.11968),(4645,4955,1.5411,0.12148),(4645,4965,1.5386,0.12363),(4645,4975,1.5358,0.12578),(4645,4985,1.5328,0.12792),(4645,4995,1.5298,0.13014),(4645,5005,1.5269,0.13236),(4645,5015,1.5243,0.13457),(4645,5025,1.5217,0.1359),(4645,5035,1.5191,0.137),(4645,5045,1.517,0.13811),(4645,5055,1.5148,0.13843),(4645,5065,1.5127,0.13828),(4645,5075,1.5112,0.13813),(4645,5085,1.5097,0.13771),(4645,5095,1.5082,0.13695),(4645,5105,1.507,0.13619),(4645,5115,1.5059,0.13531),(4645,5125,1.5049,0.13406),(4645,5135,1.5043,0.13281),(4645,5145,1.504,0.13142),(4645,5155,1.5037,0.12849),(4645,5165,1.5045,0.12557),(4645,5175,1.5064,0.12264),(4645,5185,1.5082,0.11776),(4645,5195,1.5108,0.11267),(4645,5205,1.5149,0.10758),(4645,5215,1.519,0.10186),(4645,5225,1.5231,0.095893),(4645,5235,1.528,0.089927),(4645,5245,1.5329,0.084205),(4645,5255,1.5378,0.078684),(4645,5265,1.5424,0.073162),(4645,5275,1.5471,0.067379),(4645,5285,1.5517,0.061155),(4645,5295,1.5584,0.054932),(4645,5305,1.5655,0.048338),(4645,5315,1.5727,0.040199),(4645,5325,1.5818,0.032059),(4645,5335,1.5921,0.023926),(4645,5345,1.6024,0.01617),(4645,5355,1.6129,0.008413),(4645,5365,1.6239,0.000657),(4645,5375,1.6349,-0.00377),(4645,5385,1.645,-0.007547),(4645,5395,1.6522,-0.011325),(4645,5405,1.6594,-0.011676),(4645,5415,1.6663,-0.010251),(4645,5425,1.6686,-0.008825),(4645,5435,1.671,-0.006369),(4645,5445,1.6733,-0.002798),(4645,5455,1.6746,0.000773),(4645,5465,1.6757,0.004795),(4645,5475,1.6768,0.009859),(4645,5485,1.6777,0.014923),(4645,5495,1.6786,0.02016),(4645,5505,1.6795,0.026628),(4645,5515,1.6802,0.033096),(4645,5525,1.6808,0.039564),(4645,5535,1.6814,0.047168),(4645,5545,1.6818,0.054838),(4645,5555,1.6819,0.062508),(4645,5565,1.6819,0.070869),(4645,5575,1.6819,0.07944),(4645,5585,1.6811,0.08801),(4645,5595,1.6804,0.096962),(4645,5605,1.6797,0.10618),(4645,5615,1.6781,0.1154),(4645,5625,1.6764,0.12479),(4645,5635,1.6747,0.13443),(4645,5645,1.6722,0.14408),(4645,5655,1.6694,0.15377),(4645,5665,1.6667,0.16362),(4645,5675,1.6631,0.17347),(4645,5685,1.6592,0.18331),(4645,5695,1.6553,0.19314),(4645,5705,1.6507,0.20296),(4645,5715,1.6455,0.21279),(4645,5725,1.6403,0.2223),(4645,5735,1.6347,0.23177),(4645,5745,1.6281,0.24124),(4645,5755,1.6216,0.25008),(4645,5765,1.615,0.25864),(4645,5775,1.6072,0.2672),(4645,5785,1.5995,0.27483),(4645,5795,1.5917,0.28162),(4645,5805,1.5832,0.28841),(4645,5815,1.5746,0.29406),(4645,5825,1.566,0.29754),(4645,5835,1.5577,0.30102),(4645,5845,1.5495,0.30354),(4645,5855,1.5413,0.30114),(4645,5865,1.535,0.29875),(4645,5875,1.5301,0.29635),(4645,5885,1.5253,0.28434),(4645,5895,1.5242,0.27218),(4645,5905,1.5289,0.26002),(4645,5915,1.5335,0.23618),(4645,5925,1.5426,0.20955),(4645,5935,1.5673,0.18292),(4645,5945,1.5919,0.14582),(4645,5955,1.6178,0.10255),(4645,5965,1.673,0.059273),(4645,5975,1.7282,0.0123),(4645,5985,1.7833,-0.039184),(4645,5995,1.8584,-0.090668),(4645,6005,1.9367,-0.13782),(4645,6015,2.015,-0.17337),(4645,6025,2.0838,-0.20893),(4645,6035,2.1483,-0.2415),(4645,6045,2.2127,-0.24526),(4645,6055,2.2595,-0.24902),(4645,6065,2.2891,-0.25279),(4645,6075,2.3186,-0.24349),(4645,6085,2.3425,-0.233),(4645,6095,2.3545,-0.2225),(4645,6105,2.3666,-0.21068),(4645,6115,2.3779,-0.19838),(4645,6125,2.3842,-0.18609),(4645,6135,2.3906,-0.17445),(4645,6145,2.397,-0.16333),(4645,6155,2.4011,-0.15221),(4645,6165,2.4051,-0.14172),(4645,6175,2.4092,-0.13226),(4645,6185,2.4121,-0.1228),(4645,6195,2.4149,-0.11365),(4645,6205,2.4176,-0.10575),(4645,6215,2.4198,-0.097855),(4645,6225,2.4216,-0.089991),(4645,6235,2.4234,-0.083461),(4645,6245,2.425,-0.076931),(4645,6255,2.4263,-0.070401),(4645,6265,2.4275,-0.064892),(4645,6275,2.4286,-0.059569),(4645,6285,2.4294,-0.054245),(4645,6295,2.4303,-0.049598),(4645,6305,2.4311,-0.045286),(4645,6315,2.4316,-0.040974),(4645,6325,2.4321,-0.037064),(4645,6335,2.4326,-0.033574),(4645,6345,2.433,-0.030083),(4645,6355,2.4333,-0.026827),(4645,6365,2.4336,-0.024088),(4645,6375,2.4339,-0.021349),(4645,6385,2.4341,-0.018681),(4645,6395,2.4343,-0.016476),(4645,6405,2.4344,-0.014271),(4645,6415,2.4345,-0.012066),(4645,6425,2.4347,-0.010265),(4645,6435,2.4348,-0.008483),(4645,6445,2.4348,-0.006701),(4645,6455,2.4349,-0.005211),(4645,6465,2.4349,-0.003805),(4645,6475,2.435,-0.002399),(4645,6485,2.435,-0.001147),(4645,6495,2.435,2e-06),(4645,6505,2.435,0.001152),(4645,6515,2.435,0.00221),(4645,6525,2.435,0.003142),(4645,6535,2.435,0.004074),(4645,6545,2.435,0.004989),(4645,6555,2.435,0.005853),(4645,6565,2.435,0.006716),(4645,6575,2.435,0.007575),(4645,6585,2.435,0.00836),(4645,6595,2.0713,0.009144),(4645,6605,1.306,0.009929),(4645,6615,0.54072,0.009982),(4645,6625,0.002736,0.009942),(4645,6635,0.002704,0.009901),(4645,6645,0.002672,0.009871),(4645,6655,0.00264,0.009844),(4645,6665,0.002613,0.009818),(4645,6675,0.002585,0.009794),(4645,6685,0.002557,0.009772),(4645,6695,0.002533,0.009749),(4645,6705,0.002509,0.009728),(4645,6715,0.002485,0.009708),(4645,6725,0.002464,0.009689),(4645,6735,0.002443,0.00967),(4645,6745,0.002422,0.009653),(4645,6755,0.002403,0.009636),(4645,6765,0.002385,0.00962),(4645,6775,0.002367,0.009605),(4645,6785,0.00235,0.00959),(4645,6795,0.002334,0.009575),(4645,6805,0.002318,0.009562),(4645,6815,0.002303,0.009549),(4645,6825,0.002289,0.009536),(4645,6835,0.002276,0.009524),(4645,6845,0.002262,0.009512),(4645,6855,0.00225,0.0095),(4645,6865,0.002238,0.009489),(4645,6875,0.002226,0.009478),(4645,6885,0.002215,0.009468),(4645,6895,0.002205,0.009458),(4645,6905,0.002194,0.009448),(4645,6915,0.002185,0.009438),(4645,6925,0.002176,0.009429),(4645,6935,0.002167,0.00942),(4645,6945,0.002158,0.009411),(4645,6955,0.00215,0.009402),(4645,6965,0.002142,0.009394),(4645,6975,0.002135,0.009386),(4645,6985,0.002128,0.009377),(4655,5,2e-06,-1.2957),(4655,15,7e-06,-1.2958),(4655,25,1.5e-05,-1.296),(4655,35,2.3e-05,-1.2961),(4655,45,3.2e-05,-1.2963),(4655,55,4.1e-05,-1.2964),(4655,65,5e-05,-1.2965),(4655,75,6e-05,-1.2967),(4655,85,6.9e-05,-1.2969),(4655,95,7.8e-05,-1.2971),(4655,105,8.8e-05,-1.2973),(4655,115,0.0001,-1.2975),(4655,125,0.000111,-1.2978),(4655,135,0.000122,-1.2981),(4655,145,0.000118,-1.2984),(4655,155,0.000106,-1.2987),(4655,165,9.4e-05,-1.299),(4655,175,8.1e-05,-1.2993),(4655,185,6.3e-05,-1.2996),(4655,195,4.2e-05,-1.2999),(4655,205,2.2e-05,-1.3003),(4655,215,1e-06,-1.3007),(4655,225,-2e-06,-1.3011),(4655,235,1e-06,-1.3015),(4655,245,5e-06,-1.302),(4655,255,8e-06,-1.3026),(4655,265,3.1e-05,-1.3032),(4655,275,6.1e-05,-1.3037),(4655,285,9e-05,-1.3044),(4655,295,0.00012,-1.3051),(4655,305,0.000143,-1.3058),(4655,315,0.000165,-1.3065),(4655,325,0.000187,-1.3072),(4655,335,0.000209,-1.3079),(4655,345,0.000219,-1.3086),(4655,355,0.000226,-1.3094),(4655,365,0.000233,-1.3102),(4655,375,0.00024,-1.311),(4655,385,0.000246,-1.3118),(4655,395,0.000252,-1.3126),(4655,405,0.000258,-1.3135),(4655,415,0.000264,-1.3145),(4655,425,0.000269,-1.3154),(4655,435,0.000275,-1.3164),(4655,445,0.000281,-1.3174),(4655,455,0.000287,-1.3185),(4655,465,0.000279,-1.3196),(4655,475,0.00027,-1.3207),(4655,485,0.000261,-1.3218),(4655,495,0.000252,-1.323),(4655,505,0.00024,-1.3242),(4655,515,0.000228,-1.3253),(4655,525,0.000216,-1.3266),(4655,535,0.000204,-1.328),(4655,545,0.000205,-1.3293),(4655,555,0.000206,-1.3306),(4655,565,0.000208,-1.3321),(4655,575,0.00021,-1.3336),(4655,585,0.000224,-1.335),(4655,595,0.000239,-1.3365),(4655,605,0.000254,-1.3382),(4655,615,0.000268,-1.3399),(4655,625,0.000276,-1.3415),(4655,635,0.000284,-1.3432),(4655,645,0.000292,-1.345),(4655,655,0.000298,-1.3468),(4655,665,0.000296,-1.3486),(4655,675,0.000293,-1.3504),(4655,685,0.000291,-1.3524),(4655,695,0.000288,-1.3543),(4655,705,0.000289,-1.3563),(4655,715,0.000289,-1.3583),(4655,725,0.000289,-1.3604),(4655,735,0.00029,-1.3626),(4655,745,0.000294,-1.3647),(4655,755,0.000297,-1.3669),(4655,765,0.000301,-1.3693),(4655,775,0.000305,-1.3716),(4655,785,0.000309,-1.3739),(4655,795,0.000314,-1.3763),(4655,805,0.000318,-1.3788),(4655,815,0.000326,-1.3814),(4655,825,0.000339,-1.3839),(4655,835,0.000352,-1.3865),(4655,845,0.000366,-1.3892),(4655,855,0.000381,-1.3919),(4655,865,0.000401,-1.3947),(4655,875,0.000421,-1.3975),(4655,885,0.00044,-1.4004),(4655,895,0.000459,-1.4034),(4655,905,0.000476,-1.4064),(4655,915,0.000493,-1.4094),(4655,925,0.000511,-1.4126),(4655,935,0.000521,-1.4157),(4655,945,0.000522,-1.4189),(4655,955,0.000524,-1.4222),(4655,965,0.000525,-1.4255),(4655,975,0.00052,-1.4289),(4655,985,0.00051,-1.4323),(4655,995,0.000499,-1.4357),(4655,1005,0.000488,-1.4393),(4655,1015,0.000477,-1.4429),(4655,1025,0.000465,-1.4465),(4655,1035,0.000453,-1.4502),(4655,1045,0.000441,-1.454),(4655,1055,0.000453,-1.4578),(4655,1065,0.000483,-1.4617),(4655,1075,0.000514,-1.4657),(4655,1085,0.000544,-1.47),(4655,1095,0.000601,-1.4742),(4655,1105,0.000677,-1.4784),(4655,1115,0.000752,-1.4829),(4655,1125,0.000828,-1.4875),(4655,1135,0.000574,-1.4921),(4655,1145,0.000125,-1.4968),(4655,1155,-0.000324,-1.501),(4655,1165,-0.000772,-1.505),(4655,1175,-0.003237,-1.5091),(4655,1185,-0.006701,-1.5131),(4655,1195,-0.010166,-1.5151),(4655,1205,-0.013631,-1.5161),(4655,1215,-0.02068,-1.5171),(4655,1225,-0.029208,-1.5181),(4655,1235,-0.037735,-1.5184),(4655,1245,-0.046263,-1.5185),(4655,1255,-0.021787,-1.5185),(4655,1265,0.013837,-1.5185),(4655,1275,0.049461,-1.5134),(4655,1285,0.085084,-1.5068),(4655,1295,0.20209,-1.5001),(4655,1305,0.34111,-1.4934),(4655,1315,0.48012,-1.4248),(4655,1325,0.61914,-1.3413),(4655,1335,0.38085,-1.2579),(4655,1345,0.063484,-1.1744),(4655,1355,-0.25388,-1.2243),(4655,1365,-0.57125,-1.2983),(4655,1375,-0.50994,-1.3724),(4655,1385,-0.39022,-1.4464),(4655,1395,-0.27049,-1.4648),(4655,1405,-0.15076,-1.4761),(4655,1415,-0.094367,-1.4874),(4655,1425,-0.044547,-1.4987),(4655,1435,0.005273,-1.5027),(4655,1445,0.055093,-1.5061),(4655,1455,0.047882,-1.5095),(4655,1465,0.037387,-1.5129),(4655,1475,0.026892,-1.514),(4655,1485,0.016397,-1.5151),(4655,1495,0.01164,-1.5161),(4655,1505,0.00697,-1.5171),(4655,1515,0.0023,-1.5139),(4655,1525,-0.002272,-1.5107),(4655,1535,-0.002954,-1.5075),(4655,1545,-0.003637,-1.5042),(4655,1555,-0.004319,-1.5001),(4655,1565,-0.00495,-1.4959),(4655,1575,-0.004826,-1.4918),(4655,1585,-0.004701,-1.4877),(4655,1595,-0.004577,-1.484),(4655,1605,-0.004453,-1.4803),(4655,1615,-0.004324,-1.4765),(4655,1625,-0.004196,-1.4729),(4655,1635,-0.004067,-1.4696),(4655,1645,-0.003948,-1.4664),(4655,1655,-0.003889,-1.4631),(4655,1665,-0.003828,-1.4599),(4655,1675,-0.003769,-1.4571),(4655,1685,-0.003714,-1.4542),(4655,1695,-0.003683,-1.4514),(4655,1705,-0.003652,-1.4486),(4655,1715,-0.003622,-1.4461),(4655,1725,-0.003593,-1.4436),(4655,1735,-0.00357,-1.441),(4655,1745,-0.003547,-1.4386),(4655,1755,-0.003524,-1.4365),(4655,1765,-0.003502,-1.4343),(4655,1775,-0.003481,-1.4321),(4655,1785,-0.00346,-1.4301),(4655,1795,-0.003439,-1.4283),(4655,1805,-0.003416,-1.4265),(4655,1815,-0.00339,-1.4247),(4655,1825,-0.003363,-1.423),(4655,1835,-0.003336,-1.4216),(4655,1845,-0.003305,-1.4201),(4655,1855,-0.003266,-1.4187),(4655,1865,-0.003227,-1.4174),(4655,1875,-0.003188,-1.4164),(4655,1885,-0.003152,-1.4153),(4655,1895,-0.003123,-1.4143),(4655,1905,-0.003093,-1.4134),(4655,1915,-0.003064,-1.4127),(4655,1925,-0.003033,-1.4119),(4655,1935,-0.002999,-1.4112),(4655,1945,-0.002965,-1.4107),(4655,1955,-0.002931,-1.4103),(4655,1965,-0.002894,-1.4099),(4655,1975,-0.002853,-1.4095),(4655,1985,-0.002813,-1.4093),(4655,1995,-0.002772,-1.4092),(4655,2005,-0.002728,-1.4091),(4655,2015,-0.00268,-1.4091),(4655,2025,-0.002633,-1.4092),(4655,2035,-0.002585,-1.4094),(4655,2045,-0.002533,-1.4097),(4655,2055,-0.002478,-1.41),(4655,2065,-0.002422,-1.4104),(4655,2075,-0.002366,-1.411),(4655,2085,-0.002302,-1.4116),(4655,2095,-0.002232,-1.4122),(4655,2105,-0.002161,-1.4129),(4655,2115,-0.002091,-1.4138),(4655,2125,-0.002005,-1.4147),(4655,2135,-0.00191,-1.4156),(4655,2145,-0.001814,-1.4167),(4655,2155,-0.001719,-1.4179),(4655,2165,-0.001597,-1.4192),(4655,2175,-0.001462,-1.4204),(4655,2185,-0.001327,-1.4218),(4655,2195,-0.001192,-1.4233),(4655,2205,-0.001019,-1.4248),(4655,2215,-0.000831,-1.4263),(4655,2225,-0.000642,-1.4281),(4655,2235,-0.000453,-1.4299),(4655,2245,-0.000213,-1.4317),(4655,2255,4.5e-05,-1.4335),(4655,2265,0.000303,-1.4355),(4655,2275,0.000561,-1.4376),(4655,2285,0.000864,-1.4398),(4655,2295,0.00118,-1.4419),(4655,2305,0.001496,-1.4442),(4655,2315,0.001812,-1.4465),(4655,2325,0.00219,-1.4489),(4655,2335,0.002581,-1.4513),(4655,2345,0.002973,-1.4538),(4655,2355,0.003365,-1.4564),(4655,2365,0.00383,-1.459),(4655,2375,0.004308,-1.4616),(4655,2385,0.004785,-1.4644),(4655,2395,0.005263,-1.4673),(4655,2405,0.005822,-1.4701),(4655,2415,0.006391,-1.473),(4655,2425,0.006959,-1.476),(4655,2435,0.007527,-1.479),(4655,2445,0.008176,-1.4821),(4655,2455,0.00883,-1.4851),(4655,2465,0.009484,-1.4883),(4655,2475,0.010138,-1.4915),(4655,2485,0.010887,-1.4948),(4655,2495,0.011638,-1.498),(4655,2505,0.012389,-1.5013),(4655,2515,0.013142,-1.5047),(4655,2525,0.014009,-1.5081),(4655,2535,0.014875,-1.5114),(4655,2545,0.015742,-1.515),(4655,2555,0.016616,-1.5185),(4655,2565,0.017614,-1.522),(4655,2575,0.018612,-1.5256),(4655,2585,0.01961,-1.5292),(4655,2595,0.020623,-1.5328),(4655,2605,0.021782,-1.5364),(4655,2615,0.022941,-1.5401),(4655,2625,0.0241,-1.5438),(4655,2635,0.025286,-1.5475),(4655,2645,0.026649,-1.5512),(4655,2655,0.028012,-1.5549),(4655,2665,0.029375,-1.5587),(4655,2675,0.030772,-1.5624),(4655,2685,0.032333,-1.5661),(4655,2695,0.033894,-1.5698),(4655,2705,0.035456,-1.5734),(4655,2715,0.037061,-1.577),(4655,2725,0.03883,-1.5805),(4655,2735,0.040598,-1.584),(4655,2745,0.042367,-1.5874),(4655,2755,0.044187,-1.5907),(4655,2765,0.046159,-1.594),(4655,2775,0.048132,-1.5972),(4655,2785,0.050105,-1.6002),(4655,2795,0.052133,-1.6032),(4655,2805,0.054295,-1.6063),(4655,2815,0.056458,-1.6092),(4655,2825,0.05862,-1.6118),(4655,2835,0.060841,-1.6144),(4655,2845,0.063179,-1.6171),(4655,2855,0.065517,-1.6196),(4655,2865,0.067855,-1.6218),(4655,2875,0.070258,-1.6241),(4655,2885,0.07277,-1.6263),(4655,2895,0.075283,-1.6285),(4655,2905,0.077796,-1.6304),(4655,2915,0.080367,-1.6323),(4655,2925,0.083021,-1.6342),(4655,2935,0.085676,-1.6359),(4655,2945,0.08833,-1.6374),(4655,2955,0.09102,-1.6388),(4655,2965,0.093752,-1.6403),(4655,2975,0.096484,-1.6415),(4655,2985,0.099216,-1.6424),(4655,2995,0.10196,-1.6434),(4655,3005,0.10473,-1.6443),(4655,3015,0.10749,-1.6449),(4655,3025,0.11025,-1.6452),(4655,3035,0.113,-1.6456),(4655,3045,0.11574,-1.6459),(4655,3055,0.11847,-1.6459),(4655,3065,0.12121,-1.6456),(4655,3075,0.12388,-1.6452),(4655,3085,0.12651,-1.6449),(4655,3095,0.12913,-1.6441),(4655,3105,0.13176,-1.6429),(4655,3115,0.13431,-1.6418),(4655,3125,0.1368,-1.6407),(4655,3135,0.1393,-1.6391),(4655,3145,0.14179,-1.6373),(4655,3155,0.14418,-1.6355),(4655,3165,0.14652,-1.6337),(4655,3175,0.14886,-1.6315),(4655,3185,0.1512,-1.6291),(4655,3195,0.15341,-1.6267),(4655,3205,0.15556,-1.6242),(4655,3215,0.15771,-1.6215),(4655,3225,0.15987,-1.6186),(4655,3235,0.16189,-1.6157),(4655,3245,0.16386,-1.6129),(4655,3255,0.16583,-1.6098),(4655,3265,0.1678,-1.6067),(4655,3275,0.16964,-1.6036),(4655,3285,0.17144,-1.6005),(4655,3295,0.17323,-1.5973),(4655,3305,0.17503,-1.5942),(4655,3315,0.17668,-1.591),(4655,3325,0.17829,-1.5879),(4655,3335,0.1799,-1.5848),(4655,3345,0.18152,-1.5817),(4655,3355,0.18296,-1.5786),(4655,3365,0.18437,-1.5755),(4655,3375,0.18578,-1.5725),(4655,3385,0.18719,-1.5695),(4655,3395,0.18843,-1.5665),(4655,3405,0.18964,-1.5634),(4655,3415,0.19086,-1.5605),(4655,3425,0.19207,-1.5575),(4655,3435,0.1931,-1.5546),(4655,3445,0.19412,-1.5516),(4655,3455,0.19514,-1.5487),(4655,3465,0.19616,-1.5457),(4655,3475,0.19702,-1.5428),(4655,3485,0.19788,-1.5398),(4655,3495,0.19873,-1.5368),(4655,3505,0.19958,-1.5338),(4655,3515,0.20029,-1.5308),(4655,3525,0.20099,-1.5277),(4655,3535,0.20169,-1.5246),(4655,3545,0.20239,-1.5216),(4655,3555,0.20299,-1.5185),(4655,3565,0.20359,-1.5154),(4655,3575,0.20418,-1.5123),(4655,3585,0.20477,-1.5092),(4655,3595,0.20527,-1.5061),(4655,3605,0.20577,-1.503),(4655,3615,0.20626,-1.4999),(4655,3625,0.20675,-1.4967),(4655,3635,0.20715,-1.4936),(4655,3645,0.20755,-1.4905),(4655,3655,0.20795,-1.4873),(4655,3665,0.20834,-1.4842),(4655,3675,0.20866,-1.481),(4655,3685,0.20899,-1.4779),(4655,3695,0.20931,-1.4747),(4655,3705,0.20963,-1.4715),(4655,3715,0.20989,-1.4684),(4655,3725,0.21016,-1.4652),(4655,3735,0.21042,-1.4619),(4655,3745,0.21068,-1.4586),(4655,3755,0.2109,-1.4552),(4655,3765,0.21113,-1.4519),(4655,3775,0.21136,-1.4484),(4655,3785,0.21157,-1.4449),(4655,3795,0.21174,-1.4414),(4655,3805,0.21191,-1.4378),(4655,3815,0.21208,-1.4339),(4655,3825,0.21207,-1.43),(4655,3835,0.21168,-1.4262),(4655,3845,0.21129,-1.4219),(4655,3855,0.21091,-1.4169),(4655,3865,0.20965,-1.4118),(4655,3875,0.20686,-1.4068),(4655,3885,0.20407,-1.4006),(4655,3895,0.20128,-1.3924),(4655,3905,0.19732,-1.3843),(4655,3915,0.19163,-1.3761),(4655,3925,0.18594,-1.3668),(4655,3935,0.18025,-1.3559),(4655,3945,0.19071,-1.345),(4655,3955,0.22169,-1.3342),(4655,3965,0.25266,-1.3218),(4655,3975,0.28364,-1.3076),(4655,3985,0.38065,-1.2935),(4655,3995,0.54915,-1.2793),(4655,4005,0.71765,-1.2221),(4655,4015,0.88615,-1.1218),(4655,4025,0.89115,-1.0215),(4655,4035,0.88015,-0.94579),(4655,4045,0.86914,-0.92206),(4655,4055,1.0066,-0.89832),(4655,4065,1.1983,-0.87328),(4655,4075,1.3899,-0.84043),(4655,4085,1.4868,-0.80758),(4655,4095,1.5076,-0.77473),(4655,4105,1.5284,-0.74565),(4655,4115,1.5471,-0.71671),(4655,4125,1.5625,-0.68776),(4655,4135,1.5779,-0.66079),(4655,4145,1.5926,-0.63436),(4655,4155,1.6044,-0.60793),(4655,4165,1.6163,-0.58269),(4655,4175,1.6281,-0.55821),(4655,4185,1.6368,-0.53372),(4655,4195,1.6454,-0.51025),(4655,4205,1.6541,-0.48812),(4655,4215,1.6602,-0.46599),(4655,4225,1.6658,-0.4445),(4655,4235,1.6713,-0.4249),(4655,4245,1.6754,-0.4053),(4655,4255,1.6786,-0.38586),(4655,4265,1.6819,-0.36839),(4655,4275,1.6843,-0.35093),(4655,4285,1.6859,-0.33346),(4655,4295,1.6874,-0.31769),(4655,4305,1.6887,-0.30211),(4655,4315,1.6895,-0.28653),(4655,4325,1.6902,-0.27217),(4655,4335,1.6908,-0.25829),(4655,4345,1.6903,-0.2444),(4655,4355,1.6898,-0.23157),(4655,4365,1.6893,-0.21963),(4655,4375,1.6881,-0.20769),(4655,4385,1.6868,-0.19624),(4655,4395,1.6855,-0.18567),(4655,4405,1.6839,-0.1751),(4655,4415,1.6822,-0.1647),(4655,4425,1.6805,-0.15502),(4655,4435,1.6787,-0.14534),(4655,4445,1.6768,-0.13566),(4655,4455,1.675,-0.12682),(4655,4465,1.673,-0.11799),(4655,4475,1.6709,-0.10915),(4655,4485,1.6688,-0.10115),(4655,4495,1.6667,-0.093329),(4655,4505,1.6643,-0.085507),(4655,4515,1.6619,-0.078146),(4655,4525,1.6595,-0.071033),(4655,4535,1.6568,-0.06392),(4655,4545,1.6542,-0.056932),(4655,4555,1.6515,-0.050083),(4655,4565,1.6486,-0.043234),(4655,4575,1.6455,-0.036501),(4655,4585,1.6425,-0.030052),(4655,4595,1.6396,-0.023602),(4655,4605,1.6369,-0.017205),(4655,4615,1.6341,-0.01121),(4655,4625,1.6312,-0.005215),(4655,4635,1.6282,0.00078),(4655,4645,1.6251,0.006224),(4655,4655,1.622,0.011631),(4655,4665,1.6188,0.017038),(4655,4675,1.6157,0.022175),(4655,4685,1.6124,0.027225),(4655,4695,1.6091,0.032275),(4655,4705,1.6058,0.037132),(4655,4715,1.6025,0.041851),(4655,4725,1.5993,0.046569),(4655,4735,1.5961,0.051068),(4655,4745,1.593,0.055239),(4655,4755,1.5899,0.05941),(4655,4765,1.5868,0.063435),(4655,4775,1.5838,0.066954),(4655,4785,1.5808,0.070473),(4655,4795,1.5778,0.073975),(4655,4805,1.5749,0.077123),(4655,4815,1.572,0.080271),(4655,4825,1.5691,0.083419),(4655,4835,1.5662,0.086464),(4655,4845,1.5633,0.089494),(4655,4855,1.5605,0.092524),(4655,4865,1.5576,0.095296),(4655,4875,1.5548,0.097951),(4655,4885,1.5523,0.10061),(4655,4895,1.5498,0.10303),(4655,4905,1.5473,0.10524),(4655,4915,1.545,0.10745),(4655,4925,1.5426,0.10962),(4655,4935,1.5403,0.11168),(4655,4945,1.5379,0.11374),(4655,4955,1.5354,0.11582),(4655,4965,1.533,0.118),(4655,4975,1.5303,0.12017),(4655,4985,1.5275,0.12234),(4655,4995,1.5247,0.12412),(4655,5005,1.522,0.12588),(4655,5015,1.5196,0.12764),(4655,5025,1.5173,0.12868),(4655,5035,1.515,0.12953),(4655,5045,1.5131,0.13039),(4655,5055,1.5113,0.13062),(4655,5065,1.5094,0.13046),(4655,5075,1.5081,0.13031),(4655,5085,1.5069,0.12984),(4655,5095,1.5056,0.12898),(4655,5105,1.5048,0.12812),(4655,5115,1.5041,0.12703),(4655,5125,1.5033,0.12525),(4655,5135,1.5032,0.12347),(4655,5145,1.5035,0.12155),(4655,5155,1.5037,0.11805),(4655,5165,1.505,0.11456),(4655,5175,1.5073,0.11107),(4655,5185,1.5095,0.10612),(4655,5195,1.5124,0.10102),(4655,5205,1.5166,0.095924),(4655,5215,1.5208,0.090467),(4655,5225,1.525,0.084874),(4655,5235,1.5299,0.079282),(4655,5245,1.5348,0.073736),(4655,5255,1.5397,0.068228),(4655,5265,1.5447,0.06272),(4655,5275,1.5497,0.056817),(4655,5285,1.5547,0.050245),(4655,5295,1.5616,0.043674),(4655,5305,1.5689,0.036912),(4655,5315,1.5763,0.029352),(4655,5325,1.585,0.021792),(4655,5335,1.5947,0.014253),(4655,5345,1.6044,0.008039),(4655,5355,1.6141,0.001826),(4655,5365,1.6238,-0.004387),(4655,5375,1.6335,-0.007225),(4655,5385,1.6423,-0.009403),(4655,5395,1.6484,-0.011581),(4655,5405,1.6544,-0.011034),(4655,5415,1.6602,-0.009073),(4655,5425,1.6621,-0.007112),(4655,5435,1.6639,-0.00434),(4655,5445,1.6658,-0.00069),(4655,5455,1.6667,0.00296),(4655,5465,1.6674,0.007001),(4655,5475,1.6682,0.011946),(4655,5485,1.6687,0.01689),(4655,5495,1.6692,0.021991),(4655,5505,1.6697,0.028195),(4655,5515,1.6701,0.0344),(4655,5525,1.6703,0.040605),(4655,5535,1.6706,0.047876),(4655,5545,1.6707,0.055209),(4655,5555,1.6705,0.062542),(4655,5565,1.6703,0.070544),(4655,5575,1.6699,0.07875),(4655,5585,1.669,0.086956),(4655,5595,1.6681,0.095534),(4655,5605,1.6672,0.10437),(4655,5615,1.6654,0.11321),(4655,5625,1.6637,0.12221),(4655,5635,1.6619,0.13144),(4655,5645,1.6593,0.14068),(4655,5655,1.6565,0.14994),(4655,5665,1.6537,0.15931),(4655,5675,1.6502,0.16868),(4655,5685,1.6464,0.17804),(4655,5695,1.6425,0.18726),(4655,5705,1.6381,0.19648),(4655,5715,1.6331,0.2057),(4655,5725,1.6281,0.21443),(4655,5735,1.6228,0.22308),(4655,5745,1.6167,0.23174),(4655,5755,1.6106,0.23954),(4655,5765,1.6044,0.24697),(4655,5775,1.5975,0.2544),(4655,5785,1.5905,0.26067),(4655,5795,1.5836,0.26587),(4655,5805,1.5763,0.27107),(4655,5815,1.5691,0.27492),(4655,5825,1.5619,0.27618),(4655,5835,1.5555,0.27745),(4655,5845,1.5495,0.27763),(4655,5855,1.5435,0.27225),(4655,5865,1.5401,0.26688),(4655,5875,1.5386,0.26151),(4655,5885,1.5371,0.24585),(4655,5895,1.5398,0.23003),(4655,5905,1.5489,0.21421),(4655,5915,1.5581,0.18681),(4655,5925,1.5715,0.15663),(4655,5935,1.6003,0.12646),(4655,5945,1.6291,0.087266),(4655,5955,1.6589,0.04275),(4655,5965,1.7141,-0.001767),(4655,5975,1.7694,-0.047598),(4655,5985,1.8246,-0.095033),(4655,5995,1.894,-0.14247),(4655,6005,1.9656,-0.18465),(4655,6015,2.0372,-0.2128),(4655,6025,2.0985,-0.24094),(4655,6035,2.155,-0.26654),(4655,6045,2.2115,-0.26753),(4655,6055,2.2527,-0.26852),(4655,6065,2.2791,-0.26951),(4655,6075,2.3055,-0.26019),(4655,6085,2.327,-0.24991),(4655,6095,2.3386,-0.23964),(4655,6105,2.3502,-0.2282),(4655,6115,2.3611,-0.21633),(4655,6125,2.3677,-0.20447),(4655,6135,2.3743,-0.1931),(4655,6145,2.3809,-0.18212),(4655,6155,2.3854,-0.17114),(4655,6165,2.3898,-0.16069),(4655,6175,2.3942,-0.1511),(4655,6185,2.3976,-0.14151),(4655,6195,2.4007,-0.13221),(4655,6205,2.4038,-0.12402),(4655,6215,2.4064,-0.11583),(4655,6225,2.4086,-0.10768),(4655,6235,2.4108,-0.10075),(4655,6245,2.4128,-0.093829),(4655,6255,2.4144,-0.086905),(4655,6265,2.4159,-0.080953),(4655,6275,2.4174,-0.075177),(4655,6285,2.4185,-0.069401),(4655,6295,2.4197,-0.064282),(4655,6305,2.4208,-0.05949),(4655,6315,2.4215,-0.054698),(4655,6325,2.4223,-0.050299),(4655,6335,2.4231,-0.046311),(4655,6345,2.4236,-0.042322),(4655,6355,2.4242,-0.03857),(4655,6365,2.4248,-0.035339),(4655,6375,2.4252,-0.032109),(4655,6385,2.4256,-0.02895),(4655,6395,2.4259,-0.026256),(4655,6405,2.4262,-0.023563),(4655,6415,2.4265,-0.020869),(4655,6425,2.4268,-0.018588),(4655,6435,2.427,-0.016326),(4655,6445,2.4272,-0.014064),(4655,6455,2.4274,-0.012104),(4655,6465,2.4275,-0.01023),(4655,6475,2.4276,-0.008356),(4655,6485,2.4277,-0.006641),(4655,6495,2.4279,-0.005033),(4655,6505,2.4279,-0.003425),(4655,6515,2.428,-0.001911),(4655,6525,2.4281,-0.000527),(4655,6535,2.4281,0.000858),(4655,6545,2.4281,0.002225),(4655,6555,2.4281,0.003536),(4655,6565,2.4282,0.004847),(4655,6575,2.4282,0.006153),(4655,6585,2.4282,0.007382),(4655,6595,2.0655,0.008611),(4655,6605,1.3024,0.009839),(4655,6615,0.53924,0.009945),(4655,6625,0.002758,0.009907),(4655,6635,0.002724,0.009869),(4655,6645,0.002691,0.00984),(4655,6655,0.002658,0.009815),(4655,6665,0.00263,0.009791),(4655,6675,0.002601,0.009768),(4655,6685,0.002572,0.009746),(4655,6695,0.002547,0.009725),(4655,6705,0.002523,0.009705),(4655,6715,0.002498,0.009686),(4655,6725,0.002476,0.009668),(4655,6735,0.002454,0.00965),(4655,6745,0.002433,0.009634),(4655,6755,0.002413,0.009618),(4655,6765,0.002395,0.009602),(4655,6775,0.002376,0.009588),(4655,6785,0.002358,0.009574),(4655,6795,0.002342,0.00956),(4655,6805,0.002326,0.009547),(4655,6815,0.00231,0.009534),(4655,6825,0.002296,0.009522),(4655,6835,0.002282,0.00951),(4655,6845,0.002268,0.009499),(4655,6855,0.002256,0.009488),(4655,6865,0.002243,0.009477),(4655,6875,0.002231,0.009467),(4655,6885,0.00222,0.009457),(4655,6895,0.00221,0.009447),(4655,6905,0.002199,0.009438),(4655,6915,0.002189,0.009429),(4655,6925,0.00218,0.00942),(4655,6935,0.00217,0.009411),(4655,6945,0.002162,0.009403),(4655,6955,0.002154,0.009394),(4655,6965,0.002145,0.009386),(4655,6975,0.002138,0.009378),(4655,6985,0.002131,0.009371),(4665,5,3e-06,-1.4362),(4665,15,8e-06,-1.4364),(4665,25,1.7e-05,-1.4365),(4665,35,2.9e-05,-1.4367),(4665,45,4.1e-05,-1.4368),(4665,55,5.3e-05,-1.437),(4665,65,6.5e-05,-1.4372),(4665,75,7.9e-05,-1.4373),(4665,85,9.2e-05,-1.4375),(4665,95,0.000105,-1.4378),(4665,105,0.000118,-1.438),(4665,115,0.000132,-1.4383),(4665,125,0.000146,-1.4386),(4665,135,0.000159,-1.4389),(4665,145,0.000151,-1.4392),(4665,155,0.000131,-1.4396),(4665,165,0.000111,-1.4399),(4665,175,9.1e-05,-1.4402),(4665,185,6.2e-05,-1.4406),(4665,195,2.9e-05,-1.4409),(4665,205,-4e-06,-1.4414),(4665,215,-3.8e-05,-1.4418),(4665,225,-4.6e-05,-1.4423),(4665,235,-4.5e-05,-1.4427),(4665,245,-4.4e-05,-1.4433),(4665,255,-4.3e-05,-1.4439),(4665,265,-1.4e-05,-1.4445),(4665,275,2.5e-05,-1.4451),(4665,285,6.4e-05,-1.4459),(4665,295,0.000103,-1.4466),(4665,305,0.000133,-1.4474),(4665,315,0.000161,-1.4482),(4665,325,0.00019,-1.449),(4665,335,0.000218,-1.4498),(4665,345,0.00023,-1.4506),(4665,355,0.000238,-1.4514),(4665,365,0.000246,-1.4523),(4665,375,0.000254,-1.4532),(4665,385,0.00026,-1.4541),(4665,395,0.000266,-1.455),(4665,405,0.000272,-1.456),(4665,415,0.000278,-1.4571),(4665,425,0.000284,-1.4581),(4665,435,0.000291,-1.4592),(4665,445,0.000297,-1.4603),(4665,455,0.000304,-1.4615),(4665,465,0.000291,-1.4627),(4665,475,0.000276,-1.4639),(4665,485,0.000262,-1.4652),(4665,495,0.000247,-1.4665),(4665,505,0.000229,-1.4678),(4665,515,0.000212,-1.4691),(4665,525,0.000194,-1.4706),(4665,535,0.000176,-1.472),(4665,545,0.000178,-1.4735),(4665,555,0.000179,-1.4749),(4665,565,0.000181,-1.4766),(4665,575,0.000184,-1.4782),(4665,585,0.000206,-1.4798),(4665,595,0.000228,-1.4815),(4665,605,0.000251,-1.4833),(4665,615,0.000272,-1.4852),(4665,625,0.000286,-1.487),(4665,635,0.0003,-1.4889),(4665,645,0.000313,-1.4909),(4665,655,0.000325,-1.4929),(4665,665,0.000323,-1.4949),(4665,675,0.000321,-1.4969),(4665,685,0.00032,-1.499),(4665,695,0.000319,-1.5012),(4665,705,0.00032,-1.5034),(4665,715,0.000322,-1.5056),(4665,725,0.000323,-1.508),(4665,735,0.000325,-1.5104),(4665,745,0.000331,-1.5128),(4665,755,0.000337,-1.5152),(4665,765,0.000343,-1.5178),(4665,775,0.00035,-1.5203),(4665,785,0.000357,-1.5229),(4665,795,0.000364,-1.5256),(4665,805,0.000371,-1.5284),(4665,815,0.000382,-1.5312),(4665,825,0.000402,-1.534),(4665,835,0.000421,-1.5368),(4665,845,0.000441,-1.5399),(4665,855,0.000464,-1.5429),(4665,865,0.000493,-1.5459),(4665,875,0.000522,-1.549),(4665,885,0.000551,-1.5523),(4665,895,0.00058,-1.5556),(4665,905,0.000606,-1.5588),(4665,915,0.000633,-1.5622),(4665,925,0.00066,-1.5657),(4665,935,0.000678,-1.5692),(4665,945,0.000683,-1.5728),(4665,955,0.000689,-1.5764),(4665,965,0.000695,-1.5801),(4665,975,0.000693,-1.5838),(4665,985,0.000683,-1.5876),(4665,995,0.000673,-1.5914),(4665,1005,0.000663,-1.5954),(4665,1015,0.000654,-1.5994),(4665,1025,0.000645,-1.6033),(4665,1035,0.000637,-1.6074),(4665,1045,0.000629,-1.6117),(4665,1055,0.000657,-1.6159),(4665,1065,0.000715,-1.6201),(4665,1075,0.000773,-1.6246),(4665,1085,0.000831,-1.6292),(4665,1095,0.00092,-1.6339),(4665,1105,0.001032,-1.6385),(4665,1115,0.001143,-1.6434),(4665,1125,0.001254,-1.6484),(4665,1135,0.000878,-1.6535),(4665,1145,0.000215,-1.6585),(4665,1155,-0.000449,-1.6633),(4665,1165,-0.001113,-1.6679),(4665,1175,-0.004193,-1.6724),(4665,1185,-0.008471,-1.677),(4665,1195,-0.012749,-1.6803),(4665,1205,-0.017027,-1.6831),(4665,1215,-0.024322,-1.6858),(4665,1225,-0.032862,-1.6885),(4665,1235,-0.041401,-1.6923),(4665,1245,-0.049941,-1.6965),(4665,1255,-0.027827,-1.7008),(4665,1265,0.00464,-1.705),(4665,1275,0.037108,-1.6967),(4665,1285,0.069575,-1.6845),(4665,1295,0.16466,-1.6723),(4665,1305,0.27667,-1.6601),(4665,1315,0.38869,-1.5573),(4665,1325,0.50071,-1.4327),(4665,1335,0.30646,-1.3081),(4665,1345,0.048035,-1.1835),(4665,1355,-0.21039,-1.261),(4665,1365,-0.46882,-1.375),(4665,1375,-0.41881,-1.489),(4665,1385,-0.3212,-1.6031),(4665,1395,-0.2236,-1.6333),(4665,1405,-0.12599,-1.6527),(4665,1415,-0.075254,-1.6722),(4665,1425,-0.029385,-1.6916),(4665,1435,0.016485,-1.6913),(4665,1445,0.062355,-1.6895),(4665,1455,0.054585,-1.6876),(4665,1465,0.043725,-1.6857),(4665,1475,0.032865,-1.6846),(4665,1485,0.022006,-1.6836),(4665,1495,0.016104,-1.6826),(4665,1505,0.010277,-1.6816),(4665,1515,0.00445,-1.6778),(4665,1525,-0.001257,-1.6741),(4665,1535,-0.002255,-1.6703),(4665,1545,-0.003253,-1.6665),(4665,1555,-0.00425,-1.662),(4665,1565,-0.005173,-1.6576),(4665,1575,-0.005007,-1.6531),(4665,1585,-0.00484,-1.6487),(4665,1595,-0.004674,-1.6446),(4665,1605,-0.004505,-1.6405),(4665,1615,-0.00432,-1.6365),(4665,1625,-0.004136,-1.6325),(4665,1635,-0.003951,-1.6289),(4665,1645,-0.003781,-1.6253),(4665,1655,-0.003698,-1.6217),(4665,1665,-0.003615,-1.6182),(4665,1675,-0.003533,-1.615),(4665,1685,-0.003458,-1.6119),(4665,1695,-0.00342,-1.6087),(4665,1705,-0.003383,-1.6056),(4665,1715,-0.003345,-1.6028),(4665,1725,-0.003311,-1.6001),(4665,1735,-0.003288,-1.5973),(4665,1745,-0.003265,-1.5946),(4665,1755,-0.003242,-1.5922),(4665,1765,-0.00322,-1.5898),(4665,1775,-0.003201,-1.5874),(4665,1785,-0.003183,-1.5851),(4665,1795,-0.003164,-1.5831),(4665,1805,-0.003144,-1.5811),(4665,1815,-0.003118,-1.5792),(4665,1825,-0.003092,-1.5773),(4665,1835,-0.003066,-1.5757),(4665,1845,-0.003034,-1.5741),(4665,1855,-0.00299,-1.5725),(4665,1865,-0.002946,-1.5711),(4665,1875,-0.002902,-1.57),(4665,1885,-0.002864,-1.5688),(4665,1895,-0.002836,-1.5676),(4665,1905,-0.002808,-1.5666),(4665,1915,-0.002779,-1.5658),(4665,1925,-0.002749,-1.565),(4665,1935,-0.002714,-1.5643),(4665,1945,-0.00268,-1.5636),(4665,1955,-0.002646,-1.5632),(4665,1965,-0.002609,-1.5628),(4665,1975,-0.002567,-1.5623),(4665,1985,-0.002526,-1.5621),(4665,1995,-0.002484,-1.562),(4665,2005,-0.00244,-1.5619),(4665,2015,-0.002392,-1.5619),(4665,2025,-0.002344,-1.562),(4665,2035,-0.002296,-1.5623),(4665,2045,-0.002246,-1.5626),(4665,2055,-0.002192,-1.5629),(4665,2065,-0.002139,-1.5634),(4665,2075,-0.002086,-1.564),(4665,2085,-0.002027,-1.5647),(4665,2095,-0.001963,-1.5653),(4665,2105,-0.0019,-1.5662),(4665,2115,-0.001837,-1.5672),(4665,2125,-0.001762,-1.5682),(4665,2135,-0.001679,-1.5692),(4665,2145,-0.001596,-1.5704),(4665,2155,-0.001514,-1.5717),(4665,2165,-0.001407,-1.573),(4665,2175,-0.001288,-1.5744),(4665,2185,-0.00117,-1.576),(4665,2195,-0.001051,-1.5776),(4665,2205,-0.000898,-1.5793),(4665,2215,-0.000729,-1.581),(4665,2225,-0.00056,-1.5829),(4665,2235,-0.000392,-1.5849),(4665,2245,-0.000172,-1.5869),(4665,2255,6.6e-05,-1.5889),(4665,2265,0.000303,-1.5912),(4665,2275,0.000541,-1.5935),(4665,2285,0.000814,-1.5958),(4665,2295,0.001097,-1.5982),(4665,2305,0.001381,-1.6007),(4665,2315,0.001664,-1.6034),(4665,2325,0.002004,-1.606),(4665,2335,0.002357,-1.6086),(4665,2345,0.002709,-1.6114),(4665,2355,0.003062,-1.6143),(4665,2365,0.003485,-1.6172),(4665,2375,0.003919,-1.62),(4665,2385,0.004352,-1.6231),(4665,2395,0.004786,-1.6263),(4665,2405,0.005298,-1.6294),(4665,2415,0.005818,-1.6326),(4665,2425,0.006338,-1.6359),(4665,2435,0.006858,-1.6393),(4665,2445,0.007449,-1.6427),(4665,2455,0.008045,-1.646),(4665,2465,0.008641,-1.6496),(4665,2475,0.009238,-1.6531),(4665,2485,0.009918,-1.6567),(4665,2495,0.0106,-1.6602),(4665,2505,0.011282,-1.6639),(4665,2515,0.011966,-1.6676),(4665,2525,0.012751,-1.6714),(4665,2535,0.013537,-1.6751),(4665,2545,0.014322,-1.679),(4665,2555,0.015114,-1.6829),(4665,2565,0.016012,-1.6868),(4665,2575,0.016911,-1.6907),(4665,2585,0.017809,-1.6947),(4665,2595,0.01872,-1.6987),(4665,2605,0.019763,-1.7027),(4665,2615,0.020805,-1.7068),(4665,2625,0.021847,-1.7109),(4665,2635,0.022915,-1.715),(4665,2645,0.024151,-1.719),(4665,2655,0.025386,-1.7231),(4665,2665,0.026622,-1.7273),(4665,2675,0.027889,-1.7314),(4665,2685,0.029302,-1.7355),(4665,2695,0.030715,-1.7396),(4665,2705,0.032128,-1.7435),(4665,2715,0.033581,-1.7475),(4665,2725,0.035184,-1.7514),(4665,2735,0.036786,-1.7553),(4665,2745,0.038389,-1.7589),(4665,2755,0.040038,-1.7626),(4665,2765,0.041825,-1.7662),(4665,2775,0.043613,-1.7698),(4665,2785,0.045401,-1.7731),(4665,2795,0.047237,-1.7765),(4665,2805,0.049191,-1.7798),(4665,2815,0.051145,-1.783),(4665,2825,0.053099,-1.7859),(4665,2835,0.055103,-1.7888),(4665,2845,0.057207,-1.7917),(4665,2855,0.059312,-1.7945),(4665,2865,0.061417,-1.797),(4665,2875,0.063581,-1.7995),(4665,2885,0.065847,-1.802),(4665,2895,0.068112,-1.8043),(4665,2905,0.070377,-1.8064),(4665,2915,0.072697,-1.8085),(4665,2925,0.075094,-1.8106),(4665,2935,0.077491,-1.8125),(4665,2945,0.079889,-1.8141),(4665,2955,0.082316,-1.8158),(4665,2965,0.08478,-1.8174),(4665,2975,0.087244,-1.8187),(4665,2985,0.089709,-1.8197),(4665,2995,0.092187,-1.8208),(4665,3005,0.094681,-1.8218),(4665,3015,0.097175,-1.8225),(4665,3025,0.099669,-1.8228),(4665,3035,0.10215,-1.8232),(4665,3045,0.10462,-1.8236),(4665,3055,0.1071,-1.8235),(4665,3065,0.10957,-1.8232),(4665,3075,0.11198,-1.8228),(4665,3085,0.11434,-1.8224),(4665,3095,0.1167,-1.8215),(4665,3105,0.11906,-1.8203),(4665,3115,0.12135,-1.819),(4665,3125,0.1236,-1.8178),(4665,3135,0.12584,-1.8161),(4665,3145,0.12809,-1.8141),(4665,3155,0.13024,-1.8121),(4665,3165,0.13235,-1.8101),(4665,3175,0.13446,-1.8077),(4665,3185,0.13656,-1.805),(4665,3195,0.13856,-1.8023),(4665,3205,0.1405,-1.7997),(4665,3215,0.14244,-1.7966),(4665,3225,0.14439,-1.7935),(4665,3235,0.14622,-1.7903),(4665,3245,0.14801,-1.7871),(4665,3255,0.1498,-1.7837),(4665,3265,0.15159,-1.7803),(4665,3275,0.15327,-1.7768),(4665,3285,0.15492,-1.7734),(4665,3295,0.15657,-1.7699),(4665,3305,0.15822,-1.7664),(4665,3315,0.15974,-1.7629),(4665,3325,0.16124,-1.7594),(4665,3335,0.16274,-1.7559),(4665,3345,0.16424,-1.7525),(4665,3355,0.16558,-1.7491),(4665,3365,0.16691,-1.7456),(4665,3375,0.16823,-1.7422),(4665,3385,0.16955,-1.7389),(4665,3395,0.17071,-1.7355),(4665,3405,0.17186,-1.7321),(4665,3415,0.173,-1.7288),(4665,3425,0.17414,-1.7255),(4665,3435,0.17511,-1.7222),(4665,3445,0.17607,-1.7189),(4665,3455,0.17703,-1.7156),(4665,3465,0.17799,-1.7123),(4665,3475,0.1788,-1.709),(4665,3485,0.1796,-1.7057),(4665,3495,0.1804,-1.7023),(4665,3505,0.1812,-1.699),(4665,3515,0.18185,-1.6956),(4665,3525,0.18251,-1.6922),(4665,3535,0.18317,-1.6888),(4665,3545,0.18382,-1.6854),(4665,3555,0.18439,-1.6819),(4665,3565,0.18495,-1.6785),(4665,3575,0.18552,-1.6751),(4665,3585,0.18608,-1.6716),(4665,3595,0.18656,-1.6682),(4665,3605,0.18704,-1.6647),(4665,3615,0.18752,-1.6612),(4665,3625,0.18799,-1.6577),(4665,3635,0.18839,-1.6542),(4665,3645,0.18879,-1.6508),(4665,3655,0.18919,-1.6472),(4665,3665,0.18958,-1.6437),(4665,3675,0.18992,-1.6402),(4665,3685,0.19026,-1.6367),(4665,3695,0.1906,-1.6332),(4665,3705,0.19093,-1.6296),(4665,3715,0.19123,-1.6261),(4665,3725,0.19152,-1.6225),(4665,3735,0.19182,-1.6188),(4665,3745,0.19211,-1.6152),(4665,3755,0.19238,-1.6115),(4665,3765,0.19266,-1.6077),(4665,3775,0.19293,-1.6038),(4665,3785,0.19319,-1.5999),(4665,3795,0.1934,-1.596),(4665,3805,0.19361,-1.5919),(4665,3815,0.19382,-1.5876),(4665,3825,0.1938,-1.5833),(4665,3835,0.19326,-1.579),(4665,3845,0.19273,-1.5743),(4665,3855,0.1922,-1.5689),(4665,3865,0.19065,-1.5635),(4665,3875,0.18728,-1.5581),(4665,3885,0.18391,-1.5518),(4665,3895,0.18054,-1.544),(4665,3905,0.17615,-1.5363),(4665,3915,0.17021,-1.5286),(4665,3925,0.16428,-1.5204),(4665,3935,0.15835,-1.5116),(4665,3945,0.16805,-1.5028),(4665,3955,0.19762,-1.494),(4665,3965,0.22718,-1.4799),(4665,3975,0.25675,-1.4598),(4665,3985,0.33721,-1.4396),(4665,3995,0.47277,-1.4194),(4665,4005,0.60833,-1.3372),(4665,4015,0.7439,-1.1929),(4665,4025,0.78098,-1.0485),(4665,4035,0.80844,-0.94403),(4665,4045,0.83589,-0.92344),(4665,4055,0.9809,-0.90285),(4665,4065,1.1688,-0.88071),(4665,4075,1.3567,-0.84932),(4665,4085,1.4525,-0.81793),(4665,4095,1.4744,-0.78653),(4665,4105,1.4962,-0.75806),(4665,4115,1.5159,-0.72969),(4665,4125,1.5321,-0.70133),(4665,4135,1.5483,-0.6749),(4665,4145,1.5637,-0.649),(4665,4155,1.5762,-0.62311),(4665,4165,1.5886,-0.59836),(4665,4175,1.601,-0.57436),(4665,4185,1.6103,-0.55036),(4665,4195,1.6196,-0.52723),(4665,4205,1.6289,-0.50526),(4665,4215,1.6357,-0.48328),(4665,4225,1.642,-0.46188),(4665,4235,1.6483,-0.44218),(4665,4245,1.653,-0.42248),(4665,4255,1.657,-0.40295),(4665,4265,1.6609,-0.3854),(4665,4275,1.664,-0.36785),(4665,4285,1.6661,-0.3503),(4665,4295,1.6683,-0.33452),(4665,4305,1.6702,-0.31894),(4665,4315,1.6714,-0.30337),(4665,4325,1.6726,-0.28889),(4665,4335,1.6737,-0.27483),(4665,4345,1.6738,-0.26077),(4665,4355,1.6738,-0.24764),(4665,4365,1.6738,-0.23531),(4665,4375,1.673,-0.22299),(4665,4385,1.6722,-0.21116),(4665,4395,1.6714,-0.20023),(4665,4405,1.6701,-0.18929),(4665,4415,1.6687,-0.17856),(4665,4425,1.6674,-0.1687),(4665,4435,1.6658,-0.15884),(4665,4445,1.6642,-0.14898),(4665,4455,1.6626,-0.13998),(4665,4465,1.6609,-0.13099),(4665,4475,1.6591,-0.122),(4665,4485,1.6572,-0.11369),(4665,4495,1.6553,-0.10552),(4665,4505,1.6531,-0.097353),(4665,4515,1.651,-0.089612),(4665,4525,1.6487,-0.082103),(4665,4535,1.6462,-0.074593),(4665,4545,1.6437,-0.067294),(4665,4555,1.6412,-0.060232),(4665,4565,1.6384,-0.05317),(4665,4575,1.6355,-0.046282),(4665,4585,1.6327,-0.039816),(4665,4595,1.6299,-0.03335),(4665,4605,1.6273,-0.026924),(4665,4615,1.6246,-0.020819),(4665,4625,1.6218,-0.014713),(4665,4635,1.6189,-0.008607),(4665,4645,1.6161,-0.002957),(4665,4655,1.6131,0.002661),(4665,4665,1.6101,0.008279),(4665,4675,1.607,0.013563),(4665,4685,1.6039,0.018738),(4665,4695,1.6007,0.023914),(4665,4705,1.5976,0.028803),(4665,4715,1.5944,0.033485),(4665,4725,1.5914,0.038166),(4665,4735,1.5884,0.042649),(4665,4745,1.5854,0.046836),(4665,4755,1.5825,0.051023),(4665,4765,1.5796,0.055098),(4665,4775,1.5767,0.058783),(4665,4785,1.5738,0.062468),(4665,4795,1.571,0.066136),(4665,4805,1.5681,0.069448),(4665,4815,1.5653,0.07276),(4665,4825,1.5625,0.076072),(4665,4835,1.5597,0.079143),(4665,4845,1.5569,0.082178),(4665,4855,1.5542,0.085212),(4665,4865,1.5515,0.087943),(4665,4875,1.5488,0.090536),(4665,4885,1.5464,0.093129),(4665,4895,1.544,0.095578),(4665,4905,1.5416,0.097888),(4665,4915,1.5393,0.1002),(4665,4925,1.537,0.10247),(4665,4935,1.5347,0.10467),(4665,4945,1.5322,0.10687),(4665,4955,1.5298,0.10906),(4665,4965,1.5273,0.11116),(4665,4975,1.5248,0.11327),(4665,4985,1.5222,0.11537),(4665,4995,1.5195,0.11684),(4665,5005,1.5171,0.1183),(4665,5015,1.515,0.11975),(4665,5025,1.5129,0.12056),(4665,5035,1.5109,0.12121),(4665,5045,1.5093,0.12185),(4665,5055,1.5077,0.12195),(4665,5065,1.5061,0.12171),(4665,5075,1.5051,0.12147),(4665,5085,1.5041,0.12088),(4665,5095,1.5031,0.11986),(4665,5105,1.5026,0.11884),(4665,5115,1.5022,0.11752),(4665,5125,1.5018,0.11538),(4665,5135,1.5022,0.11323),(4665,5145,1.5029,0.11095),(4665,5155,1.5037,0.10717),(4665,5165,1.5055,0.10338),(4665,5175,1.5082,0.099601),(4665,5185,1.5108,0.094696),(4665,5195,1.514,0.089675),(4665,5205,1.5183,0.084653),(4665,5215,1.5226,0.079409),(4665,5225,1.5269,0.074082),(4665,5235,1.5318,0.068755),(4665,5245,1.5367,0.063372),(4665,5255,1.5416,0.057941),(4665,5265,1.547,0.052511),(4665,5275,1.5524,0.046688),(4665,5285,1.5577,0.0402),(4665,5295,1.5648,0.033712),(4665,5305,1.5723,0.02716),(4665,5315,1.5798,0.020338),(4665,5325,1.5883,0.013517),(4665,5335,1.5974,0.006723),(4665,5345,1.6065,0.001761),(4665,5355,1.6154,-0.0032),(4665,5365,1.6238,-0.008162),(4665,5375,1.6322,-0.009891),(4665,5385,1.6397,-0.01099),(4665,5395,1.6446,-0.012089),(4665,5405,1.6494,-0.01095),(4665,5415,1.6541,-0.008649),(4665,5425,1.6555,-0.006348),(4665,5435,1.6569,-0.003375),(4665,5445,1.6583,0.000326),(4665,5455,1.6588,0.004027),(4665,5465,1.6591,0.00807),(4665,5475,1.6595,0.012904),(4665,5485,1.6597,0.017738),(4665,5495,1.6598,0.022711),(4665,5505,1.6599,0.028669),(4665,5515,1.6599,0.034628),(4665,5525,1.6599,0.040586),(4665,5535,1.6598,0.047521),(4665,5545,1.6596,0.054513),(4665,5555,1.6591,0.061504),(4665,5565,1.6586,0.069116),(4665,5575,1.658,0.076917),(4665,5585,1.6569,0.084718),(4665,5595,1.6558,0.092857),(4665,5605,1.6547,0.10123),(4665,5615,1.6528,0.10961),(4665,5625,1.6509,0.11812),(4665,5635,1.649,0.12683),(4665,5645,1.6464,0.13553),(4665,5655,1.6436,0.14425),(4665,5665,1.6408,0.15298),(4665,5675,1.6374,0.16172),(4665,5685,1.6336,0.17044),(4665,5695,1.6298,0.17887),(4665,5705,1.6255,0.18731),(4665,5715,1.6208,0.19574),(4665,5725,1.616,0.20348),(4665,5735,1.6109,0.21112),(4665,5745,1.6053,0.21875),(4665,5755,1.5996,0.22531),(4665,5765,1.5939,0.23141),(4665,5775,1.5878,0.2375),(4665,5785,1.5816,0.24222),(4665,5795,1.5754,0.24566),(4665,5805,1.5695,0.24911),(4665,5815,1.5636,0.25103),(4665,5825,1.5577,0.25004),(4665,5835,1.5534,0.24904),(4665,5845,1.5496,0.24689),(4665,5855,1.5457,0.23878),(4665,5865,1.5452,0.23068),(4665,5875,1.547,0.22258),(4665,5885,1.5489,0.20407),(4665,5895,1.5554,0.1854),(4665,5905,1.569,0.16674),(4665,5915,1.5826,0.13724),(4665,5925,1.6004,0.10514),(4665,5935,1.6333,0.073049),(4665,5945,1.6662,0.033664),(4665,5955,1.7,-0.010027),(4665,5965,1.7553,-0.053718),(4665,5975,1.8105,-0.096966),(4665,5985,1.8658,-0.13967),(4665,5995,1.9295,-0.18238),(4665,6005,1.9945,-0.21958),(4665,6015,2.0595,-0.24205),(4665,6025,2.1132,-0.26452),(4665,6035,2.1617,-0.28479),(4665,6045,2.2102,-0.28396),(4665,6055,2.2459,-0.28312),(4665,6065,2.2692,-0.28229),(4665,6075,2.2924,-0.27305),(4665,6085,2.3116,-0.26304),(4665,6095,2.3227,-0.25303),(4665,6105,2.3339,-0.24197),(4665,6115,2.3443,-0.23054),(4665,6125,2.3511,-0.21911),(4665,6135,2.3579,-0.20805),(4665,6145,2.3648,-0.19729),(4665,6155,2.3696,-0.18652),(4665,6165,2.3744,-0.17621),(4665,6175,2.3792,-0.16663),(4665,6185,2.383,-0.15705),(4665,6195,2.3865,-0.14772),(4665,6205,2.3901,-0.13938),(4665,6215,2.393,-0.13104),(4665,6225,2.3956,-0.12273),(4665,6235,2.3982,-0.11555),(4665,6245,2.4005,-0.10837),(4665,6255,2.4025,-0.10119),(4665,6265,2.4044,-0.094915),(4665,6275,2.4062,-0.08881),(4665,6285,2.4076,-0.082706),(4665,6295,2.4091,-0.077222),(4665,6305,2.4105,-0.072045),(4665,6315,2.4115,-0.066869),(4665,6325,2.4125,-0.062078),(4665,6335,2.4135,-0.057688),(4665,6345,2.4143,-0.053298),(4665,6355,2.4151,-0.04914),(4665,6365,2.4159,-0.045493),(4665,6375,2.4165,-0.041847),(4665,6385,2.417,-0.038271),(4665,6395,2.4176,-0.035153),(4665,6405,2.4181,-0.032035),(4665,6415,2.4185,-0.028917),(4665,6425,2.4189,-0.02621),(4665,6435,2.4192,-0.023523),(4665,6445,2.4195,-0.020836),(4665,6455,2.4198,-0.018453),(4665,6465,2.4201,-0.016156),(4665,6475,2.4203,-0.01386),(4665,6485,2.4205,-0.011725),(4665,6495,2.4207,-0.009697),(4665,6505,2.4208,-0.007669),(4665,6515,2.421,-0.005737),(4665,6525,2.4211,-0.003936),(4665,6535,2.4212,-0.002135),(4665,6545,2.4212,-0.000353),(4665,6555,2.4213,0.001369),(4665,6565,2.4213,0.003092),(4665,6575,2.4214,0.004809),(4665,6585,2.4214,0.006456),(4665,6595,2.0598,0.008103),(4665,6605,1.2988,0.009749),(4665,6615,0.53775,0.009905),(4665,6625,0.002779,0.00987),(4665,6635,0.002745,0.009834),(4665,6645,0.00271,0.009807),(4665,6655,0.002676,0.009784),(4665,6665,0.002647,0.009761),(4665,6675,0.002617,0.009739),(4665,6685,0.002587,0.009719),(4665,6695,0.002562,0.009699),(4665,6705,0.002536,0.00968),(4665,6715,0.002511,0.009662),(4665,6725,0.002488,0.009645),(4665,6735,0.002466,0.009628),(4665,6745,0.002443,0.009613),(4665,6755,0.002423,0.009598),(4665,6765,0.002404,0.009583),(4665,6775,0.002385,0.00957),(4665,6785,0.002367,0.009556),(4665,6795,0.00235,0.009543),(4665,6805,0.002334,0.009531),(4665,6815,0.002317,0.009519),(4665,6825,0.002303,0.009507),(4665,6835,0.002288,0.009496),(4665,6845,0.002274,0.009486),(4665,6855,0.002261,0.009475),(4665,6865,0.002249,0.009465),(4665,6875,0.002236,0.009455),(4665,6885,0.002225,0.009446),(4665,6895,0.002214,0.009437),(4665,6905,0.002203,0.009428),(4665,6915,0.002193,0.009419),(4665,6925,0.002184,0.00941),(4665,6935,0.002174,0.009402),(4665,6945,0.002165,0.009394),(4665,6955,0.002157,0.009386),(4665,6965,0.002149,0.009378),(4665,6975,0.002141,0.009371),(4665,6985,0.002134,0.009363),(4675,5,3e-06,-1.4362),(4675,15,8e-06,-1.4364),(4675,25,1.9e-05,-1.4365),(4675,35,3.4e-05,-1.4367),(4675,45,4.9e-05,-1.4368),(4675,55,6.4e-05,-1.437),(4675,65,8e-05,-1.4371),(4675,75,9.8e-05,-1.4373),(4675,85,0.000115,-1.4375),(4675,95,0.000132,-1.4378),(4675,105,0.000148,-1.438),(4675,115,0.000164,-1.4383),(4675,125,0.00018,-1.4386),(4675,135,0.000196,-1.4389),(4675,145,0.000184,-1.4393),(4675,155,0.000157,-1.4396),(4675,165,0.000129,-1.4399),(4675,175,0.000101,-1.4403),(4675,185,6.1e-05,-1.4406),(4675,195,1.5e-05,-1.441),(4675,205,-3e-05,-1.4414),(4675,215,-7.6e-05,-1.4418),(4675,225,-9e-05,-1.4423),(4675,235,-9.1e-05,-1.4427),(4675,245,-9.3e-05,-1.4433),(4675,255,-9.4e-05,-1.4439),(4675,265,-5.8e-05,-1.4445),(4675,275,-1e-05,-1.4451),(4675,285,3.8e-05,-1.4458),(4675,295,8.6e-05,-1.4466),(4675,305,0.000123,-1.4473),(4675,315,0.000158,-1.4481),(4675,325,0.000192,-1.4489),(4675,335,0.000227,-1.4497),(4675,345,0.00024,-1.4506),(4675,355,0.000249,-1.4514),(4675,365,0.000258,-1.4523),(4675,375,0.000267,-1.4532),(4675,385,0.000273,-1.4541),(4675,395,0.00028,-1.455),(4675,405,0.000286,-1.456),(4675,415,0.000292,-1.4571),(4675,425,0.000299,-1.4581),(4675,435,0.000306,-1.4591),(4675,445,0.000314,-1.4603),(4675,455,0.000321,-1.4615),(4675,465,0.000302,-1.4627),(4675,475,0.000283,-1.4639),(4675,485,0.000263,-1.4652),(4675,495,0.000243,-1.4665),(4675,505,0.000219,-1.4678),(4675,515,0.000195,-1.4691),(4675,525,0.000171,-1.4706),(4675,535,0.000149,-1.472),(4675,545,0.00015,-1.4735),(4675,555,0.000152,-1.4749),(4675,565,0.000154,-1.4766),(4675,575,0.000158,-1.4782),(4675,585,0.000188,-1.4798),(4675,595,0.000218,-1.4815),(4675,605,0.000248,-1.4833),(4675,615,0.000277,-1.4852),(4675,625,0.000296,-1.487),(4675,635,0.000315,-1.4889),(4675,645,0.000335,-1.4909),(4675,655,0.000351,-1.4929),(4675,665,0.00035,-1.4949),(4675,675,0.00035,-1.4969),(4675,685,0.000349,-1.4991),(4675,695,0.000349,-1.5012),(4675,705,0.000352,-1.5034),(4675,715,0.000354,-1.5056),(4675,725,0.000357,-1.508),(4675,735,0.000361,-1.5104),(4675,745,0.000369,-1.5127),(4675,755,0.000378,-1.5152),(4675,765,0.000386,-1.5178),(4675,775,0.000395,-1.5203),(4675,785,0.000405,-1.5229),(4675,795,0.000414,-1.5256),(4675,805,0.000424,-1.5284),(4675,815,0.000439,-1.5312),(4675,825,0.000465,-1.534),(4675,835,0.00049,-1.5368),(4675,845,0.000516,-1.5398),(4675,855,0.000547,-1.5429),(4675,865,0.000585,-1.5459),(4675,875,0.000624,-1.549),(4675,885,0.000662,-1.5523),(4675,895,0.0007,-1.5555),(4675,905,0.000737,-1.5588),(4675,915,0.000773,-1.5622),(4675,925,0.00081,-1.5657),(4675,935,0.000835,-1.5692),(4675,945,0.000845,-1.5727),(4675,955,0.000855,-1.5764),(4675,965,0.000865,-1.5801),(4675,975,0.000865,-1.5838),(4675,985,0.000856,-1.5876),(4675,995,0.000847,-1.5914),(4675,1005,0.000837,-1.5954),(4675,1015,0.00083,-1.5994),(4675,1025,0.000825,-1.6034),(4675,1035,0.000821,-1.6075),(4675,1045,0.000816,-1.6117),(4675,1055,0.000861,-1.6159),(4675,1065,0.000946,-1.6202),(4675,1075,0.001032,-1.6246),(4675,1085,0.001118,-1.6291),(4675,1095,0.00124,-1.6336),(4675,1105,0.001387,-1.6382),(4675,1115,0.001534,-1.6429),(4675,1125,0.001681,-1.6478),(4675,1135,0.001183,-1.6527),(4675,1145,0.000304,-1.6577),(4675,1155,-0.000575,-1.6625),(4675,1165,-0.001454,-1.6674),(4675,1175,-0.005148,-1.6723),(4675,1185,-0.01024,-1.6771),(4675,1195,-0.015331,-1.6822),(4675,1205,-0.020423,-1.6874),(4675,1215,-0.027964,-1.6926),(4675,1225,-0.036516,-1.6977),(4675,1235,-0.045067,-1.7061),(4675,1245,-0.053619,-1.7156),(4675,1255,-0.033867,-1.7251),(4675,1265,-0.004556,-1.7346),(4675,1275,0.024754,-1.7264),(4675,1285,0.054065,-1.7129),(4675,1295,0.12722,-1.6994),(4675,1305,0.21224,-1.6859),(4675,1315,0.29726,-1.5778),(4675,1325,0.38228,-1.4469),(4675,1335,0.23208,-1.3161),(4675,1345,0.032586,-1.1853),(4675,1355,-0.16691,-1.2692),(4675,1365,-0.3664,-1.3921),(4675,1375,-0.32767,-1.5149),(4675,1385,-0.25219,-1.6378),(4675,1395,-0.1767,-1.6707),(4675,1405,-0.10122,-1.6921),(4675,1415,-0.056142,-1.7135),(4675,1425,-0.014222,-1.7348),(4675,1435,0.027698,-1.7278),(4675,1445,0.069618,-1.7184),(4675,1455,0.061287,-1.7091),(4675,1465,0.050063,-1.6997),(4675,1475,0.038838,-1.6951),(4675,1485,0.027614,-1.6907),(4675,1495,0.020568,-1.6863),(4675,1505,0.013584,-1.6819),(4675,1515,0.006601,-1.6778),(4675,1525,-0.000242,-1.6736),(4675,1535,-0.001555,-1.6695),(4675,1545,-0.002869,-1.6653),(4675,1555,-0.004182,-1.661),(4675,1565,-0.005397,-1.6568),(4675,1575,-0.005188,-1.6525),(4675,1585,-0.004979,-1.6482),(4675,1595,-0.00477,-1.6442),(4675,1605,-0.004558,-1.6403),(4675,1615,-0.004317,-1.6363),(4675,1625,-0.004076,-1.6324),(4675,1635,-0.003835,-1.6288),(4675,1645,-0.003614,-1.6252),(4675,1655,-0.003508,-1.6217),(4675,1665,-0.003402,-1.6182),(4675,1675,-0.003296,-1.615),(4675,1685,-0.003202,-1.6119),(4675,1695,-0.003158,-1.6087),(4675,1705,-0.003113,-1.6056),(4675,1715,-0.003069,-1.6028),(4675,1725,-0.00303,-1.6001),(4675,1735,-0.003006,-1.5973),(4675,1745,-0.002983,-1.5946),(4675,1755,-0.002959,-1.5922),(4675,1765,-0.002938,-1.5898),(4675,1775,-0.002921,-1.5874),(4675,1785,-0.002905,-1.5852),(4675,1795,-0.002889,-1.5832),(4675,1805,-0.00287,-1.5812),(4675,1815,-0.002845,-1.5792),(4675,1825,-0.00282,-1.5773),(4675,1835,-0.002795,-1.5757),(4675,1845,-0.002762,-1.5741),(4675,1855,-0.002714,-1.5725),(4675,1865,-0.002665,-1.5711),(4675,1875,-0.002617,-1.5699),(4675,1885,-0.002577,-1.5688),(4675,1895,-0.002549,-1.5676),(4675,1905,-0.002522,-1.5666),(4675,1915,-0.002495,-1.5658),(4675,1925,-0.002464,-1.565),(4675,1935,-0.00243,-1.5642),(4675,1945,-0.002396,-1.5636),(4675,1955,-0.002361,-1.5632),(4675,1965,-0.002323,-1.5627),(4675,1975,-0.002281,-1.5623),(4675,1985,-0.002239,-1.5621),(4675,1995,-0.002197,-1.562),(4675,2005,-0.002152,-1.5619),(4675,2015,-0.002104,-1.5619),(4675,2025,-0.002056,-1.562),(4675,2035,-0.002008,-1.5623),(4675,2045,-0.001958,-1.5626),(4675,2055,-0.001907,-1.5629),(4675,2065,-0.001856,-1.5634),(4675,2075,-0.001805,-1.564),(4675,2085,-0.001751,-1.5647),(4675,2095,-0.001695,-1.5653),(4675,2105,-0.001639,-1.5662),(4675,2115,-0.001583,-1.5672),(4675,2125,-0.001518,-1.5682),(4675,2135,-0.001448,-1.5692),(4675,2145,-0.001378,-1.5704),(4675,2155,-0.001308,-1.5717),(4675,2165,-0.001217,-1.5731),(4675,2175,-0.001115,-1.5744),(4675,2185,-0.001013,-1.576),(4675,2195,-0.000911,-1.5776),(4675,2205,-0.000776,-1.5793),(4675,2215,-0.000627,-1.581),(4675,2225,-0.000479,-1.5829),(4675,2235,-0.00033,-1.5849),(4675,2245,-0.000131,-1.5869),(4675,2255,8.7e-05,-1.5889),(4675,2265,0.000304,-1.5912),(4675,2275,0.000521,-1.5935),(4675,2285,0.000764,-1.5958),(4675,2295,0.001015,-1.5982),(4675,2305,0.001265,-1.6007),(4675,2315,0.001516,-1.6033),(4675,2325,0.001818,-1.6059),(4675,2335,0.002132,-1.6086),(4675,2345,0.002446,-1.6114),(4675,2355,0.00276,-1.6142),(4675,2365,0.003139,-1.6171),(4675,2375,0.003529,-1.62),(4675,2385,0.00392,-1.6231),(4675,2395,0.00431,-1.6262),(4675,2405,0.004773,-1.6294),(4675,2415,0.005245,-1.6325),(4675,2425,0.005717,-1.6358),(4675,2435,0.006189,-1.6392),(4675,2445,0.006723,-1.6426),(4675,2455,0.007261,-1.6459),(4675,2465,0.007799,-1.6495),(4675,2475,0.008337,-1.653),(4675,2485,0.008949,-1.6566),(4675,2495,0.009562,-1.6601),(4675,2505,0.010176,-1.6638),(4675,2515,0.01079,-1.6675),(4675,2525,0.011494,-1.6713),(4675,2535,0.012198,-1.675),(4675,2545,0.012903,-1.6789),(4675,2555,0.013612,-1.6828),(4675,2565,0.014411,-1.6867),(4675,2575,0.015209,-1.6906),(4675,2585,0.016008,-1.6946),(4675,2595,0.016818,-1.6986),(4675,2605,0.017744,-1.7026),(4675,2615,0.018669,-1.7066),(4675,2625,0.019594,-1.7107),(4675,2635,0.020544,-1.7148),(4675,2645,0.021652,-1.7189),(4675,2655,0.022761,-1.7229),(4675,2665,0.02387,-1.727),(4675,2675,0.025005,-1.7311),(4675,2685,0.02627,-1.7353),(4675,2695,0.027535,-1.7393),(4675,2705,0.0288,-1.7433),(4675,2715,0.030101,-1.7472),(4675,2725,0.031538,-1.7511),(4675,2735,0.032974,-1.755),(4675,2745,0.03441,-1.7586),(4675,2755,0.035889,-1.7622),(4675,2765,0.037491,-1.7659),(4675,2775,0.039094,-1.7694),(4675,2785,0.040696,-1.7727),(4675,2795,0.042341,-1.7761),(4675,2805,0.044086,-1.7794),(4675,2815,0.045832,-1.7826),(4675,2825,0.047577,-1.7855),(4675,2835,0.049365,-1.7884),(4675,2845,0.051236,-1.7913),(4675,2855,0.053107,-1.7941),(4675,2865,0.054979,-1.7966),(4675,2875,0.056905,-1.7991),(4675,2885,0.058923,-1.8016),(4675,2895,0.060941,-1.8039),(4675,2905,0.062959,-1.806),(4675,2915,0.065027,-1.8081),(4675,2925,0.067167,-1.8103),(4675,2935,0.069307,-1.8122),(4675,2945,0.071447,-1.8138),(4675,2955,0.073612,-1.8154),(4675,2965,0.075809,-1.8171),(4675,2975,0.078005,-1.8184),(4675,2985,0.080201,-1.8194),(4675,2995,0.082412,-1.8204),(4675,3005,0.084637,-1.8215),(4675,3015,0.086862,-1.8222),(4675,3025,0.089087,-1.8225),(4675,3035,0.091304,-1.8229),(4675,3045,0.093512,-1.8233),(4675,3055,0.09572,-1.8233),(4675,3065,0.097929,-1.8229),(4675,3075,0.10007,-1.8225),(4675,3085,0.10217,-1.8222),(4675,3095,0.10427,-1.8213),(4675,3105,0.10636,-1.8201),(4675,3115,0.1084,-1.8189),(4675,3125,0.11039,-1.8176),(4675,3135,0.11239,-1.8159),(4675,3145,0.11438,-1.814),(4675,3155,0.1163,-1.812),(4675,3165,0.11818,-1.81),(4675,3175,0.12005,-1.8076),(4675,3185,0.12193,-1.805),(4675,3195,0.12371,-1.8023),(4675,3205,0.12544,-1.7997),(4675,3215,0.12717,-1.7967),(4675,3225,0.12891,-1.7936),(4675,3235,0.13055,-1.7904),(4675,3245,0.13216,-1.7873),(4675,3255,0.13376,-1.7839),(4675,3265,0.13537,-1.7805),(4675,3275,0.1369,-1.7771),(4675,3285,0.1384,-1.7736),(4675,3295,0.1399,-1.7702),(4675,3305,0.1414,-1.7667),(4675,3315,0.14281,-1.7632),(4675,3325,0.14419,-1.7597),(4675,3335,0.14557,-1.7562),(4675,3345,0.14696,-1.7527),(4675,3355,0.14821,-1.7493),(4675,3365,0.14944,-1.7458),(4675,3375,0.15068,-1.7424),(4675,3385,0.15191,-1.739),(4675,3395,0.153,-1.7356),(4675,3405,0.15407,-1.7322),(4675,3415,0.15514,-1.7289),(4675,3425,0.15621,-1.7256),(4675,3435,0.15712,-1.7222),(4675,3445,0.15802,-1.7189),(4675,3455,0.15892,-1.7156),(4675,3465,0.15982,-1.7122),(4675,3475,0.16057,-1.7089),(4675,3485,0.16132,-1.7056),(4675,3495,0.16206,-1.7022),(4675,3505,0.16281,-1.6988),(4675,3515,0.16342,-1.6954),(4675,3525,0.16403,-1.692),(4675,3535,0.16464,-1.6886),(4675,3545,0.16525,-1.6851),(4675,3555,0.16578,-1.6817),(4675,3565,0.16632,-1.6782),(4675,3575,0.16685,-1.6747),(4675,3585,0.16738,-1.6713),(4675,3595,0.16784,-1.6678),(4675,3605,0.16831,-1.6643),(4675,3615,0.16878,-1.6608),(4675,3625,0.16923,-1.6573),(4675,3635,0.16963,-1.6538),(4675,3645,0.17003,-1.6503),(4675,3655,0.17042,-1.6467),(4675,3665,0.17081,-1.6432),(4675,3675,0.17117,-1.6396),(4675,3685,0.17153,-1.6361),(4675,3695,0.17188,-1.6325),(4675,3705,0.17223,-1.6289),(4675,3715,0.17256,-1.6253),(4675,3725,0.17289,-1.6217),(4675,3735,0.17322,-1.618),(4675,3745,0.17354,-1.6143),(4675,3755,0.17387,-1.6105),(4675,3765,0.17419,-1.6067),(4675,3775,0.17451,-1.6027),(4675,3785,0.17481,-1.5987),(4675,3795,0.17506,-1.5947),(4675,3805,0.17532,-1.5906),(4675,3815,0.17557,-1.5862),(4675,3825,0.17552,-1.5818),(4675,3835,0.17485,-1.5774),(4675,3845,0.17417,-1.5728),(4675,3855,0.1735,-1.5676),(4675,3865,0.17164,-1.5625),(4675,3875,0.1677,-1.5573),(4675,3885,0.16375,-1.5519),(4675,3895,0.15981,-1.546),(4675,3905,0.15497,-1.5402),(4675,3915,0.1488,-1.5344),(4675,3925,0.14262,-1.529),(4675,3935,0.13645,-1.5244),(4675,3945,0.1454,-1.5197),(4675,3955,0.17355,-1.5151),(4675,3965,0.2017,-1.5023),(4675,3975,0.22986,-1.4801),(4675,3985,0.29377,-1.4579),(4675,3995,0.39639,-1.4356),(4675,4005,0.49902,-1.3496),(4675,4015,0.60164,-1.1997),(4675,4025,0.67082,-1.0498),(4675,4035,0.73673,-0.94207),(4675,4045,0.80264,-0.92311),(4675,4055,0.95519,-0.90414),(4675,4065,1.1394,-0.88365),(4675,4075,1.3235,-0.85402),(4675,4085,1.4183,-0.82439),(4675,4095,1.4412,-0.79476),(4675,4105,1.4641,-0.76723),(4675,4115,1.4847,-0.73978),(4675,4125,1.5017,-0.71232),(4675,4135,1.5187,-0.68655),(4675,4145,1.5349,-0.66123),(4675,4155,1.5479,-0.63591),(4675,4165,1.5609,-0.61167),(4675,4175,1.5739,-0.58812),(4675,4185,1.5838,-0.56457),(4675,4195,1.5938,-0.54182),(4675,4205,1.6037,-0.52014),(4675,4215,1.6112,-0.49845),(4675,4225,1.6183,-0.4773),(4675,4235,1.6253,-0.4577),(4675,4245,1.6307,-0.4381),(4675,4255,1.6353,-0.41866),(4675,4265,1.6399,-0.40111),(4675,4275,1.6436,-0.38356),(4675,4285,1.6464,-0.36601),(4675,4295,1.6492,-0.35016),(4675,4305,1.6517,-0.33451),(4675,4315,1.6534,-0.31886),(4675,4325,1.6551,-0.30427),(4675,4335,1.6566,-0.2901),(4675,4345,1.6572,-0.27593),(4675,4355,1.6578,-0.26263),(4675,4365,1.6584,-0.25008),(4675,4375,1.658,-0.23753),(4675,4385,1.6576,-0.22548),(4675,4395,1.6572,-0.21429),(4675,4405,1.6563,-0.2031),(4675,4415,1.6553,-0.19211),(4675,4425,1.6542,-0.18202),(4675,4435,1.653,-0.17194),(4675,4445,1.6516,-0.16185),(4675,4455,1.6503,-0.15265),(4675,4465,1.6488,-0.14344),(4675,4475,1.6472,-0.13424),(4675,4485,1.6456,-0.12568),(4675,4495,1.644,-0.11727),(4675,4505,1.642,-0.10886),(4675,4515,1.64,-0.10088),(4675,4525,1.638,-0.093127),(4675,4535,1.6356,-0.08538),(4675,4545,1.6332,-0.077877),(4675,4555,1.6308,-0.070649),(4675,4565,1.6282,-0.063422),(4675,4575,1.6255,-0.056376),(4675,4585,1.6228,-0.049772),(4675,4595,1.6202,-0.043168),(4675,4605,1.6177,-0.03661),(4675,4615,1.6151,-0.030406),(4675,4625,1.6124,-0.024201),(4675,4635,1.6097,-0.017997),(4675,4645,1.607,-0.012242),(4675,4655,1.6042,-0.006519),(4675,4665,1.6013,-0.000795),(4675,4675,1.5983,0.004566),(4675,4685,1.5954,0.00981),(4675,4695,1.5924,0.015054),(4675,4705,1.5893,0.019999),(4675,4715,1.5863,0.024725),(4675,4725,1.5835,0.029451),(4675,4735,1.5806,0.033984),(4675,4745,1.5778,0.03823),(4675,4755,1.575,0.042476),(4675,4765,1.5723,0.046618),(4675,4775,1.5696,0.050401),(4675,4785,1.5668,0.054184),(4675,4795,1.5641,0.057949),(4675,4805,1.5614,0.061339),(4675,4815,1.5587,0.064729),(4675,4825,1.5559,0.068119),(4675,4835,1.5532,0.071224),(4675,4845,1.5505,0.074284),(4675,4855,1.5479,0.077345),(4675,4865,1.5453,0.080109),(4675,4875,1.5428,0.082739),(4675,4885,1.5405,0.085368),(4675,4895,1.5382,0.087862),(4675,4905,1.5359,0.090226),(4675,4915,1.5336,0.09259),(4675,4925,1.5313,0.094897),(4675,4935,1.529,0.097091),(4675,4945,1.5266,0.099286),(4675,4955,1.5242,0.10144),(4675,4965,1.5217,0.1034),(4675,4975,1.5193,0.10536),(4675,4985,1.5168,0.10731),(4675,4995,1.5144,0.10859),(4675,5005,1.5122,0.10985),(4675,5015,1.5104,0.11111),(4675,5025,1.5085,0.11174),(4675,5035,1.5068,0.11221),(4675,5045,1.5054,0.11268),(4675,5055,1.5041,0.11262),(4675,5065,1.5028,0.11223),(4675,5075,1.5021,0.11184),(4675,5085,1.5013,0.11107),(4675,5095,1.5005,0.10984),(4675,5105,1.5003,0.1086),(4675,5115,1.5003,0.10706),(4675,5125,1.5002,0.10468),(4675,5135,1.5011,0.10229),(4675,5145,1.5024,0.099782),(4675,5155,1.5037,0.095929),(4675,5165,1.5059,0.092076),(4675,5175,1.509,0.088223),(4675,5185,1.5121,0.083441),(4675,5195,1.5156,0.078563),(4675,5205,1.52,0.073684),(4675,5215,1.5244,0.068612),(4675,5225,1.5288,0.063467),(4675,5235,1.5337,0.058322),(4675,5245,1.5386,0.053089),(4675,5255,1.5435,0.047786),(4675,5265,1.5492,0.042483),(4675,5275,1.555,0.036896),(4675,5285,1.5608,0.030829),(4675,5295,1.568,0.024761),(4675,5305,1.5757,0.018715),(4675,5315,1.5833,0.012754),(4675,5325,1.5915,0.006794),(4675,5335,1.6001,0.000863),(4675,5345,1.6086,-0.003073),(4675,5355,1.6166,-0.007009),(4675,5365,1.6237,-0.010945),(4675,5375,1.6308,-0.011944),(4675,5385,1.637,-0.012369),(4675,5395,1.6408,-0.012793),(4675,5405,1.6445,-0.0113),(4675,5415,1.648,-0.008812),(4675,5425,1.6489,-0.006324),(4675,5435,1.6498,-0.00324),(4675,5445,1.6508,0.00049),(4675,5455,1.6509,0.00422),(4675,5465,1.6509,0.008252),(4675,5475,1.6509,0.012982),(4675,5485,1.6507,0.017712),(4675,5495,1.6504,0.022565),(4675,5505,1.6502,0.028291),(4675,5515,1.6498,0.034016),(4675,5525,1.6494,0.039741),(4675,5535,1.649,0.046338),(4675,5545,1.6484,0.052985),(4675,5555,1.6477,0.059632),(4675,5565,1.6469,0.066829),(4675,5575,1.6461,0.074192),(4675,5585,1.6448,0.081556),(4675,5595,1.6435,0.089208),(4675,5605,1.6422,0.09706),(4675,5615,1.6402,0.10491),(4675,5625,1.6382,0.11286),(4675,5635,1.6362,0.12095),(4675,5645,1.6335,0.12903),(4675,5655,1.6307,0.1371),(4675,5665,1.6279,0.14508),(4675,5675,1.6245,0.15306),(4675,5685,1.6207,0.16102),(4675,5695,1.617,0.16853),(4675,5705,1.6129,0.17603),(4675,5715,1.6084,0.18354),(4675,5725,1.6038,0.19013),(4675,5735,1.5991,0.19659),(4675,5745,1.5939,0.20305),(4675,5755,1.5887,0.20821),(4675,5765,1.5834,0.21281),(4675,5775,1.578,0.21741),(4675,5785,1.5727,0.22043),(4675,5795,1.5673,0.22198),(4675,5805,1.5627,0.22354),(4675,5815,1.5581,0.22345),(4675,5825,1.5535,0.22016),(4675,5835,1.5512,0.21687),(4675,5845,1.5496,0.21238),(4675,5855,1.548,0.20174),(4675,5865,1.5503,0.1911),(4675,5875,1.5555,0.18046),(4675,5885,1.5607,0.15973),(4675,5895,1.571,0.13885),(4675,5905,1.5891,0.11797),(4675,5915,1.6071,0.087513),(4675,5925,1.6293,0.054767),(4675,5935,1.6663,0.022021),(4675,5945,1.7033,-0.016074),(4675,5955,1.741,-0.057328),(4675,5965,1.7964,-0.098582),(4675,5975,1.8517,-0.13812),(4675,5985,1.9071,-0.17558),(4675,5995,1.965,-0.21303),(4675,6005,2.0234,-0.24523),(4675,6015,2.0817,-0.26337),(4675,6025,2.1279,-0.28151),(4675,6035,2.1684,-0.29776),(4675,6045,2.2089,-0.29584),(4675,6055,2.2391,-0.29392),(4675,6065,2.2592,-0.29199),(4675,6075,2.2793,-0.28293),(4675,6085,2.2962,-0.27321),(4675,6095,2.3069,-0.2635),(4675,6105,2.3175,-0.25283),(4675,6115,2.3276,-0.24183),(4675,6125,2.3346,-0.23083),(4675,6135,2.3416,-0.22012),(4675,6145,2.3487,-0.20963),(4675,6155,2.3539,-0.19915),(4675,6165,2.3591,-0.18905),(4675,6175,2.3643,-0.17958),(4675,6185,2.3685,-0.17011),(4675,6195,2.3724,-0.16086),(4675,6205,2.3763,-0.15247),(4675,6215,2.3797,-0.14409),(4675,6225,2.3827,-0.13574),(4675,6235,2.3856,-0.1284),(4675,6245,2.3883,-0.12107),(4675,6255,2.3906,-0.11373),(4675,6265,2.3928,-0.10724),(4675,6275,2.395,-0.1009),(4675,6285,2.3967,-0.094568),(4675,6295,2.3984,-0.0888),(4675,6305,2.4002,-0.083314),(4675,6315,2.4014,-0.077829),(4675,6325,2.4027,-0.072721),(4675,6335,2.404,-0.068005),(4675,6345,2.405,-0.06329),(4675,6355,2.406,-0.058796),(4675,6365,2.407,-0.054792),(4675,6375,2.4078,-0.050788),(4675,6385,2.4085,-0.046853),(4675,6395,2.4093,-0.04336),(4675,6405,2.4099,-0.039868),(4675,6415,2.4104,-0.036376),(4675,6425,2.411,-0.033287),(4675,6435,2.4115,-0.030217),(4675,6445,2.4119,-0.027147),(4675,6455,2.4123,-0.024377),(4675,6465,2.4127,-0.021694),(4675,6475,2.413,-0.01901),(4675,6485,2.4133,-0.016486),(4675,6495,2.4136,-0.01407),(4675,6505,2.4137,-0.011653),(4675,6515,2.4139,-0.009333),(4675,6525,2.4141,-0.007143),(4675,6535,2.4142,-0.004954),(4675,6545,2.4143,-0.002786),(4675,6555,2.4144,-0.000681),(4675,6565,2.4145,0.001424),(4675,6575,2.4146,0.003526),(4675,6585,2.4146,0.00557),(4675,6595,2.054,0.007615),(4675,6605,1.2951,0.00966),(4675,6615,0.53627,0.009863),(4675,6625,0.002801,0.00983),(4675,6635,0.002765,0.009797),(4675,6645,0.00273,0.009772),(4675,6655,0.002694,0.00975),(4675,6665,0.002664,0.009729),(4675,6675,0.002633,0.009709),(4675,6685,0.002603,0.00969),(4675,6695,0.002576,0.009671),(4675,6705,0.00255,0.009654),(4675,6715,0.002523,0.009637),(4675,6725,0.0025,0.009621),(4675,6735,0.002477,0.009605),(4675,6745,0.002454,0.009591),(4675,6755,0.002433,0.009577),(4675,6765,0.002413,0.009563),(4675,6775,0.002394,0.00955),(4675,6785,0.002375,0.009538),(4675,6795,0.002358,0.009525),(4675,6805,0.002341,0.009514),(4675,6815,0.002324,0.009503),(4675,6825,0.00231,0.009492),(4675,6835,0.002295,0.009482),(4675,6845,0.00228,0.009472),(4675,6855,0.002267,0.009462),(4675,6865,0.002254,0.009452),(4675,6875,0.002241,0.009443),(4675,6885,0.00223,0.009434),(4675,6895,0.002219,0.009425),(4675,6905,0.002207,0.009417),(4675,6915,0.002197,0.009409),(4675,6925,0.002188,0.009401),(4675,6935,0.002178,0.009393),(4675,6945,0.002169,0.009385),(4675,6955,0.002161,0.009378),(4675,6965,0.002152,0.00937),(4675,6975,0.002144,0.009363),(4675,6985,0.002137,0.009356),(4685,5,1e-06,-1.4362),(4685,15,2e-06,-1.4363),(4685,25,1e-05,-1.4365),(4685,35,2.5e-05,-1.4367),(4685,45,3.9e-05,-1.4368),(4685,55,5.3e-05,-1.437),(4685,65,7e-05,-1.4371),(4685,75,8.8e-05,-1.4373),(4685,85,0.000107,-1.4375),(4685,95,0.000126,-1.4377),(4685,105,0.000147,-1.438),(4685,115,0.000168,-1.4383),(4685,125,0.00019,-1.4386),(4685,135,0.000211,-1.4389),(4685,145,0.000205,-1.4393),(4685,155,0.000181,-1.4396),(4685,165,0.000158,-1.44),(4685,175,0.000135,-1.4403),(4685,185,9.4e-05,-1.4407),(4685,195,4.4e-05,-1.4411),(4685,205,-6e-06,-1.4415),(4685,215,-5.6e-05,-1.4419),(4685,225,-7.7e-05,-1.4423),(4685,235,-8.8e-05,-1.4427),(4685,245,-9.9e-05,-1.4433),(4685,255,-0.00011,-1.4438),(4685,265,-7.8e-05,-1.4444),(4685,275,-3.3e-05,-1.445),(4685,285,1.3e-05,-1.4458),(4685,295,5.8e-05,-1.4465),(4685,305,9.9e-05,-1.4473),(4685,315,0.000138,-1.4481),(4685,325,0.000177,-1.4489),(4685,335,0.000216,-1.4497),(4685,345,0.000233,-1.4506),(4685,355,0.000245,-1.4514),(4685,365,0.000257,-1.4523),(4685,375,0.000269,-1.4532),(4685,385,0.000275,-1.4541),(4685,395,0.00028,-1.455),(4685,405,0.000285,-1.456),(4685,415,0.00029,-1.4571),(4685,425,0.000299,-1.4581),(4685,435,0.000307,-1.4591),(4685,445,0.000316,-1.4603),(4685,455,0.000325,-1.4615),(4685,465,0.000308,-1.4627),(4685,475,0.00029,-1.464),(4685,485,0.000272,-1.4653),(4685,495,0.000254,-1.4666),(4685,505,0.000227,-1.4678),(4685,515,0.000201,-1.4691),(4685,525,0.000174,-1.4706),(4685,535,0.000149,-1.472),(4685,545,0.000146,-1.4735),(4685,555,0.000143,-1.4749),(4685,565,0.00014,-1.4766),(4685,575,0.000139,-1.4782),(4685,585,0.000168,-1.4798),(4685,595,0.000198,-1.4815),(4685,605,0.000227,-1.4833),(4685,615,0.000256,-1.4852),(4685,625,0.000279,-1.487),(4685,635,0.000303,-1.4889),(4685,645,0.000327,-1.4909),(4685,655,0.000348,-1.4929),(4685,665,0.00035,-1.4949),(4685,675,0.000353,-1.4969),(4685,685,0.000356,-1.4991),(4685,695,0.000359,-1.5012),(4685,705,0.000363,-1.5034),(4685,715,0.000367,-1.5056),(4685,725,0.00037,-1.508),(4685,735,0.000376,-1.5104),(4685,745,0.000389,-1.5127),(4685,755,0.000401,-1.5152),(4685,765,0.000414,-1.5177),(4685,775,0.000426,-1.5203),(4685,785,0.000434,-1.5229),(4685,795,0.000442,-1.5256),(4685,805,0.000451,-1.5284),(4685,815,0.000465,-1.5311),(4685,825,0.000494,-1.5339),(4685,835,0.000522,-1.5368),(4685,845,0.00055,-1.5398),(4685,855,0.000583,-1.5428),(4685,865,0.000625,-1.5459),(4685,875,0.000666,-1.549),(4685,885,0.000708,-1.5522),(4685,895,0.00075,-1.5555),(4685,905,0.000793,-1.5588),(4685,915,0.000836,-1.5621),(4685,925,0.000879,-1.5657),(4685,935,0.000913,-1.5692),(4685,945,0.000933,-1.5727),(4685,955,0.000953,-1.5763),(4685,965,0.000973,-1.5801),(4685,975,0.000985,-1.5838),(4685,985,0.000987,-1.5876),(4685,995,0.000989,-1.5915),(4685,1005,0.000992,-1.5955),(4685,1015,0.000995,-1.5994),(4685,1025,0.001001,-1.6034),(4685,1035,0.001006,-1.6075),(4685,1045,0.001012,-1.6118),(4685,1055,0.001062,-1.616),(4685,1065,0.001148,-1.6202),(4685,1075,0.001235,-1.6245),(4685,1085,0.001321,-1.629),(4685,1095,0.001437,-1.6334),(4685,1105,0.001573,-1.6379),(4685,1115,0.001708,-1.6425),(4685,1125,0.001844,-1.6473),(4685,1135,0.001347,-1.652),(4685,1145,0.000477,-1.6568),(4685,1155,-0.000393,-1.6618),(4685,1165,-0.001263,-1.6669),(4685,1175,-0.004629,-1.6721),(4685,1185,-0.009233,-1.6772),(4685,1195,-0.013838,-1.6841),(4685,1205,-0.018442,-1.6917),(4685,1215,-0.024681,-1.6993),(4685,1225,-0.031594,-1.707),(4685,1235,-0.038506,-1.7198),(4685,1245,-0.045419,-1.7346),(4685,1255,-0.030648,-1.7493),(4685,1265,-0.008553,-1.7641),(4685,1275,0.013542,-1.7562),(4685,1285,0.035637,-1.7414),(4685,1295,0.083666,-1.7265),(4685,1305,0.13871,-1.7117),(4685,1315,0.19375,-1.5983),(4685,1325,0.24879,-1.4612),(4685,1335,0.14989,-1.3242),(4685,1345,0.018733,-1.1871),(4685,1355,-0.11243,-1.2775),(4685,1365,-0.24359,-1.4092),(4685,1375,-0.21842,-1.5408),(4685,1385,-0.16914,-1.6724),(4685,1395,-0.11986,-1.7081),(4685,1405,-0.070578,-1.7314),(4685,1415,-0.036799,-1.7547),(4685,1425,-0.00463,-1.7781),(4685,1435,0.02754,-1.7642),(4685,1445,0.059709,-1.7474),(4685,1455,0.052766,-1.7306),(4685,1465,0.04357,-1.7138),(4685,1475,0.034375,-1.7056),(4685,1485,0.025179,-1.6978),(4685,1495,0.018783,-1.69),(4685,1505,0.01243,-1.6822),(4685,1515,0.006077,-1.6777),(4685,1525,-0.000151,-1.6732),(4685,1535,-0.001448,-1.6687),(4685,1545,-0.002745,-1.6642),(4685,1555,-0.004041,-1.66),(4685,1565,-0.005242,-1.6559),(4685,1575,-0.005039,-1.6518),(4685,1585,-0.004836,-1.6477),(4685,1595,-0.004633,-1.6438),(4685,1605,-0.004425,-1.64),(4685,1615,-0.004173,-1.6361),(4685,1625,-0.00392,-1.6323),(4685,1635,-0.003668,-1.6287),(4685,1645,-0.003435,-1.6252),(4685,1655,-0.003318,-1.6217),(4685,1665,-0.0032,-1.6182),(4685,1675,-0.003083,-1.615),(4685,1685,-0.002977,-1.6119),(4685,1695,-0.002925,-1.6087),(4685,1705,-0.002873,-1.6056),(4685,1715,-0.002821,-1.6028),(4685,1725,-0.002774,-1.6001),(4685,1735,-0.002746,-1.5973),(4685,1745,-0.002717,-1.5946),(4685,1755,-0.002688,-1.5922),(4685,1765,-0.002662,-1.5898),(4685,1775,-0.002644,-1.5874),(4685,1785,-0.002627,-1.5852),(4685,1795,-0.002609,-1.5832),(4685,1805,-0.00259,-1.5812),(4685,1815,-0.002569,-1.5792),(4685,1825,-0.002547,-1.5773),(4685,1835,-0.002526,-1.5757),(4685,1845,-0.002494,-1.5741),(4685,1855,-0.002439,-1.5725),(4685,1865,-0.002384,-1.5711),(4685,1875,-0.00233,-1.5699),(4685,1885,-0.002288,-1.5688),(4685,1895,-0.002267,-1.5676),(4685,1905,-0.002246,-1.5666),(4685,1915,-0.002225,-1.5658),(4685,1925,-0.002197,-1.565),(4685,1935,-0.002159,-1.5642),(4685,1945,-0.002122,-1.5636),(4685,1955,-0.002084,-1.5632),(4685,1965,-0.002045,-1.5627),(4685,1975,-0.002004,-1.5623),(4685,1985,-0.001962,-1.562),(4685,1995,-0.001921,-1.562),(4685,2005,-0.001877,-1.5619),(4685,2015,-0.00183,-1.5619),(4685,2025,-0.001783,-1.562),(4685,2035,-0.001736,-1.5623),(4685,2045,-0.001688,-1.5626),(4685,2055,-0.001639,-1.5629),(4685,2065,-0.00159,-1.5634),(4685,2075,-0.00154,-1.564),(4685,2085,-0.001489,-1.5647),(4685,2095,-0.001437,-1.5653),(4685,2105,-0.001385,-1.5662),(4685,2115,-0.001333,-1.5672),(4685,2125,-0.001275,-1.5682),(4685,2135,-0.001213,-1.5692),(4685,2145,-0.001151,-1.5704),(4685,2155,-0.001089,-1.5717),(4685,2165,-0.00101,-1.5731),(4685,2175,-0.000922,-1.5744),(4685,2185,-0.000834,-1.576),(4685,2195,-0.000746,-1.5777),(4685,2205,-0.000631,-1.5793),(4685,2215,-0.000506,-1.581),(4685,2225,-0.00038,-1.5829),(4685,2235,-0.000254,-1.5849),(4685,2245,-7.4e-05,-1.5869),(4685,2255,0.000125,-1.5889),(4685,2265,0.000324,-1.5911),(4685,2275,0.000523,-1.5935),(4685,2285,0.000732,-1.5958),(4685,2295,0.000945,-1.5982),(4685,2305,0.001158,-1.6007),(4685,2315,0.00137,-1.6033),(4685,2325,0.001636,-1.6059),(4685,2335,0.001914,-1.6085),(4685,2345,0.002191,-1.6113),(4685,2355,0.002469,-1.6142),(4685,2365,0.002802,-1.6171),(4685,2375,0.003144,-1.6199),(4685,2385,0.003487,-1.623),(4685,2395,0.003829,-1.6262),(4685,2405,0.004239,-1.6293),(4685,2415,0.004658,-1.6324),(4685,2425,0.005076,-1.6358),(4685,2435,0.005494,-1.6391),(4685,2445,0.005968,-1.6425),(4685,2455,0.006447,-1.6459),(4685,2465,0.006925,-1.6494),(4685,2475,0.007403,-1.6529),(4685,2485,0.007946,-1.6565),(4685,2495,0.00849,-1.66),(4685,2505,0.009034,-1.6637),(4685,2515,0.00958,-1.6674),(4685,2525,0.010204,-1.6712),(4685,2535,0.010829,-1.6749),(4685,2545,0.011453,-1.6788),(4685,2555,0.012082,-1.6827),(4685,2565,0.012787,-1.6866),(4685,2575,0.013491,-1.6905),(4685,2585,0.014196,-1.6945),(4685,2595,0.014911,-1.6985),(4685,2605,0.01572,-1.7025),(4685,2615,0.016529,-1.7065),(4685,2625,0.017338,-1.7105),(4685,2635,0.01817,-1.7146),(4685,2645,0.019152,-1.7187),(4685,2655,0.020134,-1.7227),(4685,2665,0.021116,-1.7268),(4685,2675,0.02212,-1.7309),(4685,2685,0.023228,-1.735),(4685,2695,0.024336,-1.7391),(4685,2705,0.025444,-1.743),(4685,2715,0.026586,-1.7469),(4685,2725,0.027853,-1.7508),(4685,2735,0.029119,-1.7546),(4685,2745,0.030386,-1.7583),(4685,2755,0.031689,-1.7619),(4685,2765,0.033099,-1.7655),(4685,2775,0.034508,-1.7691),(4685,2785,0.035918,-1.7724),(4685,2795,0.037365,-1.7757),(4685,2805,0.038899,-1.779),(4685,2815,0.040434,-1.7822),(4685,2825,0.041969,-1.7851),(4685,2835,0.043539,-1.788),(4685,2845,0.045179,-1.791),(4685,2855,0.046819,-1.7937),(4685,2865,0.048459,-1.7962),(4685,2875,0.050146,-1.7987),(4685,2885,0.051913,-1.8012),(4685,2895,0.053681,-1.8036),(4685,2905,0.055448,-1.8057),(4685,2915,0.05726,-1.8078),(4685,2925,0.059138,-1.8099),(4685,2935,0.061016,-1.8118),(4685,2945,0.062893,-1.8134),(4685,2955,0.064793,-1.8151),(4685,2965,0.066719,-1.8167),(4685,2975,0.068645,-1.8181),(4685,2985,0.070571,-1.8191),(4685,2995,0.072509,-1.8201),(4685,3005,0.074458,-1.8212),(4685,3015,0.076407,-1.8219),(4685,3025,0.078355,-1.8222),(4685,3035,0.080301,-1.8226),(4685,3045,0.082245,-1.823),(4685,3055,0.084189,-1.823),(4685,3065,0.086133,-1.8226),(4685,3075,0.088012,-1.8223),(4685,3085,0.089843,-1.8219),(4685,3095,0.091674,-1.8211),(4685,3105,0.093504,-1.8199),(4685,3115,0.095283,-1.8187),(4685,3125,0.097028,-1.8175),(4685,3135,0.098772,-1.8158),(4685,3145,0.10052,-1.8138),(4685,3155,0.10219,-1.8119),(4685,3165,0.10384,-1.8099),(4685,3175,0.10548,-1.8075),(4685,3185,0.10712,-1.8049),(4685,3195,0.10868,-1.8023),(4685,3205,0.11019,-1.7998),(4685,3215,0.11171,-1.7968),(4685,3225,0.11322,-1.7937),(4685,3235,0.11466,-1.7906),(4685,3245,0.11608,-1.7874),(4685,3255,0.11749,-1.7841),(4685,3265,0.1189,-1.7807),(4685,3275,0.12025,-1.7773),(4685,3285,0.12158,-1.7739),(4685,3295,0.1229,-1.7704),(4685,3305,0.12423,-1.7669),(4685,3315,0.12549,-1.7634),(4685,3325,0.12673,-1.7599),(4685,3335,0.12797,-1.7564),(4685,3345,0.12921,-1.753),(4685,3355,0.13035,-1.7495),(4685,3365,0.13146,-1.746),(4685,3375,0.13258,-1.7426),(4685,3385,0.1337,-1.7392),(4685,3395,0.1347,-1.7358),(4685,3405,0.13569,-1.7323),(4685,3415,0.13668,-1.729),(4685,3425,0.13767,-1.7256),(4685,3435,0.13851,-1.7223),(4685,3445,0.13933,-1.7189),(4685,3455,0.14016,-1.7155),(4685,3465,0.14098,-1.7122),(4685,3475,0.14168,-1.7088),(4685,3485,0.14238,-1.7055),(4685,3495,0.14307,-1.7021),(4685,3505,0.14377,-1.6986),(4685,3515,0.14433,-1.6952),(4685,3525,0.14489,-1.6918),(4685,3535,0.14546,-1.6883),(4685,3545,0.14602,-1.6849),(4685,3555,0.14651,-1.6814),(4685,3565,0.147,-1.6779),(4685,3575,0.1475,-1.6744),(4685,3585,0.14799,-1.6709),(4685,3595,0.14843,-1.6674),(4685,3605,0.14886,-1.664),(4685,3615,0.1493,-1.6604),(4685,3625,0.14974,-1.6569),(4685,3635,0.15012,-1.6534),(4685,3645,0.1505,-1.6498),(4685,3655,0.15089,-1.6462),(4685,3665,0.15127,-1.6426),(4685,3675,0.15162,-1.6391),(4685,3685,0.15198,-1.6355),(4685,3695,0.15233,-1.6318),(4685,3705,0.15268,-1.6282),(4685,3715,0.15302,-1.6246),(4685,3725,0.15336,-1.6209),(4685,3735,0.1537,-1.6172),(4685,3745,0.15404,-1.6134),(4685,3755,0.15438,-1.6096),(4685,3765,0.15472,-1.6058),(4685,3775,0.15505,-1.6017),(4685,3785,0.15537,-1.5976),(4685,3795,0.15565,-1.5935),(4685,3805,0.15592,-1.5893),(4685,3815,0.1562,-1.5848),(4685,3825,0.15618,-1.5803),(4685,3835,0.15556,-1.5758),(4685,3845,0.15494,-1.5712),(4685,3855,0.15431,-1.5663),(4685,3865,0.15263,-1.5614),(4685,3875,0.14907,-1.5565),(4685,3885,0.14552,-1.552),(4685,3895,0.14196,-1.5481),(4685,3905,0.13779,-1.5441),(4685,3915,0.13268,-1.5402),(4685,3925,0.12758,-1.5377),(4685,3935,0.12247,-1.5372),(4685,3945,0.12966,-1.5367),(4685,3955,0.15247,-1.5362),(4685,3965,0.17528,-1.5248),(4685,3975,0.19809,-1.5005),(4685,3985,0.24221,-1.4762),(4685,3995,0.3094,-1.4519),(4685,4005,0.3766,-1.362),(4685,4015,0.44379,-1.2065),(4685,4025,0.5505,-1.0511),(4685,4035,0.66107,-0.94011),(4685,4045,0.77164,-0.92277),(4685,4055,0.93347,-0.90543),(4685,4065,1.114,-0.88658),(4685,4075,1.2945,-0.85872),(4685,4085,1.3879,-0.83086),(4685,4095,1.4112,-0.80299),(4685,4105,1.4345,-0.7764),(4685,4115,1.4557,-0.74986),(4685,4125,1.4732,-0.72331),(4685,4135,1.4907,-0.69819),(4685,4145,1.5074,-0.67345),(4685,4155,1.521,-0.64871),(4685,4165,1.5345,-0.62497),(4685,4175,1.548,-0.60187),(4685,4185,1.5584,-0.57878),(4685,4195,1.5689,-0.55641),(4685,4205,1.5793,-0.53502),(4685,4215,1.5874,-0.51363),(4685,4225,1.5951,-0.49271),(4685,4235,1.6027,-0.47322),(4685,4245,1.6087,-0.45372),(4685,4255,1.6139,-0.43437),(4685,4265,1.6191,-0.41682),(4685,4275,1.6234,-0.39927),(4685,4285,1.6267,-0.38172),(4685,4295,1.63,-0.3658),(4685,4305,1.633,-0.35008),(4685,4315,1.6352,-0.33435),(4685,4325,1.6373,-0.31966),(4685,4335,1.6393,-0.30537),(4685,4345,1.6404,-0.29109),(4685,4355,1.6414,-0.27762),(4685,4365,1.6425,-0.26485),(4685,4375,1.6425,-0.25208),(4685,4385,1.6425,-0.23979),(4685,4395,1.6426,-0.22835),(4685,4405,1.642,-0.2169),(4685,4415,1.6413,-0.20567),(4685,4425,1.6406,-0.19535),(4685,4435,1.6396,-0.18504),(4685,4445,1.6386,-0.17473),(4685,4455,1.6375,-0.16531),(4685,4465,1.6363,-0.15589),(4685,4475,1.6349,-0.14648),(4685,4485,1.6336,-0.13768),(4685,4495,1.6321,-0.12902),(4685,4505,1.6304,-0.12036),(4685,4515,1.6286,-0.11214),(4685,4525,1.6268,-0.10415),(4685,4535,1.6246,-0.096166),(4685,4545,1.6223,-0.088459),(4685,4555,1.6201,-0.081066),(4685,4565,1.6177,-0.073673),(4685,4575,1.6152,-0.06647),(4685,4585,1.6127,-0.059729),(4685,4595,1.6103,-0.052987),(4685,4605,1.6079,-0.046295),(4685,4615,1.6054,-0.039993),(4685,4625,1.6029,-0.03369),(4685,4635,1.6003,-0.027387),(4685,4645,1.5978,-0.021527),(4685,4655,1.5951,-0.015698),(4685,4665,1.5923,-0.009869),(4685,4675,1.5895,-0.004431),(4685,4685,1.5868,0.000882),(4685,4695,1.5839,0.006195),(4685,4705,1.581,0.011194),(4685,4715,1.5782,0.015965),(4685,4725,1.5755,0.020736),(4685,4735,1.5728,0.02532),(4685,4745,1.5701,0.029624),(4685,4755,1.5675,0.033929),(4685,4765,1.5649,0.038139),(4685,4775,1.5623,0.042019),(4685,4785,1.5597,0.0459),(4685,4795,1.5571,0.049761),(4685,4805,1.5545,0.05323),(4685,4815,1.5519,0.056698),(4685,4825,1.5493,0.060166),(4685,4835,1.5467,0.063304),(4685,4845,1.5441,0.066391),(4685,4855,1.5416,0.069479),(4685,4865,1.5392,0.072276),(4685,4875,1.5368,0.074942),(4685,4885,1.5345,0.077608),(4685,4895,1.5323,0.080147),(4685,4905,1.5301,0.082565),(4685,4915,1.5279,0.084982),(4685,4925,1.5257,0.087323),(4685,4935,1.5235,0.08951),(4685,4945,1.5211,0.091697),(4685,4955,1.5188,0.093826),(4685,4965,1.5165,0.095634),(4685,4975,1.5142,0.097443),(4685,4985,1.512,0.099252),(4685,4995,1.5098,0.10033),(4685,5005,1.5078,0.1014),(4685,5015,1.5062,0.10246),(4685,5025,1.5046,0.10292),(4685,5035,1.5031,0.10321),(4685,5045,1.5021,0.10351),(4685,5055,1.501,0.10328),(4685,5065,1.5,0.10275),(4685,5075,1.4995,0.10221),(4685,5085,1.499,0.10127),(4685,5095,1.4985,0.099814),(4685,5105,1.4987,0.098363),(4685,5115,1.499,0.096603),(4685,5125,1.4993,0.093977),(4685,5135,1.5005,0.09135),(4685,5145,1.5023,0.088614),(4685,5155,1.504,0.084691),(4685,5165,1.5066,0.080768),(4685,5175,1.5099,0.076844),(4685,5185,1.5133,0.072186),(4685,5195,1.517,0.067451),(4685,5205,1.5214,0.062716),(4685,5215,1.5258,0.057815),(4685,5225,1.5303,0.052851),(4685,5235,1.5353,0.047888),(4685,5245,1.5402,0.042807),(4685,5255,1.5452,0.037631),(4685,5265,1.551,0.032455),(4685,5275,1.557,0.027104),(4685,5285,1.5629,0.021457),(4685,5295,1.57,0.01581),(4685,5305,1.5775,0.010269),(4685,5315,1.585,0.00517),(4685,5325,1.5927,7.1e-05),(4685,5335,1.6006,-0.004996),(4685,5345,1.6084,-0.007907),(4685,5355,1.6155,-0.010818),(4685,5365,1.6216,-0.013729),(4685,5375,1.6277,-0.013996),(4685,5385,1.633,-0.013747),(4685,5395,1.6359,-0.013498),(4685,5405,1.6388,-0.011651),(4685,5415,1.6416,-0.008975),(4685,5425,1.6421,-0.006299),(4685,5435,1.6427,-0.003104),(4685,5445,1.6433,0.000655),(4685,5455,1.6431,0.004413),(4685,5465,1.6428,0.008434),(4685,5475,1.6425,0.01306),(4685,5485,1.6421,0.017686),(4685,5495,1.6415,0.02242),(4685,5505,1.641,0.027912),(4685,5515,1.6404,0.033404),(4685,5525,1.6397,0.038896),(4685,5535,1.6391,0.045155),(4685,5545,1.6383,0.051457),(4685,5555,1.6373,0.057759),(4685,5565,1.6364,0.064541),(4685,5575,1.6353,0.071467),(4685,5585,1.6339,0.078394),(4685,5595,1.6325,0.085558),(4685,5605,1.6311,0.092887),(4685,5615,1.629,0.10022),(4685,5625,1.627,0.1076),(4685,5635,1.6249,0.11507),(4685,5645,1.6223,0.12253),(4685,5655,1.6195,0.12994),(4685,5665,1.6168,0.13717),(4685,5675,1.6135,0.14441),(4685,5685,1.61,0.1516),(4685,5695,1.6065,0.15818),(4685,5705,1.6027,0.16476),(4685,5715,1.5986,0.17134),(4685,5725,1.5944,0.17678),(4685,5735,1.5902,0.18206),(4685,5745,1.5856,0.18734),(4685,5755,1.5811,0.1911),(4685,5765,1.5766,0.19421),(4685,5775,1.5722,0.19731),(4685,5785,1.5679,0.19863),(4685,5795,1.5636,0.19831),(4685,5805,1.5606,0.19798),(4685,5815,1.5577,0.19586),(4685,5825,1.5547,0.19028),(4685,5835,1.5546,0.1847),(4685,5845,1.5553,0.17788),(4685,5855,1.5561,0.1647),(4685,5865,1.5612,0.15152),(4685,5875,1.5695,0.13834),(4685,5885,1.5779,0.11539),(4685,5895,1.5913,0.092292),(4685,5905,1.6126,0.069196),(4685,5915,1.634,0.037788),(4685,5925,1.6591,0.004391),(4685,5935,1.6979,-0.029006),(4685,5945,1.7367,-0.065811),(4685,5955,1.7761,-0.10463),(4685,5965,1.8295,-0.14345),(4685,5975,1.8828,-0.17928),(4685,5985,1.9362,-0.21148),(4685,5995,1.9887,-0.24368),(4685,6005,2.0411,-0.27087),(4685,6015,2.0936,-0.28469),(4685,6025,2.1341,-0.2985),(4685,6035,2.169,-0.31073),(4685,6045,2.204,-0.30772),(4685,6055,2.2303,-0.30471),(4685,6065,2.2483,-0.3017),(4685,6075,2.2662,-0.29281),(4685,6085,2.2816,-0.28339),(4685,6095,2.2919,-0.27396),(4685,6105,2.3021,-0.26369),(4685,6115,2.3119,-0.25312),(4685,6125,2.319,-0.24254),(4685,6135,2.3262,-0.23218),(4685,6145,2.3333,-0.22198),(4685,6155,2.3388,-0.21178),(4685,6165,2.3442,-0.2019),(4685,6175,2.3497,-0.19253),(4685,6185,2.3542,-0.18316),(4685,6195,2.3584,-0.17399),(4685,6205,2.3626,-0.16557),(4685,6215,2.3663,-0.15715),(4685,6225,2.3695,-0.14875),(4685,6235,2.3728,-0.14126),(4685,6245,2.3758,-0.13377),(4685,6255,2.3783,-0.12628),(4685,6265,2.3809,-0.11957),(4685,6275,2.3833,-0.113),(4685,6285,2.3853,-0.10643),(4685,6295,2.3873,-0.10038),(4685,6305,2.3892,-0.094584),(4685,6315,2.3907,-0.088789),(4685,6325,2.3922,-0.083364),(4685,6335,2.3938,-0.078323),(4685,6345,2.395,-0.073281),(4685,6355,2.3962,-0.068452),(4685,6365,2.3973,-0.064091),(4685,6375,2.3983,-0.05973),(4685,6385,2.3992,-0.055435),(4685,6395,2.4001,-0.051568),(4685,6405,2.4009,-0.047702),(4685,6415,2.4016,-0.043835),(4685,6425,2.4023,-0.040364),(4685,6435,2.4029,-0.036911),(4685,6445,2.4034,-0.033458),(4685,6455,2.4039,-0.030302),(4685,6465,2.4044,-0.027231),(4685,6475,2.4048,-0.02416),(4685,6485,2.4052,-0.021248),(4685,6495,2.4055,-0.018443),(4685,6505,2.4058,-0.015637),(4685,6515,2.406,-0.012928),(4685,6525,2.4063,-0.010351),(4685,6535,2.4065,-0.007774),(4685,6545,2.4066,-0.005218),(4685,6555,2.4068,-0.002731),(4685,6565,2.4068,-0.000243),(4685,6575,2.4069,0.002242),(4685,6585,2.407,0.004685),(4685,6595,2.0475,0.007127),(4685,6605,1.291,0.00957),(4685,6615,0.5346,0.009821),(4685,6625,0.002818,0.00979),(4685,6635,0.002781,0.00976),(4685,6645,0.002745,0.009737),(4685,6655,0.002709,0.009717),(4685,6665,0.002677,0.009697),(4685,6675,0.002646,0.009678),(4685,6685,0.002614,0.009661),(4685,6695,0.002587,0.009644),(4685,6705,0.00256,0.009627),(4685,6715,0.002533,0.009612),(4685,6725,0.002509,0.009597),(4685,6735,0.002486,0.009582),(4685,6745,0.002462,0.009569),(4685,6755,0.002441,0.009556),(4685,6765,0.002421,0.009543),(4685,6775,0.002401,0.009531),(4685,6785,0.002381,0.00952),(4685,6795,0.002364,0.009508),(4685,6805,0.002347,0.009498),(4685,6815,0.00233,0.009487),(4685,6825,0.002315,0.009477),(4685,6835,0.002299,0.009467),(4685,6845,0.002285,0.009458),(4685,6855,0.002271,0.009449),(4685,6865,0.002258,0.009439),(4685,6875,0.002245,0.009431),(4685,6885,0.002233,0.009423),(4685,6895,0.002222,0.009414),(4685,6905,0.002211,0.009406),(4685,6915,0.0022,0.009399),(4685,6925,0.002191,0.009391),(4685,6935,0.002181,0.009384),(4685,6945,0.002171,0.009376),(4685,6955,0.002163,0.009369),(4685,6965,0.002155,0.009362),(4685,6975,0.002146,0.009355),(4685,6985,0.002139,0.009349),(4695,5,-2e-06,-1.4362),(4695,15,-7e-06,-1.4363),(4695,25,-4e-06,-1.4365),(4695,35,6e-06,-1.4366),(4695,45,1.6e-05,-1.4368),(4695,55,2.6e-05,-1.437),(4695,65,4.2e-05,-1.4371),(4695,75,6.1e-05,-1.4373),(4695,85,8e-05,-1.4375),(4695,95,0.0001,-1.4377),(4695,105,0.000125,-1.438),(4695,115,0.000154,-1.4383),(4695,125,0.000183,-1.4386),(4695,135,0.000212,-1.4389),(4695,145,0.000216,-1.4393),(4695,155,0.000206,-1.4397),(4695,165,0.000196,-1.44),(4695,175,0.000186,-1.4404),(4695,185,0.00015,-1.4407),(4695,195,0.000101,-1.4411),(4695,205,5.2e-05,-1.4415),(4695,215,3e-06,-1.4419),(4695,225,-2.8e-05,-1.4423),(4695,235,-5.3e-05,-1.4427),(4695,245,-7.7e-05,-1.4432),(4695,255,-0.000102,-1.4438),(4695,265,-8.1e-05,-1.4444),(4695,275,-4.6e-05,-1.445),(4695,285,-1.1e-05,-1.4457),(4695,295,2.4e-05,-1.4465),(4695,305,6.5e-05,-1.4473),(4695,315,0.000107,-1.448),(4695,325,0.000149,-1.4489),(4695,335,0.000192,-1.4497),(4695,345,0.000213,-1.4506),(4695,355,0.00023,-1.4514),(4695,365,0.000247,-1.4523),(4695,375,0.000265,-1.4532),(4695,385,0.000269,-1.4541),(4695,395,0.000272,-1.455),(4695,405,0.000275,-1.456),(4695,415,0.000278,-1.457),(4695,425,0.000288,-1.4581),(4695,435,0.000299,-1.4591),(4695,445,0.000309,-1.4603),(4695,455,0.00032,-1.4615),(4695,465,0.000309,-1.4628),(4695,475,0.000298,-1.464),(4695,485,0.000286,-1.4653),(4695,495,0.000274,-1.4666),(4695,505,0.000247,-1.4679),(4695,515,0.00022,-1.4692),(4695,525,0.000193,-1.4706),(4695,535,0.000167,-1.4721),(4695,545,0.000156,-1.4735),(4695,555,0.000145,-1.4749),(4695,565,0.000134,-1.4766),(4695,575,0.000125,-1.4782),(4695,585,0.000148,-1.4798),(4695,595,0.000171,-1.4814),(4695,605,0.000194,-1.4833),(4695,615,0.000218,-1.4851),(4695,625,0.000245,-1.487),(4695,635,0.000273,-1.4889),(4695,645,0.0003,-1.4909),(4695,655,0.000325,-1.4929),(4695,665,0.000333,-1.4949),(4695,675,0.000341,-1.4969),(4695,685,0.000349,-1.4991),(4695,695,0.000357,-1.5012),(4695,705,0.000361,-1.5034),(4695,715,0.000366,-1.5056),(4695,725,0.00037,-1.508),(4695,735,0.000378,-1.5103),(4695,745,0.000396,-1.5127),(4695,755,0.000414,-1.5152),(4695,765,0.000432,-1.5177),(4695,775,0.000447,-1.5203),(4695,785,0.000451,-1.5229),(4695,795,0.000456,-1.5256),(4695,805,0.00046,-1.5283),(4695,815,0.000472,-1.5311),(4695,825,0.000501,-1.5339),(4695,835,0.000529,-1.5368),(4695,845,0.000557,-1.5398),(4695,855,0.00059,-1.5428),(4695,865,0.00063,-1.5458),(4695,875,0.00067,-1.5489),(4695,885,0.00071,-1.5522),(4695,895,0.000753,-1.5555),(4695,905,0.000801,-1.5587),(4695,915,0.000849,-1.5621),(4695,925,0.000897,-1.5656),(4695,935,0.000939,-1.5692),(4695,945,0.000973,-1.5727),(4695,955,0.001008,-1.5763),(4695,965,0.001042,-1.5801),(4695,975,0.00107,-1.5838),(4695,985,0.001091,-1.5876),(4695,995,0.001112,-1.5915),(4695,1005,0.001133,-1.5955),(4695,1015,0.001153,-1.5995),(4695,1025,0.001174,-1.6035),(4695,1035,0.001194,-1.6076),(4695,1045,0.001214,-1.6118),(4695,1055,0.001261,-1.616),(4695,1065,0.001331,-1.6202),(4695,1075,0.001401,-1.6245),(4695,1085,0.00147,-1.6288),(4695,1095,0.001554,-1.6332),(4695,1105,0.001648,-1.6375),(4695,1115,0.001741,-1.6421),(4695,1125,0.001835,-1.6467),(4695,1135,0.00142,-1.6513),(4695,1145,0.000705,-1.6559),(4695,1155,-9e-06,-1.6611),(4695,1165,-0.000724,-1.6665),(4695,1175,-0.003142,-1.6719),(4695,1185,-0.006407,-1.6773),(4695,1195,-0.009671,-1.686),(4695,1205,-0.012935,-1.696),(4695,1215,-0.016856,-1.7061),(4695,1225,-0.021047,-1.7162),(4695,1235,-0.025239,-1.7336),(4695,1245,-0.029431,-1.7536),(4695,1255,-0.021357,-1.7736),(4695,1265,-0.009139,-1.7937),(4695,1275,0.003078,-1.7859),(4695,1285,0.015295,-1.7698),(4695,1295,0.03609,-1.7536),(4695,1305,0.059204,-1.7375),(4695,1315,0.082318,-1.6188),(4695,1325,0.10543,-1.4755),(4695,1335,0.062591,-1.3322),(4695,1345,0.005927,-1.1889),(4695,1355,-0.050736,-1.2858),(4695,1365,-0.1074,-1.4262),(4695,1375,-0.097298,-1.5667),(4695,1385,-0.076895,-1.7071),(4695,1395,-0.056492,-1.7455),(4695,1405,-0.036089,-1.7708),(4695,1415,-0.017305,-1.796),(4695,1425,0.00131,-1.8213),(4695,1435,0.019926,-1.8007),(4695,1445,0.038541,-1.7764),(4695,1455,0.034262,-1.7521),(4695,1465,0.028664,-1.7278),(4695,1475,0.023067,-1.7161),(4695,1485,0.017469,-1.7049),(4695,1495,0.012902,-1.6937),(4695,1505,0.008351,-1.6826),(4695,1515,0.0038,-1.6777),(4695,1525,-0.000665,-1.6728),(4695,1535,-0.001728,-1.6678),(4695,1545,-0.002791,-1.663),(4695,1555,-0.003854,-1.659),(4695,1565,-0.004839,-1.6551),(4695,1575,-0.004673,-1.6512),(4695,1585,-0.004508,-1.6472),(4695,1595,-0.004343,-1.6435),(4695,1605,-0.004171,-1.6397),(4695,1615,-0.003936,-1.6359),(4695,1625,-0.003701,-1.6322),(4695,1635,-0.003467,-1.6286),(4695,1645,-0.003248,-1.6251),(4695,1655,-0.003127,-1.6216),(4695,1665,-0.003005,-1.6182),(4695,1675,-0.002883,-1.615),(4695,1685,-0.002773,-1.6118),(4695,1695,-0.002712,-1.6087),(4695,1705,-0.002652,-1.6056),(4695,1715,-0.002591,-1.6028),(4695,1725,-0.002536,-1.6001),(4695,1735,-0.002499,-1.5973),(4695,1745,-0.002462,-1.5946),(4695,1755,-0.002425,-1.5922),(4695,1765,-0.002392,-1.5898),(4695,1775,-0.002369,-1.5875),(4695,1785,-0.002347,-1.5852),(4695,1795,-0.002325,-1.5832),(4695,1805,-0.002304,-1.5812),(4695,1815,-0.002289,-1.5792),(4695,1825,-0.002273,-1.5773),(4695,1835,-0.002257,-1.5757),(4695,1845,-0.002226,-1.5741),(4695,1855,-0.002164,-1.5725),(4695,1865,-0.002103,-1.5711),(4695,1875,-0.002041,-1.5699),(4695,1885,-0.001998,-1.5688),(4695,1895,-0.001987,-1.5676),(4695,1905,-0.001976,-1.5666),(4695,1915,-0.001965,-1.5658),(4695,1925,-0.001941,-1.565),(4695,1935,-0.001898,-1.5642),(4695,1945,-0.001855,-1.5636),(4695,1955,-0.001813,-1.5631),(4695,1965,-0.001771,-1.5627),(4695,1975,-0.001732,-1.5623),(4695,1985,-0.001692,-1.562),(4695,1995,-0.001653,-1.562),(4695,2005,-0.001611,-1.5619),(4695,2015,-0.001566,-1.5618),(4695,2025,-0.001521,-1.562),(4695,2035,-0.001477,-1.5623),(4695,2045,-0.00143,-1.5626),(4695,2055,-0.001382,-1.5629),(4695,2065,-0.001334,-1.5634),(4695,2075,-0.001286,-1.564),(4695,2085,-0.001236,-1.5647),(4695,2095,-0.001186,-1.5653),(4695,2105,-0.001135,-1.5662),(4695,2115,-0.001084,-1.5672),(4695,2125,-0.00103,-1.5682),(4695,2135,-0.000973,-1.5692),(4695,2145,-0.000917,-1.5704),(4695,2155,-0.00086,-1.5717),(4695,2165,-0.000791,-1.5731),(4695,2175,-0.000716,-1.5744),(4695,2185,-0.00064,-1.576),(4695,2195,-0.000565,-1.5777),(4695,2205,-0.000471,-1.5793),(4695,2215,-0.00037,-1.581),(4695,2225,-0.000269,-1.5829),(4695,2235,-0.000168,-1.5849),(4695,2245,-8e-06,-1.5869),(4695,2255,0.000174,-1.5889),(4695,2265,0.000356,-1.5911),(4695,2275,0.000538,-1.5935),(4695,2285,0.000712,-1.5958),(4695,2295,0.000883,-1.5982),(4695,2305,0.001055,-1.6007),(4695,2315,0.001226,-1.6033),(4695,2325,0.001456,-1.6059),(4695,2335,0.001699,-1.6085),(4695,2345,0.001943,-1.6113),(4695,2355,0.002186,-1.6142),(4695,2365,0.002471,-1.617),(4695,2375,0.002763,-1.6199),(4695,2385,0.003054,-1.623),(4695,2395,0.003346,-1.6261),(4695,2405,0.0037,-1.6292),(4695,2415,0.004061,-1.6324),(4695,2425,0.004422,-1.6357),(4695,2435,0.004783,-1.6391),(4695,2445,0.005196,-1.6424),(4695,2455,0.005613,-1.6458),(4695,2465,0.00603,-1.6493),(4695,2475,0.006447,-1.6528),(4695,2485,0.006921,-1.6564),(4695,2495,0.007395,-1.6599),(4695,2505,0.00787,-1.6636),(4695,2515,0.008346,-1.6673),(4695,2525,0.008892,-1.671),(4695,2535,0.009438,-1.6748),(4695,2545,0.009984,-1.6787),(4695,2555,0.010534,-1.6825),(4695,2565,0.011148,-1.6864),(4695,2575,0.011763,-1.6903),(4695,2585,0.012377,-1.6943),(4695,2595,0.012999,-1.6983),(4695,2605,0.013693,-1.7023),(4695,2615,0.014386,-1.7063),(4695,2625,0.01508,-1.7104),(4695,2635,0.015795,-1.7144),(4695,2645,0.016651,-1.7185),(4695,2655,0.017507,-1.7225),(4695,2665,0.018363,-1.7266),(4695,2675,0.019234,-1.7307),(4695,2685,0.020179,-1.7348),(4695,2695,0.021125,-1.7388),(4695,2705,0.02207,-1.7427),(4695,2715,0.023048,-1.7466),(4695,2725,0.024142,-1.7505),(4695,2735,0.025237,-1.7543),(4695,2745,0.026331,-1.7579),(4695,2755,0.027455,-1.7616),(4695,2765,0.028667,-1.7652),(4695,2775,0.029879,-1.7687),(4695,2785,0.031091,-1.772),(4695,2795,0.032336,-1.7753),(4695,2805,0.033659,-1.7786),(4695,2815,0.034982,-1.7818),(4695,2825,0.036304,-1.7847),(4695,2835,0.037656,-1.7876),(4695,2845,0.039066,-1.7906),(4695,2855,0.040476,-1.7934),(4695,2865,0.041886,-1.7959),(4695,2875,0.043334,-1.7983),(4695,2885,0.044848,-1.8008),(4695,2895,0.046362,-1.8032),(4695,2905,0.047876,-1.8053),(4695,2915,0.04943,-1.8074),(4695,2925,0.051042,-1.8095),(4695,2935,0.052654,-1.8114),(4695,2945,0.054267,-1.8131),(4695,2955,0.055898,-1.8148),(4695,2965,0.057552,-1.8164),(4695,2975,0.059207,-1.8178),(4695,2985,0.060861,-1.8188),(4695,2995,0.062522,-1.8198),(4695,3005,0.06419,-1.8209),(4695,3015,0.065857,-1.8216),(4695,3025,0.067525,-1.8219),(4695,3035,0.069198,-1.8223),(4695,3045,0.070877,-1.8227),(4695,3055,0.072556,-1.8227),(4695,3065,0.074234,-1.8224),(4695,3075,0.075848,-1.822),(4695,3085,0.077413,-1.8217),(4695,3095,0.078979,-1.8209),(4695,3105,0.080544,-1.8197),(4695,3115,0.082066,-1.8185),(4695,3125,0.083561,-1.8173),(4695,3135,0.085056,-1.8156),(4695,3145,0.086551,-1.8137),(4695,3155,0.087986,-1.8118),(4695,3165,0.089388,-1.8098),(4695,3175,0.090791,-1.8075),(4695,3185,0.092194,-1.8049),(4695,3195,0.093523,-1.8024),(4695,3205,0.094819,-1.7998),(4695,3215,0.096115,-1.7969),(4695,3225,0.097411,-1.7938),(4695,3235,0.09864,-1.7907),(4695,3245,0.099844,-1.7876),(4695,3255,0.10105,-1.7843),(4695,3265,0.10225,-1.7809),(4695,3275,0.10341,-1.7775),(4695,3285,0.10455,-1.7741),(4695,3295,0.10569,-1.7707),(4695,3305,0.10683,-1.7672),(4695,3315,0.10792,-1.7637),(4695,3325,0.109,-1.7602),(4695,3335,0.11008,-1.7567),(4695,3345,0.11116,-1.7532),(4695,3355,0.11216,-1.7497),(4695,3365,0.11314,-1.7462),(4695,3375,0.11413,-1.7428),(4695,3385,0.11511,-1.7393),(4695,3395,0.11602,-1.7359),(4695,3405,0.11693,-1.7325),(4695,3415,0.11783,-1.7291),(4695,3425,0.11873,-1.7257),(4695,3435,0.11948,-1.7223),(4695,3445,0.12022,-1.7189),(4695,3455,0.12097,-1.7155),(4695,3465,0.12171,-1.7121),(4695,3475,0.12236,-1.7087),(4695,3485,0.123,-1.7053),(4695,3495,0.12365,-1.7019),(4695,3505,0.12429,-1.6985),(4695,3515,0.12481,-1.695),(4695,3525,0.12532,-1.6916),(4695,3535,0.12584,-1.6881),(4695,3545,0.12635,-1.6846),(4695,3555,0.1268,-1.6811),(4695,3565,0.12725,-1.6776),(4695,3575,0.12769,-1.6741),(4695,3585,0.12814,-1.6706),(4695,3595,0.12854,-1.6671),(4695,3605,0.12895,-1.6636),(4695,3615,0.12935,-1.66),(4695,3625,0.12975,-1.6565),(4695,3635,0.13012,-1.6529),(4695,3645,0.13048,-1.6493),(4695,3655,0.13084,-1.6457),(4695,3665,0.1312,-1.6421),(4695,3675,0.13155,-1.6385),(4695,3685,0.13189,-1.6348),(4695,3695,0.13223,-1.6312),(4695,3705,0.13258,-1.6275),(4695,3715,0.13291,-1.6238),(4695,3725,0.13325,-1.6201),(4695,3735,0.13359,-1.6163),(4695,3745,0.13393,-1.6125),(4695,3755,0.13426,-1.6087),(4695,3765,0.13459,-1.6048),(4695,3775,0.13492,-1.6006),(4695,3785,0.13523,-1.5964),(4695,3795,0.13552,-1.5923),(4695,3805,0.13581,-1.588),(4695,3815,0.1361,-1.5834),(4695,3825,0.13615,-1.5788),(4695,3835,0.1357,-1.5743),(4695,3845,0.13526,-1.5697),(4695,3855,0.13481,-1.565),(4695,3865,0.13361,-1.5604),(4695,3875,0.13107,-1.5558),(4695,3885,0.12854,-1.5521),(4695,3895,0.12601,-1.5501),(4695,3905,0.12322,-1.548),(4695,3915,0.12004,-1.5459),(4695,3925,0.11687,-1.5463),(4695,3935,0.11369,-1.55),(4695,3945,0.11847,-1.5537),(4695,3955,0.13335,-1.5573),(4695,3965,0.14824,-1.5472),(4695,3975,0.16312,-1.5208),(4695,3985,0.18533,-1.4944),(4695,3995,0.21545,-1.4681),(4695,4005,0.24558,-1.3744),(4695,4015,0.27571,-1.2134),(4695,4025,0.4235,-1.0524),(4695,4035,0.58281,-0.93814),(4695,4045,0.74212,-0.92243),(4695,4055,0.91437,-0.90672),(4695,4065,1.0914,-0.88951),(4695,4075,1.2683,-0.86342),(4695,4085,1.3601,-0.83732),(4695,4095,1.3834,-0.81123),(4695,4105,1.4068,-0.78557),(4695,4115,1.428,-0.75994),(4695,4125,1.446,-0.7343),(4695,4135,1.4639,-0.70983),(4695,4145,1.481,-0.68567),(4695,4155,1.495,-0.66151),(4695,4165,1.5089,-0.63828),(4695,4175,1.5228,-0.61563),(4695,4185,1.5337,-0.59298),(4695,4195,1.5446,-0.571),(4695,4205,1.5555,-0.5499),(4695,4215,1.5641,-0.5288),(4695,4225,1.5722,-0.50813),(4695,4235,1.5803,-0.48873),(4695,4245,1.5868,-0.46934),(4695,4255,1.5926,-0.45008),(4695,4265,1.5983,-0.43253),(4695,4275,1.6031,-0.41498),(4695,4285,1.607,-0.39743),(4695,4295,1.6109,-0.38145),(4695,4305,1.6143,-0.36564),(4695,4315,1.6169,-0.34984),(4695,4325,1.6195,-0.33504),(4695,4335,1.6219,-0.32065),(4695,4345,1.6234,-0.30625),(4695,4355,1.6248,-0.29261),(4695,4365,1.6263,-0.27962),(4695,4375,1.6267,-0.26663),(4695,4385,1.6271,-0.25411),(4695,4395,1.6275,-0.24241),(4695,4405,1.6274,-0.23071),(4695,4415,1.627,-0.21922),(4695,4425,1.6267,-0.20868),(4695,4435,1.626,-0.19814),(4695,4445,1.6252,-0.1876),(4695,4455,1.6244,-0.17797),(4695,4465,1.6235,-0.16834),(4695,4475,1.6224,-0.15871),(4695,4485,1.6212,-0.14968),(4695,4495,1.62,-0.14077),(4695,4505,1.6184,-0.13187),(4695,4515,1.6168,-0.1234),(4695,4525,1.6153,-0.11518),(4695,4535,1.6132,-0.10695),(4695,4545,1.6112,-0.099041),(4695,4555,1.6092,-0.091483),(4695,4565,1.607,-0.083924),(4695,4575,1.6048,-0.076564),(4695,4585,1.6025,-0.069685),(4695,4595,1.6002,-0.062806),(4695,4605,1.5979,-0.055981),(4695,4615,1.5956,-0.04958),(4695,4625,1.5933,-0.043178),(4695,4635,1.5908,-0.036777),(4695,4645,1.5884,-0.030813),(4695,4655,1.5859,-0.024878),(4695,4665,1.5833,-0.018944),(4695,4675,1.5807,-0.013428),(4695,4685,1.5781,-0.008046),(4695,4695,1.5754,-0.002665),(4695,4705,1.5727,0.002389),(4695,4715,1.57,0.007205),(4695,4725,1.5675,0.01202),(4695,4735,1.5649,0.016655),(4695,4745,1.5624,0.021018),(4695,4755,1.5599,0.025382),(4695,4765,1.5574,0.02966),(4695,4775,1.555,0.033638),(4695,4785,1.5525,0.037615),(4695,4795,1.55,0.041574),(4695,4805,1.5475,0.04512),(4695,4815,1.5451,0.048667),(4695,4825,1.5426,0.052213),(4695,4835,1.5401,0.055384),(4695,4845,1.5377,0.058498),(4695,4855,1.5354,0.061612),(4695,4865,1.533,0.064443),(4695,4875,1.5307,0.067145),(4695,4885,1.5286,0.069847),(4695,4895,1.5265,0.072432),(4695,4905,1.5243,0.074903),(4695,4915,1.5222,0.077374),(4695,4925,1.5201,0.079749),(4695,4935,1.5179,0.081928),(4695,4945,1.5158,0.084108),(4695,4955,1.5136,0.086208),(4695,4965,1.5115,0.08787),(4695,4975,1.5094,0.089531),(4695,4985,1.5075,0.091192),(4695,4995,1.5055,0.092081),(4695,5005,1.5038,0.092951),(4695,5015,1.5024,0.093821),(4695,5025,1.501,0.094093),(4695,5035,1.4998,0.094213),(4695,5045,1.499,0.094333),(4695,5055,1.4982,0.093953),(4695,5065,1.4974,0.093265),(4695,5075,1.4972,0.092577),(4695,5085,1.497,0.091459),(4695,5095,1.4968,0.089792),(4695,5105,1.4974,0.088126),(4695,5115,1.4981,0.086144),(4695,5125,1.4987,0.083277),(4695,5135,1.5004,0.080409),(4695,5145,1.5024,0.077446),(4695,5155,1.5045,0.073453),(4695,5165,1.5073,0.069459),(4695,5175,1.5108,0.065466),(4695,5185,1.5143,0.060931),(4695,5195,1.5181,0.056339),(4695,5205,1.5226,0.051747),(4695,5215,1.527,0.047017),(4695,5225,1.5316,0.042235),(4695,5235,1.5366,0.037454),(4695,5245,1.5416,0.032525),(4695,5255,1.5467,0.027476),(4695,5265,1.5525,0.022428),(4695,5275,1.5585,0.017313),(4695,5285,1.5644,0.012086),(4695,5295,1.5712,0.006859),(4695,5305,1.5783,0.001824),(4695,5315,1.5854,-0.002414),(4695,5325,1.5925,-0.006652),(4695,5335,1.5996,-0.010855),(4695,5345,1.6067,-0.012741),(4695,5355,1.613,-0.014626),(4695,5365,1.6182,-0.016512),(4695,5375,1.6235,-0.016048),(4695,5385,1.628,-0.015125),(4695,5395,1.6303,-0.014202),(4695,5405,1.6327,-0.012001),(4695,5415,1.6349,-0.009138),(4695,5425,1.6352,-0.006275),(4695,5435,1.6355,-0.002968),(4695,5445,1.6358,0.00082),(4695,5455,1.6354,0.004607),(4695,5465,1.6349,0.008616),(4695,5475,1.6344,0.013138),(4695,5485,1.6337,0.017661),(4695,5495,1.633,0.022274),(4695,5505,1.6322,0.027533),(4695,5515,1.6314,0.032793),(4695,5525,1.6306,0.038052),(4695,5535,1.6297,0.043971),(4695,5545,1.6287,0.049929),(4695,5555,1.6276,0.055887),(4695,5565,1.6265,0.062253),(4695,5575,1.6253,0.068743),(4695,5585,1.6238,0.075232),(4695,5595,1.6223,0.081908),(4695,5605,1.6208,0.088713),(4695,5615,1.6188,0.095518),(4695,5625,1.6167,0.10234),(4695,5635,1.6147,0.10919),(4695,5645,1.6122,0.11603),(4695,5655,1.6095,0.12279),(4695,5665,1.6069,0.12927),(4695,5675,1.6039,0.13575),(4695,5685,1.6007,0.14218),(4695,5695,1.5975,0.14784),(4695,5705,1.5941,0.15349),(4695,5715,1.5905,0.15914),(4695,5725,1.5868,0.16343),(4695,5735,1.5832,0.16753),(4695,5745,1.5795,0.17163),(4695,5755,1.5757,0.17399),(4695,5765,1.5721,0.1756),(4695,5775,1.569,0.17722),(4695,5785,1.566,0.17684),(4695,5795,1.5629,0.17463),(4695,5805,1.5616,0.17242),(4695,5815,1.5605,0.16827),(4695,5825,1.5594,0.1604),(4695,5835,1.5616,0.15253),(4695,5845,1.5648,0.14337),(4695,5855,1.5681,0.12765),(4695,5865,1.5759,0.11194),(4695,5875,1.5872,0.096218),(4695,5885,1.5985,0.071048),(4695,5895,1.6147,0.045736),(4695,5905,1.6385,0.020424),(4695,5915,1.6624,-0.011938),(4695,5925,1.6895,-0.045986),(4695,5935,1.7286,-0.080034),(4695,5945,1.7678,-0.11555),(4695,5955,1.8073,-0.15193),(4695,5965,1.8573,-0.18831),(4695,5975,1.9073,-0.22044),(4695,5985,1.9573,-0.24739),(4695,5995,2.0046,-0.27433),(4695,6005,2.0516,-0.29652),(4695,6015,2.0985,-0.30601),(4695,6025,2.1346,-0.31549),(4695,6035,2.1656,-0.3237),(4695,6045,2.1966,-0.3196),(4695,6055,2.2203,-0.3155),(4695,6065,2.2368,-0.3114),(4695,6075,2.2532,-0.30269),(4695,6085,2.2676,-0.29356),(4695,6095,2.2775,-0.28443),(4695,6105,2.2874,-0.27455),(4695,6115,2.2969,-0.2644),(4695,6125,2.3041,-0.25426),(4695,6135,2.3113,-0.24424),(4695,6145,2.3184,-0.23432),(4695,6155,2.3241,-0.22441),(4695,6165,2.3297,-0.21474),(4695,6175,2.3353,-0.20548),(4695,6185,2.34,-0.19622),(4695,6195,2.3445,-0.18712),(4695,6205,2.3489,-0.17866),(4695,6215,2.3528,-0.1702),(4695,6225,2.3563,-0.16175),(4695,6235,2.3599,-0.15411),(4695,6245,2.3631,-0.14647),(4695,6255,2.3659,-0.13882),(4695,6265,2.3687,-0.13189),(4695,6275,2.3713,-0.12509),(4695,6285,2.3735,-0.11829),(4695,6295,2.3757,-0.11196),(4695,6305,2.3779,-0.10585),(4695,6315,2.3796,-0.099749),(4695,6325,2.3813,-0.094007),(4695,6335,2.3831,-0.08864),(4695,6345,2.3845,-0.083273),(4695,6355,2.3858,-0.078108),(4695,6365,2.3872,-0.07339),(4695,6375,2.3883,-0.068671),(4695,6385,2.3894,-0.064016),(4695,6395,2.3904,-0.059776),(4695,6405,2.3914,-0.055535),(4695,6415,2.3922,-0.051294),(4695,6425,2.393,-0.04744),(4695,6435,2.3938,-0.043605),(4695,6445,2.3944,-0.039769),(4695,6455,2.395,-0.036227),(4695,6465,2.3956,-0.032769),(4695,6475,2.396,-0.02931),(4695,6485,2.3965,-0.02601),(4695,6495,2.397,-0.022816),(4695,6505,2.3973,-0.019621),(4695,6515,2.3976,-0.016523),(4695,6525,2.3979,-0.013558),(4695,6535,2.3981,-0.010593),(4695,6545,2.3983,-0.007651),(4695,6555,2.3985,-0.00478),(4695,6565,2.3986,-0.00191),(4695,6575,2.3987,0.000959),(4695,6585,2.3987,0.003799),(4695,6595,2.0405,0.00664),(4695,6605,1.2866,0.00948),(4695,6615,0.53279,0.009779),(4695,6625,0.002832,0.009751),(4695,6635,0.002795,0.009723),(4695,6645,0.002757,0.009702),(4695,6655,0.00272,0.009683),(4695,6665,0.002688,0.009665),(4695,6675,0.002656,0.009648),(4695,6685,0.002624,0.009632),(4695,6695,0.002596,0.009616),(4695,6705,0.002569,0.009601),(4695,6715,0.002541,0.009587),(4695,6725,0.002516,0.009573),(4695,6735,0.002493,0.00956),(4695,6745,0.002469,0.009547),(4695,6755,0.002447,0.009535),(4695,6765,0.002427,0.009523),(4695,6775,0.002406,0.009512),(4695,6785,0.002387,0.009501),(4695,6795,0.002369,0.009491),(4695,6805,0.002351,0.009481),(4695,6815,0.002334,0.009471),(4695,6825,0.002319,0.009462),(4695,6835,0.002303,0.009453),(4695,6845,0.002288,0.009444),(4695,6855,0.002275,0.009435),(4695,6865,0.002261,0.009427),(4695,6875,0.002248,0.009419),(4695,6885,0.002236,0.009411),(4695,6895,0.002225,0.009403),(4695,6905,0.002213,0.009396),(4695,6915,0.002203,0.009388),(4695,6925,0.002193,0.009381),(4695,6935,0.002183,0.009374),(4695,6945,0.002174,0.009368),(4695,6955,0.002165,0.009361),(4695,6965,0.002156,0.009354),(4695,6975,0.002148,0.009348),(4695,6985,0.002141,0.009341),(4705,5,-6e-06,-1.3178),(4705,15,-1.7e-05,-1.3179),(4705,25,-1.9e-05,-1.318),(4705,35,-1.3e-05,-1.3182),(4705,45,-7e-06,-1.3183),(4705,55,0,-1.3185),(4705,65,1.4e-05,-1.3186),(4705,75,3.3e-05,-1.3187),(4705,85,5.3e-05,-1.3189),(4705,95,7.3e-05,-1.3192),(4705,105,0.000103,-1.3194),(4705,115,0.00014,-1.3196),(4705,125,0.000176,-1.3199),(4705,135,0.000212,-1.3203),(4705,145,0.000228,-1.3206),(4705,155,0.000231,-1.321),(4705,165,0.000234,-1.3213),(4705,175,0.000237,-1.3216),(4705,185,0.000205,-1.322),(4705,195,0.000158,-1.3223),(4705,205,0.00011,-1.3227),(4705,215,6.2e-05,-1.323),(4705,225,2.1e-05,-1.3234),(4705,235,-1.7e-05,-1.3238),(4705,245,-5.6e-05,-1.3242),(4705,255,-9.4e-05,-1.3248),(4705,265,-8.4e-05,-1.3253),(4705,275,-6e-05,-1.3258),(4705,285,-3.5e-05,-1.3265),(4705,295,-1e-05,-1.3272),(4705,305,3.1e-05,-1.3279),(4705,315,7.7e-05,-1.3286),(4705,325,0.000122,-1.3294),(4705,335,0.000167,-1.3302),(4705,345,0.000193,-1.3309),(4705,355,0.000216,-1.3317),(4705,365,0.000238,-1.3325),(4705,375,0.00026,-1.3334),(4705,385,0.000263,-1.3342),(4705,395,0.000264,-1.335),(4705,405,0.000265,-1.336),(4705,415,0.000266,-1.3369),(4705,425,0.000278,-1.3379),(4705,435,0.00029,-1.3388),(4705,445,0.000303,-1.3399),(4705,455,0.000316,-1.341),(4705,465,0.000311,-1.3422),(4705,475,0.000305,-1.3433),(4705,485,0.0003,-1.3445),(4705,495,0.000294,-1.3457),(4705,505,0.000267,-1.3469),(4705,515,0.00024,-1.3481),(4705,525,0.000213,-1.3494),(4705,535,0.000186,-1.3507),(4705,545,0.000166,-1.352),(4705,555,0.000147,-1.3534),(4705,565,0.000128,-1.3548),(4705,575,0.000111,-1.3563),(4705,585,0.000128,-1.3578),(4705,595,0.000145,-1.3593),(4705,605,0.000162,-1.361),(4705,615,0.00018,-1.3627),(4705,625,0.000211,-1.3644),(4705,635,0.000242,-1.3661),(4705,645,0.000273,-1.368),(4705,655,0.000302,-1.3698),(4705,665,0.000315,-1.3716),(4705,675,0.000329,-1.3735),(4705,685,0.000343,-1.3755),(4705,695,0.000355,-1.3775),(4705,705,0.00036,-1.3795),(4705,715,0.000365,-1.3815),(4705,725,0.00037,-1.3837),(4705,735,0.00038,-1.3859),(4705,745,0.000403,-1.3881),(4705,755,0.000427,-1.3903),(4705,765,0.000451,-1.3927),(4705,775,0.000468,-1.395),(4705,785,0.000469,-1.3974),(4705,795,0.000469,-1.3998),(4705,805,0.00047,-1.4024),(4705,815,0.000479,-1.405),(4705,825,0.000508,-1.4075),(4705,835,0.000536,-1.4102),(4705,845,0.000565,-1.4129),(4705,855,0.000597,-1.4157),(4705,865,0.000635,-1.4185),(4705,875,0.000673,-1.4213),(4705,885,0.000712,-1.4243),(4705,895,0.000756,-1.4273),(4705,905,0.000809,-1.4303),(4705,915,0.000862,-1.4334),(4705,925,0.000914,-1.4367),(4705,935,0.000965,-1.4399),(4705,945,0.001014,-1.4432),(4705,955,0.001062,-1.4465),(4705,965,0.00111,-1.45),(4705,975,0.001155,-1.4534),(4705,985,0.001194,-1.4569),(4705,995,0.001234,-1.4605),(4705,1005,0.001274,-1.4642),(4705,1015,0.001311,-1.4679),(4705,1025,0.001346,-1.4716),(4705,1035,0.001381,-1.4753),(4705,1045,0.001416,-1.4792),(4705,1055,0.001461,-1.483),(4705,1065,0.001514,-1.4869),(4705,1075,0.001566,-1.4908),(4705,1085,0.001619,-1.4948),(4705,1095,0.001671,-1.4988),(4705,1105,0.001722,-1.5028),(4705,1115,0.001774,-1.5069),(4705,1125,0.001825,-1.5111),(4705,1135,0.001492,-1.5153),(4705,1145,0.000933,-1.5195),(4705,1155,0.000374,-1.5243),(4705,1165,-0.000185,-1.5295),(4705,1175,-0.001656,-1.5346),(4705,1185,-0.00358,-1.5397),(4705,1195,-0.005504,-1.548),(4705,1205,-0.007428,-1.5577),(4705,1215,-0.009031,-1.5675),(4705,1225,-0.010501,-1.5772),(4705,1235,-0.011972,-1.5934),(4705,1245,-0.013443,-1.612),(4705,1255,-0.012065,-1.6305),(4705,1265,-0.009726,-1.6491),(4705,1275,-0.007386,-1.6444),(4705,1285,-0.005046,-1.6327),(4705,1295,-0.011486,-1.6209),(4705,1305,-0.0203,-1.6091),(4705,1315,-0.029113,-1.5172),(4705,1325,-0.037927,-1.4062),(4705,1335,-0.024711,-1.2951),(4705,1345,-0.006878,-1.184),(4705,1355,0.010954,-1.26),(4705,1365,0.028787,-1.3699),(4705,1375,0.023828,-1.4797),(4705,1385,0.015352,-1.5896),(4705,1395,0.006876,-1.6192),(4705,1405,-0.0016,-1.6384),(4705,1415,0.002188,-1.6576),(4705,1425,0.00725,-1.6768),(4705,1435,0.012312,-1.6572),(4705,1445,0.017373,-1.6345),(4705,1455,0.015758,-1.6118),(4705,1465,0.013758,-1.589),(4705,1475,0.011759,-1.5776),(4705,1485,0.009759,-1.5666),(4705,1495,0.007021,-1.5557),(4705,1505,0.004272,-1.5447),(4705,1515,0.001523,-1.54),(4705,1525,-0.001179,-1.5353),(4705,1535,-0.002008,-1.5306),(4705,1545,-0.002838,-1.5259),(4705,1555,-0.003667,-1.5223),(4705,1565,-0.004435,-1.5187),(4705,1575,-0.004308,-1.5151),(4705,1585,-0.004181,-1.5115),(4705,1595,-0.004053,-1.5081),(4705,1605,-0.003917,-1.5047),(4705,1615,-0.0037,-1.5012),(4705,1625,-0.003483,-1.4978),(4705,1635,-0.003266,-1.4946),(4705,1645,-0.003062,-1.4914),(4705,1655,-0.002936,-1.4881),(4705,1665,-0.00281,-1.485),(4705,1675,-0.002684,-1.4821),(4705,1685,-0.002569,-1.4791),(4705,1695,-0.0025,-1.4762),(4705,1705,-0.002431,-1.4734),(4705,1715,-0.002362,-1.4708),(4705,1725,-0.002298,-1.4683),(4705,1735,-0.002252,-1.4657),(4705,1745,-0.002207,-1.4633),(4705,1755,-0.002161,-1.4611),(4705,1765,-0.002121,-1.4589),(4705,1775,-0.002094,-1.4567),(4705,1785,-0.002067,-1.4546),(4705,1795,-0.00204,-1.4528),(4705,1805,-0.002018,-1.4509),(4705,1815,-0.002009,-1.4491),(4705,1825,-0.001999,-1.4473),(4705,1835,-0.001989,-1.4459),(4705,1845,-0.001959,-1.4444),(4705,1855,-0.00189,-1.4429),(4705,1865,-0.001821,-1.4416),(4705,1875,-0.001752,-1.4405),(4705,1885,-0.001709,-1.4395),(4705,1895,-0.001708,-1.4384),(4705,1905,-0.001706,-1.4375),(4705,1915,-0.001705,-1.4367),(4705,1925,-0.001685,-1.436),(4705,1935,-0.001637,-1.4353),(4705,1945,-0.001589,-1.4347),(4705,1955,-0.001541,-1.4343),(4705,1965,-0.001498,-1.4339),(4705,1975,-0.00146,-1.4335),(4705,1985,-0.001422,-1.4333),(4705,1995,-0.001384,-1.4332),(4705,2005,-0.001344,-1.4331),(4705,2015,-0.001302,-1.4331),(4705,2025,-0.001259,-1.4332),(4705,2035,-0.001217,-1.4335),(4705,2045,-0.001172,-1.4337),(4705,2055,-0.001125,-1.434),(4705,2065,-0.001079,-1.4345),(4705,2075,-0.001032,-1.4351),(4705,2085,-0.000984,-1.4357),(4705,2095,-0.000934,-1.4363),(4705,2105,-0.000885,-1.4371),(4705,2115,-0.000836,-1.438),(4705,2125,-0.000786,-1.4389),(4705,2135,-0.000734,-1.4398),(4705,2145,-0.000683,-1.441),(4705,2155,-0.000631,-1.4422),(4705,2165,-0.000572,-1.4434),(4705,2175,-0.000509,-1.4447),(4705,2185,-0.000446,-1.4461),(4705,2195,-0.000383,-1.4476),(4705,2205,-0.000311,-1.4492),(4705,2215,-0.000235,-1.4507),(4705,2225,-0.000159,-1.4525),(4705,2235,-8.3e-05,-1.4543),(4705,2245,5.9e-05,-1.4561),(4705,2255,0.000224,-1.458),(4705,2265,0.000389,-1.46),(4705,2275,0.000554,-1.4622),(4705,2285,0.000692,-1.4643),(4705,2295,0.000822,-1.4665),(4705,2305,0.000952,-1.4689),(4705,2315,0.001081,-1.4713),(4705,2325,0.001276,-1.4737),(4705,2335,0.001485,-1.4761),(4705,2345,0.001694,-1.4787),(4705,2355,0.001903,-1.4813),(4705,2365,0.002139,-1.4839),(4705,2375,0.002381,-1.4866),(4705,2385,0.002622,-1.4894),(4705,2395,0.002863,-1.4923),(4705,2405,0.00316,-1.4952),(4705,2415,0.003464,-1.498),(4705,2425,0.003767,-1.5011),(4705,2435,0.004071,-1.5042),(4705,2445,0.004424,-1.5073),(4705,2455,0.004779,-1.5104),(4705,2465,0.005135,-1.5137),(4705,2475,0.005491,-1.5169),(4705,2485,0.005895,-1.5202),(4705,2495,0.006301,-1.5234),(4705,2505,0.006706,-1.5269),(4705,2515,0.007112,-1.5303),(4705,2525,0.00758,-1.5337),(4705,2535,0.008048,-1.5371),(4705,2545,0.008515,-1.5407),(4705,2555,0.008986,-1.5443),(4705,2565,0.00951,-1.5479),(4705,2575,0.010034,-1.5515),(4705,2585,0.010558,-1.5552),(4705,2595,0.011087,-1.5589),(4705,2605,0.011665,-1.5626),(4705,2615,0.012244,-1.5663),(4705,2625,0.012822,-1.5701),(4705,2635,0.01342,-1.5738),(4705,2645,0.01415,-1.5775),(4705,2655,0.014879,-1.5813),(4705,2665,0.015609,-1.585),(4705,2675,0.016348,-1.5888),(4705,2685,0.017131,-1.5926),(4705,2695,0.017914,-1.5963),(4705,2705,0.018696,-1.5999),(4705,2715,0.019509,-1.6035),(4705,2725,0.020431,-1.6071),(4705,2735,0.021354,-1.6107),(4705,2745,0.022276,-1.614),(4705,2755,0.023222,-1.6173),(4705,2765,0.024236,-1.6206),(4705,2775,0.02525,-1.6239),(4705,2785,0.026265,-1.627),(4705,2795,0.027307,-1.63),(4705,2805,0.028418,-1.6331),(4705,2815,0.029529,-1.636),(4705,2825,0.03064,-1.6388),(4705,2835,0.031773,-1.6415),(4705,2845,0.032953,-1.6442),(4705,2855,0.034133,-1.6468),(4705,2865,0.035312,-1.6492),(4705,2875,0.036522,-1.6515),(4705,2885,0.037783,-1.6539),(4705,2895,0.039043,-1.6561),(4705,2905,0.040304,-1.6581),(4705,2915,0.0416,-1.6601),(4705,2925,0.042946,-1.6621),(4705,2935,0.044293,-1.6639),(4705,2945,0.04564,-1.6655),(4705,2955,0.047003,-1.6671),(4705,2965,0.048385,-1.6686),(4705,2975,0.049768,-1.67),(4705,2985,0.051151,-1.671),(4705,2995,0.052535,-1.672),(4705,3005,0.053922,-1.673),(4705,3015,0.055308,-1.6736),(4705,3025,0.056695,-1.674),(4705,3035,0.058095,-1.6744),(4705,3045,0.059509,-1.6748),(4705,3055,0.060922,-1.6749),(4705,3065,0.062336,-1.6746),(4705,3075,0.063684,-1.6743),(4705,3085,0.064984,-1.6741),(4705,3095,0.066284,-1.6733),(4705,3105,0.067583,-1.6723),(4705,3115,0.06885,-1.6712),(4705,3125,0.070095,-1.6701),(4705,3135,0.07134,-1.6686),(4705,3145,0.072585,-1.6669),(4705,3155,0.073777,-1.6652),(4705,3165,0.07494,-1.6634),(4705,3175,0.076104,-1.6613),(4705,3185,0.077268,-1.659),(4705,3195,0.07837,-1.6568),(4705,3205,0.079446,-1.6545),(4705,3215,0.080521,-1.6518),(4705,3225,0.081596,-1.6491),(4705,3235,0.082615,-1.6463),(4705,3245,0.083613,-1.6436),(4705,3255,0.084611,-1.6406),(4705,3265,0.085608,-1.6376),(4705,3275,0.086571,-1.6346),(4705,3285,0.087523,-1.6316),(4705,3295,0.088475,-1.6285),(4705,3305,0.089427,-1.6254),(4705,3315,0.090351,-1.6223),(4705,3325,0.091268,-1.6192),(4705,3335,0.092185,-1.6161),(4705,3345,0.093102,-1.613),(4705,3355,0.093967,-1.6099),(4705,3365,0.094821,-1.6068),(4705,3375,0.095676,-1.6038),(4705,3385,0.096531,-1.6007),(4705,3395,0.097348,-1.5977),(4705,3405,0.09816,-1.5946),(4705,3415,0.098972,-1.5916),(4705,3425,0.099783,-1.5885),(4705,3435,0.10046,-1.5855),(4705,3445,0.10112,-1.5825),(4705,3455,0.10178,-1.5794),(4705,3465,0.10244,-1.5764),(4705,3475,0.10303,-1.5734),(4705,3485,0.10363,-1.5703),(4705,3495,0.10422,-1.5672),(4705,3505,0.10482,-1.5641),(4705,3515,0.10528,-1.561),(4705,3525,0.10575,-1.5579),(4705,3535,0.10622,-1.5547),(4705,3545,0.10668,-1.5516),(4705,3555,0.10709,-1.5484),(4705,3565,0.10749,-1.5452),(4705,3575,0.10789,-1.542),(4705,3585,0.10829,-1.5388),(4705,3595,0.10866,-1.5357),(4705,3605,0.10903,-1.5325),(4705,3615,0.10941,-1.5293),(4705,3625,0.10977,-1.526),(4705,3635,0.11012,-1.5228),(4705,3645,0.11046,-1.5196),(4705,3655,0.1108,-1.5163),(4705,3665,0.11114,-1.513),(4705,3675,0.11147,-1.5097),(4705,3685,0.1118,-1.5064),(4705,3695,0.11213,-1.503),(4705,3705,0.11247,-1.4997),(4705,3715,0.11281,-1.4963),(4705,3725,0.11314,-1.4929),(4705,3735,0.11348,-1.4894),(4705,3745,0.11381,-1.4859),(4705,3755,0.11414,-1.4824),(4705,3765,0.11446,-1.4788),(4705,3775,0.11478,-1.475),(4705,3785,0.1151,-1.4711),(4705,3795,0.1154,-1.4673),(4705,3805,0.1157,-1.4633),(4705,3815,0.116,-1.459),(4705,3825,0.11612,-1.4548),(4705,3835,0.11585,-1.4506),(4705,3845,0.11558,-1.4463),(4705,3855,0.1153,-1.4421),(4705,3865,0.11458,-1.4379),(4705,3875,0.11308,-1.4337),(4705,3885,0.11157,-1.4305),(4705,3895,0.11006,-1.4289),(4705,3905,0.10866,-1.4273),(4705,3915,0.10741,-1.4257),(4705,3925,0.10616,-1.4263),(4705,3935,0.10491,-1.4299),(4705,3945,0.10727,-1.4335),(4705,3955,0.11424,-1.4371),(4705,3965,0.1212,-1.4285),(4705,3975,0.12816,-1.4056),(4705,3985,0.12844,-1.3828),(4705,3995,0.1215,-1.3599),(4705,4005,0.11457,-1.2844),(4705,4015,0.10763,-1.1562),(4705,4025,0.29651,-1.028),(4705,4035,0.50455,-0.93647),(4705,4045,0.71259,-0.92204),(4705,4055,0.89527,-0.90761),(4705,4065,1.0687,-0.8917),(4705,4075,1.2421,-0.86692),(4705,4085,1.3323,-0.84214),(4705,4095,1.3556,-0.81736),(4705,4105,1.379,-0.79258),(4705,4115,1.4004,-0.76781),(4705,4125,1.4187,-0.74304),(4705,4135,1.437,-0.71921),(4705,4145,1.4545,-0.69565),(4705,4155,1.4689,-0.67208),(4705,4165,1.4833,-0.64935),(4705,4175,1.4977,-0.62716),(4705,4185,1.509,-0.60498),(4705,4195,1.5203,-0.5834),(4705,4205,1.5317,-0.56263),(4705,4215,1.5407,-0.54186),(4705,4225,1.5493,-0.52149),(4705,4235,1.5579,-0.50228),(4705,4245,1.565,-0.48307),(4705,4255,1.5713,-0.46399),(4705,4265,1.5775,-0.44651),(4705,4275,1.5829,-0.42904),(4705,4285,1.5873,-0.41156),(4705,4295,1.5917,-0.39557),(4705,4305,1.5956,-0.37974),(4705,4315,1.5987,-0.36392),(4705,4325,1.6017,-0.34907),(4705,4335,1.6046,-0.33462),(4705,4345,1.6064,-0.32016),(4705,4355,1.6082,-0.30643),(4705,4365,1.6101,-0.29332),(4705,4375,1.6109,-0.2802),(4705,4385,1.6117,-0.26754),(4705,4395,1.6125,-0.25567),(4705,4405,1.6127,-0.2438),(4705,4415,1.6127,-0.23214),(4705,4425,1.6127,-0.22142),(4705,4435,1.6124,-0.2107),(4705,4445,1.6119,-0.19999),(4705,4455,1.6114,-0.19018),(4705,4465,1.6107,-0.18038),(4705,4475,1.6098,-0.17057),(4705,4485,1.6088,-0.16137),(4705,4495,1.6078,-0.15228),(4705,4505,1.6065,-0.1432),(4705,4515,1.6051,-0.13458),(4705,4525,1.6037,-0.1262),(4705,4535,1.6019,-0.11781),(4705,4545,1.6001,-0.10976),(4705,4555,1.5984,-0.10207),(4705,4565,1.5963,-0.094381),(4705,4575,1.5943,-0.086893),(4705,4585,1.5922,-0.079893),(4705,4595,1.5901,-0.072892),(4705,4605,1.588,-0.06595),(4705,4615,1.5858,-0.059465),(4705,4625,1.5836,-0.05298),(4705,4635,1.5813,-0.046495),(4705,4645,1.5791,-0.040458),(4705,4655,1.5767,-0.034451),(4705,4665,1.5743,-0.028445),(4705,4675,1.5718,-0.022867),(4705,4685,1.5694,-0.017427),(4705,4695,1.5669,-0.011987),(4705,4705,1.5644,-0.006877),(4705,4715,1.5619,-0.002008),(4705,4725,1.5595,0.002861),(4705,4735,1.5571,0.00755),(4705,4745,1.5547,0.01197),(4705,4755,1.5523,0.01639),(4705,4765,1.55,0.020725),(4705,4775,1.5476,0.024758),(4705,4785,1.5453,0.028792),(4705,4795,1.5429,0.032806),(4705,4805,1.5406,0.036396),(4705,4815,1.5382,0.039985),(4705,4825,1.5359,0.043575),(4705,4835,1.5336,0.046773),(4705,4845,1.5313,0.04991),(4705,4855,1.5291,0.053048),(4705,4865,1.5269,0.055903),(4705,4875,1.5247,0.05863),(4705,4885,1.5226,0.061356),(4705,4895,1.5206,0.063951),(4705,4905,1.5185,0.066418),(4705,4915,1.5165,0.068885),(4705,4925,1.5145,0.071234),(4705,4935,1.5124,0.073347),(4705,4945,1.5104,0.07546),(4705,4955,1.5085,0.077482),(4705,4965,1.5065,0.079003),(4705,4975,1.5047,0.080524),(4705,4985,1.5029,0.082044),(4705,4995,1.5012,0.082784),(4705,5005,1.4998,0.083504),(4705,5015,1.4986,0.084224),(4705,5025,1.4975,0.08435),(4705,5035,1.4965,0.084325),(4705,5045,1.4959,0.084299),(4705,5055,1.4953,0.083773),(4705,5065,1.4948,0.082938),(4705,5075,1.4949,0.082103),(4705,5085,1.495,0.080834),(4705,5095,1.4952,0.079013),(4705,5105,1.4961,0.077192),(4705,5115,1.4971,0.07507),(4705,5125,1.4982,0.072097),(4705,5135,1.5002,0.069125),(4705,5145,1.5026,0.06607),(4705,5155,1.5049,0.062117),(4705,5165,1.5079,0.058165),(4705,5175,1.5116,0.054212),(4705,5185,1.5153,0.049838),(4705,5195,1.5192,0.045419),(4705,5205,1.5237,0.041001),(4705,5215,1.5282,0.036474),(4705,5225,1.5328,0.031907),(4705,5235,1.5379,0.02734),(4705,5245,1.543,0.022661),(4705,5255,1.5481,0.017891),(4705,5265,1.554,0.013121),(4705,5275,1.56,0.008375),(4705,5285,1.5659,0.003673),(4705,5295,1.5724,-0.00103),(4705,5305,1.5792,-0.005499),(4705,5315,1.5859,-0.008992),(4705,5325,1.5924,-0.012485),(4705,5335,1.5987,-0.015944),(4705,5345,1.605,-0.017115),(4705,5355,1.6105,-0.018286),(4705,5365,1.6149,-0.019457),(4705,5375,1.6193,-0.018538),(4705,5385,1.623,-0.01721),(4705,5395,1.6248,-0.015882),(4705,5405,1.6266,-0.013484),(4705,5415,1.6282,-0.01053),(4705,5425,1.6283,-0.007577),(4705,5435,1.6283,-0.004239),(4705,5445,1.6283,-0.000484),(4705,5455,1.6277,0.00327),(4705,5465,1.627,0.007213),(4705,5475,1.6263,0.011593),(4705,5485,1.6254,0.015972),(4705,5495,1.6244,0.020428),(4705,5505,1.6235,0.025428),(4705,5515,1.6225,0.030428),(4705,5525,1.6214,0.035428),(4705,5535,1.6203,0.04098),(4705,5545,1.6192,0.046564),(4705,5555,1.6179,0.052148),(4705,5565,1.6166,0.058055),(4705,5575,1.6153,0.06406),(4705,5585,1.6137,0.070066),(4705,5595,1.6121,0.076191),(4705,5605,1.6105,0.082399),(4705,5615,1.6085,0.088607),(4705,5625,1.6065,0.094782),(4705,5635,1.6045,0.10091),(4705,5645,1.6021,0.10704),(4705,5655,1.5996,0.11304),(4705,5665,1.5971,0.11866),(4705,5675,1.5943,0.12427),(4705,5685,1.5914,0.12983),(4705,5695,1.5884,0.13442),(4705,5705,1.5854,0.13901),(4705,5715,1.5823,0.1436),(4705,5725,1.5792,0.14663),(4705,5735,1.5762,0.14945),(4705,5745,1.5733,0.15227),(4705,5755,1.5704,0.15317),(4705,5765,1.5676,0.15324),(4705,5775,1.5658,0.15331),(4705,5785,1.564,0.15127),(4705,5795,1.5622,0.14726),(4705,5805,1.5627,0.14325),(4705,5815,1.5634,0.13727),(4705,5825,1.5641,0.12746),(4705,5835,1.5686,0.11765),(4705,5845,1.5743,0.10659),(4705,5855,1.58,0.089125),(4705,5865,1.5906,0.07166),(4705,5875,1.6048,0.054195),(4705,5885,1.6191,0.028138),(4705,5895,1.6381,0.001953),(4705,5905,1.6644,-0.024233),(4705,5915,1.6908,-0.056004),(4705,5925,1.72,-0.089111),(4705,5935,1.7594,-0.12222),(4705,5945,1.7988,-0.15536),(4705,5955,1.8385,-0.18851),(4705,5965,1.8851,-0.22167),(4705,5975,1.9317,-0.2501),(4705,5985,1.9783,-0.27277),(4705,5995,2.0205,-0.29543),(4705,6005,2.062,-0.31373),(4705,6015,2.1035,-0.32038),(4705,6025,2.1351,-0.32702),(4705,6035,2.1622,-0.3326),(4705,6045,2.1892,-0.32789),(4705,6055,2.2102,-0.32319),(4705,6065,2.2252,-0.31848),(4705,6075,2.2403,-0.30997),(4705,6085,2.2535,-0.30111),(4705,6095,2.2631,-0.29225),(4705,6105,2.2727,-0.28271),(4705,6115,2.2819,-0.27293),(4705,6125,2.2891,-0.26315),(4705,6135,2.2964,-0.25345),(4705,6145,2.3036,-0.24381),(4705,6155,2.3094,-0.23416),(4705,6165,2.3152,-0.22472),(4705,6175,2.321,-0.21561),(4705,6185,2.3259,-0.2065),(4705,6195,2.3306,-0.19752),(4705,6205,2.3352,-0.18909),(4705,6215,2.3394,-0.18066),(4705,6225,2.3431,-0.17224),(4705,6235,2.3469,-0.16453),(4705,6245,2.3504,-0.15682),(4705,6255,2.3534,-0.14911),(4705,6265,2.3564,-0.14204),(4705,6275,2.3593,-0.13509),(4705,6285,2.3617,-0.12813),(4705,6295,2.3641,-0.12162),(4705,6305,2.3665,-0.11532),(4705,6315,2.3685,-0.10902),(4705,6325,2.3704,-0.10305),(4705,6335,2.3724,-0.097433),(4705,6345,2.374,-0.091814),(4705,6355,2.3755,-0.086387),(4705,6365,2.377,-0.081381),(4705,6375,2.3783,-0.076376),(4705,6385,2.3796,-0.071432),(4705,6395,2.3808,-0.066885),(4705,6405,2.3819,-0.062338),(4705,6415,2.3828,-0.057791),(4705,6425,2.3838,-0.053617),(4705,6435,2.3846,-0.04946),(4705,6445,2.3853,-0.045303),(4705,6455,2.3861,-0.041431),(4705,6465,2.3868,-0.03764),(4705,6475,2.3873,-0.033849),(4705,6485,2.3878,-0.030212),(4705,6495,2.3884,-0.026677),(4705,6505,2.3888,-0.023142),(4705,6515,2.3891,-0.019703),(4705,6525,2.3895,-0.016394),(4705,6535,2.3898,-0.013085),(4705,6545,2.39,-0.009798),(4705,6555,2.3903,-0.00658),(4705,6565,2.3904,-0.003361),(4705,6575,2.3904,-0.000145),(4705,6585,2.3905,0.003033),(4705,6595,2.0335,0.00621),(4705,6605,1.2822,0.009388),(4705,6615,0.53098,0.009729),(4705,6625,0.002846,0.009706),(4705,6635,0.002808,0.009683),(4705,6645,0.00277,0.009665),(4705,6655,0.002732,0.009648),(4705,6665,0.002699,0.009631),(4705,6675,0.002666,0.009616),(4705,6685,0.002634,0.009602),(4705,6695,0.002605,0.009587),(4705,6705,0.002577,0.009573),(4705,6715,0.002549,0.009561),(4705,6725,0.002524,0.009548),(4705,6735,0.0025,0.009536),(4705,6745,0.002475,0.009524),(4705,6755,0.002453,0.009513),(4705,6765,0.002432,0.009502),(4705,6775,0.002412,0.009492),(4705,6785,0.002392,0.009482),(4705,6795,0.002374,0.009473),(4705,6805,0.002356,0.009463),(4705,6815,0.002338,0.009455),(4705,6825,0.002323,0.009446),(4705,6835,0.002307,0.009437),(4705,6845,0.002292,0.009429),(4705,6855,0.002278,0.009421),(4705,6865,0.002265,0.009413),(4705,6875,0.002251,0.009406),(4705,6885,0.002239,0.009399),(4705,6895,0.002227,0.009392),(4705,6905,0.002216,0.009385),(4705,6915,0.002205,0.009378),(4705,6925,0.002195,0.009371),(4705,6935,0.002185,0.009365),(4705,6945,0.002176,0.009358),(4705,6955,0.002167,0.009352),(4705,6965,0.002158,0.009346),(4705,6975,0.00215,0.00934),(4705,6985,0.002142,0.009334),(4715,5,-9e-06,-1.1345),(4715,15,-2.6e-05,-1.1346),(4715,25,-3.4e-05,-1.1347),(4715,35,-3.1e-05,-1.1348),(4715,45,-2.9e-05,-1.1349),(4715,55,-2.7e-05,-1.135),(4715,65,-1.4e-05,-1.1352),(4715,75,6e-06,-1.1353),(4715,85,2.6e-05,-1.1354),(4715,95,4.7e-05,-1.1356),(4715,105,8.1e-05,-1.1358),(4715,115,0.000125,-1.136),(4715,125,0.000169,-1.1363),(4715,135,0.000213,-1.1366),(4715,145,0.000239,-1.1369),(4715,155,0.000255,-1.1372),(4715,165,0.000271,-1.1375),(4715,175,0.000287,-1.1378),(4715,185,0.000261,-1.1381),(4715,195,0.000214,-1.1384),(4715,205,0.000168,-1.1387),(4715,215,0.000121,-1.139),(4715,225,7e-05,-1.1393),(4715,235,1.8e-05,-1.1397),(4715,245,-3.4e-05,-1.1401),(4715,255,-8.6e-05,-1.1405),(4715,265,-8.8e-05,-1.1409),(4715,275,-7.3e-05,-1.1414),(4715,285,-5.9e-05,-1.1419),(4715,295,-4.4e-05,-1.1426),(4715,305,-2e-06,-1.1432),(4715,315,4.6e-05,-1.1438),(4715,325,9.5e-05,-1.1445),(4715,335,0.000143,-1.1451),(4715,345,0.000174,-1.1458),(4715,355,0.000201,-1.1465),(4715,365,0.000228,-1.1472),(4715,375,0.000255,-1.1479),(4715,385,0.000258,-1.1486),(4715,395,0.000256,-1.1493),(4715,405,0.000255,-1.1501),(4715,415,0.000254,-1.151),(4715,425,0.000267,-1.1518),(4715,435,0.000282,-1.1526),(4715,445,0.000296,-1.1535),(4715,455,0.000311,-1.1545),(4715,465,0.000312,-1.1555),(4715,475,0.000313,-1.1564),(4715,485,0.000314,-1.1575),(4715,495,0.000314,-1.1585),(4715,505,0.000287,-1.1596),(4715,515,0.000259,-1.1606),(4715,525,0.000232,-1.1617),(4715,535,0.000204,-1.1629),(4715,545,0.000177,-1.164),(4715,555,0.000149,-1.1652),(4715,565,0.000122,-1.1664),(4715,575,9.7e-05,-1.1677),(4715,585,0.000108,-1.169),(4715,595,0.000119,-1.1703),(4715,605,0.000129,-1.1717),(4715,615,0.000143,-1.1732),(4715,625,0.000177,-1.1747),(4715,635,0.000212,-1.1761),(4715,645,0.000246,-1.1777),(4715,655,0.000279,-1.1793),(4715,665,0.000298,-1.1809),(4715,675,0.000317,-1.1825),(4715,685,0.000336,-1.1842),(4715,695,0.000352,-1.186),(4715,705,0.000358,-1.1877),(4715,715,0.000364,-1.1894),(4715,725,0.00037,-1.1913),(4715,735,0.000382,-1.1932),(4715,745,0.000411,-1.1951),(4715,755,0.00044,-1.197),(4715,765,0.000469,-1.1991),(4715,775,0.000489,-1.2011),(4715,785,0.000486,-1.2032),(4715,795,0.000483,-1.2053),(4715,805,0.000479,-1.2075),(4715,815,0.000486,-1.2097),(4715,825,0.000515,-1.2119),(4715,835,0.000543,-1.2142),(4715,845,0.000572,-1.2166),(4715,855,0.000603,-1.219),(4715,865,0.00064,-1.2214),(4715,875,0.000677,-1.2238),(4715,885,0.000714,-1.2264),(4715,895,0.000759,-1.229),(4715,905,0.000816,-1.2316),(4715,915,0.000874,-1.2343),(4715,925,0.000932,-1.2371),(4715,935,0.000992,-1.2399),(4715,945,0.001054,-1.2427),(4715,955,0.001117,-1.2456),(4715,965,0.001179,-1.2486),(4715,975,0.00124,-1.2516),(4715,985,0.001298,-1.2546),(4715,995,0.001357,-1.2577),(4715,1005,0.001415,-1.2609),(4715,1015,0.001469,-1.2641),(4715,1025,0.001519,-1.2673),(4715,1035,0.001568,-1.2706),(4715,1045,0.001618,-1.2739),(4715,1055,0.00166,-1.2772),(4715,1065,0.001696,-1.2806),(4715,1075,0.001732,-1.284),(4715,1085,0.001768,-1.2874),(4715,1095,0.001788,-1.2908),(4715,1105,0.001797,-1.2943),(4715,1115,0.001806,-1.2979),(4715,1125,0.001815,-1.3015),(4715,1135,0.001565,-1.3052),(4715,1145,0.001161,-1.3089),(4715,1155,0.000758,-1.3131),(4715,1165,0.000354,-1.3176),(4715,1175,-0.00017,-1.3221),(4715,1185,-0.000753,-1.3266),(4715,1195,-0.001337,-1.3334),(4715,1205,-0.00192,-1.3413),(4715,1215,-0.001206,-1.3491),(4715,1225,4.5e-05,-1.357),(4715,1235,0.001295,-1.3689),(4715,1245,0.002545,-1.3823),(4715,1255,-0.002774,-1.3958),(4715,1265,-0.010312,-1.4092),(4715,1275,-0.01785,-1.4091),(4715,1285,-0.025388,-1.4048),(4715,1295,-0.059062,-1.4006),(4715,1305,-0.099803,-1.3963),(4715,1315,-0.14055,-1.3488),(4715,1325,-0.18129,-1.2911),(4715,1335,-0.11201,-1.2333),(4715,1345,-0.019684,-1.1755),(4715,1355,0.072645,-1.2155),(4715,1365,0.16497,-1.2732),(4715,1375,0.14495,-1.331),(4715,1385,0.1076,-1.3887),(4715,1395,0.070244,-1.4031),(4715,1405,0.032889,-1.4119),(4715,1415,0.021682,-1.4208),(4715,1425,0.01319,-1.4296),(4715,1435,0.004698,-1.4152),(4715,1445,-0.003795,-1.399),(4715,1455,-0.002746,-1.3828),(4715,1465,-0.001148,-1.3665),(4715,1475,0.000451,-1.3575),(4715,1485,0.002049,-1.3487),(4715,1495,0.00114,-1.3399),(4715,1505,0.000192,-1.3311),(4715,1515,-0.000755,-1.3269),(4715,1525,-0.001693,-1.3227),(4715,1535,-0.002289,-1.3185),(4715,1545,-0.002885,-1.3144),(4715,1555,-0.00348,-1.3112),(4715,1565,-0.004032,-1.3081),(4715,1575,-0.003942,-1.3049),(4715,1585,-0.003853,-1.3018),(4715,1595,-0.003763,-1.2988),(4715,1605,-0.003662,-1.2958),(4715,1615,-0.003463,-1.2928),(4715,1625,-0.003264,-1.2899),(4715,1635,-0.003064,-1.2871),(4715,1645,-0.002875,-1.2843),(4715,1655,-0.002745,-1.2815),(4715,1665,-0.002615,-1.2788),(4715,1675,-0.002485,-1.2763),(4715,1685,-0.002364,-1.2737),(4715,1695,-0.002287,-1.2712),(4715,1705,-0.002209,-1.2688),(4715,1715,-0.002132,-1.2665),(4715,1725,-0.00206,-1.2643),(4715,1735,-0.002006,-1.2621),(4715,1745,-0.001952,-1.26),(4715,1755,-0.001898,-1.2581),(4715,1765,-0.00185,-1.2562),(4715,1775,-0.001819,-1.2543),(4715,1785,-0.001787,-1.2525),(4715,1795,-0.001756,-1.2509),(4715,1805,-0.001733,-1.2493),(4715,1815,-0.001729,-1.2477),(4715,1825,-0.001724,-1.2462),(4715,1835,-0.00172,-1.2449),(4715,1845,-0.001691,-1.2436),(4715,1855,-0.001615,-1.2423),(4715,1865,-0.001539,-1.2412),(4715,1875,-0.001463,-1.2403),(4715,1885,-0.001419,-1.2393),(4715,1895,-0.001428,-1.2384),(4715,1905,-0.001437,-1.2376),(4715,1915,-0.001446,-1.2369),(4715,1925,-0.001428,-1.2363),(4715,1935,-0.001375,-1.2357),(4715,1945,-0.001322,-1.2352),(4715,1955,-0.001269,-1.2348),(4715,1965,-0.001224,-1.2345),(4715,1975,-0.001188,-1.2341),(4715,1985,-0.001152,-1.2339),(4715,1995,-0.001116,-1.2339),(4715,2005,-0.001078,-1.2338),(4715,2015,-0.001038,-1.2338),(4715,2025,-0.000997,-1.2339),(4715,2035,-0.000957,-1.2341),(4715,2045,-0.000914,-1.2343),(4715,2055,-0.000868,-1.2346),(4715,2065,-0.000823,-1.235),(4715,2075,-0.000777,-1.2355),(4715,2085,-0.000731,-1.236),(4715,2095,-0.000683,-1.2365),(4715,2105,-0.000636,-1.2372),(4715,2115,-0.000588,-1.238),(4715,2125,-0.000541,-1.2388),(4715,2135,-0.000495,-1.2396),(4715,2145,-0.000449,-1.2406),(4715,2155,-0.000403,-1.2417),(4715,2165,-0.000354,-1.2427),(4715,2175,-0.000303,-1.2438),(4715,2185,-0.000253,-1.2451),(4715,2195,-0.000202,-1.2464),(4715,2205,-0.000151,-1.2477),(4715,2215,-0.0001,-1.2491),(4715,2225,-4.9e-05,-1.2506),(4715,2235,3e-06,-1.2522),(4715,2245,0.000125,-1.2538),(4715,2255,0.000274,-1.2554),(4715,2265,0.000422,-1.2572),(4715,2275,0.00057,-1.259),(4715,2285,0.000672,-1.2609),(4715,2295,0.00076,-1.2627),(4715,2305,0.000849,-1.2648),(4715,2315,0.000937,-1.2669),(4715,2325,0.001096,-1.269),(4715,2335,0.00127,-1.271),(4715,2345,0.001445,-1.2733),(4715,2355,0.00162,-1.2756),(4715,2365,0.001808,-1.2779),(4715,2375,0.001999,-1.2802),(4715,2385,0.002189,-1.2826),(4715,2395,0.00238,-1.2851),(4715,2405,0.00262,-1.2876),(4715,2415,0.002867,-1.2901),(4715,2425,0.003113,-1.2928),(4715,2435,0.00336,-1.2955),(4715,2445,0.003651,-1.2982),(4715,2455,0.003946,-1.3009),(4715,2465,0.004241,-1.3037),(4715,2475,0.004535,-1.3066),(4715,2485,0.00487,-1.3094),(4715,2495,0.005206,-1.3123),(4715,2505,0.005542,-1.3152),(4715,2515,0.005878,-1.3182),(4715,2525,0.006268,-1.3212),(4715,2535,0.006657,-1.3242),(4715,2545,0.007046,-1.3273),(4715,2555,0.007438,-1.3305),(4715,2565,0.007872,-1.3336),(4715,2575,0.008305,-1.3368),(4715,2585,0.008739,-1.34),(4715,2595,0.009176,-1.3432),(4715,2605,0.009638,-1.3465),(4715,2615,0.010101,-1.3497),(4715,2625,0.010564,-1.353),(4715,2635,0.011045,-1.3563),(4715,2645,0.011649,-1.3595),(4715,2655,0.012252,-1.3628),(4715,2665,0.012855,-1.3661),(4715,2675,0.013461,-1.3693),(4715,2685,0.014082,-1.3726),(4715,2695,0.014702,-1.3759),(4715,2705,0.015322,-1.379),(4715,2715,0.015971,-1.3822),(4715,2725,0.016721,-1.3853),(4715,2735,0.017471,-1.3884),(4715,2745,0.018221,-1.3913),(4715,2755,0.018988,-1.3942),(4715,2765,0.019805,-1.3972),(4715,2775,0.020621,-1.4),(4715,2785,0.021438,-1.4027),(4715,2795,0.022279,-1.4054),(4715,2805,0.023177,-1.4081),(4715,2815,0.024076,-1.4107),(4715,2825,0.024975,-1.4131),(4715,2835,0.02589,-1.4155),(4715,2845,0.02684,-1.4179),(4715,2855,0.027789,-1.4203),(4715,2865,0.028739,-1.4224),(4715,2875,0.02971,-1.4245),(4715,2885,0.030717,-1.4266),(4715,2895,0.031724,-1.4286),(4715,2905,0.032732,-1.4304),(4715,2915,0.033769,-1.4322),(4715,2925,0.034851,-1.434),(4715,2935,0.035932,-1.4357),(4715,2945,0.037013,-1.4372),(4715,2955,0.038108,-1.4386),(4715,2965,0.039218,-1.4401),(4715,2975,0.040329,-1.4413),(4715,2985,0.04144,-1.4423),(4715,2995,0.042548,-1.4432),(4715,3005,0.043654,-1.4442),(4715,3015,0.044759,-1.4448),(4715,3025,0.045864,-1.4453),(4715,3035,0.046992,-1.4457),(4715,3045,0.048141,-1.4461),(4715,3055,0.049289,-1.4462),(4715,3065,0.050437,-1.446),(4715,3075,0.05152,-1.4458),(4715,3085,0.052555,-1.4456),(4715,3095,0.053589,-1.445),(4715,3105,0.054623,-1.4442),(4715,3115,0.055633,-1.4433),(4715,3125,0.056628,-1.4425),(4715,3135,0.057623,-1.4412),(4715,3145,0.058618,-1.4398),(4715,3155,0.059568,-1.4383),(4715,3165,0.060492,-1.4369),(4715,3175,0.061417,-1.4352),(4715,3185,0.062341,-1.4333),(4715,3195,0.063218,-1.4314),(4715,3205,0.064072,-1.4295),(4715,3215,0.064927,-1.4273),(4715,3225,0.065782,-1.425),(4715,3235,0.06659,-1.4228),(4715,3245,0.067381,-1.4205),(4715,3255,0.068173,-1.4181),(4715,3265,0.068964,-1.4157),(4715,3275,0.069734,-1.4132),(4715,3285,0.070497,-1.4108),(4715,3295,0.071261,-1.4083),(4715,3305,0.072024,-1.4058),(4715,3315,0.072781,-1.4033),(4715,3325,0.073537,-1.4008),(4715,3335,0.074293,-1.3984),(4715,3345,0.075049,-1.3959),(4715,3355,0.075777,-1.3934),(4715,3365,0.076501,-1.391),(4715,3375,0.077224,-1.3885),(4715,3385,0.077947,-1.3861),(4715,3395,0.07867,-1.3836),(4715,3405,0.079393,-1.3812),(4715,3415,0.080116,-1.3787),(4715,3425,0.080839,-1.3763),(4715,3435,0.081429,-1.3738),(4715,3445,0.082009,-1.3713),(4715,3455,0.082588,-1.3688),(4715,3465,0.083168,-1.3663),(4715,3475,0.083712,-1.3639),(4715,3485,0.084255,-1.3614),(4715,3495,0.084799,-1.3588),(4715,3505,0.085341,-1.3562),(4715,3515,0.085761,-1.3537),(4715,3525,0.086181,-1.3511),(4715,3535,0.086601,-1.3484),(4715,3545,0.087018,-1.3458),(4715,3555,0.087375,-1.3431),(4715,3565,0.087732,-1.3404),(4715,3575,0.088088,-1.3378),(4715,3585,0.088443,-1.3351),(4715,3595,0.088782,-1.3324),(4715,3605,0.08912,-1.3298),(4715,3615,0.089458,-1.3271),(4715,3625,0.089794,-1.3244),(4715,3635,0.090113,-1.3217),(4715,3645,0.090433,-1.319),(4715,3655,0.090753,-1.3162),(4715,3665,0.091073,-1.3134),(4715,3675,0.091393,-1.3106),(4715,3685,0.091714,-1.3079),(4715,3695,0.092035,-1.305),(4715,3705,0.092359,-1.3022),(4715,3715,0.092696,-1.2993),(4715,3725,0.093032,-1.2965),(4715,3735,0.093368,-1.2935),(4715,3745,0.093699,-1.2905),(4715,3755,0.094014,-1.2875),(4715,3765,0.094329,-1.2844),(4715,3775,0.094643,-1.2811),(4715,3785,0.094959,-1.2778),(4715,3795,0.095274,-1.2744),(4715,3805,0.09559,-1.271),(4715,3815,0.095906,-1.2673),(4715,3825,0.096089,-1.2636),(4715,3835,0.095993,-1.26),(4715,3845,0.095896,-1.2563),(4715,3855,0.0958,-1.2526),(4715,3865,0.095563,-1.2489),(4715,3875,0.095079,-1.2452),(4715,3885,0.094595,-1.2422),(4715,3895,0.09411,-1.2403),(4715,3905,0.094092,-1.2384),(4715,3915,0.09477,-1.2365),(4715,3925,0.095447,-1.2359),(4715,3935,0.096125,-1.2371),(4715,3945,0.09608,-1.2382),(4715,3955,0.095117,-1.2394),(4715,3965,0.094154,-1.2325),(4715,3975,0.093191,-1.2162),(4715,3985,0.071559,-1.1999),(4715,3995,0.027555,-1.1837),(4715,4005,-0.01645,-1.1383),(4715,4015,-0.060455,-1.064),(4715,4025,0.16952,-0.98966),(4715,4035,0.42629,-0.93495),(4715,4045,0.68307,-0.92162),(4715,4055,0.87617,-0.90829),(4715,4065,1.046,-0.89347),(4715,4075,1.2159,-0.86976),(4715,4085,1.3045,-0.84605),(4715,4095,1.3279,-0.82233),(4715,4105,1.3512,-0.79841),(4715,4115,1.3728,-0.77447),(4715,4125,1.3915,-0.75053),(4715,4135,1.4102,-0.72736),(4715,4145,1.4281,-0.70439),(4715,4155,1.4429,-0.68143),(4715,4165,1.4578,-0.65921),(4715,4175,1.4725,-0.63748),(4715,4185,1.4843,-0.61575),(4715,4195,1.4961,-0.59459),(4715,4205,1.5078,-0.57418),(4715,4215,1.5173,-0.55376),(4715,4225,1.5265,-0.53371),(4715,4235,1.5356,-0.51474),(4715,4245,1.5432,-0.49577),(4715,4255,1.55,-0.47691),(4715,4265,1.5568,-0.45955),(4715,4275,1.5627,-0.44219),(4715,4285,1.5676,-0.42483),(4715,4295,1.5725,-0.40885),(4715,4305,1.577,-0.39303),(4715,4315,1.5804,-0.37722),(4715,4325,1.5839,-0.36236),(4715,4335,1.5872,-0.34788),(4715,4345,1.5894,-0.3334),(4715,4355,1.5917,-0.31961),(4715,4365,1.5939,-0.30643),(4715,4375,1.5951,-0.29324),(4715,4385,1.5963,-0.28048),(4715,4395,1.5975,-0.26849),(4715,4405,1.5981,-0.2565),(4715,4415,1.5985,-0.24472),(4715,4425,1.5988,-0.23385),(4715,4435,1.5988,-0.22297),(4715,4445,1.5986,-0.2121),(4715,4455,1.5983,-0.20214),(4715,4465,1.5979,-0.19218),(4715,4475,1.5972,-0.18222),(4715,4485,1.5965,-0.17288),(4715,4495,1.5956,-0.16366),(4715,4505,1.5945,-0.15445),(4715,4515,1.5933,-0.1457),(4715,4525,1.5922,-0.13721),(4715,4535,1.5906,-0.12872),(4715,4545,1.589,-0.12055),(4715,4555,1.5875,-0.11275),(4715,4565,1.5857,-0.10495),(4715,4575,1.5838,-0.097351),(4715,4585,1.582,-0.090238),(4715,4595,1.5801,-0.083126),(4715,4605,1.5781,-0.076076),(4715,4615,1.5761,-0.069515),(4715,4625,1.574,-0.062954),(4715,4635,1.5718,-0.056392),(4715,4645,1.5697,-0.0503),(4715,4655,1.5675,-0.044239),(4715,4665,1.5652,-0.038179),(4715,4675,1.563,-0.032548),(4715,4685,1.5607,-0.027055),(4715,4695,1.5584,-0.021562),(4715,4705,1.5561,-0.016397),(4715,4715,1.5538,-0.01147),(4715,4725,1.5515,-0.006543),(4715,4735,1.5492,-0.001796),(4715,4745,1.5469,0.002679),(4715,4755,1.5447,0.007155),(4715,4765,1.5425,0.01154),(4715,4775,1.5403,0.015607),(4715,4785,1.538,0.019674),(4715,4795,1.5358,0.023721),(4715,4805,1.5336,0.027334),(4715,4815,1.5314,0.030948),(4715,4825,1.5292,0.034561),(4715,4835,1.5271,0.037782),(4715,4845,1.5249,0.040942),(4715,4855,1.5228,0.044102),(4715,4865,1.5207,0.046976),(4715,4875,1.5187,0.049721),(4715,4885,1.5167,0.052465),(4715,4895,1.5147,0.055049),(4715,4905,1.5127,0.057481),(4715,4915,1.5108,0.059912),(4715,4925,1.5089,0.062205),(4715,4935,1.5069,0.064218),(4715,4945,1.5051,0.066231),(4715,4955,1.5033,0.068148),(4715,4965,1.5015,0.069532),(4715,4975,1.4999,0.070917),(4715,4985,1.4984,0.072301),(4715,4995,1.497,0.072915),(4715,5005,1.4957,0.07351),(4715,5015,1.4948,0.074104),(4715,5025,1.4939,0.074102),(4715,5035,1.4931,0.073949),(4715,5045,1.4928,0.073795),(4715,5055,1.4925,0.073129),(4715,5065,1.4922,0.072147),(4715,5075,1.4926,0.071166),(4715,5085,1.4931,0.069761),(4715,5095,1.4935,0.067819),(4715,5105,1.4948,0.065878),(4715,5115,1.4962,0.063658),(4715,5125,1.4977,0.060655),(4715,5135,1.5,0.057653),(4715,5145,1.5027,0.054579),(4715,5155,1.5054,0.050728),(4715,5165,1.5086,0.046878),(4715,5175,1.5125,0.043027),(4715,5185,1.5163,0.038834),(4715,5195,1.5203,0.034605),(4715,5205,1.5249,0.030377),(4715,5215,1.5295,0.026071),(4715,5225,1.5341,0.021737),(4715,5235,1.5393,0.017403),(4715,5245,1.5445,0.013027),(4715,5255,1.5496,0.008618),(4715,5265,1.5555,0.004208),(4715,5275,1.5615,-9.4e-05),(4715,5285,1.5674,-0.004216),(4715,5295,1.5737,-0.008337),(4715,5305,1.58,-0.012206),(4715,5315,1.5864,-0.015019),(4715,5325,1.5922,-0.017831),(4715,5335,1.5978,-0.020611),(4715,5345,1.6033,-0.021238),(4715,5355,1.608,-0.021864),(4715,5365,1.6115,-0.02249),(4715,5375,1.6151,-0.021267),(4715,5385,1.618,-0.019682),(4715,5395,1.6192,-0.018097),(4715,5405,1.6205,-0.015587),(4715,5415,1.6216,-0.012596),(4715,5425,1.6213,-0.009606),(4715,5435,1.6211,-0.00628),(4715,5445,1.6208,-0.002593),(4715,5455,1.62,0.001095),(4715,5465,1.619,0.004942),(4715,5475,1.6181,0.009157),(4715,5485,1.617,0.013372),(4715,5495,1.6159,0.017651),(4715,5505,1.6147,0.022377),(4715,5515,1.6135,0.027104),(4715,5525,1.6122,0.03183),(4715,5535,1.611,0.036998),(4715,5545,1.6096,0.042192),(4715,5555,1.6082,0.047385),(4715,5565,1.6068,0.05281),(4715,5575,1.6053,0.058306),(4715,5585,1.6036,0.063801),(4715,5595,1.602,0.069341),(4715,5605,1.6003,0.074913),(4715,5615,1.5983,0.080485),(4715,5625,1.5963,0.085967),(4715,5635,1.5942,0.091321),(4715,5645,1.5919,0.096676),(4715,5655,1.5896,0.10187),(4715,5665,1.5872,0.10656),(4715,5675,1.5847,0.11124),(4715,5685,1.582,0.11586),(4715,5695,1.5794,0.11931),(4715,5705,1.5768,0.12277),(4715,5715,1.5742,0.12622),(4715,5725,1.5716,0.12795),(4715,5735,1.5692,0.12942),(4715,5745,1.5671,0.1309),(4715,5755,1.565,0.13031),(4715,5765,1.5631,0.12882),(4715,5775,1.5626,0.12732),(4715,5785,1.562,0.12362),(4715,5795,1.5614,0.11787),(4715,5805,1.5638,0.11212),(4715,5815,1.5663,0.10438),(4715,5825,1.5688,0.092837),(4715,5835,1.5756,0.081289),(4715,5845,1.5838,0.068559),(4715,5855,1.592,0.049781),(4715,5865,1.6054,0.031003),(4715,5875,1.6225,0.012224),(4715,5885,1.6397,-0.013988),(4715,5895,1.6615,-0.040312),(4715,5905,1.6903,-0.066636),(4715,5915,1.7192,-0.09697),(4715,5925,1.7504,-0.12826),(4715,5935,1.7901,-0.15956),(4715,5945,1.8298,-0.18973),(4715,5955,1.8697,-0.21923),(4715,5965,1.9129,-0.24873),(4715,5975,1.9562,-0.27346),(4715,5985,1.9994,-0.29238),(4715,5995,2.0364,-0.3113),(4715,6005,2.0725,-0.32632),(4715,6015,2.1085,-0.33094),(4715,6025,2.1357,-0.33555),(4715,6035,2.1588,-0.33926),(4715,6045,2.1818,-0.33421),(4715,6055,2.2001,-0.32917),(4715,6065,2.2137,-0.32413),(4715,6075,2.2273,-0.31582),(4715,6085,2.2395,-0.30722),(4715,6095,2.2487,-0.29862),(4715,6105,2.258,-0.28939),(4715,6115,2.2669,-0.27995),(4715,6125,2.2742,-0.2705),(4715,6135,2.2815,-0.2611),(4715,6145,2.2887,-0.25172),(4715,6155,2.2947,-0.24235),(4715,6165,2.3007,-0.23314),(4715,6175,2.3066,-0.22419),(4715,6185,2.3117,-0.21525),(4715,6195,2.3166,-0.20643),(4715,6205,2.3216,-0.19806),(4715,6215,2.3259,-0.1897),(4715,6225,2.3299,-0.18135),(4715,6235,2.334,-0.17362),(4715,6245,2.3377,-0.16589),(4715,6255,2.341,-0.15815),(4715,6265,2.3442,-0.15099),(4715,6275,2.3473,-0.14393),(4715,6285,2.35,-0.13687),(4715,6295,2.3526,-0.13023),(4715,6305,2.3552,-0.12379),(4715,6315,2.3573,-0.11736),(4715,6325,2.3595,-0.11122),(4715,6335,2.3617,-0.10539),(4715,6345,2.3635,-0.099561),(4715,6355,2.3652,-0.09391),(4715,6365,2.3669,-0.088657),(4715,6375,2.3684,-0.083404),(4715,6385,2.3697,-0.078209),(4715,6395,2.3711,-0.073393),(4715,6405,2.3723,-0.068577),(4715,6415,2.3734,-0.063761),(4715,6425,2.3745,-0.059301),(4715,6435,2.3755,-0.054857),(4715,6445,2.3763,-0.050412),(4715,6455,2.3771,-0.04624),(4715,6465,2.3779,-0.042146),(4715,6475,2.3786,-0.038052),(4715,6485,2.3792,-0.034106),(4715,6495,2.3798,-0.030258),(4715,6505,2.3803,-0.026409),(4715,6515,2.3807,-0.022654),(4715,6525,2.3811,-0.019025),(4715,6535,2.3814,-0.015397),(4715,6545,2.3817,-0.011788),(4715,6555,2.382,-0.008241),(4715,6565,2.3821,-0.004694),(4715,6575,2.3822,-0.001151),(4715,6585,2.3823,0.002331),(4715,6595,2.0265,0.005813),(4715,6605,1.2778,0.009295),(4715,6615,0.52917,0.009676),(4715,6625,0.00286,0.009659),(4715,6635,0.002821,0.009642),(4715,6645,0.002782,0.009627),(4715,6655,0.002743,0.009612),(4715,6665,0.00271,0.009597),(4715,6675,0.002677,0.009583),(4715,6685,0.002643,0.00957),(4715,6695,0.002614,0.009557),(4715,6705,0.002586,0.009545),(4715,6715,0.002557,0.009534),(4715,6725,0.002531,0.009522),(4715,6735,0.002507,0.009511),(4715,6745,0.002482,0.009501),(4715,6755,0.002459,0.009491),(4715,6765,0.002438,0.009481),(4715,6775,0.002417,0.009472),(4715,6785,0.002397,0.009463),(4715,6795,0.002379,0.009454),(4715,6805,0.00236,0.009446),(4715,6815,0.002343,0.009438),(4715,6825,0.002327,0.00943),(4715,6835,0.002311,0.009422),(4715,6845,0.002295,0.009414),(4715,6855,0.002281,0.009407),(4715,6865,0.002268,0.0094),(4715,6875,0.002254,0.009393),(4715,6885,0.002242,0.009387),(4715,6895,0.00223,0.00938),(4715,6905,0.002218,0.009373),(4715,6915,0.002207,0.009367),(4715,6925,0.002197,0.009361),(4715,6935,0.002187,0.009355),(4715,6945,0.002178,0.009349),(4715,6955,0.002169,0.009343),(4715,6965,0.00216,0.009337),(4715,6975,0.002152,0.009332),(4715,6985,0.002144,0.009326),(4725,5,-8e-06,-0.95116),(4725,15,-2.3e-05,-0.95126),(4725,25,-3e-05,-0.95135),(4725,35,-2.8e-05,-0.95145),(4725,45,-2.7e-05,-0.95154),(4725,55,-2.6e-05,-0.95164),(4725,65,-1.5e-05,-0.95173),(4725,75,2e-06,-0.95183),(4725,85,2e-05,-0.95196),(4725,95,3.7e-05,-0.95213),(4725,105,6.8e-05,-0.95229),(4725,115,0.000106,-0.95245),(4725,125,0.000145,-0.95267),(4725,135,0.000183,-0.95293),(4725,145,0.000208,-0.95318),(4725,155,0.000226,-0.95343),(4725,165,0.000243,-0.95369),(4725,175,0.00026,-0.95395),(4725,185,0.00024,-0.95422),(4725,195,0.000203,-0.95448),(4725,205,0.000165,-0.95474),(4725,215,0.000128,-0.95501),(4725,225,8.4e-05,-0.95528),(4725,235,3.9e-05,-0.95555),(4725,245,-7e-06,-0.95588),(4725,255,-5.3e-05,-0.95624),(4725,265,-5.7e-05,-0.95659),(4725,275,-4.6e-05,-0.95695),(4725,285,-3.6e-05,-0.95742),(4725,295,-2.6e-05,-0.95793),(4725,305,9e-06,-0.95844),(4725,315,5.1e-05,-0.95895),(4725,325,9.3e-05,-0.95951),(4725,335,0.000134,-0.96009),(4725,345,0.000162,-0.96066),(4725,355,0.000187,-0.96123),(4725,365,0.000211,-0.96183),(4725,375,0.000236,-0.96243),(4725,385,0.000239,-0.96304),(4725,395,0.000238,-0.96364),(4725,405,0.000238,-0.96432),(4725,415,0.000238,-0.965),(4725,425,0.00025,-0.96569),(4725,435,0.000264,-0.96637),(4725,445,0.000278,-0.96718),(4725,455,0.000292,-0.96799),(4725,465,0.000296,-0.9688),(4725,475,0.0003,-0.96961),(4725,485,0.000304,-0.97049),(4725,495,0.000308,-0.97137),(4725,505,0.000287,-0.97225),(4725,515,0.000266,-0.97313),(4725,525,0.000245,-0.97409),(4725,535,0.000223,-0.97505),(4725,545,0.000201,-0.97601),(4725,555,0.000178,-0.97698),(4725,565,0.000156,-0.97804),(4725,575,0.000135,-0.97911),(4725,585,0.000145,-0.98018),(4725,595,0.000154,-0.98126),(4725,605,0.000164,-0.98248),(4725,615,0.000176,-0.98371),(4725,625,0.000208,-0.98493),(4725,635,0.00024,-0.98617),(4725,645,0.000272,-0.98751),(4725,655,0.000303,-0.98885),(4725,665,0.000323,-0.99019),(4725,675,0.000343,-0.99155),(4725,685,0.000363,-0.993),(4725,695,0.000381,-0.99444),(4725,705,0.00039,-0.99589),(4725,715,0.000398,-0.99736),(4725,725,0.000407,-0.99896),(4725,735,0.00042,-1.0006),(4725,745,0.00045,-1.0021),(4725,755,0.000479,-1.0038),(4725,765,0.000508,-1.0055),(4725,775,0.000529,-1.0072),(4725,785,0.00053,-1.0089),(4725,795,0.00053,-1.0107),(4725,805,0.000531,-1.0126),(4725,815,0.00054,-1.0144),(4725,825,0.000568,-1.0163),(4725,835,0.000596,-1.0182),(4725,845,0.000625,-1.0202),(4725,855,0.000656,-1.0222),(4725,865,0.000691,-1.0243),(4725,875,0.000727,-1.0263),(4725,885,0.000763,-1.0285),(4725,895,0.000806,-1.0307),(4725,905,0.000862,-1.0329),(4725,915,0.000918,-1.0351),(4725,925,0.000973,-1.0375),(4725,935,0.001032,-1.0399),(4725,945,0.001096,-1.0422),(4725,955,0.001159,-1.0447),(4725,965,0.001222,-1.0472),(4725,975,0.001285,-1.0497),(4725,985,0.001349,-1.0523),(4725,995,0.001412,-1.0549),(4725,1005,0.001475,-1.0576),(4725,1015,0.001535,-1.0603),(4725,1025,0.001591,-1.063),(4725,1035,0.001648,-1.0658),(4725,1045,0.001705,-1.0686),(4725,1055,0.001753,-1.0714),(4725,1065,0.001793,-1.0742),(4725,1075,0.001834,-1.0771),(4725,1085,0.001874,-1.08),(4725,1095,0.0019,-1.0829),(4725,1105,0.001915,-1.0858),(4725,1115,0.00193,-1.0889),(4725,1125,0.001945,-1.092),(4725,1135,0.001782,-1.0951),(4725,1145,0.001513,-1.0982),(4725,1155,0.001244,-1.1019),(4725,1165,0.000974,-1.1057),(4725,1175,0.000814,-1.1096),(4725,1185,0.000707,-1.1135),(4725,1195,0.000601,-1.1188),(4725,1205,0.000494,-1.1248),(4725,1215,0.001715,-1.1308),(4725,1225,0.003484,-1.1368),(4725,1235,0.005252,-1.1444),(4725,1245,0.007021,-1.1527),(4725,1255,0.000962,-1.161),(4725,1265,-0.007742,-1.1693),(4725,1275,-0.016445,-1.1737),(4725,1285,-0.025149,-1.177),(4725,1295,-0.059845,-1.1802),(4725,1305,-0.10157,-1.1835),(4725,1315,-0.1433,-1.1805),(4725,1325,-0.18502,-1.176),(4725,1335,-0.11415,-1.1714),(4725,1345,-0.019683,-1.1669),(4725,1355,0.074786,-1.171),(4725,1365,0.16926,-1.1766),(4725,1375,0.14886,-1.1822),(4725,1385,0.11073,-1.1878),(4725,1395,0.072613,-1.1871),(4725,1405,0.034491,-1.1855),(4725,1415,0.021471,-1.1839),(4725,1425,0.011057,-1.1824),(4725,1435,0.000643,-1.1733),(4725,1445,-0.00977,-1.1635),(4725,1455,-0.008165,-1.1538),(4725,1465,-0.005867,-1.144),(4725,1475,-0.003569,-1.1373),(4725,1485,-0.001271,-1.1307),(4725,1495,-0.001507,-1.1241),(4725,1505,-0.001781,-1.1175),(4725,1515,-0.002055,-1.1139),(4725,1525,-0.002332,-1.1102),(4725,1535,-0.00273,-1.1065),(4725,1545,-0.003126,-1.1028),(4725,1555,-0.003524,-1.1001),(4725,1565,-0.003889,-1.0974),(4725,1575,-0.003798,-1.0947),(4725,1585,-0.003707,-1.092),(4725,1595,-0.003616,-1.0895),(4725,1605,-0.003515,-1.087),(4725,1615,-0.003333,-1.0845),(4725,1625,-0.003151,-1.082),(4725,1635,-0.002969,-1.0796),(4725,1645,-0.002795,-1.0773),(4725,1655,-0.002668,-1.0749),(4725,1665,-0.002542,-1.0726),(4725,1675,-0.002415,-1.0705),(4725,1685,-0.002296,-1.0683),(4725,1695,-0.002214,-1.0662),(4725,1705,-0.002132,-1.0641),(4725,1715,-0.00205,-1.0622),(4725,1725,-0.001973,-1.0604),(4725,1735,-0.001913,-1.0585),(4725,1745,-0.001853,-1.0567),(4725,1755,-0.001793,-1.0551),(4725,1765,-0.001739,-1.0535),(4725,1775,-0.0017,-1.0519),(4725,1785,-0.001661,-1.0503),(4725,1795,-0.001622,-1.049),(4725,1805,-0.001592,-1.0476),(4725,1815,-0.001579,-1.0463),(4725,1825,-0.001567,-1.045),(4725,1835,-0.001555,-1.0439),(4725,1845,-0.001522,-1.0429),(4725,1855,-0.001449,-1.0418),(4725,1865,-0.001375,-1.0408),(4725,1875,-0.001302,-1.04),(4725,1885,-0.001257,-1.0392),(4725,1895,-0.00126,-1.0384),(4725,1905,-0.001262,-1.0377),(4725,1915,-0.001264,-1.0371),(4725,1925,-0.001244,-1.0366),(4725,1935,-0.001192,-1.0361),(4725,1945,-0.001141,-1.0357),(4725,1955,-0.001089,-1.0354),(4725,1965,-0.001045,-1.0351),(4725,1975,-0.00101,-1.0348),(4725,1985,-0.000974,-1.0346),(4725,1995,-0.000939,-1.0346),(4725,2005,-0.000902,-1.0345),(4725,2015,-0.000864,-1.0345),(4725,2025,-0.000825,-1.0346),(4725,2035,-0.000787,-1.0348),(4725,2045,-0.000746,-1.035),(4725,2055,-0.000703,-1.0351),(4725,2065,-0.000659,-1.0355),(4725,2075,-0.000616,-1.0359),(4725,2085,-0.000572,-1.0364),(4725,2095,-0.000526,-1.0368),(4725,2105,-0.000481,-1.0374),(4725,2115,-0.000436,-1.0381),(4725,2125,-0.000392,-1.0387),(4725,2135,-0.000348,-1.0394),(4725,2145,-0.000304,-1.0402),(4725,2155,-0.00026,-1.0411),(4725,2165,-0.000215,-1.0421),(4725,2175,-0.000168,-1.043),(4725,2185,-0.000122,-1.044),(4725,2195,-7.5e-05,-1.0452),(4725,2205,-3e-05,-1.0463),(4725,2215,1.6e-05,-1.0474),(4725,2225,6.1e-05,-1.0487),(4725,2235,0.000106,-1.0501),(4725,2245,0.000212,-1.0514),(4725,2255,0.00034,-1.0528),(4725,2265,0.000468,-1.0543),(4725,2275,0.000597,-1.0558),(4725,2285,0.000683,-1.0574),(4725,2295,0.000757,-1.0589),(4725,2305,0.000832,-1.0607),(4725,2315,0.000906,-1.0625),(4725,2325,0.001042,-1.0643),(4725,2335,0.001191,-1.066),(4725,2345,0.001341,-1.068),(4725,2355,0.00149,-1.0699),(4725,2365,0.001649,-1.0719),(4725,2375,0.001811,-1.0738),(4725,2385,0.001972,-1.0759),(4725,2395,0.002134,-1.078),(4725,2405,0.002338,-1.0801),(4725,2415,0.002547,-1.0823),(4725,2425,0.002756,-1.0845),(4725,2435,0.002966,-1.0868),(4725,2445,0.003216,-1.0891),(4725,2455,0.003468,-1.0914),(4725,2465,0.003721,-1.0938),(4725,2475,0.003974,-1.0963),(4725,2485,0.004262,-1.0987),(4725,2495,0.004552,-1.1011),(4725,2505,0.004841,-1.1036),(4725,2515,0.005131,-1.1062),(4725,2525,0.005467,-1.1087),(4725,2535,0.005803,-1.1113),(4725,2545,0.006139,-1.114),(4725,2555,0.006478,-1.1166),(4725,2565,0.006852,-1.1193),(4725,2575,0.007227,-1.122),(4725,2585,0.007601,-1.1248),(4725,2595,0.007978,-1.1275),(4725,2605,0.008374,-1.1303),(4725,2615,0.008771,-1.1331),(4725,2625,0.009168,-1.1359),(4725,2635,0.00958,-1.1387),(4725,2645,0.010094,-1.1415),(4725,2655,0.010609,-1.1443),(4725,2665,0.011123,-1.1471),(4725,2675,0.01164,-1.1499),(4725,2685,0.012165,-1.1527),(4725,2695,0.01269,-1.1554),(4725,2705,0.013215,-1.1581),(4725,2715,0.013764,-1.1608),(4725,2725,0.0144,-1.1635),(4725,2735,0.015037,-1.1662),(4725,2745,0.015673,-1.1687),(4725,2755,0.016323,-1.1712),(4725,2765,0.017015,-1.1737),(4725,2775,0.017707,-1.1761),(4725,2785,0.018398,-1.1784),(4725,2795,0.019111,-1.1807),(4725,2805,0.019872,-1.183),(4725,2815,0.020634,-1.1853),(4725,2825,0.021396,-1.1874),(4725,2835,0.022171,-1.1895),(4725,2845,0.022974,-1.1917),(4725,2855,0.023777,-1.1937),(4725,2865,0.02458,-1.1956),(4725,2875,0.025399,-1.1974),(4725,2885,0.026245,-1.1993),(4725,2895,0.027091,-1.2011),(4725,2905,0.027937,-1.2027),(4725,2915,0.028807,-1.2043),(4725,2925,0.02971,-1.206),(4725,2935,0.030613,-1.2075),(4725,2945,0.031516,-1.2088),(4725,2955,0.032429,-1.2102),(4725,2965,0.033353,-1.2115),(4725,2975,0.034278,-1.2127),(4725,2985,0.035202,-1.2136),(4725,2995,0.036123,-1.2145),(4725,3005,0.037039,-1.2154),(4725,3015,0.037955,-1.216),(4725,3025,0.038871,-1.2165),(4725,3035,0.039809,-1.2169),(4725,3045,0.040764,-1.2173),(4725,3055,0.04172,-1.2175),(4725,3065,0.042676,-1.2174),(4725,3075,0.043579,-1.2173),(4725,3085,0.044442,-1.2172),(4725,3095,0.045305,-1.2168),(4725,3105,0.046169,-1.2161),(4725,3115,0.047016,-1.2155),(4725,3125,0.047854,-1.2148),(4725,3135,0.048692,-1.2138),(4725,3145,0.04953,-1.2127),(4725,3155,0.050333,-1.2115),(4725,3165,0.051118,-1.2104),(4725,3175,0.051904,-1.209),(4725,3185,0.052689,-1.2075),(4725,3195,0.053438,-1.206),(4725,3205,0.054172,-1.2045),(4725,3215,0.054905,-1.2028),(4725,3225,0.055639,-1.201),(4725,3235,0.056336,-1.1992),(4725,3245,0.057019,-1.1975),(4725,3255,0.057703,-1.1956),(4725,3265,0.058386,-1.1938),(4725,3275,0.059052,-1.1919),(4725,3285,0.059713,-1.19),(4725,3295,0.060374,-1.1881),(4725,3305,0.061035,-1.1862),(4725,3315,0.061692,-1.1843),(4725,3325,0.062347,-1.1825),(4725,3335,0.063003,-1.1806),(4725,3345,0.063658,-1.1788),(4725,3355,0.064292,-1.1769),(4725,3365,0.064923,-1.1751),(4725,3375,0.065553,-1.1732),(4725,3385,0.066183,-1.1714),(4725,3395,0.066817,-1.1696),(4725,3405,0.067453,-1.1678),(4725,3415,0.068088,-1.1659),(4725,3425,0.068723,-1.164),(4725,3435,0.069247,-1.1621),(4725,3445,0.069762,-1.1602),(4725,3455,0.070277,-1.1582),(4725,3465,0.070793,-1.1563),(4725,3475,0.071284,-1.1544),(4725,3485,0.071775,-1.1524),(4725,3495,0.072266,-1.1504),(4725,3505,0.072757,-1.1483),(4725,3515,0.073146,-1.1463),(4725,3525,0.073535,-1.1442),(4725,3535,0.073924,-1.1421),(4725,3545,0.074311,-1.14),(4725,3555,0.074648,-1.1378),(4725,3565,0.074985,-1.1357),(4725,3575,0.075322,-1.1335),(4725,3585,0.075658,-1.1314),(4725,3595,0.075983,-1.1292),(4725,3605,0.076307,-1.1271),(4725,3615,0.076632,-1.1249),(4725,3625,0.076955,-1.1227),(4725,3635,0.077268,-1.1205),(4725,3645,0.07758,-1.1183),(4725,3655,0.077892,-1.1161),(4725,3665,0.078205,-1.1139),(4725,3675,0.07852,-1.1116),(4725,3685,0.078836,-1.1094),(4725,3695,0.079151,-1.107),(4725,3705,0.079469,-1.1047),(4725,3715,0.079799,-1.1024),(4725,3725,0.080128,-1.1),(4725,3735,0.080458,-1.0975),(4725,3745,0.080783,-1.095),(4725,3755,0.081091,-1.0925),(4725,3765,0.0814,-1.09),(4725,3775,0.081709,-1.0872),(4725,3785,0.082019,-1.0844),(4725,3795,0.082331,-1.0816),(4725,3805,0.082643,-1.0788),(4725,3815,0.082955,-1.0756),(4725,3825,0.08317,-1.0725),(4725,3835,0.08318,-1.0693),(4725,3845,0.083191,-1.0662),(4725,3855,0.083201,-1.063),(4725,3865,0.083172,-1.0599),(4725,3875,0.083076,-1.0567),(4725,3885,0.082979,-1.0539),(4725,3895,0.082883,-1.0517),(4725,3905,0.083262,-1.0495),(4725,3915,0.08435,-1.0473),(4725,3925,0.085439,-1.0454),(4725,3935,0.086528,-1.0442),(4725,3945,0.085903,-1.0429),(4725,3955,0.083102,-1.0417),(4725,3965,0.080302,-1.0365),(4725,3975,0.077502,-1.0268),(4725,3985,0.054066,-1.0171),(4725,3995,0.008294,-1.0074),(4725,4005,-0.037479,-0.99229),(4725,4015,-0.083251,-0.97178),(4725,4025,0.14929,-0.95128),(4725,4035,0.40907,-0.93343),(4725,4045,0.66884,-0.9212),(4725,4055,0.86012,-0.90897),(4725,4065,1.0264,-0.89524),(4725,4075,1.1927,-0.8726),(4725,4085,1.2796,-0.84996),(4725,4095,1.3028,-0.82731),(4725,4105,1.3259,-0.80423),(4725,4115,1.3475,-0.78113),(4725,4125,1.3663,-0.75803),(4725,4135,1.3852,-0.7355),(4725,4145,1.4034,-0.71314),(4725,4155,1.4185,-0.69077),(4725,4165,1.4336,-0.66907),(4725,4175,1.4487,-0.6478),(4725,4185,1.4608,-0.62653),(4725,4195,1.4729,-0.60578),(4725,4205,1.485,-0.58572),(4725,4215,1.495,-0.56566),(4725,4225,1.5045,-0.54594),(4725,4235,1.514,-0.5272),(4725,4245,1.522,-0.50846),(4725,4255,1.5292,-0.48984),(4725,4265,1.5365,-0.47259),(4725,4275,1.5428,-0.45534),(4725,4285,1.5482,-0.43809),(4725,4295,1.5535,-0.42214),(4725,4305,1.5584,-0.40633),(4725,4315,1.5622,-0.39052),(4725,4325,1.5661,-0.37565),(4725,4335,1.5698,-0.36114),(4725,4345,1.5724,-0.34663),(4725,4355,1.575,-0.33279),(4725,4365,1.5776,-0.31953),(4725,4375,1.5792,-0.30628),(4725,4385,1.5808,-0.29343),(4725,4395,1.5823,-0.28132),(4725,4405,1.5832,-0.26921),(4725,4415,1.5839,-0.25729),(4725,4425,1.5846,-0.24627),(4725,4435,1.5849,-0.23524),(4725,4445,1.5849,-0.22422),(4725,4455,1.585,-0.21411),(4725,4465,1.5848,-0.20399),(4725,4475,1.5843,-0.19387),(4725,4485,1.5838,-0.18439),(4725,4495,1.5832,-0.17504),(4725,4505,1.5823,-0.16569),(4725,4515,1.5814,-0.15683),(4725,4525,1.5804,-0.14822),(4725,4535,1.5791,-0.13962),(4725,4545,1.5777,-0.13134),(4725,4555,1.5764,-0.12343),(4725,4565,1.5748,-0.11552),(4725,4575,1.5732,-0.10781),(4725,4585,1.5715,-0.10058),(4725,4595,1.5698,-0.093359),(4725,4605,1.568,-0.086201),(4725,4615,1.5661,-0.079564),(4725,4625,1.5642,-0.072927),(4725,4635,1.5623,-0.06629),(4725,4645,1.5603,-0.060142),(4725,4655,1.5583,-0.054028),(4725,4665,1.5562,-0.047914),(4725,4675,1.5541,-0.04223),(4725,4685,1.552,-0.036683),(4725,4695,1.5498,-0.031137),(4725,4705,1.5477,-0.025916),(4725,4715,1.5456,-0.020931),(4725,4725,1.5434,-0.015946),(4725,4735,1.5413,-0.011143),(4725,4745,1.5392,-0.006611),(4725,4755,1.5371,-0.00208),(4725,4765,1.535,0.002355),(4725,4775,1.5329,0.006455),(4725,4785,1.5308,0.010556),(4725,4795,1.5287,0.014635),(4725,4805,1.5266,0.018273),(4725,4815,1.5246,0.02191),(4725,4825,1.5226,0.025547),(4725,4835,1.5205,0.028791),(4725,4845,1.5185,0.031974),(4725,4855,1.5166,0.035157),(4725,4865,1.5146,0.03805),(4725,4875,1.5127,0.040812),(4725,4885,1.5108,0.043573),(4725,4895,1.509,0.046148),(4725,4905,1.5071,0.048544),(4725,4915,1.5053,0.05094),(4725,4925,1.5035,0.053175),(4725,4935,1.5018,0.055089),(4725,4945,1.5001,0.057002),(4725,4955,1.4985,0.058814),(4725,4965,1.4969,0.060062),(4725,4975,1.4955,0.06131),(4725,4985,1.4943,0.062558),(4725,4995,1.4931,0.063046),(4725,5005,1.4921,0.063515),(4725,5015,1.4914,0.063985),(4725,5025,1.4908,0.063855),(4725,5035,1.4902,0.063573),(4725,5045,1.4902,0.06329),(4725,5055,1.4901,0.062484),(4725,5065,1.4901,0.061356),(4725,5075,1.4908,0.060228),(4725,5085,1.4915,0.058688),(4725,5095,1.4922,0.056626),(4725,5105,1.4938,0.054563),(4725,5115,1.4956,0.052246),(4725,5125,1.4973,0.049213),(4725,5135,1.4998,0.046181),(4725,5145,1.5028,0.043088),(4725,5155,1.5057,0.039339),(4725,5165,1.5091,0.035591),(4725,5175,1.513,0.031842),(4725,5185,1.5169,0.02783),(4725,5195,1.521,0.023791),(4725,5205,1.5256,0.019752),(4725,5215,1.5301,0.015668),(4725,5225,1.5348,0.011566),(4725,5235,1.5399,0.007465),(4725,5245,1.5451,0.003393),(4725,5255,1.5502,-0.000656),(4725,5265,1.5559,-0.004704),(4725,5275,1.5617,-0.008564),(4725,5285,1.5674,-0.012104),(4725,5295,1.5733,-0.015645),(4725,5305,1.5792,-0.018914),(4725,5315,1.5851,-0.021046),(4725,5325,1.5904,-0.023177),(4725,5335,1.5953,-0.025279),(4725,5345,1.6002,-0.02536),(4725,5355,1.6042,-0.025442),(4725,5365,1.6071,-0.025524),(4725,5375,1.6101,-0.023996),(4725,5385,1.6125,-0.022154),(4725,5395,1.6133,-0.020312),(4725,5405,1.6142,-0.01769),(4725,5415,1.615,-0.014662),(4725,5425,1.6145,-0.011635),(4725,5435,1.614,-0.008322),(4725,5445,1.6136,-0.004701),(4725,5455,1.6126,-0.00108),(4725,5465,1.6116,0.00267),(4725,5475,1.6105,0.006722),(4725,5485,1.6093,0.010773),(4725,5495,1.608,0.014874),(4725,5505,1.6068,0.019327),(4725,5515,1.6054,0.023779),(4725,5525,1.6041,0.028232),(4725,5535,1.6027,0.033016),(4725,5545,1.6013,0.03782),(4725,5555,1.5998,0.042623),(4725,5565,1.5983,0.047566),(4725,5575,1.5968,0.052551),(4725,5585,1.5952,0.057536),(4725,5595,1.5935,0.062492),(4725,5605,1.5918,0.067427),(4725,5615,1.59,0.072362),(4725,5625,1.5881,0.077152),(4725,5635,1.5862,0.081733),(4725,5645,1.5841,0.086315),(4725,5655,1.582,0.090704),(4725,5665,1.5799,0.09446),(4725,5675,1.5778,0.098215),(4725,5685,1.5756,0.10189),(4725,5695,1.5734,0.10421),(4725,5705,1.5714,0.10653),(4725,5715,1.5695,0.10885),(4725,5725,1.5676,0.10926),(4725,5735,1.5659,0.1094),(4725,5745,1.5649,0.10954),(4725,5755,1.5638,0.10745),(4725,5765,1.563,0.10439),(4725,5775,1.5638,0.10134),(4725,5785,1.5646,0.095972),(4725,5795,1.5654,0.088476),(4725,5805,1.5695,0.080979),(4725,5815,1.5739,0.071504),(4725,5825,1.5782,0.058216),(4725,5835,1.587,0.044928),(4725,5845,1.5973,0.030528),(4725,5855,1.6076,0.010437),(4725,5865,1.623,-0.009655),(4725,5875,1.6421,-0.029746),(4725,5885,1.6612,-0.056114),(4725,5895,1.6845,-0.082576),(4725,5905,1.7142,-0.10904),(4725,5915,1.7439,-0.13794),(4725,5925,1.7756,-0.16742),(4725,5935,1.814,-0.1969),(4725,5945,1.8525,-0.22409),(4725,5955,1.891,-0.24994),(4725,5965,1.9308,-0.27579),(4725,5975,1.9706,-0.29682),(4725,5985,2.0104,-0.31199),(4725,5995,2.0435,-0.32716),(4725,6005,2.0756,-0.33891),(4725,6015,2.1076,-0.3415),(4725,6025,2.1318,-0.34408),(4725,6035,2.1524,-0.34592),(4725,6045,2.1729,-0.34054),(4725,6055,2.1895,-0.33515),(4725,6065,2.2021,-0.32977),(4725,6075,2.2148,-0.32167),(4725,6085,2.2262,-0.31333),(4725,6095,2.2352,-0.30499),(4725,6105,2.2442,-0.29608),(4725,6115,2.253,-0.28697),(4725,6125,2.2602,-0.27785),(4725,6135,2.2674,-0.26874),(4725,6145,2.2747,-0.25964),(4725,6155,2.2808,-0.25053),(4725,6165,2.2868,-0.24155),(4725,6175,2.2928,-0.23278),(4725,6185,2.2981,-0.22401),(4725,6195,2.3031,-0.21533),(4725,6205,2.3082,-0.20704),(4725,6215,2.3127,-0.19875),(4725,6225,2.3169,-0.19047),(4725,6235,2.3211,-0.18271),(4725,6245,2.325,-0.17495),(4725,6255,2.3284,-0.1672),(4725,6265,2.3319,-0.15994),(4725,6275,2.3352,-0.15277),(4725,6285,2.338,-0.14561),(4725,6295,2.3408,-0.13884),(4725,6305,2.3435,-0.13227),(4725,6315,2.3459,-0.1257),(4725,6325,2.3482,-0.11939),(4725,6335,2.3506,-0.11335),(4725,6345,2.3525,-0.10731),(4725,6355,2.3543,-0.10143),(4725,6365,2.3562,-0.095932),(4725,6375,2.3578,-0.090431),(4725,6385,2.3593,-0.084985),(4725,6395,2.3608,-0.079901),(4725,6405,2.3622,-0.074816),(4725,6415,2.3634,-0.069731),(4725,6425,2.3646,-0.064984),(4725,6435,2.3656,-0.060253),(4725,6445,2.3666,-0.055522),(4725,6455,2.3675,-0.05105),(4725,6465,2.3684,-0.046653),(4725,6475,2.3691,-0.042256),(4725,6485,2.3698,-0.038),(4725,6495,2.3705,-0.033838),(4725,6505,2.371,-0.029677),(4725,6515,2.3715,-0.025605),(4725,6525,2.372,-0.021657),(4725,6535,2.3723,-0.017709),(4725,6545,2.3726,-0.013779),(4725,6555,2.3729,-0.009903),(4725,6565,2.3731,-0.006027),(4725,6575,2.3732,-0.002157),(4725,6585,2.3733,0.001629),(4725,6595,2.0189,0.005415),(4725,6605,1.273,0.009201),(4725,6615,0.5272,0.009623),(4725,6625,0.002868,0.009612),(4725,6635,0.002829,0.009601),(4725,6645,0.002789,0.009588),(4725,6655,0.00275,0.009576),(4725,6665,0.002717,0.009562),(4725,6675,0.002683,0.00955),(4725,6685,0.002649,0.009539),(4725,6695,0.002619,0.009528),(4725,6705,0.00259,0.009517),(4725,6715,0.002562,0.009506),(4725,6725,0.002536,0.009496),(4725,6735,0.002511,0.009486),(4725,6745,0.002486,0.009477),(4725,6755,0.002463,0.009468),(4725,6765,0.002442,0.00946),(4725,6775,0.00242,0.009451),(4725,6785,0.0024,0.009443),(4725,6795,0.002381,0.009435),(4725,6805,0.002363,0.009428),(4725,6815,0.002345,0.009421),(4725,6825,0.002329,0.009413),(4725,6835,0.002313,0.009406),(4725,6845,0.002297,0.0094),(4725,6855,0.002283,0.009393),(4725,6865,0.002269,0.009387),(4725,6875,0.002256,0.00938),(4725,6885,0.002243,0.009374),(4725,6895,0.002231,0.009368),(4725,6905,0.002219,0.009362),(4725,6915,0.002209,0.009356),(4725,6925,0.002198,0.009351),(4725,6935,0.002188,0.009345),(4725,6945,0.002179,0.00934),(4725,6955,0.00217,0.009334),(4725,6965,0.002161,0.009329),(4725,6975,0.002152,0.009324),(4725,6985,0.002145,0.009318),(4735,5,-5e-06,-0.76786),(4735,15,-1.4e-05,-0.76794),(4735,25,-1.8e-05,-0.76801),(4735,35,-1.6e-05,-0.76808),(4735,45,-1.4e-05,-0.76815),(4735,55,-1.2e-05,-0.76823),(4735,65,-4e-06,-0.7683),(4735,75,1e-05,-0.76837),(4735,85,2.3e-05,-0.76848),(4735,95,3.6e-05,-0.76861),(4735,105,5.8e-05,-0.76873),(4735,115,8.5e-05,-0.76886),(4735,125,0.000113,-0.76904),(4735,135,0.000141,-0.76925),(4735,145,0.000159,-0.76946),(4735,155,0.000172,-0.76967),(4735,165,0.000185,-0.76989),(4735,175,0.000198,-0.77012),(4735,185,0.000185,-0.77034),(4735,195,0.00016,-0.77056),(4735,205,0.000136,-0.77078),(4735,215,0.000111,-0.771),(4735,225,8.2e-05,-0.77122),(4735,235,5.2e-05,-0.77144),(4735,245,2.1e-05,-0.7717),(4735,255,-9e-06,-0.77197),(4735,265,-1e-05,-0.77225),(4735,275,-1e-06,-0.77252),(4735,285,7e-06,-0.7729),(4735,295,1.5e-05,-0.77331),(4735,305,4.1e-05,-0.77371),(4735,315,7.2e-05,-0.77412),(4735,325,0.000102,-0.77458),(4735,335,0.000133,-0.77505),(4735,345,0.000153,-0.77552),(4735,355,0.000172,-0.77599),(4735,365,0.000191,-0.77647),(4735,375,0.00021,-0.77697),(4735,385,0.000214,-0.77746),(4735,395,0.000216,-0.77795),(4735,405,0.000218,-0.7785),(4735,415,0.00022,-0.77905),(4735,425,0.000231,-0.7796),(4735,435,0.000243,-0.78015),(4735,445,0.000255,-0.78081),(4735,455,0.000267,-0.78147),(4735,465,0.000273,-0.78212),(4735,475,0.000278,-0.78278),(4735,485,0.000284,-0.7835),(4735,495,0.000289,-0.78422),(4735,505,0.000278,-0.78494),(4735,515,0.000266,-0.78566),(4735,525,0.000255,-0.78644),(4735,535,0.000243,-0.78722),(4735,545,0.000231,-0.788),(4735,555,0.000219,-0.78878),(4735,565,0.000207,-0.78964),(4735,575,0.000197,-0.7905),(4735,585,0.000207,-0.79136),(4735,595,0.000218,-0.79223),(4735,605,0.000229,-0.79322),(4735,615,0.000241,-0.79421),(4735,625,0.000268,-0.7952),(4735,635,0.000295,-0.7962),(4735,645,0.000322,-0.79729),(4735,655,0.000348,-0.79838),(4735,665,0.000367,-0.79947),(4735,675,0.000387,-0.80057),(4735,685,0.000406,-0.80175),(4735,695,0.000424,-0.80292),(4735,705,0.000436,-0.80409),(4735,715,0.000448,-0.80529),(4735,725,0.00046,-0.80659),(4735,735,0.000476,-0.80789),(4735,745,0.000502,-0.80919),(4735,755,0.000529,-0.81051),(4735,765,0.000556,-0.8119),(4735,775,0.000577,-0.81329),(4735,785,0.000585,-0.81468),(4735,795,0.000593,-0.81611),(4735,805,0.0006,-0.81763),(4735,815,0.000615,-0.81916),(4735,825,0.000643,-0.82068),(4735,835,0.000671,-0.82225),(4735,845,0.000699,-0.82388),(4735,855,0.000729,-0.82551),(4735,865,0.000764,-0.82715),(4735,875,0.000798,-0.82883),(4735,885,0.000833,-0.8306),(4735,895,0.000874,-0.83237),(4735,905,0.000925,-0.83413),(4735,915,0.000975,-0.83597),(4735,925,0.001026,-0.83789),(4735,935,0.00108,-0.83982),(4735,945,0.001138,-0.84175),(4735,955,0.001196,-0.84374),(4735,965,0.001254,-0.84581),(4735,975,0.001314,-0.84788),(4735,985,0.001375,-0.84995),(4735,995,0.001436,-0.85209),(4735,1005,0.001497,-0.85431),(4735,1015,0.001558,-0.85653),(4735,1025,0.001619,-0.85874),(4735,1035,0.00168,-0.86101),(4735,1045,0.00174,-0.86331),(4735,1055,0.001798,-0.86562),(4735,1065,0.001852,-0.86793),(4735,1075,0.001906,-0.87027),(4735,1085,0.001961,-0.87263),(4735,1095,0.002009,-0.875),(4735,1105,0.002052,-0.87737),(4735,1115,0.002096,-0.87986),(4735,1125,0.002139,-0.88243),(4735,1135,0.002064,-0.88501),(4735,1145,0.00192,-0.88758),(4735,1155,0.001776,-0.8906),(4735,1165,0.001631,-0.89388),(4735,1175,0.001569,-0.89715),(4735,1185,0.001549,-0.90042),(4735,1195,0.001528,-0.90425),(4735,1205,0.001507,-0.90835),(4735,1215,0.002413,-0.91244),(4735,1225,0.003702,-0.91653),(4735,1235,0.004991,-0.91994),(4735,1245,0.006279,-0.9231),(4735,1255,0.002179,-0.92626),(4735,1265,-0.003741,-0.92942),(4735,1275,-0.009661,-0.9384),(4735,1285,-0.015582,-0.94915),(4735,1295,-0.039422,-0.95989),(4735,1305,-0.068108,-0.97063),(4735,1315,-0.096794,-1.0121),(4735,1325,-0.12548,-1.0608),(4735,1335,-0.077692,-1.1096),(4735,1345,-0.013877,-1.1584),(4735,1355,0.049939,-1.1265),(4735,1365,0.11375,-1.08),(4735,1375,0.099632,-1.0334),(4735,1385,0.073484,-0.98689),(4735,1395,0.047335,-0.97101),(4735,1405,0.021187,-0.95906),(4735,1415,0.012329,-0.94711),(4735,1425,0.005266,-0.93516),(4735,1435,-0.001797,-0.93126),(4735,1445,-0.008861,-0.92801),(4735,1455,-0.007653,-0.92476),(4735,1465,-0.005969,-0.92151),(4735,1475,-0.004285,-0.91715),(4735,1485,-0.002601,-0.91275),(4735,1495,-0.002687,-0.90835),(4735,1505,-0.0028,-0.90395),(4735,1515,-0.002913,-0.90079),(4735,1525,-0.003028,-0.89762),(4735,1535,-0.003243,-0.89445),(4735,1545,-0.003457,-0.89132),(4735,1555,-0.003671,-0.88904),(4735,1565,-0.003864,-0.88677),(4735,1575,-0.003754,-0.88449),(4735,1585,-0.003643,-0.88223),(4735,1595,-0.003533,-0.88019),(4735,1605,-0.003416,-0.87815),(4735,1615,-0.003252,-0.8761),(4735,1625,-0.003087,-0.87408),(4735,1635,-0.002923,-0.87216),(4735,1645,-0.002764,-0.87024),(4735,1655,-0.002644,-0.86833),(4735,1665,-0.002524,-0.86644),(4735,1675,-0.002403,-0.86469),(4735,1685,-0.00229,-0.86294),(4735,1695,-0.002205,-0.86119),(4735,1705,-0.002121,-0.85949),(4735,1715,-0.002036,-0.85795),(4735,1725,-0.001956,-0.85641),(4735,1735,-0.001891,-0.85488),(4735,1745,-0.001825,-0.85339),(4735,1755,-0.00176,-0.85208),(4735,1765,-0.001699,-0.85076),(4735,1775,-0.001652,-0.84944),(4735,1785,-0.001604,-0.84819),(4735,1795,-0.001557,-0.84708),(4735,1805,-0.001516,-0.84597),(4735,1815,-0.001489,-0.84487),(4735,1825,-0.001463,-0.84383),(4735,1835,-0.001437,-0.84296),(4735,1845,-0.001397,-0.84208),(4735,1855,-0.001331,-0.84121),(4735,1865,-0.001265,-0.8404),(4735,1875,-0.001199,-0.83971),(4735,1885,-0.001154,-0.83902),(4735,1895,-0.001142,-0.83834),(4735,1905,-0.00113,-0.83776),(4735,1915,-0.001119,-0.83733),(4735,1925,-0.001092,-0.83691),(4735,1935,-0.001045,-0.83649),(4735,1945,-0.000997,-0.83615),(4735,1955,-0.00095,-0.83591),(4735,1965,-0.000909,-0.83568),(4735,1975,-0.000874,-0.83544),(4735,1985,-0.000839,-0.83529),(4735,1995,-0.000804,-0.83525),(4735,2005,-0.000768,-0.83521),(4735,2015,-0.000731,-0.83517),(4735,2025,-0.000694,-0.83524),(4735,2035,-0.000657,-0.8354),(4735,2045,-0.000619,-0.83556),(4735,2055,-0.000578,-0.83572),(4735,2065,-0.000538,-0.83599),(4735,2075,-0.000497,-0.83635),(4735,2085,-0.000456,-0.8367),(4735,2095,-0.000413,-0.83706),(4735,2105,-0.00037,-0.83754),(4735,2115,-0.000328,-0.8381),(4735,2125,-0.000285,-0.83865),(4735,2135,-0.000242,-0.83921),(4735,2145,-0.000199,-0.83989),(4735,2155,-0.000156,-0.84063),(4735,2165,-0.000111,-0.84137),(4735,2175,-6.5e-05,-0.84211),(4735,2185,-1.8e-05,-0.84298),(4735,2195,2.8e-05,-0.84391),(4735,2205,7.5e-05,-0.84483),(4735,2215,0.000122,-0.84576),(4735,2225,0.000169,-0.84682),(4735,2235,0.000217,-0.84794),(4735,2245,0.000308,-0.84906),(4735,2255,0.000415,-0.85018),(4735,2265,0.000522,-0.8514),(4735,2275,0.000628,-0.85266),(4735,2285,0.000709,-0.85391),(4735,2295,0.000781,-0.85517),(4735,2305,0.000854,-0.8566),(4735,2315,0.000927,-0.85808),(4735,2325,0.001045,-0.85956),(4735,2335,0.001173,-0.86104),(4735,2345,0.001301,-0.86262),(4735,2355,0.00143,-0.86422),(4735,2365,0.001569,-0.86582),(4735,2375,0.001711,-0.86743),(4735,2385,0.001853,-0.86915),(4735,2395,0.001994,-0.8709),(4735,2405,0.002172,-0.87264),(4735,2415,0.002353,-0.87438),(4735,2425,0.002534,-0.87626),(4735,2435,0.002716,-0.87815),(4735,2445,0.002933,-0.88004),(4735,2455,0.003152,-0.88193),(4735,2465,0.003371,-0.88392),(4735,2475,0.003591,-0.88592),(4735,2485,0.003844,-0.88791),(4735,2495,0.004097,-0.88991),(4735,2505,0.00435,-0.89201),(4735,2515,0.004604,-0.89412),(4735,2525,0.004899,-0.89622),(4735,2535,0.005193,-0.89833),(4735,2545,0.005488,-0.90056),(4735,2555,0.005784,-0.90278),(4735,2565,0.006114,-0.90501),(4735,2575,0.006443,-0.90724),(4735,2585,0.006772,-0.90955),(4735,2595,0.007104,-0.91185),(4735,2605,0.007456,-0.91416),(4735,2615,0.007809,-0.91647),(4735,2625,0.008162,-0.91881),(4735,2635,0.008526,-0.92115),(4735,2645,0.008969,-0.92349),(4735,2655,0.009412,-0.92582),(4735,2665,0.009855,-0.92812),(4735,2675,0.0103,-0.93042),(4735,2685,0.010761,-0.93272),(4735,2695,0.011221,-0.935),(4735,2705,0.011681,-0.93725),(4735,2715,0.01216,-0.9395),(4735,2725,0.012709,-0.94176),(4735,2735,0.013259,-0.94396),(4735,2745,0.013808,-0.94604),(4735,2755,0.014369,-0.94811),(4735,2765,0.014969,-0.95018),(4735,2775,0.015569,-0.95221),(4735,2785,0.016169,-0.95415),(4735,2795,0.016786,-0.95609),(4735,2805,0.017445,-0.95803),(4735,2815,0.018104,-0.95992),(4735,2825,0.018762,-0.96173),(4735,2835,0.019433,-0.96355),(4735,2845,0.020127,-0.96536),(4735,2855,0.020822,-0.96711),(4735,2865,0.021516,-0.96874),(4735,2875,0.022222,-0.97037),(4735,2885,0.022949,-0.972),(4735,2895,0.023675,-0.97356),(4735,2905,0.024402,-0.97502),(4735,2915,0.025144,-0.97647),(4735,2925,0.025908,-0.97793),(4735,2935,0.026673,-0.97928),(4735,2945,0.027438,-0.98051),(4735,2955,0.028208,-0.98174),(4735,2965,0.028985,-0.98297),(4735,2975,0.029761,-0.98402),(4735,2985,0.030538,-0.98488),(4735,2995,0.031311,-0.98574),(4735,3005,0.03208,-0.9866),(4735,3015,0.032849,-0.98725),(4735,3025,0.033618,-0.9877),(4735,3035,0.034401,-0.98815),(4735,3045,0.035197,-0.98861),(4735,3055,0.035994,-0.9888),(4735,3065,0.03679,-0.98879),(4735,3075,0.037551,-0.98878),(4735,3085,0.038286,-0.98877),(4735,3095,0.039022,-0.9885),(4735,3105,0.039757,-0.98804),(4735,3115,0.040484,-0.98758),(4735,3125,0.041206,-0.98712),(4735,3135,0.041929,-0.98641),(4735,3145,0.042651,-0.98555),(4735,3155,0.043353,-0.98469),(4735,3165,0.044044,-0.98383),(4735,3175,0.044735,-0.9828),(4735,3185,0.045426,-0.98169),(4735,3195,0.046094,-0.98058),(4735,3205,0.046752,-0.97947),(4735,3215,0.047409,-0.97825),(4735,3225,0.048067,-0.97698),(4735,3235,0.048697,-0.97571),(4735,3245,0.049318,-0.97444),(4735,3255,0.049938,-0.97314),(4735,3265,0.050558,-0.97183),(4735,3275,0.051161,-0.97052),(4735,3285,0.051758,-0.96921),(4735,3295,0.052356,-0.96793),(4735,3305,0.052953,-0.96665),(4735,3315,0.053539,-0.96538),(4735,3325,0.054122,-0.9641),(4735,3335,0.054705,-0.96287),(4735,3345,0.055288,-0.96164),(4735,3355,0.055846,-0.96041),(4735,3365,0.0564,-0.95919),(4735,3375,0.056954,-0.95797),(4735,3385,0.057509,-0.95675),(4735,3395,0.058057,-0.95554),(4735,3405,0.058605,-0.95432),(4735,3415,0.059154,-0.953),(4735,3425,0.059702,-0.95167),(4735,3435,0.060167,-0.95034),(4735,3445,0.060626,-0.94901),(4735,3455,0.061084,-0.94763),(4735,3465,0.061543,-0.94624),(4735,3475,0.061982,-0.94486),(4735,3485,0.06242,-0.94347),(4735,3495,0.062858,-0.94196),(4735,3505,0.063295,-0.94044),(4735,3515,0.063661,-0.93893),(4735,3525,0.064027,-0.93741),(4735,3535,0.064393,-0.93578),(4735,3545,0.064757,-0.93416),(4735,3555,0.065086,-0.93253),(4735,3565,0.065415,-0.9309),(4735,3575,0.065745,-0.92927),(4735,3585,0.066073,-0.92763),(4735,3595,0.066393,-0.92599),(4735,3605,0.066714,-0.92436),(4735,3615,0.067034,-0.9227),(4735,3625,0.067353,-0.92105),(4735,3635,0.067665,-0.9194),(4735,3645,0.067976,-0.91774),(4735,3655,0.068288,-0.91602),(4735,3665,0.068599,-0.9143),(4735,3675,0.068912,-0.91258),(4735,3685,0.069224,-0.91084),(4735,3695,0.069536,-0.90903),(4735,3705,0.06985,-0.90721),(4735,3715,0.070171,-0.90539),(4735,3725,0.070492,-0.90354),(4735,3735,0.070812,-0.90156),(4735,3745,0.071128,-0.89958),(4735,3755,0.071432,-0.89761),(4735,3765,0.071735,-0.89556),(4735,3775,0.072038,-0.89332),(4735,3785,0.072341,-0.89108),(4735,3795,0.072642,-0.88884),(4735,3805,0.072943,-0.88649),(4735,3815,0.073243,-0.88391),(4735,3825,0.073475,-0.88132),(4735,3835,0.07356,-0.87874),(4735,3845,0.073646,-0.87613),(4735,3855,0.073731,-0.87347),(4735,3865,0.073787,-0.87082),(4735,3875,0.07379,-0.86817),(4735,3885,0.073793,-0.86557),(4735,3895,0.073796,-0.86305),(4735,3905,0.074124,-0.86053),(4735,3915,0.074936,-0.85801),(4735,3925,0.075749,-0.85501),(4735,3935,0.076561,-0.85133),(4735,3945,0.076187,-0.84766),(4735,3955,0.074308,-0.84399),(4735,3965,0.072429,-0.84056),(4735,3975,0.070549,-0.83742),(4735,3985,0.054425,-0.83428),(4735,3995,0.022882,-0.83113),(4735,4005,-0.008661,-0.84623),(4735,4015,-0.040204,-0.87956),(4735,4025,0.17746,-0.91289),(4735,4035,0.4195,-0.93192),(4735,4045,0.66154,-0.92078),(4735,4055,0.84546,-0.90964),(4735,4065,1.0082,-0.89701),(4735,4075,1.1709,-0.87544),(4735,4085,1.2561,-0.85386),(4735,4095,1.2789,-0.83229),(4735,4105,1.3018,-0.81005),(4735,4115,1.3232,-0.78779),(4735,4125,1.3421,-0.76552),(4735,4135,1.3611,-0.74365),(4735,4145,1.3794,-0.72188),(4735,4155,1.3948,-0.70011),(4735,4165,1.4102,-0.67893),(4735,4175,1.4255,-0.65812),(4735,4185,1.4379,-0.6373),(4735,4195,1.4504,-0.61697),(4735,4205,1.4628,-0.59727),(4735,4215,1.473,-0.57757),(4735,4225,1.4829,-0.55817),(4735,4235,1.4928,-0.53966),(4735,4245,1.5011,-0.52116),(4735,4255,1.5088,-0.50276),(4735,4265,1.5164,-0.48563),(4735,4275,1.5231,-0.46849),(4735,4285,1.5289,-0.45136),(4735,4295,1.5346,-0.43542),(4735,4305,1.5399,-0.41962),(4735,4315,1.5441,-0.40382),(4735,4325,1.5483,-0.38893),(4735,4335,1.5524,-0.3744),(4735,4345,1.5554,-0.35986),(4735,4355,1.5583,-0.34597),(4735,4365,1.5613,-0.33264),(4735,4375,1.5632,-0.31931),(4735,4385,1.5651,-0.30638),(4735,4395,1.567,-0.29414),(4735,4405,1.5682,-0.28191),(4735,4415,1.5692,-0.26987),(4735,4425,1.5702,-0.25869),(4735,4435,1.5708,-0.24751),(4735,4445,1.5711,-0.23634),(4735,4455,1.5714,-0.22607),(4735,4465,1.5715,-0.2158),(4735,4475,1.5713,-0.20552),(4735,4485,1.5711,-0.1959),(4735,4495,1.5707,-0.18642),(4735,4505,1.57,-0.17694),(4735,4515,1.5693,-0.16795),(4735,4525,1.5686,-0.15924),(4735,4535,1.5674,-0.15052),(4735,4545,1.5663,-0.14214),(4735,4555,1.5652,-0.13411),(4735,4565,1.5638,-0.12609),(4735,4575,1.5624,-0.11827),(4735,4585,1.561,-0.11093),(4735,4595,1.5594,-0.10359),(4735,4605,1.5578,-0.096326),(4735,4615,1.5562,-0.089613),(4735,4625,1.5544,-0.0829),(4735,4635,1.5526,-0.076187),(4735,4645,1.5509,-0.069984),(4735,4655,1.549,-0.063816),(4735,4665,1.5471,-0.057648),(4735,4675,1.5452,-0.051911),(4735,4685,1.5432,-0.046312),(4735,4695,1.5413,-0.040712),(4735,4705,1.5393,-0.035435),(4735,4715,1.5373,-0.030392),(4735,4725,1.5353,-0.025349),(4735,4735,1.5334,-0.020489),(4735,4745,1.5314,-0.015902),(4735,4755,1.5294,-0.011316),(4735,4765,1.5275,-0.00683),(4735,4775,1.5255,-0.002696),(4735,4785,1.5236,0.001437),(4735,4795,1.5216,0.00555),(4735,4805,1.5197,0.009211),(4735,4815,1.5178,0.012872),(4735,4825,1.5159,0.016534),(4735,4835,1.514,0.0198),(4735,4845,1.5121,0.023005),(4735,4855,1.5103,0.026211),(4735,4865,1.5085,0.029123),(4735,4875,1.5067,0.031902),(4735,4885,1.505,0.034682),(4735,4895,1.5033,0.037247),(4735,4905,1.5015,0.039607),(4735,4915,1.4999,0.041967),(4735,4925,1.4983,0.044146),(4735,4935,1.4967,0.04596),(4735,4945,1.4953,0.047773),(4735,4955,1.4939,0.049479),(4735,4965,1.4925,0.050591),(4735,4975,1.4914,0.051702),(4735,4985,1.4904,0.052814),(4735,4995,1.4894,0.053177),(4735,5005,1.4887,0.053521),(4735,5015,1.4882,0.053865),(4735,5025,1.4878,0.053607),(4735,5035,1.4875,0.053196),(4735,5045,1.4877,0.052786),(4735,5055,1.4879,0.05184),(4735,5065,1.4881,0.050565),(4735,5075,1.4891,0.049291),(4735,5085,1.4901,0.047616),(4735,5095,1.4911,0.045432),(4735,5105,1.493,0.043248),(4735,5115,1.495,0.040834),(4735,5125,1.497,0.037771),(4735,5135,1.4997,0.034708),(4735,5145,1.5028,0.031596),(4735,5155,1.5059,0.02795),(4735,5165,1.5094,0.024303),(4735,5175,1.5133,0.020657),(4735,5185,1.5173,0.016827),(4735,5195,1.5214,0.012977),(4735,5205,1.526,0.009128),(4735,5215,1.5306,0.005264),(4735,5225,1.5352,0.001396),(4735,5235,1.5402,-0.002473),(4735,5245,1.5453,-0.006242),(4735,5255,1.5503,-0.009929),(4735,5265,1.5558,-0.013616),(4735,5275,1.5613,-0.017033),(4735,5285,1.5668,-0.019993),(4735,5295,1.5722,-0.022953),(4735,5305,1.5776,-0.025621),(4735,5315,1.583,-0.027072),(4735,5325,1.5878,-0.028523),(4735,5335,1.5921,-0.029946),(4735,5345,1.5964,-0.029483),(4735,5355,1.5999,-0.02902),(4735,5365,1.6023,-0.028557),(4735,5375,1.6047,-0.026725),(4735,5385,1.6067,-0.024626),(4735,5395,1.6073,-0.022527),(4735,5405,1.6078,-0.019793),(4735,5415,1.6083,-0.016728),(4735,5425,1.6077,-0.013663),(4735,5435,1.6071,-0.010364),(4735,5445,1.6065,-0.00681),(4735,5455,1.6054,-0.003256),(4735,5465,1.6043,0.000399),(4735,5475,1.6032,0.004286),(4735,5485,1.6019,0.008173),(4735,5495,1.6005,0.012096),(4735,5505,1.5992,0.016276),(4735,5515,1.5978,0.020455),(4735,5525,1.5964,0.024634),(4735,5535,1.5949,0.029035),(4735,5545,1.5935,0.033448),(4735,5555,1.592,0.037861),(4735,5565,1.5905,0.042321),(4735,5575,1.589,0.046796),(4735,5585,1.5874,0.051271),(4735,5595,1.5858,0.055642),(4735,5605,1.5842,0.059941),(4735,5615,1.5825,0.064239),(4735,5625,1.5808,0.068337),(4735,5635,1.5791,0.072145),(4735,5645,1.5773,0.075954),(4735,5655,1.5755,0.079535),(4735,5665,1.5738,0.082361),(4735,5675,1.5721,0.085188),(4735,5685,1.5704,0.087925),(4735,5695,1.5688,0.089108),(4735,5705,1.5674,0.09029),(4735,5715,1.5663,0.091473),(4735,5725,1.5651,0.090569),(4735,5735,1.5643,0.089371),(4735,5745,1.5644,0.088172),(4735,5755,1.5644,0.084586),(4735,5765,1.5647,0.079967),(4735,5775,1.567,0.075348),(4735,5785,1.5692,0.068326),(4735,5795,1.5715,0.059084),(4735,5805,1.5774,0.049842),(4735,5815,1.5835,0.038624),(4735,5825,1.5897,0.023596),(4735,5835,1.6004,0.008568),(4735,5845,1.6126,-0.007502),(4735,5855,1.6249,-0.028907),(4735,5865,1.6419,-0.050312),(4735,5875,1.6625,-0.071717),(4735,5885,1.6831,-0.09824),(4735,5895,1.7073,-0.12484),(4735,5905,1.7372,-0.15144),(4735,5915,1.767,-0.1789),(4735,5925,1.7983,-0.20657),(4735,5935,1.8348,-0.23424),(4735,5945,1.8713,-0.25846),(4735,5955,1.9078,-0.28065),(4735,5965,1.9442,-0.30284),(4735,5975,1.9805,-0.32018),(4735,5985,2.0169,-0.33161),(4735,5995,2.0467,-0.34303),(4735,6005,2.0754,-0.3515),(4735,6015,2.1041,-0.35205),(4735,6025,2.126,-0.35261),(4735,6035,2.1447,-0.35258),(4735,6045,2.1633,-0.34686),(4735,6055,2.1786,-0.34113),(4735,6065,2.1905,-0.33541),(4735,6075,2.2025,-0.32753),(4735,6085,2.2134,-0.31944),(4735,6095,2.2222,-0.31136),(4735,6105,2.2309,-0.30276),(4735,6115,2.2395,-0.29398),(4735,6125,2.2467,-0.2852),(4735,6135,2.2538,-0.27639),(4735,6145,2.261,-0.26755),(4735,6155,2.2671,-0.25871),(4735,6165,2.2732,-0.24996),(4735,6175,2.2793,-0.24136),(4735,6185,2.2846,-0.23276),(4735,6195,2.2898,-0.22424),(4735,6205,2.2949,-0.21601),(4735,6215,2.2996,-0.20779),(4735,6225,2.3039,-0.19958),(4735,6235,2.3082,-0.1918),(4735,6245,2.3122,-0.18402),(4735,6255,2.3158,-0.17624),(4735,6265,2.3194,-0.16889),(4735,6275,2.3229,-0.16162),(4735,6285,2.3259,-0.15434),(4735,6295,2.3289,-0.14745),(4735,6305,2.3318,-0.14075),(4735,6315,2.3343,-0.13405),(4735,6325,2.3367,-0.12756),(4735,6335,2.3392,-0.12131),(4735,6345,2.3412,-0.11505),(4735,6355,2.3432,-0.10896),(4735,6365,2.3453,-0.10321),(4735,6375,2.347,-0.097458),(4735,6385,2.3486,-0.091762),(4735,6395,2.3503,-0.086408),(4735,6405,2.3517,-0.081055),(4735,6415,2.353,-0.075701),(4735,6425,2.3543,-0.070668),(4735,6435,2.3555,-0.065649),(4735,6445,2.3565,-0.060631),(4735,6455,2.3575,-0.055859),(4735,6465,2.3585,-0.051159),(4735,6475,2.3593,-0.046459),(4735,6485,2.36,-0.041894),(4735,6495,2.3608,-0.037419),(4735,6505,2.3613,-0.032944),(4735,6515,2.3619,-0.028556),(4735,6525,2.3624,-0.024289),(4735,6535,2.3628,-0.020021),(4735,6545,2.3632,-0.015769),(4735,6555,2.3635,-0.011564),(4735,6565,2.3637,-0.00736),(4735,6575,2.3638,-0.003163),(4735,6585,2.364,0.000928),(4735,6595,2.011,0.005018),(4735,6605,1.2681,0.009108),(4735,6615,0.52514,0.009569),(4735,6625,0.002874,0.009565),(4735,6635,0.002834,0.00956),(4735,6645,0.002794,0.00955),(4735,6655,0.002755,0.009539),(4735,6665,0.002721,0.009528),(4735,6675,0.002687,0.009518),(4735,6685,0.002652,0.009508),(4735,6695,0.002623,0.009498),(4735,6705,0.002594,0.009488),(4735,6715,0.002564,0.009479),(4735,6725,0.002538,0.00947),(4735,6735,0.002513,0.009462),(4735,6745,0.002488,0.009454),(4735,6755,0.002465,0.009446),(4735,6765,0.002443,0.009438),(4735,6775,0.002422,0.009431),(4735,6785,0.002401,0.009424),(4735,6795,0.002383,0.009417),(4735,6805,0.002364,0.00941),(4735,6815,0.002346,0.009404),(4735,6825,0.00233,0.009397),(4735,6835,0.002314,0.009391),(4735,6845,0.002298,0.009385),(4735,6855,0.002284,0.009379),(4735,6865,0.00227,0.009373),(4735,6875,0.002256,0.009368),(4735,6885,0.002244,0.009362),(4735,6895,0.002232,0.009356),(4735,6905,0.00222,0.009351),(4735,6915,0.002209,0.009346),(4735,6925,0.002199,0.00934),(4735,6935,0.002188,0.009335),(4735,6945,0.002179,0.00933),(4735,6955,0.00217,0.009325),(4735,6965,0.002161,0.00932),(4735,6975,0.002153,0.009316),(4735,6985,0.002145,0.009311),(4745,5,-2e-06,-0.75061),(4745,15,-6e-06,-0.75068),(4745,25,-6e-06,-0.75075),(4745,35,-3e-06,-0.75082),(4745,45,-1e-06,-0.75089),(4745,55,2e-06,-0.75095),(4745,65,8e-06,-0.75101),(4745,75,1.7e-05,-0.75108),(4745,85,2.5e-05,-0.75117),(4745,95,3.4e-05,-0.75128),(4745,105,4.8e-05,-0.7514),(4745,115,6.4e-05,-0.75152),(4745,125,8.1e-05,-0.75168),(4745,135,9.8e-05,-0.75188),(4745,145,0.000109,-0.75207),(4745,155,0.000118,-0.75227),(4745,165,0.000127,-0.75247),(4745,175,0.000135,-0.75268),(4745,185,0.00013,-0.7529),(4745,195,0.000118,-0.75311),(4745,205,0.000106,-0.75332),(4745,215,9.4e-05,-0.75353),(4745,225,8e-05,-0.75374),(4745,235,6.5e-05,-0.75395),(4745,245,5e-05,-0.75419),(4745,255,3.5e-05,-0.75444),(4745,265,3.7e-05,-0.75469),(4745,275,4.4e-05,-0.75494),(4745,285,5e-05,-0.75527),(4745,295,5.7e-05,-0.75563),(4745,305,7.4e-05,-0.75598),(4745,315,9.3e-05,-0.75633),(4745,325,0.000112,-0.75673),(4745,335,0.000131,-0.75715),(4745,345,0.000145,-0.75756),(4745,355,0.000158,-0.75797),(4745,365,0.000171,-0.75842),(4745,375,0.000184,-0.75886),(4745,385,0.00019,-0.75931),(4745,395,0.000194,-0.75976),(4745,405,0.000198,-0.76025),(4745,415,0.000202,-0.76076),(4745,425,0.000212,-0.76126),(4745,435,0.000222,-0.76176),(4745,445,0.000232,-0.76235),(4745,455,0.000242,-0.76294),(4745,465,0.000249,-0.76352),(4745,475,0.000256,-0.76411),(4745,485,0.000263,-0.76475),(4745,495,0.00027,-0.76538),(4745,505,0.000268,-0.76602),(4745,515,0.000267,-0.76666),(4745,525,0.000265,-0.76735),(4745,535,0.000263,-0.76805),(4745,545,0.000261,-0.76875),(4745,555,0.00026,-0.76945),(4745,565,0.000258,-0.77021),(4745,575,0.000258,-0.77097),(4745,585,0.00027,-0.77174),(4745,595,0.000282,-0.77251),(4745,605,0.000294,-0.77338),(4745,615,0.000307,-0.77426),(4745,625,0.000328,-0.77513),(4745,635,0.00035,-0.77601),(4745,645,0.000372,-0.77697),(4745,655,0.000393,-0.77792),(4745,665,0.000412,-0.77888),(4745,675,0.000431,-0.77985),(4745,685,0.000449,-0.78089),(4745,695,0.000467,-0.78192),(4745,705,0.000483,-0.78295),(4745,715,0.000498,-0.784),(4745,725,0.000513,-0.78513),(4745,735,0.000531,-0.78625),(4745,745,0.000555,-0.78738),(4745,755,0.000579,-0.78852),(4745,765,0.000604,-0.78971),(4745,775,0.000626,-0.79091),(4745,785,0.000641,-0.7921),(4745,795,0.000655,-0.79333),(4745,805,0.00067,-0.79465),(4745,815,0.000689,-0.79596),(4745,825,0.000717,-0.79728),(4745,835,0.000745,-0.79863),(4745,845,0.000773,-0.80005),(4745,855,0.000803,-0.80146),(4745,865,0.000836,-0.80288),(4745,875,0.00087,-0.80433),(4745,885,0.000904,-0.80585),(4745,895,0.000942,-0.80737),(4745,905,0.000987,-0.80889),(4745,915,0.001033,-0.81045),(4745,925,0.001078,-0.81208),(4745,935,0.001127,-0.81372),(4745,945,0.00118,-0.81535),(4745,955,0.001233,-0.81703),(4745,965,0.001286,-0.81877),(4745,975,0.001342,-0.82051),(4745,985,0.001401,-0.82225),(4745,995,0.00146,-0.82404),(4745,1005,0.00152,-0.82589),(4745,1015,0.001582,-0.82774),(4745,1025,0.001646,-0.82958),(4745,1035,0.001711,-0.83147),(4745,1045,0.001775,-0.8334),(4745,1055,0.001842,-0.83532),(4745,1065,0.00191,-0.83725),(4745,1075,0.001979,-0.83919),(4745,1085,0.002047,-0.84116),(4745,1095,0.002118,-0.84313),(4745,1105,0.002189,-0.84509),(4745,1115,0.002261,-0.84716),(4745,1125,0.002332,-0.84928),(4745,1135,0.002347,-0.85141),(4745,1145,0.002327,-0.85354),(4745,1155,0.002308,-0.85605),(4745,1165,0.002288,-0.85878),(4745,1175,0.002325,-0.86151),(4745,1185,0.00239,-0.86423),(4745,1195,0.002455,-0.86725),(4745,1205,0.00252,-0.87039),(4745,1215,0.003112,-0.87353),(4745,1225,0.00392,-0.87667),(4745,1235,0.004729,-0.87871),(4745,1245,0.005537,-0.88035),(4745,1255,0.003396,-0.88199),(4745,1265,0.000259,-0.88362),(4745,1275,-0.002878,-0.89365),(4745,1285,-0.006015,-0.90622),(4745,1295,-0.018998,-0.91879),(4745,1305,-0.034645,-0.93135),(4745,1315,-0.050291,-0.98172),(4745,1325,-0.065938,-1.0411),(4745,1335,-0.041232,-1.1005),(4745,1345,-0.00807,-1.1599),(4745,1355,0.025092,-1.121),(4745,1365,0.058254,-1.0643),(4745,1375,0.050407,-1.0075),(4745,1385,0.036233,-0.95074),(4745,1395,0.022058,-0.93144),(4745,1405,0.007884,-0.91694),(4745,1415,0.003187,-0.90244),(4745,1425,-0.000525,-0.88795),(4745,1435,-0.004238,-0.88567),(4745,1445,-0.007951,-0.88438),(4745,1455,-0.007142,-0.88308),(4745,1465,-0.006072,-0.88179),(4745,1475,-0.005002,-0.87863),(4745,1485,-0.003932,-0.87541),(4745,1495,-0.003868,-0.87219),(4745,1505,-0.003819,-0.86897),(4745,1515,-0.003771,-0.86643),(4745,1525,-0.003724,-0.86389),(4745,1535,-0.003756,-0.86134),(4745,1545,-0.003787,-0.85883),(4745,1555,-0.003818,-0.85705),(4745,1565,-0.00384,-0.85527),(4745,1575,-0.00371,-0.85349),(4745,1585,-0.003579,-0.85173),(4745,1595,-0.003449,-0.85015),(4745,1605,-0.003318,-0.84858),(4745,1615,-0.00317,-0.847),(4745,1625,-0.003023,-0.84544),(4745,1635,-0.002876,-0.84394),(4745,1645,-0.002733,-0.84245),(4745,1655,-0.002619,-0.84095),(4745,1665,-0.002506,-0.83948),(4745,1675,-0.002392,-0.8381),(4745,1685,-0.002283,-0.83672),(4745,1695,-0.002196,-0.83534),(4745,1705,-0.002109,-0.83399),(4745,1715,-0.002022,-0.83277),(4745,1725,-0.001939,-0.83154),(4745,1735,-0.001868,-0.83031),(4745,1745,-0.001797,-0.82913),(4745,1755,-0.001726,-0.82807),(4745,1765,-0.001659,-0.82701),(4745,1775,-0.001603,-0.82595),(4745,1785,-0.001547,-0.82494),(4745,1795,-0.001491,-0.82405),(4745,1805,-0.00144,-0.82317),(4745,1815,-0.0014,-0.82228),(4745,1825,-0.001359,-0.82145),(4745,1835,-0.001319,-0.82076),(4745,1845,-0.001272,-0.82006),(4745,1855,-0.001214,-0.81937),(4745,1865,-0.001155,-0.81873),(4745,1875,-0.001097,-0.81818),(4745,1885,-0.00105,-0.81764),(4745,1895,-0.001025,-0.8171),(4745,1905,-0.000999,-0.81664),(4745,1915,-0.000973,-0.81633),(4745,1925,-0.00094,-0.81601),(4745,1935,-0.000897,-0.81569),(4745,1945,-0.000854,-0.81545),(4745,1955,-0.000811,-0.81529),(4745,1965,-0.000772,-0.81513),(4745,1975,-0.000738,-0.81497),(4745,1985,-0.000703,-0.81489),(4745,1995,-0.000668,-0.81491),(4745,2005,-0.000633,-0.81493),(4745,2015,-0.000598,-0.81495),(4745,2025,-0.000563,-0.81505),(4745,2035,-0.000528,-0.81524),(4745,2045,-0.000491,-0.81544),(4745,2055,-0.000454,-0.81563),(4745,2065,-0.000416,-0.81592),(4745,2075,-0.000378,-0.81628),(4745,2085,-0.000339,-0.81665),(4745,2095,-0.000299,-0.81701),(4745,2105,-0.000259,-0.81748),(4745,2115,-0.000219,-0.81801),(4745,2125,-0.000178,-0.81855),(4745,2135,-0.000136,-0.81908),(4745,2145,-9.4e-05,-0.81971),(4745,2155,-5.2e-05,-0.82039),(4745,2165,-8e-06,-0.82108),(4745,2175,3.9e-05,-0.82177),(4745,2185,8.5e-05,-0.82256),(4745,2195,0.000131,-0.8234),(4745,2205,0.000179,-0.82425),(4745,2215,0.000229,-0.82509),(4745,2225,0.000278,-0.82606),(4745,2235,0.000328,-0.82707),(4745,2245,0.000404,-0.82808),(4745,2255,0.000489,-0.82909),(4745,2265,0.000575,-0.83018),(4745,2275,0.00066,-0.83131),(4745,2285,0.000735,-0.83244),(4745,2295,0.000806,-0.83357),(4745,2305,0.000877,-0.83486),(4745,2315,0.000948,-0.83619),(4745,2325,0.001048,-0.83753),(4745,2335,0.001155,-0.83886),(4745,2345,0.001262,-0.8403),(4745,2355,0.001369,-0.84176),(4745,2365,0.001489,-0.84321),(4745,2375,0.001611,-0.84467),(4745,2385,0.001733,-0.84623),(4745,2395,0.001855,-0.84782),(4745,2405,0.002005,-0.8494),(4745,2415,0.002159,-0.85099),(4745,2425,0.002313,-0.85268),(4745,2435,0.002466,-0.85438),(4745,2445,0.00265,-0.85609),(4745,2455,0.002836,-0.85779),(4745,2465,0.003022,-0.85958),(4745,2475,0.003208,-0.86136),(4745,2485,0.003425,-0.86315),(4745,2495,0.003642,-0.86494),(4745,2505,0.00386,-0.86681),(4745,2515,0.004078,-0.86868),(4745,2525,0.004331,-0.87056),(4745,2535,0.004583,-0.87243),(4745,2545,0.004836,-0.87441),(4745,2555,0.005091,-0.87638),(4745,2565,0.005375,-0.87835),(4745,2575,0.005659,-0.88033),(4745,2585,0.005943,-0.88237),(4745,2595,0.00623,-0.8844),(4745,2605,0.006539,-0.88644),(4745,2615,0.006847,-0.88848),(4745,2625,0.007156,-0.89055),(4745,2635,0.007473,-0.89262),(4745,2645,0.007844,-0.89469),(4745,2655,0.008215,-0.89675),(4745,2665,0.008586,-0.89878),(4745,2675,0.008961,-0.9008),(4745,2685,0.009357,-0.90283),(4745,2695,0.009752,-0.90485),(4745,2705,0.010148,-0.90684),(4745,2715,0.010557,-0.90882),(4745,2725,0.011019,-0.91081),(4745,2735,0.01148,-0.91276),(4745,2745,0.011942,-0.9146),(4745,2755,0.012416,-0.91643),(4745,2765,0.012923,-0.91826),(4745,2775,0.013431,-0.92007),(4745,2785,0.013939,-0.92179),(4745,2795,0.014461,-0.92351),(4745,2805,0.015017,-0.92523),(4745,2815,0.015573,-0.92692),(4745,2825,0.016129,-0.92854),(4745,2835,0.016695,-0.93016),(4745,2845,0.017281,-0.93178),(4745,2855,0.017866,-0.93335),(4745,2865,0.018452,-0.93481),(4745,2875,0.019045,-0.93628),(4745,2885,0.019652,-0.93775),(4745,2895,0.020259,-0.93916),(4745,2905,0.020866,-0.94048),(4745,2915,0.021481,-0.94179),(4745,2925,0.022107,-0.94311),(4745,2935,0.022733,-0.94435),(4745,2945,0.023359,-0.94548),(4745,2955,0.023987,-0.94662),(4745,2965,0.024616,-0.94775),(4745,2975,0.025245,-0.94874),(4745,2985,0.025874,-0.94957),(4745,2995,0.026499,-0.9504),(4745,3005,0.027121,-0.95124),(4745,3015,0.027743,-0.9519),(4745,3025,0.028364,-0.9524),(4745,3035,0.028994,-0.95291),(4745,3045,0.02963,-0.95341),(4745,3055,0.030267,-0.95371),(4745,3065,0.030904,-0.95383),(4745,3075,0.031523,-0.95396),(4745,3085,0.032131,-0.95408),(4745,3095,0.032738,-0.95399),(4745,3105,0.033345,-0.95376),(4745,3115,0.033952,-0.95352),(4745,3125,0.034559,-0.95328),(4745,3135,0.035166,-0.95283),(4745,3145,0.035773,-0.95227),(4745,3155,0.036373,-0.9517),(4745,3165,0.03697,-0.95113),(4745,3175,0.037567,-0.95043),(4745,3185,0.038164,-0.94966),(4745,3195,0.03875,-0.94889),(4745,3205,0.039331,-0.94812),(4745,3215,0.039913,-0.94725),(4745,3225,0.040495,-0.94635),(4745,3235,0.041058,-0.94545),(4745,3245,0.041616,-0.94454),(4745,3255,0.042173,-0.9436),(4745,3265,0.042731,-0.94264),(4745,3275,0.04327,-0.94169),(4745,3285,0.043804,-0.94073),(4745,3295,0.044337,-0.93977),(4745,3305,0.044871,-0.93881),(4745,3315,0.045386,-0.93785),(4745,3325,0.045896,-0.9369),(4745,3335,0.046406,-0.93594),(4745,3345,0.046917,-0.93499),(4745,3355,0.0474,-0.93403),(4745,3365,0.047878,-0.93308),(4745,3375,0.048356,-0.9321),(4745,3385,0.048834,-0.93112),(4745,3395,0.049297,-0.93014),(4745,3405,0.049758,-0.92916),(4745,3415,0.050219,-0.92804),(4745,3425,0.05068,-0.92691),(4745,3435,0.051087,-0.92577),(4745,3445,0.051489,-0.92464),(4745,3455,0.051891,-0.92341),(4745,3465,0.052293,-0.92217),(4745,3475,0.052679,-0.92094),(4745,3485,0.053064,-0.9197),(4745,3495,0.053449,-0.91829),(4745,3505,0.053834,-0.91688),(4745,3515,0.054176,-0.91548),(4745,3525,0.054519,-0.91406),(4745,3535,0.054861,-0.91251),(4745,3545,0.055203,-0.91095),(4745,3555,0.055524,-0.9094),(4745,3565,0.055846,-0.90784),(4745,3575,0.056167,-0.9062),(4745,3585,0.056488,-0.90457),(4745,3595,0.056804,-0.90294),(4745,3605,0.05712,-0.9013),(4745,3615,0.057436,-0.89959),(4745,3625,0.057752,-0.89787),(4745,3635,0.058062,-0.89616),(4745,3645,0.058373,-0.89442),(4745,3655,0.058683,-0.89257),(4745,3665,0.058993,-0.89072),(4745,3675,0.059303,-0.88888),(4745,3685,0.059612,-0.887),(4745,3695,0.059922,-0.88498),(4745,3705,0.060232,-0.88295),(4745,3715,0.060543,-0.88093),(4745,3725,0.060855,-0.87886),(4745,3735,0.061166,-0.8766),(4745,3745,0.061474,-0.87434),(4745,3755,0.061772,-0.87208),(4745,3765,0.06207,-0.86974),(4745,3775,0.062368,-0.86715),(4745,3785,0.062663,-0.86456),(4745,3795,0.062953,-0.86197),(4745,3805,0.063242,-0.85926),(4745,3815,0.063532,-0.85628),(4745,3825,0.06378,-0.8533),(4745,3835,0.06394,-0.85031),(4745,3845,0.064101,-0.84728),(4745,3855,0.064261,-0.84415),(4745,3865,0.064401,-0.84102),(4745,3875,0.064504,-0.83789),(4745,3885,0.064606,-0.8347),(4745,3895,0.064709,-0.8314),(4745,3905,0.064986,-0.82811),(4745,3915,0.065522,-0.82482),(4745,3925,0.066058,-0.82091),(4745,3935,0.066594,-0.81612),(4745,3945,0.066472,-0.81134),(4745,3955,0.065513,-0.80656),(4745,3965,0.064555,-0.80358),(4745,3975,0.063596,-0.80271),(4745,3985,0.054784,-0.80184),(4745,3995,0.037471,-0.80097),(4745,4005,0.020157,-0.82356),(4745,4015,0.002843,-0.86959),(4745,4025,0.20562,-0.91562),(4745,4035,0.42993,-0.94277),(4745,4045,0.65424,-0.93009),(4745,4055,0.8308,-0.91741),(4745,4065,0.98993,-0.90343),(4745,4075,1.1491,-0.88162),(4745,4085,1.2325,-0.8598),(4745,4095,1.2551,-0.83799),(4745,4105,1.2776,-0.81611),(4745,4115,1.2989,-0.79422),(4745,4125,1.3179,-0.77233),(4745,4135,1.337,-0.75089),(4745,4145,1.3554,-0.72957),(4745,4155,1.3711,-0.70825),(4745,4165,1.3867,-0.68748),(4745,4175,1.4023,-0.66707),(4745,4185,1.4151,-0.64665),(4745,4195,1.4278,-0.62669),(4745,4205,1.4405,-0.60732),(4745,4215,1.4511,-0.58796),(4745,4225,1.4613,-0.56887),(4745,4235,1.4715,-0.55062),(4745,4245,1.4803,-0.53237),(4745,4255,1.4883,-0.51422),(4745,4265,1.4963,-0.49724),(4745,4275,1.5034,-0.48027),(4745,4285,1.5096,-0.46329),(4745,4295,1.5157,-0.44744),(4745,4305,1.5214,-0.43171),(4745,4315,1.526,-0.41598),(4745,4325,1.5306,-0.40113),(4745,4335,1.535,-0.38662),(4745,4345,1.5384,-0.37211),(4745,4355,1.5417,-0.35823),(4745,4365,1.545,-0.34488),(4745,4375,1.5473,-0.33154),(4745,4385,1.5495,-0.31857),(4745,4395,1.5517,-0.30628),(4745,4405,1.5532,-0.29399),(4745,4415,1.5546,-0.28188),(4745,4425,1.5559,-0.27062),(4745,4435,1.5568,-0.25936),(4745,4445,1.5573,-0.24811),(4745,4455,1.5579,-0.23774),(4745,4465,1.5583,-0.22738),(4745,4475,1.5583,-0.21701),(4745,4485,1.5583,-0.20731),(4745,4495,1.5582,-0.19774),(4745,4505,1.5577,-0.18817),(4745,4515,1.5572,-0.17911),(4745,4525,1.5567,-0.17032),(4745,4535,1.5558,-0.16153),(4745,4545,1.5549,-0.15307),(4745,4555,1.554,-0.14497),(4745,4565,1.5529,-0.13687),(4745,4575,1.5517,-0.12898),(4745,4585,1.5505,-0.12157),(4745,4595,1.5491,-0.11416),(4745,4605,1.5476,-0.10682),(4745,4615,1.5462,-0.10005),(4745,4625,1.5446,-0.093284),(4745,4635,1.543,-0.086513),(4745,4645,1.5414,-0.080267),(4745,4655,1.5398,-0.074056),(4745,4665,1.538,-0.067846),(4745,4675,1.5363,-0.062067),(4745,4685,1.5345,-0.056425),(4745,4695,1.5327,-0.050784),(4745,4705,1.5309,-0.045463),(4745,4715,1.5291,-0.040375),(4745,4725,1.5272,-0.035287),(4745,4735,1.5254,-0.030386),(4745,4745,1.5236,-0.025767),(4745,4755,1.5218,-0.021148),(4745,4765,1.52,-0.016634),(4745,4775,1.5181,-0.012484),(4745,4785,1.5163,-0.008334),(4745,4795,1.5145,-0.004206),(4745,4805,1.5127,-0.000536),(4745,4815,1.511,0.003134),(4745,4825,1.5092,0.006804),(4745,4835,1.5075,0.010071),(4745,4845,1.5057,0.013275),(4745,4855,1.504,0.01648),(4745,4865,1.5024,0.01938),(4745,4875,1.5007,0.022143),(4745,4885,1.4991,0.024905),(4745,4895,1.4976,0.02743),(4745,4905,1.496,0.029726),(4745,4915,1.4945,0.032023),(4745,4925,1.4931,0.034126),(4745,4935,1.4917,0.035841),(4745,4945,1.4904,0.037556),(4745,4955,1.4893,0.03916),(4745,4965,1.4881,0.040159),(4745,4975,1.4872,0.041157),(4745,4985,1.4865,0.042156),(4745,4995,1.4857,0.042418),(4745,5005,1.4852,0.042662),(4745,5015,1.485,0.042905),(4745,5025,1.4848,0.042548),(4745,5035,1.4848,0.042037),(4745,5045,1.4853,0.041525),(4745,5055,1.4857,0.040489),(4745,5065,1.4862,0.039129),(4745,5075,1.4875,0.037768),(4745,5085,1.4888,0.036027),(4745,5095,1.4901,0.033803),(4745,5105,1.4922,0.031578),(4745,5115,1.4944,0.029147),(4745,5125,1.4967,0.026138),(4745,5135,1.4996,0.02313),(4745,5145,1.5029,0.020081),(4745,5155,1.5061,0.016592),(4745,5165,1.5097,0.013104),(4745,5175,1.5137,0.009615),(4745,5185,1.5177,0.006004),(4745,5195,1.5219,0.002381),(4745,5205,1.5264,-0.001243),(4745,5215,1.531,-0.004833),(4745,5225,1.5356,-0.008411),(4745,5235,1.5406,-0.011989),(4745,5245,1.5455,-0.015407),(4745,5255,1.5505,-0.018696),(4745,5265,1.5557,-0.021984),(4745,5275,1.561,-0.024964),(4745,5285,1.5662,-0.027421),(4745,5295,1.5712,-0.029878),(4745,5305,1.5761,-0.032046),(4745,5315,1.581,-0.033012),(4745,5325,1.5851,-0.033977),(4745,5335,1.5889,-0.034917),(4745,5345,1.5926,-0.034131),(4745,5355,1.5955,-0.033345),(4745,5365,1.5974,-0.032559),(4745,5375,1.5994,-0.030584),(4745,5385,1.6009,-0.028378),(4745,5395,1.6012,-0.026171),(4745,5405,1.6015,-0.023429),(4745,5415,1.6017,-0.020409),(4745,5425,1.6009,-0.017389),(4745,5435,1.6002,-0.014177),(4745,5445,1.5995,-0.010757),(4745,5455,1.5983,-0.007338),(4745,5465,1.597,-0.003844),(4745,5475,1.5958,-0.000179),(4745,5485,1.5944,0.003486),(4745,5495,1.593,0.007174),(4745,5505,1.5916,0.01103),(4745,5515,1.5901,0.014886),(4745,5525,1.5887,0.018741),(4745,5535,1.5872,0.022712),(4745,5545,1.5857,0.026689),(4745,5555,1.5842,0.030667),(4745,5565,1.5827,0.034598),(4745,5575,1.5812,0.038516),(4745,5585,1.5797,0.042434),(4745,5595,1.5781,0.04617),(4745,5605,1.5766,0.049779),(4745,5615,1.5751,0.053388),(4745,5625,1.5735,0.056738),(4745,5635,1.572,0.059715),(4745,5645,1.5705,0.062693),(4745,5655,1.5691,0.065408),(4745,5665,1.5676,0.067254),(4745,5675,1.5664,0.069101),(4745,5685,1.5653,0.070849),(4745,5695,1.5642,0.070903),(4745,5705,1.5634,0.070956),(4745,5715,1.5631,0.07101),(4745,5725,1.5627,0.068849),(4745,5735,1.5628,0.066376),(4745,5745,1.5639,0.063903),(4745,5755,1.565,0.058988),(4745,5765,1.5664,0.053016),(4745,5775,1.5702,0.047045),(4745,5785,1.5739,0.038698),(4745,5795,1.5776,0.028157),(4745,5805,1.5853,0.017617),(4745,5815,1.5932,0.005215),(4745,5825,1.6012,-0.010774),(4745,5835,1.6138,-0.026762),(4745,5845,1.628,-0.043667),(4745,5855,1.6421,-0.065264),(4745,5865,1.6608,-0.086861),(4745,5875,1.6829,-0.10846),(4745,5885,1.705,-0.13395),(4745,5895,1.7302,-0.15949),(4745,5905,1.7601,-0.18504),(4745,5915,1.7901,-0.21035),(4745,5925,1.821,-0.23561),(4745,5935,1.8556,-0.26086),(4745,5945,1.8901,-0.28224),(4745,5955,1.9246,-0.30132),(4745,5965,1.9575,-0.32041),(4745,5975,1.9904,-0.33491),(4745,5985,2.0233,-0.3438),(4745,5995,2.0498,-0.35269),(4745,6005,2.0752,-0.35901),(4745,6015,2.1006,-0.35843),(4745,6025,2.1201,-0.35785),(4745,6035,2.1369,-0.35677),(4745,6045,2.1538,-0.35092),(4745,6055,2.1677,-0.34507),(4745,6065,2.179,-0.33923),(4745,6075,2.1902,-0.33153),(4745,6085,2.2005,-0.32367),(4745,6095,2.2091,-0.3158),(4745,6105,2.2176,-0.30746),(4745,6115,2.226,-0.29895),(4745,6125,2.2331,-0.29045),(4745,6135,2.2402,-0.28188),(4745,6145,2.2474,-0.27327),(4745,6155,2.2535,-0.26466),(4745,6165,2.2597,-0.25611),(4745,6175,2.2658,-0.24768),(4745,6185,2.2712,-0.23925),(4745,6195,2.2764,-0.23087),(4745,6205,2.2817,-0.22274),(4745,6215,2.2864,-0.21461),(4745,6225,2.2909,-0.20649),(4745,6235,2.2954,-0.19874),(4745,6245,2.2995,-0.19099),(4745,6255,2.3033,-0.18323),(4745,6265,2.307,-0.17586),(4745,6275,2.3106,-0.16855),(4745,6285,2.3138,-0.16124),(4745,6295,2.3169,-0.15426),(4745,6305,2.3201,-0.14745),(4745,6315,2.3226,-0.14065),(4745,6325,2.3252,-0.13405),(4745,6335,2.3278,-0.12766),(4745,6345,2.33,-0.12127),(4745,6355,2.3322,-0.11503),(4745,6365,2.3343,-0.1091),(4745,6375,2.3362,-0.10317),(4745,6385,2.3379,-0.097292),(4745,6395,2.3397,-0.091736),(4745,6405,2.3412,-0.086179),(4745,6415,2.3427,-0.080622),(4745,6425,2.3441,-0.075365),(4745,6435,2.3454,-0.070121),(4745,6445,2.3465,-0.064877),(4745,6455,2.3476,-0.059866),(4745,6465,2.3486,-0.054922),(4745,6475,2.3494,-0.049978),(4745,6485,2.3503,-0.04516),(4745,6495,2.3511,-0.040427),(4745,6505,2.3517,-0.035694),(4745,6515,2.3523,-0.031045),(4745,6525,2.3529,-0.026513),(4745,6535,2.3533,-0.021982),(4745,6545,2.3537,-0.017466),(4745,6555,2.3541,-0.012999),(4745,6565,2.3543,-0.008533),(4745,6575,2.3545,-0.004073),(4745,6585,2.3547,0.000293),(4745,6595,2.0031,0.004659),(4745,6605,1.2631,0.009024),(4745,6615,0.52309,0.009521),(4745,6625,0.00288,0.009519),(4745,6635,0.002839,0.009518),(4745,6645,0.002799,0.009511),(4745,6655,0.002759,0.009502),(4745,6665,0.002725,0.009493),(4745,6675,0.002691,0.009484),(4745,6685,0.002656,0.009476),(4745,6695,0.002626,0.009467),(4745,6705,0.002597,0.009459),(4745,6715,0.002567,0.009452),(4745,6725,0.002541,0.009444),(4745,6735,0.002516,0.009437),(4745,6745,0.002491,0.00943),(4745,6755,0.002467,0.009423),(4745,6765,0.002445,0.009416),(4745,6775,0.002424,0.00941),(4745,6785,0.002403,0.009404),(4745,6795,0.002384,0.009398),(4745,6805,0.002365,0.009392),(4745,6815,0.002347,0.009386),(4745,6825,0.002331,0.009381),(4745,6835,0.002315,0.009375),(4745,6845,0.002299,0.00937),(4745,6855,0.002285,0.009365),(4745,6865,0.002271,0.009359),(4745,6875,0.002257,0.009354),(4745,6885,0.002244,0.00935),(4745,6895,0.002233,0.009345),(4745,6905,0.00222,0.00934),(4745,6915,0.00221,0.009335),(4745,6925,0.002199,0.00933),(4745,6935,0.002189,0.009326),(4745,6945,0.002179,0.009321),(4745,6955,0.00217,0.009316),(4745,6965,0.002161,0.009312),(4745,6975,0.002153,0.009307),(4745,6985,0.002145,0.009303),(4755,5,1e-06,-0.79471),(4755,15,3e-06,-0.79479),(4755,25,6e-06,-0.79487),(4755,35,9e-06,-0.79494),(4755,45,1.2e-05,-0.79501),(4755,55,1.6e-05,-0.79506),(4755,65,2e-05,-0.79512),(4755,75,2.4e-05,-0.79517),(4755,85,2.8e-05,-0.79526),(4755,95,3.2e-05,-0.79537),(4755,105,3.8e-05,-0.79548),(4755,115,4.3e-05,-0.7956),(4755,125,4.9e-05,-0.79576),(4755,135,5.5e-05,-0.79595),(4755,145,6e-05,-0.79614),(4755,155,6.4e-05,-0.79633),(4755,165,6.8e-05,-0.79654),(4755,175,7.3e-05,-0.79674),(4755,185,7.5e-05,-0.79695),(4755,195,7.5e-05,-0.79715),(4755,205,7.6e-05,-0.79736),(4755,215,7.7e-05,-0.79758),(4755,225,7.8e-05,-0.7978),(4755,235,7.8e-05,-0.79802),(4755,245,7.9e-05,-0.79826),(4755,255,8e-05,-0.79851),(4755,265,8.3e-05,-0.79876),(4755,275,8.8e-05,-0.79901),(4755,285,9.3e-05,-0.79931),(4755,295,9.8e-05,-0.79963),(4755,305,0.000106,-0.79995),(4755,315,0.000114,-0.80027),(4755,325,0.000121,-0.80063),(4755,335,0.000129,-0.801),(4755,345,0.000137,-0.80138),(4755,355,0.000144,-0.80175),(4755,365,0.000151,-0.80217),(4755,375,0.000159,-0.8026),(4755,385,0.000165,-0.80302),(4755,395,0.000171,-0.80345),(4755,405,0.000178,-0.80393),(4755,415,0.000184,-0.80441),(4755,425,0.000192,-0.8049),(4755,435,0.000201,-0.80538),(4755,445,0.000209,-0.80593),(4755,455,0.000217,-0.80648),(4755,465,0.000226,-0.80703),(4755,475,0.000234,-0.80757),(4755,485,0.000243,-0.80816),(4755,495,0.000251,-0.80874),(4755,505,0.000259,-0.80932),(4755,515,0.000267,-0.80991),(4755,525,0.000275,-0.81055),(4755,535,0.000283,-0.8112),(4755,545,0.000292,-0.81185),(4755,555,0.000301,-0.8125),(4755,565,0.00031,-0.81321),(4755,575,0.000319,-0.81392),(4755,585,0.000332,-0.81463),(4755,595,0.000345,-0.81535),(4755,605,0.000358,-0.81615),(4755,615,0.000372,-0.81695),(4755,625,0.000389,-0.81775),(4755,635,0.000405,-0.81855),(4755,645,0.000422,-0.81942),(4755,655,0.000439,-0.82029),(4755,665,0.000457,-0.82116),(4755,675,0.000474,-0.82204),(4755,685,0.000492,-0.82298),(4755,695,0.00051,-0.82392),(4755,705,0.000529,-0.82486),(4755,715,0.000548,-0.82581),(4755,725,0.000566,-0.82681),(4755,735,0.000586,-0.8278),(4755,745,0.000608,-0.8288),(4755,755,0.00063,-0.82981),(4755,765,0.000652,-0.83086),(4755,775,0.000674,-0.8319),(4755,785,0.000696,-0.83295),(4755,795,0.000718,-0.83403),(4755,805,0.00074,-0.83519),(4755,815,0.000764,-0.83635),(4755,825,0.000792,-0.83751),(4755,835,0.000819,-0.8387),(4755,845,0.000847,-0.83996),(4755,855,0.000876,-0.84121),(4755,865,0.000909,-0.84247),(4755,875,0.000941,-0.84376),(4755,885,0.000974,-0.84508),(4755,895,0.00101,-0.84641),(4755,905,0.00105,-0.84774),(4755,915,0.00109,-0.8491),(4755,925,0.00113,-0.85049),(4755,935,0.001174,-0.85187),(4755,945,0.001222,-0.85326),(4755,955,0.00127,-0.85469),(4755,965,0.001318,-0.85614),(4755,975,0.001371,-0.8576),(4755,985,0.001428,-0.85906),(4755,995,0.001485,-0.86056),(4755,1005,0.001542,-0.86208),(4755,1015,0.001605,-0.8636),(4755,1025,0.001674,-0.86513),(4755,1035,0.001742,-0.86669),(4755,1045,0.001811,-0.86828),(4755,1055,0.001887,-0.86987),(4755,1065,0.001969,-0.87146),(4755,1075,0.002051,-0.87306),(4755,1085,0.002134,-0.87468),(4755,1095,0.002226,-0.8763),(4755,1105,0.002326,-0.87792),(4755,1115,0.002426,-0.8796),(4755,1125,0.002526,-0.88132),(4755,1135,0.002629,-0.88304),(4755,1145,0.002734,-0.88476),(4755,1155,0.00284,-0.88679),(4755,1165,0.002945,-0.889),(4755,1175,0.00308,-0.89121),(4755,1185,0.003231,-0.89341),(4755,1195,0.003382,-0.89585),(4755,1205,0.003533,-0.89838),(4755,1215,0.00381,-0.90092),(4755,1225,0.004138,-0.90345),(4755,1235,0.004467,-0.9052),(4755,1245,0.004795,-0.90665),(4755,1255,0.004614,-0.90809),(4755,1265,0.00426,-0.90954),(4755,1275,0.003906,-0.91932),(4755,1285,0.003552,-0.93161),(4755,1295,0.001425,-0.94391),(4755,1305,-0.001182,-0.9562),(4755,1315,-0.003788,-1.0024),(4755,1325,-0.006395,-1.0567),(4755,1335,-0.004773,-1.1109),(4755,1345,-0.002264,-1.1652),(4755,1355,0.000244,-1.1299),(4755,1365,0.002753,-1.0785),(4755,1375,0.001182,-1.027),(4755,1385,-0.001018,-0.97548),(4755,1395,-0.003219,-0.95708),(4755,1405,-0.005419,-0.94293),(4755,1415,-0.005954,-0.92878),(4755,1425,-0.006317,-0.91463),(4755,1435,-0.006679,-0.91265),(4755,1445,-0.007041,-0.91163),(4755,1455,-0.00663,-0.91062),(4755,1465,-0.006174,-0.90961),(4755,1475,-0.005718,-0.90724),(4755,1485,-0.005262,-0.90482),(4755,1495,-0.005049,-0.9024),(4755,1505,-0.004839,-0.89998),(4755,1515,-0.004629,-0.8981),(4755,1525,-0.00442,-0.89623),(4755,1535,-0.004269,-0.89435),(4755,1545,-0.004117,-0.8925),(4755,1555,-0.003966,-0.89124),(4755,1565,-0.003815,-0.88998),(4755,1575,-0.003665,-0.88872),(4755,1585,-0.003516,-0.88747),(4755,1595,-0.003366,-0.88636),(4755,1605,-0.003219,-0.88525),(4755,1615,-0.003089,-0.88414),(4755,1625,-0.002959,-0.88303),(4755,1635,-0.002829,-0.88195),(4755,1645,-0.002702,-0.88087),(4755,1655,-0.002595,-0.87979),(4755,1665,-0.002488,-0.87873),(4755,1675,-0.002381,-0.87771),(4755,1685,-0.002277,-0.8767),(4755,1695,-0.002187,-0.87568),(4755,1705,-0.002098,-0.87469),(4755,1715,-0.002008,-0.87376),(4755,1725,-0.001922,-0.87284),(4755,1735,-0.001845,-0.87191),(4755,1745,-0.001769,-0.87101),(4755,1755,-0.001693,-0.8702),(4755,1765,-0.00162,-0.86939),(4755,1775,-0.001555,-0.86857),(4755,1785,-0.001491,-0.8678),(4755,1795,-0.001426,-0.86712),(4755,1805,-0.001364,-0.86644),(4755,1815,-0.00131,-0.86576),(4755,1825,-0.001256,-0.86513),(4755,1835,-0.001201,-0.86461),(4755,1845,-0.001148,-0.86409),(4755,1855,-0.001097,-0.86356),(4755,1865,-0.001045,-0.86309),(4755,1875,-0.000994,-0.86269),(4755,1885,-0.000947,-0.8623),(4755,1895,-0.000907,-0.86191),(4755,1905,-0.000867,-0.86159),(4755,1915,-0.000828,-0.86138),(4755,1925,-0.000788,-0.86117),(4755,1935,-0.00075,-0.86095),(4755,1945,-0.000711,-0.8608),(4755,1955,-0.000672,-0.86073),(4755,1965,-0.000636,-0.86066),(4755,1975,-0.000601,-0.86059),(4755,1985,-0.000567,-0.8606),(4755,1995,-0.000533,-0.8607),(4755,2005,-0.000499,-0.86079),(4755,2015,-0.000465,-0.86088),(4755,2025,-0.000432,-0.86106),(4755,2035,-0.000398,-0.86131),(4755,2045,-0.000364,-0.86156),(4755,2055,-0.000329,-0.8618),(4755,2065,-0.000294,-0.86214),(4755,2075,-0.00026,-0.86255),(4755,2085,-0.000223,-0.86295),(4755,2095,-0.000186,-0.86336),(4755,2105,-0.000148,-0.86385),(4755,2115,-0.000111,-0.86439),(4755,2125,-7.1e-05,-0.86494),(4755,2135,-3e-05,-0.86548),(4755,2145,1.1e-05,-0.86611),(4755,2155,5.2e-05,-0.86678),(4755,2165,9.6e-05,-0.86745),(4755,2175,0.000142,-0.86812),(4755,2185,0.000188,-0.86888),(4755,2195,0.000234,-0.86969),(4755,2205,0.000284,-0.87049),(4755,2215,0.000335,-0.8713),(4755,2225,0.000387,-0.87221),(4755,2235,0.000438,-0.87316),(4755,2245,0.000499,-0.8741),(4755,2255,0.000564,-0.87505),(4755,2265,0.000628,-0.87609),(4755,2275,0.000692,-0.87715),(4755,2285,0.00076,-0.87821),(4755,2295,0.00083,-0.87927),(4755,2305,0.000899,-0.88048),(4755,2315,0.000968,-0.88174),(4755,2325,0.001051,-0.88299),(4755,2335,0.001137,-0.88424),(4755,2345,0.001223,-0.8856),(4755,2355,0.001309,-0.88699),(4755,2365,0.001409,-0.88837),(4755,2375,0.001512,-0.88975),(4755,2385,0.001614,-0.89124),(4755,2395,0.001716,-0.89274),(4755,2405,0.001839,-0.89425),(4755,2415,0.001965,-0.89575),(4755,2425,0.002091,-0.89735),(4755,2435,0.002216,-0.89895),(4755,2445,0.002367,-0.90055),(4755,2455,0.00252,-0.90214),(4755,2465,0.002673,-0.9038),(4755,2475,0.002825,-0.90546),(4755,2485,0.003006,-0.90711),(4755,2495,0.003187,-0.90877),(4755,2505,0.003369,-0.91049),(4755,2515,0.003551,-0.9122),(4755,2525,0.003762,-0.91392),(4755,2535,0.003973,-0.91564),(4755,2545,0.004184,-0.91744),(4755,2555,0.004397,-0.91923),(4755,2565,0.004636,-0.92103),(4755,2575,0.004875,-0.92282),(4755,2585,0.005114,-0.92467),(4755,2595,0.005356,-0.92651),(4755,2605,0.00562,-0.92836),(4755,2615,0.005886,-0.9302),(4755,2625,0.00615,-0.93207),(4755,2635,0.00642,-0.93394),(4755,2645,0.006719,-0.93581),(4755,2655,0.007018,-0.93767),(4755,2665,0.007317,-0.9395),(4755,2675,0.007622,-0.94134),(4755,2685,0.007953,-0.94317),(4755,2695,0.008283,-0.945),(4755,2705,0.008614,-0.94679),(4755,2715,0.008954,-0.94858),(4755,2725,0.009328,-0.95038),(4755,2735,0.009702,-0.95214),(4755,2745,0.010077,-0.9538),(4755,2755,0.010462,-0.95547),(4755,2765,0.010877,-0.95713),(4755,2775,0.011293,-0.95877),(4755,2785,0.011709,-0.96033),(4755,2795,0.012136,-0.9619),(4755,2805,0.012589,-0.96346),(4755,2815,0.013042,-0.965),(4755,2825,0.013496,-0.96647),(4755,2835,0.013957,-0.96794),(4755,2845,0.014434,-0.96941),(4755,2855,0.014911,-0.97083),(4755,2865,0.015388,-0.97216),(4755,2875,0.015869,-0.97349),(4755,2885,0.016356,-0.97483),(4755,2895,0.016843,-0.9761),(4755,2905,0.01733,-0.9773),(4755,2915,0.017818,-0.9785),(4755,2925,0.018305,-0.9797),(4755,2935,0.018793,-0.98083),(4755,2945,0.019281,-0.98188),(4755,2955,0.019766,-0.98292),(4755,2965,0.020247,-0.98397),(4755,2975,0.020728,-0.9849),(4755,2985,0.02121,-0.98572),(4755,2995,0.021688,-0.98653),(4755,3005,0.022162,-0.98734),(4755,3015,0.022636,-0.98803),(4755,3025,0.02311,-0.9886),(4755,3035,0.023586,-0.98916),(4755,3045,0.024063,-0.98973),(4755,3055,0.02454,-0.99014),(4755,3065,0.025017,-0.99042),(4755,3075,0.025496,-0.99069),(4755,3085,0.025975,-0.99097),(4755,3095,0.026454,-0.99108),(4755,3105,0.026933,-0.99108),(4755,3115,0.02742,-0.99107),(4755,3125,0.027911,-0.99106),(4755,3135,0.028403,-0.99089),(4755,3145,0.028895,-0.99061),(4755,3155,0.029393,-0.99034),(4755,3165,0.029896,-0.99006),(4755,3175,0.030399,-0.98967),(4755,3185,0.030901,-0.98922),(4755,3195,0.031406,-0.98877),(4755,3205,0.031911,-0.98831),(4755,3215,0.032417,-0.98777),(4755,3225,0.032922,-0.98718),(4755,3235,0.03342,-0.9866),(4755,3245,0.033914,-0.98601),(4755,3255,0.034408,-0.98535),(4755,3265,0.034903,-0.98467),(4755,3275,0.035378,-0.98399),(4755,3285,0.035849,-0.9833),(4755,3295,0.036319,-0.98257),(4755,3305,0.036789,-0.98182),(4755,3315,0.037233,-0.98107),(4755,3325,0.037671,-0.98032),(4755,3335,0.038108,-0.97952),(4755,3345,0.038546,-0.97871),(4755,3355,0.038954,-0.9779),(4755,3365,0.039356,-0.9771),(4755,3375,0.039758,-0.97622),(4755,3385,0.04016,-0.97533),(4755,3395,0.040537,-0.97444),(4755,3405,0.040911,-0.97356),(4755,3415,0.041285,-0.9725),(4755,3425,0.041659,-0.97143),(4755,3435,0.042007,-0.97036),(4755,3445,0.042352,-0.96929),(4755,3455,0.042698,-0.96806),(4755,3465,0.043043,-0.96682),(4755,3475,0.043376,-0.96558),(4755,3485,0.043708,-0.96434),(4755,3495,0.04404,-0.96289),(4755,3505,0.044372,-0.96144),(4755,3515,0.044692,-0.95998),(4755,3525,0.045011,-0.95852),(4755,3535,0.04533,-0.95687),(4755,3545,0.045649,-0.95521),(4755,3555,0.045963,-0.95356),(4755,3565,0.046276,-0.9519),(4755,3575,0.04659,-0.95009),(4755,3585,0.046903,-0.94828),(4755,3595,0.047215,-0.94646),(4755,3605,0.047527,-0.94463),(4755,3615,0.047839,-0.94264),(4755,3625,0.04815,-0.94064),(4755,3635,0.048459,-0.93864),(4755,3645,0.048769,-0.93661),(4755,3655,0.049078,-0.93439),(4755,3665,0.049387,-0.93218),(4755,3675,0.049694,-0.92996),(4755,3685,0.05,-0.92769),(4755,3695,0.050307,-0.9252),(4755,3705,0.050613,-0.9227),(4755,3715,0.050915,-0.92021),(4755,3725,0.051218,-0.91765),(4755,3735,0.05152,-0.91482),(4755,3745,0.05182,-0.91198),(4755,3755,0.052113,-0.90915),(4755,3765,0.052405,-0.90621),(4755,3775,0.052697,-0.90294),(4755,3785,0.052986,-0.89968),(4755,3795,0.053264,-0.89642),(4755,3805,0.053542,-0.89301),(4755,3815,0.05382,-0.88928),(4755,3825,0.054084,-0.88555),(4755,3835,0.05432,-0.88182),(4755,3845,0.054556,-0.878),(4755,3855,0.054792,-0.87402),(4755,3865,0.055015,-0.87005),(4755,3875,0.055218,-0.86607),(4755,3885,0.05542,-0.86199),(4755,3895,0.055622,-0.85776),(4755,3905,0.055848,-0.85353),(4755,3915,0.056108,-0.8493),(4755,3925,0.056368,-0.84457),(4755,3935,0.056628,-0.83916),(4755,3945,0.056757,-0.83375),(4755,3955,0.056719,-0.82835),(4755,3965,0.056681,-0.82534),(4755,3975,0.056644,-0.82516),(4755,3985,0.055143,-0.82498),(4755,3995,0.052059,-0.82479),(4755,4005,0.048975,-0.84647),(4755,4015,0.045891,-0.89001),(4755,4025,0.23378,-0.93355),(4755,4035,0.44036,-0.95819),(4755,4045,0.64694,-0.943),(4755,4055,0.81613,-0.92781),(4755,4065,0.97168,-0.91156),(4755,4075,1.1272,-0.88903),(4755,4085,1.2089,-0.86649),(4755,4095,1.2312,-0.84396),(4755,4105,1.2535,-0.82225),(4755,4115,1.2746,-0.80057),(4755,4125,1.2938,-0.77889),(4755,4135,1.3129,-0.7578),(4755,4145,1.3314,-0.73686),(4755,4155,1.3473,-0.71593),(4755,4165,1.3633,-0.69555),(4755,4175,1.3791,-0.67551),(4755,4185,1.3922,-0.65548),(4755,4195,1.4052,-0.63587),(4755,4205,1.4182,-0.61683),(4755,4215,1.4292,-0.59779),(4755,4225,1.4397,-0.57902),(4755,4235,1.4503,-0.56103),(4755,4245,1.4594,-0.54303),(4755,4255,1.4678,-0.52513),(4755,4265,1.4763,-0.50833),(4755,4275,1.4838,-0.49153),(4755,4285,1.4903,-0.47474),(4755,4295,1.4968,-0.45898),(4755,4305,1.5029,-0.44335),(4755,4315,1.5079,-0.42772),(4755,4325,1.5129,-0.41293),(4755,4335,1.5177,-0.39846),(4755,4345,1.5213,-0.38399),(4755,4355,1.525,-0.37014),(4755,4365,1.5287,-0.3568),(4755,4375,1.5313,-0.34346),(4755,4385,1.5338,-0.33048),(4755,4395,1.5364,-0.31816),(4755,4405,1.5382,-0.30583),(4755,4415,1.5399,-0.29369),(4755,4425,1.5415,-0.28237),(4755,4435,1.5427,-0.27106),(4755,4445,1.5436,-0.25974),(4755,4455,1.5444,-0.24931),(4755,4465,1.545,-0.23888),(4755,4475,1.5453,-0.22845),(4755,4485,1.5455,-0.21867),(4755,4495,1.5456,-0.20904),(4755,4505,1.5454,-0.19941),(4755,4515,1.5451,-0.19028),(4755,4525,1.5449,-0.18143),(4755,4535,1.5442,-0.17258),(4755,4545,1.5435,-0.16406),(4755,4555,1.5429,-0.1559),(4755,4565,1.5419,-0.14774),(4755,4575,1.5409,-0.13978),(4755,4585,1.5399,-0.13232),(4755,4595,1.5387,-0.12485),(4755,4605,1.5375,-0.11746),(4755,4615,1.5362,-0.11064),(4755,4625,1.5349,-0.10382),(4755,4635,1.5334,-0.096997),(4755,4645,1.532,-0.090712),(4755,4655,1.5305,-0.084464),(4755,4665,1.5289,-0.078216),(4755,4675,1.5273,-0.072398),(4755,4685,1.5258,-0.066719),(4755,4695,1.5241,-0.061039),(4755,4705,1.5225,-0.055679),(4755,4715,1.5208,-0.05055),(4755,4725,1.5191,-0.045422),(4755,4735,1.5175,-0.040488),(4755,4745,1.5158,-0.035845),(4755,4755,1.5141,-0.031202),(4755,4765,1.5124,-0.026666),(4755,4775,1.5108,-0.022506),(4755,4785,1.5091,-0.018346),(4755,4795,1.5074,-0.014208),(4755,4805,1.5058,-0.010536),(4755,4815,1.5041,-0.006863),(4755,4825,1.5025,-0.003191),(4755,4835,1.5009,6.8e-05),(4755,4845,1.4993,0.003264),(4755,4855,1.4978,0.006459),(4755,4865,1.4963,0.009336),(4755,4875,1.4947,0.012068),(4755,4885,1.4933,0.014801),(4755,4895,1.4919,0.017273),(4755,4905,1.4904,0.019496),(4755,4915,1.4892,0.021719),(4755,4925,1.4879,0.02374),(4755,4935,1.4866,0.025356),(4755,4945,1.4856,0.026972),(4755,4955,1.4847,0.028477),(4755,4965,1.4837,0.029371),(4755,4975,1.4831,0.030265),(4755,4985,1.4826,0.031159),(4755,4995,1.4821,0.03133),(4755,5005,1.4818,0.031483),(4755,5015,1.4818,0.031635),(4755,5025,1.4819,0.031188),(4755,5035,1.4821,0.030587),(4755,5045,1.4828,0.029986),(4755,5055,1.4835,0.028876),(4755,5065,1.4843,0.027453),(4755,5075,1.4858,0.02603),(4755,5085,1.4874,0.024248),(4755,5095,1.489,0.022012),(4755,5105,1.4914,0.019776),(4755,5115,1.4939,0.017359),(4755,5125,1.4964,0.014435),(4755,5135,1.4995,0.011512),(4755,5145,1.5029,0.008556),(4755,5155,1.5063,0.005246),(4755,5165,1.51,0.001936),(4755,5175,1.5141,-0.001374),(4755,5185,1.5181,-0.004751),(4755,5195,1.5223,-0.008135),(4755,5205,1.5269,-0.01152),(4755,5215,1.5314,-0.014818),(4755,5225,1.536,-0.018083),(4755,5235,1.5409,-0.021348),(4755,5245,1.5458,-0.0244),(4755,5255,1.5507,-0.027275),(4755,5265,1.5556,-0.030151),(4755,5275,1.5606,-0.032695),(4755,5285,1.5656,-0.034678),(4755,5295,1.5701,-0.036661),(4755,5305,1.5745,-0.038368),(4755,5315,1.5789,-0.03892),(4755,5325,1.5825,-0.039471),(4755,5335,1.5856,-0.04),(4755,5345,1.5888,-0.038973),(4755,5355,1.5912,-0.037945),(4755,5365,1.5926,-0.036918),(4755,5375,1.594,-0.03486),(4755,5385,1.5951,-0.032602),(4755,5395,1.5951,-0.030343),(4755,5405,1.5951,-0.027633),(4755,5415,1.5951,-0.024688),(4755,5425,1.5942,-0.021742),(4755,5435,1.5933,-0.018646),(4755,5445,1.5924,-0.015385),(4755,5455,1.5911,-0.012124),(4755,5465,1.5898,-0.008815),(4755,5475,1.5884,-0.005394),(4755,5485,1.587,-0.001973),(4755,5495,1.5855,0.00146),(4755,5505,1.584,0.004973),(4755,5515,1.5825,0.008487),(4755,5525,1.5809,0.012),(4755,5535,1.5794,0.015524),(4755,5545,1.5779,0.019049),(4755,5555,1.5764,0.022574),(4755,5565,1.5749,0.025959),(4755,5575,1.5734,0.029302),(4755,5585,1.5719,0.032646),(4755,5595,1.5705,0.035728),(4755,5605,1.569,0.038628),(4755,5615,1.5676,0.041528),(4755,5625,1.5663,0.04411),(4755,5635,1.5649,0.046235),(4755,5645,1.5638,0.048361),(4755,5655,1.5626,0.050188),(4755,5665,1.5615,0.051036),(4755,5675,1.5607,0.051883),(4755,5685,1.5602,0.052626),(4755,5695,1.5596,0.051552),(4755,5705,1.5595,0.050479),(4755,5715,1.5599,0.049405),(4755,5725,1.5603,0.046009),(4755,5735,1.5612,0.042285),(4755,5745,1.5634,0.03856),(4755,5755,1.5656,0.032378),(4755,5765,1.5682,0.025132),(4755,5775,1.5734,0.017886),(4755,5785,1.5786,0.008338),(4755,5795,1.5837,-0.003336),(4755,5805,1.5932,-0.015011),(4755,5815,1.6029,-0.028389),(4755,5825,1.6126,-0.04505),(4755,5835,1.6272,-0.061712),(4755,5845,1.6433,-0.079143),(4755,5855,1.6594,-0.10052),(4755,5865,1.6798,-0.12189),(4755,5875,1.7033,-0.14327),(4755,5885,1.7269,-0.16728),(4755,5895,1.753,-0.19134),(4755,5905,1.7831,-0.21539),(4755,5915,1.8131,-0.23829),(4755,5925,1.8437,-0.26091),(4755,5935,1.8764,-0.28352),(4755,5945,1.909,-0.3021),(4755,5955,1.9414,-0.31829),(4755,5965,1.9709,-0.33447),(4755,5975,2.0003,-0.34644),(4755,5985,2.0298,-0.35325),(4755,5995,2.0529,-0.36006),(4755,6005,2.075,-0.36464),(4755,6015,2.0971,-0.36325),(4755,6025,2.1143,-0.36186),(4755,6035,2.1292,-0.36005),(4755,6045,2.1442,-0.35415),(4755,6055,2.1569,-0.34826),(4755,6065,2.1674,-0.34236),(4755,6075,2.1779,-0.33485),(4755,6085,2.1877,-0.3272),(4755,6095,2.196,-0.31954),(4755,6105,2.2043,-0.31144),(4755,6115,2.2125,-0.30317),(4755,6125,2.2196,-0.29491),(4755,6135,2.2266,-0.28657),(4755,6145,2.2337,-0.27817),(4755,6155,2.2399,-0.26978),(4755,6165,2.2461,-0.26143),(4755,6175,2.2523,-0.25316),(4755,6185,2.2578,-0.24489),(4755,6195,2.2631,-0.23667),(4755,6205,2.2684,-0.22865),(4755,6215,2.2733,-0.22062),(4755,6225,2.2779,-0.2126),(4755,6235,2.2825,-0.20489),(4755,6245,2.2868,-0.19718),(4755,6255,2.2907,-0.18947),(4755,6265,2.2946,-0.18209),(4755,6275,2.2983,-0.17477),(4755,6285,2.3017,-0.16745),(4755,6295,2.305,-0.16041),(4755,6305,2.3083,-0.15351),(4755,6315,2.311,-0.14661),(4755,6325,2.3137,-0.13991),(4755,6335,2.3165,-0.13342),(4755,6345,2.3188,-0.12693),(4755,6355,2.3211,-0.12056),(4755,6365,2.3234,-0.11448),(4755,6375,2.3253,-0.1084),(4755,6385,2.3272,-0.10236),(4755,6395,2.3291,-0.096627),(4755,6405,2.3308,-0.090891),(4755,6415,2.3323,-0.085156),(4755,6425,2.3338,-0.079697),(4755,6435,2.3352,-0.074251),(4755,6445,2.3364,-0.068806),(4755,6455,2.3376,-0.063577),(4755,6465,2.3387,-0.05841),(4755,6475,2.3396,-0.053243),(4755,6485,2.3405,-0.048194),(4755,6495,2.3414,-0.043223),(4755,6505,2.3421,-0.038252),(4755,6515,2.3427,-0.033364),(4755,6525,2.3434,-0.028588),(4755,6535,2.3438,-0.023812),(4755,6545,2.3442,-0.019054),(4755,6555,2.3446,-0.01435),(4755,6565,2.3449,-0.009646),(4755,6575,2.3451,-0.004947),(4755,6585,2.3453,-0.000317),(4755,6595,1.9952,0.004314),(4755,6605,1.2581,0.008945),(4755,6615,0.52104,0.009473),(4755,6625,0.002885,0.009475),(4755,6635,0.002844,0.009477),(4755,6645,0.002804,0.009472),(4755,6655,0.002764,0.009465),(4755,6665,0.002729,0.009457),(4755,6675,0.002695,0.00945),(4755,6685,0.00266,0.009443),(4755,6695,0.00263,0.009436),(4755,6705,0.0026,0.00943),(4755,6715,0.00257,0.009424),(4755,6725,0.002544,0.009417),(4755,6735,0.002518,0.009411),(4755,6745,0.002493,0.009406),(4755,6755,0.002469,0.0094),(4755,6765,0.002447,0.009394),(4755,6775,0.002425,0.009389),(4755,6785,0.002405,0.009384),(4755,6795,0.002386,0.009379),(4755,6805,0.002367,0.009374),(4755,6815,0.002348,0.009369),(4755,6825,0.002332,0.009364),(4755,6835,0.002316,0.009359),(4755,6845,0.0023,0.009355),(4755,6855,0.002286,0.00935),(4755,6865,0.002272,0.009346),(4755,6875,0.002257,0.009341),(4755,6885,0.002245,0.009337),(4755,6895,0.002233,0.009333),(4755,6905,0.002221,0.009328),(4755,6915,0.00221,0.009324),(4755,6925,0.0022,0.00932),(4755,6935,0.002189,0.009316),(4755,6945,0.00218,0.009312),(4755,6955,0.002171,0.009307),(4755,6965,0.002162,0.009303),(4755,6975,0.002153,0.009299),(4755,6985,0.002146,0.009295),(4765,5,2e-06,-0.83881),(4765,15,5e-06,-0.83889),(4765,25,7e-06,-0.83898),(4765,35,7e-06,-0.83906),(4765,45,7e-06,-0.83913),(4765,55,8e-06,-0.83917),(4765,65,9e-06,-0.83922),(4765,75,1.2e-05,-0.83927),(4765,85,1.5e-05,-0.83935),(4765,95,1.7e-05,-0.83946),(4765,105,2.6e-05,-0.83957),(4765,115,3.9e-05,-0.83967),(4765,125,5.2e-05,-0.83983),(4765,135,6.5e-05,-0.84002),(4765,145,7.4e-05,-0.84021),(4765,155,8e-05,-0.8404),(4765,165,8.7e-05,-0.8406),(4765,175,9.3e-05,-0.8408),(4765,185,9.7e-05,-0.841),(4765,195,9.9e-05,-0.84119),(4765,205,0.000101,-0.84141),(4765,215,0.000103,-0.84164),(4765,225,0.000104,-0.84186),(4765,235,0.000104,-0.84208),(4765,245,0.000105,-0.84233),(4765,255,0.000105,-0.84258),(4765,265,0.000103,-0.84282),(4765,275,0.000101,-0.84307),(4765,285,9.9e-05,-0.84335),(4765,295,9.7e-05,-0.84363),(4765,305,9.6e-05,-0.84392),(4765,315,9.7e-05,-0.8442),(4765,325,9.7e-05,-0.84453),(4765,335,9.7e-05,-0.84486),(4765,345,0.000104,-0.8452),(4765,355,0.000113,-0.84553),(4765,365,0.000122,-0.84593),(4765,375,0.000131,-0.84633),(4765,385,0.000145,-0.84674),(4765,395,0.000159,-0.84714),(4765,405,0.000174,-0.8476),(4765,415,0.000188,-0.84807),(4765,425,0.000198,-0.84854),(4765,435,0.000207,-0.84901),(4765,445,0.000217,-0.84951),(4765,455,0.000226,-0.85002),(4765,465,0.000226,-0.85053),(4765,475,0.000225,-0.85104),(4765,485,0.000224,-0.85157),(4765,495,0.000224,-0.8521),(4765,505,0.000226,-0.85263),(4765,515,0.000229,-0.85316),(4765,525,0.000232,-0.85375),(4765,535,0.000235,-0.85435),(4765,545,0.000245,-0.85495),(4765,555,0.000254,-0.85555),(4765,565,0.000264,-0.8562),(4765,575,0.000274,-0.85686),(4765,585,0.000289,-0.85752),(4765,595,0.000304,-0.85818),(4765,605,0.00032,-0.85891),(4765,615,0.000335,-0.85964),(4765,625,0.000353,-0.86037),(4765,635,0.000371,-0.8611),(4765,645,0.000388,-0.86188),(4765,655,0.000407,-0.86266),(4765,665,0.000431,-0.86344),(4765,675,0.000455,-0.86423),(4765,685,0.000479,-0.86508),(4765,695,0.000502,-0.86592),(4765,705,0.000521,-0.86677),(4765,715,0.000541,-0.86762),(4765,725,0.000561,-0.86849),(4765,735,0.00058,-0.86935),(4765,745,0.000597,-0.87022),(4765,755,0.000615,-0.8711),(4765,765,0.000632,-0.872),(4765,775,0.000651,-0.8729),(4765,785,0.000673,-0.8738),(4765,795,0.000696,-0.87474),(4765,805,0.000719,-0.87573),(4765,815,0.000746,-0.87673),(4765,825,0.00078,-0.87773),(4765,835,0.000814,-0.87877),(4765,845,0.000849,-0.87987),(4765,855,0.000884,-0.88096),(4765,865,0.000923,-0.88206),(4765,875,0.000961,-0.88318),(4765,885,0.000999,-0.88432),(4765,895,0.001036,-0.88546),(4765,905,0.001071,-0.8866),(4765,915,0.001105,-0.88774),(4765,925,0.001139,-0.88889),(4765,935,0.001175,-0.89003),(4765,945,0.001213,-0.89118),(4765,955,0.001251,-0.89234),(4765,965,0.001288,-0.89352),(4765,975,0.001329,-0.8947),(4765,985,0.001373,-0.89588),(4765,995,0.001416,-0.89707),(4765,1005,0.00146,-0.89827),(4765,1015,0.001515,-0.89947),(4765,1025,0.001582,-0.90067),(4765,1035,0.001649,-0.9019),(4765,1045,0.001716,-0.90316),(4765,1055,0.001797,-0.90441),(4765,1065,0.00189,-0.90567),(4765,1075,0.001983,-0.90693),(4765,1085,0.002076,-0.9082),(4765,1095,0.002184,-0.90947),(4765,1105,0.002302,-0.91074),(4765,1115,0.002419,-0.91204),(4765,1125,0.002537,-0.91335),(4765,1135,0.002695,-0.91466),(4765,1145,0.002877,-0.91598),(4765,1155,0.003059,-0.91753),(4765,1165,0.003241,-0.91922),(4765,1175,0.003446,-0.9209),(4765,1185,0.003663,-0.92259),(4765,1195,0.003879,-0.92445),(4765,1205,0.004096,-0.92638),(4765,1215,0.004306,-0.92831),(4765,1225,0.004513,-0.93024),(4765,1235,0.004721,-0.93168),(4765,1245,0.004928,-0.93294),(4765,1255,0.006755,-0.9342),(4765,1265,0.009128,-0.93546),(4765,1275,0.011502,-0.94498),(4765,1285,0.013875,-0.957),(4765,1295,0.019537,-0.96903),(4765,1305,0.026087,-0.98105),(4765,1315,0.032638,-1.023),(4765,1325,0.039188,-1.0722),(4765,1335,0.023267,-1.1213),(4765,1345,0.002635,-1.1705),(4765,1355,-0.017996,-1.1389),(4765,1365,-0.038627,-1.0927),(4765,1375,-0.036442,-1.0464),(4765,1385,-0.030735,-1.0002),(4765,1395,-0.025029,-0.98272),(4765,1405,-0.019322,-0.96892),(4765,1415,-0.016121,-0.95512),(4765,1425,-0.013179,-0.94132),(4765,1435,-0.010238,-0.93962),(4765,1445,-0.007297,-0.93889),(4765,1455,-0.006881,-0.93816),(4765,1465,-0.00661,-0.93743),(4765,1475,-0.006339,-0.93584),(4765,1485,-0.006069,-0.93422),(4765,1495,-0.005757,-0.9326),(4765,1505,-0.005445,-0.93099),(4765,1515,-0.005132,-0.92978),(4765,1525,-0.004821,-0.92856),(4765,1535,-0.004555,-0.92735),(4765,1545,-0.004288,-0.92616),(4765,1555,-0.004022,-0.92542),(4765,1565,-0.003762,-0.92468),(4765,1575,-0.003586,-0.92394),(4765,1585,-0.003411,-0.92321),(4765,1595,-0.003236,-0.92256),(4765,1605,-0.003066,-0.92192),(4765,1615,-0.002946,-0.92127),(4765,1625,-0.002826,-0.92063),(4765,1635,-0.002706,-0.91996),(4765,1645,-0.002589,-0.9193),(4765,1655,-0.002492,-0.91864),(4765,1665,-0.002396,-0.91798),(4765,1675,-0.002299,-0.91733),(4765,1685,-0.002205,-0.91668),(4765,1695,-0.002123,-0.91602),(4765,1705,-0.002041,-0.91538),(4765,1715,-0.001958,-0.91475),(4765,1725,-0.001878,-0.91413),(4765,1735,-0.001806,-0.91351),(4765,1745,-0.001733,-0.9129),(4765,1755,-0.00166,-0.91233),(4765,1765,-0.00159,-0.91176),(4765,1775,-0.001525,-0.91119),(4765,1785,-0.001461,-0.91065),(4765,1795,-0.001397,-0.91018),(4765,1805,-0.001335,-0.90971),(4765,1815,-0.001281,-0.90924),(4765,1825,-0.001226,-0.90881),(4765,1835,-0.001171,-0.90846),(4765,1845,-0.001119,-0.90811),(4765,1855,-0.00107,-0.90776),(4765,1865,-0.001021,-0.90745),(4765,1875,-0.000972,-0.90721),(4765,1885,-0.000926,-0.90697),(4765,1895,-0.000884,-0.90673),(4765,1905,-0.000842,-0.90654),(4765,1915,-0.0008,-0.90643),(4765,1925,-0.00076,-0.90632),(4765,1935,-0.000721,-0.90621),(4765,1945,-0.000682,-0.90616),(4765,1955,-0.000643,-0.90618),(4765,1965,-0.000604,-0.9062),(4765,1975,-0.000563,-0.90622),(4765,1985,-0.000523,-0.90631),(4765,1995,-0.000483,-0.90648),(4765,2005,-0.000443,-0.90665),(4765,2015,-0.000405,-0.90682),(4765,2025,-0.000367,-0.90706),(4765,2035,-0.000329,-0.90737),(4765,2045,-0.00029,-0.90767),(4765,2055,-0.000252,-0.90798),(4765,2065,-0.000214,-0.90836),(4765,2075,-0.000176,-0.90881),(4765,2085,-0.000139,-0.90925),(4765,2095,-0.000103,-0.9097),(4765,2105,-6.6e-05,-0.91021),(4765,2115,-3e-05,-0.91077),(4765,2125,4e-06,-0.91133),(4765,2135,3.6e-05,-0.91189),(4765,2145,6.8e-05,-0.91251),(4765,2155,0.0001,-0.91316),(4765,2165,0.000135,-0.91381),(4765,2175,0.000172,-0.91447),(4765,2185,0.000209,-0.9152),(4765,2195,0.000245,-0.91597),(4765,2205,0.00029,-0.91674),(4765,2215,0.000338,-0.91751),(4765,2225,0.000386,-0.91836),(4765,2235,0.000435,-0.91925),(4765,2245,0.000493,-0.92013),(4765,2255,0.000556,-0.92102),(4765,2265,0.000618,-0.92199),(4765,2275,0.000681,-0.92298),(4765,2285,0.000756,-0.92398),(4765,2295,0.000836,-0.92498),(4765,2305,0.000915,-0.92611),(4765,2315,0.000994,-0.92728),(4765,2325,0.001084,-0.92845),(4765,2335,0.001177,-0.92962),(4765,2345,0.00127,-0.93091),(4765,2355,0.001362,-0.93222),(4765,2365,0.001464,-0.93353),(4765,2375,0.001566,-0.93484),(4765,2385,0.001669,-0.93625),(4765,2395,0.001772,-0.93767),(4765,2405,0.001886,-0.9391),(4765,2415,0.002001,-0.94052),(4765,2425,0.002116,-0.94201),(4765,2435,0.002231,-0.94351),(4765,2445,0.002364,-0.945),(4765,2455,0.002497,-0.9465),(4765,2465,0.002631,-0.94802),(4765,2475,0.002765,-0.94955),(4765,2485,0.002927,-0.95107),(4765,2495,0.00309,-0.9526),(4765,2505,0.003253,-0.95416),(4765,2515,0.003416,-0.95573),(4765,2525,0.003615,-0.95729),(4765,2535,0.003813,-0.95885),(4765,2545,0.004012,-0.96047),(4765,2555,0.004212,-0.96208),(4765,2565,0.004444,-0.9637),(4765,2575,0.004676,-0.96532),(4765,2585,0.004908,-0.96697),(4765,2595,0.005143,-0.96862),(4765,2605,0.005403,-0.97027),(4765,2615,0.005663,-0.97192),(4765,2625,0.005923,-0.97359),(4765,2635,0.006186,-0.97526),(4765,2645,0.006474,-0.97692),(4765,2655,0.006762,-0.97859),(4765,2665,0.007049,-0.98023),(4765,2675,0.007342,-0.98187),(4765,2685,0.00766,-0.98352),(4765,2695,0.007978,-0.98515),(4765,2705,0.008296,-0.98675),(4765,2715,0.008621,-0.98835),(4765,2725,0.008973,-0.98994),(4765,2735,0.009326,-0.99152),(4765,2745,0.009678,-0.99301),(4765,2755,0.01004,-0.99451),(4765,2765,0.010432,-0.996),(4765,2775,0.010824,-0.99747),(4765,2785,0.011216,-0.99888),(4765,2795,0.011619,-1.0003),(4765,2805,0.012049,-1.0017),(4765,2815,0.012479,-1.0031),(4765,2825,0.012909,-1.0044),(4765,2835,0.013346,-1.0057),(4765,2845,0.013798,-1.007),(4765,2855,0.01425,-1.0083),(4765,2865,0.014702,-1.0095),(4765,2875,0.015157,-1.0107),(4765,2885,0.015615,-1.0119),(4765,2895,0.016073,-1.0131),(4765,2905,0.016531,-1.0141),(4765,2915,0.016989,-1.0152),(4765,2925,0.017446,-1.0163),(4765,2935,0.017902,-1.0173),(4765,2945,0.018359,-1.0183),(4765,2955,0.018813,-1.0192),(4765,2965,0.019263,-1.0202),(4765,2975,0.019714,-1.0211),(4765,2985,0.020164,-1.0219),(4765,2995,0.020612,-1.0227),(4765,3005,0.021057,-1.0235),(4765,3015,0.021502,-1.0242),(4765,3025,0.021947,-1.0248),(4765,3035,0.022391,-1.0254),(4765,3045,0.022835,-1.0261),(4765,3055,0.023279,-1.0266),(4765,3065,0.023723,-1.027),(4765,3075,0.02417,-1.0274),(4765,3085,0.024619,-1.0279),(4765,3095,0.025068,-1.0282),(4765,3105,0.025517,-1.0284),(4765,3115,0.025973,-1.0286),(4765,3125,0.026435,-1.0288),(4765,3135,0.026896,-1.0289),(4765,3145,0.027358,-1.029),(4765,3155,0.027831,-1.029),(4765,3165,0.02831,-1.029),(4765,3175,0.028789,-1.0289),(4765,3185,0.029269,-1.0288),(4765,3195,0.029756,-1.0286),(4765,3205,0.030248,-1.0285),(4765,3215,0.030739,-1.0283),(4765,3225,0.03123,-1.028),(4765,3235,0.031717,-1.0277),(4765,3245,0.032202,-1.0275),(4765,3255,0.032687,-1.0271),(4765,3265,0.033172,-1.0267),(4765,3275,0.033637,-1.0263),(4765,3285,0.034096,-1.0259),(4765,3295,0.034556,-1.0254),(4765,3305,0.035015,-1.0248),(4765,3315,0.035446,-1.0243),(4765,3325,0.035871,-1.0237),(4765,3335,0.036296,-1.0231),(4765,3345,0.03672,-1.0224),(4765,3355,0.037115,-1.0218),(4765,3365,0.037505,-1.0211),(4765,3375,0.037895,-1.0203),(4765,3385,0.038284,-1.0195),(4765,3395,0.038645,-1.0187),(4765,3405,0.039003,-1.018),(4765,3415,0.039361,-1.017),(4765,3425,0.039719,-1.016),(4765,3435,0.04005,-1.0149),(4765,3445,0.04038,-1.0139),(4765,3455,0.04071,-1.0127),(4765,3465,0.04104,-1.0115),(4765,3475,0.041351,-1.0102),(4765,3485,0.041662,-1.009),(4765,3495,0.041972,-1.0075),(4765,3505,0.042283,-1.006),(4765,3515,0.042591,-1.0045),(4765,3525,0.042899,-1.003),(4765,3535,0.043207,-1.0012),(4765,3545,0.043515,-0.99948),(4765,3555,0.043827,-0.99773),(4765,3565,0.044138,-0.99596),(4765,3575,0.04445,-0.99397),(4765,3585,0.044762,-0.99198),(4765,3595,0.045071,-0.98998),(4765,3605,0.04538,-0.98796),(4765,3615,0.04569,-0.98568),(4765,3625,0.045998,-0.98341),(4765,3635,0.046301,-0.98113),(4765,3645,0.046604,-0.97881),(4765,3655,0.046907,-0.97622),(4765,3665,0.047209,-0.97363),(4765,3675,0.047504,-0.97104),(4765,3685,0.0478,-0.96838),(4765,3695,0.048095,-0.96542),(4765,3705,0.048388,-0.96246),(4765,3715,0.04867,-0.9595),(4765,3725,0.048953,-0.95644),(4765,3735,0.049236,-0.95303),(4765,3745,0.049514,-0.94963),(4765,3755,0.049776,-0.94622),(4765,3765,0.050038,-0.94268),(4765,3775,0.050301,-0.93874),(4765,3785,0.050557,-0.9348),(4765,3795,0.050799,-0.93086),(4765,3805,0.051041,-0.92676),(4765,3815,0.051283,-0.92228),(4765,3825,0.051523,-0.9178),(4765,3835,0.051759,-0.91332);
INSERT INTO `ILD_00_Brho_Bz` VALUES (4765,3845,0.051995,-0.90872),(4765,3855,0.052231,-0.9039),(4765,3865,0.052455,-0.89908),(4765,3875,0.052657,-0.89425),(4765,3885,0.052859,-0.88929),(4765,3895,0.053061,-0.88412),(4765,3905,0.053241,-0.87895),(4765,3915,0.053386,-0.87378),(4765,3925,0.053532,-0.86824),(4765,3935,0.053677,-0.8622),(4765,3945,0.054507,-0.85617),(4765,3955,0.056206,-0.85013),(4765,3965,0.057904,-0.8471),(4765,3975,0.059603,-0.84761),(4765,3985,0.064201,-0.84811),(4765,3995,0.071936,-0.84862),(4765,4005,0.079671,-0.86939),(4765,4015,0.087407,-0.91043),(4765,4025,0.2585,-0.95147),(4765,4035,0.44557,-0.97361),(4765,4045,0.63264,-0.9559),(4765,4055,0.79525,-0.9382),(4765,4065,0.94893,-0.91969),(4765,4075,1.1026,-0.89644),(4765,4085,1.1838,-0.87318),(4765,4095,1.2067,-0.84992),(4765,4105,1.2295,-0.82839),(4765,4115,1.2511,-0.80692),(4765,4125,1.2705,-0.78545),(4765,4135,1.29,-0.7647),(4765,4145,1.3087,-0.74416),(4765,4155,1.3249,-0.72362),(4765,4165,1.3411,-0.70362),(4765,4175,1.3572,-0.68396),(4765,4185,1.3705,-0.6643),(4765,4195,1.3838,-0.64505),(4765,4205,1.3971,-0.62634),(4765,4215,1.4083,-0.60763),(4765,4225,1.4191,-0.58916),(4765,4235,1.43,-0.57143),(4765,4245,1.4394,-0.5537),(4765,4255,1.4481,-0.53605),(4765,4265,1.4568,-0.51942),(4765,4275,1.4647,-0.5028),(4765,4285,1.4715,-0.48618),(4765,4295,1.4784,-0.47053),(4765,4305,1.4848,-0.45499),(4765,4315,1.4901,-0.43946),(4765,4325,1.4954,-0.42472),(4765,4335,1.5005,-0.4103),(4765,4345,1.5045,-0.39588),(4765,4355,1.5085,-0.38205),(4765,4365,1.5125,-0.36871),(4765,4375,1.5154,-0.35538),(4765,4385,1.5183,-0.3424),(4765,4395,1.5211,-0.33004),(4765,4405,1.5233,-0.31768),(4765,4415,1.5252,-0.3055),(4765,4425,1.5271,-0.29412),(4765,4435,1.5286,-0.28275),(4765,4445,1.5297,-0.27138),(4765,4455,1.5308,-0.26088),(4765,4465,1.5317,-0.25038),(4765,4475,1.5322,-0.23988),(4765,4485,1.5327,-0.23004),(4765,4495,1.533,-0.22034),(4765,4505,1.533,-0.21064),(4765,4515,1.533,-0.20145),(4765,4525,1.5329,-0.19254),(4765,4535,1.5325,-0.18363),(4765,4545,1.532,-0.17505),(4765,4555,1.5316,-0.16683),(4765,4565,1.5308,-0.15861),(4765,4575,1.5301,-0.15059),(4765,4585,1.5293,-0.14307),(4765,4595,1.5283,-0.13554),(4765,4605,1.5272,-0.1281),(4765,4615,1.5262,-0.12122),(4765,4625,1.525,-0.11435),(4765,4635,1.5237,-0.10748),(4765,4645,1.5225,-0.10116),(4765,4655,1.5212,-0.094871),(4765,4665,1.5198,-0.088585),(4765,4675,1.5184,-0.082729),(4765,4685,1.517,-0.077012),(4765,4695,1.5155,-0.071294),(4765,4705,1.514,-0.065894),(4765,4715,1.5126,-0.060726),(4765,4725,1.511,-0.055557),(4765,4735,1.5095,-0.05059),(4765,4745,1.508,-0.045922),(4765,4755,1.5065,-0.041255),(4765,4765,1.505,-0.036698),(4765,4775,1.5034,-0.032528),(4765,4785,1.5019,-0.028359),(4765,4795,1.5004,-0.024211),(4765,4805,1.4989,-0.020535),(4765,4815,1.4974,-0.01686),(4765,4825,1.496,-0.013185),(4765,4835,1.4945,-0.009934),(4765,4845,1.4931,-0.006748),(4765,4855,1.4917,-0.003561),(4765,4865,1.4903,-0.000708),(4765,4875,1.4889,0.001994),(4765,4885,1.4877,0.004696),(4765,4895,1.4864,0.007117),(4765,4905,1.4851,0.009266),(4765,4915,1.4841,0.011415),(4765,4925,1.483,0.013355),(4765,4935,1.482,0.014872),(4765,4945,1.4812,0.016389),(4765,4955,1.4804,0.017794),(4765,4965,1.4797,0.018584),(4765,4975,1.4793,0.019373),(4765,4985,1.479,0.020162),(4765,4995,1.4787,0.020242),(4765,5005,1.4787,0.020304),(4765,5015,1.479,0.020365),(4765,5025,1.4792,0.019828),(4765,5035,1.4797,0.019137),(4765,5045,1.4806,0.018447),(4765,5055,1.4816,0.017264),(4765,5065,1.4826,0.015778),(4765,5075,1.4844,0.014291),(4765,5085,1.4862,0.01247),(4765,5095,1.488,0.010221),(4765,5105,1.4905,0.007973),(4765,5115,1.4932,0.00557),(4765,5125,1.4959,0.002732),(4765,5135,1.4991,-0.000106),(4765,5145,1.5026,-0.002969),(4765,5155,1.5061,-0.0061),(4765,5165,1.5098,-0.009231),(4765,5175,1.5139,-0.012362),(4765,5185,1.5179,-0.015506),(4765,5195,1.5221,-0.018651),(4765,5205,1.5266,-0.021797),(4765,5215,1.531,-0.024802),(4765,5225,1.5355,-0.027755),(4765,5235,1.5402,-0.030708),(4765,5245,1.5449,-0.033392),(4765,5255,1.5496,-0.035855),(4765,5265,1.5543,-0.038318),(4765,5275,1.559,-0.040427),(4765,5285,1.5636,-0.041936),(4765,5295,1.5677,-0.043445),(4765,5305,1.5717,-0.044689),(4765,5315,1.5757,-0.044827),(4765,5325,1.5789,-0.044965),(4765,5335,1.5815,-0.045083),(4765,5345,1.5842,-0.043814),(4765,5355,1.5862,-0.042546),(4765,5365,1.5874,-0.041277),(4765,5375,1.5885,-0.039137),(4765,5385,1.5893,-0.036826),(4765,5395,1.5891,-0.034515),(4765,5405,1.589,-0.031836),(4765,5415,1.5888,-0.028966),(4765,5425,1.5878,-0.026095),(4765,5435,1.5868,-0.023114),(4765,5445,1.5859,-0.020012),(4765,5455,1.5846,-0.01691),(4765,5465,1.5832,-0.013786),(4765,5475,1.5819,-0.010609),(4765,5485,1.5804,-0.007431),(4765,5495,1.579,-0.004255),(4765,5505,1.5775,-0.001084),(4765,5515,1.576,0.002088),(4765,5525,1.5745,0.00526),(4765,5535,1.573,0.008337),(4765,5545,1.5716,0.011409),(4765,5555,1.5702,0.014481),(4765,5565,1.5688,0.01732),(4765,5575,1.5674,0.020089),(4765,5585,1.5661,0.022857),(4765,5595,1.5649,0.025286),(4765,5605,1.5636,0.027477),(4765,5615,1.5626,0.029669),(4765,5625,1.5615,0.031482),(4765,5635,1.5605,0.032755),(4765,5645,1.5597,0.034028),(4765,5655,1.5591,0.034969),(4765,5665,1.5584,0.034817),(4765,5675,1.5582,0.034665),(4765,5685,1.5583,0.034402),(4765,5695,1.5584,0.032201),(4765,5705,1.559,0.030001),(4765,5715,1.5603,0.027801),(4765,5725,1.5616,0.023169),(4765,5735,1.5635,0.018193),(4765,5745,1.5668,0.013218),(4765,5755,1.5701,0.005768),(4765,5765,1.5738,-0.002752),(4765,5775,1.5803,-0.011272),(4765,5785,1.5868,-0.022021),(4765,5795,1.5933,-0.03483),(4765,5805,1.604,-0.047638),(4765,5815,1.6151,-0.061993),(4765,5825,1.6262,-0.079327),(4765,5835,1.6419,-0.096661),(4765,5845,1.6591,-0.11462),(4765,5855,1.6763,-0.13577),(4765,5865,1.6972,-0.15692),(4765,5875,1.7211,-0.17808),(4765,5885,1.7449,-0.20062),(4765,5895,1.7708,-0.22318),(4765,5905,1.7999,-0.24574),(4765,5915,1.829,-0.26622),(4765,5925,1.8584,-0.2862),(4765,5935,1.8888,-0.30619),(4765,5945,1.9192,-0.32196),(4765,5955,1.9495,-0.33525),(4765,5965,1.9763,-0.34853),(4765,5975,2.0031,-0.35797),(4765,5985,2.0299,-0.3627),(4765,5995,2.0509,-0.36743),(4765,6005,2.0709,-0.37028),(4765,6015,2.0908,-0.36808),(4765,6025,2.1066,-0.36588),(4765,6035,2.1204,-0.36333),(4765,6045,2.1342,-0.35739),(4765,6055,2.1461,-0.35144),(4765,6065,2.1561,-0.3455),(4765,6075,2.1662,-0.33818),(4765,6085,2.1756,-0.33073),(4765,6095,2.1837,-0.32328),(4765,6105,2.1919,-0.31541),(4765,6115,2.1998,-0.30739),(4765,6125,2.2068,-0.29937),(4765,6135,2.2139,-0.29126),(4765,6145,2.2209,-0.28308),(4765,6155,2.2271,-0.2749),(4765,6165,2.2332,-0.26675),(4765,6175,2.2394,-0.25864),(4765,6185,2.2449,-0.25054),(4765,6195,2.2503,-0.24247),(4765,6205,2.2557,-0.23455),(4765,6215,2.2606,-0.22662),(4765,6225,2.2653,-0.21871),(4765,6235,2.2699,-0.21104),(4765,6245,2.2743,-0.20337),(4765,6255,2.2783,-0.19571),(4765,6265,2.2823,-0.18832),(4765,6275,2.2861,-0.18099),(4765,6285,2.2896,-0.17366),(4765,6295,2.293,-0.16656),(4765,6305,2.2964,-0.15956),(4765,6315,2.2992,-0.15257),(4765,6325,2.302,-0.14577),(4765,6335,2.3049,-0.13917),(4765,6345,2.3073,-0.13258),(4765,6355,2.3097,-0.1261),(4765,6365,2.3121,-0.11986),(4765,6375,2.3142,-0.11363),(4765,6385,2.3161,-0.10743),(4765,6395,2.3181,-0.10152),(4765,6405,2.3199,-0.095604),(4765,6415,2.3215,-0.089689),(4765,6425,2.3231,-0.084029),(4765,6435,2.3246,-0.078382),(4765,6445,2.3258,-0.072734),(4765,6455,2.3271,-0.067287),(4765,6465,2.3283,-0.061898),(4765,6475,2.3292,-0.056509),(4765,6485,2.3302,-0.051228),(4765,6495,2.3312,-0.04602),(4765,6505,2.3318,-0.040811),(4765,6515,2.3325,-0.035682),(4765,6525,2.3332,-0.030663),(4765,6535,2.3337,-0.025643),(4765,6545,2.3341,-0.020643),(4765,6555,2.3346,-0.015701),(4765,6565,2.3349,-0.01076),(4765,6575,2.3351,-0.005822),(4765,6585,2.3353,-0.000926),(4765,6595,1.9866,0.003969),(4765,6605,1.2527,0.008865),(4765,6615,0.51882,0.009426),(4765,6625,0.002884,0.009431),(4765,6635,0.002844,0.009435),(4765,6645,0.002803,0.009433),(4765,6655,0.002763,0.009427),(4765,6665,0.002729,0.009421),(4765,6675,0.002694,0.009416),(4765,6685,0.002659,0.009411),(4765,6695,0.002629,0.009406),(4765,6705,0.002599,0.0094),(4765,6715,0.00257,0.009396),(4765,6725,0.002543,0.009391),(4765,6735,0.002517,0.009386),(4765,6745,0.002492,0.009381),(4765,6755,0.002468,0.009377),(4765,6765,0.002446,0.009372),(4765,6775,0.002424,0.009368),(4765,6785,0.002403,0.009364),(4765,6795,0.002385,0.009359),(4765,6805,0.002366,0.009355),(4765,6815,0.002347,0.009351),(4765,6825,0.002331,0.009347),(4765,6835,0.002315,0.009343),(4765,6845,0.002298,0.00934),(4765,6855,0.002284,0.009336),(4765,6865,0.00227,0.009332),(4765,6875,0.002256,0.009328),(4765,6885,0.002244,0.009324),(4765,6895,0.002232,0.009321),(4765,6905,0.00222,0.009317),(4765,6915,0.002209,0.009313),(4765,6925,0.002199,0.009309),(4765,6935,0.002188,0.009306),(4765,6945,0.002179,0.009302),(4765,6955,0.00217,0.009298),(4765,6965,0.002161,0.009295),(4765,6975,0.002152,0.009291),(4765,6985,0.002145,0.009288),(4775,5,2e-06,-0.88291),(4775,15,5e-06,-0.883),(4775,25,5e-06,-0.88309),(4775,35,1e-06,-0.88318),(4775,45,-3e-06,-0.88324),(4775,55,-7e-06,-0.88328),(4775,65,-8e-06,-0.88332),(4775,75,-6e-06,-0.88336),(4775,85,-4e-06,-0.88344),(4775,95,-1e-06,-0.88355),(4775,105,1.5e-05,-0.88365),(4775,115,4e-05,-0.88375),(4775,125,6.6e-05,-0.88391),(4775,135,9.1e-05,-0.88409),(4775,145,0.000107,-0.88428),(4775,155,0.000117,-0.88446),(4775,165,0.000128,-0.88466),(4775,175,0.000138,-0.88485),(4775,185,0.000141,-0.88505),(4775,195,0.000141,-0.88524),(4775,205,0.000142,-0.88546),(4775,215,0.000142,-0.88569),(4775,225,0.000138,-0.88592),(4775,235,0.000134,-0.88615),(4775,245,0.000129,-0.8864),(4775,255,0.000125,-0.88664),(4775,265,0.000115,-0.88689),(4775,275,0.000104,-0.88714),(4775,285,9.3e-05,-0.88739),(4775,295,8.2e-05,-0.88764),(4775,305,7.5e-05,-0.88789),(4775,315,6.9e-05,-0.88814),(4775,325,6.2e-05,-0.88842),(4775,335,5.6e-05,-0.88872),(4775,345,6.5e-05,-0.88901),(4775,355,7.8e-05,-0.88931),(4775,365,9e-05,-0.88968),(4775,375,0.000103,-0.89007),(4775,385,0.000126,-0.89045),(4775,395,0.00015,-0.89084),(4775,405,0.000174,-0.89128),(4775,415,0.000198,-0.89173),(4775,425,0.000211,-0.89218),(4775,435,0.000222,-0.89263),(4775,445,0.000233,-0.89309),(4775,455,0.000245,-0.89356),(4775,465,0.000233,-0.89403),(4775,475,0.00022,-0.8945),(4775,485,0.000206,-0.89498),(4775,495,0.000193,-0.89545),(4775,505,0.000187,-0.89593),(4775,515,0.00018,-0.89641),(4775,525,0.000174,-0.89695),(4775,535,0.000167,-0.8975),(4775,545,0.000175,-0.89805),(4775,555,0.000182,-0.8986),(4775,565,0.000189,-0.8992),(4775,575,0.000196,-0.8998),(4775,585,0.000214,-0.90041),(4775,595,0.000232,-0.90102),(4775,605,0.00025,-0.90167),(4775,615,0.000268,-0.90233),(4775,625,0.000289,-0.90298),(4775,635,0.000309,-0.90364),(4775,645,0.00033,-0.90434),(4775,655,0.000352,-0.90503),(4775,665,0.000384,-0.90572),(4775,675,0.000416,-0.90642),(4775,685,0.000448,-0.90717),(4775,695,0.000478,-0.90793),(4775,705,0.000498,-0.90868),(4775,715,0.000518,-0.90943),(4775,725,0.000538,-0.91017),(4775,735,0.000557,-0.9109),(4775,745,0.000568,-0.91164),(4775,755,0.00058,-0.91239),(4775,765,0.000592,-0.91314),(4775,775,0.000606,-0.9139),(4775,785,0.000628,-0.91466),(4775,795,0.00065,-0.91544),(4775,805,0.000671,-0.91628),(4775,815,0.0007,-0.91712),(4775,825,0.000743,-0.91796),(4775,835,0.000786,-0.91884),(4775,845,0.000829,-0.91978),(4775,855,0.000874,-0.92072),(4775,865,0.00092,-0.92166),(4775,875,0.000966,-0.9226),(4775,885,0.001012,-0.92355),(4775,895,0.001051,-0.9245),(4775,905,0.001079,-0.92545),(4775,915,0.001107,-0.92638),(4775,925,0.001136,-0.92729),(4775,935,0.001163,-0.92819),(4775,945,0.001189,-0.9291),(4775,955,0.001214,-0.93),(4775,965,0.00124,-0.9309),(4775,975,0.001267,-0.9318),(4775,985,0.001293,-0.9327),(4775,995,0.00132,-0.93359),(4775,1005,0.001347,-0.93446),(4775,1015,0.001392,-0.93534),(4775,1025,0.001456,-0.93621),(4775,1035,0.001519,-0.93711),(4775,1045,0.001583,-0.93804),(4775,1055,0.001668,-0.93896),(4775,1065,0.001771,-0.93988),(4775,1075,0.001874,-0.94081),(4775,1085,0.001976,-0.94173),(4775,1095,0.002096,-0.94265),(4775,1105,0.002229,-0.94357),(4775,1115,0.002362,-0.94448),(4775,1125,0.002494,-0.94539),(4775,1135,0.002697,-0.94629),(4775,1145,0.002942,-0.94719),(4775,1155,0.003187,-0.94827),(4775,1165,0.003431,-0.94944),(4775,1175,0.003697,-0.9506),(4775,1185,0.003973,-0.95177),(4775,1195,0.004249,-0.95305),(4775,1205,0.004525,-0.95437),(4775,1215,0.004742,-0.95569),(4775,1225,0.004934,-0.95702),(4775,1235,0.005127,-0.95816),(4775,1245,0.005319,-0.95923),(4775,1255,0.009169,-0.96031),(4775,1265,0.014253,-0.96138),(4775,1275,0.019337,-0.97065),(4775,1285,0.024422,-0.9824),(4775,1295,0.036967,-0.99415),(4775,1305,0.05153,-1.0059),(4775,1315,0.066093,-1.0437),(4775,1325,0.080655,-1.0877),(4775,1335,0.048823,-1.1317),(4775,1345,0.007268,-1.1757),(4775,1355,-0.034288,-1.1478),(4775,1365,-0.075844,-1.1069),(4775,1375,-0.070644,-1.0659),(4775,1385,-0.05823,-1.0249),(4775,1395,-0.045817,-1.0084),(4775,1405,-0.033403,-0.99491),(4775,1415,-0.02659,-0.98146),(4775,1425,-0.020358,-0.96801),(4775,1435,-0.014127,-0.96659),(4775,1445,-0.007895,-0.96614),(4775,1455,-0.007356,-0.9657),(4775,1465,-0.007144,-0.96525),(4775,1475,-0.006933,-0.96444),(4775,1485,-0.006721,-0.96363),(4775,1495,-0.006326,-0.96281),(4775,1505,-0.005929,-0.962),(4775,1515,-0.005532,-0.96145),(4775,1525,-0.005135,-0.9609),(4775,1535,-0.004774,-0.96036),(4775,1545,-0.004413,-0.95983),(4775,1555,-0.004051,-0.9596),(4775,1565,-0.0037,-0.95938),(4775,1575,-0.003498,-0.95916),(4775,1585,-0.003295,-0.95895),(4775,1595,-0.003092,-0.95877),(4775,1605,-0.002898,-0.95859),(4775,1615,-0.002785,-0.95841),(4775,1625,-0.002673,-0.95822),(4775,1635,-0.00256,-0.95797),(4775,1645,-0.002451,-0.95773),(4775,1655,-0.002366,-0.95748),(4775,1665,-0.002282,-0.95723),(4775,1675,-0.002197,-0.95694),(4775,1685,-0.002115,-0.95665),(4775,1695,-0.002042,-0.95637),(4775,1705,-0.00197,-0.95607),(4775,1715,-0.001898,-0.95575),(4775,1725,-0.001827,-0.95543),(4775,1735,-0.00176,-0.9551),(4775,1745,-0.001694,-0.95478),(4775,1755,-0.001628,-0.95446),(4775,1765,-0.001563,-0.95413),(4775,1775,-0.001501,-0.95381),(4775,1785,-0.00144,-0.95351),(4775,1795,-0.001378,-0.95325),(4775,1805,-0.00132,-0.95299),(4775,1815,-0.001269,-0.95273),(4775,1825,-0.001218,-0.95249),(4775,1835,-0.001167,-0.95231),(4775,1845,-0.001118,-0.95213),(4775,1855,-0.00107,-0.95195),(4775,1865,-0.001022,-0.95181),(4775,1875,-0.000975,-0.95172),(4775,1885,-0.00093,-0.95163),(4775,1895,-0.000889,-0.95154),(4775,1905,-0.000849,-0.95149),(4775,1915,-0.000808,-0.95148),(4775,1925,-0.000768,-0.95148),(4775,1935,-0.000727,-0.95147),(4775,1945,-0.000686,-0.95152),(4775,1955,-0.000646,-0.95163),(4775,1965,-0.000602,-0.95173),(4775,1975,-0.000554,-0.95184),(4775,1985,-0.000506,-0.95202),(4775,1995,-0.000458,-0.95226),(4775,2005,-0.000411,-0.95251),(4775,2015,-0.000366,-0.95276),(4775,2025,-0.000321,-0.95307),(4775,2035,-0.000277,-0.95343),(4775,2045,-0.000232,-0.95379),(4775,2055,-0.000189,-0.95416),(4775,2065,-0.000146,-0.95459),(4775,2075,-0.000103,-0.95507),(4775,2085,-6.4e-05,-0.95556),(4775,2095,-2.8e-05,-0.95604),(4775,2105,8e-06,-0.95658),(4775,2115,4.3e-05,-0.95715),(4775,2125,7e-05,-0.95772),(4775,2135,9.1e-05,-0.95829),(4775,2145,0.000112,-0.9589),(4775,2155,0.000133,-0.95954),(4775,2165,0.000156,-0.96018),(4775,2175,0.000181,-0.96082),(4775,2185,0.000205,-0.96152),(4775,2195,0.00023,-0.96225),(4775,2205,0.000267,-0.96298),(4775,2215,0.000311,-0.96371),(4775,2225,0.000354,-0.96451),(4775,2235,0.000397,-0.96534),(4775,2245,0.000457,-0.96616),(4775,2255,0.000524,-0.96699),(4775,2265,0.00059,-0.96789),(4775,2275,0.000657,-0.96882),(4775,2285,0.000744,-0.96975),(4775,2295,0.000836,-0.97068),(4775,2305,0.000929,-0.97174),(4775,2315,0.001022,-0.97282),(4775,2325,0.001126,-0.97391),(4775,2335,0.001234,-0.975),(4775,2345,0.001341,-0.97621),(4775,2355,0.001448,-0.97745),(4775,2365,0.001558,-0.97868),(4775,2375,0.001667,-0.97992),(4775,2385,0.001777,-0.98125),(4775,2395,0.001886,-0.9826),(4775,2405,0.001995,-0.98394),(4775,2415,0.002105,-0.98529),(4775,2425,0.002214,-0.98668),(4775,2435,0.002324,-0.98807),(4775,2445,0.002442,-0.98946),(4775,2455,0.002561,-0.99085),(4775,2465,0.00268,-0.99225),(4775,2475,0.002799,-0.99364),(4775,2485,0.002948,-0.99503),(4775,2495,0.003097,-0.99643),(4775,2505,0.003246,-0.99784),(4775,2515,0.003396,-0.99925),(4775,2525,0.003591,-1.0007),(4775,2535,0.003786,-1.0021),(4775,2545,0.003981,-1.0035),(4775,2555,0.004178,-1.0049),(4775,2565,0.004414,-1.0064),(4775,2575,0.00465,-1.0078),(4775,2585,0.004886,-1.0093),(4775,2595,0.005125,-1.0107),(4775,2605,0.005391,-1.0122),(4775,2615,0.005658,-1.0136),(4775,2625,0.005925,-1.0151),(4775,2635,0.006195,-1.0166),(4775,2645,0.006489,-1.018),(4775,2655,0.006783,-1.0195),(4775,2665,0.007077,-1.021),(4775,2675,0.007375,-1.0224),(4775,2685,0.007696,-1.0239),(4775,2695,0.008016,-1.0253),(4775,2705,0.008336,-1.0267),(4775,2715,0.008663,-1.0281),(4775,2725,0.009012,-1.0295),(4775,2735,0.009362,-1.0309),(4775,2745,0.009711,-1.0322),(4775,2755,0.01007,-1.0335),(4775,2765,0.010459,-1.0349),(4775,2775,0.010847,-1.0362),(4775,2785,0.011235,-1.0374),(4775,2795,0.011635,-1.0387),(4775,2805,0.012065,-1.0399),(4775,2815,0.012495,-1.0411),(4775,2825,0.012925,-1.0423),(4775,2835,0.013362,-1.0435),(4775,2845,0.013814,-1.0447),(4775,2855,0.014266,-1.0458),(4775,2865,0.014718,-1.0469),(4775,2875,0.015171,-1.0479),(4775,2885,0.015628,-1.049),(4775,2895,0.016084,-1.05),(4775,2905,0.01654,-1.051),(4775,2915,0.016997,-1.0519),(4775,2925,0.017454,-1.0529),(4775,2935,0.017911,-1.0538),(4775,2945,0.018368,-1.0547),(4775,2955,0.018823,-1.0555),(4775,2965,0.019278,-1.0564),(4775,2975,0.019732,-1.0572),(4775,2985,0.020186,-1.058),(4775,2995,0.020638,-1.0588),(4775,3005,0.021088,-1.0596),(4775,3015,0.021539,-1.0603),(4775,3025,0.021989,-1.061),(4775,3035,0.022438,-1.0617),(4775,3045,0.022886,-1.0624),(4775,3055,0.023334,-1.063),(4775,3065,0.023782,-1.0636),(4775,3075,0.02423,-1.0642),(4775,3085,0.024678,-1.0648),(4775,3095,0.025126,-1.0653),(4775,3105,0.025574,-1.0657),(4775,3115,0.026027,-1.0662),(4775,3125,0.026483,-1.0666),(4775,3135,0.026939,-1.067),(4775,3145,0.027396,-1.0673),(4775,3155,0.027865,-1.0676),(4775,3165,0.028342,-1.0679),(4775,3175,0.028819,-1.0682),(4775,3185,0.029296,-1.0683),(4775,3195,0.029786,-1.0685),(4775,3205,0.030281,-1.0687),(4775,3215,0.030777,-1.0688),(4775,3225,0.031272,-1.0688),(4775,3235,0.031765,-1.0689),(4775,3245,0.032256,-1.0689),(4775,3255,0.032747,-1.0689),(4775,3265,0.033239,-1.0687),(4775,3275,0.033709,-1.0686),(4775,3285,0.034173,-1.0685),(4775,3295,0.034637,-1.0682),(4775,3305,0.035101,-1.0678),(4775,3315,0.035537,-1.0675),(4775,3325,0.035967,-1.0672),(4775,3335,0.036396,-1.0667),(4775,3345,0.036825,-1.0662),(4775,3355,0.037226,-1.0656),(4775,3365,0.037622,-1.0651),(4775,3375,0.038017,-1.0645),(4775,3385,0.038413,-1.0638),(4775,3395,0.038779,-1.0631),(4775,3405,0.039141,-1.0624),(4775,3415,0.039504,-1.0614),(4775,3425,0.039866,-1.0605),(4775,3435,0.040195,-1.0595),(4775,3445,0.040521,-1.0586),(4775,3455,0.040848,-1.0574),(4775,3465,0.041174,-1.0561),(4775,3475,0.041473,-1.0549),(4775,3485,0.041771,-1.0536),(4775,3495,0.042069,-1.0521),(4775,3505,0.042367,-1.0505),(4775,3515,0.042667,-1.049),(4775,3525,0.042967,-1.0474),(4775,3535,0.043267,-1.0456),(4775,3545,0.043568,-1.0437),(4775,3555,0.04388,-1.0419),(4775,3565,0.044192,-1.04),(4775,3575,0.044504,-1.0379),(4775,3585,0.044816,-1.0357),(4775,3595,0.045123,-1.0335),(4775,3605,0.04543,-1.0313),(4775,3615,0.045737,-1.0287),(4775,3625,0.046043,-1.0262),(4775,3635,0.046338,-1.0236),(4775,3645,0.046633,-1.021),(4775,3655,0.046929,-1.018),(4775,3665,0.047222,-1.0151),(4775,3675,0.047503,-1.0121),(4775,3685,0.047784,-1.0091),(4775,3695,0.048066,-1.0056),(4775,3705,0.048343,-1.0022),(4775,3715,0.048603,-0.99878),(4775,3725,0.048863,-0.99523),(4775,3735,0.049122,-0.99125),(4775,3745,0.049374,-0.98727),(4775,3755,0.049599,-0.98329),(4775,3765,0.049824,-0.97915),(4775,3775,0.050049,-0.97454),(4775,3785,0.050266,-0.96992),(4775,3795,0.050465,-0.96531),(4775,3805,0.050664,-0.96051),(4775,3815,0.050862,-0.95528),(4775,3825,0.051066,-0.95006),(4775,3835,0.05128,-0.94483),(4775,3845,0.051494,-0.93945),(4775,3855,0.051708,-0.93378),(4775,3865,0.051907,-0.92811),(4775,3875,0.05208,-0.92243),(4775,3885,0.052252,-0.91659),(4775,3895,0.052425,-0.91048),(4775,3905,0.05256,-0.90437),(4775,3915,0.052638,-0.89825),(4775,3925,0.052717,-0.89191),(4775,3935,0.052795,-0.88524),(4775,3945,0.054459,-0.87858),(4775,3955,0.058134,-0.87191),(4775,3965,0.06181,-0.86887),(4775,3975,0.065485,-0.87006),(4775,3985,0.075823,-0.87125),(4775,3995,0.093372,-0.87244),(4775,4005,0.11092,-0.8923),(4775,4015,0.12847,-0.93085),(4775,4025,0.28219,-0.9694),(4775,4035,0.44924,-0.98903),(4775,4045,0.61628,-0.96881),(4775,4055,0.77253,-0.94859),(4775,4065,0.92485,-0.92783),(4775,4075,1.0772,-0.90385),(4775,4085,1.1582,-0.87987),(4775,4095,1.1819,-0.85588),(4775,4105,1.2056,-0.83453),(4775,4115,1.2279,-0.81327),(4775,4125,1.2476,-0.792),(4775,4135,1.2674,-0.77161),(4775,4145,1.2865,-0.75146),(4775,4155,1.3029,-0.7313),(4775,4165,1.3193,-0.71168),(4775,4175,1.3356,-0.6924),(4775,4185,1.3491,-0.67313),(4775,4195,1.3627,-0.65423),(4775,4205,1.3762,-0.63585),(4775,4215,1.3877,-0.61746),(4775,4225,1.3988,-0.5993),(4775,4235,1.4099,-0.58183),(4775,4245,1.4196,-0.56436),(4775,4255,1.4286,-0.54696),(4775,4265,1.4376,-0.53051),(4775,4275,1.4458,-0.51407),(4775,4285,1.4529,-0.49762),(4775,4295,1.4601,-0.48208),(4775,4305,1.4668,-0.46664),(4775,4315,1.4724,-0.4512),(4775,4325,1.478,-0.43652),(4775,4335,1.4835,-0.42214),(4775,4345,1.4878,-0.40777),(4775,4355,1.492,-0.39395),(4775,4365,1.4963,-0.38063),(4775,4375,1.4995,-0.3673),(4775,4385,1.5027,-0.35431),(4775,4395,1.5058,-0.34192),(4775,4405,1.5083,-0.32952),(4775,4415,1.5105,-0.3173),(4775,4425,1.5127,-0.30587),(4775,4435,1.5144,-0.29444),(4775,4445,1.5158,-0.28302),(4775,4455,1.5172,-0.27245),(4775,4465,1.5183,-0.26188),(4775,4475,1.519,-0.25131),(4775,4485,1.5198,-0.2414),(4775,4495,1.5204,-0.23164),(4775,4505,1.5206,-0.22187),(4775,4515,1.5208,-0.21262),(4775,4525,1.521,-0.20365),(4775,4535,1.5207,-0.19468),(4775,4545,1.5205,-0.18604),(4775,4555,1.5203,-0.17775),(4775,4565,1.5198,-0.16947),(4775,4575,1.5192,-0.16139),(4775,4585,1.5186,-0.15382),(4775,4595,1.5178,-0.14624),(4775,4605,1.517,-0.13873),(4775,4615,1.5161,-0.13181),(4775,4625,1.5151,-0.12489),(4775,4635,1.5141,-0.11797),(4775,4645,1.513,-0.1116),(4775,4655,1.5119,-0.10528),(4775,4665,1.5107,-0.098954),(4775,4675,1.5095,-0.093061),(4775,4685,1.5082,-0.087305),(4775,4695,1.5069,-0.081549),(4775,4705,1.5056,-0.07611),(4775,4715,1.5043,-0.070901),(4775,4725,1.5029,-0.065692),(4775,4735,1.5016,-0.060691),(4775,4745,1.5002,-0.056),(4775,4755,1.4989,-0.051308),(4775,4765,1.4975,-0.046731),(4775,4775,1.4961,-0.042551),(4775,4785,1.4948,-0.038371),(4775,4795,1.4934,-0.034213),(4775,4805,1.4921,-0.030535),(4775,4815,1.4907,-0.026857),(4775,4825,1.4894,-0.02318),(4775,4835,1.4881,-0.019936),(4775,4845,1.4868,-0.016759),(4775,4855,1.4856,-0.013582),(4775,4865,1.4844,-0.010753),(4775,4875,1.4832,-0.00808),(4775,4885,1.4821,-0.005408),(4775,4895,1.481,-0.00304),(4775,4905,1.4799,-0.000964),(4775,4915,1.4791,0.001112),(4775,4925,1.4782,0.002969),(4775,4935,1.4774,0.004387),(4775,4945,1.4768,0.005806),(4775,4955,1.4763,0.007112),(4775,4965,1.4758,0.007796),(4775,4975,1.4756,0.008481),(4775,4985,1.4755,0.009166),(4775,4995,1.4755,0.009154),(4775,5005,1.4757,0.009125),(4775,5015,1.4762,0.009095),(4775,5025,1.4767,0.008468),(4775,5035,1.4774,0.007688),(4775,5045,1.4786,0.006908),(4775,5055,1.4798,0.005652),(4775,5065,1.481,0.004102),(4775,5075,1.483,0.002553),(4775,5085,1.485,0.000691),(4775,5095,1.487,-0.001569),(4775,5105,1.4897,-0.003829),(4775,5115,1.4926,-0.006218),(4775,5125,1.4954,-0.008971),(4775,5135,1.4987,-0.011724),(4775,5145,1.5022,-0.014494),(4775,5155,1.5057,-0.017447),(4775,5165,1.5095,-0.020399),(4775,5175,1.5135,-0.023351),(4775,5185,1.5175,-0.026261),(4775,5195,1.5217,-0.029167),(4775,5205,1.526,-0.032073),(4775,5215,1.5304,-0.034786),(4775,5225,1.5348,-0.037427),(4775,5235,1.5393,-0.040068),(4775,5245,1.5438,-0.042384),(4775,5255,1.5483,-0.044434),(4775,5265,1.5526,-0.046485),(4775,5275,1.5569,-0.048158),(4775,5285,1.5612,-0.049193),(4775,5295,1.565,-0.050228),(4775,5305,1.5685,-0.05101),(4775,5315,1.5721,-0.050735),(4775,5325,1.5749,-0.050459),(4775,5335,1.5772,-0.050166),(4775,5345,1.5795,-0.048656),(4775,5355,1.5811,-0.047146),(4775,5365,1.582,-0.045636),(4775,5375,1.5829,-0.043413),(4775,5385,1.5835,-0.04105),(4775,5395,1.5832,-0.038687),(4775,5405,1.5829,-0.036039),(4775,5415,1.5826,-0.033244),(4775,5425,1.5816,-0.030448),(4775,5435,1.5806,-0.027582),(4775,5445,1.5796,-0.024639),(4775,5455,1.5782,-0.021697),(4775,5465,1.5769,-0.018757),(4775,5475,1.5756,-0.015823),(4775,5485,1.5742,-0.01289),(4775,5495,1.5727,-0.00997),(4775,5505,1.5713,-0.00714),(4775,5515,1.5699,-0.004311),(4775,5525,1.5685,-0.001481),(4775,5535,1.5671,0.001149),(4775,5545,1.5657,0.003769),(4775,5555,1.5645,0.006388),(4775,5565,1.5632,0.008681),(4775,5575,1.562,0.010875),(4775,5585,1.561,0.013069),(4775,5595,1.5599,0.014844),(4775,5605,1.5589,0.016326),(4775,5615,1.5582,0.017809),(4775,5625,1.5575,0.018855),(4775,5635,1.5568,0.019275),(4775,5645,1.5565,0.019695),(4775,5655,1.5564,0.01975),(4775,5665,1.5562,0.018599),(4775,5675,1.5566,0.017447),(4775,5685,1.5574,0.016178),(4775,5695,1.5582,0.01285),(4775,5705,1.5596,0.009523),(4775,5715,1.5618,0.006196),(4775,5725,1.564,0.000328),(4775,5735,1.5668,-0.005898),(4775,5745,1.5713,-0.012125),(4775,5755,1.5757,-0.020842),(4775,5765,1.5805,-0.030636),(4775,5775,1.5883,-0.040431),(4775,5785,1.596,-0.052381),(4775,5795,1.6038,-0.066323),(4775,5805,1.6158,-0.080266),(4775,5815,1.6281,-0.095596),(4775,5825,1.6405,-0.1136),(4775,5835,1.657,-0.13161),(4775,5845,1.675,-0.15009),(4775,5855,1.693,-0.17103),(4775,5865,1.7143,-0.19196),(4775,5875,1.7381,-0.21289),(4775,5885,1.7618,-0.23395),(4775,5895,1.7872,-0.25502),(4775,5905,1.815,-0.27609),(4775,5915,1.8428,-0.29415),(4775,5925,1.8707,-0.3115),(4775,5935,1.8989,-0.32885),(4775,5945,1.927,-0.34182),(4775,5955,1.955,-0.35221),(4775,5965,1.9794,-0.36259),(4775,5975,2.0038,-0.3695),(4775,5985,2.0282,-0.37215),(4775,5995,2.0473,-0.3748),(4775,6005,2.0655,-0.37591),(4775,6015,2.0838,-0.37291),(4775,6025,2.0984,-0.3699),(4775,6035,2.1113,-0.36661),(4775,6045,2.1241,-0.36062),(4775,6055,2.1354,-0.35463),(4775,6065,2.145,-0.34864),(4775,6075,2.1546,-0.3415),(4775,6085,2.1637,-0.33426),(4775,6095,2.1717,-0.32702),(4775,6105,2.1796,-0.31938),(4775,6115,2.1874,-0.31161),(4775,6125,2.1944,-0.30384),(4775,6135,2.2013,-0.29595),(4775,6145,2.2082,-0.28799),(4775,6155,2.2144,-0.28002),(4775,6165,2.2205,-0.27206),(4775,6175,2.2267,-0.26412),(4775,6185,2.2322,-0.25618),(4775,6195,2.2376,-0.24827),(4775,6205,2.243,-0.24045),(4775,6215,2.248,-0.23263),(4775,6225,2.2527,-0.22481),(4775,6235,2.2574,-0.21719),(4775,6245,2.2618,-0.20957),(4775,6255,2.2659,-0.20194),(4775,6265,2.27,-0.19456),(4775,6275,2.2739,-0.18722),(4775,6285,2.2774,-0.17988),(4775,6295,2.2809,-0.1727),(4775,6305,2.2844,-0.16561),(4775,6315,2.2873,-0.15852),(4775,6325,2.2903,-0.15163),(4775,6335,2.2932,-0.14493),(4775,6345,2.2957,-0.13824),(4775,6355,2.2982,-0.13164),(4775,6365,2.3007,-0.12524),(4775,6375,2.3029,-0.11885),(4775,6385,2.3049,-0.1125),(4775,6395,2.307,-0.10641),(4775,6405,2.3089,-0.10032),(4775,6415,2.3105,-0.094222),(4775,6425,2.3122,-0.088362),(4775,6435,2.3138,-0.082512),(4775,6445,2.3151,-0.076662),(4775,6455,2.3164,-0.070997),(4775,6465,2.3177,-0.065386),(4775,6475,2.3187,-0.059774),(4775,6485,2.3197,-0.054262),(4775,6495,2.3207,-0.048816),(4775,6505,2.3214,-0.04337),(4775,6515,2.3222,-0.038001),(4775,6525,2.3229,-0.032737),(4775,6535,2.3234,-0.027474),(4775,6545,2.3239,-0.022231),(4775,6555,2.3243,-0.017052),(4775,6565,2.3246,-0.011874),(4775,6575,2.3249,-0.006696),(4775,6585,2.3251,-0.001536),(4775,6595,1.9779,0.003624),(4775,6605,1.2472,0.008785),(4775,6615,0.51655,0.009379),(4775,6625,0.002881,0.009386),(4775,6635,0.002841,0.009394),(4775,6645,0.0028,0.009393),(4775,6655,0.002761,0.00939),(4775,6665,0.002726,0.009386),(4775,6675,0.002691,0.009382),(4775,6685,0.002657,0.009378),(4775,6695,0.002627,0.009375),(4775,6705,0.002597,0.009371),(4775,6715,0.002567,0.009368),(4775,6725,0.002541,0.009364),(4775,6735,0.002515,0.009361),(4775,6745,0.00249,0.009357),(4775,6755,0.002466,0.009354),(4775,6765,0.002444,0.00935),(4775,6775,0.002422,0.009347),(4775,6785,0.002402,0.009344),(4775,6795,0.002383,0.00934),(4775,6805,0.002364,0.009337),(4775,6815,0.002345,0.009334),(4775,6825,0.002329,0.009331),(4775,6835,0.002313,0.009328),(4775,6845,0.002297,0.009324),(4775,6855,0.002283,0.009321),(4775,6865,0.002269,0.009318),(4775,6875,0.002255,0.009315),(4775,6885,0.002242,0.009312),(4775,6895,0.00223,0.009309),(4775,6905,0.002218,0.009305),(4775,6915,0.002207,0.009302),(4775,6925,0.002197,0.009299),(4775,6935,0.002187,0.009296),(4775,6945,0.002177,0.009293),(4775,6955,0.002168,0.009289),(4775,6965,0.002159,0.009286),(4775,6975,0.002151,0.009283),(4775,6985,0.002144,0.00928),(4785,5,2e-06,-1.0022),(4785,15,5e-06,-1.0023),(4785,25,2e-06,-1.0024),(4785,35,-6e-06,-1.0025),(4785,45,-1.4e-05,-1.0026),(4785,55,-2.2e-05,-1.0027),(4785,65,-2.5e-05,-1.0027),(4785,75,-2.3e-05,-1.0027),(4785,85,-2.2e-05,-1.0028),(4785,95,-2e-05,-1.0029),(4785,105,3e-06,-1.003),(4785,115,4.1e-05,-1.0031),(4785,125,7.9e-05,-1.0033),(4785,135,0.000117,-1.0035),(4785,145,0.00014,-1.0037),(4785,155,0.000154,-1.0039),(4785,165,0.000169,-1.0042),(4785,175,0.000183,-1.0044),(4785,185,0.000186,-1.0046),(4785,195,0.000184,-1.0048),(4785,205,0.000182,-1.0051),(4785,215,0.00018,-1.0053),(4785,225,0.000173,-1.0056),(4785,235,0.000163,-1.0059),(4785,245,0.000154,-1.0061),(4785,255,0.000144,-1.0064),(4785,265,0.000127,-1.0067),(4785,275,0.000107,-1.007),(4785,285,8.8e-05,-1.0073),(4785,295,6.8e-05,-1.0075),(4785,305,5.4e-05,-1.0078),(4785,315,4.1e-05,-1.0081),(4785,325,2.8e-05,-1.0084),(4785,335,1.5e-05,-1.0087),(4785,345,2.6e-05,-1.009),(4785,355,4.2e-05,-1.0093),(4785,365,5.9e-05,-1.0097),(4785,375,7.5e-05,-1.0102),(4785,385,0.000107,-1.0106),(4785,395,0.000141,-1.011),(4785,405,0.000175,-1.0115),(4785,415,0.000208,-1.012),(4785,425,0.000223,-1.0125),(4785,435,0.000237,-1.013),(4785,445,0.00025,-1.0136),(4785,455,0.000263,-1.0141),(4785,465,0.00024,-1.0146),(4785,475,0.000214,-1.0151),(4785,485,0.000189,-1.0157),(4785,495,0.000163,-1.0162),(4785,505,0.000147,-1.0167),(4785,515,0.000131,-1.0172),(4785,525,0.000115,-1.0178),(4785,535,0.0001,-1.0184),(4785,545,0.000104,-1.019),(4785,555,0.000109,-1.0196),(4785,565,0.000114,-1.0203),(4785,575,0.000119,-1.0209),(4785,585,0.00014,-1.0216),(4785,595,0.00016,-1.0223),(4785,605,0.000181,-1.023),(4785,615,0.000202,-1.0237),(4785,625,0.000225,-1.0244),(4785,635,0.000248,-1.0252),(4785,645,0.000271,-1.0259),(4785,655,0.000297,-1.0267),(4785,665,0.000337,-1.0274),(4785,675,0.000378,-1.0282),(4785,685,0.000418,-1.029),(4785,695,0.000454,-1.0299),(4785,705,0.000475,-1.0307),(4785,715,0.000495,-1.0315),(4785,725,0.000516,-1.0323),(4785,735,0.000533,-1.0331),(4785,745,0.000539,-1.034),(4785,755,0.000545,-1.0348),(4785,765,0.000552,-1.0356),(4785,775,0.000562,-1.0364),(4785,785,0.000582,-1.0372),(4785,795,0.000603,-1.0381),(4785,805,0.000623,-1.039),(4785,815,0.000654,-1.0399),(4785,825,0.000706,-1.0408),(4785,835,0.000758,-1.0417),(4785,845,0.00081,-1.0427),(4785,855,0.000863,-1.0437),(4785,865,0.000916,-1.0447),(4785,875,0.00097,-1.0458),(4785,885,0.001024,-1.0468),(4785,895,0.001065,-1.0478),(4785,905,0.001087,-1.0489),(4785,915,0.00111,-1.0499),(4785,925,0.001132,-1.0509),(4785,935,0.001151,-1.0518),(4785,945,0.001164,-1.0528),(4785,955,0.001178,-1.0538),(4785,965,0.001192,-1.0547),(4785,975,0.001204,-1.0557),(4785,985,0.001214,-1.0567),(4785,995,0.001224,-1.0576),(4785,1005,0.001233,-1.0585),(4785,1015,0.001269,-1.0594),(4785,1025,0.001329,-1.0603),(4785,1035,0.00139,-1.0612),(4785,1045,0.00145,-1.0622),(4785,1055,0.001539,-1.0632),(4785,1065,0.001651,-1.0641),(4785,1075,0.001764,-1.0651),(4785,1085,0.001876,-1.0661),(4785,1095,0.002009,-1.067),(4785,1105,0.002157,-1.068),(4785,1115,0.002304,-1.0689),(4785,1125,0.002452,-1.0698),(4785,1135,0.002699,-1.0708),(4785,1145,0.003007,-1.0717),(4785,1155,0.003314,-1.0728),(4785,1165,0.003621,-1.074),(4785,1175,0.003948,-1.0752),(4785,1185,0.004283,-1.0763),(4785,1195,0.004619,-1.078),(4785,1205,0.004955,-1.0798),(4785,1215,0.005178,-1.0816),(4785,1225,0.005356,-1.0835),(4785,1235,0.005533,-1.086),(4785,1245,0.005711,-1.0887),(4785,1255,0.011582,-1.0914),(4785,1265,0.019377,-1.0941),(4785,1275,0.027173,-1.0997),(4785,1285,0.034968,-1.1063),(4785,1295,0.054397,-1.1129),(4785,1305,0.076972,-1.1194),(4785,1315,0.099547,-1.1335),(4785,1325,0.12212,-1.1493),(4785,1335,0.07438,-1.1651),(4785,1345,0.0119,-1.181),(4785,1355,-0.05058,-1.1724),(4785,1365,-0.11306,-1.1595),(4785,1375,-0.10485,-1.1466),(4785,1385,-0.085725,-1.1336),(4785,1395,-0.066604,-1.126),(4785,1405,-0.047483,-1.119),(4785,1415,-0.037059,-1.112),(4785,1425,-0.027537,-1.105),(4785,1435,-0.018016,-1.1019),(4785,1445,-0.008494,-1.0992),(4785,1455,-0.007831,-1.0965),(4785,1465,-0.007679,-1.0937),(4785,1475,-0.007526,-1.0923),(4785,1485,-0.007373,-1.0909),(4785,1495,-0.006896,-1.0896),(4785,1505,-0.006413,-1.0882),(4785,1515,-0.005931,-1.0877),(4785,1525,-0.005449,-1.0873),(4785,1535,-0.004993,-1.0868),(4785,1545,-0.004537,-1.0864),(4785,1555,-0.004081,-1.0863),(4785,1565,-0.003639,-1.0862),(4785,1575,-0.003409,-1.086),(4785,1585,-0.003178,-1.0859),(4785,1595,-0.002948,-1.0858),(4785,1605,-0.00273,-1.0857),(4785,1615,-0.002625,-1.0856),(4785,1625,-0.002519,-1.0855),(4785,1635,-0.002414,-1.0853),(4785,1645,-0.002313,-1.0852),(4785,1655,-0.00224,-1.085),(4785,1665,-0.002168,-1.0848),(4785,1675,-0.002095,-1.0845),(4785,1685,-0.002024,-1.0843),(4785,1695,-0.001962,-1.084),(4785,1705,-0.0019,-1.0838),(4785,1715,-0.001837,-1.0835),(4785,1725,-0.001776,-1.0832),(4785,1735,-0.001716,-1.0829),(4785,1745,-0.001655,-1.0826),(4785,1755,-0.001595,-1.0823),(4785,1765,-0.001535,-1.0819),(4785,1775,-0.001477,-1.0816),(4785,1785,-0.001419,-1.0813),(4785,1795,-0.00136,-1.0811),(4785,1805,-0.001305,-1.0808),(4785,1815,-0.001258,-1.0806),(4785,1825,-0.001211,-1.0804),(4785,1835,-0.001163,-1.0802),(4785,1845,-0.001116,-1.08),(4785,1855,-0.00107,-1.0799),(4785,1865,-0.001023,-1.0797),(4785,1875,-0.000977,-1.0797),(4785,1885,-0.000933,-1.0796),(4785,1895,-0.000894,-1.0795),(4785,1905,-0.000855,-1.0795),(4785,1915,-0.000816,-1.0795),(4785,1925,-0.000775,-1.0795),(4785,1935,-0.000733,-1.0795),(4785,1945,-0.000691,-1.0796),(4785,1955,-0.000649,-1.0797),(4785,1965,-0.0006,-1.0799),(4785,1975,-0.000545,-1.08),(4785,1985,-0.000489,-1.0802),(4785,1995,-0.000433,-1.0805),(4785,2005,-0.000379,-1.0808),(4785,2015,-0.000328,-1.0811),(4785,2025,-0.000276,-1.0815),(4785,2035,-0.000224,-1.0819),(4785,2045,-0.000175,-1.0823),(4785,2055,-0.000126,-1.0827),(4785,2065,-7.8e-05,-1.0832),(4785,2075,-3e-05,-1.0838),(4785,2085,1.1e-05,-1.0843),(4785,2095,4.6e-05,-1.0849),(4785,2105,8.1e-05,-1.0855),(4785,2115,0.000117,-1.0861),(4785,2125,0.000136,-1.0868),(4785,2135,0.000146,-1.0874),(4785,2145,0.000155,-1.0881),(4785,2155,0.000165,-1.0888),(4785,2165,0.000177,-1.0895),(4785,2175,0.000189,-1.0902),(4785,2185,0.000202,-1.091),(4785,2195,0.000214,-1.0918),(4785,2205,0.000245,-1.0926),(4785,2215,0.000283,-1.0934),(4785,2225,0.000321,-1.0943),(4785,2235,0.000359,-1.0952),(4785,2245,0.000421,-1.0962),(4785,2255,0.000492,-1.0971),(4785,2265,0.000562,-1.0981),(4785,2275,0.000633,-1.0991),(4785,2285,0.000731,-1.1001),(4785,2295,0.000837,-1.1011),(4785,2305,0.000943,-1.1023),(4785,2315,0.001049,-1.1035),(4785,2325,0.001168,-1.1047),(4785,2335,0.001291,-1.1059),(4785,2345,0.001413,-1.1072),(4785,2355,0.001535,-1.1086),(4785,2365,0.001652,-1.11),(4785,2375,0.001768,-1.1113),(4785,2385,0.001884,-1.1128),(4785,2395,0.002,-1.1143),(4785,2405,0.002105,-1.1158),(4785,2415,0.002209,-1.1173),(4785,2425,0.002313,-1.1188),(4785,2435,0.002417,-1.1203),(4785,2445,0.002521,-1.1219),(4785,2455,0.002625,-1.1234),(4785,2465,0.00273,-1.1249),(4785,2475,0.002834,-1.1265),(4785,2485,0.002969,-1.128),(4785,2495,0.003105,-1.1296),(4785,2505,0.00324,-1.1311),(4785,2515,0.003377,-1.1326),(4785,2525,0.003567,-1.1342),(4785,2535,0.003759,-1.1357),(4785,2545,0.003949,-1.1373),(4785,2555,0.004143,-1.1389),(4785,2565,0.004383,-1.1405),(4785,2575,0.004623,-1.142),(4785,2585,0.004864,-1.1436),(4785,2595,0.005107,-1.1452),(4785,2605,0.00538,-1.1468),(4785,2615,0.005653,-1.1484),(4785,2625,0.005926,-1.15),(4785,2635,0.006203,-1.1516),(4785,2645,0.006503,-1.1533),(4785,2655,0.006803,-1.1549),(4785,2665,0.007104,-1.1564),(4785,2675,0.007408,-1.158),(4785,2685,0.007731,-1.1596),(4785,2695,0.008054,-1.1612),(4785,2705,0.008377,-1.1628),(4785,2715,0.008705,-1.1643),(4785,2725,0.009051,-1.1658),(4785,2735,0.009398,-1.1673),(4785,2745,0.009745,-1.1688),(4785,2755,0.010101,-1.1702),(4785,2765,0.010485,-1.1717),(4785,2775,0.01087,-1.1731),(4785,2785,0.011254,-1.1745),(4785,2795,0.011652,-1.1759),(4785,2805,0.012082,-1.1772),(4785,2815,0.012512,-1.1786),(4785,2825,0.012941,-1.1799),(4785,2835,0.013379,-1.1812),(4785,2845,0.01383,-1.1824),(4785,2855,0.014282,-1.1837),(4785,2865,0.014734,-1.1849),(4785,2875,0.015186,-1.186),(4785,2885,0.01564,-1.1872),(4785,2895,0.016094,-1.1883),(4785,2905,0.016548,-1.1894),(4785,2915,0.017004,-1.1904),(4785,2925,0.017461,-1.1915),(4785,2935,0.017919,-1.1925),(4785,2945,0.018376,-1.1935),(4785,2955,0.018834,-1.1944),(4785,2965,0.019292,-1.1954),(4785,2975,0.01975,-1.1963),(4785,2985,0.020208,-1.1972),(4785,2995,0.020664,-1.1981),(4785,3005,0.02112,-1.199),(4785,3015,0.021576,-1.1998),(4785,3025,0.022031,-1.2006),(4785,3035,0.022485,-1.2014),(4785,3045,0.022937,-1.2022),(4785,3055,0.02339,-1.2029),(4785,3065,0.023842,-1.2036),(4785,3075,0.024291,-1.2043),(4785,3085,0.024738,-1.205),(4785,3095,0.025185,-1.2056),(4785,3105,0.025631,-1.2062),(4785,3115,0.026081,-1.2067),(4785,3125,0.026532,-1.2073),(4785,3135,0.026983,-1.2078),(4785,3145,0.027434,-1.2082),(4785,3155,0.0279,-1.2086),(4785,3165,0.028375,-1.209),(4785,3175,0.028849,-1.2093),(4785,3185,0.029324,-1.2096),(4785,3195,0.029816,-1.2099),(4785,3205,0.030315,-1.2102),(4785,3215,0.030815,-1.2104),(4785,3225,0.031314,-1.2105),(4785,3235,0.031812,-1.2106),(4785,3245,0.03231,-1.2107),(4785,3255,0.032808,-1.2107),(4785,3265,0.033306,-1.2106),(4785,3275,0.033781,-1.2105),(4785,3285,0.03425,-1.2104),(4785,3295,0.034719,-1.2102),(4785,3305,0.035188,-1.2098),(4785,3315,0.035628,-1.2095),(4785,3325,0.036062,-1.2092),(4785,3335,0.036496,-1.2087),(4785,3345,0.03693,-1.2081),(4785,3355,0.037337,-1.2075),(4785,3365,0.037738,-1.207),(4785,3375,0.03814,-1.2062),(4785,3385,0.038542,-1.2055),(4785,3395,0.038913,-1.2047),(4785,3405,0.03928,-1.2039),(4785,3415,0.039647,-1.2029),(4785,3425,0.040014,-1.2018),(4785,3435,0.04034,-1.2007),(4785,3445,0.040662,-1.1997),(4785,3455,0.040985,-1.1983),(4785,3465,0.041308,-1.1969),(4785,3475,0.041595,-1.1954),(4785,3485,0.04188,-1.194),(4785,3495,0.042166,-1.1923),(4785,3505,0.042452,-1.1905),(4785,3515,0.042744,-1.1887),(4785,3525,0.043036,-1.1869),(4785,3535,0.043328,-1.1847),(4785,3545,0.043621,-1.1826),(4785,3555,0.043933,-1.1804),(4785,3565,0.044246,-1.1783),(4785,3575,0.044558,-1.1757),(4785,3585,0.04487,-1.1732),(4785,3595,0.045175,-1.1706),(4785,3605,0.04548,-1.168),(4785,3615,0.045785,-1.165),(4785,3625,0.046088,-1.162),(4785,3635,0.046375,-1.159),(4785,3645,0.046662,-1.1559),(4785,3655,0.04695,-1.1524),(4785,3665,0.047234,-1.1489),(4785,3675,0.047502,-1.1453),(4785,3685,0.047769,-1.1417),(4785,3695,0.048037,-1.1376),(4785,3705,0.048298,-1.1335),(4785,3715,0.048535,-1.1295),(4785,3725,0.048772,-1.1252),(4785,3735,0.049009,-1.1205),(4785,3745,0.049234,-1.1158),(4785,3755,0.049422,-1.111),(4785,3765,0.049609,-1.1061),(4785,3775,0.049797,-1.1006),(4785,3785,0.049976,-1.0951),(4785,3795,0.050131,-1.0896),(4785,3805,0.050286,-1.0839),(4785,3815,0.050442,-1.0777),(4785,3825,0.050609,-1.0715),(4785,3835,0.050801,-1.0653),(4785,3845,0.050993,-1.0589),(4785,3855,0.051185,-1.0522),(4785,3865,0.051359,-1.0454),(4785,3875,0.051503,-1.0387),(4785,3885,0.051646,-1.0319),(4785,3895,0.051789,-1.025),(4785,3905,0.051879,-1.0181),(4785,3915,0.051891,-1.0112),(4785,3925,0.051902,-1.0043),(4785,3935,0.051914,-0.9974),(4785,3945,0.054411,-0.99054),(4785,3955,0.060063,-0.98368),(4785,3965,0.065715,-0.97814),(4785,3975,0.071367,-0.97416),(4785,3985,0.087445,-0.97018),(4785,3995,0.11481,-0.9662),(4785,4005,0.14217,-0.96951),(4785,4015,0.16954,-0.9801),(4785,4025,0.30589,-0.99069),(4785,4035,0.4529,-0.99156),(4785,4045,0.59992,-0.97194),(4785,4055,0.74982,-0.95232),(4785,4065,0.90076,-0.93211),(4785,4075,1.0517,-0.90842),(4785,4085,1.1326,-0.88474),(4785,4095,1.1572,-0.86105),(4785,4105,1.1818,-0.83996),(4785,4115,1.2046,-0.81897),(4785,4125,1.2247,-0.79798),(4785,4135,1.2448,-0.7779),(4785,4145,1.2642,-0.75806),(4785,4155,1.2808,-0.73822),(4785,4165,1.2974,-0.71892),(4785,4175,1.314,-0.69996),(4785,4185,1.3278,-0.68101),(4785,4195,1.3416,-0.66243),(4785,4205,1.3554,-0.64434),(4785,4215,1.3671,-0.62626),(4785,4225,1.3785,-0.60839),(4785,4235,1.3899,-0.59117),(4785,4245,1.3998,-0.57395),(4785,4255,1.4091,-0.55681),(4785,4265,1.4184,-0.54056),(4785,4275,1.4268,-0.52431),(4785,4285,1.4343,-0.50806),(4785,4295,1.4418,-0.49266),(4785,4305,1.4488,-0.47736),(4785,4315,1.4547,-0.46206),(4785,4325,1.4607,-0.44749),(4785,4335,1.4664,-0.43321),(4785,4345,1.471,-0.41893),(4785,4355,1.4756,-0.40519),(4785,4365,1.4802,-0.39191),(4785,4375,1.4837,-0.37864),(4785,4385,1.4871,-0.36569),(4785,4395,1.4906,-0.35331),(4785,4405,1.4933,-0.34094),(4785,4415,1.4957,-0.32874),(4785,4425,1.4982,-0.31731),(4785,4435,1.5002,-0.30588),(4785,4445,1.5019,-0.29445),(4785,4455,1.5035,-0.28387),(4785,4465,1.5049,-0.27328),(4785,4475,1.5059,-0.2627),(4785,4485,1.5069,-0.25277),(4785,4495,1.5077,-0.24298),(4785,4505,1.5082,-0.23319),(4785,4515,1.5086,-0.22392),(4785,4525,1.509,-0.21492),(4785,4535,1.509,-0.20592),(4785,4545,1.509,-0.19724),(4785,4555,1.509,-0.18893),(4785,4565,1.5087,-0.18061),(4785,4575,1.5083,-0.17251),(4785,4585,1.5079,-0.1649),(4785,4595,1.5074,-0.15729),(4785,4605,1.5067,-0.14976),(4785,4615,1.506,-0.14281),(4785,4625,1.5053,-0.13586),(4785,4635,1.5044,-0.12891),(4785,4645,1.5035,-0.12252),(4785,4655,1.5026,-0.11617),(4785,4665,1.5015,-0.10982),(4785,4675,1.5005,-0.1039),(4785,4685,1.4995,-0.098123),(4785,4695,1.4983,-0.092347),(4785,4705,1.4972,-0.086889),(4785,4715,1.496,-0.081662),(4785,4725,1.4948,-0.076435),(4785,4735,1.4936,-0.07142),(4785,4745,1.4925,-0.066723),(4785,4755,1.4912,-0.062026),(4785,4765,1.49,-0.057446),(4785,4775,1.4888,-0.053271),(4785,4785,1.4876,-0.049096),(4785,4795,1.4864,-0.044944),(4785,4805,1.4852,-0.041285),(4785,4815,1.4841,-0.037626),(4785,4825,1.4829,-0.033967),(4785,4835,1.4818,-0.030751),(4785,4845,1.4806,-0.027604),(4785,4855,1.4796,-0.024456),(4785,4865,1.4785,-0.021672),(4785,4875,1.4775,-0.019052),(4785,4885,1.4766,-0.016432),(4785,4895,1.4757,-0.014126),(4785,4905,1.4748,-0.012124),(4785,4915,1.4741,-0.010121),(4785,4925,1.4734,-0.008339),(4785,4935,1.4728,-0.007002),(4785,4945,1.4724,-0.005664),(4785,4955,1.4722,-0.004439),(4785,4965,1.4719,-0.003831),(4785,4975,1.4719,-0.003223),(4785,4985,1.4721,-0.002615),(4785,4995,1.4723,-0.002689),(4785,5005,1.4727,-0.00278),(4785,5015,1.4734,-0.002871),(4785,5025,1.4742,-0.003548),(4785,5035,1.4751,-0.004373),(4785,5045,1.4765,-0.005199),(4785,5055,1.4779,-0.006476),(4785,5065,1.4794,-0.008033),(4785,5075,1.4816,-0.009589),(4785,5085,1.4838,-0.011428),(4785,5095,1.4861,-0.013628),(4785,5105,1.4889,-0.015828),(4785,5115,1.4919,-0.018136),(4785,5125,1.4949,-0.020746),(4785,5135,1.4982,-0.023357),(4785,5145,1.5018,-0.025978),(4785,5155,1.5054,-0.028723),(4785,5165,1.5092,-0.031467),(4785,5175,1.5132,-0.034212),(4785,5185,1.5172,-0.036868),(4785,5195,1.5212,-0.039515),(4785,5205,1.5255,-0.042161),(4785,5215,1.5298,-0.044578),(4785,5225,1.534,-0.046909),(4785,5235,1.5383,-0.049239),(4785,5245,1.5426,-0.051222),(4785,5255,1.5469,-0.05292),(4785,5265,1.5509,-0.054618),(4785,5275,1.5549,-0.055946),(4785,5285,1.5589,-0.056645),(4785,5295,1.5622,-0.057345),(4785,5305,1.5653,-0.057811),(4785,5315,1.5685,-0.057298),(4785,5325,1.5709,-0.056785),(4785,5335,1.5728,-0.056256),(4785,5345,1.5747,-0.054655),(4785,5355,1.5761,-0.053055),(4785,5365,1.5767,-0.051455),(4785,5375,1.5773,-0.049256),(4785,5385,1.5776,-0.046941),(4785,5395,1.5772,-0.044625),(4785,5405,1.5768,-0.04209),(4785,5415,1.5763,-0.039441),(4785,5425,1.5753,-0.036792),(4785,5435,1.5743,-0.034109),(4785,5445,1.5732,-0.031388),(4785,5455,1.5719,-0.028667),(4785,5465,1.5706,-0.025972),(4785,5475,1.5693,-0.023339),(4785,5485,1.5679,-0.020705),(4785,5495,1.5665,-0.018096),(4785,5505,1.5651,-0.015657),(4785,5515,1.5638,-0.013218),(4785,5525,1.5624,-0.010779),(4785,5535,1.5611,-0.008635),(4785,5545,1.5599,-0.006508),(4785,5555,1.5588,-0.004381),(4785,5565,1.5577,-0.002664),(4785,5575,1.5566,-0.001071),(4785,5585,1.5558,0.000522),(4785,5595,1.555,0.001628),(4785,5605,1.5541,0.002395),(4785,5615,1.5538,0.003162),(4785,5625,1.5534,0.003448),(4785,5635,1.5531,0.003044),(4785,5645,1.5533,0.002639),(4785,5655,1.5537,0.001849),(4785,5665,1.554,-0.000217),(4785,5675,1.5551,-0.002282),(4785,5685,1.5565,-0.004469),(4785,5695,1.558,-0.008764),(4785,5705,1.5602,-0.013059),(4785,5715,1.5633,-0.017354),(4785,5725,1.5664,-0.02416),(4785,5735,1.5702,-0.03132),(4785,5745,1.5758,-0.03848),(4785,5755,1.5813,-0.048017),(4785,5765,1.5873,-0.058583),(4785,5775,1.5963,-0.069148),(4785,5785,1.6053,-0.081675),(4785,5795,1.6143,-0.096013),(4785,5805,1.6276,-0.11035),(4785,5815,1.6411,-0.12586),(4785,5825,1.6547,-0.14363),(4785,5835,1.6722,-0.16141),(4785,5845,1.691,-0.17952),(4785,5855,1.7098,-0.19936),(4785,5865,1.7314,-0.21921),(4785,5875,1.7551,-0.23906),(4785,5885,1.7788,-0.25825),(4785,5895,1.8036,-0.27743),(4785,5905,1.8301,-0.2966),(4785,5915,1.8566,-0.31248),(4785,5925,1.883,-0.32756),(4785,5935,1.9089,-0.34264),(4785,5945,1.9348,-0.35353),(4785,5955,1.9606,-0.36195),(4785,5965,1.9825,-0.37037),(4785,5975,2.0045,-0.37567),(4785,5985,2.0264,-0.37716),(4785,5995,2.0437,-0.37866),(4785,6005,2.0602,-0.37881),(4785,6015,2.0767,-0.37541),(4785,6025,2.0901,-0.37201),(4785,6035,2.1021,-0.36836),(4785,6045,2.1141,-0.3624),(4785,6055,2.1246,-0.35643),(4785,6065,2.1339,-0.35047),(4785,6075,2.1431,-0.34348),(4785,6085,2.1519,-0.3364),(4785,6095,2.1596,-0.32933),(4785,6105,2.1674,-0.32187),(4785,6115,2.1751,-0.31429),(4785,6125,2.1819,-0.30671),(4785,6135,2.1888,-0.29901),(4785,6145,2.1956,-0.29122),(4785,6155,2.2018,-0.28342),(4785,6165,2.2079,-0.27563),(4785,6175,2.214,-0.26783),(4785,6185,2.2195,-0.26003),(4785,6195,2.2249,-0.25225),(4785,6205,2.2304,-0.24453),(4785,6215,2.2354,-0.23682),(4785,6225,2.2401,-0.2291),(4785,6235,2.2449,-0.22154),(4785,6245,2.2494,-0.21397),(4785,6255,2.2536,-0.2064),(4785,6265,2.2577,-0.19903),(4785,6275,2.2617,-0.1917),(4785,6285,2.2653,-0.18437),(4785,6295,2.2689,-0.17719),(4785,6305,2.2724,-0.17008),(4785,6315,2.2755,-0.16297),(4785,6325,2.2785,-0.15603),(4785,6335,2.2816,-0.14926),(4785,6345,2.2842,-0.1425),(4785,6355,2.2867,-0.13582),(4785,6365,2.2893,-0.12933),(4785,6375,2.2916,-0.12283),(4785,6385,2.2937,-0.11638),(4785,6395,2.2959,-0.11016),(4785,6405,2.2978,-0.10394),(4785,6415,2.2996,-0.09772),(4785,6425,2.3013,-0.091714),(4785,6435,2.3029,-0.085717),(4785,6445,2.3043,-0.07972),(4785,6455,2.3057,-0.073894),(4785,6465,2.3071,-0.068117),(4785,6475,2.3081,-0.062339),(4785,6485,2.3092,-0.056651),(4785,6495,2.3103,-0.051023),(4785,6505,2.311,-0.045395),(4785,6515,2.3118,-0.039838),(4785,6525,2.3126,-0.034379),(4785,6535,2.3131,-0.02892),(4785,6545,2.3136,-0.023481),(4785,6555,2.3141,-0.018101),(4785,6565,2.3144,-0.01272),(4785,6575,2.3146,-0.007342),(4785,6585,2.3148,-0.001987),(4785,6595,1.9692,0.003368),(4785,6605,1.2418,0.008722),(4785,6615,0.51429,0.009339),(4785,6625,0.002879,0.009346),(4785,6635,0.002838,0.009354),(4785,6645,0.002798,0.009354),(4785,6655,0.002758,0.009352),(4785,6665,0.002724,0.00935),(4785,6675,0.002689,0.009348),(4785,6685,0.002654,0.009346),(4785,6695,0.002625,0.009344),(4785,6705,0.002595,0.009342),(4785,6715,0.002565,0.00934),(4785,6725,0.002539,0.009338),(4785,6735,0.002513,0.009335),(4785,6745,0.002488,0.009333),(4785,6755,0.002464,0.009331),(4785,6765,0.002442,0.009328),(4785,6775,0.00242,0.009326),(4785,6785,0.0024,0.009324),(4785,6795,0.002381,0.009321),(4785,6805,0.002362,0.009319),(4785,6815,0.002344,0.009317),(4785,6825,0.002327,0.009314),(4785,6835,0.002311,0.009312),(4785,6845,0.002295,0.009309),(4785,6855,0.002281,0.009307),(4785,6865,0.002267,0.009304),(4785,6875,0.002253,0.009302),(4785,6885,0.002241,0.009299),(4785,6895,0.002229,0.009297),(4785,6905,0.002217,0.009294),(4785,6915,0.002206,0.009291),(4785,6925,0.002196,0.009289),(4785,6935,0.002185,0.009286),(4785,6945,0.002176,0.009284),(4785,6955,0.002167,0.009281),(4785,6965,0.002158,0.009278),(4785,6975,0.00215,0.009275),(4785,6985,0.002142,0.009272),(4795,5,2e-06,-1.1387),(4795,15,5e-06,-1.1388),(4795,25,0,-1.1389),(4795,35,-1.2e-05,-1.139),(4795,45,-2.4e-05,-1.1391),(4795,55,-3.7e-05,-1.1392),(4795,65,-4.2e-05,-1.1392),(4795,75,-4.1e-05,-1.1393),(4795,85,-4e-05,-1.1394),(4795,95,-3.9e-05,-1.1395),(4795,105,-9e-06,-1.1396),(4795,115,4.2e-05,-1.1397),(4795,125,9.3e-05,-1.1399),(4795,135,0.000144,-1.1401),(4795,145,0.000174,-1.1404),(4795,155,0.000192,-1.1406),(4795,165,0.00021,-1.1409),(4795,175,0.000228,-1.1411),(4795,185,0.000231,-1.1414),(4795,195,0.000227,-1.1416),(4795,205,0.000223,-1.1419),(4795,215,0.000219,-1.1422),(4795,225,0.000207,-1.1425),(4795,235,0.000193,-1.1428),(4795,245,0.000178,-1.1431),(4795,255,0.000164,-1.1434),(4795,265,0.000139,-1.1438),(4795,275,0.00011,-1.1441),(4795,285,8.2e-05,-1.1444),(4795,295,5.3e-05,-1.1447),(4795,305,3.2e-05,-1.145),(4795,315,1.3e-05,-1.1453),(4795,325,-7e-06,-1.1457),(4795,335,-2.7e-05,-1.146),(4795,345,-1.3e-05,-1.1464),(4795,355,7e-06,-1.1468),(4795,365,2.7e-05,-1.1472),(4795,375,4.7e-05,-1.1477),(4795,385,8.8e-05,-1.1482),(4795,395,0.000131,-1.1486),(4795,405,0.000175,-1.1492),(4795,415,0.000219,-1.1498),(4795,425,0.000236,-1.1504),(4795,435,0.000252,-1.1509),(4795,445,0.000267,-1.1515),(4795,455,0.000282,-1.1522),(4795,465,0.000247,-1.1528),(4795,475,0.000209,-1.1534),(4795,485,0.000171,-1.154),(4795,495,0.000133,-1.1545),(4795,505,0.000107,-1.1551),(4795,515,8.2e-05,-1.1557),(4795,525,5.7e-05,-1.1564),(4795,535,3.2e-05,-1.1571),(4795,545,3.4e-05,-1.1577),(4795,555,3.6e-05,-1.1584),(4795,565,3.9e-05,-1.1592),(4795,575,4.2e-05,-1.1599),(4795,585,6.5e-05,-1.1607),(4795,595,8.8e-05,-1.1614),(4795,605,0.000111,-1.1622),(4795,615,0.000135,-1.163),(4795,625,0.000161,-1.1639),(4795,635,0.000187,-1.1647),(4795,645,0.000213,-1.1655),(4795,655,0.000242,-1.1664),(4795,665,0.00029,-1.1672),(4795,675,0.000339,-1.1681),(4795,685,0.000387,-1.1691),(4795,695,0.000431,-1.17),(4795,705,0.000451,-1.171),(4795,715,0.000472,-1.1719),(4795,725,0.000493,-1.1728),(4795,735,0.000509,-1.1738),(4795,745,0.00051,-1.1747),(4795,755,0.000511,-1.1756),(4795,765,0.000512,-1.1766),(4795,775,0.000518,-1.1775),(4795,785,0.000537,-1.1784),(4795,795,0.000556,-1.1793),(4795,805,0.000575,-1.1804),(4795,815,0.000608,-1.1814),(4795,825,0.000669,-1.1824),(4795,835,0.00073,-1.1834),(4795,845,0.000791,-1.1846),(4795,855,0.000852,-1.1857),(4795,865,0.000913,-1.1869),(4795,875,0.000974,-1.188),(4795,885,0.001036,-1.1892),(4795,895,0.001079,-1.1904),(4795,905,0.001096,-1.1916),(4795,915,0.001112,-1.1928),(4795,925,0.001128,-1.1939),(4795,935,0.001138,-1.195),(4795,945,0.00114,-1.1961),(4795,955,0.001142,-1.1972),(4795,965,0.001144,-1.1983),(4795,975,0.001142,-1.1994),(4795,985,0.001135,-1.2005),(4795,995,0.001127,-1.2015),(4795,1005,0.00112,-1.2026),(4795,1015,0.001146,-1.2036),(4795,1025,0.001203,-1.2046),(4795,1035,0.00126,-1.2056),(4795,1045,0.001317,-1.2067),(4795,1055,0.00141,-1.2078),(4795,1065,0.001532,-1.2089),(4795,1075,0.001654,-1.21),(4795,1085,0.001776,-1.2111),(4795,1095,0.001922,-1.2122),(4795,1105,0.002084,-1.2133),(4795,1115,0.002246,-1.2144),(4795,1125,0.002409,-1.2154),(4795,1135,0.002702,-1.2164),(4795,1145,0.003072,-1.2174),(4795,1155,0.003442,-1.2186),(4795,1165,0.003811,-1.22),(4795,1175,0.004198,-1.2213),(4795,1185,0.004594,-1.2227),(4795,1195,0.004989,-1.2249),(4795,1205,0.005384,-1.2275),(4795,1215,0.005614,-1.2301),(4795,1225,0.005777,-1.2327),(4795,1235,0.005939,-1.2368),(4795,1245,0.006102,-1.2416),(4795,1255,0.013996,-1.2464),(4795,1265,0.024502,-1.2511),(4795,1275,0.035008,-1.2524),(4795,1285,0.045514,-1.2527),(4795,1295,0.071827,-1.2529),(4795,1305,0.10241,-1.2531),(4795,1315,0.133,-1.239),(4795,1325,0.16359,-1.2214),(4795,1335,0.099936,-1.2038),(4795,1345,0.016532,-1.1862),(4795,1355,-0.066872,-1.2007),(4795,1365,-0.15028,-1.2209),(4795,1375,-0.13905,-1.2412),(4795,1385,-0.11322,-1.2614),(4795,1395,-0.087392,-1.2645),(4795,1405,-0.061564,-1.2654),(4795,1415,-0.047528,-1.2663),(4795,1425,-0.034716,-1.2671),(4795,1435,-0.021905,-1.262),(4795,1445,-0.009093,-1.2564),(4795,1455,-0.008307,-1.2508),(4795,1465,-0.008213,-1.2452),(4795,1475,-0.008119,-1.2428),(4795,1485,-0.008026,-1.2406),(4795,1495,-0.007465,-1.2383),(4795,1505,-0.006898,-1.2361),(4795,1515,-0.00633,-1.2356),(4795,1525,-0.005763,-1.2351),(4795,1535,-0.005212,-1.2346),(4795,1545,-0.004661,-1.2341),(4795,1555,-0.00411,-1.234),(4795,1565,-0.003578,-1.2339),(4795,1575,-0.00332,-1.2338),(4795,1585,-0.003061,-1.2337),(4795,1595,-0.002803,-1.2336),(4795,1605,-0.002562,-1.2335),(4795,1615,-0.002464,-1.2334),(4795,1625,-0.002366,-1.2333),(4795,1635,-0.002268,-1.2331),(4795,1645,-0.002175,-1.2329),(4795,1655,-0.002115,-1.2326),(4795,1665,-0.002054,-1.2324),(4795,1675,-0.001993,-1.2321),(4795,1685,-0.001934,-1.2319),(4795,1695,-0.001881,-1.2316),(4795,1705,-0.001829,-1.2313),(4795,1715,-0.001777,-1.231),(4795,1725,-0.001724,-1.2306),(4795,1735,-0.00167,-1.2303),(4795,1745,-0.001617,-1.2299),(4795,1755,-0.001563,-1.2296),(4795,1765,-0.001508,-1.2292),(4795,1775,-0.001453,-1.2289),(4795,1785,-0.001397,-1.2285),(4795,1795,-0.001342,-1.2283),(4795,1805,-0.00129,-1.228),(4795,1815,-0.001246,-1.2277),(4795,1825,-0.001203,-1.2274),(4795,1835,-0.001159,-1.2272),(4795,1845,-0.001115,-1.227),(4795,1855,-0.00107,-1.2268),(4795,1865,-0.001025,-1.2267),(4795,1875,-0.000979,-1.2266),(4795,1885,-0.000937,-1.2266),(4795,1895,-0.000899,-1.2265),(4795,1905,-0.000861,-1.2264),(4795,1915,-0.000824,-1.2265),(4795,1925,-0.000783,-1.2265),(4795,1935,-0.000739,-1.2265),(4795,1945,-0.000696,-1.2266),(4795,1955,-0.000652,-1.2267),(4795,1965,-0.000599,-1.2269),(4795,1975,-0.000535,-1.227),(4795,1985,-0.000472,-1.2272),(4795,1995,-0.000408,-1.2276),(4795,2005,-0.000347,-1.2279),(4795,2015,-0.000289,-1.2282),(4795,2025,-0.000231,-1.2286),(4795,2035,-0.000172,-1.2291),(4795,2045,-0.000117,-1.2296),(4795,2055,-6.3e-05,-1.23),(4795,2065,-1e-05,-1.2306),(4795,2075,4.4e-05,-1.2312),(4795,2085,8.6e-05,-1.2318),(4795,2095,0.000121,-1.2325),(4795,2105,0.000155,-1.2332),(4795,2115,0.00019,-1.2339),(4795,2125,0.000202,-1.2346),(4795,2135,0.0002,-1.2354),(4795,2145,0.000199,-1.2362),(4795,2155,0.000197,-1.237),(4795,2165,0.000197,-1.2378),(4795,2175,0.000198,-1.2386),(4795,2185,0.000198,-1.2395),(4795,2195,0.000199,-1.2404),(4795,2205,0.000222,-1.2413),(4795,2215,0.000255,-1.2422),(4795,2225,0.000288,-1.2432),(4795,2235,0.000321,-1.2442),(4795,2245,0.000385,-1.2453),(4795,2255,0.000459,-1.2463),(4795,2265,0.000534,-1.2474),(4795,2275,0.000608,-1.2486),(4795,2285,0.000718,-1.2498),(4795,2295,0.000838,-1.2509),(4795,2305,0.000957,-1.2522),(4795,2315,0.001077,-1.2536),(4795,2325,0.00121,-1.2549),(4795,2335,0.001347,-1.2563),(4795,2345,0.001484,-1.2578),(4795,2355,0.001621,-1.2593),(4795,2365,0.001746,-1.2609),(4795,2375,0.001868,-1.2624),(4795,2385,0.001991,-1.2641),(4795,2395,0.002114,-1.2657),(4795,2405,0.002214,-1.2674),(4795,2415,0.002313,-1.2691),(4795,2425,0.002411,-1.2708),(4795,2435,0.00251,-1.2726),(4795,2445,0.0026,-1.2743),(4795,2455,0.002689,-1.2761),(4795,2465,0.002779,-1.2778),(4795,2475,0.002869,-1.2796),(4795,2485,0.00299,-1.2813),(4795,2495,0.003112,-1.283),(4795,2505,0.003234,-1.2848),(4795,2515,0.003357,-1.2865),(4795,2525,0.003544,-1.2883),(4795,2535,0.003731,-1.29),(4795,2545,0.003918,-1.2918),(4795,2555,0.004108,-1.2936),(4795,2565,0.004353,-1.2954),(4795,2575,0.004597,-1.2972),(4795,2585,0.004841,-1.299),(4795,2595,0.005089,-1.3008),(4795,2605,0.005369,-1.3026),(4795,2615,0.005648,-1.3045),(4795,2625,0.005928,-1.3063),(4795,2635,0.006211,-1.3081),(4795,2645,0.006518,-1.3099),(4795,2655,0.006824,-1.3117),(4795,2665,0.007131,-1.3135),(4795,2675,0.007441,-1.3154),(4795,2685,0.007766,-1.3172),(4795,2695,0.008092,-1.319),(4795,2705,0.008417,-1.3207),(4795,2715,0.008747,-1.3225),(4795,2725,0.00909,-1.3242),(4795,2735,0.009434,-1.3259),(4795,2745,0.009778,-1.3276),(4795,2755,0.010131,-1.3292),(4795,2765,0.010512,-1.3309),(4795,2775,0.010892,-1.3325),(4795,2785,0.011273,-1.334),(4795,2795,0.011668,-1.3356),(4795,2805,0.012098,-1.3371),(4795,2815,0.012528,-1.3387),(4795,2825,0.012958,-1.3401),(4795,2835,0.013395,-1.3416),(4795,2845,0.013846,-1.3431),(4795,2855,0.014298,-1.3445),(4795,2865,0.014749,-1.3458),(4795,2875,0.015201,-1.3472),(4795,2885,0.015653,-1.3485),(4795,2895,0.016105,-1.3498),(4795,2905,0.016557,-1.351),(4795,2915,0.017011,-1.3522),(4795,2925,0.017469,-1.3534),(4795,2935,0.017927,-1.3545),(4795,2945,0.018385,-1.3556),(4795,2955,0.018845,-1.3567),(4795,2965,0.019306,-1.3578),(4795,2975,0.019768,-1.3589),(4795,2985,0.020229,-1.3599),(4795,2995,0.020691,-1.3609),(4795,3005,0.021152,-1.3619),(4795,3015,0.021613,-1.3628),(4795,3025,0.022074,-1.3637),(4795,3035,0.022532,-1.3646),(4795,3045,0.022989,-1.3656),(4795,3055,0.023445,-1.3664),(4795,3065,0.023901,-1.3672),(4795,3075,0.024352,-1.368),(4795,3085,0.024797,-1.3688),(4795,3095,0.025243,-1.3695),(4795,3105,0.025689,-1.3701),(4795,3115,0.026135,-1.3708),(4795,3125,0.02658,-1.3714),(4795,3135,0.027026,-1.372),(4795,3145,0.027472,-1.3724),(4795,3155,0.027935,-1.3729),(4795,3165,0.028407,-1.3734),(4795,3175,0.028879,-1.3738),(4795,3185,0.029352,-1.3741),(4795,3195,0.029846,-1.3744),(4795,3205,0.030349,-1.3747),(4795,3215,0.030853,-1.3749),(4795,3225,0.031356,-1.3751),(4795,3235,0.03186,-1.3752),(4795,3245,0.032364,-1.3754),(4795,3255,0.032869,-1.3754),(4795,3265,0.033373,-1.3753),(4795,3275,0.033853,-1.3752),(4795,3285,0.034327,-1.3751),(4795,3295,0.034801,-1.3748),(4795,3305,0.035274,-1.3744),(4795,3315,0.035719,-1.374),(4795,3325,0.036158,-1.3737),(4795,3335,0.036596,-1.3731),(4795,3345,0.037035,-1.3724),(4795,3355,0.037447,-1.3718),(4795,3365,0.037855,-1.3712),(4795,3375,0.038263,-1.3703),(4795,3385,0.038671,-1.3694),(4795,3395,0.039046,-1.3685),(4795,3405,0.039418,-1.3676),(4795,3415,0.039789,-1.3664),(4795,3425,0.040161,-1.3652),(4795,3435,0.040484,-1.3639),(4795,3445,0.040803,-1.3627),(4795,3455,0.041122,-1.3611),(4795,3465,0.041442,-1.3595),(4795,3475,0.041716,-1.3579),(4795,3485,0.041989,-1.3563),(4795,3495,0.042263,-1.3542),(4795,3505,0.042536,-1.3521),(4795,3515,0.04282,-1.3501),(4795,3525,0.043104,-1.348),(4795,3535,0.043389,-1.3455),(4795,3545,0.043674,-1.343),(4795,3555,0.043987,-1.3405),(4795,3565,0.044299,-1.338),(4795,3575,0.044612,-1.335),(4795,3585,0.044924,-1.3321),(4795,3595,0.045227,-1.3291),(4795,3605,0.04553,-1.3261),(4795,3615,0.045833,-1.3226),(4795,3625,0.046133,-1.319),(4795,3635,0.046412,-1.3155),(4795,3645,0.046692,-1.3119),(4795,3655,0.046971,-1.3078),(4795,3665,0.047246,-1.3037),(4795,3675,0.0475,-1.2996),(4795,3685,0.047754,-1.2953),(4795,3695,0.048008,-1.2906),(4795,3705,0.048253,-1.2858),(4795,3715,0.048467,-1.281),(4795,3725,0.048681,-1.276),(4795,3735,0.048895,-1.2705),(4795,3745,0.049094,-1.265),(4795,3755,0.049244,-1.2594),(4795,3765,0.049395,-1.2537),(4795,3775,0.049545,-1.2473),(4795,3785,0.049685,-1.2409),(4795,3795,0.049797,-1.2345),(4795,3805,0.049909,-1.2278),(4795,3815,0.050021,-1.2206),(4795,3825,0.050151,-1.2133),(4795,3835,0.050322,-1.206),(4795,3845,0.050492,-1.1986),(4795,3855,0.050662,-1.1907),(4795,3865,0.050812,-1.1829),(4795,3875,0.050925,-1.1751),(4795,3885,0.051039,-1.1673),(4795,3895,0.051152,-1.1596),(4795,3905,0.051198,-1.1519),(4795,3915,0.051143,-1.1442),(4795,3925,0.051087,-1.1368),(4795,3935,0.051032,-1.1299),(4795,3945,0.054363,-1.1229),(4795,3955,0.061992,-1.116),(4795,3965,0.069621,-1.1074),(4795,3975,0.07725,-1.0969),(4795,3985,0.099068,-1.0864),(4795,3995,0.13625,-1.0759),(4795,4005,0.17342,-1.0591),(4795,4015,0.2106,-1.0359),(4795,4025,0.32958,-1.0128),(4795,4035,0.45657,-0.99115),(4795,4045,0.58356,-0.97284),(4795,4055,0.7271,-0.95452),(4795,4065,0.87668,-0.93551),(4795,4075,1.0263,-0.91235),(4795,4085,1.107,-0.88919),(4795,4095,1.1324,-0.86603),(4795,4105,1.1579,-0.84524),(4795,4115,1.1814,-0.82453),(4795,4125,1.2018,-0.80383),(4795,4135,1.2222,-0.78404),(4795,4145,1.2419,-0.7645),(4795,4155,1.2587,-0.74496),(4795,4165,1.2756,-0.72596),(4795,4175,1.2924,-0.70732),(4795,4185,1.3065,-0.68868),(4795,4195,1.3205,-0.6704),(4795,4205,1.3345,-0.65261),(4795,4215,1.3465,-0.63482),(4795,4225,1.3582,-0.61724),(4795,4235,1.3698,-0.60027),(4795,4245,1.3801,-0.58331),(4795,4255,1.3896,-0.56642),(4795,4265,1.3992,-0.55037),(4795,4275,1.4079,-0.53432),(4795,4285,1.4157,-0.51827),(4795,4295,1.4235,-0.50302),(4795,4305,1.4308,-0.48787),(4795,4315,1.4371,-0.47272),(4795,4325,1.4433,-0.45827),(4795,4335,1.4494,-0.4441),(4795,4345,1.4542,-0.42992),(4795,4355,1.4591,-0.41626),(4795,4365,1.464,-0.40305),(4795,4375,1.4678,-0.38984),(4795,4385,1.4715,-0.37694),(4795,4395,1.4753,-0.3646),(4795,4405,1.4783,-0.35226),(4795,4415,1.481,-0.34009),(4795,4425,1.4838,-0.32867),(4795,4435,1.4861,-0.31725),(4795,4445,1.488,-0.30584),(4795,4455,1.4899,-0.29525),(4795,4465,1.4915,-0.28466),(4795,4475,1.4928,-0.27407),(4795,4485,1.494,-0.26414),(4795,4495,1.4951,-0.25433),(4795,4505,1.4958,-0.24453),(4795,4515,1.4964,-0.23524),(4795,4525,1.4971,-0.22622),(4795,4535,1.4973,-0.2172),(4795,4545,1.4975,-0.2085),(4795,4555,1.4977,-0.20016),(4795,4565,1.4976,-0.19182),(4795,4575,1.4974,-0.18369),(4795,4585,1.4973,-0.17606),(4795,4595,1.4969,-0.16843),(4795,4605,1.4964,-0.16087),(4795,4615,1.496,-0.1539),(4795,4625,1.4954,-0.14693),(4795,4635,1.4947,-0.13996),(4795,4645,1.494,-0.13355),(4795,4655,1.4933,-0.12717),(4795,4665,1.4924,-0.12079),(4795,4675,1.4916,-0.11485),(4795,4685,1.4907,-0.10906),(4795,4695,1.4897,-0.10327),(4795,4705,1.4887,-0.097796),(4795,4715,1.4878,-0.092555),(4795,4725,1.4867,-0.087315),(4795,4735,1.4857,-0.082292),(4795,4745,1.4847,-0.077594),(4795,4755,1.4836,-0.072896),(4795,4765,1.4826,-0.068316),(4795,4775,1.4815,-0.06415),(4795,4785,1.4805,-0.059984),(4795,4795,1.4794,-0.055841),(4795,4805,1.4784,-0.052206),(4795,4815,1.4774,-0.04857),(4795,4825,1.4764,-0.044935),(4795,4835,1.4754,-0.041751),(4795,4845,1.4744,-0.038638),(4795,4855,1.4735,-0.035524),(4795,4865,1.4726,-0.03279),(4795,4875,1.4717,-0.030227),(4795,4885,1.471,-0.027665),(4795,4895,1.4703,-0.025425),(4795,4905,1.4696,-0.023495),(4795,4915,1.4691,-0.021566),(4795,4925,1.4687,-0.019858),(4795,4935,1.4682,-0.018597),(4795,4945,1.4681,-0.017337),(4795,4955,1.468,-0.016187),(4795,4965,1.468,-0.015649),(4795,4975,1.4682,-0.015111),(4795,4985,1.4686,-0.014573),(4795,4995,1.469,-0.014703),(4795,5005,1.4697,-0.01485),(4795,5015,1.4706,-0.014997),(4795,5025,1.4716,-0.015713),(4795,5035,1.4728,-0.016574),(4795,5045,1.4744,-0.017435),(4795,5055,1.4761,-0.018722),(4795,5065,1.4778,-0.020272),(4795,5075,1.4802,-0.021822),(4795,5085,1.4827,-0.023625),(4795,5095,1.4851,-0.025749),(4795,5105,1.4881,-0.027873),(4795,5115,1.4912,-0.030084),(4795,5125,1.4943,-0.032538),(4795,5135,1.4978,-0.034992),(4795,5145,1.5014,-0.037452),(4795,5155,1.505,-0.039983),(4795,5165,1.5088,-0.042513),(4795,5175,1.5128,-0.045043),(4795,5185,1.5168,-0.04744),(4795,5195,1.5208,-0.049823),(4795,5205,1.525,-0.052206),(4795,5215,1.5291,-0.054326),(4795,5225,1.5333,-0.056347),(4795,5235,1.5374,-0.058368),(4795,5245,1.5415,-0.060025),(4795,5255,1.5456,-0.061385),(4795,5265,1.5492,-0.062744),(4795,5275,1.5529,-0.063746),(4795,5285,1.5565,-0.064142),(4795,5295,1.5594,-0.064538),(4795,5305,1.5622,-0.06472),(4795,5315,1.5649,-0.06401),(4795,5325,1.5669,-0.0633),(4795,5335,1.5684,-0.062576),(4795,5345,1.57,-0.060919),(4795,5355,1.571,-0.059262),(4795,5365,1.5713,-0.057605),(4795,5375,1.5717,-0.055457),(4795,5385,1.5718,-0.053212),(4795,5395,1.5713,-0.050967),(4795,5405,1.5707,-0.048563),(4795,5415,1.5701,-0.046076),(4795,5425,1.5691,-0.04359),(4795,5435,1.568,-0.041104),(4795,5445,1.5669,-0.03862),(4795,5455,1.5656,-0.036135),(4795,5465,1.5643,-0.0337),(4795,5475,1.5629,-0.031379),(4795,5485,1.5616,-0.029058),(4795,5495,1.5603,-0.026772),(4795,5505,1.5589,-0.024735),(4795,5515,1.5576,-0.022697),(4795,5525,1.5564,-0.02066),(4795,5535,1.5552,-0.019012),(4795,5545,1.554,-0.017386),(4795,5555,1.5531,-0.01576),(4795,5565,1.5521,-0.014625),(4795,5575,1.5512,-0.01364),(4795,5585,1.5506,-0.012655),(4795,5595,1.55,-0.012221),(4795,5605,1.5494,-0.01217),(4795,5615,1.5494,-0.012119),(4795,5625,1.5494,-0.012592),(4795,5635,1.5494,-0.013814),(4795,5645,1.5501,-0.015037),(4795,5655,1.5509,-0.016664),(4795,5665,1.5518,-0.019624),(4795,5675,1.5535,-0.022584),(4795,5685,1.5556,-0.025667),(4795,5695,1.5578,-0.030894),(4795,5705,1.5608,-0.036121),(4795,5715,1.5648,-0.041348),(4795,5725,1.5688,-0.049023),(4795,5735,1.5736,-0.057045),(4795,5745,1.5803,-0.065066),(4795,5755,1.5869,-0.075321),(4795,5765,1.594,-0.086543),(4795,5775,1.6043,-0.097765),(4795,5785,1.6146,-0.11073),(4795,5795,1.6249,-0.12529),(4795,5805,1.6393,-0.13986),(4795,5815,1.6541,-0.15537),(4795,5825,1.6689,-0.1727),(4795,5835,1.6873,-0.19003),(4795,5845,1.7069,-0.20756),(4795,5855,1.7266,-0.22613),(4795,5865,1.7485,-0.2447),(4795,5875,1.7721,-0.26326),(4795,5885,1.7957,-0.28048),(4795,5895,1.8199,-0.29768),(4795,5905,1.8452,-0.31488),(4795,5915,1.8704,-0.32861),(4795,5925,1.8953,-0.34151),(4795,5935,1.9189,-0.3544),(4795,5945,1.9426,-0.36338),(4795,5955,1.9661,-0.37005),(4795,5965,1.9856,-0.37672),(4795,5975,2.0051,-0.38063),(4795,5985,2.0247,-0.38117),(4795,5995,2.0401,-0.38171),(4795,6005,2.0549,-0.38109),(4795,6015,2.0697,-0.37739),(4795,6025,2.0819,-0.37368),(4795,6035,2.093,-0.36977),(4795,6045,2.104,-0.36385),(4795,6055,2.1139,-0.35792),(4795,6065,2.1227,-0.352),(4795,6075,2.1316,-0.34516),(4795,6085,2.14,-0.33823),(4795,6095,2.1476,-0.33131),(4795,6105,2.1552,-0.32403),(4795,6115,2.1627,-0.31663),(4795,6125,2.1695,-0.30922),(4795,6135,2.1762,-0.30169),(4795,6145,2.183,-0.29406),(4795,6155,2.1891,-0.28643),(4795,6165,2.1952,-0.27879),(4795,6175,2.2013,-0.27113),(4795,6185,2.2068,-0.26347),(4795,6195,2.2123,-0.25582),(4795,6205,2.2177,-0.24821),(4795,6215,2.2228,-0.24059),(4795,6225,2.2276,-0.23298),(4795,6235,2.2324,-0.22547),(4795,6245,2.237,-0.21796),(4795,6255,2.2412,-0.21045),(4795,6265,2.2454,-0.20311),(4795,6275,2.2495,-0.19579),(4795,6285,2.2532,-0.18847),(4795,6295,2.2568,-0.18129),(4795,6305,2.2604,-0.17418),(4795,6315,2.2636,-0.16707),(4795,6325,2.2667,-0.1601),(4795,6335,2.2699,-0.15327),(4795,6345,2.2726,-0.14645),(4795,6355,2.2753,-0.1397),(4795,6365,2.2779,-0.13311),(4795,6375,2.2803,-0.12653),(4795,6385,2.2825,-0.11998),(4795,6395,2.2848,-0.11364),(4795,6405,2.2868,-0.10731),(4795,6415,2.2886,-0.10098),(4795,6425,2.2904,-0.094842),(4795,6435,2.2921,-0.088711),(4795,6445,2.2936,-0.08258),(4795,6455,2.2951,-0.076605),(4795,6465,2.2965,-0.070675),(4795,6475,2.2976,-0.064745),(4795,6485,2.2987,-0.058894),(4795,6495,2.2998,-0.053096),(4795,6505,2.3006,-0.047298),(4795,6515,2.3014,-0.041565),(4795,6525,2.3022,-0.035922),(4795,6535,2.3028,-0.030279),(4795,6545,2.3033,-0.024653),(4795,6555,2.3038,-0.01908),(4795,6565,2.3042,-0.013506),(4795,6575,2.3044,-0.007935),(4795,6585,2.3046,-0.002402),(4795,6595,1.9605,0.003131),(4795,6605,1.2363,0.008664),(4795,6615,0.51202,0.0093),(4795,6625,0.002876,0.009307),(4795,6635,0.002836,0.009314),(4795,6645,0.002795,0.009315),(4795,6655,0.002756,0.009315),(4795,6665,0.002721,0.009315),(4795,6675,0.002687,0.009315),(4795,6685,0.002652,0.009314),(4795,6695,0.002622,0.009314),(4795,6705,0.002593,0.009313),(4795,6715,0.002563,0.009312),(4795,6725,0.002537,0.009311),(4795,6735,0.002511,0.00931),(4795,6745,0.002485,0.009309),(4795,6755,0.002462,0.009308),(4795,6765,0.00244,0.009306),(4795,6775,0.002418,0.009305),(4795,6785,0.002398,0.009304),(4795,6795,0.002379,0.009302),(4795,6805,0.00236,0.009301),(4795,6815,0.002342,0.009299),(4795,6825,0.002325,0.009298),(4795,6835,0.002309,0.009296),(4795,6845,0.002293,0.009294),(4795,6855,0.002279,0.009293),(4795,6865,0.002265,0.009291),(4795,6875,0.002251,0.009289),(4795,6885,0.002239,0.009287),(4795,6895,0.002227,0.009285),(4795,6905,0.002215,0.009283),(4795,6915,0.002204,0.009281),(4795,6925,0.002194,0.009279),(4795,6935,0.002184,0.009277),(4795,6945,0.002174,0.009274),(4795,6955,0.002166,0.009272),(4795,6965,0.002157,0.00927),(4795,6975,0.002149,0.009267),(4795,6985,0.002141,0.009265),(4805,5,3e-06,-1.2751),(4805,15,8e-06,-1.2753),(4805,25,4e-06,-1.2754),(4805,35,-9e-06,-1.2756),(4805,45,-2.1e-05,-1.2756),(4805,55,-3.4e-05,-1.2757),(4805,65,-4.1e-05,-1.2758),(4805,75,-4.4e-05,-1.2758),(4805,85,-4.7e-05,-1.2759),(4805,95,-4.9e-05,-1.276),(4805,105,-2.1e-05,-1.2761),(4805,115,2.8e-05,-1.2762),(4805,125,7.8e-05,-1.2764),(4805,135,0.000127,-1.2767),(4805,145,0.000159,-1.277),(4805,155,0.00018,-1.2773),(4805,165,0.000202,-1.2776),(4805,175,0.000223,-1.2778),(4805,185,0.000228,-1.2781),(4805,195,0.000224,-1.2784),(4805,205,0.000221,-1.2787),(4805,215,0.000217,-1.2791),(4805,225,0.000209,-1.2794),(4805,235,0.000199,-1.2797),(4805,245,0.00019,-1.2801),(4805,255,0.00018,-1.2805),(4805,265,0.000156,-1.2808),(4805,275,0.000127,-1.2812),(4805,285,9.8e-05,-1.2816),(4805,295,6.9e-05,-1.2819),(4805,305,4.3e-05,-1.2823),(4805,315,1.8e-05,-1.2826),(4805,325,-7e-06,-1.283),(4805,335,-3.3e-05,-1.2834),(4805,345,-2.3e-05,-1.2838),(4805,355,-6e-06,-1.2842),(4805,365,1.1e-05,-1.2847),(4805,375,2.7e-05,-1.2852),(4805,385,7.2e-05,-1.2857),(4805,395,0.00012,-1.2863),(4805,405,0.000168,-1.2869),(4805,415,0.000216,-1.2875),(4805,425,0.000242,-1.2882),(4805,435,0.000266,-1.2888),(4805,445,0.000289,-1.2895),(4805,455,0.000313,-1.2902),(4805,465,0.000273,-1.2909),(4805,475,0.00023,-1.2916),(4805,485,0.000188,-1.2922),(4805,495,0.000145,-1.2929),(4805,505,0.000109,-1.2936),(4805,515,7.4e-05,-1.2942),(4805,525,3.9e-05,-1.295),(4805,535,5e-06,-1.2957),(4805,545,0,-1.2964),(4805,555,-6e-06,-1.2972),(4805,565,-1.1e-05,-1.298),(4805,575,-1.4e-05,-1.2989),(4805,585,8e-06,-1.2997),(4805,595,3e-05,-1.3005),(4805,605,5.2e-05,-1.3015),(4805,615,7.4e-05,-1.3024),(4805,625,9.7e-05,-1.3033),(4805,635,0.000121,-1.3042),(4805,645,0.000145,-1.3052),(4805,655,0.000174,-1.3061),(4805,665,0.00023,-1.307),(4805,675,0.000287,-1.308),(4805,685,0.000344,-1.3091),(4805,695,0.000395,-1.3102),(4805,705,0.000422,-1.3112),(4805,715,0.000449,-1.3123),(4805,725,0.000476,-1.3134),(4805,735,0.000497,-1.3144),(4805,745,0.000495,-1.3155),(4805,755,0.000494,-1.3165),(4805,765,0.000492,-1.3175),(4805,775,0.000494,-1.3186),(4805,785,0.000505,-1.3196),(4805,795,0.000517,-1.3206),(4805,805,0.000528,-1.3218),(4805,815,0.000553,-1.3229),(4805,825,0.00061,-1.324),(4805,835,0.000666,-1.3251),(4805,845,0.000722,-1.3264),(4805,855,0.000781,-1.3277),(4805,865,0.000844,-1.329),(4805,875,0.000906,-1.3303),(4805,885,0.000969,-1.3316),(4805,895,0.001013,-1.333),(4805,905,0.001027,-1.3343),(4805,915,0.001042,-1.3356),(4805,925,0.001056,-1.3369),(4805,935,0.001065,-1.3381),(4805,945,0.001066,-1.3394),(4805,955,0.001068,-1.3406),(4805,965,0.001069,-1.3418),(4805,975,0.001059,-1.3431),(4805,985,0.001038,-1.3443),(4805,995,0.001017,-1.3455),(4805,1005,0.000996,-1.3466),(4805,1015,0.001007,-1.3477),(4805,1025,0.001049,-1.3489),(4805,1035,0.00109,-1.35),(4805,1045,0.001132,-1.3512),(4805,1055,0.001219,-1.3524),(4805,1065,0.001342,-1.3536),(4805,1075,0.001465,-1.3549),(4805,1085,0.001589,-1.3561),(4805,1095,0.001739,-1.3574),(4805,1105,0.001909,-1.3586),(4805,1115,0.002078,-1.3598),(4805,1125,0.002248,-1.3609),(4805,1135,0.002612,-1.362),(4805,1145,0.003091,-1.3631),(4805,1155,0.00357,-1.3645),(4805,1165,0.004048,-1.366),(4805,1175,0.004849,-1.3675),(4805,1185,0.00581,-1.369),(4805,1195,0.006771,-1.3718),(4805,1205,0.007732,-1.3751),(4805,1215,0.008892,-1.3785),(4805,1225,0.010135,-1.3819),(4805,1235,0.011378,-1.3877),(4805,1245,0.01262,-1.3945),(4805,1255,0.017503,-1.4013),(4805,1265,0.023614,-1.4082),(4805,1275,0.029725,-1.4051),(4805,1285,0.035837,-1.399),(4805,1295,0.049505,-1.3929),(4805,1305,0.065218,-1.3869),(4805,1315,0.080931,-1.3445),(4805,1325,0.096643,-1.2935),(4805,1335,0.059818,-1.2425),(4805,1345,0.011982,-1.1914),(4805,1355,-0.035855,-1.2289),(4805,1365,-0.083691,-1.2823),(4805,1375,-0.080486,-1.3358),(4805,1385,-0.069405,-1.3893),(4805,1395,-0.058325,-1.4031),(4805,1405,-0.047245,-1.4118),(4805,1415,-0.039837,-1.4205),(4805,1425,-0.032811,-1.4293),(4805,1435,-0.025785,-1.422),(4805,1445,-0.018759,-1.4136),(4805,1455,-0.016718,-1.4051),(4805,1465,-0.014964,-1.3966),(4805,1475,-0.013211,-1.3933),(4805,1485,-0.011457,-1.3902),(4805,1495,-0.010099,-1.3871),(4805,1505,-0.008747,-1.384),(4805,1515,-0.007395,-1.3834),(4805,1525,-0.006059,-1.3829),(4805,1535,-0.005379,-1.3823),(4805,1545,-0.004699,-1.3818),(4805,1555,-0.004019,-1.3817),(4805,1565,-0.003366,-1.3817),(4805,1575,-0.003109,-1.3816),(4805,1585,-0.002853,-1.3815),(4805,1595,-0.002596,-1.3814),(4805,1605,-0.002357,-1.3813),(4805,1615,-0.002271,-1.3812),(4805,1625,-0.002184,-1.3811),(4805,1635,-0.002097,-1.3808),(4805,1645,-0.002016,-1.3806),(4805,1655,-0.001962,-1.3803),(4805,1665,-0.001909,-1.3801),(4805,1675,-0.001855,-1.3798),(4805,1685,-0.001804,-1.3795),(4805,1695,-0.00176,-1.3791),(4805,1705,-0.001716,-1.3788),(4805,1715,-0.001672,-1.3784),(4805,1725,-0.001626,-1.3781),(4805,1735,-0.001577,-1.3777),(4805,1745,-0.001527,-1.3773),(4805,1755,-0.001478,-1.3769),(4805,1765,-0.001426,-1.3765),(4805,1775,-0.00137,-1.3761),(4805,1785,-0.001314,-1.3757),(4805,1795,-0.001258,-1.3754),(4805,1805,-0.001207,-1.3751),(4805,1815,-0.00117,-1.3748),(4805,1825,-0.001132,-1.3745),(4805,1835,-0.001095,-1.3743),(4805,1845,-0.001057,-1.3741),(4805,1855,-0.001018,-1.3738),(4805,1865,-0.000979,-1.3737),(4805,1875,-0.00094,-1.3736),(4805,1885,-0.000903,-1.3735),(4805,1895,-0.000869,-1.3734),(4805,1905,-0.000835,-1.3734),(4805,1915,-0.0008,-1.3734),(4805,1925,-0.000762,-1.3734),(4805,1935,-0.000717,-1.3734),(4805,1945,-0.000673,-1.3735),(4805,1955,-0.000629,-1.3737),(4805,1965,-0.000572,-1.3738),(4805,1975,-0.000501,-1.374),(4805,1985,-0.00043,-1.3743),(4805,1995,-0.000359,-1.3746),(4805,2005,-0.000293,-1.375),(4805,2015,-0.000232,-1.3754),(4805,2025,-0.000171,-1.3758),(4805,2035,-0.00011,-1.3763),(4805,2045,-5.5e-05,-1.3769),(4805,2055,-6e-06,-1.3774),(4805,2065,4.4e-05,-1.378),(4805,2075,9.3e-05,-1.3787),(4805,2085,0.000132,-1.3794),(4805,2095,0.000164,-1.3801),(4805,2105,0.000195,-1.3809),(4805,2115,0.000226,-1.3817),(4805,2125,0.000234,-1.3825),(4805,2135,0.000226,-1.3833),(4805,2145,0.000219,-1.3842),(4805,2155,0.000212,-1.3851),(4805,2165,0.000205,-1.386),(4805,2175,0.000198,-1.3869),(4805,2185,0.000191,-1.3879),(4805,2195,0.000184,-1.3889),(4805,2205,0.000202,-1.39),(4805,2215,0.000231,-1.391),(4805,2225,0.000259,-1.3921),(4805,2235,0.000288,-1.3933),(4805,2245,0.000353,-1.3944),(4805,2255,0.00043,-1.3956),(4805,2265,0.000507,-1.3968),(4805,2275,0.000584,-1.3981),(4805,2285,0.000706,-1.3994),(4805,2295,0.00084,-1.4007),(4805,2305,0.000973,-1.4022),(4805,2315,0.001107,-1.4037),(4805,2325,0.001259,-1.4052),(4805,2335,0.001414,-1.4067),(4805,2345,0.001569,-1.4084),(4805,2355,0.001724,-1.4101),(4805,2365,0.001858,-1.4118),(4805,2375,0.001989,-1.4135),(4805,2385,0.00212,-1.4153),(4805,2395,0.002251,-1.4172),(4805,2405,0.002347,-1.4191),(4805,2415,0.002439,-1.421),(4805,2425,0.002532,-1.4229),(4805,2435,0.002624,-1.4248),(4805,2445,0.0027,-1.4268),(4805,2455,0.002775,-1.4287),(4805,2465,0.002851,-1.4307),(4805,2475,0.002926,-1.4326),(4805,2485,0.003034,-1.4346),(4805,2495,0.003142,-1.4365),(4805,2505,0.003251,-1.4385),(4805,2515,0.003361,-1.4404),(4805,2525,0.003544,-1.4424),(4805,2535,0.003728,-1.4444),(4805,2545,0.003911,-1.4463),(4805,2555,0.004098,-1.4483),(4805,2565,0.004351,-1.4503),(4805,2575,0.004604,-1.4523),(4805,2585,0.004857,-1.4544),(4805,2595,0.005114,-1.4564),(4805,2605,0.005405,-1.4584),(4805,2615,0.005697,-1.4605),(4805,2625,0.005988,-1.4625),(4805,2635,0.006283,-1.4645),(4805,2645,0.006597,-1.4666),(4805,2655,0.006911,-1.4686),(4805,2665,0.007225,-1.4706),(4805,2675,0.007541,-1.4727),(4805,2685,0.007867,-1.4747),(4805,2695,0.008194,-1.4767),(4805,2705,0.00852,-1.4787),(4805,2715,0.008849,-1.4806),(4805,2725,0.009186,-1.4826),(4805,2735,0.009524,-1.4845),(4805,2745,0.009861,-1.4863),(4805,2755,0.010205,-1.4882),(4805,2765,0.010572,-1.49),(4805,2775,0.010939,-1.4918),(4805,2785,0.011305,-1.4936),(4805,2795,0.011686,-1.4953),(4805,2805,0.012102,-1.497),(4805,2815,0.012518,-1.4987),(4805,2825,0.012933,-1.5004),(4805,2835,0.013357,-1.502),(4805,2845,0.013798,-1.5037),(4805,2855,0.014239,-1.5053),(4805,2865,0.014679,-1.5068),(4805,2875,0.015121,-1.5083),(4805,2885,0.015566,-1.5098),(4805,2895,0.016011,-1.5112),(4805,2905,0.016455,-1.5126),(4805,2915,0.016903,-1.5139),(4805,2925,0.017357,-1.5153),(4805,2935,0.01781,-1.5166),(4805,2945,0.018263,-1.5178),(4805,2955,0.01872,-1.519),(4805,2965,0.019182,-1.5203),(4805,2975,0.019643,-1.5215),(4805,2985,0.020105,-1.5226),(4805,2995,0.020567,-1.5237),(4805,3005,0.021031,-1.5248),(4805,3015,0.021494,-1.5259),(4805,3025,0.021958,-1.5269),(4805,3035,0.022418,-1.5279),(4805,3045,0.022874,-1.5289),(4805,3055,0.02333,-1.5299),(4805,3065,0.023786,-1.5308),(4805,3075,0.024232,-1.5317),(4805,3085,0.024672,-1.5326),(4805,3095,0.025111,-1.5334),(4805,3105,0.025551,-1.5341),(4805,3115,0.02599,-1.5348),(4805,3125,0.026429,-1.5356),(4805,3135,0.026868,-1.5362),(4805,3145,0.027307,-1.5367),(4805,3155,0.027762,-1.5372),(4805,3165,0.028226,-1.5378),(4805,3175,0.02869,-1.5382),(4805,3185,0.029153,-1.5386),(4805,3195,0.029642,-1.5389),(4805,3205,0.030141,-1.5393),(4805,3215,0.03064,-1.5395),(4805,3225,0.031139,-1.5397),(4805,3235,0.031642,-1.5399),(4805,3245,0.032147,-1.54),(4805,3255,0.032652,-1.54),(4805,3265,0.033156,-1.5399),(4805,3275,0.03364,-1.5398),(4805,3285,0.034117,-1.5397),(4805,3295,0.034595,-1.5394),(4805,3305,0.035072,-1.539),(4805,3315,0.035524,-1.5386),(4805,3325,0.035969,-1.5382),(4805,3335,0.036415,-1.5375),(4805,3345,0.036861,-1.5368),(4805,3355,0.037278,-1.536),(4805,3365,0.03769,-1.5353),(4805,3375,0.038102,-1.5343),(4805,3385,0.038514,-1.5333),(4805,3395,0.038889,-1.5323),(4805,3405,0.039259,-1.5313),(4805,3415,0.039629,-1.5299),(4805,3425,0.039999,-1.5285),(4805,3435,0.040319,-1.5272),(4805,3445,0.040636,-1.5258),(4805,3455,0.040952,-1.524),(4805,3465,0.041268,-1.5221),(4805,3475,0.041536,-1.5203),(4805,3485,0.041803,-1.5185),(4805,3495,0.04207,-1.5161),(4805,3505,0.042336,-1.5138),(4805,3515,0.04261,-1.5114),(4805,3525,0.042883,-1.5091),(4805,3535,0.043156,-1.5062),(4805,3545,0.043431,-1.5034),(4805,3555,0.043741,-1.5005),(4805,3565,0.04405,-1.4977),(4805,3575,0.04436,-1.4943),(4805,3585,0.044669,-1.4909),(4805,3595,0.044977,-1.4876),(4805,3605,0.045286,-1.4841),(4805,3615,0.045594,-1.4801),(4805,3625,0.045899,-1.4761),(4805,3635,0.04618,-1.4721),(4805,3645,0.046462,-1.4679),(4805,3655,0.046743,-1.4632),(4805,3665,0.047018,-1.4585),(4805,3675,0.047262,-1.4538),(4805,3685,0.047506,-1.449),(4805,3695,0.047749,-1.4435),(4805,3705,0.047982,-1.438),(4805,3715,0.048173,-1.4325),(4805,3725,0.048364,-1.4268),(4805,3735,0.048555,-1.4205),(4805,3745,0.048729,-1.4142),(4805,3755,0.048851,-1.4078),(4805,3765,0.048974,-1.4012),(4805,3775,0.049096,-1.3939),(4805,3785,0.04921,-1.3866),(4805,3795,0.049303,-1.3793),(4805,3805,0.049397,-1.3717),(4805,3815,0.04949,-1.3634),(4805,3825,0.049625,-1.3551),(4805,3835,0.04985,-1.3468),(4805,3845,0.050074,-1.3383),(4805,3855,0.050299,-1.3293),(4805,3865,0.050612,-1.3204),(4805,3875,0.051083,-1.3114),(4805,3885,0.051553,-1.3027),(4805,3895,0.052023,-1.2942),(4805,3905,0.052524,-1.2858),(4805,3915,0.053071,-1.2773),(4805,3925,0.053618,-1.2694),(4805,3935,0.054165,-1.2624),(4805,3945,0.056423,-1.2553),(4805,3955,0.060854,-1.2482),(4805,3965,0.065286,-1.2366),(4805,3975,0.069717,-1.2196),(4805,3985,0.082176,-1.2026),(4805,3995,0.10332,-1.1856),(4805,4005,0.12447,-1.1487),(4805,4015,0.14562,-1.0917),(4805,4025,0.27727,-1.0348),(4805,4035,0.41974,-0.99074),(4805,4045,0.5622,-0.97374),(4805,4055,0.7083,-0.95673),(4805,4065,0.85571,-0.93891),(4805,4075,1.0031,-0.91628),(4805,4085,1.0832,-0.89365),(4805,4095,1.1092,-0.87101),(4805,4105,1.1352,-0.85051),(4805,4115,1.1593,-0.83009),(4805,4125,1.18,-0.80967),(4805,4135,1.2007,-0.79018),(4805,4145,1.2208,-0.77094),(4805,4155,1.2379,-0.75169),(4805,4165,1.255,-0.73301),(4805,4175,1.272,-0.71468),(4805,4185,1.2863,-0.69635),(4805,4195,1.3005,-0.67838),(4805,4205,1.3148,-0.66088),(4805,4215,1.327,-0.64338),(4805,4225,1.3389,-0.62608),(4805,4235,1.3507,-0.60938),(4805,4245,1.3612,-0.59267),(4805,4255,1.371,-0.57602),(4805,4265,1.3808,-0.56017),(4805,4275,1.3898,-0.54432),(4805,4285,1.3978,-0.52847),(4805,4295,1.4059,-0.51338),(4805,4305,1.4135,-0.49839),(4805,4315,1.4199,-0.48339),(4805,4325,1.4264,-0.46905),(4805,4335,1.4328,-0.45499),(4805,4345,1.4379,-0.44092),(4805,4355,1.443,-0.42734),(4805,4365,1.4482,-0.41419),(4805,4375,1.4522,-0.40104),(4805,4385,1.4562,-0.38819),(4805,4395,1.4602,-0.37588),(4805,4405,1.4635,-0.36358),(4805,4415,1.4665,-0.35144),(4805,4425,1.4695,-0.34003),(4805,4435,1.472,-0.32863),(4805,4445,1.4742,-0.31723),(4805,4455,1.4764,-0.30664),(4805,4465,1.4782,-0.29604),(4805,4475,1.4797,-0.28545),(4805,4485,1.4812,-0.2755),(4805,4495,1.4825,-0.26569),(4805,4505,1.4834,-0.25587),(4805,4515,1.4843,-0.24656),(4805,4525,1.4852,-0.23752),(4805,4535,1.4856,-0.22847),(4805,4545,1.486,-0.21975),(4805,4555,1.4864,-0.21139),(4805,4565,1.4865,-0.20302),(4805,4575,1.4866,-0.19487),(4805,4585,1.4866,-0.18721),(4805,4595,1.4865,-0.17956),(4805,4605,1.4862,-0.17199),(4805,4615,1.4859,-0.165),(4805,4625,1.4855,-0.15801),(4805,4635,1.485,-0.15102),(4805,4645,1.4845,-0.14457),(4805,4655,1.484,-0.13817),(4805,4665,1.4833,-0.13176),(4805,4675,1.4826,-0.12581),(4805,4685,1.4819,-0.12),(4805,4695,1.4812,-0.11419),(4805,4705,1.4804,-0.1087),(4805,4715,1.4796,-0.10345),(4805,4725,1.4787,-0.098196),(4805,4735,1.4778,-0.093164),(4805,4745,1.477,-0.088465),(4805,4755,1.4761,-0.083765),(4805,4765,1.4752,-0.079186),(4805,4775,1.4743,-0.075029),(4805,4785,1.4734,-0.070871),(4805,4795,1.4726,-0.066738),(4805,4805,1.4717,-0.063126),(4805,4815,1.4708,-0.059514),(4805,4825,1.47,-0.055903),(4805,4835,1.4692,-0.052752),(4805,4845,1.4684,-0.049672),(4805,4855,1.4677,-0.046592),(4805,4865,1.467,-0.043908),(4805,4875,1.4663,-0.041403),(4805,4885,1.4658,-0.038898),(4805,4895,1.4652,-0.036724),(4805,4905,1.4647,-0.034867),(4805,4915,1.4645,-0.033011),(4805,4925,1.4642,-0.031377),(4805,4935,1.464,-0.030193),(4805,4945,1.4641,-0.029009),(4805,4955,1.4642,-0.027935),(4805,4965,1.4644,-0.027467),(4805,4975,1.4648,-0.027),(4805,4985,1.4654,-0.026532),(4805,4995,1.4661,-0.026718),(4805,5005,1.4669,-0.026921),(4805,5015,1.4681,-0.027123),(4805,5025,1.4693,-0.027879),(4805,5035,1.4706,-0.028774),(4805,5045,1.4725,-0.02967),(4805,5055,1.4744,-0.030967),(4805,5065,1.4762,-0.032512),(4805,5075,1.4788,-0.034056),(4805,5085,1.4814,-0.035822),(4805,5095,1.4839,-0.03787),(4805,5105,1.487,-0.039918),(4805,5115,1.4902,-0.042032),(4805,5125,1.4934,-0.044329),(4805,5135,1.4968,-0.046627),(4805,5145,1.5005,-0.048927),(4805,5155,1.5041,-0.051243),(4805,5165,1.5078,-0.053559),(4805,5175,1.5117,-0.055875),(4805,5185,1.5156,-0.058013),(4805,5195,1.5196,-0.060132),(4805,5205,1.5236,-0.062251),(4805,5215,1.5276,-0.064074),(4805,5225,1.5316,-0.065785),(4805,5235,1.5354,-0.067496),(4805,5245,1.5393,-0.068828),(4805,5255,1.5432,-0.069849),(4805,5265,1.5465,-0.070871),(4805,5275,1.5499,-0.071547),(4805,5285,1.5532,-0.071639),(4805,5295,1.5559,-0.071731),(4805,5305,1.5583,-0.07163),(4805,5315,1.5607,-0.070723),(4805,5325,1.5624,-0.069815),(4805,5335,1.5637,-0.068896),(4805,5345,1.565,-0.067183),(4805,5355,1.5659,-0.065469),(4805,5365,1.5661,-0.063756),(4805,5375,1.5663,-0.061657),(4805,5385,1.5663,-0.059483),(4805,5395,1.5658,-0.057308),(4805,5405,1.5652,-0.055035),(4805,5415,1.5646,-0.052711),(4805,5425,1.5635,-0.050387),(4805,5435,1.5625,-0.0481),(4805,5445,1.5615,-0.045851),(4805,5455,1.5602,-0.043603),(4805,5465,1.559,-0.041427),(4805,5475,1.5578,-0.039419),(4805,5485,1.5566,-0.037411),(4805,5495,1.5553,-0.035449),(4805,5505,1.5541,-0.033813),(4805,5515,1.553,-0.032177),(4805,5525,1.552,-0.030541),(4805,5535,1.5509,-0.029388),(4805,5545,1.55,-0.028263),(4805,5555,1.5493,-0.027139),(4805,5565,1.5486,-0.026587),(4805,5575,1.5479,-0.026209),(4805,5585,1.5477,-0.025832),(4805,5595,1.5474,-0.026069),(4805,5605,1.5472,-0.026735),(4805,5615,1.5476,-0.027401),(4805,5625,1.5481,-0.028632),(4805,5635,1.5485,-0.030673),(4805,5645,1.5498,-0.032713),(4805,5655,1.5512,-0.035176),(4805,5665,1.5526,-0.039031),(4805,5675,1.555,-0.042885),(4805,5685,1.5578,-0.046865),(4805,5695,1.5607,-0.053024),(4805,5705,1.5645,-0.059183),(4805,5715,1.5693,-0.065342),(4805,5725,1.5742,-0.073887),(4805,5735,1.5798,-0.08277),(4805,5745,1.5874,-0.091652),(4805,5755,1.5949,-0.10263),(4805,5765,1.6029,-0.1145),(4805,5775,1.614,-0.12638),(4805,5785,1.6251,-0.13978),(4805,5795,1.6362,-0.15457),(4805,5805,1.6512,-0.16936),(4805,5815,1.6665,-0.18487),(4805,5825,1.6818,-0.20176),(4805,5835,1.7003,-0.21865),(4805,5845,1.7198,-0.2356),(4805,5855,1.7394,-0.25289),(4805,5865,1.7608,-0.27018),(4805,5875,1.7836,-0.28747),(4805,5885,1.8064,-0.30272),(4805,5895,1.8295,-0.31794),(4805,5905,1.8533,-0.33316),(4805,5915,1.877,-0.34474),(4805,5925,1.9003,-0.35545),(4805,5935,1.9222,-0.36617),(4805,5945,1.9441,-0.37323),(4805,5955,1.9658,-0.37815),(4805,5965,1.9838,-0.38306),(4805,5975,2.0017,-0.38558),(4805,5985,2.0197,-0.38517),(4805,5995,2.034,-0.38476),(4805,6005,2.0478,-0.38337),(4805,6015,2.0615,-0.37936),(4805,6025,2.073,-0.37536),(4805,6035,2.0835,-0.37118),(4805,6045,2.094,-0.36529),(4805,6055,2.1035,-0.35941),(4805,6065,2.112,-0.35353),(4805,6075,2.1206,-0.34683),(4805,6085,2.1288,-0.34006),(4805,6095,2.1362,-0.33329),(4805,6105,2.1437,-0.32619),(4805,6115,2.151,-0.31896),(4805,6125,2.1577,-0.31173),(4805,6135,2.1644,-0.30437),(4805,6145,2.171,-0.29691),(4805,6155,2.1771,-0.28944),(4805,6165,2.1831,-0.28196),(4805,6175,2.1892,-0.27443),(4805,6185,2.1947,-0.26691),(4805,6195,2.2001,-0.25939),(4805,6205,2.2055,-0.25188),(4805,6215,2.2106,-0.24437),(4805,6225,2.2154,-0.23686),(4805,6235,2.2203,-0.22941),(4805,6245,2.2248,-0.22195),(4805,6255,2.2291,-0.2145),(4805,6265,2.2333,-0.20718),(4805,6275,2.2375,-0.19988),(4805,6285,2.2412,-0.19257),(4805,6295,2.2449,-0.1854),(4805,6305,2.2485,-0.17828),(4805,6315,2.2517,-0.17117),(4805,6325,2.2549,-0.16416),(4805,6335,2.2582,-0.15728),(4805,6345,2.2609,-0.1504),(4805,6355,2.2636,-0.14358),(4805,6365,2.2664,-0.1369),(4805,6375,2.2688,-0.13022),(4805,6385,2.2711,-0.12358),(4805,6395,2.2734,-0.11713),(4805,6405,2.2754,-0.11069),(4805,6415,2.2773,-0.10424),(4805,6425,2.2792,-0.097971),(4805,6435,2.281,-0.091705),(4805,6445,2.2825,-0.085439),(4805,6455,2.284,-0.079316),(4805,6465,2.2854,-0.073233),(4805,6475,2.2866,-0.067151),(4805,6485,2.2878,-0.061137),(4805,6495,2.2889,-0.055169),(4805,6505,2.2898,-0.049201),(4805,6515,2.2906,-0.043292),(4805,6525,2.2914,-0.037465),(4805,6535,2.292,-0.031638),(4805,6545,2.2926,-0.025826),(4805,6555,2.2931,-0.020059),(4805,6565,2.2934,-0.014292),(4805,6575,2.2937,-0.008529),(4805,6585,2.2939,-0.002818),(4805,6595,1.9514,0.002894),(4805,6605,1.2305,0.008605),(4805,6615,0.50964,0.009261),(4805,6625,0.002866,0.009267),(4805,6635,0.002826,0.009274),(4805,6645,0.002786,0.009276),(4805,6655,0.002747,0.009278),(4805,6665,0.002713,0.00928),(4805,6675,0.002679,0.009281),(4805,6685,0.002645,0.009282),(4805,6695,0.002615,0.009283),(4805,6705,0.002586,0.009284),(4805,6715,0.002556,0.009284),(4805,6725,0.00253,0.009284),(4805,6735,0.002505,0.009285),(4805,6745,0.00248,0.009285),(4805,6755,0.002456,0.009285),(4805,6765,0.002435,0.009284),(4805,6775,0.002413,0.009284),(4805,6785,0.002393,0.009284),(4805,6795,0.002374,0.009283),(4805,6805,0.002355,0.009283),(4805,6815,0.002337,0.009282),(4805,6825,0.002321,0.009281),(4805,6835,0.002305,0.00928),(4805,6845,0.002289,0.009279),(4805,6855,0.002275,0.009278),(4805,6865,0.002261,0.009277),(4805,6875,0.002247,0.009276),(4805,6885,0.002235,0.009274),(4805,6895,0.002224,0.009273),(4805,6905,0.002212,0.009272),(4805,6915,0.002201,0.00927),(4805,6925,0.002191,0.009269),(4805,6935,0.002181,0.009267),(4805,6945,0.002171,0.009265),(4805,6955,0.002163,0.009263),(4805,6965,0.002154,0.009261),(4805,6975,0.002146,0.009259),(4805,6985,0.002139,0.009257),(4815,5,4e-06,-1.4116),(4815,15,1.2e-05,-1.4117),(4815,25,9e-06,-1.4119),(4815,35,-3e-06,-1.4121),(4815,45,-1.6e-05,-1.4122),(4815,55,-2.9e-05,-1.4122),(4815,65,-3.8e-05,-1.4123),(4815,75,-4.5e-05,-1.4123),(4815,85,-5.1e-05,-1.4124),(4815,95,-5.8e-05,-1.4125),(4815,105,-3.3e-05,-1.4127),(4815,115,1.2e-05,-1.4128),(4815,125,5.8e-05,-1.413),(4815,135,0.000103,-1.4133),(4815,145,0.000135,-1.4136),(4815,155,0.000161,-1.414),(4815,165,0.000186,-1.4143),(4815,175,0.000211,-1.4146),(4815,185,0.000217,-1.4149),(4815,195,0.000214,-1.4152),(4815,205,0.000211,-1.4156),(4815,215,0.000209,-1.4159),(4815,225,0.000205,-1.4163),(4815,235,0.000202,-1.4167),(4815,245,0.000199,-1.4171),(4815,255,0.000196,-1.4175),(4815,265,0.000174,-1.4179),(4815,275,0.000146,-1.4183),(4815,285,0.000118,-1.4187),(4815,295,9e-05,-1.4191),(4815,305,6e-05,-1.4195),(4815,315,2.9e-05,-1.4199),(4815,325,-2e-06,-1.4203),(4815,335,-3.3e-05,-1.4207),(4815,345,-2.7e-05,-1.4212),(4815,355,-1.5e-05,-1.4216),(4815,365,-3e-06,-1.4221),(4815,375,9e-06,-1.4227),(4815,385,5.6e-05,-1.4233),(4815,395,0.000108,-1.4239),(4815,405,0.00016,-1.4246),(4815,415,0.000211,-1.4253),(4815,425,0.000246,-1.426),(4815,435,0.00028,-1.4268),(4815,445,0.000313,-1.4275),(4815,455,0.000347,-1.4283),(4815,465,0.000303,-1.4291),(4815,475,0.000257,-1.4298),(4815,485,0.00021,-1.4305),(4815,495,0.000164,-1.4313),(4815,505,0.000119,-1.432),(4815,515,7.3e-05,-1.4327),(4815,525,2.8e-05,-1.4335),(4815,535,-1.6e-05,-1.4343),(4815,545,-2.9e-05,-1.4352),(4815,555,-4.3e-05,-1.436),(4815,565,-5.6e-05,-1.4369),(4815,575,-6.7e-05,-1.4378),(4815,585,-4.7e-05,-1.4388),(4815,595,-2.7e-05,-1.4397),(4815,605,-7e-06,-1.4407),(4815,615,1.4e-05,-1.4417),(4815,625,3.4e-05,-1.4427),(4815,635,5.5e-05,-1.4437),(4815,645,7.6e-05,-1.4448),(4815,655,0.000103,-1.4458),(4815,665,0.000168,-1.4469),(4815,675,0.000233,-1.4479),(4815,685,0.000298,-1.4491),(4815,695,0.000357,-1.4503),(4815,705,0.000392,-1.4515),(4815,715,0.000426,-1.4527),(4815,725,0.000461,-1.4539),(4815,735,0.000486,-1.455),(4815,745,0.000483,-1.4562),(4815,755,0.000479,-1.4574),(4815,765,0.000476,-1.4585),(4815,775,0.000474,-1.4596),(4815,785,0.000476,-1.4608),(4815,795,0.000478,-1.4619),(4815,805,0.000481,-1.4632),(4815,815,0.000498,-1.4644),(4815,825,0.000547,-1.4656),(4815,835,0.000596,-1.4669),(4815,845,0.000646,-1.4683),(4815,855,0.0007,-1.4697),(4815,865,0.000763,-1.4711),(4815,875,0.000826,-1.4726),(4815,885,0.000889,-1.4741),(4815,895,0.000932,-1.4755),(4815,905,0.000946,-1.477),(4815,915,0.000959,-1.4785),(4815,925,0.000973,-1.4799),(4815,935,0.000982,-1.4813),(4815,945,0.000984,-1.4826),(4815,955,0.000987,-1.484),(4815,965,0.000989,-1.4854),(4815,975,0.000974,-1.4868),(4815,985,0.000939,-1.4881),(4815,995,0.000905,-1.4894),(4815,1005,0.00087,-1.4907),(4815,1015,0.000865,-1.4919),(4815,1025,0.00089,-1.4931),(4815,1035,0.000914,-1.4944),(4815,1045,0.000938,-1.4958),(4815,1055,0.001017,-1.4971),(4815,1065,0.00114,-1.4984),(4815,1075,0.001263,-1.4998),(4815,1085,0.001386,-1.5012),(4815,1095,0.00154,-1.5026),(4815,1105,0.001716,-1.504),(4815,1115,0.001892,-1.5052),(4815,1125,0.002067,-1.5064),(4815,1135,0.002507,-1.5076),(4815,1145,0.003102,-1.5088),(4815,1155,0.003698,-1.5103),(4815,1165,0.004293,-1.512),(4815,1175,0.005568,-1.5137),(4815,1185,0.007179,-1.5153),(4815,1195,0.00879,-1.5187),(4815,1205,0.010402,-1.5228),(4815,1215,0.012647,-1.5269),(4815,1225,0.015153,-1.531),(4815,1235,0.01766,-1.5386),(4815,1245,0.020167,-1.5475),(4815,1255,0.021192,-1.5563),(4815,1265,0.021718,-1.5652),(4815,1275,0.022244,-1.5578),(4815,1285,0.02277,-1.5454),(4815,1295,0.020521,-1.533),(4815,1305,0.017522,-1.5206),(4815,1315,0.014523,-1.4501),(4815,1325,0.011524,-1.3656),(4815,1335,0.008691,-1.2811),(4815,1345,0.005892,-1.1967),(4815,1355,0.003093,-1.2571),(4815,1365,0.000294,-1.3437),(4815,1375,-0.006373,-1.4304),(4815,1385,-0.013637,-1.5171),(4815,1395,-0.020901,-1.5416),(4815,1405,-0.028166,-1.5582),(4815,1415,-0.029103,-1.5748),(4815,1425,-0.029384,-1.5914),(4815,1435,-0.029665,-1.5821),(4815,1445,-0.029946,-1.5707),(4815,1455,-0.02646,-1.5594),(4815,1465,-0.022758,-1.548),(4815,1475,-0.019056,-1.5438),(4815,1485,-0.015353,-1.5398),(4815,1495,-0.013078,-1.5358),(4815,1505,-0.010825,-1.5318),(4815,1515,-0.008571,-1.5313),(4815,1525,-0.006353,-1.5307),(4815,1535,-0.005538,-1.5301),(4815,1545,-0.004723,-1.5295),(4815,1555,-0.003907,-1.5295),(4815,1565,-0.003128,-1.5294),(4815,1575,-0.002878,-1.5294),(4815,1585,-0.002629,-1.5293),(4815,1595,-0.002379,-1.5292),(4815,1605,-0.002147,-1.5291),(4815,1615,-0.002072,-1.529),(4815,1625,-0.001998,-1.5289),(4815,1635,-0.001923,-1.5286),(4815,1645,-0.001852,-1.5283),(4815,1655,-0.001806,-1.528),(4815,1665,-0.001759,-1.5277),(4815,1675,-0.001712,-1.5274),(4815,1685,-0.001668,-1.527),(4815,1695,-0.001631,-1.5267),(4815,1705,-0.001595,-1.5263),(4815,1715,-0.001559,-1.5259),(4815,1725,-0.001521,-1.5255),(4815,1735,-0.001475,-1.5251),(4815,1745,-0.00143,-1.5247),(4815,1755,-0.001384,-1.5242),(4815,1765,-0.001336,-1.5238),(4815,1775,-0.001278,-1.5234),(4815,1785,-0.001221,-1.5229),(4815,1795,-0.001163,-1.5226),(4815,1805,-0.001113,-1.5222),(4815,1815,-0.001082,-1.5219),(4815,1825,-0.001051,-1.5216),(4815,1835,-0.00102,-1.5213),(4815,1845,-0.000989,-1.5211),(4815,1855,-0.000957,-1.5208),(4815,1865,-0.000926,-1.5206),(4815,1875,-0.000895,-1.5206),(4815,1885,-0.000863,-1.5205),(4815,1895,-0.000833,-1.5204),(4815,1905,-0.000802,-1.5203),(4815,1915,-0.000772,-1.5204),(4815,1925,-0.000735,-1.5204),(4815,1935,-0.000691,-1.5204),(4815,1945,-0.000646,-1.5205),(4815,1955,-0.000601,-1.5207),(4815,1965,-0.000541,-1.5208),(4815,1975,-0.000462,-1.521),(4815,1985,-0.000384,-1.5213),(4815,1995,-0.000305,-1.5217),(4815,2005,-0.000234,-1.5221),(4815,2015,-0.000172,-1.5225),(4815,2025,-0.000109,-1.523),(4815,2035,-4.6e-05,-1.5236),(4815,2045,7e-06,-1.5241),(4815,2055,5.1e-05,-1.5247),(4815,2065,9.5e-05,-1.5254),(4815,2075,0.000139,-1.5262),(4815,2085,0.000174,-1.5269),(4815,2095,0.000201,-1.5277),(4815,2105,0.000229,-1.5285),(4815,2115,0.000256,-1.5295),(4815,2125,0.000259,-1.5304),(4815,2135,0.000248,-1.5313),(4815,2145,0.000236,-1.5323),(4815,2155,0.000224,-1.5333),(4815,2165,0.000211,-1.5343),(4815,2175,0.000197,-1.5353),(4815,2185,0.000184,-1.5364),(4815,2195,0.00017,-1.5375),(4815,2205,0.000183,-1.5386),(4815,2215,0.000207,-1.5398),(4815,2225,0.000231,-1.541),(4815,2235,0.000255,-1.5423),(4815,2245,0.000321,-1.5435),(4815,2255,0.000401,-1.5448),(4815,2265,0.00048,-1.5462),(4815,2275,0.00056,-1.5476),(4815,2285,0.000693,-1.5491),(4815,2295,0.000842,-1.5505),(4815,2305,0.00099,-1.5521),(4815,2315,0.001138,-1.5538),(4815,2325,0.001308,-1.5554),(4815,2335,0.001481,-1.5571),(4815,2345,0.001655,-1.5589),(4815,2355,0.001829,-1.5608),(4815,2365,0.001973,-1.5627),(4815,2375,0.002113,-1.5646),(4815,2385,0.002253,-1.5666),(4815,2395,0.002392,-1.5687),(4815,2405,0.002484,-1.5707),(4815,2415,0.00257,-1.5728),(4815,2425,0.002656,-1.5749),(4815,2435,0.002742,-1.5771),(4815,2445,0.002804,-1.5792),(4815,2455,0.002865,-1.5814),(4815,2465,0.002926,-1.5836),(4815,2475,0.002987,-1.5857),(4815,2485,0.003081,-1.5879),(4815,2495,0.003177,-1.59),(4815,2505,0.003272,-1.5922),(4815,2515,0.003368,-1.5943),(4815,2525,0.003548,-1.5965),(4815,2535,0.003728,-1.5987),(4815,2545,0.003908,-1.6009),(4815,2555,0.004093,-1.6031),(4815,2565,0.004355,-1.6053),(4815,2575,0.004617,-1.6075),(4815,2585,0.004879,-1.6097),(4815,2595,0.005145,-1.612),(4815,2605,0.00545,-1.6142),(4815,2615,0.005754,-1.6165),(4815,2625,0.006058,-1.6187),(4815,2635,0.006365,-1.621),(4815,2645,0.006687,-1.6232),(4815,2655,0.007008,-1.6255),(4815,2665,0.00733,-1.6277),(4815,2675,0.007653,-1.63),(4815,2685,0.00798,-1.6322),(4815,2695,0.008307,-1.6344),(4815,2705,0.008634,-1.6366),(4815,2715,0.008962,-1.6388),(4815,2725,0.009292,-1.6409),(4815,2735,0.009622,-1.6431),(4815,2745,0.009952,-1.6451),(4815,2755,0.010287,-1.6472),(4815,2765,0.010638,-1.6492),(4815,2775,0.010989,-1.6512),(4815,2785,0.01134,-1.6531),(4815,2795,0.011705,-1.655),(4815,2805,0.012104,-1.6569),(4815,2815,0.012503,-1.6588),(4815,2825,0.012902,-1.6606),(4815,2835,0.01331,-1.6625),(4815,2845,0.013739,-1.6643),(4815,2855,0.014167,-1.6661),(4815,2865,0.014595,-1.6677),(4815,2875,0.015026,-1.6694),(4815,2885,0.015462,-1.6711),(4815,2895,0.015899,-1.6727),(4815,2905,0.016335,-1.6742),(4815,2915,0.016776,-1.6757),(4815,2925,0.017224,-1.6772),(4815,2935,0.017672,-1.6786),(4815,2945,0.01812,-1.68),(4815,2955,0.018573,-1.6813),(4815,2965,0.019034,-1.6827),(4815,2975,0.019495,-1.684),(4815,2985,0.019955,-1.6853),(4815,2995,0.020418,-1.6865),(4815,3005,0.020884,-1.6878),(4815,3015,0.02135,-1.6889),(4815,3025,0.021816,-1.6901),(4815,3035,0.022276,-1.6912),(4815,3045,0.022731,-1.6923),(4815,3055,0.023186,-1.6934),(4815,3065,0.023641,-1.6944),(4815,3075,0.024083,-1.6954),(4815,3085,0.024515,-1.6963),(4815,3095,0.024948,-1.6972),(4815,3105,0.02538,-1.698),(4815,3115,0.025812,-1.6989),(4815,3125,0.026244,-1.6997),(4815,3135,0.026676,-1.7004),(4815,3145,0.027108,-1.701),(4815,3155,0.027554,-1.7016),(4815,3165,0.028009,-1.7022),(4815,3175,0.028463,-1.7026),(4815,3185,0.028917,-1.703),(4815,3195,0.029398,-1.7034),(4815,3205,0.029892,-1.7039),(4815,3215,0.030385,-1.7041),(4815,3225,0.030878,-1.7043),(4815,3235,0.031379,-1.7045),(4815,3245,0.031884,-1.7047),(4815,3255,0.032388,-1.7047),(4815,3265,0.032893,-1.7046),(4815,3275,0.033379,-1.7045),(4815,3285,0.03386,-1.7044),(4815,3295,0.034341,-1.704),(4815,3305,0.034821,-1.7036),(4815,3315,0.03528,-1.7031),(4815,3325,0.035733,-1.7026),(4815,3335,0.036186,-1.7019),(4815,3345,0.03664,-1.7011),(4815,3355,0.037061,-1.7003),(4815,3365,0.037478,-1.6995),(4815,3375,0.037894,-1.6984),(4815,3385,0.03831,-1.6973),(4815,3395,0.038683,-1.6961),(4815,3405,0.039051,-1.695),(4815,3415,0.039418,-1.6935),(4815,3425,0.039786,-1.6919),(4815,3435,0.040103,-1.6904),(4815,3445,0.040416,-1.6888),(4815,3455,0.04073,-1.6868),(4815,3465,0.041043,-1.6848),(4815,3475,0.041306,-1.6828),(4815,3485,0.041567,-1.6807),(4815,3495,0.041828,-1.6781),(4815,3505,0.042089,-1.6755),(4815,3515,0.042351,-1.6728),(4815,3525,0.042613,-1.6702),(4815,3535,0.042875,-1.667),(4815,3545,0.043138,-1.6638),(4815,3555,0.043444,-1.6606),(4815,3565,0.04375,-1.6574),(4815,3575,0.044056,-1.6536),(4815,3585,0.044363,-1.6498),(4815,3595,0.044678,-1.646),(4815,3605,0.044993,-1.6422),(4815,3615,0.045307,-1.6376),(4815,3625,0.045618,-1.6331),(4815,3635,0.045903,-1.6286),(4815,3645,0.046189,-1.624),(4815,3655,0.046474,-1.6187),(4815,3665,0.04675,-1.6134),(4815,3675,0.046985,-1.608),(4815,3685,0.047219,-1.6026),(4815,3695,0.047453,-1.5964),(4815,3705,0.047674,-1.5902),(4815,3715,0.047841,-1.584),(4815,3725,0.048009,-1.5776),(4815,3735,0.048176,-1.5705),(4815,3745,0.048326,-1.5634),(4815,3755,0.048422,-1.5562),(4815,3765,0.048518,-1.5488),(4815,3775,0.048614,-1.5406),(4815,3785,0.048705,-1.5324),(4815,3795,0.048783,-1.5241),(4815,3805,0.048862,-1.5156),(4815,3815,0.04894,-1.5062),(4815,3825,0.049088,-1.4969),(4815,3835,0.049379,-1.4875),(4815,3845,0.049671,-1.4779),(4815,3855,0.049962,-1.4679),(4815,3865,0.050471,-1.4578),(4815,3875,0.051363,-1.4478),(4815,3885,0.052255,-1.438),(4815,3895,0.053147,-1.4288),(4815,3905,0.054187,-1.4196),(4815,3915,0.055448,-1.4104),(4815,3925,0.056709,-1.402),(4815,3935,0.05797,-1.3948),(4815,3945,0.058837,-1.3877),(4815,3955,0.059203,-1.3805),(4815,3965,0.05957,-1.3658),(4815,3975,0.059936,-1.3423),(4815,3985,0.060504,-1.3188),(4815,3995,0.06129,-1.2953),(4815,4005,0.062076,-1.2382),(4815,4015,0.062863,-1.1476),(4815,4025,0.21222,-1.0569),(4815,4035,0.37612,-0.99033),(4815,4045,0.54001,-0.97463),(4815,4055,0.69015,-0.95894),(4815,4065,0.83527,-0.94232),(4815,4075,0.98039,-0.92021),(4815,4085,1.0598,-0.8981),(4815,4095,1.0863,-0.87599),(4815,4105,1.1128,-0.85579),(4815,4115,1.1373,-0.83565),(4815,4125,1.1584,-0.81552),(4815,4135,1.1795,-0.79632),(4815,4145,1.1998,-0.77738),(4815,4155,1.2172,-0.75843),(4815,4165,1.2346,-0.74005),(4815,4175,1.2519,-0.72204),(4815,4185,1.2663,-0.70402),(4815,4195,1.2808,-0.68635),(4815,4205,1.2952,-0.66915),(4815,4215,1.3077,-0.65194),(4815,4225,1.3197,-0.63493),(4815,4235,1.3318,-0.61848),(4815,4245,1.3425,-0.60202),(4815,4255,1.3526,-0.58563),(4815,4265,1.3626,-0.56998),(4815,4275,1.3718,-0.55433),(4815,4285,1.3801,-0.53868),(4815,4295,1.3884,-0.52375),(4815,4305,1.3962,-0.5089),(4815,4315,1.4029,-0.49405),(4815,4325,1.4097,-0.47984),(4815,4335,1.4162,-0.46587),(4815,4345,1.4216,-0.45191),(4815,4355,1.427,-0.43842),(4815,4365,1.4324,-0.42533),(4815,4375,1.4367,-0.41224),(4815,4385,1.441,-0.39944),(4815,4395,1.4452,-0.38717),(4815,4405,1.4487,-0.3749),(4815,4415,1.452,-0.36278),(4815,4425,1.4552,-0.35139),(4815,4435,1.458,-0.34),(4815,4445,1.4604,-0.32862),(4815,4455,1.4628,-0.31802),(4815,4465,1.465,-0.30743),(4815,4475,1.4667,-0.29683),(4815,4485,1.4684,-0.28687),(4815,4495,1.4699,-0.27704),(4815,4505,1.4711,-0.26721),(4815,4515,1.4722,-0.25788),(4815,4525,1.4733,-0.24882),(4815,4535,1.4739,-0.23975),(4815,4545,1.4746,-0.23101),(4815,4555,1.4752,-0.22262),(4815,4565,1.4755,-0.21423),(4815,4575,1.4757,-0.20605),(4815,4585,1.476,-0.19837),(4815,4595,1.476,-0.1907),(4815,4605,1.476,-0.1831),(4815,4615,1.4759,-0.17609),(4815,4625,1.4757,-0.16908),(4815,4635,1.4754,-0.16207),(4815,4645,1.4751,-0.1556),(4815,4655,1.4747,-0.14917),(4815,4665,1.4742,-0.14274),(4815,4675,1.4737,-0.13676),(4815,4685,1.4732,-0.13094),(4815,4695,1.4726,-0.12511),(4815,4705,1.472,-0.11961),(4815,4715,1.4714,-0.11434),(4815,4725,1.4707,-0.10908),(4815,4735,1.47,-0.10404),(4815,4745,1.4693,-0.099335),(4815,4755,1.4686,-0.094634),(4815,4765,1.4679,-0.090056),(4815,4775,1.4671,-0.085908),(4815,4785,1.4664,-0.081759),(4815,4795,1.4657,-0.077635),(4815,4805,1.465,-0.074047),(4815,4815,1.4644,-0.070459),(4815,4825,1.4637,-0.066871),(4815,4835,1.4631,-0.063752),(4815,4845,1.4624,-0.060707),(4815,4855,1.4619,-0.057661),(4815,4865,1.4614,-0.055027),(4815,4875,1.4609,-0.052579),(4815,4885,1.4606,-0.050131),(4815,4895,1.4602,-0.048022),(4815,4905,1.4599,-0.046239),(4815,4915,1.4599,-0.044455),(4815,4925,1.4599,-0.042896),(4815,4935,1.4598,-0.041788),(4815,4945,1.4601,-0.040681),(4815,4955,1.4605,-0.039683),(4815,4965,1.4608,-0.039285),(4815,4975,1.4615,-0.038888),(4815,4985,1.4623,-0.038491),(4815,4995,1.4632,-0.038733),(4815,5005,1.4642,-0.038991),(4815,5015,1.4656,-0.039249),(4815,5025,1.467,-0.040044),(4815,5035,1.4685,-0.040975),(4815,5045,1.4706,-0.041906),(4815,5055,1.4726,-0.043213),(4815,5065,1.4747,-0.044751),(4815,5075,1.4774,-0.046289),(4815,5085,1.4801,-0.048018),(4815,5095,1.4828,-0.049991),(4815,5105,1.4859,-0.051963),(4815,5115,1.4891,-0.053979),(4815,5125,1.4923,-0.056121),(4815,5135,1.4958,-0.058263),(4815,5145,1.4994,-0.060401),(4815,5155,1.503,-0.062503),(4815,5165,1.5067,-0.064605),(4815,5175,1.5105,-0.066706),(4815,5185,1.5143,-0.068585),(4815,5195,1.5182,-0.070441),(4815,5205,1.522,-0.072296),(4815,5215,1.5259,-0.073821),(4815,5225,1.5297,-0.075223),(4815,5235,1.5333,-0.076624),(4815,5245,1.5369,-0.077631),(4815,5255,1.5406,-0.078314),(4815,5265,1.5437,-0.078997),(4815,5275,1.5467,-0.079347),(4815,5285,1.5498,-0.079136),(4815,5295,1.5521,-0.078924),(4815,5305,1.5543,-0.07854),(4815,5315,1.5564,-0.077435),(4815,5325,1.5579,-0.07633),(4815,5335,1.559,-0.075216),(4815,5345,1.5601,-0.073446),(4815,5355,1.5608,-0.071676),(4815,5365,1.5609,-0.069907),(4815,5375,1.561,-0.067857),(4815,5385,1.5609,-0.065754),(4815,5395,1.5604,-0.06365),(4815,5405,1.5598,-0.061508),(4815,5415,1.5592,-0.059346),(4815,5425,1.5582,-0.057185),(4815,5435,1.5572,-0.055095),(4815,5445,1.5562,-0.053083),(4815,5455,1.5551,-0.051071),(4815,5465,1.5539,-0.049154),(4815,5475,1.5528,-0.047459),(4815,5485,1.5517,-0.045764),(4815,5495,1.5506,-0.044125),(4815,5505,1.5496,-0.042891),(4815,5515,1.5486,-0.041656),(4815,5525,1.5478,-0.040421),(4815,5535,1.547,-0.039765),(4815,5545,1.5463,-0.039141),(4815,5555,1.5458,-0.038518),(4815,5565,1.5453,-0.038549),(4815,5575,1.545,-0.038779),(4815,5585,1.5451,-0.039008),(4815,5595,1.5452,-0.039917),(4815,5605,1.5453,-0.0413),(4815,5615,1.5463,-0.042683),(4815,5625,1.5472,-0.044672),(4815,5635,1.5481,-0.047531),(4815,5645,1.5499,-0.05039),(4815,5655,1.5519,-0.053688),(4815,5665,1.554,-0.058438),(4815,5675,1.557,-0.063187),(4815,5685,1.5606,-0.068064),(4815,5695,1.5641,-0.075154),(4815,5705,1.5687,-0.082245),(4815,5715,1.5743,-0.089336),(4815,5725,1.58,-0.098751),(4815,5735,1.5865,-0.10849),(4815,5745,1.5949,-0.11824),(4815,5755,1.6033,-0.12993),(4815,5765,1.6121,-0.14246),(4815,5775,1.6239,-0.155),(4815,5785,1.6357,-0.16883),(4815,5795,1.6476,-0.18385),(4815,5805,1.663,-0.19887),(4815,5815,1.6787,-0.21438),(4815,5825,1.6944,-0.23083),(4815,5835,1.7129,-0.24727),(4815,5845,1.7322,-0.26365),(4815,5855,1.7516,-0.27966),(4815,5865,1.7724,-0.29566),(4815,5875,1.7942,-0.31167),(4815,5885,1.816,-0.32495),(4815,5895,1.838,-0.33819),(4815,5905,1.8602,-0.35143),(4815,5915,1.8824,-0.36087),(4815,5925,1.9042,-0.3694),(4815,5935,1.9243,-0.37793),(4815,5945,1.9445,-0.38308),(4815,5955,1.9645,-0.38625),(4815,5965,1.9811,-0.38941),(4815,5975,1.9976,-0.39053),(4815,5985,2.0142,-0.38917),(4815,5995,2.0275,-0.38781),(4815,6005,2.0403,-0.38565),(4815,6015,2.0531,-0.38134),(4815,6025,2.064,-0.37703),(4815,6035,2.074,-0.37258),(4815,6045,2.084,-0.36674),(4815,6055,2.0931,-0.3609),(4815,6065,2.1014,-0.35506),(4815,6075,2.1097,-0.34851),(4815,6085,2.1177,-0.34189),(4815,6095,2.125,-0.33528),(4815,6105,2.1323,-0.32834),(4815,6115,2.1394,-0.32129),(4815,6125,2.146,-0.31424),(4815,6135,2.1526,-0.30705),(4815,6145,2.1592,-0.29975),(4815,6155,2.1652,-0.29245),(4815,6165,2.1712,-0.28512),(4815,6175,2.1772,-0.27774),(4815,6185,2.1827,-0.27035),(4815,6195,2.1881,-0.26296),(4815,6205,2.1935,-0.25555),(4815,6215,2.1985,-0.24814),(4815,6225,2.2033,-0.24073),(4815,6235,2.2082,-0.23334),(4815,6245,2.2127,-0.22595),(4815,6255,2.217,-0.21856),(4815,6265,2.2213,-0.21125),(4815,6275,2.2254,-0.20396),(4815,6285,2.2292,-0.19667),(4815,6295,2.2329,-0.1895),(4815,6305,2.2366,-0.18238),(4815,6315,2.2399,-0.17526),(4815,6325,2.2431,-0.16823),(4815,6335,2.2464,-0.16129),(4815,6345,2.2492,-0.15434),(4815,6355,2.252,-0.14746),(4815,6365,2.2548,-0.14069),(4815,6375,2.2572,-0.13392),(4815,6385,2.2596,-0.12718),(4815,6395,2.2619,-0.12062),(4815,6405,2.2641,-0.11406),(4815,6415,2.266,-0.10751),(4815,6425,2.2679,-0.1011),(4815,6435,2.2697,-0.094699),(4815,6445,2.2713,-0.088299),(4815,6455,2.2729,-0.082027),(4815,6465,2.2744,-0.075792),(4815,6475,2.2756,-0.069556),(4815,6485,2.2768,-0.063379),(4815,6495,2.2779,-0.057241),(4815,6505,2.2788,-0.051104),(4815,6515,2.2797,-0.045019),(4815,6525,2.2805,-0.039008),(4815,6535,2.2811,-0.032997),(4815,6545,2.2817,-0.026999),(4815,6555,2.2823,-0.021038),(4815,6565,2.2826,-0.015078),(4815,6575,2.2828,-0.009123),(4815,6585,2.2831,-0.003233),(4815,6595,1.9422,0.002657),(4815,6605,1.2247,0.008547),(4815,6615,0.50724,0.009222),(4815,6625,0.002855,0.009228),(4815,6635,0.002816,0.009233),(4815,6645,0.002777,0.009237),(4815,6655,0.002738,0.009241),(4815,6665,0.002704,0.009244),(4815,6675,0.00267,0.009247),(4815,6685,0.002637,0.00925),(4815,6695,0.002607,0.009252),(4815,6705,0.002578,0.009255),(4815,6715,0.002549,0.009256),(4815,6725,0.002523,0.009258),(4815,6735,0.002498,0.009259),(4815,6745,0.002473,0.00926),(4815,6755,0.00245,0.009262),(4815,6765,0.002429,0.009263),(4815,6775,0.002407,0.009263),(4815,6785,0.002387,0.009264),(4815,6795,0.002368,0.009264),(4815,6805,0.00235,0.009264),(4815,6815,0.002332,0.009265),(4815,6825,0.002316,0.009265),(4815,6835,0.0023,0.009264),(4815,6845,0.002284,0.009264),(4815,6855,0.002271,0.009264),(4815,6865,0.002257,0.009263),(4815,6875,0.002243,0.009263),(4815,6885,0.002231,0.009262),(4815,6895,0.00222,0.009261),(4815,6905,0.002208,0.00926),(4815,6915,0.002197,0.009259),(4815,6925,0.002188,0.009258),(4815,6935,0.002178,0.009257),(4815,6945,0.002168,0.009256),(4815,6955,0.00216,0.009255),(4815,6965,0.002151,0.009253),(4815,6975,0.002143,0.009251),(4815,6985,0.002136,0.00925),(4825,5,5e-06,-1.4254),(4825,15,1.6e-05,-1.4256),(4825,25,1.5e-05,-1.4258),(4825,35,2e-06,-1.4259),(4825,45,-1.1e-05,-1.426),(4825,55,-2.4e-05,-1.4261),(4825,65,-3.5e-05,-1.4262),(4825,75,-4.6e-05,-1.4262),(4825,85,-5.6e-05,-1.4263),(4825,95,-6.7e-05,-1.4264),(4825,105,-4.6e-05,-1.4265),(4825,115,-4e-06,-1.4266),(4825,125,3.7e-05,-1.4269),(4825,135,7.9e-05,-1.4272),(4825,145,0.000112,-1.4275),(4825,155,0.000141,-1.4278),(4825,165,0.000169,-1.4281),(4825,175,0.000198,-1.4284),(4825,185,0.000206,-1.4287),(4825,195,0.000204,-1.4291),(4825,205,0.000202,-1.4294),(4825,215,0.0002,-1.4298),(4825,225,0.000202,-1.4302),(4825,235,0.000205,-1.4305),(4825,245,0.000208,-1.4309),(4825,255,0.000211,-1.4314),(4825,265,0.000191,-1.4318),(4825,275,0.000164,-1.4322),(4825,285,0.000137,-1.4326),(4825,295,0.00011,-1.433),(4825,305,7.6e-05,-1.4334),(4825,315,4e-05,-1.4339),(4825,325,4e-06,-1.4343),(4825,335,-3.3e-05,-1.4347),(4825,345,-3.2e-05,-1.4351),(4825,355,-2.4e-05,-1.4356),(4825,365,-1.7e-05,-1.4361),(4825,375,-9e-06,-1.4367),(4825,385,4.1e-05,-1.4373),(4825,395,9.6e-05,-1.4378),(4825,405,0.000151,-1.4385),(4825,415,0.000207,-1.4393),(4825,425,0.000251,-1.44),(4825,435,0.000294,-1.4407),(4825,445,0.000337,-1.4415),(4825,455,0.00038,-1.4423),(4825,465,0.000334,-1.4431),(4825,475,0.000283,-1.4439),(4825,485,0.000233,-1.4446),(4825,495,0.000183,-1.4453),(4825,505,0.000128,-1.4461),(4825,515,7.2e-05,-1.4468),(4825,525,1.7e-05,-1.4476),(4825,535,-3.7e-05,-1.4484),(4825,545,-5.8e-05,-1.4493),(4825,555,-8e-05,-1.4501),(4825,565,-0.000101,-1.451),(4825,575,-0.00012,-1.4519),(4825,585,-0.000102,-1.4529),(4825,595,-8.3e-05,-1.4538),(4825,605,-6.5e-05,-1.4548),(4825,615,-4.6e-05,-1.4558),(4825,625,-2.9e-05,-1.4568),(4825,635,-1.1e-05,-1.4579),(4825,645,7e-06,-1.4589),(4825,655,3.3e-05,-1.4599),(4825,665,0.000106,-1.461),(4825,675,0.000179,-1.462),(4825,685,0.000252,-1.4633),(4825,695,0.000319,-1.4645),(4825,705,0.000361,-1.4657),(4825,715,0.000403,-1.4669),(4825,725,0.000445,-1.4681),(4825,735,0.000476,-1.4693),(4825,745,0.00047,-1.4705),(4825,755,0.000465,-1.4717),(4825,765,0.000459,-1.4729),(4825,775,0.000454,-1.474),(4825,785,0.000447,-1.4752),(4825,795,0.00044,-1.4763),(4825,805,0.000433,-1.4776),(4825,815,0.000442,-1.4788),(4825,825,0.000484,-1.48),(4825,835,0.000527,-1.4812),(4825,845,0.000569,-1.4827),(4825,855,0.000619,-1.4841),(4825,865,0.000682,-1.4855),(4825,875,0.000745,-1.4869),(4825,885,0.000809,-1.4884),(4825,895,0.000852,-1.4899),(4825,905,0.000865,-1.4915),(4825,915,0.000877,-1.4929),(4825,925,0.00089,-1.4943),(4825,935,0.000898,-1.4957),(4825,945,0.000902,-1.4972),(4825,955,0.000906,-1.4986),(4825,965,0.000909,-1.5),(4825,975,0.000889,-1.5014),(4825,985,0.00084,-1.5028),(4825,995,0.000792,-1.5041),(4825,1005,0.000744,-1.5054),(4825,1015,0.000724,-1.5066),(4825,1025,0.000731,-1.5078),(4825,1035,0.000738,-1.5091),(4825,1045,0.000745,-1.5104),(4825,1055,0.000815,-1.5118),(4825,1065,0.000938,-1.5131),(4825,1075,0.001061,-1.5145),(4825,1085,0.001184,-1.5159),(4825,1095,0.001342,-1.5173),(4825,1105,0.001523,-1.5188),(4825,1115,0.001705,-1.5201),(4825,1125,0.001887,-1.5213),(4825,1135,0.002402,-1.5225),(4825,1145,0.003114,-1.5237),(4825,1155,0.003826,-1.5251),(4825,1165,0.004538,-1.5266),(4825,1175,0.006286,-1.5281),(4825,1185,0.008547,-1.5296),(4825,1195,0.010809,-1.5323),(4825,1205,0.013071,-1.5356),(4825,1215,0.016401,-1.5388),(4825,1225,0.020172,-1.542),(4825,1235,0.023942,-1.5484),(4825,1245,0.027713,-1.556),(4825,1255,0.024882,-1.5636),(4825,1265,0.019822,-1.5711),(4825,1275,0.014762,-1.5659),(4825,1285,0.009702,-1.5569),(4825,1295,-0.008463,-1.5478),(4825,1305,-0.030174,-1.5387),(4825,1315,-0.051884,-1.465),(4825,1325,-0.073594,-1.3757),(4825,1335,-0.042436,-1.2865),(4825,1345,-0.000198,-1.1973),(4825,1355,0.042041,-1.2595),(4825,1365,0.084279,-1.3492),(4825,1375,0.067739,-1.439),(4825,1385,0.042131,-1.5287),(4825,1395,0.016522,-1.5508),(4825,1405,-0.009086,-1.5643),(4825,1415,-0.018369,-1.5778),(4825,1425,-0.025957,-1.5913),(4825,1435,-0.033545,-1.584),(4825,1445,-0.041132,-1.5749),(4825,1455,-0.036202,-1.5659),(4825,1465,-0.030552,-1.5568),(4825,1475,-0.024901,-1.554),(4825,1485,-0.01925,-1.5514),(4825,1495,-0.016058,-1.5488),(4825,1505,-0.012903,-1.5462),(4825,1515,-0.009748,-1.5458),(4825,1525,-0.006647,-1.5454),(4825,1535,-0.005697,-1.5451),(4825,1545,-0.004746,-1.5447),(4825,1555,-0.003796,-1.5447),(4825,1565,-0.002891,-1.5446),(4825,1575,-0.002648,-1.5445),(4825,1585,-0.002404,-1.5444),(4825,1595,-0.002161,-1.5443),(4825,1605,-0.001937,-1.5442),(4825,1615,-0.001874,-1.544),(4825,1625,-0.001811,-1.5439),(4825,1635,-0.001748,-1.5436),(4825,1645,-0.001689,-1.5433),(4825,1655,-0.001649,-1.543),(4825,1665,-0.001609,-1.5427),(4825,1675,-0.001569,-1.5423),(4825,1685,-0.001531,-1.542),(4825,1695,-0.001503,-1.5417),(4825,1705,-0.001475,-1.5413),(4825,1715,-0.001446,-1.5409),(4825,1725,-0.001415,-1.5405),(4825,1735,-0.001373,-1.5401),(4825,1745,-0.001332,-1.5396),(4825,1755,-0.001291,-1.5392),(4825,1765,-0.001245,-1.5388),(4825,1775,-0.001186,-1.5383),(4825,1785,-0.001127,-1.5379),(4825,1795,-0.001068,-1.5375),(4825,1805,-0.00102,-1.5372),(4825,1815,-0.000995,-1.5368),(4825,1825,-0.00097,-1.5365),(4825,1835,-0.000945,-1.5363),(4825,1845,-0.000921,-1.536),(4825,1855,-0.000897,-1.5358),(4825,1865,-0.000873,-1.5356),(4825,1875,-0.000849,-1.5355),(4825,1885,-0.000824,-1.5354),(4825,1895,-0.000797,-1.5353),(4825,1905,-0.00077,-1.5353),(4825,1915,-0.000744,-1.5353),(4825,1925,-0.000709,-1.5353),(4825,1935,-0.000664,-1.5353),(4825,1945,-0.000619,-1.5354),(4825,1955,-0.000574,-1.5356),(4825,1965,-0.00051,-1.5357),(4825,1975,-0.000424,-1.5359),(4825,1985,-0.000338,-1.5362),(4825,1995,-0.000252,-1.5366),(4825,2005,-0.000176,-1.537),(4825,2015,-0.000111,-1.5374),(4825,2025,-4.7e-05,-1.5379),(4825,2035,1.8e-05,-1.5385),(4825,2045,6.9e-05,-1.5391),(4825,2055,0.000108,-1.5396),(4825,2065,0.000146,-1.5403),(4825,2075,0.000185,-1.5411),(4825,2085,0.000215,-1.5419),(4825,2095,0.000239,-1.5426),(4825,2105,0.000263,-1.5435),(4825,2115,0.000287,-1.5444),(4825,2125,0.000285,-1.5454),(4825,2135,0.000269,-1.5463),(4825,2145,0.000252,-1.5473),(4825,2155,0.000236,-1.5483),(4825,2165,0.000217,-1.5493),(4825,2175,0.000196,-1.5503),(4825,2185,0.000176,-1.5514),(4825,2195,0.000156,-1.5526),(4825,2205,0.000163,-1.5537),(4825,2215,0.000183,-1.5549),(4825,2225,0.000203,-1.5561),(4825,2235,0.000223,-1.5574),(4825,2245,0.000289,-1.5587),(4825,2255,0.000371,-1.56),(4825,2265,0.000454,-1.5614),(4825,2275,0.000536,-1.5629),(4825,2285,0.000681,-1.5643),(4825,2295,0.000844,-1.5658),(4825,2305,0.001007,-1.5674),(4825,2315,0.00117,-1.569),(4825,2325,0.001357,-1.5707),(4825,2335,0.001549,-1.5724),(4825,2345,0.001742,-1.5742),(4825,2355,0.001934,-1.5761),(4825,2365,0.002089,-1.578),(4825,2375,0.002237,-1.5799),(4825,2385,0.002385,-1.5819),(4825,2395,0.002533,-1.584),(4825,2405,0.00262,-1.5861),(4825,2415,0.0027,-1.5882),(4825,2425,0.00278,-1.5903),(4825,2435,0.00286,-1.5925),(4825,2445,0.002908,-1.5947),(4825,2455,0.002955,-1.5968),(4825,2465,0.003002,-1.599),(4825,2475,0.003048,-1.6012),(4825,2485,0.003129,-1.6034),(4825,2495,0.003211,-1.6055),(4825,2505,0.003293,-1.6077),(4825,2515,0.003376,-1.6099),(4825,2525,0.003552,-1.6121),(4825,2535,0.003729,-1.6143),(4825,2545,0.003905,-1.6165),(4825,2555,0.004087,-1.6187),(4825,2565,0.004358,-1.621),(4825,2575,0.00463,-1.6232),(4825,2585,0.004901,-1.6255),(4825,2595,0.005177,-1.6277),(4825,2605,0.005494,-1.63),(4825,2615,0.005811,-1.6323),(4825,2625,0.006128,-1.6346),(4825,2635,0.006447,-1.6368),(4825,2645,0.006777,-1.6391),(4825,2655,0.007106,-1.6414),(4825,2665,0.007435,-1.6436),(4825,2675,0.007764,-1.6459),(4825,2685,0.008092,-1.6481),(4825,2695,0.00842,-1.6504),(4825,2705,0.008748,-1.6526),(4825,2715,0.009075,-1.6548),(4825,2725,0.009397,-1.6569),(4825,2735,0.00972,-1.6591),(4825,2745,0.010043,-1.6612),(4825,2755,0.010369,-1.6632),(4825,2765,0.010704,-1.6653),(4825,2775,0.011039,-1.6673),(4825,2785,0.011374,-1.6692),(4825,2795,0.011723,-1.6711),(4825,2805,0.012106,-1.6731),(4825,2815,0.012488,-1.675),(4825,2825,0.01287,-1.6768),(4825,2835,0.013264,-1.6786),(4825,2845,0.013679,-1.6805),(4825,2855,0.014095,-1.6822),(4825,2865,0.01451,-1.6839),(4825,2875,0.014931,-1.6856),(4825,2885,0.015359,-1.6873),(4825,2895,0.015787,-1.6889),(4825,2905,0.016215,-1.6904),(4825,2915,0.016649,-1.692),(4825,2925,0.017091,-1.6935),(4825,2935,0.017534,-1.6949),(4825,2945,0.017976,-1.6963),(4825,2955,0.018426,-1.6977),(4825,2965,0.018886,-1.6991),(4825,2975,0.019346,-1.7004),(4825,2985,0.019806,-1.7017),(4825,2995,0.02027,-1.7029),(4825,3005,0.020738,-1.7042),(4825,3015,0.021205,-1.7054),(4825,3025,0.021673,-1.7065),(4825,3035,0.022134,-1.7077),(4825,3045,0.022588,-1.7088),(4825,3055,0.023042,-1.7099),(4825,3065,0.023496,-1.7109),(4825,3075,0.023934,-1.7119),(4825,3085,0.024359,-1.7129),(4825,3095,0.024784,-1.7138),(4825,3105,0.025209,-1.7146),(4825,3115,0.025634,-1.7154),(4825,3125,0.026059,-1.7162),(4825,3135,0.026484,-1.7169),(4825,3145,0.026909,-1.7175),(4825,3155,0.027347,-1.7182),(4825,3165,0.027792,-1.7188),(4825,3175,0.028236,-1.7192),(4825,3185,0.028681,-1.7196),(4825,3195,0.029155,-1.7201),(4825,3205,0.029642,-1.7205),(4825,3215,0.03013,-1.7207),(4825,3225,0.030617,-1.7209),(4825,3235,0.031117,-1.7211),(4825,3245,0.031621,-1.7213),(4825,3255,0.032125,-1.7213),(4825,3265,0.032629,-1.7212),(4825,3275,0.033118,-1.7212),(4825,3285,0.033602,-1.7211),(4825,3295,0.034086,-1.7207),(4825,3305,0.034571,-1.7203),(4825,3315,0.035036,-1.7198),(4825,3325,0.035497,-1.7194),(4825,3335,0.035958,-1.7186),(4825,3345,0.036419,-1.7178),(4825,3355,0.036845,-1.717),(4825,3365,0.037265,-1.7162),(4825,3375,0.037685,-1.7151),(4825,3385,0.038106,-1.714),(4825,3395,0.038477,-1.7128),(4825,3405,0.038842,-1.7117),(4825,3415,0.039207,-1.7102),(4825,3425,0.039572,-1.7086),(4825,3435,0.039887,-1.7071),(4825,3445,0.040197,-1.7055),(4825,3455,0.040508,-1.7035),(4825,3465,0.040818,-1.7015),(4825,3475,0.041076,-1.6994),(4825,3485,0.041331,-1.6974),(4825,3495,0.041587,-1.6948),(4825,3505,0.041842,-1.6921),(4825,3515,0.042092,-1.6895),(4825,3525,0.042343,-1.6868),(4825,3535,0.042593,-1.6836),(4825,3545,0.042845,-1.6804),(4825,3555,0.043148,-1.6772),(4825,3565,0.04345,-1.6739),(4825,3575,0.043753,-1.6701),(4825,3585,0.044057,-1.6663),(4825,3595,0.044378,-1.6625),(4825,3605,0.044699,-1.6586),(4825,3615,0.045021,-1.6541),(4825,3625,0.045338,-1.6496),(4825,3635,0.045627,-1.645),(4825,3645,0.045915,-1.6404),(4825,3655,0.046204,-1.635),(4825,3665,0.046482,-1.6297),(4825,3675,0.046707,-1.6243),(4825,3685,0.046932,-1.6188),(4825,3695,0.047156,-1.6126),(4825,3705,0.047365,-1.6064),(4825,3715,0.047509,-1.6001),(4825,3725,0.047653,-1.5937),(4825,3735,0.047798,-1.5865),(4825,3745,0.047924,-1.5793),(4825,3755,0.047993,-1.5721),(4825,3765,0.048062,-1.5646),(4825,3775,0.048131,-1.5563),(4825,3785,0.048199,-1.548),(4825,3795,0.048263,-1.5397),(4825,3805,0.048327,-1.5311),(4825,3815,0.048391,-1.5217),(4825,3825,0.04855,-1.5123),(4825,3835,0.048909,-1.5029),(4825,3845,0.049267,-1.4932),(4825,3855,0.049626,-1.4829),(4825,3865,0.05033,-1.4727),(4825,3875,0.051643,-1.4624),(4825,3885,0.052957,-1.4523),(4825,3895,0.054271,-1.4425),(4825,3905,0.05585,-1.4327),(4825,3915,0.057825,-1.4229),(4825,3925,0.0598,-1.4141),(4825,3935,0.061776,-1.4068),(4825,3945,0.061251,-1.3994),(4825,3955,0.057552,-1.392),(4825,3965,0.053854,-1.3789),(4825,3975,0.050155,-1.359),(4825,3985,0.038832,-1.3391),(4825,3995,0.019257,-1.3192),(4825,4005,-0.000319,-1.2598),(4825,4015,-0.019894,-1.1608),(4825,4025,0.14717,-1.0619),(4825,4035,0.3325,-0.9899),(4825,4045,0.51782,-0.97482),(4825,4055,0.67201,-0.95973),(4825,4065,0.81483,-0.94374),(4825,4075,0.95764,-0.92235),(4825,4085,1.0363,-0.90096),(4825,4095,1.0633,-0.87956),(4825,4105,1.0904,-0.85984),(4825,4115,1.1153,-0.84018),(4825,4125,1.1368,-0.82051),(4825,4135,1.1582,-0.8017),(4825,4145,1.1789,-0.78312),(4825,4155,1.1965,-0.76453),(4825,4165,1.2141,-0.74649),(4825,4175,1.2317,-0.72878),(4825,4185,1.2463,-0.71107),(4825,4195,1.261,-0.6937),(4825,4205,1.2757,-0.67678),(4825,4215,1.2883,-0.65986),(4825,4225,1.3006,-0.64312),(4825,4235,1.3129,-0.62692),(4825,4245,1.3238,-0.61072),(4825,4255,1.3341,-0.59457),(4825,4265,1.3443,-0.57913),(4825,4275,1.3538,-0.56369),(4825,4285,1.3623,-0.54824),(4825,4295,1.3708,-0.53349),(4825,4305,1.3789,-0.51882),(4825,4315,1.3859,-0.50414),(4825,4325,1.3929,-0.49008),(4825,4335,1.3997,-0.47626),(4825,4345,1.4053,-0.46243),(4825,4355,1.411,-0.44906),(4825,4365,1.4166,-0.43607),(4825,4375,1.4212,-0.42308),(4825,4385,1.4257,-0.41038),(4825,4395,1.4302,-0.39818),(4825,4405,1.434,-0.38598),(4825,4415,1.4375,-0.37393),(4825,4425,1.441,-0.36259),(4825,4435,1.444,-0.35125),(4825,4445,1.4466,-0.33992),(4825,4455,1.4493,-0.32935),(4825,4465,1.4517,-0.31879),(4825,4475,1.4536,-0.30823),(4825,4485,1.4556,-0.2983),(4825,4495,1.4574,-0.28849),(4825,4505,1.4587,-0.27869),(4825,4515,1.46,-0.26937),(4825,4525,1.4614,-0.26031),(4825,4535,1.4622,-0.25126),(4825,4545,1.4631,-0.24252),(4825,4555,1.4639,-0.23413),(4825,4565,1.4644,-0.22575),(4825,4575,1.4649,-0.21757),(4825,4585,1.4653,-0.2099),(4825,4595,1.4656,-0.20222),(4825,4605,1.4657,-0.19462),(4825,4615,1.4658,-0.18761),(4825,4625,1.4658,-0.18059),(4825,4635,1.4657,-0.17358),(4825,4645,1.4656,-0.16711),(4825,4655,1.4654,-0.16068),(4825,4665,1.4651,-0.15424),(4825,4675,1.4648,-0.14827),(4825,4685,1.4645,-0.14245),(4825,4695,1.464,-0.13662),(4825,4705,1.4636,-0.13112),(4825,4715,1.4632,-0.12587),(4825,4725,1.4626,-0.12061),(4825,4735,1.4621,-0.11558),(4825,4745,1.4616,-0.1109),(4825,4755,1.4611,-0.10622),(4825,4765,1.4605,-0.10166),(4825,4775,1.46,-0.097541),(4825,4785,1.4594,-0.09342),(4825,4795,1.4589,-0.089323),(4825,4805,1.4584,-0.085773),(4825,4815,1.4579,-0.082223),(4825,4825,1.4574,-0.078674),(4825,4835,1.4569,-0.075602),(4825,4845,1.4565,-0.072604),(4825,4855,1.4561,-0.069606),(4825,4865,1.4558,-0.067029),(4825,4875,1.4555,-0.064642),(4825,4885,1.4554,-0.062255),(4825,4895,1.4552,-0.060209),(4825,4905,1.4551,-0.058489),(4825,4915,1.4553,-0.056769),(4825,4925,1.4555,-0.055272),(4825,4935,1.4557,-0.054224),(4825,4945,1.4562,-0.053176),(4825,4955,1.4567,-0.052234),(4825,4965,1.4573,-0.051876),(4825,4975,1.4581,-0.051519),(4825,4985,1.4592,-0.051161),(4825,4995,1.4602,-0.051428),(4825,5005,1.4615,-0.05171),(4825,5015,1.4631,-0.051992),(4825,5025,1.4647,-0.052782),(4825,5035,1.4664,-0.0537),(4825,5045,1.4687,-0.054618),(4825,5055,1.4709,-0.05588),(4825,5065,1.4731,-0.057354),(4825,5075,1.4759,-0.058828),(4825,5085,1.4788,-0.060465),(4825,5095,1.4816,-0.062309),(4825,5105,1.4848,-0.064153),(4825,5115,1.488,-0.066027),(4825,5125,1.4913,-0.067986),(4825,5135,1.4948,-0.069944),(4825,5145,1.4984,-0.071897),(4825,5155,1.5019,-0.073782),(4825,5165,1.5056,-0.075666),(4825,5175,1.5093,-0.077551),(4825,5185,1.513,-0.079189),(4825,5195,1.5168,-0.080801),(4825,5205,1.5205,-0.082413),(4825,5215,1.5241,-0.083686),(4825,5225,1.5278,-0.084833),(4825,5235,1.5312,-0.08598),(4825,5245,1.5346,-0.086743),(4825,5255,1.538,-0.087191),(4825,5265,1.5408,-0.087639),(4825,5275,1.5436,-0.08778),(4825,5285,1.5463,-0.087402),(4825,5295,1.5484,-0.087023),(4825,5305,1.5502,-0.086493),(4825,5315,1.5521,-0.085327),(4825,5325,1.5534,-0.084162),(4825,5335,1.5543,-0.082988),(4825,5345,1.5551,-0.081267),(4825,5355,1.5557,-0.079545),(4825,5365,1.5557,-0.077824),(4825,5375,1.5557,-0.075902),(4825,5385,1.5555,-0.073941),(4825,5395,1.5549,-0.07198),(4825,5405,1.5543,-0.07003),(4825,5415,1.5537,-0.068087),(4825,5425,1.5528,-0.066144),(4825,5435,1.5518,-0.064304),(4825,5445,1.5509,-0.062576),(4825,5455,1.5499,-0.060848),(4825,5465,1.5489,-0.059236),(4825,5475,1.5478,-0.057891),(4825,5485,1.5469,-0.056547),(4825,5495,1.5459,-0.055268),(4825,5505,1.545,-0.054456),(4825,5515,1.5443,-0.053644),(4825,5525,1.5436,-0.052832),(4825,5535,1.543,-0.05267),(4825,5545,1.5425,-0.052545),(4825,5555,1.5423,-0.05242),(4825,5565,1.5421,-0.053007),(4825,5575,1.5421,-0.053809),(4825,5585,1.5426,-0.054611),(4825,5595,1.543,-0.05613),(4825,5605,1.5435,-0.058148),(4825,5615,1.5449,-0.060167),(4825,5625,1.5463,-0.062805),(4825,5635,1.5477,-0.066332),(4825,5645,1.5501,-0.06986),(4825,5655,1.5527,-0.073822),(4825,5665,1.5553,-0.079222),(4825,5675,1.559,-0.084622),(4825,5685,1.5633,-0.090144),(4825,5695,1.5676,-0.097789),(4825,5705,1.5729,-0.10543),(4825,5715,1.5794,-0.11308),(4825,5725,1.5858,-0.12287),(4825,5735,1.5931,-0.13295),(4825,5745,1.6024,-0.14304),(4825,5755,1.6117,-0.15484),(4825,5765,1.6213,-0.16739),(4825,5775,1.6339,-0.17993),(4825,5785,1.6464,-0.19351),(4825,5795,1.659,-0.20806),(4825,5805,1.6749,-0.22261),(4825,5815,1.6909,-0.23745),(4825,5825,1.707,-0.25287),(4825,5835,1.7254,-0.26829),(4825,5845,1.7446,-0.28356),(4825,5855,1.7638,-0.29807),(4825,5865,1.7839,-0.31258),(4825,5875,1.8048,-0.32709),(4825,5885,1.8257,-0.3387),(4825,5895,1.8465,-0.35027),(4825,5905,1.8672,-0.36183),(4825,5915,1.8878,-0.36976),(4825,5925,1.908,-0.37681),(4825,5935,1.9265,-0.38387),(4825,5945,1.9449,-0.38785),(4825,5955,1.9633,-0.39002),(4825,5965,1.9784,-0.39219),(4825,5975,1.9935,-0.39256),(4825,5985,2.0086,-0.39073),(4825,5995,2.021,-0.38889),(4825,6005,2.0329,-0.38636),(4825,6015,2.0447,-0.38194),(4825,6025,2.055,-0.37752),(4825,6035,2.0645,-0.37297),(4825,6045,2.074,-0.36719),(4825,6055,2.0827,-0.36141),(4825,6065,2.0908,-0.35563),(4825,6075,2.0988,-0.34919),(4825,6085,2.1065,-0.34269),(4825,6095,2.1137,-0.3362),(4825,6105,2.1208,-0.32939),(4825,6115,2.1279,-0.32247),(4825,6125,2.1344,-0.31555),(4825,6135,2.1409,-0.30849),(4825,6145,2.1474,-0.30132),(4825,6155,2.1533,-0.29415),(4825,6165,2.1592,-0.28694),(4825,6175,2.1651,-0.27966),(4825,6185,2.1706,-0.27239),(4825,6195,2.176,-0.26511),(4825,6205,2.1814,-0.25779),(4825,6215,2.1864,-0.25047),(4825,6225,2.1912,-0.24316),(4825,6235,2.1961,-0.23583),(4825,6245,2.2007,-0.2285),(4825,6255,2.205,-0.22117),(4825,6265,2.2093,-0.2139),(4825,6275,2.2134,-0.20665),(4825,6285,2.2172,-0.1994),(4825,6295,2.221,-0.19224),(4825,6305,2.2247,-0.18513),(4825,6315,2.228,-0.17802),(4825,6325,2.2313,-0.17098),(4825,6335,2.2346,-0.16402),(4825,6345,2.2375,-0.15705),(4825,6355,2.2403,-0.15013),(4825,6365,2.2432,-0.14331),(4825,6375,2.2457,-0.13649),(4825,6385,2.2481,-0.1297),(4825,6395,2.2505,-0.12307),(4825,6405,2.2527,-0.11644),(4825,6415,2.2547,-0.10982),(4825,6425,2.2567,-0.10332),(4825,6435,2.2585,-0.096832),(4825,6445,2.2601,-0.090342),(4825,6455,2.2617,-0.083969),(4825,6465,2.2633,-0.077629),(4825,6475,2.2645,-0.07129),(4825,6485,2.2657,-0.065001),(4825,6495,2.267,-0.058747),(4825,6505,2.2679,-0.052492),(4825,6515,2.2688,-0.046285),(4825,6525,2.2697,-0.040144),(4825,6535,2.2703,-0.034003),(4825,6545,2.2708,-0.027873),(4825,6555,2.2714,-0.021776),(4825,6565,2.2718,-0.015678),(4825,6575,2.272,-0.009585),(4825,6585,2.2723,-0.003557),(4825,6595,1.933,0.002471),(4825,6605,1.2189,0.008499),(4825,6615,0.50484,0.009189),(4825,6625,0.002844,0.009192),(4825,6635,0.002805,0.009196),(4825,6645,0.002767,0.0092),(4825,6655,0.002729,0.009205),(4825,6665,0.002695,0.00921),(4825,6675,0.002662,0.009215),(4825,6685,0.002628,0.009219),(4825,6695,0.002599,0.009223),(4825,6705,0.002571,0.009226),(4825,6715,0.002542,0.009229),(4825,6725,0.002516,0.009232),(4825,6735,0.002491,0.009235),(4825,6745,0.002467,0.009237),(4825,6755,0.002444,0.009239),(4825,6765,0.002423,0.009241),(4825,6775,0.002401,0.009243),(4825,6785,0.002381,0.009244),(4825,6795,0.002363,0.009246),(4825,6805,0.002345,0.009247),(4825,6815,0.002327,0.009248),(4825,6825,0.002311,0.009249),(4825,6835,0.002295,0.009249),(4825,6845,0.00228,0.00925),(4825,6855,0.002266,0.00925),(4825,6865,0.002253,0.00925),(4825,6875,0.002239,0.00925),(4825,6885,0.002227,0.00925),(4825,6895,0.002216,0.00925),(4825,6905,0.002204,0.00925),(4825,6915,0.002194,0.009249),(4825,6925,0.002184,0.009249),(4825,6935,0.002174,0.009248),(4825,6945,0.002165,0.009247),(4825,6955,0.002157,0.009246),(4825,6965,0.002148,0.009245),(4825,6975,0.00214,0.009244),(4825,6985,0.002133,0.009243),(4835,5,7e-06,-1.4254),(4835,15,2e-05,-1.4256),(4835,25,2e-05,-1.4258),(4835,35,7e-06,-1.4259),(4835,45,-6e-06,-1.4261),(4835,55,-1.8e-05,-1.4261),(4835,65,-3.2e-05,-1.4262),(4835,75,-4.7e-05,-1.4263),(4835,85,-6.1e-05,-1.4263),(4835,95,-7.5e-05,-1.4264),(4835,105,-5.8e-05,-1.4265),(4835,115,-2.1e-05,-1.4266),(4835,125,1.7e-05,-1.4268),(4835,135,5.5e-05,-1.4272),(4835,145,8.9e-05,-1.4275),(4835,155,0.000121,-1.4278),(4835,165,0.000153,-1.4281),(4835,175,0.000185,-1.4284),(4835,185,0.000195,-1.4287),(4835,195,0.000194,-1.429),(4835,205,0.000193,-1.4294),(4835,215,0.000192,-1.4297),(4835,225,0.000198,-1.4301),(4835,235,0.000208,-1.4305),(4835,245,0.000217,-1.4309),(4835,255,0.000227,-1.4313),(4835,265,0.000209,-1.4318),(4835,275,0.000183,-1.4322),(4835,285,0.000157,-1.4326),(4835,295,0.000131,-1.4331),(4835,305,9.2e-05,-1.4335),(4835,315,5.1e-05,-1.4339),(4835,325,9e-06,-1.4343),(4835,335,-3.3e-05,-1.4347),(4835,345,-3.7e-05,-1.4352),(4835,355,-3.3e-05,-1.4356),(4835,365,-3e-05,-1.4361),(4835,375,-2.7e-05,-1.4367),(4835,385,2.5e-05,-1.4373),(4835,395,8.4e-05,-1.4378),(4835,405,0.000143,-1.4385),(4835,415,0.000202,-1.4392),(4835,425,0.000255,-1.44),(4835,435,0.000308,-1.4407),(4835,445,0.00036,-1.4415),(4835,455,0.000413,-1.4423),(4835,465,0.000364,-1.4431),(4835,475,0.00031,-1.4439),(4835,485,0.000256,-1.4447),(4835,495,0.000202,-1.4454),(4835,505,0.000137,-1.4461),(4835,515,7.1e-05,-1.4468),(4835,525,6e-06,-1.4476),(4835,535,-5.7e-05,-1.4485),(4835,545,-8.7e-05,-1.4493),(4835,555,-0.000117,-1.4501),(4835,565,-0.000146,-1.451),(4835,575,-0.000173,-1.4519),(4835,585,-0.000156,-1.4528),(4835,595,-0.00014,-1.4538),(4835,605,-0.000123,-1.4548),(4835,615,-0.000107,-1.4558),(4835,625,-9.2e-05,-1.4568),(4835,635,-7.7e-05,-1.4578),(4835,645,-6.3e-05,-1.4589),(4835,655,-3.8e-05,-1.4599),(4835,665,4.4e-05,-1.4609),(4835,675,0.000125,-1.462),(4835,685,0.000206,-1.4632),(4835,695,0.000282,-1.4644),(4835,705,0.000331,-1.4657),(4835,715,0.00038,-1.4669),(4835,725,0.000429,-1.4681),(4835,735,0.000465,-1.4694),(4835,745,0.000458,-1.4706),(4835,755,0.000451,-1.4718),(4835,765,0.000443,-1.473),(4835,775,0.000433,-1.4741),(4835,785,0.000418,-1.4753),(4835,795,0.000402,-1.4764),(4835,805,0.000386,-1.4776),(4835,815,0.000386,-1.4788),(4835,825,0.000422,-1.48),(4835,835,0.000457,-1.4812),(4835,845,0.000492,-1.4826),(4835,855,0.000538,-1.484),(4835,865,0.000601,-1.4854),(4835,875,0.000665,-1.4868),(4835,885,0.000729,-1.4884),(4835,895,0.000772,-1.4899),(4835,905,0.000783,-1.4914),(4835,915,0.000795,-1.4929),(4835,925,0.000806,-1.4943),(4835,935,0.000815,-1.4957),(4835,945,0.00082,-1.4971),(4835,955,0.000825,-1.4985),(4835,965,0.00083,-1.5),(4835,975,0.000803,-1.5014),(4835,985,0.000741,-1.5028),(4835,995,0.00068,-1.5042),(4835,1005,0.000618,-1.5054),(4835,1015,0.000582,-1.5067),(4835,1025,0.000572,-1.5079),(4835,1035,0.000561,-1.5092),(4835,1045,0.000551,-1.5105),(4835,1055,0.000613,-1.5118),(4835,1065,0.000736,-1.513),(4835,1075,0.000859,-1.5144),(4835,1085,0.000982,-1.5159),(4835,1095,0.001143,-1.5174),(4835,1105,0.001331,-1.5188),(4835,1115,0.001518,-1.5202),(4835,1125,0.001706,-1.5214),(4835,1135,0.002297,-1.5226),(4835,1145,0.003125,-1.5239),(4835,1155,0.003954,-1.5251),(4835,1165,0.004783,-1.5264),(4835,1175,0.007004,-1.5277),(4835,1185,0.009916,-1.5291),(4835,1195,0.012828,-1.5309),(4835,1205,0.015741,-1.5331),(4835,1215,0.020155,-1.5352),(4835,1225,0.02519,-1.5374),(4835,1235,0.030224,-1.5423),(4835,1245,0.035259,-1.5482),(4835,1255,0.028572,-1.5541),(4835,1265,0.017927,-1.56),(4835,1275,0.007281,-1.5578),(4835,1285,-0.003365,-1.5531),(4835,1295,-0.037448,-1.5484),(4835,1305,-0.077869,-1.5437),(4835,1315,-0.11829,-1.4696),(4835,1325,-0.15871,-1.3789),(4835,1335,-0.093563,-1.2881),(4835,1345,-0.006287,-1.1974),(4835,1355,0.080989,-1.2591),(4835,1365,0.16826,-1.3484),(4835,1375,0.14185,-1.4378),(4835,1385,0.097899,-1.5271),(4835,1395,0.053946,-1.5454),(4835,1405,0.009993,-1.5546),(4835,1415,-0.007635,-1.5638),(4835,1425,-0.02253,-1.573),(4835,1435,-0.037424,-1.568),(4835,1445,-0.052319,-1.5618),(4835,1455,-0.045944,-1.5557),(4835,1465,-0.038345,-1.5495),(4835,1475,-0.030746,-1.5484),(4835,1485,-0.023147,-1.5474),(4835,1495,-0.019037,-1.5464),(4835,1505,-0.014981,-1.5454),(4835,1515,-0.010924,-1.5453),(4835,1525,-0.006941,-1.5452),(4835,1535,-0.005855,-1.5451),(4835,1545,-0.00477,-1.545),(4835,1555,-0.003684,-1.5449),(4835,1565,-0.002653,-1.5448),(4835,1575,-0.002417,-1.5447),(4835,1585,-0.00218,-1.5446),(4835,1595,-0.001943,-1.5444),(4835,1605,-0.001726,-1.5442),(4835,1615,-0.001675,-1.5441),(4835,1625,-0.001624,-1.5439),(4835,1635,-0.001573,-1.5436),(4835,1645,-0.001525,-1.5433),(4835,1655,-0.001492,-1.5429),(4835,1665,-0.001459,-1.5426),(4835,1675,-0.001426,-1.5423),(4835,1685,-0.001395,-1.542),(4835,1695,-0.001375,-1.5416),(4835,1705,-0.001354,-1.5413),(4835,1715,-0.001333,-1.5409),(4835,1725,-0.001309,-1.5405),(4835,1735,-0.001272,-1.5401),(4835,1745,-0.001234,-1.5397),(4835,1755,-0.001197,-1.5392),(4835,1765,-0.001154,-1.5388),(4835,1775,-0.001094,-1.5383),(4835,1785,-0.001033,-1.5379),(4835,1795,-0.000973,-1.5376),(4835,1805,-0.000926,-1.5372),(4835,1815,-0.000907,-1.5369),(4835,1825,-0.000889,-1.5366),(4835,1835,-0.00087,-1.5363),(4835,1845,-0.000852,-1.536),(4835,1855,-0.000836,-1.5358),(4835,1865,-0.000819,-1.5356),(4835,1875,-0.000803,-1.5355),(4835,1885,-0.000784,-1.5354),(4835,1895,-0.000761,-1.5353),(4835,1905,-0.000738,-1.5353),(4835,1915,-0.000715,-1.5353),(4835,1925,-0.000683,-1.5353),(4835,1935,-0.000638,-1.5353),(4835,1945,-0.000592,-1.5354),(4835,1955,-0.000547,-1.5356),(4835,1965,-0.000479,-1.5357),(4835,1975,-0.000385,-1.5359),(4835,1985,-0.000292,-1.5362),(4835,1995,-0.000198,-1.5366),(4835,2005,-0.000118,-1.537),(4835,2015,-5.1e-05,-1.5374),(4835,2025,1.6e-05,-1.5379),(4835,2035,8.2e-05,-1.5385),(4835,2045,0.000131,-1.539),(4835,2055,0.000164,-1.5396),(4835,2065,0.000197,-1.5403),(4835,2075,0.000231,-1.5411),(4835,2085,0.000256,-1.5418),(4835,2095,0.000277,-1.5426),(4835,2105,0.000297,-1.5434),(4835,2115,0.000317,-1.5444),(4835,2125,0.000311,-1.5453),(4835,2135,0.00029,-1.5463),(4835,2145,0.000269,-1.5472),(4835,2155,0.000248,-1.5483),(4835,2165,0.000223,-1.5493),(4835,2175,0.000196,-1.5503),(4835,2185,0.000169,-1.5514),(4835,2195,0.000141,-1.5526),(4835,2205,0.000144,-1.5537),(4835,2215,0.000159,-1.5549),(4835,2225,0.000175,-1.5561),(4835,2235,0.00019,-1.5575),(4835,2245,0.000257,-1.5588),(4835,2255,0.000342,-1.5601),(4835,2265,0.000427,-1.5615),(4835,2275,0.000512,-1.5629),(4835,2285,0.000669,-1.5644),(4835,2295,0.000846,-1.5658),(4835,2305,0.001024,-1.5674),(4835,2315,0.001201,-1.5691),(4835,2325,0.001406,-1.5707),(4835,2335,0.001617,-1.5724),(4835,2345,0.001828,-1.5742),(4835,2355,0.002039,-1.5761),(4835,2365,0.002204,-1.578),(4835,2375,0.002361,-1.5799),(4835,2385,0.002518,-1.5819),(4835,2395,0.002674,-1.584),(4835,2405,0.002756,-1.586),(4835,2415,0.00283,-1.5881),(4835,2425,0.002904,-1.5902),(4835,2435,0.002977,-1.5924),(4835,2445,0.003012,-1.5946),(4835,2455,0.003045,-1.5968),(4835,2465,0.003077,-1.5989),(4835,2475,0.003109,-1.6011),(4835,2485,0.003177,-1.6033),(4835,2495,0.003245,-1.6055),(4835,2505,0.003314,-1.6077),(4835,2515,0.003383,-1.6099),(4835,2525,0.003556,-1.6121),(4835,2535,0.003729,-1.6142),(4835,2545,0.003902,-1.6165),(4835,2555,0.004081,-1.6187),(4835,2565,0.004362,-1.6209),(4835,2575,0.004643,-1.6232),(4835,2585,0.004923,-1.6254),(4835,2595,0.005208,-1.6277),(4835,2605,0.005539,-1.63),(4835,2615,0.005868,-1.6322),(4835,2625,0.006199,-1.6345),(4835,2635,0.006529,-1.6368),(4835,2645,0.006866,-1.6391),(4835,2655,0.007203,-1.6413),(4835,2665,0.00754,-1.6436),(4835,2675,0.007876,-1.6458),(4835,2685,0.008204,-1.6481),(4835,2695,0.008533,-1.6503),(4835,2705,0.008861,-1.6525),(4835,2715,0.009187,-1.6547),(4835,2725,0.009503,-1.6569),(4835,2735,0.009818,-1.659),(4835,2745,0.010134,-1.6611),(4835,2755,0.01045,-1.6631),(4835,2765,0.01077,-1.6652),(4835,2775,0.011089,-1.6672),(4835,2785,0.011409,-1.6691),(4835,2795,0.011742,-1.671),(4835,2805,0.012107,-1.6729),(4835,2815,0.012473,-1.6748),(4835,2825,0.012839,-1.6767),(4835,2835,0.013217,-1.6785),(4835,2845,0.01362,-1.6803),(4835,2855,0.014023,-1.6821),(4835,2865,0.014426,-1.6838),(4835,2875,0.014835,-1.6855),(4835,2885,0.015255,-1.6872),(4835,2895,0.015675,-1.6888),(4835,2905,0.016094,-1.6903),(4835,2915,0.016521,-1.6918),(4835,2925,0.016958,-1.6934),(4835,2935,0.017395,-1.6948),(4835,2945,0.017832,-1.6962),(4835,2955,0.018279,-1.6976),(4835,2965,0.018738,-1.699),(4835,2975,0.019198,-1.7003),(4835,2985,0.019657,-1.7016),(4835,2995,0.020121,-1.7028),(4835,3005,0.020591,-1.7041),(4835,3015,0.021061,-1.7053),(4835,3025,0.021531,-1.7064),(4835,3035,0.021992,-1.7076),(4835,3045,0.022445,-1.7087),(4835,3055,0.022898,-1.7098),(4835,3065,0.023351,-1.7108),(4835,3075,0.023784,-1.7118),(4835,3085,0.024202,-1.7128),(4835,3095,0.02462,-1.7137),(4835,3105,0.025038,-1.7145),(4835,3115,0.025456,-1.7153),(4835,3125,0.025874,-1.7161),(4835,3135,0.026292,-1.7168),(4835,3145,0.02671,-1.7174),(4835,3155,0.027139,-1.718),(4835,3165,0.027574,-1.7187),(4835,3175,0.02801,-1.7191),(4835,3185,0.028445,-1.7196),(4835,3195,0.028912,-1.72),(4835,3205,0.029393,-1.7204),(4835,3215,0.029875,-1.7206),(4835,3225,0.030356,-1.7209),(4835,3235,0.030854,-1.7211),(4835,3245,0.031358,-1.7213),(4835,3255,0.031862,-1.7213),(4835,3265,0.032365,-1.7212),(4835,3275,0.032857,-1.7211),(4835,3285,0.033345,-1.7211),(4835,3295,0.033832,-1.7207),(4835,3305,0.03432,-1.7203),(4835,3315,0.034792,-1.7198),(4835,3325,0.035261,-1.7194),(4835,3335,0.035729,-1.7187),(4835,3345,0.036198,-1.7179),(4835,3355,0.036629,-1.7171),(4835,3365,0.037053,-1.7163),(4835,3375,0.037477,-1.7152),(4835,3385,0.037901,-1.7141),(4835,3395,0.038271,-1.7129),(4835,3405,0.038633,-1.7118),(4835,3415,0.038996,-1.7103),(4835,3425,0.039358,-1.7088),(4835,3435,0.03967,-1.7072),(4835,3445,0.039978,-1.7057),(4835,3455,0.040286,-1.7037),(4835,3465,0.040593,-1.7017),(4835,3475,0.040845,-1.6997),(4835,3485,0.041095,-1.6976),(4835,3495,0.041345,-1.695),(4835,3505,0.041595,-1.6924),(4835,3515,0.041834,-1.6898),(4835,3525,0.042073,-1.6872),(4835,3535,0.042311,-1.684),(4835,3545,0.042553,-1.6808),(4835,3555,0.042852,-1.6776),(4835,3565,0.043151,-1.6743),(4835,3575,0.04345,-1.6706),(4835,3585,0.043751,-1.6668),(4835,3595,0.044079,-1.663),(4835,3605,0.044406,-1.6591),(4835,3615,0.044734,-1.6546),(4835,3625,0.045057,-1.6501),(4835,3635,0.04535,-1.6456),(4835,3645,0.045642,-1.641),(4835,3655,0.045935,-1.6357),(4835,3665,0.046214,-1.6303),(4835,3675,0.046429,-1.625),(4835,3685,0.046645,-1.6196),(4835,3695,0.04686,-1.6133),(4835,3705,0.047056,-1.6071),(4835,3715,0.047177,-1.6009),(4835,3725,0.047298,-1.5945),(4835,3735,0.047419,-1.5873),(4835,3745,0.047521,-1.5802),(4835,3755,0.047564,-1.573),(4835,3765,0.047606,-1.5655),(4835,3775,0.047649,-1.5573),(4835,3785,0.047693,-1.549),(4835,3795,0.047743,-1.5408),(4835,3805,0.047792,-1.5322),(4835,3815,0.047842,-1.5228),(4835,3825,0.048012,-1.5134),(4835,3835,0.048438,-1.504),(4835,3845,0.048864,-1.4943),(4835,3855,0.04929,-1.484),(4835,3865,0.050189,-1.4736),(4835,3875,0.051924,-1.4633),(4835,3885,0.053659,-1.4529),(4835,3895,0.055395,-1.4426),(4835,3905,0.057513,-1.4322),(4835,3915,0.060202,-1.4218),(4835,3925,0.062892,-1.4127),(4835,3935,0.065581,-1.4051),(4835,3945,0.063665,-1.3975),(4835,3955,0.055901,-1.3899),(4835,3965,0.048138,-1.3789),(4835,3975,0.040374,-1.3637),(4835,3985,0.017161,-1.3485),(4835,3995,-0.022777,-1.3333),(4835,4005,-0.062714,-1.2736),(4835,4015,-0.10265,-1.1692),(4835,4025,0.082122,-1.0649),(4835,4035,0.28888,-0.98946),(4835,4045,0.49563,-0.97492),(4835,4055,0.65386,-0.96037),(4835,4065,0.79438,-0.94495),(4835,4075,0.9349,-0.92429),(4835,4085,1.0128,-0.90363),(4835,4095,1.0404,-0.88297),(4835,4105,1.068,-0.86375),(4835,4115,1.0934,-0.84458),(4835,4125,1.1152,-0.82541),(4835,4135,1.137,-0.80699),(4835,4145,1.158,-0.78878),(4835,4155,1.1758,-0.77057),(4835,4165,1.1937,-0.75285),(4835,4175,1.2115,-0.73545),(4835,4185,1.2264,-0.71806),(4835,4195,1.2412,-0.70098),(4835,4205,1.2561,-0.68435),(4835,4215,1.269,-0.66771),(4835,4225,1.2815,-0.65124),(4835,4235,1.294,-0.63529),(4835,4245,1.3051,-0.61933),(4835,4255,1.3156,-0.60343),(4835,4265,1.3261,-0.5882),(4835,4275,1.3358,-0.57297),(4835,4285,1.3445,-0.55773),(4835,4295,1.3533,-0.54316),(4835,4305,1.3616,-0.52867),(4835,4315,1.3688,-0.51417),(4835,4325,1.3761,-0.50026),(4835,4335,1.3832,-0.48658),(4835,4345,1.3891,-0.4729),(4835,4355,1.395,-0.45965),(4835,4365,1.4009,-0.44676),(4835,4375,1.4057,-0.43388),(4835,4385,1.4105,-0.42127),(4835,4395,1.4152,-0.40915),(4835,4405,1.4192,-0.39703),(4835,4415,1.423,-0.38506),(4835,4425,1.4267,-0.37377),(4835,4435,1.43,-0.36249),(4835,4445,1.4329,-0.3512),(4835,4455,1.4358,-0.34068),(4835,4465,1.4384,-0.33016),(4835,4475,1.4406,-0.31964),(4835,4485,1.4428,-0.30973),(4835,4495,1.4448,-0.29996),(4835,4505,1.4464,-0.29018),(4835,4515,1.4479,-0.28087),(4835,4525,1.4495,-0.27183),(4835,4535,1.4505,-0.26278),(4835,4545,1.4516,-0.25405),(4835,4555,1.4527,-0.24568),(4835,4565,1.4534,-0.2373),(4835,4575,1.454,-0.22913),(4835,4585,1.4547,-0.22146),(4835,4595,1.4551,-0.21378),(4835,4605,1.4555,-0.20619),(4835,4615,1.4558,-0.19917),(4835,4625,1.456,-0.19216),(4835,4635,1.4561,-0.18514),(4835,4645,1.4561,-0.17867),(4835,4655,1.4561,-0.17224),(4835,4665,1.456,-0.16581),(4835,4675,1.4559,-0.15984),(4835,4685,1.4557,-0.15402),(4835,4695,1.4555,-0.14819),(4835,4705,1.4552,-0.1427),(4835,4715,1.4549,-0.13746),(4835,4725,1.4546,-0.13222),(4835,4735,1.4543,-0.12721),(4835,4745,1.4539,-0.12255),(4835,4755,1.4535,-0.11789),(4835,4765,1.4532,-0.11335),(4835,4775,1.4528,-0.10926),(4835,4785,1.4524,-0.10517),(4835,4795,1.4521,-0.1011),(4835,4805,1.4517,-0.097591),(4835,4815,1.4514,-0.094081),(4835,4825,1.4511,-0.090571),(4835,4835,1.4508,-0.087547),(4835,4845,1.4505,-0.084599),(4835,4855,1.4504,-0.08165),(4835,4865,1.4502,-0.07913),(4835,4875,1.4501,-0.076805),(4835,4885,1.4502,-0.07448),(4835,4895,1.4502,-0.072495),(4835,4905,1.4503,-0.070838),(4835,4915,1.4507,-0.069181),(4835,4925,1.4511,-0.067745),(4835,4935,1.4515,-0.066755),(4835,4945,1.4522,-0.065764),(4835,4955,1.453,-0.064876),(4835,4965,1.4538,-0.064554),(4835,4975,1.4548,-0.064233),(4835,4985,1.4561,-0.063911),(4835,4995,1.4573,-0.064199),(4835,5005,1.4588,-0.064502),(4835,5015,1.4606,-0.064806),(4835,5025,1.4624,-0.065584),(4835,5035,1.4643,-0.066484),(4835,5045,1.4667,-0.067384),(4835,5055,1.4691,-0.068595),(4835,5065,1.4716,-0.069999),(4835,5075,1.4745,-0.071402),(4835,5085,1.4774,-0.072941),(4835,5095,1.4804,-0.07465),(4835,5105,1.4836,-0.076359),(4835,5115,1.487,-0.078085),(4835,5125,1.4903,-0.079858),(4835,5135,1.4938,-0.081631),(4835,5145,1.4973,-0.083395),(4835,5155,1.5009,-0.085063),(4835,5165,1.5045,-0.08673),(4835,5175,1.5081,-0.088397),(4835,5185,1.5117,-0.089796),(4835,5195,1.5154,-0.091167),(4835,5205,1.5189,-0.092537),(4835,5215,1.5224,-0.093564),(4835,5225,1.5259,-0.094463),(4835,5235,1.5291,-0.095361),(4835,5245,1.5322,-0.09589),(4835,5255,1.5354,-0.096114),(4835,5265,1.5379,-0.096339),(4835,5275,1.5404,-0.096283),(4835,5285,1.5429,-0.095754),(4835,5295,1.5446,-0.095225),(4835,5305,1.5462,-0.094564),(4835,5315,1.5478,-0.093353),(4835,5325,1.5489,-0.092142),(4835,5335,1.5495,-0.090923),(4835,5345,1.5502,-0.089263),(4835,5355,1.5505,-0.087602),(4835,5365,1.5505,-0.085942),(4835,5375,1.5504,-0.084155),(4835,5385,1.5501,-0.082345),(4835,5395,1.5495,-0.080534),(4835,5405,1.5489,-0.078784),(4835,5415,1.5483,-0.077065),(4835,5425,1.5474,-0.075347),(4835,5435,1.5465,-0.073763),(4835,5445,1.5456,-0.072324),(4835,5455,1.5447,-0.070886),(4835,5465,1.5438,-0.069583),(4835,5475,1.5428,-0.068594),(4835,5485,1.542,-0.067605),(4835,5495,1.5412,-0.06669),(4835,5505,1.5405,-0.066303),(4835,5515,1.5399,-0.065916),(4835,5525,1.5394,-0.065528),(4835,5535,1.539,-0.065861),(4835,5545,1.5388,-0.066234),(4835,5555,1.5389,-0.066608),(4835,5565,1.5389,-0.067747),(4835,5575,1.5392,-0.069117),(4835,5585,1.54,-0.070487),(4835,5595,1.5408,-0.072609),(4835,5605,1.5417,-0.075254),(4835,5615,1.5435,-0.0779),(4835,5625,1.5454,-0.081175),(4835,5635,1.5472,-0.085353),(4835,5645,1.5502,-0.089532),(4835,5655,1.5534,-0.094139),(4835,5665,1.5566,-0.10016),(4835,5675,1.561,-0.10618),(4835,5685,1.566,-0.11232),(4835,5695,1.571,-0.12048),(4835,5705,1.5771,-0.12864),(4835,5715,1.5844,-0.1368),(4835,5725,1.5917,-0.1469),(4835,5735,1.5998,-0.15727),(4835,5745,1.6099,-0.16765),(4835,5755,1.62,-0.17949),(4835,5765,1.6305,-0.19196),(4835,5775,1.6438,-0.20444),(4835,5785,1.6571,-0.2177),(4835,5795,1.6704,-0.23169),(4835,5805,1.6867,-0.24569),(4835,5815,1.7032,-0.25979),(4835,5825,1.7197,-0.27412),(4835,5835,1.738,-0.28845),(4835,5845,1.757,-0.30255),(4835,5855,1.7759,-0.31554),(4835,5865,1.7955,-0.32853),(4835,5875,1.8154,-0.34152),(4835,5885,1.8354,-0.35149),(4835,5895,1.855,-0.36141),(4835,5905,1.8741,-0.37134),(4835,5915,1.8932,-0.37782),(4835,5925,1.9119,-0.38349),(4835,5935,1.9286,-0.38915),(4835,5945,1.9454,-0.39204),(4835,5955,1.962,-0.39331),(4835,5965,1.9757,-0.39457),(4835,5975,1.9894,-0.39425),(4835,5985,2.0031,-0.392),(4835,5995,2.0144,-0.38975),(4835,6005,2.0254,-0.38689),(4835,6015,2.0364,-0.38238),(4835,6025,2.046,-0.37787),(4835,6035,2.055,-0.37325),(4835,6045,2.064,-0.36753),(4835,6055,2.0723,-0.36181),(4835,6065,2.0801,-0.35609),(4835,6075,2.0879,-0.34976),(4835,6085,2.0954,-0.34338),(4835,6095,2.1024,-0.33699),(4835,6105,2.1094,-0.33031),(4835,6115,2.1163,-0.32352),(4835,6125,2.1227,-0.31673),(4835,6135,2.1291,-0.30979),(4835,6145,2.1355,-0.30275),(4835,6155,2.1414,-0.2957),(4835,6165,2.1473,-0.28861),(4835,6175,2.1531,-0.28144),(4835,6185,2.1586,-0.27427),(4835,6195,2.1639,-0.26709),(4835,6205,2.1693,-0.25987),(4835,6215,2.1743,-0.25264),(4835,6225,2.1791,-0.24542),(4835,6235,2.184,-0.23815),(4835,6245,2.1886,-0.23088),(4835,6255,2.1929,-0.22362),(4835,6265,2.1972,-0.21639),(4835,6275,2.2014,-0.20918),(4835,6285,2.2052,-0.20196),(4835,6295,2.2091,-0.19483),(4835,6305,2.2128,-0.18773),(4835,6315,2.2162,-0.18063),(4835,6325,2.2195,-0.17359),(4835,6335,2.2229,-0.1666),(4835,6345,2.2258,-0.15961),(4835,6355,2.2287,-0.15266),(4835,6365,2.2316,-0.1458),(4835,6375,2.2341,-0.13893),(4835,6385,2.2366,-0.13209),(4835,6395,2.2391,-0.1254),(4835,6405,2.2413,-0.11871),(4835,6415,2.2433,-0.11202),(4835,6425,2.2454,-0.10544),(4835,6435,2.2473,-0.098867),(4835,6445,2.2489,-0.092292),(4835,6455,2.2506,-0.085823),(4835,6465,2.2522,-0.079385),(4835,6475,2.2535,-0.072947),(4835,6485,2.2547,-0.066553),(4835,6495,2.256,-0.060187),(4835,6505,2.2569,-0.053822),(4835,6515,2.2578,-0.047499),(4835,6525,2.2588,-0.041235),(4835,6535,2.2594,-0.03497),(4835,6545,2.26,-0.028714),(4835,6555,2.2606,-0.022485),(4835,6565,2.2609,-0.016256),(4835,6575,2.2612,-0.010032),(4835,6585,2.2614,-0.003871),(4835,6595,1.9238,0.002291),(4835,6605,1.2131,0.008452),(4835,6615,0.50245,0.009155),(4835,6625,0.002833,0.009156),(4835,6635,0.002795,0.009158),(4835,6645,0.002757,0.009163),(4835,6655,0.002719,0.00917),(4835,6665,0.002686,0.009177),(4835,6675,0.002653,0.009183),(4835,6685,0.00262,0.009188),(4835,6695,0.002592,0.009194),(4835,6705,0.002563,0.009198),(4835,6715,0.002535,0.009203),(4835,6725,0.002509,0.009207),(4835,6735,0.002485,0.009211),(4835,6745,0.00246,0.009214),(4835,6755,0.002438,0.009217),(4835,6765,0.002417,0.00922),(4835,6775,0.002396,0.009223),(4835,6785,0.002376,0.009225),(4835,6795,0.002358,0.009227),(4835,6805,0.00234,0.009229),(4835,6815,0.002322,0.009231),(4835,6825,0.002306,0.009233),(4835,6835,0.002291,0.009234),(4835,6845,0.002275,0.009235),(4835,6855,0.002262,0.009236),(4835,6865,0.002249,0.009237),(4835,6875,0.002235,0.009238),(4835,6885,0.002224,0.009238),(4835,6895,0.002212,0.009239),(4835,6905,0.002201,0.009239),(4835,6915,0.00219,0.009239),(4835,6925,0.002181,0.009239),(4835,6935,0.002171,0.009239),(4835,6945,0.002162,0.009238),(4835,6955,0.002154,0.009238),(4835,6965,0.002145,0.009237),(4835,6975,0.002138,0.009236),(4835,6985,0.002131,0.009236),(4845,5,1.1e-05,-1.4254),(4845,15,3.2e-05,-1.4256),(4845,25,3.6e-05,-1.4258),(4845,35,2.4e-05,-1.4259),(4845,45,1.2e-05,-1.4261),(4845,55,-1e-06,-1.4261),(4845,65,-1.9e-05,-1.4262),(4845,75,-4.3e-05,-1.4263),(4845,85,-6.7e-05,-1.4264),(4845,95,-9.1e-05,-1.4264),(4845,105,-7.9e-05,-1.4265),(4845,115,-4.3e-05,-1.4266),(4845,125,-7e-06,-1.4268),(4845,135,2.9e-05,-1.4271),(4845,145,6.4e-05,-1.4275),(4845,155,9.8e-05,-1.4278),(4845,165,0.000133,-1.4281),(4845,175,0.000167,-1.4284),(4845,185,0.000173,-1.4287),(4845,195,0.000167,-1.429),(4845,205,0.00016,-1.4294),(4845,215,0.000154,-1.4297),(4845,225,0.000157,-1.4301),(4845,235,0.000165,-1.4304),(4845,245,0.000173,-1.4308),(4845,255,0.000181,-1.4313),(4845,265,0.000167,-1.4317),(4845,275,0.000147,-1.4322),(4845,285,0.000127,-1.4326),(4845,295,0.000106,-1.4331),(4845,305,7.1e-05,-1.4335),(4845,315,3.1e-05,-1.4339),(4845,325,-9e-06,-1.4344),(4845,335,-4.8e-05,-1.4348),(4845,345,-5.6e-05,-1.4352),(4845,355,-5.7e-05,-1.4356),(4845,365,-5.9e-05,-1.4362),(4845,375,-6e-05,-1.4367),(4845,385,-1.2e-05,-1.4373),(4845,395,4.4e-05,-1.4378),(4845,405,9.9e-05,-1.4385),(4845,415,0.000154,-1.4392),(4845,425,0.000219,-1.4399),(4845,435,0.000284,-1.4407),(4845,445,0.000349,-1.4415),(4845,455,0.000414,-1.4423),(4845,465,0.000371,-1.4432),(4845,475,0.000323,-1.444),(4845,485,0.000276,-1.4447),(4845,495,0.000228,-1.4454),(4845,505,0.000159,-1.4462),(4845,515,9e-05,-1.4469),(4845,525,2.1e-05,-1.4477),(4845,535,-4.7e-05,-1.4485),(4845,545,-8.6e-05,-1.4493),(4845,555,-0.000126,-1.4501),(4845,565,-0.000165,-1.451),(4845,575,-0.0002,-1.4519),(4845,585,-0.000187,-1.4528),(4845,595,-0.000175,-1.4537),(4845,605,-0.000162,-1.4547),(4845,615,-0.000151,-1.4558),(4845,625,-0.000151,-1.4568),(4845,635,-0.00015,-1.4578),(4845,645,-0.00015,-1.4588),(4845,655,-0.000138,-1.4598),(4845,665,-5.7e-05,-1.4608),(4845,675,2.4e-05,-1.4619),(4845,685,0.000105,-1.4631),(4845,695,0.000183,-1.4644),(4845,705,0.000248,-1.4656),(4845,715,0.000314,-1.4669),(4845,725,0.00038,-1.4681),(4845,735,0.000432,-1.4694),(4845,745,0.000438,-1.4706),(4845,755,0.000444,-1.4719),(4845,765,0.00045,-1.473),(4845,775,0.000449,-1.4742),(4845,785,0.000429,-1.4754),(4845,795,0.000409,-1.4765),(4845,805,0.000389,-1.4777),(4845,815,0.000381,-1.4788),(4845,825,0.0004,-1.48),(4845,835,0.000419,-1.4812),(4845,845,0.000439,-1.4826),(4845,855,0.000469,-1.484),(4845,865,0.000522,-1.4853),(4845,875,0.000574,-1.4868),(4845,885,0.000626,-1.4883),(4845,895,0.000659,-1.4898),(4845,905,0.00066,-1.4913),(4845,915,0.000662,-1.4928),(4845,925,0.000663,-1.4942),(4845,935,0.000669,-1.4957),(4845,945,0.000682,-1.4971),(4845,955,0.000695,-1.4985),(4845,965,0.000708,-1.5),(4845,975,0.000686,-1.5014),(4845,985,0.000626,-1.5029),(4845,995,0.000566,-1.5043),(4845,1005,0.000506,-1.5055),(4845,1015,0.000462,-1.5067),(4845,1025,0.000436,-1.508),(4845,1035,0.000409,-1.5092),(4845,1045,0.000382,-1.5105),(4845,1055,0.00044,-1.5117),(4845,1065,0.000568,-1.513),(4845,1075,0.000696,-1.5144),(4845,1085,0.000824,-1.5159),(4845,1095,0.000987,-1.5174),(4845,1105,0.001174,-1.5189),(4845,1115,0.001362,-1.5202),(4845,1125,0.001549,-1.5215),(4845,1135,0.002095,-1.5227),(4845,1145,0.002851,-1.524),(4845,1155,0.003608,-1.5251),(4845,1165,0.004365,-1.5262),(4845,1175,0.00644,-1.5274),(4845,1185,0.009168,-1.5285),(4845,1195,0.011897,-1.5295),(4845,1205,0.014625,-1.5306),(4845,1215,0.019506,-1.5317),(4845,1225,0.025275,-1.5328),(4845,1235,0.031043,-1.5362),(4845,1245,0.036812,-1.5404),(4845,1255,0.03034,-1.5446),(4845,1265,0.019733,-1.5489),(4845,1275,0.009126,-1.5497),(4845,1285,-0.001481,-1.5494),(4845,1295,-0.054592,-1.5491),(4845,1305,-0.1192,-1.5488),(4845,1315,-0.1838,-1.4743),(4845,1325,-0.24841,-1.382),(4845,1335,-0.14934,-1.2898),(4845,1345,-0.015972,-1.1975),(4845,1355,0.1174,-1.2587),(4845,1365,0.25076,-1.3476),(4845,1375,0.21146,-1.4366),(4845,1385,0.14551,-1.5256),(4845,1395,0.079567,-1.54),(4845,1405,0.013621,-1.5449),(4845,1415,-0.006616,-1.5497),(4845,1425,-0.022107,-1.5546),(4845,1435,-0.037598,-1.552),(4845,1445,-0.053089,-1.5487),(4845,1455,-0.046049,-1.5455),(4845,1465,-0.037711,-1.5422),(4845,1475,-0.029374,-1.5427),(4845,1485,-0.021036,-1.5434),(4845,1495,-0.017267,-1.544),(4845,1505,-0.013567,-1.5446),(4845,1515,-0.009866,-1.5448),(4845,1525,-0.006234,-1.5449),(4845,1535,-0.005274,-1.5451),(4845,1545,-0.004314,-1.5452),(4845,1555,-0.003354,-1.5451),(4845,1565,-0.002442,-1.5449),(4845,1575,-0.002218,-1.5448),(4845,1585,-0.001995,-1.5447),(4845,1595,-0.001771,-1.5445),(4845,1605,-0.001566,-1.5443),(4845,1615,-0.001521,-1.5441),(4845,1625,-0.001476,-1.5439),(4845,1635,-0.001431,-1.5436),(4845,1645,-0.001389,-1.5432),(4845,1655,-0.001359,-1.5429),(4845,1665,-0.00133,-1.5426),(4845,1675,-0.0013,-1.5423),(4845,1685,-0.001273,-1.5419),(4845,1695,-0.001257,-1.5416),(4845,1705,-0.00124,-1.5413),(4845,1715,-0.001223,-1.5409),(4845,1725,-0.001204,-1.5405),(4845,1735,-0.001175,-1.5401),(4845,1745,-0.001146,-1.5397),(4845,1755,-0.001116,-1.5392),(4845,1765,-0.001078,-1.5388),(4845,1775,-0.001015,-1.5383),(4845,1785,-0.000951,-1.5379),(4845,1795,-0.000888,-1.5376),(4845,1805,-0.000837,-1.5372),(4845,1815,-0.000814,-1.5369),(4845,1825,-0.000792,-1.5366),(4845,1835,-0.000769,-1.5363),(4845,1845,-0.000748,-1.5361),(4845,1855,-0.00073,-1.5358),(4845,1865,-0.000712,-1.5356),(4845,1875,-0.000694,-1.5355),(4845,1885,-0.000674,-1.5354),(4845,1895,-0.000652,-1.5353),(4845,1905,-0.00063,-1.5353),(4845,1915,-0.000607,-1.5353),(4845,1925,-0.000578,-1.5353),(4845,1935,-0.00054,-1.5354),(4845,1945,-0.000502,-1.5354),(4845,1955,-0.000464,-1.5356),(4845,1965,-0.000399,-1.5357),(4845,1975,-0.000304,-1.5359),(4845,1985,-0.000209,-1.5361),(4845,1995,-0.000114,-1.5366),(4845,2005,-3e-05,-1.537),(4845,2015,4.4e-05,-1.5374),(4845,2025,0.000117,-1.5379),(4845,2035,0.00019,-1.5384),(4845,2045,0.000242,-1.539),(4845,2055,0.000274,-1.5396),(4845,2065,0.000307,-1.5403),(4845,2075,0.00034,-1.541),(4845,2085,0.000363,-1.5418),(4845,2095,0.00038,-1.5425),(4845,2105,0.000396,-1.5434),(4845,2115,0.000413,-1.5443),(4845,2125,0.000403,-1.5453),(4845,2135,0.000377,-1.5462),(4845,2145,0.000351,-1.5472),(4845,2155,0.000324,-1.5482),(4845,2165,0.000297,-1.5493),(4845,2175,0.000268,-1.5503),(4845,2185,0.000239,-1.5514),(4845,2195,0.00021,-1.5526),(4845,2205,0.000215,-1.5537),(4845,2215,0.000235,-1.5549),(4845,2225,0.000255,-1.5562),(4845,2235,0.000276,-1.5575),(4845,2245,0.000348,-1.5588),(4845,2255,0.000439,-1.5601),(4845,2265,0.000529,-1.5616),(4845,2275,0.00062,-1.563),(4845,2285,0.000782,-1.5644),(4845,2295,0.000965,-1.5659),(4845,2305,0.001147,-1.5675),(4845,2315,0.00133,-1.5691),(4845,2325,0.00154,-1.5708),(4845,2335,0.001757,-1.5724),(4845,2345,0.001974,-1.5742),(4845,2355,0.002191,-1.5761),(4845,2365,0.002358,-1.578),(4845,2375,0.002516,-1.5798),(4845,2385,0.002674,-1.5819),(4845,2395,0.002832,-1.5839),(4845,2405,0.002909,-1.586),(4845,2415,0.002977,-1.588),(4845,2425,0.003044,-1.5902),(4845,2435,0.003112,-1.5923),(4845,2445,0.003139,-1.5945),(4845,2455,0.003163,-1.5967),(4845,2465,0.003187,-1.5989),(4845,2475,0.003211,-1.6011),(4845,2485,0.00327,-1.6033),(4845,2495,0.003331,-1.6054),(4845,2505,0.003391,-1.6076),(4845,2515,0.003453,-1.6098),(4845,2525,0.003618,-1.612),(4845,2535,0.003783,-1.6142),(4845,2545,0.003948,-1.6164),(4845,2555,0.004119,-1.6187),(4845,2565,0.004396,-1.6209),(4845,2575,0.004672,-1.6231),(4845,2585,0.004949,-1.6254),(4845,2595,0.005231,-1.6277),(4845,2605,0.005561,-1.6299),(4845,2615,0.005891,-1.6322),(4845,2625,0.006221,-1.6345),(4845,2635,0.006552,-1.6367),(4845,2645,0.006887,-1.639),(4845,2655,0.007221,-1.6413),(4845,2665,0.007556,-1.6435),(4845,2675,0.007888,-1.6458),(4845,2685,0.00821,-1.648),(4845,2695,0.008531,-1.6502),(4845,2705,0.008853,-1.6524),(4845,2715,0.009171,-1.6546),(4845,2725,0.009477,-1.6568),(4845,2735,0.009784,-1.6589),(4845,2745,0.01009,-1.661),(4845,2755,0.010395,-1.663),(4845,2765,0.0107,-1.6651),(4845,2775,0.011004,-1.6671),(4845,2785,0.011309,-1.669),(4845,2795,0.011627,-1.6709),(4845,2805,0.011976,-1.6728),(4845,2815,0.012325,-1.6747),(4845,2825,0.012674,-1.6765),(4845,2835,0.013036,-1.6784),(4845,2845,0.013424,-1.6802),(4845,2855,0.013813,-1.682),(4845,2865,0.014201,-1.6837),(4845,2875,0.014597,-1.6853),(4845,2885,0.015005,-1.687),(4845,2895,0.015413,-1.6887),(4845,2905,0.015822,-1.6902),(4845,2915,0.016238,-1.6917),(4845,2925,0.016666,-1.6932),(4845,2935,0.017094,-1.6947),(4845,2945,0.017522,-1.6961),(4845,2955,0.017961,-1.6975),(4845,2965,0.018413,-1.6989),(4845,2975,0.018865,-1.7002),(4845,2985,0.019317,-1.7015),(4845,2995,0.019777,-1.7027),(4845,3005,0.020247,-1.704),(4845,3015,0.020716,-1.7052),(4845,3025,0.021185,-1.7063),(4845,3035,0.021646,-1.7075),(4845,3045,0.022099,-1.7086),(4845,3055,0.022551,-1.7097),(4845,3065,0.023004,-1.7107),(4845,3075,0.02343,-1.7117),(4845,3085,0.023834,-1.7127),(4845,3095,0.024239,-1.7136),(4845,3105,0.024643,-1.7144),(4845,3115,0.025043,-1.7152),(4845,3125,0.025441,-1.716),(4845,3135,0.025838,-1.7167),(4845,3145,0.026235,-1.7173),(4845,3155,0.026644,-1.7179),(4845,3165,0.027059,-1.7186),(4845,3175,0.027474,-1.719),(4845,3185,0.02789,-1.7195),(4845,3195,0.028342,-1.7199),(4845,3205,0.02881,-1.7203),(4845,3215,0.029278,-1.7206),(4845,3225,0.029746,-1.7208),(4845,3235,0.030237,-1.721),(4845,3245,0.030738,-1.7212),(4845,3255,0.031238,-1.7212),(4845,3265,0.031738,-1.7211),(4845,3275,0.032226,-1.7211),(4845,3285,0.032711,-1.721),(4845,3295,0.033195,-1.7207),(4845,3305,0.033679,-1.7203),(4845,3315,0.034149,-1.7198),(4845,3325,0.034616,-1.7194),(4845,3335,0.035082,-1.7187),(4845,3345,0.035549,-1.7179),(4845,3355,0.035985,-1.7172),(4845,3365,0.036416,-1.7164),(4845,3375,0.036847,-1.7153),(4845,3385,0.037278,-1.7142),(4845,3395,0.037652,-1.713),(4845,3405,0.038019,-1.7119),(4845,3415,0.038385,-1.7104),(4845,3425,0.038751,-1.7089),(4845,3435,0.039059,-1.7074),(4845,3445,0.039363,-1.7058),(4845,3455,0.039666,-1.7039),(4845,3465,0.03997,-1.7019),(4845,3475,0.040216,-1.6999),(4845,3485,0.040461,-1.6979),(4845,3495,0.040706,-1.6953),(4845,3505,0.040951,-1.6927),(4845,3515,0.041185,-1.6901),(4845,3525,0.04142,-1.6875),(4845,3535,0.041654,-1.6843),(4845,3545,0.041891,-1.6811),(4845,3555,0.04219,-1.678),(4845,3565,0.04249,-1.6747),(4845,3575,0.042789,-1.671),(4845,3585,0.043091,-1.6672),(4845,3595,0.043426,-1.6635),(4845,3605,0.043761,-1.6596),(4845,3615,0.044096,-1.6551),(4845,3625,0.044428,-1.6507),(4845,3635,0.044731,-1.6462),(4845,3645,0.045035,-1.6416),(4845,3655,0.045338,-1.6363),(4845,3665,0.045629,-1.631),(4845,3675,0.045852,-1.6257),(4845,3685,0.046075,-1.6203),(4845,3695,0.046298,-1.6141),(4845,3705,0.0465,-1.6079),(4845,3715,0.046619,-1.6017),(4845,3725,0.046737,-1.5953),(4845,3735,0.046856,-1.5882),(4845,3745,0.046953,-1.581),(4845,3755,0.046984,-1.5739),(4845,3765,0.047015,-1.5664),(4845,3775,0.047046,-1.5582),(4845,3785,0.047079,-1.55),(4845,3795,0.047116,-1.5418),(4845,3805,0.047153,-1.5332),(4845,3815,0.04719,-1.5239),(4845,3825,0.047342,-1.5146),(4845,3835,0.04774,-1.5052),(4845,3845,0.048138,-1.4955),(4845,3855,0.048535,-1.485),(4845,3865,0.049431,-1.4746),(4845,3875,0.051206,-1.4641),(4845,3885,0.052981,-1.4535),(4845,3895,0.054757,-1.4426),(4845,3905,0.057313,-1.4317),(4845,3915,0.061035,-1.4208),(4845,3925,0.064758,-1.4112),(4845,3935,0.068481,-1.4034),(4845,3945,0.067365,-1.3956),(4845,3955,0.060106,-1.3878),(4845,3965,0.052847,-1.3788),(4845,3975,0.045588,-1.3684),(4845,3985,0.007944,-1.3579),(4845,3995,-0.062592,-1.3475),(4845,4005,-0.13313,-1.2874),(4845,4015,-0.20366,-1.1777),(4845,4025,0.003994,-1.0679),(4845,4035,0.23887,-0.98903),(4845,4045,0.47374,-0.97502),(4845,4055,0.63798,-0.96101),(4845,4065,0.77645,-0.94615),(4845,4075,0.91492,-0.92623),(4845,4085,0.99205,-0.9063),(4845,4095,1.0199,-0.88638),(4845,4105,1.0477,-0.86766),(4845,4115,1.0734,-0.84898),(4845,4125,1.0954,-0.83031),(4845,4135,1.1174,-0.81229),(4845,4145,1.1386,-0.79444),(4845,4155,1.1566,-0.7766),(4845,4165,1.1746,-0.75922),(4845,4175,1.1926,-0.74213),(4845,4185,1.2077,-0.72504),(4845,4195,1.2227,-0.70827),(4845,4205,1.2378,-0.69191),(4845,4215,1.2508,-0.67556),(4845,4225,1.2635,-0.65937),(4845,4235,1.2761,-0.64366),(4845,4245,1.2875,-0.62795),(4845,4255,1.2981,-0.6123),(4845,4265,1.3088,-0.59727),(4845,4275,1.3186,-0.58225),(4845,4285,1.3276,-0.56722),(4845,4295,1.3366,-0.55283),(4845,4305,1.3451,-0.53852),(4845,4315,1.3525,-0.5242),(4845,4325,1.3599,-0.51044),(4845,4335,1.3672,-0.49691),(4845,4345,1.3734,-0.48337),(4845,4355,1.3795,-0.47024),(4845,4365,1.3856,-0.45746),(4845,4375,1.3907,-0.44468),(4845,4385,1.3956,-0.43217),(4845,4395,1.4006,-0.42013),(4845,4405,1.4048,-0.40808),(4845,4415,1.4088,-0.39619),(4845,4425,1.4128,-0.38496),(4845,4435,1.4163,-0.37372),(4845,4445,1.4194,-0.36249),(4845,4455,1.4225,-0.35201),(4845,4465,1.4254,-0.34153),(4845,4475,1.4278,-0.33105),(4845,4485,1.4302,-0.32117),(4845,4495,1.4324,-0.31142),(4845,4505,1.4342,-0.30167),(4845,4515,1.436,-0.29238),(4845,4525,1.4377,-0.28335),(4845,4535,1.439,-0.27431),(4845,4545,1.4403,-0.26559),(4845,4555,1.4416,-0.25723),(4845,4565,1.4425,-0.24886),(4845,4575,1.4433,-0.2407),(4845,4585,1.4442,-0.23302),(4845,4595,1.4448,-0.22535),(4845,4605,1.4453,-0.21775),(4845,4615,1.4459,-0.21073),(4845,4625,1.4463,-0.20372),(4845,4635,1.4465,-0.19671),(4845,4645,1.4468,-0.19024),(4845,4655,1.447,-0.18381),(4845,4665,1.447,-0.17738),(4845,4675,1.4471,-0.17141),(4845,4685,1.4471,-0.16559),(4845,4695,1.447,-0.15977),(4845,4705,1.447,-0.15429),(4845,4715,1.4469,-0.14905),(4845,4725,1.4467,-0.14382),(4845,4735,1.4466,-0.13883),(4845,4745,1.4464,-0.13419),(4845,4755,1.4462,-0.12955),(4845,4765,1.446,-0.12504),(4845,4775,1.4458,-0.12098),(4845,4785,1.4456,-0.11692),(4845,4795,1.4454,-0.11288),(4845,4805,1.4453,-0.10941),(4845,4815,1.4451,-0.10594),(4845,4825,1.445,-0.10247),(4845,4835,1.4449,-0.099493),(4845,4845,1.4448,-0.096593),(4845,4855,1.4449,-0.093694),(4845,4865,1.4449,-0.091232),(4845,4875,1.445,-0.088968),(4845,4885,1.4453,-0.086704),(4845,4895,1.4456,-0.084782),(4845,4905,1.4458,-0.083188),(4845,4915,1.4464,-0.081593),(4845,4925,1.447,-0.080218),(4845,4935,1.4476,-0.079285),(4845,4945,1.4485,-0.078352),(4845,4955,1.4495,-0.077518),(4845,4965,1.4505,-0.077232),(4845,4975,1.4517,-0.076947),(4845,4985,1.4532,-0.076662),(4845,4995,1.4546,-0.076971),(4845,5005,1.4562,-0.077295),(4845,5015,1.4582,-0.077619),(4845,5025,1.4602,-0.078387),(4845,5035,1.4623,-0.079268),(4845,5045,1.4648,-0.080149),(4845,5055,1.4673,-0.08131),(4845,5065,1.4698,-0.082643),(4845,5075,1.4728,-0.083976),(4845,5085,1.4758,-0.085416),(4845,5095,1.4788,-0.086991),(4845,5105,1.482,-0.088566),(4845,5115,1.4854,-0.090144),(4845,5125,1.4887,-0.091731),(4845,5135,1.4921,-0.093318),(4845,5145,1.4956,-0.094894),(4845,5155,1.4991,-0.096344),(4845,5165,1.5026,-0.097794),(4845,5175,1.5061,-0.099244),(4845,5185,1.5096,-0.1004),(4845,5195,1.5131,-0.10153),(4845,5205,1.5165,-0.10266),(4845,5215,1.5199,-0.10344),(4845,5225,1.5232,-0.10409),(4845,5235,1.5262,-0.10474),(4845,5245,1.5291,-0.10504),(4845,5255,1.5321,-0.10504),(4845,5265,1.5344,-0.10504),(4845,5275,1.5367,-0.10479),(4845,5285,1.5389,-0.10411),(4845,5295,1.5406,-0.10343),(4845,5305,1.542,-0.10264),(4845,5315,1.5434,-0.10138),(4845,5325,1.5443,-0.10012),(4845,5335,1.5449,-0.098859),(4845,5345,1.5455,-0.097259),(4845,5355,1.5458,-0.095659),(4845,5365,1.5457,-0.094059),(4845,5375,1.5456,-0.092409),(4845,5385,1.5454,-0.090749),(4845,5395,1.5449,-0.089089),(4845,5405,1.5443,-0.087538),(4845,5415,1.5438,-0.086044),(4845,5425,1.543,-0.08455),(4845,5435,1.5423,-0.083221),(4845,5445,1.5415,-0.082073),(4845,5455,1.5407,-0.080924),(4845,5465,1.54,-0.079931),(4845,5475,1.5392,-0.079297),(4845,5485,1.5386,-0.078663),(4845,5495,1.5381,-0.078112),(4845,5505,1.5375,-0.07815),(4845,5515,1.5372,-0.078187),(4845,5525,1.5371,-0.078225),(4845,5535,1.5369,-0.079051),(4845,5545,1.537,-0.079924),(4845,5555,1.5374,-0.080796),(4845,5565,1.5378,-0.082486),(4845,5575,1.5384,-0.084425),(4845,5585,1.5397,-0.086364),(4845,5595,1.5409,-0.089088),(4845,5605,1.5422,-0.09236),(4845,5615,1.5446,-0.095632),(4845,5625,1.5469,-0.099545),(4845,5635,1.5492,-0.10437),(4845,5645,1.5528,-0.1092),(4845,5655,1.5565,-0.11446),(4845,5665,1.5603,-0.1211),(4845,5675,1.5652,-0.12775),(4845,5685,1.5708,-0.1345),(4845,5695,1.5764,-0.14317),(4845,5705,1.5831,-0.15184),(4845,5715,1.5909,-0.16051),(4845,5725,1.5988,-0.17093),(4845,5735,1.6074,-0.18159),(4845,5745,1.618,-0.19225),(4845,5755,1.6285,-0.20413),(4845,5765,1.6394,-0.21654),(4845,5775,1.6529,-0.22895),(4845,5785,1.6664,-0.24189),(4845,5795,1.6798,-0.25533),(4845,5805,1.6959,-0.26877),(4845,5815,1.7122,-0.28214),(4845,5825,1.7284,-0.29537),(4845,5835,1.7462,-0.3086),(4845,5845,1.7645,-0.32155),(4845,5855,1.7827,-0.33302),(4845,5865,1.8013,-0.34448),(4845,5875,1.8202,-0.35595),(4845,5885,1.8391,-0.36428),(4845,5895,1.8576,-0.37256),(4845,5905,1.8755,-0.38085),(4845,5915,1.8934,-0.38589),(4845,5925,1.9108,-0.39016),(4845,5935,1.9264,-0.39443),(4845,5945,1.942,-0.39624),(4845,5955,1.9575,-0.3966),(4845,5965,1.9704,-0.39696),(4845,5975,1.9832,-0.39595),(4845,5985,1.9961,-0.39328),(4845,5995,2.0068,-0.39061),(4845,6005,2.0172,-0.38742),(4845,6015,2.0276,-0.38282),(4845,6025,2.0369,-0.37822),(4845,6035,2.0455,-0.37352),(4845,6045,2.0542,-0.36786),(4845,6055,2.0623,-0.36221),(4845,6065,2.0699,-0.35655),(4845,6075,2.0775,-0.35033),(4845,6085,2.0849,-0.34406),(4845,6095,2.0917,-0.33779),(4845,6105,2.0986,-0.33123),(4845,6115,2.1054,-0.32456),(4845,6125,2.1117,-0.3179),(4845,6135,2.118,-0.31109),(4845,6145,2.1243,-0.30417),(4845,6155,2.1301,-0.29725),(4845,6165,2.1359,-0.29027),(4845,6175,2.1417,-0.28321),(4845,6185,2.1471,-0.27615),(4845,6195,2.1524,-0.26908),(4845,6205,2.1577,-0.26194),(4845,6215,2.1627,-0.25481),(4845,6225,2.1675,-0.24768),(4845,6235,2.1723,-0.24047),(4845,6245,2.1769,-0.23327),(4845,6255,2.1812,-0.22606),(4845,6265,2.1855,-0.21888),(4845,6275,2.1897,-0.21171),(4845,6285,2.1935,-0.20453),(4845,6295,2.1973,-0.19741),(4845,6305,2.2011,-0.19032),(4845,6315,2.2045,-0.18324),(4845,6325,2.2078,-0.17619),(4845,6335,2.2112,-0.16918),(4845,6345,2.2141,-0.16218),(4845,6355,2.217,-0.1552),(4845,6365,2.22,-0.14829),(4845,6375,2.2226,-0.14138),(4845,6385,2.225,-0.13449),(4845,6395,2.2275,-0.12774),(4845,6405,2.2298,-0.12098),(4845,6415,2.2318,-0.11423),(4845,6425,2.2339,-0.10756),(4845,6435,2.2358,-0.1009),(4845,6445,2.2375,-0.094242),(4845,6455,2.2392,-0.087678),(4845,6465,2.2408,-0.081141),(4845,6475,2.2421,-0.074605),(4845,6485,2.2434,-0.068105),(4845,6495,2.2447,-0.061628),(4845,6505,2.2457,-0.055152),(4845,6515,2.2466,-0.048713),(4845,6525,2.2475,-0.042325),(4845,6535,2.2482,-0.035937),(4845,6545,2.2488,-0.029555),(4845,6555,2.2494,-0.023195),(4845,6565,2.2498,-0.016835),(4845,6575,2.25,-0.010479),(4845,6585,2.2503,-0.004184),(4845,6595,1.9143,0.00211),(4845,6605,1.2071,0.008405),(4845,6615,0.49996,0.009121),(4845,6625,0.002816,0.009121),(4845,6635,0.002778,0.00912),(4845,6645,0.002741,0.009126),(4845,6655,0.002704,0.009135),(4845,6665,0.002671,0.009143),(4845,6675,0.002639,0.009151),(4845,6685,0.002607,0.009157),(4845,6695,0.002579,0.009164),(4845,6705,0.002551,0.00917),(4845,6715,0.002523,0.009176),(4845,6725,0.002498,0.009181),(4845,6735,0.002474,0.009187),(4845,6745,0.00245,0.009191),(4845,6755,0.002428,0.009195),(4845,6765,0.002407,0.009199),(4845,6775,0.002387,0.009203),(4845,6785,0.002367,0.009206),(4845,6795,0.002349,0.009209),(4845,6805,0.002331,0.009212),(4845,6815,0.002314,0.009214),(4845,6825,0.002299,0.009217),(4845,6835,0.002284,0.009219),(4845,6845,0.002268,0.009221),(4845,6855,0.002255,0.009222),(4845,6865,0.002242,0.009224),(4845,6875,0.002229,0.009225),(4845,6885,0.002218,0.009226),(4845,6895,0.002206,0.009227),(4845,6905,0.002195,0.009228),(4845,6915,0.002185,0.009229),(4845,6925,0.002175,0.009229),(4845,6935,0.002166,0.009229),(4845,6945,0.002157,0.009229),(4845,6955,0.002149,0.00923),(4845,6965,0.002141,0.009229),(4845,6975,0.002133,0.009229),(4845,6985,0.002127,0.009229),(4855,5,1.5e-05,-1.4254),(4855,15,4.4e-05,-1.4256),(4855,25,5.2e-05,-1.4258),(4855,35,4.1e-05,-1.426),(4855,45,3e-05,-1.4261),(4855,55,1.8e-05,-1.4262),(4855,65,-6e-06,-1.4262),(4855,75,-4e-05,-1.4263),(4855,85,-7.4e-05,-1.4264),(4855,95,-0.000108,-1.4265),(4855,105,-0.000101,-1.4265),(4855,115,-6.6e-05,-1.4266),(4855,125,-3.1e-05,-1.4268),(4855,135,3e-06,-1.4271),(4855,145,3.9e-05,-1.4274),(4855,155,7.5e-05,-1.4277),(4855,165,0.000112,-1.428),(4855,175,0.000148,-1.4284),(4855,185,0.000151,-1.4287),(4855,195,0.000139,-1.429),(4855,205,0.000126,-1.4293),(4855,215,0.000114,-1.4297),(4855,225,0.000114,-1.43),(4855,235,0.00012,-1.4304),(4855,245,0.000125,-1.4308),(4855,255,0.000131,-1.4313),(4855,265,0.000121,-1.4317),(4855,275,0.000107,-1.4322),(4855,285,9.3e-05,-1.4326),(4855,295,7.9e-05,-1.4331),(4855,305,4.7e-05,-1.4335),(4855,315,9e-06,-1.434),(4855,325,-2.8e-05,-1.4344),(4855,335,-6.5e-05,-1.4348),(4855,345,-7.6e-05,-1.4353),(4855,355,-8.2e-05,-1.4357),(4855,365,-8.8e-05,-1.4362),(4855,375,-9.4e-05,-1.4367),(4855,385,-5e-05,-1.4373),(4855,395,2e-06,-1.4378),(4855,405,5.3e-05,-1.4385),(4855,415,0.000104,-1.4392),(4855,425,0.000179,-1.4399),(4855,435,0.000257,-1.4406),(4855,445,0.000335,-1.4415),(4855,455,0.000412,-1.4423),(4855,465,0.000377,-1.4432),(4855,475,0.000336,-1.444),(4855,485,0.000295,-1.4448),(4855,495,0.000255,-1.4455),(4855,505,0.000182,-1.4462),(4855,515,0.00011,-1.4469),(4855,525,3.7e-05,-1.4477),(4855,535,-3.5e-05,-1.4485),(4855,545,-8.4e-05,-1.4493),(4855,555,-0.000133,-1.4501),(4855,565,-0.000182,-1.451),(4855,575,-0.000226,-1.4519),(4855,585,-0.000217,-1.4528),(4855,595,-0.000208,-1.4537),(4855,605,-0.0002,-1.4547),(4855,615,-0.000194,-1.4557),(4855,625,-0.000209,-1.4568),(4855,635,-0.000224,-1.4578),(4855,645,-0.000239,-1.4588),(4855,655,-0.00024,-1.4598),(4855,665,-0.00016,-1.4607),(4855,675,-8e-05,-1.4618),(4855,685,-1e-06,-1.463),(4855,695,8e-05,-1.4643),(4855,705,0.000163,-1.4656),(4855,715,0.000246,-1.4668),(4855,725,0.000328,-1.4681),(4855,735,0.000397,-1.4694),(4855,745,0.000417,-1.4707),(4855,755,0.000438,-1.4719),(4855,765,0.000458,-1.4731),(4855,775,0.000467,-1.4743),(4855,785,0.000443,-1.4754),(4855,795,0.000419,-1.4766),(4855,805,0.000395,-1.4777),(4855,815,0.000379,-1.4789),(4855,825,0.000382,-1.48),(4855,835,0.000384,-1.4812),(4855,845,0.000386,-1.4826),(4855,855,0.000402,-1.4839),(4855,865,0.000442,-1.4852),(4855,875,0.000483,-1.4867),(4855,885,0.000523,-1.4882),(4855,895,0.000544,-1.4897),(4855,905,0.000534,-1.4913),(4855,915,0.000525,-1.4928),(4855,925,0.000516,-1.4942),(4855,935,0.00052,-1.4956),(4855,945,0.000541,-1.497),(4855,955,0.000562,-1.4985),(4855,965,0.000584,-1.5),(4855,975,0.000568,-1.5015),(4855,985,0.00051,-1.503),(4855,995,0.000452,-1.5043),(4855,1005,0.000394,-1.5056),(4855,1015,0.000344,-1.5068),(4855,1025,0.000301,-1.508),(4855,1035,0.000258,-1.5093),(4855,1045,0.000215,-1.5105),(4855,1055,0.000269,-1.5117),(4855,1065,0.000403,-1.513),(4855,1075,0.000536,-1.5144),(4855,1085,0.00067,-1.5159),(4855,1095,0.000834,-1.5174),(4855,1105,0.001021,-1.519),(4855,1115,0.001207,-1.5203),(4855,1125,0.001393,-1.5216),(4855,1135,0.001886,-1.5228),(4855,1145,0.002559,-1.5241),(4855,1155,0.003233,-1.5251),(4855,1165,0.003906,-1.526),(4855,1175,0.005795,-1.527),(4855,1185,0.008287,-1.5279),(4855,1195,0.010778,-1.5282),(4855,1205,0.01327,-1.5282),(4855,1215,0.018578,-1.5281),(4855,1225,0.025048,-1.5281),(4855,1235,0.031517,-1.53),(4855,1245,0.037987,-1.5326),(4855,1255,0.031986,-1.5352),(4855,1265,0.021773,-1.5378),(4855,1275,0.011559,-1.5415),(4855,1285,0.001346,-1.5456),(4855,1295,-0.070988,-1.5497),(4855,1305,-0.16012,-1.5538),(4855,1315,-0.24926,-1.4789),(4855,1325,-0.33839,-1.3852),(4855,1335,-0.20541,-1.2914),(4855,1345,-0.025885,-1.1976),(4855,1355,0.15364,-1.2582),(4855,1365,0.33317,-1.3468),(4855,1375,0.28078,-1.4354),(4855,1385,0.19261,-1.524),(4855,1395,0.10444,-1.5346),(4855,1405,0.016274,-1.5351),(4855,1415,-0.00621,-1.5357),(4855,1425,-0.021874,-1.5362),(4855,1435,-0.037538,-1.5359),(4855,1445,-0.053202,-1.5356),(4855,1455,-0.045545,-1.5353),(4855,1465,-0.036545,-1.5349),(4855,1475,-0.027545,-1.5371),(4855,1485,-0.018545,-1.5394),(4855,1495,-0.015196,-1.5416),(4855,1505,-0.011932,-1.5439),(4855,1515,-0.008667,-1.5443),(4855,1525,-0.005464,-1.5447),(4855,1535,-0.004646,-1.5451),(4855,1545,-0.003828,-1.5454),(4855,1555,-0.003011,-1.5453),(4855,1565,-0.002232,-1.5451),(4855,1575,-0.002022,-1.5449),(4855,1585,-0.001812,-1.5448),(4855,1595,-0.001601,-1.5446),(4855,1605,-0.001409,-1.5443),(4855,1615,-0.00137,-1.5441),(4855,1625,-0.001331,-1.5439),(4855,1635,-0.001292,-1.5436),(4855,1645,-0.001254,-1.5432),(4855,1655,-0.001228,-1.5429),(4855,1665,-0.001202,-1.5426),(4855,1675,-0.001175,-1.5422),(4855,1685,-0.001152,-1.5419),(4855,1695,-0.001139,-1.5416),(4855,1705,-0.001126,-1.5413),(4855,1715,-0.001114,-1.5409),(4855,1725,-0.001099,-1.5405),(4855,1735,-0.001078,-1.5401),(4855,1745,-0.001057,-1.5397),(4855,1755,-0.001036,-1.5392),(4855,1765,-0.001003,-1.5388),(4855,1775,-0.000936,-1.5383),(4855,1785,-0.00087,-1.5379),(4855,1795,-0.000803,-1.5376),(4855,1805,-0.000748,-1.5373),(4855,1815,-0.000721,-1.5369),(4855,1825,-0.000694,-1.5366),(4855,1835,-0.000667,-1.5363),(4855,1845,-0.000642,-1.5361),(4855,1855,-0.000622,-1.5358),(4855,1865,-0.000601,-1.5356),(4855,1875,-0.000581,-1.5355),(4855,1885,-0.00056,-1.5354),(4855,1895,-0.000538,-1.5353),(4855,1905,-0.000516,-1.5353),(4855,1915,-0.000494,-1.5353),(4855,1925,-0.000469,-1.5354),(4855,1935,-0.000438,-1.5354),(4855,1945,-0.000408,-1.5355),(4855,1955,-0.000377,-1.5356),(4855,1965,-0.000316,-1.5357),(4855,1975,-0.00022,-1.5359),(4855,1985,-0.000124,-1.5361),(4855,1995,-2.8e-05,-1.5365),(4855,2005,6e-05,-1.537),(4855,2015,0.000141,-1.5374),(4855,2025,0.000221,-1.5379),(4855,2035,0.000301,-1.5384),(4855,2045,0.000356,-1.539),(4855,2055,0.000388,-1.5396),(4855,2065,0.000421,-1.5402),(4855,2075,0.000453,-1.541),(4855,2085,0.000474,-1.5417),(4855,2095,0.000487,-1.5425),(4855,2105,0.0005,-1.5433),(4855,2115,0.000512,-1.5443),(4855,2125,0.000498,-1.5452),(4855,2135,0.000467,-1.5462),(4855,2145,0.000436,-1.5472),(4855,2155,0.000405,-1.5482),(4855,2165,0.000375,-1.5492),(4855,2175,0.000344,-1.5503),(4855,2185,0.000313,-1.5514),(4855,2195,0.000283,-1.5526),(4855,2205,0.000291,-1.5537),(4855,2215,0.000317,-1.5549),(4855,2225,0.000343,-1.5562),(4855,2235,0.000368,-1.5575),(4855,2245,0.000447,-1.5589),(4855,2255,0.000543,-1.5602),(4855,2265,0.00064,-1.5616),(4855,2275,0.000737,-1.5631),(4855,2285,0.000904,-1.5645),(4855,2295,0.001091,-1.5659),(4855,2305,0.001278,-1.5675),(4855,2315,0.001465,-1.5692),(4855,2325,0.001681,-1.5708),(4855,2335,0.001902,-1.5724),(4855,2345,0.002124,-1.5743),(4855,2355,0.002346,-1.5761),(4855,2365,0.002514,-1.578),(4855,2375,0.002673,-1.5798),(4855,2385,0.002832,-1.5818),(4855,2395,0.002991,-1.5839),(4855,2405,0.003063,-1.5859),(4855,2415,0.003124,-1.588),(4855,2425,0.003186,-1.5901),(4855,2435,0.003248,-1.5923),(4855,2445,0.003267,-1.5944),(4855,2455,0.003282,-1.5966),(4855,2465,0.003299,-1.5988),(4855,2475,0.003315,-1.601),(4855,2485,0.003367,-1.6032),(4855,2495,0.003419,-1.6054),(4855,2505,0.003472,-1.6076),(4855,2515,0.003527,-1.6098),(4855,2525,0.003684,-1.612),(4855,2535,0.00384,-1.6142),(4855,2545,0.003997,-1.6164),(4855,2555,0.00416,-1.6186),(4855,2565,0.004432,-1.6209),(4855,2575,0.004704,-1.6231),(4855,2585,0.004975,-1.6254),(4855,2595,0.005253,-1.6276),(4855,2605,0.005582,-1.6299),(4855,2615,0.005912,-1.6322),(4855,2625,0.006241,-1.6344),(4855,2635,0.006571,-1.6367),(4855,2645,0.006902,-1.639),(4855,2655,0.007234,-1.6412),(4855,2665,0.007566,-1.6435),(4855,2675,0.007895,-1.6457),(4855,2685,0.008209,-1.6479),(4855,2695,0.008523,-1.6502),(4855,2705,0.008837,-1.6523),(4855,2715,0.009147,-1.6545),(4855,2725,0.009444,-1.6567),(4855,2735,0.00974,-1.6588),(4855,2745,0.010037,-1.6609),(4855,2755,0.010332,-1.6629),(4855,2765,0.010622,-1.665),(4855,2775,0.010911,-1.667),(4855,2785,0.011201,-1.6689),(4855,2795,0.011503,-1.6708),(4855,2805,0.011835,-1.6727),(4855,2815,0.012168,-1.6746),(4855,2825,0.0125,-1.6764),(4855,2835,0.012846,-1.6782),(4855,2845,0.01322,-1.68),(4855,2855,0.013594,-1.6818),(4855,2865,0.013968,-1.6835),(4855,2875,0.01435,-1.6852),(4855,2885,0.014747,-1.6869),(4855,2895,0.015143,-1.6885),(4855,2905,0.015539,-1.6901),(4855,2915,0.015945,-1.6916),(4855,2925,0.016364,-1.6931),(4855,2935,0.016783,-1.6946),(4855,2945,0.017202,-1.696),(4855,2955,0.017632,-1.6974),(4855,2965,0.018077,-1.6988),(4855,2975,0.018521,-1.7001),(4855,2985,0.018965,-1.7014),(4855,2995,0.019422,-1.7026),(4855,3005,0.01989,-1.7039),(4855,3015,0.020358,-1.7051),(4855,3025,0.020827,-1.7062),(4855,3035,0.021286,-1.7074),(4855,3045,0.021739,-1.7085),(4855,3055,0.022192,-1.7096),(4855,3065,0.022644,-1.7106),(4855,3075,0.023062,-1.7116),(4855,3085,0.023452,-1.7126),(4855,3095,0.023843,-1.7135),(4855,3105,0.024234,-1.7143),(4855,3115,0.024616,-1.7151),(4855,3125,0.024991,-1.7159),(4855,3135,0.025366,-1.7166),(4855,3145,0.025742,-1.7172),(4855,3155,0.02613,-1.7178),(4855,3165,0.026525,-1.7185),(4855,3175,0.02692,-1.7189),(4855,3185,0.027315,-1.7194),(4855,3195,0.027751,-1.7198),(4855,3205,0.028205,-1.7202),(4855,3215,0.028659,-1.7205),(4855,3225,0.029113,-1.7207),(4855,3235,0.029598,-1.7209),(4855,3245,0.030095,-1.7211),(4855,3255,0.030592,-1.7211),(4855,3265,0.031088,-1.7211),(4855,3275,0.031573,-1.7211),(4855,3285,0.032053,-1.721),(4855,3295,0.032534,-1.7207),(4855,3305,0.033014,-1.7203),(4855,3315,0.033481,-1.7199),(4855,3325,0.033945,-1.7195),(4855,3335,0.034409,-1.7188),(4855,3345,0.034873,-1.718),(4855,3355,0.035315,-1.7172),(4855,3365,0.035753,-1.7165),(4855,3375,0.036191,-1.7154),(4855,3385,0.036629,-1.7143),(4855,3395,0.037007,-1.7132),(4855,3405,0.037378,-1.712),(4855,3415,0.037749,-1.7105),(4855,3425,0.03812,-1.709),(4855,3435,0.038424,-1.7075),(4855,3445,0.038723,-1.706),(4855,3455,0.039022,-1.704),(4855,3465,0.039321,-1.7021),(4855,3475,0.039562,-1.7001),(4855,3485,0.039802,-1.6981),(4855,3495,0.040041,-1.6956),(4855,3505,0.040281,-1.693),(4855,3515,0.040512,-1.6904),(4855,3525,0.040742,-1.6879),(4855,3535,0.040973,-1.6847),(4855,3545,0.041207,-1.6815),(4855,3555,0.041506,-1.6783),(4855,3565,0.041806,-1.6751),(4855,3575,0.042105,-1.6714),(4855,3585,0.042408,-1.6677),(4855,3595,0.042751,-1.6639),(4855,3605,0.043094,-1.6601),(4855,3615,0.043437,-1.6557),(4855,3625,0.043776,-1.6512),(4855,3635,0.044091,-1.6468),(4855,3645,0.044406,-1.6422),(4855,3655,0.044721,-1.6369),(4855,3665,0.045023,-1.6317),(4855,3675,0.045255,-1.6264),(4855,3685,0.045487,-1.621),(4855,3695,0.04572,-1.6149),(4855,3705,0.045929,-1.6087),(4855,3715,0.046046,-1.6025),(4855,3725,0.046163,-1.5962),(4855,3735,0.046281,-1.589),(4855,3745,0.046374,-1.5819),(4855,3755,0.046395,-1.5748),(4855,3765,0.046416,-1.5674),(4855,3775,0.046437,-1.5592),(4855,3785,0.046458,-1.551),(4855,3795,0.046482,-1.5428),(4855,3805,0.046507,-1.5343),(4855,3815,0.046531,-1.525),(4855,3825,0.046664,-1.5157),(4855,3835,0.047028,-1.5064),(4855,3845,0.047391,-1.4967),(4855,3855,0.047754,-1.4861),(4855,3865,0.048634,-1.4756),(4855,3875,0.050425,-1.465),(4855,3885,0.052216,-1.4541),(4855,3895,0.054007,-1.4426),(4855,3905,0.056995,-1.4312),(4855,3915,0.061771,-1.4197),(4855,3925,0.066547,-1.4097),(4855,3935,0.071322,-1.4017),(4855,3945,0.071145,-1.3937),(4855,3955,0.06468,-1.3857),(4855,3965,0.058215,-1.3788),(4855,3975,0.05175,-1.3731),(4855,3985,-0.000486,-1.3673),(4855,3995,-0.10227,-1.3616),(4855,4005,-0.20405,-1.3012),(4855,4015,-0.30583,-1.1861),(4855,4025,-0.07496,-1.071),(4855,4035,0.18846,-0.98859),(4855,4045,0.45187,-0.97512),(4855,4055,0.62225,-0.96165),(4855,4065,0.75868,-0.94735),(4855,4075,0.89511,-0.92817),(4855,4085,0.97146,-0.90898),(4855,4095,0.99954,-0.88979),(4855,4105,1.0276,-0.87157),(4855,4115,1.0535,-0.85339),(4855,4125,1.0757,-0.8352),(4855,4135,1.0979,-0.81758),(4855,4145,1.1193,-0.80011),(4855,4155,1.1375,-0.78263),(4855,4165,1.1557,-0.76558),(4855,4175,1.1738,-0.7488),(4855,4185,1.189,-0.73202),(4855,4195,1.2043,-0.71555),(4855,4205,1.2195,-0.69948),(4855,4215,1.2327,-0.6834),(4855,4225,1.2455,-0.66749),(4855,4235,1.2584,-0.65203),(4855,4245,1.2699,-0.63657),(4855,4255,1.2807,-0.62116),(4855,4265,1.2916,-0.60634),(4855,4275,1.3016,-0.59153),(4855,4285,1.3107,-0.57671),(4855,4295,1.3199,-0.56251),(4855,4305,1.3286,-0.54837),(4855,4315,1.3362,-0.53423),(4855,4325,1.3439,-0.52063),(4855,4335,1.3513,-0.50723),(4855,4345,1.3577,-0.49384),(4855,4355,1.364,-0.48083),(4855,4365,1.3704,-0.46815),(4855,4375,1.3756,-0.45548),(4855,4385,1.3808,-0.44306),(4855,4395,1.386,-0.4311),(4855,4405,1.3905,-0.41914),(4855,4415,1.3947,-0.40732),(4855,4425,1.3989,-0.39614),(4855,4435,1.4026,-0.38495),(4855,4445,1.4059,-0.37377),(4855,4455,1.4093,-0.36333),(4855,4465,1.4123,-0.35289),(4855,4475,1.415,-0.34245),(4855,4485,1.4176,-0.3326),(4855,4495,1.42,-0.32288),(4855,4505,1.422,-0.31316),(4855,4515,1.424,-0.30389),(4855,4525,1.426,-0.29486),(4855,4535,1.4275,-0.28584),(4855,4545,1.429,-0.27713),(4855,4555,1.4305,-0.26877),(4855,4565,1.4316,-0.26042),(4855,4575,1.4326,-0.25226),(4855,4585,1.4337,-0.24458),(4855,4595,1.4345,-0.23691),(4855,4605,1.4352,-0.22931),(4855,4615,1.4359,-0.2223),(4855,4625,1.4365,-0.21528),(4855,4635,1.437,-0.20827),(4855,4645,1.4374,-0.20181),(4855,4655,1.4378,-0.19538),(4855,4665,1.438,-0.18895),(4855,4675,1.4383,-0.18298),(4855,4685,1.4385,-0.17716),(4855,4695,1.4386,-0.17134),(4855,4705,1.4387,-0.16587),(4855,4715,1.4388,-0.16065),(4855,4725,1.4388,-0.15543),(4855,4735,1.4389,-0.15045),(4855,4745,1.4389,-0.14584),(4855,4755,1.4389,-0.14122),(4855,4765,1.4388,-0.13673),(4855,4775,1.4388,-0.1327),(4855,4785,1.4388,-0.12866),(4855,4795,1.4388,-0.12466),(4855,4805,1.4388,-0.12123),(4855,4815,1.4389,-0.1178),(4855,4825,1.4389,-0.11437),(4855,4835,1.439,-0.11144),(4855,4845,1.4392,-0.10859),(4855,4855,1.4394,-0.10574),(4855,4865,1.4396,-0.10333),(4855,4875,1.4399,-0.10113),(4855,4885,1.4404,-0.098929),(4855,4895,1.4409,-0.097068),(4855,4905,1.4414,-0.095537),(4855,4915,1.4421,-0.094006),(4855,4925,1.4429,-0.092692),(4855,4935,1.4437,-0.091816),(4855,4945,1.4448,-0.090939),(4855,4955,1.446,-0.090159),(4855,4965,1.4472,-0.08991),(4855,4975,1.4486,-0.089661),(4855,4985,1.4502,-0.089412),(4855,4995,1.4519,-0.089742),(4855,5005,1.4537,-0.090087),(4855,5015,1.4558,-0.090432),(4855,5025,1.4579,-0.091189),(4855,5035,1.4602,-0.092052),(4855,5045,1.4628,-0.092915),(4855,5055,1.4654,-0.094025),(4855,5065,1.4681,-0.095288),(4855,5075,1.4711,-0.09655),(4855,5085,1.4741,-0.097891),(4855,5095,1.4771,-0.099332),(4855,5105,1.4804,-0.10077),(4855,5115,1.4837,-0.1022),(4855,5125,1.487,-0.1036),(4855,5135,1.4904,-0.10501),(4855,5145,1.4938,-0.10639),(4855,5155,1.4972,-0.10762),(4855,5165,1.5007,-0.10886),(4855,5175,1.5041,-0.11009),(4855,5185,1.5075,-0.11101),(4855,5195,1.5109,-0.1119),(4855,5205,1.5141,-0.11279),(4855,5215,1.5173,-0.11332),(4855,5225,1.5204,-0.11372),(4855,5235,1.5232,-0.11412),(4855,5245,1.526,-0.11418),(4855,5255,1.5287,-0.11396),(4855,5265,1.5308,-0.11374),(4855,5275,1.5329,-0.11329),(4855,5285,1.535,-0.11246),(4855,5295,1.5364,-0.11163),(4855,5305,1.5377,-0.11071),(4855,5315,1.539,-0.1094),(4855,5325,1.5398,-0.1081),(4855,5335,1.5404,-0.1068),(4855,5345,1.5409,-0.10526),(4855,5355,1.5411,-0.10372),(4855,5365,1.541,-0.10218),(4855,5375,1.5409,-0.10066),(4855,5385,1.5408,-0.099153),(4855,5395,1.5403,-0.097644),(4855,5405,1.5398,-0.096292),(4855,5415,1.5393,-0.095022),(4855,5425,1.5387,-0.093752),(4855,5435,1.5381,-0.09268),(4855,5445,1.5374,-0.091821),(4855,5455,1.5369,-0.090962),(4855,5465,1.5363,-0.090278),(4855,5475,1.5357,-0.089999),(4855,5485,1.5353,-0.089721),(4855,5495,1.535,-0.089534),(4855,5505,1.5347,-0.089996),(4855,5515,1.5346,-0.090459),(4855,5525,1.5348,-0.090921),(4855,5535,1.5349,-0.092242),(4855,5545,1.5353,-0.093613),(4855,5555,1.5361,-0.094984),(4855,5565,1.5369,-0.097226),(4855,5575,1.5378,-0.099733),(4855,5585,1.5395,-0.10224),(4855,5595,1.5412,-0.10557),(4855,5605,1.5429,-0.10947),(4855,5615,1.5457,-0.11337),(4855,5625,1.5486,-0.11791),(4855,5635,1.5514,-0.1234),(4855,5645,1.5555,-0.12888),(4855,5655,1.5598,-0.13477),(4855,5665,1.5641,-0.14204),(4855,5675,1.5696,-0.14931),(4855,5685,1.5758,-0.15668),(4855,5695,1.582,-0.16586),(4855,5705,1.5892,-0.17505),(4855,5715,1.5976,-0.18423),(4855,5725,1.606,-0.19496),(4855,5735,1.6151,-0.2059),(4855,5745,1.6261,-0.21685),(4855,5755,1.637,-0.22877),(4855,5765,1.6483,-0.24112),(4855,5775,1.6619,-0.25346),(4855,5785,1.6755,-0.26608),(4855,5795,1.6891,-0.27897),(4855,5805,1.7049,-0.29185),(4855,5815,1.7209,-0.30448),(4855,5825,1.7369,-0.31662),(4855,5835,1.7541,-0.32876),(4855,5845,1.7716,-0.34054),(4855,5855,1.7892,-0.35049),(4855,5865,1.8069,-0.36043),(4855,5875,1.8247,-0.37038),(4855,5885,1.8425,-0.37707),(4855,5895,1.8598,-0.38371),(4855,5905,1.8765,-0.39036),(4855,5915,1.8932,-0.39396),(4855,5925,1.9094,-0.39683),(4855,5935,1.9239,-0.39971),(4855,5945,1.9384,-0.40043),(4855,5955,1.9528,-0.39988),(4855,5965,1.9649,-0.39934),(4855,5975,1.9769,-0.39765),(4855,5985,1.9889,-0.39456),(4855,5995,1.9991,-0.39147),(4855,6005,2.009,-0.38795),(4855,6015,2.0189,-0.38326),(4855,6025,2.0278,-0.37857),(4855,6035,2.0361,-0.37379),(4855,6045,2.0445,-0.3682),(4855,6055,2.0524,-0.36261),(4855,6065,2.0598,-0.35701),(4855,6075,2.0672,-0.3509),(4855,6085,2.0743,-0.34475),(4855,6095,2.0811,-0.33859),(4855,6105,2.0878,-0.33215),(4855,6115,2.0944,-0.32561),(4855,6125,2.1007,-0.31907),(4855,6135,2.1069,-0.31239),(4855,6145,2.1131,-0.30559),(4855,6155,2.1188,-0.29879),(4855,6165,2.1245,-0.29194),(4855,6175,2.1302,-0.28499),(4855,6185,2.1356,-0.27803),(4855,6195,2.1408,-0.27106),(4855,6205,2.1461,-0.26402),(4855,6215,2.1511,-0.25698),(4855,6225,2.1558,-0.24994),(4855,6235,2.1606,-0.2428),(4855,6245,2.1652,-0.23565),(4855,6255,2.1695,-0.22851),(4855,6265,2.1738,-0.22137),(4855,6275,2.178,-0.21423),(4855,6285,2.1818,-0.20709),(4855,6295,2.1856,-0.2),(4855,6305,2.1894,-0.19292),(4855,6315,2.1928,-0.18584),(4855,6325,2.1961,-0.17879),(4855,6335,2.1995,-0.17177),(4855,6345,2.2025,-0.16474),(4855,6355,2.2054,-0.15774),(4855,6365,2.2083,-0.15078),(4855,6375,2.211,-0.14383),(4855,6385,2.2135,-0.13689),(4855,6395,2.216,-0.13007),(4855,6405,2.2183,-0.12325),(4855,6415,2.2203,-0.11643),(4855,6425,2.2224,-0.10968),(4855,6435,2.2244,-0.10294),(4855,6445,2.2261,-0.096192),(4855,6455,2.2278,-0.089533),(4855,6465,2.2294,-0.082898),(4855,6475,2.2308,-0.076263),(4855,6485,2.2321,-0.069656),(4855,6495,2.2334,-0.063069),(4855,6505,2.2344,-0.056482),(4855,6515,2.2353,-0.049927),(4855,6525,2.2363,-0.043415),(4855,6535,2.237,-0.036903),(4855,6545,2.2376,-0.030396),(4855,6555,2.2382,-0.023905),(4855,6565,2.2386,-0.017413),(4855,6575,2.2388,-0.010926),(4855,6585,2.2391,-0.004498),(4855,6595,1.9048,0.00193),(4855,6605,1.2011,0.008358),(4855,6615,0.49747,0.009088),(4855,6625,0.002797,0.009085),(4855,6635,0.002761,0.009083),(4855,6645,0.002724,0.009089),(4855,6655,0.002688,0.009099),(4855,6665,0.002656,0.009109),(4855,6675,0.002625,0.009118),(4855,6685,0.002593,0.009127),(4855,6695,0.002566,0.009135),(4855,6705,0.002538,0.009142),(4855,6715,0.002511,0.009149),(4855,6725,0.002486,0.009156),(4855,6735,0.002463,0.009162),(4855,6745,0.002439,0.009168),(4855,6755,0.002418,0.009173),(4855,6765,0.002397,0.009178),(4855,6775,0.002377,0.009182),(4855,6785,0.002358,0.009187),(4855,6795,0.002341,0.009191),(4855,6805,0.002323,0.009194),(4855,6815,0.002306,0.009198),(4855,6825,0.002291,0.009201),(4855,6835,0.002276,0.009204),(4855,6845,0.002261,0.009206),(4855,6855,0.002248,0.009209),(4855,6865,0.002236,0.009211),(4855,6875,0.002223,0.009213),(4855,6885,0.002211,0.009215),(4855,6895,0.0022,0.009216),(4855,6905,0.002189,0.009217),(4855,6915,0.00218,0.009218),(4855,6925,0.00217,0.00922),(4855,6935,0.002161,0.00922),(4855,6945,0.002152,0.009221),(4855,6955,0.002145,0.009221),(4855,6965,0.002137,0.009221),(4855,6975,0.002129,0.009221),(4855,6985,0.002122,0.009222),(4865,5,1.9e-05,-1.1125),(4865,15,5.6e-05,-1.1127),(4865,25,6.9e-05,-1.1128),(4865,35,5.8e-05,-1.113),(4865,45,4.7e-05,-1.1131),(4865,55,3.7e-05,-1.1131),(4865,65,7e-06,-1.1132),(4865,75,-3.7e-05,-1.1133),(4865,85,-8.1e-05,-1.1133),(4865,95,-0.000125,-1.1134),(4865,105,-0.000122,-1.1134),(4865,115,-8.9e-05,-1.1135),(4865,125,-5.6e-05,-1.1136),(4865,135,-2.2e-05,-1.1139),(4865,145,1.4e-05,-1.1141),(4865,155,5.2e-05,-1.1144),(4865,165,9e-05,-1.1146),(4865,175,0.000129,-1.1148),(4865,185,0.000129,-1.1151),(4865,195,0.00011,-1.1153),(4865,205,9.2e-05,-1.1156),(4865,215,7.4e-05,-1.1159),(4865,225,7.1e-05,-1.1161),(4865,235,7.4e-05,-1.1164),(4865,245,7.8e-05,-1.1167),(4865,255,8.1e-05,-1.1171),(4865,265,7.6e-05,-1.1175),(4865,275,6.8e-05,-1.1178),(4865,285,6e-05,-1.1182),(4865,295,5.2e-05,-1.1185),(4865,305,2.3e-05,-1.1189),(4865,315,-1.2e-05,-1.1192),(4865,325,-4.7e-05,-1.1196),(4865,335,-8.2e-05,-1.1199),(4865,345,-9.6e-05,-1.1202),(4865,355,-0.000107,-1.1206),(4865,365,-0.000117,-1.121),(4865,375,-0.000128,-1.1214),(4865,385,-8.8e-05,-1.1218),(4865,395,-4e-05,-1.1222),(4865,405,7e-06,-1.1227),(4865,415,5.4e-05,-1.1233),(4865,425,0.00014,-1.1239),(4865,435,0.000231,-1.1244),(4865,445,0.000321,-1.1251),(4865,455,0.000411,-1.1258),(4865,465,0.000383,-1.1264),(4865,475,0.000349,-1.1271),(4865,485,0.000315,-1.1277),(4865,495,0.000281,-1.1282),(4865,505,0.000205,-1.1288),(4865,515,0.000129,-1.1293),(4865,525,5.3e-05,-1.13),(4865,535,-2.3e-05,-1.1306),(4865,545,-8.1e-05,-1.1312),(4865,555,-0.00014,-1.1318),(4865,565,-0.000198,-1.1325),(4865,575,-0.000252,-1.1332),(4865,585,-0.000247,-1.1339),(4865,595,-0.000242,-1.1346),(4865,605,-0.000237,-1.1354),(4865,615,-0.000237,-1.1362),(4865,625,-0.000267,-1.137),(4865,635,-0.000298,-1.1378),(4865,645,-0.000328,-1.1386),(4865,655,-0.000342,-1.1394),(4865,665,-0.000263,-1.1401),(4865,675,-0.000185,-1.1409),(4865,685,-0.000106,-1.1419),(4865,695,-2.3e-05,-1.1429),(4865,705,7.7e-05,-1.1439),(4865,715,0.000177,-1.1449),(4865,725,0.000277,-1.1459),(4865,735,0.000362,-1.1469),(4865,745,0.000397,-1.1479),(4865,755,0.000432,-1.1489),(4865,765,0.000467,-1.1498),(4865,775,0.000485,-1.1507),(4865,785,0.000457,-1.1516),(4865,795,0.000429,-1.1525),(4865,805,0.000401,-1.1534),(4865,815,0.000377,-1.1543),(4865,825,0.000363,-1.1552),(4865,835,0.000348,-1.1561),(4865,845,0.000334,-1.1572),(4865,855,0.000334,-1.1582),(4865,865,0.000363,-1.1593),(4865,875,0.000391,-1.1604),(4865,885,0.000419,-1.1616),(4865,895,0.000429,-1.1628),(4865,905,0.000409,-1.164),(4865,915,0.000388,-1.1651),(4865,925,0.000368,-1.1662),(4865,935,0.00037,-1.1674),(4865,945,0.0004,-1.1685),(4865,955,0.00043,-1.1696),(4865,965,0.000459,-1.1708),(4865,975,0.000449,-1.1719),(4865,985,0.000394,-1.1731),(4865,995,0.000338,-1.1742),(4865,1005,0.000282,-1.1751),(4865,1015,0.000225,-1.1761),(4865,1025,0.000166,-1.1771),(4865,1035,0.000107,-1.178),(4865,1045,4.8e-05,-1.179),(4865,1055,9.8e-05,-1.18),(4865,1065,0.000237,-1.1809),(4865,1075,0.000376,-1.182),(4865,1085,0.000515,-1.1832),(4865,1095,0.000681,-1.1844),(4865,1105,0.000867,-1.1856),(4865,1115,0.001053,-1.1867),(4865,1125,0.001238,-1.1876),(4865,1135,0.001678,-1.1886),(4865,1145,0.002267,-1.1896),(4865,1155,0.002857,-1.1904),(4865,1165,0.003447,-1.1911),(4865,1175,0.00515,-1.1919),(4865,1185,0.007405,-1.1926),(4865,1195,0.00966,-1.1927),(4865,1205,0.011915,-1.1925),(4865,1215,0.01765,-1.1923),(4865,1225,0.024821,-1.1921),(4865,1235,0.031991,-1.1922),(4865,1245,0.039162,-1.1924),(4865,1255,0.033632,-1.1926),(4865,1265,0.023813,-1.1928),(4865,1275,0.013993,-1.1994),(4865,1285,0.004174,-1.2078),(4865,1295,-0.087383,-1.2163),(4865,1305,-0.20105,-1.2248),(4865,1315,-0.31471,-1.2175),(4865,1325,-0.42837,-1.2064),(4865,1335,-0.26148,-1.1954),(4865,1345,-0.035797,-1.1843),(4865,1355,0.18989,-1.1898),(4865,1365,0.41558,-1.1984),(4865,1375,0.3501,-1.207),(4865,1385,0.23971,-1.2156),(4865,1395,0.12932,-1.2102),(4865,1405,0.018926,-1.2031),(4865,1415,-0.005805,-1.1959),(4865,1425,-0.021642,-1.1888),(4865,1435,-0.037478,-1.1903),(4865,1445,-0.053315,-1.1925),(4865,1455,-0.045041,-1.1947),(4865,1465,-0.035379,-1.1969),(4865,1475,-0.025717,-1.199),(4865,1485,-0.016055,-1.201),(4865,1495,-0.013125,-1.2031),(4865,1505,-0.010297,-1.2051),(4865,1515,-0.007468,-1.2054),(4865,1525,-0.004693,-1.2057),(4865,1535,-0.004018,-1.206),(4865,1545,-0.003343,-1.2063),(4865,1555,-0.002667,-1.2062),(4865,1565,-0.002023,-1.206),(4865,1575,-0.001826,-1.2059),(4865,1585,-0.001629,-1.2058),(4865,1595,-0.001432,-1.2056),(4865,1605,-0.001252,-1.2054),(4865,1615,-0.001218,-1.2052),(4865,1625,-0.001185,-1.2051),(4865,1635,-0.001152,-1.2048),(4865,1645,-0.00112,-1.2045),(4865,1655,-0.001097,-1.2043),(4865,1665,-0.001074,-1.204),(4865,1675,-0.001051,-1.2038),(4865,1685,-0.00103,-1.2035),(4865,1695,-0.001022,-1.2033),(4865,1705,-0.001013,-1.203),(4865,1715,-0.001004,-1.2027),(4865,1725,-0.000994,-1.2024),(4865,1735,-0.000982,-1.2021),(4865,1745,-0.000969,-1.2018),(4865,1755,-0.000956,-1.2014),(4865,1765,-0.000928,-1.2011),(4865,1775,-0.000858,-1.2007),(4865,1785,-0.000788,-1.2004),(4865,1795,-0.000718,-1.2002),(4865,1805,-0.00066,-1.1999),(4865,1815,-0.000628,-1.1996),(4865,1825,-0.000597,-1.1994),(4865,1835,-0.000565,-1.1992),(4865,1845,-0.000536,-1.199),(4865,1855,-0.000513,-1.1987),(4865,1865,-0.00049,-1.1986),(4865,1875,-0.000467,-1.1985),(4865,1885,-0.000445,-1.1985),(4865,1895,-0.000424,-1.1984),(4865,1905,-0.000403,-1.1984),(4865,1915,-0.000382,-1.1984),(4865,1925,-0.000359,-1.1984),(4865,1935,-0.000336,-1.1984),(4865,1945,-0.000313,-1.1985),(4865,1955,-0.00029,-1.1986),(4865,1965,-0.000233,-1.1987),(4865,1975,-0.000136,-1.1988),(4865,1985,-3.9e-05,-1.199),(4865,1995,5.8e-05,-1.1993),(4865,2005,0.00015,-1.1997),(4865,2015,0.000238,-1.2),(4865,2025,0.000325,-1.2004),(4865,2035,0.000412,-1.2008),(4865,2045,0.000469,-1.2013),(4865,2055,0.000502,-1.2017),(4865,2065,0.000534,-1.2022),(4865,2075,0.000566,-1.2028),(4865,2085,0.000585,-1.2034),(4865,2095,0.000594,-1.204),(4865,2105,0.000603,-1.2046),(4865,2115,0.000612,-1.2054),(4865,2125,0.000594,-1.2061),(4865,2135,0.000558,-1.2069),(4865,2145,0.000522,-1.2076),(4865,2155,0.000486,-1.2084),(4865,2165,0.000453,-1.2092),(4865,2175,0.000421,-1.2101),(4865,2185,0.000388,-1.2109),(4865,2195,0.000356,-1.2119),(4865,2205,0.000368,-1.2128),(4865,2215,0.000399,-1.2137),(4865,2225,0.00043,-1.2147),(4865,2235,0.000461,-1.2157),(4865,2245,0.000545,-1.2168),(4865,2255,0.000648,-1.2178),(4865,2265,0.00075,-1.2189),(4865,2275,0.000853,-1.2201),(4865,2285,0.001025,-1.2212),(4865,2295,0.001217,-1.2223),(4865,2305,0.001409,-1.2236),(4865,2315,0.0016,-1.2248),(4865,2325,0.001821,-1.2261),(4865,2335,0.002047,-1.2274),(4865,2345,0.002274,-1.2288),(4865,2355,0.002501,-1.2303),(4865,2365,0.00267,-1.2317),(4865,2375,0.00283,-1.2332),(4865,2385,0.00299,-1.2347),(4865,2395,0.00315,-1.2363),(4865,2405,0.003216,-1.2379),(4865,2415,0.003272,-1.2395),(4865,2425,0.003328,-1.2412),(4865,2435,0.003383,-1.2429),(4865,2445,0.003394,-1.2446),(4865,2455,0.003402,-1.2463),(4865,2465,0.00341,-1.248),(4865,2475,0.003418,-1.2497),(4865,2485,0.003463,-1.2514),(4865,2495,0.003508,-1.2531),(4865,2505,0.003553,-1.2549),(4865,2515,0.0036,-1.2566),(4865,2525,0.003749,-1.2583),(4865,2535,0.003897,-1.26),(4865,2545,0.004046,-1.2617),(4865,2555,0.004201,-1.2635),(4865,2565,0.004468,-1.2652),(4865,2575,0.004735,-1.267),(4865,2585,0.005001,-1.2687),(4865,2595,0.005274,-1.2705),(4865,2605,0.005603,-1.2723),(4865,2615,0.005932,-1.2741),(4865,2625,0.006261,-1.2758),(4865,2635,0.006589,-1.2776),(4865,2645,0.006918,-1.2794),(4865,2655,0.007247,-1.2811),(4865,2665,0.007576,-1.2829),(4865,2675,0.007901,-1.2846),(4865,2685,0.008208,-1.2864),(4865,2695,0.008514,-1.2881),(4865,2705,0.008821,-1.2898),(4865,2715,0.009123,-1.2915),(4865,2725,0.00941,-1.2932),(4865,2735,0.009697,-1.2949),(4865,2745,0.009985,-1.2965),(4865,2755,0.010268,-1.2981),(4865,2765,0.010543,-1.2997),(4865,2775,0.010818,-1.3013),(4865,2785,0.011093,-1.3028),(4865,2795,0.011379,-1.3042),(4865,2805,0.011695,-1.3057),(4865,2815,0.012011,-1.3072),(4865,2825,0.012327,-1.3086),(4865,2835,0.012657,-1.31),(4865,2845,0.013016,-1.3115),(4865,2855,0.013375,-1.3129),(4865,2865,0.013735,-1.3142),(4865,2875,0.014103,-1.3155),(4865,2885,0.014488,-1.3168),(4865,2895,0.014872,-1.3181),(4865,2905,0.015257,-1.3193),(4865,2915,0.015652,-1.3205),(4865,2925,0.016061,-1.3217),(4865,2935,0.016471,-1.3228),(4865,2945,0.016881,-1.3239),(4865,2955,0.017303,-1.325),(4865,2965,0.01774,-1.3261),(4865,2975,0.018177,-1.3272),(4865,2985,0.018614,-1.3281),(4865,2995,0.019066,-1.3291),(4865,3005,0.019533,-1.3301),(4865,3015,0.02,-1.3311),(4865,3025,0.020468,-1.3319),(4865,3035,0.020927,-1.3328),(4865,3045,0.02138,-1.3337),(4865,3055,0.021832,-1.3346),(4865,3065,0.022284,-1.3353),(4865,3075,0.022694,-1.3361),(4865,3085,0.023071,-1.3369),(4865,3095,0.023448,-1.3376),(4865,3105,0.023825,-1.3382),(4865,3115,0.024188,-1.3389),(4865,3125,0.024541,-1.3395),(4865,3135,0.024895,-1.34),(4865,3145,0.025249,-1.3405),(4865,3155,0.025616,-1.341),(4865,3165,0.025991,-1.3415),(4865,3175,0.026365,-1.3419),(4865,3185,0.02674,-1.3422),(4865,3195,0.02716,-1.3425),(4865,3205,0.0276,-1.3428),(4865,3215,0.02804,-1.343),(4865,3225,0.028481,-1.3432),(4865,3235,0.028959,-1.3434),(4865,3245,0.029452,-1.3435),(4865,3255,0.029945,-1.3436),(4865,3265,0.030438,-1.3435),(4865,3275,0.030919,-1.3435),(4865,3285,0.031396,-1.3435),(4865,3295,0.031872,-1.3432),(4865,3305,0.032349,-1.3429),(4865,3315,0.032813,-1.3426),(4865,3325,0.033275,-1.3422),(4865,3335,0.033736,-1.3417),(4865,3345,0.034198,-1.3411),(4865,3355,0.034645,-1.3405),(4865,3365,0.03509,-1.3399),(4865,3375,0.035535,-1.3391),(4865,3385,0.03598,-1.3382),(4865,3395,0.036363,-1.3373),(4865,3405,0.036738,-1.3364),(4865,3415,0.037113,-1.3353),(4865,3425,0.037488,-1.3341),(4865,3435,0.037788,-1.3329),(4865,3445,0.038083,-1.3317),(4865,3455,0.038377,-1.3302),(4865,3465,0.038672,-1.3287),(4865,3475,0.038908,-1.3271),(4865,3485,0.039143,-1.3256),(4865,3495,0.039377,-1.3236),(4865,3505,0.039611,-1.3216),(4865,3515,0.039838,-1.3196),(4865,3525,0.040065,-1.3176),(4865,3535,0.040292,-1.3151),(4865,3545,0.040522,-1.3126),(4865,3555,0.040822,-1.3102),(4865,3565,0.041122,-1.3077),(4865,3575,0.041422,-1.3048),(4865,3585,0.041726,-1.3019),(4865,3595,0.042076,-1.2989),(4865,3605,0.042427,-1.296),(4865,3615,0.042777,-1.2925),(4865,3625,0.043124,-1.289),(4865,3635,0.043451,-1.2856),(4865,3645,0.043778,-1.282),(4865,3655,0.044104,-1.2779),(4865,3665,0.044417,-1.2739),(4865,3675,0.044659,-1.2698),(4865,3685,0.0449,-1.2656),(4865,3695,0.045141,-1.2608),(4865,3705,0.045357,-1.256),(4865,3715,0.045473,-1.2512),(4865,3725,0.045589,-1.2462),(4865,3735,0.045705,-1.2407),(4865,3745,0.045796,-1.2351),(4865,3755,0.045806,-1.2296),(4865,3765,0.045816,-1.2238),(4865,3775,0.045827,-1.2175),(4865,3785,0.045837,-1.2111),(4865,3795,0.045849,-1.2047),(4865,3805,0.045861,-1.1981),(4865,3815,0.045872,-1.1909),(4865,3825,0.045986,-1.1837),(4865,3835,0.046315,-1.1764),(4865,3845,0.046644,-1.1689),(4865,3855,0.046974,-1.1607),(4865,3865,0.047837,-1.1525),(4865,3875,0.049644,-1.1442),(4865,3885,0.051451,-1.1357),(4865,3895,0.053258,-1.1266),(4865,3905,0.056678,-1.1175),(4865,3915,0.062507,-1.1085),(4865,3925,0.068336,-1.1001),(4865,3935,0.074164,-1.0927),(4865,3945,0.074926,-1.0853),(4865,3955,0.069255,-1.0779),(4865,3965,0.063583,-1.0737),(4865,3975,0.057912,-1.0731),(4865,3985,-0.008916,-1.0725),(4865,3995,-0.14194,-1.072),(4865,4005,-0.27497,-1.0592),(4865,4015,-0.408,-1.0343),(4865,4025,-0.15391,-1.0093),(4865,4035,0.13804,-0.98822),(4865,4045,0.43,-0.97529),(4865,4055,0.60651,-0.96236),(4865,4065,0.74091,-0.94862),(4865,4075,0.8753,-0.9301),(4865,4085,0.95088,-0.91158),(4865,4095,0.97918,-0.89306),(4865,4105,1.0075,-0.87534),(4865,4115,1.0336,-0.85764),(4865,4125,1.056,-0.83995),(4865,4135,1.0784,-0.82274),(4865,4145,1.1,-0.80566),(4865,4155,1.1183,-0.78858),(4865,4165,1.1367,-0.77188),(4865,4175,1.155,-0.75541),(4865,4185,1.1704,-0.73894),(4865,4195,1.1858,-0.72276),(4865,4205,1.2012,-0.70696),(4865,4215,1.2146,-0.69117),(4865,4225,1.2276,-0.67552),(4865,4235,1.2406,-0.6603),(4865,4245,1.2523,-0.64508),(4865,4255,1.2633,-0.6299),(4865,4265,1.2743,-0.61529),(4865,4275,1.2845,-0.60067),(4865,4285,1.2938,-0.58606),(4865,4295,1.3032,-0.57204),(4865,4305,1.3121,-0.55808),(4865,4315,1.3199,-0.54413),(4865,4325,1.3278,-0.53068),(4865,4335,1.3355,-0.51744),(4865,4345,1.342,-0.50419),(4865,4355,1.3486,-0.49132),(4865,4365,1.3551,-0.47877),(4865,4375,1.3606,-0.46621),(4865,4385,1.366,-0.45391),(4865,4395,1.3715,-0.44205),(4865,4405,1.3761,-0.4302),(4865,4415,1.3806,-0.41848),(4865,4425,1.385,-0.40737),(4865,4435,1.3889,-0.39627),(4865,4445,1.3925,-0.38517),(4865,4455,1.396,-0.37479),(4865,4465,1.3993,-0.36442),(4865,4475,1.4022,-0.35404),(4865,4485,1.405,-0.34425),(4865,4495,1.4077,-0.33457),(4865,4505,1.4099,-0.3249),(4865,4515,1.4121,-0.31567),(4865,4525,1.4143,-0.30668),(4865,4535,1.416,-0.2977),(4865,4545,1.4177,-0.28903),(4865,4555,1.4194,-0.2807),(4865,4565,1.4207,-0.27238),(4865,4575,1.4219,-0.26425),(4865,4585,1.4232,-0.25661),(4865,4595,1.4242,-0.24896),(4865,4605,1.4251,-0.24139),(4865,4615,1.426,-0.2344),(4865,4625,1.4268,-0.2274),(4865,4635,1.4274,-0.22041),(4865,4645,1.4281,-0.21397),(4865,4655,1.4286,-0.20756),(4865,4665,1.4291,-0.20116),(4865,4675,1.4295,-0.19522),(4865,4685,1.4299,-0.18942),(4865,4695,1.4302,-0.18363),(4865,4705,1.4305,-0.17819),(4865,4715,1.4308,-0.17301),(4865,4725,1.431,-0.16782),(4865,4735,1.4312,-0.16288),(4865,4745,1.4314,-0.1583),(4865,4755,1.4315,-0.15372),(4865,4765,1.4317,-0.14928),(4865,4775,1.4319,-0.14529),(4865,4785,1.432,-0.1413),(4865,4795,1.4322,-0.13734),(4865,4805,1.4324,-0.13395),(4865,4815,1.4326,-0.13057),(4865,4825,1.4329,-0.12719),(4865,4835,1.4332,-0.12431),(4865,4845,1.4335,-0.12152),(4865,4855,1.4339,-0.11873),(4865,4865,1.4344,-0.11638),(4865,4875,1.4348,-0.11423),(4865,4885,1.4355,-0.11208),(4865,4895,1.4362,-0.11027),(4865,4905,1.4369,-0.10879),(4865,4915,1.4379,-0.1073),(4865,4925,1.4389,-0.10603),(4865,4935,1.4399,-0.10519),(4865,4945,1.4412,-0.10434),(4865,4955,1.4425,-0.10359),(4865,4965,1.4439,-0.10335),(4865,4975,1.4455,-0.10312),(4865,4985,1.4473,-0.10288),(4865,4995,1.4491,-0.10319),(4865,5005,1.4511,-0.10351),(4865,5015,1.4534,-0.10383),(4865,5025,1.4557,-0.10453),(4865,5035,1.4581,-0.10533),(4865,5045,1.4608,-0.10612),(4865,5055,1.4635,-0.10714),(4865,5065,1.4663,-0.10829),(4865,5075,1.4694,-0.10943),(4865,5085,1.4724,-0.11064),(4865,5095,1.4755,-0.11192),(4865,5105,1.4788,-0.11319),(4865,5115,1.4821,-0.11445),(4865,5125,1.4854,-0.11567),(4865,5135,1.4887,-0.11689),(4865,5145,1.4921,-0.1181),(4865,5155,1.4954,-0.11913),(4865,5165,1.4987,-0.12017),(4865,5175,1.502,-0.12121),(4865,5185,1.5054,-0.12194),(4865,5195,1.5086,-0.12263),(4865,5205,1.5116,-0.12333),(4865,5215,1.5147,-0.12369),(4865,5225,1.5177,-0.12392),(4865,5235,1.5202,-0.12415),(4865,5245,1.5228,-0.12407),(4865,5255,1.5254,-0.12374),(4865,5265,1.5273,-0.1234),(4865,5275,1.5292,-0.12286),(4865,5285,1.531,-0.122),(4865,5295,1.5323,-0.12113),(4865,5305,1.5335,-0.12019),(4865,5315,1.5346,-0.11893),(4865,5325,1.5353,-0.11768),(4865,5335,1.5358,-0.11643),(4865,5345,1.5362,-0.11502),(4865,5355,1.5364,-0.11361),(4865,5365,1.5363,-0.1122),(4865,5375,1.5363,-0.11088),(4865,5385,1.5361,-0.10956),(4865,5395,1.5357,-0.10825),(4865,5405,1.5353,-0.10713),(4865,5415,1.5349,-0.10612),(4865,5425,1.5344,-0.1051),(4865,5435,1.5339,-0.1043),(4865,5445,1.5334,-0.10374),(4865,5455,1.533,-0.10319),(4865,5465,1.5326,-0.10282),(4865,5475,1.5322,-0.10289),(4865,5485,1.532,-0.10296),(4865,5495,1.532,-0.10313),(4865,5505,1.5319,-0.10399),(4865,5515,1.5321,-0.10484),(4865,5525,1.5325,-0.1057),(4865,5535,1.5329,-0.10744),(4865,5545,1.5336,-0.10924),(4865,5555,1.5348,-0.11103),(4865,5565,1.5359,-0.11371),(4865,5575,1.5372,-0.11665),(4865,5585,1.5393,-0.1196),(4865,5595,1.5414,-0.12336),(4865,5605,1.5436,-0.12768),(4865,5615,1.5469,-0.13201),(4865,5625,1.5502,-0.13696),(4865,5635,1.5536,-0.14281),(4865,5645,1.5582,-0.14866),(4865,5655,1.5631,-0.15489),(4865,5665,1.5679,-0.16241),(4865,5675,1.574,-0.16992),(4865,5685,1.5808,-0.17752),(4865,5695,1.5875,-0.18674),(4865,5705,1.5953,-0.19595),(4865,5715,1.6042,-0.20517),(4865,5725,1.6132,-0.21568),(4865,5735,1.6228,-0.22639),(4865,5745,1.6342,-0.23709),(4865,5755,1.6455,-0.24852),(4865,5765,1.6571,-0.26028),(4865,5775,1.6709,-0.27203),(4865,5785,1.6846,-0.28389),(4865,5795,1.6984,-0.29584),(4865,5805,1.714,-0.3078),(4865,5815,1.7297,-0.31941),(4865,5825,1.7454,-0.33037),(4865,5835,1.762,-0.34133),(4865,5845,1.7788,-0.35192),(4865,5855,1.7956,-0.36062),(4865,5865,1.8124,-0.36932),(4865,5875,1.8291,-0.37802),(4865,5885,1.8458,-0.38361),(4865,5895,1.862,-0.38917),(4865,5905,1.8775,-0.39472),(4865,5915,1.893,-0.39747),(4865,5925,1.908,-0.39956),(4865,5935,1.9214,-0.40164),(4865,5945,1.9348,-0.40179),(4865,5955,1.9481,-0.4008),(4865,5965,1.9594,-0.3998),(4865,5975,1.9706,-0.39778),(4865,5985,1.9818,-0.39452),(4865,5995,1.9914,-0.39125),(4865,6005,2.0008,-0.38759),(4865,6015,2.0102,-0.38288),(4865,6025,2.0186,-0.37817),(4865,6035,2.0267,-0.37338),(4865,6045,2.0348,-0.36784),(4865,6055,2.0424,-0.3623),(4865,6065,2.0496,-0.35677),(4865,6075,2.0568,-0.35074),(4865,6085,2.0638,-0.34467),(4865,6095,2.0704,-0.33859),(4865,6105,2.077,-0.33225),(4865,6115,2.0835,-0.3258),(4865,6125,2.0896,-0.31935),(4865,6135,2.0957,-0.31276),(4865,6145,2.1019,-0.30606),(4865,6155,2.1075,-0.29935),(4865,6165,2.1132,-0.29259),(4865,6175,2.1188,-0.28572),(4865,6185,2.1241,-0.27885),(4865,6195,2.1293,-0.27196),(4865,6205,2.1345,-0.265),(4865,6215,2.1394,-0.25803),(4865,6225,2.1442,-0.25106),(4865,6235,2.1489,-0.24398),(4865,6245,2.1535,-0.2369),(4865,6255,2.1578,-0.22982),(4865,6265,2.1621,-0.22273),(4865,6275,2.1662,-0.21563),(4865,6285,2.1701,-0.20854),(4865,6295,2.1739,-0.20147),(4865,6305,2.1777,-0.19442),(4865,6315,2.1811,-0.18736),(4865,6325,2.1844,-0.18032),(4865,6335,2.1878,-0.1733),(4865,6345,2.1908,-0.16628),(4865,6355,2.1938,-0.15927),(4865,6365,2.1967,-0.1523),(4865,6375,2.1994,-0.14533),(4865,6385,2.2019,-0.13837),(4865,6395,2.2044,-0.13152),(4865,6405,2.2067,-0.12467),(4865,6415,2.2088,-0.11782),(4865,6425,2.211,-0.11103),(4865,6435,2.2129,-0.10423),(4865,6445,2.2147,-0.097437),(4865,6455,2.2164,-0.09072),(4865,6465,2.2181,-0.084024),(4865,6475,2.2194,-0.077328),(4865,6485,2.2208,-0.070656),(4865,6495,2.2221,-0.064001),(4865,6505,2.2231,-0.057345),(4865,6515,2.2241,-0.050719),(4865,6525,2.2251,-0.044131),(4865,6535,2.2257,-0.037544),(4865,6545,2.2264,-0.03096),(4865,6555,2.227,-0.024386),(4865,6565,2.2274,-0.017811),(4865,6575,2.2276,-0.011241),(4865,6585,2.2279,-0.004723),(4865,6595,1.8953,0.001795),(4865,6605,1.1951,0.008313),(4865,6615,0.49499,0.009053),(4865,6625,0.002779,0.00905),(4865,6635,0.002743,0.009047),(4865,6645,0.002708,0.009055),(4865,6655,0.002672,0.009066),(4865,6665,0.002641,0.009078),(4865,6675,0.00261,0.009089),(4865,6685,0.00258,0.009098),(4865,6695,0.002553,0.009108),(4865,6705,0.002526,0.009117),(4865,6715,0.002499,0.009125),(4865,6725,0.002475,0.009132),(4865,6735,0.002452,0.00914),(4865,6745,0.002429,0.009146),(4865,6755,0.002408,0.009152),(4865,6765,0.002388,0.009159),(4865,6775,0.002368,0.009164),(4865,6785,0.002349,0.009169),(4865,6795,0.002332,0.009174),(4865,6805,0.002315,0.009178),(4865,6815,0.002298,0.009182),(4865,6825,0.002283,0.009186),(4865,6835,0.002269,0.00919),(4865,6845,0.002254,0.009193),(4865,6855,0.002242,0.009196),(4865,6865,0.002229,0.009199),(4865,6875,0.002216,0.009201),(4865,6885,0.002205,0.009204),(4865,6895,0.002194,0.009206),(4865,6905,0.002184,0.009207),(4865,6915,0.002174,0.009209),(4865,6925,0.002165,0.009211),(4865,6935,0.002156,0.009212),(4865,6945,0.002148,0.009213),(4865,6955,0.00214,0.009214),(4865,6965,0.002132,0.009214),(4865,6975,0.002125,0.009215),(4865,6985,0.002118,0.009215),(4875,5,2.2e-05,-0.79412),(4875,15,6.7e-05,-0.79424),(4875,25,8.4e-05,-0.79435),(4875,35,7.4e-05,-0.79447),(4875,45,6.4e-05,-0.79454),(4875,55,5.4e-05,-0.79459),(4875,65,2e-05,-0.79463),(4875,75,-3.3e-05,-0.79468),(4875,85,-8.6e-05,-0.79472),(4875,95,-0.000139,-0.79476),(4875,105,-0.000142,-0.79479),(4875,115,-0.00011,-0.79483),(4875,125,-7.9e-05,-0.79494),(4875,135,-4.7e-05,-0.79511),(4875,145,-1e-05,-0.79528),(4875,155,3e-05,-0.79545),(4875,165,7e-05,-0.79562),(4875,175,0.00011,-0.7958),(4875,185,0.000107,-0.79597),(4875,195,8.3e-05,-0.79615),(4875,205,6e-05,-0.79633),(4875,215,3.6e-05,-0.79652),(4875,225,2.9e-05,-0.79671),(4875,235,3e-05,-0.79689),(4875,245,3e-05,-0.79714),(4875,255,3.1e-05,-0.7974),(4875,265,2.9e-05,-0.79766),(4875,275,2.7e-05,-0.79792),(4875,285,2.5e-05,-0.79818),(4875,295,2.3e-05,-0.79844),(4875,305,-3e-06,-0.7987),(4875,315,-3.5e-05,-0.79895),(4875,325,-6.7e-05,-0.79919),(4875,335,-9.9e-05,-0.79943),(4875,345,-0.000116,-0.79966),(4875,355,-0.000131,-0.7999),(4875,365,-0.000145,-0.80018),(4875,375,-0.00016,-0.80048),(4875,385,-0.000124,-0.80077),(4875,395,-8.1e-05,-0.80106),(4875,405,-3.8e-05,-0.80145),(4875,415,5e-06,-0.80184),(4875,425,0.000102,-0.80224),(4875,435,0.000204,-0.80263),(4875,445,0.000305,-0.80311),(4875,455,0.000407,-0.80359),(4875,465,0.000386,-0.80407),(4875,475,0.00036,-0.80456),(4875,485,0.000333,-0.80496),(4875,495,0.000307,-0.80536),(4875,505,0.000228,-0.80576),(4875,515,0.000148,-0.80617),(4875,525,6.9e-05,-0.80661),(4875,535,-1e-05,-0.80705),(4875,545,-7.8e-05,-0.8075),(4875,555,-0.000145,-0.80795),(4875,565,-0.000213,-0.80844),(4875,575,-0.000275,-0.80894),(4875,585,-0.000275,-0.80943),(4875,595,-0.000274,-0.80993),(4875,605,-0.000273,-0.81051),(4875,615,-0.000278,-0.81108),(4875,625,-0.000323,-0.81165),(4875,635,-0.000368,-0.81222),(4875,645,-0.000413,-0.81277),(4875,655,-0.000439,-0.81331),(4875,665,-0.000363,-0.81385),(4875,675,-0.000286,-0.81442),(4875,685,-0.000209,-0.81513),(4875,695,-0.000124,-0.81583),(4875,705,-9e-06,-0.81654),(4875,715,0.000107,-0.81725),(4875,725,0.000223,-0.81797),(4875,735,0.000323,-0.81869),(4875,745,0.000372,-0.81941),(4875,755,0.000422,-0.82011),(4875,765,0.000471,-0.82077),(4875,775,0.000499,-0.82143),(4875,785,0.000468,-0.82209),(4875,795,0.000437,-0.82274),(4875,805,0.000407,-0.82338),(4875,815,0.000376,-0.82401),(4875,825,0.000346,-0.82464),(4875,835,0.000315,-0.82531),(4875,845,0.000285,-0.82605),(4875,855,0.00027,-0.82679),(4875,865,0.000286,-0.82753),(4875,875,0.000302,-0.82831),(4875,885,0.000318,-0.82917),(4875,895,0.000316,-0.83002),(4875,905,0.000285,-0.83087),(4875,915,0.000254,-0.8317),(4875,925,0.000223,-0.8325),(4875,935,0.000222,-0.8333),(4875,945,0.000259,-0.83409),(4875,955,0.000297,-0.83491),(4875,965,0.000334,-0.83575),(4875,975,0.00033,-0.83659),(4875,985,0.000277,-0.83743),(4875,995,0.000225,-0.8382),(4875,1005,0.000172,-0.83889),(4875,1015,0.000109,-0.83958),(4875,1025,3.5e-05,-0.84027),(4875,1035,-3.9e-05,-0.84095),(4875,1045,-0.000113,-0.84163),(4875,1055,-6.8e-05,-0.84231),(4875,1065,7.6e-05,-0.84299),(4875,1075,0.000219,-0.84377),(4875,1085,0.000363,-0.84463),(4875,1095,0.000531,-0.84548),(4875,1105,0.000716,-0.84634),(4875,1115,0.000901,-0.84711),(4875,1125,0.001085,-0.84781),(4875,1135,0.001474,-0.84852),(4875,1145,0.001982,-0.84923),(4875,1155,0.002491,-0.84982),(4875,1165,0.002999,-0.85036),(4875,1175,0.004517,-0.85089),(4875,1185,0.006535,-0.85142),(4875,1195,0.008554,-0.85132),(4875,1205,0.010572,-0.85093),(4875,1215,0.016696,-0.85054),(4875,1225,0.024513,-0.85016),(4875,1235,0.03233,-0.84847),(4875,1245,0.040147,-0.8463),(4875,1255,0.035199,-0.84412),(4875,1265,0.025939,-0.84195),(4875,1275,0.016679,-0.85132),(4875,1285,0.007419,-0.86419),(4875,1295,-0.10179,-0.87706),(4875,1305,-0.23804,-0.88993),(4875,1315,-0.37428,-0.95139),(4875,1325,-0.51052,-1.0245),(4875,1335,-0.31274,-1.0976),(4875,1345,-0.044949,-1.1707),(4875,1355,0.22284,-1.1202),(4875,1365,0.49063,-1.0474),(4875,1375,0.4131,-0.97455),(4875,1385,0.28228,-0.9017),(4875,1395,0.15147,-0.88022),(4875,1405,0.020656,-0.86534),(4875,1415,-0.005924,-0.85046),(4875,1425,-0.021682,-0.83557),(4875,1435,-0.037439,-0.83886),(4875,1445,-0.053197,-0.84361),(4875,1455,-0.044358,-0.84836),(4875,1465,-0.034103,-0.85311),(4875,1475,-0.023847,-0.85502),(4875,1485,-0.013592,-0.85683),(4875,1495,-0.01108,-0.85864),(4875,1505,-0.008684,-0.86044),(4875,1515,-0.006289,-0.86063),(4875,1525,-0.00394,-0.86081),(4875,1535,-0.003403,-0.861),(4875,1545,-0.002867,-0.86117),(4875,1555,-0.00233,-0.86106),(4875,1565,-0.001816,-0.86096),(4875,1575,-0.001632,-0.86085),(4875,1585,-0.001448,-0.86075),(4875,1595,-0.001264,-0.86062),(4875,1605,-0.001096,-0.8605),(4875,1615,-0.001069,-0.86037),(4875,1625,-0.001041,-0.86024),(4875,1635,-0.001013,-0.86005),(4875,1645,-0.000987,-0.85986),(4875,1655,-0.000968,-0.85967),(4875,1665,-0.000948,-0.85948),(4875,1675,-0.000929,-0.8593),(4875,1685,-0.000912,-0.85913),(4875,1695,-0.000908,-0.85895),(4875,1705,-0.000903,-0.85877),(4875,1715,-0.000898,-0.85855),(4875,1725,-0.000893,-0.85834),(4875,1735,-0.000888,-0.85813),(4875,1745,-0.000883,-0.85791),(4875,1755,-0.000878,-0.85766),(4875,1765,-0.000855,-0.85741),(4875,1775,-0.000782,-0.85716),(4875,1785,-0.000709,-0.85693),(4875,1795,-0.000636,-0.85675),(4875,1805,-0.000574,-0.85656),(4875,1815,-0.000537,-0.85638),(4875,1825,-0.000501,-0.85621),(4875,1835,-0.000464,-0.85606),(4875,1845,-0.000432,-0.8559),(4875,1855,-0.000407,-0.85575),(4875,1865,-0.000382,-0.85563),(4875,1875,-0.000357,-0.85559),(4875,1885,-0.000334,-0.85554),(4875,1895,-0.000313,-0.8555),(4875,1905,-0.000292,-0.85548),(4875,1915,-0.000272,-0.8555),(4875,1925,-0.000253,-0.85552),(4875,1935,-0.000237,-0.85554),(4875,1945,-0.000221,-0.85558),(4875,1955,-0.000204,-0.85566),(4875,1965,-0.000151,-0.85573),(4875,1975,-5.3e-05,-0.8558),(4875,1985,4.5e-05,-0.85595),(4875,1995,0.000143,-0.85618),(4875,2005,0.000239,-0.85641),(4875,2015,0.000333,-0.85664),(4875,2025,0.000427,-0.85691),(4875,2035,0.000521,-0.85723),(4875,2045,0.000581,-0.85755),(4875,2055,0.000613,-0.85787),(4875,2065,0.000645,-0.85824),(4875,2075,0.000677,-0.85865),(4875,2085,0.000693,-0.85907),(4875,2095,0.000698,-0.85948),(4875,2105,0.000704,-0.85996),(4875,2115,0.000709,-0.86049),(4875,2125,0.000686,-0.86103),(4875,2135,0.000645,-0.86156),(4875,2145,0.000605,-0.86211),(4875,2155,0.000564,-0.86269),(4875,2165,0.000528,-0.86327),(4875,2175,0.000494,-0.86384),(4875,2185,0.00046,-0.86447),(4875,2195,0.000427,-0.86513),(4875,2205,0.000442,-0.86579),(4875,2215,0.000478,-0.86645),(4875,2225,0.000514,-0.86717),(4875,2235,0.00055,-0.86792),(4875,2245,0.00064,-0.86867),(4875,2255,0.000749,-0.86942),(4875,2265,0.000857,-0.87022),(4875,2275,0.000966,-0.87103),(4875,2285,0.001143,-0.87184),(4875,2295,0.001339,-0.87265),(4875,2305,0.001536,-0.87354),(4875,2315,0.001733,-0.87445),(4875,2325,0.001958,-0.87536),(4875,2335,0.00219,-0.87628),(4875,2345,0.002421,-0.87729),(4875,2355,0.002652,-0.87832),(4875,2365,0.002823,-0.87935),(4875,2375,0.002984,-0.88039),(4875,2385,0.003144,-0.88151),(4875,2395,0.003305,-0.88265),(4875,2405,0.003366,-0.88378),(4875,2415,0.003416,-0.88492),(4875,2425,0.003465,-0.88612),(4875,2435,0.003515,-0.88733),(4875,2445,0.003518,-0.88854),(4875,2455,0.003518,-0.88975),(4875,2465,0.003518,-0.89098),(4875,2475,0.003518,-0.89221),(4875,2485,0.003555,-0.89344),(4875,2495,0.003593,-0.89467),(4875,2505,0.003631,-0.8959),(4875,2515,0.003671,-0.89713),(4875,2525,0.003812,-0.89836),(4875,2535,0.003952,-0.89959),(4875,2545,0.004093,-0.90084),(4875,2555,0.004241,-0.90208),(4875,2565,0.004503,-0.90333),(4875,2575,0.004765,-0.90457),(4875,2585,0.005027,-0.90584),(4875,2595,0.005295,-0.9071),(4875,2605,0.005624,-0.90837),(4875,2615,0.005952,-0.90963),(4875,2625,0.00628,-0.9109),(4875,2635,0.006608,-0.91217),(4875,2645,0.006934,-0.91343),(4875,2655,0.00726,-0.91469),(4875,2665,0.007586,-0.91595),(4875,2675,0.007907,-0.9172),(4875,2685,0.008207,-0.91845),(4875,2695,0.008506,-0.91969),(4875,2705,0.008805,-0.9209),(4875,2715,0.009099,-0.92212),(4875,2725,0.009377,-0.92333),(4875,2735,0.009655,-0.92453),(4875,2745,0.009933,-0.92567),(4875,2755,0.010206,-0.92682),(4875,2765,0.010466,-0.92797),(4875,2775,0.010727,-0.92909),(4875,2785,0.010987,-0.93015),(4875,2795,0.011259,-0.93121),(4875,2805,0.011558,-0.93227),(4875,2815,0.011858,-0.93332),(4875,2825,0.012157,-0.93434),(4875,2835,0.012471,-0.93536),(4875,2845,0.012816,-0.93638),(4875,2855,0.013161,-0.93737),(4875,2865,0.013506,-0.93832),(4875,2875,0.013861,-0.93927),(4875,2885,0.014234,-0.94022),(4875,2895,0.014607,-0.94114),(4875,2905,0.01498,-0.94199),(4875,2915,0.015364,-0.94285),(4875,2925,0.015765,-0.94371),(4875,2935,0.016166,-0.94453),(4875,2945,0.016567,-0.94532),(4875,2955,0.016981,-0.9461),(4875,2965,0.01741,-0.94688),(4875,2975,0.01784,-0.94763),(4875,2985,0.018269,-0.94833),(4875,2995,0.018717,-0.94904),(4875,3005,0.019183,-0.94974),(4875,3015,0.01965,-0.95041),(4875,3025,0.020116,-0.95105),(4875,3035,0.020575,-0.95169),(4875,3045,0.021027,-0.95233),(4875,3055,0.021479,-0.95292),(4875,3065,0.021931,-0.95348),(4875,3075,0.022333,-0.95404),(4875,3085,0.022697,-0.9546),(4875,3095,0.023061,-0.9551),(4875,3105,0.023424,-0.95555),(4875,3115,0.023769,-0.956),(4875,3125,0.024102,-0.95645),(4875,3135,0.024435,-0.95683),(4875,3145,0.024768,-0.95717),(4875,3155,0.025115,-0.95752),(4875,3165,0.02547,-0.95786),(4875,3175,0.025824,-0.95813),(4875,3185,0.026179,-0.95836),(4875,3195,0.026583,-0.95858),(4875,3205,0.02701,-0.95881),(4875,3215,0.027436,-0.95896),(4875,3225,0.027862,-0.95908),(4875,3235,0.028334,-0.95919),(4875,3245,0.028823,-0.95931),(4875,3255,0.029312,-0.95932),(4875,3265,0.029802,-0.9593),(4875,3275,0.030278,-0.95927),(4875,3285,0.030751,-0.95924),(4875,3295,0.031224,-0.95906),(4875,3305,0.031696,-0.95883),(4875,3315,0.032158,-0.9586),(4875,3325,0.032617,-0.95838),(4875,3335,0.033076,-0.95798),(4875,3345,0.033535,-0.95756),(4875,3355,0.033987,-0.95713),(4875,3365,0.034439,-0.95671),(4875,3375,0.03489,-0.95611),(4875,3385,0.035341,-0.95548),(4875,3395,0.035729,-0.95485),(4875,3405,0.036108,-0.95422),(4875,3415,0.036488,-0.9534),(4875,3425,0.036867,-0.95255),(4875,3435,0.037164,-0.9517),(4875,3445,0.037453,-0.95085),(4875,3455,0.037743,-0.94976),(4875,3465,0.038033,-0.94867),(4875,3475,0.038265,-0.94757),(4875,3485,0.038494,-0.94648),(4875,3495,0.038723,-0.94506),(4875,3505,0.038953,-0.94364),(4875,3515,0.039176,-0.94221),(4875,3525,0.039399,-0.94078),(4875,3535,0.039623,-0.93903),(4875,3545,0.039849,-0.93727),(4875,3555,0.04015,-0.93551),(4875,3565,0.04045,-0.93373),(4875,3575,0.04075,-0.93166),(4875,3585,0.041055,-0.92959),(4875,3595,0.041412,-0.92752),(4875,3605,0.04177,-0.92541),(4875,3615,0.042128,-0.92295),(4875,3625,0.042483,-0.92049),(4875,3635,0.042821,-0.91803),(4875,3645,0.043158,-0.91551),(4875,3655,0.043496,-0.91261),(4875,3665,0.04382,-0.90971),(4875,3675,0.04407,-0.90681),(4875,3685,0.04432,-0.90382),(4875,3695,0.04457,-0.90042),(4875,3705,0.044793,-0.89702),(4875,3715,0.044908,-0.89362),(4875,3725,0.045023,-0.8901),(4875,3735,0.045138,-0.88617),(4875,3745,0.045225,-0.88223),(4875,3755,0.045225,-0.8783),(4875,3765,0.045225,-0.87422),(4875,3775,0.045225,-0.8697),(4875,3785,0.045224,-0.86519),(4875,3795,0.045223,-0.86068),(4875,3805,0.045222,-0.85598),(4875,3815,0.045221,-0.85086),(4875,3825,0.045315,-0.84574),(4875,3835,0.04561,-0.84061),(4875,3845,0.045906,-0.83525),(4875,3855,0.046201,-0.82943),(4875,3865,0.047047,-0.82362),(4875,3875,0.048865,-0.8178),(4875,3885,0.050684,-0.81167),(4875,3895,0.052502,-0.80503),(4875,3905,0.056332,-0.79839),(4875,3915,0.063165,-0.79176),(4875,3925,0.069998,-0.78506),(4875,3935,0.076831,-0.77829),(4875,3945,0.078551,-0.77152),(4875,3955,0.07378,-0.76475),(4875,3965,0.069008,-0.76321),(4875,3975,0.064237,-0.76778),(4875,3985,-0.015991,-0.77236),(4875,3995,-0.1779,-0.77694),(4875,4005,-0.3398,-0.81268),(4875,4015,-0.50171,-0.87958),(4875,4025,-0.22667,-0.94648),(4875,4035,0.091117,-0.98786),(4875,4045,0.4089,-0.97547),(4875,4055,0.59084,-0.96307),(4875,4065,0.7232,-0.94989),(4875,4075,0.85556,-0.93204),(4875,4085,0.93036,-0.91418),(4875,4095,0.95889,-0.89632),(4875,4105,0.98743,-0.8791),(4875,4115,1.0137,-0.8619),(4875,4125,1.0363,-0.8447),(4875,4135,1.0589,-0.8279),(4875,4145,1.0807,-0.81122),(4875,4155,1.0992,-0.79453),(4875,4165,1.1178,-0.77817),(4875,4175,1.1363,-0.76201),(4875,4185,1.1518,-0.74585),(4875,4195,1.1674,-0.72997),(4875,4205,1.1829,-0.71445),(4875,4215,1.1965,-0.69893),(4875,4225,1.2097,-0.68355),(4875,4235,1.2228,-0.66856),(4875,4245,1.2347,-0.65358),(4875,4255,1.2459,-0.63864),(4875,4265,1.2571,-0.62423),(4875,4275,1.2675,-0.60981),(4875,4285,1.277,-0.5954),(4875,4295,1.2865,-0.58156),(4875,4305,1.2956,-0.56779),(4875,4315,1.3036,-0.55402),(4875,4325,1.3117,-0.54073),(4875,4335,1.3196,-0.52764),(4875,4345,1.3264,-0.51454),(4875,4355,1.3331,-0.50181),(4875,4365,1.3399,-0.48938),(4875,4375,1.3456,-0.47695),(4875,4385,1.3513,-0.46476),(4875,4395,1.3569,-0.45301),(4875,4405,1.3618,-0.44125),(4875,4415,1.3664,-0.42963),(4875,4425,1.3711,-0.41861),(4875,4435,1.3752,-0.40758),(4875,4445,1.379,-0.39656),(4875,4455,1.3828,-0.38625),(4875,4465,1.3863,-0.37595),(4875,4475,1.3894,-0.36564),(4875,4485,1.3924,-0.35589),(4875,4495,1.3953,-0.34627),(4875,4505,1.3977,-0.33664),(4875,4515,1.4002,-0.32746),(4875,4525,1.4026,-0.31851),(4875,4535,1.4045,-0.30956),(4875,4545,1.4064,-0.30093),(4875,4555,1.4083,-0.29263),(4875,4565,1.4098,-0.28434),(4875,4575,1.4112,-0.27625),(4875,4585,1.4127,-0.26864),(4875,4595,1.4139,-0.26102),(4875,4605,1.415,-0.25348),(4875,4615,1.4161,-0.24651),(4875,4625,1.4171,-0.23953),(4875,4635,1.4179,-0.23255),(4875,4645,1.4187,-0.22614),(4875,4655,1.4195,-0.21976),(4875,4665,1.4201,-0.21338),(4875,4675,1.4207,-0.20747),(4875,4685,1.4213,-0.2017),(4875,4695,1.4218,-0.19593),(4875,4705,1.4222,-0.19052),(4875,4715,1.4227,-0.18538),(4875,4725,1.4231,-0.18023),(4875,4735,1.4235,-0.17532),(4875,4745,1.4238,-0.17078),(4875,4755,1.4242,-0.16624),(4875,4765,1.4245,-0.16183),(4875,4775,1.4249,-0.15789),(4875,4785,1.4252,-0.15395),(4875,4795,1.4256,-0.15003),(4875,4805,1.426,-0.1467),(4875,4815,1.4264,-0.14336),(4875,4825,1.4268,-0.14003),(4875,4835,1.4273,-0.13721),(4875,4845,1.4278,-0.13447),(4875,4855,1.4285,-0.13173),(4875,4865,1.4291,-0.12944),(4875,4875,1.4298,-0.12735),(4875,4885,1.4306,-0.12525),(4875,4895,1.4315,-0.1235),(4875,4905,1.4324,-0.12206),(4875,4915,1.4336,-0.12062),(4875,4925,1.4348,-0.11939),(4875,4935,1.436,-0.11857),(4875,4945,1.4375,-0.11776),(4875,4955,1.4391,-0.11703),(4875,4965,1.4406,-0.11681),(4875,4975,1.4424,-0.11658),(4875,4985,1.4444,-0.11636),(4875,4995,1.4464,-0.11664),(4875,5005,1.4486,-0.11694),(4875,5015,1.451,-0.11724),(4875,5025,1.4535,-0.11788),(4875,5035,1.456,-0.11861),(4875,5045,1.4588,-0.11934),(4875,5055,1.4617,-0.12026),(4875,5065,1.4645,-0.12129),(4875,5075,1.4676,-0.12232),(4875,5085,1.4708,-0.12339),(4875,5095,1.4739,-0.1245),(4875,5105,1.4771,-0.12561),(4875,5115,1.4804,-0.12671),(4875,5125,1.4837,-0.12774),(4875,5135,1.487,-0.12878),(4875,5145,1.4903,-0.1298),(4875,5155,1.4936,-0.13065),(4875,5165,1.4968,-0.13149),(4875,5175,1.5,-0.13233),(4875,5185,1.5032,-0.13287),(4875,5195,1.5063,-0.13337),(4875,5205,1.5092,-0.13387),(4875,5215,1.5121,-0.13406),(4875,5225,1.5149,-0.13412),(4875,5235,1.5173,-0.13419),(4875,5245,1.5196,-0.13397),(4875,5255,1.522,-0.13352),(4875,5265,1.5237,-0.13308),(4875,5275,1.5254,-0.13246),(4875,5285,1.5271,-0.13155),(4875,5295,1.5282,-0.13065),(4875,5305,1.5292,-0.12969),(4875,5315,1.5302,-0.12849),(4875,5325,1.5308,-0.12729),(4875,5335,1.5312,-0.12609),(4875,5345,1.5316,-0.12482),(4875,5355,1.5317,-0.12354),(4875,5365,1.5317,-0.12227),(4875,5375,1.5316,-0.12113),(4875,5385,1.5314,-0.12001),(4875,5395,1.5311,-0.1189),(4875,5405,1.5308,-0.11801),(4875,5415,1.5305,-0.11725),(4875,5425,1.5301,-0.11648),(4875,5435,1.5297,-0.11596),(4875,5445,1.5294,-0.11571),(4875,5455,1.5291,-0.11545),(4875,5465,1.5289,-0.1154),(4875,5475,1.5287,-0.11582),(4875,5485,1.5288,-0.11625),(4875,5495,1.5289,-0.11677),(4875,5505,1.5291,-0.11802),(4875,5515,1.5296,-0.11926),(4875,5525,1.5303,-0.12051),(4875,5535,1.531,-0.12267),(4875,5545,1.532,-0.12489),(4875,5555,1.5335,-0.12711),(4875,5565,1.535,-0.13022),(4875,5575,1.5367,-0.1336),(4875,5585,1.5392,-0.13699),(4875,5595,1.5417,-0.14117),(4875,5605,1.5443,-0.14592),(4875,5615,1.5481,-0.15067),(4875,5625,1.552,-0.15602),(4875,5635,1.5558,-0.16223),(4875,5645,1.5609,-0.16844),(4875,5655,1.5664,-0.17501),(4875,5665,1.5718,-0.18276),(4875,5675,1.5784,-0.19051),(4875,5685,1.5858,-0.19834),(4875,5695,1.5931,-0.20758),(4875,5705,1.6014,-0.21682),(4875,5715,1.6109,-0.22605),(4875,5725,1.6204,-0.23635),(4875,5735,1.6305,-0.2468),(4875,5745,1.6422,-0.25725),(4875,5755,1.654,-0.26819),(4875,5765,1.6659,-0.27934),(4875,5775,1.6798,-0.29049),(4875,5785,1.6937,-0.30158),(4875,5795,1.7076,-0.3126),(4875,5805,1.7229,-0.32362),(4875,5815,1.7384,-0.33421),(4875,5825,1.7538,-0.34399),(4875,5835,1.7698,-0.35376),(4875,5845,1.7859,-0.36315),(4875,5855,1.802,-0.37062),(4875,5865,1.8178,-0.37808),(4875,5875,1.8335,-0.38554),(4875,5885,1.8491,-0.39005),(4875,5895,1.8642,-0.39452),(4875,5905,1.8784,-0.39898),(4875,5915,1.8927,-0.4009),(4875,5925,1.9065,-0.40221),(4875,5935,1.9188,-0.40352),(4875,5945,1.9312,-0.4031),(4875,5955,1.9434,-0.40167),(4875,5965,1.9538,-0.40023),(4875,5975,1.9642,-0.39789),(4875,5985,1.9747,-0.39445),(4875,5995,1.9837,-0.39101),(4875,6005,1.9926,-0.38722),(4875,6015,2.0014,-0.38249),(4875,6025,2.0095,-0.37776),(4875,6035,2.0173,-0.37296),(4875,6045,2.025,-0.36747),(4875,6055,2.0324,-0.36199),(4875,6065,2.0394,-0.35651),(4875,6075,2.0465,-0.35056),(4875,6085,2.0533,-0.34457),(4875,6095,2.0598,-0.33858),(4875,6105,2.0662,-0.33233),(4875,6115,2.0726,-0.32597),(4875,6125,2.0786,-0.31961),(4875,6135,2.0846,-0.31311),(4875,6145,2.0907,-0.3065),(4875,6155,2.0962,-0.29989),(4875,6165,2.1018,-0.29322),(4875,6175,2.1074,-0.28643),(4875,6185,2.1126,-0.27965),(4875,6195,2.1178,-0.27284),(4875,6205,2.1229,-0.26595),(4875,6215,2.1278,-0.25906),(4875,6225,2.1325,-0.25217),(4875,6235,2.1373,-0.24515),(4875,6245,2.1418,-0.23812),(4875,6255,2.1461,-0.2311),(4875,6265,2.1504,-0.22406),(4875,6275,2.1545,-0.21701),(4875,6285,2.1584,-0.20996),(4875,6295,2.1622,-0.20292),(4875,6305,2.166,-0.1959),(4875,6315,2.1694,-0.18887),(4875,6325,2.1728,-0.18184),(4875,6335,2.1761,-0.17482),(4875,6345,2.1792,-0.16779),(4875,6355,2.1821,-0.16078),(4875,6365,2.1851,-0.1538),(4875,6375,2.1878,-0.14681),(4875,6385,2.1903,-0.13984),(4875,6395,2.1929,-0.13296),(4875,6405,2.1952,-0.12608),(4875,6415,2.1974,-0.1192),(4875,6425,2.1995,-0.11236),(4875,6435,2.2015,-0.10551),(4875,6445,2.2033,-0.09867),(4875,6455,2.205,-0.091895),(4875,6465,2.2067,-0.085139),(4875,6475,2.2081,-0.078382),(4875,6485,2.2094,-0.071646),(4875,6495,2.2108,-0.064923),(4875,6505,2.2118,-0.0582),(4875,6515,2.2128,-0.051503),(4875,6525,2.2138,-0.044841),(4875,6535,2.2145,-0.038179),(4875,6545,2.2151,-0.031519),(4875,6555,2.2158,-0.024862),(4875,6565,2.2162,-0.018206),(4875,6575,2.2164,-0.011552),(4875,6585,2.2167,-0.004946),(4875,6595,1.8858,0.001661),(4875,6605,1.1891,0.008267),(4875,6615,0.4925,0.009017),(4875,6625,0.002761,0.009015),(4875,6635,0.002726,0.009012),(4875,6645,0.002691,0.009021),(4875,6655,0.002657,0.009034),(4875,6665,0.002626,0.009047),(4875,6675,0.002596,0.009059),(4875,6685,0.002566,0.00907),(4875,6695,0.002539,0.009081),(4875,6705,0.002513,0.009091),(4875,6715,0.002487,0.0091),(4875,6725,0.002463,0.009109),(4875,6735,0.002441,0.009117),(4875,6745,0.002418,0.009125),(4875,6755,0.002397,0.009132),(4875,6765,0.002378,0.009139),(4875,6775,0.002358,0.009145),(4875,6785,0.00234,0.009151),(4875,6795,0.002323,0.009157),(4875,6805,0.002306,0.009162),(4875,6815,0.00229,0.009167),(4875,6825,0.002276,0.009172),(4875,6835,0.002261,0.009176),(4875,6845,0.002247,0.00918),(4875,6855,0.002235,0.009183),(4875,6865,0.002222,0.009187),(4875,6875,0.00221,0.00919),(4875,6885,0.002199,0.009193),(4875,6895,0.002188,0.009195),(4875,6905,0.002178,0.009198),(4875,6915,0.002169,0.0092),(4875,6925,0.00216,0.009202),(4875,6935,0.002151,0.009203),(4875,6945,0.002143,0.009205),(4875,6955,0.002135,0.009206),(4875,6965,0.002128,0.009207),(4875,6975,0.00212,0.009208),(4875,6985,0.002114,0.009209),(4885,5,9e-06,-0.47574),(4885,15,2.6e-05,-0.47581),(4885,25,3.2e-05,-0.47588),(4885,35,2.8e-05,-0.47596),(4885,45,2.4e-05,-0.47601),(4885,55,2e-05,-0.47604),(4885,65,2e-06,-0.47607),(4885,75,-2.8e-05,-0.4761),(4885,85,-5.8e-05,-0.47612),(4885,95,-8.7e-05,-0.47614),(4885,105,-8.6e-05,-0.47616),(4885,115,-6.3e-05,-0.47617),(4885,125,-4.1e-05,-0.47624),(4885,135,-1.8e-05,-0.47634),(4885,145,1.2e-05,-0.47644),(4885,155,4.7e-05,-0.47654),(4885,165,8.2e-05,-0.47664),(4885,175,0.000117,-0.47675),(4885,185,0.000114,-0.47686),(4885,195,9.4e-05,-0.47696),(4885,205,7.3e-05,-0.47707),(4885,215,5.3e-05,-0.47718),(4885,225,3.3e-05,-0.47729),(4885,235,1.3e-05,-0.4774),(4885,245,-7e-06,-0.47754),(4885,255,-2.7e-05,-0.4777),(4885,265,-4e-05,-0.47786),(4885,275,-5.2e-05,-0.47802),(4885,285,-6.3e-05,-0.47818),(4885,295,-7.5e-05,-0.47834),(4885,305,-8.8e-05,-0.47849),(4885,315,-0.000103,-0.47865),(4885,325,-0.000117,-0.4788),(4885,335,-0.000131,-0.47894),(4885,345,-0.00013,-0.47909),(4885,355,-0.000127,-0.47923),(4885,365,-0.000124,-0.4794),(4885,375,-0.00012,-0.47957),(4885,385,-8.7e-05,-0.47975),(4885,395,-5e-05,-0.47992),(4885,405,-1.3e-05,-0.48015),(4885,415,2.4e-05,-0.48038),(4885,425,9.4e-05,-0.48061),(4885,435,0.000166,-0.48084),(4885,445,0.000238,-0.48113),(4885,455,0.00031,-0.48143),(4885,465,0.000304,-0.48172),(4885,475,0.000293,-0.48202),(4885,485,0.000283,-0.48226),(4885,495,0.000273,-0.4825),(4885,505,0.000212,-0.48275),(4885,515,0.000151,-0.48299),(4885,525,8.9e-05,-0.48325),(4885,535,2.8e-05,-0.48352),(4885,545,-3.1e-05,-0.48379),(4885,555,-9e-05,-0.48405),(4885,565,-0.000149,-0.48435),(4885,575,-0.000204,-0.48464),(4885,585,-0.000212,-0.48494),(4885,595,-0.000219,-0.48523),(4885,605,-0.000227,-0.48558),(4885,615,-0.000238,-0.48593),(4885,625,-0.000266,-0.48628),(4885,635,-0.000295,-0.48662),(4885,645,-0.000323,-0.48694),(4885,655,-0.000341,-0.48726),(4885,665,-0.000301,-0.48758),(4885,675,-0.00026,-0.48791),(4885,685,-0.00022,-0.48833),(4885,695,-0.000171,-0.48876),(4885,705,-9e-05,-0.48918),(4885,715,-8e-06,-0.4896),(4885,725,7.3e-05,-0.49004),(4885,735,0.000149,-0.49048),(4885,745,0.000206,-0.49092),(4885,755,0.000264,-0.49135),(4885,765,0.000321,-0.49175),(4885,775,0.000366,-0.49216),(4885,785,0.000376,-0.49256),(4885,795,0.000387,-0.49296),(4885,805,0.000397,-0.49333),(4885,815,0.0004,-0.49371),(4885,825,0.000386,-0.49409),(4885,835,0.000371,-0.49449),(4885,845,0.000356,-0.49492),(4885,855,0.000343,-0.49536),(4885,865,0.000332,-0.49579),(4885,875,0.000321,-0.49626),(4885,885,0.00031,-0.49677),(4885,895,0.000287,-0.49728),(4885,905,0.000246,-0.49779),(4885,915,0.000206,-0.49829),(4885,925,0.000165,-0.49877),(4885,935,0.000147,-0.49924),(4885,945,0.000158,-0.49972),(4885,955,0.000169,-0.50021),(4885,965,0.000181,-0.50072),(4885,975,0.000177,-0.50123),(4885,985,0.000156,-0.50175),(4885,995,0.000135,-0.50221),(4885,1005,0.000113,-0.50263),(4885,1015,8.3e-05,-0.50305),(4885,1025,4.4e-05,-0.50347),(4885,1035,6e-06,-0.50388),(4885,1045,-3.3e-05,-0.50428),(4885,1055,6e-06,-0.50467),(4885,1065,0.000109,-0.50507),(4885,1075,0.000212,-0.50554),(4885,1085,0.000315,-0.50606),(4885,1095,0.000472,-0.50657),(4885,1105,0.000666,-0.50709),(4885,1115,0.000859,-0.50756),(4885,1125,0.001053,-0.50799),(4885,1135,0.00145,-0.50842),(4885,1145,0.001967,-0.50886),(4885,1155,0.002484,-0.50923),(4885,1165,0.003,-0.50957),(4885,1175,0.004359,-0.5099),(4885,1185,0.006136,-0.51024),(4885,1195,0.007913,-0.50995),(4885,1205,0.00969,-0.50938),(4885,1215,0.01469,-0.50881),(4885,1225,0.021019,-0.50824),(4885,1235,0.027348,-0.50477),(4885,1245,0.033677,-0.50021),(4885,1255,0.033642,-0.49566),(4885,1265,0.031457,-0.4911),(4885,1275,0.029272,-0.50327),(4885,1285,0.027087,-0.52053),(4885,1295,-0.037965,-0.53778),(4885,1305,-0.12002,-0.55503),(4885,1315,-0.20207,-0.68527),(4885,1325,-0.28413,-0.84254),(4885,1335,-0.17425,-0.99981),(4885,1345,-0.024142,-1.1571),(4885,1355,0.12596,-1.0506),(4885,1365,0.27607,-0.89637),(4885,1375,0.22665,-0.74211),(4885,1385,0.14646,-0.58784),(4885,1395,0.06626,-0.55023),(4885,1405,-0.013938,-0.5276),(4885,1415,-0.026704,-0.50497),(4885,1425,-0.032469,-0.48234),(4885,1435,-0.038234,-0.48741),(4885,1445,-0.043999,-0.4947),(4885,1455,-0.036618,-0.50199),(4885,1465,-0.028481,-0.50928),(4885,1475,-0.020343,-0.51105),(4885,1485,-0.012206,-0.51261),(4885,1495,-0.010042,-0.51418),(4885,1505,-0.007968,-0.51574),(4885,1515,-0.005894,-0.51582),(4885,1525,-0.003858,-0.51589),(4885,1535,-0.003315,-0.51597),(4885,1545,-0.002772,-0.51604),(4885,1555,-0.002229,-0.51597),(4885,1565,-0.001709,-0.51589),(4885,1575,-0.00153,-0.51581),(4885,1585,-0.00135,-0.51574),(4885,1595,-0.001171,-0.51566),(4885,1605,-0.001007,-0.51558),(4885,1615,-0.000981,-0.51551),(4885,1625,-0.000956,-0.51543),(4885,1635,-0.00093,-0.51531),(4885,1645,-0.000909,-0.51519),(4885,1655,-0.000912,-0.51507),(4885,1665,-0.000915,-0.51496),(4885,1675,-0.000918,-0.51485),(4885,1685,-0.000921,-0.51475),(4885,1695,-0.000924,-0.51464),(4885,1705,-0.000928,-0.51454),(4885,1715,-0.000932,-0.51441),(4885,1725,-0.000931,-0.51429),(4885,1735,-0.000913,-0.51417),(4885,1745,-0.000896,-0.51404),(4885,1755,-0.000878,-0.51389),(4885,1765,-0.000846,-0.51374),(4885,1775,-0.000774,-0.51359),(4885,1785,-0.000703,-0.51345),(4885,1795,-0.000631,-0.51335),(4885,1805,-0.000568,-0.51324),(4885,1815,-0.000526,-0.51313),(4885,1825,-0.000485,-0.51303),(4885,1835,-0.000443,-0.51294),(4885,1845,-0.00041,-0.51284),(4885,1855,-0.000394,-0.51275),(4885,1865,-0.000378,-0.51268),(4885,1875,-0.000361,-0.51266),(4885,1885,-0.000344,-0.51263),(4885,1895,-0.000323,-0.51261),(4885,1905,-0.000303,-0.5126),(4885,1915,-0.000282,-0.51262),(4885,1925,-0.000256,-0.51263),(4885,1935,-0.000221,-0.51265),(4885,1945,-0.000187,-0.51268),(4885,1955,-0.000152,-0.51272),(4885,1965,-9e-05,-0.51276),(4885,1975,2e-06,-0.5128),(4885,1985,9.5e-05,-0.51289),(4885,1995,0.000188,-0.51303),(4885,2005,0.000279,-0.51316),(4885,2015,0.000367,-0.5133),(4885,2025,0.000456,-0.51347),(4885,2035,0.000544,-0.51366),(4885,2045,0.000601,-0.51385),(4885,2055,0.00063,-0.51404),(4885,2065,0.00066,-0.51426),(4885,2075,0.000689,-0.51451),(4885,2085,0.000697,-0.51475),(4885,2095,0.00069,-0.515),(4885,2105,0.000683,-0.51529),(4885,2115,0.000675,-0.51561),(4885,2125,0.000648,-0.51593),(4885,2135,0.000607,-0.51625),(4885,2145,0.000567,-0.51659),(4885,2155,0.000526,-0.51694),(4885,2165,0.00049,-0.51728),(4885,2175,0.000455,-0.51763),(4885,2185,0.00042,-0.51801),(4885,2195,0.000386,-0.51841),(4885,2205,0.000398,-0.51881),(4885,2215,0.000429,-0.5192),(4885,2225,0.000461,-0.51964),(4885,2235,0.000493,-0.5201),(4885,2245,0.000589,-0.52056),(4885,2255,0.000707,-0.52101),(4885,2265,0.000826,-0.52149),(4885,2275,0.000945,-0.52198),(4885,2285,0.001133,-0.52247),(4885,2295,0.001341,-0.52296),(4885,2305,0.001549,-0.5235),(4885,2315,0.001758,-0.52405),(4885,2325,0.001988,-0.5246),(4885,2335,0.002223,-0.52515),(4885,2345,0.002458,-0.52576),(4885,2355,0.002694,-0.52638),(4885,2365,0.002861,-0.527),(4885,2375,0.003016,-0.52761),(4885,2385,0.003171,-0.52829),(4885,2395,0.003327,-0.52897),(4885,2405,0.003376,-0.52965),(4885,2415,0.003413,-0.53033),(4885,2425,0.00345,-0.53105),(4885,2435,0.003487,-0.53178),(4885,2445,0.003481,-0.5325),(4885,2455,0.003471,-0.53323),(4885,2465,0.003462,-0.53397),(4885,2475,0.003452,-0.53471),(4885,2485,0.003493,-0.53546),(4885,2495,0.003535,-0.5362),(4885,2505,0.003577,-0.53694),(4885,2515,0.003621,-0.53769),(4885,2525,0.00377,-0.53843),(4885,2535,0.00392,-0.53917),(4885,2545,0.00407,-0.53992),(4885,2555,0.004227,-0.54067),(4885,2565,0.004491,-0.54142),(4885,2575,0.004756,-0.54217),(4885,2585,0.00502,-0.54293),(4885,2595,0.005291,-0.5437),(4885,2605,0.005619,-0.54446),(4885,2615,0.005948,-0.54522),(4885,2625,0.006276,-0.54598),(4885,2635,0.006605,-0.54674),(4885,2645,0.00693,-0.5475),(4885,2655,0.007256,-0.54826),(4885,2665,0.007581,-0.54901),(4885,2675,0.007902,-0.54976),(4885,2685,0.008197,-0.55051),(4885,2695,0.008492,-0.55126),(4885,2705,0.008786,-0.55199),(4885,2715,0.009077,-0.55271),(4885,2725,0.009353,-0.55344),(4885,2735,0.009629,-0.55416),(4885,2745,0.009905,-0.55485),(4885,2755,0.010178,-0.55554),(4885,2765,0.010445,-0.55623),(4885,2775,0.010712,-0.55691),(4885,2785,0.010979,-0.55755),(4885,2795,0.011254,-0.55818),(4885,2805,0.011548,-0.55882),(4885,2815,0.011842,-0.55945),(4885,2825,0.012136,-0.56007),(4885,2835,0.012444,-0.56068),(4885,2845,0.012781,-0.5613),(4885,2855,0.013118,-0.5619),(4885,2865,0.013455,-0.56247),(4885,2875,0.013805,-0.56304),(4885,2885,0.014179,-0.56362),(4885,2895,0.014552,-0.56417),(4885,2905,0.014925,-0.56469),(4885,2915,0.01531,-0.56521),(4885,2925,0.015711,-0.56572),(4885,2935,0.016112,-0.56622),(4885,2945,0.016513,-0.5667),(4885,2955,0.016926,-0.56717),(4885,2965,0.017354,-0.56764),(4885,2975,0.017782,-0.56809),(4885,2985,0.018209,-0.56852),(4885,2995,0.018653,-0.56894),(4885,3005,0.019114,-0.56937),(4885,3015,0.019575,-0.56977),(4885,3025,0.020036,-0.57015),(4885,3035,0.020491,-0.57054),(4885,3045,0.020941,-0.57092),(4885,3055,0.021391,-0.57128),(4885,3065,0.021841,-0.57162),(4885,3075,0.022248,-0.57196),(4885,3085,0.022624,-0.5723),(4885,3095,0.022999,-0.5726),(4885,3105,0.023375,-0.57287),(4885,3115,0.023729,-0.57313),(4885,3125,0.024068,-0.5734),(4885,3135,0.024408,-0.57363),(4885,3145,0.024748,-0.57383),(4885,3155,0.025099,-0.57404),(4885,3165,0.025455,-0.57424),(4885,3175,0.025811,-0.5744),(4885,3185,0.026167,-0.57453),(4885,3195,0.026563,-0.57466),(4885,3205,0.026977,-0.57479),(4885,3215,0.027392,-0.57488),(4885,3225,0.027806,-0.57494),(4885,3235,0.028262,-0.57501),(4885,3245,0.028734,-0.57508),(4885,3255,0.029206,-0.57508),(4885,3265,0.029678,-0.57506),(4885,3275,0.030147,-0.57505),(4885,3285,0.030615,-0.57503),(4885,3295,0.031084,-0.57492),(4885,3305,0.031552,-0.57478),(4885,3315,0.032008,-0.57464),(4885,3325,0.032461,-0.57451),(4885,3335,0.032914,-0.57427),(4885,3345,0.033367,-0.57401),(4885,3355,0.033811,-0.57375),(4885,3365,0.034255,-0.5735),(4885,3375,0.034698,-0.57314),(4885,3385,0.035141,-0.57276),(4885,3395,0.035528,-0.57238),(4885,3405,0.035906,-0.57201),(4885,3415,0.036285,-0.57151),(4885,3425,0.036664,-0.571),(4885,3435,0.036956,-0.57049),(4885,3445,0.03724,-0.56998),(4885,3455,0.037525,-0.56933),(4885,3465,0.03781,-0.56868),(4885,3475,0.038041,-0.56802),(4885,3485,0.03827,-0.56737),(4885,3495,0.038499,-0.56653),(4885,3505,0.038728,-0.56568),(4885,3515,0.038957,-0.56483),(4885,3525,0.039186,-0.56398),(4885,3535,0.039416,-0.56293),(4885,3545,0.039648,-0.56189),(4885,3555,0.039942,-0.56084),(4885,3565,0.040237,-0.55978),(4885,3575,0.040531,-0.55855),(4885,3585,0.04083,-0.55732),(4885,3595,0.04118,-0.55609),(4885,3605,0.04153,-0.55484),(4885,3615,0.041881,-0.55339),(4885,3625,0.042229,-0.55193),(4885,3635,0.042563,-0.55048),(4885,3645,0.042896,-0.54898),(4885,3655,0.04323,-0.54727),(4885,3665,0.043551,-0.54556),(4885,3675,0.0438,-0.54384),(4885,3685,0.04405,-0.54207),(4885,3695,0.0443,-0.54007),(4885,3705,0.044522,-0.53806),(4885,3715,0.044636,-0.53605),(4885,3725,0.044749,-0.53398),(4885,3735,0.044863,-0.53165),(4885,3745,0.044948,-0.52933),(4885,3755,0.04494,-0.52701),(4885,3765,0.044933,-0.5246),(4885,3775,0.044925,-0.52194),(4885,3785,0.044914,-0.51928),(4885,3795,0.044894,-0.51661),(4885,3805,0.044873,-0.51384),(4885,3815,0.044852,-0.51083),(4885,3825,0.044927,-0.50781),(4885,3835,0.045201,-0.50479),(4885,3845,0.045476,-0.50164),(4885,3855,0.04575,-0.49821),(4885,3865,0.046523,-0.49478),(4885,3875,0.048177,-0.49136),(4885,3885,0.049831,-0.48764),(4885,3895,0.051485,-0.48344),(4885,3905,0.054847,-0.47925),(4885,3915,0.06076,-0.47505),(4885,3925,0.066674,-0.47003),(4885,3935,0.072588,-0.46388),(4885,3945,0.076036,-0.45772),(4885,3955,0.076356,-0.45156),(4885,3965,0.076675,-0.45272),(4885,3975,0.076995,-0.46245),(4885,3985,0.030321,-0.47219),(4885,3995,-0.06722,-0.48192),(4885,4005,-0.16476,-0.56616),(4885,4015,-0.2623,-0.7249),(4885,4025,-0.055232,-0.88365),(4885,4035,0.18164,-0.9875),(4885,4045,0.41851,-0.97564),(4885,4055,0.57744,-0.96379),(4885,4065,0.70792,-0.95116),(4885,4075,0.83841,-0.93397),(4885,4085,0.9124,-0.91678),(4885,4095,0.94098,-0.89959),(4885,4105,0.96956,-0.88286),(4885,4115,0.9959,-0.86615),(4885,4125,1.0185,-0.84944),(4885,4135,1.0412,-0.83306),(4885,4145,1.063,-0.81677),(4885,4155,1.0817,-0.80048),(4885,4165,1.1003,-0.78446),(4885,4175,1.1189,-0.76862),(4885,4185,1.1345,-0.75277),(4885,4195,1.1502,-0.73718),(4885,4205,1.1659,-0.72194),(4885,4215,1.1796,-0.7067),(4885,4225,1.1929,-0.69158),(4885,4235,1.2062,-0.67683),(4885,4245,1.2181,-0.66208),(4885,4255,1.2295,-0.64738),(4885,4265,1.2408,-0.63316),(4885,4275,1.2513,-0.61895),(4885,4285,1.261,-0.60474),(4885,4295,1.2707,-0.59109),(4885,4305,1.2799,-0.5775),(4885,4315,1.2881,-0.56391),(4885,4325,1.2964,-0.55078),(4885,4335,1.3044,-0.53784),(4885,4345,1.3114,-0.52489),(4885,4355,1.3183,-0.51229),(4885,4365,1.3253,-0.49999),(4885,4375,1.3312,-0.48768),(4885,4385,1.337,-0.47561),(4885,4395,1.3429,-0.46396),(4885,4405,1.3479,-0.45231),(4885,4415,1.3528,-0.44079),(4885,4425,1.3576,-0.42985),(4885,4435,1.362,-0.4189),(4885,4445,1.366,-0.40795),(4885,4455,1.37,-0.39771),(4885,4465,1.3736,-0.38747),(4885,4475,1.3769,-0.37723),(4885,4485,1.3801,-0.36754),(4885,4495,1.3832,-0.35796),(4885,4505,1.3859,-0.34839),(4885,4515,1.3885,-0.33924),(4885,4525,1.3911,-0.33034),(4885,4535,1.3932,-0.32143),(4885,4545,1.3953,-0.31283),(4885,4555,1.3974,-0.30457),(4885,4565,1.3991,-0.29631),(4885,4575,1.4008,-0.28825),(4885,4585,1.4024,-0.28067),(4885,4595,1.4038,-0.27308),(4885,4605,1.4051,-0.26557),(4885,4615,1.4064,-0.25861),(4885,4625,1.4075,-0.25166),(4885,4635,1.4086,-0.2447),(4885,4645,1.4096,-0.23831),(4885,4655,1.4105,-0.23196),(4885,4665,1.4113,-0.2256),(4885,4675,1.4121,-0.21971),(4885,4685,1.4129,-0.21397),(4885,4695,1.4136,-0.20823),(4885,4705,1.4142,-0.20286),(4885,4715,1.4149,-0.19774),(4885,4725,1.4154,-0.19263),(4885,4735,1.416,-0.18776),(4885,4745,1.4166,-0.18326),(4885,4755,1.4171,-0.17876),(4885,4765,1.4177,-0.17439),(4885,4775,1.4182,-0.17049),(4885,4785,1.4187,-0.1666),(4885,4795,1.4193,-0.16273),(4885,4805,1.4198,-0.15944),(4885,4815,1.4205,-0.15615),(4885,4825,1.4211,-0.15286),(4885,4835,1.4218,-0.1501),(4885,4845,1.4225,-0.14742),(4885,4855,1.4233,-0.14473),(4885,4865,1.4241,-0.1425),(4885,4875,1.425,-0.14046),(4885,4885,1.4261,-0.13842),(4885,4895,1.4271,-0.13672),(4885,4905,1.4282,-0.13533),(4885,4915,1.4296,-0.13393),(4885,4925,1.431,-0.13274),(4885,4935,1.4323,-0.13196),(4885,4945,1.434,-0.13117),(4885,4955,1.4357,-0.13048),(4885,4965,1.4375,-0.13026),(4885,4975,1.4394,-0.13005),(4885,4985,1.4416,-0.12984),(4885,4995,1.4437,-0.1301),(4885,5005,1.446,-0.13037),(4885,5015,1.4485,-0.13064),(4885,5025,1.4511,-0.13123),(4885,5035,1.4537,-0.13189),(4885,5045,1.4566,-0.13256),(4885,5055,1.4595,-0.13338),(4885,5065,1.4624,-0.1343),(4885,5075,1.4655,-0.13521),(4885,5085,1.4686,-0.13614),(4885,5095,1.4717,-0.13709),(4885,5105,1.4749,-0.13804),(4885,5115,1.4782,-0.13896),(4885,5125,1.4814,-0.13982),(4885,5135,1.4846,-0.14067),(4885,5145,1.4878,-0.14151),(4885,5155,1.4911,-0.14216),(4885,5165,1.4942,-0.14281),(4885,5175,1.4973,-0.14345),(4885,5185,1.5004,-0.1438),(4885,5195,1.5034,-0.14411),(4885,5205,1.5061,-0.14442),(4885,5215,1.5089,-0.14443),(4885,5225,1.5116,-0.14433),(4885,5235,1.5138,-0.14423),(4885,5245,1.516,-0.14388),(4885,5255,1.5183,-0.14331),(4885,5265,1.5199,-0.14275),(4885,5275,1.5215,-0.14205),(4885,5285,1.5231,-0.14111),(4885,5295,1.5241,-0.14017),(4885,5305,1.5251,-0.13919),(4885,5315,1.526,-0.13805),(4885,5325,1.5267,-0.1369),(4885,5335,1.5271,-0.13576),(4885,5345,1.5275,-0.13461),(4885,5355,1.5277,-0.13347),(4885,5365,1.5277,-0.13233),(4885,5375,1.5277,-0.13137),(4885,5385,1.5277,-0.13046),(4885,5395,1.5275,-0.12954),(4885,5405,1.5273,-0.12889),(4885,5415,1.5271,-0.12838),(4885,5425,1.5269,-0.12787),(4885,5435,1.5268,-0.12762),(4885,5445,1.5266,-0.12767),(4885,5455,1.5266,-0.12772),(4885,5465,1.5266,-0.12798),(4885,5475,1.5267,-0.12876),(4885,5485,1.527,-0.12953),(4885,5495,1.5274,-0.13041),(4885,5505,1.5279,-0.13204),(4885,5515,1.5286,-0.13368),(4885,5525,1.5297,-0.13532),(4885,5535,1.5307,-0.13791),(4885,5545,1.532,-0.14055),(4885,5555,1.5339,-0.14319),(4885,5565,1.5358,-0.14674),(4885,5575,1.5378,-0.15055),(4885,5585,1.5408,-0.15437),(4885,5595,1.5437,-0.15899),(4885,5605,1.5466,-0.16416),(4885,5615,1.5509,-0.16933),(4885,5625,1.5551,-0.17508),(4885,5635,1.5594,-0.18165),(4885,5645,1.5649,-0.18822),(4885,5655,1.5707,-0.19512),(4885,5665,1.5766,-0.20311),(4885,5675,1.5836,-0.2111),(4885,5685,1.5912,-0.21916),(4885,5695,1.5989,-0.22842),(4885,5705,1.6074,-0.23768),(4885,5715,1.6171,-0.24694),(4885,5725,1.6268,-0.25702),(4885,5735,1.6371,-0.26721),(4885,5745,1.6488,-0.27741),(4885,5755,1.6605,-0.28785),(4885,5765,1.6724,-0.2984),(4885,5775,1.686,-0.30896),(4885,5785,1.6996,-0.31927),(4885,5795,1.7132,-0.32935),(4885,5805,1.728,-0.33944),(4885,5815,1.7429,-0.34901),(4885,5825,1.7578,-0.3576),(4885,5835,1.773,-0.36619),(4885,5845,1.7883,-0.37439),(4885,5855,1.8036,-0.38062),(4885,5865,1.8186,-0.38684),(4885,5875,1.8334,-0.39306),(4885,5885,1.8481,-0.39649),(4885,5895,1.8624,-0.39987),(4885,5905,1.8758,-0.40325),(4885,5915,1.8892,-0.40433),(4885,5925,1.9022,-0.40486),(4885,5935,1.9139,-0.40539),(4885,5945,1.9255,-0.40441),(4885,5955,1.9371,-0.40254),(4885,5965,1.947,-0.40066),(4885,5975,1.957,-0.398),(4885,5985,1.9669,-0.39439),(4885,5995,1.9756,-0.39077),(4885,6005,1.9842,-0.38684),(4885,6015,1.9927,-0.38209),(4885,6025,2.0005,-0.37735),(4885,6035,2.0081,-0.37253),(4885,6045,2.0156,-0.3671),(4885,6055,2.0228,-0.36167),(4885,6065,2.0297,-0.35624),(4885,6075,2.0365,-0.35038),(4885,6085,2.0432,-0.34448),(4885,6095,2.0496,-0.33857),(4885,6105,2.0559,-0.3324),(4885,6115,2.0622,-0.32614),(4885,6125,2.0681,-0.31987),(4885,6135,2.074,-0.31347),(4885,6145,2.0799,-0.30695),(4885,6155,2.0854,-0.30043),(4885,6165,2.0909,-0.29385),(4885,6175,2.0964,-0.28714),(4885,6185,2.1016,-0.28044),(4885,6195,2.1067,-0.27372),(4885,6205,2.1118,-0.2669),(4885,6215,2.1166,-0.26009),(4885,6225,2.1213,-0.25327),(4885,6235,2.126,-0.24631),(4885,6245,2.1305,-0.23935),(4885,6255,2.1347,-0.23239),(4885,6265,2.139,-0.22539),(4885,6275,2.1431,-0.21839),(4885,6285,2.1469,-0.21138),(4885,6295,2.1507,-0.20438),(4885,6305,2.1545,-0.19737),(4885,6315,2.1579,-0.19037),(4885,6325,2.1613,-0.18335),(4885,6335,2.1646,-0.17633),(4885,6345,2.1677,-0.16931),(4885,6355,2.1706,-0.16229),(4885,6365,2.1736,-0.1553),(4885,6375,2.1763,-0.1483),(4885,6385,2.1788,-0.14131),(4885,6395,2.1814,-0.1344),(4885,6405,2.1837,-0.12749),(4885,6415,2.1859,-0.12058),(4885,6425,2.188,-0.11369),(4885,6435,2.19,-0.10679),(4885,6445,2.1918,-0.099903),(4885,6455,2.1935,-0.09307),(4885,6465,2.1952,-0.086253),(4885,6475,2.1966,-0.079437),(4885,6485,2.198,-0.072636),(4885,6495,2.1994,-0.065846),(4885,6505,2.2004,-0.059055),(4885,6515,2.2014,-0.052287),(4885,6525,2.2024,-0.045551),(4885,6535,2.2031,-0.038815),(4885,6545,2.2038,-0.032078),(4885,6555,2.2044,-0.025339),(4885,6565,2.2048,-0.0186),(4885,6575,2.2051,-0.011864),(4885,6585,2.2053,-0.005169),(4885,6595,1.8761,0.001526),(4885,6605,1.183,0.008222),(4885,6615,0.48996,0.008982),(4885,6625,0.002736,0.00898),(4885,6635,0.002703,0.008977),(4885,6645,0.002669,0.008987),(4885,6655,0.002635,0.009002),(4885,6665,0.002606,0.009016),(4885,6675,0.002577,0.009029),(4885,6685,0.002547,0.009042),(4885,6695,0.002521,0.009054),(4885,6705,0.002496,0.009065),(4885,6715,0.002471,0.009075),(4885,6725,0.002448,0.009085),(4885,6735,0.002426,0.009095),(4885,6745,0.002404,0.009103),(4885,6755,0.002384,0.009111),(4885,6765,0.002365,0.00912),(4885,6775,0.002346,0.009126),(4885,6785,0.002328,0.009133),(4885,6795,0.002312,0.00914),(4885,6805,0.002295,0.009146),(4885,6815,0.002279,0.009151),(4885,6825,0.002265,0.009157),(4885,6835,0.002251,0.009162),(4885,6845,0.002237,0.009166),(4885,6855,0.002225,0.009171),(4885,6865,0.002213,0.009175),(4885,6875,0.002201,0.009178),(4885,6885,0.002191,0.009182),(4885,6895,0.002181,0.009185),(4885,6905,0.00217,0.009188),(4885,6915,0.002161,0.00919),(4885,6925,0.002153,0.009193),(4885,6935,0.002144,0.009195),(4885,6945,0.002136,0.009197),(4885,6955,0.002129,0.009199),(4885,6965,0.002122,0.0092),(4885,6975,0.002115,0.009201),(4885,6985,0.002109,0.009202),(4895,5,-5e-06,-0.19991),(4895,15,-1.5e-05,-0.19995),(4895,25,-1.9e-05,-0.19998),(4895,35,-1.7e-05,-0.20001),(4895,45,-1.6e-05,-0.20004),(4895,55,-1.4e-05,-0.20006),(4895,65,-1.7e-05,-0.20008),(4895,75,-2.3e-05,-0.2001),(4895,85,-2.9e-05,-0.20011),(4895,95,-3.5e-05,-0.20011),(4895,105,-3e-05,-0.20011),(4895,115,-1.6e-05,-0.20011),(4895,125,-3e-06,-0.20014),(4895,135,1e-05,-0.20018),(4895,145,3.4e-05,-0.20021),(4895,155,6.4e-05,-0.20025),(4895,165,9.3e-05,-0.20029),(4895,175,0.000123,-0.20034),(4895,185,0.000121,-0.20038),(4895,195,0.000104,-0.20043),(4895,205,8.7e-05,-0.20047),(4895,215,7e-05,-0.20051),(4895,225,3.6e-05,-0.20055),(4895,235,-4e-06,-0.2006),(4895,245,-4.4e-05,-0.20066),(4895,255,-8.4e-05,-0.20072),(4895,265,-0.00011,-0.20079),(4895,275,-0.000131,-0.20086),(4895,285,-0.000152,-0.20093),(4895,295,-0.000173,-0.20101),(4895,305,-0.000174,-0.20108),(4895,315,-0.00017,-0.20116),(4895,325,-0.000166,-0.20123),(4895,335,-0.000162,-0.20129),(4895,345,-0.000144,-0.20136),(4895,355,-0.000123,-0.20142),(4895,365,-0.000102,-0.20149),(4895,375,-8.1e-05,-0.20156),(4895,385,-5.1e-05,-0.20163),(4895,395,-1.9e-05,-0.2017),(4895,405,1.2e-05,-0.20179),(4895,415,4.3e-05,-0.20188),(4895,425,8.5e-05,-0.20197),(4895,435,0.000128,-0.20206),(4895,445,0.00017,-0.20219),(4895,455,0.000213,-0.20232),(4895,465,0.000221,-0.20245),(4895,475,0.000227,-0.20258),(4895,485,0.000233,-0.20268),(4895,495,0.000239,-0.20279),(4895,505,0.000196,-0.2029),(4895,515,0.000153,-0.203),(4895,525,0.000109,-0.20311),(4895,535,6.6e-05,-0.20322),(4895,545,1.6e-05,-0.20334),(4895,555,-3.4e-05,-0.20345),(4895,565,-8.4e-05,-0.20357),(4895,575,-0.000132,-0.20369),(4895,585,-0.000149,-0.20381),(4895,595,-0.000165,-0.20393),(4895,605,-0.000182,-0.20408),(4895,615,-0.000198,-0.20423),(4895,625,-0.00021,-0.20438),(4895,635,-0.000222,-0.20453),(4895,645,-0.000234,-0.20466),(4895,655,-0.000243,-0.20478),(4895,665,-0.000239,-0.20491),(4895,675,-0.000235,-0.20504),(4895,685,-0.00023,-0.20522),(4895,695,-0.000218,-0.20539),(4895,705,-0.000171,-0.20557),(4895,715,-0.000124,-0.20575),(4895,725,-7.7e-05,-0.20594),(4895,735,-2.5e-05,-0.20614),(4895,745,4e-05,-0.20633),(4895,755,0.000106,-0.20652),(4895,765,0.000171,-0.20671),(4895,775,0.000233,-0.20689),(4895,785,0.000285,-0.20707),(4895,795,0.000336,-0.20725),(4895,805,0.000388,-0.2074),(4895,815,0.000424,-0.20756),(4895,825,0.000425,-0.20772),(4895,835,0.000427,-0.20788),(4895,845,0.000428,-0.20806),(4895,855,0.000415,-0.20823),(4895,865,0.000377,-0.2084),(4895,875,0.000339,-0.20859),(4895,885,0.000301,-0.2088),(4895,895,0.000258,-0.20901),(4895,905,0.000208,-0.20922),(4895,915,0.000157,-0.20943),(4895,925,0.000107,-0.20963),(4895,935,7.2e-05,-0.20982),(4895,945,5.7e-05,-0.21002),(4895,955,4.2e-05,-0.21023),(4895,965,2.7e-05,-0.21046),(4895,975,2.4e-05,-0.21069),(4895,985,3.4e-05,-0.21092),(4895,995,4.5e-05,-0.21113),(4895,1005,5.5e-05,-0.21131),(4895,1015,5.8e-05,-0.2115),(4895,1025,5.4e-05,-0.21169),(4895,1035,5e-05,-0.21186),(4895,1045,4.7e-05,-0.21201),(4895,1055,7.9e-05,-0.21217),(4895,1065,0.000142,-0.21232),(4895,1075,0.000205,-0.21252),(4895,1085,0.000267,-0.21274),(4895,1095,0.000413,-0.21296),(4895,1105,0.000615,-0.21318),(4895,1115,0.000818,-0.21339),(4895,1125,0.001021,-0.21358),(4895,1135,0.001426,-0.21378),(4895,1145,0.001951,-0.21397),(4895,1155,0.002476,-0.21416),(4895,1165,0.003001,-0.21433),(4895,1175,0.004202,-0.2145),(4895,1185,0.005737,-0.21468),(4895,1195,0.007273,-0.21424),(4895,1205,0.008808,-0.21352),(4895,1215,0.012684,-0.2128),(4895,1225,0.017525,-0.21208),(4895,1235,0.022366,-0.20702),(4895,1245,0.027208,-0.20033),(4895,1255,0.032085,-0.19365),(4895,1265,0.036975,-0.18697),(4895,1275,0.041865,-0.20133),(4895,1285,0.046755,-0.22208),(4895,1295,0.025863,-0.24283),(4895,1305,-0.002002,-0.26358),(4895,1315,-0.029867,-0.45362),(4895,1325,-0.057732,-0.68417),(4895,1335,-0.035756,-0.91472),(4895,1345,-0.003335,-1.1453),(4895,1355,0.029086,-0.99006),(4895,1365,0.061507,-0.76492),(4895,1375,0.040213,-0.53978),(4895,1385,0.010632,-0.31464),(4895,1395,-0.01895,-0.26329),(4895,1405,-0.048531,-0.23426),(4895,1415,-0.047484,-0.20524),(4895,1425,-0.043256,-0.17621),(4895,1435,-0.039028,-0.1829),(4895,1445,-0.034801,-0.19245),(4895,1455,-0.028879,-0.202),(4895,1465,-0.022859,-0.21155),(4895,1475,-0.01684,-0.21316),(4895,1485,-0.01082,-0.2145),(4895,1495,-0.009004,-0.21583),(4895,1505,-0.007252,-0.21715),(4895,1515,-0.005499,-0.21713),(4895,1525,-0.003777,-0.2171),(4895,1535,-0.003227,-0.21708),(4895,1545,-0.002678,-0.21705),(4895,1555,-0.002128,-0.217),(4895,1565,-0.001603,-0.21695),(4895,1575,-0.001428,-0.2169),(4895,1585,-0.001252,-0.21685),(4895,1595,-0.001077,-0.21681),(4895,1605,-0.000918,-0.21677),(4895,1615,-0.000894,-0.21674),(4895,1625,-0.000871,-0.2167),(4895,1635,-0.000848,-0.21664),(4895,1645,-0.000831,-0.21659),(4895,1655,-0.000856,-0.21653),(4895,1665,-0.000881,-0.21648),(4895,1675,-0.000906,-0.21643),(4895,1685,-0.000929,-0.21639),(4895,1695,-0.000941,-0.21635),(4895,1705,-0.000954,-0.21631),(4895,1715,-0.000966,-0.21626),(4895,1725,-0.000969,-0.21622),(4895,1735,-0.000939,-0.21617),(4895,1745,-0.000909,-0.21612),(4895,1755,-0.000878,-0.21606),(4895,1765,-0.000838,-0.216),(4895,1775,-0.000767,-0.21593),(4895,1785,-0.000696,-0.21588),(4895,1795,-0.000626,-0.21584),(4895,1805,-0.000562,-0.21579),(4895,1815,-0.000515,-0.21575),(4895,1825,-0.000468,-0.21571),(4895,1835,-0.000421,-0.21567),(4895,1845,-0.000388,-0.21563),(4895,1855,-0.00038,-0.21559),(4895,1865,-0.000373,-0.21557),(4895,1875,-0.000366,-0.21556),(4895,1885,-0.000354,-0.21555),(4895,1895,-0.000333,-0.21554),(4895,1905,-0.000313,-0.21554),(4895,1915,-0.000293,-0.21556),(4895,1925,-0.000259,-0.21557),(4895,1935,-0.000206,-0.21558),(4895,1945,-0.000153,-0.2156),(4895,1955,-9.9e-05,-0.21561),(4895,1965,-3e-05,-0.21563),(4895,1975,5.7e-05,-0.21565),(4895,1985,0.000145,-0.21568),(4895,1995,0.000232,-0.21574),(4895,2005,0.000318,-0.21579),(4895,2015,0.000401,-0.21585),(4895,2025,0.000485,-0.21591),(4895,2035,0.000568,-0.21599),(4895,2045,0.000621,-0.21607),(4895,2055,0.000648,-0.21615),(4895,2065,0.000675,-0.21625),(4895,2075,0.000701,-0.21635),(4895,2085,0.000701,-0.21645),(4895,2095,0.000681,-0.21655),(4895,2105,0.000662,-0.21667),(4895,2115,0.000642,-0.21681),(4895,2125,0.000609,-0.21695),(4895,2135,0.000569,-0.21708),(4895,2145,0.000528,-0.21723),(4895,2155,0.000488,-0.21738),(4895,2165,0.000451,-0.21753),(4895,2175,0.000416,-0.21768),(4895,2185,0.000381,-0.21785),(4895,2195,0.000345,-0.21802),(4895,2205,0.000354,-0.2182),(4895,2215,0.000381,-0.21837),(4895,2225,0.000408,-0.21856),(4895,2235,0.000435,-0.21877),(4895,2245,0.000537,-0.21897),(4895,2255,0.000666,-0.21917),(4895,2265,0.000795,-0.21938),(4895,2275,0.000924,-0.2196),(4895,2285,0.001123,-0.21981),(4895,2295,0.001343,-0.22003),(4895,2305,0.001563,-0.22026),(4895,2315,0.001782,-0.22049),(4895,2325,0.002018,-0.22073),(4895,2335,0.002257,-0.22096),(4895,2345,0.002496,-0.22122),(4895,2355,0.002735,-0.22147),(4895,2365,0.002898,-0.22173),(4895,2375,0.003048,-0.22199),(4895,2385,0.003199,-0.22227),(4895,2395,0.003349,-0.22255),(4895,2405,0.003386,-0.22284),(4895,2415,0.003411,-0.22312),(4895,2425,0.003435,-0.22342),(4895,2435,0.003459,-0.22373),(4895,2445,0.003443,-0.22403),(4895,2455,0.003424,-0.22434),(4895,2465,0.003405,-0.22465),(4895,2475,0.003386,-0.22497),(4895,2485,0.00343,-0.2253),(4895,2495,0.003476,-0.22562),(4895,2505,0.003522,-0.22594),(4895,2515,0.00357,-0.22626),(4895,2525,0.003729,-0.22659),(4895,2535,0.003888,-0.22691),(4895,2545,0.004047,-0.22724),(4895,2555,0.004213,-0.22756),(4895,2565,0.00448,-0.22788),(4895,2575,0.004747,-0.22821),(4895,2585,0.005014,-0.22853),(4895,2595,0.005287,-0.22885),(4895,2605,0.005615,-0.22918),(4895,2615,0.005944,-0.2295),(4895,2625,0.006273,-0.22982),(4895,2635,0.006601,-0.23014),(4895,2645,0.006926,-0.23047),(4895,2655,0.007252,-0.23079),(4895,2665,0.007577,-0.2311),(4895,2675,0.007896,-0.23142),(4895,2685,0.008187,-0.23174),(4895,2695,0.008477,-0.23205),(4895,2705,0.008768,-0.23236),(4895,2715,0.009055,-0.23267),(4895,2725,0.009329,-0.23297),(4895,2735,0.009603,-0.23328),(4895,2745,0.009877,-0.23357),(4895,2755,0.010151,-0.23386),(4895,2765,0.010424,-0.23416),(4895,2775,0.010698,-0.23445),(4895,2785,0.010971,-0.23472),(4895,2795,0.011249,-0.23499),(4895,2805,0.011537,-0.23526),(4895,2815,0.011826,-0.23553),(4895,2825,0.012115,-0.23579),(4895,2835,0.012417,-0.23606),(4895,2845,0.012746,-0.23632),(4895,2855,0.013075,-0.23658),(4895,2865,0.013404,-0.23683),(4895,2875,0.01375,-0.23707),(4895,2885,0.014123,-0.23732),(4895,2895,0.014496,-0.23756),(4895,2905,0.01487,-0.23779),(4895,2915,0.015255,-0.23801),(4895,2925,0.015656,-0.23824),(4895,2935,0.016057,-0.23845),(4895,2945,0.016458,-0.23866),(4895,2955,0.016871,-0.23886),(4895,2965,0.017297,-0.23907),(4895,2975,0.017723,-0.23926),(4895,2985,0.018149,-0.23945),(4895,2995,0.01859,-0.23963),(4895,3005,0.019045,-0.23981),(4895,3015,0.0195,-0.23998),(4895,3025,0.019956,-0.24015),(4895,3035,0.020407,-0.24031),(4895,3045,0.020855,-0.24048),(4895,3055,0.021303,-0.24063),(4895,3065,0.021751,-0.24078),(4895,3075,0.022164,-0.24093),(4895,3085,0.022551,-0.24107),(4895,3095,0.022938,-0.2412),(4895,3105,0.023325,-0.24131),(4895,3115,0.023688,-0.24142),(4895,3125,0.024035,-0.24153),(4895,3135,0.024382,-0.24162),(4895,3145,0.024729,-0.2417),(4895,3155,0.025083,-0.24178),(4895,3165,0.02544,-0.24187),(4895,3175,0.025798,-0.24193),(4895,3185,0.026155,-0.24198),(4895,3195,0.026543,-0.24203),(4895,3205,0.026945,-0.24208),(4895,3215,0.027348,-0.24211),(4895,3225,0.02775,-0.24213),(4895,3235,0.02819,-0.24215),(4895,3245,0.028645,-0.24218),(4895,3255,0.029099,-0.24218),(4895,3265,0.029554,-0.24217),(4895,3275,0.030016,-0.24216),(4895,3285,0.03048,-0.24216),(4895,3295,0.030943,-0.24211),(4895,3305,0.031407,-0.24205),(4895,3315,0.031857,-0.242),(4895,3325,0.032304,-0.24194),(4895,3335,0.032751,-0.24184),(4895,3345,0.033198,-0.24173),(4895,3355,0.033636,-0.24162),(4895,3365,0.034071,-0.24151),(4895,3375,0.034506,-0.24135),(4895,3385,0.034942,-0.2412),(4895,3395,0.035326,-0.24104),(4895,3405,0.035704,-0.24088),(4895,3415,0.036082,-0.24067),(4895,3425,0.03646,-0.24046),(4895,3435,0.036747,-0.24024),(4895,3445,0.037027,-0.24003),(4895,3455,0.037307,-0.23976),(4895,3465,0.037587,-0.23949),(4895,3475,0.037817,-0.23922),(4895,3485,0.038046,-0.23895),(4895,3495,0.038274,-0.2386),(4895,3505,0.038503,-0.23826),(4895,3515,0.038738,-0.23791),(4895,3525,0.038973,-0.23756),(4895,3535,0.039208,-0.23714),(4895,3545,0.039446,-0.23671),(4895,3555,0.039735,-0.23629),(4895,3565,0.040023,-0.23586),(4895,3575,0.040312,-0.23536),(4895,3585,0.040605,-0.23487),(4895,3595,0.040948,-0.23437),(4895,3605,0.041291,-0.23386),(4895,3615,0.041634,-0.23328),(4895,3625,0.041975,-0.2327),(4895,3635,0.042305,-0.23212),(4895,3645,0.042635,-0.23152),(4895,3655,0.042965,-0.23084),(4895,3665,0.043281,-0.23016),(4895,3675,0.04353,-0.22948),(4895,3685,0.043779,-0.22877),(4895,3695,0.044029,-0.22797),(4895,3705,0.04425,-0.22718),(4895,3715,0.044363,-0.22638),(4895,3725,0.044476,-0.22556),(4895,3735,0.044589,-0.22464),(4895,3745,0.044671,-0.22372),(4895,3755,0.044656,-0.2228),(4895,3765,0.044641,-0.22184),(4895,3775,0.044626,-0.22079),(4895,3785,0.044604,-0.21974),(4895,3795,0.044564,-0.21869),(4895,3805,0.044524,-0.2176),(4895,3815,0.044484,-0.21641),(4895,3825,0.044538,-0.21523),(4895,3835,0.044792,-0.21405),(4895,3845,0.045046,-0.21281),(4895,3855,0.045299,-0.21147),(4895,3865,0.046,-0.21012),(4895,3875,0.047489,-0.20877),(4895,3885,0.048978,-0.20715),(4895,3895,0.050467,-0.20506),(4895,3905,0.053362,-0.20298),(4895,3915,0.058356,-0.2009),(4895,3925,0.06335,-0.19728),(4895,3935,0.068345,-0.19154),(4895,3945,0.073522,-0.1858),(4895,3955,0.078932,-0.18006),(4895,3965,0.084342,-0.18334),(4895,3975,0.089752,-0.19722),(4895,3985,0.076634,-0.21109),(4895,3995,0.043458,-0.22496),(4895,4005,0.010283,-0.35129),(4895,4015,-0.022893,-0.59008),(4895,4025,0.11621,-0.82886),(4895,4035,0.27216,-0.98718),(4895,4045,0.42811,-0.97587),(4895,4055,0.56403,-0.96457),(4895,4065,0.69265,-0.95251),(4895,4075,0.82127,-0.93599),(4895,4085,0.89444,-0.91947),(4895,4095,0.92306,-0.90294),(4895,4105,0.95169,-0.88671),(4895,4115,0.97808,-0.87049),(4895,4125,1.0008,-0.85427),(4895,4135,1.0235,-0.8383),(4895,4145,1.0454,-0.82239),(4895,4155,1.0641,-0.80649),(4895,4165,1.0828,-0.79082),(4895,4175,1.1015,-0.77528),(4895,4185,1.1173,-0.75974),(4895,4195,1.1331,-0.74445),(4895,4205,1.1488,-0.72948),(4895,4215,1.1626,-0.71451),(4895,4225,1.176,-0.69966),(4895,4235,1.1895,-0.68514),(4895,4245,1.2016,-0.67063),(4895,4255,1.2131,-0.65615),(4895,4265,1.2245,-0.64214),(4895,4275,1.2352,-0.62813),(4895,4285,1.245,-0.61412),(4895,4295,1.2549,-0.60065),(4895,4305,1.2643,-0.58724),(4895,4315,1.2726,-0.57383),(4895,4325,1.281,-0.56086),(4895,4335,1.2892,-0.54807),(4895,4345,1.2964,-0.53527),(4895,4355,1.3035,-0.52281),(4895,4365,1.3106,-0.51062),(4895,4375,1.3167,-0.49844),(4895,4385,1.3228,-0.48649),(4895,4395,1.3288,-0.47495),(4895,4405,1.3341,-0.4634),(4895,4415,1.3391,-0.45198),(4895,4425,1.3442,-0.44111),(4895,4435,1.3487,-0.43025),(4895,4445,1.3529,-0.41938),(4895,4455,1.3571,-0.40921),(4895,4465,1.361,-0.39904),(4895,4475,1.3644,-0.38886),(4895,4485,1.3679,-0.37922),(4895,4495,1.3712,-0.3697),(4895,4505,1.374,-0.36017),(4895,4515,1.3768,-0.35107),(4895,4525,1.3796,-0.3422),(4895,4535,1.3819,-0.33333),(4895,4545,1.3842,-0.32477),(4895,4555,1.3865,-0.31655),(4895,4565,1.3884,-0.30832),(4895,4575,1.3903,-0.3003),(4895,4585,1.3921,-0.29274),(4895,4595,1.3937,-0.28519),(4895,4605,1.3952,-0.27771),(4895,4615,1.3967,-0.27077),(4895,4625,1.398,-0.26384),(4895,4635,1.3992,-0.2569),(4895,4645,1.4005,-0.25053),(4895,4655,1.4016,-0.24421),(4895,4665,1.4026,-0.23788),(4895,4675,1.4036,-0.23202),(4895,4685,1.4045,-0.22631),(4895,4695,1.4054,-0.2206),(4895,4705,1.4062,-0.21525),(4895,4715,1.407,-0.21018),(4895,4725,1.4078,-0.2051),(4895,4735,1.4086,-0.20027),(4895,4745,1.4093,-0.19581),(4895,4755,1.41,-0.19134),(4895,4765,1.4108,-0.18701),(4895,4775,1.4115,-0.18317),(4895,4785,1.4122,-0.17932),(4895,4795,1.413,-0.17549),(4895,4805,1.4137,-0.17225),(4895,4815,1.4145,-0.16901),(4895,4825,1.4154,-0.16577),(4895,4835,1.4162,-0.16306),(4895,4845,1.4171,-0.16043),(4895,4855,1.4181,-0.15781),(4895,4865,1.4192,-0.15562),(4895,4875,1.4202,-0.15364),(4895,4885,1.4215,-0.15166),(4895,4895,1.4228,-0.15),(4895,4905,1.424,-0.14866),(4895,4915,1.4256,-0.14731),(4895,4925,1.4271,-0.14616),(4895,4935,1.4287,-0.1454),(4895,4945,1.4305,-0.14465),(4895,4955,1.4324,-0.14398),(4895,4965,1.4343,-0.14377),(4895,4975,1.4364,-0.14356),(4895,4985,1.4387,-0.14336),(4895,4995,1.441,-0.14359),(4895,5005,1.4434,-0.14384),(4895,5015,1.446,-0.14409),(4895,5025,1.4487,-0.14461),(4895,5035,1.4514,-0.14521),(4895,5045,1.4543,-0.1458),(4895,5055,1.4573,-0.14652),(4895,5065,1.4602,-0.14732),(4895,5075,1.4633,-0.14812),(4895,5085,1.4665,-0.14892),(4895,5095,1.4696,-0.1497),(4895,5105,1.4728,-0.15048),(4895,5115,1.4759,-0.15124),(4895,5125,1.4791,-0.15191),(4895,5135,1.4823,-0.15259),(4895,5145,1.4854,-0.15324),(4895,5155,1.4886,-0.1537),(4895,5165,1.4916,-0.15416),(4895,5175,1.4946,-0.15461),(4895,5185,1.4976,-0.15477),(4895,5195,1.5004,-0.15489),(4895,5205,1.503,-0.15501),(4895,5215,1.5057,-0.15486),(4895,5225,1.5082,-0.15459),(4895,5235,1.5103,-0.15433),(4895,5245,1.5124,-0.15385),(4895,5255,1.5145,-0.15318),(4895,5265,1.516,-0.15251),(4895,5275,1.5175,-0.15173),(4895,5285,1.519,-0.15076),(4895,5295,1.5201,-0.14979),(4895,5305,1.521,-0.14879),(4895,5315,1.5219,-0.14771),(4895,5325,1.5225,-0.14662),(4895,5335,1.5229,-0.14553),(4895,5345,1.5233,-0.14452),(4895,5355,1.5236,-0.14351),(4895,5365,1.5237,-0.1425),(4895,5375,1.5238,-0.14174),(4895,5385,1.5239,-0.14102),(4895,5395,1.5238,-0.1403),(4895,5405,1.5238,-0.13989),(4895,5415,1.5238,-0.13963),(4895,5425,1.5238,-0.13937),(4895,5435,1.5238,-0.1394),(4895,5445,1.5238,-0.13974),(4895,5455,1.524,-0.14009),(4895,5465,1.5243,-0.14067),(4895,5475,1.5246,-0.14179),(4895,5485,1.5252,-0.14291),(4895,5495,1.5259,-0.14414),(4895,5505,1.5266,-0.14616),(4895,5515,1.5277,-0.14818),(4895,5525,1.529,-0.15021),(4895,5535,1.5304,-0.15321),(4895,5545,1.5321,-0.15626),(4895,5555,1.5343,-0.15932),(4895,5565,1.5366,-0.16328),(4895,5575,1.539,-0.16752),(4895,5585,1.5423,-0.17176),(4895,5595,1.5456,-0.17679),(4895,5605,1.549,-0.18236),(4895,5615,1.5536,-0.18794),(4895,5625,1.5583,-0.19406),(4895,5635,1.563,-0.20097),(4895,5645,1.5689,-0.20789),(4895,5655,1.5751,-0.2151),(4895,5665,1.5814,-0.2233),(4895,5675,1.5887,-0.2315),(4895,5685,1.5967,-0.23975),(4895,5695,1.6046,-0.24902),(4895,5705,1.6135,-0.25828),(4895,5715,1.6234,-0.26754),(4895,5725,1.6332,-0.27737),(4895,5735,1.6436,-0.28729),(4895,5745,1.6553,-0.29721),(4895,5755,1.6671,-0.30714),(4895,5765,1.6789,-0.31708),(4895,5775,1.6923,-0.32702),(4895,5785,1.7056,-0.33655),(4895,5795,1.7189,-0.3457),(4895,5805,1.7331,-0.35485),(4895,5815,1.7474,-0.36341),(4895,5825,1.7617,-0.37083),(4895,5835,1.7762,-0.37825),(4895,5845,1.7908,-0.38528),(4895,5855,1.8053,-0.39029),(4895,5865,1.8194,-0.3953),(4895,5875,1.8333,-0.40031),(4895,5885,1.8472,-0.40268),(4895,5895,1.8605,-0.40501),(4895,5905,1.8731,-0.40733),(4895,5915,1.8857,-0.4076),(4895,5925,1.8979,-0.40738),(4895,5935,1.9089,-0.40716),(4895,5945,1.9199,-0.40563),(4895,5955,1.9308,-0.40333),(4895,5965,1.9403,-0.40103),(4895,5975,1.9497,-0.39806),(4895,5985,1.9592,-0.39428),(4895,5995,1.9675,-0.39049),(4895,6005,1.9757,-0.38644),(4895,6015,1.9839,-0.38167),(4895,6025,1.9915,-0.3769),(4895,6035,1.9989,-0.37208),(4895,6045,2.0062,-0.36671),(4895,6055,2.0132,-0.36133),(4895,6065,2.0199,-0.35595),(4895,6075,2.0266,-0.35017),(4895,6085,2.0332,-0.34435),(4895,6095,2.0394,-0.33853),(4895,6105,2.0456,-0.33245),(4895,6115,2.0518,-0.32627),(4895,6125,2.0576,-0.3201),(4895,6135,2.0634,-0.31378),(4895,6145,2.0692,-0.30735),(4895,6155,2.0746,-0.30093),(4895,6165,2.0801,-0.29443),(4895,6175,2.0855,-0.28781),(4895,6185,2.0906,-0.28119),(4895,6195,2.0956,-0.27455),(4895,6205,2.1006,-0.26781),(4895,6215,2.1054,-0.26107),(4895,6225,2.1101,-0.25432),(4895,6235,2.1147,-0.24742),(4895,6245,2.1191,-0.24052),(4895,6255,2.1234,-0.23361),(4895,6265,2.1276,-0.22667),(4895,6275,2.1317,-0.21971),(4895,6285,2.1355,-0.21275),(4895,6295,2.1393,-0.20578),(4895,6305,2.143,-0.1988),(4895,6315,2.1464,-0.19181),(4895,6325,2.1498,-0.18481),(4895,6335,2.1531,-0.17779),(4895,6345,2.1561,-0.17077),(4895,6355,2.1591,-0.16376),(4895,6365,2.1621,-0.15675),(4895,6375,2.1648,-0.14973),(4895,6385,2.1673,-0.14273),(4895,6395,2.1699,-0.13579),(4895,6405,2.1722,-0.12885),(4895,6415,2.1744,-0.12191),(4895,6425,2.1765,-0.11498),(4895,6435,2.1785,-0.10804),(4895,6445,2.1803,-0.1011),(4895,6455,2.1821,-0.094211),(4895,6465,2.1838,-0.087336),(4895,6475,2.1852,-0.080461),(4895,6485,2.1866,-0.073598),(4895,6495,2.1879,-0.066742),(4895,6505,2.189,-0.059886),(4895,6515,2.19,-0.053049),(4895,6525,2.191,-0.046241),(4895,6535,2.1917,-0.039432),(4895,6545,2.1924,-0.032621),(4895,6555,2.193,-0.025803),(4895,6565,2.1934,-0.018985),(4895,6575,2.1937,-0.012169),(4895,6585,2.194,-0.005387),(4895,6595,1.8664,0.001395),(4895,6605,1.1769,0.008176),(4895,6615,0.48743,0.008947),(4895,6625,0.002712,0.008945),(4895,6635,0.002679,0.008943),(4895,6645,0.002646,0.008953),(4895,6655,0.002614,0.008969),(4895,6665,0.002586,0.008985),(4895,6675,0.002557,0.009),(4895,6685,0.002529,0.009014),(4895,6695,0.002504,0.009027),(4895,6705,0.002479,0.00904),(4895,6715,0.002454,0.009051),(4895,6725,0.002432,0.009062),(4895,6735,0.002411,0.009073),(4895,6745,0.00239,0.009082),(4895,6755,0.00237,0.009091),(4895,6765,0.002351,0.0091),(4895,6775,0.002333,0.009108),(4895,6785,0.002316,0.009116),(4895,6795,0.0023,0.009123),(4895,6805,0.002284,0.00913),(4895,6815,0.002269,0.009136),(4895,6825,0.002255,0.009142),(4895,6835,0.002241,0.009148),(4895,6845,0.002228,0.009153),(4895,6855,0.002216,0.009158),(4895,6865,0.002204,0.009163),(4895,6875,0.002193,0.009167),(4895,6885,0.002183,0.009171),(4895,6895,0.002173,0.009175),(4895,6905,0.002163,0.009178),(4895,6915,0.002154,0.009181),(4895,6925,0.002146,0.009184),(4895,6935,0.002137,0.009186),(4895,6945,0.00213,0.009189),(4895,6955,0.002123,0.009191),(4895,6965,0.002116,0.009193),(4895,6975,0.002109,0.009194),(4895,6985,0.002103,0.009196),(4905,5,-1.9e-05,-0.51836),(4905,15,-5.6e-05,-0.51842),(4905,25,-7e-05,-0.51847),(4905,35,-6.3e-05,-0.51853),(4905,45,-5.5e-05,-0.51858),(4905,55,-4.8e-05,-0.51862),(4905,65,-3.5e-05,-0.51867),(4905,75,-1.8e-05,-0.51871),(4905,85,0,-0.51874),(4905,95,1.7e-05,-0.51878),(4905,105,2.6e-05,-0.51881),(4905,115,3e-05,-0.51884),(4905,125,3.5e-05,-0.5189),(4905,135,3.9e-05,-0.51898),(4905,145,5.6e-05,-0.51906),(4905,155,8e-05,-0.51914),(4905,165,0.000105,-0.51924),(4905,175,0.00013,-0.51935),(4905,185,0.000128,-0.51946),(4905,195,0.000115,-0.51957),(4905,205,0.000101,-0.51968),(4905,215,8.7e-05,-0.5198),(4905,225,4e-05,-0.51992),(4905,235,-2e-05,-0.52004),(4905,245,-8.1e-05,-0.52019),(4905,255,-0.000141,-0.52035),(4905,265,-0.000179,-0.52052),(4905,275,-0.000209,-0.52068),(4905,285,-0.00024,-0.52086),(4905,295,-0.00027,-0.52104),(4905,305,-0.000259,-0.52123),(4905,315,-0.000238,-0.52141),(4905,325,-0.000216,-0.52159),(4905,335,-0.000194,-0.52178),(4905,345,-0.000158,-0.52196),(4905,355,-0.000119,-0.52215),(4905,365,-8e-05,-0.52235),(4905,375,-4.1e-05,-0.52255),(4905,385,-1.4e-05,-0.52275),(4905,395,1.1e-05,-0.52295),(4905,405,3.7e-05,-0.52318),(4905,415,6.2e-05,-0.52342),(4905,425,7.7e-05,-0.52365),(4905,435,9e-05,-0.52388),(4905,445,0.000103,-0.52417),(4905,455,0.000116,-0.52446),(4905,465,0.000138,-0.52476),(4905,475,0.00016,-0.52505),(4905,485,0.000183,-0.52533),(4905,495,0.000205,-0.52561),(4905,505,0.00018,-0.52589),(4905,515,0.000155,-0.52617),(4905,525,0.00013,-0.52646),(4905,535,0.000104,-0.52676),(4905,545,6.2e-05,-0.52706),(4905,555,2.1e-05,-0.52736),(4905,565,-2e-05,-0.52767),(4905,575,-6e-05,-0.52798),(4905,585,-8.5e-05,-0.5283),(4905,595,-0.000111,-0.52862),(4905,605,-0.000136,-0.52899),(4905,615,-0.000158,-0.52936),(4905,625,-0.000153,-0.52973),(4905,635,-0.000148,-0.5301),(4905,645,-0.000144,-0.53046),(4905,655,-0.000145,-0.53083),(4905,665,-0.000177,-0.53119),(4905,675,-0.000209,-0.53156),(4905,685,-0.000241,-0.532),(4905,695,-0.000265,-0.53244),(4905,705,-0.000252,-0.53288),(4905,715,-0.000239,-0.53332),(4905,725,-0.000226,-0.5338),(4905,735,-0.000199,-0.53428),(4905,745,-0.000126,-0.53477),(4905,755,-5.2e-05,-0.53524),(4905,765,2.1e-05,-0.5357),(4905,775,0.0001,-0.53617),(4905,785,0.000193,-0.53663),(4905,795,0.000286,-0.53709),(4905,805,0.000379,-0.53753),(4905,815,0.000448,-0.53796),(4905,825,0.000465,-0.5384),(4905,835,0.000482,-0.53884),(4905,845,0.000499,-0.5393),(4905,855,0.000488,-0.53975),(4905,865,0.000423,-0.54021),(4905,875,0.000357,-0.54069),(4905,885,0.000292,-0.5412),(4905,895,0.000229,-0.54171),(4905,905,0.000169,-0.54222),(4905,915,0.000109,-0.54273),(4905,925,4.8e-05,-0.54324),(4905,935,-3e-06,-0.54376),(4905,945,-4.4e-05,-0.54427),(4905,955,-8.5e-05,-0.54481),(4905,965,-0.000126,-0.54537),(4905,975,-0.000128,-0.54594),(4905,985,-8.7e-05,-0.5465),(4905,995,-4.5e-05,-0.54704),(4905,1005,-4e-06,-0.54754),(4905,1015,3.2e-05,-0.54805),(4905,1025,6.4e-05,-0.54856),(4905,1035,9.5e-05,-0.54904),(4905,1045,0.000126,-0.54949),(4905,1055,0.000153,-0.54995),(4905,1065,0.000175,-0.5504),(4905,1075,0.000197,-0.5509),(4905,1085,0.000219,-0.55142),(4905,1095,0.000353,-0.55194),(4905,1105,0.000565,-0.55247),(4905,1115,0.000777,-0.55297),(4905,1125,0.000989,-0.55345),(4905,1135,0.001403,-0.55393),(4905,1145,0.001936,-0.55442),(4905,1155,0.002469,-0.55486),(4905,1165,0.003003,-0.55528),(4905,1175,0.004044,-0.5557),(4905,1185,0.005339,-0.55612),(4905,1195,0.006633,-0.55598),(4905,1205,0.007927,-0.55559),(4905,1215,0.010678,-0.55521),(4905,1225,0.014031,-0.55482),(4905,1235,0.017385,-0.55091),(4905,1245,0.020738,-0.5457),(4905,1255,0.030528,-0.54048),(4905,1265,0.042493,-0.53526),(4905,1275,0.054458,-0.54319),(4905,1285,0.066423,-0.55512),(4905,1295,0.089691,-0.56704),(4905,1305,0.11602,-0.57896),(4905,1315,0.14234,-0.70357),(4905,1325,0.16866,-0.85513),(4905,1335,0.10274,-1.0067),(4905,1345,0.017472,-1.1582),(4905,1355,-0.067791,-1.0556),(4905,1365,-0.15305,-0.9068),(4905,1375,-0.14623,-0.75803),(4905,1385,-0.12519,-0.60926),(4905,1395,-0.10416,-0.5776),(4905,1405,-0.083125,-0.56099),(4905,1415,-0.068264,-0.54437),(4905,1425,-0.054043,-0.52776),(4905,1435,-0.039823,-0.53382),(4905,1445,-0.025602,-0.54171),(4905,1455,-0.021139,-0.5496),(4905,1465,-0.017237,-0.55749),(4905,1475,-0.013336,-0.55893),(4905,1485,-0.009434,-0.56014),(4905,1495,-0.007966,-0.56135),(4905,1505,-0.006535,-0.56256),(4905,1515,-0.005104,-0.56253),(4905,1525,-0.003695,-0.56251),(4905,1535,-0.003139,-0.56248),(4905,1545,-0.002583,-0.56245),(4905,1555,-0.002027,-0.56235),(4905,1565,-0.001497,-0.56225),(4905,1575,-0.001326,-0.56215),(4905,1585,-0.001155,-0.56204),(4905,1595,-0.000984,-0.56193),(4905,1605,-0.000829,-0.56181),(4905,1615,-0.000807,-0.5617),(4905,1625,-0.000786,-0.56158),(4905,1635,-0.000765,-0.56143),(4905,1645,-0.000753,-0.56128),(4905,1655,-0.0008,-0.56113),(4905,1665,-0.000848,-0.56099),(4905,1675,-0.000895,-0.56086),(4905,1685,-0.000937,-0.56074),(4905,1695,-0.000958,-0.56061),(4905,1705,-0.000979,-0.56048),(4905,1715,-0.001,-0.56035),(4905,1725,-0.001007,-0.56022),(4905,1735,-0.000964,-0.56009),(4905,1745,-0.000921,-0.55996),(4905,1755,-0.000879,-0.5598),(4905,1765,-0.000829,-0.55965),(4905,1775,-0.00076,-0.5595),(4905,1785,-0.00069,-0.55936),(4905,1795,-0.000621,-0.55925),(4905,1805,-0.000557,-0.55913),(4905,1815,-0.000504,-0.55902),(4905,1825,-0.000452,-0.55891),(4905,1835,-0.000399,-0.55881),(4905,1845,-0.000365,-0.55872),(4905,1855,-0.000367,-0.55862),(4905,1865,-0.000368,-0.55855),(4905,1875,-0.00037,-0.55851),(4905,1885,-0.000363,-0.55847),(4905,1895,-0.000344,-0.55843),(4905,1905,-0.000324,-0.55842),(4905,1915,-0.000304,-0.55844),(4905,1925,-0.000262,-0.55846),(4905,1935,-0.000191,-0.55849),(4905,1945,-0.000119,-0.55852),(4905,1955,-4.7e-05,-0.55858),(4905,1965,3e-05,-0.55863),(4905,1975,0.000112,-0.55868),(4905,1985,0.000194,-0.55877),(4905,1995,0.000277,-0.5589),(4905,2005,0.000357,-0.55902),(4905,2015,0.000435,-0.55915),(4905,2025,0.000514,-0.55931),(4905,2035,0.000592,-0.5595),(4905,2045,0.000641,-0.5597),(4905,2055,0.000665,-0.55989),(4905,2065,0.000689,-0.56013),(4905,2075,0.000713,-0.56038),(4905,2085,0.000705,-0.56064),(4905,2095,0.000673,-0.5609),(4905,2105,0.000641,-0.56121),(4905,2115,0.000608,-0.56154),(4905,2125,0.000571,-0.56188),(4905,2135,0.000531,-0.56222),(4905,2145,0.00049,-0.56259),(4905,2155,0.00045,-0.56299),(4905,2165,0.000412,-0.56339),(4905,2175,0.000376,-0.56378),(4905,2185,0.000341,-0.56423),(4905,2195,0.000305,-0.56469),(4905,2205,0.00031,-0.56515),(4905,2215,0.000332,-0.56561),(4905,2225,0.000354,-0.56612),(4905,2235,0.000377,-0.56664),(4905,2245,0.000485,-0.56716),(4905,2255,0.000625,-0.56768),(4905,2265,0.000764,-0.56823),(4905,2275,0.000903,-0.56879),(4905,2285,0.001113,-0.56935),(4905,2295,0.001345,-0.5699),(4905,2305,0.001576,-0.57049),(4905,2315,0.001807,-0.57108),(4905,2325,0.002048,-0.57168),(4905,2335,0.00229,-0.57227),(4905,2345,0.002533,-0.5729),(4905,2355,0.002776,-0.57354),(4905,2365,0.002935,-0.57418),(4905,2375,0.00308,-0.57482),(4905,2385,0.003226,-0.57551),(4905,2395,0.003371,-0.5762),(4905,2405,0.003397,-0.57689),(4905,2415,0.003408,-0.57758),(4905,2425,0.00342,-0.57832),(4905,2435,0.003431,-0.57907),(4905,2445,0.003405,-0.57982),(4905,2455,0.003377,-0.58057),(4905,2465,0.003349,-0.58137),(4905,2475,0.00332,-0.58218),(4905,2485,0.003368,-0.58299),(4905,2495,0.003418,-0.58379),(4905,2505,0.003468,-0.58464),(4905,2515,0.00352,-0.58549),(4905,2525,0.003688,-0.58634),(4905,2535,0.003856,-0.58719),(4905,2545,0.004025,-0.58803),(4905,2555,0.004198,-0.58888),(4905,2565,0.004468,-0.58973),(4905,2575,0.004738,-0.59058),(4905,2585,0.005007,-0.59141),(4905,2595,0.005282,-0.59224),(4905,2605,0.005611,-0.59307),(4905,2615,0.00594,-0.59389),(4905,2625,0.006269,-0.59471),(4905,2635,0.006598,-0.59554),(4905,2645,0.006923,-0.59636),(4905,2655,0.007247,-0.59718),(4905,2665,0.007572,-0.59798),(4905,2675,0.00789,-0.59879),(4905,2685,0.008177,-0.59959),(4905,2695,0.008463,-0.60039),(4905,2705,0.00875,-0.60115),(4905,2715,0.009033,-0.60191),(4905,2725,0.009305,-0.60267),(4905,2735,0.009577,-0.60343),(4905,2745,0.009849,-0.60415),(4905,2755,0.010123,-0.60487),(4905,2765,0.010403,-0.6056),(4905,2775,0.010683,-0.60632),(4905,2785,0.010963,-0.60701),(4905,2795,0.011244,-0.6077),(4905,2805,0.011527,-0.6084),(4905,2815,0.01181,-0.60908),(4905,2825,0.012093,-0.60975),(4905,2835,0.012389,-0.61041),(4905,2845,0.012711,-0.61107),(4905,2855,0.013032,-0.61172),(4905,2865,0.013353,-0.61234),(4905,2875,0.013694,-0.61296),(4905,2885,0.014067,-0.61357),(4905,2895,0.014441,-0.61418),(4905,2905,0.014815,-0.61475),(4905,2915,0.0152,-0.61533),(4905,2925,0.015601,-0.61591),(4905,2935,0.016003,-0.61646),(4905,2945,0.016404,-0.61699),(4905,2955,0.016816,-0.61752),(4905,2965,0.01724,-0.61805),(4905,2975,0.017665,-0.61855),(4905,2985,0.01809,-0.61901),(4905,2995,0.018526,-0.61948),(4905,3005,0.018976,-0.61994),(4905,3015,0.019426,-0.62038),(4905,3025,0.019876,-0.62079),(4905,3035,0.020323,-0.6212),(4905,3045,0.020769,-0.62162),(4905,3055,0.021215,-0.62201),(4905,3065,0.02166,-0.62237),(4905,3075,0.022079,-0.62274),(4905,3085,0.022478,-0.62311),(4905,3095,0.022877,-0.62342),(4905,3105,0.023275,-0.62371),(4905,3115,0.023647,-0.62399),(4905,3125,0.024001,-0.62428),(4905,3135,0.024356,-0.62453),(4905,3145,0.02471,-0.62475),(4905,3155,0.025067,-0.62498),(4905,3165,0.025426,-0.6252),(4905,3175,0.025784,-0.62538),(4905,3185,0.026143,-0.62555),(4905,3195,0.026523,-0.62571),(4905,3205,0.026913,-0.62587),(4905,3215,0.027303,-0.62598),(4905,3225,0.027694,-0.62606),(4905,3235,0.028118,-0.62613),(4905,3245,0.028556,-0.62621),(4905,3255,0.028993,-0.62623),(4905,3265,0.02943,-0.62623),(4905,3275,0.029885,-0.62623),(4905,3285,0.030344,-0.62623),(4905,3295,0.030803,-0.62614),(4905,3305,0.031263,-0.62603),(4905,3315,0.031707,-0.62593),(4905,3325,0.032148,-0.62582),(4905,3335,0.032589,-0.62558),(4905,3345,0.03303,-0.62532),(4905,3355,0.03346,-0.62505),(4905,3365,0.033887,-0.62479),(4905,3375,0.034314,-0.62441),(4905,3385,0.034742,-0.624),(4905,3395,0.035125,-0.6236),(4905,3405,0.035502,-0.6232),(4905,3415,0.03588,-0.62268),(4905,3425,0.036257,-0.62215),(4905,3435,0.036539,-0.62162),(4905,3445,0.036814,-0.6211),(4905,3455,0.037089,-0.62041),(4905,3465,0.037364,-0.61972),(4905,3475,0.037594,-0.61903),(4905,3485,0.037822,-0.61834),(4905,3495,0.03805,-0.61747),(4905,3505,0.038278,-0.61659),(4905,3515,0.038519,-0.61572),(4905,3525,0.03876,-0.61484),(4905,3535,0.039001,-0.61376),(4905,3545,0.039244,-0.61269),(4905,3555,0.039527,-0.61162),(4905,3565,0.03981,-0.61053),(4905,3575,0.040093,-0.60925),(4905,3585,0.040381,-0.60797),(4905,3595,0.040716,-0.60668),(4905,3605,0.041051,-0.60538),(4905,3615,0.041387,-0.60385),(4905,3625,0.041721,-0.60233),(4905,3635,0.042047,-0.6008),(4905,3645,0.042373,-0.59923),(4905,3655,0.042699,-0.59742),(4905,3665,0.043012,-0.59561),(4905,3675,0.04326,-0.5938),(4905,3685,0.043509,-0.59193),(4905,3695,0.043758,-0.58981),(4905,3705,0.043978,-0.58769),(4905,3715,0.04409,-0.58556),(4905,3725,0.044203,-0.58337),(4905,3735,0.044315,-0.58091),(4905,3745,0.044394,-0.57846),(4905,3755,0.044372,-0.57601),(4905,3765,0.044349,-0.57347),(4905,3775,0.044327,-0.57068),(4905,3785,0.044294,-0.56788),(4905,3795,0.044234,-0.56509),(4905,3805,0.044175,-0.5622),(4905,3815,0.044116,-0.55905),(4905,3825,0.04415,-0.5559),(4905,3835,0.044383,-0.55276),(4905,3845,0.044616,-0.54946),(4905,3855,0.044849,-0.54588),(4905,3865,0.045476,-0.54229),(4905,3875,0.046801,-0.53871),(4905,3885,0.048125,-0.53474),(4905,3895,0.04945,-0.53015),(4905,3905,0.051877,-0.52556),(4905,3915,0.055952,-0.52097),(4905,3925,0.060027,-0.51491),(4905,3935,0.064101,-0.50682),(4905,3945,0.071008,-0.49872),(4905,3955,0.081508,-0.49063),(4905,3965,0.092009,-0.48803),(4905,3975,0.10251,-0.49186),(4905,3985,0.12295,-0.4957),(4905,3995,0.15414,-0.49953),(4905,4005,0.18533,-0.57843),(4905,4015,0.21652,-0.73238),(4905,4025,0.28764,-0.88634),(4905,4035,0.36268,-0.98736),(4905,4045,0.43771,-0.97682),(4905,4055,0.55063,-0.96627),(4905,4065,0.67738,-0.95497),(4905,4075,0.80412,-0.93914),(4905,4085,0.87648,-0.92331),(4905,4095,0.90515,-0.90748),(4905,4105,0.93382,-0.8917),(4905,4115,0.96025,-0.87593),(4905,4125,0.983,-0.86015),(4905,4135,1.0057,-0.84455),(4905,4145,1.0277,-0.82899),(4905,4155,1.0465,-0.81343),(4905,4165,1.0654,-0.79805),(4905,4175,1.0841,-0.78279),(4905,4185,1.1,-0.76753),(4905,4195,1.1159,-0.75249),(4905,4205,1.1318,-0.73775),(4905,4215,1.1457,-0.72301),(4905,4225,1.1592,-0.70837),(4905,4235,1.1728,-0.69406),(4905,4245,1.1851,-0.67975),(4905,4255,1.1967,-0.66547),(4905,4265,1.2083,-0.65164),(4905,4275,1.2191,-0.63781),(4905,4285,1.2291,-0.62398),(4905,4295,1.2391,-0.61068),(4905,4305,1.2486,-0.59744),(4905,4315,1.2571,-0.5842),(4905,4325,1.2657,-0.57138),(4905,4335,1.2741,-0.55873),(4905,4345,1.2814,-0.54607),(4905,4355,1.2887,-0.53374),(4905,4365,1.296,-0.52168),(4905,4375,1.3023,-0.50962),(4905,4385,1.3085,-0.49778),(4905,4395,1.3147,-0.48635),(4905,4405,1.3202,-0.47491),(4905,4415,1.3254,-0.4636),(4905,4425,1.3307,-0.45282),(4905,4435,1.3354,-0.44204),(4905,4445,1.3398,-0.43126),(4905,4455,1.3442,-0.42117),(4905,4465,1.3483,-0.41107),(4905,4475,1.352,-0.40098),(4905,4485,1.3556,-0.3914),(4905,4495,1.3591,-0.38193),(4905,4505,1.3621,-0.37246),(4905,4515,1.3652,-0.36342),(4905,4525,1.3682,-0.35461),(4905,4535,1.3707,-0.3458),(4905,4545,1.3732,-0.3373),(4905,4555,1.3757,-0.32913),(4905,4565,1.3778,-0.32096),(4905,4575,1.3798,-0.31299),(4905,4585,1.3818,-0.30548),(4905,4595,1.3836,-0.29798),(4905,4605,1.3853,-0.29054),(4905,4615,1.387,-0.28364),(4905,4625,1.3885,-0.27675),(4905,4635,1.3899,-0.26985),(4905,4645,1.3913,-0.26353),(4905,4655,1.3926,-0.25725),(4905,4665,1.3938,-0.25098),(4905,4675,1.395,-0.24516),(4905,4685,1.3961,-0.2395),(4905,4695,1.3972,-0.23383),(4905,4705,1.3982,-0.22854),(4905,4715,1.3992,-0.22351),(4905,4725,1.4002,-0.21848),(4905,4735,1.4011,-0.21369),(4905,4745,1.402,-0.20928),(4905,4755,1.403,-0.20486),(4905,4765,1.4039,-0.20058),(4905,4775,1.4048,-0.19679),(4905,4785,1.4057,-0.19299),(4905,4795,1.4067,-0.18922),(4905,4805,1.4076,-0.18604),(4905,4815,1.4086,-0.18285),(4905,4825,1.4096,-0.17966),(4905,4835,1.4107,-0.177),(4905,4845,1.4118,-0.17443),(4905,4855,1.413,-0.17185),(4905,4865,1.4142,-0.1697),(4905,4875,1.4154,-0.16776),(4905,4885,1.4169,-0.16582),(4905,4895,1.4184,-0.16419),(4905,4905,1.4198,-0.16287),(4905,4915,1.4215,-0.16155),(4905,4925,1.4233,-0.16041),(4905,4935,1.425,-0.15965),(4905,4945,1.427,-0.1589),(4905,4955,1.4291,-0.15822),(4905,4965,1.4311,-0.15798),(4905,4975,1.4334,-0.15774),(4905,4985,1.4358,-0.1575),(4905,4995,1.4382,-0.15767),(4905,5005,1.4408,-0.15785),(4905,5015,1.4435,-0.15802),(4905,5025,1.4463,-0.15845),(4905,5035,1.4491,-0.15894),(4905,5045,1.4521,-0.15944),(4905,5055,1.4551,-0.16003),(4905,5065,1.4581,-0.16068),(4905,5075,1.4612,-0.16134),(4905,5085,1.4643,-0.16198),(4905,5095,1.4674,-0.1626),(4905,5105,1.4706,-0.16322),(4905,5115,1.4737,-0.16382),(4905,5125,1.4769,-0.16433),(4905,5135,1.4799,-0.16485),(4905,5145,1.483,-0.16535),(4905,5155,1.4861,-0.16565),(4905,5165,1.489,-0.16595),(4905,5175,1.4919,-0.16625),(4905,5185,1.4947,-0.16627),(4905,5195,1.4975,-0.16626),(4905,5205,1.5,-0.16625),(4905,5215,1.5025,-0.16599),(4905,5225,1.5049,-0.16564),(4905,5235,1.5068,-0.16529),(4905,5245,1.5088,-0.16475),(4905,5255,1.5108,-0.16405),(4905,5265,1.5122,-0.16336),(4905,5275,1.5136,-0.16257),(4905,5285,1.515,-0.16165),(4905,5295,1.516,-0.16072),(4905,5305,1.5169,-0.15978),(4905,5315,1.5177,-0.15879),(4905,5325,1.5183,-0.15781),(4905,5335,1.5188,-0.15683),(4905,5345,1.5192,-0.15598),(4905,5355,1.5196,-0.15514),(4905,5365,1.5198,-0.15429),(4905,5375,1.5199,-0.15372),(4905,5385,1.5201,-0.15321),(4905,5395,1.5202,-0.1527),(4905,5405,1.5203,-0.15252),(4905,5415,1.5204,-0.1525),(4905,5425,1.5206,-0.15249),(4905,5435,1.5208,-0.15277),(4905,5445,1.521,-0.15339),(4905,5455,1.5215,-0.154),(4905,5465,1.522,-0.15486),(4905,5475,1.5225,-0.15626),(4905,5485,1.5234,-0.15766),(4905,5495,1.5244,-0.15918),(4905,5505,1.5254,-0.16149),(4905,5515,1.5267,-0.1638),(4905,5525,1.5284,-0.16612),(4905,5535,1.5301,-0.16939),(4905,5545,1.5321,-0.17272),(4905,5555,1.5347,-0.17605),(4905,5565,1.5373,-0.18025),(4905,5575,1.5401,-0.18472),(4905,5585,1.5439,-0.18918),(4905,5595,1.5476,-0.19439),(4905,5605,1.5513,-0.20011),(4905,5615,1.5564,-0.20583),(4905,5625,1.5615,-0.21205),(4905,5635,1.5666,-0.21898),(4905,5645,1.5729,-0.22592),(4905,5655,1.5795,-0.23311),(4905,5665,1.5861,-0.24117),(4905,5675,1.5938,-0.24922),(4905,5685,1.6021,-0.25732),(4905,5695,1.6104,-0.26622),(4905,5705,1.6196,-0.27513),(4905,5715,1.6296,-0.28403),(4905,5725,1.6397,-0.2933),(4905,5735,1.6502,-0.30263),(4905,5745,1.6619,-0.31196),(4905,5755,1.6736,-0.32116),(4905,5765,1.6854,-0.3303),(4905,5775,1.6985,-0.33945),(4905,5785,1.7115,-0.34811),(4905,5795,1.7245,-0.35633),(4905,5805,1.7382,-0.36455),(4905,5815,1.752,-0.37217),(4905,5825,1.7657,-0.37864),(4905,5835,1.7795,-0.38511),(4905,5845,1.7932,-0.3912),(4905,5855,1.8069,-0.39537),(4905,5865,1.8202,-0.39955),(4905,5875,1.8332,-0.40372),(4905,5885,1.8462,-0.40544),(4905,5895,1.8587,-0.40713),(4905,5905,1.8705,-0.40881),(4905,5915,1.8822,-0.40863),(4905,5925,1.8937,-0.40799),(4905,5935,1.904,-0.40735),(4905,5945,1.9143,-0.40554),(4905,5955,1.9245,-0.40303),(4905,5965,1.9335,-0.40052),(4905,5975,1.9424,-0.3974),(4905,5985,1.9514,-0.39354),(4905,5995,1.9594,-0.38968),(4905,6005,1.9673,-0.38557),(4905,6015,1.9752,-0.38081),(4905,6025,1.9826,-0.37605),(4905,6035,1.9897,-0.37123),(4905,6045,1.9968,-0.3659),(4905,6055,2.0036,-0.36056),(4905,6065,2.0101,-0.35522),(4905,6075,2.0167,-0.3495),(4905,6085,2.0231,-0.34374),(4905,6095,2.0292,-0.33798),(4905,6105,2.0353,-0.33196),(4905,6115,2.0413,-0.32585),(4905,6125,2.0471,-0.31974),(4905,6135,2.0528,-0.3135),(4905,6145,2.0585,-0.30714),(4905,6155,2.0638,-0.30078),(4905,6165,2.0692,-0.29435),(4905,6175,2.0745,-0.2878),(4905,6185,2.0796,-0.28125),(4905,6195,2.0845,-0.27467),(4905,6205,2.0895,-0.26799),(4905,6215,2.0942,-0.26131),(4905,6225,2.0988,-0.25462),(4905,6235,2.1034,-0.24777),(4905,6245,2.1078,-0.24092),(4905,6255,2.112,-0.23407),(4905,6265,2.1162,-0.22717),(4905,6275,2.1203,-0.22026),(4905,6285,2.124,-0.21335),(4905,6295,2.1278,-0.20641),(4905,6305,2.1315,-0.19946),(4905,6315,2.1349,-0.1925),(4905,6325,2.1383,-0.18553),(4905,6335,2.1416,-0.17852),(4905,6345,2.1446,-0.17152),(4905,6355,2.1476,-0.16451),(4905,6365,2.1506,-0.1575),(4905,6375,2.1532,-0.1505),(4905,6385,2.1558,-0.1435),(4905,6395,2.1584,-0.13656),(4905,6405,2.1607,-0.12961),(4905,6415,2.1629,-0.12267),(4905,6425,2.165,-0.11571),(4905,6435,2.1671,-0.10875),(4905,6445,2.1688,-0.10179),(4905,6455,2.1706,-0.094877),(4905,6465,2.1723,-0.087971),(4905,6475,2.1737,-0.081066),(4905,6485,2.1751,-0.074167),(4905,6495,2.1765,-0.067273),(4905,6505,2.1775,-0.060379),(4905,6515,2.1786,-0.053503),(4905,6525,2.1796,-0.046654),(4905,6535,2.1803,-0.039804),(4905,6545,2.181,-0.032951),(4905,6555,2.1816,-0.026088),(4905,6565,2.182,-0.019226),(4905,6575,2.1823,-0.012365),(4905,6585,2.1826,-0.005534),(4905,6595,1.8568,0.001298),(4905,6605,1.1708,0.008129),(4905,6615,0.48489,0.008908),(4905,6625,0.002687,0.00891),(4905,6635,0.002656,0.008911),(4905,6645,0.002624,0.008924),(4905,6655,0.002593,0.008941),(4905,6665,0.002565,0.008958),(4905,6675,0.002538,0.008974),(4905,6685,0.00251,0.008988),(4905,6695,0.002486,0.009003),(4905,6705,0.002462,0.009017),(4905,6715,0.002438,0.009029),(4905,6725,0.002417,0.009041),(4905,6735,0.002396,0.009052),(4905,6745,0.002375,0.009063),(4905,6755,0.002356,0.009073),(4905,6765,0.002338,0.009083),(4905,6775,0.00232,0.009091),(4905,6785,0.002303,0.0091),(4905,6795,0.002288,0.009108),(4905,6805,0.002273,0.009115),(4905,6815,0.002258,0.009122),(4905,6825,0.002245,0.009129),(4905,6835,0.002231,0.009135),(4905,6845,0.002218,0.009141),(4905,6855,0.002207,0.009147),(4905,6865,0.002196,0.009152),(4905,6875,0.002184,0.009156),(4905,6885,0.002174,0.009161),(4905,6895,0.002165,0.009166),(4905,6905,0.002155,0.009169),(4905,6915,0.002147,0.009173),(4905,6925,0.002139,0.009176),(4905,6935,0.002131,0.009179),(4905,6945,0.002123,0.009182),(4905,6955,0.002116,0.009184),(4905,6965,0.002109,0.009187),(4905,6975,0.002103,0.009189),(4905,6985,0.002098,0.009191),(4915,5,-3e-05,-0.83681),(4915,15,-9e-05,-0.83689),(4915,25,-0.000112,-0.83697),(4915,35,-0.0001,-0.83705),(4915,45,-8.7e-05,-0.83712),(4915,55,-7.5e-05,-0.83719),(4915,65,-4.8e-05,-0.83725),(4915,75,-1e-05,-0.83732),(4915,85,2.7e-05,-0.83738),(4915,95,6.5e-05,-0.83744),(4915,105,7.7e-05,-0.8375),(4915,115,7.3e-05,-0.83756),(4915,125,6.9e-05,-0.83766),(4915,135,6.5e-05,-0.83779),(4915,145,7.6e-05,-0.83791),(4915,155,9.5e-05,-0.83803),(4915,165,0.000115,-0.83818),(4915,175,0.000134,-0.83836),(4915,185,0.000134,-0.83853),(4915,195,0.000123,-0.8387),(4915,205,0.000113,-0.83889),(4915,215,0.000102,-0.83909),(4915,225,4.4e-05,-0.83929),(4915,235,-3.3e-05,-0.83948),(4915,245,-0.000111,-0.83973),(4915,255,-0.000188,-0.83998),(4915,265,-0.000237,-0.84024),(4915,275,-0.000276,-0.8405),(4915,285,-0.000314,-0.84079),(4915,295,-0.000353,-0.84108),(4915,305,-0.000332,-0.84137),(4915,315,-0.000296,-0.84166),(4915,325,-0.000259,-0.84196),(4915,335,-0.000223,-0.84227),(4915,345,-0.000171,-0.84257),(4915,355,-0.000117,-0.84287),(4915,365,-6.3e-05,-0.8432),(4915,375,-9e-06,-0.84353),(4915,385,1.6e-05,-0.84387),(4915,395,3.6e-05,-0.8442),(4915,405,5.7e-05,-0.84458),(4915,415,7.7e-05,-0.84495),(4915,425,6.7e-05,-0.84533),(4915,435,5.4e-05,-0.8457),(4915,445,4.2e-05,-0.84615),(4915,455,2.9e-05,-0.84661),(4915,465,6.3e-05,-0.84707),(4915,475,9.8e-05,-0.84752),(4915,485,0.000134,-0.84797),(4915,495,0.00017,-0.84843),(4915,505,0.000161,-0.84888),(4915,515,0.000151,-0.84933),(4915,525,0.000141,-0.84981),(4915,535,0.00013,-0.8503),(4915,545,9.6e-05,-0.85078),(4915,555,6.2e-05,-0.85126),(4915,565,2.8e-05,-0.85177),(4915,575,-6e-06,-0.85228),(4915,585,-4e-05,-0.85279),(4915,595,-7.3e-05,-0.85331),(4915,605,-0.000107,-0.8539),(4915,615,-0.000135,-0.85449),(4915,625,-0.000116,-0.85508),(4915,635,-9.8e-05,-0.85568),(4915,645,-7.9e-05,-0.85627),(4915,655,-7.3e-05,-0.85687),(4915,665,-0.000136,-0.85747),(4915,675,-0.000199,-0.85808),(4915,685,-0.000262,-0.85878),(4915,695,-0.000315,-0.85948),(4915,705,-0.000332,-0.86019),(4915,715,-0.000348,-0.8609),(4915,725,-0.000364,-0.86167),(4915,735,-0.000358,-0.86243),(4915,745,-0.000277,-0.8632),(4915,755,-0.000197,-0.86396),(4915,765,-0.000116,-0.8647),(4915,775,-2.3e-05,-0.86545),(4915,785,0.000105,-0.86619),(4915,795,0.000234,-0.86693),(4915,805,0.000362,-0.86765),(4915,815,0.00046,-0.86836),(4915,825,0.000491,-0.86908),(4915,835,0.000523,-0.8698),(4915,845,0.000554,-0.87054),(4915,855,0.000543,-0.87128),(4915,865,0.000455,-0.87202),(4915,875,0.000367,-0.87279),(4915,885,0.000279,-0.87359),(4915,895,0.000198,-0.8744),(4915,905,0.000129,-0.87521),(4915,915,6e-05,-0.87603),(4915,925,-1e-05,-0.87686),(4915,935,-7.7e-05,-0.8777),(4915,945,-0.00014,-0.87853),(4915,955,-0.000204,-0.87939),(4915,965,-0.000268,-0.88029),(4915,975,-0.00027,-0.88119),(4915,985,-0.000203,-0.88208),(4915,995,-0.000135,-0.88295),(4915,1005,-6.7e-05,-0.88377),(4915,1015,-3e-06,-0.8846),(4915,1025,5.8e-05,-0.88543),(4915,1035,0.000119,-0.88622),(4915,1045,0.000179,-0.88697),(4915,1055,0.000199,-0.88773),(4915,1065,0.000185,-0.88848),(4915,1075,0.000171,-0.88928),(4915,1085,0.000157,-0.8901),(4915,1095,0.00028,-0.89092),(4915,1105,0.000498,-0.89175),(4915,1115,0.000715,-0.89254),(4915,1125,0.000933,-0.89332),(4915,1135,0.001351,-0.89409),(4915,1145,0.001889,-0.89486),(4915,1155,0.002426,-0.89556),(4915,1165,0.002963,-0.89623),(4915,1175,0.003852,-0.89689),(4915,1185,0.004916,-0.89756),(4915,1195,0.00598,-0.89773),(4915,1205,0.007044,-0.89767),(4915,1215,0.00876,-0.89762),(4915,1225,0.010746,-0.89756),(4915,1235,0.012731,-0.89481),(4915,1245,0.014717,-0.89106),(4915,1255,0.028625,-0.8873),(4915,1265,0.04656,-0.88355),(4915,1275,0.064495,-0.88505),(4915,1285,0.08243,-0.88815),(4915,1295,0.14369,-0.89125),(4915,1305,0.21667,-0.89434),(4915,1315,0.28965,-0.95351),(4915,1325,0.36262,-1.0261),(4915,1335,0.22133,-1.0987),(4915,1345,0.035129,-1.1712),(4915,1355,-0.15107,-1.1211),(4915,1365,-0.33727,-1.0487),(4915,1375,-0.30605,-0.97628),(4915,1385,-0.24128,-0.90388),(4915,1395,-0.17651,-0.89191),(4915,1405,-0.11173,-0.88771),(4915,1415,-0.085081,-0.88351),(4915,1425,-0.062386,-0.8793),(4915,1435,-0.039691,-0.88475),(4915,1445,-0.016995,-0.89098),(4915,1455,-0.013915,-0.89721),(4915,1465,-0.011964,-0.90343),(4915,1475,-0.010013,-0.9047),(4915,1485,-0.008063,-0.90579),(4915,1495,-0.006929,-0.90688),(4915,1505,-0.005808,-0.90797),(4915,1515,-0.004687,-0.90794),(4915,1525,-0.00358,-0.90791),(4915,1535,-0.003024,-0.90788),(4915,1545,-0.002468,-0.90784),(4915,1555,-0.001911,-0.90769),(4915,1565,-0.00138,-0.90754),(4915,1575,-0.001214,-0.90739),(4915,1585,-0.001048,-0.90724),(4915,1595,-0.000882,-0.90705),(4915,1605,-0.000732,-0.90685),(4915,1615,-0.000713,-0.90666),(4915,1625,-0.000695,-0.90646),(4915,1635,-0.000677,-0.90622),(4915,1645,-0.000671,-0.90598),(4915,1655,-0.000737,-0.90574),(4915,1665,-0.000804,-0.9055),(4915,1675,-0.00087,-0.90529),(4915,1685,-0.00093,-0.90508),(4915,1695,-0.000958,-0.90487),(4915,1705,-0.000987,-0.90466),(4915,1715,-0.001016,-0.90444),(4915,1725,-0.001026,-0.90423),(4915,1735,-0.000974,-0.90401),(4915,1745,-0.000921,-0.90379),(4915,1755,-0.000868,-0.90355),(4915,1765,-0.000811,-0.90331),(4915,1775,-0.000744,-0.90307),(4915,1785,-0.000676,-0.90284),(4915,1795,-0.000609,-0.90266),(4915,1805,-0.000544,-0.90247),(4915,1815,-0.000488,-0.90228),(4915,1825,-0.000431,-0.90211),(4915,1835,-0.000374,-0.90195),(4915,1845,-0.00034,-0.9018),(4915,1855,-0.000349,-0.90165),(4915,1865,-0.000359,-0.90153),(4915,1875,-0.000368,-0.90146),(4915,1885,-0.000367,-0.90139),(4915,1895,-0.000348,-0.90132),(4915,1905,-0.00033,-0.90129),(4915,1915,-0.000311,-0.90132),(4915,1925,-0.000264,-0.90136),(4915,1935,-0.000177,-0.90139),(4915,1945,-8.9e-05,-0.90145),(4915,1955,-2e-06,-0.90154),(4915,1965,8e-05,-0.90163),(4915,1975,0.000158,-0.90172),(4915,1985,0.000235,-0.90187),(4915,1995,0.000312,-0.90206),(4915,2005,0.000387,-0.90226),(4915,2015,0.000461,-0.90245),(4915,2025,0.000535,-0.90271),(4915,2035,0.000609,-0.90302),(4915,2045,0.000655,-0.90333),(4915,2055,0.000677,-0.90364),(4915,2065,0.0007,-0.90401),(4915,2075,0.000722,-0.90442),(4915,2085,0.000707,-0.90484),(4915,2095,0.000665,-0.90526),(4915,2105,0.000622,-0.90574),(4915,2115,0.00058,-0.90628),(4915,2125,0.000539,-0.90681),(4915,2135,0.0005,-0.90735),(4915,2145,0.00046,-0.90795),(4915,2155,0.00042,-0.9086),(4915,2165,0.000384,-0.90924),(4915,2175,0.000349,-0.90989),(4915,2185,0.000314,-0.9106),(4915,2195,0.000279,-0.91135),(4915,2205,0.000281,-0.9121),(4915,2215,0.000301,-0.91285),(4915,2225,0.00032,-0.91367),(4915,2235,0.000339,-0.91451),(4915,2245,0.000452,-0.91535),(4915,2255,0.0006,-0.91619),(4915,2265,0.000747,-0.91708),(4915,2275,0.000894,-0.91798),(4915,2285,0.001113,-0.91888),(4915,2295,0.001352,-0.91978),(4915,2305,0.001592,-0.92072),(4915,2315,0.001832,-0.92167),(4915,2325,0.002075,-0.92263),(4915,2335,0.00232,-0.92358),(4915,2345,0.002564,-0.92459),(4915,2355,0.002809,-0.92561),(4915,2365,0.002964,-0.92663),(4915,2375,0.003105,-0.92765),(4915,2385,0.003246,-0.92874),(4915,2395,0.003387,-0.92984),(4915,2405,0.003402,-0.93094),(4915,2415,0.003403,-0.93204),(4915,2425,0.003404,-0.93323),(4915,2435,0.003405,-0.93442),(4915,2445,0.003371,-0.93561),(4915,2455,0.003335,-0.9368),(4915,2465,0.003299,-0.93809),(4915,2475,0.003263,-0.93938),(4915,2485,0.003315,-0.94068),(4915,2495,0.003369,-0.94197),(4915,2505,0.003423,-0.94334),(4915,2515,0.003479,-0.94471),(4915,2525,0.003656,-0.94609),(4915,2535,0.003832,-0.94746),(4915,2545,0.004009,-0.94883),(4915,2555,0.004191,-0.9502),(4915,2565,0.004461,-0.95158),(4915,2575,0.004731,-0.95295),(4915,2585,0.005001,-0.95428),(4915,2595,0.005276,-0.95562),(4915,2605,0.005603,-0.95695),(4915,2615,0.005931,-0.95829),(4915,2625,0.006258,-0.95961),(4915,2635,0.006584,-0.96093),(4915,2645,0.006907,-0.96225),(4915,2655,0.00723,-0.96356),(4915,2665,0.007553,-0.96486),(4915,2675,0.007869,-0.96615),(4915,2685,0.008151,-0.96744),(4915,2695,0.008433,-0.96872),(4915,2705,0.008715,-0.96994),(4915,2715,0.008994,-0.97115),(4915,2725,0.009263,-0.97237),(4915,2735,0.009532,-0.97357),(4915,2745,0.0098,-0.97473),(4915,2755,0.010073,-0.97588),(4915,2765,0.010357,-0.97704),(4915,2775,0.010642,-0.97818),(4915,2785,0.010926,-0.9793),(4915,2795,0.011208,-0.98042),(4915,2805,0.011486,-0.98153),(4915,2815,0.011764,-0.98263),(4915,2825,0.012042,-0.9837),(4915,2835,0.012331,-0.98476),(4915,2845,0.012644,-0.98582),(4915,2855,0.012957,-0.98686),(4915,2865,0.01327,-0.98785),(4915,2875,0.013605,-0.98884),(4915,2885,0.013977,-0.98983),(4915,2895,0.014349,-0.99079),(4915,2905,0.014721,-0.99172),(4915,2915,0.015105,-0.99265),(4915,2925,0.015505,-0.99358),(4915,2935,0.015905,-0.99448),(4915,2945,0.016305,-0.99533),(4915,2955,0.016714,-0.99618),(4915,2965,0.017135,-0.99704),(4915,2975,0.017556,-0.99784),(4915,2985,0.017977,-0.99858),(4915,2995,0.018408,-0.99933),(4915,3005,0.018851,-1.0001),(4915,3015,0.019293,-1.0008),(4915,3025,0.019735,-1.0014),(4915,3035,0.020177,-1.0021),(4915,3045,0.020619,-1.0028),(4915,3055,0.021061,-1.0034),(4915,3065,0.021503,-1.004),(4915,3075,0.021925,-1.0046),(4915,3085,0.022332,-1.0051),(4915,3095,0.022739,-1.0057),(4915,3105,0.023146,-1.0061),(4915,3115,0.023524,-1.0066),(4915,3125,0.023883,-1.007),(4915,3135,0.024241,-1.0074),(4915,3145,0.0246,-1.0078),(4915,3155,0.024958,-1.0082),(4915,3165,0.025316,-1.0085),(4915,3175,0.025674,-1.0088),(4915,3185,0.026032,-1.0091),(4915,3195,0.026404,-1.0094),(4915,3205,0.026781,-1.0097),(4915,3215,0.027158,-1.0098),(4915,3225,0.027535,-1.01),(4915,3235,0.027944,-1.0101),(4915,3245,0.028363,-1.0102),(4915,3255,0.028783,-1.0103),(4915,3265,0.029203,-1.0103),(4915,3275,0.029649,-1.0103),(4915,3285,0.030102,-1.0103),(4915,3295,0.030556,-1.0102),(4915,3305,0.03101,-1.01),(4915,3315,0.031448,-1.0099),(4915,3325,0.031882,-1.0097),(4915,3335,0.032316,-1.0093),(4915,3345,0.03275,-1.0089),(4915,3355,0.03317,-1.0085),(4915,3365,0.033587,-1.0081),(4915,3375,0.034005,-1.0075),(4915,3385,0.034423,-1.0068),(4915,3395,0.034803,-1.0062),(4915,3405,0.035179,-1.0055),(4915,3415,0.035555,-1.0047),(4915,3425,0.035931,-1.0039),(4915,3435,0.036209,-1.003),(4915,3445,0.036479,-1.0022),(4915,3455,0.036749,-1.0011),(4915,3465,0.037019,-0.99996),(4915,3475,0.037247,-0.99885),(4915,3485,0.037474,-0.99774),(4915,3495,0.0377,-0.99634),(4915,3505,0.037926,-0.99493),(4915,3515,0.038171,-0.99352),(4915,3525,0.038415,-0.99211),(4915,3535,0.038659,-0.99039),(4915,3545,0.038905,-0.98867),(4915,3555,0.039181,-0.98695),(4915,3565,0.039458,-0.9852),(4915,3575,0.039734,-0.98314),(4915,3585,0.040014,-0.98107),(4915,3595,0.040341,-0.979),(4915,3605,0.040668,-0.97689),(4915,3615,0.040995,-0.97442),(4915,3625,0.041321,-0.97195),(4915,3635,0.041641,-0.96948),(4915,3645,0.041961,-0.96694),(4915,3655,0.04228,-0.964),(4915,3665,0.042588,-0.96106),(4915,3675,0.042833,-0.95812),(4915,3685,0.043079,-0.95509),(4915,3695,0.043324,-0.95164),(4915,3705,0.043542,-0.94819),(4915,3715,0.043652,-0.94474),(4915,3725,0.043762,-0.94117),(4915,3735,0.043872,-0.93719),(4915,3745,0.043948,-0.93321),(4915,3755,0.043919,-0.92922),(4915,3765,0.04389,-0.92509),(4915,3775,0.043861,-0.92056),(4915,3785,0.043819,-0.91603),(4915,3795,0.043742,-0.9115),(4915,3805,0.043666,-0.90679),(4915,3815,0.04359,-0.90169),(4915,3825,0.043607,-0.89658),(4915,3835,0.043821,-0.89147),(4915,3845,0.044034,-0.88611),(4915,3855,0.044248,-0.88029),(4915,3865,0.044805,-0.87446),(4915,3875,0.045968,-0.86864),(4915,3885,0.047132,-0.86233),(4915,3895,0.048295,-0.85524),(4915,3905,0.050278,-0.84814),(4915,3915,0.053485,-0.84105),(4915,3925,0.056692,-0.83254),(4915,3935,0.059899,-0.8221),(4915,3945,0.068211,-0.81165),(4915,3955,0.083004,-0.8012),(4915,3965,0.097797,-0.79271),(4915,3975,0.11259,-0.78651),(4915,3985,0.16182,-0.78031),(4915,3995,0.24834,-0.77411),(4915,4005,0.33486,-0.80557),(4915,4015,0.42138,-0.87469),(4915,4025,0.43395,-0.94381),(4915,4035,0.4393,-0.98754),(4915,4045,0.44464,-0.97776),(4915,4055,0.53755,-0.96798),(4915,4065,0.66242,-0.95743),(4915,4075,0.78728,-0.94229),(4915,4085,0.85881,-0.92716),(4915,4095,0.88749,-0.91202),(4915,4105,0.91617,-0.8967),(4915,4115,0.94263,-0.88137),(4915,4125,0.96542,-0.86604),(4915,4135,0.9882,-0.85079),(4915,4145,1.0102,-0.83558),(4915,4155,1.0291,-0.82036),(4915,4165,1.048,-0.80529),(4915,4175,1.0669,-0.7903),(4915,4185,1.0829,-0.77532),(4915,4195,1.0988,-0.76053),(4915,4205,1.1148,-0.74602),(4915,4215,1.1289,-0.7315),(4915,4225,1.1425,-0.71709),(4915,4235,1.1562,-0.70298),(4915,4245,1.1686,-0.68886),(4915,4255,1.1804,-0.67479),(4915,4265,1.1921,-0.66114),(4915,4275,1.2031,-0.64749),(4915,4285,1.2132,-0.63384),(4915,4295,1.2233,-0.62071),(4915,4305,1.233,-0.60764),(4915,4315,1.2417,-0.59457),(4915,4325,1.2504,-0.5819),(4915,4335,1.259,-0.56938),(4915,4345,1.2665,-0.55687),(4915,4355,1.274,-0.54467),(4915,4365,1.2815,-0.53273),(4915,4375,1.2879,-0.52079),(4915,4385,1.2943,-0.50907),(4915,4395,1.3007,-0.49775),(4915,4405,1.3064,-0.48643),(4915,4415,1.3118,-0.47522),(4915,4425,1.3173,-0.46453),(4915,4435,1.3222,-0.45384),(4915,4445,1.3268,-0.44315),(4915,4455,1.3314,-0.43313),(4915,4465,1.3357,-0.42311),(4915,4475,1.3395,-0.4131),(4915,4485,1.3434,-0.40358),(4915,4495,1.3471,-0.39417),(4915,4505,1.3503,-0.38476),(4915,4515,1.3536,-0.37578),(4915,4525,1.3568,-0.36703),(4915,4535,1.3594,-0.35827),(4915,4545,1.3621,-0.34982),(4915,4555,1.3648,-0.34171),(4915,4565,1.3671,-0.3336),(4915,4575,1.3694,-0.32568),(4915,4585,1.3716,-0.31822),(4915,4595,1.3736,-0.31076),(4915,4605,1.3754,-0.30337),(4915,4615,1.3773,-0.29651),(4915,4625,1.379,-0.28965),(4915,4635,1.3806,-0.2828),(4915,4645,1.3822,-0.27653),(4915,4655,1.3837,-0.2703),(4915,4665,1.3851,-0.26407),(4915,4675,1.3864,-0.25831),(4915,4685,1.3878,-0.25269),(4915,4695,1.389,-0.24707),(4915,4705,1.3902,-0.24182),(4915,4715,1.3914,-0.23683),(4915,4725,1.3925,-0.23185),(4915,4735,1.3937,-0.22712),(4915,4745,1.3948,-0.22275),(4915,4755,1.3959,-0.21838),(4915,4765,1.397,-0.21415),(4915,4775,1.3981,-0.21041),(4915,4785,1.3993,-0.20667),(4915,4795,1.4004,-0.20295),(4915,4805,1.4015,-0.19982),(4915,4815,1.4027,-0.19669),(4915,4825,1.4039,-0.19356),(4915,4835,1.4052,-0.19095),(4915,4845,1.4064,-0.18842),(4915,4855,1.4079,-0.18589),(4915,4865,1.4093,-0.18378),(4915,4875,1.4107,-0.18188),(4915,4885,1.4123,-0.17997),(4915,4895,1.414,-0.17838),(4915,4905,1.4156,-0.17708),(4915,4915,1.4175,-0.17578),(4915,4925,1.4195,-0.17467),(4915,4935,1.4214,-0.17391),(4915,4945,1.4235,-0.17314),(4915,4955,1.4258,-0.17246),(4915,4965,1.428,-0.17219),(4915,4975,1.4304,-0.17192),(4915,4985,1.433,-0.17165),(4915,4995,1.4355,-0.17174),(4915,5005,1.4382,-0.17185),(4915,5015,1.441,-0.17196),(4915,5025,1.4439,-0.17229),(4915,5035,1.4468,-0.17268),(4915,5045,1.4498,-0.17307),(4915,5055,1.4528,-0.17353),(4915,5065,1.4559,-0.17404),(4915,5075,1.459,-0.17455),(4915,5085,1.4621,-0.17504),(4915,5095,1.4652,-0.1755),(4915,5105,1.4683,-0.17597),(4915,5115,1.4714,-0.1764),(4915,5125,1.4745,-0.17676),(4915,5135,1.4775,-0.17711),(4915,5145,1.4805,-0.17745),(4915,5155,1.4835,-0.1776),(4915,5165,1.4864,-0.17774),(4915,5175,1.4891,-0.17789),(4915,5185,1.4919,-0.17778),(4915,5195,1.4945,-0.17763),(4915,5205,1.4969,-0.17749),(4915,5215,1.4992,-0.17713),(4915,5225,1.5015,-0.17669),(4915,5235,1.5034,-0.17625),(4915,5245,1.5052,-0.17565),(4915,5255,1.507,-0.17493),(4915,5265,1.5084,-0.17421),(4915,5275,1.5097,-0.17342),(4915,5285,1.511,-0.17253),(4915,5295,1.5119,-0.17164),(4915,5305,1.5128,-0.17076),(4915,5315,1.5136,-0.16988),(4915,5325,1.5142,-0.169),(4915,5335,1.5147,-0.16813),(4915,5345,1.5152,-0.16744),(4915,5355,1.5156,-0.16676),(4915,5365,1.5159,-0.16607),(4915,5375,1.5162,-0.16571),(4915,5385,1.5164,-0.16541),(4915,5395,1.5167,-0.16511),(4915,5405,1.5169,-0.16515),(4915,5415,1.5172,-0.16538),(4915,5425,1.5176,-0.16561),(4915,5435,1.518,-0.16615),(4915,5445,1.5184,-0.16703),(4915,5455,1.5191,-0.16791),(4915,5465,1.5198,-0.16904),(4915,5475,1.5205,-0.17073),(4915,5485,1.5217,-0.17241),(4915,5495,1.523,-0.17421),(4915,5505,1.5242,-0.17682),(4915,5515,1.5259,-0.17942),(4915,5525,1.5279,-0.18203),(4915,5535,1.53,-0.18558),(4915,5545,1.5323,-0.18918),(4915,5555,1.5353,-0.19278),(4915,5565,1.5382,-0.19722),(4915,5575,1.5414,-0.20191),(4915,5585,1.5455,-0.2066),(4915,5595,1.5496,-0.21198),(4915,5605,1.5538,-0.21785),(4915,5615,1.5592,-0.22372),(4915,5625,1.5647,-0.23003),(4915,5635,1.5702,-0.23699),(4915,5645,1.5769,-0.24395),(4915,5655,1.5839,-0.25113),(4915,5665,1.5909,-0.25904),(4915,5675,1.5989,-0.26694),(4915,5685,1.6075,-0.27489),(4915,5695,1.6161,-0.28343),(4915,5705,1.6254,-0.29198),(4915,5715,1.6357,-0.30052),(4915,5725,1.6459,-0.30923),(4915,5735,1.6565,-0.31797),(4915,5745,1.6682,-0.32671),(4915,5755,1.6798,-0.33518),(4915,5765,1.6916,-0.34353),(4915,5775,1.7043,-0.35188),(4915,5785,1.717,-0.35967),(4915,5795,1.7298,-0.36696),(4915,5805,1.7429,-0.37424),(4915,5815,1.7561,-0.38092),(4915,5825,1.7693,-0.38644),(4915,5835,1.7823,-0.39196),(4915,5845,1.7953,-0.39713),(4915,5855,1.8082,-0.40046),(4915,5865,1.8207,-0.4038),(4915,5875,1.8329,-0.40713),(4915,5885,1.845,-0.40821),(4915,5895,1.8567,-0.40925),(4915,5905,1.8676,-0.41029),(4915,5915,1.8786,-0.40965),(4915,5925,1.8892,-0.4086),(4915,5935,1.8989,-0.40755),(4915,5945,1.9085,-0.40545),(4915,5955,1.9182,-0.40273),(4915,5965,1.9266,-0.4),(4915,5975,1.9351,-0.39673),(4915,5985,1.9436,-0.3928),(4915,5995,1.9513,-0.38886),(4915,6005,1.9589,-0.3847),(4915,6015,1.9665,-0.37995),(4915,6025,1.9736,-0.37519),(4915,6035,1.9805,-0.37038),(4915,6045,1.9874,-0.36509),(4915,6055,1.994,-0.35979),(4915,6065,2.0004,-0.35449),(4915,6075,2.0068,-0.34883),(4915,6085,2.0131,-0.34313),(4915,6095,2.019,-0.33743),(4915,6105,2.025,-0.33148),(4915,6115,2.031,-0.32543),(4915,6125,2.0366,-0.31939),(4915,6135,2.0422,-0.31321),(4915,6145,2.0478,-0.30693),(4915,6155,2.0531,-0.30064),(4915,6165,2.0584,-0.29428),(4915,6175,2.0636,-0.28779),(4915,6185,2.0686,-0.2813),(4915,6195,2.0735,-0.27479),(4915,6205,2.0784,-0.26817),(4915,6215,2.0831,-0.26154),(4915,6225,2.0876,-0.25492),(4915,6235,2.0921,-0.24812),(4915,6245,2.0965,-0.24133),(4915,6255,2.1007,-0.23453),(4915,6265,2.1048,-0.22768),(4915,6275,2.1089,-0.22081),(4915,6285,2.1126,-0.21395),(4915,6295,2.1164,-0.20704),(4915,6305,2.1201,-0.20012),(4915,6315,2.1234,-0.1932),(4915,6325,2.1268,-0.18624),(4915,6335,2.1301,-0.17925),(4915,6345,2.1331,-0.17226),(4915,6355,2.1361,-0.16526),(4915,6365,2.1391,-0.15826),(4915,6375,2.1417,-0.15126),(4915,6385,2.1443,-0.14427),(4915,6395,2.1469,-0.13732),(4915,6405,2.1492,-0.13037),(4915,6415,2.1514,-0.12342),(4915,6425,2.1536,-0.11644),(4915,6435,2.1556,-0.10947),(4915,6445,2.1574,-0.10249),(4915,6455,2.1591,-0.095544),(4915,6465,2.1609,-0.088607),(4915,6475,2.1623,-0.08167),(4915,6485,2.1637,-0.074736),(4915,6495,2.1651,-0.067804),(4915,6505,2.1661,-0.060872),(4915,6515,2.1671,-0.053957),(4915,6525,2.1682,-0.047066),(4915,6535,2.1689,-0.040175),(4915,6545,2.1696,-0.033281),(4915,6555,2.1702,-0.026374),(4915,6565,2.1706,-0.019467),(4915,6575,2.1709,-0.012562),(4915,6585,2.1712,-0.005681),(4915,6595,1.8471,0.0012),(4915,6605,1.1647,0.008082),(4915,6615,0.48236,0.00887),(4915,6625,0.002662,0.008874),(4915,6635,0.002632,0.008879),(4915,6645,0.002601,0.008894),(4915,6655,0.002571,0.008912),(4915,6665,0.002544,0.008931),(4915,6675,0.002518,0.008948),(4915,6685,0.002491,0.008963),(4915,6695,0.002468,0.008979),(4915,6705,0.002445,0.008994),(4915,6715,0.002422,0.009007),(4915,6725,0.002401,0.00902),(4915,6735,0.002381,0.009033),(4915,6745,0.002361,0.009043),(4915,6755,0.002342,0.009054),(4915,6765,0.002325,0.009065),(4915,6775,0.002307,0.009075),(4915,6785,0.002291,0.009084),(4915,6795,0.002276,0.009093),(4915,6805,0.002261,0.009101),(4915,6815,0.002247,0.009108),(4915,6825,0.002234,0.009116),(4915,6835,0.002221,0.009123),(4915,6845,0.002208,0.009129),(4915,6855,0.002197,0.009135),(4915,6865,0.002187,0.009141),(4915,6875,0.002175,0.009146),(4915,6885,0.002166,0.009151),(4915,6895,0.002157,0.009156),(4915,6905,0.002148,0.00916),(4915,6915,0.002139,0.009165),(4915,6925,0.002131,0.009168),(4915,6935,0.002124,0.009172),(4915,6945,0.002116,0.009175),(4915,6955,0.00211,0.009178),(4915,6965,0.002103,0.00918),(4915,6975,0.002097,0.009183),(4915,6985,0.002092,0.009185),(4925,5,-2.1e-05,-1.1553),(4925,15,-6.4e-05,-1.1554),(4925,25,-7.8e-05,-1.1555),(4925,35,-6.7e-05,-1.1556),(4925,45,-5.5e-05,-1.1557),(4925,55,-4.3e-05,-1.1557),(4925,65,-2e-05,-1.1558),(4925,75,1.3e-05,-1.1559),(4925,85,4.5e-05,-1.156),(4925,95,7.8e-05,-1.1561),(4925,105,8.8e-05,-1.1562),(4925,115,8.2e-05,-1.1563),(4925,125,7.6e-05,-1.1564),(4925,135,7e-05,-1.1566),(4925,145,7.7e-05,-1.1568),(4925,155,9.3e-05,-1.1569),(4925,165,0.000108,-1.1571),(4925,175,0.000123,-1.1574),(4925,185,0.000123,-1.1576),(4925,195,0.000116,-1.1578),(4925,205,0.000108,-1.1581),(4925,215,0.0001,-1.1584),(4925,225,5e-05,-1.1587),(4925,235,-1.7e-05,-1.1589),(4925,245,-8.4e-05,-1.1593),(4925,255,-0.000151,-1.1596),(4925,265,-0.000198,-1.16),(4925,275,-0.000237,-1.1603),(4925,285,-0.000276,-1.1607),(4925,295,-0.000316,-1.1611),(4925,305,-0.000303,-1.1615),(4925,315,-0.000277,-1.1619),(4925,325,-0.000252,-1.1623),(4925,335,-0.000226,-1.1628),(4925,345,-0.000181,-1.1632),(4925,355,-0.000132,-1.1636),(4925,365,-8.3e-05,-1.1641),(4925,375,-3.4e-05,-1.1645),(4925,385,-9e-06,-1.165),(4925,395,1.3e-05,-1.1655),(4925,405,3.5e-05,-1.166),(4925,415,5.7e-05,-1.1665),(4925,425,5e-05,-1.167),(4925,435,4.1e-05,-1.1675),(4925,445,3.2e-05,-1.1681),(4925,455,2.3e-05,-1.1688),(4925,465,4.7e-05,-1.1694),(4925,475,7.3e-05,-1.17),(4925,485,9.9e-05,-1.1706),(4925,495,0.000125,-1.1712),(4925,505,0.000111,-1.1719),(4925,515,9.6e-05,-1.1725),(4925,525,8.2e-05,-1.1732),(4925,535,6.7e-05,-1.1738),(4925,545,2.6e-05,-1.1745),(4925,555,-1.6e-05,-1.1752),(4925,565,-5.7e-05,-1.1759),(4925,575,-9.8e-05,-1.1766),(4925,585,-0.000138,-1.1773),(4925,595,-0.000177,-1.178),(4925,605,-0.000216,-1.1788),(4925,615,-0.00025,-1.1796),(4925,625,-0.00024,-1.1804),(4925,635,-0.00023,-1.1812),(4925,645,-0.00022,-1.1821),(4925,655,-0.000219,-1.1829),(4925,665,-0.000266,-1.1837),(4925,675,-0.000313,-1.1846),(4925,685,-0.00036,-1.1856),(4925,695,-0.000398,-1.1865),(4925,705,-0.000399,-1.1875),(4925,715,-0.000401,-1.1885),(4925,725,-0.000402,-1.1895),(4925,735,-0.000385,-1.1906),(4925,745,-0.000307,-1.1916),(4925,755,-0.000229,-1.1927),(4925,765,-0.000152,-1.1937),(4925,775,-6.4e-05,-1.1947),(4925,785,5.2e-05,-1.1958),(4925,795,0.000168,-1.1968),(4925,805,0.000284,-1.1978),(4925,815,0.000374,-1.1988),(4925,825,0.000406,-1.1998),(4925,835,0.000438,-1.2008),(4925,845,0.00047,-1.2018),(4925,855,0.000462,-1.2028),(4925,865,0.000383,-1.2038),(4925,875,0.000303,-1.2049),(4925,885,0.000223,-1.206),(4925,895,0.000147,-1.2071),(4925,905,7.6e-05,-1.2082),(4925,915,5e-06,-1.2093),(4925,925,-6.7e-05,-1.2105),(4925,935,-0.000133,-1.2116),(4925,945,-0.000194,-1.2128),(4925,955,-0.000254,-1.214),(4925,965,-0.000315,-1.2152),(4925,975,-0.000323,-1.2164),(4925,985,-0.000272,-1.2177),(4925,995,-0.000221,-1.2189),(4925,1005,-0.000169,-1.22),(4925,1015,-0.000121,-1.2212),(4925,1025,-7.6e-05,-1.2223),(4925,1035,-3.1e-05,-1.2234),(4925,1045,1.4e-05,-1.2245),(4925,1055,2.6e-05,-1.2255),(4925,1065,1.1e-05,-1.2266),(4925,1075,-4e-06,-1.2277),(4925,1085,-2e-05,-1.2288),(4925,1095,9.1e-05,-1.2299),(4925,1105,0.000288,-1.231),(4925,1115,0.000486,-1.2321),(4925,1125,0.000684,-1.2332),(4925,1135,0.001074,-1.2342),(4925,1145,0.001579,-1.2353),(4925,1155,0.002084,-1.2363),(4925,1165,0.002589,-1.2372),(4925,1175,0.003375,-1.2381),(4925,1185,0.004301,-1.239),(4925,1195,0.005228,-1.2395),(4925,1205,0.006154,-1.2397),(4925,1215,0.007559,-1.24),(4925,1225,0.009162,-1.2403),(4925,1235,0.010765,-1.2387),(4925,1245,0.012368,-1.2364),(4925,1255,0.023882,-1.2341),(4925,1265,0.038744,-1.2318),(4925,1275,0.053605,-1.2269),(4925,1285,0.068466,-1.2212),(4925,1295,0.11725,-1.2155),(4925,1305,0.17521,-1.2097),(4925,1315,0.23317,-1.2034),(4925,1325,0.29113,-1.197),(4925,1335,0.17709,-1.1906),(4925,1345,0.027004,-1.1842),(4925,1355,-0.12308,-1.1866),(4925,1365,-0.27317,-1.1906),(4925,1375,-0.248,-1.1945),(4925,1385,-0.19579,-1.1985),(4925,1395,-0.14358,-1.2062),(4925,1405,-0.091372,-1.2144),(4925,1415,-0.069474,-1.2226),(4925,1425,-0.050724,-1.2308),(4925,1435,-0.031974,-1.2357),(4925,1445,-0.013223,-1.2402),(4925,1455,-0.01091,-1.2448),(4925,1465,-0.009543,-1.2494),(4925,1475,-0.008176,-1.2505),(4925,1485,-0.006809,-1.2514),(4925,1495,-0.005899,-1.2524),(4925,1505,-0.004995,-1.2534),(4925,1515,-0.004091,-1.2533),(4925,1525,-0.003198,-1.2533),(4925,1535,-0.002687,-1.2533),(4925,1545,-0.002177,-1.2532),(4925,1555,-0.001666,-1.253),(4925,1565,-0.001178,-1.2528),(4925,1575,-0.001022,-1.2526),(4925,1585,-0.000866,-1.2524),(4925,1595,-0.000709,-1.2522),(4925,1605,-0.000568,-1.2519),(4925,1615,-0.000561,-1.2516),(4925,1625,-0.000554,-1.2513),(4925,1635,-0.000546,-1.251),(4925,1645,-0.000549,-1.2507),(4925,1655,-0.000612,-1.2503),(4925,1665,-0.000675,-1.25),(4925,1675,-0.000738,-1.2497),(4925,1685,-0.000795,-1.2494),(4925,1695,-0.000823,-1.2491),(4925,1705,-0.000852,-1.2488),(4925,1715,-0.00088,-1.2485),(4925,1725,-0.000893,-1.2482),(4925,1735,-0.000852,-1.2479),(4925,1745,-0.00081,-1.2476),(4925,1755,-0.000769,-1.2473),(4925,1765,-0.000722,-1.247),(4925,1775,-0.00066,-1.2466),(4925,1785,-0.000597,-1.2463),(4925,1795,-0.000535,-1.2461),(4925,1805,-0.000475,-1.2458),(4925,1815,-0.000422,-1.2455),(4925,1825,-0.000369,-1.2453),(4925,1835,-0.000316,-1.2451),(4925,1845,-0.000284,-1.2449),(4925,1855,-0.000296,-1.2447),(4925,1865,-0.000307,-1.2445),(4925,1875,-0.000318,-1.2444),(4925,1885,-0.000321,-1.2443),(4925,1895,-0.00031,-1.2442),(4925,1905,-0.000299,-1.2442),(4925,1915,-0.000289,-1.2442),(4925,1925,-0.00025,-1.2442),(4925,1935,-0.000175,-1.2443),(4925,1945,-9.9e-05,-1.2444),(4925,1955,-2.3e-05,-1.2445),(4925,1965,5.2e-05,-1.2446),(4925,1975,0.000126,-1.2448),(4925,1985,0.0002,-1.245),(4925,1995,0.000273,-1.2452),(4925,2005,0.000347,-1.2455),(4925,2015,0.00042,-1.2458),(4925,2025,0.000494,-1.2461),(4925,2035,0.000567,-1.2465),(4925,2045,0.000616,-1.247),(4925,2055,0.000644,-1.2474),(4925,2065,0.000673,-1.2479),(4925,2075,0.000701,-1.2485),(4925,2085,0.000694,-1.249),(4925,2095,0.00066,-1.2496),(4925,2105,0.000627,-1.2503),(4925,2115,0.000594,-1.251),(4925,2125,0.000561,-1.2517),(4925,2135,0.000529,-1.2525),(4925,2145,0.000497,-1.2533),(4925,2155,0.000464,-1.2542),(4925,2165,0.000438,-1.2551),(4925,2175,0.000416,-1.256),(4925,2185,0.000393,-1.257),(4925,2195,0.000371,-1.258),(4925,2205,0.000382,-1.2591),(4925,2215,0.000409,-1.2601),(4925,2225,0.000436,-1.2612),(4925,2235,0.000462,-1.2624),(4925,2245,0.000571,-1.2635),(4925,2255,0.000709,-1.2647),(4925,2265,0.000847,-1.2659),(4925,2275,0.000985,-1.2672),(4925,2285,0.001188,-1.2684),(4925,2295,0.00141,-1.2697),(4925,2305,0.001632,-1.271),(4925,2315,0.001855,-1.2723),(4925,2325,0.002084,-1.2736),(4925,2335,0.002315,-1.2749),(4925,2345,0.002545,-1.2763),(4925,2355,0.002776,-1.2777),(4925,2365,0.002929,-1.2791),(4925,2375,0.003069,-1.2805),(4925,2385,0.003209,-1.282),(4925,2395,0.003349,-1.2835),(4925,2405,0.003371,-1.285),(4925,2415,0.003379,-1.2865),(4925,2425,0.003387,-1.2881),(4925,2435,0.003395,-1.2898),(4925,2445,0.003368,-1.2914),(4925,2455,0.003338,-1.293),(4925,2465,0.003309,-1.2948),(4925,2475,0.003279,-1.2966),(4925,2485,0.003337,-1.2984),(4925,2495,0.003398,-1.3001),(4925,2505,0.003458,-1.302),(4925,2515,0.003521,-1.3039),(4925,2525,0.003698,-1.3058),(4925,2535,0.003875,-1.3077),(4925,2545,0.004052,-1.3096),(4925,2555,0.004234,-1.3115),(4925,2565,0.004489,-1.3134),(4925,2575,0.004744,-1.3153),(4925,2585,0.004999,-1.3172),(4925,2595,0.005258,-1.319),(4925,2605,0.005564,-1.3208),(4925,2615,0.00587,-1.3227),(4925,2625,0.006176,-1.3245),(4925,2635,0.006483,-1.3263),(4925,2645,0.006796,-1.3281),(4925,2655,0.007109,-1.33),(4925,2665,0.007421,-1.3317),(4925,2675,0.007727,-1.3335),(4925,2685,0.008001,-1.3353),(4925,2695,0.008275,-1.3371),(4925,2705,0.008549,-1.3387),(4925,2715,0.008818,-1.3404),(4925,2725,0.009071,-1.3421),(4925,2735,0.009324,-1.3437),(4925,2745,0.009578,-1.3453),(4925,2755,0.009836,-1.3469),(4925,2765,0.010107,-1.3485),(4925,2775,0.010379,-1.3501),(4925,2785,0.010651,-1.3516),(4925,2795,0.010923,-1.3531),(4925,2805,0.011196,-1.3547),(4925,2815,0.011469,-1.3562),(4925,2825,0.011742,-1.3576),(4925,2835,0.012024,-1.3591),(4925,2845,0.012325,-1.3606),(4925,2855,0.012625,-1.362),(4925,2865,0.012926,-1.3634),(4925,2875,0.013246,-1.3647),(4925,2885,0.013601,-1.3661),(4925,2895,0.013955,-1.3674),(4925,2905,0.01431,-1.3687),(4925,2915,0.014678,-1.37),(4925,2925,0.015065,-1.3713),(4925,2935,0.015451,-1.3725),(4925,2945,0.015838,-1.3737),(4925,2955,0.016231,-1.3748),(4925,2965,0.016632,-1.376),(4925,2975,0.017032,-1.3771),(4925,2985,0.017432,-1.3782),(4925,2995,0.017842,-1.3792),(4925,3005,0.018262,-1.3802),(4925,3015,0.018682,-1.3812),(4925,3025,0.019102,-1.3821),(4925,3035,0.019524,-1.383),(4925,3045,0.019949,-1.3839),(4925,3055,0.020375,-1.3848),(4925,3065,0.0208,-1.3856),(4925,3075,0.021204,-1.3864),(4925,3085,0.021593,-1.3872),(4925,3095,0.021982,-1.3879),(4925,3105,0.02237,-1.3885),(4925,3115,0.022729,-1.3891),(4925,3125,0.023068,-1.3898),(4925,3135,0.023407,-1.3903),(4925,3145,0.023747,-1.3909),(4925,3155,0.024088,-1.3914),(4925,3165,0.02443,-1.3919),(4925,3175,0.024772,-1.3923),(4925,3185,0.025114,-1.3927),(4925,3195,0.025468,-1.3931),(4925,3205,0.025826,-1.3935),(4925,3215,0.026185,-1.3937),(4925,3225,0.026543,-1.3939),(4925,3235,0.026931,-1.3941),(4925,3245,0.027329,-1.3943),(4925,3255,0.027727,-1.3943),(4925,3265,0.028125,-1.3944),(4925,3275,0.028555,-1.3944),(4925,3285,0.028994,-1.3944),(4925,3295,0.029434,-1.3942),(4925,3305,0.029873,-1.394),(4925,3315,0.030295,-1.3938),(4925,3325,0.030712,-1.3936),(4925,3335,0.031129,-1.3931),(4925,3345,0.031546,-1.3925),(4925,3355,0.031945,-1.3919),(4925,3365,0.03234,-1.3914),(4925,3375,0.032734,-1.3905),(4925,3385,0.033129,-1.3896),(4925,3395,0.033499,-1.3887),(4925,3405,0.033865,-1.3878),(4925,3415,0.034231,-1.3867),(4925,3425,0.034597,-1.3856),(4925,3435,0.034874,-1.3844),(4925,3445,0.035143,-1.3832),(4925,3455,0.035413,-1.3817),(4925,3465,0.035682,-1.3802),(4925,3475,0.035897,-1.3787),(4925,3485,0.036111,-1.3771),(4925,3495,0.036324,-1.3752),(4925,3505,0.036537,-1.3733),(4925,3515,0.036763,-1.3713),(4925,3525,0.036989,-1.3694),(4925,3535,0.037214,-1.367),(4925,3545,0.037442,-1.3646),(4925,3555,0.037703,-1.3623),(4925,3565,0.037964,-1.3599),(4925,3575,0.038225,-1.357),(4925,3585,0.03849,-1.3542),(4925,3595,0.0388,-1.3513),(4925,3605,0.03911,-1.3484),(4925,3615,0.03942,-1.345),(4925,3625,0.039728,-1.3416),(4925,3635,0.040024,-1.3382),(4925,3645,0.040319,-1.3347),(4925,3655,0.040615,-1.3306),(4925,3665,0.040898,-1.3265),(4925,3675,0.041119,-1.3224),(4925,3685,0.041339,-1.3183),(4925,3695,0.04156,-1.3135),(4925,3705,0.041755,-1.3087),(4925,3715,0.041853,-1.3039),(4925,3725,0.041951,-1.299),(4925,3735,0.042049,-1.2935),(4925,3745,0.042116,-1.288),(4925,3755,0.042088,-1.2824),(4925,3765,0.042059,-1.2767),(4925,3775,0.042031,-1.2704),(4925,3785,0.041991,-1.2642),(4925,3795,0.04192,-1.2579),(4925,3805,0.04185,-1.2514),(4925,3815,0.041779,-1.2443),(4925,3825,0.041798,-1.2372),(4925,3835,0.042006,-1.2302),(4925,3845,0.042214,-1.2228),(4925,3855,0.042421,-1.2147),(4925,3865,0.042927,-1.2066),(4925,3875,0.043959,-1.1986),(4925,3885,0.044992,-1.1899),(4925,3895,0.046024,-1.1803),(4925,3905,0.04775,-1.1707),(4925,3915,0.050511,-1.1611),(4925,3925,0.053273,-1.1502),(4925,3935,0.056035,-1.1374),(4925,3945,0.063108,-1.1246),(4925,3955,0.075655,-1.1118),(4925,3965,0.088203,-1.0974),(4925,3975,0.10075,-1.0812),(4925,3985,0.13987,-1.0649),(4925,3995,0.20774,-1.0487),(4925,4005,0.27561,-1.0327),(4925,4015,0.34348,-1.017),(4925,4025,0.37462,-1.0013),(4925,4035,0.40217,-0.98772),(4925,4045,0.42971,-0.9787),(4925,4055,0.52713,-0.96968),(4925,4065,0.65005,-0.95988),(4925,4075,0.77297,-0.94544),(4925,4085,0.84351,-0.931),(4925,4095,0.87195,-0.91656),(4925,4105,0.9004,-0.90169),(4925,4115,0.92667,-0.88681),(4925,4125,0.94937,-0.87192),(4925,4135,0.97206,-0.85704),(4925,4145,0.994,-0.84217),(4925,4155,1.0129,-0.8273),(4925,4165,1.0318,-0.81252),(4925,4175,1.0507,-0.79781),(4925,4185,1.0667,-0.7831),(4925,4195,1.0828,-0.76857),(4925,4205,1.0988,-0.75429),(4925,4215,1.1129,-0.74),(4925,4225,1.1267,-0.7258),(4925,4235,1.1405,-0.71189),(4925,4245,1.153,-0.69798),(4925,4255,1.1649,-0.6841),(4925,4265,1.1767,-0.67064),(4925,4275,1.1878,-0.65717),(4925,4285,1.1981,-0.6437),(4925,4295,1.2083,-0.63074),(4925,4305,1.2181,-0.61784),(4925,4315,1.227,-0.60494),(4925,4325,1.2358,-0.59241),(4925,4335,1.2445,-0.58004),(4925,4345,1.2522,-0.56767),(4925,4355,1.2598,-0.5556),(4925,4365,1.2675,-0.54378),(4925,4375,1.2741,-0.53196),(4925,4385,1.2807,-0.52037),(4925,4395,1.2872,-0.50915),(4925,4405,1.2931,-0.49794),(4925,4415,1.2987,-0.48684),(4925,4425,1.3043,-0.47623),(4925,4435,1.3094,-0.46563),(4925,4445,1.3142,-0.45503),(4925,4455,1.319,-0.44509),(4925,4465,1.3234,-0.43515),(4925,4475,1.3275,-0.42521),(4925,4485,1.3315,-0.41576),(4925,4495,1.3354,-0.40641),(4925,4505,1.3388,-0.39706),(4925,4515,1.3422,-0.38813),(4925,4525,1.3456,-0.37944),(4925,4535,1.3485,-0.37074),(4925,4545,1.3514,-0.36235),(4925,4555,1.3543,-0.3543),(4925,4565,1.3568,-0.34624),(4925,4575,1.3592,-0.33838),(4925,4585,1.3616,-0.33096),(4925,4595,1.3638,-0.32354),(4925,4605,1.3658,-0.31619),(4925,4615,1.3679,-0.30938),(4925,4625,1.3698,-0.30256),(4925,4635,1.3716,-0.29575),(4925,4645,1.3734,-0.28953),(4925,4655,1.3751,-0.28335),(4925,4665,1.3766,-0.27717),(4925,4675,1.3782,-0.27145),(4925,4685,1.3797,-0.26587),(4925,4695,1.3811,-0.2603),(4925,4705,1.3825,-0.2551),(4925,4715,1.3839,-0.25016),(4925,4725,1.3852,-0.24523),(4925,4735,1.3865,-0.24054),(4925,4745,1.3878,-0.23622),(4925,4755,1.3891,-0.23189),(4925,4765,1.3904,-0.22771),(4925,4775,1.3917,-0.22403),(4925,4785,1.393,-0.22034),(4925,4795,1.3943,-0.21668),(4925,4805,1.3957,-0.2136),(4925,4815,1.397,-0.21053),(4925,4825,1.3985,-0.20745),(4925,4835,1.3999,-0.20489),(4925,4845,1.4014,-0.20241),(4925,4855,1.4029,-0.19993),(4925,4865,1.4045,-0.19787),(4925,4875,1.4062,-0.196),(4925,4885,1.408,-0.19412),(4925,4895,1.4098,-0.19256),(4925,4905,1.4116,-0.19129),(4925,4915,1.4137,-0.19002),(4925,4925,1.4157,-0.18892),(4925,4935,1.4178,-0.18816),(4925,4945,1.4201,-0.18739),(4925,4955,1.4225,-0.1867),(4925,4965,1.4248,-0.1864),(4925,4975,1.4273,-0.18609),(4925,4985,1.43,-0.18579),(4925,4995,1.4326,-0.18582),(4925,5005,1.4354,-0.18586),(4925,5015,1.4383,-0.1859),(4925,5025,1.4412,-0.18613),(4925,5035,1.4441,-0.18642),(4925,5045,1.4472,-0.1867),(4925,5055,1.4502,-0.18704),(4925,5065,1.4532,-0.1874),(4925,5075,1.4563,-0.18776),(4925,5085,1.4594,-0.1881),(4925,5095,1.4625,-0.1884),(4925,5105,1.4656,-0.18871),(4925,5115,1.4686,-0.18898),(4925,5125,1.4717,-0.18918),(4925,5135,1.4747,-0.18937),(4925,5145,1.4776,-0.18955),(4925,5155,1.4805,-0.18955),(4925,5165,1.4833,-0.18954),(4925,5175,1.486,-0.18953),(4925,5185,1.4886,-0.18928),(4925,5195,1.4912,-0.189),(4925,5205,1.4934,-0.18873),(4925,5215,1.4957,-0.18827),(4925,5225,1.4979,-0.18773),(4925,5235,1.4997,-0.1872),(4925,5245,1.5015,-0.18655),(4925,5255,1.5033,-0.18581),(4925,5265,1.5046,-0.18506),(4925,5275,1.5059,-0.18427),(4925,5285,1.5072,-0.18342),(4925,5295,1.5082,-0.18257),(4925,5305,1.509,-0.18174),(4925,5315,1.5099,-0.18097),(4925,5325,1.5106,-0.18019),(4925,5335,1.5112,-0.17942),(4925,5345,1.5118,-0.1789),(4925,5355,1.5123,-0.17838),(4925,5365,1.5127,-0.17786),(4925,5375,1.5131,-0.1777),(4925,5385,1.5135,-0.1776),(4925,5395,1.514,-0.17751),(4925,5405,1.5144,-0.17779),(4925,5415,1.5148,-0.17826),(4925,5425,1.5155,-0.17873),(4925,5435,1.5161,-0.17952),(4925,5445,1.5167,-0.18067),(4925,5455,1.5177,-0.18182),(4925,5465,1.5187,-0.18322),(4925,5475,1.5197,-0.1852),(4925,5485,1.5211,-0.18717),(4925,5495,1.5226,-0.18925),(4925,5505,1.5242,-0.19215),(4925,5515,1.5262,-0.19504),(4925,5525,1.5285,-0.19794),(4925,5535,1.5308,-0.20176),(4925,5545,1.5335,-0.20564),(4925,5555,1.5368,-0.20952),(4925,5565,1.54,-0.21419),(4925,5575,1.5435,-0.21911),(4925,5585,1.5479,-0.22402),(4925,5595,1.5523,-0.22958),(4925,5605,1.5567,-0.2356),(4925,5615,1.5625,-0.24161),(4925,5625,1.5682,-0.24802),(4925,5635,1.5739,-0.255),(4925,5645,1.5808,-0.26198),(4925,5655,1.588,-0.26914),(4925,5665,1.5951,-0.2769),(4925,5675,1.6033,-0.28467),(4925,5685,1.6119,-0.29246),(4925,5695,1.6206,-0.30064),(4925,5705,1.63,-0.30883),(4925,5715,1.6401,-0.31701),(4925,5725,1.6502,-0.32517),(4925,5735,1.6607,-0.33331),(4925,5745,1.6721,-0.34146),(4925,5755,1.6835,-0.3492),(4925,5765,1.695,-0.35675),(4925,5775,1.7073,-0.36431),(4925,5785,1.7195,-0.37124),(4925,5795,1.7318,-0.37759),(4925,5805,1.7444,-0.38394),(4925,5815,1.757,-0.38968),(4925,5825,1.7696,-0.39425),(4925,5835,1.782,-0.39882),(4925,5845,1.7943,-0.40305),(4925,5855,1.8066,-0.40555),(4925,5865,1.8184,-0.40805),(4925,5875,1.8299,-0.41054),(4925,5885,1.8415,-0.41097),(4925,5895,1.8525,-0.41137),(4925,5905,1.8629,-0.41177),(4925,5915,1.8733,-0.41067),(4925,5925,1.8835,-0.40921),(4925,5935,1.8927,-0.40775),(4925,5945,1.9019,-0.40536),(4925,5955,1.9111,-0.40242),(4925,5965,1.9193,-0.39948),(4925,5975,1.9275,-0.39606),(4925,5985,1.9357,-0.39206),(4925,5995,1.9431,-0.38805),(4925,6005,1.9505,-0.38384),(4925,6015,1.9578,-0.37908),(4925,6025,1.9647,-0.37433),(4925,6035,1.9715,-0.36953),(4925,6045,1.9782,-0.36428),(4925,6055,1.9847,-0.35902),(4925,6065,1.9909,-0.35376),(4925,6075,1.9972,-0.34816),(4925,6085,2.0033,-0.34252),(4925,6095,2.0092,-0.33688),(4925,6105,2.0151,-0.33099),(4925,6115,2.0209,-0.32501),(4925,6125,2.0264,-0.31904),(4925,6135,2.032,-0.31293),(4925,6145,2.0375,-0.30671),(4925,6155,2.0427,-0.30049),(4925,6165,2.0479,-0.2942),(4925,6175,2.053,-0.28778),(4925,6185,2.058,-0.28136),(4925,6195,2.0628,-0.27491),(4925,6205,2.0676,-0.26835),(4925,6215,2.0722,-0.26178),(4925,6225,2.0767,-0.25522),(4925,6235,2.0812,-0.24848),(4925,6245,2.0855,-0.24173),(4925,6255,2.0896,-0.23499),(4925,6265,2.0937,-0.22818),(4925,6275,2.0977,-0.22136),(4925,6285,2.1014,-0.21454),(4925,6295,2.1052,-0.20767),(4925,6305,2.1088,-0.20078),(4925,6315,2.1122,-0.19389),(4925,6325,2.1155,-0.18695),(4925,6335,2.1188,-0.17998),(4925,6345,2.1218,-0.173),(4925,6355,2.1248,-0.16602),(4925,6365,2.1277,-0.15902),(4925,6375,2.1304,-0.15203),(4925,6385,2.1329,-0.14504),(4925,6395,2.1355,-0.13808),(4925,6405,2.1378,-0.13113),(4925,6415,2.14,-0.12417),(4925,6425,2.1421,-0.11718),(4925,6435,2.1442,-0.11018),(4925,6445,2.1459,-0.10318),(4925,6455,2.1477,-0.09621),(4925,6465,2.1494,-0.089242),(4925,6475,2.1508,-0.082274),(4925,6485,2.1522,-0.075305),(4925,6495,2.1536,-0.068335),(4925,6505,2.1547,-0.061365),(4925,6515,2.1557,-0.05441),(4925,6525,2.1568,-0.047479),(4925,6535,2.1575,-0.040547),(4925,6545,2.1581,-0.033611),(4925,6555,2.1588,-0.026659),(4925,6565,2.1592,-0.019708),(4925,6575,2.1595,-0.012758),(4925,6585,2.1598,-0.005828),(4925,6595,1.8374,0.001104),(4925,6605,1.1586,0.008034),(4925,6615,0.47981,0.008831),(4925,6625,0.002633,0.008839),(4925,6635,0.002603,0.008847),(4925,6645,0.002574,0.008864),(4925,6655,0.002545,0.008884),(4925,6665,0.00252,0.008903),(4925,6675,0.002494,0.008922),(4925,6685,0.002469,0.008938),(4925,6695,0.002446,0.008955),(4925,6705,0.002424,0.008971),(4925,6715,0.002402,0.008985),(4925,6725,0.002382,0.008999),(4925,6735,0.002362,0.009012),(4925,6745,0.002343,0.009024),(4925,6755,0.002325,0.009036),(4925,6765,0.002309,0.009048),(4925,6775,0.002292,0.009058),(4925,6785,0.002276,0.009068),(4925,6795,0.002262,0.009078),(4925,6805,0.002247,0.009086),(4925,6815,0.002233,0.009095),(4925,6825,0.002221,0.009103),(4925,6835,0.002209,0.00911),(4925,6845,0.002197,0.009117),(4925,6855,0.002186,0.009124),(4925,6865,0.002176,0.00913),(4925,6875,0.002165,0.009136),(4925,6885,0.002156,0.009142),(4925,6895,0.002147,0.009147),(4925,6905,0.002138,0.009152),(4925,6915,0.00213,0.009156),(4925,6925,0.002123,0.009161),(4925,6935,0.002115,0.009164),(4925,6945,0.002109,0.009168),(4925,6955,0.002102,0.009171),(4925,6965,0.002096,0.009174),(4925,6975,0.00209,0.009177),(4925,6985,0.002085,0.00918),(4935,5,-1.3e-05,-1.4256),(4935,15,-3.8e-05,-1.4258),(4935,25,-4.4e-05,-1.4259),(4935,35,-3.4e-05,-1.426),(4935,45,-2.3e-05,-1.4261),(4935,55,-1.2e-05,-1.4262),(4935,65,8e-06,-1.4263),(4935,75,3.6e-05,-1.4264),(4935,85,6.4e-05,-1.4266),(4935,95,9.1e-05,-1.4267),(4935,105,9.8e-05,-1.4268),(4935,115,9e-05,-1.4269),(4935,125,8.2e-05,-1.4271),(4935,135,7.5e-05,-1.4273),(4935,145,7.9e-05,-1.4275),(4935,155,9e-05,-1.4277),(4935,165,0.000101,-1.4279),(4935,175,0.000112,-1.4282),(4935,185,0.000113,-1.4285),(4935,195,0.000108,-1.4288),(4935,205,0.000103,-1.4291),(4935,215,9.8e-05,-1.4295),(4935,225,5.6e-05,-1.4298),(4935,235,-1e-06,-1.4301),(4935,245,-5.8e-05,-1.4305),(4935,255,-0.000115,-1.431),(4935,265,-0.000158,-1.4314),(4935,275,-0.000198,-1.4319),(4935,285,-0.000238,-1.4323),(4935,295,-0.000278,-1.4328),(4935,305,-0.000274,-1.4333),(4935,315,-0.000259,-1.4338),(4935,325,-0.000244,-1.4343),(4935,335,-0.000229,-1.4349),(4935,345,-0.00019,-1.4354),(4935,355,-0.000146,-1.4359),(4935,365,-0.000102,-1.4365),(4935,375,-5.9e-05,-1.437),(4935,385,-3.3e-05,-1.4376),(4935,395,-1e-05,-1.4382),(4935,405,1.3e-05,-1.4388),(4935,415,3.6e-05,-1.4395),(4935,425,3.3e-05,-1.4401),(4935,435,2.8e-05,-1.4408),(4935,445,2.2e-05,-1.4415),(4935,455,1.6e-05,-1.4423),(4935,465,3.1e-05,-1.443),(4935,475,4.7e-05,-1.4438),(4935,485,6.3e-05,-1.4445),(4935,495,7.9e-05,-1.4453),(4935,505,6.1e-05,-1.4461),(4935,515,4.2e-05,-1.4469),(4935,525,2.3e-05,-1.4477),(4935,535,4e-06,-1.4485),(4935,545,-4.5e-05,-1.4493),(4935,555,-9.4e-05,-1.4502),(4935,565,-0.000142,-1.451),(4935,575,-0.00019,-1.4519),(4935,585,-0.000235,-1.4528),(4935,595,-0.00028,-1.4537),(4935,605,-0.000325,-1.4547),(4935,615,-0.000365,-1.4557),(4935,625,-0.000364,-1.4567),(4935,635,-0.000363,-1.4577),(4935,645,-0.000361,-1.4587),(4935,655,-0.000365,-1.4597),(4935,665,-0.000396,-1.4608),(4935,675,-0.000427,-1.4618),(4935,685,-0.000458,-1.463),(4935,695,-0.000481,-1.4642),(4935,705,-0.000467,-1.4654),(4935,715,-0.000453,-1.4666),(4935,725,-0.00044,-1.4679),(4935,735,-0.000412,-1.4692),(4935,745,-0.000337,-1.4705),(4935,755,-0.000262,-1.4718),(4935,765,-0.000187,-1.473),(4935,775,-0.000104,-1.4743),(4935,785,0,-1.4756),(4935,795,0.000103,-1.4768),(4935,805,0.000207,-1.478),(4935,815,0.000288,-1.4793),(4935,825,0.000321,-1.4805),(4935,835,0.000353,-1.4818),(4935,845,0.000386,-1.483),(4935,855,0.000382,-1.4843),(4935,865,0.00031,-1.4856),(4935,875,0.000239,-1.4869),(4935,885,0.000168,-1.4882),(4935,895,9.6e-05,-1.4896),(4935,905,2.3e-05,-1.4909),(4935,915,-5e-05,-1.4923),(4935,925,-0.000123,-1.4937),(4935,935,-0.00019,-1.4952),(4935,945,-0.000247,-1.4966),(4935,955,-0.000304,-1.498),(4935,965,-0.000362,-1.4995),(4935,975,-0.000376,-1.5011),(4935,985,-0.000341,-1.5026),(4935,995,-0.000306,-1.504),(4935,1005,-0.000271,-1.5055),(4935,1015,-0.000239,-1.5069),(4935,1025,-0.00021,-1.5083),(4935,1035,-0.000181,-1.5097),(4935,1045,-0.000152,-1.511),(4935,1055,-0.000148,-1.5123),(4935,1065,-0.000164,-1.5136),(4935,1075,-0.00018,-1.515),(4935,1085,-0.000196,-1.5163),(4935,1095,-9.8e-05,-1.5177),(4935,1105,7.9e-05,-1.5191),(4935,1115,0.000257,-1.5204),(4935,1125,0.000435,-1.5217),(4935,1135,0.000797,-1.523),(4935,1145,0.00127,-1.5243),(4935,1155,0.001742,-1.5255),(4935,1165,0.002214,-1.5266),(4935,1175,0.002898,-1.5278),(4935,1185,0.003687,-1.5289),(4935,1195,0.004475,-1.5296),(4935,1205,0.005264,-1.5302),(4935,1215,0.006358,-1.5308),(4935,1225,0.007579,-1.5314),(4935,1235,0.008799,-1.5309),(4935,1245,0.01002,-1.53),(4935,1255,0.01914,-1.5291),(4935,1265,0.030928,-1.5282),(4935,1275,0.042715,-1.5177),(4935,1285,0.054503,-1.5043),(4935,1295,0.090814,-1.4908),(4935,1305,0.13376,-1.4774),(4935,1315,0.1767,-1.4156),(4935,1325,0.21964,-1.3421),(4935,1335,0.13286,-1.2687),(4935,1345,0.018879,-1.1952),(4935,1355,-0.095097,-1.2423),(4935,1365,-0.20907,-1.3113),(4935,1375,-0.18996,-1.3802),(4935,1385,-0.15031,-1.4492),(4935,1395,-0.11066,-1.4738),(4935,1405,-0.07101,-1.4927),(4935,1415,-0.053867,-1.5116),(4935,1425,-0.039062,-1.5305),(4935,1435,-0.024257,-1.5346),(4935,1445,-0.009451,-1.5375),(4935,1455,-0.007904,-1.5404),(4935,1465,-0.007121,-1.5434),(4935,1475,-0.006338,-1.5442),(4935,1485,-0.005555,-1.545),(4935,1495,-0.004868,-1.5458),(4935,1505,-0.004182,-1.5466),(4935,1515,-0.003496,-1.5466),(4935,1525,-0.002815,-1.5466),(4935,1535,-0.002351,-1.5465),(4935,1545,-0.001886,-1.5465),(4935,1555,-0.001421,-1.5462),(4935,1565,-0.000977,-1.546),(4935,1575,-0.00083,-1.5458),(4935,1585,-0.000683,-1.5455),(4935,1595,-0.000536,-1.5452),(4935,1605,-0.000405,-1.5448),(4935,1615,-0.000409,-1.5445),(4935,1625,-0.000412,-1.5442),(4935,1635,-0.000416,-1.5437),(4935,1645,-0.000428,-1.5433),(4935,1655,-0.000487,-1.5429),(4935,1665,-0.000547,-1.5425),(4935,1675,-0.000607,-1.5422),(4935,1685,-0.000661,-1.5418),(4935,1695,-0.000689,-1.5414),(4935,1705,-0.000717,-1.541),(4935,1715,-0.000745,-1.5407),(4935,1725,-0.00076,-1.5403),(4935,1735,-0.00073,-1.5399),(4935,1745,-0.0007,-1.5395),(4935,1755,-0.00067,-1.5391),(4935,1765,-0.000632,-1.5387),(4935,1775,-0.000575,-1.5383),(4935,1785,-0.000518,-1.538),(4935,1795,-0.000461,-1.5376),(4935,1805,-0.000407,-1.5373),(4935,1815,-0.000357,-1.537),(4935,1825,-0.000307,-1.5367),(4935,1835,-0.000257,-1.5364),(4935,1845,-0.000229,-1.5362),(4935,1855,-0.000242,-1.5359),(4935,1865,-0.000255,-1.5357),(4935,1875,-0.000268,-1.5356),(4935,1885,-0.000275,-1.5355),(4935,1895,-0.000272,-1.5353),(4935,1905,-0.000269,-1.5353),(4935,1915,-0.000266,-1.5353),(4935,1925,-0.000237,-1.5354),(4935,1935,-0.000172,-1.5354),(4935,1945,-0.000108,-1.5355),(4935,1955,-4.4e-05,-1.5357),(4935,1965,2.4e-05,-1.5358),(4935,1975,9.4e-05,-1.536),(4935,1985,0.000164,-1.5363),(4935,1995,0.000234,-1.5366),(4935,2005,0.000306,-1.5369),(4935,2015,0.000379,-1.5372),(4935,2025,0.000452,-1.5377),(4935,2035,0.000525,-1.5382),(4935,2045,0.000577,-1.5387),(4935,2055,0.000611,-1.5392),(4935,2065,0.000646,-1.5398),(4935,2075,0.00068,-1.5405),(4935,2085,0.00068,-1.5413),(4935,2095,0.000656,-1.542),(4935,2105,0.000632,-1.5428),(4935,2115,0.000608,-1.5437),(4935,2125,0.000583,-1.5446),(4935,2135,0.000558,-1.5455),(4935,2145,0.000533,-1.5465),(4935,2155,0.000508,-1.5476),(4935,2165,0.000493,-1.5487),(4935,2175,0.000483,-1.5498),(4935,2185,0.000473,-1.5511),(4935,2195,0.000463,-1.5523),(4935,2205,0.000483,-1.5536),(4935,2215,0.000517,-1.5549),(4935,2225,0.000551,-1.5563),(4935,2235,0.000585,-1.5577),(4935,2245,0.000689,-1.5592),(4935,2255,0.000818,-1.5606),(4935,2265,0.000947,-1.5621),(4935,2275,0.001076,-1.5636),(4935,2285,0.001264,-1.5652),(4935,2295,0.001468,-1.5667),(4935,2305,0.001673,-1.5683),(4935,2315,0.001877,-1.5699),(4935,2325,0.002092,-1.5715),(4935,2335,0.002309,-1.5732),(4935,2345,0.002526,-1.5749),(4935,2355,0.002743,-1.5766),(4935,2365,0.002894,-1.5783),(4935,2375,0.003033,-1.58),(4935,2385,0.003172,-1.5819),(4935,2395,0.003311,-1.5837),(4935,2405,0.003339,-1.5856),(4935,2415,0.003354,-1.5874),(4935,2425,0.003369,-1.5894),(4935,2435,0.003384,-1.5915),(4935,2445,0.003364,-1.5935),(4935,2455,0.003341,-1.5955),(4935,2465,0.003318,-1.5977),(4935,2475,0.003295,-1.5998),(4935,2485,0.00336,-1.602),(4935,2495,0.003426,-1.6042),(4935,2505,0.003493,-1.6066),(4935,2515,0.003562,-1.6089),(4935,2525,0.00374,-1.6113),(4935,2535,0.003918,-1.6136),(4935,2545,0.004096,-1.6159),(4935,2555,0.004277,-1.6183),(4935,2565,0.004517,-1.6206),(4935,2575,0.004757,-1.623),(4935,2585,0.004996,-1.6253),(4935,2595,0.00524,-1.6275),(4935,2605,0.005525,-1.6298),(4935,2615,0.00581,-1.6321),(4935,2625,0.006095,-1.6343),(4935,2635,0.006382,-1.6365),(4935,2645,0.006684,-1.6388),(4935,2655,0.006987,-1.641),(4935,2665,0.007289,-1.6432),(4935,2675,0.007585,-1.6454),(4935,2685,0.007851,-1.6476),(4935,2695,0.008116,-1.6498),(4935,2705,0.008382,-1.6518),(4935,2715,0.008642,-1.6539),(4935,2725,0.00888,-1.6559),(4935,2735,0.009117,-1.658),(4935,2745,0.009355,-1.6599),(4935,2755,0.009598,-1.6619),(4935,2765,0.009857,-1.6638),(4935,2775,0.010117,-1.6658),(4935,2785,0.010375,-1.6677),(4935,2795,0.010637,-1.6696),(4935,2805,0.010906,-1.6715),(4935,2815,0.011174,-1.6733),(4935,2825,0.011442,-1.6751),(4935,2835,0.011717,-1.6769),(4935,2845,0.012005,-1.6787),(4935,2855,0.012294,-1.6805),(4935,2865,0.012582,-1.6822),(4935,2875,0.012888,-1.6838),(4935,2885,0.013225,-1.6855),(4935,2895,0.013562,-1.6872),(4935,2905,0.013899,-1.6887),(4935,2915,0.014251,-1.6903),(4935,2925,0.014624,-1.6919),(4935,2935,0.014998,-1.6934),(4935,2945,0.015372,-1.6949),(4935,2955,0.015748,-1.6963),(4935,2965,0.016128,-1.6978),(4935,2975,0.016508,-1.6991),(4935,2985,0.016888,-1.7004),(4935,2995,0.017276,-1.7017),(4935,3005,0.017674,-1.7029),(4935,3015,0.018071,-1.7041),(4935,3025,0.018468,-1.7052),(4935,3035,0.018871,-1.7064),(4935,3045,0.01928,-1.7075),(4935,3055,0.019688,-1.7085),(4935,3065,0.020096,-1.7095),(4935,3075,0.020483,-1.7105),(4935,3085,0.020853,-1.7115),(4935,3095,0.021224,-1.7124),(4935,3105,0.021595,-1.7132),(4935,3115,0.021934,-1.714),(4935,3125,0.022254,-1.7147),(4935,3135,0.022574,-1.7154),(4935,3145,0.022894,-1.7161),(4935,3155,0.023218,-1.7167),(4935,3165,0.023544,-1.7173),(4935,3175,0.02387,-1.7179),(4935,3185,0.024196,-1.7183),(4935,3195,0.024532,-1.7188),(4935,3205,0.024872,-1.7193),(4935,3215,0.025211,-1.7196),(4935,3225,0.025551,-1.7199),(4935,3235,0.025918,-1.7201),(4935,3245,0.026294,-1.7203),(4935,3255,0.02667,-1.7204),(4935,3265,0.027047,-1.7204),(4935,3275,0.027461,-1.7205),(4935,3285,0.027886,-1.7205),(4935,3295,0.028311,-1.7203),(4935,3305,0.028736,-1.72),(4935,3315,0.029142,-1.7198),(4935,3325,0.029542,-1.7195),(4935,3335,0.029943,-1.7189),(4935,3345,0.030343,-1.7182),(4935,3355,0.03072,-1.7175),(4935,3365,0.031092,-1.7168),(4935,3375,0.031464,-1.7157),(4935,3385,0.031836,-1.7146),(4935,3395,0.032194,-1.7136),(4935,3405,0.03255,-1.7125),(4935,3415,0.032907,-1.7111),(4935,3425,0.033263,-1.7096),(4935,3435,0.033539,-1.7082),(4935,3445,0.033808,-1.7068),(4935,3455,0.034076,-1.7049),(4935,3465,0.034345,-1.703),(4935,3475,0.034548,-1.7012),(4935,3485,0.034748,-1.6993),(4935,3495,0.034948,-1.6969),(4935,3505,0.035148,-1.6945),(4935,3515,0.035355,-1.6921),(4935,3525,0.035562,-1.6897),(4935,3535,0.035769,-1.6868),(4935,3545,0.035978,-1.6839),(4935,3555,0.036224,-1.681),(4935,3565,0.03647,-1.678),(4935,3575,0.036716,-1.6745),(4935,3585,0.036966,-1.671),(4935,3595,0.037259,-1.6675),(4935,3605,0.037552,-1.6639),(4935,3615,0.037845,-1.6597),(4935,3625,0.038135,-1.6554),(4935,3635,0.038407,-1.6512),(4935,3645,0.038678,-1.6469),(4935,3655,0.038949,-1.6419),(4935,3665,0.039208,-1.6369),(4935,3675,0.039404,-1.6318),(4935,3685,0.0396,-1.6266),(4935,3695,0.039795,-1.6207),(4935,3705,0.039969,-1.6148),(4935,3715,0.040055,-1.6089),(4935,3725,0.040141,-1.6028),(4935,3735,0.040226,-1.596),(4935,3745,0.040285,-1.5892),(4935,3755,0.040257,-1.5824),(4935,3765,0.040229,-1.5753),(4935,3775,0.040201,-1.5676),(4935,3785,0.040163,-1.5598),(4935,3795,0.040098,-1.5521),(4935,3805,0.040033,-1.544),(4935,3815,0.039968,-1.5353),(4935,3825,0.039989,-1.5266),(4935,3835,0.040191,-1.5178),(4935,3845,0.040393,-1.5087),(4935,3855,0.040595,-1.4987),(4935,3865,0.041049,-1.4887),(4935,3875,0.04195,-1.4788),(4935,3885,0.042851,-1.4681),(4935,3895,0.043752,-1.4564),(4935,3905,0.045221,-1.4447),(4935,3915,0.047537,-1.433),(4935,3925,0.049853,-1.42),(4935,3935,0.05217,-1.4053),(4935,3945,0.058005,-1.3905),(4935,3955,0.068307,-1.3758),(4935,3965,0.07861,-1.3563),(4935,3975,0.088912,-1.3313),(4935,3985,0.11791,-1.3063),(4935,3995,0.16713,-1.2813),(4935,4005,0.21636,-1.225),(4935,4015,0.26559,-1.1375),(4935,4025,0.31529,-1.0499),(4935,4035,0.36503,-0.98791),(4935,4045,0.41478,-0.97971),(4935,4055,0.51671,-0.97152),(4935,4065,0.63769,-0.96253),(4935,4075,0.75867,-0.9488),(4935,4085,0.82821,-0.93508),(4935,4095,0.85641,-0.92136),(4935,4105,0.88462,-0.90695),(4935,4115,0.91072,-0.89252),(4935,4125,0.93331,-0.87809),(4935,4135,0.95591,-0.86357),(4935,4145,0.97778,-0.84904),(4935,4155,0.9967,-0.8345),(4935,4165,1.0156,-0.82003),(4935,4175,1.0345,-0.80559),(4935,4185,1.0506,-0.79115),(4935,4195,1.0667,-0.77687),(4935,4205,1.0828,-0.76281),(4935,4215,1.097,-0.74874),(4935,4225,1.1109,-0.73476),(4935,4235,1.1248,-0.72104),(4935,4245,1.1374,-0.70732),(4935,4255,1.1494,-0.69364),(4935,4265,1.1613,-0.68035),(4935,4275,1.1725,-0.66706),(4935,4285,1.1829,-0.65377),(4935,4295,1.1933,-0.64097),(4935,4305,1.2032,-0.62823),(4935,4315,1.2122,-0.61549),(4935,4325,1.2212,-0.60311),(4935,4335,1.2301,-0.59087),(4935,4345,1.2379,-0.57864),(4935,4355,1.2457,-0.5667),(4935,4365,1.2535,-0.555),(4935,4375,1.2602,-0.5433),(4935,4385,1.267,-0.53182),(4935,4395,1.2737,-0.52071),(4935,4405,1.2797,-0.50961),(4935,4415,1.2855,-0.49861),(4935,4425,1.2913,-0.48809),(4935,4435,1.2966,-0.47758),(4935,4445,1.3016,-0.46706),(4935,4455,1.3065,-0.4572),(4935,4465,1.3112,-0.44734),(4935,4475,1.3154,-0.43748),(4935,4485,1.3196,-0.42809),(4935,4495,1.3237,-0.4188),(4935,4505,1.3273,-0.40951),(4935,4515,1.3309,-0.40064),(4935,4525,1.3345,-0.39201),(4935,4535,1.3376,-0.38337),(4935,4545,1.3407,-0.37503),(4935,4555,1.3437,-0.36704),(4935,4565,1.3464,-0.35904),(4935,4575,1.349,-0.35123),(4935,4585,1.3516,-0.34386),(4935,4595,1.354,-0.33649),(4935,4605,1.3562,-0.32919),(4935,4615,1.3585,-0.32242),(4935,4625,1.3606,-0.31564),(4935,4635,1.3625,-0.30887),(4935,4645,1.3645,-0.3027),(4935,4655,1.3664,-0.29657),(4935,4665,1.3681,-0.29044),(4935,4675,1.3699,-0.28477),(4935,4685,1.3716,-0.27924),(4935,4695,1.3732,-0.27372),(4935,4705,1.3748,-0.26856),(4935,4715,1.3763,-0.26367),(4935,4725,1.3778,-0.25878),(4935,4735,1.3793,-0.25414),(4935,4745,1.3808,-0.24987),(4935,4755,1.3823,-0.24559),(4935,4765,1.3838,-0.24146),(4935,4775,1.3853,-0.23783),(4935,4785,1.3868,-0.23419),(4935,4795,1.3883,-0.23059),(4935,4805,1.3898,-0.22756),(4935,4815,1.3914,-0.22454),(4935,4825,1.393,-0.22151),(4935,4835,1.3946,-0.219),(4935,4845,1.3963,-0.21656),(4935,4855,1.398,-0.21413),(4935,4865,1.3998,-0.2121),(4935,4875,1.4016,-0.21027),(4935,4885,1.4036,-0.20843),(4935,4895,1.4056,-0.20689),(4935,4905,1.4076,-0.20564),(4935,4915,1.4098,-0.20439),(4935,4925,1.412,-0.2033),(4935,4935,1.4143,-0.20253),(4935,4945,1.4167,-0.20176),(4935,4955,1.4192,-0.20105),(4935,4965,1.4216,-0.20071),(4935,4975,1.4243,-0.20036),(4935,4985,1.427,-0.20002),(4935,4995,1.4298,-0.19998),(4935,5005,1.4326,-0.19994),(4935,5015,1.4355,-0.19991),(4935,5025,1.4385,-0.20004),(4935,5035,1.4415,-0.20022),(4935,5045,1.4445,-0.2004),(4935,5055,1.4476,-0.2006),(4935,5065,1.4506,-0.20082),(4935,5075,1.4537,-0.20103),(4935,5085,1.4568,-0.20122),(4935,5095,1.4598,-0.20137),(4935,5105,1.4629,-0.20152),(4935,5115,1.4659,-0.20164),(4935,5125,1.4689,-0.20168),(4935,5135,1.4718,-0.20172),(4935,5145,1.4746,-0.20174),(4935,5155,1.4775,-0.20159),(4935,5165,1.4802,-0.20143),(4935,5175,1.4828,-0.20128),(4935,5185,1.4854,-0.2009),(4935,5195,1.4878,-0.2005),(4935,5205,1.49,-0.2001),(4935,5215,1.4922,-0.19954),(4935,5225,1.4943,-0.19893),(4935,5235,1.4961,-0.19832),(4935,5245,1.4978,-0.19762),(4935,5255,1.4995,-0.19686),(4935,5265,1.5008,-0.19609),(4935,5275,1.5021,-0.19531),(4935,5285,1.5034,-0.1945),(4935,5295,1.5044,-0.1937),(4935,5305,1.5053,-0.19292),(4935,5315,1.5062,-0.19226),(4935,5325,1.507,-0.19159),(4935,5335,1.5077,-0.19093),(4935,5345,1.5083,-0.19057),(4935,5355,1.5089,-0.19021),(4935,5365,1.5095,-0.18985),(4935,5375,1.5101,-0.18988),(4935,5385,1.5106,-0.18999),(4935,5395,1.5112,-0.1901),(4935,5405,1.5119,-0.1906),(4935,5415,1.5125,-0.1913),(4935,5425,1.5134,-0.19201),(4935,5435,1.5142,-0.19305),(4935,5445,1.515,-0.19445),(4935,5455,1.5163,-0.19586),(4935,5465,1.5175,-0.19752),(4935,5475,1.5188,-0.19975),(4935,5485,1.5205,-0.20199),(4935,5495,1.5223,-0.20435),(4935,5505,1.5242,-0.20751),(4935,5515,1.5265,-0.21067),(4935,5525,1.5291,-0.21383),(4935,5535,1.5317,-0.2179),(4935,5545,1.5347,-0.22202),(4935,5555,1.5383,-0.22614),(4935,5565,1.5418,-0.23102),(4935,5575,1.5456,-0.23613),(4935,5585,1.5503,-0.24123),(4935,5595,1.555,-0.24693),(4935,5605,1.5597,-0.25305),(4935,5615,1.5657,-0.25916),(4935,5625,1.5717,-0.265625),(4935,5635,1.5776,-0.27259),(4935,5645,1.5847,-0.27955),(4935,5655,1.5921,-0.28666),(4935,5665,1.5994,-0.29423),(4935,5675,1.6077,-0.30181),(4935,5685,1.6164,-0.30941),(4935,5695,1.6251,-0.31721),(4935,5705,1.6345,-0.32501),(4935,5715,1.6445,-0.3328),(4935,5725,1.6546,-0.34038),(4935,5735,1.6649,-0.34793),(4935,5745,1.6761,-0.35547),(4935,5755,1.6872,-0.36248),(4935,5765,1.6984,-0.36925),(4935,5775,1.7102,-0.37602),(4935,5785,1.722,-0.3821),(4935,5795,1.7339,-0.38755),(4935,5805,1.7459,-0.39299),(4935,5815,1.7579,-0.39783),(4935,5825,1.7699,-0.4015),(4935,5835,1.7816,-0.40516),(4935,5845,1.7933,-0.4085),(4935,5855,1.805,-0.41021),(4935,5865,1.8162,-0.41192),(4935,5875,1.827,-0.41362),(4935,5885,1.8379,-0.41345),(4935,5895,1.8484,-0.41325),(4935,5905,1.8582,-0.41304),(4935,5915,1.8681,-0.41152),(4935,5925,1.8777,-0.40967),(4935,5935,1.8865,-0.40783),(4935,5945,1.8953,-0.40517),(4935,5955,1.9041,-0.40204),(4935,5965,1.912,-0.3989),(4935,5975,1.9198,-0.39534),(4935,5985,1.9277,-0.39127),(4935,5995,1.9349,-0.38719),(4935,6005,1.942,-0.38293),(4935,6015,1.9492,-0.37818),(4935,6025,1.9559,-0.37343),(4935,6035,1.9625,-0.36864),(4935,6045,1.969,-0.36343),(4935,6055,1.9754,-0.35821),(4935,6065,1.9815,-0.35299),(4935,6075,1.9876,-0.34744),(4935,6085,1.9936,-0.34186),(4935,6095,1.9994,-0.33628),(4935,6105,2.0052,-0.33045),(4935,6115,2.0109,-0.32454),(4935,6125,2.0163,-0.31862),(4935,6135,2.0217,-0.31258),(4935,6145,2.0272,-0.30643),(4935,6155,2.0323,-0.30028),(4935,6165,2.0374,-0.29405),(4935,6175,2.0425,-0.2877),(4935,6185,2.0473,-0.28134),(4935,6195,2.0521,-0.27495),(4935,6205,2.0569,-0.26845),(4935,6215,2.0614,-0.26194),(4935,6225,2.0658,-0.25543),(4935,6235,2.0703,-0.24875),(4935,6245,2.0745,-0.24206),(4935,6255,2.0786,-0.23537),(4935,6265,2.0826,-0.22861),(4935,6275,2.0866,-0.22183),(4935,6285,2.0903,-0.21505),(4935,6295,2.094,-0.20822),(4935,6305,2.0976,-0.20135),(4935,6315,2.1009,-0.19449),(4935,6325,2.1042,-0.18758),(4935,6335,2.1075,-0.18062),(4935,6345,2.1105,-0.17366),(4935,6355,2.1134,-0.16669),(4935,6365,2.1163,-0.1597),(4935,6375,2.119,-0.15271),(4935,6385,2.1215,-0.14573),(4935,6395,2.1241,-0.13877),(4935,6405,2.1264,-0.13181),(4935,6415,2.1286,-0.12485),(4935,6425,2.1307,-0.11784),(4935,6435,2.1327,-0.11083),(4935,6445,2.1345,-0.10382),(4935,6455,2.1363,-0.096819),(4935,6465,2.138,-0.089823),(4935,6475,2.1394,-0.082828),(4935,6485,2.1408,-0.075827),(4935,6495,2.1422,-0.068822),(4935,6505,2.1432,-0.061818),(4935,6515,2.1443,-0.054828),(4935,6525,2.1453,-0.047858),(4935,6535,2.146,-0.040889),(4935,6545,2.1467,-0.033914),(4935,6555,2.1474,-0.026923),(4935,6565,2.1478,-0.019931),(4935,6575,2.1481,-0.012941),(4935,6585,2.1484,-0.005964),(4935,6595,1.8276,0.001012),(4935,6605,1.1524,0.007988),(4935,6615,0.47726,0.008793),(4935,6625,0.002603,0.008805),(4935,6635,0.002575,0.008817),(4935,6645,0.002547,0.008835),(4935,6655,0.00252,0.008856),(4935,6665,0.002495,0.008877),(4935,6675,0.002471,0.008896),(4935,6685,0.002446,0.008914),(4935,6695,0.002425,0.008932),(4935,6705,0.002403,0.008948),(4935,6715,0.002382,0.008963),(4935,6725,0.002363,0.008978),(4935,6735,0.002344,0.008993),(4935,6745,0.002326,0.009006),(4935,6755,0.002308,0.009018),(4935,6765,0.002292,0.009031),(4935,6775,0.002276,0.009042),(4935,6785,0.002261,0.009052),(4935,6795,0.002247,0.009063),(4935,6805,0.002234,0.009072),(4935,6815,0.00222,0.009081),(4935,6825,0.002208,0.00909),(4935,6835,0.002197,0.009098),(4935,6845,0.002185,0.009106),(4935,6855,0.002175,0.009113),(4935,6865,0.002165,0.00912),(4935,6875,0.002155,0.009126),(4935,6885,0.002146,0.009132),(4935,6895,0.002137,0.009138),(4935,6905,0.002129,0.009143),(4935,6915,0.002121,0.009148),(4935,6925,0.002114,0.009153),(4935,6935,0.002107,0.009157),(4935,6945,0.0021,0.009161),(4935,6955,0.002095,0.009165),(4935,6965,0.002089,0.009168),(4935,6975,0.002083,0.009171),(4935,6985,0.002078,0.009174),(4945,5,-4e-06,-1.4256),(4945,15,-1.2e-05,-1.4257),(4945,25,-1e-05,-1.4259),(4945,35,-1e-06,-1.426),(4945,45,9e-06,-1.4261),(4945,55,1.9e-05,-1.4262),(4945,65,3.6e-05,-1.4263),(4945,75,5.9e-05,-1.4264),(4945,85,8.2e-05,-1.4266),(4945,95,0.000105,-1.4267),(4945,105,0.000108,-1.4268),(4945,115,9.9e-05,-1.4269),(4945,125,8.9e-05,-1.4271),(4945,135,8e-05,-1.4273),(4945,145,8.1e-05,-1.4275),(4945,155,8.8e-05,-1.4277),(4945,165,9.4e-05,-1.4279),(4945,175,0.000101,-1.4282),(4945,185,0.000102,-1.4285),(4945,195,0.0001,-1.4288),(4945,205,9.8e-05,-1.4291),(4945,215,9.6e-05,-1.4294),(4945,225,6.2e-05,-1.4298),(4945,235,1.6e-05,-1.4301),(4945,245,-3.1e-05,-1.4305),(4945,255,-7.8e-05,-1.431),(4945,265,-0.000119,-1.4314),(4945,275,-0.00016,-1.4318),(4945,285,-0.0002,-1.4323),(4945,295,-0.00024,-1.4328),(4945,305,-0.000245,-1.4333),(4945,315,-0.00024,-1.4338),(4945,325,-0.000236,-1.4343),(4945,335,-0.000232,-1.4349),(4945,345,-0.000199,-1.4354),(4945,355,-0.000161,-1.4359),(4945,365,-0.000122,-1.4365),(4945,375,-8.4e-05,-1.4371),(4945,385,-5.8e-05,-1.4376),(4945,395,-3.3e-05,-1.4382),(4945,405,-9e-06,-1.4389),(4945,415,1.6e-05,-1.4395),(4945,425,1.6e-05,-1.4401),(4945,435,1.4e-05,-1.4408),(4945,445,1.2e-05,-1.4415),(4945,455,1e-05,-1.4423),(4945,465,1.6e-05,-1.443),(4945,475,2.2e-05,-1.4438),(4945,485,2.8e-05,-1.4445),(4945,495,3.4e-05,-1.4453),(4945,505,1.1e-05,-1.4461),(4945,515,-1.2e-05,-1.4469),(4945,525,-3.6e-05,-1.4477),(4945,535,-6e-05,-1.4485),(4945,545,-0.000116,-1.4494),(4945,555,-0.000171,-1.4502),(4945,565,-0.000227,-1.4511),(4945,575,-0.000283,-1.4519),(4945,585,-0.000333,-1.4528),(4945,595,-0.000384,-1.4537),(4945,605,-0.000435,-1.4547),(4945,615,-0.00048,-1.4557),(4945,625,-0.000488,-1.4567),(4945,635,-0.000495,-1.4577),(4945,645,-0.000502,-1.4587),(4945,655,-0.000511,-1.4597),(4945,665,-0.000526,-1.4608),(4945,675,-0.000541,-1.4618),(4945,685,-0.000556,-1.463),(4945,695,-0.000563,-1.4642),(4945,705,-0.000535,-1.4653),(4945,715,-0.000506,-1.4665),(4945,725,-0.000478,-1.4678),(4945,735,-0.000439,-1.4691),(4945,745,-0.000367,-1.4704),(4945,755,-0.000294,-1.4717),(4945,765,-0.000222,-1.473),(4945,775,-0.000145,-1.4743),(4945,785,-5.3e-05,-1.4755),(4945,795,3.8e-05,-1.4768),(4945,805,0.00013,-1.478),(4945,815,0.000203,-1.4793),(4945,825,0.000236,-1.4805),(4945,835,0.000268,-1.4818),(4945,845,0.000301,-1.483),(4945,855,0.000301,-1.4843),(4945,865,0.000238,-1.4856),(4945,875,0.000175,-1.4869),(4945,885,0.000112,-1.4882),(4945,895,4.5e-05,-1.4896),(4945,905,-3e-05,-1.4909),(4945,915,-0.000105,-1.4923),(4945,925,-0.00018,-1.4937),(4945,935,-0.000246,-1.4951),(4945,945,-0.0003,-1.4966),(4945,955,-0.000354,-1.498),(4945,965,-0.000408,-1.4995),(4945,975,-0.000428,-1.501),(4945,985,-0.00041,-1.5025),(4945,995,-0.000392,-1.504),(4945,1005,-0.000373,-1.5055),(4945,1015,-0.000358,-1.5069),(4945,1025,-0.000344,-1.5083),(4945,1035,-0.000331,-1.5097),(4945,1045,-0.000318,-1.511),(4945,1055,-0.000322,-1.5124),(4945,1065,-0.000339,-1.5137),(4945,1075,-0.000356,-1.515),(4945,1085,-0.000373,-1.5164),(4945,1095,-0.000288,-1.5178),(4945,1105,-0.00013,-1.5191),(4945,1115,2.8e-05,-1.5204),(4945,1125,0.000185,-1.5217),(4945,1135,0.000521,-1.523),(4945,1145,0.00096,-1.5242),(4945,1155,0.0014,-1.5254),(4945,1165,0.00184,-1.5265),(4945,1175,0.002421,-1.5276),(4945,1185,0.003072,-1.5288),(4945,1195,0.003723,-1.5297),(4945,1205,0.004374,-1.5306),(4945,1215,0.005157,-1.5315),(4945,1225,0.005995,-1.5324),(4945,1235,0.006834,-1.5325),(4945,1245,0.007672,-1.5325),(4945,1255,0.014397,-1.5324),(4945,1265,0.023111,-1.5323),(4945,1275,0.031826,-1.521),(4945,1285,0.04054,-1.5064),(4945,1295,0.064376,-1.4917),(4945,1305,0.092301,-1.4771),(4945,1315,0.12023,-1.4151),(4945,1325,0.14815,-1.3418),(4945,1335,0.088618,-1.2686),(4945,1345,0.010754,-1.1953),(4945,1355,-0.067109,-1.2432),(4945,1365,-0.14497,-1.3131),(4945,1375,-0.13191,-1.3829),(4945,1385,-0.10482,-1.4528),(4945,1395,-0.077736,-1.4784),(4945,1405,-0.050647,-1.4983),(4945,1415,-0.03826,-1.5182),(4945,1425,-0.0274,-1.5382),(4945,1435,-0.01654,-1.541),(4945,1445,-0.005679,-1.5424),(4945,1455,-0.004899,-1.5438),(4945,1465,-0.0047,-1.5452),(4945,1475,-0.0045,-1.5456),(4945,1485,-0.004301,-1.5459),(4945,1495,-0.003837,-1.5462),(4945,1505,-0.003368,-1.5466),(4945,1515,-0.0029,-1.5465),(4945,1525,-0.002433,-1.5465),(4945,1535,-0.002014,-1.5464),(4945,1545,-0.001595,-1.5464),(4945,1555,-0.001176,-1.5462),(4945,1565,-0.000775,-1.546),(4945,1575,-0.000638,-1.5458),(4945,1585,-0.000501,-1.5456),(4945,1595,-0.000364,-1.5452),(4945,1605,-0.000242,-1.5449),(4945,1615,-0.000257,-1.5445),(4945,1625,-0.000271,-1.5442),(4945,1635,-0.000286,-1.5438),(4945,1645,-0.000306,-1.5434),(4945,1655,-0.000362,-1.5429),(4945,1665,-0.000419,-1.5425),(4945,1675,-0.000475,-1.5421),(4945,1685,-0.000526,-1.5418),(4945,1695,-0.000554,-1.5414),(4945,1705,-0.000581,-1.541),(4945,1715,-0.000609,-1.5407),(4945,1725,-0.000626,-1.5403),(4945,1735,-0.000608,-1.5399),(4945,1745,-0.000589,-1.5395),(4945,1755,-0.00057,-1.5391),(4945,1765,-0.000543,-1.5387),(4945,1775,-0.000491,-1.5383),(4945,1785,-0.00044,-1.5379),(4945,1795,-0.000388,-1.5376),(4945,1805,-0.000338,-1.5373),(4945,1815,-0.000292,-1.537),(4945,1825,-0.000245,-1.5367),(4945,1835,-0.000199,-1.5364),(4945,1845,-0.000174,-1.5362),(4945,1855,-0.000188,-1.5359),(4945,1865,-0.000203,-1.5357),(4945,1875,-0.000217,-1.5356),(4945,1885,-0.000228,-1.5355),(4945,1895,-0.000233,-1.5354),(4945,1905,-0.000238,-1.5353),(4945,1915,-0.000243,-1.5353),(4945,1925,-0.000224,-1.5354),(4945,1935,-0.00017,-1.5354),(4945,1945,-0.000117,-1.5355),(4945,1955,-6.4e-05,-1.5357),(4945,1965,-5e-06,-1.5359),(4945,1975,6.2e-05,-1.536),(4945,1985,0.000129,-1.5363),(4945,1995,0.000196,-1.5366),(4945,2005,0.000265,-1.5369),(4945,2015,0.000338,-1.5372),(4945,2025,0.000411,-1.5376),(4945,2035,0.000483,-1.5382),(4945,2045,0.000538,-1.5387),(4945,2055,0.000579,-1.5392),(4945,2065,0.000619,-1.5398),(4945,2075,0.000659,-1.5405),(4945,2085,0.000667,-1.5412),(4945,2095,0.000652,-1.5419),(4945,2105,0.000637,-1.5427),(4945,2115,0.000622,-1.5436),(4945,2125,0.000605,-1.5445),(4945,2135,0.000587,-1.5454),(4945,2145,0.000569,-1.5465),(4945,2155,0.000552,-1.5476),(4945,2165,0.000547,-1.5487),(4945,2175,0.00055,-1.5498),(4945,2185,0.000552,-1.551),(4945,2195,0.000555,-1.5523),(4945,2205,0.000584,-1.5536),(4945,2215,0.000626,-1.5549),(4945,2225,0.000667,-1.5563),(4945,2235,0.000709,-1.5577),(4945,2245,0.000808,-1.5592),(4945,2255,0.000928,-1.5606),(4945,2265,0.001047,-1.5621),(4945,2275,0.001167,-1.5637),(4945,2285,0.001339,-1.5652),(4945,2295,0.001526,-1.5668),(4945,2305,0.001713,-1.5684),(4945,2315,0.0019,-1.57),(4945,2325,0.0021,-1.5716),(4945,2335,0.002304,-1.5732),(4945,2345,0.002507,-1.5749),(4945,2355,0.002711,-1.5766),(4945,2365,0.002858,-1.5783),(4945,2375,0.002997,-1.58),(4945,2385,0.003135,-1.5819),(4945,2395,0.003273,-1.5837),(4945,2405,0.003308,-1.5856),(4945,2415,0.00333,-1.5874),(4945,2425,0.003352,-1.5894),(4945,2435,0.003374,-1.5914),(4945,2445,0.00336,-1.5934),(4945,2455,0.003344,-1.5954),(4945,2465,0.003327,-1.5976),(4945,2475,0.003311,-1.5998),(4945,2485,0.003382,-1.602),(4945,2495,0.003455,-1.6041),(4945,2505,0.003528,-1.6065),(4945,2515,0.003603,-1.6088),(4945,2525,0.003782,-1.6112),(4945,2535,0.00396,-1.6135),(4945,2545,0.004139,-1.6159),(4945,2555,0.00432,-1.6183),(4945,2565,0.004545,-1.6206),(4945,2575,0.004769,-1.623),(4945,2585,0.004994,-1.6253),(4945,2595,0.005222,-1.6275),(4945,2605,0.005486,-1.6298),(4945,2615,0.00575,-1.6321),(4945,2625,0.006013,-1.6343),(4945,2635,0.006281,-1.6365),(4945,2645,0.006573,-1.6388),(4945,2655,0.006865,-1.641),(4945,2665,0.007157,-1.6432),(4945,2675,0.007443,-1.6454),(4945,2685,0.007701,-1.6476),(4945,2695,0.007958,-1.6497),(4945,2705,0.008215,-1.6518),(4945,2715,0.008465,-1.6539),(4945,2725,0.008688,-1.6559),(4945,2735,0.00891,-1.6579),(4945,2745,0.009133,-1.6599),(4945,2755,0.009361,-1.6618),(4945,2765,0.009608,-1.6638),(4945,2775,0.009854,-1.6657),(4945,2785,0.0101,-1.6676),(4945,2795,0.010352,-1.6695),(4945,2805,0.010615,-1.6714),(4945,2815,0.010879,-1.6732),(4945,2825,0.011143,-1.675),(4945,2835,0.01141,-1.6768),(4945,2845,0.011686,-1.6787),(4945,2855,0.011962,-1.6804),(4945,2865,0.012237,-1.6821),(4945,2875,0.012529,-1.6838),(4945,2885,0.012849,-1.6854),(4945,2895,0.013168,-1.6871),(4945,2905,0.013487,-1.6887),(4945,2915,0.013824,-1.6902),(4945,2925,0.014184,-1.6918),(4945,2935,0.014545,-1.6933),(4945,2945,0.014905,-1.6948),(4945,2955,0.015266,-1.6963),(4945,2965,0.015625,-1.6977),(4945,2975,0.015984,-1.6991),(4945,2985,0.016344,-1.7004),(4945,2995,0.016711,-1.7016),(4945,3005,0.017085,-1.7029),(4945,3015,0.01746,-1.7041),(4945,3025,0.017835,-1.7052),(4945,3035,0.018219,-1.7063),(4945,3045,0.01861,-1.7075),(4945,3055,0.019001,-1.7085),(4945,3065,0.019392,-1.7095),(4945,3075,0.019761,-1.7105),(4945,3085,0.020114,-1.7115),(4945,3095,0.020466,-1.7124),(4945,3105,0.020819,-1.7132),(4945,3115,0.021139,-1.7139),(4945,3125,0.02144,-1.7147),(4945,3135,0.02174,-1.7154),(4945,3145,0.022041,-1.716),(4945,3155,0.022347,-1.7167),(4945,3165,0.022658,-1.7173),(4945,3175,0.022968,-1.7178),(4945,3185,0.023278,-1.7183),(4945,3195,0.023596,-1.7188),(4945,3205,0.023917,-1.7193),(4945,3215,0.024238,-1.7196),(4945,3225,0.024559,-1.7199),(4945,3235,0.024905,-1.7201),(4945,3245,0.025259,-1.7204),(4945,3255,0.025614,-1.7204),(4945,3265,0.025969,-1.7205),(4945,3275,0.026367,-1.7205),(4945,3285,0.026778,-1.7205),(4945,3295,0.027189,-1.7203),(4945,3305,0.0276,-1.72),(4945,3315,0.027989,-1.7198),(4945,3325,0.028373,-1.7195),(4945,3335,0.028756,-1.7189),(4945,3345,0.02914,-1.7182),(4945,3355,0.029495,-1.7176),(4945,3365,0.029844,-1.7169),(4945,3375,0.030193,-1.7158),(4945,3385,0.030542,-1.7147),(4945,3395,0.030889,-1.7136),(4945,3405,0.031236,-1.7125),(4945,3415,0.031583,-1.7111),(4945,3425,0.03193,-1.7097),(4945,3435,0.032204,-1.7083),(4945,3445,0.032472,-1.7069),(4945,3455,0.03274,-1.705),(4945,3465,0.033008,-1.7032),(4945,3475,0.033198,-1.7013),(4945,3485,0.033385,-1.6994),(4945,3495,0.033572,-1.697),(4945,3505,0.033759,-1.6947),(4945,3515,0.033947,-1.6923),(4945,3525,0.034136,-1.6899),(4945,3535,0.034324,-1.687),(4945,3545,0.034514,-1.6841),(4945,3555,0.034746,-1.6812),(4945,3565,0.034977,-1.6783),(4945,3575,0.035208,-1.6747),(4945,3585,0.035442,-1.6712),(4945,3595,0.035718,-1.6677),(4945,3605,0.035994,-1.6641),(4945,3615,0.03627,-1.6599),(4945,3625,0.036543,-1.6558),(4945,3635,0.03679,-1.6516),(4945,3645,0.037037,-1.6472),(4945,3655,0.037284,-1.6422),(4945,3665,0.037518,-1.6372),(4945,3675,0.037689,-1.6322),(4945,3685,0.03786,-1.627),(4945,3695,0.038031,-1.6211),(4945,3705,0.038182,-1.6152),(4945,3715,0.038256,-1.6093),(4945,3725,0.03833,-1.6032),(4945,3735,0.038404,-1.5964),(4945,3745,0.038453,-1.5896),(4945,3755,0.038426,-1.5828),(4945,3765,0.038398,-1.5758),(4945,3775,0.038371,-1.568),(4945,3785,0.038335,-1.5603),(4945,3795,0.038276,-1.5526),(4945,3805,0.038217,-1.5446),(4945,3815,0.038157,-1.5358),(4945,3825,0.03818,-1.5271),(4945,3835,0.038376,-1.5183),(4945,3845,0.038572,-1.5091),(4945,3855,0.038768,-1.4992),(4945,3865,0.039171,-1.4892),(4945,3875,0.039941,-1.4792),(4945,3885,0.040711,-1.4687),(4945,3895,0.041481,-1.4571),(4945,3905,0.042692,-1.4455),(4945,3915,0.044563,-1.4339),(4945,3925,0.046434,-1.4212),(4945,3935,0.048305,-1.4067),(4945,3945,0.052901,-1.3923),(4945,3955,0.060959,-1.3778),(4945,3965,0.069016,-1.3578),(4945,3975,0.077073,-1.3312),(4945,3985,0.095947,-1.3046),(4945,3995,0.12653,-1.2779),(4945,4005,0.15711,-1.2215),(4945,4015,0.18769,-1.1352),(4945,4025,0.25595,-1.0489),(4945,4035,0.3279,-0.98812),(4945,4045,0.39984,-0.9811),(4945,4055,0.50629,-0.97408),(4945,4065,0.62533,-0.96622),(4945,4075,0.74436,-0.95336),(4945,4085,0.8129,-0.9405),(4945,4095,0.84087,-0.92764),(4945,4105,0.86884,-0.91373),(4945,4115,0.89476,-0.89978),(4945,4125,0.91726,-0.88583),(4945,4135,0.93977,-0.87168),(4945,4145,0.96157,-0.85747),(4945,4155,0.98049,-0.84327),(4945,4165,0.99941,-0.82907),(4945,4175,1.0183,-0.81488),(4945,4185,1.0344,-0.80069),(4945,4195,1.0506,-0.78664),(4945,4205,1.0668,-0.77276),(4945,4215,1.0811,-0.75888),(4945,4225,1.0951,-0.74508),(4945,4235,1.109,-0.73151),(4945,4245,1.1218,-0.71795),(4945,4255,1.1339,-0.70441),(4945,4265,1.146,-0.69127),(4945,4275,1.1573,-0.67812),(4945,4285,1.1678,-0.66497),(4945,4295,1.1783,-0.6523),(4945,4305,1.1884,-0.63969),(4945,4315,1.1975,-0.62707),(4945,4325,1.2066,-0.61481),(4945,4335,1.2156,-0.60269),(4945,4345,1.2236,-0.59057),(4945,4355,1.2315,-0.57874),(4945,4365,1.2394,-0.56714),(4945,4375,1.2464,-0.55554),(4945,4385,1.2533,-0.54415),(4945,4395,1.2602,-0.53314),(4945,4405,1.2664,-0.52213),(4945,4415,1.2723,-0.51123),(4945,4425,1.2783,-0.5008),(4945,4435,1.2838,-0.49037),(4945,4445,1.2889,-0.47994),(4945,4455,1.2941,-0.47015),(4945,4465,1.2989,-0.46037),(4945,4475,1.3033,-0.45058),(4945,4485,1.3078,-0.44126),(4945,4495,1.312,-0.43204),(4945,4505,1.3158,-0.42282),(4945,4515,1.3196,-0.41402),(4945,4525,1.3234,-0.40544),(4945,4535,1.3266,-0.39687),(4945,4545,1.3299,-0.3886),(4945,4555,1.3332,-0.38066),(4945,4565,1.336,-0.37273),(4945,4575,1.3388,-0.36498),(4945,4585,1.3416,-0.35767),(4945,4595,1.3442,-0.35036),(4945,4605,1.3466,-0.34312),(4945,4615,1.3491,-0.3364),(4945,4625,1.3513,-0.32968),(4945,4635,1.3535,-0.32296),(4945,4645,1.3557,-0.31684),(4945,4655,1.3577,-0.31077),(4945,4665,1.3597,-0.3047),(4945,4675,1.3616,-0.29908),(4945,4685,1.3635,-0.29361),(4945,4695,1.3653,-0.28815),(4945,4705,1.367,-0.28304),(4945,4715,1.3688,-0.2782),(4945,4725,1.3705,-0.27336),(4945,4735,1.3722,-0.26877),(4945,4745,1.3739,-0.26454),(4945,4755,1.3755,-0.26032),(4945,4765,1.3772,-0.25623),(4945,4775,1.3789,-0.25264),(4945,4785,1.3805,-0.24905),(4945,4795,1.3823,-0.24549),(4945,4805,1.384,-0.2425),(4945,4815,1.3857,-0.23952),(4945,4825,1.3875,-0.23653),(4945,4835,1.3893,-0.23405),(4945,4845,1.3912,-0.23164),(4945,4855,1.3931,-0.22924),(4945,4865,1.3951,-0.22723),(4945,4875,1.3971,-0.22541),(4945,4885,1.3992,-0.22359),(4945,4895,1.4014,-0.22205),(4945,4905,1.4036,-0.22078),(4945,4915,1.4059,-0.21951),(4945,4925,1.4083,-0.21839),(4945,4935,1.4107,-0.21758),(4945,4945,1.4132,-0.21677),(4945,4955,1.4159,-0.21601),(4945,4965,1.4185,-0.2156),(4945,4975,1.4212,-0.21518),(4945,4985,1.424,-0.21476),(4945,4995,1.4269,-0.21461),(4945,5005,1.4298,-0.21447),(4945,5015,1.4328,-0.21433),(4945,5025,1.4358,-0.21434),(4945,5035,1.4388,-0.21439),(4945,5045,1.4419,-0.21444),(4945,5055,1.4449,-0.2145),(4945,5065,1.448,-0.21457),(4945,5075,1.451,-0.21464),(4945,5085,1.4541,-0.21469),(4945,5095,1.4572,-0.2147),(4945,5105,1.4601,-0.2147),(4945,5115,1.4631,-0.21469),(4945,5125,1.466,-0.2146),(4945,5135,1.4689,-0.21451),(4945,5145,1.4717,-0.21441),(4945,5155,1.4745,-0.21415),(4945,5165,1.4771,-0.21388),(4945,5175,1.4796,-0.21362),(4945,5185,1.4821,-0.21316),(4945,5195,1.4845,-0.21268),(4945,5205,1.4866,-0.2122),(4945,5215,1.4887,-0.21161),(4945,5225,1.4907,-0.21096),(4945,5235,1.4924,-0.21032),(4945,5245,1.4941,-0.20962),(4945,5255,1.4958,-0.20888),(4945,5265,1.4971,-0.20814),(4945,5275,1.4983,-0.2074),(4945,5285,1.4996,-0.20667),(4945,5295,1.5006,-0.20594),(4945,5305,1.5016,-0.20525),(4945,5315,1.5025,-0.2047),(4945,5325,1.5034,-0.20415),(4945,5335,1.5041,-0.2036),(4945,5345,1.5049,-0.20339),(4945,5355,1.5056,-0.20318),(4945,5365,1.5063,-0.20296),(4945,5375,1.507,-0.20316),(4945,5385,1.5077,-0.20344),(4945,5395,1.5085,-0.20372),(4945,5405,1.5093,-0.2044),(4945,5415,1.5102,-0.20529),(4945,5425,1.5112,-0.20618),(4945,5435,1.5123,-0.2074),(4945,5445,1.5134,-0.20899),(4945,5455,1.5149,-0.21058),(4945,5465,1.5164,-0.21242),(4945,5475,1.5179,-0.21482),(4945,5485,1.5199,-0.21723),(4945,5495,1.522,-0.21975),(4945,5505,1.5241,-0.22304),(4945,5515,1.5267,-0.22633),(4945,5525,1.5297,-0.22962),(4945,5535,1.5326,-0.23377),(4945,5545,1.5359,-0.23797),(4945,5555,1.5397,-0.24216),(4945,5565,1.5436,-0.24705),(4945,5575,1.5477,-0.25214),(4945,5585,1.5527,-0.25724),(4945,5595,1.5577,-0.26286),(4945,5605,1.5627,-0.26885),(4945,5615,1.5689,-0.27484),(4945,5625,1.5751,-0.28113),(4945,5635,1.5814,-0.28784),(4945,5645,1.5887,-0.29455),(4945,5655,1.5962,-0.30137),(4945,5665,1.6037,-0.30854),(4945,5675,1.612,-0.31571),(4945,5685,1.6209,-0.32289),(4945,5695,1.6297,-0.33014),(4945,5705,1.639,-0.3374),(4945,5715,1.649,-0.34465),(4945,5725,1.6589,-0.35157),(4945,5735,1.6691,-0.35844),(4945,5745,1.68,-0.36532),(4945,5755,1.6909,-0.37161),(4945,5765,1.7018,-0.37764),(4945,5775,1.7132,-0.38368),(4945,5785,1.7245,-0.38902),(4945,5795,1.7359,-0.39373),(4945,5805,1.7473,-0.39843),(4945,5815,1.7588,-0.40256),(4945,5825,1.7702,-0.40557),(4945,5835,1.7813,-0.40858),(4945,5845,1.7923,-0.41129),(4945,5855,1.8033,-0.41247),(4945,5865,1.8139,-0.41366),(4945,5875,1.8241,-0.41484),(4945,5885,1.8344,-0.4143),(4945,5895,1.8442,-0.41372),(4945,5905,1.8536,-0.41315),(4945,5915,1.8629,-0.41137),(4945,5925,1.872,-0.40931),(4945,5935,1.8804,-0.40724),(4945,5945,1.8887,-0.40443),(4945,5955,1.8971,-0.40119),(4945,5965,1.9046,-0.39794),(4945,5975,1.9122,-0.3943),(4945,5985,1.9197,-0.39019),(4945,5995,1.9267,-0.38608),(4945,6005,1.9336,-0.3818),(4945,6015,1.9405,-0.37706),(4945,6025,1.9471,-0.37232),(4945,6035,1.9534,-0.36754),(4945,6045,1.9598,-0.36235),(4945,6055,1.966,-0.35716),(4945,6065,1.972,-0.35197),(4945,6075,1.978,-0.34646),(4945,6085,1.9839,-0.34093),(4945,6095,1.9896,-0.33539),(4945,6105,1.9952,-0.32961),(4945,6115,2.0008,-0.32374),(4945,6125,2.0062,-0.31787),(4945,6135,2.0115,-0.31188),(4945,6145,2.0168,-0.30578),(4945,6155,2.0219,-0.29968),(4945,6165,2.0269,-0.29351),(4945,6175,2.0319,-0.2872),(4945,6185,2.0367,-0.2809),(4945,6195,2.0414,-0.27456),(4945,6205,2.0461,-0.2681),(4945,6215,2.0506,-0.26165),(4945,6225,2.0549,-0.25519),(4945,6235,2.0593,-0.24855),(4945,6245,2.0635,-0.24191),(4945,6255,2.0675,-0.23527),(4945,6265,2.0715,-0.22855),(4945,6275,2.0755,-0.22181),(4945,6285,2.0791,-0.21508),(4945,6295,2.0828,-0.20828),(4945,6305,2.0864,-0.20145),(4945,6315,2.0896,-0.19461),(4945,6325,2.0929,-0.18773),(4945,6335,2.0962,-0.18079),(4945,6345,2.0992,-0.17385),(4945,6355,2.1021,-0.1669),(4945,6365,2.105,-0.15993),(4945,6375,2.1076,-0.15296),(4945,6385,2.1101,-0.14599),(4945,6395,2.1127,-0.13904),(4945,6405,2.115,-0.13209),(4945,6415,2.1172,-0.12514),(4945,6425,2.1193,-0.11813),(4945,6435,2.1213,-0.11112),(4945,6445,2.1231,-0.10411),(4945,6455,2.1249,-0.097104),(4945,6465,2.1266,-0.090101),(4945,6475,2.128,-0.083099),(4945,6485,2.1294,-0.076086),(4945,6495,2.1308,-0.069066),(4945,6505,2.1318,-0.062046),(4945,6515,2.1328,-0.05504),(4945,6525,2.1339,-0.048052),(4945,6535,2.1346,-0.041064),(4945,6545,2.1353,-0.034071),(4945,6555,2.1359,-0.027061),(4945,6565,2.1364,-0.020051),(4945,6575,2.1367,-0.013042),(4945,6585,2.1369,-0.006046),(4945,6595,1.8179,0.000951),(4945,6605,1.1463,0.007947),(4945,6615,0.47471,0.008758),(4945,6625,0.002574,0.008774),(4945,6635,0.002547,0.00879),(4945,6645,0.00252,0.00881),(4945,6655,0.002494,0.008832),(4945,6665,0.00247,0.008854),(4945,6675,0.002447,0.008874),(4945,6685,0.002423,0.008893),(4945,6695,0.002403,0.008911),(4945,6705,0.002383,0.008929),(4945,6715,0.002362,0.008945),(4945,6725,0.002344,0.00896),(4945,6735,0.002326,0.008976),(4945,6745,0.002308,0.008989),(4945,6755,0.002292,0.009003),(4945,6765,0.002276,0.009016),(4945,6775,0.002261,0.009027),(4945,6785,0.002246,0.009039),(4945,6795,0.002233,0.00905),(4945,6805,0.00222,0.00906),(4945,6815,0.002207,0.009069),(4945,6825,0.002196,0.009079),(4945,6835,0.002184,0.009088),(4945,6845,0.002173,0.009095),(4945,6855,0.002164,0.009103),(4945,6865,0.002154,0.009111),(4945,6875,0.002144,0.009117),(4945,6885,0.002136,0.009124),(4945,6895,0.002128,0.00913),(4945,6905,0.002119,0.009136),(4945,6915,0.002112,0.009141),(4945,6925,0.002106,0.009147),(4945,6935,0.002099,0.009151),(4945,6945,0.002093,0.009155),(4945,6955,0.002087,0.009159),(4945,6965,0.002081,0.009163),(4945,6975,0.002076,0.009166),(4945,6985,0.002071,0.00917),(4955,5,3e-06,-1.4256),(4955,15,1e-05,-1.4257),(4955,25,1.8e-05,-1.4259),(4955,35,2.7e-05,-1.426),(4955,45,3.5e-05,-1.4261),(4955,55,4.4e-05,-1.4262),(4955,65,5.8e-05,-1.4263),(4955,75,7.6e-05,-1.4264),(4955,85,9.5e-05,-1.4265),(4955,95,0.000113,-1.4267),(4955,105,0.000114,-1.4268),(4955,115,0.000104,-1.427),(4955,125,9.4e-05,-1.4271),(4955,135,8.3e-05,-1.4273),(4955,145,8.1e-05,-1.4275),(4955,155,8.4e-05,-1.4277),(4955,165,8.6e-05,-1.4279),(4955,175,8.9e-05,-1.4282),(4955,185,9e-05,-1.4285),(4955,195,9e-05,-1.4288),(4955,205,9e-05,-1.4291),(4955,215,9.1e-05,-1.4294),(4955,225,6.5e-05,-1.4298),(4955,235,2.8e-05,-1.4301),(4955,245,-8e-06,-1.4305),(4955,255,-4.4e-05,-1.431),(4955,265,-8.2e-05,-1.4314),(4955,275,-0.000121,-1.4318),(4955,285,-0.00016,-1.4323),(4955,295,-0.000199,-1.4328),(4955,305,-0.000211,-1.4333),(4955,315,-0.000215,-1.4338),(4955,325,-0.00022,-1.4343),(4955,335,-0.000225,-1.4349),(4955,345,-0.000199,-1.4354),(4955,355,-0.000167,-1.4359),(4955,365,-0.000135,-1.4365),(4955,375,-0.000103,-1.4371),(4955,385,-7.8e-05,-1.4377),(4955,395,-5.3e-05,-1.4382),(4955,405,-2.8e-05,-1.4389),(4955,415,-4e-06,-1.4395),(4955,425,-1e-06,-1.4402),(4955,435,0,-1.4408),(4955,445,0,-1.4415),(4955,455,1e-06,-1.4423),(4955,465,-1e-06,-1.443),(4955,475,-4e-06,-1.4438),(4955,485,-6e-06,-1.4445),(4955,495,-9e-06,-1.4453),(4955,505,-3.5e-05,-1.4461),(4955,515,-6.1e-05,-1.4469),(4955,525,-8.8e-05,-1.4477),(4955,535,-0.000115,-1.4485),(4955,545,-0.000175,-1.4494),(4955,555,-0.000236,-1.4502),(4955,565,-0.000296,-1.4511),(4955,575,-0.000355,-1.452),(4955,585,-0.000411,-1.4529),(4955,595,-0.000466,-1.4537),(4955,605,-0.000521,-1.4547),(4955,615,-0.000571,-1.4557),(4955,625,-0.000587,-1.4567),(4955,635,-0.000604,-1.4577),(4955,645,-0.00062,-1.4587),(4955,655,-0.000634,-1.4597),(4955,665,-0.000638,-1.4608),(4955,675,-0.000642,-1.4618),(4955,685,-0.000646,-1.463),(4955,695,-0.000642,-1.4641),(4955,705,-0.000603,-1.4653),(4955,715,-0.000564,-1.4665),(4955,725,-0.000525,-1.4678),(4955,735,-0.000479,-1.4691),(4955,745,-0.000411,-1.4704),(4955,755,-0.000342,-1.4717),(4955,765,-0.000273,-1.4729),(4955,775,-0.000202,-1.4742),(4955,785,-0.000122,-1.4755),(4955,795,-4.3e-05,-1.4768),(4955,805,3.6e-05,-1.478),(4955,815,0.000101,-1.4793),(4955,825,0.000134,-1.4805),(4955,835,0.000166,-1.4818),(4955,845,0.000198,-1.4831),(4955,855,0.0002,-1.4843),(4955,865,0.000146,-1.4856),(4955,875,9.1e-05,-1.4869),(4955,885,3.6e-05,-1.4883),(4955,895,-2.7e-05,-1.4896),(4955,905,-0.000102,-1.4909),(4955,915,-0.000178,-1.4923),(4955,925,-0.000254,-1.4937),(4955,935,-0.000319,-1.4951),(4955,945,-0.00037,-1.4965),(4955,955,-0.000421,-1.498),(4955,965,-0.000473,-1.4995),(4955,975,-0.000498,-1.501),(4955,985,-0.000494,-1.5025),(4955,995,-0.000491,-1.504),(4955,1005,-0.000487,-1.5054),(4955,1015,-0.000486,-1.5069),(4955,1025,-0.000487,-1.5083),(4955,1035,-0.000487,-1.5097),(4955,1045,-0.000488,-1.5111),(4955,1055,-0.000499,-1.5124),(4955,1065,-0.000518,-1.5138),(4955,1075,-0.000538,-1.5151),(4955,1085,-0.000557,-1.5164),(4955,1095,-0.000487,-1.5178),(4955,1105,-0.000353,-1.5191),(4955,1115,-0.000219,-1.5204),(4955,1125,-8.6e-05,-1.5217),(4955,1135,0.000219,-1.5229),(4955,1145,0.000626,-1.5242),(4955,1155,0.001032,-1.5253),(4955,1165,0.001439,-1.5264),(4955,1175,0.001953,-1.5275),(4955,1185,0.002521,-1.5287),(4955,1195,0.00309,-1.5298),(4955,1205,0.003658,-1.531),(4955,1215,0.004223,-1.5321),(4955,1225,0.004786,-1.5333),(4955,1235,0.005349,-1.5342),(4955,1245,0.005912,-1.5349),(4955,1255,0.009972,-1.5356),(4955,1265,0.015213,-1.5364),(4955,1275,0.020454,-1.5244),(4955,1285,0.025694,-1.5085),(4955,1295,0.03718,-1.4926),(4955,1305,0.050355,-1.4767),(4955,1315,0.06353,-1.4147),(4955,1325,0.076704,-1.3415),(4955,1335,0.044602,-1.2684),(4955,1345,0.003011,-1.1953),(4955,1355,-0.03858,-1.244),(4955,1365,-0.080171,-1.3148),(4955,1375,-0.073125,-1.3856),(4955,1385,-0.058575,-1.4564),(4955,1395,-0.044025,-1.483),(4955,1405,-0.029475,-1.504),(4955,1415,-0.022274,-1.5249),(4955,1425,-0.015835,-1.5458),(4955,1435,-0.009397,-1.5473),(4955,1445,-0.002958,-1.5473),(4955,1455,-0.002789,-1.5472),(4955,1465,-0.00298,-1.5471),(4955,1475,-0.003172,-1.547),(4955,1485,-0.003363,-1.5468),(4955,1495,-0.003032,-1.5466),(4955,1505,-0.002693,-1.5465),(4955,1515,-0.002354,-1.5464),(4955,1525,-0.002013,-1.5464),(4955,1535,-0.001636,-1.5463),(4955,1545,-0.001258,-1.5463),(4955,1555,-0.00088,-1.5461),(4955,1565,-0.000518,-1.5459),(4955,1575,-0.000394,-1.5458),(4955,1585,-0.00027,-1.5456),(4955,1595,-0.000146,-1.5453),(4955,1605,-3.8e-05,-1.5449),(4955,1615,-6.3e-05,-1.5446),(4955,1625,-8.9e-05,-1.5442),(4955,1635,-0.000114,-1.5438),(4955,1645,-0.000144,-1.5434),(4955,1655,-0.000199,-1.543),(4955,1665,-0.000254,-1.5425),(4955,1675,-0.000309,-1.5421),(4955,1685,-0.000359,-1.5418),(4955,1695,-0.000387,-1.5414),(4955,1705,-0.000415,-1.541),(4955,1715,-0.000443,-1.5406),(4955,1725,-0.000463,-1.5403),(4955,1735,-0.000455,-1.5399),(4955,1745,-0.000446,-1.5395),(4955,1755,-0.000438,-1.5391),(4955,1765,-0.00042,-1.5387),(4955,1775,-0.000376,-1.5383),(4955,1785,-0.000331,-1.5379),(4955,1795,-0.000286,-1.5376),(4955,1805,-0.000242,-1.5373),(4955,1815,-0.0002,-1.537),(4955,1825,-0.000158,-1.5367),(4955,1835,-0.000116,-1.5364),(4955,1845,-9.3e-05,-1.5362),(4955,1855,-0.000108,-1.536),(4955,1865,-0.000123,-1.5358),(4955,1875,-0.000138,-1.5356),(4955,1885,-0.000152,-1.5355),(4955,1895,-0.000163,-1.5354),(4955,1905,-0.000174,-1.5353),(4955,1915,-0.000186,-1.5353),(4955,1925,-0.000175,-1.5354),(4955,1935,-0.000133,-1.5354),(4955,1945,-9.1e-05,-1.5355),(4955,1955,-4.9e-05,-1.5357),(4955,1965,2e-06,-1.5359),(4955,1975,6.4e-05,-1.536),(4955,1985,0.000126,-1.5363),(4955,1995,0.000187,-1.5366),(4955,2005,0.000253,-1.5369),(4955,2015,0.000324,-1.5372),(4955,2025,0.000394,-1.5376),(4955,2035,0.000464,-1.5381),(4955,2045,0.000521,-1.5386),(4955,2055,0.000566,-1.5392),(4955,2065,0.000611,-1.5398),(4955,2075,0.000656,-1.5405),(4955,2085,0.000672,-1.5412),(4955,2095,0.000666,-1.5419),(4955,2105,0.000661,-1.5427),(4955,2115,0.000655,-1.5436),(4955,2125,0.000646,-1.5445),(4955,2135,0.000635,-1.5454),(4955,2145,0.000624,-1.5464),(4955,2155,0.000613,-1.5475),(4955,2165,0.000618,-1.5486),(4955,2175,0.000631,-1.5497),(4955,2185,0.000644,-1.551),(4955,2195,0.000657,-1.5523),(4955,2205,0.000694,-1.5536),(4955,2215,0.000741,-1.5549),(4955,2225,0.000789,-1.5563),(4955,2235,0.000837,-1.5577),(4955,2245,0.000931,-1.5592),(4955,2255,0.001042,-1.5606),(4955,2265,0.001153,-1.5622),(4955,2275,0.001264,-1.5637),(4955,2285,0.001421,-1.5653),(4955,2295,0.00159,-1.5668),(4955,2305,0.00176,-1.5684),(4955,2315,0.00193,-1.57),(4955,2325,0.002115,-1.5716),(4955,2335,0.002303,-1.5732),(4955,2345,0.002491,-1.5749),(4955,2355,0.002679,-1.5766),(4955,2365,0.002823,-1.5783),(4955,2375,0.002959,-1.58),(4955,2385,0.003095,-1.5819),(4955,2395,0.003231,-1.5837),(4955,2405,0.003272,-1.5856),(4955,2415,0.003302,-1.5874),(4955,2425,0.003332,-1.5894),(4955,2435,0.003362,-1.5914),(4955,2445,0.003356,-1.5934),(4955,2455,0.003347,-1.5954),(4955,2465,0.003338,-1.5975),(4955,2475,0.003329,-1.5997),(4955,2485,0.003405,-1.6019),(4955,2495,0.003484,-1.604),(4955,2505,0.003562,-1.6064),(4955,2515,0.003642,-1.6087),(4955,2525,0.003821,-1.6111),(4955,2535,0.003999,-1.6134),(4955,2545,0.004177,-1.6158),(4955,2555,0.004357,-1.6182),(4955,2565,0.004568,-1.6206),(4955,2575,0.00478,-1.623),(4955,2585,0.004991,-1.6253),(4955,2595,0.005206,-1.6275),(4955,2605,0.005448,-1.6298),(4955,2615,0.005691,-1.6321),(4955,2625,0.005933,-1.6343),(4955,2635,0.006181,-1.6365),(4955,2645,0.006459,-1.6387),(4955,2655,0.006738,-1.6409),(4955,2665,0.007017,-1.6431),(4955,2675,0.00729,-1.6453),(4955,2685,0.007538,-1.6475),(4955,2695,0.007787,-1.6497),(4955,2705,0.008035,-1.6518),(4955,2715,0.008275,-1.6538),(4955,2725,0.008484,-1.6559),(4955,2735,0.008692,-1.6579),(4955,2745,0.008901,-1.6598),(4955,2755,0.009115,-1.6618),(4955,2765,0.009348,-1.6637),(4955,2775,0.009581,-1.6656),(4955,2785,0.009814,-1.6675),(4955,2795,0.010054,-1.6694),(4955,2805,0.010311,-1.6713),(4955,2815,0.010568,-1.6731),(4955,2825,0.010825,-1.6749),(4955,2835,0.011084,-1.6768),(4955,2845,0.011348,-1.6786),(4955,2855,0.011611,-1.6803),(4955,2865,0.011874,-1.682),(4955,2875,0.012151,-1.6837),(4955,2885,0.012452,-1.6854),(4955,2895,0.012753,-1.687),(4955,2905,0.013054,-1.6886),(4955,2915,0.013373,-1.6902),(4955,2925,0.013719,-1.6917),(4955,2935,0.014064,-1.6933),(4955,2945,0.01441,-1.6947),(4955,2955,0.014754,-1.6962),(4955,2965,0.015094,-1.6977),(4955,2975,0.015434,-1.6991),(4955,2985,0.015774,-1.7003),(4955,2995,0.016121,-1.7016),(4955,3005,0.016474,-1.7029),(4955,3015,0.016826,-1.7041),(4955,3025,0.017179,-1.7052),(4955,3035,0.017543,-1.7063),(4955,3045,0.017917,-1.7074),(4955,3055,0.018291,-1.7085),(4955,3065,0.018665,-1.7095),(4955,3075,0.019017,-1.7105),(4955,3085,0.019353,-1.7115),(4955,3095,0.019689,-1.7123),(4955,3105,0.020025,-1.7131),(4955,3115,0.020329,-1.7139),(4955,3125,0.020613,-1.7147),(4955,3135,0.020896,-1.7154),(4955,3145,0.021179,-1.716),(4955,3155,0.021471,-1.7166),(4955,3165,0.021766,-1.7173),(4955,3175,0.022062,-1.7178),(4955,3185,0.022357,-1.7183),(4955,3195,0.022659,-1.7188),(4955,3205,0.022963,-1.7193),(4955,3215,0.023268,-1.7197),(4955,3225,0.023572,-1.7199),(4955,3235,0.023897,-1.7202),(4955,3245,0.02423,-1.7204),(4955,3255,0.024564,-1.7205),(4955,3265,0.024897,-1.7205),(4955,3275,0.025276,-1.7205),(4955,3285,0.02567,-1.7205),(4955,3295,0.026063,-1.7203),(4955,3305,0.026457,-1.72),(4955,3315,0.026829,-1.7198),(4955,3325,0.027196,-1.7196),(4955,3335,0.027563,-1.719),(4955,3345,0.02793,-1.7183),(4955,3355,0.028263,-1.7176),(4955,3365,0.02859,-1.717),(4955,3375,0.028917,-1.7159),(4955,3385,0.029243,-1.7148),(4955,3395,0.029576,-1.7137),(4955,3405,0.02991,-1.7126),(4955,3415,0.030244,-1.7112),(4955,3425,0.030578,-1.7098),(4955,3435,0.030849,-1.7084),(4955,3445,0.031115,-1.707),(4955,3455,0.031381,-1.7051),(4955,3465,0.031647,-1.7033),(4955,3475,0.031827,-1.7014),(4955,3485,0.032004,-1.6996),(4955,3495,0.032181,-1.6972),(4955,3505,0.032358,-1.6948),(4955,3515,0.03253,-1.6925),(4955,3525,0.032701,-1.6901),(4955,3535,0.032873,-1.6872),(4955,3545,0.033047,-1.6843),(4955,3555,0.033262,-1.6814),(4955,3565,0.033476,-1.6785),(4955,3575,0.033691,-1.675),(4955,3585,0.033909,-1.6715),(4955,3595,0.034167,-1.668),(4955,3605,0.034424,-1.6644),(4955,3615,0.034681,-1.6602),(4955,3625,0.034934,-1.6561),(4955,3635,0.035158,-1.6519),(4955,3645,0.035382,-1.6476),(4955,3655,0.035606,-1.6426),(4955,3665,0.035818,-1.6376),(4955,3675,0.035965,-1.6326),(4955,3685,0.036113,-1.6274),(4955,3695,0.036261,-1.6215),(4955,3705,0.036391,-1.6156),(4955,3715,0.036453,-1.6097),(4955,3725,0.036515,-1.6036),(4955,3735,0.036577,-1.5968),(4955,3745,0.036618,-1.5901),(4955,3755,0.036592,-1.5833),(4955,3765,0.036567,-1.5762),(4955,3775,0.036542,-1.5685),(4955,3785,0.036508,-1.5608),(4955,3795,0.036454,-1.5531),(4955,3805,0.0364,-1.5451),(4955,3815,0.036346,-1.5363),(4955,3825,0.03637,-1.5276),(4955,3835,0.036559,-1.5188),(4955,3845,0.036747,-1.5096),(4955,3855,0.036935,-1.4996),(4955,3865,0.037295,-1.4897),(4955,3875,0.03796,-1.4797),(4955,3885,0.038626,-1.4692),(4955,3895,0.039291,-1.4577),(4955,3905,0.040277,-1.4463),(4955,3915,0.041743,-1.4349),(4955,3925,0.043209,-1.4223),(4955,3935,0.044675,-1.4082),(4955,3945,0.047913,-1.394),(4955,3955,0.053399,-1.3799),(4955,3965,0.058886,-1.3593),(4955,3975,0.064373,-1.3311),(4955,3985,0.073278,-1.3028),(4955,3995,0.085884,-1.2746),(4955,4005,0.09849,-1.2179),(4955,4015,0.1111,-1.1329),(4955,4025,0.19784,-1.0479),(4955,4035,0.29184,-0.98833),(4955,4045,0.38584,-0.98249),(4955,4055,0.49671,-0.97664),(4955,4065,0.61373,-0.96992),(4955,4075,0.73075,-0.95791),(4955,4085,0.79822,-0.94591),(4955,4095,0.82586,-0.93391),(4955,4105,0.85351,-0.9205),(4955,4115,0.87917,-0.90703),(4955,4125,0.90155,-0.89357),(4955,4135,0.92393,-0.87978),(4955,4145,0.94562,-0.8659),(4955,4155,0.96452,-0.85203),(4955,4165,0.98343,-0.83811),(4955,4175,1.0023,-0.82417),(4955,4185,1.0185,-0.81023),(4955,4195,1.0347,-0.7964),(4955,4205,1.0509,-0.7827),(4955,4215,1.0653,-0.76901),(4955,4225,1.0794,-0.75539),(4955,4235,1.0934,-0.74198),(4955,4245,1.1063,-0.72857),(4955,4255,1.1185,-0.71519),(4955,4265,1.1307,-0.70218),(4955,4275,1.1421,-0.68918),(4955,4285,1.1528,-0.67618),(4955,4295,1.1634,-0.66364),(4955,4305,1.1736,-0.65115),(4955,4315,1.1829,-0.63866),(4955,4325,1.1921,-0.62651),(4955,4335,1.2013,-0.61451),(4955,4345,1.2094,-0.60251),(4955,4355,1.2175,-0.59077),(4955,4365,1.2256,-0.57928),(4955,4375,1.2327,-0.56778),(4955,4385,1.2397,-0.55649),(4955,4395,1.2468,-0.54558),(4955,4405,1.2531,-0.53466),(4955,4415,1.2593,-0.52385),(4955,4425,1.2654,-0.5135),(4955,4435,1.2711,-0.50316),(4955,4445,1.2764,-0.49281),(4955,4455,1.2817,-0.4831),(4955,4465,1.2867,-0.47339),(4955,4475,1.2914,-0.46368),(4955,4485,1.296,-0.45443),(4955,4495,1.3004,-0.44528),(4955,4505,1.3044,-0.43614),(4955,4515,1.3084,-0.4274),(4955,4525,1.3123,-0.41888),(4955,4535,1.3158,-0.41037),(4955,4545,1.3192,-0.40216),(4955,4555,1.3227,-0.39429),(4955,4565,1.3257,-0.38642),(4955,4575,1.3287,-0.37873),(4955,4585,1.3317,-0.37148),(4955,4595,1.3345,-0.36423),(4955,4605,1.3371,-0.35704),(4955,4615,1.3397,-0.35038),(4955,4625,1.3422,-0.34371),(4955,4635,1.3445,-0.33705),(4955,4645,1.3469,-0.33099),(4955,4655,1.3491,-0.32497),(4955,4665,1.3512,-0.31896),(4955,4675,1.3534,-0.3134),(4955,4685,1.3555,-0.30799),(4955,4695,1.3574,-0.30258),(4955,4705,1.3594,-0.29752),(4955,4715,1.3613,-0.29273),(4955,4725,1.3632,-0.28795),(4955,4735,1.3651,-0.2834),(4955,4745,1.3669,-0.27922),(4955,4755,1.3688,-0.27504),(4955,4765,1.3706,-0.271),(4955,4775,1.3725,-0.26745),(4955,4785,1.3744,-0.26391),(4955,4795,1.3763,-0.26039),(4955,4805,1.3782,-0.25744),(4955,4815,1.3801,-0.2545),(4955,4825,1.3821,-0.25156),(4955,4835,1.3841,-0.2491),(4955,4845,1.3861,-0.24672),(4955,4855,1.3883,-0.24435),(4955,4865,1.3904,-0.24236),(4955,4875,1.3926,-0.24055),(4955,4885,1.3949,-0.23874),(4955,4895,1.3972,-0.2372),(4955,4905,1.3995,-0.23591),(4955,4915,1.402,-0.23463),(4955,4925,1.4046,-0.23349),(4955,4935,1.4071,-0.23263),(4955,4945,1.4098,-0.23178),(4955,4955,1.4125,-0.23098),(4955,4965,1.4153,-0.23048),(4955,4975,1.4181,-0.22999),(4955,4985,1.421,-0.22949),(4955,4995,1.424,-0.22924),(4955,5005,1.4269,-0.22899),(4955,5015,1.43,-0.22875),(4955,5025,1.433,-0.22863),(4955,5035,1.4361,-0.22856),(4955,5045,1.4391,-0.22848),(4955,5055,1.4422,-0.2284),(4955,5065,1.4453,-0.22833),(4955,5075,1.4483,-0.22825),(4955,5085,1.4513,-0.22816),(4955,5095,1.4544,-0.22802),(4955,5105,1.4573,-0.22789),(4955,5115,1.4602,-0.22774),(4955,5125,1.4631,-0.22752),(4955,5135,1.4659,-0.22731),(4955,5145,1.4686,-0.22708),(4955,5155,1.4714,-0.22671),(4955,5165,1.4739,-0.22634),(4955,5175,1.4764,-0.22596),(4955,5185,1.4788,-0.22542),(4955,5195,1.4811,-0.22487),(4955,5205,1.4831,-0.22431),(4955,5215,1.4852,-0.22367),(4955,5225,1.4871,-0.223),(4955,5235,1.4888,-0.22232),(4955,5245,1.4904,-0.22162),(4955,5255,1.4921,-0.22091),(4955,5265,1.4933,-0.22019),(4955,5275,1.4946,-0.2195),(4955,5285,1.4959,-0.21884),(4955,5295,1.497,-0.21819),(4955,5305,1.4979,-0.21757),(4955,5315,1.4989,-0.21714),(4955,5325,1.4999,-0.2167),(4955,5335,1.5007,-0.21627),(4955,5345,1.5016,-0.21621),(4955,5355,1.5024,-0.21614),(4955,5365,1.5032,-0.21608),(4955,5375,1.5041,-0.21645),(4955,5385,1.505,-0.2169),(4955,5395,1.506,-0.21735),(4955,5405,1.507,-0.21821),(4955,5415,1.508,-0.21928),(4955,5425,1.5093,-0.22035),(4955,5435,1.5106,-0.22176),(4955,5445,1.5119,-0.22354),(4955,5455,1.5136,-0.22531),(4955,5465,1.5154,-0.22732),(4955,5475,1.5171,-0.22989),(4955,5485,1.5194,-0.23247),(4955,5495,1.5218,-0.23514),(4955,5505,1.5242,-0.23857),(4955,5515,1.5271,-0.24199),(4955,5525,1.5303,-0.24542),(4955,5535,1.5335,-0.24964),(4955,5545,1.5371,-0.25391),(4955,5555,1.5413,-0.25818),(4955,5565,1.5454,-0.26308),(4955,5575,1.5498,-0.26816),(4955,5585,1.5551,-0.27325),(4955,5595,1.5603,-0.27879),(4955,5605,1.5656,-0.28466),(4955,5615,1.572,-0.29052),(4955,5625,1.5785,-0.29663),(4955,5635,1.5849,-0.30309),(4955,5645,1.5924,-0.30955),(4955,5655,1.6,-0.31608),(4955,5665,1.6077,-0.32284),(4955,5675,1.6161,-0.32961),(4955,5685,1.625,-0.33637),(4955,5695,1.6338,-0.34308),(4955,5705,1.6431,-0.34979),(4955,5715,1.6529,-0.35649),(4955,5725,1.6628,-0.36276),(4955,5735,1.6728,-0.36896),(4955,5745,1.6834,-0.37517),(4955,5755,1.694,-0.38074),(4955,5765,1.7046,-0.38604),(4955,5775,1.7156,-0.39134),(4955,5785,1.7265,-0.39594),(4955,5795,1.7374,-0.39991),(4955,5805,1.7483,-0.40387),(4955,5815,1.7591,-0.40728),(4955,5825,1.77,-0.40964),(4955,5835,1.7805,-0.41199),(4955,5845,1.7909,-0.41407),(4955,5855,1.8013,-0.41473),(4955,5865,1.8113,-0.4154),(4955,5875,1.8209,-0.41606),(4955,5885,1.8305,-0.41514),(4955,5895,1.8399,-0.4142),(4955,5905,1.8487,-0.41326),(4955,5915,1.8575,-0.41123),(4955,5925,1.8661,-0.40894),(4955,5935,1.8741,-0.40665),(4955,5945,1.882,-0.40369),(4955,5955,1.89,-0.40034),(4955,5965,1.8972,-0.39698),(4955,5975,1.9045,-0.39326),(4955,5985,1.9117,-0.38912),(4955,5995,1.9185,-0.38497),(4955,6005,1.9252,-0.38066),(4955,6015,1.9319,-0.37593),(4955,6025,1.9383,-0.3712),(4955,6035,1.9445,-0.36643),(4955,6045,1.9507,-0.36127),(4955,6055,1.9568,-0.35611),(4955,6065,1.9626,-0.35096),(4955,6075,1.9685,-0.34549),(4955,6085,1.9742,-0.33999),(4955,6095,1.9798,-0.33449),(4955,6105,1.9853,-0.32876),(4955,6115,1.9908,-0.32294),(4955,6125,1.9961,-0.31712),(4955,6135,2.0013,-0.31118),(4955,6145,2.0066,-0.30513),(4955,6155,2.0115,-0.29908),(4955,6165,2.0165,-0.29296),(4955,6175,2.0214,-0.28671),(4955,6185,2.0261,-0.28045),(4955,6195,2.0307,-0.27417),(4955,6205,2.0354,-0.26776),(4955,6215,2.0398,-0.26135),(4955,6225,2.0441,-0.25494),(4955,6235,2.0484,-0.24835),(4955,6245,2.0526,-0.24176),(4955,6255,2.0566,-0.23517),(4955,6265,2.0605,-0.22849),(4955,6275,2.0644,-0.2218),(4955,6285,2.068,-0.2151),(4955,6295,2.0716,-0.20834),(4955,6305,2.0752,-0.20154),(4955,6315,2.0784,-0.19473),(4955,6325,2.0817,-0.18788),(4955,6335,2.0849,-0.18096),(4955,6345,2.0879,-0.17405),(4955,6355,2.0908,-0.16712),(4955,6365,2.0937,-0.16016),(4955,6375,2.0963,-0.15321),(4955,6385,2.0988,-0.14625),(4955,6395,2.1013,-0.13931),(4955,6405,2.1036,-0.13237),(4955,6415,2.1058,-0.12543),(4955,6425,2.1079,-0.11842),(4955,6435,2.1099,-0.11141),(4955,6445,2.1117,-0.1044),(4955,6455,2.1135,-0.097389),(4955,6465,2.1152,-0.090379),(4955,6475,2.1166,-0.08337),(4955,6485,2.118,-0.076345),(4955,6495,2.1194,-0.06931),(4955,6505,2.1204,-0.062275),(4955,6515,2.1214,-0.055252),(4955,6525,2.1225,-0.048246),(4955,6535,2.1232,-0.04124),(4955,6545,2.1239,-0.034228),(4955,6555,2.1245,-0.0272),(4955,6565,2.1249,-0.020171),(4955,6575,2.1252,-0.013143),(4955,6585,2.1255,-0.006127),(4955,6595,1.8082,0.000889),(4955,6605,1.1402,0.007906),(4955,6615,0.47216,0.008722),(4955,6625,0.002543,0.008743),(4955,6635,0.002518,0.008763),(4955,6645,0.002492,0.008785),(4955,6655,0.002467,0.008808),(4955,6665,0.002445,0.008831),(4955,6675,0.002423,0.008852),(4955,6685,0.0024,0.008871),(4955,6695,0.002381,0.008891),(4955,6705,0.002361,0.008909),(4955,6715,0.002342,0.008926),(4955,6725,0.002324,0.008943),(4955,6735,0.002307,0.008959),(4955,6745,0.00229,0.008973),(4955,6755,0.002274,0.008987),(4955,6765,0.00226,0.009001),(4955,6775,0.002245,0.009013),(4955,6785,0.002231,0.009025),(4955,6795,0.002218,0.009037),(4955,6805,0.002206,0.009048),(4955,6815,0.002194,0.009058),(4955,6825,0.002183,0.009068),(4955,6835,0.002172,0.009077),(4955,6845,0.002161,0.009085),(4955,6855,0.002152,0.009094),(4955,6865,0.002143,0.009102),(4955,6875,0.002133,0.009109),(4955,6885,0.002125,0.009116),(4955,6895,0.002118,0.009123),(4955,6905,0.00211,0.009128),(4955,6915,0.002103,0.009134),(4955,6925,0.002097,0.00914),(4955,6935,0.00209,0.009145),(4955,6945,0.002084,0.009149),(4955,6955,0.002079,0.009154),(4955,6965,0.002074,0.009158),(4955,6975,0.002069,0.009162),(4955,6985,0.002064,0.009165),(4965,5,5e-06,-1.4256),(4965,15,1.6e-05,-1.4257),(4965,25,2.4e-05,-1.4259),(4965,35,3.1e-05,-1.426),(4965,45,3.7e-05,-1.4261),(4965,55,4.4e-05,-1.4262),(4965,65,5.6e-05,-1.4263),(4965,75,7.1e-05,-1.4264),(4965,85,8.7e-05,-1.4265),(4965,95,0.000103,-1.4267),(4965,105,0.000105,-1.4268),(4965,115,9.6e-05,-1.427),(4965,125,8.8e-05,-1.4272),(4965,135,8e-05,-1.4273),(4965,145,7.6e-05,-1.4275),(4965,155,7.4e-05,-1.4277),(4965,165,7.2e-05,-1.4279),(4965,175,7e-05,-1.4282),(4965,185,7e-05,-1.4285),(4965,195,7e-05,-1.4287),(4965,205,6.9e-05,-1.4291),(4965,215,6.9e-05,-1.4294),(4965,225,5.1e-05,-1.4298),(4965,235,2.5e-05,-1.4301),(4965,245,0,-1.4305),(4965,255,-2.6e-05,-1.431),(4965,265,-5.4e-05,-1.4314),(4965,275,-8.3e-05,-1.4318),(4965,285,-0.000113,-1.4323),(4965,295,-0.000142,-1.4328),(4965,305,-0.000155,-1.4333),(4965,315,-0.000163,-1.4338),(4965,325,-0.000171,-1.4343),(4965,335,-0.000179,-1.4349),(4965,345,-0.000162,-1.4354),(4965,355,-0.000141,-1.4359),(4965,365,-0.00012,-1.4365),(4965,375,-9.9e-05,-1.4371),(4965,385,-8e-05,-1.4377),(4965,395,-6e-05,-1.4383),(4965,405,-4.1e-05,-1.4389),(4965,415,-2.1e-05,-1.4395),(4965,425,-2e-05,-1.4402),(4965,435,-2e-05,-1.4408),(4965,445,-2e-05,-1.4416),(4965,455,-2.1e-05,-1.4423),(4965,465,-2.5e-05,-1.443),(4965,475,-3e-05,-1.4438),(4965,485,-3.5e-05,-1.4445),(4965,495,-4e-05,-1.4453),(4965,505,-6.4e-05,-1.4461),(4965,515,-8.8e-05,-1.4469),(4965,525,-0.000112,-1.4477),(4965,535,-0.000137,-1.4486),(4965,545,-0.00019,-1.4494),(4965,555,-0.000242,-1.4503),(4965,565,-0.000295,-1.4511),(4965,575,-0.000347,-1.452),(4965,585,-0.000402,-1.4529),(4965,595,-0.000456,-1.4538),(4965,605,-0.000511,-1.4547),(4965,615,-0.000562,-1.4557),(4965,625,-0.000587,-1.4567),(4965,635,-0.000612,-1.4577),(4965,645,-0.000637,-1.4587),(4965,655,-0.00066,-1.4597),(4965,665,-0.000673,-1.4608),(4965,675,-0.000686,-1.4618),(4965,685,-0.0007,-1.463),(4965,695,-0.000705,-1.4641),(4965,705,-0.000674,-1.4653),(4965,715,-0.000643,-1.4665),(4965,725,-0.000613,-1.4678),(4965,735,-0.000575,-1.469),(4965,745,-0.000513,-1.4703),(4965,755,-0.000451,-1.4716),(4965,765,-0.00039,-1.4729),(4965,775,-0.000326,-1.4742),(4965,785,-0.000258,-1.4755),(4965,795,-0.00019,-1.4767),(4965,805,-0.000121,-1.478),(4965,815,-6.6e-05,-1.4793),(4965,825,-3.8e-05,-1.4805),(4965,835,-1.1e-05,-1.4818),(4965,845,1.7e-05,-1.4831),(4965,855,1.8e-05,-1.4844),(4965,865,-3e-05,-1.4856),(4965,875,-7.8e-05,-1.4869),(4965,885,-0.000126,-1.4883),(4965,895,-0.000183,-1.4896),(4965,905,-0.000254,-1.4909),(4965,915,-0.000325,-1.4923),(4965,925,-0.000396,-1.4937),(4965,935,-0.000458,-1.4951),(4965,945,-0.000509,-1.4965),(4965,955,-0.00056,-1.498),(4965,965,-0.00061,-1.4995),(4965,975,-0.000639,-1.501),(4965,985,-0.000643,-1.5025),(4965,995,-0.000647,-1.504),(4965,1005,-0.000651,-1.5054),(4965,1015,-0.000656,-1.5069),(4965,1025,-0.000662,-1.5083),(4965,1035,-0.000668,-1.5097),(4965,1045,-0.000674,-1.5111),(4965,1055,-0.000691,-1.5125),(4965,1065,-0.000717,-1.5138),(4965,1075,-0.000743,-1.5152),(4965,1085,-0.000769,-1.5165),(4965,1095,-0.000726,-1.5178),(4965,1105,-0.000634,-1.5192),(4965,1115,-0.000542,-1.5204),(4965,1125,-0.00045,-1.5216),(4965,1135,-0.000184,-1.5229),(4965,1145,0.000185,-1.5241),(4965,1155,0.000554,-1.5252),(4965,1165,0.000922,-1.5263),(4965,1175,0.001522,-1.5274),(4965,1185,0.002238,-1.5285),(4965,1195,0.002953,-1.5299),(4965,1205,0.003668,-1.5313),(4965,1215,0.0044,-1.5328),(4965,1225,0.005139,-1.5342),(4965,1235,0.005877,-1.5358),(4965,1245,0.006616,-1.5373),(4965,1255,0.006874,-1.5389),(4965,1265,0.00697,-1.5405),(4965,1275,0.007066,-1.5277),(4965,1285,0.007162,-1.5106),(4965,1295,0.00682,-1.4935),(4965,1305,0.00636,-1.4764),(4965,1315,0.0059,-1.4142),(4965,1325,0.00544,-1.3412),(4965,1335,0.001516,-1.2683),(4965,1345,-0.003134,-1.1953),(4965,1355,-0.007785,-1.2449),(4965,1365,-0.012435,-1.3166),(4965,1375,-0.011233,-1.3883),(4965,1385,-0.009128,-1.46),(4965,1395,-0.007023,-1.4877),(4965,1405,-0.004919,-1.5096),(4965,1415,-0.004699,-1.5316),(4965,1425,-0.004676,-1.5535),(4965,1435,-0.004652,-1.5537),(4965,1445,-0.004629,-1.5521),(4965,1455,-0.004417,-1.5506),(4965,1465,-0.004194,-1.549),(4965,1475,-0.003971,-1.5483),(4965,1485,-0.003748,-1.5477),(4965,1495,-0.003174,-1.5471),(4965,1505,-0.002594,-1.5464),(4965,1515,-0.002014,-1.5464),(4965,1525,-0.00144,-1.5463),(4965,1535,-0.001084,-1.5463),(4965,1545,-0.000727,-1.5462),(4965,1555,-0.00037,-1.5461),(4965,1565,-3e-05,-1.5459),(4965,1575,6.6e-05,-1.5458),(4965,1585,0.000162,-1.5456),(4965,1595,0.000257,-1.5453),(4965,1605,0.000339,-1.545),(4965,1615,0.000302,-1.5446),(4965,1625,0.000265,-1.5443),(4965,1635,0.000228,-1.5438),(4965,1645,0.000187,-1.5434),(4965,1655,0.000125,-1.543),(4965,1665,6.3e-05,-1.5425),(4965,1675,1e-06,-1.5421),(4965,1685,-5.5e-05,-1.5418),(4965,1695,-8.7e-05,-1.5414),(4965,1705,-0.000118,-1.541),(4965,1715,-0.000149,-1.5406),(4965,1725,-0.000173,-1.5402),(4965,1735,-0.000172,-1.5399),(4965,1745,-0.00017,-1.5395),(4965,1755,-0.000169,-1.5391),(4965,1765,-0.00016,-1.5387),(4965,1775,-0.000128,-1.5383),(4965,1785,-9.7e-05,-1.5379),(4965,1795,-6.5e-05,-1.5376),(4965,1805,-3.3e-05,-1.5373),(4965,1815,3e-06,-1.537),(4965,1825,3.8e-05,-1.5367),(4965,1835,7.4e-05,-1.5364),(4965,1845,9.4e-05,-1.5362),(4965,1855,8.4e-05,-1.536),(4965,1865,7.3e-05,-1.5358),(4965,1875,6.3e-05,-1.5357),(4965,1885,5.2e-05,-1.5355),(4965,1895,4e-05,-1.5354),(4965,1905,2.7e-05,-1.5353),(4965,1915,1.5e-05,-1.5354),(4965,1925,2.1e-05,-1.5354),(4965,1935,5.3e-05,-1.5354),(4965,1945,8.4e-05,-1.5355),(4965,1955,0.000116,-1.5357),(4965,1965,0.000156,-1.5359),(4965,1975,0.000206,-1.5361),(4965,1985,0.000256,-1.5363),(4965,1995,0.000307,-1.5366),(4965,2005,0.000361,-1.5369),(4965,2015,0.000421,-1.5372),(4965,2025,0.000481,-1.5376),(4965,2035,0.000541,-1.5381),(4965,2045,0.000593,-1.5386),(4965,2055,0.00064,-1.5391),(4965,2065,0.000686,-1.5397),(4965,2075,0.000732,-1.5404),(4965,2085,0.000755,-1.5411),(4965,2095,0.00076,-1.5419),(4965,2105,0.000765,-1.5427),(4965,2115,0.00077,-1.5436),(4965,2125,0.000769,-1.5444),(4965,2135,0.000763,-1.5453),(4965,2145,0.000757,-1.5463),(4965,2155,0.000751,-1.5475),(4965,2165,0.000758,-1.5486),(4965,2175,0.000772,-1.5497),(4965,2185,0.000786,-1.5509),(4965,2195,0.000801,-1.5522),(4965,2205,0.000839,-1.5535),(4965,2215,0.000888,-1.5549),(4965,2225,0.000937,-1.5563),(4965,2235,0.000985,-1.5577),(4965,2245,0.001075,-1.5592),(4965,2255,0.001179,-1.5607),(4965,2265,0.001283,-1.5622),(4965,2275,0.001387,-1.5637),(4965,2285,0.001529,-1.5653),(4965,2295,0.001681,-1.5669),(4965,2305,0.001834,-1.5685),(4965,2315,0.001987,-1.5701),(4965,2325,0.002151,-1.5717),(4965,2335,0.002319,-1.5733),(4965,2345,0.002486,-1.575),(4965,2355,0.002654,-1.5767),(4965,2365,0.002787,-1.5784),(4965,2375,0.002915,-1.5801),(4965,2385,0.003043,-1.5819),(4965,2395,0.00317,-1.5837),(4965,2405,0.00322,-1.5856),(4965,2415,0.003262,-1.5874),(4965,2425,0.003303,-1.5894),(4965,2435,0.003344,-1.5913),(4965,2445,0.00335,-1.5933),(4965,2455,0.003353,-1.5953),(4965,2465,0.003357,-1.5975),(4965,2475,0.00336,-1.5996),(4965,2485,0.003435,-1.6018),(4965,2495,0.003513,-1.6039),(4965,2505,0.00359,-1.6063),(4965,2515,0.00367,-1.6086),(4965,2525,0.003844,-1.611),(4965,2535,0.004019,-1.6134),(4965,2545,0.004193,-1.6158),(4965,2555,0.00437,-1.6182),(4965,2565,0.004575,-1.6206),(4965,2575,0.004781,-1.623),(4965,2585,0.004986,-1.6253),(4965,2595,0.005193,-1.6275),(4965,2605,0.005415,-1.6298),(4965,2615,0.005636,-1.6321),(4965,2625,0.005857,-1.6343),(4965,2635,0.006083,-1.6365),(4965,2645,0.006335,-1.6387),(4965,2655,0.006587,-1.6409),(4965,2665,0.00684,-1.6431),(4965,2675,0.007089,-1.6453),(4965,2685,0.007326,-1.6475),(4965,2695,0.007563,-1.6497),(4965,2705,0.0078,-1.6517),(4965,2715,0.008028,-1.6538),(4965,2725,0.008228,-1.6558),(4965,2735,0.008429,-1.6579),(4965,2745,0.008629,-1.6598),(4965,2755,0.008833,-1.6617),(4965,2765,0.009049,-1.6636),(4965,2775,0.009265,-1.6655),(4965,2785,0.009481,-1.6674),(4965,2795,0.009704,-1.6693),(4965,2805,0.009947,-1.6712),(4965,2815,0.01019,-1.673),(4965,2825,0.010433,-1.6749),(4965,2835,0.010679,-1.6767),(4965,2845,0.010929,-1.6785),(4965,2855,0.01118,-1.6803),(4965,2865,0.011431,-1.6819),(4965,2875,0.011692,-1.6836),(4965,2885,0.01197,-1.6853),(4965,2895,0.012249,-1.6869),(4965,2905,0.012527,-1.6885),(4965,2915,0.012824,-1.6901),(4965,2925,0.013148,-1.6917),(4965,2935,0.013471,-1.6932),(4965,2945,0.013795,-1.6947),(4965,2955,0.01412,-1.6962),(4965,2965,0.014447,-1.6977),(4965,2975,0.014774,-1.699),(4965,2985,0.015101,-1.7003),(4965,2995,0.015431,-1.7016),(4965,3005,0.015764,-1.7028),(4965,3015,0.016097,-1.704),(4965,3025,0.01643,-1.7051),(4965,3035,0.016775,-1.7063),(4965,3045,0.017128,-1.7074),(4965,3055,0.017482,-1.7084),(4965,3065,0.017836,-1.7094),(4965,3075,0.018175,-1.7104),(4965,3085,0.018502,-1.7114),(4965,3095,0.01883,-1.7123),(4965,3105,0.019157,-1.7131),(4965,3115,0.019454,-1.7139),(4965,3125,0.019731,-1.7147),(4965,3135,0.020008,-1.7154),(4965,3145,0.020285,-1.716),(4965,3155,0.020567,-1.7166),(4965,3165,0.020852,-1.7172),(4965,3175,0.021138,-1.7178),(4965,3185,0.021423,-1.7183),(4965,3195,0.021716,-1.7188),(4965,3205,0.022013,-1.7193),(4965,3215,0.022309,-1.7197),(4965,3225,0.022606,-1.7199),(4965,3235,0.022913,-1.7202),(4965,3245,0.023225,-1.7204),(4965,3255,0.023537,-1.7205),(4965,3265,0.023849,-1.7205),(4965,3275,0.0242,-1.7205),(4965,3285,0.024563,-1.7205),(4965,3295,0.024926,-1.7203),(4965,3305,0.025289,-1.7201),(4965,3315,0.025642,-1.7198),(4965,3325,0.025992,-1.7196),(4965,3335,0.026342,-1.719),(4965,3345,0.026692,-1.7184),(4965,3355,0.027005,-1.7177),(4965,3365,0.027311,-1.7171),(4965,3375,0.027617,-1.716),(4965,3385,0.027923,-1.7149),(4965,3395,0.028229,-1.7138),(4965,3405,0.028535,-1.7127),(4965,3415,0.028841,-1.7113),(4965,3425,0.029147,-1.7099),(4965,3435,0.029409,-1.7085),(4965,3445,0.029668,-1.7071),(4965,3455,0.029927,-1.7052),(4965,3465,0.030186,-1.7034),(4965,3475,0.030369,-1.7016),(4965,3485,0.030549,-1.6997),(4965,3495,0.030729,-1.6974),(4965,3505,0.030909,-1.695),(4965,3515,0.031072,-1.6926),(4965,3525,0.031235,-1.6903),(4965,3535,0.031398,-1.6874),(4965,3545,0.031562,-1.6845),(4965,3555,0.031755,-1.6816),(4965,3565,0.031948,-1.6787),(4965,3575,0.032141,-1.6752),(4965,3585,0.032337,-1.6717),(4965,3595,0.032569,-1.6683),(4965,3605,0.032801,-1.6647),(4965,3615,0.033033,-1.6605),(4965,3625,0.033261,-1.6564),(4965,3635,0.033467,-1.6522),(4965,3645,0.033673,-1.6479),(4965,3655,0.033879,-1.6429),(4965,3665,0.034072,-1.6379),(4965,3675,0.034203,-1.633),(4965,3685,0.034333,-1.6278),(4965,3695,0.034464,-1.6219),(4965,3705,0.034578,-1.616),(4965,3715,0.03463,-1.6101),(4965,3725,0.034681,-1.604),(4965,3735,0.034733,-1.5973),(4965,3745,0.034768,-1.5905),(4965,3755,0.034749,-1.5837),(4965,3765,0.034731,-1.5767),(4965,3775,0.034713,-1.569),(4965,3785,0.034686,-1.5613),(4965,3795,0.034636,-1.5536),(4965,3805,0.034586,-1.5456),(4965,3815,0.034535,-1.5368),(4965,3825,0.034557,-1.528),(4965,3835,0.034729,-1.5193),(4965,3845,0.034901,-1.5101),(4965,3855,0.035073,-1.5001),(4965,3865,0.035426,-1.4901),(4965,3875,0.036099,-1.4802),(4965,3885,0.036771,-1.4697),(4965,3895,0.037444,-1.4584),(4965,3905,0.03834,-1.4471),(4965,3915,0.03957,-1.4358),(4965,3925,0.0408,-1.4235),(4965,3935,0.04203,-1.4096),(4965,3945,0.043404,-1.3958),(4965,3955,0.044959,-1.382),(4965,3965,0.046515,-1.3608),(4965,3975,0.04807,-1.3309),(4965,3985,0.047642,-1.3011),(4965,3995,0.045065,-1.2712),(4965,4005,0.042489,-1.2144),(4965,4015,0.039913,-1.1306),(4965,4025,0.14484,-1.0469),(4965,4035,0.26028,-0.98854),(4965,4045,0.37572,-0.98387),(4965,4055,0.49063,-0.97921),(4965,4065,0.60535,-0.97361),(4965,4075,0.72006,-0.96247),(4965,4085,0.78612,-0.95133),(4965,4095,0.81306,-0.94018),(4965,4105,0.84001,-0.92727),(4965,4115,0.86513,-0.91429),(4965,4125,0.88724,-0.90131),(4965,4135,0.90934,-0.88789),(4965,4145,0.93079,-0.87434),(4965,4155,0.94959,-0.86079),(4965,4165,0.96839,-0.84715),(4965,4175,0.98714,-0.83346),(4965,4185,1.0034,-0.81977),(4965,4195,1.0196,-0.80616),(4965,4205,1.0358,-0.79265),(4965,4215,1.0502,-0.77915),(4965,4225,1.0643,-0.76571),(4965,4235,1.0784,-0.75245),(4965,4245,1.0914,-0.73919),(4965,4255,1.1037,-0.72596),(4965,4265,1.116,-0.7131),(4965,4275,1.1275,-0.70024),(4965,4285,1.1383,-0.68738),(4965,4295,1.149,-0.67497),(4965,4305,1.1593,-0.6626),(4965,4315,1.1687,-0.65024),(4965,4325,1.1782,-0.63822),(4965,4335,1.1874,-0.62633),(4965,4345,1.1957,-0.61444),(4965,4355,1.2039,-0.60281),(4965,4365,1.2121,-0.59142),(4965,4375,1.2194,-0.58002),(4965,4385,1.2266,-0.56883),(4965,4395,1.2338,-0.55801),(4965,4405,1.2403,-0.54719),(4965,4415,1.2466,-0.53647),(4965,4425,1.2529,-0.52621),(4965,4435,1.2587,-0.51595),(4965,4445,1.2642,-0.50569),(4965,4455,1.2697,-0.49605),(4965,4465,1.2749,-0.48642),(4965,4475,1.2797,-0.47678),(4965,4485,1.2845,-0.46761),(4965,4495,1.2891,-0.45853),(4965,4505,1.2933,-0.44945),(4965,4515,1.2974,-0.44078),(4965,4525,1.3016,-0.43232),(4965,4535,1.3052,-0.42387),(4965,4545,1.3088,-0.41572),(4965,4555,1.3125,-0.40791),(4965,4565,1.3157,-0.4001),(4965,4575,1.3189,-0.39248),(4965,4585,1.3221,-0.38528),(4965,4595,1.325,-0.37809),(4965,4605,1.3278,-0.37097),(4965,4615,1.3306,-0.36436),(4965,4625,1.3333,-0.35775),(4965,4635,1.3358,-0.35114),(4965,4645,1.3383,-0.34514),(4965,4655,1.3408,-0.33917),(4965,4665,1.3431,-0.33321),(4965,4675,1.3454,-0.32771),(4965,4685,1.3477,-0.32236),(4965,4695,1.3498,-0.31701),(4965,4705,1.352,-0.31201),(4965,4715,1.3541,-0.30727),(4965,4725,1.3561,-0.30253),(4965,4735,1.3582,-0.29803),(4965,4745,1.3603,-0.29389),(4965,4755,1.3623,-0.28976),(4965,4765,1.3643,-0.28577),(4965,4775,1.3664,-0.28227),(4965,4785,1.3684,-0.27876),(4965,4795,1.3705,-0.27529),(4965,4805,1.3726,-0.27238),(4965,4815,1.3747,-0.26948),(4965,4825,1.3768,-0.26658),(4965,4835,1.379,-0.26415),(4965,4845,1.3812,-0.26181),(4965,4855,1.3835,-0.25946),(4965,4865,1.3858,-0.25749),(4965,4875,1.3881,-0.25569),(4965,4885,1.3906,-0.2539),(4965,4895,1.3931,-0.25235),(4965,4905,1.3955,-0.25105),(4965,4915,1.3982,-0.24975),(4965,4925,1.4008,-0.24858),(4965,4935,1.4035,-0.24768),(4965,4945,1.4062,-0.24679),(4965,4955,1.4091,-0.24594),(4965,4965,1.4119,-0.24537),(4965,4975,1.4148,-0.2448),(4965,4985,1.4178,-0.24423),(4965,4995,1.4208,-0.24387),(4965,5005,1.4238,-0.24352),(4965,5015,1.4268,-0.24317),(4965,5025,1.4299,-0.24293),(4965,5035,1.433,-0.24272),(4965,5045,1.436,-0.24252),(4965,5055,1.4391,-0.2423),(4965,5065,1.4422,-0.24208),(4965,5075,1.4452,-0.24187),(4965,5085,1.4482,-0.24162),(4965,5095,1.4512,-0.24135),(4965,5105,1.4541,-0.24108),(4965,5115,1.457,-0.24079),(4965,5125,1.4599,-0.24045),(4965,5135,1.4626,-0.2401),(4965,5145,1.4653,-0.23975),(4965,5155,1.468,-0.23927),(4965,5165,1.4705,-0.23879),(4965,5175,1.4729,-0.2383),(4965,5185,1.4753,-0.23769),(4965,5195,1.4776,-0.23705),(4965,5205,1.4796,-0.23642),(4965,5215,1.4816,-0.23574),(4965,5225,1.4835,-0.23503),(4965,5235,1.4852,-0.23432),(4965,5245,1.4868,-0.23363),(4965,5255,1.4885,-0.23293),(4965,5265,1.4898,-0.23224),(4965,5275,1.4911,-0.23159),(4965,5285,1.4925,-0.23101),(4965,5295,1.4936,-0.23043),(4965,5305,1.4947,-0.2299),(4965,5315,1.4958,-0.22958),(4965,5325,1.4968,-0.22926),(4965,5335,1.4978,-0.22895),(4965,5345,1.4987,-0.22903),(4965,5355,1.4997,-0.22911),(4965,5365,1.5008,-0.2292),(4965,5375,1.5018,-0.22973),(4965,5385,1.5028,-0.23035),(4965,5395,1.504,-0.23097),(4965,5405,1.5052,-0.23201),(4965,5415,1.5064,-0.23327),(4965,5425,1.5079,-0.23453),(4965,5435,1.5095,-0.23612),(4965,5445,1.511,-0.23808),(4965,5455,1.5129,-0.24003),(4965,5465,1.5149,-0.24223),(4965,5475,1.517,-0.24496),(4965,5485,1.5194,-0.2477),(4965,5495,1.5221,-0.25054),(4965,5505,1.5247,-0.2541),(4965,5515,1.5278,-0.25765),(4965,5525,1.5313,-0.26121),(4965,5535,1.5348,-0.26551),(4965,5545,1.5385,-0.26986),(4965,5555,1.5429,-0.2742),(4965,5565,1.5473,-0.27911),(4965,5575,1.5519,-0.28418),(4965,5585,1.5573,-0.28925),(4965,5595,1.5627,-0.29472),(4965,5605,1.5681,-0.30046),(4965,5615,1.5747,-0.3062),(4965,5625,1.5812,-0.31213),(4965,5635,1.5877,-0.31834),(4965,5645,1.5952,-0.32455),(4965,5655,1.6029,-0.33079),(4965,5665,1.6105,-0.33715),(4965,5675,1.6188,-0.3435),(4965,5685,1.6276,-0.34985),(4965,5695,1.6363,-0.35602),(4965,5705,1.6454,-0.36218),(4965,5715,1.655,-0.36834),(4965,5725,1.6646,-0.37395),(4965,5735,1.6744,-0.37948),(4965,5745,1.6847,-0.38501),(4965,5755,1.6949,-0.38987),(4965,5765,1.7052,-0.39443),(4965,5775,1.7156,-0.399),(4965,5785,1.7261,-0.40286),(4965,5795,1.7366,-0.40609),(4965,5805,1.747,-0.40931),(4965,5815,1.7574,-0.41201),(4965,5825,1.7678,-0.41371),(4965,5835,1.7778,-0.41541),(4965,5845,1.7877,-0.41685),(4965,5855,1.7976,-0.41699),(4965,5865,1.8071,-0.41714),(4965,5875,1.8163,-0.41728),(4965,5885,1.8255,-0.41599),(4965,5895,1.8345,-0.41468),(4965,5905,1.8429,-0.41337),(4965,5915,1.8513,-0.41109),(4965,5925,1.8596,-0.40858),(4965,5935,1.8673,-0.40607),(4965,5945,1.875,-0.40295),(4965,5955,1.8826,-0.39948),(4965,5965,1.8897,-0.39602),(4965,5975,1.8967,-0.39222),(4965,5985,1.9037,-0.38804),(4965,5995,1.9103,-0.38386),(4965,6005,1.9168,-0.37952),(4965,6015,1.9234,-0.3748),(4965,6025,1.9296,-0.37008),(4965,6035,1.9357,-0.36533),(4965,6045,1.9418,-0.3602),(4965,6055,1.9477,-0.35507),(4965,6065,1.9534,-0.34994),(4965,6075,1.9592,-0.34451),(4965,6085,1.9648,-0.33906),(4965,6095,1.9703,-0.3336),(4965,6105,1.9757,-0.32791),(4965,6115,1.9811,-0.32214),(4965,6125,1.9863,-0.31637),(4965,6135,1.9914,-0.31048),(4965,6145,1.9966,-0.30448),(4965,6155,2.0014,-0.29848),(4965,6165,2.0063,-0.29241),(4965,6175,2.0112,-0.28621),(4965,6185,2.0158,-0.28001),(4965,6195,2.0204,-0.27378),(4965,6205,2.0249,-0.26742),(4965,6215,2.0293,-0.26106),(4965,6225,2.0336,-0.2547),(4965,6235,2.0378,-0.24815),(4965,6245,2.0419,-0.24161),(4965,6255,2.0458,-0.23507),(4965,6265,2.0497,-0.22843),(4965,6275,2.0536,-0.22178),(4965,6285,2.0571,-0.21513),(4965,6295,2.0607,-0.2084),(4965,6305,2.0642,-0.20163),(4965,6315,2.0674,-0.19486),(4965,6325,2.0707,-0.18803),(4965,6335,2.0739,-0.18113),(4965,6345,2.0768,-0.17424),(4965,6355,2.0796,-0.16733),(4965,6365,2.0825,-0.16039),(4965,6375,2.0851,-0.15345),(4965,6385,2.0876,-0.14652),(4965,6395,2.0901,-0.13958),(4965,6405,2.0924,-0.13265),(4965,6415,2.0945,-0.12571),(4965,6425,2.0966,-0.11871),(4965,6435,2.0986,-0.1117),(4965,6445,2.1004,-0.10469),(4965,6455,2.1022,-0.097675),(4965,6465,2.1039,-0.090658),(4965,6475,2.1052,-0.08364),(4965,6485,2.1066,-0.076604),(4965,6495,2.108,-0.069554),(4965,6505,2.109,-0.062504),(4965,6515,2.1101,-0.055465),(4965,6525,2.1111,-0.04844),(4965,6535,2.1118,-0.041415),(4965,6545,2.1125,-0.034385),(4965,6555,2.1132,-0.027338),(4965,6565,2.1136,-0.020291),(4965,6575,2.1139,-0.013244),(4965,6585,2.1142,-0.006208),(4965,6595,1.7985,0.000828),(4965,6605,1.1341,0.007864),(4965,6615,0.46962,0.008687),(4965,6625,0.00251,0.008712),(4965,6635,0.002486,0.008736),(4965,6645,0.002462,0.00876),(4965,6655,0.002438,0.008784),(4965,6665,0.002417,0.008808),(4965,6675,0.002396,0.00883),(4965,6685,0.002374,0.00885),(4965,6695,0.002356,0.008871),(4965,6705,0.002337,0.00889),(4965,6715,0.002319,0.008907),(4965,6725,0.002302,0.008925),(4965,6735,0.002286,0.008942),(4965,6745,0.00227,0.008957),(4965,6755,0.002255,0.008972),(4965,6765,0.002241,0.008986),(4965,6775,0.002227,0.008999),(4965,6785,0.002214,0.009012),(4965,6795,0.002202,0.009024),(4965,6805,0.00219,0.009035),(4965,6815,0.002178,0.009046),(4965,6825,0.002168,0.009057),(4965,6835,0.002158,0.009066),(4965,6845,0.002147,0.009075),(4965,6855,0.002139,0.009084),(4965,6865,0.00213,0.009093),(4965,6875,0.002121,0.0091),(4965,6885,0.002114,0.009108),(4965,6895,0.002106,0.009115),(4965,6905,0.002099,0.009121),(4965,6915,0.002093,0.009128),(4965,6925,0.002087,0.009134),(4965,6935,0.002081,0.009139),(4965,6945,0.002075,0.009144),(4965,6955,0.00207,0.009149),(4965,6965,0.002065,0.009153),(4965,6975,0.002061,0.009157),(4965,6985,0.002057,0.009161),(4975,5,7e-06,-1.3935),(4975,15,2.1e-05,-1.3936),(4975,25,3e-05,-1.3938),(4975,35,3.4e-05,-1.3939),(4975,45,3.9e-05,-1.394),(4975,55,4.3e-05,-1.3941),(4975,65,5.3e-05,-1.3942),(4975,75,6.6e-05,-1.3943),(4975,85,8e-05,-1.3944),(4975,95,9.3e-05,-1.3946),(4975,105,9.5e-05,-1.3947),(4975,115,8.9e-05,-1.3949),(4975,125,8.2e-05,-1.3951),(4975,135,7.6e-05,-1.3952),(4975,145,7e-05,-1.3954),(4975,155,6.4e-05,-1.3956),(4975,165,5.8e-05,-1.3958),(4975,175,5.2e-05,-1.3961),(4975,185,5e-05,-1.3963),(4975,195,4.9e-05,-1.3966),(4975,205,4.9e-05,-1.3969),(4975,215,4.8e-05,-1.3972),(4975,225,3.7e-05,-1.3976),(4975,235,2.3e-05,-1.3979),(4975,245,8e-06,-1.3983),(4975,255,-7e-06,-1.3987),(4975,265,-2.6e-05,-1.3992),(4975,275,-4.6e-05,-1.3996),(4975,285,-6.6e-05,-1.4001),(4975,295,-8.6e-05,-1.4006),(4975,305,-9.9e-05,-1.4011),(4975,315,-0.00011,-1.4015),(4975,325,-0.000121,-1.402),(4975,335,-0.000132,-1.4026),(4975,345,-0.000126,-1.4031),(4975,355,-0.000116,-1.4036),(4975,365,-0.000106,-1.4042),(4975,375,-9.6e-05,-1.4047),(4975,385,-8.2e-05,-1.4053),(4975,395,-6.8e-05,-1.4059),(4975,405,-5.3e-05,-1.4065),(4975,415,-3.9e-05,-1.4072),(4975,425,-3.9e-05,-1.4078),(4975,435,-4e-05,-1.4084),(4975,445,-4.1e-05,-1.4091),(4975,455,-4.2e-05,-1.4098),(4975,465,-4.9e-05,-1.4106),(4975,475,-5.7e-05,-1.4113),(4975,485,-6.4e-05,-1.412),(4975,495,-7.1e-05,-1.4128),(4975,505,-9.3e-05,-1.4135),(4975,515,-0.000115,-1.4143),(4975,525,-0.000136,-1.4151),(4975,535,-0.000159,-1.416),(4975,545,-0.000204,-1.4168),(4975,555,-0.000249,-1.4176),(4975,565,-0.000294,-1.4185),(4975,575,-0.000339,-1.4194),(4975,585,-0.000393,-1.4202),(4975,595,-0.000447,-1.4211),(4975,605,-0.000501,-1.422),(4975,615,-0.000553,-1.423),(4975,625,-0.000586,-1.4239),(4975,635,-0.00062,-1.4249),(4975,645,-0.000654,-1.4259),(4975,655,-0.000686,-1.4269),(4975,665,-0.000708,-1.4279),(4975,675,-0.000731,-1.4289),(4975,685,-0.000753,-1.43),(4975,695,-0.000767,-1.4311),(4975,705,-0.000745,-1.4323),(4975,715,-0.000723,-1.4334),(4975,725,-0.000701,-1.4347),(4975,735,-0.000671,-1.4359),(4975,745,-0.000616,-1.4372),(4975,755,-0.000561,-1.4385),(4975,765,-0.000506,-1.4397),(4975,775,-0.000451,-1.441),(4975,785,-0.000394,-1.4422),(4975,795,-0.000336,-1.4435),(4975,805,-0.000279,-1.4447),(4975,815,-0.000233,-1.446),(4975,825,-0.00021,-1.4472),(4975,835,-0.000187,-1.4484),(4975,845,-0.000164,-1.4497),(4975,855,-0.000164,-1.451),(4975,865,-0.000206,-1.4522),(4975,875,-0.000247,-1.4535),(4975,885,-0.000289,-1.4548),(4975,895,-0.00034,-1.4561),(4975,905,-0.000406,-1.4574),(4975,915,-0.000472,-1.4587),(4975,925,-0.000538,-1.4601),(4975,935,-0.000597,-1.4615),(4975,945,-0.000648,-1.4628),(4975,955,-0.000698,-1.4642),(4975,965,-0.000748,-1.4657),(4975,975,-0.00078,-1.4672),(4975,985,-0.000792,-1.4687),(4975,995,-0.000804,-1.4701),(4975,1005,-0.000815,-1.4715),(4975,1015,-0.000827,-1.473),(4975,1025,-0.000838,-1.4744),(4975,1035,-0.000849,-1.4758),(4975,1045,-0.00086,-1.4771),(4975,1055,-0.000883,-1.4785),(4975,1065,-0.000916,-1.4798),(4975,1075,-0.000949,-1.4811),(4975,1085,-0.000981,-1.4824),(4975,1095,-0.000965,-1.4837),(4975,1105,-0.000915,-1.485),(4975,1115,-0.000864,-1.4862),(4975,1125,-0.000814,-1.4874),(4975,1135,-0.000587,-1.4886),(4975,1145,-0.000256,-1.4897),(4975,1155,7.5e-05,-1.4908),(4975,1165,0.000406,-1.4919),(4975,1175,0.001092,-1.493),(4975,1185,0.001954,-1.494),(4975,1195,0.002816,-1.4954),(4975,1205,0.003678,-1.4969),(4975,1215,0.004577,-1.4984),(4975,1225,0.005492,-1.4999),(4975,1235,0.006406,-1.5018),(4975,1245,0.00732,-1.5037),(4975,1255,0.003776,-1.5057),(4975,1265,-0.001273,-1.5076),(4975,1275,-0.006322,-1.4956),(4975,1285,-0.011371,-1.4793),(4975,1295,-0.02354,-1.463),(4975,1305,-0.037635,-1.4468),(4975,1315,-0.051729,-1.3908),(4975,1325,-0.065824,-1.3252),(4975,1335,-0.041571,-1.2597),(4975,1345,-0.00928,-1.1942),(4975,1355,0.02301,-1.2395),(4975,1365,0.055301,-1.3048),(4975,1375,0.050659,-1.3701),(4975,1385,0.040319,-1.4355),(4975,1395,0.029978,-1.4611),(4975,1405,0.019638,-1.4816),(4975,1415,0.012875,-1.5021),(4975,1425,0.006483,-1.5226),(4975,1435,9.2e-05,-1.522),(4975,1445,-0.0063,-1.5196),(4975,1455,-0.006045,-1.5173),(4975,1465,-0.005408,-1.5149),(4975,1475,-0.00477,-1.514),(4975,1485,-0.004133,-1.5132),(4975,1495,-0.003316,-1.5123),(4975,1505,-0.002495,-1.5115),(4975,1515,-0.001675,-1.5115),(4975,1525,-0.000867,-1.5114),(4975,1535,-0.000531,-1.5114),(4975,1545,-0.000196,-1.5113),(4975,1555,0.00014,-1.5112),(4975,1565,0.000458,-1.5111),(4975,1575,0.000526,-1.511),(4975,1585,0.000593,-1.5109),(4975,1595,0.000661,-1.5105),(4975,1605,0.000716,-1.5102),(4975,1615,0.000668,-1.5099),(4975,1625,0.000619,-1.5096),(4975,1635,0.00057,-1.5091),(4975,1645,0.000518,-1.5087),(4975,1655,0.000449,-1.5082),(4975,1665,0.00038,-1.5078),(4975,1675,0.000311,-1.5074),(4975,1685,0.000248,-1.507),(4975,1695,0.000214,-1.5067),(4975,1705,0.000179,-1.5063),(4975,1715,0.000145,-1.5059),(4975,1725,0.000117,-1.5056),(4975,1735,0.000111,-1.5052),(4975,1745,0.000106,-1.5048),(4975,1755,0.000101,-1.5044),(4975,1765,0.000101,-1.5041),(4975,1775,0.000119,-1.5037),(4975,1785,0.000137,-1.5033),(4975,1795,0.000155,-1.503),(4975,1805,0.000177,-1.5027),(4975,1815,0.000205,-1.5024),(4975,1825,0.000234,-1.5021),(4975,1835,0.000263,-1.5019),(4975,1845,0.000281,-1.5016),(4975,1855,0.000275,-1.5014),(4975,1865,0.00027,-1.5012),(4975,1875,0.000265,-1.5011),(4975,1885,0.000256,-1.501),(4975,1895,0.000243,-1.5008),(4975,1905,0.000229,-1.5008),(4975,1915,0.000216,-1.5008),(4975,1925,0.000217,-1.5008),(4975,1935,0.000238,-1.5009),(4975,1945,0.00026,-1.501),(4975,1955,0.000281,-1.5011),(4975,1965,0.00031,-1.5013),(4975,1975,0.000349,-1.5015),(4975,1985,0.000387,-1.5017),(4975,1995,0.000426,-1.502),(4975,2005,0.00047,-1.5023),(4975,2015,0.000519,-1.5026),(4975,2025,0.000568,-1.503),(4975,2035,0.000617,-1.5035),(4975,2045,0.000666,-1.504),(4975,2055,0.000713,-1.5045),(4975,2065,0.000761,-1.5051),(4975,2075,0.000808,-1.5057),(4975,2085,0.000837,-1.5064),(4975,2095,0.000853,-1.5071),(4975,2105,0.000869,-1.5079),(4975,2115,0.000885,-1.5088),(4975,2125,0.000891,-1.5096),(4975,2135,0.00089,-1.5105),(4975,2145,0.000889,-1.5115),(4975,2155,0.000888,-1.5126),(4975,2165,0.000898,-1.5137),(4975,2175,0.000914,-1.5147),(4975,2185,0.000929,-1.516),(4975,2195,0.000945,-1.5173),(4975,2205,0.000984,-1.5186),(4975,2215,0.001034,-1.5199),(4975,2225,0.001084,-1.5213),(4975,2235,0.001134,-1.5227),(4975,2245,0.001218,-1.5241),(4975,2255,0.001316,-1.5256),(4975,2265,0.001413,-1.5271),(4975,2275,0.00151,-1.5286),(4975,2285,0.001637,-1.5301),(4975,2295,0.001772,-1.5316),(4975,2305,0.001908,-1.5332),(4975,2315,0.002044,-1.5348),(4975,2325,0.002188,-1.5364),(4975,2335,0.002335,-1.5379),(4975,2345,0.002482,-1.5396),(4975,2355,0.002629,-1.5412),(4975,2365,0.002752,-1.5429),(4975,2375,0.002871,-1.5445),(4975,2385,0.00299,-1.5463),(4975,2395,0.003109,-1.5481),(4975,2405,0.003169,-1.5499),(4975,2415,0.003221,-1.5517),(4975,2425,0.003274,-1.5536),(4975,2435,0.003326,-1.5555),(4975,2445,0.003344,-1.5575),(4975,2455,0.00336,-1.5594),(4975,2465,0.003375,-1.5615),(4975,2475,0.00339,-1.5636),(4975,2485,0.003465,-1.5657),(4975,2495,0.003542,-1.5678),(4975,2505,0.003619,-1.5701),(4975,2515,0.003697,-1.5724),(4975,2525,0.003868,-1.5747),(4975,2535,0.004039,-1.577),(4975,2545,0.004209,-1.5794),(4975,2555,0.004382,-1.5818),(4975,2565,0.004582,-1.5841),(4975,2575,0.004782,-1.5865),(4975,2585,0.004981,-1.5887),(4975,2595,0.005181,-1.591),(4975,2605,0.005381,-1.5932),(4975,2615,0.005582,-1.5954),(4975,2625,0.005782,-1.5976),(4975,2635,0.005985,-1.5997),(4975,2645,0.006211,-1.6019),(4975,2655,0.006437,-1.604),(4975,2665,0.006663,-1.6061),(4975,2675,0.006889,-1.6083),(4975,2685,0.007114,-1.6104),(4975,2695,0.007339,-1.6125),(4975,2705,0.007564,-1.6146),(4975,2715,0.007781,-1.6166),(4975,2725,0.007973,-1.6186),(4975,2735,0.008165,-1.6206),(4975,2745,0.008356,-1.6224),(4975,2755,0.00855,-1.6243),(4975,2765,0.008749,-1.6262),(4975,2775,0.008948,-1.628),(4975,2785,0.009147,-1.6299),(4975,2795,0.009355,-1.6317),(4975,2805,0.009584,-1.6335),(4975,2815,0.009813,-1.6354),(4975,2825,0.010041,-1.6371),(4975,2835,0.010273,-1.6389),(4975,2845,0.010511,-1.6407),(4975,2855,0.010749,-1.6424),(4975,2865,0.010988,-1.6441),(4975,2875,0.011232,-1.6457),(4975,2885,0.011488,-1.6473),(4975,2895,0.011744,-1.6489),(4975,2905,0.012,-1.6505),(4975,2915,0.012275,-1.652),(4975,2925,0.012577,-1.6536),(4975,2935,0.012878,-1.6551),(4975,2945,0.01318,-1.6565),(4975,2955,0.013487,-1.658),(4975,2965,0.0138,-1.6595),(4975,2975,0.014113,-1.6608),(4975,2985,0.014427,-1.6621),(4975,2995,0.01474,-1.6633),(4975,3005,0.015054,-1.6645),(4975,3015,0.015368,-1.6657),(4975,3025,0.015681,-1.6668),(4975,3035,0.016006,-1.6679),(4975,3045,0.01634,-1.6689),(4975,3055,0.016674,-1.67),(4975,3065,0.017008,-1.6709),(4975,3075,0.017333,-1.6719),(4975,3085,0.017652,-1.6729),(4975,3095,0.017971,-1.6738),(4975,3105,0.01829,-1.6746),(4975,3115,0.018579,-1.6753),(4975,3125,0.018849,-1.6761),(4975,3135,0.01912,-1.6768),(4975,3145,0.01939,-1.6774),(4975,3155,0.019663,-1.678),(4975,3165,0.019938,-1.6786),(4975,3175,0.020213,-1.6791),(4975,3185,0.020488,-1.6797),(4975,3195,0.020773,-1.6802),(4975,3205,0.021062,-1.6807),(4975,3215,0.021351,-1.681),(4975,3225,0.021639,-1.6813),(4975,3235,0.02193,-1.6815),(4975,3245,0.02222,-1.6818),(4975,3255,0.022511,-1.6818),(4975,3265,0.022802,-1.6818),(4975,3275,0.023124,-1.6818),(4975,3285,0.023457,-1.6818),(4975,3295,0.023789,-1.6816),(4975,3305,0.024122,-1.6814),(4975,3315,0.024455,-1.6812),(4975,3325,0.024788,-1.6809),(4975,3335,0.025121,-1.6804),(4975,3345,0.025454,-1.6798),(4975,3355,0.025747,-1.6791),(4975,3365,0.026032,-1.6785),(4975,3375,0.026318,-1.6775),(4975,3385,0.026603,-1.6764),(4975,3395,0.026882,-1.6753),(4975,3405,0.02716,-1.6742),(4975,3415,0.027438,-1.6729),(4975,3425,0.027716,-1.6715),(4975,3435,0.02797,-1.6701),(4975,3445,0.028222,-1.6687),(4975,3455,0.028474,-1.667),(4975,3465,0.028725,-1.6652),(4975,3475,0.028911,-1.6634),(4975,3485,0.029094,-1.6616),(4975,3495,0.029277,-1.6593),(4975,3505,0.02946,-1.657),(4975,3515,0.029614,-1.6547),(4975,3525,0.029768,-1.6524),(4975,3535,0.029922,-1.6496),(4975,3545,0.030077,-1.6468),(4975,3555,0.030248,-1.644),(4975,3565,0.03042,-1.6412),(4975,3575,0.030591,-1.6378),(4975,3585,0.030765,-1.6344),(4975,3595,0.030972,-1.631),(4975,3605,0.031178,-1.6275),(4975,3615,0.031384,-1.6235),(4975,3625,0.031588,-1.6194),(4975,3635,0.031776,-1.6154),(4975,3645,0.031964,-1.6112),(4975,3655,0.032152,-1.6063),(4975,3665,0.032327,-1.6015),(4975,3675,0.03244,-1.5966),(4975,3685,0.032554,-1.5916),(4975,3695,0.032667,-1.5859),(4975,3705,0.032766,-1.5801),(4975,3715,0.032807,-1.5744),(4975,3725,0.032848,-1.5685),(4975,3735,0.032889,-1.5619),(4975,3745,0.032917,-1.5552),(4975,3755,0.032906,-1.5486),(4975,3765,0.032896,-1.5418),(4975,3775,0.032885,-1.5343),(4975,3785,0.032864,-1.5268),(4975,3795,0.032817,-1.5193),(4975,3805,0.032771,-1.5115),(4975,3815,0.032724,-1.503),(4975,3825,0.032743,-1.4944),(4975,3835,0.032899,-1.4859),(4975,3845,0.033055,-1.4769),(4975,3855,0.033212,-1.4671),(4975,3865,0.033557,-1.4574),(4975,3875,0.034237,-1.4476),(4975,3885,0.034917,-1.4374),(4975,3895,0.035597,-1.4265),(4975,3905,0.036403,-1.4155),(4975,3915,0.037397,-1.4045),(4975,3925,0.038392,-1.3926),(4975,3935,0.039386,-1.3792),(4975,3945,0.038895,-1.3659),(4975,3955,0.036519,-1.3526),(4975,3965,0.034144,-1.3319),(4975,3975,0.031768,-1.3026),(4975,3985,0.022005,-1.2734),(4975,3995,0.004247,-1.2441),(4975,4005,-0.013512,-1.1917),(4975,4015,-0.031271,-1.1164),(4975,4025,0.091833,-1.041),(4975,4035,0.22872,-0.98876),(4975,4045,0.3656,-0.9853),(4975,4055,0.48456,-0.98184),(4975,4065,0.59696,-0.97741),(4975,4075,0.70937,-0.96718),(4975,4085,0.77401,-0.95695),(4975,4095,0.80026,-0.94672),(4975,4105,0.82651,-0.93435),(4975,4115,0.8511,-0.9219),(4975,4125,0.87293,-0.90945),(4975,4135,0.89476,-0.89641),(4975,4145,0.91597,-0.88321),(4975,4155,0.93466,-0.87001),(4975,4165,0.95336,-0.85666),(4975,4175,0.972,-0.84322),(4975,4185,0.98821,-0.82979),(4975,4195,1.0044,-0.8164),(4975,4205,1.0206,-0.80309),(4975,4215,1.0351,-0.78977),(4975,4225,1.0493,-0.77651),(4975,4235,1.0634,-0.7634),(4975,4245,1.0764,-0.75029),(4975,4255,1.0888,-0.73721),(4975,4265,1.1013,-0.72449),(4975,4275,1.1129,-0.71177),(4975,4285,1.1238,-0.69905),(4975,4295,1.1346,-0.68676),(4975,4305,1.1451,-0.67451),(4975,4315,1.1546,-0.66227),(4975,4325,1.1642,-0.65035),(4975,4335,1.1736,-0.63857),(4975,4345,1.1819,-0.62679),(4975,4355,1.1903,-0.61527),(4975,4365,1.1987,-0.60397),(4975,4375,1.2061,-0.59267),(4975,4385,1.2135,-0.58158),(4975,4395,1.2208,-0.57084),(4975,4405,1.2275,-0.56011),(4975,4415,1.234,-0.54948),(4975,4425,1.2404,-0.5393),(4975,4435,1.2464,-0.52912),(4975,4445,1.252,-0.51895),(4975,4455,1.2577,-0.50938),(4975,4465,1.2631,-0.49982),(4975,4475,1.268,-0.49025),(4975,4485,1.273,-0.48115),(4975,4495,1.2778,-0.47214),(4975,4505,1.2822,-0.46313),(4975,4515,1.2865,-0.45452),(4975,4525,1.2908,-0.44612),(4975,4535,1.2946,-0.43773),(4975,4545,1.2984,-0.42964),(4975,4555,1.3022,-0.4219),(4975,4565,1.3057,-0.41415),(4975,4575,1.309,-0.40658),(4975,4585,1.3124,-0.39945),(4975,4595,1.3155,-0.39231),(4975,4605,1.3185,-0.38524),(4975,4615,1.3215,-0.37869),(4975,4625,1.3244,-0.37213),(4975,4635,1.3271,-0.36558),(4975,4645,1.3298,-0.35963),(4975,4655,1.3324,-0.35372),(4975,4665,1.3349,-0.34781),(4975,4675,1.3374,-0.34237),(4975,4685,1.3399,-0.33707),(4975,4695,1.3422,-0.33177),(4975,4705,1.3445,-0.32682),(4975,4715,1.3469,-0.32213),(4975,4725,1.3491,-0.31744),(4975,4735,1.3513,-0.31298),(4975,4745,1.3536,-0.30889),(4975,4755,1.3558,-0.3048),(4975,4765,1.358,-0.30085),(4975,4775,1.3602,-0.29739),(4975,4785,1.3624,-0.29392),(4975,4795,1.3647,-0.29049),(4975,4805,1.367,-0.28762),(4975,4815,1.3692,-0.28475),(4975,4825,1.3716,-0.28188),(4975,4835,1.3739,-0.27947),(4975,4845,1.3763,-0.27715),(4975,4855,1.3788,-0.27482),(4975,4865,1.3812,-0.27286),(4975,4875,1.3837,-0.27106),(4975,4885,1.3863,-0.26927),(4975,4895,1.3889,-0.26771),(4975,4905,1.3915,-0.26638),(4975,4915,1.3943,-0.26505),(4975,4925,1.3971,-0.26385),(4975,4935,1.3998,-0.2629),(4975,4945,1.4027,-0.26195),(4975,4955,1.4056,-0.26105),(4975,4965,1.4085,-0.2604),(4975,4975,1.4115,-0.25974),(4975,4985,1.4146,-0.25909),(4975,4995,1.4176,-0.25862),(4975,5005,1.4206,-0.25816),(4975,5015,1.4237,-0.2577),(4975,5025,1.4268,-0.25734),(4975,5035,1.4299,-0.257),(4975,5045,1.433,-0.25666),(4975,5055,1.436,-0.25631),(4975,5065,1.4391,-0.25595),(4975,5075,1.4421,-0.25559),(4975,5085,1.4451,-0.25521),(4975,5095,1.4481,-0.2548),(4975,5105,1.4509,-0.2544),(4975,5115,1.4538,-0.25398),(4975,5125,1.4566,-0.25351),(4975,5135,1.4593,-0.25305),(4975,5145,1.462,-0.25257),(4975,5155,1.4646,-0.25199),(4975,5165,1.4671,-0.25141),(4975,5175,1.4694,-0.25082),(4975,5185,1.4718,-0.25013),(4975,5195,1.474,-0.24943),(4975,5205,1.476,-0.24873),(4975,5215,1.478,-0.24801),(4975,5225,1.4799,-0.24728),(4975,5235,1.4816,-0.24655),(4975,5245,1.4832,-0.24585),(4975,5255,1.4849,-0.24519),(4975,5265,1.4863,-0.24452),(4975,5275,1.4876,-0.24392),(4975,5285,1.489,-0.24341),(4975,5295,1.4902,-0.2429),(4975,5305,1.4914,-0.24245),(4975,5315,1.4926,-0.24224),(4975,5325,1.4937,-0.24203),(4975,5335,1.4948,-0.24182),(4975,5345,1.4959,-0.24204),(4975,5355,1.4971,-0.24226),(4975,5365,1.4983,-0.24248),(4975,5375,1.4994,-0.24316),(4975,5385,1.5007,-0.24394),(4975,5395,1.502,-0.24471),(4975,5405,1.5034,-0.24591),(4975,5415,1.5048,-0.24733),(4975,5425,1.5066,-0.24875),(4975,5435,1.5083,-0.2505),(4975,5445,1.5101,-0.25261),(4975,5455,1.5123,-0.25472),(4975,5465,1.5145,-0.25706),(4975,5475,1.5168,-0.25993),(4975,5485,1.5195,-0.2628),(4975,5495,1.5224,-0.26576),(4975,5505,1.5253,-0.26941),(4975,5515,1.5286,-0.27305),(4975,5525,1.5323,-0.2767),(4975,5535,1.536,-0.28104),(4975,5545,1.54,-0.28541),(4975,5555,1.5446,-0.28979),(4975,5565,1.5492,-0.29466),(4975,5575,1.5539,-0.29967),(4975,5585,1.5595,-0.30469),(4975,5595,1.5651,-0.31003),(4975,5605,1.5707,-0.31561),(4975,5615,1.5773,-0.32118),(4975,5625,1.5839,-0.3269),(4975,5635,1.5905,-0.33282),(4975,5645,1.598,-0.33874),(4975,5655,1.6057,-0.34466),(4975,5665,1.6133,-0.35059),(4975,5675,1.6216,-0.35652),(4975,5685,1.6302,-0.36244),(4975,5695,1.6388,-0.36805),(4975,5705,1.6478,-0.37366),(4975,5715,1.6571,-0.37927),(4975,5725,1.6665,-0.38424),(4975,5735,1.676,-0.38912),(4975,5745,1.6859,-0.394),(4975,5755,1.6958,-0.39817),(4975,5765,1.7057,-0.40204),(4975,5775,1.7157,-0.4059),(4975,5785,1.7258,-0.40907),(4975,5795,1.7358,-0.4116),(4975,5805,1.7457,-0.41414),(4975,5815,1.7556,-0.41618),(4975,5825,1.7655,-0.41728),(4975,5835,1.7751,-0.41837),(4975,5845,1.7845,-0.41924),(4975,5855,1.7939,-0.4189),(4975,5865,1.803,-0.41857),(4975,5875,1.8118,-0.41824),(4975,5885,1.8205,-0.41661),(4975,5895,1.829,-0.41497),(4975,5905,1.8371,-0.41332),(4975,5915,1.8452,-0.41082),(4975,5925,1.8531,-0.40811),(4975,5935,1.8605,-0.4054),(4975,5945,1.8679,-0.40215),(4975,5955,1.8753,-0.39858),(4975,5965,1.8821,-0.39501),(4975,5975,1.8889,-0.39115),(4975,5985,1.8957,-0.38693),(4975,5995,1.9021,-0.38271),(4975,6005,1.9085,-0.37836),(4975,6015,1.9148,-0.37365),(4975,6025,1.9209,-0.36894),(4975,6035,1.9269,-0.36419),(4975,6045,1.9328,-0.35909),(4975,6055,1.9386,-0.35398),(4975,6065,1.9442,-0.34888),(4975,6075,1.9499,-0.34349),(4975,6085,1.9554,-0.33808),(4975,6095,1.9607,-0.33266),(4975,6105,1.9661,-0.32702),(4975,6115,1.9714,-0.32129),(4975,6125,1.9764,-0.31557),(4975,6135,1.9815,-0.30972),(4975,6145,1.9866,-0.30377),(4975,6155,1.9914,-0.29782),(4975,6165,1.9962,-0.29179),(4975,6175,2.0009,-0.28564),(4975,6185,2.0055,-0.27949),(4975,6195,2.01,-0.27331),(4975,6205,2.0145,-0.267),(4975,6215,2.0188,-0.26068),(4975,6225,2.023,-0.25437),(4975,6235,2.0272,-0.24787),(4975,6245,2.0312,-0.24138),(4975,6255,2.0351,-0.23488),(4975,6265,2.0389,-0.22829),(4975,6275,2.0427,-0.22167),(4975,6285,2.0462,-0.21506),(4975,6295,2.0498,-0.20836),(4975,6305,2.0533,-0.20163),(4975,6315,2.0565,-0.19489),(4975,6325,2.0596,-0.18809),(4975,6335,2.0628,-0.18122),(4975,6345,2.0657,-0.17435),(4975,6355,2.0685,-0.16746),(4975,6365,2.0714,-0.16054),(4975,6375,2.0739,-0.15362),(4975,6385,2.0764,-0.1467),(4975,6395,2.0789,-0.13977),(4975,6405,2.0812,-0.13285),(4975,6415,2.0833,-0.12593),(4975,6425,2.0854,-0.11892),(4975,6435,2.0874,-0.11192),(4975,6445,2.0891,-0.10491),(4975,6455,2.0909,-0.097895),(4975,6465,2.0925,-0.090875),(4975,6475,2.0939,-0.083854),(4975,6485,2.0953,-0.076809),(4975,6495,2.0967,-0.069749),(4975,6505,2.0977,-0.062688),(4975,6515,2.0987,-0.055637),(4975,6525,2.0997,-0.048598),(4975,6535,2.1005,-0.041559),(4975,6545,2.1011,-0.034514),(4975,6555,2.1018,-0.027452),(4975,6565,2.1022,-0.02039),(4975,6575,2.1025,-0.013328),(4975,6585,2.1028,-0.006277),(4975,6595,1.7889,0.000775),(4975,6605,1.128,0.007827),(4975,6615,0.46708,0.008655),(4975,6625,0.002476,0.008682),(4975,6635,0.002454,0.00871),(4975,6645,0.002431,0.008736),(4975,6655,0.002409,0.008761),(4975,6665,0.002389,0.008786),(4975,6675,0.002369,0.008809),(4975,6685,0.002349,0.00883),(4975,6695,0.002331,0.008851),(4975,6705,0.002314,0.008871),(4975,6715,0.002296,0.00889),(4975,6725,0.00228,0.008908),(4975,6735,0.002265,0.008926),(4975,6745,0.00225,0.008941),(4975,6755,0.002236,0.008957),(4975,6765,0.002222,0.008972),(4975,6775,0.002209,0.008986),(4975,6785,0.002197,0.008999),(4975,6795,0.002185,0.009012),(4975,6805,0.002174,0.009024),(4975,6815,0.002163,0.009035),(4975,6825,0.002153,0.009046),(4975,6835,0.002144,0.009056),(4975,6845,0.002134,0.009066),(4975,6855,0.002126,0.009075),(4975,6865,0.002117,0.009084),(4975,6875,0.002109,0.009092),(4975,6885,0.002102,0.0091),(4975,6895,0.002095,0.009108),(4975,6905,0.002088,0.009114),(4975,6915,0.002082,0.009121),(4975,6925,0.002077,0.009128),(4975,6935,0.002071,0.009133),(4975,6945,0.002066,0.009138),(4975,6955,0.002061,0.009144),(4975,6965,0.002057,0.009148),(4975,6975,0.002052,0.009152),(4975,6985,0.002049,0.009157),(4985,5,9e-06,-1.257),(4985,15,2.6e-05,-1.2571),(4985,25,3.6e-05,-1.2573),(4985,35,3.8e-05,-1.2574),(4985,45,4.1e-05,-1.2575),(4985,55,4.3e-05,-1.2576),(4985,65,5e-05,-1.2576),(4985,75,6.1e-05,-1.2577),(4985,85,7.2e-05,-1.2579),(4985,95,8.3e-05,-1.258),(4985,105,8.5e-05,-1.2581),(4985,115,8.1e-05,-1.2583),(4985,125,7.7e-05,-1.2584),(4985,135,7.3e-05,-1.2586),(4985,145,6.5e-05,-1.2588),(4985,155,5.4e-05,-1.2589),(4985,165,4.4e-05,-1.2591),(4985,175,3.4e-05,-1.2593),(4985,185,3e-05,-1.2596),(4985,195,2.9e-05,-1.2598),(4985,205,2.8e-05,-1.2601),(4985,215,2.7e-05,-1.2604),(4985,225,2.3e-05,-1.2607),(4985,235,2e-05,-1.261),(4985,245,1.6e-05,-1.2613),(4985,255,1.2e-05,-1.2617),(4985,265,3e-06,-1.2621),(4985,275,-8e-06,-1.2625),(4985,285,-1.9e-05,-1.263),(4985,295,-2.9e-05,-1.2634),(4985,305,-4.3e-05,-1.2638),(4985,315,-5.7e-05,-1.2643),(4985,325,-7.1e-05,-1.2648),(4985,335,-8.6e-05,-1.2652),(4985,345,-8.9e-05,-1.2657),(4985,355,-9e-05,-1.2661),(4985,365,-9.1e-05,-1.2667),(4985,375,-9.2e-05,-1.2672),(4985,385,-8.4e-05,-1.2677),(4985,395,-7.5e-05,-1.2682),(4985,405,-6.6e-05,-1.2688),(4985,415,-5.6e-05,-1.2694),(4985,425,-5.8e-05,-1.2699),(4985,435,-6e-05,-1.2705),(4985,445,-6.1e-05,-1.2712),(4985,455,-6.3e-05,-1.2718),(4985,465,-7.3e-05,-1.2724),(4985,475,-8.3e-05,-1.2731),(4985,485,-9.3e-05,-1.2738),(4985,495,-0.000103,-1.2744),(4985,505,-0.000122,-1.2751),(4985,515,-0.000141,-1.2758),(4985,525,-0.000161,-1.2766),(4985,535,-0.000181,-1.2773),(4985,545,-0.000218,-1.2781),(4985,555,-0.000255,-1.2788),(4985,565,-0.000293,-1.2796),(4985,575,-0.000331,-1.2804),(4985,585,-0.000385,-1.2812),(4985,595,-0.000438,-1.282),(4985,605,-0.000491,-1.2828),(4985,615,-0.000543,-1.2837),(4985,625,-0.000586,-1.2845),(4985,635,-0.000628,-1.2854),(4985,645,-0.000671,-1.2863),(4985,655,-0.000712,-1.2872),(4985,665,-0.000744,-1.2881),(4985,675,-0.000775,-1.289),(4985,685,-0.000807,-1.29),(4985,695,-0.00083,-1.291),(4985,705,-0.000816,-1.292),(4985,715,-0.000802,-1.2931),(4985,725,-0.000788,-1.2942),(4985,735,-0.000767,-1.2953),(4985,745,-0.000719,-1.2965),(4985,755,-0.000671,-1.2976),(4985,765,-0.000623,-1.2987),(4985,775,-0.000575,-1.2999),(4985,785,-0.000529,-1.301),(4985,795,-0.000483,-1.3021),(4985,805,-0.000437,-1.3033),(4985,815,-0.0004,-1.3044),(4985,825,-0.000382,-1.3055),(4985,835,-0.000364,-1.3066),(4985,845,-0.000346,-1.3078),(4985,855,-0.000346,-1.3089),(4985,865,-0.000381,-1.3101),(4985,875,-0.000416,-1.3112),(4985,885,-0.000451,-1.3124),(4985,895,-0.000497,-1.3136),(4985,905,-0.000558,-1.3147),(4985,915,-0.000619,-1.3159),(4985,925,-0.00068,-1.3172),(4985,935,-0.000737,-1.3184),(4985,945,-0.000786,-1.3196),(4985,955,-0.000836,-1.3209),(4985,965,-0.000886,-1.3222),(4985,975,-0.000922,-1.3236),(4985,985,-0.000941,-1.3249),(4985,995,-0.00096,-1.3262),(4985,1005,-0.000979,-1.3275),(4985,1015,-0.000997,-1.3288),(4985,1025,-0.001013,-1.3301),(4985,1035,-0.00103,-1.3313),(4985,1045,-0.001046,-1.3325),(4985,1055,-0.001075,-1.3338),(4985,1065,-0.001115,-1.335),(4985,1075,-0.001154,-1.3362),(4985,1085,-0.001193,-1.3373),(4985,1095,-0.001204,-1.3385),(4985,1105,-0.001195,-1.3397),(4985,1115,-0.001186,-1.3408),(4985,1125,-0.001177,-1.3418),(4985,1135,-0.00099,-1.3429),(4985,1145,-0.000697,-1.3439),(4985,1155,-0.000404,-1.3449),(4985,1165,-0.000111,-1.3458),(4985,1175,0.000661,-1.3467),(4985,1185,0.00167,-1.3475),(4985,1195,0.002679,-1.3484),(4985,1205,0.003689,-1.3493),(4985,1215,0.004755,-1.3502),(4985,1225,0.005844,-1.3511),(4985,1235,0.006934,-1.352),(4985,1245,0.008024,-1.3528),(4985,1255,0.000679,-1.3536),(4985,1265,-0.009515,-1.3544),(4985,1275,-0.019709,-1.348),(4985,1285,-0.029903,-1.3393),(4985,1295,-0.0539,-1.3306),(4985,1305,-0.081629,-1.322),(4985,1315,-0.10936,-1.2925),(4985,1325,-0.13709,-1.2581),(4985,1335,-0.084657,-1.2237),(4985,1345,-0.015426,-1.1893),(4985,1355,0.053806,-1.2138),(4985,1365,0.12304,-1.2489),(4985,1375,0.11255,-1.2841),(4985,1385,0.089765,-1.3192),(4985,1395,0.06698,-1.3331),(4985,1405,0.044194,-1.3442),(4985,1415,0.030449,-1.3553),(4985,1425,0.017643,-1.3664),(4985,1435,0.004836,-1.3664),(4985,1445,-0.00797,-1.3656),(4985,1455,-0.007673,-1.3647),(4985,1465,-0.006621,-1.3639),(4985,1475,-0.00557,-1.3637),(4985,1485,-0.004518,-1.3636),(4985,1495,-0.003458,-1.3634),(4985,1505,-0.002397,-1.3632),(4985,1515,-0.001336,-1.3633),(4985,1525,-0.000294,-1.3633),(4985,1535,2.1e-05,-1.3634),(4985,1545,0.000335,-1.3634),(4985,1555,0.00065,-1.3633),(4985,1565,0.000947,-1.3632),(4985,1575,0.000986,-1.3631),(4985,1585,0.001025,-1.363),(4985,1595,0.001065,-1.3627),(4985,1605,0.001094,-1.3624),(4985,1615,0.001033,-1.3621),(4985,1625,0.000973,-1.3618),(4985,1635,0.000912,-1.3614),(4985,1645,0.00085,-1.361),(4985,1655,0.000773,-1.3606),(4985,1665,0.000697,-1.3602),(4985,1675,0.000621,-1.3598),(4985,1685,0.000552,-1.3595),(4985,1695,0.000514,-1.3591),(4985,1705,0.000476,-1.3588),(4985,1715,0.000439,-1.3585),(4985,1725,0.000407,-1.3581),(4985,1735,0.000394,-1.3578),(4985,1745,0.000382,-1.3575),(4985,1755,0.00037,-1.3571),(4985,1765,0.000362,-1.3568),(4985,1775,0.000367,-1.3564),(4985,1785,0.000371,-1.3561),(4985,1795,0.000376,-1.3558),(4985,1805,0.000386,-1.3555),(4985,1815,0.000408,-1.3552),(4985,1825,0.000431,-1.355),(4985,1835,0.000453,-1.3548),(4985,1845,0.000468,-1.3546),(4985,1855,0.000467,-1.3544),(4985,1865,0.000467,-1.3542),(4985,1875,0.000466,-1.3541),(4985,1885,0.00046,-1.354),(4985,1895,0.000446,-1.3539),(4985,1905,0.000431,-1.3538),(4985,1915,0.000416,-1.3539),(4985,1925,0.000413,-1.3539),(4985,1935,0.000424,-1.3539),(4985,1945,0.000435,-1.354),(4985,1955,0.000446,-1.3542),(4985,1965,0.000465,-1.3543),(4985,1975,0.000491,-1.3545),(4985,1985,0.000518,-1.3547),(4985,1995,0.000545,-1.355),(4985,2005,0.000578,-1.3552),(4985,2015,0.000616,-1.3555),(4985,2025,0.000655,-1.3558),(4985,2035,0.000694,-1.3563),(4985,2045,0.000738,-1.3567),(4985,2055,0.000787,-1.3571),(4985,2065,0.000835,-1.3577),(4985,2075,0.000884,-1.3583),(4985,2085,0.00092,-1.3589),(4985,2095,0.000947,-1.3596),(4985,2105,0.000973,-1.3603),(4985,2115,0.001,-1.3611),(4985,2125,0.001013,-1.3618),(4985,2135,0.001017,-1.3626),(4985,2145,0.001021,-1.3635),(4985,2155,0.001025,-1.3645),(4985,2165,0.001038,-1.3655),(4985,2175,0.001055,-1.3664),(4985,2185,0.001072,-1.3676),(4985,2195,0.001089,-1.3687),(4985,2205,0.001129,-1.3699),(4985,2215,0.00118,-1.3711),(4985,2225,0.001231,-1.3723),(4985,2235,0.001282,-1.3736),(4985,2245,0.001362,-1.375),(4985,2255,0.001452,-1.3763),(4985,2265,0.001543,-1.3776),(4985,2275,0.001633,-1.379),(4985,2285,0.001745,-1.3804),(4985,2295,0.001864,-1.3818),(4985,2305,0.001982,-1.3832),(4985,2315,0.002101,-1.3846),(4985,2325,0.002225,-1.386),(4985,2335,0.002351,-1.3875),(4985,2345,0.002477,-1.3889),(4985,2355,0.002603,-1.3904),(4985,2365,0.002716,-1.3919),(4985,2375,0.002827,-1.3934),(4985,2385,0.002938,-1.395),(4985,2395,0.003048,-1.3966),(4985,2405,0.003117,-1.3983),(4985,2415,0.003181,-1.3999),(4985,2425,0.003245,-1.4016),(4985,2435,0.003308,-1.4034),(4985,2445,0.003338,-1.4051),(4985,2455,0.003366,-1.4069),(4985,2465,0.003393,-1.4087),(4985,2475,0.003421,-1.4106),(4985,2485,0.003496,-1.4125),(4985,2495,0.003571,-1.4144),(4985,2505,0.003647,-1.4165),(4985,2515,0.003724,-1.4186),(4985,2525,0.003891,-1.4207),(4985,2535,0.004058,-1.4228),(4985,2545,0.004225,-1.4249),(4985,2555,0.004394,-1.4271),(4985,2565,0.004588,-1.4292),(4985,2575,0.004782,-1.4313),(4985,2585,0.004977,-1.4334),(4985,2595,0.005169,-1.4354),(4985,2605,0.005348,-1.4374),(4985,2615,0.005527,-1.4394),(4985,2625,0.005706,-1.4414),(4985,2635,0.005888,-1.4433),(4985,2645,0.006087,-1.4452),(4985,2655,0.006287,-1.4471),(4985,2665,0.006487,-1.4491),(4985,2675,0.006689,-1.451),(4985,2685,0.006902,-1.4529),(4985,2695,0.007115,-1.4548),(4985,2705,0.007328,-1.4567),(4985,2715,0.007534,-1.4585),(4985,2725,0.007718,-1.4603),(4985,2735,0.007901,-1.4621),(4985,2745,0.008084,-1.4638),(4985,2755,0.008267,-1.4655),(4985,2765,0.00845,-1.4671),(4985,2775,0.008632,-1.4688),(4985,2785,0.008814,-1.4705),(4985,2795,0.009006,-1.4721),(4985,2805,0.00922,-1.4738),(4985,2815,0.009435,-1.4754),(4985,2825,0.00965,-1.477),(4985,2835,0.009868,-1.4786),(4985,2845,0.010093,-1.4802),(4985,2855,0.010319,-1.4818),(4985,2865,0.010544,-1.4833),(4985,2875,0.010773,-1.4847),(4985,2885,0.011006,-1.4862),(4985,2895,0.01124,-1.4877),(4985,2905,0.011474,-1.4891),(4985,2915,0.011726,-1.4904),(4985,2925,0.012006,-1.4918),(4985,2935,0.012285,-1.4932),(4985,2945,0.012564,-1.4945),(4985,2955,0.012853,-1.4958),(4985,2965,0.013153,-1.4971),(4985,2975,0.013453,-1.4984),(4985,2985,0.013753,-1.4995),(4985,2995,0.01405,-1.5006),(4985,3005,0.014344,-1.5017),(4985,3015,0.014638,-1.5028),(4985,3025,0.014933,-1.5037),(4985,3035,0.015237,-1.5047),(4985,3045,0.015551,-1.5057),(4985,3055,0.015865,-1.5066),(4985,3065,0.016179,-1.5075),(4985,3075,0.016491,-1.5084),(4985,3085,0.016801,-1.5092),(4985,3095,0.017112,-1.51),(4985,3105,0.017422,-1.5107),(4985,3115,0.017704,-1.5114),(4985,3125,0.017968,-1.5121),(4985,3135,0.018232,-1.5127),(4985,3145,0.018495,-1.5133),(4985,3155,0.01876,-1.5138),(4985,3165,0.019024,-1.5144),(4985,3175,0.019289,-1.5149),(4985,3185,0.019554,-1.5153),(4985,3195,0.01983,-1.5158),(4985,3205,0.020111,-1.5162),(4985,3215,0.020392,-1.5165),(4985,3225,0.020673,-1.5168),(4985,3235,0.020946,-1.517),(4985,3245,0.021215,-1.5172),(4985,3255,0.021485,-1.5173),(4985,3265,0.021754,-1.5172),(4985,3275,0.022048,-1.5172),(4985,3285,0.02235,-1.5172),(4985,3295,0.022652,-1.517),(4985,3305,0.022954,-1.5168),(4985,3315,0.023267,-1.5166),(4985,3325,0.023584,-1.5164),(4985,3335,0.0239,-1.5159),(4985,3345,0.024216,-1.5153),(4985,3355,0.024489,-1.5148),(4985,3365,0.024753,-1.5142),(4985,3375,0.025018,-1.5133),(4985,3385,0.025283,-1.5123),(4985,3395,0.025535,-1.5113),(4985,3405,0.025785,-1.5103),(4985,3415,0.026036,-1.5091),(4985,3425,0.026286,-1.5079),(4985,3435,0.026531,-1.5066),(4985,3445,0.026775,-1.5054),(4985,3455,0.02702,-1.5038),(4985,3465,0.027264,-1.5022),(4985,3475,0.027453,-1.5006),(4985,3485,0.027639,-1.499),(4985,3495,0.027825,-1.4969),(4985,3505,0.028012,-1.4949),(4985,3515,0.028157,-1.4928),(4985,3525,0.028301,-1.4908),(4985,3535,0.028446,-1.4883),(4985,3545,0.028592,-1.4858),(4985,3555,0.028741,-1.4833),(4985,3565,0.028891,-1.4807),(4985,3575,0.029041,-1.4777),(4985,3585,0.029193,-1.4746),(4985,3595,0.029374,-1.4716),(4985,3605,0.029555,-1.4685),(4985,3615,0.029736,-1.4649),(4985,3625,0.029915,-1.4613),(4985,3635,0.030085,-1.4577),(4985,3645,0.030255,-1.4539),(4985,3655,0.030424,-1.4496),(4985,3665,0.030582,-1.4453),(4985,3675,0.030678,-1.4409),(4985,3685,0.030774,-1.4365),(4985,3695,0.03087,-1.4314),(4985,3705,0.030953,-1.4262),(4985,3715,0.030983,-1.4211),(4985,3725,0.031014,-1.4158),(4985,3735,0.031044,-1.4099),(4985,3745,0.031067,-1.404),(4985,3755,0.031063,-1.3981),(4985,3765,0.03106,-1.392),(4985,3775,0.031057,-1.3854),(4985,3785,0.031042,-1.3787),(4985,3795,0.030999,-1.372),(4985,3805,0.030956,-1.3651),(4985,3815,0.030913,-1.3574),(4985,3825,0.030929,-1.3498),(4985,3835,0.031069,-1.3421),(4985,3845,0.03121,-1.3341),(4985,3855,0.03135,-1.3254),(4985,3865,0.031688,-1.3166),(4985,3875,0.032375,-1.3078),(4985,3885,0.033063,-1.2986),(4985,3895,0.03375,-1.2885),(4985,3905,0.034466,-1.2784),(4985,3915,0.035224,-1.2684),(4985,3925,0.035983,-1.2574),(4985,3935,0.036741,-1.2452),(4985,3945,0.034386,-1.233),(4985,3955,0.028079,-1.2209),(4985,3965,0.021772,-1.2043),(4985,3975,0.015465,-1.1828),(4985,3985,-0.003631,-1.1612),(4985,3995,-0.036572,-1.1396),(4985,4005,-0.069514,-1.107),(4985,4015,-0.10245,-1.0632),(4985,4025,0.038829,-1.0194),(4985,4035,0.19716,-0.98901),(4985,4045,0.35549,-0.98684),(4985,4055,0.47848,-0.98468),(4985,4065,0.58858,-0.98152),(4985,4075,0.69868,-0.97239),(4985,4085,0.76191,-0.96326),(4985,4095,0.78746,-0.95412),(4985,4105,0.81302,-0.94243),(4985,4115,0.83707,-0.93064),(4985,4125,0.85862,-0.91885),(4985,4135,0.88017,-0.90628),(4985,4145,0.90114,-0.89349),(4985,4155,0.91973,-0.8807),(4985,4165,0.93832,-0.86769),(4985,4175,0.95686,-0.85453),(4985,4185,0.97306,-0.84136),(4985,4195,0.98925,-0.82822),(4985,4205,1.0054,-0.81509),(4985,4215,1.02,-0.80197),(4985,4225,1.0342,-0.78888),(4985,4235,1.0484,-0.77592),(4985,4245,1.0615,-0.76295),(4985,4255,1.074,-0.75001),(4985,4265,1.0865,-0.73742),(4985,4275,1.0983,-0.72482),(4985,4285,1.1093,-0.71222),(4985,4295,1.1202,-0.70002),(4985,4305,1.1308,-0.68787),(4985,4315,1.1405,-0.67572),(4985,4325,1.1502,-0.6639),(4985,4335,1.1597,-0.65221),(4985,4345,1.1682,-0.64052),(4985,4355,1.1768,-0.62908),(4985,4365,1.1853,-0.61787),(4985,4375,1.1928,-0.60666),(4985,4385,1.2003,-0.59565),(4985,4395,1.2079,-0.58498),(4985,4405,1.2147,-0.57432),(4985,4415,1.2213,-0.56376),(4985,4425,1.2279,-0.55366),(4985,4435,1.234,-0.54355),(4985,4445,1.2399,-0.53345),(4985,4455,1.2457,-0.52395),(4985,4465,1.2512,-0.51444),(4985,4475,1.2564,-0.50493),(4985,4485,1.2615,-0.49589),(4985,4495,1.2665,-0.48694),(4985,4505,1.271,-0.47799),(4985,4515,1.2756,-0.46944),(4985,4525,1.2801,-0.46111),(4985,4535,1.284,-0.45278),(4985,4545,1.288,-0.44475),(4985,4555,1.292,-0.43706),(4985,4565,1.2956,-0.42937),(4985,4575,1.2992,-0.42185),(4985,4585,1.3027,-0.41476),(4985,4595,1.306,-0.40767),(4985,4605,1.3092,-0.40065),(4985,4615,1.3124,-0.39415),(4985,4625,1.3155,-0.38765),(4985,4635,1.3184,-0.38115),(4985,4645,1.3213,-0.37524),(4985,4655,1.3241,-0.36938),(4985,4665,1.3268,-0.36352),(4985,4675,1.3295,-0.35813),(4985,4685,1.3321,-0.35288),(4985,4695,1.3346,-0.34763),(4985,4705,1.3371,-0.34273),(4985,4715,1.3396,-0.33807),(4985,4725,1.3421,-0.33342),(4985,4735,1.3445,-0.329),(4985,4745,1.3469,-0.32494),(4985,4755,1.3493,-0.32088),(4985,4765,1.3517,-0.31696),(4985,4775,1.3541,-0.31351),(4985,4785,1.3565,-0.31007),(4985,4795,1.3589,-0.30666),(4985,4805,1.3614,-0.3038),(4985,4815,1.3638,-0.30094),(4985,4825,1.3663,-0.29808),(4985,4835,1.3688,-0.29567),(4985,4845,1.3714,-0.29333),(4985,4855,1.374,-0.29099),(4985,4865,1.3766,-0.289),(4985,4875,1.3793,-0.28717),(4985,4885,1.382,-0.28535),(4985,4895,1.3848,-0.28374),(4985,4905,1.3875,-0.28236),(4985,4915,1.3904,-0.28097),(4985,4925,1.3933,-0.2797),(4985,4935,1.3962,-0.27866),(4985,4945,1.3992,-0.27763),(4985,4955,1.4022,-0.27664),(4985,4965,1.4052,-0.27588),(4985,4975,1.4082,-0.27511),(4985,4985,1.4113,-0.27435),(4985,4995,1.4144,-0.27376),(4985,5005,1.4175,-0.27318),(4985,5015,1.4206,-0.2726),(4985,5025,1.4237,-0.2721),(4985,5035,1.4268,-0.27162),(4985,5045,1.4299,-0.27114),(4985,5055,1.4329,-0.27066),(4985,5065,1.436,-0.27017),(4985,5075,1.439,-0.26968),(4985,5085,1.442,-0.26918),(4985,5095,1.4449,-0.26866),(4985,5105,1.4478,-0.26813),(4985,5115,1.4506,-0.2676),(4985,5125,1.4534,-0.26704),(4985,5135,1.456,-0.26647),(4985,5145,1.4586,-0.2659),(4985,5155,1.4612,-0.26524),(4985,5165,1.4637,-0.26458),(4985,5175,1.466,-0.26392),(4985,5185,1.4683,-0.26319),(4985,5195,1.4705,-0.26245),(4985,5205,1.4724,-0.26171),(4985,5215,1.4744,-0.26097),(4985,5225,1.4763,-0.26024),(4985,5235,1.478,-0.2595),(4985,5245,1.4797,-0.25882),(4985,5255,1.4813,-0.25819),(4985,5265,1.4827,-0.25756),(4985,5275,1.4842,-0.257),(4985,5285,1.4856,-0.25655),(4985,5295,1.4869,-0.25611),(4985,5305,1.4881,-0.25573),(4985,5315,1.4894,-0.2556),(4985,5325,1.4907,-0.25548),(4985,5335,1.4919,-0.25536),(4985,5345,1.4931,-0.25568),(4985,5355,1.4944,-0.25599),(4985,5365,1.4958,-0.25631),(4985,5375,1.4971,-0.25709),(4985,5385,1.4985,-0.25796),(4985,5395,1.5001,-0.25883),(4985,5405,1.5017,-0.26011),(4985,5415,1.5033,-0.26162),(4985,5425,1.5052,-0.26312),(4985,5435,1.5072,-0.26494),(4985,5445,1.5092,-0.26711),(4985,5455,1.5116,-0.26928),(4985,5465,1.5141,-0.27166),(4985,5475,1.5166,-0.27455),(4985,5485,1.5195,-0.27744),(4985,5495,1.5227,-0.28041),(4985,5505,1.5258,-0.28401),(4985,5515,1.5294,-0.28762),(4985,5525,1.5333,-0.29122),(4985,5535,1.5372,-0.29544),(4985,5545,1.5414,-0.2997),(4985,5555,1.5462,-0.30396),(4985,5565,1.551,-0.30865),(4985,5575,1.556,-0.31346),(4985,5585,1.5617,-0.31827),(4985,5595,1.5675,-0.32335),(4985,5605,1.5732,-0.32862),(4985,5615,1.5799,-0.33389),(4985,5625,1.5866,-0.33927),(4985,5635,1.5933,-0.34478),(4985,5645,1.6008,-0.3503),(4985,5655,1.6085,-0.3558),(4985,5665,1.6161,-0.36124),(4985,5675,1.6243,-0.36668),(4985,5685,1.6328,-0.37209),(4985,5695,1.6413,-0.37714),(4985,5705,1.6501,-0.38219),(4985,5715,1.6592,-0.38724),(4985,5725,1.6684,-0.39162),(4985,5735,1.6776,-0.39591),(4985,5745,1.6871,-0.4002),(4985,5755,1.6967,-0.40379),(4985,5765,1.7062,-0.40707),(4985,5775,1.7158,-0.41035),(4985,5785,1.7254,-0.41297),(4985,5795,1.735,-0.41497),(4985,5805,1.7445,-0.41698),(4985,5815,1.7539,-0.41853),(4985,5825,1.7633,-0.4192),(4985,5835,1.7723,-0.41987),(4985,5845,1.7813,-0.42032),(4985,5855,1.7902,-0.41967),(4985,5865,1.7988,-0.41902),(4985,5875,1.8072,-0.41837),(4985,5885,1.8155,-0.41652),(4985,5895,1.8236,-0.41466),(4985,5905,1.8313,-0.4128),(4985,5915,1.8391,-0.41015),(4985,5925,1.8466,-0.40731),(4985,5935,1.8538,-0.40447),(4985,5945,1.8609,-0.40113),(4985,5955,1.868,-0.3975),(4985,5965,1.8745,-0.39386),(4985,5975,1.8811,-0.38996),(4985,5985,1.8877,-0.38572),(4985,5995,1.894,-0.38147),(4985,6005,1.9001,-0.37711),(4985,6015,1.9063,-0.3724),(4985,6025,1.9122,-0.36769),(4985,6035,1.918,-0.36295),(4985,6045,1.9239,-0.35787),(4985,6055,1.9295,-0.35279),(4985,6065,1.935,-0.34771),(4985,6075,1.9406,-0.34235),(4985,6085,1.946,-0.33696),(4985,6095,1.9512,-0.33158),(4985,6105,1.9565,-0.32597),(4985,6115,1.9617,-0.32027),(4985,6125,1.9666,-0.31458),(4985,6135,1.9716,-0.30877),(4985,6145,1.9766,-0.30286),(4985,6155,1.9813,-0.29694),(4985,6165,1.986,-0.29095),(4985,6175,1.9907,-0.28484),(4985,6185,1.9952,-0.27873),(4985,6195,1.9996,-0.27259),(4985,6205,2.004,-0.26632),(4985,6215,2.0083,-0.26004),(4985,6225,2.0124,-0.25377),(4985,6235,2.0166,-0.24732),(4985,6245,2.0205,-0.24087),(4985,6255,2.0244,-0.23441),(4985,6265,2.0282,-0.22786),(4985,6275,2.0319,-0.22128),(4985,6285,2.0354,-0.2147),(4985,6295,2.0389,-0.20804),(4985,6305,2.0423,-0.20133),(4985,6315,2.0455,-0.19463),(4985,6325,2.0486,-0.18785),(4985,6335,2.0518,-0.18101),(4985,6345,2.0546,-0.17417),(4985,6355,2.0574,-0.16731),(4985,6365,2.0602,-0.16041),(4985,6375,2.0627,-0.15351),(4985,6385,2.0652,-0.14661),(4985,6395,2.0677,-0.13971),(4985,6405,2.0699,-0.1328),(4985,6415,2.072,-0.12589),(4985,6425,2.0741,-0.1189),(4985,6435,2.0761,-0.11191),(4985,6445,2.0778,-0.10491),(4985,6455,2.0796,-0.097906),(4985,6465,2.0812,-0.090894),(4985,6475,2.0826,-0.083881),(4985,6485,2.084,-0.076842),(4985,6495,2.0853,-0.069785),(4985,6505,2.0864,-0.062728),(4985,6515,2.0874,-0.055678),(4985,6525,2.0884,-0.048638),(4985,6535,2.0891,-0.041598),(4985,6545,2.0898,-0.034552),(4985,6555,2.0904,-0.027487),(4985,6565,2.0908,-0.020422),(4985,6575,2.0911,-0.013358),(4985,6585,2.0914,-0.006305),(4985,6595,1.7792,0.000749),(4985,6605,1.1219,0.007802),(4985,6615,0.46453,0.008631),(4985,6625,0.002443,0.00866),(4985,6635,0.002422,0.00869),(4985,6645,0.0024,0.008716),(4985,6655,0.002379,0.008742),(4985,6665,0.002361,0.008767),(4985,6675,0.002342,0.008791),(4985,6685,0.002323,0.008813),(4985,6695,0.002306,0.008835),(4985,6705,0.00229,0.008856),(4985,6715,0.002273,0.008875),(4985,6725,0.002258,0.008894),(4985,6735,0.002244,0.008912),(4985,6745,0.002229,0.008928),(4985,6755,0.002216,0.008944),(4985,6765,0.002204,0.00896),(4985,6775,0.002191,0.008974),(4985,6785,0.002179,0.008988),(4985,6795,0.002169,0.009002),(4985,6805,0.002158,0.009014),(4985,6815,0.002148,0.009025),(4985,6825,0.002138,0.009037),(4985,6835,0.002129,0.009048),(4985,6845,0.00212,0.009058),(4985,6855,0.002112,0.009067),(4985,6865,0.002105,0.009077),(4985,6875,0.002097,0.009085),(4985,6885,0.00209,0.009094),(4985,6895,0.002084,0.009102),(4985,6905,0.002077,0.009109),(4985,6915,0.002072,0.009116),(4985,6925,0.002067,0.009123),(4985,6935,0.002061,0.009128),(4985,6945,0.002057,0.009134),(4985,6955,0.002052,0.00914),(4985,6965,0.002048,0.009144),(4985,6975,0.002044,0.009149),(4985,6985,0.002041,0.009154),(4995,5,9e-06,-1.1206),(4995,15,2.7e-05,-1.1207),(4995,25,3.6e-05,-1.1208),(4995,35,3.7e-05,-1.1209),(4995,45,3.8e-05,-1.1209),(4995,55,3.9e-05,-1.121),(4995,65,4.3e-05,-1.1211),(4995,75,5.2e-05,-1.1212),(4995,85,6e-05,-1.1213),(4995,95,6.8e-05,-1.1214),(4995,105,7e-05,-1.1216),(4995,115,6.7e-05,-1.1217),(4995,125,6.4e-05,-1.1218),(4995,135,6.2e-05,-1.122),(4995,145,5.3e-05,-1.1221),(4995,155,4e-05,-1.1223),(4995,165,2.7e-05,-1.1224),(4995,175,1.5e-05,-1.1226),(4995,185,1e-05,-1.1228),(4995,195,8e-06,-1.123),(4995,205,7e-06,-1.1233),(4995,215,5e-06,-1.1235),(4995,225,7e-06,-1.1238),(4995,235,1.1e-05,-1.1241),(4995,245,1.4e-05,-1.1244),(4995,255,1.8e-05,-1.1247),(4995,265,1.5e-05,-1.1251),(4995,275,1.1e-05,-1.1254),(4995,285,7e-06,-1.1258),(4995,295,3e-06,-1.1262),(4995,305,-1e-05,-1.1266),(4995,315,-2.6e-05,-1.127),(4995,325,-4.1e-05,-1.1275),(4995,335,-5.7e-05,-1.1279),(4995,345,-6.7e-05,-1.1283),(4995,355,-7.6e-05,-1.1287),(4995,365,-8.4e-05,-1.1292),(4995,375,-9.3e-05,-1.1296),(4995,385,-9e-05,-1.1301),(4995,395,-8.6e-05,-1.1306),(4995,405,-8.1e-05,-1.1311),(4995,415,-7.7e-05,-1.1316),(4995,425,-7.9e-05,-1.1321),(4995,435,-8.3e-05,-1.1326),(4995,445,-8.6e-05,-1.1332),(4995,455,-8.9e-05,-1.1337),(4995,465,-0.0001,-1.1343),(4995,475,-0.000111,-1.1349),(4995,485,-0.000123,-1.1355),(4995,495,-0.000135,-1.1361),(4995,505,-0.000152,-1.1367),(4995,515,-0.000169,-1.1373),(4995,525,-0.000186,-1.138),(4995,535,-0.000204,-1.1387),(4995,545,-0.000235,-1.1393),(4995,555,-0.000265,-1.14),(4995,565,-0.000295,-1.1407),(4995,575,-0.000327,-1.1414),(4995,585,-0.000377,-1.1421),(4995,595,-0.000427,-1.1428),(4995,605,-0.000477,-1.1436),(4995,615,-0.000526,-1.1444),(4995,625,-0.000573,-1.1451),(4995,635,-0.000619,-1.1459),(4995,645,-0.000665,-1.1467),(4995,655,-0.00071,-1.1475),(4995,665,-0.000747,-1.1483),(4995,675,-0.000783,-1.1491),(4995,685,-0.00082,-1.15),(4995,695,-0.000848,-1.1509),(4995,705,-0.000842,-1.1518),(4995,715,-0.000836,-1.1527),(4995,725,-0.00083,-1.1537),(4995,735,-0.000816,-1.1547),(4995,745,-0.000778,-1.1557),(4995,755,-0.000739,-1.1567),(4995,765,-0.000701,-1.1578),(4995,775,-0.000664,-1.1588),(4995,785,-0.00063,-1.1598),(4995,795,-0.000597,-1.1608),(4995,805,-0.000563,-1.1618),(4995,815,-0.000537,-1.1628),(4995,825,-0.000525,-1.1638),(4995,835,-0.000513,-1.1648),(4995,845,-0.000502,-1.1658),(4995,855,-0.000505,-1.1669),(4995,865,-0.000536,-1.1679),(4995,875,-0.000567,-1.1689),(4995,885,-0.000597,-1.17),(4995,895,-0.000638,-1.171),(4995,905,-0.000695,-1.1721),(4995,915,-0.000751,-1.1731),(4995,925,-0.000808,-1.1742),(4995,935,-0.000861,-1.1753),(4995,945,-0.00091,-1.1764),(4995,955,-0.00096,-1.1776),(4995,965,-0.001009,-1.1787),(4995,975,-0.001048,-1.1799),(4995,985,-0.001074,-1.1811),(4995,995,-0.001101,-1.1823),(4995,1005,-0.001128,-1.1834),(4995,1015,-0.001153,-1.1846),(4995,1025,-0.001175,-1.1857),(4995,1035,-0.001198,-1.1869),(4995,1045,-0.001221,-1.188),(4995,1055,-0.001256,-1.189),(4995,1065,-0.001302,-1.1901),(4995,1075,-0.001348,-1.1912),(4995,1085,-0.001394,-1.1923),(4995,1095,-0.001427,-1.1933),(4995,1105,-0.001452,-1.1944),(4995,1115,-0.001477,-1.1954),(4995,1125,-0.001502,-1.1963),(4995,1135,-0.001359,-1.1972),(4995,1145,-0.001119,-1.1982),(4995,1155,-0.000878,-1.1989),(4995,1165,-0.000637,-1.1997),(4995,1175,0.00013,-1.2004),(4995,1185,0.001159,-1.2011),(4995,1195,0.002188,-1.2015),(4995,1205,0.003217,-1.2017),(4995,1215,0.004312,-1.202),(4995,1225,0.005433,-1.2023),(4995,1235,0.006554,-1.2021),(4995,1245,0.007675,-1.2019),(4995,1255,-0.001714,-1.2016),(4995,1265,-0.014653,-1.2013),(4995,1275,-0.027592,-1.2004),(4995,1285,-0.040531,-1.1993),(4995,1295,-0.070786,-1.1982),(4995,1305,-0.10573,-1.1972),(4995,1315,-0.14066,-1.1943),(4995,1325,-0.1756,-1.191),(4995,1335,-0.1078,-1.1877),(4995,1345,-0.018468,-1.1844),(4995,1355,0.070865,-1.1881),(4995,1365,0.1602,-1.1931),(4995,1375,0.14654,-1.198),(4995,1385,0.11699,-1.203),(4995,1395,0.08744,-1.205),(4995,1405,0.057891,-1.2067),(4995,1415,0.040417,-1.2084),(4995,1425,0.024196,-1.2101),(4995,1435,0.007975,-1.2108),(4995,1445,-0.008246,-1.2115),(4995,1455,-0.007951,-1.2122),(4995,1465,-0.006705,-1.2129),(4995,1475,-0.00546,-1.2134),(4995,1485,-0.004214,-1.2139),(4995,1495,-0.003073,-1.2145),(4995,1505,-0.001934,-1.215),(4995,1515,-0.000795,-1.2151),(4995,1525,0.000323,-1.2152),(4995,1535,0.000595,-1.2154),(4995,1545,0.000866,-1.2155),(4995,1555,0.001138,-1.2154),(4995,1565,0.001392,-1.2153),(4995,1575,0.001404,-1.2152),(4995,1585,0.001415,-1.215),(4995,1595,0.001427,-1.2148),(4995,1605,0.00143,-1.2145),(4995,1615,0.001361,-1.2143),(4995,1625,0.001291,-1.214),(4995,1635,0.001222,-1.2136),(4995,1645,0.001151,-1.2133),(4995,1655,0.00107,-1.2129),(4995,1665,0.000989,-1.2126),(4995,1675,0.000909,-1.2122),(4995,1685,0.000835,-1.2119),(4995,1695,0.000794,-1.2116),(4995,1705,0.000752,-1.2113),(4995,1715,0.000711,-1.211),(4995,1725,0.000674,-1.2107),(4995,1735,0.000655,-1.2104),(4995,1745,0.000635,-1.2101),(4995,1755,0.000616,-1.2098),(4995,1765,0.000599,-1.2095),(4995,1775,0.000591,-1.2092),(4995,1785,0.000584,-1.2089),(4995,1795,0.000576,-1.2086),(4995,1805,0.000575,-1.2084),(4995,1815,0.000589,-1.2081),(4995,1825,0.000604,-1.2079),(4995,1835,0.000618,-1.2077),(4995,1845,0.000628,-1.2076),(4995,1855,0.00063,-1.2074),(4995,1865,0.000632,-1.2072),(4995,1875,0.000634,-1.2071),(4995,1885,0.000629,-1.207),(4995,1895,0.000615,-1.2069),(4995,1905,0.0006,-1.2069),(4995,1915,0.000586,-1.2069),(4995,1925,0.00058,-1.2069),(4995,1935,0.000584,-1.207),(4995,1945,0.000588,-1.2071),(4995,1955,0.000593,-1.2072),(4995,1965,0.000604,-1.2073),(4995,1975,0.000622,-1.2075),(4995,1985,0.000641,-1.2077),(4995,1995,0.00066,-1.2079),(4995,2005,0.000685,-1.2082),(4995,2015,0.000716,-1.2084),(4995,2025,0.000747,-1.2087),(4995,2035,0.000778,-1.2091),(4995,2045,0.000819,-1.2095),(4995,2055,0.000867,-1.2098),(4995,2065,0.000916,-1.2103),(4995,2075,0.000964,-1.2109),(4995,2085,0.001005,-1.2114),(4995,2095,0.00104,-1.212),(4995,2105,0.001074,-1.2126),(4995,2115,0.001109,-1.2133),(4995,2125,0.001128,-1.214),(4995,2135,0.001138,-1.2147),(4995,2145,0.001148,-1.2155),(4995,2155,0.001158,-1.2164),(4995,2165,0.001174,-1.2173),(4995,2175,0.001194,-1.2182),(4995,2185,0.001213,-1.2192),(4995,2195,0.001233,-1.2202),(4995,2205,0.001274,-1.2213),(4995,2215,0.001325,-1.2223),(4995,2225,0.001376,-1.2234),(4995,2235,0.001427,-1.2246),(4995,2245,0.001501,-1.2258),(4995,2255,0.001584,-1.2269),(4995,2265,0.001666,-1.2282),(4995,2275,0.001749,-1.2294),(4995,2285,0.001847,-1.2306),(4995,2295,0.00195,-1.2319),(4995,2305,0.002053,-1.2332),(4995,2315,0.002155,-1.2344),(4995,2325,0.002262,-1.2357),(4995,2335,0.00237,-1.237),(4995,2345,0.002478,-1.2383),(4995,2355,0.002586,-1.2396),(4995,2365,0.002689,-1.241),(4995,2375,0.002792,-1.2423),(4995,2385,0.002894,-1.2437),(4995,2395,0.002997,-1.2452),(4995,2405,0.003073,-1.2466),(4995,2415,0.003146,-1.2481),(4995,2425,0.003219,-1.2496),(4995,2435,0.003291,-1.2512),(4995,2445,0.003334,-1.2528),(4995,2455,0.003374,-1.2543),(4995,2465,0.003414,-1.256),(4995,2475,0.003454,-1.2577),(4995,2485,0.00353,-1.2594),(4995,2495,0.003606,-1.2611),(4995,2505,0.003683,-1.2629),(4995,2515,0.00376,-1.2648),(4995,2525,0.00392,-1.2667),(4995,2535,0.00408,-1.2685),(4995,2545,0.00424,-1.2704),(4995,2555,0.004401,-1.2723),(4995,2565,0.004585,-1.2743),(4995,2575,0.004769,-1.2762),(4995,2585,0.004953,-1.278),(4995,2595,0.005135,-1.2798),(4995,2605,0.005295,-1.2816),(4995,2615,0.005455,-1.2834),(4995,2625,0.005615,-1.2851),(4995,2635,0.005778,-1.2869),(4995,2645,0.005954,-1.2886),(4995,2655,0.006131,-1.2903),(4995,2665,0.006308,-1.292),(4995,2675,0.006488,-1.2937),(4995,2685,0.006688,-1.2954),(4995,2695,0.006887,-1.2971),(4995,2705,0.007087,-1.2987),(4995,2715,0.007281,-1.3004),(4995,2725,0.007456,-1.302),(4995,2735,0.007631,-1.3036),(4995,2745,0.007806,-1.3051),(4995,2755,0.00798,-1.3066),(4995,2765,0.008149,-1.3081),(4995,2775,0.008318,-1.3096),(4995,2785,0.008487,-1.3111),(4995,2795,0.008666,-1.3125),(4995,2805,0.008868,-1.314),(4995,2815,0.00907,-1.3154),(4995,2825,0.009272,-1.3169),(4995,2835,0.009477,-1.3183),(4995,2845,0.009691,-1.3197),(4995,2855,0.009905,-1.3211),(4995,2865,0.010119,-1.3225),(4995,2875,0.010334,-1.3238),(4995,2885,0.01055,-1.3251),(4995,2895,0.010765,-1.3264),(4995,2905,0.010981,-1.3276),(4995,2915,0.011215,-1.3289),(4995,2925,0.011474,-1.3301),(4995,2935,0.011734,-1.3313),(4995,2945,0.011993,-1.3325),(4995,2955,0.012264,-1.3336),(4995,2965,0.01255,-1.3348),(4995,2975,0.012835,-1.3359),(4995,2985,0.01312,-1.3369),(4995,2995,0.013401,-1.3379),(4995,3005,0.013677,-1.3389),(4995,3015,0.013954,-1.3398),(4995,3025,0.01423,-1.3407),(4995,3035,0.014517,-1.3415),(4995,3045,0.014812,-1.3424),(4995,3055,0.015108,-1.3432),(4995,3065,0.015403,-1.344),(4995,3075,0.015701,-1.3448),(4995,3085,0.016002,-1.3456),(4995,3095,0.016302,-1.3463),(4995,3105,0.016602,-1.3469),(4995,3115,0.016876,-1.3475),(4995,3125,0.017135,-1.3482),(4995,3135,0.017393,-1.3487),(4995,3145,0.017652,-1.3492),(4995,3155,0.017909,-1.3497),(4995,3165,0.018166,-1.3501),(4995,3175,0.018422,-1.3506),(4995,3185,0.018679,-1.351),(4995,3195,0.018947,-1.3514),(4995,3205,0.019221,-1.3518),(4995,3215,0.019494,-1.352),(4995,3225,0.019767,-1.3523),(4995,3235,0.020026,-1.3525),(4995,3245,0.020279,-1.3527),(4995,3255,0.020532,-1.3527),(4995,3265,0.020785,-1.3527),(4995,3275,0.021056,-1.3526),(4995,3285,0.021332,-1.3526),(4995,3295,0.021609,-1.3524),(4995,3305,0.021885,-1.3522),(4995,3315,0.022179,-1.3521),(4995,3325,0.022477,-1.3519),(4995,3335,0.022775,-1.3514),(4995,3345,0.023074,-1.3509),(4995,3355,0.023329,-1.3504),(4995,3365,0.023576,-1.3499),(4995,3375,0.023823,-1.3491),(4995,3385,0.02407,-1.3482),(4995,3395,0.024301,-1.3474),(4995,3405,0.024529,-1.3465),(4995,3415,0.024757,-1.3454),(4995,3425,0.024985,-1.3443),(4995,3435,0.02522,-1.3432),(4995,3445,0.025456,-1.3421),(4995,3455,0.025692,-1.3406),(4995,3465,0.025927,-1.3392),(4995,3475,0.026116,-1.3378),(4995,3485,0.026303,-1.3364),(4995,3495,0.026491,-1.3346),(4995,3505,0.026678,-1.3328),(4995,3515,0.026817,-1.331),(4995,3525,0.026957,-1.3291),(4995,3535,0.027097,-1.3269),(4995,3545,0.027236,-1.3247),(4995,3555,0.02737,-1.3225),(4995,3565,0.027504,-1.3203),(4995,3575,0.027639,-1.3176),(4995,3585,0.027775,-1.3149),(4995,3595,0.027934,-1.3122),(4995,3605,0.028093,-1.3095),(4995,3615,0.028252,-1.3063),(4995,3625,0.028411,-1.3031),(4995,3635,0.028563,-1.2999),(4995,3645,0.028716,-1.2967),(4995,3655,0.028868,-1.2929),(4995,3665,0.029009,-1.2891),(4995,3675,0.029093,-1.2853),(4995,3685,0.029176,-1.2813),(4995,3695,0.029259,-1.2768),(4995,3705,0.02933,-1.2723),(4995,3715,0.029355,-1.2678),(4995,3725,0.02938,-1.2632),(4995,3735,0.029405,-1.258),(4995,3745,0.029425,-1.2528),(4995,3755,0.02943,-1.2476),(4995,3765,0.029434,-1.2423),(4995,3775,0.029438,-1.2364),(4995,3785,0.02943,-1.2305),(4995,3795,0.029394,-1.2247),(4995,3805,0.029357,-1.2186),(4995,3815,0.02932,-1.2119),(4995,3825,0.029334,-1.2051),(4995,3835,0.029453,-1.1984),(4995,3845,0.029573,-1.1914),(4995,3855,0.029692,-1.1836),(4995,3865,0.03,-1.1758),(4995,3875,0.030642,-1.168),(4995,3885,0.031284,-1.1597),(4995,3895,0.031927,-1.1506),(4995,3905,0.032529,-1.1414),(4995,3915,0.033073,-1.1322),(4995,3925,0.033617,-1.1223),(4995,3935,0.03416,-1.1112),(4995,3945,0.030717,-1.1002),(4995,3955,0.022213,-1.0891),(4995,3965,0.013709,-1.0768),(4995,3975,0.005204,-1.0629),(4995,3985,-0.018814,-1.0491),(4995,3995,-0.059625,-1.0352),(4995,4005,-0.10044,-1.0222),(4995,4015,-0.14125,-1.01),(4995,4025,0.009797,-0.9978),(4995,4035,0.17961,-0.98926),(4995,4045,0.34942,-0.98839),(4995,4055,0.47375,-0.98753),(4995,4065,0.58149,-0.98564),(4995,4075,0.68922,-0.9776),(4995,4085,0.75093,-0.96956),(4995,4095,0.77565,-0.96152),(4995,4105,0.80036,-0.95051),(4995,4115,0.82376,-0.93938),(4995,4125,0.84495,-0.92826),(4995,4135,0.86614,-0.91615),(4995,4145,0.88678,-0.90378),(4995,4155,0.90522,-0.8914),(4995,4165,0.92366,-0.87872),(4995,4175,0.94206,-0.86583),(4995,4185,0.95822,-0.85294),(4995,4195,0.97439,-0.84004),(4995,4205,0.99055,-0.8271),(4995,4215,1.0051,-0.81417),(4995,4225,1.0194,-0.80126),(4995,4235,1.0336,-0.78844),(4995,4245,1.0468,-0.77561),(4995,4255,1.0594,-0.76282),(4995,4265,1.072,-0.75034),(4995,4275,1.0838,-0.73786),(4995,4285,1.0949,-0.72539),(4995,4295,1.106,-0.71329),(4995,4305,1.1167,-0.70124),(4995,4315,1.1265,-0.68918),(4995,4325,1.1363,-0.67745),(4995,4335,1.146,-0.66585),(4995,4345,1.1546,-0.65424),(4995,4355,1.1633,-0.6429),(4995,4365,1.172,-0.63177),(4995,4375,1.1797,-0.62065),(4995,4385,1.1873,-0.60972),(4995,4395,1.195,-0.59912),(4995,4405,1.202,-0.58853),(4995,4415,1.2087,-0.57805),(4995,4425,1.2155,-0.56801),(4995,4435,1.2218,-0.55798),(4995,4445,1.2278,-0.54795),(4995,4455,1.2338,-0.53851),(4995,4465,1.2395,-0.52906),(4995,4475,1.2448,-0.51961),(4995,4485,1.2501,-0.51063),(4995,4495,1.2553,-0.50174),(4995,4505,1.26,-0.49285),(4995,4515,1.2647,-0.48437),(4995,4525,1.2694,-0.4761),(4995,4535,1.2736,-0.46782),(4995,4545,1.2777,-0.45985),(4995,4555,1.2819,-0.45222),(4995,4565,1.2857,-0.44459),(4995,4575,1.2894,-0.43713),(4995,4585,1.2931,-0.43008),(4995,4595,1.2966,-0.42303),(4995,4605,1.3,-0.41606),(4995,4615,1.3034,-0.40961),(4995,4625,1.3066,-0.40316),(4995,4635,1.3097,-0.39672),(4995,4645,1.3128,-0.39086),(4995,4655,1.3158,-0.38505),(4995,4665,1.3187,-0.37923),(4995,4675,1.3216,-0.37388),(4995,4685,1.3244,-0.36869),(4995,4695,1.3271,-0.36349),(4995,4705,1.3298,-0.35863),(4995,4715,1.3325,-0.35402),(4995,4725,1.3351,-0.3494),(4995,4735,1.3377,-0.34502),(4995,4745,1.3403,-0.34099),(4995,4755,1.3429,-0.33696),(4995,4765,1.3454,-0.33306),(4995,4775,1.348,-0.32964),(4995,4785,1.3506,-0.32622),(4995,4795,1.3532,-0.32282),(4995,4805,1.3558,-0.31998),(4995,4815,1.3584,-0.31713),(4995,4825,1.3611,-0.31428),(4995,4835,1.3638,-0.31186),(4995,4845,1.3665,-0.30951),(4995,4855,1.3693,-0.30715),(4995,4865,1.372,-0.30514),(4995,4875,1.3748,-0.30328),(4995,4885,1.3777,-0.30142),(4995,4895,1.3806,-0.29977),(4995,4905,1.3835,-0.29833),(4995,4915,1.3865,-0.29688),(4995,4925,1.3895,-0.29555),(4995,4935,1.3925,-0.29443),(4995,4945,1.3955,-0.29331),(4995,4955,1.3986,-0.29223),(4995,4965,1.4017,-0.29136),(4995,4975,1.4048,-0.29048),(4995,4985,1.408,-0.28961),(4995,4995,1.4111,-0.2889),(4995,5005,1.4142,-0.2882),(4995,5015,1.4174,-0.2875),(4995,5025,1.4205,-0.28686),(4995,5035,1.4236,-0.28624),(4995,5045,1.4267,-0.28562),(4995,5055,1.4297,-0.28501),(4995,5065,1.4328,-0.28439),(4995,5075,1.4358,-0.28377),(4995,5085,1.4387,-0.28315),(4995,5095,1.4417,-0.28251),(4995,5105,1.4445,-0.28187),(4995,5115,1.4473,-0.28122),(4995,5125,1.45,-0.28056),(4995,5135,1.4527,-0.2799),(4995,5145,1.4552,-0.27923),(4995,5155,1.4578,-0.27849),(4995,5165,1.4602,-0.27775),(4995,5175,1.4625,-0.27701),(4995,5185,1.4648,-0.27624),(4995,5195,1.4669,-0.27546),(4995,5205,1.4689,-0.27468),(4995,5215,1.4708,-0.27393),(4995,5225,1.4727,-0.27319),(4995,5235,1.4744,-0.27245),(4995,5245,1.4761,-0.27179),(4995,5255,1.4778,-0.2712),(4995,5265,1.4793,-0.2706),(4995,5275,1.4808,-0.27008),(4995,5285,1.4822,-0.2697),(4995,5295,1.4836,-0.26932),(4995,5305,1.485,-0.26901),(4995,5315,1.4863,-0.26897),(4995,5325,1.4877,-0.26893),(4995,5335,1.4891,-0.2689),(4995,5345,1.4905,-0.26931),(4995,5355,1.4919,-0.26972),(4995,5365,1.4934,-0.27013),(4995,5375,1.4949,-0.27101),(4995,5385,1.4965,-0.27197),(4995,5395,1.4982,-0.27294),(4995,5405,1.5,-0.27432),(4995,5415,1.5018,-0.2759),(4995,5425,1.504,-0.27749),(4995,5435,1.5062,-0.27938),(4995,5445,1.5083,-0.28161),(4995,5455,1.511,-0.28384),(4995,5465,1.5137,-0.28627),(4995,5475,1.5164,-0.28917),(4995,5485,1.5196,-0.29208),(4995,5495,1.5229,-0.29506),(4995,5505,1.5263,-0.29862),(4995,5515,1.5301,-0.30218),(4995,5525,1.5342,-0.30574),(4995,5535,1.5383,-0.30985),(4995,5545,1.5428,-0.31399),(4995,5555,1.5477,-0.31813),(4995,5565,1.5527,-0.32263),(4995,5575,1.5578,-0.32724),(4995,5585,1.5637,-0.33185),(4995,5595,1.5696,-0.33667),(4995,5605,1.5754,-0.34164),(4995,5615,1.5822,-0.34661),(4995,5625,1.589,-0.35164),(4995,5635,1.5957,-0.35675),(4995,5645,1.6032,-0.36187),(4995,5655,1.6108,-0.36695),(4995,5665,1.6184,-0.37189),(4995,5675,1.6265,-0.37683),(4995,5685,1.6349,-0.38175),(4995,5695,1.6432,-0.38623),(4995,5705,1.6518,-0.39072),(4995,5715,1.6607,-0.3952),(4995,5725,1.6696,-0.399),(4995,5735,1.6786,-0.4027),(4995,5745,1.6878,-0.4064),(4995,5755,1.6969,-0.4094),(4995,5765,1.7061,-0.4121),(4995,5775,1.7153,-0.41479),(4995,5785,1.7245,-0.41686),(4995,5795,1.7337,-0.41834),(4995,5805,1.7427,-0.41982),(4995,5815,1.7516,-0.42088),(4995,5825,1.7606,-0.42112),(4995,5835,1.7692,-0.42137),(4995,5845,1.7777,-0.42141),(4995,5855,1.7862,-0.42044),(4995,5865,1.7944,-0.41947),(4995,5875,1.8023,-0.41849),(4995,5885,1.8103,-0.41643),(4995,5895,1.818,-0.41435),(4995,5905,1.8254,-0.41227),(4995,5915,1.8328,-0.40947),(4995,5925,1.84,-0.40651),(4995,5935,1.8469,-0.40354),(4995,5945,1.8537,-0.40011),(4995,5955,1.8606,-0.39642),(4995,5965,1.867,-0.39272),(4995,5975,1.8733,-0.38877),(4995,5985,1.8797,-0.3845),(4995,5995,1.8858,-0.38024),(4995,6005,1.8918,-0.37585),(4995,6015,1.8978,-0.37115),(4995,6025,1.9036,-0.36645),(4995,6035,1.9093,-0.36171),(4995,6045,1.915,-0.35665),(4995,6055,1.9205,-0.35159),(4995,6065,1.9259,-0.34653),(4995,6075,1.9313,-0.3412),(4995,6085,1.9366,-0.33584),(4995,6095,1.9418,-0.33049),(4995,6105,1.9469,-0.32491),(4995,6115,1.952,-0.31926),(4995,6125,1.9569,-0.3136),(4995,6135,1.9618,-0.30782),(4995,6145,1.9667,-0.30194),(4995,6155,1.9713,-0.29607),(4995,6165,1.9759,-0.29011),(4995,6175,1.9805,-0.28404),(4995,6185,1.985,-0.27797),(4995,6195,1.9893,-0.27187),(4995,6205,1.9937,-0.26564),(4995,6215,1.9979,-0.2594),(4995,6225,2.0019,-0.25317),(4995,6235,2.006,-0.24676),(4995,6245,2.0099,-0.24035),(4995,6255,2.0137,-0.23395),(4995,6265,2.0174,-0.22743),(4995,6275,2.0211,-0.22088),(4995,6285,2.0246,-0.21434),(4995,6295,2.028,-0.20771),(4995,6305,2.0314,-0.20104),(4995,6315,2.0345,-0.19436),(4995,6325,2.0376,-0.18762),(4995,6335,2.0408,-0.18081),(4995,6345,2.0436,-0.17399),(4995,6355,2.0463,-0.16716),(4995,6365,2.0491,-0.16028),(4995,6375,2.0516,-0.15341),(4995,6385,2.0541,-0.14653),(4995,6395,2.0565,-0.13964),(4995,6405,2.0587,-0.13275),(4995,6415,2.0608,-0.12585),(4995,6425,2.0629,-0.11888),(4995,6435,2.0648,-0.1119),(4995,6445,2.0666,-0.10492),(4995,6455,2.0683,-0.097916),(4995,6465,2.07,-0.090913),(4995,6475,2.0713,-0.083909),(4995,6485,2.0727,-0.076875),(4995,6495,2.0741,-0.069821),(4995,6505,2.0751,-0.062767),(4995,6515,2.0761,-0.055719),(4995,6525,2.0771,-0.048678),(4995,6535,2.0778,-0.041636),(4995,6545,2.0784,-0.034589),(4995,6555,2.0791,-0.027522),(4995,6565,2.0795,-0.020454),(4995,6575,2.0798,-0.013388),(4995,6585,2.0801,-0.006333),(4995,6595,1.7695,0.000722),(4995,6605,1.1158,0.007777),(4995,6615,0.462,0.008608),(4995,6625,0.002409,0.008638),(4995,6635,0.002389,0.008669),(4995,6645,0.002369,0.008696),(4995,6655,0.002349,0.008723),(4995,6665,0.002332,0.008749),(4995,6675,0.002314,0.008773),(4995,6685,0.002296,0.008796),(4995,6695,0.002281,0.008819),(4995,6705,0.002265,0.00884),(4995,6715,0.00225,0.00886),(4995,6725,0.002236,0.008879),(4995,6735,0.002222,0.008898),(4995,6745,0.002209,0.008915),(4995,6755,0.002196,0.008932),(4995,6765,0.002184,0.008948),(4995,6775,0.002173,0.008963),(4995,6785,0.002162,0.008977),(4995,6795,0.002152,0.008991),(4995,6805,0.002142,0.009004),(4995,6815,0.002132,0.009016),(4995,6825,0.002123,0.009028),(4995,6835,0.002115,0.009039),(4995,6845,0.002106,0.00905),(4995,6855,0.002099,0.00906),(4995,6865,0.002092,0.00907),(4995,6875,0.002084,0.009078),(4995,6885,0.002078,0.009087),(4995,6895,0.002072,0.009096),(4995,6905,0.002066,0.009103),(4995,6915,0.002061,0.00911),(4995,6925,0.002056,0.009118),(4995,6935,0.002051,0.009124),(4995,6945,0.002047,0.00913),(4995,6955,0.002043,0.009136),(4995,6965,0.002039,0.009141),(4995,6975,0.002036,0.009146),(4995,6985,0.002033,0.009151),(5005,5,6e-06,-0.98408),(5005,15,1.8e-05,-0.98417),(5005,25,2.4e-05,-0.98426),(5005,35,2.3e-05,-0.98434),(5005,45,2.3e-05,-0.98442),(5005,55,2.3e-05,-0.9845),(5005,65,2.5e-05,-0.98457),(5005,75,3e-05,-0.98464),(5005,85,3.5e-05,-0.98474),(5005,95,4e-05,-0.98485),(5005,105,4.1e-05,-0.98497),(5005,115,3.8e-05,-0.98509),(5005,125,3.5e-05,-0.98521),(5005,135,3.2e-05,-0.98534),(5005,145,2.5e-05,-0.98547),(5005,155,1.5e-05,-0.9856),(5005,165,5e-06,-0.98576),(5005,175,-5e-06,-0.98592),(5005,185,-1e-05,-0.98609),(5005,195,-1.2e-05,-0.98625),(5005,205,-1.4e-05,-0.98646),(5005,215,-1.6e-05,-0.98669),(5005,225,-1.5e-05,-0.98692),(5005,235,-1.4e-05,-0.98715),(5005,245,-1.2e-05,-0.98744),(5005,255,-1.1e-05,-0.98775),(5005,265,-1.4e-05,-0.98806),(5005,275,-1.8e-05,-0.98837),(5005,285,-2.2e-05,-0.98872),(5005,295,-2.6e-05,-0.98908),(5005,305,-3.7e-05,-0.98944),(5005,315,-5e-05,-0.9898),(5005,325,-6.3e-05,-0.99017),(5005,335,-7.6e-05,-0.99053),(5005,345,-8.4e-05,-0.9909),(5005,355,-9.2e-05,-0.99127),(5005,365,-0.0001,-0.99167),(5005,375,-0.000108,-0.99208),(5005,385,-0.000108,-0.99249),(5005,395,-0.000107,-0.9929),(5005,405,-0.000106,-0.99334),(5005,415,-0.000105,-0.99379),(5005,425,-0.000109,-0.99424),(5005,435,-0.000114,-0.99469),(5005,445,-0.000119,-0.99518),(5005,455,-0.000124,-0.99569),(5005,465,-0.000135,-0.99619),(5005,475,-0.000146,-0.99669),(5005,485,-0.000157,-0.99722),(5005,495,-0.000169,-0.99775),(5005,505,-0.000184,-0.99829),(5005,515,-0.0002,-0.99882),(5005,525,-0.000215,-0.99942),(5005,535,-0.000231,-1),(5005,545,-0.000257,-1.0006),(5005,555,-0.000282,-1.0012),(5005,565,-0.000307,-1.0018),(5005,575,-0.000333,-1.0025),(5005,585,-0.000372,-1.0031),(5005,595,-0.000412,-1.0037),(5005,605,-0.000451,-1.0044),(5005,615,-0.00049,-1.005),(5005,625,-0.000527,-1.0057),(5005,635,-0.000563,-1.0064),(5005,645,-0.0006,-1.0071),(5005,655,-0.000636,-1.0078),(5005,665,-0.000666,-1.0085),(5005,675,-0.000697,-1.0092),(5005,685,-0.000727,-1.01),(5005,695,-0.000751,-1.0108),(5005,705,-0.000752,-1.0116),(5005,715,-0.000752,-1.0124),(5005,725,-0.000752,-1.0132),(5005,735,-0.000747,-1.0141),(5005,745,-0.000724,-1.015),(5005,755,-0.000702,-1.0159),(5005,765,-0.00068,-1.0168),(5005,775,-0.000659,-1.0177),(5005,785,-0.000641,-1.0186),(5005,795,-0.000624,-1.0195),(5005,805,-0.000606,-1.0204),(5005,815,-0.000594,-1.0212),(5005,825,-0.000594,-1.0221),(5005,835,-0.000593,-1.023),(5005,845,-0.000593,-1.0239),(5005,855,-0.000604,-1.0248),(5005,865,-0.000636,-1.0257),(5005,875,-0.000668,-1.0266),(5005,885,-0.000699,-1.0276),(5005,895,-0.000739,-1.0285),(5005,905,-0.000791,-1.0294),(5005,915,-0.000844,-1.0303),(5005,925,-0.000896,-1.0313),(5005,935,-0.000946,-1.0323),(5005,945,-0.000995,-1.0332),(5005,955,-0.001043,-1.0342),(5005,965,-0.001092,-1.0353),(5005,975,-0.001133,-1.0363),(5005,985,-0.001167,-1.0373),(5005,995,-0.001201,-1.0383),(5005,1005,-0.001235,-1.0394),(5005,1015,-0.001268,-1.0404),(5005,1025,-0.001301,-1.0414),(5005,1035,-0.001334,-1.0424),(5005,1045,-0.001366,-1.0434),(5005,1055,-0.001409,-1.0443),(5005,1065,-0.00146,-1.0453),(5005,1075,-0.001512,-1.0463),(5005,1085,-0.001563,-1.0472),(5005,1095,-0.001607,-1.0481),(5005,1105,-0.001645,-1.0491),(5005,1115,-0.001684,-1.0499),(5005,1125,-0.001722,-1.0507),(5005,1135,-0.001642,-1.0516),(5005,1145,-0.001491,-1.0524),(5005,1155,-0.00134,-1.053),(5005,1165,-0.00119,-1.0535),(5005,1175,-0.000661,-1.0541),(5005,1185,5.7e-05,-1.0546),(5005,1195,0.000774,-1.0545),(5005,1205,0.001491,-1.0542),(5005,1215,0.002251,-1.0538),(5005,1225,0.003028,-1.0535),(5005,1235,0.003805,-1.0523),(5005,1245,0.004583,-1.0509),(5005,1255,-0.002268,-1.0495),(5005,1265,-0.011696,-1.0481),(5005,1275,-0.021123,-1.0528),(5005,1285,-0.030551,-1.0593),(5005,1295,-0.052548,-1.0658),(5005,1305,-0.077945,-1.0724),(5005,1315,-0.10334,-1.0961),(5005,1325,-0.12874,-1.1239),(5005,1335,-0.078958,-1.1517),(5005,1345,-0.013421,-1.1796),(5005,1355,0.052116,-1.1625),(5005,1365,0.11765,-1.1372),(5005,1375,0.10779,-1.112),(5005,1385,0.086283,-1.0867),(5005,1395,0.06478,-1.077),(5005,1405,0.043278,-1.0693),(5005,1415,0.030554,-1.0615),(5005,1425,0.018741,-1.0538),(5005,1435,0.006928,-1.0553),(5005,1445,-0.004884,-1.0575),(5005,1455,-0.004709,-1.0597),(5005,1465,-0.003844,-1.0619),(5005,1475,-0.002979,-1.0631),(5005,1485,-0.002113,-1.0643),(5005,1495,-0.001317,-1.0655),(5005,1505,-0.000521,-1.0667),(5005,1515,0.000274,-1.0669),(5005,1525,0.001055,-1.0672),(5005,1535,0.001226,-1.0674),(5005,1545,0.001396,-1.0676),(5005,1555,0.001567,-1.0675),(5005,1565,0.001726,-1.0674),(5005,1575,0.001711,-1.0673),(5005,1585,0.001697,-1.0671),(5005,1595,0.001682,-1.0669),(5005,1605,0.001661,-1.0667),(5005,1615,0.001589,-1.0664),(5005,1625,0.001517,-1.0662),(5005,1635,0.001445,-1.0659),(5005,1645,0.001373,-1.0656),(5005,1655,0.001295,-1.0653),(5005,1665,0.001217,-1.0649),(5005,1675,0.001139,-1.0646),(5005,1685,0.001067,-1.0644),(5005,1695,0.00102,-1.0641),(5005,1705,0.000973,-1.0638),(5005,1715,0.000926,-1.0635),(5005,1725,0.000883,-1.0633),(5005,1735,0.000855,-1.063),(5005,1745,0.000827,-1.0628),(5005,1755,0.000799,-1.0625),(5005,1765,0.000774,-1.0622),(5005,1775,0.000757,-1.062),(5005,1785,0.000741,-1.0617),(5005,1795,0.000724,-1.0615),(5005,1805,0.000713,-1.0612),(5005,1815,0.000716,-1.061),(5005,1825,0.000718,-1.0608),(5005,1835,0.000721,-1.0607),(5005,1845,0.000721,-1.0605),(5005,1855,0.000718,-1.0604),(5005,1865,0.000715,-1.0602),(5005,1875,0.000712,-1.0601),(5005,1885,0.000707,-1.0601),(5005,1895,0.000696,-1.06),(5005,1905,0.000685,-1.0599),(5005,1915,0.000674,-1.06),(5005,1925,0.000671,-1.06),(5005,1935,0.000677,-1.06),(5005,1945,0.000684,-1.0601),(5005,1955,0.000691,-1.0602),(5005,1965,0.000703,-1.0604),(5005,1975,0.000723,-1.0605),(5005,1985,0.000743,-1.0607),(5005,1995,0.000763,-1.0609),(5005,2005,0.000789,-1.0611),(5005,2015,0.00082,-1.0613),(5005,2025,0.000851,-1.0615),(5005,2035,0.000882,-1.0619),(5005,2045,0.000921,-1.0622),(5005,2055,0.000966,-1.0625),(5005,2065,0.001011,-1.0629),(5005,2075,0.001056,-1.0634),(5005,2085,0.001095,-1.0639),(5005,2095,0.001131,-1.0644),(5005,2105,0.001166,-1.065),(5005,2115,0.001202,-1.0656),(5005,2125,0.001226,-1.0662),(5005,2135,0.001244,-1.0668),(5005,2145,0.001262,-1.0676),(5005,2155,0.001279,-1.0683),(5005,2165,0.001302,-1.0691),(5005,2175,0.001326,-1.0699),(5005,2185,0.001351,-1.0707),(5005,2195,0.001376,-1.0717),(5005,2205,0.001417,-1.0726),(5005,2215,0.001465,-1.0735),(5005,2225,0.001514,-1.0745),(5005,2235,0.001562,-1.0756),(5005,2245,0.001628,-1.0766),(5005,2255,0.001701,-1.0776),(5005,2265,0.001774,-1.0787),(5005,2275,0.001847,-1.0798),(5005,2285,0.001934,-1.0809),(5005,2295,0.002024,-1.082),(5005,2305,0.002114,-1.0831),(5005,2315,0.002204,-1.0842),(5005,2325,0.002299,-1.0854),(5005,2335,0.002396,-1.0865),(5005,2345,0.002492,-1.0877),(5005,2355,0.002589,-1.0888),(5005,2365,0.002684,-1.09),(5005,2375,0.00278,-1.0912),(5005,2385,0.002875,-1.0924),(5005,2395,0.00297,-1.0937),(5005,2405,0.003048,-1.095),(5005,2415,0.003124,-1.0963),(5005,2425,0.0032,-1.0976),(5005,2435,0.003276,-1.099),(5005,2445,0.003332,-1.1004),(5005,2455,0.003386,-1.1018),(5005,2465,0.003439,-1.1033),(5005,2475,0.003493,-1.1048),(5005,2485,0.003574,-1.1063),(5005,2495,0.003656,-1.1077),(5005,2505,0.003737,-1.1094),(5005,2515,0.003819,-1.111),(5005,2525,0.003963,-1.1126),(5005,2535,0.004106,-1.1143),(5005,2545,0.004249,-1.1159),(5005,2555,0.004394,-1.1176),(5005,2565,0.004556,-1.1193),(5005,2575,0.004719,-1.121),(5005,2585,0.004882,-1.1226),(5005,2595,0.005043,-1.1242),(5005,2605,0.005191,-1.1258),(5005,2615,0.005338,-1.1274),(5005,2625,0.005486,-1.1289),(5005,2635,0.005636,-1.1304),(5005,2645,0.005798,-1.1319),(5005,2655,0.00596,-1.1335),(5005,2665,0.006123,-1.1349),(5005,2675,0.006289,-1.1364),(5005,2685,0.00647,-1.1379),(5005,2695,0.006652,-1.1394),(5005,2705,0.006834,-1.1408),(5005,2715,0.007013,-1.1423),(5005,2725,0.00718,-1.1437),(5005,2735,0.007347,-1.1451),(5005,2745,0.007514,-1.1464),(5005,2755,0.00768,-1.1478),(5005,2765,0.007846,-1.1491),(5005,2775,0.008012,-1.1504),(5005,2785,0.008178,-1.1517),(5005,2795,0.008351,-1.1529),(5005,2805,0.008544,-1.1542),(5005,2815,0.008737,-1.1555),(5005,2825,0.00893,-1.1568),(5005,2835,0.009127,-1.158),(5005,2845,0.009332,-1.1593),(5005,2855,0.009537,-1.1605),(5005,2865,0.009742,-1.1617),(5005,2875,0.009948,-1.1628),(5005,2885,0.010158,-1.164),(5005,2895,0.010368,-1.1651),(5005,2905,0.010578,-1.1662),(5005,2915,0.010802,-1.1673),(5005,2925,0.011047,-1.1684),(5005,2935,0.011292,-1.1694),(5005,2945,0.011537,-1.1704),(5005,2955,0.011792,-1.1715),(5005,2965,0.012059,-1.1725),(5005,2975,0.012326,-1.1734),(5005,2985,0.012593,-1.1743),(5005,2995,0.012859,-1.1752),(5005,3005,0.013123,-1.1761),(5005,3015,0.013387,-1.1769),(5005,3025,0.013651,-1.1776),(5005,3035,0.013923,-1.1784),(5005,3045,0.014204,-1.1791),(5005,3055,0.014484,-1.1799),(5005,3065,0.014764,-1.1805),(5005,3075,0.015048,-1.1812),(5005,3085,0.015333,-1.1819),(5005,3095,0.015619,-1.1825),(5005,3105,0.015905,-1.1831),(5005,3115,0.016172,-1.1836),(5005,3125,0.016428,-1.1842),(5005,3135,0.016685,-1.1847),(5005,3145,0.016941,-1.1851),(5005,3155,0.017196,-1.1855),(5005,3165,0.017451,-1.1859),(5005,3175,0.017705,-1.1863),(5005,3185,0.01796,-1.1866),(5005,3195,0.018222,-1.187),(5005,3205,0.018488,-1.1873),(5005,3215,0.018753,-1.1876),(5005,3225,0.019019,-1.1877),(5005,3235,0.019272,-1.1879),(5005,3245,0.019522,-1.1881),(5005,3255,0.019771,-1.1881),(5005,3265,0.02002,-1.1881),(5005,3275,0.020281,-1.1881),(5005,3285,0.020545,-1.188),(5005,3295,0.020809,-1.1879),(5005,3305,0.021073,-1.1877),(5005,3315,0.021348,-1.1875),(5005,3325,0.021626,-1.1873),(5005,3335,0.021903,-1.1869),(5005,3345,0.022181,-1.1865),(5005,3355,0.022425,-1.1861),(5005,3365,0.022662,-1.1857),(5005,3375,0.0229,-1.1849),(5005,3385,0.023138,-1.1842),(5005,3395,0.023361,-1.1834),(5005,3405,0.023582,-1.1826),(5005,3415,0.023803,-1.1817),(5005,3425,0.024023,-1.1807),(5005,3435,0.024246,-1.1797),(5005,3445,0.024468,-1.1787),(5005,3455,0.02469,-1.1775),(5005,3465,0.024912,-1.1763),(5005,3475,0.025096,-1.175),(5005,3485,0.025279,-1.1738),(5005,3495,0.025462,-1.1722),(5005,3505,0.025645,-1.1707),(5005,3515,0.025788,-1.1691),(5005,3525,0.025931,-1.1675),(5005,3535,0.026075,-1.1656),(5005,3545,0.026218,-1.1637),(5005,3555,0.026352,-1.1618),(5005,3565,0.026487,-1.1598),(5005,3575,0.026621,-1.1575),(5005,3585,0.026757,-1.1552),(5005,3595,0.026905,-1.1529),(5005,3605,0.027052,-1.1505),(5005,3615,0.0272,-1.1477),(5005,3625,0.027346,-1.145),(5005,3635,0.027484,-1.1422),(5005,3645,0.027621,-1.1394),(5005,3655,0.027758,-1.1361),(5005,3665,0.027887,-1.1328),(5005,3675,0.027968,-1.1296),(5005,3685,0.028049,-1.1262),(5005,3695,0.028131,-1.1223),(5005,3705,0.028202,-1.1184),(5005,3715,0.028235,-1.1146),(5005,3725,0.028268,-1.1105),(5005,3735,0.028302,-1.1061),(5005,3745,0.02833,-1.1016),(5005,3755,0.028342,-1.0971),(5005,3765,0.028354,-1.0925),(5005,3775,0.028365,-1.0874),(5005,3785,0.028367,-1.0824),(5005,3795,0.028344,-1.0774),(5005,3805,0.028321,-1.0721),(5005,3815,0.028298,-1.0663),(5005,3825,0.028309,-1.0605),(5005,3835,0.028394,-1.0547),(5005,3845,0.028479,-1.0486),(5005,3855,0.028564,-1.0418),(5005,3865,0.028784,-1.035),(5005,3875,0.029244,-1.0282),(5005,3885,0.029704,-1.0208),(5005,3895,0.030164,-1.0126),(5005,3905,0.030594,-1.0044),(5005,3915,0.030978,-0.99611),(5005,3925,0.031363,-0.98715),(5005,3935,0.031747,-0.97723),(5005,3945,0.029238,-0.9673),(5005,3955,0.023056,-0.95738),(5005,3965,0.016874,-0.94919),(5005,3975,0.010692,-0.94306),(5005,3985,-0.006744,-0.93692),(5005,3995,-0.036363,-0.93079),(5005,4005,-0.065981,-0.93742),(5005,4015,-0.0956,-0.95681),(5005,4025,0.043256,-0.97621),(5005,4035,0.19859,-0.98951),(5005,4045,0.35393,-0.98994),(5005,4055,0.47254,-0.99038),(5005,4065,0.57775,-0.98975),(5005,4075,0.68296,-0.98281),(5005,4085,0.74287,-0.97587),(5005,4095,0.76639,-0.96892),(5005,4105,0.7899,-0.95858),(5005,4115,0.81232,-0.94812),(5005,4125,0.83293,-0.93766),(5005,4135,0.85353,-0.92602),(5005,4145,0.87365,-0.91406),(5005,4155,0.89182,-0.9021),(5005,4165,0.91,-0.88974),(5005,4175,0.92813,-0.87713),(5005,4185,0.9442,-0.86452),(5005,4195,0.96026,-0.85185),(5005,4205,0.97633,-0.83911),(5005,4215,0.99088,-0.82637),(5005,4225,1.0051,-0.81364),(5005,4235,1.0194,-0.80096),(5005,4245,1.0326,-0.78828),(5005,4255,1.0452,-0.77562),(5005,4265,1.0579,-0.76326),(5005,4275,1.0698,-0.75091),(5005,4285,1.081,-0.73856),(5005,4295,1.0922,-0.72656),(5005,4305,1.1029,-0.7146),(5005,4315,1.1129,-0.70264),(5005,4325,1.1228,-0.691),(5005,4335,1.1326,-0.67949),(5005,4345,1.1414,-0.66797),(5005,4355,1.1502,-0.65671),(5005,4365,1.159,-0.64567),(5005,4375,1.1668,-0.63464),(5005,4385,1.1746,-0.62379),(5005,4395,1.1824,-0.61327),(5005,4405,1.1896,-0.60275),(5005,4415,1.1965,-0.59233),(5005,4425,1.2034,-0.58237),(5005,4435,1.2099,-0.57241),(5005,4445,1.216,-0.56246),(5005,4455,1.2222,-0.55307),(5005,4465,1.2281,-0.54368),(5005,4475,1.2335,-0.53429),(5005,4485,1.239,-0.52537),(5005,4495,1.2444,-0.51654),(5005,4505,1.2492,-0.50772),(5005,4515,1.2541,-0.49929),(5005,4525,1.259,-0.49108),(5005,4535,1.2633,-0.48287),(5005,4545,1.2677,-0.47496),(5005,4555,1.272,-0.46738),(5005,4565,1.276,-0.45981),(5005,4575,1.2799,-0.4524),(5005,4585,1.2838,-0.4454),(5005,4595,1.2875,-0.4384),(5005,4605,1.291,-0.43146),(5005,4615,1.2946,-0.42507),(5005,4625,1.298,-0.41868),(5005,4635,1.3013,-0.41228),(5005,4645,1.3045,-0.40648),(5005,4655,1.3077,-0.40071),(5005,4665,1.3108,-0.39494),(5005,4675,1.3138,-0.38964),(5005,4685,1.3169,-0.3845),(5005,4695,1.3197,-0.37935),(5005,4705,1.3226,-0.37454),(5005,4715,1.3255,-0.36996),(5005,4725,1.3283,-0.36538),(5005,4735,1.3311,-0.36104),(5005,4745,1.3338,-0.35704),(5005,4755,1.3366,-0.35304),(5005,4765,1.3393,-0.34917),(5005,4775,1.3421,-0.34577),(5005,4785,1.3448,-0.34237),(5005,4795,1.3476,-0.33899),(5005,4805,1.3503,-0.33616),(5005,4815,1.3531,-0.33332),(5005,4825,1.3559,-0.33049),(5005,4835,1.3588,-0.32806),(5005,4845,1.3616,-0.32569),(5005,4855,1.3645,-0.32332),(5005,4865,1.3674,-0.32128),(5005,4875,1.3703,-0.31939),(5005,4885,1.3733,-0.3175),(5005,4895,1.3763,-0.31581),(5005,4905,1.3793,-0.3143),(5005,4915,1.3824,-0.3128),(5005,4925,1.3855,-0.31139),(5005,4935,1.3885,-0.31019),(5005,4945,1.3917,-0.30899),(5005,4955,1.3948,-0.30782),(5005,4965,1.398,-0.30683),(5005,4975,1.4011,-0.30585),(5005,4985,1.4043,-0.30487),(5005,4995,1.4075,-0.30404),(5005,5005,1.4106,-0.30322),(5005,5015,1.4138,-0.3024),(5005,5025,1.4169,-0.30162),(5005,5035,1.42,-0.30086),(5005,5045,1.4231,-0.3001),(5005,5055,1.4262,-0.29935),(5005,5065,1.4293,-0.29861),(5005,5075,1.4322,-0.29787),(5005,5085,1.4352,-0.29712),(5005,5095,1.4381,-0.29636),(5005,5105,1.4409,-0.2956),(5005,5115,1.4437,-0.29485),(5005,5125,1.4465,-0.29408),(5005,5135,1.4491,-0.29332),(5005,5145,1.4516,-0.29255),(5005,5155,1.4542,-0.29174),(5005,5165,1.4566,-0.29092),(5005,5175,1.4589,-0.29011),(5005,5185,1.4611,-0.28929),(5005,5195,1.4633,-0.28847),(5005,5205,1.4653,-0.28765),(5005,5215,1.4673,-0.28689),(5005,5225,1.4692,-0.28615),(5005,5235,1.4709,-0.28541),(5005,5245,1.4727,-0.28476),(5005,5255,1.4744,-0.2842),(5005,5265,1.476,-0.28364),(5005,5275,1.4775,-0.28317),(5005,5285,1.4791,-0.28285),(5005,5295,1.4806,-0.28253),(5005,5305,1.4821,-0.28229),(5005,5315,1.4836,-0.28234),(5005,5325,1.4851,-0.28238),(5005,5335,1.4866,-0.28244),(5005,5345,1.4881,-0.28295),(5005,5355,1.4897,-0.28345),(5005,5365,1.4914,-0.28396),(5005,5375,1.493,-0.28493),(5005,5385,1.4948,-0.28599),(5005,5395,1.4967,-0.28705),(5005,5405,1.4987,-0.28852),(5005,5415,1.5006,-0.29019),(5005,5425,1.503,-0.29186),(5005,5435,1.5054,-0.29383),(5005,5445,1.5077,-0.29611),(5005,5455,1.5105,-0.2984),(5005,5465,1.5134,-0.30087),(5005,5475,1.5163,-0.30379),(5005,5485,1.5197,-0.30672),(5005,5495,1.5232,-0.30971),(5005,5505,1.5267,-0.31323),(5005,5515,1.5306,-0.31674),(5005,5525,1.5349,-0.32026),(5005,5535,1.5392,-0.32426),(5005,5545,1.5437,-0.32828),(5005,5555,1.5488,-0.33231),(5005,5565,1.5539,-0.33662),(5005,5575,1.5591,-0.34103),(5005,5585,1.565,-0.34543),(5005,5595,1.5709,-0.34999),(5005,5605,1.5768,-0.35466),(5005,5615,1.5835,-0.35932),(5005,5625,1.5903,-0.364),(5005,5635,1.597,-0.36872),(5005,5645,1.6044,-0.37343),(5005,5655,1.6119,-0.37809),(5005,5665,1.6194,-0.38254),(5005,5675,1.6273,-0.38699),(5005,5685,1.6355,-0.39141),(5005,5695,1.6436,-0.39533),(5005,5705,1.652,-0.39925),(5005,5715,1.6606,-0.40317),(5005,5725,1.6692,-0.40638),(5005,5735,1.6779,-0.40949),(5005,5745,1.6868,-0.4126),(5005,5755,1.6956,-0.41501),(5005,5765,1.7044,-0.41713),(5005,5775,1.7133,-0.41924),(5005,5785,1.7221,-0.42075),(5005,5795,1.7309,-0.42171),(5005,5805,1.7395,-0.42266),(5005,5815,1.7481,-0.42323),(5005,5825,1.7567,-0.42304),(5005,5835,1.7649,-0.42286),(5005,5845,1.7731,-0.4225),(5005,5855,1.7812,-0.4212),(5005,5865,1.7891,-0.41991),(5005,5875,1.7968,-0.41862),(5005,5885,1.8044,-0.41634),(5005,5895,1.8119,-0.41404),(5005,5905,1.819,-0.41174),(5005,5915,1.8261,-0.4088),(5005,5925,1.8332,-0.40571),(5005,5935,1.8398,-0.40261),(5005,5945,1.8464,-0.3991),(5005,5955,1.8531,-0.39534),(5005,5965,1.8593,-0.39157),(5005,5975,1.8655,-0.38757),(5005,5985,1.8717,-0.38329),(5005,5995,1.8776,-0.379),(5005,6005,1.8835,-0.3746),(5005,6015,1.8894,-0.3699),(5005,6025,1.895,-0.3652),(5005,6035,1.9006,-0.36047),(5005,6045,1.9062,-0.35543),(5005,6055,1.9116,-0.35039),(5005,6065,1.9169,-0.34535),(5005,6075,1.9222,-0.34005),(5005,6085,1.9274,-0.33473),(5005,6095,1.9325,-0.3294),(5005,6105,1.9375,-0.32386),(5005,6115,1.9425,-0.31824),(5005,6125,1.9473,-0.31262),(5005,6135,1.9521,-0.30687),(5005,6145,1.9569,-0.30103),(5005,6155,1.9615,-0.29519),(5005,6165,1.966,-0.28928),(5005,6175,1.9706,-0.28324),(5005,6185,1.9749,-0.27721),(5005,6195,1.9792,-0.27115),(5005,6205,1.9835,-0.26496),(5005,6215,1.9876,-0.25876),(5005,6225,1.9916,-0.25257),(5005,6235,1.9956,-0.24621),(5005,6245,1.9995,-0.23984),(5005,6255,2.0032,-0.23348),(5005,6265,2.0069,-0.227),(5005,6275,2.0105,-0.22049),(5005,6285,2.0139,-0.21398),(5005,6295,2.0173,-0.20739),(5005,6305,2.0207,-0.20074),(5005,6315,2.0238,-0.1941),(5005,6325,2.0269,-0.18739),(5005,6335,2.0299,-0.1806),(5005,6345,2.0327,-0.17382),(5005,6355,2.0354,-0.16701),(5005,6365,2.0382,-0.16016),(5005,6375,2.0407,-0.1533),(5005,6385,2.0431,-0.14645),(5005,6395,2.0455,-0.13957),(5005,6405,2.0477,-0.13269),(5005,6415,2.0497,-0.12582),(5005,6425,2.0518,-0.11885),(5005,6435,2.0537,-0.11188),(5005,6445,2.0554,-0.10492),(5005,6455,2.0572,-0.097927),(5005,6465,2.0588,-0.090932),(5005,6475,2.0602,-0.083936),(5005,6485,2.0615,-0.076908),(5005,6495,2.0629,-0.069857),(5005,6505,2.0639,-0.062807),(5005,6515,2.0649,-0.05576),(5005,6525,2.0659,-0.048717),(5005,6535,2.0666,-0.041675),(5005,6545,2.0672,-0.034626),(5005,6555,2.0679,-0.027556),(5005,6565,2.0683,-0.020487),(5005,6575,2.0685,-0.013418),(5005,6585,2.0688,-0.006361),(5005,6595,1.76,0.000696),(5005,6605,1.1097,0.007752),(5005,6615,0.45948,0.008584),(5005,6625,0.002373,0.008616),(5005,6635,0.002354,0.008648),(5005,6645,0.002336,0.008677),(5005,6655,0.002318,0.008704),(5005,6665,0.002301,0.008731),(5005,6675,0.002285,0.008756),(5005,6685,0.002268,0.008779),(5005,6695,0.002254,0.008802),(5005,6705,0.002239,0.008825),(5005,6715,0.002225,0.008845),(5005,6725,0.002212,0.008865),(5005,6735,0.002199,0.008885),(5005,6745,0.002186,0.008902),(5005,6755,0.002175,0.008919),(5005,6765,0.002164,0.008936),(5005,6775,0.002153,0.008951),(5005,6785,0.002143,0.008966),(5005,6795,0.002133,0.008981),(5005,6805,0.002124,0.008994),(5005,6815,0.002115,0.009007),(5005,6825,0.002107,0.009019),(5005,6835,0.002099,0.009031),(5005,6845,0.002091,0.009041),(5005,6855,0.002084,0.009052),(5005,6865,0.002078,0.009062),(5005,6875,0.002071,0.009072),(5005,6885,0.002065,0.009081),(5005,6895,0.00206,0.00909),(5005,6905,0.002054,0.009097),(5005,6915,0.00205,0.009105),(5005,6925,0.002045,0.009113),(5005,6935,0.002041,0.009119),(5005,6945,0.002037,0.009125),(5005,6955,0.002033,0.009132),(5005,6965,0.00203,0.009137),(5005,6975,0.002026,0.009142),(5005,6985,0.002024,0.009147),(5015,5,3e-06,-0.87703),(5015,15,9e-06,-0.87711),(5015,25,1.1e-05,-0.87719),(5015,35,1e-05,-0.87727),(5015,45,8e-06,-0.87735),(5015,55,7e-06,-0.87741),(5015,65,7e-06,-0.87747),(5015,75,9e-06,-0.87754),(5015,85,1.1e-05,-0.87763),(5015,95,1.2e-05,-0.87774),(5015,105,1.1e-05,-0.87784),(5015,115,9e-06,-0.87795),(5015,125,6e-06,-0.87807),(5015,135,3e-06,-0.87819),(5015,145,-3e-06,-0.87832),(5015,155,-1e-05,-0.87844),(5015,165,-1.8e-05,-0.87858),(5015,175,-2.5e-05,-0.87873),(5015,185,-2.9e-05,-0.87888),(5015,195,-3.2e-05,-0.87903),(5015,205,-3.4e-05,-0.87922),(5015,215,-3.7e-05,-0.87943),(5015,225,-3.8e-05,-0.87964),(5015,235,-3.8e-05,-0.87985),(5015,245,-3.9e-05,-0.88011),(5015,255,-3.9e-05,-0.88039),(5015,265,-4.3e-05,-0.88068),(5015,275,-4.7e-05,-0.88096),(5015,285,-5.1e-05,-0.88128),(5015,295,-5.5e-05,-0.88161),(5015,305,-6.4e-05,-0.88194),(5015,315,-7.4e-05,-0.88227),(5015,325,-8.4e-05,-0.88261),(5015,335,-9.4e-05,-0.88295),(5015,345,-0.000102,-0.88329),(5015,355,-0.000109,-0.88363),(5015,365,-0.000117,-0.884),(5015,375,-0.000124,-0.88438),(5015,385,-0.000127,-0.88475),(5015,395,-0.000129,-0.88512),(5015,405,-0.000131,-0.88553),(5015,415,-0.000133,-0.88594),(5015,425,-0.000139,-0.88636),(5015,435,-0.000146,-0.88677),(5015,445,-0.000152,-0.88723),(5015,455,-0.000159,-0.8877),(5015,465,-0.000169,-0.88816),(5015,475,-0.00018,-0.88863),(5015,485,-0.000191,-0.88912),(5015,495,-0.000202,-0.88962),(5015,505,-0.000216,-0.89012),(5015,515,-0.00023,-0.89062),(5015,525,-0.000244,-0.89118),(5015,535,-0.000259,-0.89173),(5015,545,-0.000279,-0.89229),(5015,555,-0.000298,-0.89285),(5015,565,-0.000318,-0.89343),(5015,575,-0.000339,-0.89401),(5015,585,-0.000367,-0.89459),(5015,595,-0.000396,-0.89518),(5015,605,-0.000425,-0.89581),(5015,615,-0.000453,-0.89644),(5015,625,-0.00048,-0.89707),(5015,635,-0.000508,-0.89771),(5015,645,-0.000535,-0.89837),(5015,655,-0.000562,-0.89904),(5015,665,-0.000586,-0.8997),(5015,675,-0.00061,-0.90038),(5015,685,-0.000634,-0.9011),(5015,695,-0.000654,-0.90182),(5015,705,-0.000661,-0.90255),(5015,715,-0.000667,-0.90329),(5015,725,-0.000673,-0.90411),(5015,735,-0.000677,-0.90493),(5015,745,-0.000671,-0.90575),(5015,755,-0.000665,-0.90657),(5015,765,-0.000658,-0.90742),(5015,775,-0.000654,-0.90826),(5015,785,-0.000652,-0.90911),(5015,795,-0.00065,-0.90995),(5015,805,-0.000649,-0.9108),(5015,815,-0.000651,-0.91164),(5015,825,-0.000662,-0.91248),(5015,835,-0.000673,-0.91333),(5015,845,-0.000684,-0.9142),(5015,855,-0.000703,-0.91507),(5015,865,-0.000736,-0.91593),(5015,875,-0.000769,-0.91681),(5015,885,-0.000802,-0.91769),(5015,895,-0.00084,-0.91858),(5015,905,-0.000888,-0.91947),(5015,915,-0.000936,-0.92037),(5015,925,-0.000984,-0.92131),(5015,935,-0.001032,-0.92224),(5015,945,-0.001079,-0.92317),(5015,955,-0.001127,-0.92414),(5015,965,-0.001175,-0.92513),(5015,975,-0.00122,-0.92613),(5015,985,-0.001261,-0.92713),(5015,995,-0.001302,-0.92813),(5015,1005,-0.001343,-0.92912),(5015,1015,-0.001384,-0.93012),(5015,1025,-0.001427,-0.93111),(5015,1035,-0.001469,-0.93209),(5015,1045,-0.001512,-0.93306),(5015,1055,-0.001562,-0.93402),(5015,1065,-0.001619,-0.93498),(5015,1075,-0.001676,-0.93593),(5015,1085,-0.001732,-0.93687),(5015,1095,-0.001786,-0.93782),(5015,1105,-0.001839,-0.93876),(5015,1115,-0.001891,-0.93964),(5015,1125,-0.001943,-0.94048),(5015,1135,-0.001924,-0.94132),(5015,1145,-0.001864,-0.94216),(5015,1155,-0.001803,-0.94282),(5015,1165,-0.001743,-0.94338),(5015,1175,-0.001452,-0.94393),(5015,1185,-0.001046,-0.94449),(5015,1195,-0.000641,-0.94427),(5015,1205,-0.000236,-0.94369),(5015,1215,0.00019,-0.94311),(5015,1225,0.000623,-0.94253),(5015,1235,0.001057,-0.94081),(5015,1245,0.00149,-0.93868),(5015,1255,-0.002823,-0.93654),(5015,1265,-0.008738,-0.9344),(5015,1275,-0.014654,-0.94301),(5015,1285,-0.02057,-0.95487),(5015,1295,-0.03431,-0.96674),(5015,1305,-0.050165,-0.97861),(5015,1315,-0.066021,-1.0221),(5015,1325,-0.081877,-1.0731),(5015,1335,-0.050115,-1.124),(5015,1345,-0.008374,-1.175),(5015,1355,0.033368,-1.1423),(5015,1365,0.075109,-1.0945),(5015,1375,0.069031,-1.0466),(5015,1385,0.055576,-0.99873),(5015,1395,0.04212,-0.98056),(5015,1405,0.028664,-0.96621),(5015,1415,0.020691,-0.95185),(5015,1425,0.013286,-0.9375),(5015,1435,0.005882,-0.93938),(5015,1445,-0.001523,-0.94255),(5015,1455,-0.001468,-0.94573),(5015,1465,-0.000983,-0.94891),(5015,1475,-0.000498,-0.95037),(5015,1485,-1.3e-05,-0.95176),(5015,1495,0.000439,-0.95316),(5015,1505,0.000891,-0.95455),(5015,1515,0.001343,-0.95459),(5015,1525,0.001786,-0.95463),(5015,1535,0.001856,-0.95467),(5015,1545,0.001927,-0.9547),(5015,1555,0.001997,-0.95444),(5015,1565,0.00206,-0.95419),(5015,1575,0.002019,-0.95393),(5015,1585,0.001978,-0.95367),(5015,1595,0.001936,-0.95333),(5015,1605,0.001891,-0.95299),(5015,1615,0.001817,-0.95265),(5015,1625,0.001743,-0.9523),(5015,1635,0.001669,-0.9519),(5015,1645,0.001595,-0.95149),(5015,1655,0.00152,-0.95109),(5015,1665,0.001445,-0.95069),(5015,1675,0.00137,-0.95031),(5015,1685,0.001299,-0.94993),(5015,1695,0.001246,-0.94956),(5015,1705,0.001194,-0.94919),(5015,1715,0.001142,-0.94886),(5015,1725,0.001093,-0.94853),(5015,1735,0.001056,-0.9482),(5015,1745,0.001019,-0.94787),(5015,1755,0.000982,-0.94755),(5015,1765,0.000948,-0.94722),(5015,1775,0.000923,-0.94689),(5015,1785,0.000897,-0.94657),(5015,1795,0.000872,-0.94629),(5015,1805,0.000851,-0.946),(5015,1815,0.000842,-0.94572),(5015,1825,0.000832,-0.94546),(5015,1835,0.000823,-0.94525),(5015,1845,0.000815,-0.94504),(5015,1855,0.000807,-0.94484),(5015,1865,0.000799,-0.94466),(5015,1875,0.000791,-0.94453),(5015,1885,0.000784,-0.94439),(5015,1895,0.000777,-0.94426),(5015,1905,0.00077,-0.94416),(5015,1915,0.000763,-0.94412),(5015,1925,0.000762,-0.94408),(5015,1935,0.000771,-0.94404),(5015,1945,0.00078,-0.94405),(5015,1955,0.000788,-0.9441),(5015,1965,0.000803,-0.94416),(5015,1975,0.000824,-0.94422),(5015,1985,0.000845,-0.94431),(5015,1995,0.000867,-0.94443),(5015,2005,0.000893,-0.94455),(5015,2015,0.000924,-0.94468),(5015,2025,0.000955,-0.94485),(5015,2035,0.000986,-0.94508),(5015,2045,0.001023,-0.9453),(5015,2055,0.001064,-0.94553),(5015,2065,0.001106,-0.94584),(5015,2075,0.001147,-0.94621),(5015,2085,0.001186,-0.94658),(5015,2095,0.001222,-0.94695),(5015,2105,0.001258,-0.94739),(5015,2115,0.001295,-0.94788),(5015,2125,0.001324,-0.94838),(5015,2135,0.00135,-0.94887),(5015,2145,0.001375,-0.94944),(5015,2155,0.001401,-0.95006),(5015,2165,0.001429,-0.95068),(5015,2175,0.001459,-0.9513),(5015,2185,0.001489,-0.95201),(5015,2195,0.001519,-0.95277),(5015,2205,0.00156,-0.95352),(5015,2215,0.001606,-0.95428),(5015,2225,0.001651,-0.9551),(5015,2235,0.001697,-0.95595),(5015,2245,0.001756,-0.9568),(5015,2255,0.001819,-0.95766),(5015,2265,0.001883,-0.95855),(5015,2275,0.001946,-0.95946),(5015,2285,0.00202,-0.96037),(5015,2295,0.002097,-0.96128),(5015,2305,0.002175,-0.96221),(5015,2315,0.002252,-0.96315),(5015,2325,0.002336,-0.96408),(5015,2335,0.002421,-0.96502),(5015,2345,0.002506,-0.96599),(5015,2355,0.002592,-0.96696),(5015,2365,0.002679,-0.96794),(5015,2375,0.002767,-0.96891),(5015,2385,0.002856,-0.96996),(5015,2395,0.002944,-0.97103),(5015,2405,0.003024,-0.97209),(5015,2415,0.003103,-0.97316),(5015,2425,0.003182,-0.97431),(5015,2435,0.003261,-0.97547),(5015,2445,0.00333,-0.97663),(5015,2455,0.003397,-0.97779),(5015,2465,0.003465,-0.97903),(5015,2475,0.003533,-0.98028),(5015,2485,0.003619,-0.98153),(5015,2495,0.003705,-0.98278),(5015,2505,0.003792,-0.98413),(5015,2515,0.003879,-0.98549),(5015,2525,0.004005,-0.98685),(5015,2535,0.004132,-0.98822),(5015,2545,0.004259,-0.98964),(5015,2555,0.004386,-0.99106),(5015,2565,0.004528,-0.99249),(5015,2575,0.004669,-0.9939),(5015,2585,0.00481,-0.99526),(5015,2595,0.004951,-0.99661),(5015,2605,0.005086,-0.99797),(5015,2615,0.005222,-0.99931),(5015,2625,0.005357,-1.0006),(5015,2635,0.005494,-1.0018),(5015,2645,0.005642,-1.0031),(5015,2655,0.00579,-1.0044),(5015,2665,0.005938,-1.0056),(5015,2675,0.006089,-1.0069),(5015,2685,0.006253,-1.0081),(5015,2695,0.006417,-1.0094),(5015,2705,0.006581,-1.0106),(5015,2715,0.006744,-1.0118),(5015,2725,0.006903,-1.013),(5015,2735,0.007062,-1.0142),(5015,2745,0.007221,-1.0153),(5015,2755,0.007381,-1.0164),(5015,2765,0.007543,-1.0175),(5015,2775,0.007706,-1.0186),(5015,2785,0.007868,-1.0197),(5015,2795,0.008037,-1.0208),(5015,2805,0.008221,-1.0218),(5015,2815,0.008404,-1.0229),(5015,2825,0.008588,-1.024),(5015,2835,0.008776,-1.025),(5015,2845,0.008972,-1.0261),(5015,2855,0.009168,-1.0271),(5015,2865,0.009364,-1.0281),(5015,2875,0.009563,-1.0291),(5015,2885,0.009766,-1.0301),(5015,2895,0.00997,-1.031),(5015,2905,0.010174,-1.032),(5015,2915,0.010389,-1.0329),(5015,2925,0.010619,-1.0338),(5015,2935,0.01085,-1.0347),(5015,2945,0.01108,-1.0355),(5015,2955,0.011319,-1.0364),(5015,2965,0.011568,-1.0372),(5015,2975,0.011817,-1.038),(5015,2985,0.012066,-1.0388),(5015,2995,0.012317,-1.0395),(5015,3005,0.012568,-1.0403),(5015,3015,0.012819,-1.041),(5015,3025,0.013071,-1.0416),(5015,3035,0.01333,-1.0422),(5015,3045,0.013595,-1.0429),(5015,3055,0.01386,-1.0435),(5015,3065,0.014126,-1.044),(5015,3075,0.014394,-1.0446),(5015,3085,0.014665,-1.0452),(5015,3095,0.014936,-1.0457),(5015,3105,0.015207,-1.0462),(5015,3115,0.015468,-1.0466),(5015,3125,0.015722,-1.0471),(5015,3135,0.015976,-1.0475),(5015,3145,0.01623,-1.0479),(5015,3155,0.016483,-1.0482),(5015,3165,0.016736,-1.0485),(5015,3175,0.016988,-1.0489),(5015,3185,0.017241,-1.0491),(5015,3195,0.017497,-1.0494),(5015,3205,0.017755,-1.0497),(5015,3215,0.018013,-1.0499),(5015,3225,0.01827,-1.0501),(5015,3235,0.018519,-1.0502),(5015,3245,0.018764,-1.0504),(5015,3255,0.01901,-1.0504),(5015,3265,0.019255,-1.0503),(5015,3275,0.019505,-1.0503),(5015,3285,0.019757,-1.0502),(5015,3295,0.020009,-1.0501),(5015,3305,0.020261,-1.0499),(5015,3315,0.020517,-1.0498),(5015,3325,0.020774,-1.0496),(5015,3335,0.021031,-1.0493),(5015,3345,0.021288,-1.0489),(5015,3355,0.021521,-1.0486),(5015,3365,0.021749,-1.0482),(5015,3375,0.021978,-1.0476),(5015,3385,0.022206,-1.0469),(5015,3395,0.022421,-1.0463),(5015,3405,0.022635,-1.0456),(5015,3415,0.022848,-1.0448),(5015,3425,0.023062,-1.044),(5015,3435,0.023271,-1.0432),(5015,3445,0.02348,-1.0423),(5015,3455,0.023689,-1.0413),(5015,3465,0.023898,-1.0403),(5015,3475,0.024077,-1.0392),(5015,3485,0.024255,-1.0382),(5015,3495,0.024433,-1.0369),(5015,3505,0.024611,-1.0356),(5015,3515,0.024758,-1.0343),(5015,3525,0.024905,-1.033),(5015,3535,0.025052,-1.0314),(5015,3545,0.025199,-1.0298),(5015,3555,0.025334,-1.0282),(5015,3565,0.025469,-1.0266),(5015,3575,0.025604,-1.0246),(5015,3585,0.025739,-1.0227),(5015,3595,0.025875,-1.0207),(5015,3605,0.026011,-1.0188),(5015,3615,0.026147,-1.0165),(5015,3625,0.026282,-1.0142),(5015,3635,0.026404,-1.0119),(5015,3645,0.026526,-1.0096),(5015,3655,0.026649,-1.0069),(5015,3665,0.026764,-1.0042),(5015,3675,0.026843,-1.0015),(5015,3685,0.026923,-0.99866),(5015,3695,0.027002,-0.99545),(5015,3705,0.027074,-0.99225),(5015,3715,0.027115,-0.98905),(5015,3725,0.027157,-0.98573),(5015,3735,0.027198,-0.98203),(5015,3745,0.027234,-0.97832),(5015,3755,0.027254,-0.97462),(5015,3765,0.027273,-0.9708),(5015,3775,0.027293,-0.96666),(5015,3785,0.027305,-0.96251),(5015,3795,0.027295,-0.95836),(5015,3805,0.027285,-0.95403),(5015,3815,0.027275,-0.94925),(5015,3825,0.027284,-0.94448),(5015,3835,0.027335,-0.93971),(5015,3845,0.027386,-0.93464),(5015,3855,0.027436,-0.929),(5015,3865,0.027569,-0.92335),(5015,3875,0.027846,-0.91771),(5015,3885,0.028124,-0.91153),(5015,3895,0.028402,-0.90448),(5015,3905,0.028658,-0.89743),(5015,3915,0.028883,-0.89038),(5015,3925,0.029108,-0.88267),(5015,3935,0.029333,-0.87407),(5015,3945,0.027759,-0.86547),(5015,3955,0.023899,-0.85687),(5015,3965,0.02004,-0.85225),(5015,3975,0.01618,-0.85231),(5015,3985,0.005326,-0.85237),(5015,3995,-0.0131,-0.85243),(5015,4005,-0.031526,-0.87437),(5015,4015,-0.049953,-0.91818),(5015,4025,0.076715,-0.96199),(5015,4035,0.21758,-0.99206),(5015,4045,0.35844,-0.99316),(5015,4055,0.47133,-0.99426),(5015,4065,0.57401,-0.99433),(5015,4075,0.67669,-0.9883),(5015,4085,0.73482,-0.98227),(5015,4095,0.75713,-0.97624),(5015,4105,0.77944,-0.96661),(5015,4115,0.80089,-0.95686),(5015,4125,0.82091,-0.9471),(5015,4135,0.84092,-0.936),(5015,4145,0.86052,-0.92454),(5015,4155,0.87842,-0.91307),(5015,4165,0.89633,-0.90111),(5015,4175,0.9142,-0.88883),(5015,4185,0.93017,-0.87655),(5015,4195,0.94614,-0.86417),(5015,4205,0.96211,-0.85165),(5015,4215,0.97664,-0.83913),(5015,4225,0.99089,-0.82661),(5015,4235,1.0051,-0.81408),(5015,4245,1.0184,-0.80156),(5015,4255,1.0311,-0.78906),(5015,4265,1.0437,-0.77683),(5015,4275,1.0557,-0.7646),(5015,4285,1.067,-0.75238),(5015,4295,1.0783,-0.74048),(5015,4305,1.0892,-0.72862),(5015,4315,1.0992,-0.71676),(5015,4325,1.1093,-0.70521),(5015,4335,1.1191,-0.69378),(5015,4345,1.1281,-0.68235),(5015,4355,1.137,-0.67118),(5015,4365,1.146,-0.66022),(5015,4375,1.154,-0.64927),(5015,4385,1.1619,-0.6385),(5015,4395,1.1699,-0.62805),(5015,4405,1.1772,-0.6176),(5015,4415,1.1843,-0.60725),(5015,4425,1.1913,-0.59736),(5015,4435,1.198,-0.58747),(5015,4445,1.2043,-0.57758),(5015,4455,1.2106,-0.56824),(5015,4465,1.2166,-0.55891),(5015,4475,1.2223,-0.54957),(5015,4485,1.2279,-0.54071),(5015,4495,1.2334,-0.53195),(5015,4505,1.2385,-0.52318),(5015,4515,1.2435,-0.51481),(5015,4525,1.2485,-0.50666),(5015,4535,1.2531,-0.4985),(5015,4545,1.2576,-0.49064),(5015,4555,1.2621,-0.48312),(5015,4565,1.2663,-0.47559),(5015,4575,1.2704,-0.46823),(5015,4585,1.2745,-0.46127),(5015,4595,1.2783,-0.45431),(5015,4605,1.2821,-0.44742),(5015,4615,1.2858,-0.44107),(5015,4625,1.2894,-0.43473),(5015,4635,1.2928,-0.42838),(5015,4645,1.2963,-0.42261),(5015,4655,1.2997,-0.41688),(5015,4665,1.3029,-0.41115),(5015,4675,1.3061,-0.4059),(5015,4685,1.3093,-0.40079),(5015,4695,1.3124,-0.39569),(5015,4705,1.3154,-0.39091),(5015,4715,1.3185,-0.38636),(5015,4725,1.3215,-0.38181),(5015,4735,1.3244,-0.37749),(5015,4745,1.3274,-0.37351),(5015,4755,1.3303,-0.36953),(5015,4765,1.3332,-0.36569),(5015,4775,1.3361,-0.36229),(5015,4785,1.339,-0.3589),(5015,4795,1.3419,-0.35553),(5015,4805,1.3449,-0.35269),(5015,4815,1.3478,-0.34986),(5015,4825,1.3508,-0.34702),(5015,4835,1.3537,-0.34456),(5015,4845,1.3567,-0.34217),(5015,4855,1.3598,-0.33978),(5015,4865,1.3628,-0.33769),(5015,4875,1.3658,-0.33575),(5015,4885,1.3689,-0.33381),(5015,4895,1.372,-0.33206),(5015,4905,1.3751,-0.33048),(5015,4915,1.3783,-0.32891),(5015,4925,1.3815,-0.32742),(5015,4935,1.3846,-0.32612),(5015,4945,1.3878,-0.32482),(5015,4955,1.391,-0.32356),(5015,4965,1.3942,-0.32246),(5015,4975,1.3975,-0.32136),(5015,4985,1.4007,-0.32026),(5015,4995,1.4039,-0.31931),(5015,5005,1.4071,-0.31837),(5015,5015,1.4102,-0.31742),(5015,5025,1.4134,-0.31651),(5015,5035,1.4165,-0.31561),(5015,5045,1.4196,-0.31472),(5015,5055,1.4227,-0.31384),(5015,5065,1.4257,-0.31297),(5015,5075,1.4287,-0.3121),(5015,5085,1.4316,-0.31123),(5015,5095,1.4346,-0.31036),(5015,5105,1.4373,-0.3095),(5015,5115,1.4401,-0.30863),(5015,5125,1.4429,-0.30777),(5015,5135,1.4455,-0.30691),(5015,5145,1.448,-0.30605),(5015,5155,1.4506,-0.30516),(5015,5165,1.453,-0.30428),(5015,5175,1.4552,-0.30339),(5015,5185,1.4575,-0.30253),(5015,5195,1.4597,-0.30167),(5015,5205,1.4617,-0.30082),(5015,5215,1.4637,-0.30004),(5015,5225,1.4657,-0.29929),(5015,5235,1.4675,-0.29855),(5015,5245,1.4693,-0.29792),(5015,5255,1.471,-0.29738),(5015,5265,1.4727,-0.29684),(5015,5275,1.4743,-0.29641),(5015,5285,1.476,-0.29614),(5015,5295,1.4776,-0.29588),(5015,5305,1.4792,-0.29568),(5015,5315,1.4808,-0.2958),(5015,5325,1.4824,-0.29591),(5015,5335,1.4841,-0.29603),(5015,5345,1.4857,-0.29661),(5015,5355,1.4875,-0.29719),(5015,5365,1.4893,-0.29777),(5015,5375,1.4911,-0.29881),(5015,5385,1.4931,-0.29993),(5015,5395,1.4952,-0.30106),(5015,5405,1.4973,-0.30258),(5015,5415,1.4995,-0.3043),(5015,5425,1.502,-0.30602),(5015,5435,1.5046,-0.30802),(5015,5445,1.5071,-0.31032),(5015,5455,1.5101,-0.31262),(5015,5465,1.5132,-0.31511),(5015,5475,1.5162,-0.318),(5015,5485,1.5198,-0.32089),(5015,5495,1.5235,-0.32385),(5015,5505,1.5272,-0.32729),(5015,5515,1.5312,-0.33072),(5015,5525,1.5356,-0.33415),(5015,5535,1.54,-0.33799),(5015,5545,1.5447,-0.34186),(5015,5555,1.5499,-0.34572),(5015,5565,1.555,-0.34982),(5015,5575,1.5603,-0.35399),(5015,5585,1.5663,-0.35815),(5015,5595,1.5722,-0.36242),(5015,5605,1.5781,-0.36675),(5015,5615,1.5848,-0.37109),(5015,5625,1.5915,-0.37541),(5015,5635,1.5983,-0.37972),(5015,5645,1.6055,-0.38402),(5015,5655,1.6129,-0.38825),(5015,5665,1.6203,-0.39221),(5015,5675,1.6281,-0.39617),(5015,5685,1.6361,-0.40011),(5015,5695,1.644,-0.40349),(5015,5705,1.6522,-0.40687),(5015,5715,1.6605,-0.41025),(5015,5725,1.6689,-0.41291),(5015,5735,1.6772,-0.41547),(5015,5745,1.6858,-0.41804),(5015,5755,1.6943,-0.41991),(5015,5765,1.7028,-0.42149),(5015,5775,1.7112,-0.42307),(5015,5785,1.7197,-0.42408),(5015,5795,1.7281,-0.42457),(5015,5805,1.7364,-0.42505),(5015,5815,1.7446,-0.42518),(5015,5825,1.7528,-0.42461),(5015,5835,1.7607,-0.42405),(5015,5845,1.7685,-0.42332),(5015,5855,1.7763,-0.42174),(5015,5865,1.7838,-0.42017),(5015,5875,1.7912,-0.41859),(5015,5885,1.7985,-0.41611),(5015,5895,1.8057,-0.41362),(5015,5905,1.8126,-0.41113),(5015,5915,1.8195,-0.40806),(5015,5925,1.8263,-0.40485),(5015,5935,1.8327,-0.40164),(5015,5945,1.8391,-0.39805),(5015,5955,1.8456,-0.39423),(5015,5965,1.8516,-0.39041),(5015,5975,1.8577,-0.38637),(5015,5985,1.8637,-0.38206),(5015,5995,1.8695,-0.37775),(5015,6005,1.8752,-0.37334),(5015,6015,1.881,-0.36864),(5015,6025,1.8865,-0.36395),(5015,6035,1.8919,-0.35922),(5015,6045,1.8974,-0.3542),(5015,6055,1.9027,-0.34918),(5015,6065,1.9079,-0.34416),(5015,6075,1.9131,-0.33888),(5015,6085,1.9182,-0.33358),(5015,6095,1.9232,-0.32828),(5015,6105,1.9281,-0.32277),(5015,6115,1.9331,-0.31718),(5015,6125,1.9378,-0.3116),(5015,6135,1.9425,-0.30589),(5015,6145,1.9472,-0.30008),(5015,6155,1.9517,-0.29427),(5015,6165,1.9561,-0.28839),(5015,6175,1.9606,-0.28239),(5015,6185,1.9649,-0.2764),(5015,6195,1.9691,-0.27037),(5015,6205,1.9733,-0.26422),(5015,6215,1.9774,-0.25806),(5015,6225,1.9813,-0.2519),(5015,6235,1.9853,-0.24558),(5015,6245,1.9891,-0.23926),(5015,6255,1.9928,-0.23294),(5015,6265,1.9964,-0.22649),(5015,6275,2,-0.22002),(5015,6285,2.0033,-0.21355),(5015,6295,2.0067,-0.20698),(5015,6305,2.01,-0.20037),(5015,6315,2.013,-0.19376),(5015,6325,2.0161,-0.18708),(5015,6335,2.0191,-0.18032),(5015,6345,2.0218,-0.17356),(5015,6355,2.0245,-0.16678),(5015,6365,2.0272,-0.15995),(5015,6375,2.0297,-0.15312),(5015,6385,2.0321,-0.14629),(5015,6395,2.0344,-0.13943),(5015,6405,2.0366,-0.13257),(5015,6415,2.0387,-0.12571),(5015,6425,2.0407,-0.11876),(5015,6435,2.0426,-0.11181),(5015,6445,2.0443,-0.10485),(5015,6455,2.046,-0.097877),(5015,6465,2.0476,-0.090892),(5015,6475,2.049,-0.083908),(5015,6485,2.0503,-0.076888),(5015,6495,2.0517,-0.069845),(5015,6505,2.0527,-0.062802),(5015,6515,2.0537,-0.05576),(5015,6525,2.0546,-0.048722),(5015,6535,2.0553,-0.041684),(5015,6545,2.056,-0.034638),(5015,6555,2.0566,-0.02757),(5015,6565,2.057,-0.020502),(5015,6575,2.0573,-0.013435),(5015,6585,2.0576,-0.00638),(5015,6595,1.7504,0.000675),(5015,6605,1.1037,0.00773),(5015,6615,0.45697,0.008562),(5015,6625,0.002337,0.008596),(5015,6635,0.002319,0.008629),(5015,6645,0.002302,0.008659),(5015,6655,0.002286,0.008686),(5015,6665,0.00227,0.008714),(5015,6675,0.002255,0.00874),(5015,6685,0.00224,0.008764),(5015,6695,0.002227,0.008788),(5015,6705,0.002213,0.00881),(5015,6715,0.0022,0.008831),(5015,6725,0.002188,0.008852),(5015,6735,0.002176,0.008872),(5015,6745,0.002164,0.00889),(5015,6755,0.002153,0.008908),(5015,6765,0.002143,0.008925),(5015,6775,0.002133,0.008941),(5015,6785,0.002124,0.008956),(5015,6795,0.002115,0.008971),(5015,6805,0.002106,0.008985),(5015,6815,0.002098,0.008998),(5015,6825,0.00209,0.009011),(5015,6835,0.002083,0.009023),(5015,6845,0.002076,0.009034),(5015,6855,0.00207,0.009045),(5015,6865,0.002064,0.009056),(5015,6875,0.002057,0.009065),(5015,6885,0.002052,0.009075),(5015,6895,0.002047,0.009084),(5015,6905,0.002042,0.009092),(5015,6915,0.002038,0.0091),(5015,6925,0.002034,0.009108),(5015,6935,0.00203,0.009115),(5015,6945,0.002026,0.009121),(5015,6955,0.002023,0.009128),(5015,6965,0.00202,0.009134),(5015,6975,0.002017,0.009139),(5015,6985,0.002015,0.009145),(5025,5,0,-0.83271),(5025,15,0,-0.83279),(5025,25,-1e-06,-0.83288),(5025,35,-4e-06,-0.83296),(5025,45,-7e-06,-0.83303),(5025,55,-9e-06,-0.83309),(5025,65,-1.1e-05,-0.83315),(5025,75,-1.3e-05,-0.83321),(5025,85,-1.4e-05,-0.8333),(5025,95,-1.5e-05,-0.83341),(5025,105,-1.8e-05,-0.83352),(5025,115,-2.1e-05,-0.83363),(5025,125,-2.4e-05,-0.83375),(5025,135,-2.7e-05,-0.83388),(5025,145,-3.1e-05,-0.83401),(5025,155,-3.6e-05,-0.83414),(5025,165,-4.1e-05,-0.83429),(5025,175,-4.5e-05,-0.83446),(5025,185,-4.9e-05,-0.83462),(5025,195,-5.2e-05,-0.83478),(5025,205,-5.5e-05,-0.83499),(5025,215,-5.8e-05,-0.83521),(5025,225,-6e-05,-0.83543),(5025,235,-6.3e-05,-0.83566),(5025,245,-6.5e-05,-0.83592),(5025,255,-6.8e-05,-0.83621),(5025,265,-7.2e-05,-0.83649),(5025,275,-7.6e-05,-0.83677),(5025,285,-8e-05,-0.83709),(5025,295,-8.5e-05,-0.83743),(5025,305,-9.1e-05,-0.83776),(5025,315,-9.8e-05,-0.83809),(5025,325,-0.000105,-0.83845),(5025,335,-0.000112,-0.83881),(5025,345,-0.000119,-0.83917),(5025,355,-0.000126,-0.83952),(5025,365,-0.000133,-0.83991),(5025,375,-0.000139,-0.84029),(5025,385,-0.000145,-0.84068),(5025,395,-0.00015,-0.84107),(5025,405,-0.000156,-0.84149),(5025,415,-0.000161,-0.84193),(5025,425,-0.000169,-0.84236),(5025,435,-0.000177,-0.8428),(5025,445,-0.000185,-0.84329),(5025,455,-0.000194,-0.84379),(5025,465,-0.000204,-0.84429),(5025,475,-0.000215,-0.84479),(5025,485,-0.000226,-0.84535),(5025,495,-0.000236,-0.8459),(5025,505,-0.000249,-0.84645),(5025,515,-0.000261,-0.84701),(5025,525,-0.000273,-0.84759),(5025,535,-0.000286,-0.84818),(5025,545,-0.000301,-0.84877),(5025,555,-0.000315,-0.84937),(5025,565,-0.00033,-0.84999),(5025,575,-0.000345,-0.85062),(5025,585,-0.000363,-0.85125),(5025,595,-0.000381,-0.85188),(5025,605,-0.000398,-0.85258),(5025,615,-0.000416,-0.85327),(5025,625,-0.000434,-0.85396),(5025,635,-0.000452,-0.85467),(5025,645,-0.00047,-0.85542),(5025,655,-0.000488,-0.85617),(5025,665,-0.000505,-0.85692),(5025,675,-0.000523,-0.85768),(5025,685,-0.000541,-0.85849),(5025,695,-0.000557,-0.8593),(5025,705,-0.00057,-0.86012),(5025,715,-0.000583,-0.86095),(5025,725,-0.000595,-0.86185),(5025,735,-0.000607,-0.86275),(5025,745,-0.000617,-0.86364),(5025,755,-0.000627,-0.86455),(5025,765,-0.000637,-0.86548),(5025,775,-0.000648,-0.86642),(5025,785,-0.000663,-0.86735),(5025,795,-0.000677,-0.86829),(5025,805,-0.000692,-0.86925),(5025,815,-0.000708,-0.87021),(5025,825,-0.000731,-0.87117),(5025,835,-0.000753,-0.87214),(5025,845,-0.000775,-0.87315),(5025,855,-0.000802,-0.87416),(5025,865,-0.000836,-0.87516),(5025,875,-0.00087,-0.87619),(5025,885,-0.000904,-0.87724),(5025,895,-0.000942,-0.87829),(5025,905,-0.000985,-0.87934),(5025,915,-0.001028,-0.88042),(5025,925,-0.001072,-0.88155),(5025,935,-0.001117,-0.88267),(5025,945,-0.001164,-0.8838),(5025,955,-0.001211,-0.88496),(5025,965,-0.001258,-0.88615),(5025,975,-0.001306,-0.88735),(5025,985,-0.001354,-0.88854),(5025,995,-0.001402,-0.88975),(5025,1005,-0.00145,-0.89096),(5025,1015,-0.0015,-0.89218),(5025,1025,-0.001553,-0.89339),(5025,1035,-0.001605,-0.89461),(5025,1045,-0.001658,-0.89582),(5025,1055,-0.001715,-0.89704),(5025,1065,-0.001778,-0.89825),(5025,1075,-0.00184,-0.89946),(5025,1085,-0.001902,-0.90066),(5025,1095,-0.001966,-0.90187),(5025,1105,-0.002032,-0.90307),(5025,1115,-0.002098,-0.90425),(5025,1125,-0.002163,-0.90542),(5025,1135,-0.002206,-0.90659),(5025,1145,-0.002236,-0.90776),(5025,1155,-0.002266,-0.90884),(5025,1165,-0.002295,-0.90987),(5025,1175,-0.002243,-0.9109),(5025,1185,-0.002149,-0.91193),(5025,1195,-0.002056,-0.91227),(5025,1205,-0.001962,-0.91229),(5025,1215,-0.001871,-0.91231),(5025,1225,-0.001782,-0.91234),(5025,1235,-0.001692,-0.91088),(5025,1245,-0.001602,-0.90887),(5025,1255,-0.003377,-0.90686),(5025,1265,-0.005781,-0.90485),(5025,1275,-0.008186,-0.91387),(5025,1285,-0.01059,-0.92624),(5025,1295,-0.016072,-0.93861),(5025,1305,-0.022386,-0.95099),(5025,1315,-0.0287,-0.99958),(5025,1325,-0.035014,-1.0568),(5025,1335,-0.021272,-1.1141),(5025,1345,-0.003326,-1.1713),(5025,1355,0.014619,-1.1341),(5025,1365,0.032564,-1.0797),(5025,1375,0.030277,-1.0254),(5025,1385,0.024868,-0.97102),(5025,1395,0.01946,-0.9515),(5025,1405,0.014051,-0.93645),(5025,1415,0.010828,-0.9214),(5025,1425,0.007831,-0.90635),(5025,1435,0.004835,-0.90803),(5025,1445,0.001839,-0.91105),(5025,1455,0.001774,-0.91407),(5025,1465,0.001878,-0.91709),(5025,1475,0.001983,-0.91769),(5025,1485,0.002087,-0.91821),(5025,1495,0.002196,-0.91873),(5025,1505,0.002304,-0.91924),(5025,1515,0.002412,-0.91858),(5025,1525,0.002517,-0.91792),(5025,1535,0.002487,-0.91725),(5025,1545,0.002457,-0.91659),(5025,1555,0.002427,-0.91584),(5025,1565,0.002395,-0.9151),(5025,1575,0.002327,-0.91435),(5025,1585,0.002259,-0.91361),(5025,1595,0.002191,-0.91287),(5025,1605,0.002122,-0.91212),(5025,1615,0.002046,-0.91138),(5025,1625,0.001969,-0.91064),(5025,1635,0.001893,-0.90988),(5025,1645,0.001817,-0.90911),(5025,1655,0.001744,-0.90835),(5025,1665,0.001672,-0.90759),(5025,1675,0.0016,-0.90688),(5025,1685,0.00153,-0.90616),(5025,1695,0.001473,-0.90545),(5025,1705,0.001415,-0.90475),(5025,1715,0.001357,-0.90411),(5025,1725,0.001302,-0.90347),(5025,1735,0.001257,-0.90283),(5025,1745,0.001211,-0.9022),(5025,1755,0.001166,-0.9016),(5025,1765,0.001123,-0.901),(5025,1775,0.001089,-0.90041),(5025,1785,0.001054,-0.89983),(5025,1795,0.001019,-0.8993),(5025,1805,0.000989,-0.89877),(5025,1815,0.000968,-0.89825),(5025,1825,0.000947,-0.89775),(5025,1835,0.000926,-0.89733),(5025,1845,0.000908,-0.89691),(5025,1855,0.000895,-0.89648),(5025,1865,0.000883,-0.89609),(5025,1875,0.00087,-0.89576),(5025,1885,0.000861,-0.89543),(5025,1895,0.000858,-0.8951),(5025,1905,0.000854,-0.89481),(5025,1915,0.000851,-0.89457),(5025,1925,0.000853,-0.89433),(5025,1935,0.000864,-0.89408),(5025,1945,0.000875,-0.89388),(5025,1955,0.000886,-0.89374),(5025,1965,0.000903,-0.89359),(5025,1975,0.000925,-0.89344),(5025,1985,0.000948,-0.89333),(5025,1995,0.00097,-0.89326),(5025,2005,0.000997,-0.89319),(5025,2015,0.001028,-0.89312),(5025,2025,0.001059,-0.8931),(5025,2035,0.00109,-0.89312),(5025,2045,0.001125,-0.89314),(5025,2055,0.001163,-0.89317),(5025,2065,0.001201,-0.89325),(5025,2075,0.001239,-0.8934),(5025,2085,0.001276,-0.89354),(5025,2095,0.001313,-0.89368),(5025,2105,0.00135,-0.89389),(5025,2115,0.001387,-0.89415),(5025,2125,0.001422,-0.8944),(5025,2135,0.001455,-0.89466),(5025,2145,0.001488,-0.89498),(5025,2155,0.001522,-0.89535),(5025,2165,0.001556,-0.89571),(5025,2175,0.001591,-0.89608),(5025,2185,0.001627,-0.89653),(5025,2195,0.001662,-0.89701),(5025,2205,0.001703,-0.89749),(5025,2215,0.001746,-0.89798),(5025,2225,0.001789,-0.89852),(5025,2235,0.001832,-0.89909),(5025,2245,0.001883,-0.89966),(5025,2255,0.001937,-0.90022),(5025,2265,0.001991,-0.90084),(5025,2275,0.002044,-0.90147),(5025,2285,0.002107,-0.9021),(5025,2295,0.002171,-0.90273),(5025,2305,0.002236,-0.90338),(5025,2315,0.002301,-0.90404),(5025,2325,0.002373,-0.9047),(5025,2335,0.002447,-0.90536),(5025,2345,0.002521,-0.90605),(5025,2355,0.002595,-0.90675),(5025,2365,0.002674,-0.90745),(5025,2375,0.002755,-0.90815),(5025,2385,0.002836,-0.90891),(5025,2395,0.002917,-0.90968),(5025,2405,0.002999,-0.91045),(5025,2415,0.003082,-0.91122),(5025,2425,0.003164,-0.91207),(5025,2435,0.003246,-0.91292),(5025,2445,0.003328,-0.91377),(5025,2455,0.003409,-0.91462),(5025,2465,0.003491,-0.91554),(5025,2475,0.003572,-0.91646),(5025,2485,0.003663,-0.91738),(5025,2495,0.003755,-0.9183),(5025,2505,0.003846,-0.91931),(5025,2515,0.003938,-0.92032),(5025,2525,0.004048,-0.92133),(5025,2535,0.004158,-0.92234),(5025,2545,0.004268,-0.9234),(5025,2555,0.004379,-0.92446),(5025,2565,0.004499,-0.92552),(5025,2575,0.004619,-0.92658),(5025,2585,0.004739,-0.92759),(5025,2595,0.004859,-0.92861),(5025,2605,0.004982,-0.92963),(5025,2615,0.005105,-0.93064),(5025,2625,0.005228,-0.93159),(5025,2635,0.005352,-0.93254),(5025,2645,0.005486,-0.93349),(5025,2655,0.005619,-0.93444),(5025,2665,0.005753,-0.93539),(5025,2675,0.005889,-0.93635),(5025,2685,0.006035,-0.93731),(5025,2695,0.006182,-0.93826),(5025,2705,0.006328,-0.93918),(5025,2715,0.006475,-0.9401),(5025,2725,0.006626,-0.94102),(5025,2735,0.006777,-0.94192),(5025,2745,0.006928,-0.94278),(5025,2755,0.007081,-0.94363),(5025,2765,0.00724,-0.94449),(5025,2775,0.007399,-0.94534),(5025,2785,0.007559,-0.94617),(5025,2795,0.007722,-0.947),(5025,2805,0.007897,-0.94783),(5025,2815,0.008072,-0.94866),(5025,2825,0.008246,-0.94947),(5025,2835,0.008425,-0.95029),(5025,2845,0.008612,-0.95111),(5025,2855,0.008799,-0.95191),(5025,2865,0.008986,-0.95266),(5025,2875,0.009177,-0.95342),(5025,2885,0.009375,-0.95418),(5025,2895,0.009573,-0.95492),(5025,2905,0.009771,-0.95562),(5025,2915,0.009976,-0.95632),(5025,2925,0.010192,-0.95703),(5025,2935,0.010408,-0.95771),(5025,2945,0.010624,-0.95838),(5025,2955,0.010847,-0.95905),(5025,2965,0.011078,-0.95971),(5025,2975,0.011309,-0.96034),(5025,2985,0.011539,-0.96092),(5025,2995,0.011774,-0.9615),(5025,3005,0.012013,-0.96209),(5025,3015,0.012252,-0.96262),(5025,3025,0.012491,-0.96311),(5025,3035,0.012736,-0.96359),(5025,3045,0.012986,-0.96408),(5025,3055,0.013236,-0.96455),(5025,3065,0.013487,-0.965),(5025,3075,0.01374,-0.96545),(5025,3085,0.013997,-0.96591),(5025,3095,0.014254,-0.9663),(5025,3105,0.01451,-0.96667),(5025,3115,0.014764,-0.96703),(5025,3125,0.015016,-0.96739),(5025,3135,0.015267,-0.96769),(5025,3145,0.015519,-0.96795),(5025,3155,0.01577,-0.96822),(5025,3165,0.016021,-0.96849),(5025,3175,0.016271,-0.96872),(5025,3185,0.016522,-0.96893),(5025,3195,0.016772,-0.96914),(5025,3205,0.017022,-0.96935),(5025,3215,0.017272,-0.96949),(5025,3225,0.017522,-0.9696),(5025,3235,0.017766,-0.9697),(5025,3245,0.018007,-0.96981),(5025,3255,0.018249,-0.96979),(5025,3265,0.01849,-0.96974),(5025,3275,0.01873,-0.96968),(5025,3285,0.01897,-0.96963),(5025,3295,0.019209,-0.96951),(5025,3305,0.019449,-0.96936),(5025,3315,0.019686,-0.96922),(5025,3325,0.019922,-0.96908),(5025,3335,0.020158,-0.96881),(5025,3345,0.020395,-0.96853),(5025,3355,0.020617,-0.96824),(5025,3365,0.020836,-0.96795),(5025,3375,0.021055,-0.96747),(5025,3385,0.021274,-0.96695),(5025,3395,0.021482,-0.96644),(5025,3405,0.021688,-0.96592),(5025,3415,0.021894,-0.96529),(5025,3425,0.0221,-0.96464),(5025,3435,0.022296,-0.964),(5025,3445,0.022492,-0.96335),(5025,3455,0.022687,-0.96256),(5025,3465,0.022883,-0.96175),(5025,3475,0.023057,-0.96095),(5025,3485,0.023231,-0.96014),(5025,3495,0.023404,-0.95914),(5025,3505,0.023578,-0.95813),(5025,3515,0.023729,-0.95712),(5025,3525,0.02388,-0.95611),(5025,3535,0.02403,-0.95488),(5025,3545,0.024181,-0.95365),(5025,3555,0.024316,-0.95242),(5025,3565,0.024451,-0.95118),(5025,3575,0.024587,-0.9497),(5025,3585,0.024721,-0.94822),(5025,3595,0.024845,-0.94674),(5025,3605,0.02497,-0.94523),(5025,3615,0.025095,-0.9435),(5025,3625,0.025217,-0.94176),(5025,3635,0.025324,-0.94003),(5025,3645,0.025431,-0.93825),(5025,3655,0.025539,-0.9362),(5025,3665,0.025641,-0.93415),(5025,3675,0.025719,-0.9321),(5025,3685,0.025796,-0.92998),(5025,3695,0.025874,-0.92756),(5025,3705,0.025946,-0.92514),(5025,3715,0.025996,-0.92272),(5025,3725,0.026045,-0.92022),(5025,3735,0.026094,-0.91744),(5025,3745,0.026138,-0.91466),(5025,3755,0.026166,-0.91187),(5025,3765,0.026193,-0.90901),(5025,3775,0.026221,-0.90591),(5025,3785,0.026242,-0.9028),(5025,3795,0.026245,-0.8997),(5025,3805,0.026249,-0.89647),(5025,3815,0.026252,-0.89294),(5025,3825,0.02626,-0.88941),(5025,3835,0.026276,-0.88588),(5025,3845,0.026292,-0.88214),(5025,3855,0.026308,-0.87801),(5025,3865,0.026353,-0.87389),(5025,3875,0.026449,-0.86976),(5025,3885,0.026544,-0.8652),(5025,3895,0.026639,-0.85995),(5025,3905,0.026723,-0.8547),(5025,3915,0.026789,-0.84945),(5025,3925,0.026854,-0.84352),(5025,3935,0.02692,-0.83666),(5025,3945,0.02628,-0.8298),(5025,3955,0.024742,-0.82293),(5025,3965,0.023205,-0.82062),(5025,3975,0.021668,-0.82364),(5025,3985,0.017395,-0.82665),(5025,3995,0.010162,-0.82967),(5025,4005,0.002928,-0.85764),(5025,4015,-0.004305,-0.91057),(5025,4025,0.11017,-0.96351),(5025,4035,0.23656,-0.99954),(5025,4045,0.36295,-0.99994),(5025,4055,0.47012,-1.0003),(5025,4065,0.57027,-0.99989),(5025,4075,0.67043,-0.99439),(5025,4085,0.72676,-0.98889),(5025,4095,0.74787,-0.98338),(5025,4105,0.76898,-0.97454),(5025,4115,0.78946,-0.96558),(5025,4125,0.80889,-0.95662),(5025,4135,0.82831,-0.94622),(5025,4145,0.84738,-0.93542),(5025,4155,0.86502,-0.92463),(5025,4165,0.88266,-0.9132),(5025,4175,0.90026,-0.90137),(5025,4185,0.91614,-0.88955),(5025,4195,0.93202,-0.87754),(5025,4205,0.9479,-0.86531),(5025,4215,0.9624,-0.85308),(5025,4225,0.97665,-0.84082),(5025,4235,0.9909,-0.82849),(5025,4245,1.0041,-0.81616),(5025,4255,1.0169,-0.80385),(5025,4265,1.0296,-0.79177),(5025,4275,1.0417,-0.77968),(5025,4285,1.0531,-0.76759),(5025,4295,1.0644,-0.75581),(5025,4305,1.0754,-0.74405),(5025,4315,1.0856,-0.7323),(5025,4325,1.0957,-0.72083),(5025,4335,1.1057,-0.70948),(5025,4345,1.1148,-0.69812),(5025,4355,1.1239,-0.68703),(5025,4365,1.133,-0.67615),(5025,4375,1.1412,-0.66528),(5025,4385,1.1493,-0.65458),(5025,4395,1.1574,-0.6442),(5025,4405,1.1648,-0.63382),(5025,4415,1.172,-0.62354),(5025,4425,1.1792,-0.6137),(5025,4435,1.186,-0.60386),(5025,4445,1.1925,-0.59402),(5025,4455,1.199,-0.58474),(5025,4465,1.2052,-0.57545),(5025,4475,1.211,-0.56616),(5025,4485,1.2168,-0.55735),(5025,4495,1.2225,-0.54863),(5025,4505,1.2277,-0.53992),(5025,4515,1.2329,-0.5316),(5025,4525,1.2381,-0.52349),(5025,4535,1.2428,-0.51537),(5025,4545,1.2475,-0.50756),(5025,4555,1.2522,-0.50007),(5025,4565,1.2566,-0.49258),(5025,4575,1.2608,-0.48526),(5025,4585,1.2651,-0.47833),(5025,4595,1.2691,-0.4714),(5025,4605,1.2731,-0.46454),(5025,4615,1.277,-0.45823),(5025,4625,1.2808,-0.45191),(5025,4635,1.2844,-0.4456),(5025,4645,1.288,-0.43986),(5025,4655,1.2916,-0.43415),(5025,4665,1.295,-0.42845),(5025,4675,1.2984,-0.42321),(5025,4685,1.3018,-0.41812),(5025,4695,1.305,-0.41303),(5025,4705,1.3083,-0.40826),(5025,4715,1.3115,-0.40373),(5025,4725,1.3146,-0.39919),(5025,4735,1.3178,-0.39487),(5025,4745,1.3209,-0.3909),(5025,4755,1.324,-0.38692),(5025,4765,1.3271,-0.38307),(5025,4775,1.3302,-0.37967),(5025,4785,1.3332,-0.37626),(5025,4795,1.3363,-0.37287),(5025,4805,1.3394,-0.36999),(5025,4815,1.3425,-0.36711),(5025,4825,1.3456,-0.36423),(5025,4835,1.3487,-0.36173),(5025,4845,1.3519,-0.35928),(5025,4855,1.355,-0.35683),(5025,4865,1.3582,-0.35468),(5025,4875,1.3613,-0.35265),(5025,4885,1.3645,-0.35063),(5025,4895,1.3678,-0.34878),(5025,4905,1.371,-0.3471),(5025,4915,1.3742,-0.34542),(5025,4925,1.3775,-0.34383),(5025,4935,1.3807,-0.34241),(5025,4945,1.384,-0.341),(5025,4955,1.3872,-0.33961),(5025,4965,1.3905,-0.33839),(5025,4975,1.3938,-0.33716),(5025,4985,1.397,-0.33594),(5025,4995,1.4003,-0.33486),(5025,5005,1.4035,-0.33379),(5025,5015,1.4066,-0.33271),(5025,5025,1.4098,-0.33167),(5025,5035,1.413,-0.33064),(5025,5045,1.416,-0.32961),(5025,5055,1.4191,-0.3286),(5025,5065,1.4222,-0.32762),(5025,5075,1.4251,-0.32663),(5025,5085,1.4281,-0.32566),(5025,5095,1.431,-0.32469),(5025,5105,1.4338,-0.32372),(5025,5115,1.4365,-0.32276),(5025,5125,1.4393,-0.32181),(5025,5135,1.4419,-0.32087),(5025,5145,1.4444,-0.31992),(5025,5155,1.447,-0.31897),(5025,5165,1.4494,-0.31802),(5025,5175,1.4516,-0.31707),(5025,5185,1.4539,-0.31617),(5025,5195,1.4561,-0.31528),(5025,5205,1.4581,-0.31439),(5025,5215,1.4601,-0.3136),(5025,5225,1.4621,-0.31284),(5025,5235,1.464,-0.31209),(5025,5245,1.4658,-0.31146),(5025,5255,1.4677,-0.31093),(5025,5265,1.4694,-0.3104),(5025,5275,1.4711,-0.30998),(5025,5285,1.4729,-0.30974),(5025,5295,1.4746,-0.30949),(5025,5305,1.4763,-0.30933),(5025,5315,1.478,-0.30947),(5025,5325,1.4798,-0.30961),(5025,5335,1.4816,-0.30975),(5025,5345,1.4834,-0.31035),(5025,5355,1.4853,-0.31095),(5025,5365,1.4873,-0.31154),(5025,5375,1.4893,-0.31258),(5025,5385,1.4913,-0.31371),(5025,5395,1.4937,-0.31484),(5025,5405,1.496,-0.31634),(5025,5415,1.4983,-0.31803),(5025,5425,1.501,-0.31973),(5025,5435,1.5038,-0.32168),(5025,5445,1.5065,-0.32391),(5025,5455,1.5097,-0.32614),(5025,5465,1.5129,-0.32854),(5025,5475,1.5162,-0.33131),(5025,5485,1.5199,-0.33409),(5025,5495,1.5237,-0.33692),(5025,5505,1.5276,-0.34018),(5025,5515,1.5318,-0.34343),(5025,5525,1.5363,-0.34668),(5025,5535,1.5409,-0.35028),(5025,5545,1.5457,-0.3539),(5025,5555,1.5509,-0.35753),(5025,5565,1.5562,-0.36132),(5025,5575,1.5616,-0.36517),(5025,5585,1.5675,-0.36902),(5025,5595,1.5735,-0.37294),(5025,5605,1.5795,-0.3769),(5025,5615,1.5862,-0.38086),(5025,5625,1.5928,-0.38478),(5025,5635,1.5995,-0.38865),(5025,5645,1.6067,-0.39252),(5025,5655,1.614,-0.3963),(5025,5665,1.6213,-0.3998),(5025,5675,1.6289,-0.4033),(5025,5685,1.6366,-0.40676),(5025,5695,1.6444,-0.40966),(5025,5705,1.6523,-0.41255),(5025,5715,1.6604,-0.41545),(5025,5725,1.6685,-0.41765),(5025,5735,1.6766,-0.41975),(5025,5745,1.6847,-0.42185),(5025,5755,1.6929,-0.42329),(5025,5765,1.7011,-0.42444),(5025,5775,1.7092,-0.4256),(5025,5785,1.7173,-0.42621),(5025,5795,1.7254,-0.42634),(5025,5805,1.7332,-0.42647),(5025,5815,1.741,-0.42626),(5025,5825,1.7489,-0.42542),(5025,5835,1.7564,-0.42457),(5025,5845,1.7639,-0.42357),(5025,5855,1.7714,-0.42179),(5025,5865,1.7786,-0.42001),(5025,5875,1.7856,-0.41822),(5025,5885,1.7927,-0.41561),(5025,5895,1.7996,-0.41298),(5025,5905,1.8062,-0.41035),(5025,5915,1.8128,-0.40718),(5025,5925,1.8194,-0.40389),(5025,5935,1.8256,-0.4006),(5025,5945,1.8318,-0.39694),(5025,5955,1.8381,-0.39308),(5025,5965,1.844,-0.38922),(5025,5975,1.8498,-0.38515),(5025,5985,1.8557,-0.38082),(5025,5995,1.8614,-0.37649),(5025,6005,1.867,-0.37206),(5025,6015,1.8725,-0.36737),(5025,6025,1.878,-0.36267),(5025,6035,1.8833,-0.35795),(5025,6045,1.8886,-0.35294),(5025,6055,1.8938,-0.34793),(5025,6065,1.8989,-0.34292),(5025,6075,1.904,-0.33767),(5025,6085,1.909,-0.33239),(5025,6095,1.9139,-0.32711),(5025,6105,1.9188,-0.32162),(5025,6115,1.9236,-0.31606),(5025,6125,1.9282,-0.3105),(5025,6135,1.9328,-0.30482),(5025,6145,1.9375,-0.29903),(5025,6155,1.9419,-0.29325),(5025,6165,1.9463,-0.2874),(5025,6175,1.9507,-0.28143),(5025,6185,1.9549,-0.27546),(5025,6195,1.959,-0.26947),(5025,6205,1.9632,-0.26334),(5025,6215,1.9672,-0.25722),(5025,6225,1.971,-0.2511),(5025,6235,1.9749,-0.24481),(5025,6245,1.9787,-0.23853),(5025,6255,1.9823,-0.23225),(5025,6265,1.9859,-0.22584),(5025,6275,1.9894,-0.21939),(5025,6285,1.9927,-0.21295),(5025,6295,1.996,-0.20642),(5025,6305,1.9993,-0.19984),(5025,6315,2.0023,-0.19326),(5025,6325,2.0053,-0.1866),(5025,6335,2.0083,-0.17987),(5025,6345,2.011,-0.17314),(5025,6355,2.0136,-0.16639),(5025,6365,2.0163,-0.15959),(5025,6375,2.0187,-0.15279),(5025,6385,2.0211,-0.14598),(5025,6395,2.0234,-0.13914),(5025,6405,2.0256,-0.1323),(5025,6415,2.0276,-0.12546),(5025,6425,2.0296,-0.11853),(5025,6435,2.0315,-0.11159),(5025,6445,2.0332,-0.10466),(5025,6455,2.0349,-0.097697),(5025,6465,2.0365,-0.090729),(5025,6475,2.0378,-0.083761),(5025,6485,2.0392,-0.076757),(5025,6495,2.0405,-0.069729),(5025,6505,2.0415,-0.062702),(5025,6515,2.0424,-0.055676),(5025,6525,2.0434,-0.048651),(5025,6535,2.0441,-0.041627),(5025,6545,2.0447,-0.034595),(5025,6555,2.0454,-0.027538),(5025,6565,2.0458,-0.020482),(5025,6575,2.0461,-0.013426),(5025,6585,2.0463,-0.00638),(5025,6595,1.7408,0.000665),(5025,6605,1.0976,0.007711),(5025,6615,0.45445,0.008544),(5025,6625,0.0023,0.008579),(5025,6635,0.002285,0.008614),(5025,6645,0.002269,0.008644),(5025,6655,0.002254,0.008672),(5025,6665,0.00224,0.0087),(5025,6675,0.002226,0.008727),(5025,6685,0.002212,0.008751),(5025,6695,0.002199,0.008776),(5025,6705,0.002187,0.008799),(5025,6715,0.002175,0.00882),(5025,6725,0.002164,0.008841),(5025,6735,0.002153,0.008862),(5025,6745,0.002142,0.00888),(5025,6755,0.002132,0.008898),(5025,6765,0.002123,0.008917),(5025,6775,0.002113,0.008932),(5025,6785,0.002105,0.008948),(5025,6795,0.002097,0.008964),(5025,6805,0.002089,0.008978),(5025,6815,0.002081,0.008991),(5025,6825,0.002074,0.009005),(5025,6835,0.002067,0.009017),(5025,6845,0.002061,0.009028),(5025,6855,0.002055,0.00904),(5025,6865,0.00205,0.009051),(5025,6875,0.002044,0.009061),(5025,6885,0.002039,0.009071),(5025,6895,0.002035,0.00908),(5025,6905,0.00203,0.009088),(5025,6915,0.002026,0.009097),(5025,6925,0.002023,0.009105),(5025,6935,0.002019,0.009112),(5025,6945,0.002016,0.009119),(5025,6955,0.002013,0.009126),(5025,6965,0.002011,0.009131),(5025,6975,0.002008,0.009137),(5025,6985,0.002006,0.009143),(5035,5,-1e-06,-0.78839),(5035,15,-3e-06,-0.78848),(5035,25,-6e-06,-0.78856),(5035,35,-9e-06,-0.78864),(5035,45,-1.2e-05,-0.78871),(5035,55,-1.5e-05,-0.78877),(5035,65,-1.8e-05,-0.78883),(5035,75,-2.1e-05,-0.78889),(5035,85,-2.4e-05,-0.78898),(5035,95,-2.7e-05,-0.78909),(5035,105,-3.1e-05,-0.7892),(5035,115,-3.4e-05,-0.78931),(5035,125,-3.8e-05,-0.78944),(5035,135,-4.2e-05,-0.78957),(5035,145,-4.5e-05,-0.78971),(5035,155,-4.8e-05,-0.78984),(5035,165,-5.1e-05,-0.79001),(5035,175,-5.4e-05,-0.79018),(5035,185,-5.7e-05,-0.79036),(5035,195,-5.9e-05,-0.79053),(5035,205,-6.1e-05,-0.79075),(5035,215,-6.4e-05,-0.79099),(5035,225,-6.7e-05,-0.79123),(5035,235,-7e-05,-0.79146),(5035,245,-7.3e-05,-0.79173),(5035,255,-7.6e-05,-0.79202),(5035,265,-8e-05,-0.7923),(5035,275,-8.6e-05,-0.79259),(5035,285,-9.1e-05,-0.79291),(5035,295,-9.6e-05,-0.79324),(5035,305,-0.0001,-0.79358),(5035,315,-0.000105,-0.79391),(5035,325,-0.000109,-0.79428),(5035,335,-0.000113,-0.79466),(5035,345,-0.00012,-0.79504),(5035,355,-0.000127,-0.79541),(5035,365,-0.000134,-0.79581),(5035,375,-0.000141,-0.79621),(5035,385,-0.000149,-0.79661),(5035,395,-0.000158,-0.79701),(5035,405,-0.000167,-0.79746),(5035,415,-0.000175,-0.79791),(5035,425,-0.000183,-0.79837),(5035,435,-0.00019,-0.79883),(5035,445,-0.000197,-0.79936),(5035,455,-0.000204,-0.79989),(5035,465,-0.000211,-0.80043),(5035,475,-0.000217,-0.80096),(5035,485,-0.000224,-0.80157),(5035,495,-0.000231,-0.80217),(5035,505,-0.000244,-0.80278),(5035,515,-0.000257,-0.80339),(5035,525,-0.00027,-0.80401),(5035,535,-0.000284,-0.80463),(5035,545,-0.000299,-0.80526),(5035,555,-0.000315,-0.80589),(5035,565,-0.000331,-0.80656),(5035,575,-0.000346,-0.80723),(5035,585,-0.000359,-0.80791),(5035,595,-0.000372,-0.80859),(5035,605,-0.000385,-0.80935),(5035,615,-0.000398,-0.8101),(5035,625,-0.000407,-0.81086),(5035,635,-0.000416,-0.81163),(5035,645,-0.000425,-0.81246),(5035,655,-0.000434,-0.81329),(5035,665,-0.000443,-0.81413),(5035,675,-0.000452,-0.81498),(5035,685,-0.000461,-0.81588),(5035,695,-0.000471,-0.81678),(5035,705,-0.000485,-0.81769),(5035,715,-0.000499,-0.81861),(5035,725,-0.000513,-0.81958),(5035,735,-0.000528,-0.82056),(5035,745,-0.000549,-0.82154),(5035,755,-0.000569,-0.82253),(5035,765,-0.00059,-0.82355),(5035,775,-0.000612,-0.82457),(5035,785,-0.000638,-0.82559),(5035,795,-0.000663,-0.82663),(5035,805,-0.000689,-0.8277),(5035,815,-0.000715,-0.82878),(5035,825,-0.000742,-0.82985),(5035,835,-0.00077,-0.83095),(5035,845,-0.000797,-0.8321),(5035,855,-0.000825,-0.83325),(5035,865,-0.000858,-0.8344),(5035,875,-0.00089,-0.83557),(5035,885,-0.000922,-0.83679),(5035,895,-0.000955,-0.838),(5035,905,-0.000991,-0.83922),(5035,915,-0.001027,-0.84048),(5035,925,-0.001063,-0.84179),(5035,935,-0.001102,-0.84311),(5035,945,-0.001144,-0.84443),(5035,955,-0.001186,-0.84578),(5035,965,-0.001229,-0.84717),(5035,975,-0.001275,-0.84856),(5035,985,-0.001325,-0.84996),(5035,995,-0.001375,-0.85137),(5035,1005,-0.001426,-0.85281),(5035,1015,-0.00148,-0.85424),(5035,1025,-0.001537,-0.85567),(5035,1035,-0.001594,-0.85712),(5035,1045,-0.001651,-0.85859),(5035,1055,-0.001713,-0.86005),(5035,1065,-0.001779,-0.86152),(5035,1075,-0.001845,-0.86298),(5035,1085,-0.001911,-0.86445),(5035,1095,-0.001975,-0.86592),(5035,1105,-0.002039,-0.86738),(5035,1115,-0.002102,-0.86887),(5035,1125,-0.002166,-0.87036),(5035,1135,-0.002227,-0.87186),(5035,1145,-0.002287,-0.87336),(5035,1155,-0.002347,-0.87486),(5035,1165,-0.002407,-0.87637),(5035,1175,-0.002533,-0.87787),(5035,1185,-0.002692,-0.87938),(5035,1195,-0.002851,-0.88028),(5035,1205,-0.00301,-0.8809),(5035,1215,-0.00335,-0.88152),(5035,1225,-0.003764,-0.88214),(5035,1235,-0.004178,-0.88094),(5035,1245,-0.004593,-0.87906),(5035,1255,-0.003755,-0.87718),(5035,1265,-0.002494,-0.87529),(5035,1275,-0.001233,-0.88474),(5035,1285,2.8e-05,-0.89761),(5035,1295,0.004465,-0.91049),(5035,1305,0.009761,-0.92336),(5035,1315,0.015056,-0.9771),(5035,1325,0.020352,-1.0406),(5035,1335,0.012685,-1.1041),(5035,1345,0.002302,-1.1676),(5035,1355,-0.008082,-1.1259),(5035,1365,-0.018465,-1.065),(5035,1375,-0.015727,-1.0042),(5035,1385,-0.010965,-0.94331),(5035,1395,-0.006202,-0.92243),(5035,1405,-0.00144,-0.90669),(5035,1415,0.000473,-0.89095),(5035,1425,0.002091,-0.87521),(5035,1435,0.003708,-0.87668),(5035,1445,0.005326,-0.87954),(5035,1455,0.004919,-0.8824),(5035,1465,0.004394,-0.88526),(5035,1475,0.00387,-0.88502),(5035,1485,0.003347,-0.88466),(5035,1495,0.003168,-0.8843),(5035,1505,0.002996,-0.88394),(5035,1515,0.002823,-0.88257),(5035,1525,0.002653,-0.8812),(5035,1535,0.0026,-0.87984),(5035,1545,0.002546,-0.87847),(5035,1555,0.002493,-0.87724),(5035,1565,0.002438,-0.87601),(5035,1575,0.00237,-0.87477),(5035,1585,0.002302,-0.87355),(5035,1595,0.002234,-0.8724),(5035,1605,0.002165,-0.87126),(5035,1615,0.002087,-0.87012),(5035,1625,0.002009,-0.86898),(5035,1635,0.001931,-0.86786),(5035,1645,0.001854,-0.86673),(5035,1655,0.001783,-0.86561),(5035,1665,0.001711,-0.86449),(5035,1675,0.001639,-0.86344),(5035,1685,0.00157,-0.86239),(5035,1695,0.00151,-0.86134),(5035,1705,0.001451,-0.8603),(5035,1715,0.001392,-0.85935),(5035,1725,0.001335,-0.8584),(5035,1735,0.001288,-0.85745),(5035,1745,0.001241,-0.85652),(5035,1755,0.001194,-0.85566),(5035,1765,0.001149,-0.85479),(5035,1775,0.001112,-0.85392),(5035,1785,0.001074,-0.85308),(5035,1795,0.001037,-0.85232),(5035,1805,0.001002,-0.85155),(5035,1815,0.000975,-0.85078),(5035,1825,0.000949,-0.85005),(5035,1835,0.000922,-0.84941),(5035,1845,0.0009,-0.84877),(5035,1855,0.000889,-0.84813),(5035,1865,0.000877,-0.84752),(5035,1875,0.000865,-0.847),(5035,1885,0.000858,-0.84647),(5035,1895,0.000857,-0.84595),(5035,1905,0.000856,-0.84545),(5035,1915,0.000855,-0.84501),(5035,1925,0.00086,-0.84457),(5035,1935,0.000873,-0.84412),(5035,1945,0.000886,-0.84372),(5035,1955,0.000899,-0.84337),(5035,1965,0.000917,-0.84302),(5035,1975,0.000941,-0.84267),(5035,1985,0.000966,-0.84236),(5035,1995,0.00099,-0.8421),(5035,2005,0.001018,-0.84183),(5035,2015,0.00105,-0.84157),(5035,2025,0.001083,-0.84135),(5035,2035,0.001115,-0.84116),(5035,2045,0.001149,-0.84098),(5035,2055,0.001186,-0.8408),(5035,2065,0.001223,-0.84067),(5035,2075,0.001259,-0.84059),(5035,2085,0.001298,-0.8405),(5035,2095,0.001337,-0.84042),(5035,2105,0.001376,-0.84039),(5035,2115,0.001416,-0.84041),(5035,2125,0.001455,-0.84042),(5035,2135,0.001495,-0.84044),(5035,2145,0.001535,-0.84052),(5035,2155,0.001575,-0.84063),(5035,2165,0.001614,-0.84075),(5035,2175,0.001653,-0.84086),(5035,2185,0.001693,-0.84104),(5035,2195,0.001732,-0.84125),(5035,2205,0.001772,-0.84147),(5035,2215,0.001812,-0.84168),(5035,2225,0.001852,-0.84194),(5035,2235,0.001892,-0.84222),(5035,2245,0.001937,-0.84251),(5035,2255,0.001984,-0.84279),(5035,2265,0.002031,-0.84312),(5035,2275,0.002078,-0.84347),(5035,2285,0.00213,-0.84382),(5035,2295,0.002183,-0.84417),(5035,2305,0.002236,-0.84455),(5035,2315,0.002288,-0.84493),(5035,2325,0.002352,-0.84531),(5035,2335,0.002419,-0.8457),(5035,2345,0.002485,-0.84611),(5035,2355,0.002551,-0.84654),(5035,2365,0.002626,-0.84696),(5035,2375,0.002703,-0.84738),(5035,2385,0.002779,-0.84786),(5035,2395,0.002855,-0.84833),(5035,2405,0.002939,-0.84881),(5035,2415,0.003024,-0.84929),(5035,2425,0.003108,-0.84983),(5035,2435,0.003193,-0.85037),(5035,2445,0.003284,-0.85091),(5035,2455,0.003375,-0.85145),(5035,2465,0.003466,-0.85204),(5035,2475,0.003558,-0.85264),(5035,2485,0.003653,-0.85323),(5035,2495,0.003748,-0.85383),(5035,2505,0.003843,-0.85449),(5035,2515,0.003938,-0.85514),(5035,2525,0.004037,-0.8558),(5035,2535,0.004136,-0.85646),(5035,2545,0.004235,-0.85716),(5035,2555,0.004333,-0.85786),(5035,2565,0.004438,-0.85855),(5035,2575,0.004542,-0.85925),(5035,2585,0.004646,-0.85993),(5035,2595,0.004751,-0.86061),(5035,2605,0.004864,-0.86128),(5035,2615,0.004976,-0.86196),(5035,2625,0.005088,-0.8626),(5035,2635,0.005202,-0.86324),(5035,2645,0.005328,-0.86387),(5035,2655,0.005453,-0.86452),(5035,2665,0.005579,-0.86518),(5035,2675,0.005705,-0.86584),(5035,2685,0.005835,-0.86651),(5035,2695,0.005966,-0.86716),(5035,2705,0.006096,-0.86779),(5035,2715,0.006229,-0.86843),(5035,2725,0.006374,-0.86906),(5035,2735,0.006519,-0.86968),(5035,2745,0.006664,-0.87028),(5035,2755,0.006812,-0.87088),(5035,2765,0.006968,-0.87148),(5035,2775,0.007125,-0.87207),(5035,2785,0.007281,-0.87266),(5035,2795,0.00744,-0.87324),(5035,2805,0.007608,-0.87383),(5035,2815,0.007775,-0.87441),(5035,2825,0.007942,-0.87498),(5035,2835,0.008113,-0.87555),(5035,2845,0.008291,-0.87613),(5035,2855,0.008469,-0.87668),(5035,2865,0.008647,-0.87722),(5035,2875,0.00883,-0.87775),(5035,2885,0.00902,-0.87828),(5035,2895,0.00921,-0.8788),(5035,2905,0.009399,-0.87929),(5035,2915,0.009595,-0.87979),(5035,2925,0.009798,-0.88029),(5035,2935,0.010001,-0.88078),(5035,2945,0.010204,-0.88125),(5035,2955,0.010413,-0.88172),(5035,2965,0.01063,-0.88219),(5035,2975,0.010846,-0.88264),(5035,2985,0.011062,-0.88306),(5035,2995,0.011285,-0.88347),(5035,3005,0.011513,-0.88389),(5035,3015,0.011741,-0.88427),(5035,3025,0.01197,-0.88461),(5035,3035,0.012205,-0.88496),(5035,3045,0.012446,-0.88531),(5035,3055,0.012688,-0.88564),(5035,3065,0.012929,-0.88597),(5035,3075,0.01317,-0.8863),(5035,3085,0.013411,-0.88663),(5035,3095,0.013652,-0.88691),(5035,3105,0.013893,-0.88716),(5035,3115,0.014137,-0.88741),(5035,3125,0.014384,-0.88766),(5035,3135,0.01463,-0.88787),(5035,3145,0.014876,-0.88806),(5035,3155,0.015122,-0.88824),(5035,3165,0.015367,-0.88842),(5035,3175,0.015613,-0.88858),(5035,3185,0.015859,-0.88871),(5035,3195,0.016102,-0.88885),(5035,3205,0.016343,-0.88899),(5035,3215,0.016585,-0.88906),(5035,3225,0.016826,-0.88912),(5035,3235,0.017062,-0.88917),(5035,3245,0.017297,-0.88923),(5035,3255,0.017531,-0.8892),(5035,3265,0.017765,-0.88914),(5035,3275,0.017994,-0.88908),(5035,3285,0.018221,-0.88901),(5035,3295,0.018448,-0.88891),(5035,3305,0.018675,-0.88879),(5035,3315,0.018896,-0.88866),(5035,3325,0.019116,-0.88854),(5035,3335,0.019336,-0.88834),(5035,3345,0.019556,-0.88812),(5035,3355,0.019768,-0.8879),(5035,3365,0.019979,-0.88769),(5035,3375,0.020191,-0.88733),(5035,3385,0.020402,-0.88696),(5035,3395,0.020605,-0.88658),(5035,3405,0.020807,-0.8862),(5035,3415,0.021009,-0.88575),(5035,3425,0.021211,-0.8853),(5035,3435,0.021394,-0.88484),(5035,3445,0.021575,-0.88438),(5035,3455,0.021756,-0.88382),(5035,3465,0.021937,-0.88324),(5035,3475,0.022106,-0.88267),(5035,3485,0.022276,-0.8821),(5035,3495,0.022445,-0.88139),(5035,3505,0.022615,-0.88068),(5035,3515,0.022767,-0.87998),(5035,3525,0.022919,-0.87927),(5035,3535,0.023072,-0.87841),(5035,3545,0.023223,-0.87754),(5035,3555,0.023357,-0.87668),(5035,3565,0.02349,-0.87581),(5035,3575,0.023624,-0.87478),(5035,3585,0.023756,-0.87376),(5035,3595,0.023873,-0.87273),(5035,3605,0.023989,-0.87169),(5035,3615,0.024106,-0.87051),(5035,3625,0.02422,-0.86932),(5035,3635,0.024318,-0.86814),(5035,3645,0.024417,-0.86693),(5035,3655,0.024515,-0.86553),(5035,3665,0.02461,-0.86414),(5035,3675,0.024687,-0.86275),(5035,3685,0.024763,-0.86131),(5035,3695,0.02484,-0.85967),(5035,3705,0.024912,-0.85803),(5035,3715,0.024966,-0.8564),(5035,3725,0.025019,-0.85471),(5035,3735,0.025073,-0.85285),(5035,3745,0.025122,-0.85099),(5035,3755,0.025154,-0.84913),(5035,3765,0.025186,-0.84722),(5035,3775,0.025218,-0.84516),(5035,3785,0.025247,-0.8431),(5035,3795,0.025266,-0.84104),(5035,3805,0.025286,-0.83891),(5035,3815,0.025306,-0.83662),(5035,3825,0.02532,-0.83433),(5035,3835,0.025322,-0.83204),(5035,3845,0.025323,-0.82964),(5035,3855,0.025325,-0.82703),(5035,3865,0.025303,-0.82442),(5035,3875,0.025238,-0.82181),(5035,3885,0.025173,-0.81888),(5035,3895,0.025108,-0.81543),(5035,3905,0.024988,-0.81198),(5035,3915,0.024786,-0.80853),(5035,3925,0.024585,-0.80438),(5035,3935,0.024383,-0.79925),(5035,3945,0.02477,-0.79412),(5035,3955,0.025906,-0.789),(5035,3965,0.027042,-0.78898),(5035,3975,0.028177,-0.79496),(5035,3985,0.03194,-0.80093),(5035,3995,0.038547,-0.80691),(5035,4005,0.045154,-0.84092),(5035,4015,0.051761,-0.90297),(5035,4025,0.15095,-0.96502),(5035,4035,0.2592,-1.007),(5035,4045,0.36745,-1.0067),(5035,4055,0.46832,-1.0064),(5035,4065,0.5665,-1.0055),(5035,4075,0.66468,-1.0005),(5035,4085,0.71954,-0.9955),(5035,4095,0.73957,-0.99052),(5035,4105,0.7596,-0.98247),(5035,4115,0.77916,-0.9743),(5035,4125,0.79794,-0.96614),(5035,4135,0.81671,-0.95643),(5035,4145,0.83519,-0.9463),(5035,4155,0.85247,-0.93618),(5035,4165,0.86975,-0.92529),(5035,4175,0.887,-0.91392),(5035,4185,0.90271,-0.90254),(5035,4195,0.91842,-0.89092),(5035,4205,0.93413,-0.87897),(5035,4215,0.94857,-0.86703),(5035,4225,0.96277,-0.85503),(5035,4235,0.97697,-0.8429),(5035,4245,0.99022,-0.83077),(5035,4255,1.003,-0.81865),(5035,4265,1.0158,-0.8067),(5035,4275,1.0279,-0.79476),(5035,4285,1.0393,-0.78281),(5035,4295,1.0508,-0.77113),(5035,4305,1.0619,-0.75948),(5035,4315,1.0721,-0.74783),(5035,4325,1.0824,-0.73645),(5035,4335,1.0925,-0.72517),(5035,4345,1.1017,-0.7139),(5035,4355,1.1109,-0.70288),(5035,4365,1.1201,-0.69208),(5035,4375,1.1284,-0.68129),(5035,4385,1.1367,-0.67067),(5035,4395,1.1449,-0.66035),(5035,4405,1.1525,-0.65004),(5035,4415,1.1599,-0.63982),(5035,4425,1.1673,-0.63004),(5035,4435,1.1742,-0.62025),(5035,4445,1.1808,-0.61047),(5035,4455,1.1875,-0.60123),(5035,4465,1.1938,-0.59198),(5035,4475,1.1998,-0.58274),(5035,4485,1.2058,-0.57398),(5035,4495,1.2117,-0.56532),(5035,4505,1.217,-0.55666),(5035,4515,1.2224,-0.54838),(5035,4525,1.2278,-0.54032),(5035,4535,1.2327,-0.53225),(5035,4545,1.2376,-0.52447),(5035,4555,1.2424,-0.51702),(5035,4565,1.2469,-0.50957),(5035,4575,1.2514,-0.50228),(5035,4585,1.2559,-0.49539),(5035,4595,1.2601,-0.48849),(5035,4605,1.2642,-0.48167),(5035,4615,1.2683,-0.47538),(5035,4625,1.2722,-0.4691),(5035,4635,1.276,-0.46282),(5035,4645,1.2798,-0.4571),(5035,4655,1.2836,-0.45142),(5035,4665,1.2872,-0.44574),(5035,4675,1.2907,-0.44052),(5035,4685,1.2943,-0.43545),(5035,4695,1.2977,-0.43038),(5035,4705,1.3011,-0.42562),(5035,4715,1.3046,-0.42109),(5035,4725,1.3079,-0.41656),(5035,4735,1.3112,-0.41226),(5035,4745,1.3145,-0.40828),(5035,4755,1.3177,-0.40431),(5035,4765,1.321,-0.40046),(5035,4775,1.3242,-0.39704),(5035,4785,1.3275,-0.39361),(5035,4795,1.3307,-0.39021),(5035,4805,1.3339,-0.38729),(5035,4815,1.3372,-0.38437),(5035,4825,1.3404,-0.38145),(5035,4835,1.3437,-0.37889),(5035,4845,1.3469,-0.37639),(5035,4855,1.3502,-0.37389),(5035,4865,1.3535,-0.37166),(5035,4875,1.3568,-0.36955),(5035,4885,1.3601,-0.36744),(5035,4895,1.3634,-0.3655),(5035,4905,1.3667,-0.36372),(5035,4915,1.37,-0.36194),(5035,4925,1.3733,-0.36024),(5035,4935,1.3767,-0.35871),(5035,4945,1.38,-0.35717),(5035,4955,1.3833,-0.35567),(5035,4965,1.3866,-0.35432),(5035,4975,1.3899,-0.35297),(5035,4985,1.3932,-0.35162),(5035,4995,1.3965,-0.35041),(5035,5005,1.3997,-0.34921),(5035,5015,1.4029,-0.348),(5035,5025,1.4061,-0.34683),(5035,5035,1.4093,-0.34566),(5035,5045,1.4123,-0.3445),(5035,5055,1.4154,-0.34337),(5035,5065,1.4185,-0.34227),(5035,5075,1.4215,-0.34117),(5035,5085,1.4244,-0.34008),(5035,5095,1.4273,-0.33901),(5035,5105,1.4301,-0.33795),(5035,5115,1.4329,-0.33689),(5035,5125,1.4356,-0.33585),(5035,5135,1.4382,-0.33482),(5035,5145,1.4407,-0.33379),(5035,5155,1.4433,-0.33277),(5035,5165,1.4457,-0.33176),(5035,5175,1.448,-0.33074),(5035,5185,1.4502,-0.32981),(5035,5195,1.4525,-0.32889),(5035,5205,1.4545,-0.32797),(5035,5215,1.4566,-0.32716),(5035,5225,1.4586,-0.32639),(5035,5235,1.4605,-0.32562),(5035,5245,1.4624,-0.325),(5035,5255,1.4643,-0.32448),(5035,5265,1.4662,-0.32396),(5035,5275,1.468,-0.32356),(5035,5285,1.4698,-0.32333),(5035,5295,1.4716,-0.32311),(5035,5305,1.4735,-0.32297),(5035,5315,1.4753,-0.32313),(5035,5325,1.4772,-0.3233),(5035,5335,1.4791,-0.32347),(5035,5345,1.4811,-0.32409),(5035,5355,1.4831,-0.3247),(5035,5365,1.4853,-0.32532),(5035,5375,1.4874,-0.32636),(5035,5385,1.4897,-0.32749),(5035,5395,1.4921,-0.32862),(5035,5405,1.4946,-0.33011),(5035,5415,1.4971,-0.33177),(5035,5425,1.5,-0.33343),(5035,5435,1.5029,-0.33534),(5035,5445,1.5058,-0.3375),(5035,5455,1.5091,-0.33966),(5035,5465,1.5125,-0.34197),(5035,5475,1.516,-0.34463),(5035,5485,1.5198,-0.34728),(5035,5495,1.5238,-0.34999),(5035,5505,1.5278,-0.35307),(5035,5515,1.5321,-0.35614),(5035,5525,1.5368,-0.35921),(5035,5535,1.5414,-0.36257),(5035,5545,1.5463,-0.36595),(5035,5555,1.5516,-0.36933),(5035,5565,1.5569,-0.37283),(5035,5575,1.5624,-0.37636),(5035,5585,1.5684,-0.3799),(5035,5595,1.5743,-0.38346),(5035,5605,1.5803,-0.38704),(5035,5615,1.587,-0.39062),(5035,5625,1.5936,-0.39415),(5035,5635,1.6002,-0.39758),(5035,5645,1.6073,-0.40102),(5035,5655,1.6144,-0.40436),(5035,5665,1.6216,-0.40739),(5035,5675,1.629,-0.41042),(5035,5685,1.6366,-0.41341),(5035,5695,1.6442,-0.41583),(5035,5705,1.6518,-0.41824),(5035,5715,1.6596,-0.42066),(5035,5725,1.6675,-0.42239),(5035,5735,1.6753,-0.42403),(5035,5745,1.6831,-0.42567),(5035,5755,1.691,-0.42667),(5035,5765,1.6988,-0.42739),(5035,5775,1.7066,-0.42812),(5035,5785,1.7143,-0.42834),(5035,5795,1.7221,-0.42812),(5035,5805,1.7296,-0.42789),(5035,5815,1.7371,-0.42735),(5035,5825,1.7446,-0.42622),(5035,5835,1.7518,-0.42509),(5035,5845,1.759,-0.42382),(5035,5855,1.7661,-0.42184),(5035,5865,1.7731,-0.41985),(5035,5875,1.7799,-0.41786),(5035,5885,1.7866,-0.4151),(5035,5895,1.7933,-0.41233),(5035,5905,1.7997,-0.40956),(5035,5915,1.8061,-0.4063),(5035,5925,1.8124,-0.40292),(5035,5935,1.8184,-0.39955),(5035,5945,1.8245,-0.39584),(5035,5955,1.8305,-0.39193),(5035,5965,1.8363,-0.38803),(5035,5975,1.842,-0.38392),(5035,5985,1.8477,-0.37957),(5035,5995,1.8532,-0.37523),(5035,6005,1.8587,-0.37079),(5035,6015,1.8641,-0.36609),(5035,6025,1.8694,-0.3614),(5035,6035,1.8747,-0.35667),(5035,6045,1.8799,-0.35168),(5035,6055,1.885,-0.34668),(5035,6065,1.89,-0.34168),(5035,6075,1.895,-0.33645),(5035,6085,1.8999,-0.33119),(5035,6095,1.9047,-0.32594),(5035,6105,1.9095,-0.32047),(5035,6115,1.9142,-0.31494),(5035,6125,1.9187,-0.30941),(5035,6135,1.9233,-0.30375),(5035,6145,1.9278,-0.29799),(5035,6155,1.9321,-0.29223),(5035,6165,1.9365,-0.2864),(5035,6175,1.9408,-0.28047),(5035,6185,1.9449,-0.27453),(5035,6195,1.949,-0.26856),(5035,6205,1.9531,-0.26247),(5035,6215,1.957,-0.25638),(5035,6225,1.9608,-0.25029),(5035,6235,1.9647,-0.24405),(5035,6245,1.9684,-0.23781),(5035,6255,1.9719,-0.23156),(5035,6265,1.9754,-0.22518),(5035,6275,1.9789,-0.21876),(5035,6285,1.9822,-0.21235),(5035,6295,1.9854,-0.20585),(5035,6305,1.9887,-0.1993),(5035,6315,1.9916,-0.19275),(5035,6325,1.9946,-0.18613),(5035,6335,1.9975,-0.17943),(5035,6345,2.0002,-0.17273),(5035,6355,2.0028,-0.166),(5035,6365,2.0055,-0.15923),(5035,6375,2.0079,-0.15245),(5035,6385,2.0102,-0.14567),(5035,6395,2.0125,-0.13885),(5035,6405,2.0146,-0.13203),(5035,6415,2.0166,-0.12521),(5035,6425,2.0186,-0.1183),(5035,6435,2.0205,-0.11138),(5035,6445,2.0221,-0.10446),(5035,6455,2.0238,-0.097517),(5035,6465,2.025391,-0.090565),(5035,6475,2.0267,-0.083613),(5035,6485,2.028,-0.076626),(5035,6495,2.0294,-0.069614),(5035,6505,2.0303,-0.062602),(5035,6515,2.0313,-0.055591),(5035,6525,2.0323,-0.048581),(5035,6535,2.033,-0.041571),(5035,6545,2.0336,-0.034552),(5035,6555,2.0342,-0.027507),(5035,6565,2.0346,-0.020461),(5035,6575,2.0349,-0.013416),(5035,6585,2.0351,-0.00638),(5035,6595,1.7313,0.000656),(5035,6605,1.0916,0.007692),(5035,6615,0.45194,0.008526),(5035,6625,0.002264,0.008562),(5035,6635,0.00225,0.008599),(5035,6645,0.002235,0.00863),(5035,6655,0.002221,0.008658),(5035,6665,0.002208,0.008687),(5035,6675,0.002196,0.008714),(5035,6685,0.002183,0.008739),(5035,6695,0.002172,0.008764),(5035,6705,0.00216,0.008787),(5035,6715,0.002149,0.008809),(5035,6725,0.002139,0.008831),(5035,6735,0.002129,0.008852),(5035,6745,0.002119,0.00887),(5035,6755,0.00211,0.008889),(5035,6765,0.002102,0.008908),(5035,6775,0.002093,0.008924),(5035,6785,0.002085,0.00894),(5035,6795,0.002078,0.008956),(5035,6805,0.00207,0.00897),(5035,6815,0.002063,0.008984),(5035,6825,0.002057,0.008998),(5035,6835,0.002051,0.009011),(5035,6845,0.002045,0.009023),(5035,6855,0.00204,0.009035),(5035,6865,0.002035,0.009046),(5035,6875,0.00203,0.009056),(5035,6885,0.002026,0.009066),(5035,6895,0.002022,0.009076),(5035,6905,0.002018,0.009084),(5035,6915,0.002014,0.009093),(5035,6925,0.002011,0.009102),(5035,6935,0.002008,0.009109),(5035,6945,0.002005,0.009116),(5035,6955,0.002003,0.009123),(5035,6965,0.002001,0.009129),(5035,6975,0.001998,0.009135),(5035,6985,0.001997,0.009141),(5045,5,1e-06,-0.74408),(5045,15,4e-06,-0.74416),(5045,25,4e-06,-0.74424),(5045,35,2e-06,-0.74432),(5045,45,0,-0.74439),(5045,55,-1e-06,-0.74445),(5045,65,-4e-06,-0.74451),(5045,75,-6e-06,-0.74457),(5045,85,-9e-06,-0.74466),(5045,95,-1.1e-05,-0.74477),(5045,105,-1.5e-05,-0.74488),(5045,115,-2.1e-05,-0.74499),(5045,125,-2.6e-05,-0.74512),(5045,135,-3.2e-05,-0.74526),(5045,145,-3.5e-05,-0.74541),(5045,155,-3.8e-05,-0.74555),(5045,165,-4e-05,-0.74572),(5045,175,-4.3e-05,-0.74591),(5045,185,-4.4e-05,-0.7461),(5045,195,-4.4e-05,-0.74629),(5045,205,-4.4e-05,-0.74652),(5045,215,-4.4e-05,-0.74677),(5045,225,-4.4e-05,-0.74702),(5045,235,-4.5e-05,-0.74727),(5045,245,-4.6e-05,-0.74755),(5045,255,-4.7e-05,-0.74783),(5045,265,-5.3e-05,-0.74812),(5045,275,-6e-05,-0.7484),(5045,285,-6.8e-05,-0.74873),(5045,295,-7.5e-05,-0.74906),(5045,305,-7.8e-05,-0.7494),(5045,315,-7.9e-05,-0.74973),(5045,325,-8.1e-05,-0.75012),(5045,335,-8.2e-05,-0.75051),(5045,345,-9e-05,-0.75091),(5045,355,-0.0001,-0.75131),(5045,365,-0.000109,-0.75171),(5045,375,-0.000118,-0.75213),(5045,385,-0.00013,-0.75254),(5045,395,-0.000141,-0.75295),(5045,405,-0.000153,-0.75342),(5045,415,-0.000164,-0.7539),(5045,425,-0.000167,-0.75438),(5045,435,-0.000168,-0.75486),(5045,445,-0.00017,-0.75542),(5045,455,-0.000172,-0.75599),(5045,465,-0.000168,-0.75656),(5045,475,-0.000163,-0.75713),(5045,485,-0.000159,-0.75779),(5045,495,-0.000155,-0.75845),(5045,505,-0.000173,-0.75911),(5045,515,-0.000192,-0.75977),(5045,525,-0.00021,-0.76043),(5045,535,-0.000229,-0.76108),(5045,545,-0.000257,-0.76174),(5045,555,-0.000286,-0.76241),(5045,565,-0.000314,-0.76313),(5045,575,-0.000341,-0.76385),(5045,585,-0.000359,-0.76457),(5045,595,-0.000377,-0.76529),(5045,605,-0.000395,-0.76611),(5045,615,-0.000411,-0.76693),(5045,625,-0.000413,-0.76775),(5045,635,-0.000415,-0.76859),(5045,645,-0.000417,-0.7695),(5045,655,-0.000417,-0.77042),(5045,665,-0.000413,-0.77134),(5045,675,-0.000409,-0.77227),(5045,685,-0.000405,-0.77327),(5045,695,-0.000404,-0.77426),(5045,705,-0.00041,-0.77526),(5045,715,-0.000416,-0.77627),(5045,725,-0.000423,-0.77732),(5045,735,-0.000433,-0.77838),(5045,745,-0.000454,-0.77943),(5045,755,-0.000475,-0.7805),(5045,765,-0.000497,-0.78161),(5045,775,-0.00052,-0.78272),(5045,785,-0.000549,-0.78384),(5045,795,-0.000578,-0.78497),(5045,805,-0.000607,-0.78616),(5045,815,-0.000633,-0.78735),(5045,825,-0.000654,-0.78853),(5045,835,-0.000674,-0.78976),(5045,845,-0.000695,-0.79105),(5045,855,-0.000716,-0.79234),(5045,865,-0.000741,-0.79363),(5045,875,-0.000766,-0.79496),(5045,885,-0.000791,-0.79634),(5045,895,-0.000815,-0.79772),(5045,905,-0.000838,-0.79909),(5045,915,-0.000861,-0.80053),(5045,925,-0.000884,-0.80204),(5045,935,-0.00091,-0.80354),(5045,945,-0.00094,-0.80505),(5045,955,-0.00097,-0.8066),(5045,965,-0.001,-0.80819),(5045,975,-0.001037,-0.80978),(5045,985,-0.001081,-0.81137),(5045,995,-0.001125,-0.81299),(5045,1005,-0.001169,-0.81465),(5045,1015,-0.001218,-0.8163),(5045,1025,-0.001271,-0.81795),(5045,1035,-0.001324,-0.81964),(5045,1045,-0.001377,-0.82135),(5045,1055,-0.001437,-0.82307),(5045,1065,-0.001503,-0.82478),(5045,1075,-0.001569,-0.82651),(5045,1085,-0.001635,-0.82824),(5045,1095,-0.001682,-0.82997),(5045,1105,-0.001716,-0.83169),(5045,1115,-0.001749,-0.83348),(5045,1125,-0.001783,-0.83531),(5045,1135,-0.001786,-0.83713),(5045,1145,-0.00177,-0.83895),(5045,1155,-0.001755,-0.84088),(5045,1165,-0.00174,-0.84286),(5045,1175,-0.00194,-0.84484),(5045,1185,-0.002246,-0.84682),(5045,1195,-0.002552,-0.84828),(5045,1205,-0.002858,-0.8495),(5045,1215,-0.003798,-0.85073),(5045,1225,-0.004999,-0.85195),(5045,1235,-0.006201,-0.85101),(5045,1245,-0.007402,-0.84925),(5045,1255,-0.00382,-0.8475),(5045,1265,0.001378,-0.84574),(5045,1275,0.006576,-0.8556),(5045,1285,0.011774,-0.86898),(5045,1295,0.029063,-0.88236),(5045,1305,0.049623,-0.89574),(5045,1315,0.070183,-0.95462),(5045,1325,0.090743,-1.0244),(5045,1335,0.055678,-1.0942),(5045,1345,0.008956,-1.1639),(5045,1355,-0.037767,-1.1176),(5045,1365,-0.08449,-1.0503),(5045,1375,-0.074545,-0.98294),(5045,1385,-0.055857,-0.91561),(5045,1395,-0.037169,-0.89337),(5045,1405,-0.018481,-0.87693),(5045,1415,-0.010749,-0.8605),(5045,1425,-0.004154,-0.84406),(5045,1435,0.002441,-0.84534),(5045,1445,0.009036,-0.84804),(5045,1455,0.007891,-0.85074),(5045,1465,0.0063,-0.85344),(5045,1475,0.00471,-0.85234),(5045,1485,0.003119,-0.85111),(5045,1495,0.002757,-0.84987),(5045,1505,0.002413,-0.84863),(5045,1515,0.00207,-0.84656),(5045,1525,0.001737,-0.84449),(5045,1535,0.001796,-0.84242),(5045,1545,0.001855,-0.84036),(5045,1555,0.001915,-0.83864),(5045,1565,0.001969,-0.83692),(5045,1575,0.001947,-0.83519),(5045,1585,0.001925,-0.83349),(5045,1595,0.001902,-0.83194),(5045,1605,0.001875,-0.8304),(5045,1615,0.001797,-0.82886),(5045,1625,0.00172,-0.82732),(5045,1635,0.001643,-0.82584),(5045,1645,0.001566,-0.82435),(5045,1655,0.001491,-0.82287),(5045,1665,0.001416,-0.8214),(5045,1675,0.001341,-0.82001),(5045,1685,0.001269,-0.81862),(5045,1695,0.001215,-0.81723),(5045,1705,0.001161,-0.81586),(5045,1715,0.001107,-0.8146),(5045,1725,0.001057,-0.81334),(5045,1735,0.001021,-0.81208),(5045,1745,0.000985,-0.81085),(5045,1755,0.000948,-0.80971),(5045,1765,0.000913,-0.80857),(5045,1775,0.000883,-0.80744),(5045,1785,0.000853,-0.80634),(5045,1795,0.000823,-0.80533),(5045,1805,0.000795,-0.80432),(5045,1815,0.000774,-0.80331),(5045,1825,0.000752,-0.80235),(5045,1835,0.00073,-0.80149),(5045,1845,0.000716,-0.80063),(5045,1855,0.000714,-0.79977),(5045,1865,0.000713,-0.79896),(5045,1875,0.000712,-0.79823),(5045,1885,0.000711,-0.79751),(5045,1895,0.000711,-0.79679),(5045,1905,0.000711,-0.7961),(5045,1915,0.000711,-0.79545),(5045,1925,0.000717,-0.79481),(5045,1935,0.000732,-0.79416),(5045,1945,0.000747,-0.79356),(5045,1955,0.000762,-0.79301),(5045,1965,0.000782,-0.79245),(5045,1975,0.000809,-0.7919),(5045,1985,0.000835,-0.79139),(5045,1995,0.000862,-0.79093),(5045,2005,0.000893,-0.79047),(5045,2015,0.000929,-0.79001),(5045,2025,0.000964,-0.78959),(5045,2035,0.001,-0.78921),(5045,2045,0.001037,-0.78882),(5045,2055,0.001077,-0.78844),(5045,2065,0.001116,-0.78809),(5045,2075,0.001156,-0.78778),(5045,2085,0.001198,-0.78746),(5045,2095,0.001242,-0.78715),(5045,2105,0.001286,-0.78689),(5045,2115,0.00133,-0.78667),(5045,2125,0.001374,-0.78645),(5045,2135,0.001419,-0.78622),(5045,2145,0.001463,-0.78606),(5045,2155,0.001508,-0.78592),(5045,2165,0.00155,-0.78578),(5045,2175,0.001591,-0.78564),(5045,2185,0.001631,-0.78556),(5045,2195,0.001672,-0.7855),(5045,2205,0.00171,-0.78544),(5045,2215,0.001746,-0.78538),(5045,2225,0.001782,-0.78536),(5045,2235,0.001818,-0.78536),(5045,2245,0.001861,-0.78536),(5045,2255,0.001907,-0.78536),(5045,2265,0.001952,-0.78541),(5045,2275,0.001998,-0.78548),(5045,2285,0.002041,-0.78555),(5045,2295,0.002084,-0.78562),(5045,2305,0.002127,-0.78572),(5045,2315,0.002169,-0.78582),(5045,2325,0.002231,-0.78593),(5045,2335,0.002296,-0.78603),(5045,2345,0.002361,-0.78617),(5045,2355,0.002427,-0.78632),(5045,2365,0.002501,-0.78647),(5045,2375,0.002577,-0.78662),(5045,2385,0.002653,-0.7868),(5045,2395,0.002729,-0.78699),(5045,2405,0.002814,-0.78718),(5045,2415,0.0029,-0.78736),(5045,2425,0.002985,-0.78759),(5045,2435,0.003071,-0.78782),(5045,2445,0.003165,-0.78805),(5045,2455,0.00326,-0.78828),(5045,2465,0.003355,-0.78855),(5045,2475,0.00345,-0.78882),(5045,2485,0.003546,-0.78909),(5045,2495,0.003643,-0.78936),(5045,2505,0.003739,-0.78966),(5045,2515,0.003836,-0.78997),(5045,2525,0.003932,-0.79027),(5045,2535,0.004028,-0.79058),(5045,2545,0.004124,-0.79092),(5045,2555,0.004221,-0.79125),(5045,2565,0.004319,-0.79159),(5045,2575,0.004418,-0.79192),(5045,2585,0.004517,-0.79226),(5045,2595,0.004616,-0.7926),(5045,2605,0.004721,-0.79294),(5045,2615,0.004826,-0.79328),(5045,2625,0.004931,-0.79361),(5045,2635,0.005039,-0.79393),(5045,2645,0.005167,-0.79426),(5045,2655,0.005295,-0.79459),(5045,2665,0.005424,-0.79496),(5045,2675,0.00555,-0.79533),(5045,2685,0.005666,-0.7957),(5045,2695,0.005783,-0.79606),(5045,2705,0.0059,-0.79641),(5045,2715,0.006022,-0.79675),(5045,2725,0.006165,-0.7971),(5045,2735,0.006308,-0.79744),(5045,2745,0.00645,-0.79778),(5045,2755,0.006596,-0.79812),(5045,2765,0.006751,-0.79847),(5045,2775,0.006905,-0.79881),(5045,2785,0.007059,-0.79915),(5045,2795,0.007216,-0.79949),(5045,2805,0.007379,-0.79983),(5045,2815,0.007541,-0.80016),(5045,2825,0.007704,-0.80049),(5045,2835,0.007869,-0.80082),(5045,2845,0.008039,-0.80114),(5045,2855,0.008208,-0.80146),(5045,2865,0.008378,-0.80177),(5045,2875,0.008551,-0.80207),(5045,2885,0.008729,-0.80237),(5045,2895,0.008907,-0.80267),(5045,2905,0.009086,-0.80297),(5045,2915,0.00927,-0.80326),(5045,2925,0.009463,-0.80355),(5045,2935,0.009656,-0.80384),(5045,2945,0.009849,-0.80412),(5045,2955,0.010049,-0.80439),(5045,2965,0.010257,-0.80467),(5045,2975,0.010465,-0.80494),(5045,2985,0.010673,-0.80519),(5045,2995,0.010888,-0.80544),(5045,3005,0.011109,-0.80569),(5045,3015,0.01133,-0.80592),(5045,3025,0.011551,-0.80612),(5045,3035,0.011784,-0.80632),(5045,3045,0.012028,-0.80653),(5045,3055,0.012271,-0.80674),(5045,3065,0.012515,-0.80694),(5045,3075,0.012747,-0.80715),(5045,3085,0.01297,-0.80735),(5045,3095,0.013194,-0.80752),(5045,3105,0.013418,-0.80766),(5045,3115,0.013648,-0.8078),(5045,3125,0.013882,-0.80794),(5045,3135,0.014117,-0.80806),(5045,3145,0.014351,-0.80816),(5045,3155,0.014587,-0.80826),(5045,3165,0.014823,-0.80836),(5045,3175,0.01506,-0.80844),(5045,3185,0.015296,-0.8085),(5045,3195,0.015529,-0.80856),(5045,3205,0.01576,-0.80862),(5045,3215,0.015991,-0.80864),(5045,3225,0.016223,-0.80864),(5045,3235,0.016447,-0.80864),(5045,3245,0.016668,-0.80865),(5045,3255,0.016889,-0.8086),(5045,3265,0.01711,-0.80853),(5045,3275,0.017326,-0.80847),(5045,3285,0.01754,-0.8084),(5045,3295,0.017753,-0.80831),(5045,3305,0.017967,-0.80821),(5045,3315,0.018179,-0.80811),(5045,3325,0.01839,-0.80801),(5045,3335,0.0186,-0.80787),(5045,3345,0.018811,-0.80772),(5045,3355,0.019018,-0.80757),(5045,3365,0.019223,-0.80742),(5045,3375,0.019429,-0.8072),(5045,3385,0.019635,-0.80696),(5045,3395,0.019839,-0.80672),(5045,3405,0.020043,-0.80648),(5045,3415,0.020247,-0.80622),(5045,3425,0.020451,-0.80595),(5045,3435,0.020619,-0.80568),(5045,3445,0.020783,-0.80541),(5045,3455,0.020947,-0.80508),(5045,3465,0.021112,-0.80473),(5045,3475,0.021278,-0.80439),(5045,3485,0.021444,-0.80405),(5045,3495,0.02161,-0.80365),(5045,3505,0.021776,-0.80324),(5045,3515,0.021926,-0.80283),(5045,3525,0.022075,-0.80242),(5045,3535,0.022225,-0.80193),(5045,3545,0.022373,-0.80143),(5045,3555,0.022502,-0.80093),(5045,3565,0.02263,-0.80043),(5045,3575,0.022759,-0.79987),(5045,3585,0.022886,-0.7993),(5045,3595,0.023,-0.79873),(5045,3605,0.023115,-0.79815),(5045,3615,0.023229,-0.79752),(5045,3625,0.023342,-0.79689),(5045,3635,0.023442,-0.79625),(5045,3645,0.023543,-0.7956),(5045,3655,0.023644,-0.79487),(5045,3665,0.023741,-0.79413),(5045,3675,0.023818,-0.79339),(5045,3685,0.023894,-0.79263),(5045,3695,0.023971,-0.79178),(5045,3705,0.024043,-0.79093),(5045,3715,0.024095,-0.79007),(5045,3725,0.024146,-0.7892),(5045,3735,0.024198,-0.78826),(5045,3745,0.024245,-0.78732),(5045,3755,0.024276,-0.78638),(5045,3765,0.024307,-0.78542),(5045,3775,0.024338,-0.78441),(5045,3785,0.024372,-0.78339),(5045,3795,0.024413,-0.78238),(5045,3805,0.024454,-0.78135),(5045,3815,0.024494,-0.78031),(5045,3825,0.024529,-0.77926),(5045,3835,0.024552,-0.77821),(5045,3845,0.024575,-0.77715),(5045,3855,0.024598,-0.77605),(5045,3865,0.024545,-0.77495),(5045,3875,0.024358,-0.77386),(5045,3885,0.024171,-0.77255),(5045,3895,0.023984,-0.7709),(5045,3905,0.023607,-0.76925),(5045,3915,0.022947,-0.76761),(5045,3925,0.022287,-0.76523),(5045,3935,0.021627,-0.76184),(5045,3945,0.023208,-0.75845),(5045,3955,0.027636,-0.75507),(5045,3965,0.032063,-0.75735),(5045,3975,0.036491,-0.76628),(5045,3985,0.050858,-0.77521),(5045,3995,0.075984,-0.78414),(5045,4005,0.10111,-0.82419),(5045,4015,0.12624,-0.89536),(5045,4025,0.20466,-0.96653),(5045,4035,0.28829,-1.0145),(5045,4045,0.37192,-1.0135),(5045,4055,0.46548,-1.0125),(5045,4065,0.56267,-1.011),(5045,4075,0.65985,-1.0066),(5045,4085,0.71378,-1.0021),(5045,4095,0.73295,-0.99766),(5045,4105,0.75213,-0.99039),(5045,4115,0.77086,-0.98303),(5045,4125,0.78887,-0.97566),(5045,4135,0.80689,-0.96665),(5045,4145,0.82465,-0.95719),(5045,4155,0.84141,-0.94773),(5045,4165,0.85817,-0.93738),(5045,4175,0.87491,-0.92646),(5045,4185,0.89033,-0.91554),(5045,4195,0.90575,-0.9043),(5045,4205,0.92116,-0.89264),(5045,4215,0.93545,-0.88098),(5045,4225,0.94953,-0.86925),(5045,4235,0.96361,-0.85731),(5045,4245,0.97681,-0.84537),(5045,4255,0.98956,-0.83345),(5045,4265,1.0023,-0.82164),(5045,4275,1.0145,-0.80983),(5045,4285,1.026,-0.79803),(5045,4295,1.0375,-0.78646),(5045,4305,1.0486,-0.77491),(5045,4315,1.059,-0.76337),(5045,4325,1.0694,-0.75207),(5045,4335,1.0796,-0.74087),(5045,4345,1.0889,-0.72967),(5045,4355,1.0982,-0.71873),(5045,4365,1.1075,-0.70802),(5045,4375,1.116,-0.6973),(5045,4385,1.1243,-0.68675),(5045,4395,1.1327,-0.67651),(5045,4405,1.1405,-0.66626),(5045,4415,1.148,-0.65611),(5045,4425,1.1555,-0.64637),(5045,4435,1.1626,-0.63664),(5045,4445,1.1694,-0.62692),(5045,4455,1.1762,-0.61772),(5045,4465,1.1827,-0.60852),(5045,4475,1.1889,-0.59933),(5045,4485,1.195,-0.59062),(5045,4495,1.201,-0.58201),(5045,4505,1.2066,-0.5734),(5045,4515,1.2121,-0.56517),(5045,4525,1.2177,-0.55715),(5045,4535,1.2227,-0.54912),(5045,4545,1.2278,-0.54138),(5045,4555,1.2328,-0.53397),(5045,4565,1.2375,-0.52656),(5045,4575,1.2421,-0.51931),(5045,4585,1.2468,-0.51245),(5045,4595,1.2512,-0.50558),(5045,4605,1.2554,-0.49879),(5045,4615,1.2597,-0.49254),(5045,4625,1.2638,-0.48629),(5045,4635,1.2678,-0.48004),(5045,4645,1.2718,-0.47435),(5045,4655,1.2757,-0.46869),(5045,4665,1.2795,-0.46303),(5045,4675,1.2832,-0.45783),(5045,4685,1.2869,-0.45278),(5045,4695,1.2905,-0.44773),(5045,4705,1.2941,-0.44298),(5045,4715,1.2977,-0.43846),(5045,4725,1.3012,-0.43394),(5045,4735,1.3046,-0.42964),(5045,4745,1.3081,-0.42567),(5045,4755,1.3115,-0.4217),(5045,4765,1.3149,-0.41785),(5045,4775,1.3183,-0.41441),(5045,4785,1.3217,-0.41097),(5045,4795,1.325,-0.40755),(5045,4805,1.3284,-0.40459),(5045,4815,1.3318,-0.40163),(5045,4825,1.3352,-0.39867),(5045,4835,1.3385,-0.39606),(5045,4845,1.3419,-0.3935),(5045,4855,1.3453,-0.39095),(5045,4865,1.3487,-0.38864),(5045,4875,1.352,-0.38645),(5045,4885,1.3554,-0.38426),(5045,4895,1.3588,-0.38222),(5045,4905,1.3622,-0.38034),(5045,4915,1.3656,-0.37846),(5045,4925,1.369,-0.37665),(5045,4935,1.3724,-0.375),(5045,4945,1.3757,-0.37335),(5045,4955,1.3791,-0.37172),(5045,4965,1.3825,-0.37025),(5045,4975,1.3858,-0.36878),(5045,4985,1.3891,-0.3673),(5045,4995,1.3924,-0.36596),(5045,5005,1.3957,-0.36463),(5045,5015,1.3989,-0.36329),(5045,5025,1.4021,-0.36198),(5045,5035,1.4053,-0.36069),(5045,5045,1.4084,-0.35939),(5045,5055,1.4115,-0.35814),(5045,5065,1.4146,-0.35692),(5045,5075,1.4175,-0.3557),(5045,5085,1.4205,-0.35451),(5045,5095,1.4234,-0.35334),(5045,5105,1.4262,-0.35217),(5045,5115,1.429,-0.35102),(5045,5125,1.4317,-0.34989),(5045,5135,1.4343,-0.34877),(5045,5145,1.4369,-0.34766),(5045,5155,1.4394,-0.34658),(5045,5165,1.4419,-0.3455),(5045,5175,1.4442,-0.34442),(5045,5185,1.4465,-0.34345),(5045,5195,1.4488,-0.3425),(5045,5205,1.4509,-0.34154),(5045,5215,1.453,-0.34072),(5045,5225,1.4551,-0.33994),(5045,5235,1.4571,-0.33916),(5045,5245,1.4591,-0.33854),(5045,5255,1.4611,-0.33803),(5045,5265,1.463,-0.33752),(5045,5275,1.4649,-0.33713),(5045,5285,1.4668,-0.33693),(5045,5295,1.4688,-0.33673),(5045,5305,1.4707,-0.33661),(5045,5315,1.4727,-0.3368),(5045,5325,1.4747,-0.33699),(5045,5335,1.4768,-0.33719),(5045,5345,1.4789,-0.33782),(5045,5355,1.481,-0.33846),(5045,5365,1.4833,-0.33909),(5045,5375,1.4856,-0.34014),(5045,5385,1.488,-0.34127),(5045,5395,1.4906,-0.34241),(5045,5405,1.4932,-0.34387),(5045,5415,1.4959,-0.34551),(5045,5425,1.4989,-0.34714),(5045,5435,1.5019,-0.349),(5045,5445,1.5049,-0.35109),(5045,5455,1.5084,-0.35318),(5045,5465,1.512,-0.35541),(5045,5475,1.5155,-0.35794),(5045,5485,1.5194,-0.36048),(5045,5495,1.5235,-0.36306),(5045,5505,1.5276,-0.36596),(5045,5515,1.532,-0.36885),(5045,5525,1.5367,-0.37175),(5045,5535,1.5414,-0.37487),(5045,5545,1.5463,-0.378),(5045,5555,1.5517,-0.38113),(5045,5565,1.557,-0.38433),(5045,5575,1.5624,-0.38755),(5045,5585,1.5684,-0.39077),(5045,5595,1.5743,-0.39398),(5045,5605,1.5803,-0.39719),(5045,5615,1.5868,-0.40039),(5045,5625,1.5933,-0.40351),(5045,5635,1.5998,-0.40652),(5045,5645,1.6067,-0.40952),(5045,5655,1.6137,-0.41242),(5045,5665,1.6207,-0.41498),(5045,5675,1.628,-0.41754),(5045,5685,1.6353,-0.42006),(5045,5695,1.6427,-0.422),(5045,5705,1.6502,-0.42393),(5045,5715,1.6577,-0.42586),(5045,5725,1.6653,-0.42713),(5045,5735,1.6728,-0.42831),(5045,5745,1.6804,-0.42949),(5045,5755,1.688,-0.43005),(5045,5765,1.6956,-0.43035),(5045,5775,1.7031,-0.43064),(5045,5785,1.7105,-0.43048),(5045,5795,1.718,-0.42989),(5045,5805,1.7252,-0.4293),(5045,5815,1.7325,-0.42844),(5045,5825,1.7397,-0.42703),(5045,5835,1.7467,-0.42562),(5045,5845,1.7536,-0.42408),(5045,5855,1.7605,-0.42188),(5045,5865,1.7672,-0.41969),(5045,5875,1.7737,-0.41749),(5045,5885,1.7803,-0.41459),(5045,5895,1.7867,-0.41168),(5045,5905,1.7929,-0.40877),(5045,5915,1.7991,-0.40542),(5045,5925,1.8053,-0.40196),(5045,5935,1.8111,-0.3985),(5045,5945,1.817,-0.39473),(5045,5955,1.8229,-0.39078),(5045,5965,1.8285,-0.38683),(5045,5975,1.8341,-0.3827),(5045,5985,1.8398,-0.37833),(5045,5995,1.8451,-0.37397),(5045,6005,1.8505,-0.36951),(5045,6015,1.8558,-0.36482),(5045,6025,1.861,-0.36012),(5045,6035,1.8661,-0.3554),(5045,6045,1.8713,-0.35041),(5045,6055,1.8763,-0.34543),(5045,6065,1.8812,-0.34045),(5045,6075,1.8861,-0.33523),(5045,6085,1.8909,-0.33),(5045,6095,1.8956,-0.32476),(5045,6105,1.9003,-0.31932),(5045,6115,1.9049,-0.31382),(5045,6125,1.9094,-0.30831),(5045,6135,1.9138,-0.30268),(5045,6145,1.9183,-0.29694),(5045,6155,1.9226,-0.29121),(5045,6165,1.9268,-0.28541),(5045,6175,1.931,-0.2795),(5045,6185,1.9351,-0.27359),(5045,6195,1.9391,-0.26766),(5045,6205,1.9431,-0.2616),(5045,6215,1.947,-0.25554),(5045,6225,1.9508,-0.24948),(5045,6235,1.9545,-0.24328),(5045,6245,1.9582,-0.23708),(5045,6255,1.9617,-0.23087),(5045,6265,1.9652,-0.22452),(5045,6275,1.9686,-0.21814),(5045,6285,1.9718,-0.21175),(5045,6295,1.975,-0.20528),(5045,6305,1.9782,-0.19876),(5045,6315,1.9811,-0.19224),(5045,6325,1.984,-0.18565),(5045,6335,1.9869,-0.17898),(5045,6345,1.9895,-0.17231),(5045,6355,1.9921,-0.16561),(5045,6365,1.9947,-0.15886),(5045,6375,1.9971,-0.15211),(5045,6385,1.9994,-0.14536),(5045,6395,2.0017,-0.13856),(5045,6405,2.0038,-0.13176),(5045,6415,2.0057,-0.12496),(5045,6425,2.0077,-0.11807),(5045,6435,2.0096,-0.11117),(5045,6445,2.0112,-0.10426),(5045,6455,2.0128,-0.097337),(5045,6465,2.0144,-0.090402),(5045,6475,2.0157,-0.083466),(5045,6485,2.017,-0.076494),(5045,6495,2.0183,-0.069498),(5045,6505,2.0193,-0.062502),(5045,6515,2.0202,-0.055506),(5045,6525,2.0212,-0.04851),(5045,6535,2.0219,-0.041514),(5045,6545,2.0225,-0.034509),(5045,6555,2.0231,-0.027475),(5045,6565,2.0235,-0.020441),(5045,6575,2.0238,-0.013407),(5045,6585,2.0241,-0.00638),(5045,6595,1.7219,0.000647),(5045,6605,1.0857,0.007674),(5045,6615,0.44946,0.008508),(5045,6625,0.002226,0.008546),(5045,6635,0.002213,0.008584),(5045,6645,0.0022,0.008615),(5045,6655,0.002188,0.008644),(5045,6665,0.002176,0.008674),(5045,6675,0.002165,0.008701),(5045,6685,0.002153,0.008726),(5045,6695,0.002143,0.008752),(5045,6705,0.002133,0.008776),(5045,6715,0.002122,0.008798),(5045,6725,0.002113,0.00882),(5045,6735,0.002104,0.008842),(5045,6745,0.002095,0.008861),(5045,6755,0.002087,0.00888),(5045,6765,0.00208,0.008899),(5045,6775,0.002072,0.008915),(5045,6785,0.002065,0.008932),(5045,6795,0.002058,0.008949),(5045,6805,0.002052,0.008963),(5045,6815,0.002045,0.008977),(5045,6825,0.00204,0.008992),(5045,6835,0.002034,0.009005),(5045,6845,0.002029,0.009017),(5045,6855,0.002024,0.009029),(5045,6865,0.00202,0.009041),(5045,6875,0.002015,0.009051),(5045,6885,0.002012,0.009062),(5045,6895,0.002008,0.009072),(5045,6905,0.002005,0.009081),(5045,6915,0.002002,0.00909),(5045,6925,0.001999,0.009098),(5045,6935,0.001996,0.009106),(5045,6945,0.001994,0.009113),(5045,6955,0.001992,0.009121),(5045,6965,0.00199,0.009127),(5045,6975,0.001988,0.009133),(5045,6985,0.001987,0.009139),(5055,5,3e-06,-0.79152),(5055,15,1e-05,-0.79161),(5055,25,1.3e-05,-0.7917),(5055,35,1.3e-05,-0.7918),(5055,45,1.2e-05,-0.79187),(5055,55,1.2e-05,-0.79194),(5055,65,1.1e-05,-0.792),(5055,75,9e-06,-0.79206),(5055,85,7e-06,-0.79216),(5055,95,5e-06,-0.79228),(5055,105,0,-0.79241),(5055,115,-7e-06,-0.79253),(5055,125,-1.4e-05,-0.79268),(5055,135,-2.1e-05,-0.79284),(5055,145,-2.5e-05,-0.793),(5055,155,-2.7e-05,-0.79316),(5055,165,-2.9e-05,-0.79336),(5055,175,-3.1e-05,-0.79357),(5055,185,-3e-05,-0.79379),(5055,195,-2.8e-05,-0.794),(5055,205,-2.6e-05,-0.79427),(5055,215,-2.3e-05,-0.79455),(5055,225,-2.2e-05,-0.79484),(5055,235,-2.1e-05,-0.79512),(5055,245,-2e-05,-0.79543),(5055,255,-1.9e-05,-0.79575),(5055,265,-2.6e-05,-0.79607),(5055,275,-3.5e-05,-0.79638),(5055,285,-4.5e-05,-0.79674),(5055,295,-5.4e-05,-0.79711),(5055,305,-5.5e-05,-0.79747),(5055,315,-5.4e-05,-0.79784),(5055,325,-5.3e-05,-0.79828),(5055,335,-5.1e-05,-0.79873),(5055,345,-6.1e-05,-0.79918),(5055,355,-7.3e-05,-0.79963),(5055,365,-8.4e-05,-0.80009),(5055,375,-9.6e-05,-0.80055),(5055,385,-0.00011,-0.80101),(5055,395,-0.000124,-0.80148),(5055,405,-0.000139,-0.80201),(5055,415,-0.000153,-0.80255),(5055,425,-0.000151,-0.80309),(5055,435,-0.000147,-0.80363),(5055,445,-0.000143,-0.80427),(5055,455,-0.000139,-0.80492),(5055,465,-0.000125,-0.80557),(5055,475,-0.00011,-0.80621),(5055,485,-9.5e-05,-0.80698),(5055,495,-8e-05,-0.80774),(5055,505,-0.000103,-0.80851),(5055,515,-0.000127,-0.80927),(5055,525,-0.000151,-0.81002),(5055,535,-0.000175,-0.81077),(5055,545,-0.000215,-0.81152),(5055,555,-0.000256,-0.81228),(5055,565,-0.000297,-0.8131),(5055,575,-0.000336,-0.81392),(5055,585,-0.000359,-0.81474),(5055,595,-0.000382,-0.81557),(5055,605,-0.000405,-0.81651),(5055,615,-0.000425,-0.81745),(5055,625,-0.000419,-0.81839),(5055,635,-0.000414,-0.81935),(5055,645,-0.000408,-0.82042),(5055,655,-0.000401,-0.82148),(5055,665,-0.000384,-0.82255),(5055,675,-0.000367,-0.82363),(5055,685,-0.00035,-0.82478),(5055,695,-0.000336,-0.82594),(5055,705,-0.000335,-0.8271),(5055,715,-0.000334,-0.82826),(5055,725,-0.000333,-0.82948),(5055,735,-0.000338,-0.8307),(5055,745,-0.000359,-0.83191),(5055,755,-0.000381,-0.83315),(5055,765,-0.000403,-0.83443),(5055,775,-0.000428,-0.83571),(5055,785,-0.00046,-0.83699),(5055,795,-0.000492,-0.8383),(5055,805,-0.000524,-0.83968),(5055,815,-0.000551,-0.84106),(5055,825,-0.000565,-0.84244),(5055,835,-0.000579,-0.84386),(5055,845,-0.000593,-0.84537),(5055,855,-0.000608,-0.84689),(5055,865,-0.000625,-0.8484),(5055,875,-0.000642,-0.84995),(5055,885,-0.000659,-0.85158),(5055,895,-0.000674,-0.8532),(5055,905,-0.000684,-0.85482),(5055,915,-0.000694,-0.85651),(5055,925,-0.000704,-0.85829),(5055,935,-0.000718,-0.86008),(5055,945,-0.000736,-0.86186),(5055,955,-0.000754,-0.86369),(5055,965,-0.000772,-0.86557),(5055,975,-0.000799,-0.86745),(5055,985,-0.000837,-0.86933),(5055,995,-0.000875,-0.87125),(5055,1005,-0.000912,-0.87321),(5055,1015,-0.000956,-0.87518),(5055,1025,-0.001005,-0.87714),(5055,1035,-0.001054,-0.87915),(5055,1045,-0.001103,-0.88121),(5055,1055,-0.001162,-0.88326),(5055,1065,-0.001228,-0.88532),(5055,1075,-0.001294,-0.88738),(5055,1085,-0.00136,-0.88946),(5055,1095,-0.001389,-0.89153),(5055,1105,-0.001393,-0.8936),(5055,1115,-0.001396,-0.89575),(5055,1125,-0.0014,-0.89795),(5055,1135,-0.001344,-0.90014),(5055,1145,-0.001254,-0.90234),(5055,1155,-0.001163,-0.90472),(5055,1165,-0.001073,-0.9072),(5055,1175,-0.001346,-0.90968),(5055,1185,-0.001799,-0.91217),(5055,1195,-0.002252,-0.91453),(5055,1205,-0.002706,-0.91685),(5055,1215,-0.004246,-0.91916),(5055,1225,-0.006235,-0.92147),(5055,1235,-0.008224,-0.92222),(5055,1245,-0.010212,-0.92237),(5055,1255,-0.003886,-0.92253),(5055,1265,0.005249,-0.92268),(5055,1275,0.014384,-0.93061),(5055,1285,0.023519,-0.94089),(5055,1295,0.053662,-0.95117),(5055,1305,0.089486,-0.96146),(5055,1315,0.12531,-1.0062),(5055,1325,0.16113,-1.0591),(5055,1335,0.098672,-1.112),(5055,1345,0.01561,-1.165),(5055,1355,-0.067452,-1.1301),(5055,1365,-0.15051,-1.0793),(5055,1375,-0.13336,-1.0284),(5055,1385,-0.10075,-0.97761),(5055,1395,-0.068136,-0.96076),(5055,1405,-0.035523,-0.94827),(5055,1415,-0.021971,-0.93579),(5055,1425,-0.010399,-0.92331),(5055,1435,0.001174,-0.92249),(5055,1445,0.012747,-0.9226),(5055,1455,0.010864,-0.92271),(5055,1465,0.008206,-0.92283),(5055,1475,0.005549,-0.92025),(5055,1485,0.002891,-0.91757),(5055,1495,0.002345,-0.9149),(5055,1505,0.001831,-0.91222),(5055,1515,0.001318,-0.90951),(5055,1525,0.000821,-0.9068),(5055,1535,0.000993,-0.90408),(5055,1545,0.001165,-0.90139),(5055,1555,0.001337,-0.89922),(5055,1565,0.001499,-0.89704),(5055,1575,0.001523,-0.89486),(5055,1585,0.001547,-0.8927),(5055,1595,0.001571,-0.89074),(5055,1605,0.001584,-0.88878),(5055,1615,0.001507,-0.88682),(5055,1625,0.001431,-0.88487),(5055,1635,0.001354,-0.883),(5055,1645,0.001277,-0.88113),(5055,1655,0.001199,-0.87926),(5055,1665,0.00112,-0.87741),(5055,1675,0.001042,-0.87566),(5055,1685,0.000969,-0.87391),(5055,1695,0.00092,-0.87216),(5055,1705,0.000872,-0.87045),(5055,1715,0.000823,-0.86886),(5055,1725,0.00078,-0.86727),(5055,1735,0.000754,-0.86568),(5055,1745,0.000728,-0.86413),(5055,1755,0.000702,-0.86271),(5055,1765,0.000677,-0.86129),(5055,1775,0.000655,-0.85987),(5055,1785,0.000632,-0.85849),(5055,1795,0.000609,-0.85722),(5055,1805,0.000588,-0.85596),(5055,1815,0.000572,-0.85469),(5055,1825,0.000555,-0.85348),(5055,1835,0.000539,-0.85239),(5055,1845,0.000531,-0.8513),(5055,1855,0.00054,-0.85021),(5055,1865,0.000549,-0.84918),(5055,1875,0.000558,-0.84826),(5055,1885,0.000564,-0.84734),(5055,1895,0.000565,-0.84642),(5055,1905,0.000566,-0.84553),(5055,1915,0.000567,-0.84469),(5055,1925,0.000574,-0.84385),(5055,1935,0.000591,-0.84301),(5055,1945,0.000608,-0.84221),(5055,1955,0.000625,-0.84147),(5055,1965,0.000647,-0.84073),(5055,1975,0.000676,-0.83999),(5055,1985,0.000705,-0.8393),(5055,1995,0.000734,-0.83867),(5055,2005,0.000768,-0.83803),(5055,2015,0.000807,-0.8374),(5055,2025,0.000846,-0.8368),(5055,2035,0.000884,-0.83624),(5055,2045,0.000925,-0.83569),(5055,2055,0.000967,-0.83513),(5055,2065,0.001009,-0.8346),(5055,2075,0.001052,-0.83411),(5055,2085,0.001098,-0.83361),(5055,2095,0.001146,-0.83312),(5055,2105,0.001195,-0.83268),(5055,2115,0.001244,-0.83228),(5055,2125,0.001293,-0.83188),(5055,2135,0.001342,-0.83148),(5055,2145,0.001392,-0.83113),(5055,2155,0.001441,-0.83081),(5055,2165,0.001486,-0.8305),(5055,2175,0.001528,-0.83018),(5055,2185,0.00157,-0.82991),(5055,2195,0.001612,-0.82967),(5055,2205,0.001648,-0.82942),(5055,2215,0.00168,-0.82918),(5055,2225,0.001712,-0.82898),(5055,2235,0.001744,-0.82879),(5055,2245,0.001785,-0.8286),(5055,2255,0.001829,-0.82841),(5055,2265,0.001873,-0.82828),(5055,2275,0.001917,-0.82818),(5055,2285,0.001953,-0.82808),(5055,2295,0.001985,-0.82797),(5055,2305,0.002018,-0.82789),(5055,2315,0.00205,-0.82783),(5055,2325,0.002109,-0.82776),(5055,2335,0.002173,-0.82769),(5055,2345,0.002238,-0.82766),(5055,2355,0.002302,-0.82764),(5055,2365,0.002376,-0.82763),(5055,2375,0.002452,-0.82761),(5055,2385,0.002528,-0.82762),(5055,2395,0.002603,-0.82763),(5055,2405,0.002689,-0.82764),(5055,2415,0.002776,-0.82766),(5055,2425,0.002863,-0.8277),(5055,2435,0.002949,-0.82775),(5055,2445,0.003047,-0.8278),(5055,2455,0.003145,-0.82785),(5055,2465,0.003243,-0.82793),(5055,2475,0.003342,-0.82801),(5055,2485,0.003439,-0.8281),(5055,2495,0.003537,-0.82818),(5055,2505,0.003635,-0.82829),(5055,2515,0.003733,-0.82839),(5055,2525,0.003827,-0.8285),(5055,2535,0.00392,-0.8286),(5055,2545,0.004014,-0.82874),(5055,2555,0.004107,-0.82887),(5055,2565,0.004201,-0.829),(5055,2575,0.004294,-0.82913),(5055,2585,0.004387,-0.82928),(5055,2595,0.004481,-0.82944),(5055,2605,0.004579,-0.82959),(5055,2615,0.004676,-0.82974),(5055,2625,0.004774,-0.8299),(5055,2635,0.004876,-0.83005),(5055,2645,0.005007,-0.8302),(5055,2655,0.005138,-0.83036),(5055,2665,0.005268,-0.83058),(5055,2675,0.005394,-0.8308),(5055,2685,0.005497,-0.83102),(5055,2695,0.0056,-0.83123),(5055,2705,0.005703,-0.83141),(5055,2715,0.005814,-0.8316),(5055,2725,0.005955,-0.83178),(5055,2735,0.006096,-0.83198),(5055,2745,0.006237,-0.83218),(5055,2755,0.006381,-0.83239),(5055,2765,0.006533,-0.8326),(5055,2775,0.006685,-0.8328),(5055,2785,0.006837,-0.83302),(5055,2795,0.006991,-0.83323),(5055,2805,0.00715,-0.83344),(5055,2815,0.007308,-0.83365),(5055,2825,0.007466,-0.83385),(5055,2835,0.007625,-0.83405),(5055,2845,0.007786,-0.83425),(5055,2855,0.007947,-0.83444),(5055,2865,0.008108,-0.83463),(5055,2875,0.008271,-0.83482),(5055,2885,0.008438,-0.835),(5055,2895,0.008605,-0.83519),(5055,2905,0.008772,-0.83538),(5055,2915,0.008945,-0.83556),(5055,2925,0.009128,-0.83575),(5055,2935,0.009311,-0.83593),(5055,2945,0.009493,-0.83611),(5055,2955,0.009684,-0.83629),(5055,2965,0.009884,-0.83646),(5055,2975,0.010084,-0.83664),(5055,2985,0.010284,-0.8368),(5055,2995,0.010491,-0.83697),(5055,3005,0.010705,-0.83714),(5055,3015,0.010919,-0.83729),(5055,3025,0.011133,-0.83742),(5055,3035,0.011364,-0.83754),(5055,3045,0.011609,-0.83767),(5055,3055,0.011855,-0.83781),(5055,3065,0.0121,-0.83797),(5055,3075,0.012323,-0.83812),(5055,3085,0.01253,-0.83827),(5055,3095,0.012736,-0.83838),(5055,3105,0.012942,-0.83846),(5055,3115,0.013158,-0.83854),(5055,3125,0.013381,-0.83862),(5055,3135,0.013604,-0.83868),(5055,3145,0.013827,-0.83874),(5055,3155,0.014052,-0.8388),(5055,3165,0.014279,-0.83886),(5055,3175,0.014507,-0.83889),(5055,3185,0.014734,-0.83891),(5055,3195,0.014957,-0.83892),(5055,3205,0.015177,-0.83894),(5055,3215,0.015398,-0.83893),(5055,3225,0.015619,-0.8389),(5055,3235,0.015831,-0.83887),(5055,3245,0.016039,-0.83884),(5055,3255,0.016247,-0.83878),(5055,3265,0.016455,-0.8387),(5055,3275,0.016658,-0.83862),(5055,3285,0.016858,-0.83855),(5055,3295,0.017059,-0.83845),(5055,3305,0.01726,-0.83836),(5055,3315,0.017461,-0.83826),(5055,3325,0.017663,-0.83816),(5055,3335,0.017865,-0.83805),(5055,3345,0.018067,-0.83793),(5055,3355,0.018268,-0.83781),(5055,3365,0.018468,-0.83769),(5055,3375,0.018668,-0.83753),(5055,3385,0.018868,-0.83735),(5055,3395,0.019073,-0.83718),(5055,3405,0.019279,-0.83701),(5055,3415,0.019485,-0.83684),(5055,3425,0.019692,-0.83668),(5055,3435,0.019844,-0.83651),(5055,3445,0.019992,-0.83635),(5055,3455,0.020139,-0.83612),(5055,3465,0.020287,-0.83589),(5055,3475,0.020449,-0.83566),(5055,3485,0.020612,-0.83544),(5055,3495,0.020775,-0.83519),(5055,3505,0.020938,-0.83494),(5055,3515,0.021084,-0.83469),(5055,3525,0.021231,-0.83443),(5055,3535,0.021378,-0.83413),(5055,3545,0.021524,-0.83383),(5055,3555,0.021647,-0.83352),(5055,3565,0.02177,-0.83322),(5055,3575,0.021894,-0.83289),(5055,3585,0.022016,-0.83257),(5055,3595,0.022128,-0.83224),(5055,3605,0.02224,-0.83191),(5055,3615,0.022353,-0.83157),(5055,3625,0.022464,-0.83124),(5055,3635,0.022567,-0.8309),(5055,3645,0.02267,-0.83055),(5055,3655,0.022773,-0.83017),(5055,3665,0.022872,-0.82979),(5055,3675,0.022949,-0.82941),(5055,3685,0.023025,-0.82903),(5055,3695,0.023102,-0.8286),(5055,3705,0.023174,-0.82817),(5055,3715,0.023223,-0.82775),(5055,3725,0.023273,-0.82732),(5055,3735,0.023323,-0.82689),(5055,3745,0.023368,-0.82646),(5055,3755,0.023398,-0.82603),(5055,3765,0.023428,-0.8256),(5055,3775,0.023459,-0.82516),(5055,3785,0.023498,-0.82473),(5055,3795,0.02356,-0.82429),(5055,3805,0.023621,-0.82388),(5055,3815,0.023683,-0.82353),(5055,3825,0.023739,-0.82319),(5055,3835,0.023783,-0.82284),(5055,3845,0.023827,-0.82254),(5055,3855,0.023871,-0.82233),(5055,3865,0.023787,-0.82212),(5055,3875,0.023478,-0.82191),(5055,3885,0.02317,-0.82169),(5055,3895,0.022861,-0.82143),(5055,3905,0.022227,-0.82118),(5055,3915,0.021108,-0.82093),(5055,3925,0.01999,-0.82017),(5055,3935,0.018871,-0.81872),(5055,3945,0.021646,-0.81727),(5055,3955,0.029366,-0.81582),(5055,3965,0.037085,-0.81843),(5055,3975,0.044804,-0.8258),(5055,3985,0.069776,-0.83317),(5055,3995,0.11342,-0.84055),(5055,4005,0.15707,-0.87179),(5055,4015,0.20071,-0.9269),(5055,4025,0.25836,-0.98201),(5055,4035,0.31738,-1.019),(5055,4045,0.37639,-1.018),(5055,4055,0.46265,-1.0169),(5055,4065,0.55884,-1.0155),(5055,4075,0.65502,-1.0117),(5055,4085,0.70803,-1.0079),(5055,4095,0.72634,-1.0041),(5055,4105,0.74465,-0.99766),(5055,4115,0.76256,-0.9911),(5055,4125,0.77981,-0.98454),(5055,4135,0.79707,-0.97627),(5055,4145,0.81412,-0.96754),(5055,4155,0.83036,-0.95881),(5055,4165,0.8466,-0.94907),(5055,4175,0.86282,-0.93868),(5055,4185,0.87795,-0.92829),(5055,4195,0.89307,-0.91751),(5055,4205,0.9082,-0.90623),(5055,4215,0.92234,-0.89495),(5055,4225,0.93629,-0.88357),(5055,4235,0.95025,-0.87191),(5055,4245,0.9634,-0.86025),(5055,4255,0.97614,-0.8486),(5055,4265,0.98889,-0.83699),(5055,4275,1.0011,-0.82537),(5055,4285,1.0126,-0.81376),(5055,4295,1.0242,-0.80233),(5055,4305,1.0354,-0.79092),(5055,4315,1.0459,-0.77952),(5055,4325,1.0563,-0.76833),(5055,4335,1.0666,-0.75722),(5055,4345,1.0761,-0.74612),(5055,4355,1.0855,-0.73527),(5055,4365,1.0949,-0.72464),(5055,4375,1.1035,-0.71401),(5055,4385,1.112,-0.70355),(5055,4395,1.1205,-0.69337),(5055,4405,1.1284,-0.6832),(5055,4415,1.1361,-0.67311),(5055,4425,1.1438,-0.66344),(5055,4435,1.151,-0.65376),(5055,4445,1.158,-0.64409),(5055,4455,1.1649,-0.63493),(5055,4465,1.1716,-0.62578),(5055,4475,1.1779,-0.61663),(5055,4485,1.1842,-0.60797),(5055,4495,1.1904,-0.5994),(5055,4505,1.1961,-0.59084),(5055,4515,1.2018,-0.58265),(5055,4525,1.2075,-0.57466),(5055,4535,1.2128,-0.56667),(5055,4545,1.218,-0.55897),(5055,4555,1.2232,-0.55159),(5055,4565,1.2281,-0.5442),(5055,4575,1.2329,-0.53698),(5055,4585,1.2377,-0.53014),(5055,4595,1.2423,-0.5233),(5055,4605,1.2467,-0.51654),(5055,4615,1.2512,-0.5103),(5055,4625,1.2554,-0.50407),(5055,4635,1.2596,-0.49784),(5055,4645,1.2638,-0.49216),(5055,4655,1.2678,-0.48652),(5055,4665,1.2718,-0.48088),(5055,4675,1.2757,-0.47568),(5055,4685,1.2796,-0.47063),(5055,4695,1.2833,-0.46558),(5055,4705,1.2871,-0.46083),(5055,4715,1.2908,-0.4563),(5055,4725,1.2945,-0.45177),(5055,4735,1.2981,-0.44746),(5055,4745,1.3017,-0.44347),(5055,4755,1.3053,-0.43949),(5055,4765,1.3088,-0.43561),(5055,4775,1.3124,-0.43214),(5055,4785,1.3159,-0.42867),(5055,4795,1.3194,-0.42521),(5055,4805,1.3229,-0.42219),(5055,4815,1.3264,-0.41917),(5055,4825,1.3299,-0.41615),(5055,4835,1.3334,-0.41347),(5055,4845,1.3369,-0.41084),(5055,4855,1.3404,-0.40821),(5055,4865,1.3438,-0.40582),(5055,4875,1.3473,-0.40353),(5055,4885,1.3508,-0.40124),(5055,4895,1.3542,-0.3991),(5055,4905,1.3577,-0.3971),(5055,4915,1.3612,-0.39511),(5055,4925,1.3646,-0.39318),(5055,4935,1.3681,-0.39141),(5055,4945,1.3715,-0.38963),(5055,4955,1.3749,-0.38788),(5055,4965,1.3783,-0.38628),(5055,4975,1.3817,-0.38468),(5055,4985,1.385,-0.38308),(5055,4995,1.3883,-0.38161),(5055,5005,1.3916,-0.38014),(5055,5015,1.3949,-0.37867),(5055,5025,1.3981,-0.37723),(5055,5035,1.4013,-0.3758),(5055,5045,1.4044,-0.37438),(5055,5055,1.4075,-0.37301),(5055,5065,1.4107,-0.37167),(5055,5075,1.4136,-0.37034),(5055,5085,1.4166,-0.36903),(5055,5095,1.4195,-0.36776),(5055,5105,1.4223,-0.3665),(5055,5115,1.4251,-0.36524),(5055,5125,1.4279,-0.36403),(5055,5135,1.4305,-0.36282),(5055,5145,1.433,-0.36162),(5055,5155,1.4356,-0.36048),(5055,5165,1.4381,-0.35933),(5055,5175,1.4404,-0.35819),(5055,5185,1.4428,-0.35718),(5055,5195,1.4451,-0.35618),(5055,5205,1.4472,-0.35518),(5055,5215,1.4494,-0.35433),(5055,5225,1.4516,-0.35353),(5055,5235,1.4536,-0.35273),(5055,5245,1.4557,-0.35209),(5055,5255,1.4578,-0.35157),(5055,5265,1.4598,-0.35106),(5055,5275,1.4618,-0.35066),(5055,5285,1.4639,-0.35046),(5055,5295,1.4659,-0.35026),(5055,5305,1.468,-0.35014),(5055,5315,1.4701,-0.35033),(5055,5325,1.4722,-0.35052),(5055,5335,1.4744,-0.35071),(5055,5345,1.4766,-0.35133),(5055,5355,1.4789,-0.35195),(5055,5365,1.4814,-0.35257),(5055,5375,1.4838,-0.35359),(5055,5385,1.4863,-0.35468),(5055,5395,1.4891,-0.35578),(5055,5405,1.4918,-0.35719),(5055,5415,1.4946,-0.35876),(5055,5425,1.4978,-0.36033),(5055,5435,1.501,-0.3621),(5055,5445,1.5041,-0.36408),(5055,5455,1.5077,-0.36606),(5055,5465,1.5114,-0.36817),(5055,5475,1.515,-0.37055),(5055,5485,1.519,-0.37293),(5055,5495,1.5232,-0.37534),(5055,5505,1.5274,-0.37803),(5055,5515,1.5319,-0.38072),(5055,5525,1.5367,-0.3834),(5055,5535,1.5414,-0.38626),(5055,5545,1.5464,-0.38913),(5055,5555,1.5517,-0.39199),(5055,5565,1.557,-0.39488),(5055,5575,1.5625,-0.39778),(5055,5585,1.5684,-0.40067),(5055,5595,1.5743,-0.40352),(5055,5605,1.5802,-0.40635),(5055,5615,1.5866,-0.40918),(5055,5625,1.593,-0.41191),(5055,5635,1.5994,-0.41449),(5055,5645,1.6062,-0.41707),(5055,5655,1.613,-0.41955),(5055,5665,1.6199,-0.42167),(5055,5675,1.6269,-0.42379),(5055,5685,1.6341,-0.42588),(5055,5695,1.6413,-0.42736),(5055,5705,1.6485,-0.42885),(5055,5715,1.6558,-0.43034),(5055,5725,1.6631,-0.43119),(5055,5735,1.6704,-0.43196),(5055,5745,1.6777,-0.43272),(5055,5755,1.685,-0.43289),(5055,5765,1.6923,-0.43281),(5055,5775,1.6995,-0.43273),(5055,5785,1.7067,-0.43222),(5055,5795,1.7139,-0.43132),(5055,5805,1.7209,-0.43042),(5055,5815,1.7278,-0.42927),(5055,5825,1.7348,-0.42761),(5055,5835,1.7415,-0.42596),(5055,5845,1.7481,-0.42419),(5055,5855,1.7548,-0.42181),(5055,5865,1.7613,-0.41943),(5055,5875,1.7676,-0.41706),(5055,5885,1.7739,-0.41403),(5055,5895,1.7801,-0.411),(5055,5905,1.7861,-0.40797),(5055,5915,1.7922,-0.40453),(5055,5925,1.7981,-0.401),(5055,5935,1.8039,-0.39746),(5055,5945,1.8096,-0.39364),(5055,5955,1.8153,-0.38965),(5055,5965,1.8208,-0.38566),(5055,5975,1.8263,-0.3815),(5055,5985,1.8318,-0.37711),(5055,5995,1.837,-0.37272),(5055,6005,1.8423,-0.36825),(5055,6015,1.8475,-0.36355),(5055,6025,1.8526,-0.35885),(5055,6035,1.8576,-0.35413),(5055,6045,1.8626,-0.34916),(5055,6055,1.8675,-0.34419),(5055,6065,1.8723,-0.33922),(5055,6075,1.8771,-0.33402),(5055,6085,1.8819,-0.3288),(5055,6095,1.8865,-0.32358),(5055,6105,1.8911,-0.31817),(5055,6115,1.8957,-0.31269),(5055,6125,1.9,-0.3072),(5055,6135,1.9044,-0.30159),(5055,6145,1.9088,-0.29588),(5055,6155,1.913,-0.29017),(5055,6165,1.9172,-0.2844),(5055,6175,1.9213,-0.27852),(5055,6185,1.9253,-0.27263),(5055,6195,1.9293,-0.26672),(5055,6205,1.9332,-0.26069),(5055,6215,1.937,-0.25466),(5055,6225,1.9407,-0.24863),(5055,6235,1.9444,-0.24247),(5055,6245,1.948,-0.2363),(5055,6255,1.9514,-0.23014),(5055,6265,1.9549,-0.22381),(5055,6275,1.9582,-0.21746),(5055,6285,1.9614,-0.21111),(5055,6295,1.9646,-0.20466),(5055,6305,1.9677,-0.19817),(5055,6315,1.9706,-0.19168),(5055,6325,1.9735,-0.18511),(5055,6335,1.9763,-0.17847),(5055,6345,1.9789,-0.17183),(5055,6355,1.9815,-0.16517),(5055,6365,1.984,-0.15844),(5055,6375,1.9864,-0.15172),(5055,6385,1.9886,-0.14499),(5055,6395,1.9909,-0.13821),(5055,6405,1.9929,-0.13144),(5055,6415,1.9949,-0.12466),(5055,6425,1.9968,-0.11778),(5055,6435,1.9986,-0.1109),(5055,6445,2.0002,-0.10402),(5055,6455,2.0019,-0.097112),(5055,6465,2.0034,-0.090193),(5055,6475,2.0047,-0.083275),(5055,6485,2.006,-0.07632),(5055,6495,2.0073,-0.069341),(5055,6505,2.0082,-0.062362),(5055,6515,2.0092,-0.055383),(5055,6525,2.0102,-0.048404),(5055,6535,2.0108,-0.041426),(5055,6545,2.0114,-0.034438),(5055,6555,2.012,-0.027421),(5055,6565,2.0124,-0.020405),(5055,6575,2.0127,-0.013388),(5055,6585,2.013,-0.006374),(5055,6595,1.7124,0.000641),(5055,6605,1.0797,0.007655),(5055,6615,0.44698,0.008489),(5055,6625,0.002188,0.00853),(5055,6635,0.002177,0.00857),(5055,6645,0.002165,0.008603),(5055,6655,0.002154,0.008633),(5055,6665,0.002144,0.008662),(5055,6675,0.002134,0.00869),(5055,6685,0.002123,0.008716),(5055,6695,0.002114,0.008741),(5055,6705,0.002105,0.008766),(5055,6715,0.002096,0.008789),(5055,6725,0.002088,0.008811),(5055,6735,0.00208,0.008833),(5055,6745,0.002072,0.008852),(5055,6755,0.002064,0.008872),(5055,6765,0.002057,0.008891),(5055,6775,0.002051,0.008908),(5055,6785,0.002044,0.008925),(5055,6795,0.002038,0.008942),(5055,6805,0.002033,0.008957),(5055,6815,0.002027,0.008972),(5055,6825,0.002022,0.008986),(5055,6835,0.002017,0.009),(5055,6845,0.002013,0.009012),(5055,6855,0.002009,0.009025),(5055,6865,0.002005,0.009036),(5055,6875,0.002001,0.009047),(5055,6885,0.001998,0.009058),(5055,6895,0.001995,0.009068),(5055,6905,0.001992,0.009077),(5055,6915,0.001989,0.009087),(5055,6925,0.001987,0.009096),(5055,6935,0.001985,0.009103),(5055,6945,0.001983,0.009111),(5055,6955,0.001981,0.009119),(5055,6965,0.00198,0.009125),(5055,6975,0.001978,0.009132),(5055,6985,0.001978,0.009138),(5065,5,6e-06,-0.97463),(5065,15,1.7e-05,-0.97474),(5065,25,2.3e-05,-0.97486),(5065,35,2.3e-05,-0.97498),(5065,45,2.4e-05,-0.97507),(5065,55,2.5e-05,-0.97515),(5065,65,2.5e-05,-0.97523),(5065,75,2.4e-05,-0.97531),(5065,85,2.2e-05,-0.97543),(5065,95,2.1e-05,-0.97559),(5065,105,1.5e-05,-0.97574),(5065,115,7e-06,-0.97589),(5065,125,-2e-06,-0.97607),(5065,135,-1.1e-05,-0.97627),(5065,145,-1.5e-05,-0.97646),(5065,155,-1.7e-05,-0.97666),(5065,165,-1.8e-05,-0.9769),(5065,175,-2e-05,-0.97716),(5065,185,-1.7e-05,-0.97743),(5065,195,-1.3e-05,-0.97769),(5065,205,-8e-06,-0.97802),(5065,215,-3e-06,-0.97837),(5065,225,0,-0.97872),(5065,235,3e-06,-0.97907),(5065,245,7e-06,-0.97945),(5065,255,1e-05,-0.97984),(5065,265,2e-06,-0.98023),(5065,275,-1e-05,-0.98063),(5065,285,-2.2e-05,-0.98106),(5065,295,-3.3e-05,-0.98151),(5065,305,-3.3e-05,-0.98196),(5065,315,-2.9e-05,-0.98241),(5065,325,-2.5e-05,-0.98294),(5065,335,-2.1e-05,-0.9835),(5065,345,-3.2e-05,-0.98406),(5065,355,-4.5e-05,-0.98462),(5065,365,-5.9e-05,-0.98519),(5065,375,-7.3e-05,-0.98576),(5065,385,-9e-05,-0.98633),(5065,395,-0.000108,-0.9869),(5065,405,-0.000125,-0.98755),(5065,415,-0.000142,-0.9882),(5065,425,-0.000135,-0.98886),(5065,435,-0.000126,-0.98951),(5065,445,-0.000116,-0.9903),(5065,455,-0.000107,-0.99109),(5065,465,-8.1e-05,-0.99188),(5065,475,-5.6e-05,-0.99267),(5065,485,-3e-05,-0.99361),(5065,495,-4e-06,-0.99456),(5065,505,-3.3e-05,-0.99551),(5065,515,-6.2e-05,-0.99646),(5065,525,-9.1e-05,-0.99739),(5065,535,-0.000121,-0.99831),(5065,545,-0.000173,-0.99924),(5065,555,-0.000226,-1.0002),(5065,565,-0.000279,-1.0012),(5065,575,-0.00033,-1.0022),(5065,585,-0.000358,-1.0032),(5065,595,-0.000387,-1.0042),(5065,605,-0.000415,-1.0053),(5065,615,-0.000438,-1.0065),(5065,625,-0.000425,-1.0076),(5065,635,-0.000412,-1.0088),(5065,645,-0.000399,-1.0101),(5065,655,-0.000384,-1.0114),(5065,665,-0.000354,-1.0127),(5065,675,-0.000324,-1.014),(5065,685,-0.000294,-1.0155),(5065,695,-0.000269,-1.0169),(5065,705,-0.00026,-1.0183),(5065,715,-0.000252,-1.0197),(5065,725,-0.000243,-1.0212),(5065,735,-0.000242,-1.0227),(5065,745,-0.000265,-1.0242),(5065,755,-0.000287,-1.0258),(5065,765,-0.00031,-1.0273),(5065,775,-0.000336,-1.0289),(5065,785,-0.000371,-1.0305),(5065,795,-0.000407,-1.0321),(5065,805,-0.000442,-1.0338),(5065,815,-0.000469,-1.0354),(5065,825,-0.000476,-1.0371),(5065,835,-0.000483,-1.0389),(5065,845,-0.00049,-1.0407),(5065,855,-0.000499,-1.0426),(5065,865,-0.000508,-1.0444),(5065,875,-0.000518,-1.0463),(5065,885,-0.000528,-1.0483),(5065,895,-0.000533,-1.0503),(5065,905,-0.00053,-1.0523),(5065,915,-0.000527,-1.0543),(5065,925,-0.000525,-1.0565),(5065,935,-0.000526,-1.0587),(5065,945,-0.000532,-1.0609),(5065,955,-0.000538,-1.0631),(5065,965,-0.000544,-1.0654),(5065,975,-0.000562,-1.0677),(5065,985,-0.000593,-1.07),(5065,995,-0.000624,-1.0724),(5065,1005,-0.000656,-1.0748),(5065,1015,-0.000694,-1.0772),(5065,1025,-0.000739,-1.0796),(5065,1035,-0.000784,-1.0821),(5065,1045,-0.000829,-1.0846),(5065,1055,-0.000886,-1.0871),(5065,1065,-0.000952,-1.0897),(5065,1075,-0.001019,-1.0922),(5065,1085,-0.001085,-1.0947),(5065,1095,-0.001097,-1.0973),(5065,1105,-0.00107,-1.0998),(5065,1115,-0.001043,-1.1024),(5065,1125,-0.001017,-1.105),(5065,1135,-0.000903,-1.1077),(5065,1145,-0.000737,-1.1103),(5065,1155,-0.000571,-1.1132),(5065,1165,-0.000406,-1.1162),(5065,1175,-0.000752,-1.1192),(5065,1185,-0.001352,-1.1223),(5065,1195,-0.001953,-1.126),(5065,1205,-0.002554,-1.1302),(5065,1215,-0.004694,-1.1343),(5065,1225,-0.00747,-1.1384),(5065,1235,-0.010246,-1.143),(5065,1245,-0.013022,-1.1477),(5065,1255,-0.003952,-1.1524),(5065,1265,0.00912,-1.1571),(5065,1275,0.022192,-1.1596),(5065,1285,0.035264,-1.1615),(5065,1295,0.07826,-1.1633),(5065,1305,0.12935,-1.1652),(5065,1315,0.18044,-1.1671),(5065,1325,0.23153,-1.1691),(5065,1335,0.14167,-1.1711),(5065,1345,0.022264,-1.1731),(5065,1355,-0.097137,-1.1731),(5065,1365,-0.21654,-1.1728),(5065,1375,-0.19218,-1.1725),(5065,1385,-0.14564,-1.1722),(5065,1395,-0.099103,-1.1707),(5065,1405,-0.052564,-1.1691),(5065,1415,-0.033194,-1.1674),(5065,1425,-0.016643,-1.1658),(5065,1435,-9.3e-05,-1.16),(5065,1445,0.016457,-1.154),(5065,1455,0.013837,-1.1479),(5065,1465,0.010112,-1.1419),(5065,1475,0.006388,-1.1369),(5065,1485,0.002663,-1.1319),(5065,1495,0.001934,-1.127),(5065,1505,0.001249,-1.122),(5065,1515,0.000565,-1.1188),(5065,1525,-9.6e-05,-1.1155),(5065,1535,0.000189,-1.1122),(5065,1545,0.000474,-1.109),(5065,1555,0.000759,-1.1064),(5065,1565,0.00103,-1.1038),(5065,1575,0.0011,-1.1013),(5065,1585,0.00117,-1.0987),(5065,1595,0.001239,-1.0963),(5065,1605,0.001294,-1.0939),(5065,1615,0.001218,-1.0915),(5065,1625,0.001142,-1.0891),(5065,1635,0.001066,-1.0868),(5065,1645,0.000989,-1.0845),(5065,1655,0.000907,-1.0822),(5065,1665,0.000825,-1.08),(5065,1675,0.000743,-1.0778),(5065,1685,0.000669,-1.0757),(5065,1695,0.000625,-1.0735),(5065,1705,0.000582,-1.0714),(5065,1715,0.000539,-1.0695),(5065,1725,0.000502,-1.0676),(5065,1735,0.000487,-1.0656),(5065,1745,0.000472,-1.0637),(5065,1755,0.000456,-1.062),(5065,1765,0.000441,-1.0603),(5065,1775,0.000426,-1.0585),(5065,1785,0.000411,-1.0569),(5065,1795,0.000395,-1.0553),(5065,1805,0.000381,-1.0538),(5065,1815,0.00037,-1.0522),(5065,1825,0.000359,-1.0507),(5065,1835,0.000347,-1.0494),(5065,1845,0.000346,-1.0481),(5065,1855,0.000366,-1.0467),(5065,1865,0.000386,-1.0455),(5065,1875,0.000405,-1.0444),(5065,1885,0.000418,-1.0432),(5065,1895,0.000419,-1.0421),(5065,1905,0.000421,-1.041),(5065,1915,0.000423,-1.04),(5065,1925,0.000431,-1.039),(5065,1935,0.00045,-1.0379),(5065,1945,0.000469,-1.037),(5065,1955,0.000487,-1.0361),(5065,1965,0.000512,-1.0352),(5065,1975,0.000543,-1.0342),(5065,1985,0.000575,-1.0334),(5065,1995,0.000606,-1.0326),(5065,2005,0.000643,-1.0318),(5065,2015,0.000685,-1.0311),(5065,2025,0.000727,-1.0303),(5065,2035,0.000769,-1.0296),(5065,2045,0.000813,-1.029),(5065,2055,0.000858,-1.0283),(5065,2065,0.000903,-1.0276),(5065,2075,0.000948,-1.027),(5065,2085,0.000998,-1.0264),(5065,2095,0.001051,-1.0258),(5065,2105,0.001105,-1.0253),(5065,2115,0.001158,-1.0248),(5065,2125,0.001212,-1.0243),(5065,2135,0.001266,-1.0238),(5065,2145,0.001321,-1.0234),(5065,2155,0.001375,-1.023),(5065,2165,0.001422,-1.0226),(5065,2175,0.001465,-1.0222),(5065,2185,0.001509,-1.0219),(5065,2195,0.001552,-1.0216),(5065,2205,0.001585,-1.0213),(5065,2215,0.001614,-1.021),(5065,2225,0.001642,-1.0207),(5065,2235,0.001671,-1.0205),(5065,2245,0.00171,-1.0203),(5065,2255,0.001752,-1.02),(5065,2265,0.001795,-1.0199),(5065,2275,0.001837,-1.0198),(5065,2285,0.001864,-1.0196),(5065,2295,0.001886,-1.0195),(5065,2305,0.001909,-1.0194),(5065,2315,0.001931,-1.0193),(5065,2325,0.001987,-1.0192),(5065,2335,0.002051,-1.0191),(5065,2345,0.002114,-1.0191),(5065,2355,0.002178,-1.0191),(5065,2365,0.002252,-1.0191),(5065,2375,0.002327,-1.019),(5065,2385,0.002402,-1.0191),(5065,2395,0.002478,-1.0191),(5065,2405,0.002564,-1.0191),(5065,2415,0.002652,-1.0191),(5065,2425,0.00274,-1.0191),(5065,2435,0.002828,-1.0192),(5065,2445,0.002929,-1.0193),(5065,2455,0.00303,-1.0193),(5065,2465,0.003132,-1.0194),(5065,2475,0.003233,-1.0195),(5065,2485,0.003333,-1.0196),(5065,2495,0.003432,-1.0197),(5065,2505,0.003531,-1.0199),(5065,2515,0.00363,-1.02),(5065,2525,0.003721,-1.0201),(5065,2535,0.003812,-1.0202),(5065,2545,0.003903,-1.0204),(5065,2555,0.003994,-1.0206),(5065,2565,0.004082,-1.0207),(5065,2575,0.00417,-1.0209),(5065,2585,0.004258,-1.0211),(5065,2595,0.004346,-1.0213),(5065,2605,0.004436,-1.0215),(5065,2615,0.004526,-1.0217),(5065,2625,0.004617,-1.0218),(5065,2635,0.004713,-1.022),(5065,2645,0.004846,-1.0222),(5065,2655,0.00498,-1.0224),(5065,2665,0.005113,-1.0227),(5065,2675,0.005239,-1.023),(5065,2685,0.005328,-1.0232),(5065,2695,0.005418,-1.0235),(5065,2705,0.005507,-1.0237),(5065,2715,0.005607,-1.0239),(5065,2725,0.005746,-1.0242),(5065,2735,0.005885,-1.0244),(5065,2745,0.006024,-1.0246),(5065,2755,0.006165,-1.0249),(5065,2765,0.006315,-1.0251),(5065,2775,0.006465,-1.0254),(5065,2785,0.006616,-1.0257),(5065,2795,0.006767,-1.0259),(5065,2805,0.006921,-1.0262),(5065,2815,0.007074,-1.0264),(5065,2825,0.007228,-1.0267),(5065,2835,0.007381,-1.0269),(5065,2845,0.007534,-1.0272),(5065,2855,0.007686,-1.0274),(5065,2865,0.007839,-1.0276),(5065,2875,0.007992,-1.0279),(5065,2885,0.008147,-1.0281),(5065,2895,0.008303,-1.0283),(5065,2905,0.008458,-1.0286),(5065,2915,0.00862,-1.0288),(5065,2925,0.008793,-1.029),(5065,2935,0.008965,-1.0292),(5065,2945,0.009138,-1.0295),(5065,2955,0.009319,-1.0297),(5065,2965,0.009511,-1.0299),(5065,2975,0.009703,-1.0301),(5065,2985,0.009895,-1.0303),(5065,2995,0.010094,-1.0305),(5065,3005,0.010301,-1.0307),(5065,3015,0.010508,-1.0309),(5065,3025,0.010715,-1.031),(5065,3035,0.010943,-1.0312),(5065,3045,0.011191,-1.0313),(5065,3055,0.011438,-1.0315),(5065,3065,0.011686,-1.0317),(5065,3075,0.0119,-1.0319),(5065,3085,0.012089,-1.0321),(5065,3095,0.012278,-1.0323),(5065,3105,0.012466,-1.0323),(5065,3115,0.012669,-1.0324),(5065,3125,0.01288,-1.0325),(5065,3135,0.013091,-1.0326),(5065,3145,0.013302,-1.0327),(5065,3155,0.013518,-1.0327),(5065,3165,0.013736,-1.0328),(5065,3175,0.013953,-1.0329),(5065,3185,0.014171,-1.0329),(5065,3195,0.014384,-1.0329),(5065,3205,0.014595,-1.0329),(5065,3215,0.014805,-1.0329),(5065,3225,0.015016,-1.0329),(5065,3235,0.015215,-1.0328),(5065,3245,0.01541,-1.0328),(5065,3255,0.015605,-1.0327),(5065,3265,0.0158,-1.0326),(5065,3275,0.01599,-1.0325),(5065,3285,0.016177,-1.0325),(5065,3295,0.016365,-1.0323),(5065,3305,0.016552,-1.0322),(5065,3315,0.016744,-1.0321),(5065,3325,0.016937,-1.032),(5065,3335,0.01713,-1.0318),(5065,3345,0.017323,-1.0317),(5065,3355,0.017517,-1.0315),(5065,3365,0.017712,-1.0314),(5065,3375,0.017906,-1.0312),(5065,3385,0.018101,-1.031),(5065,3395,0.018308,-1.0307),(5065,3405,0.018516,-1.0305),(5065,3415,0.018724,-1.0303),(5065,3425,0.018932,-1.0302),(5065,3435,0.019069,-1.03),(5065,3445,0.0192,-1.0298),(5065,3455,0.019331,-1.0295),(5065,3465,0.019463,-1.0292),(5065,3475,0.019621,-1.0289),(5065,3485,0.01978,-1.0286),(5065,3495,0.01994,-1.0283),(5065,3505,0.020099,-1.028),(5065,3515,0.020243,-1.0277),(5065,3525,0.020387,-1.0274),(5065,3535,0.020531,-1.027),(5065,3545,0.020674,-1.0267),(5065,3555,0.020792,-1.0263),(5065,3565,0.02091,-1.0259),(5065,3575,0.021028,-1.0255),(5065,3585,0.021146,-1.0251),(5065,3595,0.021256,-1.0247),(5065,3605,0.021366,-1.0243),(5065,3615,0.021476,-1.0239),(5065,3625,0.021586,-1.0235),(5065,3635,0.021691,-1.0231),(5065,3645,0.021796,-1.0226),(5065,3655,0.021902,-1.0222),(5065,3665,0.022003,-1.0217),(5065,3675,0.02208,-1.0212),(5065,3685,0.022157,-1.0208),(5065,3695,0.022234,-1.0202),(5065,3705,0.022305,-1.0197),(5065,3715,0.022352,-1.0192),(5065,3725,0.0224,-1.0187),(5065,3735,0.022448,-1.0181),(5065,3745,0.022491,-1.0176),(5065,3755,0.022521,-1.0171),(5065,3765,0.02255,-1.0165),(5065,3775,0.022579,-1.016),(5065,3785,0.022623,-1.0154),(5065,3795,0.022706,-1.0149),(5065,3805,0.022789,-1.0144),(5065,3815,0.022872,-1.0139),(5065,3825,0.022949,-1.0135),(5065,3835,0.023014,-1.013),(5065,3845,0.023079,-1.0127),(5065,3855,0.023144,-1.0124),(5065,3865,0.023029,-1.0122),(5065,3875,0.022599,-1.0119),(5065,3885,0.022168,-1.012),(5065,3895,0.021737,-1.0125),(5065,3905,0.020847,-1.013),(5065,3915,0.01927,-1.0136),(5065,3925,0.017692,-1.0142),(5065,3935,0.016115,-1.015),(5065,3945,0.020084,-1.0158),(5065,3955,0.031096,-1.0166),(5065,3965,0.042107,-1.0166),(5065,3975,0.053118,-1.0157),(5065,3985,0.088693,-1.0149),(5065,3995,0.15086,-1.014),(5065,4005,0.21303,-1.0145),(5065,4015,0.27519,-1.0163),(5065,4025,0.31207,-1.0181),(5065,4035,0.34647,-1.0193),(5065,4045,0.38087,-1.0191),(5065,4055,0.45981,-1.0188),(5065,4065,0.555,-1.0182),(5065,4075,0.6502,-1.0153),(5065,4085,0.70228,-1.0125),(5065,4095,0.71973,-1.0096),(5065,4105,0.73717,-1.0039),(5065,4115,0.75426,-0.99821),(5065,4125,0.77075,-0.99249),(5065,4135,0.78724,-0.98504),(5065,4145,0.80358,-0.97711),(5065,4155,0.8193,-0.96919),(5065,4165,0.83503,-0.96016),(5065,4175,0.85073,-0.95042),(5065,4185,0.86556,-0.94068),(5065,4195,0.8804,-0.93049),(5065,4205,0.89523,-0.91972),(5065,4215,0.90922,-0.90895),(5065,4225,0.92305,-0.89806),(5065,4235,0.93689,-0.8868),(5065,4245,0.94999,-0.87554),(5065,4255,0.96272,-0.86427),(5065,4265,0.97545,-0.85293),(5065,4275,0.98765,-0.84159),(5065,4285,0.99927,-0.83025),(5065,4295,1.0109,-0.81902),(5065,4305,1.0222,-0.80779),(5065,4315,1.0327,-0.79657),(5065,4325,1.0433,-0.78552),(5065,4335,1.0537,-0.77455),(5065,4345,1.0632,-0.76358),(5065,4355,1.0728,-0.75284),(5065,4365,1.0823,-0.7423),(5065,4375,1.091,-0.73176),(5065,4385,1.0997,-0.72139),(5065,4395,1.1083,-0.71129),(5065,4405,1.1164,-0.7012),(5065,4415,1.1242,-0.69119),(5065,4425,1.132,-0.68157),(5065,4435,1.1394,-0.67195),(5065,4445,1.1465,-0.66233),(5065,4455,1.1536,-0.65322),(5065,4465,1.1605,-0.64412),(5065,4475,1.1669,-0.63501),(5065,4485,1.1734,-0.62638),(5065,4495,1.1797,-0.61784),(5065,4505,1.1856,-0.6093),(5065,4515,1.1915,-0.60114),(5065,4525,1.1974,-0.59318),(5065,4535,1.2028,-0.58523),(5065,4545,1.2082,-0.57755),(5065,4555,1.2136,-0.57018),(5065,4565,1.2186,-0.5628),(5065,4575,1.2236,-0.55559),(5065,4585,1.2286,-0.54877),(5065,4595,1.2334,-0.54195),(5065,4605,1.238,-0.5352),(5065,4615,1.2426,-0.52897),(5065,4625,1.2471,-0.52274),(5065,4635,1.2514,-0.5165),(5065,4645,1.2557,-0.51082),(5065,4655,1.26,-0.50517),(5065,4665,1.2641,-0.49953),(5065,4675,1.2682,-0.49432),(5065,4685,1.2722,-0.48925),(5065,4695,1.2761,-0.48418),(5065,4705,1.2801,-0.4794),(5065,4715,1.284,-0.47484),(5065,4725,1.2878,-0.47028),(5065,4735,1.2915,-0.46593),(5065,4745,1.2953,-0.4619),(5065,4755,1.299,-0.45786),(5065,4765,1.3027,-0.45394),(5065,4775,1.3064,-0.4504),(5065,4785,1.3101,-0.44687),(5065,4795,1.3137,-0.44335),(5065,4805,1.3174,-0.44024),(5065,4815,1.321,-0.43713),(5065,4825,1.3246,-0.43402),(5065,4835,1.3282,-0.43124),(5065,4845,1.3318,-0.42851),(5065,4855,1.3354,-0.42578),(5065,4865,1.339,-0.42328),(5065,4875,1.3426,-0.42087),(5065,4885,1.3461,-0.41847),(5065,4895,1.3497,-0.41621),(5065,4905,1.3532,-0.41408),(5065,4915,1.3567,-0.41196),(5065,4925,1.3602,-0.4099),(5065,4935,1.3638,-0.40799),(5065,4945,1.3672,-0.40607),(5065,4955,1.3707,-0.40418),(5065,4965,1.3742,-0.40246),(5065,4975,1.3776,-0.40073),(5065,4985,1.3809,-0.399),(5065,4995,1.3843,-0.39739),(5065,5005,1.3876,-0.39579),(5065,5015,1.3909,-0.39418),(5065,5025,1.3941,-0.39262),(5065,5035,1.3973,-0.39107),(5065,5045,1.4005,-0.38951),(5065,5055,1.4036,-0.38802),(5065,5065,1.4067,-0.38657),(5065,5075,1.4097,-0.38512),(5065,5085,1.4127,-0.3837),(5065,5095,1.4156,-0.38234),(5065,5105,1.4184,-0.38097),(5065,5115,1.4212,-0.37962),(5065,5125,1.424,-0.37832),(5065,5135,1.4266,-0.37702),(5065,5145,1.4292,-0.37572),(5065,5155,1.4318,-0.37451),(5065,5165,1.4343,-0.37329),(5065,5175,1.4366,-0.37208),(5065,5185,1.439,-0.37101),(5065,5195,1.4414,-0.36996),(5065,5205,1.4436,-0.36891),(5065,5215,1.4458,-0.36801),(5065,5225,1.4481,-0.36717),(5065,5235,1.4502,-0.36633),(5065,5245,1.4523,-0.36565),(5065,5255,1.4545,-0.36511),(5065,5265,1.4566,-0.36456),(5065,5275,1.4588,-0.36413),(5065,5285,1.4609,-0.3639),(5065,5295,1.4631,-0.36366),(5065,5305,1.4652,-0.3635),(5065,5315,1.4674,-0.36365),(5065,5325,1.4697,-0.36379),(5065,5335,1.4721,-0.36394),(5065,5345,1.4744,-0.3645),(5065,5355,1.4768,-0.36505),(5065,5365,1.4794,-0.36561),(5065,5375,1.482,-0.36654),(5065,5385,1.4846,-0.36754),(5065,5395,1.4876,-0.36855),(5065,5405,1.4905,-0.36984),(5065,5415,1.4934,-0.37129),(5065,5425,1.4967,-0.37274),(5065,5435,1.5,-0.37436),(5065,5445,1.5033,-0.37618),(5065,5455,1.507,-0.378),(5065,5465,1.5108,-0.37992),(5065,5475,1.5145,-0.38209),(5065,5485,1.5187,-0.38426),(5065,5495,1.5229,-0.38647),(5065,5505,1.5272,-0.3889),(5065,5515,1.5318,-0.39133),(5065,5525,1.5366,-0.39377),(5065,5535,1.5414,-0.39633),(5065,5545,1.5464,-0.3989),(5065,5555,1.5517,-0.40146),(5065,5565,1.5571,-0.40402),(5065,5575,1.5625,-0.40658),(5065,5585,1.5684,-0.40913),(5065,5595,1.5742,-0.41162),(5065,5605,1.5801,-0.41407),(5065,5615,1.5864,-0.41652),(5065,5625,1.5927,-0.41886),(5065,5635,1.599,-0.42105),(5065,5645,1.6057,-0.42323),(5065,5655,1.6123,-0.42531),(5065,5665,1.619,-0.42704),(5065,5675,1.6259,-0.42876),(5065,5685,1.6329,-0.43045),(5065,5695,1.6398,-0.43155),(5065,5705,1.6468,-0.43264),(5065,5715,1.6539,-0.43374),(5065,5725,1.6609,-0.43425),(5065,5735,1.668,-0.43467),(5065,5745,1.675,-0.43509),(5065,5755,1.6821,-0.43494),(5065,5765,1.6891,-0.43455),(5065,5775,1.696,-0.43416),(5065,5785,1.7029,-0.43339),(5065,5795,1.7098,-0.43225),(5065,5805,1.7165,-0.43111),(5065,5815,1.7232,-0.42973),(5065,5825,1.7298,-0.42788),(5065,5835,1.7363,-0.42604),(5065,5845,1.7427,-0.42408),(5065,5855,1.7491,-0.42156),(5065,5865,1.7553,-0.41904),(5065,5875,1.7614,-0.41652),(5065,5885,1.7676,-0.4134),(5065,5895,1.7736,-0.41027),(5065,5905,1.7794,-0.40714),(5065,5915,1.7852,-0.40363),(5065,5925,1.791,-0.40003),(5065,5935,1.7966,-0.39643),(5065,5945,1.8021,-0.39257),(5065,5955,1.8077,-0.38855),(5065,5965,1.8131,-0.38453),(5065,5975,1.8184,-0.38033),(5065,5985,1.8238,-0.37591),(5065,5995,1.8289,-0.3715),(5065,6005,1.834,-0.367),(5065,6015,1.8391,-0.3623),(5065,6025,1.8441,-0.35761),(5065,6035,1.849,-0.35288),(5065,6045,1.854,-0.34792),(5065,6055,1.8588,-0.34296),(5065,6065,1.8635,-0.338),(5065,6075,1.8682,-0.33281),(5065,6085,1.8729,-0.32761),(5065,6095,1.8774,-0.3224),(5065,6105,1.8819,-0.31701),(5065,6115,1.8864,-0.31155),(5065,6125,1.8907,-0.30608),(5065,6135,1.895,-0.30049),(5065,6145,1.8993,-0.2948),(5065,6155,1.9034,-0.28911),(5065,6165,1.9075,-0.28336),(5065,6175,1.9116,-0.27749),(5065,6185,1.9155,-0.27163),(5065,6195,1.9194,-0.26574),(5065,6205,1.9233,-0.25973),(5065,6215,1.927,-0.25373),(5065,6225,1.9307,-0.24773),(5065,6235,1.9343,-0.24159),(5065,6245,1.9378,-0.23546),(5065,6255,1.9412,-0.22932),(5065,6265,1.9446,-0.22303),(5065,6275,1.9479,-0.21671),(5065,6285,1.951,-0.21039),(5065,6295,1.9542,-0.20396),(5065,6305,1.9573,-0.19749),(5065,6315,1.9601,-0.19102),(5065,6325,1.9629,-0.18448),(5065,6335,1.9657,-0.17788),(5065,6345,1.9683,-0.17127),(5065,6355,1.9708,-0.16464),(5065,6365,1.9733,-0.15794),(5065,6375,1.9756,-0.15125),(5065,6385,1.9778,-0.14454),(5065,6395,1.9801,-0.13779),(5065,6405,1.9821,-0.13104),(5065,6415,1.984,-0.12428),(5065,6425,1.9859,-0.11743),(5065,6435,1.9877,-0.11057),(5065,6445,1.9893,-0.10371),(5065,6455,1.9909,-0.09682),(5065,6465,1.9924,-0.089919),(5065,6475,1.9937,-0.083018),(5065,6485,1.995,-0.076082),(5065,6495,1.9962,-0.069121),(5065,6505,1.9972,-0.062161),(5065,6515,1.9981,-0.055202),(5065,6525,1.9991,-0.048246),(5065,6535,1.9998,-0.04129),(5065,6545,2.0004,-0.034326),(5065,6555,2.001,-0.027336),(5065,6565,2.0014,-0.020346),(5065,6575,2.0016,-0.013356),(5065,6585,2.0019,-0.006359),(5065,6595,1.703,0.000638),(5065,6605,1.0737,0.007635),(5065,6615,0.4445,0.008471),(5065,6625,0.00215,0.008515),(5065,6635,0.00214,0.00856),(5065,6645,0.00213,0.008594),(5065,6655,0.002121,0.008624),(5065,6665,0.002112,0.008654),(5065,6675,0.002103,0.008682),(5065,6685,0.002093,0.008708),(5065,6695,0.002085,0.008734),(5065,6705,0.002077,0.008759),(5065,6715,0.002069,0.008781),(5065,6725,0.002062,0.008804),(5065,6735,0.002055,0.008826),(5065,6745,0.002048,0.008846),(5065,6755,0.002041,0.008866),(5065,6765,0.002035,0.008886),(5065,6775,0.00203,0.008903),(5065,6785,0.002024,0.00892),(5065,6795,0.002019,0.008937),(5065,6805,0.002014,0.008953),(5065,6815,0.002009,0.008967),(5065,6825,0.002005,0.008982),(5065,6835,0.002001,0.008996),(5065,6845,0.001996,0.009009),(5065,6855,0.001993,0.009022),(5065,6865,0.00199,0.009033),(5065,6875,0.001986,0.009045),(5065,6885,0.001984,0.009055),(5065,6895,0.001981,0.009066),(5065,6905,0.001979,0.009076),(5065,6915,0.001977,0.009085),(5065,6925,0.001975,0.009094),(5065,6935,0.001973,0.009102),(5065,6945,0.001972,0.00911),(5065,6955,0.001971,0.009118),(5065,6965,0.001969,0.009125),(5065,6975,0.001969,0.009131),(5065,6985,0.001968,0.009138),(5075,5,7e-06,-1.1577),(5075,15,2.1e-05,-1.1579),(5075,25,2.8e-05,-1.158),(5075,35,3e-05,-1.1582),(5075,45,3.2e-05,-1.1583),(5075,55,3.3e-05,-1.1584),(5075,65,3.4e-05,-1.1585),(5075,75,3.4e-05,-1.1586),(5075,85,3.5e-05,-1.1587),(5075,95,3.5e-05,-1.1589),(5075,105,3e-05,-1.1591),(5075,115,2e-05,-1.1593),(5075,125,1e-05,-1.1595),(5075,135,1e-06,-1.1597),(5075,145,-3e-06,-1.1599),(5075,155,-4e-06,-1.1602),(5075,165,-5e-06,-1.1604),(5075,175,-6e-06,-1.1608),(5075,185,-1e-06,-1.1611),(5075,195,7e-06,-1.1614),(5075,205,1.4e-05,-1.1618),(5075,215,2.2e-05,-1.1622),(5075,225,3e-05,-1.1626),(5075,235,3.7e-05,-1.163),(5075,245,4.5e-05,-1.1635),(5075,255,5.3e-05,-1.1639),(5075,265,4.4e-05,-1.1644),(5075,275,3.1e-05,-1.1649),(5075,285,1.8e-05,-1.1654),(5075,295,5e-06,-1.1659),(5075,305,7e-06,-1.1664),(5075,315,1.3e-05,-1.167),(5075,325,2e-05,-1.1676),(5075,335,2.6e-05,-1.1683),(5075,345,1.5e-05,-1.1689),(5075,355,0,-1.1696),(5075,365,-1.5e-05,-1.1703),(5075,375,-2.9e-05,-1.171),(5075,385,-5e-05,-1.1716),(5075,395,-7.3e-05,-1.1723),(5075,405,-9.5e-05,-1.1731),(5075,415,-0.000117,-1.1739),(5075,425,-0.000106,-1.1746),(5075,435,-9.3e-05,-1.1754),(5075,445,-7.9e-05,-1.1763),(5075,455,-6.5e-05,-1.1773),(5075,465,-2.5e-05,-1.1782),(5075,475,1.5e-05,-1.1791),(5075,485,5.6e-05,-1.1802),(5075,495,9.7e-05,-1.1814),(5075,505,6.9e-05,-1.1825),(5075,515,4.1e-05,-1.1837),(5075,525,1.3e-05,-1.1848),(5075,535,-1.6e-05,-1.1859),(5075,545,-7.9e-05,-1.187),(5075,555,-0.000141,-1.1881),(5075,565,-0.000203,-1.1893),(5075,575,-0.000264,-1.1904),(5075,585,-0.000298,-1.1916),(5075,595,-0.000332,-1.1928),(5075,605,-0.000366,-1.1942),(5075,615,-0.000394,-1.1955),(5075,625,-0.000377,-1.1969),(5075,635,-0.00036,-1.1983),(5075,645,-0.000343,-1.1998),(5075,655,-0.000322,-1.2013),(5075,665,-0.00028,-1.2029),(5075,675,-0.000238,-1.2045),(5075,685,-0.000196,-1.2061),(5075,695,-0.000158,-1.2078),(5075,705,-0.000139,-1.2095),(5075,715,-0.00012,-1.2112),(5075,725,-0.000101,-1.213),(5075,735,-9e-05,-1.2148),(5075,745,-0.000106,-1.2166),(5075,755,-0.000123,-1.2184),(5075,765,-0.000139,-1.2202),(5075,775,-0.000162,-1.2221),(5075,785,-0.000204,-1.224),(5075,795,-0.000246,-1.2258),(5075,805,-0.000289,-1.2278),(5075,815,-0.000318,-1.2298),(5075,825,-0.00032,-1.2318),(5075,835,-0.000322,-1.2339),(5075,845,-0.000324,-1.236),(5075,855,-0.000326,-1.2382),(5075,865,-0.00033,-1.2404),(5075,875,-0.000333,-1.2427),(5075,885,-0.000336,-1.245),(5075,895,-0.000332,-1.2474),(5075,905,-0.000315,-1.2497),(5075,915,-0.000298,-1.2521),(5075,925,-0.000282,-1.2547),(5075,935,-0.000268,-1.2573),(5075,945,-0.000259,-1.2599),(5075,955,-0.000249,-1.2625),(5075,965,-0.00024,-1.2653),(5075,975,-0.000245,-1.268),(5075,985,-0.000266,-1.2707),(5075,995,-0.000286,-1.2735),(5075,1005,-0.000307,-1.2764),(5075,1015,-0.000335,-1.2792),(5075,1025,-0.000371,-1.2821),(5075,1035,-0.000406,-1.285),(5075,1045,-0.000441,-1.288),(5075,1055,-0.000495,-1.291),(5075,1065,-0.000562,-1.294),(5075,1075,-0.00063,-1.297),(5075,1085,-0.000698,-1.3),(5075,1095,-0.0007,-1.303),(5075,1105,-0.000656,-1.306),(5075,1115,-0.000613,-1.309),(5075,1125,-0.000569,-1.3121),(5075,1135,-0.000371,-1.3152),(5075,1145,-8.2e-05,-1.3183),(5075,1155,0.000207,-1.3217),(5075,1165,0.000496,-1.3252),(5075,1175,0.000475,-1.3288),(5075,1185,0.0003,-1.3324),(5075,1195,0.000125,-1.3376),(5075,1205,-4.9e-05,-1.3435),(5075,1215,-0.001758,-1.3494),(5075,1225,-0.004099,-1.3554),(5075,1235,-0.006441,-1.3637),(5075,1245,-0.008782,-1.373),(5075,1255,-0.000943,-1.3822),(5075,1265,0.010334,-1.3915),(5075,1275,0.021611,-1.3886),(5075,1285,0.032888,-1.382),(5075,1295,0.072817,-1.3755),(5075,1305,0.1205,-1.3689),(5075,1315,0.16817,-1.3281),(5075,1325,0.21585,-1.2791),(5075,1335,0.13247,-1.2302),(5075,1345,0.021619,-1.1812),(5075,1355,-0.089233,-1.2162),(5075,1365,-0.20008,-1.2664),(5075,1375,-0.17758,-1.3167),(5075,1385,-0.1345,-1.3669),(5075,1395,-0.09142,-1.3807),(5075,1405,-0.048341,-1.3899),(5075,1415,-0.031597,-1.3991),(5075,1425,-0.017588,-1.4083),(5075,1435,-0.00358,-1.3976),(5075,1445,0.010429,-1.3854),(5075,1455,0.008292,-1.3731),(5075,1465,0.005226,-1.3609),(5075,1475,0.002159,-1.3535),(5075,1485,-0.000908,-1.3463),(5075,1495,-0.001033,-1.339),(5075,1505,-0.001114,-1.3318),(5075,1515,-0.001194,-1.328),(5075,1525,-0.001262,-1.3242),(5075,1535,-0.000804,-1.3204),(5075,1545,-0.000347,-1.3166),(5075,1555,0.00011,-1.3136),(5075,1565,0.000544,-1.3106),(5075,1575,0.000637,-1.3076),(5075,1585,0.000731,-1.3047),(5075,1595,0.000824,-1.3018),(5075,1605,0.0009,-1.299),(5075,1615,0.000823,-1.2962),(5075,1625,0.000746,-1.2934),(5075,1635,0.000669,-1.2906),(5075,1645,0.000591,-1.2879),(5075,1655,0.000513,-1.2852),(5075,1665,0.000434,-1.2825),(5075,1675,0.000356,-1.28),(5075,1685,0.000286,-1.2774),(5075,1695,0.000253,-1.2749),(5075,1705,0.000219,-1.2724),(5075,1715,0.000186,-1.2701),(5075,1725,0.00016,-1.2679),(5075,1735,0.000159,-1.2656),(5075,1745,0.000158,-1.2633),(5075,1755,0.000156,-1.2613),(5075,1765,0.000154,-1.2593),(5075,1775,0.00015,-1.2572),(5075,1785,0.000145,-1.2552),(5075,1795,0.000141,-1.2534),(5075,1805,0.000136,-1.2516),(5075,1815,0.000129,-1.2498),(5075,1825,0.000122,-1.248),(5075,1835,0.000115,-1.2464),(5075,1845,0.000122,-1.2448),(5075,1855,0.000158,-1.2432),(5075,1865,0.000193,-1.2418),(5075,1875,0.000229,-1.2404),(5075,1885,0.000249,-1.2391),(5075,1895,0.000245,-1.2378),(5075,1905,0.000241,-1.2365),(5075,1915,0.000236,-1.2353),(5075,1925,0.000244,-1.2341),(5075,1935,0.000267,-1.2329),(5075,1945,0.000291,-1.2317),(5075,1955,0.000315,-1.2307),(5075,1965,0.000342,-1.2296),(5075,1975,0.000375,-1.2285),(5075,1985,0.000407,-1.2275),(5075,1995,0.000439,-1.2266),(5075,2005,0.000476,-1.2257),(5075,2015,0.000518,-1.2247),(5075,2025,0.00056,-1.2239),(5075,2035,0.000602,-1.223),(5075,2045,0.000645,-1.2222),(5075,2055,0.000689,-1.2214),(5075,2065,0.000733,-1.2207),(5075,2075,0.000778,-1.2199),(5075,2085,0.000829,-1.2192),(5075,2095,0.000885,-1.2185),(5075,2105,0.000942,-1.2179),(5075,2115,0.000998,-1.2173),(5075,2125,0.001055,-1.2167),(5075,2135,0.001113,-1.2161),(5075,2145,0.001171,-1.2156),(5075,2155,0.001229,-1.2151),(5075,2165,0.001278,-1.2147),(5075,2175,0.001322,-1.2142),(5075,2185,0.001366,-1.2138),(5075,2195,0.001411,-1.2135),(5075,2205,0.00144,-1.2131),(5075,2215,0.001462,-1.2128),(5075,2225,0.001485,-1.2125),(5075,2235,0.001507,-1.2122),(5075,2245,0.001552,-1.2119),(5075,2255,0.001604,-1.2116),(5075,2265,0.001656,-1.2115),(5075,2275,0.001708,-1.2113),(5075,2285,0.001723,-1.2112),(5075,2295,0.001727,-1.2111),(5075,2305,0.001731,-1.2109),(5075,2315,0.001735,-1.2108),(5075,2325,0.001789,-1.2107),(5075,2335,0.001854,-1.2106),(5075,2345,0.001919,-1.2106),(5075,2355,0.001983,-1.2105),(5075,2365,0.002055,-1.2105),(5075,2375,0.002128,-1.2105),(5075,2385,0.002201,-1.2105),(5075,2395,0.002273,-1.2105),(5075,2405,0.002358,-1.2105),(5075,2415,0.002444,-1.2105),(5075,2425,0.00253,-1.2106),(5075,2435,0.002616,-1.2107),(5075,2445,0.002717,-1.2107),(5075,2455,0.002819,-1.2108),(5075,2465,0.002921,-1.2109),(5075,2475,0.003023,-1.211),(5075,2485,0.003121,-1.2112),(5075,2495,0.00322,-1.2113),(5075,2505,0.003318,-1.2114),(5075,2515,0.003417,-1.2116),(5075,2525,0.003505,-1.2117),(5075,2535,0.003593,-1.2119),(5075,2545,0.00368,-1.2121),(5075,2555,0.003768,-1.2123),(5075,2565,0.00385,-1.2125),(5075,2575,0.003933,-1.2127),(5075,2585,0.004015,-1.2129),(5075,2595,0.004097,-1.2131),(5075,2605,0.004174,-1.2133),(5075,2615,0.004252,-1.2136),(5075,2625,0.004329,-1.2138),(5075,2635,0.004417,-1.214),(5075,2645,0.004566,-1.2142),(5075,2655,0.004714,-1.2144),(5075,2665,0.004863,-1.2148),(5075,2675,0.004997,-1.2151),(5075,2685,0.005055,-1.2154),(5075,2695,0.005113,-1.2158),(5075,2705,0.005171,-1.216),(5075,2715,0.005247,-1.2163),(5075,2725,0.005385,-1.2165),(5075,2735,0.005523,-1.2168),(5075,2745,0.005661,-1.2171),(5075,2755,0.0058,-1.2174),(5075,2765,0.005944,-1.2177),(5075,2775,0.006088,-1.218),(5075,2785,0.006232,-1.2183),(5075,2795,0.006376,-1.2186),(5075,2805,0.006521,-1.2189),(5075,2815,0.006666,-1.2192),(5075,2825,0.00681,-1.2195),(5075,2835,0.006955,-1.2198),(5075,2845,0.007097,-1.2201),(5075,2855,0.00724,-1.2204),(5075,2865,0.007382,-1.2206),(5075,2875,0.007525,-1.2209),(5075,2885,0.007669,-1.2212),(5075,2895,0.007813,-1.2215),(5075,2905,0.007958,-1.2217),(5075,2915,0.008108,-1.222),(5075,2925,0.008269,-1.2223),(5075,2935,0.008429,-1.2225),(5075,2945,0.00859,-1.2228),(5075,2955,0.008758,-1.223),(5075,2965,0.008936,-1.2233),(5075,2975,0.009114,-1.2235),(5075,2985,0.009293,-1.2238),(5075,2995,0.009475,-1.224),(5075,3005,0.009662,-1.2243),(5075,3015,0.009849,-1.2245),(5075,3025,0.010035,-1.2247),(5075,3035,0.01026,-1.2248),(5075,3045,0.010518,-1.225),(5075,3055,0.010777,-1.2252),(5075,3065,0.011035,-1.2255),(5075,3075,0.011236,-1.2257),(5075,3085,0.011394,-1.226),(5075,3095,0.011553,-1.2261),(5075,3105,0.011711,-1.2262),(5075,3115,0.011899,-1.2263),(5075,3125,0.012106,-1.2264),(5075,3135,0.012313,-1.2265),(5075,3145,0.01252,-1.2266),(5075,3155,0.012726,-1.2267),(5075,3165,0.012932,-1.2268),(5075,3175,0.013138,-1.2268),(5075,3185,0.013343,-1.2269),(5075,3195,0.013543,-1.2269),(5075,3205,0.013739,-1.2269),(5075,3215,0.013936,-1.2269),(5075,3225,0.014133,-1.2269),(5075,3235,0.014318,-1.2268),(5075,3245,0.014499,-1.2268),(5075,3255,0.01468,-1.2267),(5075,3265,0.014861,-1.2266),(5075,3275,0.015035,-1.2265),(5075,3285,0.015206,-1.2264),(5075,3295,0.015378,-1.2262),(5075,3305,0.01555,-1.2261),(5075,3315,0.015725,-1.2259),(5075,3325,0.015902,-1.2258),(5075,3335,0.016079,-1.2256),(5075,3345,0.016255,-1.2254),(5075,3355,0.016433,-1.2253),(5075,3365,0.016612,-1.2251),(5075,3375,0.01679,-1.2248),(5075,3385,0.016968,-1.2246),(5075,3395,0.017189,-1.2243),(5075,3405,0.017414,-1.2241),(5075,3415,0.01764,-1.2238),(5075,3425,0.017866,-1.2236),(5075,3435,0.017976,-1.2234),(5075,3445,0.018077,-1.2232),(5075,3455,0.018178,-1.2229),(5075,3465,0.018279,-1.2225),(5075,3475,0.018435,-1.2221),(5075,3485,0.018594,-1.2218),(5075,3495,0.018753,-1.2214),(5075,3505,0.018912,-1.2211),(5075,3515,0.019053,-1.2207),(5075,3525,0.019194,-1.2203),(5075,3535,0.019334,-1.2199),(5075,3545,0.019474,-1.2195),(5075,3555,0.01959,-1.2191),(5075,3565,0.019706,-1.2186),(5075,3575,0.019822,-1.2181),(5075,3585,0.019937,-1.2177),(5075,3595,0.020044,-1.2172),(5075,3605,0.020152,-1.2167),(5075,3615,0.020259,-1.2162),(5075,3625,0.020366,-1.2157),(5075,3635,0.02047,-1.2152),(5075,3645,0.020575,-1.2147),(5075,3655,0.020679,-1.2142),(5075,3665,0.020779,-1.2136),(5075,3675,0.020857,-1.2131),(5075,3685,0.020934,-1.2125),(5075,3695,0.021011,-1.2119),(5075,3705,0.021082,-1.2112),(5075,3715,0.02113,-1.2106),(5075,3725,0.021177,-1.21),(5075,3735,0.021225,-1.2094),(5075,3745,0.021265,-1.2088),(5075,3755,0.021285,-1.2081),(5075,3765,0.021305,-1.2075),(5075,3775,0.021324,-1.2068),(5075,3785,0.021368,-1.2062),(5075,3795,0.021474,-1.2055),(5075,3805,0.021579,-1.2049),(5075,3815,0.021684,-1.2043),(5075,3825,0.021793,-1.2038),(5075,3835,0.021909,-1.2033),(5075,3845,0.022025,-1.2028),(5075,3855,0.022141,-1.2025),(5075,3865,0.022146,-1.2022),(5075,3875,0.021956,-1.2019),(5075,3885,0.021766,-1.2023),(5075,3895,0.021576,-1.2036),(5075,3905,0.0209,-1.2049),(5075,3915,0.019497,-1.2062),(5075,3925,0.018094,-1.2083),(5075,3935,0.016692,-1.2113),(5075,3945,0.020164,-1.2143),(5075,3955,0.029825,-1.2173),(5075,3965,0.039487,-1.2148),(5075,3975,0.049148,-1.2057),(5075,3985,0.08234,-1.1966),(5075,3995,0.141,-1.1875),(5075,4005,0.19967,-1.1572),(5075,4015,0.25833,-1.1057),(5075,4025,0.29962,-1.0542),(5075,4035,0.33921,-1.0195),(5075,4045,0.3788,-1.0201),(5075,4055,0.45842,-1.0208),(5075,4065,0.55265,-1.021),(5075,4075,0.64688,-1.019),(5075,4085,0.69805,-1.017),(5075,4095,0.71461,-1.015),(5075,4105,0.73117,-1.0102),(5075,4115,0.74741,-1.0053),(5075,4125,0.76313,-1.0004),(5075,4135,0.77886,-0.9938),(5075,4145,0.79446,-0.98668),(5075,4155,0.80959,-0.97957),(5075,4165,0.82471,-0.97125),(5075,4175,0.83983,-0.96216),(5075,4185,0.85429,-0.95307),(5075,4195,0.86876,-0.94347),(5075,4205,0.88322,-0.93322),(5075,4215,0.89699,-0.92296),(5075,4225,0.91063,-0.91255),(5075,4235,0.92426,-0.90169),(5075,4245,0.93725,-0.89083),(5075,4255,0.94991,-0.87995),(5075,4265,0.96257,-0.86888),(5075,4275,0.97473,-0.85782),(5075,4285,0.98637,-0.84675),(5075,4295,0.99801,-0.8357),(5075,4305,1.0093,-0.82466),(5075,4315,1.0199,-0.81362),(5075,4325,1.0306,-0.80272),(5075,4335,1.041,-0.79188),(5075,4345,1.0507,-0.78103),(5075,4355,1.0603,-0.7704),(5075,4365,1.0699,-0.75996),(5075,4375,1.0788,-0.74951),(5075,4385,1.0875,-0.73922),(5075,4395,1.0963,-0.72921),(5075,4405,1.1045,-0.7192),(5075,4415,1.1124,-0.70927),(5075,4425,1.1204,-0.6997),(5075,4435,1.128,-0.69014),(5075,4445,1.1352,-0.68057),(5075,4455,1.1425,-0.67151),(5075,4465,1.1495,-0.66245),(5075,4475,1.1561,-0.65339),(5075,4485,1.1627,-0.64478),(5075,4495,1.1692,-0.63627),(5075,4505,1.1753,-0.62776),(5075,4515,1.1813,-0.61963),(5075,4525,1.1874,-0.61171),(5075,4535,1.1929,-0.60379),(5075,4545,1.1985,-0.59613),(5075,4555,1.2041,-0.58877),(5075,4565,1.2093,-0.58141),(5075,4575,1.2144,-0.57421),(5075,4585,1.2196,-0.56741),(5075,4595,1.2245,-0.56061),(5075,4605,1.2293,-0.55387),(5075,4615,1.2341,-0.54763),(5075,4625,1.2387,-0.5414),(5075,4635,1.2432,-0.53517),(5075,4645,1.2477,-0.52948),(5075,4655,1.2521,-0.52383),(5075,4665,1.2564,-0.51818),(5075,4675,1.2606,-0.51295),(5075,4685,1.2649,-0.50786),(5075,4695,1.2689,-0.50277),(5075,4705,1.273,-0.49797),(5075,4715,1.2771,-0.49337),(5075,4725,1.281,-0.48878),(5075,4735,1.285,-0.48439),(5075,4745,1.2889,-0.48032),(5075,4755,1.2928,-0.47624),(5075,4765,1.2966,-0.47227),(5075,4775,1.3004,-0.46867),(5075,4785,1.3042,-0.46507),(5075,4795,1.308,-0.46148),(5075,4805,1.3118,-0.45828),(5075,4815,1.3155,-0.45509),(5075,4825,1.3192,-0.45189),(5075,4835,1.323,-0.44901),(5075,4845,1.3267,-0.44618),(5075,4855,1.3303,-0.44335),(5075,4865,1.334,-0.44074),(5075,4875,1.3377,-0.43822),(5075,4885,1.3413,-0.4357),(5075,4895,1.3449,-0.43331),(5075,4905,1.3486,-0.43106),(5075,4915,1.3521,-0.42881),(5075,4925,1.3557,-0.42662),(5075,4935,1.3593,-0.42456),(5075,4945,1.3628,-0.42251),(5075,4955,1.3663,-0.42049),(5075,4965,1.3698,-0.41864),(5075,4975,1.3732,-0.41678),(5075,4985,1.3766,-0.41493),(5075,4995,1.38,-0.41318),(5075,5005,1.3834,-0.41144),(5075,5015,1.3867,-0.4097),(5075,5025,1.3899,-0.408),(5075,5035,1.3932,-0.40633),(5075,5045,1.3963,-0.40465),(5075,5055,1.3995,-0.40304),(5075,5065,1.4026,-0.40147),(5075,5075,1.4056,-0.3999),(5075,5085,1.4086,-0.39838),(5075,5095,1.4116,-0.39691),(5075,5105,1.4144,-0.39544),(5075,5115,1.4172,-0.394),(5075,5125,1.42,-0.3926),(5075,5135,1.4227,-0.39121),(5075,5145,1.4253,-0.38983),(5075,5155,1.4279,-0.38854),(5075,5165,1.4304,-0.38726),(5075,5175,1.4328,-0.38597),(5075,5185,1.4352,-0.38485),(5075,5195,1.4376,-0.38375),(5075,5205,1.4399,-0.38264),(5075,5215,1.4422,-0.3817),(5075,5225,1.4445,-0.38082),(5075,5235,1.4467,-0.37994),(5075,5245,1.4489,-0.37922),(5075,5255,1.4512,-0.37864),(5075,5265,1.4534,-0.37806),(5075,5275,1.4556,-0.37759),(5075,5285,1.4579,-0.37733),(5075,5295,1.4602,-0.37706),(5075,5305,1.4625,-0.37687),(5075,5315,1.4648,-0.37697),(5075,5325,1.4672,-0.37707),(5075,5335,1.4696,-0.37717),(5075,5345,1.4721,-0.37766),(5075,5355,1.4747,-0.37815),(5075,5365,1.4774,-0.37864),(5075,5375,1.4801,-0.37949),(5075,5385,1.4828,-0.3804),(5075,5395,1.4859,-0.38131),(5075,5405,1.4889,-0.3825),(5075,5415,1.4919,-0.38382),(5075,5425,1.4954,-0.38514),(5075,5435,1.4988,-0.38663),(5075,5445,1.5022,-0.38828),(5075,5455,1.506,-0.38994),(5075,5465,1.5098,-0.39168),(5075,5475,1.5137,-0.39364),(5075,5485,1.5179,-0.3956),(5075,5495,1.5223,-0.39759),(5075,5505,1.5266,-0.39977),(5075,5515,1.5312,-0.40195),(5075,5525,1.5361,-0.40413),(5075,5535,1.5409,-0.4064),(5075,5545,1.5459,-0.40867),(5075,5555,1.5512,-0.41094),(5075,5565,1.5566,-0.41316),(5075,5575,1.562,-0.41538),(5075,5585,1.5678,-0.41759),(5075,5595,1.5736,-0.41972),(5075,5605,1.5794,-0.42179),(5075,5615,1.5856,-0.42386),(5075,5625,1.5918,-0.42582),(5075,5635,1.598,-0.4276),(5075,5645,1.6045,-0.42939),(5075,5655,1.611,-0.43108),(5075,5665,1.6175,-0.4324),(5075,5675,1.6242,-0.43373),(5075,5685,1.631,-0.43503),(5075,5695,1.6377,-0.43573),(5075,5705,1.6445,-0.43644),(5075,5715,1.6513,-0.43714),(5075,5725,1.6582,-0.4373),(5075,5735,1.665,-0.43738),(5075,5745,1.6718,-0.43745),(5075,5755,1.6786,-0.43699),(5075,5765,1.6853,-0.4363),(5075,5775,1.692,-0.4356),(5075,5785,1.6986,-0.43455),(5075,5795,1.7053,-0.43317),(5075,5805,1.7118,-0.43179),(5075,5815,1.7182,-0.43018),(5075,5825,1.7246,-0.42815),(5075,5835,1.7309,-0.42611),(5075,5845,1.737,-0.42397),(5075,5855,1.7432,-0.42131),(5075,5865,1.7492,-0.41865),(5075,5875,1.7552,-0.41599),(5075,5885,1.7611,-0.41277),(5075,5895,1.7669,-0.40954),(5075,5905,1.7725,-0.40631),(5075,5915,1.7782,-0.40273),(5075,5925,1.7838,-0.39907),(5075,5935,1.7893,-0.3954),(5075,5945,1.7947,-0.39149),(5075,5955,1.8001,-0.38745),(5075,5965,1.8053,-0.3834),(5075,5975,1.8106,-0.37917),(5075,5985,1.8158,-0.37472),(5075,5995,1.8208,-0.37027),(5075,6005,1.8258,-0.36575),(5075,6015,1.8308,-0.36106),(5075,6025,1.8357,-0.35636),(5075,6035,1.8405,-0.35164),(5075,6045,1.8454,-0.34668),(5075,6055,1.8501,-0.34173),(5075,6065,1.8547,-0.33677),(5075,6075,1.8594,-0.3316),(5075,6085,1.8639,-0.32641),(5075,6095,1.8684,-0.32122),(5075,6105,1.8728,-0.31585),(5075,6115,1.8772,-0.31041),(5075,6125,1.8814,-0.30496),(5075,6135,1.8857,-0.29939),(5075,6145,1.8899,-0.29372),(5075,6155,1.8939,-0.28805),(5075,6165,1.8979,-0.28231),(5075,6175,1.902,-0.27647),(5075,6185,1.9058,-0.27063),(5075,6195,1.9096,-0.26476),(5075,6205,1.9134,-0.25878),(5075,6215,1.9171,-0.2528),(5075,6225,1.9207,-0.24682),(5075,6235,1.9243,-0.24071),(5075,6245,1.9278,-0.23461),(5075,6255,1.9311,-0.22851),(5075,6265,1.9344,-0.22225),(5075,6275,1.9377,-0.21596),(5075,6285,1.9407,-0.20967),(5075,6295,1.9438,-0.20327),(5075,6305,1.9469,-0.19682),(5075,6315,1.9497,-0.19036),(5075,6325,1.9524,-0.18385),(5075,6335,1.9552,-0.17728),(5075,6345,1.9577,-0.17071),(5075,6355,1.9602,-0.16411),(5075,6365,1.9627,-0.15744),(5075,6375,1.965,-0.15077),(5075,6385,1.9672,-0.1441),(5075,6395,1.9694,-0.13737),(5075,6405,1.9714,-0.13064),(5075,6415,1.9733,-0.12391),(5075,6425,1.9751,-0.11708),(5075,6435,1.9769,-0.11024),(5075,6445,1.9785,-0.1034),(5075,6455,1.98,-0.096527),(5075,6465,1.9815,-0.089644),(5075,6475,1.9828,-0.082762),(5075,6485,1.9841,-0.075844),(5075,6495,1.9853,-0.068902),(5075,6505,1.9862,-0.06196),(5075,6515,1.9872,-0.055022),(5075,6525,1.9881,-0.048088),(5075,6535,1.9888,-0.041154),(5075,6545,1.9894,-0.034213),(5075,6555,1.99,-0.02725),(5075,6565,1.9904,-0.020287),(5075,6575,1.9906,-0.013323),(5075,6585,1.9909,-0.006344),(5075,6595,1.6936,0.000635),(5075,6605,1.0678,0.007614),(5075,6615,0.44204,0.008452),(5075,6625,0.002112,0.008501),(5075,6635,0.002104,0.00855),(5075,6645,0.002095,0.008585),(5075,6655,0.002087,0.008615),(5075,6665,0.002079,0.008645),(5075,6675,0.002071,0.008674),(5075,6685,0.002063,0.0087),(5075,6695,0.002056,0.008726),(5075,6705,0.002049,0.008752),(5075,6715,0.002042,0.008774),(5075,6725,0.002036,0.008797),(5075,6735,0.00203,0.00882),(5075,6745,0.002024,0.00884),(5075,6755,0.002018,0.00886),(5075,6765,0.002013,0.00888),(5075,6775,0.002008,0.008898),(5075,6785,0.002003,0.008915),(5075,6795,0.001999,0.008933),(5075,6805,0.001994,0.008948),(5075,6815,0.00199,0.008963),(5075,6825,0.001987,0.008978),(5075,6835,0.001983,0.008992),(5075,6845,0.00198,0.009005),(5075,6855,0.001977,0.009018),(5075,6865,0.001974,0.009031),(5075,6875,0.001971,0.009042),(5075,6885,0.001969,0.009053),(5075,6895,0.001967,0.009064),(5075,6905,0.001965,0.009073),(5075,6915,0.001964,0.009083),(5075,6925,0.001962,0.009093),(5075,6935,0.001961,0.009101),(5075,6945,0.00196,0.009109),(5075,6955,0.001959,0.009117),(5075,6965,0.001959,0.009124),(5075,6975,0.001958,0.009131),(5075,6985,0.001958,0.009137),(5085,5,7e-06,-1.3408),(5085,15,2.2e-05,-1.341),(5085,25,3e-05,-1.3412),(5085,35,3.1e-05,-1.3413),(5085,45,3.3e-05,-1.3415),(5085,55,3.5e-05,-1.3416),(5085,65,3.7e-05,-1.3417),(5085,75,4.1e-05,-1.3418),(5085,85,4.4e-05,-1.342),(5085,95,4.7e-05,-1.3422),(5085,105,4.3e-05,-1.3424),(5085,115,3.3e-05,-1.3426),(5085,125,2.4e-05,-1.3429),(5085,135,1.4e-05,-1.3431),(5085,145,1.1e-05,-1.3434),(5085,155,1.1e-05,-1.3437),(5085,165,1.1e-05,-1.344),(5085,175,1.2e-05,-1.3443),(5085,185,1.9e-05,-1.3447),(5085,195,3.1e-05,-1.3451),(5085,205,4.2e-05,-1.3455),(5085,215,5.4e-05,-1.346),(5085,225,6.8e-05,-1.3465),(5085,235,8.3e-05,-1.347),(5085,245,9.8e-05,-1.3475),(5085,255,0.000113,-1.348),(5085,265,0.000106,-1.3486),(5085,275,9.2e-05,-1.3491),(5085,285,7.8e-05,-1.3497),(5085,295,6.4e-05,-1.3503),(5085,305,6.8e-05,-1.3509),(5085,315,7.6e-05,-1.3515),(5085,325,8.4e-05,-1.3523),(5085,335,9.2e-05,-1.353),(5085,345,8.2e-05,-1.3538),(5085,355,6.8e-05,-1.3546),(5085,365,5.5e-05,-1.3554),(5085,375,4.1e-05,-1.3562),(5085,385,1.4e-05,-1.357),(5085,395,-1.5e-05,-1.3577),(5085,405,-4.4e-05,-1.3586),(5085,415,-7.4e-05,-1.3595),(5085,425,-6.1e-05,-1.3604),(5085,435,-4.5e-05,-1.3613),(5085,445,-2.9e-05,-1.3623),(5085,455,-1.2e-05,-1.3634),(5085,465,4.7e-05,-1.3645),(5085,475,0.000108,-1.3656),(5085,485,0.000169,-1.3669),(5085,495,0.00023,-1.3682),(5085,505,0.000211,-1.3695),(5085,515,0.000191,-1.3708),(5085,525,0.000171,-1.3721),(5085,535,0.00015,-1.3734),(5085,545,8.2e-05,-1.3747),(5085,555,1.4e-05,-1.376),(5085,565,-5.4e-05,-1.3773),(5085,575,-0.00012,-1.3787),(5085,585,-0.000161,-1.3801),(5085,595,-0.000202,-1.3815),(5085,605,-0.000244,-1.383),(5085,615,-0.000278,-1.3846),(5085,625,-0.000261,-1.3861),(5085,635,-0.000243,-1.3877),(5085,645,-0.000226,-1.3895),(5085,655,-0.000203,-1.3913),(5085,665,-0.00015,-1.3931),(5085,675,-9.7e-05,-1.3949),(5085,685,-4.4e-05,-1.3968),(5085,695,5e-06,-1.3988),(5085,705,3.9e-05,-1.4007),(5085,715,7.3e-05,-1.4027),(5085,725,0.000107,-1.4048),(5085,735,0.000133,-1.4068),(5085,745,0.000132,-1.4089),(5085,755,0.00013,-1.411),(5085,765,0.000129,-1.4131),(5085,775,0.000114,-1.4153),(5085,785,6e-05,-1.4174),(5085,795,7e-06,-1.4196),(5085,805,-4.7e-05,-1.4219),(5085,815,-8.3e-05,-1.4242),(5085,825,-8.1e-05,-1.4265),(5085,835,-7.9e-05,-1.4289),(5085,845,-7.7e-05,-1.4314),(5085,855,-7.5e-05,-1.4339),(5085,865,-7.3e-05,-1.4364),(5085,875,-7.1e-05,-1.439),(5085,885,-6.9e-05,-1.4417),(5085,895,-5.5e-05,-1.4444),(5085,905,-2.3e-05,-1.4471),(5085,915,9e-06,-1.45),(5085,925,4e-05,-1.4529),(5085,935,7.1e-05,-1.4559),(5085,945,0.0001,-1.4589),(5085,955,0.000129,-1.462),(5085,965,0.000158,-1.4651),(5085,975,0.000171,-1.4683),(5085,985,0.000166,-1.4714),(5085,995,0.00016,-1.4747),(5085,1005,0.000155,-1.478),(5085,1015,0.000143,-1.4812),(5085,1025,0.000124,-1.4845),(5085,1035,0.000106,-1.4879),(5085,1045,8.7e-05,-1.4914),(5085,1055,4e-05,-1.4949),(5085,1065,-3.1e-05,-1.4983),(5085,1075,-0.000102,-1.5018),(5085,1085,-0.000173,-1.5053),(5085,1095,-0.000175,-1.5087),(5085,1105,-0.00013,-1.5122),(5085,1115,-8.5e-05,-1.5157),(5085,1125,-4e-05,-1.5192),(5085,1135,0.000273,-1.5227),(5085,1145,0.000745,-1.5262),(5085,1155,0.001217,-1.5301),(5085,1165,0.001689,-1.5342),(5085,1175,0.00249,-1.5383),(5085,1185,0.003454,-1.5424),(5085,1195,0.004418,-1.5491),(5085,1205,0.005382,-1.5568),(5085,1215,0.00539,-1.5646),(5085,1225,0.005004,-1.5723),(5085,1235,0.004618,-1.5845),(5085,1245,0.004232,-1.5983),(5085,1255,0.005891,-1.6121),(5085,1265,0.00824,-1.6259),(5085,1275,0.010588,-1.6176),(5085,1285,0.012937,-1.6026),(5085,1295,0.029991,-1.5876),(5085,1305,0.051022,-1.5726),(5085,1315,0.072053,-1.4891),(5085,1325,0.093084,-1.3892),(5085,1335,0.058332,-1.2892),(5085,1345,0.01189,-1.1893),(5085,1355,-0.034552,-1.2593),(5085,1365,-0.080994,-1.36),(5085,1375,-0.071619,-1.4608),(5085,1385,-0.053631,-1.5615),(5085,1395,-0.035643,-1.5907),(5085,1405,-0.017655,-1.6107),(5085,1415,-0.01405,-1.6307),(5085,1425,-0.011939,-1.6507),(5085,1435,-0.009827,-1.6352),(5085,1445,-0.007716,-1.6167),(5085,1455,-0.00785,-1.5983),(5085,1465,-0.008114,-1.5799),(5085,1475,-0.008377,-1.5701),(5085,1485,-0.008641,-1.5606),(5085,1495,-0.00718,-1.5511),(5085,1505,-0.005693,-1.5416),(5085,1515,-0.004206,-1.5373),(5085,1525,-0.002738,-1.5329),(5085,1535,-0.002035,-1.5286),(5085,1545,-0.001331,-1.5243),(5085,1555,-0.000628,-1.5209),(5085,1565,3.6e-05,-1.5175),(5085,1575,0.000126,-1.514),(5085,1585,0.000215,-1.5107),(5085,1595,0.000305,-1.5074),(5085,1605,0.000377,-1.5041),(5085,1615,0.000297,-1.5009),(5085,1625,0.000217,-1.4976),(5085,1635,0.000137,-1.4945),(5085,1645,5.9e-05,-1.4913),(5085,1655,-8e-06,-1.4882),(5085,1665,-7.5e-05,-1.4851),(5085,1675,-0.000141,-1.4821),(5085,1685,-0.000199,-1.4792),(5085,1695,-0.000217,-1.4763),(5085,1705,-0.000234,-1.4734),(5085,1715,-0.000251,-1.4708),(5085,1725,-0.000261,-1.4682),(5085,1735,-0.000244,-1.4655),(5085,1745,-0.000228,-1.4629),(5085,1755,-0.000211,-1.4606),(5085,1765,-0.000196,-1.4582),(5085,1775,-0.000185,-1.4559),(5085,1785,-0.000175,-1.4536),(5085,1795,-0.000164,-1.4515),(5085,1805,-0.000158,-1.4494),(5085,1815,-0.000162,-1.4473),(5085,1825,-0.000165,-1.4453),(5085,1835,-0.000169,-1.4434),(5085,1845,-0.000151,-1.4416),(5085,1855,-9.3e-05,-1.4398),(5085,1865,-3.4e-05,-1.438),(5085,1875,2.4e-05,-1.4365),(5085,1885,5.3e-05,-1.435),(5085,1895,3.4e-05,-1.4335),(5085,1905,1.6e-05,-1.432),(5085,1915,-3e-06,-1.4306),(5085,1925,0,-1.4292),(5085,1935,3.3e-05,-1.4278),(5085,1945,6.6e-05,-1.4265),(5085,1955,9.8e-05,-1.4252),(5085,1965,0.00013,-1.424),(5085,1975,0.000161,-1.4228),(5085,1985,0.000193,-1.4216),(5085,1995,0.000224,-1.4205),(5085,2005,0.000258,-1.4195),(5085,2015,0.000295,-1.4184),(5085,2025,0.000332,-1.4174),(5085,2035,0.000369,-1.4165),(5085,2045,0.000407,-1.4155),(5085,2055,0.000446,-1.4146),(5085,2065,0.000486,-1.4137),(5085,2075,0.000525,-1.4129),(5085,2085,0.000575,-1.412),(5085,2095,0.000632,-1.4112),(5085,2105,0.000689,-1.4105),(5085,2115,0.000746,-1.4098),(5085,2125,0.000805,-1.4091),(5085,2135,0.000865,-1.4084),(5085,2145,0.000925,-1.4079),(5085,2155,0.000984,-1.4073),(5085,2165,0.001034,-1.4068),(5085,2175,0.001078,-1.4063),(5085,2185,0.001123,-1.4058),(5085,2195,0.001167,-1.4054),(5085,2205,0.00119,-1.405),(5085,2215,0.001205,-1.4046),(5085,2225,0.001219,-1.4042),(5085,2235,0.001233,-1.4039),(5085,2245,0.001292,-1.4036),(5085,2255,0.001368,-1.4033),(5085,2265,0.001443,-1.4031),(5085,2275,0.001519,-1.4029),(5085,2285,0.001516,-1.4028),(5085,2295,0.001492,-1.4026),(5085,2305,0.001467,-1.4025),(5085,2315,0.001442,-1.4023),(5085,2325,0.001494,-1.4022),(5085,2335,0.001564,-1.402),(5085,2345,0.001633,-1.402),(5085,2355,0.001702,-1.402),(5085,2365,0.00177,-1.4019),(5085,2375,0.001837,-1.4019),(5085,2385,0.001905,-1.4019),(5085,2395,0.001972,-1.4019),(5085,2405,0.002051,-1.402),(5085,2415,0.002131,-1.402),(5085,2425,0.002211,-1.402),(5085,2435,0.002291,-1.4021),(5085,2445,0.002388,-1.4022),(5085,2455,0.002487,-1.4023),(5085,2465,0.002586,-1.4024),(5085,2475,0.002684,-1.4025),(5085,2485,0.00278,-1.4027),(5085,2495,0.002875,-1.4028),(5085,2505,0.002971,-1.403),(5085,2515,0.003066,-1.4032),(5085,2525,0.003149,-1.4034),(5085,2535,0.003233,-1.4035),(5085,2545,0.003317,-1.4038),(5085,2555,0.0034,-1.404),(5085,2565,0.003477,-1.4042),(5085,2575,0.003554,-1.4044),(5085,2585,0.003631,-1.4047),(5085,2595,0.003707,-1.405),(5085,2605,0.003765,-1.4052),(5085,2615,0.003822,-1.4055),(5085,2625,0.00388,-1.4057),(5085,2635,0.003955,-1.406),(5085,2645,0.004135,-1.4062),(5085,2655,0.004315,-1.4065),(5085,2665,0.004496,-1.4069),(5085,2675,0.004646,-1.4073),(5085,2685,0.004651,-1.4077),(5085,2695,0.004656,-1.408),(5085,2705,0.004661,-1.4083),(5085,2715,0.004695,-1.4086),(5085,2725,0.004834,-1.4089),(5085,2735,0.004973,-1.4092),(5085,2745,0.005112,-1.4095),(5085,2755,0.005249,-1.4099),(5085,2765,0.005382,-1.4102),(5085,2775,0.005514,-1.4106),(5085,2785,0.005646,-1.4109),(5085,2795,0.005778,-1.4113),(5085,2805,0.005908,-1.4116),(5085,2815,0.006039,-1.412),(5085,2825,0.00617,-1.4123),(5085,2835,0.0063,-1.4127),(5085,2845,0.006431,-1.413),(5085,2855,0.006562,-1.4133),(5085,2865,0.006693,-1.4137),(5085,2875,0.006825,-1.414),(5085,2885,0.006958,-1.4143),(5085,2895,0.007092,-1.4146),(5085,2905,0.007225,-1.4149),(5085,2915,0.007364,-1.4152),(5085,2925,0.007509,-1.4155),(5085,2935,0.007655,-1.4158),(5085,2945,0.007801,-1.4161),(5085,2955,0.007952,-1.4164),(5085,2965,0.008109,-1.4167),(5085,2975,0.008266,-1.417),(5085,2985,0.008424,-1.4173),(5085,2995,0.008578,-1.4176),(5085,3005,0.008729,-1.4178),(5085,3015,0.00888,-1.4181),(5085,3025,0.009031,-1.4183),(5085,3035,0.00925,-1.4185),(5085,3045,0.00953,-1.4187),(5085,3055,0.009809,-1.4189),(5085,3065,0.010088,-1.4192),(5085,3075,0.010272,-1.4195),(5085,3085,0.010384,-1.4198),(5085,3095,0.010496,-1.42),(5085,3105,0.010607,-1.4201),(5085,3115,0.01078,-1.4202),(5085,3125,0.010992,-1.4204),(5085,3135,0.011205,-1.4205),(5085,3145,0.011417,-1.4206),(5085,3155,0.011615,-1.4206),(5085,3165,0.011805,-1.4207),(5085,3175,0.011995,-1.4208),(5085,3185,0.012185,-1.4208),(5085,3195,0.012367,-1.4209),(5085,3205,0.012545,-1.4209),(5085,3215,0.012723,-1.4209),(5085,3225,0.012901,-1.4208),(5085,3235,0.01307,-1.4208),(5085,3245,0.013236,-1.4208),(5085,3255,0.013401,-1.4207),(5085,3265,0.013567,-1.4205),(5085,3275,0.013722,-1.4204),(5085,3285,0.013875,-1.4203),(5085,3295,0.014028,-1.4201),(5085,3305,0.01418,-1.4199),(5085,3315,0.014332,-1.4198),(5085,3325,0.014483,-1.4196),(5085,3335,0.014634,-1.4194),(5085,3345,0.014785,-1.4192),(5085,3355,0.014934,-1.419),(5085,3365,0.015083,-1.4188),(5085,3375,0.015231,-1.4185),(5085,3385,0.01538,-1.4182),(5085,3395,0.01563,-1.4179),(5085,3405,0.015893,-1.4176),(5085,3415,0.016156,-1.4173),(5085,3425,0.01642,-1.4171),(5085,3435,0.016488,-1.4169),(5085,3445,0.016541,-1.4166),(5085,3455,0.016595,-1.4162),(5085,3465,0.016648,-1.4158),(5085,3475,0.016806,-1.4154),(5085,3485,0.016968,-1.415),(5085,3495,0.017129,-1.4146),(5085,3505,0.017291,-1.4141),(5085,3515,0.017428,-1.4137),(5085,3525,0.017565,-1.4133),(5085,3535,0.017702,-1.4128),(5085,3545,0.017838,-1.4123),(5085,3555,0.017956,-1.4118),(5085,3565,0.018073,-1.4113),(5085,3575,0.018191,-1.4108),(5085,3585,0.018307,-1.4102),(5085,3595,0.01841,-1.4097),(5085,3605,0.018514,-1.4091),(5085,3615,0.018618,-1.4085),(5085,3625,0.018721,-1.4079),(5085,3635,0.01882,-1.4074),(5085,3645,0.01892,-1.4068),(5085,3655,0.01902,-1.4061),(5085,3665,0.019116,-1.4055),(5085,3675,0.019194,-1.4049),(5085,3685,0.019271,-1.4042),(5085,3695,0.019349,-1.4035),(5085,3705,0.019421,-1.4028),(5085,3715,0.01947,-1.4021),(5085,3725,0.019519,-1.4014),(5085,3735,0.019568,-1.4006),(5085,3745,0.019605,-1.3999),(5085,3755,0.019604,-1.3992),(5085,3765,0.019604,-1.3984),(5085,3775,0.019604,-1.3977),(5085,3785,0.01964,-1.3969),(5085,3795,0.01977,-1.3961),(5085,3805,0.019899,-1.3954),(5085,3815,0.020029,-1.3947),(5085,3825,0.020182,-1.3941),(5085,3835,0.020386,-1.3935),(5085,3845,0.02059,-1.3929),(5085,3855,0.020794,-1.3926),(5085,3865,0.021106,-1.3923),(5085,3875,0.021609,-1.3919),(5085,3885,0.022111,-1.3925),(5085,3895,0.022613,-1.3947),(5085,3905,0.022737,-1.3968),(5085,3915,0.022296,-1.3989),(5085,3925,0.021855,-1.4023),(5085,3935,0.021414,-1.4076),(5085,3945,0.022285,-1.4128),(5085,3955,0.024821,-1.4181),(5085,3965,0.027358,-1.4129),(5085,3975,0.029894,-1.3956),(5085,3985,0.04454,-1.3782),(5085,3995,0.072295,-1.3609),(5085,4005,0.10005,-1.2999),(5085,4015,0.12781,-1.1951),(5085,4025,0.20485,-1.0903),(5085,4035,0.28671,-1.0198),(5085,4045,0.36858,-1.0212),(5085,4055,0.45883,-1.0227),(5085,4065,0.55215,-1.0238),(5085,4075,0.64546,-1.0227),(5085,4085,0.69571,-1.0216),(5085,4095,0.71135,-1.0205),(5085,4105,0.72699,-1.0165),(5085,4115,0.74237,-1.0124),(5085,4125,0.75731,-1.0084),(5085,4135,0.77226,-1.0026),(5085,4145,0.7871,-0.99626),(5085,4155,0.80154,-0.98995),(5085,4165,0.81597,-0.98235),(5085,4175,0.8304,-0.9739),(5085,4185,0.8444,-0.96546),(5085,4195,0.85841,-0.95645),(5085,4205,0.87242,-0.94671),(5085,4215,0.88587,-0.93696),(5085,4225,0.89921,-0.92704),(5085,4235,0.91256,-0.91657),(5085,4245,0.92535,-0.90611),(5085,4255,0.93786,-0.89562),(5085,4265,0.95037,-0.88483),(5085,4275,0.96244,-0.87404),(5085,4285,0.97402,-0.86324),(5085,4295,0.98561,-0.85239),(5085,4305,0.99691,-0.84153),(5085,4315,1.0076,-0.83067),(5085,4325,1.0182,-0.81992),(5085,4335,1.0287,-0.8092),(5085,4345,1.0384,-0.79849),(5085,4355,1.0481,-0.78797),(5085,4365,1.0578,-0.77762),(5085,4375,1.0667,-0.76726),(5085,4385,1.0756,-0.75706),(5085,4395,1.0845,-0.74713),(5085,4405,1.0928,-0.7372),(5085,4415,1.1009,-0.72735),(5085,4425,1.109,-0.71784),(5085,4435,1.1166,-0.70832),(5085,4445,1.1241,-0.69881),(5085,4455,1.1315,-0.6898),(5085,4465,1.1386,-0.68078),(5085,4475,1.1454,-0.67177),(5085,4485,1.1521,-0.66319),(5085,4495,1.1588,-0.65471),(5085,4505,1.165,-0.64623),(5085,4515,1.1712,-0.63813),(5085,4525,1.1774,-0.63024),(5085,4535,1.1832,-0.62234),(5085,4545,1.1889,-0.61471),(5085,4555,1.1946,-0.60736),(5085,4565,1.2,-0.60001),(5085,4575,1.2053,-0.59283),(5085,4585,1.2106,-0.58604),(5085,4595,1.2157,-0.57926),(5085,4605,1.2207,-0.57253),(5085,4615,1.2256,-0.5663),(5085,4625,1.2304,-0.56007),(5085,4635,1.2351,-0.55383),(5085,4645,1.2397,-0.54814),(5085,4655,1.2443,-0.54248),(5085,4665,1.2487,-0.53683),(5085,4675,1.2531,-0.53159),(5085,4685,1.2575,-0.52648),(5085,4695,1.2617,-0.52137),(5085,4705,1.266,-0.51654),(5085,4715,1.2702,-0.51191),(5085,4725,1.2743,-0.50728),(5085,4735,1.2784,-0.50285),(5085,4745,1.2825,-0.49874),(5085,4755,1.2864,-0.49462),(5085,4765,1.2904,-0.4906),(5085,4775,1.2943,-0.48693),(5085,4785,1.2982,-0.48326),(5085,4795,1.3021,-0.47961),(5085,4805,1.306,-0.47633),(5085,4815,1.3099,-0.47304),(5085,4825,1.3137,-0.46976),(5085,4835,1.3175,-0.46678),(5085,4845,1.3213,-0.46385),(5085,4855,1.3251,-0.46092),(5085,4865,1.3288,-0.4582),(5085,4875,1.3326,-0.45556),(5085,4885,1.3363,-0.45293),(5085,4895,1.34,-0.45042),(5085,4905,1.3436,-0.44804),(5085,4915,1.3473,-0.44565),(5085,4925,1.3509,-0.44333),(5085,4935,1.3545,-0.44114),(5085,4945,1.3581,-0.43895),(5085,4955,1.3616,-0.4368),(5085,4965,1.3652,-0.43481),(5085,4975,1.3687,-0.43283),(5085,4985,1.3721,-0.43085),(5085,4995,1.3755,-0.42897),(5085,5005,1.3789,-0.42709),(5085,5015,1.3822,-0.42521),(5085,5025,1.3855,-0.42339),(5085,5035,1.3888,-0.42159),(5085,5045,1.392,-0.41979),(5085,5055,1.3952,-0.41806),(5085,5065,1.3983,-0.41637),(5085,5075,1.4013,-0.41468),(5085,5085,1.4043,-0.41305),(5085,5095,1.4073,-0.41148),(5085,5105,1.4102,-0.40992),(5085,5115,1.413,-0.40837),(5085,5125,1.4158,-0.40689),(5085,5135,1.4185,-0.4054),(5085,5145,1.4212,-0.40393),(5085,5155,1.4238,-0.40258),(5085,5165,1.4264,-0.40122),(5085,5175,1.4289,-0.39987),(5085,5185,1.4313,-0.39869),(5085,5195,1.4338,-0.39753),(5085,5205,1.4361,-0.39638),(5085,5215,1.4385,-0.39539),(5085,5225,1.4409,-0.39447),(5085,5235,1.4432,-0.39355),(5085,5245,1.4455,-0.39279),(5085,5255,1.4478,-0.39218),(5085,5265,1.4502,-0.39156),(5085,5275,1.4525,-0.39106),(5085,5285,1.4548,-0.39076),(5085,5295,1.4572,-0.39046),(5085,5305,1.4596,-0.39023),(5085,5315,1.462,-0.39029),(5085,5325,1.4645,-0.39035),(5085,5335,1.4671,-0.39041),(5085,5345,1.4697,-0.39083),(5085,5355,1.4724,-0.39126),(5085,5365,1.4752,-0.39168),(5085,5375,1.478,-0.39244),(5085,5385,1.4808,-0.39326),(5085,5395,1.484,-0.39408),(5085,5405,1.4871,-0.39515),(5085,5415,1.4902,-0.39635),(5085,5425,1.4937,-0.39755),(5085,5435,1.4972,-0.39889),(5085,5445,1.5007,-0.40038),(5085,5455,1.5046,-0.40187),(5085,5465,1.5085,-0.40344),(5085,5475,1.5124,-0.40519),(5085,5485,1.5167,-0.40694),(5085,5495,1.5211,-0.40871),(5085,5505,1.5255,-0.41064),(5085,5515,1.5301,-0.41257),(5085,5525,1.5349,-0.41449),(5085,5535,1.5398,-0.41646),(5085,5545,1.5448,-0.41844),(5085,5555,1.5501,-0.42041),(5085,5565,1.5554,-0.4223),(5085,5575,1.5607,-0.42418),(5085,5585,1.5665,-0.42605),(5085,5595,1.5722,-0.42782),(5085,5605,1.5779,-0.42951),(5085,5615,1.584,-0.4312),(5085,5625,1.59,-0.43277),(5085,5635,1.5961,-0.43416),(5085,5645,1.6024,-0.43556),(5085,5655,1.6088,-0.43684),(5085,5665,1.6152,-0.43777),(5085,5675,1.6217,-0.4387),(5085,5685,1.6282,-0.4396),(5085,5695,1.6348,-0.43992),(5085,5705,1.6414,-0.44023),(5085,5715,1.648,-0.44055),(5085,5725,1.6546,-0.44035),(5085,5735,1.6612,-0.44009),(5085,5745,1.6678,-0.43982),(5085,5755,1.6744,-0.43904),(5085,5765,1.6809,-0.43804),(5085,5775,1.6874,-0.43704),(5085,5785,1.6938,-0.43572),(5085,5795,1.7003,-0.4341),(5085,5805,1.7065,-0.43247),(5085,5815,1.7128,-0.43064),(5085,5825,1.719,-0.42842),(5085,5835,1.7251,-0.42619),(5085,5845,1.7311,-0.42387),(5085,5855,1.737,-0.42106),(5085,5865,1.7429,-0.41826),(5085,5875,1.7487,-0.41546),(5085,5885,1.7544,-0.41214),(5085,5895,1.7601,-0.40881),(5085,5905,1.7656,-0.40549),(5085,5915,1.7711,-0.40183),(5085,5925,1.7766,-0.3981),(5085,5935,1.7819,-0.39437),(5085,5945,1.7872,-0.39042),(5085,5955,1.7925,-0.38634),(5085,5965,1.7976,-0.38227),(5085,5975,1.8027,-0.37801),(5085,5985,1.8078,-0.37353),(5085,5995,1.8127,-0.36905),(5085,6005,1.8177,-0.36451),(5085,6015,1.8226,-0.35981),(5085,6025,1.8274,-0.35511),(5085,6035,1.8321,-0.35039),(5085,6045,1.8368,-0.34544),(5085,6055,1.8415,-0.3405),(5085,6065,1.846,-0.33555),(5085,6075,1.8506,-0.33039),(5085,6085,1.8551,-0.32522),(5085,6095,1.8594,-0.32004),(5085,6105,1.8638,-0.31468),(5085,6115,1.8681,-0.30926),(5085,6125,1.8723,-0.30384),(5085,6135,1.8764,-0.29829),(5085,6145,1.8806,-0.29264),(5085,6155,1.8846,-0.28699),(5085,6165,1.8885,-0.28127),(5085,6175,1.8925,-0.27545),(5085,6185,1.8962,-0.26962),(5085,6195,1.9,-0.26377),(5085,6205,1.9037,-0.25782),(5085,6215,1.9073,-0.25187),(5085,6225,1.9109,-0.24591),(5085,6235,1.9144,-0.23984),(5085,6245,1.9178,-0.23377),(5085,6255,1.9211,-0.2277),(5085,6265,1.9244,-0.22146),(5085,6275,1.9276,-0.21521),(5085,6285,1.9306,-0.20895),(5085,6295,1.9336,-0.20257),(5085,6305,1.9366,-0.19614),(5085,6315,1.9394,-0.18971),(5085,6325,1.9421,-0.18322),(5085,6335,1.9449,-0.17668),(5085,6345,1.9474,-0.17015),(5085,6355,1.9498,-0.16358),(5085,6365,1.9523,-0.15694),(5085,6375,1.9545,-0.1503),(5085,6385,1.9567,-0.14365),(5085,6395,1.9588,-0.13695),(5085,6405,1.9608,-0.13024),(5085,6415,1.9626,-0.12353),(5085,6425,1.9645,-0.11672),(5085,6435,1.9662,-0.10991),(5085,6445,1.9678,-0.10309),(5085,6455,1.9693,-0.096234),(5085,6465,1.9708,-0.08937),(5085,6475,1.972,-0.082505),(5085,6485,1.9733,-0.075605),(5085,6495,1.9745,-0.068682),(5085,6505,1.9754,-0.061759),(5085,6515,1.9763,-0.054841),(5085,6525,1.9773,-0.04793),(5085,6535,1.9779,-0.041018),(5085,6545,1.9785,-0.0341),(5085,6555,1.9791,-0.027164),(5085,6565,1.9795,-0.020228),(5085,6575,1.9797,-0.013291),(5085,6585,1.98,-0.006329),(5085,6595,1.6844,0.000633),(5085,6605,1.062,0.007594),(5085,6615,0.4396,0.008434),(5085,6625,0.002074,0.008486),(5085,6635,0.002067,0.008539),(5085,6645,0.00206,0.008576),(5085,6655,0.002052,0.008606),(5085,6665,0.002046,0.008637),(5085,6675,0.002039,0.008665),(5085,6685,0.002033,0.008692),(5085,6695,0.002027,0.008719),(5085,6705,0.002021,0.008744),(5085,6715,0.002015,0.008767),(5085,6725,0.00201,0.008791),(5085,6735,0.002004,0.008814),(5085,6745,0.001999,0.008834),(5085,6755,0.001995,0.008854),(5085,6765,0.00199,0.008875),(5085,6775,0.001986,0.008892),(5085,6785,0.001982,0.00891),(5085,6795,0.001978,0.008928),(5085,6805,0.001975,0.008944),(5085,6815,0.001971,0.008959),(5085,6825,0.001968,0.008974),(5085,6835,0.001965,0.008989),(5085,6845,0.001962,0.009002),(5085,6855,0.00196,0.009015),(5085,6865,0.001958,0.009028),(5085,6875,0.001956,0.009039),(5085,6885,0.001955,0.009051),(5085,6895,0.001953,0.009062),(5085,6905,0.001951,0.009071),(5085,6915,0.00195,0.009081),(5085,6925,0.00195,0.009091),(5085,6935,0.001949,0.009099),(5085,6945,0.001948,0.009108),(5085,6955,0.001948,0.009116),(5085,6965,0.001948,0.009123),(5085,6975,0.001948,0.00913),(5085,6985,0.001948,0.009137),(5095,5,8e-06,-1.4347),(5095,15,2.3e-05,-1.4348),(5095,25,3.1e-05,-1.435),(5095,35,3.3e-05,-1.4352),(5095,45,3.5e-05,-1.4353),(5095,55,3.6e-05,-1.4355),(5095,65,4.1e-05,-1.4356),(5095,75,4.7e-05,-1.4357),(5095,85,5.3e-05,-1.4359),(5095,95,5.9e-05,-1.4361),(5095,105,5.5e-05,-1.4363),(5095,115,4.6e-05,-1.4366),(5095,125,3.7e-05,-1.4368),(5095,135,2.8e-05,-1.4371),(5095,145,2.5e-05,-1.4374),(5095,155,2.7e-05,-1.4377),(5095,165,2.8e-05,-1.438),(5095,175,2.9e-05,-1.4384),(5095,185,4e-05,-1.4388),(5095,195,5.5e-05,-1.4392),(5095,205,7e-05,-1.4396),(5095,215,8.5e-05,-1.4402),(5095,225,0.000106,-1.4407),(5095,235,0.000128,-1.4412),(5095,245,0.000151,-1.4418),(5095,255,0.000174,-1.4424),(5095,265,0.000168,-1.4429),(5095,275,0.000153,-1.4435),(5095,285,0.000138,-1.4442),(5095,295,0.000124,-1.4448),(5095,305,0.000128,-1.4454),(5095,315,0.000138,-1.4461),(5095,325,0.000148,-1.4469),(5095,335,0.000157,-1.4477),(5095,345,0.000149,-1.4486),(5095,355,0.000136,-1.4494),(5095,365,0.000124,-1.4502),(5095,375,0.000111,-1.4511),(5095,385,7.8e-05,-1.4519),(5095,395,4.2e-05,-1.4528),(5095,405,6e-06,-1.4537),(5095,415,-3e-05,-1.4546),(5095,425,-1.6e-05,-1.4556),(5095,435,3e-06,-1.4565),(5095,445,2.2e-05,-1.4577),(5095,455,4e-05,-1.4588),(5095,465,0.000119,-1.4599),(5095,475,0.0002,-1.4611),(5095,485,0.000281,-1.4625),(5095,495,0.000363,-1.4639),(5095,505,0.000352,-1.4653),(5095,515,0.000341,-1.4668),(5095,525,0.00033,-1.4681),(5095,535,0.000316,-1.4695),(5095,545,0.000243,-1.4709),(5095,555,0.000169,-1.4723),(5095,565,9.5e-05,-1.4737),(5095,575,2.4e-05,-1.4752),(5095,585,-2.5e-05,-1.4766),(5095,595,-7.3e-05,-1.4781),(5095,605,-0.000122,-1.4798),(5095,615,-0.000162,-1.4814),(5095,625,-0.000145,-1.4831),(5095,635,-0.000127,-1.4848),(5095,645,-0.000109,-1.4867),(5095,655,-8.4e-05,-1.4886),(5095,665,-2e-05,-1.4905),(5095,675,4.4e-05,-1.4924),(5095,685,0.000107,-1.4945),(5095,695,0.000168,-1.4966),(5095,705,0.000217,-1.4987),(5095,715,0.000266,-1.5008),(5095,725,0.000315,-1.503),(5095,735,0.000355,-1.5052),(5095,745,0.000369,-1.5074),(5095,755,0.000383,-1.5097),(5095,765,0.000397,-1.512),(5095,775,0.00039,-1.5143),(5095,785,0.000325,-1.5166),(5095,795,0.00026,-1.5189),(5095,805,0.000195,-1.5214),(5095,815,0.000153,-1.5238),(5095,825,0.000158,-1.5262),(5095,835,0.000164,-1.5288),(5095,845,0.00017,-1.5315),(5095,855,0.000176,-1.5342),(5095,865,0.000183,-1.5369),(5095,875,0.000191,-1.5397),(5095,885,0.000198,-1.5425),(5095,895,0.000221,-1.5454),(5095,905,0.000268,-1.5483),(5095,915,0.000316,-1.5513),(5095,925,0.000363,-1.5545),(5095,935,0.00041,-1.5577),(5095,945,0.000459,-1.5609),(5095,955,0.000507,-1.5641),(5095,965,0.000556,-1.5675),(5095,975,0.000586,-1.5709),(5095,985,0.000597,-1.5743),(5095,995,0.000607,-1.5777),(5095,1005,0.000617,-1.5812),(5095,1015,0.000621,-1.5847),(5095,1025,0.000619,-1.5882),(5095,1035,0.000617,-1.5919),(5095,1045,0.000615,-1.5956),(5095,1055,0.000574,-1.5993),(5095,1065,0.0005,-1.6031),(5095,1075,0.000427,-1.6068),(5095,1085,0.000353,-1.6105),(5095,1095,0.00035,-1.6142),(5095,1105,0.000396,-1.618),(5095,1115,0.000442,-1.6217),(5095,1125,0.000489,-1.6255),(5095,1135,0.000918,-1.6292),(5095,1145,0.001573,-1.633),(5095,1155,0.002228,-1.637),(5095,1165,0.002883,-1.6413),(5095,1175,0.004505,-1.6455),(5095,1185,0.006608,-1.6498),(5095,1195,0.008711,-1.6566),(5095,1205,0.010814,-1.6646),(5095,1215,0.012539,-1.6726),(5095,1225,0.014108,-1.6805),(5095,1235,0.015677,-1.6936),(5095,1245,0.017247,-1.7085),(5095,1255,0.012725,-1.7234),(5095,1265,0.006145,-1.7384),(5095,1275,-0.000434,-1.727),(5095,1285,-0.007013,-1.7078),(5095,1295,-0.012835,-1.6885),(5095,1305,-0.018452,-1.6693),(5095,1315,-0.024069,-1.5654),(5095,1325,-0.029686,-1.4413),(5095,1335,-0.015805,-1.3172),(5095,1345,0.002162,-1.1931),(5095,1355,0.020129,-1.2782),(5095,1365,0.038096,-1.4012),(5095,1375,0.034343,-1.5243),(5095,1385,0.027239,-1.6473),(5095,1395,0.020135,-1.6844),(5095,1405,0.013031,-1.7104),(5095,1415,0.003497,-1.7365),(5095,1425,-0.006289,-1.7625),(5095,1435,-0.016075,-1.7463),(5095,1445,-0.025862,-1.7267),(5095,1455,-0.023993,-1.7072),(5095,1465,-0.021453,-1.6876),(5095,1475,-0.018913,-1.6776),(5095,1485,-0.016373,-1.6679),(5095,1495,-0.013326,-1.6583),(5095,1505,-0.010271,-1.6487),(5095,1515,-0.007217,-1.6442),(5095,1525,-0.004214,-1.6398),(5095,1535,-0.003265,-1.6353),(5095,1545,-0.002315,-1.6309),(5095,1555,-0.001366,-1.6273),(5095,1565,-0.000472,-1.6236),(5095,1575,-0.000386,-1.62),(5095,1585,-0.0003,-1.6164),(5095,1595,-0.000214,-1.6128),(5095,1605,-0.000145,-1.6093),(5095,1615,-0.000228,-1.6058),(5095,1625,-0.000311,-1.6023),(5095,1635,-0.000395,-1.5989),(5095,1645,-0.000474,-1.5955),(5095,1655,-0.000529,-1.5922),(5095,1665,-0.000584,-1.5888),(5095,1675,-0.000639,-1.5857),(5095,1685,-0.000684,-1.5826),(5095,1695,-0.000686,-1.5795),(5095,1705,-0.000687,-1.5764),(5095,1715,-0.000689,-1.5736),(5095,1725,-0.000682,-1.5708),(5095,1735,-0.000648,-1.568),(5095,1745,-0.000613,-1.5652),(5095,1755,-0.000578,-1.5627),(5095,1765,-0.000546,-1.5602),(5095,1775,-0.000521,-1.5577),(5095,1785,-0.000495,-1.5553),(5095,1795,-0.00047,-1.553),(5095,1805,-0.000452,-1.5508),(5095,1815,-0.000452,-1.5485),(5095,1825,-0.000452,-1.5464),(5095,1835,-0.000452,-1.5444),(5095,1845,-0.000425,-1.5424),(5095,1855,-0.000343,-1.5405),(5095,1865,-0.000262,-1.5386),(5095,1875,-0.000181,-1.537),(5095,1885,-0.000143,-1.5354),(5095,1895,-0.000176,-1.5337),(5095,1905,-0.000209,-1.5322),(5095,1915,-0.000242,-1.5307),(5095,1925,-0.000243,-1.5292),(5095,1935,-0.000202,-1.5277),(5095,1945,-0.00016,-1.5263),(5095,1955,-0.000118,-1.525),(5095,1965,-8.2e-05,-1.5236),(5095,1975,-5.2e-05,-1.5223),(5095,1985,-2.2e-05,-1.5211),(5095,1995,9e-06,-1.5199),(5095,2005,4e-05,-1.5188),(5095,2015,7.2e-05,-1.5176),(5095,2025,0.000104,-1.5166),(5095,2035,0.000136,-1.5155),(5095,2045,0.000169,-1.5145),(5095,2055,0.000204,-1.5135),(5095,2065,0.000238,-1.5126),(5095,2075,0.000273,-1.5117),(5095,2085,0.000321,-1.5108),(5095,2095,0.000379,-1.5099),(5095,2105,0.000436,-1.5091),(5095,2115,0.000494,-1.5084),(5095,2125,0.000554,-1.5077),(5095,2135,0.000616,-1.507),(5095,2145,0.000678,-1.5063),(5095,2155,0.00074,-1.5058),(5095,2165,0.00079,-1.5052),(5095,2175,0.000835,-1.5046),(5095,2185,0.000879,-1.5042),(5095,2195,0.000923,-1.5037),(5095,2205,0.000941,-1.5033),(5095,2215,0.000947,-1.5029),(5095,2225,0.000953,-1.5025),(5095,2235,0.000958,-1.5022),(5095,2245,0.001033,-1.5018),(5095,2255,0.001132,-1.5015),(5095,2265,0.001231,-1.5013),(5095,2275,0.001329,-1.5011),(5095,2285,0.00131,-1.5009),(5095,2295,0.001257,-1.5007),(5095,2305,0.001203,-1.5006),(5095,2315,0.00115,-1.5004),(5095,2325,0.0012,-1.5003),(5095,2335,0.001273,-1.5001),(5095,2345,0.001347,-1.5001),(5095,2355,0.00142,-1.5001),(5095,2365,0.001484,-1.5),(5095,2375,0.001546,-1.5),(5095,2385,0.001609,-1.5),(5095,2395,0.001671,-1.5),(5095,2405,0.001744,-1.5),(5095,2415,0.001818,-1.5001),(5095,2425,0.001892,-1.5001),(5095,2435,0.001966,-1.5002),(5095,2445,0.00206,-1.5003),(5095,2455,0.002155,-1.5004),(5095,2465,0.002251,-1.5005),(5095,2475,0.002346,-1.5007),(5095,2485,0.002438,-1.5008),(5095,2495,0.00253,-1.501),(5095,2505,0.002622,-1.5011),(5095,2515,0.002714,-1.5013),(5095,2525,0.002794,-1.5015),(5095,2535,0.002874,-1.5017),(5095,2545,0.002954,-1.5019),(5095,2555,0.003033,-1.5022),(5095,2565,0.003105,-1.5024),(5095,2575,0.003176,-1.5027),(5095,2585,0.003248,-1.5029),(5095,2595,0.003317,-1.5032),(5095,2605,0.003355,-1.5035),(5095,2615,0.003393,-1.5038),(5095,2625,0.003431,-1.5041),(5095,2635,0.003493,-1.5043),(5095,2645,0.003705,-1.5046),(5095,2655,0.003916,-1.5049),(5095,2665,0.004128,-1.5053),(5095,2675,0.004295,-1.5057),(5095,2685,0.004247,-1.5061),(5095,2695,0.004199,-1.5065),(5095,2705,0.004152,-1.5068),(5095,2715,0.004144,-1.5071),(5095,2725,0.004284,-1.5074),(5095,2735,0.004424,-1.5078),(5095,2745,0.004564,-1.5081),(5095,2755,0.004699,-1.5085),(5095,2765,0.004819,-1.5089),(5095,2775,0.00494,-1.5092),(5095,2785,0.00506,-1.5096),(5095,2795,0.005179,-1.51),(5095,2805,0.005296,-1.5104),(5095,2815,0.005412,-1.5107),(5095,2825,0.005529,-1.5111),(5095,2835,0.005646,-1.5115),(5095,2845,0.005765,-1.5118),(5095,2855,0.005884,-1.5122),(5095,2865,0.006004,-1.5125),(5095,2875,0.006124,-1.5129),(5095,2885,0.006247,-1.5132),(5095,2895,0.00637,-1.5135),(5095,2905,0.006493,-1.5139),(5095,2915,0.006619,-1.5142),(5095,2925,0.00675,-1.5145),(5095,2935,0.006881,-1.5149),(5095,2945,0.007013,-1.5152),(5095,2955,0.007146,-1.5155),(5095,2965,0.007282,-1.5158),(5095,2975,0.007419,-1.5161),(5095,2985,0.007555,-1.5164),(5095,2995,0.007681,-1.5167),(5095,3005,0.007796,-1.517),(5095,3015,0.007912,-1.5173),(5095,3025,0.008027,-1.5175),(5095,3035,0.00824,-1.5177),(5095,3045,0.008541,-1.5179),(5095,3055,0.008842,-1.5182),(5095,3065,0.009142,-1.5185),(5095,3075,0.009309,-1.5188),(5095,3085,0.009373,-1.519),(5095,3095,0.009439,-1.5192),(5095,3105,0.009503,-1.5194),(5095,3115,0.009661,-1.5195),(5095,3125,0.009879,-1.5197),(5095,3135,0.010097,-1.5198),(5095,3145,0.010314,-1.5199),(5095,3155,0.010504,-1.52),(5095,3165,0.010679,-1.5201),(5095,3175,0.010853,-1.5202),(5095,3185,0.011028,-1.5202),(5095,3195,0.011192,-1.5202),(5095,3205,0.011351,-1.5203),(5095,3215,0.01151,-1.5203),(5095,3225,0.011669,-1.5202),(5095,3235,0.011822,-1.5202),(5095,3245,0.011972,-1.5201),(5095,3255,0.012123,-1.52),(5095,3265,0.012273,-1.5199),(5095,3275,0.01241,-1.5198),(5095,3285,0.012544,-1.5196),(5095,3295,0.012677,-1.5194),(5095,3305,0.01281,-1.5193),(5095,3315,0.012938,-1.5191),(5095,3325,0.013063,-1.5189),(5095,3335,0.013189,-1.5187),(5095,3345,0.013315,-1.5184),(5095,3355,0.013435,-1.5182),(5095,3365,0.013554,-1.518),(5095,3375,0.013673,-1.5177),(5095,3385,0.013792,-1.5174),(5095,3395,0.014072,-1.5171),(5095,3405,0.014372,-1.5168),(5095,3415,0.014672,-1.5165),(5095,3425,0.014973,-1.5162),(5095,3435,0.015,-1.5159),(5095,3445,0.015006,-1.5157),(5095,3455,0.015011,-1.5152),(5095,3465,0.015017,-1.5148),(5095,3475,0.015176,-1.5144),(5095,3485,0.015341,-1.5139),(5095,3495,0.015506,-1.5135),(5095,3505,0.015671,-1.513),(5095,3515,0.015804,-1.5126),(5095,3525,0.015937,-1.5122),(5095,3535,0.01607,-1.5116),(5095,3545,0.016202,-1.5111),(5095,3555,0.016321,-1.5106),(5095,3565,0.01644,-1.51),(5095,3575,0.016559,-1.5094),(5095,3585,0.016677,-1.5089),(5095,3595,0.016776,-1.5083),(5095,3605,0.016876,-1.5077),(5095,3615,0.016976,-1.507),(5095,3625,0.017076,-1.5064),(5095,3635,0.017171,-1.5058),(5095,3645,0.017266,-1.5052),(5095,3655,0.017361,-1.5045),(5095,3665,0.017453,-1.5038),(5095,3675,0.017531,-1.5031),(5095,3685,0.017609,-1.5025),(5095,3695,0.017687,-1.5017),(5095,3705,0.017759,-1.5009),(5095,3715,0.01781,-1.5002),(5095,3725,0.01786,-1.4994),(5095,3735,0.017911,-1.4986),(5095,3745,0.017944,-1.4979),(5095,3755,0.017924,-1.4971),(5095,3765,0.017903,-1.4963),(5095,3775,0.017883,-1.4955),(5095,3785,0.017912,-1.4947),(5095,3795,0.018065,-1.4939),(5095,3805,0.018219,-1.4931),(5095,3815,0.018373,-1.4924),(5095,3825,0.018571,-1.4917),(5095,3835,0.018864,-1.491),(5095,3845,0.019156,-1.4904),(5095,3855,0.019448,-1.4899),(5095,3865,0.020067,-1.4895),(5095,3875,0.021261,-1.4891),(5095,3885,0.022456,-1.4896),(5095,3895,0.02365,-1.4918),(5095,3905,0.024575,-1.4939),(5095,3915,0.025095,-1.496),(5095,3925,0.025616,-1.4998),(5095,3935,0.026137,-1.5058),(5095,3945,0.024407,-1.5118),(5095,3955,0.019818,-1.5178),(5095,3965,0.015229,-1.5115),(5095,3975,0.01064,-1.4909),(5095,3985,0.006741,-1.4702),(5095,3995,0.003588,-1.4496),(5095,4005,0.000435,-1.3732),(5095,4015,-0.002718,-1.241),(5095,4025,0.11008,-1.1088),(5095,4035,0.23422,-1.0199),(5095,4045,0.35836,-1.0219),(5095,4055,0.45924,-1.024),(5095,4065,0.55164,-1.0257),(5095,4075,0.64404,-1.0254),(5095,4085,0.69336,-1.0251),(5095,4095,0.70808,-1.0247),(5095,4105,0.7228,-1.0215),(5095,4115,0.73732,-1.0183),(5095,4125,0.75149,-1.015),(5095,4135,0.76566,-1.0099),(5095,4145,0.77974,-1.0044),(5095,4155,0.79349,-0.99885),(5095,4165,0.80723,-0.99198),(5095,4175,0.82096,-0.98427),(5095,4185,0.83451,-0.97655),(5095,4195,0.84806,-0.96822),(5095,4205,0.86161,-0.95908),(5095,4215,0.87474,-0.94994),(5095,4225,0.8878,-0.94059),(5095,4235,0.90086,-0.93061),(5095,4245,0.91346,-0.92062),(5095,4255,0.92582,-0.91061),(5095,4265,0.93818,-0.90018),(5095,4275,0.95014,-0.88975),(5095,4285,0.96168,-0.87932),(5095,4295,0.97322,-0.86874),(5095,4305,0.98449,-0.85814),(5095,4315,0.99516,-0.84754),(5095,4325,1.0058,-0.837),(5095,4335,1.0164,-0.82649),(5095,4345,1.0262,-0.81598),(5095,4355,1.0359,-0.80564),(5095,4365,1.0457,-0.79543),(5095,4375,1.0547,-0.78523),(5095,4385,1.0637,-0.77517),(5095,4395,1.0727,-0.76536),(5095,4405,1.0811,-0.75555),(5095,4415,1.0893,-0.74581),(5095,4425,1.0975,-0.73639),(5095,4435,1.1053,-0.72696),(5095,4445,1.1129,-0.71754),(5095,4455,1.1205,-0.70858),(5095,4465,1.1278,-0.69961),(5095,4475,1.1347,-0.69065),(5095,4485,1.1416,-0.68211),(5095,4495,1.1484,-0.67366),(5095,4505,1.1547,-0.66522),(5095,4515,1.1611,-0.65715),(5095,4525,1.1675,-0.64929),(5095,4535,1.1734,-0.64143),(5095,4545,1.1793,-0.63381),(5095,4555,1.1852,-0.62647),(5095,4565,1.1907,-0.61912),(5095,4575,1.1962,-0.61194),(5095,4585,1.2017,-0.60516),(5095,4595,1.2069,-0.59839),(5095,4605,1.212,-0.59167),(5095,4615,1.2171,-0.58542),(5095,4625,1.2221,-0.57917),(5095,4635,1.2269,-0.57292),(5095,4645,1.2317,-0.56721),(5095,4655,1.2365,-0.56153),(5095,4665,1.241,-0.55586),(5095,4675,1.2456,-0.55058),(5095,4685,1.2501,-0.54544),(5095,4695,1.2545,-0.54029),(5095,4705,1.2589,-0.53542),(5095,4715,1.2633,-0.53074),(5095,4725,1.2675,-0.52606),(5095,4735,1.2718,-0.52158),(5095,4745,1.276,-0.51739),(5095,4755,1.2801,-0.5132),(5095,4765,1.2842,-0.50911),(5095,4775,1.2882,-0.50536),(5095,4785,1.2923,-0.50161),(5095,4795,1.2963,-0.49787),(5095,4805,1.3003,-0.49449),(5095,4815,1.3042,-0.4911),(5095,4825,1.3082,-0.48771),(5095,4835,1.3121,-0.48462),(5095,4845,1.316,-0.48158),(5095,4855,1.3198,-0.47854),(5095,4865,1.3236,-0.47569),(5095,4875,1.3275,-0.47293),(5095,4885,1.3312,-0.47017),(5095,4895,1.335,-0.46754),(5095,4905,1.3387,-0.46502),(5095,4915,1.3424,-0.4625),(5095,4925,1.3461,-0.46004),(5095,4935,1.3498,-0.45771),(5095,4945,1.3534,-0.45538),(5095,4955,1.357,-0.45308),(5095,4965,1.3606,-0.45097),(5095,4975,1.3641,-0.44885),(5095,4985,1.3676,-0.44674),(5095,4995,1.371,-0.44472),(5095,5005,1.3744,-0.4427),(5095,5015,1.3778,-0.44069),(5095,5025,1.3811,-0.43874),(5095,5035,1.3844,-0.43681),(5095,5045,1.3876,-0.43488),(5095,5055,1.3908,-0.43303),(5095,5065,1.394,-0.43123),(5095,5075,1.397,-0.42943),(5095,5085,1.4001,-0.42768),(5095,5095,1.4031,-0.42601),(5095,5105,1.406,-0.42433),(5095,5115,1.4088,-0.42268),(5095,5125,1.4117,-0.4211),(5095,5135,1.4144,-0.41952),(5095,5145,1.4171,-0.41795),(5095,5155,1.4198,-0.41651),(5095,5165,1.4224,-0.41508),(5095,5175,1.4249,-0.41364),(5095,5185,1.4274,-0.4124),(5095,5195,1.4299,-0.41118),(5095,5205,1.4324,-0.40995),(5095,5215,1.4348,-0.4089),(5095,5225,1.4373,-0.40792),(5095,5235,1.4397,-0.40694),(5095,5245,1.4421,-0.40613),(5095,5255,1.4445,-0.40546),(5095,5265,1.4469,-0.40478),(5095,5275,1.4493,-0.40422),(5095,5285,1.4518,-0.40386),(5095,5295,1.4543,-0.4035),(5095,5305,1.4568,-0.40321),(5095,5315,1.4593,-0.40319),(5095,5325,1.4619,-0.40317),(5095,5335,1.4646,-0.40316),(5095,5345,1.4673,-0.40349),(5095,5355,1.47,-0.40382),(5095,5365,1.473,-0.40415),(5095,5375,1.4759,-0.40478),(5095,5385,1.4789,-0.40548),(5095,5395,1.4821,-0.40618),(5095,5405,1.4853,-0.4071),(5095,5415,1.4885,-0.40815),(5095,5425,1.4921,-0.4092),(5095,5435,1.4957,-0.41037),(5095,5445,1.4993,-0.41166),(5095,5455,1.5032,-0.41296),(5095,5465,1.5072,-0.41433),(5095,5475,1.5112,-0.41585),(5095,5485,1.5155,-0.41737),(5095,5495,1.5199,-0.41891),(5095,5505,1.5243,-0.42057),(5095,5515,1.529,-0.42223),(5095,5525,1.5338,-0.42389),(5095,5535,1.5387,-0.42556),(5095,5545,1.5436,-0.42724),(5095,5555,1.5489,-0.42891),(5095,5565,1.5542,-0.43048),(5095,5575,1.5595,-0.43202),(5095,5585,1.5651,-0.43357),(5095,5595,1.5708,-0.43499),(5095,5605,1.5764,-0.43632),(5095,5615,1.5823,-0.43766),(5095,5625,1.5883,-0.43887),(5095,5635,1.5943,-0.43989),(5095,5645,1.6004,-0.44091),(5095,5655,1.6066,-0.44183),(5095,5665,1.6129,-0.44239),(5095,5675,1.6191,-0.44296),(5095,5685,1.6255,-0.44349),(5095,5695,1.6318,-0.44348),(5095,5705,1.6382,-0.44346),(5095,5715,1.6446,-0.44345),(5095,5725,1.6511,-0.44294),(5095,5735,1.6575,-0.44237),(5095,5745,1.6638,-0.44179),(5095,5755,1.6702,-0.44073),(5095,5765,1.6765,-0.43947),(5095,5775,1.6828,-0.4382),(5095,5785,1.689,-0.43664),(5095,5795,1.6952,-0.43481),(5095,5805,1.7013,-0.43297),(5095,5815,1.7073,-0.43095),(5095,5825,1.7134,-0.42856),(5095,5835,1.7193,-0.42617),(5095,5845,1.7251,-0.42369),(5095,5855,1.7309,-0.42077),(5095,5865,1.7366,-0.41784),(5095,5875,1.7422,-0.41492),(5095,5885,1.7478,-0.41151),(5095,5895,1.7533,-0.4081),(5095,5905,1.7586,-0.40469),(5095,5915,1.764,-0.40097),(5095,5925,1.7694,-0.39718),(5095,5935,1.7745,-0.39339),(5095,5945,1.7797,-0.38939),(5095,5955,1.7849,-0.38527),(5095,5965,1.7898,-0.38115),(5095,5975,1.7948,-0.37687),(5095,5985,1.7998,-0.37238),(5095,5995,1.8046,-0.36789),(5095,6005,1.8095,-0.36334),(5095,6015,1.8143,-0.35863),(5095,6025,1.819,-0.35392),(5095,6035,1.8237,-0.34919),(5095,6045,1.8283,-0.34425),(5095,6055,1.8329,-0.33931),(5095,6065,1.8373,-0.33436),(5095,6075,1.8418,-0.32921),(5095,6085,1.8462,-0.32405),(5095,6095,1.8505,-0.31888),(5095,6105,1.8548,-0.31354),(5095,6115,1.859,-0.30814),(5095,6125,1.8631,-0.30274),(5095,6135,1.8672,-0.2972),(5095,6145,1.8713,-0.29157),(5095,6155,1.8752,-0.28594),(5095,6165,1.8791,-0.28024),(5095,6175,1.8829,-0.27443),(5095,6185,1.8867,-0.26863),(5095,6195,1.8903,-0.26279),(5095,6205,1.894,-0.25686),(5095,6215,1.8976,-0.25093),(5095,6225,1.901,-0.24499),(5095,6235,1.9045,-0.23895),(5095,6245,1.9079,-0.2329),(5095,6255,1.9111,-0.22685),(5095,6265,1.9143,-0.22064),(5095,6275,1.9175,-0.21441),(5095,6285,1.9204,-0.20817),(5095,6295,1.9234,-0.20182),(5095,6305,1.9263,-0.19542),(5095,6315,1.9291,-0.18903),(5095,6325,1.9318,-0.18257),(5095,6335,1.9345,-0.17606),(5095,6345,1.937,-0.16955),(5095,6355,1.9394,-0.16301),(5095,6365,1.9418,-0.1564),(5095,6375,1.944,-0.14979),(5095,6385,1.9461,-0.14317),(5095,6395,1.9483,-0.13649),(5095,6405,1.9502,-0.1298),(5095,6415,1.952,-0.12312),(5095,6425,1.9539,-0.11634),(5095,6435,1.9556,-0.10954),(5095,6445,1.9571,-0.10275),(5095,6455,1.9586,-0.095918),(5095,6465,1.9601,-0.089074),(5095,6475,1.9613,-0.082229),(5095,6485,1.9625,-0.075348),(5095,6495,1.9637,-0.068443),(5095,6505,1.9646,-0.061539),(5095,6515,1.9655,-0.05464),(5095,6525,1.9664,-0.047748),(5095,6535,1.967,-0.040856),(5095,6545,1.9676,-0.033959),(5095,6555,1.9682,-0.027045),(5095,6565,1.9686,-0.020131),(5095,6575,1.9689,-0.013215),(5095,6585,1.9691,-0.006282),(5095,6595,1.6751,0.000651),(5095,6605,1.0561,0.007585),(5095,6615,0.43715,0.008423),(5095,6625,0.002036,0.008477),(5095,6635,0.00203,0.008532),(5095,6645,0.002024,0.00857),(5095,6655,0.002018,0.0086),(5095,6665,0.002013,0.008631),(5095,6675,0.002007,0.008659),(5095,6685,0.002002,0.008686),(5095,6695,0.001997,0.008713),(5095,6705,0.001992,0.008739),(5095,6715,0.001987,0.008762),(5095,6725,0.001983,0.008786),(5095,6735,0.001979,0.008809),(5095,6745,0.001975,0.00883),(5095,6755,0.001971,0.00885),(5095,6765,0.001967,0.008871),(5095,6775,0.001964,0.008889),(5095,6785,0.00196,0.008907),(5095,6795,0.001958,0.008925),(5095,6805,0.001955,0.008941),(5095,6815,0.001952,0.008956),(5095,6825,0.00195,0.008972),(5095,6835,0.001948,0.008986),(5095,6845,0.001945,0.009),(5095,6855,0.001944,0.009013),(5095,6865,0.001942,0.009026),(5095,6875,0.001941,0.009038),(5095,6885,0.00194,0.009049),(5095,6895,0.001939,0.009061),(5095,6905,0.001938,0.009071),(5095,6915,0.001937,0.009081),(5095,6925,0.001937,0.00909),(5095,6935,0.001936,0.009099),(5095,6945,0.001936,0.009107),(5095,6955,0.001937,0.009116),(5095,6965,0.001937,0.009123),(5095,6975,0.001937,0.00913),(5095,6985,0.001938,0.009137),(5105,5,8e-06,-1.4347),(5105,15,2.3e-05,-1.4348),(5105,25,3.2e-05,-1.435),(5105,35,3.4e-05,-1.4352),(5105,45,3.6e-05,-1.4353),(5105,55,3.8e-05,-1.4355),(5105,65,4.4e-05,-1.4356),(5105,75,5.3e-05,-1.4357),(5105,85,6.1e-05,-1.4359),(5105,95,7e-05,-1.4361),(5105,105,6.8e-05,-1.4363),(5105,115,5.9e-05,-1.4366),(5105,125,5e-05,-1.4369),(5105,135,4.1e-05,-1.4371),(5105,145,3.9e-05,-1.4374),(5105,155,4.2e-05,-1.4377),(5105,165,4.4e-05,-1.438),(5105,175,4.7e-05,-1.4384),(5105,185,6e-05,-1.4388),(5105,195,7.9e-05,-1.4392),(5105,205,9.8e-05,-1.4396),(5105,215,0.000117,-1.4401),(5105,225,0.000144,-1.4407),(5105,235,0.000174,-1.4412),(5105,245,0.000204,-1.4417),(5105,255,0.000234,-1.4423),(5105,265,0.00023,-1.4429),(5105,275,0.000214,-1.4435),(5105,285,0.000199,-1.4442),(5105,295,0.000183,-1.4448),(5105,305,0.000189,-1.4454),(5105,315,0.0002,-1.4461),(5105,325,0.000212,-1.4469),(5105,335,0.000223,-1.4477),(5105,345,0.000216,-1.4486),(5105,355,0.000204,-1.4494),(5105,365,0.000193,-1.4503),(5105,375,0.000182,-1.4511),(5105,385,0.000143,-1.452),(5105,395,9.9e-05,-1.4528),(5105,405,5.6e-05,-1.4537),(5105,415,1.3e-05,-1.4547),(5105,425,2.9e-05,-1.4556),(5105,435,5e-05,-1.4566),(5105,445,7.2e-05,-1.4577),(5105,455,9.3e-05,-1.4588),(5105,465,0.000191,-1.4599),(5105,475,0.000292,-1.461),(5105,485,0.000394,-1.4624),(5105,495,0.000495,-1.4639),(5105,505,0.000493,-1.4653),(5105,515,0.000491,-1.4667),(5105,525,0.000488,-1.4681),(5105,535,0.000483,-1.4695),(5105,545,0.000403,-1.4709),(5105,555,0.000324,-1.4723),(5105,565,0.000245,-1.4738),(5105,575,0.000167,-1.4752),(5105,585,0.000112,-1.4767),(5105,595,5.6e-05,-1.4782),(5105,605,0,-1.4798),(5105,615,-4.7e-05,-1.4815),(5105,625,-2.9e-05,-1.4831),(5105,635,-1e-05,-1.4848),(5105,645,8e-06,-1.4867),(5105,655,3.5e-05,-1.4886),(5105,665,0.00011,-1.4904),(5105,675,0.000184,-1.4924),(5105,685,0.000259,-1.4944),(5105,695,0.000332,-1.4965),(5105,705,0.000395,-1.4986),(5105,715,0.000459,-1.5007),(5105,725,0.000523,-1.503),(5105,735,0.000578,-1.5052),(5105,745,0.000607,-1.5075),(5105,755,0.000636,-1.5097),(5105,765,0.000665,-1.512),(5105,775,0.000666,-1.5143),(5105,785,0.00059,-1.5166),(5105,795,0.000514,-1.5189),(5105,805,0.000438,-1.5214),(5105,815,0.000388,-1.5238),(5105,825,0.000397,-1.5263),(5105,835,0.000407,-1.5288),(5105,845,0.000416,-1.5315),(5105,855,0.000427,-1.5342),(5105,865,0.00044,-1.5369),(5105,875,0.000453,-1.5397),(5105,885,0.000466,-1.5425),(5105,895,0.000498,-1.5454),(5105,905,0.00056,-1.5482),(5105,915,0.000622,-1.5512),(5105,925,0.000685,-1.5544),(5105,935,0.00075,-1.5576),(5105,945,0.000817,-1.5608),(5105,955,0.000885,-1.5641),(5105,965,0.000953,-1.5675),(5105,975,0.001002,-1.5709),(5105,985,0.001028,-1.5742),(5105,995,0.001053,-1.5777),(5105,1005,0.001079,-1.5812),(5105,1015,0.0011,-1.5847),(5105,1025,0.001114,-1.5882),(5105,1035,0.001129,-1.5918),(5105,1045,0.001144,-1.5956),(5105,1055,0.001108,-1.5993),(5105,1065,0.001032,-1.6031),(5105,1075,0.000955,-1.6068),(5105,1085,0.000878,-1.6106),(5105,1095,0.000875,-1.6144),(5105,1105,0.000922,-1.6182),(5105,1115,0.00097,-1.622),(5105,1125,0.001018,-1.6257),(5105,1135,0.001562,-1.6295),(5105,1145,0.0024,-1.6333),(5105,1155,0.003238,-1.6372),(5105,1165,0.004076,-1.6412),(5105,1175,0.00652,-1.6452),(5105,1185,0.009762,-1.6492),(5105,1195,0.013004,-1.6549),(5105,1205,0.016245,-1.6614),(5105,1215,0.019687,-1.668),(5105,1225,0.023212,-1.6745),(5105,1235,0.026736,-1.6854),(5105,1245,0.030261,-1.6978),(5105,1255,0.019559,-1.7103),(5105,1265,0.004051,-1.7227),(5105,1275,-0.011456,-1.7109),(5105,1285,-0.026963,-1.6917),(5105,1295,-0.055661,-1.6726),(5105,1305,-0.087926,-1.6534),(5105,1315,-0.12019,-1.5528),(5105,1325,-0.15246,-1.4326),(5105,1335,-0.089943,-1.3124),(5105,1345,-0.007567,-1.1922),(5105,1355,0.074809,-1.2717),(5105,1365,0.15719,-1.3874),(5105,1375,0.1403,-1.5031),(5105,1385,0.10811,-1.6188),(5105,1395,0.075912,-1.6559),(5105,1405,0.043716,-1.6829),(5105,1415,0.021044,-1.71),(5105,1425,-0.00064,-1.737),(5105,1435,-0.022323,-1.7247),(5105,1445,-0.044007,-1.7092),(5105,1455,-0.040136,-1.6937),(5105,1465,-0.034792,-1.6782),(5105,1475,-0.029449,-1.6704),(5105,1485,-0.024106,-1.6628),(5105,1495,-0.019473,-1.6552),(5105,1505,-0.01485,-1.6477),(5105,1515,-0.010228,-1.6436),(5105,1525,-0.005691,-1.6396),(5105,1535,-0.004495,-1.6355),(5105,1545,-0.003299,-1.6314),(5105,1555,-0.002104,-1.6277),(5105,1565,-0.00098,-1.6241),(5105,1575,-0.000897,-1.6204),(5105,1585,-0.000815,-1.6167),(5105,1595,-0.000733,-1.6131),(5105,1605,-0.000668,-1.6095),(5105,1615,-0.000754,-1.6059),(5105,1625,-0.00084,-1.6023),(5105,1635,-0.000926,-1.5989),(5105,1645,-0.001006,-1.5955),(5105,1655,-0.00105,-1.5922),(5105,1665,-0.001093,-1.5888),(5105,1675,-0.001136,-1.5857),(5105,1685,-0.001169,-1.5826),(5105,1695,-0.001155,-1.5794),(5105,1705,-0.001141,-1.5764),(5105,1715,-0.001126,-1.5736),(5105,1725,-0.001104,-1.5708),(5105,1735,-0.001051,-1.5679),(5105,1745,-0.000998,-1.5652),(5105,1755,-0.000946,-1.5627),(5105,1765,-0.000896,-1.5602),(5105,1775,-0.000856,-1.5577),(5105,1785,-0.000815,-1.5553),(5105,1795,-0.000775,-1.553),(5105,1805,-0.000746,-1.5508),(5105,1815,-0.000742,-1.5485),(5105,1825,-0.000739,-1.5464),(5105,1835,-0.000736,-1.5444),(5105,1845,-0.000698,-1.5425),(5105,1855,-0.000594,-1.5405),(5105,1865,-0.00049,-1.5387),(5105,1875,-0.000386,-1.537),(5105,1885,-0.000339,-1.5353),(5105,1895,-0.000386,-1.5337),(5105,1905,-0.000434,-1.5321),(5105,1915,-0.000481,-1.5306),(5105,1925,-0.000487,-1.5292),(5105,1935,-0.000436,-1.5277),(5105,1945,-0.000386,-1.5263),(5105,1955,-0.000335,-1.525),(5105,1965,-0.000294,-1.5236),(5105,1975,-0.000265,-1.5223),(5105,1985,-0.000236,-1.5211),(5105,1995,-0.000207,-1.5199),(5105,2005,-0.000178,-1.5188),(5105,2015,-0.000151,-1.5176),(5105,2025,-0.000124,-1.5166),(5105,2035,-9.7e-05,-1.5156),(5105,2045,-6.8e-05,-1.5145),(5105,2055,-3.9e-05,-1.5135),(5105,2065,-9e-06,-1.5126),(5105,2075,2.1e-05,-1.5117),(5105,2085,6.7e-05,-1.5108),(5105,2095,0.000125,-1.5099),(5105,2105,0.000183,-1.5091),(5105,2115,0.000242,-1.5084),(5105,2125,0.000303,-1.5077),(5105,2135,0.000368,-1.507),(5105,2145,0.000432,-1.5063),(5105,2155,0.000496,-1.5058),(5105,2165,0.000547,-1.5052),(5105,2175,0.000591,-1.5046),(5105,2185,0.000635,-1.5042),(5105,2195,0.00068,-1.5037),(5105,2205,0.000691,-1.5033),(5105,2215,0.000689,-1.5028),(5105,2225,0.000686,-1.5025),(5105,2235,0.000684,-1.5022),(5105,2245,0.000773,-1.5019),(5105,2255,0.000896,-1.5016),(5105,2265,0.001018,-1.5013),(5105,2275,0.00114,-1.5011),(5105,2285,0.001104,-1.5008),(5105,2295,0.001021,-1.5006),(5105,2305,0.000939,-1.5005),(5105,2315,0.000857,-1.5004),(5105,2325,0.000906,-1.5002),(5105,2335,0.000983,-1.5001),(5105,2345,0.001061,-1.5001),(5105,2355,0.001138,-1.5001),(5105,2365,0.001198,-1.5),(5105,2375,0.001256,-1.5),(5105,2385,0.001313,-1.5),(5105,2395,0.00137,-1.5),(5105,2405,0.001437,-1.5),(5105,2415,0.001505,-1.5),(5105,2425,0.001573,-1.5001),(5105,2435,0.001642,-1.5002),(5105,2445,0.001732,-1.5003),(5105,2455,0.001824,-1.5003),(5105,2465,0.001916,-1.5005),(5105,2475,0.002008,-1.5006),(5105,2485,0.002097,-1.5008),(5105,2495,0.002186,-1.5009),(5105,2505,0.002274,-1.5011),(5105,2515,0.002363,-1.5013),(5105,2525,0.002439,-1.5015),(5105,2535,0.002514,-1.5017),(5105,2545,0.00259,-1.5019),(5105,2555,0.002665,-1.5021),(5105,2565,0.002732,-1.5024),(5105,2575,0.002798,-1.5026),(5105,2585,0.002865,-1.5029),(5105,2595,0.002926,-1.5032),(5105,2605,0.002945,-1.5035),(5105,2615,0.002964,-1.5038),(5105,2625,0.002982,-1.5041),(5105,2635,0.003031,-1.5044),(5105,2645,0.003274,-1.5047),(5105,2655,0.003517,-1.505),(5105,2665,0.003761,-1.5054),(5105,2675,0.003944,-1.5057),(5105,2685,0.003843,-1.506),(5105,2695,0.003743,-1.5064),(5105,2705,0.003642,-1.5067),(5105,2715,0.003592,-1.5071),(5105,2725,0.003733,-1.5074),(5105,2735,0.003874,-1.5078),(5105,2745,0.004015,-1.5081),(5105,2755,0.004148,-1.5085),(5105,2765,0.004257,-1.5089),(5105,2775,0.004366,-1.5092),(5105,2785,0.004474,-1.5096),(5105,2795,0.004581,-1.51),(5105,2805,0.004683,-1.5104),(5105,2815,0.004785,-1.5107),(5105,2825,0.004888,-1.5111),(5105,2835,0.004992,-1.5114),(5105,2845,0.005099,-1.5118),(5105,2855,0.005207,-1.5122),(5105,2865,0.005314,-1.5125),(5105,2875,0.005424,-1.5128),(5105,2885,0.005536,-1.5132),(5105,2895,0.005648,-1.5135),(5105,2905,0.00576,-1.5138),(5105,2915,0.005874,-1.5142),(5105,2925,0.005991,-1.5145),(5105,2935,0.006107,-1.5148),(5105,2945,0.006224,-1.5151),(5105,2955,0.00634,-1.5155),(5105,2965,0.006456,-1.5158),(5105,2975,0.006571,-1.5161),(5105,2985,0.006686,-1.5164),(5105,2995,0.006784,-1.5167),(5105,3005,0.006863,-1.517),(5105,3015,0.006943,-1.5173),(5105,3025,0.007023,-1.5175),(5105,3035,0.00723,-1.5178),(5105,3045,0.007552,-1.518),(5105,3055,0.007874,-1.5182),(5105,3065,0.008196,-1.5184),(5105,3075,0.008345,-1.5187),(5105,3085,0.008363,-1.5189),(5105,3095,0.008381,-1.5191),(5105,3105,0.0084,-1.5192),(5105,3115,0.008543,-1.5194),(5105,3125,0.008766,-1.5196),(5105,3135,0.008989,-1.5197),(5105,3145,0.009212,-1.5198),(5105,3155,0.009393,-1.5199),(5105,3165,0.009552,-1.5201),(5105,3175,0.009711,-1.5201),(5105,3185,0.00987,-1.5202),(5105,3195,0.010016,-1.5202),(5105,3205,0.010157,-1.5202),(5105,3215,0.010297,-1.5202),(5105,3225,0.010438,-1.5202),(5105,3235,0.010574,-1.5201),(5105,3245,0.010709,-1.5201),(5105,3255,0.010844,-1.52),(5105,3265,0.010979,-1.5199),(5105,3275,0.011098,-1.5197),(5105,3285,0.011212,-1.5196),(5105,3295,0.011327,-1.5194),(5105,3305,0.011441,-1.5192),(5105,3315,0.011544,-1.5191),(5105,3325,0.011644,-1.5189),(5105,3335,0.011744,-1.5186),(5105,3345,0.011845,-1.5184),(5105,3355,0.011936,-1.5182),(5105,3365,0.012025,-1.518),(5105,3375,0.012114,-1.5177),(5105,3385,0.012204,-1.5174),(5105,3395,0.012513,-1.5172),(5105,3405,0.012851,-1.5169),(5105,3415,0.013189,-1.5165),(5105,3425,0.013526,-1.5162),(5105,3435,0.013512,-1.5158),(5105,3445,0.01347,-1.5155),(5105,3455,0.013428,-1.5151),(5105,3465,0.013386,-1.5147),(5105,3475,0.013546,-1.5143),(5105,3485,0.013714,-1.5139),(5105,3495,0.013882,-1.5135),(5105,3505,0.01405,-1.513),(5105,3515,0.014179,-1.5126),(5105,3525,0.014308,-1.5121),(5105,3535,0.014438,-1.5116),(5105,3545,0.014566,-1.511),(5105,3555,0.014687,-1.5105),(5105,3565,0.014807,-1.51),(5105,3575,0.014928,-1.5094),(5105,3585,0.015046,-1.5088),(5105,3595,0.015143,-1.5082),(5105,3605,0.015239,-1.5077),(5105,3615,0.015335,-1.507),(5105,3625,0.01543,-1.5064),(5105,3635,0.015521,-1.5058),(5105,3645,0.015611,-1.5052),(5105,3655,0.015701,-1.5045),(5105,3665,0.015789,-1.5038),(5105,3675,0.015868,-1.5031),(5105,3685,0.015946,-1.5024),(5105,3695,0.016025,-1.5017),(5105,3705,0.016098,-1.5009),(5105,3715,0.01615,-1.5001),(5105,3725,0.016202,-1.4994),(5105,3735,0.016254,-1.4986),(5105,3745,0.016283,-1.4979),(5105,3755,0.016243,-1.4971),(5105,3765,0.016202,-1.4964),(5105,3775,0.016162,-1.4956),(5105,3785,0.016183,-1.4948),(5105,3795,0.016361,-1.4941),(5105,3805,0.016539,-1.4933),(5105,3815,0.016717,-1.4926),(5105,3825,0.016961,-1.4918),(5105,3835,0.017341,-1.4911),(5105,3845,0.017722,-1.4904),(5105,3855,0.018102,-1.4898),(5105,3865,0.019027,-1.4892),(5105,3875,0.020914,-1.4887),(5105,3885,0.0228,-1.4888),(5105,3895,0.024687,-1.4901),(5105,3905,0.026412,-1.4914),(5105,3915,0.027895,-1.4927),(5105,3925,0.029377,-1.4957),(5105,3935,0.03086,-1.5009),(5105,3945,0.026528,-1.5061),(5105,3955,0.014814,-1.5113),(5105,3965,0.0031,-1.5055),(5105,3975,-0.008614,-1.4867),(5105,3985,-0.031059,-1.4679),(5105,3995,-0.06512,-1.4491),(5105,4005,-0.099181,-1.3736),(5105,4015,-0.13324,-1.2412),(5105,4025,0.01531,-1.1088),(5105,4035,0.18173,-1.0199),(5105,4045,0.34814,-1.0223),(5105,4055,0.45965,-1.0247),(5105,4065,0.55113,-1.0268),(5105,4075,0.64261,-1.0271),(5105,4085,0.69102,-1.0274),(5105,4095,0.70482,-1.0277),(5105,4105,0.71862,-1.0253),(5105,4115,0.73227,-1.0228),(5105,4125,0.74567,-1.0202),(5105,4135,0.75906,-1.0159),(5105,4145,0.77239,-1.011),(5105,4155,0.78543,-1.0062),(5105,4165,0.79848,-1.0001),(5105,4175,0.81153,-0.99319),(5105,4185,0.82462,-0.98628),(5105,4195,0.83771,-0.97871),(5105,4205,0.8508,-0.97027),(5105,4215,0.86362,-0.96184),(5105,4225,0.87639,-0.95315),(5105,4235,0.88916,-0.94374),(5105,4245,0.90156,-0.93433),(5105,4255,0.91377,-0.92487),(5105,4265,0.92599,-0.9149),(5105,4275,0.93785,-0.90493),(5105,4285,0.94933,-0.89495),(5105,4295,0.96082,-0.88473),(5105,4305,0.97207,-0.87447),(5105,4315,0.98277,-0.86422),(5105,4325,0.99347,-0.85398),(5105,4335,1.0041,-0.84375),(5105,4345,1.0139,-0.83352),(5105,4355,1.0238,-0.82341),(5105,4365,1.0336,-0.81342),(5105,4375,1.0427,-0.80342),(5105,4385,1.0518,-0.79356),(5105,4395,1.0609,-0.78391),(5105,4405,1.0694,-0.77426),(5105,4415,1.0777,-0.76468),(5105,4425,1.086,-0.75538),(5105,4435,1.094,-0.74608),(5105,4445,1.1018,-0.73679),(5105,4455,1.1096,-0.72787),(5105,4465,1.117,-0.71896),(5105,4475,1.124,-0.71004),(5105,4485,1.131,-0.70156),(5105,4495,1.1379,-0.69316),(5105,4505,1.1445,-0.68477),(5105,4515,1.151,-0.67674),(5105,4525,1.1576,-0.6689),(5105,4535,1.1636,-0.66106),(5105,4545,1.1697,-0.65345),(5105,4555,1.1757,-0.64611),(5105,4565,1.1814,-0.63877),(5105,4575,1.1871,-0.63159),(5105,4585,1.1927,-0.6248),(5105,4595,1.1981,-0.61802),(5105,4605,1.2034,-0.61129),(5105,4615,1.2087,-0.60501),(5105,4625,1.2138,-0.59874),(5105,4635,1.2188,-0.59247),(5105,4645,1.2237,-0.58671),(5105,4655,1.2286,-0.581),(5105,4665,1.2334,-0.57528),(5105,4675,1.2381,-0.56996),(5105,4685,1.2428,-0.56475),(5105,4695,1.2473,-0.55955),(5105,4705,1.2519,-0.55462),(5105,4715,1.2564,-0.54988),(5105,4725,1.2608,-0.54514),(5105,4735,1.2652,-0.54059),(5105,4745,1.2696,-0.5363),(5105,4755,1.2738,-0.53201),(5105,4765,1.278,-0.52781),(5105,4775,1.2822,-0.52396),(5105,4785,1.2863,-0.5201),(5105,4795,1.2904,-0.51626),(5105,4805,1.2945,-0.51276),(5105,4815,1.2986,-0.50925),(5105,4825,1.3026,-0.50575),(5105,4835,1.3066,-0.50253),(5105,4845,1.3106,-0.49936),(5105,4855,1.3145,-0.49619),(5105,4865,1.3185,-0.49321),(5105,4875,1.3224,-0.49032),(5105,4885,1.3262,-0.48743),(5105,4895,1.33,-0.48465),(5105,4905,1.3338,-0.48199),(5105,4915,1.3376,-0.47933),(5105,4925,1.3413,-0.47673),(5105,4935,1.3451,-0.47426),(5105,4945,1.3487,-0.47179),(5105,4955,1.3523,-0.46935),(5105,4965,1.356,-0.4671),(5105,4975,1.3595,-0.46485),(5105,4985,1.363,-0.4626),(5105,4995,1.3665,-0.46044),(5105,5005,1.37,-0.45828),(5105,5015,1.3734,-0.45613),(5105,5025,1.3767,-0.45405),(5105,5035,1.3801,-0.45199),(5105,5045,1.3833,-0.44993),(5105,5055,1.3865,-0.44796),(5105,5065,1.3897,-0.44604),(5105,5075,1.3927,-0.44412),(5105,5085,1.3958,-0.44226),(5105,5095,1.3989,-0.44047),(5105,5105,1.4018,-0.43868),(5105,5115,1.4046,-0.43692),(5105,5125,1.4075,-0.43523),(5105,5135,1.4103,-0.43355),(5105,5145,1.413,-0.43188),(5105,5155,1.4157,-0.43035),(5105,5165,1.4184,-0.42883),(5105,5175,1.421,-0.4273),(5105,5185,1.4235,-0.42598),(5105,5195,1.4261,-0.42467),(5105,5205,1.4286,-0.42336),(5105,5215,1.4311,-0.42223),(5105,5225,1.4337,-0.42118),(5105,5235,1.4361,-0.42012),(5105,5245,1.4386,-0.41922),(5105,5255,1.4411,-0.41847),(5105,5265,1.4436,-0.41771),(5105,5275,1.4462,-0.41707),(5105,5285,1.4487,-0.41662),(5105,5295,1.4513,-0.41616),(5105,5305,1.4539,-0.41578),(5105,5315,1.4566,-0.41565),(5105,5325,1.4593,-0.41553),(5105,5335,1.4621,-0.41541),(5105,5345,1.4649,-0.41561),(5105,5355,1.4677,-0.41581),(5105,5365,1.4708,-0.41601),(5105,5375,1.4738,-0.41649),(5105,5385,1.4769,-0.41703),(5105,5395,1.4802,-0.41757),(5105,5405,1.4835,-0.41832),(5105,5415,1.4868,-0.41918),(5105,5425,1.4905,-0.42004),(5105,5435,1.4942,-0.421),(5105,5445,1.4978,-0.42209),(5105,5455,1.5018,-0.42317),(5105,5465,1.5059,-0.4243),(5105,5475,1.5099,-0.42557),(5105,5485,1.5143,-0.42684),(5105,5495,1.5187,-0.42812),(5105,5505,1.5232,-0.42951),(5105,5515,1.5278,-0.43089),(5105,5525,1.5327,-0.43228),(5105,5535,1.5375,-0.43365),(5105,5545,1.5425,-0.43502),(5105,5555,1.5477,-0.43639),(5105,5565,1.553,-0.43765),(5105,5575,1.5582,-0.43887),(5105,5585,1.5638,-0.4401),(5105,5595,1.5693,-0.44119),(5105,5605,1.5749,-0.44219),(5105,5615,1.5807,-0.44319),(5105,5625,1.5866,-0.44407),(5105,5635,1.5924,-0.44475),(5105,5645,1.5984,-0.44543),(5105,5655,1.6045,-0.44601),(5105,5665,1.6105,-0.44623),(5105,5675,1.6166,-0.44646),(5105,5685,1.6227,-0.44666),(5105,5695,1.6289,-0.44638),(5105,5705,1.635,-0.4461),(5105,5715,1.6413,-0.44582),(5105,5725,1.6475,-0.44504),(5105,5735,1.6537,-0.44419),(5105,5745,1.6599,-0.44334),(5105,5755,1.666,-0.44204),(5105,5765,1.6722,-0.44055),(5105,5775,1.6782,-0.43906),(5105,5785,1.6842,-0.4373),(5105,5795,1.6902,-0.43529),(5105,5805,1.6961,-0.43328),(5105,5815,1.7019,-0.4311),(5105,5825,1.7078,-0.42857),(5105,5835,1.7135,-0.42605),(5105,5845,1.7191,-0.42344),(5105,5855,1.7247,-0.42042),(5105,5865,1.7303,-0.41739),(5105,5875,1.7357,-0.41436),(5105,5885,1.7411,-0.41088),(5105,5895,1.7465,-0.4074),(5105,5905,1.7517,-0.40391),(5105,5915,1.7569,-0.40014),(5105,5925,1.7621,-0.39629),(5105,5935,1.7672,-0.39245),(5105,5945,1.7722,-0.3884),(5105,5955,1.7773,-0.38423),(5105,5965,1.7821,-0.38007),(5105,5975,1.7869,-0.37576),(5105,5985,1.7918,-0.37128),(5105,5995,1.7965,-0.36681),(5105,6005,1.8013,-0.36226),(5105,6015,1.8061,-0.35753),(5105,6025,1.8107,-0.3528),(5105,6035,1.8152,-0.34805),(5105,6045,1.8198,-0.3431),(5105,6055,1.8242,-0.33815),(5105,6065,1.8286,-0.33321),(5105,6075,1.833,-0.32806),(5105,6085,1.8373,-0.3229),(5105,6095,1.8416,-0.31774),(5105,6105,1.8458,-0.31241),(5105,6115,1.8499,-0.30703),(5105,6125,1.854,-0.30164),(5105,6135,1.858,-0.29613),(5105,6145,1.862,-0.29051),(5105,6155,1.8658,-0.28489),(5105,6165,1.8696,-0.27921),(5105,6175,1.8734,-0.27342),(5105,6185,1.8771,-0.26763),(5105,6195,1.8807,-0.26182),(5105,6205,1.8843,-0.2559),(5105,6215,1.8878,-0.24999),(5105,6225,1.8912,-0.24407),(5105,6235,1.8946,-0.23804),(5105,6245,1.8979,-0.23201),(5105,6255,1.9011,-0.22598),(5105,6265,1.9043,-0.21978),(5105,6275,1.9074,-0.21355),(5105,6285,1.9103,-0.20733),(5105,6295,1.9132,-0.20102),(5105,6305,1.9161,-0.19467),(5105,6315,1.9188,-0.18832),(5105,6325,1.9215,-0.1819),(5105,6335,1.9242,-0.17542),(5105,6345,1.9266,-0.16893),(5105,6355,1.929,-0.16241),(5105,6365,1.9313,-0.15582),(5105,6375,1.9335,-0.14924),(5105,6385,1.9356,-0.14264),(5105,6395,1.9377,-0.13599),(5105,6405,1.9396,-0.12933),(5105,6415,1.9414,-0.12268),(5105,6425,1.9432,-0.11592),(5105,6435,1.9449,-0.10915),(5105,6445,1.9464,-0.10239),(5105,6455,1.9479,-0.095577),(5105,6465,1.9493,-0.088755),(5105,6475,1.9505,-0.081932),(5105,6485,1.9517,-0.07507),(5105,6495,1.9529,-0.068184),(5105,6505,1.9538,-0.061297),(5105,6515,1.9546,-0.054416),(5105,6525,1.9555,-0.047541),(5105,6535,1.9562,-0.040666),(5105,6545,1.9568,-0.033786),(5105,6555,1.9574,-0.026889),(5105,6565,1.9577,-0.019992),(5105,6575,1.958,-0.013095),(5105,6585,1.9582,-0.006201),(5105,6595,1.6658,0.000693),(5105,6605,1.0503,0.007587),(5105,6615,0.43471,0.00842),(5105,6625,0.001998,0.008474),(5105,6635,0.001993,0.008528),(5105,6645,0.001988,0.008566),(5105,6655,0.001984,0.008596),(5105,6665,0.00198,0.008627),(5105,6675,0.001975,0.008656),(5105,6685,0.001971,0.008683),(5105,6695,0.001967,0.00871),(5105,6705,0.001964,0.008736),(5105,6715,0.00196,0.008759),(5105,6725,0.001956,0.008783),(5105,6735,0.001953,0.008806),(5105,6745,0.00195,0.008827),(5105,6755,0.001947,0.008848),(5105,6765,0.001944,0.008868),(5105,6775,0.001942,0.008887),(5105,6785,0.001939,0.008905),(5105,6795,0.001937,0.008923),(5105,6805,0.001935,0.008939),(5105,6815,0.001933,0.008955),(5105,6825,0.001931,0.008971),(5105,6835,0.00193,0.008985),(5105,6845,0.001928,0.008999),(5105,6855,0.001927,0.009012),(5105,6865,0.001926,0.009025),(5105,6875,0.001925,0.009037),(5105,6885,0.001925,0.009049),(5105,6895,0.001924,0.00906),(5105,6905,0.001924,0.009071),(5105,6915,0.001924,0.009081),(5105,6925,0.001924,0.009091),(5105,6935,0.001924,0.009099),(5105,6945,0.001924,0.009108),(5105,6955,0.001925,0.009117),(5105,6965,0.001926,0.009124),(5105,6975,0.001926,0.009131),(5105,6985,0.001927,0.009139),(5115,5,9e-06,-1.4346),(5115,15,2.8e-05,-1.4348),(5115,25,3.8e-05,-1.435),(5115,35,4e-05,-1.4352),(5115,45,4.2e-05,-1.4353),(5115,55,4.4e-05,-1.4355),(5115,65,5.1e-05,-1.4356),(5115,75,6.2e-05,-1.4357),(5115,85,7.4e-05,-1.4359),(5115,95,8.5e-05,-1.4361),(5115,105,8.5e-05,-1.4364),(5115,115,7.7e-05,-1.4366),(5115,125,6.9e-05,-1.4369),(5115,135,6.1e-05,-1.4371),(5115,145,5.9e-05,-1.4374),(5115,155,6.1e-05,-1.4377),(5115,165,6.3e-05,-1.438),(5115,175,6.5e-05,-1.4384),(5115,185,7.9e-05,-1.4388),(5115,195,9.9e-05,-1.4391),(5115,205,0.000119,-1.4396),(5115,215,0.000138,-1.4401),(5115,225,0.00017,-1.4406),(5115,235,0.000207,-1.4411),(5115,245,0.000244,-1.4417),(5115,255,0.000281,-1.4423),(5115,265,0.00028,-1.4429),(5115,275,0.000267,-1.4436),(5115,285,0.000253,-1.4442),(5115,295,0.00024,-1.4448),(5115,305,0.000251,-1.4454),(5115,315,0.000269,-1.4461),(5115,325,0.000286,-1.4469),(5115,335,0.000304,-1.4477),(5115,345,0.000301,-1.4486),(5115,355,0.000294,-1.4494),(5115,365,0.000286,-1.4503),(5115,375,0.000279,-1.4512),(5115,385,0.000238,-1.452),(5115,395,0.000191,-1.4529),(5115,405,0.000145,-1.4538),(5115,415,9.9e-05,-1.4547),(5115,425,0.000106,-1.4556),(5115,435,0.000117,-1.4566),(5115,445,0.000129,-1.4576),(5115,455,0.00014,-1.4587),(5115,465,0.000251,-1.4598),(5115,475,0.000365,-1.4609),(5115,485,0.00048,-1.4623),(5115,495,0.000595,-1.4638),(5115,505,0.000611,-1.4653),(5115,515,0.000626,-1.4667),(5115,525,0.000641,-1.4681),(5115,535,0.000653,-1.4696),(5115,545,0.000577,-1.471),(5115,555,0.000502,-1.4724),(5115,565,0.000426,-1.4738),(5115,575,0.000352,-1.4753),(5115,585,0.000291,-1.4768),(5115,595,0.00023,-1.4782),(5115,605,0.000169,-1.4799),(5115,615,0.000116,-1.4815),(5115,625,0.000129,-1.4831),(5115,635,0.000142,-1.4848),(5115,645,0.000155,-1.4867),(5115,655,0.000178,-1.4885),(5115,665,0.000256,-1.4904),(5115,675,0.000333,-1.4923),(5115,685,0.00041,-1.4944),(5115,695,0.000488,-1.4965),(5115,705,0.000567,-1.4986),(5115,715,0.000647,-1.5007),(5115,725,0.000726,-1.503),(5115,735,0.000796,-1.5052),(5115,745,0.000836,-1.5075),(5115,755,0.000876,-1.5098),(5115,765,0.000916,-1.512),(5115,775,0.000926,-1.5143),(5115,785,0.000856,-1.5166),(5115,795,0.000787,-1.519),(5115,805,0.000717,-1.5214),(5115,815,0.000672,-1.5238),(5115,825,0.000682,-1.5263),(5115,835,0.000692,-1.5288),(5115,845,0.000701,-1.5315),(5115,855,0.000712,-1.5342),(5115,865,0.000726,-1.5369),(5115,875,0.000739,-1.5397),(5115,885,0.000752,-1.5425),(5115,895,0.000788,-1.5454),(5115,905,0.000859,-1.5482),(5115,915,0.000929,-1.5512),(5115,925,0.001,-1.5544),(5115,935,0.001077,-1.5576),(5115,945,0.001163,-1.5607),(5115,955,0.001249,-1.564),(5115,965,0.001334,-1.5674),(5115,975,0.001399,-1.5708),(5115,985,0.00144,-1.5742),(5115,995,0.001481,-1.5777),(5115,1005,0.001522,-1.5812),(5115,1015,0.001561,-1.5847),(5115,1025,0.001597,-1.5882),(5115,1035,0.001633,-1.5918),(5115,1045,0.001669,-1.5956),(5115,1055,0.001654,-1.5993),(5115,1065,0.001597,-1.6031),(5115,1075,0.001541,-1.6069),(5115,1085,0.001485,-1.6107),(5115,1095,0.001486,-1.6146),(5115,1105,0.001527,-1.6184),(5115,1115,0.001568,-1.6222),(5115,1125,0.00161,-1.626),(5115,1135,0.002167,-1.6298),(5115,1145,0.003028,-1.6337),(5115,1155,0.00389,-1.6374),(5115,1165,0.004751,-1.6411),(5115,1175,0.007549,-1.6448),(5115,1185,0.011309,-1.6485),(5115,1195,0.015068,-1.6532),(5115,1205,0.018827,-1.6583),(5115,1215,0.023432,-1.6634),(5115,1225,0.028385,-1.6685),(5115,1235,0.033338,-1.6771),(5115,1245,0.038291,-1.6871),(5115,1255,0.022333,-1.6971),(5115,1265,-0.000688,-1.707),(5115,1275,-0.02371,-1.6948),(5115,1285,-0.046731,-1.6757),(5115,1295,-0.096433,-1.6567),(5115,1305,-0.15335,-1.6376),(5115,1315,-0.21027,-1.5401),(5115,1325,-0.26719,-1.4239),(5115,1335,-0.16069,-1.3076),(5115,1345,-0.01994,-1.1913),(5115,1355,0.12081,-1.2652),(5115,1365,0.26156,-1.3735),(5115,1375,0.23453,-1.4819),(5115,1385,0.18161,-1.5902),(5115,1395,0.1287,-1.6274),(5115,1405,0.075784,-1.6554),(5115,1415,0.041915,-1.6835),(5115,1425,0.010023,-1.7115),(5115,1435,-0.021868,-1.703),(5115,1445,-0.05376,-1.6916),(5115,1455,-0.048778,-1.6802),(5115,1465,-0.041672,-1.6688),(5115,1475,-0.034567,-1.6631),(5115,1485,-0.027461,-1.6577),(5115,1495,-0.022147,-1.6522),(5115,1505,-0.016861,-1.6468),(5115,1515,-0.011574,-1.6431),(5115,1525,-0.006388,-1.6394),(5115,1535,-0.005166,-1.6357),(5115,1545,-0.003944,-1.632),(5115,1555,-0.002722,-1.6282),(5115,1565,-0.001574,-1.6245),(5115,1575,-0.0015,-1.6207),(5115,1585,-0.001427,-1.617),(5115,1595,-0.001354,-1.6133),(5115,1605,-0.001296,-1.6097),(5115,1615,-0.001362,-1.606),(5115,1625,-0.001427,-1.6024),(5115,1635,-0.001493,-1.599),(5115,1645,-0.001553,-1.5956),(5115,1655,-0.001572,-1.5921),(5115,1665,-0.001591,-1.5888),(5115,1675,-0.001611,-1.5857),(5115,1685,-0.00162,-1.5825),(5115,1695,-0.001587,-1.5794),(5115,1705,-0.001554,-1.5764),(5115,1715,-0.00152,-1.5736),(5115,1725,-0.001479,-1.5707),(5115,1735,-0.001412,-1.5679),(5115,1745,-0.001344,-1.5652),(5115,1755,-0.001276,-1.5627),(5115,1765,-0.001213,-1.5602),(5115,1775,-0.00116,-1.5577),(5115,1785,-0.001107,-1.5553),(5115,1795,-0.001055,-1.553),(5115,1805,-0.001013,-1.5508),(5115,1815,-0.000997,-1.5485),(5115,1825,-0.00098,-1.5464),(5115,1835,-0.000964,-1.5444),(5115,1845,-0.000917,-1.5425),(5115,1855,-0.000814,-1.5406),(5115,1865,-0.000711,-1.5387),(5115,1875,-0.000607,-1.537),(5115,1885,-0.000555,-1.5353),(5115,1895,-0.000587,-1.5336),(5115,1905,-0.000618,-1.532),(5115,1915,-0.000649,-1.5306),(5115,1925,-0.000646,-1.5291),(5115,1935,-0.000594,-1.5277),(5115,1945,-0.000543,-1.5263),(5115,1955,-0.000491,-1.525),(5115,1965,-0.000449,-1.5236),(5115,1975,-0.000418,-1.5223),(5115,1985,-0.000387,-1.5211),(5115,1995,-0.000356,-1.5199),(5115,2005,-0.000327,-1.5188),(5115,2015,-0.000301,-1.5176),(5115,2025,-0.000275,-1.5166),(5115,2035,-0.000248,-1.5156),(5115,2045,-0.000223,-1.5145),(5115,2055,-0.000198,-1.5135),(5115,2065,-0.000172,-1.5126),(5115,2075,-0.000147,-1.5117),(5115,2085,-0.000104,-1.5108),(5115,2095,-4.8e-05,-1.5099),(5115,2105,8e-06,-1.5091),(5115,2115,6.5e-05,-1.5084),(5115,2125,0.000127,-1.5077),(5115,2135,0.000192,-1.507),(5115,2145,0.000258,-1.5063),(5115,2155,0.000323,-1.5058),(5115,2165,0.000376,-1.5052),(5115,2175,0.000422,-1.5046),(5115,2185,0.000468,-1.5041),(5115,2195,0.000515,-1.5037),(5115,2205,0.000532,-1.5033),(5115,2215,0.000536,-1.5028),(5115,2225,0.00054,-1.5025),(5115,2235,0.000545,-1.5022),(5115,2245,0.000627,-1.5019),(5115,2255,0.000736,-1.5016),(5115,2265,0.000846,-1.5014),(5115,2275,0.000955,-1.5011),(5115,2285,0.000923,-1.5008),(5115,2295,0.000851,-1.5005),(5115,2305,0.000779,-1.5004),(5115,2315,0.000706,-1.5003),(5115,2325,0.000748,-1.5002),(5115,2335,0.000816,-1.5001),(5115,2345,0.000884,-1.5001),(5115,2355,0.000952,-1.5001),(5115,2365,0.001004,-1.5),(5115,2375,0.001054,-1.5),(5115,2385,0.001104,-1.5),(5115,2395,0.001154,-1.5),(5115,2405,0.001213,-1.5),(5115,2415,0.001273,-1.5),(5115,2425,0.001334,-1.5001),(5115,2435,0.001394,-1.5002),(5115,2445,0.001479,-1.5002),(5115,2455,0.001565,-1.5003),(5115,2465,0.001651,-1.5005),(5115,2475,0.001738,-1.5006),(5115,2485,0.001822,-1.5008),(5115,2495,0.001906,-1.5009),(5115,2505,0.00199,-1.5011),(5115,2515,0.002074,-1.5013),(5115,2525,0.002145,-1.5015),(5115,2535,0.002215,-1.5016),(5115,2545,0.002286,-1.5019),(5115,2555,0.002356,-1.5021),(5115,2565,0.002418,-1.5023),(5115,2575,0.00248,-1.5026),(5115,2585,0.002542,-1.5028),(5115,2595,0.002599,-1.5031),(5115,2605,0.002619,-1.5034),(5115,2615,0.002638,-1.5037),(5115,2625,0.002658,-1.5041),(5115,2635,0.002703,-1.5045),(5115,2645,0.002918,-1.5048),(5115,2655,0.003133,-1.5052),(5115,2665,0.003348,-1.5054),(5115,2675,0.00351,-1.5057),(5115,2685,0.003419,-1.5059),(5115,2695,0.003327,-1.5062),(5115,2705,0.003236,-1.5066),(5115,2715,0.003189,-1.507),(5115,2725,0.00331,-1.5074),(5115,2735,0.00343,-1.5078),(5115,2745,0.003551,-1.5081),(5115,2755,0.003665,-1.5085),(5115,2765,0.003762,-1.5088),(5115,2775,0.003858,-1.5092),(5115,2785,0.003954,-1.5096),(5115,2795,0.004048,-1.51),(5115,2805,0.004136,-1.5103),(5115,2815,0.004224,-1.5107),(5115,2825,0.004313,-1.5111),(5115,2835,0.004403,-1.5114),(5115,2845,0.004496,-1.5118),(5115,2855,0.00459,-1.5121),(5115,2865,0.004683,-1.5125),(5115,2875,0.004778,-1.5128),(5115,2885,0.004877,-1.5131),(5115,2895,0.004975,-1.5135),(5115,2905,0.005074,-1.5138),(5115,2915,0.005174,-1.5141),(5115,2925,0.005277,-1.5145),(5115,2935,0.00538,-1.5148),(5115,2945,0.005482,-1.5151),(5115,2955,0.005583,-1.5154),(5115,2965,0.005682,-1.5157),(5115,2975,0.005781,-1.516),(5115,2985,0.005879,-1.5163),(5115,2995,0.005961,-1.5166),(5115,3005,0.006025,-1.5169),(5115,3015,0.006089,-1.5172),(5115,3025,0.006153,-1.5175),(5115,3035,0.00633,-1.5178),(5115,3045,0.006607,-1.5181),(5115,3055,0.006884,-1.5183),(5115,3065,0.007161,-1.5184),(5115,3075,0.007291,-1.5185),(5115,3085,0.007311,-1.5187),(5115,3095,0.007332,-1.5189),(5115,3105,0.007352,-1.5191),(5115,3115,0.007484,-1.5193),(5115,3125,0.007688,-1.5195),(5115,3135,0.007891,-1.5197),(5115,3145,0.008095,-1.5198),(5115,3155,0.008261,-1.5199),(5115,3165,0.008406,-1.52),(5115,3175,0.008551,-1.5201),(5115,3185,0.008696,-1.5201),(5115,3195,0.008826,-1.5202),(5115,3205,0.008948,-1.5202),(5115,3215,0.009071,-1.5202),(5115,3225,0.009193,-1.5201),(5115,3235,0.009312,-1.5201),(5115,3245,0.009429,-1.5201),(5115,3255,0.009546,-1.52),(5115,3265,0.009663,-1.5199),(5115,3275,0.009766,-1.5197),(5115,3285,0.009864,-1.5196),(5115,3295,0.009962,-1.5194),(5115,3305,0.01006,-1.5192),(5115,3315,0.010144,-1.519),(5115,3325,0.010224,-1.5189),(5115,3335,0.010304,-1.5186),(5115,3345,0.010384,-1.5184),(5115,3355,0.01046,-1.5182),(5115,3365,0.010536,-1.5179),(5115,3375,0.010612,-1.5177),(5115,3385,0.010688,-1.5175),(5115,3395,0.010966,-1.5172),(5115,3405,0.01127,-1.517),(5115,3415,0.011574,-1.5166),(5115,3425,0.011878,-1.5162),(5115,3435,0.011875,-1.5157),(5115,3445,0.011848,-1.5153),(5115,3455,0.011821,-1.515),(5115,3465,0.011793,-1.5146),(5115,3475,0.011938,-1.5143),(5115,3485,0.012088,-1.5139),(5115,3495,0.012239,-1.5134),(5115,3505,0.012389,-1.513),(5115,3515,0.012508,-1.5125),(5115,3525,0.012627,-1.5121),(5115,3535,0.012746,-1.5115),(5115,3545,0.012865,-1.511),(5115,3555,0.012983,-1.5105),(5115,3565,0.013101,-1.5099),(5115,3575,0.013218,-1.5094),(5115,3585,0.013335,-1.5088),(5115,3595,0.01343,-1.5082),(5115,3605,0.013525,-1.5076),(5115,3615,0.013621,-1.507),(5115,3625,0.013715,-1.5064),(5115,3635,0.013804,-1.5058),(5115,3645,0.013892,-1.5051),(5115,3655,0.013981,-1.5045),(5115,3665,0.014068,-1.5038),(5115,3675,0.014146,-1.5031),(5115,3685,0.014224,-1.5024),(5115,3695,0.014302,-1.5017),(5115,3705,0.014376,-1.5009),(5115,3715,0.014433,-1.5001),(5115,3725,0.014491,-1.4994),(5115,3735,0.014548,-1.4986),(5115,3745,0.014584,-1.4979),(5115,3755,0.014555,-1.4971),(5115,3765,0.014527,-1.4964),(5115,3775,0.014498,-1.4957),(5115,3785,0.014521,-1.495),(5115,3795,0.01468,-1.4943),(5115,3805,0.014838,-1.4936),(5115,3815,0.014996,-1.4928),(5115,3825,0.015237,-1.492),(5115,3835,0.015652,-1.4912),(5115,3845,0.016068,-1.4904),(5115,3855,0.016483,-1.4897),(5115,3865,0.017558,-1.489),(5115,3875,0.019798,-1.4882),(5115,3885,0.022038,-1.488),(5115,3895,0.024278,-1.4885),(5115,3905,0.026619,-1.4889),(5115,3915,0.02911,-1.4894),(5115,3925,0.031601,-1.4916),(5115,3935,0.034092,-1.496),(5115,3945,0.027806,-1.5004),(5115,3955,0.010379,-1.5048),(5115,3965,-0.007049,-1.4994),(5115,3975,-0.024476,-1.4825),(5115,3985,-0.065289,-1.4656),(5115,3995,-0.13141,-1.4487),(5115,4005,-0.19754,-1.374),(5115,4015,-0.26367,-1.2414),(5115,4025,-0.079256,-1.1088),(5115,4035,0.12966,-1.0198),(5115,4045,0.33859,-1.0226),(5115,4055,0.46092,-1.0254),(5115,4065,0.55167,-1.0279),(5115,4075,0.64242,-1.0288),(5115,4085,0.69002,-1.0298),(5115,4095,0.70295,-1.0307),(5115,4105,0.71588,-1.029),(5115,4115,0.72869,-1.0273),(5115,4125,0.7413,-1.0255),(5115,4135,0.75391,-1.0218),(5115,4145,0.76649,-1.0177),(5115,4155,0.77893,-1.0135),(5115,4165,0.79136,-1.0082),(5115,4175,0.8038,-1.0021),(5115,4185,0.81637,-0.996),(5115,4195,0.82894,-0.9892),(5115,4205,0.84151,-0.98147),(5115,4215,0.85393,-0.97373),(5115,4225,0.86632,-0.96572),(5115,4235,0.87871,-0.95688),(5115,4245,0.89083,-0.94803),(5115,4255,0.90281,-0.93914),(5115,4265,0.91479,-0.92962),(5115,4275,0.92647,-0.9201),(5115,4285,0.93785,-0.91059),(5115,4295,0.94923,-0.90072),(5115,4305,0.96039,-0.89081),(5115,4315,0.97107,-0.88089),(5115,4325,0.98175,-0.87095),(5115,4335,0.99233,-0.861),(5115,4345,1.0022,-0.85105),(5115,4355,1.0121,-0.84119),(5115,4365,1.022,-0.8314),(5115,4375,1.0312,-0.82162),(5115,4385,1.0403,-0.81194),(5115,4395,1.0494,-0.80246),(5115,4405,1.058,-0.79298),(5115,4415,1.0665,-0.78355),(5115,4425,1.0749,-0.77438),(5115,4435,1.083,-0.7652),(5115,4445,1.0909,-0.75603),(5115,4455,1.0987,-0.74717),(5115,4465,1.1063,-0.7383),(5115,4475,1.1135,-0.72944),(5115,4485,1.1206,-0.72101),(5115,4495,1.1277,-0.71266),(5115,4505,1.1344,-0.70432),(5115,4515,1.1411,-0.69632),(5115,4525,1.1477,-0.68851),(5115,4535,1.1539,-0.68069),(5115,4545,1.1601,-0.6731),(5115,4555,1.1664,-0.66576),(5115,4565,1.1722,-0.65842),(5115,4575,1.178,-0.65123),(5115,4585,1.1838,-0.64444),(5115,4595,1.1894,-0.63765),(5115,4605,1.1948,-0.63091),(5115,4615,1.2002,-0.62461),(5115,4625,1.2055,-0.61831),(5115,4635,1.2106,-0.61201),(5115,4645,1.2157,-0.60622),(5115,4655,1.2208,-0.60046),(5115,4665,1.2256,-0.5947),(5115,4675,1.2305,-0.58933),(5115,4685,1.2354,-0.58407),(5115,4695,1.24,-0.57882),(5115,4705,1.2447,-0.57382),(5115,4715,1.2494,-0.56902),(5115,4725,1.2539,-0.56422),(5115,4735,1.2584,-0.55959),(5115,4745,1.2629,-0.5552),(5115,4755,1.2673,-0.55081),(5115,4765,1.2716,-0.54651),(5115,4775,1.2759,-0.54255),(5115,4785,1.2801,-0.53859),(5115,4795,1.2844,-0.53465),(5115,4805,1.2886,-0.53103),(5115,4815,1.2927,-0.52741),(5115,4825,1.2968,-0.52379),(5115,4835,1.301,-0.52045),(5115,4845,1.305,-0.51715),(5115,4855,1.309,-0.51385),(5115,4865,1.313,-0.51074),(5115,4875,1.317,-0.50771),(5115,4885,1.3209,-0.50469),(5115,4895,1.3248,-0.50177),(5115,4905,1.3287,-0.49897),(5115,4915,1.3325,-0.49617),(5115,4925,1.3363,-0.49343),(5115,4935,1.3401,-0.49081),(5115,4945,1.3438,-0.4882),(5115,4955,1.3474,-0.48563),(5115,4965,1.3511,-0.48323),(5115,4975,1.3547,-0.48084),(5115,4985,1.3582,-0.47845),(5115,4995,1.3618,-0.47616),(5115,5005,1.3653,-0.47386),(5115,5015,1.3687,-0.47157),(5115,5025,1.3721,-0.46936),(5115,5035,1.3755,-0.46717),(5115,5045,1.3787,-0.46498),(5115,5055,1.3819,-0.46289),(5115,5065,1.3852,-0.46085),(5115,5075,1.3882,-0.45882),(5115,5085,1.3913,-0.45685),(5115,5095,1.3944,-0.45494),(5115,5105,1.3973,-0.45303),(5115,5115,1.4003,-0.45116),(5115,5125,1.4032,-0.44937),(5115,5135,1.406,-0.44758),(5115,5145,1.4087,-0.44581),(5115,5155,1.4115,-0.44419),(5115,5165,1.4142,-0.44258),(5115,5175,1.4169,-0.44096),(5115,5185,1.4195,-0.43955),(5115,5195,1.4221,-0.43816),(5115,5205,1.4247,-0.43677),(5115,5215,1.4273,-0.43557),(5115,5225,1.4299,-0.43443),(5115,5235,1.4325,-0.43329),(5115,5245,1.435,-0.43232),(5115,5255,1.4376,-0.43148),(5115,5265,1.4402,-0.43064),(5115,5275,1.4429,-0.42991),(5115,5285,1.4455,-0.42937),(5115,5295,1.4482,-0.42883),(5115,5305,1.4509,-0.42834),(5115,5315,1.4536,-0.42812),(5115,5325,1.4565,-0.42789),(5115,5335,1.4593,-0.42766),(5115,5345,1.4622,-0.42773),(5115,5355,1.4652,-0.4278),(5115,5365,1.4683,-0.42787),(5115,5375,1.4714,-0.4282),(5115,5385,1.4746,-0.42858),(5115,5395,1.478,-0.42896),(5115,5405,1.4814,-0.42953),(5115,5415,1.4848,-0.43021),(5115,5425,1.4885,-0.43088),(5115,5435,1.4922,-0.43164),(5115,5445,1.496,-0.43251),(5115,5455,1.5,-0.43337),(5115,5465,1.5041,-0.43428),(5115,5475,1.5082,-0.4353),(5115,5485,1.5125,-0.43631),(5115,5495,1.517,-0.43734),(5115,5505,1.5215,-0.43844),(5115,5515,1.5261,-0.43955),(5115,5525,1.531,-0.44066),(5115,5535,1.5358,-0.44173),(5115,5545,1.5408,-0.4428),(5115,5555,1.5459,-0.44387),(5115,5565,1.5511,-0.44482),(5115,5575,1.5563,-0.44572),(5115,5585,1.5618,-0.44663),(5115,5595,1.5673,-0.4474),(5115,5605,1.5727,-0.44806),(5115,5615,1.5784,-0.44873),(5115,5625,1.5842,-0.44926),(5115,5635,1.5899,-0.44961),(5115,5645,1.5957,-0.44995),(5115,5655,1.6016,-0.45019),(5115,5665,1.6075,-0.45007),(5115,5675,1.6135,-0.44996),(5115,5685,1.6194,-0.44982),(5115,5695,1.6254,-0.44928),(5115,5705,1.6314,-0.44874),(5115,5715,1.6374,-0.4482),(5115,5725,1.6435,-0.44714),(5115,5735,1.6495,-0.44601),(5115,5745,1.6554,-0.44489),(5115,5755,1.6614,-0.44335),(5115,5765,1.6673,-0.44164),(5115,5775,1.6732,-0.43992),(5115,5785,1.679,-0.43796),(5115,5795,1.6848,-0.43578),(5115,5805,1.6905,-0.43359),(5115,5815,1.6962,-0.43125),(5115,5825,1.7019,-0.42859),(5115,5835,1.7074,-0.42593),(5115,5845,1.7129,-0.42319),(5115,5855,1.7184,-0.42006),(5115,5865,1.7238,-0.41694),(5115,5875,1.729,-0.41381),(5115,5885,1.7343,-0.41026),(5115,5895,1.7396,-0.4067),(5115,5905,1.7447,-0.40314),(5115,5915,1.7498,-0.39931),(5115,5925,1.7548,-0.39541),(5115,5935,1.7598,-0.39151),(5115,5945,1.7647,-0.38741),(5115,5955,1.7697,-0.38319),(5115,5965,1.7744,-0.37898),(5115,5975,1.7791,-0.37465),(5115,5985,1.7838,-0.37019),(5115,5995,1.7885,-0.36573),(5115,6005,1.7932,-0.36118),(5115,6015,1.7978,-0.35643),(5115,6025,1.8024,-0.35167),(5115,6035,1.8068,-0.3469),(5115,6045,1.8113,-0.34195),(5115,6055,1.8157,-0.337),(5115,6065,1.82,-0.33205),(5115,6075,1.8243,-0.32691),(5115,6085,1.8285,-0.32176),(5115,6095,1.8327,-0.3166),(5115,6105,1.8368,-0.31129),(5115,6115,1.8409,-0.30592),(5115,6125,1.8449,-0.30055),(5115,6135,1.8488,-0.29505),(5115,6145,1.8528,-0.28945),(5115,6155,1.8565,-0.28385),(5115,6165,1.8603,-0.27818),(5115,6175,1.864,-0.27241),(5115,6185,1.8676,-0.26664),(5115,6195,1.8712,-0.26084),(5115,6205,1.8747,-0.25494),(5115,6215,1.8781,-0.24904),(5115,6225,1.8815,-0.24314),(5115,6235,1.8848,-0.23713),(5115,6245,1.888,-0.23111),(5115,6255,1.8912,-0.2251),(5115,6265,1.8943,-0.21892),(5115,6275,1.8974,-0.2127),(5115,6285,1.9002,-0.20649),(5115,6295,1.9031,-0.20022),(5115,6305,1.9059,-0.19392),(5115,6315,1.9086,-0.18762),(5115,6325,1.9112,-0.18124),(5115,6335,1.9139,-0.17477),(5115,6345,1.9163,-0.1683),(5115,6355,1.9186,-0.1618),(5115,6365,1.921,-0.15524),(5115,6375,1.9231,-0.14868),(5115,6385,1.9252,-0.14211),(5115,6395,1.9272,-0.13549),(5115,6405,1.9291,-0.12886),(5115,6415,1.9309,-0.12223),(5115,6425,1.9327,-0.1155),(5115,6435,1.9343,-0.10876),(5115,6445,1.9358,-0.10202),(5115,6455,1.9373,-0.095237),(5115,6465,1.9387,-0.088436),(5115,6475,1.9399,-0.081634),(5115,6485,1.941,-0.074793),(5115,6495,1.9422,-0.067924),(5115,6505,1.9431,-0.061056),(5115,6515,1.9439,-0.054192),(5115,6525,1.9448,-0.047334),(5115,6535,1.9454,-0.040477),(5115,6545,1.946,-0.033614),(5115,6555,1.9466,-0.026733),(5115,6565,1.947,-0.019853),(5115,6575,1.9472,-0.012974),(5115,6585,1.9474,-0.00612),(5115,6595,1.6566,0.000734),(5115,6605,1.0445,0.007588),(5115,6615,0.4323,0.008416),(5115,6625,0.001959,0.00847),(5115,6635,0.001956,0.008524),(5115,6645,0.001953,0.008562),(5115,6655,0.00195,0.008593),(5115,6665,0.001947,0.008623),(5115,6675,0.001943,0.008652),(5115,6685,0.00194,0.008679),(5115,6695,0.001938,0.008706),(5115,6705,0.001935,0.008732),(5115,6715,0.001932,0.008756),(5115,6725,0.00193,0.00878),(5115,6735,0.001927,0.008803),(5115,6745,0.001925,0.008824),(5115,6755,0.001923,0.008845),(5115,6765,0.001921,0.008866),(5115,6775,0.001919,0.008884),(5115,6785,0.001918,0.008903),(5115,6795,0.001916,0.008921),(5115,6805,0.001915,0.008937),(5115,6815,0.001914,0.008953),(5115,6825,0.001913,0.008969),(5115,6835,0.001912,0.008984),(5115,6845,0.001911,0.008998),(5115,6855,0.001911,0.009012),(5115,6865,0.00191,0.009025),(5115,6875,0.00191,0.009037),(5115,6885,0.00191,0.009049),(5115,6895,0.00191,0.00906),(5115,6905,0.00191,0.009071),(5115,6915,0.00191,0.009081),(5115,6925,0.001911,0.009091),(5115,6935,0.001912,0.0091),(5115,6945,0.001912,0.009109),(5115,6955,0.001913,0.009118),(5115,6965,0.001914,0.009125),(5115,6975,0.001916,0.009132),(5115,6985,0.001917,0.00914),(5125,5,1.2e-05,-1.4346),(5125,15,3.6e-05,-1.4348),(5125,25,4.8e-05,-1.435),(5125,35,5e-05,-1.4352),(5125,45,5.1e-05,-1.4353),(5125,55,5.3e-05,-1.4355),(5125,65,6.1e-05,-1.4356),(5125,75,7.5e-05,-1.4357),(5125,85,8.9e-05,-1.4359),(5125,95,0.000103,-1.4361),(5125,105,0.000105,-1.4364),(5125,115,9.9e-05,-1.4366),(5125,125,9.3e-05,-1.4369),(5125,135,8.7e-05,-1.4371),(5125,145,8.5e-05,-1.4374),(5125,155,8.5e-05,-1.4377),(5125,165,8.4e-05,-1.438),(5125,175,8.4e-05,-1.4384),(5125,185,9.7e-05,-1.4388),(5125,195,0.000115,-1.4391),(5125,205,0.000133,-1.4396),(5125,215,0.000151,-1.4401),(5125,225,0.000187,-1.4406),(5125,235,0.00023,-1.4411),(5125,245,0.000273,-1.4417),(5125,255,0.000317,-1.4423),(5125,265,0.000321,-1.443),(5125,275,0.000312,-1.4436),(5125,285,0.000303,-1.4442),(5125,295,0.000294,-1.4448),(5125,305,0.000315,-1.4454),(5125,315,0.000343,-1.446),(5125,325,0.000371,-1.4469),(5125,335,0.000399,-1.4477),(5125,345,0.000403,-1.4486),(5125,355,0.000402,-1.4495),(5125,365,0.000401,-1.4503),(5125,375,0.000401,-1.4512),(5125,385,0.00036,-1.452),(5125,395,0.000314,-1.4529),(5125,405,0.000268,-1.4538),(5125,415,0.000222,-1.4547),(5125,425,0.00021,-1.4557),(5125,435,0.000201,-1.4566),(5125,445,0.000192,-1.4576),(5125,455,0.000182,-1.4587),(5125,465,0.000299,-1.4597),(5125,475,0.000421,-1.4608),(5125,485,0.000544,-1.4623),(5125,495,0.000666,-1.4638),(5125,505,0.000707,-1.4652),(5125,515,0.000748,-1.4667),(5125,525,0.000789,-1.4682),(5125,535,0.000826,-1.4696),(5125,545,0.000763,-1.471),(5125,555,0.0007,-1.4724),(5125,565,0.000637,-1.4739),(5125,575,0.000574,-1.4753),(5125,585,0.000509,-1.4768),(5125,595,0.000444,-1.4783),(5125,605,0.000379,-1.4799),(5125,615,0.000322,-1.4815),(5125,625,0.000324,-1.4831),(5125,635,0.000327,-1.4848),(5125,645,0.00033,-1.4866),(5125,655,0.000344,-1.4885),(5125,665,0.000416,-1.4904),(5125,675,0.000488,-1.4923),(5125,685,0.000561,-1.4943),(5125,695,0.000638,-1.4964),(5125,705,0.000734,-1.4985),(5125,715,0.00083,-1.5006),(5125,725,0.000926,-1.5029),(5125,735,0.001011,-1.5052),(5125,745,0.001057,-1.5075),(5125,755,0.001104,-1.5098),(5125,765,0.001151,-1.5121),(5125,775,0.001172,-1.5144),(5125,785,0.001125,-1.5167),(5125,795,0.001077,-1.519),(5125,805,0.00103,-1.5214),(5125,815,0.001,-1.5239),(5125,825,0.001007,-1.5263),(5125,835,0.001014,-1.5288),(5125,845,0.001021,-1.5315),(5125,855,0.001029,-1.5342),(5125,865,0.001038,-1.5369),(5125,875,0.001047,-1.5397),(5125,885,0.001056,-1.5425),(5125,895,0.001091,-1.5453),(5125,905,0.001164,-1.5482),(5125,915,0.001237,-1.5511),(5125,925,0.001309,-1.5543),(5125,935,0.001395,-1.5575),(5125,945,0.001497,-1.5607),(5125,955,0.001598,-1.564),(5125,965,0.0017,-1.5674),(5125,975,0.00178,-1.5708),(5125,985,0.001836,-1.5742),(5125,995,0.001892,-1.5776),(5125,1005,0.001947,-1.5811),(5125,1015,0.002006,-1.5846),(5125,1025,0.002067,-1.5881),(5125,1035,0.002128,-1.5918),(5125,1045,0.00219,-1.5956),(5125,1055,0.002209,-1.5993),(5125,1065,0.002194,-1.6031),(5125,1075,0.002178,-1.607),(5125,1085,0.002163,-1.6109),(5125,1095,0.002174,-1.6147),(5125,1105,0.002202,-1.6186),(5125,1115,0.00223,-1.6225),(5125,1125,0.002258,-1.6263),(5125,1135,0.002736,-1.6302),(5125,1145,0.00348,-1.634),(5125,1155,0.004223,-1.6376),(5125,1165,0.004967,-1.641),(5125,1175,0.007703,-1.6445),(5125,1185,0.011429,-1.6479),(5125,1195,0.015154,-1.6515),(5125,1205,0.01888,-1.6552),(5125,1215,0.024155,-1.6588),(5125,1225,0.030069,-1.6625),(5125,1235,0.035983,-1.6689),(5125,1245,0.041897,-1.6764),(5125,1255,0.021503,-1.6839),(5125,1265,-0.007777,-1.6914),(5125,1275,-0.037057,-1.6786),(5125,1285,-0.066336,-1.6597),(5125,1295,-0.13538,-1.6407),(5125,1305,-0.21518,-1.6218),(5125,1315,-0.29498,-1.5275),(5125,1325,-0.37478,-1.4152),(5125,1335,-0.22842,-1.3028),(5125,1345,-0.034663,-1.1905),(5125,1355,0.1591,-1.2587),(5125,1365,0.35286,-1.3597),(5125,1375,0.31833,-1.4607),(5125,1385,0.24858,-1.5616),(5125,1395,0.17883,-1.5989),(5125,1405,0.10908,-1.6279),(5125,1415,0.065737,-1.657),(5125,1425,0.025138,-1.686),(5125,1435,-0.015461,-1.6814),(5125,1445,-0.05606,-1.6741),(5125,1455,-0.05076,-1.6667),(5125,1465,-0.042817,-1.6594),(5125,1475,-0.034873,-1.6559),(5125,1485,-0.02693,-1.6525),(5125,1495,-0.02174,-1.6492),(5125,1505,-0.016591,-1.6458),(5125,1515,-0.011443,-1.6425),(5125,1525,-0.006395,-1.6392),(5125,1535,-0.005341,-1.6359),(5125,1545,-0.004287,-1.6325),(5125,1555,-0.003233,-1.6287),(5125,1565,-0.002244,-1.6249),(5125,1575,-0.002185,-1.6211),(5125,1585,-0.002126,-1.6173),(5125,1595,-0.002067,-1.6136),(5125,1605,-0.002016,-1.6099),(5125,1615,-0.002042,-1.6061),(5125,1625,-0.002067,-1.6024),(5125,1635,-0.002092,-1.599),(5125,1645,-0.002112,-1.5956),(5125,1655,-0.002096,-1.5921),(5125,1665,-0.00208,-1.5887),(5125,1675,-0.002064,-1.5856),(5125,1685,-0.002041,-1.5825),(5125,1695,-0.001986,-1.5794),(5125,1705,-0.001931,-1.5763),(5125,1715,-0.001876,-1.5735),(5125,1725,-0.001815,-1.5707),(5125,1735,-0.001735,-1.5679),(5125,1745,-0.001654,-1.5652),(5125,1755,-0.001574,-1.5627),(5125,1765,-0.001498,-1.5602),(5125,1775,-0.001436,-1.5577),(5125,1785,-0.001375,-1.5553),(5125,1795,-0.001313,-1.553),(5125,1805,-0.001258,-1.5508),(5125,1815,-0.001219,-1.5485),(5125,1825,-0.00118,-1.5464),(5125,1835,-0.001142,-1.5445),(5125,1845,-0.001088,-1.5426),(5125,1855,-0.001007,-1.5406),(5125,1865,-0.000926,-1.5388),(5125,1875,-0.000844,-1.537),(5125,1885,-0.000789,-1.5353),(5125,1895,-0.000778,-1.5336),(5125,1905,-0.000766,-1.5319),(5125,1915,-0.000754,-1.5305),(5125,1925,-0.000729,-1.5291),(5125,1935,-0.000684,-1.5277),(5125,1945,-0.000639,-1.5263),(5125,1955,-0.000594,-1.525),(5125,1965,-0.000554,-1.5237),(5125,1975,-0.000518,-1.5223),(5125,1985,-0.000483,-1.5211),(5125,1995,-0.000447,-1.5199),(5125,2005,-0.000415,-1.5188),(5125,2015,-0.000386,-1.5176),(5125,2025,-0.000356,-1.5166),(5125,2035,-0.000327,-1.5156),(5125,2045,-0.000303,-1.5146),(5125,2055,-0.000282,-1.5135),(5125,2065,-0.000261,-1.5126),(5125,2075,-0.000241,-1.5117),(5125,2085,-0.000202,-1.5108),(5125,2095,-0.00015,-1.5099),(5125,2105,-9.8e-05,-1.5091),(5125,2115,-4.5e-05,-1.5084),(5125,2125,1.6e-05,-1.5077),(5125,2135,8.2e-05,-1.507),(5125,2145,0.000148,-1.5063),(5125,2155,0.000214,-1.5058),(5125,2165,0.00027,-1.5052),(5125,2175,0.00032,-1.5046),(5125,2185,0.00037,-1.5041),(5125,2195,0.00042,-1.5037),(5125,2205,0.000452,-1.5033),(5125,2215,0.000477,-1.5028),(5125,2225,0.000502,-1.5025),(5125,2235,0.000526,-1.5022),(5125,2245,0.00058,-1.502),(5125,2255,0.000645,-1.5017),(5125,2265,0.000709,-1.5014),(5125,2275,0.000774,-1.5011),(5125,2285,0.000766,-1.5008),(5125,2295,0.000738,-1.5004),(5125,2305,0.000709,-1.5003),(5125,2315,0.000681,-1.5003),(5125,2325,0.000713,-1.5002),(5125,2335,0.000758,-1.5001),(5125,2345,0.000804,-1.5001),(5125,2355,0.000849,-1.5),(5125,2365,0.000891,-1.5),(5125,2375,0.000931,-1.5),(5125,2385,0.000972,-1.5),(5125,2395,0.001013,-1.5),(5125,2405,0.001063,-1.5),(5125,2415,0.001113,-1.5),(5125,2425,0.001164,-1.5001),(5125,2435,0.001215,-1.5001),(5125,2445,0.001291,-1.5002),(5125,2455,0.00137,-1.5003),(5125,2465,0.001449,-1.5004),(5125,2475,0.001528,-1.5006),(5125,2485,0.001607,-1.5007),(5125,2495,0.001685,-1.5009),(5125,2505,0.001763,-1.5011),(5125,2515,0.001841,-1.5012),(5125,2525,0.001905,-1.5014),(5125,2535,0.00197,-1.5016),(5125,2545,0.002034,-1.5018),(5125,2555,0.002098,-1.5021),(5125,2565,0.002156,-1.5023),(5125,2575,0.002214,-1.5025),(5125,2585,0.002272,-1.5028),(5125,2595,0.002328,-1.5031),(5125,2605,0.002367,-1.5034),(5125,2615,0.002405,-1.5037),(5125,2625,0.002444,-1.5041),(5125,2635,0.002495,-1.5045),(5125,2645,0.002629,-1.5049),(5125,2655,0.002762,-1.5053),(5125,2665,0.002896,-1.5055),(5125,2675,0.003002,-1.5057),(5125,2685,0.002975,-1.5058),(5125,2695,0.002948,-1.5061),(5125,2705,0.002921,-1.5065),(5125,2715,0.002917,-1.5069),(5125,2725,0.002999,-1.5073),(5125,2735,0.00308,-1.5078),(5125,2745,0.003162,-1.5081),(5125,2755,0.003243,-1.5085),(5125,2765,0.003326,-1.5088),(5125,2775,0.003408,-1.5092),(5125,2785,0.003491,-1.5096),(5125,2795,0.003571,-1.5099),(5125,2805,0.003647,-1.5103),(5125,2815,0.003722,-1.5107),(5125,2825,0.003797,-1.511),(5125,2835,0.003873,-1.5114),(5125,2845,0.003949,-1.5117),(5125,2855,0.004026,-1.5121),(5125,2865,0.004103,-1.5124),(5125,2875,0.004181,-1.5128),(5125,2885,0.004264,-1.5131),(5125,2895,0.004346,-1.5134),(5125,2905,0.004429,-1.5138),(5125,2915,0.004514,-1.5141),(5125,2925,0.004604,-1.5145),(5125,2935,0.004693,-1.5148),(5125,2945,0.004782,-1.5151),(5125,2955,0.00487,-1.5154),(5125,2965,0.004956,-1.5157),(5125,2975,0.005041,-1.516),(5125,2985,0.005127,-1.5163),(5125,2995,0.005203,-1.5166),(5125,3005,0.00527,-1.5169),(5125,3015,0.005337,-1.5172),(5125,3025,0.005404,-1.5176),(5125,3035,0.005527,-1.5179),(5125,3045,0.0057,-1.5182),(5125,3055,0.005873,-1.5184),(5125,3065,0.006046,-1.5184),(5125,3075,0.006158,-1.5184),(5125,3085,0.006223,-1.5185),(5125,3095,0.006288,-1.5187),(5125,3105,0.006353,-1.5189),(5125,3115,0.006478,-1.5192),(5125,3125,0.006641,-1.5194),(5125,3135,0.006804,-1.5196),(5125,3145,0.006967,-1.5197),(5125,3155,0.007111,-1.5198),(5125,3165,0.007243,-1.52),(5125,3175,0.007376,-1.52),(5125,3185,0.007509,-1.5201),(5125,3195,0.007622,-1.5201),(5125,3205,0.007727,-1.5202),(5125,3215,0.007832,-1.5201),(5125,3225,0.007937,-1.5201),(5125,3235,0.008036,-1.5201),(5125,3245,0.008133,-1.52),(5125,3255,0.00823,-1.52),(5125,3265,0.008327,-1.5198),(5125,3275,0.008415,-1.5197),(5125,3285,0.0085,-1.5196),(5125,3295,0.008586,-1.5194),(5125,3305,0.008671,-1.5192),(5125,3315,0.008739,-1.519),(5125,3325,0.008803,-1.5188),(5125,3335,0.008867,-1.5186),(5125,3345,0.008932,-1.5184),(5125,3355,0.009007,-1.5181),(5125,3365,0.009084,-1.5179),(5125,3375,0.009161,-1.5177),(5125,3385,0.009238,-1.5175),(5125,3395,0.00943,-1.5173),(5125,3405,0.009637,-1.5171),(5125,3415,0.009844,-1.5166),(5125,3425,0.010051,-1.5161),(5125,3435,0.010106,-1.5156),(5125,3445,0.010149,-1.5151),(5125,3455,0.010192,-1.5148),(5125,3465,0.010235,-1.5145),(5125,3475,0.010348,-1.5142),(5125,3485,0.010463,-1.5139),(5125,3495,0.010578,-1.5134),(5125,3505,0.010693,-1.513),(5125,3515,0.010796,-1.5125),(5125,3525,0.010899,-1.512),(5125,3535,0.011001,-1.5115),(5125,3545,0.011104,-1.511),(5125,3555,0.011216,-1.5104),(5125,3565,0.011328,-1.5099),(5125,3575,0.01144,-1.5093),(5125,3585,0.01155,-1.5087),(5125,3595,0.011647,-1.5082),(5125,3605,0.011744,-1.5076),(5125,3615,0.011842,-1.507),(5125,3625,0.011938,-1.5064),(5125,3635,0.012027,-1.5057),(5125,3645,0.012117,-1.5051),(5125,3655,0.012206,-1.5044),(5125,3665,0.012294,-1.5038),(5125,3675,0.012371,-1.5031),(5125,3685,0.012448,-1.5024),(5125,3695,0.012526,-1.5016),(5125,3705,0.012601,-1.5009),(5125,3715,0.012667,-1.5001),(5125,3725,0.012733,-1.4994),(5125,3735,0.012799,-1.4986),(5125,3745,0.012851,-1.4979),(5125,3755,0.012862,-1.4972),(5125,3765,0.012873,-1.4964),(5125,3775,0.012883,-1.4958),(5125,3785,0.012919,-1.4952),(5125,3795,0.013018,-1.4945),(5125,3805,0.013117,-1.4938),(5125,3815,0.013216,-1.493),(5125,3825,0.013413,-1.4922),(5125,3835,0.013816,-1.4913),(5125,3845,0.014219,-1.4905),(5125,3855,0.014621,-1.4896),(5125,3865,0.015707,-1.4887),(5125,3875,0.018,-1.4878),(5125,3885,0.020292,-1.4871),(5125,3895,0.022585,-1.4868),(5125,3905,0.025378,-1.4865),(5125,3915,0.028918,-1.4861),(5125,3925,0.032459,-1.4875),(5125,3935,0.035999,-1.4911),(5125,3945,0.028336,-1.4947),(5125,3955,0.006449,-1.4983),(5125,3965,-0.015438,-1.4934),(5125,3975,-0.037326,-1.4783),(5125,3985,-0.096348,-1.4633),(5125,3995,-0.19557,-1.4482),(5125,4005,-0.29479,-1.3743),(5125,4015,-0.39401,-1.2416),(5125,4025,-0.17364,-1.1088),(5125,4035,0.077987,-1.0198),(5125,4045,0.32962,-1.023),(5125,4055,0.46295,-1.0261),(5125,4065,0.55313,-1.029),(5125,4075,0.64331,-1.0306),(5125,4085,0.6902,-1.0322),(5125,4095,0.7023,-1.0338),(5125,4105,0.7144,-1.0328),(5125,4115,0.7264,-1.0317),(5125,4125,0.73823,-1.0307),(5125,4135,0.75006,-1.0278),(5125,4145,0.7619,-1.0243),(5125,4155,0.77379,-1.0209),(5125,4165,0.78569,-1.0163),(5125,4175,0.79758,-1.011),(5125,4185,0.80958,-1.0057),(5125,4195,0.82157,-0.99969),(5125,4205,0.83357,-0.99266),(5125,4215,0.84551,-0.98563),(5125,4225,0.85744,-0.97829),(5125,4235,0.86937,-0.97001),(5125,4245,0.88113,-0.96174),(5125,4255,0.8928,-0.9534),(5125,4265,0.90447,-0.94434),(5125,4275,0.91592,-0.93528),(5125,4285,0.92713,-0.92622),(5125,4295,0.93835,-0.91671),(5125,4305,0.94937,-0.90714),(5125,4315,0.95999,-0.89757),(5125,4325,0.9706,-0.88793),(5125,4335,0.98112,-0.87825),(5125,4345,0.991,-0.86858),(5125,4355,1.0009,-0.85896),(5125,4365,1.0108,-0.84939),(5125,4375,1.02,-0.83981),(5125,4385,1.0292,-0.83033),(5125,4395,1.0383,-0.82101),(5125,4405,1.047,-0.81169),(5125,4415,1.0555,-0.80242),(5125,4425,1.064,-0.79337),(5125,4435,1.0722,-0.78432),(5125,4445,1.0801,-0.77527),(5125,4455,1.088,-0.76646),(5125,4465,1.0957,-0.75765),(5125,4475,1.103,-0.74884),(5125,4485,1.1104,-0.74046),(5125,4495,1.1176,-0.73216),(5125,4505,1.1244,-0.72387),(5125,4515,1.1312,-0.7159),(5125,4525,1.138,-0.70812),(5125,4535,1.1443,-0.70033),(5125,4545,1.1507,-0.69275),(5125,4555,1.157,-0.68541),(5125,4565,1.163,-0.67806),(5125,4575,1.169,-0.67088),(5125,4585,1.1749,-0.66408),(5125,4595,1.1806,-0.65728),(5125,4605,1.1862,-0.65053),(5125,4615,1.1917,-0.6442),(5125,4625,1.1972,-0.63788),(5125,4635,1.2024,-0.63155),(5125,4645,1.2077,-0.62572),(5125,4655,1.2129,-0.61992),(5125,4665,1.2179,-0.61413),(5125,4675,1.2229,-0.6087),(5125,4685,1.2279,-0.60339),(5125,4695,1.2326,-0.59808),(5125,4705,1.2374,-0.59303),(5125,4715,1.2422,-0.58817),(5125,4725,1.2469,-0.5833),(5125,4735,1.2515,-0.57859),(5125,4745,1.2561,-0.5741),(5125,4755,1.2606,-0.56961),(5125,4765,1.265,-0.56522),(5125,4775,1.2694,-0.56115),(5125,4785,1.2738,-0.55709),(5125,4795,1.2781,-0.55304),(5125,4805,1.2824,-0.5493),(5125,4815,1.2867,-0.54556),(5125,4825,1.2909,-0.54183),(5125,4835,1.2951,-0.53836),(5125,4845,1.2992,-0.53493),(5125,4855,1.3033,-0.53151),(5125,4865,1.3074,-0.52827),(5125,4875,1.3114,-0.52511),(5125,4885,1.3154,-0.52194),(5125,4895,1.3193,-0.51889),(5125,4905,1.3233,-0.51595),(5125,4915,1.3271,-0.513),(5125,4925,1.331,-0.51012),(5125,4935,1.3348,-0.50737),(5125,4945,1.3386,-0.50461),(5125,4955,1.3423,-0.5019),(5125,4965,1.346,-0.49937),(5125,4975,1.3496,-0.49684),(5125,4985,1.3532,-0.49431),(5125,4995,1.3568,-0.49188),(5125,5005,1.3603,-0.48944),(5125,5015,1.3638,-0.48701),(5125,5025,1.3672,-0.48467),(5125,5035,1.3706,-0.48235),(5125,5045,1.3739,-0.48003),(5125,5055,1.3772,-0.47781),(5125,5065,1.3805,-0.47567),(5125,5075,1.3836,-0.47352),(5125,5085,1.3867,-0.47143),(5125,5095,1.3898,-0.46941),(5125,5105,1.3928,-0.46738),(5125,5115,1.3957,-0.4654),(5125,5125,1.3987,-0.4635),(5125,5135,1.4015,-0.46161),(5125,5145,1.4043,-0.45973),(5125,5155,1.4072,-0.45803),(5125,5165,1.4099,-0.45633),(5125,5175,1.4126,-0.45462),(5125,5185,1.4153,-0.45313),(5125,5195,1.418,-0.45166),(5125,5205,1.4207,-0.45018),(5125,5215,1.4234,-0.4489),(5125,5225,1.426,-0.44768),(5125,5235,1.4287,-0.44647),(5125,5245,1.4313,-0.44541),(5125,5255,1.434,-0.44449),(5125,5265,1.4367,-0.44357),(5125,5275,1.4394,-0.44276),(5125,5285,1.4421,-0.44212),(5125,5295,1.4449,-0.44149),(5125,5305,1.4477,-0.44091),(5125,5315,1.4505,-0.44058),(5125,5325,1.4535,-0.44024),(5125,5335,1.4564,-0.43991),(5125,5345,1.4594,-0.43985),(5125,5355,1.4625,-0.43979),(5125,5365,1.4656,-0.43974),(5125,5375,1.4688,-0.43991),(5125,5385,1.4721,-0.44013),(5125,5395,1.4755,-0.44035),(5125,5405,1.479,-0.44075),(5125,5415,1.4824,-0.44123),(5125,5425,1.4862,-0.44172),(5125,5435,1.49,-0.44228),(5125,5445,1.4937,-0.44293),(5125,5455,1.4978,-0.44357),(5125,5465,1.5019,-0.44426),(5125,5475,1.506,-0.44502),(5125,5485,1.5104,-0.44578),(5125,5495,1.5148,-0.44655),(5125,5505,1.5193,-0.44738),(5125,5515,1.5239,-0.44821),(5125,5525,1.5287,-0.44904),(5125,5535,1.5335,-0.44982),(5125,5545,1.5385,-0.45058),(5125,5555,1.5436,-0.45135),(5125,5565,1.5487,-0.45198),(5125,5575,1.5538,-0.45257),(5125,5585,1.5592,-0.45316),(5125,5595,1.5646,-0.4536),(5125,5605,1.57,-0.45393),(5125,5615,1.5756,-0.45426),(5125,5625,1.5812,-0.45446),(5125,5635,1.5868,-0.45446),(5125,5645,1.5925,-0.45447),(5125,5655,1.5982,-0.45437),(5125,5665,1.604,-0.45391),(5125,5675,1.6098,-0.45346),(5125,5685,1.6156,-0.45299),(5125,5695,1.6214,-0.45218),(5125,5705,1.6273,-0.45138),(5125,5715,1.6331,-0.45057),(5125,5725,1.6389,-0.44924),(5125,5735,1.6448,-0.44784),(5125,5745,1.6506,-0.44643),(5125,5755,1.6564,-0.44466),(5125,5765,1.6621,-0.44272),(5125,5775,1.6678,-0.44078),(5125,5785,1.6735,-0.43863),(5125,5795,1.6791,-0.43626),(5125,5805,1.6847,-0.4339),(5125,5815,1.6902,-0.43139),(5125,5825,1.6957,-0.4286),(5125,5835,1.7011,-0.42581),(5125,5845,1.7065,-0.42294),(5125,5855,1.7118,-0.41971),(5125,5865,1.7171,-0.41649),(5125,5875,1.7223,-0.41326),(5125,5885,1.7274,-0.40963),(5125,5895,1.7326,-0.406),(5125,5905,1.7375,-0.40237),(5125,5915,1.7425,-0.39848),(5125,5925,1.7475,-0.39452),(5125,5935,1.7523,-0.39057),(5125,5945,1.7572,-0.38642),(5125,5955,1.762,-0.38216),(5125,5965,1.7667,-0.37789),(5125,5975,1.7713,-0.37354),(5125,5985,1.776,-0.36909),(5125,5995,1.7805,-0.36464),(5125,6005,1.7851,-0.3601),(5125,6015,1.7896,-0.35533),(5125,6025,1.7941,-0.35055),(5125,6035,1.7984,-0.34576),(5125,6045,1.8028,-0.3408),(5125,6055,1.8071,-0.33585),(5125,6065,1.8114,-0.33089),(5125,6075,1.8156,-0.32576),(5125,6085,1.8198,-0.32061),(5125,6095,1.8239,-0.31547),(5125,6105,1.8279,-0.31016),(5125,6115,1.832,-0.30481),(5125,6125,1.8359,-0.29945),(5125,6135,1.8397,-0.29397),(5125,6145,1.8436,-0.28839),(5125,6155,1.8473,-0.2828),(5125,6165,1.851,-0.27716),(5125,6175,1.8547,-0.2714),(5125,6185,1.8582,-0.26564),(5125,6195,1.8617,-0.25986),(5125,6205,1.8652,-0.25398),(5125,6215,1.8685,-0.2481),(5125,6225,1.8718,-0.24221),(5125,6235,1.8751,-0.23622),(5125,6245,1.8783,-0.23022),(5125,6255,1.8814,-0.22423),(5125,6265,1.8844,-0.21806),(5125,6275,1.8874,-0.21185),(5125,6285,1.8903,-0.20565),(5125,6295,1.8931,-0.19942),(5125,6305,1.8959,-0.19316),(5125,6315,1.8985,-0.18691),(5125,6325,1.9011,-0.18057),(5125,6335,1.9037,-0.17412),(5125,6345,1.906,-0.16767),(5125,6355,1.9084,-0.1612),(5125,6365,1.9107,-0.15467),(5125,6375,1.9128,-0.14813),(5125,6385,1.9148,-0.14159),(5125,6395,1.9169,-0.13499),(5125,6405,1.9188,-0.12839),(5125,6415,1.9205,-0.12179),(5125,6425,1.9223,-0.11508),(5125,6435,1.9239,-0.10837),(5125,6445,1.9253,-0.10166),(5125,6455,1.9268,-0.094896),(5125,6465,1.9282,-0.088117),(5125,6475,1.9293,-0.081337),(5125,6485,1.9305,-0.074515),(5125,6495,1.9316,-0.067665),(5125,6505,1.9325,-0.060814),(5125,6515,1.9333,-0.053968),(5125,6525,1.9342,-0.047128),(5125,6535,1.9348,-0.040287),(5125,6545,1.9354,-0.033442),(5125,6555,1.9359,-0.026578),(5125,6565,1.9363,-0.019714),(5125,6575,1.9365,-0.012853),(5125,6585,1.9368,-0.006039),(5125,6595,1.6476,0.000776),(5125,6605,1.0387,0.00759),(5125,6615,0.42991,0.008413),(5125,6625,0.001921,0.008467),(5125,6635,0.001919,0.008521),(5125,6645,0.001917,0.008558),(5125,6655,0.001915,0.008589),(5125,6665,0.001913,0.00862),(5125,6675,0.001911,0.008649),(5125,6685,0.001909,0.008676),(5125,6695,0.001908,0.008703),(5125,6705,0.001906,0.008729),(5125,6715,0.001904,0.008753),(5125,6725,0.001903,0.008777),(5125,6735,0.001901,0.0088),(5125,6745,0.0019,0.008822),(5125,6755,0.001899,0.008843),(5125,6765,0.001898,0.008864),(5125,6775,0.001897,0.008882),(5125,6785,0.001896,0.008901),(5125,6795,0.001895,0.008919),(5125,6805,0.001894,0.008936),(5125,6815,0.001894,0.008952),(5125,6825,0.001894,0.008968),(5125,6835,0.001894,0.008983),(5125,6845,0.001893,0.008997),(5125,6855,0.001894,0.009011),(5125,6865,0.001894,0.009024),(5125,6875,0.001894,0.009036),(5125,6885,0.001894,0.009048),(5125,6895,0.001895,0.00906),(5125,6905,0.001896,0.009071),(5125,6915,0.001897,0.009081),(5125,6925,0.001898,0.009091),(5125,6935,0.001899,0.0091),(5125,6945,0.0019,0.009109),(5125,6955,0.001901,0.009118),(5125,6965,0.001903,0.009126),(5125,6975,0.001904,0.009134),(5125,6985,0.001906,0.009141),(5135,5,1.5e-05,-1.2776),(5135,15,4.4e-05,-1.2777),(5135,25,5.9e-05,-1.2779),(5135,35,6e-05,-1.2781),(5135,45,6.1e-05,-1.2782),(5135,55,6.2e-05,-1.2783),(5135,65,7.2e-05,-1.2784),(5135,75,8.8e-05,-1.2785),(5135,85,0.000105,-1.2787),(5135,95,0.000121,-1.2789),(5135,105,0.000126,-1.2791),(5135,115,0.000121,-1.2794),(5135,125,0.000117,-1.2796),(5135,135,0.000113,-1.2798),(5135,145,0.00011,-1.2801),(5135,155,0.000108,-1.2803),(5135,165,0.000106,-1.2806),(5135,175,0.000104,-1.2809),(5135,185,0.000114,-1.2813),(5135,195,0.00013,-1.2816),(5135,205,0.000147,-1.282),(5135,215,0.000163,-1.2824),(5135,225,0.000203,-1.2829),(5135,235,0.000253,-1.2833),(5135,245,0.000302,-1.2839),(5135,255,0.000352,-1.2844),(5135,265,0.000361,-1.285),(5135,275,0.000357,-1.2856),(5135,285,0.000353,-1.2861),(5135,295,0.000349,-1.2866),(5135,305,0.000378,-1.2872),(5135,315,0.000417,-1.2877),(5135,325,0.000455,-1.2885),(5135,335,0.000493,-1.2892),(5135,345,0.000504,-1.29),(5135,355,0.00051,-1.2908),(5135,365,0.000516,-1.2916),(5135,375,0.000522,-1.2924),(5135,385,0.000483,-1.2931),(5135,395,0.000437,-1.2939),(5135,405,0.000391,-1.2947),(5135,415,0.000345,-1.2955),(5135,425,0.000314,-1.2963),(5135,435,0.000284,-1.2972),(5135,445,0.000255,-1.2981),(5135,455,0.000225,-1.299),(5135,465,0.000348,-1.2999),(5135,475,0.000477,-1.3009),(5135,485,0.000607,-1.3022),(5135,495,0.000737,-1.3035),(5135,505,0.000804,-1.3048),(5135,515,0.000871,-1.3062),(5135,525,0.000937,-1.3074),(5135,535,0.001,-1.3087),(5135,545,0.000949,-1.31),(5135,555,0.000898,-1.3113),(5135,565,0.000848,-1.3126),(5135,575,0.000795,-1.3139),(5135,585,0.000727,-1.3152),(5135,595,0.000658,-1.3165),(5135,605,0.000589,-1.3179),(5135,615,0.000527,-1.3194),(5135,625,0.000519,-1.3208),(5135,635,0.000512,-1.3223),(5135,645,0.000505,-1.3239),(5135,655,0.000509,-1.3256),(5135,665,0.000577,-1.3272),(5135,675,0.000644,-1.3289),(5135,685,0.000711,-1.3308),(5135,695,0.000787,-1.3326),(5135,705,0.0009,-1.3345),(5135,715,0.001013,-1.3364),(5135,725,0.001126,-1.3384),(5135,735,0.001225,-1.3404),(5135,745,0.001278,-1.3425),(5135,755,0.001332,-1.3445),(5135,765,0.001386,-1.3466),(5135,775,0.001418,-1.3486),(5135,785,0.001393,-1.3507),(5135,795,0.001368,-1.3528),(5135,805,0.001343,-1.3549),(5135,815,0.001327,-1.3571),(5135,825,0.001331,-1.3593),(5135,835,0.001336,-1.3615),(5135,845,0.00134,-1.3639),(5135,855,0.001345,-1.3663),(5135,865,0.00135,-1.3687),(5135,875,0.001355,-1.3712),(5135,885,0.001361,-1.3737),(5135,895,0.001393,-1.3762),(5135,905,0.001468,-1.3787),(5135,915,0.001544,-1.3814),(5135,925,0.001619,-1.3842),(5135,935,0.001712,-1.3871),(5135,945,0.00183,-1.3899),(5135,955,0.001948,-1.3928),(5135,965,0.002066,-1.3959),(5135,975,0.002161,-1.3989),(5135,985,0.002232,-1.4019),(5135,995,0.002302,-1.405),(5135,1005,0.002373,-1.4081),(5135,1015,0.002451,-1.4112),(5135,1025,0.002538,-1.4144),(5135,1035,0.002624,-1.4176),(5135,1045,0.002711,-1.421),(5135,1055,0.002764,-1.4244),(5135,1065,0.00279,-1.4277),(5135,1075,0.002816,-1.4312),(5135,1085,0.002842,-1.4347),(5135,1095,0.002861,-1.4381),(5135,1105,0.002876,-1.4416),(5135,1115,0.002891,-1.4451),(5135,1125,0.002906,-1.4486),(5135,1135,0.003305,-1.452),(5135,1145,0.003931,-1.4555),(5135,1155,0.004557,-1.4586),(5135,1165,0.005183,-1.4616),(5135,1175,0.007857,-1.4645),(5135,1185,0.011549,-1.4675),(5135,1195,0.01524,-1.4699),(5135,1205,0.018932,-1.4721),(5135,1215,0.024877,-1.4743),(5135,1225,0.031752,-1.4765),(5135,1235,0.038627,-1.4799),(5135,1245,0.045502,-1.4838),(5135,1255,0.020672,-1.4877),(5135,1265,-0.014866,-1.4916),(5135,1275,-0.050404,-1.4839),(5135,1285,-0.085942,-1.4727),(5135,1295,-0.17433,-1.4614),(5135,1305,-0.27701,-1.4502),(5135,1315,-0.3797,-1.3918),(5135,1325,-0.48238,-1.3222),(5135,1335,-0.29616,-1.2525),(5135,1345,-0.049385,-1.1828),(5135,1355,0.19739,-1.223),(5135,1365,0.44416,-1.2832),(5135,1375,0.40213,-1.3433),(5135,1385,0.31554,-1.4035),(5135,1395,0.22896,-1.4264),(5135,1405,0.14237,-1.4446),(5135,1415,0.08956,-1.4627),(5135,1425,0.040253,-1.4809),(5135,1435,-0.009053,-1.4797),(5135,1445,-0.05836,-1.477),(5135,1455,-0.052742,-1.4743),(5135,1465,-0.043961,-1.4716),(5135,1475,-0.03518,-1.47),(5135,1485,-0.026399,-1.4685),(5135,1495,-0.021333,-1.467),(5135,1505,-0.016322,-1.4655),(5135,1515,-0.011311,-1.4627),(5135,1525,-0.006402,-1.4599),(5135,1535,-0.005517,-1.4571),(5135,1545,-0.004631,-1.4543),(5135,1555,-0.003745,-1.4508),(5135,1565,-0.002914,-1.4474),(5135,1575,-0.002869,-1.444),(5135,1585,-0.002824,-1.4405),(5135,1595,-0.002779,-1.4372),(5135,1605,-0.002737,-1.4338),(5135,1615,-0.002722,-1.4305),(5135,1625,-0.002706,-1.4272),(5135,1635,-0.002691,-1.4241),(5135,1645,-0.00267,-1.421),(5135,1655,-0.002619,-1.4179),(5135,1665,-0.002569,-1.4149),(5135,1675,-0.002518,-1.4121),(5135,1685,-0.002462,-1.4094),(5135,1695,-0.002385,-1.4066),(5135,1705,-0.002308,-1.4039),(5135,1715,-0.002232,-1.4014),(5135,1725,-0.002151,-1.3989),(5135,1735,-0.002058,-1.3964),(5135,1745,-0.001965,-1.3939),(5135,1755,-0.001871,-1.3917),(5135,1765,-0.001784,-1.3895),(5135,1775,-0.001713,-1.3873),(5135,1785,-0.001642,-1.3851),(5135,1795,-0.001571,-1.3831),(5135,1805,-0.001503,-1.3811),(5135,1815,-0.001442,-1.3791),(5135,1825,-0.001381,-1.3772),(5135,1835,-0.00132,-1.3755),(5135,1845,-0.001259,-1.3737),(5135,1855,-0.0012,-1.372),(5135,1865,-0.001141,-1.3704),(5135,1875,-0.001081,-1.3688),(5135,1885,-0.001024,-1.3673),(5135,1895,-0.000969,-1.3657),(5135,1905,-0.000914,-1.3643),(5135,1915,-0.00086,-1.363),(5135,1925,-0.000812,-1.3617),(5135,1935,-0.000774,-1.3605),(5135,1945,-0.000736,-1.3592),(5135,1955,-0.000697,-1.3581),(5135,1965,-0.000658,-1.3569),(5135,1975,-0.000618,-1.3557),(5135,1985,-0.000578,-1.3546),(5135,1995,-0.000538,-1.3536),(5135,2005,-0.000502,-1.3525),(5135,2015,-0.00047,-1.3515),(5135,2025,-0.000438,-1.3506),(5135,2035,-0.000406,-1.3497),(5135,2045,-0.000383,-1.3488),(5135,2055,-0.000366,-1.3479),(5135,2065,-0.00035,-1.347),(5135,2075,-0.000334,-1.3462),(5135,2085,-0.0003,-1.3454),(5135,2095,-0.000251,-1.3446),(5135,2105,-0.000203,-1.3439),(5135,2115,-0.000155,-1.3433),(5135,2125,-9.6e-05,-1.3426),(5135,2135,-2.8e-05,-1.342),(5135,2145,3.9e-05,-1.3415),(5135,2155,0.000106,-1.3409),(5135,2165,0.000164,-1.3404),(5135,2175,0.000217,-1.3399),(5135,2185,0.000271,-1.3395),(5135,2195,0.000325,-1.3391),(5135,2205,0.000372,-1.3387),(5135,2215,0.000417,-1.3383),(5135,2225,0.000463,-1.338),(5135,2235,0.000508,-1.3378),(5135,2245,0.000534,-1.3376),(5135,2255,0.000554,-1.3374),(5135,2265,0.000573,-1.3371),(5135,2275,0.000593,-1.3368),(5135,2285,0.000609,-1.3365),(5135,2295,0.000625,-1.3362),(5135,2305,0.00064,-1.3361),(5135,2315,0.000656,-1.336),(5135,2325,0.000678,-1.336),(5135,2335,0.000701,-1.3359),(5135,2345,0.000723,-1.3359),(5135,2355,0.000746,-1.3358),(5135,2365,0.000777,-1.3358),(5135,2375,0.000809,-1.3358),(5135,2385,0.00084,-1.3358),(5135,2395,0.000872,-1.3358),(5135,2405,0.000912,-1.3358),(5135,2415,0.000953,-1.3358),(5135,2425,0.000994,-1.3359),(5135,2435,0.001035,-1.3359),(5135,2445,0.001105,-1.336),(5135,2455,0.001176,-1.336),(5135,2465,0.001247,-1.3362),(5135,2475,0.001319,-1.3363),(5135,2485,0.001391,-1.3364),(5135,2495,0.001463,-1.3366),(5135,2505,0.001536,-1.3367),(5135,2515,0.001608,-1.3369),(5135,2525,0.001666,-1.3371),(5135,2535,0.001724,-1.3372),(5135,2545,0.001783,-1.3374),(5135,2555,0.00184,-1.3376),(5135,2565,0.001895,-1.3378),(5135,2575,0.001949,-1.338),(5135,2585,0.002003,-1.3383),(5135,2595,0.002057,-1.3386),(5135,2605,0.002115,-1.3388),(5135,2615,0.002172,-1.3391),(5135,2625,0.002229,-1.3395),(5135,2635,0.002286,-1.3398),(5135,2645,0.002339,-1.3402),(5135,2655,0.002391,-1.3405),(5135,2665,0.002444,-1.3407),(5135,2675,0.002494,-1.3408),(5135,2685,0.002532,-1.341),(5135,2695,0.002569,-1.3412),(5135,2705,0.002607,-1.3416),(5135,2715,0.002645,-1.342),(5135,2725,0.002688,-1.3423),(5135,2735,0.00273,-1.3427),(5135,2745,0.002772,-1.343),(5135,2755,0.002821,-1.3433),(5135,2765,0.00289,-1.3437),(5135,2775,0.002959,-1.344),(5135,2785,0.003028,-1.3443),(5135,2795,0.003095,-1.3447),(5135,2805,0.003157,-1.345),(5135,2815,0.003219,-1.3453),(5135,2825,0.003281,-1.3456),(5135,2835,0.003342,-1.3459),(5135,2845,0.003402,-1.3462),(5135,2855,0.003462,-1.3466),(5135,2865,0.003522,-1.3469),(5135,2875,0.003584,-1.3472),(5135,2885,0.003651,-1.3475),(5135,2895,0.003718,-1.3478),(5135,2905,0.003784,-1.3481),(5135,2915,0.003854,-1.3484),(5135,2925,0.00393,-1.3487),(5135,2935,0.004006,-1.349),(5135,2945,0.004082,-1.3492),(5135,2955,0.004157,-1.3495),(5135,2965,0.004229,-1.3498),(5135,2975,0.004302,-1.3501),(5135,2985,0.004374,-1.3503),(5135,2995,0.004445,-1.3506),(5135,3005,0.004515,-1.3509),(5135,3015,0.004585,-1.3512),(5135,3025,0.004654,-1.3514),(5135,3035,0.004724,-1.3517),(5135,3045,0.004793,-1.352),(5135,3055,0.004862,-1.3522),(5135,3065,0.004932,-1.3522),(5135,3075,0.005024,-1.3522),(5135,3085,0.005135,-1.3522),(5135,3095,0.005245,-1.3524),(5135,3105,0.005355,-1.3526),(5135,3115,0.005472,-1.3528),(5135,3125,0.005595,-1.3531),(5135,3135,0.005717,-1.3532),(5135,3145,0.005839,-1.3534),(5135,3155,0.00596,-1.3535),(5135,3165,0.006081,-1.3536),(5135,3175,0.006201,-1.3536),(5135,3185,0.006321,-1.3537),(5135,3195,0.006419,-1.3537),(5135,3205,0.006506,-1.3537),(5135,3215,0.006594,-1.3537),(5135,3225,0.006681,-1.3537),(5135,3235,0.006761,-1.3537),(5135,3245,0.006838,-1.3537),(5135,3255,0.006915,-1.3536),(5135,3265,0.006992,-1.3535),(5135,3275,0.007065,-1.3534),(5135,3285,0.007137,-1.3533),(5135,3295,0.007209,-1.3531),(5135,3305,0.007281,-1.3529),(5135,3315,0.007334,-1.3528),(5135,3325,0.007382,-1.3526),(5135,3335,0.007431,-1.3524),(5135,3345,0.007479,-1.3522),(5135,3355,0.007553,-1.3519),(5135,3365,0.007631,-1.3517),(5135,3375,0.00771,-1.3515),(5135,3385,0.007788,-1.3514),(5135,3395,0.007894,-1.3512),(5135,3405,0.008004,-1.351),(5135,3415,0.008114,-1.3506),(5135,3425,0.008223,-1.3502),(5135,3435,0.008337,-1.3497),(5135,3445,0.00845,-1.3492),(5135,3455,0.008564,-1.349),(5135,3465,0.008677,-1.3487),(5135,3475,0.008758,-1.3484),(5135,3485,0.008838,-1.3482),(5135,3495,0.008918,-1.3478),(5135,3505,0.008997,-1.3473),(5135,3515,0.009084,-1.3469),(5135,3525,0.00917,-1.3465),(5135,3535,0.009257,-1.346),(5135,3545,0.009344,-1.3455),(5135,3555,0.00945,-1.3451),(5135,3565,0.009555,-1.3446),(5135,3575,0.009661,-1.3441),(5135,3585,0.009766,-1.3436),(5135,3595,0.009865,-1.3431),(5135,3605,0.009964,-1.3426),(5135,3615,0.010062,-1.342),(5135,3625,0.01016,-1.3415),(5135,3635,0.010251,-1.3409),(5135,3645,0.010341,-1.3403),(5135,3655,0.010432,-1.3397),(5135,3665,0.01052,-1.3391),(5135,3675,0.010597,-1.3386),(5135,3685,0.010673,-1.3379),(5135,3695,0.010749,-1.3373),(5135,3705,0.010826,-1.3366),(5135,3715,0.0109,-1.3359),(5135,3725,0.010975,-1.3352),(5135,3735,0.011049,-1.3346),(5135,3745,0.011118,-1.3339),(5135,3755,0.011168,-1.3333),(5135,3765,0.011219,-1.3327),(5135,3775,0.011269,-1.3321),(5135,3785,0.011316,-1.3316),(5135,3795,0.011356,-1.331),(5135,3805,0.011396,-1.3304),(5135,3815,0.011436,-1.3297),(5135,3825,0.011589,-1.3289),(5135,3835,0.011979,-1.3282),(5135,3845,0.01237,-1.3274),(5135,3855,0.01276,-1.3266),(5135,3865,0.013857,-1.3257),(5135,3875,0.016202,-1.3248),(5135,3885,0.018546,-1.3239),(5135,3895,0.020891,-1.3229),(5135,3905,0.024137,-1.322),(5135,3915,0.028727,-1.321),(5135,3925,0.033317,-1.3211),(5135,3935,0.037907,-1.3226),(5135,3945,0.028866,-1.3241),(5135,3955,0.002519,-1.3256),(5135,3965,-0.023828,-1.3225),(5135,3975,-0.050175,-1.3139),(5135,3985,-0.12741,-1.3053),(5135,3995,-0.25972,-1.2967),(5135,4005,-0.39203,-1.2493),(5135,4015,-0.52434,-1.1631),(5135,4025,-0.26803,-1.077),(5135,4035,0.026309,-1.0197),(5135,4045,0.32065,-1.0231),(5135,4055,0.46498,-1.0266),(5135,4065,0.55459,-1.0298),(5135,4075,0.6442,-1.0319),(5135,4085,0.69038,-1.0339),(5135,4095,0.70165,-1.036),(5135,4105,0.71293,-1.0356),(5135,4115,0.72411,-1.035),(5135,4125,0.73516,-1.0345),(5135,4135,0.7462,-1.0322),(5135,4145,0.75731,-1.0294),(5135,4155,0.76866,-1.0266),(5135,4165,0.78001,-1.0226),(5135,4175,0.79136,-1.018),(5135,4185,0.80278,-1.0134),(5135,4195,0.81421,-1.0081),(5135,4205,0.82563,-1.0017),(5135,4215,0.83709,-0.99539),(5135,4225,0.84856,-0.98873),(5135,4235,0.86003,-0.98109),(5135,4245,0.87143,-0.97345),(5135,4255,0.8828,-0.96575),(5135,4265,0.89416,-0.95723),(5135,4275,0.90537,-0.94872),(5135,4285,0.91642,-0.94021),(5135,4295,0.92746,-0.93114),(5135,4305,0.93836,-0.92201),(5135,4315,0.9489,-0.91287),(5135,4325,0.95945,-0.9036),(5135,4335,0.96991,-0.89427),(5135,4345,0.97979,-0.88495),(5135,4355,0.98967,-0.87563),(5135,4365,0.99955,-0.86632),(5135,4375,1.0088,-0.857),(5135,4385,1.018,-0.84776),(5135,4395,1.0273,-0.83866),(5135,4405,1.036,-0.82955),(5135,4415,1.0446,-0.82048),(5135,4425,1.0532,-0.81159),(5135,4435,1.0614,-0.8027),(5135,4445,1.0694,-0.79382),(5135,4455,1.0774,-0.78514),(5135,4465,1.0851,-0.77646),(5135,4475,1.0926,-0.76779),(5135,4485,1.1001,-0.7595),(5135,4495,1.1074,-0.75129),(5135,4505,1.1144,-0.74308),(5135,4515,1.1213,-0.73518),(5135,4525,1.1282,-0.72744),(5135,4535,1.1347,-0.7197),(5135,4545,1.1412,-0.71216),(5135,4555,1.1477,-0.70484),(5135,4565,1.1539,-0.69753),(5135,4575,1.1599,-0.69036),(5135,4585,1.166,-0.68356),(5135,4595,1.1718,-0.67676),(5135,4605,1.1776,-0.67002),(5135,4615,1.1833,-0.66367),(5135,4625,1.1888,-0.65732),(5135,4635,1.1942,-0.65097),(5135,4645,1.1996,-0.64509),(5135,4655,1.2049,-0.63925),(5135,4665,1.2101,-0.63341),(5135,4675,1.2152,-0.62792),(5135,4685,1.2203,-0.62255),(5135,4695,1.2253,-0.61718),(5135,4705,1.2302,-0.61205),(5135,4715,1.2351,-0.60711),(5135,4725,1.2398,-0.60217),(5135,4735,1.2446,-0.59738),(5135,4745,1.2493,-0.5928),(5135,4755,1.2539,-0.58822),(5135,4765,1.2584,-0.58373),(5135,4775,1.263,-0.57955),(5135,4785,1.2675,-0.57536),(5135,4795,1.2719,-0.5712),(5135,4805,1.2763,-0.56733),(5135,4815,1.2806,-0.56347),(5135,4825,1.2849,-0.55961),(5135,4835,1.2892,-0.55601),(5135,4845,1.2934,-0.55246),(5135,4855,1.2976,-0.5489),(5135,4865,1.3017,-0.54552),(5135,4875,1.3058,-0.54223),(5135,4885,1.3099,-0.53893),(5135,4895,1.3139,-0.53574),(5135,4905,1.3179,-0.53265),(5135,4915,1.3218,-0.52956),(5135,4925,1.3257,-0.52653),(5135,4935,1.3296,-0.52364),(5135,4945,1.3334,-0.52075),(5135,4955,1.3372,-0.51789),(5135,4965,1.3409,-0.51522),(5135,4975,1.3446,-0.51255),(5135,4985,1.3482,-0.50988),(5135,4995,1.3518,-0.5073),(5135,5005,1.3554,-0.50473),(5135,5015,1.3589,-0.50216),(5135,5025,1.3624,-0.49968),(5135,5035,1.3658,-0.49723),(5135,5045,1.3691,-0.49478),(5135,5055,1.3724,-0.49244),(5135,5065,1.3757,-0.49017),(5135,5075,1.3789,-0.4879),(5135,5085,1.382,-0.48569),(5135,5095,1.3852,-0.48355),(5135,5105,1.3882,-0.4814),(5135,5115,1.3912,-0.4793),(5135,5125,1.3942,-0.47729),(5135,5135,1.3971,-0.47529),(5135,5145,1.3999,-0.47331),(5135,5155,1.4028,-0.4715),(5135,5165,1.4056,-0.46969),(5135,5175,1.4084,-0.46789),(5135,5185,1.4112,-0.46629),(5135,5195,1.4139,-0.46472),(5135,5205,1.4167,-0.46315),(5135,5215,1.4194,-0.46177),(5135,5225,1.4222,-0.46046),(5135,5235,1.4249,-0.45914),(5135,5245,1.4276,-0.45799),(5135,5255,1.4304,-0.45696),(5135,5265,1.4332,-0.45593),(5135,5275,1.436,-0.455),(5135,5285,1.4388,-0.45425),(5135,5295,1.4416,-0.4535),(5135,5305,1.4445,-0.45281),(5135,5315,1.4474,-0.45234),(5135,5325,1.4504,-0.45188),(5135,5335,1.4535,-0.45142),(5135,5345,1.4566,-0.45121),(5135,5355,1.4597,-0.451),(5135,5365,1.463,-0.45079),(5135,5375,1.4662,-0.45079),(5135,5385,1.4695,-0.45084),(5135,5395,1.473,-0.45088),(5135,5405,1.4765,-0.45108),(5135,5415,1.4801,-0.45137),(5135,5425,1.4839,-0.45165),(5135,5435,1.4877,-0.452),(5135,5445,1.4915,-0.45242),(5135,5455,1.4956,-0.45283),(5135,5465,1.4997,-0.45328),(5135,5475,1.5038,-0.45379),(5135,5485,1.5082,-0.45429),(5135,5495,1.5126,-0.45481),(5135,5505,1.5171,-0.45536),(5135,5515,1.5217,-0.45592),(5135,5525,1.5265,-0.45648),(5135,5535,1.5313,-0.45696),(5135,5545,1.5362,-0.45744),(5135,5555,1.5412,-0.45792),(5135,5565,1.5463,-0.45826),(5135,5575,1.5514,-0.45855),(5135,5585,1.5567,-0.45884),(5135,5595,1.5619,-0.45898),(5135,5605,1.5672,-0.45901),(5135,5615,1.5727,-0.45904),(5135,5625,1.5782,-0.45894),(5135,5635,1.5837,-0.45865),(5135,5645,1.5892,-0.45835),(5135,5655,1.5948,-0.45795),(5135,5665,1.6004,-0.45722),(5135,5675,1.6061,-0.45648),(5135,5685,1.6118,-0.45573),(5135,5695,1.6175,-0.45466),(5135,5705,1.6231,-0.4536),(5135,5715,1.6288,-0.45253),(5135,5725,1.6344,-0.45097),(5135,5735,1.6401,-0.44934),(5135,5745,1.6457,-0.44771),(5135,5755,1.6513,-0.44573),(5135,5765,1.6569,-0.44361),(5135,5775,1.6624,-0.44148),(5135,5785,1.6679,-0.43916),(5135,5795,1.6735,-0.43664),(5135,5805,1.6788,-0.43413),(5135,5815,1.6842,-0.43148),(5135,5825,1.6896,-0.42856),(5135,5835,1.6949,-0.42565),(5135,5845,1.7001,-0.42268),(5135,5855,1.7053,-0.41936),(5135,5865,1.7104,-0.41605),(5135,5875,1.7155,-0.41273),(5135,5885,1.7206,-0.40904),(5135,5895,1.7255,-0.40535),(5135,5905,1.7304,-0.40166),(5135,5915,1.7353,-0.39772),(5135,5925,1.7402,-0.39372),(5135,5935,1.7449,-0.38972),(5135,5945,1.7496,-0.38553),(5135,5955,1.7543,-0.38124),(5135,5965,1.7589,-0.37694),(5135,5975,1.7635,-0.37257),(5135,5985,1.7682,-0.36809),(5135,5995,1.7726,-0.36361),(5135,6005,1.777,-0.35905),(5135,6015,1.7814,-0.35426),(5135,6025,1.7858,-0.34948),(5135,6035,1.7901,-0.34467),(5135,6045,1.7944,-0.33971),(5135,6055,1.7986,-0.33475),(5135,6065,1.8028,-0.3298),(5135,6075,1.8069,-0.32467),(5135,6085,1.811,-0.31952),(5135,6095,1.815,-0.31437),(5135,6105,1.819,-0.30908),(5135,6115,1.823,-0.30373),(5135,6125,1.8268,-0.29839),(5135,6135,1.8306,-0.29292),(5135,6145,1.8345,-0.28735),(5135,6155,1.8381,-0.28179),(5135,6165,1.8417,-0.27615),(5135,6175,1.8454,-0.27041),(5135,6185,1.8488,-0.26467),(5135,6195,1.8522,-0.25891),(5135,6205,1.8557,-0.25304),(5135,6215,1.859,-0.24718),(5135,6225,1.8622,-0.24131),(5135,6235,1.8654,-0.23533),(5135,6245,1.8685,-0.22935),(5135,6255,1.8715,-0.22337),(5135,6265,1.8745,-0.21722),(5135,6275,1.8775,-0.21103),(5135,6285,1.8803,-0.20485),(5135,6295,1.8831,-0.19863),(5135,6305,1.8859,-0.1924),(5135,6315,1.8884,-0.18617),(5135,6325,1.891,-0.17985),(5135,6335,1.8935,-0.17343),(5135,6345,1.8958,-0.16701),(5135,6355,1.8981,-0.16056),(5135,6365,1.9004,-0.15406),(5135,6375,1.9025,-0.14755),(5135,6385,1.9045,-0.14103),(5135,6395,1.9065,-0.13446),(5135,6405,1.9084,-0.12788),(5135,6415,1.9101,-0.12131),(5135,6425,1.9118,-0.11463),(5135,6435,1.9135,-0.10795),(5135,6445,1.9149,-0.10127),(5135,6455,1.9163,-0.094533),(5135,6465,1.9177,-0.08778),(5135,6475,1.9188,-0.081028),(5135,6485,1.9199,-0.07423),(5135,6495,1.9211,-0.067403),(5135,6505,1.9219,-0.060575),(5135,6515,1.9227,-0.05375),(5135,6525,1.9236,-0.04693),(5135,6535,1.9241,-0.040109),(5135,6545,1.9247,-0.033284),(5135,6555,1.9252,-0.026443),(5135,6565,1.9256,-0.019602),(5135,6575,1.9259,-0.012764),(5135,6585,1.9261,-0.005974),(5135,6595,1.6385,0.000815),(5135,6605,1.033,0.007605),(5135,6615,0.42753,0.008422),(5135,6625,0.001883,0.008471),(5135,6635,0.001882,0.008521),(5135,6645,0.001882,0.008557),(5135,6655,0.001881,0.008588),(5135,6665,0.00188,0.008618),(5135,6675,0.001879,0.008648),(5135,6685,0.001879,0.008675),(5135,6695,0.001878,0.008702),(5135,6705,0.001877,0.008728),(5135,6715,0.001877,0.008752),(5135,6725,0.001876,0.008776),(5135,6735,0.001875,0.0088),(5135,6745,0.001875,0.008821),(5135,6755,0.001875,0.008842),(5135,6765,0.001874,0.008863),(5135,6775,0.001874,0.008882),(5135,6785,0.001874,0.0089),(5135,6795,0.001874,0.008919),(5135,6805,0.001874,0.008936),(5135,6815,0.001874,0.008952),(5135,6825,0.001875,0.008968),(5135,6835,0.001875,0.008983),(5135,6845,0.001876,0.008997),(5135,6855,0.001876,0.009011),(5135,6865,0.001877,0.009025),(5135,6875,0.001878,0.009037),(5135,6885,0.001879,0.009049),(5135,6895,0.00188,0.009061),(5135,6905,0.001881,0.009072),(5135,6915,0.001883,0.009082),(5135,6925,0.001885,0.009093),(5135,6935,0.001886,0.009102),(5135,6945,0.001888,0.009111),(5135,6955,0.00189,0.00912),(5135,6965,0.001891,0.009128),(5135,6975,0.001894,0.009135),(5135,6985,0.001896,0.009143),(5145,5,1.7e-05,-1.0029),(5145,15,5.2e-05,-1.003),(5145,25,6.9e-05,-1.0032),(5145,35,7e-05,-1.0033),(5145,45,7.1e-05,-1.0034),(5145,55,7.1e-05,-1.0035),(5145,65,8.2e-05,-1.0036),(5145,75,0.000101,-1.0036),(5145,85,0.00012,-1.0038),(5145,95,0.00014,-1.004),(5145,105,0.000146,-1.0041),(5145,115,0.000143,-1.0043),(5145,125,0.000141,-1.0045),(5145,135,0.000138,-1.0047),(5145,145,0.000135,-1.0049),(5145,155,0.000131,-1.0051),(5145,165,0.000127,-1.0053),(5145,175,0.000123,-1.0056),(5145,185,0.000131,-1.0058),(5145,195,0.000146,-1.0061),(5145,205,0.000161,-1.0064),(5145,215,0.000175,-1.0067),(5145,225,0.000219,-1.0071),(5145,235,0.000275,-1.0074),(5145,245,0.000332,-1.0078),(5145,255,0.000388,-1.0083),(5145,265,0.000402,-1.0087),(5145,275,0.000402,-1.0092),(5145,285,0.000403,-1.0096),(5145,295,0.000403,-1.01),(5145,305,0.000442,-1.0105),(5145,315,0.000491,-1.0109),(5145,325,0.000539,-1.0115),(5145,335,0.000588,-1.0121),(5145,345,0.000606,-1.0127),(5145,355,0.000618,-1.0133),(5145,365,0.000631,-1.0139),(5145,375,0.000643,-1.0145),(5145,385,0.000605,-1.0151),(5145,395,0.00056,-1.0158),(5145,405,0.000514,-1.0164),(5145,415,0.000469,-1.017),(5145,425,0.000419,-1.0177),(5145,435,0.000368,-1.0183),(5145,445,0.000318,-1.019),(5145,455,0.000267,-1.0197),(5145,465,0.000396,-1.0205),(5145,475,0.000533,-1.0212),(5145,485,0.000671,-1.0222),(5145,495,0.000808,-1.0233),(5145,505,0.000901,-1.0243),(5145,515,0.000993,-1.0254),(5145,525,0.001085,-1.0264),(5145,535,0.001173,-1.0274),(5145,545,0.001135,-1.0284),(5145,555,0.001096,-1.0294),(5145,565,0.001058,-1.0304),(5145,575,0.001017,-1.0315),(5145,585,0.000944,-1.0325),(5145,595,0.000871,-1.0335),(5145,605,0.000798,-1.0346),(5145,615,0.000732,-1.0358),(5145,625,0.000715,-1.0369),(5145,635,0.000697,-1.0381),(5145,645,0.00068,-1.0393),(5145,655,0.000675,-1.0406),(5145,665,0.000737,-1.0419),(5145,675,0.0008,-1.0432),(5145,685,0.000862,-1.0447),(5145,695,0.000937,-1.0461),(5145,705,0.001066,-1.0476),(5145,715,0.001196,-1.0491),(5145,725,0.001325,-1.0507),(5145,735,0.001439,-1.0523),(5145,745,0.001499,-1.0539),(5145,755,0.00156,-1.0555),(5145,765,0.00162,-1.0571),(5145,775,0.001664,-1.0588),(5145,785,0.001661,-1.0604),(5145,795,0.001658,-1.062),(5145,805,0.001656,-1.0637),(5145,815,0.001654,-1.0654),(5145,825,0.001656,-1.0671),(5145,835,0.001658,-1.0689),(5145,845,0.00166,-1.0708),(5145,855,0.001661,-1.0727),(5145,865,0.001662,-1.0746),(5145,875,0.001664,-1.0765),(5145,885,0.001665,-1.0785),(5145,895,0.001696,-1.0805),(5145,905,0.001773,-1.0824),(5145,915,0.001851,-1.0845),(5145,925,0.001928,-1.0867),(5145,935,0.00203,-1.089),(5145,945,0.002164,-1.0912),(5145,955,0.002298,-1.0935),(5145,965,0.002431,-1.0959),(5145,975,0.002542,-1.0983),(5145,985,0.002628,-1.1007),(5145,995,0.002713,-1.1031),(5145,1005,0.002798,-1.1056),(5145,1015,0.002897,-1.108),(5145,1025,0.003008,-1.1104),(5145,1035,0.00312,-1.113),(5145,1045,0.003232,-1.1157),(5145,1055,0.003319,-1.1183),(5145,1065,0.003386,-1.121),(5145,1075,0.003453,-1.1237),(5145,1085,0.00352,-1.1264),(5145,1095,0.003549,-1.1292),(5145,1105,0.003551,-1.1319),(5145,1115,0.003553,-1.1347),(5145,1125,0.003554,-1.1374),(5145,1135,0.003874,-1.1402),(5145,1145,0.004383,-1.143),(5145,1155,0.00489,-1.1454),(5145,1165,0.005398,-1.1477),(5145,1175,0.008011,-1.15),(5145,1185,0.011669,-1.1523),(5145,1195,0.015327,-1.1535),(5145,1205,0.018984,-1.1543),(5145,1215,0.0256,-1.155),(5145,1225,0.033436,-1.1557),(5145,1235,0.041272,-1.1555),(5145,1245,0.049108,-1.1549),(5145,1255,0.019842,-1.1544),(5145,1265,-0.021954,-1.1538),(5145,1275,-0.063751,-1.1554),(5145,1285,-0.10555,-1.1576),(5145,1295,-0.21328,-1.1597),(5145,1305,-0.33885,-1.1619),(5145,1315,-0.46441,-1.164),(5145,1325,-0.58997,-1.166),(5145,1335,-0.36389,-1.1681),(5145,1345,-0.064107,-1.1701),(5145,1355,0.23568,-1.1655),(5145,1365,0.53546,-1.1598),(5145,1375,0.48593,-1.154),(5145,1385,0.38251,-1.1482),(5145,1395,0.27909,-1.1461),(5145,1405,0.17567,-1.1445),(5145,1415,0.11338,-1.1428),(5145,1425,0.055368,-1.1412),(5145,1435,-0.002646,-1.1432),(5145,1445,-0.06066,-1.1455),(5145,1455,-0.054724,-1.1478),(5145,1465,-0.045106,-1.1501),(5145,1475,-0.035487,-1.1503),(5145,1485,-0.025869,-1.1505),(5145,1495,-0.020925,-1.1506),(5145,1505,-0.016052,-1.1508),(5145,1515,-0.011179,-1.1486),(5145,1525,-0.006409,-1.1465),(5145,1535,-0.005692,-1.1443),(5145,1545,-0.004974,-1.1421),(5145,1555,-0.004257,-1.1394),(5145,1565,-0.003584,-1.1366),(5145,1575,-0.003553,-1.1339),(5145,1585,-0.003522,-1.1311),(5145,1595,-0.003491,-1.1285),(5145,1605,-0.003458,-1.1258),(5145,1615,-0.003402,-1.1232),(5145,1625,-0.003346,-1.1206),(5145,1635,-0.00329,-1.1181),(5145,1645,-0.003229,-1.1157),(5145,1655,-0.003143,-1.1133),(5145,1665,-0.003057,-1.1109),(5145,1675,-0.002971,-1.1087),(5145,1685,-0.002883,-1.1065),(5145,1695,-0.002784,-1.1043),(5145,1705,-0.002686,-1.1022),(5145,1715,-0.002587,-1.1002),(5145,1725,-0.002487,-1.0983),(5145,1735,-0.002381,-1.0963),(5145,1745,-0.002275,-1.0944),(5145,1755,-0.002169,-1.0926),(5145,1765,-0.00207,-1.0909),(5145,1775,-0.001989,-1.0892),(5145,1785,-0.001909,-1.0875),(5145,1795,-0.001829,-1.0859),(5145,1805,-0.001747,-1.0843),(5145,1815,-0.001664,-1.0827),(5145,1825,-0.001581,-1.0812),(5145,1835,-0.001498,-1.0798),(5145,1845,-0.00143,-1.0785),(5145,1855,-0.001393,-1.0771),(5145,1865,-0.001355,-1.0758),(5145,1875,-0.001318,-1.0746),(5145,1885,-0.001258,-1.0734),(5145,1895,-0.00116,-1.0722),(5145,1905,-0.001063,-1.071),(5145,1915,-0.000965,-1.07),(5145,1925,-0.000895,-1.069),(5145,1935,-0.000864,-1.068),(5145,1945,-0.000832,-1.0671),(5145,1955,-0.0008,-1.0661),(5145,1965,-0.000763,-1.0652),(5145,1975,-0.000718,-1.0643),(5145,1985,-0.000674,-1.0634),(5145,1995,-0.000629,-1.0626),(5145,2005,-0.00059,-1.0618),(5145,2015,-0.000555,-1.061),(5145,2025,-0.00052,-1.0602),(5145,2035,-0.000485,-1.0595),(5145,2045,-0.000463,-1.0588),(5145,2055,-0.000451,-1.0581),(5145,2065,-0.000439,-1.0575),(5145,2075,-0.000428,-1.0568),(5145,2085,-0.000397,-1.0562),(5145,2095,-0.000353,-1.0556),(5145,2105,-0.000309,-1.055),(5145,2115,-0.000265,-1.0545),(5145,2125,-0.000207,-1.054),(5145,2135,-0.000139,-1.0535),(5145,2145,-7.1e-05,-1.0531),(5145,2155,-3e-06,-1.0527),(5145,2165,5.8e-05,-1.0523),(5145,2175,0.000115,-1.0519),(5145,2185,0.000172,-1.0515),(5145,2195,0.00023,-1.0512),(5145,2205,0.000293,-1.0509),(5145,2215,0.000358,-1.0506),(5145,2225,0.000424,-1.0504),(5145,2235,0.000489,-1.0502),(5145,2245,0.000488,-1.05),(5145,2255,0.000462,-1.0498),(5145,2265,0.000437,-1.0496),(5145,2275,0.000411,-1.0494),(5145,2285,0.000452,-1.0492),(5145,2295,0.000512,-1.049),(5145,2305,0.000571,-1.0489),(5145,2315,0.000631,-1.0488),(5145,2325,0.000642,-1.0488),(5145,2335,0.000643,-1.0487),(5145,2345,0.000643,-1.0487),(5145,2355,0.000644,-1.0487),(5145,2365,0.000663,-1.0486),(5145,2375,0.000686,-1.0486),(5145,2385,0.000709,-1.0486),(5145,2395,0.000732,-1.0486),(5145,2405,0.000762,-1.0486),(5145,2415,0.000793,-1.0486),(5145,2425,0.000824,-1.0487),(5145,2435,0.000856,-1.0487),(5145,2445,0.000917,-1.0488),(5145,2455,0.000981,-1.0488),(5145,2465,0.001045,-1.0489),(5145,2475,0.001109,-1.049),(5145,2485,0.001175,-1.0491),(5145,2495,0.001242,-1.0492),(5145,2505,0.001308,-1.0494),(5145,2515,0.001375,-1.0495),(5145,2525,0.001427,-1.0496),(5145,2535,0.001479,-1.0498),(5145,2545,0.001531,-1.0499),(5145,2555,0.001583,-1.0501),(5145,2565,0.001633,-1.0502),(5145,2575,0.001683,-1.0504),(5145,2585,0.001733,-1.0506),(5145,2595,0.001786,-1.0508),(5145,2605,0.001863,-1.051),(5145,2615,0.001939,-1.0512),(5145,2625,0.002015,-1.0515),(5145,2635,0.002077,-1.0518),(5145,2645,0.002049,-1.052),(5145,2655,0.002021,-1.0523),(5145,2665,0.001992,-1.0525),(5145,2675,0.001986,-1.0526),(5145,2685,0.002088,-1.0528),(5145,2695,0.002191,-1.0529),(5145,2705,0.002292,-1.0532),(5145,2715,0.002374,-1.0535),(5145,2725,0.002377,-1.0538),(5145,2735,0.00238,-1.0541),(5145,2745,0.002383,-1.0543),(5145,2755,0.002399,-1.0546),(5145,2765,0.002454,-1.0548),(5145,2775,0.00251,-1.0551),(5145,2785,0.002565,-1.0553),(5145,2795,0.002619,-1.0556),(5145,2805,0.002667,-1.0559),(5145,2815,0.002716,-1.0561),(5145,2825,0.002765,-1.0564),(5145,2835,0.002812,-1.0566),(5145,2845,0.002855,-1.0568),(5145,2855,0.002898,-1.0571),(5145,2865,0.002942,-1.0573),(5145,2875,0.002988,-1.0576),(5145,2885,0.003038,-1.0578),(5145,2895,0.003089,-1.058),(5145,2905,0.003139,-1.0583),(5145,2915,0.003195,-1.0585),(5145,2925,0.003257,-1.0587),(5145,2935,0.00332,-1.059),(5145,2945,0.003382,-1.0592),(5145,2955,0.003444,-1.0594),(5145,2965,0.003503,-1.0596),(5145,2975,0.003562,-1.0598),(5145,2985,0.003622,-1.0601),(5145,2995,0.003688,-1.0603),(5145,3005,0.00376,-1.0605),(5145,3015,0.003833,-1.0607),(5145,3025,0.003905,-1.0609),(5145,3035,0.003921,-1.0611),(5145,3045,0.003886,-1.0613),(5145,3055,0.003852,-1.0615),(5145,3065,0.003817,-1.0615),(5145,3075,0.003891,-1.0615),(5145,3085,0.004046,-1.0616),(5145,3095,0.004201,-1.0617),(5145,3105,0.004357,-1.0619),(5145,3115,0.004467,-1.062),(5145,3125,0.004548,-1.0622),(5145,3135,0.00463,-1.0623),(5145,3145,0.004711,-1.0624),(5145,3155,0.00481,-1.0625),(5145,3165,0.004918,-1.0626),(5145,3175,0.005026,-1.0626),(5145,3185,0.005134,-1.0627),(5145,3195,0.005215,-1.0627),(5145,3205,0.005285,-1.0627),(5145,3215,0.005355,-1.0627),(5145,3225,0.005425,-1.0627),(5145,3235,0.005486,-1.0627),(5145,3245,0.005542,-1.0627),(5145,3255,0.005599,-1.0626),(5145,3265,0.005656,-1.0625),(5145,3275,0.005715,-1.0624),(5145,3285,0.005774,-1.0623),(5145,3295,0.005833,-1.0622),(5145,3305,0.005891,-1.0621),(5145,3315,0.005929,-1.062),(5145,3325,0.005962,-1.0618),(5145,3335,0.005994,-1.0617),(5145,3345,0.006027,-1.0615),(5145,3355,0.006099,-1.0613),(5145,3365,0.006178,-1.0612),(5145,3375,0.006258,-1.061),(5145,3385,0.006337,-1.0609),(5145,3395,0.006358,-1.0607),(5145,3405,0.006371,-1.0605),(5145,3415,0.006383,-1.0602),(5145,3425,0.006396,-1.0599),(5145,3435,0.006568,-1.0596),(5145,3445,0.006751,-1.0593),(5145,3455,0.006935,-1.059),(5145,3465,0.007119,-1.0588),(5145,3475,0.007169,-1.0586),(5145,3485,0.007213,-1.0583),(5145,3495,0.007257,-1.058),(5145,3505,0.007301,-1.0577),(5145,3515,0.007372,-1.0574),(5145,3525,0.007442,-1.057),(5145,3535,0.007512,-1.0567),(5145,3545,0.007584,-1.0563),(5145,3555,0.007683,-1.0559),(5145,3565,0.007783,-1.0555),(5145,3575,0.007882,-1.0551),(5145,3585,0.007981,-1.0547),(5145,3595,0.008082,-1.0543),(5145,3605,0.008183,-1.0539),(5145,3615,0.008283,-1.0535),(5145,3625,0.008383,-1.0531),(5145,3635,0.008474,-1.0526),(5145,3645,0.008566,-1.0522),(5145,3655,0.008658,-1.0517),(5145,3665,0.008747,-1.0513),(5145,3675,0.008822,-1.0508),(5145,3685,0.008898,-1.0503),(5145,3695,0.008973,-1.0498),(5145,3705,0.00905,-1.0493),(5145,3715,0.009134,-1.0487),(5145,3725,0.009217,-1.0482),(5145,3735,0.0093,-1.0477),(5145,3745,0.009385,-1.0472),(5145,3755,0.009475,-1.0467),(5145,3765,0.009565,-1.0462),(5145,3775,0.009654,-1.0457),(5145,3785,0.009714,-1.0453),(5145,3795,0.009694,-1.0449),(5145,3805,0.009675,-1.0444),(5145,3815,0.009656,-1.0439),(5145,3825,0.009765,-1.0434),(5145,3835,0.010143,-1.0428),(5145,3845,0.010521,-1.0423),(5145,3855,0.010898,-1.0415),(5145,3865,0.012006,-1.0408),(5145,3875,0.014403,-1.0401),(5145,3885,0.016801,-1.0391),(5145,3895,0.019198,-1.0376),(5145,3905,0.022896,-1.0361),(5145,3915,0.028535,-1.0346),(5145,3925,0.034175,-1.0331),(5145,3935,0.039815,-1.0315),(5145,3945,0.029396,-1.03),(5145,3955,-0.001411,-1.0284),(5145,3965,-0.032218,-1.0281),(5145,3975,-0.063024,-1.0294),(5145,3985,-0.15847,-1.0307),(5145,3995,-0.32387,-1.0319),(5145,4005,-0.48928,-1.0303),(5145,4015,-0.65468,-1.0258),(5145,4025,-0.36241,-1.0212),(5145,4035,-0.025368,-1.0194),(5145,4045,0.31168,-1.0231),(5145,4055,0.46701,-1.0269),(5145,4065,0.55605,-1.0305),(5145,4075,0.64509,-1.0328),(5145,4085,0.69055,-1.0352),(5145,4095,0.701,-1.0376),(5145,4105,0.71145,-1.0376),(5145,4115,0.72183,-1.0375),(5145,4125,0.73209,-1.0373),(5145,4135,0.74235,-1.0355),(5145,4145,0.75271,-1.0333),(5145,4155,0.76352,-1.031),(5145,4165,0.77433,-1.0276),(5145,4175,0.78514,-1.0236),(5145,4185,0.79599,-1.0196),(5145,4195,0.80684,-1.0148),(5145,4205,0.81769,-1.0092),(5145,4215,0.82868,-1.0036),(5145,4225,0.83969,-0.99758),(5145,4235,0.8507,-0.99063),(5145,4245,0.86174,-0.98368),(5145,4255,0.87279,-0.97665),(5145,4265,0.88384,-0.96876),(5145,4275,0.89481,-0.96086),(5145,4285,0.9057,-0.95297),(5145,4295,0.91658,-0.94441),(5145,4305,0.92734,-0.93578),(5145,4315,0.93782,-0.92715),(5145,4325,0.9483,-0.9183),(5145,4335,0.9587,-0.90937),(5145,4345,0.96858,-0.90044),(5145,4355,0.97846,-0.89147),(5145,4365,0.98834,-0.88245),(5145,4375,0.99763,-0.87344),(5145,4385,1.0069,-0.86448),(5145,4395,1.0162,-0.85562),(5145,4405,1.025,-0.84676),(5145,4415,1.0336,-0.83793),(5145,4425,1.0423,-0.82924),(5145,4435,1.0506,-0.82054),(5145,4445,1.0586,-0.81184),(5145,4455,1.0667,-0.80336),(5145,4465,1.0745,-0.79488),(5145,4475,1.0822,-0.7864),(5145,4485,1.0898,-0.77824),(5145,4495,1.0973,-0.77014),(5145,4505,1.1044,-0.76204),(5145,4515,1.1114,-0.75422),(5145,4525,1.1185,-0.74655),(5145,4535,1.1251,-0.73887),(5145,4545,1.1317,-0.73139),(5145,4555,1.1384,-0.72412),(5145,4565,1.1447,-0.71685),(5145,4575,1.1509,-0.70973),(5145,4585,1.1571,-0.70294),(5145,4595,1.1631,-0.69614),(5145,4605,1.169,-0.6894),(5145,4615,1.1748,-0.68303),(5145,4625,1.1805,-0.67667),(5145,4635,1.186,-0.6703),(5145,4645,1.1916,-0.66437),(5145,4655,1.197,-0.65848),(5145,4665,1.2023,-0.65259),(5145,4675,1.2076,-0.64704),(5145,4685,1.2128,-0.6416),(5145,4695,1.2179,-0.63616),(5145,4705,1.2229,-0.63095),(5145,4715,1.228,-0.62592),(5145,4725,1.2328,-0.62088),(5145,4735,1.2376,-0.616),(5145,4745,1.2425,-0.61134),(5145,4755,1.2472,-0.60668),(5145,4765,1.2519,-0.6021),(5145,4775,1.2566,-0.59779),(5145,4785,1.2611,-0.59348),(5145,4795,1.2656,-0.58918),(5145,4805,1.2701,-0.58519),(5145,4815,1.2746,-0.5812),(5145,4825,1.2789,-0.57721),(5145,4835,1.2833,-0.57347),(5145,4845,1.2876,-0.56978),(5145,4855,1.2918,-0.56609),(5145,4865,1.2961,-0.56257),(5145,4875,1.3003,-0.55914),(5145,4885,1.3043,-0.55571),(5145,4895,1.3084,-0.55238),(5145,4905,1.3125,-0.54914),(5145,4915,1.3165,-0.5459),(5145,4925,1.3204,-0.54273),(5145,4935,1.3244,-0.5397),(5145,4945,1.3282,-0.53667),(5145,4955,1.332,-0.53367),(5145,4965,1.3358,-0.53085),(5145,4975,1.3395,-0.52804),(5145,4985,1.3432,-0.52522),(5145,4995,1.3469,-0.52251),(5145,5005,1.3505,-0.5198),(5145,5015,1.354,-0.51709),(5145,5025,1.3575,-0.51448),(5145,5035,1.361,-0.5119),(5145,5045,1.3643,-0.50932),(5145,5055,1.3677,-0.50685),(5145,5065,1.371,-0.50445),(5145,5075,1.3742,-0.50204),(5145,5085,1.3774,-0.4997),(5145,5095,1.3805,-0.49744),(5145,5105,1.3836,-0.49517),(5145,5115,1.3866,-0.49294),(5145,5125,1.3897,-0.49083),(5145,5135,1.3926,-0.48871),(5145,5145,1.3955,-0.48661),(5145,5155,1.3984,-0.48469),(5145,5165,1.4013,-0.48278),(5145,5175,1.4042,-0.48086),(5145,5185,1.407,-0.47916),(5145,5195,1.4098,-0.47747),(5145,5205,1.4127,-0.47579),(5145,5215,1.4155,-0.47429),(5145,5225,1.4183,-0.47287),(5145,5235,1.4211,-0.47144),(5145,5245,1.4239,-0.47017),(5145,5255,1.4267,-0.46901),(5145,5265,1.4296,-0.46786),(5145,5275,1.4325,-0.46681),(5145,5285,1.4354,-0.46592),(5145,5295,1.4384,-0.46504),(5145,5305,1.4414,-0.4642),(5145,5315,1.4444,-0.46359),(5145,5325,1.4474,-0.46298),(5145,5335,1.4506,-0.46237),(5145,5345,1.4537,-0.46199),(5145,5355,1.4569,-0.46161),(5145,5365,1.4603,-0.46124),(5145,5375,1.4636,-0.46106),(5145,5385,1.467,-0.46091),(5145,5395,1.4706,-0.46077),(5145,5405,1.4741,-0.46076),(5145,5415,1.4777,-0.46083),(5145,5425,1.4816,-0.46089),(5145,5435,1.4854,-0.46102),(5145,5445,1.4893,-0.4612),(5145,5455,1.4934,-0.46139),(5145,5465,1.4975,-0.46159),(5145,5475,1.5017,-0.46184),(5145,5485,1.506,-0.46209),(5145,5495,1.5105,-0.46235),(5145,5505,1.5149,-0.46263),(5145,5515,1.5195,-0.46291),(5145,5525,1.5243,-0.4632),(5145,5535,1.529,-0.4634),(5145,5545,1.5338,-0.46361),(5145,5555,1.5388,-0.46381),(5145,5565,1.5438,-0.46387),(5145,5575,1.5489,-0.46388),(5145,5585,1.5541,-0.46389),(5145,5595,1.5593,-0.46375),(5145,5605,1.5645,-0.4635),(5145,5615,1.5698,-0.46326),(5145,5625,1.5752,-0.46289),(5145,5635,1.5805,-0.46232),(5145,5645,1.586,-0.46175),(5145,5655,1.5914,-0.46109),(5145,5665,1.5969,-0.46012),(5145,5675,1.6024,-0.45915),(5145,5685,1.608,-0.45815),(5145,5695,1.6135,-0.45683),(5145,5705,1.619,-0.4555),(5145,5715,1.6245,-0.45418),(5145,5725,1.6299,-0.45242),(5145,5735,1.6353,-0.4506),(5145,5745,1.6408,-0.44878),(5145,5755,1.6463,-0.44663),(5145,5765,1.6517,-0.44435),(5145,5775,1.6571,-0.44206),(5145,5785,1.6624,-0.43959),(5145,5795,1.6678,-0.43693),(5145,5805,1.673,-0.43428),(5145,5815,1.6782,-0.43151),(5145,5825,1.6835,-0.42849),(5145,5835,1.6886,-0.42548),(5145,5845,1.6937,-0.4224),(5145,5855,1.6988,-0.41901),(5145,5865,1.7038,-0.41561),(5145,5875,1.7087,-0.41222),(5145,5885,1.7137,-0.40848),(5145,5895,1.7185,-0.40473),(5145,5905,1.7233,-0.40099),(5145,5915,1.7281,-0.39701),(5145,5925,1.7328,-0.39297),(5145,5935,1.7375,-0.38893),(5145,5945,1.7421,-0.38472),(5145,5955,1.7467,-0.38041),(5145,5965,1.7512,-0.3761),(5145,5975,1.7558,-0.37168),(5145,5985,1.7603,-0.36715),(5145,5995,1.7646,-0.36262),(5145,6005,1.7689,-0.35802),(5145,6015,1.7732,-0.35323),(5145,6025,1.7775,-0.34844),(5145,6035,1.7817,-0.34363),(5145,6045,1.7859,-0.33867),(5145,6055,1.7901,-0.3337),(5145,6065,1.7942,-0.32874),(5145,6075,1.7982,-0.32361),(5145,6085,1.8023,-0.31846),(5145,6095,1.8062,-0.31331),(5145,6105,1.8101,-0.30803),(5145,6115,1.814,-0.30269),(5145,6125,1.8178,-0.29735),(5145,6135,1.8216,-0.29189),(5145,6145,1.8253,-0.28634),(5145,6155,1.8289,-0.28079),(5145,6165,1.8325,-0.27517),(5145,6175,1.836,-0.26945),(5145,6185,1.8394,-0.26372),(5145,6195,1.8428,-0.25798),(5145,6205,1.8462,-0.25213),(5145,6215,1.8494,-0.24628),(5145,6225,1.8525,-0.24043),(5145,6235,1.8557,-0.23447),(5145,6245,1.8588,-0.2285),(5145,6255,1.8617,-0.22254),(5145,6265,1.8647,-0.2164),(5145,6275,1.8676,-0.21024),(5145,6285,1.8704,-0.20408),(5145,6295,1.8731,-0.19787),(5145,6305,1.8759,-0.19163),(5145,6315,1.8784,-0.1854),(5145,6325,1.8808,-0.17909),(5145,6335,1.8833,-0.17271),(5145,6345,1.8856,-0.16632),(5145,6355,1.8878,-0.1599),(5145,6365,1.8901,-0.15342),(5145,6375,1.8922,-0.14693),(5145,6385,1.8942,-0.14044),(5145,6395,1.8961,-0.1339),(5145,6405,1.898,-0.12735),(5145,6415,1.8997,-0.1208),(5145,6425,1.9014,-0.11416),(5145,6435,1.903,-0.10751),(5145,6445,1.9044,-0.10086),(5145,6455,1.9058,-0.094153),(5145,6465,1.9072,-0.087431),(5145,6475,1.9083,-0.08071),(5145,6485,1.9094,-0.07394),(5145,6495,1.9105,-0.067139),(5145,6505,1.9113,-0.060337),(5145,6515,1.9121,-0.053537),(5145,6525,1.9129,-0.046738),(5145,6535,1.9135,-0.03994),(5145,6545,1.914,-0.033137),(5145,6555,1.9146,-0.026324),(5145,6565,1.9149,-0.01951),(5145,6575,1.9152,-0.012698),(5145,6585,1.9155,-0.005923),(5145,6595,1.6294,0.000853),(5145,6605,1.0273,0.007629),(5145,6615,0.42514,0.008438),(5145,6625,0.001845,0.008481),(5145,6635,0.001845,0.008524),(5145,6645,0.001846,0.008558),(5145,6655,0.001847,0.008589),(5145,6665,0.001847,0.008619),(5145,6675,0.001847,0.008648),(5145,6685,0.001848,0.008676),(5145,6695,0.001848,0.008703),(5145,6705,0.001848,0.008729),(5145,6715,0.001849,0.008753),(5145,6725,0.001849,0.008777),(5145,6735,0.00185,0.0088),(5145,6745,0.00185,0.008822),(5145,6755,0.00185,0.008843),(5145,6765,0.001851,0.008864),(5145,6775,0.001852,0.008883),(5145,6785,0.001852,0.008901),(5145,6795,0.001853,0.00892),(5145,6805,0.001854,0.008937),(5145,6815,0.001855,0.008953),(5145,6825,0.001856,0.00897),(5145,6835,0.001857,0.008984),(5145,6845,0.001858,0.008999),(5145,6855,0.001859,0.009013),(5145,6865,0.001861,0.009026),(5145,6875,0.001862,0.009039),(5145,6885,0.001864,0.009051),(5145,6895,0.001865,0.009063),(5145,6905,0.001867,0.009074),(5145,6915,0.001869,0.009085),(5145,6925,0.001871,0.009095),(5145,6935,0.001873,0.009104),(5145,6945,0.001875,0.009113),(5145,6955,0.001878,0.009123),(5145,6965,0.00188,0.00913),(5145,6975,0.001883,0.009138),(5145,6985,0.001885,0.009146),(5155,5,1.7e-05,-0.72824),(5155,15,5e-05,-0.72834),(5155,25,6.8e-05,-0.72844),(5155,35,7.1e-05,-0.72854),(5155,45,7.4e-05,-0.72862),(5155,55,7.7e-05,-0.72867),(5155,65,8.9e-05,-0.72872),(5155,75,0.000108,-0.72878),(5155,85,0.000128,-0.72887),(5155,95,0.000147,-0.729),(5155,105,0.000155,-0.72914),(5155,115,0.000156,-0.72927),(5155,125,0.000157,-0.7294),(5155,135,0.000159,-0.72954),(5155,145,0.000158,-0.72968),(5155,155,0.000157,-0.72982),(5155,165,0.000155,-0.72998),(5155,175,0.000154,-0.73017),(5155,185,0.000163,-0.73035),(5155,195,0.000177,-0.73054),(5155,205,0.000192,-0.73077),(5155,215,0.000206,-0.73102),(5155,225,0.000247,-0.73126),(5155,235,0.0003,-0.73151),(5155,245,0.000352,-0.73182),(5155,255,0.000404,-0.73215),(5155,265,0.00042,-0.73248),(5155,275,0.000425,-0.73281),(5155,285,0.00043,-0.73312),(5155,295,0.000435,-0.73342),(5155,305,0.000473,-0.73372),(5155,315,0.000521,-0.73403),(5155,325,0.000568,-0.73445),(5155,335,0.000616,-0.7349),(5155,345,0.000637,-0.73535),(5155,355,0.000653,-0.7358),(5155,365,0.000669,-0.73625),(5155,375,0.000685,-0.7367),(5155,385,0.000656,-0.73716),(5155,395,0.000622,-0.73761),(5155,405,0.000587,-0.73808),(5155,415,0.000553,-0.73855),(5155,425,0.000508,-0.73902),(5155,435,0.000463,-0.73949),(5155,445,0.000418,-0.73999),(5155,455,0.000373,-0.74049),(5155,465,0.000488,-0.74099),(5155,475,0.000611,-0.74149),(5155,485,0.000734,-0.74225),(5155,495,0.000856,-0.74301),(5155,505,0.000948,-0.74378),(5155,515,0.001039,-0.74454),(5155,525,0.00113,-0.7453),(5155,535,0.001217,-0.74605),(5155,545,0.001193,-0.7468),(5155,555,0.00117,-0.74755),(5155,565,0.001147,-0.7483),(5155,575,0.001121,-0.74904),(5155,585,0.001063,-0.74979),(5155,595,0.001006,-0.75055),(5155,605,0.000948,-0.75136),(5155,615,0.000896,-0.75218),(5155,625,0.000883,-0.75299),(5155,635,0.000871,-0.75382),(5155,645,0.000858,-0.75476),(5155,655,0.000856,-0.75569),(5155,665,0.000913,-0.75662),(5155,675,0.00097,-0.75757),(5155,685,0.001026,-0.75863),(5155,695,0.001095,-0.75968),(5155,705,0.001216,-0.76073),(5155,715,0.001337,-0.7618),(5155,725,0.001458,-0.76298),(5155,735,0.001565,-0.76415),(5155,745,0.001626,-0.76532),(5155,755,0.001687,-0.7665),(5155,765,0.001747,-0.7677),(5155,775,0.001795,-0.7689),(5155,785,0.001808,-0.7701),(5155,795,0.001822,-0.77131),(5155,805,0.001835,-0.77254),(5155,815,0.001847,-0.77377),(5155,825,0.001857,-0.77501),(5155,835,0.001867,-0.77629),(5155,845,0.001877,-0.77767),(5155,855,0.001887,-0.77906),(5155,865,0.001897,-0.78044),(5155,875,0.001908,-0.78184),(5155,885,0.001918,-0.78328),(5155,895,0.001954,-0.78471),(5155,905,0.002032,-0.78615),(5155,915,0.00211,-0.78766),(5155,925,0.002188,-0.78928),(5155,935,0.002288,-0.79089),(5155,945,0.002419,-0.79251),(5155,955,0.00255,-0.79419),(5155,965,0.002681,-0.79594),(5155,975,0.002793,-0.79769),(5155,985,0.002884,-0.79944),(5155,995,0.002974,-0.80121),(5155,1005,0.003065,-0.80298),(5155,1015,0.00317,-0.80476),(5155,1025,0.003288,-0.80654),(5155,1035,0.003405,-0.80841),(5155,1045,0.003523,-0.81035),(5155,1055,0.003624,-0.81229),(5155,1065,0.00371,-0.81423),(5155,1075,0.003797,-0.81621),(5155,1085,0.003884,-0.81821),(5155,1095,0.003929,-0.82022),(5155,1105,0.003945,-0.82222),(5155,1115,0.003961,-0.82427),(5155,1125,0.003976,-0.82633),(5155,1135,0.004241,-0.8284),(5155,1145,0.004651,-0.83046),(5155,1155,0.005062,-0.83226),(5155,1165,0.005472,-0.8339),(5155,1175,0.007678,-0.83555),(5155,1185,0.010775,-0.83719),(5155,1195,0.013871,-0.83718),(5155,1205,0.016968,-0.83642),(5155,1215,0.02279,-0.83566),(5155,1225,0.029738,-0.8349),(5155,1235,0.036685,-0.83106),(5155,1245,0.043632,-0.82607),(5155,1255,0.017548,-0.82108),(5155,1265,-0.019693,-0.81609),(5155,1275,-0.056933,-0.82689),(5155,1285,-0.094174,-0.84247),(5155,1295,-0.1912,-0.85806),(5155,1305,-0.3044,-0.87364),(5155,1315,-0.4176,-0.93617),(5155,1325,-0.53081,-1.0099),(5155,1335,-0.32798,-1.0837),(5155,1345,-0.058932,-1.1574),(5155,1355,0.21012,-1.1081),(5155,1365,0.47917,-1.0363),(5155,1375,0.43502,-0.96462),(5155,1385,0.34255,-0.8929),(5155,1395,0.25008,-0.86577),(5155,1405,0.1576,-0.84437),(5155,1415,0.10207,-0.82298),(5155,1425,0.050362,-0.80158),(5155,1435,-0.001342,-0.80675),(5155,1445,-0.053046,-0.81405),(5155,1455,-0.047907,-0.82135),(5155,1465,-0.039495,-0.82865),(5155,1475,-0.031083,-0.83065),(5155,1485,-0.022671,-0.83246),(5155,1495,-0.018517,-0.83427),(5155,1505,-0.014428,-0.83606),(5155,1515,-0.010338,-0.83454),(5155,1525,-0.006336,-0.83303),(5155,1535,-0.005762,-0.83151),(5155,1545,-0.005189,-0.82997),(5155,1555,-0.004615,-0.8279),(5155,1565,-0.004075,-0.82583),(5155,1575,-0.004032,-0.82375),(5155,1585,-0.003988,-0.82169),(5155,1595,-0.003944,-0.81975),(5155,1605,-0.003896,-0.81781),(5155,1615,-0.003815,-0.81586),(5155,1625,-0.003733,-0.81394),(5155,1635,-0.003651,-0.81218),(5155,1645,-0.003566,-0.81041),(5155,1655,-0.003462,-0.80865),(5155,1665,-0.003357,-0.80691),(5155,1675,-0.003253,-0.80531),(5155,1685,-0.003148,-0.80372),(5155,1695,-0.003039,-0.80212),(5155,1705,-0.00293,-0.80056),(5155,1715,-0.002821,-0.79912),(5155,1725,-0.002712,-0.79769),(5155,1735,-0.002601,-0.79625),(5155,1745,-0.002489,-0.79485),(5155,1755,-0.002378,-0.79358),(5155,1765,-0.002274,-0.79231),(5155,1775,-0.002187,-0.79104),(5155,1785,-0.0021,-0.7898),(5155,1795,-0.002013,-0.78865),(5155,1805,-0.001925,-0.78749),(5155,1815,-0.001833,-0.78634),(5155,1825,-0.001741,-0.78524),(5155,1835,-0.001649,-0.78423),(5155,1845,-0.001575,-0.78323),(5155,1855,-0.001538,-0.78222),(5155,1865,-0.0015,-0.78126),(5155,1875,-0.001463,-0.78039),(5155,1885,-0.001399,-0.77952),(5155,1895,-0.001291,-0.77865),(5155,1905,-0.001183,-0.77783),(5155,1915,-0.001076,-0.77709),(5155,1925,-0.000999,-0.77635),(5155,1935,-0.000965,-0.7756),(5155,1945,-0.000931,-0.77489),(5155,1955,-0.000896,-0.77422),(5155,1965,-0.000856,-0.77354),(5155,1975,-0.000809,-0.77287),(5155,1985,-0.000762,-0.77223),(5155,1995,-0.000714,-0.77165),(5155,2005,-0.000672,-0.77106),(5155,2015,-0.000634,-0.77047),(5155,2025,-0.000596,-0.76992),(5155,2035,-0.000558,-0.76942),(5155,2045,-0.000533,-0.76891),(5155,2055,-0.000517,-0.7684),(5155,2065,-0.000502,-0.76791),(5155,2075,-0.000486,-0.76745),(5155,2085,-0.000455,-0.76698),(5155,2095,-0.000413,-0.76652),(5155,2105,-0.00037,-0.76611),(5155,2115,-0.000328,-0.76575),(5155,2125,-0.000272,-0.76538),(5155,2135,-0.000208,-0.76502),(5155,2145,-0.000143,-0.7647),(5155,2155,-7.9e-05,-0.76441),(5155,2165,-2e-05,-0.76412),(5155,2175,3.7e-05,-0.76384),(5155,2185,9.3e-05,-0.76359),(5155,2195,0.00015,-0.76337),(5155,2205,0.000215,-0.76315),(5155,2215,0.000283,-0.76292),(5155,2225,0.000352,-0.76275),(5155,2235,0.000421,-0.76261),(5155,2245,0.000417,-0.76246),(5155,2255,0.000387,-0.76231),(5155,2265,0.000358,-0.76217),(5155,2275,0.000328,-0.76204),(5155,2285,0.000376,-0.76192),(5155,2295,0.000447,-0.76179),(5155,2305,0.000518,-0.76171),(5155,2315,0.000588,-0.76166),(5155,2325,0.0006,-0.7616),(5155,2335,0.000599,-0.76154),(5155,2345,0.000597,-0.76152),(5155,2355,0.000596,-0.7615),(5155,2365,0.000614,-0.76148),(5155,2375,0.000636,-0.76147),(5155,2385,0.000657,-0.76147),(5155,2395,0.000678,-0.76147),(5155,2405,0.000706,-0.76148),(5155,2415,0.000734,-0.76148),(5155,2425,0.000763,-0.76151),(5155,2435,0.000791,-0.76154),(5155,2445,0.000846,-0.76157),(5155,2455,0.000903,-0.7616),(5155,2465,0.000959,-0.76168),(5155,2475,0.001016,-0.76175),(5155,2485,0.001075,-0.76183),(5155,2495,0.001135,-0.76191),(5155,2505,0.001195,-0.762),(5155,2515,0.001254,-0.76209),(5155,2525,0.001302,-0.76219),(5155,2535,0.001349,-0.76228),(5155,2545,0.001397,-0.76239),(5155,2555,0.001444,-0.7625),(5155,2565,0.001491,-0.76262),(5155,2575,0.001537,-0.76273),(5155,2585,0.001584,-0.76289),(5155,2595,0.001633,-0.76305),(5155,2605,0.00171,-0.76321),(5155,2615,0.001786,-0.76337),(5155,2625,0.001862,-0.76354),(5155,2635,0.001922,-0.76372),(5155,2645,0.001876,-0.76389),(5155,2655,0.001832,-0.76406),(5155,2665,0.001786,-0.76421),(5155,2675,0.001769,-0.76437),(5155,2685,0.001881,-0.76452),(5155,2695,0.001994,-0.76468),(5155,2705,0.002106,-0.76486),(5155,2715,0.002194,-0.76504),(5155,2725,0.002189,-0.76523),(5155,2735,0.002185,-0.76541),(5155,2745,0.00218,-0.76559),(5155,2755,0.002189,-0.76578),(5155,2765,0.002237,-0.76596),(5155,2775,0.002285,-0.76615),(5155,2785,0.002333,-0.76634),(5155,2795,0.00238,-0.76653),(5155,2805,0.002423,-0.76672),(5155,2815,0.002466,-0.76691),(5155,2825,0.002509,-0.76709),(5155,2835,0.00255,-0.76727),(5155,2845,0.002588,-0.76745),(5155,2855,0.002625,-0.76763),(5155,2865,0.002663,-0.7678),(5155,2875,0.002703,-0.76797),(5155,2885,0.002747,-0.76814),(5155,2895,0.002791,-0.76831),(5155,2905,0.002835,-0.76849),(5155,2915,0.002884,-0.76866),(5155,2925,0.002939,-0.76883),(5155,2935,0.002994,-0.76899),(5155,2945,0.003049,-0.76915),(5155,2955,0.003103,-0.76931),(5155,2965,0.003156,-0.76947),(5155,2975,0.003208,-0.76963),(5155,2985,0.003261,-0.76979),(5155,2995,0.003322,-0.76995),(5155,3005,0.00339,-0.77011),(5155,3015,0.003459,-0.77026),(5155,3025,0.003528,-0.77039),(5155,3035,0.003531,-0.77052),(5155,3045,0.003475,-0.77065),(5155,3055,0.003419,-0.77075),(5155,3065,0.003363,-0.77081),(5155,3075,0.003426,-0.77088),(5155,3085,0.003578,-0.77095),(5155,3095,0.003731,-0.77103),(5155,3105,0.003884,-0.77113),(5155,3115,0.003981,-0.77122),(5155,3125,0.004044,-0.77132),(5155,3135,0.004106,-0.77139),(5155,3145,0.004169,-0.77146),(5155,3155,0.004252,-0.77152),(5155,3165,0.004346,-0.77159),(5155,3175,0.004441,-0.77163),(5155,3185,0.004535,-0.77166),(5155,3195,0.004606,-0.77169),(5155,3205,0.004667,-0.77172),(5155,3215,0.004727,-0.77172),(5155,3225,0.004788,-0.7717),(5155,3235,0.00484,-0.77169),(5155,3245,0.004889,-0.77167),(5155,3255,0.004938,-0.77162),(5155,3265,0.004987,-0.77156),(5155,3275,0.005039,-0.7715),(5155,3285,0.005092,-0.77144),(5155,3295,0.005145,-0.77136),(5155,3305,0.005198,-0.77126),(5155,3315,0.005232,-0.77117),(5155,3325,0.005263,-0.77108),(5155,3335,0.005293,-0.77097),(5155,3345,0.005323,-0.77084),(5155,3355,0.005391,-0.77072),(5155,3365,0.005467,-0.7706),(5155,3375,0.005543,-0.77046),(5155,3385,0.005618,-0.77032),(5155,3395,0.005616,-0.77019),(5155,3405,0.005604,-0.77005),(5155,3415,0.005591,-0.76986),(5155,3425,0.005579,-0.76966),(5155,3435,0.005751,-0.76946),(5155,3445,0.005938,-0.76927),(5155,3455,0.006125,-0.76908),(5155,3465,0.006312,-0.76889),(5155,3475,0.006352,-0.76871),(5155,3485,0.006387,-0.76852),(5155,3495,0.006422,-0.76829),(5155,3505,0.006457,-0.76805),(5155,3515,0.006521,-0.76782),(5155,3525,0.006584,-0.76758),(5155,3535,0.006647,-0.76731),(5155,3545,0.006712,-0.76703),(5155,3555,0.006803,-0.76675),(5155,3565,0.006894,-0.76648),(5155,3575,0.006985,-0.76619),(5155,3585,0.007076,-0.7659),(5155,3595,0.007171,-0.76561),(5155,3605,0.007266,-0.76532),(5155,3615,0.00736,-0.76501),(5155,3625,0.007454,-0.76469),(5155,3635,0.007541,-0.76438),(5155,3645,0.007628,-0.76406),(5155,3655,0.007715,-0.76372),(5155,3665,0.0078,-0.76338),(5155,3675,0.007874,-0.76304),(5155,3685,0.007947,-0.7627),(5155,3695,0.008021,-0.76232),(5155,3705,0.008096,-0.76193),(5155,3715,0.00818,-0.76155),(5155,3725,0.008264,-0.76117),(5155,3735,0.008348,-0.76081),(5155,3745,0.008436,-0.76044),(5155,3755,0.008537,-0.76008),(5155,3765,0.008637,-0.75972),(5155,3775,0.008738,-0.75939),(5155,3785,0.008804,-0.75906),(5155,3795,0.008782,-0.75872),(5155,3805,0.008759,-0.7584),(5155,3815,0.008737,-0.75809),(5155,3825,0.008828,-0.75778),(5155,3835,0.009156,-0.75747),(5155,3845,0.009484,-0.75707),(5155,3855,0.009813,-0.7565),(5155,3865,0.010764,-0.75593),(5155,3875,0.012816,-0.75537),(5155,3885,0.014869,-0.75426),(5155,3895,0.016921,-0.75227),(5155,3905,0.020201,-0.75028),(5155,3915,0.025312,-0.7483),(5155,3925,0.030423,-0.74518),(5155,3935,0.035535,-0.74051),(5155,3945,0.026317,-0.73584),(5155,3955,-0.001093,-0.73117),(5155,3965,-0.028504,-0.73378),(5155,3975,-0.055914,-0.74491),(5155,3985,-0.14229,-0.75604),(5155,3995,-0.29248,-0.76717),(5155,4005,-0.44268,-0.81129),(5155,4015,-0.59287,-0.8884),(5155,4025,-0.31644,-0.96551),(5155,4035,0.001729,-1.0191),(5155,4045,0.3199,-1.0232),(5155,4055,0.46979,-1.0272),(5155,4065,0.55827,-1.0311),(5155,4075,0.64675,-1.0338),(5155,4085,0.69152,-1.0365),(5155,4095,0.70115,-1.0393),(5155,4105,0.71079,-1.0396),(5155,4115,0.72042,-1.0399),(5155,4125,0.73004,-1.0401),(5155,4135,0.73967,-1.0388),(5155,4145,0.74943,-1.0371),(5155,4155,0.75971,-1.0354),(5155,4165,0.76999,-1.0326),(5155,4175,0.78027,-1.0292),(5155,4185,0.79063,-1.0257),(5155,4195,0.801,-1.0216),(5155,4205,0.81136,-1.0167),(5155,4215,0.8219,-1.0117),(5155,4225,0.83247,-1.0064),(5155,4235,0.84305,-1.0002),(5155,4245,0.8537,-0.9939),(5155,4255,0.86439,-0.98756),(5155,4265,0.87509,-0.98028),(5155,4275,0.88575,-0.973),(5155,4285,0.89638,-0.96573),(5155,4295,0.90701,-0.95768),(5155,4305,0.91755,-0.94955),(5155,4315,0.92788,-0.94142),(5155,4325,0.93821,-0.933),(5155,4335,0.94847,-0.92447),(5155,4345,0.95829,-0.91593),(5155,4355,0.96811,-0.9073),(5155,4365,0.97793,-0.89859),(5155,4375,0.98721,-0.88988),(5155,4385,0.99647,-0.8812),(5155,4395,1.0057,-0.87259),(5155,4405,1.0146,-0.86398),(5155,4415,1.0233,-0.85539),(5155,4425,1.032,-0.84688),(5155,4435,1.0403,-0.83837),(5155,4445,1.0484,-0.82986),(5155,4455,1.0565,-0.82158),(5155,4465,1.0645,-0.81329),(5155,4475,1.0722,-0.80501),(5155,4485,1.0799,-0.79697),(5155,4495,1.0875,-0.78899),(5155,4505,1.0946,-0.781),(5155,4515,1.1018,-0.77326),(5155,4525,1.1089,-0.76566),(5155,4535,1.1157,-0.75805),(5155,4545,1.1224,-0.75063),(5155,4555,1.1292,-0.7434),(5155,4565,1.1356,-0.73618),(5155,4575,1.142,-0.72909),(5155,4585,1.1483,-0.72231),(5155,4595,1.1544,-0.71553),(5155,4605,1.1604,-0.70879),(5155,4615,1.1664,-0.7024),(5155,4625,1.1722,-0.69601),(5155,4635,1.1778,-0.68963),(5155,4645,1.1835,-0.68365),(5155,4655,1.1891,-0.67771),(5155,4665,1.1945,-0.67176),(5155,4675,1.1999,-0.66615),(5155,4685,1.2052,-0.66064),(5155,4695,1.2104,-0.65513),(5155,4705,1.2156,-0.64985),(5155,4715,1.2207,-0.64472),(5155,4725,1.2257,-0.63959),(5155,4735,1.2306,-0.63462),(5155,4745,1.2355,-0.62988),(5155,4755,1.2403,-0.62515),(5155,4765,1.2451,-0.62048),(5155,4775,1.2499,-0.61604),(5155,4785,1.2546,-0.6116),(5155,4795,1.2592,-0.60717),(5155,4805,1.2637,-0.60305),(5155,4815,1.2683,-0.59892),(5155,4825,1.2727,-0.5948),(5155,4835,1.2771,-0.59093),(5155,4845,1.2815,-0.58711),(5155,4855,1.2858,-0.58328),(5155,4865,1.2901,-0.57963),(5155,4875,1.2944,-0.57606),(5155,4885,1.2985,-0.57249),(5155,4895,1.3027,-0.56901),(5155,4905,1.3068,-0.56563),(5155,4915,1.3108,-0.56224),(5155,4925,1.3148,-0.55893),(5155,4935,1.3188,-0.55576),(5155,4945,1.3227,-0.55259),(5155,4955,1.3266,-0.54945),(5155,4965,1.3304,-0.54649),(5155,4975,1.3342,-0.54353),(5155,4985,1.3379,-0.54057),(5155,4995,1.3416,-0.53772),(5155,5005,1.3452,-0.53487),(5155,5015,1.3488,-0.53202),(5155,5025,1.3524,-0.52928),(5155,5035,1.3559,-0.52656),(5155,5045,1.3593,-0.52385),(5155,5055,1.3627,-0.52125),(5155,5065,1.366,-0.51872),(5155,5075,1.3692,-0.51619),(5155,5085,1.3725,-0.51372),(5155,5095,1.3757,-0.51133),(5155,5105,1.3788,-0.50894),(5155,5115,1.3818,-0.50659),(5155,5125,1.3849,-0.50436),(5155,5135,1.3879,-0.50213),(5155,5145,1.3909,-0.49991),(5155,5155,1.3939,-0.49789),(5155,5165,1.3968,-0.49586),(5155,5175,1.3997,-0.49383),(5155,5185,1.4026,-0.49202),(5155,5195,1.4055,-0.49022),(5155,5205,1.4084,-0.48843),(5155,5215,1.4113,-0.48682),(5155,5225,1.4142,-0.48528),(5155,5235,1.417,-0.48374),(5155,5245,1.4199,-0.48235),(5155,5255,1.4228,-0.48107),(5155,5265,1.4258,-0.4798),(5155,5275,1.4288,-0.47861),(5155,5285,1.4317,-0.47759),(5155,5295,1.4348,-0.47657),(5155,5305,1.4378,-0.4756),(5155,5315,1.4409,-0.47484),(5155,5325,1.4441,-0.47407),(5155,5335,1.4473,-0.47332),(5155,5345,1.4505,-0.47277),(5155,5355,1.4538,-0.47223),(5155,5365,1.4572,-0.47169),(5155,5375,1.4606,-0.47132),(5155,5385,1.464,-0.47098),(5155,5395,1.4676,-0.47065),(5155,5405,1.4712,-0.47044),(5155,5415,1.4749,-0.47029),(5155,5425,1.4788,-0.47014),(5155,5435,1.4826,-0.47004),(5155,5445,1.4865,-0.46999),(5155,5455,1.4906,-0.46994),(5155,5465,1.4948,-0.4699),(5155,5475,1.4989,-0.4699),(5155,5485,1.5033,-0.46989),(5155,5495,1.5077,-0.46989),(5155,5505,1.5121,-0.4699),(5155,5515,1.5167,-0.4699),(5155,5525,1.5214,-0.46991),(5155,5535,1.5261,-0.46985),(5155,5545,1.5309,-0.46977),(5155,5555,1.5358,-0.4697),(5155,5565,1.5408,-0.46947),(5155,5575,1.5457,-0.4692),(5155,5585,1.5508,-0.46893),(5155,5595,1.556,-0.46852),(5155,5605,1.5611,-0.468),(5155,5615,1.5663,-0.46748),(5155,5625,1.5716,-0.46683),(5155,5635,1.5768,-0.46599),(5155,5645,1.5821,-0.46516),(5155,5655,1.5875,-0.46424),(5155,5665,1.5928,-0.46302),(5155,5675,1.5982,-0.46181),(5155,5685,1.6036,-0.46057),(5155,5695,1.609,-0.45899),(5155,5705,1.6144,-0.45741),(5155,5715,1.6197,-0.45583),(5155,5725,1.625,-0.45387),(5155,5735,1.6303,-0.45186),(5155,5745,1.6356,-0.44985),(5155,5755,1.6409,-0.44753),(5155,5765,1.6462,-0.44509),(5155,5775,1.6514,-0.44264),(5155,5785,1.6566,-0.44002),(5155,5795,1.6618,-0.43723),(5155,5805,1.6669,-0.43444),(5155,5815,1.672,-0.43154),(5155,5825,1.6771,-0.42842),(5155,5835,1.6821,-0.4253),(5155,5845,1.6871,-0.42212),(5155,5855,1.6921,-0.41865),(5155,5865,1.697,-0.41518),(5155,5875,1.7018,-0.41171),(5155,5885,1.7067,-0.40792),(5155,5895,1.7114,-0.40412),(5155,5905,1.7161,-0.40031),(5155,5915,1.7208,-0.39629),(5155,5925,1.7254,-0.39222),(5155,5935,1.73,-0.38815),(5155,5945,1.7345,-0.38391),(5155,5955,1.739,-0.37958),(5155,5965,1.7435,-0.37525),(5155,5975,1.748,-0.3708),(5155,5985,1.7524,-0.36622),(5155,5995,1.7567,-0.36163),(5155,6005,1.7609,-0.35699),(5155,6015,1.7651,-0.3522),(5155,6025,1.7692,-0.3474),(5155,6035,1.7734,-0.34259),(5155,6045,1.7775,-0.33762),(5155,6055,1.7816,-0.33265),(5155,6065,1.7856,-0.32768),(5155,6075,1.7896,-0.32255),(5155,6085,1.7936,-0.3174),(5155,6095,1.7975,-0.31226),(5155,6105,1.8013,-0.30697),(5155,6115,1.8052,-0.30164),(5155,6125,1.8089,-0.29631),(5155,6135,1.8126,-0.29086),(5155,6145,1.8163,-0.28532),(5155,6155,1.8198,-0.27979),(5155,6165,1.8233,-0.27418),(5155,6175,1.8268,-0.26848),(5155,6185,1.8301,-0.26277),(5155,6195,1.8334,-0.25704),(5155,6205,1.8367,-0.25121),(5155,6215,1.8399,-0.24539),(5155,6225,1.843,-0.23955),(5155,6235,1.8461,-0.2336),(5155,6245,1.8491,-0.22765),(5155,6255,1.852,-0.2217),(5155,6265,1.8549,-0.21559),(5155,6275,1.8578,-0.20945),(5155,6285,1.8605,-0.20331),(5155,6295,1.8633,-0.1971),(5155,6305,1.866,-0.19087),(5155,6315,1.8684,-0.18463),(5155,6325,1.8708,-0.17834),(5155,6335,1.8732,-0.17198),(5155,6345,1.8755,-0.16563),(5155,6355,1.8777,-0.15924),(5155,6365,1.8799,-0.15278),(5155,6375,1.882,-0.14632),(5155,6385,1.8839,-0.13986),(5155,6395,1.8859,-0.13334),(5155,6405,1.8877,-0.12682),(5155,6415,1.8894,-0.1203),(5155,6425,1.8911,-0.11368),(5155,6435,1.8926,-0.10706),(5155,6445,1.894,-0.10045),(5155,6455,1.8954,-0.093773),(5155,6465,1.8968,-0.087082),(5155,6475,1.8979,-0.080391),(5155,6485,1.899,-0.07365),(5155,6495,1.9001,-0.066875),(5155,6505,1.9008,-0.060099),(5155,6515,1.9016,-0.053323),(5155,6525,1.9024,-0.046547),(5155,6535,1.903,-0.03977),(5155,6545,1.9035,-0.032991),(5155,6555,1.904,-0.026204),(5155,6565,1.9044,-0.019418),(5155,6575,1.9046,-0.012633),(5155,6585,1.9049,-0.005871),(5155,6595,1.6204,0.000891),(5155,6605,1.0216,0.007653),(5155,6615,0.42278,0.008455),(5155,6625,0.001807,0.008491),(5155,6635,0.001809,0.008527),(5155,6645,0.001811,0.008559),(5155,6655,0.001813,0.00859),(5155,6665,0.001814,0.00862),(5155,6675,0.001816,0.008649),(5155,6685,0.001817,0.008676),(5155,6695,0.001819,0.008704),(5155,6705,0.00182,0.00873),(5155,6715,0.001821,0.008754),(5155,6725,0.001822,0.008778),(5155,6735,0.001824,0.008801),(5155,6745,0.001825,0.008823),(5155,6755,0.001826,0.008844),(5155,6765,0.001828,0.008865),(5155,6775,0.001829,0.008884),(5155,6785,0.001831,0.008903),(5155,6795,0.001832,0.008921),(5155,6805,0.001834,0.008938),(5155,6815,0.001835,0.008954),(5155,6825,0.001837,0.008971),(5155,6835,0.001839,0.008986),(5155,6845,0.00184,0.009),(5155,6855,0.001842,0.009015),(5155,6865,0.001844,0.009028),(5155,6875,0.001846,0.00904),(5155,6885,0.001848,0.009053),(5155,6895,0.001851,0.009065),(5155,6905,0.001853,0.009076),(5155,6915,0.001855,0.009087),(5155,6925,0.001858,0.009097),(5155,6935,0.00186,0.009107),(5155,6945,0.001863,0.009116),(5155,6955,0.001866,0.009125),(5155,6965,0.001868,0.009133),(5155,6975,0.001871,0.009141),(5155,6985,0.001874,0.009149),(5165,5,1.4e-05,-0.45356),(5165,15,4.2e-05,-0.45363),(5165,25,5.9e-05,-0.4537),(5165,35,6.6e-05,-0.45377),(5165,45,7.3e-05,-0.45382),(5165,55,8e-05,-0.45385),(5165,65,9.3e-05,-0.45388),(5165,75,0.000111,-0.45391),(5165,85,0.00013,-0.45397),(5165,95,0.000148,-0.45405),(5165,105,0.000158,-0.45414),(5165,115,0.000164,-0.45422),(5165,125,0.00017,-0.45431),(5165,135,0.000175,-0.45439),(5165,145,0.00018,-0.45448),(5165,155,0.000184,-0.45457),(5165,165,0.000188,-0.45467),(5165,175,0.000192,-0.45478),(5165,185,0.000203,-0.4549),(5165,195,0.000218,-0.45501),(5165,205,0.000233,-0.45515),(5165,215,0.000249,-0.4553),(5165,225,0.000283,-0.45545),(5165,235,0.000324,-0.4556),(5165,245,0.000366,-0.4558),(5165,255,0.000408,-0.45601),(5165,265,0.000425,-0.45622),(5165,275,0.000434,-0.45643),(5165,285,0.000443,-0.45662),(5165,295,0.000452,-0.45681),(5165,305,0.000485,-0.45699),(5165,315,0.000524,-0.45717),(5165,325,0.000563,-0.45744),(5165,335,0.000602,-0.45772),(5165,345,0.000623,-0.458),(5165,355,0.00064,-0.45829),(5165,365,0.000658,-0.45858),(5165,375,0.000675,-0.45888),(5165,385,0.000663,-0.45918),(5165,395,0.000646,-0.45948),(5165,405,0.000629,-0.45977),(5165,415,0.000612,-0.46006),(5165,425,0.000589,-0.46036),(5165,435,0.000565,-0.46065),(5165,445,0.000542,-0.46094),(5165,455,0.000518,-0.46123),(5165,465,0.000607,-0.46152),(5165,475,0.000702,-0.46181),(5165,485,0.000796,-0.46229),(5165,495,0.00089,-0.46277),(5165,505,0.000963,-0.46325),(5165,515,0.001036,-0.46373),(5165,525,0.001109,-0.46422),(5165,535,0.001179,-0.46471),(5165,545,0.001172,-0.46519),(5165,555,0.001166,-0.46568),(5165,565,0.001159,-0.46615),(5165,575,0.001151,-0.46662),(5165,585,0.001121,-0.46709),(5165,595,0.00109,-0.46757),(5165,605,0.00106,-0.46807),(5165,615,0.001033,-0.46858),(5165,625,0.001035,-0.46908),(5165,635,0.001037,-0.4696),(5165,645,0.001038,-0.47017),(5165,655,0.001048,-0.47075),(5165,665,0.001098,-0.47132),(5165,675,0.001149,-0.47191),(5165,685,0.0012,-0.47256),(5165,695,0.001259,-0.47321),(5165,705,0.001356,-0.47386),(5165,715,0.001453,-0.47453),(5165,725,0.00155,-0.47526),(5165,735,0.001637,-0.476),(5165,745,0.001693,-0.47673),(5165,755,0.00175,-0.47748),(5165,765,0.001806,-0.47825),(5165,775,0.001854,-0.47903),(5165,785,0.00188,-0.4798),(5165,795,0.001905,-0.48058),(5165,805,0.00193,-0.48134),(5165,815,0.001955,-0.48211),(5165,825,0.00198,-0.48288),(5165,835,0.002005,-0.48368),(5165,845,0.002031,-0.48455),(5165,855,0.002056,-0.48542),(5165,865,0.002084,-0.48629),(5165,875,0.002111,-0.48717),(5165,885,0.002139,-0.48807),(5165,895,0.002185,-0.48896),(5165,905,0.002262,-0.48985),(5165,915,0.002339,-0.49079),(5165,925,0.002416,-0.4918),(5165,935,0.002509,-0.49281),(5165,945,0.002625,-0.49382),(5165,955,0.002741,-0.49487),(5165,965,0.002857,-0.49598),(5165,975,0.002962,-0.49708),(5165,985,0.003052,-0.49819),(5165,995,0.003142,-0.4993),(5165,1005,0.003233,-0.50041),(5165,1015,0.003334,-0.50153),(5165,1025,0.003446,-0.50264),(5165,1035,0.003558,-0.50381),(5165,1045,0.00367,-0.50503),(5165,1055,0.003771,-0.50625),(5165,1065,0.003864,-0.50747),(5165,1075,0.003957,-0.50872),(5165,1085,0.00405,-0.50999),(5165,1095,0.004116,-0.51125),(5165,1105,0.004162,-0.51252),(5165,1115,0.004209,-0.51385),(5165,1125,0.004256,-0.51522),(5165,1135,0.004479,-0.51659),(5165,1145,0.004805,-0.51796),(5165,1155,0.005131,-0.51908),(5165,1165,0.005458,-0.52007),(5165,1175,0.007039,-0.52107),(5165,1185,0.009243,-0.52206),(5165,1195,0.011446,-0.52083),(5165,1205,0.01365,-0.51859),(5165,1215,0.017759,-0.51635),(5165,1225,0.022654,-0.51411),(5165,1235,0.027549,-0.50664),(5165,1245,0.032445,-0.49721),(5165,1255,0.014333,-0.48778),(5165,1265,-0.011549,-0.47835),(5165,1275,-0.037431,-0.4984),(5165,1285,-0.063314,-0.52738),(5165,1295,-0.13074,-0.55637),(5165,1305,-0.20941,-0.58535),(5165,1315,-0.28807,-0.70834),(5165,1325,-0.36674,-0.85381),(5165,1335,-0.22689,-0.99928),(5165,1345,-0.041241,-1.1448),(5165,1355,0.14441,-1.0506),(5165,1365,0.33005,-0.91291),(5165,1375,0.29938,-0.77526),(5165,1385,0.23533,-0.63762),(5165,1395,0.17129,-0.58546),(5165,1405,0.10724,-0.54429),(5165,1415,0.068648,-0.50311),(5165,1425,0.0327,-0.46194),(5165,1435,-0.003247,-0.47027),(5165,1445,-0.039195,-0.48257),(5165,1455,-0.035555,-0.49488),(5165,1465,-0.029635,-0.50718),(5165,1475,-0.023715,-0.51096),(5165,1485,-0.017795,-0.51443),(5165,1495,-0.01485,-0.51791),(5165,1505,-0.011951,-0.52136),(5165,1515,-0.009051,-0.52048),(5165,1525,-0.006212,-0.5196),(5165,1535,-0.005767,-0.51872),(5165,1545,-0.005321,-0.51782),(5165,1555,-0.004876,-0.51643),(5165,1565,-0.004455,-0.51504),(5165,1575,-0.004381,-0.51365),(5165,1585,-0.004307,-0.51227),(5165,1595,-0.004234,-0.51103),(5165,1605,-0.004157,-0.50979),(5165,1615,-0.004059,-0.50856),(5165,1625,-0.003961,-0.50733),(5165,1635,-0.003862,-0.50622),(5165,1645,-0.003762,-0.50511),(5165,1655,-0.00365,-0.504),(5165,1665,-0.003539,-0.50291),(5165,1675,-0.003427,-0.5019),(5165,1685,-0.003315,-0.5009),(5165,1695,-0.003203,-0.4999),(5165,1705,-0.00309,-0.49891),(5165,1715,-0.002978,-0.49801),(5165,1725,-0.002866,-0.4971),(5165,1735,-0.002755,-0.4962),(5165,1745,-0.002644,-0.49532),(5165,1755,-0.002533,-0.49452),(5165,1765,-0.002427,-0.49372),(5165,1775,-0.002335,-0.49292),(5165,1785,-0.002243,-0.49214),(5165,1795,-0.002152,-0.49142),(5165,1805,-0.00206,-0.49069),(5165,1815,-0.001968,-0.48997),(5165,1825,-0.001875,-0.48927),(5165,1835,-0.001783,-0.48862),(5165,1845,-0.001704,-0.48796),(5165,1855,-0.001653,-0.48731),(5165,1865,-0.001601,-0.48671),(5165,1875,-0.00155,-0.48618),(5165,1885,-0.001481,-0.48566),(5165,1895,-0.001384,-0.48513),(5165,1905,-0.001287,-0.48462),(5165,1915,-0.00119,-0.48414),(5165,1925,-0.001116,-0.48366),(5165,1935,-0.001074,-0.48317),(5165,1945,-0.001031,-0.48272),(5165,1955,-0.000988,-0.48229),(5165,1965,-0.000943,-0.48187),(5165,1975,-0.000894,-0.48145),(5165,1985,-0.000844,-0.48105),(5165,1995,-0.000795,-0.48068),(5165,2005,-0.00075,-0.48031),(5165,2015,-0.00071,-0.47995),(5165,2025,-0.000669,-0.4796),(5165,2035,-0.000628,-0.47929),(5165,2045,-0.000596,-0.47897),(5165,2055,-0.000572,-0.47866),(5165,2065,-0.000548,-0.47835),(5165,2075,-0.000524,-0.47806),(5165,2085,-0.000489,-0.47777),(5165,2095,-0.000446,-0.47747),(5165,2105,-0.000403,-0.47722),(5165,2115,-0.00036,-0.47698),(5165,2125,-0.000308,-0.47675),(5165,2135,-0.00025,-0.47652),(5165,2145,-0.000192,-0.47633),(5165,2155,-0.000134,-0.47615),(5165,2165,-7.9e-05,-0.47597),(5165,2175,-2.7e-05,-0.47579),(5165,2185,2.6e-05,-0.47564),(5165,2195,7.9e-05,-0.4755),(5165,2205,0.000138,-0.47537),(5165,2215,0.000199,-0.47523),(5165,2225,0.00026,-0.47511),(5165,2235,0.000321,-0.475),(5165,2245,0.000331,-0.47489),(5165,2255,0.000323,-0.47478),(5165,2265,0.000315,-0.47472),(5165,2275,0.000307,-0.47467),(5165,2285,0.000352,-0.47463),(5165,2295,0.000413,-0.47458),(5165,2305,0.000474,-0.47453),(5165,2315,0.000534,-0.47447),(5165,2325,0.000553,-0.47441),(5165,2335,0.000563,-0.47435),(5165,2345,0.000573,-0.47433),(5165,2355,0.000583,-0.47432),(5165,2365,0.000606,-0.47432),(5165,2375,0.000631,-0.47431),(5165,2385,0.000656,-0.47431),(5165,2395,0.000681,-0.47431),(5165,2405,0.00071,-0.47431),(5165,2415,0.00074,-0.47431),(5165,2425,0.000769,-0.47433),(5165,2435,0.000799,-0.47435),(5165,2445,0.000847,-0.47436),(5165,2455,0.000897,-0.47438),(5165,2465,0.000947,-0.47442),(5165,2475,0.000996,-0.47447),(5165,2485,0.001048,-0.47452),(5165,2495,0.0011,-0.47457),(5165,2505,0.001153,-0.47463),(5165,2515,0.001205,-0.47469),(5165,2525,0.001249,-0.47475),(5165,2535,0.001292,-0.47481),(5165,2545,0.001336,-0.47488),(5165,2555,0.00138,-0.47495),(5165,2565,0.001424,-0.47502),(5165,2575,0.001467,-0.47509),(5165,2585,0.00151,-0.4752),(5165,2595,0.001556,-0.4753),(5165,2605,0.001619,-0.4754),(5165,2615,0.001683,-0.4755),(5165,2625,0.001746,-0.47558),(5165,2635,0.001799,-0.47565),(5165,2645,0.001778,-0.47573),(5165,2655,0.001757,-0.47582),(5165,2665,0.001736,-0.47597),(5165,2675,0.001734,-0.47613),(5165,2685,0.001822,-0.47628),(5165,2695,0.001911,-0.47642),(5165,2705,0.002,-0.47651),(5165,2715,0.002072,-0.47659),(5165,2725,0.00208,-0.47667),(5165,2735,0.002087,-0.47676),(5165,2745,0.002095,-0.47688),(5165,2755,0.002112,-0.47699),(5165,2765,0.002157,-0.47711),(5165,2775,0.002202,-0.47723),(5165,2785,0.002247,-0.47735),(5165,2795,0.002291,-0.47747),(5165,2805,0.002333,-0.47759),(5165,2815,0.002375,-0.47771),(5165,2825,0.002417,-0.47783),(5165,2835,0.002458,-0.47794),(5165,2845,0.002497,-0.47805),(5165,2855,0.002536,-0.47816),(5165,2865,0.002574,-0.47827),(5165,2875,0.002615,-0.47838),(5165,2885,0.002658,-0.47848),(5165,2895,0.002702,-0.47859),(5165,2905,0.002746,-0.47869),(5165,2915,0.002792,-0.4788),(5165,2925,0.002844,-0.47891),(5165,2935,0.002895,-0.47901),(5165,2945,0.002947,-0.47911),(5165,2955,0.002997,-0.47921),(5165,2965,0.003047,-0.47931),(5165,2975,0.003097,-0.47941),(5165,2985,0.003147,-0.47952),(5165,2995,0.003202,-0.47962),(5165,3005,0.003263,-0.47973),(5165,3015,0.003324,-0.47981),(5165,3025,0.003386,-0.47986),(5165,3035,0.003401,-0.47991),(5165,3045,0.003375,-0.47997),(5165,3055,0.003349,-0.48004),(5165,3065,0.003324,-0.48013),(5165,3075,0.003381,-0.48022),(5165,3085,0.003501,-0.48031),(5165,3095,0.003621,-0.48036),(5165,3105,0.003741,-0.48038),(5165,3115,0.003823,-0.48041),(5165,3125,0.00388,-0.48043),(5165,3135,0.003938,-0.48047),(5165,3145,0.003995,-0.48051),(5165,3155,0.004067,-0.48056),(5165,3165,0.004147,-0.4806),(5165,3175,0.004227,-0.48063),(5165,3185,0.004307,-0.48065),(5165,3195,0.00437,-0.48068),(5165,3205,0.004427,-0.4807),(5165,3215,0.004483,-0.4807),(5165,3225,0.00454,-0.4807),(5165,3235,0.004591,-0.48069),(5165,3245,0.004639,-0.48068),(5165,3255,0.004688,-0.48065),(5165,3265,0.004736,-0.48061),(5165,3275,0.004787,-0.48057),(5165,3285,0.004839,-0.48053),(5165,3295,0.00489,-0.48048),(5165,3305,0.004942,-0.48043),(5165,3315,0.004981,-0.48038),(5165,3325,0.005018,-0.48033),(5165,3335,0.005054,-0.48026),(5165,3345,0.00509,-0.48018),(5165,3355,0.005154,-0.48011),(5165,3365,0.005222,-0.48004),(5165,3375,0.00529,-0.47992),(5165,3385,0.005359,-0.4798),(5165,3395,0.005374,-0.47967),(5165,3405,0.005382,-0.47955),(5165,3415,0.00539,-0.47948),(5165,3425,0.005398,-0.47941),(5165,3435,0.005535,-0.47934),(5165,3445,0.005682,-0.47928),(5165,3455,0.00583,-0.47914),(5165,3465,0.005978,-0.47899),(5165,3475,0.006023,-0.47884),(5165,3485,0.006065,-0.4787),(5165,3495,0.006107,-0.47856),(5165,3505,0.00615,-0.47841),(5165,3515,0.006212,-0.47827),(5165,3525,0.006274,-0.47813),(5165,3535,0.006335,-0.47795),(5165,3545,0.006398,-0.47778),(5165,3555,0.00648,-0.4776),(5165,3565,0.006561,-0.47742),(5165,3575,0.006642,-0.47724),(5165,3585,0.006724,-0.47706),(5165,3595,0.006808,-0.47688),(5165,3605,0.006892,-0.4767),(5165,3615,0.006976,-0.4765),(5165,3625,0.007059,-0.47631),(5165,3635,0.007138,-0.47611),(5165,3645,0.007217,-0.47591),(5165,3655,0.007297,-0.47571),(5165,3665,0.007374,-0.4755),(5165,3675,0.007445,-0.47529),(5165,3685,0.007516,-0.47508),(5165,3695,0.007586,-0.47484),(5165,3705,0.007659,-0.4746),(5165,3715,0.007738,-0.47437),(5165,3725,0.007818,-0.47413),(5165,3735,0.007898,-0.47391),(5165,3745,0.007981,-0.47369),(5165,3755,0.008074,-0.47347),(5165,3765,0.008167,-0.47325),(5165,3775,0.008261,-0.47303),(5165,3785,0.00833,-0.47281),(5165,3795,0.00834,-0.47258),(5165,3805,0.00835,-0.4724),(5165,3815,0.008359,-0.4723),(5165,3825,0.008448,-0.47219),(5165,3835,0.008704,-0.47209),(5165,3845,0.008959,-0.47188),(5165,3855,0.009215,-0.47147),(5165,3865,0.009905,-0.47105),(5165,3875,0.011362,-0.47063),(5165,3885,0.01282,-0.46942),(5165,3895,0.014278,-0.46693),(5165,3905,0.016591,-0.46444),(5165,3915,0.020182,-0.46195),(5165,3925,0.023772,-0.45724),(5165,3935,0.027363,-0.44948),(5165,3945,0.020968,-0.44172),(5165,3955,0.001896,-0.43395),(5165,3965,-0.017176,-0.43943),(5165,3975,-0.036249,-0.46042),(5165,3985,-0.096393,-0.48142),(5165,3995,-0.20099,-0.50241),(5165,4005,-0.3056,-0.59228),(5165,4015,-0.4102,-0.75103),(5165,4025,-0.18218,-0.90977),(5165,4035,0.078378,-1.0188),(5165,4045,0.33894,-1.0232),(5165,4055,0.47302,-1.0276),(5165,4065,0.56096,-1.0318),(5165,4075,0.6489,-1.0348),(5165,4085,0.69298,-1.0378),(5165,4095,0.70181,-1.0409),(5165,4105,0.71063,-1.0416),(5165,4115,0.71956,-1.0423),(5165,4125,0.72865,-1.0429),(5165,4135,0.73774,-1.0422),(5165,4145,0.74697,-1.041),(5165,4155,0.75673,-1.0398),(5165,4165,0.76649,-1.0376),(5165,4175,0.77625,-1.0347),(5165,4185,0.78618,-1.0318),(5165,4195,0.79611,-1.0284),(5165,4205,0.80604,-1.0241),(5165,4215,0.81615,-1.0199),(5165,4225,0.8263,-1.0153),(5165,4235,0.83646,-1.0097),(5165,4245,0.84671,-1.0041),(5165,4255,0.85701,-0.99847),(5165,4265,0.86731,-0.99181),(5165,4275,0.87762,-0.98515),(5165,4285,0.88795,-0.97848),(5165,4295,0.89827,-0.97095),(5165,4305,0.90853,-0.96332),(5165,4315,0.91866,-0.95569),(5165,4325,0.92878,-0.9477),(5165,4335,0.93886,-0.93956),(5165,4345,0.94858,-0.93143),(5165,4355,0.9583,-0.92314),(5165,4365,0.96801,-0.91473),(5165,4375,0.97727,-0.90632),(5165,4385,0.98649,-0.89792),(5165,4395,0.99572,-0.88956),(5165,4405,1.0046,-0.8812),(5165,4415,1.0133,-0.87284),(5165,4425,1.022,-0.86452),(5165,4435,1.0304,-0.8562),(5165,4445,1.0385,-0.84788),(5165,4455,1.0467,-0.8398),(5165,4465,1.0547,-0.83171),(5165,4475,1.0624,-0.82362),(5165,4485,1.0702,-0.81571),(5165,4495,1.0778,-0.80784),(5165,4505,1.0851,-0.79996),(5165,4515,1.0923,-0.7923),(5165,4525,1.0995,-0.78477),(5165,4535,1.1064,-0.77723),(5165,4545,1.1132,-0.76986),(5165,4555,1.1201,-0.76268),(5165,4565,1.1266,-0.75551),(5165,4575,1.1331,-0.74845),(5165,4585,1.1395,-0.74168),(5165,4595,1.1457,-0.73491),(5165,4605,1.1518,-0.72817),(5165,4615,1.1579,-0.72177),(5165,4625,1.1639,-0.71536),(5165,4635,1.1696,-0.70895),(5165,4645,1.1754,-0.70293),(5165,4655,1.1811,-0.69694),(5165,4665,1.1866,-0.69094),(5165,4675,1.1921,-0.68526),(5165,4685,1.1976,-0.67969),(5165,4695,1.2028,-0.67411),(5165,4705,1.2081,-0.66874),(5165,4715,1.2134,-0.66352),(5165,4725,1.2184,-0.6583),(5165,4735,1.2234,-0.65325),(5165,4745,1.2284,-0.64843),(5165,4755,1.2333,-0.64361),(5165,4765,1.2382,-0.63885),(5165,4775,1.2431,-0.63428),(5165,4785,1.2478,-0.62971),(5165,4795,1.2525,-0.62516),(5165,4805,1.2572,-0.62091),(5165,4815,1.2618,-0.61665),(5165,4825,1.2663,-0.6124),(5165,4835,1.2708,-0.60839),(5165,4845,1.2752,-0.60443),(5165,4855,1.2796,-0.60047),(5165,4865,1.2839,-0.59668),(5165,4875,1.2883,-0.59298),(5165,4885,1.2925,-0.58927),(5165,4895,1.2967,-0.58565),(5165,4905,1.3009,-0.58212),(5165,4915,1.3049,-0.57859),(5165,4925,1.309,-0.57513),(5165,4935,1.3131,-0.57182),(5165,4945,1.317,-0.56851),(5165,4955,1.3209,-0.56524),(5165,4965,1.3248,-0.56213),(5165,4975,1.3286,-0.55902),(5165,4985,1.3324,-0.55591),(5165,4995,1.3361,-0.55292),(5165,5005,1.3398,-0.54993),(5165,5015,1.3434,-0.54695),(5165,5025,1.347,-0.54407),(5165,5035,1.3506,-0.54123),(5165,5045,1.354,-0.53839),(5165,5055,1.3574,-0.53566),(5165,5065,1.3609,-0.53299),(5165,5075,1.3641,-0.53033),(5165,5085,1.3674,-0.52773),(5165,5095,1.3706,-0.52522),(5165,5105,1.3738,-0.5227),(5165,5115,1.3769,-0.52024),(5165,5125,1.3801,-0.51789),(5165,5135,1.3831,-0.51555),(5165,5145,1.3861,-0.51322),(5165,5155,1.3892,-0.51108),(5165,5165,1.3922,-0.50894),(5165,5175,1.3951,-0.50681),(5165,5185,1.3981,-0.50488),(5165,5195,1.401,-0.50297),(5165,5205,1.404,-0.50107),(5165,5215,1.4069,-0.49935),(5165,5225,1.4099,-0.49769),(5165,5235,1.4128,-0.49604),(5165,5245,1.4158,-0.49453),(5165,5255,1.4188,-0.49313),(5165,5265,1.4218,-0.49173),(5165,5275,1.4248,-0.49042),(5165,5285,1.4279,-0.48926),(5165,5295,1.431,-0.4881),(5165,5305,1.4341,-0.48699),(5165,5315,1.4373,-0.48608),(5165,5325,1.4405,-0.48517),(5165,5335,1.4438,-0.48426),(5165,5345,1.447,-0.48355),(5165,5355,1.4504,-0.48284),(5165,5365,1.4538,-0.48213),(5165,5375,1.4573,-0.48158),(5165,5385,1.4608,-0.48106),(5165,5395,1.4644,-0.48053),(5165,5405,1.4681,-0.48011),(5165,5415,1.4717,-0.47975),(5165,5425,1.4756,-0.47939),(5165,5435,1.4795,-0.47906),(5165,5445,1.4834,-0.47878),(5165,5455,1.4875,-0.47849),(5165,5465,1.4917,-0.47822),(5165,5475,1.4958,-0.47795),(5165,5485,1.5002,-0.47769),(5165,5495,1.5046,-0.47742),(5165,5505,1.509,-0.47716),(5165,5515,1.5135,-0.4769),(5165,5525,1.5181,-0.47663),(5165,5535,1.5228,-0.47629),(5165,5545,1.5275,-0.47594),(5165,5555,1.5324,-0.47558),(5165,5565,1.5373,-0.47508),(5165,5575,1.5421,-0.47453),(5165,5585,1.5472,-0.47398),(5165,5595,1.5522,-0.47328),(5165,5605,1.5572,-0.47249),(5165,5615,1.5624,-0.47169),(5165,5625,1.5675,-0.47077),(5165,5635,1.5727,-0.46967),(5165,5645,1.5779,-0.46856),(5165,5655,1.5831,-0.46738),(5165,5665,1.5883,-0.46592),(5165,5675,1.5936,-0.46447),(5165,5685,1.5989,-0.463),(5165,5695,1.6041,-0.46116),(5165,5705,1.6094,-0.45931),(5165,5715,1.6145,-0.45747),(5165,5725,1.6197,-0.45532),(5165,5735,1.6249,-0.45312),(5165,5745,1.6301,-0.45092),(5165,5755,1.6353,-0.44843),(5165,5765,1.6404,-0.44583),(5165,5775,1.6455,-0.44322),(5165,5785,1.6506,-0.44045),(5165,5795,1.6557,-0.43752),(5165,5805,1.6607,-0.4346),(5165,5815,1.6657,-0.43157),(5165,5825,1.6706,-0.42835),(5165,5835,1.6755,-0.42512),(5165,5845,1.6804,-0.42185),(5165,5855,1.6853,-0.4183),(5165,5865,1.6901,-0.41475),(5165,5875,1.6948,-0.4112),(5165,5885,1.6996,-0.40735),(5165,5895,1.7042,-0.4035),(5165,5905,1.7088,-0.39964),(5165,5915,1.7135,-0.39558),(5165,5925,1.718,-0.39147),(5165,5935,1.7225,-0.38737),(5165,5945,1.7269,-0.3831),(5165,5955,1.7314,-0.37875),(5165,5965,1.7358,-0.3744),(5165,5975,1.7401,-0.36992),(5165,5985,1.7445,-0.36528),(5165,5995,1.7487,-0.36065),(5165,6005,1.7528,-0.35596),(5165,6015,1.757,-0.35117),(5165,6025,1.7611,-0.34637),(5165,6035,1.7652,-0.34155),(5165,6045,1.7692,-0.33658),(5165,6055,1.7732,-0.3316),(5165,6065,1.7772,-0.32663),(5165,6075,1.7811,-0.3215),(5165,6085,1.785,-0.31635),(5165,6095,1.7888,-0.3112),(5165,6105,1.7926,-0.30592),(5165,6115,1.7963,-0.30059),(5165,6125,1.8,-0.29527),(5165,6135,1.8036,-0.28983),(5165,6145,1.8072,-0.28431),(5165,6155,1.8107,-0.27879),(5165,6165,1.8142,-0.2732),(5165,6175,1.8176,-0.26751),(5165,6185,1.8209,-0.26182),(5165,6195,1.8242,-0.25611),(5165,6205,1.8274,-0.2503),(5165,6215,1.8305,-0.24449),(5165,6225,1.8336,-0.23868),(5165,6235,1.8366,-0.23274),(5165,6245,1.8396,-0.2268),(5165,6255,1.8424,-0.22087),(5165,6265,1.8453,-0.21477),(5165,6275,1.8481,-0.20866),(5165,6285,1.8508,-0.20254),(5165,6295,1.8534,-0.19634),(5165,6305,1.8561,-0.1901),(5165,6315,1.8585,-0.18386),(5165,6325,1.8609,-0.17758),(5165,6335,1.8633,-0.17126),(5165,6345,1.8655,-0.16493),(5165,6355,1.8676,-0.15858),(5165,6365,1.8698,-0.15214),(5165,6375,1.8718,-0.14571),(5165,6385,1.8737,-0.13927),(5165,6395,1.8757,-0.13278),(5165,6405,1.8775,-0.12628),(5165,6415,1.8791,-0.11979),(5165,6425,1.8808,-0.11321),(5165,6435,1.8823,-0.10662),(5165,6445,1.8837,-0.10004),(5165,6455,1.8851,-0.093393),(5165,6465,1.8864,-0.086733),(5165,6475,1.8875,-0.080073),(5165,6485,1.8886,-0.07336),(5165,6495,1.8897,-0.066611),(5165,6505,1.8905,-0.059862),(5165,6515,1.8913,-0.05311),(5165,6525,1.892,-0.046355),(5165,6535,1.8926,-0.0396),(5165,6545,1.8931,-0.032844),(5165,6555,1.8936,-0.026085),(5165,6565,1.8939,-0.019326),(5165,6575,1.8942,-0.012568),(5165,6585,1.8944,-0.005819),(5165,6595,1.6115,0.000929),(5165,6605,1.016,0.007677),(5165,6615,0.42043,0.008471),(5165,6625,0.00177,0.008501),(5165,6635,0.001773,0.00853),(5165,6645,0.001776,0.00856),(5165,6655,0.001779,0.008591),(5165,6665,0.001782,0.008621),(5165,6675,0.001784,0.00865),(5165,6685,0.001787,0.008677),(5165,6695,0.001789,0.008704),(5165,6705,0.001791,0.00873),(5165,6715,0.001793,0.008754),(5165,6725,0.001796,0.008778),(5165,6735,0.001798,0.008802),(5165,6745,0.0018,0.008823),(5165,6755,0.001802,0.008845),(5165,6765,0.001804,0.008866),(5165,6775,0.001806,0.008885),(5165,6785,0.001809,0.008903),(5165,6795,0.001811,0.008922),(5165,6805,0.001813,0.008939),(5165,6815,0.001815,0.008956),(5165,6825,0.001818,0.008972),(5165,6835,0.00182,0.008987),(5165,6845,0.001822,0.009002),(5165,6855,0.001825,0.009016),(5165,6865,0.001828,0.00903),(5165,6875,0.00183,0.009042),(5165,6885,0.001833,0.009055),(5165,6895,0.001836,0.009067),(5165,6905,0.001838,0.009078),(5165,6915,0.001841,0.009089),(5165,6925,0.001844,0.009099),(5165,6935,0.001847,0.009109),(5165,6945,0.00185,0.009118),(5165,6955,0.001854,0.009128),(5165,6965,0.001857,0.009136),(5165,6975,0.00186,0.009144),(5165,6985,0.001863,0.009151),(5175,5,1.1e-05,-0.50068),(5175,15,3.4e-05,-0.50075),(5175,25,5e-05,-0.50081),(5175,35,6.1e-05,-0.50087),(5175,45,7.2e-05,-0.50091),(5175,55,8.3e-05,-0.50093),(5175,65,9.7e-05,-0.50095),(5175,75,0.000114,-0.50097),(5175,85,0.000131,-0.50101),(5175,95,0.000149,-0.50107),(5175,105,0.000162,-0.50114),(5175,115,0.000172,-0.5012),(5175,125,0.000182,-0.50126),(5175,135,0.000192,-0.50132),(5175,145,0.000202,-0.50138),(5175,155,0.000211,-0.50145),(5175,165,0.00022,-0.50152),(5175,175,0.00023,-0.5016),(5175,185,0.000243,-0.50168),(5175,195,0.000259,-0.50177),(5175,205,0.000275,-0.50187),(5175,215,0.000291,-0.50197),(5175,225,0.000318,-0.50208),(5175,235,0.000349,-0.50219),(5175,245,0.00038,-0.50234),(5175,255,0.000412,-0.5025),(5175,265,0.000429,-0.50266),(5175,275,0.000442,-0.50281),(5175,285,0.000456,-0.50295),(5175,295,0.000469,-0.50309),(5175,305,0.000496,-0.50322),(5175,315,0.000526,-0.50336),(5175,325,0.000557,-0.50355),(5175,335,0.000588,-0.50375),(5175,345,0.000609,-0.50395),(5175,355,0.000628,-0.50416),(5175,365,0.000647,-0.50437),(5175,375,0.000666,-0.50458),(5175,385,0.000669,-0.5048),(5175,395,0.00067,-0.50501),(5175,405,0.00067,-0.50522),(5175,415,0.000671,-0.50542),(5175,425,0.000669,-0.50563),(5175,435,0.000667,-0.50583),(5175,445,0.000666,-0.50603),(5175,455,0.000664,-0.50622),(5175,465,0.000726,-0.50642),(5175,475,0.000792,-0.50661),(5175,485,0.000858,-0.50695),(5175,495,0.000924,-0.50729),(5175,505,0.000979,-0.50762),(5175,515,0.001033,-0.50796),(5175,525,0.001088,-0.50831),(5175,535,0.001141,-0.50866),(5175,545,0.001151,-0.50901),(5175,555,0.001161,-0.50936),(5175,565,0.001172,-0.5097),(5175,575,0.001181,-0.51004),(5175,585,0.001178,-0.51037),(5175,595,0.001175,-0.51071),(5175,605,0.001172,-0.51106),(5175,615,0.001171,-0.51141),(5175,625,0.001187,-0.51176),(5175,635,0.001203,-0.51212),(5175,645,0.001219,-0.5125),(5175,655,0.001239,-0.51288),(5175,665,0.001284,-0.51326),(5175,675,0.001328,-0.51365),(5175,685,0.001373,-0.51408),(5175,695,0.001423,-0.51451),(5175,705,0.001496,-0.51494),(5175,715,0.001568,-0.51539),(5175,725,0.001641,-0.51589),(5175,735,0.001709,-0.5164),(5175,745,0.001761,-0.5169),(5175,755,0.001813,-0.51741),(5175,765,0.001865,-0.51796),(5175,775,0.001913,-0.5185),(5175,785,0.001951,-0.51905),(5175,795,0.001988,-0.51959),(5175,805,0.002025,-0.52012),(5175,815,0.002063,-0.52064),(5175,825,0.002104,-0.52117),(5175,835,0.002144,-0.52172),(5175,845,0.002184,-0.52231),(5175,855,0.002226,-0.5229),(5175,865,0.00227,-0.5235),(5175,875,0.002315,-0.5241),(5175,885,0.00236,-0.5247),(5175,895,0.002416,-0.5253),(5175,905,0.002492,-0.5259),(5175,915,0.002568,-0.52653),(5175,925,0.002643,-0.5272),(5175,935,0.00273,-0.52787),(5175,945,0.002831,-0.52855),(5175,955,0.002933,-0.52925),(5175,965,0.003034,-0.52998),(5175,975,0.00313,-0.53071),(5175,985,0.00322,-0.53145),(5175,995,0.00331,-0.53218),(5175,1005,0.003401,-0.5329),(5175,1015,0.003499,-0.53363),(5175,1025,0.003605,-0.53436),(5175,1035,0.00371,-0.53512),(5175,1045,0.003816,-0.53592),(5175,1055,0.003918,-0.53671),(5175,1065,0.004017,-0.53751),(5175,1075,0.004116,-0.53831),(5175,1085,0.004215,-0.53912),(5175,1095,0.004302,-0.53993),(5175,1105,0.00438,-0.54075),(5175,1115,0.004458,-0.54161),(5175,1125,0.004536,-0.54251),(5175,1135,0.004717,-0.54341),(5175,1145,0.004959,-0.54431),(5175,1155,0.005201,-0.54501),(5175,1165,0.005443,-0.5456),(5175,1175,0.006399,-0.54619),(5175,1185,0.00771,-0.54678),(5175,1195,0.009021,-0.54532),(5175,1205,0.010332,-0.54294),(5175,1215,0.012728,-0.54056),(5175,1225,0.015571,-0.53817),(5175,1235,0.018414,-0.53068),(5175,1245,0.021257,-0.52128),(5175,1255,0.011118,-0.51189),(5175,1265,-0.003406,-0.50249),(5175,1275,-0.017929,-0.52137),(5175,1285,-0.032453,-0.54883),(5175,1295,-0.070281,-0.57629),(5175,1305,-0.11441,-0.60375),(5175,1315,-0.15854,-0.72348),(5175,1325,-0.20267,-0.86529),(5175,1335,-0.12579,-1.0071),(5175,1345,-0.023549,-1.1489),(5175,1355,0.078691,-1.0576),(5175,1365,0.18093,-0.92399),(5175,1375,0.16374,-0.79041),(5175,1385,0.12812,-0.65682),(5175,1395,0.092494,-0.60673),(5175,1405,0.056872,-0.56736),(5175,1415,0.03523,-0.528),(5175,1425,0.015038,-0.48864),(5175,1435,-0.005153,-0.49687),(5175,1445,-0.025344,-0.50892),(5175,1455,-0.023203,-0.52096),(5175,1465,-0.019775,-0.53301),(5175,1475,-0.016347,-0.53685),(5175,1485,-0.012919,-0.54039),(5175,1495,-0.011184,-0.54392),(5175,1505,-0.009474,-0.54744),(5175,1515,-0.007764,-0.54702),(5175,1525,-0.006089,-0.54659),(5175,1535,-0.005772,-0.54617),(5175,1545,-0.005454,-0.54572),(5175,1555,-0.005137,-0.54486),(5175,1565,-0.004834,-0.54401),(5175,1575,-0.00473,-0.54315),(5175,1585,-0.004627,-0.54231),(5175,1595,-0.004523,-0.54157),(5175,1605,-0.004418,-0.54083),(5175,1615,-0.004304,-0.54009),(5175,1625,-0.004189,-0.53936),(5175,1635,-0.004074,-0.53869),(5175,1645,-0.003959,-0.53803),(5175,1655,-0.003839,-0.53737),(5175,1665,-0.00372,-0.53672),(5175,1675,-0.003601,-0.53612),(5175,1685,-0.003482,-0.53552),(5175,1695,-0.003367,-0.53492),(5175,1705,-0.003251,-0.53433),(5175,1715,-0.003135,-0.53378),(5175,1725,-0.00302,-0.53324),(5175,1735,-0.002909,-0.53269),(5175,1745,-0.002798,-0.53216),(5175,1755,-0.002687,-0.53168),(5175,1765,-0.00258,-0.5312),(5175,1775,-0.002483,-0.53072),(5175,1785,-0.002387,-0.53025),(5175,1795,-0.002291,-0.5298),(5175,1805,-0.002195,-0.52936),(5175,1815,-0.002102,-0.52892),(5175,1825,-0.002009,-0.52849),(5175,1835,-0.001916,-0.52808),(5175,1845,-0.001833,-0.52767),(5175,1855,-0.001767,-0.52726),(5175,1865,-0.001702,-0.52688),(5175,1875,-0.001637,-0.52657),(5175,1885,-0.001564,-0.52626),(5175,1895,-0.001477,-0.52594),(5175,1905,-0.001391,-0.52563),(5175,1915,-0.001305,-0.52533),(5175,1925,-0.001233,-0.52502),(5175,1935,-0.001182,-0.52471),(5175,1945,-0.001131,-0.52443),(5175,1955,-0.00108,-0.52416),(5175,1965,-0.001029,-0.5239),(5175,1975,-0.000978,-0.52363),(5175,1985,-0.000927,-0.52338),(5175,1995,-0.000876,-0.52315),(5175,2005,-0.000829,-0.52292),(5175,2015,-0.000785,-0.52269),(5175,2025,-0.000741,-0.52248),(5175,2035,-0.000698,-0.52229),(5175,2045,-0.00066,-0.52209),(5175,2055,-0.000627,-0.5219),(5175,2065,-0.000594,-0.52171),(5175,2075,-0.000561,-0.52153),(5175,2085,-0.000522,-0.52134),(5175,2095,-0.000479,-0.52116),(5175,2105,-0.000436,-0.521),(5175,2115,-0.000393,-0.52086),(5175,2125,-0.000344,-0.52071),(5175,2135,-0.000293,-0.52057),(5175,2145,-0.000241,-0.52045),(5175,2155,-0.000189,-0.52034),(5175,2165,-0.000139,-0.52023),(5175,2175,-9e-05,-0.52012),(5175,2185,-4.1e-05,-0.52003),(5175,2195,8e-06,-0.51995),(5175,2205,6e-05,-0.51987),(5175,2215,0.000114,-0.51979),(5175,2225,0.000168,-0.5197),(5175,2235,0.000221,-0.51962),(5175,2245,0.000245,-0.51954),(5175,2255,0.000258,-0.51946),(5175,2265,0.000272,-0.51942),(5175,2275,0.000285,-0.51939),(5175,2285,0.000328,-0.51937),(5175,2295,0.000379,-0.51935),(5175,2305,0.00043,-0.5193),(5175,2315,0.000481,-0.51924),(5175,2325,0.000507,-0.51918),(5175,2335,0.000528,-0.51912),(5175,2345,0.000549,-0.5191),(5175,2355,0.000569,-0.51909),(5175,2365,0.000597,-0.51908),(5175,2375,0.000625,-0.51907),(5175,2385,0.000654,-0.51906),(5175,2395,0.000683,-0.51904),(5175,2405,0.000714,-0.51903),(5175,2415,0.000745,-0.51902),(5175,2425,0.000776,-0.51901),(5175,2435,0.000807,-0.519),(5175,2445,0.000849,-0.51899),(5175,2455,0.000891,-0.51897),(5175,2465,0.000934,-0.51898),(5175,2475,0.000977,-0.519),(5175,2485,0.001021,-0.51901),(5175,2495,0.001066,-0.51902),(5175,2505,0.00111,-0.51904),(5175,2515,0.001155,-0.51905),(5175,2525,0.001195,-0.51907),(5175,2535,0.001236,-0.51909),(5175,2545,0.001276,-0.51911),(5175,2555,0.001316,-0.51912),(5175,2565,0.001356,-0.51914),(5175,2575,0.001396,-0.51915),(5175,2585,0.001436,-0.51918),(5175,2595,0.001477,-0.51921),(5175,2605,0.001529,-0.51924),(5175,2615,0.00158,-0.51926),(5175,2625,0.001631,-0.51926),(5175,2635,0.001676,-0.51926),(5175,2645,0.001679,-0.51926),(5175,2655,0.001682,-0.51927),(5175,2665,0.001685,-0.51935),(5175,2675,0.001698,-0.51944),(5175,2685,0.001764,-0.51953),(5175,2695,0.001829,-0.51959),(5175,2705,0.001894,-0.51957),(5175,2715,0.00195,-0.51955),(5175,2725,0.00197,-0.51953),(5175,2735,0.00199,-0.51952),(5175,2745,0.00201,-0.51953),(5175,2755,0.002035,-0.51954),(5175,2765,0.002077,-0.51956),(5175,2775,0.002119,-0.51957),(5175,2785,0.002161,-0.51959),(5175,2795,0.002202,-0.51961),(5175,2805,0.002243,-0.51963),(5175,2815,0.002284,-0.51964),(5175,2825,0.002325,-0.51964),(5175,2835,0.002366,-0.51964),(5175,2845,0.002406,-0.51964),(5175,2855,0.002446,-0.51963),(5175,2865,0.002486,-0.51962),(5175,2875,0.002527,-0.5196),(5175,2885,0.00257,-0.51958),(5175,2895,0.002613,-0.51956),(5175,2905,0.002656,-0.51954),(5175,2915,0.002701,-0.51951),(5175,2925,0.002749,-0.51949),(5175,2935,0.002797,-0.51946),(5175,2945,0.002844,-0.51943),(5175,2955,0.002892,-0.5194),(5175,2965,0.002939,-0.51936),(5175,2975,0.002985,-0.51933),(5175,2985,0.003032,-0.51929),(5175,2995,0.003082,-0.51925),(5175,3005,0.003136,-0.51922),(5175,3015,0.003189,-0.51915),(5175,3025,0.003243,-0.51906),(5175,3035,0.00327,-0.51896),(5175,3045,0.003275,-0.51887),(5175,3055,0.00328,-0.5188),(5175,3065,0.003284,-0.51876),(5175,3075,0.003336,-0.51872),(5175,3085,0.003424,-0.51868),(5175,3095,0.003511,-0.51858),(5175,3105,0.003599,-0.51844),(5175,3115,0.003665,-0.5183),(5175,3125,0.003717,-0.51817),(5175,3135,0.003769,-0.51804),(5175,3145,0.003822,-0.51793),(5175,3155,0.003883,-0.51781),(5175,3165,0.003948,-0.51769),(5175,3175,0.004013,-0.51756),(5175,3185,0.004078,-0.51741),(5175,3195,0.004135,-0.51727),(5175,3205,0.004187,-0.51713),(5175,3215,0.00424,-0.51695),(5175,3225,0.004292,-0.51676),(5175,3235,0.004341,-0.51657),(5175,3245,0.004389,-0.51639),(5175,3255,0.004437,-0.51618),(5175,3265,0.004486,-0.51597),(5175,3275,0.004535,-0.51575),(5175,3285,0.004586,-0.51554),(5175,3295,0.004636,-0.51531),(5175,3305,0.004686,-0.51508),(5175,3315,0.00473,-0.51486),(5175,3325,0.004772,-0.51463),(5175,3335,0.004815,-0.51437),(5175,3345,0.004857,-0.5141),(5175,3355,0.004915,-0.51384),(5175,3365,0.004977,-0.51357),(5175,3375,0.005038,-0.51325),(5175,3385,0.005099,-0.51292),(5175,3395,0.005131,-0.51258),(5175,3405,0.00516,-0.51225),(5175,3415,0.005188,-0.51198),(5175,3425,0.005216,-0.51171),(5175,3435,0.005318,-0.51145),(5175,3445,0.005426,-0.51118),(5175,3455,0.005535,-0.51082),(5175,3465,0.005643,-0.51045),(5175,3475,0.005694,-0.51007),(5175,3485,0.005743,-0.5097),(5175,3495,0.005792,-0.50933),(5175,3505,0.005842,-0.50895),(5175,3515,0.005902,-0.50857),(5175,3525,0.005963,-0.50819),(5175,3535,0.006024,-0.50777),(5175,3545,0.006085,-0.50735),(5175,3555,0.006157,-0.50693),(5175,3565,0.006228,-0.50651),(5175,3575,0.0063,-0.50607),(5175,3585,0.006372,-0.50563),(5175,3595,0.006445,-0.50519),(5175,3605,0.006518,-0.50475),(5175,3615,0.006592,-0.50428),(5175,3625,0.006665,-0.50381),(5175,3635,0.006736,-0.50335),(5175,3645,0.006807,-0.50288),(5175,3655,0.006878,-0.50239),(5175,3665,0.006948,-0.5019),(5175,3675,0.007016,-0.50141),(5175,3685,0.007084,-0.50091),(5175,3695,0.007152,-0.50039),(5175,3705,0.007221,-0.49986),(5175,3715,0.007296,-0.49933),(5175,3725,0.007372,-0.4988),(5175,3735,0.007447,-0.49827),(5175,3745,0.007525,-0.49773),(5175,3755,0.007611,-0.4972),(5175,3765,0.007697,-0.49665),(5175,3775,0.007783,-0.49609),(5175,3785,0.007857,-0.49553),(5175,3795,0.007898,-0.49496),(5175,3805,0.00794,-0.49443),(5175,3815,0.007982,-0.49398),(5175,3825,0.008069,-0.49353),(5175,3835,0.008251,-0.49307),(5175,3845,0.008434,-0.49251),(5175,3855,0.008617,-0.49175),(5175,3865,0.009045,-0.49098),(5175,3875,0.009908,-0.49022),(5175,3885,0.010771,-0.4887),(5175,3895,0.011634,-0.48597),(5175,3905,0.012981,-0.48324),(5175,3915,0.015051,-0.48051),(5175,3925,0.017121,-0.47557),(5175,3935,0.019191,-0.46758),(5175,3945,0.015619,-0.45959),(5175,3955,0.004885,-0.4516),(5175,3965,-0.005849,-0.45629),(5175,3975,-0.016584,-0.47583),(5175,3985,-0.050499,-0.49536),(5175,3995,-0.10951,-0.5149),(5175,4005,-0.16852,-0.6025),(5175,4015,-0.22753,-0.75816),(5175,4025,-0.047922,-0.91382),(5175,4035,0.15503,-1.0207),(5175,4045,0.35797,-1.0249),(5175,4055,0.47626,-1.029),(5175,4065,0.56366,-1.033),(5175,4075,0.65105,-1.0361),(5175,4085,0.69444,-1.0392),(5175,4095,0.70246,-1.0423),(5175,4105,0.71048,-1.0433),(5175,4115,0.7187,-1.0442),(5175,4125,0.72725,-1.0451),(5175,4135,0.73581,-1.0446),(5175,4145,0.7445,-1.0438),(5175,4155,0.75374,-1.043),(5175,4165,0.76299,-1.0412),(5175,4175,0.77223,-1.0387),(5175,4185,0.78173,-1.0362),(5175,4195,0.79122,-1.0332),(5175,4205,0.80071,-1.0295),(5175,4215,0.81041,-1.0258),(5175,4225,0.82013,-1.0217),(5175,4235,0.82986,-1.0167),(5175,4245,0.83971,-1.0117),(5175,4255,0.84963,-1.0067),(5175,4265,0.85954,-1.0006),(5175,4275,0.8695,-0.99453),(5175,4285,0.87951,-0.98845),(5175,4295,0.88952,-0.98147),(5175,4305,0.89951,-0.97438),(5175,4315,0.90943,-0.9673),(5175,4325,0.91936,-0.9598),(5175,4335,0.92924,-0.95214),(5175,4345,0.93886,-0.94448),(5175,4355,0.94848,-0.93662),(5175,4365,0.9581,-0.9286),(5175,4375,0.96732,-0.92057),(5175,4385,0.97651,-0.91254),(5175,4395,0.98571,-0.90448),(5175,4405,0.99455,-0.89642),(5175,4415,1.0033,-0.88836),(5175,4425,1.012,-0.88029),(5175,4435,1.0204,-0.87222),(5175,4445,1.0286,-0.86415),(5175,4455,1.0369,-0.85626),(5175,4465,1.0449,-0.84838),(5175,4475,1.0527,-0.84049),(5175,4485,1.0605,-0.83274),(5175,4495,1.0682,-0.82502),(5175,4505,1.0755,-0.81731),(5175,4515,1.0828,-0.80977),(5175,4525,1.0902,-0.80234),(5175,4535,1.0971,-0.79491),(5175,4545,1.1041,-0.78763),(5175,4555,1.111,-0.78053),(5175,4565,1.1176,-0.77343),(5175,4575,1.1242,-0.76644),(5175,4585,1.1307,-0.75971),(5175,4595,1.1371,-0.75297),(5175,4605,1.1433,-0.74627),(5175,4615,1.1495,-0.73988),(5175,4625,1.1556,-0.73348),(5175,4635,1.1614,-0.72708),(5175,4645,1.1673,-0.72103),(5175,4655,1.1731,-0.71501),(5175,4665,1.1787,-0.70898),(5175,4675,1.1843,-0.70326),(5175,4685,1.1899,-0.69764),(5175,4695,1.1953,-0.69201),(5175,4705,1.2006,-0.68658),(5175,4715,1.206,-0.68129),(5175,4725,1.2111,-0.676),(5175,4735,1.2162,-0.67087),(5175,4745,1.2214,-0.66597),(5175,4755,1.2264,-0.66106),(5175,4765,1.2313,-0.65621),(5175,4775,1.2363,-0.65154),(5175,4785,1.2411,-0.64687),(5175,4795,1.2458,-0.64221),(5175,4805,1.2506,-0.63784),(5175,4815,1.2553,-0.63347),(5175,4825,1.2598,-0.6291),(5175,4835,1.2644,-0.62497),(5175,4845,1.269,-0.62088),(5175,4855,1.2734,-0.61679),(5175,4865,1.2778,-0.61288),(5175,4875,1.2822,-0.60904),(5175,4885,1.2864,-0.60521),(5175,4895,1.2907,-0.60146),(5175,4905,1.295,-0.59779),(5175,4915,1.2991,-0.59411),(5175,4925,1.3032,-0.59052),(5175,4935,1.3073,-0.58708),(5175,4945,1.3113,-0.58363),(5175,4955,1.3152,-0.58022),(5175,4965,1.3192,-0.57697),(5175,4975,1.323,-0.57372),(5175,4985,1.3268,-0.57047),(5175,4995,1.3306,-0.56735),(5175,5005,1.3344,-0.56422),(5175,5015,1.338,-0.5611),(5175,5025,1.3417,-0.5581),(5175,5035,1.3453,-0.55513),(5175,5045,1.3487,-0.55216),(5175,5055,1.3522,-0.5493),(5175,5065,1.3557,-0.54651),(5175,5075,1.359,-0.54372),(5175,5085,1.3623,-0.541),(5175,5095,1.3656,-0.53836),(5175,5105,1.3688,-0.53573),(5175,5115,1.372,-0.53314),(5175,5125,1.3752,-0.53067),(5175,5135,1.3783,-0.52821),(5175,5145,1.3814,-0.52577),(5175,5155,1.3844,-0.52351),(5175,5165,1.3875,-0.52126),(5175,5175,1.3905,-0.519),(5175,5185,1.3935,-0.51695),(5175,5195,1.3966,-0.51492),(5175,5205,1.3996,-0.51289),(5175,5215,1.4026,-0.51104),(5175,5225,1.4056,-0.50926),(5175,5235,1.4086,-0.50748),(5175,5245,1.4117,-0.50583),(5175,5255,1.4147,-0.5043),(5175,5265,1.4178,-0.50276),(5175,5275,1.4209,-0.50131),(5175,5285,1.424,-0.5),(5175,5295,1.4272,-0.49869),(5175,5305,1.4304,-0.49743),(5175,5315,1.4336,-0.49636),(5175,5325,1.4369,-0.49529),(5175,5335,1.4402,-0.49422),(5175,5345,1.4436,-0.49333),(5175,5355,1.447,-0.49245),(5175,5365,1.4505,-0.49156),(5175,5375,1.454,-0.49082),(5175,5385,1.4575,-0.4901),(5175,5395,1.4612,-0.48939),(5175,5405,1.4649,-0.48877),(5175,5415,1.4686,-0.48819),(5175,5425,1.4725,-0.48762),(5175,5435,1.4764,-0.48707),(5175,5445,1.4803,-0.48656),(5175,5455,1.4844,-0.48605),(5175,5465,1.4886,-0.48554),(5175,5475,1.4927,-0.48504),(5175,5485,1.497,-0.48453),(5175,5495,1.5014,-0.48402),(5175,5505,1.5058,-0.4835),(5175,5515,1.5103,-0.48298),(5175,5525,1.5149,-0.48247),(5175,5535,1.5195,-0.48186),(5175,5545,1.5242,-0.48126),(5175,5555,1.529,-0.48065),(5175,5565,1.5338,-0.47989),(5175,5575,1.5386,-0.47909),(5175,5585,1.5435,-0.47828),(5175,5595,1.5485,-0.47734),(5175,5605,1.5534,-0.4763),(5175,5615,1.5585,-0.47527),(5175,5625,1.5635,-0.47411),(5175,5635,1.5686,-0.47277),(5175,5645,1.5737,-0.47143),(5175,5655,1.5788,-0.47002),(5175,5665,1.5839,-0.46836),(5175,5675,1.589,-0.4667),(5175,5685,1.5941,-0.46501),(5175,5695,1.5993,-0.46298),(5175,5705,1.6044,-0.46094),(5175,5715,1.6094,-0.45891),(5175,5725,1.6145,-0.45658),(5175,5735,1.6196,-0.45421),(5175,5745,1.6246,-0.45185),(5175,5755,1.6297,-0.44922),(5175,5765,1.6347,-0.44647),(5175,5775,1.6397,-0.44373),(5175,5785,1.6446,-0.44083),(5175,5795,1.6496,-0.43779),(5175,5805,1.6544,-0.43475),(5175,5815,1.6593,-0.43161),(5175,5825,1.6642,-0.42829),(5175,5835,1.669,-0.42498),(5175,5845,1.6737,-0.42161),(5175,5855,1.6785,-0.41799),(5175,5865,1.6832,-0.41437),(5175,5875,1.6878,-0.41076),(5175,5885,1.6925,-0.40685),(5175,5895,1.6971,-0.40294),(5175,5905,1.7016,-0.39904),(5175,5915,1.7061,-0.39494),(5175,5925,1.7106,-0.39079),(5175,5935,1.715,-0.38665),(5175,5945,1.7194,-0.38236),(5175,5955,1.7237,-0.37798),(5175,5965,1.728,-0.3736),(5175,5975,1.7323,-0.3691),(5175,5985,1.7365,-0.36444),(5175,5995,1.7407,-0.35978),(5175,6005,1.7448,-0.35508),(5175,6015,1.7489,-0.35027),(5175,6025,1.7529,-0.34545),(5175,6035,1.7569,-0.34062),(5175,6045,1.7609,-0.33564),(5175,6055,1.7648,-0.33065),(5175,6065,1.7687,-0.32567),(5175,6075,1.7725,-0.32053),(5175,6085,1.7764,-0.31538),(5175,6095,1.7801,-0.31022),(5175,6105,1.7838,-0.30494),(5175,6115,1.7875,-0.29962),(5175,6125,1.7911,-0.29429),(5175,6135,1.7947,-0.28886),(5175,6145,1.7982,-0.28335),(5175,6155,1.8016,-0.27784),(5175,6165,1.805,-0.27226),(5175,6175,1.8084,-0.26659),(5175,6185,1.8117,-0.26091),(5175,6195,1.8149,-0.25521),(5175,6205,1.8181,-0.24942),(5175,6215,1.8212,-0.24363),(5175,6225,1.8241,-0.23783),(5175,6235,1.8271,-0.2319),(5175,6245,1.8301,-0.22598),(5175,6255,1.8329,-0.22006),(5175,6265,1.8357,-0.21398),(5175,6275,1.8384,-0.20788),(5175,6285,1.841,-0.20177),(5175,6295,1.8436,-0.19559),(5175,6305,1.8462,-0.18937),(5175,6315,1.8486,-0.18315),(5175,6325,1.8509,-0.17689),(5175,6335,1.8533,-0.17058),(5175,6345,1.8554,-0.16428),(5175,6355,1.8576,-0.15794),(5175,6365,1.8597,-0.15153),(5175,6375,1.8617,-0.14512),(5175,6385,1.8636,-0.13869),(5175,6395,1.8655,-0.13222),(5175,6405,1.8672,-0.12575),(5175,6415,1.8689,-0.11927),(5175,6425,1.8705,-0.11272),(5175,6435,1.872,-0.10616),(5175,6445,1.8734,-0.099603),(5175,6455,1.8748,-0.09299),(5175,6465,1.8761,-0.086361),(5175,6475,1.8772,-0.079731),(5175,6485,1.8782,-0.073049),(5175,6495,1.8793,-0.06633),(5175,6505,1.8801,-0.059612),(5175,6515,1.8809,-0.052888),(5175,6525,1.8816,-0.046158),(5175,6535,1.8822,-0.039427),(5175,6545,1.8827,-0.032695),(5175,6555,1.8832,-0.025957),(5175,6565,1.8835,-0.019219),(5175,6575,1.8837,-0.012482),(5175,6585,1.8839,-0.005755),(5175,6595,1.6026,0.000972),(5175,6605,1.0103,0.007699),(5175,6615,0.41807,0.008487),(5175,6625,0.001733,0.008511),(5175,6635,0.001737,0.008536),(5175,6645,0.001741,0.008564),(5175,6655,0.001745,0.008594),(5175,6665,0.001749,0.008625),(5175,6675,0.001753,0.008653),(5175,6685,0.001756,0.008681),(5175,6695,0.001759,0.008708),(5175,6705,0.001763,0.008734),(5175,6715,0.001766,0.008757),(5175,6725,0.001769,0.008781),(5175,6735,0.001772,0.008805),(5175,6745,0.001775,0.008826),(5175,6755,0.001778,0.008848),(5175,6765,0.001781,0.008869),(5175,6775,0.001784,0.008888),(5175,6785,0.001787,0.008906),(5175,6795,0.00179,0.008925),(5175,6805,0.001793,0.008942),(5175,6815,0.001796,0.008959),(5175,6825,0.001799,0.008975),(5175,6835,0.001802,0.00899),(5175,6845,0.001805,0.009005),(5175,6855,0.001808,0.009019),(5175,6865,0.001811,0.009033),(5175,6875,0.001814,0.009045),(5175,6885,0.001817,0.009058),(5175,6895,0.001821,0.00907),(5175,6905,0.001824,0.009081),(5175,6915,0.001827,0.009092),(5175,6925,0.001831,0.009103),(5175,6935,0.001834,0.009112),(5175,6945,0.001838,0.009122),(5175,6955,0.001841,0.009131),(5175,6965,0.001845,0.009139),(5175,6975,0.001849,0.009147),(5175,6985,0.001853,0.009155),(5185,5,9e-06,-0.71659),(5185,15,2.6e-05,-0.71667),(5185,25,4.2e-05,-0.71674),(5185,35,5.6e-05,-0.71682),(5185,45,7.1e-05,-0.71686),(5185,55,8.6e-05,-0.71687),(5185,65,0.000101,-0.71688),(5185,75,0.000117,-0.71689),(5185,85,0.000133,-0.71693),(5185,95,0.000149,-0.71698),(5185,105,0.000165,-0.71704),(5185,115,0.000179,-0.71709),(5185,125,0.000194,-0.71714),(5185,135,0.000209,-0.71719),(5185,145,0.000223,-0.71725),(5185,155,0.000238,-0.7173),(5185,165,0.000253,-0.71736),(5185,175,0.000268,-0.71743),(5185,185,0.000284,-0.7175),(5185,195,0.0003,-0.71757),(5185,205,0.000317,-0.71766),(5185,215,0.000334,-0.71776),(5185,225,0.000353,-0.71786),(5185,235,0.000374,-0.71795),(5185,245,0.000395,-0.71808),(5185,255,0.000416,-0.71822),(5185,265,0.000434,-0.71836),(5185,275,0.000451,-0.7185),(5185,285,0.000468,-0.71862),(5185,295,0.000486,-0.71874),(5185,305,0.000507,-0.71886),(5185,315,0.000529,-0.71899),(5185,325,0.000551,-0.71915),(5185,335,0.000574,-0.71931),(5185,345,0.000595,-0.71948),(5185,355,0.000615,-0.71965),(5185,365,0.000636,-0.71982),(5185,375,0.000657,-0.71999),(5185,385,0.000676,-0.72016),(5185,395,0.000694,-0.72032),(5185,405,0.000712,-0.72049),(5185,415,0.00073,-0.72065),(5185,425,0.00075,-0.72081),(5185,435,0.00077,-0.72097),(5185,445,0.000789,-0.72114),(5185,455,0.000809,-0.7213),(5185,465,0.000846,-0.72146),(5185,475,0.000883,-0.72163),(5185,485,0.000921,-0.72189),(5185,495,0.000958,-0.72215),(5185,505,0.000994,-0.72242),(5185,515,0.001031,-0.72269),(5185,525,0.001067,-0.72297),(5185,535,0.001103,-0.72325),(5185,545,0.00113,-0.72353),(5185,555,0.001157,-0.72381),(5185,565,0.001184,-0.72409),(5185,575,0.001211,-0.72437),(5185,585,0.001235,-0.72464),(5185,595,0.00126,-0.72492),(5185,605,0.001284,-0.7252),(5185,615,0.001309,-0.72547),(5185,625,0.001339,-0.72575),(5185,635,0.001369,-0.72602),(5185,645,0.001399,-0.7263),(5185,655,0.00143,-0.72657),(5185,665,0.001469,-0.72685),(5185,675,0.001508,-0.72713),(5185,685,0.001546,-0.72744),(5185,695,0.001587,-0.72774),(5185,705,0.001635,-0.72805),(5185,715,0.001684,-0.72838),(5185,725,0.001732,-0.72875),(5185,735,0.00178,-0.72913),(5185,745,0.001828,-0.72951),(5185,755,0.001876,-0.7299),(5185,765,0.001924,-0.73032),(5185,775,0.001972,-0.73074),(5185,785,0.002022,-0.73116),(5185,795,0.002071,-0.73157),(5185,805,0.00212,-0.73198),(5185,815,0.002172,-0.73238),(5185,825,0.002227,-0.73278),(5185,835,0.002282,-0.7332),(5185,845,0.002337,-0.73364),(5185,855,0.002395,-0.73407),(5185,865,0.002457,-0.73451),(5185,875,0.002518,-0.73495),(5185,885,0.00258,-0.73539),(5185,895,0.002647,-0.73583),(5185,905,0.002722,-0.73627),(5185,915,0.002797,-0.73672),(5185,925,0.002871,-0.7372),(5185,935,0.002951,-0.73769),(5185,945,0.003037,-0.73817),(5185,955,0.003124,-0.73866),(5185,965,0.00321,-0.73916),(5185,975,0.003299,-0.73967),(5185,985,0.003389,-0.74017),(5185,995,0.003478,-0.74066),(5185,1005,0.003568,-0.74115),(5185,1015,0.003663,-0.74164),(5185,1025,0.003763,-0.74213),(5185,1035,0.003863,-0.74263),(5185,1045,0.003962,-0.74316),(5185,1055,0.004065,-0.74368),(5185,1065,0.00417,-0.7442),(5185,1075,0.004276,-0.74472),(5185,1085,0.004381,-0.74522),(5185,1095,0.004489,-0.74573),(5185,1105,0.004598,-0.74623),(5185,1115,0.004706,-0.74676),(5185,1125,0.004815,-0.74732),(5185,1135,0.004955,-0.74787),(5185,1145,0.005113,-0.74842),(5185,1155,0.005271,-0.74882),(5185,1165,0.005428,-0.74914),(5185,1175,0.00576,-0.74946),(5185,1185,0.006178,-0.74978),(5185,1195,0.006596,-0.74861),(5185,1205,0.007015,-0.74678),(5185,1215,0.007697,-0.74495),(5185,1225,0.008488,-0.74312),(5185,1235,0.009278,-0.73751),(5185,1245,0.010069,-0.73049),(5185,1255,0.007903,-0.72347),(5185,1265,0.004738,-0.71645),(5185,1275,0.001572,-0.72871),(5185,1285,-0.001593,-0.74681),(5185,1295,-0.009819,-0.76492),(5185,1305,-0.019413,-0.78302),(5185,1315,-0.029007,-0.86608),(5185,1325,-0.038601,-0.96468),(5185,1335,-0.024693,-1.0633),(5185,1345,-0.005858,-1.1619),(5185,1355,0.012976,-1.0985),(5185,1365,0.031811,-1.0056),(5185,1375,0.028094,-0.91282),(5185,1385,0.020898,-0.82),(5185,1395,0.013702,-0.78619),(5185,1405,0.006506,-0.75996),(5185,1415,0.001812,-0.73373),(5185,1425,-0.002623,-0.70749),(5185,1435,-0.007058,-0.71391),(5185,1445,-0.011494,-0.72295),(5185,1455,-0.01085,-0.73199),(5185,1465,-0.009915,-0.74102),(5185,1475,-0.008979,-0.74401),(5185,1485,-0.008043,-0.74677),(5185,1495,-0.007517,-0.74954),(5185,1505,-0.006997,-0.75229),(5185,1515,-0.006477,-0.75222),(5185,1525,-0.005965,-0.75215),(5185,1535,-0.005776,-0.75208),(5185,1545,-0.005587,-0.75199),(5185,1555,-0.005398,-0.75159),(5185,1565,-0.005213,-0.75119),(5185,1575,-0.00508,-0.75079),(5185,1585,-0.004946,-0.7504),(5185,1595,-0.004813,-0.75005),(5185,1605,-0.004679,-0.7497),(5185,1615,-0.004548,-0.74935),(5185,1625,-0.004417,-0.749),(5185,1635,-0.004286,-0.74869),(5185,1645,-0.004155,-0.74837),(5185,1655,-0.004028,-0.74805),(5185,1665,-0.003902,-0.74774),(5185,1675,-0.003775,-0.74744),(5185,1685,-0.00365,-0.74714),(5185,1695,-0.00353,-0.74685),(5185,1705,-0.003411,-0.74655),(5185,1715,-0.003292,-0.74628),(5185,1725,-0.003175,-0.746),(5185,1735,-0.003063,-0.74573),(5185,1745,-0.002952,-0.74546),(5185,1755,-0.002841,-0.74521),(5185,1765,-0.002732,-0.74496),(5185,1775,-0.002631,-0.74471),(5185,1785,-0.00253,-0.74447),(5185,1795,-0.002429,-0.74423),(5185,1805,-0.00233,-0.744),(5185,1815,-0.002237,-0.74377),(5185,1825,-0.002144,-0.74354),(5185,1835,-0.00205,-0.74331),(5185,1845,-0.001962,-0.74308),(5185,1855,-0.001882,-0.74285),(5185,1865,-0.001803,-0.74264),(5185,1875,-0.001724,-0.74247),(5185,1885,-0.001646,-0.7423),(5185,1895,-0.00157,-0.74213),(5185,1905,-0.001495,-0.74196),(5185,1915,-0.001419,-0.74178),(5185,1925,-0.00135,-0.74161),(5185,1935,-0.001291,-0.74144),(5185,1945,-0.001231,-0.74127),(5185,1955,-0.001172,-0.74112),(5185,1965,-0.001116,-0.74096),(5185,1975,-0.001063,-0.7408),(5185,1985,-0.00101,-0.74066),(5185,1995,-0.000957,-0.74052),(5185,2005,-0.000907,-0.74039),(5185,2015,-0.000861,-0.74025),(5185,2025,-0.000814,-0.74013),(5185,2035,-0.000767,-0.74002),(5185,2045,-0.000723,-0.73991),(5185,2055,-0.000681,-0.7398),(5185,2065,-0.00064,-0.7397),(5185,2075,-0.000598,-0.73959),(5185,2085,-0.000555,-0.73949),(5185,2095,-0.000512,-0.73938),(5185,2105,-0.000469,-0.73929),(5185,2115,-0.000425,-0.73921),(5185,2125,-0.000381,-0.73913),(5185,2135,-0.000335,-0.73904),(5185,2145,-0.00029,-0.73898),(5185,2155,-0.000244,-0.73892),(5185,2165,-0.000199,-0.73886),(5185,2175,-0.000153,-0.7388),(5185,2185,-0.000108,-0.73875),(5185,2195,-6.2e-05,-0.73871),(5185,2205,-1.7e-05,-0.73867),(5185,2215,2.9e-05,-0.73862),(5185,2225,7.5e-05,-0.73857),(5185,2235,0.000121,-0.73851),(5185,2245,0.000159,-0.73845),(5185,2255,0.000194,-0.73839),(5185,2265,0.000229,-0.73835),(5185,2275,0.000264,-0.73832),(5185,2285,0.000303,-0.73828),(5185,2295,0.000345,-0.73825),(5185,2305,0.000386,-0.7382),(5185,2315,0.000427,-0.73814),(5185,2325,0.000461,-0.73808),(5185,2335,0.000492,-0.73803),(5185,2345,0.000524,-0.738),(5185,2355,0.000556,-0.73798),(5185,2365,0.000588,-0.73796),(5185,2375,0.00062,-0.73794),(5185,2385,0.000653,-0.73791),(5185,2395,0.000685,-0.73788),(5185,2405,0.000717,-0.73784),(5185,2415,0.00075,-0.73781),(5185,2425,0.000782,-0.73777),(5185,2435,0.000814,-0.73772),(5185,2445,0.00085,-0.73767),(5185,2455,0.000886,-0.73763),(5185,2465,0.000921,-0.7376),(5185,2475,0.000957,-0.73757),(5185,2485,0.000994,-0.73753),(5185,2495,0.001031,-0.7375),(5185,2505,0.001068,-0.73748),(5185,2515,0.001105,-0.73745),(5185,2525,0.001142,-0.73742),(5185,2535,0.001179,-0.73739),(5185,2545,0.001216,-0.73735),(5185,2555,0.001252,-0.7373),(5185,2565,0.001289,-0.73725),(5185,2575,0.001326,-0.73721),(5185,2585,0.001362,-0.73715),(5185,2595,0.001399,-0.7371),(5185,2605,0.001438,-0.73704),(5185,2615,0.001477,-0.73698),(5185,2625,0.001516,-0.73691),(5185,2635,0.001553,-0.73684),(5185,2645,0.00158,-0.73676),(5185,2655,0.001607,-0.7367),(5185,2665,0.001634,-0.73668),(5185,2675,0.001663,-0.73667),(5185,2685,0.001705,-0.73665),(5185,2695,0.001747,-0.73661),(5185,2705,0.001789,-0.73649),(5185,2715,0.001828,-0.73636),(5185,2725,0.00186,-0.73624),(5185,2735,0.001892,-0.73612),(5185,2745,0.001924,-0.73601),(5185,2755,0.001958,-0.7359),(5185,2765,0.001997,-0.73579),(5185,2775,0.002035,-0.73568),(5185,2785,0.002074,-0.73557),(5185,2795,0.002113,-0.73547),(5185,2805,0.002153,-0.73537),(5185,2815,0.002193,-0.73525),(5185,2825,0.002233,-0.73512),(5185,2835,0.002274,-0.73498),(5185,2845,0.002315,-0.73484),(5185,2855,0.002356,-0.7347),(5185,2865,0.002397,-0.73452),(5185,2875,0.002439,-0.73435),(5185,2885,0.002481,-0.73417),(5185,2895,0.002524,-0.73399),(5185,2905,0.002567,-0.73381),(5185,2915,0.00261,-0.73362),(5185,2925,0.002654,-0.73344),(5185,2935,0.002698,-0.73325),(5185,2945,0.002742,-0.73304),(5185,2955,0.002786,-0.73284),(5185,2965,0.00283,-0.73263),(5185,2975,0.002874,-0.73241),(5185,2985,0.002918,-0.73219),(5185,2995,0.002963,-0.73196),(5185,3005,0.003009,-0.73173),(5185,3015,0.003054,-0.73148),(5185,3025,0.0031,-0.7312),(5185,3035,0.00314,-0.73093),(5185,3045,0.003175,-0.73065),(5185,3055,0.00321,-0.73038),(5185,3065,0.003245,-0.73013),(5185,3075,0.003291,-0.72988),(5185,3085,0.003346,-0.72962),(5185,3095,0.003401,-0.72931),(5185,3105,0.003456,-0.72897),(5185,3115,0.003506,-0.72862),(5185,3125,0.003553,-0.72828),(5185,3135,0.003601,-0.72793),(5185,3145,0.003648,-0.72758),(5185,3155,0.003698,-0.72723),(5185,3165,0.003748,-0.72688),(5185,3175,0.003799,-0.7265),(5185,3185,0.00385,-0.7261),(5185,3195,0.003899,-0.7257),(5185,3205,0.003947,-0.72531),(5185,3215,0.003996,-0.72486),(5185,3225,0.004044,-0.72439),(5185,3235,0.004092,-0.72393),(5185,3245,0.004139,-0.72346),(5185,3255,0.004187,-0.72297),(5185,3265,0.004235,-0.72248),(5185,3275,0.004284,-0.72199),(5185,3285,0.004333,-0.7215),(5185,3295,0.004382,-0.72098),(5185,3305,0.004431,-0.72047),(5185,3315,0.004479,-0.71995),(5185,3325,0.004527,-0.71943),(5185,3335,0.004576,-0.71886),(5185,3345,0.004624,-0.71828),(5185,3355,0.004677,-0.7177),(5185,3365,0.004732,-0.71712),(5185,3375,0.004786,-0.71646),(5185,3385,0.00484,-0.7158),(5185,3395,0.004889,-0.71514),(5185,3405,0.004938,-0.71448),(5185,3415,0.004986,-0.71384),(5185,3425,0.005034,-0.71321),(5185,3435,0.005102,-0.71257),(5185,3445,0.00517,-0.71194),(5185,3455,0.005239,-0.71121),(5185,3465,0.005308,-0.71047),(5185,3475,0.005365,-0.70973),(5185,3485,0.005421,-0.70899),(5185,3495,0.005477,-0.70821),(5185,3505,0.005534,-0.70743),(5185,3515,0.005593,-0.70665),(5185,3525,0.005653,-0.70586),(5185,3535,0.005712,-0.70502),(5185,3545,0.005772,-0.70417),(5185,3555,0.005834,-0.70332),(5185,3565,0.005896,-0.70247),(5185,3575,0.005958,-0.70158),(5185,3585,0.00602,-0.70069),(5185,3595,0.006082,-0.6998),(5185,3605,0.006145,-0.69891),(5185,3615,0.006207,-0.69796),(5185,3625,0.00627,-0.69702),(5185,3635,0.006333,-0.69608),(5185,3645,0.006396,-0.69513),(5185,3655,0.006459,-0.69414),(5185,3665,0.006522,-0.69315),(5185,3675,0.006587,-0.69217),(5185,3685,0.006652,-0.69117),(5185,3695,0.006717,-0.69013),(5185,3705,0.006784,-0.68908),(5185,3715,0.006855,-0.68803),(5185,3725,0.006926,-0.68698),(5185,3735,0.006996,-0.68589),(5185,3745,0.007069,-0.6848),(5185,3755,0.007148,-0.68371),(5185,3765,0.007227,-0.68261),(5185,3775,0.007306,-0.68146),(5185,3785,0.007383,-0.68032),(5185,3795,0.007457,-0.67917),(5185,3805,0.00753,-0.67804),(5185,3815,0.007604,-0.67695),(5185,3825,0.007689,-0.67585),(5185,3835,0.007799,-0.67475),(5185,3845,0.007909,-0.67356),(5185,3855,0.008019,-0.67219),(5185,3865,0.008186,-0.67081),(5185,3875,0.008454,-0.66944),(5185,3885,0.008722,-0.66751),(5185,3895,0.008991,-0.66468),(5185,3905,0.009372,-0.66184),(5185,3915,0.009921,-0.65901),(5185,3925,0.01047,-0.65454),(5185,3935,0.011019,-0.64783),(5185,3945,0.01027,-0.64112),(5185,3955,0.007874,-0.63442),(5185,3965,0.005478,-0.63639),(5185,3975,0.003082,-0.64853),(5185,3985,-0.004606,-0.66068),(5185,3995,-0.018022,-0.67282),(5185,4005,-0.031438,-0.73296),(5185,4015,-0.044853,-0.84109),(5185,4025,0.086337,-0.94923),(5185,4035,0.23167,-1.0237),(5185,4045,0.37701,-1.0274),(5185,4055,0.4795,-1.031),(5185,4065,0.56635,-1.0345),(5185,4075,0.6532,-1.0376),(5185,4085,0.6959,-1.0406),(5185,4095,0.70311,-1.0436),(5185,4105,0.71032,-1.0447),(5185,4115,0.71784,-1.0458),(5185,4125,0.72586,-1.0468),(5185,4135,0.73388,-1.0466),(5185,4145,0.74204,-1.046),(5185,4155,0.75076,-1.0454),(5185,4165,0.75948,-1.0439),(5185,4175,0.76821,-1.0418),(5185,4185,0.77727,-1.0397),(5185,4195,0.78633,-1.0371),(5185,4205,0.79539,-1.0338),(5185,4215,0.80466,-1.0305),(5185,4225,0.81397,-1.0269),(5185,4235,0.82327,-1.0225),(5185,4245,0.83272,-1.018),(5185,4255,0.84224,-1.0135),(5185,4265,0.85176,-1.008),(5185,4275,0.86137,-1.0025),(5185,4285,0.87108,-0.99696),(5185,4295,0.88078,-0.99054),(5185,4305,0.89049,-0.98402),(5185,4315,0.90021,-0.9775),(5185,4325,0.90993,-0.97053),(5185,4335,0.91963,-0.96339),(5185,4345,0.92915,-0.95625),(5185,4355,0.93867,-0.94887),(5185,4365,0.94819,-0.94128),(5185,4375,0.95737,-0.93368),(5185,4385,0.96653,-0.92605),(5185,4395,0.97569,-0.91833),(5185,4405,0.98454,-0.91061),(5185,4415,0.99329,-0.90288),(5185,4425,1.002,-0.89508),(5185,4435,1.0105,-0.88729),(5185,4445,1.0188,-0.8795),(5185,4455,1.027,-0.87181),(5185,4465,1.0351,-0.86412),(5185,4475,1.043,-0.85644),(5185,4485,1.0508,-0.84888),(5185,4495,1.0585,-0.84134),(5185,4505,1.066,-0.83381),(5185,4515,1.0734,-0.82642),(5185,4525,1.0808,-0.81911),(5185,4535,1.0878,-0.8118),(5185,4545,1.0949,-0.80463),(5185,4555,1.1019,-0.79763),(5185,4565,1.1086,-0.79062),(5185,4575,1.1153,-0.78371),(5185,4585,1.122,-0.77703),(5185,4595,1.1284,-0.77035),(5185,4605,1.1347,-0.7637),(5185,4615,1.1411,-0.75732),(5185,4625,1.1472,-0.75095),(5185,4635,1.1532,-0.74457),(5185,4645,1.1592,-0.73851),(5185,4655,1.1651,-0.73247),(5185,4665,1.1709,-0.72643),(5185,4675,1.1766,-0.72067),(5185,4685,1.1822,-0.71501),(5185,4695,1.1877,-0.70934),(5185,4705,1.1932,-0.70387),(5185,4715,1.1986,-0.69852),(5185,4725,1.2039,-0.69318),(5185,4735,1.2091,-0.68797),(5185,4745,1.2143,-0.68298),(5185,4755,1.2194,-0.67798),(5185,4765,1.2244,-0.67304),(5185,4775,1.2294,-0.66827),(5185,4785,1.2343,-0.66351),(5185,4795,1.2392,-0.65876),(5185,4805,1.244,-0.65428),(5185,4815,1.2488,-0.64981),(5185,4825,1.2534,-0.64533),(5185,4835,1.2581,-0.64109),(5185,4845,1.2627,-0.63688),(5185,4855,1.2671,-0.63267),(5185,4865,1.2716,-0.62863),(5185,4875,1.2761,-0.62467),(5185,4885,1.2804,-0.62071),(5185,4895,1.2847,-0.61682),(5185,4905,1.289,-0.61302),(5185,4915,1.2932,-0.60922),(5185,4925,1.2974,-0.60549),(5185,4935,1.3015,-0.60191),(5185,4945,1.3056,-0.59833),(5185,4955,1.3096,-0.59479),(5185,4965,1.3135,-0.5914),(5185,4975,1.3175,-0.58801),(5185,4985,1.3213,-0.58462),(5185,4995,1.3251,-0.58136),(5185,5005,1.3289,-0.57811),(5185,5015,1.3326,-0.57485),(5185,5025,1.3363,-0.57172),(5185,5035,1.34,-0.56862),(5185,5045,1.3435,-0.56553),(5185,5055,1.347,-0.56255),(5185,5065,1.3505,-0.55963),(5185,5075,1.3539,-0.55672),(5185,5085,1.3572,-0.55388),(5185,5095,1.3606,-0.55112),(5185,5105,1.3638,-0.54836),(5185,5115,1.3671,-0.54564),(5185,5125,1.3703,-0.54307),(5185,5135,1.3735,-0.54049),(5185,5145,1.3766,-0.53793),(5185,5155,1.3797,-0.53555),(5185,5165,1.3828,-0.53317),(5185,5175,1.3859,-0.53079),(5185,5185,1.389,-0.52861),(5185,5195,1.3921,-0.52645),(5185,5205,1.3952,-0.52429),(5185,5215,1.3982,-0.5223),(5185,5225,1.4013,-0.52039),(5185,5235,1.4044,-0.51847),(5185,5245,1.4075,-0.51669),(5185,5255,1.4106,-0.515),(5185,5265,1.4138,-0.51332),(5185,5275,1.417,-0.51172),(5185,5285,1.4201,-0.51025),(5185,5295,1.4234,-0.50879),(5185,5305,1.4267,-0.50737),(5185,5315,1.4299,-0.50613),(5185,5325,1.4333,-0.50489),(5185,5335,1.4367,-0.50365),(5185,5345,1.4401,-0.50258),(5185,5355,1.4436,-0.50152),(5185,5365,1.4471,-0.50045),(5185,5375,1.4507,-0.49952),(5185,5385,1.4543,-0.49861),(5185,5395,1.458,-0.49771),(5185,5405,1.4617,-0.49688),(5185,5415,1.4655,-0.4961),(5185,5425,1.4694,-0.49531),(5185,5435,1.4733,-0.49455),(5185,5445,1.4772,-0.49382),(5185,5455,1.4814,-0.49308),(5185,5465,1.4855,-0.49235),(5185,5475,1.4896,-0.49161),(5185,5485,1.4939,-0.49087),(5185,5495,1.4983,-0.49013),(5185,5505,1.5026,-0.48936),(5185,5515,1.5071,-0.4886),(5185,5525,1.5116,-0.48783),(5185,5535,1.5162,-0.48699),(5185,5545,1.5208,-0.48614),(5185,5555,1.5255,-0.48528),(5185,5565,1.5303,-0.48429),(5185,5575,1.535,-0.48324),(5185,5585,1.5399,-0.4822),(5185,5595,1.5447,-0.48103),(5185,5605,1.5496,-0.47976),(5185,5615,1.5545,-0.4785),(5185,5625,1.5595,-0.47712),(5185,5635,1.5644,-0.47557),(5185,5645,1.5694,-0.47402),(5185,5655,1.5744,-0.4724),(5185,5665,1.5794,-0.47054),(5185,5675,1.5844,-0.46869),(5185,5685,1.5894,-0.46682),(5185,5695,1.5944,-0.46462),(5185,5705,1.5994,-0.46242),(5185,5715,1.6043,-0.46023),(5185,5725,1.6093,-0.45775),(5185,5735,1.6143,-0.45522),(5185,5745,1.6192,-0.4527),(5185,5755,1.6241,-0.44994),(5185,5765,1.629,-0.44707),(5185,5775,1.6338,-0.44421),(5185,5785,1.6386,-0.44119),(5185,5795,1.6434,-0.43804),(5185,5805,1.6482,-0.43489),(5185,5815,1.6529,-0.43165),(5185,5825,1.6577,-0.42825),(5185,5835,1.6624,-0.42484),(5185,5845,1.667,-0.42139),(5185,5855,1.6717,-0.41771),(5185,5865,1.6763,-0.41402),(5185,5875,1.6808,-0.41034),(5185,5885,1.6854,-0.40638),(5185,5895,1.6899,-0.40242),(5185,5905,1.6943,-0.39846),(5185,5915,1.6988,-0.39433),(5185,5925,1.7032,-0.39015),(5185,5935,1.7075,-0.38597),(5185,5945,1.7118,-0.38164),(5185,5955,1.7161,-0.37723),(5185,5965,1.7203,-0.37282),(5185,5975,1.7244,-0.3683),(5185,5985,1.7286,-0.36364),(5185,5995,1.7327,-0.35898),(5185,6005,1.7367,-0.35427),(5185,6015,1.7408,-0.34943),(5185,6025,1.7448,-0.3446),(5185,6035,1.7487,-0.33975),(5185,6045,1.7526,-0.33475),(5185,6055,1.7564,-0.32976),(5185,6065,1.7602,-0.32476),(5185,6075,1.764,-0.31961),(5185,6085,1.7677,-0.31445),(5185,6095,1.7714,-0.30929),(5185,6105,1.7751,-0.30401),(5185,6115,1.7787,-0.29868),(5185,6125,1.7822,-0.29335),(5185,6135,1.7857,-0.28792),(5185,6145,1.7892,-0.28242),(5185,6155,1.7926,-0.27691),(5185,6165,1.7959,-0.27134),(5185,6175,1.7993,-0.26568),(5185,6185,1.8024,-0.26002),(5185,6195,1.8056,-0.25434),(5185,6205,1.8087,-0.24856),(5185,6215,1.8118,-0.24278),(5185,6225,1.8147,-0.237),(5185,6235,1.8177,-0.23109),(5185,6245,1.8205,-0.22517),(5185,6255,1.8233,-0.21926),(5185,6265,1.826,-0.2132),(5185,6275,1.8287,-0.2071),(5185,6285,1.8313,-0.20101),(5185,6295,1.8338,-0.19485),(5185,6305,1.8363,-0.18866),(5185,6315,1.8387,-0.18246),(5185,6325,1.841,-0.17622),(5185,6335,1.8433,-0.16993),(5185,6345,1.8454,-0.16364),(5185,6355,1.8475,-0.15732),(5185,6365,1.8496,-0.15092),(5185,6375,1.8515,-0.14453),(5185,6385,1.8534,-0.13812),(5185,6395,1.8553,-0.13167),(5185,6405,1.857,-0.12521),(5185,6415,1.8586,-0.11875),(5185,6425,1.8602,-0.11223),(5185,6435,1.8617,-0.10569),(5185,6445,1.8631,-0.099159),(5185,6455,1.8645,-0.092575),(5185,6465,1.8658,-0.085976),(5185,6475,1.8668,-0.079377),(5185,6485,1.8679,-0.072727),(5185,6495,1.8689,-0.066041),(5185,6505,1.8697,-0.059355),(5185,6515,1.8705,-0.052662),(5185,6525,1.8712,-0.045957),(5185,6535,1.8718,-0.039253),(5185,6545,1.8723,-0.032545),(5185,6555,1.8727,-0.025825),(5185,6565,1.873,-0.019105),(5185,6575,1.8732,-0.012386),(5185,6585,1.8735,-0.005684),(5185,6595,1.5937,0.001019),(5185,6605,1.0047,0.007721),(5185,6615,0.41572,0.008502),(5185,6625,0.001695,0.008522),(5185,6635,0.001701,0.008542),(5185,6645,0.001706,0.00857),(5185,6655,0.001712,0.0086),(5185,6665,0.001716,0.00863),(5185,6675,0.001721,0.008658),(5185,6685,0.001726,0.008685),(5185,6695,0.00173,0.008712),(5185,6705,0.001734,0.008738),(5185,6715,0.001738,0.008762),(5185,6725,0.001742,0.008786),(5185,6735,0.001746,0.008809),(5185,6745,0.00175,0.00883),(5185,6755,0.001754,0.008852),(5185,6765,0.001758,0.008873),(5185,6775,0.001761,0.008892),(5185,6785,0.001765,0.00891),(5185,6795,0.001769,0.008929),(5185,6805,0.001772,0.008946),(5185,6815,0.001776,0.008962),(5185,6825,0.00178,0.008979),(5185,6835,0.001783,0.008994),(5185,6845,0.001787,0.009009),(5185,6855,0.001791,0.009023),(5185,6865,0.001794,0.009037),(5185,6875,0.001798,0.009049),(5185,6885,0.001802,0.009062),(5185,6895,0.001806,0.009074),(5185,6905,0.001809,0.009085),(5185,6915,0.001813,0.009096),(5185,6925,0.001817,0.009107),(5185,6935,0.001821,0.009116),(5185,6945,0.001825,0.009126),(5185,6955,0.001829,0.009135),(5185,6965,0.001833,0.009144),(5185,6975,0.001837,0.009152),(5185,6985,0.001842,0.00916),(5195,5,7e-06,-0.9325),(5195,15,2e-05,-0.93259),(5195,25,3.3e-05,-0.93267),(5195,35,4.4e-05,-0.93276),(5195,45,5.6e-05,-0.9328),(5195,55,6.7e-05,-0.93281),(5195,65,7.6e-05,-0.93281),(5195,75,8.3e-05,-0.93281),(5195,85,9.1e-05,-0.93284),(5195,95,9.8e-05,-0.93289),(5195,105,0.000108,-0.93294),(5195,115,0.000121,-0.93298),(5195,125,0.000133,-0.93303),(5195,135,0.000146,-0.93307),(5195,145,0.000159,-0.93311),(5195,155,0.000171,-0.93314),(5195,165,0.000184,-0.9332),(5195,175,0.000196,-0.93326),(5195,185,0.000212,-0.93332),(5195,195,0.00023,-0.93338),(5195,205,0.000248,-0.93346),(5195,215,0.000266,-0.93354),(5195,225,0.000287,-0.93363),(5195,235,0.000309,-0.93372),(5195,245,0.000331,-0.93383),(5195,255,0.000354,-0.93394),(5195,265,0.000378,-0.93406),(5195,275,0.000402,-0.93418),(5195,285,0.000427,-0.93429),(5195,295,0.000451,-0.9344),(5195,305,0.000475,-0.93451),(5195,315,0.000498,-0.93462),(5195,325,0.000522,-0.93475),(5195,335,0.000545,-0.93488),(5195,345,0.000565,-0.93501),(5195,355,0.000584,-0.93515),(5195,365,0.000603,-0.93527),(5195,375,0.000622,-0.93539),(5195,385,0.000638,-0.93552),(5195,395,0.000653,-0.93564),(5195,405,0.000669,-0.93576),(5195,415,0.000684,-0.93588),(5195,425,0.000702,-0.936),(5195,435,0.00072,-0.93612),(5195,445,0.000738,-0.93625),(5195,455,0.000756,-0.93638),(5195,465,0.000779,-0.93651),(5195,475,0.000801,-0.93664),(5195,485,0.000824,-0.93683),(5195,495,0.000846,-0.93702),(5195,505,0.000875,-0.93722),(5195,515,0.000904,-0.93741),(5195,525,0.000933,-0.93762),(5195,535,0.000962,-0.93784),(5195,545,0.000996,-0.93805),(5195,555,0.00103,-0.93826),(5195,565,0.001063,-0.93848),(5195,575,0.001097,-0.9387),(5195,585,0.00113,-0.93891),(5195,595,0.001162,-0.93913),(5195,605,0.001195,-0.93933),(5195,615,0.001226,-0.93953),(5195,625,0.001249,-0.93973),(5195,635,0.001271,-0.93993),(5195,645,0.001294,-0.9401),(5195,655,0.001315,-0.94027),(5195,665,0.001332,-0.94044),(5195,675,0.001348,-0.94061),(5195,685,0.001364,-0.94079),(5195,695,0.001382,-0.94098),(5195,705,0.001407,-0.94116),(5195,715,0.001433,-0.94136),(5195,725,0.001458,-0.94161),(5195,735,0.001487,-0.94187),(5195,745,0.001527,-0.94212),(5195,755,0.001568,-0.94239),(5195,765,0.001609,-0.94268),(5195,775,0.001654,-0.94297),(5195,785,0.001706,-0.94327),(5195,795,0.001759,-0.94356),(5195,805,0.001812,-0.94383),(5195,815,0.001866,-0.94411),(5195,825,0.001924,-0.94439),(5195,835,0.001982,-0.94468),(5195,845,0.00204,-0.94496),(5195,855,0.002099,-0.94524),(5195,865,0.002161,-0.94553),(5195,875,0.002224,-0.94581),(5195,885,0.002286,-0.94609),(5195,895,0.00235,-0.94636),(5195,905,0.002418,-0.94664),(5195,915,0.002486,-0.94692),(5195,925,0.002554,-0.94721),(5195,935,0.002623,-0.9475),(5195,945,0.002695,-0.94779),(5195,955,0.002767,-0.94807),(5195,965,0.002838,-0.94834),(5195,975,0.002913,-0.94862),(5195,985,0.002989,-0.94889),(5195,995,0.003066,-0.94915),(5195,1005,0.003143,-0.9494),(5195,1015,0.003224,-0.94965),(5195,1025,0.003309,-0.9499),(5195,1035,0.003394,-0.95015),(5195,1045,0.00348,-0.9504),(5195,1055,0.003569,-0.95065),(5195,1065,0.003662,-0.9509),(5195,1075,0.003754,-0.95112),(5195,1085,0.003847,-0.95132),(5195,1095,0.003947,-0.95152),(5195,1105,0.004052,-0.95172),(5195,1115,0.004157,-0.95192),(5195,1125,0.004262,-0.95212),(5195,1135,0.004379,-0.95232),(5195,1145,0.004504,-0.95252),(5195,1155,0.004629,-0.95262),(5195,1165,0.004753,-0.95267),(5195,1175,0.00487,-0.95272),(5195,1185,0.004982,-0.95277),(5195,1195,0.005094,-0.95191),(5195,1205,0.005206,-0.95063),(5195,1215,0.005234,-0.94935),(5195,1225,0.005228,-0.94807),(5195,1235,0.005222,-0.94435),(5195,1245,0.005216,-0.9397),(5195,1255,0.005232,-0.93506),(5195,1265,0.005256,-0.93042),(5195,1275,0.00528,-0.93605),(5195,1285,0.005304,-0.94479),(5195,1295,0.006565,-0.95354),(5195,1305,0.008159,-0.96229),(5195,1315,0.009754,-1.0087),(5195,1325,0.011349,-1.0641),(5195,1335,0.006202,-1.1195),(5195,1345,-0.000359,-1.1749),(5195,1355,-0.006919,-1.1393),(5195,1365,-0.013479,-1.0873),(5195,1375,-0.012493,-1.0352),(5195,1385,-0.010341,-0.98318),(5195,1395,-0.00819,-0.96565),(5195,1405,-0.006039,-0.95255),(5195,1415,-0.00576,-0.93945),(5195,1425,-0.005674,-0.92635),(5195,1435,-0.005589,-0.93096),(5195,1445,-0.005503,-0.93698),(5195,1455,-0.005532,-0.94301),(5195,1465,-0.005567,-0.94904),(5195,1475,-0.005602,-0.95117),(5195,1485,-0.005637,-0.95316),(5195,1495,-0.005535,-0.95515),(5195,1505,-0.005432,-0.95713),(5195,1515,-0.005329,-0.95742),(5195,1525,-0.005225,-0.9577),(5195,1535,-0.005094,-0.95799),(5195,1545,-0.004964,-0.95826),(5195,1555,-0.004833,-0.95832),(5195,1565,-0.004703,-0.95838),(5195,1575,-0.004582,-0.95844),(5195,1585,-0.00446,-0.9585),(5195,1595,-0.004339,-0.95854),(5195,1605,-0.004219,-0.95858),(5195,1615,-0.004104,-0.95862),(5195,1625,-0.003989,-0.95865),(5195,1635,-0.003874,-0.95868),(5195,1645,-0.003759,-0.9587),(5195,1655,-0.003647,-0.95873),(5195,1665,-0.003534,-0.95875),(5195,1675,-0.003421,-0.95876),(5195,1685,-0.003309,-0.95877),(5195,1695,-0.0032,-0.95877),(5195,1705,-0.00309,-0.95878),(5195,1715,-0.002981,-0.95877),(5195,1725,-0.002873,-0.95876),(5195,1735,-0.002769,-0.95876),(5195,1745,-0.002664,-0.95875),(5195,1755,-0.00256,-0.95874),(5195,1765,-0.002457,-0.95872),(5195,1775,-0.002359,-0.95871),(5195,1785,-0.00226,-0.95869),(5195,1795,-0.002162,-0.95866),(5195,1805,-0.002066,-0.95864),(5195,1815,-0.001978,-0.95861),(5195,1825,-0.001889,-0.95858),(5195,1835,-0.0018,-0.95854),(5195,1845,-0.001716,-0.95849),(5195,1855,-0.001638,-0.95844),(5195,1865,-0.001561,-0.9584),(5195,1875,-0.001484,-0.95837),(5195,1885,-0.001411,-0.95834),(5195,1895,-0.001345,-0.95831),(5195,1905,-0.001278,-0.95828),(5195,1915,-0.001212,-0.95824),(5195,1925,-0.00115,-0.9582),(5195,1935,-0.001096,-0.95816),(5195,1945,-0.001041,-0.95812),(5195,1955,-0.000987,-0.95807),(5195,1965,-0.000937,-0.95802),(5195,1975,-0.000891,-0.95797),(5195,1985,-0.000846,-0.95793),(5195,1995,-0.000801,-0.95789),(5195,2005,-0.000757,-0.95785),(5195,2015,-0.000715,-0.95781),(5195,2025,-0.000673,-0.95778),(5195,2035,-0.000632,-0.95776),(5195,2045,-0.000591,-0.95773),(5195,2055,-0.000551,-0.95771),(5195,2065,-0.000511,-0.95768),(5195,2075,-0.000471,-0.95766),(5195,2085,-0.000432,-0.95763),(5195,2095,-0.000394,-0.95761),(5195,2105,-0.000355,-0.95759),(5195,2115,-0.000317,-0.95756),(5195,2125,-0.000277,-0.95754),(5195,2135,-0.000236,-0.95752),(5195,2145,-0.000196,-0.95751),(5195,2155,-0.000155,-0.9575),(5195,2165,-0.000112,-0.95749),(5195,2175,-6.7e-05,-0.95747),(5195,2185,-2.2e-05,-0.95747),(5195,2195,2.3e-05,-0.95747),(5195,2205,6.5e-05,-0.95746),(5195,2215,0.000107,-0.95746),(5195,2225,0.000149,-0.95743),(5195,2235,0.000191,-0.9574),(5195,2245,0.000225,-0.95736),(5195,2255,0.000256,-0.95733),(5195,2265,0.000288,-0.95728),(5195,2275,0.000319,-0.95724),(5195,2285,0.000347,-0.95719),(5195,2295,0.000374,-0.95715),(5195,2305,0.000401,-0.95709),(5195,2315,0.000428,-0.95704),(5195,2325,0.000458,-0.95698),(5195,2335,0.000488,-0.95693),(5195,2345,0.000519,-0.95689),(5195,2355,0.00055,-0.95687),(5195,2365,0.000582,-0.95684),(5195,2375,0.000615,-0.95681),(5195,2385,0.000648,-0.95676),(5195,2395,0.000681,-0.95671),(5195,2405,0.000712,-0.95665),(5195,2415,0.000743,-0.9566),(5195,2425,0.000775,-0.95652),(5195,2435,0.000806,-0.95644),(5195,2445,0.000838,-0.95636),(5195,2455,0.000871,-0.95628),(5195,2465,0.000903,-0.95621),(5195,2475,0.000936,-0.95614),(5195,2485,0.000974,-0.95606),(5195,2495,0.001012,-0.95599),(5195,2505,0.00105,-0.95592),(5195,2515,0.001089,-0.95584),(5195,2525,0.001127,-0.95577),(5195,2535,0.001166,-0.95569),(5195,2545,0.001205,-0.95559),(5195,2555,0.001243,-0.95548),(5195,2565,0.001277,-0.95537),(5195,2575,0.001311,-0.95526),(5195,2585,0.001345,-0.95512),(5195,2595,0.001379,-0.95498),(5195,2605,0.001414,-0.95484),(5195,2615,0.00145,-0.9547),(5195,2625,0.001486,-0.95456),(5195,2635,0.001522,-0.95442),(5195,2645,0.001562,-0.95427),(5195,2655,0.001603,-0.95413),(5195,2665,0.001644,-0.95401),(5195,2675,0.001683,-0.95389),(5195,2685,0.001719,-0.95377),(5195,2695,0.001754,-0.95363),(5195,2705,0.00179,-0.9534),(5195,2715,0.001824,-0.95317),(5195,2725,0.001855,-0.95295),(5195,2735,0.001885,-0.95272),(5195,2745,0.001916,-0.95248),(5195,2755,0.001947,-0.95225),(5195,2765,0.001983,-0.95201),(5195,2775,0.002018,-0.95178),(5195,2785,0.002054,-0.95156),(5195,2795,0.00209,-0.95133),(5195,2805,0.002127,-0.95111),(5195,2815,0.002164,-0.95087),(5195,2825,0.002202,-0.9506),(5195,2835,0.002237,-0.95032),(5195,2845,0.002268,-0.95005),(5195,2855,0.002299,-0.94976),(5195,2865,0.002331,-0.94942),(5195,2875,0.002362,-0.94909),(5195,2885,0.002394,-0.94876),(5195,2895,0.002427,-0.94843),(5195,2905,0.002459,-0.94808),(5195,2915,0.002493,-0.94774),(5195,2925,0.00253,-0.94739),(5195,2935,0.002566,-0.94703),(5195,2945,0.002603,-0.94665),(5195,2955,0.00264,-0.94627),(5195,2965,0.002676,-0.9459),(5195,2975,0.002713,-0.9455),(5195,2985,0.00275,-0.94508),(5195,2995,0.002789,-0.94467),(5195,3005,0.00283,-0.94425),(5195,3015,0.00287,-0.94381),(5195,3025,0.002911,-0.94335),(5195,3035,0.002952,-0.94289),(5195,3045,0.002994,-0.94243),(5195,3055,0.003035,-0.94197),(5195,3065,0.003076,-0.9415),(5195,3075,0.003117,-0.94103),(5195,3085,0.003158,-0.94057),(5195,3095,0.003198,-0.94005),(5195,3105,0.003239,-0.93949),(5195,3115,0.00328,-0.93894),(5195,3125,0.003322,-0.93839),(5195,3135,0.003364,-0.93782),(5195,3145,0.003406,-0.93724),(5195,3155,0.003448,-0.93665),(5195,3165,0.00349,-0.93607),(5195,3175,0.003532,-0.93545),(5195,3185,0.003574,-0.93479),(5195,3195,0.003612,-0.93414),(5195,3205,0.003647,-0.93349),(5195,3215,0.003683,-0.93277),(5195,3225,0.003718,-0.93202),(5195,3235,0.003755,-0.93128),(5195,3245,0.003792,-0.93053),(5195,3255,0.003829,-0.92977),(5195,3265,0.003866,-0.929),(5195,3275,0.003911,-0.92822),(5195,3285,0.003958,-0.92745),(5195,3295,0.004004,-0.92666),(5195,3305,0.004051,-0.92585),(5195,3315,0.004099,-0.92504),(5195,3325,0.004146,-0.92424),(5195,3335,0.004194,-0.92336),(5195,3345,0.004242,-0.92246),(5195,3355,0.004287,-0.92156),(5195,3365,0.004332,-0.92066),(5195,3375,0.004377,-0.91968),(5195,3385,0.004422,-0.91869),(5195,3395,0.004469,-0.9177),(5195,3405,0.004516,-0.91671),(5195,3415,0.004563,-0.9157),(5195,3425,0.004611,-0.9147),(5195,3435,0.004662,-0.9137),(5195,3445,0.004713,-0.91269),(5195,3455,0.004765,-0.91159),(5195,3465,0.004816,-0.91049),(5195,3475,0.004866,-0.90939),(5195,3485,0.004916,-0.90828),(5195,3495,0.004966,-0.9071),(5195,3505,0.005016,-0.90591),(5195,3515,0.005065,-0.90472),(5195,3525,0.005114,-0.90353),(5195,3535,0.005163,-0.90226),(5195,3545,0.005212,-0.90099),(5195,3555,0.005262,-0.89972),(5195,3565,0.005311,-0.89844),(5195,3575,0.00536,-0.8971),(5195,3585,0.00541,-0.89576),(5195,3595,0.005459,-0.89442),(5195,3605,0.005508,-0.89307),(5195,3615,0.005556,-0.89165),(5195,3625,0.005606,-0.89022),(5195,3635,0.005659,-0.8888),(5195,3645,0.005713,-0.88737),(5195,3655,0.005766,-0.88589),(5195,3665,0.005821,-0.88441),(5195,3675,0.00588,-0.88293),(5195,3685,0.005939,-0.88143),(5195,3695,0.005999,-0.87986),(5195,3705,0.006059,-0.8783),(5195,3715,0.006122,-0.87673),(5195,3725,0.006186,-0.87515),(5195,3735,0.006249,-0.87351),(5195,3745,0.006315,-0.87186),(5195,3755,0.006384,-0.87022),(5195,3765,0.006454,-0.86856),(5195,3775,0.006524,-0.86683),(5195,3785,0.006594,-0.86511),(5195,3795,0.006668,-0.86339),(5195,3805,0.006741,-0.86166),(5195,3815,0.006814,-0.85991),(5195,3825,0.006886,-0.85817),(5195,3835,0.006953,-0.85643),(5195,3845,0.00702,-0.8546),(5195,3855,0.007088,-0.85262),(5195,3865,0.007143,-0.85064),(5195,3875,0.007177,-0.84866),(5195,3885,0.007211,-0.84632),(5195,3895,0.007245,-0.84338),(5195,3905,0.007246,-0.84044),(5195,3915,0.007195,-0.8375),(5195,3925,0.007144,-0.83351),(5195,3935,0.007093,-0.82809),(5195,3945,0.007065,-0.82266),(5195,3955,0.007064,-0.81723),(5195,3965,0.007064,-0.81649),(5195,3975,0.007064,-0.82124),(5195,3985,0.007689,-0.82599),(5195,3995,0.008993,-0.83074),(5195,4005,0.010296,-0.86342),(5195,4015,0.011599,-0.92402),(5195,4025,0.1282,-0.98463),(5195,4035,0.25608,-1.0267),(5195,4045,0.38396,-1.0299),(5195,4055,0.48164,-1.033),(5195,4065,0.5683,-1.0361),(5195,4075,0.65497,-1.039),(5195,4085,0.69724,-1.042),(5195,4095,0.70385,-1.0449),(5195,4105,0.71046,-1.0462),(5195,4115,0.71742,-1.0474),(5195,4125,0.72496,-1.0486),(5195,4135,0.73249,-1.0486),(5195,4145,0.74018,-1.0483),(5195,4155,0.74848,-1.0479),(5195,4165,0.75679,-1.0467),(5195,4175,0.7651,-1.0449),(5195,4185,0.77381,-1.0431),(5195,4195,0.78251,-1.0409),(5195,4205,0.79121,-1.0381),(5195,4215,0.80014,-1.0352),(5195,4225,0.80911,-1.0321),(5195,4235,0.81807,-1.0282),(5195,4245,0.82719,-1.0242),(5195,4255,0.83638,-1.0202),(5195,4265,0.84557,-1.0153),(5195,4275,0.85486,-1.0104),(5195,4285,0.86425,-1.0055),(5195,4295,0.87364,-0.99961),(5195,4305,0.88306,-0.99366),(5195,4315,0.89252,-0.9877),(5195,4325,0.90199,-0.98127),(5195,4335,0.91144,-0.97464),(5195,4345,0.92079,-0.96802),(5195,4355,0.93014,-0.96111),(5195,4365,0.93949,-0.95395),(5195,4375,0.94856,-0.9468),(5195,4385,0.95762,-0.93956),(5195,4395,0.96668,-0.93218),(5195,4405,0.97547,-0.92479),(5195,4415,0.98417,-0.91739),(5195,4425,0.99287,-0.90987),(5195,4435,1.0013,-0.90236),(5195,4445,1.0096,-0.89484),(5195,4455,1.0178,-0.88736),(5195,4465,1.0259,-0.87987),(5195,4475,1.0338,-0.87239),(5195,4485,1.0416,-0.86501),(5195,4495,1.0494,-0.85766),(5195,4505,1.0569,-0.85031),(5195,4515,1.0643,-0.84306),(5195,4525,1.0718,-0.83587),(5195,4535,1.0789,-0.82869),(5195,4545,1.086,-0.82163),(5195,4555,1.0931,-0.81472),(5195,4565,1.0999,-0.80781),(5195,4575,1.1066,-0.80098),(5195,4585,1.1134,-0.79435),(5195,4595,1.1199,-0.78772),(5195,4605,1.1263,-0.78112),(5195,4615,1.1327,-0.77477),(5195,4625,1.139,-0.76842),(5195,4635,1.1451,-0.76207),(5195,4645,1.1511,-0.75599),(5195,4655,1.1571,-0.74993),(5195,4665,1.1629,-0.74388),(5195,4675,1.1688,-0.73809),(5195,4685,1.1745,-0.73238),(5195,4695,1.1801,-0.72668),(5195,4705,1.1856,-0.72115),(5195,4715,1.1912,-0.71575),(5195,4725,1.1965,-0.71035),(5195,4735,1.2018,-0.70507),(5195,4745,1.2071,-0.69999),(5195,4755,1.2122,-0.6949),(5195,4765,1.2173,-0.68987),(5195,4775,1.2224,-0.68501),(5195,4785,1.2274,-0.68016),(5195,4795,1.2323,-0.67531),(5195,4805,1.2372,-0.67073),(5195,4815,1.242,-0.66615),(5195,4825,1.2467,-0.66157),(5195,4835,1.2515,-0.6572),(5195,4845,1.2561,-0.65287),(5195,4855,1.2607,-0.64854),(5195,4865,1.2652,-0.64438),(5195,4875,1.2697,-0.64029),(5195,4885,1.2741,-0.6362),(5195,4895,1.2785,-0.63219),(5195,4905,1.2828,-0.62825),(5195,4915,1.287,-0.62432),(5195,4925,1.2912,-0.62045),(5195,4935,1.2954,-0.61674),(5195,4945,1.2995,-0.61303),(5195,4955,1.3035,-0.60935),(5195,4965,1.3076,-0.60582),(5195,4975,1.3115,-0.6023),(5195,4985,1.3154,-0.59877),(5195,4995,1.3193,-0.59538),(5195,5005,1.3231,-0.59199),(5195,5015,1.3269,-0.5886),(5195,5025,1.3306,-0.58534),(5195,5035,1.3343,-0.58212),(5195,5045,1.3379,-0.5789),(5195,5055,1.3414,-0.57579),(5195,5065,1.345,-0.57276),(5195,5075,1.3484,-0.56972),(5195,5085,1.3518,-0.56675),(5195,5095,1.3552,-0.56387),(5195,5105,1.3586,-0.56099),(5195,5115,1.3618,-0.55815),(5195,5125,1.3651,-0.55546),(5195,5135,1.3684,-0.55276),(5195,5145,1.3715,-0.55008),(5195,5155,1.3747,-0.54758),(5195,5165,1.3779,-0.54508),(5195,5175,1.381,-0.54258),(5195,5185,1.3842,-0.54026),(5195,5195,1.3873,-0.53797),(5195,5205,1.3904,-0.53568),(5195,5215,1.3936,-0.53357),(5195,5225,1.3967,-0.53152),(5195,5235,1.3999,-0.52946),(5195,5245,1.403,-0.52754),(5195,5255,1.4062,-0.52571),(5195,5265,1.4094,-0.52388),(5195,5275,1.4126,-0.52213),(5195,5285,1.4159,-0.5205),(5195,5295,1.4192,-0.51888),(5195,5305,1.4225,-0.5173),(5195,5315,1.4258,-0.51589),(5195,5325,1.4292,-0.51448),(5195,5335,1.4327,-0.51308),(5195,5345,1.4361,-0.51183),(5195,5355,1.4397,-0.51059),(5195,5365,1.4432,-0.50934),(5195,5375,1.4468,-0.50822),(5195,5385,1.4505,-0.50712),(5195,5395,1.4542,-0.50602),(5195,5405,1.458,-0.50499),(5195,5415,1.4618,-0.504),(5195,5425,1.4657,-0.50301),(5195,5435,1.4696,-0.50203),(5195,5445,1.4736,-0.50108),(5195,5455,1.4777,-0.50012),(5195,5465,1.4818,-0.49916),(5195,5475,1.4859,-0.49818),(5195,5485,1.4902,-0.49721),(5195,5495,1.4945,-0.49623),(5195,5505,1.4988,-0.49522),(5195,5515,1.5032,-0.49421),(5195,5525,1.5078,-0.4932),(5195,5535,1.5123,-0.49211),(5195,5545,1.5168,-0.49101),(5195,5555,1.5215,-0.48992),(5195,5565,1.5261,-0.48868),(5195,5575,1.5308,-0.4874),(5195,5585,1.5356,-0.48612),(5195,5595,1.5404,-0.48472),(5195,5605,1.5452,-0.48322),(5195,5615,1.55,-0.48173),(5195,5625,1.5549,-0.48013),(5195,5635,1.5598,-0.47837),(5195,5645,1.5647,-0.4766),(5195,5655,1.5696,-0.47478),(5195,5665,1.5745,-0.47273),(5195,5675,1.5793,-0.47069),(5195,5685,1.5842,-0.46863),(5195,5695,1.5891,-0.46627),(5195,5705,1.5939,-0.46391),(5195,5715,1.5988,-0.46155),(5195,5725,1.6037,-0.45891),(5195,5735,1.6086,-0.45623),(5195,5745,1.6134,-0.45356),(5195,5755,1.6182,-0.45066),(5195,5765,1.6229,-0.44767),(5195,5775,1.6277,-0.44468),(5195,5785,1.6324,-0.44155),(5195,5795,1.6371,-0.43829),(5195,5805,1.6418,-0.43504),(5195,5815,1.6464,-0.4317),(5195,5825,1.651,-0.4282),(5195,5835,1.6556,-0.42471),(5195,5845,1.6602,-0.42118),(5195,5855,1.6648,-0.41743),(5195,5865,1.6693,-0.41367),(5195,5875,1.6737,-0.40992),(5195,5885,1.6782,-0.40592),(5195,5895,1.6826,-0.4019),(5195,5905,1.687,-0.39789),(5195,5915,1.6913,-0.39372),(5195,5925,1.6957,-0.3895),(5195,5935,1.6999,-0.38528),(5195,5945,1.7041,-0.38093),(5195,5955,1.7084,-0.37649),(5195,5965,1.7125,-0.37205),(5195,5975,1.7166,-0.36751),(5195,5985,1.7207,-0.36284),(5195,5995,1.7247,-0.35818),(5195,6005,1.7287,-0.35346),(5195,6015,1.7327,-0.3486),(5195,6025,1.7366,-0.34375),(5195,6035,1.7404,-0.33888),(5195,6045,1.7443,-0.33387),(5195,6055,1.7481,-0.32886),(5195,6065,1.7518,-0.32385),(5195,6075,1.7555,-0.31869),(5195,6085,1.7592,-0.31352),(5195,6095,1.7628,-0.30836),(5195,6105,1.7664,-0.30307),(5195,6115,1.77,-0.29774),(5195,6125,1.7734,-0.29241),(5195,6135,1.7769,-0.28699),(5195,6145,1.7803,-0.28149),(5195,6155,1.7836,-0.27598),(5195,6165,1.7869,-0.27043),(5195,6175,1.7902,-0.26478),(5195,6185,1.7933,-0.25913),(5195,6195,1.7964,-0.25346),(5195,6205,1.7995,-0.2477),(5195,6215,1.8025,-0.24193),(5195,6225,1.8054,-0.23617),(5195,6235,1.8083,-0.23027),(5195,6245,1.8111,-0.22437),(5195,6255,1.8138,-0.21847),(5195,6265,1.8165,-0.21241),(5195,6275,1.8192,-0.20633),(5195,6285,1.8217,-0.20025),(5195,6295,1.8242,-0.19411),(5195,6305,1.8266,-0.18794),(5195,6315,1.8289,-0.18178),(5195,6325,1.8312,-0.17556),(5195,6335,1.8335,-0.16928),(5195,6345,1.8356,-0.16301),(5195,6355,1.8376,-0.1567),(5195,6365,1.8397,-0.15032),(5195,6375,1.8416,-0.14394),(5195,6385,1.8434,-0.13755),(5195,6395,1.8452,-0.13111),(5195,6405,1.8469,-0.12467),(5195,6415,1.8485,-0.11824),(5195,6425,1.8501,-0.11173),(5195,6435,1.8516,-0.10522),(5195,6445,1.8529,-0.098714),(5195,6455,1.8543,-0.092159),(5195,6465,1.8555,-0.085591),(5195,6475,1.8566,-0.079024),(5195,6485,1.8576,-0.072405),(5195,6495,1.8587,-0.065752),(5195,6505,1.8594,-0.059099),(5195,6515,1.8602,-0.052435),(5195,6525,1.861,-0.045757),(5195,6535,1.8615,-0.039079),(5195,6545,1.862,-0.032395),(5195,6555,1.8624,-0.025693),(5195,6565,1.8627,-0.01899),(5195,6575,1.8629,-0.01229),(5195,6585,1.8631,-0.005613),(5195,6595,1.5849,0.001065),(5195,6605,0.99914,0.007742),(5195,6615,0.41341,0.008517),(5195,6625,0.001659,0.008533),(5195,6635,0.001666,0.008549),(5195,6645,0.001672,0.008575),(5195,6655,0.001679,0.008605),(5195,6665,0.001685,0.008635),(5195,6675,0.00169,0.008663),(5195,6685,0.001696,0.00869),(5195,6695,0.001701,0.008717),(5195,6705,0.001706,0.008743),(5195,6715,0.001711,0.008766),(5195,6725,0.001716,0.00879),(5195,6735,0.001721,0.008813),(5195,6745,0.001726,0.008835),(5195,6755,0.00173,0.008856),(5195,6765,0.001734,0.008877),(5195,6775,0.001739,0.008895),(5195,6785,0.001743,0.008914),(5195,6795,0.001748,0.008933),(5195,6805,0.001752,0.00895),(5195,6815,0.001756,0.008966),(5195,6825,0.001761,0.008983),(5195,6835,0.001765,0.008998),(5195,6845,0.001769,0.009012),(5195,6855,0.001773,0.009027),(5195,6865,0.001778,0.009041),(5195,6875,0.001782,0.009053),(5195,6885,0.001786,0.009066),(5195,6895,0.001791,0.009078),(5195,6905,0.001795,0.009089),(5195,6915,0.001799,0.0091),(5195,6925,0.001804,0.009111),(5195,6935,0.001808,0.009121),(5195,6945,0.001813,0.00913),(5195,6955,0.001817,0.00914),(5195,6965,0.001822,0.009148),(5195,6975,0.001826,0.009156),(5195,6985,0.001831,0.009164),(5205,5,5e-06,-1.1484),(5205,15,1.5e-05,-1.1485),(5205,25,2.3e-05,-1.1486),(5205,35,2.9e-05,-1.1487),(5205,45,3.4e-05,-1.1488),(5205,55,4e-05,-1.1487),(5205,65,3.9e-05,-1.1487),(5205,75,3.4e-05,-1.1487),(5205,85,2.9e-05,-1.1488),(5205,95,2.3e-05,-1.1488),(5205,105,2.6e-05,-1.1488),(5205,115,3.4e-05,-1.1489),(5205,125,4.1e-05,-1.1489),(5205,135,4.9e-05,-1.1489),(5205,145,5.6e-05,-1.149),(5205,155,6.4e-05,-1.149),(5205,165,7.1e-05,-1.149),(5205,175,7.8e-05,-1.1491),(5205,185,9.3e-05,-1.1491),(5205,195,0.000112,-1.1492),(5205,205,0.000131,-1.1493),(5205,215,0.00015,-1.1493),(5205,225,0.000176,-1.1494),(5205,235,0.000205,-1.1495),(5205,245,0.000234,-1.1496),(5205,255,0.000263,-1.1497),(5205,265,0.000295,-1.1498),(5205,275,0.000328,-1.1499),(5205,285,0.000361,-1.15),(5205,295,0.000394,-1.1501),(5205,305,0.000424,-1.1502),(5205,315,0.000453,-1.1502),(5205,325,0.000482,-1.1503),(5205,335,0.00051,-1.1504),(5205,345,0.000528,-1.1505),(5205,355,0.000544,-1.1506),(5205,365,0.000559,-1.1507),(5205,375,0.000575,-1.1508),(5205,385,0.000581,-1.1509),(5205,395,0.000585,-1.151),(5205,405,0.000589,-1.151),(5205,415,0.000593,-1.1511),(5205,425,0.000599,-1.1512),(5205,435,0.000605,-1.1513),(5205,445,0.000611,-1.1514),(5205,455,0.000617,-1.1515),(5205,465,0.000631,-1.1516),(5205,475,0.000645,-1.1516),(5205,485,0.000658,-1.1518),(5205,495,0.000672,-1.1519),(5205,505,0.000698,-1.152),(5205,515,0.000724,-1.1521),(5205,525,0.00075,-1.1523),(5205,535,0.000776,-1.1524),(5205,545,0.000812,-1.1526),(5205,555,0.000849,-1.1527),(5205,565,0.000885,-1.1529),(5205,575,0.000921,-1.153),(5205,585,0.000954,-1.1532),(5205,595,0.000986,-1.1533),(5205,605,0.001019,-1.1535),(5205,615,0.001048,-1.1536),(5205,625,0.001054,-1.1537),(5205,635,0.00106,-1.1538),(5205,645,0.001065,-1.1539),(5205,655,0.001068,-1.154),(5205,665,0.001055,-1.154),(5205,675,0.001042,-1.1541),(5205,685,0.001028,-1.1541),(5205,695,0.001018,-1.1542),(5205,705,0.00102,-1.1543),(5205,715,0.001023,-1.1543),(5205,725,0.001025,-1.1545),(5205,735,0.001034,-1.1546),(5205,745,0.001067,-1.1547),(5205,755,0.0011,-1.1549),(5205,765,0.001133,-1.155),(5205,775,0.001171,-1.1552),(5205,785,0.001223,-1.1554),(5205,795,0.001276,-1.1555),(5205,805,0.001329,-1.1557),(5205,815,0.001382,-1.1559),(5205,825,0.001438,-1.156),(5205,835,0.001493,-1.1562),(5205,845,0.001548,-1.1563),(5205,855,0.001603,-1.1564),(5205,865,0.001658,-1.1565),(5205,875,0.001713,-1.1567),(5205,885,0.001768,-1.1568),(5205,895,0.001824,-1.1569),(5205,905,0.001883,-1.157),(5205,915,0.001942,-1.1571),(5205,925,0.002,-1.1572),(5205,935,0.002058,-1.1573),(5205,945,0.002115,-1.1574),(5205,955,0.002172,-1.1575),(5205,965,0.002229,-1.1575),(5205,975,0.002286,-1.1576),(5205,985,0.002344,-1.1576),(5205,995,0.002402,-1.1576),(5205,1005,0.00246,-1.1576),(5205,1015,0.002523,-1.1577),(5205,1025,0.00259,-1.1577),(5205,1035,0.002658,-1.1577),(5205,1045,0.002725,-1.1576),(5205,1055,0.002795,-1.1576),(5205,1065,0.002867,-1.1576),(5205,1075,0.002938,-1.1575),(5205,1085,0.00301,-1.1574),(5205,1095,0.00309,-1.1573),(5205,1105,0.003176,-1.1572),(5205,1115,0.003262,-1.1571),(5205,1125,0.003348,-1.1569),(5205,1135,0.003452,-1.1568),(5205,1145,0.003566,-1.1566),(5205,1155,0.003679,-1.1564),(5205,1165,0.003793,-1.1562),(5205,1175,0.003871,-1.156),(5205,1185,0.003931,-1.1558),(5205,1195,0.003991,-1.1552),(5205,1205,0.004051,-1.1545),(5205,1215,0.003884,-1.1537),(5205,1225,0.003623,-1.153),(5205,1235,0.003363,-1.1512),(5205,1245,0.003103,-1.1489),(5205,1255,0.002797,-1.1466),(5205,1265,0.002476,-1.1444),(5205,1275,0.002155,-1.1434),(5205,1285,0.001834,-1.1428),(5205,1295,0.003877,-1.1422),(5205,1305,0.006559,-1.1416),(5205,1315,0.009241,-1.1513),(5205,1325,0.011924,-1.1635),(5205,1335,0.006721,-1.1757),(5205,1345,-0.000134,-1.1879),(5205,1355,-0.006989,-1.1802),(5205,1365,-0.013845,-1.1689),(5205,1375,-0.011951,-1.1576),(5205,1385,-0.008708,-1.1464),(5205,1395,-0.005464,-1.1451),(5205,1405,-0.002221,-1.1451),(5205,1415,-0.002148,-1.1452),(5205,1425,-0.002403,-1.1452),(5205,1435,-0.002659,-1.148),(5205,1445,-0.002914,-1.151),(5205,1455,-0.003256,-1.154),(5205,1465,-0.003604,-1.157),(5205,1475,-0.003951,-1.1583),(5205,1485,-0.004298,-1.1595),(5205,1495,-0.004283,-1.1608),(5205,1505,-0.004261,-1.162),(5205,1515,-0.004241,-1.1626),(5205,1525,-0.004217,-1.1633),(5205,1535,-0.004115,-1.1639),(5205,1545,-0.004012,-1.1645),(5205,1555,-0.00391,-1.165),(5205,1565,-0.003808,-1.1656),(5205,1575,-0.003717,-1.1661),(5205,1585,-0.003626,-1.1666),(5205,1595,-0.003536,-1.167),(5205,1605,-0.003446,-1.1675),(5205,1615,-0.003361,-1.1679),(5205,1625,-0.003277,-1.1683),(5205,1635,-0.003193,-1.1687),(5205,1645,-0.003108,-1.169),(5205,1655,-0.003018,-1.1694),(5205,1665,-0.002928,-1.1698),(5205,1675,-0.002838,-1.1701),(5205,1685,-0.002748,-1.1704),(5205,1695,-0.002654,-1.1707),(5205,1705,-0.002561,-1.171),(5205,1715,-0.002467,-1.1713),(5205,1725,-0.002373,-1.1715),(5205,1735,-0.002279,-1.1718),(5205,1745,-0.002185,-1.172),(5205,1755,-0.002091,-1.1723),(5205,1765,-0.001997,-1.1725),(5205,1775,-0.001904,-1.1727),(5205,1785,-0.001811,-1.1729),(5205,1795,-0.001719,-1.1731),(5205,1805,-0.001629,-1.1733),(5205,1815,-0.001548,-1.1735),(5205,1825,-0.001466,-1.1736),(5205,1835,-0.001384,-1.1738),(5205,1845,-0.001307,-1.1739),(5205,1855,-0.001239,-1.174),(5205,1865,-0.001171,-1.1742),(5205,1875,-0.001103,-1.1743),(5205,1885,-0.001039,-1.1744),(5205,1895,-0.000981,-1.1745),(5205,1905,-0.000923,-1.1746),(5205,1915,-0.000865,-1.1747),(5205,1925,-0.000813,-1.1748),(5205,1935,-0.000769,-1.1749),(5205,1945,-0.000726,-1.175),(5205,1955,-0.000682,-1.175),(5205,1965,-0.000643,-1.1751),(5205,1975,-0.000609,-1.1751),(5205,1985,-0.000575,-1.1752),(5205,1995,-0.000541,-1.1753),(5205,2005,-0.000507,-1.1753),(5205,2015,-0.000474,-1.1754),(5205,2025,-0.000441,-1.1754),(5205,2035,-0.000407,-1.1755),(5205,2045,-0.000374,-1.1756),(5205,2055,-0.00034,-1.1756),(5205,2065,-0.000307,-1.1757),(5205,2075,-0.000274,-1.1757),(5205,2085,-0.000241,-1.1758),(5205,2095,-0.00021,-1.1758),(5205,2105,-0.000178,-1.1759),(5205,2115,-0.000147,-1.1759),(5205,2125,-0.000112,-1.176),(5205,2135,-7.6e-05,-1.176),(5205,2145,-4e-05,-1.176),(5205,2155,-4e-06,-1.1761),(5205,2165,3.8e-05,-1.1761),(5205,2175,8.4e-05,-1.1762),(5205,2185,0.00013,-1.1762),(5205,2195,0.000175,-1.1762),(5205,2205,0.000216,-1.1763),(5205,2215,0.000255,-1.1763),(5205,2225,0.000294,-1.1763),(5205,2235,0.000333,-1.1763),(5205,2245,0.000356,-1.1763),(5205,2255,0.000374,-1.1763),(5205,2265,0.000391,-1.1762),(5205,2275,0.000408,-1.1762),(5205,2285,0.00042,-1.1761),(5205,2295,0.000431,-1.176),(5205,2305,0.000441,-1.176),(5205,2315,0.000452,-1.1759),(5205,2325,0.000473,-1.1759),(5205,2335,0.000498,-1.1758),(5205,2345,0.000522,-1.1758),(5205,2355,0.000546,-1.1758),(5205,2365,0.000577,-1.1757),(5205,2375,0.00061,-1.1757),(5205,2385,0.000642,-1.1756),(5205,2395,0.000675,-1.1755),(5205,2405,0.000704,-1.1755),(5205,2415,0.000732,-1.1754),(5205,2425,0.000761,-1.1753),(5205,2435,0.000789,-1.1752),(5205,2445,0.000821,-1.175),(5205,2455,0.000852,-1.1749),(5205,2465,0.000883,-1.1748),(5205,2475,0.000915,-1.1747),(5205,2485,0.000957,-1.1746),(5205,2495,0.001,-1.1745),(5205,2505,0.001043,-1.1744),(5205,2515,0.001086,-1.1742),(5205,2525,0.001129,-1.1741),(5205,2535,0.001172,-1.174),(5205,2545,0.001215,-1.1738),(5205,2555,0.001257,-1.1737),(5205,2565,0.001289,-1.1735),(5205,2575,0.00132,-1.1733),(5205,2585,0.001351,-1.1731),(5205,2595,0.001383,-1.1729),(5205,2605,0.001419,-1.1726),(5205,2615,0.001456,-1.1724),(5205,2625,0.001492,-1.1722),(5205,2635,0.001531,-1.172),(5205,2645,0.00158,-1.1718),(5205,2655,0.00163,-1.1716),(5205,2665,0.00168,-1.1713),(5205,2675,0.001727,-1.1711),(5205,2685,0.001764,-1.1709),(5205,2695,0.001801,-1.1706),(5205,2705,0.001838,-1.1703),(5205,2715,0.001871,-1.17),(5205,2725,0.001894,-1.1697),(5205,2735,0.001917,-1.1693),(5205,2745,0.00194,-1.169),(5205,2755,0.001965,-1.1686),(5205,2765,0.001997,-1.1682),(5205,2775,0.00203,-1.1679),(5205,2785,0.002062,-1.1675),(5205,2795,0.002095,-1.1672),(5205,2805,0.002129,-1.1669),(5205,2815,0.002162,-1.1665),(5205,2825,0.002196,-1.1661),(5205,2835,0.002224,-1.1657),(5205,2845,0.002241,-1.1653),(5205,2855,0.002257,-1.1648),(5205,2865,0.002274,-1.1643),(5205,2875,0.002291,-1.1638),(5205,2885,0.002308,-1.1634),(5205,2895,0.002326,-1.1629),(5205,2905,0.002343,-1.1624),(5205,2915,0.002365,-1.1618),(5205,2925,0.002393,-1.1613),(5205,2935,0.002421,-1.1608),(5205,2945,0.002448,-1.1603),(5205,2955,0.002476,-1.1597),(5205,2965,0.002504,-1.1592),(5205,2975,0.002531,-1.1586),(5205,2985,0.002559,-1.158),(5205,2995,0.002591,-1.1574),(5205,3005,0.002628,-1.1568),(5205,3015,0.002665,-1.1561),(5205,3025,0.002702,-1.1555),(5205,3035,0.00274,-1.1549),(5205,3045,0.002777,-1.1542),(5205,3055,0.002814,-1.1536),(5205,3065,0.002851,-1.1529),(5205,3075,0.002887,-1.1522),(5205,3085,0.002921,-1.1515),(5205,3095,0.002956,-1.1508),(5205,3105,0.00299,-1.15),(5205,3115,0.003025,-1.1493),(5205,3125,0.003062,-1.1485),(5205,3135,0.003098,-1.1477),(5205,3145,0.003134,-1.1469),(5205,3155,0.00317,-1.1461),(5205,3165,0.003206,-1.1453),(5205,3175,0.003241,-1.1444),(5205,3185,0.003277,-1.1435),(5205,3195,0.003302,-1.1426),(5205,3205,0.003321,-1.1417),(5205,3215,0.00334,-1.1407),(5205,3225,0.00336,-1.1397),(5205,3235,0.003381,-1.1386),(5205,3245,0.003402,-1.1376),(5205,3255,0.003424,-1.1366),(5205,3265,0.003446,-1.1355),(5205,3275,0.003485,-1.1345),(5205,3285,0.00353,-1.1334),(5205,3295,0.003574,-1.1323),(5205,3305,0.003619,-1.1312),(5205,3315,0.003663,-1.1301),(5205,3325,0.003707,-1.129),(5205,3335,0.003751,-1.1278),(5205,3345,0.003795,-1.1266),(5205,3355,0.003831,-1.1254),(5205,3365,0.003866,-1.1242),(5205,3375,0.0039,-1.1229),(5205,3385,0.003935,-1.1216),(5205,3395,0.003972,-1.1203),(5205,3405,0.004008,-1.1189),(5205,3415,0.004045,-1.1176),(5205,3425,0.004082,-1.1162),(5205,3435,0.004126,-1.1148),(5205,3445,0.004169,-1.1134),(5205,3455,0.004213,-1.112),(5205,3465,0.004257,-1.1105),(5205,3475,0.004294,-1.109),(5205,3485,0.004332,-1.1076),(5205,3495,0.00437,-1.106),(5205,3505,0.004407,-1.1044),(5205,3515,0.004442,-1.1028),(5205,3525,0.004477,-1.1012),(5205,3535,0.004511,-1.0995),(5205,3545,0.004546,-1.0978),(5205,3555,0.004582,-1.0961),(5205,3565,0.004617,-1.0944),(5205,3575,0.004653,-1.0926),(5205,3585,0.004689,-1.0908),(5205,3595,0.004723,-1.089),(5205,3605,0.004757,-1.0872),(5205,3615,0.00479,-1.0853),(5205,3625,0.004826,-1.0834),(5205,3635,0.004869,-1.0815),(5205,3645,0.004912,-1.0796),(5205,3655,0.004955,-1.0776),(5205,3665,0.004999,-1.0757),(5205,3675,0.005052,-1.0737),(5205,3685,0.005104,-1.0717),(5205,3695,0.005156,-1.0696),(5205,3705,0.005209,-1.0675),(5205,3715,0.005265,-1.0654),(5205,3725,0.005319,-1.0633),(5205,3735,0.005374,-1.0611),(5205,3745,0.005431,-1.0589),(5205,3755,0.00549,-1.0567),(5205,3765,0.00555,-1.0545),(5205,3775,0.005609,-1.0522),(5205,3785,0.005669,-1.0499),(5205,3795,0.005728,-1.0476),(5205,3805,0.005787,-1.0453),(5205,3815,0.005846,-1.0429),(5205,3825,0.005898,-1.0405),(5205,3835,0.005936,-1.0381),(5205,3845,0.005975,-1.0356),(5205,3855,0.006013,-1.0331),(5205,3865,0.006021,-1.0305),(5205,3875,0.005977,-1.0279),(5205,3885,0.005933,-1.0251),(5205,3895,0.005888,-1.0221),(5205,3905,0.005761,-1.019),(5205,3915,0.005509,-1.016),(5205,3925,0.005257,-1.0125),(5205,3935,0.005005,-1.0083),(5205,3945,0.004787,-1.0042),(5205,3955,0.004611,-1),(5205,3965,0.004435,-0.99659),(5205,3975,0.004259,-0.99394),(5205,3985,0.005448,-0.9913),(5205,3995,0.008112,-0.98866),(5205,4005,0.010776,-0.99388),(5205,4015,0.013441,-1.007),(5205,4025,0.13009,-1.02),(5205,4035,0.25788,-1.0298),(5205,4045,0.38568,-1.0324),(5205,4055,0.48331,-1.035),(5205,4065,0.56994,-1.0376),(5205,4075,0.65656,-1.0405),(5205,4085,0.69854,-1.0433),(5205,4095,0.70463,-1.0462),(5205,4105,0.71073,-1.0476),(5205,4115,0.7172,-1.049),(5205,4125,0.72427,-1.0504),(5205,4135,0.73134,-1.0506),(5205,4145,0.73858,-1.0505),(5205,4155,0.74651,-1.0504),(5205,4165,0.75445,-1.0494),(5205,4175,0.76238,-1.048),(5205,4185,0.77077,-1.0466),(5205,4195,0.77915,-1.0447),(5205,4205,0.78753,-1.0423),(5205,4215,0.79615,-1.0399),(5205,4225,0.80482,-1.0373),(5205,4235,0.81348,-1.0339),(5205,4245,0.82229,-1.0305),(5205,4255,0.83117,-1.027),(5205,4265,0.84006,-1.0227),(5205,4275,0.84904,-1.0183),(5205,4285,0.85812,-1.014),(5205,4295,0.8672,-1.0087),(5205,4305,0.87632,-1.0033),(5205,4315,0.8855,-0.9979),(5205,4325,0.89468,-0.992),(5205,4335,0.90386,-0.9859),(5205,4345,0.91301,-0.97979),(5205,4355,0.92216,-0.97336),(5205,4365,0.9313,-0.96663),(5205,4375,0.94024,-0.95991),(5205,4385,0.94917,-0.95307),(5205,4395,0.9581,-0.94602),(5205,4405,0.9668,-0.93898),(5205,4415,0.97543,-0.9319),(5205,4425,0.98406,-0.92466),(5205,4435,0.99246,-0.91743),(5205,4445,1.0007,-0.91019),(5205,4455,1.0089,-0.90291),(5205,4465,1.017,-0.89562),(5205,4475,1.0249,-0.88833),(5205,4485,1.0327,-0.88115),(5205,4495,1.0405,-0.87398),(5205,4505,1.048,-0.86681),(5205,4515,1.0555,-0.8597),(5205,4525,1.0629,-0.85264),(5205,4535,1.0701,-0.84558),(5205,4545,1.0772,-0.83863),(5205,4555,1.0843,-0.83182),(5205,4565,1.0912,-0.825),(5205,4575,1.098,-0.81825),(5205,4585,1.1048,-0.81168),(5205,4595,1.1114,-0.8051),(5205,4605,1.1179,-0.79855),(5205,4615,1.1244,-0.79222),(5205,4625,1.1307,-0.78589),(5205,4635,1.1369,-0.77956),(5205,4645,1.1431,-0.77347),(5205,4655,1.1491,-0.7674),(5205,4665,1.155,-0.76133),(5205,4675,1.1609,-0.7555),(5205,4685,1.1668,-0.74975),(5205,4695,1.1724,-0.74401),(5205,4705,1.178,-0.73843),(5205,4715,1.1836,-0.73297),(5205,4725,1.189,-0.72752),(5205,4735,1.1944,-0.72217),(5205,4745,1.1998,-0.717),(5205,4755,1.205,-0.71182),(5205,4765,1.2102,-0.7067),(5205,4775,1.2153,-0.70175),(5205,4785,1.2204,-0.6968),(5205,4795,1.2253,-0.69187),(5205,4805,1.2303,-0.68718),(5205,4815,1.2352,-0.68249),(5205,4825,1.24,-0.6778),(5205,4835,1.2447,-0.67332),(5205,4845,1.2495,-0.66886),(5205,4855,1.254,-0.66441),(5205,4865,1.2586,-0.66013),(5205,4875,1.2632,-0.65591),(5205,4885,1.2676,-0.6517),(5205,4895,1.2721,-0.64756),(5205,4905,1.2765,-0.64349),(5205,4915,1.2807,-0.63942),(5205,4925,1.285,-0.63542),(5205,4935,1.2892,-0.63158),(5205,4945,1.2933,-0.62773),(5205,4955,1.2974,-0.62392),(5205,4965,1.3015,-0.62025),(5205,4975,1.3055,-0.61659),(5205,4985,1.3094,-0.61292),(5205,4995,1.3133,-0.60939),(5205,5005,1.3172,-0.60587),(5205,5015,1.321,-0.60235),(5205,5025,1.3248,-0.59896),(5205,5035,1.3285,-0.59562),(5205,5045,1.3321,-0.59227),(5205,5055,1.3357,-0.58904),(5205,5065,1.3393,-0.58588),(5205,5075,1.3428,-0.58272),(5205,5085,1.3463,-0.57963),(5205,5095,1.3498,-0.57662),(5205,5105,1.3531,-0.57362),(5205,5115,1.3565,-0.57066),(5205,5125,1.3598,-0.56785),(5205,5135,1.3631,-0.56504),(5205,5145,1.3664,-0.56224),(5205,5155,1.3696,-0.55961),(5205,5165,1.3728,-0.55699),(5205,5175,1.376,-0.55436),(5205,5185,1.3792,-0.55192),(5205,5195,1.3824,-0.5495),(5205,5205,1.3856,-0.54708),(5205,5215,1.3888,-0.54483),(5205,5225,1.392,-0.54264),(5205,5235,1.3952,-0.54046),(5205,5245,1.3984,-0.53839),(5205,5255,1.4016,-0.53641),(5205,5265,1.4049,-0.53444),(5205,5275,1.4081,-0.53254),(5205,5285,1.4114,-0.53076),(5205,5295,1.4148,-0.52898),(5205,5305,1.4182,-0.52724),(5205,5315,1.4215,-0.52566),(5205,5325,1.425,-0.52408),(5205,5335,1.4285,-0.52251),(5205,5345,1.432,-0.52108),(5205,5355,1.4355,-0.51966),(5205,5365,1.4392,-0.51824),(5205,5375,1.4428,-0.51692),(5205,5385,1.4465,-0.51563),(5205,5395,1.4502,-0.51434),(5205,5405,1.454,-0.51311),(5205,5415,1.4578,-0.5119),(5205,5425,1.4618,-0.5107),(5205,5435,1.4657,-0.50951),(5205,5445,1.4697,-0.50833),(5205,5455,1.4738,-0.50715),(5205,5465,1.4779,-0.50596),(5205,5475,1.482,-0.50476),(5205,5485,1.4862,-0.50355),(5205,5495,1.4905,-0.50234),(5205,5505,1.4948,-0.50108),(5205,5515,1.4992,-0.49982),(5205,5525,1.5036,-0.49857),(5205,5535,1.5081,-0.49723),(5205,5545,1.5126,-0.49589),(5205,5555,1.5172,-0.49455),(5205,5565,1.5218,-0.49308),(5205,5575,1.5264,-0.49156),(5205,5585,1.5311,-0.49004),(5205,5595,1.5358,-0.4884),(5205,5605,1.5405,-0.48669),(5205,5615,1.5453,-0.48497),(5205,5625,1.5501,-0.48314),(5205,5635,1.5548,-0.48117),(5205,5645,1.5596,-0.47919),(5205,5655,1.5644,-0.47715),(5205,5665,1.5692,-0.47492),(5205,5675,1.574,-0.47268),(5205,5685,1.5788,-0.47043),(5205,5695,1.5836,-0.46791),(5205,5705,1.5884,-0.46539),(5205,5715,1.5931,-0.46287),(5205,5725,1.5979,-0.46007),(5205,5735,1.6027,-0.45724),(5205,5745,1.6074,-0.45441),(5205,5755,1.6121,-0.45139),(5205,5765,1.6168,-0.44827),(5205,5775,1.6214,-0.44516),(5205,5785,1.626,-0.44192),(5205,5795,1.6307,-0.43855),(5205,5805,1.6352,-0.43518),(5205,5815,1.6398,-0.43174),(5205,5825,1.6443,-0.42816),(5205,5835,1.6488,-0.42458),(5205,5845,1.6533,-0.42096),(5205,5855,1.6578,-0.41714),(5205,5865,1.6622,-0.41332),(5205,5875,1.6666,-0.40951),(5205,5885,1.671,-0.40545),(5205,5895,1.6753,-0.40139),(5205,5905,1.6796,-0.39732),(5205,5915,1.6839,-0.39311),(5205,5925,1.6881,-0.38885),(5205,5935,1.6923,-0.3846),(5205,5945,1.6965,-0.38021),(5205,5955,1.7006,-0.37574),(5205,5965,1.7047,-0.37127),(5205,5975,1.7087,-0.36671),(5205,5985,1.7127,-0.36204),(5205,5995,1.7167,-0.35737),(5205,6005,1.7206,-0.35265),(5205,6015,1.7246,-0.34777),(5205,6025,1.7284,-0.3429),(5205,6035,1.7322,-0.33801),(5205,6045,1.736,-0.33298),(5205,6055,1.7397,-0.32796),(5205,6065,1.7434,-0.32294),(5205,6075,1.747,-0.31777),(5205,6085,1.7507,-0.3126),(5205,6095,1.7542,-0.30742),(5205,6105,1.7577,-0.30213),(5205,6115,1.7613,-0.2968),(5205,6125,1.7646,-0.29147),(5205,6135,1.768,-0.28605),(5205,6145,1.7714,-0.28055),(5205,6155,1.7747,-0.27506),(5205,6165,1.7779,-0.26951),(5205,6175,1.7811,-0.26388),(5205,6185,1.7842,-0.25824),(5205,6195,1.7873,-0.25258),(5205,6205,1.7903,-0.24684),(5205,6215,1.7932,-0.24109),(5205,6225,1.7961,-0.23534),(5205,6235,1.799,-0.22945),(5205,6245,1.8017,-0.22356),(5205,6255,1.8044,-0.21767),(5205,6265,1.8071,-0.21163),(5205,6275,1.8097,-0.20556),(5205,6285,1.8121,-0.19949),(5205,6295,1.8146,-0.19337),(5205,6305,1.817,-0.18723),(5205,6315,1.8193,-0.18109),(5205,6325,1.8215,-0.17489),(5205,6335,1.8238,-0.16863),(5205,6345,1.8258,-0.16237),(5205,6355,1.8278,-0.15608),(5205,6365,1.8298,-0.14971),(5205,6375,1.8317,-0.14335),(5205,6385,1.8335,-0.13698),(5205,6395,1.8352,-0.13056),(5205,6405,1.8369,-0.12414),(5205,6415,1.8385,-0.11772),(5205,6425,1.84,-0.11124),(5205,6435,1.8415,-0.10475),(5205,6445,1.8428,-0.098269),(5205,6455,1.8441,-0.091744),(5205,6465,1.8454,-0.085207),(5205,6475,1.8464,-0.07867),(5205,6485,1.8474,-0.072083),(5205,6495,1.8485,-0.065462),(5205,6505,1.8492,-0.058842),(5205,6515,1.85,-0.052209),(5205,6525,1.8507,-0.045557),(5205,6535,1.8513,-0.038905),(5205,6545,1.8517,-0.032245),(5205,6555,1.8522,-0.02556),(5205,6565,1.8525,-0.018876),(5205,6575,1.8527,-0.012194),(5205,6585,1.8529,-0.005541),(5205,6595,1.5761,0.001111),(5205,6605,0.99363,0.007763),(5205,6615,0.41111,0.008531),(5205,6625,0.001624,0.008544),(5205,6635,0.001631,0.008556),(5205,6645,0.001639,0.008581),(5205,6655,0.001646,0.008611),(5205,6665,0.001653,0.00864),(5205,6675,0.00166,0.008668),(5205,6685,0.001666,0.008695),(5205,6695,0.001672,0.008721),(5205,6705,0.001678,0.008747),(5205,6715,0.001684,0.008771),(5205,6725,0.00169,0.008794),(5205,6735,0.001695,0.008818),(5205,6745,0.001701,0.008838),(5205,6755,0.001706,0.00886),(5205,6765,0.001711,0.008881),(5205,6775,0.001717,0.008899),(5205,6785,0.001722,0.008918),(5205,6795,0.001727,0.008937),(5205,6805,0.001732,0.008954),(5205,6815,0.001737,0.00897),(5205,6825,0.001742,0.008987),(5205,6835,0.001747,0.009002),(5205,6845,0.001751,0.009016),(5205,6855,0.001756,0.009031),(5205,6865,0.001761,0.009045),(5205,6875,0.001766,0.009057),(5205,6885,0.001771,0.00907),(5205,6895,0.001776,0.009082),(5205,6905,0.00178,0.009093),(5205,6915,0.001785,0.009104),(5205,6925,0.00179,0.009115),(5205,6935,0.001795,0.009125),(5205,6945,0.0018,0.009134),(5205,6955,0.001805,0.009144),(5205,6965,0.00181,0.009152),(5205,6975,0.001815,0.00916),(5205,6985,0.00182,0.009168),(5215,5,4e-06,-1.237),(5215,15,1.1e-05,-1.2371),(5215,25,1.4e-05,-1.2373),(5215,35,1.3e-05,-1.2374),(5215,45,1.2e-05,-1.2374),(5215,55,1.2e-05,-1.2374),(5215,65,2e-06,-1.2374),(5215,75,-1.6e-05,-1.2374),(5215,85,-3.3e-05,-1.2374),(5215,95,-5.1e-05,-1.2374),(5215,105,-5.6e-05,-1.2375),(5215,115,-5.3e-05,-1.2375),(5215,125,-5.1e-05,-1.2375),(5215,135,-4.8e-05,-1.2376),(5215,145,-4.6e-05,-1.2376),(5215,155,-4.4e-05,-1.2376),(5215,165,-4.3e-05,-1.2377),(5215,175,-4.1e-05,-1.2377),(5215,185,-2.7e-05,-1.2377),(5215,195,-6e-06,-1.2378),(5215,205,1.4e-05,-1.2379),(5215,215,3.4e-05,-1.2379),(5215,225,6.6e-05,-1.238),(5215,235,0.000101,-1.2381),(5215,245,0.000137,-1.2381),(5215,255,0.000173,-1.2382),(5215,265,0.000213,-1.2383),(5215,275,0.000255,-1.2384),(5215,285,0.000296,-1.2385),(5215,295,0.000337,-1.2386),(5215,305,0.000373,-1.2387),(5215,315,0.000407,-1.2388),(5215,325,0.000441,-1.2389),(5215,335,0.000476,-1.239),(5215,345,0.000492,-1.2391),(5215,355,0.000504,-1.2392),(5215,365,0.000516,-1.2393),(5215,375,0.000528,-1.2394),(5215,385,0.000523,-1.2394),(5215,395,0.000516,-1.2395),(5215,405,0.000508,-1.2396),(5215,415,0.000501,-1.2396),(5215,425,0.000495,-1.2397),(5215,435,0.00049,-1.2398),(5215,445,0.000484,-1.2399),(5215,455,0.000478,-1.2399),(5215,465,0.000483,-1.24),(5215,475,0.000488,-1.2401),(5215,485,0.000493,-1.2402),(5215,495,0.000498,-1.2403),(5215,505,0.000521,-1.2404),(5215,515,0.000544,-1.2405),(5215,525,0.000567,-1.2407),(5215,535,0.00059,-1.2408),(5215,545,0.000629,-1.2409),(5215,555,0.000668,-1.241),(5215,565,0.000707,-1.2412),(5215,575,0.000746,-1.2413),(5215,585,0.000778,-1.2415),(5215,595,0.00081,-1.2416),(5215,605,0.000843,-1.2417),(5215,615,0.00087,-1.2419),(5215,625,0.000859,-1.242),(5215,635,0.000848,-1.2421),(5215,645,0.000837,-1.2422),(5215,655,0.000821,-1.2422),(5215,665,0.000778,-1.2422),(5215,675,0.000735,-1.2423),(5215,685,0.000692,-1.2423),(5215,695,0.000654,-1.2423),(5215,705,0.000633,-1.2423),(5215,715,0.000613,-1.2424),(5215,725,0.000592,-1.2425),(5215,735,0.000582,-1.2426),(5215,745,0.000607,-1.2426),(5215,755,0.000631,-1.2427),(5215,765,0.000656,-1.2429),(5215,775,0.000688,-1.243),(5215,785,0.000741,-1.2431),(5215,795,0.000793,-1.2433),(5215,805,0.000846,-1.2434),(5215,815,0.000898,-1.2435),(5215,825,0.000951,-1.2437),(5215,835,0.001004,-1.2438),(5215,845,0.001056,-1.2439),(5215,855,0.001107,-1.244),(5215,865,0.001155,-1.2441),(5215,875,0.001202,-1.2441),(5215,885,0.00125,-1.2442),(5215,895,0.001298,-1.2443),(5215,905,0.001348,-1.2444),(5215,915,0.001397,-1.2444),(5215,925,0.001447,-1.2445),(5215,935,0.001493,-1.2445),(5215,945,0.001535,-1.2446),(5215,955,0.001577,-1.2446),(5215,965,0.00162,-1.2446),(5215,975,0.00166,-1.2446),(5215,985,0.0017,-1.2446),(5215,995,0.001739,-1.2445),(5215,1005,0.001778,-1.2445),(5215,1015,0.001822,-1.2444),(5215,1025,0.001872,-1.2443),(5215,1035,0.001921,-1.2443),(5215,1045,0.001971,-1.2442),(5215,1055,0.002021,-1.2441),(5215,1065,0.002071,-1.244),(5215,1075,0.002122,-1.2438),(5215,1085,0.002172,-1.2436),(5215,1095,0.002233,-1.2434),(5215,1105,0.0023,-1.2433),(5215,1115,0.002367,-1.243),(5215,1125,0.002435,-1.2428),(5215,1135,0.002524,-1.2425),(5215,1145,0.002627,-1.2422),(5215,1155,0.00273,-1.242),(5215,1165,0.002832,-1.2417),(5215,1175,0.002872,-1.2414),(5215,1185,0.002879,-1.2411),(5215,1195,0.002887,-1.2406),(5215,1205,0.002895,-1.2401),(5215,1215,0.002533,-1.2396),(5215,1225,0.002019,-1.2391),(5215,1235,0.001504,-1.2379),(5215,1245,0.000989,-1.2365),(5215,1255,0.000362,-1.2351),(5215,1265,-0.000305,-1.2337),(5215,1275,-0.000971,-1.2299),(5215,1285,-0.001637,-1.2254),(5215,1295,0.001189,-1.2209),(5215,1305,0.004959,-1.2164),(5215,1315,0.008728,-1.2106),(5215,1325,0.012498,-1.2045),(5215,1335,0.00724,-1.1984),(5215,1345,9e-05,-1.1923),(5215,1355,-0.00706,-1.1965),(5215,1365,-0.01421,-1.2025),(5215,1375,-0.01141,-1.2085),(5215,1385,-0.007074,-1.2145),(5215,1395,-0.002739,-1.2199),(5215,1405,0.001597,-1.2253),(5215,1415,0.001464,-1.2307),(5215,1425,0.000868,-1.2361),(5215,1435,0.000271,-1.2383),(5215,1445,-0.000325,-1.2403),(5215,1455,-0.000981,-1.2423),(5215,1465,-0.001641,-1.2442),(5215,1475,-0.0023,-1.2452),(5215,1485,-0.00296,-1.2461),(5215,1495,-0.00303,-1.2471),(5215,1505,-0.003091,-1.248),(5215,1515,-0.003152,-1.2487),(5215,1525,-0.00321,-1.2495),(5215,1535,-0.003136,-1.2502),(5215,1545,-0.003061,-1.251),(5215,1555,-0.002986,-1.2516),(5215,1565,-0.002913,-1.2523),(5215,1575,-0.002852,-1.253),(5215,1585,-0.002792,-1.2536),(5215,1595,-0.002732,-1.2542),(5215,1605,-0.002672,-1.2547),(5215,1615,-0.002619,-1.2553),(5215,1625,-0.002565,-1.2558),(5215,1635,-0.002511,-1.2563),(5215,1645,-0.002456,-1.2567),(5215,1655,-0.002389,-1.2572),(5215,1665,-0.002323,-1.2576),(5215,1675,-0.002256,-1.258),(5215,1685,-0.002187,-1.2584),(5215,1695,-0.002109,-1.2588),(5215,1705,-0.002031,-1.2592),(5215,1715,-0.001953,-1.2596),(5215,1725,-0.001874,-1.2599),(5215,1735,-0.00179,-1.2602),(5215,1745,-0.001706,-1.2606),(5215,1755,-0.001622,-1.2609),(5215,1765,-0.001537,-1.2611),(5215,1775,-0.00145,-1.2614),(5215,1785,-0.001363,-1.2617),(5215,1795,-0.001276,-1.262),(5215,1805,-0.001192,-1.2622),(5215,1815,-0.001118,-1.2624),(5215,1825,-0.001043,-1.2627),(5215,1835,-0.000969,-1.2629),(5215,1845,-0.000899,-1.2631),(5215,1855,-0.00084,-1.2632),(5215,1865,-0.000781,-1.2634),(5215,1875,-0.000722,-1.2636),(5215,1885,-0.000666,-1.2637),(5215,1895,-0.000617,-1.2639),(5215,1905,-0.000568,-1.264),(5215,1915,-0.000518,-1.2642),(5215,1925,-0.000476,-1.2643),(5215,1935,-0.000443,-1.2644),(5215,1945,-0.00041,-1.2646),(5215,1955,-0.000377,-1.2646),(5215,1965,-0.000349,-1.2647),(5215,1975,-0.000326,-1.2648),(5215,1985,-0.000304,-1.2649),(5215,1995,-0.000281,-1.265),(5215,2005,-0.000258,-1.2651),(5215,2015,-0.000233,-1.2652),(5215,2025,-0.000208,-1.2652),(5215,2035,-0.000183,-1.2653),(5215,2045,-0.000157,-1.2654),(5215,2055,-0.00013,-1.2655),(5215,2065,-0.000103,-1.2656),(5215,2075,-7.6e-05,-1.2657),(5215,2085,-5e-05,-1.2657),(5215,2095,-2.6e-05,-1.2658),(5215,2105,-1e-06,-1.2659),(5215,2115,2.3e-05,-1.2659),(5215,2125,5.2e-05,-1.266),(5215,2135,8.4e-05,-1.266),(5215,2145,0.000116,-1.2661),(5215,2155,0.000147,-1.2661),(5215,2165,0.000189,-1.2662),(5215,2175,0.000235,-1.2662),(5215,2185,0.000281,-1.2663),(5215,2195,0.000328,-1.2663),(5215,2205,0.000367,-1.2664),(5215,2215,0.000403,-1.2664),(5215,2225,0.000439,-1.2665),(5215,2235,0.000476,-1.2665),(5215,2245,0.000488,-1.2665),(5215,2255,0.000491,-1.2665),(5215,2265,0.000494,-1.2664),(5215,2275,0.000497,-1.2664),(5215,2285,0.000493,-1.2663),(5215,2295,0.000488,-1.2662),(5215,2305,0.000482,-1.2662),(5215,2315,0.000476,-1.2661),(5215,2325,0.000489,-1.2661),(5215,2335,0.000507,-1.266),(5215,2345,0.000525,-1.2659),(5215,2355,0.000543,-1.2659),(5215,2365,0.000573,-1.2659),(5215,2375,0.000605,-1.2658),(5215,2385,0.000637,-1.2657),(5215,2395,0.000669,-1.2657),(5215,2405,0.000695,-1.2656),(5215,2415,0.000721,-1.2655),(5215,2425,0.000747,-1.2654),(5215,2435,0.000773,-1.2652),(5215,2445,0.000803,-1.2651),(5215,2455,0.000833,-1.265),(5215,2465,0.000863,-1.2649),(5215,2475,0.000894,-1.2647),(5215,2485,0.000941,-1.2646),(5215,2495,0.000988,-1.2645),(5215,2505,0.001036,-1.2643),(5215,2515,0.001084,-1.2642),(5215,2525,0.001131,-1.2641),(5215,2535,0.001178,-1.2639),(5215,2545,0.001226,-1.2637),(5215,2555,0.001272,-1.2635),(5215,2565,0.0013,-1.2634),(5215,2575,0.001329,-1.2632),(5215,2585,0.001357,-1.2629),(5215,2595,0.001387,-1.2627),(5215,2605,0.001424,-1.2624),(5215,2615,0.001462,-1.2622),(5215,2625,0.001499,-1.2619),(5215,2635,0.00154,-1.2617),(5215,2645,0.001598,-1.2614),(5215,2655,0.001657,-1.2612),(5215,2665,0.001716,-1.2609),(5215,2675,0.001771,-1.2607),(5215,2685,0.001809,-1.2604),(5215,2695,0.001847,-1.2601),(5215,2705,0.001885,-1.2598),(5215,2715,0.001919,-1.2594),(5215,2725,0.001934,-1.2591),(5215,2735,0.001949,-1.2587),(5215,2745,0.001964,-1.2583),(5215,2755,0.001982,-1.2579),(5215,2765,0.002012,-1.2575),(5215,2775,0.002041,-1.2571),(5215,2785,0.00207,-1.2567),(5215,2795,0.0021,-1.2563),(5215,2805,0.00213,-1.2559),(5215,2815,0.00216,-1.2555),(5215,2825,0.00219,-1.2551),(5215,2835,0.002211,-1.2546),(5215,2845,0.002213,-1.2542),(5215,2855,0.002215,-1.2537),(5215,2865,0.002217,-1.2531),(5215,2875,0.002219,-1.2526),(5215,2885,0.002222,-1.252),(5215,2895,0.002225,-1.2515),(5215,2905,0.002228,-1.2509),(5215,2915,0.002237,-1.2504),(5215,2925,0.002256,-1.2498),(5215,2935,0.002275,-1.2492),(5215,2945,0.002294,-1.2486),(5215,2955,0.002312,-1.248),(5215,2965,0.002331,-1.2474),(5215,2975,0.002349,-1.2467),(5215,2985,0.002368,-1.2461),(5215,2995,0.002393,-1.2454),(5215,3005,0.002427,-1.2447),(5215,3015,0.00246,-1.244),(5215,3025,0.002493,-1.2433),(5215,3035,0.002527,-1.2426),(5215,3045,0.00256,-1.2419),(5215,3055,0.002593,-1.2412),(5215,3065,0.002626,-1.2404),(5215,3075,0.002656,-1.2396),(5215,3085,0.002684,-1.2389),(5215,3095,0.002713,-1.2381),(5215,3105,0.002741,-1.2372),(5215,3115,0.002771,-1.2364),(5215,3125,0.002801,-1.2356),(5215,3135,0.002831,-1.2347),(5215,3145,0.002862,-1.2338),(5215,3155,0.002892,-1.2329),(5215,3165,0.002921,-1.232),(5215,3175,0.002951,-1.231),(5215,3185,0.00298,-1.23),(5215,3195,0.002992,-1.2291),(5215,3205,0.002995,-1.2281),(5215,3215,0.002998,-1.227),(5215,3225,0.003001,-1.2258),(5215,3235,0.003006,-1.2247),(5215,3245,0.003013,-1.2236),(5215,3255,0.003019,-1.2224),(5215,3265,0.003026,-1.2213),(5215,3275,0.00306,-1.2201),(5215,3285,0.003102,-1.2189),(5215,3295,0.003144,-1.2178),(5215,3305,0.003186,-1.2166),(5215,3315,0.003226,-1.2154),(5215,3325,0.003267,-1.2142),(5215,3335,0.003307,-1.2128),(5215,3345,0.003348,-1.2115),(5215,3355,0.003375,-1.2102),(5215,3365,0.003399,-1.2089),(5215,3375,0.003423,-1.2074),(5215,3385,0.003448,-1.206),(5215,3395,0.003474,-1.2045),(5215,3405,0.003501,-1.2031),(5215,3415,0.003527,-1.2016),(5215,3425,0.003554,-1.2001),(5215,3435,0.003589,-1.1986),(5215,3445,0.003625,-1.1971),(5215,3455,0.003661,-1.1955),(5215,3465,0.003697,-1.1939),(5215,3475,0.003723,-1.1923),(5215,3485,0.003748,-1.1906),(5215,3495,0.003773,-1.1889),(5215,3505,0.003799,-1.1872),(5215,3515,0.003819,-1.1854),(5215,3525,0.003839,-1.1837),(5215,3535,0.003859,-1.1818),(5215,3545,0.00388,-1.18),(5215,3555,0.003902,-1.1781),(5215,3565,0.003924,-1.1762),(5215,3575,0.003946,-1.1743),(5215,3585,0.003968,-1.1723),(5215,3595,0.003987,-1.1704),(5215,3605,0.004006,-1.1684),(5215,3615,0.004025,-1.1663),(5215,3625,0.004045,-1.1642),(5215,3635,0.004078,-1.1621),(5215,3645,0.00411,-1.16),(5215,3655,0.004143,-1.1579),(5215,3665,0.004178,-1.1557),(5215,3675,0.004223,-1.1535),(5215,3685,0.004269,-1.1513),(5215,3695,0.004315,-1.1491),(5215,3705,0.00436,-1.1468),(5215,3715,0.004407,-1.1445),(5215,3725,0.004453,-1.1422),(5215,3735,0.004499,-1.1398),(5215,3745,0.004547,-1.1374),(5215,3755,0.004596,-1.135),(5215,3765,0.004646,-1.1326),(5215,3775,0.004696,-1.13),(5215,3785,0.004744,-1.1275),(5215,3795,0.004789,-1.125),(5215,3805,0.004833,-1.1225),(5215,3815,0.004878,-1.1198),(5215,3825,0.004911,-1.1172),(5215,3835,0.00492,-1.1146),(5215,3845,0.004929,-1.1119),(5215,3855,0.004938,-1.1091),(5215,3865,0.004899,-1.1063),(5215,3875,0.004777,-1.1035),(5215,3885,0.004654,-1.1006),(5215,3895,0.004532,-1.0975),(5215,3905,0.004276,-1.0944),(5215,3915,0.003823,-1.0913),(5215,3925,0.00337,-1.0879),(5215,3935,0.002917,-1.0842),(5215,3945,0.002509,-1.0804),(5215,3955,0.002158,-1.0766),(5215,3965,0.001806,-1.0718),(5215,3975,0.001455,-1.0659),(5215,3985,0.003206,-1.06),(5215,3995,0.007231,-1.0542),(5215,4005,0.011256,-1.0478),(5215,4015,0.015282,-1.0411),(5215,4025,0.13197,-1.0343),(5215,4035,0.25968,-1.0305),(5215,4045,0.3874,-1.0331),(5215,4055,0.48498,-1.0357),(5215,4065,0.57157,-1.0384),(5215,4075,0.65816,-1.0413),(5215,4085,0.69983,-1.0442),(5215,4095,0.70542,-1.047),(5215,4105,0.711,-1.0486),(5215,4115,0.71697,-1.0501),(5215,4125,0.72358,-1.0516),(5215,4135,0.73019,-1.052),(5215,4145,0.73699,-1.0521),(5215,4155,0.74454,-1.0521),(5215,4165,0.7521,-1.0514),(5215,4175,0.75967,-1.0502),(5215,4185,0.76773,-1.049),(5215,4195,0.77579,-1.0474),(5215,4205,0.78385,-1.0453),(5215,4215,0.79216,-1.0432),(5215,4225,0.80052,-1.0408),(5215,4235,0.80889,-1.0378),(5215,4245,0.81739,-1.0347),(5215,4255,0.82597,-1.0316),(5215,4265,0.83454,-1.0277),(5215,4275,0.84321,-1.0237),(5215,4285,0.85199,-1.0198),(5215,4295,0.86076,-1.015),(5215,4305,0.86957,-1.0101),(5215,4315,0.87848,-1.0051),(5215,4325,0.88738,-0.9997),(5215,4335,0.89628,-0.99407),(5215,4345,0.90523,-0.98843),(5215,4355,0.91417,-0.98245),(5215,4365,0.92312,-0.97617),(5215,4375,0.93193,-0.96989),(5215,4385,0.94073,-0.96347),(5215,4395,0.94953,-0.9568),(5215,4405,0.95814,-0.95013),(5215,4415,0.96669,-0.94342),(5215,4425,0.97525,-0.93651),(5215,4435,0.9836,-0.9296),(5215,4445,0.99182,-0.92268),(5215,4455,1,-0.91566),(5215,4465,1.0081,-0.90864),(5215,4475,1.016,-0.90161),(5215,4485,1.0238,-0.89465),(5215,4495,1.0316,-0.88769),(5215,4505,1.0391,-0.88074),(5215,4515,1.0466,-0.87382),(5215,4525,1.0541,-0.86693),(5215,4535,1.0613,-0.86003),(5215,4545,1.0684,-0.85324),(5215,4555,1.0756,-0.84655),(5215,4565,1.0825,-0.83987),(5215,4575,1.0894,-0.83324),(5215,4585,1.0963,-0.82675),(5215,4595,1.1029,-0.82026),(5215,4605,1.1095,-0.8138),(5215,4615,1.1161,-0.80753),(5215,4625,1.1225,-0.80125),(5215,4635,1.1287,-0.79498),(5215,4645,1.135,-0.78892),(5215,4655,1.1411,-0.78287),(5215,4665,1.1471,-0.77683),(5215,4675,1.1531,-0.771),(5215,4685,1.159,-0.76525),(5215,4695,1.1647,-0.7595),(5215,4705,1.1704,-0.7539),(5215,4715,1.1761,-0.74842),(5215,4725,1.1816,-0.74294),(5215,4735,1.187,-0.73755),(5215,4745,1.1925,-0.73232),(5215,4755,1.1977,-0.72708),(5215,4765,1.203,-0.72189),(5215,4775,1.2082,-0.71688),(5215,4785,1.2133,-0.71187),(5215,4795,1.2184,-0.70686),(5215,4805,1.2234,-0.70209),(5215,4815,1.2284,-0.69732),(5215,4825,1.2332,-0.69255),(5215,4835,1.238,-0.68797),(5215,4845,1.2428,-0.68342),(5215,4855,1.2474,-0.67888),(5215,4865,1.2521,-0.67448),(5215,4875,1.2567,-0.67016),(5215,4885,1.2612,-0.66584),(5215,4895,1.2656,-0.66159),(5215,4905,1.2701,-0.65741),(5215,4915,1.2744,-0.65322),(5215,4925,1.2787,-0.64911),(5215,4935,1.283,-0.64515),(5215,4945,1.2871,-0.64118),(5215,4955,1.2913,-0.63724),(5215,4965,1.2954,-0.63346),(5215,4975,1.2994,-0.62967),(5215,4985,1.3034,-0.62588),(5215,4995,1.3074,-0.62223),(5215,5005,1.3113,-0.61858),(5215,5015,1.3151,-0.61494),(5215,5025,1.3189,-0.61143),(5215,5035,1.3227,-0.60797),(5215,5045,1.3264,-0.6045),(5215,5055,1.33,-0.60115),(5215,5065,1.3337,-0.59788),(5215,5075,1.3372,-0.5946),(5215,5085,1.3408,-0.59139),(5215,5095,1.3443,-0.58827),(5215,5105,1.3477,-0.58515),(5215,5115,1.3511,-0.58208),(5215,5125,1.3545,-0.57915),(5215,5135,1.3579,-0.57623),(5215,5145,1.3612,-0.57331),(5215,5155,1.3645,-0.57057),(5215,5165,1.3678,-0.56782),(5215,5175,1.371,-0.56507),(5215,5185,1.3743,-0.56251),(5215,5195,1.3775,-0.55996),(5215,5205,1.3808,-0.5574),(5215,5215,1.384,-0.55502),(5215,5225,1.3872,-0.55269),(5215,5235,1.3905,-0.55037),(5215,5245,1.3937,-0.54816),(5215,5255,1.397,-0.54604),(5215,5265,1.4003,-0.54392),(5215,5275,1.4037,-0.54186),(5215,5285,1.407,-0.53993),(5215,5295,1.4104,-0.53799),(5215,5305,1.4138,-0.53609),(5215,5315,1.4172,-0.53434),(5215,5325,1.4207,-0.5326),(5215,5335,1.4243,-0.53086),(5215,5345,1.4278,-0.52926),(5215,5355,1.4314,-0.52766),(5215,5365,1.4351,-0.52606),(5215,5375,1.4387,-0.52456),(5215,5385,1.4424,-0.52308),(5215,5395,1.4462,-0.52161),(5215,5405,1.4501,-0.52019),(5215,5415,1.4539,-0.51879),(5215,5425,1.4578,-0.5174),(5215,5435,1.4618,-0.51601),(5215,5445,1.4657,-0.51463),(5215,5455,1.4698,-0.51325),(5215,5465,1.4739,-0.51186),(5215,5475,1.478,-0.51044),(5215,5485,1.4823,-0.50902),(5215,5495,1.4865,-0.5076),(5215,5505,1.4908,-0.50613),(5215,5515,1.4951,-0.50466),(5215,5525,1.4995,-0.50319),(5215,5535,1.5039,-0.50164),(5215,5545,1.5083,-0.50009),(5215,5555,1.5129,-0.49853),(5215,5565,1.5174,-0.49685),(5215,5575,1.522,-0.49512),(5215,5585,1.5266,-0.4934),(5215,5595,1.5312,-0.49156),(5215,5605,1.5358,-0.48965),(5215,5615,1.5405,-0.48773),(5215,5625,1.5452,-0.48572),(5215,5635,1.5499,-0.48357),(5215,5645,1.5546,-0.48141),(5215,5655,1.5593,-0.4792),(5215,5665,1.564,-0.47681),(5215,5675,1.5687,-0.47442),(5215,5685,1.5734,-0.47201),(5215,5695,1.5781,-0.46934),(5215,5705,1.5828,-0.46668),(5215,5715,1.5875,-0.46402),(5215,5725,1.5921,-0.4611),(5215,5735,1.5968,-0.45814),(5215,5745,1.6014,-0.45519),(5215,5755,1.606,-0.45205),(5215,5765,1.6106,-0.44884),(5215,5775,1.6152,-0.44562),(5215,5785,1.6197,-0.44228),(5215,5795,1.6242,-0.43882),(5215,5805,1.6287,-0.43537),(5215,5815,1.6332,-0.43184),(5215,5825,1.6376,-0.42818),(5215,5835,1.642,-0.42453),(5215,5845,1.6464,-0.42083),(5215,5855,1.6508,-0.41695),(5215,5865,1.6551,-0.41308),(5215,5875,1.6594,-0.4092),(5215,5885,1.6637,-0.40509),(5215,5895,1.668,-0.40098),(5215,5905,1.6722,-0.39687),(5215,5915,1.6764,-0.39261),(5215,5925,1.6806,-0.38832),(5215,5935,1.6847,-0.38403),(5215,5945,1.6888,-0.37961),(5215,5955,1.6929,-0.37511),(5215,5965,1.6969,-0.37061),(5215,5975,1.7008,-0.36602),(5215,5985,1.7048,-0.36134),(5215,5995,1.7087,-0.35665),(5215,6005,1.7126,-0.35191),(5215,6015,1.7165,-0.34702),(5215,6025,1.7202,-0.34213),(5215,6035,1.724,-0.33723),(5215,6045,1.7277,-0.33219),(5215,6055,1.7314,-0.32715),(5215,6065,1.735,-0.32212),(5215,6075,1.7386,-0.31695),(5215,6085,1.7422,-0.31177),(5215,6095,1.7456,-0.30658),(5215,6105,1.7491,-0.30129),(5215,6115,1.7526,-0.29595),(5215,6125,1.7559,-0.29062),(5215,6135,1.7592,-0.28519),(5215,6145,1.7626,-0.2797),(5215,6155,1.7657,-0.27421),(5215,6165,1.7689,-0.26867),(5215,6175,1.7721,-0.26304),(5215,6185,1.7751,-0.25741),(5215,6195,1.7781,-0.25176),(5215,6205,1.7811,-0.24603),(5215,6215,1.784,-0.24029),(5215,6225,1.7868,-0.23455),(5215,6235,1.7896,-0.22867),(5215,6245,1.7924,-0.22279),(5215,6255,1.795,-0.21692),(5215,6265,1.7976,-0.21089),(5215,6275,1.8002,-0.20483),(5215,6285,1.8026,-0.19878),(5215,6295,1.805,-0.19268),(5215,6305,1.8074,-0.18656),(5215,6315,1.8096,-0.18044),(5215,6325,1.8118,-0.17426),(5215,6335,1.814,-0.16802),(5215,6345,1.816,-0.16178),(5215,6355,1.818,-0.1555),(5215,6365,1.82,-0.14915),(5215,6375,1.8218,-0.1428),(5215,6385,1.8235,-0.13645),(5215,6395,1.8253,-0.13004),(5215,6405,1.8269,-0.12364),(5215,6415,1.8284,-0.11723),(5215,6425,1.83,-0.11077),(5215,6435,1.8314,-0.10431),(5215,6445,1.8327,-0.097842),(5215,6455,1.834,-0.091339),(5215,6465,1.8352,-0.084826),(5215,6475,1.8362,-0.078312),(5215,6485,1.8373,-0.071753),(5215,6495,1.8383,-0.065162),(5215,6505,1.839,-0.058572),(5215,6515,1.8398,-0.051967),(5215,6525,1.8405,-0.045344),(5215,6535,1.841,-0.03872),(5215,6545,1.8415,-0.032088),(5215,6555,1.842,-0.025429),(5215,6565,1.8422,-0.018769),(5215,6575,1.8424,-0.012112),(5215,6585,1.8426,-0.005483),(5215,6595,1.5674,0.001145),(5215,6605,0.98811,0.007774),(5215,6615,0.40882,0.00854),(5215,6625,0.001588,0.008552),(5215,6635,0.001597,0.008565),(5215,6645,0.001605,0.00859),(5215,6655,0.001614,0.008619),(5215,6665,0.001621,0.008648),(5215,6675,0.001629,0.008676),(5215,6685,0.001637,0.008702),(5215,6695,0.001644,0.008729),(5215,6705,0.001651,0.008754),(5215,6715,0.001657,0.008777),(5215,6725,0.001664,0.008801),(5215,6735,0.00167,0.008824),(5215,6745,0.001677,0.008845),(5215,6755,0.001683,0.008866),(5215,6765,0.001688,0.008887),(5215,6775,0.001695,0.008905),(5215,6785,0.0017,0.008924),(5215,6795,0.001706,0.008943),(5215,6805,0.001712,0.008959),(5215,6815,0.001717,0.008976),(5215,6825,0.001723,0.008992),(5215,6835,0.001728,0.009007),(5215,6845,0.001734,0.009022),(5215,6855,0.001739,0.009036),(5215,6865,0.001744,0.00905),(5215,6875,0.00175,0.009063),(5215,6885,0.001755,0.009075),(5215,6895,0.001761,0.009088),(5215,6905,0.001766,0.009099),(5215,6915,0.001771,0.00911),(5215,6925,0.001777,0.009121),(5215,6935,0.001782,0.00913),(5215,6945,0.001787,0.00914),(5215,6955,0.001793,0.009149),(5215,6965,0.001798,0.009158),(5215,6975,0.001804,0.009166),(5215,6985,0.001809,0.009174),(5225,5,2e-06,-1.281),(5225,15,6e-06,-1.2811),(5225,25,4e-06,-1.2812),(5225,35,-2e-06,-1.2813),(5225,45,-9e-06,-1.2814),(5225,55,-1.6e-05,-1.2814),(5225,65,-3.5e-05,-1.2814),(5225,75,-6.5e-05,-1.2814),(5225,85,-9.5e-05,-1.2814),(5225,95,-0.000125,-1.2814),(5225,105,-0.000138,-1.2814),(5225,115,-0.00014,-1.2815),(5225,125,-0.000143,-1.2815),(5225,135,-0.000145,-1.2815),(5225,145,-0.000148,-1.2815),(5225,155,-0.000152,-1.2816),(5225,165,-0.000156,-1.2816),(5225,175,-0.00016,-1.2816),(5225,185,-0.000146,-1.2817),(5225,195,-0.000125,-1.2817),(5225,205,-0.000103,-1.2818),(5225,215,-8.2e-05,-1.2819),(5225,225,-4.5e-05,-1.2819),(5225,235,-2e-06,-1.282),(5225,245,4e-05,-1.2821),(5225,255,8.3e-05,-1.2822),(5225,265,0.000131,-1.2823),(5225,275,0.000181,-1.2824),(5225,285,0.000231,-1.2825),(5225,295,0.000281,-1.2826),(5225,305,0.000322,-1.2827),(5225,315,0.000362,-1.2828),(5225,325,0.000401,-1.2829),(5225,335,0.000441,-1.283),(5225,345,0.000455,-1.2831),(5225,355,0.000464,-1.2832),(5225,365,0.000473,-1.2833),(5225,375,0.000482,-1.2834),(5225,385,0.000466,-1.2835),(5225,395,0.000447,-1.2835),(5225,405,0.000428,-1.2836),(5225,415,0.000409,-1.2837),(5225,425,0.000392,-1.2837),(5225,435,0.000374,-1.2838),(5225,445,0.000357,-1.2839),(5225,455,0.00034,-1.284),(5225,465,0.000335,-1.2841),(5225,475,0.000331,-1.2842),(5225,485,0.000327,-1.2843),(5225,495,0.000324,-1.2844),(5225,505,0.000343,-1.2845),(5225,515,0.000363,-1.2846),(5225,525,0.000383,-1.2847),(5225,535,0.000404,-1.2848),(5225,545,0.000446,-1.2849),(5225,555,0.000487,-1.2851),(5225,565,0.000529,-1.2852),(5225,575,0.00057,-1.2854),(5225,585,0.000602,-1.2855),(5225,595,0.000634,-1.2857),(5225,605,0.000666,-1.2858),(5225,615,0.000692,-1.286),(5225,625,0.000664,-1.2861),(5225,635,0.000636,-1.2863),(5225,645,0.000608,-1.2863),(5225,655,0.000573,-1.2864),(5225,665,0.000501,-1.2864),(5225,675,0.000429,-1.2865),(5225,685,0.000357,-1.2865),(5225,695,0.00029,-1.2865),(5225,705,0.000246,-1.2865),(5225,715,0.000203,-1.2865),(5225,725,0.00016,-1.2866),(5225,735,0.00013,-1.2867),(5225,745,0.000146,-1.2868),(5225,755,0.000163,-1.2868),(5225,765,0.000179,-1.287),(5225,775,0.000206,-1.2871),(5225,785,0.000258,-1.2872),(5225,795,0.00031,-1.2874),(5225,805,0.000362,-1.2875),(5225,815,0.000414,-1.2876),(5225,825,0.000464,-1.2878),(5225,835,0.000514,-1.2879),(5225,845,0.000564,-1.288),(5225,855,0.000611,-1.2881),(5225,865,0.000651,-1.2882),(5225,875,0.000692,-1.2883),(5225,885,0.000732,-1.2884),(5225,895,0.000772,-1.2884),(5225,905,0.000813,-1.2885),(5225,915,0.000853,-1.2886),(5225,925,0.000893,-1.2886),(5225,935,0.000928,-1.2887),(5225,945,0.000956,-1.2888),(5225,955,0.000983,-1.2888),(5225,965,0.00101,-1.2888),(5225,975,0.001034,-1.2887),(5225,985,0.001055,-1.2887),(5225,995,0.001075,-1.2887),(5225,1005,0.001095,-1.2886),(5225,1015,0.001122,-1.2886),(5225,1025,0.001153,-1.2885),(5225,1035,0.001185,-1.2884),(5225,1045,0.001216,-1.2883),(5225,1055,0.001246,-1.2882),(5225,1065,0.001276,-1.2881),(5225,1075,0.001306,-1.288),(5225,1085,0.001335,-1.2878),(5225,1095,0.001376,-1.2876),(5225,1105,0.001424,-1.2874),(5225,1115,0.001473,-1.2871),(5225,1125,0.001521,-1.2868),(5225,1135,0.001597,-1.2865),(5225,1145,0.001688,-1.2863),(5225,1155,0.00178,-1.286),(5225,1165,0.001872,-1.2856),(5225,1175,0.001873,-1.2853),(5225,1185,0.001828,-1.285),(5225,1195,0.001784,-1.2846),(5225,1205,0.00174,-1.2842),(5225,1215,0.001183,-1.2838),(5225,1225,0.000414,-1.2834),(5225,1235,-0.000355,-1.2825),(5225,1245,-0.001124,-1.2814),(5225,1255,-0.002074,-1.2803),(5225,1265,-0.003085,-1.2792),(5225,1275,-0.004097,-1.274),(5225,1285,-0.005108,-1.2676),(5225,1295,-0.0015,-1.2611),(5225,1305,0.003358,-1.2547),(5225,1315,0.008216,-1.2408),(5225,1325,0.013073,-1.2251),(5225,1335,0.00776,-1.2095),(5225,1345,0.000315,-1.1938),(5225,1355,-0.00713,-1.2041),(5225,1365,-0.014576,-1.2192),(5225,1375,-0.010868,-1.2342),(5225,1385,-0.005441,-1.2492),(5225,1395,-1.3e-05,-1.258),(5225,1405,0.005415,-1.2661),(5225,1415,0.005076,-1.2741),(5225,1425,0.004139,-1.2821),(5225,1435,0.003202,-1.2842),(5225,1445,0.002264,-1.2858),(5225,1455,0.001294,-1.2874),(5225,1465,0.000322,-1.2889),(5225,1475,-0.000649,-1.2898),(5225,1485,-0.001621,-1.2906),(5225,1495,-0.001777,-1.2914),(5225,1505,-0.001921,-1.2923),(5225,1515,-0.002064,-1.293),(5225,1525,-0.002203,-1.2938),(5225,1535,-0.002156,-1.2946),(5225,1545,-0.00211,-1.2954),(5225,1555,-0.002063,-1.2961),(5225,1565,-0.002017,-1.2968),(5225,1575,-0.001988,-1.2975),(5225,1585,-0.001958,-1.2981),(5225,1595,-0.001929,-1.2987),(5225,1605,-0.001899,-1.2993),(5225,1615,-0.001876,-1.2998),(5225,1625,-0.001853,-1.3004),(5225,1635,-0.00183,-1.3009),(5225,1645,-0.001804,-1.3013),(5225,1655,-0.001761,-1.3018),(5225,1665,-0.001717,-1.3023),(5225,1675,-0.001674,-1.3027),(5225,1685,-0.001627,-1.3031),(5225,1695,-0.001564,-1.3035),(5225,1705,-0.001502,-1.3039),(5225,1715,-0.00144,-1.3043),(5225,1725,-0.001375,-1.3046),(5225,1735,-0.001301,-1.3049),(5225,1745,-0.001226,-1.3053),(5225,1755,-0.001153,-1.3056),(5225,1765,-0.001077,-1.3059),(5225,1775,-0.000995,-1.3062),(5225,1785,-0.000914,-1.3065),(5225,1795,-0.000833,-1.3067),(5225,1805,-0.000755,-1.307),(5225,1815,-0.000688,-1.3072),(5225,1825,-0.00062,-1.3075),(5225,1835,-0.000553,-1.3077),(5225,1845,-0.000491,-1.3079),(5225,1855,-0.000441,-1.3081),(5225,1865,-0.000391,-1.3083),(5225,1875,-0.00034,-1.3084),(5225,1885,-0.000294,-1.3086),(5225,1895,-0.000253,-1.3087),(5225,1905,-0.000212,-1.3089),(5225,1915,-0.000172,-1.309),(5225,1925,-0.000139,-1.3092),(5225,1935,-0.000116,-1.3093),(5225,1945,-9.4e-05,-1.3094),(5225,1955,-7.2e-05,-1.3095),(5225,1965,-5.5e-05,-1.3096),(5225,1975,-4.4e-05,-1.3097),(5225,1985,-3.3e-05,-1.3098),(5225,1995,-2.2e-05,-1.3099),(5225,2005,-8e-06,-1.31),(5225,2015,8e-06,-1.3101),(5225,2025,2.5e-05,-1.3102),(5225,2035,4.2e-05,-1.3103),(5225,2045,6e-05,-1.3103),(5225,2055,8.1e-05,-1.3104),(5225,2065,0.000101,-1.3105),(5225,2075,0.000122,-1.3106),(5225,2085,0.000141,-1.3107),(5225,2095,0.000158,-1.3108),(5225,2105,0.000176,-1.3108),(5225,2115,0.000193,-1.3109),(5225,2125,0.000217,-1.3109),(5225,2135,0.000244,-1.311),(5225,2145,0.000271,-1.311),(5225,2155,0.000298,-1.3111),(5225,2165,0.000339,-1.3111),(5225,2175,0.000386,-1.3112),(5225,2185,0.000433,-1.3112),(5225,2195,0.00048,-1.3113),(5225,2205,0.000518,-1.3113),(5225,2215,0.000551,-1.3114),(5225,2225,0.000585,-1.3114),(5225,2235,0.000618,-1.3114),(5225,2245,0.000619,-1.3114),(5225,2255,0.000608,-1.3115),(5225,2265,0.000597,-1.3114),(5225,2275,0.000586,-1.3114),(5225,2285,0.000567,-1.3113),(5225,2295,0.000544,-1.3112),(5225,2305,0.000522,-1.3112),(5225,2315,0.0005,-1.3111),(5225,2325,0.000505,-1.311),(5225,2335,0.000516,-1.3109),(5225,2345,0.000528,-1.3109),(5225,2355,0.000539,-1.3108),(5225,2365,0.000568,-1.3108),(5225,2375,0.000599,-1.3107),(5225,2385,0.000631,-1.3107),(5225,2395,0.000662,-1.3106),(5225,2405,0.000687,-1.3105),(5225,2415,0.00071,-1.3104),(5225,2425,0.000734,-1.3103),(5225,2435,0.000757,-1.3102),(5225,2445,0.000786,-1.31),(5225,2455,0.000815,-1.3099),(5225,2465,0.000843,-1.3098),(5225,2475,0.000872,-1.3096),(5225,2485,0.000924,-1.3095),(5225,2495,0.000976,-1.3093),(5225,2505,0.001029,-1.3092),(5225,2515,0.001081,-1.309),(5225,2525,0.001133,-1.3089),(5225,2535,0.001184,-1.3088),(5225,2545,0.001236,-1.3086),(5225,2555,0.001286,-1.3084),(5225,2565,0.001312,-1.3082),(5225,2575,0.001338,-1.308),(5225,2585,0.001364,-1.3077),(5225,2595,0.001391,-1.3075),(5225,2605,0.001429,-1.3072),(5225,2615,0.001468,-1.3069),(5225,2625,0.001506,-1.3067),(5225,2635,0.001548,-1.3064),(5225,2645,0.001616,-1.3062),(5225,2655,0.001684,-1.3059),(5225,2665,0.001752,-1.3056),(5225,2675,0.001815,-1.3054),(5225,2685,0.001854,-1.3051),(5225,2695,0.001894,-1.3049),(5225,2705,0.001933,-1.3045),(5225,2715,0.001966,-1.3041),(5225,2725,0.001973,-1.3038),(5225,2735,0.001981,-1.3034),(5225,2745,0.001988,-1.303),(5225,2755,0.002,-1.3025),(5225,2765,0.002026,-1.3021),(5225,2775,0.002052,-1.3017),(5225,2785,0.002078,-1.3013),(5225,2795,0.002105,-1.3009),(5225,2805,0.002131,-1.3005),(5225,2815,0.002158,-1.3001),(5225,2825,0.002185,-1.2996),(5225,2835,0.002198,-1.2992),(5225,2845,0.002186,-1.2987),(5225,2855,0.002173,-1.2982),(5225,2865,0.00216,-1.2977),(5225,2875,0.002148,-1.2971),(5225,2885,0.002136,-1.2965),(5225,2895,0.002124,-1.2959),(5225,2905,0.002112,-1.2954),(5225,2915,0.002109,-1.2948),(5225,2925,0.002119,-1.2942),(5225,2935,0.002129,-1.2936),(5225,2945,0.002139,-1.2929),(5225,2955,0.002149,-1.2923),(5225,2965,0.002158,-1.2917),(5225,2975,0.002168,-1.291),(5225,2985,0.002177,-1.2903),(5225,2995,0.002196,-1.2896),(5225,3005,0.002226,-1.2889),(5225,3015,0.002255,-1.2882),(5225,3025,0.002285,-1.2874),(5225,3035,0.002314,-1.2867),(5225,3045,0.002343,-1.286),(5225,3055,0.002372,-1.2852),(5225,3065,0.002401,-1.2844),(5225,3075,0.002426,-1.2836),(5225,3085,0.002448,-1.2829),(5225,3095,0.00247,-1.282),(5225,3105,0.002492,-1.2812),(5225,3115,0.002516,-1.2803),(5225,3125,0.00254,-1.2794),(5225,3135,0.002565,-1.2785),(5225,3145,0.00259,-1.2776),(5225,3155,0.002613,-1.2767),(5225,3165,0.002637,-1.2757),(5225,3175,0.00266,-1.2747),(5225,3185,0.002684,-1.2737),(5225,3195,0.002682,-1.2727),(5225,3205,0.002668,-1.2717),(5225,3215,0.002655,-1.2706),(5225,3225,0.002642,-1.2694),(5225,3235,0.002632,-1.2682),(5225,3245,0.002623,-1.267),(5225,3255,0.002614,-1.2658),(5225,3265,0.002606,-1.2646),(5225,3275,0.002634,-1.2634),(5225,3285,0.002674,-1.2622),(5225,3295,0.002713,-1.261),(5225,3305,0.002753,-1.2597),(5225,3315,0.00279,-1.2585),(5225,3325,0.002827,-1.2572),(5225,3335,0.002864,-1.2559),(5225,3345,0.002901,-1.2545),(5225,3355,0.002919,-1.2531),(5225,3365,0.002933,-1.2518),(5225,3375,0.002947,-1.2503),(5225,3385,0.002961,-1.2488),(5225,3395,0.002977,-1.2473),(5225,3405,0.002993,-1.2458),(5225,3415,0.003009,-1.2442),(5225,3425,0.003026,-1.2427),(5225,3435,0.003053,-1.2411),(5225,3445,0.003081,-1.2395),(5225,3455,0.003109,-1.2379),(5225,3465,0.003137,-1.2362),(5225,3475,0.003151,-1.2346),(5225,3485,0.003164,-1.2329),(5225,3495,0.003177,-1.2311),(5225,3505,0.00319,-1.2293),(5225,3515,0.003196,-1.2275),(5225,3525,0.003202,-1.2257),(5225,3535,0.003207,-1.2238),(5225,3545,0.003213,-1.2218),(5225,3555,0.003222,-1.2199),(5225,3565,0.00323,-1.218),(5225,3575,0.003238,-1.2159),(5225,3585,0.003246,-1.2139),(5225,3595,0.00325,-1.2119),(5225,3605,0.003255,-1.2098),(5225,3615,0.003259,-1.2077),(5225,3625,0.003265,-1.2055),(5225,3635,0.003287,-1.2034),(5225,3645,0.003309,-1.2012),(5225,3655,0.003332,-1.1989),(5225,3665,0.003357,-1.1967),(5225,3675,0.003395,-1.1944),(5225,3685,0.003434,-1.1922),(5225,3695,0.003473,-1.1898),(5225,3705,0.003511,-1.1875),(5225,3715,0.003549,-1.1851),(5225,3725,0.003586,-1.1827),(5225,3735,0.003624,-1.1802),(5225,3745,0.003662,-1.1777),(5225,3755,0.003702,-1.1752),(5225,3765,0.003742,-1.1727),(5225,3775,0.003781,-1.1701),(5225,3785,0.003818,-1.1675),(5225,3795,0.003849,-1.1649),(5225,3805,0.003879,-1.1623),(5225,3815,0.00391,-1.1596),(5225,3825,0.003924,-1.1568),(5225,3835,0.003903,-1.1541),(5225,3845,0.003883,-1.1514),(5225,3855,0.003863,-1.1485),(5225,3865,0.003777,-1.1456),(5225,3875,0.003576,-1.1427),(5225,3885,0.003376,-1.1398),(5225,3895,0.003175,-1.1367),(5225,3905,0.002792,-1.1336),(5225,3915,0.002138,-1.1304),(5225,3925,0.001483,-1.1271),(5225,3935,0.000829,-1.1233),(5225,3945,0.000231,-1.1195),(5225,3955,-0.000296,-1.1157),(5225,3965,-0.000822,-1.1102),(5225,3975,-0.001349,-1.1025),(5225,3985,0.000964,-1.0949),(5225,3995,0.00635,-1.0872),(5225,4005,0.011737,-1.0749),(5225,4015,0.017123,-1.058),(5225,4025,0.13386,-1.0411),(5225,4035,0.26149,-1.0305),(5225,4045,0.38911,-1.0333),(5225,4055,0.48665,-1.036),(5225,4065,0.5732,-1.0388),(5225,4075,0.65975,-1.0418),(5225,4085,0.70113,-1.0448),(5225,4095,0.7062,-1.0478),(5225,4105,0.71127,-1.0494),(5225,4115,0.71675,-1.0511),(5225,4125,0.72289,-1.0527),(5225,4135,0.72904,-1.0532),(5225,4145,0.73539,-1.0534),(5225,4155,0.74258,-1.0536),(5225,4165,0.74976,-1.0531),(5225,4175,0.75695,-1.0521),(5225,4185,0.76469,-1.0511),(5225,4195,0.77243,-1.0497),(5225,4205,0.78017,-1.0478),(5225,4215,0.78817,-1.0459),(5225,4225,0.79623,-1.0438),(5225,4235,0.80429,-1.041),(5225,4245,0.81249,-1.0382),(5225,4255,0.82076,-1.0354),(5225,4265,0.82903,-1.0318),(5225,4275,0.83739,-1.0283),(5225,4285,0.84586,-1.0247),(5225,4295,0.85432,-1.0203),(5225,4305,0.86283,-1.0158),(5225,4315,0.87145,-1.0113),(5225,4325,0.88007,-1.0063),(5225,4335,0.88871,-1.0012),(5225,4345,0.89745,-0.99596),(5225,4355,0.90619,-0.99043),(5225,4365,0.91494,-0.9846),(5225,4375,0.92361,-0.97877),(5225,4385,0.93228,-0.97277),(5225,4395,0.94095,-0.9665),(5225,4405,0.94947,-0.96022),(5225,4415,0.95796,-0.95389),(5225,4425,0.96644,-0.94732),(5225,4435,0.97475,-0.94075),(5225,4445,0.98294,-0.93417),(5225,4455,0.99113,-0.92743),(5225,4465,0.99918,-0.9207),(5225,4475,1.007,-0.91396),(5225,4485,1.0149,-0.90723),(5225,4495,1.0227,-0.9005),(5225,4505,1.0302,-0.89377),(5225,4515,1.0377,-0.88705),(5225,4525,1.0453,-0.88034),(5225,4535,1.0525,-0.87363),(5225,4545,1.0597,-0.867),(5225,4555,1.0669,-0.86046),(5225,4565,1.0739,-0.85392),(5225,4575,1.0808,-0.84742),(5225,4585,1.0877,-0.84103),(5225,4595,1.0944,-0.83465),(5225,4605,1.1011,-0.82829),(5225,4615,1.1077,-0.82208),(5225,4625,1.1142,-0.81588),(5225,4635,1.1206,-0.80967),(5225,4645,1.1269,-0.80366),(5225,4655,1.1331,-0.79765),(5225,4665,1.1392,-0.79164),(5225,4675,1.1452,-0.78583),(5225,4685,1.1512,-0.78009),(5225,4695,1.157,-0.77434),(5225,4705,1.1628,-0.76873),(5225,4715,1.1686,-0.76324),(5225,4725,1.1741,-0.75774),(5225,4735,1.1796,-0.75232),(5225,4745,1.1852,-0.74704),(5225,4755,1.1905,-0.74175),(5225,4765,1.1958,-0.73651),(5225,4775,1.2011,-0.73144),(5225,4785,1.2063,-0.72637),(5225,4795,1.2114,-0.72131),(5225,4805,1.2165,-0.71647),(5225,4815,1.2215,-0.71163),(5225,4825,1.2264,-0.70678),(5225,4835,1.2313,-0.70212),(5225,4845,1.2361,-0.69748),(5225,4855,1.2408,-0.69284),(5225,4865,1.2455,-0.68835),(5225,4875,1.2502,-0.68392),(5225,4885,1.2547,-0.6795),(5225,4895,1.2592,-0.67514),(5225,4905,1.2638,-0.67086),(5225,4915,1.2681,-0.66658),(5225,4925,1.2724,-0.66236),(5225,4935,1.2767,-0.65828),(5225,4945,1.281,-0.65419),(5225,4955,1.2851,-0.65014),(5225,4965,1.2893,-0.64623),(5225,4975,1.2934,-0.64232),(5225,4985,1.2974,-0.63842),(5225,4995,1.3014,-0.63465),(5225,5005,1.3053,-0.63088),(5225,5015,1.3092,-0.62712),(5225,5025,1.3131,-0.6235),(5225,5035,1.3169,-0.61992),(5225,5045,1.3206,-0.61634),(5225,5055,1.3243,-0.61288),(5225,5065,1.328,-0.60948),(5225,5075,1.3316,-0.60608),(5225,5085,1.3352,-0.60276),(5225,5095,1.3388,-0.59953),(5225,5105,1.3423,-0.5963),(5225,5115,1.3458,-0.59312),(5225,5125,1.3492,-0.59008),(5225,5135,1.3526,-0.58704),(5225,5145,1.356,-0.58401),(5225,5155,1.3594,-0.58114),(5225,5165,1.3627,-0.57828),(5225,5175,1.366,-0.57541),(5225,5185,1.3693,-0.57271),(5225,5195,1.3726,-0.57003),(5225,5205,1.3759,-0.56735),(5225,5215,1.3792,-0.56483),(5225,5225,1.3825,-0.56237),(5225,5235,1.3858,-0.55991),(5225,5245,1.3891,-0.55755),(5225,5255,1.3924,-0.55528),(5225,5265,1.3958,-0.55301),(5225,5275,1.3992,-0.55081),(5225,5285,1.4026,-0.54871),(5225,5295,1.406,-0.54662),(5225,5305,1.4095,-0.54456),(5225,5315,1.4129,-0.54265),(5225,5325,1.4165,-0.54074),(5225,5335,1.4201,-0.53883),(5225,5345,1.4236,-0.53705),(5225,5355,1.4273,-0.53528),(5225,5365,1.431,-0.5335),(5225,5375,1.4347,-0.53182),(5225,5385,1.4384,-0.53017),(5225,5395,1.4423,-0.52851),(5225,5405,1.4461,-0.5269),(5225,5415,1.4499,-0.52532),(5225,5425,1.4539,-0.52374),(5225,5435,1.4579,-0.52216),(5225,5445,1.4618,-0.52059),(5225,5455,1.4659,-0.51901),(5225,5465,1.47,-0.51742),(5225,5475,1.4741,-0.51581),(5225,5485,1.4783,-0.51419),(5225,5495,1.4825,-0.51257),(5225,5505,1.4867,-0.5109),(5225,5515,1.491,-0.50923),(5225,5525,1.4954,-0.50756),(5225,5535,1.4997,-0.5058),(5225,5545,1.5041,-0.50404),(5225,5555,1.5086,-0.50228),(5225,5565,1.513,-0.5004),(5225,5575,1.5175,-0.49848),(5225,5585,1.5221,-0.49656),(5225,5595,1.5266,-0.49454),(5225,5605,1.5311,-0.49244),(5225,5615,1.5358,-0.49033),(5225,5625,1.5404,-0.48814),(5225,5635,1.545,-0.48583),(5225,5645,1.5496,-0.48351),(5225,5655,1.5542,-0.48114),(5225,5665,1.5588,-0.4786),(5225,5675,1.5634,-0.47606),(5225,5685,1.568,-0.4735),(5225,5695,1.5726,-0.4707),(5225,5705,1.5772,-0.4679),(5225,5715,1.5818,-0.46511),(5225,5725,1.5864,-0.46207),(5225,5735,1.5909,-0.45901),(5225,5745,1.5954,-0.45594),(5225,5755,1.6,-0.4527),(5225,5765,1.6045,-0.44939),(5225,5775,1.6089,-0.44609),(5225,5785,1.6134,-0.44265),(5225,5795,1.6178,-0.43911),(5225,5805,1.6222,-0.43556),(5225,5815,1.6265,-0.43196),(5225,5825,1.6309,-0.42823),(5225,5835,1.6352,-0.4245),(5225,5845,1.6395,-0.42074),(5225,5855,1.6438,-0.4168),(5225,5865,1.6481,-0.41286),(5225,5875,1.6523,-0.40893),(5225,5885,1.6565,-0.40477),(5225,5895,1.6607,-0.40061),(5225,5905,1.6648,-0.39645),(5225,5915,1.669,-0.39215),(5225,5925,1.6731,-0.38782),(5225,5935,1.6771,-0.38349),(5225,5945,1.6811,-0.37904),(5225,5955,1.6851,-0.37451),(5225,5965,1.6891,-0.36998),(5225,5975,1.693,-0.36537),(5225,5985,1.6969,-0.36067),(5225,5995,1.7007,-0.35596),(5225,6005,1.7045,-0.3512),(5225,6015,1.7083,-0.3463),(5225,6025,1.7121,-0.3414),(5225,6035,1.7157,-0.33648),(5225,6045,1.7194,-0.33143),(5225,6055,1.723,-0.32638),(5225,6065,1.7266,-0.32133),(5225,6075,1.7301,-0.31615),(5225,6085,1.7336,-0.31096),(5225,6095,1.7371,-0.30578),(5225,6105,1.7405,-0.30047),(5225,6115,1.7439,-0.29513),(5225,6125,1.7471,-0.28979),(5225,6135,1.7504,-0.28437),(5225,6145,1.7537,-0.27888),(5225,6155,1.7568,-0.27339),(5225,6165,1.7599,-0.26785),(5225,6175,1.763,-0.26223),(5225,6185,1.766,-0.2566),(5225,6195,1.769,-0.25096),(5225,6205,1.7719,-0.24523),(5225,6215,1.7748,-0.23951),(5225,6225,1.7775,-0.23377),(5225,6235,1.7803,-0.22791),(5225,6245,1.783,-0.22204),(5225,6255,1.7856,-0.21617),(5225,6265,1.7882,-0.21016),(5225,6275,1.7907,-0.20412),(5225,6285,1.7931,-0.19808),(5225,6295,1.7954,-0.192),(5225,6305,1.7978,-0.1859),(5225,6315,1.8,-0.1798),(5225,6325,1.8021,-0.17364),(5225,6335,1.8043,-0.16742),(5225,6345,1.8063,-0.16119),(5225,6355,1.8082,-0.15494),(5225,6365,1.8101,-0.14861),(5225,6375,1.8119,-0.14228),(5225,6385,1.8136,-0.13594),(5225,6395,1.8153,-0.12955),(5225,6405,1.8169,-0.12315),(5225,6415,1.8184,-0.11676),(5225,6425,1.8199,-0.11032),(5225,6435,1.8213,-0.10387),(5225,6445,1.8226,-0.097421),(5225,6455,1.8238,-0.090939),(5225,6465,1.825,-0.084446),(5225,6475,1.8261,-0.077953),(5225,6485,1.8271,-0.071419),(5225,6495,1.8281,-0.064858),(5225,6505,1.8288,-0.058296),(5225,6515,1.8296,-0.051721),(5225,6525,1.8303,-0.045127),(5225,6535,1.8308,-0.038532),(5225,6545,1.8313,-0.031929),(5225,6555,1.8317,-0.025297),(5225,6565,1.832,-0.018665),(5225,6575,1.8322,-0.012034),(5225,6585,1.8324,-0.00543),(5225,6595,1.5587,0.001175),(5225,6605,0.9826,0.00778),(5225,6615,0.40652,0.008545),(5225,6625,0.001552,0.00856),(5225,6635,0.001562,0.008575),(5225,6645,0.001572,0.008599),(5225,6655,0.001581,0.008628),(5225,6665,0.00159,0.008657),(5225,6675,0.001599,0.008685),(5225,6685,0.001607,0.008711),(5225,6695,0.001615,0.008737),(5225,6705,0.001623,0.008762),(5225,6715,0.00163,0.008785),(5225,6725,0.001638,0.008808),(5225,6735,0.001645,0.008831),(5225,6745,0.001652,0.008852),(5225,6755,0.001659,0.008873),(5225,6765,0.001666,0.008894),(5225,6775,0.001672,0.008912),(5225,6785,0.001679,0.008931),(5225,6795,0.001685,0.008949),(5225,6805,0.001691,0.008966),(5225,6815,0.001698,0.008982),(5225,6825,0.001704,0.008998),(5225,6835,0.00171,0.009014),(5225,6845,0.001716,0.009028),(5225,6855,0.001722,0.009043),(5225,6865,0.001728,0.009056),(5225,6875,0.001734,0.009069),(5225,6885,0.00174,0.009081),(5225,6895,0.001746,0.009094),(5225,6905,0.001752,0.009105),(5225,6915,0.001757,0.009116),(5225,6925,0.001763,0.009127),(5225,6935,0.001769,0.009136),(5225,6945,0.001775,0.009146),(5225,6955,0.001781,0.009155),(5225,6965,0.001786,0.009163),(5225,6975,0.001792,0.009172),(5225,6985,0.001798,0.00918),(5235,5,-3e-06,-1.3249),(5235,15,-8e-06,-1.325),(5235,25,-1.4e-05,-1.3251),(5235,35,-2.2e-05,-1.3253),(5235,45,-2.9e-05,-1.3253),(5235,55,-3.7e-05,-1.3253),(5235,65,-5.8e-05,-1.3253),(5235,75,-9e-05,-1.3253),(5235,85,-0.000122,-1.3254),(5235,95,-0.000154,-1.3254),(5235,105,-0.000171,-1.3254),(5235,115,-0.000178,-1.3254),(5235,125,-0.000185,-1.3254),(5235,135,-0.000193,-1.3255),(5235,145,-0.000202,-1.3255),(5235,155,-0.000211,-1.3255),(5235,165,-0.000221,-1.3256),(5235,175,-0.00023,-1.3256),(5235,185,-0.000225,-1.3256),(5235,195,-0.000212,-1.3257),(5235,205,-0.000199,-1.3257),(5235,215,-0.000186,-1.3258),(5235,225,-0.000158,-1.3258),(5235,235,-0.000123,-1.3259),(5235,245,-8.8e-05,-1.326),(5235,255,-5.3e-05,-1.3261),(5235,265,-1e-05,-1.3262),(5235,275,3.7e-05,-1.3263),(5235,285,8.3e-05,-1.3264),(5235,295,0.00013,-1.3265),(5235,305,0.000172,-1.3266),(5235,315,0.000214,-1.3267),(5235,325,0.000256,-1.3269),(5235,335,0.000298,-1.327),(5235,345,0.000317,-1.3271),(5235,355,0.000331,-1.3272),(5235,365,0.000346,-1.3273),(5235,375,0.00036,-1.3274),(5235,385,0.000347,-1.3275),(5235,395,0.00033,-1.3276),(5235,405,0.000313,-1.3277),(5235,415,0.000296,-1.3277),(5235,425,0.000273,-1.3278),(5235,435,0.00025,-1.3279),(5235,445,0.000226,-1.3279),(5235,455,0.000203,-1.328),(5235,465,0.000189,-1.3281),(5235,475,0.000175,-1.3282),(5235,485,0.000161,-1.3283),(5235,495,0.000147,-1.3284),(5235,505,0.000154,-1.3285),(5235,515,0.000162,-1.3286),(5235,525,0.000169,-1.3287),(5235,535,0.000177,-1.3288),(5235,545,0.000209,-1.329),(5235,555,0.00024,-1.3291),(5235,565,0.000272,-1.3293),(5235,575,0.000304,-1.3294),(5235,585,0.000335,-1.3296),(5235,595,0.000366,-1.3297),(5235,605,0.000397,-1.3299),(5235,615,0.000422,-1.3301),(5235,625,0.000401,-1.3302),(5235,635,0.000379,-1.3304),(5235,645,0.000358,-1.3305),(5235,655,0.000328,-1.3305),(5235,665,0.000253,-1.3306),(5235,675,0.000178,-1.3307),(5235,685,0.000103,-1.3307),(5235,695,3e-05,-1.3307),(5235,705,-3.3e-05,-1.3307),(5235,715,-9.6e-05,-1.3307),(5235,725,-0.000159,-1.3308),(5235,735,-0.00021,-1.3308),(5235,745,-0.000219,-1.3309),(5235,755,-0.000229,-1.3309),(5235,765,-0.000238,-1.3311),(5235,775,-0.000236,-1.3312),(5235,785,-0.000205,-1.3313),(5235,795,-0.000173,-1.3314),(5235,805,-0.000141,-1.3316),(5235,815,-0.000108,-1.3317),(5235,825,-7.1e-05,-1.3319),(5235,835,-3.4e-05,-1.332),(5235,845,4e-06,-1.3321),(5235,855,3.8e-05,-1.3322),(5235,865,6.6e-05,-1.3323),(5235,875,9.5e-05,-1.3324),(5235,885,0.000124,-1.3325),(5235,895,0.000152,-1.3326),(5235,905,0.000179,-1.3327),(5235,915,0.000206,-1.3327),(5235,925,0.000233,-1.3328),(5235,935,0.000255,-1.3329),(5235,945,0.000268,-1.3329),(5235,955,0.000282,-1.333),(5235,965,0.000295,-1.3329),(5235,975,0.000303,-1.3329),(5235,985,0.000305,-1.3329),(5235,995,0.000306,-1.3329),(5235,1005,0.000308,-1.3328),(5235,1015,0.000313,-1.3327),(5235,1025,0.000321,-1.3327),(5235,1035,0.000329,-1.3326),(5235,1045,0.000338,-1.3325),(5235,1055,0.000344,-1.3324),(5235,1065,0.000348,-1.3323),(5235,1075,0.000353,-1.3321),(5235,1085,0.000358,-1.3319),(5235,1095,0.00037,-1.3317),(5235,1105,0.000387,-1.3315),(5235,1115,0.000403,-1.3312),(5235,1125,0.00042,-1.3309),(5235,1135,0.000467,-1.3306),(5235,1145,0.000532,-1.3303),(5235,1155,0.000597,-1.3299),(5235,1165,0.000662,-1.3296),(5235,1175,0.000664,-1.3293),(5235,1185,0.000635,-1.329),(5235,1195,0.000605,-1.3287),(5235,1205,0.000576,-1.3283),(5235,1215,-4.4e-05,-1.328),(5235,1225,-0.000907,-1.3277),(5235,1235,-0.00177,-1.3271),(5235,1245,-0.002633,-1.3263),(5235,1255,-0.005175,-1.3255),(5235,1265,-0.008283,-1.3247),(5235,1275,-0.011391,-1.3181),(5235,1285,-0.014499,-1.3097),(5235,1295,-0.015049,-1.3013),(5235,1305,-0.014907,-1.2929),(5235,1315,-0.014766,-1.2709),(5235,1325,-0.014624,-1.2457),(5235,1335,-0.009106,-1.2205),(5235,1345,-0.002461,-1.1953),(5235,1355,0.004183,-1.2118),(5235,1365,0.010828,-1.2358),(5235,1375,0.013102,-1.2599),(5235,1385,0.014701,-1.284),(5235,1395,0.0163,-1.2961),(5235,1405,0.017899,-1.3068),(5235,1415,0.014782,-1.3174),(5235,1425,0.011176,-1.3281),(5235,1435,0.00757,-1.33),(5235,1445,0.003964,-1.3312),(5235,1455,0.002735,-1.3325),(5235,1465,0.001643,-1.3337),(5235,1475,0.000551,-1.3344),(5235,1485,-0.000541,-1.3351),(5235,1495,-0.000677,-1.3358),(5235,1505,-0.000798,-1.3365),(5235,1515,-0.000919,-1.3373),(5235,1525,-0.001037,-1.3381),(5235,1535,-0.001012,-1.3389),(5235,1545,-0.000987,-1.3397),(5235,1555,-0.000962,-1.3405),(5235,1565,-0.000939,-1.3412),(5235,1575,-0.000939,-1.3419),(5235,1585,-0.000938,-1.3427),(5235,1595,-0.000938,-1.3432),(5235,1605,-0.000938,-1.3438),(5235,1615,-0.000944,-1.3444),(5235,1625,-0.00095,-1.345),(5235,1635,-0.000957,-1.3455),(5235,1645,-0.000959,-1.346),(5235,1655,-0.000943,-1.3465),(5235,1665,-0.000927,-1.3469),(5235,1675,-0.000911,-1.3473),(5235,1685,-0.000891,-1.3478),(5235,1695,-0.000853,-1.3482),(5235,1705,-0.000814,-1.3486),(5235,1715,-0.000776,-1.3489),(5235,1725,-0.000734,-1.3493),(5235,1735,-0.000681,-1.3497),(5235,1745,-0.000627,-1.35),(5235,1755,-0.000574,-1.3503),(5235,1765,-0.000517,-1.3506),(5235,1775,-0.000452,-1.3509),(5235,1785,-0.000387,-1.3512),(5235,1795,-0.000322,-1.3515),(5235,1805,-0.000259,-1.3517),(5235,1815,-0.000202,-1.352),(5235,1825,-0.000145,-1.3523),(5235,1835,-8.8e-05,-1.3525),(5235,1845,-3.6e-05,-1.3527),(5235,1855,5e-06,-1.3529),(5235,1865,4.6e-05,-1.3531),(5235,1875,8.8e-05,-1.3533),(5235,1885,0.000126,-1.3534),(5235,1895,0.000158,-1.3536),(5235,1905,0.00019,-1.3538),(5235,1915,0.000222,-1.3539),(5235,1925,0.000246,-1.3541),(5235,1935,0.000261,-1.3542),(5235,1945,0.000275,-1.3543),(5235,1955,0.00029,-1.3545),(5235,1965,0.000298,-1.3546),(5235,1975,0.0003,-1.3547),(5235,1985,0.000301,-1.3548),(5235,1995,0.000302,-1.3548),(5235,2005,0.000306,-1.3549),(5235,2015,0.000312,-1.355),(5235,2025,0.000319,-1.3551),(5235,2035,0.000325,-1.3552),(5235,2045,0.000334,-1.3553),(5235,2055,0.000347,-1.3554),(5235,2065,0.00036,-1.3554),(5235,2075,0.000373,-1.3555),(5235,2085,0.000385,-1.3556),(5235,2095,0.000396,-1.3557),(5235,2105,0.000407,-1.3558),(5235,2115,0.000419,-1.3558),(5235,2125,0.000434,-1.3559),(5235,2135,0.000452,-1.3559),(5235,2145,0.00047,-1.356),(5235,2155,0.000488,-1.356),(5235,2165,0.000519,-1.3561),(5235,2175,0.000557,-1.3561),(5235,2185,0.000594,-1.3562),(5235,2195,0.000632,-1.3562),(5235,2205,0.000666,-1.3563),(5235,2215,0.000699,-1.3563),(5235,2225,0.000731,-1.3564),(5235,2235,0.000764,-1.3564),(5235,2245,0.000767,-1.3564),(5235,2255,0.000759,-1.3564),(5235,2265,0.000752,-1.3564),(5235,2275,0.000745,-1.3563),(5235,2285,0.000723,-1.3563),(5235,2295,0.000698,-1.3562),(5235,2305,0.000672,-1.3562),(5235,2315,0.000646,-1.3561),(5235,2325,0.000642,-1.356),(5235,2335,0.000643,-1.3559),(5235,2345,0.000644,-1.3558),(5235,2355,0.000644,-1.3558),(5235,2365,0.000664,-1.3557),(5235,2375,0.000687,-1.3557),(5235,2385,0.00071,-1.3556),(5235,2395,0.000733,-1.3555),(5235,2405,0.000752,-1.3554),(5235,2415,0.00077,-1.3553),(5235,2425,0.000789,-1.3552),(5235,2435,0.000807,-1.3551),(5235,2445,0.00083,-1.3549),(5235,2455,0.000853,-1.3548),(5235,2465,0.000876,-1.3546),(5235,2475,0.000899,-1.3545),(5235,2485,0.000946,-1.3543),(5235,2495,0.000993,-1.3542),(5235,2505,0.00104,-1.354),(5235,2515,0.001087,-1.3539),(5235,2525,0.00114,-1.3537),(5235,2535,0.001192,-1.3536),(5235,2545,0.001244,-1.3534),(5235,2555,0.001295,-1.3532),(5235,2565,0.001323,-1.353),(5235,2575,0.001351,-1.3528),(5235,2585,0.001379,-1.3526),(5235,2595,0.001408,-1.3523),(5235,2605,0.00144,-1.352),(5235,2615,0.001473,-1.3517),(5235,2625,0.001505,-1.3515),(5235,2635,0.001542,-1.3512),(5235,2645,0.001604,-1.3509),(5235,2655,0.001666,-1.3506),(5235,2665,0.001728,-1.3504),(5235,2675,0.001786,-1.3501),(5235,2685,0.001829,-1.3499),(5235,2695,0.001871,-1.3496),(5235,2705,0.001913,-1.3492),(5235,2715,0.001948,-1.3488),(5235,2725,0.001957,-1.3485),(5235,2735,0.001966,-1.3481),(5235,2745,0.001975,-1.3476),(5235,2755,0.001988,-1.3472),(5235,2765,0.002011,-1.3468),(5235,2775,0.002034,-1.3463),(5235,2785,0.002057,-1.3459),(5235,2795,0.002082,-1.3455),(5235,2805,0.002111,-1.3451),(5235,2815,0.00214,-1.3447),(5235,2825,0.00217,-1.3442),(5235,2835,0.002186,-1.3437),(5235,2845,0.002177,-1.3433),(5235,2855,0.002167,-1.3428),(5235,2865,0.002158,-1.3422),(5235,2875,0.002145,-1.3416),(5235,2885,0.002126,-1.341),(5235,2895,0.002107,-1.3404),(5235,2905,0.002088,-1.3398),(5235,2915,0.002076,-1.3392),(5235,2925,0.002076,-1.3386),(5235,2935,0.002075,-1.3379),(5235,2945,0.002074,-1.3373),(5235,2955,0.002073,-1.3366),(5235,2965,0.002071,-1.336),(5235,2975,0.00207,-1.3353),(5235,2985,0.002068,-1.3345),(5235,2995,0.002074,-1.3338),(5235,3005,0.002088,-1.3331),(5235,3015,0.002103,-1.3323),(5235,3025,0.002117,-1.3316),(5235,3035,0.002134,-1.3308),(5235,3045,0.002152,-1.33),(5235,3055,0.002171,-1.3293),(5235,3065,0.00219,-1.3285),(5235,3075,0.002207,-1.3277),(5235,3085,0.002223,-1.3268),(5235,3095,0.00224,-1.326),(5235,3105,0.002256,-1.3251),(5235,3115,0.002275,-1.3242),(5235,3125,0.002296,-1.3233),(5235,3135,0.002317,-1.3223),(5235,3145,0.002339,-1.3214),(5235,3155,0.002361,-1.3204),(5235,3165,0.002383,-1.3195),(5235,3175,0.002406,-1.3184),(5235,3185,0.002429,-1.3174),(5235,3195,0.002427,-1.3163),(5235,3205,0.002415,-1.3153),(5235,3215,0.002403,-1.3141),(5235,3225,0.002391,-1.3129),(5235,3235,0.002374,-1.3117),(5235,3245,0.002355,-1.3105),(5235,3255,0.002336,-1.3093),(5235,3265,0.002317,-1.308),(5235,3275,0.002331,-1.3067),(5235,3285,0.002356,-1.3054),(5235,3295,0.00238,-1.3042),(5235,3305,0.002404,-1.3029),(5235,3315,0.002432,-1.3016),(5235,3325,0.00246,-1.3003),(5235,3335,0.002489,-1.2989),(5235,3345,0.002517,-1.2975),(5235,3355,0.002527,-1.2961),(5235,3365,0.002533,-1.2947),(5235,3375,0.002539,-1.2931),(5235,3385,0.002545,-1.2916),(5235,3395,0.00255,-1.2901),(5235,3405,0.002555,-1.2885),(5235,3415,0.00256,-1.2869),(5235,3425,0.002566,-1.2853),(5235,3435,0.002583,-1.2836),(5235,3445,0.002602,-1.282),(5235,3455,0.00262,-1.2803),(5235,3465,0.002638,-1.2786),(5235,3475,0.002646,-1.2769),(5235,3485,0.002653,-1.2752),(5235,3495,0.002661,-1.2733),(5235,3505,0.002668,-1.2714),(5235,3515,0.002664,-1.2696),(5235,3525,0.002661,-1.2677),(5235,3535,0.002658,-1.2657),(5235,3545,0.002654,-1.2637),(5235,3555,0.002652,-1.2617),(5235,3565,0.002649,-1.2597),(5235,3575,0.002646,-1.2576),(5235,3585,0.002643,-1.2555),(5235,3595,0.002635,-1.2534),(5235,3605,0.002626,-1.2513),(5235,3615,0.002618,-1.2491),(5235,3625,0.002611,-1.2468),(5235,3635,0.002616,-1.2446),(5235,3645,0.002621,-1.2423),(5235,3655,0.002625,-1.24),(5235,3665,0.002633,-1.2377),(5235,3675,0.002655,-1.2353),(5235,3685,0.002676,-1.233),(5235,3695,0.002698,-1.2306),(5235,3705,0.002719,-1.2281),(5235,3715,0.002741,-1.2257),(5235,3725,0.002762,-1.2232),(5235,3735,0.002784,-1.2206),(5235,3745,0.002806,-1.2181),(5235,3755,0.002828,-1.2155),(5235,3765,0.002851,-1.2129),(5235,3775,0.002874,-1.2102),(5235,3785,0.002894,-1.2075),(5235,3795,0.00291,-1.2048),(5235,3805,0.002926,-1.2021),(5235,3815,0.002941,-1.1993),(5235,3825,0.002942,-1.1965),(5235,3835,0.002912,-1.1937),(5235,3845,0.002882,-1.1908),(5235,3855,0.002851,-1.1879),(5235,3865,0.002756,-1.1849),(5235,3875,0.002545,-1.182),(5235,3885,0.002334,-1.179),(5235,3895,0.002123,-1.1758),(5235,3905,0.001669,-1.1727),(5235,3915,0.000854,-1.1696),(5235,3925,3.8e-05,-1.1662),(5235,3935,-0.000777,-1.1624),(5235,3945,-0.002165,-1.1587),(5235,3955,-0.00428,-1.1549),(5235,3965,-0.006395,-1.1486),(5235,3975,-0.00851,-1.1391),(5235,3985,-0.009834,-1.1297),(5235,3995,-0.010299,-1.1203),(5235,4005,-0.010765,-1.102),(5235,4015,-0.011231,-1.075),(5235,4025,0.11389,-1.0479),(5235,4035,0.25129,-1.0305),(5235,4045,0.38869,-1.0334),(5235,4055,0.48876,-1.0363),(5235,4065,0.5752,-1.0392),(5235,4075,0.66164,-1.0423),(5235,4085,0.70271,-1.0454),(5235,4095,0.70733,-1.0485),(5235,4105,0.71194,-1.0503),(5235,4115,0.71697,-1.052),(5235,4125,0.72269,-1.0537),(5235,4135,0.72841,-1.0544),(5235,4145,0.73435,-1.0547),(5235,4155,0.74116,-1.0551),(5235,4165,0.74797,-1.0548),(5235,4175,0.75479,-1.054),(5235,4185,0.76223,-1.0532),(5235,4195,0.76967,-1.052),(5235,4205,0.77711,-1.0503),(5235,4215,0.78486,-1.0486),(5235,4225,0.79267,-1.0467),(5235,4235,0.80048,-1.0442),(5235,4245,0.80844,-1.0418),(5235,4255,0.81648,-1.0392),(5235,4265,0.82452,-1.036),(5235,4275,0.83265,-1.0328),(5235,4285,0.84088,-1.0296),(5235,4295,0.84911,-1.0256),(5235,4305,0.85738,-1.0216),(5235,4315,0.86576,-1.0175),(5235,4325,0.87413,-1.013),(5235,4335,0.88253,-1.0082),(5235,4345,0.89105,-1.0035),(5235,4355,0.89957,-0.99841),(5235,4365,0.90809,-0.99303),(5235,4375,0.91659,-0.98764),(5235,4385,0.92509,-0.98208),(5235,4395,0.93359,-0.9762),(5235,4405,0.94198,-0.97031),(5235,4415,0.95034,-0.96436),(5235,4425,0.9587,-0.95813),(5235,4435,0.96692,-0.9519),(5235,4445,0.97504,-0.94566),(5235,4455,0.98316,-0.93921),(5235,4465,0.99115,-0.93275),(5235,4475,0.99896,-0.9263),(5235,4485,1.0068,-0.91981),(5235,4495,1.0145,-0.9133),(5235,4505,1.022,-0.9068),(5235,4515,1.0296,-0.90028),(5235,4525,1.0371,-0.89376),(5235,4535,1.0443,-0.88724),(5235,4545,1.0515,-0.88077),(5235,4555,1.0587,-0.87437),(5235,4565,1.0657,-0.86797),(5235,4575,1.0726,-0.8616),(5235,4585,1.0796,-0.85532),(5235,4595,1.0863,-0.84904),(5235,4605,1.093,-0.84277),(5235,4615,1.0997,-0.83664),(5235,4625,1.1062,-0.8305),(5235,4635,1.1126,-0.82437),(5235,4645,1.119,-0.81839),(5235,4655,1.1252,-0.81243),(5235,4665,1.1313,-0.80646),(5235,4675,1.1374,-0.80066),(5235,4685,1.1435,-0.79492),(5235,4695,1.1493,-0.78918),(5235,4705,1.1552,-0.78357),(5235,4715,1.161,-0.77805),(5235,4725,1.1666,-0.77254),(5235,4735,1.1722,-0.76709),(5235,4745,1.1778,-0.76176),(5235,4755,1.1832,-0.75643),(5235,4765,1.1885,-0.75114),(5235,4775,1.1939,-0.74601),(5235,4785,1.1991,-0.74088),(5235,4795,1.2043,-0.73576),(5235,4805,1.2094,-0.73085),(5235,4815,1.2145,-0.72593),(5235,4825,1.2194,-0.72101),(5235,4835,1.2244,-0.71626),(5235,4845,1.2293,-0.71154),(5235,4855,1.234,-0.70681),(5235,4865,1.2387,-0.70222),(5235,4875,1.2435,-0.69769),(5235,4885,1.248,-0.69316),(5235,4895,1.2526,-0.6887),(5235,4905,1.2571,-0.68431),(5235,4915,1.2615,-0.67993),(5235,4925,1.2659,-0.6756),(5235,4935,1.2703,-0.6714),(5235,4945,1.2745,-0.66721),(5235,4955,1.2787,-0.66303),(5235,4965,1.2829,-0.65901),(5235,4975,1.287,-0.65498),(5235,4985,1.2911,-0.65096),(5235,4995,1.2951,-0.64707),(5235,5005,1.2991,-0.64319),(5235,5015,1.303,-0.6393),(5235,5025,1.3069,-0.63557),(5235,5035,1.3108,-0.63188),(5235,5045,1.3145,-0.62818),(5235,5055,1.3183,-0.6246),(5235,5065,1.322,-0.62108),(5235,5075,1.3257,-0.61757),(5235,5085,1.3293,-0.61413),(5235,5095,1.333,-0.61079),(5235,5105,1.3365,-0.60745),(5235,5115,1.34,-0.60416),(5235,5125,1.3436,-0.60101),(5235,5135,1.347,-0.59785),(5235,5145,1.3505,-0.59471),(5235,5155,1.3539,-0.59172),(5235,5165,1.3573,-0.58873),(5235,5175,1.3607,-0.58574),(5235,5185,1.364,-0.58292),(5235,5195,1.3674,-0.58011),(5235,5205,1.3707,-0.5773),(5235,5215,1.3741,-0.57464),(5235,5225,1.3774,-0.57204),(5235,5235,1.3808,-0.56944),(5235,5245,1.3841,-0.56694),(5235,5255,1.3875,-0.56453),(5235,5265,1.3909,-0.56211),(5235,5275,1.3943,-0.55975),(5235,5285,1.3977,-0.5575),(5235,5295,1.4012,-0.55525),(5235,5305,1.4047,-0.55303),(5235,5315,1.4082,-0.55095),(5235,5325,1.4118,-0.54888),(5235,5335,1.4154,-0.5468),(5235,5345,1.419,-0.54485),(5235,5355,1.4226,-0.5429),(5235,5365,1.4264,-0.54094),(5235,5375,1.4301,-0.53909),(5235,5385,1.4339,-0.53725),(5235,5395,1.4377,-0.53541),(5235,5405,1.4415,-0.53362),(5235,5415,1.4454,-0.53185),(5235,5425,1.4494,-0.53008),(5235,5435,1.4533,-0.52831),(5235,5445,1.4573,-0.52654),(5235,5455,1.4614,-0.52478),(5235,5465,1.4655,-0.52299),(5235,5475,1.4696,-0.52118),(5235,5485,1.4737,-0.51937),(5235,5495,1.4779,-0.51754),(5235,5505,1.4821,-0.51567),(5235,5515,1.4864,-0.5138),(5235,5525,1.4907,-0.51192),(5235,5535,1.495,-0.50996),(5235,5545,1.4993,-0.508),(5235,5555,1.5037,-0.50603),(5235,5565,1.5081,-0.50395),(5235,5575,1.5126,-0.50184),(5235,5585,1.517,-0.49973),(5235,5595,1.5215,-0.49751),(5235,5605,1.526,-0.49522),(5235,5615,1.5305,-0.49294),(5235,5625,1.5351,-0.49057),(5235,5635,1.5396,-0.48809),(5235,5645,1.5441,-0.4856),(5235,5655,1.5487,-0.48307),(5235,5665,1.5532,-0.48038),(5235,5675,1.5577,-0.4777),(5235,5685,1.5622,-0.47499),(5235,5695,1.5668,-0.47206),(5235,5705,1.5713,-0.46913),(5235,5715,1.5758,-0.4662),(5235,5725,1.5803,-0.46305),(5235,5735,1.5847,-0.45987),(5235,5745,1.5892,-0.45669),(5235,5755,1.5936,-0.45335),(5235,5765,1.598,-0.44995),(5235,5775,1.6024,-0.44655),(5235,5785,1.6068,-0.44302),(5235,5795,1.6111,-0.43939),(5235,5805,1.6154,-0.43576),(5235,5815,1.6197,-0.43208),(5235,5825,1.624,-0.42827),(5235,5835,1.6283,-0.42447),(5235,5845,1.6325,-0.42064),(5235,5855,1.6367,-0.41665),(5235,5865,1.6409,-0.41265),(5235,5875,1.6451,-0.40866),(5235,5885,1.6492,-0.40445),(5235,5895,1.6533,-0.40024),(5235,5905,1.6574,-0.39603),(5235,5915,1.6615,-0.39169),(5235,5925,1.6655,-0.38733),(5235,5935,1.6695,-0.38296),(5235,5945,1.6734,-0.37847),(5235,5955,1.6774,-0.37391),(5235,5965,1.6812,-0.36936),(5235,5975,1.6851,-0.36473),(5235,5985,1.6889,-0.36),(5235,5995,1.6927,-0.35527),(5235,6005,1.6965,-0.35049),(5235,6015,1.7002,-0.34558),(5235,6025,1.7039,-0.34066),(5235,6035,1.7075,-0.33573),(5235,6045,1.7111,-0.33067),(5235,6055,1.7147,-0.32561),(5235,6065,1.7182,-0.32055),(5235,6075,1.7217,-0.31536),(5235,6085,1.7251,-0.31016),(5235,6095,1.7285,-0.30497),(5235,6105,1.7319,-0.29966),(5235,6115,1.7352,-0.29432),(5235,6125,1.7384,-0.28897),(5235,6135,1.7417,-0.28355),(5235,6145,1.7449,-0.27806),(5235,6155,1.748,-0.27257),(5235,6165,1.751,-0.26703),(5235,6175,1.7541,-0.26142),(5235,6185,1.757,-0.2558),(5235,6195,1.7599,-0.25016),(5235,6205,1.7628,-0.24444),(5235,6215,1.7656,-0.23872),(5235,6225,1.7684,-0.233),(5235,6235,1.7711,-0.22714),(5235,6245,1.7737,-0.22128),(5235,6255,1.7763,-0.21543),(5235,6265,1.7788,-0.20943),(5235,6275,1.7813,-0.20341),(5235,6285,1.7837,-0.19739),(5235,6295,1.786,-0.19133),(5235,6305,1.7883,-0.18524),(5235,6315,1.7904,-0.17916),(5235,6325,1.7926,-0.17301),(5235,6335,1.7947,-0.16681),(5235,6345,1.7966,-0.16061),(5235,6355,1.7985,-0.15438),(5235,6365,1.8004,-0.14806),(5235,6375,1.8022,-0.14175),(5235,6385,1.8039,-0.13542),(5235,6395,1.8055,-0.12905),(5235,6405,1.8071,-0.12267),(5235,6415,1.8086,-0.11629),(5235,6425,1.81,-0.10986),(5235,6435,1.8114,-0.10343),(5235,6445,1.8126,-0.097),(5235,6455,1.8139,-0.090538),(5235,6465,1.8151,-0.084066),(5235,6475,1.8161,-0.077595),(5235,6485,1.8171,-0.071086),(5235,6495,1.818,-0.064554),(5235,6505,1.8188,-0.058021),(5235,6515,1.8195,-0.051474),(5235,6525,1.8202,-0.04491),(5235,6535,1.8207,-0.038345),(5235,6545,1.8212,-0.03177),(5235,6555,1.8216,-0.025165),(5235,6565,1.8219,-0.018561),(5235,6575,1.8221,-0.011957),(5235,6585,1.8223,-0.005376),(5235,6595,1.5501,0.001205),(5235,6605,0.97718,0.007787),(5235,6615,0.40426,0.008551),(5235,6625,0.001518,0.008567),(5235,6635,0.001529,0.008584),(5235,6645,0.00154,0.008609),(5235,6655,0.00155,0.008637),(5235,6665,0.00156,0.008666),(5235,6675,0.001569,0.008693),(5235,6685,0.001579,0.008719),(5235,6695,0.001587,0.008745),(5235,6705,0.001596,0.00877),(5235,6715,0.001604,0.008793),(5235,6725,0.001612,0.008816),(5235,6735,0.00162,0.008838),(5235,6745,0.001628,0.008859),(5235,6755,0.001636,0.00888),(5235,6765,0.001643,0.0089),(5235,6775,0.001651,0.008919),(5235,6785,0.001658,0.008937),(5235,6795,0.001665,0.008955),(5235,6805,0.001672,0.008972),(5235,6815,0.001679,0.008988),(5235,6825,0.001685,0.009005),(5235,6835,0.001692,0.00902),(5235,6845,0.001699,0.009034),(5235,6855,0.001705,0.009049),(5235,6865,0.001712,0.009062),(5235,6875,0.001718,0.009075),(5235,6885,0.001724,0.009087),(5235,6895,0.001731,0.0091),(5235,6905,0.001737,0.009111),(5235,6915,0.001744,0.009122),(5235,6925,0.00175,0.009132),(5235,6935,0.001756,0.009142),(5235,6945,0.001762,0.009152),(5235,6955,0.001769,0.009161),(5235,6965,0.001775,0.009169),(5235,6975,0.001781,0.009178),(5235,6985,0.001787,0.009186),(5245,5,-8e-06,-1.3688),(5245,15,-2.4e-05,-1.3689),(5245,25,-3.5e-05,-1.3691),(5245,35,-4.2e-05,-1.3692),(5245,45,-4.9e-05,-1.3693),(5245,55,-5.6e-05,-1.3693),(5245,65,-7.6e-05,-1.3693),(5245,75,-0.000107,-1.3693),(5245,85,-0.000138,-1.3693),(5245,95,-0.000169,-1.3693),(5245,105,-0.000189,-1.3693),(5245,115,-0.000202,-1.3694),(5245,125,-0.000215,-1.3694),(5245,135,-0.000227,-1.3694),(5245,145,-0.000242,-1.3694),(5245,155,-0.000257,-1.3695),(5245,165,-0.000272,-1.3695),(5245,175,-0.000288,-1.3695),(5245,185,-0.000292,-1.3696),(5245,195,-0.00029,-1.3696),(5245,205,-0.000289,-1.3696),(5245,215,-0.000288,-1.3697),(5245,225,-0.000271,-1.3698),(5245,235,-0.000248,-1.3698),(5245,245,-0.000225,-1.3699),(5245,255,-0.000202,-1.37),(5245,265,-0.000166,-1.3701),(5245,275,-0.000127,-1.3702),(5245,285,-8.7e-05,-1.3703),(5245,295,-4.7e-05,-1.3704),(5245,305,-5e-06,-1.3706),(5245,315,3.8e-05,-1.3707),(5245,325,8.1e-05,-1.3708),(5245,335,0.000124,-1.371),(5245,345,0.00015,-1.3711),(5245,355,0.000173,-1.3712),(5245,365,0.000196,-1.3713),(5245,375,0.000218,-1.3714),(5245,385,0.000211,-1.3715),(5245,395,0.000199,-1.3716),(5245,405,0.000188,-1.3717),(5245,415,0.000176,-1.3718),(5245,425,0.00015,-1.3718),(5245,435,0.000122,-1.3719),(5245,445,9.5e-05,-1.372),(5245,455,6.7e-05,-1.3721),(5245,465,4.3e-05,-1.3722),(5245,475,1.9e-05,-1.3722),(5245,485,-6e-06,-1.3723),(5245,495,-3e-05,-1.3724),(5245,505,-3.8e-05,-1.3725),(5245,515,-4.6e-05,-1.3726),(5245,525,-5.4e-05,-1.3727),(5245,535,-6.1e-05,-1.3729),(5245,545,-4.3e-05,-1.373),(5245,555,-2.5e-05,-1.3731),(5245,565,-7e-06,-1.3733),(5245,575,1.2e-05,-1.3735),(5245,585,4.2e-05,-1.3736),(5245,595,7.2e-05,-1.3738),(5245,605,0.000102,-1.374),(5245,615,0.000128,-1.3742),(5245,625,0.000119,-1.3744),(5245,635,0.000111,-1.3745),(5245,645,0.000102,-1.3746),(5245,655,8.4e-05,-1.3747),(5245,665,1.4e-05,-1.3748),(5245,675,-5.7e-05,-1.3749),(5245,685,-0.000127,-1.3749),(5245,695,-0.0002,-1.3749),(5245,705,-0.000282,-1.3748),(5245,715,-0.000364,-1.3749),(5245,725,-0.000446,-1.3749),(5245,735,-0.000518,-1.3749),(5245,745,-0.000558,-1.375),(5245,755,-0.000599,-1.3751),(5245,765,-0.000639,-1.3752),(5245,775,-0.000667,-1.3753),(5245,785,-0.000661,-1.3754),(5245,795,-0.000656,-1.3755),(5245,805,-0.00065,-1.3757),(5245,815,-0.00064,-1.3758),(5245,825,-0.000619,-1.376),(5245,835,-0.000597,-1.3761),(5245,845,-0.000576,-1.3762),(5245,855,-0.000557,-1.3764),(5245,865,-0.000541,-1.3765),(5245,875,-0.000525,-1.3766),(5245,885,-0.000509,-1.3767),(5245,895,-0.000495,-1.3767),(5245,905,-0.000482,-1.3768),(5245,915,-0.000469,-1.3769),(5245,925,-0.000456,-1.377),(5245,935,-0.000449,-1.377),(5245,945,-0.000449,-1.3771),(5245,955,-0.000449,-1.3771),(5245,965,-0.000449,-1.3771),(5245,975,-0.000458,-1.3771),(5245,985,-0.000475,-1.3771),(5245,995,-0.000492,-1.377),(5245,1005,-0.000509,-1.377),(5245,1015,-0.000526,-1.3769),(5245,1025,-0.000542,-1.3768),(5245,1035,-0.000559,-1.3767),(5245,1045,-0.000575,-1.3766),(5245,1055,-0.000594,-1.3765),(5245,1065,-0.000616,-1.3764),(5245,1075,-0.000637,-1.3762),(5245,1085,-0.000659,-1.376),(5245,1095,-0.000678,-1.3758),(5245,1105,-0.000696,-1.3756),(5245,1115,-0.000714,-1.3753),(5245,1125,-0.000732,-1.3749),(5245,1135,-0.000718,-1.3746),(5245,1145,-0.000684,-1.3743),(5245,1155,-0.000651,-1.3739),(5245,1165,-0.000617,-1.3736),(5245,1175,-0.000603,-1.3733),(5245,1185,-0.000599,-1.3729),(5245,1195,-0.000595,-1.3727),(5245,1205,-0.00059,-1.3725),(5245,1215,-0.001236,-1.3723),(5245,1225,-0.002149,-1.3721),(5245,1235,-0.003062,-1.3717),(5245,1245,-0.003975,-1.3712),(5245,1255,-0.008461,-1.3707),(5245,1265,-0.014154,-1.3703),(5245,1275,-0.019846,-1.3622),(5245,1285,-0.025538,-1.3518),(5245,1295,-0.031623,-1.3415),(5245,1305,-0.037814,-1.3311),(5245,1315,-0.044004,-1.301),(5245,1325,-0.050195,-1.2663),(5245,1335,-0.030814,-1.2315),(5245,1345,-0.006073,-1.1967),(5245,1355,0.018667,-1.2194),(5245,1365,0.043408,-1.2525),(5245,1375,0.043596,-1.2856),(5245,1385,0.039996,-1.3187),(5245,1395,0.036395,-1.3342),(5245,1405,0.032795,-1.3475),(5245,1415,0.026185,-1.3608),(5245,1425,0.019262,-1.3741),(5245,1435,0.012339,-1.3758),(5245,1445,0.005416,-1.3767),(5245,1455,0.003944,-1.3776),(5245,1465,0.002785,-1.3784),(5245,1475,0.001626,-1.379),(5245,1485,0.000468,-1.3796),(5245,1495,0.000382,-1.3802),(5245,1505,0.000312,-1.3808),(5245,1515,0.000242,-1.3816),(5245,1525,0.000174,-1.3825),(5245,1535,0.000178,-1.3833),(5245,1545,0.000183,-1.3841),(5245,1555,0.000188,-1.3849),(5245,1565,0.000191,-1.3856),(5245,1575,0.000162,-1.3864),(5245,1585,0.000133,-1.3872),(5245,1595,0.000104,-1.3878),(5245,1605,7.5e-05,-1.3884),(5245,1615,4e-05,-1.389),(5245,1625,6e-06,-1.3896),(5245,1635,-2.9e-05,-1.3901),(5245,1645,-6.1e-05,-1.3906),(5245,1655,-7.3e-05,-1.3911),(5245,1665,-8.6e-05,-1.3916),(5245,1675,-9.9e-05,-1.392),(5245,1685,-0.000107,-1.3924),(5245,1695,-9.5e-05,-1.3928),(5245,1705,-8.3e-05,-1.3933),(5245,1715,-7.1e-05,-1.3936),(5245,1725,-5.5e-05,-1.394),(5245,1735,-2.5e-05,-1.3944),(5245,1745,5e-06,-1.3947),(5245,1755,3.6e-05,-1.395),(5245,1765,7e-05,-1.3953),(5245,1775,0.000116,-1.3956),(5245,1785,0.000162,-1.3959),(5245,1795,0.000207,-1.3962),(5245,1805,0.000253,-1.3965),(5245,1815,0.000299,-1.3968),(5245,1825,0.000345,-1.3971),(5245,1835,0.00039,-1.3973),(5245,1845,0.000431,-1.3975),(5245,1855,0.000464,-1.3977),(5245,1865,0.000496,-1.3979),(5245,1875,0.000529,-1.3981),(5245,1885,0.000558,-1.3983),(5245,1895,0.000581,-1.3985),(5245,1905,0.000605,-1.3986),(5245,1915,0.000628,-1.3988),(5245,1925,0.000645,-1.3989),(5245,1935,0.000652,-1.3991),(5245,1945,0.00066,-1.3992),(5245,1955,0.000668,-1.3994),(5245,1965,0.000668,-1.3995),(5245,1975,0.00066,-1.3996),(5245,1985,0.000653,-1.3997),(5245,1995,0.000645,-1.3998),(5245,2005,0.000639,-1.3998),(5245,2015,0.000634,-1.3999),(5245,2025,0.000629,-1.4),(5245,2035,0.000624,-1.4001),(5245,2045,0.000625,-1.4002),(5245,2055,0.00063,-1.4003),(5245,2065,0.000634,-1.4004),(5245,2075,0.000639,-1.4005),(5245,2085,0.000644,-1.4005),(5245,2095,0.000649,-1.4006),(5245,2105,0.000655,-1.4007),(5245,2115,0.00066,-1.4008),(5245,2125,0.000666,-1.4008),(5245,2135,0.000673,-1.4009),(5245,2145,0.00068,-1.4009),(5245,2155,0.000688,-1.401),(5245,2165,0.000707,-1.401),(5245,2175,0.000733,-1.401),(5245,2185,0.000759,-1.4011),(5245,2195,0.000784,-1.4012),(5245,2205,0.000814,-1.4012),(5245,2215,0.000846,-1.4013),(5245,2225,0.000878,-1.4013),(5245,2235,0.00091,-1.4014),(5245,2245,0.000919,-1.4014),(5245,2255,0.00092,-1.4014),(5245,2265,0.000921,-1.4014),(5245,2275,0.000922,-1.4013),(5245,2285,0.000903,-1.4013),(5245,2295,0.000878,-1.4012),(5245,2305,0.000852,-1.4011),(5245,2315,0.000827,-1.401),(5245,2325,0.000813,-1.4009),(5245,2335,0.000802,-1.4008),(5245,2345,0.000791,-1.4008),(5245,2355,0.00078,-1.4007),(5245,2365,0.000789,-1.4006),(5245,2375,0.000801,-1.4006),(5245,2385,0.000812,-1.4005),(5245,2395,0.000824,-1.4004),(5245,2405,0.000837,-1.4003),(5245,2415,0.00085,-1.4003),(5245,2425,0.000863,-1.4001),(5245,2435,0.000876,-1.4),(5245,2445,0.000891,-1.3998),(5245,2455,0.000907,-1.3997),(5245,2465,0.000923,-1.3995),(5245,2475,0.000939,-1.3994),(5245,2485,0.000978,-1.3992),(5245,2495,0.001017,-1.399),(5245,2505,0.001057,-1.3989),(5245,2515,0.001097,-1.3987),(5245,2525,0.001149,-1.3986),(5245,2535,0.001201,-1.3984),(5245,2545,0.001253,-1.3983),(5245,2555,0.001303,-1.3981),(5245,2565,0.001335,-1.3979),(5245,2575,0.001366,-1.3977),(5245,2585,0.001397,-1.3974),(5245,2595,0.001427,-1.3971),(5245,2605,0.001453,-1.3968),(5245,2615,0.001478,-1.3965),(5245,2625,0.001503,-1.3962),(5245,2635,0.001532,-1.3959),(5245,2645,0.001584,-1.3956),(5245,2655,0.001636,-1.3953),(5245,2665,0.001687,-1.3951),(5245,2675,0.001738,-1.3948),(5245,2685,0.001784,-1.3946),(5245,2695,0.001829,-1.3943),(5245,2705,0.001874,-1.3939),(5245,2715,0.001913,-1.3935),(5245,2725,0.001926,-1.3932),(5245,2735,0.001939,-1.3928),(5245,2745,0.001952,-1.3923),(5245,2755,0.001967,-1.3919),(5245,2765,0.001987,-1.3914),(5245,2775,0.002008,-1.391),(5245,2785,0.002028,-1.3905),(5245,2795,0.002052,-1.3901),(5245,2805,0.002085,-1.3897),(5245,2815,0.002119,-1.3892),(5245,2825,0.002152,-1.3888),(5245,2835,0.002174,-1.3883),(5245,2845,0.002173,-1.3878),(5245,2855,0.002172,-1.3873),(5245,2865,0.002171,-1.3867),(5245,2875,0.002161,-1.3861),(5245,2885,0.002137,-1.3855),(5245,2895,0.002113,-1.3849),(5245,2905,0.002089,-1.3842),(5245,2915,0.00207,-1.3836),(5245,2925,0.002058,-1.3829),(5245,2935,0.002047,-1.3823),(5245,2945,0.002035,-1.3816),(5245,2955,0.002022,-1.3809),(5245,2965,0.002009,-1.3802),(5245,2975,0.001995,-1.3795),(5245,2985,0.001982,-1.3788),(5245,2995,0.001973,-1.378),(5245,3005,0.001969,-1.3772),(5245,3015,0.001965,-1.3765),(5245,3025,0.001961,-1.3757),(5245,3035,0.001963,-1.3749),(5245,3045,0.001969,-1.3741),(5245,3055,0.001976,-1.3733),(5245,3065,0.001982,-1.3725),(5245,3075,0.001991,-1.3717),(5245,3085,0.002002,-1.3708),(5245,3095,0.002013,-1.3699),(5245,3105,0.002024,-1.369),(5245,3115,0.002039,-1.3681),(5245,3125,0.002057,-1.3671),(5245,3135,0.002075,-1.3662),(5245,3145,0.002093,-1.3652),(5245,3155,0.002115,-1.3642),(5245,3165,0.002139,-1.3632),(5245,3175,0.002162,-1.3621),(5245,3185,0.002186,-1.3611),(5245,3195,0.002189,-1.36),(5245,3205,0.002183,-1.3589),(5245,3215,0.002177,-1.3577),(5245,3225,0.00217,-1.3565),(5245,3235,0.002149,-1.3552),(5245,3245,0.002121,-1.354),(5245,3255,0.002093,-1.3527),(5245,3265,0.002066,-1.3513),(5245,3275,0.002063,-1.35),(5245,3285,0.002068,-1.3487),(5245,3295,0.002074,-1.3474),(5245,3305,0.002079,-1.346),(5245,3315,0.002095,-1.3447),(5245,3325,0.002113,-1.3434),(5245,3335,0.002132,-1.3419),(5245,3345,0.002151,-1.3405),(5245,3355,0.002153,-1.339),(5245,3365,0.002152,-1.3376),(5245,3375,0.002151,-1.336),(5245,3385,0.002149,-1.3344),(5245,3395,0.002144,-1.3328),(5245,3405,0.002137,-1.3312),(5245,3415,0.002131,-1.3295),(5245,3425,0.002125,-1.3278),(5245,3435,0.002132,-1.3262),(5245,3445,0.00214,-1.3245),(5245,3455,0.002149,-1.3227),(5245,3465,0.002157,-1.321),(5245,3475,0.00216,-1.3192),(5245,3485,0.002163,-1.3174),(5245,3495,0.002167,-1.3155),(5245,3505,0.002169,-1.3136),(5245,3515,0.002158,-1.3116),(5245,3525,0.002147,-1.3097),(5245,3535,0.002136,-1.3077),(5245,3545,0.002125,-1.3056),(5245,3555,0.002112,-1.3035),(5245,3565,0.002099,-1.3015),(5245,3575,0.002086,-1.2993),(5245,3585,0.002073,-1.2971),(5245,3595,0.002053,-1.295),(5245,3605,0.002032,-1.2928),(5245,3615,0.002012,-1.2905),(5245,3625,0.001992,-1.2881),(5245,3635,0.001978,-1.2858),(5245,3645,0.001963,-1.2835),(5245,3655,0.001948,-1.2811),(5245,3665,0.001936,-1.2787),(5245,3675,0.001938,-1.2762),(5245,3685,0.00194,-1.2738),(5245,3695,0.001941,-1.2713),(5245,3705,0.001943,-1.2688),(5245,3715,0.001947,-1.2662),(5245,3725,0.00195,-1.2637),(5245,3735,0.001953,-1.261),(5245,3745,0.001956,-1.2584),(5245,3755,0.00196,-1.2557),(5245,3765,0.001964,-1.253),(5245,3775,0.001968,-1.2502),(5245,3785,0.001971,-1.2475),(5245,3795,0.001971,-1.2447),(5245,3805,0.001972,-1.2419),(5245,3815,0.001972,-1.239),(5245,3825,0.001962,-1.2361),(5245,3835,0.001927,-1.2332),(5245,3845,0.001893,-1.2303),(5245,3855,0.001858,-1.2273),(5245,3865,0.001763,-1.2242),(5245,3875,0.00156,-1.2212),(5245,3885,0.001358,-1.2181),(5245,3895,0.001156,-1.215),(5245,3905,0.000647,-1.2118),(5245,3915,-0.000318,-1.2087),(5245,3925,-0.001284,-1.2053),(5245,3935,-0.002249,-1.2016),(5245,3945,-0.004594,-1.1978),(5245,3955,-0.008691,-1.1941),(5245,3965,-0.012788,-1.187),(5245,3975,-0.016886,-1.1757),(5245,3985,-0.023014,-1.1645),(5245,3995,-0.031341,-1.1533),(5245,4005,-0.039668,-1.1291),(5245,4015,-0.047995,-1.0919),(5245,4025,0.087829,-1.0547),(5245,4035,0.23775,-1.0304),(5245,4045,0.38768,-1.0335),(5245,4055,0.491,-1.0366),(5245,4065,0.5773,-1.0397),(5245,4075,0.66361,-1.0429),(5245,4085,0.70438,-1.046),(5245,4095,0.70856,-1.0492),(5245,4105,0.71273,-1.0511),(5245,4115,0.71733,-1.0529),(5245,4125,0.72263,-1.0548),(5245,4135,0.72793,-1.0556),(5245,4145,0.73345,-1.0561),(5245,4155,0.73989,-1.0566),(5245,4165,0.74633,-1.0565),(5245,4175,0.75278,-1.0559),(5245,4185,0.75993,-1.0553),(5245,4195,0.76708,-1.0543),(5245,4205,0.77423,-1.0528),(5245,4215,0.78174,-1.0513),(5245,4225,0.78931,-1.0497),(5245,4235,0.79688,-1.0475),(5245,4245,0.80463,-1.0453),(5245,4255,0.81245,-1.043),(5245,4265,0.82028,-1.0402),(5245,4275,0.8282,-1.0373),(5245,4285,0.83622,-1.0345),(5245,4295,0.84424,-1.0309),(5245,4305,0.85229,-1.0273),(5245,4315,0.86043,-1.0237),(5245,4325,0.86858,-1.0196),(5245,4335,0.87674,-1.0153),(5245,4345,0.88503,-1.011),(5245,4355,0.89332,-1.0064),(5245,4365,0.90161,-1.0015),(5245,4375,0.90993,-0.99652),(5245,4385,0.91825,-0.99138),(5245,4395,0.92656,-0.98589),(5245,4405,0.93481,-0.9804),(5245,4415,0.94304,-0.97484),(5245,4425,0.95126,-0.96894),(5245,4435,0.95937,-0.96305),(5245,4445,0.96741,-0.95715),(5245,4455,0.97544,-0.95098),(5245,4465,0.98336,-0.94481),(5245,4475,0.99112,-0.93864),(5245,4485,0.99888,-0.93238),(5245,4495,1.0066,-0.9261),(5245,4505,1.0141,-0.91983),(5245,4515,1.0216,-0.91351),(5245,4525,1.029,-0.90717),(5245,4535,1.0363,-0.90084),(5245,4545,1.0435,-0.89454),(5245,4555,1.0507,-0.88828),(5245,4565,1.0576,-0.88202),(5245,4575,1.0646,-0.87578),(5245,4585,1.0715,-0.8696),(5245,4595,1.0783,-0.86342),(5245,4605,1.085,-0.85726),(5245,4615,1.0917,-0.85119),(5245,4625,1.0982,-0.84513),(5245,4635,1.1046,-0.83906),(5245,4645,1.111,-0.83313),(5245,4655,1.1174,-0.8272),(5245,4665,1.1235,-0.82128),(5245,4675,1.1297,-0.8155),(5245,4685,1.1358,-0.80976),(5245,4695,1.1416,-0.80402),(5245,4705,1.1475,-0.7984),(5245,4715,1.1534,-0.79287),(5245,4725,1.1591,-0.78734),(5245,4735,1.1647,-0.78187),(5245,4745,1.1703,-0.77648),(5245,4755,1.1758,-0.7711),(5245,4765,1.1812,-0.76576),(5245,4775,1.1866,-0.76057),(5245,4785,1.1919,-0.75539),(5245,4795,1.1971,-0.75021),(5245,4805,1.2023,-0.74522),(5245,4815,1.2074,-0.74023),(5245,4825,1.2124,-0.73524),(5245,4835,1.2174,-0.7304),(5245,4845,1.2223,-0.72559),(5245,4855,1.2271,-0.72078),(5245,4865,1.2319,-0.71609),(5245,4875,1.2366,-0.71145),(5245,4885,1.2413,-0.70682),(5245,4895,1.2459,-0.70226),(5245,4905,1.2505,-0.69777),(5245,4915,1.2549,-0.69328),(5245,4925,1.2593,-0.68885),(5245,4935,1.2637,-0.68453),(5245,4945,1.268,-0.68022),(5245,4955,1.2722,-0.67593),(5245,4965,1.2765,-0.67178),(5245,4975,1.2806,-0.66764),(5245,4985,1.2847,-0.6635),(5245,4995,1.2888,-0.65949),(5245,5005,1.2928,-0.65549),(5245,5015,1.2967,-0.65149),(5245,5025,1.3007,-0.64764),(5245,5035,1.3046,-0.64383),(5245,5045,1.3084,-0.64002),(5245,5055,1.3122,-0.63632),(5245,5065,1.316,-0.63269),(5245,5075,1.3197,-0.62906),(5245,5085,1.3234,-0.6255),(5245,5095,1.3271,-0.62205),(5245,5105,1.3307,-0.6186),(5245,5115,1.3342,-0.6152),(5245,5125,1.3378,-0.61193),(5245,5135,1.3413,-0.60866),(5245,5145,1.3448,-0.6054),(5245,5155,1.3483,-0.6023),(5245,5165,1.3518,-0.59919),(5245,5175,1.3552,-0.59608),(5245,5185,1.3586,-0.59313),(5245,5195,1.362,-0.59019),(5245,5205,1.3654,-0.58725),(5245,5215,1.3688,-0.58446),(5245,5225,1.3722,-0.58172),(5245,5235,1.3756,-0.57898),(5245,5245,1.379,-0.57634),(5245,5255,1.3824,-0.57377),(5245,5265,1.3859,-0.5712),(5245,5275,1.3893,-0.5687),(5245,5285,1.3928,-0.56629),(5245,5295,1.3963,-0.56388),(5245,5305,1.3998,-0.5615),(5245,5315,1.4034,-0.55926),(5245,5325,1.4069,-0.55701),(5245,5335,1.4106,-0.55477),(5245,5345,1.4142,-0.55264),(5245,5355,1.4179,-0.55051),(5245,5365,1.4216,-0.54839),(5245,5375,1.4254,-0.54635),(5245,5385,1.4291,-0.54433),(5245,5395,1.433,-0.54232),(5245,5405,1.4368,-0.54034),(5245,5415,1.4407,-0.53838),(5245,5425,1.4447,-0.53642),(5245,5435,1.4486,-0.53446),(5245,5445,1.4526,-0.5325),(5245,5455,1.4567,-0.53054),(5245,5465,1.4608,-0.52856),(5245,5475,1.4648,-0.52655),(5245,5485,1.469,-0.52454),(5245,5495,1.4732,-0.52252),(5245,5505,1.4773,-0.52044),(5245,5515,1.4816,-0.51836),(5245,5525,1.4858,-0.51629),(5245,5535,1.4901,-0.51412),(5245,5545,1.4944,-0.51195),(5245,5555,1.4987,-0.50978),(5245,5565,1.5031,-0.5075),(5245,5575,1.5075,-0.5052),(5245,5585,1.5119,-0.50289),(5245,5595,1.5163,-0.50048),(5245,5605,1.5207,-0.49801),(5245,5615,1.5252,-0.49554),(5245,5625,1.5296,-0.49299),(5245,5635,1.5341,-0.49034),(5245,5645,1.5386,-0.4877),(5245,5655,1.543,-0.48501),(5245,5665,1.5475,-0.48217),(5245,5675,1.5519,-0.47934),(5245,5685,1.5564,-0.47649),(5245,5695,1.5608,-0.47342),(5245,5705,1.5652,-0.47035),(5245,5715,1.5697,-0.46728),(5245,5725,1.5741,-0.46402),(5245,5735,1.5785,-0.46073),(5245,5745,1.5828,-0.45744),(5245,5755,1.5872,-0.454),(5245,5765,1.5916,-0.4505),(5245,5775,1.5958,-0.44701),(5245,5785,1.6001,-0.44339),(5245,5795,1.6044,-0.43968),(5245,5805,1.6087,-0.43596),(5245,5815,1.6129,-0.43219),(5245,5825,1.6171,-0.42832),(5245,5835,1.6213,-0.42445),(5245,5845,1.6255,-0.42055),(5245,5855,1.6296,-0.41649),(5245,5865,1.6337,-0.41244),(5245,5875,1.6378,-0.40839),(5245,5885,1.6419,-0.40413),(5245,5895,1.646,-0.39987),(5245,5905,1.6499,-0.39561),(5245,5915,1.6539,-0.39124),(5245,5925,1.6579,-0.38683),(5245,5935,1.6618,-0.38242),(5245,5945,1.6657,-0.3779),(5245,5955,1.6696,-0.37332),(5245,5965,1.6734,-0.36873),(5245,5975,1.6772,-0.36408),(5245,5985,1.681,-0.35933),(5245,5995,1.6847,-0.35458),(5245,6005,1.6884,-0.34979),(5245,6015,1.6921,-0.34485),(5245,6025,1.6957,-0.33992),(5245,6035,1.6993,-0.33498),(5245,6045,1.7028,-0.32991),(5245,6055,1.7063,-0.32483),(5245,6065,1.7098,-0.31976),(5245,6075,1.7132,-0.31457),(5245,6085,1.7166,-0.30936),(5245,6095,1.72,-0.30416),(5245,6105,1.7233,-0.29885),(5245,6115,1.7266,-0.2935),(5245,6125,1.7297,-0.28815),(5245,6135,1.7329,-0.28272),(5245,6145,1.7361,-0.27724),(5245,6155,1.7391,-0.27175),(5245,6165,1.7421,-0.26622),(5245,6175,1.7452,-0.2606),(5245,6185,1.7481,-0.25499),(5245,6195,1.7509,-0.24936),(5245,6205,1.7538,-0.24365),(5245,6215,1.7565,-0.23794),(5245,6225,1.7592,-0.23222),(5245,6235,1.7619,-0.22638),(5245,6245,1.7645,-0.22053),(5245,6255,1.767,-0.21468),(5245,6265,1.7695,-0.2087),(5245,6275,1.772,-0.2027),(5245,6285,1.7743,-0.19669),(5245,6295,1.7766,-0.19065),(5245,6305,1.7789,-0.18458),(5245,6315,1.781,-0.17851),(5245,6325,1.7831,-0.17239),(5245,6335,1.7852,-0.16621),(5245,6345,1.7871,-0.16003),(5245,6355,1.7889,-0.15381),(5245,6365,1.7908,-0.14752),(5245,6375,1.7925,-0.14122),(5245,6385,1.7942,-0.13491),(5245,6395,1.7958,-0.12855),(5245,6405,1.7974,-0.12219),(5245,6415,1.7988,-0.11582),(5245,6425,1.8002,-0.10941),(5245,6435,1.8016,-0.10299),(5245,6445,1.8028,-0.096579),(5245,6455,1.804,-0.090137),(5245,6465,1.8051,-0.083686),(5245,6475,1.8061,-0.077236),(5245,6485,1.8071,-0.070753),(5245,6495,1.8081,-0.064249),(5245,6505,1.8088,-0.057745),(5245,6515,1.8095,-0.051228),(5245,6525,1.8102,-0.044692),(5245,6535,1.8107,-0.038157),(5245,6545,1.8111,-0.031611),(5245,6555,1.8116,-0.025034),(5245,6565,1.8119,-0.018456),(5245,6575,1.8121,-0.01188),(5245,6585,1.8122,-0.005322),(5245,6595,1.5415,0.001235),(5245,6605,0.97178,0.007793),(5245,6615,0.40201,0.008556),(5245,6625,0.001485,0.008575),(5245,6635,0.001496,0.008593),(5245,6645,0.001508,0.008619),(5245,6655,0.001519,0.008647),(5245,6665,0.00153,0.008675),(5245,6675,0.00154,0.008702),(5245,6685,0.00155,0.008727),(5245,6695,0.00156,0.008753),(5245,6705,0.001569,0.008778),(5245,6715,0.001578,0.0088),(5245,6725,0.001587,0.008823),(5245,6735,0.001596,0.008846),(5245,6745,0.001605,0.008866),(5245,6755,0.001613,0.008887),(5245,6765,0.001621,0.008907),(5245,6775,0.001629,0.008925),(5245,6785,0.001637,0.008944),(5245,6795,0.001644,0.008962),(5245,6805,0.001652,0.008979),(5245,6815,0.001659,0.008995),(5245,6825,0.001667,0.009011),(5245,6835,0.001674,0.009026),(5245,6845,0.001681,0.00904),(5245,6855,0.001688,0.009055),(5245,6865,0.001695,0.009068),(5245,6875,0.001702,0.009081),(5245,6885,0.001709,0.009093),(5245,6895,0.001716,0.009106),(5245,6905,0.001723,0.009117),(5245,6915,0.00173,0.009128),(5245,6925,0.001736,0.009139),(5245,6935,0.001743,0.009148),(5245,6945,0.00175,0.009158),(5245,6955,0.001757,0.009167),(5245,6965,0.001763,0.009175),(5245,6975,0.00177,0.009184),(5245,6985,0.001776,0.009192),(5255,5,-1.3e-05,-1.3041),(5255,15,-4e-05,-1.3043),(5255,25,-5.7e-05,-1.3044),(5255,35,-6.3e-05,-1.3045),(5255,45,-6.9e-05,-1.3046),(5255,55,-7.5e-05,-1.3046),(5255,65,-9.4e-05,-1.3046),(5255,75,-0.000125,-1.3046),(5255,85,-0.000155,-1.3046),(5255,95,-0.000185,-1.3046),(5255,105,-0.000208,-1.3046),(5255,115,-0.000226,-1.3047),(5255,125,-0.000244,-1.3047),(5255,135,-0.000262,-1.3047),(5255,145,-0.000282,-1.3047),(5255,155,-0.000303,-1.3048),(5255,165,-0.000324,-1.3048),(5255,175,-0.000345,-1.3048),(5255,185,-0.000359,-1.3048),(5255,195,-0.000369,-1.3049),(5255,205,-0.000379,-1.3049),(5255,215,-0.00039,-1.305),(5255,225,-0.000384,-1.305),(5255,235,-0.000373,-1.3051),(5255,245,-0.000362,-1.3052),(5255,255,-0.000351,-1.3052),(5255,265,-0.000323,-1.3053),(5255,275,-0.00029,-1.3054),(5255,285,-0.000257,-1.3055),(5255,295,-0.000224,-1.3056),(5255,305,-0.000182,-1.3058),(5255,315,-0.000138,-1.3059),(5255,325,-9.4e-05,-1.306),(5255,335,-5e-05,-1.3061),(5255,345,-1.7e-05,-1.3063),(5255,355,1.4e-05,-1.3064),(5255,365,4.5e-05,-1.3065),(5255,375,7.6e-05,-1.3066),(5255,385,7.5e-05,-1.3067),(5255,395,6.8e-05,-1.3068),(5255,405,6.2e-05,-1.3069),(5255,415,5.6e-05,-1.3069),(5255,425,2.7e-05,-1.307),(5255,435,-5e-06,-1.3071),(5255,445,-3.7e-05,-1.3072),(5255,455,-6.8e-05,-1.3072),(5255,465,-0.000103,-1.3073),(5255,475,-0.000138,-1.3074),(5255,485,-0.000173,-1.3075),(5255,495,-0.000207,-1.3076),(5255,505,-0.000231,-1.3077),(5255,515,-0.000254,-1.3078),(5255,525,-0.000277,-1.3079),(5255,535,-0.0003,-1.308),(5255,545,-0.000295,-1.3081),(5255,555,-0.000291,-1.3082),(5255,565,-0.000286,-1.3084),(5255,575,-0.00028,-1.3085),(5255,585,-0.000251,-1.3087),(5255,595,-0.000222,-1.3088),(5255,605,-0.000193,-1.309),(5255,615,-0.000167,-1.3092),(5255,625,-0.000163,-1.3094),(5255,635,-0.000158,-1.3096),(5255,645,-0.000154,-1.3097),(5255,655,-0.00016,-1.3098),(5255,665,-0.000226,-1.3099),(5255,675,-0.000292,-1.3099),(5255,685,-0.000358,-1.3099),(5255,695,-0.00043,-1.3099),(5255,705,-0.000531,-1.3099),(5255,715,-0.000632,-1.31),(5255,725,-0.000732,-1.31),(5255,735,-0.000826,-1.31),(5255,745,-0.000898,-1.3101),(5255,755,-0.000969,-1.3101),(5255,765,-0.00104,-1.3102),(5255,775,-0.001098,-1.3103),(5255,785,-0.001118,-1.3104),(5255,795,-0.001139,-1.3105),(5255,805,-0.00116,-1.3107),(5255,815,-0.001172,-1.3108),(5255,825,-0.001167,-1.3109),(5255,835,-0.001161,-1.3111),(5255,845,-0.001156,-1.3112),(5255,855,-0.001151,-1.3113),(5255,865,-0.001148,-1.3114),(5255,875,-0.001146,-1.3115),(5255,885,-0.001143,-1.3116),(5255,895,-0.001141,-1.3117),(5255,905,-0.001143,-1.3117),(5255,915,-0.001144,-1.3118),(5255,925,-0.001146,-1.3119),(5255,935,-0.001153,-1.312),(5255,945,-0.001166,-1.312),(5255,955,-0.00118,-1.312),(5255,965,-0.001194,-1.312),(5255,975,-0.001218,-1.312),(5255,985,-0.001254,-1.312),(5255,995,-0.00129,-1.312),(5255,1005,-0.001326,-1.3119),(5255,1015,-0.001364,-1.3118),(5255,1025,-0.001406,-1.3118),(5255,1035,-0.001447,-1.3117),(5255,1045,-0.001488,-1.3116),(5255,1055,-0.001533,-1.3115),(5255,1065,-0.00158,-1.3114),(5255,1075,-0.001628,-1.3112),(5255,1085,-0.001675,-1.311),(5255,1095,-0.001726,-1.3108),(5255,1105,-0.001779,-1.3106),(5255,1115,-0.001832,-1.3103),(5255,1125,-0.001885,-1.31),(5255,1135,-0.001904,-1.3097),(5255,1145,-0.001901,-1.3093),(5255,1155,-0.001899,-1.309),(5255,1165,-0.001896,-1.3086),(5255,1175,-0.00187,-1.3082),(5255,1185,-0.001832,-1.3079),(5255,1195,-0.001794,-1.3076),(5255,1205,-0.001757,-1.3073),(5255,1215,-0.002427,-1.307),(5255,1225,-0.003391,-1.3067),(5255,1235,-0.004354,-1.3064),(5255,1245,-0.005317,-1.3061),(5255,1255,-0.011747,-1.3057),(5255,1265,-0.020024,-1.3054),(5255,1275,-0.028301,-1.3006),(5255,1285,-0.036578,-1.2945),(5255,1295,-0.048197,-1.2883),(5255,1305,-0.06072,-1.2822),(5255,1315,-0.073243,-1.2627),(5255,1325,-0.085766,-1.2401),(5255,1335,-0.052521,-1.2175),(5255,1345,-0.009685,-1.1948),(5255,1355,0.033152,-1.2099),(5255,1365,0.075988,-1.2318),(5255,1375,0.07409,-1.2537),(5255,1385,0.065291,-1.2755),(5255,1395,0.056491,-1.2852),(5255,1405,0.047692,-1.2932),(5255,1415,0.037587,-1.3013),(5255,1425,0.027348,-1.3093),(5255,1435,0.017108,-1.3106),(5255,1445,0.006868,-1.3112),(5255,1455,0.005152,-1.3119),(5255,1465,0.003927,-1.3126),(5255,1475,0.002702,-1.3133),(5255,1485,0.001477,-1.314),(5255,1495,0.00144,-1.3147),(5255,1505,0.001421,-1.3154),(5255,1515,0.001403,-1.3162),(5255,1525,0.001384,-1.3171),(5255,1535,0.001369,-1.3179),(5255,1545,0.001353,-1.3187),(5255,1555,0.001338,-1.3194),(5255,1565,0.00132,-1.3202),(5255,1575,0.001262,-1.3209),(5255,1585,0.001205,-1.3216),(5255,1595,0.001147,-1.3222),(5255,1605,0.001089,-1.3228),(5255,1615,0.001025,-1.3234),(5255,1625,0.000962,-1.3239),(5255,1635,0.000898,-1.3244),(5255,1645,0.000838,-1.3249),(5255,1655,0.000796,-1.3254),(5255,1665,0.000755,-1.3258),(5255,1675,0.000713,-1.3262),(5255,1685,0.000677,-1.3266),(5255,1695,0.000663,-1.327),(5255,1705,0.000649,-1.3274),(5255,1715,0.000634,-1.3278),(5255,1725,0.000625,-1.3281),(5255,1735,0.000632,-1.3284),(5255,1745,0.000638,-1.3288),(5255,1755,0.000645,-1.3291),(5255,1765,0.000657,-1.3294),(5255,1775,0.000684,-1.3297),(5255,1785,0.00071,-1.3299),(5255,1795,0.000737,-1.3302),(5255,1805,0.000766,-1.3305),(5255,1815,0.0008,-1.3308),(5255,1825,0.000834,-1.331),(5255,1835,0.000868,-1.3312),(5255,1845,0.000899,-1.3314),(5255,1855,0.000923,-1.3316),(5255,1865,0.000947,-1.3318),(5255,1875,0.00097,-1.332),(5255,1885,0.000991,-1.3322),(5255,1895,0.001005,-1.3324),(5255,1905,0.00102,-1.3325),(5255,1915,0.001035,-1.3327),(5255,1925,0.001043,-1.3328),(5255,1935,0.001044,-1.333),(5255,1945,0.001045,-1.3331),(5255,1955,0.001045,-1.3332),(5255,1965,0.001038,-1.3333),(5255,1975,0.001021,-1.3334),(5255,1985,0.001004,-1.3335),(5255,1995,0.000987,-1.3336),(5255,2005,0.000971,-1.3337),(5255,2015,0.000955,-1.3338),(5255,2025,0.00094,-1.3338),(5255,2035,0.000924,-1.3339),(5255,2045,0.000915,-1.334),(5255,2055,0.000912,-1.3341),(5255,2065,0.000909,-1.3342),(5255,2075,0.000906,-1.3343),(5255,2085,0.000904,-1.3344),(5255,2095,0.000903,-1.3344),(5255,2105,0.000902,-1.3345),(5255,2115,0.000901,-1.3346),(5255,2125,0.000898,-1.3346),(5255,2135,0.000895,-1.3347),(5255,2145,0.000891,-1.3347),(5255,2155,0.000888,-1.3347),(5255,2165,0.000895,-1.3348),(5255,2175,0.000909,-1.3348),(5255,2185,0.000923,-1.3349),(5255,2195,0.000937,-1.3349),(5255,2205,0.000962,-1.335),(5255,2215,0.000994,-1.335),(5255,2225,0.001025,-1.3351),(5255,2235,0.001056,-1.3351),(5255,2245,0.001071,-1.3352),(5255,2255,0.001081,-1.3352),(5255,2265,0.001091,-1.3352),(5255,2275,0.0011,-1.3351),(5255,2285,0.001083,-1.3351),(5255,2295,0.001058,-1.335),(5255,2305,0.001032,-1.3349),(5255,2315,0.001007,-1.3348),(5255,2325,0.000984,-1.3348),(5255,2335,0.000961,-1.3347),(5255,2345,0.000938,-1.3346),(5255,2355,0.000916,-1.3345),(5255,2365,0.000913,-1.3345),(5255,2375,0.000914,-1.3344),(5255,2385,0.000915,-1.3343),(5255,2395,0.000916,-1.3342),(5255,2405,0.000923,-1.3342),(5255,2415,0.00093,-1.3341),(5255,2425,0.000937,-1.3339),(5255,2435,0.000944,-1.3338),(5255,2445,0.000953,-1.3337),(5255,2455,0.000962,-1.3335),(5255,2465,0.000971,-1.3334),(5255,2475,0.00098,-1.3332),(5255,2485,0.001011,-1.3331),(5255,2495,0.001042,-1.3329),(5255,2505,0.001074,-1.3328),(5255,2515,0.001106,-1.3326),(5255,2525,0.001157,-1.3325),(5255,2535,0.001209,-1.3323),(5255,2545,0.001261,-1.3321),(5255,2555,0.001311,-1.332),(5255,2565,0.001346,-1.3318),(5255,2575,0.00138,-1.3316),(5255,2585,0.001415,-1.3313),(5255,2595,0.001448,-1.3311),(5255,2605,0.001465,-1.3308),(5255,2615,0.001483,-1.3305),(5255,2625,0.0015,-1.3302),(5255,2635,0.001521,-1.3299),(5255,2645,0.001563,-1.3296),(5255,2655,0.001605,-1.3294),(5255,2665,0.001647,-1.3291),(5255,2675,0.00169,-1.3289),(5255,2685,0.001739,-1.3286),(5255,2695,0.001787,-1.3284),(5255,2705,0.001835,-1.328),(5255,2715,0.001877,-1.3277),(5255,2725,0.001894,-1.3273),(5255,2735,0.001912,-1.3269),(5255,2745,0.001929,-1.3265),(5255,2755,0.001946,-1.3261),(5255,2765,0.001963,-1.3256),(5255,2775,0.001981,-1.3252),(5255,2785,0.001998,-1.3248),(5255,2795,0.002022,-1.3244),(5255,2805,0.002059,-1.324),(5255,2815,0.002097,-1.3236),(5255,2825,0.002134,-1.3231),(5255,2835,0.002162,-1.3227),(5255,2845,0.002169,-1.3222),(5255,2855,0.002177,-1.3217),(5255,2865,0.002184,-1.3212),(5255,2875,0.002178,-1.3206),(5255,2885,0.002149,-1.32),(5255,2895,0.002119,-1.3194),(5255,2905,0.00209,-1.3188),(5255,2915,0.002063,-1.3182),(5255,2925,0.002041,-1.3176),(5255,2935,0.002018,-1.317),(5255,2945,0.001995,-1.3163),(5255,2955,0.001971,-1.3157),(5255,2965,0.001946,-1.315),(5255,2975,0.001921,-1.3144),(5255,2985,0.001896,-1.3136),(5255,2995,0.001872,-1.3129),(5255,3005,0.00185,-1.3122),(5255,3015,0.001828,-1.3114),(5255,3025,0.001805,-1.3107),(5255,3035,0.001792,-1.3099),(5255,3045,0.001786,-1.3092),(5255,3055,0.001781,-1.3084),(5255,3065,0.001775,-1.3076),(5255,3075,0.001775,-1.3068),(5255,3085,0.001781,-1.306),(5255,3095,0.001786,-1.3052),(5255,3105,0.001791,-1.3043),(5255,3115,0.001802,-1.3034),(5255,3125,0.001818,-1.3025),(5255,3135,0.001833,-1.3016),(5255,3145,0.001848,-1.3006),(5255,3155,0.001869,-1.2997),(5255,3165,0.001894,-1.2987),(5255,3175,0.001918,-1.2978),(5255,3185,0.001943,-1.2967),(5255,3195,0.00195,-1.2957),(5255,3205,0.00195,-1.2947),(5255,3215,0.00195,-1.2936),(5255,3225,0.00195,-1.2924),(5255,3235,0.001923,-1.2912),(5255,3245,0.001887,-1.29),(5255,3255,0.00185,-1.2888),(5255,3265,0.001814,-1.2875),(5255,3275,0.001795,-1.2862),(5255,3285,0.001781,-1.285),(5255,3295,0.001767,-1.2837),(5255,3305,0.001754,-1.2824),(5255,3315,0.001758,-1.2812),(5255,3325,0.001767,-1.2799),(5255,3335,0.001776,-1.2785),(5255,3345,0.001785,-1.2771),(5255,3355,0.001779,-1.2758),(5255,3365,0.00177,-1.2744),(5255,3375,0.001762,-1.2729),(5255,3385,0.001754,-1.2714),(5255,3395,0.001737,-1.2698),(5255,3405,0.001719,-1.2683),(5255,3415,0.001701,-1.2667),(5255,3425,0.001683,-1.2651),(5255,3435,0.00168,-1.2635),(5255,3445,0.001679,-1.2619),(5255,3455,0.001677,-1.2602),(5255,3465,0.001676,-1.2585),(5255,3475,0.001674,-1.2569),(5255,3485,0.001673,-1.2552),(5255,3495,0.001672,-1.2533),(5255,3505,0.001671,-1.2515),(5255,3515,0.001652,-1.2497),(5255,3525,0.001633,-1.2478),(5255,3535,0.001615,-1.2459),(5255,3545,0.001596,-1.2439),(5255,3555,0.001573,-1.242),(5255,3565,0.00155,-1.24),(5255,3575,0.001527,-1.2379),(5255,3585,0.001503,-1.2359),(5255,3595,0.001471,-1.2338),(5255,3605,0.001438,-1.2317),(5255,3615,0.001406,-1.2295),(5255,3625,0.001373,-1.2273),(5255,3635,0.001339,-1.2251),(5255,3645,0.001305,-1.2229),(5255,3655,0.001271,-1.2206),(5255,3665,0.00124,-1.2183),(5255,3675,0.001222,-1.216),(5255,3685,0.001203,-1.2136),(5255,3695,0.001185,-1.2112),(5255,3705,0.001168,-1.2088),(5255,3715,0.001152,-1.2064),(5255,3725,0.001137,-1.204),(5255,3735,0.001122,-1.2015),(5255,3745,0.001107,-1.1989),(5255,3755,0.001092,-1.1964),(5255,3765,0.001077,-1.1938),(5255,3775,0.001062,-1.1912),(5255,3785,0.001047,-1.1885),(5255,3795,0.001032,-1.1859),(5255,3805,0.001018,-1.1832),(5255,3815,0.001004,-1.1805),(5255,3825,0.000982,-1.1777),(5255,3835,0.000943,-1.175),(5255,3845,0.000904,-1.1722),(5255,3855,0.000865,-1.1693),(5255,3865,0.00077,-1.1664),(5255,3875,0.000576,-1.1635),(5255,3885,0.000382,-1.1606),(5255,3895,0.000188,-1.1576),(5255,3905,-0.000375,-1.1547),(5255,3915,-0.00149,-1.1517),(5255,3925,-0.002606,-1.1486),(5255,3935,-0.003721,-1.1454),(5255,3945,-0.007024,-1.1422),(5255,3955,-0.013103,-1.139),(5255,3965,-0.019182,-1.1338),(5255,3975,-0.025261,-1.1261),(5255,3985,-0.036194,-1.1185),(5255,3995,-0.052382,-1.1109),(5255,4005,-0.06857,-1.0949),(5255,4015,-0.084758,-1.0704),(5255,4025,0.061771,-1.0459),(5255,4035,0.22422,-1.0303),(5255,4045,0.38667,-1.0333),(5255,4055,0.49323,-1.0363),(5255,4065,0.57941,-1.0393),(5255,4075,0.66558,-1.0425),(5255,4085,0.70605,-1.0457),(5255,4095,0.70978,-1.049),(5255,4105,0.71351,-1.051),(5255,4115,0.71768,-1.053),(5255,4125,0.72256,-1.0549),(5255,4135,0.72744,-1.0559),(5255,4145,0.73256,-1.0566),(5255,4155,0.73863,-1.0573),(5255,4165,0.7447,-1.0573),(5255,4175,0.75078,-1.0569),(5255,4185,0.75764,-1.0565),(5255,4195,0.7645,-1.0558),(5255,4205,0.77135,-1.0545),(5255,4215,0.77862,-1.0532),(5255,4225,0.78595,-1.0517),(5255,4235,0.79329,-1.0497),(5255,4245,0.80081,-1.0477),(5255,4255,0.80843,-1.0456),(5255,4265,0.81605,-1.043),(5255,4275,0.82375,-1.0403),(5255,4285,0.83156,-1.0376),(5255,4295,0.83936,-1.0344),(5255,4305,0.8472,-1.031),(5255,4315,0.85511,-1.0277),(5255,4325,0.86302,-1.0239),(5255,4335,0.87095,-1.0199),(5255,4345,0.87901,-1.0159),(5255,4355,0.88707,-1.0116),(5255,4365,0.89513,-1.007),(5255,4375,0.90327,-1.0024),(5255,4385,0.9114,-0.99762),(5255,4395,0.91954,-0.99247),(5255,4405,0.92764,-0.98733),(5255,4415,0.93573,-0.98211),(5255,4425,0.94382,-0.97653),(5255,4435,0.95183,-0.97096),(5255,4445,0.95978,-0.96538),(5255,4455,0.96773,-0.95951),(5255,4465,0.97558,-0.95364),(5255,4475,0.98328,-0.94777),(5255,4485,0.99099,-0.94176),(5255,4495,0.99864,-0.93572),(5255,4505,1.0061,-0.92969),(5255,4515,1.0136,-0.92359),(5255,4525,1.021,-0.91747),(5255,4535,1.0282,-0.91134),(5255,4545,1.0354,-0.90523),(5255,4555,1.0426,-0.89913),(5255,4565,1.0496,-0.89304),(5255,4575,1.0565,-0.88696),(5255,4585,1.0635,-0.88091),(5255,4595,1.0702,-0.87486),(5255,4605,1.077,-0.86883),(5255,4615,1.0837,-0.86287),(5255,4625,1.0902,-0.8569),(5255,4635,1.0967,-0.85094),(5255,4645,1.1031,-0.84508),(5255,4655,1.1095,-0.83924),(5255,4665,1.1157,-0.83339),(5255,4675,1.1219,-0.82767),(5255,4685,1.128,-0.82198),(5255,4695,1.134,-0.8163),(5255,4705,1.1399,-0.81071),(5255,4715,1.1458,-0.8052),(5255,4725,1.1515,-0.79969),(5255,4735,1.1572,-0.79423),(5255,4745,1.1629,-0.78885),(5255,4755,1.1684,-0.78346),(5255,4765,1.1739,-0.77811),(5255,4775,1.1794,-0.77291),(5255,4785,1.1847,-0.76771),(5255,4795,1.19,-0.76252),(5255,4805,1.1952,-0.7575),(5255,4815,1.2003,-0.75248),(5255,4825,1.2054,-0.74746),(5255,4835,1.2104,-0.74257),(5255,4845,1.2154,-0.73771),(5255,4855,1.2202,-0.73284),(5255,4865,1.225,-0.72809),(5255,4875,1.2298,-0.72338),(5255,4885,1.2345,-0.71868),(5255,4895,1.2391,-0.71405),(5255,4905,1.2438,-0.70949),(5255,4915,1.2482,-0.70493),(5255,4925,1.2527,-0.70042),(5255,4935,1.2571,-0.69602),(5255,4945,1.2615,-0.69162),(5255,4955,1.2657,-0.68725),(5255,4965,1.27,-0.68302),(5255,4975,1.2742,-0.67879),(5255,4985,1.2783,-0.67456),(5255,4995,1.2824,-0.67046),(5255,5005,1.2865,-0.66637),(5255,5015,1.2905,-0.66228),(5255,5025,1.2944,-0.65833),(5255,5035,1.2984,-0.65442),(5255,5045,1.3022,-0.65051),(5255,5055,1.3061,-0.64671),(5255,5065,1.3099,-0.64297),(5255,5075,1.3136,-0.63923),(5255,5085,1.3174,-0.63558),(5255,5095,1.3211,-0.63203),(5255,5105,1.3248,-0.62848),(5255,5115,1.3284,-0.62497),(5255,5125,1.3321,-0.6216),(5255,5135,1.3356,-0.61822),(5255,5145,1.3392,-0.61486),(5255,5155,1.3427,-0.61164),(5255,5165,1.3463,-0.60842),(5255,5175,1.3497,-0.6052),(5255,5185,1.3532,-0.60214),(5255,5195,1.3567,-0.59908),(5255,5205,1.3601,-0.59603),(5255,5215,1.3636,-0.59311),(5255,5225,1.367,-0.59025),(5255,5235,1.3705,-0.58738),(5255,5245,1.3739,-0.58461),(5255,5255,1.3774,-0.58191),(5255,5265,1.3809,-0.57921),(5255,5275,1.3844,-0.57656),(5255,5285,1.3878,-0.57401),(5255,5295,1.3914,-0.57146),(5255,5305,1.3949,-0.56894),(5255,5315,1.3985,-0.56654),(5255,5325,1.4021,-0.56414),(5255,5335,1.4058,-0.56175),(5255,5345,1.4094,-0.55946),(5255,5355,1.4131,-0.55717),(5255,5365,1.4169,-0.55488),(5255,5375,1.4206,-0.55267),(5255,5385,1.4244,-0.55049),(5255,5395,1.4283,-0.54831),(5255,5405,1.4321,-0.54616),(5255,5415,1.436,-0.54403),(5255,5425,1.44,-0.5419),(5255,5435,1.444,-0.53977),(5255,5445,1.4479,-0.53764),(5255,5455,1.452,-0.53551),(5255,5465,1.456,-0.53336),(5255,5475,1.4601,-0.53118),(5255,5485,1.4642,-0.52899),(5255,5495,1.4684,-0.5268),(5255,5505,1.4725,-0.52455),(5255,5515,1.4767,-0.52231),(5255,5525,1.481,-0.52006),(5255,5535,1.4852,-0.51773),(5255,5545,1.4894,-0.51538),(5255,5555,1.4937,-0.51304),(5255,5565,1.498,-0.5106),(5255,5575,1.5024,-0.50813),(5255,5585,1.5067,-0.50566),(5255,5595,1.5111,-0.5031),(5255,5605,1.5154,-0.50047),(5255,5615,1.5198,-0.49784),(5255,5625,1.5242,-0.49515),(5255,5635,1.5286,-0.49236),(5255,5645,1.533,-0.48958),(5255,5655,1.5374,-0.48676),(5255,5665,1.5417,-0.4838),(5255,5675,1.5461,-0.48084),(5255,5685,1.5505,-0.47786),(5255,5695,1.5548,-0.47468),(5255,5705,1.5592,-0.4715),(5255,5715,1.5635,-0.46832),(5255,5725,1.5679,-0.46496),(5255,5735,1.5722,-0.46158),(5255,5745,1.5765,-0.45819),(5255,5755,1.5808,-0.45467),(5255,5765,1.5851,-0.45108),(5255,5775,1.5893,-0.4475),(5255,5785,1.5935,-0.44381),(5255,5795,1.5977,-0.44002),(5255,5805,1.6019,-0.43623),(5255,5815,1.6061,-0.43239),(5255,5825,1.6102,-0.42845),(5255,5835,1.6143,-0.42452),(5255,5845,1.6184,-0.42055),(5255,5855,1.6225,-0.41645),(5255,5865,1.6266,-0.41234),(5255,5875,1.6306,-0.40823),(5255,5885,1.6346,-0.40394),(5255,5895,1.6386,-0.39963),(5255,5905,1.6425,-0.39533),(5255,5915,1.6464,-0.39092),(5255,5925,1.6503,-0.38647),(5255,5935,1.6542,-0.38203),(5255,5945,1.658,-0.37748),(5255,5955,1.6618,-0.37286),(5255,5965,1.6656,-0.36825),(5255,5975,1.6693,-0.36356),(5255,5985,1.673,-0.35879),(5255,5995,1.6767,-0.35402),(5255,6005,1.6803,-0.3492),(5255,6015,1.6839,-0.34425),(5255,6025,1.6875,-0.3393),(5255,6035,1.691,-0.33434),(5255,6045,1.6945,-0.32925),(5255,6055,1.698,-0.32416),(5255,6065,1.7014,-0.31907),(5255,6075,1.7048,-0.31387),(5255,6085,1.7081,-0.30866),(5255,6095,1.7114,-0.30344),(5255,6105,1.7147,-0.29812),(5255,6115,1.7179,-0.29277),(5255,6125,1.7211,-0.28742),(5255,6135,1.7242,-0.28199),(5255,6145,1.7273,-0.2765),(5255,6155,1.7303,-0.27102),(5255,6165,1.7333,-0.26549),(5255,6175,1.7362,-0.25988),(5255,6185,1.7391,-0.25427),(5255,6195,1.7419,-0.24864),(5255,6205,1.7447,-0.24293),(5255,6215,1.7474,-0.23723),(5255,6225,1.75,-0.23151),(5255,6235,1.7527,-0.22567),(5255,6245,1.7553,-0.21983),(5255,6255,1.7577,-0.21399),(5255,6265,1.7602,-0.20803),(5255,6275,1.7626,-0.20204),(5255,6285,1.7649,-0.19605),(5255,6295,1.7672,-0.19002),(5255,6305,1.7694,-0.18396),(5255,6315,1.7715,-0.17791),(5255,6325,1.7735,-0.1718),(5255,6335,1.7756,-0.16564),(5255,6345,1.7775,-0.15948),(5255,6355,1.7793,-0.15328),(5255,6365,1.7812,-0.147),(5255,6375,1.7829,-0.14072),(5255,6385,1.7845,-0.13444),(5255,6395,1.7861,-0.12809),(5255,6405,1.7876,-0.12174),(5255,6415,1.789,-0.1154),(5255,6425,1.7904,-0.109),(5255,6435,1.7917,-0.1026),(5255,6445,1.7929,-0.096203),(5255,6455,1.7941,-0.089777),(5255,6465,1.7952,-0.083343),(5255,6475,1.7962,-0.076909),(5255,6485,1.7971,-0.070447),(5255,6495,1.7981,-0.063965),(5255,6505,1.7988,-0.057483),(5255,6515,1.7995,-0.050989),(5255,6525,1.8002,-0.044478),(5255,6535,1.8007,-0.037967),(5255,6545,1.8011,-0.031447),(5255,6555,1.8016,-0.024896),(5255,6565,1.8018,-0.018345),(5255,6575,1.802,-0.011795),(5255,6585,1.8022,-0.005262),(5255,6595,1.533,0.001271),(5255,6605,0.96638,0.007804),(5255,6615,0.39977,0.008566),(5255,6625,0.001451,0.008586),(5255,6635,0.001463,0.008606),(5255,6645,0.001476,0.008631),(5255,6655,0.001488,0.008659),(5255,6665,0.0015,0.008687),(5255,6675,0.001511,0.008713),(5255,6685,0.001522,0.008738),(5255,6695,0.001532,0.008764),(5255,6705,0.001542,0.008788),(5255,6715,0.001553,0.008811),(5255,6725,0.001562,0.008833),(5255,6735,0.001571,0.008855),(5255,6745,0.001581,0.008876),(5255,6755,0.00159,0.008896),(5255,6765,0.001599,0.008916),(5255,6775,0.001607,0.008934),(5255,6785,0.001616,0.008953),(5255,6795,0.001624,0.008971),(5255,6805,0.001632,0.008987),(5255,6815,0.00164,0.009003),(5255,6825,0.001648,0.009019),(5255,6835,0.001656,0.009034),(5255,6845,0.001664,0.009048),(5255,6855,0.001672,0.009062),(5255,6865,0.001679,0.009076),(5255,6875,0.001687,0.009088),(5255,6885,0.001694,0.009101),(5255,6895,0.001701,0.009113),(5255,6905,0.001709,0.009124),(5255,6915,0.001716,0.009135),(5255,6925,0.001723,0.009146),(5255,6935,0.00173,0.009155),(5255,6945,0.001737,0.009165),(5255,6955,0.001744,0.009174),(5255,6965,0.001752,0.009183),(5255,6975,0.001759,0.009191),(5255,6985,0.001766,0.009199),(5265,5,-1.9e-05,-1.2163),(5265,15,-5.7e-05,-1.2164),(5265,25,-7.8e-05,-1.2165),(5265,35,-8.3e-05,-1.2166),(5265,45,-8.8e-05,-1.2167),(5265,55,-9.4e-05,-1.2167),(5265,65,-0.000112,-1.2167),(5265,75,-0.000142,-1.2167),(5265,85,-0.000171,-1.2168),(5265,95,-0.000201,-1.2168),(5265,105,-0.000227,-1.2168),(5265,115,-0.00025,-1.2168),(5265,125,-0.000273,-1.2168),(5265,135,-0.000297,-1.2168),(5265,145,-0.000322,-1.2169),(5265,155,-0.000349,-1.2169),(5265,165,-0.000375,-1.2169),(5265,175,-0.000402,-1.2169),(5265,185,-0.000426,-1.217),(5265,195,-0.000447,-1.217),(5265,205,-0.000469,-1.217),(5265,215,-0.000491,-1.2171),(5265,225,-0.000498,-1.2171),(5265,235,-0.000498,-1.2172),(5265,245,-0.000499,-1.2172),(5265,255,-0.0005,-1.2173),(5265,265,-0.00048,-1.2174),(5265,275,-0.000454,-1.2175),(5265,285,-0.000427,-1.2176),(5265,295,-0.000401,-1.2177),(5265,305,-0.00036,-1.2178),(5265,315,-0.000314,-1.2179),(5265,325,-0.000269,-1.218),(5265,335,-0.000223,-1.2181),(5265,345,-0.000183,-1.2182),(5265,355,-0.000144,-1.2183),(5265,365,-0.000105,-1.2185),(5265,375,-6.6e-05,-1.2186),(5265,385,-6.2e-05,-1.2187),(5265,395,-6.2e-05,-1.2188),(5265,405,-6.3e-05,-1.2188),(5265,415,-6.4e-05,-1.2189),(5265,425,-9.7e-05,-1.219),(5265,435,-0.000133,-1.219),(5265,445,-0.000168,-1.2191),(5265,455,-0.000204,-1.2192),(5265,465,-0.000249,-1.2193),(5265,475,-0.000294,-1.2194),(5265,485,-0.000339,-1.2194),(5265,495,-0.000385,-1.2195),(5265,505,-0.000423,-1.2196),(5265,515,-0.000462,-1.2197),(5265,525,-0.0005,-1.2198),(5265,535,-0.000538,-1.2199),(5265,545,-0.000547,-1.22),(5265,555,-0.000556,-1.2201),(5265,565,-0.000566,-1.2202),(5265,575,-0.000572,-1.2204),(5265,585,-0.000544,-1.2205),(5265,595,-0.000516,-1.2206),(5265,605,-0.000489,-1.2208),(5265,615,-0.000462,-1.221),(5265,625,-0.000445,-1.2212),(5265,635,-0.000427,-1.2213),(5265,645,-0.00041,-1.2214),(5265,655,-0.000405,-1.2215),(5265,665,-0.000466,-1.2216),(5265,675,-0.000527,-1.2217),(5265,685,-0.000588,-1.2217),(5265,695,-0.00066,-1.2218),(5265,705,-0.00078,-1.2218),(5265,715,-0.000899,-1.2218),(5265,725,-0.001019,-1.2218),(5265,735,-0.001135,-1.2219),(5265,745,-0.001237,-1.2219),(5265,755,-0.001339,-1.2219),(5265,765,-0.001441,-1.222),(5265,775,-0.001528,-1.2221),(5265,785,-0.001575,-1.2222),(5265,795,-0.001622,-1.2223),(5265,805,-0.001669,-1.2224),(5265,815,-0.001704,-1.2225),(5265,825,-0.001715,-1.2226),(5265,835,-0.001725,-1.2228),(5265,845,-0.001736,-1.2229),(5265,855,-0.001746,-1.223),(5265,865,-0.001756,-1.2231),(5265,875,-0.001766,-1.2232),(5265,885,-0.001776,-1.2232),(5265,895,-0.001788,-1.2233),(5265,905,-0.001804,-1.2234),(5265,915,-0.00182,-1.2235),(5265,925,-0.001835,-1.2235),(5265,935,-0.001856,-1.2236),(5265,945,-0.001884,-1.2236),(5265,955,-0.001911,-1.2237),(5265,965,-0.001938,-1.2237),(5265,975,-0.001979,-1.2237),(5265,985,-0.002033,-1.2237),(5265,995,-0.002088,-1.2236),(5265,1005,-0.002143,-1.2236),(5265,1015,-0.002203,-1.2235),(5265,1025,-0.002269,-1.2234),(5265,1035,-0.002335,-1.2234),(5265,1045,-0.002401,-1.2233),(5265,1055,-0.002471,-1.2232),(5265,1065,-0.002544,-1.2231),(5265,1075,-0.002618,-1.2229),(5265,1085,-0.002691,-1.2227),(5265,1095,-0.002773,-1.2225),(5265,1105,-0.002862,-1.2223),(5265,1115,-0.00295,-1.2221),(5265,1125,-0.003038,-1.2218),(5265,1135,-0.003089,-1.2215),(5265,1145,-0.003118,-1.2211),(5265,1155,-0.003147,-1.2208),(5265,1165,-0.003175,-1.2204),(5265,1175,-0.003137,-1.22),(5265,1185,-0.003066,-1.2196),(5265,1195,-0.002994,-1.2192),(5265,1205,-0.002923,-1.2188),(5265,1215,-0.003619,-1.2183),(5265,1225,-0.004632,-1.2179),(5265,1235,-0.005646,-1.2177),(5265,1245,-0.006659,-1.2175),(5265,1255,-0.015034,-1.2173),(5265,1265,-0.025895,-1.2171),(5265,1275,-0.036756,-1.2166),(5265,1285,-0.047618,-1.2159),(5265,1295,-0.064771,-1.2153),(5265,1305,-0.083626,-1.2147),(5265,1315,-0.10248,-1.2099),(5265,1325,-0.12134,-1.204),(5265,1335,-0.074229,-1.1981),(5265,1345,-0.013297,-1.1922),(5265,1355,0.047636,-1.1967),(5265,1365,0.10857,-1.203),(5265,1375,0.10458,-1.2094),(5265,1385,0.090586,-1.2158),(5265,1395,0.076587,-1.2175),(5265,1405,0.062588,-1.2187),(5265,1415,0.04899,-1.2198),(5265,1425,0.035433,-1.221),(5265,1435,0.021877,-1.2216),(5265,1445,0.00832,-1.2221),(5265,1455,0.00636,-1.2227),(5265,1465,0.005069,-1.2232),(5265,1475,0.003777,-1.2241),(5265,1485,0.002485,-1.2249),(5265,1495,0.002498,-1.2258),(5265,1505,0.002531,-1.2266),(5265,1515,0.002563,-1.2275),(5265,1525,0.002594,-1.2283),(5265,1535,0.002559,-1.2291),(5265,1545,0.002524,-1.2299),(5265,1555,0.002488,-1.2306),(5265,1565,0.002449,-1.2313),(5265,1575,0.002363,-1.232),(5265,1585,0.002276,-1.2326),(5265,1595,0.002189,-1.2332),(5265,1605,0.002102,-1.2337),(5265,1615,0.00201,-1.2343),(5265,1625,0.001918,-1.2348),(5265,1635,0.001826,-1.2352),(5265,1645,0.001736,-1.2357),(5265,1655,0.001666,-1.2361),(5265,1665,0.001596,-1.2365),(5265,1675,0.001526,-1.2369),(5265,1685,0.001461,-1.2373),(5265,1695,0.001421,-1.2376),(5265,1705,0.00138,-1.238),(5265,1715,0.00134,-1.2383),(5265,1725,0.001304,-1.2386),(5265,1735,0.001288,-1.239),(5265,1745,0.001271,-1.2393),(5265,1755,0.001254,-1.2395),(5265,1765,0.001244,-1.2398),(5265,1775,0.001251,-1.2401),(5265,1785,0.001259,-1.2403),(5265,1795,0.001266,-1.2406),(5265,1805,0.001278,-1.2408),(5265,1815,0.001301,-1.2411),(5265,1825,0.001324,-1.2413),(5265,1835,0.001347,-1.2415),(5265,1845,0.001367,-1.2417),(5265,1855,0.001382,-1.2419),(5265,1865,0.001397,-1.2421),(5265,1875,0.001412,-1.2423),(5265,1885,0.001423,-1.2424),(5265,1895,0.001429,-1.2426),(5265,1905,0.001435,-1.2427),(5265,1915,0.001441,-1.2429),(5265,1925,0.001442,-1.243),(5265,1935,0.001435,-1.2432),(5265,1945,0.001429,-1.2433),(5265,1955,0.001423,-1.2434),(5265,1965,0.001408,-1.2435),(5265,1975,0.001382,-1.2436),(5265,1985,0.001356,-1.2437),(5265,1995,0.00133,-1.2438),(5265,2005,0.001303,-1.2439),(5265,2015,0.001277,-1.2439),(5265,2025,0.00125,-1.244),(5265,2035,0.001223,-1.2441),(5265,2045,0.001205,-1.2442),(5265,2055,0.001194,-1.2442),(5265,2065,0.001183,-1.2443),(5265,2075,0.001172,-1.2444),(5265,2085,0.001163,-1.2445),(5265,2095,0.001156,-1.2445),(5265,2105,0.001149,-1.2446),(5265,2115,0.001142,-1.2447),(5265,2125,0.00113,-1.2447),(5265,2135,0.001116,-1.2448),(5265,2145,0.001102,-1.2448),(5265,2155,0.001087,-1.2448),(5265,2165,0.001084,-1.2449),(5265,2175,0.001085,-1.2449),(5265,2185,0.001087,-1.2449),(5265,2195,0.001089,-1.245),(5265,2205,0.00111,-1.245),(5265,2215,0.001141,-1.2451),(5265,2225,0.001172,-1.2451),(5265,2235,0.001202,-1.2452),(5265,2245,0.001223,-1.2452),(5265,2255,0.001242,-1.2452),(5265,2265,0.00126,-1.2452),(5265,2275,0.001278,-1.2452),(5265,2285,0.001263,-1.2451),(5265,2295,0.001238,-1.2451),(5265,2305,0.001213,-1.245),(5265,2315,0.001188,-1.2449),(5265,2325,0.001155,-1.2449),(5265,2335,0.00112,-1.2448),(5265,2345,0.001086,-1.2447),(5265,2355,0.001051,-1.2446),(5265,2365,0.001038,-1.2446),(5265,2375,0.001028,-1.2445),(5265,2385,0.001018,-1.2444),(5265,2395,0.001008,-1.2444),(5265,2405,0.001008,-1.2443),(5265,2415,0.001009,-1.2442),(5265,2425,0.001011,-1.2441),(5265,2435,0.001013,-1.244),(5265,2445,0.001014,-1.2438),(5265,2455,0.001016,-1.2437),(5265,2465,0.001018,-1.2436),(5265,2475,0.00102,-1.2434),(5265,2485,0.001043,-1.2432),(5265,2495,0.001067,-1.2431),(5265,2505,0.001091,-1.243),(5265,2515,0.001115,-1.2428),(5265,2525,0.001166,-1.2427),(5265,2535,0.001217,-1.2425),(5265,2545,0.001269,-1.2424),(5265,2555,0.001319,-1.2422),(5265,2565,0.001357,-1.242),(5265,2575,0.001395,-1.2419),(5265,2585,0.001432,-1.2416),(5265,2595,0.001467,-1.2414),(5265,2605,0.001478,-1.2411),(5265,2615,0.001488,-1.2409),(5265,2625,0.001498,-1.2406),(5265,2635,0.001511,-1.2403),(5265,2645,0.001543,-1.2401),(5265,2655,0.001574,-1.2398),(5265,2665,0.001607,-1.2396),(5265,2675,0.001642,-1.2393),(5265,2685,0.001693,-1.2391),(5265,2695,0.001745,-1.2388),(5265,2705,0.001796,-1.2385),(5265,2715,0.001842,-1.2382),(5265,2725,0.001863,-1.2379),(5265,2735,0.001884,-1.2375),(5265,2745,0.001906,-1.2371),(5265,2755,0.001925,-1.2367),(5265,2765,0.00194,-1.2363),(5265,2775,0.001955,-1.2359),(5265,2785,0.001969,-1.2356),(5265,2795,0.001992,-1.2352),(5265,2805,0.002033,-1.2348),(5265,2815,0.002075,-1.2344),(5265,2825,0.002116,-1.234),(5265,2835,0.002149,-1.2335),(5265,2845,0.002165,-1.2331),(5265,2855,0.002181,-1.2327),(5265,2865,0.002197,-1.2322),(5265,2875,0.002194,-1.2316),(5265,2885,0.00216,-1.2311),(5265,2895,0.002126,-1.2306),(5265,2905,0.002091,-1.23),(5265,2915,0.002057,-1.2294),(5265,2925,0.002023,-1.2289),(5265,2935,0.001989,-1.2283),(5265,2945,0.001955,-1.2277),(5265,2955,0.00192,-1.2271),(5265,2965,0.001883,-1.2265),(5265,2975,0.001847,-1.2258),(5265,2985,0.00181,-1.2252),(5265,2995,0.001771,-1.2245),(5265,3005,0.001731,-1.2238),(5265,3015,0.00169,-1.2231),(5265,3025,0.001649,-1.2224),(5265,3035,0.001621,-1.2217),(5265,3045,0.001603,-1.221),(5265,3055,0.001586,-1.2203),(5265,3065,0.001568,-1.2196),(5265,3075,0.00156,-1.2188),(5265,3085,0.001559,-1.2181),(5265,3095,0.001559,-1.2173),(5265,3105,0.001559,-1.2165),(5265,3115,0.001566,-1.2156),(5265,3125,0.001578,-1.2148),(5265,3135,0.00159,-1.2139),(5265,3145,0.001603,-1.213),(5265,3155,0.001624,-1.2121),(5265,3165,0.001649,-1.2112),(5265,3175,0.001674,-1.2103),(5265,3185,0.0017,-1.2094),(5265,3195,0.001712,-1.2084),(5265,3205,0.001717,-1.2075),(5265,3215,0.001723,-1.2064),(5265,3225,0.001729,-1.2053),(5265,3235,0.001698,-1.2043),(5265,3245,0.001653,-1.2032),(5265,3255,0.001607,-1.202),(5265,3265,0.001562,-1.2008),(5265,3275,0.001527,-1.1996),(5265,3285,0.001494,-1.1985),(5265,3295,0.001461,-1.1973),(5265,3305,0.001428,-1.1961),(5265,3315,0.001421,-1.1949),(5265,3325,0.00142,-1.1937),(5265,3335,0.001419,-1.1924),(5265,3345,0.001418,-1.1911),(5265,3355,0.001405,-1.1898),(5265,3365,0.001389,-1.1886),(5265,3375,0.001374,-1.1872),(5265,3385,0.001358,-1.1857),(5265,3395,0.00133,-1.1843),(5265,3405,0.001301,-1.1829),(5265,3415,0.001272,-1.1814),(5265,3425,0.001242,-1.1799),(5265,3435,0.001229,-1.1784),(5265,3445,0.001218,-1.1769),(5265,3455,0.001206,-1.1754),(5265,3465,0.001194,-1.1738),(5265,3475,0.001189,-1.1722),(5265,3485,0.001183,-1.1706),(5265,3495,0.001178,-1.1689),(5265,3505,0.001173,-1.1672),(5265,3515,0.001146,-1.1655),(5265,3525,0.00112,-1.1638),(5265,3535,0.001093,-1.162),(5265,3545,0.001066,-1.1602),(5265,3555,0.001033,-1.1583),(5265,3565,0.001,-1.1565),(5265,3575,0.000967,-1.1546),(5265,3585,0.000933,-1.1527),(5265,3595,0.000888,-1.1507),(5265,3605,0.000844,-1.1488),(5265,3615,0.0008,-1.1467),(5265,3625,0.000755,-1.1447),(5265,3635,0.000701,-1.1426),(5265,3645,0.000648,-1.1406),(5265,3655,0.000594,-1.1384),(5265,3665,0.000543,-1.1363),(5265,3675,0.000505,-1.1341),(5265,3685,0.000467,-1.1319),(5265,3695,0.000429,-1.1297),(5265,3705,0.000392,-1.1275),(5265,3715,0.000358,-1.1252),(5265,3725,0.000325,-1.1229),(5265,3735,0.000291,-1.1206),(5265,3745,0.000258,-1.1182),(5265,3755,0.000224,-1.1159),(5265,3765,0.00019,-1.1135),(5265,3775,0.000156,-1.111),(5265,3785,0.000123,-1.1085),(5265,3795,9.4e-05,-1.106),(5265,3805,6.4e-05,-1.1036),(5265,3815,3.5e-05,-1.101),(5265,3825,1e-06,-1.0984),(5265,3835,-4.2e-05,-1.0959),(5265,3845,-8.5e-05,-1.0933),(5265,3855,-0.000129,-1.0906),(5265,3865,-0.000223,-1.0879),(5265,3875,-0.000408,-1.0852),(5265,3885,-0.000594,-1.0825),(5265,3895,-0.000779,-1.0797),(5265,3905,-0.001397,-1.0769),(5265,3915,-0.002662,-1.0742),(5265,3925,-0.003928,-1.0715),(5265,3935,-0.005193,-1.0689),(5265,3945,-0.009453,-1.0663),(5265,3955,-0.017514,-1.0638),(5265,3965,-0.025575,-1.0611),(5265,3975,-0.033636,-1.0582),(5265,3985,-0.049374,-1.0553),(5265,3995,-0.073423,-1.0524),(5265,4005,-0.097472,-1.0475),(5265,4015,-0.12152,-1.0407),(5265,4025,0.035713,-1.0339),(5265,4035,0.21068,-1.0302),(5265,4045,0.38565,-1.033),(5265,4055,0.49547,-1.0358),(5265,4065,0.58151,-1.0387),(5265,4075,0.66756,-1.0419),(5265,4085,0.70772,-1.0452),(5265,4095,0.71101,-1.0485),(5265,4105,0.7143,-1.0507),(5265,4115,0.71803,-1.0528),(5265,4125,0.72249,-1.0549),(5265,4135,0.72696,-1.0561),(5265,4145,0.73167,-1.057),(5265,4155,0.73736,-1.0578),(5265,4165,0.74306,-1.0581),(5265,4175,0.74878,-1.0579),(5265,4185,0.75534,-1.0577),(5265,4195,0.76191,-1.0571),(5265,4205,0.76848,-1.0559),(5265,4215,0.77549,-1.0548),(5265,4225,0.78259,-1.0535),(5265,4235,0.78969,-1.0517),(5265,4245,0.797,-1.0498),(5265,4255,0.8044,-1.0479),(5265,4265,0.81181,-1.0454),(5265,4275,0.81931,-1.0429),(5265,4285,0.8269,-1.0404),(5265,4295,0.83449,-1.0374),(5265,4305,0.84211,-1.0343),(5265,4315,0.84979,-1.0312),(5265,4325,0.85746,-1.0277),(5265,4335,0.86516,-1.024),(5265,4345,0.87299,-1.0202),(5265,4355,0.88082,-1.0162),(5265,4365,0.88866,-1.012),(5265,4375,0.89661,-1.0077),(5265,4385,0.90456,-1.0032),(5265,4395,0.91252,-0.99839),(5265,4405,0.92047,-0.99358),(5265,4415,0.92843,-0.98869),(5265,4425,0.93638,-0.98344),(5265,4435,0.94428,-0.97818),(5265,4445,0.95215,-0.97292),(5265,4455,0.96001,-0.96735),(5265,4465,0.96779,-0.96178),(5265,4475,0.97545,-0.95621),(5265,4485,0.9831,-0.95046),(5265,4495,0.9907,-0.94466),(5265,4505,0.99815,-0.93887),(5265,4515,1.0056,-0.933),(5265,4525,1.013,-0.92709),(5265,4535,1.0202,-0.92118),(5265,4545,1.0274,-0.91527),(5265,4555,1.0346,-0.90934),(5265,4565,1.0415,-0.90341),(5265,4575,1.0485,-0.89749),(5265,4585,1.0554,-0.89158),(5265,4595,1.0622,-0.88568),(5265,4605,1.0689,-0.87978),(5265,4615,1.0757,-0.87392),(5265,4625,1.0823,-0.86807),(5265,4635,1.0887,-0.86221),(5265,4645,1.0952,-0.85645),(5265,4655,1.1016,-0.85069),(5265,4665,1.1079,-0.84493),(5265,4675,1.1141,-0.83927),(5265,4685,1.1203,-0.83365),(5265,4695,1.1263,-0.82803),(5265,4705,1.1322,-0.82249),(5265,4715,1.1382,-0.81701),(5265,4725,1.144,-0.81153),(5265,4735,1.1497,-0.80609),(5265,4745,1.1555,-0.80071),(5265,4755,1.1611,-0.79532),(5265,4765,1.1666,-0.78998),(5265,4775,1.1721,-0.78478),(5265,4785,1.1775,-0.77957),(5265,4795,1.1828,-0.77438),(5265,4805,1.1881,-0.76933),(5265,4815,1.1933,-0.76429),(5265,4825,1.1984,-0.75924),(5265,4835,1.2034,-0.75431),(5265,4845,1.2084,-0.74941),(5265,4855,1.2133,-0.7445),(5265,4865,1.2182,-0.73969),(5265,4875,1.223,-0.73493),(5265,4885,1.2277,-0.73016),(5265,4895,1.2324,-0.72547),(5265,4905,1.2371,-0.72084),(5265,4915,1.2416,-0.71622),(5265,4925,1.2461,-0.71164),(5265,4935,1.2506,-0.70716),(5265,4945,1.2549,-0.70269),(5265,4955,1.2593,-0.69823),(5265,4965,1.2636,-0.69392),(5265,4975,1.2678,-0.68961),(5265,4985,1.272,-0.6853),(5265,4995,1.2761,-0.68112),(5265,5005,1.2802,-0.67694),(5265,5015,1.2842,-0.67277),(5265,5025,1.2882,-0.66873),(5265,5035,1.2922,-0.66473),(5265,5045,1.296,-0.66072),(5265,5055,1.2999,-0.65682),(5265,5065,1.3038,-0.65297),(5265,5075,1.3076,-0.64913),(5265,5085,1.3114,-0.64537),(5265,5095,1.3152,-0.64172),(5265,5105,1.3189,-0.63807),(5265,5115,1.3226,-0.63447),(5265,5125,1.3263,-0.63099),(5265,5135,1.3299,-0.62751),(5265,5145,1.3336,-0.62405),(5265,5155,1.3372,-0.62072),(5265,5165,1.3407,-0.6174),(5265,5175,1.3443,-0.61407),(5265,5185,1.3478,-0.61089),(5265,5195,1.3514,-0.60772),(5265,5205,1.3549,-0.60455),(5265,5215,1.3583,-0.60152),(5265,5225,1.3618,-0.59853),(5265,5235,1.3653,-0.59555),(5265,5245,1.3688,-0.59265),(5265,5255,1.3723,-0.58981),(5265,5265,1.3758,-0.58698),(5265,5275,1.3794,-0.5842),(5265,5285,1.3829,-0.5815),(5265,5295,1.3865,-0.57881),(5265,5305,1.3901,-0.57615),(5265,5315,1.3937,-0.5736),(5265,5325,1.3973,-0.57105),(5265,5335,1.401,-0.56851),(5265,5345,1.4046,-0.56606),(5265,5355,1.4083,-0.56361),(5265,5365,1.4121,-0.56116),(5265,5375,1.4159,-0.5588),(5265,5385,1.4197,-0.55645),(5265,5395,1.4236,-0.5541),(5265,5405,1.4274,-0.55179),(5265,5415,1.4313,-0.54949),(5265,5425,1.4353,-0.5472),(5265,5435,1.4393,-0.5449),(5265,5445,1.4432,-0.54261),(5265,5455,1.4473,-0.54031),(5265,5465,1.4513,-0.538),(5265,5475,1.4554,-0.53565),(5265,5485,1.4595,-0.5333),(5265,5495,1.4636,-0.53094),(5265,5505,1.4678,-0.52853),(5265,5515,1.4719,-0.52612),(5265,5525,1.4761,-0.52371),(5265,5535,1.4803,-0.52121),(5265,5545,1.4845,-0.5187),(5265,5555,1.4888,-0.5162),(5265,5565,1.493,-0.5136),(5265,5575,1.4973,-0.51097),(5265,5585,1.5016,-0.50835),(5265,5595,1.5058,-0.50563),(5265,5605,1.5101,-0.50285),(5265,5615,1.5145,-0.50007),(5265,5625,1.5188,-0.49724),(5265,5635,1.5231,-0.49433),(5265,5645,1.5274,-0.49142),(5265,5655,1.5317,-0.48847),(5265,5665,1.536,-0.48539),(5265,5675,1.5403,-0.48231),(5265,5685,1.5446,-0.47921),(5265,5695,1.5489,-0.47593),(5265,5705,1.5532,-0.47264),(5265,5715,1.5574,-0.46935),(5265,5725,1.5617,-0.4659),(5265,5735,1.5659,-0.46242),(5265,5745,1.5702,-0.45894),(5265,5755,1.5744,-0.45533),(5265,5765,1.5786,-0.45167),(5265,5775,1.5827,-0.44801),(5265,5785,1.5869,-0.44424),(5265,5795,1.591,-0.44038),(5265,5805,1.5951,-0.43651),(5265,5815,1.5992,-0.4326),(5265,5825,1.6033,-0.4286),(5265,5835,1.6073,-0.4246),(5265,5845,1.6114,-0.42058),(5265,5855,1.6154,-0.41642),(5265,5865,1.6194,-0.41226),(5265,5875,1.6233,-0.40811),(5265,5885,1.6273,-0.40377),(5265,5895,1.6312,-0.39942),(5265,5905,1.6351,-0.39508),(5265,5915,1.6389,-0.39063),(5265,5925,1.6428,-0.38615),(5265,5935,1.6465,-0.38166),(5265,5945,1.6503,-0.37708),(5265,5955,1.6541,-0.37244),(5265,5965,1.6577,-0.36779),(5265,5975,1.6614,-0.36308),(5265,5985,1.6651,-0.35828),(5265,5995,1.6687,-0.35349),(5265,6005,1.6722,-0.34864),(5265,6015,1.6758,-0.34367),(5265,6025,1.6793,-0.3387),(5265,6035,1.6828,-0.33372),(5265,6045,1.6862,-0.32862),(5265,6055,1.6896,-0.32351),(5265,6065,1.693,-0.3184),(5265,6075,1.6963,-0.31319),(5265,6085,1.6996,-0.30797),(5265,6095,1.7029,-0.30274),(5265,6105,1.7061,-0.29742),(5265,6115,1.7093,-0.29206),(5265,6125,1.7124,-0.2867),(5265,6135,1.7155,-0.28127),(5265,6145,1.7185,-0.27579),(5265,6155,1.7215,-0.27031),(5265,6165,1.7244,-0.26478),(5265,6175,1.7273,-0.25917),(5265,6185,1.7301,-0.25357),(5265,6195,1.7329,-0.24794),(5265,6205,1.7356,-0.24223),(5265,6215,1.7383,-0.23653),(5265,6225,1.7409,-0.23082),(5265,6235,1.7435,-0.22499),(5265,6245,1.746,-0.21915),(5265,6255,1.7485,-0.21332),(5265,6265,1.7509,-0.20736),(5265,6275,1.7533,-0.20139),(5265,6285,1.7555,-0.19541),(5265,6295,1.7577,-0.18939),(5265,6305,1.7599,-0.18335),(5265,6315,1.762,-0.17731),(5265,6325,1.764,-0.17122),(5265,6335,1.7661,-0.16508),(5265,6345,1.7679,-0.15893),(5265,6355,1.7697,-0.15275),(5265,6365,1.7715,-0.14649),(5265,6375,1.7732,-0.14023),(5265,6385,1.7748,-0.13397),(5265,6395,1.7764,-0.12764),(5265,6405,1.7779,-0.12131),(5265,6415,1.7792,-0.11498),(5265,6425,1.7806,-0.1086),(5265,6435,1.7819,-0.10222),(5265,6445,1.783,-0.095836),(5265,6455,1.7842,-0.089426),(5265,6465,1.7853,-0.083008),(5265,6475,1.7862,-0.07659),(5265,6485,1.7872,-0.070145),(5265,6495,1.7881,-0.063684),(5265,6505,1.7888,-0.057223),(5265,6515,1.7895,-0.050751),(5265,6525,1.7902,-0.044264),(5265,6535,1.7906,-0.037777),(5265,6545,1.7911,-0.031281),(5265,6555,1.7915,-0.024756),(5265,6565,1.7918,-0.018231),(5265,6575,1.792,-0.011707),(5265,6585,1.7921,-0.0052),(5265,6595,1.5245,0.001308),(5265,6605,0.96099,0.007815),(5265,6615,0.39752,0.008576),(5265,6625,0.001417,0.008597),(5265,6635,0.001431,0.008619),(5265,6645,0.001444,0.008644),(5265,6655,0.001458,0.008672),(5265,6665,0.00147,0.008699),(5265,6675,0.001482,0.008725),(5265,6685,0.001494,0.00875),(5265,6695,0.001505,0.008775),(5265,6705,0.001516,0.008799),(5265,6715,0.001527,0.008821),(5265,6725,0.001537,0.008844),(5265,6735,0.001547,0.008866),(5265,6745,0.001557,0.008886),(5265,6755,0.001567,0.008906),(5265,6765,0.001576,0.008926),(5265,6775,0.001586,0.008944),(5265,6785,0.001595,0.008962),(5265,6795,0.001604,0.00898),(5265,6805,0.001613,0.008996),(5265,6815,0.001621,0.009012),(5265,6825,0.00163,0.009028),(5265,6835,0.001638,0.009043),(5265,6845,0.001647,0.009057),(5265,6855,0.001655,0.009071),(5265,6865,0.001663,0.009084),(5265,6875,0.001671,0.009097),(5265,6885,0.001679,0.009109),(5265,6895,0.001687,0.009121),(5265,6905,0.001694,0.009132),(5265,6915,0.001702,0.009143),(5265,6925,0.00171,0.009154),(5265,6935,0.001717,0.009163),(5265,6945,0.001725,0.009172),(5265,6955,0.001732,0.009182),(5265,6965,0.00174,0.00919),(5265,6975,0.001747,0.009198),(5265,6985,0.001755,0.009206),(5275,5,-1.7e-05,-1.1285),(5275,15,-5.2e-05,-1.1286),(5275,25,-7.3e-05,-1.1287),(5275,35,-8.1e-05,-1.1288),(5275,45,-8.9e-05,-1.1288),(5275,55,-9.7e-05,-1.1288),(5275,65,-0.000116,-1.1289),(5275,75,-0.000142,-1.1289),(5275,85,-0.000169,-1.1289),(5275,95,-0.000196,-1.1289),(5275,105,-0.000221,-1.1289),(5275,115,-0.000244,-1.1289),(5275,125,-0.000267,-1.1289),(5275,135,-0.00029,-1.129),(5275,145,-0.000314,-1.129),(5275,155,-0.00034,-1.129),(5275,165,-0.000366,-1.129),(5275,175,-0.000391,-1.1291),(5275,185,-0.000415,-1.1291),(5275,195,-0.000438,-1.1291),(5275,205,-0.000461,-1.1291),(5275,215,-0.000484,-1.1292),(5275,225,-0.000495,-1.1292),(5275,235,-0.000501,-1.1292),(5275,245,-0.000508,-1.1293),(5275,255,-0.000514,-1.1294),(5275,265,-0.000505,-1.1294),(5275,275,-0.00049,-1.1295),(5275,285,-0.000476,-1.1296),(5275,295,-0.000461,-1.1297),(5275,305,-0.000434,-1.1298),(5275,315,-0.000404,-1.1299),(5275,325,-0.000374,-1.13),(5275,335,-0.000344,-1.1301),(5275,345,-0.000318,-1.1302),(5275,355,-0.000292,-1.1303),(5275,365,-0.000266,-1.1304),(5275,375,-0.000241,-1.1305),(5275,385,-0.000243,-1.1306),(5275,395,-0.000249,-1.1307),(5275,405,-0.000256,-1.1308),(5275,415,-0.000262,-1.1309),(5275,425,-0.000295,-1.1309),(5275,435,-0.00033,-1.131),(5275,445,-0.000365,-1.1311),(5275,455,-0.0004,-1.1312),(5275,465,-0.000443,-1.1312),(5275,475,-0.000487,-1.1313),(5275,485,-0.000531,-1.1314),(5275,495,-0.000575,-1.1315),(5275,505,-0.000615,-1.1315),(5275,515,-0.000655,-1.1316),(5275,525,-0.000695,-1.1317),(5275,535,-0.000734,-1.1318),(5275,545,-0.000753,-1.1319),(5275,555,-0.000771,-1.132),(5275,565,-0.000789,-1.1321),(5275,575,-0.000805,-1.1322),(5275,585,-0.000794,-1.1323),(5275,595,-0.000783,-1.1324),(5275,605,-0.000772,-1.1326),(5275,615,-0.000761,-1.1328),(5275,625,-0.000758,-1.1329),(5275,635,-0.000755,-1.1331),(5275,645,-0.000751,-1.1332),(5275,655,-0.000758,-1.1333),(5275,665,-0.000817,-1.1334),(5275,675,-0.000876,-1.1335),(5275,685,-0.000936,-1.1336),(5275,695,-0.001004,-1.1336),(5275,705,-0.001112,-1.1336),(5275,715,-0.001221,-1.1336),(5275,725,-0.001329,-1.1337),(5275,735,-0.001434,-1.1337);
INSERT INTO `ILD_00_Brho_Bz` VALUES (5275,745,-0.001531,-1.1337),(5275,755,-0.001628,-1.1337),(5275,765,-0.001724,-1.1338),(5275,775,-0.00181,-1.1339),(5275,785,-0.001864,-1.1339),(5275,795,-0.001918,-1.134),(5275,805,-0.001973,-1.1341),(5275,815,-0.002019,-1.1342),(5275,825,-0.002045,-1.1343),(5275,835,-0.002071,-1.1344),(5275,845,-0.002098,-1.1345),(5275,855,-0.002125,-1.1346),(5275,865,-0.002152,-1.1347),(5275,875,-0.00218,-1.1348),(5275,885,-0.002207,-1.1349),(5275,895,-0.002238,-1.135),(5275,905,-0.002272,-1.135),(5275,915,-0.002306,-1.1351),(5275,925,-0.002341,-1.1351),(5275,935,-0.00238,-1.1352),(5275,945,-0.002426,-1.1353),(5275,955,-0.002472,-1.1353),(5275,965,-0.002518,-1.1353),(5275,975,-0.002576,-1.1353),(5275,985,-0.002647,-1.1353),(5275,995,-0.002719,-1.1353),(5275,1005,-0.00279,-1.1352),(5275,1015,-0.002869,-1.1352),(5275,1025,-0.002955,-1.1351),(5275,1035,-0.003041,-1.135),(5275,1045,-0.003128,-1.1349),(5275,1055,-0.003221,-1.1348),(5275,1065,-0.00332,-1.1348),(5275,1075,-0.003419,-1.1346),(5275,1085,-0.003518,-1.1344),(5275,1095,-0.00363,-1.1343),(5275,1105,-0.003751,-1.1341),(5275,1115,-0.003871,-1.1338),(5275,1125,-0.003992,-1.1336),(5275,1135,-0.00409,-1.1333),(5275,1145,-0.004174,-1.133),(5275,1155,-0.004259,-1.1326),(5275,1165,-0.004343,-1.1322),(5275,1175,-0.004378,-1.1318),(5275,1185,-0.004388,-1.1314),(5275,1195,-0.004398,-1.1308),(5275,1205,-0.004408,-1.1303),(5275,1215,-0.005029,-1.1297),(5275,1225,-0.005903,-1.1291),(5275,1235,-0.006777,-1.1289),(5275,1245,-0.007651,-1.1289),(5275,1255,-0.014475,-1.1288),(5275,1265,-0.023308,-1.1287),(5275,1275,-0.032142,-1.1325),(5275,1285,-0.040975,-1.1374),(5275,1295,-0.055129,-1.1423),(5275,1305,-0.070723,-1.1472),(5275,1315,-0.086316,-1.157),(5275,1325,-0.10191,-1.1678),(5275,1335,-0.062122,-1.1787),(5275,1345,-0.010729,-1.1896),(5275,1355,0.040665,-1.1835),(5275,1365,0.092059,-1.1743),(5275,1375,0.088691,-1.1652),(5275,1385,0.076874,-1.156),(5275,1395,0.065057,-1.1499),(5275,1405,0.05324,-1.1441),(5275,1415,0.042142,-1.1384),(5275,1425,0.031119,-1.1326),(5275,1435,0.020097,-1.1326),(5275,1445,0.009074,-1.133),(5275,1455,0.007437,-1.1334),(5275,1465,0.006342,-1.1338),(5275,1475,0.005246,-1.1348),(5275,1485,0.00415,-1.1358),(5275,1495,0.004093,-1.1368),(5275,1505,0.004051,-1.1379),(5275,1515,0.00401,-1.1387),(5275,1525,0.003967,-1.1395),(5275,1535,0.003876,-1.1403),(5275,1545,0.003784,-1.1411),(5275,1555,0.003693,-1.1417),(5275,1565,0.003599,-1.1424),(5275,1575,0.003478,-1.143),(5275,1585,0.003357,-1.1437),(5275,1595,0.003236,-1.1442),(5275,1605,0.003116,-1.1447),(5275,1615,0.003,-1.1452),(5275,1625,0.002885,-1.1457),(5275,1635,0.002769,-1.1461),(5275,1645,0.002657,-1.1465),(5275,1655,0.002567,-1.1469),(5275,1665,0.002477,-1.1473),(5275,1675,0.002386,-1.1476),(5275,1685,0.002301,-1.1479),(5275,1695,0.00224,-1.1483),(5275,1705,0.002179,-1.1486),(5275,1715,0.002118,-1.1489),(5275,1725,0.002062,-1.1492),(5275,1735,0.002024,-1.1495),(5275,1745,0.001986,-1.1498),(5275,1755,0.001948,-1.15),(5275,1765,0.001916,-1.1502),(5275,1775,0.0019,-1.1505),(5275,1785,0.001884,-1.1507),(5275,1795,0.001868,-1.151),(5275,1805,0.001857,-1.1512),(5275,1815,0.001856,-1.1514),(5275,1825,0.001855,-1.1516),(5275,1835,0.001855,-1.1518),(5275,1845,0.001852,-1.152),(5275,1855,0.001848,-1.1522),(5275,1865,0.001843,-1.1524),(5275,1875,0.001838,-1.1525),(5275,1885,0.001832,-1.1527),(5275,1895,0.001821,-1.1528),(5275,1905,0.001811,-1.153),(5275,1915,0.001801,-1.1531),(5275,1925,0.001788,-1.1532),(5275,1935,0.00177,-1.1534),(5275,1945,0.001752,-1.1535),(5275,1955,0.001734,-1.1536),(5275,1965,0.001709,-1.1537),(5275,1975,0.001677,-1.1538),(5275,1985,0.001644,-1.1539),(5275,1995,0.001612,-1.154),(5275,2005,0.00158,-1.154),(5275,2015,0.001548,-1.1541),(5275,2025,0.001515,-1.1542),(5275,2035,0.001483,-1.1542),(5275,2045,0.001458,-1.1543),(5275,2055,0.00144,-1.1544),(5275,2065,0.001421,-1.1544),(5275,2075,0.001403,-1.1545),(5275,2085,0.001386,-1.1546),(5275,2095,0.001372,-1.1547),(5275,2105,0.001357,-1.1547),(5275,2115,0.001342,-1.1548),(5275,2125,0.001324,-1.1548),(5275,2135,0.001304,-1.1549),(5275,2145,0.001284,-1.1549),(5275,2155,0.001264,-1.1549),(5275,2165,0.001253,-1.1549),(5275,2175,0.001246,-1.155),(5275,2185,0.001239,-1.155),(5275,2195,0.001232,-1.155),(5275,2205,0.001242,-1.1551),(5275,2215,0.001259,-1.1551),(5275,2225,0.001276,-1.1552),(5275,2235,0.001293,-1.1552),(5275,2245,0.001304,-1.1552),(5275,2255,0.001313,-1.1553),(5275,2265,0.001322,-1.1553),(5275,2275,0.001331,-1.1552),(5275,2285,0.001313,-1.1552),(5275,2295,0.001288,-1.1552),(5275,2305,0.001263,-1.1551),(5275,2315,0.001238,-1.155),(5275,2325,0.001206,-1.155),(5275,2335,0.001172,-1.1549),(5275,2345,0.001139,-1.1548),(5275,2355,0.001105,-1.1548),(5275,2365,0.001088,-1.1547),(5275,2375,0.001074,-1.1546),(5275,2385,0.00106,-1.1546),(5275,2395,0.001046,-1.1545),(5275,2405,0.001041,-1.1544),(5275,2415,0.001037,-1.1543),(5275,2425,0.001033,-1.1542),(5275,2435,0.001028,-1.1541),(5275,2445,0.001025,-1.154),(5275,2455,0.001021,-1.1539),(5275,2465,0.001017,-1.1537),(5275,2475,0.001013,-1.1536),(5275,2485,0.001026,-1.1534),(5275,2495,0.00104,-1.1533),(5275,2505,0.001053,-1.1532),(5275,2515,0.001067,-1.153),(5275,2525,0.001103,-1.1529),(5275,2535,0.001139,-1.1527),(5275,2545,0.001175,-1.1526),(5275,2555,0.001211,-1.1524),(5275,2565,0.001237,-1.1523),(5275,2575,0.001263,-1.1521),(5275,2585,0.001289,-1.1519),(5275,2595,0.001313,-1.1517),(5275,2605,0.001316,-1.1515),(5275,2615,0.00132,-1.1512),(5275,2625,0.001324,-1.151),(5275,2635,0.00133,-1.1507),(5275,2645,0.00135,-1.1505),(5275,2655,0.001371,-1.1502),(5275,2665,0.001392,-1.15),(5275,2675,0.001415,-1.1498),(5275,2685,0.001453,-1.1495),(5275,2695,0.00149,-1.1493),(5275,2705,0.001527,-1.149),(5275,2715,0.001559,-1.1487),(5275,2725,0.001573,-1.1485),(5275,2735,0.001587,-1.1481),(5275,2745,0.001601,-1.1478),(5275,2755,0.001613,-1.1474),(5275,2765,0.001621,-1.147),(5275,2775,0.001629,-1.1467),(5275,2785,0.001637,-1.1463),(5275,2795,0.001651,-1.1459),(5275,2805,0.00168,-1.1456),(5275,2815,0.001709,-1.1452),(5275,2825,0.001738,-1.1448),(5275,2835,0.001761,-1.1444),(5275,2845,0.00177,-1.1441),(5275,2855,0.00178,-1.1436),(5275,2865,0.001789,-1.1432),(5275,2875,0.001783,-1.1427),(5275,2885,0.001752,-1.1422),(5275,2895,0.00172,-1.1417),(5275,2905,0.001689,-1.1412),(5275,2915,0.001657,-1.1407),(5275,2925,0.001625,-1.1401),(5275,2935,0.001593,-1.1396),(5275,2945,0.001561,-1.139),(5275,2955,0.001528,-1.1385),(5275,2965,0.001493,-1.1379),(5275,2975,0.001459,-1.1373),(5275,2985,0.001424,-1.1367),(5275,2995,0.001388,-1.1361),(5275,3005,0.00135,-1.1355),(5275,3015,0.001312,-1.1348),(5275,3025,0.001274,-1.1342),(5275,3035,0.001245,-1.1335),(5275,3045,0.001226,-1.1329),(5275,3055,0.001206,-1.1322),(5275,3065,0.001186,-1.1315),(5275,3075,0.001175,-1.1308),(5275,3085,0.001169,-1.1301),(5275,3095,0.001164,-1.1294),(5275,3105,0.001158,-1.1286),(5275,3115,0.001159,-1.1278),(5275,3125,0.001164,-1.127),(5275,3135,0.001168,-1.1262),(5275,3145,0.001173,-1.1254),(5275,3155,0.001184,-1.1246),(5275,3165,0.0012,-1.1238),(5275,3175,0.001215,-1.1229),(5275,3185,0.00123,-1.122),(5275,3195,0.001235,-1.1211),(5275,3205,0.001235,-1.1203),(5275,3215,0.001235,-1.1193),(5275,3225,0.001235,-1.1183),(5275,3235,0.001205,-1.1173),(5275,3245,0.001164,-1.1163),(5275,3255,0.001122,-1.1152),(5275,3265,0.001081,-1.1141),(5275,3275,0.001045,-1.113),(5275,3285,0.001012,-1.1119),(5275,3295,0.000979,-1.1108),(5275,3305,0.000945,-1.1097),(5275,3315,0.000932,-1.1086),(5275,3325,0.000924,-1.1075),(5275,3335,0.000916,-1.1063),(5275,3345,0.000908,-1.1051),(5275,3355,0.00089,-1.1039),(5275,3365,0.00087,-1.1027),(5275,3375,0.00085,-1.1014),(5275,3385,0.00083,-1.1001),(5275,3395,0.0008,-1.0988),(5275,3405,0.000768,-1.0975),(5275,3415,0.000736,-1.0961),(5275,3425,0.000705,-1.0947),(5275,3435,0.000685,-1.0933),(5275,3445,0.000667,-1.0919),(5275,3455,0.000648,-1.0905),(5275,3465,0.00063,-1.089),(5275,3475,0.000616,-1.0876),(5275,3485,0.000603,-1.0861),(5275,3495,0.000589,-1.0845),(5275,3505,0.000576,-1.083),(5275,3515,0.000544,-1.0814),(5275,3525,0.000513,-1.0798),(5275,3535,0.000482,-1.0781),(5275,3545,0.00045,-1.0764),(5275,3555,0.000413,-1.0747),(5275,3565,0.000375,-1.073),(5275,3575,0.000338,-1.0712),(5275,3585,0.000299,-1.0695),(5275,3595,0.000252,-1.0677),(5275,3605,0.000205,-1.0659),(5275,3615,0.000157,-1.064),(5275,3625,0.000109,-1.0621),(5275,3635,5.3e-05,-1.0602),(5275,3645,-3e-06,-1.0582),(5275,3655,-6e-05,-1.0562),(5275,3665,-0.000114,-1.0542),(5275,3675,-0.00016,-1.0522),(5275,3685,-0.000205,-1.0502),(5275,3695,-0.00025,-1.0482),(5275,3705,-0.000295,-1.0461),(5275,3715,-0.000338,-1.044),(5275,3725,-0.000381,-1.0419),(5275,3735,-0.000424,-1.0397),(5275,3745,-0.000467,-1.0375),(5275,3755,-0.000511,-1.0353),(5275,3765,-0.000555,-1.0331),(5275,3775,-0.000599,-1.0308),(5275,3785,-0.000643,-1.0285),(5275,3795,-0.000684,-1.0262),(5275,3805,-0.000725,-1.0239),(5275,3815,-0.000766,-1.0215),(5275,3825,-0.000811,-1.0192),(5275,3835,-0.000863,-1.0168),(5275,3845,-0.000916,-1.0144),(5275,3855,-0.000968,-1.0119),(5275,3865,-0.00106,-1.0094),(5275,3875,-0.001222,-1.0069),(5275,3885,-0.001385,-1.0044),(5275,3895,-0.001547,-1.0018),(5275,3905,-0.002054,-0.99924),(5275,3915,-0.003075,-0.99668),(5275,3925,-0.004096,-0.99438),(5275,3935,-0.005118,-0.99243),(5275,3945,-0.008558,-0.99049),(5275,3955,-0.015069,-0.98855),(5275,3965,-0.021579,-0.98834),(5275,3975,-0.02809,-0.99017),(5275,3985,-0.040894,-0.99199),(5275,3995,-0.060509,-0.99382),(5275,4005,-0.080124,-1.0002),(5275,4015,-0.09974,-1.011),(5275,4025,0.052042,-1.0218),(5275,4035,0.22059,-1.03),(5275,4045,0.38914,-1.0327),(5275,4055,0.4973,-1.0353),(5275,4065,0.58341,-1.038),(5275,4075,0.66953,-1.0414),(5275,4085,0.70955,-1.0447),(5275,4095,0.71253,-1.048),(5275,4105,0.71551,-1.0504),(5275,4115,0.71891,-1.0526),(5275,4125,0.72301,-1.0549),(5275,4135,0.72711,-1.0562),(5275,4145,0.73146,-1.0573),(5275,4155,0.73679,-1.0584),(5275,4165,0.74212,-1.0588),(5275,4175,0.74747,-1.0588),(5275,4185,0.75372,-1.0588),(5275,4195,0.75997,-1.0584),(5275,4205,0.76621,-1.0574),(5275,4215,0.77296,-1.0565),(5275,4225,0.77981,-1.0554),(5275,4235,0.78665,-1.0537),(5275,4245,0.79374,-1.052),(5275,4255,0.80095,-1.0502),(5275,4265,0.80816,-1.0479),(5275,4275,0.81548,-1.0456),(5275,4285,0.8229,-1.0432),(5275,4295,0.83033,-1.0404),(5275,4305,0.83778,-1.0376),(5275,4315,0.84529,-1.0347),(5275,4325,0.85281,-1.0314),(5275,4335,0.86034,-1.028),(5275,4345,0.868,-1.0246),(5275,4355,0.87565,-1.0209),(5275,4365,0.88331,-1.0169),(5275,4375,0.89108,-1.0129),(5275,4385,0.89886,-1.0088),(5275,4395,0.90664,-1.0043),(5275,4405,0.91443,-0.99984),(5275,4415,0.92223,-0.99528),(5275,4425,0.93003,-0.99034),(5275,4435,0.9378,-0.9854),(5275,4445,0.94554,-0.98046),(5275,4455,0.95328,-0.97519),(5275,4465,0.96095,-0.96992),(5275,4475,0.96852,-0.96465),(5275,4485,0.97608,-0.95915),(5275,4495,0.9836,-0.9536),(5275,4505,0.99098,-0.94805),(5275,4515,0.99837,-0.94241),(5275,4525,1.0057,-0.93672),(5275,4535,1.0129,-0.93103),(5275,4545,1.02,-0.92531),(5275,4555,1.0272,-0.91955),(5275,4565,1.0341,-0.91379),(5275,4575,1.041,-0.90803),(5275,4585,1.0479,-0.90226),(5275,4595,1.0547,-0.89649),(5275,4605,1.0614,-0.89072),(5275,4615,1.0681,-0.88498),(5275,4625,1.0747,-0.87923),(5275,4635,1.0812,-0.87349),(5275,4645,1.0877,-0.86781),(5275,4655,1.0941,-0.86214),(5275,4665,1.1003,-0.85647),(5275,4675,1.1066,-0.85088),(5275,4685,1.1128,-0.84532),(5275,4695,1.1188,-0.83976),(5275,4705,1.1248,-0.83426),(5275,4715,1.1308,-0.82881),(5275,4725,1.1365,-0.82336),(5275,4735,1.1423,-0.81794),(5275,4745,1.1481,-0.81256),(5275,4755,1.1537,-0.80719),(5275,4765,1.1593,-0.80185),(5275,4775,1.1648,-0.79664),(5275,4785,1.1702,-0.79143),(5275,4795,1.1755,-0.78623),(5275,4805,1.1809,-0.78116),(5275,4815,1.1861,-0.77609),(5275,4825,1.1912,-0.77102),(5275,4835,1.1963,-0.76606),(5275,4845,1.2014,-0.76111),(5275,4855,1.2063,-0.75616),(5275,4865,1.2112,-0.7513),(5275,4875,1.2161,-0.74647),(5275,4885,1.2208,-0.74164),(5275,4895,1.2255,-0.73689),(5275,4905,1.2302,-0.7322),(5275,4915,1.2348,-0.72751),(5275,4925,1.2393,-0.72286),(5275,4935,1.2438,-0.71831),(5275,4945,1.2482,-0.71375),(5275,4955,1.2526,-0.70922),(5275,4965,1.2569,-0.70482),(5275,4975,1.2612,-0.70043),(5275,4985,1.2654,-0.69604),(5275,4995,1.2696,-0.69178),(5275,5005,1.2737,-0.68752),(5275,5015,1.2777,-0.68326),(5275,5025,1.2818,-0.67913),(5275,5035,1.2858,-0.67503),(5275,5045,1.2897,-0.67093),(5275,5055,1.2936,-0.66692),(5275,5065,1.2975,-0.66297),(5275,5075,1.3013,-0.65903),(5275,5085,1.3052,-0.65517),(5275,5095,1.309,-0.65142),(5275,5105,1.3127,-0.64767),(5275,5115,1.3165,-0.64397),(5275,5125,1.3202,-0.64039),(5275,5135,1.3239,-0.63681),(5275,5145,1.3276,-0.63324),(5275,5155,1.3312,-0.6298),(5275,5165,1.3349,-0.62637),(5275,5175,1.3384,-0.62294),(5275,5185,1.342,-0.61964),(5275,5195,1.3456,-0.61636),(5275,5205,1.3492,-0.61308),(5275,5215,1.3527,-0.60993),(5275,5225,1.3563,-0.60682),(5275,5235,1.3598,-0.60371),(5275,5245,1.3633,-0.60068),(5275,5255,1.3669,-0.59771),(5275,5265,1.3704,-0.59475),(5275,5275,1.374,-0.59183),(5275,5285,1.3776,-0.589),(5275,5295,1.3812,-0.58616),(5275,5305,1.3848,-0.58336),(5275,5315,1.3884,-0.58066),(5275,5325,1.3921,-0.57797),(5275,5335,1.3957,-0.57528),(5275,5345,1.3994,-0.57267),(5275,5355,1.4032,-0.57005),(5275,5365,1.4069,-0.56744),(5275,5375,1.4107,-0.56492),(5275,5385,1.4145,-0.56241),(5275,5395,1.4184,-0.5599),(5275,5405,1.4222,-0.55742),(5275,5415,1.4261,-0.55496),(5275,5425,1.4301,-0.55249),(5275,5435,1.434,-0.55003),(5275,5445,1.438,-0.54757),(5275,5455,1.442,-0.54511),(5275,5465,1.4461,-0.54263),(5275,5475,1.4501,-0.54012),(5275,5485,1.4542,-0.5376),(5275,5495,1.4583,-0.53508),(5275,5505,1.4624,-0.53251),(5275,5515,1.4665,-0.52993),(5275,5525,1.4707,-0.52736),(5275,5535,1.4749,-0.5247),(5275,5545,1.479,-0.52203),(5275,5555,1.4832,-0.51936),(5275,5565,1.4874,-0.5166),(5275,5575,1.4917,-0.51382),(5275,5585,1.4959,-0.51104),(5275,5595,1.5001,-0.50817),(5275,5605,1.5044,-0.50524),(5275,5615,1.5087,-0.50231),(5275,5625,1.5129,-0.49934),(5275,5635,1.5172,-0.4963),(5275,5645,1.5214,-0.49326),(5275,5655,1.5257,-0.49019),(5275,5665,1.5299,-0.48698),(5275,5675,1.5342,-0.48378),(5275,5685,1.5384,-0.48056),(5275,5695,1.5426,-0.47717),(5275,5705,1.5469,-0.47377),(5275,5715,1.5511,-0.47038),(5275,5725,1.5553,-0.46683),(5275,5735,1.5594,-0.46326),(5275,5745,1.5636,-0.45969),(5275,5755,1.5677,-0.456),(5275,5765,1.5719,-0.45226),(5275,5775,1.576,-0.44851),(5275,5785,1.5801,-0.44467),(5275,5795,1.5841,-0.44073),(5275,5805,1.5882,-0.43679),(5275,5815,1.5922,-0.43282),(5275,5825,1.5962,-0.42875),(5275,5835,1.6002,-0.42469),(5275,5845,1.6042,-0.4206),(5275,5855,1.6082,-0.4164),(5275,5865,1.6121,-0.41219),(5275,5875,1.616,-0.40798),(5275,5885,1.6199,-0.4036),(5275,5895,1.6237,-0.39921),(5275,5905,1.6275,-0.39483),(5275,5915,1.6314,-0.39034),(5275,5925,1.6351,-0.38582),(5275,5935,1.6389,-0.3813),(5275,5945,1.6426,-0.37669),(5275,5955,1.6463,-0.37201),(5275,5965,1.6499,-0.36734),(5275,5975,1.6535,-0.3626),(5275,5985,1.6572,-0.35778),(5275,5995,1.6607,-0.35295),(5275,6005,1.6642,-0.34808),(5275,6015,1.6677,-0.34309),(5275,6025,1.6712,-0.33811),(5275,6035,1.6746,-0.33311),(5275,6045,1.678,-0.32798),(5275,6055,1.6813,-0.32286),(5275,6065,1.6846,-0.31774),(5275,6075,1.6879,-0.31251),(5275,6085,1.6912,-0.30728),(5275,6095,1.6943,-0.30204),(5275,6105,1.6975,-0.29671),(5275,6115,1.7007,-0.29135),(5275,6125,1.7037,-0.28598),(5275,6135,1.7068,-0.28056),(5275,6145,1.7098,-0.27507),(5275,6155,1.7127,-0.26959),(5275,6165,1.7156,-0.26407),(5275,6175,1.7184,-0.25846),(5275,6185,1.7212,-0.25286),(5275,6195,1.7239,-0.24724),(5275,6205,1.7266,-0.24154),(5275,6215,1.7293,-0.23583),(5275,6225,1.7318,-0.23012),(5275,6235,1.7344,-0.2243),(5275,6245,1.7369,-0.21847),(5275,6255,1.7393,-0.21264),(5275,6265,1.7417,-0.2067),(5275,6275,1.744,-0.20074),(5275,6285,1.7462,-0.19477),(5275,6295,1.7484,-0.18877),(5275,6305,1.7506,-0.18274),(5275,6315,1.7526,-0.17671),(5275,6325,1.7546,-0.17064),(5275,6335,1.7566,-0.16451),(5275,6345,1.7584,-0.15839),(5275,6355,1.7602,-0.15223),(5275,6365,1.762,-0.14599),(5275,6375,1.7636,-0.13975),(5275,6385,1.7652,-0.1335),(5275,6395,1.7668,-0.12719),(5275,6405,1.7682,-0.12087),(5275,6415,1.7696,-0.11456),(5275,6425,1.7709,-0.1082),(5275,6435,1.7722,-0.10183),(5275,6445,1.7733,-0.09547),(5275,6455,1.7745,-0.089075),(5275,6465,1.7756,-0.082673),(5275,6475,1.7765,-0.07627),(5275,6485,1.7774,-0.069844),(5275,6495,1.7783,-0.063404),(5275,6505,1.779,-0.056963),(5275,6515,1.7796,-0.050513),(5275,6525,1.7803,-0.04405),(5275,6535,1.7808,-0.037588),(5275,6545,1.7812,-0.031116),(5275,6555,1.7816,-0.024617),(5275,6565,1.7819,-0.018118),(5275,6575,1.7821,-0.01162),(5275,6585,1.7823,-0.005138),(5275,6595,1.5161,0.001345),(5275,6605,0.95568,0.007827),(5275,6615,0.39531,0.008586),(5275,6625,0.001386,0.008609),(5275,6635,0.0014,0.008632),(5275,6645,0.001414,0.008658),(5275,6655,0.001428,0.008685),(5275,6665,0.001441,0.008712),(5275,6675,0.001454,0.008737),(5275,6685,0.001467,0.008762),(5275,6695,0.001478,0.008786),(5275,6705,0.00149,0.00881),(5275,6715,0.001502,0.008832),(5275,6725,0.001513,0.008854),(5275,6735,0.001524,0.008876),(5275,6745,0.001534,0.008896),(5275,6755,0.001545,0.008915),(5275,6765,0.001555,0.008935),(5275,6775,0.001565,0.008953),(5275,6785,0.001575,0.008971),(5275,6795,0.001584,0.008988),(5275,6805,0.001594,0.009005),(5275,6815,0.001603,0.009021),(5275,6825,0.001612,0.009036),(5275,6835,0.001621,0.009051),(5275,6845,0.00163,0.009065),(5275,6855,0.001638,0.009079),(5275,6865,0.001647,0.009092),(5275,6875,0.001656,0.009105),(5275,6885,0.001664,0.009117),(5275,6895,0.001672,0.009129),(5275,6905,0.00168,0.00914),(5275,6915,0.001689,0.009151),(5275,6925,0.001697,0.009161),(5275,6935,0.001705,0.009171),(5275,6945,0.001713,0.00918),(5275,6955,0.001721,0.009189),(5275,6965,0.001729,0.009198),(5275,6975,0.001736,0.009206),(5275,6985,0.001744,0.009214),(5285,5,-1.5e-05,-1.0407),(5285,15,-4.4e-05,-1.0407),(5285,25,-6.4e-05,-1.0408),(5285,35,-7.5e-05,-1.0409),(5285,45,-8.6e-05,-1.0409),(5285,55,-9.8e-05,-1.041),(5285,65,-0.000116,-1.041),(5285,75,-0.00014,-1.041),(5285,85,-0.000165,-1.041),(5285,95,-0.000189,-1.041),(5285,105,-0.000211,-1.041),(5285,115,-0.000233,-1.041),(5285,125,-0.000254,-1.0411),(5285,135,-0.000276,-1.0411),(5285,145,-0.000299,-1.0411),(5285,155,-0.000323,-1.0411),(5285,165,-0.000346,-1.0412),(5285,175,-0.00037,-1.0412),(5285,185,-0.000393,-1.0412),(5285,195,-0.000415,-1.0412),(5285,205,-0.000437,-1.0412),(5285,215,-0.000459,-1.0413),(5285,225,-0.000474,-1.0413),(5285,235,-0.000485,-1.0413),(5285,245,-0.000497,-1.0414),(5285,255,-0.000509,-1.0414),(5285,265,-0.00051,-1.0415),(5285,275,-0.000507,-1.0415),(5285,285,-0.000505,-1.0416),(5285,295,-0.000503,-1.0417),(5285,305,-0.000493,-1.0418),(5285,315,-0.000481,-1.0419),(5285,325,-0.000468,-1.042),(5285,335,-0.000456,-1.0421),(5285,345,-0.000447,-1.0422),(5285,355,-0.000438,-1.0423),(5285,365,-0.00043,-1.0424),(5285,375,-0.000421,-1.0425),(5285,385,-0.000432,-1.0426),(5285,395,-0.000445,-1.0427),(5285,405,-0.000459,-1.0428),(5285,415,-0.000472,-1.0428),(5285,425,-0.000504,-1.0429),(5285,435,-0.000538,-1.043),(5285,445,-0.000571,-1.0431),(5285,455,-0.000605,-1.0431),(5285,465,-0.000645,-1.0432),(5285,475,-0.000686,-1.0433),(5285,485,-0.000727,-1.0433),(5285,495,-0.000767,-1.0434),(5285,505,-0.000807,-1.0435),(5285,515,-0.000846,-1.0435),(5285,525,-0.000885,-1.0436),(5285,535,-0.000924,-1.0437),(5285,545,-0.000951,-1.0438),(5285,555,-0.000977,-1.0438),(5285,565,-0.001003,-1.0439),(5285,575,-0.001028,-1.044),(5285,585,-0.001036,-1.0441),(5285,595,-0.001044,-1.0442),(5285,605,-0.001053,-1.0444),(5285,615,-0.001062,-1.0446),(5285,625,-0.001076,-1.0447),(5285,635,-0.001091,-1.0449),(5285,645,-0.001106,-1.045),(5285,655,-0.001127,-1.0451),(5285,665,-0.001185,-1.0452),(5285,675,-0.001243,-1.0453),(5285,685,-0.001301,-1.0454),(5285,695,-0.001366,-1.0454),(5285,705,-0.001458,-1.0455),(5285,715,-0.00155,-1.0455),(5285,725,-0.001642,-1.0455),(5285,735,-0.001732,-1.0455),(5285,745,-0.001818,-1.0455),(5285,755,-0.001904,-1.0455),(5285,765,-0.001989,-1.0456),(5285,775,-0.002068,-1.0456),(5285,785,-0.002127,-1.0457),(5285,795,-0.002186,-1.0458),(5285,805,-0.002245,-1.0458),(5285,815,-0.002299,-1.0459),(5285,825,-0.002341,-1.046),(5285,835,-0.002384,-1.0461),(5285,845,-0.002426,-1.0462),(5285,855,-0.00247,-1.0463),(5285,865,-0.002516,-1.0464),(5285,875,-0.002562,-1.0465),(5285,885,-0.002608,-1.0465),(5285,895,-0.002657,-1.0466),(5285,905,-0.00271,-1.0467),(5285,915,-0.002764,-1.0467),(5285,925,-0.002817,-1.0468),(5285,935,-0.002876,-1.0468),(5285,945,-0.002941,-1.0469),(5285,955,-0.003007,-1.0469),(5285,965,-0.003072,-1.0469),(5285,975,-0.003148,-1.0469),(5285,985,-0.003236,-1.0469),(5285,995,-0.003324,-1.0469),(5285,1005,-0.003412,-1.0469),(5285,1015,-0.003509,-1.0468),(5285,1025,-0.003614,-1.0468),(5285,1035,-0.00372,-1.0467),(5285,1045,-0.003825,-1.0466),(5285,1055,-0.003941,-1.0465),(5285,1065,-0.004066,-1.0464),(5285,1075,-0.004191,-1.0463),(5285,1085,-0.004316,-1.0462),(5285,1095,-0.004457,-1.046),(5285,1105,-0.00461,-1.0458),(5285,1115,-0.004762,-1.0456),(5285,1125,-0.004915,-1.0453),(5285,1135,-0.005062,-1.0451),(5285,1145,-0.005206,-1.0448),(5285,1155,-0.00535,-1.0444),(5285,1165,-0.005494,-1.044),(5285,1175,-0.005614,-1.0435),(5285,1185,-0.005724,-1.0431),(5285,1195,-0.005833,-1.0425),(5285,1205,-0.005942,-1.0418),(5285,1215,-0.006474,-1.0411),(5285,1225,-0.007179,-1.0404),(5285,1235,-0.007884,-1.0402),(5285,1245,-0.008589,-1.0403),(5285,1255,-0.013323,-1.0403),(5285,1265,-0.019417,-1.0404),(5285,1275,-0.025511,-1.0484),(5285,1285,-0.031605,-1.0589),(5285,1295,-0.041444,-1.0693),(5285,1305,-0.052295,-1.0798),(5285,1315,-0.063147,-1.1041),(5285,1325,-0.073998,-1.1317),(5285,1335,-0.0448,-1.1593),(5285,1345,-0.007207,-1.187),(5285,1355,0.030385,-1.1703),(5285,1365,0.067977,-1.1456),(5285,1375,0.065641,-1.1209),(5285,1385,0.057144,-1.0962),(5285,1395,0.048648,-1.0822),(5285,1405,0.040151,-1.0696),(5285,1415,0.032479,-1.0569),(5285,1425,0.024892,-1.0443),(5285,1435,0.017306,-1.0436),(5285,1445,0.00972,-1.0439),(5285,1455,0.008494,-1.0442),(5285,1465,0.007634,-1.0445),(5285,1475,0.006775,-1.0456),(5285,1485,0.005916,-1.0468),(5285,1495,0.00577,-1.0479),(5285,1505,0.005635,-1.0491),(5285,1515,0.0055,-1.0499),(5285,1525,0.005364,-1.0507),(5285,1535,0.005211,-1.0515),(5285,1545,0.005059,-1.0523),(5285,1555,0.004906,-1.0529),(5285,1565,0.004753,-1.0535),(5285,1575,0.004596,-1.0541),(5285,1585,0.00444,-1.0547),(5285,1595,0.004284,-1.0551),(5285,1605,0.004129,-1.0556),(5285,1615,0.003991,-1.0561),(5285,1625,0.003853,-1.0565),(5285,1635,0.003716,-1.0569),(5285,1645,0.003582,-1.0572),(5285,1655,0.003472,-1.0576),(5285,1665,0.003363,-1.058),(5285,1675,0.003254,-1.0583),(5285,1685,0.00315,-1.0586),(5285,1695,0.003069,-1.0589),(5285,1705,0.002988,-1.0592),(5285,1715,0.002907,-1.0595),(5285,1725,0.002832,-1.0597),(5285,1735,0.002772,-1.06),(5285,1745,0.002713,-1.0602),(5285,1755,0.002654,-1.0605),(5285,1765,0.0026,-1.0607),(5285,1775,0.002561,-1.0609),(5285,1785,0.002521,-1.0611),(5285,1795,0.002481,-1.0613),(5285,1805,0.002446,-1.0615),(5285,1815,0.00242,-1.0617),(5285,1825,0.002393,-1.0619),(5285,1835,0.002367,-1.0621),(5285,1845,0.002341,-1.0623),(5285,1855,0.002315,-1.0625),(5285,1865,0.002289,-1.0626),(5285,1875,0.002263,-1.0628),(5285,1885,0.002236,-1.0629),(5285,1895,0.002209,-1.0631),(5285,1905,0.002181,-1.0632),(5285,1915,0.002154,-1.0633),(5285,1925,0.002125,-1.0635),(5285,1935,0.002095,-1.0636),(5285,1945,0.002064,-1.0637),(5285,1955,0.002034,-1.0638),(5285,1965,0.001999,-1.0639),(5285,1975,0.001961,-1.064),(5285,1985,0.001923,-1.0641),(5285,1995,0.001885,-1.0641),(5285,2005,0.001847,-1.0642),(5285,2015,0.001811,-1.0643),(5285,2025,0.001774,-1.0643),(5285,2035,0.001737,-1.0644),(5285,2045,0.001706,-1.0644),(5285,2055,0.00168,-1.0645),(5285,2065,0.001654,-1.0646),(5285,2075,0.001628,-1.0646),(5285,2085,0.001604,-1.0647),(5285,2095,0.001581,-1.0648),(5285,2105,0.001559,-1.0648),(5285,2115,0.001537,-1.0649),(5285,2125,0.001513,-1.0649),(5285,2135,0.001488,-1.065),(5285,2145,0.001463,-1.065),(5285,2155,0.001438,-1.065),(5285,2165,0.001419,-1.065),(5285,2175,0.001404,-1.0651),(5285,2185,0.001389,-1.0651),(5285,2195,0.001373,-1.0651),(5285,2205,0.00137,-1.0651),(5285,2215,0.001372,-1.0652),(5285,2225,0.001374,-1.0652),(5285,2235,0.001375,-1.0652),(5285,2245,0.001374,-1.0653),(5285,2255,0.00137,-1.0653),(5285,2265,0.001368,-1.0653),(5285,2275,0.001364,-1.0653),(5285,2285,0.001344,-1.0653),(5285,2295,0.001319,-1.0653),(5285,2305,0.001293,-1.0652),(5285,2315,0.001268,-1.0651),(5285,2325,0.001238,-1.0651),(5285,2335,0.001208,-1.065),(5285,2345,0.001177,-1.0649),(5285,2355,0.001147,-1.0649),(5285,2365,0.001128,-1.0648),(5285,2375,0.001111,-1.0647),(5285,2385,0.001094,-1.0647),(5285,2395,0.001077,-1.0646),(5285,2405,0.001066,-1.0645),(5285,2415,0.001056,-1.0645),(5285,2425,0.001046,-1.0644),(5285,2435,0.001036,-1.0643),(5285,2445,0.001027,-1.0641),(5285,2455,0.001018,-1.064),(5285,2465,0.001008,-1.0639),(5285,2475,0.000999,-1.0638),(5285,2485,0.001002,-1.0636),(5285,2495,0.001004,-1.0635),(5285,2505,0.001007,-1.0634),(5285,2515,0.00101,-1.0632),(5285,2525,0.001029,-1.0631),(5285,2535,0.001047,-1.063),(5285,2545,0.001066,-1.0628),(5285,2555,0.001084,-1.0627),(5285,2565,0.001096,-1.0625),(5285,2575,0.001108,-1.0624),(5285,2585,0.00112,-1.0622),(5285,2595,0.001131,-1.062),(5285,2605,0.001129,-1.0618),(5285,2615,0.001126,-1.0616),(5285,2625,0.001124,-1.0614),(5285,2635,0.001123,-1.0611),(5285,2645,0.001132,-1.0609),(5285,2655,0.001141,-1.0606),(5285,2665,0.00115,-1.0604),(5285,2675,0.001161,-1.0602),(5285,2685,0.001182,-1.06),(5285,2695,0.001202,-1.0598),(5285,2705,0.001222,-1.0595),(5285,2715,0.001239,-1.0593),(5285,2725,0.001244,-1.059),(5285,2735,0.001249,-1.0587),(5285,2745,0.001253,-1.0584),(5285,2755,0.001257,-1.0581),(5285,2765,0.001257,-1.0577),(5285,2775,0.001257,-1.0574),(5285,2785,0.001257,-1.057),(5285,2795,0.001262,-1.0567),(5285,2805,0.001276,-1.0564),(5285,2815,0.00129,-1.056),(5285,2825,0.001305,-1.0557),(5285,2835,0.001314,-1.0553),(5285,2845,0.001315,-1.055),(5285,2855,0.001316,-1.0546),(5285,2865,0.001316,-1.0542),(5285,2875,0.001306,-1.0537),(5285,2885,0.001279,-1.0533),(5285,2895,0.001251,-1.0529),(5285,2905,0.001224,-1.0524),(5285,2915,0.001196,-1.0519),(5285,2925,0.001168,-1.0514),(5285,2935,0.00114,-1.0509),(5285,2945,0.001112,-1.0504),(5285,2955,0.001082,-1.0499),(5285,2965,0.001053,-1.0494),(5285,2975,0.001022,-1.0488),(5285,2985,0.000992,-1.0483),(5285,2995,0.000961,-1.0477),(5285,3005,0.000929,-1.0471),(5285,3015,0.000896,-1.0465),(5285,3025,0.000864,-1.0459),(5285,3035,0.000838,-1.0453),(5285,3045,0.000818,-1.0447),(5285,3055,0.000798,-1.0441),(5285,3065,0.000778,-1.0434),(5285,3075,0.000763,-1.0428),(5285,3085,0.000753,-1.0421),(5285,3095,0.000742,-1.0415),(5285,3105,0.000732,-1.0407),(5285,3115,0.000726,-1.04),(5285,3125,0.000722,-1.0393),(5285,3135,0.000718,-1.0386),(5285,3145,0.000715,-1.0378),(5285,3155,0.000715,-1.037),(5285,3165,0.000719,-1.0363),(5285,3175,0.000722,-1.0355),(5285,3185,0.000725,-1.0347),(5285,3195,0.000721,-1.0339),(5285,3205,0.000714,-1.0331),(5285,3215,0.000706,-1.0322),(5285,3225,0.000699,-1.0313),(5285,3235,0.000671,-1.0304),(5285,3245,0.000635,-1.0295),(5285,3255,0.000599,-1.0285),(5285,3265,0.000563,-1.0274),(5285,3275,0.000531,-1.0264),(5285,3285,0.0005,-1.0254),(5285,3295,0.000469,-1.0244),(5285,3305,0.000438,-1.0233),(5285,3315,0.00042,-1.0223),(5285,3325,0.000405,-1.0213),(5285,3335,0.00039,-1.0202),(5285,3345,0.000375,-1.0191),(5285,3355,0.000353,-1.018),(5285,3365,0.000329,-1.0169),(5285,3375,0.000305,-1.0157),(5285,3385,0.000282,-1.0145),(5285,3395,0.00025,-1.0133),(5285,3405,0.000218,-1.0121),(5285,3415,0.000185,-1.0108),(5285,3425,0.000152,-1.0095),(5285,3435,0.000127,-1.0083),(5285,3445,0.000102,-1.007),(5285,3455,7.8e-05,-1.0056),(5285,3465,5.3e-05,-1.0043),(5285,3475,3.1e-05,-1.0029),(5285,3485,8e-06,-1.0016),(5285,3495,-1.4e-05,-1.0001),(5285,3505,-3.7e-05,-0.99868),(5285,3515,-7.2e-05,-0.99723),(5285,3525,-0.000108,-0.99578),(5285,3535,-0.000143,-0.99422),(5285,3545,-0.000179,-0.99266),(5285,3555,-0.00022,-0.9911),(5285,3565,-0.000261,-0.98954),(5285,3575,-0.000302,-0.9879),(5285,3585,-0.000344,-0.98626),(5285,3595,-0.000393,-0.98462),(5285,3605,-0.000442,-0.98296),(5285,3615,-0.000491,-0.98121),(5285,3625,-0.000541,-0.97945),(5285,3635,-0.000597,-0.97769),(5285,3645,-0.000654,-0.97593),(5285,3655,-0.00071,-0.97408),(5285,3665,-0.000766,-0.97223),(5285,3675,-0.000816,-0.97039),(5285,3685,-0.000867,-0.96853),(5285,3695,-0.000918,-0.96661),(5285,3705,-0.000969,-0.96469),(5285,3715,-0.001019,-0.96277),(5285,3725,-0.00107,-0.96083),(5285,3735,-0.00112,-0.95881),(5285,3745,-0.001172,-0.95679),(5285,3755,-0.001225,-0.95478),(5285,3765,-0.001278,-0.95273),(5285,3775,-0.001331,-0.95061),(5285,3785,-0.001384,-0.9485),(5285,3795,-0.001437,-0.94638),(5285,3805,-0.001489,-0.94425),(5285,3815,-0.001542,-0.94206),(5285,3825,-0.001598,-0.93988),(5285,3835,-0.001659,-0.9377),(5285,3845,-0.001721,-0.93548),(5285,3855,-0.001783,-0.93318),(5285,3865,-0.001872,-0.93087),(5285,3875,-0.00201,-0.92857),(5285,3885,-0.002147,-0.92625),(5285,3895,-0.002285,-0.9239),(5285,3905,-0.002654,-0.92154),(5285,3915,-0.003371,-0.91919),(5285,3925,-0.004087,-0.91727),(5285,3935,-0.004804,-0.91595),(5285,3945,-0.00715,-0.91464),(5285,3955,-0.011566,-0.91332),(5285,3965,-0.015982,-0.91563),(5285,3975,-0.020397,-0.92218),(5285,3985,-0.029072,-0.92873),(5285,3995,-0.042357,-0.93529),(5285,4005,-0.055642,-0.9528),(5285,4015,-0.068927,-0.98128),(5285,4025,0.07491,-1.0098),(5285,4035,0.23412,-1.0299),(5285,4045,0.39333,-1.0324),(5285,4055,0.49906,-1.0348),(5285,4065,0.58528,-1.0374),(5285,4075,0.67151,-1.0408),(5285,4085,0.71141,-1.0442),(5285,4095,0.7141,-1.0476),(5285,4105,0.71678,-1.0501),(5285,4115,0.71987,-1.0525),(5285,4125,0.72361,-1.0549),(5285,4135,0.72736,-1.0564),(5285,4145,0.73135,-1.0576),(5285,4155,0.73632,-1.0589),(5285,4165,0.74129,-1.0595),(5285,4175,0.74628,-1.0597),(5285,4185,0.7522,-1.0599),(5285,4195,0.75812,-1.0597),(5285,4205,0.76404,-1.0589),(5285,4215,0.77052,-1.0582),(5285,4225,0.77711,-1.0572),(5285,4235,0.78369,-1.0557),(5285,4245,0.79056,-1.0541),(5285,4255,0.79758,-1.0525),(5285,4265,0.8046,-1.0504),(5285,4275,0.81174,-1.0482),(5285,4285,0.819,-1.046),(5285,4295,0.82627,-1.0435),(5285,4305,0.83356,-1.0408),(5285,4315,0.84093,-1.0382),(5285,4325,0.8483,-1.0352),(5285,4335,0.85568,-1.0321),(5285,4345,0.86317,-1.0289),(5285,4355,0.87065,-1.0255),(5285,4365,0.87814,-1.0218),(5285,4375,0.88573,-1.0182),(5285,4385,0.89333,-1.0144),(5285,4395,0.90094,-1.0102),(5285,4405,0.90857,-1.0061),(5285,4415,0.91621,-1.0019),(5285,4425,0.92386,-0.99725),(5285,4435,0.93148,-0.99262),(5285,4445,0.93909,-0.988),(5285,4455,0.9467,-0.98303),(5285,4465,0.95426,-0.97806),(5285,4475,0.96173,-0.97309),(5285,4485,0.9692,-0.96784),(5285,4495,0.97663,-0.96254),(5285,4505,0.98394,-0.95724),(5285,4515,0.99126,-0.95182),(5285,4525,0.99856,-0.94635),(5285,4535,1.0057,-0.94087),(5285,4545,1.0127,-0.93534),(5285,4555,1.0198,-0.92976),(5285,4565,1.0268,-0.92417),(5285,4575,1.0337,-0.91856),(5285,4585,1.0405,-0.91293),(5285,4595,1.0473,-0.9073),(5285,4605,1.054,-0.90167),(5285,4615,1.0607,-0.89604),(5285,4625,1.0673,-0.8904),(5285,4635,1.0737,-0.88477),(5285,4645,1.0802,-0.87918),(5285,4655,1.0866,-0.87359),(5285,4665,1.0928,-0.868),(5285,4675,1.0991,-0.86248),(5285,4685,1.1053,-0.85698),(5285,4695,1.1113,-0.85148),(5285,4705,1.1173,-0.84603),(5285,4715,1.1233,-0.84062),(5285,4725,1.1291,-0.8352),(5285,4735,1.1349,-0.8298),(5285,4745,1.1407,-0.82442),(5285,4755,1.1463,-0.81905),(5285,4765,1.1519,-0.81371),(5285,4775,1.1575,-0.8085),(5285,4785,1.1629,-0.80329),(5285,4795,1.1683,-0.79809),(5285,4805,1.1736,-0.79299),(5285,4815,1.1789,-0.7879),(5285,4825,1.184,-0.78281),(5285,4835,1.1892,-0.7778),(5285,4845,1.1942,-0.77281),(5285,4855,1.1992,-0.76782),(5285,4865,1.2041,-0.7629),(5285,4875,1.2091,-0.75801),(5285,4885,1.2138,-0.75312),(5285,4895,1.2186,-0.7483),(5285,4905,1.2233,-0.74355),(5285,4915,1.2279,-0.7388),(5285,4925,1.2325,-0.73408),(5285,4935,1.237,-0.72945),(5285,4945,1.2414,-0.72481),(5285,4955,1.2458,-0.7202),(5285,4965,1.2502,-0.71573),(5285,4975,1.2545,-0.71126),(5285,4985,1.2588,-0.70678),(5285,4995,1.263,-0.70244),(5285,5005,1.2671,-0.6981),(5285,5015,1.2712,-0.69376),(5285,5025,1.2753,-0.68953),(5285,5035,1.2793,-0.68533),(5285,5045,1.2833,-0.68114),(5285,5055,1.2872,-0.67703),(5285,5065,1.2912,-0.67298),(5285,5075,1.295,-0.66892),(5285,5085,1.2989,-0.66496),(5285,5095,1.3027,-0.66112),(5285,5105,1.3065,-0.65727),(5285,5115,1.3103,-0.65347),(5285,5125,1.3141,-0.64979),(5285,5135,1.3178,-0.6461),(5285,5145,1.3215,-0.64243),(5285,5155,1.3252,-0.63889),(5285,5165,1.3289,-0.63535),(5285,5175,1.3325,-0.63181),(5285,5185,1.3362,-0.6284),(5285,5195,1.3398,-0.625),(5285,5205,1.3434,-0.62161),(5285,5215,1.347,-0.61834),(5285,5225,1.3506,-0.61511),(5285,5235,1.3542,-0.61188),(5285,5245,1.3578,-0.60872),(5285,5255,1.3613,-0.60562),(5285,5265,1.3649,-0.60252),(5285,5275,1.3685,-0.59946),(5285,5285,1.3721,-0.59649),(5285,5295,1.3758,-0.59352),(5285,5305,1.3794,-0.59057),(5285,5315,1.3831,-0.58772),(5285,5325,1.3868,-0.58488),(5285,5335,1.3905,-0.58204),(5285,5345,1.3942,-0.57927),(5285,5355,1.3979,-0.5765),(5285,5365,1.4017,-0.57373),(5285,5375,1.4055,-0.57104),(5285,5385,1.4093,-0.56837),(5285,5395,1.4131,-0.56569),(5285,5405,1.417,-0.56305),(5285,5415,1.4209,-0.56042),(5285,5425,1.4248,-0.55779),(5285,5435,1.4288,-0.55516),(5285,5445,1.4327,-0.55254),(5285,5455,1.4367,-0.54991),(5285,5465,1.4407,-0.54727),(5285,5475,1.4448,-0.54459),(5285,5485,1.4488,-0.5419),(5285,5495,1.4529,-0.53922),(5285,5505,1.457,-0.53648),(5285,5515,1.4611,-0.53375),(5285,5525,1.4652,-0.53101),(5285,5535,1.4693,-0.52818),(5285,5545,1.4735,-0.52535),(5285,5555,1.4776,-0.52251),(5285,5565,1.4818,-0.5196),(5285,5575,1.486,-0.51666),(5285,5585,1.4902,-0.51373),(5285,5595,1.4944,-0.51071),(5285,5605,1.4986,-0.50763),(5285,5615,1.5028,-0.50455),(5285,5625,1.507,-0.50144),(5285,5635,1.5112,-0.49827),(5285,5645,1.5154,-0.4951),(5285,5655,1.5196,-0.4919),(5285,5665,1.5238,-0.48858),(5285,5675,1.528,-0.48525),(5285,5685,1.5322,-0.48191),(5285,5695,1.5364,-0.47841),(5285,5705,1.5405,-0.47491),(5285,5715,1.5447,-0.47141),(5285,5725,1.5488,-0.46776),(5285,5735,1.5529,-0.4641),(5285,5745,1.557,-0.46044),(5285,5755,1.5611,-0.45667),(5285,5765,1.5652,-0.45284),(5285,5775,1.5692,-0.44902),(5285,5785,1.5732,-0.4451),(5285,5795,1.5772,-0.44109),(5285,5805,1.5812,-0.43708),(5285,5815,1.5852,-0.43303),(5285,5825,1.5891,-0.4289),(5285,5835,1.5931,-0.42478),(5285,5845,1.597,-0.42063),(5285,5855,1.6009,-0.41637),(5285,5865,1.6048,-0.41211),(5285,5875,1.6086,-0.40786),(5285,5885,1.6124,-0.40343),(5285,5895,1.6163,-0.399),(5285,5905,1.62,-0.39458),(5285,5915,1.6238,-0.39005),(5285,5925,1.6275,-0.38549),(5285,5935,1.6312,-0.38094),(5285,5945,1.6348,-0.37629),(5285,5955,1.6385,-0.37159),(5285,5965,1.6421,-0.36688),(5285,5975,1.6457,-0.36212),(5285,5985,1.6492,-0.35727),(5285,5995,1.6527,-0.35242),(5285,6005,1.6562,-0.34752),(5285,6015,1.6596,-0.34252),(5285,6025,1.663,-0.33751),(5285,6035,1.6664,-0.33249),(5285,6045,1.6697,-0.32735),(5285,6055,1.673,-0.32221),(5285,6065,1.6763,-0.31707),(5285,6075,1.6795,-0.31183),(5285,6085,1.6827,-0.30659),(5285,6095,1.6858,-0.30134),(5285,6105,1.689,-0.29601),(5285,6115,1.6921,-0.29064),(5285,6125,1.6951,-0.28527),(5285,6135,1.6981,-0.27984),(5285,6145,1.7011,-0.27436),(5285,6155,1.7039,-0.26888),(5285,6165,1.7067,-0.26336),(5285,6175,1.7096,-0.25776),(5285,6185,1.7123,-0.25216),(5285,6195,1.715,-0.24654),(5285,6205,1.7177,-0.24084),(5285,6215,1.7202,-0.23513),(5285,6225,1.7228,-0.22943),(5285,6235,1.7253,-0.22361),(5285,6245,1.7278,-0.21779),(5285,6255,1.7301,-0.21196),(5285,6265,1.7325,-0.20603),(5285,6275,1.7348,-0.20009),(5285,6285,1.7369,-0.19414),(5285,6295,1.7391,-0.18814),(5285,6305,1.7413,-0.18213),(5285,6315,1.7432,-0.17611),(5285,6325,1.7452,-0.17005),(5285,6335,1.7472,-0.16395),(5285,6345,1.749,-0.15784),(5285,6355,1.7507,-0.1517),(5285,6365,1.7525,-0.14548),(5285,6375,1.7541,-0.13926),(5285,6385,1.7557,-0.13303),(5285,6395,1.7572,-0.12673),(5285,6405,1.7587,-0.12044),(5285,6415,1.76,-0.11415),(5285,6425,1.7613,-0.1078),(5285,6435,1.7626,-0.10145),(5285,6445,1.7637,-0.095103),(5285,6455,1.7648,-0.088725),(5285,6465,1.7659,-0.082337),(5285,6475,1.7668,-0.07595),(5285,6485,1.7676,-0.069543),(5285,6495,1.7685,-0.063123),(5285,6505,1.7692,-0.056703),(5285,6515,1.7698,-0.050276),(5285,6525,1.7705,-0.043837),(5285,6535,1.771,-0.037398),(5285,6545,1.7714,-0.03095),(5285,6555,1.7718,-0.024478),(5285,6565,1.7721,-0.018005),(5285,6575,1.7722,-0.011533),(5285,6585,1.7724,-0.005076),(5285,6595,1.5077,0.001381),(5285,6605,0.95039,0.007838),(5285,6615,0.39311,0.008596),(5285,6625,0.001354,0.00862),(5285,6635,0.00137,0.008645),(5285,6645,0.001385,0.008671),(5285,6655,0.001399,0.008698),(5285,6665,0.001413,0.008724),(5285,6675,0.001427,0.008749),(5285,6685,0.00144,0.008774),(5285,6695,0.001453,0.008798),(5285,6705,0.001465,0.008821),(5285,6715,0.001477,0.008843),(5285,6725,0.001489,0.008865),(5285,6735,0.0015,0.008886),(5285,6745,0.001512,0.008906),(5285,6755,0.001523,0.008925),(5285,6765,0.001533,0.008945),(5285,6775,0.001544,0.008962),(5285,6785,0.001554,0.00898),(5285,6795,0.001564,0.008998),(5285,6805,0.001574,0.009014),(5285,6815,0.001584,0.009029),(5285,6825,0.001594,0.009045),(5285,6835,0.001603,0.009059),(5285,6845,0.001613,0.009073),(5285,6855,0.001622,0.009087),(5285,6865,0.001631,0.0091),(5285,6875,0.00164,0.009113),(5285,6885,0.001649,0.009125),(5285,6895,0.001658,0.009137),(5285,6905,0.001667,0.009147),(5285,6915,0.001675,0.009158),(5285,6925,0.001684,0.009169),(5285,6935,0.001692,0.009178),(5285,6945,0.0017,0.009188),(5285,6955,0.001709,0.009197),(5285,6965,0.001717,0.009205),(5285,6975,0.001725,0.009213),(5285,6985,0.001734,0.009221),(5295,5,-1.2e-05,-0.87687),(5295,15,-3.6e-05,-0.87693),(5295,25,-5.5e-05,-0.87699),(5295,35,-6.9e-05,-0.87706),(5295,45,-8.4e-05,-0.8771),(5295,55,-9.9e-05,-0.87713),(5295,65,-0.000117,-0.87716),(5295,75,-0.000138,-0.87719),(5295,85,-0.00016,-0.87721),(5295,95,-0.000181,-0.87722),(5295,105,-0.000202,-0.87724),(5295,115,-0.000222,-0.87726),(5295,125,-0.000242,-0.87729),(5295,135,-0.000262,-0.87733),(5295,145,-0.000284,-0.87737),(5295,155,-0.000305,-0.87741),(5295,165,-0.000327,-0.87746),(5295,175,-0.000349,-0.8775),(5295,185,-0.00037,-0.87755),(5295,195,-0.000392,-0.87759),(5295,205,-0.000413,-0.87764),(5295,215,-0.000435,-0.8777),(5295,225,-0.000453,-0.87776),(5295,235,-0.00047,-0.87781),(5295,245,-0.000486,-0.87789),(5295,255,-0.000503,-0.87797),(5295,265,-0.000514,-0.87805),(5295,275,-0.000525,-0.87813),(5295,285,-0.000535,-0.87822),(5295,295,-0.000545,-0.87832),(5295,305,-0.000551,-0.87842),(5295,315,-0.000557,-0.87852),(5295,325,-0.000563,-0.87865),(5295,335,-0.000568,-0.87879),(5295,345,-0.000576,-0.87892),(5295,355,-0.000585,-0.87906),(5295,365,-0.000593,-0.8792),(5295,375,-0.000601,-0.87935),(5295,385,-0.00062,-0.8795),(5295,395,-0.000641,-0.87964),(5295,405,-0.000662,-0.87978),(5295,415,-0.000682,-0.87991),(5295,425,-0.000714,-0.88003),(5295,435,-0.000746,-0.88016),(5295,445,-0.000778,-0.8803),(5295,455,-0.00081,-0.88043),(5295,465,-0.000847,-0.88057),(5295,475,-0.000885,-0.8807),(5295,485,-0.000922,-0.88084),(5295,495,-0.000959,-0.88098),(5295,505,-0.000998,-0.88112),(5295,515,-0.001037,-0.88126),(5295,525,-0.001076,-0.88141),(5295,535,-0.001114,-0.88156),(5295,545,-0.001149,-0.88171),(5295,555,-0.001183,-0.88186),(5295,565,-0.001217,-0.88205),(5295,575,-0.001251,-0.88223),(5295,585,-0.001279,-0.88241),(5295,595,-0.001306,-0.88261),(5295,605,-0.001334,-0.88285),(5295,615,-0.001362,-0.88309),(5295,625,-0.001395,-0.88333),(5295,635,-0.001428,-0.88357),(5295,645,-0.00146,-0.8838),(5295,655,-0.001497,-0.88403),(5295,665,-0.001554,-0.88426),(5295,675,-0.00161,-0.88448),(5295,685,-0.001667,-0.88466),(5295,695,-0.001728,-0.88483),(5295,705,-0.001803,-0.885),(5295,715,-0.001879,-0.88517),(5295,725,-0.001955,-0.88534),(5295,735,-0.002031,-0.88551),(5295,745,-0.002105,-0.88568),(5295,755,-0.00218,-0.88586),(5295,765,-0.002255,-0.88607),(5295,775,-0.002326,-0.88628),(5295,785,-0.00239,-0.88649),(5295,795,-0.002454,-0.88671),(5295,805,-0.002517,-0.88696),(5295,815,-0.00258,-0.88722),(5295,825,-0.002638,-0.88748),(5295,835,-0.002697,-0.88774),(5295,845,-0.002755,-0.88801),(5295,855,-0.002816,-0.88828),(5295,865,-0.00288,-0.88855),(5295,875,-0.002944,-0.88882),(5295,885,-0.003008,-0.88908),(5295,895,-0.003075,-0.88934),(5295,905,-0.003148,-0.88961),(5295,915,-0.003221,-0.88987),(5295,925,-0.003294,-0.89014),(5295,935,-0.003371,-0.89041),(5295,945,-0.003456,-0.89067),(5295,955,-0.003541,-0.89093),(5295,965,-0.003626,-0.89117),(5295,975,-0.00372,-0.89141),(5295,985,-0.003825,-0.89165),(5295,995,-0.003929,-0.89188),(5295,1005,-0.004034,-0.89209),(5295,1015,-0.004149,-0.89229),(5295,1025,-0.004273,-0.8925),(5295,1035,-0.004398,-0.8927),(5295,1045,-0.004523,-0.89289),(5295,1055,-0.004662,-0.89308),(5295,1065,-0.004813,-0.89328),(5295,1075,-0.004963,-0.89344),(5295,1085,-0.005113,-0.89358),(5295,1095,-0.005284,-0.89373),(5295,1105,-0.005469,-0.89387),(5295,1115,-0.005653,-0.89397),(5295,1125,-0.005838,-0.89405),(5295,1135,-0.006034,-0.89412),(5295,1145,-0.006237,-0.8942),(5295,1155,-0.006441,-0.89417),(5295,1165,-0.006644,-0.89408),(5295,1175,-0.006851,-0.89399),(5295,1185,-0.007059,-0.8939),(5295,1195,-0.007268,-0.89321),(5295,1205,-0.007477,-0.89225),(5295,1215,-0.007917,-0.89129),(5295,1225,-0.008454,-0.89033),(5295,1235,-0.008991,-0.88859),(5295,1245,-0.009527,-0.88656),(5295,1255,-0.01217,-0.88452),(5295,1265,-0.015525,-0.88249),(5295,1275,-0.01888,-0.89383),(5295,1285,-0.022235,-0.90922),(5295,1295,-0.027758,-0.92461),(5295,1305,-0.033868,-0.94001),(5295,1315,-0.039977,-0.99183),(5295,1325,-0.046087,-1.0524),(5295,1335,-0.027477,-1.1129),(5295,1345,-0.003686,-1.1734),(5295,1355,0.020105,-1.135),(5295,1365,0.043896,-1.0786),(5295,1375,0.042591,-1.0223),(5295,1385,0.037415,-0.96588),(5295,1395,0.032238,-0.94177),(5295,1405,0.027062,-0.92181),(5295,1415,0.022816,-0.90184),(5295,1425,0.018666,-0.88188),(5295,1435,0.014516,-0.88312),(5295,1445,0.010366,-0.88606),(5295,1455,0.009551,-0.889),(5295,1465,0.008927,-0.89194),(5295,1475,0.008304,-0.89354),(5295,1485,0.007681,-0.89509),(5295,1495,0.007447,-0.89664),(5295,1505,0.007218,-0.89819),(5295,1515,0.00699,-0.89856),(5295,1525,0.006762,-0.89894),(5295,1535,0.006547,-0.89932),(5295,1545,0.006333,-0.89968),(5295,1555,0.006119,-0.89985),(5295,1565,0.005906,-0.90002),(5295,1575,0.005714,-0.90018),(5295,1585,0.005523,-0.90034),(5295,1595,0.005331,-0.90045),(5295,1605,0.005143,-0.90055),(5295,1615,0.004982,-0.90066),(5295,1625,0.004822,-0.90075),(5295,1635,0.004662,-0.90081),(5295,1645,0.004506,-0.90086),(5295,1655,0.004378,-0.90091),(5295,1665,0.00425,-0.90095),(5295,1675,0.004122,-0.90097),(5295,1685,0.003999,-0.90098),(5295,1695,0.003898,-0.901),(5295,1705,0.003798,-0.90101),(5295,1715,0.003697,-0.901),(5295,1725,0.003601,-0.90099),(5295,1735,0.003521,-0.90098),(5295,1745,0.003441,-0.90096),(5295,1755,0.003361,-0.90093),(5295,1765,0.003285,-0.9009),(5295,1775,0.003221,-0.90087),(5295,1785,0.003158,-0.90083),(5295,1795,0.003095,-0.9008),(5295,1805,0.003035,-0.90077),(5295,1815,0.002983,-0.90073),(5295,1825,0.002931,-0.90069),(5295,1835,0.00288,-0.90065),(5295,1845,0.00283,-0.9006),(5295,1855,0.002782,-0.90056),(5295,1865,0.002735,-0.90051),(5295,1875,0.002687,-0.90044),(5295,1885,0.002641,-0.90038),(5295,1895,0.002596,-0.90032),(5295,1905,0.002551,-0.90026),(5295,1915,0.002507,-0.9002),(5295,1925,0.002463,-0.90014),(5295,1935,0.00242,-0.90008),(5295,1945,0.002377,-0.90001),(5295,1955,0.002334,-0.89994),(5295,1965,0.00229,-0.89986),(5295,1975,0.002246,-0.89979),(5295,1985,0.002202,-0.89971),(5295,1995,0.002157,-0.89962),(5295,2005,0.002115,-0.89954),(5295,2015,0.002073,-0.89945),(5295,2025,0.002033,-0.89936),(5295,2035,0.001991,-0.89928),(5295,2045,0.001954,-0.8992),(5295,2055,0.00192,-0.89911),(5295,2065,0.001887,-0.89904),(5295,2075,0.001853,-0.89897),(5295,2085,0.001821,-0.8989),(5295,2095,0.001791,-0.89884),(5295,2105,0.001761,-0.89877),(5295,2115,0.001731,-0.8987),(5295,2125,0.001701,-0.89863),(5295,2135,0.001671,-0.89856),(5295,2145,0.001641,-0.89848),(5295,2155,0.001612,-0.8984),(5295,2165,0.001586,-0.89831),(5295,2175,0.001562,-0.89823),(5295,2185,0.001539,-0.89816),(5295,2195,0.001515,-0.89809),(5295,2205,0.001499,-0.89802),(5295,2215,0.001485,-0.89795),(5295,2225,0.001471,-0.8979),(5295,2235,0.001458,-0.89784),(5295,2245,0.001443,-0.89778),(5295,2255,0.001428,-0.89773),(5295,2265,0.001413,-0.89765),(5295,2275,0.001398,-0.89756),(5295,2285,0.001375,-0.89748),(5295,2295,0.001349,-0.89739),(5295,2305,0.001324,-0.89727),(5295,2315,0.001298,-0.89715),(5295,2325,0.001271,-0.89703),(5295,2335,0.001243,-0.89691),(5295,2345,0.001216,-0.89679),(5295,2355,0.001188,-0.89667),(5295,2365,0.001167,-0.89655),(5295,2375,0.001147,-0.89643),(5295,2385,0.001127,-0.89632),(5295,2395,0.001107,-0.89621),(5295,2405,0.001091,-0.8961),(5295,2415,0.001076,-0.89599),(5295,2425,0.00106,-0.89586),(5295,2435,0.001044,-0.89573),(5295,2445,0.001029,-0.8956),(5295,2455,0.001015,-0.89547),(5295,2465,0.001,-0.89532),(5295,2475,0.000985,-0.89517),(5295,2485,0.000977,-0.89502),(5295,2495,0.000969,-0.89487),(5295,2505,0.000961,-0.89473),(5295,2515,0.000954,-0.89459),(5295,2525,0.000955,-0.89444),(5295,2535,0.000955,-0.8943),(5295,2545,0.000956,-0.89416),(5295,2555,0.000957,-0.89403),(5295,2565,0.000955,-0.89389),(5295,2575,0.000954,-0.89375),(5295,2585,0.000952,-0.89356),(5295,2595,0.00095,-0.89338),(5295,2605,0.000941,-0.89319),(5295,2615,0.000932,-0.893),(5295,2625,0.000924,-0.89279),(5295,2635,0.000916,-0.89258),(5295,2645,0.000913,-0.89237),(5295,2655,0.000911,-0.89216),(5295,2665,0.000908,-0.89198),(5295,2675,0.000907,-0.89179),(5295,2685,0.000911,-0.89161),(5295,2695,0.000914,-0.89142),(5295,2705,0.000917,-0.89121),(5295,2715,0.000919,-0.89099),(5295,2725,0.000914,-0.89078),(5295,2735,0.00091,-0.89055),(5295,2745,0.000905,-0.89027),(5295,2755,0.0009,-0.89),(5295,2765,0.000893,-0.88972),(5295,2775,0.000885,-0.88945),(5295,2785,0.000878,-0.88917),(5295,2795,0.000873,-0.88889),(5295,2805,0.000872,-0.88862),(5295,2815,0.000872,-0.88834),(5295,2825,0.000871,-0.88807),(5295,2835,0.000868,-0.8878),(5295,2845,0.00086,-0.88753),(5295,2855,0.000851,-0.88724),(5295,2865,0.000843,-0.88691),(5295,2875,0.000829,-0.88658),(5295,2885,0.000806,-0.88624),(5295,2895,0.000782,-0.8859),(5295,2905,0.000759,-0.88553),(5295,2915,0.000735,-0.88515),(5295,2925,0.000711,-0.88478),(5295,2935,0.000687,-0.88441),(5295,2945,0.000662,-0.88402),(5295,2955,0.000637,-0.88364),(5295,2965,0.000612,-0.88325),(5295,2975,0.000586,-0.88284),(5295,2985,0.000561,-0.88241),(5295,2995,0.000535,-0.88198),(5295,3005,0.000508,-0.88154),(5295,3015,0.000481,-0.8811),(5295,3025,0.000454,-0.88065),(5295,3035,0.000431,-0.8802),(5295,3045,0.00041,-0.87974),(5295,3055,0.00039,-0.87928),(5295,3065,0.000369,-0.87881),(5295,3075,0.000352,-0.87833),(5295,3085,0.000336,-0.87786),(5295,3095,0.000321,-0.87735),(5295,3105,0.000306,-0.87682),(5295,3115,0.000292,-0.87629),(5295,3125,0.00028,-0.87576),(5295,3135,0.000268,-0.87522),(5295,3145,0.000256,-0.87466),(5295,3155,0.000246,-0.8741),(5295,3165,0.000238,-0.87354),(5295,3175,0.000229,-0.87297),(5295,3185,0.00022,-0.87239),(5295,3195,0.000207,-0.8718),(5295,3205,0.000192,-0.87122),(5295,3215,0.000178,-0.87058),(5295,3225,0.000163,-0.86992),(5295,3235,0.000137,-0.86926),(5295,3245,0.000107,-0.86859),(5295,3255,7.7e-05,-0.86787),(5295,3265,4.6e-05,-0.86714),(5295,3275,1.7e-05,-0.8664),(5295,3285,-1.2e-05,-0.86566),(5295,3295,-4e-05,-0.86491),(5295,3305,-6.9e-05,-0.86416),(5295,3315,-9.2e-05,-0.86341),(5295,3325,-0.000114,-0.86265),(5295,3335,-0.000136,-0.86187),(5295,3345,-0.000158,-0.86108),(5295,3355,-0.000184,-0.86029),(5295,3365,-0.000212,-0.8595),(5295,3375,-0.000239,-0.85864),(5295,3385,-0.000267,-0.85777),(5295,3395,-0.0003,-0.8569),(5295,3405,-0.000333,-0.85603),(5295,3415,-0.000367,-0.8551),(5295,3425,-0.0004,-0.85417),(5295,3435,-0.000431,-0.85323),(5295,3445,-0.000462,-0.85229),(5295,3455,-0.000493,-0.85133),(5295,3465,-0.000524,-0.85036),(5295,3475,-0.000555,-0.84939),(5295,3485,-0.000586,-0.84842),(5295,3495,-0.000618,-0.84738),(5295,3505,-0.000649,-0.84633),(5295,3515,-0.000689,-0.84529),(5295,3525,-0.000729,-0.84424),(5295,3535,-0.000768,-0.84312),(5295,3545,-0.000808,-0.84199),(5295,3555,-0.000853,-0.84087),(5295,3565,-0.000897,-0.83974),(5295,3575,-0.000942,-0.83856),(5295,3585,-0.000987,-0.83739),(5295,3595,-0.001038,-0.83621),(5295,3605,-0.001088,-0.83502),(5295,3615,-0.001139,-0.83376),(5295,3625,-0.00119,-0.8325),(5295,3635,-0.001247,-0.83124),(5295,3645,-0.001304,-0.82997),(5295,3655,-0.001361,-0.82865),(5295,3665,-0.001417,-0.82732),(5295,3675,-0.001473,-0.826),(5295,3685,-0.00153,-0.82467),(5295,3695,-0.001586,-0.8233),(5295,3705,-0.001642,-0.82192),(5295,3715,-0.001701,-0.82055),(5295,3725,-0.001759,-0.81916),(5295,3735,-0.001817,-0.81772),(5295,3745,-0.001877,-0.81627),(5295,3755,-0.001939,-0.81483),(5295,3765,-0.002001,-0.81337),(5295,3775,-0.002063,-0.81186),(5295,3785,-0.002125,-0.81035),(5295,3795,-0.00219,-0.80884),(5295,3805,-0.002254,-0.80732),(5295,3815,-0.002318,-0.80578),(5295,3825,-0.002384,-0.80424),(5295,3835,-0.002456,-0.8027),(5295,3845,-0.002527,-0.80112),(5295,3855,-0.002598,-0.79946),(5295,3865,-0.002684,-0.79779),(5295,3875,-0.002797,-0.79613),(5295,3885,-0.00291,-0.79428),(5295,3895,-0.003022,-0.79213),(5295,3905,-0.003255,-0.78997),(5295,3915,-0.003666,-0.78782),(5295,3925,-0.004078,-0.78547),(5295,3935,-0.00449,-0.78284),(5295,3945,-0.005743,-0.78022),(5295,3955,-0.008063,-0.7776),(5295,3965,-0.010384,-0.78112),(5295,3975,-0.012704,-0.79185),(5295,3985,-0.01725,-0.80257),(5295,3995,-0.024205,-0.8133),(5295,4005,-0.031159,-0.85149),(5295,4015,-0.038114,-0.91715),(5295,4025,0.097778,-0.98281),(5295,4035,0.24764,-1.0282),(5295,4045,0.39751,-1.0307),(5295,4055,0.50083,-1.0333),(5295,4065,0.58715,-1.036),(5295,4075,0.67348,-1.0394),(5295,4085,0.71327,-1.0429),(5295,4095,0.71567,-1.0463),(5295,4105,0.71806,-1.0488),(5295,4115,0.72083,-1.0514),(5295,4125,0.72422,-1.0539),(5295,4135,0.72761,-1.0555),(5295,4145,0.73125,-1.0569),(5295,4155,0.73585,-1.0583),(5295,4165,0.74046,-1.0591),(5295,4175,0.74509,-1.0595),(5295,4185,0.75068,-1.0598),(5295,4195,0.75628,-1.0598),(5295,4205,0.76188,-1.0593),(5295,4215,0.76808,-1.0587),(5295,4225,0.77441,-1.058),(5295,4235,0.78073,-1.0566),(5295,4245,0.78739,-1.0553),(5295,4255,0.79421,-1.0538),(5295,4265,0.80104,-1.0518),(5295,4275,0.808,-1.0498),(5295,4285,0.8151,-1.0478),(5295,4295,0.82221,-1.0454),(5295,4305,0.82935,-1.0429),(5295,4315,0.83657,-1.0404),(5295,4325,0.84379,-1.0376),(5295,4335,0.85102,-1.0346),(5295,4345,0.85833,-1.0316),(5295,4355,0.86565,-1.0283),(5295,4365,0.87296,-1.0249),(5295,4375,0.88038,-1.0214),(5295,4385,0.88781,-1.0178),(5295,4395,0.89524,-1.0138),(5295,4405,0.90271,-1.0099),(5295,4415,0.91019,-1.0059),(5295,4425,0.91768,-1.0015),(5295,4435,0.92516,-0.99713),(5295,4445,0.93264,-0.99274),(5295,4455,0.94013,-0.98802),(5295,4465,0.94756,-0.98329),(5295,4475,0.95494,-0.97857),(5295,4485,0.96232,-0.97355),(5295,4495,0.96966,-0.96847),(5295,4505,0.9769,-0.96339),(5295,4515,0.98415,-0.95819),(5295,4525,0.99138,-0.95292),(5295,4535,0.99843,-0.94765),(5295,4545,1.0055,-0.94232),(5295,4555,1.0125,-0.9369),(5295,4565,1.0194,-0.93148),(5295,4575,1.0263,-0.92604),(5295,4585,1.0331,-0.92055),(5295,4595,1.0399,-0.91507),(5295,4605,1.0465,-0.90958),(5295,4615,1.0532,-0.90406),(5295,4625,1.0598,-0.89855),(5295,4635,1.0662,-0.89304),(5295,4645,1.0727,-0.88755),(5295,4655,1.0791,-0.88206),(5295,4665,1.0854,-0.87657),(5295,4675,1.0916,-0.87114),(5295,4685,1.0978,-0.86572),(5295,4695,1.1038,-0.8603),(5295,4705,1.1098,-0.85492),(5295,4715,1.1159,-0.84955),(5295,4725,1.1217,-0.84419),(5295,4735,1.1275,-0.83883),(5295,4745,1.1333,-0.8335),(5295,4755,1.139,-0.82817),(5295,4765,1.1446,-0.82287),(5295,4775,1.1502,-0.81768),(5295,4785,1.1556,-0.8125),(5295,4795,1.161,-0.80732),(5295,4805,1.1664,-0.80224),(5295,4815,1.1717,-0.79715),(5295,4825,1.1768,-0.79207),(5295,4835,1.182,-0.78706),(5295,4845,1.1871,-0.78206),(5295,4855,1.1921,-0.77706),(5295,4865,1.1971,-0.77213),(5295,4875,1.2021,-0.76722),(5295,4885,1.2068,-0.76232),(5295,4895,1.2116,-0.75747),(5295,4905,1.2164,-0.7527),(5295,4915,1.221,-0.74792),(5295,4925,1.2256,-0.74317),(5295,4935,1.2302,-0.7385),(5295,4945,1.2347,-0.73383),(5295,4955,1.2391,-0.72918),(5295,4965,1.2435,-0.72466),(5295,4975,1.2479,-0.72014),(5295,4985,1.2521,-0.71562),(5295,4995,1.2564,-0.71123),(5295,5005,1.2606,-0.70684),(5295,5015,1.2647,-0.70246),(5295,5025,1.2688,-0.69817),(5295,5035,1.2729,-0.69391),(5295,5045,1.2769,-0.68966),(5295,5055,1.2808,-0.68548),(5295,5065,1.2848,-0.68136),(5295,5075,1.2887,-0.67724),(5295,5085,1.2926,-0.67321),(5295,5095,1.2965,-0.66929),(5295,5105,1.3003,-0.66537),(5295,5115,1.3041,-0.66149),(5295,5125,1.3079,-0.65771),(5295,5135,1.3117,-0.65394),(5295,5145,1.3155,-0.65018),(5295,5155,1.3192,-0.64656),(5295,5165,1.3229,-0.64293),(5295,5175,1.3266,-0.6393),(5295,5185,1.3303,-0.6358),(5295,5195,1.334,-0.63231),(5295,5205,1.3377,-0.62883),(5295,5215,1.3413,-0.62545),(5295,5225,1.3449,-0.62212),(5295,5235,1.3486,-0.61879),(5295,5245,1.3522,-0.61553),(5295,5255,1.3558,-0.61232),(5295,5265,1.3595,-0.60912),(5295,5275,1.3631,-0.60595),(5295,5285,1.3667,-0.60286),(5295,5295,1.3704,-0.59977),(5295,5305,1.3741,-0.5967),(5295,5315,1.3778,-0.59374),(5295,5325,1.3815,-0.59078),(5295,5335,1.3852,-0.58782),(5295,5345,1.3889,-0.58492),(5295,5355,1.3926,-0.58202),(5295,5365,1.3964,-0.57912),(5295,5375,1.4002,-0.5763),(5295,5385,1.404,-0.57349),(5295,5395,1.4079,-0.57068),(5295,5405,1.4117,-0.56789),(5295,5415,1.4156,-0.56512),(5295,5425,1.4195,-0.56235),(5295,5435,1.4235,-0.55959),(5295,5445,1.4274,-0.55682),(5295,5455,1.4314,-0.55405),(5295,5465,1.4354,-0.55127),(5295,5475,1.4394,-0.54845),(5295,5485,1.4434,-0.54563),(5295,5495,1.4475,-0.5428),(5295,5505,1.4515,-0.53993),(5295,5515,1.4556,-0.53706),(5295,5525,1.4597,-0.53419),(5295,5535,1.4638,-0.53123),(5295,5545,1.4679,-0.52826),(5295,5555,1.472,-0.52529),(5295,5565,1.4762,-0.52225),(5295,5575,1.4803,-0.51918),(5295,5585,1.4845,-0.51611),(5295,5595,1.4886,-0.51297),(5295,5605,1.4928,-0.50977),(5295,5615,1.4969,-0.50657),(5295,5625,1.5011,-0.50334),(5295,5635,1.5053,-0.50007),(5295,5645,1.5094,-0.49679),(5295,5655,1.5135,-0.49349),(5295,5665,1.5177,-0.49006),(5295,5675,1.5218,-0.48663),(5295,5685,1.5259,-0.4832),(5295,5695,1.5301,-0.47961),(5295,5705,1.5342,-0.47602),(5295,5715,1.5382,-0.47243),(5295,5725,1.5423,-0.46871),(5295,5735,1.5464,-0.46497),(5295,5745,1.5504,-0.46123),(5295,5755,1.5544,-0.45739),(5295,5765,1.5584,-0.45349),(5295,5775,1.5624,-0.4496),(5295,5785,1.5664,-0.44561),(5295,5795,1.5703,-0.44153),(5295,5805,1.5742,-0.43746),(5295,5815,1.5781,-0.43334),(5295,5825,1.582,-0.42916),(5295,5835,1.5859,-0.42497),(5295,5845,1.5898,-0.42077),(5295,5855,1.5936,-0.41646),(5295,5865,1.5974,-0.41215),(5295,5875,1.6012,-0.40784),(5295,5885,1.605,-0.40337),(5295,5895,1.6088,-0.3989),(5295,5905,1.6125,-0.39443),(5295,5915,1.6162,-0.38987),(5295,5925,1.6199,-0.38528),(5295,5935,1.6235,-0.38069),(5295,5945,1.6271,-0.37601),(5295,5955,1.6307,-0.37128),(5295,5965,1.6343,-0.36655),(5295,5975,1.6378,-0.36176),(5295,5985,1.6413,-0.35689),(5295,5995,1.6447,-0.35202),(5295,6005,1.6481,-0.34711),(5295,6015,1.6515,-0.34208),(5295,6025,1.6549,-0.33706),(5295,6035,1.6582,-0.33202),(5295,6045,1.6615,-0.32686),(5295,6055,1.6647,-0.3217),(5295,6065,1.6679,-0.31654),(5295,6075,1.6711,-0.31128),(5295,6085,1.6742,-0.30602),(5295,6095,1.6773,-0.30076),(5295,6105,1.6804,-0.29542),(5295,6115,1.6835,-0.29004),(5295,6125,1.6864,-0.28466),(5295,6135,1.6894,-0.27922),(5295,6145,1.6923,-0.27374),(5295,6155,1.6951,-0.26826),(5295,6165,1.6979,-0.26274),(5295,6175,1.7007,-0.25714),(5295,6185,1.7034,-0.25154),(5295,6195,1.706,-0.24592),(5295,6205,1.7087,-0.24022),(5295,6215,1.7112,-0.23452),(5295,6225,1.7137,-0.22881),(5295,6235,1.7162,-0.223),(5295,6245,1.7186,-0.21718),(5295,6255,1.7209,-0.21136),(5295,6265,1.7233,-0.20544),(5295,6275,1.7255,-0.1995),(5295,6285,1.7277,-0.19357),(5295,6295,1.7298,-0.18758),(5295,6305,1.7319,-0.18158),(5295,6315,1.7339,-0.17557),(5295,6325,1.7358,-0.16952),(5295,6335,1.7378,-0.16343),(5295,6345,1.7395,-0.15734),(5295,6355,1.7413,-0.15121),(5295,6365,1.743,-0.145),(5295,6375,1.7446,-0.1388),(5295,6385,1.7461,-0.13258),(5295,6395,1.7477,-0.12631),(5295,6405,1.7491,-0.12003),(5295,6415,1.7504,-0.11375),(5295,6425,1.7517,-0.10743),(5295,6435,1.7529,-0.1011),(5295,6445,1.754,-0.094768),(5295,6455,1.7551,-0.088406),(5295,6465,1.7562,-0.082036),(5295,6475,1.757,-0.075666),(5295,6485,1.7579,-0.069277),(5295,6495,1.7588,-0.062876),(5295,6505,1.7594,-0.056474),(5295,6515,1.7601,-0.050065),(5295,6525,1.7607,-0.043645),(5295,6535,1.7611,-0.037225),(5295,6545,1.7616,-0.030798),(5295,6555,1.762,-0.024345),(5295,6565,1.7622,-0.017893),(5295,6575,1.7624,-0.011442),(5295,6585,1.7626,-0.005007),(5295,6595,1.4993,0.001428),(5295,6605,0.94509,0.007862),(5295,6615,0.3909,0.008616),(5295,6625,0.001323,0.008639),(5295,6635,0.001339,0.008662),(5295,6645,0.001355,0.008687),(5295,6655,0.00137,0.008713),(5295,6665,0.001385,0.008739),(5295,6675,0.001399,0.008764),(5295,6685,0.001413,0.008788),(5295,6695,0.001427,0.008811),(5295,6705,0.00144,0.008834),(5295,6715,0.001453,0.008856),(5295,6725,0.001465,0.008877),(5295,6735,0.001477,0.008898),(5295,6745,0.001489,0.008918),(5295,6755,0.001501,0.008937),(5295,6765,0.001512,0.008956),(5295,6775,0.001523,0.008974),(5295,6785,0.001534,0.008991),(5295,6795,0.001545,0.009008),(5295,6805,0.001556,0.009024),(5295,6815,0.001566,0.00904),(5295,6825,0.001576,0.009055),(5295,6835,0.001586,0.00907),(5295,6845,0.001596,0.009083),(5295,6855,0.001606,0.009097),(5295,6865,0.001615,0.00911),(5295,6875,0.001625,0.009122),(5295,6885,0.001634,0.009135),(5295,6895,0.001643,0.009146),(5295,6905,0.001653,0.009157),(5295,6915,0.001662,0.009168),(5295,6925,0.001671,0.009178),(5295,6935,0.00168,0.009187),(5295,6945,0.001688,0.009197),(5295,6955,0.001697,0.009206),(5295,6965,0.001706,0.009214),(5295,6975,0.001714,0.009222),(5295,6985,0.001723,0.00923),(5305,5,-9e-06,-0.7054),(5305,15,-2.8e-05,-0.70546),(5305,25,-4.6e-05,-0.70552),(5305,35,-6.4e-05,-0.70557),(5305,45,-8.2e-05,-0.70561),(5305,55,-0.0001,-0.70564),(5305,65,-0.000118,-0.70567),(5305,75,-0.000136,-0.7057),(5305,85,-0.000155,-0.70573),(5305,95,-0.000173,-0.70576),(5305,105,-0.000192,-0.70579),(5305,115,-0.000211,-0.70582),(5305,125,-0.00023,-0.70587),(5305,135,-0.000249,-0.70593),(5305,145,-0.000268,-0.70599),(5305,155,-0.000288,-0.70605),(5305,165,-0.000308,-0.70612),(5305,175,-0.000328,-0.7062),(5305,185,-0.000348,-0.70627),(5305,195,-0.000369,-0.70635),(5305,205,-0.00039,-0.70643),(5305,215,-0.000411,-0.70651),(5305,225,-0.000432,-0.7066),(5305,235,-0.000454,-0.70669),(5305,245,-0.000475,-0.70679),(5305,255,-0.000497,-0.70689),(5305,265,-0.000519,-0.70699),(5305,275,-0.000542,-0.7071),(5305,285,-0.000564,-0.70722),(5305,295,-0.000587,-0.70734),(5305,305,-0.00061,-0.70747),(5305,315,-0.000634,-0.7076),(5305,325,-0.000657,-0.70776),(5305,335,-0.000681,-0.70793),(5305,345,-0.000706,-0.70809),(5305,355,-0.000731,-0.70826),(5305,365,-0.000756,-0.70845),(5305,375,-0.000782,-0.70865),(5305,385,-0.000809,-0.70884),(5305,395,-0.000837,-0.70903),(5305,405,-0.000865,-0.70923),(5305,415,-0.000893,-0.70942),(5305,425,-0.000923,-0.70961),(5305,435,-0.000954,-0.7098),(5305,445,-0.000985,-0.71),(5305,455,-0.001015,-0.71021),(5305,465,-0.001049,-0.71041),(5305,475,-0.001083,-0.71062),(5305,485,-0.001118,-0.71084),(5305,495,-0.001152,-0.71106),(5305,505,-0.00119,-0.71128),(5305,515,-0.001228,-0.7115),(5305,525,-0.001266,-0.71174),(5305,535,-0.001304,-0.71197),(5305,545,-0.001347,-0.71221),(5305,555,-0.001389,-0.71245),(5305,565,-0.001432,-0.71273),(5305,575,-0.001474,-0.71301),(5305,585,-0.001521,-0.71328),(5305,595,-0.001568,-0.71357),(5305,605,-0.001615,-0.7139),(5305,615,-0.001662,-0.71424),(5305,625,-0.001713,-0.71457),(5305,635,-0.001764,-0.71491),(5305,645,-0.001815,-0.71526),(5305,655,-0.001867,-0.71561),(5305,665,-0.001922,-0.71595),(5305,675,-0.001978,-0.7163),(5305,685,-0.002033,-0.71662),(5305,695,-0.002089,-0.71694),(5305,705,-0.002149,-0.71727),(5305,715,-0.002208,-0.71759),(5305,725,-0.002268,-0.71793),(5305,735,-0.002329,-0.71827),(5305,745,-0.002392,-0.71861),(5305,755,-0.002456,-0.71896),(5305,765,-0.00252,-0.71935),(5305,775,-0.002585,-0.71974),(5305,785,-0.002653,-0.72013),(5305,795,-0.002721,-0.72053),(5305,805,-0.00279,-0.72097),(5305,815,-0.00286,-0.72141),(5305,825,-0.002935,-0.72185),(5305,835,-0.003009,-0.7223),(5305,845,-0.003084,-0.72277),(5305,855,-0.003161,-0.72324),(5305,865,-0.003243,-0.72371),(5305,875,-0.003326,-0.72418),(5305,885,-0.003408,-0.72467),(5305,895,-0.003494,-0.72515),(5305,905,-0.003586,-0.72563),(5305,915,-0.003678,-0.72612),(5305,925,-0.00377,-0.72662),(5305,935,-0.003867,-0.72712),(5305,945,-0.003972,-0.72761),(5305,955,-0.004076,-0.72811),(5305,965,-0.00418,-0.72861),(5305,975,-0.004292,-0.72911),(5305,985,-0.004413,-0.72961),(5305,995,-0.004534,-0.73011),(5305,1005,-0.004655,-0.73061),(5305,1015,-0.004788,-0.7311),(5305,1025,-0.004932,-0.7316),(5305,1035,-0.005077,-0.73209),(5305,1045,-0.005221,-0.73258),(5305,1055,-0.005383,-0.73307),(5305,1065,-0.005559,-0.73357),(5305,1075,-0.005735,-0.73405),(5305,1085,-0.005911,-0.73452),(5305,1095,-0.006111,-0.73499),(5305,1105,-0.006328,-0.73546),(5305,1115,-0.006544,-0.73593),(5305,1125,-0.006761,-0.7364),(5305,1135,-0.007007,-0.73686),(5305,1145,-0.007269,-0.73733),(5305,1155,-0.007532,-0.73768),(5305,1165,-0.007794,-0.73798),(5305,1175,-0.008087,-0.73827),(5305,1185,-0.008395,-0.73856),(5305,1195,-0.008703,-0.73781),(5305,1205,-0.009011,-0.73658),(5305,1215,-0.009362,-0.73534),(5305,1225,-0.00973,-0.73411),(5305,1235,-0.010097,-0.73062),(5305,1245,-0.010465,-0.72628),(5305,1255,-0.011018,-0.72195),(5305,1265,-0.011634,-0.71761),(5305,1275,-0.012249,-0.73215),(5305,1285,-0.012864,-0.75242),(5305,1295,-0.014072,-0.77268),(5305,1305,-0.01544,-0.79295),(5305,1315,-0.016808,-0.87359),(5305,1325,-0.018176,-0.96867),(5305,1335,-0.010154,-1.0638),(5305,1345,-0.000165,-1.1588),(5305,1355,0.009825,-1.0975),(5305,1365,0.019814,-1.0078),(5305,1375,0.019542,-0.91812),(5305,1385,0.017686,-0.82843),(5305,1395,0.015829,-0.794),(5305,1405,0.013973,-0.76667),(5305,1415,0.013152,-0.73935),(5305,1425,0.012439,-0.71202),(5305,1435,0.011725,-0.71543),(5305,1445,0.011012,-0.72131),(5305,1455,0.010607,-0.72718),(5305,1465,0.01022,-0.73305),(5305,1475,0.009834,-0.73515),(5305,1485,0.009447,-0.73711),(5305,1495,0.009124,-0.73908),(5305,1505,0.008802,-0.74103),(5305,1515,0.00848,-0.74094),(5305,1525,0.008159,-0.74084),(5305,1535,0.007883,-0.74075),(5305,1545,0.007608,-0.74065),(5305,1555,0.007332,-0.74035),(5305,1565,0.007059,-0.74004),(5305,1575,0.006833,-0.73974),(5305,1585,0.006606,-0.73943),(5305,1595,0.006378,-0.73915),(5305,1605,0.006156,-0.73886),(5305,1615,0.005973,-0.73857),(5305,1625,0.005791,-0.73828),(5305,1635,0.005608,-0.73799),(5305,1645,0.00543,-0.7377),(5305,1655,0.005283,-0.7374),(5305,1665,0.005136,-0.73711),(5305,1675,0.004989,-0.7368),(5305,1685,0.004847,-0.7365),(5305,1695,0.004727,-0.73619),(5305,1705,0.004607,-0.73589),(5305,1715,0.004487,-0.73558),(5305,1725,0.004371,-0.73527),(5305,1735,0.00427,-0.73497),(5305,1745,0.004168,-0.73466),(5305,1755,0.004067,-0.73435),(5305,1765,0.00397,-0.73404),(5305,1775,0.003882,-0.73373),(5305,1785,0.003795,-0.73342),(5305,1795,0.003708,-0.73312),(5305,1805,0.003623,-0.73282),(5305,1815,0.003546,-0.73252),(5305,1825,0.003469,-0.73223),(5305,1835,0.003392,-0.73194),(5305,1845,0.003318,-0.73165),(5305,1855,0.003249,-0.73137),(5305,1865,0.00318,-0.73108),(5305,1875,0.003112,-0.73079),(5305,1885,0.003045,-0.73051),(5305,1895,0.002984,-0.73022),(5305,1905,0.002922,-0.72995),(5305,1915,0.00286,-0.72968),(5305,1925,0.002801,-0.72941),(5305,1935,0.002745,-0.72914),(5305,1945,0.00269,-0.72887),(5305,1955,0.002634,-0.72861),(5305,1965,0.002581,-0.72835),(5305,1975,0.002531,-0.72809),(5305,1985,0.00248,-0.72784),(5305,1995,0.00243,-0.72758),(5305,2005,0.002382,-0.72733),(5305,2015,0.002337,-0.72707),(5305,2025,0.002291,-0.72682),(5305,2035,0.002245,-0.72659),(5305,2045,0.002202,-0.72635),(5305,2055,0.002161,-0.72611),(5305,2065,0.002119,-0.72589),(5305,2075,0.002078,-0.72567),(5305,2085,0.002039,-0.72546),(5305,2095,0.002001,-0.72525),(5305,2105,0.001963,-0.72504),(5305,2115,0.001925,-0.72484),(5305,2125,0.001889,-0.72464),(5305,2135,0.001855,-0.72444),(5305,2145,0.00182,-0.72424),(5305,2155,0.001785,-0.72405),(5305,2165,0.001752,-0.72385),(5305,2175,0.001721,-0.72365),(5305,2185,0.001689,-0.72347),(5305,2195,0.001657,-0.7233),(5305,2205,0.001627,-0.72313),(5305,2215,0.001598,-0.72295),(5305,2225,0.001569,-0.72279),(5305,2235,0.00154,-0.72264),(5305,2245,0.001513,-0.72248),(5305,2255,0.001486,-0.72232),(5305,2265,0.001459,-0.72216),(5305,2275,0.001432,-0.72199),(5305,2285,0.001406,-0.72182),(5305,2295,0.00138,-0.72165),(5305,2305,0.001354,-0.72146),(5305,2315,0.001328,-0.72128),(5305,2325,0.001303,-0.7211),(5305,2335,0.001279,-0.72091),(5305,2345,0.001254,-0.72074),(5305,2355,0.00123,-0.72057),(5305,2365,0.001207,-0.7204),(5305,2375,0.001184,-0.72022),(5305,2385,0.001161,-0.72007),(5305,2395,0.001138,-0.71991),(5305,2405,0.001116,-0.71975),(5305,2415,0.001095,-0.7196),(5305,2425,0.001073,-0.71944),(5305,2435,0.001052,-0.71928),(5305,2445,0.001032,-0.71912),(5305,2455,0.001012,-0.71897),(5305,2465,0.000991,-0.7188),(5305,2475,0.000971,-0.71864),(5305,2485,0.000953,-0.71847),(5305,2495,0.000934,-0.71831),(5305,2505,0.000916,-0.71815),(5305,2515,0.000897,-0.718),(5305,2525,0.00088,-0.71785),(5305,2535,0.000864,-0.7177),(5305,2545,0.000847,-0.71755),(5305,2555,0.00083,-0.71741),(5305,2565,0.000815,-0.71727),(5305,2575,0.000799,-0.71713),(5305,2585,0.000784,-0.71696),(5305,2595,0.000768,-0.71679),(5305,2605,0.000753,-0.71662),(5305,2615,0.000738,-0.71645),(5305,2625,0.000723,-0.71626),(5305,2635,0.000709,-0.71608),(5305,2645,0.000695,-0.7159),(5305,2655,0.000681,-0.71572),(5305,2665,0.000667,-0.71557),(5305,2675,0.000653,-0.71542),(5305,2685,0.000639,-0.71526),(5305,2695,0.000626,-0.7151),(5305,2705,0.000613,-0.71493),(5305,2715,0.000599,-0.71476),(5305,2725,0.000585,-0.71459),(5305,2735,0.000571,-0.71441),(5305,2745,0.000557,-0.7142),(5305,2755,0.000543,-0.71399),(5305,2765,0.000528,-0.71378),(5305,2775,0.000513,-0.71357),(5305,2785,0.000499,-0.71337),(5305,2795,0.000484,-0.71317),(5305,2805,0.000468,-0.71296),(5305,2815,0.000453,-0.71276),(5305,2825,0.000437,-0.71257),(5305,2835,0.000421,-0.71238),(5305,2845,0.000404,-0.71218),(5305,2855,0.000387,-0.71198),(5305,2865,0.00037,-0.71175),(5305,2875,0.000352,-0.71152),(5305,2885,0.000333,-0.71128),(5305,2895,0.000313,-0.71105),(5305,2905,0.000294,-0.7108),(5305,2915,0.000274,-0.71055),(5305,2925,0.000254,-0.71031),(5305,2935,0.000233,-0.71006),(5305,2945,0.000213,-0.70981),(5305,2955,0.000192,-0.70956),(5305,2965,0.000171,-0.7093),(5305,2975,0.00015,-0.70904),(5305,2985,0.000129,-0.70876),(5305,2995,0.000108,-0.70847),(5305,3005,8.7e-05,-0.70819),(5305,3015,6.5e-05,-0.70791),(5305,3025,4.4e-05,-0.70763),(5305,3035,2.3e-05,-0.70734),(5305,3045,3e-06,-0.70706),(5305,3055,-1.8e-05,-0.70677),(5305,3065,-3.9e-05,-0.70648),(5305,3075,-6e-05,-0.70618),(5305,3085,-8e-05,-0.70589),(5305,3095,-0.0001,-0.70557),(5305,3105,-0.000121,-0.70524),(5305,3115,-0.000141,-0.70491),(5305,3125,-0.000161,-0.70458),(5305,3135,-0.000182,-0.70425),(5305,3145,-0.000202,-0.70392),(5305,3155,-0.000223,-0.70358),(5305,3165,-0.000243,-0.70325),(5305,3175,-0.000264,-0.70291),(5305,3185,-0.000285,-0.70256),(5305,3195,-0.000307,-0.70221),(5305,3205,-0.000329,-0.70186),(5305,3215,-0.000351,-0.70147),(5305,3225,-0.000373,-0.70107),(5305,3235,-0.000397,-0.70067),(5305,3245,-0.000422,-0.70028),(5305,3255,-0.000446,-0.69985),(5305,3265,-0.000471,-0.69941),(5305,3275,-0.000497,-0.69897),(5305,3285,-0.000523,-0.69853),(5305,3295,-0.00055,-0.69808),(5305,3305,-0.000576,-0.69763),(5305,3315,-0.000605,-0.69718),(5305,3325,-0.000633,-0.69672),(5305,3335,-0.000662,-0.69626),(5305,3345,-0.00069,-0.69579),(5305,3355,-0.000721,-0.69532),(5305,3365,-0.000753,-0.69485),(5305,3375,-0.000784,-0.69435),(5305,3385,-0.000815,-0.69384),(5305,3395,-0.000849,-0.69333),(5305,3405,-0.000884,-0.69282),(5305,3415,-0.000918,-0.69227),(5305,3425,-0.000952,-0.69171),(5305,3435,-0.000989,-0.69116),(5305,3445,-0.001026,-0.69061),(5305,3455,-0.001063,-0.69004),(5305,3465,-0.001101,-0.68948),(5305,3475,-0.001141,-0.68891),(5305,3485,-0.001181,-0.68834),(5305,3495,-0.001221,-0.68773),(5305,3505,-0.001261,-0.68712),(5305,3515,-0.001305,-0.6865),(5305,3525,-0.001349,-0.68589),(5305,3535,-0.001393,-0.68523),(5305,3545,-0.001438,-0.68458),(5305,3555,-0.001486,-0.68392),(5305,3565,-0.001533,-0.68326),(5305,3575,-0.001582,-0.68258),(5305,3585,-0.00163,-0.6819),(5305,3595,-0.001682,-0.68121),(5305,3605,-0.001735,-0.68052),(5305,3615,-0.001787,-0.67979),(5305,3625,-0.00184,-0.67906),(5305,3635,-0.001897,-0.67833),(5305,3645,-0.001954,-0.6776),(5305,3655,-0.002011,-0.67684),(5305,3665,-0.002069,-0.67607),(5305,3675,-0.00213,-0.67531),(5305,3685,-0.002192,-0.67454),(5305,3695,-0.002253,-0.67375),(5305,3705,-0.002316,-0.67297),(5305,3715,-0.002382,-0.67218),(5305,3725,-0.002448,-0.67138),(5305,3735,-0.002514,-0.67055),(5305,3745,-0.002582,-0.66972),(5305,3755,-0.002652,-0.6689),(5305,3765,-0.002723,-0.66806),(5305,3775,-0.002794,-0.6672),(5305,3785,-0.002867,-0.66634),(5305,3795,-0.002942,-0.66548),(5305,3805,-0.003018,-0.66462),(5305,3815,-0.003094,-0.66377),(5305,3825,-0.003171,-0.66292),(5305,3835,-0.003252,-0.66207),(5305,3845,-0.003333,-0.66117),(5305,3855,-0.003414,-0.66019),(5305,3865,-0.003497,-0.65921),(5305,3875,-0.003584,-0.65823),(5305,3885,-0.003672,-0.65688),(5305,3895,-0.003759,-0.65493),(5305,3905,-0.003855,-0.65297),(5305,3915,-0.003962,-0.65102),(5305,3925,-0.004069,-0.64815),(5305,3935,-0.004176,-0.64403),(5305,3945,-0.004335,-0.6399),(5305,3955,-0.004561,-0.63578),(5305,3965,-0.004786,-0.64039),(5305,3975,-0.005011,-0.65523),(5305,3985,-0.005428,-0.67007),(5305,3995,-0.006052,-0.68491),(5305,4005,-0.006677,-0.74473),(5305,4015,-0.007301,-0.84954),(5305,4025,0.12065,-0.95436),(5305,4035,0.26117,-1.0263),(5305,4045,0.40169,-1.029),(5305,4055,0.50259,-1.0317),(5305,4065,0.58903,-1.0345),(5305,4075,0.67546,-1.038),(5305,4085,0.71514,-1.0415),(5305,4095,0.71723,-1.0449),(5305,4105,0.71933,-1.0476),(5305,4115,0.72179,-1.0501),(5305,4125,0.72482,-1.0527),(5305,4135,0.72786,-1.0545),(5305,4145,0.73114,-1.056),(5305,4155,0.73539,-1.0576),(5305,4165,0.73963,-1.0585),(5305,4175,0.74389,-1.0591),(5305,4185,0.74916,-1.0597),(5305,4195,0.75444,-1.0599),(5305,4205,0.75971,-1.0595),(5305,4215,0.76565,-1.0592),(5305,4225,0.77171,-1.0587),(5305,4235,0.77777,-1.0575),(5305,4245,0.78422,-1.0563),(5305,4255,0.79085,-1.0551),(5305,4265,0.79748,-1.0532),(5305,4275,0.80426,-1.0513),(5305,4285,0.81121,-1.0495),(5305,4295,0.81815,-1.0472),(5305,4305,0.82514,-1.0448),(5305,4315,0.83221,-1.0425),(5305,4325,0.83928,-1.0398),(5305,4335,0.84635,-1.0369),(5305,4345,0.8535,-1.0341),(5305,4355,0.86064,-1.031),(5305,4365,0.86779,-1.0277),(5305,4375,0.87503,-1.0244),(5305,4385,0.88228,-1.0209),(5305,4395,0.88953,-1.0172),(5305,4405,0.89684,-1.0135),(5305,4415,0.90417,-1.0097),(5305,4425,0.9115,-1.0055),(5305,4435,0.91884,-1.0014),(5305,4445,0.92619,-0.9972),(5305,4455,0.93355,-0.99272),(5305,4465,0.94087,-0.98823),(5305,4475,0.94815,-0.98374),(5305,4485,0.95543,-0.97895),(5305,4495,0.96269,-0.9741),(5305,4505,0.96986,-0.96924),(5305,4515,0.97704,-0.96425),(5305,4525,0.9842,-0.95919),(5305,4535,0.99121,-0.95413),(5305,4545,0.99822,-0.94898),(5305,4555,1.0052,-0.94373),(5305,4565,1.0121,-0.93849),(5305,4575,1.0189,-0.93321),(5305,4585,1.0258,-0.92787),(5305,4595,1.0325,-0.92252),(5305,4605,1.0391,-0.91718),(5305,4615,1.0458,-0.91179),(5305,4625,1.0523,-0.9064),(5305,4635,1.0588,-0.901),(5305,4645,1.0652,-0.89562),(5305,4655,1.0716,-0.89023),(5305,4665,1.0779,-0.88484),(5305,4675,1.0841,-0.87949),(5305,4685,1.0903,-0.87416),(5305,4695,1.0964,-0.86883),(5305,4705,1.1024,-0.86351),(5305,4715,1.1084,-0.8582),(5305,4725,1.1143,-0.85289),(5305,4735,1.1201,-0.84759),(5305,4745,1.1259,-0.8423),(5305,4755,1.1316,-0.83701),(5305,4765,1.1372,-0.83175),(5305,4775,1.1429,-0.8266),(5305,4785,1.1483,-0.82144),(5305,4795,1.1538,-0.81629),(5305,4805,1.1592,-0.81122),(5305,4815,1.1645,-0.80615),(5305,4825,1.1697,-0.80108),(5305,4835,1.1749,-0.79607),(5305,4845,1.18,-0.79106),(5305,4855,1.185,-0.78606),(5305,4865,1.1901,-0.78112),(5305,4875,1.1951,-0.7762),(5305,4885,1.1999,-0.77128),(5305,4895,1.2047,-0.76642),(5305,4905,1.2095,-0.76162),(5305,4915,1.2142,-0.75682),(5305,4925,1.2188,-0.75205),(5305,4935,1.2234,-0.74734),(5305,4945,1.2279,-0.74264),(5305,4955,1.2324,-0.73795),(5305,4965,1.2368,-0.73339),(5305,4975,1.2412,-0.72883),(5305,4985,1.2455,-0.72427),(5305,4995,1.2498,-0.71984),(5305,5005,1.2541,-0.71541),(5305,5015,1.2582,-0.71098),(5305,5025,1.2623,-0.70664),(5305,5035,1.2664,-0.70232),(5305,5045,1.2704,-0.698),(5305,5055,1.2745,-0.69377),(5305,5065,1.2785,-0.68958),(5305,5075,1.2824,-0.68539),(5305,5085,1.2863,-0.68129),(5305,5095,1.2902,-0.6773),(5305,5105,1.2941,-0.67331),(5305,5115,1.2979,-0.66935),(5305,5125,1.3018,-0.6655),(5305,5135,1.3056,-0.66164),(5305,5145,1.3094,-0.6578),(5305,5155,1.3132,-0.65409),(5305,5165,1.317,-0.65037),(5305,5175,1.3207,-0.64666),(5305,5185,1.3245,-0.64307),(5305,5195,1.3282,-0.63949),(5305,5205,1.3319,-0.63591),(5305,5215,1.3356,-0.63244),(5305,5225,1.3393,-0.62902),(5305,5235,1.343,-0.62559),(5305,5245,1.3466,-0.62222),(5305,5255,1.3503,-0.61891),(5305,5265,1.354,-0.6156),(5305,5275,1.3577,-0.61232),(5305,5285,1.3613,-0.60912),(5305,5295,1.365,-0.60591),(5305,5305,1.3687,-0.60273),(5305,5315,1.3724,-0.59965),(5305,5325,1.3762,-0.59658),(5305,5335,1.3799,-0.5935),(5305,5345,1.3836,-0.59047),(5305,5355,1.3874,-0.58745),(5305,5365,1.3912,-0.58442),(5305,5375,1.395,-0.58146),(5305,5385,1.3988,-0.57852),(5305,5395,1.4026,-0.57557),(5305,5405,1.4065,-0.57266),(5305,5415,1.4103,-0.56975),(5305,5425,1.4143,-0.56684),(5305,5435,1.4182,-0.56394),(5305,5445,1.4221,-0.56103),(5305,5455,1.4261,-0.55812),(5305,5465,1.4301,-0.5552),(5305,5475,1.434,-0.55225),(5305,5485,1.4381,-0.54929),(5305,5495,1.4421,-0.54633),(5305,5505,1.4461,-0.54332),(5305,5515,1.4502,-0.54032),(5305,5525,1.4542,-0.53731),(5305,5535,1.4583,-0.53422),(5305,5545,1.4624,-0.53113),(5305,5555,1.4664,-0.52803),(5305,5565,1.4705,-0.52486),(5305,5575,1.4746,-0.52166),(5305,5585,1.4787,-0.51847),(5305,5595,1.4828,-0.5152),(5305,5605,1.487,-0.51188),(5305,5615,1.4911,-0.50857),(5305,5625,1.4952,-0.50522),(5305,5635,1.4993,-0.50185),(5305,5645,1.5034,-0.49847),(5305,5655,1.5075,-0.49506),(5305,5665,1.5116,-0.49153),(5305,5675,1.5156,-0.48801),(5305,5685,1.5197,-0.48447),(5305,5695,1.5238,-0.4808),(5305,5705,1.5278,-0.47712),(5305,5715,1.5318,-0.47345),(5305,5725,1.5359,-0.46965),(5305,5735,1.5399,-0.46584),(5305,5745,1.5438,-0.46203),(5305,5755,1.5478,-0.45811),(5305,5765,1.5517,-0.45415),(5305,5775,1.5556,-0.45018),(5305,5785,1.5595,-0.44613),(5305,5795,1.5634,-0.44199),(5305,5805,1.5673,-0.43785),(5305,5815,1.5711,-0.43367),(5305,5825,1.575,-0.42942),(5305,5835,1.5788,-0.42518),(5305,5845,1.5826,-0.42091),(5305,5855,1.5864,-0.41655),(5305,5865,1.5901,-0.41219),(5305,5875,1.5939,-0.40783),(5305,5885,1.5976,-0.40332),(5305,5895,1.6013,-0.39881),(5305,5905,1.605,-0.3943),(5305,5915,1.6086,-0.3897),(5305,5925,1.6123,-0.38508),(5305,5935,1.6158,-0.38045),(5305,5945,1.6194,-0.37575),(5305,5955,1.623,-0.37099),(5305,5965,1.6264,-0.36624),(5305,5975,1.6299,-0.36142),(5305,5985,1.6334,-0.35653),(5305,5995,1.6367,-0.35164),(5305,6005,1.6401,-0.34671),(5305,6015,1.6434,-0.34166),(5305,6025,1.6467,-0.33662),(5305,6035,1.65,-0.33156),(5305,6045,1.6532,-0.32638),(5305,6055,1.6564,-0.3212),(5305,6065,1.6595,-0.31602),(5305,6075,1.6627,-0.31075),(5305,6085,1.6658,-0.30547),(5305,6095,1.6688,-0.3002),(5305,6105,1.6718,-0.29484),(5305,6115,1.6748,-0.28945),(5305,6125,1.6778,-0.28406),(5305,6135,1.6807,-0.27862),(5305,6145,1.6836,-0.27313),(5305,6155,1.6863,-0.26765),(5305,6165,1.6891,-0.26213),(5305,6175,1.6919,-0.25653),(5305,6185,1.6945,-0.25093),(5305,6195,1.6971,-0.24531),(5305,6205,1.6997,-0.23961),(5305,6215,1.7022,-0.23391),(5305,6225,1.7047,-0.2282),(5305,6235,1.7071,-0.22239),(5305,6245,1.7095,-0.21658),(5305,6255,1.7118,-0.21077),(5305,6265,1.7141,-0.20486),(5305,6275,1.7163,-0.19893),(5305,6285,1.7184,-0.193),(5305,6295,1.7205,-0.18703),(5305,6305,1.7226,-0.18103),(5305,6315,1.7245,-0.17503),(5305,6325,1.7264,-0.16899),(5305,6335,1.7283,-0.16291),(5305,6345,1.7301,-0.15683),(5305,6355,1.7318,-0.15072),(5305,6365,1.7335,-0.14453),(5305,6375,1.7351,-0.13834),(5305,6385,1.7366,-0.13214),(5305,6395,1.7381,-0.12588),(5305,6405,1.7395,-0.11962),(5305,6415,1.7408,-0.11336),(5305,6425,1.7421,-0.10705),(5305,6435,1.7433,-0.10074),(5305,6445,1.7444,-0.094435),(5305,6455,1.7454,-0.088092),(5305,6465,1.7465,-0.081738),(5305,6475,1.7473,-0.075385),(5305,6485,1.7482,-0.069014),(5305,6495,1.749,-0.062631),(5305,6505,1.7496,-0.056248),(5305,6515,1.7503,-0.049857),(5305,6525,1.7509,-0.043456),(5305,6535,1.7513,-0.037055),(5305,6545,1.7517,-0.030646),(5305,6555,1.7521,-0.024214),(5305,6565,1.7524,-0.017782),(5305,6575,1.7525,-0.011351),(5305,6585,1.7527,-0.004938),(5305,6595,1.4909,0.001475),(5305,6605,0.9398,0.007888),(5305,6615,0.3887,0.008637),(5305,6625,0.001292,0.008658),(5305,6635,0.001308,0.008679),(5305,6645,0.001325,0.008703),(5305,6655,0.001342,0.008729),(5305,6665,0.001357,0.008755),(5305,6675,0.001372,0.008779),(5305,6685,0.001387,0.008802),(5305,6695,0.001401,0.008826),(5305,6705,0.001414,0.008848),(5305,6715,0.001428,0.008869),(5305,6725,0.001441,0.00889),(5305,6735,0.001454,0.008911),(5305,6745,0.001467,0.00893),(5305,6755,0.001479,0.008949),(5305,6765,0.001491,0.008968),(5305,6775,0.001503,0.008986),(5305,6785,0.001514,0.009003),(5305,6795,0.001525,0.00902),(5305,6805,0.001537,0.009035),(5305,6815,0.001548,0.009051),(5305,6825,0.001558,0.009066),(5305,6835,0.001569,0.00908),(5305,6845,0.001579,0.009094),(5305,6855,0.001589,0.009107),(5305,6865,0.0016,0.00912),(5305,6875,0.00161,0.009132),(5305,6885,0.001619,0.009144),(5305,6895,0.001629,0.009156),(5305,6905,0.001639,0.009166),(5305,6915,0.001648,0.009177),(5305,6925,0.001658,0.009187),(5305,6935,0.001667,0.009197),(5305,6945,0.001676,0.009206),(5305,6955,0.001685,0.009215),(5305,6965,0.001694,0.009223),(5305,6975,0.001703,0.009231),(5305,6985,0.001712,0.009239),(5315,5,-8e-06,-0.53394),(5315,15,-2.3e-05,-0.53399),(5315,25,-3.8e-05,-0.53404),(5315,35,-5.4e-05,-0.53409),(5315,45,-7e-05,-0.53413),(5315,55,-8.6e-05,-0.53416),(5315,65,-0.000104,-0.53419),(5315,75,-0.000123,-0.53422),(5315,85,-0.000143,-0.53426),(5315,95,-0.000163,-0.5343),(5315,105,-0.000182,-0.53434),(5315,115,-0.000201,-0.53439),(5315,125,-0.00022,-0.53445),(5315,135,-0.000238,-0.53453),(5315,145,-0.000253,-0.53461),(5315,155,-0.000266,-0.53469),(5315,165,-0.000279,-0.53479),(5315,175,-0.000291,-0.53489),(5315,185,-0.000306,-0.535),(5315,195,-0.000322,-0.5351),(5315,205,-0.000338,-0.53521),(5315,215,-0.000353,-0.53533),(5315,225,-0.000375,-0.53544),(5315,235,-0.000399,-0.53556),(5315,245,-0.000423,-0.53568),(5315,255,-0.000447,-0.53581),(5315,265,-0.000474,-0.53594),(5315,275,-0.000501,-0.53607),(5315,285,-0.000529,-0.53622),(5315,295,-0.000557,-0.53637),(5315,305,-0.000583,-0.53652),(5315,315,-0.000609,-0.53667),(5315,325,-0.000634,-0.53686),(5315,335,-0.00066,-0.53706),(5315,345,-0.000682,-0.53726),(5315,355,-0.000703,-0.53747),(5315,365,-0.000724,-0.5377),(5315,375,-0.000745,-0.53794),(5315,385,-0.000768,-0.53818),(5315,395,-0.000791,-0.53842),(5315,405,-0.000815,-0.53868),(5315,415,-0.000838,-0.53893),(5315,425,-0.000866,-0.53918),(5315,435,-0.000895,-0.53944),(5315,445,-0.000924,-0.53971),(5315,455,-0.000953,-0.53998),(5315,465,-0.000986,-0.54026),(5315,475,-0.001019,-0.54053),(5315,485,-0.001052,-0.54083),(5315,495,-0.001085,-0.54114),(5315,505,-0.001125,-0.54144),(5315,515,-0.001164,-0.54174),(5315,525,-0.001204,-0.54207),(5315,535,-0.001244,-0.54239),(5315,545,-0.001289,-0.54272),(5315,555,-0.001334,-0.54304),(5315,565,-0.00138,-0.54341),(5315,575,-0.001425,-0.54378),(5315,585,-0.001472,-0.54415),(5315,595,-0.001519,-0.54453),(5315,605,-0.001566,-0.54496),(5315,615,-0.001614,-0.54539),(5315,625,-0.001663,-0.54582),(5315,635,-0.001712,-0.54625),(5315,645,-0.001762,-0.54672),(5315,655,-0.001812,-0.54718),(5315,665,-0.001867,-0.54765),(5315,675,-0.001922,-0.54811),(5315,685,-0.001977,-0.54858),(5315,695,-0.002032,-0.54906),(5315,705,-0.002091,-0.54953),(5315,715,-0.00215,-0.55001),(5315,725,-0.002209,-0.55052),(5315,735,-0.002268,-0.55103),(5315,745,-0.002328,-0.55154),(5315,755,-0.002389,-0.55206),(5315,765,-0.00245,-0.55263),(5315,775,-0.002511,-0.5532),(5315,785,-0.002576,-0.55377),(5315,795,-0.002642,-0.55435),(5315,805,-0.002707,-0.55498),(5315,815,-0.002774,-0.5556),(5315,825,-0.002845,-0.55622),(5315,835,-0.002917,-0.55686),(5315,845,-0.002989,-0.55753),(5315,855,-0.003063,-0.5582),(5315,865,-0.003143,-0.55887),(5315,875,-0.003223,-0.55955),(5315,885,-0.003303,-0.56025),(5315,895,-0.003387,-0.56095),(5315,905,-0.003478,-0.56165),(5315,915,-0.003568,-0.56237),(5315,925,-0.003659,-0.5631),(5315,935,-0.003754,-0.56383),(5315,945,-0.003856,-0.56455),(5315,955,-0.003957,-0.5653),(5315,965,-0.004059,-0.56606),(5315,975,-0.004166,-0.56681),(5315,985,-0.00428,-0.56757),(5315,995,-0.004393,-0.56834),(5315,1005,-0.004507,-0.56913),(5315,1015,-0.004631,-0.56991),(5315,1025,-0.004766,-0.57069),(5315,1035,-0.004901,-0.57148),(5315,1045,-0.005036,-0.57227),(5315,1055,-0.005187,-0.57306),(5315,1065,-0.005351,-0.57385),(5315,1075,-0.005515,-0.57465),(5315,1085,-0.005678,-0.57545),(5315,1095,-0.005856,-0.57626),(5315,1105,-0.006043,-0.57706),(5315,1115,-0.00623,-0.57789),(5315,1125,-0.006417,-0.57875),(5315,1135,-0.006672,-0.5796),(5315,1145,-0.006969,-0.58046),(5315,1155,-0.007265,-0.5812),(5315,1165,-0.007561,-0.58187),(5315,1175,-0.008318,-0.58255),(5315,1185,-0.009303,-0.58323),(5315,1195,-0.010288,-0.5824),(5315,1205,-0.011273,-0.5809),(5315,1215,-0.013019,-0.5794),(5315,1225,-0.015078,-0.5779),(5315,1235,-0.017137,-0.57265),(5315,1245,-0.019197,-0.56601),(5315,1255,-0.013034,-0.55937),(5315,1265,-0.004094,-0.55273),(5315,1275,0.004845,-0.57048),(5315,1285,0.013785,-0.59562),(5315,1295,0.040236,-0.62075),(5315,1305,0.071422,-0.64589),(5315,1315,0.10261,-0.75535),(5315,1325,0.13379,-0.88497),(5315,1335,0.083235,-1.0146),(5315,1345,0.015546,-1.1442),(5315,1355,-0.052144,-1.06),(5315,1365,-0.11983,-0.93699),(5315,1375,-0.10648,-0.81398),(5315,1385,-0.080619,-0.69097),(5315,1395,-0.054759,-0.64623),(5315,1405,-0.028899,-0.61154),(5315,1415,-0.015179,-0.57685),(5315,1425,-0.00272,-0.54216),(5315,1435,0.00974,-0.54774),(5315,1445,0.022199,-0.55655),(5315,1455,0.020503,-0.56536),(5315,1465,0.017991,-0.57417),(5315,1475,0.01548,-0.57676),(5315,1485,0.012968,-0.57914),(5315,1495,0.011704,-0.58151),(5315,1505,0.010459,-0.58387),(5315,1515,0.009214,-0.58331),(5315,1525,0.007992,-0.58275),(5315,1535,0.007653,-0.58219),(5315,1545,0.007315,-0.58162),(5315,1555,0.006977,-0.58084),(5315,1565,0.006648,-0.58006),(5315,1575,0.006455,-0.57929),(5315,1585,0.006262,-0.57852),(5315,1595,0.006069,-0.57784),(5315,1605,0.005878,-0.57717),(5315,1615,0.005712,-0.57649),(5315,1625,0.005545,-0.57581),(5315,1635,0.005378,-0.57517),(5315,1645,0.005215,-0.57454),(5315,1655,0.005077,-0.5739),(5315,1665,0.004939,-0.57326),(5315,1675,0.0048,-0.57264),(5315,1685,0.004666,-0.57201),(5315,1695,0.004552,-0.57139),(5315,1705,0.004438,-0.57077),(5315,1715,0.004323,-0.57016),(5315,1725,0.004213,-0.56956),(5315,1735,0.004114,-0.56895),(5315,1745,0.004016,-0.56835),(5315,1755,0.003918,-0.56776),(5315,1765,0.003823,-0.56717),(5315,1775,0.003737,-0.56659),(5315,1785,0.003651,-0.56601),(5315,1795,0.003565,-0.56544),(5315,1805,0.003483,-0.56488),(5315,1815,0.00341,-0.56432),(5315,1825,0.003337,-0.56377),(5315,1835,0.003263,-0.56324),(5315,1845,0.003193,-0.56271),(5315,1855,0.003128,-0.56218),(5315,1865,0.003063,-0.56165),(5315,1875,0.002999,-0.56115),(5315,1885,0.002936,-0.56064),(5315,1895,0.002877,-0.56013),(5315,1905,0.002818,-0.55963),(5315,1915,0.002759,-0.55916),(5315,1925,0.002703,-0.55868),(5315,1935,0.00265,-0.5582),(5315,1945,0.002598,-0.55774),(5315,1955,0.002545,-0.55729),(5315,1965,0.002495,-0.55684),(5315,1975,0.002449,-0.5564),(5315,1985,0.002402,-0.55596),(5315,1995,0.002355,-0.55554),(5315,2005,0.002311,-0.55512),(5315,2015,0.002269,-0.55469),(5315,2025,0.002226,-0.55428),(5315,2035,0.002184,-0.55389),(5315,2045,0.002144,-0.5535),(5315,2055,0.002107,-0.55311),(5315,2065,0.00207,-0.55273),(5315,2075,0.002032,-0.55238),(5315,2085,0.001997,-0.55202),(5315,2095,0.001964,-0.55166),(5315,2105,0.001931,-0.55132),(5315,2115,0.001898,-0.55099),(5315,2125,0.001867,-0.55066),(5315,2135,0.001837,-0.55033),(5315,2145,0.001807,-0.55001),(5315,2155,0.001777,-0.5497),(5315,2165,0.00175,-0.54939),(5315,2175,0.001724,-0.54908),(5315,2185,0.001698,-0.54879),(5315,2195,0.001672,-0.54851),(5315,2205,0.001647,-0.54823),(5315,2215,0.001622,-0.54795),(5315,2225,0.001598,-0.54769),(5315,2235,0.001574,-0.54743),(5315,2245,0.001549,-0.54717),(5315,2255,0.001524,-0.54692),(5315,2265,0.001499,-0.54666),(5315,2275,0.001474,-0.54641),(5315,2285,0.001449,-0.54616),(5315,2295,0.001425,-0.5459),(5315,2305,0.0014,-0.54566),(5315,2315,0.001376,-0.54541),(5315,2325,0.001352,-0.54517),(5315,2335,0.001329,-0.54492),(5315,2345,0.001306,-0.54469),(5315,2355,0.001283,-0.54447),(5315,2365,0.001261,-0.54424),(5315,2375,0.00124,-0.54401),(5315,2385,0.00122,-0.54381),(5315,2395,0.001199,-0.54361),(5315,2405,0.001181,-0.54341),(5315,2415,0.001164,-0.5432),(5315,2425,0.001147,-0.54302),(5315,2435,0.00113,-0.54283),(5315,2445,0.001114,-0.54265),(5315,2455,0.001098,-0.54246),(5315,2465,0.001082,-0.54228),(5315,2475,0.001066,-0.5421),(5315,2485,0.00105,-0.54192),(5315,2495,0.001034,-0.54174),(5315,2505,0.001018,-0.54158),(5315,2515,0.001002,-0.54142),(5315,2525,0.000987,-0.54125),(5315,2535,0.000972,-0.54109),(5315,2545,0.000957,-0.54095),(5315,2555,0.000942,-0.5408),(5315,2565,0.000928,-0.54065),(5315,2575,0.000914,-0.54051),(5315,2585,0.0009,-0.54035),(5315,2595,0.000886,-0.5402),(5315,2605,0.000871,-0.54004),(5315,2615,0.000857,-0.53989),(5315,2625,0.000843,-0.53974),(5315,2635,0.000829,-0.53959),(5315,2645,0.000816,-0.53944),(5315,2655,0.000802,-0.53929),(5315,2665,0.000789,-0.53916),(5315,2675,0.000776,-0.53904),(5315,2685,0.000763,-0.53891),(5315,2695,0.00075,-0.53879),(5315,2705,0.000737,-0.53866),(5315,2715,0.000724,-0.53853),(5315,2725,0.00071,-0.5384),(5315,2735,0.000695,-0.53827),(5315,2745,0.000681,-0.53813),(5315,2755,0.000666,-0.53798),(5315,2765,0.000651,-0.53784),(5315,2775,0.000637,-0.5377),(5315,2785,0.000622,-0.53757),(5315,2795,0.000608,-0.53744),(5315,2805,0.000594,-0.53731),(5315,2815,0.00058,-0.53719),(5315,2825,0.000565,-0.53707),(5315,2835,0.00055,-0.53695),(5315,2845,0.000533,-0.53684),(5315,2855,0.000516,-0.53672),(5315,2865,0.000498,-0.53659),(5315,2875,0.00048,-0.53646),(5315,2885,0.000462,-0.53633),(5315,2895,0.000444,-0.5362),(5315,2905,0.000426,-0.53608),(5315,2915,0.000408,-0.53596),(5315,2925,0.000391,-0.53583),(5315,2935,0.000374,-0.53571),(5315,2945,0.000357,-0.53559),(5315,2955,0.000339,-0.53548),(5315,2965,0.000318,-0.53536),(5315,2975,0.000298,-0.53523),(5315,2985,0.000278,-0.5351),(5315,2995,0.000258,-0.53497),(5315,3005,0.000238,-0.53484),(5315,3015,0.000218,-0.53472),(5315,3025,0.000198,-0.53461),(5315,3035,0.000177,-0.53449),(5315,3045,0.000156,-0.53438),(5315,3055,0.000135,-0.53427),(5315,3065,0.000115,-0.53415),(5315,3075,9.1e-05,-0.53403),(5315,3085,6.5e-05,-0.53392),(5315,3095,3.9e-05,-0.53379),(5315,3105,1.3e-05,-0.53366),(5315,3115,-1.2e-05,-0.53353),(5315,3125,-3.5e-05,-0.5334),(5315,3135,-5.8e-05,-0.53329),(5315,3145,-8.1e-05,-0.53318),(5315,3155,-0.000102,-0.53307),(5315,3165,-0.000124,-0.53296),(5315,3175,-0.000145,-0.53284),(5315,3185,-0.000167,-0.53273),(5315,3195,-0.000189,-0.53261),(5315,3205,-0.000212,-0.53249),(5315,3215,-0.000236,-0.53236),(5315,3225,-0.000259,-0.53223),(5315,3235,-0.000281,-0.53209),(5315,3245,-0.000304,-0.53196),(5315,3255,-0.000326,-0.53182),(5315,3265,-0.000348,-0.53168),(5315,3275,-0.000375,-0.53154),(5315,3285,-0.000402,-0.5314),(5315,3295,-0.00043,-0.53125),(5315,3305,-0.000458,-0.5311),(5315,3315,-0.000487,-0.53095),(5315,3325,-0.000518,-0.53079),(5315,3335,-0.000548,-0.53065),(5315,3345,-0.000578,-0.5305),(5315,3355,-0.000609,-0.53036),(5315,3365,-0.000639,-0.53021),(5315,3375,-0.000669,-0.53006),(5315,3385,-0.0007,-0.52991),(5315,3395,-0.000735,-0.52976),(5315,3405,-0.00077,-0.5296),(5315,3415,-0.000805,-0.52943),(5315,3425,-0.000841,-0.52926),(5315,3435,-0.000878,-0.52909),(5315,3445,-0.000915,-0.52892),(5315,3455,-0.000953,-0.52876),(5315,3465,-0.00099,-0.52859),(5315,3475,-0.001033,-0.52843),(5315,3485,-0.001076,-0.52827),(5315,3495,-0.001119,-0.52809),(5315,3505,-0.001162,-0.5279),(5315,3515,-0.00121,-0.52772),(5315,3525,-0.001257,-0.52754),(5315,3535,-0.001305,-0.52735),(5315,3545,-0.001352,-0.52716),(5315,3555,-0.0014,-0.52697),(5315,3565,-0.001447,-0.52678),(5315,3575,-0.001494,-0.52659),(5315,3585,-0.001541,-0.52641),(5315,3595,-0.001589,-0.52622),(5315,3605,-0.001638,-0.52603),(5315,3615,-0.001686,-0.52583),(5315,3625,-0.001735,-0.52563),(5315,3635,-0.001788,-0.52543),(5315,3645,-0.001842,-0.52523),(5315,3655,-0.001896,-0.52503),(5315,3665,-0.00195,-0.52482),(5315,3675,-0.002006,-0.52462),(5315,3685,-0.002063,-0.52442),(5315,3695,-0.002119,-0.52421),(5315,3705,-0.002177,-0.52401),(5315,3715,-0.002238,-0.5238),(5315,3725,-0.002299,-0.5236),(5315,3735,-0.00236,-0.52339),(5315,3745,-0.002424,-0.52318),(5315,3755,-0.002496,-0.52296),(5315,3765,-0.002568,-0.52275),(5315,3775,-0.00264,-0.52254),(5315,3785,-0.00271,-0.52233),(5315,3795,-0.002775,-0.52212),(5315,3805,-0.002841,-0.52192),(5315,3815,-0.002906,-0.52176),(5315,3825,-0.002988,-0.52159),(5315,3835,-0.003105,-0.52143),(5315,3845,-0.003221,-0.52122),(5315,3855,-0.003338,-0.52093),(5315,3865,-0.003618,-0.52063),(5315,3875,-0.004187,-0.52033),(5315,3885,-0.004755,-0.51948),(5315,3895,-0.005324,-0.51773),(5315,3905,-0.006238,-0.51597),(5315,3915,-0.007669,-0.51422),(5315,3925,-0.009099,-0.51083),(5315,3935,-0.01053,-0.50521),(5315,3945,-0.008181,-0.49958),(5315,3955,-0.001033,-0.49396),(5315,3965,0.006114,-0.49965),(5315,3975,0.013262,-0.51861),(5315,3985,0.037348,-0.53756),(5315,3995,0.079769,-0.55652),(5315,4005,0.12219,-0.63798),(5315,4015,0.16461,-0.78194),(5315,4025,0.24662,-0.9259),(5315,4035,0.33251,-1.0244),(5315,4045,0.41839,-1.0273),(5315,4055,0.50469,-1.0301),(5315,4065,0.59115,-1.033),(5315,4075,0.67761,-1.0365),(5315,4085,0.71716,-1.04),(5315,4095,0.71901,-1.0436),(5315,4105,0.72085,-1.0463),(5315,4115,0.72305,-1.0489),(5315,4125,0.72582,-1.0516),(5315,4135,0.72859,-1.0535),(5315,4145,0.73159,-1.0552),(5315,4155,0.73555,-1.0569),(5315,4165,0.7395,-1.058),(5315,4175,0.74348,-1.0588),(5315,4185,0.74845,-1.0595),(5315,4195,0.75343,-1.0599),(5315,4205,0.7584,-1.0598),(5315,4215,0.76405,-1.0597),(5315,4225,0.76983,-1.0593),(5315,4235,0.77561,-1.0583),(5315,4245,0.78179,-1.0573),(5315,4255,0.78818,-1.0563),(5315,4265,0.79456,-1.0546),(5315,4275,0.80113,-1.0528),(5315,4285,0.80787,-1.0511),(5315,4295,0.81462,-1.049),(5315,4305,0.82141,-1.0468),(5315,4315,0.82833,-1.0446),(5315,4325,0.83525,-1.042),(5315,4335,0.84217,-1.0393),(5315,4345,0.84919,-1.0366),(5315,4355,0.85621,-1.0337),(5315,4365,0.86323,-1.0305),(5315,4375,0.87034,-1.0274),(5315,4385,0.87747,-1.0241),(5315,4395,0.88459,-1.0206),(5315,4405,0.89177,-1.0171),(5315,4415,0.89897,-1.0135),(5315,4425,0.90617,-1.0096),(5315,4435,0.91338,-1.0056),(5315,4445,0.92061,-1.0017),(5315,4455,0.92783,-0.99742),(5315,4465,0.93504,-0.99317),(5315,4475,0.94221,-0.98892),(5315,4485,0.94939,-0.98436),(5315,4495,0.95654,-0.97972),(5315,4505,0.96362,-0.97509),(5315,4515,0.9707,-0.97031),(5315,4525,0.97778,-0.96545),(5315,4535,0.98471,-0.9606),(5315,4545,0.99165,-0.95564),(5315,4555,0.99859,-0.95056),(5315,4565,1.0054,-0.94549),(5315,4575,1.0122,-0.94038),(5315,4585,1.019,-0.93518),(5315,4595,1.0256,-0.92998),(5315,4605,1.0322,-0.92477),(5315,4615,1.0388,-0.91951),(5315,4625,1.0454,-0.91424),(5315,4635,1.0518,-0.90897),(5315,4645,1.0582,-0.90369),(5315,4655,1.0646,-0.8984),(5315,4665,1.0708,-0.89311),(5315,4675,1.077,-0.88785),(5315,4685,1.0832,-0.8826),(5315,4695,1.0892,-0.87735),(5315,4705,1.0952,-0.8721),(5315,4715,1.1013,-0.86685),(5315,4725,1.1071,-0.86159),(5315,4735,1.1129,-0.85634),(5315,4745,1.1188,-0.85109),(5315,4755,1.1244,-0.84585),(5315,4765,1.1301,-0.84063),(5315,4775,1.1357,-0.83551),(5315,4785,1.1412,-0.83038),(5315,4795,1.1466,-0.82527),(5315,4805,1.152,-0.82021),(5315,4815,1.1573,-0.81515),(5315,4825,1.1625,-0.81009),(5315,4835,1.1678,-0.80507),(5315,4845,1.1729,-0.80007),(5315,4855,1.1779,-0.79506),(5315,4865,1.183,-0.7901),(5315,4875,1.188,-0.78517),(5315,4885,1.1928,-0.78024),(5315,4895,1.1977,-0.77537),(5315,4905,1.2025,-0.77054),(5315,4915,1.2072,-0.76572),(5315,4925,1.2119,-0.76093),(5315,4935,1.2165,-0.75619),(5315,4945,1.221,-0.75145),(5315,4955,1.2255,-0.74673),(5315,4965,1.23,-0.74213),(5315,4975,1.2344,-0.73752),(5315,4985,1.2387,-0.73292),(5315,4995,1.2431,-0.72844),(5315,5005,1.2473,-0.72397),(5315,5015,1.2515,-0.7195),(5315,5025,1.2557,-0.7151),(5315,5035,1.2598,-0.71073),(5315,5045,1.2639,-0.70635),(5315,5055,1.2679,-0.70206),(5315,5065,1.272,-0.6978),(5315,5075,1.2759,-0.69355),(5315,5085,1.2799,-0.68938),(5315,5095,1.2838,-0.68531),(5315,5105,1.2877,-0.68125),(5315,5115,1.2916,-0.67722),(5315,5125,1.2955,-0.67328),(5315,5135,1.2993,-0.66934),(5315,5145,1.3031,-0.66541),(5315,5155,1.307,-0.66161),(5315,5165,1.3108,-0.65782),(5315,5175,1.3145,-0.65402),(5315,5185,1.3183,-0.65034),(5315,5195,1.3221,-0.64667),(5315,5205,1.3258,-0.643),(5315,5215,1.3295,-0.63943),(5315,5225,1.3333,-0.63591),(5315,5235,1.337,-0.63238),(5315,5245,1.3407,-0.62891),(5315,5255,1.3444,-0.6255),(5315,5265,1.3481,-0.62208),(5315,5275,1.3518,-0.6187),(5315,5285,1.3555,-0.61538),(5315,5295,1.3592,-0.61206),(5315,5305,1.3629,-0.60876),(5315,5315,1.3666,-0.60557),(5315,5325,1.3704,-0.60237),(5315,5335,1.3741,-0.59918),(5315,5345,1.3779,-0.59603),(5315,5355,1.3817,-0.59288),(5315,5365,1.3855,-0.58973),(5315,5375,1.3893,-0.58663),(5315,5385,1.3931,-0.58355),(5315,5395,1.3969,-0.58047),(5315,5405,1.4008,-0.57742),(5315,5415,1.4047,-0.57438),(5315,5425,1.4086,-0.57133),(5315,5435,1.4125,-0.56829),(5315,5445,1.4164,-0.56524),(5315,5455,1.4203,-0.56219),(5315,5465,1.4243,-0.55913),(5315,5475,1.4283,-0.55604),(5315,5485,1.4323,-0.55296),(5315,5495,1.4363,-0.54986),(5315,5505,1.4403,-0.54672),(5315,5515,1.4443,-0.54358),(5315,5525,1.4483,-0.54044),(5315,5535,1.4523,-0.53722),(5315,5545,1.4564,-0.534),(5315,5555,1.4604,-0.53077),(5315,5565,1.4645,-0.52747),(5315,5575,1.4685,-0.52415),(5315,5585,1.4726,-0.52082),(5315,5595,1.4767,-0.51743),(5315,5605,1.4807,-0.514),(5315,5615,1.4848,-0.51056),(5315,5625,1.4889,-0.50711),(5315,5635,1.4929,-0.50363),(5315,5645,1.497,-0.50015),(5315,5655,1.501,-0.49663),(5315,5665,1.5051,-0.49301),(5315,5675,1.5091,-0.48938),(5315,5685,1.5131,-0.48575),(5315,5695,1.5172,-0.48199),(5315,5705,1.5212,-0.47823),(5315,5715,1.5251,-0.47447),(5315,5725,1.5291,-0.4706),(5315,5735,1.5331,-0.46671),(5315,5745,1.537,-0.46283),(5315,5755,1.5409,-0.45884),(5315,5765,1.5448,-0.45481),(5315,5775,1.5487,-0.45077),(5315,5785,1.5525,-0.44665),(5315,5795,1.5564,-0.44244),(5315,5805,1.5602,-0.43824),(5315,5815,1.564,-0.434),(5315,5825,1.5678,-0.42969),(5315,5835,1.5715,-0.42538),(5315,5845,1.5753,-0.42106),(5315,5855,1.579,-0.41665),(5315,5865,1.5827,-0.41223),(5315,5875,1.5864,-0.40782),(5315,5885,1.5901,-0.40327),(5315,5895,1.5937,-0.39872),(5315,5905,1.5973,-0.39417),(5315,5915,1.6009,-0.38953),(5315,5925,1.6045,-0.38487),(5315,5935,1.6081,-0.38022),(5315,5945,1.6116,-0.37548),(5315,5955,1.6151,-0.3707),(5315,5965,1.6185,-0.36592),(5315,5975,1.622,-0.36108),(5315,5985,1.6254,-0.35617),(5315,5995,1.6287,-0.35126),(5315,6005,1.632,-0.3463),(5315,6015,1.6354,-0.34124),(5315,6025,1.6386,-0.33618),(5315,6035,1.6418,-0.3311),(5315,6045,1.645,-0.3259),(5315,6055,1.6481,-0.3207),(5315,6065,1.6512,-0.3155),(5315,6075,1.6543,-0.31022),(5315,6085,1.6574,-0.30493),(5315,6095,1.6604,-0.29963),(5315,6105,1.6634,-0.29426),(5315,6115,1.6663,-0.28886),(5315,6125,1.6692,-0.28346),(5315,6135,1.672,-0.27801),(5315,6145,1.6749,-0.27253),(5315,6155,1.6776,-0.26704),(5315,6165,1.6804,-0.26151),(5315,6175,1.6831,-0.25592),(5315,6185,1.6857,-0.25032),(5315,6195,1.6882,-0.2447),(5315,6205,1.6908,-0.239),(5315,6215,1.6933,-0.2333),(5315,6225,1.6957,-0.2276),(5315,6235,1.6981,-0.22179),(5315,6245,1.7005,-0.21598),(5315,6255,1.7027,-0.21017),(5315,6265,1.705,-0.20427),(5315,6275,1.7072,-0.19836),(5315,6285,1.7092,-0.19244),(5315,6295,1.7113,-0.18648),(5315,6305,1.7134,-0.18049),(5315,6315,1.7152,-0.1745),(5315,6325,1.7171,-0.16847),(5315,6335,1.719,-0.1624),(5315,6345,1.7207,-0.15633),(5315,6355,1.7224,-0.15023),(5315,6365,1.7241,-0.14406),(5315,6375,1.7257,-0.13788),(5315,6385,1.7271,-0.1317),(5315,6395,1.7286,-0.12545),(5315,6405,1.73,-0.11921),(5315,6415,1.7313,-0.11297),(5315,6425,1.7326,-0.10668),(5315,6435,1.7338,-0.10039),(5315,6445,1.7348,-0.094103),(5315,6455,1.7359,-0.087777),(5315,6465,1.7369,-0.081441),(5315,6475,1.7377,-0.075105),(5315,6485,1.7386,-0.068751),(5315,6495,1.7394,-0.062387),(5315,6505,1.74,-0.056022),(5315,6515,1.7406,-0.04965),(5315,6525,1.7412,-0.043267),(5315,6535,1.7417,-0.036884),(5315,6545,1.7421,-0.030495),(5315,6555,1.7425,-0.024082),(5315,6565,1.7427,-0.01767),(5315,6575,1.7429,-0.01126),(5315,6585,1.743,-0.004869),(5315,6595,1.4827,0.001522),(5315,6605,0.9346,0.007913),(5315,6615,0.38653,0.008658),(5315,6625,0.001263,0.008677),(5315,6635,0.00128,0.008696),(5315,6645,0.001298,0.00872),(5315,6655,0.001315,0.008745),(5315,6665,0.00133,0.00877),(5315,6675,0.001346,0.008794),(5315,6685,0.001362,0.008817),(5315,6695,0.001376,0.00884),(5315,6705,0.001391,0.008862),(5315,6715,0.001405,0.008883),(5315,6725,0.001419,0.008903),(5315,6735,0.001432,0.008924),(5315,6745,0.001445,0.008943),(5315,6755,0.001458,0.008962),(5315,6765,0.001471,0.00898),(5315,6775,0.001483,0.008997),(5315,6785,0.001495,0.009014),(5315,6795,0.001507,0.009031),(5315,6805,0.001519,0.009047),(5315,6815,0.00153,0.009062),(5315,6825,0.001541,0.009077),(5315,6835,0.001552,0.009091),(5315,6845,0.001563,0.009104),(5315,6855,0.001574,0.009118),(5315,6865,0.001584,0.00913),(5315,6875,0.001595,0.009142),(5315,6885,0.001605,0.009154),(5315,6895,0.001615,0.009166),(5315,6905,0.001625,0.009176),(5315,6915,0.001635,0.009187),(5315,6925,0.001645,0.009197),(5315,6935,0.001655,0.009206),(5315,6945,0.001664,0.009215),(5315,6955,0.001674,0.009224),(5315,6965,0.001683,0.009232),(5315,6975,0.001693,0.00924),(5315,6985,0.001702,0.009248),(5325,5,-6e-06,-0.36248),(5325,15,-1.8e-05,-0.36252),(5325,25,-3.1e-05,-0.36256),(5325,35,-4.4e-05,-0.3626),(5325,45,-5.7e-05,-0.36264),(5325,55,-7.1e-05,-0.36267),(5325,65,-8.9e-05,-0.3627),(5325,75,-0.00011,-0.36273),(5325,85,-0.000131,-0.36278),(5325,95,-0.000153,-0.36284),(5325,105,-0.000172,-0.36289),(5325,115,-0.000191,-0.36295),(5325,125,-0.000209,-0.36303),(5325,135,-0.000228,-0.36313),(5325,145,-0.000238,-0.36323),(5325,155,-0.000243,-0.36333),(5325,165,-0.000249,-0.36345),(5325,175,-0.000254,-0.36359),(5325,185,-0.000263,-0.36372),(5325,195,-0.000274,-0.36385),(5325,205,-0.000284,-0.364),(5325,215,-0.000295,-0.36414),(5325,225,-0.000316,-0.36429),(5325,235,-0.000342,-0.36443),(5325,245,-0.000368,-0.36458),(5325,255,-0.000394,-0.36474),(5325,265,-0.000425,-0.36489),(5325,275,-0.000458,-0.36504),(5325,285,-0.000491,-0.36522),(5325,295,-0.000524,-0.36539),(5325,305,-0.000552,-0.36557),(5325,315,-0.000579,-0.36574),(5325,325,-0.000605,-0.36597),(5325,335,-0.000632,-0.3662),(5325,345,-0.000649,-0.36644),(5325,355,-0.000665,-0.36667),(5325,365,-0.000681,-0.36695),(5325,375,-0.000697,-0.36724),(5325,385,-0.000715,-0.36753),(5325,395,-0.000733,-0.36781),(5325,405,-0.000752,-0.36813),(5325,415,-0.00077,-0.36844),(5325,425,-0.000796,-0.36876),(5325,435,-0.000823,-0.36907),(5325,445,-0.00085,-0.36942),(5325,455,-0.000876,-0.36976),(5325,465,-0.000908,-0.37011),(5325,475,-0.000941,-0.37045),(5325,485,-0.000973,-0.37083),(5325,495,-0.001006,-0.37122),(5325,505,-0.001047,-0.3716),(5325,515,-0.001088,-0.37198),(5325,525,-0.001129,-0.37239),(5325,535,-0.001171,-0.37281),(5325,545,-0.001218,-0.37322),(5325,555,-0.001266,-0.37364),(5325,565,-0.001313,-0.3741),(5325,575,-0.001361,-0.37456),(5325,585,-0.001407,-0.37502),(5325,595,-0.001454,-0.37549),(5325,605,-0.001501,-0.37601),(5325,615,-0.001547,-0.37654),(5325,625,-0.001594,-0.37706),(5325,635,-0.00164,-0.3776),(5325,645,-0.001687,-0.37818),(5325,655,-0.001735,-0.37876),(5325,665,-0.001789,-0.37934),(5325,675,-0.001844,-0.37993),(5325,685,-0.001898,-0.38055),(5325,695,-0.001954,-0.38117),(5325,705,-0.002012,-0.38179),(5325,715,-0.002071,-0.38242),(5325,725,-0.00213,-0.38311),(5325,735,-0.002188,-0.38379),(5325,745,-0.002246,-0.38447),(5325,755,-0.002304,-0.38517),(5325,765,-0.002362,-0.38591),(5325,775,-0.002421,-0.38666),(5325,785,-0.002482,-0.38741),(5325,795,-0.002544,-0.38817),(5325,805,-0.002605,-0.38898),(5325,815,-0.002668,-0.38979),(5325,825,-0.002736,-0.3906),(5325,835,-0.002804,-0.39143),(5325,845,-0.002872,-0.3923),(5325,855,-0.002943,-0.39316),(5325,865,-0.003019,-0.39403),(5325,875,-0.003096,-0.39492),(5325,885,-0.003172,-0.39584),(5325,895,-0.003253,-0.39676),(5325,905,-0.003341,-0.39768),(5325,915,-0.003429,-0.39861),(5325,925,-0.003517,-0.39957),(5325,935,-0.003609,-0.40053),(5325,945,-0.003707,-0.4015),(5325,955,-0.003805,-0.40248),(5325,965,-0.003902,-0.4035),(5325,975,-0.004004,-0.40451),(5325,985,-0.004108,-0.40553),(5325,995,-0.004213,-0.40657),(5325,1005,-0.004318,-0.40765),(5325,1015,-0.004433,-0.40872),(5325,1025,-0.004557,-0.40979),(5325,1035,-0.004681,-0.41087),(5325,1045,-0.004806,-0.41196),(5325,1055,-0.004944,-0.41305),(5325,1065,-0.005093,-0.41414),(5325,1075,-0.005243,-0.41526),(5325,1085,-0.005392,-0.41639),(5325,1095,-0.005544,-0.41752),(5325,1105,-0.005698,-0.41865),(5325,1115,-0.005852,-0.41985),(5325,1125,-0.006006,-0.4211),(5325,1135,-0.00627,-0.42234),(5325,1145,-0.006599,-0.42359),(5325,1155,-0.006927,-0.42471),(5325,1165,-0.007256,-0.42577),(5325,1175,-0.008496,-0.42683),(5325,1185,-0.010188,-0.42789),(5325,1195,-0.011881,-0.427),(5325,1205,-0.013573,-0.42523),(5325,1215,-0.016791,-0.42345),(5325,1225,-0.020639,-0.42168),(5325,1235,-0.024487,-0.41469),(5325,1245,-0.028334,-0.40574),(5325,1255,-0.015215,-0.3968),(5325,1265,0.003635,-0.38786),(5325,1275,0.022485,-0.4088),(5325,1285,0.041335,-0.43881),(5325,1295,0.09666,-0.46882),(5325,1305,0.16185,-0.49883),(5325,1315,0.22704,-0.6371),(5325,1325,0.29223,-0.80128),(5325,1335,0.18059,-0.96545),(5325,1345,0.031891,-1.1296),(5325,1355,-0.11681,-1.0225),(5325,1365,-0.2655,-0.86616),(5325,1375,-0.23786,-0.70984),(5325,1385,-0.18302,-0.55352),(5325,1395,-0.12817,-0.49845),(5325,1405,-0.073324,-0.45641),(5325,1415,-0.044483,-0.41436),(5325,1425,-0.018344,-0.37231),(5325,1435,0.007796,-0.38005),(5325,1445,0.033936,-0.3918),(5325,1455,0.030859,-0.40354),(5325,1465,0.026099,-0.41528),(5325,1475,0.02134,-0.41838),(5325,1485,0.01658,-0.42116),(5325,1495,0.014331,-0.42395),(5325,1505,0.01212,-0.42671),(5325,1515,0.009909,-0.42568),(5325,1525,0.007742,-0.42465),(5325,1535,0.007342,-0.42362),(5325,1545,0.006941,-0.42258),(5325,1555,0.006541,-0.42133),(5325,1565,0.006156,-0.42009),(5325,1575,0.006,-0.41884),(5325,1585,0.005844,-0.41761),(5325,1595,0.005689,-0.41654),(5325,1605,0.005534,-0.41547),(5325,1615,0.005385,-0.4144),(5325,1625,0.005236,-0.41334),(5325,1635,0.005087,-0.41236),(5325,1645,0.004941,-0.41137),(5325,1655,0.004813,-0.41039),(5325,1665,0.004685,-0.40941),(5325,1675,0.004556,-0.40847),(5325,1685,0.004432,-0.40753),(5325,1695,0.004325,-0.40659),(5325,1705,0.004218,-0.40565),(5325,1715,0.00411,-0.40475),(5325,1725,0.004006,-0.40384),(5325,1735,0.003912,-0.40294),(5325,1745,0.003818,-0.40204),(5325,1755,0.003724,-0.40118),(5325,1765,0.003633,-0.40031),(5325,1775,0.00355,-0.39945),(5325,1785,0.003467,-0.39859),(5325,1795,0.003384,-0.39777),(5325,1805,0.003305,-0.39694),(5325,1815,0.003237,-0.39611),(5325,1825,0.003169,-0.3953),(5325,1835,0.003101,-0.39453),(5325,1845,0.003036,-0.39376),(5325,1855,0.002977,-0.39299),(5325,1865,0.002917,-0.39223),(5325,1875,0.002858,-0.3915),(5325,1885,0.002801,-0.39077),(5325,1895,0.002745,-0.39004),(5325,1905,0.00269,-0.38932),(5325,1915,0.002635,-0.38864),(5325,1925,0.002583,-0.38795),(5325,1935,0.002534,-0.38727),(5325,1945,0.002485,-0.3866),(5325,1955,0.002436,-0.38597),(5325,1965,0.00239,-0.38533),(5325,1975,0.002348,-0.3847),(5325,1985,0.002305,-0.38408),(5325,1995,0.002263,-0.38349),(5325,2005,0.002222,-0.3829),(5325,2015,0.002183,-0.38231),(5325,2025,0.002145,-0.38175),(5325,2035,0.002106,-0.3812),(5325,2045,0.002071,-0.38065),(5325,2055,0.002038,-0.3801),(5325,2065,0.002005,-0.37958),(5325,2075,0.001972,-0.37908),(5325,2085,0.001942,-0.37857),(5325,2095,0.001914,-0.37807),(5325,2105,0.001886,-0.37759),(5325,2115,0.001859,-0.37713),(5325,2125,0.001833,-0.37667),(5325,2135,0.001809,-0.37621),(5325,2145,0.001784,-0.37577),(5325,2155,0.001759,-0.37535),(5325,2165,0.001738,-0.37492),(5325,2175,0.001719,-0.3745),(5325,2185,0.001699,-0.3741),(5325,2195,0.00168,-0.37372),(5325,2205,0.001661,-0.37333),(5325,2215,0.001642,-0.37295),(5325,2225,0.001623,-0.37258),(5325,2235,0.001605,-0.37223),(5325,2245,0.001583,-0.37187),(5325,2255,0.001561,-0.37151),(5325,2265,0.001539,-0.37117),(5325,2275,0.001517,-0.37083),(5325,2285,0.001494,-0.3705),(5325,2295,0.001471,-0.37016),(5325,2305,0.001448,-0.36985),(5325,2315,0.001425,-0.36954),(5325,2325,0.001402,-0.36924),(5325,2335,0.00138,-0.36893),(5325,2345,0.001358,-0.36864),(5325,2355,0.001336,-0.36836),(5325,2365,0.001317,-0.36808),(5325,2375,0.001298,-0.3678),(5325,2385,0.00128,-0.36755),(5325,2395,0.001261,-0.3673),(5325,2405,0.001248,-0.36706),(5325,2415,0.001236,-0.36681),(5325,2425,0.001224,-0.36659),(5325,2435,0.001212,-0.36638),(5325,2445,0.001201,-0.36617),(5325,2455,0.00119,-0.36595),(5325,2465,0.001178,-0.36576),(5325,2475,0.001167,-0.36557),(5325,2485,0.001154,-0.36537),(5325,2495,0.001141,-0.36518),(5325,2505,0.001128,-0.36501),(5325,2515,0.001114,-0.36483),(5325,2525,0.001102,-0.36466),(5325,2535,0.00109,-0.36449),(5325,2545,0.001078,-0.36434),(5325,2555,0.001066,-0.36419),(5325,2565,0.001054,-0.36403),(5325,2575,0.001043,-0.36388),(5325,2585,0.001031,-0.36375),(5325,2595,0.001019,-0.36361),(5325,2605,0.001006,-0.36347),(5325,2615,0.000992,-0.36333),(5325,2625,0.000979,-0.36321),(5325,2635,0.000966,-0.36309),(5325,2645,0.000954,-0.36297),(5325,2655,0.000942,-0.36285),(5325,2665,0.000931,-0.36276),(5325,2675,0.000919,-0.36266),(5325,2685,0.000907,-0.36256),(5325,2695,0.000896,-0.36247),(5325,2705,0.000885,-0.36238),(5325,2715,0.000873,-0.3623),(5325,2725,0.000858,-0.36222),(5325,2735,0.000844,-0.36214),(5325,2745,0.000829,-0.36206),(5325,2755,0.000814,-0.36198),(5325,2765,0.0008,-0.3619),(5325,2775,0.000786,-0.36183),(5325,2785,0.000772,-0.36177),(5325,2795,0.000758,-0.36172),(5325,2805,0.000746,-0.36166),(5325,2815,0.000734,-0.36161),(5325,2825,0.000723,-0.36157),(5325,2835,0.000709,-0.36153),(5325,2845,0.000692,-0.36149),(5325,2855,0.000675,-0.36146),(5325,2865,0.000658,-0.36143),(5325,2875,0.000641,-0.3614),(5325,2885,0.000623,-0.36137),(5325,2895,0.000606,-0.36135),(5325,2905,0.000589,-0.36135),(5325,2915,0.000573,-0.36136),(5325,2925,0.00056,-0.36136),(5325,2935,0.000546,-0.36137),(5325,2945,0.000533,-0.36138),(5325,2955,0.000516,-0.3614),(5325,2965,0.000497,-0.36141),(5325,2975,0.000477,-0.36143),(5325,2985,0.000457,-0.36145),(5325,2995,0.000438,-0.36147),(5325,3005,0.000419,-0.36149),(5325,3015,0.0004,-0.36153),(5325,3025,0.000381,-0.36159),(5325,3035,0.000361,-0.36164),(5325,3045,0.00034,-0.3617),(5325,3055,0.000318,-0.36176),(5325,3065,0.000297,-0.36182),(5325,3075,0.00027,-0.36188),(5325,3085,0.000238,-0.36194),(5325,3095,0.000207,-0.36201),(5325,3105,0.000175,-0.36208),(5325,3115,0.000147,-0.36215),(5325,3125,0.000122,-0.36222),(5325,3135,9.6e-05,-0.36232),(5325,3145,7.1e-05,-0.36244),(5325,3155,4.8e-05,-0.36255),(5325,3165,2.7e-05,-0.36267),(5325,3175,5e-06,-0.36278),(5325,3185,-1.6e-05,-0.3629),(5325,3195,-3.9e-05,-0.36301),(5325,3205,-6.3e-05,-0.36312),(5325,3215,-8.7e-05,-0.36325),(5325,3225,-0.00011,-0.36338),(5325,3235,-0.000132,-0.36351),(5325,3245,-0.000152,-0.36364),(5325,3255,-0.000172,-0.36379),(5325,3265,-0.000192,-0.36395),(5325,3275,-0.000219,-0.36411),(5325,3285,-0.000248,-0.36427),(5325,3295,-0.000277,-0.36442),(5325,3305,-0.000306,-0.36457),(5325,3315,-0.000337,-0.36472),(5325,3325,-0.000369,-0.36486),(5325,3335,-0.000401,-0.36504),(5325,3345,-0.000432,-0.36522),(5325,3355,-0.000462,-0.36539),(5325,3365,-0.000491,-0.36557),(5325,3375,-0.000521,-0.36577),(5325,3385,-0.00055,-0.36598),(5325,3395,-0.000586,-0.36618),(5325,3405,-0.000622,-0.36639),(5325,3415,-0.000658,-0.3666),(5325,3425,-0.000694,-0.36681),(5325,3435,-0.000732,-0.36702),(5325,3445,-0.000769,-0.36723),(5325,3455,-0.000807,-0.36747),(5325,3465,-0.000844,-0.36771),(5325,3475,-0.000889,-0.36795),(5325,3485,-0.000935,-0.36819),(5325,3495,-0.00098,-0.36844),(5325,3505,-0.001025,-0.36869),(5325,3515,-0.001076,-0.36894),(5325,3525,-0.001128,-0.36919),(5325,3535,-0.001179,-0.36947),(5325,3545,-0.00123,-0.36974),(5325,3555,-0.001276,-0.37002),(5325,3565,-0.001322,-0.3703),(5325,3575,-0.001368,-0.37061),(5325,3585,-0.001414,-0.37091),(5325,3595,-0.001458,-0.37122),(5325,3605,-0.001502,-0.37153),(5325,3615,-0.001545,-0.37186),(5325,3625,-0.00159,-0.37219),(5325,3635,-0.00164,-0.37252),(5325,3645,-0.00169,-0.37286),(5325,3655,-0.00174,-0.37322),(5325,3665,-0.00179,-0.37357),(5325,3675,-0.001841,-0.37393),(5325,3685,-0.001892,-0.37429),(5325,3695,-0.001944,-0.37467),(5325,3705,-0.001996,-0.37505),(5325,3715,-0.002051,-0.37543),(5325,3725,-0.002107,-0.37581),(5325,3735,-0.002162,-0.37622),(5325,3745,-0.002222,-0.37663),(5325,3755,-0.002294,-0.37703),(5325,3765,-0.002366,-0.37745),(5325,3775,-0.002439,-0.37788),(5325,3785,-0.002506,-0.37832),(5325,3795,-0.00256,-0.37875),(5325,3805,-0.002615,-0.37922),(5325,3815,-0.002669,-0.37974),(5325,3825,-0.002755,-0.38027),(5325,3835,-0.002909,-0.3808),(5325,3845,-0.003062,-0.38128),(5325,3855,-0.003216,-0.38166),(5325,3865,-0.003703,-0.38205),(5325,3875,-0.004779,-0.38243),(5325,3885,-0.005855,-0.38208),(5325,3895,-0.006931,-0.38052),(5325,3905,-0.008714,-0.37897),(5325,3915,-0.011553,-0.37742),(5325,3925,-0.014392,-0.37352),(5325,3935,-0.01723,-0.36639),(5325,3945,-0.0123,-0.35926),(5325,3955,0.002496,-0.35214),(5325,3965,0.017291,-0.35892),(5325,3975,0.032086,-0.38199),(5325,3985,0.081736,-0.40506),(5325,3995,0.16912,-0.42813),(5325,4005,0.25649,-0.53122),(5325,4015,0.34387,-0.71434),(5325,4025,0.37797,-0.89745),(5325,4035,0.40685,-1.0226),(5325,4045,0.43574,-1.0255),(5325,4055,0.50682,-1.0284),(5325,4065,0.5933,-1.0315),(5325,4075,0.67977,-1.035),(5325,4085,0.71919,-1.0386),(5325,4095,0.72079,-1.0422),(5325,4105,0.72239,-1.045),(5325,4115,0.72433,-1.0477),(5325,4125,0.72683,-1.0504),(5325,4135,0.72934,-1.0525),(5325,4145,0.73208,-1.0543),(5325,4155,0.73574,-1.0561),(5325,4165,0.73941,-1.0574),(5325,4175,0.7431,-1.0584),(5325,4185,0.74778,-1.0594),(5325,4195,0.75246,-1.06),(5325,4205,0.75714,-1.0601),(5325,4215,0.7625,-1.0602),(5325,4225,0.76799,-1.06),(5325,4235,0.77348,-1.0592),(5325,4245,0.77941,-1.0584),(5325,4255,0.78555,-1.0575),(5325,4265,0.79169,-1.0559),(5325,4275,0.79802,-1.0544),(5325,4285,0.80456,-1.0528),(5325,4295,0.81111,-1.0508),(5325,4305,0.81772,-1.0487),(5325,4315,0.82448,-1.0466),(5325,4325,0.83124,-1.0442),(5325,4335,0.83802,-1.0417),(5325,4345,0.84491,-1.0391),(5325,4355,0.8518,-1.0363),(5325,4365,0.8587,-1.0334),(5325,4375,0.86569,-1.0304),(5325,4385,0.87268,-1.0273),(5325,4395,0.87968,-1.024),(5325,4405,0.88673,-1.0207),(5325,4415,0.89381,-1.0173),(5325,4425,0.90088,-1.0136),(5325,4435,0.90797,-1.0098),(5325,4445,0.91507,-1.0061),(5325,4455,0.92217,-1.0021),(5325,4465,0.92925,-0.99811),(5325,4475,0.93632,-0.9941),(5325,4485,0.94339,-0.98976),(5325,4495,0.95044,-0.98535),(5325,4505,0.95742,-0.98094),(5325,4515,0.96441,-0.97637),(5325,4525,0.97139,-0.97172),(5325,4535,0.97826,-0.96707),(5325,4545,0.98512,-0.9623),(5325,4555,0.99199,-0.9574),(5325,4565,0.99873,-0.9525),(5325,4575,1.0055,-0.94755),(5325,4585,1.0122,-0.94249),(5325,4595,1.0188,-0.93744),(5325,4605,1.0254,-0.93237),(5325,4615,1.0319,-0.92723),(5325,4625,1.0384,-0.92209),(5325,4635,1.0448,-0.91694),(5325,4645,1.0512,-0.91176),(5325,4655,1.0575,-0.90657),(5325,4665,1.0637,-0.90138),(5325,4675,1.0699,-0.89621),(5325,4685,1.0761,-0.89104),(5325,4695,1.0821,-0.88588),(5325,4705,1.0881,-0.88069),(5325,4715,1.0941,-0.87549),(5325,4725,1.1,-0.87029),(5325,4735,1.1058,-0.86509),(5325,4745,1.1116,-0.85989),(5325,4755,1.1173,-0.85469),(5325,4765,1.1229,-0.84951),(5325,4775,1.1286,-0.84442),(5325,4785,1.1341,-0.83933),(5325,4795,1.1395,-0.83424),(5325,4805,1.1449,-0.82919),(5325,4815,1.1502,-0.82414),(5325,4825,1.1554,-0.8191),(5325,4835,1.1606,-0.81408),(5325,4845,1.1658,-0.80907),(5325,4855,1.1709,-0.80406),(5325,4865,1.1759,-0.79909),(5325,4875,1.1809,-0.79415),(5325,4885,1.1858,-0.7892),(5325,4895,1.1907,-0.78431),(5325,4905,1.1955,-0.77947),(5325,4915,1.2002,-0.77463),(5325,4925,1.2049,-0.76981),(5325,4935,1.2096,-0.76503),(5325,4945,1.2141,-0.76026),(5325,4955,1.2187,-0.7555),(5325,4965,1.2232,-0.75086),(5325,4975,1.2276,-0.74622),(5325,4985,1.232,-0.74157),(5325,4995,1.2363,-0.73705),(5325,5005,1.2406,-0.73253),(5325,5015,1.2448,-0.72802),(5325,5025,1.249,-0.72357),(5325,5035,1.2532,-0.71914),(5325,5045,1.2573,-0.7147),(5325,5055,1.2614,-0.71034),(5325,5065,1.2655,-0.70602),(5325,5075,1.2694,-0.70171),(5325,5085,1.2734,-0.69747),(5325,5095,1.2774,-0.69333),(5325,5105,1.2813,-0.68919),(5325,5115,1.2852,-0.68508),(5325,5125,1.2891,-0.68106),(5325,5135,1.293,-0.67703),(5325,5145,1.2968,-0.67302),(5325,5155,1.3007,-0.66914),(5325,5165,1.3045,-0.66526),(5325,5175,1.3083,-0.66138),(5325,5185,1.3121,-0.6576),(5325,5195,1.3159,-0.65384),(5325,5205,1.3197,-0.65008),(5325,5215,1.3234,-0.64642),(5325,5225,1.3272,-0.6428),(5325,5235,1.3309,-0.63917),(5325,5245,1.3347,-0.63561),(5325,5255,1.3384,-0.63208),(5325,5265,1.3421,-0.62856),(5325,5275,1.3459,-0.62507),(5325,5285,1.3496,-0.62163),(5325,5295,1.3533,-0.6182),(5325,5305,1.3571,-0.61479),(5325,5315,1.3608,-0.61148),(5325,5325,1.3646,-0.60817),(5325,5335,1.3684,-0.60486),(5325,5345,1.3722,-0.60158),(5325,5355,1.3759,-0.5983),(5325,5365,1.3798,-0.59503),(5325,5375,1.3836,-0.5918),(5325,5385,1.3874,-0.58859),(5325,5395,1.3912,-0.58537),(5325,5405,1.3951,-0.58218),(5325,5415,1.3989,-0.579),(5325,5425,1.4028,-0.57582),(5325,5435,1.4067,-0.57264),(5325,5445,1.4106,-0.56945),(5325,5455,1.4146,-0.56626),(5325,5465,1.4185,-0.56307),(5325,5475,1.4225,-0.55984),(5325,5485,1.4264,-0.55662),(5325,5495,1.4304,-0.55339),(5325,5505,1.4344,-0.55012),(5325,5515,1.4384,-0.54684),(5325,5525,1.4424,-0.54356),(5325,5535,1.4464,-0.54021),(5325,5545,1.4504,-0.53686),(5325,5555,1.4544,-0.53351),(5325,5565,1.4584,-0.53008),(5325,5575,1.4624,-0.52663),(5325,5585,1.4664,-0.52318),(5325,5595,1.4705,-0.51967),(5325,5605,1.4745,-0.51611),(5325,5615,1.4785,-0.51256),(5325,5625,1.4825,-0.50899),(5325,5635,1.4866,-0.50541),(5325,5645,1.4906,-0.50182),(5325,5655,1.4946,-0.49821),(5325,5665,1.4986,-0.49448),(5325,5675,1.5026,-0.49076),(5325,5685,1.5066,-0.48703),(5325,5695,1.5106,-0.48318),(5325,5705,1.5145,-0.47934),(5325,5715,1.5185,-0.47549),(5325,5725,1.5224,-0.47155),(5325,5735,1.5263,-0.46759),(5325,5745,1.5302,-0.46362),(5325,5755,1.5341,-0.45956),(5325,5765,1.5379,-0.45546),(5325,5775,1.5417,-0.45136),(5325,5785,1.5455,-0.44717),(5325,5795,1.5493,-0.4429),(5325,5805,1.5531,-0.43863),(5325,5815,1.5568,-0.43432),(5325,5825,1.5606,-0.42996),(5325,5835,1.5643,-0.42559),(5325,5845,1.5679,-0.42121),(5325,5855,1.5716,-0.41674),(5325,5865,1.5753,-0.41228),(5325,5875,1.5789,-0.40781),(5325,5885,1.5825,-0.40322),(5325,5895,1.5861,-0.39863),(5325,5905,1.5897,-0.39404),(5325,5915,1.5933,-0.38936),(5325,5925,1.5968,-0.38467),(5325,5935,1.6003,-0.37998),(5325,5945,1.6038,-0.37522),(5325,5955,1.6073,-0.37041),(5325,5965,1.6107,-0.3656),(5325,5975,1.614,-0.36074),(5325,5985,1.6174,-0.35581),(5325,5995,1.6207,-0.35088),(5325,6005,1.624,-0.3459),(5325,6015,1.6273,-0.34082),(5325,6025,1.6305,-0.33574),(5325,6035,1.6337,-0.33064),(5325,6045,1.6368,-0.32542),(5325,6055,1.6399,-0.32021),(5325,6065,1.643,-0.31499),(5325,6075,1.646,-0.30969),(5325,6085,1.649,-0.30438),(5325,6095,1.652,-0.29907),(5325,6105,1.6549,-0.29368),(5325,6115,1.6578,-0.28827),(5325,6125,1.6606,-0.28286),(5325,6135,1.6634,-0.27741),(5325,6145,1.6663,-0.27192),(5325,6155,1.6689,-0.26643),(5325,6165,1.6716,-0.2609),(5325,6175,1.6743,-0.25531),(5325,6185,1.6769,-0.24971),(5325,6195,1.6794,-0.2441),(5325,6205,1.6819,-0.23839),(5325,6215,1.6844,-0.23269),(5325,6225,1.6868,-0.22699),(5325,6235,1.6891,-0.22118),(5325,6245,1.6915,-0.21538),(5325,6255,1.6937,-0.20958),(5325,6265,1.6959,-0.20369),(5325,6275,1.6981,-0.19779),(5325,6285,1.7001,-0.19188),(5325,6295,1.7021,-0.18592),(5325,6305,1.7041,-0.17994),(5325,6315,1.706,-0.17396),(5325,6325,1.7079,-0.16794),(5325,6335,1.7097,-0.16188),(5325,6345,1.7114,-0.15583),(5325,6355,1.7131,-0.14974),(5325,6365,1.7147,-0.14358),(5325,6375,1.7162,-0.13742),(5325,6385,1.7177,-0.13125),(5325,6395,1.7192,-0.12503),(5325,6405,1.7205,-0.1188),(5325,6415,1.7218,-0.11258),(5325,6425,1.7231,-0.10631),(5325,6435,1.7242,-0.10004),(5325,6445,1.7253,-0.09377),(5325,6455,1.7263,-0.087462),(5325,6465,1.7273,-0.081143),(5325,6475,1.7282,-0.074824),(5325,6485,1.729,-0.068489),(5325,6495,1.7298,-0.062142),(5325,6505,1.7304,-0.055796),(5325,6515,1.731,-0.049442),(5325,6525,1.7316,-0.043078),(5325,6535,1.732,-0.036714),(5325,6545,1.7324,-0.030343),(5325,6555,1.7328,-0.023951),(5325,6565,1.733,-0.017559),(5325,6575,1.7332,-0.011168),(5325,6585,1.7334,-0.004799),(5325,6595,1.4744,0.00157),(5325,6605,0.9294,0.007939),(5325,6615,0.38437,0.008679),(5325,6625,0.001234,0.008696),(5325,6635,0.001252,0.008714),(5325,6645,0.00127,0.008736),(5325,6655,0.001288,0.008761),(5325,6665,0.001304,0.008785),(5325,6675,0.001321,0.008809),(5325,6685,0.001337,0.008831),(5325,6695,0.001352,0.008854),(5325,6705,0.001367,0.008875),(5325,6715,0.001382,0.008896),(5325,6725,0.001396,0.008916),(5325,6735,0.00141,0.008937),(5325,6745,0.001424,0.008955),(5325,6755,0.001437,0.008974),(5325,6765,0.00145,0.008992),(5325,6775,0.001463,0.009009),(5325,6785,0.001476,0.009026),(5325,6795,0.001488,0.009042),(5325,6805,0.0015,0.009057),(5325,6815,0.001512,0.009072),(5325,6825,0.001524,0.009087),(5325,6835,0.001536,0.009101),(5325,6845,0.001547,0.009115),(5325,6855,0.001558,0.009128),(5325,6865,0.001569,0.00914),(5325,6875,0.00158,0.009152),(5325,6885,0.001591,0.009164),(5325,6895,0.001601,0.009175),(5325,6905,0.001612,0.009186),(5325,6915,0.001622,0.009196),(5325,6925,0.001633,0.009206),(5325,6935,0.001643,0.009215),(5325,6945,0.001653,0.009224),(5325,6955,0.001663,0.009233),(5325,6965,0.001672,0.009241),(5325,6975,0.001682,0.009249),(5325,6985,0.001692,0.009257),(5335,5,-5e-06,-0.63543),(5335,15,-1.4e-05,-0.63551),(5335,25,-2.4e-05,-0.63558),(5335,35,-3.4e-05,-0.63566),(5335,45,-4.5e-05,-0.63573),(5335,55,-5.6e-05,-0.63578),(5335,65,-7.3e-05,-0.63584),(5335,75,-9.6e-05,-0.6359),(5335,85,-0.000119,-0.63598),(5335,95,-0.000142,-0.63608),(5335,105,-0.000162,-0.63618),(5335,115,-0.000181,-0.63628),(5335,125,-0.000199,-0.63642),(5335,135,-0.000217,-0.63659),(5335,145,-0.000223,-0.63675),(5335,155,-0.000221,-0.63692),(5335,165,-0.000219,-0.63713),(5335,175,-0.000217,-0.63737),(5335,185,-0.00022,-0.6376),(5335,195,-0.000225,-0.63784),(5335,205,-0.000231,-0.63809),(5335,215,-0.000236,-0.63836),(5335,225,-0.000257,-0.63862),(5335,235,-0.000285,-0.63888),(5335,245,-0.000314,-0.63915),(5335,255,-0.000342,-0.63942),(5335,265,-0.000377,-0.63969),(5335,275,-0.000415,-0.63997),(5335,285,-0.000453,-0.64026),(5335,295,-0.000491,-0.64057),(5335,305,-0.000521,-0.64087),(5335,315,-0.000548,-0.64118),(5335,325,-0.000576,-0.64156),(5335,335,-0.000604,-0.64197),(5335,345,-0.000617,-0.64237),(5335,355,-0.000628,-0.64277),(5335,365,-0.000639,-0.64326),(5335,375,-0.000649,-0.64377),(5335,385,-0.000662,-0.64427),(5335,395,-0.000675,-0.64477),(5335,405,-0.000689,-0.64532),(5335,415,-0.000702,-0.64588),(5335,425,-0.000726,-0.64643),(5335,435,-0.00075,-0.64699),(5335,445,-0.000775,-0.64759),(5335,455,-0.0008,-0.64819),(5335,465,-0.000831,-0.6488),(5335,475,-0.000863,-0.6494),(5335,485,-0.000894,-0.65007),(5335,495,-0.000926,-0.65075),(5335,505,-0.000969,-0.65142),(5335,515,-0.001011,-0.65209),(5335,525,-0.001054,-0.65281),(5335,535,-0.001097,-0.65353),(5335,545,-0.001147,-0.65425),(5335,555,-0.001197,-0.65498),(5335,565,-0.001247,-0.65578),(5335,575,-0.001297,-0.65658),(5335,585,-0.001343,-0.65738),(5335,595,-0.001389,-0.65819),(5335,605,-0.001435,-0.65911),(5335,615,-0.001481,-0.66002),(5335,625,-0.001525,-0.66093),(5335,635,-0.001569,-0.66186),(5335,645,-0.001612,-0.66287),(5335,655,-0.001658,-0.66389),(5335,665,-0.001712,-0.66491),(5335,675,-0.001766,-0.66594),(5335,685,-0.00182,-0.66702),(5335,695,-0.001875,-0.66811),(5335,705,-0.001934,-0.66919),(5335,715,-0.001992,-0.6703),(5335,725,-0.002051,-0.67149),(5335,735,-0.002109,-0.67267),(5335,745,-0.002164,-0.67386),(5335,755,-0.002219,-0.67508),(5335,765,-0.002275,-0.67638),(5335,775,-0.00233,-0.67768),(5335,785,-0.002388,-0.67899),(5335,795,-0.002446,-0.68032),(5335,805,-0.002504,-0.68173),(5335,815,-0.002563,-0.68313),(5335,825,-0.002627,-0.68454),(5335,835,-0.002691,-0.68598),(5335,845,-0.002755,-0.6875),(5335,855,-0.002822,-0.68901),(5335,865,-0.002895,-0.69053),(5335,875,-0.002968,-0.69207),(5335,885,-0.003041,-0.69367),(5335,895,-0.003119,-0.69527),(5335,905,-0.003204,-0.69687),(5335,915,-0.003289,-0.6985),(5335,925,-0.003375,-0.70017),(5335,935,-0.003464,-0.70185),(5335,945,-0.003558,-0.70352),(5335,955,-0.003652,-0.70523),(5335,965,-0.003746,-0.70699),(5335,975,-0.003841,-0.70876),(5335,985,-0.003937,-0.71052),(5335,995,-0.004033,-0.71233),(5335,1005,-0.00413,-0.7142),(5335,1015,-0.004235,-0.71606),(5335,1025,-0.004348,-0.71792),(5335,1035,-0.004462,-0.71981),(5335,1045,-0.004575,-0.7217),(5335,1055,-0.0047,-0.7236),(5335,1065,-0.004836,-0.7255),(5335,1075,-0.004971,-0.72743),(5335,1085,-0.005106,-0.72937),(5335,1095,-0.005233,-0.73131),(5335,1105,-0.005354,-0.73325),(5335,1115,-0.005475,-0.73524),(5335,1125,-0.005596,-0.73727),(5335,1135,-0.005868,-0.73931),(5335,1145,-0.006229,-0.74134),(5335,1155,-0.00659,-0.74325),(5335,1165,-0.006951,-0.7451),(5335,1175,-0.008674,-0.74695),(5335,1185,-0.011074,-0.7488),(5335,1195,-0.013473,-0.7494),(5335,1205,-0.015873,-0.74944),(5335,1215,-0.020563,-0.74947),(5335,1225,-0.0262,-0.74951),(5335,1235,-0.031836,-0.74652),(5335,1245,-0.037472,-0.74239),(5335,1255,-0.017396,-0.73827),(5335,1265,0.011364,-0.73415),(5335,1275,0.040125,-0.74648),(5335,1285,0.068885,-0.7638),(5335,1295,0.15308,-0.78112),(5335,1305,0.25227,-0.79844),(5335,1315,0.35147,-0.8741),(5335,1325,0.45066,-0.96372),(5335,1335,0.27794,-1.0533),(5335,1345,0.048236,-1.1429),(5335,1355,-0.18147,-1.0833),(5335,1365,-0.41117,-0.9965),(5335,1375,-0.36925,-0.90974),(5335,1385,-0.28541,-0.82298),(5335,1395,-0.20158,-0.79219),(5335,1405,-0.11775,-0.7686),(5335,1415,-0.073788,-0.745),(5335,1425,-0.033967,-0.7214),(5335,1435,0.005853,-0.72532),(5335,1445,0.045673,-0.73144),(5335,1455,0.041215,-0.73756),(5335,1465,0.034208,-0.74368),(5335,1475,0.0272,-0.74455),(5335,1485,0.020192,-0.74523),(5335,1495,0.016958,-0.74592),(5335,1505,0.013781,-0.74659),(5335,1515,0.010603,-0.74477),(5335,1525,0.007493,-0.74296),(5335,1535,0.00703,-0.74115),(5335,1545,0.006567,-0.73933),(5335,1555,0.006104,-0.73735),(5335,1565,0.005663,-0.73537),(5335,1575,0.005545,-0.73339),(5335,1585,0.005427,-0.73142),(5335,1595,0.005308,-0.7296),(5335,1605,0.005189,-0.72779),(5335,1615,0.005058,-0.72597),(5335,1625,0.004927,-0.72416),(5335,1635,0.004796,-0.72245),(5335,1645,0.004667,-0.72074),(5335,1655,0.004548,-0.71904),(5335,1665,0.00443,-0.71734),(5335,1675,0.004312,-0.7157),(5335,1685,0.004197,-0.71407),(5335,1695,0.004097,-0.71243),(5335,1705,0.003998,-0.71081),(5335,1715,0.003897,-0.70924),(5335,1725,0.0038,-0.70767),(5335,1735,0.00371,-0.7061),(5335,1745,0.00362,-0.70454),(5335,1755,0.00353,-0.70303),(5335,1765,0.003442,-0.70153),(5335,1775,0.003362,-0.70002),(5335,1785,0.003282,-0.69853),(5335,1795,0.003202,-0.69709),(5335,1805,0.003127,-0.69564),(5335,1815,0.003064,-0.6942),(5335,1825,0.003001,-0.69278),(5335,1835,0.002938,-0.69144),(5335,1845,0.002879,-0.69009),(5335,1855,0.002825,-0.68874),(5335,1865,0.002771,-0.68742),(5335,1875,0.002718,-0.68614),(5335,1885,0.002665,-0.68487),(5335,1895,0.002613,-0.68359),(5335,1905,0.002562,-0.68235),(5335,1915,0.002511,-0.68115),(5335,1925,0.002462,-0.67996),(5335,1935,0.002417,-0.67876),(5335,1945,0.002372,-0.6776),(5335,1955,0.002328,-0.67649),(5335,1965,0.002286,-0.67538),(5335,1975,0.002247,-0.67427),(5335,1985,0.002208,-0.6732),(5335,1995,0.00217,-0.67217),(5335,2005,0.002133,-0.67114),(5335,2015,0.002098,-0.6701),(5335,2025,0.002063,-0.66911),(5335,2035,0.002029,-0.66815),(5335,2045,0.001997,-0.66719),(5335,2055,0.001969,-0.66623),(5335,2065,0.00194,-0.66531),(5335,2075,0.001912,-0.66443),(5335,2085,0.001887,-0.66355),(5335,2095,0.001865,-0.66267),(5335,2105,0.001842,-0.66183),(5335,2115,0.00182,-0.66103),(5335,2125,0.001799,-0.66022),(5335,2135,0.00178,-0.65941),(5335,2145,0.001761,-0.65864),(5335,2155,0.001742,-0.6579),(5335,2165,0.001727,-0.65715),(5335,2175,0.001714,-0.65641),(5335,2185,0.001701,-0.65571),(5335,2195,0.001688,-0.65504),(5335,2205,0.001675,-0.65437),(5335,2215,0.001662,-0.6537),(5335,2225,0.001649,-0.65306),(5335,2235,0.001636,-0.65243),(5335,2245,0.001618,-0.65181),(5335,2255,0.001598,-0.65118),(5335,2265,0.001579,-0.65058),(5335,2275,0.001559,-0.65),(5335,2285,0.001538,-0.64941),(5335,2295,0.001517,-0.64882),(5335,2305,0.001495,-0.64827),(5335,2315,0.001474,-0.64773),(5335,2325,0.001453,-0.6472),(5335,2335,0.001431,-0.64666),(5335,2345,0.00141,-0.64616),(5335,2355,0.001389,-0.64567),(5335,2365,0.001372,-0.64517),(5335,2375,0.001356,-0.64468),(5335,2385,0.00134,-0.64424),(5335,2395,0.001323,-0.6438),(5335,2405,0.001315,-0.64337),(5335,2415,0.001308,-0.64293),(5335,2425,0.001301,-0.64255),(5335,2435,0.001294,-0.64218),(5335,2445,0.001287,-0.6418),(5335,2455,0.001281,-0.64143),(5335,2465,0.001275,-0.64109),(5335,2475,0.001268,-0.64075),(5335,2485,0.001258,-0.64042),(5335,2495,0.001248,-0.64008),(5335,2505,0.001237,-0.63978),(5335,2515,0.001227,-0.63947),(5335,2525,0.001218,-0.63917),(5335,2535,0.001209,-0.63887),(5335,2545,0.0012,-0.6386),(5335,2555,0.00119,-0.63834),(5335,2565,0.001181,-0.63808),(5335,2575,0.001171,-0.63781),(5335,2585,0.001161,-0.63757),(5335,2595,0.001152,-0.63733),(5335,2605,0.00114,-0.63709),(5335,2615,0.001127,-0.63686),(5335,2625,0.001115,-0.63664),(5335,2635,0.001103,-0.63643),(5335,2645,0.001093,-0.63622),(5335,2655,0.001082,-0.63601),(5335,2665,0.001072,-0.63584),(5335,2675,0.001062,-0.63567),(5335,2685,0.001052,-0.6355),(5335,2695,0.001042,-0.63534),(5335,2705,0.001032,-0.63519),(5335,2715,0.001021,-0.63505),(5335,2725,0.001007,-0.6349),(5335,2735,0.000992,-0.63476),(5335,2745,0.000977,-0.63462),(5335,2755,0.000963,-0.63449),(5335,2765,0.000949,-0.63435),(5335,2775,0.000935,-0.63422),(5335,2785,0.000921,-0.63412),(5335,2795,0.000908,-0.63402),(5335,2805,0.000899,-0.63392),(5335,2815,0.000889,-0.63383),(5335,2825,0.00088,-0.63376),(5335,2835,0.000868,-0.6337),(5335,2845,0.000851,-0.63363),(5335,2855,0.000834,-0.63357),(5335,2865,0.000817,-0.63352),(5335,2875,0.000801,-0.63346),(5335,2885,0.000784,-0.63341),(5335,2895,0.000768,-0.63338),(5335,2905,0.000752,-0.63338),(5335,2915,0.000738,-0.63339),(5335,2925,0.000728,-0.6334),(5335,2935,0.000718,-0.63341),(5335,2945,0.000708,-0.63344),(5335,2955,0.000694,-0.63347),(5335,2965,0.000675,-0.6335),(5335,2975,0.000655,-0.63354),(5335,2985,0.000636,-0.63358),(5335,2995,0.000618,-0.63362),(5335,3005,0.0006,-0.63366),(5335,3015,0.000582,-0.63373),(5335,3025,0.000564,-0.63384),(5335,3035,0.000544,-0.63394),(5335,3045,0.000523,-0.63404),(5335,3055,0.000501,-0.63415),(5335,3065,0.00048,-0.63427),(5335,3075,0.00045,-0.63438),(5335,3085,0.000412,-0.6345),(5335,3095,0.000375,-0.63462),(5335,3105,0.000337,-0.63475),(5335,3115,0.000306,-0.63487),(5335,3125,0.000278,-0.635),(5335,3135,0.00025,-0.63517),(5335,3145,0.000223,-0.63538),(5335,3155,0.000199,-0.63558),(5335,3165,0.000178,-0.63578),(5335,3175,0.000156,-0.63599),(5335,3185,0.000135,-0.63619),(5335,3195,0.000111,-0.63639),(5335,3205,8.7e-05,-0.6366),(5335,3215,6.2e-05,-0.63682),(5335,3225,3.8e-05,-0.63705),(5335,3235,1.8e-05,-0.63728),(5335,3245,0,-0.63751),(5335,3255,-1.8e-05,-0.63778),(5335,3265,-3.6e-05,-0.63807),(5335,3275,-6.4e-05,-0.63836),(5335,3285,-9.4e-05,-0.63864),(5335,3295,-0.000124,-0.63891),(5335,3305,-0.000155,-0.63918),(5335,3315,-0.000187,-0.63944),(5335,3325,-0.00022,-0.6397),(5335,3335,-0.000254,-0.64001),(5335,3345,-0.000287,-0.64032),(5335,3355,-0.000316,-0.64064),(5335,3365,-0.000344,-0.64096),(5335,3375,-0.000372,-0.64131),(5335,3385,-0.0004,-0.64168),(5335,3395,-0.000436,-0.64205),(5335,3405,-0.000474,-0.64241),(5335,3415,-0.000511,-0.64278),(5335,3425,-0.000548,-0.64316),(5335,3435,-0.000586,-0.64353),(5335,3445,-0.000623,-0.6439),(5335,3455,-0.000661,-0.64433),(5335,3465,-0.000698,-0.64476),(5335,3475,-0.000745,-0.64519),(5335,3485,-0.000793,-0.64562),(5335,3495,-0.000841,-0.64606),(5335,3505,-0.000888,-0.64651),(5335,3515,-0.000943,-0.64695),(5335,3525,-0.000998,-0.6474),(5335,3535,-0.001053,-0.64789),(5335,3545,-0.001108,-0.64837),(5335,3555,-0.001153,-0.64886),(5335,3565,-0.001198,-0.64936),(5335,3575,-0.001242,-0.64989),(5335,3585,-0.001287,-0.65043),(5335,3595,-0.001326,-0.65097),(5335,3605,-0.001366,-0.65152),(5335,3615,-0.001405,-0.6521),(5335,3625,-0.001445,-0.65269),(5335,3635,-0.001492,-0.65328),(5335,3645,-0.001538,-0.65388),(5335,3655,-0.001584,-0.65451),(5335,3665,-0.001631,-0.65514),(5335,3675,-0.001676,-0.65577),(5335,3685,-0.001722,-0.65641),(5335,3695,-0.001768,-0.65708),(5335,3705,-0.001814,-0.65775),(5335,3715,-0.001864,-0.65842),(5335,3725,-0.001914,-0.65911),(5335,3735,-0.001964,-0.65984),(5335,3745,-0.002019,-0.66056),(5335,3755,-0.002092,-0.66129),(5335,3765,-0.002165,-0.66203),(5335,3775,-0.002238,-0.66278),(5335,3785,-0.002302,-0.66354),(5335,3795,-0.002345,-0.66429),(5335,3805,-0.002388,-0.66508),(5335,3815,-0.002432,-0.66595),(5335,3825,-0.002522,-0.66682),(5335,3835,-0.002713,-0.66769),(5335,3845,-0.002903,-0.66852),(5335,3855,-0.003094,-0.66928),(5335,3865,-0.003788,-0.67003),(5335,3875,-0.005371,-0.67079),(5335,3885,-0.006955,-0.6711),(5335,3895,-0.008539,-0.67068),(5335,3905,-0.01119,-0.67026),(5335,3915,-0.015437,-0.66984),(5335,3925,-0.019684,-0.66814),(5335,3935,-0.023931,-0.66467),(5335,3945,-0.016419,-0.66121),(5335,3955,0.006024,-0.65775),(5335,3965,0.028467,-0.66204),(5335,3975,0.05091,-0.67541),(5335,3985,0.12612,-0.68879),(5335,3995,0.25846,-0.70217),(5335,4005,0.3908,-0.75809),(5335,4015,0.52314,-0.85655),(5335,4025,0.50932,-0.95502),(5335,4035,0.4812,-1.0227),(5335,4045,0.45308,-1.0253),(5335,4055,0.50894,-1.028),(5335,4065,0.59544,-1.0308),(5335,4075,0.68194,-1.0342),(5335,4085,0.72122,-1.0376),(5335,4095,0.72257,-1.041),(5335,4105,0.72392,-1.0436),(5335,4115,0.72561,-1.0463),(5335,4125,0.72785,-1.0489),(5335,4135,0.73009,-1.0509),(5335,4145,0.73256,-1.0527),(5335,4155,0.73594,-1.0546),(5335,4165,0.73932,-1.0559),(5335,4175,0.74273,-1.057),(5335,4185,0.74711,-1.058),(5335,4195,0.7515,-1.0587),(5335,4205,0.75588,-1.059),(5335,4215,0.76096,-1.0592),(5335,4225,0.76616,-1.0593),(5335,4235,0.77136,-1.0586),(5335,4245,0.77702,-1.058),(5335,4255,0.78291,-1.0573),(5335,4265,0.78881,-1.0559),(5335,4275,0.79492,-1.0546),(5335,4285,0.80126,-1.0532),(5335,4295,0.8076,-1.0514),(5335,4305,0.81402,-1.0495),(5335,4315,0.82063,-1.0476),(5335,4325,0.82724,-1.0453),(5335,4335,0.83387,-1.0429),(5335,4345,0.84063,-1.0405),(5335,4355,0.8474,-1.0378),(5335,4365,0.85417,-1.035),(5335,4375,0.86103,-1.0321),(5335,4385,0.8679,-1.0291),(5335,4395,0.87477,-1.0259),(5335,4405,0.8817,-1.0227),(5335,4415,0.88865,-1.0195),(5335,4425,0.89559,-1.0159),(5335,4435,0.90256,-1.0123),(5335,4445,0.90953,-1.0087),(5335,4455,0.9165,-1.0048),(5335,4465,0.92347,-1.001),(5335,4475,0.93043,-0.99711),(5335,4485,0.93739,-0.99293),(5335,4495,0.94433,-0.98869),(5335,4505,0.95122,-0.98444),(5335,4515,0.95812,-0.98004),(5335,4525,0.965,-0.97555),(5335,4535,0.9718,-0.97105),(5335,4545,0.97859,-0.96644),(5335,4555,0.98538,-0.96169),(5335,4565,0.99207,-0.95693),(5335,4575,0.99874,-0.95213),(5335,4585,1.0054,-0.94721),(5335,4595,1.012,-0.94229),(5335,4605,1.0185,-0.93736),(5335,4615,1.025,-0.93233),(5335,4625,1.0315,-0.92731),(5335,4635,1.0378,-0.92228),(5335,4645,1.0442,-0.9172),(5335,4655,1.0505,-0.91211),(5335,4665,1.0567,-0.90702),(5335,4675,1.0629,-0.90193),(5335,4685,1.069,-0.89685),(5335,4695,1.075,-0.89176),(5335,4705,1.081,-0.88664),(5335,4715,1.087,-0.8815),(5335,4725,1.0928,-0.87635),(5335,4735,1.0987,-0.87121),(5335,4745,1.1045,-0.86607),(5335,4755,1.1102,-0.86093),(5335,4765,1.1158,-0.8558),(5335,4775,1.1214,-0.85076),(5335,4785,1.1269,-0.84572),(5335,4795,1.1323,-0.84068),(5335,4805,1.1377,-0.83567),(5335,4815,1.1431,-0.83066),(5335,4825,1.1483,-0.82565),(5335,4835,1.1535,-0.82065),(5335,4845,1.1587,-0.81565),(5335,4855,1.1638,-0.81066),(5335,4865,1.1688,-0.80571),(5335,4875,1.1739,-0.80077),(5335,4885,1.1788,-0.79584),(5335,4895,1.1836,-0.79096),(5335,4905,1.1885,-0.78612),(5335,4915,1.1932,-0.78128),(5335,4925,1.198,-0.77646),(5335,4935,1.2027,-0.77169),(5335,4945,1.2073,-0.76692),(5335,4955,1.2118,-0.76216),(5335,4965,1.2163,-0.7575),(5335,4975,1.2208,-0.75284),(5335,4985,1.2252,-0.74819),(5335,4995,1.2296,-0.74365),(5335,5005,1.2339,-0.73911),(5335,5015,1.2381,-0.73457),(5335,5025,1.2424,-0.7301),(5335,5035,1.2466,-0.72563),(5335,5045,1.2507,-0.72117),(5335,5055,1.2548,-0.71678),(5335,5065,1.259,-0.71244),(5335,5075,1.263,-0.70809),(5335,5085,1.267,-0.70382),(5335,5095,1.271,-0.69964),(5335,5105,1.2749,-0.69546),(5335,5115,1.2789,-0.69131),(5335,5125,1.2828,-0.68723),(5335,5135,1.2867,-0.68315),(5335,5145,1.2905,-0.67909),(5335,5155,1.2944,-0.67514),(5335,5165,1.2983,-0.6712),(5335,5175,1.3021,-0.66726),(5335,5185,1.3059,-0.66342),(5335,5195,1.3098,-0.65959),(5335,5205,1.3136,-0.65576),(5335,5215,1.3173,-0.65202),(5335,5225,1.3211,-0.64832),(5335,5235,1.3249,-0.64462),(5335,5245,1.3287,-0.64097),(5335,5255,1.3324,-0.63737),(5335,5265,1.3362,-0.63376),(5335,5275,1.34,-0.63018),(5335,5285,1.3437,-0.62666),(5335,5295,1.3475,-0.62313),(5335,5305,1.3513,-0.61963),(5335,5315,1.355,-0.61623),(5335,5325,1.3588,-0.61282),(5335,5335,1.3626,-0.60942),(5335,5345,1.3664,-0.60605),(5335,5355,1.3702,-0.60268),(5335,5365,1.374,-0.59931),(5335,5375,1.3779,-0.59599),(5335,5385,1.3817,-0.59267),(5335,5395,1.3855,-0.58936),(5335,5405,1.3894,-0.58606),(5335,5415,1.3932,-0.58278),(5335,5425,1.3971,-0.5795),(5335,5435,1.401,-0.57621),(5335,5445,1.4049,-0.57292),(5335,5455,1.4088,-0.56963),(5335,5465,1.4127,-0.56632),(5335,5475,1.4167,-0.563),(5335,5485,1.4206,-0.55967),(5335,5495,1.4246,-0.55634),(5335,5505,1.4285,-0.55296),(5335,5515,1.4325,-0.54958),(5335,5525,1.4364,-0.54619),(5335,5535,1.4404,-0.54275),(5335,5545,1.4444,-0.5393),(5335,5555,1.4483,-0.53585),(5335,5565,1.4523,-0.53232),(5335,5575,1.4563,-0.52876),(5335,5585,1.4603,-0.52521),(5335,5595,1.4643,-0.5216),(5335,5605,1.4682,-0.51796),(5335,5615,1.4722,-0.51431),(5335,5625,1.4762,-0.51065),(5335,5635,1.4802,-0.50698),(5335,5645,1.4842,-0.50331),(5335,5655,1.4881,-0.4996),(5335,5665,1.4921,-0.4958),(5335,5675,1.496,-0.49199),(5335,5685,1.5,-0.48818),(5335,5695,1.5039,-0.48427),(5335,5705,1.5079,-0.48036),(5335,5715,1.5118,-0.47644),(5335,5725,1.5156,-0.47243),(5335,5735,1.5195,-0.46841),(5335,5745,1.5234,-0.46439),(5335,5755,1.5272,-0.46028),(5335,5765,1.531,-0.45612),(5335,5775,1.5348,-0.45197),(5335,5785,1.5385,-0.44773),(5335,5795,1.5423,-0.44341),(5335,5805,1.546,-0.43909),(5335,5815,1.5497,-0.43473),(5335,5825,1.5534,-0.43031),(5335,5835,1.557,-0.4259),(5335,5845,1.5606,-0.42146),(5335,5855,1.5643,-0.41695),(5335,5865,1.5679,-0.41244),(5335,5875,1.5714,-0.40792),(5335,5885,1.575,-0.40329),(5335,5895,1.5786,-0.39865),(5335,5905,1.5821,-0.39402),(5335,5915,1.5856,-0.3893),(5335,5925,1.5891,-0.38457),(5335,5935,1.5925,-0.37984),(5335,5945,1.596,-0.37505),(5335,5955,1.5994,-0.37021),(5335,5965,1.6028,-0.36537),(5335,5975,1.6061,-0.36049),(5335,5985,1.6095,-0.35554),(5335,5995,1.6127,-0.35058),(5335,6005,1.616,-0.34559),(5335,6015,1.6192,-0.3405),(5335,6025,1.6224,-0.3354),(5335,6035,1.6255,-0.3303),(5335,6045,1.6286,-0.32507),(5335,6055,1.6317,-0.31983),(5335,6065,1.6347,-0.3146),(5335,6075,1.6377,-0.30929),(5335,6085,1.6406,-0.30396),(5335,6095,1.6435,-0.29864),(5335,6105,1.6464,-0.29324),(5335,6115,1.6493,-0.28782),(5335,6125,1.6521,-0.2824),(5335,6135,1.6548,-0.27693),(5335,6145,1.6576,-0.27144),(5335,6155,1.6602,-0.26594),(5335,6165,1.6629,-0.26041),(5335,6175,1.6655,-0.25481),(5335,6185,1.668,-0.24921),(5335,6195,1.6705,-0.24358),(5335,6205,1.673,-0.23788),(5335,6215,1.6754,-0.23217),(5335,6225,1.6778,-0.22646),(5335,6235,1.6802,-0.22067),(5335,6245,1.6824,-0.21487),(5335,6255,1.6846,-0.20907),(5335,6265,1.6868,-0.20319),(5335,6275,1.6889,-0.1973),(5335,6285,1.6909,-0.1914),(5335,6295,1.6929,-0.18545),(5335,6305,1.6949,-0.17947),(5335,6315,1.6968,-0.1735),(5335,6325,1.6986,-0.16749),(5335,6335,1.7004,-0.16144),(5335,6345,1.7021,-0.1554),(5335,6355,1.7037,-0.14932),(5335,6365,1.7053,-0.14317),(5335,6375,1.7068,-0.13702),(5335,6385,1.7083,-0.13086),(5335,6395,1.7097,-0.12465),(5335,6405,1.7111,-0.11843),(5335,6415,1.7123,-0.11222),(5335,6425,1.7135,-0.10597),(5335,6435,1.7147,-0.099712),(5335,6445,1.7157,-0.093458),(5335,6455,1.7168,-0.087166),(5335,6465,1.7178,-0.080864),(5335,6475,1.7186,-0.074562),(5335,6485,1.7194,-0.068245),(5335,6495,1.7202,-0.061917),(5335,6505,1.7208,-0.05559),(5335,6515,1.7214,-0.049255),(5335,6525,1.722,-0.042908),(5335,6535,1.7224,-0.036562),(5335,6545,1.7228,-0.030209),(5335,6555,1.7231,-0.023834),(5335,6565,1.7234,-0.01746),(5335,6575,1.7235,-0.011087),(5335,6585,1.7237,-0.004736),(5335,6595,1.4662,0.001616),(5335,6605,0.9242,0.007967),(5335,6615,0.38221,0.008704),(5335,6625,0.001205,0.008719),(5335,6635,0.001224,0.008733),(5335,6645,0.001242,0.008755),(5335,6655,0.001261,0.008779),(5335,6665,0.001278,0.008803),(5335,6675,0.001295,0.008826),(5335,6685,0.001312,0.008848),(5335,6695,0.001328,0.00887),(5335,6705,0.001343,0.008892),(5335,6715,0.001359,0.008912),(5335,6725,0.001374,0.008932),(5335,6735,0.001388,0.008952),(5335,6745,0.001403,0.00897),(5335,6755,0.001417,0.008988),(5335,6765,0.00143,0.009006),(5335,6775,0.001444,0.009023),(5335,6785,0.001457,0.009039),(5335,6795,0.00147,0.009055),(5335,6805,0.001482,0.009071),(5335,6815,0.001495,0.009085),(5335,6825,0.001507,0.0091),(5335,6835,0.001519,0.009114),(5335,6845,0.001531,0.009127),(5335,6855,0.001543,0.00914),(5335,6865,0.001554,0.009152),(5335,6875,0.001566,0.009164),(5335,6885,0.001577,0.009175),(5335,6895,0.001588,0.009187),(5335,6905,0.001599,0.009197),(5335,6915,0.001609,0.009207),(5335,6925,0.00162,0.009217),(5335,6935,0.001631,0.009226),(5335,6945,0.001641,0.009235),(5335,6955,0.001651,0.009244),(5335,6965,0.001661,0.009252),(5335,6975,0.001672,0.009259),(5335,6985,0.001682,0.009267),(5345,5,-3e-06,-0.91171),(5345,15,-9e-06,-0.91182),(5345,25,-1.6e-05,-0.91193),(5345,35,-2.5e-05,-0.91204),(5345,45,-3.3e-05,-0.91213),(5345,55,-4.1e-05,-0.91222),(5345,65,-5.9e-05,-0.91231),(5345,75,-8.3e-05,-0.91239),(5345,85,-0.000108,-0.91251),(5345,95,-0.000132,-0.91265),(5345,105,-0.000153,-0.91279),(5345,115,-0.000171,-0.91293),(5345,125,-0.000189,-0.91313),(5345,135,-0.000206,-0.91337),(5345,145,-0.000207,-0.9136),(5345,155,-0.000198,-0.91383),(5345,165,-0.000188,-0.91414),(5345,175,-0.000179,-0.91448),(5345,185,-0.000176,-0.91482),(5345,195,-0.000176,-0.91516),(5345,205,-0.000175,-0.91552),(5345,215,-0.000175,-0.9159),(5345,225,-0.000196,-0.91628),(5345,235,-0.000226,-0.91665),(5345,245,-0.000257,-0.91704),(5345,255,-0.000287,-0.91744),(5345,265,-0.000327,-0.91783),(5345,275,-0.00037,-0.91822),(5345,285,-0.000413,-0.91865),(5345,295,-0.000457,-0.91908),(5345,305,-0.000489,-0.91952),(5345,315,-0.000518,-0.91995),(5345,325,-0.000547,-0.9205),(5345,335,-0.000576,-0.92107),(5345,345,-0.000585,-0.92165),(5345,355,-0.00059,-0.92222),(5345,365,-0.000596,-0.92292),(5345,375,-0.000601,-0.92364),(5345,385,-0.000608,-0.92436),(5345,395,-0.000616,-0.92508),(5345,405,-0.000624,-0.92587),(5345,415,-0.000632,-0.92666),(5345,425,-0.000653,-0.92746),(5345,435,-0.000675,-0.92825),(5345,445,-0.000697,-0.92912),(5345,455,-0.000719,-0.92998),(5345,465,-0.000749,-0.93085),(5345,475,-0.00078,-0.93171),(5345,485,-0.00081,-0.93267),(5345,495,-0.00084,-0.93364),(5345,505,-0.000885,-0.9346),(5345,515,-0.000929,-0.93557),(5345,525,-0.000973,-0.9366),(5345,535,-0.001018,-0.93763),(5345,545,-0.00107,-0.93866),(5345,555,-0.001123,-0.93969),(5345,565,-0.001175,-0.94083),(5345,575,-0.001227,-0.94198),(5345,585,-0.001272,-0.94312),(5345,595,-0.001318,-0.94427),(5345,605,-0.001363,-0.94558),(5345,615,-0.001408,-0.94688),(5345,625,-0.001449,-0.94818),(5345,635,-0.00149,-0.9495),(5345,645,-0.001531,-0.95096),(5345,655,-0.001573,-0.95241),(5345,665,-0.001627,-0.95387),(5345,675,-0.00168,-0.95534),(5345,685,-0.001734,-0.95689),(5345,695,-0.001788,-0.95844),(5345,705,-0.001847,-0.96),(5345,715,-0.001905,-0.96158),(5345,725,-0.001963,-0.96328),(5345,735,-0.002021,-0.96497),(5345,745,-0.002073,-0.96667),(5345,755,-0.002125,-0.96841),(5345,765,-0.002178,-0.97027),(5345,775,-0.002231,-0.97213),(5345,785,-0.002285,-0.97399),(5345,795,-0.002338,-0.97589),(5345,805,-0.002392,-0.9779),(5345,815,-0.002447,-0.97991),(5345,825,-0.002507,-0.98192),(5345,835,-0.002566,-0.98398),(5345,845,-0.002626,-0.98614),(5345,855,-0.002689,-0.98831),(5345,865,-0.002758,-0.99047),(5345,875,-0.002827,-0.99268),(5345,885,-0.002896,-0.99496),(5345,895,-0.00297,-0.99725),(5345,905,-0.003053,-0.99953),(5345,915,-0.003135,-1.0019),(5345,925,-0.003218,-1.0042),(5345,935,-0.003303,-1.0066),(5345,945,-0.003393,-1.009),(5345,955,-0.003483,-1.0115),(5345,965,-0.003573,-1.014),(5345,975,-0.003661,-1.0165),(5345,985,-0.003748,-1.019),(5345,995,-0.003835,-1.0216),(5345,1005,-0.003922,-1.0242),(5345,1015,-0.004016,-1.0269),(5345,1025,-0.004118,-1.0296),(5345,1035,-0.00422,-1.0323),(5345,1045,-0.004321,-1.035),(5345,1055,-0.004433,-1.0377),(5345,1065,-0.004553,-1.0404),(5345,1075,-0.004673,-1.0431),(5345,1085,-0.004794,-1.0459),(5345,1095,-0.004895,-1.0486),(5345,1105,-0.004984,-1.0514),(5345,1115,-0.005072,-1.0542),(5345,1125,-0.005161,-1.057),(5345,1135,-0.00544,-1.0598),(5345,1145,-0.005832,-1.0626),(5345,1155,-0.006224,-1.0653),(5345,1165,-0.006616,-1.068),(5345,1175,-0.008798,-1.0706),(5345,1185,-0.011868,-1.0733),(5345,1195,-0.014938,-1.0754),(5345,1205,-0.018008,-1.0772),(5345,1215,-0.024085,-1.0791),(5345,1225,-0.031404,-1.081),(5345,1235,-0.038722,-1.082),(5345,1245,-0.04604,-1.0828),(5345,1255,-0.019434,-1.0835),(5345,1265,0.01863,-1.0843),(5345,1275,0.056694,-1.0879),(5345,1285,0.094759,-1.0924),(5345,1295,0.20602,-1.0969),(5345,1305,0.33708,-1.1014),(5345,1315,0.46814,-1.1138),(5345,1325,0.5992,-1.128),(5345,1335,0.36917,-1.1422),(5345,1345,0.063469,-1.1565),(5345,1355,-0.24223,-1.1448),(5345,1365,-0.54793,-1.1283),(5345,1375,-0.49258,-1.1119),(5345,1385,-0.38152,-1.0955),(5345,1395,-0.27046,-1.0892),(5345,1405,-0.15939,-1.0843),(5345,1415,-0.10124,-1.0793),(5345,1425,-0.04857,-1.0744),(5345,1435,0.004096,-1.0744),(5345,1445,0.056761,-1.0748),(5345,1455,0.050993,-1.0753),(5345,1465,0.041859,-1.0757),(5345,1475,0.032726,-1.0743),(5345,1485,0.023592,-1.0729),(5345,1495,0.01942,-1.0715),(5345,1505,0.015323,-1.07),(5345,1515,0.011225,-1.0674),(5345,1525,0.007216,-1.0648),(5345,1535,0.006692,-1.0622),(5345,1545,0.006168,-1.0596),(5345,1555,0.005644,-1.0569),(5345,1565,0.005149,-1.0542),(5345,1575,0.005067,-1.0515),(5345,1585,0.004986,-1.0488),(5345,1595,0.004905,-1.0462),(5345,1605,0.00482,-1.0436),(5345,1615,0.004707,-1.0411),(5345,1625,0.004595,-1.0385),(5345,1635,0.004483,-1.0361),(5345,1645,0.004371,-1.0336),(5345,1655,0.004264,-1.0312),(5345,1665,0.004156,-1.0288),(5345,1675,0.004049,-1.0265),(5345,1685,0.003944,-1.0241),(5345,1695,0.003852,-1.0218),(5345,1705,0.00376,-1.0195),(5345,1715,0.003668,-1.0172),(5345,1725,0.003577,-1.015),(5345,1735,0.003492,-1.0128),(5345,1745,0.003407,-1.0105),(5345,1755,0.003322,-1.0084),(5345,1765,0.003239,-1.0062),(5345,1775,0.003162,-1.0041),(5345,1785,0.003085,-1.002),(5345,1795,0.003008,-0.9999),(5345,1805,0.002938,-0.99783),(5345,1815,0.00288,-0.99577),(5345,1825,0.002822,-0.99375),(5345,1835,0.002765,-0.99182),(5345,1845,0.00271,-0.9899),(5345,1855,0.002662,-0.98797),(5345,1865,0.002614,-0.98608),(5345,1875,0.002566,-0.98426),(5345,1885,0.002518,-0.98244),(5345,1895,0.002471,-0.98062),(5345,1905,0.002423,-0.97884),(5345,1915,0.002376,-0.97713),(5345,1925,0.002331,-0.97542),(5345,1935,0.00229,-0.97371),(5345,1945,0.002249,-0.97205),(5345,1955,0.002208,-0.97046),(5345,1965,0.00217,-0.96888),(5345,1975,0.002135,-0.96729),(5345,1985,0.002101,-0.96576),(5345,1995,0.002066,-0.96428),(5345,2005,0.002034,-0.96281),(5345,2015,0.002002,-0.96134),(5345,2025,0.001971,-0.95991),(5345,2035,0.00194,-0.95854),(5345,2045,0.001913,-0.95716),(5345,2055,0.001889,-0.95579),(5345,2065,0.001865,-0.95448),(5345,2075,0.001842,-0.95322),(5345,2085,0.001822,-0.95196),(5345,2095,0.001805,-0.95069),(5345,2105,0.001788,-0.9495),(5345,2115,0.001771,-0.94834),(5345,2125,0.001756,-0.94718),(5345,2135,0.001743,-0.94603),(5345,2145,0.001729,-0.94493),(5345,2155,0.001716,-0.94386),(5345,2165,0.001707,-0.94279),(5345,2175,0.0017,-0.94173),(5345,2185,0.001694,-0.94073),(5345,2195,0.001688,-0.93977),(5345,2205,0.001681,-0.93881),(5345,2215,0.001674,-0.93785),(5345,2225,0.001667,-0.93693),(5345,2235,0.00166,-0.93604),(5345,2245,0.001646,-0.93515),(5345,2255,0.001629,-0.93425),(5345,2265,0.001613,-0.9334),(5345,2275,0.001596,-0.93256),(5345,2285,0.001577,-0.93172),(5345,2295,0.001557,-0.93088),(5345,2305,0.001537,-0.93009),(5345,2315,0.001517,-0.92932),(5345,2325,0.001497,-0.92855),(5345,2335,0.001477,-0.92778),(5345,2345,0.001457,-0.92707),(5345,2355,0.001437,-0.92636),(5345,2365,0.001422,-0.92565),(5345,2375,0.001408,-0.92495),(5345,2385,0.001394,-0.92431),(5345,2395,0.00138,-0.92369),(5345,2405,0.001376,-0.92306),(5345,2415,0.001374,-0.92243),(5345,2425,0.001372,-0.92189),(5345,2435,0.001369,-0.92136),(5345,2445,0.001368,-0.92082),(5345,2455,0.001366,-0.92029),(5345,2465,0.001365,-0.9198),(5345,2475,0.001364,-0.91932),(5345,2485,0.001357,-0.91884),(5345,2495,0.001349,-0.91835),(5345,2505,0.001342,-0.91792),(5345,2515,0.001335,-0.91749),(5345,2525,0.001329,-0.91705),(5345,2535,0.001322,-0.91662),(5345,2545,0.001316,-0.91624),(5345,2555,0.00131,-0.91587),(5345,2565,0.001303,-0.91549),(5345,2575,0.001295,-0.91511),(5345,2585,0.001288,-0.91477),(5345,2595,0.00128,-0.91443),(5345,2605,0.001269,-0.91408),(5345,2615,0.001258,-0.91374),(5345,2625,0.001247,-0.91344),(5345,2635,0.001236,-0.91313),(5345,2645,0.001227,-0.91283),(5345,2655,0.001218,-0.91253),(5345,2665,0.00121,-0.91229),(5345,2675,0.001201,-0.91205),(5345,2685,0.001193,-0.9118),(5345,2695,0.001185,-0.91157),(5345,2705,0.001176,-0.91136),(5345,2715,0.001167,-0.91116),(5345,2725,0.001152,-0.91095),(5345,2735,0.001138,-0.91074),(5345,2745,0.001123,-0.91055),(5345,2755,0.001109,-0.91035),(5345,2765,0.001095,-0.91015),(5345,2775,0.001082,-0.90997),(5345,2785,0.001069,-0.90982),(5345,2795,0.001057,-0.90968),(5345,2805,0.00105,-0.90953),(5345,2815,0.001043,-0.9094),(5345,2825,0.001036,-0.90931),(5345,2835,0.001025,-0.90921),(5345,2845,0.001009,-0.90912),(5345,2855,0.000992,-0.90903),(5345,2865,0.000976,-0.90895),(5345,2875,0.00096,-0.90888),(5345,2885,0.000944,-0.9088),(5345,2895,0.000929,-0.90875),(5345,2905,0.000914,-0.90876),(5345,2915,0.000903,-0.90877),(5345,2925,0.000896,-0.90877),(5345,2935,0.000889,-0.9088),(5345,2945,0.000883,-0.90884),(5345,2955,0.000871,-0.90889),(5345,2965,0.000852,-0.90893),(5345,2975,0.000833,-0.90898),(5345,2985,0.000815,-0.90904),(5345,2995,0.000797,-0.9091),(5345,3005,0.00078,-0.90916),(5345,3015,0.000763,-0.90926),(5345,3025,0.000746,-0.90941),(5345,3035,0.000726,-0.90956),(5345,3045,0.000705,-0.90971),(5345,3055,0.000684,-0.90987),(5345,3065,0.000662,-0.91004),(5345,3075,0.000628,-0.91021),(5345,3085,0.000585,-0.91038),(5345,3095,0.000542,-0.91056),(5345,3105,0.000499,-0.91074),(5345,3115,0.000464,-0.91091),(5345,3125,0.000434,-0.91109),(5345,3135,0.000404,-0.91134),(5345,3145,0.000375,-0.91163),(5345,3155,0.000351,-0.91192),(5345,3165,0.000329,-0.91222),(5345,3175,0.000308,-0.91251),(5345,3185,0.000287,-0.9128),(5345,3195,0.000263,-0.91309),(5345,3205,0.000238,-0.91338),(5345,3215,0.000213,-0.9137),(5345,3225,0.000188,-0.91403),(5345,3235,0.00017,-0.91436),(5345,3245,0.000155,-0.91469),(5345,3255,0.000139,-0.91508),(5345,3265,0.000123,-0.91549),(5345,3275,9.6e-05,-0.91591),(5345,3285,6.4e-05,-0.91632),(5345,3295,3.3e-05,-0.9167),(5345,3305,1e-06,-0.91708),(5345,3315,-3.2e-05,-0.91746),(5345,3325,-6.7e-05,-0.91784),(5345,3335,-0.000101,-0.91828),(5345,3345,-0.000136,-0.91873),(5345,3355,-0.000164,-0.91918),(5345,3365,-0.00019,-0.91963),(5345,3375,-0.000217,-0.92014),(5345,3385,-0.000244,-0.92067),(5345,3395,-0.00028,-0.92119),(5345,3405,-0.000318,-0.92172),(5345,3415,-0.000356,-0.92225),(5345,3425,-0.000394,-0.92279),(5345,3435,-0.000431,-0.92332),(5345,3445,-0.000469,-0.92386),(5345,3455,-0.000506,-0.92447),(5345,3465,-0.000543,-0.92509),(5345,3475,-0.000592,-0.9257),(5345,3485,-0.000642,-0.92632),(5345,3495,-0.000691,-0.92696),(5345,3505,-0.000741,-0.92759),(5345,3515,-0.000799,-0.92823),(5345,3525,-0.000858,-0.92887),(5345,3535,-0.000916,-0.92957),(5345,3545,-0.000974,-0.93026),(5345,3555,-0.001017,-0.93096),(5345,3565,-0.001061,-0.93166),(5345,3575,-0.001105,-0.93243),(5345,3585,-0.001147,-0.9332),(5345,3595,-0.001182,-0.93397),(5345,3605,-0.001217,-0.93475),(5345,3615,-0.001251,-0.93559),(5345,3625,-0.001287,-0.93644),(5345,3635,-0.001329,-0.93728),(5345,3645,-0.001372,-0.93813),(5345,3655,-0.001414,-0.93904),(5345,3665,-0.001457,-0.93994),(5345,3675,-0.001497,-0.94085),(5345,3685,-0.001537,-0.94176),(5345,3695,-0.001578,-0.94272),(5345,3705,-0.001619,-0.94368),(5345,3715,-0.001663,-0.94465),(5345,3725,-0.001706,-0.94563),(5345,3735,-0.00175,-0.94667),(5345,3745,-0.001801,-0.94772),(5345,3755,-0.001875,-0.94877),(5345,3765,-0.001948,-0.94982),(5345,3775,-0.002021,-0.95089),(5345,3785,-0.002083,-0.95196),(5345,3795,-0.002116,-0.95303),(5345,3805,-0.002148,-0.95415),(5345,3815,-0.002181,-0.95536),(5345,3825,-0.002275,-0.95657),(5345,3835,-0.002502,-0.95778),(5345,3845,-0.002729,-0.95896),(5345,3855,-0.002955,-0.96008),(5345,3865,-0.003846,-0.96121),(5345,3875,-0.005911,-0.96233),(5345,3885,-0.007976,-0.9633),(5345,3895,-0.01004,-0.96402),(5345,3905,-0.01351,-0.96475),(5345,3915,-0.019077,-0.96547),(5345,3925,-0.024644,-0.96599),(5345,3935,-0.030211,-0.96622),(5345,3945,-0.020271,-0.96646),(5345,3955,0.009356,-0.9667),(5345,3965,0.038982,-0.96848),(5345,3975,0.068609,-0.97206),(5345,3985,0.16776,-0.97564),(5345,3995,0.34218,-0.97922),(5345,4005,0.5166,-0.98745),(5345,4015,0.69101,-1.0003),(5345,4025,0.63235,-1.0132),(5345,4035,0.55088,-1.0228),(5345,4045,0.46942,-1.0252),(5345,4055,0.51103,-1.0276),(5345,4065,0.59755,-1.0302),(5345,4075,0.68407,-1.0334),(5345,4085,0.72323,-1.0365),(5345,4095,0.72433,-1.0397),(5345,4105,0.72544,-1.0423),(5345,4115,0.72687,-1.0448),(5345,4125,0.72885,-1.0474),(5345,4135,0.73083,-1.0493),(5345,4145,0.73304,-1.0512),(5345,4155,0.73614,-1.053),(5345,4165,0.73924,-1.0544),(5345,4175,0.74236,-1.0555),(5345,4185,0.74645,-1.0567),(5345,4195,0.75055,-1.0575),(5345,4205,0.75464,-1.0579),(5345,4215,0.75943,-1.0583),(5345,4225,0.76434,-1.0585),(5345,4235,0.76926,-1.058),(5345,4245,0.77466,-1.0576),(5345,4255,0.78031,-1.0571),(5345,4265,0.78595,-1.0559),(5345,4275,0.79184,-1.0548),(5345,4285,0.79798,-1.0536),(5345,4295,0.80411,-1.0519),(5345,4305,0.81035,-1.0502),(5345,4315,0.8168,-1.0485),(5345,4325,0.82325,-1.0463),(5345,4335,0.82973,-1.0441),(5345,4345,0.83637,-1.0418),(5345,4355,0.84301,-1.0393),(5345,4365,0.84966,-1.0365),(5345,4375,0.85639,-1.0338),(5345,4385,0.86314,-1.031),(5345,4395,0.86988,-1.0279),(5345,4405,0.87668,-1.0248),(5345,4415,0.8835,-1.0216),(5345,4425,0.89032,-1.0182),(5345,4435,0.89716,-1.0147),(5345,4445,0.90401,-1.0112),(5345,4455,0.91086,-1.0075),(5345,4465,0.91771,-1.0038),(5345,4475,0.92456,-1.0001),(5345,4485,0.93141,-0.99609),(5345,4495,0.93825,-0.992),(5345,4505,0.94505,-0.98792),(5345,4515,0.95184,-0.98368),(5345,4525,0.95864,-0.97935),(5345,4535,0.96536,-0.97502),(5345,4545,0.97208,-0.97056),(5345,4555,0.9788,-0.96596),(5345,4565,0.98543,-0.96135),(5345,4575,0.99205,-0.95669),(5345,4585,0.99867,-0.95191),(5345,4595,1.0052,-0.94712),(5345,4605,1.0117,-0.94232),(5345,4615,1.0182,-0.93742),(5345,4625,1.0246,-0.93251),(5345,4635,1.0309,-0.9276),(5345,4645,1.0372,-0.92262),(5345,4655,1.0435,-0.91763),(5345,4665,1.0496,-0.91264),(5345,4675,1.0558,-0.90763),(5345,4685,1.0619,-0.90263),(5345,4695,1.0679,-0.89762),(5345,4705,1.0739,-0.89257),(5345,4715,1.0799,-0.88748),(5345,4725,1.0857,-0.8824),(5345,4735,1.0915,-0.87731),(5345,4745,1.0974,-0.87223),(5345,4755,1.103,-0.86715),(5345,4765,1.1087,-0.86208),(5345,4775,1.1143,-0.85709),(5345,4785,1.1198,-0.8521),(5345,4795,1.1252,-0.84711),(5345,4805,1.1306,-0.84214),(5345,4815,1.136,-0.83716),(5345,4825,1.1412,-0.83218),(5345,4835,1.1464,-0.8272),(5345,4845,1.1516,-0.82222),(5345,4855,1.1567,-0.81724),(5345,4865,1.1618,-0.8123),(5345,4875,1.1668,-0.80738),(5345,4885,1.1717,-0.80246),(5345,4895,1.1766,-0.79759),(5345,4905,1.1815,-0.79276),(5345,4915,1.1863,-0.78792),(5345,4925,1.191,-0.78311),(5345,4935,1.1957,-0.77833),(5345,4945,1.2004,-0.77356),(5345,4955,1.2049,-0.7688),(5345,4965,1.2095,-0.76413),(5345,4975,1.214,-0.75946),(5345,4985,1.2184,-0.75479),(5345,4995,1.2228,-0.75023),(5345,5005,1.2272,-0.74567),(5345,5015,1.2314,-0.74111),(5345,5025,1.2357,-0.73661),(5345,5035,1.24,-0.73212),(5345,5045,1.2441,-0.72763),(5345,5055,1.2483,-0.72321),(5345,5065,1.2525,-0.71884),(5345,5075,1.2565,-0.71446),(5345,5085,1.2605,-0.71016),(5345,5095,1.2646,-0.70594),(5345,5105,1.2685,-0.70172),(5345,5115,1.2725,-0.69752),(5345,5125,1.2764,-0.69339),(5345,5135,1.2803,-0.68926),(5345,5145,1.2842,-0.68514),(5345,5155,1.2881,-0.68113),(5345,5165,1.292,-0.67713),(5345,5175,1.2959,-0.67312),(5345,5185,1.2998,-0.66922),(5345,5195,1.3036,-0.66532),(5345,5205,1.3074,-0.66143),(5345,5215,1.3113,-0.65762),(5345,5225,1.3151,-0.65384),(5345,5235,1.3189,-0.65006),(5345,5245,1.3227,-0.64633),(5345,5255,1.3265,-0.64264),(5345,5265,1.3303,-0.63895),(5345,5275,1.334,-0.63529),(5345,5285,1.3378,-0.63168),(5345,5295,1.3416,-0.62806),(5345,5305,1.3454,-0.62447),(5345,5315,1.3492,-0.62097),(5345,5325,1.353,-0.61747),(5345,5335,1.3568,-0.61397),(5345,5345,1.3607,-0.61051),(5345,5355,1.3645,-0.60705),(5345,5365,1.3683,-0.60359),(5345,5375,1.3721,-0.60016),(5345,5385,1.376,-0.59675),(5345,5395,1.3798,-0.59333),(5345,5405,1.3837,-0.58994),(5345,5415,1.3875,-0.58656),(5345,5425,1.3914,-0.58318),(5345,5435,1.3953,-0.57978),(5345,5445,1.3992,-0.57638),(5345,5455,1.4031,-0.57298),(5345,5465,1.407,-0.56958),(5345,5475,1.4109,-0.56615),(5345,5485,1.4148,-0.56272),(5345,5495,1.4187,-0.55928),(5345,5505,1.4226,-0.5558),(5345,5515,1.4265,-0.55231),(5345,5525,1.4305,-0.54882),(5345,5535,1.4344,-0.54527),(5345,5545,1.4383,-0.54173),(5345,5555,1.4423,-0.53818),(5345,5565,1.4462,-0.53455),(5345,5575,1.4502,-0.53089),(5345,5585,1.4541,-0.52724),(5345,5595,1.458,-0.52353),(5345,5605,1.462,-0.5198),(5345,5615,1.4659,-0.51606),(5345,5625,1.4699,-0.51231),(5345,5635,1.4738,-0.50855),(5345,5645,1.4777,-0.50479),(5345,5655,1.4817,-0.501),(5345,5665,1.4856,-0.49711),(5345,5675,1.4895,-0.49323),(5345,5685,1.4934,-0.48934),(5345,5695,1.4973,-0.48536),(5345,5705,1.5012,-0.48137),(5345,5715,1.505,-0.47739),(5345,5725,1.5089,-0.47332),(5345,5735,1.5127,-0.46924),(5345,5745,1.5165,-0.46516),(5345,5755,1.5203,-0.46099),(5345,5765,1.5241,-0.45678),(5345,5775,1.5278,-0.45258),(5345,5785,1.5315,-0.44829),(5345,5795,1.5352,-0.44392),(5345,5805,1.5389,-0.43954),(5345,5815,1.5425,-0.43514),(5345,5825,1.5462,-0.43067),(5345,5835,1.5497,-0.42621),(5345,5845,1.5533,-0.42172),(5345,5855,1.5569,-0.41716),(5345,5865,1.5604,-0.4126),(5345,5875,1.564,-0.40803),(5345,5885,1.5675,-0.40336),(5345,5895,1.571,-0.39868),(5345,5905,1.5744,-0.394),(5345,5915,1.5779,-0.38924),(5345,5925,1.5814,-0.38448),(5345,5935,1.5848,-0.37971),(5345,5945,1.5882,-0.37488),(5345,5955,1.5916,-0.37001),(5345,5965,1.5949,-0.36515),(5345,5975,1.5982,-0.36023),(5345,5985,1.6015,-0.35526),(5345,5995,1.6047,-0.35029),(5345,6005,1.6079,-0.34529),(5345,6015,1.6111,-0.34018),(5345,6025,1.6143,-0.33507),(5345,6035,1.6173,-0.32995),(5345,6045,1.6204,-0.32471),(5345,6055,1.6234,-0.31946),(5345,6065,1.6264,-0.31422),(5345,6075,1.6294,-0.30889),(5345,6085,1.6323,-0.30355),(5345,6095,1.6351,-0.29822),(5345,6105,1.638,-0.29281),(5345,6115,1.6408,-0.28737),(5345,6125,1.6435,-0.28194),(5345,6135,1.6462,-0.27646),(5345,6145,1.6489,-0.27096),(5345,6155,1.6515,-0.26546),(5345,6165,1.6541,-0.25991),(5345,6175,1.6567,-0.25431),(5345,6185,1.6592,-0.2487),(5345,6195,1.6617,-0.24307),(5345,6205,1.6642,-0.23736),(5345,6215,1.6665,-0.23165),(5345,6225,1.6688,-0.22594),(5345,6235,1.6712,-0.22015),(5345,6245,1.6734,-0.21436),(5345,6255,1.6756,-0.20856),(5345,6265,1.6777,-0.20269),(5345,6275,1.6798,-0.19681),(5345,6285,1.6818,-0.19092),(5345,6295,1.6838,-0.18498),(5345,6305,1.6857,-0.17901),(5345,6315,1.6875,-0.17304),(5345,6325,1.6893,-0.16704),(5345,6335,1.6911,-0.161),(5345,6345,1.6927,-0.15497),(5345,6355,1.6943,-0.1489),(5345,6365,1.696,-0.14276),(5345,6375,1.6974,-0.13662),(5345,6385,1.6989,-0.13047),(5345,6395,1.7003,-0.12426),(5345,6405,1.7016,-0.11806),(5345,6415,1.7028,-0.11186),(5345,6425,1.704,-0.10562),(5345,6435,1.7052,-0.099384),(5345,6445,1.7062,-0.093146),(5345,6455,1.7072,-0.086871),(5345,6465,1.7082,-0.080586),(5345,6475,1.709,-0.0743),(5345,6485,1.7098,-0.068001),(5345,6495,1.7106,-0.061692),(5345,6505,1.7112,-0.055384),(5345,6515,1.7118,-0.049067),(5345,6525,1.7124,-0.042738),(5345,6535,1.7128,-0.03641),(5345,6545,1.7131,-0.030074),(5345,6555,1.7135,-0.023718),(5345,6565,1.7137,-0.017361),(5345,6575,1.7139,-0.011006),(5345,6585,1.714,-0.004672),(5345,6595,1.458,0.001662),(5345,6605,0.919,0.007996),(5345,6615,0.38004,0.008728),(5345,6625,0.001177,0.008741),(5345,6635,0.001196,0.008754),(5345,6645,0.001215,0.008774),(5345,6655,0.001234,0.008797),(5345,6665,0.001252,0.008821),(5345,6675,0.00127,0.008844),(5345,6685,0.001287,0.008865),(5345,6695,0.001303,0.008887),(5345,6705,0.00132,0.008908),(5345,6715,0.001336,0.008927),(5345,6725,0.001351,0.008947),(5345,6735,0.001366,0.008967),(5345,6745,0.001381,0.008984),(5345,6755,0.001396,0.009002),(5345,6765,0.00141,0.00902),(5345,6775,0.001424,0.009036),(5345,6785,0.001438,0.009053),(5345,6795,0.001451,0.009069),(5345,6805,0.001464,0.009084),(5345,6815,0.001477,0.009098),(5345,6825,0.00149,0.009113),(5345,6835,0.001502,0.009126),(5345,6845,0.001515,0.009139),(5345,6855,0.001527,0.009152),(5345,6865,0.001539,0.009164),(5345,6875,0.001551,0.009176),(5345,6885,0.001562,0.009187),(5345,6895,0.001574,0.009198),(5345,6905,0.001585,0.009208),(5345,6915,0.001596,0.009218),(5345,6925,0.001607,0.009228),(5345,6935,0.001618,0.009237),(5345,6945,0.001629,0.009246),(5345,6955,0.00164,0.009255),(5345,6965,0.001651,0.009262),(5345,6975,0.001661,0.00927),(5345,6985,0.001671,0.009277),(5355,5,-3e-06,-1.188),(5355,15,-8e-06,-1.1881),(5355,25,-1.5e-05,-1.1883),(5355,35,-2.4e-05,-1.1884),(5355,45,-3.2e-05,-1.1885),(5355,55,-4.1e-05,-1.1887),(5355,65,-5.8e-05,-1.1888),(5355,75,-8.2e-05,-1.1889),(5355,85,-0.000106,-1.189),(5355,95,-0.000131,-1.1892),(5355,105,-0.000149,-1.1894),(5355,115,-0.000164,-1.1896),(5355,125,-0.000179,-1.1898),(5355,135,-0.000193,-1.1901),(5355,145,-0.000185,-1.1904),(5355,155,-0.000163,-1.1907),(5355,165,-0.000141,-1.1911),(5355,175,-0.000119,-1.1916),(5355,185,-0.000102,-1.192),(5355,195,-8.7e-05,-1.1925),(5355,205,-7.2e-05,-1.193),(5355,215,-5.7e-05,-1.1934),(5355,225,-7.4e-05,-1.1939),(5355,235,-0.000104,-1.1944),(5355,245,-0.000133,-1.1949),(5355,255,-0.000163,-1.1955),(5355,265,-0.000215,-1.196),(5355,275,-0.000273,-1.1965),(5355,285,-0.000331,-1.197),(5355,295,-0.000389,-1.1976),(5355,305,-0.000431,-1.1982),(5355,315,-0.000469,-1.1987),(5355,325,-0.000507,-1.1994),(5355,335,-0.000545,-1.2002),(5355,345,-0.000548,-1.2009),(5355,355,-0.000543,-1.2017),(5355,365,-0.000539,-1.2026),(5355,375,-0.000534,-1.2035),(5355,385,-0.000526,-1.2044),(5355,395,-0.000517,-1.2054),(5355,405,-0.000508,-1.2064),(5355,415,-0.0005,-1.2074),(5355,425,-0.000506,-1.2085),(5355,435,-0.000514,-1.2095),(5355,445,-0.000522,-1.2106),(5355,455,-0.00053,-1.2118),(5355,465,-0.000547,-1.2129),(5355,475,-0.000564,-1.214),(5355,485,-0.000581,-1.2153),(5355,495,-0.000598,-1.2165),(5355,505,-0.000639,-1.2178),(5355,515,-0.000679,-1.219),(5355,525,-0.000719,-1.2204),(5355,535,-0.00076,-1.2217),(5355,545,-0.000816,-1.2231),(5355,555,-0.000873,-1.2244),(5355,565,-0.000929,-1.2259),(5355,575,-0.000984,-1.2274),(5355,585,-0.001028,-1.2289),(5355,595,-0.001073,-1.2304),(5355,605,-0.001117,-1.232),(5355,615,-0.00116,-1.2337),(5355,625,-0.00119,-1.2354),(5355,635,-0.001221,-1.2372),(5355,645,-0.001251,-1.239),(5355,655,-0.001285,-1.2409),(5355,665,-0.001332,-1.2428),(5355,675,-0.001379,-1.2447),(5355,685,-0.001426,-1.2468),(5355,695,-0.001475,-1.2488),(5355,705,-0.00153,-1.2508),(5355,715,-0.001586,-1.2529),(5355,725,-0.001642,-1.2551),(5355,735,-0.001695,-1.2573),(5355,745,-0.001741,-1.2595),(5355,755,-0.001786,-1.2617),(5355,765,-0.001832,-1.2642),(5355,775,-0.001876,-1.2666),(5355,785,-0.001917,-1.269),(5355,795,-0.001958,-1.2715),(5355,805,-0.001999,-1.2741),(5355,815,-0.002041,-1.2767),(5355,825,-0.002083,-1.2793),(5355,835,-0.002125,-1.282),(5355,845,-0.002167,-1.2848),(5355,855,-0.002213,-1.2876),(5355,865,-0.002265,-1.2904),(5355,875,-0.002317,-1.2933),(5355,885,-0.002368,-1.2963),(5355,895,-0.002427,-1.2992),(5355,905,-0.002495,-1.3022),(5355,915,-0.002564,-1.3052),(5355,925,-0.002632,-1.3083),(5355,935,-0.002703,-1.3114),(5355,945,-0.002777,-1.3145),(5355,955,-0.00285,-1.3177),(5355,965,-0.002924,-1.321),(5355,975,-0.002991,-1.3242),(5355,985,-0.003051,-1.3275),(5355,995,-0.00311,-1.3308),(5355,1005,-0.00317,-1.3343),(5355,1015,-0.003233,-1.3378),(5355,1025,-0.003299,-1.3412),(5355,1035,-0.003364,-1.3447),(5355,1045,-0.00343,-1.3482),(5355,1055,-0.003505,-1.3517),(5355,1065,-0.003589,-1.3553),(5355,1075,-0.003672,-1.3588),(5355,1085,-0.003755,-1.3624),(5355,1095,-0.003829,-1.3659),(5355,1105,-0.003896,-1.3695),(5355,1115,-0.003964,-1.3731),(5355,1125,-0.004031,-1.3767),(5355,1135,-0.004301,-1.3803),(5355,1145,-0.004691,-1.3839),(5355,1155,-0.005082,-1.3874),(5355,1165,-0.005472,-1.3909),(5355,1175,-0.007415,-1.3943),(5355,1185,-0.010128,-1.3977),(5355,1195,-0.012842,-1.4013),(5355,1205,-0.015556,-1.405),(5355,1215,-0.02063,-1.4087),(5355,1225,-0.026678,-1.4124),(5355,1235,-0.032726,-1.4175),(5355,1245,-0.038774,-1.4231),(5355,1255,-0.017509,-1.4288),(5355,1265,0.012981,-1.4344),(5355,1275,0.043471,-1.4293),(5355,1285,0.073961,-1.421),(5355,1295,0.16189,-1.4127),(5355,1305,0.26536,-1.4043),(5355,1315,0.36882,-1.3534),(5355,1325,0.47229,-1.2923),(5355,1335,0.28995,-1.2311),(5355,1345,0.047718,-1.17),(5355,1355,-0.19452,-1.2063),(5355,1365,-0.43675,-1.2602),(5355,1375,-0.39173,-1.3141),(5355,1385,-0.30238,-1.368),(5355,1395,-0.21303,-1.3863),(5355,1405,-0.12368,-1.4),(5355,1415,-0.076992,-1.4137),(5355,1425,-0.034734,-1.4274),(5355,1435,0.007524,-1.4235),(5355,1445,0.049782,-1.4183),(5355,1455,0.044657,-1.413),(5355,1465,0.036804,-1.4078),(5355,1475,0.02895,-1.4041),(5355,1485,0.021096,-1.4006),(5355,1495,0.017299,-1.397),(5355,1505,0.013563,-1.3935),(5355,1515,0.009828,-1.3901),(5355,1525,0.006171,-1.3867),(5355,1535,0.005626,-1.3833),(5355,1545,0.005082,-1.38),(5355,1555,0.004537,-1.3765),(5355,1565,0.004024,-1.373),(5355,1575,0.003965,-1.3696),(5355,1585,0.003905,-1.3661),(5355,1595,0.003846,-1.3628),(5355,1605,0.003785,-1.3595),(5355,1615,0.00371,-1.3562),(5355,1625,0.003635,-1.3529),(5355,1635,0.00356,-1.3497),(5355,1645,0.003485,-1.3466),(5355,1655,0.003406,-1.3434),(5355,1665,0.003327,-1.3403),(5355,1675,0.003249,-1.3372),(5355,1685,0.003172,-1.3342),(5355,1695,0.003107,-1.3312),(5355,1705,0.003041,-1.3282),(5355,1715,0.002975,-1.3252),(5355,1725,0.00291,-1.3223),(5355,1735,0.002849,-1.3194),(5355,1745,0.002788,-1.3165),(5355,1755,0.002727,-1.3138),(5355,1765,0.002665,-1.311),(5355,1775,0.002603,-1.3082),(5355,1785,0.002541,-1.3054),(5355,1795,0.002478,-1.3027),(5355,1805,0.002421,-1.3),(5355,1815,0.002375,-1.2973),(5355,1825,0.002329,-1.2947),(5355,1835,0.002283,-1.2922),(5355,1845,0.002239,-1.2897),(5355,1855,0.002198,-1.2872),(5355,1865,0.002158,-1.2847),(5355,1875,0.002118,-1.2824),(5355,1885,0.002076,-1.28),(5355,1895,0.002032,-1.2776),(5355,1905,0.001988,-1.2753),(5355,1915,0.001944,-1.2731),(5355,1925,0.001903,-1.2709),(5355,1935,0.001866,-1.2687),(5355,1945,0.001828,-1.2665),(5355,1955,0.001791,-1.2644),(5355,1965,0.001757,-1.2624),(5355,1975,0.001728,-1.2603),(5355,1985,0.001698,-1.2583),(5355,1995,0.001669,-1.2564),(5355,2005,0.001641,-1.2545),(5355,2015,0.001614,-1.2526),(5355,2025,0.001587,-1.2507),(5355,2035,0.001561,-1.2489),(5355,2045,0.001539,-1.2471),(5355,2055,0.001521,-1.2453),(5355,2065,0.001503,-1.2436),(5355,2075,0.001485,-1.242),(5355,2085,0.001473,-1.2404),(5355,2095,0.001465,-1.2387),(5355,2105,0.001458,-1.2372),(5355,2115,0.00145,-1.2357),(5355,2125,0.001445,-1.2341),(5355,2135,0.001442,-1.2326),(5355,2145,0.00144,-1.2312),(5355,2155,0.001437,-1.2298),(5355,2165,0.001442,-1.2284),(5355,2175,0.001451,-1.227),(5355,2185,0.00146,-1.2258),(5355,2195,0.001468,-1.2245),(5355,2205,0.001476,-1.2233),(5355,2215,0.001484,-1.222),(5355,2225,0.001492,-1.2208),(5355,2235,0.001499,-1.2197),(5355,2245,0.001495,-1.2185),(5355,2255,0.001486,-1.2173),(5355,2265,0.001477,-1.2162),(5355,2275,0.001468,-1.2151),(5355,2285,0.001453,-1.214),(5355,2295,0.001437,-1.2129),(5355,2305,0.00142,-1.2119),(5355,2315,0.001404,-1.2109),(5355,2325,0.001384,-1.2099),(5355,2335,0.001364,-1.2089),(5355,2345,0.001344,-1.208),(5355,2355,0.001324,-1.2071),(5355,2365,0.001309,-1.2061),(5355,2375,0.001295,-1.2052),(5355,2385,0.001281,-1.2044),(5355,2395,0.001267,-1.2036),(5355,2405,0.001268,-1.2028),(5355,2415,0.001271,-1.2019),(5355,2425,0.001274,-1.2012),(5355,2435,0.001277,-1.2005),(5355,2445,0.001284,-1.1998),(5355,2455,0.00129,-1.1991),(5355,2465,0.001297,-1.1985),(5355,2475,0.001304,-1.1979),(5355,2485,0.001304,-1.1973),(5355,2495,0.001304,-1.1966),(5355,2505,0.001304,-1.1961),(5355,2515,0.001304,-1.1955),(5355,2525,0.001304,-1.1949),(5355,2535,0.001303,-1.1944),(5355,2545,0.001303,-1.1939),(5355,2555,0.001303,-1.1934),(5355,2565,0.001299,-1.1929),(5355,2575,0.001295,-1.1924),(5355,2585,0.00129,-1.192),(5355,2595,0.001286,-1.1915),(5355,2605,0.001277,-1.1911),(5355,2615,0.001269,-1.1906),(5355,2625,0.00126,-1.1902),(5355,2635,0.001252,-1.1898),(5355,2645,0.001249,-1.1894),(5355,2655,0.001246,-1.1891),(5355,2665,0.001243,-1.1887),(5355,2675,0.001241,-1.1884),(5355,2685,0.001241,-1.1881),(5355,2695,0.001241,-1.1878),(5355,2705,0.00124,-1.1875),(5355,2715,0.001238,-1.1873),(5355,2725,0.001227,-1.187),(5355,2735,0.001216,-1.1867),(5355,2745,0.001205,-1.1865),(5355,2755,0.001195,-1.1862),(5355,2765,0.001184,-1.186),(5355,2775,0.001173,-1.1857),(5355,2785,0.001162,-1.1855),(5355,2795,0.001154,-1.1853),(5355,2805,0.001152,-1.1851),(5355,2815,0.00115,-1.185),(5355,2825,0.001148,-1.1848),(5355,2835,0.001142,-1.1847),(5355,2845,0.001128,-1.1846),(5355,2855,0.001115,-1.1845),(5355,2865,0.001101,-1.1844),(5355,2875,0.001089,-1.1843),(5355,2885,0.001079,-1.1842),(5355,2895,0.001069,-1.1841),(5355,2905,0.00106,-1.1841),(5355,2915,0.001053,-1.1841),(5355,2925,0.001051,-1.1841),(5355,2935,0.001049,-1.1842),(5355,2945,0.001047,-1.1842),(5355,2955,0.001036,-1.1843),(5355,2965,0.001015,-1.1844),(5355,2975,0.000993,-1.1844),(5355,2985,0.000972,-1.1845),(5355,2995,0.000954,-1.1846),(5355,3005,0.000938,-1.1847),(5355,3015,0.000923,-1.1848),(5355,3025,0.000907,-1.185),(5355,3035,0.000889,-1.1852),(5355,3045,0.000868,-1.1854),(5355,3055,0.000847,-1.1856),(5355,3065,0.000826,-1.1858),(5355,3075,0.000789,-1.186),(5355,3085,0.00074,-1.1863),(5355,3095,0.000691,-1.1865),(5355,3105,0.000642,-1.1867),(5355,3115,0.000608,-1.187),(5355,3125,0.000584,-1.1872),(5355,3135,0.00056,-1.1875),(5355,3145,0.000536,-1.1879),(5355,3155,0.000518,-1.1883),(5355,3165,0.000503,-1.1886),(5355,3175,0.000487,-1.189),(5355,3185,0.000472,-1.1894),(5355,3195,0.000453,-1.1898),(5355,3205,0.000432,-1.1902),(5355,3215,0.000411,-1.1906),(5355,3225,0.00039,-1.191),(5355,3235,0.000384,-1.1914),(5355,3245,0.000383,-1.1919),(5355,3255,0.000383,-1.1924),(5355,3265,0.000383,-1.1929),(5355,3275,0.000363,-1.1935),(5355,3285,0.000338,-1.194),(5355,3295,0.000313,-1.1945),(5355,3305,0.000288,-1.195),(5355,3315,0.000258,-1.1955),(5355,3325,0.000227,-1.196),(5355,3335,0.000196,-1.1965),(5355,3345,0.000165,-1.1971),(5355,3355,0.000146,-1.1977),(5355,3365,0.000129,-1.1983),(5355,3375,0.000113,-1.199),(5355,3385,9.7e-05,-1.1997),(5355,3395,6.6e-05,-1.2003),(5355,3405,3.3e-05,-1.201),(5355,3415,0,-1.2017),(5355,3425,-3.3e-05,-1.2024),(5355,3435,-6e-05,-1.2031),(5355,3445,-8.6e-05,-1.2038),(5355,3455,-0.000113,-1.2046),(5355,3465,-0.000139,-1.2054),(5355,3475,-0.000177,-1.2062),(5355,3485,-0.000215,-1.207),(5355,3495,-0.000254,-1.2079),(5355,3505,-0.000292,-1.2087),(5355,3515,-0.000345,-1.2095),(5355,3525,-0.000398,-1.2103),(5355,3535,-0.000451,-1.2112),(5355,3545,-0.000503,-1.2122),(5355,3555,-0.000543,-1.2131),(5355,3565,-0.000583,-1.214),(5355,3575,-0.000623,-1.215),(5355,3585,-0.000661,-1.216),(5355,3595,-0.000683,-1.217),(5355,3605,-0.000704,-1.218),(5355,3615,-0.000726,-1.2191),(5355,3625,-0.000748,-1.2202),(5355,3635,-0.00078,-1.2213),(5355,3645,-0.000811,-1.2224),(5355,3655,-0.000842,-1.2236),(5355,3665,-0.000874,-1.2247),(5355,3675,-0.000912,-1.2259),(5355,3685,-0.000949,-1.2271),(5355,3695,-0.000987,-1.2284),(5355,3705,-0.001023,-1.2296),(5355,3715,-0.001053,-1.2309),(5355,3725,-0.001082,-1.2321),(5355,3735,-0.001112,-1.2335),(5355,3745,-0.001151,-1.2349),(5355,3755,-0.001222,-1.2362),(5355,3765,-0.001293,-1.2376),(5355,3775,-0.001363,-1.239),(5355,3785,-0.001426,-1.2404),(5355,3795,-0.001467,-1.2418),(5355,3805,-0.001508,-1.2432),(5355,3815,-0.001549,-1.2448),(5355,3825,-0.001653,-1.2463),(5355,3835,-0.00189,-1.2479),(5355,3845,-0.002128,-1.2494),(5355,3855,-0.002365,-1.2509),(5355,3865,-0.003171,-1.2524),(5355,3875,-0.00498,-1.2539),(5355,3885,-0.00679,-1.2555),(5355,3895,-0.008599,-1.2574),(5355,3905,-0.011461,-1.2592),(5355,3915,-0.015894,-1.2611),(5355,3925,-0.020328,-1.2638),(5355,3935,-0.024762,-1.2678),(5355,3945,-0.016713,-1.2717),(5355,3955,0.007183,-1.2757),(5355,3965,0.031079,-1.2749),(5355,3975,0.054976,-1.2687),(5355,3985,0.13287,-1.2625),(5355,3995,0.2692,-1.2563),(5355,4005,0.40553,-1.2168),(5355,4015,0.54187,-1.1441),(5355,4025,0.52384,-1.0714),(5355,4035,0.49072,-1.0229),(5355,4045,0.45759,-1.025),(5355,4055,0.51219,-1.0272),(5355,4065,0.5988,-1.0295),(5355,4075,0.68542,-1.0325),(5355,4085,0.72454,-1.0355),(5355,4095,0.72552,-1.0385),(5355,4105,0.72649,-1.0409),(5355,4115,0.72778,-1.0434),(5355,4125,0.7296,-1.0458),(5355,4135,0.73142,-1.0478),(5355,4145,0.73346,-1.0496),(5355,4155,0.73638,-1.0514),(5355,4165,0.7393,-1.0529),(5355,4175,0.74224,-1.0541),(5355,4185,0.74613,-1.0553),(5355,4195,0.75002,-1.0563),(5355,4205,0.75391,-1.0568),(5355,4215,0.75848,-1.0574),(5355,4225,0.76317,-1.0577),(5355,4235,0.76787,-1.0575),(5355,4245,0.77304,-1.0572),(5355,4255,0.77845,-1.0569),(5355,4265,0.78387,-1.0559),(5355,4275,0.78953,-1.055),(5355,4285,0.79544,-1.054),(5355,4295,0.80136,-1.0525),(5355,4305,0.80739,-1.0509),(5355,4315,0.81365,-1.0494),(5355,4325,0.81991,-1.0474),(5355,4335,0.8262,-1.0453),(5355,4345,0.83268,-1.0431),(5355,4355,0.83916,-1.0407),(5355,4365,0.84564,-1.0381),(5355,4375,0.85225,-1.0355),(5355,4385,0.85886,-1.0328),(5355,4395,0.86547,-1.0298),(5355,4405,0.87216,-1.0268),(5355,4415,0.87887,-1.0238),(5355,4425,0.88557,-1.0205),(5355,4435,0.8923,-1.0171),(5355,4445,0.89904,-1.0138),(5355,4455,0.90578,-1.0102),(5355,4465,0.91252,-1.0067),(5355,4475,0.91927,-1.0031),(5355,4485,0.92602,-0.99924),(5355,4495,0.93277,-0.99532),(5355,4505,0.93947,-0.99141),(5355,4515,0.94618,-0.98733),(5355,4525,0.95288,-0.98316),(5355,4535,0.95951,-0.97899),(5355,4545,0.96615,-0.97468),(5355,4555,0.97279,-0.97023),(5355,4565,0.97935,-0.96577),(5355,4575,0.9859,-0.96125),(5355,4585,0.99245,-0.9566),(5355,4595,0.99891,-0.95195),(5355,4605,1.0053,-0.94729),(5355,4615,1.0118,-0.9425),(5355,4625,1.0181,-0.93771),(5355,4635,1.0244,-0.93293),(5355,4645,1.0307,-0.92804),(5355,4655,1.0369,-0.92315),(5355,4665,1.043,-0.91825),(5355,4675,1.0491,-0.91334),(5355,4685,1.0552,-0.90841),(5355,4695,1.0612,-0.90349),(5355,4705,1.0671,-0.8985),(5355,4715,1.0731,-0.89347),(5355,4725,1.0789,-0.88844),(5355,4735,1.0847,-0.88341),(5355,4745,1.0905,-0.87839),(5355,4755,1.0962,-0.87337),(5355,4765,1.1018,-0.86836),(5355,4775,1.1074,-0.86342),(5355,4785,1.1129,-0.85848),(5355,4795,1.1183,-0.85354),(5355,4805,1.1237,-0.8486),(5355,4815,1.129,-0.84366),(5355,4825,1.1343,-0.83871),(5355,4835,1.1395,-0.83375),(5355,4845,1.1447,-0.82879),(5355,4855,1.1498,-0.82382),(5355,4865,1.1548,-0.8189),(5355,4875,1.1599,-0.81399),(5355,4885,1.1648,-0.80909),(5355,4895,1.1697,-0.80422),(5355,4905,1.1746,-0.79939),(5355,4915,1.1794,-0.79456),(5355,4925,1.1841,-0.78975),(5355,4935,1.1889,-0.78497),(5355,4945,1.1935,-0.7802),(5355,4955,1.1981,-0.77544),(5355,4965,1.2026,-0.77076),(5355,4975,1.2071,-0.76607),(5355,4985,1.2116,-0.76139),(5355,4995,1.216,-0.75681),(5355,5005,1.2204,-0.75223),(5355,5015,1.2247,-0.74765),(5355,5025,1.229,-0.74312),(5355,5035,1.2333,-0.7386),(5355,5045,1.2374,-0.73408),(5355,5055,1.2416,-0.72964),(5355,5065,1.2458,-0.72524),(5355,5075,1.2499,-0.72083),(5355,5085,1.2539,-0.71649),(5355,5095,1.258,-0.71223),(5355,5105,1.262,-0.70798),(5355,5115,1.266,-0.70374),(5355,5125,1.27,-0.69955),(5355,5135,1.2739,-0.69536),(5355,5145,1.2778,-0.69119),(5355,5155,1.2818,-0.68712),(5355,5165,1.2857,-0.68306),(5355,5175,1.2895,-0.67899),(5355,5185,1.2934,-0.67502),(5355,5195,1.2973,-0.67106),(5355,5205,1.3011,-0.6671),(5355,5215,1.305,-0.66321),(5355,5225,1.3088,-0.65936),(5355,5235,1.3126,-0.6555),(5355,5245,1.3165,-0.65169),(5355,5255,1.3203,-0.64792),(5355,5265,1.3241,-0.64415),(5355,5275,1.3279,-0.6404),(5355,5285,1.3317,-0.63669),(5355,5295,1.3355,-0.63299),(5355,5305,1.3393,-0.6293),(5355,5315,1.3431,-0.62571),(5355,5325,1.3469,-0.62211),(5355,5335,1.3507,-0.61852),(5355,5345,1.3545,-0.61497),(5355,5355,1.3583,-0.61141),(5355,5365,1.3622,-0.60786),(5355,5375,1.366,-0.60434),(5355,5385,1.3698,-0.60082),(5355,5395,1.3737,-0.59731),(5355,5405,1.3776,-0.59381),(5355,5415,1.3814,-0.59033),(5355,5425,1.3853,-0.58685),(5355,5435,1.3892,-0.58335),(5355,5445,1.393,-0.57985),(5355,5455,1.3969,-0.57634),(5355,5465,1.4008,-0.57283),(5355,5475,1.4047,-0.5693),(5355,5485,1.4086,-0.56577),(5355,5495,1.4125,-0.56223),(5355,5505,1.4164,-0.55863),(5355,5515,1.4203,-0.55504),(5355,5525,1.4242,-0.55145),(5355,5535,1.4281,-0.5478),(5355,5545,1.432,-0.54416),(5355,5555,1.4359,-0.54051),(5355,5565,1.4399,-0.53678),(5355,5575,1.4438,-0.53302),(5355,5585,1.4477,-0.52927),(5355,5595,1.4516,-0.52547),(5355,5605,1.4555,-0.52163),(5355,5615,1.4594,-0.5178),(5355,5625,1.4633,-0.51397),(5355,5635,1.4672,-0.51012),(5355,5645,1.4711,-0.50627),(5355,5655,1.475,-0.50239),(5355,5665,1.4788,-0.49843),(5355,5675,1.4827,-0.49446),(5355,5685,1.4866,-0.4905),(5355,5695,1.4904,-0.48644),(5355,5705,1.4943,-0.48239),(5355,5715,1.4981,-0.47834),(5355,5725,1.5019,-0.47421),(5355,5735,1.5057,-0.47007),(5355,5745,1.5095,-0.46593),(5355,5755,1.5132,-0.4617),(5355,5765,1.517,-0.45744),(5355,5775,1.5207,-0.45319),(5355,5785,1.5243,-0.44884),(5355,5795,1.528,-0.44442),(5355,5805,1.5316,-0.44),(5355,5815,1.5352,-0.43555),(5355,5825,1.5389,-0.43103),(5355,5835,1.5424,-0.42651),(5355,5845,1.5459,-0.42198),(5355,5855,1.5495,-0.41737),(5355,5865,1.553,-0.41276),(5355,5875,1.5565,-0.40815),(5355,5885,1.5599,-0.40342),(5355,5895,1.5634,-0.3987),(5355,5905,1.5668,-0.39398),(5355,5915,1.5702,-0.38919),(5355,5925,1.5736,-0.38438),(5355,5935,1.577,-0.37957),(5355,5945,1.5803,-0.37471),(5355,5955,1.5837,-0.36981),(5355,5965,1.5869,-0.36492),(5355,5975,1.5902,-0.35998),(5355,5985,1.5935,-0.35499),(5355,5995,1.5967,-0.35),(5355,6005,1.5999,-0.34498),(5355,6015,1.603,-0.33986),(5355,6025,1.6061,-0.33474),(5355,6035,1.6092,-0.3296),(5355,6045,1.6122,-0.32435),(5355,6055,1.6152,-0.31909),(5355,6065,1.6181,-0.31384),(5355,6075,1.6211,-0.3085),(5355,6085,1.6239,-0.30314),(5355,6095,1.6267,-0.29779),(5355,6105,1.6296,-0.29237),(5355,6115,1.6323,-0.28692),(5355,6125,1.635,-0.28147),(5355,6135,1.6377,-0.27599),(5355,6145,1.6404,-0.27048),(5355,6155,1.643,-0.26497),(5355,6165,1.6455,-0.25942),(5355,6175,1.6481,-0.25381),(5355,6185,1.6505,-0.24819),(5355,6195,1.653,-0.24256),(5355,6205,1.6554,-0.23685),(5355,6215,1.6577,-0.23114),(5355,6225,1.66,-0.22542),(5355,6235,1.6623,-0.21963),(5355,6245,1.6645,-0.21384),(5355,6255,1.6666,-0.20806),(5355,6265,1.6688,-0.20219),(5355,6275,1.6708,-0.19632),(5355,6285,1.6728,-0.19044),(5355,6295,1.6747,-0.18451),(5355,6305,1.6767,-0.17854),(5355,6315,1.6784,-0.17258),(5355,6325,1.6802,-0.16659),(5355,6335,1.682,-0.16056),(5355,6345,1.6836,-0.15453),(5355,6355,1.6852,-0.14848),(5355,6365,1.6867,-0.14234),(5355,6375,1.6882,-0.13621),(5355,6385,1.6896,-0.13007),(5355,6395,1.691,-0.12388),(5355,6405,1.6923,-0.11769),(5355,6415,1.6935,-0.1115),(5355,6425,1.6947,-0.10528),(5355,6435,1.6958,-0.099056),(5355,6445,1.6968,-0.092834),(5355,6455,1.6978,-0.086575),(5355,6465,1.6988,-0.080307),(5355,6475,1.6996,-0.074038),(5355,6485,1.7004,-0.067757),(5355,6495,1.7011,-0.061468),(5355,6505,1.7017,-0.055178),(5355,6515,1.7023,-0.04888),(5355,6525,1.7029,-0.042569),(5355,6535,1.7033,-0.036258),(5355,6545,1.7036,-0.02994),(5355,6555,1.704,-0.023601),(5355,6565,1.7042,-0.017262),(5355,6575,1.7044,-0.010925),(5355,6585,1.7045,-0.004608),(5355,6595,1.4499,0.001708),(5355,6605,0.91389,0.008024),(5355,6615,0.37792,0.008753),(5355,6625,0.00115,0.008763),(5355,6635,0.00117,0.008773),(5355,6645,0.00119,0.008793),(5355,6655,0.00121,0.008816),(5355,6665,0.001228,0.008839),(5355,6675,0.001246,0.008861),(5355,6685,0.001264,0.008882),(5355,6695,0.001281,0.008903),(5355,6705,0.001298,0.008924),(5355,6715,0.001315,0.008943),(5355,6725,0.00133,0.008962),(5355,6735,0.001346,0.008981),(5355,6745,0.001362,0.008999),(5355,6755,0.001377,0.009017),(5355,6765,0.001391,0.009034),(5355,6775,0.001406,0.00905),(5355,6785,0.00142,0.009066),(5355,6795,0.001434,0.009082),(5355,6805,0.001447,0.009097),(5355,6815,0.001461,0.009111),(5355,6825,0.001474,0.009125),(5355,6835,0.001487,0.009139),(5355,6845,0.0015,0.009151),(5355,6855,0.001512,0.009164),(5355,6865,0.001525,0.009176),(5355,6875,0.001537,0.009187),(5355,6885,0.001549,0.009199),(5355,6895,0.001561,0.00921),(5355,6905,0.001573,0.009219),(5355,6915,0.001584,0.009229),(5355,6925,0.001595,0.009239),(5355,6935,0.001607,0.009248),(5355,6945,0.001618,0.009257),(5355,6955,0.001629,0.009265),(5355,6965,0.00164,0.009273),(5355,6975,0.001651,0.00928),(5355,6985,0.001662,0.009288),(5365,5,-2e-06,-1.4431),(5365,15,-7e-06,-1.4432),(5365,25,-1.4e-05,-1.4434),(5365,35,-2.3e-05,-1.4436),(5365,45,-3.2e-05,-1.4437),(5365,55,-4e-05,-1.4439),(5365,65,-5.7e-05,-1.444),(5365,75,-8.1e-05,-1.4442),(5365,85,-0.000105,-1.4443),(5365,95,-0.000129,-1.4446),(5365,105,-0.000145,-1.4448),(5365,115,-0.000157,-1.445),(5365,125,-0.000169,-1.4453),(5365,135,-0.00018,-1.4457),(5365,145,-0.000163,-1.446),(5365,155,-0.000128,-1.4464),(5365,165,-9.4e-05,-1.4469),(5365,175,-5.9e-05,-1.4474),(5365,185,-2.8e-05,-1.448),(5365,195,2e-06,-1.4485),(5365,205,3.1e-05,-1.4491),(5365,215,6.1e-05,-1.4497),(5365,225,4.8e-05,-1.4503),(5365,235,1.9e-05,-1.4509),(5365,245,-1e-05,-1.4515),(5365,255,-4e-05,-1.4521),(5365,265,-0.000102,-1.4528),(5365,275,-0.000175,-1.4534),(5365,285,-0.000248,-1.4541),(5365,295,-0.000322,-1.4547),(5365,305,-0.000374,-1.4554),(5365,315,-0.000421,-1.4561),(5365,325,-0.000467,-1.457),(5365,335,-0.000514,-1.4579),(5365,345,-0.00051,-1.4588),(5365,355,-0.000496,-1.4597),(5365,365,-0.000482,-1.4608),(5365,375,-0.000468,-1.4619),(5365,385,-0.000444,-1.463),(5365,395,-0.000419,-1.4642),(5365,405,-0.000393,-1.4654),(5365,415,-0.000368,-1.4667),(5365,425,-0.00036,-1.4679),(5365,435,-0.000354,-1.4692),(5365,445,-0.000347,-1.4706),(5365,455,-0.000341,-1.4719),(5365,465,-0.000344,-1.4733),(5365,475,-0.000348,-1.4747),(5365,485,-0.000352,-1.4762),(5365,495,-0.000356,-1.4777),(5365,505,-0.000392,-1.4792),(5365,515,-0.000429,-1.4808),(5365,525,-0.000465,-1.4824),(5365,535,-0.000503,-1.484),(5365,545,-0.000563,-1.4856),(5365,555,-0.000623,-1.4873),(5365,565,-0.000683,-1.4891),(5365,575,-0.000741,-1.4909),(5365,585,-0.000785,-1.4927),(5365,595,-0.000828,-1.4945),(5365,605,-0.000871,-1.4965),(5365,615,-0.000912,-1.4986),(5365,625,-0.000932,-1.5006),(5365,635,-0.000952,-1.5027),(5365,645,-0.000972,-1.505),(5365,655,-0.000996,-1.5073),(5365,665,-0.001036,-1.5096),(5365,675,-0.001077,-1.5119),(5365,685,-0.001118,-1.5144),(5365,695,-0.001161,-1.5168),(5365,705,-0.001214,-1.5193),(5365,715,-0.001267,-1.5218),(5365,725,-0.00132,-1.5245),(5365,735,-0.00137,-1.5271),(5365,745,-0.001408,-1.5298),(5365,755,-0.001447,-1.5326),(5365,765,-0.001486,-1.5355),(5365,775,-0.001522,-1.5384),(5365,785,-0.00155,-1.5414),(5365,795,-0.001578,-1.5444),(5365,805,-0.001607,-1.5475),(5365,815,-0.001634,-1.5507),(5365,825,-0.001659,-1.5539),(5365,835,-0.001684,-1.5571),(5365,845,-0.001709,-1.5605),(5365,855,-0.001737,-1.5639),(5365,865,-0.001772,-1.5673),(5365,875,-0.001806,-1.5708),(5365,885,-0.001841,-1.5744),(5365,895,-0.001884,-1.578),(5365,905,-0.001938,-1.5816),(5365,915,-0.001992,-1.5853),(5365,925,-0.002047,-1.5891),(5365,935,-0.002103,-1.5928),(5365,945,-0.00216,-1.5966),(5365,955,-0.002218,-1.6004),(5365,965,-0.002276,-1.6044),(5365,975,-0.002321,-1.6083),(5365,985,-0.002354,-1.6123),(5365,995,-0.002386,-1.6164),(5365,1005,-0.002418,-1.6206),(5365,1015,-0.002449,-1.6247),(5365,1025,-0.002479,-1.6289),(5365,1035,-0.002509,-1.6332),(5365,1045,-0.002539,-1.6374),(5365,1055,-0.002578,-1.6417),(5365,1065,-0.002624,-1.646),(5365,1075,-0.00267,-1.6503),(5365,1085,-0.002716,-1.6546),(5365,1095,-0.002762,-1.6589),(5365,1105,-0.002808,-1.6632),(5365,1115,-0.002855,-1.6675),(5365,1125,-0.002901,-1.6719),(5365,1135,-0.003162,-1.6762),(5365,1145,-0.003551,-1.6806),(5365,1155,-0.003939,-1.6848),(5365,1165,-0.004327,-1.689),(5365,1175,-0.006032,-1.6931),(5365,1185,-0.008389,-1.6973),(5365,1195,-0.010746,-1.7024),(5365,1205,-0.013103,-1.7078),(5365,1215,-0.017174,-1.7132),(5365,1225,-0.021952,-1.7186),(5365,1235,-0.026729,-1.7276),(5365,1245,-0.031507,-1.7378),(5365,1255,-0.015583,-1.748),(5365,1265,0.007332,-1.7583),(5365,1275,0.030248,-1.7452),(5365,1285,0.053164,-1.725),(5365,1295,0.11776,-1.7049),(5365,1305,0.19364,-1.6847),(5365,1315,0.26951,-1.5752),(5365,1325,0.34538,-1.4443),(5365,1335,0.21073,-1.3134),(5365,1345,0.031966,-1.1826),(5365,1355,-0.1468,-1.2634),(5365,1365,-0.32557,-1.3826),(5365,1375,-0.29087,-1.5018),(5365,1385,-0.22324,-1.621),(5365,1395,-0.1556,-1.6619),(5365,1405,-0.087966,-1.6927),(5365,1415,-0.052749,-1.7236),(5365,1425,-0.020898,-1.7544),(5365,1435,0.010953,-1.7468),(5365,1445,0.042804,-1.7361),(5365,1455,0.038322,-1.7254),(5365,1465,0.031748,-1.7147),(5365,1475,0.025174,-1.7089),(5365,1485,0.0186,-1.7033),(5365,1495,0.015178,-1.6977),(5365,1505,0.011804,-1.6921),(5365,1515,0.00843,-1.688),(5365,1525,0.005125,-1.6839),(5365,1535,0.00456,-1.6798),(5365,1545,0.003995,-1.6757),(5365,1555,0.00343,-1.6715),(5365,1565,0.002899,-1.6674),(5365,1575,0.002862,-1.6633),(5365,1585,0.002824,-1.6591),(5365,1595,0.002787,-1.6551),(5365,1605,0.002749,-1.6511),(5365,1615,0.002712,-1.6471),(5365,1625,0.002675,-1.6431),(5365,1635,0.002638,-1.6393),(5365,1645,0.002599,-1.6354),(5365,1655,0.002548,-1.6316),(5365,1665,0.002499,-1.6278),(5365,1675,0.002449,-1.6241),(5365,1685,0.002401,-1.6205),(5365,1695,0.002361,-1.6168),(5365,1705,0.002322,-1.6131),(5365,1715,0.002282,-1.6096),(5365,1725,0.002243,-1.6061),(5365,1735,0.002206,-1.6026),(5365,1745,0.002169,-1.5991),(5365,1755,0.002132,-1.5957),(5365,1765,0.002092,-1.5923),(5365,1775,0.002044,-1.5889),(5365,1785,0.001996,-1.5855),(5365,1795,0.001948,-1.5823),(5365,1805,0.001904,-1.579),(5365,1815,0.00187,-1.5758),(5365,1825,0.001835,-1.5726),(5365,1835,0.0018,-1.5695),(5365,1845,0.001767,-1.5665),(5365,1855,0.001734,-1.5635),(5365,1865,0.001702,-1.5605),(5365,1875,0.001669,-1.5576),(5365,1885,0.001634,-1.5548),(5365,1895,0.001593,-1.5519),(5365,1905,0.001553,-1.5491),(5365,1915,0.001512,-1.5464),(5365,1925,0.001475,-1.5437),(5365,1935,0.001441,-1.541),(5365,1945,0.001407,-1.5384),(5365,1955,0.001374,-1.5359),(5365,1965,0.001344,-1.5334),(5365,1975,0.00132,-1.5309),(5365,1985,0.001296,-1.5284),(5365,1995,0.001271,-1.5261),(5365,2005,0.001248,-1.5238),(5365,2015,0.001226,-1.5215),(5365,2025,0.001204,-1.5192),(5365,2035,0.001181,-1.517),(5365,2045,0.001165,-1.5149),(5365,2055,0.001153,-1.5127),(5365,2065,0.001141,-1.5106),(5365,2075,0.001129,-1.5086),(5365,2085,0.001125,-1.5066),(5365,2095,0.001126,-1.5046),(5365,2105,0.001127,-1.5027),(5365,2115,0.001129,-1.5009),(5365,2125,0.001134,-1.4991),(5365,2135,0.001142,-1.4973),(5365,2145,0.00115,-1.4955),(5365,2155,0.001158,-1.4938),(5365,2165,0.001176,-1.4922),(5365,2175,0.001201,-1.4905),(5365,2185,0.001225,-1.4889),(5365,2195,0.001249,-1.4874),(5365,2205,0.001272,-1.4859),(5365,2215,0.001294,-1.4843),(5365,2225,0.001316,-1.4829),(5365,2235,0.001339,-1.4815),(5365,2245,0.001344,-1.4801),(5365,2255,0.001343,-1.4787),(5365,2265,0.001342,-1.4773),(5365,2275,0.001341,-1.476),(5365,2285,0.00133,-1.4747),(5365,2295,0.001317,-1.4733),(5365,2305,0.001304,-1.4721),(5365,2315,0.001291,-1.4709),(5365,2325,0.001272,-1.4697),(5365,2335,0.001252,-1.4685),(5365,2345,0.001232,-1.4673),(5365,2355,0.001212,-1.4662),(5365,2365,0.001196,-1.4651),(5365,2375,0.001182,-1.464),(5365,2385,0.001168,-1.463),(5365,2395,0.001154,-1.462),(5365,2405,0.00116,-1.461),(5365,2415,0.001168,-1.46),(5365,2425,0.001176,-1.4591),(5365,2435,0.001185,-1.4583),(5365,2445,0.001199,-1.4574),(5365,2455,0.001215,-1.4566),(5365,2465,0.001229,-1.4558),(5365,2475,0.001245,-1.4551),(5365,2485,0.001252,-1.4543),(5365,2495,0.001259,-1.4535),(5365,2505,0.001266,-1.4529),(5365,2515,0.001273,-1.4522),(5365,2525,0.001279,-1.4515),(5365,2535,0.001284,-1.4508),(5365,2545,0.00129,-1.4502),(5365,2555,0.001295,-1.4496),(5365,2565,0.001295,-1.449),(5365,2575,0.001294,-1.4484),(5365,2585,0.001293,-1.4479),(5365,2595,0.001292,-1.4474),(5365,2605,0.001285,-1.4468),(5365,2615,0.001279,-1.4463),(5365,2625,0.001272,-1.4458),(5365,2635,0.001267,-1.4453),(5365,2645,0.00127,-1.4448),(5365,2655,0.001274,-1.4444),(5365,2665,0.001277,-1.444),(5365,2675,0.001281,-1.4436),(5365,2685,0.001289,-1.4432),(5365,2695,0.001296,-1.4428),(5365,2705,0.001304,-1.4425),(5365,2715,0.001309,-1.4422),(5365,2725,0.001302,-1.4419),(5365,2735,0.001295,-1.4415),(5365,2745,0.001288,-1.4412),(5365,2755,0.00128,-1.4409),(5365,2765,0.001272,-1.4406),(5365,2775,0.001264,-1.4403),(5365,2785,0.001256,-1.4401),(5365,2795,0.001252,-1.4398),(5365,2805,0.001254,-1.4396),(5365,2815,0.001257,-1.4394),(5365,2825,0.00126,-1.4392),(5365,2835,0.001259,-1.4391),(5365,2845,0.001248,-1.439),(5365,2855,0.001237,-1.4388),(5365,2865,0.001226,-1.4387),(5365,2875,0.001218,-1.4386),(5365,2885,0.001214,-1.4384),(5365,2895,0.001209,-1.4384),(5365,2905,0.001205,-1.4384),(5365,2915,0.001204,-1.4384),(5365,2925,0.001206,-1.4384),(5365,2935,0.001209,-1.4384),(5365,2945,0.001211,-1.4385),(5365,2955,0.001202,-1.4386),(5365,2965,0.001178,-1.4387),(5365,2975,0.001154,-1.4387),(5365,2985,0.00113,-1.4388),(5365,2995,0.00111,-1.4389),(5365,3005,0.001097,-1.439),(5365,3015,0.001083,-1.4392),(5365,3025,0.001069,-1.4394),(5365,3035,0.001052,-1.4397),(5365,3045,0.001031,-1.4399),(5365,3055,0.001011,-1.4402),(5365,3065,0.00099,-1.4404),(5365,3075,0.00095,-1.4407),(5365,3085,0.000895,-1.441),(5365,3095,0.00084,-1.4413),(5365,3105,0.000785,-1.4415),(5365,3115,0.000752,-1.4418),(5365,3125,0.000734,-1.4421),(5365,3135,0.000715,-1.4425),(5365,3145,0.000697,-1.4429),(5365,3155,0.000685,-1.4434),(5365,3165,0.000676,-1.4439),(5365,3175,0.000667,-1.4443),(5365,3185,0.000658,-1.4448),(5365,3195,0.000643,-1.4453),(5365,3205,0.000626,-1.4457),(5365,3215,0.000609,-1.4462),(5365,3225,0.000591,-1.4467),(5365,3235,0.000597,-1.4473),(5365,3245,0.000612,-1.4478),(5365,3255,0.000627,-1.4484),(5365,3265,0.000642,-1.449),(5365,3275,0.000631,-1.4497),(5365,3285,0.000612,-1.4504),(5365,3295,0.000593,-1.451),(5365,3305,0.000574,-1.4516),(5365,3315,0.000548,-1.4522),(5365,3325,0.00052,-1.4528),(5365,3335,0.000493,-1.4535),(5365,3345,0.000465,-1.4542),(5365,3355,0.000455,-1.4549),(5365,3365,0.000449,-1.4556),(5365,3375,0.000443,-1.4564),(5365,3385,0.000437,-1.4572),(5365,3395,0.000412,-1.4581),(5365,3405,0.000384,-1.4589),(5365,3415,0.000356,-1.4597),(5365,3425,0.000328,-1.4606),(5365,3435,0.000312,-1.4614),(5365,3445,0.000296,-1.4623),(5365,3455,0.00028,-1.4632),(5365,3465,0.000264,-1.4642),(5365,3475,0.000238,-1.4652),(5365,3485,0.000211,-1.4662),(5365,3495,0.000184,-1.4672),(5365,3505,0.000157,-1.4682),(5365,3515,0.00011,-1.4692),(5365,3525,6.2e-05,-1.4702),(5365,3535,1.4e-05,-1.4713),(5365,3545,-3.3e-05,-1.4724),(5365,3555,-6.9e-05,-1.4735),(5365,3565,-0.000105,-1.4746),(5365,3575,-0.000141,-1.4758),(5365,3585,-0.000175,-1.477),(5365,3595,-0.000183,-1.4783),(5365,3605,-0.000192,-1.4795),(5365,3615,-0.0002,-1.4808),(5365,3625,-0.00021,-1.4822),(5365,3635,-0.00023,-1.4835),(5365,3645,-0.000249,-1.4848),(5365,3655,-0.000269,-1.4863),(5365,3665,-0.000292,-1.4877),(5365,3675,-0.000327,-1.4891),(5365,3685,-0.000361,-1.4906),(5365,3695,-0.000396,-1.4921),(5365,3705,-0.000427,-1.4936),(5365,3715,-0.000442,-1.4951),(5365,3725,-0.000458,-1.4967),(5365,3735,-0.000473,-1.4983),(5365,3745,-0.000501,-1.5),(5365,3755,-0.000569,-1.5017),(5365,3765,-0.000638,-1.5033),(5365,3775,-0.000706,-1.505),(5365,3785,-0.000769,-1.5067),(5365,3795,-0.000818,-1.5084),(5365,3805,-0.000868,-1.5101),(5365,3815,-0.000917,-1.512),(5365,3825,-0.00103,-1.5138),(5365,3835,-0.001279,-1.5157),(5365,3845,-0.001527,-1.5175),(5365,3855,-0.001775,-1.5194),(5365,3865,-0.002495,-1.5212),(5365,3875,-0.004049,-1.5231),(5365,3885,-0.005603,-1.5253),(5365,3895,-0.007157,-1.5283),(5365,3905,-0.009412,-1.5312),(5365,3915,-0.012712,-1.5342),(5365,3925,-0.016013,-1.539),(5365,3935,-0.019313,-1.5464),(5365,3945,-0.013155,-1.5538),(5365,3955,0.005011,-1.5612),(5365,3965,0.023176,-1.5581),(5365,3975,0.041342,-1.5428),(5365,3985,0.097966,-1.5274),(5365,3995,0.19622,-1.5121),(5365,4005,0.29447,-1.4286),(5365,4015,0.39272,-1.2769),(5365,4025,0.41534,-1.1252),(5365,4035,0.43055,-1.0229),(5365,4045,0.44577,-1.0249),(5365,4055,0.51336,-1.0269),(5365,4065,0.60006,-1.0289),(5365,4075,0.68676,-1.0317),(5365,4085,0.72586,-1.0345),(5365,4095,0.7267,-1.0373),(5365,4105,0.72753,-1.0396),(5365,4115,0.72868,-1.042),(5365,4125,0.73035,-1.0443),(5365,4135,0.73202,-1.0462),(5365,4145,0.73389,-1.048),(5365,4155,0.73663,-1.0498),(5365,4165,0.73936,-1.0513),(5365,4175,0.74212,-1.0526),(5365,4185,0.74581,-1.0539),(5365,4195,0.7495,-1.055),(5365,4205,0.75319,-1.0557),(5365,4215,0.75753,-1.0564),(5365,4225,0.762,-1.0569),(5365,4235,0.76647,-1.0568),(5365,4245,0.77142,-1.0567),(5365,4255,0.7766,-1.0566),(5365,4265,0.78178,-1.0558),(5365,4275,0.78721,-1.0551),(5365,4285,0.79291,-1.0543),(5365,4295,0.79861,-1.053),(5365,4305,0.80443,-1.0516),(5365,4315,0.81049,-1.0502),(5365,4325,0.81656,-1.0483),(5365,4335,0.82266,-1.0463),(5365,4345,0.82898,-1.0443),(5365,4355,0.83531,-1.0421),(5365,4365,0.84163,-1.0396),(5365,4375,0.8481,-1.0371),(5365,4385,0.85458,-1.0345),(5365,4395,0.86106,-1.0316),(5365,4405,0.86763,-1.0288),(5365,4415,0.87423,-1.0258),(5365,4425,0.88082,-1.0227),(5365,4435,0.88744,-1.0195),(5365,4445,0.89407,-1.0163),(5365,4455,0.9007,-1.0128),(5365,4465,0.90734,-1.0094),(5365,4475,0.91399,-1.006),(5365,4485,0.92064,-1.0023),(5365,4495,0.92728,-0.99853),(5365,4505,0.93389,-0.99477),(5365,4515,0.94051,-0.99085),(5365,4525,0.94712,-0.98684),(5365,4535,0.95367,-0.98283),(5365,4545,0.96023,-0.97868),(5365,4555,0.96679,-0.97436),(5365,4565,0.97327,-0.97005),(5365,4575,0.97975,-0.96567),(5365,4585,0.98624,-0.96116),(5365,4595,0.99263,-0.95664),(5365,4605,0.999,-0.95211),(5365,4615,1.0054,-0.94744),(5365,4625,1.0117,-0.94277),(5365,4635,1.0179,-0.9381),(5365,4645,1.0241,-0.93332),(5365,4655,1.0303,-0.92852),(5365,4665,1.0364,-0.92373),(5365,4675,1.0424,-0.91889),(5365,4685,1.0485,-0.91405),(5365,4695,1.0544,-0.9092),(5365,4705,1.0604,-0.90428),(5365,4715,1.0663,-0.89931),(5365,4725,1.0721,-0.89433),(5365,4735,1.0779,-0.88936),(5365,4745,1.0837,-0.8844),(5365,4755,1.0893,-0.87944),(5365,4765,1.0949,-0.87449),(5365,4775,1.1005,-0.8696),(5365,4785,1.106,-0.86471),(5365,4795,1.1114,-0.85982),(5365,4805,1.1168,-0.85491),(5365,4815,1.1221,-0.85001),(5365,4825,1.1274,-0.8451),(5365,4835,1.1326,-0.84016),(5365,4845,1.1378,-0.83521),(5365,4855,1.1428,-0.83027),(5365,4865,1.1479,-0.82536),(5365,4875,1.153,-0.82046),(5365,4885,1.1579,-0.81557),(5365,4895,1.1628,-0.81071),(5365,4905,1.1677,-0.80589),(5365,4915,1.1725,-0.80106),(5365,4925,1.1772,-0.79625),(5365,4935,1.182,-0.79148),(5365,4945,1.1866,-0.78671),(5365,4955,1.1912,-0.78194),(5365,4965,1.1958,-0.77725),(5365,4975,1.2003,-0.77256),(5365,4985,1.2047,-0.76786),(5365,4995,1.2092,-0.76326),(5365,5005,1.2136,-0.75867),(5365,5015,1.2179,-0.75407),(5365,5025,1.2222,-0.74951),(5365,5035,1.2265,-0.74496),(5365,5045,1.2308,-0.74042),(5365,5055,1.235,-0.73594),(5365,5065,1.2392,-0.73151),(5365,5075,1.2433,-0.72708),(5365,5085,1.2474,-0.72271),(5365,5095,1.2515,-0.71842),(5365,5105,1.2555,-0.71412),(5365,5115,1.2595,-0.70984),(5365,5125,1.2635,-0.7056),(5365,5135,1.2675,-0.70136),(5365,5145,1.2714,-0.69713),(5365,5155,1.2754,-0.693),(5365,5165,1.2793,-0.68888),(5365,5175,1.2832,-0.68476),(5365,5185,1.2871,-0.68072),(5365,5195,1.291,-0.67669),(5365,5205,1.2949,-0.67267),(5365,5215,1.2987,-0.66871),(5365,5225,1.3026,-0.66478),(5365,5235,1.3064,-0.66085),(5365,5245,1.3102,-0.65696),(5365,5255,1.3141,-0.65311),(5365,5265,1.3179,-0.64925),(5365,5275,1.3217,-0.64542),(5365,5285,1.3255,-0.64163),(5365,5295,1.3293,-0.63783),(5365,5305,1.3331,-0.63406),(5365,5315,1.3369,-0.63037),(5365,5325,1.3407,-0.62668),(5365,5335,1.3446,-0.62299),(5365,5345,1.3484,-0.61935),(5365,5355,1.3522,-0.61571),(5365,5365,1.3561,-0.61206),(5365,5375,1.3599,-0.60845),(5365,5385,1.3637,-0.60483),(5365,5395,1.3676,-0.60122),(5365,5405,1.3714,-0.59762),(5365,5415,1.3753,-0.59404),(5365,5425,1.3792,-0.59046),(5365,5435,1.383,-0.58686),(5365,5445,1.3869,-0.58325),(5365,5455,1.3908,-0.57964),(5365,5465,1.3947,-0.57603),(5365,5475,1.3985,-0.5724),(5365,5485,1.4024,-0.56876),(5365,5495,1.4063,-0.56512),(5365,5505,1.4102,-0.56143),(5365,5515,1.4141,-0.55773),(5365,5525,1.418,-0.55403),(5365,5535,1.4219,-0.55029),(5365,5545,1.4257,-0.54655),(5365,5555,1.4296,-0.54281),(5365,5565,1.4335,-0.53898),(5365,5575,1.4374,-0.53512),(5365,5585,1.4412,-0.53127),(5365,5595,1.4451,-0.52737),(5365,5605,1.449,-0.52345),(5365,5615,1.4528,-0.51953),(5365,5625,1.4567,-0.5156),(5365,5635,1.4606,-0.51167),(5365,5645,1.4644,-0.50773),(5365,5655,1.4682,-0.50377),(5365,5665,1.4721,-0.49973),(5365,5675,1.4759,-0.49569),(5365,5685,1.4797,-0.49164),(5365,5695,1.4835,-0.48752),(5365,5705,1.4873,-0.4834),(5365,5715,1.4911,-0.47927),(5365,5725,1.4949,-0.47508),(5365,5735,1.4987,-0.47088),(5365,5745,1.5024,-0.46668),(5365,5755,1.5061,-0.46241),(5365,5765,1.5099,-0.4581),(5365,5775,1.5135,-0.45379),(5365,5785,1.5172,-0.4494),(5365,5795,1.5208,-0.44493),(5365,5805,1.5244,-0.44046),(5365,5815,1.528,-0.43595),(5365,5825,1.5316,-0.43139),(5365,5835,1.5351,-0.42682),(5365,5845,1.5386,-0.42224),(5365,5855,1.5421,-0.41758),(5365,5865,1.5455,-0.41292),(5365,5875,1.549,-0.40826),(5365,5885,1.5524,-0.4035),(5365,5895,1.5558,-0.39873),(5365,5905,1.5591,-0.39396),(5365,5915,1.5625,-0.38913),(5365,5925,1.5659,-0.38428),(5365,5935,1.5692,-0.37944),(5365,5945,1.5725,-0.37454),(5365,5955,1.5758,-0.36962),(5365,5965,1.579,-0.36469),(5365,5975,1.5822,-0.35973),(5365,5985,1.5855,-0.35472),(5365,5995,1.5886,-0.34971),(5365,6005,1.5918,-0.34467),(5365,6015,1.5949,-0.33954),(5365,6025,1.598,-0.33441),(5365,6035,1.601,-0.32926),(5365,6045,1.604,-0.32399),(5365,6055,1.607,-0.31873),(5365,6065,1.6099,-0.31346),(5365,6075,1.6128,-0.3081),(5365,6085,1.6156,-0.30274),(5365,6095,1.6184,-0.29738),(5365,6105,1.6212,-0.29194),(5365,6115,1.6239,-0.28648),(5365,6125,1.6266,-0.28102),(5365,6135,1.6292,-0.27553),(5365,6145,1.6318,-0.27001),(5365,6155,1.6344,-0.26449),(5365,6165,1.6369,-0.25893),(5365,6175,1.6394,-0.25331),(5365,6185,1.6418,-0.2477),(5365,6195,1.6442,-0.24206),(5365,6205,1.6466,-0.23634),(5365,6215,1.6489,-0.23062),(5365,6225,1.6512,-0.22491),(5365,6235,1.6534,-0.21912),(5365,6245,1.6556,-0.21334),(5365,6255,1.6577,-0.20755),(5365,6265,1.6598,-0.2017),(5365,6275,1.6619,-0.19583),(5365,6285,1.6638,-0.18997),(5365,6295,1.6657,-0.18404),(5365,6305,1.6676,-0.17808),(5365,6315,1.6693,-0.17213),(5365,6325,1.6711,-0.16614),(5365,6335,1.6728,-0.16012),(5365,6345,1.6744,-0.15411),(5365,6355,1.676,-0.14806),(5365,6365,1.6775,-0.14194),(5365,6375,1.6789,-0.13581),(5365,6385,1.6803,-0.12968),(5365,6395,1.6817,-0.1235),(5365,6405,1.683,-0.11732),(5365,6415,1.6841,-0.11114),(5365,6425,1.6853,-0.10494),(5365,6435,1.6864,-0.098731),(5365,6445,1.6874,-0.092525),(5365,6455,1.6884,-0.086283),(5365,6465,1.6893,-0.080031),(5365,6475,1.6901,-0.073778),(5365,6485,1.6909,-0.067515),(5365,6495,1.6917,-0.061244),(5365,6505,1.6923,-0.054974),(5365,6515,1.6928,-0.048694),(5365,6525,1.6934,-0.0424),(5365,6535,1.6938,-0.036107),(5365,6545,1.6941,-0.029806),(5365,6555,1.6945,-0.023485),(5365,6565,1.6947,-0.017164),(5365,6575,1.6948,-0.010844),(5365,6585,1.695,-0.004545),(5365,6595,1.4418,0.001754),(5365,6605,0.90878,0.008053),(5365,6615,0.3758,0.008777),(5365,6625,0.001124,0.008785),(5365,6635,0.001144,0.008793),(5365,6645,0.001165,0.008812),(5365,6655,0.001185,0.008834),(5365,6665,0.001204,0.008857),(5365,6675,0.001222,0.008878),(5365,6685,0.001241,0.008899),(5365,6695,0.001259,0.00892),(5365,6705,0.001276,0.00894),(5365,6715,0.001293,0.008959),(5365,6725,0.00131,0.008978),(5365,6735,0.001326,0.008997),(5365,6745,0.001342,0.009014),(5365,6755,0.001357,0.009031),(5365,6765,0.001372,0.009049),(5365,6775,0.001387,0.009064),(5365,6785,0.001402,0.00908),(5365,6795,0.001416,0.009095),(5365,6805,0.00143,0.00911),(5365,6815,0.001444,0.009124),(5365,6825,0.001458,0.009138),(5365,6835,0.001471,0.009151),(5365,6845,0.001485,0.009164),(5365,6855,0.001497,0.009176),(5365,6865,0.00151,0.009188),(5365,6875,0.001523,0.009199),(5365,6885,0.001535,0.00921),(5365,6895,0.001548,0.009221),(5365,6905,0.00156,0.009231),(5365,6915,0.001572,0.009241),(5365,6925,0.001584,0.00925),(5365,6935,0.001595,0.009259),(5365,6945,0.001607,0.009267),(5365,6955,0.001618,0.009276),(5365,6965,0.00163,0.009283),(5365,6975,0.001641,0.009291),(5365,6985,0.001652,0.009298),(5375,5,-2e-06,-1.4431),(5375,15,-7e-06,-1.4432),(5375,25,-1.3e-05,-1.4434),(5375,35,-2.2e-05,-1.4436),(5375,45,-3.1e-05,-1.4437),(5375,55,-4e-05,-1.4439),(5375,65,-5.7e-05,-1.444),(5375,75,-8e-05,-1.4442),(5375,85,-0.000104,-1.4444),(5375,95,-0.000127,-1.4446),(5375,105,-0.000142,-1.4448),(5375,115,-0.00015,-1.445),(5375,125,-0.000159,-1.4453),(5375,135,-0.000167,-1.4457),(5375,145,-0.00014,-1.446),(5375,155,-9.3e-05,-1.4464),(5375,165,-4.6e-05,-1.4468),(5375,175,1e-06,-1.4474),(5375,185,4.6e-05,-1.4479),(5375,195,9e-05,-1.4484),(5375,205,0.000135,-1.449),(5375,215,0.000179,-1.4497),(5375,225,0.000171,-1.4503),(5375,235,0.000142,-1.4509),(5375,245,0.000113,-1.4515),(5375,255,8.4e-05,-1.4522),(5375,265,1e-05,-1.4528),(5375,275,-7.8e-05,-1.4535),(5375,285,-0.000166,-1.4541),(5375,295,-0.000254,-1.4548),(5375,305,-0.000316,-1.4555),(5375,315,-0.000372,-1.4562),(5375,325,-0.000428,-1.457),(5375,335,-0.000483,-1.4579),(5375,345,-0.000473,-1.4588),(5375,355,-0.000449,-1.4596),(5375,365,-0.000425,-1.4607),(5375,375,-0.000402,-1.4619),(5375,385,-0.000362,-1.463),(5375,395,-0.00032,-1.4641),(5375,405,-0.000278,-1.4654),(5375,415,-0.000236,-1.4666),(5375,425,-0.000213,-1.4679),(5375,435,-0.000193,-1.4691),(5375,445,-0.000172,-1.4705),(5375,455,-0.000152,-1.4719),(5375,465,-0.000142,-1.4733),(5375,475,-0.000133,-1.4746),(5375,485,-0.000123,-1.4762),(5375,495,-0.000114,-1.4777),(5375,505,-0.000146,-1.4793),(5375,515,-0.000179,-1.4808),(5375,525,-0.000212,-1.4824),(5375,535,-0.000245,-1.4841),(5375,545,-0.000309,-1.4857),(5375,555,-0.000373,-1.4874),(5375,565,-0.000437,-1.4891),(5375,575,-0.000499,-1.4909),(5375,585,-0.000541,-1.4927),(5375,595,-0.000583,-1.4945),(5375,605,-0.000625,-1.4966),(5375,615,-0.000663,-1.4986),(5375,625,-0.000673,-1.5006),(5375,635,-0.000683,-1.5027),(5375,645,-0.000693,-1.505),(5375,655,-0.000707,-1.5073),(5375,665,-0.000741,-1.5096),(5375,675,-0.000776,-1.512),(5375,685,-0.00081,-1.5144),(5375,695,-0.000848,-1.5169),(5375,705,-0.000898,-1.5193),(5375,715,-0.000948,-1.5218),(5375,725,-0.000998,-1.5245),(5375,735,-0.001044,-1.5272),(5375,745,-0.001076,-1.5298),(5375,755,-0.001108,-1.5326),(5375,765,-0.00114,-1.5355),(5375,775,-0.001167,-1.5384),(5375,785,-0.001183,-1.5414),(5375,795,-0.001198,-1.5444),(5375,805,-0.001214,-1.5475),(5375,815,-0.001227,-1.5507),(5375,825,-0.001235,-1.5538),(5375,835,-0.001242,-1.5571),(5375,845,-0.00125,-1.5605),(5375,855,-0.001261,-1.5639),(5375,865,-0.001279,-1.5673),(5375,875,-0.001296,-1.5708),(5375,885,-0.001314,-1.5744),(5375,895,-0.00134,-1.578),(5375,905,-0.001381,-1.5816),(5375,915,-0.001421,-1.5853),(5375,925,-0.001462,-1.5891),(5375,935,-0.001503,-1.5928),(5375,945,-0.001544,-1.5966),(5375,955,-0.001586,-1.6004),(5375,965,-0.001627,-1.6044),(5375,975,-0.001651,-1.6083),(5375,985,-0.001656,-1.6123),(5375,995,-0.001661,-1.6163),(5375,1005,-0.001667,-1.6205),(5375,1015,-0.001666,-1.6247),(5375,1025,-0.00166,-1.6289),(5375,1035,-0.001654,-1.6331),(5375,1045,-0.001648,-1.6374),(5375,1055,-0.00165,-1.6417),(5375,1065,-0.001659,-1.646),(5375,1075,-0.001668,-1.6503),(5375,1085,-0.001677,-1.6545),(5375,1095,-0.001696,-1.6588),(5375,1105,-0.001721,-1.6631),(5375,1115,-0.001746,-1.6674),(5375,1125,-0.001772,-1.6717),(5375,1135,-0.002024,-1.6761),(5375,1145,-0.00241,-1.6804),(5375,1155,-0.002797,-1.6847),(5375,1165,-0.003183,-1.689),(5375,1175,-0.004648,-1.6932),(5375,1185,-0.006649,-1.6975),(5375,1195,-0.00865,-1.7031),(5375,1205,-0.010651,-1.7092),(5375,1215,-0.013718,-1.7154),(5375,1225,-0.017226,-1.7215),(5375,1235,-0.020733,-1.7317),(5375,1245,-0.02424,-1.7433),(5375,1255,-0.013658,-1.755),(5375,1265,0.001684,-1.7666),(5375,1275,0.017025,-1.7539),(5375,1285,0.032366,-1.7337),(5375,1295,0.073634,-1.7136),(5375,1305,0.12191,-1.6934),(5375,1315,0.17019,-1.5822),(5375,1325,0.21847,-1.4491),(5375,1335,0.13152,-1.3161),(5375,1345,0.016214,-1.1831),(5375,1355,-0.099086,-1.2676),(5375,1365,-0.21439,-1.3916),(5375,1375,-0.19002,-1.5156),(5375,1385,-0.14409,-1.6396),(5375,1395,-0.098173,-1.68),(5375,1405,-0.052252,-1.7098),(5375,1415,-0.028506,-1.7395),(5375,1425,-0.007062,-1.7692),(5375,1435,0.014381,-1.7591),(5375,1445,0.035825,-1.7459),(5375,1455,0.031987,-1.7326),(5375,1465,0.026692,-1.7194),(5375,1475,0.021398,-1.7125),(5375,1485,0.016103,-1.7057),(5375,1495,0.013057,-1.699),(5375,1505,0.010044,-1.6923),(5375,1515,0.007032,-1.6881),(5375,1525,0.00408,-1.6838),(5375,1535,0.003494,-1.6795),(5375,1545,0.002909,-1.6753),(5375,1555,0.002324,-1.6712),(5375,1565,0.001775,-1.6671),(5375,1575,0.001759,-1.6631),(5375,1585,0.001743,-1.659),(5375,1595,0.001728,-1.655),(5375,1605,0.001714,-1.651),(5375,1615,0.001714,-1.6471),(5375,1625,0.001715,-1.6431),(5375,1635,0.001715,-1.6393),(5375,1645,0.001712,-1.6354),(5375,1655,0.001691,-1.6316),(5375,1665,0.00167,-1.6278),(5375,1675,0.001648,-1.6241),(5375,1685,0.001629,-1.6205),(5375,1695,0.001616,-1.6168),(5375,1705,0.001602,-1.6131),(5375,1715,0.001589,-1.6096),(5375,1725,0.001576,-1.6061),(5375,1735,0.001563,-1.6025),(5375,1745,0.00155,-1.5991),(5375,1755,0.001536,-1.5957),(5375,1765,0.001518,-1.5923),(5375,1775,0.001484,-1.5889),(5375,1785,0.001451,-1.5856),(5375,1795,0.001418,-1.5823),(5375,1805,0.001388,-1.579),(5375,1815,0.001364,-1.5758),(5375,1825,0.001341,-1.5726),(5375,1835,0.001318,-1.5696),(5375,1845,0.001294,-1.5665),(5375,1855,0.00127,-1.5635),(5375,1865,0.001245,-1.5605),(5375,1875,0.001221,-1.5576),(5375,1885,0.001192,-1.5548),(5375,1895,0.001155,-1.5519),(5375,1905,0.001118,-1.5491),(5375,1915,0.001081,-1.5464),(5375,1925,0.001047,-1.5437),(5375,1935,0.001017,-1.541),(5375,1945,0.000987,-1.5384),(5375,1955,0.000957,-1.5359),(5375,1965,0.000932,-1.5334),(5375,1975,0.000912,-1.5309),(5375,1985,0.000893,-1.5284),(5375,1995,0.000874,-1.5261),(5375,2005,0.000855,-1.5238),(5375,2015,0.000838,-1.5215),(5375,2025,0.00082,-1.5192),(5375,2035,0.000802,-1.517),(5375,2045,0.00079,-1.5149),(5375,2055,0.000784,-1.5127),(5375,2065,0.000778,-1.5106),(5375,2075,0.000772,-1.5086),(5375,2085,0.000776,-1.5066),(5375,2095,0.000786,-1.5046),(5375,2105,0.000797,-1.5027),(5375,2115,0.000807,-1.5009),(5375,2125,0.000823,-1.4991),(5375,2135,0.000842,-1.4972),(5375,2145,0.00086,-1.4955),(5375,2155,0.000879,-1.4938),(5375,2165,0.000911,-1.4921),(5375,2175,0.000951,-1.4904),(5375,2185,0.00099,-1.4888),(5375,2195,0.001029,-1.4873),(5375,2205,0.001067,-1.4858),(5375,2215,0.001104,-1.4843),(5375,2225,0.001141,-1.4829),(5375,2235,0.001178,-1.4815),(5375,2245,0.001193,-1.4801),(5375,2255,0.0012,-1.4787),(5375,2265,0.001207,-1.4773),(5375,2275,0.001213,-1.476),(5375,2285,0.001207,-1.4747),(5375,2295,0.001197,-1.4733),(5375,2305,0.001187,-1.4721),(5375,2315,0.001177,-1.4709),(5375,2325,0.001159,-1.4697),(5375,2335,0.001139,-1.4685),(5375,2345,0.001119,-1.4673),(5375,2355,0.001099,-1.4662),(5375,2365,0.001084,-1.4651),(5375,2375,0.001069,-1.464),(5375,2385,0.001055,-1.463),(5375,2395,0.001041,-1.462),(5375,2405,0.001051,-1.461),(5375,2415,0.001065,-1.46),(5375,2425,0.001079,-1.4591),(5375,2435,0.001092,-1.4583),(5375,2445,0.001115,-1.4574),(5375,2455,0.001138,-1.4566),(5375,2465,0.001162,-1.4558),(5375,2475,0.001185,-1.455),(5375,2485,0.0012,-1.4543),(5375,2495,0.001214,-1.4535),(5375,2505,0.001228,-1.4528),(5375,2515,0.001242,-1.4522),(5375,2525,0.001254,-1.4515),(5375,2535,0.001265,-1.4508),(5375,2545,0.001277,-1.4502),(5375,2555,0.001288,-1.4496),(5375,2565,0.001291,-1.449),(5375,2575,0.001293,-1.4484),(5375,2585,0.001295,-1.4479),(5375,2595,0.001297,-1.4474),(5375,2605,0.001293,-1.4468),(5375,2615,0.001289,-1.4463),(5375,2625,0.001285,-1.4458),(5375,2635,0.001283,-1.4453),(5375,2645,0.001292,-1.4448),(5375,2655,0.001301,-1.4443),(5375,2665,0.001311,-1.444),(5375,2675,0.001321,-1.4436),(5375,2685,0.001337,-1.4432),(5375,2695,0.001352,-1.4428),(5375,2705,0.001368,-1.4425),(5375,2715,0.00138,-1.4422),(5375,2725,0.001376,-1.4419),(5375,2735,0.001373,-1.4415),(5375,2745,0.00137,-1.4412),(5375,2755,0.001366,-1.4409),(5375,2765,0.001361,-1.4406),(5375,2775,0.001355,-1.4403),(5375,2785,0.00135,-1.4401),(5375,2795,0.001349,-1.4398),(5375,2805,0.001357,-1.4396),(5375,2815,0.001365,-1.4394),(5375,2825,0.001373,-1.4392),(5375,2835,0.001375,-1.4391),(5375,2845,0.001367,-1.439),(5375,2855,0.00136,-1.4388),(5375,2865,0.001352,-1.4387),(5375,2875,0.001347,-1.4386),(5375,2885,0.001348,-1.4384),(5375,2895,0.001349,-1.4384),(5375,2905,0.001351,-1.4384),(5375,2915,0.001354,-1.4384),(5375,2925,0.001361,-1.4384),(5375,2935,0.001368,-1.4384),(5375,2945,0.001375,-1.4385),(5375,2955,0.001367,-1.4386),(5375,2965,0.00134,-1.4387),(5375,2975,0.001314,-1.4388),(5375,2985,0.001287,-1.4389),(5375,2995,0.001267,-1.4389),(5375,3005,0.001255,-1.439),(5375,3015,0.001243,-1.4392),(5375,3025,0.001231,-1.4394),(5375,3035,0.001214,-1.4397),(5375,3045,0.001194,-1.4399),(5375,3055,0.001174,-1.4402),(5375,3065,0.001154,-1.4405),(5375,3075,0.001111,-1.4408),(5375,3085,0.00105,-1.441),(5375,3095,0.000989,-1.4413),(5375,3105,0.000928,-1.4416),(5375,3115,0.000897,-1.4418),(5375,3125,0.000884,-1.4421),(5375,3135,0.000871,-1.4425),(5375,3145,0.000858,-1.4429),(5375,3155,0.000852,-1.4434),(5375,3165,0.000849,-1.4439),(5375,3175,0.000846,-1.4443),(5375,3185,0.000843,-1.4448),(5375,3195,0.000833,-1.4453),(5375,3205,0.00082,-1.4457),(5375,3215,0.000806,-1.4462),(5375,3225,0.000793,-1.4467),(5375,3235,0.000811,-1.4472),(5375,3245,0.000841,-1.4477),(5375,3255,0.000871,-1.4484),(5375,3265,0.000901,-1.449),(5375,3275,0.000898,-1.4497),(5375,3285,0.000886,-1.4504),(5375,3295,0.000873,-1.451),(5375,3305,0.000861,-1.4516),(5375,3315,0.000839,-1.4522),(5375,3325,0.000814,-1.4528),(5375,3335,0.000789,-1.4535),(5375,3345,0.000765,-1.4542),(5375,3355,0.000765,-1.4549),(5375,3365,0.000769,-1.4556),(5375,3375,0.000773,-1.4564),(5375,3385,0.000777,-1.4572),(5375,3395,0.000757,-1.4581),(5375,3405,0.000735,-1.4589),(5375,3415,0.000712,-1.4598),(5375,3425,0.00069,-1.4606),(5375,3435,0.000683,-1.4614),(5375,3445,0.000678,-1.4623),(5375,3455,0.000673,-1.4632),(5375,3465,0.000668,-1.4642),(5375,3475,0.000653,-1.4652),(5375,3485,0.000637,-1.4662),(5375,3495,0.000622,-1.4672),(5375,3505,0.000606,-1.4682),(5375,3515,0.000564,-1.4692),(5375,3525,0.000521,-1.4703),(5375,3535,0.000479,-1.4713),(5375,3545,0.000437,-1.4724),(5375,3555,0.000405,-1.4735),(5375,3565,0.000372,-1.4746),(5375,3575,0.00034,-1.4758),(5375,3585,0.000311,-1.477),(5375,3595,0.000316,-1.4782),(5375,3605,0.000321,-1.4795),(5375,3615,0.000326,-1.4808),(5375,3625,0.000329,-1.4821),(5375,3635,0.00032,-1.4835),(5375,3645,0.000312,-1.4848),(5375,3655,0.000303,-1.4863),(5375,3665,0.000291,-1.4877),(5375,3675,0.000259,-1.4891),(5375,3685,0.000227,-1.4906),(5375,3695,0.000195,-1.4921),(5375,3705,0.000169,-1.4936),(5375,3715,0.000168,-1.4951),(5375,3725,0.000167,-1.4967),(5375,3735,0.000166,-1.4983),(5375,3745,0.000149,-1.5),(5375,3755,8.3e-05,-1.5017),(5375,3765,1.8e-05,-1.5034),(5375,3775,-4.8e-05,-1.5051),(5375,3785,-0.000112,-1.5067),(5375,3795,-0.000169,-1.5084),(5375,3805,-0.000227,-1.5101),(5375,3815,-0.000285,-1.512),(5375,3825,-0.000408,-1.5138),(5375,3835,-0.000667,-1.5157),(5375,3845,-0.000926,-1.5175),(5375,3855,-0.001185,-1.5195),(5375,3865,-0.00182,-1.5214),(5375,3875,-0.003119,-1.5234),(5375,3885,-0.004417,-1.5259),(5375,3895,-0.005716,-1.5293),(5375,3905,-0.007363,-1.5326),(5375,3915,-0.00953,-1.536),(5375,3925,-0.011697,-1.5413),(5375,3935,-0.013864,-1.5491),(5375,3945,-0.009598,-1.557),(5375,3955,0.002838,-1.5648),(5375,3965,0.015273,-1.5615),(5375,3975,0.027709,-1.5451),(5375,3985,0.063067,-1.5287),(5375,3995,0.12324,-1.5122),(5375,4005,0.18341,-1.4282),(5375,4015,0.24358,-1.2767),(5375,4025,0.30683,-1.1251),(5375,4035,0.37038,-1.0229),(5375,4045,0.43394,-1.0248),(5375,4055,0.51452,-1.0268),(5375,4065,0.60132,-1.0288),(5375,4075,0.68811,-1.0314),(5375,4085,0.72717,-1.034),(5375,4095,0.72788,-1.0366),(5375,4105,0.72858,-1.0388),(5375,4115,0.72959,-1.041),(5375,4125,0.7311,-1.0432),(5375,4135,0.73261,-1.045),(5375,4145,0.73432,-1.0467),(5375,4155,0.73687,-1.0483),(5375,4165,0.73943,-1.0497),(5375,4175,0.742,-1.051),(5375,4185,0.74549,-1.0522),(5375,4195,0.74897,-1.0532),(5375,4205,0.75246,-1.0539),(5375,4215,0.75659,-1.0547),(5375,4225,0.76083,-1.0552),(5375,4235,0.76508,-1.0552),(5375,4245,0.76979,-1.0552),(5375,4255,0.77474,-1.0551),(5375,4265,0.77969,-1.0545),(5375,4275,0.7849,-1.0539),(5375,4285,0.79038,-1.0532),(5375,4295,0.79586,-1.0521),(5375,4305,0.80147,-1.0509),(5375,4315,0.80734,-1.0496),(5375,4325,0.81321,-1.048),(5375,4335,0.81913,-1.0461),(5375,4345,0.82529,-1.0443),(5375,4355,0.83146,-1.0422),(5375,4365,0.83762,-1.0399),(5375,4375,0.84396,-1.0375),(5375,4385,0.85031,-1.0351),(5375,4395,0.85666,-1.0323),(5375,4405,0.86311,-1.0296),(5375,4415,0.86959,-1.0268),(5375,4425,0.87607,-1.0237),(5375,4435,0.88258,-1.0206),(5375,4445,0.8891,-1.0175),(5375,4455,0.89562,-1.0142),(5375,4465,0.90215,-1.0109),(5375,4475,0.9087,-1.0076),(5375,4485,0.91525,-1.004),(5375,4495,0.9218,-1.0003),(5375,4505,0.92832,-0.9967),(5375,4515,0.93484,-0.99289),(5375,4525,0.94136,-0.989),(5375,4535,0.94783,-0.98511),(5375,4545,0.9543,-0.98108),(5375,4555,0.96078,-0.97688),(5375,4565,0.9672,-0.97268),(5375,4575,0.97361,-0.96843),(5375,4585,0.98002,-0.96403),(5375,4595,0.98635,-0.95964),(5375,4605,0.99266,-0.95523),(5375,4615,0.99896,-0.95067),(5375,4625,1.0052,-0.94611),(5375,4635,1.0114,-0.94155),(5375,4645,1.0176,-0.93686),(5375,4655,1.0237,-0.93217),(5375,4665,1.0297,-0.92747),(5375,4675,1.0358,-0.92271),(5375,4685,1.0418,-0.91794),(5375,4695,1.0477,-0.91316),(5375,4705,1.0536,-0.9083),(5375,4715,1.0595,-0.90338),(5375,4725,1.0653,-0.89846),(5375,4735,1.071,-0.89354),(5375,4745,1.0768,-0.88864),(5375,4755,1.0824,-0.88373),(5375,4765,1.088,-0.87884),(5375,4775,1.0936,-0.874),(5375,4785,1.0991,-0.86916),(5375,4795,1.1045,-0.86431),(5375,4805,1.1099,-0.85945),(5375,4815,1.1152,-0.85459),(5375,4825,1.1204,-0.84972),(5375,4835,1.1257,-0.84481),(5375,4845,1.1309,-0.8399),(5375,4855,1.1359,-0.83498),(5375,4865,1.141,-0.8301),(5375,4875,1.146,-0.82523),(5375,4885,1.1509,-0.82036),(5375,4895,1.1559,-0.81552),(5375,4905,1.1608,-0.81071),(5375,4915,1.1655,-0.80591),(5375,4925,1.1703,-0.80111),(5375,4935,1.1751,-0.79635),(5375,4945,1.1797,-0.79159),(5375,4955,1.1843,-0.78685),(5375,4965,1.1889,-0.78216),(5375,4975,1.1934,-0.77747),(5375,4985,1.1979,-0.77278),(5375,4995,1.2024,-0.76817),(5375,5005,1.2068,-0.76356),(5375,5015,1.2111,-0.75896),(5375,5025,1.2155,-0.75438),(5375,5035,1.2198,-0.74982),(5375,5045,1.2241,-0.74526),(5375,5055,1.2283,-0.74077),(5375,5065,1.2325,-0.73633),(5375,5075,1.2367,-0.73189),(5375,5085,1.2408,-0.7275),(5375,5095,1.2449,-0.72318),(5375,5105,1.249,-0.71886),(5375,5115,1.253,-0.71455),(5375,5125,1.257,-0.71029),(5375,5135,1.261,-0.70602),(5375,5145,1.265,-0.70176),(5375,5155,1.269,-0.6976),(5375,5165,1.2729,-0.69343),(5375,5175,1.2768,-0.68927),(5375,5185,1.2808,-0.68519),(5375,5195,1.2847,-0.68112),(5375,5205,1.2886,-0.67705),(5375,5215,1.2924,-0.67305),(5375,5225,1.2963,-0.66907),(5375,5235,1.3002,-0.66508),(5375,5245,1.304,-0.66114),(5375,5255,1.3079,-0.65722),(5375,5265,1.3117,-0.65331),(5375,5275,1.3155,-0.64941),(5375,5285,1.3193,-0.64555),(5375,5295,1.3231,-0.64169),(5375,5305,1.327,-0.63784),(5375,5315,1.3308,-0.63408),(5375,5325,1.3346,-0.63031),(5375,5335,1.3384,-0.62654),(5375,5345,1.3422,-0.62282),(5375,5355,1.3461,-0.61911),(5375,5365,1.3499,-0.61539),(5375,5375,1.3538,-0.61169),(5375,5385,1.3576,-0.608),(5375,5395,1.3615,-0.60431),(5375,5405,1.3653,-0.60064),(5375,5415,1.3692,-0.59698),(5375,5425,1.373,-0.59332),(5375,5435,1.3769,-0.58965),(5375,5445,1.3808,-0.58597),(5375,5455,1.3847,-0.58228),(5375,5465,1.3885,-0.57859),(5375,5475,1.3924,-0.57488),(5375,5485,1.3963,-0.57118),(5375,5495,1.4001,-0.56746),(5375,5505,1.404,-0.56369),(5375,5515,1.4079,-0.55992),(5375,5525,1.4117,-0.55615),(5375,5535,1.4156,-0.55233),(5375,5545,1.4194,-0.54852),(5375,5555,1.4233,-0.5447),(5375,5565,1.4271,-0.5408),(5375,5575,1.431,-0.53687),(5375,5585,1.4348,-0.53294),(5375,5595,1.4387,-0.52898),(5375,5605,1.4425,-0.52498),(5375,5615,1.4463,-0.52099),(5375,5625,1.4501,-0.517),(5375,5635,1.4539,-0.51299),(5375,5645,1.4577,-0.50899),(5375,5655,1.4615,-0.50496),(5375,5665,1.4653,-0.50085),(5375,5675,1.4691,-0.49674),(5375,5685,1.4729,-0.49263),(5375,5695,1.4767,-0.48845),(5375,5705,1.4804,-0.48426),(5375,5715,1.4842,-0.48008),(5375,5725,1.4879,-0.47583),(5375,5735,1.4916,-0.47158),(5375,5745,1.4953,-0.46732),(5375,5755,1.499,-0.46299),(5375,5765,1.5027,-0.45864),(5375,5775,1.5064,-0.45429),(5375,5785,1.51,-0.44986),(5375,5795,1.5136,-0.44535),(5375,5805,1.5172,-0.44084),(5375,5815,1.5207,-0.43631),(5375,5825,1.5243,-0.43171),(5375,5835,1.5277,-0.42711),(5375,5845,1.5312,-0.42249),(5375,5855,1.5347,-0.4178),(5375,5865,1.5381,-0.41311),(5375,5875,1.5415,-0.40842),(5375,5885,1.5448,-0.40362),(5375,5895,1.5482,-0.39882),(5375,5905,1.5515,-0.39402),(5375,5915,1.5548,-0.38916),(5375,5925,1.5581,-0.38427),(5375,5935,1.5614,-0.37939),(5375,5945,1.5646,-0.37446),(5375,5955,1.5679,-0.3695),(5375,5965,1.5711,-0.36454),(5375,5975,1.5743,-0.35955),(5375,5985,1.5774,-0.35452),(5375,5995,1.5806,-0.34949),(5375,6005,1.5837,-0.34442),(5375,6015,1.5868,-0.33927),(5375,6025,1.5898,-0.33412),(5375,6035,1.5928,-0.32896),(5375,6045,1.5958,-0.32369),(5375,6055,1.5987,-0.31841),(5375,6065,1.6016,-0.31314),(5375,6075,1.6045,-0.30778),(5375,6085,1.6073,-0.30241),(5375,6095,1.61,-0.29704),(5375,6105,1.6128,-0.2916),(5375,6115,1.6155,-0.28613),(5375,6125,1.6181,-0.28067),(5375,6135,1.6207,-0.27517),(5375,6145,1.6233,-0.26964),(5375,6155,1.6258,-0.26411),(5375,6165,1.6283,-0.25855),(5375,6175,1.6307,-0.25292),(5375,6185,1.6331,-0.2473),(5375,6195,1.6355,-0.24165),(5375,6205,1.6378,-0.23593),(5375,6215,1.6401,-0.2302),(5375,6225,1.6423,-0.22448),(5375,6235,1.6446,-0.2187),(5375,6245,1.6467,-0.21292),(5375,6255,1.6488,-0.20713),(5375,6265,1.6509,-0.20129),(5375,6275,1.6529,-0.19543),(5375,6285,1.6548,-0.18957),(5375,6295,1.6567,-0.18364),(5375,6305,1.6585,-0.17769),(5375,6315,1.6603,-0.17174),(5375,6325,1.662,-0.16576),(5375,6335,1.6637,-0.15976),(5375,6345,1.6652,-0.15375),(5375,6355,1.6668,-0.14771),(5375,6365,1.6683,-0.1416),(5375,6375,1.6697,-0.13549),(5375,6385,1.6711,-0.12936),(5375,6395,1.6724,-0.12319),(5375,6405,1.6736,-0.11702),(5375,6415,1.6748,-0.11085),(5375,6425,1.676,-0.10465),(5375,6435,1.6771,-0.098454),(5375,6445,1.678,-0.092258),(5375,6455,1.679,-0.086027),(5375,6465,1.6799,-0.079786),(5375,6475,1.6807,-0.073545),(5375,6485,1.6815,-0.067296),(5375,6495,1.6822,-0.061041),(5375,6505,1.6828,-0.054786),(5375,6515,1.6833,-0.048522),(5375,6525,1.6839,-0.042244),(5375,6535,1.6843,-0.035966),(5375,6545,1.6846,-0.029681),(5375,6555,1.685,-0.023376),(5375,6565,1.6852,-0.017071),(5375,6575,1.6853,-0.010768),(5375,6585,1.6855,-0.004485),(5375,6595,1.4337,0.001798),(5375,6605,0.90367,0.008081),(5375,6615,0.37367,0.008802),(5375,6625,0.001098,0.008809),(5375,6635,0.001119,0.008815),(5375,6645,0.00114,0.008833),(5375,6655,0.00116,0.008855),(5375,6665,0.00118,0.008877),(5375,6675,0.001199,0.008898),(5375,6685,0.001218,0.008918),(5375,6695,0.001236,0.008939),(5375,6705,0.001254,0.008958),(5375,6715,0.001272,0.008977),(5375,6725,0.001289,0.008995),(5375,6735,0.001305,0.009014),(5375,6745,0.001322,0.009031),(5375,6755,0.001338,0.009048),(5375,6765,0.001353,0.009064),(5375,6775,0.001369,0.00908),(5375,6785,0.001384,0.009095),(5375,6795,0.001399,0.009111),(5375,6805,0.001413,0.009125),(5375,6815,0.001428,0.009139),(5375,6825,0.001442,0.009152),(5375,6835,0.001456,0.009165),(5375,6845,0.001469,0.009177),(5375,6855,0.001483,0.00919),(5375,6865,0.001496,0.009201),(5375,6875,0.001509,0.009213),(5375,6885,0.001522,0.009223),(5375,6895,0.001535,0.009234),(5375,6905,0.001547,0.009244),(5375,6915,0.001559,0.009253),(5375,6925,0.001572,0.009263),(5375,6935,0.001584,0.009271),(5375,6945,0.001596,0.00928),(5375,6955,0.001607,0.009288),(5375,6965,0.001619,0.009295),(5375,6975,0.001631,0.009303),(5375,6985,0.001642,0.00931),(5385,5,-2e-06,-1.4431),(5385,15,-5e-06,-1.4433),(5385,25,-1.1e-05,-1.4434),(5385,35,-1.9e-05,-1.4436),(5385,45,-2.8e-05,-1.4438),(5385,55,-3.6e-05,-1.4439),(5385,65,-5.3e-05,-1.444),(5385,75,-7.6e-05,-1.4442),(5385,85,-9.9e-05,-1.4444),(5385,95,-0.000122,-1.4446),(5385,105,-0.000135,-1.4448),(5385,115,-0.000142,-1.445),(5385,125,-0.000148,-1.4453),(5385,135,-0.000155,-1.4457),(5385,145,-0.000121,-1.446),(5385,155,-6.4e-05,-1.4463),(5385,165,-6e-06,-1.4468),(5385,175,5.1e-05,-1.4473),(5385,185,0.000109,-1.4479),(5385,195,0.000168,-1.4484),(5385,205,0.000226,-1.449),(5385,215,0.000285,-1.4496),(5385,225,0.000283,-1.4503),(5385,235,0.000257,-1.4509),(5385,245,0.000232,-1.4516),(5385,255,0.000206,-1.4522),(5385,265,0.000125,-1.4529),(5385,275,2.5e-05,-1.4536),(5385,285,-7.4e-05,-1.4542),(5385,295,-0.000173,-1.4549),(5385,305,-0.000244,-1.4556),(5385,315,-0.000309,-1.4563),(5385,325,-0.000373,-1.4571),(5385,335,-0.000438,-1.4579),(5385,345,-0.000423,-1.4588),(5385,355,-0.000393,-1.4596),(5385,365,-0.000363,-1.4607),(5385,375,-0.000332,-1.4618),(5385,385,-0.000279,-1.4629),(5385,395,-0.000223,-1.464),(5385,405,-0.000166,-1.4653),(5385,415,-0.00011,-1.4666),(5385,425,-7.4e-05,-1.4678),(5385,435,-4e-05,-1.4691),(5385,445,-6e-06,-1.4705),(5385,455,2.8e-05,-1.4718),(5385,465,5.1e-05,-1.4732),(5385,475,7.4e-05,-1.4746),(5385,485,9.7e-05,-1.4762),(5385,495,0.00012,-1.4777),(5385,505,9.3e-05,-1.4793),(5385,515,6.6e-05,-1.4808),(5385,525,4e-05,-1.4825),(5385,535,1.1e-05,-1.4841),(5385,545,-5.4e-05,-1.4858),(5385,555,-0.00012,-1.4874),(5385,565,-0.000186,-1.4892),(5385,575,-0.00025,-1.491),(5385,585,-0.000292,-1.4927),(5385,595,-0.000333,-1.4945),(5385,605,-0.000375,-1.4966),(5385,615,-0.000411,-1.4986),(5385,625,-0.000411,-1.5006),(5385,635,-0.000412,-1.5027),(5385,645,-0.000412,-1.505),(5385,655,-0.000416,-1.5073),(5385,665,-0.000443,-1.5096),(5385,675,-0.00047,-1.512),(5385,685,-0.000497,-1.5144),(5385,695,-0.000528,-1.5169),(5385,705,-0.000574,-1.5194),(5385,715,-0.000621,-1.5219),(5385,725,-0.000667,-1.5245),(5385,735,-0.000708,-1.5272),(5385,745,-0.000734,-1.5299),(5385,755,-0.000759,-1.5326),(5385,765,-0.000784,-1.5355),(5385,775,-0.000803,-1.5385),(5385,785,-0.000807,-1.5414),(5385,795,-0.000811,-1.5444),(5385,805,-0.000815,-1.5475),(5385,815,-0.000815,-1.5507),(5385,825,-0.000806,-1.5538),(5385,835,-0.000798,-1.5571),(5385,845,-0.000789,-1.5605),(5385,855,-0.000783,-1.5639),(5385,865,-0.000784,-1.5673),(5385,875,-0.000784,-1.5708),(5385,885,-0.000784,-1.5744),(5385,895,-0.000795,-1.578),(5385,905,-0.000821,-1.5816),(5385,915,-0.000847,-1.5853),(5385,925,-0.000873,-1.5891),(5385,935,-0.000899,-1.5928),(5385,945,-0.000925,-1.5966),(5385,955,-0.00095,-1.6004),(5385,965,-0.000976,-1.6044),(5385,975,-0.00098,-1.6083),(5385,985,-0.00096,-1.6122),(5385,995,-0.000939,-1.6163),(5385,1005,-0.000919,-1.6205),(5385,1015,-0.000888,-1.6247),(5385,1025,-0.000848,-1.6289),(5385,1035,-0.000807,-1.6331),(5385,1045,-0.000766,-1.6374),(5385,1055,-0.000734,-1.6417),(5385,1065,-0.000707,-1.6459),(5385,1075,-0.000681,-1.6502),(5385,1085,-0.000655,-1.6545),(5385,1095,-0.000647,-1.6588),(5385,1105,-0.000652,-1.663),(5385,1115,-0.000657,-1.6673),(5385,1125,-0.000662,-1.6716),(5385,1135,-0.000895,-1.6759),(5385,1145,-0.001262,-1.6802),(5385,1155,-0.001629,-1.6845),(5385,1165,-0.001996,-1.6889),(5385,1175,-0.003168,-1.6933),(5385,1185,-0.004739,-1.6977),(5385,1195,-0.00631,-1.7038),(5385,1205,-0.007881,-1.7107),(5385,1215,-0.009867,-1.7176),(5385,1225,-0.012023,-1.7244),(5385,1235,-0.014179,-1.7358),(5385,1245,-0.016336,-1.7489),(5385,1255,-0.011198,-1.7619),(5385,1265,-0.003597,-1.7749),(5385,1275,0.004004,-1.7625),(5385,1285,0.011605,-1.7424),(5385,1295,0.029303,-1.7222),(5385,1305,0.049732,-1.7021),(5385,1315,0.070161,-1.5891),(5385,1325,0.090589,-1.454),(5385,1335,0.051961,-1.3188),(5385,1345,0.000955,-1.1836),(5385,1355,-0.050051,-1.2719),(5385,1365,-0.10106,-1.4006),(5385,1375,-0.087502,-1.5294),(5385,1385,-0.063986,-1.6581),(5385,1395,-0.04047,-1.6981),(5385,1405,-0.016954,-1.7268),(5385,1415,-0.004906,-1.7554),(5385,1425,0.005952,-1.784),(5385,1435,0.016809,-1.7715),(5385,1445,0.027667,-1.7557),(5385,1455,0.02462,-1.7399),(5385,1465,0.020773,-1.7241),(5385,1475,0.016926,-1.716),(5385,1485,0.013079,-1.7082),(5385,1495,0.010524,-1.7003),(5385,1505,0.007988,-1.6925),(5385,1515,0.005452,-1.6881),(5385,1525,0.002965,-1.6837),(5385,1535,0.002384,-1.6793),(5385,1545,0.001804,-1.6749),(5385,1555,0.001223,-1.6709),(5385,1565,0.00068,-1.6669),(5385,1575,0.000684,-1.6629),(5385,1585,0.000687,-1.6589),(5385,1595,0.00069,-1.6549),(5385,1605,0.000697,-1.651),(5385,1615,0.000732,-1.647),(5385,1625,0.000766,-1.6431),(5385,1635,0.000801,-1.6393),(5385,1645,0.000831,-1.6354),(5385,1655,0.000837,-1.6316),(5385,1665,0.000843,-1.6278),(5385,1675,0.00085,-1.6241),(5385,1685,0.000857,-1.6204),(5385,1695,0.000869,-1.6168),(5385,1705,0.000881,-1.6131),(5385,1715,0.000894,-1.6096),(5385,1725,0.000905,-1.6061),(5385,1735,0.000916,-1.6025),(5385,1745,0.000926,-1.599),(5385,1755,0.000936,-1.5957),(5385,1765,0.000938,-1.5923),(5385,1775,0.00092,-1.5889),(5385,1785,0.000901,-1.5856),(5385,1795,0.000883,-1.5823),(5385,1805,0.000866,-1.579),(5385,1815,0.000855,-1.5758),(5385,1825,0.000843,-1.5726),(5385,1835,0.000832,-1.5696),(5385,1845,0.000819,-1.5665),(5385,1855,0.000803,-1.5635),(5385,1865,0.000787,-1.5605),(5385,1875,0.000772,-1.5576),(5385,1885,0.00075,-1.5548),(5385,1895,0.000718,-1.5519),(5385,1905,0.000686,-1.5491),(5385,1915,0.000653,-1.5464),(5385,1925,0.000624,-1.5437),(5385,1935,0.000598,-1.541),(5385,1945,0.000573,-1.5384),(5385,1955,0.000547,-1.5359),(5385,1965,0.000527,-1.5334),(5385,1975,0.000513,-1.5309),(5385,1985,0.0005,-1.5284),(5385,1995,0.000486,-1.5261),(5385,2005,0.000473,-1.5238),(5385,2015,0.000459,-1.5215),(5385,2025,0.000446,-1.5192),(5385,2035,0.000433,-1.5171),(5385,2045,0.000427,-1.5149),(5385,2055,0.000426,-1.5127),(5385,2065,0.000426,-1.5106),(5385,2075,0.000425,-1.5086),(5385,2085,0.000436,-1.5066),(5385,2095,0.000455,-1.5046),(5385,2105,0.000473,-1.5027),(5385,2115,0.000492,-1.5009),(5385,2125,0.000517,-1.499),(5385,2135,0.000545,-1.4972),(5385,2145,0.000573,-1.4955),(5385,2155,0.000601,-1.4938),(5385,2165,0.000646,-1.4921),(5385,2175,0.000699,-1.4904),(5385,2185,0.000752,-1.4888),(5385,2195,0.000805,-1.4873),(5385,2205,0.000857,-1.4858),(5385,2215,0.000908,-1.4842),(5385,2225,0.00096,-1.4828),(5385,2235,0.001011,-1.4814),(5385,2245,0.001035,-1.48),(5385,2255,0.001051,-1.4786),(5385,2265,0.001066,-1.4773),(5385,2275,0.001081,-1.476),(5385,2285,0.00108,-1.4747),(5385,2295,0.001075,-1.4734),(5385,2305,0.001069,-1.4721),(5385,2315,0.001064,-1.4709),(5385,2325,0.001047,-1.4697),(5385,2335,0.001028,-1.4685),(5385,2345,0.001009,-1.4674),(5385,2355,0.000989,-1.4662),(5385,2365,0.000974,-1.4651),(5385,2375,0.00096,-1.464),(5385,2385,0.000946,-1.463),(5385,2395,0.000931,-1.462),(5385,2405,0.000946,-1.461),(5385,2415,0.000964,-1.46),(5385,2425,0.000982,-1.4591),(5385,2435,0.001,-1.4582),(5385,2445,0.00103,-1.4574),(5385,2455,0.00106,-1.4565),(5385,2465,0.001091,-1.4558),(5385,2475,0.001121,-1.455),(5385,2485,0.001143,-1.4543),(5385,2495,0.001164,-1.4535),(5385,2505,0.001185,-1.4528),(5385,2515,0.001205,-1.4521),(5385,2525,0.001223,-1.4515),(5385,2535,0.001241,-1.4508),(5385,2545,0.001258,-1.4502),(5385,2555,0.001275,-1.4496),(5385,2565,0.001281,-1.449),(5385,2575,0.001287,-1.4484),(5385,2585,0.001293,-1.4479),(5385,2595,0.001299,-1.4474),(5385,2605,0.001297,-1.4468),(5385,2615,0.001295,-1.4463),(5385,2625,0.001293,-1.4458),(5385,2635,0.001294,-1.4453),(5385,2645,0.001308,-1.4448),(5385,2655,0.001323,-1.4443),(5385,2665,0.001338,-1.4439),(5385,2675,0.001354,-1.4436),(5385,2685,0.001377,-1.4432),(5385,2695,0.001401,-1.4428),(5385,2705,0.001424,-1.4425),(5385,2715,0.001442,-1.4422),(5385,2725,0.001443,-1.4419),(5385,2735,0.001444,-1.4415),(5385,2745,0.001445,-1.4412),(5385,2755,0.001445,-1.4409),(5385,2765,0.001442,-1.4406),(5385,2775,0.001439,-1.4403),(5385,2785,0.001436,-1.4401),(5385,2795,0.001438,-1.4398),(5385,2805,0.001451,-1.4396),(5385,2815,0.001464,-1.4394),(5385,2825,0.001477,-1.4392),(5385,2835,0.001484,-1.4391),(5385,2845,0.001479,-1.439),(5385,2855,0.001474,-1.4388),(5385,2865,0.001469,-1.4387),(5385,2875,0.001468,-1.4386),(5385,2885,0.001475,-1.4384),(5385,2895,0.001481,-1.4383),(5385,2905,0.001487,-1.4384),(5385,2915,0.001496,-1.4384),(5385,2925,0.001509,-1.4384),(5385,2935,0.001521,-1.4384),(5385,2945,0.001533,-1.4385),(5385,2955,0.001527,-1.4386),(5385,2965,0.001499,-1.4387),(5385,2975,0.001472,-1.4388),(5385,2985,0.001444,-1.4389),(5385,2995,0.001424,-1.439),(5385,3005,0.001414,-1.439),(5385,3015,0.001403,-1.4392),(5385,3025,0.001392,-1.4395),(5385,3035,0.001377,-1.4397),(5385,3045,0.001359,-1.4399),(5385,3055,0.00134,-1.4402),(5385,3065,0.001322,-1.4405),(5385,3075,0.001277,-1.4408),(5385,3085,0.001211,-1.4411),(5385,3095,0.001145,-1.4414),(5385,3105,0.00108,-1.4416),(5385,3115,0.001049,-1.4419),(5385,3125,0.001041,-1.4421),(5385,3135,0.001033,-1.4425),(5385,3145,0.001025,-1.443),(5385,3155,0.001024,-1.4434),(5385,3165,0.001027,-1.4439),(5385,3175,0.00103,-1.4443),(5385,3185,0.001034,-1.4448),(5385,3195,0.001028,-1.4453),(5385,3205,0.001017,-1.4457),(5385,3215,0.001007,-1.4462),(5385,3225,0.000997,-1.4467),(5385,3235,0.001026,-1.4472),(5385,3245,0.001069,-1.4477),(5385,3255,0.001112,-1.4483),(5385,3265,0.001156,-1.449),(5385,3275,0.001162,-1.4497),(5385,3285,0.001156,-1.4504),(5385,3295,0.00115,-1.451),(5385,3305,0.001144,-1.4516),(5385,3315,0.001126,-1.4522),(5385,3325,0.001105,-1.4528),(5385,3335,0.001084,-1.4535),(5385,3345,0.001063,-1.4542),(5385,3355,0.001071,-1.4549),(5385,3365,0.001085,-1.4556),(5385,3375,0.001099,-1.4564),(5385,3385,0.001113,-1.4572),(5385,3395,0.0011,-1.4581),(5385,3405,0.001083,-1.4589),(5385,3415,0.001066,-1.4598),(5385,3425,0.001049,-1.4606),(5385,3435,0.001052,-1.4614),(5385,3445,0.001057,-1.4623),(5385,3455,0.001062,-1.4632),(5385,3465,0.001067,-1.4642),(5385,3475,0.001063,-1.4652),(5385,3485,0.00106,-1.4662),(5385,3495,0.001056,-1.4672),(5385,3505,0.001052,-1.4682),(5385,3515,0.001016,-1.4693),(5385,3525,0.00098,-1.4703),(5385,3535,0.000944,-1.4714),(5385,3545,0.000909,-1.4725),(5385,3555,0.00088,-1.4736),(5385,3565,0.000851,-1.4747),(5385,3575,0.000823,-1.4759),(5385,3585,0.000798,-1.477),(5385,3595,0.000815,-1.4782),(5385,3605,0.000831,-1.4794),(5385,3615,0.000848,-1.4808),(5385,3625,0.000863,-1.4821),(5385,3635,0.000866,-1.4835),(5385,3645,0.000869,-1.4848),(5385,3655,0.000873,-1.4863),(5385,3665,0.000871,-1.4877),(5385,3675,0.000843,-1.4891),(5385,3685,0.000815,-1.4906),(5385,3695,0.000787,-1.4921),(5385,3705,0.000767,-1.4936),(5385,3715,0.00078,-1.4951),(5385,3725,0.000793,-1.4967),(5385,3735,0.000807,-1.4984),(5385,3745,0.000802,-1.5001),(5385,3755,0.00074,-1.5018),(5385,3765,0.000678,-1.5034),(5385,3775,0.000616,-1.5051),(5385,3785,0.000553,-1.5067),(5385,3795,0.000488,-1.5084),(5385,3805,0.000422,-1.5101),(5385,3815,0.000357,-1.5119),(5385,3825,0.00023,-1.5138),(5385,3835,-2.8e-05,-1.5156),(5385,3845,-0.000286,-1.5175),(5385,3855,-0.000544,-1.5196),(5385,3865,-0.00107,-1.5216),(5385,3875,-0.002073,-1.5237),(5385,3885,-0.003076,-1.5264),(5385,3895,-0.004078,-1.5302),(5385,3905,-0.005093,-1.534),(5385,3915,-0.006126,-1.5378),(5385,3925,-0.007159,-1.5435),(5385,3935,-0.008192,-1.5519),(5385,3945,-0.005896,-1.5602),(5385,3955,0.000627,-1.5685),(5385,3965,0.00715,-1.5649),(5385,3975,0.013673,-1.5474),(5385,3985,0.027741,-1.5299),(5385,3995,0.049977,-1.5124),(5385,4005,0.072213,-1.4279),(5385,4015,0.094448,-1.2764),(5385,4025,0.19834,-1.1249),(5385,4035,0.31022,-1.0228),(5385,4045,0.4221,-1.0247),(5385,4055,0.51565,-1.0267),(5385,4065,0.60252,-1.0286),(5385,4075,0.68939,-1.0311),(5385,4085,0.72841,-1.0335),(5385,4095,0.72898,-1.036),(5385,4105,0.72955,-1.038),(5385,4115,0.73042,-1.0401),(5385,4125,0.73178,-1.0421),(5385,4135,0.73313,-1.0437),(5385,4145,0.73469,-1.0453),(5385,4155,0.73707,-1.0468),(5385,4165,0.73945,-1.0482),(5385,4175,0.74185,-1.0493),(5385,4185,0.74514,-1.0505),(5385,4195,0.74844,-1.0515),(5385,4205,0.75173,-1.0522),(5385,4215,0.75565,-1.0529),(5385,4225,0.75968,-1.0535),(5385,4235,0.76372,-1.0536),(5385,4245,0.76821,-1.0536),(5385,4255,0.77293,-1.0536),(5385,4265,0.77766,-1.0531),(5385,4275,0.78265,-1.0527),(5385,4285,0.78792,-1.0522),(5385,4295,0.79318,-1.0512),(5385,4305,0.79858,-1.0502),(5385,4315,0.80426,-1.0491),(5385,4325,0.80994,-1.0476),(5385,4335,0.81567,-1.0459),(5385,4345,0.82167,-1.0443),(5385,4355,0.82768,-1.0423),(5385,4365,0.83368,-1.0402),(5385,4375,0.83989,-1.038),(5385,4385,0.8461,-1.0356),(5385,4395,0.85231,-1.033),(5385,4405,0.85864,-1.0304),(5385,4415,0.86501,-1.0277),(5385,4425,0.87138,-1.0248),(5385,4435,0.87777,-1.0218),(5385,4445,0.88418,-1.0188),(5385,4455,0.8906,-1.0156),(5385,4465,0.89702,-1.0124),(5385,4475,0.90347,-1.0092),(5385,4485,0.90992,-1.0057),(5385,4495,0.91636,-1.0022),(5385,4505,0.92279,-0.99863),(5385,4515,0.92922,-0.99494),(5385,4525,0.93565,-0.99117),(5385,4535,0.94204,-0.9874),(5385,4545,0.94843,-0.98348),(5385,4555,0.95482,-0.9794),(5385,4565,0.96117,-0.97532),(5385,4575,0.96751,-0.97118),(5385,4585,0.97385,-0.96691),(5385,4595,0.98012,-0.96264),(5385,4605,0.98636,-0.95835),(5385,4615,0.9926,-0.9539),(5385,4625,0.99878,-0.94945),(5385,4635,1.0049,-0.945),(5385,4645,1.011,-0.94041),(5385,4655,1.0171,-0.93581),(5385,4665,1.0231,-0.93121),(5385,4675,1.0291,-0.92653),(5385,4685,1.0351,-0.92183),(5385,4695,1.041,-0.91712),(5385,4705,1.0468,-0.91232),(5385,4715,1.0527,-0.90746),(5385,4725,1.0585,-0.90259),(5385,4735,1.0642,-0.89773),(5385,4745,1.07,-0.89287),(5385,4755,1.0756,-0.88802),(5385,4765,1.0812,-0.88318),(5385,4775,1.0867,-0.87839),(5385,4785,1.0922,-0.8736),(5385,4795,1.0976,-0.86881),(5385,4805,1.103,-0.86399),(5385,4815,1.1083,-0.85917),(5385,4825,1.1136,-0.85435),(5385,4835,1.1188,-0.84947),(5385,4845,1.124,-0.84458),(5385,4855,1.129,-0.8397),(5385,4865,1.1341,-0.83484),(5385,4875,1.1391,-0.83),(5385,4885,1.144,-0.82515),(5385,4895,1.149,-0.82033),(5385,4905,1.1539,-0.81554),(5385,4915,1.1587,-0.81075),(5385,4925,1.1634,-0.80597),(5385,4935,1.1682,-0.80123),(5385,4945,1.1728,-0.79648),(5385,4955,1.1775,-0.79175),(5385,4965,1.1821,-0.78706),(5385,4975,1.1866,-0.78238),(5385,4985,1.1911,-0.77769),(5385,4995,1.1956,-0.77308),(5385,5005,1.2,-0.76846),(5385,5015,1.2044,-0.76384),(5385,5025,1.2087,-0.75926),(5385,5035,1.2131,-0.75468),(5385,5045,1.2174,-0.7501),(5385,5055,1.2216,-0.7456),(5385,5065,1.2259,-0.74115),(5385,5075,1.2301,-0.73669),(5385,5085,1.2342,-0.73228),(5385,5095,1.2384,-0.72794),(5385,5105,1.2424,-0.7236),(5385,5115,1.2465,-0.71927),(5385,5125,1.2506,-0.71497),(5385,5135,1.2546,-0.71068),(5385,5145,1.2586,-0.70639),(5385,5155,1.2626,-0.70219),(5385,5165,1.2665,-0.69799),(5385,5175,1.2705,-0.69379),(5385,5185,1.2744,-0.68966),(5385,5195,1.2784,-0.68555),(5385,5205,1.2823,-0.68144),(5385,5215,1.2862,-0.67738),(5385,5225,1.2901,-0.67335),(5385,5235,1.2939,-0.66932),(5385,5245,1.2978,-0.66532),(5385,5255,1.3016,-0.66134),(5385,5265,1.3055,-0.65736),(5385,5275,1.3093,-0.6534),(5385,5285,1.3131,-0.64947),(5385,5295,1.317,-0.64554),(5385,5305,1.3208,-0.64163),(5385,5315,1.3246,-0.63779),(5385,5325,1.3284,-0.63394),(5385,5335,1.3323,-0.63009),(5385,5345,1.3361,-0.6263),(5385,5355,1.3399,-0.62251),(5385,5365,1.3438,-0.61871),(5385,5375,1.3476,-0.61494),(5385,5385,1.3515,-0.61117),(5385,5395,1.3553,-0.6074),(5385,5405,1.3592,-0.60366),(5385,5415,1.363,-0.59992),(5385,5425,1.3669,-0.59619),(5385,5435,1.3708,-0.59244),(5385,5445,1.3746,-0.58868),(5385,5455,1.3785,-0.58492),(5385,5465,1.3823,-0.58115),(5385,5475,1.3862,-0.57737),(5385,5485,1.3901,-0.57359),(5385,5495,1.3939,-0.5698),(5385,5505,1.3978,-0.56595),(5385,5515,1.4016,-0.56211),(5385,5525,1.4054,-0.55826),(5385,5535,1.4093,-0.55437),(5385,5545,1.4131,-0.55048),(5385,5555,1.4169,-0.54659),(5385,5565,1.4207,-0.54262),(5385,5575,1.4246,-0.53861),(5385,5585,1.4284,-0.53461),(5385,5595,1.4322,-0.53058),(5385,5605,1.436,-0.52652),(5385,5615,1.4397,-0.52246),(5385,5625,1.4435,-0.51839),(5385,5635,1.4473,-0.51432),(5385,5645,1.451,-0.51024),(5385,5655,1.4548,-0.50614),(5385,5665,1.4586,-0.50197),(5385,5675,1.4623,-0.4978),(5385,5685,1.466,-0.49362),(5385,5695,1.4698,-0.48938),(5385,5705,1.4735,-0.48513),(5385,5715,1.4772,-0.48089),(5385,5725,1.4809,-0.47658),(5385,5735,1.4846,-0.47227),(5385,5745,1.4883,-0.46795),(5385,5755,1.4919,-0.46358),(5385,5765,1.4956,-0.45918),(5385,5775,1.4992,-0.45479),(5385,5785,1.5028,-0.45032),(5385,5795,1.5064,-0.44577),(5385,5805,1.5099,-0.44123),(5385,5815,1.5134,-0.43666),(5385,5825,1.5169,-0.43203),(5385,5835,1.5204,-0.42739),(5385,5845,1.5238,-0.42275),(5385,5855,1.5272,-0.41802),(5385,5865,1.5306,-0.4133),(5385,5875,1.5339,-0.40857),(5385,5885,1.5373,-0.40374),(5385,5895,1.5406,-0.39891),(5385,5905,1.5438,-0.39408),(5385,5915,1.5471,-0.38918),(5385,5925,1.5504,-0.38426),(5385,5935,1.5536,-0.37934),(5385,5945,1.5568,-0.37438),(5385,5955,1.56,-0.36939),(5385,5965,1.5631,-0.36439),(5385,5975,1.5663,-0.35937),(5385,5985,1.5694,-0.35431),(5385,5995,1.5725,-0.34926),(5385,6005,1.5756,-0.34417),(5385,6015,1.5787,-0.339),(5385,6025,1.5817,-0.33384),(5385,6035,1.5846,-0.32866),(5385,6045,1.5876,-0.32338),(5385,6055,1.5905,-0.3181),(5385,6065,1.5933,-0.31282),(5385,6075,1.5962,-0.30745),(5385,6085,1.599,-0.30207),(5385,6095,1.6017,-0.2967),(5385,6105,1.6044,-0.29125),(5385,6115,1.607,-0.28578),(5385,6125,1.6096,-0.28032),(5385,6135,1.6122,-0.27481),(5385,6145,1.6148,-0.26928),(5385,6155,1.6172,-0.26374),(5385,6165,1.6196,-0.25817),(5385,6175,1.6221,-0.25253),(5385,6185,1.6244,-0.2469),(5385,6195,1.6268,-0.24125),(5385,6205,1.6291,-0.23552),(5385,6215,1.6313,-0.22978),(5385,6225,1.6335,-0.22405),(5385,6235,1.6357,-0.21827),(5385,6245,1.6378,-0.21249),(5385,6255,1.6399,-0.20671),(5385,6265,1.6419,-0.20087),(5385,6275,1.6439,-0.19502),(5385,6285,1.6458,-0.18916),(5385,6295,1.6476,-0.18325),(5385,6305,1.6495,-0.1773),(5385,6315,1.6512,-0.17136),(5385,6325,1.6529,-0.16539),(5385,6335,1.6546,-0.15939),(5385,6345,1.6561,-0.15339),(5385,6355,1.6576,-0.14737),(5385,6365,1.6591,-0.14126),(5385,6375,1.6605,-0.13516),(5385,6385,1.6618,-0.12904),(5385,6395,1.6631,-0.12288),(5385,6405,1.6644,-0.11671),(5385,6415,1.6655,-0.11055),(5385,6425,1.6666,-0.10436),(5385,6435,1.6677,-0.098177),(5385,6445,1.6686,-0.091991),(5385,6455,1.6696,-0.085771),(5385,6465,1.6705,-0.079542),(5385,6475,1.6713,-0.073312),(5385,6485,1.672,-0.067077),(5385,6495,1.6728,-0.060838),(5385,6505,1.6733,-0.054599),(5385,6515,1.6739,-0.04835),(5385,6525,1.6744,-0.042087),(5385,6535,1.6748,-0.035824),(5385,6545,1.6752,-0.029555),(5385,6555,1.6755,-0.023267),(5385,6565,1.6757,-0.016978),(5385,6575,1.6759,-0.010691),(5385,6585,1.676,-0.004424),(5385,6595,1.4256,0.001843),(5385,6605,0.89857,0.00811),(5385,6615,0.37155,0.008828),(5385,6625,0.001072,0.008833),(5385,6635,0.001093,0.008837),(5385,6645,0.001115,0.008854),(5385,6655,0.001136,0.008875),(5385,6665,0.001156,0.008897),(5385,6675,0.001176,0.008918),(5385,6685,0.001195,0.008937),(5385,6695,0.001214,0.008957),(5385,6705,0.001232,0.008976),(5385,6715,0.001251,0.008995),(5385,6725,0.001268,0.009013),(5385,6735,0.001285,0.009031),(5385,6745,0.001302,0.009047),(5385,6755,0.001319,0.009064),(5385,6765,0.001335,0.009081),(5385,6775,0.001351,0.009096),(5385,6785,0.001366,0.009111),(5385,6795,0.001381,0.009126),(5385,6805,0.001396,0.00914),(5385,6815,0.001411,0.009153),(5385,6825,0.001426,0.009167),(5385,6835,0.00144,0.009179),(5385,6845,0.001454,0.009191),(5385,6855,0.001468,0.009204),(5385,6865,0.001482,0.009215),(5385,6875,0.001495,0.009226),(5385,6885,0.001508,0.009236),(5385,6895,0.001522,0.009247),(5385,6905,0.001535,0.009256),(5385,6915,0.001547,0.009266),(5385,6925,0.00156,0.009275),(5385,6935,0.001572,0.009284),(5385,6945,0.001585,0.009292),(5385,6955,0.001597,0.0093),(5385,6965,0.001609,0.009307),(5385,6975,0.001621,0.009314),(5385,6985,0.001632,0.009321),(5395,5,1e-06,-1.4431),(5395,15,3e-06,-1.4433),(5395,25,2e-06,-1.4434),(5395,35,-3e-06,-1.4436),(5395,45,-7e-06,-1.4438),(5395,55,-1.1e-05,-1.4439),(5395,65,-2.5e-05,-1.4441),(5395,75,-4.7e-05,-1.4442),(5395,85,-6.9e-05,-1.4444),(5395,95,-9e-05,-1.4446),(5395,105,-0.000107,-1.4448),(5395,115,-0.000121,-1.445),(5395,125,-0.000134,-1.4453),(5395,135,-0.000148,-1.4456),(5395,145,-0.000121,-1.446),(5395,155,-7.2e-05,-1.4463),(5395,165,-2.2e-05,-1.4467),(5395,175,2.7e-05,-1.4473),(5395,185,9e-05,-1.4478),(5395,195,0.000159,-1.4483),(5395,205,0.000228,-1.4489),(5395,215,0.000296,-1.4496),(5395,225,0.000317,-1.4503),(5395,235,0.000318,-1.4509),(5395,245,0.000318,-1.4516),(5395,255,0.000319,-1.4523),(5395,265,0.000257,-1.453),(5395,275,0.000174,-1.4537),(5395,285,9.2e-05,-1.4543),(5395,295,9e-06,-1.455),(5395,305,-6.6e-05,-1.4557),(5395,315,-0.000139,-1.4563),(5395,325,-0.000211,-1.4571),(5395,335,-0.000284,-1.4579),(5395,345,-0.000284,-1.4588),(5395,355,-0.000269,-1.4596),(5395,365,-0.000254,-1.4607),(5395,375,-0.000239,-1.4618),(5395,385,-0.00019,-1.4629),(5395,395,-0.000136,-1.464),(5395,405,-8.2e-05,-1.4652),(5395,415,-2.8e-05,-1.4665),(5395,425,1.4e-05,-1.4678),(5395,435,5.5e-05,-1.469),(5395,445,9.7e-05,-1.4704),(5395,455,0.000138,-1.4718),(5395,465,0.000177,-1.4732),(5395,475,0.000215,-1.4746),(5395,485,0.000253,-1.4762),(5395,495,0.000291,-1.4777),(5395,505,0.000285,-1.4793),(5395,515,0.000278,-1.4809),(5395,525,0.000271,-1.4825),(5395,535,0.000262,-1.4842),(5395,545,0.000206,-1.4858),(5395,555,0.00015,-1.4875),(5395,565,9.4e-05,-1.4893),(5395,575,3.8e-05,-1.491),(5395,585,-5e-06,-1.4928),(5395,595,-4.8e-05,-1.4946),(5395,605,-9.1e-05,-1.4966),(5395,615,-0.000129,-1.4986),(5395,625,-0.000124,-1.5006),(5395,635,-0.00012,-1.5027),(5395,645,-0.000115,-1.505),(5395,655,-0.000112,-1.5073),(5395,665,-0.000124,-1.5096),(5395,675,-0.000135,-1.512),(5395,685,-0.000146,-1.5145),(5395,695,-0.000162,-1.5169),(5395,705,-0.000196,-1.5194),(5395,715,-0.000231,-1.5219),(5395,725,-0.000265,-1.5246),(5395,735,-0.000296,-1.5272),(5395,745,-0.000316,-1.5299),(5395,755,-0.000336,-1.5326),(5395,765,-0.000356,-1.5356),(5395,775,-0.000371,-1.5385),(5395,785,-0.000371,-1.5414),(5395,795,-0.00037,-1.5444),(5395,805,-0.00037,-1.5475),(5395,815,-0.000364,-1.5507),(5395,825,-0.000345,-1.5538),(5395,835,-0.000327,-1.5571),(5395,845,-0.000308,-1.5605),(5395,855,-0.00029,-1.5639),(5395,865,-0.000273,-1.5673),(5395,875,-0.000256,-1.5708),(5395,885,-0.000239,-1.5744),(5395,895,-0.000232,-1.578),(5395,905,-0.00024,-1.5816),(5395,915,-0.000248,-1.5853),(5395,925,-0.000257,-1.5891),(5395,935,-0.000267,-1.5928),(5395,945,-0.000281,-1.5966),(5395,955,-0.000296,-1.6004),(5395,965,-0.00031,-1.6044),(5395,975,-0.000302,-1.6083),(5395,985,-0.000268,-1.6122),(5395,995,-0.000234,-1.6163),(5395,1005,-0.000201,-1.6205),(5395,1015,-0.000152,-1.6246),(5395,1025,-8.7e-05,-1.6288),(5395,1035,-2.3e-05,-1.6331),(5395,1045,4.1e-05,-1.6374),(5395,1055,9.8e-05,-1.6416),(5395,1065,0.000147,-1.6459),(5395,1075,0.000197,-1.6502),(5395,1085,0.000246,-1.6545),(5395,1095,0.000271,-1.6587),(5395,1105,0.000279,-1.663),(5395,1115,0.000287,-1.6672),(5395,1125,0.000295,-1.6715),(5395,1135,0.000162,-1.6757),(5395,1145,-5.6e-05,-1.6799),(5395,1155,-0.000273,-1.6844),(5395,1165,-0.00049,-1.6889),(5395,1175,-0.000962,-1.6934),(5395,1185,-0.00156,-1.698),(5395,1195,-0.002158,-1.7046),(5395,1205,-0.002756,-1.7122),(5395,1215,-0.003078,-1.7198),(5395,1225,-0.003285,-1.7274),(5395,1235,-0.003491,-1.7399),(5395,1245,-0.003698,-1.7544),(5395,1255,-0.004775,-1.7688),(5395,1265,-0.006145,-1.7833),(5395,1275,-0.007515,-1.7712),(5395,1285,-0.008885,-1.7511),(5395,1295,-0.016525,-1.7309),(5395,1305,-0.025861,-1.7108),(5395,1315,-0.035196,-1.5961),(5395,1325,-0.044532,-1.4588),(5395,1335,-0.030085,-1.3215),(5395,1345,-0.010654,-1.1841),(5395,1355,0.008777,-1.2761),(5395,1365,0.028209,-1.4096),(5395,1375,0.027321,-1.5432),(5395,1385,0.023298,-1.6767),(5395,1395,0.019276,-1.7163),(5395,1405,0.015253,-1.7438),(5395,1415,0.01392,-1.7713),(5395,1425,0.012866,-1.7988),(5395,1435,0.011812,-1.7839),(5395,1445,0.010758,-1.7655),(5395,1455,0.009608,-1.7472),(5395,1465,0.008453,-1.7288),(5395,1475,0.007298,-1.7196),(5395,1485,0.006143,-1.7106),(5395,1495,0.004937,-1.7017),(5395,1505,0.003731,-1.6927),(5395,1515,0.002524,-1.6882),(5395,1525,0.001338,-1.6836),(5395,1535,0.00095,-1.6791),(5395,1545,0.000562,-1.6746),(5395,1555,0.000174,-1.6706),(5395,1565,-0.00019,-1.6666),(5395,1575,-0.000189,-1.6627),(5395,1585,-0.000188,-1.6587),(5395,1595,-0.000187,-1.6548),(5395,1605,-0.000182,-1.6509),(5395,1615,-0.000138,-1.647),(5395,1625,-9.5e-05,-1.6431),(5395,1635,-5.2e-05,-1.6393),(5395,1645,-1.1e-05,-1.6354),(5395,1655,1.3e-05,-1.6316),(5395,1665,3.7e-05,-1.6278),(5395,1675,6e-05,-1.6241),(5395,1685,8.5e-05,-1.6204),(5395,1695,0.000115,-1.6167),(5395,1705,0.000145,-1.6131),(5395,1715,0.000176,-1.6096),(5395,1725,0.000206,-1.606),(5395,1735,0.000236,-1.6025),(5395,1745,0.000266,-1.599),(5395,1755,0.000296,-1.5957),(5395,1765,0.000317,-1.5923),(5395,1775,0.000316,-1.5889),(5395,1785,0.000314,-1.5856),(5395,1795,0.000313,-1.5823),(5395,1805,0.000312,-1.5791),(5395,1815,0.000313,-1.5758),(5395,1825,0.000315,-1.5726),(5395,1835,0.000316,-1.5696),(5395,1845,0.000317,-1.5665),(5395,1855,0.000317,-1.5635),(5395,1865,0.000317,-1.5605),(5395,1875,0.000317,-1.5577),(5395,1885,0.000311,-1.5548),(5395,1895,0.000293,-1.5519),(5395,1905,0.000276,-1.5491),(5395,1915,0.000258,-1.5464),(5395,1925,0.000242,-1.5437),(5395,1935,0.000226,-1.541),(5395,1945,0.00021,-1.5384),(5395,1955,0.000195,-1.5359),(5395,1965,0.000184,-1.5334),(5395,1975,0.000179,-1.5309),(5395,1985,0.000174,-1.5285),(5395,1995,0.000169,-1.5261),(5395,2005,0.000164,-1.5238),(5395,2015,0.000157,-1.5215),(5395,2025,0.000151,-1.5192),(5395,2035,0.000144,-1.5171),(5395,2045,0.000142,-1.5149),(5395,2055,0.000144,-1.5127),(5395,2065,0.000145,-1.5106),(5395,2075,0.000147,-1.5086),(5395,2085,0.000159,-1.5066),(5395,2095,0.000179,-1.5046),(5395,2105,0.000199,-1.5027),(5395,2115,0.000219,-1.5008),(5395,2125,0.000245,-1.499),(5395,2135,0.000274,-1.4972),(5395,2145,0.000304,-1.4954),(5395,2155,0.000333,-1.4937),(5395,2165,0.00038,-1.492),(5395,2175,0.000436,-1.4903),(5395,2185,0.000492,-1.4887),(5395,2195,0.000548,-1.4872),(5395,2205,0.000608,-1.4857),(5395,2215,0.000669,-1.4842),(5395,2225,0.000731,-1.4828),(5395,2235,0.000793,-1.4814),(5395,2245,0.00083,-1.48),(5395,2255,0.000859,-1.4786),(5395,2265,0.000888,-1.4773),(5395,2275,0.000917,-1.476),(5395,2285,0.000928,-1.4747),(5395,2295,0.000934,-1.4734),(5395,2305,0.00094,-1.4721),(5395,2315,0.000945,-1.4709),(5395,2325,0.000937,-1.4697),(5395,2335,0.000926,-1.4685),(5395,2345,0.000914,-1.4674),(5395,2355,0.000903,-1.4663),(5395,2365,0.000889,-1.4651),(5395,2375,0.000875,-1.464),(5395,2385,0.000861,-1.463),(5395,2395,0.000848,-1.462),(5395,2405,0.000859,-1.461),(5395,2415,0.000874,-1.46),(5395,2425,0.000889,-1.4591),(5395,2435,0.000904,-1.4582),(5395,2445,0.000934,-1.4574),(5395,2455,0.000964,-1.4565),(5395,2465,0.000995,-1.4557),(5395,2475,0.001026,-1.455),(5395,2485,0.001051,-1.4542),(5395,2495,0.001076,-1.4535),(5395,2505,0.0011,-1.4528),(5395,2515,0.001125,-1.4521),(5395,2525,0.001148,-1.4514),(5395,2535,0.001172,-1.4508),(5395,2545,0.001195,-1.4502),(5395,2555,0.001218,-1.4496),(5395,2565,0.001231,-1.449),(5395,2575,0.001244,-1.4484),(5395,2585,0.001256,-1.4479),(5395,2595,0.001268,-1.4474),(5395,2605,0.001269,-1.4468),(5395,2615,0.001269,-1.4463),(5395,2625,0.00127,-1.4458),(5395,2635,0.001272,-1.4453),(5395,2645,0.001287,-1.4448),(5395,2655,0.001302,-1.4443),(5395,2665,0.001317,-1.4439),(5395,2675,0.001334,-1.4435),(5395,2685,0.001362,-1.4431),(5395,2695,0.00139,-1.4428),(5395,2705,0.001418,-1.4425),(5395,2715,0.001442,-1.4422),(5395,2725,0.001449,-1.4418),(5395,2735,0.001455,-1.4415),(5395,2745,0.001462,-1.4412),(5395,2755,0.001467,-1.4409),(5395,2765,0.001467,-1.4406),(5395,2775,0.001467,-1.4403),(5395,2785,0.001466,-1.4401),(5395,2795,0.001471,-1.4398),(5395,2805,0.001488,-1.4396),(5395,2815,0.001505,-1.4394),(5395,2825,0.001522,-1.4392),(5395,2835,0.001533,-1.4391),(5395,2845,0.001532,-1.439),(5395,2855,0.001531,-1.4388),(5395,2865,0.00153,-1.4387),(5395,2875,0.001533,-1.4386),(5395,2885,0.001541,-1.4384),(5395,2895,0.00155,-1.4383),(5395,2905,0.001559,-1.4383),(5395,2915,0.001574,-1.4383),(5395,2925,0.001598,-1.4383),(5395,2935,0.001622,-1.4384),(5395,2945,0.001645,-1.4385),(5395,2955,0.00165,-1.4386),(5395,2965,0.001632,-1.4387),(5395,2975,0.001614,-1.4388),(5395,2985,0.001596,-1.4389),(5395,2995,0.001582,-1.439),(5395,3005,0.001573,-1.4391),(5395,3015,0.001564,-1.4392),(5395,3025,0.001555,-1.4395),(5395,3035,0.001546,-1.4397),(5395,3045,0.001536,-1.44),(5395,3055,0.001527,-1.4402),(5395,3065,0.001517,-1.4405),(5395,3075,0.001478,-1.4409),(5395,3085,0.001416,-1.4412),(5395,3095,0.001355,-1.4414),(5395,3105,0.001293,-1.4417),(5395,3115,0.001262,-1.4419),(5395,3125,0.001251,-1.4421),(5395,3135,0.00124,-1.4425),(5395,3145,0.00123,-1.443),(5395,3155,0.001232,-1.4434),(5395,3165,0.001241,-1.4439),(5395,3175,0.00125,-1.4443),(5395,3185,0.001259,-1.4448),(5395,3195,0.001254,-1.4453),(5395,3205,0.001242,-1.4457),(5395,3215,0.001231,-1.4462),(5395,3225,0.001219,-1.4467),(5395,3235,0.001248,-1.4472),(5395,3245,0.001291,-1.4476),(5395,3255,0.001335,-1.4483),(5395,3265,0.001379,-1.449),(5395,3275,0.001393,-1.4497),(5395,3285,0.001398,-1.4504),(5395,3295,0.001403,-1.451),(5395,3305,0.001407,-1.4516),(5395,3315,0.001394,-1.4522),(5395,3325,0.001377,-1.4528),(5395,3335,0.001359,-1.4535),(5395,3345,0.001342,-1.4542),(5395,3355,0.001356,-1.4549),(5395,3365,0.001377,-1.4555),(5395,3375,0.001397,-1.4564),(5395,3385,0.001418,-1.4572),(5395,3395,0.001414,-1.4581),(5395,3405,0.001406,-1.4589),(5395,3415,0.001398,-1.4598),(5395,3425,0.001391,-1.4606),(5395,3435,0.0014,-1.4614),(5395,3445,0.00141,-1.4623),(5395,3455,0.001421,-1.4632),(5395,3465,0.001431,-1.4642),(5395,3475,0.001441,-1.4652),(5395,3485,0.001452,-1.4662),(5395,3495,0.001462,-1.4672),(5395,3505,0.001472,-1.4683),(5395,3515,0.001452,-1.4693),(5395,3525,0.001432,-1.4703),(5395,3535,0.001412,-1.4714),(5395,3545,0.001391,-1.4725),(5395,3555,0.001365,-1.4736),(5395,3565,0.001339,-1.4747),(5395,3575,0.001313,-1.4759),(5395,3585,0.001291,-1.477),(5395,3595,0.001308,-1.4782),(5395,3605,0.001325,-1.4794),(5395,3615,0.001343,-1.4808),(5395,3625,0.00136,-1.4821),(5395,3635,0.00138,-1.4834),(5395,3645,0.0014,-1.4848),(5395,3655,0.00142,-1.4862),(5395,3665,0.001434,-1.4877),(5395,3675,0.001419,-1.4892),(5395,3685,0.001404,-1.4906),(5395,3695,0.001389,-1.4921),(5395,3705,0.001382,-1.4936),(5395,3715,0.001409,-1.4951),(5395,3725,0.001435,-1.4966),(5395,3735,0.001461,-1.4984),(5395,3745,0.00147,-1.5001),(5395,3755,0.001422,-1.5018),(5395,3765,0.001375,-1.5035),(5395,3775,0.001328,-1.5051),(5395,3785,0.001275,-1.5068),(5395,3795,0.001209,-1.5084),(5395,3805,0.001142,-1.5101),(5395,3815,0.001076,-1.5119),(5395,3825,0.000977,-1.5138),(5395,3835,0.000812,-1.5156),(5395,3845,0.000646,-1.5175),(5395,3855,0.000481,-1.5197),(5395,3865,0.000229,-1.5218),(5395,3875,-0.000176,-1.524),(5395,3885,-0.00058,-1.527),(5395,3895,-0.000985,-1.5312),(5395,3905,-0.001184,-1.5354),(5395,3915,-0.001078,-1.5397),(5395,3925,-0.000971,-1.5458),(5395,3935,-0.000865,-1.5546),(5395,3945,-0.00113,-1.5634),(5395,3955,-0.001869,-1.5722),(5395,3965,-0.002608,-1.5683),(5395,3975,-0.003346,-1.5498),(5395,3985,-0.010745,-1.5312),(5395,3995,-0.025353,-1.5126),(5395,4005,-0.03996,-1.4276),(5395,4015,-0.054568,-1.2762),(5395,4025,0.089964,-1.1248),(5395,4035,0.25006,-1.0228),(5395,4045,0.41016,-1.0247),(5395,4055,0.51657,-1.0265),(5395,4065,0.60337,-1.0285),(5395,4075,0.69018,-1.0308),(5395,4085,0.7291,-1.0331),(5395,4095,0.72953,-1.0354),(5395,4105,0.72996,-1.0372),(5395,4115,0.7307,-1.0391),(5395,4125,0.73195,-1.041),(5395,4135,0.73319,-1.0425),(5395,4145,0.73464,-1.0439),(5395,4155,0.73692,-1.0453),(5395,4165,0.73919,-1.0466),(5395,4175,0.74148,-1.0477),(5395,4185,0.74465,-1.0488),(5395,4195,0.74783,-1.0497),(5395,4205,0.751,-1.0505),(5395,4215,0.75478,-1.0512),(5395,4225,0.75868,-1.0518),(5395,4235,0.76258,-1.0519),(5395,4245,0.76692,-1.052),(5395,4255,0.77147,-1.0521),(5395,4265,0.77603,-1.0518),(5395,4275,0.78084,-1.0515),(5395,4285,0.78593,-1.0511),(5395,4295,0.79102,-1.0503),(5395,4305,0.79623,-1.0495),(5395,4315,0.80174,-1.0486),(5395,4325,0.80724,-1.0473),(5395,4335,0.81278,-1.0458),(5395,4345,0.81862,-1.0442),(5395,4355,0.82445,-1.0425),(5395,4365,0.83028,-1.0404),(5395,4375,0.83633,-1.0384),(5395,4385,0.84239,-1.0362),(5395,4395,0.84845,-1.0337),(5395,4405,0.85464,-1.0312),(5395,4415,0.86087,-1.0286),(5395,4425,0.8671,-1.0258),(5395,4435,0.87337,-1.023),(5395,4445,0.87967,-1.0201),(5395,4455,0.88597,-1.017),(5395,4465,0.89229,-1.0139),(5395,4475,0.89863,-1.0107),(5395,4485,0.90498,-1.0074),(5395,4495,0.91132,-1.004),(5395,4505,0.91766,-1.0006),(5395,4515,0.92399,-0.99699),(5395,4525,0.93032,-0.99334),(5395,4535,0.93663,-0.98969),(5395,4545,0.94293,-0.98589),(5395,4555,0.94924,-0.98192),(5395,4565,0.95551,-0.97796),(5395,4575,0.96177,-0.97394),(5395,4585,0.96803,-0.96979),(5395,4595,0.97423,-0.96564),(5395,4605,0.9804,-0.96146),(5395,4615,0.98657,-0.95713),(5395,4625,0.99269,-0.95279),(5395,4635,0.99876,-0.94845),(5395,4645,1.0048,-0.94396),(5395,4655,1.0109,-0.93946),(5395,4665,1.0168,-0.93496),(5395,4675,1.0228,-0.93035),(5395,4685,1.0287,-0.92572),(5395,4695,1.0345,-0.92108),(5395,4705,1.0404,-0.91635),(5395,4715,1.0462,-0.91153),(5395,4725,1.0519,-0.90672),(5395,4735,1.0576,-0.90191),(5395,4745,1.0634,-0.89711),(5395,4755,1.0689,-0.89231),(5395,4765,1.0745,-0.88753),(5395,4775,1.08,-0.88278),(5395,4785,1.0855,-0.87804),(5395,4795,1.0909,-0.8733),(5395,4805,1.0963,-0.86852),(5395,4815,1.1016,-0.86375),(5395,4825,1.1068,-0.85897),(5395,4835,1.112,-0.85413),(5395,4845,1.1172,-0.84927),(5395,4855,1.1223,-0.84442),(5395,4865,1.1273,-0.83959),(5395,4875,1.1324,-0.83477),(5395,4885,1.1373,-0.82994),(5395,4895,1.1422,-0.82515),(5395,4905,1.1471,-0.82037),(5395,4915,1.1519,-0.8156),(5395,4925,1.1567,-0.81084),(5395,4935,1.1614,-0.8061),(5395,4945,1.1661,-0.80137),(5395,4955,1.1707,-0.79665),(5395,4965,1.1753,-0.79197),(5395,4975,1.1799,-0.78729),(5395,4985,1.1843,-0.78261),(5395,4995,1.1888,-0.77798),(5395,5005,1.1933,-0.77336),(5395,5015,1.1977,-0.76873),(5395,5025,1.202,-0.76413),(5395,5035,1.2064,-0.75954),(5395,5045,1.2107,-0.75495),(5395,5055,1.215,-0.75043),(5395,5065,1.2192,-0.74596),(5395,5075,1.2234,-0.74149),(5395,5085,1.2276,-0.73707),(5395,5095,1.2317,-0.73271),(5395,5105,1.2358,-0.72834),(5395,5115,1.2399,-0.72399),(5395,5125,1.244,-0.71966),(5395,5135,1.248,-0.71534),(5395,5145,1.252,-0.71102),(5395,5155,1.2561,-0.70678),(5395,5165,1.26,-0.70254),(5395,5175,1.264,-0.6983),(5395,5185,1.268,-0.69414),(5395,5195,1.2719,-0.68998),(5395,5205,1.2758,-0.68582),(5395,5215,1.2798,-0.68172),(5395,5225,1.2837,-0.67764),(5395,5235,1.2875,-0.67355),(5395,5245,1.2914,-0.66949),(5395,5255,1.2953,-0.66546),(5395,5265,1.2991,-0.66142),(5395,5275,1.303,-0.65739),(5395,5285,1.3068,-0.6534),(5395,5295,1.3107,-0.6494),(5395,5305,1.3145,-0.64542),(5395,5315,1.3183,-0.64149),(5395,5325,1.3221,-0.63757),(5395,5335,1.3259,-0.63365),(5395,5345,1.3298,-0.62978),(5395,5355,1.3336,-0.62591),(5395,5365,1.3374,-0.62204),(5395,5375,1.3413,-0.61819),(5395,5385,1.3451,-0.61434),(5395,5395,1.3489,-0.6105),(5395,5405,1.3528,-0.60668),(5395,5415,1.3566,-0.60286),(5395,5425,1.3605,-0.59905),(5395,5435,1.3643,-0.59523),(5395,5445,1.3682,-0.59139),(5395,5455,1.372,-0.58756),(5395,5465,1.3759,-0.58372),(5395,5475,1.3797,-0.57986),(5395,5485,1.3836,-0.576),(5395,5495,1.3874,-0.57213),(5395,5505,1.3913,-0.56821),(5395,5515,1.3951,-0.56429),(5395,5525,1.3989,-0.56037),(5395,5535,1.4027,-0.55641),(5395,5545,1.4065,-0.55245),(5395,5555,1.4103,-0.54848),(5395,5565,1.4141,-0.54444),(5395,5575,1.4179,-0.54036),(5395,5585,1.4217,-0.53629),(5395,5595,1.4255,-0.53218),(5395,5605,1.4293,-0.52805),(5395,5615,1.433,-0.52392),(5395,5625,1.4368,-0.51979),(5395,5635,1.4405,-0.51564),(5395,5645,1.4442,-0.5115),(5395,5655,1.448,-0.50733),(5395,5665,1.4517,-0.50309),(5395,5675,1.4554,-0.49886),(5395,5685,1.4591,-0.49462),(5395,5695,1.4628,-0.49031),(5395,5705,1.4665,-0.486),(5395,5715,1.4701,-0.48169),(5395,5725,1.4738,-0.47733),(5395,5735,1.4774,-0.47296),(5395,5745,1.4811,-0.46859),(5395,5755,1.4847,-0.46417),(5395,5765,1.4883,-0.45973),(5395,5775,1.4919,-0.45529),(5395,5785,1.4954,-0.45077),(5395,5795,1.499,-0.4462),(5395,5805,1.5025,-0.44162),(5395,5815,1.506,-0.43701),(5395,5825,1.5095,-0.43234),(5395,5835,1.5129,-0.42768),(5395,5845,1.5163,-0.423),(5395,5855,1.5197,-0.41824),(5395,5865,1.523,-0.41349),(5395,5875,1.5264,-0.40873),(5395,5885,1.5297,-0.40387),(5395,5895,1.5329,-0.399),(5395,5905,1.5362,-0.39414),(5395,5915,1.5394,-0.3892),(5395,5925,1.5426,-0.38425),(5395,5935,1.5458,-0.37929),(5395,5945,1.549,-0.37429),(5395,5955,1.5521,-0.36927),(5395,5965,1.5552,-0.36424),(5395,5975,1.5583,-0.35919),(5395,5985,1.5614,-0.35411),(5395,5995,1.5645,-0.34903),(5395,6005,1.5675,-0.34392),(5395,6015,1.5705,-0.33874),(5395,6025,1.5735,-0.33356),(5395,6035,1.5764,-0.32836),(5395,6045,1.5794,-0.32307),(5395,6055,1.5822,-0.31778),(5395,6065,1.585,-0.31249),(5395,6075,1.5878,-0.30712),(5395,6085,1.5906,-0.30174),(5395,6095,1.5933,-0.29636),(5395,6105,1.596,-0.29091),(5395,6115,1.5986,-0.28544),(5395,6125,1.6012,-0.27996),(5395,6135,1.6037,-0.27445),(5395,6145,1.6062,-0.26891),(5395,6155,1.6087,-0.26337),(5395,6165,1.6111,-0.25779),(5395,6175,1.6135,-0.25214),(5395,6185,1.6158,-0.2465),(5395,6195,1.6181,-0.24084),(5395,6205,1.6204,-0.2351),(5395,6215,1.6226,-0.22936),(5395,6225,1.6248,-0.22363),(5395,6235,1.6269,-0.21785),(5395,6245,1.629,-0.21207),(5395,6255,1.631,-0.20629),(5395,6265,1.633,-0.20045),(5395,6275,1.635,-0.19461),(5395,6285,1.6368,-0.18876),(5395,6295,1.6387,-0.18285),(5395,6305,1.6405,-0.17691),(5395,6315,1.6422,-0.17097),(5395,6325,1.6439,-0.16501),(5395,6335,1.6455,-0.15902),(5395,6345,1.6471,-0.15304),(5395,6355,1.6485,-0.14702),(5395,6365,1.65,-0.14092),(5395,6375,1.6514,-0.13483),(5395,6385,1.6527,-0.12872),(5395,6395,1.654,-0.12257),(5395,6405,1.6552,-0.11641),(5395,6415,1.6563,-0.11025),(5395,6425,1.6574,-0.10408),(5395,6435,1.6585,-0.0979),(5395,6445,1.6594,-0.091724),(5395,6455,1.6604,-0.085515),(5395,6465,1.6613,-0.079297),(5395,6475,1.662,-0.073079),(5395,6485,1.6627,-0.066858),(5395,6495,1.6635,-0.060635),(5395,6505,1.664,-0.054412),(5395,6515,1.6646,-0.048178),(5395,6525,1.6651,-0.041931),(5395,6535,1.6655,-0.035683),(5395,6545,1.6658,-0.02943),(5395,6555,1.6662,-0.023158),(5395,6565,1.6664,-0.016886),(5395,6575,1.6665,-0.010615),(5395,6585,1.6666,-0.004364),(5395,6595,1.4176,0.001887),(5395,6605,0.89355,0.008138),(5395,6615,0.36946,0.008853),(5395,6625,0.001048,0.008856),(5395,6635,0.00107,0.008859),(5395,6645,0.001092,0.008875),(5395,6655,0.001114,0.008896),(5395,6665,0.001134,0.008917),(5395,6675,0.001154,0.008937),(5395,6685,0.001174,0.008956),(5395,6695,0.001193,0.008976),(5395,6705,0.001212,0.008995),(5395,6715,0.001231,0.009012),(5395,6725,0.001249,0.00903),(5395,6735,0.001266,0.009048),(5395,6745,0.001284,0.009064),(5395,6755,0.001301,0.00908),(5395,6765,0.001317,0.009097),(5395,6775,0.001334,0.009111),(5395,6785,0.00135,0.009126),(5395,6795,0.001365,0.009141),(5395,6805,0.001381,0.009154),(5395,6815,0.001396,0.009168),(5395,6825,0.001411,0.009181),(5395,6835,0.001425,0.009193),(5395,6845,0.00144,0.009205),(5395,6855,0.001454,0.009217),(5395,6865,0.001468,0.009229),(5395,6875,0.001482,0.009239),(5395,6885,0.001496,0.00925),(5395,6895,0.001509,0.00926),(5395,6905,0.001522,0.009269),(5395,6915,0.001536,0.009279),(5395,6925,0.001548,0.009288),(5395,6935,0.001561,0.009296),(5395,6945,0.001574,0.009304),(5395,6955,0.001586,0.009312),(5395,6965,0.001599,0.009319),(5395,6975,0.001611,0.009326),(5395,6985,0.001623,0.009333),(5405,5,4e-06,-1.406),(5405,15,1.1e-05,-1.4062),(5405,25,1.4e-05,-1.4064),(5405,35,1.4e-05,-1.4065),(5405,45,1.4e-05,-1.4067),(5405,55,1.4e-05,-1.4069),(5405,65,2e-06,-1.407),(5405,75,-1.8e-05,-1.4072),(5405,85,-3.8e-05,-1.4073),(5405,95,-5.9e-05,-1.4075),(5405,105,-7.9e-05,-1.4077),(5405,115,-0.0001,-1.408),(5405,125,-0.00012,-1.4082),(5405,135,-0.000141,-1.4085),(5405,145,-0.000122,-1.4088),(5405,155,-8e-05,-1.4091),(5405,165,-3.9e-05,-1.4095),(5405,175,3e-06,-1.4101),(5405,185,7e-05,-1.4106),(5405,195,0.00015,-1.4111),(5405,205,0.000229,-1.4117),(5405,215,0.000308,-1.4124),(5405,225,0.00035,-1.413),(5405,235,0.000378,-1.4137),(5405,245,0.000405,-1.4144),(5405,255,0.000433,-1.415),(5405,265,0.000389,-1.4157),(5405,275,0.000323,-1.4164),(5405,285,0.000257,-1.4171),(5405,295,0.000191,-1.4177),(5405,305,0.000113,-1.4184),(5405,315,3.2e-05,-1.419),(5405,325,-4.9e-05,-1.4198),(5405,335,-0.000131,-1.4206),(5405,345,-0.000145,-1.4213),(5405,355,-0.000145,-1.4221),(5405,365,-0.000146,-1.4231),(5405,375,-0.000146,-1.4242),(5405,385,-0.000101,-1.4253),(5405,395,-5e-05,-1.4263),(5405,405,2e-06,-1.4276),(5405,415,5.3e-05,-1.4288),(5405,425,0.000102,-1.43),(5405,435,0.000151,-1.4313),(5405,445,0.0002,-1.4326),(5405,455,0.000249,-1.434),(5405,465,0.000302,-1.4354),(5405,475,0.000355,-1.4367),(5405,485,0.000409,-1.4383),(5405,495,0.000462,-1.4398),(5405,505,0.000476,-1.4414),(5405,515,0.000489,-1.4429),(5405,525,0.000502,-1.4445),(5405,535,0.000513,-1.4461),(5405,545,0.000467,-1.4478),(5405,555,0.00042,-1.4494),(5405,565,0.000373,-1.4511),(5405,575,0.000327,-1.4528),(5405,585,0.000282,-1.4545),(5405,595,0.000237,-1.4562),(5405,605,0.000192,-1.4582),(5405,615,0.000153,-1.4601),(5405,625,0.000163,-1.4621),(5405,635,0.000173,-1.4641),(5405,645,0.000182,-1.4664),(5405,655,0.000191,-1.4686),(5405,665,0.000196,-1.4709),(5405,675,0.0002,-1.4732),(5405,685,0.000205,-1.4756),(5405,695,0.000204,-1.478),(5405,705,0.000182,-1.4804),(5405,715,0.00016,-1.4829),(5405,725,0.000137,-1.4855),(5405,735,0.000117,-1.4881),(5405,745,0.000101,-1.4907),(5405,755,8.6e-05,-1.4933),(5405,765,7.1e-05,-1.4962),(5405,775,6.1e-05,-1.499),(5405,785,6.6e-05,-1.5018),(5405,795,7e-05,-1.5048),(5405,805,7.5e-05,-1.5078),(5405,815,8.7e-05,-1.5109),(5405,825,0.000116,-1.5139),(5405,835,0.000144,-1.5171),(5405,845,0.000173,-1.5204),(5405,855,0.000204,-1.5237),(5405,865,0.000238,-1.5271),(5405,875,0.000272,-1.5305),(5405,885,0.000307,-1.534),(5405,895,0.000331,-1.5375),(5405,905,0.000341,-1.5411),(5405,915,0.00035,-1.5447),(5405,925,0.00036,-1.5483),(5405,935,0.000364,-1.552),(5405,945,0.000362,-1.5557),(5405,955,0.000359,-1.5594),(5405,965,0.000357,-1.5632),(5405,975,0.000377,-1.567),(5405,985,0.000424,-1.5709),(5405,995,0.00047,-1.5748),(5405,1005,0.000517,-1.5789),(5405,1015,0.000585,-1.583),(5405,1025,0.000673,-1.587),(5405,1035,0.000761,-1.5912),(5405,1045,0.000849,-1.5953),(5405,1055,0.000929,-1.5995),(5405,1065,0.001002,-1.6037),(5405,1075,0.001075,-1.6079),(5405,1085,0.001148,-1.612),(5405,1095,0.00119,-1.6161),(5405,1105,0.001211,-1.6203),(5405,1115,0.001232,-1.6244),(5405,1125,0.001253,-1.6285),(5405,1135,0.001218,-1.6326),(5405,1145,0.001151,-1.6367),(5405,1155,0.001083,-1.6411),(5405,1165,0.001016,-1.6456),(5405,1175,0.001244,-1.6501),(5405,1185,0.001619,-1.6546),(5405,1195,0.001994,-1.6614),(5405,1205,0.002368,-1.6693),(5405,1215,0.003711,-1.6771),(5405,1225,0.005454,-1.685),(5405,1235,0.007197,-1.6979),(5405,1245,0.008939,-1.7126),(5405,1255,0.001649,-1.7274),(5405,1265,-0.008693,-1.7421),(5405,1275,-0.019034,-1.7314),(5405,1285,-0.029375,-1.713),(5405,1295,-0.062353,-1.6946),(5405,1305,-0.10145,-1.6762),(5405,1315,-0.14055,-1.5688),(5405,1325,-0.17965,-1.4402),(5405,1335,-0.11213,-1.3115),(5405,1345,-0.022263,-1.1828),(5405,1355,0.067605,-1.2709),(5405,1365,0.15747,-1.3982),(5405,1375,0.14214,-1.5256),(5405,1385,0.11058,-1.6529),(5405,1395,0.079022,-1.689),(5405,1405,0.04746,-1.7133),(5405,1415,0.032746,-1.7376),(5405,1425,0.01978,-1.762),(5405,1435,0.006814,-1.7459),(5405,1445,-0.006151,-1.7265),(5405,1455,-0.005404,-1.7071),(5405,1465,-0.003868,-1.6877),(5405,1475,-0.002331,-1.6779),(5405,1485,-0.000794,-1.6685),(5405,1495,-0.00065,-1.659),(5405,1505,-0.000527,-1.6496),(5405,1515,-0.000404,-1.645),(5405,1525,-0.000289,-1.6405),(5405,1535,-0.000484,-1.6359),(5405,1545,-0.00068,-1.6314),(5405,1555,-0.000876,-1.6276),(5405,1565,-0.001059,-1.6237),(5405,1575,-0.001061,-1.6199),(5405,1585,-0.001063,-1.6161),(5405,1595,-0.001065,-1.6123),(5405,1605,-0.001061,-1.6085),(5405,1615,-0.001009,-1.6047),(5405,1625,-0.000956,-1.6009),(5405,1635,-0.000904,-1.5972),(5405,1645,-0.000853,-1.5935),(5405,1655,-0.000812,-1.5898),(5405,1665,-0.00077,-1.5861),(5405,1675,-0.000729,-1.5825),(5405,1685,-0.000686,-1.5789),(5405,1695,-0.000638,-1.5753),(5405,1705,-0.00059,-1.5717),(5405,1715,-0.000543,-1.5683),(5405,1725,-0.000494,-1.5648),(5405,1735,-0.000444,-1.5614),(5405,1745,-0.000394,-1.558),(5405,1755,-0.000345,-1.5547),(5405,1765,-0.000304,-1.5514),(5405,1775,-0.000288,-1.5482),(5405,1785,-0.000273,-1.5449),(5405,1795,-0.000258,-1.5417),(5405,1805,-0.000243,-1.5386),(5405,1815,-0.000228,-1.5354),(5405,1825,-0.000214,-1.5323),(5405,1835,-0.000199,-1.5293),(5405,1845,-0.000185,-1.5263),(5405,1855,-0.000169,-1.5234),(5405,1865,-0.000153,-1.5205),(5405,1875,-0.000137,-1.5177),(5405,1885,-0.000128,-1.5149),(5405,1895,-0.000131,-1.5121),(5405,1905,-0.000134,-1.5094),(5405,1915,-0.000137,-1.5068),(5405,1925,-0.000141,-1.5041),(5405,1935,-0.000147,-1.5015),(5405,1945,-0.000152,-1.4989),(5405,1955,-0.000158,-1.4965),(5405,1965,-0.000159,-1.494),(5405,1975,-0.000155,-1.4916),(5405,1985,-0.000151,-1.4892),(5405,1995,-0.000147,-1.487),(5405,2005,-0.000145,-1.4847),(5405,2015,-0.000145,-1.4825),(5405,2025,-0.000145,-1.4803),(5405,2035,-0.000145,-1.4781),(5405,2045,-0.000143,-1.476),(5405,2055,-0.000139,-1.4739),(5405,2065,-0.000135,-1.4718),(5405,2075,-0.000132,-1.4699),(5405,2085,-0.000118,-1.4679),(5405,2095,-9.6e-05,-1.4659),(5405,2105,-7.5e-05,-1.4641),(5405,2115,-5.4e-05,-1.4623),(5405,2125,-2.7e-05,-1.4605),(5405,2135,4e-06,-1.4587),(5405,2145,3.4e-05,-1.457),(5405,2155,6.5e-05,-1.4553),(5405,2165,0.000114,-1.4537),(5405,2175,0.000173,-1.452),(5405,2185,0.000231,-1.4505),(5405,2195,0.00029,-1.449),(5405,2205,0.000358,-1.4475),(5405,2215,0.000431,-1.4461),(5405,2225,0.000503,-1.4447),(5405,2235,0.000575,-1.4433),(5405,2245,0.000625,-1.442),(5405,2255,0.000668,-1.4407),(5405,2265,0.00071,-1.4394),(5405,2275,0.000753,-1.4381),(5405,2285,0.000776,-1.4368),(5405,2295,0.000793,-1.4355),(5405,2305,0.00081,-1.4343),(5405,2315,0.000827,-1.4332),(5405,2325,0.000827,-1.432),(5405,2335,0.000823,-1.4308),(5405,2345,0.00082,-1.4297),(5405,2355,0.000816,-1.4286),(5405,2365,0.000804,-1.4276),(5405,2375,0.000791,-1.4265),(5405,2385,0.000777,-1.4255),(5405,2395,0.000764,-1.4245),(5405,2405,0.000773,-1.4235),(5405,2415,0.000785,-1.4225),(5405,2425,0.000796,-1.4216),(5405,2435,0.000808,-1.4208),(5405,2445,0.000838,-1.4199),(5405,2455,0.000869,-1.4191),(5405,2465,0.0009,-1.4184),(5405,2475,0.000931,-1.4176),(5405,2485,0.000959,-1.4169),(5405,2495,0.000988,-1.4162),(5405,2505,0.001016,-1.4155),(5405,2515,0.001044,-1.4148),(5405,2525,0.001073,-1.4142),(5405,2535,0.001103,-1.4135),(5405,2545,0.001132,-1.4129),(5405,2555,0.001161,-1.4124),(5405,2565,0.001181,-1.4118),(5405,2575,0.0012,-1.4112),(5405,2585,0.00122,-1.4107),(5405,2595,0.001237,-1.4102),(5405,2605,0.00124,-1.4097),(5405,2615,0.001243,-1.4092),(5405,2625,0.001246,-1.4087),(5405,2635,0.00125,-1.4082),(5405,2645,0.001265,-1.4077),(5405,2655,0.001281,-1.4072),(5405,2665,0.001296,-1.4068),(5405,2675,0.001314,-1.4065),(5405,2685,0.001347,-1.4061),(5405,2695,0.00138,-1.4057),(5405,2705,0.001413,-1.4054),(5405,2715,0.001441,-1.4051),(5405,2725,0.001454,-1.4048),(5405,2735,0.001467,-1.4045),(5405,2745,0.00148,-1.4042),(5405,2755,0.00149,-1.4039),(5405,2765,0.001492,-1.4036),(5405,2775,0.001494,-1.4034),(5405,2785,0.001496,-1.4031),(5405,2795,0.001504,-1.4029),(5405,2805,0.001525,-1.4026),(5405,2815,0.001546,-1.4024),(5405,2825,0.001567,-1.4023),(5405,2835,0.001582,-1.4022),(5405,2845,0.001585,-1.402),(5405,2855,0.001587,-1.4019),(5405,2865,0.00159,-1.4018),(5405,2875,0.001597,-1.4016),(5405,2885,0.001608,-1.4015),(5405,2895,0.00162,-1.4014),(5405,2905,0.001631,-1.4014),(5405,2915,0.001652,-1.4014),(5405,2925,0.001687,-1.4014),(5405,2935,0.001723,-1.4015),(5405,2945,0.001757,-1.4016),(5405,2955,0.001773,-1.4017),(5405,2965,0.001765,-1.4018),(5405,2975,0.001757,-1.4019),(5405,2985,0.001748,-1.402),(5405,2995,0.00174,-1.4021),(5405,3005,0.001733,-1.4021),(5405,3015,0.001726,-1.4023),(5405,3025,0.001718,-1.4025),(5405,3035,0.001714,-1.4028),(5405,3045,0.001713,-1.403),(5405,3055,0.001713,-1.4033),(5405,3065,0.001712,-1.4036),(5405,3075,0.001679,-1.4039),(5405,3085,0.001621,-1.4042),(5405,3095,0.001564,-1.4045),(5405,3105,0.001506,-1.4047),(5405,3115,0.001475,-1.4049),(5405,3125,0.001462,-1.4051),(5405,3135,0.001448,-1.4055),(5405,3145,0.001435,-1.4059),(5405,3155,0.001439,-1.4064),(5405,3165,0.001454,-1.4068),(5405,3175,0.001469,-1.4073),(5405,3185,0.001484,-1.4077),(5405,3195,0.001479,-1.4082),(5405,3205,0.001467,-1.4086),(5405,3215,0.001454,-1.4091),(5405,3225,0.001442,-1.4096),(5405,3235,0.00147,-1.41),(5405,3245,0.001514,-1.4105),(5405,3255,0.001557,-1.4111),(5405,3265,0.001601,-1.4118),(5405,3275,0.001623,-1.4125),(5405,3285,0.001639,-1.4131),(5405,3295,0.001655,-1.4138),(5405,3305,0.001671,-1.4144),(5405,3315,0.001662,-1.4149),(5405,3325,0.001648,-1.4155),(5405,3335,0.001634,-1.4162),(5405,3345,0.00162,-1.4168),(5405,3355,0.001641,-1.4175),(5405,3365,0.001669,-1.4182),(5405,3375,0.001696,-1.419),(5405,3385,0.001723,-1.4198),(5405,3395,0.001728,-1.4207),(5405,3405,0.001729,-1.4215),(5405,3415,0.001731,-1.4223),(5405,3425,0.001733,-1.4231),(5405,3435,0.001747,-1.4239),(5405,3445,0.001763,-1.4247),(5405,3455,0.001779,-1.4257),(5405,3465,0.001795,-1.4266),(5405,3475,0.001819,-1.4276),(5405,3485,0.001843,-1.4285),(5405,3495,0.001867,-1.4296),(5405,3505,0.001891,-1.4306),(5405,3515,0.001887,-1.4316),(5405,3525,0.001883,-1.4326),(5405,3535,0.001879,-1.4337),(5405,3545,0.001874,-1.4347),(5405,3555,0.00185,-1.4358),(5405,3565,0.001827,-1.4369),(5405,3575,0.001803,-1.438),(5405,3585,0.001783,-1.4391),(5405,3595,0.001801,-1.4403),(5405,3605,0.001819,-1.4414),(5405,3615,0.001837,-1.4427),(5405,3625,0.001857,-1.444),(5405,3635,0.001894,-1.4453),(5405,3645,0.00193,-1.4467),(5405,3655,0.001967,-1.4481),(5405,3665,0.001997,-1.4495),(5405,3675,0.001995,-1.4509),(5405,3685,0.001993,-1.4524),(5405,3695,0.001991,-1.4538),(5405,3705,0.001997,-1.4553),(5405,3715,0.002037,-1.4567),(5405,3725,0.002076,-1.4582),(5405,3735,0.002116,-1.4599),(5405,3745,0.002138,-1.4616),(5405,3755,0.002105,-1.4633),(5405,3765,0.002073,-1.465),(5405,3775,0.00204,-1.4665),(5405,3785,0.001997,-1.4681),(5405,3795,0.00193,-1.4697),(5405,3805,0.001862,-1.4714),(5405,3815,0.001795,-1.4731),(5405,3825,0.001725,-1.4749),(5405,3835,0.001652,-1.4767),(5405,3845,0.001578,-1.4786),(5405,3855,0.001505,-1.4808),(5405,3865,0.001528,-1.483),(5405,3875,0.001722,-1.4852),(5405,3885,0.001915,-1.4882),(5405,3895,0.002109,-1.4926),(5405,3905,0.002725,-1.4969),(5405,3915,0.003971,-1.5013),(5405,3925,0.005217,-1.5075),(5405,3935,0.006463,-1.5161),(5405,3945,0.003635,-1.5248),(5405,3955,-0.004365,-1.5334),(5405,3965,-0.012366,-1.5298),(5405,3975,-0.020366,-1.5118),(5405,3985,-0.049231,-1.4939),(5405,3995,-0.10068,-1.4759),(5405,4005,-0.15213,-1.3969),(5405,4015,-0.20358,-1.257),(5405,4025,-0.018412,-1.117),(5405,4035,0.18991,-1.0227),(5405,4045,0.39823,-1.0246),(5405,4055,0.51748,-1.0264),(5405,4065,0.60423,-1.0284),(5405,4075,0.69097,-1.0305),(5405,4085,0.72979,-1.0326),(5405,4095,0.73008,-1.0348),(5405,4105,0.73037,-1.0365),(5405,4115,0.73098,-1.0382),(5405,4125,0.73211,-1.0399),(5405,4135,0.73325,-1.0413),(5405,4145,0.7346,-1.0426),(5405,4155,0.73676,-1.0439),(5405,4165,0.73893,-1.0451),(5405,4175,0.74111,-1.0461),(5405,4185,0.74416,-1.0471),(5405,4195,0.74722,-1.048),(5405,4205,0.75027,-1.0488),(5405,4215,0.75392,-1.0495),(5405,4225,0.75768,-1.0501),(5405,4235,0.76144,-1.0503),(5405,4245,0.76562,-1.0505),(5405,4255,0.77001,-1.0506),(5405,4265,0.7744,-1.0504),(5405,4275,0.77904,-1.0502),(5405,4285,0.78395,-1.05),(5405,4295,0.78885,-1.0493),(5405,4305,0.79389,-1.0486),(5405,4315,0.79921,-1.0479),(5405,4325,0.80453,-1.0467),(5405,4335,0.8099,-1.0454),(5405,4345,0.81556,-1.044),(5405,4355,0.82122,-1.0424),(5405,4365,0.82688,-1.0405),(5405,4375,0.83277,-1.0386),(5405,4385,0.83868,-1.0366),(5405,4395,0.84458,-1.0342),(5405,4405,0.85063,-1.0318),(5405,4415,0.85673,-1.0294),(5405,4425,0.86283,-1.0267),(5405,4435,0.86898,-1.0239),(5405,4445,0.87516,-1.0212),(5405,4455,0.88135,-1.0182),(5405,4465,0.88756,-1.0152),(5405,4475,0.8938,-1.0121),(5405,4485,0.90004,-1.0089),(5405,4495,0.90628,-1.0056),(5405,4505,0.91252,-1.0023),(5405,4515,0.91876,-0.99883),(5405,4525,0.925,-0.9953),(5405,4535,0.93122,-0.99176),(5405,4545,0.93744,-0.98808),(5405,4555,0.94366,-0.98423),(5405,4565,0.94984,-0.98038),(5405,4575,0.95603,-0.97648),(5405,4585,0.96221,-0.97244),(5405,4595,0.96833,-0.96841),(5405,4605,0.97444,-0.96436),(5405,4615,0.98054,-0.96013),(5405,4625,0.9866,-0.9559),(5405,4635,0.99262,-0.95167),(5405,4645,0.99863,-0.94728),(5405,4655,1.0046,-0.94288),(5405,4665,1.0105,-0.93847),(5405,4675,1.0164,-0.93395),(5405,4685,1.0223,-0.92939),(5405,4695,1.0281,-0.92482),(5405,4705,1.0339,-0.92015),(5405,4715,1.0397,-0.91539),(5405,4725,1.0454,-0.91063),(5405,4735,1.0511,-0.90588),(5405,4745,1.0567,-0.90113),(5405,4755,1.0623,-0.89639),(5405,4765,1.0678,-0.89166),(5405,4775,1.0733,-0.88696),(5405,4785,1.0788,-0.88227),(5405,4795,1.0842,-0.87758),(5405,4805,1.0895,-0.87284),(5405,4815,1.0948,-0.86811),(5405,4825,1.1001,-0.86337),(5405,4835,1.1053,-0.85856),(5405,4845,1.1105,-0.85374),(5405,4855,1.1155,-0.84892),(5405,4865,1.1206,-0.84411),(5405,4875,1.1256,-0.83932),(5405,4885,1.1305,-0.83452),(5405,4895,1.1354,-0.82974),(5405,4905,1.1403,-0.82499),(5405,4915,1.1451,-0.82023),(5405,4925,1.1499,-0.81548),(5405,4935,1.1547,-0.81077),(5405,4945,1.1593,-0.80606),(5405,4955,1.1639,-0.80135),(5405,4965,1.1686,-0.79667),(5405,4975,1.1731,-0.792),(5405,4985,1.1776,-0.78732),(5405,4995,1.1821,-0.78269),(5405,5005,1.1865,-0.77805),(5405,5015,1.1909,-0.77342),(5405,5025,1.1953,-0.76881),(5405,5035,1.1997,-0.7642),(5405,5045,1.204,-0.7596),(5405,5055,1.2083,-0.75507),(5405,5065,1.2126,-0.75059),(5405,5075,1.2167,-0.7461),(5405,5085,1.2209,-0.74166),(5405,5095,1.2251,-0.73728),(5405,5105,1.2292,-0.73289),(5405,5115,1.2333,-0.72852),(5405,5125,1.2374,-0.72416),(5405,5135,1.2415,-0.71981),(5405,5145,1.2455,-0.71547),(5405,5155,1.2495,-0.71119),(5405,5165,1.2535,-0.70692),(5405,5175,1.2575,-0.70264),(5405,5185,1.2615,-0.69843),(5405,5195,1.2655,-0.69423),(5405,5205,1.2694,-0.69004),(5405,5215,1.2733,-0.68589),(5405,5225,1.2773,-0.68175),(5405,5235,1.2812,-0.67762),(5405,5245,1.2851,-0.67351),(5405,5255,1.289,-0.66941),(5405,5265,1.2928,-0.66532),(5405,5275,1.2967,-0.66123),(5405,5285,1.3005,-0.65717),(5405,5295,1.3044,-0.65311),(5405,5305,1.3082,-0.64907),(5405,5315,1.312,-0.64507),(5405,5325,1.3158,-0.64107),(5405,5335,1.3196,-0.63707),(5405,5345,1.3235,-0.63313),(5405,5355,1.3273,-0.62918),(5405,5365,1.3311,-0.62524),(5405,5375,1.3349,-0.62132),(5405,5385,1.3387,-0.6174),(5405,5395,1.3426,-0.61348),(5405,5405,1.3464,-0.60958),(5405,5415,1.3502,-0.6057),(5405,5425,1.3541,-0.60181),(5405,5435,1.3579,-0.59792),(5405,5445,1.3618,-0.59401),(5405,5455,1.3656,-0.5901),(5405,5465,1.3694,-0.58618),(5405,5475,1.3733,-0.58225),(5405,5485,1.3771,-0.57832),(5405,5495,1.3809,-0.57438),(5405,5505,1.3848,-0.57039),(5405,5515,1.3886,-0.5664),(5405,5525,1.3924,-0.56241),(5405,5535,1.3962,-0.55838),(5405,5545,1.4,-0.55434),(5405,5555,1.4038,-0.55031),(5405,5565,1.4075,-0.54619),(5405,5575,1.4113,-0.54205),(5405,5585,1.4151,-0.5379),(5405,5595,1.4188,-0.53373),(5405,5605,1.4226,-0.52953),(5405,5615,1.4263,-0.52534),(5405,5625,1.43,-0.52114),(5405,5635,1.4337,-0.51693),(5405,5645,1.4374,-0.51271),(5405,5655,1.4411,-0.50848),(5405,5665,1.4448,-0.50418),(5405,5675,1.4485,-0.49988),(5405,5685,1.4521,-0.49558),(5405,5695,1.4558,-0.49122),(5405,5705,1.4594,-0.48685),(5405,5715,1.463,-0.48248),(5405,5725,1.4666,-0.47806),(5405,5735,1.4702,-0.47364),(5405,5745,1.4738,-0.46921),(5405,5755,1.4774,-0.46474),(5405,5765,1.481,-0.46026),(5405,5775,1.4845,-0.45577),(5405,5785,1.4881,-0.45122),(5405,5795,1.4916,-0.4466),(5405,5805,1.4951,-0.44199),(5405,5815,1.4985,-0.43734),(5405,5825,1.502,-0.43265),(5405,5835,1.5054,-0.42795),(5405,5845,1.5088,-0.42323),(5405,5855,1.5122,-0.41845),(5405,5865,1.5155,-0.41366),(5405,5875,1.5188,-0.40888),(5405,5885,1.5221,-0.40398),(5405,5895,1.5253,-0.39909),(5405,5905,1.5285,-0.3942),(5405,5915,1.5317,-0.38923),(5405,5925,1.5349,-0.38424),(5405,5935,1.538,-0.37925),(5405,5945,1.5411,-0.37422),(5405,5955,1.5442,-0.36916),(5405,5965,1.5473,-0.3641),(5405,5975,1.5504,-0.35902),(5405,5985,1.5534,-0.35392),(5405,5995,1.5564,-0.34881),(5405,6005,1.5594,-0.34368),(5405,6015,1.5624,-0.33848),(5405,6025,1.5653,-0.33328),(5405,6035,1.5682,-0.32807),(5405,6045,1.5711,-0.32277),(5405,6055,1.574,-0.31747),(5405,6065,1.5767,-0.31218),(5405,6075,1.5795,-0.3068),(5405,6085,1.5823,-0.30141),(5405,6095,1.5849,-0.29603),(5405,6105,1.5876,-0.29057),(5405,6115,1.5902,-0.28509),(5405,6125,1.5927,-0.27961),(5405,6135,1.5952,-0.2741),(5405,6145,1.5977,-0.26855),(5405,6155,1.6001,-0.263),(5405,6165,1.6025,-0.25742),(5405,6175,1.6049,-0.25176),(5405,6185,1.6072,-0.24611),(5405,6195,1.6094,-0.24044),(5405,6205,1.6117,-0.2347),(5405,6215,1.6139,-0.22896),(5405,6225,1.616,-0.22321),(5405,6235,1.6181,-0.21743),(5405,6245,1.6202,-0.21166),(5405,6255,1.6222,-0.20588),(5405,6265,1.6242,-0.20005),(5405,6275,1.6261,-0.19421),(5405,6285,1.6279,-0.18837),(5405,6295,1.6297,-0.18246),(5405,6305,1.6316,-0.17653),(5405,6315,1.6332,-0.17059),(5405,6325,1.6349,-0.16464),(5405,6335,1.6365,-0.15866),(5405,6345,1.638,-0.15269),(5405,6355,1.6395,-0.14668),(5405,6365,1.641,-0.14059),(5405,6375,1.6423,-0.13451),(5405,6385,1.6436,-0.12841),(5405,6395,1.6449,-0.12226),(5405,6405,1.6461,-0.11611),(5405,6415,1.6472,-0.10996),(5405,6425,1.6483,-0.1038),(5405,6435,1.6493,-0.097631),(5405,6445,1.6502,-0.091466),(5405,6455,1.6511,-0.085268),(5405,6465,1.652,-0.07906),(5405,6475,1.6527,-0.072853),(5405,6485,1.6535,-0.066645),(5405,6495,1.6542,-0.060437),(5405,6505,1.6547,-0.05423),(5405,6515,1.6552,-0.048011),(5405,6525,1.6558,-0.041778),(5405,6535,1.6561,-0.035545),(5405,6545,1.6565,-0.029307),(5405,6555,1.6568,-0.02305),(5405,6565,1.657,-0.016794),(5405,6575,1.6571,-0.010539),(5405,6585,1.6573,-0.004303),(5405,6595,1.4097,0.001933),(5405,6605,0.88852,0.008169),(5405,6615,0.36737,0.00888),(5405,6625,0.001024,0.008881),(5405,6635,0.001047,0.008882),(5405,6645,0.001069,0.008896),(5405,6655,0.001091,0.008917),(5405,6665,0.001112,0.008937),(5405,6675,0.001133,0.008957),(5405,6685,0.001153,0.008976),(5405,6695,0.001173,0.008995),(5405,6705,0.001192,0.009013),(5405,6715,0.001211,0.00903),(5405,6725,0.001229,0.009048),(5405,6735,0.001247,0.009065),(5405,6745,0.001265,0.009081),(5405,6755,0.001283,0.009097),(5405,6765,0.0013,0.009113),(5405,6775,0.001316,0.009127),(5405,6785,0.001333,0.009142),(5405,6795,0.001349,0.009156),(5405,6805,0.001365,0.00917),(5405,6815,0.001381,0.009183),(5405,6825,0.001396,0.009196),(5405,6835,0.001411,0.009208),(5405,6845,0.001426,0.00922),(5405,6855,0.00144,0.009231),(5405,6865,0.001455,0.009242),(5405,6875,0.001469,0.009253),(5405,6885,0.001483,0.009263),(5405,6895,0.001497,0.009273),(5405,6905,0.00151,0.009282),(5405,6915,0.001524,0.009291),(5405,6925,0.001537,0.0093),(5405,6935,0.00155,0.009308),(5405,6945,0.001563,0.009316),(5405,6955,0.001576,0.009324),(5405,6965,0.001589,0.009331),(5405,6975,0.001602,0.009338),(5405,6985,0.001614,0.009345),(5415,5,6e-06,-1.1758),(5415,15,1.9e-05,-1.1759),(5415,25,2.7e-05,-1.1761),(5415,35,3.1e-05,-1.1762),(5415,45,3.5e-05,-1.1764),(5415,55,3.9e-05,-1.1765),(5415,65,3e-05,-1.1766),(5415,75,1.1e-05,-1.1767),(5415,85,-8e-06,-1.1769),(5415,95,-2.7e-05,-1.1771),(5415,105,-5.1e-05,-1.1772),(5415,115,-7.9e-05,-1.1774),(5415,125,-0.000106,-1.1776),(5415,135,-0.000134,-1.1779),(5415,145,-0.000122,-1.1781),(5415,155,-8.8e-05,-1.1784),(5415,165,-5.5e-05,-1.1787),(5415,175,-2.1e-05,-1.1792),(5415,185,5.1e-05,-1.1796),(5415,195,0.000141,-1.18),(5415,205,0.00023,-1.1805),(5415,215,0.00032,-1.1811),(5415,225,0.000384,-1.1816),(5415,235,0.000438,-1.1822),(5415,245,0.000492,-1.1828),(5415,255,0.000546,-1.1833),(5415,265,0.000522,-1.1839),(5415,275,0.000472,-1.1845),(5415,285,0.000423,-1.1851),(5415,295,0.000374,-1.1856),(5415,305,0.000292,-1.1862),(5415,315,0.000202,-1.1867),(5415,325,0.000113,-1.1873),(5415,335,2.3e-05,-1.188),(5415,345,-5e-06,-1.1886),(5415,355,-2.1e-05,-1.1893),(5415,365,-3.7e-05,-1.1901),(5415,375,-5.3e-05,-1.191),(5415,385,-1.2e-05,-1.1919),(5415,395,3.7e-05,-1.1928),(5415,405,8.6e-05,-1.1938),(5415,415,0.000134,-1.1948),(5415,425,0.00019,-1.1959),(5415,435,0.000246,-1.1969),(5415,445,0.000303,-1.198),(5415,455,0.000359,-1.1992),(5415,465,0.000427,-1.2003),(5415,475,0.000496,-1.2015),(5415,485,0.000565,-1.2028),(5415,495,0.000634,-1.2041),(5415,505,0.000667,-1.2054),(5415,515,0.0007,-1.2067),(5415,525,0.000734,-1.208),(5415,535,0.000764,-1.2094),(5415,545,0.000727,-1.2107),(5415,555,0.00069,-1.2121),(5415,565,0.000653,-1.2136),(5415,575,0.000616,-1.215),(5415,585,0.000569,-1.2164),(5415,595,0.000522,-1.2179),(5415,605,0.000475,-1.2195),(5415,615,0.000435,-1.2211),(5415,625,0.00045,-1.2228),(5415,635,0.000465,-1.2244),(5415,645,0.000479,-1.2263),(5415,655,0.000495,-1.2282),(5415,665,0.000515,-1.2301),(5415,675,0.000536,-1.232),(5415,685,0.000556,-1.2341),(5415,695,0.000571,-1.2361),(5415,705,0.00056,-1.2381),(5415,715,0.00055,-1.2402),(5415,725,0.000539,-1.2424),(5415,735,0.000529,-1.2445),(5415,745,0.000519,-1.2467),(5415,755,0.000509,-1.2489),(5415,765,0.000499,-1.2513),(5415,775,0.000494,-1.2537),(5415,785,0.000502,-1.2561),(5415,795,0.000511,-1.2585),(5415,805,0.00052,-1.2611),(5415,815,0.000538,-1.2636),(5415,825,0.000577,-1.2662),(5415,835,0.000615,-1.2688),(5415,845,0.000654,-1.2716),(5415,855,0.000697,-1.2744),(5415,865,0.000749,-1.2772),(5415,875,0.000801,-1.28),(5415,885,0.000852,-1.283),(5415,895,0.000895,-1.286),(5415,905,0.000922,-1.2889),(5415,915,0.000949,-1.2919),(5415,925,0.000976,-1.295),(5415,935,0.000995,-1.2981),(5415,945,0.001005,-1.3012),(5415,955,0.001014,-1.3043),(5415,965,0.001023,-1.3075),(5415,975,0.001056,-1.3107),(5415,985,0.001116,-1.3139),(5415,995,0.001175,-1.3172),(5415,1005,0.001235,-1.3206),(5415,1015,0.001321,-1.324),(5415,1025,0.001433,-1.3274),(5415,1035,0.001545,-1.3309),(5415,1045,0.001657,-1.3344),(5415,1055,0.001761,-1.3379),(5415,1065,0.001857,-1.3414),(5415,1075,0.001953,-1.3449),(5415,1085,0.002049,-1.3484),(5415,1095,0.002108,-1.3518),(5415,1105,0.002142,-1.3553),(5415,1115,0.002176,-1.3588),(5415,1125,0.00221,-1.3623),(5415,1135,0.002275,-1.3658),(5415,1145,0.002357,-1.3693),(5415,1155,0.002439,-1.3729),(5415,1165,0.002522,-1.3767),(5415,1175,0.00345,-1.3805),(5415,1185,0.004797,-1.3843),(5415,1195,0.006145,-1.3894),(5415,1205,0.007493,-1.3951),(5415,1215,0.010501,-1.4007),(5415,1225,0.014193,-1.4064),(5415,1235,0.017885,-1.4148),(5415,1245,0.021577,-1.4242),(5415,1255,0.008072,-1.4337),(5415,1265,-0.01124,-1.4431),(5415,1275,-0.030553,-1.4393),(5415,1285,-0.049866,-1.4315),(5415,1295,-0.10818,-1.4237),(5415,1305,-0.17705,-1.4159),(5415,1315,-0.24591,-1.363),(5415,1325,-0.31477,-1.2993),(5415,1335,-0.19418,-1.2357),(5415,1345,-0.033872,-1.172),(5415,1355,0.12643,-1.2164),(5415,1365,0.28674,-1.2803),(5415,1375,0.25697,-1.3443),(5415,1385,0.19787,-1.4083),(5415,1395,0.13877,-1.4247),(5415,1405,0.079668,-1.435),(5415,1415,0.051572,-1.4453),(5415,1425,0.026694,-1.4556),(5415,1435,0.001817,-1.4449),(5415,1445,-0.02306,-1.4324),(5415,1455,-0.020417,-1.4199),(5415,1465,-0.016188,-1.4075),(5415,1475,-0.01196,-1.4005),(5415,1485,-0.007731,-1.3937),(5415,1495,-0.006237,-1.3869),(5415,1505,-0.004785,-1.3801),(5415,1515,-0.003332,-1.3762),(5415,1525,-0.001916,-1.3724),(5415,1535,-0.001919,-1.3686),(5415,1545,-0.001922,-1.3648),(5415,1555,-0.001926,-1.3616),(5415,1565,-0.001929,-1.3583),(5415,1575,-0.001934,-1.355),(5415,1585,-0.001938,-1.3518),(5415,1595,-0.001942,-1.3486),(5415,1605,-0.00194,-1.3454),(5415,1615,-0.001879,-1.3422),(5415,1625,-0.001818,-1.3391),(5415,1635,-0.001757,-1.3359),(5415,1645,-0.001696,-1.3328),(5415,1655,-0.001636,-1.3297),(5415,1665,-0.001577,-1.3266),(5415,1675,-0.001518,-1.3236),(5415,1685,-0.001458,-1.3205),(5415,1695,-0.001392,-1.3175),(5415,1705,-0.001326,-1.3145),(5415,1715,-0.001261,-1.3117),(5415,1725,-0.001194,-1.3088),(5415,1735,-0.001124,-1.3059),(5415,1745,-0.001055,-1.3031),(5415,1755,-0.000985,-1.3003),(5415,1765,-0.000925,-1.2976),(5415,1775,-0.000892,-1.2948),(5415,1785,-0.00086,-1.2921),(5415,1795,-0.000828,-1.2894),(5415,1805,-0.000797,-1.2868),(5415,1815,-0.00077,-1.2841),(5415,1825,-0.000742,-1.2815),(5415,1835,-0.000715,-1.279),(5415,1845,-0.000686,-1.2765),(5415,1855,-0.000654,-1.2741),(5415,1865,-0.000623,-1.2716),(5415,1875,-0.000591,-1.2693),(5415,1885,-0.000567,-1.267),(5415,1895,-0.000555,-1.2646),(5415,1905,-0.000544,-1.2624),(5415,1915,-0.000532,-1.2601),(5415,1925,-0.000523,-1.2579),(5415,1935,-0.000519,-1.2557),(5415,1945,-0.000515,-1.2536),(5415,1955,-0.00051,-1.2515),(5415,1965,-0.000502,-1.2495),(5415,1975,-0.000489,-1.2474),(5415,1985,-0.000476,-1.2455),(5415,1995,-0.000464,-1.2436),(5415,2005,-0.000454,-1.2417),(5415,2015,-0.000447,-1.2398),(5415,2025,-0.000441,-1.2379),(5415,2035,-0.000434,-1.2362),(5415,2045,-0.000428,-1.2344),(5415,2055,-0.000422,-1.2326),(5415,2065,-0.000416,-1.2309),(5415,2075,-0.00041,-1.2293),(5415,2085,-0.000394,-1.2276),(5415,2095,-0.000372,-1.226),(5415,2105,-0.000349,-1.2244),(5415,2115,-0.000327,-1.2229),(5415,2125,-0.000298,-1.2214),(5415,2135,-0.000267,-1.2199),(5415,2145,-0.000235,-1.2185),(5415,2155,-0.000204,-1.2171),(5415,2165,-0.000152,-1.2157),(5415,2175,-9.1e-05,-1.2143),(5415,2185,-2.9e-05,-1.213),(5415,2195,3.3e-05,-1.2118),(5415,2205,0.000109,-1.2105),(5415,2215,0.000192,-1.2093),(5415,2225,0.000274,-1.2081),(5415,2235,0.000357,-1.207),(5415,2245,0.00042,-1.2059),(5415,2255,0.000476,-1.2048),(5415,2265,0.000533,-1.2037),(5415,2275,0.000589,-1.2026),(5415,2285,0.000623,-1.2016),(5415,2295,0.000652,-1.2005),(5415,2305,0.00068,-1.1995),(5415,2315,0.000709,-1.1985),(5415,2325,0.000717,-1.1975),(5415,2335,0.000721,-1.1966),(5415,2345,0.000725,-1.1956),(5415,2355,0.000729,-1.1947),(5415,2365,0.000719,-1.1938),(5415,2375,0.000706,-1.1929),(5415,2385,0.000693,-1.1921),(5415,2395,0.000681,-1.1912),(5415,2405,0.000687,-1.1904),(5415,2415,0.000695,-1.1896),(5415,2425,0.000703,-1.1888),(5415,2435,0.000712,-1.1881),(5415,2445,0.000742,-1.1874),(5415,2455,0.000773,-1.1867),(5415,2465,0.000804,-1.1861),(5415,2475,0.000836,-1.1855),(5415,2485,0.000868,-1.1849),(5415,2495,0.000899,-1.1843),(5415,2505,0.000931,-1.1837),(5415,2515,0.000963,-1.1832),(5415,2525,0.000999,-1.1826),(5415,2535,0.001034,-1.182),(5415,2545,0.00107,-1.1816),(5415,2555,0.001105,-1.1811),(5415,2565,0.001131,-1.1806),(5415,2575,0.001157,-1.1802),(5415,2585,0.001183,-1.1797),(5415,2595,0.001207,-1.1793),(5415,2605,0.001212,-1.1789),(5415,2615,0.001217,-1.1784),(5415,2625,0.001222,-1.178),(5415,2635,0.001229,-1.1776),(5415,2645,0.001244,-1.1772),(5415,2655,0.001259,-1.1768),(5415,2665,0.001275,-1.1765),(5415,2675,0.001294,-1.1762),(5415,2685,0.001332,-1.1758),(5415,2695,0.00137,-1.1755),(5415,2705,0.001407,-1.1753),(5415,2715,0.001441,-1.175),(5415,2725,0.00146,-1.1748),(5415,2735,0.001479,-1.1746),(5415,2745,0.001498,-1.1743),(5415,2755,0.001513,-1.1741),(5415,2765,0.001517,-1.1738),(5415,2775,0.001522,-1.1736),(5415,2785,0.001526,-1.1734),(5415,2795,0.001537,-1.1732),(5415,2805,0.001562,-1.1729),(5415,2815,0.001587,-1.1728),(5415,2825,0.001612,-1.1727),(5415,2835,0.00163,-1.1726),(5415,2845,0.001637,-1.1725),(5415,2855,0.001644,-1.1724),(5415,2865,0.001651,-1.1722),(5415,2875,0.001661,-1.1721),(5415,2885,0.001675,-1.172),(5415,2895,0.001689,-1.1719),(5415,2905,0.001703,-1.1719),(5415,2915,0.001731,-1.1719),(5415,2925,0.001777,-1.1719),(5415,2935,0.001823,-1.172),(5415,2945,0.00187,-1.1721),(5415,2955,0.001896,-1.1722),(5415,2965,0.001898,-1.1723),(5415,2975,0.001899,-1.1724),(5415,2985,0.001901,-1.1724),(5415,2995,0.001898,-1.1725),(5415,3005,0.001893,-1.1726),(5415,3015,0.001887,-1.1727),(5415,3025,0.001881,-1.1729),(5415,3035,0.001883,-1.1731),(5415,3045,0.001891,-1.1733),(5415,3055,0.001899,-1.1735),(5415,3065,0.001907,-1.1738),(5415,3075,0.00188,-1.1741),(5415,3085,0.001827,-1.1743),(5415,3095,0.001773,-1.1745),(5415,3105,0.001719,-1.1747),(5415,3115,0.001688,-1.1749),(5415,3125,0.001672,-1.1751),(5415,3135,0.001656,-1.1754),(5415,3145,0.001639,-1.1757),(5415,3155,0.001647,-1.1761),(5415,3165,0.001667,-1.1764),(5415,3175,0.001688,-1.1768),(5415,3185,0.001708,-1.1772),(5415,3195,0.001705,-1.1776),(5415,3205,0.001692,-1.178),(5415,3215,0.001678,-1.1784),(5415,3225,0.001664,-1.1787),(5415,3235,0.001692,-1.1791),(5415,3245,0.001736,-1.1795),(5415,3255,0.00178,-1.18),(5415,3265,0.001824,-1.1806),(5415,3275,0.001854,-1.1812),(5415,3285,0.001881,-1.1817),(5415,3295,0.001907,-1.1823),(5415,3305,0.001934,-1.1828),(5415,3315,0.001931,-1.1833),(5415,3325,0.00192,-1.1838),(5415,3335,0.00191,-1.1843),(5415,3345,0.001899,-1.1848),(5415,3355,0.001926,-1.1854),(5415,3365,0.00196,-1.1859),(5415,3375,0.001994,-1.1866),(5415,3385,0.002028,-1.1873),(5415,3395,0.002041,-1.188),(5415,3405,0.002053,-1.1887),(5415,3415,0.002064,-1.1894),(5415,3425,0.002075,-1.1901),(5415,3435,0.002095,-1.1908),(5415,3445,0.002117,-1.1914),(5415,3455,0.002138,-1.1922),(5415,3465,0.002159,-1.193),(5415,3475,0.002197,-1.1938),(5415,3485,0.002235,-1.1946),(5415,3495,0.002273,-1.1955),(5415,3505,0.002311,-1.1963),(5415,3515,0.002323,-1.1972),(5415,3525,0.002335,-1.198),(5415,3535,0.002346,-1.1989),(5415,3545,0.002357,-1.1998),(5415,3555,0.002336,-1.2007),(5415,3565,0.002315,-1.2016),(5415,3575,0.002294,-1.2026),(5415,3585,0.002276,-1.2035),(5415,3595,0.002295,-1.2044),(5415,3605,0.002313,-1.2054),(5415,3615,0.002332,-1.2065),(5415,3625,0.002354,-1.2076),(5415,3635,0.002408,-1.2087),(5415,3645,0.002461,-1.2098),(5415,3655,0.002514,-1.211),(5415,3665,0.00256,-1.2122),(5415,3675,0.002571,-1.2134),(5415,3685,0.002582,-1.2146),(5415,3695,0.002593,-1.2158),(5415,3705,0.002613,-1.217),(5415,3715,0.002665,-1.2182),(5415,3725,0.002718,-1.2195),(5415,3735,0.002771,-1.2209),(5415,3745,0.002806,-1.2223),(5415,3755,0.002788,-1.2237),(5415,3765,0.00277,-1.2251),(5415,3775,0.002752,-1.2264),(5415,3785,0.002719,-1.2278),(5415,3795,0.002651,-1.2291),(5415,3805,0.002582,-1.2305),(5415,3815,0.002514,-1.232),(5415,3825,0.002473,-1.2335),(5415,3835,0.002492,-1.235),(5415,3845,0.00251,-1.2366),(5415,3855,0.002529,-1.2384),(5415,3865,0.002827,-1.2402),(5415,3875,0.003619,-1.242),(5415,3885,0.004411,-1.2443),(5415,3895,0.005203,-1.2474),(5415,3905,0.006634,-1.2504),(5415,3915,0.009019,-1.2535),(5415,3925,0.011405,-1.2575),(5415,3935,0.013791,-1.2629),(5415,3945,0.008401,-1.2682),(5415,3955,-0.006861,-1.2735),(5415,3965,-0.022123,-1.2725),(5415,3975,-0.037385,-1.2639),(5415,3985,-0.087717,-1.2554),(5415,3995,-0.17601,-1.2469),(5415,4005,-0.26431,-1.2079),(5415,4015,-0.3526,-1.1384),(5415,4025,-0.12679,-1.069),(5415,4035,0.12975,-1.0225),(5415,4045,0.3863,-1.0244),(5415,4055,0.51839,-1.0263),(5415,4065,0.60508,-1.0283),(5415,4075,0.69177,-1.0303),(5415,4085,0.73047,-1.0324),(5415,4095,0.73062,-1.0344),(5415,4105,0.73077,-1.0361),(5415,4115,0.73125,-1.0377),(5415,4125,0.73228,-1.0393),(5415,4135,0.73331,-1.0406),(5415,4145,0.73455,-1.0418),(5415,4155,0.73661,-1.043),(5415,4165,0.73867,-1.044),(5415,4175,0.74074,-1.0449),(5415,4185,0.74367,-1.0459),(5415,4195,0.74661,-1.0467),(5415,4205,0.74954,-1.0473),(5415,4215,0.75305,-1.048),(5415,4225,0.75668,-1.0485),(5415,4235,0.76031,-1.0486),(5415,4245,0.76433,-1.0487),(5415,4255,0.76855,-1.0488),(5415,4265,0.77277,-1.0486),(5415,4275,0.77724,-1.0484),(5415,4285,0.78196,-1.0482),(5415,4295,0.78669,-1.0476),(5415,4305,0.79154,-1.047),(5415,4315,0.79668,-1.0463),(5415,4325,0.80183,-1.0452),(5415,4335,0.80702,-1.044),(5415,4345,0.8125,-1.0427),(5415,4355,0.81799,-1.0412),(5415,4365,0.82348,-1.0395),(5415,4375,0.82921,-1.0378),(5415,4385,0.83496,-1.0358),(5415,4395,0.84071,-1.0336),(5415,4405,0.84663,-1.0314),(5415,4415,0.85259,-1.029),(5415,4425,0.85855,-1.0264),(5415,4435,0.86458,-1.0238),(5415,4445,0.87065,-1.0212),(5415,4455,0.87673,-1.0183),(5415,4465,0.88282,-1.0154),(5415,4475,0.88896,-1.0125),(5415,4485,0.8951,-1.0094),(5415,4495,0.90124,-1.0062),(5415,4505,0.90738,-1.003),(5415,4515,0.91353,-0.99962),(5415,4525,0.91967,-0.99618),(5415,4535,0.92581,-0.99275),(5415,4545,0.93194,-0.98916),(5415,4555,0.93807,-0.98542),(5415,4565,0.94418,-0.98167),(5415,4575,0.95028,-0.97787),(5415,4585,0.95639,-0.97394),(5415,4595,0.96244,-0.97002),(5415,4605,0.96848,-0.96607),(5415,4615,0.97451,-0.96195),(5415,4625,0.98051,-0.95783),(5415,4635,0.98647,-0.9537),(5415,4645,0.99243,-0.94942),(5415,4655,0.99835,-0.94512),(5415,4665,1.0042,-0.94082),(5415,4675,1.0101,-0.93638),(5415,4685,1.0159,-0.93189),(5415,4695,1.0217,-0.92741),(5415,4705,1.0274,-0.92281),(5415,4715,1.0332,-0.91812),(5415,4725,1.0388,-0.91343),(5415,4735,1.0445,-0.90874),(5415,4745,1.0501,-0.90405),(5415,4755,1.0556,-0.89936),(5415,4765,1.0611,-0.89468),(5415,4775,1.0667,-0.89002),(5415,4785,1.0721,-0.88537),(5415,4795,1.0774,-0.88071),(5415,4805,1.0828,-0.87602),(5415,4815,1.0881,-0.87132),(5415,4825,1.0933,-0.86662),(5415,4835,1.0985,-0.86185),(5415,4845,1.1037,-0.85706),(5415,4855,1.1088,-0.85228),(5415,4865,1.1138,-0.8475),(5415,4875,1.1188,-0.84274),(5415,4885,1.1238,-0.83797),(5415,4895,1.1287,-0.83322),(5415,4905,1.1336,-0.82849),(5415,4915,1.1384,-0.82376),(5415,4925,1.1431,-0.81904),(5415,4935,1.1479,-0.81434),(5415,4945,1.1526,-0.80965),(5415,4955,1.1572,-0.80496),(5415,4965,1.1618,-0.8003),(5415,4975,1.1664,-0.79564),(5415,4985,1.1709,-0.79098),(5415,4995,1.1754,-0.78634),(5415,5005,1.1798,-0.78171),(5415,5015,1.1842,-0.77707),(5415,5025,1.1886,-0.77246),(5415,5035,1.193,-0.76785),(5415,5045,1.1973,-0.76324),(5415,5055,1.2016,-0.7587),(5415,5065,1.2059,-0.75421),(5415,5075,1.2101,-0.74972),(5415,5085,1.2143,-0.74527),(5415,5095,1.2185,-0.74086),(5415,5105,1.2226,-0.73645),(5415,5115,1.2267,-0.73206),(5415,5125,1.2309,-0.72769),(5415,5135,1.2349,-0.72332),(5415,5145,1.239,-0.71896),(5415,5155,1.243,-0.71466),(5415,5165,1.247,-0.71035),(5415,5175,1.251,-0.70605),(5415,5185,1.255,-0.70181),(5415,5195,1.259,-0.69758),(5415,5205,1.263,-0.69335),(5415,5215,1.2669,-0.68917),(5415,5225,1.2709,-0.685),(5415,5235,1.2748,-0.68084),(5415,5245,1.2787,-0.67669),(5415,5255,1.2826,-0.67255),(5415,5265,1.2865,-0.66841),(5415,5275,1.2903,-0.66429),(5415,5285,1.2942,-0.66019),(5415,5295,1.298,-0.65608),(5415,5305,1.3019,-0.65199),(5415,5315,1.3057,-0.64794),(5415,5325,1.3095,-0.64388),(5415,5335,1.3133,-0.63983),(5415,5345,1.3171,-0.63583),(5415,5355,1.3209,-0.63182),(5415,5365,1.3248,-0.62782),(5415,5375,1.3286,-0.62384),(5415,5385,1.3324,-0.61986),(5415,5395,1.3362,-0.61588),(5415,5405,1.34,-0.61192),(5415,5415,1.3438,-0.60797),(5415,5425,1.3477,-0.60402),(5415,5435,1.3515,-0.60006),(5415,5445,1.3553,-0.59609),(5415,5455,1.3592,-0.59213),(5415,5465,1.363,-0.58815),(5415,5475,1.3668,-0.58416),(5415,5485,1.3706,-0.58017),(5415,5495,1.3744,-0.57618),(5415,5505,1.3783,-0.57213),(5415,5515,1.3821,-0.56809),(5415,5525,1.3858,-0.56404),(5415,5535,1.3896,-0.55995),(5415,5545,1.3934,-0.55587),(5415,5555,1.3972,-0.55178),(5415,5565,1.4009,-0.54761),(5415,5575,1.4047,-0.54341),(5415,5585,1.4084,-0.53921),(5415,5595,1.4122,-0.53499),(5415,5605,1.4159,-0.53075),(5415,5615,1.4196,-0.5265),(5415,5625,1.4233,-0.52225),(5415,5635,1.427,-0.51799),(5415,5645,1.4306,-0.51372),(5415,5655,1.4343,-0.50944),(5415,5665,1.4379,-0.5051),(5415,5675,1.4416,-0.50076),(5415,5685,1.4452,-0.49641),(5415,5695,1.4488,-0.49199),(5415,5705,1.4524,-0.48758),(5415,5715,1.4559,-0.48316),(5415,5725,1.4595,-0.47869),(5415,5735,1.4631,-0.47421),(5415,5745,1.4666,-0.46974),(5415,5755,1.4702,-0.46522),(5415,5765,1.4737,-0.46069),(5415,5775,1.4772,-0.45616),(5415,5785,1.4807,-0.45157),(5415,5795,1.4842,-0.44692),(5415,5805,1.4877,-0.44227),(5415,5815,1.4911,-0.43759),(5415,5825,1.4945,-0.43286),(5415,5835,1.4979,-0.42814),(5415,5845,1.5013,-0.4234),(5415,5855,1.5046,-0.41859),(5415,5865,1.5079,-0.41378),(5415,5875,1.5112,-0.40897),(5415,5885,1.5144,-0.40407),(5415,5895,1.5177,-0.39915),(5415,5905,1.5208,-0.39424),(5415,5915,1.524,-0.38925),(5415,5925,1.5271,-0.38424),(5415,5935,1.5302,-0.37923),(5415,5945,1.5333,-0.37418),(5415,5955,1.5364,-0.3691),(5415,5965,1.5394,-0.36401),(5415,5975,1.5424,-0.35891),(5415,5985,1.5454,-0.35377),(5415,5995,1.5484,-0.34864),(5415,6005,1.5513,-0.34349),(5415,6015,1.5543,-0.33827),(5415,6025,1.5572,-0.33305),(5415,6035,1.56,-0.32782),(5415,6045,1.5629,-0.32251),(5415,6055,1.5657,-0.31719),(5415,6065,1.5684,-0.31188),(5415,6075,1.5712,-0.3065),(5415,6085,1.5739,-0.3011),(5415,6095,1.5765,-0.29571),(5415,6105,1.5792,-0.29026),(5415,6115,1.5818,-0.28478),(5415,6125,1.5843,-0.2793),(5415,6135,1.5867,-0.27378),(5415,6145,1.5892,-0.26823),(5415,6155,1.5916,-0.26268),(5415,6165,1.5939,-0.25709),(5415,6175,1.5963,-0.25144),(5415,6185,1.5986,-0.24578),(5415,6195,1.6008,-0.24011),(5415,6205,1.603,-0.23436),(5415,6215,1.6052,-0.22861),(5415,6225,1.6073,-0.22286),(5415,6235,1.6094,-0.21708),(5415,6245,1.6114,-0.2113),(5415,6255,1.6134,-0.20553),(5415,6265,1.6153,-0.1997),(5415,6275,1.6172,-0.19386),(5415,6285,1.619,-0.18802),(5415,6295,1.6208,-0.18212),(5415,6305,1.6226,-0.17619),(5415,6315,1.6242,-0.17025),(5415,6325,1.6259,-0.1643),(5415,6335,1.6275,-0.15834),(5415,6345,1.629,-0.15237),(5415,6355,1.6304,-0.14637),(5415,6365,1.6319,-0.1403),(5415,6375,1.6332,-0.13422),(5415,6385,1.6345,-0.12814),(5415,6395,1.6358,-0.122),(5415,6405,1.6369,-0.11586),(5415,6415,1.638,-0.10972),(5415,6425,1.6391,-0.10356),(5415,6435,1.6401,-0.097409),(5415,6445,1.641,-0.091254),(5415,6455,1.6419,-0.085063),(5415,6465,1.6427,-0.078864),(5415,6475,1.6435,-0.072664),(5415,6485,1.6442,-0.066466),(5415,6495,1.6449,-0.06027),(5415,6505,1.6454,-0.054074),(5415,6515,1.6459,-0.047868),(5415,6525,1.6464,-0.041646),(5415,6535,1.6468,-0.035424),(5415,6545,1.6471,-0.029197),(5415,6555,1.6475,-0.022952),(5415,6565,1.6477,-0.016708),(5415,6575,1.6478,-0.010465),(5415,6585,1.6479,-0.00424),(5415,6595,1.4017,0.001984),(5415,6605,0.8835,0.008209),(5415,6615,0.36529,0.008914),(5415,6625,0.001001,0.00891),(5415,6635,0.001023,0.008906),(5415,6645,0.001046,0.008919),(5415,6655,0.001069,0.008939),(5415,6665,0.00109,0.008959),(5415,6675,0.001111,0.008978),(5415,6685,0.001132,0.008996),(5415,6695,0.001152,0.009015),(5415,6705,0.001172,0.009033),(5415,6715,0.001192,0.00905),(5415,6725,0.00121,0.009067),(5415,6735,0.001229,0.009084),(5415,6745,0.001247,0.009099),(5415,6755,0.001265,0.009115),(5415,6765,0.001282,0.00913),(5415,6775,0.001299,0.009144),(5415,6785,0.001316,0.009159),(5415,6795,0.001333,0.009173),(5415,6805,0.001349,0.009186),(5415,6815,0.001365,0.009199),(5415,6825,0.001381,0.009212),(5415,6835,0.001396,0.009224),(5415,6845,0.001412,0.009235),(5415,6855,0.001426,0.009246),(5415,6865,0.001441,0.009257),(5415,6875,0.001456,0.009267),(5415,6885,0.00147,0.009278),(5415,6895,0.001484,0.009288),(5415,6905,0.001499,0.009296),(5415,6915,0.001512,0.009305),(5415,6925,0.001526,0.009314),(5415,6935,0.00154,0.009322),(5415,6945,0.001553,0.00933),(5415,6955,0.001566,0.009338),(5415,6965,0.001579,0.009345),(5415,6975,0.001592,0.009351),(5415,6985,0.001605,0.009358),(5425,5,8e-06,-0.94556),(5425,15,2.4e-05,-0.94568),(5425,25,3.6e-05,-0.94579),(5425,35,4.4e-05,-0.94591),(5425,45,5.2e-05,-0.94602),(5425,55,5.9e-05,-0.94612),(5425,65,5.4e-05,-0.94623),(5425,75,3.7e-05,-0.94633),(5425,85,2.1e-05,-0.94646),(5425,95,5e-06,-0.9466),(5425,105,-2e-05,-0.94674),(5425,115,-5.1e-05,-0.94688),(5425,125,-8.2e-05,-0.94706),(5425,135,-0.000112,-0.94725),(5425,145,-0.000107,-0.94743),(5425,155,-8e-05,-0.94762),(5425,165,-5.3e-05,-0.94791),(5425,175,-2.7e-05,-0.94824),(5425,185,4.6e-05,-0.94858),(5425,195,0.000139,-0.94891),(5425,205,0.000233,-0.94932),(5425,215,0.000327,-0.94977),(5425,225,0.000405,-0.95022),(5425,235,0.000477,-0.95067),(5425,245,0.000549,-0.95114),(5425,255,0.000621,-0.95162),(5425,265,0.000613,-0.9521),(5425,275,0.00058,-0.95259),(5425,285,0.000546,-0.95304),(5425,295,0.000513,-0.95349),(5425,305,0.000434,-0.95394),(5425,315,0.000343,-0.95439),(5425,325,0.000253,-0.95489),(5425,335,0.000162,-0.95541),(5425,345,0.000126,-0.95593),(5425,355,0.0001,-0.95645),(5425,365,7.4e-05,-0.95712),(5425,375,4.8e-05,-0.95782),(5425,385,8.5e-05,-0.95852),(5425,395,0.00013,-0.95922),(5425,405,0.000176,-0.96004),(5425,415,0.000221,-0.96088),(5425,425,0.00028,-0.96171),(5425,435,0.00034,-0.96254),(5425,445,0.0004,-0.96345),(5425,455,0.00046,-0.96437),(5425,465,0.000538,-0.96528),(5425,475,0.000616,-0.9662),(5425,485,0.000694,-0.96725),(5425,495,0.000772,-0.9683),(5425,505,0.00082,-0.96936),(5425,515,0.000868,-0.97041),(5425,525,0.000916,-0.97152),(5425,535,0.000962,-0.97263),(5425,545,0.000936,-0.97374),(5425,555,0.000909,-0.97485),(5425,565,0.000883,-0.97601),(5425,575,0.000856,-0.97717),(5425,585,0.000812,-0.97832),(5425,595,0.000768,-0.9795),(5425,605,0.000724,-0.9808),(5425,615,0.000687,-0.98211),(5425,625,0.000706,-0.98341),(5425,635,0.000726,-0.98474),(5425,645,0.000745,-0.98627),(5425,655,0.000767,-0.9878),(5425,665,0.000801,-0.98933),(5425,675,0.000834,-0.99088),(5425,685,0.000868,-0.99252),(5425,695,0.000895,-0.99416),(5425,705,0.000896,-0.99581),(5425,715,0.000898,-0.99747),(5425,725,0.000899,-0.99923),(5425,735,0.000899,-1.001),(5425,745,0.000896,-1.0027),(5425,755,0.000892,-1.0045),(5425,765,0.000889,-1.0065),(5425,775,0.00089,-1.0084),(5425,785,0.000904,-1.0103),(5425,795,0.000918,-1.0122),(5425,805,0.000932,-1.0143),(5425,815,0.000956,-1.0164),(5425,825,0.001003,-1.0184),(5425,835,0.00105,-1.0206),(5425,845,0.001097,-1.0228),(5425,855,0.001151,-1.025),(5425,865,0.001216,-1.0273),(5425,875,0.001281,-1.0296),(5425,885,0.001346,-1.032),(5425,895,0.001403,-1.0344),(5425,905,0.001445,-1.0368),(5425,915,0.001488,-1.0392),(5425,925,0.001531,-1.0417),(5425,935,0.001564,-1.0442),(5425,945,0.001586,-1.0467),(5425,955,0.001607,-1.0492),(5425,965,0.001629,-1.0518),(5425,975,0.001674,-1.0544),(5425,985,0.001745,-1.0569),(5425,995,0.001816,-1.0596),(5425,1005,0.001887,-1.0623),(5425,1015,0.001988,-1.0651),(5425,1025,0.002118,-1.0678),(5425,1035,0.002248,-1.0706),(5425,1045,0.002378,-1.0734),(5425,1055,0.002501,-1.0763),(5425,1065,0.002616,-1.0791),(5425,1075,0.002732,-1.0819),(5425,1085,0.002848,-1.0847),(5425,1095,0.002926,-1.0875),(5425,1105,0.002977,-1.0903),(5425,1115,0.003028,-1.0932),(5425,1125,0.003079,-1.096),(5425,1135,0.003225,-1.0989),(5425,1145,0.003428,-1.1018),(5425,1155,0.00363,-1.1047),(5425,1165,0.003833,-1.1078),(5425,1175,0.005254,-1.1108),(5425,1185,0.007281,-1.1139),(5425,1195,0.009308,-1.1173),(5425,1205,0.011334,-1.1208),(5425,1215,0.015459,-1.1244),(5425,1225,0.020448,-1.1279),(5425,1235,0.025438,-1.1318),(5425,1245,0.030428,-1.1359),(5425,1255,0.012947,-1.1399),(5425,1265,-0.012124,-1.144),(5425,1275,-0.037195,-1.1471),(5425,1285,-0.062266,-1.1499),(5425,1295,-0.13668,-1.1527),(5425,1305,-0.22443,-1.1556),(5425,1315,-0.31218,-1.1572),(5425,1325,-0.39994,-1.1585),(5425,1335,-0.24575,-1.1598),(5425,1345,-0.040865,-1.1611),(5425,1355,0.16402,-1.1619),(5425,1365,0.36891,-1.1625),(5425,1375,0.32976,-1.1631),(5425,1385,0.25296,-1.1637),(5425,1395,0.17616,-1.1605),(5425,1405,0.099353,-1.1567),(5425,1415,0.062627,-1.153),(5425,1425,0.030061,-1.1493),(5425,1435,-0.002505,-1.1439),(5425,1445,-0.035071,-1.1384),(5425,1455,-0.031113,-1.1328),(5425,1465,-0.025051,-1.1273),(5425,1475,-0.01899,-1.123),(5425,1485,-0.012928,-1.1189),(5425,1495,-0.010477,-1.1147),(5425,1505,-0.00808,-1.1105),(5425,1515,-0.005683,-1.1075),(5425,1525,-0.003341,-1.1044),(5425,1535,-0.003187,-1.1013),(5425,1545,-0.003032,-1.0983),(5425,1555,-0.002878,-1.0956),(5425,1565,-0.002733,-1.0929),(5425,1575,-0.002729,-1.0902),(5425,1585,-0.002725,-1.0875),(5425,1595,-0.002721,-1.0849),(5425,1605,-0.00271,-1.0823),(5425,1615,-0.002638,-1.0798),(5425,1625,-0.002565,-1.0772),(5425,1635,-0.002493,-1.0747),(5425,1645,-0.00242,-1.0721),(5425,1655,-0.002345,-1.0696),(5425,1665,-0.002269,-1.0671),(5425,1675,-0.002193,-1.0647),(5425,1685,-0.002117,-1.0622),(5425,1695,-0.002036,-1.0598),(5425,1705,-0.001956,-1.0574),(5425,1715,-0.001875,-1.0551),(5425,1725,-0.001794,-1.0527),(5425,1735,-0.001708,-1.0504),(5425,1745,-0.001623,-1.0481),(5425,1755,-0.001538,-1.0459),(5425,1765,-0.001463,-1.0437),(5425,1775,-0.001416,-1.0415),(5425,1785,-0.001369,-1.0393),(5425,1795,-0.001322,-1.0371),(5425,1805,-0.001278,-1.035),(5425,1815,-0.001239,-1.0328),(5425,1825,-0.0012,-1.0307),(5425,1835,-0.001161,-1.0287),(5425,1845,-0.00112,-1.0267),(5425,1855,-0.001076,-1.0247),(5425,1865,-0.001031,-1.0228),(5425,1875,-0.000986,-1.0209),(5425,1885,-0.000949,-1.019),(5425,1895,-0.000924,-1.0171),(5425,1905,-0.0009,-1.0153),(5425,1915,-0.000875,-1.0135),(5425,1925,-0.000855,-1.0117),(5425,1935,-0.000841,-1.01),(5425,1945,-0.000827,-1.0082),(5425,1955,-0.000813,-1.0066),(5425,1965,-0.000796,-1.0049),(5425,1975,-0.000775,-1.0033),(5425,1985,-0.000755,-1.0017),(5425,1995,-0.000734,-1.0002),(5425,2005,-0.000717,-0.99863),(5425,2015,-0.000703,-0.99711),(5425,2025,-0.00069,-0.99563),(5425,2035,-0.000677,-0.9942),(5425,2045,-0.000666,-0.99276),(5425,2055,-0.000657,-0.99133),(5425,2065,-0.000648,-0.98995),(5425,2075,-0.000639,-0.98862),(5425,2085,-0.000621,-0.98729),(5425,2095,-0.000597,-0.98596),(5425,2105,-0.000573,-0.9847),(5425,2115,-0.000549,-0.98349),(5425,2125,-0.00052,-0.98228),(5425,2135,-0.000488,-0.98107),(5425,2145,-0.000455,-0.97992),(5425,2155,-0.000423,-0.97879),(5425,2165,-0.000371,-0.97766),(5425,2175,-0.000309,-0.97653),(5425,2185,-0.000247,-0.97549),(5425,2195,-0.000185,-0.97449),(5425,2205,-0.000105,-0.9735),(5425,2215,-1.7e-05,-0.9725),(5425,2225,7.1e-05,-0.97157),(5425,2235,0.000158,-0.97067),(5425,2245,0.000229,-0.96977),(5425,2255,0.000294,-0.96887),(5425,2265,0.000359,-0.968),(5425,2275,0.000424,-0.96715),(5425,2285,0.000467,-0.96629),(5425,2295,0.000504,-0.96544),(5425,2305,0.000541,-0.96464),(5425,2315,0.000578,-0.96386),(5425,2325,0.000593,-0.96308),(5425,2335,0.000604,-0.96229),(5425,2345,0.000615,-0.96155),(5425,2355,0.000626,-0.96082),(5425,2365,0.000618,-0.96009),(5425,2375,0.000608,-0.95936),(5425,2385,0.000598,-0.95868),(5425,2395,0.000587,-0.95801),(5425,2405,0.000592,-0.95733),(5425,2415,0.000599,-0.95665),(5425,2425,0.000606,-0.95608),(5425,2435,0.000612,-0.9555),(5425,2445,0.000642,-0.95493),(5425,2455,0.000673,-0.95436),(5425,2465,0.000704,-0.95386),(5425,2475,0.000735,-0.95337),(5425,2485,0.000769,-0.95287),(5425,2495,0.000803,-0.95238),(5425,2505,0.000837,-0.95193),(5425,2515,0.000871,-0.95148),(5425,2525,0.00091,-0.95103),(5425,2535,0.00095,-0.95059),(5425,2545,0.000989,-0.95021),(5425,2555,0.001028,-0.94983),(5425,2565,0.001058,-0.94945),(5425,2575,0.001089,-0.94907),(5425,2585,0.00112,-0.94872),(5425,2595,0.001148,-0.94838),(5425,2605,0.001156,-0.94803),(5425,2615,0.001164,-0.94769),(5425,2625,0.001171,-0.94736),(5425,2635,0.00118,-0.94703),(5425,2645,0.001196,-0.9467),(5425,2655,0.001212,-0.94638),(5425,2665,0.001228,-0.94611),(5425,2675,0.001248,-0.94585),(5425,2685,0.001288,-0.94559),(5425,2695,0.001328,-0.94534),(5425,2705,0.001368,-0.94515),(5425,2715,0.001405,-0.94495),(5425,2725,0.001429,-0.94476),(5425,2735,0.001452,-0.94456),(5425,2745,0.001476,-0.94436),(5425,2755,0.001495,-0.94416),(5425,2765,0.001502,-0.94396),(5425,2775,0.001509,-0.94377),(5425,2785,0.001517,-0.94361),(5425,2795,0.00153,-0.94344),(5425,2805,0.001557,-0.94327),(5425,2815,0.001585,-0.94313),(5425,2825,0.001613,-0.94305),(5425,2835,0.001635,-0.94297),(5425,2845,0.001646,-0.94289),(5425,2855,0.001657,-0.94281),(5425,2865,0.001667,-0.94271),(5425,2875,0.00168,-0.94262),(5425,2885,0.001697,-0.94252),(5425,2895,0.001714,-0.94246),(5425,2905,0.00173,-0.94246),(5425,2915,0.001762,-0.94245),(5425,2925,0.001816,-0.94244),(5425,2935,0.00187,-0.94248),(5425,2945,0.001924,-0.94256),(5425,2955,0.001958,-0.94265),(5425,2965,0.001968,-0.94273),(5425,2975,0.001978,-0.9428),(5425,2985,0.001989,-0.94286),(5425,2995,0.001992,-0.94291),(5425,3005,0.001989,-0.94297),(5425,3015,0.001986,-0.94308),(5425,3025,0.001983,-0.94323),(5425,3035,0.00199,-0.94339),(5425,3045,0.002006,-0.94355),(5425,3055,0.002022,-0.94374),(5425,3065,0.002038,-0.94396),(5425,3075,0.002018,-0.94418),(5425,3085,0.001971,-0.94441),(5425,3095,0.001924,-0.94458),(5425,3105,0.001878,-0.94472),(5425,3115,0.00185,-0.94485),(5425,3125,0.001833,-0.94499),(5425,3135,0.001817,-0.94522),(5425,3145,0.0018,-0.94551),(5425,3155,0.001811,-0.94579),(5425,3165,0.001836,-0.94608),(5425,3175,0.001861,-0.94639),(5425,3185,0.001886,-0.94671),(5425,3195,0.001885,-0.94703),(5425,3205,0.001872,-0.94735),(5425,3215,0.001859,-0.94765),(5425,3225,0.001847,-0.94794),(5425,3235,0.001874,-0.94823),(5425,3245,0.001917,-0.94853),(5425,3255,0.00196,-0.94895),(5425,3265,0.002003,-0.94941),(5425,3275,0.00204,-0.94987),(5425,3285,0.002074,-0.95034),(5425,3295,0.002109,-0.95076),(5425,3305,0.002144,-0.95117),(5425,3315,0.002146,-0.95158),(5425,3325,0.00214,-0.95199),(5425,3335,0.002134,-0.95242),(5425,3345,0.002128,-0.95285),(5425,3355,0.00216,-0.95328),(5425,3365,0.002199,-0.95372),(5425,3375,0.002237,-0.95427),(5425,3385,0.002276,-0.95484),(5425,3395,0.002297,-0.95541),(5425,3405,0.002316,-0.95598),(5425,3415,0.002335,-0.95652),(5425,3425,0.002354,-0.95706),(5425,3435,0.00238,-0.9576),(5425,3445,0.002406,-0.95814),(5425,3455,0.002432,-0.95877),(5425,3465,0.002458,-0.95942),(5425,3475,0.002506,-0.96006),(5425,3485,0.002554,-0.9607),(5425,3495,0.002603,-0.96139),(5425,3505,0.002651,-0.96208),(5425,3515,0.002676,-0.96277),(5425,3525,0.002701,-0.96346),(5425,3535,0.002726,-0.96418),(5425,3545,0.002749,-0.96491),(5425,3555,0.002733,-0.96563),(5425,3565,0.002717,-0.96636),(5425,3575,0.002701,-0.96712),(5425,3585,0.002689,-0.96787),(5425,3595,0.002709,-0.96863),(5425,3605,0.002729,-0.9694),(5425,3615,0.002749,-0.97027),(5425,3625,0.002775,-0.97114),(5425,3635,0.00284,-0.97202),(5425,3645,0.002905,-0.9729),(5425,3655,0.002971,-0.97387),(5425,3665,0.003029,-0.97484),(5425,3675,0.003052,-0.97581),(5425,3685,0.003074,-0.97678),(5425,3695,0.003097,-0.97775),(5425,3705,0.003128,-0.97871),(5425,3715,0.003191,-0.97968),(5425,3725,0.003253,-0.98069),(5425,3735,0.003316,-0.98184),(5425,3745,0.003363,-0.98299),(5425,3755,0.003359,-0.98414),(5425,3765,0.003356,-0.98527),(5425,3775,0.003353,-0.98636),(5425,3785,0.003332,-0.98744),(5425,3795,0.00327,-0.98852),(5425,3805,0.003207,-0.98965),(5425,3815,0.003144,-0.99087),(5425,3825,0.00313,-0.99208),(5425,3835,0.003221,-0.9933),(5425,3845,0.003311,-0.99459),(5425,3855,0.003402,-0.99602),(5425,3865,0.003896,-0.99745),(5425,3875,0.005102,-0.99888),(5425,3885,0.006309,-1.0004),(5425,3895,0.007515,-1.0022),(5425,3905,0.009492,-1.0039),(5425,3915,0.012619,-1.0057),(5425,3925,0.015746,-1.0076),(5425,3935,0.018873,-1.0096),(5425,3945,0.01183,-1.0116),(5425,3955,-0.008123,-1.0136),(5425,3965,-0.028077,-1.0151),(5425,3975,-0.04803,-1.016),(5425,3985,-0.11197,-1.017),(5425,3995,-0.22352,-1.0179),(5425,4005,-0.33507,-1.0189),(5425,4015,-0.44662,-1.0199),(5425,4025,-0.19506,-1.021),(5425,4035,0.092026,-1.0223),(5425,4045,0.37911,-1.0243),(5425,4055,0.51931,-1.0262),(5425,4065,0.60591,-1.0282),(5425,4075,0.69251,-1.0302),(5425,4085,0.7311,-1.0321),(5425,4095,0.7311,-1.0341),(5425,4105,0.73111,-1.0356),(5425,4115,0.73146,-1.0371),(5425,4125,0.73238,-1.0386),(5425,4135,0.7333,-1.0398),(5425,4145,0.73442,-1.0409),(5425,4155,0.73638,-1.042),(5425,4165,0.73833,-1.043),(5425,4175,0.7403,-1.0438),(5425,4185,0.74311,-1.0446),(5425,4195,0.74593,-1.0453),(5425,4205,0.74874,-1.0459),(5425,4215,0.75213,-1.0464),(5425,4225,0.75563,-1.0469),(5425,4235,0.75913,-1.0469),(5425,4245,0.763,-1.047),(5425,4255,0.76707,-1.047),(5425,4265,0.77114,-1.0468),(5425,4275,0.77544,-1.0467),(5425,4285,0.78,-1.0465),(5425,4295,0.78456,-1.0459),(5425,4305,0.78924,-1.0453),(5425,4315,0.79422,-1.0447),(5425,4325,0.79919,-1.0437),(5425,4335,0.80421,-1.0426),(5425,4345,0.80954,-1.0415),(5425,4355,0.81486,-1.0401),(5425,4365,0.82018,-1.0385),(5425,4375,0.82577,-1.0369),(5425,4385,0.83136,-1.0351),(5425,4395,0.83696,-1.033),(5425,4405,0.84274,-1.0309),(5425,4415,0.84856,-1.0287),(5425,4425,0.85439,-1.0262),(5425,4435,0.86029,-1.0238),(5425,4445,0.86625,-1.0213),(5425,4455,0.8722,-1.0185),(5425,4465,0.87819,-1.0157),(5425,4475,0.88422,-1.0129),(5425,4485,0.89025,-1.0099),(5425,4495,0.89629,-1.0068),(5425,4505,0.90234,-1.0037),(5425,4515,0.90839,-1.0004),(5425,4525,0.91444,-0.99707),(5425,4535,0.92049,-0.99373),(5425,4545,0.92654,-0.99025),(5425,4555,0.93258,-0.9866),(5425,4565,0.93861,-0.98296),(5425,4575,0.94463,-0.97926),(5425,4585,0.95065,-0.97545),(5425,4595,0.95664,-0.97163),(5425,4605,0.9626,-0.96779),(5425,4615,0.96856,-0.96377),(5425,4625,0.97449,-0.95975),(5425,4635,0.9804,-0.95574),(5425,4645,0.9863,-0.95155),(5425,4655,0.99216,-0.94736),(5425,4665,0.99797,-0.94316),(5425,4675,1.0038,-0.93881),(5425,4685,1.0096,-0.9344),(5425,4695,1.0153,-0.93),(5425,4705,1.021,-0.92547),(5425,4715,1.0267,-0.92085),(5425,4725,1.0323,-0.91623),(5425,4735,1.0379,-0.9116),(5425,4745,1.0435,-0.90697),(5425,4755,1.049,-0.90233),(5425,4765,1.0545,-0.8977),(5425,4775,1.06,-0.89308),(5425,4785,1.0654,-0.88847),(5425,4795,1.0708,-0.88385),(5425,4805,1.0761,-0.87919),(5425,4815,1.0814,-0.87453),(5425,4825,1.0866,-0.86987),(5425,4835,1.0918,-0.86513),(5425,4845,1.097,-0.86038),(5425,4855,1.102,-0.85564),(5425,4865,1.1071,-0.8509),(5425,4875,1.1121,-0.84616),(5425,4885,1.117,-0.84143),(5425,4895,1.1219,-0.8367),(5425,4905,1.1268,-0.83199),(5425,4915,1.1316,-0.82728),(5425,4925,1.1364,-0.82259),(5425,4935,1.1411,-0.81791),(5425,4945,1.1458,-0.81324),(5425,4955,1.1504,-0.80858),(5425,4965,1.1551,-0.80393),(5425,4975,1.1596,-0.79928),(5425,4985,1.1641,-0.79463),(5425,4995,1.1686,-0.79),(5425,5005,1.1731,-0.78536),(5425,5015,1.1775,-0.78073),(5425,5025,1.1819,-0.77611),(5425,5035,1.1863,-0.7715),(5425,5045,1.1906,-0.76688),(5425,5055,1.1949,-0.76234),(5425,5065,1.1992,-0.75784),(5425,5075,1.2034,-0.75334),(5425,5085,1.2076,-0.74887),(5425,5095,1.2119,-0.74444),(5425,5105,1.216,-0.74002),(5425,5115,1.2201,-0.7356),(5425,5125,1.2243,-0.73121),(5425,5135,1.2284,-0.72683),(5425,5145,1.2324,-0.72244),(5425,5155,1.2365,-0.71812),(5425,5165,1.2405,-0.71379),(5425,5175,1.2445,-0.70946),(5425,5185,1.2485,-0.70519),(5425,5195,1.2525,-0.70093),(5425,5205,1.2565,-0.69666),(5425,5215,1.2605,-0.69245),(5425,5225,1.2645,-0.68825),(5425,5235,1.2684,-0.68405),(5425,5245,1.2723,-0.67987),(5425,5255,1.2762,-0.67569),(5425,5265,1.2801,-0.67151),(5425,5275,1.284,-0.66734),(5425,5285,1.2879,-0.6632),(5425,5295,1.2917,-0.65905),(5425,5305,1.2955,-0.65491),(5425,5315,1.2994,-0.65081),(5425,5325,1.3032,-0.6467),(5425,5335,1.307,-0.6426),(5425,5345,1.3108,-0.63853),(5425,5355,1.3146,-0.63446),(5425,5365,1.3184,-0.6304),(5425,5375,1.3222,-0.62635),(5425,5385,1.326,-0.62231),(5425,5395,1.3298,-0.61827),(5425,5405,1.3336,-0.61425),(5425,5415,1.3374,-0.61024),(5425,5425,1.3412,-0.60623),(5425,5435,1.3451,-0.60221),(5425,5445,1.3489,-0.59818),(5425,5455,1.3527,-0.59416),(5425,5465,1.3565,-0.59012),(5425,5475,1.3603,-0.58607),(5425,5485,1.3641,-0.58202),(5425,5495,1.3679,-0.57797),(5425,5505,1.3717,-0.57387),(5425,5515,1.3755,-0.56977),(5425,5525,1.3793,-0.56567),(5425,5535,1.383,-0.56153),(5425,5545,1.3868,-0.55739),(5425,5555,1.3906,-0.55325),(5425,5565,1.3943,-0.54902),(5425,5575,1.398,-0.54477),(5425,5585,1.4018,-0.54053),(5425,5595,1.4055,-0.53625),(5425,5605,1.4092,-0.53196),(5425,5615,1.4128,-0.52767),(5425,5625,1.4165,-0.52336),(5425,5635,1.4202,-0.51905),(5425,5645,1.4238,-0.51473),(5425,5655,1.4274,-0.5104),(5425,5665,1.431,-0.50602),(5425,5675,1.4346,-0.50163),(5425,5685,1.4382,-0.49724),(5425,5695,1.4418,-0.49277),(5425,5705,1.4453,-0.48831),(5425,5715,1.4488,-0.48385),(5425,5725,1.4524,-0.47932),(5425,5735,1.4559,-0.47479),(5425,5745,1.4594,-0.47026),(5425,5755,1.4629,-0.4657),(5425,5765,1.4664,-0.46113),(5425,5775,1.4699,-0.45656),(5425,5785,1.4734,-0.45192),(5425,5795,1.4768,-0.44724),(5425,5805,1.4802,-0.44255),(5425,5815,1.4836,-0.43784),(5425,5825,1.487,-0.43308),(5425,5835,1.4904,-0.42833),(5425,5845,1.4937,-0.42356),(5425,5855,1.4971,-0.41873),(5425,5865,1.5003,-0.4139),(5425,5875,1.5036,-0.40907),(5425,5885,1.5068,-0.40415),(5425,5895,1.51,-0.39922),(5425,5905,1.5131,-0.39429),(5425,5915,1.5163,-0.38928),(5425,5925,1.5194,-0.38425),(5425,5935,1.5224,-0.37922),(5425,5945,1.5255,-0.37414),(5425,5955,1.5285,-0.36903),(5425,5965,1.5315,-0.36392),(5425,5975,1.5345,-0.35879),(5425,5985,1.5374,-0.35363),(5425,5995,1.5403,-0.34848),(5425,6005,1.5432,-0.3433),(5425,6015,1.5462,-0.33806),(5425,6025,1.549,-0.33281),(5425,6035,1.5518,-0.32756),(5425,6045,1.5547,-0.32224),(5425,6055,1.5574,-0.31691),(5425,6065,1.5602,-0.31158),(5425,6075,1.5629,-0.30619),(5425,6085,1.5656,-0.3008),(5425,6095,1.5682,-0.2954),(5425,6105,1.5708,-0.28994),(5425,6115,1.5733,-0.28446),(5425,6125,1.5758,-0.27898),(5425,6135,1.5783,-0.27346),(5425,6145,1.5807,-0.26791),(5425,6155,1.5831,-0.26236),(5425,6165,1.5854,-0.25677),(5425,6175,1.5877,-0.25111),(5425,6185,1.5899,-0.24545),(5425,6195,1.5921,-0.23977),(5425,6205,1.5943,-0.23401),(5425,6215,1.5965,-0.22826),(5425,6225,1.5985,-0.22251),(5425,6235,1.6006,-0.21673),(5425,6245,1.6026,-0.21095),(5425,6255,1.6045,-0.20518),(5425,6265,1.6065,-0.19935),(5425,6275,1.6083,-0.19351),(5425,6285,1.6101,-0.18767),(5425,6295,1.6119,-0.18177),(5425,6305,1.6136,-0.17584),(5425,6315,1.6153,-0.16991),(5425,6325,1.6169,-0.16397),(5425,6335,1.6185,-0.15801),(5425,6345,1.62,-0.15206),(5425,6355,1.6214,-0.14607),(5425,6365,1.6228,-0.14),(5425,6375,1.6241,-0.13394),(5425,6385,1.6254,-0.12787),(5425,6395,1.6266,-0.12174),(5425,6405,1.6278,-0.11561),(5425,6415,1.6289,-0.10948),(5425,6425,1.6299,-0.10333),(5425,6435,1.6309,-0.097187),(5425,6445,1.6318,-0.091041),(5425,6455,1.6327,-0.084859),(5425,6465,1.6335,-0.078667),(5425,6475,1.6342,-0.072474),(5425,6485,1.6349,-0.066287),(5425,6495,1.6356,-0.060103),(5425,6505,1.6361,-0.053919),(5425,6515,1.6366,-0.047724),(5425,6525,1.6371,-0.041513),(5425,6535,1.6375,-0.035302),(5425,6545,1.6378,-0.029086),(5425,6555,1.6381,-0.022854),(5425,6565,1.6383,-0.016622),(5425,6575,1.6385,-0.010391),(5425,6585,1.6386,-0.004177),(5425,6595,1.3938,0.002036),(5425,6605,0.87849,0.008249),(5425,6615,0.3632,0.008949),(5425,6625,0.000977,0.00894),(5425,6635,0.001001,0.008931),(5425,6645,0.001024,0.008942),(5425,6655,0.001047,0.008962),(5425,6665,0.001069,0.008981),(5425,6675,0.00109,0.008999),(5425,6685,0.001112,0.009017),(5425,6695,0.001132,0.009035),(5425,6705,0.001152,0.009053),(5425,6715,0.001172,0.009069),(5425,6725,0.001191,0.009086),(5425,6735,0.00121,0.009102),(5425,6745,0.001229,0.009118),(5425,6755,0.001247,0.009133),(5425,6765,0.001265,0.009148),(5425,6775,0.001283,0.009162),(5425,6785,0.0013,0.009176),(5425,6795,0.001317,0.00919),(5425,6805,0.001333,0.009202),(5425,6815,0.00135,0.009215),(5425,6825,0.001366,0.009227),(5425,6835,0.001382,0.009239),(5425,6845,0.001398,0.00925),(5425,6855,0.001413,0.009262),(5425,6865,0.001428,0.009272),(5425,6875,0.001443,0.009282),(5425,6885,0.001458,0.009292),(5425,6895,0.001472,0.009302),(5425,6905,0.001487,0.009311),(5425,6915,0.001501,0.009319),(5425,6925,0.001515,0.009328),(5425,6935,0.001529,0.009336),(5425,6945,0.001542,0.009343),(5425,6955,0.001556,0.009351),(5425,6965,0.001569,0.009358),(5425,6975,0.001583,0.009364),(5425,6985,0.001595,0.009371),(5435,5,8e-06,-0.71532),(5435,15,2.3e-05,-0.71541),(5435,25,3.5e-05,-0.7155),(5435,35,4.4e-05,-0.71559),(5435,45,5.3e-05,-0.71567),(5435,55,6.2e-05,-0.71576),(5435,65,6.1e-05,-0.71584),(5435,75,5.2e-05,-0.71592),(5435,85,4.4e-05,-0.71602),(5435,95,3.5e-05,-0.71613),(5435,105,2e-05,-0.71624),(5435,115,1e-06,-0.71635),(5435,125,-1.8e-05,-0.71648),(5435,135,-3.7e-05,-0.71661),(5435,145,-2.9e-05,-0.71675),(5435,155,-6e-06,-0.71688),(5435,165,1.7e-05,-0.71709),(5435,175,4e-05,-0.71733),(5435,185,9.7e-05,-0.71757),(5435,195,0.000169,-0.71782),(5435,205,0.000242,-0.71813),(5435,215,0.000314,-0.71847),(5435,225,0.000375,-0.71881),(5435,235,0.000432,-0.71915),(5435,245,0.000488,-0.71952),(5435,255,0.000545,-0.71991),(5435,265,0.000543,-0.72029),(5435,275,0.000523,-0.72067),(5435,285,0.000503,-0.72103),(5435,295,0.000483,-0.72138),(5435,305,0.00043,-0.72173),(5435,315,0.000368,-0.72208),(5435,325,0.000306,-0.72246),(5435,335,0.000245,-0.72284),(5435,345,0.000223,-0.72322),(5435,355,0.000209,-0.72361),(5435,365,0.000195,-0.72411),(5435,375,0.000181,-0.72463),(5435,385,0.000213,-0.72515),(5435,395,0.000252,-0.72567),(5435,405,0.000291,-0.72628),(5435,415,0.000329,-0.72691),(5435,425,0.000378,-0.72754),(5435,435,0.000428,-0.72817),(5435,445,0.000477,-0.72886),(5435,455,0.000527,-0.72955),(5435,465,0.00059,-0.73025),(5435,475,0.000654,-0.73094),(5435,485,0.000717,-0.73174),(5435,495,0.000781,-0.73255),(5435,505,0.000823,-0.73336),(5435,515,0.000865,-0.73416),(5435,525,0.000908,-0.73502),(5435,535,0.000948,-0.73587),(5435,545,0.000937,-0.73672),(5435,555,0.000927,-0.73758),(5435,565,0.000916,-0.73846),(5435,575,0.000904,-0.73935),(5435,585,0.000881,-0.74023),(5435,595,0.000858,-0.74112),(5435,605,0.000836,-0.7421),(5435,615,0.000818,-0.74308),(5435,625,0.000842,-0.74406),(5435,635,0.000867,-0.74507),(5435,645,0.000891,-0.74623),(5435,655,0.000917,-0.74739),(5435,665,0.000953,-0.74855),(5435,675,0.000988,-0.74973),(5435,685,0.001023,-0.75098),(5435,695,0.001054,-0.75224),(5435,705,0.001066,-0.75349),(5435,715,0.001079,-0.75476),(5435,725,0.001091,-0.7561),(5435,735,0.001103,-0.75744),(5435,745,0.001113,-0.75877),(5435,755,0.001122,-0.76014),(5435,765,0.001132,-0.76159),(5435,775,0.001145,-0.76305),(5435,785,0.001169,-0.7645),(5435,795,0.001192,-0.76598),(5435,805,0.001215,-0.76755),(5435,815,0.001247,-0.76911),(5435,825,0.001295,-0.77068),(5435,835,0.001344,-0.77229),(5435,845,0.001393,-0.77399),(5435,855,0.001447,-0.7757),(5435,865,0.00151,-0.7774),(5435,875,0.001574,-0.77915),(5435,885,0.001638,-0.78098),(5435,895,0.001696,-0.78281),(5435,905,0.001745,-0.78464),(5435,915,0.001794,-0.78649),(5435,925,0.001843,-0.78839),(5435,935,0.001887,-0.79029),(5435,945,0.001924,-0.79218),(5435,955,0.00196,-0.79411),(5435,965,0.001997,-0.79606),(5435,975,0.002052,-0.79801),(5435,985,0.002129,-0.79997),(5435,995,0.002206,-0.80198),(5435,1005,0.002282,-0.80406),(5435,1015,0.002384,-0.80614),(5435,1025,0.002508,-0.80823),(5435,1035,0.002633,-0.81035),(5435,1045,0.002758,-0.8125),(5435,1055,0.002882,-0.81465),(5435,1065,0.003004,-0.81681),(5435,1075,0.003126,-0.81895),(5435,1085,0.003247,-0.8211),(5435,1095,0.003347,-0.82325),(5435,1105,0.003432,-0.82539),(5435,1115,0.003516,-0.82759),(5435,1125,0.0036,-0.82982),(5435,1135,0.003761,-0.83205),(5435,1145,0.003967,-0.83429),(5435,1155,0.004173,-0.83657),(5435,1165,0.004378,-0.83888),(5435,1175,0.005483,-0.84118),(5435,1185,0.007034,-0.84349),(5435,1195,0.008584,-0.84518),(5435,1205,0.010135,-0.84658),(5435,1215,0.013227,-0.84798),(5435,1225,0.016955,-0.84938),(5435,1235,0.020684,-0.84881),(5435,1245,0.024412,-0.8475),(5435,1255,0.011739,-0.84619),(5435,1265,-0.006474,-0.84488),(5435,1275,-0.024688,-0.8549),(5435,1285,-0.042901,-0.86835),(5435,1295,-0.097105,-0.8818),(5435,1305,-0.16104,-0.89525),(5435,1315,-0.22498,-0.95136),(5435,1325,-0.28892,-1.0177),(5435,1335,-0.17768,-1.084),(5435,1345,-0.029732,-1.1503),(5435,1355,0.11822,-1.1074),(5435,1365,0.26617,-1.0446),(5435,1375,0.23753,-0.98184),(5435,1385,0.18164,-0.91909),(5435,1395,0.12576,-0.89621),(5435,1405,0.069871,-0.87846),(5435,1415,0.043169,-0.86071),(5435,1425,0.019496,-0.84296),(5435,1435,-0.004176,-0.84291),(5435,1445,-0.027848,-0.84429),(5435,1455,-0.024862,-0.84567),(5435,1465,-0.02034,-0.84705),(5435,1475,-0.015817,-0.84562),(5435,1485,-0.011295,-0.84409),(5435,1495,-0.009426,-0.84256),(5435,1505,-0.007596,-0.84102),(5435,1515,-0.005766,-0.83869),(5435,1525,-0.003977,-0.83636),(5435,1535,-0.0038,-0.83402),(5435,1545,-0.003622,-0.8317),(5435,1555,-0.003445,-0.82958),(5435,1565,-0.003275,-0.82745),(5435,1575,-0.003221,-0.82533),(5435,1585,-0.003167,-0.82322),(5435,1595,-0.003112,-0.82124),(5435,1605,-0.003054,-0.81926),(5435,1615,-0.002961,-0.81728),(5435,1625,-0.002867,-0.8153),(5435,1635,-0.002774,-0.81339),(5435,1645,-0.002682,-0.81147),(5435,1655,-0.002595,-0.80955),(5435,1665,-0.002508,-0.80764),(5435,1675,-0.002422,-0.80578),(5435,1685,-0.002335,-0.80392),(5435,1695,-0.002251,-0.80207),(5435,1705,-0.002167,-0.80023),(5435,1715,-0.002083,-0.79846),(5435,1725,-0.001999,-0.79669),(5435,1735,-0.001916,-0.79492),(5435,1745,-0.001833,-0.79317),(5435,1755,-0.00175,-0.79149),(5435,1765,-0.001674,-0.78982),(5435,1775,-0.001622,-0.78814),(5435,1785,-0.00157,-0.78648),(5435,1795,-0.001518,-0.78485),(5435,1805,-0.001468,-0.78321),(5435,1815,-0.001424,-0.78158),(5435,1825,-0.001379,-0.77998),(5435,1835,-0.001335,-0.77846),(5435,1845,-0.00129,-0.77693),(5435,1855,-0.001243,-0.77541),(5435,1865,-0.001196,-0.77392),(5435,1875,-0.001149,-0.7725),(5435,1885,-0.001108,-0.77107),(5435,1895,-0.001077,-0.76965),(5435,1905,-0.001046,-0.76825),(5435,1915,-0.001015,-0.7669),(5435,1925,-0.000988,-0.76555),(5435,1935,-0.000966,-0.7642),(5435,1945,-0.000944,-0.76289),(5435,1955,-0.000922,-0.76163),(5435,1965,-0.000899,-0.76037),(5435,1975,-0.000873,-0.75912),(5435,1985,-0.000847,-0.75791),(5435,1995,-0.000821,-0.75675),(5435,2005,-0.000798,-0.75559),(5435,2015,-0.000779,-0.75444),(5435,2025,-0.000759,-0.75331),(5435,2035,-0.00074,-0.75223),(5435,2045,-0.000722,-0.75114),(5435,2055,-0.000706,-0.75005),(5435,2065,-0.000691,-0.749),(5435,2075,-0.000675,-0.74799),(5435,2085,-0.000653,-0.74698),(5435,2095,-0.000627,-0.74597),(5435,2105,-0.000601,-0.74501),(5435,2115,-0.000574,-0.74409),(5435,2125,-0.000545,-0.74317),(5435,2135,-0.000513,-0.74225),(5435,2145,-0.000481,-0.74137),(5435,2155,-0.000449,-0.74051),(5435,2165,-0.000404,-0.73965),(5435,2175,-0.00035,-0.73879),(5435,2185,-0.000297,-0.738),(5435,2195,-0.000244,-0.73724),(5435,2205,-0.000178,-0.73648),(5435,2215,-0.000107,-0.73571),(5435,2225,-3.6e-05,-0.73501),(5435,2235,3.6e-05,-0.73433),(5435,2245,9.5e-05,-0.73365),(5435,2255,0.000149,-0.73297),(5435,2265,0.000204,-0.73232),(5435,2275,0.000258,-0.73168),(5435,2285,0.000297,-0.73103),(5435,2295,0.00033,-0.73039),(5435,2305,0.000364,-0.72979),(5435,2315,0.000398,-0.7292),(5435,2325,0.000415,-0.72861),(5435,2335,0.00043,-0.72802),(5435,2345,0.000444,-0.72746),(5435,2355,0.000459,-0.72691),(5435,2365,0.00046,-0.72636),(5435,2375,0.000458,-0.72581),(5435,2385,0.000457,-0.72529),(5435,2395,0.000456,-0.72478),(5435,2405,0.000465,-0.72426),(5435,2415,0.000477,-0.72375),(5435,2425,0.000488,-0.72331),(5435,2435,0.000499,-0.72287),(5435,2445,0.000526,-0.72243),(5435,2455,0.000555,-0.722),(5435,2465,0.000584,-0.72162),(5435,2475,0.000612,-0.72124),(5435,2485,0.000643,-0.72086),(5435,2495,0.000674,-0.72049),(5435,2505,0.000704,-0.72015),(5435,2515,0.000735,-0.71981),(5435,2525,0.000769,-0.71947),(5435,2535,0.000804,-0.71913),(5435,2545,0.000838,-0.71884),(5435,2555,0.000872,-0.71855),(5435,2565,0.0009,-0.71827),(5435,2575,0.000928,-0.71798),(5435,2585,0.000955,-0.71772),(5435,2595,0.000982,-0.71746),(5435,2605,0.000992,-0.71721),(5435,2615,0.001003,-0.71695),(5435,2625,0.001014,-0.7167),(5435,2635,0.001026,-0.71645),(5435,2645,0.001043,-0.71619),(5435,2655,0.001059,-0.71595),(5435,2665,0.001076,-0.71575),(5435,2675,0.001096,-0.71554),(5435,2685,0.00113,-0.71534),(5435,2695,0.001165,-0.71515),(5435,2705,0.0012,-0.71501),(5435,2715,0.001231,-0.71486),(5435,2725,0.001254,-0.71472),(5435,2735,0.001276,-0.71457),(5435,2745,0.001299,-0.71442),(5435,2755,0.001318,-0.71428),(5435,2765,0.001329,-0.71413),(5435,2775,0.00134,-0.71399),(5435,2785,0.00135,-0.71386),(5435,2795,0.001366,-0.71373),(5435,2805,0.001392,-0.7136),(5435,2815,0.001418,-0.71349),(5435,2825,0.001444,-0.71343),(5435,2835,0.001467,-0.71338),(5435,2845,0.001481,-0.71332),(5435,2855,0.001495,-0.71325),(5435,2865,0.001509,-0.71318),(5435,2875,0.001525,-0.71311),(5435,2885,0.001544,-0.71304),(5435,2895,0.001563,-0.71299),(5435,2905,0.001582,-0.71298),(5435,2915,0.001612,-0.71297),(5435,2925,0.001658,-0.71296),(5435,2935,0.001704,-0.71298),(5435,2945,0.00175,-0.71305),(5435,2955,0.001782,-0.71312),(5435,2965,0.001796,-0.71319),(5435,2975,0.00181,-0.71325),(5435,2985,0.001825,-0.7133),(5435,2995,0.001834,-0.71334),(5435,3005,0.001839,-0.71339),(5435,3015,0.001843,-0.71347),(5435,3025,0.001847,-0.71358),(5435,3035,0.001859,-0.7137),(5435,3045,0.001877,-0.71381),(5435,3055,0.001895,-0.71396),(5435,3065,0.001913,-0.71414),(5435,3075,0.001905,-0.71432),(5435,3085,0.001877,-0.71449),(5435,3095,0.001849,-0.71463),(5435,3105,0.001821,-0.71472),(5435,3115,0.001806,-0.71482),(5435,3125,0.001801,-0.71492),(5435,3135,0.001795,-0.71509),(5435,3145,0.001789,-0.7153),(5435,3155,0.001803,-0.71551),(5435,3165,0.001827,-0.71572),(5435,3175,0.001852,-0.71596),(5435,3185,0.001876,-0.7162),(5435,3195,0.001881,-0.71645),(5435,3205,0.001879,-0.7167),(5435,3215,0.001876,-0.71692),(5435,3225,0.001873,-0.71713),(5435,3235,0.001899,-0.71735),(5435,3245,0.001937,-0.71756),(5435,3255,0.001975,-0.71788),(5435,3265,0.002013,-0.71823),(5435,3275,0.002047,-0.71858),(5435,3285,0.002079,-0.71894),(5435,3295,0.002111,-0.71926),(5435,3305,0.002144,-0.71958),(5435,3315,0.002152,-0.71989),(5435,3325,0.002155,-0.72021),(5435,3335,0.002158,-0.72053),(5435,3345,0.002161,-0.72085),(5435,3355,0.002192,-0.72117),(5435,3365,0.002228,-0.72149),(5435,3375,0.002264,-0.72191),(5435,3385,0.0023,-0.72235),(5435,3395,0.002324,-0.72279),(5435,3405,0.002346,-0.72322),(5435,3415,0.002368,-0.72363),(5435,3425,0.00239,-0.72404),(5435,3435,0.002417,-0.72444),(5435,3445,0.002445,-0.72485),(5435,3455,0.002472,-0.72533),(5435,3465,0.0025,-0.72581),(5435,3475,0.002544,-0.7263),(5435,3485,0.002588,-0.72678),(5435,3495,0.002633,-0.7273),(5435,3505,0.002677,-0.72783),(5435,3515,0.002705,-0.72835),(5435,3525,0.002733,-0.72888),(5435,3535,0.002761,-0.72944),(5435,3545,0.002788,-0.72999),(5435,3555,0.002787,-0.73055),(5435,3565,0.002785,-0.73111),(5435,3575,0.002784,-0.73167),(5435,3585,0.002786,-0.73224),(5435,3595,0.002812,-0.73281),(5435,3605,0.002838,-0.73339),(5435,3615,0.002864,-0.73404),(5435,3625,0.002894,-0.7347),(5435,3635,0.002953,-0.73535),(5435,3645,0.003013,-0.73602),(5435,3655,0.003073,-0.73676),(5435,3665,0.003128,-0.7375),(5435,3675,0.003158,-0.73824),(5435,3685,0.003187,-0.73898),(5435,3695,0.003217,-0.73971),(5435,3705,0.003253,-0.74044),(5435,3715,0.003312,-0.74116),(5435,3725,0.003372,-0.74192),(5435,3735,0.003432,-0.74281),(5435,3745,0.00348,-0.74369),(5435,3755,0.003492,-0.74457),(5435,3765,0.003504,-0.74544),(5435,3775,0.003517,-0.74627),(5435,3785,0.003517,-0.7471),(5435,3795,0.003487,-0.74793),(5435,3805,0.003456,-0.74879),(5435,3815,0.003426,-0.74974),(5435,3825,0.003432,-0.75068),(5435,3835,0.003515,-0.75162),(5435,3845,0.003598,-0.7526),(5435,3855,0.003681,-0.75364),(5435,3865,0.004059,-0.75469),(5435,3875,0.004959,-0.75574),(5435,3885,0.005859,-0.75656),(5435,3895,0.006759,-0.757),(5435,3905,0.008222,-0.75744),(5435,3915,0.010527,-0.75788),(5435,3925,0.012832,-0.7576),(5435,3935,0.015137,-0.7563),(5435,3945,0.010015,-0.75501),(5435,3955,-0.004539,-0.75372),(5435,3965,-0.019092,-0.75779),(5435,3975,-0.033646,-0.76815),(5435,3985,-0.080328,-0.7785),(5435,3995,-0.16179,-0.78886),(5435,4005,-0.24325,-0.82982),(5435,4015,-0.32471,-0.90138),(5435,4025,-0.10586,-0.97295),(5435,4035,0.14236,-1.0221),(5435,4045,0.39059,-1.0241),(5435,4055,0.52025,-1.0261),(5435,4065,0.60666,-1.0281),(5435,4075,0.69307,-1.03),(5435,4085,0.73148,-1.0319),(5435,4095,0.73133,-1.0337),(5435,4105,0.73117,-1.0352),(5435,4115,0.73138,-1.0366),(5435,4125,0.73219,-1.038),(5435,4135,0.73299,-1.0391),(5435,4145,0.734,-1.0401),(5435,4155,0.73584,-1.0411),(5435,4165,0.73769,-1.0419),(5435,4175,0.73955,-1.0426),(5435,4185,0.74226,-1.0433),(5435,4195,0.74497,-1.0439),(5435,4205,0.74769,-1.0444),(5435,4215,0.75098,-1.0449),(5435,4225,0.75439,-1.0452),(5435,4235,0.75779,-1.0453),(5435,4245,0.76157,-1.0453),(5435,4255,0.76554,-1.0453),(5435,4265,0.7695,-1.0451),(5435,4275,0.7737,-1.0449),(5435,4285,0.77814,-1.0447),(5435,4295,0.78258,-1.0442),(5435,4305,0.78715,-1.0437),(5435,4315,0.79199,-1.0431),(5435,4325,0.79684,-1.0422),(5435,4335,0.80173,-1.0412),(5435,4345,0.80692,-1.0402),(5435,4355,0.8121,-1.0389),(5435,4365,0.81729,-1.0375),(5435,4375,0.82274,-1.036),(5435,4385,0.8282,-1.0344),(5435,4395,0.83366,-1.0324),(5435,4405,0.83929,-1.0304),(5435,4415,0.84497,-1.0284),(5435,4425,0.85066,-1.026),(5435,4435,0.85643,-1.0237),(5435,4445,0.86226,-1.0213),(5435,4455,0.86809,-1.0187),(5435,4465,0.87395,-1.016),(5435,4475,0.87987,-1.0133),(5435,4485,0.88579,-1.0103),(5435,4495,0.89172,-1.0073),(5435,4505,0.89767,-1.0043),(5435,4515,0.90362,-1.0012),(5435,4525,0.90957,-0.99795),(5435,4535,0.91553,-0.99472),(5435,4545,0.92149,-0.99133),(5435,4555,0.92745,-0.98779),(5435,4565,0.93339,-0.98424),(5435,4575,0.93933,-0.98065),(5435,4585,0.94527,-0.97695),(5435,4595,0.95117,-0.97324),(5435,4605,0.95706,-0.96951),(5435,4615,0.96294,-0.9656),(5435,4625,0.9688,-0.96168),(5435,4635,0.97463,-0.95777),(5435,4645,0.98046,-0.95369),(5435,4655,0.98626,-0.94959),(5435,4665,0.99201,-0.9455),(5435,4675,0.99776,-0.94123),(5435,4685,1.0035,-0.93691),(5435,4695,1.0092,-0.93258),(5435,4705,1.0148,-0.92813),(5435,4715,1.0205,-0.92358),(5435,4725,1.0261,-0.91903),(5435,4735,1.0316,-0.91447),(5435,4745,1.0372,-0.90988),(5435,4755,1.0426,-0.9053),(5435,4765,1.0481,-0.90072),(5435,4775,1.0535,-0.89614),(5435,4785,1.0589,-0.89157),(5435,4795,1.0642,-0.88699),(5435,4805,1.0695,-0.88237),(5435,4815,1.0748,-0.87774),(5435,4825,1.08,-0.87312),(5435,4835,1.0852,-0.86842),(5435,4845,1.0903,-0.86371),(5435,4855,1.0954,-0.859),(5435,4865,1.1004,-0.85429),(5435,4875,1.1054,-0.84958),(5435,4885,1.1103,-0.84488),(5435,4895,1.1152,-0.84018),(5435,4905,1.1201,-0.8355),(5435,4915,1.1249,-0.83081),(5435,4925,1.1297,-0.82614),(5435,4935,1.1345,-0.82149),(5435,4945,1.1391,-0.81684),(5435,4955,1.1438,-0.81219),(5435,4965,1.1484,-0.80755),(5435,4975,1.153,-0.80292),(5435,4985,1.1575,-0.79828),(5435,4995,1.162,-0.79365),(5435,5005,1.1664,-0.78902),(5435,5015,1.1709,-0.78438),(5435,5025,1.1753,-0.77976),(5435,5035,1.1797,-0.77514),(5435,5045,1.184,-0.77052),(5435,5055,1.1883,-0.76597),(5435,5065,1.1926,-0.76146),(5435,5075,1.1968,-0.75695),(5435,5085,1.201,-0.75247),(5435,5095,1.2052,-0.74802),(5435,5105,1.2094,-0.74358),(5435,5115,1.2135,-0.73914),(5435,5125,1.2177,-0.73474),(5435,5135,1.2218,-0.73033),(5435,5145,1.2259,-0.72593),(5435,5155,1.2299,-0.72158),(5435,5165,1.234,-0.71723),(5435,5175,1.238,-0.71287),(5435,5185,1.242,-0.70857),(5435,5195,1.246,-0.70427),(5435,5205,1.25,-0.69997),(5435,5215,1.2539,-0.69573),(5435,5225,1.2579,-0.6915),(5435,5235,1.2618,-0.68727),(5435,5245,1.2658,-0.68305),(5435,5255,1.2697,-0.67883),(5435,5265,1.2736,-0.67461),(5435,5275,1.2775,-0.6704),(5435,5285,1.2814,-0.66621),(5435,5295,1.2852,-0.66202),(5435,5305,1.2891,-0.65783),(5435,5315,1.2929,-0.65368),(5435,5325,1.2967,-0.64952),(5435,5335,1.3005,-0.64536),(5435,5345,1.3043,-0.64123),(5435,5355,1.3081,-0.6371),(5435,5365,1.3119,-0.63298),(5435,5375,1.3157,-0.62887),(5435,5385,1.3195,-0.62477),(5435,5395,1.3233,-0.62067),(5435,5405,1.3271,-0.61659),(5435,5415,1.3309,-0.61251),(5435,5425,1.3347,-0.60843),(5435,5435,1.3385,-0.60435),(5435,5445,1.3423,-0.60027),(5435,5455,1.3461,-0.59619),(5435,5465,1.3499,-0.59209),(5435,5475,1.3537,-0.58798),(5435,5485,1.3574,-0.58388),(5435,5495,1.3612,-0.57976),(5435,5505,1.365,-0.57561),(5435,5515,1.3688,-0.57146),(5435,5525,1.3725,-0.5673),(5435,5535,1.3763,-0.56311),(5435,5545,1.38,-0.55891),(5435,5555,1.3838,-0.55471),(5435,5565,1.3875,-0.55044),(5435,5575,1.3912,-0.54614),(5435,5585,1.3949,-0.54184),(5435,5595,1.3986,-0.53751),(5435,5605,1.4023,-0.53317),(5435,5615,1.4059,-0.52883),(5435,5625,1.4096,-0.52448),(5435,5635,1.4132,-0.52011),(5435,5645,1.4168,-0.51574),(5435,5655,1.4204,-0.51136),(5435,5665,1.424,-0.50693),(5435,5675,1.4276,-0.5025),(5435,5685,1.4311,-0.49806),(5435,5695,1.4347,-0.49355),(5435,5705,1.4382,-0.48904),(5435,5715,1.4417,-0.48453),(5435,5725,1.4452,-0.47995),(5435,5735,1.4487,-0.47537),(5435,5745,1.4522,-0.47079),(5435,5755,1.4556,-0.46618),(5435,5765,1.4591,-0.46157),(5435,5775,1.4625,-0.45695),(5435,5785,1.466,-0.45228),(5435,5795,1.4694,-0.44755),(5435,5805,1.4728,-0.44283),(5435,5815,1.4761,-0.43809),(5435,5825,1.4795,-0.4333),(5435,5835,1.4828,-0.42852),(5435,5845,1.4861,-0.42372),(5435,5855,1.4894,-0.41887),(5435,5865,1.4927,-0.41402),(5435,5875,1.4959,-0.40917),(5435,5885,1.4991,-0.40423),(5435,5895,1.5023,-0.39928),(5435,5905,1.5054,-0.39434),(5435,5915,1.5085,-0.38931),(5435,5925,1.5116,-0.38426),(5435,5935,1.5146,-0.3792),(5435,5945,1.5176,-0.3741),(5435,5955,1.5207,-0.36896),(5435,5965,1.5236,-0.36383),(5435,5975,1.5265,-0.35867),(5435,5985,1.5295,-0.35349),(5435,5995,1.5324,-0.34831),(5435,6005,1.5352,-0.34311),(5435,6015,1.5381,-0.33785),(5435,6025,1.5409,-0.33258),(5435,6035,1.5437,-0.32731),(5435,6045,1.5465,-0.32197),(5435,6055,1.5492,-0.31663),(5435,6065,1.5519,-0.31129),(5435,6075,1.5546,-0.30589),(5435,6085,1.5572,-0.30049),(5435,6095,1.5598,-0.29509),(5435,6105,1.5624,-0.28963),(5435,6115,1.5649,-0.28415),(5435,6125,1.5674,-0.27867),(5435,6135,1.5698,-0.27315),(5435,6145,1.5722,-0.26759),(5435,6155,1.5746,-0.26204),(5435,6165,1.5769,-0.25644),(5435,6175,1.5792,-0.25078),(5435,6185,1.5814,-0.24511),(5435,6195,1.5835,-0.23943),(5435,6205,1.5857,-0.23367),(5435,6215,1.5878,-0.22791),(5435,6225,1.5898,-0.22215),(5435,6235,1.5919,-0.21638),(5435,6245,1.5939,-0.2106),(5435,6255,1.5958,-0.20482),(5435,6265,1.5977,-0.199),(5435,6275,1.5995,-0.19316),(5435,6285,1.6013,-0.18732),(5435,6295,1.603,-0.18143),(5435,6305,1.6048,-0.1755),(5435,6315,1.6063,-0.16957),(5435,6325,1.6079,-0.16363),(5435,6335,1.6095,-0.15769),(5435,6345,1.611,-0.15174),(5435,6355,1.6124,-0.14576),(5435,6365,1.6138,-0.13971),(5435,6375,1.6151,-0.13366),(5435,6385,1.6164,-0.12759),(5435,6395,1.6176,-0.12147),(5435,6405,1.6187,-0.11536),(5435,6415,1.6198,-0.10924),(5435,6425,1.6208,-0.1031),(5435,6435,1.6218,-0.096964),(5435,6445,1.6227,-0.090828),(5435,6455,1.6236,-0.084655),(5435,6465,1.6244,-0.07847),(5435,6475,1.6251,-0.072285),(5435,6485,1.6258,-0.066108),(5435,6495,1.6265,-0.059936),(5435,6505,1.627,-0.053764),(5435,6515,1.6275,-0.047581),(5435,6525,1.628,-0.041381),(5435,6535,1.6283,-0.035181),(5435,6545,1.6286,-0.028976),(5435,6555,1.6289,-0.022756),(5435,6565,1.6291,-0.016536),(5435,6575,1.6292,-0.010317),(5435,6585,1.6294,-0.004115),(5435,6595,1.3859,0.002087),(5435,6605,0.87354,0.008289),(5435,6615,0.36115,0.008983),(5435,6625,0.000956,0.00897),(5435,6635,0.00098,0.008956),(5435,6645,0.001003,0.008965),(5435,6655,0.001027,0.008984),(5435,6665,0.001049,0.009003),(5435,6675,0.001071,0.009021),(5435,6685,0.001093,0.009038),(5435,6695,0.001113,0.009056),(5435,6705,0.001134,0.009073),(5435,6715,0.001154,0.009089),(5435,6725,0.001174,0.009105),(5435,6735,0.001193,0.009121),(5435,6745,0.001212,0.009136),(5435,6755,0.001231,0.009151),(5435,6765,0.001249,0.009166),(5435,6775,0.001267,0.009179),(5435,6785,0.001285,0.009193),(5435,6795,0.001302,0.009206),(5435,6805,0.001319,0.009219),(5435,6815,0.001336,0.009231),(5435,6825,0.001352,0.009243),(5435,6835,0.001368,0.009255),(5435,6845,0.001384,0.009266),(5435,6855,0.0014,0.009277),(5435,6865,0.001415,0.009287),(5435,6875,0.001431,0.009297),(5435,6885,0.001446,0.009307),(5435,6895,0.001461,0.009316),(5435,6905,0.001476,0.009325),(5435,6915,0.00149,0.009333),(5435,6925,0.001504,0.009342),(5435,6935,0.001519,0.00935),(5435,6945,0.001533,0.009357),(5435,6955,0.001546,0.009364),(5435,6965,0.00156,0.009371),(5435,6975,0.001574,0.009377),(5435,6985,0.001587,0.009384),(5445,5,7e-06,-0.57337),(5445,15,2.1e-05,-0.57344),(5445,25,3.3e-05,-0.57351),(5445,35,4.4e-05,-0.57358),(5445,45,5.4e-05,-0.57365),(5445,55,6.4e-05,-0.57372),(5445,65,6.8e-05,-0.57378),(5445,75,6.7e-05,-0.57385),(5445,85,6.7e-05,-0.57393),(5445,95,6.6e-05,-0.57401),(5445,105,6.1e-05,-0.5741),(5445,115,5.4e-05,-0.57419),(5445,125,4.7e-05,-0.57428),(5445,135,3.9e-05,-0.57438),(5445,145,4.9e-05,-0.57448),(5445,155,6.9e-05,-0.57458),(5445,165,8.8e-05,-0.57473),(5445,175,0.000107,-0.5749),(5445,185,0.000148,-0.57508),(5445,195,0.000199,-0.57525),(5445,205,0.00025,-0.57549),(5445,215,0.000301,-0.57575),(5445,225,0.000345,-0.57601),(5445,235,0.000386,-0.57627),(5445,245,0.000427,-0.57656),(5445,255,0.000469,-0.57687),(5445,265,0.000473,-0.57717),(5445,275,0.000467,-0.57747),(5445,285,0.00046,-0.57776),(5445,295,0.000453,-0.57804),(5445,305,0.000426,-0.57832),(5445,315,0.000393,-0.57859),(5445,325,0.00036,-0.57888),(5445,335,0.000328,-0.57916),(5445,345,0.000321,-0.57945),(5445,355,0.000319,-0.57973),(5445,365,0.000317,-0.58011),(5445,375,0.000315,-0.58049),(5445,385,0.000342,-0.58088),(5445,395,0.000374,-0.58126),(5445,405,0.000406,-0.58172),(5445,415,0.000437,-0.5822),(5445,425,0.000476,-0.58267),(5445,435,0.000515,-0.58315),(5445,445,0.000555,-0.58367),(5445,455,0.000594,-0.58419),(5445,465,0.000642,-0.58472),(5445,475,0.000691,-0.58524),(5445,485,0.00074,-0.58586),(5445,495,0.000789,-0.58648),(5445,505,0.000826,-0.58709),(5445,515,0.000863,-0.58771),(5445,525,0.000899,-0.58837),(5445,535,0.000935,-0.58903),(5445,545,0.000939,-0.58969),(5445,555,0.000944,-0.59035),(5445,565,0.000948,-0.59103),(5445,575,0.000952,-0.5917),(5445,585,0.000951,-0.59237),(5445,595,0.000949,-0.59305),(5445,605,0.000947,-0.59378),(5445,615,0.000949,-0.59452),(5445,625,0.000978,-0.59525),(5445,635,0.001008,-0.596),(5445,645,0.001037,-0.59688),(5445,655,0.001068,-0.59775),(5445,665,0.001105,-0.59863),(5445,675,0.001142,-0.59952),(5445,685,0.001179,-0.60047),(5445,695,0.001213,-0.60143),(5445,705,0.001237,-0.60238),(5445,715,0.00126,-0.60335),(5445,725,0.001284,-0.60437),(5445,735,0.001307,-0.60539),(5445,745,0.00133,-0.6064),(5445,755,0.001352,-0.60744),(5445,765,0.001375,-0.60854),(5445,775,0.0014,-0.60964),(5445,785,0.001433,-0.61074),(5445,795,0.001466,-0.61186),(5445,805,0.001499,-0.61304),(5445,815,0.001537,-0.61422),(5445,825,0.001587,-0.6154),(5445,835,0.001638,-0.61661),(5445,845,0.001688,-0.61789),(5445,855,0.001742,-0.61918),(5445,865,0.001805,-0.62046),(5445,875,0.001867,-0.62178),(5445,885,0.001929,-0.62317),(5445,895,0.001989,-0.62456),(5445,905,0.002044,-0.62594),(5445,915,0.0021,-0.62735),(5445,925,0.002156,-0.62879),(5445,935,0.00221,-0.63023),(5445,945,0.002262,-0.63167),(5445,955,0.002313,-0.63312),(5445,965,0.002365,-0.6346),(5445,975,0.002431,-0.63607),(5445,985,0.002513,-0.63754),(5445,995,0.002595,-0.63906),(5445,1005,0.002677,-0.64063),(5445,1015,0.002779,-0.6422),(5445,1025,0.002898,-0.64377),(5445,1035,0.003018,-0.64538),(5445,1045,0.003138,-0.64702),(5445,1055,0.003263,-0.64865),(5445,1065,0.003391,-0.65029),(5445,1075,0.003519,-0.65194),(5445,1085,0.003647,-0.65359),(5445,1095,0.003769,-0.65524),(5445,1105,0.003886,-0.65689),(5445,1115,0.004004,-0.65861),(5445,1125,0.004121,-0.66037),(5445,1135,0.004296,-0.66213),(5445,1145,0.004506,-0.66389),(5445,1155,0.004715,-0.66564),(5445,1165,0.004924,-0.66738),(5445,1175,0.005712,-0.66911),(5445,1185,0.006787,-0.67085),(5445,1195,0.007861,-0.67126),(5445,1205,0.008936,-0.67107),(5445,1215,0.010996,-0.67087),(5445,1225,0.013462,-0.67068),(5445,1235,0.015929,-0.66684),(5445,1245,0.018396,-0.66164),(5445,1255,0.01053,-0.65644),(5445,1265,-0.000825,-0.65125),(5445,1275,-0.01218,-0.66541),(5445,1285,-0.023535,-0.68543),(5445,1295,-0.057534,-0.70546),(5445,1305,-0.097658,-0.72549),(5445,1315,-0.13778,-0.81739),(5445,1325,-0.1779,-0.92648),(5445,1335,-0.10961,-1.0356),(5445,1345,-0.0186,-1.1447),(5445,1355,0.072414,-1.0728),(5445,1365,0.16343,-0.96815),(5445,1375,0.1453,-0.8635),(5445,1385,0.11033,-0.75884),(5445,1395,0.075358,-0.72335),(5445,1405,0.040389,-0.69675),(5445,1415,0.023711,-0.67015),(5445,1425,0.008932,-0.64355),(5445,1435,-0.005847,-0.64751),(5445,1445,-0.020626,-0.65392),(5445,1455,-0.01861,-0.66034),(5445,1465,-0.015628,-0.66675),(5445,1475,-0.012645,-0.66745),(5445,1485,-0.009662,-0.66794),(5445,1495,-0.008374,-0.66843),(5445,1505,-0.007112,-0.66891),(5445,1515,-0.00585,-0.66721),(5445,1525,-0.004614,-0.6655),(5445,1535,-0.004413,-0.6638),(5445,1545,-0.004213,-0.6621),(5445,1555,-0.004012,-0.66043),(5445,1565,-0.003818,-0.65876),(5445,1575,-0.003713,-0.65709),(5445,1585,-0.003608,-0.65544),(5445,1595,-0.003503,-0.65392),(5445,1605,-0.003397,-0.65239),(5445,1615,-0.003283,-0.65087),(5445,1625,-0.00317,-0.64936),(5445,1635,-0.003056,-0.64789),(5445,1645,-0.002944,-0.64642),(5445,1655,-0.002846,-0.64495),(5445,1665,-0.002748,-0.64349),(5445,1675,-0.00265,-0.64207),(5445,1685,-0.002554,-0.64065),(5445,1695,-0.002466,-0.63922),(5445,1705,-0.002379,-0.63782),(5445,1715,-0.002291,-0.63646),(5445,1725,-0.002205,-0.63511),(5445,1735,-0.002124,-0.63376),(5445,1745,-0.002043,-0.63242),(5445,1755,-0.001961,-0.63115),(5445,1765,-0.001886,-0.62988),(5445,1775,-0.001829,-0.62861),(5445,1785,-0.001771,-0.62735),(5445,1795,-0.001713,-0.62611),(5445,1805,-0.001658,-0.62487),(5445,1815,-0.001608,-0.62363),(5445,1825,-0.001559,-0.62242),(5445,1835,-0.001509,-0.62126),(5445,1845,-0.001459,-0.62011),(5445,1855,-0.00141,-0.61895),(5445,1865,-0.001361,-0.61782),(5445,1875,-0.001311,-0.61674),(5445,1885,-0.001267,-0.61566),(5445,1895,-0.00123,-0.61458),(5445,1905,-0.001192,-0.61352),(5445,1915,-0.001155,-0.6125),(5445,1925,-0.001121,-0.61147),(5445,1935,-0.001091,-0.61044),(5445,1945,-0.001061,-0.60945),(5445,1955,-0.001031,-0.60848),(5445,1965,-0.001001,-0.60752),(5445,1975,-0.00097,-0.60656),(5445,1985,-0.000939,-0.60564),(5445,1995,-0.000908,-0.60475),(5445,2005,-0.00088,-0.60387),(5445,2015,-0.000854,-0.60299),(5445,2025,-0.000828,-0.60214),(5445,2035,-0.000802,-0.60131),(5445,2045,-0.000778,-0.60048),(5445,2055,-0.000756,-0.59966),(5445,2065,-0.000733,-0.59886),(5445,2075,-0.000711,-0.59809),(5445,2085,-0.000685,-0.59731),(5445,2095,-0.000656,-0.59654),(5445,2105,-0.000628,-0.59581),(5445,2115,-0.0006,-0.5951),(5445,2125,-0.000569,-0.5944),(5445,2135,-0.000538,-0.5937),(5445,2145,-0.000507,-0.59302),(5445,2155,-0.000476,-0.59236),(5445,2165,-0.000436,-0.5917),(5445,2175,-0.000392,-0.59103),(5445,2185,-0.000348,-0.59042),(5445,2195,-0.000304,-0.58983),(5445,2205,-0.000252,-0.58924),(5445,2215,-0.000197,-0.58865),(5445,2225,-0.000142,-0.58811),(5445,2235,-8.7e-05,-0.58759),(5445,2245,-4e-05,-0.58707),(5445,2255,4e-06,-0.58654),(5445,2265,4.8e-05,-0.58604),(5445,2275,9.2e-05,-0.58555),(5445,2285,0.000126,-0.58506),(5445,2295,0.000156,-0.58456),(5445,2305,0.000187,-0.5841),(5445,2315,0.000217,-0.58365),(5445,2325,0.000237,-0.5832),(5445,2335,0.000255,-0.58275),(5445,2345,0.000273,-0.58232),(5445,2355,0.000291,-0.5819),(5445,2365,0.000301,-0.58148),(5445,2375,0.000309,-0.58106),(5445,2385,0.000316,-0.58066),(5445,2395,0.000324,-0.58026),(5445,2405,0.000339,-0.57986),(5445,2415,0.000354,-0.57946),(5445,2425,0.00037,-0.57911),(5445,2435,0.000385,-0.57876),(5445,2445,0.000411,-0.57842),(5445,2455,0.000437,-0.57807),(5445,2465,0.000463,-0.57777),(5445,2475,0.00049,-0.57747),(5445,2485,0.000517,-0.57717),(5445,2495,0.000544,-0.57687),(5445,2505,0.000571,-0.57659),(5445,2515,0.000599,-0.57632),(5445,2525,0.000628,-0.57605),(5445,2535,0.000658,-0.57578),(5445,2545,0.000687,-0.57555),(5445,2555,0.000716,-0.57532),(5445,2565,0.000741,-0.57509),(5445,2575,0.000766,-0.57486),(5445,2585,0.000791,-0.57465),(5445,2595,0.000815,-0.57444),(5445,2605,0.000829,-0.57423),(5445,2615,0.000843,-0.57402),(5445,2625,0.000857,-0.57381),(5445,2635,0.000872,-0.57361),(5445,2645,0.000889,-0.5734),(5445,2655,0.000907,-0.57319),(5445,2665,0.000924,-0.57302),(5445,2675,0.000944,-0.57285),(5445,2685,0.000973,-0.57268),(5445,2695,0.001002,-0.57252),(5445,2705,0.00103,-0.5724),(5445,2715,0.001058,-0.57228),(5445,2725,0.001079,-0.57216),(5445,2735,0.0011,-0.57203),(5445,2745,0.001122,-0.57191),(5445,2755,0.001141,-0.57178),(5445,2765,0.001156,-0.57165),(5445,2775,0.00117,-0.57153),(5445,2785,0.001185,-0.57141),(5445,2795,0.001202,-0.5713),(5445,2805,0.001227,-0.57118),(5445,2815,0.001251,-0.57108),(5445,2825,0.001276,-0.57102),(5445,2835,0.001298,-0.57096),(5445,2845,0.001316,-0.5709),(5445,2855,0.001334,-0.57083),(5445,2865,0.001351,-0.57076),(5445,2875,0.00137,-0.57069),(5445,2885,0.001391,-0.57062),(5445,2895,0.001412,-0.57056),(5445,2905,0.001433,-0.57053),(5445,2915,0.001461,-0.57049),(5445,2925,0.001499,-0.57046),(5445,2935,0.001538,-0.57045),(5445,2945,0.001576,-0.57049),(5445,2955,0.001606,-0.57052),(5445,2965,0.001624,-0.57056),(5445,2975,0.001642,-0.57058),(5445,2985,0.001661,-0.57059),(5445,2995,0.001676,-0.57061),(5445,3005,0.001688,-0.57062),(5445,3015,0.0017,-0.57065),(5445,3025,0.001711,-0.57071),(5445,3035,0.001728,-0.57077),(5445,3045,0.001748,-0.57083),(5445,3055,0.001768,-0.57092),(5445,3065,0.001788,-0.57104),(5445,3075,0.001791,-0.57116),(5445,3085,0.001782,-0.57128),(5445,3095,0.001773,-0.57135),(5445,3105,0.001764,-0.57139),(5445,3115,0.001763,-0.57144),(5445,3125,0.001768,-0.57148),(5445,3135,0.001773,-0.57158),(5445,3145,0.001778,-0.57171),(5445,3155,0.001795,-0.57183),(5445,3165,0.001819,-0.57196),(5445,3175,0.001842,-0.57211),(5445,3185,0.001866,-0.57227),(5445,3195,0.001878,-0.57244),(5445,3205,0.001885,-0.5726),(5445,3215,0.001892,-0.57274),(5445,3225,0.001899,-0.57287),(5445,3235,0.001925,-0.57299),(5445,3245,0.001958,-0.57312),(5445,3255,0.001991,-0.57332),(5445,3265,0.002024,-0.57356),(5445,3275,0.002054,-0.57379),(5445,3285,0.002084,-0.57402),(5445,3295,0.002114,-0.57424),(5445,3305,0.002144,-0.57445),(5445,3315,0.002159,-0.57466),(5445,3325,0.002171,-0.57488),(5445,3335,0.002183,-0.57508),(5445,3345,0.002195,-0.57529),(5445,3355,0.002225,-0.57549),(5445,3365,0.002258,-0.5757),(5445,3375,0.002291,-0.57598),(5445,3385,0.002324,-0.57628),(5445,3395,0.00235,-0.57658),(5445,3405,0.002375,-0.57687),(5445,3415,0.0024,-0.57715),(5445,3425,0.002425,-0.57742),(5445,3435,0.002454,-0.57769),(5445,3445,0.002483,-0.57796),(5445,3455,0.002512,-0.57829),(5445,3465,0.002541,-0.57861),(5445,3475,0.002582,-0.57893),(5445,3485,0.002622,-0.57926),(5445,3495,0.002663,-0.57962),(5445,3505,0.002703,-0.57998),(5445,3515,0.002734,-0.58034),(5445,3525,0.002765,-0.58071),(5445,3535,0.002796,-0.58109),(5445,3545,0.002826,-0.58147),(5445,3555,0.00284,-0.58185),(5445,3565,0.002854,-0.58223),(5445,3575,0.002867,-0.58262),(5445,3585,0.002882,-0.58301),(5445,3595,0.002914,-0.5834),(5445,3605,0.002946,-0.5838),(5445,3615,0.002978,-0.58425),(5445,3625,0.003013,-0.58469),(5445,3635,0.003067,-0.58514),(5445,3645,0.003121,-0.5856),(5445,3655,0.003176,-0.58611),(5445,3665,0.003227,-0.58663),(5445,3675,0.003264,-0.58714),(5445,3685,0.0033,-0.58765),(5445,3695,0.003337,-0.58815),(5445,3705,0.003377,-0.58865),(5445,3715,0.003434,-0.58915),(5445,3725,0.00349,-0.58968),(5445,3735,0.003547,-0.59029),(5445,3745,0.003597,-0.5909),(5445,3755,0.003625,-0.59151),(5445,3765,0.003653,-0.59212),(5445,3775,0.003681,-0.59269),(5445,3785,0.003701,-0.59327),(5445,3795,0.003704,-0.59384),(5445,3805,0.003706,-0.59443),(5445,3815,0.003708,-0.59508),(5445,3825,0.003734,-0.59572),(5445,3835,0.00381,-0.59636),(5445,3845,0.003885,-0.597),(5445,3855,0.00396,-0.59764),(5445,3865,0.004223,-0.59827),(5445,3875,0.004816,-0.5989),(5445,3885,0.005409,-0.59904),(5445,3895,0.006002,-0.59838),(5445,3905,0.006952,-0.59771),(5445,3915,0.008436,-0.59704),(5445,3925,0.009919,-0.59505),(5445,3935,0.011402,-0.59125),(5445,3945,0.008199,-0.58744),(5445,3955,-0.000954,-0.58364),(5445,3965,-0.010108,-0.58909),(5445,3975,-0.019261,-0.60541),(5445,3985,-0.048686,-0.62173),(5445,3995,-0.10006,-0.63804),(5445,4005,-0.15142,-0.70529),(5445,4015,-0.20279,-0.82346),(5445,4025,-0.016664,-0.94163),(5445,4035,0.1927,-1.0224),(5445,4045,0.40206,-1.0243),(5445,4055,0.5212,-1.0263),(5445,4065,0.60741,-1.0282),(5445,4075,0.69362,-1.0299),(5445,4085,0.73186,-1.0317),(5445,4095,0.73155,-1.0334),(5445,4105,0.73124,-1.0347),(5445,4115,0.73131,-1.036),(5445,4125,0.73199,-1.0373),(5445,4135,0.73268,-1.0383),(5445,4145,0.73358,-1.0393),(5445,4155,0.73531,-1.0402),(5445,4165,0.73705,-1.0409),(5445,4175,0.7388,-1.0415),(5445,4185,0.74141,-1.0422),(5445,4195,0.74402,-1.0427),(5445,4205,0.74664,-1.0431),(5445,4215,0.74984,-1.0435),(5445,4225,0.75315,-1.0438),(5445,4235,0.75646,-1.0437),(5445,4245,0.76014,-1.0437),(5445,4255,0.764,-1.0436),(5445,4265,0.76787,-1.0434),(5445,4275,0.77195,-1.0432),(5445,4285,0.77628,-1.043),(5445,4295,0.7806,-1.0425),(5445,4305,0.78505,-1.042),(5445,4315,0.78977,-1.0415),(5445,4325,0.79449,-1.0407),(5445,4335,0.79925,-1.0398),(5445,4345,0.8043,-1.0388),(5445,4355,0.80935,-1.0377),(5445,4365,0.8144,-1.0363),(5445,4375,0.81971,-1.035),(5445,4385,0.82503,-1.0334),(5445,4395,0.83035,-1.0316),(5445,4405,0.83584,-1.0297),(5445,4415,0.84139,-1.0278),(5445,4425,0.84693,-1.0256),(5445,4435,0.85257,-1.0234),(5445,4445,0.85827,-1.0211),(5445,4455,0.86397,-1.0186),(5445,4465,0.86971,-1.016),(5445,4475,0.87552,-1.0134),(5445,4485,0.88133,-1.0106),(5445,4495,0.88714,-1.0077),(5445,4505,0.89299,-1.0048),(5445,4515,0.89884,-1.0017),(5445,4525,0.9047,-0.99857),(5445,4535,0.91057,-0.99543),(5445,4545,0.91644,-0.99215),(5445,4555,0.92232,-0.9887),(5445,4565,0.92817,-0.98525),(5445,4575,0.93403,-0.98176),(5445,4585,0.93988,-0.97816),(5445,4595,0.9457,-0.97456),(5445,4605,0.95151,-0.97093),(5445,4615,0.95732,-0.96712),(5445,4625,0.96311,-0.96331),(5445,4635,0.96887,-0.9595),(5445,4645,0.97463,-0.95553),(5445,4655,0.98036,-0.95154),(5445,4665,0.98605,-0.94755),(5445,4675,0.99174,-0.94337),(5445,4685,0.99742,-0.93912),(5445,4695,1.003,-0.93488),(5445,4705,1.0087,-0.93051),(5445,4715,1.0143,-0.92603),(5445,4725,1.0198,-0.92156),(5445,4735,1.0253,-0.91706),(5445,4745,1.0308,-0.91254),(5445,4755,1.0362,-0.90801),(5445,4765,1.0416,-0.90348),(5445,4775,1.047,-0.89895),(5445,4785,1.0524,-0.89442),(5445,4795,1.0577,-0.88988),(5445,4805,1.063,-0.8853),(5445,4815,1.0682,-0.88071),(5445,4825,1.0734,-0.87613),(5445,4835,1.0786,-0.87146),(5445,4845,1.0837,-0.86679),(5445,4855,1.0887,-0.86211),(5445,4865,1.0938,-0.85744),(5445,4875,1.0988,-0.85277),(5445,4885,1.1037,-0.84809),(5445,4895,1.1086,-0.84342),(5445,4905,1.1135,-0.83876),(5445,4915,1.1182,-0.8341),(5445,4925,1.123,-0.82945),(5445,4935,1.1278,-0.82482),(5445,4945,1.1324,-0.82019),(5445,4955,1.1371,-0.81557),(5445,4965,1.1417,-0.81095),(5445,4975,1.1463,-0.80632),(5445,4985,1.1508,-0.8017),(5445,4995,1.1553,-0.79707),(5445,5005,1.1598,-0.79244),(5445,5015,1.1642,-0.78781),(5445,5025,1.1686,-0.78319),(5445,5035,1.173,-0.77857),(5445,5045,1.1773,-0.77395),(5445,5055,1.1816,-0.76939),(5445,5065,1.186,-0.76487),(5445,5075,1.1902,-0.76036),(5445,5085,1.1944,-0.75586),(5445,5095,1.1986,-0.7514),(5445,5105,1.2028,-0.74693),(5445,5115,1.2069,-0.74247),(5445,5125,1.2111,-0.73805),(5445,5135,1.2152,-0.73363),(5445,5145,1.2193,-0.72921),(5445,5155,1.2233,-0.72484),(5445,5165,1.2274,-0.72046),(5445,5175,1.2314,-0.71609),(5445,5185,1.2354,-0.71175),(5445,5195,1.2394,-0.70742),(5445,5205,1.2434,-0.70309),(5445,5215,1.2474,-0.69881),(5445,5225,1.2514,-0.69455),(5445,5235,1.2553,-0.69029),(5445,5245,1.2592,-0.68604),(5445,5255,1.2632,-0.68178),(5445,5265,1.2671,-0.67752),(5445,5275,1.271,-0.67327),(5445,5285,1.2749,-0.66904),(5445,5295,1.2787,-0.66481),(5445,5305,1.2826,-0.66059),(5445,5315,1.2865,-0.65638),(5445,5325,1.2903,-0.65217),(5445,5335,1.2941,-0.64797),(5445,5345,1.2979,-0.64378),(5445,5355,1.3017,-0.6396),(5445,5365,1.3055,-0.63542),(5445,5375,1.3093,-0.63126),(5445,5385,1.3131,-0.6271),(5445,5395,1.3168,-0.62294),(5445,5405,1.3206,-0.6188),(5445,5415,1.3244,-0.61466),(5445,5425,1.3282,-0.61052),(5445,5435,1.3319,-0.60638),(5445,5445,1.3357,-0.60225),(5445,5455,1.3395,-0.59811),(5445,5465,1.3432,-0.59396),(5445,5475,1.347,-0.58979),(5445,5485,1.3508,-0.58563),(5445,5495,1.3545,-0.58146),(5445,5505,1.3583,-0.57725),(5445,5515,1.3621,-0.57305),(5445,5525,1.3658,-0.56885),(5445,5535,1.3695,-0.5646),(5445,5545,1.3733,-0.56035),(5445,5555,1.377,-0.5561),(5445,5565,1.3807,-0.55177),(5445,5575,1.3844,-0.54743),(5445,5585,1.3881,-0.54308),(5445,5595,1.3917,-0.5387),(5445,5605,1.3954,-0.53431),(5445,5615,1.399,-0.52992),(5445,5625,1.4026,-0.52552),(5445,5635,1.4063,-0.52111),(5445,5645,1.4099,-0.5167),(5445,5655,1.4135,-0.51227),(5445,5665,1.417,-0.5078),(5445,5675,1.4206,-0.50332),(5445,5685,1.4241,-0.49885),(5445,5695,1.4276,-0.49429),(5445,5705,1.4311,-0.48973),(5445,5715,1.4346,-0.48518),(5445,5725,1.438,-0.48056),(5445,5735,1.4415,-0.47593),(5445,5745,1.4449,-0.4713),(5445,5755,1.4484,-0.46665),(5445,5765,1.4518,-0.46199),(5445,5775,1.4552,-0.45733),(5445,5785,1.4586,-0.45262),(5445,5795,1.4619,-0.44786),(5445,5805,1.4653,-0.4431),(5445,5815,1.4686,-0.43833),(5445,5825,1.4719,-0.43351),(5445,5835,1.4752,-0.42869),(5445,5845,1.4785,-0.42387),(5445,5855,1.4818,-0.419),(5445,5865,1.485,-0.41413),(5445,5875,1.4882,-0.40926),(5445,5885,1.4914,-0.4043),(5445,5895,1.4946,-0.39934),(5445,5905,1.4976,-0.39438),(5445,5915,1.5007,-0.38933),(5445,5925,1.5038,-0.38425),(5445,5935,1.5068,-0.37918),(5445,5945,1.5098,-0.37406),(5445,5955,1.5128,-0.3689),(5445,5965,1.5157,-0.36374),(5445,5975,1.5186,-0.35856),(5445,5985,1.5215,-0.35336),(5445,5995,1.5244,-0.34816),(5445,6005,1.5272,-0.34293),(5445,6015,1.53,-0.33765),(5445,6025,1.5328,-0.33236),(5445,6035,1.5355,-0.32707),(5445,6045,1.5383,-0.32172),(5445,6055,1.541,-0.31636),(5445,6065,1.5436,-0.31101),(5445,6075,1.5463,-0.3056),(5445,6085,1.5489,-0.30019),(5445,6095,1.5515,-0.29478),(5445,6105,1.554,-0.28932),(5445,6115,1.5565,-0.28384),(5445,6125,1.5589,-0.27836),(5445,6135,1.5613,-0.27284),(5445,6145,1.5638,-0.26728),(5445,6155,1.566,-0.26173),(5445,6165,1.5683,-0.25613),(5445,6175,1.5706,-0.25046),(5445,6185,1.5728,-0.24479),(5445,6195,1.5749,-0.2391),(5445,6205,1.5771,-0.23334),(5445,6215,1.5792,-0.22758),(5445,6225,1.5812,-0.22181),(5445,6235,1.5832,-0.21604),(5445,6245,1.5851,-0.21026),(5445,6255,1.587,-0.20449),(5445,6265,1.5889,-0.19866),(5445,6275,1.5907,-0.19282),(5445,6285,1.5924,-0.18699),(5445,6295,1.5941,-0.18109),(5445,6305,1.5959,-0.17517),(5445,6315,1.5974,-0.16924),(5445,6325,1.599,-0.16331),(5445,6335,1.6006,-0.15737),(5445,6345,1.602,-0.15143),(5445,6355,1.6034,-0.14546),(5445,6365,1.6048,-0.13942),(5445,6375,1.6061,-0.13338),(5445,6385,1.6073,-0.12733),(5445,6395,1.6086,-0.12122),(5445,6405,1.6097,-0.11511),(5445,6415,1.6107,-0.109),(5445,6425,1.6118,-0.10287),(5445,6435,1.6127,-0.096748),(5445,6445,1.6136,-0.090623),(5445,6455,1.6145,-0.084457),(5445,6465,1.6153,-0.078281),(5445,6475,1.616,-0.072104),(5445,6485,1.6166,-0.065937),(5445,6495,1.6173,-0.059777),(5445,6505,1.6178,-0.053616),(5445,6515,1.6183,-0.047444),(5445,6525,1.6188,-0.041255),(5445,6535,1.6191,-0.035065),(5445,6545,1.6194,-0.028872),(5445,6555,1.6197,-0.022663),(5445,6565,1.6199,-0.016454),(5445,6575,1.62,-0.010247),(5445,6585,1.6201,-0.004055),(5445,6595,1.3781,0.002137),(5445,6605,0.86858,0.008329),(5445,6615,0.35909,0.009017),(5445,6625,0.000935,0.008999),(5445,6635,0.000959,0.008981),(5445,6645,0.000983,0.008988),(5445,6655,0.001007,0.009006),(5445,6665,0.001029,0.009025),(5445,6675,0.001051,0.009042),(5445,6685,0.001074,0.009059),(5445,6695,0.001095,0.009076),(5445,6705,0.001115,0.009093),(5445,6715,0.001136,0.009109),(5445,6725,0.001156,0.009125),(5445,6735,0.001176,0.00914),(5445,6745,0.001195,0.009154),(5445,6755,0.001214,0.009169),(5445,6765,0.001233,0.009184),(5445,6775,0.001251,0.009197),(5445,6785,0.001269,0.00921),(5445,6795,0.001287,0.009223),(5445,6805,0.001304,0.009236),(5445,6815,0.001321,0.009248),(5445,6825,0.001338,0.00926),(5445,6835,0.001355,0.009271),(5445,6845,0.001371,0.009282),(5445,6855,0.001387,0.009292),(5445,6865,0.001403,0.009303),(5445,6875,0.001419,0.009312),(5445,6885,0.001434,0.009322),(5445,6895,0.001449,0.009331),(5445,6905,0.001464,0.009339),(5445,6915,0.001479,0.009348),(5445,6925,0.001494,0.009356),(5445,6935,0.001508,0.009364),(5445,6945,0.001523,0.009371),(5445,6955,0.001537,0.009378),(5445,6965,0.001551,0.009385),(5445,6975,0.001565,0.009391),(5445,6985,0.001578,0.009397),(5455,5,7e-06,-0.70341),(5455,15,2e-05,-0.70349),(5455,25,3.2e-05,-0.70358),(5455,35,4.4e-05,-0.70366),(5455,45,5.5e-05,-0.70373),(5455,55,6.7e-05,-0.7038),(5455,65,7.6e-05,-0.70386),(5455,75,8.3e-05,-0.70393),(5455,85,9e-05,-0.70401),(5455,95,9.6e-05,-0.7041),(5455,105,0.000102,-0.7042),(5455,115,0.000106,-0.70429),(5455,125,0.000111,-0.7044),(5455,135,0.000115,-0.70451),(5455,145,0.000127,-0.70462),(5455,155,0.000143,-0.70473),(5455,165,0.000159,-0.70489),(5455,175,0.000175,-0.70507),(5455,185,0.0002,-0.70525),(5455,195,0.000229,-0.70544),(5455,205,0.000258,-0.70567),(5455,215,0.000288,-0.70593),(5455,225,0.000315,-0.70618),(5455,235,0.00034,-0.70644),(5455,245,0.000366,-0.70673),(5455,255,0.000392,-0.70702),(5455,265,0.000404,-0.70732),(5455,275,0.00041,-0.70761),(5455,285,0.000417,-0.7079),(5455,295,0.000423,-0.70819),(5455,305,0.000422,-0.70848),(5455,315,0.000418,-0.70876),(5455,325,0.000414,-0.70906),(5455,335,0.000411,-0.70936),(5455,345,0.000418,-0.70966),(5455,355,0.000428,-0.70996),(5455,365,0.000438,-0.71034),(5455,375,0.000448,-0.71073),(5455,385,0.000471,-0.71112),(5455,395,0.000496,-0.71152),(5455,405,0.00052,-0.71198),(5455,415,0.000545,-0.71245),(5455,425,0.000574,-0.71292),(5455,435,0.000603,-0.71339),(5455,445,0.000632,-0.71391),(5455,455,0.000661,-0.71444),(5455,465,0.000695,-0.71496),(5455,475,0.000729,-0.71548),(5455,485,0.000763,-0.71609),(5455,495,0.000798,-0.71669),(5455,505,0.000829,-0.7173),(5455,515,0.00086,-0.71791),(5455,525,0.000891,-0.71856),(5455,535,0.000921,-0.71922),(5455,545,0.000941,-0.71988),(5455,555,0.000961,-0.72053),(5455,565,0.000981,-0.7212),(5455,575,0.001001,-0.72186),(5455,585,0.00102,-0.72253),(5455,595,0.00104,-0.7232),(5455,605,0.001059,-0.72392),(5455,615,0.00108,-0.72464),(5455,625,0.001115,-0.72536),(5455,635,0.001149,-0.72609),(5455,645,0.001183,-0.72694),(5455,655,0.001218,-0.72779),(5455,665,0.001257,-0.72864),(5455,675,0.001295,-0.7295),(5455,685,0.001334,-0.73043),(5455,695,0.001373,-0.73136),(5455,705,0.001407,-0.7323),(5455,715,0.001442,-0.73324),(5455,725,0.001476,-0.73424),(5455,735,0.001511,-0.73525),(5455,745,0.001546,-0.73625),(5455,755,0.001582,-0.73727),(5455,765,0.001618,-0.73835),(5455,775,0.001656,-0.73943),(5455,785,0.001698,-0.74051),(5455,795,0.00174,-0.7416),(5455,805,0.001782,-0.74274),(5455,815,0.001827,-0.74388),(5455,825,0.001879,-0.74502),(5455,835,0.001931,-0.74619),(5455,845,0.001983,-0.74742),(5455,855,0.002038,-0.74866),(5455,865,0.002099,-0.7499),(5455,875,0.00216,-0.75117),(5455,885,0.00222,-0.7525),(5455,895,0.002281,-0.75383),(5455,905,0.002344,-0.75517),(5455,915,0.002406,-0.75652),(5455,925,0.002469,-0.75791),(5455,935,0.002533,-0.7593),(5455,945,0.0026,-0.76069),(5455,955,0.002666,-0.7621),(5455,965,0.002733,-0.76353),(5455,975,0.002809,-0.76496),(5455,985,0.002897,-0.7664),(5455,995,0.002985,-0.76787),(5455,1005,0.003072,-0.7694),(5455,1015,0.003174,-0.77093),(5455,1025,0.003288,-0.77246),(5455,1035,0.003403,-0.77403),(5455,1045,0.003518,-0.77565),(5455,1055,0.003644,-0.77728),(5455,1065,0.003778,-0.7789),(5455,1075,0.003912,-0.78055),(5455,1085,0.004047,-0.78222),(5455,1095,0.00419,-0.78389),(5455,1105,0.004341,-0.78557),(5455,1115,0.004491,-0.7873),(5455,1125,0.004642,-0.78907),(5455,1135,0.004832,-0.79084),(5455,1145,0.005045,-0.79261),(5455,1155,0.005257,-0.79432),(5455,1165,0.00547,-0.796),(5455,1175,0.005941,-0.79767),(5455,1185,0.006539,-0.79934),(5455,1195,0.007138,-0.7998),(5455,1205,0.007736,-0.79971),(5455,1215,0.008764,-0.79961),(5455,1225,0.009969,-0.79952),(5455,1235,0.011175,-0.79618),(5455,1245,0.01238,-0.79163),(5455,1255,0.009322,-0.78707),(5455,1265,0.004825,-0.78252),(5455,1275,0.000328,-0.79231),(5455,1285,-0.00417,-0.80644),(5455,1295,-0.017964,-0.82058),(5455,1305,-0.034272,-0.83471),(5455,1315,-0.050581,-0.90478),(5455,1325,-0.066889,-0.98822),(5455,1335,-0.041543,-1.0717),(5455,1345,-0.007467,-1.1551),(5455,1355,0.026609,-1.0998),(5455,1365,0.060685,-1.0194),(5455,1375,0.053065,-0.93892),(5455,1385,0.039012,-0.85847),(5455,1395,0.024959,-0.83205),(5455,1405,0.010906,-0.81257),(5455,1415,0.004253,-0.79309),(5455,1425,-0.001633,-0.77361),(5455,1435,-0.007518,-0.77738),(5455,1445,-0.013403,-0.78302),(5455,1455,-0.012359,-0.78867),(5455,1465,-0.010916,-0.79431),(5455,1475,-0.009473,-0.79509),(5455,1485,-0.00803,-0.7957),(5455,1495,-0.007323,-0.7963),(5455,1505,-0.006628,-0.7969),(5455,1515,-0.005933,-0.79548),(5455,1525,-0.00525,-0.79406),(5455,1535,-0.005026,-0.79263),(5455,1545,-0.004803,-0.7912),(5455,1555,-0.004579,-0.78965),(5455,1565,-0.00436,-0.7881),(5455,1575,-0.004205,-0.78655),(5455,1585,-0.00405,-0.785),(5455,1595,-0.003894,-0.78349),(5455,1605,-0.003741,-0.78199),(5455,1615,-0.003606,-0.78048),(5455,1625,-0.003472,-0.77897),(5455,1635,-0.003337,-0.77748),(5455,1645,-0.003206,-0.776),(5455,1655,-0.003096,-0.77451),(5455,1665,-0.002987,-0.77303),(5455,1675,-0.002878,-0.7716),(5455,1685,-0.002772,-0.77017),(5455,1695,-0.002681,-0.76873),(5455,1705,-0.00259,-0.76731),(5455,1715,-0.002499,-0.76595),(5455,1725,-0.00241,-0.76459),(5455,1735,-0.002331,-0.76322),(5455,1745,-0.002252,-0.76189),(5455,1755,-0.002173,-0.76062),(5455,1765,-0.002098,-0.75935),(5455,1775,-0.002035,-0.75808),(5455,1785,-0.001972,-0.75683),(5455,1795,-0.001909,-0.75562),(5455,1805,-0.001849,-0.7544),(5455,1815,-0.001793,-0.75319),(5455,1825,-0.001738,-0.752),(5455,1835,-0.001683,-0.75086),(5455,1845,-0.001629,-0.74973),(5455,1855,-0.001577,-0.74859),(5455,1865,-0.001526,-0.74748),(5455,1875,-0.001474,-0.74641),(5455,1885,-0.001426,-0.74535),(5455,1895,-0.001382,-0.74428),(5455,1905,-0.001339,-0.74323),(5455,1915,-0.001295,-0.74221),(5455,1925,-0.001254,-0.74119),(5455,1935,-0.001216,-0.74016),(5455,1945,-0.001178,-0.73916),(5455,1955,-0.00114,-0.73819),(5455,1965,-0.001103,-0.73721),(5455,1975,-0.001067,-0.73624),(5455,1985,-0.001031,-0.7353),(5455,1995,-0.000995,-0.7344),(5455,2005,-0.000961,-0.73351),(5455,2015,-0.000929,-0.73261),(5455,2025,-0.000897,-0.73175),(5455,2035,-0.000865,-0.73092),(5455,2045,-0.000834,-0.73009),(5455,2055,-0.000805,-0.72927),(5455,2065,-0.000776,-0.72847),(5455,2075,-0.000747,-0.72769),(5455,2085,-0.000716,-0.72691),(5455,2095,-0.000686,-0.72614),(5455,2105,-0.000655,-0.72539),(5455,2115,-0.000625,-0.72467),(5455,2125,-0.000594,-0.72395),(5455,2135,-0.000563,-0.72324),(5455,2145,-0.000533,-0.72254),(5455,2155,-0.000502,-0.72187),(5455,2165,-0.000469,-0.72119),(5455,2175,-0.000433,-0.72051),(5455,2185,-0.000398,-0.71987),(5455,2195,-0.000363,-0.71925),(5455,2205,-0.000326,-0.71864),(5455,2215,-0.000287,-0.71802),(5455,2225,-0.000248,-0.71744),(5455,2235,-0.000209,-0.71688),(5455,2245,-0.000174,-0.71631),(5455,2255,-0.000141,-0.71575),(5455,2265,-0.000107,-0.71521),(5455,2275,-7.4e-05,-0.71468),(5455,2285,-4.5e-05,-0.71416),(5455,2295,-1.8e-05,-0.71363),(5455,2305,1e-05,-0.71314),(5455,2315,3.7e-05,-0.71265),(5455,2325,5.9e-05,-0.71217),(5455,2335,8.1e-05,-0.71168),(5455,2345,0.000103,-0.71123),(5455,2355,0.000124,-0.71079),(5455,2365,0.000142,-0.71034),(5455,2375,0.000159,-0.70989),(5455,2385,0.000176,-0.70946),(5455,2395,0.000193,-0.70904),(5455,2405,0.000212,-0.70861),(5455,2415,0.000232,-0.70818),(5455,2425,0.000252,-0.70779),(5455,2435,0.000271,-0.7074),(5455,2445,0.000295,-0.70702),(5455,2455,0.000319,-0.70663),(5455,2465,0.000343,-0.70627),(5455,2475,0.000367,-0.70591),(5455,2485,0.000391,-0.70555),(5455,2495,0.000415,-0.70519),(5455,2505,0.000439,-0.70486),(5455,2515,0.000463,-0.70453),(5455,2525,0.000487,-0.7042),(5455,2535,0.000511,-0.70387),(5455,2545,0.000536,-0.70359),(5455,2555,0.00056,-0.7033),(5455,2565,0.000582,-0.70302),(5455,2575,0.000604,-0.70273),(5455,2585,0.000627,-0.70246),(5455,2595,0.000648,-0.70219),(5455,2605,0.000666,-0.70191),(5455,2615,0.000683,-0.70164),(5455,2625,0.0007,-0.70137),(5455,2635,0.000717,-0.70109),(5455,2645,0.000736,-0.70082),(5455,2655,0.000754,-0.70055),(5455,2665,0.000773,-0.70033),(5455,2675,0.000792,-0.7001),(5455,2685,0.000815,-0.69988),(5455,2695,0.000838,-0.69967),(5455,2705,0.000861,-0.69948),(5455,2715,0.000884,-0.69929),(5455,2725,0.000904,-0.6991),(5455,2735,0.000925,-0.69891),(5455,2745,0.000945,-0.69872),(5455,2755,0.000965,-0.69853),(5455,2765,0.000983,-0.69834),(5455,2775,0.001001,-0.69814),(5455,2785,0.001019,-0.69796),(5455,2795,0.001038,-0.69777),(5455,2805,0.001061,-0.69758),(5455,2815,0.001084,-0.69741),(5455,2825,0.001107,-0.69727),(5455,2835,0.00113,-0.69713),(5455,2845,0.001151,-0.69699),(5455,2855,0.001172,-0.69685),(5455,2865,0.001193,-0.69671),(5455,2875,0.001215,-0.69657),(5455,2885,0.001238,-0.69643),(5455,2895,0.001261,-0.6963),(5455,2905,0.001284,-0.69619),(5455,2915,0.001311,-0.69607),(5455,2925,0.001341,-0.69596),(5455,2935,0.001372,-0.69586),(5455,2945,0.001403,-0.69579),(5455,2955,0.00143,-0.69572),(5455,2965,0.001452,-0.69565),(5455,2975,0.001474,-0.69557),(5455,2985,0.001497,-0.69549),(5455,2995,0.001518,-0.69541),(5455,3005,0.001537,-0.69532),(5455,3015,0.001556,-0.69526),(5455,3025,0.001576,-0.69522),(5455,3035,0.001596,-0.69518),(5455,3045,0.001619,-0.69514),(5455,3055,0.001641,-0.69512),(5455,3065,0.001663,-0.69513),(5455,3075,0.001678,-0.69514),(5455,3085,0.001688,-0.69515),(5455,3095,0.001698,-0.69512),(5455,3105,0.001707,-0.69506),(5455,3115,0.00172,-0.69501),(5455,3125,0.001736,-0.69495),(5455,3135,0.001751,-0.69494),(5455,3145,0.001766,-0.69495),(5455,3155,0.001787,-0.69497),(5455,3165,0.00181,-0.69499),(5455,3175,0.001833,-0.69503),(5455,3185,0.001857,-0.69508),(5455,3195,0.001875,-0.69513),(5455,3205,0.001892,-0.69518),(5455,3215,0.001908,-0.6952),(5455,3225,0.001925,-0.69521),(5455,3235,0.00195,-0.69522),(5455,3245,0.001978,-0.69524),(5455,3255,0.002006,-0.69531),(5455,3265,0.002034,-0.69539),(5455,3275,0.002061,-0.69548),(5455,3285,0.002089,-0.69557),(5455,3295,0.002116,-0.69565),(5455,3305,0.002144,-0.69573),(5455,3315,0.002166,-0.6958),(5455,3325,0.002186,-0.69588),(5455,3335,0.002207,-0.69595),(5455,3345,0.002228,-0.69602),(5455,3355,0.002257,-0.69609),(5455,3365,0.002287,-0.69617),(5455,3375,0.002318,-0.69631),(5455,3385,0.002348,-0.69645),(5455,3395,0.002377,-0.6966),(5455,3405,0.002404,-0.69675),(5455,3415,0.002433,-0.69688),(5455,3425,0.002461,-0.69701),(5455,3435,0.002491,-0.69714),(5455,3445,0.002522,-0.69727),(5455,3455,0.002552,-0.69744),(5455,3465,0.002583,-0.6976),(5455,3475,0.002619,-0.69777),(5455,3485,0.002656,-0.69793),(5455,3495,0.002693,-0.69813),(5455,3505,0.002729,-0.69833),(5455,3515,0.002763,-0.69853),(5455,3525,0.002797,-0.69873),(5455,3535,0.002831,-0.69891),(5455,3545,0.002865,-0.6991),(5455,3555,0.002893,-0.69929),(5455,3565,0.002922,-0.69948),(5455,3575,0.00295,-0.69973),(5455,3585,0.002979,-0.69997),(5455,3595,0.003017,-0.70021),(5455,3605,0.003055,-0.70046),(5455,3615,0.003092,-0.70073),(5455,3625,0.003132,-0.701),(5455,3635,0.00318,-0.70127),(5455,3645,0.003229,-0.70155),(5455,3655,0.003278,-0.70184),(5455,3665,0.003326,-0.70214),(5455,3675,0.00337,-0.70244),(5455,3685,0.003413,-0.70273),(5455,3695,0.003456,-0.70304),(5455,3705,0.003502,-0.70335),(5455,3715,0.003555,-0.70366),(5455,3725,0.003609,-0.70398),(5455,3735,0.003662,-0.70433),(5455,3745,0.003714,-0.70468),(5455,3755,0.003757,-0.70502),(5455,3765,0.003801,-0.70536),(5455,3775,0.003844,-0.70566),(5455,3785,0.003886,-0.70596),(5455,3795,0.003921,-0.70626),(5455,3805,0.003956,-0.70655),(5455,3815,0.003991,-0.70683),(5455,3825,0.004036,-0.70711),(5455,3835,0.004104,-0.70739),(5455,3845,0.004172,-0.70761),(5455,3855,0.00424,-0.70772),(5455,3865,0.004386,-0.70783),(5455,3875,0.004673,-0.70794),(5455,3885,0.004959,-0.70758),(5455,3895,0.005246,-0.70644),(5455,3905,0.005682,-0.7053),(5455,3915,0.006344,-0.70415),(5455,3925,0.007005,-0.70187),(5455,3935,0.007667,-0.69799),(5455,3945,0.006383,-0.69412),(5455,3955,0.00263,-0.69025),(5455,3965,-0.001123,-0.69348),(5455,3975,-0.004876,-0.70504),(5455,3985,-0.017045,-0.7166),(5455,3995,-0.038322,-0.72816),(5455,4005,-0.0596,-0.77951),(5455,4015,-0.080877,-0.87065),(5455,4025,0.072535,-0.96179),(5455,4035,0.24304,-1.0241),(5455,4045,0.41354,-1.0256),(5455,4055,0.52214,-1.0271),(5455,4065,0.60816,-1.0286),(5455,4075,0.69417,-1.0301),(5455,4085,0.73224,-1.0316),(5455,4095,0.73177,-1.0332),(5455,4105,0.7313,-1.0344),(5455,4115,0.73123,-1.0356),(5455,4125,0.7318,-1.0368),(5455,4135,0.73237,-1.0377),(5455,4145,0.73315,-1.0386),(5455,4155,0.73478,-1.0395),(5455,4165,0.73641,-1.0402),(5455,4175,0.73805,-1.0408),(5455,4185,0.74056,-1.0414),(5455,4195,0.74307,-1.0418),(5455,4205,0.74558,-1.0422),(5455,4215,0.74869,-1.0425),(5455,4225,0.75191,-1.0427),(5455,4235,0.75512,-1.0426),(5455,4245,0.7587,-1.0425),(5455,4255,0.76247,-1.0423),(5455,4265,0.76623,-1.0421),(5455,4275,0.77021,-1.0418),(5455,4285,0.77442,-1.0415),(5455,4295,0.77863,-1.041),(5455,4305,0.78295,-1.0405),(5455,4315,0.78755,-1.0399),(5455,4325,0.79214,-1.0391),(5455,4335,0.79677,-1.0381),(5455,4345,0.80168,-1.0372),(5455,4355,0.8066,-1.036),(5455,4365,0.81151,-1.0347),(5455,4375,0.81668,-1.0334),(5455,4385,0.82186,-1.0319),(5455,4395,0.82705,-1.0302),(5455,4405,0.8324,-1.0284),(5455,4415,0.8378,-1.0265),(5455,4425,0.8432,-1.0244),(5455,4435,0.84871,-1.0223),(5455,4445,0.85428,-1.0202),(5455,4455,0.85985,-1.0177),(5455,4465,0.86548,-1.0152),(5455,4475,0.87117,-1.0127),(5455,4485,0.87686,-1.01),(5455,4495,0.88257,-1.0072),(5455,4505,0.88832,-1.0044),(5455,4515,0.89407,-1.0014),(5455,4525,0.89983,-0.99837),(5455,4535,0.90561,-0.99531),(5455,4545,0.9114,-0.99211),(5455,4555,0.91718,-0.98876),(5455,4565,0.92295,-0.9854),(5455,4575,0.92872,-0.98201),(5455,4585,0.9345,-0.9785),(5455,4595,0.94024,-0.97499),(5455,4605,0.94597,-0.97146),(5455,4615,0.95171,-0.96775),(5455,4625,0.95742,-0.96404),(5455,4635,0.9631,-0.96032),(5455,4645,0.96879,-0.95645),(5455,4655,0.97446,-0.95256),(5455,4665,0.98009,-0.94867),(5455,4675,0.98573,-0.94458),(5455,4685,0.99135,-0.94043),(5455,4695,0.99692,-0.93629),(5455,4705,1.0025,-0.932),(5455,4715,1.0081,-0.92762),(5455,4725,1.0135,-0.92324),(5455,4735,1.019,-0.91883),(5455,4745,1.0245,-0.91438),(5455,4755,1.0298,-0.90993),(5455,4765,1.0352,-0.90547),(5455,4775,1.0406,-0.90099),(5455,4785,1.0459,-0.8965),(5455,4795,1.0511,-0.89202),(5455,4805,1.0564,-0.88747),(5455,4815,1.0616,-0.88293),(5455,4825,1.0668,-0.87838),(5455,4835,1.072,-0.87376),(5455,4845,1.0771,-0.86912),(5455,4855,1.0821,-0.86448),(5455,4865,1.0871,-0.85984),(5455,4875,1.0921,-0.8552),(5455,4885,1.097,-0.85056),(5455,4895,1.1019,-0.84592),(5455,4905,1.1068,-0.84128),(5455,4915,1.1116,-0.83665),(5455,4925,1.1163,-0.83203),(5455,4935,1.1211,-0.82742),(5455,4945,1.1258,-0.82282),(5455,4955,1.1304,-0.81821),(5455,4965,1.135,-0.81361),(5455,4975,1.1396,-0.809),(5455,4985,1.1441,-0.8044),(5455,4995,1.1486,-0.79978),(5455,5005,1.1531,-0.79516),(5455,5015,1.1576,-0.79053),(5455,5025,1.162,-0.78592),(5455,5035,1.1664,-0.78131),(5455,5045,1.1707,-0.77669),(5455,5055,1.175,-0.77214),(5455,5065,1.1793,-0.76762),(5455,5075,1.1835,-0.7631),(5455,5085,1.1878,-0.7586),(5455,5095,1.192,-0.75412),(5455,5105,1.1962,-0.74964),(5455,5115,1.2003,-0.74517),(5455,5125,1.2045,-0.74073),(5455,5135,1.2086,-0.7363),(5455,5145,1.2127,-0.73187),(5455,5155,1.2168,-0.72747),(5455,5165,1.2208,-0.72308),(5455,5175,1.2248,-0.71869),(5455,5185,1.2289,-0.71433),(5455,5195,1.2329,-0.70997),(5455,5205,1.2369,-0.70562),(5455,5215,1.2408,-0.70131),(5455,5225,1.2448,-0.69702),(5455,5235,1.2488,-0.69273),(5455,5245,1.2527,-0.68845),(5455,5255,1.2567,-0.68416),(5455,5265,1.2606,-0.67987),(5455,5275,1.2645,-0.6756),(5455,5285,1.2684,-0.67133),(5455,5295,1.2723,-0.66707),(5455,5305,1.2761,-0.66281),(5455,5315,1.28,-0.65857),(5455,5325,1.2838,-0.65433),(5455,5335,1.2876,-0.65009),(5455,5345,1.2914,-0.64587),(5455,5355,1.2952,-0.64165),(5455,5365,1.299,-0.63742),(5455,5375,1.3028,-0.63322),(5455,5385,1.3066,-0.62902),(5455,5395,1.3103,-0.62482),(5455,5405,1.3141,-0.62063),(5455,5415,1.3179,-0.61644),(5455,5425,1.3216,-0.61225),(5455,5435,1.3254,-0.60807),(5455,5445,1.3291,-0.60388),(5455,5455,1.3329,-0.59969),(5455,5465,1.3366,-0.5955),(5455,5475,1.3404,-0.59128),(5455,5485,1.3441,-0.58707),(5455,5495,1.3479,-0.58285),(5455,5505,1.3516,-0.5786),(5455,5515,1.3553,-0.57435),(5455,5525,1.3591,-0.5701),(5455,5535,1.3628,-0.56581),(5455,5545,1.3665,-0.56152),(5455,5555,1.3702,-0.55723),(5455,5565,1.3739,-0.55286),(5455,5575,1.3776,-0.54847),(5455,5585,1.3812,-0.54409),(5455,5595,1.3849,-0.53967),(5455,5605,1.3885,-0.53524),(5455,5615,1.3921,-0.53081),(5455,5625,1.3957,-0.52637),(5455,5635,1.3993,-0.52192),(5455,5645,1.4029,-0.51747),(5455,5655,1.4065,-0.51301),(5455,5665,1.41,-0.5085),(5455,5675,1.4136,-0.504),(5455,5685,1.4171,-0.49949),(5455,5695,1.4206,-0.4949),(5455,5705,1.424,-0.49031),(5455,5715,1.4274,-0.48572),(5455,5725,1.4309,-0.48107),(5455,5735,1.4343,-0.4764),(5455,5745,1.4377,-0.47174),(5455,5755,1.4411,-0.46705),(5455,5765,1.4445,-0.46236),(5455,5775,1.4478,-0.45767),(5455,5785,1.4512,-0.45292),(5455,5795,1.4545,-0.44813),(5455,5805,1.4578,-0.44334),(5455,5815,1.4611,-0.43853),(5455,5825,1.4644,-0.43369),(5455,5835,1.4677,-0.42884),(5455,5845,1.4709,-0.42398),(5455,5855,1.4741,-0.41909),(5455,5865,1.4773,-0.41419),(5455,5875,1.4805,-0.4093),(5455,5885,1.4837,-0.40432),(5455,5895,1.4868,-0.39935),(5455,5905,1.4899,-0.39438),(5455,5915,1.493,-0.38931),(5455,5925,1.496,-0.38423),(5455,5935,1.499,-0.37915),(5455,5945,1.5019,-0.37401),(5455,5955,1.5049,-0.36884),(5455,5965,1.5078,-0.36366),(5455,5975,1.5107,-0.35847),(5455,5985,1.5136,-0.35325),(5455,5995,1.5164,-0.34803),(5455,6005,1.5192,-0.34279),(5455,6015,1.5219,-0.33749),(5455,6025,1.5247,-0.33219),(5455,6035,1.5274,-0.32688),(5455,6045,1.5301,-0.32151),(5455,6055,1.5328,-0.31614),(5455,6065,1.5354,-0.31077),(5455,6075,1.538,-0.30535),(5455,6085,1.5406,-0.29993),(5455,6095,1.5431,-0.29451),(5455,6105,1.5456,-0.28904),(5455,6115,1.5481,-0.28355),(5455,6125,1.5505,-0.27807),(5455,6135,1.5529,-0.27254),(5455,6145,1.5553,-0.26699),(5455,6155,1.5575,-0.26143),(5455,6165,1.5598,-0.25583),(5455,6175,1.5621,-0.25016),(5455,6185,1.5642,-0.24449),(5455,6195,1.5663,-0.2388),(5455,6205,1.5685,-0.23304),(5455,6215,1.5705,-0.22728),(5455,6225,1.5725,-0.22151),(5455,6235,1.5745,-0.21574),(5455,6245,1.5764,-0.20997),(5455,6255,1.5782,-0.20419),(5455,6265,1.5801,-0.19837),(5455,6275,1.5819,-0.19253),(5455,6285,1.5836,-0.1867),(5455,6295,1.5853,-0.1808),(5455,6305,1.587,-0.17487),(5455,6315,1.5885,-0.16894),(5455,6325,1.5901,-0.16301),(5455,6335,1.5916,-0.15707),(5455,6345,1.593,-0.15114),(5455,6355,1.5944,-0.14517),(5455,6365,1.5958,-0.13914),(5455,6375,1.5971,-0.13311),(5455,6385,1.5983,-0.12707),(5455,6395,1.5995,-0.12097),(5455,6405,1.6006,-0.11487),(5455,6415,1.6017,-0.10878),(5455,6425,1.6027,-0.10266),(5455,6435,1.6037,-0.09655),(5455,6445,1.6045,-0.090438),(5455,6455,1.6053,-0.084282),(5455,6465,1.6062,-0.078114),(5455,6475,1.6068,-0.071946),(5455,6485,1.6075,-0.065788),(5455,6495,1.6081,-0.059638),(5455,6505,1.6086,-0.053488),(5455,6515,1.6091,-0.047326),(5455,6525,1.6096,-0.041147),(5455,6535,1.6099,-0.034968),(5455,6545,1.6102,-0.028784),(5455,6555,1.6105,-0.022586),(5455,6565,1.6107,-0.016388),(5455,6575,1.6108,-0.01019),(5455,6585,1.6109,-0.004005),(5455,6595,1.3702,0.00218),(5455,6605,0.86363,0.008365),(5455,6615,0.35703,0.00905),(5455,6625,0.000914,0.009028),(5455,6635,0.000938,0.009006),(5455,6645,0.000963,0.009012),(5455,6655,0.000987,0.00903),(5455,6665,0.001009,0.009048),(5455,6675,0.001032,0.009065),(5455,6685,0.001055,0.009081),(5455,6695,0.001076,0.009098),(5455,6705,0.001097,0.009114),(5455,6715,0.001118,0.00913),(5455,6725,0.001139,0.009145),(5455,6735,0.001159,0.00916),(5455,6745,0.001179,0.009174),(5455,6755,0.001198,0.009189),(5455,6765,0.001217,0.009203),(5455,6775,0.001236,0.009216),(5455,6785,0.001254,0.009229),(5455,6795,0.001272,0.009241),(5455,6805,0.00129,0.009253),(5455,6815,0.001307,0.009265),(5455,6825,0.001324,0.009277),(5455,6835,0.001341,0.009288),(5455,6845,0.001358,0.009298),(5455,6855,0.001374,0.009309),(5455,6865,0.00139,0.009319),(5455,6875,0.001407,0.009328),(5455,6885,0.001422,0.009338),(5455,6895,0.001438,0.009347),(5455,6905,0.001453,0.009355),(5455,6915,0.001468,0.009363),(5455,6925,0.001483,0.009371),(5455,6935,0.001498,0.009378),(5455,6945,0.001513,0.009386),(5455,6955,0.001527,0.009393),(5455,6965,0.001542,0.009399),(5455,6975,0.001556,0.009405),(5455,6985,0.00157,0.009411),(5465,5,7e-06,-0.83346),(5465,15,2.1e-05,-0.83355),(5465,25,3.4e-05,-0.83364),(5465,35,4.7e-05,-0.83373),(5465,45,6e-05,-0.83381),(5465,55,7.3e-05,-0.83388),(5465,65,8.6e-05,-0.83394),(5465,75,9.9e-05,-0.834),(5465,85,0.000112,-0.83409),(5465,95,0.000124,-0.83419),(5465,105,0.000138,-0.83429),(5465,115,0.000152,-0.8344),(5465,125,0.000166,-0.83451),(5465,135,0.00018,-0.83464),(5465,145,0.000194,-0.83476),(5465,155,0.000207,-0.83489),(5465,165,0.00022,-0.83506),(5465,175,0.000234,-0.83524),(5465,185,0.000247,-0.83543),(5465,195,0.000261,-0.83562),(5465,205,0.000275,-0.83585),(5465,215,0.000289,-0.83611),(5465,225,0.000303,-0.83636),(5465,235,0.000317,-0.83661),(5465,245,0.000332,-0.83689),(5465,255,0.000346,-0.83717),(5465,265,0.000362,-0.83746),(5465,275,0.000378,-0.83775),(5465,285,0.000394,-0.83804),(5465,295,0.00041,-0.83834),(5465,305,0.000426,-0.83864),(5465,315,0.000443,-0.83893),(5465,325,0.000459,-0.83924),(5465,335,0.000476,-0.83956),(5465,345,0.000494,-0.83987),(5465,355,0.000513,-0.84019),(5465,365,0.000531,-0.84057),(5465,375,0.00055,-0.84097),(5465,385,0.000569,-0.84137),(5465,395,0.000588,-0.84177),(5465,405,0.000608,-0.84223),(5465,415,0.000627,-0.8427),(5465,425,0.000648,-0.84317),(5465,435,0.000669,-0.84364),(5465,445,0.00069,-0.84416),(5465,455,0.00071,-0.84468),(5465,465,0.000734,-0.8452),(5465,475,0.000758,-0.84572),(5465,485,0.000782,-0.84632),(5465,495,0.000806,-0.84691),(5465,505,0.000834,-0.84751),(5465,515,0.000863,-0.84811),(5465,525,0.000892,-0.84876),(5465,535,0.000921,-0.84941),(5465,545,0.000951,-0.85006),(5465,555,0.000982,-0.85071),(5465,565,0.001013,-0.85137),(5465,575,0.001043,-0.85203),(5465,585,0.001074,-0.85268),(5465,595,0.001106,-0.85334),(5465,605,0.001137,-0.85405),(5465,615,0.001168,-0.85476),(5465,625,0.001202,-0.85546),(5465,635,0.001235,-0.85618),(5465,645,0.001269,-0.857),(5465,655,0.001303,-0.85782),(5465,665,0.001342,-0.85864),(5465,675,0.00138,-0.85948),(5465,685,0.001418,-0.86039),(5465,695,0.001458,-0.8613),(5465,705,0.001502,-0.86221),(5465,715,0.001546,-0.86313),(5465,725,0.00159,-0.86412),(5465,735,0.001636,-0.8651),(5465,745,0.001685,-0.86609),(5465,755,0.001735,-0.86709),(5465,765,0.001785,-0.86815),(5465,775,0.001835,-0.86921),(5465,785,0.001885,-0.87027),(5465,795,0.001935,-0.87134),(5465,805,0.001984,-0.87244),(5465,815,0.002035,-0.87354),(5465,825,0.002089,-0.87464),(5465,835,0.002142,-0.87577),(5465,845,0.002195,-0.87696),(5465,855,0.00225,-0.87814),(5465,865,0.002308,-0.87933),(5465,875,0.002367,-0.88055),(5465,885,0.002425,-0.88183),(5465,895,0.002486,-0.88311),(5465,905,0.002552,-0.88439),(5465,915,0.002618,-0.8857),(5465,925,0.002684,-0.88704),(5465,935,0.002754,-0.88838),(5465,945,0.002831,-0.88972),(5465,955,0.002908,-0.89108),(5465,965,0.002984,-0.89247),(5465,975,0.003069,-0.89386),(5465,985,0.003162,-0.89525),(5465,995,0.003256,-0.89669),(5465,1005,0.003349,-0.89817),(5465,1015,0.003456,-0.89966),(5465,1025,0.003574,-0.90114),(5465,1035,0.003692,-0.90269),(5465,1045,0.003811,-0.90429),(5465,1055,0.003946,-0.9059),(5465,1065,0.004096,-0.9075),(5465,1075,0.004245,-0.90916),(5465,1085,0.004394,-0.91085),(5465,1095,0.004562,-0.91255),(5465,1105,0.004743,-0.91424),(5465,1115,0.004923,-0.91599),(5465,1125,0.005103,-0.91777),(5465,1135,0.005292,-0.91955),(5465,1145,0.005485,-0.92133),(5465,1155,0.005679,-0.923),(5465,1165,0.005872,-0.92461),(5465,1175,0.006044,-0.92622),(5465,1185,0.006205,-0.92783),(5465,1195,0.006366,-0.92834),(5465,1205,0.006527,-0.92835),(5465,1215,0.006633,-0.92836),(5465,1225,0.006717,-0.92836),(5465,1235,0.0068,-0.92552),(5465,1245,0.006883,-0.92161),(5465,1255,0.00726,-0.9177),(5465,1265,0.007736,-0.91379),(5465,1275,0.008212,-0.91921),(5465,1285,0.008688,-0.92745),(5465,1295,0.01031,-0.93569),(5465,1305,0.012243,-0.94393),(5465,1315,0.014176,-0.99217),(5465,1325,0.016108,-1.05),(5465,1335,0.009301,-1.1078),(5465,1345,0.000662,-1.1656),(5465,1355,-0.007977,-1.1268),(5465,1365,-0.016616,-1.0706),(5465,1375,-0.016001,-1.0143),(5465,1385,-0.013959,-0.9581),(5465,1395,-0.011916,-0.94075),(5465,1405,-0.009873,-0.92839),(5465,1415,-0.009006,-0.91603),(5465,1425,-0.008261,-0.90367),(5465,1435,-0.007516,-0.90726),(5465,1445,-0.006772,-0.91213),(5465,1455,-0.006594,-0.917),(5465,1465,-0.00645,-0.92186),(5465,1475,-0.006305,-0.92273),(5465,1485,-0.006161,-0.92345),(5465,1495,-0.005989,-0.92418),(5465,1505,-0.005816,-0.92489),(5465,1515,-0.005643,-0.92375),(5465,1525,-0.00547,-0.92261),(5465,1535,-0.005277,-0.92147),(5465,1545,-0.005084,-0.92031),(5465,1555,-0.004891,-0.91888),(5465,1565,-0.004699,-0.91744),(5465,1575,-0.004522,-0.91601),(5465,1585,-0.004345,-0.91457),(5465,1595,-0.004169,-0.91307),(5465,1605,-0.003996,-0.91158),(5465,1615,-0.003853,-0.91008),(5465,1625,-0.003709,-0.90858),(5465,1635,-0.003566,-0.90708),(5465,1645,-0.003427,-0.90557),(5465,1655,-0.003312,-0.90407),(5465,1665,-0.003198,-0.90257),(5465,1675,-0.003083,-0.90113),(5465,1685,-0.002972,-0.89968),(5465,1695,-0.002878,-0.89824),(5465,1705,-0.002784,-0.89681),(5465,1715,-0.00269,-0.89544),(5465,1725,-0.002599,-0.89407),(5465,1735,-0.002519,-0.89269),(5465,1745,-0.00244,-0.89135),(5465,1755,-0.002361,-0.89008),(5465,1765,-0.002284,-0.88882),(5465,1775,-0.002213,-0.88755),(5465,1785,-0.002143,-0.88631),(5465,1795,-0.002073,-0.88512),(5465,1805,-0.002005,-0.88394),(5465,1815,-0.001943,-0.88275),(5465,1825,-0.00188,-0.88158),(5465,1835,-0.001817,-0.88047),(5465,1845,-0.001756,-0.87935),(5465,1855,-0.001699,-0.87823),(5465,1865,-0.001642,-0.87713),(5465,1875,-0.001585,-0.87608),(5465,1885,-0.001532,-0.87503),(5465,1895,-0.001485,-0.87398),(5465,1905,-0.001438,-0.87294),(5465,1915,-0.001391,-0.87192),(5465,1925,-0.001347,-0.8709),(5465,1935,-0.001306,-0.86988),(5465,1945,-0.001266,-0.86888),(5465,1955,-0.001226,-0.86789),(5465,1965,-0.001187,-0.8669),(5465,1975,-0.001152,-0.86592),(5465,1985,-0.001117,-0.86497),(5465,1995,-0.001082,-0.86405),(5465,2005,-0.001047,-0.86314),(5465,2015,-0.00101,-0.86222),(5465,2025,-0.000974,-0.86136),(5465,2035,-0.000938,-0.86053),(5465,2045,-0.000902,-0.8597),(5465,2055,-0.000865,-0.85888),(5465,2065,-0.000829,-0.85807),(5465,2075,-0.000792,-0.85729),(5465,2085,-0.000756,-0.85651),(5465,2095,-0.000721,-0.85573),(5465,2105,-0.000686,-0.85498),(5465,2115,-0.000651,-0.85424),(5465,2125,-0.000617,-0.85351),(5465,2135,-0.000585,-0.85278),(5465,2145,-0.000552,-0.85207),(5465,2155,-0.000519,-0.85137),(5465,2165,-0.000488,-0.85068),(5465,2175,-0.000458,-0.84998),(5465,2185,-0.000428,-0.84932),(5465,2195,-0.000398,-0.84868),(5465,2205,-0.00037,-0.84803),(5465,2215,-0.000342,-0.84738),(5465,2225,-0.000315,-0.84677),(5465,2235,-0.000287,-0.84616),(5465,2245,-0.000261,-0.84556),(5465,2255,-0.000234,-0.84495),(5465,2265,-0.000208,-0.84438),(5465,2275,-0.000181,-0.84382),(5465,2285,-0.000158,-0.84326),(5465,2295,-0.000136,-0.8427),(5465,2305,-0.000114,-0.84217),(5465,2315,-9.1e-05,-0.84165),(5465,2325,-6.5e-05,-0.84114),(5465,2335,-3.8e-05,-0.84062),(5465,2345,-1.1e-05,-0.84014),(5465,2355,1.6e-05,-0.83967),(5465,2365,4.2e-05,-0.8392),(5465,2375,6.9e-05,-0.83873),(5465,2385,9.6e-05,-0.83827),(5465,2395,0.000122,-0.83782),(5465,2405,0.000146,-0.83736),(5465,2415,0.00017,-0.83691),(5465,2425,0.000194,-0.83648),(5465,2435,0.000218,-0.83604),(5465,2445,0.000239,-0.83561),(5465,2455,0.00026,-0.83518),(5465,2465,0.000281,-0.83477),(5465,2475,0.000302,-0.83435),(5465,2485,0.000322,-0.83393),(5465,2495,0.000342,-0.83352),(5465,2505,0.000362,-0.83313),(5465,2515,0.000381,-0.83275),(5465,2525,0.000403,-0.83236),(5465,2535,0.000425,-0.83197),(5465,2545,0.000446,-0.83163),(5465,2555,0.000468,-0.83129),(5465,2565,0.000489,-0.83095),(5465,2575,0.00051,-0.83061),(5465,2585,0.000531,-0.83027),(5465,2595,0.000551,-0.82993),(5465,2605,0.00057,-0.8296),(5465,2615,0.000589,-0.82926),(5465,2625,0.000607,-0.82892),(5465,2635,0.000626,-0.82857),(5465,2645,0.000648,-0.82823),(5465,2655,0.00067,-0.8279),(5465,2665,0.000692,-0.82763),(5465,2675,0.000713,-0.82735),(5465,2685,0.00073,-0.82708),(5465,2695,0.000747,-0.82681),(5465,2705,0.000763,-0.82655),(5465,2715,0.000781,-0.8263),(5465,2725,0.000801,-0.82605),(5465,2735,0.000821,-0.82579),(5465,2745,0.000841,-0.82553),(5465,2755,0.000861,-0.82528),(5465,2765,0.000879,-0.82502),(5465,2775,0.000898,-0.82476),(5465,2785,0.000917,-0.8245),(5465,2795,0.000936,-0.82424),(5465,2805,0.000956,-0.82398),(5465,2815,0.000976,-0.82374),(5465,2825,0.000995,-0.82352),(5465,2835,0.001016,-0.82331),(5465,2845,0.001039,-0.82309),(5465,2855,0.001062,-0.82287),(5465,2865,0.001085,-0.82267),(5465,2875,0.001108,-0.82246),(5465,2885,0.001133,-0.82225),(5465,2895,0.001157,-0.82204),(5465,2905,0.001181,-0.82185),(5465,2915,0.001205,-0.82165),(5465,2925,0.001229,-0.82146),(5465,2935,0.001254,-0.82127),(5465,2945,0.001278,-0.82109),(5465,2955,0.001302,-0.82092),(5465,2965,0.001327,-0.82074),(5465,2975,0.001352,-0.82056),(5465,2985,0.001377,-0.82038),(5465,2995,0.001403,-0.82021),(5465,3005,0.001429,-0.82003),(5465,3015,0.001456,-0.81987),(5465,3025,0.001482,-0.81973),(5465,3035,0.00151,-0.81958),(5465,3045,0.001538,-0.81944),(5465,3055,0.001566,-0.81932),(5465,3065,0.001595,-0.81923),(5465,3075,0.001617,-0.81913),(5465,3085,0.001635,-0.81903),(5465,3095,0.001653,-0.8189),(5465,3105,0.001671,-0.81873),(5465,3115,0.001692,-0.81857),(5465,3125,0.001714,-0.81841),(5465,3135,0.001736,-0.81829),(5465,3145,0.001759,-0.8182),(5465,3155,0.001783,-0.81811),(5465,3165,0.00181,-0.81802),(5465,3175,0.001837,-0.81794),(5465,3185,0.001863,-0.81788),(5465,3195,0.001888,-0.81781),(5465,3205,0.001913,-0.81775),(5465,3215,0.001937,-0.81766),(5465,3225,0.001962,-0.81756),(5465,3235,0.001985,-0.81746),(5465,3245,0.002008,-0.81735),(5465,3255,0.002031,-0.81729),(5465,3265,0.002053,-0.81723),(5465,3275,0.002076,-0.81718),(5465,3285,0.0021,-0.81712),(5465,3295,0.002123,-0.81706),(5465,3305,0.002146,-0.817),(5465,3315,0.002171,-0.81694),(5465,3325,0.002196,-0.81688),(5465,3335,0.002221,-0.81682),(5465,3345,0.002246,-0.81676),(5465,3355,0.002276,-0.8167),(5465,3365,0.002306,-0.81664),(5465,3375,0.002336,-0.81663),(5465,3385,0.002366,-0.81663),(5465,3395,0.0024,-0.81663),(5465,3405,0.002434,-0.81663),(5465,3415,0.002468,-0.81662),(5465,3425,0.002502,-0.81661),(5465,3435,0.002531,-0.81659),(5465,3445,0.00256,-0.81658),(5465,3455,0.00259,-0.81659),(5465,3465,0.002619,-0.81659),(5465,3475,0.002655,-0.8166),(5465,3485,0.002691,-0.81661),(5465,3495,0.002728,-0.81664),(5465,3505,0.002764,-0.81668),(5465,3515,0.002797,-0.81671),(5465,3525,0.00283,-0.81675),(5465,3535,0.002863,-0.81674),(5465,3545,0.002896,-0.81674),(5465,3555,0.002935,-0.81673),(5465,3565,0.002975,-0.81673),(5465,3575,0.003015,-0.81683),(5465,3585,0.003055,-0.81693),(5465,3595,0.003099,-0.81702),(5465,3605,0.003144,-0.81712),(5465,3615,0.003189,-0.81722),(5465,3625,0.003233,-0.81731),(5465,3635,0.003275,-0.81741),(5465,3645,0.003318,-0.8175),(5465,3655,0.003361,-0.81758),(5465,3665,0.003404,-0.81765),(5465,3675,0.003453,-0.81773),(5465,3685,0.003502,-0.81781),(5465,3695,0.00355,-0.81793),(5465,3705,0.003599,-0.81805),(5465,3715,0.003647,-0.81817),(5465,3725,0.003695,-0.81828),(5465,3735,0.003743,-0.81837),(5465,3745,0.003791,-0.81845),(5465,3755,0.003838,-0.81853),(5465,3765,0.003886,-0.8186),(5465,3775,0.003933,-0.81862),(5465,3785,0.003979,-0.81865),(5465,3795,0.00402,-0.81867),(5465,3805,0.004062,-0.81867),(5465,3815,0.004104,-0.81858),(5465,3825,0.004137,-0.8185),(5465,3835,0.004153,-0.81841),(5465,3845,0.004169,-0.81821),(5465,3855,0.004185,-0.8178),(5465,3865,0.00419,-0.81739),(5465,3875,0.004174,-0.81698),(5465,3885,0.004158,-0.81611),(5465,3895,0.004142,-0.8145),(5465,3905,0.004115,-0.81288),(5465,3915,0.004074,-0.81127),(5465,3925,0.004032,-0.80868),(5465,3935,0.00399,-0.80474),(5465,3945,0.004102,-0.8008),(5465,3955,0.004407,-0.79686),(5465,3965,0.004713,-0.79787),(5465,3975,0.005019,-0.80467),(5465,3985,0.006036,-0.81148),(5465,3995,0.007822,-0.81828),(5465,4005,0.009609,-0.85374),(5465,4015,0.011395,-0.91785),(5465,4025,0.14,-0.98196),(5465,4035,0.28101,-1.0258),(5465,4045,0.42202,-1.0269),(5465,4055,0.52264,-1.028),(5465,4065,0.60853,-1.0291),(5465,4075,0.69442,-1.0304),(5465,4085,0.73237,-1.0316),(5465,4095,0.7318,-1.0329),(5465,4105,0.73122,-1.034),(5465,4115,0.73105,-1.0351),(5465,4125,0.73152,-1.0363),(5465,4135,0.732,-1.0372),(5465,4145,0.73268,-1.038),(5465,4155,0.7342,-1.0388),(5465,4165,0.73572,-1.0394),(5465,4175,0.73725,-1.04),(5465,4185,0.73966,-1.0405),(5465,4195,0.74207,-1.041),(5465,4205,0.74447,-1.0412),(5465,4215,0.74748,-1.0415),(5465,4225,0.75061,-1.0416),(5465,4235,0.75373,-1.0414),(5465,4245,0.75721,-1.0413),(5465,4255,0.76088,-1.0411),(5465,4265,0.76454,-1.0407),(5465,4275,0.76842,-1.0404),(5465,4285,0.77252,-1.0401),(5465,4295,0.77662,-1.0395),(5465,4305,0.78084,-1.0389),(5465,4315,0.78531,-1.0383),(5465,4325,0.78979,-1.0374),(5465,4335,0.79431,-1.0365),(5465,4345,0.79909,-1.0355),(5465,4355,0.80388,-1.0344),(5465,4365,0.80866,-1.0331),(5465,4375,0.8137,-1.0318),(5465,4385,0.81876,-1.0304),(5465,4395,0.82382,-1.0287),(5465,4405,0.82904,-1.027),(5465,4415,0.83431,-1.0253),(5465,4425,0.83958,-1.0233),(5465,4435,0.84495,-1.0212),(5465,4445,0.8504,-1.0192),(5465,4455,0.85585,-1.0168),(5465,4465,0.86136,-1.0145),(5465,4475,0.86694,-1.0121),(5465,4485,0.87252,-1.0094),(5465,4495,0.87812,-1.0067),(5465,4505,0.88377,-1.004),(5465,4515,0.88942,-1.0011),(5465,4525,0.89508,-0.99817),(5465,4535,0.90078,-0.99519),(5465,4545,0.90647,-0.99208),(5465,4555,0.91217,-0.98882),(5465,4565,0.91785,-0.98555),(5465,4575,0.92354,-0.98225),(5465,4585,0.92923,-0.97884),(5465,4595,0.93489,-0.97542),(5465,4605,0.94054,-0.97199),(5465,4615,0.9462,-0.96837),(5465,4625,0.95184,-0.96476),(5465,4635,0.95745,-0.96114),(5465,4645,0.96307,-0.95737),(5465,4655,0.96868,-0.95358),(5465,4665,0.97425,-0.94979),(5465,4675,0.97982,-0.9458),(5465,4685,0.98538,-0.94175),(5465,4695,0.9909,-0.93769),(5465,4705,0.99643,-0.9335),(5465,4715,1.0019,-0.92921),(5465,4725,1.0074,-0.92493),(5465,4735,1.0128,-0.92061),(5465,4745,1.0182,-0.91623),(5465,4755,1.0235,-0.91185),(5465,4765,1.0289,-0.90747),(5465,4775,1.0342,-0.90303),(5465,4785,1.0395,-0.89859),(5465,4795,1.0447,-0.89415),(5465,4805,1.0499,-0.88965),(5465,4815,1.0551,-0.88514),(5465,4825,1.0603,-0.88063),(5465,4835,1.0654,-0.87605),(5465,4845,1.0705,-0.87145),(5465,4855,1.0755,-0.86685),(5465,4865,1.0805,-0.86225),(5465,4875,1.0855,-0.85763),(5465,4885,1.0904,-0.85302),(5465,4895,1.0953,-0.84841),(5465,4905,1.1002,-0.84381),(5465,4915,1.1049,-0.8392),(5465,4925,1.1097,-0.8346),(5465,4935,1.1144,-0.83002),(5465,4945,1.1191,-0.82544),(5465,4955,1.1237,-0.82086),(5465,4965,1.1284,-0.81627),(5465,4975,1.133,-0.81168),(5465,4985,1.1375,-0.80709),(5465,4995,1.142,-0.80248),(5465,5005,1.1465,-0.79787),(5465,5015,1.1509,-0.79326),(5465,5025,1.1553,-0.78865),(5465,5035,1.1597,-0.78405),(5465,5045,1.1641,-0.77944),(5465,5055,1.1684,-0.77489),(5465,5065,1.1727,-0.77037),(5465,5075,1.1769,-0.76585),(5465,5085,1.1812,-0.76134),(5465,5095,1.1854,-0.75684),(5465,5105,1.1896,-0.75234),(5465,5115,1.1937,-0.74786),(5465,5125,1.1979,-0.74341),(5465,5135,1.202,-0.73896),(5465,5145,1.2061,-0.73452),(5465,5155,1.2102,-0.73011),(5465,5165,1.2142,-0.7257),(5465,5175,1.2183,-0.72129),(5465,5185,1.2223,-0.7169),(5465,5195,1.2263,-0.71252),(5465,5205,1.2303,-0.70814),(5465,5215,1.2343,-0.7038),(5465,5225,1.2383,-0.69949),(5465,5235,1.2422,-0.69517),(5465,5245,1.2462,-0.69086),(5465,5255,1.2501,-0.68654),(5465,5265,1.254,-0.68223),(5465,5275,1.258,-0.67792),(5465,5285,1.2619,-0.67362),(5465,5295,1.2657,-0.66933),(5465,5305,1.2696,-0.66504),(5465,5315,1.2735,-0.66076),(5465,5325,1.2773,-0.65649),(5465,5335,1.2811,-0.65222),(5465,5345,1.285,-0.64796),(5465,5355,1.2887,-0.64369),(5465,5365,1.2925,-0.63943),(5465,5375,1.2963,-0.63518),(5465,5385,1.3001,-0.63094),(5465,5395,1.3038,-0.6267),(5465,5405,1.3076,-0.62246),(5465,5415,1.3113,-0.61822),(5465,5425,1.315,-0.61399),(5465,5435,1.3188,-0.60975),(5465,5445,1.3225,-0.60552),(5465,5455,1.3263,-0.60128),(5465,5465,1.33,-0.59704),(5465,5475,1.3337,-0.59277),(5465,5485,1.3374,-0.58851),(5465,5495,1.3412,-0.58424),(5465,5505,1.3449,-0.57995),(5465,5515,1.3486,-0.57566),(5465,5525,1.3523,-0.57136),(5465,5535,1.356,-0.56703),(5465,5545,1.3597,-0.56269),(5465,5555,1.3633,-0.55836),(5465,5565,1.367,-0.55395),(5465,5575,1.3707,-0.54952),(5465,5585,1.3743,-0.5451),(5465,5595,1.3779,-0.54064),(5465,5605,1.3816,-0.53617),(5465,5615,1.3852,-0.5317),(5465,5625,1.3888,-0.52722),(5465,5635,1.3924,-0.52273),(5465,5645,1.3959,-0.51824),(5465,5655,1.3994,-0.51374),(5465,5665,1.403,-0.50921),(5465,5675,1.4065,-0.50467),(5465,5685,1.41,-0.50014),(5465,5695,1.4134,-0.49551),(5465,5705,1.4169,-0.49089),(5465,5715,1.4203,-0.48627),(5465,5725,1.4237,-0.48158),(5465,5735,1.4271,-0.47688),(5465,5745,1.4304,-0.47218),(5465,5755,1.4338,-0.46746),(5465,5765,1.4371,-0.46273),(5465,5775,1.4404,-0.45801),(5465,5785,1.4438,-0.45323),(5465,5795,1.4471,-0.44841),(5465,5805,1.4503,-0.44358),(5465,5815,1.4536,-0.43874),(5465,5825,1.4569,-0.43386),(5465,5835,1.4601,-0.42898),(5465,5845,1.4633,-0.4241),(5465,5855,1.4665,-0.41918),(5465,5865,1.4697,-0.41426),(5465,5875,1.4728,-0.40934),(5465,5885,1.476,-0.40435),(5465,5895,1.4791,-0.39937),(5465,5905,1.4821,-0.39438),(5465,5915,1.4852,-0.3893),(5465,5925,1.4882,-0.38421),(5465,5935,1.4911,-0.37911),(5465,5945,1.4941,-0.37396),(5465,5955,1.497,-0.36877),(5465,5965,1.4999,-0.36358),(5465,5975,1.5028,-0.35837),(5465,5985,1.5056,-0.35314),(5465,5995,1.5084,-0.34791),(5465,6005,1.5111,-0.34265),(5465,6015,1.5139,-0.33733),(5465,6025,1.5166,-0.33201),(5465,6035,1.5192,-0.32669),(5465,6045,1.5219,-0.3213),(5465,6055,1.5246,-0.31591),(5465,6065,1.5271,-0.31053),(5465,6075,1.5297,-0.3051),(5465,6085,1.5323,-0.29966),(5465,6095,1.5348,-0.29423),(5465,6105,1.5372,-0.28876),(5465,6115,1.5397,-0.28327),(5465,6125,1.5421,-0.27778),(5465,6135,1.5444,-0.27225),(5465,6145,1.5468,-0.26669),(5465,6155,1.5491,-0.26113),(5465,6165,1.5513,-0.25553),(5465,6175,1.5535,-0.24986),(5465,6185,1.5557,-0.24419),(5465,6195,1.5578,-0.2385),(5465,6205,1.5599,-0.23274),(5465,6215,1.5619,-0.22698),(5465,6225,1.5638,-0.22122),(5465,6235,1.5658,-0.21544),(5465,6245,1.5677,-0.20967),(5465,6255,1.5695,-0.2039),(5465,6265,1.5713,-0.19808),(5465,6275,1.5731,-0.19224),(5465,6285,1.5748,-0.1864),(5465,6295,1.5764,-0.1805),(5465,6305,1.5781,-0.17457),(5465,6315,1.5796,-0.16864),(5465,6325,1.5812,-0.16271),(5465,6335,1.5827,-0.15677),(5465,6345,1.5841,-0.15084),(5465,6355,1.5855,-0.14488),(5465,6365,1.5868,-0.13886),(5465,6375,1.5881,-0.13284),(5465,6385,1.5893,-0.12681),(5465,6395,1.5905,-0.12072),(5465,6405,1.5916,-0.11464),(5465,6415,1.5926,-0.10855),(5465,6425,1.5936,-0.10245),(5465,6435,1.5946,-0.096353),(5465,6445,1.5954,-0.090253),(5465,6455,1.5963,-0.084106),(5465,6465,1.5971,-0.077947),(5465,6475,1.5977,-0.071787),(5465,6485,1.5984,-0.06564),(5465,6495,1.599,-0.0595),(5465,6505,1.5995,-0.05336),(5465,6515,1.6,-0.047208),(5465,6525,1.6004,-0.041039),(5465,6535,1.6008,-0.03487),(5465,6545,1.601,-0.028697),(5465,6555,1.6013,-0.022509),(5465,6565,1.6015,-0.016321),(5465,6575,1.6016,-0.010134),(5465,6585,1.6017,-0.003955),(5465,6595,1.3624,0.002223),(5465,6605,0.8587,0.008401),(5465,6615,0.35499,0.009082),(5465,6625,0.000893,0.009057),(5465,6635,0.000918,0.009032),(5465,6645,0.000943,0.009037),(5465,6655,0.000967,0.009054),(5465,6665,0.00099,0.009071),(5465,6675,0.001013,0.009088),(5465,6685,0.001036,0.009104),(5465,6695,0.001058,0.00912),(5465,6705,0.001079,0.009136),(5465,6715,0.001101,0.009151),(5465,6725,0.001122,0.009166),(5465,6735,0.001142,0.00918),(5465,6745,0.001162,0.009194),(5465,6755,0.001182,0.009208),(5465,6765,0.001201,0.009222),(5465,6775,0.00122,0.009234),(5465,6785,0.001239,0.009247),(5465,6795,0.001257,0.00926),(5465,6805,0.001275,0.009271),(5465,6815,0.001293,0.009283),(5465,6825,0.001311,0.009294),(5465,6835,0.001328,0.009305),(5465,6845,0.001345,0.009315),(5465,6855,0.001362,0.009326),(5465,6865,0.001378,0.009335),(5465,6875,0.001395,0.009345),(5465,6885,0.001411,0.009354),(5465,6895,0.001427,0.009362),(5465,6905,0.001442,0.009371),(5465,6915,0.001458,0.009378),(5465,6925,0.001473,0.009387),(5465,6935,0.001488,0.009394),(5465,6945,0.001503,0.0094),(5465,6955,0.001518,0.009407),(5465,6965,0.001533,0.009413),(5465,6975,0.001547,0.009419),(5465,6985,0.001561,0.009425),(5475,5,1e-05,-0.9635),(5475,15,2.9e-05,-0.96361),(5475,25,4.6e-05,-0.96371),(5475,35,6.1e-05,-0.96381),(5475,45,7.6e-05,-0.96389),(5475,55,9e-05,-0.96395),(5475,65,0.000104,-0.96402),(5475,75,0.000118,-0.96408),(5475,85,0.000131,-0.96417),(5475,95,0.000145,-0.96428),(5475,105,0.000161,-0.96439),(5475,115,0.00018,-0.9645),(5475,125,0.000199,-0.96463),(5475,135,0.000217,-0.96477),(5475,145,0.000233,-0.96491),(5475,155,0.000246,-0.96505),(5475,165,0.00026,-0.96522),(5475,175,0.000273,-0.96541),(5475,185,0.000286,-0.96561),(5475,195,0.000299,-0.9658),(5475,205,0.000311,-0.96603),(5475,215,0.000324,-0.96628),(5475,225,0.000337,-0.96653),(5475,235,0.000349,-0.96678),(5475,245,0.000361,-0.96705),(5475,255,0.000374,-0.96733),(5475,265,0.000389,-0.96761),(5475,275,0.000405,-0.96788),(5475,285,0.000421,-0.96818),(5475,295,0.000437,-0.96849),(5475,305,0.000452,-0.9688),(5475,315,0.000467,-0.9691),(5475,325,0.000483,-0.96943),(5475,335,0.000498,-0.96976),(5475,345,0.000516,-0.97008),(5475,355,0.000535,-0.97041),(5475,365,0.000555,-0.97081),(5475,375,0.000574,-0.97122),(5475,385,0.000592,-0.97162),(5475,395,0.000609,-0.97203),(5475,405,0.000627,-0.97249),(5475,415,0.000644,-0.97296),(5475,425,0.000663,-0.97342),(5475,435,0.000681,-0.97389),(5475,445,0.0007,-0.9744),(5475,455,0.000718,-0.97492),(5475,465,0.000742,-0.97544),(5475,475,0.000765,-0.97596),(5475,485,0.000789,-0.97655),(5475,495,0.000813,-0.97713),(5475,505,0.000848,-0.97772),(5475,515,0.000882,-0.97831),(5475,525,0.000917,-0.97895),(5475,535,0.000952,-0.9796),(5475,545,0.000982,-0.98025),(5475,555,0.001012,-0.98089),(5475,565,0.001042,-0.98154),(5475,575,0.001071,-0.98219),(5475,585,0.001091,-0.98284),(5475,595,0.00111,-0.98349),(5475,605,0.001129,-0.98418),(5475,615,0.001148,-0.98487),(5475,625,0.001168,-0.98557),(5475,635,0.001187,-0.98627),(5475,645,0.001207,-0.98706),(5475,655,0.001228,-0.98786),(5475,665,0.00126,-0.98865),(5475,675,0.001293,-0.98946),(5475,685,0.001325,-0.99035),(5475,695,0.00136,-0.99123),(5475,705,0.00141,-0.99212),(5475,715,0.00146,-0.99303),(5475,725,0.00151,-0.994),(5475,735,0.001564,-0.99496),(5475,745,0.001631,-0.99593),(5475,755,0.001698,-0.99692),(5475,765,0.001764,-0.99796),(5475,775,0.001827,-0.999),(5475,785,0.001881,-1),(5475,795,0.001934,-1.0011),(5475,805,0.001988,-1.0021),(5475,815,0.002041,-1.0032),(5475,825,0.002094,-1.0043),(5475,835,0.002146,-1.0054),(5475,845,0.002199,-1.0065),(5475,855,0.002252,-1.0076),(5475,865,0.002306,-1.0088),(5475,875,0.002361,-1.0099),(5475,885,0.002416,-1.0112),(5475,895,0.002472,-1.0124),(5475,905,0.002533,-1.0136),(5475,915,0.002594,-1.0149),(5475,925,0.002655,-1.0162),(5475,935,0.002722,-1.0175),(5475,945,0.002797,-1.0187),(5475,955,0.002872,-1.0201),(5475,965,0.002947,-1.0214),(5475,975,0.003034,-1.0228),(5475,985,0.003134,-1.0241),(5475,995,0.003234,-1.0255),(5475,1005,0.003335,-1.0269),(5475,1015,0.003457,-1.0284),(5475,1025,0.0036,-1.0298),(5475,1035,0.003743,-1.0313),(5475,1045,0.003886,-1.0329),(5475,1055,0.004053,-1.0345),(5475,1065,0.00424,-1.0361),(5475,1075,0.004426,-1.0378),(5475,1085,0.004613,-1.0395),(5475,1095,0.004809,-1.0412),(5475,1105,0.005012,-1.0429),(5475,1115,0.005215,-1.0447),(5475,1125,0.005417,-1.0465),(5475,1135,0.005566,-1.0483),(5475,1145,0.005683,-1.0501),(5475,1155,0.0058,-1.0517),(5475,1165,0.005917,-1.0532),(5475,1175,0.005835,-1.0548),(5475,1185,0.005654,-1.0563),(5475,1195,0.005474,-1.0569),(5475,1205,0.005293,-1.057),(5475,1215,0.004751,-1.0571),(5475,1225,0.004059,-1.0572),(5475,1235,0.003368,-1.0549),(5475,1245,0.002677,-1.0516),(5475,1255,0.003078,-1.0483),(5475,1265,0.003847,-1.0451),(5475,1275,0.004617,-1.0461),(5475,1285,0.005387,-1.0485),(5475,1295,0.010536,-1.0508),(5475,1305,0.016869,-1.0532),(5475,1315,0.023203,-1.0796),(5475,1325,0.029537,-1.1117),(5475,1335,0.017373,-1.1439),(5475,1345,0.001333,-1.176),(5475,1355,-0.014707,-1.1538),(5475,1365,-0.030747,-1.1218),(5475,1375,-0.027547,-1.0898),(5475,1385,-0.021379,-1.0577),(5475,1395,-0.01521,-1.0494),(5475,1405,-0.009041,-1.0442),(5475,1415,-0.006872,-1.039),(5475,1425,-0.005117,-1.0337),(5475,1435,-0.003363,-1.0371),(5475,1445,-0.001608,-1.0412),(5475,1455,-0.002038,-1.0453),(5475,1465,-0.002594,-1.0494),(5475,1475,-0.003151,-1.0504),(5475,1485,-0.003707,-1.0512),(5475,1495,-0.00395,-1.052),(5475,1505,-0.004189,-1.0529),(5475,1515,-0.004427,-1.052),(5475,1525,-0.004659,-1.0512),(5475,1535,-0.004629,-1.0503),(5475,1545,-0.004598,-1.0494),(5475,1555,-0.004567,-1.0481),(5475,1565,-0.00453,-1.0468),(5475,1575,-0.004405,-1.0455),(5475,1585,-0.004279,-1.0441),(5475,1595,-0.004154,-1.0427),(5475,1605,-0.004028,-1.0412),(5475,1615,-0.003908,-1.0397),(5475,1625,-0.003788,-1.0382),(5475,1635,-0.003667,-1.0367),(5475,1645,-0.003549,-1.0351),(5475,1655,-0.003442,-1.0336),(5475,1665,-0.003335,-1.0321),(5475,1675,-0.003228,-1.0307),(5475,1685,-0.003124,-1.0292),(5475,1695,-0.003028,-1.0277),(5475,1705,-0.002933,-1.0263),(5475,1715,-0.002838,-1.0249),(5475,1725,-0.002745,-1.0235),(5475,1735,-0.002659,-1.0222),(5475,1745,-0.002574,-1.0208),(5475,1755,-0.002488,-1.0195),(5475,1765,-0.002404,-1.0183),(5475,1775,-0.002322,-1.017),(5475,1785,-0.00224,-1.0158),(5475,1795,-0.002158,-1.0146),(5475,1805,-0.002079,-1.0135),(5475,1815,-0.002004,-1.0123),(5475,1825,-0.001929,-1.0112),(5475,1835,-0.001854,-1.0101),(5475,1845,-0.00178,-1.009),(5475,1855,-0.001709,-1.0079),(5475,1865,-0.001638,-1.0068),(5475,1875,-0.001568,-1.0058),(5475,1885,-0.001507,-1.0047),(5475,1895,-0.001465,-1.0037),(5475,1905,-0.001421,-1.0026),(5475,1915,-0.001378,-1.0016),(5475,1925,-0.001341,-1.0006),(5475,1935,-0.001311,-0.9996),(5475,1945,-0.001281,-0.99859),(5475,1955,-0.001251,-0.99759),(5475,1965,-0.001226,-0.99659),(5475,1975,-0.001207,-0.9956),(5475,1985,-0.001187,-0.99463),(5475,1995,-0.001168,-0.9937),(5475,2005,-0.001141,-0.99277),(5475,2015,-0.001107,-0.99184),(5475,2025,-0.001072,-0.99097),(5475,2035,-0.001038,-0.99014),(5475,2045,-0.000998,-0.98931),(5475,2055,-0.000952,-0.98849),(5475,2065,-0.000907,-0.98768),(5475,2075,-0.000861,-0.9869),(5475,2085,-0.000816,-0.98611),(5475,2095,-0.00077,-0.98532),(5475,2105,-0.000725,-0.98456),(5475,2115,-0.000679,-0.98381),(5475,2125,-0.000637,-0.98306),(5475,2135,-0.000596,-0.98232),(5475,2145,-0.000555,-0.98159),(5475,2155,-0.000514,-0.98088),(5475,2165,-0.000477,-0.98017),(5475,2175,-0.000442,-0.97946),(5475,2185,-0.000406,-0.97877),(5475,2195,-0.000371,-0.9781),(5475,2205,-0.00034,-0.97742),(5475,2215,-0.000312,-0.97675),(5475,2225,-0.000284,-0.9761),(5475,2235,-0.000255,-0.97545),(5475,2245,-0.000227,-0.9748),(5475,2255,-0.0002,-0.97416),(5475,2265,-0.000172,-0.97355),(5475,2275,-0.000145,-0.97295),(5475,2285,-0.000129,-0.97236),(5475,2295,-0.000115,-0.97176),(5475,2305,-0.000102,-0.9712),(5475,2315,-8.9e-05,-0.97065),(5475,2325,-5.7e-05,-0.9701),(5475,2335,-2.1e-05,-0.96955),(5475,2345,1.6e-05,-0.96905),(5475,2355,5.2e-05,-0.96855),(5475,2365,9e-05,-0.96806),(5475,2375,0.000128,-0.96756),(5475,2385,0.000166,-0.96708),(5475,2395,0.000203,-0.9666),(5475,2405,0.000232,-0.96611),(5475,2415,0.00026,-0.96563),(5475,2425,0.000288,-0.96516),(5475,2435,0.000316,-0.96469),(5475,2445,0.000333,-0.96421),(5475,2455,0.000349,-0.96374),(5475,2465,0.000365,-0.96327),(5475,2475,0.00038,-0.96279),(5475,2485,0.000394,-0.96232),(5475,2495,0.000408,-0.96184),(5475,2505,0.000422,-0.9614),(5475,2515,0.000437,-0.96096),(5475,2525,0.000461,-0.96051),(5475,2535,0.000485,-0.96007),(5475,2545,0.000509,-0.95968),(5475,2555,0.000532,-0.95928),(5475,2565,0.000556,-0.95888),(5475,2575,0.00058,-0.95848),(5475,2585,0.000604,-0.95808),(5475,2595,0.000627,-0.95768),(5475,2605,0.000643,-0.95728),(5475,2615,0.000658,-0.95688),(5475,2625,0.000674,-0.95647),(5475,2635,0.000692,-0.95606),(5475,2645,0.000723,-0.95565),(5475,2655,0.000755,-0.95526),(5475,2665,0.000787,-0.95493),(5475,2675,0.000814,-0.9546),(5475,2685,0.000823,-0.95428),(5475,2695,0.000832,-0.95395),(5475,2705,0.000841,-0.95363),(5475,2715,0.000853,-0.95331),(5475,2725,0.000874,-0.953),(5475,2735,0.000896,-0.95268),(5475,2745,0.000918,-0.95235),(5475,2755,0.000937,-0.95202),(5475,2765,0.00095,-0.9517),(5475,2775,0.000962,-0.95137),(5475,2785,0.000975,-0.95104),(5475,2795,0.000988,-0.95071),(5475,2805,0.001,-0.95039),(5475,2815,0.001012,-0.95007),(5475,2825,0.001024,-0.94977),(5475,2835,0.001039,-0.94948),(5475,2845,0.00106,-0.94918),(5475,2855,0.001081,-0.9489),(5475,2865,0.001102,-0.94862),(5475,2875,0.001123,-0.94834),(5475,2885,0.001146,-0.94806),(5475,2895,0.001169,-0.94778),(5475,2905,0.001192,-0.94751),(5475,2915,0.001214,-0.94723),(5475,2925,0.001234,-0.94696),(5475,2935,0.001253,-0.94668),(5475,2945,0.001273,-0.94639),(5475,2955,0.001294,-0.94611),(5475,2965,0.001318,-0.94583),(5475,2975,0.001342,-0.94555),(5475,2985,0.001366,-0.94528),(5475,2995,0.001395,-0.94501),(5475,3005,0.001428,-0.94473),(5475,3015,0.001462,-0.94448),(5475,3025,0.001495,-0.94423),(5475,3035,0.001534,-0.94399),(5475,3045,0.001579,-0.94374),(5475,3055,0.001623,-0.94352),(5475,3065,0.001667,-0.94332),(5475,3075,0.001686,-0.94311),(5475,3085,0.001686,-0.94291),(5475,3095,0.001685,-0.94267),(5475,3105,0.001685,-0.9424),(5475,3115,0.001698,-0.94214),(5475,3125,0.001718,-0.94187),(5475,3135,0.001739,-0.94165),(5475,3145,0.00176,-0.94145),(5475,3155,0.001793,-0.94125),(5475,3165,0.001832,-0.94105),(5475,3175,0.001871,-0.94086),(5475,3185,0.00191,-0.94068),(5475,3195,0.001941,-0.9405),(5475,3205,0.001969,-0.94032),(5475,3215,0.001997,-0.94012),(5475,3225,0.002025,-0.9399),(5475,3235,0.002045,-0.93969),(5475,3245,0.002062,-0.93947),(5475,3255,0.002079,-0.93927),(5475,3265,0.002096,-0.93907),(5475,3275,0.002111,-0.93887),(5475,3285,0.002126,-0.93868),(5475,3295,0.002141,-0.93848),(5475,3305,0.002156,-0.93828),(5475,3315,0.002173,-0.93808),(5475,3325,0.002192,-0.93788),(5475,3335,0.00221,-0.93769),(5475,3345,0.002228,-0.93749),(5475,3355,0.002261,-0.9373),(5475,3365,0.002297,-0.93711),(5475,3375,0.002333,-0.93695),(5475,3385,0.002368,-0.93681),(5475,3395,0.002415,-0.93666),(5475,3405,0.002462,-0.93651),(5475,3415,0.00251,-0.93636),(5475,3425,0.002558,-0.9362),(5475,3435,0.00258,-0.93604),(5475,3445,0.0026,-0.93589),(5475,3455,0.00262,-0.93574),(5475,3465,0.00264,-0.93559),(5475,3475,0.002685,-0.93543),(5475,3485,0.00273,-0.93528),(5475,3495,0.002776,-0.93515),(5475,3505,0.002822,-0.93503),(5475,3515,0.002843,-0.9349),(5475,3525,0.002864,-0.93477),(5475,3535,0.002885,-0.93457),(5475,3545,0.002907,-0.93437),(5475,3555,0.002949,-0.93417),(5475,3565,0.002991,-0.93398),(5475,3575,0.003034,-0.93393),(5475,3585,0.003077,-0.93388),(5475,3595,0.003131,-0.93384),(5475,3605,0.003185,-0.93378),(5475,3615,0.003239,-0.9337),(5475,3625,0.003291,-0.93362),(5475,3635,0.003325,-0.93354),(5475,3645,0.003359,-0.93345),(5475,3655,0.003393,-0.93331),(5475,3665,0.003429,-0.93317),(5475,3675,0.00348,-0.93302),(5475,3685,0.00353,-0.93289),(5475,3695,0.003581,-0.93282),(5475,3705,0.003628,-0.93275),(5475,3715,0.003664,-0.93268),(5475,3725,0.0037,-0.93259),(5475,3735,0.003736,-0.9324),(5475,3745,0.003769,-0.93222),(5475,3755,0.003791,-0.93204),(5475,3765,0.003812,-0.93184),(5475,3775,0.003834,-0.93159),(5475,3785,0.003845,-0.93134),(5475,3795,0.003829,-0.93109),(5475,3805,0.003813,-0.93078),(5475,3815,0.003797,-0.93033),(5475,3825,0.003739,-0.92988),(5475,3835,0.003594,-0.92943),(5475,3845,0.003448,-0.92882),(5475,3855,0.003303,-0.92789),(5475,3865,0.003099,-0.92695),(5475,3875,0.002791,-0.92602),(5475,3885,0.002483,-0.92464),(5475,3895,0.002175,-0.92256),(5475,3905,0.00181,-0.92047),(5475,3915,0.00136,-0.91838),(5475,3925,0.00091,-0.91549),(5475,3935,0.00046,-0.91149),(5475,3945,0.000664,-0.90748),(5475,3955,0.001698,-0.90348),(5475,3965,0.002732,-0.90226),(5475,3975,0.003766,-0.90431),(5475,3985,0.007859,-0.90635),(5475,3995,0.015261,-0.9084),(5475,4005,0.022663,-0.92796),(5475,4015,0.030065,-0.96504),(5475,4025,0.1535,-1.0021),(5475,4035,0.28829,-1.0275),(5475,4045,0.42308,-1.0282),(5475,4055,0.52205,-1.0288),(5475,4065,0.60797,-1.0295),(5475,4075,0.69388,-1.0306),(5475,4085,0.73186,-1.0316),(5475,4095,0.73132,-1.0326),(5475,4105,0.73078,-1.0337),(5475,4115,0.73061,-1.0347),(5475,4125,0.73104,-1.0357),(5475,4135,0.73146,-1.0366),(5475,4145,0.73209,-1.0373),(5475,4155,0.7335,-1.0381),(5475,4165,0.73491,-1.0387),(5475,4175,0.73634,-1.0392),(5475,4185,0.73864,-1.0397),(5475,4195,0.74094,-1.0401),(5475,4205,0.74323,-1.0403),(5475,4215,0.74614,-1.0405),(5475,4225,0.74916,-1.0406),(5475,4235,0.75219,-1.0403),(5475,4245,0.75557,-1.0401),(5475,4255,0.75914,-1.0398),(5475,4265,0.76272,-1.0394),(5475,4275,0.7665,-1.039),(5475,4285,0.77052,-1.0386),(5475,4295,0.77454,-1.038),(5475,4305,0.77867,-1.0373),(5475,4315,0.78306,-1.0366),(5475,4325,0.78745,-1.0358),(5475,4335,0.79187,-1.0348),(5475,4345,0.79656,-1.0338),(5475,4355,0.80124,-1.0327),(5475,4365,0.80593,-1.0315),(5475,4375,0.81087,-1.0303),(5475,4385,0.81582,-1.0289),(5475,4395,0.82077,-1.0273),(5475,4405,0.82588,-1.0257),(5475,4415,0.83104,-1.024),(5475,4425,0.8362,-1.0221),(5475,4435,0.84146,-1.0202),(5475,4445,0.84681,-1.0183),(5475,4455,0.85215,-1.016),(5475,4465,0.85754,-1.0137),(5475,4475,0.86301,-1.0114),(5475,4485,0.86848,-1.0089),(5475,4495,0.87397,-1.0063),(5475,4505,0.87953,-1.0036),(5475,4515,0.88508,-1.0009),(5475,4525,0.89064,-0.99796),(5475,4535,0.89624,-0.99507),(5475,4545,0.90185,-0.99205),(5475,4555,0.90745,-0.98888),(5475,4565,0.91305,-0.98571),(5475,4575,0.91865,-0.98249),(5475,4585,0.92424,-0.97917),(5475,4595,0.92983,-0.97585),(5475,4605,0.9354,-0.97251),(5475,4615,0.94098,-0.969),(5475,4625,0.94654,-0.96548),(5475,4635,0.95208,-0.96196),(5475,4645,0.95763,-0.95829),(5475,4655,0.96316,-0.9546),(5475,4665,0.96867,-0.95092),(5475,4675,0.97418,-0.94702),(5475,4685,0.97969,-0.94306),(5475,4695,0.98515,-0.93909),(5475,4705,0.99061,-0.935),(5475,4715,0.99608,-0.93081),(5475,4725,1.0014,-0.92661),(5475,4735,1.0068,-0.92238),(5475,4745,1.0122,-0.91808),(5475,4755,1.0175,-0.91378),(5475,4765,1.0227,-0.90946),(5475,4775,1.028,-0.90507),(5475,4785,1.0332,-0.90068),(5475,4795,1.0384,-0.89629),(5475,4805,1.0436,-0.89182),(5475,4815,1.0488,-0.88736),(5475,4825,1.0539,-0.88289),(5475,4835,1.059,-0.87834),(5475,4845,1.0641,-0.87378),(5475,4855,1.0691,-0.86922),(5475,4865,1.0741,-0.86465),(5475,4875,1.079,-0.86007),(5475,4885,1.0839,-0.85549),(5475,4895,1.0888,-0.85091),(5475,4905,1.0936,-0.84633),(5475,4915,1.0984,-0.84175),(5475,4925,1.1031,-0.83718),(5475,4935,1.1079,-0.83262),(5475,4945,1.1125,-0.82806),(5475,4955,1.1171,-0.8235),(5475,4965,1.1218,-0.81893),(5475,4975,1.1263,-0.81436),(5475,4985,1.1309,-0.80979),(5475,4995,1.1354,-0.80519),(5475,5005,1.1399,-0.80059),(5475,5015,1.1443,-0.79599),(5475,5025,1.1487,-0.79139),(5475,5035,1.1531,-0.78679),(5475,5045,1.1575,-0.78219),(5475,5055,1.1618,-0.77764),(5475,5065,1.1661,-0.77312),(5475,5075,1.1703,-0.76859),(5475,5085,1.1746,-0.76407),(5475,5095,1.1788,-0.75956),(5475,5105,1.183,-0.75505),(5475,5115,1.1871,-0.75055),(5475,5125,1.1913,-0.74609),(5475,5135,1.1954,-0.74163),(5475,5145,1.1995,-0.73717),(5475,5155,1.2036,-0.73274),(5475,5165,1.2077,-0.72832),(5475,5175,1.2117,-0.72389),(5475,5185,1.2157,-0.71948),(5475,5195,1.2197,-0.71507),(5475,5205,1.2237,-0.71066),(5475,5215,1.2277,-0.7063),(5475,5225,1.2317,-0.70196),(5475,5235,1.2356,-0.69761),(5475,5245,1.2396,-0.69327),(5475,5255,1.2435,-0.68893),(5475,5265,1.2474,-0.68458),(5475,5275,1.2513,-0.68024),(5475,5285,1.2552,-0.67591),(5475,5295,1.2591,-0.67158),(5475,5305,1.263,-0.66726),(5475,5315,1.2669,-0.66296),(5475,5325,1.2707,-0.65865),(5475,5335,1.2745,-0.65435),(5475,5345,1.2783,-0.65005),(5475,5355,1.2821,-0.64574),(5475,5365,1.2859,-0.64144),(5475,5375,1.2897,-0.63715),(5475,5385,1.2935,-0.63286),(5475,5395,1.2972,-0.62857),(5475,5405,1.3009,-0.62429),(5475,5415,1.3047,-0.62),(5475,5425,1.3084,-0.61572),(5475,5435,1.3121,-0.61143),(5475,5445,1.3159,-0.60715),(5475,5455,1.3196,-0.60287),(5475,5465,1.3233,-0.59858),(5475,5475,1.327,-0.59426),(5475,5485,1.3307,-0.58995),(5475,5495,1.3344,-0.58563),(5475,5505,1.3381,-0.5813),(5475,5515,1.3418,-0.57696),(5475,5525,1.3454,-0.57262),(5475,5535,1.3491,-0.56824),(5475,5545,1.3528,-0.56386),(5475,5555,1.3564,-0.55948),(5475,5565,1.3601,-0.55504),(5475,5575,1.3637,-0.55057),(5475,5585,1.3673,-0.5461),(5475,5595,1.371,-0.54161),(5475,5605,1.3746,-0.5371),(5475,5615,1.3781,-0.53258),(5475,5625,1.3817,-0.52807),(5475,5635,1.3853,-0.52354),(5475,5645,1.3888,-0.51901),(5475,5655,1.3923,-0.51448),(5475,5665,1.3958,-0.50991),(5475,5675,1.3993,-0.50535),(5475,5685,1.4028,-0.50078),(5475,5695,1.4062,-0.49613),(5475,5705,1.4097,-0.49147),(5475,5715,1.4131,-0.48682),(5475,5725,1.4164,-0.48209),(5475,5735,1.4198,-0.47736),(5475,5745,1.4231,-0.47262),(5475,5755,1.4265,-0.46787),(5475,5765,1.4298,-0.46311),(5475,5775,1.4331,-0.45835),(5475,5785,1.4364,-0.45354),(5475,5795,1.4396,-0.44868),(5475,5805,1.4429,-0.44383),(5475,5815,1.4461,-0.43895),(5475,5825,1.4493,-0.43404),(5475,5835,1.4525,-0.42913),(5475,5845,1.4557,-0.42421),(5475,5855,1.4589,-0.41927),(5475,5865,1.462,-0.41433),(5475,5875,1.4651,-0.40938),(5475,5885,1.4683,-0.40438),(5475,5895,1.4713,-0.39938),(5475,5905,1.4744,-0.39438),(5475,5915,1.4774,-0.38929),(5475,5925,1.4804,-0.38419),(5475,5935,1.4833,-0.37908),(5475,5945,1.4862,-0.37391),(5475,5955,1.4891,-0.36871),(5475,5965,1.492,-0.3635),(5475,5975,1.4948,-0.35828),(5475,5985,1.4977,-0.35303),(5475,5995,1.5004,-0.34778),(5475,6005,1.5031,-0.34251),(5475,6015,1.5058,-0.33717),(5475,6025,1.5085,-0.33184),(5475,6035,1.5112,-0.32649),(5475,6045,1.5138,-0.32109),(5475,6055,1.5164,-0.31569),(5475,6065,1.519,-0.31029),(5475,6075,1.5215,-0.30485),(5475,6085,1.524,-0.2994),(5475,6095,1.5265,-0.29396),(5475,6105,1.5289,-0.28847),(5475,6115,1.5314,-0.28298),(5475,6125,1.5337,-0.27749),(5475,6135,1.536,-0.27196),(5475,6145,1.5384,-0.2664),(5475,6155,1.5406,-0.26083),(5475,6165,1.5428,-0.25523),(5475,6175,1.545,-0.24956),(5475,6185,1.5471,-0.24389),(5475,6195,1.5492,-0.2382),(5475,6205,1.5513,-0.23244),(5475,6215,1.5533,-0.22668),(5475,6225,1.5552,-0.22092),(5475,6235,1.5572,-0.21515),(5475,6245,1.559,-0.20938),(5475,6255,1.5608,-0.20361),(5475,6265,1.5626,-0.19778),(5475,6275,1.5644,-0.19195),(5475,6285,1.566,-0.18611),(5475,6295,1.5677,-0.18021),(5475,6305,1.5693,-0.17427),(5475,6315,1.5708,-0.16834),(5475,6325,1.5723,-0.16241),(5475,6335,1.5738,-0.15648),(5475,6345,1.5752,-0.15055),(5475,6355,1.5766,-0.14459),(5475,6365,1.5779,-0.13858),(5475,6375,1.5792,-0.13257),(5475,6385,1.5803,-0.12655),(5475,6395,1.5815,-0.12048),(5475,6405,1.5826,-0.1144),(5475,6415,1.5836,-0.10833),(5475,6425,1.5847,-0.10224),(5475,6435,1.5856,-0.096155),(5475,6445,1.5864,-0.090068),(5475,6455,1.5872,-0.083931),(5475,6465,1.588,-0.07778),(5475,6475,1.5887,-0.071629),(5475,6485,1.5893,-0.065491),(5475,6495,1.59,-0.059362),(5475,6505,1.5904,-0.053233),(5475,6515,1.5909,-0.047091),(5475,6525,1.5914,-0.040932),(5475,6535,1.5917,-0.034773),(5475,6545,1.592,-0.028609),(5475,6555,1.5922,-0.022432),(5475,6565,1.5924,-0.016254),(5475,6575,1.5925,-0.010077),(5475,6585,1.5926,-0.003906),(5475,6595,1.3547,0.002266),(5475,6605,0.85381,0.008437),(5475,6615,0.35296,0.009114),(5475,6625,0.000875,0.009086),(5475,6635,0.0009,0.009057),(5475,6645,0.000924,0.009061),(5475,6655,0.000949,0.009078),(5475,6665,0.000973,0.009094),(5475,6675,0.000996,0.00911),(5475,6685,0.001019,0.009126),(5475,6695,0.001041,0.009142),(5475,6705,0.001063,0.009157),(5475,6715,0.001085,0.009172),(5475,6725,0.001106,0.009186),(5475,6735,0.001126,0.0092),(5475,6745,0.001147,0.009214),(5475,6755,0.001167,0.009227),(5475,6765,0.001186,0.009241),(5475,6775,0.001206,0.009253),(5475,6785,0.001225,0.009265),(5475,6795,0.001243,0.009278),(5475,6805,0.001262,0.009289),(5475,6815,0.00128,0.0093),(5475,6825,0.001298,0.009312),(5475,6835,0.001315,0.009322),(5475,6845,0.001333,0.009332),(5475,6855,0.00135,0.009342),(5475,6865,0.001367,0.009352),(5475,6875,0.001383,0.009361),(5475,6885,0.0014,0.009369),(5475,6895,0.001416,0.009378),(5475,6905,0.001432,0.009386),(5475,6915,0.001448,0.009394),(5475,6925,0.001463,0.009402),(5475,6935,0.001479,0.009408),(5475,6945,0.001494,0.009415),(5475,6955,0.001509,0.009422),(5475,6965,0.001524,0.009428),(5475,6975,0.001539,0.009434),(5475,6985,0.001553,0.009439),(5485,5,1.3e-05,-1.0802),(5485,15,3.8e-05,-1.0803),(5485,25,5.8e-05,-1.0804),(5485,35,7.5e-05,-1.0805),(5485,45,9.1e-05,-1.0806),(5485,55,0.000107,-1.0807),(5485,65,0.000122,-1.0807),(5485,75,0.000137,-1.0808),(5485,85,0.000151,-1.0809),(5485,95,0.000166,-1.081),(5485,105,0.000185,-1.0811),(5485,115,0.000208,-1.0812),(5485,125,0.000231,-1.0814),(5485,135,0.000254,-1.0815),(5485,145,0.000271,-1.0817),(5485,155,0.000285,-1.0818),(5485,165,0.000299,-1.082),(5485,175,0.000312,-1.0822),(5485,185,0.000325,-1.0824),(5485,195,0.000337,-1.0826),(5485,205,0.000348,-1.0829),(5485,215,0.00036,-1.0831),(5485,225,0.000371,-1.0834),(5485,235,0.000381,-1.0836),(5485,245,0.000391,-1.0839),(5485,255,0.000402,-1.0842),(5485,265,0.000416,-1.0845),(5485,275,0.000432,-1.0847),(5485,285,0.000448,-1.085),(5485,295,0.000465,-1.0854),(5485,305,0.000479,-1.0857),(5485,315,0.000492,-1.086),(5485,325,0.000506,-1.0864),(5485,335,0.000519,-1.0867),(5485,345,0.000538,-1.087),(5485,355,0.000558,-1.0874),(5485,365,0.000578,-1.0878),(5485,375,0.000597,-1.0882),(5485,385,0.000614,-1.0887),(5485,395,0.00063,-1.0891),(5485,405,0.000646,-1.0895),(5485,415,0.000662,-1.09),(5485,425,0.000678,-1.0905),(5485,435,0.000694,-1.091),(5485,445,0.00071,-1.0915),(5485,455,0.000725,-1.092),(5485,465,0.000749,-1.0926),(5485,475,0.000773,-1.0931),(5485,485,0.000796,-1.0937),(5485,495,0.00082,-1.0943),(5485,505,0.000861,-1.0949),(5485,515,0.000902,-1.0955),(5485,525,0.000943,-1.0961),(5485,535,0.000983,-1.0968),(5485,545,0.001013,-1.0975),(5485,555,0.001042,-1.0981),(5485,565,0.001072,-1.0988),(5485,575,0.0011,-1.0995),(5485,585,0.001107,-1.1001),(5485,595,0.001114,-1.1008),(5485,605,0.001122,-1.1015),(5485,615,0.001129,-1.1022),(5485,625,0.001134,-1.1029),(5485,635,0.001139,-1.1036),(5485,645,0.001145,-1.1044),(5485,655,0.001153,-1.1052),(5485,665,0.001179,-1.106),(5485,675,0.001205,-1.1068),(5485,685,0.001231,-1.1077),(5485,695,0.001263,-1.1086),(5485,705,0.001319,-1.1095),(5485,715,0.001375,-1.1104),(5485,725,0.001431,-1.1114),(5485,735,0.001493,-1.1123),(5485,745,0.001576,-1.1133),(5485,755,0.00166,-1.1143),(5485,765,0.001743,-1.1154),(5485,775,0.001819,-1.1164),(5485,785,0.001876,-1.1175),(5485,795,0.001934,-1.1186),(5485,805,0.001991,-1.1196),(5485,815,0.002047,-1.1207),(5485,825,0.002099,-1.1218),(5485,835,0.002151,-1.1228),(5485,845,0.002203,-1.124),(5485,855,0.002254,-1.1251),(5485,865,0.002305,-1.1263),(5485,875,0.002355,-1.1274),(5485,885,0.002406,-1.1286),(5485,895,0.002459,-1.1299),(5485,905,0.002515,-1.1311),(5485,915,0.002571,-1.1323),(5485,925,0.002627,-1.1336),(5485,935,0.00269,-1.1349),(5485,945,0.002763,-1.1362),(5485,955,0.002836,-1.1375),(5485,965,0.002909,-1.1389),(5485,975,0.002998,-1.1402),(5485,985,0.003106,-1.1416),(5485,995,0.003213,-1.143),(5485,1005,0.003321,-1.1444),(5485,1015,0.003459,-1.1459),(5485,1025,0.003627,-1.1473),(5485,1035,0.003794,-1.1489),(5485,1045,0.003962,-1.1505),(5485,1055,0.004161,-1.1521),(5485,1065,0.004384,-1.1537),(5485,1075,0.004608,-1.1554),(5485,1085,0.004832,-1.1572),(5485,1095,0.005056,-1.159),(5485,1105,0.005281,-1.1607),(5485,1115,0.005506,-1.1626),(5485,1125,0.005731,-1.1644),(5485,1135,0.00584,-1.1663),(5485,1145,0.005881,-1.1681),(5485,1155,0.005921,-1.1698),(5485,1165,0.005962,-1.1713),(5485,1175,0.005626,-1.1729),(5485,1185,0.005104,-1.1744),(5485,1195,0.004581,-1.1752),(5485,1205,0.004059,-1.1755),(5485,1215,0.002868,-1.1758),(5485,1225,0.001402,-1.1761),(5485,1235,-6.4e-05,-1.1743),(5485,1245,-0.00153,-1.1718),(5485,1255,-0.001105,-1.1692),(5485,1265,-4.2e-05,-1.1666),(5485,1275,0.001022,-1.1636),(5485,1285,0.002085,-1.1603),(5485,1295,0.010761,-1.1571),(5485,1305,0.021496,-1.1539),(5485,1315,0.032231,-1.1598),(5485,1325,0.042965,-1.1679),(5485,1335,0.025446,-1.176),(5485,1345,0.002004,-1.1841),(5485,1355,-0.021437,-1.1773),(5485,1365,-0.044878,-1.1678),(5485,1375,-0.039093,-1.1583),(5485,1385,-0.028799,-1.1487),(5485,1395,-0.018504,-1.1491),(5485,1405,-0.00821,-1.1508),(5485,1415,-0.004737,-1.1524),(5485,1425,-0.001973,-1.154),(5485,1435,0.000791,-1.1573),(5485,1445,0.003555,-1.1607),(5485,1455,0.002518,-1.164062),(5485,1465,0.001261,-1.1674),(5485,1475,4e-06,-1.1683),(5485,1485,-0.001252,-1.1691),(5485,1495,-0.001911,-1.1699),(5485,1505,-0.002561,-1.1707),(5485,1515,-0.003211,-1.1699),(5485,1525,-0.003848,-1.1692),(5485,1535,-0.00398,-1.1685),(5485,1545,-0.004111,-1.1678),(5485,1555,-0.004243,-1.1665),(5485,1565,-0.004361,-1.1652),(5485,1575,-0.004287,-1.1639),(5485,1585,-0.004213,-1.1626),(5485,1595,-0.004138,-1.1611),(5485,1605,-0.004061,-1.1596),(5485,1615,-0.003964,-1.1581),(5485,1625,-0.003866,-1.1566),(5485,1635,-0.003768,-1.155),(5485,1645,-0.003671,-1.1534),(5485,1655,-0.003572,-1.1519),(5485,1665,-0.003473,-1.1503),(5485,1675,-0.003374,-1.1488),(5485,1685,-0.003276,-1.1473),(5485,1695,-0.003179,-1.1458),(5485,1705,-0.003083,-1.1443),(5485,1715,-0.002987,-1.1429),(5485,1725,-0.002891,-1.1415),(5485,1735,-0.002799,-1.14),(5485,1745,-0.002708,-1.1386),(5485,1755,-0.002616,-1.1374),(5485,1765,-0.002524,-1.1361),(5485,1775,-0.00243,-1.1348),(5485,1785,-0.002337,-1.1335),(5485,1795,-0.002244,-1.1323),(5485,1805,-0.002152,-1.1311),(5485,1815,-0.002065,-1.13),(5485,1825,-0.001977,-1.1288),(5485,1835,-0.00189,-1.1277),(5485,1845,-0.001804,-1.1266),(5485,1855,-0.001719,-1.1255),(5485,1865,-0.001635,-1.1244),(5485,1875,-0.00155,-1.1233),(5485,1885,-0.001483,-1.1223),(5485,1895,-0.001444,-1.1212),(5485,1905,-0.001405,-1.1202),(5485,1915,-0.001366,-1.1191),(5485,1925,-0.001335,-1.1181),(5485,1935,-0.001315,-1.117),(5485,1945,-0.001296,-1.116),(5485,1955,-0.001277,-1.115),(5485,1965,-0.001264,-1.1139),(5485,1975,-0.001261,-1.1129),(5485,1985,-0.001257,-1.1119),(5485,1995,-0.001254,-1.1109),(5485,2005,-0.001236,-1.11),(5485,2015,-0.001203,-1.109),(5485,2025,-0.001171,-1.1081),(5485,2035,-0.001138,-1.1072),(5485,2045,-0.001093,-1.1064),(5485,2055,-0.001039,-1.1055),(5485,2065,-0.000985,-1.1047),(5485,2075,-0.000931,-1.1039),(5485,2085,-0.000875,-1.1031),(5485,2095,-0.000819,-1.1023),(5485,2105,-0.000764,-1.1015),(5485,2115,-0.000708,-1.1007),(5485,2125,-0.000656,-1.0999),(5485,2135,-0.000607,-1.0991),(5485,2145,-0.000558,-1.0984),(5485,2155,-0.00051,-1.0976),(5485,2165,-0.000466,-1.0969),(5485,2175,-0.000425,-1.0962),(5485,2185,-0.000385,-1.0954),(5485,2195,-0.000344,-1.0947),(5485,2205,-0.000311,-1.094),(5485,2215,-0.000282,-1.0933),(5485,2225,-0.000253,-1.0926),(5485,2235,-0.000223,-1.0919),(5485,2245,-0.000194,-1.0912),(5485,2255,-0.000166,-1.0905),(5485,2265,-0.000137,-1.0899),(5485,2275,-0.000108,-1.0893),(5485,2285,-9.9e-05,-1.0886),(5485,2295,-9.5e-05,-1.088),(5485,2305,-9.1e-05,-1.0874),(5485,2315,-8.7e-05,-1.0868),(5485,2325,-4.9e-05,-1.0862),(5485,2335,-3e-06,-1.0856),(5485,2345,4.3e-05,-1.0851),(5485,2355,8.9e-05,-1.0845),(5485,2365,0.000138,-1.084),(5485,2375,0.000187,-1.0835),(5485,2385,0.000236,-1.083),(5485,2395,0.000285,-1.0825),(5485,2405,0.000318,-1.0819),(5485,2415,0.00035,-1.0814),(5485,2425,0.000382,-1.0809),(5485,2435,0.000414,-1.0804),(5485,2445,0.000427,-1.0799),(5485,2455,0.000437,-1.0794),(5485,2465,0.000448,-1.0789),(5485,2475,0.000459,-1.0783),(5485,2485,0.000467,-1.0778),(5485,2495,0.000475,-1.0773),(5485,2505,0.000483,-1.0768),(5485,2515,0.000492,-1.0763),(5485,2525,0.000518,-1.0758),(5485,2535,0.000545,-1.0753),(5485,2545,0.000571,-1.0748),(5485,2555,0.000597,-1.0744),(5485,2565,0.000624,-1.0739),(5485,2575,0.000651,-1.0735),(5485,2585,0.000678,-1.073),(5485,2595,0.000703,-1.0726),(5485,2605,0.000716,-1.0721),(5485,2615,0.000728,-1.0717),(5485,2625,0.000741,-1.0712),(5485,2635,0.000758,-1.0707),(5485,2645,0.000799,-1.0703),(5485,2655,0.00084,-1.0698),(5485,2665,0.000881,-1.0695),(5485,2675,0.000916,-1.0691),(5485,2685,0.000917,-1.0687),(5485,2695,0.000918,-1.0684),(5485,2705,0.000919,-1.068),(5485,2715,0.000925,-1.0676),(5485,2725,0.000948,-1.0672),(5485,2735,0.000971,-1.0668),(5485,2745,0.000994,-1.0665),(5485,2755,0.001013,-1.0661),(5485,2765,0.00102,-1.0657),(5485,2775,0.001027,-1.0653),(5485,2785,0.001033,-1.0649),(5485,2795,0.001039,-1.0646),(5485,2805,0.001044,-1.0642),(5485,2815,0.001048,-1.0638),(5485,2825,0.001053,-1.0634),(5485,2835,0.001062,-1.0631),(5485,2845,0.001081,-1.0627),(5485,2855,0.0011,-1.0624),(5485,2865,0.001119,-1.062),(5485,2875,0.001138,-1.0617),(5485,2885,0.00116,-1.0614),(5485,2895,0.001182,-1.061),(5485,2905,0.001203,-1.0607),(5485,2915,0.001222,-1.0604),(5485,2925,0.001238,-1.06),(5485,2935,0.001253,-1.0597),(5485,2945,0.001268,-1.0593),(5485,2955,0.001286,-1.0589),(5485,2965,0.001309,-1.0586),(5485,2975,0.001332,-1.0582),(5485,2985,0.001355,-1.0579),(5485,2995,0.001387,-1.0575),(5485,3005,0.001427,-1.0572),(5485,3015,0.001468,-1.0568),(5485,3025,0.001508,-1.0565),(5485,3035,0.001559,-1.0562),(5485,3045,0.001619,-1.0559),(5485,3055,0.00168,-1.0556),(5485,3065,0.00174,-1.0553),(5485,3075,0.001755,-1.055),(5485,3085,0.001736,-1.0548),(5485,3095,0.001718,-1.0544),(5485,3105,0.001699,-1.0541),(5485,3115,0.001704,-1.0537),(5485,3125,0.001723,-1.0534),(5485,3135,0.001742,-1.0531),(5485,3145,0.001761,-1.0528),(5485,3155,0.001802,-1.0525),(5485,3165,0.001853,-1.0522),(5485,3175,0.001905,-1.052),(5485,3185,0.001957,-1.0517),(5485,3195,0.001994,-1.0514),(5485,3205,0.002025,-1.0512),(5485,3215,0.002056,-1.0509),(5485,3225,0.002088,-1.0506),(5485,3235,0.002104,-1.0503),(5485,3245,0.002116,-1.05),(5485,3255,0.002127,-1.0497),(5485,3265,0.002139,-1.0494),(5485,3275,0.002146,-1.0491),(5485,3285,0.002152,-1.0488),(5485,3295,0.002159,-1.0485),(5485,3305,0.002165,-1.0482),(5485,3315,0.002175,-1.0479),(5485,3325,0.002187,-1.0476),(5485,3335,0.002199,-1.0473),(5485,3345,0.00221,-1.047),(5485,3355,0.002247,-1.0467),(5485,3365,0.002288,-1.0464),(5485,3375,0.00233,-1.0462),(5485,3385,0.002371,-1.0459),(5485,3395,0.00243,-1.0457),(5485,3405,0.002491,-1.0454),(5485,3415,0.002552,-1.0451),(5485,3425,0.002614,-1.0449),(5485,3435,0.002628,-1.0446),(5485,3445,0.002639,-1.0444),(5485,3455,0.00265,-1.0441),(5485,3465,0.002661,-1.0438),(5485,3475,0.002714,-1.0436),(5485,3485,0.002769,-1.0433),(5485,3495,0.002824,-1.0431),(5485,3505,0.002879,-1.0428),(5485,3515,0.002888,-1.0426),(5485,3525,0.002898,-1.0423),(5485,3535,0.002907,-1.042),(5485,3545,0.002918,-1.0417),(5485,3555,0.002963,-1.0413),(5485,3565,0.003008,-1.041),(5485,3575,0.003053,-1.0408),(5485,3585,0.003099,-1.0407),(5485,3595,0.003163,-1.0405),(5485,3605,0.003227,-1.0404),(5485,3615,0.00329,-1.0402),(5485,3625,0.003349,-1.04),(5485,3635,0.003374,-1.0398),(5485,3645,0.0034,-1.0396),(5485,3655,0.003425,-1.0393),(5485,3665,0.003455,-1.0389),(5485,3675,0.003507,-1.0386),(5485,3685,0.003559,-1.0384),(5485,3695,0.003611,-1.0382),(5485,3705,0.003658,-1.038),(5485,3715,0.003682,-1.0378),(5485,3725,0.003706,-1.0375),(5485,3735,0.00373,-1.0372),(5485,3745,0.003747,-1.0368),(5485,3755,0.003743,-1.0364),(5485,3765,0.003739,-1.036),(5485,3775,0.003735,-1.0356),(5485,3785,0.003711,-1.0351),(5485,3795,0.003637,-1.0347),(5485,3805,0.003563,-1.0342),(5485,3815,0.00349,-1.0335),(5485,3825,0.003341,-1.0328),(5485,3835,0.003034,-1.0321),(5485,3845,0.002727,-1.0312),(5485,3855,0.00242,-1.0299),(5485,3865,0.002008,-1.0286),(5485,3875,0.001408,-1.0273),(5485,3885,0.000808,-1.0256),(5485,3895,0.000208,-1.0232),(5485,3905,-0.000496,-1.0208),(5485,3915,-0.001354,-1.0184),(5485,3925,-0.002213,-1.0152),(5485,3935,-0.003071,-1.0111),(5485,3945,-0.002774,-1.0069),(5485,3955,-0.001012,-1.0028),(5485,3965,0.000751,-0.99926),(5485,3975,0.002514,-0.99649),(5485,3985,0.009682,-0.99372),(5485,3995,0.022699,-0.99094),(5485,4005,0.035717,-0.99568),(5485,4015,0.048735,-1.0079),(5485,4025,0.167,-1.0202),(5485,4035,0.29557,-1.0286),(5485,4045,0.42413,-1.029),(5485,4055,0.52146,-1.0294),(5485,4065,0.6074,-1.0298),(5485,4075,0.69334,-1.0306),(5485,4085,0.73135,-1.0315),(5485,4095,0.73085,-1.0323),(5485,4105,0.73034,-1.0332),(5485,4115,0.73017,-1.0342),(5485,4125,0.73055,-1.0351),(5485,4135,0.73093,-1.0359),(5485,4145,0.73149,-1.0366),(5485,4155,0.73279,-1.0374),(5485,4165,0.7341,-1.0379),(5485,4175,0.73542,-1.0384),(5485,4185,0.73761,-1.0389),(5485,4195,0.7398,-1.0392),(5485,4205,0.74199,-1.0394),(5485,4215,0.7448,-1.0395),(5485,4225,0.74772,-1.0396),(5485,4235,0.75064,-1.0393),(5485,4245,0.75393,-1.039),(5485,4255,0.75741,-1.0386),(5485,4265,0.76089,-1.0382),(5485,4275,0.76459,-1.0377),(5485,4285,0.76852,-1.0373),(5485,4295,0.77246,-1.0366),(5485,4305,0.7765,-1.0359),(5485,4315,0.7808,-1.0352),(5485,4325,0.7851,-1.0343),(5485,4335,0.78944,-1.0333),(5485,4345,0.79402,-1.0323),(5485,4355,0.79861,-1.0312),(5485,4365,0.8032,-1.03),(5485,4375,0.80803,-1.0288),(5485,4385,0.81287,-1.0274),(5485,4395,0.81772,-1.0259),(5485,4405,0.82272,-1.0243),(5485,4415,0.82777,-1.0227),(5485,4425,0.83282,-1.0209),(5485,4435,0.83798,-1.019),(5485,4445,0.84321,-1.0172),(5485,4455,0.84844,-1.015),(5485,4465,0.85372,-1.0128),(5485,4475,0.85908,-1.0106),(5485,4485,0.86444,-1.0081),(5485,4495,0.86982,-1.0056),(5485,4505,0.87528,-1.0031),(5485,4515,0.88074,-1.0004),(5485,4525,0.8862,-0.99754),(5485,4535,0.89171,-0.99473),(5485,4545,0.89722,-0.99178),(5485,4555,0.90274,-0.9887),(5485,4565,0.90824,-0.98561),(5485,4575,0.91375,-0.98247),(5485,4585,0.91926,-0.97924),(5485,4595,0.92476,-0.97601),(5485,4605,0.93026,-0.97275),(5485,4615,0.93576,-0.96933),(5485,4625,0.94124,-0.9659),(5485,4635,0.94671,-0.96247),(5485,4645,0.95219,-0.95889),(5485,4655,0.95765,-0.9553),(5485,4665,0.9631,-0.9517),(5485,4675,0.96855,-0.9479),(5485,4685,0.97399,-0.94403),(5485,4695,0.9794,-0.94016),(5485,4705,0.9848,-0.93616),(5485,4715,0.99021,-0.93206),(5485,4725,0.99552,-0.92796),(5485,4735,1.0008,-0.92381),(5485,4745,1.0061,-0.9196),(5485,4755,1.0114,-0.91538),(5485,4765,1.0166,-0.91113),(5485,4775,1.0218,-0.9068),(5485,4785,1.027,-0.90247),(5485,4795,1.0322,-0.89813),(5485,4805,1.0374,-0.89371),(5485,4815,1.0425,-0.88928),(5485,4825,1.0476,-0.88486),(5485,4835,1.0526,-0.88036),(5485,4845,1.0577,-0.87584),(5485,4855,1.0626,-0.87133),(5485,4865,1.0676,-0.86679),(5485,4875,1.0725,-0.86224),(5485,4885,1.0774,-0.85769),(5485,4895,1.0822,-0.85314),(5485,4905,1.0871,-0.8486),(5485,4915,1.0918,-0.84405),(5485,4925,1.0965,-0.8395),(5485,4935,1.1013,-0.83497),(5485,4945,1.1059,-0.83044),(5485,4955,1.1105,-0.8259),(5485,4965,1.1152,-0.82135),(5485,4975,1.1197,-0.81679),(5485,4985,1.1243,-0.81224),(5485,4995,1.1288,-0.80765),(5485,5005,1.1333,-0.80306),(5485,5015,1.1377,-0.79847),(5485,5025,1.1421,-0.79388),(5485,5035,1.1465,-0.7893),(5485,5045,1.1508,-0.78471),(5485,5055,1.1552,-0.78016),(5485,5065,1.1595,-0.77564),(5485,5075,1.1637,-0.77111),(5485,5085,1.168,-0.76659),(5485,5095,1.1722,-0.76207),(5485,5105,1.1764,-0.75755),(5485,5115,1.1805,-0.75304),(5485,5125,1.1847,-0.74856),(5485,5135,1.1888,-0.74409),(5485,5145,1.1929,-0.73961),(5485,5155,1.197,-0.73517),(5485,5165,1.2011,-0.73073),(5485,5175,1.2051,-0.72629),(5485,5185,1.2091,-0.72186),(5485,5195,1.2131,-0.71743),(5485,5205,1.2171,-0.713),(5485,5215,1.2211,-0.70861),(5485,5225,1.2251,-0.70424),(5485,5235,1.229,-0.69988),(5485,5245,1.233,-0.69551),(5485,5255,1.2369,-0.69113),(5485,5265,1.2408,-0.68676),(5485,5275,1.2447,-0.68239),(5485,5285,1.2486,-0.67803),(5485,5295,1.2525,-0.67367),(5485,5305,1.2564,-0.66932),(5485,5315,1.2602,-0.66499),(5485,5325,1.2641,-0.66065),(5485,5335,1.2679,-0.65632),(5485,5345,1.2717,-0.65198),(5485,5355,1.2755,-0.64764),(5485,5365,1.2793,-0.64329),(5485,5375,1.2831,-0.63897),(5485,5385,1.2868,-0.63464),(5485,5395,1.2906,-0.63032),(5485,5405,1.2943,-0.62599),(5485,5415,1.298,-0.62166),(5485,5425,1.3018,-0.61733),(5485,5435,1.3055,-0.613),(5485,5445,1.3092,-0.60868),(5485,5455,1.3129,-0.60435),(5485,5465,1.3166,-0.60001),(5485,5475,1.3203,-0.59565),(5485,5485,1.3239,-0.59129),(5485,5495,1.3276,-0.58693),(5485,5505,1.3313,-0.58255),(5485,5515,1.335,-0.57818),(5485,5525,1.3386,-0.5738),(5485,5535,1.3423,-0.56938),(5485,5545,1.3459,-0.56496),(5485,5555,1.3495,-0.56053),(5485,5565,1.3532,-0.55605),(5485,5575,1.3568,-0.55155),(5485,5585,1.3604,-0.54704),(5485,5595,1.364,-0.54251),(5485,5605,1.3675,-0.53796),(5485,5615,1.3711,-0.53341),(5485,5625,1.3746,-0.52885),(5485,5635,1.3782,-0.52429),(5485,5645,1.3817,-0.51973),(5485,5655,1.3852,-0.51516),(5485,5665,1.3887,-0.51057),(5485,5675,1.3921,-0.50598),(5485,5685,1.3956,-0.50139),(5485,5695,1.399,-0.49669),(5485,5705,1.4024,-0.492),(5485,5715,1.4058,-0.48731),(5485,5725,1.4092,-0.48256),(5485,5735,1.4125,-0.47779),(5485,5745,1.4158,-0.47303),(5485,5755,1.4192,-0.46824),(5485,5765,1.4225,-0.46345),(5485,5775,1.4257,-0.45866),(5485,5785,1.429,-0.45383),(5485,5795,1.4322,-0.44894),(5485,5805,1.4354,-0.44406),(5485,5815,1.4386,-0.43915),(5485,5825,1.4418,-0.43421),(5485,5835,1.445,-0.42927),(5485,5845,1.4481,-0.42433),(5485,5855,1.4513,-0.41936),(5485,5865,1.4544,-0.41439),(5485,5875,1.4574,-0.40943),(5485,5885,1.4605,-0.40441),(5485,5895,1.4636,-0.39939),(5485,5905,1.4666,-0.39438),(5485,5915,1.4696,-0.38928),(5485,5925,1.4726,-0.38416),(5485,5935,1.4754,-0.37904),(5485,5945,1.4783,-0.37386),(5485,5955,1.4812,-0.36865),(5485,5965,1.4841,-0.36344),(5485,5975,1.4869,-0.3582),(5485,5985,1.4897,-0.35293),(5485,5995,1.4924,-0.34766),(5485,6005,1.4951,-0.34237),(5485,6015,1.4978,-0.33702),(5485,6025,1.5005,-0.33167),(5485,6035,1.5031,-0.32631),(5485,6045,1.5057,-0.3209),(5485,6055,1.5082,-0.31548),(5485,6065,1.5108,-0.31007),(5485,6075,1.5133,-0.30461),(5485,6085,1.5158,-0.29916),(5485,6095,1.5182,-0.2937),(5485,6105,1.5206,-0.28821),(5485,6115,1.523,-0.28271),(5485,6125,1.5253,-0.27721),(5485,6135,1.5276,-0.27167),(5485,6145,1.53,-0.26611),(5485,6155,1.5322,-0.26055),(5485,6165,1.5343,-0.25494),(5485,6175,1.5365,-0.24927),(5485,6185,1.5386,-0.24359),(5485,6195,1.5407,-0.2379),(5485,6205,1.5428,-0.23214),(5485,6215,1.5447,-0.22638),(5485,6225,1.5466,-0.22063),(5485,6235,1.5486,-0.21486),(5485,6245,1.5504,-0.2091),(5485,6255,1.5522,-0.20333),(5485,6265,1.5539,-0.19751),(5485,6275,1.5557,-0.19168),(5485,6285,1.5573,-0.18584),(5485,6295,1.5589,-0.17993),(5485,6305,1.5605,-0.17399),(5485,6315,1.562,-0.16805),(5485,6325,1.5635,-0.16211),(5485,6335,1.565,-0.15619),(5485,6345,1.5663,-0.15027),(5485,6355,1.5677,-0.14432),(5485,6365,1.569,-0.13831),(5485,6375,1.5702,-0.13231),(5485,6385,1.5714,-0.1263),(5485,6395,1.5726,-0.12024),(5485,6405,1.5737,-0.11417),(5485,6415,1.5747,-0.10811),(5485,6425,1.5757,-0.10204),(5485,6435,1.5766,-0.095961),(5485,6445,1.5774,-0.089886),(5485,6455,1.5782,-0.083759),(5485,6465,1.579,-0.077618),(5485,6475,1.5796,-0.071476),(5485,6485,1.5803,-0.065348),(5485,6495,1.5809,-0.059228),(5485,6505,1.5814,-0.053109),(5485,6515,1.5818,-0.046977),(5485,6525,1.5823,-0.040827),(5485,6535,1.5826,-0.034678),(5485,6545,1.5829,-0.028525),(5485,6555,1.5832,-0.02236),(5485,6565,1.5833,-0.016195),(5485,6575,1.5834,-0.01003),(5485,6585,1.5835,-0.003862),(5485,6595,1.3469,0.002305),(5485,6605,0.84893,0.008472),(5485,6615,0.35093,0.009146),(5485,6625,0.000856,0.009115),(5485,6635,0.000881,0.009083),(5485,6645,0.000906,0.009085),(5485,6655,0.000931,0.009102),(5485,6665,0.000955,0.009118),(5485,6675,0.000978,0.009133),(5485,6685,0.001002,0.009149),(5485,6695,0.001024,0.009164),(5485,6705,0.001046,0.009179),(5485,6715,0.001069,0.009193),(5485,6725,0.00109,0.009207),(5485,6735,0.001111,0.009221),(5485,6745,0.001132,0.009234),(5485,6755,0.001152,0.009247),(5485,6765,0.001172,0.00926),(5485,6775,0.001192,0.009272),(5485,6785,0.001211,0.009284),(5485,6795,0.00123,0.009296),(5485,6805,0.001249,0.009307),(5485,6815,0.001267,0.009318),(5485,6825,0.001285,0.009329),(5485,6835,0.001303,0.00934),(5485,6845,0.001321,0.009349),(5485,6855,0.001338,0.009359),(5485,6865,0.001355,0.009368),(5485,6875,0.001372,0.009377),(5485,6885,0.001389,0.009386),(5485,6895,0.001405,0.009394),(5485,6905,0.001422,0.009402),(5485,6915,0.001438,0.00941),(5485,6925,0.001454,0.009417),(5485,6935,0.00147,0.009424),(5485,6945,0.001485,0.00943),(5485,6955,0.0015,0.009437),(5485,6965,0.001516,0.009443),(5485,6975,0.001531,0.009448),(5485,6985,0.001545,0.009454),(5495,5,1.5e-05,-1.1695),(5495,15,4.6e-05,-1.1697),(5495,25,7e-05,-1.1698),(5495,35,8.8e-05,-1.1699),(5495,45,0.000106,-1.17),(5495,55,0.000124,-1.1701),(5495,65,0.00014,-1.1702),(5495,75,0.000156,-1.1702),(5495,85,0.000171,-1.1703),(5495,95,0.000186,-1.1704),(5495,105,0.000209,-1.1706),(5495,115,0.000236,-1.1707),(5495,125,0.000264,-1.1708),(5495,135,0.000292,-1.171),(5495,145,0.00031,-1.1712),(5495,155,0.000324,-1.1714),(5495,165,0.000338,-1.1716),(5495,175,0.000352,-1.1718),(5495,185,0.000364,-1.172),(5495,195,0.000374,-1.1722),(5495,205,0.000385,-1.1725),(5495,215,0.000396,-1.1728),(5495,225,0.000405,-1.173),(5495,235,0.000413,-1.1733),(5495,245,0.000421,-1.1736),(5495,255,0.000429,-1.1739),(5495,265,0.000444,-1.1742),(5495,275,0.00046,-1.1745),(5495,285,0.000476,-1.1748),(5495,295,0.000492,-1.1752),(5495,305,0.000505,-1.1755),(5495,315,0.000517,-1.1759),(5495,325,0.000529,-1.1763),(5495,335,0.000541,-1.1766),(5495,345,0.00056,-1.177),(5495,355,0.00058,-1.1774),(5495,365,0.000601,-1.1778),(5495,375,0.000621,-1.1783),(5495,385,0.000636,-1.1787),(5495,395,0.000651,-1.1792),(5495,405,0.000665,-1.1797),(5495,415,0.000679,-1.1802),(5495,425,0.000693,-1.1807),(5495,435,0.000706,-1.1813),(5495,445,0.00072,-1.1818),(5495,455,0.000733,-1.1824),(5495,465,0.000756,-1.183),(5495,475,0.00078,-1.1835),(5495,485,0.000803,-1.1842),(5495,495,0.000827,-1.1848),(5495,505,0.000874,-1.1854),(5495,515,0.000921,-1.1861),(5495,525,0.000968,-1.1868),(5495,535,0.001014,-1.1875),(5495,545,0.001043,-1.1883),(5495,555,0.001072,-1.189),(5495,565,0.001101,-1.1897),(5495,575,0.001128,-1.1905),(5495,585,0.001123,-1.1912),(5495,595,0.001119,-1.1919),(5495,605,0.001114,-1.1927),(5495,615,0.001109,-1.1934),(5495,625,0.0011,-1.1942),(5495,635,0.001091,-1.195),(5495,645,0.001083,-1.1958),(5495,655,0.001078,-1.1967),(5495,665,0.001098,-1.1975),(5495,675,0.001118,-1.1984),(5495,685,0.001138,-1.1993),(5495,695,0.001166,-1.2003),(5495,705,0.001227,-1.2012),(5495,715,0.001289,-1.2022),(5495,725,0.001351,-1.2032),(5495,735,0.001422,-1.2043),(5495,745,0.001522,-1.2054),(5495,755,0.001622,-1.2064),(5495,765,0.001722,-1.2076),(5495,775,0.001811,-1.2088),(5495,785,0.001872,-1.2099),(5495,795,0.001933,-1.2111),(5495,805,0.001994,-1.2122),(5495,815,0.002052,-1.2134),(5495,825,0.002104,-1.2145),(5495,835,0.002155,-1.2157),(5495,845,0.002206,-1.2169),(5495,855,0.002256,-1.2182),(5495,865,0.002303,-1.2194),(5495,875,0.00235,-1.2207),(5495,885,0.002397,-1.222),(5495,895,0.002445,-1.2233),(5495,905,0.002496,-1.2246),(5495,915,0.002547,-1.226),(5495,925,0.002599,-1.2274),(5495,935,0.002658,-1.2288),(5495,945,0.002729,-1.2302),(5495,955,0.0028,-1.2316),(5495,965,0.002871,-1.233),(5495,975,0.002962,-1.2345),(5495,985,0.003077,-1.236),(5495,995,0.003192,-1.2375),(5495,1005,0.003306,-1.239),(5495,1015,0.003461,-1.2406),(5495,1025,0.003653,-1.2421),(5495,1035,0.003845,-1.2438),(5495,1045,0.004038,-1.2455),(5495,1055,0.004268,-1.2472),(5495,1065,0.004529,-1.249),(5495,1075,0.00479,-1.2508),(5495,1085,0.005051,-1.2527),(5495,1095,0.005304,-1.2546),(5495,1105,0.005551,-1.2565),(5495,1115,0.005798,-1.2584),(5495,1125,0.006045,-1.2604),(5495,1135,0.006115,-1.2624),(5495,1145,0.006079,-1.2644),(5495,1155,0.006043,-1.2663),(5495,1165,0.006007,-1.268),(5495,1175,0.005417,-1.2697),(5495,1185,0.004553,-1.2714),(5495,1195,0.003689,-1.2725),(5495,1205,0.002825,-1.2733),(5495,1215,0.000986,-1.2741),(5495,1225,-0.001255,-1.2748),(5495,1235,-0.003495,-1.2737),(5495,1245,-0.005736,-1.272),(5495,1255,-0.005288,-1.2702),(5495,1265,-0.00393,-1.2684),(5495,1275,-0.002573,-1.2618),(5495,1285,-0.001216,-1.2536),(5495,1295,0.010986,-1.2455),(5495,1305,0.026122,-1.2374),(5495,1315,0.041258,-1.2255),(5495,1325,0.056394,-1.2128),(5495,1335,0.033518,-1.2001),(5495,1345,0.002676,-1.1873),(5495,1355,-0.028167,-1.1935),(5495,1365,-0.059009,-1.203),(5495,1375,-0.050639,-1.2126),(5495,1385,-0.036219,-1.2221),(5495,1395,-0.021798,-1.2304),(5495,1405,-0.007378,-1.2384),(5495,1415,-0.002603,-1.2465),(5495,1425,0.001171,-1.2545),(5495,1435,0.004945,-1.2577),(5495,1445,0.008719,-1.2605),(5495,1455,0.007074,-1.2633),(5495,1465,0.005116,-1.266),(5495,1475,0.003159,-1.2665),(5495,1485,0.001202,-1.2669),(5495,1495,0.000127,-1.2673),(5495,1505,-0.000934,-1.2677),(5495,1515,-0.001995,-1.2668),(5495,1525,-0.003038,-1.2659),(5495,1535,-0.003331,-1.2651),(5495,1545,-0.003625,-1.2642),(5495,1555,-0.003919,-1.2628),(5495,1565,-0.004193,-1.2614),(5495,1575,-0.004169,-1.26),(5495,1585,-0.004146,-1.2586),(5495,1595,-0.004123,-1.257),(5495,1605,-0.004094,-1.2554),(5495,1615,-0.004019,-1.2538),(5495,1625,-0.003944,-1.2521),(5495,1635,-0.00387,-1.2504),(5495,1645,-0.003792,-1.2488),(5495,1655,-0.003701,-1.2471),(5495,1665,-0.003611,-1.2454),(5495,1675,-0.00352,-1.2438),(5495,1685,-0.003428,-1.2421),(5495,1695,-0.00333,-1.2405),(5495,1705,-0.003233,-1.2389),(5495,1715,-0.003135,-1.2374),(5495,1725,-0.003037,-1.2358),(5495,1735,-0.002939,-1.2343),(5495,1745,-0.002842,-1.2328),(5495,1755,-0.002744,-1.2314),(5495,1765,-0.002644,-1.23),(5495,1775,-0.002539,-1.2286),(5495,1785,-0.002434,-1.2272),(5495,1795,-0.002329,-1.2259),(5495,1805,-0.002226,-1.2246),(5495,1815,-0.002126,-1.2234),(5495,1825,-0.002026,-1.2221),(5495,1835,-0.001927,-1.2209),(5495,1845,-0.001827,-1.2197),(5495,1855,-0.001729,-1.2185),(5495,1865,-0.001631,-1.2173),(5495,1875,-0.001533,-1.2162),(5495,1885,-0.001459,-1.2151),(5495,1895,-0.001423,-1.2139),(5495,1905,-0.001388,-1.2128),(5495,1915,-0.001353,-1.2117),(5495,1925,-0.001329,-1.2106),(5495,1935,-0.00132,-1.2095),(5495,1945,-0.001311,-1.2084),(5495,1955,-0.001302,-1.2072),(5495,1965,-0.001303,-1.2061),(5495,1975,-0.001315,-1.205),(5495,1985,-0.001328,-1.2039),(5495,1995,-0.00134,-1.2029),(5495,2005,-0.001331,-1.2018),(5495,2015,-0.0013,-1.2007),(5495,2025,-0.001269,-1.1997),(5495,2035,-0.001238,-1.1988),(5495,2045,-0.001189,-1.1979),(5495,2055,-0.001126,-1.1969),(5495,2065,-0.001063,-1.196),(5495,2075,-0.001,-1.1952),(5495,2085,-0.000935,-1.1943),(5495,2095,-0.000869,-1.1934),(5495,2105,-0.000802,-1.1926),(5495,2115,-0.000736,-1.1917),(5495,2125,-0.000675,-1.1909),(5495,2135,-0.000619,-1.19),(5495,2145,-0.000562,-1.1892),(5495,2155,-0.000505,-1.1884),(5495,2165,-0.000455,-1.1876),(5495,2175,-0.000409,-1.1868),(5495,2185,-0.000363,-1.1861),(5495,2195,-0.000317,-1.1853),(5495,2205,-0.000282,-1.1845),(5495,2215,-0.000252,-1.1838),(5495,2225,-0.000221,-1.183),(5495,2235,-0.000191,-1.1823),(5495,2245,-0.000161,-1.1815),(5495,2255,-0.000131,-1.1808),(5495,2265,-0.000101,-1.1801),(5495,2275,-7.2e-05,-1.1794),(5495,2285,-6.9e-05,-1.1787),(5495,2295,-7.5e-05,-1.178),(5495,2305,-8e-05,-1.1774),(5495,2315,-8.5e-05,-1.1767),(5495,2325,-4.1e-05,-1.1761),(5495,2335,1.5e-05,-1.1754),(5495,2345,7e-05,-1.1748),(5495,2355,0.000126,-1.1742),(5495,2365,0.000186,-1.1737),(5495,2375,0.000246,-1.1731),(5495,2385,0.000306,-1.1726),(5495,2395,0.000366,-1.172),(5495,2405,0.000404,-1.1715),(5495,2415,0.00044,-1.1709),(5495,2425,0.000476,-1.1704),(5495,2435,0.000513,-1.1698),(5495,2445,0.00052,-1.1693),(5495,2455,0.000526,-1.1687),(5495,2465,0.000531,-1.1681),(5495,2475,0.000537,-1.1676),(5495,2485,0.00054,-1.167),(5495,2495,0.000542,-1.1664),(5495,2505,0.000544,-1.1659),(5495,2515,0.000547,-1.1653),(5495,2525,0.000576,-1.1648),(5495,2535,0.000605,-1.1642),(5495,2545,0.000633,-1.1638),(5495,2555,0.000662,-1.1633),(5495,2565,0.000692,-1.1628),(5495,2575,0.000721,-1.1623),(5495,2585,0.000751,-1.1618),(5495,2595,0.000779,-1.1614),(5495,2605,0.000789,-1.1609),(5495,2615,0.000798,-1.1604),(5495,2625,0.000808,-1.1599),(5495,2635,0.000823,-1.1594),(5495,2645,0.000874,-1.1588),(5495,2655,0.000925,-1.1583),(5495,2665,0.000976,-1.158),(5495,2675,0.001017,-1.1576),(5495,2685,0.00101,-1.1572),(5495,2695,0.001004,-1.1568),(5495,2705,0.000997,-1.1564),(5495,2715,0.000997,-1.156),(5495,2725,0.001022,-1.1555),(5495,2735,0.001046,-1.1551),(5495,2745,0.001071,-1.1547),(5495,2755,0.00109,-1.1543),(5495,2765,0.00109,-1.1539),(5495,2775,0.001091,-1.1535),(5495,2785,0.001091,-1.1531),(5495,2795,0.001091,-1.1527),(5495,2805,0.001088,-1.1523),(5495,2815,0.001085,-1.1519),(5495,2825,0.001082,-1.1515),(5495,2835,0.001085,-1.1511),(5495,2845,0.001102,-1.1507),(5495,2855,0.001119,-1.1503),(5495,2865,0.001136,-1.1499),(5495,2875,0.001154,-1.1496),(5495,2885,0.001174,-1.1492),(5495,2895,0.001194,-1.1488),(5495,2905,0.001214,-1.1485),(5495,2915,0.001231,-1.1481),(5495,2925,0.001241,-1.1477),(5495,2935,0.001252,-1.1474),(5495,2945,0.001263,-1.147),(5495,2955,0.001279,-1.1466),(5495,2965,0.001301,-1.1462),(5495,2975,0.001322,-1.1458),(5495,2985,0.001344,-1.1454),(5495,2995,0.001379,-1.145),(5495,3005,0.001426,-1.1447),(5495,3015,0.001473,-1.1443),(5495,3025,0.001521,-1.1439),(5495,3035,0.001583,-1.1436),(5495,3045,0.00166,-1.1432),(5495,3055,0.001736,-1.1429),(5495,3065,0.001812,-1.1426),(5495,3075,0.001824,-1.1424),(5495,3085,0.001787,-1.1421),(5495,3095,0.00175,-1.1418),(5495,3105,0.001714,-1.1414),(5495,3115,0.00171,-1.141),(5495,3125,0.001728,-1.1406),(5495,3135,0.001745,-1.1402),(5495,3145,0.001763,-1.1399),(5495,3155,0.001811,-1.1396),(5495,3165,0.001875,-1.1393),(5495,3175,0.001939,-1.139),(5495,3185,0.002003,-1.1387),(5495,3195,0.002047,-1.1384),(5495,3205,0.002082,-1.1382),(5495,3215,0.002116,-1.1379),(5495,3225,0.002151,-1.1375),(5495,3235,0.002164,-1.1372),(5495,3245,0.00217,-1.1369),(5495,3255,0.002175,-1.1366),(5495,3265,0.002181,-1.1363),(5495,3275,0.002181,-1.1359),(5495,3285,0.002179,-1.1356),(5495,3295,0.002177,-1.1353),(5495,3305,0.002174,-1.135),(5495,3315,0.002178,-1.1346),(5495,3325,0.002183,-1.1343),(5495,3335,0.002187,-1.134),(5495,3345,0.002192,-1.1336),(5495,3355,0.002233,-1.1333),(5495,3365,0.002279,-1.133),(5495,3375,0.002326,-1.1327),(5495,3385,0.002373,-1.1324),(5495,3395,0.002445,-1.1321),(5495,3405,0.00252,-1.1319),(5495,3415,0.002595,-1.1316),(5495,3425,0.00267,-1.1313),(5495,3435,0.002677,-1.1311),(5495,3445,0.002679,-1.1308),(5495,3455,0.00268,-1.1305),(5495,3465,0.002682,-1.1302),(5495,3475,0.002744,-1.1299),(5495,3485,0.002808,-1.1296),(5495,3495,0.002873,-1.1294),(5495,3505,0.002936,-1.1291),(5495,3515,0.002934,-1.1289),(5495,3525,0.002932,-1.1287),(5495,3535,0.002929,-1.1283),(5495,3545,0.002929,-1.1279),(5495,3555,0.002977,-1.1275),(5495,3565,0.003025,-1.1271),(5495,3575,0.003072,-1.1269),(5495,3585,0.003122,-1.1268),(5495,3595,0.003195,-1.1266),(5495,3605,0.003268,-1.1264),(5495,3615,0.003341,-1.1262),(5495,3625,0.003407,-1.126),(5495,3635,0.003424,-1.1258),(5495,3645,0.00344,-1.1256),(5495,3655,0.003457,-1.1252),(5495,3665,0.00348,-1.1249),(5495,3675,0.003534,-1.1246),(5495,3685,0.003588,-1.1242),(5495,3695,0.003642,-1.124),(5495,3705,0.003687,-1.1238),(5495,3715,0.003699,-1.1236),(5495,3725,0.003711,-1.1234),(5495,3735,0.003723,-1.123),(5495,3745,0.003725,-1.1226),(5495,3755,0.003696,-1.1222),(5495,3765,0.003666,-1.1218),(5495,3775,0.003636,-1.1213),(5495,3785,0.003577,-1.1208),(5495,3795,0.003446,-1.1204),(5495,3805,0.003314,-1.1198),(5495,3815,0.003183,-1.1191),(5495,3825,0.002943,-1.1184),(5495,3835,0.002474,-1.1177),(5495,3845,0.002006,-1.1168),(5495,3855,0.001538,-1.1154),(5495,3865,0.000916,-1.1141),(5495,3875,2.5e-05,-1.1127),(5495,3885,-0.000867,-1.111),(5495,3895,-0.001759,-1.1086),(5495,3905,-0.002801,-1.1062),(5495,3915,-0.004068,-1.1038),(5495,3925,-0.005335,-1.1005),(5495,3935,-0.006601,-1.0961),(5495,3945,-0.006212,-1.0916),(5495,3955,-0.003721,-1.0872),(5495,3965,-0.001229,-1.0812),(5495,3975,0.001262,-1.0735),(5495,3985,0.011505,-1.0658),(5495,3995,0.030138,-1.0581),(5495,4005,0.048771,-1.0501),(5495,4015,0.067405,-1.042),(5495,4025,0.1805,-1.0339),(5495,4035,0.30284,-1.0285),(5495,4045,0.42518,-1.0289),(5495,4055,0.52088,-1.0292),(5495,4065,0.60684,-1.0297),(5495,4075,0.69281,-1.0304),(5495,4085,0.73085,-1.0311),(5495,4095,0.73037,-1.0318),(5495,4105,0.7299,-1.0327),(5495,4115,0.72973,-1.0335),(5495,4125,0.73006,-1.0344),(5495,4135,0.73039,-1.0351),(5495,4145,0.73089,-1.0358),(5495,4155,0.73209,-1.0366),(5495,4165,0.73329,-1.0371),(5495,4175,0.7345,-1.0376),(5495,4185,0.73659,-1.038),(5495,4195,0.73867,-1.0384),(5495,4205,0.74075,-1.0385),(5495,4215,0.74346,-1.0387),(5495,4225,0.74628,-1.0387),(5495,4235,0.7491,-1.0384),(5495,4245,0.75229,-1.0381),(5495,4255,0.75568,-1.0377),(5495,4265,0.75907,-1.0373),(5495,4275,0.76268,-1.0368),(5495,4285,0.76653,-1.0363),(5495,4295,0.77038,-1.0356),(5495,4305,0.77434,-1.0348),(5495,4315,0.77855,-1.0341),(5495,4325,0.78276,-1.0331),(5495,4335,0.78701,-1.0321),(5495,4345,0.79149,-1.031),(5495,4355,0.79598,-1.0299),(5495,4365,0.80046,-1.0286),(5495,4375,0.80519,-1.0274),(5495,4385,0.80993,-1.026),(5495,4395,0.81467,-1.0245),(5495,4405,0.81956,-1.0229),(5495,4415,0.8245,-1.0213),(5495,4425,0.82944,-1.0195),(5495,4435,0.83449,-1.0176),(5495,4445,0.83961,-1.0158),(5495,4455,0.84473,-1.0137),(5495,4465,0.84991,-1.0115),(5495,4475,0.85515,-1.0094),(5495,4485,0.8604,-1.007),(5495,4495,0.86568,-1.0045),(5495,4505,0.87104,-1.0021),(5495,4515,0.8764,-0.99941),(5495,4525,0.88176,-0.99666),(5495,4535,0.88718,-0.99391),(5495,4545,0.8926,-0.99104),(5495,4555,0.89802,-0.98802),(5495,4565,0.90344,-0.985),(5495,4575,0.90886,-0.98193),(5495,4585,0.91428,-0.97877),(5495,4595,0.9197,-0.9756),(5495,4605,0.92512,-0.97241),(5495,4615,0.93053,-0.96905),(5495,4625,0.93594,-0.9657),(5495,4635,0.94135,-0.96234),(5495,4645,0.94675,-0.95884),(5495,4655,0.95214,-0.95532),(5495,4665,0.95753,-0.95181),(5495,4675,0.96291,-0.94809),(5495,4685,0.96829,-0.94431),(5495,4695,0.97364,-0.94053),(5495,4705,0.97899,-0.93662),(5495,4715,0.98434,-0.93262),(5495,4725,0.9896,-0.92862),(5495,4735,0.99485,-0.92457),(5495,4745,1.0001,-0.92045),(5495,4755,1.0053,-0.91633),(5495,4765,1.0105,-0.91218),(5495,4775,1.0157,-0.90791),(5495,4785,1.0208,-0.90364),(5495,4795,1.0259,-0.89936),(5495,4805,1.0311,-0.895),(5495,4815,1.0361,-0.89063),(5495,4825,1.0412,-0.88627),(5495,4835,1.0462,-0.88182),(5495,4845,1.0513,-0.87735),(5495,4855,1.0562,-0.87289),(5495,4865,1.0611,-0.86839),(5495,4875,1.066,-0.86388),(5495,4885,1.0709,-0.85937),(5495,4895,1.0757,-0.85486),(5495,4905,1.0805,-0.85035),(5495,4915,1.0852,-0.84583),(5495,4925,1.09,-0.84132),(5495,4935,1.0947,-0.83681),(5495,4945,1.0993,-0.8323),(5495,4955,1.104,-0.82779),(5495,4965,1.1086,-0.82325),(5495,4975,1.1131,-0.81872),(5495,4985,1.1177,-0.81418),(5495,4995,1.1222,-0.80961),(5495,5005,1.1267,-0.80504),(5495,5015,1.1311,-0.80047),(5495,5025,1.1355,-0.7959),(5495,5035,1.1399,-0.79133),(5495,5045,1.1442,-0.78676),(5495,5055,1.1486,-0.78222),(5495,5065,1.1529,-0.77769),(5495,5075,1.1571,-0.77317),(5495,5085,1.1614,-0.76865),(5495,5095,1.1656,-0.76413),(5495,5105,1.1698,-0.7596),(5495,5115,1.174,-0.75509),(5495,5125,1.1781,-0.75061),(5495,5135,1.1822,-0.74613),(5495,5145,1.1863,-0.74165),(5495,5155,1.1904,-0.7372),(5495,5165,1.1945,-0.73275),(5495,5175,1.1985,-0.7283),(5495,5185,1.2025,-0.72385),(5495,5195,1.2066,-0.7194),(5495,5205,1.2105,-0.71496),(5495,5215,1.2145,-0.71055),(5495,5225,1.2185,-0.70616),(5495,5235,1.2224,-0.70177),(5495,5245,1.2263,-0.69738),(5495,5255,1.2303,-0.69299),(5495,5265,1.2342,-0.68859),(5495,5275,1.2381,-0.6842),(5495,5285,1.242,-0.67981),(5495,5295,1.2459,-0.67542),(5495,5305,1.2497,-0.67104),(5495,5315,1.2536,-0.66668),(5495,5325,1.2575,-0.66232),(5495,5335,1.2613,-0.65796),(5495,5345,1.2651,-0.65359),(5495,5355,1.2689,-0.64922),(5495,5365,1.2727,-0.64485),(5495,5375,1.2765,-0.64049),(5495,5385,1.2802,-0.63614),(5495,5395,1.284,-0.63179),(5495,5405,1.2877,-0.62743),(5495,5415,1.2914,-0.62306),(5495,5425,1.2951,-0.6187),(5495,5435,1.2988,-0.61434),(5495,5445,1.3025,-0.60998),(5495,5455,1.3062,-0.60561),(5495,5465,1.3099,-0.60124),(5495,5475,1.3135,-0.59684),(5495,5485,1.3172,-0.59245),(5495,5495,1.3208,-0.58805),(5495,5505,1.3245,-0.58363),(5495,5515,1.3281,-0.57921),(5495,5525,1.3318,-0.57479),(5495,5535,1.3354,-0.57034),(5495,5545,1.339,-0.56588),(5495,5555,1.3426,-0.56142),(5495,5565,1.3462,-0.55691),(5495,5575,1.3498,-0.55238),(5495,5585,1.3534,-0.54784),(5495,5595,1.357,-0.54328),(5495,5605,1.3605,-0.53869),(5495,5615,1.364,-0.53411),(5495,5625,1.3676,-0.52952),(5495,5635,1.3711,-0.52492),(5495,5645,1.3746,-0.52033),(5495,5655,1.378,-0.51573),(5495,5665,1.3815,-0.51113),(5495,5675,1.385,-0.50653),(5495,5685,1.3884,-0.50191),(5495,5695,1.3918,-0.49717),(5495,5705,1.3952,-0.49244),(5495,5715,1.3986,-0.4877),(5495,5725,1.4019,-0.48292),(5495,5735,1.4053,-0.47814),(5495,5745,1.4086,-0.47336),(5495,5755,1.4118,-0.46856),(5495,5765,1.4151,-0.46375),(5495,5775,1.4184,-0.45894),(5495,5785,1.4216,-0.45409),(5495,5795,1.4248,-0.44918),(5495,5805,1.428,-0.44428),(5495,5815,1.4311,-0.43935),(5495,5825,1.4343,-0.43438),(5495,5835,1.4374,-0.42942),(5495,5845,1.4405,-0.42445),(5495,5855,1.4436,-0.41946),(5495,5865,1.4467,-0.41446),(5495,5875,1.4498,-0.40947),(5495,5885,1.4528,-0.40444),(5495,5895,1.4558,-0.3994),(5495,5905,1.4588,-0.39437),(5495,5915,1.4618,-0.38926),(5495,5925,1.4647,-0.38413),(5495,5935,1.4676,-0.379),(5495,5945,1.4705,-0.37381),(5495,5955,1.4733,-0.3686),(5495,5965,1.4761,-0.36339),(5495,5975,1.4789,-0.35814),(5495,5985,1.4817,-0.35283),(5495,5995,1.4844,-0.34753),(5495,6005,1.4871,-0.34221),(5495,6015,1.4898,-0.33686),(5495,6025,1.4924,-0.33152),(5495,6035,1.495,-0.32617),(5495,6045,1.4976,-0.32074),(5495,6055,1.5001,-0.31532),(5495,6065,1.5026,-0.30989),(5495,6075,1.5051,-0.30443),(5495,6085,1.5075,-0.29896),(5495,6095,1.5099,-0.29349),(5495,6105,1.5123,-0.28799),(5495,6115,1.5147,-0.28248),(5495,6125,1.517,-0.27696),(5495,6135,1.5192,-0.27142),(5495,6145,1.5215,-0.26584),(5495,6155,1.5237,-0.26027),(5495,6165,1.5259,-0.25466),(5495,6175,1.5281,-0.24898),(5495,6185,1.5301,-0.24331),(5495,6195,1.5322,-0.23762),(5495,6205,1.5342,-0.23186),(5495,6215,1.5362,-0.22611),(5495,6225,1.5381,-0.22035),(5495,6235,1.54,-0.2146),(5495,6245,1.5418,-0.20884),(5495,6255,1.5435,-0.20308),(5495,6265,1.5452,-0.19727),(5495,6275,1.547,-0.19145),(5495,6285,1.5486,-0.18562),(5495,6295,1.5502,-0.17971),(5495,6305,1.5518,-0.17374),(5495,6315,1.5532,-0.16778),(5495,6325,1.5547,-0.16184),(5495,6335,1.5561,-0.15592),(5495,6345,1.5574,-0.15001),(5495,6355,1.5588,-0.14406),(5495,6365,1.5601,-0.13807),(5495,6375,1.5613,-0.13207),(5495,6385,1.5625,-0.12606),(5495,6395,1.5636,-0.12001),(5495,6405,1.5647,-0.11395),(5495,6415,1.5657,-0.1079),(5495,6425,1.5667,-0.10184),(5495,6435,1.5676,-0.095774),(5495,6445,1.5684,-0.089712),(5495,6455,1.5692,-0.083596),(5495,6465,1.57,-0.077465),(5495,6475,1.5706,-0.071334),(5495,6485,1.5712,-0.065215),(5495,6495,1.5719,-0.059105),(5495,6505,1.5723,-0.052994),(5495,6515,1.5728,-0.046871),(5495,6525,1.5732,-0.04073),(5495,6535,1.5735,-0.034589),(5495,6545,1.5738,-0.028446),(5495,6555,1.5741,-0.022298),(5495,6565,1.5742,-0.01615),(5495,6575,1.5743,-0.01),(5495,6585,1.5744,-0.003832),(5495,6595,1.3392,0.002336),(5495,6605,0.84405,0.008504),(5495,6615,0.3489,0.009176),(5495,6625,0.000837,0.009143),(5495,6635,0.000863,0.009109),(5495,6645,0.000888,0.009111),(5495,6655,0.000913,0.009126),(5495,6665,0.000937,0.009142),(5495,6675,0.000961,0.009157),(5495,6685,0.000985,0.009172),(5495,6695,0.001007,0.009187),(5495,6705,0.00103,0.009201),(5495,6715,0.001052,0.009215),(5495,6725,0.001074,0.009229),(5495,6735,0.001095,0.009242),(5495,6745,0.001116,0.009255),(5495,6755,0.001137,0.009268),(5495,6765,0.001157,0.009281),(5495,6775,0.001177,0.009292),(5495,6785,0.001197,0.009304),(5495,6795,0.001216,0.009316),(5495,6805,0.001235,0.009327),(5495,6815,0.001254,0.009337),(5495,6825,0.001272,0.009348),(5495,6835,0.00129,0.009358),(5495,6845,0.001309,0.009367),(5495,6855,0.001326,0.009377),(5495,6865,0.001344,0.009386),(5495,6875,0.001361,0.009395),(5495,6885,0.001378,0.009403),(5495,6895,0.001395,0.009411),(5495,6905,0.001411,0.009419),(5495,6915,0.001428,0.009426),(5495,6925,0.001444,0.009433),(5495,6935,0.00146,0.00944),(5495,6945,0.001476,0.009446),(5495,6955,0.001491,0.009453),(5495,6965,0.001507,0.009458),(5495,6975,0.001522,0.009464),(5495,6985,0.001538,0.009469),(5505,5,1.7e-05,-1.2589),(5505,15,5.1e-05,-1.2591),(5505,25,7.8e-05,-1.2592),(5505,35,9.7e-05,-1.2593),(5505,45,0.000116,-1.2594),(5505,55,0.000135,-1.2595),(5505,65,0.000153,-1.2596),(5505,75,0.000169,-1.2597),(5505,85,0.000185,-1.2598),(5505,95,0.000202,-1.2599),(5505,105,0.000225,-1.26),(5505,115,0.000254,-1.2602),(5505,125,0.000283,-1.2603),(5505,135,0.000312,-1.2605),(5505,145,0.000333,-1.2607),(5505,155,0.000348,-1.2609),(5505,165,0.000364,-1.2611),(5505,175,0.00038,-1.2613),(5505,185,0.000393,-1.2616),(5505,195,0.000406,-1.2618),(5505,205,0.000419,-1.2621),(5505,215,0.000432,-1.2624),(5505,225,0.000442,-1.2627),(5505,235,0.000451,-1.263),(5505,245,0.00046,-1.2633),(5505,255,0.000469,-1.2636),(5505,265,0.000483,-1.264),(5505,275,0.000498,-1.2643),(5505,285,0.000514,-1.2646),(5505,295,0.000529,-1.265),(5505,305,0.00054,-1.2654),(5505,315,0.000548,-1.2658),(5505,325,0.000557,-1.2662),(5505,335,0.000566,-1.2666),(5505,345,0.000584,-1.267),(5505,355,0.000604,-1.2674),(5505,365,0.000624,-1.2679),(5505,375,0.000644,-1.2683),(5505,385,0.000655,-1.2688),(5505,395,0.000666,-1.2693),(5505,405,0.000676,-1.2699),(5505,415,0.000687,-1.2704),(5505,425,0.000697,-1.271),(5505,435,0.000708,-1.2715),(5505,445,0.000719,-1.2721),(5505,455,0.00073,-1.2727),(5505,465,0.000751,-1.2734),(5505,475,0.000772,-1.274),(5505,485,0.000793,-1.2746),(5505,495,0.000814,-1.2753),(5505,505,0.000864,-1.276),(5505,515,0.000915,-1.2767),(5505,525,0.000965,-1.2775),(5505,535,0.001015,-1.2783),(5505,545,0.001049,-1.2791),(5505,555,0.001083,-1.2799),(5505,565,0.001117,-1.2807),(5505,575,0.001147,-1.2815),(5505,585,0.001141,-1.2823),(5505,595,0.001135,-1.2831),(5505,605,0.001128,-1.2839),(5505,615,0.00112,-1.2847),(5505,625,0.001103,-1.2855),(5505,635,0.001085,-1.2863),(5505,645,0.001067,-1.2872),(5505,655,0.001053,-1.2881),(5505,665,0.001063,-1.289),(5505,675,0.001072,-1.2899),(5505,685,0.001081,-1.291),(5505,695,0.0011,-1.292),(5505,705,0.001156,-1.293),(5505,715,0.001213,-1.294),(5505,725,0.001269,-1.2951),(5505,735,0.001339,-1.2963),(5505,745,0.001454,-1.2974),(5505,755,0.001568,-1.2985),(5505,765,0.001683,-1.2998),(5505,775,0.001783,-1.3011),(5505,785,0.001847,-1.3023),(5505,795,0.001911,-1.3036),(5505,805,0.001974,-1.3048),(5505,815,0.002036,-1.3061),(5505,825,0.002094,-1.3073),(5505,835,0.002152,-1.3086),(5505,845,0.002211,-1.3099),(5505,855,0.002265,-1.3112),(5505,865,0.002312,-1.3125),(5505,875,0.002358,-1.3139),(5505,885,0.002405,-1.3153),(5505,895,0.002452,-1.3167),(5505,905,0.002499,-1.3182),(5505,915,0.002547,-1.3196),(5505,925,0.002594,-1.3211),(5505,935,0.00265,-1.3226),(5505,945,0.002719,-1.3241),(5505,955,0.002788,-1.3256),(5505,965,0.002857,-1.3272),(5505,975,0.00295,-1.3288),(5505,985,0.00307,-1.3303),(5505,995,0.00319,-1.3319),(5505,1005,0.003311,-1.3336),(5505,1015,0.003478,-1.3352),(5505,1025,0.00369,-1.3369),(5505,1035,0.003902,-1.3387),(5505,1045,0.004114,-1.3405),(5505,1055,0.00437,-1.3423),(5505,1065,0.004662,-1.3442),(5505,1075,0.004954,-1.3461),(5505,1085,0.005246,-1.3482),(5505,1095,0.005528,-1.3502),(5505,1105,0.005802,-1.3522),(5505,1115,0.006076,-1.3543),(5505,1125,0.00635,-1.3565),(5505,1135,0.006386,-1.3586),(5505,1145,0.006282,-1.3608),(5505,1155,0.006178,-1.3627),(5505,1165,0.006074,-1.3646),(5505,1175,0.005298,-1.3665),(5505,1185,0.004188,-1.3684),(5505,1195,0.003079,-1.3699),(5505,1205,0.001969,-1.3711),(5505,1215,-0.0004,-1.3723),(5505,1225,-0.003289,-1.3735),(5505,1235,-0.006179,-1.3731),(5505,1245,-0.009068,-1.3721),(5505,1255,-0.010137,-1.3712),(5505,1265,-0.010591,-1.3702),(5505,1275,-0.011046,-1.36),(5505,1285,-0.0115,-1.3469),(5505,1295,-0.000789,-1.3339),(5505,1305,0.012943,-1.3208),(5505,1315,0.026674,-1.2912),(5505,1325,0.040405,-1.2577),(5505,1335,0.023329,-1.2241),(5505,1345,-0.000204,-1.1906),(5505,1355,-0.023737,-1.2096),(5505,1365,-0.04727,-1.2383),(5505,1375,-0.038344,-1.2669),(5505,1385,-0.02441,-1.2956),(5505,1395,-0.010477,-1.3116),(5505,1405,0.003457,-1.3261),(5505,1415,0.006766,-1.3406),(5505,1425,0.008971,-1.355),(5505,1435,0.011177,-1.3581),(5505,1445,0.013382,-1.3603),(5505,1455,0.011067,-1.3625),(5505,1465,0.00849,-1.3646),(5505,1475,0.005914,-1.3647),(5505,1485,0.003338,-1.3647),(5505,1495,0.001939,-1.3647),(5505,1505,0.000558,-1.3647),(5505,1515,-0.000823,-1.3636),(5505,1525,-0.002182,-1.3626),(5505,1535,-0.002639,-1.3616),(5505,1545,-0.003096,-1.3606),(5505,1555,-0.003553,-1.3591),(5505,1565,-0.003982,-1.3576),(5505,1575,-0.004009,-1.3561),(5505,1585,-0.004037,-1.3546),(5505,1595,-0.004064,-1.3528),(5505,1605,-0.004082,-1.3511),(5505,1615,-0.004025,-1.3494),(5505,1625,-0.003967,-1.3477),(5505,1635,-0.003909,-1.3459),(5505,1645,-0.003847,-1.3441),(5505,1655,-0.00376,-1.3423),(5505,1665,-0.003673,-1.3405),(5505,1675,-0.003586,-1.3387),(5505,1685,-0.003497,-1.337),(5505,1695,-0.003395,-1.3353),(5505,1705,-0.003294,-1.3335),(5505,1715,-0.003193,-1.3319),(5505,1725,-0.003092,-1.3302),(5505,1735,-0.00299,-1.3286),(5505,1745,-0.002888,-1.3269),(5505,1755,-0.002786,-1.3254),(5505,1765,-0.002682,-1.3239),(5505,1775,-0.002573,-1.3224),(5505,1785,-0.002464,-1.3209),(5505,1795,-0.002355,-1.3195),(5505,1805,-0.002248,-1.3181),(5505,1815,-0.002146,-1.3168),(5505,1825,-0.002044,-1.3154),(5505,1835,-0.001941,-1.3141),(5505,1845,-0.001834,-1.3128),(5505,1855,-0.001718,-1.3115),(5505,1865,-0.001602,-1.3102),(5505,1875,-0.001486,-1.3091),(5505,1885,-0.001404,-1.3079),(5505,1895,-0.001378,-1.3067),(5505,1905,-0.001351,-1.3055),(5505,1915,-0.001325,-1.3043),(5505,1925,-0.001306,-1.3031),(5505,1935,-0.001296,-1.3019),(5505,1945,-0.001286,-1.3007),(5505,1955,-0.001276,-1.2995),(5505,1965,-0.001281,-1.2983),(5505,1975,-0.001305,-1.2971),(5505,1985,-0.001328,-1.2959),(5505,1995,-0.001352,-1.2948),(5505,2005,-0.001352,-1.2936),(5505,2015,-0.001329,-1.2925),(5505,2025,-0.001306,-1.2914),(5505,2035,-0.001283,-1.2904),(5505,2045,-0.001238,-1.2894),(5505,2055,-0.001176,-1.2884),(5505,2065,-0.001113,-1.2874),(5505,2075,-0.00105,-1.2864),(5505,2085,-0.000983,-1.2855),(5505,2095,-0.000913,-1.2846),(5505,2105,-0.000842,-1.2836),(5505,2115,-0.000772,-1.2827),(5505,2125,-0.000707,-1.2818),(5505,2135,-0.000646,-1.2809),(5505,2145,-0.000585,-1.2801),(5505,2155,-0.000523,-1.2792),(5505,2165,-0.000469,-1.2784),(5505,2175,-0.00042,-1.2775),(5505,2185,-0.00037,-1.2767),(5505,2195,-0.00032,-1.2759),(5505,2205,-0.000283,-1.275),(5505,2215,-0.000251,-1.2742),(5505,2225,-0.000219,-1.2734),(5505,2235,-0.000187,-1.2726),(5505,2245,-0.000144,-1.2718),(5505,2255,-9.9e-05,-1.271),(5505,2265,-5.3e-05,-1.2703),(5505,2275,-7e-06,-1.2695),(5505,2285,-1.4e-05,-1.2688),(5505,2295,-3.6e-05,-1.2681),(5505,2305,-5.8e-05,-1.2674),(5505,2315,-8e-05,-1.2666),(5505,2325,-3.1e-05,-1.2659),(5505,2335,3.4e-05,-1.2652),(5505,2345,9.9e-05,-1.2646),(5505,2355,0.000165,-1.2639),(5505,2365,0.000234,-1.2633),(5505,2375,0.000303,-1.2627),(5505,2385,0.000372,-1.2621),(5505,2395,0.000442,-1.2616),(5505,2405,0.000485,-1.261),(5505,2415,0.000525,-1.2604),(5505,2425,0.000566,-1.2598),(5505,2435,0.000606,-1.2592),(5505,2445,0.000609,-1.2586),(5505,2455,0.00061,-1.258),(5505,2465,0.000611,-1.2574),(5505,2475,0.000611,-1.2568),(5505,2485,0.000604,-1.2562),(5505,2495,0.000596,-1.2556),(5505,2505,0.000589,-1.255),(5505,2515,0.000582,-1.2544),(5505,2525,0.000606,-1.2538),(5505,2535,0.00063,-1.2532),(5505,2545,0.000654,-1.2527),(5505,2555,0.000678,-1.2522),(5505,2565,0.000707,-1.2517),(5505,2575,0.000737,-1.2511),(5505,2585,0.000766,-1.2506),(5505,2595,0.000793,-1.2501),(5505,2605,0.000796,-1.2496),(5505,2615,0.000798,-1.2491),(5505,2625,0.000801,-1.2485),(5505,2635,0.000814,-1.248),(5505,2645,0.000887,-1.2474),(5505,2655,0.000961,-1.2469),(5505,2665,0.001035,-1.2464),(5505,2675,0.001091,-1.246),(5505,2685,0.001063,-1.2456),(5505,2695,0.001034,-1.2452),(5505,2705,0.001006,-1.2448),(5505,2715,0.00099,-1.2443),(5505,2725,0.001024,-1.2439),(5505,2735,0.001058,-1.2434),(5505,2745,0.001092,-1.243),(5505,2755,0.001117,-1.2426),(5505,2765,0.001117,-1.2421),(5505,2775,0.001116,-1.2417),(5505,2785,0.001115,-1.2413),(5505,2795,0.001112,-1.2408),(5505,2805,0.001104,-1.2404),(5505,2815,0.001095,-1.2399),(5505,2825,0.001086,-1.2395),(5505,2835,0.001085,-1.239),(5505,2845,0.0011,-1.2386),(5505,2855,0.001114,-1.2382),(5505,2865,0.001128,-1.2378),(5505,2875,0.001145,-1.2374),(5505,2885,0.001165,-1.237),(5505,2895,0.001186,-1.2366),(5505,2905,0.001206,-1.2362),(5505,2915,0.001221,-1.2359),(5505,2925,0.001228,-1.2355),(5505,2935,0.001236,-1.2351),(5505,2945,0.001243,-1.2346),(5505,2955,0.001255,-1.2342),(5505,2965,0.001272,-1.2338),(5505,2975,0.001289,-1.2334),(5505,2985,0.001306,-1.233),(5505,2995,0.001337,-1.2325),(5505,3005,0.001383,-1.2321),(5505,3015,0.001428,-1.2317),(5505,3025,0.001473,-1.2313),(5505,3035,0.001552,-1.231),(5505,3045,0.001661,-1.2306),(5505,3055,0.001769,-1.2302),(5505,3065,0.001878,-1.23),(5505,3075,0.001889,-1.2297),(5505,3085,0.001827,-1.2294),(5505,3095,0.001766,-1.2291),(5505,3105,0.001704,-1.2286),(5505,3115,0.001691,-1.2282),(5505,3125,0.001708,-1.2277),(5505,3135,0.001726,-1.2274),(5505,3145,0.001743,-1.227),(5505,3155,0.001794,-1.2266),(5505,3165,0.001863,-1.2263),(5505,3175,0.001931,-1.226),(5505,3185,0.002,-1.2257),(5505,3195,0.002049,-1.2254),(5505,3205,0.002089,-1.2251),(5505,3215,0.002129,-1.2248),(5505,3225,0.002169,-1.2245),(5505,3235,0.002186,-1.2242),(5505,3245,0.002194,-1.2238),(5505,3255,0.002201,-1.2235),(5505,3265,0.002209,-1.2231),(5505,3275,0.002208,-1.2228),(5505,3285,0.002204,-1.2224),(5505,3295,0.0022,-1.2221),(5505,3305,0.002196,-1.2217),(5505,3315,0.002194,-1.2214),(5505,3325,0.002193,-1.221),(5505,3335,0.002192,-1.2206),(5505,3345,0.002191,-1.2203),(5505,3355,0.002227,-1.2199),(5505,3365,0.002269,-1.2196),(5505,3375,0.002312,-1.2193),(5505,3385,0.002354,-1.2189),(5505,3395,0.002447,-1.2186),(5505,3405,0.002547,-1.2183),(5505,3415,0.002647,-1.2181),(5505,3425,0.002747,-1.2178),(5505,3435,0.002729,-1.2176),(5505,3445,0.002703,-1.2173),(5505,3455,0.002676,-1.2169),(5505,3465,0.002649,-1.2166),(5505,3475,0.002724,-1.2163),(5505,3485,0.002802,-1.2159),(5505,3495,0.002881,-1.2157),(5505,3505,0.002959,-1.2154),(5505,3515,0.002955,-1.2152),(5505,3525,0.002951,-1.215),(5505,3535,0.002947,-1.2145),(5505,3545,0.002945,-1.2141),(5505,3555,0.002992,-1.2137),(5505,3565,0.003039,-1.2133),(5505,3575,0.003086,-1.2131),(5505,3585,0.003135,-1.2129),(5505,3595,0.003215,-1.2127),(5505,3605,0.003294,-1.2125),(5505,3615,0.003374,-1.2123),(5505,3625,0.003445,-1.212),(5505,3635,0.003456,-1.2118),(5505,3645,0.003467,-1.2116),(5505,3655,0.003478,-1.2112),(5505,3665,0.003495,-1.2109),(5505,3675,0.003547,-1.2105),(5505,3685,0.003598,-1.2101),(5505,3695,0.003648,-1.2099),(5505,3705,0.003688,-1.2097),(5505,3715,0.003686,-1.2095),(5505,3725,0.003683,-1.2092),(5505,3735,0.00368,-1.2088),(5505,3745,0.003662,-1.2084),(5505,3755,0.003598,-1.208),(5505,3765,0.003534,-1.2075),(5505,3775,0.00347,-1.207),(5505,3785,0.003374,-1.2065),(5505,3795,0.003199,-1.2061),(5505,3805,0.003023,-1.2055),(5505,3815,0.002848,-1.2048),(5505,3825,0.002523,-1.2041),(5505,3835,0.001882,-1.2034),(5505,3845,0.001241,-1.2024),(5505,3855,0.0006,-1.201),(5505,3865,-0.000233,-1.1996),(5505,3875,-0.001407,-1.1982),(5505,3885,-0.002581,-1.1964),(5505,3895,-0.003754,-1.194),(5505,3905,-0.005177,-1.1916),(5505,3915,-0.00697,-1.1892),(5505,3925,-0.008763,-1.1858),(5505,3935,-0.010557,-1.1811),(5505,3945,-0.010889,-1.1763),(5505,3955,-0.009367,-1.1716),(5505,3965,-0.007845,-1.1632),(5505,3975,-0.006323,-1.1505),(5505,3985,0.003092,-1.1378),(5505,3995,0.02105,-1.1252),(5505,4005,0.039008,-1.1046),(5505,4015,0.056966,-1.0761),(5505,4025,0.17283,-1.0477),(5505,4035,0.29827,-1.0285),(5505,4045,0.42372,-1.0288),(5505,4055,0.52022,-1.0291),(5505,4065,0.60617,-1.0295),(5505,4075,0.69213,-1.0301),(5505,4085,0.73018,-1.0307),(5505,4095,0.72974,-1.0313),(5505,4105,0.7293,-1.0321),(5505,4115,0.72915,-1.0329),(5505,4125,0.72947,-1.0337),(5505,4135,0.7298,-1.0344),(5505,4145,0.73027,-1.0351),(5505,4155,0.73136,-1.0358),(5505,4165,0.73245,-1.0363),(5505,4175,0.73356,-1.0367),(5505,4185,0.73554,-1.0372),(5505,4195,0.73753,-1.0375),(5505,4205,0.73951,-1.0376),(5505,4215,0.74211,-1.0378),(5505,4225,0.74483,-1.0378),(5505,4235,0.74754,-1.0375),(5505,4245,0.75064,-1.0372),(5505,4255,0.75392,-1.0368),(5505,4265,0.75721,-1.0363),(5505,4275,0.76073,-1.0358),(5505,4285,0.76449,-1.0353),(5505,4295,0.76825,-1.0346),(5505,4305,0.77212,-1.0338),(5505,4315,0.77624,-1.033),(5505,4325,0.78037,-1.0319),(5505,4335,0.78453,-1.0308),(5505,4345,0.78892,-1.0297),(5505,4355,0.79332,-1.0285),(5505,4365,0.79771,-1.0273),(5505,4375,0.80234,-1.026),(5505,4385,0.80698,-1.0246),(5505,4395,0.81162,-1.023),(5505,4405,0.81641,-1.0215),(5505,4415,0.82125,-1.0199),(5505,4425,0.82608,-1.0181),(5505,4435,0.83104,-1.0162),(5505,4445,0.83607,-1.0144),(5505,4455,0.84111,-1.0124),(5505,4465,0.84618,-1.0103),(5505,4475,0.85131,-1.0083),(5505,4485,0.85644,-1.0059),(5505,4495,0.86161,-1.0035),(5505,4505,0.86688,-1.0011),(5505,4515,0.87215,-0.99847),(5505,4525,0.87743,-0.99579),(5505,4535,0.88276,-0.9931),(5505,4545,0.88809,-0.99029),(5505,4555,0.89342,-0.98734),(5505,4565,0.89876,-0.98439),(5505,4575,0.90409,-0.98139),(5505,4585,0.90943,-0.97829),(5505,4595,0.91476,-0.97519),(5505,4605,0.9201,-0.97207),(5505,4615,0.92544,-0.96878),(5505,4625,0.93077,-0.9655),(5505,4635,0.9361,-0.96221),(5505,4645,0.94143,-0.95878),(5505,4655,0.94676,-0.95535),(5505,4665,0.95208,-0.95191),(5505,4675,0.9574,-0.94828),(5505,4685,0.96271,-0.94459),(5505,4695,0.968,-0.9409),(5505,4705,0.97328,-0.93709),(5505,4715,0.97857,-0.93318),(5505,4725,0.98378,-0.92927),(5505,4735,0.989,-0.92532),(5505,4745,0.99421,-0.9213),(5505,4755,0.99935,-0.91728),(5505,4765,1.0045,-0.91322),(5505,4775,1.0096,-0.90901),(5505,4785,1.0147,-0.90481),(5505,4795,1.0198,-0.9006),(5505,4805,1.0249,-0.89629),(5505,4815,1.0299,-0.89198),(5505,4825,1.0349,-0.88767),(5505,4835,1.0399,-0.88328),(5505,4845,1.0449,-0.87886),(5505,4855,1.0498,-0.87445),(5505,4865,1.0547,-0.87),(5505,4875,1.0596,-0.86553),(5505,4885,1.0644,-0.86105),(5505,4895,1.0692,-0.85658),(5505,4905,1.0741,-0.85209),(5505,4915,1.0788,-0.84761),(5505,4925,1.0835,-0.84313),(5505,4935,1.0882,-0.83865),(5505,4945,1.0928,-0.83416),(5505,4955,1.0974,-0.82968),(5505,4965,1.102,-0.82516),(5505,4975,1.1066,-0.82064),(5505,4985,1.1111,-0.81613),(5505,4995,1.1156,-0.81157),(5505,5005,1.1201,-0.80702),(5505,5015,1.1245,-0.80247),(5505,5025,1.1289,-0.79791),(5505,5035,1.1333,-0.79336),(5505,5045,1.1377,-0.78881),(5505,5055,1.142,-0.78427),(5505,5065,1.1463,-0.77975),(5505,5075,1.1505,-0.77523),(5505,5085,1.1548,-0.77071),(5505,5095,1.159,-0.76618),(5505,5105,1.1632,-0.76166),(5505,5115,1.1674,-0.75715),(5505,5125,1.1715,-0.75266),(5505,5135,1.1757,-0.74817),(5505,5145,1.1798,-0.74368),(5505,5155,1.1839,-0.73922),(5505,5165,1.1879,-0.73476),(5505,5175,1.1919,-0.7303),(5505,5185,1.196,-0.72584),(5505,5195,1.2,-0.72138),(5505,5205,1.204,-0.71692),(5505,5215,1.2079,-0.71249),(5505,5225,1.2119,-0.70808),(5505,5235,1.2158,-0.70367),(5505,5245,1.2198,-0.69926),(5505,5255,1.2237,-0.69484),(5505,5265,1.2276,-0.69043),(5505,5275,1.2315,-0.68601),(5505,5285,1.2354,-0.68159),(5505,5295,1.2392,-0.67718),(5505,5305,1.2431,-0.67276),(5505,5315,1.247,-0.66837),(5505,5325,1.2508,-0.66398),(5505,5335,1.2546,-0.6596),(5505,5345,1.2585,-0.6552),(5505,5355,1.2623,-0.6508),(5505,5365,1.266,-0.64641),(5505,5375,1.2698,-0.64202),(5505,5385,1.2736,-0.63764),(5505,5395,1.2773,-0.63326),(5505,5405,1.281,-0.62886),(5505,5415,1.2848,-0.62447),(5505,5425,1.2884,-0.62007),(5505,5435,1.2921,-0.61567),(5505,5445,1.2958,-0.61127),(5505,5455,1.2995,-0.60688),(5505,5465,1.3031,-0.60246),(5505,5475,1.3068,-0.59803),(5505,5485,1.3104,-0.5936),(5505,5495,1.314,-0.58916),(5505,5505,1.3177,-0.5847),(5505,5515,1.3213,-0.58025),(5505,5525,1.3249,-0.57579),(5505,5535,1.3285,-0.5713),(5505,5545,1.3321,-0.56681),(5505,5555,1.3357,-0.56232),(5505,5565,1.3393,-0.55777),(5505,5575,1.3429,-0.5532),(5505,5585,1.3464,-0.54864),(5505,5595,1.3499,-0.54404),(5505,5605,1.3535,-0.53942),(5505,5615,1.357,-0.53481),(5505,5625,1.3605,-0.53018),(5505,5635,1.364,-0.52556),(5505,5645,1.3674,-0.52093),(5505,5655,1.3709,-0.51631),(5505,5665,1.3744,-0.51169),(5505,5675,1.3778,-0.50707),(5505,5685,1.3812,-0.50244),(5505,5695,1.3846,-0.49765),(5505,5705,1.3879,-0.49287),(5505,5715,1.3913,-0.48808),(5505,5725,1.3946,-0.48329),(5505,5735,1.398,-0.47849),(5505,5745,1.4012,-0.47369),(5505,5755,1.4045,-0.46888),(5505,5765,1.4078,-0.46405),(5505,5775,1.411,-0.45922),(5505,5785,1.4142,-0.45434),(5505,5795,1.4174,-0.44942),(5505,5805,1.4205,-0.4445),(5505,5815,1.4236,-0.43955),(5505,5825,1.4268,-0.43456),(5505,5835,1.4299,-0.42956),(5505,5845,1.4329,-0.42457),(5505,5855,1.436,-0.41955),(5505,5865,1.4391,-0.41453),(5505,5875,1.4421,-0.40952),(5505,5885,1.4451,-0.40447),(5505,5895,1.4481,-0.39941),(5505,5905,1.451,-0.39436),(5505,5915,1.454,-0.38924),(5505,5925,1.4569,-0.38409),(5505,5935,1.4598,-0.37895),(5505,5945,1.4626,-0.37377),(5505,5955,1.4655,-0.36856),(5505,5965,1.4682,-0.36334),(5505,5975,1.471,-0.35808),(5505,5985,1.4738,-0.35273),(5505,5995,1.4764,-0.34739),(5505,6005,1.4791,-0.34205),(5505,6015,1.4818,-0.33671),(5505,6025,1.4844,-0.33137),(5505,6035,1.4869,-0.32602),(5505,6045,1.4895,-0.32058),(5505,6055,1.492,-0.31515),(5505,6065,1.4944,-0.30972),(5505,6075,1.4969,-0.30424),(5505,6085,1.4993,-0.29876),(5505,6095,1.5016,-0.29328),(5505,6105,1.504,-0.28776),(5505,6115,1.5063,-0.28224),(5505,6125,1.5086,-0.27672),(5505,6135,1.5109,-0.27116),(5505,6145,1.5131,-0.26558),(5505,6155,1.5153,-0.26),(5505,6165,1.5174,-0.25438),(5505,6175,1.5196,-0.2487),(5505,6185,1.5216,-0.24303),(5505,6195,1.5237,-0.23733),(5505,6205,1.5257,-0.23158),(5505,6215,1.5276,-0.22583),(5505,6225,1.5295,-0.22008),(5505,6235,1.5314,-0.21433),(5505,6245,1.5332,-0.20858),(5505,6255,1.5349,-0.20283),(5505,6265,1.5366,-0.19703),(5505,6275,1.5383,-0.19122),(5505,6285,1.5399,-0.18541),(5505,6295,1.5414,-0.17948),(5505,6305,1.543,-0.1735),(5505,6315,1.5444,-0.16752),(5505,6325,1.5459,-0.16157),(5505,6335,1.5473,-0.15566),(5505,6345,1.5486,-0.14975),(5505,6355,1.5499,-0.14381),(5505,6365,1.5512,-0.13782),(5505,6375,1.5524,-0.13183),(5505,6385,1.5536,-0.12583),(5505,6395,1.5547,-0.11978),(5505,6405,1.5558,-0.11373),(5505,6415,1.5567,-0.10769),(5505,6425,1.5577,-0.10164),(5505,6435,1.5586,-0.095588),(5505,6445,1.5594,-0.089538),(5505,6455,1.5602,-0.083433),(5505,6465,1.561,-0.077312),(5505,6475,1.5616,-0.071191),(5505,6485,1.5622,-0.065082),(5505,6495,1.5628,-0.058981),(5505,6505,1.5633,-0.052879),(5505,6515,1.5637,-0.046765),(5505,6525,1.5642,-0.040633),(5505,6535,1.5645,-0.0345),(5505,6545,1.5648,-0.028368),(5505,6555,1.565,-0.022237),(5505,6565,1.5652,-0.016105),(5505,6575,1.5653,-0.009971),(5505,6585,1.5654,-0.003802),(5505,6595,1.3315,0.002367),(5505,6605,0.83918,0.008536),(5505,6615,0.34689,0.009207),(5505,6625,0.000819,0.009171),(5505,6635,0.000845,0.009136),(5505,6645,0.000871,0.009136),(5505,6655,0.000896,0.009151),(5505,6665,0.00092,0.009166),(5505,6675,0.000944,0.009181),(5505,6685,0.000968,0.009195),(5505,6695,0.000991,0.00921),(5505,6705,0.001014,0.009224),(5505,6715,0.001037,0.009237),(5505,6725,0.001059,0.009251),(5505,6735,0.00108,0.009264),(5505,6745,0.001102,0.009276),(5505,6755,0.001123,0.009288),(5505,6765,0.001143,0.009301),(5505,6775,0.001163,0.009312),(5505,6785,0.001183,0.009324),(5505,6795,0.001203,0.009335),(5505,6805,0.001222,0.009346),(5505,6815,0.001241,0.009356),(5505,6825,0.00126,0.009366),(5505,6835,0.001278,0.009376),(5505,6845,0.001297,0.009385),(5505,6855,0.001315,0.009395),(5505,6865,0.001332,0.009404),(5505,6875,0.00135,0.009412),(5505,6885,0.001368,0.00942),(5505,6895,0.001385,0.009428),(5505,6905,0.001402,0.009435),(5505,6915,0.001418,0.009443),(5505,6925,0.001435,0.00945),(5505,6935,0.001451,0.009456),(5505,6945,0.001467,0.009462),(5505,6955,0.001483,0.009468),(5505,6965,0.001499,0.009474),(5505,6975,0.001515,0.009479),(5505,6985,0.00153,0.009484),(5515,5,1.7e-05,-1.3483),(5515,15,5.1e-05,-1.3484),(5515,25,7.7e-05,-1.3486),(5515,35,9.7e-05,-1.3487),(5515,45,0.000117,-1.3489),(5515,55,0.000137,-1.3489),(5515,65,0.000155,-1.349),(5515,75,0.000173,-1.3491),(5515,85,0.00019,-1.3492),(5515,95,0.000208,-1.3494),(5515,105,0.00023,-1.3495),(5515,115,0.000255,-1.3496),(5515,125,0.00028,-1.3498),(5515,135,0.000305,-1.35),(5515,145,0.000327,-1.3502),(5515,155,0.000347,-1.3504),(5515,165,0.000367,-1.3507),(5515,175,0.000387,-1.3509),(5515,185,0.000408,-1.3512),(5515,195,0.000429,-1.3514),(5515,205,0.00045,-1.3517),(5515,215,0.000471,-1.352),(5515,225,0.000487,-1.3524),(5515,235,0.0005,-1.3527),(5515,245,0.000514,-1.353),(5515,255,0.000528,-1.3534),(5515,265,0.000542,-1.3537),(5515,275,0.000556,-1.354),(5515,285,0.00057,-1.3544),(5515,295,0.000584,-1.3548),(5515,305,0.000589,-1.3553),(5515,315,0.000592,-1.3557),(5515,325,0.000595,-1.3561),(5515,335,0.000597,-1.3565),(5515,345,0.000612,-1.3569),(5515,355,0.00063,-1.3574),(5515,365,0.000647,-1.3579),(5515,375,0.000664,-1.3584),(5515,385,0.000669,-1.3589),(5515,395,0.000672,-1.3595),(5515,405,0.000675,-1.36),(5515,415,0.000678,-1.3606),(5515,425,0.000685,-1.3612),(5515,435,0.000693,-1.3618),(5515,445,0.000702,-1.3624),(5515,455,0.00071,-1.3631),(5515,465,0.000724,-1.3638),(5515,475,0.000738,-1.3644),(5515,485,0.000752,-1.3651),(5515,495,0.000766,-1.3659),(5515,505,0.000816,-1.3666),(5515,515,0.000865,-1.3673),(5515,525,0.000915,-1.3682),(5515,535,0.000965,-1.369),(5515,545,0.001012,-1.3699),(5515,555,0.00106,-1.3707),(5515,565,0.001108,-1.3716),(5515,575,0.001153,-1.3725),(5515,585,0.001162,-1.3733),(5515,595,0.001171,-1.3742),(5515,605,0.001179,-1.3751),(5515,615,0.001185,-1.3759),(5515,625,0.001167,-1.3768),(5515,635,0.001148,-1.3777),(5515,645,0.00113,-1.3787),(5515,655,0.001113,-1.3796),(5515,665,0.001105,-1.3805),(5515,675,0.001097,-1.3815),(5515,685,0.001088,-1.3826),(5515,695,0.001088,-1.3837),(5515,705,0.00112,-1.3847),(5515,715,0.001152,-1.3858),(5515,725,0.001185,-1.387),(5515,735,0.001238,-1.3882),(5515,745,0.001363,-1.3894),(5515,755,0.001488,-1.3906),(5515,765,0.001613,-1.392),(5515,775,0.001722,-1.3934),(5515,785,0.001786,-1.3947),(5515,795,0.00185,-1.3961),(5515,805,0.001915,-1.3974),(5515,815,0.001983,-1.3988),(5515,825,0.002061,-1.4001),(5515,835,0.002138,-1.4015),(5515,845,0.002216,-1.4029),(5515,855,0.002285,-1.4043),(5515,865,0.002338,-1.4057),(5515,875,0.002391,-1.4071),(5515,885,0.002444,-1.4087),(5515,895,0.002494,-1.4102),(5515,905,0.002539,-1.4117),(5515,915,0.002584,-1.4132),(5515,925,0.002629,-1.4148),(5515,935,0.002684,-1.4164),(5515,945,0.002751,-1.418),(5515,955,0.002818,-1.4197),(5515,965,0.002884,-1.4213),(5515,975,0.002978,-1.423),(5515,985,0.003101,-1.4247),(5515,995,0.003223,-1.4264),(5515,1005,0.003346,-1.4282),(5515,1015,0.00352,-1.4299),(5515,1025,0.003744,-1.4317),(5515,1035,0.003968,-1.4336),(5515,1045,0.004191,-1.4355),(5515,1055,0.004464,-1.4375),(5515,1065,0.004777,-1.4394),(5515,1075,0.005089,-1.4415),(5515,1085,0.005402,-1.4437),(5515,1095,0.005712,-1.4458),(5515,1105,0.006021,-1.448),(5515,1115,0.006329,-1.4502),(5515,1125,0.006638,-1.4525),(5515,1135,0.006653,-1.4548),(5515,1145,0.006495,-1.4571),(5515,1155,0.006337,-1.4592),(5515,1165,0.006178,-1.4613),(5515,1175,0.005329,-1.4634),(5515,1185,0.004137,-1.4654),(5515,1195,0.002945,-1.4672),(5515,1205,0.001753,-1.4689),(5515,1215,-0.000948,-1.4705),(5515,1225,-0.004271,-1.4722),(5515,1235,-0.007594,-1.4725),(5515,1245,-0.010918,-1.4723),(5515,1255,-0.016115,-1.4722),(5515,1265,-0.021946,-1.472),(5515,1275,-0.027777,-1.4582),(5515,1285,-0.033607,-1.4402),(5515,1295,-0.032884,-1.4223),(5515,1305,-0.030388,-1.4043),(5515,1315,-0.027893,-1.357),(5515,1325,-0.025397,-1.3026),(5515,1335,-0.017783,-1.2482),(5515,1345,-0.009097,-1.1938),(5515,1355,-0.00041,-1.2258),(5515,1365,0.008276,-1.2735),(5515,1375,0.014321,-1.3213),(5515,1385,0.019958,-1.369),(5515,1395,0.025595,-1.3929),(5515,1405,0.031232,-1.4138),(5515,1415,0.028385,-1.4346),(5515,1425,0.024656,-1.4555),(5515,1435,0.020928,-1.4585),(5515,1445,0.017199,-1.4601),(5515,1455,0.014106,-1.4616),(5515,1465,0.011048,-1.4632),(5515,1475,0.007991,-1.4629),(5515,1485,0.004934,-1.4625),(5515,1495,0.003365,-1.4621),(5515,1505,0.001819,-1.4616),(5515,1515,0.000274,-1.4605),(5515,1525,-0.001249,-1.4593),(5515,1535,-0.001871,-1.4582),(5515,1545,-0.002493,-1.457),(5515,1555,-0.003115,-1.4554),(5515,1565,-0.003701,-1.4538),(5515,1575,-0.003778,-1.4522),(5515,1585,-0.003854,-1.4505),(5515,1595,-0.003931,-1.4487),(5515,1605,-0.003994,-1.4469),(5515,1615,-0.003944,-1.4451),(5515,1625,-0.003894,-1.4432),(5515,1635,-0.003845,-1.4413),(5515,1645,-0.003789,-1.4394),(5515,1655,-0.003699,-1.4374),(5515,1665,-0.003608,-1.4355),(5515,1675,-0.003518,-1.4337),(5515,1685,-0.003424,-1.4318),(5515,1695,-0.003315,-1.43),(5515,1705,-0.003206,-1.4282),(5515,1715,-0.003097,-1.4264),(5515,1725,-0.00299,-1.4246),(5515,1735,-0.002888,-1.4228),(5515,1745,-0.002786,-1.4211),(5515,1755,-0.002683,-1.4195),(5515,1765,-0.002582,-1.4178),(5515,1775,-0.002482,-1.4162),(5515,1785,-0.002381,-1.4146),(5515,1795,-0.002281,-1.4131),(5515,1805,-0.002184,-1.4116),(5515,1815,-0.002096,-1.4102),(5515,1825,-0.002008,-1.4087),(5515,1835,-0.001919,-1.4073),(5515,1845,-0.001813,-1.4059),(5515,1855,-0.001671,-1.4045),(5515,1865,-0.00153,-1.4032),(5515,1875,-0.001388,-1.4019),(5515,1885,-0.001298,-1.4007),(5515,1895,-0.001289,-1.3994),(5515,1905,-0.001281,-1.3981),(5515,1915,-0.001272,-1.3969),(5515,1925,-0.001254,-1.3956),(5515,1935,-0.001223,-1.3943),(5515,1945,-0.001192,-1.393),(5515,1955,-0.001161,-1.3918),(5515,1965,-0.001157,-1.3905),(5515,1975,-0.001184,-1.3892),(5515,1985,-0.001211,-1.388),(5515,1995,-0.001238,-1.3867),(5515,2005,-0.001249,-1.3855),(5515,2015,-0.001245,-1.3842),(5515,2025,-0.00124,-1.383),(5515,2035,-0.001236,-1.382),(5515,2045,-0.001208,-1.3809),(5515,2055,-0.001162,-1.3798),(5515,2065,-0.001115,-1.3787),(5515,2075,-0.001068,-1.3777),(5515,2085,-0.001012,-1.3767),(5515,2095,-0.000948,-1.3757),(5515,2105,-0.000884,-1.3747),(5515,2115,-0.000821,-1.3738),(5515,2125,-0.00076,-1.3728),(5515,2135,-0.0007,-1.3718),(5515,2145,-0.000641,-1.3709),(5515,2155,-0.000582,-1.37),(5515,2165,-0.000528,-1.3691),(5515,2175,-0.000476,-1.3682),(5515,2185,-0.000425,-1.3673),(5515,2195,-0.000373,-1.3664),(5515,2205,-0.000334,-1.3656),(5515,2215,-0.000299,-1.3647),(5515,2225,-0.000264,-1.3638),(5515,2235,-0.000229,-1.363),(5515,2245,-0.000156,-1.3621),(5515,2255,-6.9e-05,-1.3612),(5515,2265,1.8e-05,-1.3605),(5515,2275,0.000105,-1.3597),(5515,2285,8.5e-05,-1.3589),(5515,2295,3.3e-05,-1.3582),(5515,2305,-1.9e-05,-1.3574),(5515,2315,-7e-05,-1.3566),(5515,2325,-1.9e-05,-1.3558),(5515,2335,5.6e-05,-1.355),(5515,2345,0.000132,-1.3543),(5515,2355,0.000207,-1.3537),(5515,2365,0.000282,-1.353),(5515,2375,0.000358,-1.3523),(5515,2385,0.000433,-1.3517),(5515,2395,0.000509,-1.3511),(5515,2405,0.000557,-1.3505),(5515,2415,0.000602,-1.3499),(5515,2425,0.000646,-1.3492),(5515,2435,0.000691,-1.3486),(5515,2445,0.00069,-1.348),(5515,2455,0.000686,-1.3474),(5515,2465,0.000683,-1.3467),(5515,2475,0.000679,-1.3461),(5515,2485,0.000655,-1.3454),(5515,2495,0.00063,-1.3447),(5515,2505,0.000605,-1.3441),(5515,2515,0.000581,-1.3434),(5515,2525,0.000588,-1.3428),(5515,2535,0.000596,-1.3422),(5515,2545,0.000603,-1.3416),(5515,2555,0.000611,-1.3411),(5515,2565,0.000634,-1.3405),(5515,2575,0.000658,-1.34),(5515,2585,0.000681,-1.3394),(5515,2595,0.000701,-1.3389),(5515,2605,0.000691,-1.3384),(5515,2615,0.00068,-1.3378),(5515,2625,0.00067,-1.3372),(5515,2635,0.000676,-1.3366),(5515,2645,0.000796,-1.336),(5515,2655,0.000915,-1.3354),(5515,2665,0.001034,-1.3349),(5515,2675,0.00112,-1.3345),(5515,2685,0.001045,-1.3341),(5515,2695,0.000971,-1.3337),(5515,2705,0.000896,-1.3332),(5515,2715,0.000849,-1.3327),(5515,2725,0.000906,-1.3322),(5515,2735,0.000962,-1.3317),(5515,2745,0.001018,-1.3312),(5515,2755,0.001062,-1.3308),(5515,2765,0.001069,-1.3303),(5515,2775,0.001075,-1.3299),(5515,2785,0.001082,-1.3294),(5515,2795,0.001083,-1.3289),(5515,2805,0.001072,-1.3284),(5515,2815,0.001061,-1.328),(5515,2825,0.001049,-1.3275),(5515,2835,0.001046,-1.327),(5515,2845,0.001058,-1.3266),(5515,2855,0.001069,-1.3261),(5515,2865,0.001081,-1.3257),(5515,2875,0.001097,-1.3253),(5515,2885,0.00112,-1.3248),(5515,2895,0.001142,-1.3244),(5515,2905,0.001165,-1.324),(5515,2915,0.00118,-1.3236),(5515,2925,0.001186,-1.3232),(5515,2935,0.001192,-1.3228),(5515,2945,0.001197,-1.3223),(5515,2955,0.001203,-1.3219),(5515,2965,0.00121,-1.3214),(5515,2975,0.001216,-1.3209),(5515,2985,0.001223,-1.3205),(5515,2995,0.00124,-1.3201),(5515,3005,0.001267,-1.3196),(5515,3015,0.001295,-1.3192),(5515,3025,0.001323,-1.3188),(5515,3035,0.001426,-1.3183),(5515,3045,0.001594,-1.3179),(5515,3055,0.001762,-1.3176),(5515,3065,0.001931,-1.3173),(5515,3075,0.001948,-1.317),(5515,3085,0.00185,-1.3168),(5515,3095,0.001752,-1.3164),(5515,3105,0.001654,-1.3159),(5515,3115,0.001628,-1.3154),(5515,3125,0.001648,-1.3149),(5515,3135,0.001668,-1.3145),(5515,3145,0.001688,-1.3141),(5515,3155,0.001734,-1.3137),(5515,3165,0.001793,-1.3133),(5515,3175,0.001852,-1.313),(5515,3185,0.001911,-1.3127),(5515,3195,0.001963,-1.3124),(5515,3205,0.002014,-1.3121),(5515,3215,0.002064,-1.3118),(5515,3225,0.002114,-1.3114),(5515,3235,0.002144,-1.3111),(5515,3245,0.002167,-1.3107),(5515,3255,0.002189,-1.3104),(5515,3265,0.002212,-1.31),(5515,3275,0.002221,-1.3096),(5515,3285,0.002227,-1.3092),(5515,3295,0.002233,-1.3089),(5515,3305,0.002238,-1.3085),(5515,3315,0.002235,-1.3081),(5515,3325,0.00223,-1.3077),(5515,3335,0.002224,-1.3073),(5515,3345,0.002219,-1.3069),(5515,3355,0.002236,-1.3065),(5515,3365,0.002256,-1.3061),(5515,3375,0.002277,-1.3058),(5515,3385,0.002298,-1.3055),(5515,3395,0.002428,-1.3051),(5515,3405,0.002572,-1.3048),(5515,3415,0.002716,-1.3045),(5515,3425,0.002859,-1.3043),(5515,3435,0.002788,-1.304),(5515,3445,0.0027,-1.3038),(5515,3455,0.002612,-1.3034),(5515,3465,0.002524,-1.303),(5515,3475,0.002619,-1.3026),(5515,3485,0.00272,-1.3022),(5515,3495,0.002822,-1.302),(5515,3505,0.002923,-1.3017),(5515,3515,0.002934,-1.3015),(5515,3525,0.002946,-1.3013),(5515,3535,0.002957,-1.3008),(5515,3545,0.00297,-1.3003),(5515,3555,0.00301,-1.2998),(5515,3565,0.00305,-1.2994),(5515,3575,0.00309,-1.2992),(5515,3585,0.003134,-1.2989),(5515,3595,0.003214,-1.2987),(5515,3605,0.003295,-1.2985),(5515,3615,0.003376,-1.2983),(5515,3625,0.003449,-1.2981),(5515,3635,0.003459,-1.2979),(5515,3645,0.003469,-1.2976),(5515,3655,0.00348,-1.2972),(5515,3665,0.003495,-1.2968),(5515,3675,0.003535,-1.2964),(5515,3685,0.003575,-1.296),(5515,3695,0.003615,-1.2958),(5515,3705,0.003642,-1.2956),(5515,3715,0.003619,-1.2954),(5515,3725,0.003597,-1.2951),(5515,3735,0.003574,-1.2946),(5515,3745,0.003529,-1.2942),(5515,3755,0.003416,-1.2938),(5515,3765,0.003303,-1.2933),(5515,3775,0.00319,-1.2928),(5515,3785,0.003054,-1.2922),(5515,3795,0.002858,-1.2917),(5515,3805,0.002662,-1.2911),(5515,3815,0.002466,-1.2904),(5515,3825,0.002065,-1.2897),(5515,3835,0.001234,-1.289),(5515,3845,0.000402,-1.288),(5515,3855,-0.00043,-1.2865),(5515,3865,-0.001481,-1.2851),(5515,3875,-0.00292,-1.2836),(5515,3885,-0.004359,-1.2818),(5515,3895,-0.005798,-1.2794),(5515,3905,-0.007671,-1.277),(5515,3915,-0.010191,-1.2747),(5515,3925,-0.012711,-1.2712),(5515,3935,-0.015231,-1.2661),(5515,3945,-0.017665,-1.261),(5515,3955,-0.019987,-1.256),(5515,3965,-0.02231,-1.2451),(5515,3975,-0.024632,-1.2275),(5515,3985,-0.022655,-1.2099),(5515,3995,-0.016024,-1.1923),(5515,4005,-0.009393,-1.1591),(5515,4015,-0.002762,-1.1102),(5515,4025,0.1293,-1.0614),(5515,4035,0.27364,-1.0284),(5515,4045,0.41797,-1.0287),(5515,4055,0.51947,-1.029),(5515,4065,0.60533,-1.0294),(5515,4075,0.69119,-1.0299),(5515,4085,0.72923,-1.0304),(5515,4095,0.72883,-1.0309),(5515,4105,0.72843,-1.0315),(5515,4115,0.72833,-1.0322),(5515,4125,0.72871,-1.0329),(5515,4135,0.7291,-1.0336),(5515,4145,0.7296,-1.0343),(5515,4155,0.73058,-1.035),(5515,4165,0.73156,-1.0355),(5515,4175,0.73256,-1.0359),(5515,4185,0.73446,-1.0363),(5515,4195,0.73636,-1.0366),(5515,4205,0.73826,-1.0367),(5515,4215,0.74076,-1.0369),(5515,4225,0.74336,-1.0369),(5515,4235,0.74597,-1.0366),(5515,4245,0.74895,-1.0363),(5515,4255,0.75212,-1.0359),(5515,4265,0.7553,-1.0354),(5515,4275,0.75871,-1.0349),(5515,4285,0.76237,-1.0343),(5515,4295,0.76603,-1.0335),(5515,4305,0.76981,-1.0327),(5515,4315,0.77386,-1.0318),(5515,4325,0.7779,-1.0308),(5515,4335,0.78198,-1.0296),(5515,4345,0.78629,-1.0285),(5515,4355,0.79061,-1.0272),(5515,4365,0.79493,-1.0259),(5515,4375,0.79947,-1.0246),(5515,4385,0.80403,-1.0232),(5515,4395,0.80859,-1.0216),(5515,4405,0.81329,-1.0201),(5515,4415,0.81802,-1.0185),(5515,4425,0.82276,-1.0167),(5515,4435,0.82765,-1.0149),(5515,4445,0.83264,-1.013),(5515,4455,0.83763,-1.0111),(5515,4465,0.84262,-1.0091),(5515,4475,0.84762,-1.0071),(5515,4485,0.85262,-1.0048),(5515,4495,0.85767,-1.0024),(5515,4505,0.86287,-1.0001),(5515,4515,0.86806,-0.99753),(5515,4525,0.87326,-0.99491),(5515,4535,0.87851,-0.99228),(5515,4545,0.88377,-0.98954),(5515,4555,0.88902,-0.98666),(5515,4565,0.89427,-0.98378),(5515,4575,0.89953,-0.98085),(5515,4585,0.90479,-0.97782),(5515,4595,0.91005,-0.97478),(5515,4605,0.91531,-0.97172),(5515,4615,0.92057,-0.96851),(5515,4625,0.92582,-0.9653),(5515,4635,0.93108,-0.96208),(5515,4645,0.93633,-0.95873),(5515,4655,0.94158,-0.95537),(5515,4665,0.94683,-0.95201),(5515,4675,0.95208,-0.94847),(5515,4685,0.95733,-0.94488),(5515,4695,0.96254,-0.94128),(5515,4705,0.96776,-0.93755),(5515,4715,0.97298,-0.93374),(5515,4725,0.97816,-0.92993),(5515,4735,0.98335,-0.92607),(5515,4745,0.98853,-0.92215),(5515,4755,0.99361,-0.91823),(5515,4765,0.99866,-0.91426),(5515,4775,1.0037,-0.91012),(5515,4785,1.0088,-0.90598),(5515,4795,1.0138,-0.90183),(5515,4805,1.0189,-0.89758),(5515,4815,1.0239,-0.89333),(5515,4825,1.0288,-0.88908),(5515,4835,1.0338,-0.88473),(5515,4845,1.0388,-0.88037),(5515,4855,1.0436,-0.87601),(5515,4865,1.0485,-0.8716),(5515,4875,1.0534,-0.86717),(5515,4885,1.0582,-0.86273),(5515,4895,1.0629,-0.85829),(5515,4905,1.0677,-0.85384),(5515,4915,1.0724,-0.8494),(5515,4925,1.0771,-0.84494),(5515,4935,1.0818,-0.84049),(5515,4945,1.0864,-0.83603),(5515,4955,1.091,-0.83156),(5515,4965,1.0956,-0.82707),(5515,4975,1.1001,-0.82257),(5515,4985,1.1046,-0.81807),(5515,4995,1.1091,-0.81354),(5515,5005,1.1136,-0.809),(5515,5015,1.118,-0.80447),(5515,5025,1.1224,-0.79993),(5515,5035,1.1268,-0.79539),(5515,5045,1.1311,-0.79086),(5515,5055,1.1354,-0.78633),(5515,5065,1.1397,-0.78181),(5515,5075,1.144,-0.77729),(5515,5085,1.1482,-0.77277),(5515,5095,1.1525,-0.76824),(5515,5105,1.1567,-0.76372),(5515,5115,1.1608,-0.7592),(5515,5125,1.165,-0.75471),(5515,5135,1.1691,-0.75021),(5515,5145,1.1732,-0.74572),(5515,5155,1.1773,-0.74125),(5515,5165,1.1814,-0.73678),(5515,5175,1.1854,-0.73231),(5515,5185,1.1894,-0.72783),(5515,5195,1.1934,-0.72335),(5515,5205,1.1974,-0.71888),(5515,5215,1.2014,-0.71443),(5515,5225,1.2053,-0.71),(5515,5235,1.2092,-0.70557),(5515,5245,1.2132,-0.70114),(5515,5255,1.2171,-0.6967),(5515,5265,1.221,-0.69226),(5515,5275,1.2249,-0.68782),(5515,5285,1.2287,-0.68337),(5515,5295,1.2326,-0.67893),(5515,5305,1.2365,-0.67449),(5515,5315,1.2403,-0.67007),(5515,5325,1.2441,-0.66565),(5515,5335,1.248,-0.66123),(5515,5345,1.2518,-0.65681),(5515,5355,1.2556,-0.65239),(5515,5365,1.2593,-0.64796),(5515,5375,1.2631,-0.64355),(5515,5385,1.2669,-0.63914),(5515,5395,1.2706,-0.63472),(5515,5405,1.2743,-0.6303),(5515,5415,1.278,-0.62587),(5515,5425,1.2817,-0.62144),(5515,5435,1.2854,-0.61701),(5515,5445,1.289,-0.61257),(5515,5455,1.2927,-0.60814),(5515,5465,1.2963,-0.60369),(5515,5475,1.3,-0.59922),(5515,5485,1.3036,-0.59475),(5515,5495,1.3072,-0.59027),(5515,5505,1.3108,-0.58578),(5515,5515,1.3144,-0.58128),(5515,5525,1.318,-0.57679),(5515,5535,1.3216,-0.57226),(5515,5545,1.3252,-0.56774),(5515,5555,1.3288,-0.56321),(5515,5565,1.3323,-0.55863),(5515,5575,1.3359,-0.55403),(5515,5585,1.3394,-0.54944),(5515,5595,1.3429,-0.54481),(5515,5605,1.3464,-0.54016),(5515,5615,1.3499,-0.5355),(5515,5625,1.3534,-0.53085),(5515,5635,1.3568,-0.52619),(5515,5645,1.3603,-0.52153),(5515,5655,1.3637,-0.51688),(5515,5665,1.3672,-0.51225),(5515,5675,1.3705,-0.50761),(5515,5685,1.3739,-0.50297),(5515,5695,1.3772,-0.49813),(5515,5705,1.3806,-0.4933),(5515,5715,1.3839,-0.48847),(5515,5725,1.3873,-0.48365),(5515,5735,1.3906,-0.47884),(5515,5745,1.3939,-0.47403),(5515,5755,1.3971,-0.46919),(5515,5765,1.4004,-0.46435),(5515,5775,1.4035,-0.4595),(5515,5785,1.4067,-0.4546),(5515,5795,1.4099,-0.44966),(5515,5805,1.413,-0.44471),(5515,5815,1.4161,-0.43975),(5515,5825,1.4192,-0.43473),(5515,5835,1.4223,-0.42971),(5515,5845,1.4253,-0.42469),(5515,5855,1.4284,-0.41965),(5515,5865,1.4314,-0.41461),(5515,5875,1.4344,-0.40956),(5515,5885,1.4374,-0.40449),(5515,5895,1.4404,-0.39943),(5515,5905,1.4433,-0.39436),(5515,5915,1.4462,-0.38922),(5515,5925,1.4491,-0.38406),(5515,5935,1.452,-0.37891),(5515,5945,1.4548,-0.37372),(5515,5955,1.4576,-0.36851),(5515,5965,1.4603,-0.3633),(5515,5975,1.463,-0.35801),(5515,5985,1.4657,-0.35264),(5515,5995,1.4684,-0.34726),(5515,6005,1.4711,-0.3419),(5515,6015,1.4738,-0.33656),(5515,6025,1.4764,-0.33122),(5515,6035,1.4789,-0.32587),(5515,6045,1.4814,-0.32043),(5515,6055,1.4839,-0.31499),(5515,6065,1.4863,-0.30955),(5515,6075,1.4887,-0.30405),(5515,6085,1.4911,-0.29856),(5515,6095,1.4934,-0.29307),(5515,6105,1.4958,-0.28754),(5515,6115,1.4981,-0.282),(5515,6125,1.5003,-0.27647),(5515,6135,1.5025,-0.2709),(5515,6145,1.5048,-0.26531),(5515,6155,1.5069,-0.25973),(5515,6165,1.509,-0.2541),(5515,6175,1.5112,-0.24842),(5515,6185,1.5132,-0.24274),(5515,6195,1.5152,-0.23705),(5515,6205,1.5172,-0.2313),(5515,6215,1.5191,-0.22555),(5515,6225,1.521,-0.21981),(5515,6235,1.5228,-0.21406),(5515,6245,1.5246,-0.20832),(5515,6255,1.5263,-0.20258),(5515,6265,1.528,-0.19679),(5515,6275,1.5297,-0.19099),(5515,6285,1.5312,-0.18519),(5515,6295,1.5328,-0.17926),(5515,6305,1.5343,-0.17325),(5515,6315,1.5357,-0.16725),(5515,6325,1.5372,-0.16129),(5515,6335,1.5386,-0.15539),(5515,6345,1.5399,-0.14949),(5515,6355,1.5412,-0.14356),(5515,6365,1.5425,-0.13757),(5515,6375,1.5436,-0.13158),(5515,6385,1.5448,-0.12559),(5515,6395,1.5459,-0.11955),(5515,6405,1.5469,-0.11351),(5515,6415,1.5479,-0.10747),(5515,6425,1.5488,-0.10144),(5515,6435,1.5498,-0.095401),(5515,6445,1.5505,-0.089364),(5515,6455,1.5513,-0.08327),(5515,6465,1.5521,-0.077159),(5515,6475,1.5527,-0.071048),(5515,6485,1.5533,-0.064949),(5515,6495,1.5539,-0.058857),(5515,6505,1.5544,-0.052765),(5515,6515,1.5548,-0.046659),(5515,6525,1.5552,-0.040535),(5515,6535,1.5555,-0.034412),(5515,6545,1.5558,-0.02829),(5515,6555,1.5561,-0.022175),(5515,6565,1.5562,-0.01606),(5515,6575,1.5563,-0.009942),(5515,6585,1.5564,-0.003772),(5515,6595,1.3238,0.002398),(5515,6605,0.83435,0.008568),(5515,6615,0.34488,0.009237),(5515,6625,0.000803,0.009199),(5515,6635,0.000829,0.009162),(5515,6645,0.000855,0.009161),(5515,6655,0.00088,0.009176),(5515,6665,0.000905,0.009191),(5515,6675,0.000929,0.009205),(5515,6685,0.000953,0.009219),(5515,6695,0.000976,0.009233),(5515,6705,0.000999,0.009246),(5515,6715,0.001022,0.009259),(5515,6725,0.001044,0.009272),(5515,6735,0.001066,0.009285),(5515,6745,0.001088,0.009297),(5515,6755,0.001109,0.009309),(5515,6765,0.00113,0.009321),(5515,6775,0.00115,0.009332),(5515,6785,0.001171,0.009343),(5515,6795,0.00119,0.009354),(5515,6805,0.00121,0.009365),(5515,6815,0.001229,0.009375),(5515,6825,0.001248,0.009385),(5515,6835,0.001267,0.009394),(5515,6845,0.001286,0.009404),(5515,6855,0.001304,0.009413),(5515,6865,0.001322,0.009421),(5515,6875,0.00134,0.009429),(5515,6885,0.001357,0.009437),(5515,6895,0.001375,0.009445),(5515,6905,0.001392,0.009452),(5515,6915,0.001409,0.009459),(5515,6925,0.001426,0.009466),(5515,6935,0.001442,0.009472),(5515,6945,0.001459,0.009478),(5515,6955,0.001475,0.009484),(5515,6965,0.001491,0.009489),(5515,6975,0.001507,0.009495),(5515,6985,0.001523,0.0095),(5525,5,1.7e-05,-1.4007),(5525,15,5e-05,-1.4009),(5525,25,7.7e-05,-1.401),(5525,35,9.7e-05,-1.4012),(5525,45,0.000118,-1.4013),(5525,55,0.000138,-1.4014),(5525,65,0.000158,-1.4015),(5525,75,0.000177,-1.4016),(5525,85,0.000195,-1.4017),(5525,95,0.000214,-1.4018),(5525,105,0.000235,-1.402),(5525,115,0.000256,-1.4021),(5525,125,0.000277,-1.4023),(5525,135,0.000298,-1.4025),(5525,145,0.000321,-1.4027),(5525,155,0.000346,-1.4029),(5525,165,0.000371,-1.4032),(5525,175,0.000395,-1.4034),(5525,185,0.000423,-1.4037),(5525,195,0.000451,-1.404),(5525,205,0.00048,-1.4043),(5525,215,0.000509,-1.4046),(5525,225,0.000531,-1.405),(5525,235,0.000549,-1.4053),(5525,245,0.000568,-1.4056),(5525,255,0.000587,-1.406),(5525,265,0.000601,-1.4063),(5525,275,0.000613,-1.4067),(5525,285,0.000626,-1.4071),(5525,295,0.000639,-1.4075),(5525,305,0.000639,-1.408),(5525,315,0.000635,-1.4084),(5525,325,0.000632,-1.4088),(5525,335,0.000629,-1.4093),(5525,345,0.000641,-1.4097),(5525,355,0.000655,-1.4102),(5525,365,0.00067,-1.4107),(5525,375,0.000685,-1.4112),(5525,385,0.000682,-1.4118),(5525,395,0.000678,-1.4123),(5525,405,0.000673,-1.4129),(5525,415,0.000668,-1.4135),(5525,425,0.000673,-1.4141),(5525,435,0.000679,-1.4148),(5525,445,0.000684,-1.4154),(5525,455,0.00069,-1.4161),(5525,465,0.000697,-1.4168),(5525,475,0.000704,-1.4174),(5525,485,0.000711,-1.4182),(5525,495,0.000718,-1.4189),(5525,505,0.000767,-1.4197),(5525,515,0.000816,-1.4204),(5525,525,0.000865,-1.4213),(5525,535,0.000915,-1.4222),(5525,545,0.000976,-1.4231),(5525,555,0.001038,-1.424),(5525,565,0.001099,-1.4249),(5525,575,0.001158,-1.4259),(5525,585,0.001182,-1.4268),(5525,595,0.001206,-1.4277),(5525,605,0.001231,-1.4286),(5525,615,0.00125,-1.4295),(5525,625,0.001231,-1.4304),(5525,635,0.001212,-1.4313),(5525,645,0.001192,-1.4323),(5525,655,0.001172,-1.4333),(5525,665,0.001147,-1.4343),(5525,675,0.001121,-1.4353),(5525,685,0.001095,-1.4364),(5525,695,0.001076,-1.4375),(5525,705,0.001084,-1.4386),(5525,715,0.001092,-1.4397),(5525,725,0.0011,-1.4409),(5525,735,0.001137,-1.4422),(5525,745,0.001273,-1.4434),(5525,755,0.001408,-1.4447),(5525,765,0.001544,-1.4461),(5525,775,0.00166,-1.4475),(5525,785,0.001725,-1.4489),(5525,795,0.00179,-1.4503),(5525,805,0.001855,-1.4517),(5525,815,0.00193,-1.4531),(5525,825,0.002027,-1.4545),(5525,835,0.002124,-1.4559),(5525,845,0.002221,-1.4574),(5525,855,0.002305,-1.4589),(5525,865,0.002365,-1.4603),(5525,875,0.002424,-1.4618),(5525,885,0.002483,-1.4634),(5525,895,0.002536,-1.465),(5525,905,0.002579,-1.4665),(5525,915,0.002622,-1.4682),(5525,925,0.002665,-1.4698),(5525,935,0.002717,-1.4715),(5525,945,0.002782,-1.4731),(5525,955,0.002847,-1.4748),(5525,965,0.002912,-1.4766),(5525,975,0.003005,-1.4783),(5525,985,0.003131,-1.48),(5525,995,0.003256,-1.4818),(5525,1005,0.003382,-1.4836),(5525,1015,0.003563,-1.4854),(5525,1025,0.003798,-1.4873),(5525,1035,0.004033,-1.4892),(5525,1045,0.004268,-1.4912),(5525,1055,0.004558,-1.4932),(5525,1065,0.004891,-1.4952),(5525,1075,0.005225,-1.4973),(5525,1085,0.005558,-1.4996),(5525,1095,0.005897,-1.5018),(5525,1105,0.00624,-1.504),(5525,1115,0.006583,-1.5064),(5525,1125,0.006925,-1.5087),(5525,1135,0.006919,-1.5111),(5525,1145,0.006707,-1.5135),(5525,1155,0.006495,-1.5157),(5525,1165,0.006283,-1.5179),(5525,1175,0.005361,-1.5201),(5525,1185,0.004086,-1.5223),(5525,1195,0.002812,-1.5241),(5525,1205,0.001537,-1.5259),(5525,1215,-0.001495,-1.5276),(5525,1225,-0.005252,-1.5294),(5525,1235,-0.00901,-1.5296),(5525,1245,-0.012767,-1.5292),(5525,1255,-0.022093,-1.5288),(5525,1265,-0.033301,-1.5284),(5525,1275,-0.044508,-1.5125),(5525,1285,-0.055715,-1.4919),(5525,1295,-0.06498,-1.4714),(5525,1305,-0.073719,-1.4508),(5525,1315,-0.082459,-1.3936),(5525,1325,-0.091199,-1.3276),(5525,1335,-0.058895,-1.2616),(5525,1345,-0.017989,-1.1955),(5525,1355,0.022916,-1.2352),(5525,1365,0.063822,-1.294),(5525,1375,0.066986,-1.3528),(5525,1385,0.064326,-1.4116),(5525,1395,0.061667,-1.4395),(5525,1405,0.059007,-1.4635),(5525,1415,0.050003,-1.4875),(5525,1425,0.040341,-1.5114),(5525,1435,0.030679,-1.5149),(5525,1445,0.021016,-1.5168),(5525,1455,0.017145,-1.5186),(5525,1465,0.013606,-1.5204),(5525,1475,0.010068,-1.5201),(5525,1485,0.00653,-1.5196),(5525,1495,0.004792,-1.5191),(5525,1505,0.003081,-1.5186),(5525,1515,0.001371,-1.5174),(5525,1525,-0.000317,-1.5161),(5525,1535,-0.001104,-1.5148),(5525,1545,-0.00189,-1.5136),(5525,1555,-0.002677,-1.5119),(5525,1565,-0.003421,-1.5102),(5525,1575,-0.003546,-1.5084),(5525,1585,-0.003672,-1.5067),(5525,1595,-0.003797,-1.5048),(5525,1605,-0.003906,-1.503),(5525,1615,-0.003864,-1.5011),(5525,1625,-0.003822,-1.4992),(5525,1635,-0.003781,-1.4972),(5525,1645,-0.003731,-1.4952),(5525,1655,-0.003637,-1.4933),(5525,1665,-0.003543,-1.4913),(5525,1675,-0.003449,-1.4894),(5525,1685,-0.003351,-1.4875),(5525,1695,-0.003235,-1.4855),(5525,1705,-0.003118,-1.4836),(5525,1715,-0.003002,-1.4818),(5525,1725,-0.002889,-1.48),(5525,1735,-0.002786,-1.4781),(5525,1745,-0.002684,-1.4763),(5525,1755,-0.002581,-1.4746),(5525,1765,-0.002481,-1.4729),(5525,1775,-0.00239,-1.4712),(5525,1785,-0.002299,-1.4696),(5525,1795,-0.002207,-1.468),(5525,1805,-0.002121,-1.4665),(5525,1815,-0.002046,-1.465),(5525,1825,-0.001972,-1.4634),(5525,1835,-0.001897,-1.462),(5525,1845,-0.001791,-1.4606),(5525,1855,-0.001624,-1.4591),(5525,1865,-0.001458,-1.4577),(5525,1875,-0.001291,-1.4564),(5525,1885,-0.001192,-1.4551),(5525,1895,-0.001201,-1.4537),(5525,1905,-0.00121,-1.4524),(5525,1915,-0.001219,-1.4511),(5525,1925,-0.001203,-1.4498),(5525,1935,-0.001151,-1.4485),(5525,1945,-0.001099,-1.4472),(5525,1955,-0.001047,-1.4459),(5525,1965,-0.001033,-1.4446),(5525,1975,-0.001064,-1.4433),(5525,1985,-0.001094,-1.442),(5525,1995,-0.001125,-1.4407),(5525,2005,-0.001147,-1.4393),(5525,2015,-0.001161,-1.438),(5525,2025,-0.001175,-1.4368),(5525,2035,-0.001189,-1.4357),(5525,2045,-0.001179,-1.4346),(5525,2055,-0.001148,-1.4334),(5525,2065,-0.001117,-1.4323),(5525,2075,-0.001087,-1.4313),(5525,2085,-0.00104,-1.4302),(5525,2095,-0.000983,-1.4292),(5525,2105,-0.000926,-1.4282),(5525,2115,-0.000869,-1.4272),(5525,2125,-0.000812,-1.4262),(5525,2135,-0.000755,-1.4252),(5525,2145,-0.000697,-1.4242),(5525,2155,-0.00064,-1.4232),(5525,2165,-0.000586,-1.4223),(5525,2175,-0.000533,-1.4213),(5525,2185,-0.00048,-1.4204),(5525,2195,-0.000427,-1.4195),(5525,2205,-0.000385,-1.4186),(5525,2215,-0.000347,-1.4177),(5525,2225,-0.000309,-1.4168),(5525,2235,-0.000271,-1.416),(5525,2245,-0.000167,-1.4151),(5525,2255,-3.9e-05,-1.4142),(5525,2265,8.9e-05,-1.4134),(5525,2275,0.000218,-1.4126),(5525,2285,0.000183,-1.4118),(5525,2295,0.000102,-1.4109),(5525,2305,2.1e-05,-1.4101),(5525,2315,-6e-05,-1.4093),(5525,2325,-6e-06,-1.4085),(5525,2335,7.9e-05,-1.4076),(5525,2345,0.000164,-1.4069),(5525,2355,0.000248,-1.4063),(5525,2365,0.000331,-1.4056),(5525,2375,0.000413,-1.4049),(5525,2385,0.000495,-1.4043),(5525,2395,0.000576,-1.4036),(5525,2405,0.000629,-1.403),(5525,2415,0.000678,-1.4023),(5525,2425,0.000727,-1.4017),(5525,2435,0.000776,-1.4011),(5525,2445,0.000771,-1.4004),(5525,2455,0.000763,-1.3998),(5525,2465,0.000754,-1.3991),(5525,2475,0.000746,-1.3984),(5525,2485,0.000705,-1.3977),(5525,2495,0.000664,-1.397),(5525,2505,0.000622,-1.3964),(5525,2515,0.000581,-1.3957),(5525,2525,0.000571,-1.395),(5525,2535,0.000561,-1.3944),(5525,2545,0.000552,-1.3938),(5525,2555,0.000543,-1.3932),(5525,2565,0.000561,-1.3926),(5525,2575,0.000578,-1.3921),(5525,2585,0.000596,-1.3915),(5525,2595,0.00061,-1.391),(5525,2605,0.000586,-1.3904),(5525,2615,0.000562,-1.3899),(5525,2625,0.000538,-1.3892),(5525,2635,0.000539,-1.3886),(5525,2645,0.000704,-1.388),(5525,2655,0.000868,-1.3874),(5525,2665,0.001033,-1.3869),(5525,2675,0.001148,-1.3864),(5525,2685,0.001027,-1.386),(5525,2695,0.000907,-1.3855),(5525,2705,0.000786,-1.385),(5525,2715,0.000708,-1.3845),(5525,2725,0.000787,-1.384),(5525,2735,0.000866,-1.3835),(5525,2745,0.000945,-1.383),(5525,2755,0.001007,-1.3825),(5525,2765,0.001021,-1.3821),(5525,2775,0.001034,-1.3816),(5525,2785,0.001048,-1.3811),(5525,2795,0.001054,-1.3806),(5525,2805,0.00104,-1.3801),(5525,2815,0.001026,-1.3796),(5525,2825,0.001013,-1.3791),(5525,2835,0.001007,-1.3786),(5525,2845,0.001016,-1.3781),(5525,2855,0.001025,-1.3777),(5525,2865,0.001034,-1.3772),(5525,2875,0.001049,-1.3768),(5525,2885,0.001074,-1.3764),(5525,2895,0.001099,-1.3759),(5525,2905,0.001123,-1.3755),(5525,2915,0.00114,-1.3751),(5525,2925,0.001144,-1.3747),(5525,2935,0.001148,-1.3742),(5525,2945,0.001152,-1.3737),(5525,2955,0.001152,-1.3733),(5525,2965,0.001148,-1.3728),(5525,2975,0.001143,-1.3723),(5525,2985,0.001139,-1.3719),(5525,2995,0.001142,-1.3714),(5525,3005,0.001153,-1.3709),(5525,3015,0.001163,-1.3705),(5525,3025,0.001174,-1.37),(5525,3035,0.0013,-1.3696),(5525,3045,0.001528,-1.3692),(5525,3055,0.001756,-1.3688),(5525,3065,0.001984,-1.3685),(5525,3075,0.002006,-1.3682),(5525,3085,0.001872,-1.368),(5525,3095,0.001738,-1.3675),(5525,3105,0.001604,-1.367),(5525,3115,0.001566,-1.3666),(5525,3125,0.001588,-1.3661),(5525,3135,0.001611,-1.3656),(5525,3145,0.001633,-1.3652),(5525,3155,0.001674,-1.3648),(5525,3165,0.001723,-1.3644),(5525,3175,0.001772,-1.364),(5525,3185,0.001821,-1.3637),(5525,3195,0.001878,-1.3634),(5525,3205,0.001938,-1.3631),(5525,3215,0.001998,-1.3628),(5525,3225,0.002059,-1.3624),(5525,3235,0.002102,-1.362),(5525,3245,0.00214,-1.3617),(5525,3255,0.002177,-1.3613),(5525,3265,0.002214,-1.3609),(5525,3275,0.002235,-1.3605),(5525,3285,0.00225,-1.3602),(5525,3295,0.002266,-1.3598),(5525,3305,0.002281,-1.3594),(5525,3315,0.002276,-1.359),(5525,3325,0.002266,-1.3586),(5525,3335,0.002256,-1.3582),(5525,3345,0.002246,-1.3578),(5525,3355,0.002244,-1.3573),(5525,3365,0.002243,-1.3569),(5525,3375,0.002243,-1.3566),(5525,3385,0.002242,-1.3563),(5525,3395,0.002409,-1.3559),(5525,3405,0.002596,-1.3556),(5525,3415,0.002784,-1.3553),(5525,3425,0.002972,-1.355),(5525,3435,0.002848,-1.3547),(5525,3445,0.002698,-1.3544),(5525,3455,0.002548,-1.354),(5525,3465,0.002399,-1.3536),(5525,3475,0.002514,-1.3532),(5525,3485,0.002638,-1.3528),(5525,3495,0.002763,-1.3526),(5525,3505,0.002887,-1.3524),(5525,3515,0.002913,-1.3521),(5525,3525,0.00294,-1.3519),(5525,3535,0.002967,-1.3514),(5525,3545,0.002994,-1.3509),(5525,3555,0.003027,-1.3504),(5525,3565,0.003061,-1.3499),(5525,3575,0.003094,-1.3497),(5525,3585,0.003132,-1.3494),(5525,3595,0.003214,-1.3492),(5525,3605,0.003296,-1.349),(5525,3615,0.003379,-1.3487),(5525,3625,0.003452,-1.3485),(5525,3635,0.003462,-1.3483),(5525,3645,0.003472,-1.3481),(5525,3655,0.003482,-1.3477),(5525,3665,0.003495,-1.3472),(5525,3675,0.003524,-1.3468),(5525,3685,0.003553,-1.3464),(5525,3695,0.003582,-1.3462),(5525,3705,0.003596,-1.3459),(5525,3715,0.003553,-1.3457),(5525,3725,0.003511,-1.3454),(5525,3735,0.003468,-1.345),(5525,3745,0.003396,-1.3445),(5525,3755,0.003234,-1.3441),(5525,3765,0.003073,-1.3436),(5525,3775,0.00291,-1.3431),(5525,3785,0.002733,-1.3426),(5525,3795,0.002517,-1.3421),(5525,3805,0.0023,-1.3415),(5525,3815,0.002084,-1.3408),(5525,3825,0.001608,-1.3401),(5525,3835,0.000585,-1.3393),(5525,3845,-0.000438,-1.3383),(5525,3855,-0.00146,-1.3369),(5525,3865,-0.002729,-1.3355),(5525,3875,-0.004433,-1.334),(5525,3885,-0.006137,-1.3322),(5525,3895,-0.007842,-1.3299),(5525,3905,-0.010164,-1.3275),(5525,3915,-0.013412,-1.3252),(5525,3925,-0.016659,-1.3217),(5525,3935,-0.019906,-1.3165),(5525,3945,-0.02444,-1.3114),(5525,3955,-0.030607,-1.3063),(5525,3965,-0.036774,-1.2945),(5525,3975,-0.042941,-1.275),(5525,3985,-0.048402,-1.2554),(5525,3995,-0.053098,-1.2358),(5525,4005,-0.057794,-1.1949),(5525,4015,-0.06249,-1.1327),(5525,4025,0.085774,-1.0704),(5525,4035,0.249,-1.0283),(5525,4045,0.41223,-1.0286),(5525,4055,0.51871,-1.0289),(5525,4065,0.60449,-1.0292),(5525,4075,0.69026,-1.0296),(5525,4085,0.72828,-1.03),(5525,4095,0.72792,-1.0304),(5525,4105,0.72756,-1.031),(5525,4115,0.7275,-1.0316),(5525,4125,0.72795,-1.0322),(5525,4135,0.7284,-1.0328),(5525,4145,0.72894,-1.0334),(5525,4155,0.7298,-1.034),(5525,4165,0.73067,-1.0345),(5525,4175,0.73156,-1.0349),(5525,4185,0.73338,-1.0353),(5525,4195,0.7352,-1.0356),(5525,4205,0.73701,-1.0358),(5525,4215,0.7394,-1.0359),(5525,4225,0.7419,-1.0359),(5525,4235,0.74439,-1.0356),(5525,4245,0.74726,-1.0353),(5525,4255,0.75032,-1.035),(5525,4265,0.75338,-1.0345),(5525,4275,0.75669,-1.0339),(5525,4285,0.76025,-1.0334),(5525,4295,0.76382,-1.0325),(5525,4305,0.76751,-1.0317),(5525,4315,0.77147,-1.0308),(5525,4325,0.77543,-1.0297),(5525,4335,0.77942,-1.0285),(5525,4345,0.78366,-1.0274),(5525,4355,0.7879,-1.0261),(5525,4365,0.79214,-1.0247),(5525,4375,0.79661,-1.0233),(5525,4385,0.80108,-1.0219),(5525,4395,0.80556,-1.0204),(5525,4405,0.81016,-1.0188),(5525,4415,0.8148,-1.0172),(5525,4425,0.81943,-1.0154),(5525,4435,0.82425,-1.0136),(5525,4445,0.8292,-1.0118),(5525,4455,0.83414,-1.0098),(5525,4465,0.83906,-1.0079),(5525,4475,0.84393,-1.0059),(5525,4485,0.8488,-1.0036),(5525,4495,0.85373,-1.0013),(5525,4505,0.85885,-0.99901),(5525,4515,0.86397,-0.99653),(5525,4525,0.86909,-0.99396),(5525,4535,0.87427,-0.99138),(5525,4545,0.87944,-0.98869),(5525,4555,0.88461,-0.98587),(5525,4565,0.88979,-0.98305),(5525,4575,0.89497,-0.98018),(5525,4585,0.90015,-0.9772),(5525,4595,0.90533,-0.97422),(5525,4605,0.91051,-0.97122),(5525,4615,0.91569,-0.96806),(5525,4625,0.92087,-0.96491),(5525,4635,0.92605,-0.96175),(5525,4645,0.93122,-0.95846),(5525,4655,0.9364,-0.95516),(5525,4665,0.94158,-0.95187),(5525,4675,0.94677,-0.9484),(5525,4685,0.95194,-0.94488),(5525,4695,0.95709,-0.94136),(5525,4705,0.96224,-0.93773),(5525,4715,0.96739,-0.93401),(5525,4725,0.97254,-0.9303),(5525,4735,0.97769,-0.92653),(5525,4745,0.98285,-0.92268),(5525,4755,0.98786,-0.91883),(5525,4765,0.99284,-0.91493),(5525,4775,0.99783,-0.91086),(5525,4785,1.0028,-0.90679),(5525,4795,1.0078,-0.90272),(5525,4805,1.0128,-0.89854),(5525,4815,1.0178,-0.89435),(5525,4825,1.0228,-0.89016),(5525,4835,1.0277,-0.88588),(5525,4845,1.0326,-0.88157),(5525,4855,1.0374,-0.87727),(5525,4865,1.0423,-0.87291),(5525,4875,1.0471,-0.86852),(5525,4885,1.0519,-0.86413),(5525,4895,1.0566,-0.85973),(5525,4905,1.0614,-0.85531),(5525,4915,1.066,-0.8509),(5525,4925,1.0707,-0.84648),(5525,4935,1.0754,-0.84205),(5525,4945,1.08,-0.83762),(5525,4955,1.0845,-0.83319),(5525,4965,1.0891,-0.82871),(5525,4975,1.0936,-0.82424),(5525,4985,1.0981,-0.81976),(5525,4995,1.1026,-0.81525),(5525,5005,1.1071,-0.81073),(5525,5015,1.1115,-0.80621),(5525,5025,1.1159,-0.80169),(5525,5035,1.1203,-0.79717),(5525,5045,1.1246,-0.79265),(5525,5055,1.1289,-0.78814),(5525,5065,1.1332,-0.78363),(5525,5075,1.1374,-0.77912),(5525,5085,1.1417,-0.7746),(5525,5095,1.1459,-0.77008),(5525,5105,1.1501,-0.76556),(5525,5115,1.1543,-0.76104),(5525,5125,1.1584,-0.75654),(5525,5135,1.1625,-0.75204),(5525,5145,1.1666,-0.74755),(5525,5155,1.1707,-0.74307),(5525,5165,1.1748,-0.73859),(5525,5175,1.1788,-0.73411),(5525,5185,1.1828,-0.72963),(5525,5195,1.1869,-0.72514),(5525,5205,1.1908,-0.72065),(5525,5215,1.1948,-0.71619),(5525,5225,1.1987,-0.71174),(5525,5235,1.2027,-0.7073),(5525,5245,1.2066,-0.70284),(5525,5255,1.2105,-0.69839),(5525,5265,1.2144,-0.69393),(5525,5275,1.2183,-0.68947),(5525,5285,1.2221,-0.685),(5525,5295,1.226,-0.68053),(5525,5305,1.2298,-0.67607),(5525,5315,1.2337,-0.67162),(5525,5325,1.2375,-0.66718),(5525,5335,1.2413,-0.66274),(5525,5345,1.2451,-0.65829),(5525,5355,1.2489,-0.65384),(5525,5365,1.2526,-0.64939),(5525,5375,1.2564,-0.64495),(5525,5385,1.2601,-0.64051),(5525,5395,1.2639,-0.63607),(5525,5405,1.2676,-0.63162),(5525,5415,1.2713,-0.62716),(5525,5425,1.2749,-0.6227),(5525,5435,1.2786,-0.61824),(5525,5445,1.2823,-0.61377),(5525,5455,1.2859,-0.6093),(5525,5465,1.2895,-0.60482),(5525,5475,1.2932,-0.60031),(5525,5485,1.2968,-0.59581),(5525,5495,1.3004,-0.5913),(5525,5505,1.304,-0.58677),(5525,5515,1.3075,-0.58224),(5525,5525,1.3111,-0.57771),(5525,5535,1.3147,-0.57315),(5525,5545,1.3182,-0.56859),(5525,5555,1.3218,-0.56403),(5525,5565,1.3253,-0.55942),(5525,5575,1.3289,-0.5548),(5525,5585,1.3324,-0.55017),(5525,5595,1.3359,-0.54552),(5525,5605,1.3394,-0.54083),(5525,5615,1.3428,-0.53615),(5525,5625,1.3463,-0.53147),(5525,5635,1.3497,-0.52678),(5525,5645,1.3531,-0.52209),(5525,5655,1.3566,-0.51741),(5525,5665,1.36,-0.51274),(5525,5675,1.3633,-0.50808),(5525,5685,1.3666,-0.5034),(5525,5695,1.3698,-0.49856),(5525,5705,1.3732,-0.49372),(5525,5715,1.3766,-0.48887),(5525,5725,1.3799,-0.48403),(5525,5735,1.3833,-0.47919),(5525,5745,1.3865,-0.47435),(5525,5755,1.3897,-0.4695),(5525,5765,1.3929,-0.46463),(5525,5775,1.3961,-0.45976),(5525,5785,1.3993,-0.45484),(5525,5795,1.4024,-0.44988),(5525,5805,1.4055,-0.44492),(5525,5815,1.4086,-0.43993),(5525,5825,1.4117,-0.43489),(5525,5835,1.4147,-0.42985),(5525,5845,1.4178,-0.42481),(5525,5855,1.4208,-0.41974),(5525,5865,1.4238,-0.41468),(5525,5875,1.4268,-0.40961),(5525,5885,1.4297,-0.40453),(5525,5895,1.4327,-0.39944),(5525,5905,1.4356,-0.39436),(5525,5915,1.4384,-0.3892),(5525,5925,1.4413,-0.38403),(5525,5935,1.4441,-0.37886),(5525,5945,1.447,-0.37365),(5525,5955,1.4498,-0.36842),(5525,5965,1.4524,-0.36319),(5525,5975,1.455,-0.3579),(5525,5985,1.4577,-0.35254),(5525,5995,1.4604,-0.34717),(5525,6005,1.4631,-0.3418),(5525,6015,1.4658,-0.33645),(5525,6025,1.4684,-0.3311),(5525,6035,1.4709,-0.32575),(5525,6045,1.4734,-0.3203),(5525,6055,1.4758,-0.31485),(5525,6065,1.4782,-0.3094),(5525,6075,1.4806,-0.30389),(5525,6085,1.4829,-0.29839),(5525,6095,1.4852,-0.29288),(5525,6105,1.4875,-0.28734),(5525,6115,1.4898,-0.2818),(5525,6125,1.492,-0.27625),(5525,6135,1.4942,-0.27067),(5525,6145,1.4964,-0.26507),(5525,6155,1.4985,-0.25947),(5525,6165,1.5006,-0.25384),(5525,6175,1.5027,-0.24816),(5525,6185,1.5047,-0.24247),(5525,6195,1.5067,-0.23678),(5525,6205,1.5087,-0.23103),(5525,6215,1.5106,-0.22528),(5525,6225,1.5124,-0.21954),(5525,6235,1.5143,-0.2138),(5525,6245,1.5161,-0.20806),(5525,6255,1.5178,-0.20232),(5525,6265,1.5195,-0.19653),(5525,6275,1.5211,-0.19073),(5525,6285,1.5226,-0.18494),(5525,6295,1.5241,-0.17901),(5525,6305,1.5256,-0.17302),(5525,6315,1.527,-0.16703),(5525,6325,1.5285,-0.16108),(5525,6335,1.5299,-0.15517),(5525,6345,1.5312,-0.14927),(5525,6355,1.5324,-0.14334),(5525,6365,1.5337,-0.13735),(5525,6375,1.5348,-0.13136),(5525,6385,1.5359,-0.12537),(5525,6395,1.5371,-0.11934),(5525,6405,1.5381,-0.11331),(5525,6415,1.539,-0.10727),(5525,6425,1.54,-0.10125),(5525,6435,1.5409,-0.09522),(5525,6445,1.5417,-0.089194),(5525,6455,1.5424,-0.083111),(5525,6465,1.5432,-0.077011),(5525,6475,1.5438,-0.070911),(5525,6485,1.5444,-0.064821),(5525,6495,1.545,-0.058738),(5525,6505,1.5454,-0.052655),(5525,6515,1.5459,-0.046557),(5525,6525,1.5463,-0.040439),(5525,6535,1.5466,-0.034321),(5525,6545,1.5469,-0.028205),(5525,6555,1.5471,-0.022096),(5525,6565,1.5473,-0.015987),(5525,6575,1.5473,-0.009874),(5525,6585,1.5474,-0.003716),(5525,6595,1.3162,0.002443),(5525,6605,0.82951,0.008602),(5525,6615,0.34288,0.009268),(5525,6625,0.000787,0.009228),(5525,6635,0.000813,0.009188),(5525,6645,0.000839,0.009187),(5525,6655,0.000864,0.009201),(5525,6665,0.000889,0.009215),(5525,6675,0.000913,0.009229),(5525,6685,0.000938,0.009242),(5525,6695,0.000961,0.009256),(5525,6705,0.000984,0.009269),(5525,6715,0.001008,0.009282),(5525,6725,0.00103,0.009294),(5525,6735,0.001052,0.009307),(5525,6745,0.001074,0.009319),(5525,6755,0.001095,0.00933),(5525,6765,0.001116,0.009342),(5525,6775,0.001137,0.009353),(5525,6785,0.001158,0.009364),(5525,6795,0.001178,0.009374),(5525,6805,0.001198,0.009384),(5525,6815,0.001218,0.009394),(5525,6825,0.001237,0.009404),(5525,6835,0.001256,0.009413),(5525,6845,0.001275,0.009422),(5525,6855,0.001293,0.009431),(5525,6865,0.001312,0.009439),(5525,6875,0.00133,0.009447),(5525,6885,0.001348,0.009455),(5525,6895,0.001365,0.009462),(5525,6905,0.001383,0.009469),(5525,6915,0.0014,0.009476),(5525,6925,0.001417,0.009483),(5525,6935,0.001434,0.009489),(5525,6945,0.001451,0.009495),(5525,6955,0.001467,0.009501),(5525,6965,0.001483,0.009506),(5525,6975,0.001499,0.00951),(5525,6985,0.001515,0.009515),(5535,5,1.7e-05,-1.4007),(5535,15,5e-05,-1.4009),(5535,25,7.6e-05,-1.401),(5535,35,9.8e-05,-1.4012),(5535,45,0.000119,-1.4013),(5535,55,0.00014,-1.4014),(5535,65,0.00016,-1.4015),(5535,75,0.00018,-1.4016),(5535,85,0.000201,-1.4017),(5535,95,0.000221,-1.4018),(5535,105,0.000239,-1.4019),(5535,115,0.000256,-1.4021),(5535,125,0.000274,-1.4023),(5535,135,0.000291,-1.4025),(5535,145,0.000316,-1.4027),(5535,155,0.000345,-1.4029),(5535,165,0.000374,-1.4031),(5535,175,0.000403,-1.4034),(5535,185,0.000437,-1.4037),(5535,195,0.000474,-1.4039),(5535,205,0.000511,-1.4043),(5535,215,0.000548,-1.4046),(5535,225,0.000575,-1.4049),(5535,235,0.000598,-1.4053),(5535,245,0.000622,-1.4056),(5535,255,0.000646,-1.406),(5535,265,0.00066,-1.4063),(5535,275,0.000671,-1.4067),(5535,285,0.000682,-1.4071),(5535,295,0.000693,-1.4076),(5535,305,0.000688,-1.408),(5535,315,0.000679,-1.4084),(5535,325,0.000669,-1.4089),(5535,335,0.00066,-1.4093),(5535,345,0.000669,-1.4098),(5535,355,0.000681,-1.4102),(5535,365,0.000693,-1.4107),(5535,375,0.000705,-1.4113),(5535,385,0.000696,-1.4118),(5535,395,0.000684,-1.4123),(5535,405,0.000672,-1.4129),(5535,415,0.000659,-1.4135),(5535,425,0.000661,-1.4141),(5535,435,0.000664,-1.4148),(5535,445,0.000667,-1.4154),(5535,455,0.000669,-1.4161),(5535,465,0.00067,-1.4168),(5535,475,0.00067,-1.4174),(5535,485,0.00067,-1.4182),(5535,495,0.00067,-1.4189),(5535,505,0.000718,-1.4197),(5535,515,0.000767,-1.4204),(5535,525,0.000815,-1.4213),(5535,535,0.000864,-1.4222),(5535,545,0.00094,-1.4231),(5535,555,0.001015,-1.424),(5535,565,0.00109,-1.4249),(5535,575,0.001163,-1.4258),(5535,585,0.001203,-1.4268),(5535,595,0.001242,-1.4277),(5535,605,0.001282,-1.4286),(5535,615,0.001315,-1.4295),(5535,625,0.001295,-1.4305),(5535,635,0.001275,-1.4314),(5535,645,0.001255,-1.4324),(5535,655,0.001232,-1.4334),(5535,665,0.001189,-1.4343),(5535,675,0.001146,-1.4353),(5535,685,0.001102,-1.4364),(5535,695,0.001064,-1.4375),(5535,705,0.001048,-1.4386),(5535,715,0.001032,-1.4397),(5535,725,0.001015,-1.4409),(5535,735,0.001036,-1.4421),(5535,745,0.001182,-1.4434),(5535,755,0.001329,-1.4446),(5535,765,0.001475,-1.446),(5535,775,0.001599,-1.4474),(5535,785,0.001664,-1.4488),(5535,795,0.00173,-1.4502),(5535,805,0.001796,-1.4516),(5535,815,0.001877,-1.453),(5535,825,0.001994,-1.4545),(5535,835,0.00211,-1.4559),(5535,845,0.002227,-1.4574),(5535,855,0.002325,-1.4588),(5535,865,0.002391,-1.4603),(5535,875,0.002457,-1.4618),(5535,885,0.002523,-1.4634),(5535,895,0.002578,-1.465),(5535,905,0.002619,-1.4665),(5535,915,0.00266,-1.4681),(5535,925,0.002701,-1.4698),(5535,935,0.002751,-1.4715),(5535,945,0.002814,-1.4731),(5535,955,0.002876,-1.4748),(5535,965,0.002939,-1.4765),(5535,975,0.003033,-1.4783),(5535,985,0.003161,-1.48),(5535,995,0.003289,-1.4818),(5535,1005,0.003418,-1.4836),(5535,1015,0.003606,-1.4854),(5535,1025,0.003853,-1.4872),(5535,1035,0.004099,-1.4891),(5535,1045,0.004346,-1.4911),(5535,1055,0.004652,-1.493),(5535,1065,0.005006,-1.495),(5535,1075,0.00536,-1.4971),(5535,1085,0.005714,-1.4994),(5535,1095,0.006082,-1.5016),(5535,1105,0.006459,-1.5038),(5535,1115,0.006836,-1.5061),(5535,1125,0.007213,-1.5085),(5535,1135,0.007186,-1.5108),(5535,1145,0.00692,-1.5132),(5535,1155,0.006654,-1.5154),(5535,1165,0.006388,-1.5176),(5535,1175,0.005392,-1.5198),(5535,1185,0.004035,-1.5221),(5535,1195,0.002678,-1.5237),(5535,1205,0.001321,-1.525),(5535,1215,-0.002042,-1.5263),(5535,1225,-0.006234,-1.5277),(5535,1235,-0.010425,-1.5265),(5535,1245,-0.014617,-1.5245),(5535,1255,-0.028072,-1.5224),(5535,1265,-0.044655,-1.5204),(5535,1275,-0.061239,-1.5046),(5535,1285,-0.077822,-1.4847),(5535,1295,-0.097075,-1.4647),(5535,1305,-0.11705,-1.4448),(5535,1315,-0.13703,-1.3889),(5535,1325,-0.157,-1.3243),(5535,1335,-0.10001,-1.2598),(5535,1345,-0.026882,-1.1952),(5535,1355,0.046243,-1.2349),(5535,1365,0.11937,-1.2934),(5535,1375,0.11965,-1.3519),(5535,1385,0.10869,-1.4104),(5535,1395,0.097738,-1.437),(5535,1405,0.086782,-1.4594),(5535,1415,0.071622,-1.4818),(5535,1425,0.056026,-1.5042),(5535,1435,0.04043,-1.509),(5535,1445,0.024833,-1.5123),(5535,1455,0.020184,-1.5156),(5535,1465,0.016165,-1.5189),(5535,1475,0.012145,-1.519),(5535,1485,0.008126,-1.519),(5535,1495,0.006219,-1.5189),(5535,1505,0.004343,-1.5189),(5535,1515,0.002468,-1.5176),(5535,1525,0.000615,-1.5162),(5535,1535,-0.000336,-1.5149),(5535,1545,-0.001288,-1.5135),(5535,1555,-0.002239,-1.5118),(5535,1565,-0.00314,-1.51),(5535,1575,-0.003315,-1.5083),(5535,1585,-0.003489,-1.5065),(5535,1595,-0.003664,-1.5047),(5535,1605,-0.003817,-1.5028),(5535,1615,-0.003784,-1.5009),(5535,1625,-0.00375,-1.499),(5535,1635,-0.003716,-1.4971),(5535,1645,-0.003673,-1.4951),(5535,1655,-0.003576,-1.4932),(5535,1665,-0.003478,-1.4912),(5535,1675,-0.00338,-1.4893),(5535,1685,-0.003278,-1.4874),(5535,1695,-0.003154,-1.4855),(5535,1705,-0.003031,-1.4836),(5535,1715,-0.002907,-1.4818),(5535,1725,-0.002787,-1.48),(5535,1735,-0.002684,-1.4782),(5535,1745,-0.002581,-1.4764),(5535,1755,-0.002478,-1.4747),(5535,1765,-0.002381,-1.473),(5535,1775,-0.002298,-1.4713),(5535,1785,-0.002216,-1.4696),(5535,1795,-0.002133,-1.468),(5535,1805,-0.002057,-1.4665),(5535,1815,-0.001997,-1.4649),(5535,1825,-0.001936,-1.4634),(5535,1835,-0.001875,-1.462),(5535,1845,-0.00177,-1.4606),(5535,1855,-0.001578,-1.4592),(5535,1865,-0.001386,-1.4578),(5535,1875,-0.001194,-1.4564),(5535,1885,-0.001085,-1.455),(5535,1895,-0.001112,-1.4536),(5535,1905,-0.001139,-1.4523),(5535,1915,-0.001166,-1.451),(5535,1925,-0.001151,-1.4497),(5535,1935,-0.001078,-1.4485),(5535,1945,-0.001006,-1.4472),(5535,1955,-0.000933,-1.4459),(5535,1965,-0.000909,-1.4446),(5535,1975,-0.000943,-1.4433),(5535,1985,-0.000977,-1.442),(5535,1995,-0.001011,-1.4407),(5535,2005,-0.001044,-1.4394),(5535,2015,-0.001077,-1.4381),(5535,2025,-0.001109,-1.4369),(5535,2035,-0.001142,-1.4357),(5535,2045,-0.001149,-1.4346),(5535,2055,-0.001134,-1.4334),(5535,2065,-0.001119,-1.4323),(5535,2075,-0.001105,-1.4313),(5535,2085,-0.001069,-1.4302),(5535,2095,-0.001019,-1.4291),(5535,2105,-0.000968,-1.4281),(5535,2115,-0.000918,-1.4271),(5535,2125,-0.000864,-1.4261),(5535,2135,-0.000809,-1.4251),(5535,2145,-0.000754,-1.4242),(5535,2155,-0.000699,-1.4232),(5535,2165,-0.000644,-1.4223),(5535,2175,-0.000589,-1.4213),(5535,2185,-0.000535,-1.4204),(5535,2195,-0.00048,-1.4195),(5535,2205,-0.000435,-1.4186),(5535,2215,-0.000395,-1.4177),(5535,2225,-0.000354,-1.4168),(5535,2235,-0.000314,-1.416),(5535,2245,-0.000178,-1.4151),(5535,2255,-9e-06,-1.4143),(5535,2265,0.00016,-1.4134),(5535,2275,0.00033,-1.4126),(5535,2285,0.000282,-1.4117),(5535,2295,0.000171,-1.4109),(5535,2305,6e-05,-1.41),(5535,2315,-5e-05,-1.4092),(5535,2325,7e-06,-1.4084),(5535,2335,0.000101,-1.4076),(5535,2345,0.000196,-1.4069),(5535,2355,0.00029,-1.4062),(5535,2365,0.000379,-1.4055),(5535,2375,0.000467,-1.4048),(5535,2385,0.000556,-1.4042),(5535,2395,0.000644,-1.4036),(5535,2405,0.000701,-1.4029),(5535,2415,0.000754,-1.4023),(5535,2425,0.000808,-1.4017),(5535,2435,0.000862,-1.401),(5535,2445,0.000853,-1.4004),(5535,2455,0.000839,-1.3998),(5535,2465,0.000826,-1.3991),(5535,2475,0.000813,-1.3984),(5535,2485,0.000756,-1.3978),(5535,2495,0.000697,-1.3971),(5535,2505,0.000639,-1.3964),(5535,2515,0.000581,-1.3957),(5535,2525,0.000554,-1.3951),(5535,2535,0.000527,-1.3944),(5535,2545,0.000501,-1.3938),(5535,2555,0.000476,-1.3932),(5535,2565,0.000488,-1.3926),(5535,2575,0.000499,-1.392),(5535,2585,0.000511,-1.3915),(5535,2595,0.000518,-1.391),(5535,2605,0.000481,-1.3904),(5535,2615,0.000444,-1.3899),(5535,2625,0.000406,-1.3893),(5535,2635,0.000402,-1.3887),(5535,2645,0.000612,-1.3881),(5535,2655,0.000822,-1.3876),(5535,2665,0.001032,-1.387),(5535,2675,0.001176,-1.3864),(5535,2685,0.00101,-1.3859),(5535,2695,0.000843,-1.3853),(5535,2705,0.000677,-1.3848),(5535,2715,0.000567,-1.3844),(5535,2725,0.000669,-1.3839),(5535,2735,0.00077,-1.3834),(5535,2745,0.000871,-1.383),(5535,2755,0.000952,-1.3825),(5535,2765,0.000973,-1.3821),(5535,2775,0.000994,-1.3816),(5535,2785,0.001014,-1.3811),(5535,2795,0.001025,-1.3806),(5535,2805,0.001008,-1.3801),(5535,2815,0.000992,-1.3796),(5535,2825,0.000976,-1.3791),(5535,2835,0.000967,-1.3786),(5535,2845,0.000974,-1.3781),(5535,2855,0.00098,-1.3777),(5535,2865,0.000987,-1.3772),(5535,2875,0.001001,-1.3768),(5535,2885,0.001028,-1.3763),(5535,2895,0.001055,-1.3759),(5535,2905,0.001082,-1.3755),(5535,2915,0.001099,-1.3751),(5535,2925,0.001101,-1.3747),(5535,2935,0.001104,-1.3742),(5535,2945,0.001106,-1.3738),(5535,2955,0.001101,-1.3733),(5535,2965,0.001085,-1.3728),(5535,2975,0.00107,-1.3724),(5535,2985,0.001055,-1.3719),(5535,2995,0.001044,-1.3714),(5535,3005,0.001037,-1.3709),(5535,3015,0.001031,-1.3705),(5535,3025,0.001024,-1.3701),(5535,3035,0.001173,-1.3697),(5535,3045,0.001461,-1.3693),(5535,3055,0.001749,-1.3689),(5535,3065,0.002037,-1.3685),(5535,3075,0.002065,-1.3682),(5535,3085,0.001895,-1.3678),(5535,3095,0.001724,-1.3674),(5535,3105,0.001554,-1.367),(5535,3115,0.001503,-1.3665),(5535,3125,0.001528,-1.3661),(5535,3135,0.001553,-1.3656),(5535,3145,0.001579,-1.3652),(5535,3155,0.001613,-1.3648),(5535,3165,0.001653,-1.3644),(5535,3175,0.001692,-1.364),(5535,3185,0.001732,-1.3637),(5535,3195,0.001793,-1.3634),(5535,3205,0.001863,-1.363),(5535,3215,0.001933,-1.3627),(5535,3225,0.002003,-1.3623),(5535,3235,0.00206,-1.362),(5535,3245,0.002113,-1.3616),(5535,3255,0.002165,-1.3613),(5535,3265,0.002217,-1.3609),(5535,3275,0.002249,-1.3605),(5535,3285,0.002273,-1.3601),(5535,3295,0.002298,-1.3597),(5535,3305,0.002323,-1.3594),(5535,3315,0.002316,-1.359),(5535,3325,0.002302,-1.3586),(5535,3335,0.002288,-1.3582),(5535,3345,0.002274,-1.3578),(5535,3355,0.002253,-1.3573),(5535,3365,0.00223,-1.3569),(5535,3375,0.002208,-1.3566),(5535,3385,0.002186,-1.3563),(5535,3395,0.002389,-1.3561),(5535,3405,0.002621,-1.3558),(5535,3415,0.002853,-1.3554),(5535,3425,0.003085,-1.355),(5535,3435,0.002907,-1.3546),(5535,3445,0.002696,-1.3543),(5535,3455,0.002484,-1.3539),(5535,3465,0.002273,-1.3535),(5535,3475,0.002408,-1.3531),(5535,3485,0.002556,-1.3527),(5535,3495,0.002703,-1.3525),(5535,3505,0.00285,-1.3523),(5535,3515,0.002892,-1.3521),(5535,3525,0.002934,-1.3519),(5535,3535,0.002976,-1.3514),(5535,3545,0.003018,-1.3509),(5535,3555,0.003045,-1.3504),(5535,3565,0.003071,-1.3499),(5535,3575,0.003098,-1.3497),(5535,3585,0.00313,-1.3494),(5535,3595,0.003214,-1.3491),(5535,3605,0.003297,-1.3489),(5535,3615,0.003381,-1.3487),(5535,3625,0.003456,-1.3485),(5535,3635,0.003465,-1.3483),(5535,3645,0.003475,-1.3481),(5535,3655,0.003484,-1.3476),(5535,3665,0.003495,-1.3472),(5535,3675,0.003513,-1.3467),(5535,3685,0.00353,-1.3463),(5535,3695,0.003548,-1.3461),(5535,3705,0.00355,-1.3459),(5535,3715,0.003487,-1.3457),(5535,3725,0.003425,-1.3454),(5535,3735,0.003362,-1.345),(5535,3745,0.003263,-1.3446),(5535,3755,0.003053,-1.3441),(5535,3765,0.002842,-1.3437),(5535,3775,0.002631,-1.3433),(5535,3785,0.002413,-1.3428),(5535,3795,0.002176,-1.3424),(5535,3805,0.001939,-1.3418),(5535,3815,0.001702,-1.3411),(5535,3825,0.001151,-1.3404),(5535,3835,-6.3e-05,-1.3396),(5535,3845,-0.001277,-1.3387),(5535,3855,-0.002491,-1.3373),(5535,3865,-0.003978,-1.336),(5535,3875,-0.005947,-1.3347),(5535,3885,-0.007916,-1.333),(5535,3895,-0.009885,-1.3307),(5535,3905,-0.012658,-1.3284),(5535,3915,-0.016633,-1.3262),(5535,3925,-0.020607,-1.3228),(5535,3935,-0.024581,-1.318),(5535,3945,-0.031215,-1.3131),(5535,3955,-0.041227,-1.3083),(5535,3965,-0.051238,-1.2977),(5535,3975,-0.06125,-1.2805),(5535,3985,-0.074148,-1.2632),(5535,3995,-0.090172,-1.246),(5535,4005,-0.10619,-1.2045),(5535,4015,-0.12222,-1.1386),(5535,4025,0.042246,-1.0728),(5535,4035,0.22437,-1.0282),(5535,4045,0.40649,-1.0284),(5535,4055,0.51796,-1.0286),(5535,4065,0.60364,-1.0288),(5535,4075,0.68933,-1.0292),(5535,4085,0.72733,-1.0295),(5535,4095,0.72701,-1.0298),(5535,4105,0.72669,-1.0304),(5535,4115,0.72668,-1.031),(5535,4125,0.7272,-1.0316),(5535,4135,0.72771,-1.032),(5535,4145,0.72827,-1.0325),(5535,4155,0.72903,-1.0329),(5535,4165,0.72978,-1.0334),(5535,4175,0.73056,-1.0338),(5535,4185,0.73229,-1.0342),(5535,4195,0.73403,-1.0345),(5535,4205,0.73576,-1.0346),(5535,4215,0.73805,-1.0348),(5535,4225,0.74043,-1.0348),(5535,4235,0.74281,-1.0346),(5535,4245,0.74557,-1.0343),(5535,4255,0.74852,-1.034),(5535,4265,0.75147,-1.0335),(5535,4275,0.75467,-1.033),(5535,4285,0.75814,-1.0324),(5535,4295,0.76161,-1.0316),(5535,4305,0.7652,-1.0308),(5535,4315,0.76908,-1.0299),(5535,4325,0.77296,-1.0288),(5535,4335,0.77687,-1.0276),(5535,4345,0.78103,-1.0264),(5535,4355,0.7852,-1.0251),(5535,4365,0.78936,-1.0238),(5535,4375,0.79374,-1.0224),(5535,4385,0.79813,-1.0209),(5535,4395,0.80252,-1.0193),(5535,4405,0.80703,-1.0178),(5535,4415,0.81157,-1.0162),(5535,4425,0.81611,-1.0144),(5535,4435,0.82086,-1.0126),(5535,4445,0.82576,-1.0108),(5535,4455,0.83066,-1.0088),(5535,4465,0.8355,-1.0067),(5535,4475,0.84024,-1.0046),(5535,4485,0.84498,-1.0024),(5535,4495,0.8498,-1.0001),(5535,4505,0.85484,-0.99788),(5535,4515,0.85988,-0.99544),(5535,4525,0.86493,-0.9929),(5535,4535,0.87002,-0.99036),(5535,4545,0.87512,-0.98771),(5535,4555,0.88021,-0.98493),(5535,4565,0.88531,-0.98215),(5535,4575,0.89041,-0.97933),(5535,4585,0.89551,-0.97639),(5535,4595,0.90061,-0.97344),(5535,4605,0.90572,-0.97048),(5535,4615,0.91082,-0.96736),(5535,4625,0.91592,-0.96425),(5535,4635,0.92102,-0.96113),(5535,4645,0.92612,-0.95788),(5535,4655,0.93122,-0.95462),(5535,4665,0.93634,-0.95136),(5535,4675,0.94145,-0.94795),(5535,4685,0.94656,-0.9445),(5535,4695,0.95164,-0.94104),(5535,4705,0.95671,-0.93749),(5535,4715,0.96179,-0.93387),(5535,4725,0.96692,-0.93025),(5535,4735,0.97204,-0.92655),(5535,4745,0.97717,-0.92274),(5535,4755,0.98212,-0.91893),(5535,4765,0.98703,-0.91508),(5535,4775,0.99194,-0.9111),(5535,4785,0.99689,-0.90712),(5535,4795,1.0019,-0.90313),(5535,4805,1.0068,-0.89902),(5535,4815,1.0118,-0.8949),(5535,4825,1.0167,-0.89079),(5535,4835,1.0216,-0.88657),(5535,4845,1.0264,-0.88233),(5535,4855,1.0313,-0.87809),(5535,4865,1.0361,-0.87379),(5535,4875,1.0409,-0.86945),(5535,4885,1.0456,-0.86511),(5535,4895,1.0503,-0.86076),(5535,4905,1.055,-0.85639),(5535,4915,1.0597,-0.85202),(5535,4925,1.0643,-0.84764),(5535,4935,1.069,-0.84324),(5535,4945,1.0735,-0.83884),(5535,4955,1.0781,-0.83443),(5535,4965,1.0827,-0.82999),(5535,4975,1.0872,-0.82554),(5535,4985,1.0917,-0.82109),(5535,4995,1.0961,-0.8166),(5535,5005,1.1006,-0.8121),(5535,5015,1.105,-0.80761),(5535,5025,1.1094,-0.8031),(5535,5035,1.1138,-0.79859),(5535,5045,1.118,-0.79409),(5535,5055,1.1223,-0.78959),(5535,5065,1.1266,-0.78511),(5535,5075,1.1308,-0.78063),(5535,5085,1.1351,-0.77613),(5535,5095,1.1394,-0.7716),(5535,5105,1.1436,-0.76708),(5535,5115,1.1477,-0.76257),(5535,5125,1.1519,-0.75807),(5535,5135,1.156,-0.75358),(5535,5145,1.1601,-0.74908),(5535,5155,1.1642,-0.7446),(5535,5165,1.1682,-0.74012),(5535,5175,1.1723,-0.73564),(5535,5185,1.1763,-0.73115),(5535,5195,1.1803,-0.72665),(5535,5205,1.1843,-0.72216),(5535,5215,1.1882,-0.71769),(5535,5225,1.1922,-0.71323),(5535,5235,1.1961,-0.70878),(5535,5245,1.2,-0.70431),(5535,5255,1.2039,-0.69984),(5535,5265,1.2078,-0.69538),(5535,5275,1.2116,-0.6909),(5535,5285,1.2155,-0.68642),(5535,5295,1.2193,-0.68193),(5535,5305,1.2232,-0.67745),(5535,5315,1.227,-0.67298),(5535,5325,1.2308,-0.66851),(5535,5335,1.2346,-0.66404),(5535,5345,1.2384,-0.65957),(5535,5355,1.2422,-0.6551),(5535,5365,1.2459,-0.65062),(5535,5375,1.2497,-0.64616),(5535,5385,1.2534,-0.6417),(5535,5395,1.2571,-0.63723),(5535,5405,1.2608,-0.63276),(5535,5415,1.2645,-0.62828),(5535,5425,1.2682,-0.6238),(5535,5435,1.2718,-0.61931),(5535,5445,1.2755,-0.61481),(5535,5455,1.2791,-0.61031),(5535,5465,1.2827,-0.60581),(5535,5475,1.2863,-0.60127),(5535,5485,1.2899,-0.59674),(5535,5495,1.2935,-0.5922),(5535,5505,1.2971,-0.58764),(5535,5515,1.3007,-0.58308),(5535,5525,1.3042,-0.57852),(5535,5535,1.3078,-0.57393),(5535,5545,1.3113,-0.56934),(5535,5555,1.3148,-0.56475),(5535,5565,1.3184,-0.56012),(5535,5575,1.3219,-0.55547),(5535,5585,1.3253,-0.55082),(5535,5595,1.3288,-0.54614),(5535,5605,1.3323,-0.54144),(5535,5615,1.3357,-0.53673),(5535,5625,1.3392,-0.53202),(5535,5635,1.3426,-0.5273),(5535,5645,1.346,-0.52258),(5535,5655,1.3494,-0.51786),(5535,5665,1.3528,-0.51314),(5535,5675,1.3561,-0.50843),(5535,5685,1.3593,-0.50371),(5535,5695,1.3625,-0.49891),(5535,5705,1.3658,-0.49411),(5535,5715,1.3692,-0.48931),(5535,5725,1.3726,-0.48444),(5535,5735,1.3759,-0.47955),(5535,5745,1.3791,-0.47467),(5535,5755,1.3823,-0.46978),(5535,5765,1.3855,-0.46488),(5535,5775,1.3887,-0.45999),(5535,5785,1.3918,-0.45505),(5535,5795,1.395,-0.45008),(5535,5805,1.398,-0.4451),(5535,5815,1.4011,-0.44009),(5535,5825,1.4042,-0.43504),(5535,5835,1.4072,-0.42998),(5535,5845,1.4102,-0.42492),(5535,5855,1.4132,-0.41984),(5535,5865,1.4161,-0.41476),(5535,5875,1.4191,-0.40967),(5535,5885,1.422,-0.40457),(5535,5895,1.4249,-0.39947),(5535,5905,1.4278,-0.39436),(5535,5915,1.4307,-0.38918),(5535,5925,1.4335,-0.38399),(5535,5935,1.4363,-0.3788),(5535,5945,1.4392,-0.37355),(5535,5955,1.4419,-0.36828),(5535,5965,1.4445,-0.36301),(5535,5975,1.4471,-0.35772),(5535,5985,1.4496,-0.35242),(5535,5995,1.4523,-0.34713),(5535,6005,1.4551,-0.34181),(5535,6015,1.4578,-0.33643),(5535,6025,1.4604,-0.33105),(5535,6035,1.4628,-0.32566),(5535,6045,1.4653,-0.3202),(5535,6055,1.4677,-0.31474),(5535,6065,1.4701,-0.30928),(5535,6075,1.4724,-0.30377),(5535,6085,1.4748,-0.29825),(5535,6095,1.477,-0.29274),(5535,6105,1.4793,-0.28719),(5535,6115,1.4815,-0.28163),(5535,6125,1.4837,-0.27607),(5535,6135,1.4859,-0.27047),(5535,6145,1.488,-0.26486),(5535,6155,1.4901,-0.25925),(5535,6165,1.4922,-0.25361),(5535,6175,1.4943,-0.24792),(5535,6185,1.4963,-0.24222),(5535,6195,1.4982,-0.23652),(5535,6205,1.5002,-0.23077),(5535,6215,1.5021,-0.22503),(5535,6225,1.5039,-0.21928),(5535,6235,1.5057,-0.21353),(5535,6245,1.5075,-0.20779),(5535,6255,1.5092,-0.20205),(5535,6265,1.5109,-0.19625),(5535,6275,1.5125,-0.19044),(5535,6285,1.514,-0.18463),(5535,6295,1.5154,-0.17874),(5535,6305,1.5168,-0.17281),(5535,6315,1.5183,-0.16687),(5535,6325,1.5198,-0.16095),(5535,6335,1.5212,-0.15502),(5535,6345,1.5225,-0.1491),(5535,6355,1.5237,-0.14316),(5535,6365,1.5249,-0.13717),(5535,6375,1.5261,-0.13118),(5535,6385,1.5271,-0.12518),(5535,6395,1.5282,-0.11915),(5535,6405,1.5292,-0.11312),(5535,6415,1.5302,-0.10708),(5535,6425,1.5311,-0.10107),(5535,6435,1.532,-0.095049),(5535,6445,1.5328,-0.089032),(5535,6455,1.5335,-0.082959),(5535,6465,1.5343,-0.07687),(5535,6475,1.5349,-0.070781),(5535,6485,1.5355,-0.064701),(5535,6495,1.5361,-0.058627),(5535,6505,1.5365,-0.052552),(5535,6515,1.5369,-0.04646),(5535,6525,1.5373,-0.040343),(5535,6535,1.5376,-0.034226),(5535,6545,1.5379,-0.028109),(5535,6555,1.5382,-0.02199),(5535,6565,1.5383,-0.015872),(5535,6575,1.5384,-0.009753),(5535,6585,1.5384,-0.003622),(5535,6595,1.3085,0.002509),(5535,6605,0.82468,0.00864),(5535,6615,0.34087,0.0093),(5535,6625,0.00077,0.009258),(5535,6635,0.000796,0.009215),(5535,6645,0.000822,0.009213),(5535,6655,0.000848,0.009226),(5535,6665,0.000873,0.00924),(5535,6675,0.000898,0.009254),(5535,6685,0.000923,0.009267),(5535,6695,0.000946,0.00928),(5535,6705,0.00097,0.009293),(5535,6715,0.000993,0.009305),(5535,6725,0.001016,0.009317),(5535,6735,0.001038,0.009329),(5535,6745,0.00106,0.009341),(5535,6755,0.001082,0.009352),(5535,6765,0.001103,0.009363),(5535,6775,0.001124,0.009374),(5535,6785,0.001145,0.009384),(5535,6795,0.001165,0.009395),(5535,6805,0.001186,0.009404),(5535,6815,0.001206,0.009414),(5535,6825,0.001225,0.009424),(5535,6835,0.001244,0.009432),(5535,6845,0.001264,0.009441),(5535,6855,0.001283,0.00945),(5535,6865,0.001301,0.009458),(5535,6875,0.00132,0.009465),(5535,6885,0.001338,0.009473),(5535,6895,0.001355,0.00948),(5535,6905,0.001373,0.009487),(5535,6915,0.001391,0.009494),(5535,6925,0.001408,0.0095),(5535,6935,0.001425,0.009506),(5535,6945,0.001442,0.009512),(5535,6955,0.001459,0.009517),(5535,6965,0.001476,0.009522),(5535,6975,0.001492,0.009527),(5535,6985,0.001508,0.009532),(5545,5,1.7e-05,-1.4007),(5545,15,5e-05,-1.4009),(5545,25,7.7e-05,-1.401),(5545,35,9.7e-05,-1.4012),(5545,45,0.000116,-1.4013),(5545,55,0.000136,-1.4014),(5545,65,0.000155,-1.4015),(5545,75,0.000174,-1.4015),(5545,85,0.000192,-1.4017),(5545,95,0.00021,-1.4018),(5545,105,0.000226,-1.4019),(5545,115,0.000241,-1.4021),(5545,125,0.000255,-1.4023),(5545,135,0.000269,-1.4025),(5545,145,0.000294,-1.4027),(5545,155,0.000325,-1.4029),(5545,165,0.000356,-1.4031),(5545,175,0.000387,-1.4034),(5545,185,0.000426,-1.4036),(5545,195,0.000469,-1.4039),(5545,205,0.000512,-1.4042),(5545,215,0.000555,-1.4046),(5545,225,0.000589,-1.4049),(5545,235,0.000619,-1.4053),(5545,245,0.000649,-1.4056),(5545,255,0.000678,-1.406),(5545,265,0.000697,-1.4063),(5545,275,0.000712,-1.4067),(5545,285,0.000727,-1.4071),(5545,295,0.000742,-1.4076),(5545,305,0.000738,-1.408),(5545,315,0.00073,-1.4085),(5545,325,0.000722,-1.4089),(5545,335,0.000714,-1.4094),(5545,345,0.000719,-1.4098),(5545,355,0.000727,-1.4103),(5545,365,0.000734,-1.4108),(5545,375,0.000741,-1.4113),(5545,385,0.000729,-1.4118),(5545,395,0.000715,-1.4123),(5545,405,0.0007,-1.4129),(5545,415,0.000685,-1.4135),(5545,425,0.000683,-1.4141),(5545,435,0.000682,-1.4147),(5545,445,0.000681,-1.4154),(5545,455,0.00068,-1.4161),(5545,465,0.000675,-1.4168),(5545,475,0.000669,-1.4174),(5545,485,0.000663,-1.4182),(5545,495,0.000658,-1.4189),(5545,505,0.000702,-1.4196),(5545,515,0.000747,-1.4204),(5545,525,0.000792,-1.4212),(5545,535,0.000838,-1.4221),(5545,545,0.00092,-1.423),(5545,555,0.001002,-1.4239),(5545,565,0.001084,-1.4249),(5545,575,0.001164,-1.4258),(5545,585,0.001217,-1.4268),(5545,595,0.00127,-1.4277),(5545,605,0.001323,-1.4286),(5545,615,0.001369,-1.4296),(5545,625,0.001356,-1.4305),(5545,635,0.001344,-1.4315),(5545,645,0.001331,-1.4324),(5545,655,0.001312,-1.4334),(5545,665,0.001263,-1.4344),(5545,675,0.001213,-1.4354),(5545,685,0.001163,-1.4365),(5545,695,0.001117,-1.4375),(5545,705,0.001083,-1.4386),(5545,715,0.00105,-1.4397),(5545,725,0.001017,-1.4409),(5545,735,0.001022,-1.4421),(5545,745,0.001153,-1.4434),(5545,755,0.001284,-1.4446),(5545,765,0.001416,-1.446),(5545,775,0.001531,-1.4473),(5545,785,0.001603,-1.4487),(5545,795,0.001676,-1.4501),(5545,805,0.001748,-1.4515),(5545,815,0.001838,-1.453),(5545,825,0.001964,-1.4544),(5545,835,0.00209,-1.4559),(5545,845,0.002216,-1.4573),(5545,855,0.002324,-1.4588),(5545,865,0.002397,-1.4603),(5545,875,0.002471,-1.4618),(5545,885,0.002544,-1.4634),(5545,895,0.002606,-1.465),(5545,905,0.002648,-1.4665),(5545,915,0.002691,-1.4681),(5545,925,0.002734,-1.4698),(5545,935,0.002786,-1.4714),(5545,945,0.00285,-1.4731),(5545,955,0.002913,-1.4748),(5545,965,0.002977,-1.4765),(5545,975,0.003074,-1.4783),(5545,985,0.003207,-1.48),(5545,995,0.003339,-1.4817),(5545,1005,0.003472,-1.4835),(5545,1015,0.003668,-1.4853),(5545,1025,0.003925,-1.4871),(5545,1035,0.004182,-1.489),(5545,1045,0.004438,-1.4909),(5545,1055,0.004761,-1.4929),(5545,1065,0.005138,-1.4948),(5545,1075,0.005515,-1.4969),(5545,1085,0.005892,-1.4991),(5545,1095,0.00628,-1.5013),(5545,1105,0.006676,-1.5036),(5545,1115,0.007073,-1.5058),(5545,1125,0.007469,-1.5082),(5545,1135,0.007426,-1.5105),(5545,1145,0.007124,-1.5129),(5545,1155,0.006821,-1.5151),(5545,1165,0.006519,-1.5174),(5545,1175,0.005324,-1.5196),(5545,1185,0.003687,-1.5218),(5545,1195,0.002049,-1.5232),(5545,1205,0.000412,-1.5241),(5545,1215,-0.003736,-1.525),(5545,1225,-0.008919,-1.526),(5545,1235,-0.014102,-1.5235),(5545,1245,-0.019285,-1.5198),(5545,1255,-0.036226,-1.5161),(5545,1265,-0.057138,-1.5124),(5545,1275,-0.078051,-1.4967),(5545,1285,-0.098963,-1.4774),(5545,1295,-0.12768,-1.4581),(5545,1305,-0.15852,-1.4388),(5545,1315,-0.18935,-1.3842),(5545,1325,-0.22018,-1.3211),(5545,1335,-0.13913,-1.258),(5545,1345,-0.034619,-1.1949),(5545,1355,0.06989,-1.2345),(5545,1365,0.1744,-1.2928),(5545,1375,0.17118,-1.3511),(5545,1385,0.15133,-1.4093),(5545,1395,0.13149,-1.4344),(5545,1405,0.11165,-1.4553),(5545,1415,0.091544,-1.4761),(5545,1425,0.071412,-1.497),(5545,1435,0.05128,-1.503),(5545,1445,0.031149,-1.5078),(5545,1455,0.025347,-1.5126),(5545,1465,0.02037,-1.5175),(5545,1475,0.015393,-1.518),(5545,1485,0.010416,-1.5184),(5545,1495,0.008113,-1.5188),(5545,1505,0.005851,-1.5191),(5545,1515,0.003589,-1.5177),(5545,1525,0.001355,-1.5163),(5545,1535,0.00026,-1.5149),(5545,1545,-0.000834,-1.5134),(5545,1555,-0.001929,-1.5117),(5545,1565,-0.002968,-1.5099),(5545,1575,-0.003186,-1.5081),(5545,1585,-0.003404,-1.5063),(5545,1595,-0.003622,-1.5045),(5545,1605,-0.003815,-1.5026),(5545,1615,-0.003785,-1.5007),(5545,1625,-0.003755,-1.4989),(5545,1635,-0.003725,-1.4969),(5545,1645,-0.003684,-1.495),(5545,1655,-0.003579,-1.4931),(5545,1665,-0.003474,-1.4911),(5545,1675,-0.003369,-1.4893),(5545,1685,-0.003258,-1.4874),(5545,1695,-0.003121,-1.4855),(5545,1705,-0.002984,-1.4836),(5545,1715,-0.002847,-1.4818),(5545,1725,-0.002715,-1.48),(5545,1735,-0.002601,-1.4782),(5545,1745,-0.002488,-1.4764),(5545,1755,-0.002374,-1.4747),(5545,1765,-0.002268,-1.473),(5545,1775,-0.002186,-1.4713),(5545,1785,-0.002104,-1.4696),(5545,1795,-0.002022,-1.468),(5545,1805,-0.001948,-1.4665),(5545,1815,-0.001892,-1.4649),(5545,1825,-0.001836,-1.4634),(5545,1835,-0.00178,-1.462),(5545,1845,-0.001682,-1.4606),(5545,1855,-0.001504,-1.4592),(5545,1865,-0.001326,-1.4578),(5545,1875,-0.001147,-1.4564),(5545,1885,-0.001044,-1.4549),(5545,1895,-0.001063,-1.4535),(5545,1905,-0.001082,-1.4521),(5545,1915,-0.0011,-1.4509),(5545,1925,-0.001077,-1.4497),(5545,1935,-0.000997,-1.4484),(5545,1945,-0.000916,-1.4472),(5545,1955,-0.000835,-1.4459),(5545,1965,-0.000806,-1.4446),(5545,1975,-0.000837,-1.4434),(5545,1985,-0.000869,-1.4421),(5545,1995,-0.0009,-1.4408),(5545,2005,-0.000935,-1.4394),(5545,2015,-0.000975,-1.4381),(5545,2025,-0.001014,-1.4369),(5545,2035,-0.001054,-1.4357),(5545,2045,-0.00107,-1.4346),(5545,2055,-0.001066,-1.4334),(5545,2065,-0.001061,-1.4323),(5545,2075,-0.001057,-1.4313),(5545,2085,-0.00103,-1.4302),(5545,2095,-0.000986,-1.4291),(5545,2105,-0.000942,-1.4281),(5545,2115,-0.000898,-1.4271),(5545,2125,-0.00085,-1.4261),(5545,2135,-0.000799,-1.4251),(5545,2145,-0.000748,-1.4241),(5545,2155,-0.000697,-1.4232),(5545,2165,-0.000647,-1.4222),(5545,2175,-0.000597,-1.4213),(5545,2185,-0.000547,-1.4203),(5545,2195,-0.000497,-1.4194),(5545,2205,-0.000451,-1.4185),(5545,2215,-0.000406,-1.4176),(5545,2225,-0.00036,-1.4168),(5545,2235,-0.000315,-1.416),(5545,2245,-0.000179,-1.4152),(5545,2255,-9e-06,-1.4144),(5545,2265,0.00016,-1.4135),(5545,2275,0.000329,-1.4126),(5545,2285,0.000287,-1.4117),(5545,2295,0.000184,-1.4108),(5545,2305,8.1e-05,-1.41),(5545,2315,-2.2e-05,-1.4092),(5545,2325,3.1e-05,-1.4084),(5545,2335,0.00012,-1.4076),(5545,2345,0.000209,-1.4069),(5545,2355,0.000297,-1.4062),(5545,2365,0.000386,-1.4055),(5545,2375,0.000474,-1.4048),(5545,2385,0.000563,-1.4042),(5545,2395,0.000651,-1.4035),(5545,2405,0.000713,-1.4029),(5545,2415,0.000773,-1.4023),(5545,2425,0.000832,-1.4017),(5545,2435,0.000891,-1.401),(5545,2445,0.000887,-1.4004),(5545,2455,0.000879,-1.3998),(5545,2465,0.00087,-1.3991),(5545,2475,0.000862,-1.3985),(5545,2485,0.000801,-1.3978),(5545,2495,0.00074,-1.3972),(5545,2505,0.000678,-1.3965),(5545,2515,0.000616,-1.3958),(5545,2525,0.000582,-1.3951),(5545,2535,0.000549,-1.3944),(5545,2545,0.000515,-1.3938),(5545,2555,0.000483,-1.3932),(5545,2565,0.000494,-1.3926),(5545,2575,0.000505,-1.392),(5545,2585,0.000516,-1.3915),(5545,2595,0.000522,-1.391),(5545,2605,0.000489,-1.3904),(5545,2615,0.000457,-1.3899),(5545,2625,0.000424,-1.3894),(5545,2635,0.000421,-1.3888),(5545,2645,0.000618,-1.3883),(5545,2655,0.000815,-1.3877),(5545,2665,0.001012,-1.3871),(5545,2675,0.001149,-1.3864),(5545,2685,0.000994,-1.3858),(5545,2695,0.00084,-1.3851),(5545,2705,0.000685,-1.3847),(5545,2715,0.000586,-1.3843),(5545,2725,0.000688,-1.3838),(5545,2735,0.000791,-1.3834),(5545,2745,0.000894,-1.383),(5545,2755,0.000977,-1.3825),(5545,2765,0.001002,-1.3821),(5545,2775,0.001027,-1.3816),(5545,2785,0.001053,-1.3811),(5545,2795,0.001065,-1.3806),(5545,2805,0.001048,-1.3802),(5545,2815,0.00103,-1.3797),(5545,2825,0.001012,-1.3792),(5545,2835,0.001001,-1.3786),(5545,2845,0.001003,-1.3781),(5545,2855,0.001004,-1.3776),(5545,2865,0.001006,-1.3772),(5545,2875,0.001017,-1.3767),(5545,2885,0.001044,-1.3763),(5545,2895,0.001072,-1.3759),(5545,2905,0.001099,-1.3755),(5545,2915,0.001118,-1.3751),(5545,2925,0.001125,-1.3747),(5545,2935,0.001131,-1.3742),(5545,2945,0.001137,-1.3738),(5545,2955,0.001132,-1.3733),(5545,2965,0.001115,-1.3729),(5545,2975,0.001097,-1.3724),(5545,2985,0.001079,-1.3719),(5545,2995,0.001064,-1.3714),(5545,3005,0.001054,-1.371),(5545,3015,0.001043,-1.3705),(5545,3025,0.001033,-1.3701),(5545,3035,0.001178,-1.3698),(5545,3045,0.001461,-1.3694),(5545,3055,0.001744,-1.369),(5545,3065,0.002027,-1.3685),(5545,3075,0.002066,-1.3681),(5545,3085,0.001921,-1.3677),(5545,3095,0.001775,-1.3673),(5545,3105,0.00163,-1.3669),(5545,3115,0.001584,-1.3665),(5545,3125,0.001602,-1.3661),(5545,3135,0.001621,-1.3657),(5545,3145,0.001639,-1.3652),(5545,3155,0.001663,-1.3648),(5545,3165,0.001689,-1.3643),(5545,3175,0.001716,-1.364),(5545,3185,0.001742,-1.3636),(5545,3195,0.001798,-1.3633),(5545,3205,0.001867,-1.363),(5545,3215,0.001935,-1.3626),(5545,3225,0.002004,-1.3623),(5545,3235,0.002065,-1.3619),(5545,3245,0.002122,-1.3616),(5545,3255,0.00218,-1.3612),(5545,3265,0.002237,-1.3608),(5545,3275,0.002275,-1.3605),(5545,3285,0.002306,-1.3601),(5545,3295,0.002337,-1.3597),(5545,3305,0.002368,-1.3593),(5545,3315,0.002362,-1.359),(5545,3325,0.002347,-1.3586),(5545,3335,0.002332,-1.3582),(5545,3345,0.002317,-1.3578),(5545,3355,0.002297,-1.3573),(5545,3365,0.002276,-1.3569),(5545,3375,0.002255,-1.3567),(5545,3385,0.002234,-1.3564),(5545,3395,0.002428,-1.3562),(5545,3405,0.002649,-1.356),(5545,3415,0.002871,-1.3555),(5545,3425,0.003093,-1.3551),(5545,3435,0.002918,-1.3546),(5545,3445,0.002711,-1.3541),(5545,3455,0.002504,-1.3538),(5545,3465,0.002297,-1.3534),(5545,3475,0.002429,-1.353),(5545,3485,0.002573,-1.3527),(5545,3495,0.002717,-1.3525),(5545,3505,0.002861,-1.3523),(5545,3515,0.00291,-1.3521),(5545,3525,0.002958,-1.3519),(5545,3535,0.003007,-1.3514),(5545,3545,0.003055,-1.3509),(5545,3555,0.003078,-1.3504),(5545,3565,0.003102,-1.3499),(5545,3575,0.003125,-1.3497),(5545,3585,0.003153,-1.3494),(5545,3595,0.003232,-1.3491),(5545,3605,0.003311,-1.3488),(5545,3615,0.003391,-1.3486),(5545,3625,0.00346,-1.3484),(5545,3635,0.003461,-1.3483),(5545,3645,0.003462,-1.348),(5545,3655,0.003463,-1.3476),(5545,3665,0.003465,-1.3471),(5545,3675,0.003473,-1.3467),(5545,3685,0.003482,-1.3463),(5545,3695,0.00349,-1.3461),(5545,3705,0.003481,-1.3459),(5545,3715,0.003404,-1.3457),(5545,3725,0.003328,-1.3454),(5545,3735,0.003251,-1.345),(5545,3745,0.003135,-1.3446),(5545,3755,0.002897,-1.3442),(5545,3765,0.002658,-1.3438),(5545,3775,0.00242,-1.3434),(5545,3785,0.002165,-1.343),(5545,3795,0.001864,-1.3426),(5545,3805,0.001563,-1.3422),(5545,3815,0.001262,-1.3414),(5545,3825,0.000631,-1.3407),(5545,3835,-0.000695,-1.3399),(5545,3845,-0.00202,-1.339),(5545,3855,-0.003346,-1.3378),(5545,3865,-0.005005,-1.3366),(5545,3875,-0.007251,-1.3354),(5545,3885,-0.009497,-1.3338),(5545,3895,-0.011744,-1.3316),(5545,3905,-0.014936,-1.3293),(5545,3915,-0.01954,-1.3271),(5545,3925,-0.024144,-1.3239),(5545,3935,-0.028748,-1.3194),(5545,3945,-0.03701,-1.3148),(5545,3955,-0.049916,-1.3102),(5545,3965,-0.062821,-1.3009),(5545,3975,-0.075726,-1.286),(5545,3985,-0.097002,-1.2711),(5545,3995,-0.12734,-1.2561),(5545,4005,-0.15767,-1.214),(5545,4015,-0.18801,-1.1445),(5545,4025,-0.005827,-1.0751),(5545,4035,0.19715,-1.0281),(5545,4045,0.40012,-1.0282),(5545,4055,0.51709,-1.0284),(5545,4065,0.60268,-1.0285),(5545,4075,0.68827,-1.0288),(5545,4085,0.72626,-1.029),(5545,4095,0.726,-1.0293),(5545,4105,0.72574,-1.0298),(5545,4115,0.72576,-1.0304),(5545,4125,0.72626,-1.0309),(5545,4135,0.72676,-1.0313),(5545,4145,0.7273,-1.0315),(5545,4155,0.72805,-1.0318),(5545,4165,0.72879,-1.0322),(5545,4175,0.72956,-1.0326),(5545,4185,0.73121,-1.033),(5545,4195,0.73285,-1.0333),(5545,4205,0.7345,-1.0335),(5545,4215,0.73669,-1.0337),(5545,4225,0.73897,-1.0337),(5545,4235,0.74125,-1.0335),(5545,4245,0.7439,-1.0332),(5545,4255,0.74674,-1.033),(5545,4265,0.74958,-1.0325),(5545,4275,0.75267,-1.032),(5545,4285,0.75604,-1.0315),(5545,4295,0.75941,-1.0307),(5545,4305,0.7629,-1.0298),(5545,4315,0.76669,-1.029),(5545,4325,0.77048,-1.0279),(5545,4335,0.7743,-1.0267),(5545,4345,0.77839,-1.0255),(5545,4355,0.78247,-1.0242),(5545,4365,0.78655,-1.0228),(5545,4375,0.79085,-1.0214),(5545,4385,0.79516,-1.0199),(5545,4395,0.79948,-1.0183),(5545,4405,0.8039,-1.0167),(5545,4415,0.80837,-1.0151),(5545,4425,0.81283,-1.0133),(5545,4435,0.8175,-1.0116),(5545,4445,0.8223,-1.0098),(5545,4455,0.8271,-1.0077),(5545,4465,0.83185,-1.0055),(5545,4475,0.83653,-1.0034),(5545,4485,0.84121,-1.0012),(5545,4495,0.84595,-0.99897),(5545,4505,0.85091,-0.99675),(5545,4515,0.85587,-0.99434),(5545,4525,0.86084,-0.99184),(5545,4535,0.86585,-0.98934),(5545,4545,0.87087,-0.98672),(5545,4555,0.87589,-0.98399),(5545,4565,0.88091,-0.98126),(5545,4575,0.88594,-0.97848),(5545,4585,0.89097,-0.97557),(5545,4595,0.896,-0.97267),(5545,4605,0.90103,-0.96974),(5545,4615,0.90607,-0.96667),(5545,4625,0.9111,-0.96359),(5545,4635,0.91613,-0.96051),(5545,4645,0.92116,-0.9573),(5545,4655,0.92619,-0.95408),(5545,4665,0.93124,-0.95086),(5545,4675,0.93628,-0.94751),(5545,4685,0.94132,-0.94411),(5545,4695,0.94633,-0.94072),(5545,4705,0.95135,-0.93725),(5545,4715,0.95636,-0.93372),(5545,4725,0.96142,-0.9302),(5545,4735,0.96648,-0.92658),(5545,4745,0.97154,-0.9228),(5545,4755,0.97645,-0.91903),(5545,4765,0.98133,-0.91523),(5545,4775,0.9862,-0.91133),(5545,4785,0.9911,-0.90744),(5545,4795,0.99603,-0.90354),(5545,4805,1.0009,-0.8995),(5545,4815,1.0058,-0.89546),(5545,4825,1.0107,-0.89142),(5545,4835,1.0156,-0.88726),(5545,4845,1.0204,-0.88309),(5545,4855,1.0252,-0.87892),(5545,4865,1.0299,-0.87467),(5545,4875,1.0347,-0.87038),(5545,4885,1.0394,-0.86609),(5545,4895,1.0441,-0.86178),(5545,4905,1.0488,-0.85746),(5545,4915,1.0534,-0.85313),(5545,4925,1.058,-0.84879),(5545,4935,1.0626,-0.84442),(5545,4945,1.0672,-0.84006),(5545,4955,1.0717,-0.83568),(5545,4965,1.0763,-0.83126),(5545,4975,1.0808,-0.82684),(5545,4985,1.0852,-0.82241),(5545,4995,1.0897,-0.81794),(5545,5005,1.0942,-0.81347),(5545,5015,1.0985,-0.809),(5545,5025,1.1029,-0.80451),(5545,5035,1.1073,-0.80001),(5545,5045,1.1116,-0.79552),(5545,5055,1.1158,-0.79105),(5545,5065,1.1201,-0.78659),(5545,5075,1.1243,-0.78213),(5545,5085,1.1286,-0.77765),(5545,5095,1.1328,-0.77313),(5545,5105,1.137,-0.76861),(5545,5115,1.1412,-0.7641),(5545,5125,1.1453,-0.7596),(5545,5135,1.1494,-0.75511),(5545,5145,1.1535,-0.75062),(5545,5155,1.1576,-0.74613),(5545,5165,1.1617,-0.74165),(5545,5175,1.1657,-0.73716),(5545,5185,1.1697,-0.73267),(5545,5195,1.1737,-0.72817),(5545,5205,1.1777,-0.72367),(5545,5215,1.1816,-0.71919),(5545,5225,1.1856,-0.71472),(5545,5235,1.1895,-0.71025),(5545,5245,1.1934,-0.70578),(5545,5255,1.1973,-0.7013),(5545,5265,1.2012,-0.69682),(5545,5275,1.205,-0.69234),(5545,5285,1.2089,-0.68783),(5545,5295,1.2127,-0.68333),(5545,5305,1.2165,-0.67883),(5545,5315,1.2203,-0.67434),(5545,5325,1.2241,-0.66984),(5545,5335,1.2279,-0.66535),(5545,5345,1.2317,-0.66085),(5545,5355,1.2355,-0.65636),(5545,5365,1.2392,-0.65186),(5545,5375,1.243,-0.64737),(5545,5385,1.2467,-0.64289),(5545,5395,1.2504,-0.6384),(5545,5405,1.2541,-0.6339),(5545,5415,1.2578,-0.6294),(5545,5425,1.2614,-0.62489),(5545,5435,1.2651,-0.62038),(5545,5445,1.2687,-0.61585),(5545,5455,1.2723,-0.61133),(5545,5465,1.2759,-0.6068),(5545,5475,1.2795,-0.60223),(5545,5485,1.2831,-0.59767),(5545,5495,1.2866,-0.59311),(5545,5505,1.2902,-0.58851),(5545,5515,1.2938,-0.58392),(5545,5525,1.2973,-0.57933),(5545,5535,1.3008,-0.57471),(5545,5545,1.3043,-0.57009),(5545,5555,1.3079,-0.56547),(5545,5565,1.3114,-0.56081),(5545,5575,1.3149,-0.55614),(5545,5585,1.3183,-0.55147),(5545,5595,1.3218,-0.54677),(5545,5605,1.3252,-0.54204),(5545,5615,1.3286,-0.53731),(5545,5625,1.332,-0.53257),(5545,5635,1.3354,-0.52782),(5545,5645,1.3388,-0.52307),(5545,5655,1.3422,-0.51831),(5545,5665,1.3456,-0.51354),(5545,5675,1.3488,-0.50877),(5545,5685,1.352,-0.50401),(5545,5695,1.3552,-0.49926),(5545,5705,1.3585,-0.4945),(5545,5715,1.3619,-0.48975),(5545,5725,1.3652,-0.48484),(5545,5735,1.3685,-0.47991),(5545,5745,1.3717,-0.47498),(5545,5755,1.3749,-0.47006),(5545,5765,1.3781,-0.46514),(5545,5775,1.3812,-0.46022),(5545,5785,1.3843,-0.45527),(5545,5795,1.3875,-0.45027),(5545,5805,1.3905,-0.44528),(5545,5815,1.3936,-0.44026),(5545,5825,1.3966,-0.43519),(5545,5835,1.3996,-0.43012),(5545,5845,1.4026,-0.42504),(5545,5855,1.4056,-0.41994),(5545,5865,1.4085,-0.41483),(5545,5875,1.4114,-0.40973),(5545,5885,1.4143,-0.40461),(5545,5895,1.4172,-0.39949),(5545,5905,1.42,-0.39437),(5545,5915,1.4229,-0.38917),(5545,5925,1.4257,-0.38395),(5545,5935,1.4285,-0.37874),(5545,5945,1.4313,-0.37346),(5545,5955,1.4341,-0.36814),(5545,5965,1.4366,-0.36282),(5545,5975,1.4392,-0.35754),(5545,5985,1.4417,-0.35231),(5545,5995,1.4444,-0.34708),(5545,6005,1.4471,-0.34181),(5545,6015,1.4498,-0.3364),(5545,6025,1.4523,-0.33099),(5545,6035,1.4548,-0.32557),(5545,6045,1.4572,-0.3201),(5545,6055,1.4596,-0.31463),(5545,6065,1.462,-0.30916),(5545,6075,1.4643,-0.30364),(5545,6085,1.4666,-0.29812),(5545,6095,1.4688,-0.2926),(5545,6105,1.4711,-0.28703),(5545,6115,1.4733,-0.28146),(5545,6125,1.4754,-0.27588),(5545,6135,1.4776,-0.27028),(5545,6145,1.4797,-0.26465),(5545,6155,1.4818,-0.25902),(5545,6165,1.4838,-0.25337),(5545,6175,1.4859,-0.24767),(5545,6185,1.4878,-0.24198),(5545,6195,1.4898,-0.23627),(5545,6205,1.4917,-0.23052),(5545,6215,1.4936,-0.22477),(5545,6225,1.4954,-0.21902),(5545,6235,1.4972,-0.21327),(5545,6245,1.499,-0.20753),(5545,6255,1.5006,-0.20178),(5545,6265,1.5023,-0.19597),(5545,6275,1.5039,-0.19014),(5545,6285,1.5054,-0.18432),(5545,6295,1.5068,-0.17846),(5545,6305,1.5082,-0.17259),(5545,6315,1.5097,-0.16672),(5545,6325,1.5111,-0.16082),(5545,6335,1.5126,-0.15487),(5545,6345,1.5138,-0.14893),(5545,6355,1.515,-0.14298),(5545,6365,1.5162,-0.13698),(5545,6375,1.5173,-0.13099),(5545,6385,1.5184,-0.12499),(5545,6395,1.5194,-0.11896),(5545,6405,1.5204,-0.11293),(5545,6415,1.5214,-0.10689),(5545,6425,1.5223,-0.10089),(5545,6435,1.5232,-0.094877),(5545,6445,1.5239,-0.088869),(5545,6455,1.5247,-0.082807),(5545,6465,1.5254,-0.076729),(5545,6475,1.526,-0.070651),(5545,6485,1.5266,-0.064581),(5545,6495,1.5272,-0.058515),(5545,6505,1.5276,-0.052449),(5545,6515,1.528,-0.046363),(5545,6525,1.5284,-0.040247),(5545,6535,1.5287,-0.034132),(5545,6545,1.529,-0.028013),(5545,6555,1.5293,-0.021885),(5545,6565,1.5294,-0.015757),(5545,6575,1.5294,-0.009631),(5545,6585,1.5295,-0.003528),(5545,6595,1.3009,0.002574),(5545,6605,0.81989,0.008677),(5545,6615,0.33889,0.009332),(5545,6625,0.000755,0.009287),(5545,6635,0.000781,0.009242),(5545,6645,0.000807,0.009239),(5545,6655,0.000833,0.009252),(5545,6665,0.000858,0.009265),(5545,6675,0.000883,0.009278),(5545,6685,0.000908,0.009291),(5545,6695,0.000932,0.009304),(5545,6705,0.000955,0.009316),(5545,6715,0.000979,0.009328),(5545,6725,0.001002,0.00934),(5545,6735,0.001025,0.009352),(5545,6745,0.001047,0.009363),(5545,6755,0.001069,0.009374),(5545,6765,0.00109,0.009385),(5545,6775,0.001112,0.009395),(5545,6785,0.001133,0.009405),(5545,6795,0.001154,0.009415),(5545,6805,0.001174,0.009425),(5545,6815,0.001194,0.009434),(5545,6825,0.001214,0.009443),(5545,6835,0.001234,0.009452),(5545,6845,0.001253,0.00946),(5545,6855,0.001272,0.009469),(5545,6865,0.001291,0.009476),(5545,6875,0.00131,0.009484),(5545,6885,0.001328,0.009491),(5545,6895,0.001346,0.009498),(5545,6905,0.001365,0.009505),(5545,6915,0.001382,0.009511),(5545,6925,0.0014,0.009517),(5545,6935,0.001417,0.009523),(5545,6945,0.001434,0.009529),(5545,6955,0.001451,0.009534),(5545,6965,0.001468,0.009539),(5545,6975,0.001485,0.009543),(5545,6985,0.001501,0.009548),(5555,5,1.8e-05,-1.4007),(5555,15,5.3e-05,-1.4008),(5555,25,7.8e-05,-1.401),(5555,35,9.4e-05,-1.4012),(5555,45,0.00011,-1.4013),(5555,55,0.000126,-1.4014),(5555,65,0.000141,-1.4014),(5555,75,0.000154,-1.4015),(5555,85,0.000167,-1.4016),(5555,95,0.00018,-1.4018),(5555,105,0.000193,-1.4019),(5555,115,0.000206,-1.4021),(5555,125,0.000218,-1.4022),(5555,135,0.000231,-1.4024),(5555,145,0.000254,-1.4027),(5555,155,0.000283,-1.4029),(5555,165,0.000312,-1.4031),(5555,175,0.000342,-1.4034),(5555,185,0.000383,-1.4036),(5555,195,0.000431,-1.4039),(5555,205,0.000478,-1.4042),(5555,215,0.000525,-1.4045),(5555,225,0.000566,-1.4049),(5555,235,0.000604,-1.4052),(5555,245,0.000642,-1.4056),(5555,255,0.00068,-1.406),(5555,265,0.000708,-1.4063),(5555,275,0.000734,-1.4067),(5555,285,0.000759,-1.4071),(5555,295,0.000784,-1.4076),(5555,305,0.00079,-1.408),(5555,315,0.000792,-1.4085),(5555,325,0.000794,-1.409),(5555,335,0.000795,-1.4094),(5555,345,0.000796,-1.4099),(5555,355,0.000796,-1.4103),(5555,365,0.000796,-1.4108),(5555,375,0.000797,-1.4113),(5555,385,0.000787,-1.4118),(5555,395,0.000776,-1.4123),(5555,405,0.000765,-1.4129),(5555,415,0.000753,-1.4135),(5555,425,0.000747,-1.4141),(5555,435,0.000741,-1.4147),(5555,445,0.000735,-1.4154),(5555,455,0.000728,-1.4161),(5555,465,0.000718,-1.4167),(5555,475,0.000708,-1.4174),(5555,485,0.000698,-1.4181),(5555,495,0.000687,-1.4189),(5555,505,0.000725,-1.4196),(5555,515,0.000764,-1.4203),(5555,525,0.000802,-1.4212),(5555,535,0.000842,-1.4221),(5555,545,0.000921,-1.423),(5555,555,0.001001,-1.4239),(5555,565,0.001081,-1.4248),(5555,575,0.00116,-1.4258),(5555,585,0.001224,-1.4268),(5555,595,0.001288,-1.4277),(5555,605,0.001353,-1.4287),(5555,615,0.00141,-1.4296),(5555,625,0.001414,-1.4306),(5555,635,0.001418,-1.4315),(5555,645,0.001422,-1.4325),(5555,655,0.001418,-1.4335),(5555,665,0.001375,-1.4345),(5555,675,0.001331,-1.4355),(5555,685,0.001288,-1.4365),(5555,695,0.001245,-1.4376),(5555,705,0.001204,-1.4386),(5555,715,0.001163,-1.4397),(5555,725,0.001122,-1.4409),(5555,735,0.00111,-1.4421),(5555,745,0.001197,-1.4433),(5555,755,0.001283,-1.4446),(5555,765,0.001369,-1.4459),(5555,775,0.001455,-1.4472),(5555,785,0.001542,-1.4486),(5555,795,0.001629,-1.4499),(5555,805,0.001716,-1.4514),(5555,815,0.001815,-1.4529),(5555,825,0.001938,-1.4544),(5555,835,0.002062,-1.4558),(5555,845,0.002186,-1.4573),(5555,855,0.002295,-1.4588),(5555,865,0.002378,-1.4603),(5555,875,0.002462,-1.4618),(5555,885,0.002545,-1.4634),(5555,895,0.002615,-1.465),(5555,905,0.002665,-1.4665),(5555,915,0.002714,-1.4681),(5555,925,0.002764,-1.4698),(5555,935,0.002822,-1.4714),(5555,945,0.002891,-1.4731),(5555,955,0.00296,-1.4748),(5555,965,0.003029,-1.4765),(5555,975,0.003131,-1.4782),(5555,985,0.00327,-1.48),(5555,995,0.00341,-1.4817),(5555,1005,0.003549,-1.4835),(5555,1015,0.003753,-1.4853),(5555,1025,0.004018,-1.4871),(5555,1035,0.004283,-1.4889),(5555,1045,0.004549,-1.4908),(5555,1055,0.004889,-1.4927),(5555,1065,0.005291,-1.4946),(5555,1075,0.005692,-1.4967),(5555,1085,0.006094,-1.4989),(5555,1095,0.006493,-1.5011),(5555,1105,0.006891,-1.5033),(5555,1115,0.007288,-1.5056),(5555,1125,0.007686,-1.5079),(5555,1135,0.007634,-1.5102),(5555,1145,0.007317,-1.5126),(5555,1155,0.007,-1.5149),(5555,1165,0.006682,-1.5171),(5555,1175,0.005137,-1.5194),(5555,1185,0.002983,-1.5216),(5555,1195,0.000828,-1.5227),(5555,1205,-0.001326,-1.5232),(5555,1215,-0.006799,-1.5237),(5555,1225,-0.013641,-1.5242),(5555,1235,-0.020482,-1.5205),(5555,1245,-0.027324,-1.5151),(5555,1255,-0.046983,-1.5098),(5555,1265,-0.070971,-1.5044),(5555,1275,-0.09496,-1.4888),(5555,1285,-0.11895,-1.4702),(5555,1295,-0.15652,-1.4515),(5555,1305,-0.19776,-1.4328),(5555,1315,-0.239,-1.3795),(5555,1325,-0.28024,-1.3178),(5555,1335,-0.17587,-1.2562),(5555,1345,-0.040973,-1.1946),(5555,1355,0.093919,-1.2342),(5555,1365,0.22881,-1.2922),(5555,1375,0.22134,-1.3502),(5555,1385,0.19191,-1.4082),(5555,1395,0.16247,-1.4319),(5555,1405,0.13304,-1.4512),(5555,1415,0.10944,-1.4704),(5555,1425,0.086441,-1.4897),(5555,1435,0.063446,-1.497),(5555,1445,0.040451,-1.5033),(5555,1455,0.033048,-1.5096),(5555,1465,0.026544,-1.516),(5555,1475,0.020039,-1.517),(5555,1485,0.013535,-1.5178),(5555,1495,0.010567,-1.5186),(5555,1505,0.007652,-1.5194),(5555,1515,0.004738,-1.5179),(5555,1525,0.001865,-1.5164),(5555,1535,0.000652,-1.5149),(5555,1545,-0.000561,-1.5134),(5555,1555,-0.001774,-1.5116),(5555,1565,-0.002925,-1.5097),(5555,1575,-0.00318,-1.5079),(5555,1585,-0.003435,-1.5061),(5555,1595,-0.00369,-1.5043),(5555,1605,-0.003915,-1.5024),(5555,1615,-0.003883,-1.5006),(5555,1625,-0.003852,-1.4987),(5555,1635,-0.00382,-1.4968),(5555,1645,-0.003776,-1.4949),(5555,1655,-0.003659,-1.493),(5555,1665,-0.003543,-1.4911),(5555,1675,-0.003426,-1.4892),(5555,1685,-0.003302,-1.4873),(5555,1695,-0.003145,-1.4855),(5555,1705,-0.002988,-1.4836),(5555,1715,-0.002831,-1.4818),(5555,1725,-0.002678,-1.48),(5555,1735,-0.002541,-1.4782),(5555,1745,-0.002403,-1.4765),(5555,1755,-0.002266,-1.4748),(5555,1765,-0.002141,-1.473),(5555,1775,-0.002049,-1.4713),(5555,1785,-0.001957,-1.4696),(5555,1795,-0.001866,-1.4681),(5555,1805,-0.001783,-1.4665),(5555,1815,-0.001721,-1.4649),(5555,1825,-0.00166,-1.4634),(5555,1835,-0.001598,-1.462),(5555,1845,-0.001517,-1.4606),(5555,1855,-0.001399,-1.4592),(5555,1865,-0.00128,-1.4578),(5555,1875,-0.001162,-1.4563),(5555,1885,-0.001081,-1.4549),(5555,1895,-0.001061,-1.4534),(5555,1905,-0.00104,-1.452),(5555,1915,-0.00102,-1.4508),(5555,1925,-0.000977,-1.4496),(5555,1935,-0.000904,-1.4484),(5555,1945,-0.000831,-1.4472),(5555,1955,-0.000758,-1.4459),(5555,1965,-0.000728,-1.4447),(5555,1975,-0.000749,-1.4434),(5555,1985,-0.00077,-1.4421),(5555,1995,-0.000791,-1.4408),(5555,2005,-0.000818,-1.4395),(5555,2015,-0.000851,-1.4382),(5555,2025,-0.000884,-1.4369),(5555,2035,-0.000918,-1.4358),(5555,2045,-0.000933,-1.4346),(5555,2055,-0.000932,-1.4334),(5555,2065,-0.000932,-1.4323),(5555,2075,-0.000932,-1.4313),(5555,2085,-0.00091,-1.4302),(5555,2095,-0.000872,-1.4291),(5555,2105,-0.000834,-1.4281),(5555,2115,-0.000797,-1.4271),(5555,2125,-0.000755,-1.4261),(5555,2135,-0.000712,-1.4251),(5555,2145,-0.000668,-1.4241),(5555,2155,-0.000625,-1.4231),(5555,2165,-0.000585,-1.4222),(5555,2175,-0.000547,-1.4212),(5555,2185,-0.000509,-1.4203),(5555,2195,-0.000471,-1.4194),(5555,2205,-0.000424,-1.4185),(5555,2215,-0.000372,-1.4176),(5555,2225,-0.00032,-1.4168),(5555,2235,-0.000267,-1.416),(5555,2245,-0.000166,-1.4152),(5555,2255,-4.6e-05,-1.4145),(5555,2265,7.3e-05,-1.4135),(5555,2275,0.000193,-1.4126),(5555,2285,0.00018,-1.4116),(5555,2295,0.000129,-1.4107),(5555,2305,7.8e-05,-1.4099),(5555,2315,2.7e-05,-1.4091),(5555,2325,7e-05,-1.4083),(5555,2335,0.000134,-1.4075),(5555,2345,0.000199,-1.4068),(5555,2355,0.000263,-1.4061),(5555,2365,0.000342,-1.4054),(5555,2375,0.000423,-1.4047),(5555,2385,0.000505,-1.4041),(5555,2395,0.000586,-1.4035),(5555,2405,0.000655,-1.4029),(5555,2415,0.000721,-1.4022),(5555,2425,0.000788,-1.4016),(5555,2435,0.000855,-1.401),(5555,2445,0.000866,-1.4004),(5555,2455,0.000874,-1.3998),(5555,2465,0.000881,-1.3992),(5555,2475,0.000889,-1.3985),(5555,2485,0.000841,-1.3979),(5555,2495,0.000792,-1.3972),(5555,2505,0.000743,-1.3965),(5555,2515,0.000694,-1.3958),(5555,2525,0.000665,-1.3951),(5555,2535,0.000636,-1.3944),(5555,2545,0.000607,-1.3938),(5555,2555,0.00058,-1.3932),(5555,2565,0.000596,-1.3926),(5555,2575,0.000611,-1.392),(5555,2585,0.000627,-1.3915),(5555,2595,0.000641,-1.391),(5555,2605,0.000633,-1.3905),(5555,2615,0.000626,-1.3899),(5555,2625,0.000619,-1.3894),(5555,2635,0.000628,-1.389),(5555,2645,0.000743,-1.3885),(5555,2655,0.000857,-1.3879),(5555,2665,0.000972,-1.3872),(5555,2675,0.001054,-1.3864),(5555,2685,0.000981,-1.3857),(5555,2695,0.000908,-1.385),(5555,2705,0.000834,-1.3846),(5555,2715,0.000794,-1.3842),(5555,2725,0.000873,-1.3838),(5555,2735,0.000953,-1.3834),(5555,2745,0.001032,-1.3829),(5555,2755,0.001098,-1.3825),(5555,2765,0.001124,-1.3821),(5555,2775,0.001151,-1.3816),(5555,2785,0.001177,-1.3811),(5555,2795,0.00119,-1.3807),(5555,2805,0.001172,-1.3802),(5555,2815,0.001154,-1.3797),(5555,2825,0.001136,-1.3792),(5555,2835,0.001122,-1.3786),(5555,2845,0.001116,-1.3781),(5555,2855,0.00111,-1.3776),(5555,2865,0.001104,-1.3772),(5555,2875,0.00111,-1.3767),(5555,2885,0.001136,-1.3763),(5555,2895,0.001162,-1.3758),(5555,2905,0.001188,-1.3754),(5555,2915,0.00121,-1.375),(5555,2925,0.001226,-1.3747),(5555,2935,0.001243,-1.3742),(5555,2945,0.001259,-1.3738),(5555,2955,0.001263,-1.3733),(5555,2965,0.001252,-1.3729),(5555,2975,0.001241,-1.3724),(5555,2985,0.001231,-1.3719),(5555,2995,0.001226,-1.3714),(5555,3005,0.001228,-1.371),(5555,3015,0.001229,-1.3705),(5555,3025,0.001231,-1.3702),(5555,3035,0.001338,-1.3698),(5555,3045,0.001539,-1.3695),(5555,3055,0.00174,-1.3691),(5555,3065,0.001941,-1.3685),(5555,3075,0.002,-1.368),(5555,3085,0.001951,-1.3675),(5555,3095,0.001903,-1.3671),(5555,3105,0.001854,-1.3668),(5555,3115,0.001836,-1.3664),(5555,3125,0.001837,-1.3661),(5555,3135,0.001837,-1.3657),(5555,3145,0.001838,-1.3652),(5555,3155,0.001844,-1.3648),(5555,3165,0.001853,-1.3643),(5555,3175,0.001862,-1.3639),(5555,3185,0.001871,-1.3636),(5555,3195,0.001911,-1.3633),(5555,3205,0.001965,-1.3629),(5555,3215,0.002019,-1.3626),(5555,3225,0.002073,-1.3622),(5555,3235,0.002125,-1.3619),(5555,3245,0.002176,-1.3615),(5555,3255,0.002227,-1.3612),(5555,3265,0.002278,-1.3608),(5555,3275,0.002316,-1.3604),(5555,3285,0.002349,-1.3601),(5555,3295,0.002382,-1.3597),(5555,3305,0.002415,-1.3593),(5555,3315,0.002412,-1.359),(5555,3325,0.002401,-1.3586),(5555,3335,0.00239,-1.3582),(5555,3345,0.00238,-1.3578),(5555,3355,0.002384,-1.3573),(5555,3365,0.002391,-1.3569),(5555,3375,0.002398,-1.3567),(5555,3385,0.002405,-1.3565),(5555,3395,0.002536,-1.3563),(5555,3405,0.002682,-1.3561),(5555,3415,0.002829,-1.3556),(5555,3425,0.002975,-1.3551),(5555,3435,0.002871,-1.3545),(5555,3445,0.002747,-1.354),(5555,3455,0.002622,-1.3536),(5555,3465,0.002498,-1.3533),(5555,3475,0.002599,-1.3529),(5555,3485,0.002708,-1.3526),(5555,3495,0.002817,-1.3524),(5555,3505,0.002926,-1.3523),(5555,3515,0.002972,-1.3521),(5555,3525,0.003018,-1.3519),(5555,3535,0.003063,-1.3514),(5555,3545,0.003108,-1.3509),(5555,3555,0.003132,-1.3504),(5555,3565,0.003155,-1.3499),(5555,3575,0.003178,-1.3496),(5555,3585,0.003206,-1.3493),(5555,3595,0.003273,-1.349),(5555,3605,0.003341,-1.3487),(5555,3615,0.003408,-1.3486),(5555,3625,0.003465,-1.3484),(5555,3635,0.003448,-1.3482),(5555,3645,0.00343,-1.348),(5555,3655,0.003413,-1.3475),(5555,3665,0.003399,-1.3471),(5555,3675,0.0034,-1.3466),(5555,3685,0.003402,-1.3462),(5555,3695,0.003403,-1.346),(5555,3705,0.003387,-1.3458),(5555,3715,0.003302,-1.3457),(5555,3725,0.003218,-1.3454),(5555,3735,0.003133,-1.345),(5555,3745,0.00301,-1.3446),(5555,3755,0.002771,-1.3442),(5555,3765,0.002532,-1.3438),(5555,3775,0.002293,-1.3435),(5555,3785,0.002004,-1.3432),(5555,3795,0.001587,-1.3429),(5555,3805,0.00117,-1.3425),(5555,3815,0.000753,-1.3417),(5555,3825,3.8e-05,-1.341),(5555,3835,-0.001306,-1.3402),(5555,3845,-0.002649,-1.3393),(5555,3855,-0.003992,-1.3382),(5555,3865,-0.005767,-1.3371),(5555,3875,-0.008305,-1.3361),(5555,3885,-0.010843,-1.3346),(5555,3895,-0.013381,-1.3324),(5555,3905,-0.016954,-1.3303),(5555,3915,-0.022073,-1.3281),(5555,3925,-0.027191,-1.3251),(5555,3935,-0.03231,-1.3208),(5555,3945,-0.041634,-1.3165),(5555,3955,-0.056296,-1.3122),(5555,3965,-0.070958,-1.3041),(5555,3975,-0.085621,-1.2915),(5555,3985,-0.1164,-1.2789),(5555,3995,-0.16462,-1.2663),(5555,4005,-0.21283,-1.2235),(5555,4015,-0.26105,-1.1505),(5555,4025,-0.059332,-1.0774),(5555,4035,0.16684,-1.0279),(5555,4045,0.39301,-1.028),(5555,4055,0.5161,-1.0281),(5555,4065,0.60157,-1.0282),(5555,4075,0.68705,-1.0284),(5555,4085,0.72503,-1.0285),(5555,4095,0.72485,-1.0287),(5555,4105,0.72468,-1.0292),(5555,4115,0.72471,-1.0297),(5555,4125,0.7251,-1.0303),(5555,4135,0.72549,-1.0305),(5555,4145,0.72597,-1.0306),(5555,4155,0.72683,-1.0307),(5555,4165,0.72768,-1.031),(5555,4175,0.72855,-1.0315),(5555,4185,0.73011,-1.0319),(5555,4195,0.73167,-1.0322),(5555,4205,0.73323,-1.0324),(5555,4215,0.73532,-1.0325),(5555,4225,0.7375,-1.0326),(5555,4235,0.73969,-1.0324),(5555,4245,0.74224,-1.0322),(5555,4255,0.74498,-1.032),(5555,4265,0.74771,-1.0315),(5555,4275,0.7507,-1.031),(5555,4285,0.75396,-1.0305),(5555,4295,0.75722,-1.0297),(5555,4305,0.76061,-1.0289),(5555,4315,0.7643,-1.0281),(5555,4325,0.76799,-1.027),(5555,4335,0.77172,-1.0258),(5555,4345,0.77572,-1.0246),(5555,4355,0.77972,-1.0233),(5555,4365,0.78371,-1.0219),(5555,4375,0.78794,-1.0204),(5555,4385,0.79218,-1.0189),(5555,4395,0.79641,-1.0173),(5555,4405,0.80078,-1.0157),(5555,4415,0.80519,-1.014),(5555,4425,0.80961,-1.0123),(5555,4435,0.81415,-1.0106),(5555,4445,0.81879,-1.0088),(5555,4455,0.82343,-1.0066),(5555,4465,0.8281,-1.0044),(5555,4475,0.83279,-1.0022),(5555,4485,0.83749,-0.99998),(5555,4495,0.84223,-0.9978),(5555,4505,0.84709,-0.99561),(5555,4515,0.85196,-0.99325),(5555,4525,0.85683,-0.99078),(5555,4535,0.86177,-0.98831),(5555,4545,0.86671,-0.98574),(5555,4555,0.87165,-0.98305),(5555,4565,0.87661,-0.98036),(5555,4575,0.88158,-0.97762),(5555,4585,0.88654,-0.97476),(5555,4595,0.89151,-0.97189),(5555,4605,0.89648,-0.969),(5555,4615,0.90146,-0.96597),(5555,4625,0.90642,-0.96293),(5555,4635,0.91139,-0.9599),(5555,4645,0.91636,-0.95672),(5555,4655,0.92133,-0.95354),(5555,4665,0.92631,-0.95036),(5555,4675,0.93128,-0.94706),(5555,4685,0.93626,-0.94373),(5555,4695,0.94122,-0.94039),(5555,4705,0.94617,-0.937),(5555,4715,0.95113,-0.93358),(5555,4725,0.95608,-0.93015),(5555,4735,0.96103,-0.9266),(5555,4745,0.96599,-0.92286),(5555,4755,0.97087,-0.91912),(5555,4765,0.97575,-0.91537),(5555,4775,0.98062,-0.91156),(5555,4785,0.98549,-0.90776),(5555,4795,0.99035,-0.90394),(5555,4805,0.99521,-0.89998),(5555,4815,1.0001,-0.89601),(5555,4825,1.0049,-0.89204),(5555,4835,1.0097,-0.88796),(5555,4845,1.0145,-0.88385),(5555,4855,1.0192,-0.87974),(5555,4865,1.0239,-0.87555),(5555,4875,1.0287,-0.87131),(5555,4885,1.0333,-0.86708),(5555,4895,1.038,-0.86281),(5555,4905,1.0426,-0.85853),(5555,4915,1.0472,-0.85425),(5555,4925,1.0518,-0.84994),(5555,4935,1.0564,-0.84561),(5555,4945,1.0609,-0.84127),(5555,4955,1.0655,-0.83693),(5555,4965,1.07,-0.83253),(5555,4975,1.0745,-0.82814),(5555,4985,1.0789,-0.82374),(5555,4995,1.0834,-0.81929),(5555,5005,1.0878,-0.81484),(5555,5015,1.0921,-0.8104),(5555,5025,1.0965,-0.80592),(5555,5035,1.1009,-0.80143),(5555,5045,1.1051,-0.79695),(5555,5055,1.1094,-0.7925),(5555,5065,1.1136,-0.78807),(5555,5075,1.1179,-0.78364),(5555,5085,1.1221,-0.77917),(5555,5095,1.1263,-0.77465),(5555,5105,1.1305,-0.77014),(5555,5115,1.1346,-0.76562),(5555,5125,1.1388,-0.76113),(5555,5135,1.1429,-0.75664),(5555,5145,1.147,-0.75215),(5555,5155,1.151,-0.74767),(5555,5165,1.1551,-0.74318),(5555,5175,1.1591,-0.73869),(5555,5185,1.1631,-0.73419),(5555,5195,1.1671,-0.72968),(5555,5205,1.1711,-0.72518),(5555,5215,1.1751,-0.72069),(5555,5225,1.179,-0.71621),(5555,5235,1.1829,-0.71173),(5555,5245,1.1868,-0.70725),(5555,5255,1.1907,-0.70276),(5555,5265,1.1946,-0.69827),(5555,5275,1.1984,-0.69377),(5555,5285,1.2023,-0.68925),(5555,5295,1.2061,-0.68473),(5555,5305,1.2099,-0.68021),(5555,5315,1.2137,-0.67569),(5555,5325,1.2175,-0.67117),(5555,5335,1.2212,-0.66666),(5555,5345,1.225,-0.66214),(5555,5355,1.2288,-0.65762),(5555,5365,1.2325,-0.6531),(5555,5375,1.2362,-0.64859),(5555,5385,1.2399,-0.64407),(5555,5395,1.2436,-0.63956),(5555,5405,1.2473,-0.63504),(5555,5415,1.251,-0.63051),(5555,5425,1.2546,-0.62599),(5555,5435,1.2583,-0.62145),(5555,5445,1.2619,-0.6169),(5555,5455,1.2655,-0.61235),(5555,5465,1.2691,-0.60778),(5555,5475,1.2727,-0.60319),(5555,5485,1.2762,-0.5986),(5555,5495,1.2798,-0.59401),(5555,5505,1.2833,-0.58939),(5555,5515,1.2868,-0.58476),(5555,5525,1.2903,-0.58014),(5555,5535,1.2939,-0.57549),(5555,5545,1.2974,-0.57084),(5555,5555,1.3008,-0.56619),(5555,5565,1.3043,-0.56151),(5555,5575,1.3078,-0.55682),(5555,5585,1.3112,-0.55212),(5555,5595,1.3147,-0.5474),(5555,5605,1.3181,-0.54264),(5555,5615,1.3215,-0.53789),(5555,5625,1.3249,-0.53312),(5555,5635,1.3283,-0.52834),(5555,5645,1.3316,-0.52355),(5555,5655,1.3349,-0.51876),(5555,5665,1.3383,-0.51394),(5555,5675,1.3416,-0.50912),(5555,5685,1.3448,-0.50431),(5555,5695,1.3481,-0.4996),(5555,5705,1.3513,-0.4949),(5555,5715,1.3546,-0.49019),(5555,5725,1.3578,-0.48525),(5555,5735,1.3611,-0.48027),(5555,5745,1.3643,-0.47529),(5555,5755,1.3674,-0.47034),(5555,5765,1.3706,-0.4654),(5555,5775,1.3737,-0.46045),(5555,5785,1.3768,-0.45548),(5555,5795,1.3799,-0.45047),(5555,5805,1.3829,-0.44546),(5555,5815,1.386,-0.44042),(5555,5825,1.389,-0.43534),(5555,5835,1.392,-0.43025),(5555,5845,1.3949,-0.42515),(5555,5855,1.3979,-0.42003),(5555,5865,1.4008,-0.41491),(5555,5875,1.4037,-0.40979),(5555,5885,1.4066,-0.40465),(5555,5895,1.4095,-0.39951),(5555,5905,1.4123,-0.39437),(5555,5915,1.4151,-0.38916),(5555,5925,1.4179,-0.38392),(5555,5935,1.4206,-0.37868),(5555,5945,1.4234,-0.37336),(5555,5955,1.4261,-0.368),(5555,5965,1.4287,-0.36263),(5555,5975,1.4313,-0.35736),(5555,5985,1.4339,-0.3522),(5555,5995,1.4365,-0.34704),(5555,6005,1.4391,-0.34181),(5555,6015,1.4417,-0.33637),(5555,6025,1.4442,-0.33093),(5555,6035,1.4467,-0.32548),(5555,6045,1.4491,-0.32001),(5555,6055,1.4515,-0.31453),(5555,6065,1.4538,-0.30905),(5555,6075,1.4562,-0.30352),(5555,6085,1.4585,-0.29799),(5555,6095,1.4607,-0.29245),(5555,6105,1.4629,-0.28688),(5555,6115,1.4651,-0.28129),(5555,6125,1.4672,-0.2757),(5555,6135,1.4693,-0.27008),(5555,6145,1.4714,-0.26444),(5555,6155,1.4735,-0.2588),(5555,6165,1.4755,-0.25314),(5555,6175,1.4775,-0.24743),(5555,6185,1.4795,-0.24173),(5555,6195,1.4814,-0.23601),(5555,6205,1.4833,-0.23026),(5555,6215,1.4851,-0.22451),(5555,6225,1.4869,-0.21875),(5555,6235,1.4887,-0.21301),(5555,6245,1.4904,-0.20726),(5555,6255,1.4921,-0.20151),(5555,6265,1.4937,-0.19569),(5555,6275,1.4953,-0.18985),(5555,6285,1.4968,-0.18401),(5555,6295,1.4983,-0.17819),(5555,6305,1.4998,-0.17238),(5555,6315,1.5011,-0.16657),(5555,6325,1.5025,-0.16068),(5555,6335,1.5039,-0.15472),(5555,6345,1.5051,-0.14877),(5555,6355,1.5063,-0.1428),(5555,6365,1.5075,-0.1368),(5555,6375,1.5086,-0.1308),(5555,6385,1.5097,-0.1248),(5555,6395,1.5107,-0.11877),(5555,6405,1.5117,-0.11274),(5555,6415,1.5126,-0.10671),(5555,6425,1.5135,-0.10071),(5555,6435,1.5144,-0.094706),(5555,6445,1.5151,-0.088706),(5555,6455,1.5159,-0.082655),(5555,6465,1.5166,-0.076588),(5555,6475,1.5172,-0.070521),(5555,6485,1.5178,-0.064461),(5555,6495,1.5184,-0.058404),(5555,6505,1.5188,-0.052347),(5555,6515,1.5192,-0.046266),(5555,6525,1.5196,-0.040151),(5555,6535,1.5199,-0.034037),(5555,6545,1.5201,-0.027917),(5555,6555,1.5204,-0.02178),(5555,6565,1.5205,-0.015643),(5555,6575,1.5206,-0.00951),(5555,6585,1.5207,-0.003435),(5555,6595,1.2934,0.00264),(5555,6605,0.81517,0.008715),(5555,6615,0.33693,0.009364),(5555,6625,0.00074,0.009317),(5555,6635,0.000767,0.009269),(5555,6645,0.000793,0.009264),(5555,6655,0.000819,0.009277),(5555,6665,0.000844,0.00929),(5555,6675,0.000869,0.009303),(5555,6685,0.000894,0.009315),(5555,6695,0.000918,0.009328),(5555,6705,0.000942,0.00934),(5555,6715,0.000966,0.009351),(5555,6725,0.000989,0.009362),(5555,6735,0.001012,0.009374),(5555,6745,0.001035,0.009385),(5555,6755,0.001057,0.009395),(5555,6765,0.001079,0.009406),(5555,6775,0.0011,0.009416),(5555,6785,0.001122,0.009426),(5555,6795,0.001142,0.009436),(5555,6805,0.001163,0.009445),(5555,6815,0.001184,0.009454),(5555,6825,0.001203,0.009463),(5555,6835,0.001223,0.009471),(5555,6845,0.001243,0.009479),(5555,6855,0.001262,0.009487),(5555,6865,0.001282,0.009495),(5555,6875,0.001301,0.009502),(5555,6885,0.001319,0.009509),(5555,6895,0.001338,0.009516),(5555,6905,0.001356,0.009522),(5555,6915,0.001374,0.009529),(5555,6925,0.001392,0.009535),(5555,6935,0.001409,0.00954),(5555,6945,0.001427,0.009546),(5555,6955,0.001444,0.009551),(5555,6965,0.001461,0.009555),(5555,6975,0.001478,0.00956),(5555,6985,0.001495,0.009564),(5565,5,1.9e-05,-1.245),(5565,15,5.6e-05,-1.2452),(5565,25,8e-05,-1.2453),(5565,35,9.2e-05,-1.2455),(5565,45,0.000104,-1.2456),(5565,55,0.000117,-1.2456),(5565,65,0.000127,-1.2457),(5565,75,0.000134,-1.2458),(5565,85,0.000142,-1.2459),(5565,95,0.00015,-1.246),(5565,105,0.00016,-1.2461),(5565,115,0.000171,-1.2462),(5565,125,0.000181,-1.2464),(5565,135,0.000192,-1.2466),(5565,145,0.000214,-1.2468),(5565,155,0.000241,-1.2469),(5565,165,0.000269,-1.2472),(5565,175,0.000297,-1.2474),(5565,185,0.000341,-1.2476),(5565,195,0.000392,-1.2478),(5565,205,0.000444,-1.2481),(5565,215,0.000496,-1.2484),(5565,225,0.000543,-1.2487),(5565,235,0.00059,-1.2491),(5565,245,0.000636,-1.2494),(5565,255,0.000682,-1.2497),(5565,265,0.00072,-1.25),(5565,275,0.000755,-1.2504),(5565,285,0.00079,-1.2508),(5565,295,0.000826,-1.2512),(5565,305,0.000842,-1.2516),(5565,315,0.000854,-1.252),(5565,325,0.000865,-1.2524),(5565,335,0.000876,-1.2528),(5565,345,0.000873,-1.2532),(5565,355,0.000866,-1.2536),(5565,365,0.000859,-1.2541),(5565,375,0.000852,-1.2545),(5565,385,0.000844,-1.2549),(5565,395,0.000837,-1.2554),(5565,405,0.000829,-1.2559),(5565,415,0.000821,-1.2564),(5565,425,0.00081,-1.257),(5565,435,0.000799,-1.2575),(5565,445,0.000788,-1.2581),(5565,455,0.000777,-1.2587),(5565,465,0.000762,-1.2593),(5565,475,0.000747,-1.2599),(5565,485,0.000732,-1.2605),(5565,495,0.000717,-1.2612),(5565,505,0.000748,-1.2618),(5565,515,0.00078,-1.2624),(5565,525,0.000811,-1.2632),(5565,535,0.000845,-1.264),(5565,545,0.000922,-1.2648),(5565,555,0.001,-1.2656),(5565,565,0.001078,-1.2665),(5565,575,0.001156,-1.2673),(5565,585,0.001231,-1.2682),(5565,595,0.001307,-1.2691),(5565,605,0.001382,-1.2699),(5565,615,0.001452,-1.2708),(5565,625,0.001472,-1.2716),(5565,635,0.001492,-1.2725),(5565,645,0.001512,-1.2734),(5565,655,0.001524,-1.2742),(5565,665,0.001487,-1.2751),(5565,675,0.00145,-1.276),(5565,685,0.001412,-1.2769),(5565,695,0.001373,-1.2778),(5565,705,0.001324,-1.2788),(5565,715,0.001276,-1.2797),(5565,725,0.001227,-1.2808),(5565,735,0.001199,-1.2819),(5565,745,0.00124,-1.2829),(5565,755,0.001281,-1.284),(5565,765,0.001322,-1.2852),(5565,775,0.00138,-1.2864),(5565,785,0.001481,-1.2875),(5565,795,0.001583,-1.2888),(5565,805,0.001684,-1.2901),(5565,815,0.001792,-1.2914),(5565,825,0.001913,-1.2927),(5565,835,0.002034,-1.294),(5565,845,0.002156,-1.2953),(5565,855,0.002267,-1.2967),(5565,865,0.00236,-1.298),(5565,875,0.002453,-1.2994),(5565,885,0.002546,-1.3008),(5565,895,0.002625,-1.3022),(5565,905,0.002681,-1.3035),(5565,915,0.002738,-1.305),(5565,925,0.002795,-1.3064),(5565,935,0.002859,-1.3079),(5565,945,0.002932,-1.3094),(5565,955,0.003006,-1.3109),(5565,965,0.00308,-1.3124),(5565,975,0.003188,-1.314),(5565,985,0.003334,-1.3155),(5565,995,0.00348,-1.317),(5565,1005,0.003626,-1.3186),(5565,1015,0.003837,-1.3202),(5565,1025,0.004111,-1.3218),(5565,1035,0.004385,-1.3234),(5565,1045,0.00466,-1.3251),(5565,1055,0.005017,-1.3268),(5565,1065,0.005444,-1.3285),(5565,1075,0.00587,-1.3303),(5565,1085,0.006296,-1.3322),(5565,1095,0.006706,-1.3342),(5565,1105,0.007105,-1.3361),(5565,1115,0.007504,-1.3381),(5565,1125,0.007903,-1.3402),(5565,1135,0.007842,-1.3422),(5565,1145,0.00751,-1.3443),(5565,1155,0.007178,-1.3463),(5565,1165,0.006846,-1.3484),(5565,1175,0.00495,-1.3504),(5565,1185,0.002278,-1.3524),(5565,1195,-0.000393,-1.3532),(5565,1205,-0.003065,-1.3534),(5565,1215,-0.009862,-1.3535),(5565,1225,-0.018362,-1.3537),(5565,1235,-0.026862,-1.3492),(5565,1245,-0.035362,-1.3428),(5565,1255,-0.057739,-1.3365),(5565,1265,-0.084804,-1.3301),(5565,1275,-0.11187,-1.3185),(5565,1285,-0.13893,-1.3053),(5565,1295,-0.18535,-1.2921),(5565,1305,-0.237,-1.2788),(5565,1315,-0.28865,-1.2576),(5565,1325,-0.34029,-1.2344),(5565,1335,-0.2126,-1.2112),(5565,1345,-0.047328,-1.1881),(5565,1355,0.11795,-1.2025),(5565,1365,0.28322,-1.2238),(5565,1375,0.27151,-1.2451),(5565,1385,0.23248,-1.2664),(5565,1395,0.19345,-1.2798),(5565,1405,0.15443,-1.2921),(5565,1415,0.12733,-1.3044),(5565,1425,0.10147,-1.3167),(5565,1435,0.075612,-1.3245),(5565,1445,0.049753,-1.3318),(5565,1455,0.04075,-1.3391),(5565,1465,0.032718,-1.3465),(5565,1475,0.024686,-1.3477),(5565,1485,0.016653,-1.3487),(5565,1495,0.01302,-1.3497),(5565,1505,0.009454,-1.3507),(5565,1515,0.005887,-1.3493),(5565,1525,0.002376,-1.3479),(5565,1535,0.001045,-1.3466),(5565,1545,-0.000287,-1.3452),(5565,1555,-0.001618,-1.3435),(5565,1565,-0.002882,-1.3419),(5565,1575,-0.003174,-1.3403),(5565,1585,-0.003465,-1.3386),(5565,1595,-0.003757,-1.337),(5565,1605,-0.004015,-1.3354),(5565,1615,-0.003982,-1.3337),(5565,1625,-0.003948,-1.3321),(5565,1635,-0.003915,-1.3304),(5565,1645,-0.003868,-1.3287),(5565,1655,-0.00374,-1.327),(5565,1665,-0.003611,-1.3253),(5565,1675,-0.003483,-1.3237),(5565,1685,-0.003345,-1.322),(5565,1695,-0.003168,-1.3204),(5565,1705,-0.002991,-1.3187),(5565,1715,-0.002814,-1.3172),(5565,1725,-0.002641,-1.3156),(5565,1735,-0.00248,-1.314),(5565,1745,-0.002319,-1.3124),(5565,1755,-0.002158,-1.3109),(5565,1765,-0.002013,-1.3094),(5565,1775,-0.001912,-1.3078),(5565,1785,-0.001811,-1.3063),(5565,1795,-0.001709,-1.3049),(5565,1805,-0.001618,-1.3035),(5565,1815,-0.001551,-1.3021),(5565,1825,-0.001483,-1.3008),(5565,1835,-0.001416,-1.2995),(5565,1845,-0.001352,-1.2983),(5565,1855,-0.001293,-1.2971),(5565,1865,-0.001235,-1.2958),(5565,1875,-0.001177,-1.2945),(5565,1885,-0.001118,-1.2931),(5565,1895,-0.001058,-1.2918),(5565,1905,-0.000999,-1.2906),(5565,1915,-0.000939,-1.2895),(5565,1925,-0.000877,-1.2885),(5565,1935,-0.000811,-1.2874),(5565,1945,-0.000746,-1.2863),(5565,1955,-0.00068,-1.2852),(5565,1965,-0.000649,-1.2841),(5565,1975,-0.00066,-1.283),(5565,1985,-0.000671,-1.2819),(5565,1995,-0.000682,-1.2807),(5565,2005,-0.0007,-1.2795),(5565,2015,-0.000727,-1.2784),(5565,2025,-0.000754,-1.2773),(5565,2035,-0.000781,-1.2762),(5565,2045,-0.000796,-1.2752),(5565,2055,-0.000799,-1.2741),(5565,2065,-0.000803,-1.2732),(5565,2075,-0.000806,-1.2722),(5565,2085,-0.000789,-1.2712),(5565,2095,-0.000758,-1.2703),(5565,2105,-0.000727,-1.2694),(5565,2115,-0.000695,-1.2685),(5565,2125,-0.000661,-1.2676),(5565,2135,-0.000625,-1.2667),(5565,2145,-0.000588,-1.2658),(5565,2155,-0.000552,-1.265),(5565,2165,-0.000523,-1.2641),(5565,2175,-0.000497,-1.2633),(5565,2185,-0.000471,-1.2624),(5565,2195,-0.000445,-1.2616),(5565,2205,-0.000396,-1.2608),(5565,2215,-0.000338,-1.26),(5565,2225,-0.000279,-1.2593),(5565,2235,-0.00022,-1.2586),(5565,2245,-0.000153,-1.258),(5565,2255,-8.3e-05,-1.2573),(5565,2265,-1.3e-05,-1.2565),(5565,2275,5.6e-05,-1.2556),(5565,2285,7.3e-05,-1.2547),(5565,2295,7.4e-05,-1.2539),(5565,2305,7.5e-05,-1.2532),(5565,2315,7.6e-05,-1.2525),(5565,2325,0.000109,-1.2518),(5565,2335,0.000149,-1.2511),(5565,2345,0.000189,-1.2505),(5565,2355,0.000229,-1.2498),(5565,2365,0.000298,-1.2492),(5565,2375,0.000373,-1.2486),(5565,2385,0.000447,-1.248),(5565,2395,0.000522,-1.2475),(5565,2405,0.000596,-1.2469),(5565,2415,0.00067,-1.2464),(5565,2425,0.000744,-1.2458),(5565,2435,0.000819,-1.2453),(5565,2445,0.000845,-1.2448),(5565,2455,0.000869,-1.2443),(5565,2465,0.000892,-1.2437),(5565,2475,0.000915,-1.2431),(5565,2485,0.000881,-1.2425),(5565,2495,0.000845,-1.242),(5565,2505,0.000809,-1.2413),(5565,2515,0.000773,-1.2407),(5565,2525,0.000748,-1.2401),(5565,2535,0.000724,-1.2395),(5565,2545,0.000699,-1.2389),(5565,2555,0.000677,-1.2384),(5565,2565,0.000698,-1.2379),(5565,2575,0.000718,-1.2373),(5565,2585,0.000738,-1.2369),(5565,2595,0.000759,-1.2364),(5565,2605,0.000777,-1.2359),(5565,2615,0.000796,-1.2355),(5565,2625,0.000814,-1.2351),(5565,2635,0.000834,-1.2346),(5565,2645,0.000867,-1.2342),(5565,2655,0.000899,-1.2338),(5565,2665,0.000931,-1.2331),(5565,2675,0.000959,-1.2324),(5565,2685,0.000968,-1.2316),(5565,2695,0.000976,-1.231),(5565,2705,0.000984,-1.2307),(5565,2715,0.001002,-1.2303),(5565,2725,0.001058,-1.23),(5565,2735,0.001114,-1.2296),(5565,2745,0.001171,-1.2292),(5565,2755,0.00122,-1.2289),(5565,2765,0.001247,-1.2285),(5565,2775,0.001274,-1.2281),(5565,2785,0.001301,-1.2277),(5565,2795,0.001315,-1.2272),(5565,2805,0.001297,-1.2268),(5565,2815,0.001278,-1.2264),(5565,2825,0.00126,-1.2259),(5565,2835,0.001243,-1.2254),(5565,2845,0.001229,-1.225),(5565,2855,0.001216,-1.2245),(5565,2865,0.001202,-1.2241),(5565,2875,0.001202,-1.2237),(5565,2885,0.001227,-1.2233),(5565,2895,0.001251,-1.2229),(5565,2905,0.001276,-1.2226),(5565,2915,0.001301,-1.2222),(5565,2925,0.001328,-1.2219),(5565,2935,0.001355,-1.2215),(5565,2945,0.001382,-1.2211),(5565,2955,0.001394,-1.2207),(5565,2965,0.001391,-1.2203),(5565,2975,0.001386,-1.2199),(5565,2985,0.001383,-1.2195),(5565,2995,0.001387,-1.219),(5565,3005,0.001401,-1.2186),(5565,3015,0.001415,-1.2182),(5565,3025,0.001429,-1.2179),(5565,3035,0.001498,-1.2176),(5565,3045,0.001617,-1.2173),(5565,3055,0.001736,-1.2169),(5565,3065,0.001855,-1.2164),(5565,3075,0.001934,-1.216),(5565,3085,0.001982,-1.2155),(5565,3095,0.002031,-1.2151),(5565,3105,0.002079,-1.2148),(5565,3115,0.002088,-1.2146),(5565,3125,0.002071,-1.2143),(5565,3135,0.002054,-1.2139),(5565,3145,0.002037,-1.2135),(5565,3155,0.002025,-1.2131),(5565,3165,0.002017,-1.2127),(5565,3175,0.002009,-1.2124),(5565,3185,0.002,-1.212),(5565,3195,0.002025,-1.2117),(5565,3205,0.002063,-1.2114),(5565,3215,0.002102,-1.2111),(5565,3225,0.002141,-1.2108),(5565,3235,0.002185,-1.2105),(5565,3245,0.00223,-1.2102),(5565,3255,0.002275,-1.2099),(5565,3265,0.002319,-1.2096),(5565,3275,0.002357,-1.2092),(5565,3285,0.002392,-1.2089),(5565,3295,0.002427,-1.2086),(5565,3305,0.002462,-1.2083),(5565,3315,0.002463,-1.2079),(5565,3325,0.002456,-1.2076),(5565,3335,0.002449,-1.2072),(5565,3345,0.002442,-1.2069),(5565,3355,0.002471,-1.2065),(5565,3365,0.002506,-1.2061),(5565,3375,0.002541,-1.2059),(5565,3385,0.002576,-1.2058),(5565,3395,0.002644,-1.2056),(5565,3405,0.002715,-1.2055),(5565,3415,0.002786,-1.205),(5565,3425,0.002858,-1.2045),(5565,3435,0.002825,-1.204),(5565,3445,0.002783,-1.2035),(5565,3455,0.002741,-1.2031),(5565,3465,0.0027,-1.2028),(5565,3475,0.00277,-1.2025),(5565,3485,0.002844,-1.2022),(5565,3495,0.002918,-1.2021),(5565,3505,0.002992,-1.202),(5565,3515,0.003034,-1.2018),(5565,3525,0.003077,-1.2017),(5565,3535,0.003119,-1.2012),(5565,3545,0.003161,-1.2008),(5565,3555,0.003185,-1.2004),(5565,3565,0.003208,-1.1999),(5565,3575,0.003232,-1.1996),(5565,3585,0.003259,-1.1994),(5565,3595,0.003314,-1.1991),(5565,3605,0.00337,-1.1988),(5565,3615,0.003426,-1.1987),(5565,3625,0.003471,-1.1985),(5565,3635,0.003435,-1.1984),(5565,3645,0.003399,-1.1982),(5565,3655,0.003363,-1.1978),(5565,3665,0.003332,-1.1974),(5565,3675,0.003327,-1.1969),(5565,3685,0.003322,-1.1966),(5565,3695,0.003316,-1.1964),(5565,3705,0.003293,-1.1963),(5565,3715,0.0032,-1.1961),(5565,3725,0.003108,-1.1959),(5565,3735,0.003015,-1.1956),(5565,3745,0.002886,-1.1952),(5565,3755,0.002646,-1.1949),(5565,3765,0.002406,-1.1945),(5565,3775,0.002165,-1.1943),(5565,3785,0.001843,-1.1941),(5565,3795,0.001309,-1.1938),(5565,3805,0.000776,-1.1934),(5565,3815,0.000243,-1.1928),(5565,3825,-0.000556,-1.1921),(5565,3835,-0.001917,-1.1914),(5565,3845,-0.003277,-1.1907),(5565,3855,-0.004637,-1.1898),(5565,3865,-0.006529,-1.1889),(5565,3875,-0.009359,-1.188),(5565,3885,-0.012189,-1.1867),(5565,3895,-0.015018,-1.1848),(5565,3905,-0.018972,-1.1829),(5565,3915,-0.024605,-1.181),(5565,3925,-0.030238,-1.1782),(5565,3935,-0.035872,-1.1742),(5565,3945,-0.046257,-1.1701),(5565,3955,-0.062676,-1.166),(5565,3965,-0.079096,-1.1603),(5565,3975,-0.095515,-1.1525),(5565,3985,-0.13579,-1.1447),(5565,3995,-0.20189,-1.1369),(5565,4005,-0.26799,-1.1165),(5565,4015,-0.33409,-1.0833),(5565,4025,-0.11284,-1.0502),(5565,4035,0.13653,-1.0277),(5565,4045,0.3859,-1.0278),(5565,4055,0.5151,-1.0278),(5565,4065,0.60046,-1.0279),(5565,4075,0.68582,-1.028),(5565,4085,0.7238,-1.0281),(5565,4095,0.72371,-1.0282),(5565,4105,0.72362,-1.0286),(5565,4115,0.72367,-1.029),(5565,4125,0.72395,-1.0295),(5565,4135,0.72423,-1.0296),(5565,4145,0.72465,-1.0297),(5565,4155,0.72561,-1.0298),(5565,4165,0.72657,-1.03),(5565,4175,0.72753,-1.0304),(5565,4185,0.72901,-1.0308),(5565,4195,0.73048,-1.0311),(5565,4205,0.73196,-1.0312),(5565,4215,0.73395,-1.0314),(5565,4225,0.73604,-1.0314),(5565,4235,0.73813,-1.0312),(5565,4245,0.74058,-1.031),(5565,4255,0.74321,-1.0308),(5565,4265,0.74585,-1.0304),(5565,4275,0.74873,-1.0299),(5565,4285,0.75188,-1.0295),(5565,4295,0.75504,-1.0287),(5565,4305,0.75832,-1.0279),(5565,4315,0.76191,-1.0271),(5565,4325,0.7655,-1.026),(5565,4335,0.76913,-1.0248),(5565,4345,0.77305,-1.0236),(5565,4355,0.77696,-1.0223),(5565,4365,0.78088,-1.0209),(5565,4375,0.78503,-1.0195),(5565,4385,0.78919,-1.018),(5565,4395,0.79335,-1.0163),(5565,4405,0.79766,-1.0147),(5565,4415,0.80202,-1.0131),(5565,4425,0.80638,-1.0113),(5565,4435,0.81081,-1.0096),(5565,4445,0.81529,-1.0078),(5565,4455,0.81977,-1.0056),(5565,4465,0.82434,-1.0034),(5565,4475,0.82906,-1.0011),(5565,4485,0.83377,-0.99896),(5565,4495,0.8385,-0.99678),(5565,4505,0.84327,-0.9946),(5565,4515,0.84804,-0.99225),(5565,4525,0.85282,-0.9898),(5565,4535,0.85769,-0.98735),(5565,4545,0.86255,-0.98481),(5565,4555,0.86742,-0.98215),(5565,4565,0.87232,-0.97949),(5565,4575,0.87721,-0.97678),(5565,4585,0.88211,-0.97394),(5565,4595,0.88702,-0.97111),(5565,4605,0.89193,-0.96825),(5565,4615,0.89684,-0.96524),(5565,4625,0.90175,-0.96224),(5565,4635,0.90666,-0.95923),(5565,4645,0.91156,-0.95608),(5565,4655,0.91647,-0.95293),(5565,4665,0.92138,-0.94977),(5565,4675,0.92629,-0.94651),(5565,4685,0.9312,-0.94322),(5565,4695,0.9361,-0.93993),(5565,4705,0.941,-0.93659),(5565,4715,0.9459,-0.93322),(5565,4725,0.95074,-0.92986),(5565,4735,0.95559,-0.92636),(5565,4745,0.96043,-0.92269),(5565,4755,0.9653,-0.91901),(5565,4765,0.97017,-0.91532),(5565,4775,0.97504,-0.91157),(5565,4785,0.97987,-0.90783),(5565,4795,0.98467,-0.90408),(5565,4805,0.98947,-0.90017),(5565,4815,0.99426,-0.89627),(5565,4825,0.99902,-0.89237),(5565,4835,1.0038,-0.88835),(5565,4845,1.0085,-0.8843),(5565,4855,1.0132,-0.88026),(5565,4865,1.0179,-0.87612),(5565,4875,1.0226,-0.87194),(5565,4885,1.0272,-0.86776),(5565,4895,1.0319,-0.86355),(5565,4905,1.0365,-0.8593),(5565,4915,1.0411,-0.85506),(5565,4925,1.0456,-0.8508),(5565,4935,1.0502,-0.8465),(5565,4945,1.0547,-0.8422),(5565,4955,1.0592,-0.83789),(5565,4965,1.0637,-0.83353),(5565,4975,1.0681,-0.82916),(5565,4985,1.0726,-0.8248),(5565,4995,1.077,-0.82038),(5565,5005,1.0814,-0.81596),(5565,5015,1.0857,-0.81154),(5565,5025,1.0901,-0.80709),(5565,5035,1.0944,-0.80262),(5565,5045,1.0987,-0.79816),(5565,5055,1.103,-0.79373),(5565,5065,1.1072,-0.78931),(5565,5075,1.1114,-0.78489),(5565,5085,1.1156,-0.78044),(5565,5095,1.1198,-0.77593),(5565,5105,1.1239,-0.77142),(5565,5115,1.1281,-0.76692),(5565,5125,1.1322,-0.76243),(5565,5135,1.1363,-0.75795),(5565,5145,1.1404,-0.75347),(5565,5155,1.1445,-0.74898),(5565,5165,1.1485,-0.74449),(5565,5175,1.1525,-0.74),(5565,5185,1.1566,-0.7355),(5565,5195,1.1606,-0.73099),(5565,5205,1.1645,-0.72649),(5565,5215,1.1685,-0.72199),(5565,5225,1.1724,-0.71751),(5565,5235,1.1763,-0.71302),(5565,5245,1.1802,-0.70853),(5565,5255,1.1841,-0.70403),(5565,5265,1.188,-0.69954),(5565,5275,1.1918,-0.69503),(5565,5285,1.1956,-0.6905),(5565,5295,1.1994,-0.68597),(5565,5305,1.2032,-0.68144),(5565,5315,1.207,-0.6769),(5565,5325,1.2108,-0.67236),(5565,5335,1.2146,-0.66783),(5565,5345,1.2183,-0.66329),(5565,5355,1.2221,-0.65875),(5565,5365,1.2258,-0.65421),(5565,5375,1.2295,-0.64968),(5565,5385,1.2332,-0.64514),(5565,5395,1.2369,-0.64061),(5565,5405,1.2405,-0.63607),(5565,5415,1.2442,-0.63152),(5565,5425,1.2478,-0.62698),(5565,5435,1.2515,-0.62242),(5565,5445,1.2551,-0.61784),(5565,5455,1.2586,-0.61327),(5565,5465,1.2622,-0.60868),(5565,5475,1.2658,-0.60407),(5565,5485,1.2693,-0.59946),(5565,5495,1.2729,-0.59484),(5565,5505,1.2764,-0.59018),(5565,5515,1.2799,-0.58553),(5565,5525,1.2834,-0.58088),(5565,5535,1.2869,-0.5762),(5565,5545,1.2904,-0.57153),(5565,5555,1.2938,-0.56685),(5565,5565,1.2973,-0.56215),(5565,5575,1.3008,-0.55743),(5565,5585,1.3042,-0.55272),(5565,5595,1.3076,-0.54797),(5565,5605,1.311,-0.5432),(5565,5615,1.3144,-0.53842),(5565,5625,1.3177,-0.53363),(5565,5635,1.3211,-0.52883),(5565,5645,1.3244,-0.52403),(5565,5655,1.3277,-0.51921),(5565,5665,1.331,-0.51437),(5565,5675,1.3343,-0.50953),(5565,5685,1.3376,-0.5047),(5565,5695,1.3409,-0.49997),(5565,5705,1.3441,-0.49524),(5565,5715,1.3473,-0.49052),(5565,5725,1.3505,-0.48555),(5565,5735,1.3536,-0.48056),(5565,5745,1.3568,-0.47556),(5565,5755,1.36,-0.47059),(5565,5765,1.3631,-0.46563),(5565,5775,1.3662,-0.46067),(5565,5785,1.3693,-0.45567),(5565,5795,1.3724,-0.45065),(5565,5805,1.3754,-0.44563),(5565,5815,1.3784,-0.44058),(5565,5825,1.3814,-0.43547),(5565,5835,1.3844,-0.43037),(5565,5845,1.3873,-0.42526),(5565,5855,1.3902,-0.42013),(5565,5865,1.3931,-0.41499),(5565,5875,1.396,-0.40985),(5565,5885,1.3989,-0.4047),(5565,5895,1.4017,-0.39955),(5565,5905,1.4045,-0.3944),(5565,5915,1.4073,-0.38916),(5565,5925,1.41,-0.38391),(5565,5935,1.4127,-0.37866),(5565,5945,1.4154,-0.37333),(5565,5955,1.4181,-0.36795),(5565,5965,1.4208,-0.36257),(5565,5975,1.4235,-0.35728),(5565,5985,1.4262,-0.35211),(5565,5995,1.4287,-0.34694),(5565,6005,1.4312,-0.34169),(5565,6015,1.4337,-0.33625),(5565,6025,1.4361,-0.33081),(5565,6035,1.4386,-0.32536),(5565,6045,1.441,-0.31988),(5565,6055,1.4434,-0.3144),(5565,6065,1.4457,-0.30893),(5565,6075,1.4481,-0.30339),(5565,6085,1.4503,-0.29786),(5565,6095,1.4525,-0.29232),(5565,6105,1.4547,-0.28674),(5565,6115,1.4569,-0.28114),(5565,6125,1.459,-0.27554),(5565,6135,1.4611,-0.26991),(5565,6145,1.4632,-0.26426),(5565,6155,1.4652,-0.25861),(5565,6165,1.4672,-0.25293),(5565,6175,1.4692,-0.24722),(5565,6185,1.4711,-0.24151),(5565,6195,1.473,-0.23579),(5565,6205,1.4748,-0.23003),(5565,6215,1.4766,-0.22428),(5565,6225,1.4784,-0.21852),(5565,6235,1.4802,-0.21278),(5565,6245,1.4819,-0.20703),(5565,6255,1.4835,-0.20128),(5565,6265,1.4851,-0.19546),(5565,6275,1.4867,-0.18962),(5565,6285,1.4883,-0.18378),(5565,6295,1.4898,-0.17797),(5565,6305,1.4913,-0.17216),(5565,6315,1.4926,-0.16636),(5565,6325,1.4939,-0.16048),(5565,6335,1.4952,-0.15453),(5565,6345,1.4964,-0.14857),(5565,6355,1.4976,-0.14261),(5565,6365,1.4988,-0.13661),(5565,6375,1.4999,-0.13061),(5565,6385,1.5009,-0.12461),(5565,6395,1.502,-0.11859),(5565,6405,1.5029,-0.11256),(5565,6415,1.5038,-0.10653),(5565,6425,1.5047,-0.10053),(5565,6435,1.5056,-0.094542),(5565,6445,1.5063,-0.08855),(5565,6455,1.5071,-0.082508),(5565,6465,1.5078,-0.076452),(5565,6475,1.5084,-0.070396),(5565,6485,1.509,-0.064345),(5565,6495,1.5095,-0.058299),(5565,6505,1.5099,-0.052253),(5565,6515,1.5103,-0.046181),(5565,6525,1.5107,-0.040074),(5565,6535,1.511,-0.033967),(5565,6545,1.5113,-0.027854),(5565,6555,1.5115,-0.021725),(5565,6565,1.5116,-0.015596),(5565,6575,1.5117,-0.00947),(5565,6585,1.5118,-0.003398),(5565,6595,1.2859,0.002673),(5565,6605,0.81045,0.008745),(5565,6615,0.33497,0.009394),(5565,6625,0.000726,0.009345),(5565,6635,0.000752,0.009296),(5565,6645,0.000779,0.009291),(5565,6655,0.000805,0.009303),(5565,6665,0.00083,0.009316),(5565,6675,0.000856,0.009328),(5565,6685,0.000881,0.00934),(5565,6695,0.000905,0.009352),(5565,6705,0.000929,0.009363),(5565,6715,0.000953,0.009374),(5565,6725,0.000976,0.009386),(5565,6735,0.000999,0.009397),(5565,6745,0.001022,0.009407),(5565,6755,0.001045,0.009418),(5565,6765,0.001066,0.009428),(5565,6775,0.001089,0.009437),(5565,6785,0.00111,0.009447),(5565,6795,0.001131,0.009457),(5565,6805,0.001152,0.009465),(5565,6815,0.001173,0.009474),(5565,6825,0.001193,0.009483),(5565,6835,0.001213,0.009491),(5565,6845,0.001233,0.009499),(5565,6855,0.001253,0.009507),(5565,6865,0.001272,0.009514),(5565,6875,0.001291,0.009521),(5565,6885,0.00131,0.009528),(5565,6895,0.001329,0.009535),(5565,6905,0.001347,0.009541),(5565,6915,0.001366,0.009547),(5565,6925,0.001384,0.009553),(5565,6935,0.001402,0.009558),(5565,6945,0.001419,0.009563),(5565,6955,0.001437,0.009568),(5565,6965,0.001454,0.009572),(5565,6975,0.001471,0.009577),(5565,6985,0.001488,0.009581),(5575,5,1.9e-05,-0.93214),(5575,15,5.8e-05,-0.93225),(5575,25,8.1e-05,-0.93237),(5575,35,9e-05,-0.93248),(5575,45,9.8e-05,-0.93256),(5575,55,0.000107,-0.93261),(5575,65,0.000112,-0.93266),(5575,75,0.000115,-0.93271),(5575,85,0.000117,-0.93279),(5575,95,0.00012,-0.93288),(5575,105,0.000127,-0.93297),(5575,115,0.000136,-0.93307),(5575,125,0.000144,-0.93319),(5575,135,0.000153,-0.93332),(5575,145,0.000173,-0.93345),(5575,155,0.000199,-0.93359),(5575,165,0.000226,-0.93374),(5575,175,0.000252,-0.93392),(5575,185,0.000298,-0.93409),(5575,195,0.000354,-0.93426),(5575,205,0.00041,-0.93447),(5575,215,0.000466,-0.9347),(5575,225,0.000521,-0.93493),(5575,235,0.000575,-0.93516),(5575,245,0.000629,-0.93541),(5575,255,0.000683,-0.93566),(5575,265,0.000731,-0.93591),(5575,275,0.000777,-0.93616),(5575,285,0.000822,-0.93645),(5575,295,0.000868,-0.93676),(5575,305,0.000894,-0.93706),(5575,315,0.000915,-0.93737),(5575,325,0.000936,-0.93768),(5575,335,0.000958,-0.93799),(5575,345,0.000949,-0.9383),(5575,355,0.000935,-0.9386),(5575,365,0.000921,-0.93893),(5575,375,0.000907,-0.93925),(5575,385,0.000902,-0.93958),(5575,395,0.000898,-0.93991),(5575,405,0.000893,-0.9403),(5575,415,0.000889,-0.94071),(5575,425,0.000874,-0.94111),(5575,435,0.000857,-0.94152),(5575,445,0.000841,-0.94196),(5575,455,0.000825,-0.9424),(5575,465,0.000805,-0.94284),(5575,475,0.000786,-0.94329),(5575,485,0.000766,-0.94376),(5575,495,0.000746,-0.94424),(5575,505,0.000771,-0.94472),(5575,515,0.000796,-0.9452),(5575,525,0.000821,-0.94579),(5575,535,0.000848,-0.94639),(5575,545,0.000924,-0.94698),(5575,555,0.000999,-0.94758),(5575,565,0.001075,-0.94822),(5575,575,0.001151,-0.94886),(5575,585,0.001238,-0.94951),(5575,595,0.001325,-0.95015),(5575,605,0.001412,-0.9508),(5575,615,0.001493,-0.95144),(5575,625,0.00153,-0.95209),(5575,635,0.001566,-0.95274),(5575,645,0.001603,-0.95339),(5575,655,0.00163,-0.95404),(5575,665,0.001599,-0.9547),(5575,675,0.001568,-0.95536),(5575,685,0.001537,-0.95605),(5575,695,0.001501,-0.95675),(5575,705,0.001445,-0.95745),(5575,715,0.001388,-0.95817),(5575,725,0.001332,-0.95896),(5575,735,0.001288,-0.95976),(5575,745,0.001284,-0.96055),(5575,755,0.00128,-0.96137),(5575,765,0.001276,-0.96224),(5575,775,0.001304,-0.96312),(5575,785,0.00142,-0.964),(5575,795,0.001536,-0.96491),(5575,805,0.001652,-0.96589),(5575,815,0.001769,-0.96688),(5575,825,0.001888,-0.96786),(5575,835,0.002007,-0.96885),(5575,845,0.002126,-0.96984),(5575,855,0.002239,-0.97084),(5575,865,0.002341,-0.97183),(5575,875,0.002444,-0.97284),(5575,885,0.002547,-0.97389),(5575,895,0.002634,-0.97494),(5575,905,0.002698,-0.97599),(5575,915,0.002761,-0.97706),(5575,925,0.002825,-0.97816),(5575,935,0.002895,-0.97926),(5575,945,0.002974,-0.98036),(5575,955,0.003053,-0.98148),(5575,965,0.003132,-0.98263),(5575,975,0.003245,-0.98379),(5575,985,0.003397,-0.98494),(5575,995,0.00355,-0.9861),(5575,1005,0.003703,-0.98728),(5575,1015,0.003921,-0.98846),(5575,1025,0.004204,-0.98963),(5575,1035,0.004487,-0.99085),(5575,1045,0.00477,-0.9921),(5575,1055,0.005146,-0.99336),(5575,1065,0.005596,-0.99461),(5575,1075,0.006047,-0.99597),(5575,1085,0.006498,-0.99741),(5575,1095,0.006919,-0.99885),(5575,1105,0.007319,-1.0003),(5575,1115,0.00772,-1.0018),(5575,1125,0.00812,-1.0033),(5575,1135,0.008051,-1.0049),(5575,1145,0.007703,-1.0064),(5575,1155,0.007356,-1.0079),(5575,1165,0.007009,-1.0094),(5575,1175,0.004763,-1.0109),(5575,1185,0.001574,-1.0125),(5575,1195,-0.001615,-1.0129),(5575,1205,-0.004803,-1.0128),(5575,1215,-0.012926,-1.0128),(5575,1225,-0.023084,-1.0127),(5575,1235,-0.033242,-1.0079),(5575,1245,-0.0434,-1.0012),(5575,1255,-0.068496,-0.99461),(5575,1265,-0.098637,-0.98797),(5575,1275,-0.12878,-0.98418),(5575,1285,-0.15892,-0.98125),(5575,1295,-0.21418,-0.97832),(5575,1305,-0.27624,-0.97539),(5575,1315,-0.33829,-1.0173),(5575,1325,-0.40035,-1.07),(5575,1335,-0.24934,-1.1227),(5575,1345,-0.053683,-1.1753),(5575,1355,0.14198,-1.1392),(5575,1365,0.33764,-1.087),(5575,1375,0.32167,-1.0347),(5575,1385,0.27305,-0.9825),(5575,1395,0.22443,-0.97652),(5575,1405,0.17582,-0.97649),(5575,1415,0.14522,-0.97646),(5575,1425,0.1165,-0.97642),(5575,1435,0.087777,-0.9837),(5575,1445,0.059055,-0.99157),(5575,1455,0.048452,-0.99943),(5575,1465,0.038892,-1.0073),(5575,1475,0.029332,-1.0085),(5575,1485,0.019772,-1.0095),(5575,1495,0.015474,-1.0105),(5575,1505,0.011255,-1.0114),(5575,1515,0.007036,-1.0104),(5575,1525,0.002886,-1.0093),(5575,1535,0.001437,-1.0082),(5575,1545,-1.3e-05,-1.0071),(5575,1555,-0.001462,-1.0059),(5575,1565,-0.002839,-1.0047),(5575,1575,-0.003168,-1.0034),(5575,1585,-0.003496,-1.0022),(5575,1595,-0.003824,-1.001),(5575,1605,-0.004115,-0.99975),(5575,1615,-0.00408,-0.99853),(5575,1625,-0.004045,-0.9973),(5575,1635,-0.004011,-0.99604),(5575,1645,-0.003961,-0.99479),(5575,1655,-0.00382,-0.99353),(5575,1665,-0.00368,-0.99227),(5575,1675,-0.00354,-0.99104),(5575,1685,-0.003389,-0.98981),(5575,1695,-0.003192,-0.98858),(5575,1705,-0.002995,-0.98736),(5575,1715,-0.002798,-0.98618),(5575,1725,-0.002603,-0.98499),(5575,1735,-0.002419,-0.98381),(5575,1745,-0.002235,-0.98263),(5575,1755,-0.002051,-0.9815),(5575,1765,-0.001886,-0.98036),(5575,1775,-0.001775,-0.97922),(5575,1785,-0.001664,-0.9781),(5575,1795,-0.001553,-0.97705),(5575,1805,-0.001454,-0.97599),(5575,1815,-0.00138,-0.97494),(5575,1825,-0.001307,-0.97392),(5575,1835,-0.001234,-0.973),(5575,1845,-0.001186,-0.97208),(5575,1855,-0.001188,-0.97115),(5575,1865,-0.00119,-0.9702),(5575,1875,-0.001191,-0.9692),(5575,1885,-0.001154,-0.96821),(5575,1895,-0.001056,-0.96721),(5575,1905,-0.000957,-0.96629),(5575,1915,-0.000859,-0.96549),(5575,1925,-0.000777,-0.96469),(5575,1935,-0.000719,-0.9639),(5575,1945,-0.00066,-0.96309),(5575,1955,-0.000602,-0.96226),(5575,1965,-0.000571,-0.96144),(5575,1975,-0.000571,-0.96062),(5575,1985,-0.000572,-0.95977),(5575,1995,-0.000573,-0.95889),(5575,2005,-0.000583,-0.95802),(5575,2015,-0.000604,-0.95715),(5575,2025,-0.000624,-0.95632),(5575,2035,-0.000645,-0.95554),(5575,2045,-0.000658,-0.95476),(5575,2055,-0.000666,-0.95398),(5575,2065,-0.000673,-0.95323),(5575,2075,-0.000681,-0.95251),(5575,2085,-0.000669,-0.95179),(5575,2095,-0.000644,-0.95107),(5575,2105,-0.000619,-0.95039),(5575,2115,-0.000594,-0.94972),(5575,2125,-0.000566,-0.94905),(5575,2135,-0.000537,-0.94838),(5575,2145,-0.000509,-0.94774),(5575,2155,-0.00048,-0.9471),(5575,2165,-0.000461,-0.94646),(5575,2175,-0.000447,-0.94582),(5575,2185,-0.000433,-0.9452),(5575,2195,-0.000419,-0.94459),(5575,2205,-0.000369,-0.94398),(5575,2215,-0.000304,-0.94337),(5575,2225,-0.000238,-0.94284),(5575,2235,-0.000172,-0.94233),(5575,2245,-0.00014,-0.94183),(5575,2255,-0.00012,-0.94132),(5575,2265,-0.0001,-0.94072),(5575,2275,-8e-05,-0.94008),(5575,2285,-3.4e-05,-0.93945),(5575,2295,1.9e-05,-0.93881),(5575,2305,7.2e-05,-0.93827),(5575,2315,0.000125,-0.93775),(5575,2325,0.000147,-0.93724),(5575,2335,0.000163,-0.93672),(5575,2345,0.000179,-0.93624),(5575,2355,0.000195,-0.93577),(5575,2365,0.000255,-0.9353),(5575,2375,0.000322,-0.93483),(5575,2385,0.00039,-0.93441),(5575,2395,0.000457,-0.93399),(5575,2405,0.000537,-0.93357),(5575,2415,0.000619,-0.93316),(5575,2425,0.000701,-0.93276),(5575,2435,0.000782,-0.93237),(5575,2445,0.000824,-0.93197),(5575,2455,0.000864,-0.93158),(5575,2465,0.000903,-0.93115),(5575,2475,0.000942,-0.93072),(5575,2485,0.000921,-0.93029),(5575,2495,0.000897,-0.92986),(5575,2505,0.000874,-0.92939),(5575,2515,0.000851,-0.92893),(5575,2525,0.000831,-0.92846),(5575,2535,0.000811,-0.928),(5575,2545,0.000792,-0.92759),(5575,2555,0.000774,-0.92719),(5575,2565,0.000799,-0.92679),(5575,2575,0.000825,-0.92639),(5575,2585,0.00085,-0.92604),(5575,2595,0.000877,-0.9257),(5575,2605,0.000921,-0.92536),(5575,2615,0.000965,-0.92502),(5575,2625,0.001009,-0.9247),(5575,2635,0.001041,-0.92438),(5575,2645,0.000991,-0.92407),(5575,2655,0.000941,-0.92372),(5575,2665,0.000891,-0.9232),(5575,2675,0.000865,-0.92268),(5575,2685,0.000954,-0.92216),(5575,2695,0.001043,-0.92169),(5575,2705,0.001133,-0.92143),(5575,2715,0.00121,-0.92116),(5575,2725,0.001243,-0.92089),(5575,2735,0.001276,-0.92062),(5575,2745,0.001309,-0.92034),(5575,2755,0.001341,-0.92005),(5575,2765,0.001369,-0.91977),(5575,2775,0.001397,-0.91947),(5575,2785,0.001425,-0.91915),(5575,2795,0.001439,-0.91884),(5575,2805,0.001421,-0.91852),(5575,2815,0.001403,-0.91819),(5575,2825,0.001384,-0.91784),(5575,2835,0.001365,-0.9175),(5575,2845,0.001343,-0.91715),(5575,2855,0.001321,-0.91681),(5575,2865,0.0013,-0.9165),(5575,2875,0.001295,-0.91619),(5575,2885,0.001318,-0.91588),(5575,2895,0.001341,-0.91559),(5575,2905,0.001364,-0.91534),(5575,2915,0.001393,-0.91508),(5575,2925,0.00143,-0.91482),(5575,2935,0.001467,-0.91454),(5575,2945,0.001504,-0.91425),(5575,2955,0.001525,-0.91396),(5575,2965,0.001528,-0.91367),(5575,2975,0.001532,-0.91336),(5575,2985,0.001535,-0.91304),(5575,2995,0.001549,-0.91272),(5575,3005,0.001575,-0.91239),(5575,3015,0.001601,-0.91211),(5575,3025,0.001627,-0.91187),(5575,3035,0.001659,-0.91163),(5575,3045,0.001695,-0.91139),(5575,3055,0.001732,-0.91109),(5575,3065,0.001769,-0.91074),(5575,3075,0.001867,-0.9104),(5575,3085,0.002013,-0.91005),(5575,3095,0.002158,-0.90978),(5575,3105,0.002304,-0.90957),(5575,3115,0.00234,-0.90936),(5575,3125,0.002305,-0.90915),(5575,3135,0.00227,-0.90888),(5575,3145,0.002235,-0.90858),(5575,3155,0.002207,-0.90827),(5575,3165,0.002181,-0.90796),(5575,3175,0.002155,-0.9077),(5575,3185,0.002129,-0.90747),(5575,3195,0.002138,-0.90724),(5575,3205,0.002162,-0.907),(5575,3215,0.002186,-0.90677),(5575,3225,0.00221,-0.90654),(5575,3235,0.002244,-0.90631),(5575,3245,0.002283,-0.90608),(5575,3255,0.002322,-0.90584),(5575,3265,0.00236,-0.90559),(5575,3275,0.002398,-0.90535),(5575,3285,0.002435,-0.9051),(5575,3295,0.002472,-0.90486),(5575,3305,0.002509,-0.90462),(5575,3315,0.002514,-0.90439),(5575,3325,0.002511,-0.90415),(5575,3335,0.002507,-0.90387),(5575,3345,0.002504,-0.90358),(5575,3355,0.002557,-0.90329),(5575,3365,0.002621,-0.903),(5575,3375,0.002684,-0.90286),(5575,3385,0.002748,-0.90274),(5575,3395,0.002752,-0.90262),(5575,3405,0.002748,-0.90251),(5575,3415,0.002744,-0.90217),(5575,3425,0.00274,-0.90181),(5575,3435,0.002778,-0.90144),(5575,3445,0.002819,-0.90108),(5575,3455,0.00286,-0.90083),(5575,3465,0.002901,-0.9006),(5575,3475,0.00294,-0.90036),(5575,3485,0.002979,-0.90012),(5575,3495,0.003018,-0.90001),(5575,3505,0.003058,-0.89991),(5575,3515,0.003097,-0.8998),(5575,3525,0.003136,-0.89969),(5575,3535,0.003175,-0.89937),(5575,3545,0.003214,-0.89904),(5575,3555,0.003238,-0.89871),(5575,3565,0.003262,-0.89839),(5575,3575,0.003286,-0.89818),(5575,3585,0.003311,-0.89796),(5575,3595,0.003355,-0.89774),(5575,3605,0.0034,-0.89754),(5575,3615,0.003444,-0.89743),(5575,3625,0.003476,-0.89733),(5575,3635,0.003422,-0.89722),(5575,3645,0.003368,-0.89709),(5575,3655,0.003314,-0.89677),(5575,3665,0.003266,-0.89645),(5575,3675,0.003254,-0.89614),(5575,3685,0.003242,-0.89586),(5575,3695,0.003229,-0.89575),(5575,3705,0.003199,-0.89563),(5575,3715,0.003098,-0.89552),(5575,3725,0.002998,-0.89538),(5575,3735,0.002897,-0.89512),(5575,3745,0.002762,-0.89487),(5575,3755,0.002521,-0.89461),(5575,3765,0.002279,-0.89438),(5575,3775,0.002038,-0.8942),(5575,3785,0.001682,-0.89401),(5575,3795,0.001032,-0.89383),(5575,3805,0.000383,-0.89357),(5575,3815,-0.000266,-0.8931),(5575,3825,-0.00115,-0.89264),(5575,3835,-0.002527,-0.89218),(5575,3845,-0.003905,-0.89165),(5575,3855,-0.005283,-0.89102),(5575,3865,-0.007291,-0.89039),(5575,3875,-0.010413,-0.88975),(5575,3885,-0.013534,-0.8888),(5575,3895,-0.016656,-0.88733),(5575,3905,-0.020991,-0.88587),(5575,3915,-0.027138,-0.8844),(5575,3925,-0.033286,-0.88193),(5575,3935,-0.039433,-0.87806),(5575,3945,-0.05088,-0.87419),(5575,3955,-0.069057,-0.87031),(5575,3965,-0.087233,-0.86802),(5575,3975,-0.10541,-0.86756),(5575,3985,-0.15519,-0.8671),(5575,3995,-0.23917,-0.86665),(5575,4005,-0.32315,-0.89175),(5575,4015,-0.40714,-0.94242),(5575,4025,-0.16634,-0.9931),(5575,4035,0.10622,-1.0275),(5575,4045,0.37879,-1.0275),(5575,4055,0.51411,-1.0275),(5575,4065,0.59936,-1.0276),(5575,4075,0.6846,-1.0276),(5575,4085,0.72258,-1.0276),(5575,4095,0.72257,-1.0276),(5575,4105,0.72256,-1.0279),(5575,4115,0.72262,-1.0283),(5575,4125,0.7228,-1.0286),(5575,4135,0.72297,-1.0287),(5575,4145,0.72332,-1.0288),(5575,4155,0.72439,-1.029),(5575,4165,0.72545,-1.0292),(5575,4175,0.72652,-1.0294),(5575,4185,0.72791,-1.0297),(5575,4195,0.7293,-1.0299),(5575,4205,0.73068,-1.03),(5575,4215,0.73258,-1.0301),(5575,4225,0.73458,-1.0302),(5575,4235,0.73658,-1.03),(5575,4245,0.73892,-1.0298),(5575,4255,0.74145,-1.0295),(5575,4265,0.74398,-1.0291),(5575,4275,0.74676,-1.0287),(5575,4285,0.74981,-1.0282),(5575,4295,0.75285,-1.0275),(5575,4305,0.75603,-1.0267),(5575,4315,0.75953,-1.0259),(5575,4325,0.76302,-1.0249),(5575,4335,0.76655,-1.0238),(5575,4345,0.77038,-1.0226),(5575,4355,0.77421,-1.0213),(5575,4365,0.77804,-1.0199),(5575,4375,0.78211,-1.0185),(5575,4385,0.7862,-1.017),(5575,4395,0.79029,-1.0154),(5575,4405,0.79454,-1.0138),(5575,4415,0.79885,-1.0122),(5575,4425,0.80315,-1.0104),(5575,4435,0.80747,-1.0086),(5575,4445,0.81179,-1.0068),(5575,4455,0.8161,-1.0046),(5575,4465,0.82059,-1.0025),(5575,4475,0.82533,-1.0003),(5575,4485,0.83006,-0.99814),(5575,4495,0.83478,-0.99593),(5575,4505,0.83945,-0.99372),(5575,4515,0.84413,-0.99135),(5575,4525,0.84881,-0.98891),(5575,4535,0.8536,-0.98646),(5575,4545,0.8584,-0.98392),(5575,4555,0.86319,-0.98128),(5575,4565,0.86802,-0.97864),(5575,4575,0.87285,-0.97595),(5575,4585,0.87768,-0.97313),(5575,4595,0.88253,-0.97031),(5575,4605,0.88738,-0.96747),(5575,4615,0.89223,-0.96449),(5575,4625,0.89708,-0.9615),(5575,4635,0.90192,-0.95851),(5575,4645,0.90676,-0.95538),(5575,4655,0.9116,-0.95224),(5575,4665,0.91645,-0.9491),(5575,4675,0.92129,-0.94586),(5575,4685,0.92614,-0.94259),(5575,4695,0.93098,-0.93933),(5575,4705,0.93582,-0.93601),(5575,4715,0.94066,-0.93266),(5575,4725,0.9454,-0.92931),(5575,4735,0.95014,-0.92587),(5575,4745,0.95487,-0.92228),(5575,4755,0.95972,-0.91868),(5575,4765,0.96459,-0.91507),(5575,4775,0.96946,-0.91136),(5575,4785,0.97425,-0.90765),(5575,4795,0.97899,-0.90393),(5575,4805,0.98374,-0.90009),(5575,4815,0.98847,-0.89624),(5575,4825,0.99319,-0.8924),(5575,4835,0.9979,-0.88844),(5575,4845,1.0026,-0.88445),(5575,4855,1.0073,-0.88047),(5575,4865,1.0119,-0.87639),(5575,4875,1.0166,-0.87226),(5575,4885,1.0212,-0.86814),(5575,4895,1.0258,-0.86397),(5575,4905,1.0303,-0.85978),(5575,4915,1.0349,-0.85558),(5575,4925,1.0394,-0.85136),(5575,4935,1.0439,-0.8471),(5575,4945,1.0484,-0.84284),(5575,4955,1.0529,-0.83857),(5575,4965,1.0574,-0.83424),(5575,4975,1.0618,-0.82991),(5575,4985,1.0662,-0.82559),(5575,4995,1.0706,-0.8212),(5575,5005,1.075,-0.81682),(5575,5015,1.0793,-0.81243),(5575,5025,1.0837,-0.80801),(5575,5035,1.088,-0.80358),(5575,5045,1.0922,-0.79915),(5575,5055,1.0965,-0.79473),(5575,5065,1.1008,-0.79031),(5575,5075,1.105,-0.78589),(5575,5085,1.1091,-0.78143),(5575,5095,1.1133,-0.77694),(5575,5105,1.1174,-0.77246),(5575,5115,1.1215,-0.76797),(5575,5125,1.1257,-0.7635),(5575,5135,1.1298,-0.75903),(5575,5145,1.1338,-0.75456),(5575,5155,1.1379,-0.75007),(5575,5165,1.142,-0.74559),(5575,5175,1.146,-0.7411),(5575,5185,1.15,-0.7366),(5575,5195,1.154,-0.73209),(5575,5205,1.1579,-0.72759),(5575,5215,1.1619,-0.7231),(5575,5225,1.1658,-0.71861),(5575,5235,1.1697,-0.71412),(5575,5245,1.1736,-0.70962),(5575,5255,1.1775,-0.70512),(5575,5265,1.1813,-0.70062),(5575,5275,1.1852,-0.69611),(5575,5285,1.189,-0.69158),(5575,5295,1.1928,-0.68704),(5575,5305,1.1966,-0.68251),(5575,5315,1.2004,-0.67796),(5575,5325,1.2041,-0.67341),(5575,5335,1.2079,-0.66886),(5575,5345,1.2116,-0.6643),(5575,5355,1.2154,-0.65975),(5575,5365,1.2191,-0.65519),(5575,5375,1.2228,-0.65064),(5575,5385,1.2265,-0.64609),(5575,5395,1.2301,-0.64154),(5575,5405,1.2338,-0.63699),(5575,5415,1.2374,-0.63242),(5575,5425,1.241,-0.62786),(5575,5435,1.2447,-0.62328),(5575,5445,1.2483,-0.61869),(5575,5455,1.2518,-0.6141),(5575,5465,1.2554,-0.60949),(5575,5475,1.2589,-0.60486),(5575,5485,1.2624,-0.60023),(5575,5495,1.266,-0.59559),(5575,5505,1.2695,-0.59091),(5575,5515,1.273,-0.58623),(5575,5525,1.2764,-0.58155),(5575,5535,1.2799,-0.57685),(5575,5545,1.2834,-0.57215),(5575,5555,1.2868,-0.56745),(5575,5565,1.2903,-0.56272),(5575,5575,1.2937,-0.55799),(5575,5585,1.2971,-0.55326),(5575,5595,1.3005,-0.5485),(5575,5605,1.3039,-0.54371),(5575,5615,1.3072,-0.53892),(5575,5625,1.3106,-0.53412),(5575,5635,1.3139,-0.5293),(5575,5645,1.3172,-0.52449),(5575,5655,1.3205,-0.51967),(5575,5665,1.3237,-0.51483),(5575,5675,1.3271,-0.51),(5575,5685,1.3304,-0.50517),(5575,5695,1.3338,-0.50036),(5575,5705,1.337,-0.49554),(5575,5715,1.34,-0.49073),(5575,5725,1.3431,-0.48576),(5575,5735,1.3462,-0.48078),(5575,5745,1.3493,-0.47579),(5575,5755,1.3525,-0.47081),(5575,5765,1.3556,-0.46584),(5575,5775,1.3587,-0.46086),(5575,5785,1.3618,-0.45585),(5575,5795,1.3648,-0.45082),(5575,5805,1.3678,-0.44578),(5575,5815,1.3708,-0.44072),(5575,5825,1.3738,-0.4356),(5575,5835,1.3768,-0.43049),(5575,5845,1.3797,-0.42536),(5575,5855,1.3826,-0.42021),(5575,5865,1.3855,-0.41506),(5575,5875,1.3883,-0.40991),(5575,5885,1.3911,-0.40475),(5575,5895,1.394,-0.39959),(5575,5905,1.3967,-0.39443),(5575,5915,1.3995,-0.38919),(5575,5925,1.4022,-0.38394),(5575,5935,1.4049,-0.37868),(5575,5945,1.4075,-0.37336),(5575,5955,1.4102,-0.36799),(5575,5965,1.4129,-0.36262),(5575,5975,1.4157,-0.3573),(5575,5985,1.4184,-0.35203),(5575,5995,1.4208,-0.34677),(5575,6005,1.4232,-0.34146),(5575,6015,1.4256,-0.33605),(5575,6025,1.4281,-0.33063),(5575,6035,1.4305,-0.32521),(5575,6045,1.4329,-0.31974),(5575,6055,1.4353,-0.31427),(5575,6065,1.4376,-0.3088),(5575,6075,1.4399,-0.30327),(5575,6085,1.4422,-0.29773),(5575,6095,1.4444,-0.2922),(5575,6105,1.4465,-0.28661),(5575,6115,1.4487,-0.28101),(5575,6125,1.4508,-0.2754),(5575,6135,1.4528,-0.26976),(5575,6145,1.4549,-0.2641),(5575,6155,1.4569,-0.25844),(5575,6165,1.4588,-0.25276),(5575,6175,1.4608,-0.24704),(5575,6185,1.4627,-0.24132),(5575,6195,1.4645,-0.2356),(5575,6205,1.4664,-0.22984),(5575,6215,1.4682,-0.22408),(5575,6225,1.4699,-0.21833),(5575,6235,1.4716,-0.21258),(5575,6245,1.4733,-0.20683),(5575,6255,1.4749,-0.20109),(5575,6265,1.4765,-0.19528),(5575,6275,1.4781,-0.18946),(5575,6285,1.4797,-0.18365),(5575,6295,1.4813,-0.1778),(5575,6305,1.4828,-0.17195),(5575,6315,1.4841,-0.1661),(5575,6325,1.4853,-0.16021),(5575,6335,1.4865,-0.15428),(5575,6345,1.4877,-0.14835),(5575,6355,1.4889,-0.14241),(5575,6365,1.4901,-0.13642),(5575,6375,1.4912,-0.13043),(5575,6385,1.4922,-0.12444),(5575,6395,1.4932,-0.11842),(5575,6405,1.4942,-0.11239),(5575,6415,1.4951,-0.10636),(5575,6425,1.496,-0.10037),(5575,6435,1.4968,-0.094387),(5575,6445,1.4975,-0.0884),(5575,6455,1.4983,-0.082367),(5575,6465,1.499,-0.076321),(5575,6475,1.4996,-0.070274),(5575,6485,1.5001,-0.064236),(5575,6495,1.5007,-0.058202),(5575,6505,1.5011,-0.052169),(5575,6515,1.5015,-0.04611),(5575,6525,1.5019,-0.040015),(5575,6535,1.5022,-0.033921),(5575,6545,1.5024,-0.027824),(5575,6555,1.5026,-0.02172),(5575,6565,1.5028,-0.015617),(5575,6575,1.5029,-0.009514),(5575,6585,1.503,-0.00342),(5575,6595,1.2784,0.002674),(5575,6605,0.80572,0.008768),(5575,6615,0.33301,0.009419),(5575,6625,0.000711,0.009371),(5575,6635,0.000738,0.009323),(5575,6645,0.000764,0.009317),(5575,6655,0.000791,0.009329),(5575,6665,0.000816,0.009341),(5575,6675,0.000842,0.009353),(5575,6685,0.000867,0.009365),(5575,6695,0.000891,0.009376),(5575,6705,0.000916,0.009388),(5575,6715,0.00094,0.009398),(5575,6725,0.000963,0.009409),(5575,6735,0.000987,0.00942),(5575,6745,0.00101,0.00943),(5575,6755,0.001032,0.00944),(5575,6765,0.001055,0.00945),(5575,6775,0.001077,0.009459),(5575,6785,0.001099,0.009469),(5575,6795,0.00112,0.009478),(5575,6805,0.001141,0.009487),(5575,6815,0.001162,0.009495),(5575,6825,0.001182,0.009504),(5575,6835,0.001203,0.009512),(5575,6845,0.001223,0.009519),(5575,6855,0.001243,0.009527),(5575,6865,0.001263,0.009534),(5575,6875,0.001282,0.009541),(5575,6885,0.001301,0.009547),(5575,6895,0.00132,0.009554),(5575,6905,0.001339,0.00956),(5575,6915,0.001357,0.009565),(5575,6925,0.001376,0.009571),(5575,6935,0.001394,0.009576),(5575,6945,0.001412,0.009581),(5575,6955,0.00143,0.009586),(5575,6965,0.001447,0.00959),(5575,6975,0.001465,0.009594),(5575,6985,0.001482,0.009598),(5585,5,1.4e-05,-0.61927),(5585,15,4.2e-05,-0.61935),(5585,25,6.1e-05,-0.61943),(5585,35,7.2e-05,-0.6195),(5585,45,8.3e-05,-0.61956),(5585,55,9.3e-05,-0.61959),(5585,65,9.9e-05,-0.61963),(5585,75,0.000101,-0.61966),(5585,85,0.000103,-0.61971),(5585,95,0.000104,-0.61977),(5585,105,0.00011,-0.61983),(5585,115,0.000119,-0.61989),(5585,125,0.000128,-0.61997),(5585,135,0.000138,-0.62006),(5585,145,0.000157,-0.62015),(5585,155,0.000181,-0.62023),(5585,165,0.000206,-0.62034),(5585,175,0.000231,-0.62045),(5585,185,0.000273,-0.62056),(5585,195,0.000324,-0.62067),(5585,205,0.000375,-0.62081),(5585,215,0.000426,-0.62096),(5585,225,0.000479,-0.62112),(5585,235,0.000534,-0.62127),(5585,245,0.000588,-0.62143),(5585,255,0.000643,-0.6216),(5585,265,0.000691,-0.62177),(5585,275,0.000738,-0.62194),(5585,285,0.000785,-0.62214),(5585,295,0.000831,-0.62234),(5585,305,0.000864,-0.62255),(5585,315,0.000893,-0.62275),(5585,325,0.000923,-0.62296),(5585,335,0.000952,-0.62317),(5585,345,0.000948,-0.62338),(5585,355,0.000938,-0.62359),(5585,365,0.000928,-0.6238),(5585,375,0.000918,-0.62402),(5585,385,0.000916,-0.62424),(5585,395,0.000915,-0.62445),(5585,405,0.000915,-0.62472),(5585,415,0.000914,-0.62498),(5585,425,0.000898,-0.62525),(5585,435,0.000881,-0.62551),(5585,445,0.000863,-0.62581),(5585,455,0.000845,-0.6261),(5585,465,0.000827,-0.62639),(5585,475,0.000809,-0.62669),(5585,485,0.00079,-0.627),(5585,495,0.000772,-0.62732),(5585,505,0.000787,-0.62763),(5585,515,0.000803,-0.62795),(5585,525,0.000819,-0.62834),(5585,535,0.000836,-0.62874),(5585,545,0.000903,-0.62913),(5585,555,0.00097,-0.62953),(5585,565,0.001037,-0.62996),(5585,575,0.001105,-0.63039),(5585,585,0.001195,-0.63082),(5585,595,0.001285,-0.63125),(5585,605,0.001375,-0.63168),(5585,615,0.00146,-0.63211),(5585,625,0.001511,-0.63255),(5585,635,0.001562,-0.63298),(5585,645,0.001613,-0.63342),(5585,655,0.001653,-0.63386),(5585,665,0.001637,-0.6343),(5585,675,0.001621,-0.63474),(5585,685,0.001605,-0.6352),(5585,695,0.001582,-0.63567),(5585,705,0.001531,-0.63613),(5585,715,0.00148,-0.63661),(5585,725,0.001429,-0.63713),(5585,735,0.001384,-0.63765),(5585,745,0.001354,-0.63817),(5585,755,0.001324,-0.63871),(5585,765,0.001295,-0.63929),(5585,775,0.001304,-0.63988),(5585,785,0.001417,-0.64046),(5585,795,0.00153,-0.64106),(5585,805,0.001643,-0.64172),(5585,815,0.001757,-0.64237),(5585,825,0.001872,-0.64302),(5585,835,0.001987,-0.64368),(5585,845,0.002102,-0.64434),(5585,855,0.002214,-0.645),(5585,865,0.002321,-0.64566),(5585,875,0.002426,-0.64633),(5585,885,0.002533,-0.64703),(5585,895,0.002624,-0.64773),(5585,905,0.002693,-0.64843),(5585,915,0.002761,-0.64914),(5585,925,0.00283,-0.64987),(5585,935,0.002904,-0.65061),(5585,945,0.002987,-0.65134),(5585,955,0.00307,-0.65208),(5585,965,0.003152,-0.65285),(5585,975,0.003272,-0.65362),(5585,985,0.003433,-0.65438),(5585,995,0.003594,-0.65516),(5585,1005,0.003756,-0.65594),(5585,1015,0.003984,-0.65672),(5585,1025,0.004277,-0.6575),(5585,1035,0.00457,-0.6583),(5585,1045,0.004863,-0.65912),(5585,1055,0.005246,-0.65994),(5585,1065,0.005703,-0.66077),(5585,1075,0.00616,-0.66165),(5585,1085,0.006617,-0.66259),(5585,1095,0.00704,-0.66353),(5585,1105,0.007438,-0.66446),(5585,1115,0.007836,-0.66545),(5585,1125,0.008234,-0.66646),(5585,1135,0.00816,-0.66747),(5585,1145,0.007809,-0.66848),(5585,1155,0.007457,-0.66949),(5585,1165,0.007105,-0.6705),(5585,1175,0.004608,-0.67151),(5585,1185,0.001048,-0.67253),(5585,1195,-0.002513,-0.67264),(5585,1205,-0.006074,-0.67234),(5585,1215,-0.015495,-0.67204),(5585,1225,-0.027334,-0.67175),(5585,1235,-0.039172,-0.66661),(5585,1245,-0.051011,-0.65967),(5585,1255,-0.074588,-0.65273),(5585,1265,-0.10213,-0.64579),(5585,1275,-0.12967,-0.64984),(5585,1285,-0.15721,-0.65721),(5585,1295,-0.19272,-0.66459),(5585,1305,-0.23039,-0.67197),(5585,1315,-0.26805,-0.77709),(5585,1325,-0.30572,-0.9056),(5585,1335,-0.19141,-1.0341),(5585,1345,-0.045256,-1.1626),(5585,1355,0.1009,-1.0759),(5585,1365,0.24706,-0.95012),(5585,1375,0.24428,-0.82436),(5585,1385,0.21853,-0.69859),(5585,1395,0.19277,-0.67329),(5585,1405,0.16702,-0.66089),(5585,1415,0.14222,-0.6485),(5585,1425,0.11752,-0.6361),(5585,1435,0.092822,-0.64295),(5585,1445,0.068123,-0.65134),(5585,1455,0.056008,-0.65973),(5585,1465,0.044617,-0.66812),(5585,1475,0.033227,-0.66932),(5585,1485,0.021836,-0.67026),(5585,1495,0.017063,-0.6712),(5585,1505,0.012389,-0.67213),(5585,1515,0.007715,-0.67138),(5585,1525,0.00312,-0.67063),(5585,1535,0.001619,-0.66988),(5585,1545,0.000118,-0.66913),(5585,1555,-0.001383,-0.66828),(5585,1565,-0.00281,-0.66744),(5585,1575,-0.003165,-0.6666),(5585,1585,-0.003519,-0.66576),(5585,1595,-0.003874,-0.66496),(5585,1605,-0.004188,-0.66415),(5585,1615,-0.004157,-0.66334),(5585,1625,-0.004126,-0.66253),(5585,1635,-0.004095,-0.6617),(5585,1645,-0.004047,-0.66087),(5585,1655,-0.003902,-0.66005),(5585,1665,-0.003757,-0.65922),(5585,1675,-0.003612,-0.65841),(5585,1685,-0.003456,-0.65759),(5585,1695,-0.003252,-0.65678),(5585,1705,-0.003047,-0.65598),(5585,1715,-0.002842,-0.65519),(5585,1725,-0.002639,-0.65441),(5585,1735,-0.00244,-0.65363),(5585,1745,-0.002242,-0.65286),(5585,1755,-0.002043,-0.6521),(5585,1765,-0.001863,-0.65135),(5585,1775,-0.00174,-0.6506),(5585,1785,-0.001616,-0.64987),(5585,1795,-0.001492,-0.64916),(5585,1805,-0.001383,-0.64846),(5585,1815,-0.001307,-0.64775),(5585,1825,-0.001232,-0.64708),(5585,1835,-0.001156,-0.64646),(5585,1845,-0.001115,-0.64583),(5585,1855,-0.001141,-0.64521),(5585,1865,-0.001168,-0.64458),(5585,1875,-0.001194,-0.64392),(5585,1885,-0.00117,-0.64326),(5585,1895,-0.001064,-0.6426),(5585,1905,-0.000958,-0.64199),(5585,1915,-0.000852,-0.64146),(5585,1925,-0.000769,-0.64092),(5585,1935,-0.000716,-0.64038),(5585,1945,-0.000664,-0.63984),(5585,1955,-0.000611,-0.6393),(5585,1965,-0.000576,-0.63876),(5585,1975,-0.000562,-0.63822),(5585,1985,-0.000547,-0.63766),(5585,1995,-0.000532,-0.63708),(5585,2005,-0.000531,-0.6365),(5585,2015,-0.000544,-0.63592),(5585,2025,-0.000558,-0.63537),(5585,2035,-0.000571,-0.63485),(5585,2045,-0.000581,-0.63433),(5585,2055,-0.000588,-0.63381),(5585,2065,-0.000596,-0.63331),(5585,2075,-0.000603,-0.63283),(5585,2085,-0.000593,-0.63235),(5585,2095,-0.000571,-0.63187),(5585,2105,-0.000549,-0.63141),(5585,2115,-0.000527,-0.63097),(5585,2125,-0.000502,-0.63053),(5585,2135,-0.000474,-0.63008),(5585,2145,-0.000446,-0.62965),(5585,2155,-0.000419,-0.62923),(5585,2165,-0.000401,-0.62881),(5585,2175,-0.000389,-0.62839),(5585,2185,-0.000376,-0.62797),(5585,2195,-0.000363,-0.62756),(5585,2205,-0.000317,-0.62715),(5585,2215,-0.000255,-0.62674),(5585,2225,-0.000194,-0.62638),(5585,2235,-0.000133,-0.62604),(5585,2245,-0.000117,-0.6257),(5585,2255,-0.000117,-0.62535),(5585,2265,-0.000118,-0.62496),(5585,2275,-0.000118,-0.62456),(5585,2285,-5.4e-05,-0.62415),(5585,2295,2.9e-05,-0.62375),(5585,2305,0.000112,-0.62339),(5585,2315,0.000195,-0.62304),(5585,2325,0.000215,-0.62269),(5585,2335,0.000221,-0.62233),(5585,2345,0.000226,-0.62201),(5585,2355,0.000232,-0.62169),(5585,2365,0.000281,-0.62138),(5585,2375,0.000338,-0.62106),(5585,2385,0.000394,-0.62078),(5585,2395,0.00045,-0.6205),(5585,2405,0.000524,-0.62022),(5585,2415,0.000599,-0.61994),(5585,2425,0.000674,-0.61967),(5585,2435,0.00075,-0.61941),(5585,2445,0.000796,-0.61915),(5585,2455,0.000841,-0.61889),(5585,2465,0.000885,-0.61861),(5585,2475,0.00093,-0.61833),(5585,2485,0.000921,-0.61804),(5585,2495,0.000912,-0.61776),(5585,2505,0.000902,-0.61745),(5585,2515,0.000892,-0.61714),(5585,2525,0.000876,-0.61684),(5585,2535,0.000861,-0.61653),(5585,2545,0.000845,-0.61626),(5585,2555,0.000831,-0.61599),(5585,2565,0.000856,-0.61572),(5585,2575,0.00088,-0.61545),(5585,2585,0.000904,-0.61523),(5585,2595,0.000931,-0.615),(5585,2605,0.000988,-0.61478),(5585,2615,0.001044,-0.61455),(5585,2625,0.001101,-0.61433),(5585,2635,0.00114,-0.61412),(5585,2645,0.001062,-0.6139),(5585,2655,0.000985,-0.61366),(5585,2665,0.000907,-0.61334),(5585,2675,0.000864,-0.61301),(5585,2685,0.000984,-0.61268),(5585,2695,0.001105,-0.61238),(5585,2705,0.001226,-0.61219),(5585,2715,0.001325,-0.612),(5585,2725,0.001344,-0.61181),(5585,2735,0.001362,-0.61162),(5585,2745,0.001381,-0.61143),(5585,2755,0.001402,-0.61124),(5585,2765,0.00143,-0.61105),(5585,2775,0.001459,-0.61086),(5585,2785,0.001487,-0.61065),(5585,2795,0.001504,-0.61044),(5585,2805,0.001493,-0.61023),(5585,2815,0.001482,-0.61002),(5585,2825,0.001471,-0.60978),(5585,2835,0.001456,-0.60955),(5585,2845,0.001433,-0.60932),(5585,2855,0.001409,-0.6091),(5585,2865,0.001386,-0.60889),(5585,2875,0.001377,-0.60868),(5585,2885,0.001392,-0.60847),(5585,2895,0.001407,-0.60827),(5585,2905,0.001422,-0.6081),(5585,2915,0.001447,-0.60793),(5585,2925,0.001484,-0.60775),(5585,2935,0.001522,-0.60758),(5585,2945,0.001561,-0.60739),(5585,2955,0.001588,-0.6072),(5585,2965,0.001602,-0.60701),(5585,2975,0.001616,-0.60681),(5585,2985,0.00163,-0.6066),(5585,2995,0.001653,-0.60639),(5585,3005,0.001687,-0.60617),(5585,3015,0.001721,-0.60598),(5585,3025,0.001755,-0.6058),(5585,3035,0.001765,-0.60563),(5585,3045,0.001756,-0.60545),(5585,3055,0.001746,-0.60525),(5585,3065,0.001736,-0.60504),(5585,3075,0.001837,-0.60483),(5585,3085,0.002021,-0.60461),(5585,3095,0.002205,-0.60444),(5585,3105,0.002389,-0.6043),(5585,3115,0.002443,-0.60416),(5585,3125,0.002414,-0.60402),(5585,3135,0.002385,-0.60384),(5585,3145,0.002356,-0.60363),(5585,3155,0.002325,-0.60343),(5585,3165,0.002292,-0.60322),(5585,3175,0.002259,-0.60305),(5585,3185,0.002226,-0.60289),(5585,3195,0.002226,-0.60273),(5585,3205,0.002242,-0.60257),(5585,3215,0.002258,-0.60242),(5585,3225,0.002273,-0.60226),(5585,3235,0.002304,-0.60211),(5585,3245,0.002339,-0.60195),(5585,3255,0.002375,-0.60179),(5585,3265,0.00241,-0.60163),(5585,3275,0.002446,-0.60147),(5585,3285,0.002481,-0.6013),(5585,3295,0.002517,-0.60114),(5585,3305,0.002553,-0.60099),(5585,3315,0.002565,-0.60084),(5585,3325,0.002573,-0.60068),(5585,3335,0.00258,-0.60049),(5585,3345,0.002588,-0.60029),(5585,3355,0.002643,-0.6001),(5585,3365,0.002707,-0.5999),(5585,3375,0.002771,-0.5998),(5585,3385,0.002834,-0.59971),(5585,3395,0.002809,-0.59962),(5585,3405,0.002772,-0.59953),(5585,3415,0.002734,-0.59933),(5585,3425,0.002697,-0.59912),(5585,3435,0.002779,-0.59891),(5585,3445,0.00287,-0.5987),(5585,3455,0.002961,-0.59852),(5585,3465,0.003052,-0.59835),(5585,3475,0.003064,-0.59817),(5585,3485,0.003073,-0.598),(5585,3495,0.003082,-0.59793),(5585,3505,0.003092,-0.59786),(5585,3515,0.003143,-0.59779),(5585,3525,0.003194,-0.59772),(5585,3535,0.003246,-0.5975),(5585,3545,0.003296,-0.59729),(5585,3555,0.003325,-0.59707),(5585,3565,0.003355,-0.59686),(5585,3575,0.003384,-0.59671),(5585,3585,0.003413,-0.59656),(5585,3595,0.00344,-0.59641),(5585,3605,0.003467,-0.59627),(5585,3615,0.003494,-0.59621),(5585,3625,0.003511,-0.59615),(5585,3635,0.003466,-0.59608),(5585,3645,0.00342,-0.596),(5585,3655,0.003374,-0.59578),(5585,3665,0.00333,-0.59556),(5585,3675,0.003294,-0.59534),(5585,3685,0.003257,-0.59515),(5585,3695,0.003221,-0.59508),(5585,3705,0.003171,-0.59501),(5585,3715,0.003067,-0.59494),(5585,3725,0.002962,-0.59485),(5585,3735,0.002858,-0.59469),(5585,3745,0.002717,-0.59452),(5585,3755,0.002464,-0.59436),(5585,3765,0.002211,-0.59421),(5585,3775,0.001957,-0.59409),(5585,3785,0.001576,-0.59397),(5585,3795,0.000868,-0.59385),(5585,3805,0.000161,-0.59369),(5585,3815,-0.000547,-0.59343),(5585,3825,-0.001472,-0.59317),(5585,3835,-0.002858,-0.59291),(5585,3845,-0.004243,-0.59261),(5585,3855,-0.005628,-0.59224),(5585,3865,-0.007713,-0.59187),(5585,3875,-0.011035,-0.59149),(5585,3885,-0.014357,-0.59087),(5585,3895,-0.017679,-0.58984),(5585,3905,-0.022402,-0.58882),(5585,3915,-0.029217,-0.58779),(5585,3925,-0.036033,-0.58565),(5585,3935,-0.042848,-0.58196),(5585,3945,-0.053767,-0.57827),(5585,3955,-0.069894,-0.57458),(5585,3965,-0.086021,-0.57576),(5585,3975,-0.10215,-0.58263),(5585,3985,-0.13769,-0.5895),(5585,3995,-0.19424,-0.59637),(5585,4005,-0.25079,-0.66704),(5585,4015,-0.30735,-0.80151),(5585,4025,-0.093677,-0.93599),(5585,4035,0.14643,-1.0272),(5585,4045,0.38653,-1.0272),(5585,4055,0.51306,-1.0272),(5585,4065,0.59816,-1.0272),(5585,4075,0.68325,-1.0272),(5585,4085,0.72119,-1.0271),(5585,4095,0.72123,-1.0271),(5585,4105,0.72127,-1.0273),(5585,4115,0.72136,-1.0275),(5585,4125,0.72152,-1.0277),(5585,4135,0.72169,-1.0278),(5585,4145,0.72203,-1.028),(5585,4155,0.72311,-1.0281),(5585,4165,0.7242,-1.0283),(5585,4175,0.72528,-1.0285),(5585,4185,0.72662,-1.0287),(5585,4195,0.72796,-1.0288),(5585,4205,0.72931,-1.0288),(5585,4215,0.73114,-1.0289),(5585,4225,0.73306,-1.0289),(5585,4235,0.73498,-1.0287),(5585,4245,0.73725,-1.0285),(5585,4255,0.73969,-1.0283),(5585,4265,0.74213,-1.0278),(5585,4275,0.74481,-1.0274),(5585,4285,0.74776,-1.027),(5585,4295,0.75071,-1.0263),(5585,4305,0.75379,-1.0255),(5585,4315,0.75719,-1.0248),(5585,4325,0.76058,-1.0238),(5585,4335,0.76402,-1.0227),(5585,4345,0.76776,-1.0216),(5585,4355,0.7715,-1.0203),(5585,4365,0.77524,-1.019),(5585,4375,0.77923,-1.0176),(5585,4385,0.78323,-1.0161),(5585,4395,0.78724,-1.0145),(5585,4405,0.79142,-1.0129),(5585,4415,0.79565,-1.0112),(5585,4425,0.79989,-1.0094),(5585,4435,0.80411,-1.0076),(5585,4445,0.80834,-1.0058),(5585,4455,0.81256,-1.0037),(5585,4465,0.81697,-1.0016),(5585,4475,0.82165,-0.99955),(5585,4485,0.82633,-0.99733),(5585,4495,0.83099,-0.99508),(5585,4505,0.83559,-0.99283),(5585,4515,0.8402,-0.99045),(5585,4525,0.84481,-0.98801),(5585,4535,0.84953,-0.98557),(5585,4545,0.85425,-0.98304),(5585,4555,0.85897,-0.98042),(5585,4565,0.86374,-0.9778),(5585,4575,0.86851,-0.97512),(5585,4585,0.87329,-0.97232),(5585,4595,0.87807,-0.96952),(5585,4605,0.88287,-0.9667),(5585,4615,0.88766,-0.96373),(5585,4625,0.89246,-0.96076),(5585,4635,0.89724,-0.9578),(5585,4645,0.90203,-0.95468),(5585,4655,0.90682,-0.95156),(5585,4665,0.91161,-0.94843),(5585,4675,0.91639,-0.94521),(5585,4685,0.92118,-0.94197),(5585,4695,0.92596,-0.93872),(5585,4705,0.93074,-0.93543),(5585,4715,0.93553,-0.9321),(5585,4725,0.9402,-0.92877),(5585,4735,0.94487,-0.92537),(5585,4745,0.94954,-0.92186),(5585,4755,0.95434,-0.91836),(5585,4765,0.95917,-0.91481),(5585,4775,0.964,-0.91114),(5585,4785,0.96874,-0.90747),(5585,4795,0.97343,-0.90379),(5585,4805,0.97813,-0.9),(5585,4815,0.98281,-0.89621),(5585,4825,0.98748,-0.89243),(5585,4835,0.99215,-0.88852),(5585,4845,0.99681,-0.8846),(5585,4855,1.0014,-0.88068),(5585,4865,1.006,-0.87666),(5585,4875,1.0107,-0.87258),(5585,4885,1.0152,-0.86851),(5585,4895,1.0198,-0.8644),(5585,4905,1.0243,-0.86025),(5585,4915,1.0288,-0.8561),(5585,4925,1.0333,-0.85192),(5585,4935,1.0378,-0.8477),(5585,4945,1.0423,-0.84348),(5585,4955,1.0467,-0.83924),(5585,4965,1.0512,-0.83495),(5585,4975,1.0556,-0.83067),(5585,4985,1.06,-0.82638),(5585,4995,1.0644,-0.82203),(5585,5005,1.0687,-0.81768),(5585,5015,1.073,-0.81333),(5585,5025,1.0773,-0.80894),(5585,5035,1.0816,-0.80454),(5585,5045,1.0859,-0.80014),(5585,5055,1.0901,-0.79573),(5585,5065,1.0944,-0.7913),(5585,5075,1.0985,-0.78688),(5585,5085,1.1027,-0.78243),(5585,5095,1.1068,-0.77796),(5585,5105,1.1109,-0.77349),(5585,5115,1.1151,-0.76903),(5585,5125,1.1192,-0.76457),(5585,5135,1.1233,-0.76011),(5585,5145,1.1273,-0.75565),(5585,5155,1.1314,-0.75117),(5585,5165,1.1354,-0.74669),(5585,5175,1.1394,-0.74221),(5585,5185,1.1434,-0.7377),(5585,5195,1.1474,-0.7332),(5585,5205,1.1513,-0.72869),(5585,5215,1.1553,-0.7242),(5585,5225,1.1592,-0.7197),(5585,5235,1.1631,-0.71521),(5585,5245,1.167,-0.71071),(5585,5255,1.1709,-0.70621),(5585,5265,1.1747,-0.70171),(5585,5275,1.1786,-0.69719),(5585,5285,1.1824,-0.69265),(5585,5295,1.1862,-0.68812),(5585,5305,1.1899,-0.68358),(5585,5315,1.1937,-0.67901),(5585,5325,1.1975,-0.67445),(5585,5335,1.2012,-0.66989),(5585,5345,1.2049,-0.66532),(5585,5355,1.2086,-0.66074),(5585,5365,1.2123,-0.65617),(5585,5375,1.216,-0.65161),(5585,5385,1.2197,-0.64704),(5585,5395,1.2234,-0.64248),(5585,5405,1.227,-0.6379),(5585,5415,1.2306,-0.63332),(5585,5425,1.2342,-0.62875),(5585,5435,1.2378,-0.62415),(5585,5445,1.2414,-0.61954),(5585,5455,1.245,-0.61493),(5585,5465,1.2485,-0.61031),(5585,5475,1.2521,-0.60565),(5585,5485,1.2556,-0.601),(5585,5495,1.2591,-0.59634),(5585,5505,1.2625,-0.59163),(5585,5515,1.266,-0.58693),(5585,5525,1.2695,-0.58223),(5585,5535,1.2729,-0.5775),(5585,5545,1.2764,-0.57277),(5585,5555,1.2798,-0.56805),(5585,5565,1.2832,-0.5633),(5585,5575,1.2866,-0.55855),(5585,5585,1.29,-0.5538),(5585,5595,1.2934,-0.54902),(5585,5605,1.2968,-0.54422),(5585,5615,1.3001,-0.53941),(5585,5625,1.3034,-0.5346),(5585,5635,1.3067,-0.52977),(5585,5645,1.31,-0.52495),(5585,5655,1.3132,-0.52012),(5585,5665,1.3165,-0.5153),(5585,5675,1.3198,-0.51047),(5585,5685,1.3232,-0.50564),(5585,5695,1.3265,-0.50074),(5585,5705,1.3297,-0.49584),(5585,5715,1.3327,-0.49094),(5585,5725,1.3357,-0.48597),(5585,5735,1.3388,-0.481),(5585,5745,1.3419,-0.47602),(5585,5755,1.3451,-0.47103),(5585,5765,1.3482,-0.46604),(5585,5775,1.3512,-0.46105),(5585,5785,1.3543,-0.45603),(5585,5795,1.3573,-0.45098),(5585,5805,1.3603,-0.44593),(5585,5815,1.3633,-0.44086),(5585,5825,1.3662,-0.43573),(5585,5835,1.3692,-0.4306),(5585,5845,1.3721,-0.42547),(5585,5855,1.3749,-0.4203),(5585,5865,1.3778,-0.41514),(5585,5875,1.3806,-0.40998),(5585,5885,1.3834,-0.40481),(5585,5895,1.3862,-0.39964),(5585,5905,1.389,-0.39447),(5585,5915,1.3917,-0.38922),(5585,5925,1.3944,-0.38396),(5585,5935,1.397,-0.37871),(5585,5945,1.3997,-0.37339),(5585,5955,1.4023,-0.36803),(5585,5965,1.405,-0.36268),(5585,5975,1.4078,-0.35732),(5585,5985,1.4105,-0.35196),(5585,5995,1.4129,-0.3466),(5585,6005,1.4153,-0.34123),(5585,6015,1.4176,-0.33584),(5585,6025,1.42,-0.33045),(5585,6035,1.4224,-0.32505),(5585,6045,1.4249,-0.31959),(5585,6055,1.4272,-0.31413),(5585,6065,1.4295,-0.30867),(5585,6075,1.4318,-0.30314),(5585,6085,1.4341,-0.29761),(5585,6095,1.4362,-0.29207),(5585,6105,1.4384,-0.28648),(5585,6115,1.4405,-0.28087),(5585,6125,1.4426,-0.27526),(5585,6135,1.4446,-0.26962),(5585,6145,1.4466,-0.26395),(5585,6155,1.4486,-0.25828),(5585,6165,1.4505,-0.25259),(5585,6175,1.4525,-0.24686),(5585,6185,1.4543,-0.24114),(5585,6195,1.4562,-0.23541),(5585,6205,1.458,-0.22965),(5585,6215,1.4598,-0.22389),(5585,6225,1.4615,-0.21813),(5585,6235,1.4632,-0.21238),(5585,6245,1.4648,-0.20664),(5585,6255,1.4664,-0.20089),(5585,6265,1.468,-0.1951),(5585,6275,1.4696,-0.18931),(5585,6285,1.4712,-0.18351),(5585,6295,1.4727,-0.17764),(5585,6305,1.4743,-0.17174),(5585,6315,1.4755,-0.16583),(5585,6325,1.4767,-0.15993),(5585,6335,1.4779,-0.15403),(5585,6345,1.4791,-0.14813),(5585,6355,1.4803,-0.14221),(5585,6365,1.4815,-0.13623),(5585,6375,1.4825,-0.13026),(5585,6385,1.4835,-0.12427),(5585,6395,1.4846,-0.11825),(5585,6405,1.4855,-0.11222),(5585,6415,1.4864,-0.1062),(5585,6425,1.4873,-0.10021),(5585,6435,1.4881,-0.094232),(5585,6445,1.4888,-0.08825),(5585,6455,1.4895,-0.082226),(5585,6465,1.4902,-0.076189),(5585,6475,1.4908,-0.070153),(5585,6485,1.4914,-0.064126),(5585,6495,1.4919,-0.058105),(5585,6505,1.4923,-0.052085),(5585,6515,1.4927,-0.046038),(5585,6525,1.4931,-0.039956),(5585,6535,1.4934,-0.033874),(5585,6545,1.4936,-0.027793),(5585,6555,1.4938,-0.021716),(5585,6565,1.494,-0.015638),(5585,6575,1.4941,-0.009557),(5585,6585,1.4942,-0.003441),(5585,6595,1.271,0.002675),(5585,6605,0.80101,0.008791),(5585,6615,0.33105,0.009445),(5585,6625,0.000697,0.009397),(5585,6635,0.000724,0.009349),(5585,6645,0.000751,0.009343),(5585,6655,0.000778,0.009355),(5585,6665,0.000803,0.009367),(5585,6675,0.000829,0.009378),(5585,6685,0.000854,0.00939),(5585,6695,0.000879,0.009401),(5585,6705,0.000903,0.009412),(5585,6715,0.000928,0.009422),(5585,6725,0.000951,0.009433),(5585,6735,0.000975,0.009443),(5585,6745,0.000998,0.009453),(5585,6755,0.001021,0.009463),(5585,6765,0.001043,0.009473),(5585,6775,0.001066,0.009482),(5585,6785,0.001088,0.009491),(5585,6795,0.001109,0.009499),(5585,6805,0.001131,0.009508),(5585,6815,0.001152,0.009516),(5585,6825,0.001173,0.009524),(5585,6835,0.001193,0.009532),(5585,6845,0.001214,0.009539),(5585,6855,0.001234,0.009547),(5585,6865,0.001254,0.009553),(5585,6875,0.001273,0.00956),(5585,6885,0.001293,0.009567),(5585,6895,0.001312,0.009573),(5585,6905,0.001331,0.009578),(5585,6915,0.00135,0.009584),(5585,6925,0.001368,0.00959),(5585,6935,0.001387,0.009594),(5585,6945,0.001405,0.009599),(5585,6955,0.001423,0.009604),(5585,6965,0.001441,0.009608),(5585,6975,0.001458,0.009612),(5585,6985,0.001476,0.009616),(5595,5,3e-06,-0.30641),(5595,15,9e-06,-0.30645),(5595,25,2.1e-05,-0.30649),(5595,35,4e-05,-0.30653),(5595,45,5.8e-05,-0.30656),(5595,55,7.7e-05,-0.30658),(5595,65,8.7e-05,-0.30659),(5595,75,9.2e-05,-0.30661),(5595,85,9.6e-05,-0.30663),(5595,95,0.000101,-0.30666),(5595,105,0.000109,-0.30669),(5595,115,0.00012,-0.30672),(5595,125,0.00013,-0.30675),(5595,135,0.000141,-0.3068),(5595,145,0.00016,-0.30684),(5595,155,0.000183,-0.30688),(5595,165,0.000206,-0.30693),(5595,175,0.00023,-0.30698),(5595,185,0.000263,-0.30703),(5595,195,0.000301,-0.30708),(5595,205,0.000339,-0.30715),(5595,215,0.000376,-0.30722),(5595,225,0.000422,-0.3073),(5595,235,0.00047,-0.30738),(5595,245,0.000518,-0.30746),(5595,255,0.000566,-0.30755),(5595,265,0.000608,-0.30763),(5595,275,0.000648,-0.30772),(5595,285,0.000688,-0.30782),(5595,295,0.000728,-0.30793),(5595,305,0.000765,-0.30803),(5595,315,0.0008,-0.30814),(5595,325,0.000836,-0.30825),(5595,335,0.000872,-0.30836),(5595,345,0.00088,-0.30846),(5595,355,0.000884,-0.30857),(5595,365,0.000887,-0.30868),(5595,375,0.00089,-0.30879),(5595,385,0.000893,-0.30889),(5595,395,0.000897,-0.309),(5595,405,0.0009,-0.30913),(5595,415,0.000903,-0.30926),(5595,425,0.000889,-0.30938),(5595,435,0.000873,-0.30951),(5595,445,0.000858,-0.30965),(5595,455,0.000843,-0.3098),(5595,465,0.00083,-0.30994),(5595,475,0.000818,-0.31009),(5595,485,0.000806,-0.31024),(5595,495,0.000794,-0.3104),(5595,505,0.000798,-0.31055),(5595,515,0.000802,-0.3107),(5595,525,0.000806,-0.3109),(5595,535,0.000811,-0.31109),(5595,545,0.000864,-0.31129),(5595,555,0.000917,-0.31148),(5595,565,0.000969,-0.3117),(5595,575,0.001024,-0.31191),(5595,585,0.00111,-0.31213),(5595,595,0.001195,-0.31234),(5595,605,0.001281,-0.31256),(5595,615,0.001364,-0.31278),(5595,625,0.001427,-0.31301),(5595,635,0.001489,-0.31323),(5595,645,0.001552,-0.31345),(5595,655,0.001606,-0.31367),(5595,665,0.001612,-0.3139),(5595,675,0.001618,-0.31412),(5595,685,0.001624,-0.31435),(5595,695,0.001622,-0.31458),(5595,705,0.001588,-0.31482),(5595,715,0.001554,-0.31505),(5595,725,0.00152,-0.3153),(5595,735,0.001485,-0.31554),(5595,745,0.001447,-0.31579),(5595,755,0.001408,-0.31604),(5595,765,0.00137,-0.31634),(5595,775,0.001368,-0.31663),(5595,785,0.001463,-0.31692),(5595,795,0.001558,-0.31722),(5595,805,0.001653,-0.31754),(5595,815,0.001753,-0.31786),(5595,825,0.001864,-0.31818),(5595,835,0.001974,-0.3185),(5595,845,0.002085,-0.31883),(5595,855,0.002194,-0.31916),(5595,865,0.002298,-0.31949),(5595,875,0.002402,-0.31982),(5595,885,0.002506,-0.32017),(5595,895,0.002597,-0.32052),(5595,905,0.002669,-0.32087),(5595,915,0.002741,-0.32123),(5595,925,0.002813,-0.32159),(5595,935,0.002891,-0.32195),(5595,945,0.002976,-0.32231),(5595,955,0.003061,-0.32269),(5595,965,0.003146,-0.32307),(5595,975,0.003272,-0.32345),(5595,985,0.003445,-0.32383),(5595,995,0.003617,-0.32421),(5595,1005,0.003789,-0.32459),(5595,1015,0.004028,-0.32498),(5595,1025,0.004332,-0.32536),(5595,1035,0.004636,-0.32575),(5595,1045,0.00494,-0.32614),(5595,1055,0.005322,-0.32653),(5595,1065,0.00577,-0.32692),(5595,1075,0.006218,-0.32734),(5595,1085,0.006666,-0.32777),(5595,1095,0.007081,-0.32821),(5595,1105,0.007474,-0.32864),(5595,1115,0.007867,-0.3291),(5595,1125,0.008259,-0.32959),(5595,1135,0.008187,-0.33008),(5595,1145,0.007839,-0.33057),(5595,1155,0.007491,-0.33107),(5595,1165,0.007143,-0.33157),(5595,1175,0.004482,-0.33208),(5595,1185,0.000673,-0.33259),(5595,1195,-0.003136,-0.33237),(5595,1205,-0.006946,-0.33183),(5595,1215,-0.017642,-0.33129),(5595,1225,-0.03118,-0.33076),(5595,1235,-0.044718,-0.32534),(5595,1245,-0.058257,-0.3181),(5595,1255,-0.0767,-0.31086),(5595,1265,-0.096801,-0.30361),(5595,1275,-0.1169,-0.3155),(5595,1285,-0.137,-0.33318),(5595,1295,-0.12836,-0.35086),(5595,1305,-0.11194,-0.36854),(5595,1315,-0.095526,-0.53685),(5595,1325,-0.07911,-0.7412),(5595,1335,-0.05271,-0.94556),(5595,1345,-0.024218,-1.1499),(5595,1355,0.004275,-1.0126),(5595,1365,0.032767,-0.81327),(5595,1375,0.058062,-0.61398),(5595,1385,0.082863,-0.41469),(5595,1395,0.10766,-0.37006),(5595,1405,0.13247,-0.3453),(5595,1415,0.12139,-0.32054),(5595,1425,0.10659,-0.29578),(5595,1435,0.091791,-0.30219),(5595,1445,0.076991,-0.31111),(5595,1455,0.06344,-0.32003),(5595,1465,0.04996,-0.32894),(5595,1475,0.036481,-0.33013),(5595,1485,0.023001,-0.33104),(5595,1495,0.017914,-0.33194),(5595,1505,0.012954,-0.33284),(5595,1515,0.007993,-0.33241),(5595,1525,0.003118,-0.33198),(5595,1535,0.001623,-0.33154),(5595,1545,0.000127,-0.33111),(5595,1555,-0.001369,-0.33066),(5595,1565,-0.002792,-0.33022),(5595,1575,-0.003165,-0.32977),(5595,1585,-0.003536,-0.32933),(5595,1595,-0.003908,-0.32894),(5595,1605,-0.004239,-0.32855),(5595,1615,-0.004216,-0.32815),(5595,1625,-0.004193,-0.32776),(5595,1635,-0.004169,-0.32736),(5595,1645,-0.004129,-0.32696),(5595,1655,-0.003985,-0.32657),(5595,1665,-0.003841,-0.32617),(5595,1675,-0.003697,-0.32577),(5595,1685,-0.003543,-0.32538),(5595,1695,-0.003342,-0.32498),(5595,1705,-0.003141,-0.32459),(5595,1715,-0.002939,-0.32421),(5595,1725,-0.002737,-0.32383),(5595,1735,-0.002531,-0.32345),(5595,1745,-0.002325,-0.32308),(5595,1755,-0.002119,-0.32271),(5595,1765,-0.001931,-0.32235),(5595,1775,-0.001791,-0.32199),(5595,1785,-0.001651,-0.32163),(5595,1795,-0.001512,-0.32128),(5595,1805,-0.001392,-0.32093),(5595,1815,-0.001317,-0.32057),(5595,1825,-0.001242,-0.32023),(5595,1835,-0.001167,-0.31991),(5595,1845,-0.001125,-0.31959),(5595,1855,-0.001146,-0.31927),(5595,1865,-0.001166,-0.31896),(5595,1875,-0.001187,-0.31864),(5595,1885,-0.001167,-0.31832),(5595,1895,-0.001081,-0.318),(5595,1905,-0.000995,-0.3177),(5595,1915,-0.000909,-0.31742),(5595,1925,-0.000839,-0.31715),(5595,1935,-0.000791,-0.31687),(5595,1945,-0.000743,-0.3166),(5595,1955,-0.000695,-0.31634),(5595,1965,-0.000654,-0.31608),(5595,1975,-0.000619,-0.31582),(5595,1985,-0.000585,-0.31554),(5595,1995,-0.00055,-0.31526),(5595,2005,-0.000535,-0.31497),(5595,2015,-0.00054,-0.31468),(5595,2025,-0.000545,-0.31441),(5595,2035,-0.00055,-0.31415),(5595,2045,-0.000554,-0.31389),(5595,2055,-0.000558,-0.31363),(5595,2065,-0.000562,-0.31339),(5595,2075,-0.000567,-0.31315),(5595,2085,-0.000556,-0.31291),(5595,2095,-0.000534,-0.31267),(5595,2105,-0.000512,-0.31244),(5595,2115,-0.000491,-0.31222),(5595,2125,-0.000463,-0.312),(5595,2135,-0.000431,-0.31178),(5595,2145,-0.000399,-0.31157),(5595,2155,-0.000368,-0.31137),(5595,2165,-0.000343,-0.31116),(5595,2175,-0.000323,-0.31095),(5595,2185,-0.000303,-0.31074),(5595,2195,-0.000282,-0.31053),(5595,2205,-0.000243,-0.31032),(5595,2215,-0.000195,-0.31011),(5595,2225,-0.000148,-0.30992),(5595,2235,-0.0001,-0.30974),(5595,2245,-8.5e-05,-0.30956),(5595,2255,-8.1e-05,-0.30938),(5595,2265,-7.7e-05,-0.30921),(5595,2275,-7.3e-05,-0.30903),(5595,2285,1e-06,-0.30886),(5595,2295,9.5e-05,-0.30868),(5595,2305,0.000189,-0.3085),(5595,2315,0.000282,-0.30832),(5595,2325,0.000306,-0.30813),(5595,2335,0.000315,-0.30795),(5595,2345,0.000323,-0.30778),(5595,2355,0.000331,-0.30762),(5595,2365,0.000368,-0.30745),(5595,2375,0.00041,-0.30729),(5595,2385,0.000451,-0.30715),(5595,2395,0.000493,-0.307),(5595,2405,0.000549,-0.30686),(5595,2415,0.000606,-0.30672),(5595,2425,0.000663,-0.30659),(5595,2435,0.00072,-0.30646),(5595,2445,0.000762,-0.30633),(5595,2455,0.000803,-0.3062),(5595,2465,0.000844,-0.30607),(5595,2475,0.000884,-0.30594),(5595,2485,0.000889,-0.3058),(5595,2495,0.000893,-0.30567),(5595,2505,0.000897,-0.30551),(5595,2515,0.000901,-0.30536),(5595,2525,0.000889,-0.30521),(5595,2535,0.000877,-0.30506),(5595,2545,0.000865,-0.30492),(5595,2555,0.000855,-0.30479),(5595,2565,0.000873,-0.30466),(5595,2575,0.000891,-0.30452),(5595,2585,0.000909,-0.30441),(5595,2595,0.000931,-0.3043),(5595,2605,0.000989,-0.3042),(5595,2615,0.001047,-0.30409),(5595,2625,0.001105,-0.30397),(5595,2635,0.001147,-0.30385),(5595,2645,0.001089,-0.30373),(5595,2655,0.00103,-0.30361),(5595,2665,0.000972,-0.30347),(5595,2675,0.000942,-0.30334),(5595,2685,0.001052,-0.3032),(5595,2695,0.001161,-0.30307),(5595,2705,0.001271,-0.30296),(5595,2715,0.00136,-0.30284),(5595,2725,0.001372,-0.30273),(5595,2735,0.001384,-0.30262),(5595,2745,0.001395,-0.30253),(5595,2755,0.001411,-0.30243),(5595,2765,0.00144,-0.30234),(5595,2775,0.001468,-0.30224),(5595,2785,0.001497,-0.30214),(5595,2795,0.001518,-0.30205),(5595,2805,0.001521,-0.30195),(5595,2815,0.001524,-0.30184),(5595,2825,0.001527,-0.30173),(5595,2835,0.001522,-0.30161),(5595,2845,0.001502,-0.3015),(5595,2855,0.001482,-0.30138),(5595,2865,0.001462,-0.30127),(5595,2875,0.00145,-0.30116),(5595,2885,0.001451,-0.30105),(5595,2895,0.001453,-0.30095),(5595,2905,0.001454,-0.30086),(5595,2915,0.001468,-0.30078),(5595,2925,0.001499,-0.30069),(5595,2935,0.00153,-0.30061),(5595,2945,0.001561,-0.30052),(5595,2955,0.001591,-0.30044),(5595,2965,0.00162,-0.30036),(5595,2975,0.001648,-0.30026),(5595,2985,0.001677,-0.30016),(5595,2995,0.001709,-0.30006),(5595,3005,0.001747,-0.29995),(5595,3015,0.001785,-0.29985),(5595,3025,0.001822,-0.29973),(5595,3035,0.001827,-0.29962),(5595,3045,0.001801,-0.29951),(5595,3055,0.001776,-0.29941),(5595,3065,0.00175,-0.29933),(5595,3075,0.001837,-0.29925),(5595,3085,0.00201,-0.29918),(5595,3095,0.002182,-0.2991),(5595,3105,0.002354,-0.29903),(5595,3115,0.00242,-0.29896),(5595,3125,0.002417,-0.29888),(5595,3135,0.002414,-0.29879),(5595,3145,0.002411,-0.29869),(5595,3155,0.002389,-0.29859),(5595,3165,0.002357,-0.29848),(5595,3175,0.002325,-0.29839),(5595,3185,0.002294,-0.29831),(5595,3195,0.002293,-0.29822),(5595,3205,0.002306,-0.29814),(5595,3215,0.002319,-0.29806),(5595,3225,0.002332,-0.29798),(5595,3235,0.002362,-0.2979),(5595,3245,0.002397,-0.29783),(5595,3255,0.002433,-0.29775),(5595,3265,0.002468,-0.29766),(5595,3275,0.0025,-0.29758),(5595,3285,0.002531,-0.2975),(5595,3295,0.002562,-0.29743),(5595,3305,0.002593,-0.29736),(5595,3315,0.002618,-0.29729),(5595,3325,0.002642,-0.29721),(5595,3335,0.002666,-0.29712),(5595,3345,0.00269,-0.29701),(5595,3355,0.002727,-0.2969),(5595,3365,0.002768,-0.2968),(5595,3375,0.002808,-0.29673),(5595,3385,0.002848,-0.29667),(5595,3395,0.002822,-0.29661),(5595,3405,0.002787,-0.29655),(5595,3415,0.002753,-0.29649),(5595,3425,0.002718,-0.29643),(5595,3435,0.00282,-0.29637),(5595,3445,0.002933,-0.29631),(5595,3455,0.003046,-0.29621),(5595,3465,0.00316,-0.2961),(5595,3475,0.003148,-0.29599),(5595,3485,0.003132,-0.29588),(5595,3495,0.003115,-0.29584),(5595,3505,0.003099,-0.29581),(5595,3515,0.003176,-0.29578),(5595,3525,0.003252,-0.29575),(5595,3535,0.003328,-0.29564),(5595,3545,0.003402,-0.29553),(5595,3555,0.003442,-0.29543),(5595,3565,0.003481,-0.29532),(5595,3575,0.003521,-0.29524),(5595,3585,0.003557,-0.29516),(5595,3595,0.003562,-0.29508),(5595,3605,0.003566,-0.29501),(5595,3615,0.003571,-0.29499),(5595,3625,0.003573,-0.29496),(5595,3635,0.003558,-0.29494),(5595,3645,0.003543,-0.2949),(5595,3655,0.003528,-0.29478),(5595,3665,0.003504,-0.29466),(5595,3675,0.003429,-0.29454),(5595,3685,0.003355,-0.29444),(5595,3695,0.003281,-0.29441),(5595,3705,0.0032,-0.29439),(5595,3715,0.003096,-0.29436),(5595,3725,0.002991,-0.29432),(5595,3735,0.002886,-0.29425),(5595,3745,0.00274,-0.29418),(5595,3755,0.002465,-0.29411),(5595,3765,0.002191,-0.29404),(5595,3775,0.001917,-0.29399),(5595,3785,0.001517,-0.29393),(5595,3795,0.000801,-0.29388),(5595,3805,8.4e-05,-0.29382),(5595,3815,-0.000632,-0.29376),(5595,3825,-0.001563,-0.29371),(5595,3835,-0.002948,-0.29365),(5595,3845,-0.004332,-0.29357),(5595,3855,-0.005717,-0.29346),(5595,3865,-0.007846,-0.29335),(5595,3875,-0.01129,-0.29323),(5595,3885,-0.014734,-0.29294),(5595,3895,-0.018178,-0.29235),(5595,3905,-0.023295,-0.29177),(5595,3915,-0.030909,-0.29118),(5595,3925,-0.038524,-0.28937),(5595,3935,-0.046139,-0.28586),(5595,3945,-0.05517,-0.28236),(5595,3955,-0.066001,-0.27885),(5595,3965,-0.076831,-0.2835),(5595,3975,-0.087662,-0.29769),(5595,3985,-0.08871,-0.31189),(5595,3995,-0.07917,-0.32608),(5595,4005,-0.06963,-0.44232),(5595,4015,-0.06009,-0.6606),(5595,4025,0.086643,-0.87888),(5595,4035,0.2468,-1.0269),(5595,4045,0.40695,-1.0269),(5595,4055,0.51197,-1.0269),(5595,4065,0.59688,-1.0269),(5595,4075,0.68179,-1.0268),(5595,4085,0.71966,-1.0267),(5595,4095,0.71972,-1.0265),(5595,4105,0.71978,-1.0266),(5595,4115,0.71991,-1.0267),(5595,4125,0.72015,-1.0268),(5595,4135,0.72038,-1.0269),(5595,4145,0.72077,-1.0271),(5595,4155,0.7218,-1.0273),(5595,4165,0.72282,-1.0275),(5595,4175,0.72384,-1.0275),(5595,4185,0.72517,-1.0276),(5595,4195,0.72651,-1.0276),(5595,4205,0.72784,-1.0276),(5595,4215,0.72962,-1.0277),(5595,4225,0.73149,-1.0276),(5595,4235,0.73336,-1.0274),(5595,4245,0.73556,-1.0272),(5595,4255,0.73792,-1.027),(5595,4265,0.74028,-1.0266),(5595,4275,0.74288,-1.0262),(5595,4285,0.74574,-1.0257),(5595,4295,0.7486,-1.0251),(5595,4305,0.7516,-1.0244),(5595,4315,0.75489,-1.0236),(5595,4325,0.75819,-1.0227),(5595,4335,0.76153,-1.0216),(5595,4345,0.76517,-1.0206),(5595,4355,0.76882,-1.0193),(5595,4365,0.77247,-1.018),(5595,4375,0.77637,-1.0166),(5595,4385,0.78029,-1.0152),(5595,4395,0.7842,-1.0136),(5595,4405,0.78829,-1.012),(5595,4415,0.79244,-1.0103),(5595,4425,0.79658,-1.0085),(5595,4435,0.80075,-1.0066),(5595,4445,0.80494,-1.0048),(5595,4455,0.80912,-1.0028),(5595,4465,0.81347,-1.0008),(5595,4475,0.81803,-0.99875),(5595,4485,0.8226,-0.99651),(5595,4495,0.82715,-0.99423),(5595,4505,0.8317,-0.99194),(5595,4515,0.83625,-0.98956),(5595,4525,0.8408,-0.98712),(5595,4535,0.84546,-0.98468),(5595,4545,0.85012,-0.98216),(5595,4555,0.85477,-0.97956),(5595,4565,0.85948,-0.97695),(5595,4575,0.8642,-0.97429),(5595,4585,0.86891,-0.97151),(5595,4595,0.87365,-0.96872),(5595,4605,0.87839,-0.96592),(5595,4615,0.88313,-0.96297),(5595,4625,0.88788,-0.96003),(5595,4635,0.89262,-0.95708),(5595,4645,0.89736,-0.95398),(5595,4655,0.9021,-0.95087),(5595,4665,0.90684,-0.94776),(5595,4675,0.91157,-0.94457),(5595,4685,0.91631,-0.94134),(5595,4695,0.92103,-0.93812),(5595,4705,0.92575,-0.93485),(5595,4715,0.93048,-0.93153),(5595,4725,0.93512,-0.92822),(5595,4735,0.93975,-0.92487),(5595,4745,0.94439,-0.92145),(5595,4755,0.94912,-0.91803),(5595,4765,0.95388,-0.91456),(5595,4775,0.95863,-0.91092),(5595,4785,0.96332,-0.90728),(5595,4795,0.96797,-0.90364),(5595,4805,0.97263,-0.89991),(5595,4815,0.97727,-0.89618),(5595,4825,0.98189,-0.89245),(5595,4835,0.98651,-0.88861),(5595,4845,0.99112,-0.88475),(5595,4855,0.9957,-0.88089),(5595,4865,1.0003,-0.87692),(5595,4875,1.0048,-0.87291),(5595,4885,1.0093,-0.86889),(5595,4895,1.0139,-0.86483),(5595,4905,1.0184,-0.86072),(5595,4915,1.0228,-0.85662),(5595,4925,1.0273,-0.85248),(5595,4935,1.0318,-0.8483),(5595,4945,1.0362,-0.84411),(5595,4955,1.0406,-0.83992),(5595,4965,1.0451,-0.83567),(5595,4975,1.0495,-0.83142),(5595,4985,1.0538,-0.82717),(5595,4995,1.0582,-0.82285),(5595,5005,1.0625,-0.81854),(5595,5015,1.0668,-0.81422),(5595,5025,1.0711,-0.80986),(5595,5035,1.0753,-0.8055),(5595,5045,1.0796,-0.80113),(5595,5055,1.0838,-0.79672),(5595,5065,1.088,-0.7923),(5595,5075,1.0922,-0.78787),(5595,5085,1.0963,-0.78343),(5595,5095,1.1004,-0.77898),(5595,5105,1.1045,-0.77453),(5595,5115,1.1086,-0.77008),(5595,5125,1.1127,-0.76563),(5595,5135,1.1168,-0.76119),(5595,5145,1.1208,-0.75674),(5595,5155,1.1249,-0.75226),(5595,5165,1.1289,-0.74779),(5595,5175,1.1329,-0.74331),(5595,5185,1.1369,-0.73881),(5595,5195,1.1408,-0.7343),(5595,5205,1.1448,-0.72979),(5595,5215,1.1487,-0.7253),(5595,5225,1.1526,-0.7208),(5595,5235,1.1565,-0.71631),(5595,5245,1.1604,-0.7118),(5595,5255,1.1642,-0.7073),(5595,5265,1.1681,-0.70279),(5595,5275,1.1719,-0.69827),(5595,5285,1.1757,-0.69373),(5595,5295,1.1795,-0.68919),(5595,5305,1.1833,-0.68465),(5595,5315,1.187,-0.68007),(5595,5325,1.1908,-0.67549),(5595,5335,1.1945,-0.67092),(5595,5345,1.1982,-0.66633),(5595,5355,1.2019,-0.66174),(5595,5365,1.2056,-0.65715),(5595,5375,1.2093,-0.65257),(5595,5385,1.2129,-0.64799),(5595,5395,1.2166,-0.64341),(5595,5405,1.2202,-0.63882),(5595,5415,1.2238,-0.63422),(5595,5425,1.2274,-0.62963),(5595,5435,1.231,-0.62502),(5595,5445,1.2346,-0.62039),(5595,5455,1.2381,-0.61576),(5595,5465,1.2417,-0.61112),(5595,5475,1.2452,-0.60644),(5595,5485,1.2487,-0.60177),(5595,5495,1.2522,-0.59709),(5595,5505,1.2556,-0.59236),(5595,5515,1.2591,-0.58763),(5595,5525,1.2625,-0.5829),(5595,5535,1.266,-0.57815),(5595,5545,1.2694,-0.5734),(5595,5555,1.2728,-0.56865),(5595,5565,1.2762,-0.56388),(5595,5575,1.2796,-0.55911),(5595,5585,1.2829,-0.55434),(5595,5595,1.2863,-0.54954),(5595,5605,1.2897,-0.54472),(5595,5615,1.293,-0.5399),(5595,5625,1.2963,-0.53508),(5595,5635,1.2996,-0.53024),(5595,5645,1.3028,-0.52541),(5595,5655,1.3061,-0.52058),(5595,5665,1.3093,-0.51576),(5595,5675,1.3126,-0.51094),(5595,5685,1.3159,-0.50611),(5595,5695,1.3191,-0.50113),(5595,5705,1.3223,-0.49614),(5595,5715,1.3254,-0.49115),(5595,5725,1.3284,-0.48618),(5595,5735,1.3315,-0.48121),(5595,5745,1.3346,-0.47624),(5595,5755,1.3377,-0.47125),(5595,5765,1.3408,-0.46625),(5595,5775,1.3438,-0.46125),(5595,5785,1.3468,-0.45621),(5595,5795,1.3498,-0.45115),(5595,5805,1.3528,-0.44608),(5595,5815,1.3557,-0.44099),(5595,5825,1.3587,-0.43585),(5595,5835,1.3616,-0.43071),(5595,5845,1.3644,-0.42557),(5595,5855,1.3673,-0.42039),(5595,5865,1.3701,-0.41521),(5595,5875,1.3729,-0.41004),(5595,5885,1.3757,-0.40486),(5595,5895,1.3785,-0.39968),(5595,5905,1.3812,-0.3945),(5595,5915,1.3839,-0.38925),(5595,5925,1.3866,-0.38399),(5595,5935,1.3893,-0.37873),(5595,5945,1.3919,-0.37342),(5595,5955,1.3945,-0.36808),(5595,5965,1.3971,-0.36273),(5595,5975,1.3998,-0.35734),(5595,5985,1.4025,-0.35189),(5595,5995,1.4049,-0.34643),(5595,6005,1.4072,-0.341),(5595,6015,1.4096,-0.33564),(5595,6025,1.412,-0.33027),(5595,6035,1.4144,-0.32489),(5595,6045,1.4168,-0.31944),(5595,6055,1.4191,-0.31399),(5595,6065,1.4214,-0.30853),(5595,6075,1.4237,-0.30301),(5595,6085,1.4259,-0.29748),(5595,6095,1.4281,-0.29195),(5595,6105,1.4302,-0.28636),(5595,6115,1.4323,-0.28074),(5595,6125,1.4344,-0.27513),(5595,6135,1.4364,-0.26947),(5595,6145,1.4384,-0.26379),(5595,6155,1.4404,-0.25811),(5595,6165,1.4423,-0.25241),(5595,6175,1.4442,-0.24669),(5595,6185,1.446,-0.24096),(5595,6195,1.4479,-0.23522),(5595,6205,1.4497,-0.22946),(5595,6215,1.4514,-0.22369),(5595,6225,1.4531,-0.21793),(5595,6235,1.4548,-0.21218),(5595,6245,1.4564,-0.20644),(5595,6255,1.458,-0.2007),(5595,6265,1.4595,-0.19492),(5595,6275,1.4611,-0.18915),(5595,6285,1.4626,-0.18337),(5595,6295,1.4641,-0.17748),(5595,6305,1.4656,-0.17152),(5595,6315,1.4669,-0.16557),(5595,6325,1.4681,-0.15966),(5595,6335,1.4694,-0.15378),(5595,6345,1.4705,-0.14791),(5595,6355,1.4717,-0.14201),(5595,6365,1.4729,-0.13604),(5595,6375,1.4739,-0.13008),(5595,6385,1.4749,-0.1241),(5595,6395,1.4759,-0.11808),(5595,6405,1.4768,-0.11205),(5595,6415,1.4777,-0.10603),(5595,6425,1.4786,-0.10005),(5595,6435,1.4794,-0.094076),(5595,6445,1.4801,-0.0881),(5595,6455,1.4808,-0.082085),(5595,6465,1.4815,-0.076058),(5595,6475,1.4821,-0.070031),(5595,6485,1.4826,-0.064016),(5595,6495,1.4832,-0.058008),(5595,6505,1.4836,-0.052001),(5595,6515,1.484,-0.045967),(5595,6525,1.4844,-0.039898),(5595,6535,1.4846,-0.033828),(5595,6545,1.4848,-0.027763),(5595,6555,1.4851,-0.021711),(5595,6565,1.4852,-0.015659),(5595,6575,1.4853,-0.009601),(5595,6585,1.4854,-0.003462),(5595,6595,1.2635,0.002676),(5595,6605,0.79629,0.008814),(5595,6615,0.3291,0.009471),(5595,6625,0.000685,0.009423),(5595,6635,0.000712,0.009376),(5595,6645,0.000738,0.00937),(5595,6655,0.000765,0.009381),(5595,6665,0.000791,0.009393),(5595,6675,0.000817,0.009404),(5595,6685,0.000842,0.009414),(5595,6695,0.000867,0.009425),(5595,6705,0.000891,0.009436),(5595,6715,0.000916,0.009446),(5595,6725,0.00094,0.009456),(5595,6735,0.000963,0.009466),(5595,6745,0.000987,0.009476),(5595,6755,0.00101,0.009485),(5595,6765,0.001033,0.009495),(5595,6775,0.001055,0.009503),(5595,6785,0.001077,0.009512),(5595,6795,0.001099,0.009521),(5595,6805,0.001121,0.009529),(5595,6815,0.001142,0.009537),(5595,6825,0.001163,0.009545),(5595,6835,0.001184,0.009552),(5595,6845,0.001205,0.009559),(5595,6855,0.001225,0.009567),(5595,6865,0.001245,0.009573),(5595,6875,0.001265,0.009579),(5595,6885,0.001285,0.009586),(5595,6895,0.001304,0.009592),(5595,6905,0.001324,0.009597),(5595,6915,0.001342,0.009602),(5595,6925,0.001361,0.009608),(5595,6935,0.00138,0.009612),(5595,6945,0.001398,0.009617),(5595,6955,0.001417,0.009621),(5595,6965,0.001435,0.009625),(5595,6975,0.001453,0.009629),(5595,6985,0.00147,0.009633),(5605,5,-8e-06,-0.35754),(5605,15,-2.5e-05,-0.35758),(5605,25,-1.9e-05,-0.35762),(5605,35,7e-06,-0.35767),(5605,45,3.4e-05,-0.3577),(5605,55,6e-05,-0.35772),(5605,65,7.6e-05,-0.35773),(5605,75,8.3e-05,-0.35775),(5605,85,9e-05,-0.35778),(5605,95,9.7e-05,-0.35781),(5605,105,0.000108,-0.35784),(5605,115,0.00012,-0.35787),(5605,125,0.000132,-0.35791),(5605,135,0.000144,-0.35796),(5605,145,0.000163,-0.358),(5605,155,0.000185,-0.35805),(5605,165,0.000207,-0.3581),(5605,175,0.000229,-0.35815),(5605,185,0.000253,-0.35821),(5605,195,0.000278,-0.35826),(5605,205,0.000302,-0.35834),(5605,215,0.000327,-0.35842),(5605,225,0.000364,-0.35851),(5605,235,0.000406,-0.3586),(5605,245,0.000447,-0.3587),(5605,255,0.000489,-0.3588),(5605,265,0.000525,-0.35891),(5605,275,0.000558,-0.35901),(5605,285,0.000592,-0.35914),(5605,295,0.000625,-0.35927),(5605,305,0.000665,-0.3594),(5605,315,0.000708,-0.35953),(5605,325,0.00075,-0.35967),(5605,335,0.000792,-0.3598),(5605,345,0.000813,-0.35993),(5605,355,0.000829,-0.36006),(5605,365,0.000846,-0.36019),(5605,375,0.000863,-0.36032),(5605,385,0.000871,-0.36045),(5605,395,0.000878,-0.36058),(5605,405,0.000884,-0.36072),(5605,415,0.000891,-0.36086),(5605,425,0.000879,-0.361),(5605,435,0.000866,-0.36114),(5605,445,0.000853,-0.3613),(5605,455,0.00084,-0.36146),(5605,465,0.000834,-0.36163),(5605,475,0.000828,-0.36179),(5605,485,0.000822,-0.36197),(5605,495,0.000816,-0.36215),(5605,505,0.000808,-0.36233),(5605,515,0.0008,-0.36251),(5605,525,0.000793,-0.36273),(5605,535,0.000786,-0.36296),(5605,545,0.000825,-0.36318),(5605,555,0.000863,-0.36341),(5605,565,0.000902,-0.36366),(5605,575,0.000943,-0.36391),(5605,585,0.001025,-0.36416),(5605,595,0.001106,-0.36441),(5605,605,0.001187,-0.36468),(5605,615,0.001268,-0.36494),(5605,625,0.001343,-0.36521),(5605,635,0.001417,-0.36547),(5605,645,0.001492,-0.36574),(5605,655,0.001559,-0.36601),(5605,665,0.001587,-0.36627),(5605,675,0.001615,-0.36654),(5605,685,0.001643,-0.36682),(5605,695,0.001663,-0.36709),(5605,705,0.001646,-0.36737),(5605,715,0.001628,-0.36764),(5605,725,0.001611,-0.36792),(5605,735,0.001587,-0.36819),(5605,745,0.00154,-0.36847),(5605,755,0.001492,-0.36876),(5605,765,0.001445,-0.36909),(5605,775,0.001431,-0.36943),(5605,785,0.001509,-0.36976),(5605,795,0.001586,-0.37011),(5605,805,0.001663,-0.37047),(5605,815,0.001749,-0.37083),(5605,825,0.001855,-0.37119),(5605,835,0.001962,-0.37156),(5605,845,0.002068,-0.37194),(5605,855,0.002173,-0.37232),(5605,865,0.002275,-0.37271),(5605,875,0.002377,-0.3731),(5605,885,0.002479,-0.37351),(5605,895,0.002571,-0.37392),(5605,905,0.002646,-0.37433),(5605,915,0.002721,-0.37474),(5605,925,0.002796,-0.37516),(5605,935,0.002877,-0.37558),(5605,945,0.002965,-0.37601),(5605,955,0.003052,-0.37644),(5605,965,0.00314,-0.37687),(5605,975,0.003273,-0.37731),(5605,985,0.003456,-0.37775),(5605,995,0.003639,-0.37819),(5605,1005,0.003822,-0.37862),(5605,1015,0.004072,-0.37906),(5605,1025,0.004387,-0.37949),(5605,1035,0.004702,-0.37992),(5605,1045,0.005016,-0.38034),(5605,1055,0.005399,-0.38075),(5605,1065,0.005837,-0.38117),(5605,1075,0.006276,-0.38159),(5605,1085,0.006715,-0.38201),(5605,1095,0.007123,-0.38244),(5605,1105,0.00751,-0.38286),(5605,1115,0.007898,-0.38331),(5605,1125,0.008285,-0.38378),(5605,1135,0.008213,-0.38424),(5605,1145,0.007869,-0.38471),(5605,1155,0.007526,-0.38518),(5605,1165,0.007182,-0.38564),(5605,1175,0.004356,-0.3861),(5605,1185,0.000298,-0.38657),(5605,1195,-0.003759,-0.3865),(5605,1205,-0.007817,-0.3862),(5605,1215,-0.019789,-0.3859),(5605,1225,-0.035027,-0.3856),(5605,1235,-0.050265,-0.38189),(5605,1245,-0.065502,-0.3769),(5605,1255,-0.078812,-0.37191),(5605,1265,-0.091471,-0.36692),(5605,1275,-0.10413,-0.38119),(5605,1285,-0.11679,-0.40132),(5605,1295,-0.063994,-0.42144),(5605,1305,0.006504,-0.44156),(5605,1315,0.077002,-0.59536),(5605,1325,0.1475,-0.78115),(5605,1335,0.085993,-0.96694),(5605,1345,-0.003179,-1.1527),(5605,1355,-0.092352,-1.0281),(5605,1365,-0.18152,-0.84716),(5605,1375,-0.12816,-0.66623),(5605,1385,-0.052801,-0.48531),(5605,1395,0.022556,-0.44163),(5605,1405,0.097914,-0.41558),(5605,1415,0.10056,-0.38953),(5605,1425,0.095661,-0.36348),(5605,1435,0.09076,-0.36743),(5605,1445,0.085859,-0.37377),(5605,1455,0.070872,-0.38012),(5605,1465,0.055303,-0.38647),(5605,1475,0.039735,-0.38706),(5605,1485,0.024166,-0.38744),(5605,1495,0.018765,-0.38783),(5605,1505,0.013518,-0.38821),(5605,1515,0.008271,-0.38764),(5605,1525,0.003116,-0.38708),(5605,1535,0.001626,-0.38651),(5605,1545,0.000135,-0.38594),(5605,1555,-0.001355,-0.38541),(5605,1565,-0.002775,-0.38488),(5605,1575,-0.003164,-0.38435),(5605,1585,-0.003554,-0.38382),(5605,1595,-0.003943,-0.38338),(5605,1605,-0.00429,-0.38294),(5605,1615,-0.004275,-0.3825),(5605,1625,-0.00426,-0.38206),(5605,1635,-0.004244,-0.38163),(5605,1645,-0.004211,-0.3812),(5605,1655,-0.004068,-0.38077),(5605,1665,-0.003925,-0.38033),(5605,1675,-0.003783,-0.3799),(5605,1685,-0.00363,-0.37946),(5605,1695,-0.003432,-0.37903),(5605,1705,-0.003234,-0.37859),(5605,1715,-0.003036,-0.37817),(5605,1725,-0.002835,-0.37775),(5605,1735,-0.002622,-0.37732),(5605,1745,-0.002409,-0.3769),(5605,1755,-0.002196,-0.3765),(5605,1765,-0.001998,-0.3761),(5605,1775,-0.001843,-0.37569),(5605,1785,-0.001687,-0.37529),(5605,1795,-0.001532,-0.37488),(5605,1805,-0.001401,-0.37448),(5605,1815,-0.001327,-0.37407),(5605,1825,-0.001253,-0.37368),(5605,1835,-0.001179,-0.37329),(5605,1845,-0.001135,-0.3729),(5605,1855,-0.00115,-0.37251),(5605,1865,-0.001164,-0.37213),(5605,1875,-0.001179,-0.37177),(5605,1885,-0.001163,-0.3714),(5605,1895,-0.001097,-0.37104),(5605,1905,-0.001031,-0.37068),(5605,1915,-0.000965,-0.37035),(5605,1925,-0.000909,-0.37001),(5605,1935,-0.000866,-0.36967),(5605,1945,-0.000822,-0.36935),(5605,1955,-0.000779,-0.36905),(5605,1965,-0.000731,-0.36875),(5605,1975,-0.000677,-0.36845),(5605,1985,-0.000622,-0.36814),(5605,1995,-0.000568,-0.36781),(5605,2005,-0.000539,-0.36749),(5605,2015,-0.000536,-0.36716),(5605,2025,-0.000532,-0.36685),(5605,2035,-0.000529,-0.36655),(5605,2045,-0.000527,-0.36625),(5605,2055,-0.000528,-0.36595),(5605,2065,-0.000529,-0.36566),(5605,2075,-0.00053,-0.36538),(5605,2085,-0.000518,-0.3651),(5605,2095,-0.000497,-0.36481),(5605,2105,-0.000475,-0.36455),(5605,2115,-0.000454,-0.36429),(5605,2125,-0.000424,-0.36404),(5605,2135,-0.000388,-0.36378),(5605,2145,-0.000352,-0.36354),(5605,2155,-0.000317,-0.3633),(5605,2165,-0.000286,-0.36306),(5605,2175,-0.000257,-0.36283),(5605,2185,-0.000229,-0.36258),(5605,2195,-0.000201,-0.36232),(5605,2205,-0.000169,-0.36207),(5605,2215,-0.000135,-0.36181),(5605,2225,-0.000101,-0.36158),(5605,2235,-6.8e-05,-0.36135),(5605,2245,-5.3e-05,-0.36113),(5605,2255,-4.4e-05,-0.36091),(5605,2265,-3.6e-05,-0.36072),(5605,2275,-2.8e-05,-0.36055),(5605,2285,5.5e-05,-0.36038),(5605,2295,0.00016,-0.3602),(5605,2305,0.000265,-0.36),(5605,2315,0.00037,-0.35978),(5605,2325,0.000398,-0.35956),(5605,2335,0.000409,-0.35935),(5605,2345,0.000419,-0.35914),(5605,2355,0.00043,-0.35894),(5605,2365,0.000455,-0.35874),(5605,2375,0.000482,-0.35853),(5605,2385,0.000509,-0.35835),(5605,2395,0.000536,-0.35818),(5605,2405,0.000574,-0.358),(5605,2415,0.000613,-0.35782),(5605,2425,0.000652,-0.35767),(5605,2435,0.000691,-0.35752),(5605,2445,0.000728,-0.35737),(5605,2455,0.000765,-0.35721),(5605,2465,0.000802,-0.35706),(5605,2475,0.000839,-0.35691),(5605,2485,0.000857,-0.35676),(5605,2495,0.000875,-0.35661),(5605,2505,0.000893,-0.35644),(5605,2515,0.00091,-0.35627),(5605,2525,0.000902,-0.3561),(5605,2535,0.000894,-0.35593),(5605,2545,0.000885,-0.35578),(5605,2555,0.000878,-0.35562),(5605,2565,0.00089,-0.35547),(5605,2575,0.000902,-0.35531),(5605,2585,0.000914,-0.35519),(5605,2595,0.00093,-0.35506),(5605,2605,0.00099,-0.35493),(5605,2615,0.001049,-0.3548),(5605,2625,0.001108,-0.35466),(5605,2635,0.001155,-0.35452),(5605,2645,0.001115,-0.35437),(5605,2655,0.001076,-0.35423),(5605,2665,0.001036,-0.3541),(5605,2675,0.001021,-0.35398),(5605,2685,0.001119,-0.35385),(5605,2695,0.001218,-0.35372),(5605,2705,0.001316,-0.35356),(5605,2715,0.001395,-0.35341),(5605,2725,0.0014,-0.35326),(5605,2735,0.001405,-0.35311),(5605,2745,0.00141,-0.35299),(5605,2755,0.001421,-0.35287),(5605,2765,0.00145,-0.35275),(5605,2775,0.001478,-0.35264),(5605,2785,0.001507,-0.35253),(5605,2795,0.001532,-0.35242),(5605,2805,0.001548,-0.35231),(5605,2815,0.001565,-0.35219),(5605,2825,0.001582,-0.35206),(5605,2835,0.001588,-0.35193),(5605,2845,0.001571,-0.35179),(5605,2855,0.001554,-0.35166),(5605,2865,0.001538,-0.35152),(5605,2875,0.001523,-0.35138),(5605,2885,0.00151,-0.35125),(5605,2895,0.001498,-0.35112),(5605,2905,0.001486,-0.35102),(5605,2915,0.001489,-0.35091),(5605,2925,0.001513,-0.35081),(5605,2935,0.001537,-0.35071),(5605,2945,0.001562,-0.35062),(5605,2955,0.001594,-0.35054),(5605,2965,0.001637,-0.35045),(5605,2975,0.00168,-0.35036),(5605,2985,0.001723,-0.35025),(5605,2995,0.001765,-0.35014),(5605,3005,0.001807,-0.35003),(5605,3015,0.001849,-0.34989),(5605,3025,0.00189,-0.34973),(5605,3035,0.001888,-0.34957),(5605,3045,0.001847,-0.34941),(5605,3055,0.001805,-0.3493),(5605,3065,0.001764,-0.34922),(5605,3075,0.001838,-0.34915),(5605,3085,0.001998,-0.34907),(5605,3095,0.002159,-0.34899),(5605,3105,0.002319,-0.34891),(5605,3115,0.002396,-0.34883),(5605,3125,0.002419,-0.34875),(5605,3135,0.002442,-0.34865),(5605,3145,0.002465,-0.34854),(5605,3155,0.002454,-0.34842),(5605,3165,0.002423,-0.34831),(5605,3175,0.002392,-0.3482),(5605,3185,0.002362,-0.34809),(5605,3195,0.00236,-0.34797),(5605,3205,0.00237,-0.34786),(5605,3215,0.002381,-0.34776),(5605,3225,0.002392,-0.34766),(5605,3235,0.00242,-0.34757),(5605,3245,0.002455,-0.34747),(5605,3255,0.00249,-0.34738),(5605,3265,0.002525,-0.34728),(5605,3275,0.002554,-0.34719),(5605,3285,0.00258,-0.34709),(5605,3295,0.002606,-0.34701),(5605,3305,0.002633,-0.34693),(5605,3315,0.002671,-0.34685),(5605,3325,0.002711,-0.34677),(5605,3335,0.002751,-0.34666),(5605,3345,0.002792,-0.34653),(5605,3355,0.002812,-0.34641),(5605,3365,0.002829,-0.34628),(5605,3375,0.002845,-0.34618),(5605,3385,0.002862,-0.34609),(5605,3395,0.002835,-0.34599),(5605,3405,0.002803,-0.3459),(5605,3415,0.002771,-0.34587),(5605,3425,0.002739,-0.34585),(5605,3435,0.002861,-0.34584),(5605,3445,0.002997,-0.34582),(5605,3455,0.003132,-0.3457),(5605,3465,0.003267,-0.34556),(5605,3475,0.003232,-0.34543),(5605,3485,0.00319,-0.3453),(5605,3495,0.003148,-0.34524),(5605,3505,0.003107,-0.34517),(5605,3515,0.003208,-0.34511),(5605,3525,0.003309,-0.34504),(5605,3535,0.00341,-0.34493),(5605,3545,0.003509,-0.34482),(5605,3555,0.003558,-0.3447),(5605,3565,0.003608,-0.34459),(5605,3575,0.003657,-0.3445),(5605,3585,0.003701,-0.34441),(5605,3595,0.003684,-0.34431),(5605,3605,0.003666,-0.34423),(5605,3615,0.003648,-0.34419),(5605,3625,0.003635,-0.34416),(5605,3635,0.003651,-0.34413),(5605,3645,0.003667,-0.34408),(5605,3655,0.003683,-0.34395),(5605,3665,0.003678,-0.34382),(5605,3675,0.003565,-0.34368),(5605,3685,0.003453,-0.34357),(5605,3695,0.00334,-0.34353),(5605,3705,0.003229,-0.3435),(5605,3715,0.003124,-0.34347),(5605,3725,0.003019,-0.34343),(5605,3735,0.002914,-0.34338),(5605,3745,0.002763,-0.34333),(5605,3755,0.002467,-0.34329),(5605,3765,0.002171,-0.34324),(5605,3775,0.001876,-0.34321),(5605,3785,0.001459,-0.34318),(5605,3795,0.000733,-0.34314),(5605,3805,8e-06,-0.34314),(5605,3815,-0.000717,-0.3432),(5605,3825,-0.001655,-0.34326),(5605,3835,-0.003038,-0.34333),(5605,3845,-0.004422,-0.34339),(5605,3855,-0.005805,-0.34347),(5605,3865,-0.007978,-0.34355),(5605,3875,-0.011544,-0.34363),(5605,3885,-0.015111,-0.34364),(5605,3895,-0.018678,-0.34353),(5605,3905,-0.024188,-0.34342),(5605,3915,-0.032602,-0.34331),(5605,3925,-0.041015,-0.34243),(5605,3935,-0.049429,-0.34048),(5605,3945,-0.056574,-0.33853),(5605,3955,-0.062108,-0.33658),(5605,3965,-0.067642,-0.34272),(5605,3975,-0.073175,-0.35834),(5605,3985,-0.039733,-0.37396),(5605,3995,0.0359,-0.38958),(5605,4005,0.11153,-0.49641),(5605,4015,0.18717,-0.69446),(5605,4025,0.26696,-0.89252),(5605,4035,0.34717,-1.0268),(5605,4045,0.42737,-1.0268),(5605,4055,0.51088,-1.0267),(5605,4065,0.59561,-1.0267),(5605,4075,0.68033,-1.0265),(5605,4085,0.71813,-1.0263),(5605,4095,0.71821,-1.0261),(5605,4105,0.71829,-1.0261),(5605,4115,0.71846,-1.0261),(5605,4125,0.71877,-1.0261),(5605,4135,0.71908,-1.0262),(5605,4145,0.71952,-1.0264),(5605,4155,0.72048,-1.0265),(5605,4165,0.72144,-1.0266),(5605,4175,0.7224,-1.0266),(5605,4185,0.72373,-1.0266),(5605,4195,0.72505,-1.0265),(5605,4205,0.72637,-1.0265),(5605,4215,0.72811,-1.0265),(5605,4225,0.72993,-1.0264),(5605,4235,0.73174,-1.0262),(5605,4245,0.73387,-1.0259),(5605,4255,0.73615,-1.0257),(5605,4265,0.73844,-1.0253),(5605,4275,0.74096,-1.0248),(5605,4285,0.74373,-1.0244),(5605,4295,0.7465,-1.0238),(5605,4305,0.7494,-1.0231),(5605,4315,0.7526,-1.0224),(5605,4325,0.75579,-1.0214),(5605,4335,0.75904,-1.0204),(5605,4345,0.76259,-1.0194),(5605,4355,0.76615,-1.0182),(5605,4365,0.7697,-1.0169),(5605,4375,0.77351,-1.0155),(5605,4385,0.77734,-1.0141),(5605,4395,0.78117,-1.0126),(5605,4405,0.78517,-1.011),(5605,4415,0.78922,-1.0094),(5605,4425,0.79328,-1.0075),(5605,4435,0.79739,-1.0057),(5605,4445,0.80154,-1.0038),(5605,4455,0.80569,-1.0018),(5605,4465,0.80996,-0.99985),(5605,4475,0.81441,-0.99787),(5605,4485,0.81886,-0.99564),(5605,4495,0.82332,-0.99336),(5605,4505,0.82781,-0.99107),(5605,4515,0.8323,-0.9887),(5605,4525,0.8368,-0.98627),(5605,4535,0.84139,-0.98384),(5605,4545,0.84598,-0.98133),(5605,4555,0.85058,-0.97874),(5605,4565,0.85522,-0.97615),(5605,4575,0.85988,-0.97351),(5605,4585,0.86454,-0.97074),(5605,4595,0.86922,-0.96797),(5605,4605,0.87391,-0.96518),(5605,4615,0.8786,-0.96225),(5605,4625,0.88329,-0.95932),(5605,4635,0.88799,-0.95639),(5605,4645,0.89268,-0.95331),(5605,4655,0.89738,-0.95021),(5605,4665,0.90206,-0.94711),(5605,4675,0.90675,-0.94393),(5605,4685,0.91144,-0.94073),(5605,4695,0.9161,-0.93753),(5605,4705,0.92076,-0.93427),(5605,4715,0.92543,-0.93098),(5605,4725,0.93003,-0.92768),(5605,4735,0.93464,-0.92435),(5605,4745,0.93924,-0.92097),(5605,4755,0.94391,-0.91758),(5605,4765,0.94859,-0.91415),(5605,4775,0.95327,-0.91055),(5605,4785,0.9579,-0.90694),(5605,4795,0.96252,-0.90334),(5605,4805,0.96713,-0.89965),(5605,4815,0.97172,-0.89597),(5605,4825,0.9763,-0.89228),(5605,4835,0.98087,-0.88849),(5605,4845,0.98544,-0.88468),(5605,4855,0.98997,-0.88087),(5605,4865,0.9945,-0.87695),(5605,4875,0.99902,-0.87299),(5605,4885,1.0035,-0.86902),(5605,4895,1.008,-0.865),(5605,4905,1.0124,-0.86094),(5605,4915,1.0169,-0.85687),(5605,4925,1.0213,-0.85278),(5605,4935,1.0257,-0.84862),(5605,4945,1.0301,-0.84447),(5605,4955,1.0345,-0.84031),(5605,4965,1.0389,-0.8361),(5605,4975,1.0433,-0.83189),(5605,4985,1.0476,-0.82768),(5605,4995,1.052,-0.8234),(5605,5005,1.0563,-0.81912),(5605,5015,1.0606,-0.81484),(5605,5025,1.0648,-0.81051),(5605,5035,1.0691,-0.80618),(5605,5045,1.0733,-0.80184),(5605,5055,1.0775,-0.79746),(5605,5065,1.0817,-0.79305),(5605,5075,1.0858,-0.78863),(5605,5085,1.0899,-0.78421),(5605,5095,1.094,-0.77978),(5605,5105,1.0981,-0.77534),(5605,5115,1.1022,-0.77091),(5605,5125,1.1063,-0.76647),(5605,5135,1.1103,-0.76204),(5605,5145,1.1144,-0.75761),(5605,5155,1.1184,-0.75314),(5605,5165,1.1224,-0.74867),(5605,5175,1.1264,-0.7442),(5605,5185,1.1303,-0.7397),(5605,5195,1.1343,-0.7352),(5605,5205,1.1382,-0.7307),(5605,5215,1.1421,-0.7262),(5605,5225,1.146,-0.7217),(5605,5235,1.1499,-0.7172),(5605,5245,1.1537,-0.7127),(5605,5255,1.1576,-0.70819),(5605,5265,1.1614,-0.70369),(5605,5275,1.1652,-0.69917),(5605,5285,1.1691,-0.69463),(5605,5295,1.1728,-0.69009),(5605,5305,1.1766,-0.68554),(5605,5315,1.1803,-0.68095),(5605,5325,1.1841,-0.67637),(5605,5335,1.1878,-0.67179),(5605,5345,1.1915,-0.66719),(5605,5355,1.1952,-0.66259),(5605,5365,1.1988,-0.65799),(5605,5375,1.2025,-0.65339),(5605,5385,1.2062,-0.6488),(5605,5395,1.2098,-0.6442),(5605,5405,1.2134,-0.6396),(5605,5415,1.217,-0.635),(5605,5425,1.2206,-0.63039),(5605,5435,1.2242,-0.62577),(5605,5445,1.2278,-0.62112),(5605,5455,1.2313,-0.61648),(5605,5465,1.2348,-0.61182),(5605,5475,1.2383,-0.60714),(5605,5485,1.2418,-0.60245),(5605,5495,1.2453,-0.59775),(5605,5505,1.2487,-0.593),(5605,5515,1.2522,-0.58825),(5605,5525,1.2556,-0.5835),(5605,5535,1.259,-0.57873),(5605,5545,1.2624,-0.57396),(5605,5555,1.2658,-0.56919),(5605,5565,1.2692,-0.5644),(5605,5575,1.2725,-0.55962),(5605,5585,1.2759,-0.55483),(5605,5595,1.2792,-0.55002),(5605,5605,1.2825,-0.54518),(5605,5615,1.2858,-0.54034),(5605,5625,1.2891,-0.5355),(5605,5635,1.2924,-0.53065),(5605,5645,1.2956,-0.5258),(5605,5655,1.2989,-0.52096),(5605,5665,1.3021,-0.51613),(5605,5675,1.3053,-0.5113),(5605,5685,1.3086,-0.50646),(5605,5695,1.3118,-0.50145),(5605,5705,1.315,-0.49643),(5605,5715,1.318,-0.49142),(5605,5725,1.3211,-0.48644),(5605,5735,1.3242,-0.48146),(5605,5745,1.3272,-0.47648),(5605,5755,1.3303,-0.47148),(5605,5765,1.3333,-0.46646),(5605,5775,1.3363,-0.46144),(5605,5785,1.3393,-0.45639),(5605,5795,1.3423,-0.45131),(5605,5805,1.3452,-0.44624),(5605,5815,1.3482,-0.44113),(5605,5825,1.3511,-0.43598),(5605,5835,1.354,-0.43082),(5605,5845,1.3568,-0.42566),(5605,5855,1.3597,-0.42047),(5605,5865,1.3625,-0.41528),(5605,5875,1.3653,-0.4101),(5605,5885,1.368,-0.40491),(5605,5895,1.3708,-0.39972),(5605,5905,1.3735,-0.39453),(5605,5915,1.3762,-0.38928),(5605,5925,1.3789,-0.38401),(5605,5935,1.3815,-0.37874),(5605,5945,1.3841,-0.37342),(5605,5955,1.3867,-0.36807),(5605,5965,1.3893,-0.36273),(5605,5975,1.3918,-0.35732),(5605,5985,1.3944,-0.35183),(5605,5995,1.3968,-0.34634),(5605,6005,1.3992,-0.34089),(5605,6015,1.4016,-0.33552),(5605,6025,1.404,-0.33015),(5605,6035,1.4064,-0.32477),(5605,6045,1.4087,-0.31931),(5605,6055,1.4111,-0.31386),(5605,6065,1.4133,-0.30841),(5605,6075,1.4156,-0.30288),(5605,6085,1.4178,-0.29735),(5605,6095,1.4199,-0.29182),(5605,6105,1.422,-0.28623),(5605,6115,1.4242,-0.28061),(5605,6125,1.4262,-0.27499),(5605,6135,1.4282,-0.26933),(5605,6145,1.4302,-0.26365),(5605,6155,1.4321,-0.25796),(5605,6165,1.434,-0.25226),(5605,6175,1.4359,-0.24653),(5605,6185,1.4378,-0.2408),(5605,6195,1.4395,-0.23506),(5605,6205,1.4413,-0.22929),(5605,6215,1.443,-0.22353),(5605,6225,1.4447,-0.21776),(5605,6235,1.4464,-0.21201),(5605,6245,1.448,-0.20626),(5605,6255,1.4495,-0.20051),(5605,6265,1.4511,-0.19474),(5605,6275,1.4526,-0.18897),(5605,6285,1.4541,-0.18319),(5605,6295,1.4556,-0.17729),(5605,6305,1.457,-0.17133),(5605,6315,1.4583,-0.16537),(5605,6325,1.4595,-0.15946),(5605,6335,1.4608,-0.15359),(5605,6345,1.462,-0.14773),(5605,6355,1.4631,-0.14183),(5605,6365,1.4643,-0.13588),(5605,6375,1.4653,-0.12992),(5605,6385,1.4663,-0.12395),(5605,6395,1.4673,-0.11793),(5605,6405,1.4682,-0.11191),(5605,6415,1.469,-0.10589),(5605,6425,1.4699,-0.099911),(5605,6435,1.4707,-0.093938),(5605,6445,1.4714,-0.087966),(5605,6455,1.4721,-0.081957),(5605,6465,1.4728,-0.075936),(5605,6475,1.4733,-0.069916),(5605,6485,1.4739,-0.063909),(5605,6495,1.4744,-0.057912),(5605,6505,1.4748,-0.051914),(5605,6515,1.4752,-0.04589),(5605,6525,1.4756,-0.039829),(5605,6535,1.4759,-0.033769),(5605,6545,1.4761,-0.027713),(5605,6555,1.4763,-0.021674),(5605,6565,1.4765,-0.015635),(5605,6575,1.4766,-0.009588),(5605,6585,1.4767,-0.003448),(5605,6595,1.256,0.002693),(5605,6605,0.79157,0.008834),(5605,6615,0.32715,0.009493),(5605,6625,0.000672,0.009448),(5605,6635,0.000699,0.009402),(5605,6645,0.000726,0.009397),(5605,6655,0.000753,0.009408),(5605,6665,0.000779,0.009418),(5605,6675,0.000804,0.009429),(5605,6685,0.00083,0.00944),(5605,6695,0.000855,0.00945),(5605,6705,0.00088,0.009461),(5605,6715,0.000904,0.00947),(5605,6725,0.000928,0.00948),(5605,6735,0.000952,0.00949),(5605,6745,0.000976,0.009499),(5605,6755,0.000999,0.009508),(5605,6765,0.001022,0.009518),(5605,6775,0.001045,0.009526),(5605,6785,0.001067,0.009534),(5605,6795,0.001089,0.009543),(5605,6805,0.001111,0.009551),(5605,6815,0.001133,0.009558),(5605,6825,0.001154,0.009566),(5605,6835,0.001175,0.009573),(5605,6845,0.001196,0.00958),(5605,6855,0.001216,0.009587),(5605,6865,0.001237,0.009593),(5605,6875,0.001257,0.009599),(5605,6885,0.001277,0.009605),(5605,6895,0.001296,0.009611),(5605,6905,0.001316,0.009616),(5605,6915,0.001335,0.009622),(5605,6925,0.001354,0.009627),(5605,6935,0.001373,0.009631),(5605,6945,0.001392,0.009635),(5605,6955,0.00141,0.00964),(5605,6965,0.001428,0.009643),(5605,6975,0.001447,0.009647),(5605,6985,0.001464,0.00965),(5615,5,-1.9e-05,-0.67044),(5615,15,-5.8e-05,-0.67051),(5615,25,-5.9e-05,-0.67057),(5615,35,-2.5e-05,-0.67064),(5615,45,9e-06,-0.67069),(5615,55,4.3e-05,-0.67073),(5615,65,6.4e-05,-0.67077),(5615,75,7.4e-05,-0.67081),(5615,85,8.4e-05,-0.67085),(5615,95,9.4e-05,-0.67091),(5615,105,0.000106,-0.67097),(5615,115,0.00012,-0.67102),(5615,125,0.000134,-0.6711),(5615,135,0.000148,-0.67118),(5615,145,0.000166,-0.67127),(5615,155,0.000187,-0.67135),(5615,165,0.000207,-0.67145),(5615,175,0.000228,-0.67155),(5615,185,0.000243,-0.67166),(5615,195,0.000254,-0.67176),(5615,205,0.000266,-0.67191),(5615,215,0.000277,-0.67206),(5615,225,0.000306,-0.67222),(5615,235,0.000342,-0.67238),(5615,245,0.000377,-0.67257),(5615,255,0.000412,-0.67277),(5615,265,0.000441,-0.67296),(5615,275,0.000468,-0.67316),(5615,285,0.000495,-0.6734),(5615,295,0.000522,-0.67364),(5615,305,0.000566,-0.67388),(5615,315,0.000615,-0.67413),(5615,325,0.000663,-0.67438),(5615,335,0.000712,-0.67463),(5615,345,0.000745,-0.67488),(5615,355,0.000775,-0.67513),(5615,365,0.000805,-0.67537),(5615,375,0.000835,-0.67562),(5615,385,0.000848,-0.67586),(5615,395,0.000859,-0.6761),(5615,405,0.000869,-0.67636),(5615,415,0.000879,-0.67662),(5615,425,0.00087,-0.67688),(5615,435,0.000859,-0.67714),(5615,445,0.000848,-0.67744),(5615,455,0.000837,-0.67774),(5615,465,0.000837,-0.67804),(5615,475,0.000837,-0.67834),(5615,485,0.000838,-0.67869),(5615,495,0.000838,-0.67903),(5615,505,0.000819,-0.67937),(5615,515,0.000799,-0.67972),(5615,525,0.00078,-0.68013),(5615,535,0.000762,-0.68055),(5615,545,0.000786,-0.68097),(5615,555,0.00081,-0.6814),(5615,565,0.000834,-0.68186),(5615,575,0.000862,-0.68233),(5615,585,0.000939,-0.68279),(5615,595,0.001016,-0.68326),(5615,605,0.001094,-0.68375),(5615,615,0.001172,-0.68425),(5615,625,0.001259,-0.68474),(5615,635,0.001345,-0.68523),(5615,645,0.001432,-0.68573),(5615,655,0.001513,-0.68623),(5615,665,0.001563,-0.68673),(5615,675,0.001613,-0.68723),(5615,685,0.001663,-0.68775),(5615,695,0.001703,-0.68827),(5615,705,0.001703,-0.68878),(5615,715,0.001702,-0.6893),(5615,725,0.001702,-0.68982),(5615,735,0.001689,-0.69035),(5615,745,0.001633,-0.69087),(5615,755,0.001576,-0.69142),(5615,765,0.00152,-0.69204),(5615,775,0.001495,-0.69266),(5615,785,0.001554,-0.69327),(5615,795,0.001614,-0.69391),(5615,805,0.001673,-0.69458),(5615,815,0.001746,-0.69525),(5615,825,0.001847,-0.69593),(5615,835,0.001949,-0.69661),(5615,845,0.002051,-0.69733),(5615,855,0.002152,-0.69804),(5615,865,0.002252,-0.69875),(5615,875,0.002352,-0.69948),(5615,885,0.002452,-0.70025),(5615,895,0.002544,-0.70101),(5615,905,0.002622,-0.70178),(5615,915,0.002701,-0.70255),(5615,925,0.002779,-0.70334),(5615,935,0.002863,-0.70413),(5615,945,0.002953,-0.70492),(5615,955,0.003044,-0.70572),(5615,965,0.003134,-0.70653),(5615,975,0.003273,-0.70735),(5615,985,0.003467,-0.70816),(5615,995,0.003661,-0.70898),(5615,1005,0.003855,-0.70979),(5615,1015,0.004116,-0.7106),(5615,1025,0.004442,-0.71141),(5615,1035,0.004767,-0.71219),(5615,1045,0.005093,-0.71297),(5615,1055,0.005476,-0.71374),(5615,1065,0.005905,-0.71451),(5615,1075,0.006334,-0.71527),(5615,1085,0.006763,-0.71604),(5615,1095,0.007165,-0.71681),(5615,1105,0.007547,-0.71758),(5615,1115,0.007929,-0.71837),(5615,1125,0.008311,-0.71918),(5615,1135,0.008239,-0.71999),(5615,1145,0.0079,-0.7208),(5615,1155,0.00756,-0.72157),(5615,1165,0.007221,-0.72232),(5615,1175,0.00423,-0.72308),(5615,1185,-7.6e-05,-0.72383),(5615,1195,-0.004382,-0.72426),(5615,1205,-0.008689,-0.72454),(5615,1215,-0.021936,-0.72482),(5615,1225,-0.038874,-0.7251),(5615,1235,-0.055811,-0.72452),(5615,1245,-0.072748,-0.72362),(5615,1255,-0.080925,-0.72272),(5615,1265,-0.086142,-0.72181),(5615,1275,-0.09136,-0.73457),(5615,1285,-0.096578,-0.75148),(5615,1295,0.000372,-0.76839),(5615,1305,0.12495,-0.78529),(5615,1315,0.24953,-0.86871),(5615,1325,0.37411,-0.96805),(5615,1335,0.2247,-1.0674),(5615,1345,0.017859,-1.1667),(5615,1355,-0.18898,-1.1003),(5615,1365,-0.39582,-1.0038),(5615,1375,-0.31438,-0.90735),(5615,1385,-0.18847,-0.81088),(5615,1395,-0.062552,-0.78273),(5615,1405,0.063362,-0.76335),(5615,1415,0.079733,-0.74398),(5615,1425,0.084731,-0.72461),(5615,1435,0.089729,-0.72461),(5615,1445,0.094727,-0.72616),(5615,1455,0.078304,-0.72772),(5615,1465,0.060646,-0.72927),(5615,1475,0.042988,-0.72885),(5615,1485,0.025331,-0.72836),(5615,1495,0.019617,-0.72788),(5615,1505,0.014083,-0.72739),(5615,1515,0.008549,-0.72636),(5615,1525,0.003115,-0.72534),(5615,1535,0.001629,-0.72431),(5615,1545,0.000144,-0.72329),(5615,1555,-0.001341,-0.72232),(5615,1565,-0.002757,-0.72136),(5615,1575,-0.003164,-0.72039),(5615,1585,-0.003571,-0.71944),(5615,1595,-0.003977,-0.71861),(5615,1605,-0.004341,-0.71779),(5615,1615,-0.004334,-0.71696),(5615,1625,-0.004326,-0.71614),(5615,1635,-0.004319,-0.71535),(5615,1645,-0.004292,-0.71455),(5615,1655,-0.004151,-0.71376),(5615,1665,-0.00401,-0.71296),(5615,1675,-0.003868,-0.71215),(5615,1685,-0.003717,-0.71135),(5615,1695,-0.003523,-0.71054),(5615,1705,-0.003328,-0.70974),(5615,1715,-0.003133,-0.70895),(5615,1725,-0.002933,-0.70816),(5615,1735,-0.002713,-0.70737),(5615,1745,-0.002493,-0.70659),(5615,1755,-0.002273,-0.70584),(5615,1765,-0.002065,-0.70509),(5615,1775,-0.001894,-0.70434),(5615,1785,-0.001723,-0.70359),(5615,1795,-0.001552,-0.70284),(5615,1805,-0.00141,-0.70209),(5615,1815,-0.001337,-0.70133),(5615,1825,-0.001263,-0.70059),(5615,1835,-0.00119,-0.69987),(5615,1845,-0.001145,-0.69914),(5615,1855,-0.001154,-0.69842),(5615,1865,-0.001163,-0.69771),(5615,1875,-0.001172,-0.69702),(5615,1885,-0.00116,-0.69634),(5615,1895,-0.001114,-0.69565),(5615,1905,-0.001068,-0.69498),(5615,1915,-0.001022,-0.69435),(5615,1925,-0.000979,-0.69372),(5615,1935,-0.00094,-0.69309),(5615,1945,-0.000901,-0.69249),(5615,1955,-0.000863,-0.69191),(5615,1965,-0.000808,-0.69134),(5615,1975,-0.000734,-0.69077),(5615,1985,-0.00066,-0.69019),(5615,1995,-0.000586,-0.68959),(5615,2005,-0.000543,-0.68899),(5615,2015,-0.000532,-0.68839),(5615,2025,-0.00052,-0.68781),(5615,2035,-0.000508,-0.68725),(5615,2045,-0.000501,-0.68669),(5615,2055,-0.000498,-0.68613),(5615,2065,-0.000496,-0.68559),(5615,2075,-0.000493,-0.68506),(5615,2085,-0.00048,-0.68454),(5615,2095,-0.000459,-0.68401),(5615,2105,-0.000438,-0.68351),(5615,2115,-0.000417,-0.68303),(5615,2125,-0.000385,-0.68256),(5615,2135,-0.000345,-0.68208),(5615,2145,-0.000305,-0.68162),(5615,2155,-0.000265,-0.68117),(5615,2165,-0.000228,-0.68073),(5615,2175,-0.000192,-0.68028),(5615,2185,-0.000156,-0.67982),(5615,2195,-0.000119,-0.67934),(5615,2205,-9.5e-05,-0.67887),(5615,2215,-7.5e-05,-0.67839),(5615,2225,-5.5e-05,-0.67796),(5615,2235,-3.5e-05,-0.67754),(5615,2245,-2.1e-05,-0.67712),(5615,2255,-8e-06,-0.6767),(5615,2265,5e-06,-0.67634),(5615,2275,1.7e-05,-0.67601),(5615,2285,0.00011,-0.67568),(5615,2295,0.000226,-0.67535),(5615,2305,0.000342,-0.67497),(5615,2315,0.000458,-0.67457),(5615,2325,0.00049,-0.67418),(5615,2335,0.000503,-0.67379),(5615,2345,0.000516,-0.67341),(5615,2355,0.000529,-0.67303),(5615,2365,0.000541,-0.67265),(5615,2375,0.000554,-0.67227),(5615,2385,0.000566,-0.67193),(5615,2395,0.000579,-0.6716),(5615,2405,0.000599,-0.67126),(5615,2415,0.000619,-0.67093),(5615,2425,0.00064,-0.67064),(5615,2435,0.000661,-0.67035),(5615,2445,0.000694,-0.67006),(5615,2455,0.000727,-0.66976),(5615,2465,0.00076,-0.66948),(5615,2475,0.000793,-0.66919),(5615,2485,0.000825,-0.6689),(5615,2495,0.000857,-0.66861),(5615,2505,0.000888,-0.6683),(5615,2515,0.00092,-0.66799),(5615,2525,0.000915,-0.66768),(5615,2535,0.00091,-0.66737),(5615,2545,0.000906,-0.66709),(5615,2555,0.000902,-0.6668),(5615,2565,0.000907,-0.66651),(5615,2575,0.000913,-0.66623),(5615,2585,0.000919,-0.66599),(5615,2595,0.00093,-0.66575),(5615,2605,0.000991,-0.6655),(5615,2615,0.001051,-0.66526),(5615,2625,0.001112,-0.665),(5615,2635,0.001162,-0.66474),(5615,2645,0.001142,-0.66448),(5615,2655,0.001121,-0.66422),(5615,2665,0.001101,-0.66398),(5615,2675,0.001099,-0.66373),(5615,2685,0.001187,-0.66348),(5615,2695,0.001274,-0.66323),(5615,2705,0.001361,-0.66295),(5615,2715,0.00143,-0.66267),(5615,2725,0.001428,-0.66239),(5615,2735,0.001426,-0.66212),(5615,2745,0.001425,-0.66189),(5615,2755,0.001431,-0.66166),(5615,2765,0.001459,-0.66143),(5615,2775,0.001488,-0.66121),(5615,2785,0.001516,-0.661),(5615,2795,0.001545,-0.66079),(5615,2805,0.001576,-0.66058),(5615,2815,0.001607,-0.66036),(5615,2825,0.001638,-0.66011),(5615,2835,0.001654,-0.65987),(5615,2845,0.001641,-0.65963),(5615,2855,0.001627,-0.65938),(5615,2865,0.001614,-0.65912),(5615,2875,0.001596,-0.65887),(5615,2885,0.00157,-0.65861),(5615,2895,0.001544,-0.65838),(5615,2905,0.001518,-0.65818),(5615,2915,0.00151,-0.65798),(5615,2925,0.001527,-0.65778),(5615,2935,0.001545,-0.65759),(5615,2945,0.001562,-0.65743),(5615,2955,0.001598,-0.65727),(5615,2965,0.001655,-0.65711),(5615,2975,0.001713,-0.65693),(5615,2985,0.00177,-0.65672),(5615,2995,0.001822,-0.65652),(5615,3005,0.001867,-0.65632),(5615,3015,0.001912,-0.65607),(5615,3025,0.001958,-0.65579),(5615,3035,0.001949,-0.65551),(5615,3045,0.001892,-0.65522),(5615,3055,0.001835,-0.655),(5615,3065,0.001778,-0.65483),(5615,3075,0.001838,-0.65467),(5615,3085,0.001987,-0.6545),(5615,3095,0.002136,-0.65434),(5615,3105,0.002285,-0.6542),(5615,3115,0.002373,-0.65405),(5615,3125,0.002422,-0.6539),(5615,3135,0.002471,-0.65372),(5615,3145,0.00252,-0.65352),(5615,3155,0.002518,-0.65332),(5615,3165,0.002489,-0.65312),(5615,3175,0.002459,-0.65291),(5615,3185,0.00243,-0.65269),(5615,3195,0.002426,-0.65248),(5615,3205,0.002435,-0.65226),(5615,3215,0.002443,-0.65207),(5615,3225,0.002451,-0.65189),(5615,3235,0.002478,-0.65171),(5615,3245,0.002513,-0.65153),(5615,3255,0.002548,-0.65135),(5615,3265,0.002583,-0.65118),(5615,3275,0.002608,-0.651),(5615,3285,0.002629,-0.65082),(5615,3295,0.002651,-0.65067),(5615,3305,0.002673,-0.65051),(5615,3315,0.002723,-0.65036),(5615,3325,0.00278,-0.6502),(5615,3335,0.002837,-0.64999),(5615,3345,0.002894,-0.64977),(5615,3355,0.002897,-0.64954),(5615,3365,0.00289,-0.64932),(5615,3375,0.002883,-0.64913),(5615,3385,0.002876,-0.64896),(5615,3395,0.002849,-0.64878),(5615,3405,0.002819,-0.6486),(5615,3415,0.002789,-0.64854),(5615,3425,0.002759,-0.64849),(5615,3435,0.002903,-0.64844),(5615,3445,0.00306,-0.64838),(5615,3455,0.003218,-0.64818),(5615,3465,0.003375,-0.64796),(5615,3475,0.003316,-0.64775),(5615,3485,0.003248,-0.64753),(5615,3495,0.003181,-0.64739),(5615,3505,0.003115,-0.64724),(5615,3515,0.003241,-0.64709),(5615,3525,0.003367,-0.64695),(5615,3535,0.003492,-0.64674),(5615,3545,0.003615,-0.64654),(5615,3555,0.003675,-0.64634),(5615,3565,0.003734,-0.64614),(5615,3575,0.003794,-0.64597),(5615,3585,0.003845,-0.64581),(5615,3595,0.003805,-0.64564),(5615,3605,0.003765,-0.64549),(5615,3615,0.003725,-0.64541),(5615,3625,0.003696,-0.64533),(5615,3635,0.003743,-0.64525),(5615,3645,0.00379,-0.64515),(5615,3655,0.003837,-0.64492),(5615,3665,0.003851,-0.6447),(5615,3675,0.003701,-0.64447),(5615,3685,0.00355,-0.64427),(5615,3695,0.0034,-0.6442),(5615,3705,0.003258,-0.64412),(5615,3715,0.003153,-0.64405),(5615,3725,0.003047,-0.64397),(5615,3735,0.002942,-0.6439),(5615,3745,0.002785,-0.64382),(5615,3755,0.002469,-0.64375),(5615,3765,0.002152,-0.64368),(5615,3775,0.001835,-0.64364),(5615,3785,0.0014,-0.6436),(5615,3795,0.000666,-0.64356),(5615,3805,-6.8e-05,-0.64357),(5615,3815,-0.000803,-0.64369),(5615,3825,-0.001746,-0.64381),(5615,3835,-0.003129,-0.64394),(5615,3845,-0.004511,-0.64409),(5615,3855,-0.005894,-0.64432),(5615,3865,-0.00811,-0.64454),(5615,3875,-0.011799,-0.64477),(5615,3885,-0.015488,-0.64506),(5615,3895,-0.019177,-0.64545),(5615,3905,-0.025081,-0.64584),(5615,3915,-0.034294,-0.64623),(5615,3925,-0.043507,-0.64671),(5615,3935,-0.05272,-0.64731),(5615,3945,-0.057978,-0.6479),(5615,3955,-0.058215,-0.6485),(5615,3965,-0.058452,-0.65472),(5615,3975,-0.058689,-0.66751),(5615,3985,0.009244,-0.6803),(5615,3995,0.15097,-0.69309),(5615,4005,0.2927,-0.751),(5615,4015,0.43442,-0.85401),(5615,4025,0.44728,-0.95703),(5615,4035,0.44754,-1.0269),(5615,4045,0.44779,-1.0267),(5615,4055,0.50979,-1.0266),(5615,4065,0.59433,-1.0265),(5615,4075,0.67887,-1.0262),(5615,4085,0.71659,-1.026),(5615,4095,0.7167,-1.0257),(5615,4105,0.71681,-1.0256),(5615,4115,0.71701,-1.0256),(5615,4125,0.7174,-1.0255),(5615,4135,0.71778,-1.0256),(5615,4145,0.71826,-1.0256),(5615,4155,0.71916,-1.0257),(5615,4165,0.72006,-1.0257),(5615,4175,0.72096,-1.0256),(5615,4185,0.72228,-1.0256),(5615,4195,0.72359,-1.0255),(5615,4205,0.72491,-1.0254),(5615,4215,0.7266,-1.0253),(5615,4225,0.72836,-1.0252),(5615,4235,0.73012,-1.0249),(5615,4245,0.73218,-1.0247),(5615,4255,0.73439,-1.0244),(5615,4265,0.7366,-1.0239),(5615,4275,0.73903,-1.0235),(5615,4285,0.74171,-1.023),(5615,4295,0.74439,-1.0224),(5615,4305,0.7472,-1.0217),(5615,4315,0.7503,-1.021),(5615,4325,0.7534,-1.0201),(5615,4335,0.75655,-1.0191),(5615,4345,0.76001,-1.0181),(5615,4355,0.76347,-1.0169),(5615,4365,0.76693,-1.0156),(5615,4375,0.77066,-1.0144),(5615,4385,0.77439,-1.013),(5615,4395,0.77813,-1.0114),(5615,4405,0.78204,-1.0099),(5615,4415,0.78601,-1.0083),(5615,4425,0.78997,-1.0065),(5615,4435,0.79402,-1.0047),(5615,4445,0.79814,-1.0029),(5615,4455,0.80225,-1.0009),(5615,4465,0.80645,-0.99893),(5615,4475,0.81079,-0.99695),(5615,4485,0.81512,-0.99474),(5615,4495,0.81948,-0.99248),(5615,4505,0.82392,-0.99022),(5615,4515,0.82835,-0.98786),(5615,4525,0.83279,-0.98545),(5615,4535,0.83732,-0.98303),(5615,4545,0.84185,-0.98054),(5615,4555,0.84638,-0.97797),(5615,4565,0.85097,-0.97539),(5615,4575,0.85556,-0.97276),(5615,4585,0.86016,-0.97),(5615,4595,0.86479,-0.96724),(5615,4605,0.86943,-0.96447),(5615,4615,0.87407,-0.96155),(5615,4625,0.87871,-0.95864),(5615,4635,0.88336,-0.95572),(5615,4645,0.88801,-0.95265),(5615,4655,0.89266,-0.94956),(5615,4665,0.89729,-0.94648),(5615,4675,0.90193,-0.94332),(5615,4685,0.90656,-0.94013),(5615,4695,0.91117,-0.93694),(5615,4705,0.91577,-0.9337),(5615,4715,0.92038,-0.93042),(5615,4725,0.92495,-0.92714),(5615,4735,0.92952,-0.92382),(5615,4745,0.9341,-0.92043),(5615,4755,0.9387,-0.91705),(5615,4765,0.9433,-0.91363),(5615,4775,0.94791,-0.91006),(5615,4785,0.95249,-0.90649),(5615,4795,0.95706,-0.90291),(5615,4805,0.96163,-0.89927),(5615,4815,0.96618,-0.89562),(5615,4825,0.97071,-0.89197),(5615,4835,0.97524,-0.88822),(5615,4845,0.97975,-0.88445),(5615,4855,0.98424,-0.88069),(5615,4865,0.98872,-0.87681),(5615,4875,0.9932,-0.87289),(5615,4885,0.99763,-0.86897),(5615,4895,1.0021,-0.86499),(5615,4905,1.0065,-0.86096),(5615,4915,1.0109,-0.85693),(5615,4925,1.0153,-0.85287),(5615,4935,1.0197,-0.84875),(5615,4945,1.0241,-0.84463),(5615,4955,1.0284,-0.84051),(5615,4965,1.0328,-0.83633),(5615,4975,1.0371,-0.83216),(5615,4985,1.0415,-0.82799),(5615,4995,1.0458,-0.82375),(5615,5005,1.0501,-0.8195),(5615,5015,1.0543,-0.81526),(5615,5025,1.0586,-0.81097),(5615,5035,1.0628,-0.80666),(5615,5045,1.067,-0.80236),(5615,5055,1.0712,-0.798),(5615,5065,1.0753,-0.79362),(5615,5075,1.0794,-0.78923),(5615,5085,1.0836,-0.78483),(5615,5095,1.0877,-0.78041),(5615,5105,1.0917,-0.77599),(5615,5115,1.0958,-0.77157),(5615,5125,1.0999,-0.76715),(5615,5135,1.1039,-0.76274),(5615,5145,1.1079,-0.75831),(5615,5155,1.1119,-0.75386),(5615,5165,1.1159,-0.7494),(5615,5175,1.1198,-0.74494),(5615,5185,1.1238,-0.74044),(5615,5195,1.1277,-0.73595),(5615,5205,1.1316,-0.73145),(5615,5215,1.1355,-0.72695),(5615,5225,1.1394,-0.72246),(5615,5235,1.1433,-0.71796),(5615,5245,1.1471,-0.71346),(5615,5255,1.151,-0.70895),(5615,5265,1.1548,-0.70444),(5615,5275,1.1586,-0.69992),(5615,5285,1.1624,-0.69539),(5615,5295,1.1661,-0.69085),(5615,5305,1.1699,-0.6863),(5615,5315,1.1736,-0.68171),(5615,5325,1.1774,-0.67713),(5615,5335,1.1811,-0.67254),(5615,5345,1.1848,-0.66793),(5615,5355,1.1884,-0.66332),(5615,5365,1.1921,-0.65872),(5615,5375,1.1958,-0.65411),(5615,5385,1.1994,-0.64951),(5615,5395,1.203,-0.6449),(5615,5405,1.2066,-0.64029),(5615,5415,1.2102,-0.63568),(5615,5425,1.2138,-0.63106),(5615,5435,1.2174,-0.62643),(5615,5445,1.2209,-0.62178),(5615,5455,1.2244,-0.61713),(5615,5465,1.2279,-0.61246),(5615,5475,1.2314,-0.60776),(5615,5485,1.2349,-0.60306),(5615,5495,1.2384,-0.59835),(5615,5505,1.2418,-0.59358),(5615,5515,1.2452,-0.58882),(5615,5525,1.2486,-0.58406),(5615,5535,1.252,-0.57927),(5615,5545,1.2554,-0.57448),(5615,5555,1.2588,-0.56969),(5615,5565,1.2621,-0.56489),(5615,5575,1.2655,-0.56008),(5615,5585,1.2688,-0.55528),(5615,5595,1.2721,-0.55045),(5615,5605,1.2754,-0.5456),(5615,5615,1.2787,-0.54074),(5615,5625,1.282,-0.53588),(5615,5635,1.2852,-0.53102),(5615,5645,1.2885,-0.52615),(5615,5655,1.2917,-0.52129),(5615,5665,1.2949,-0.51643),(5615,5675,1.2981,-0.51158),(5615,5685,1.3013,-0.50673),(5615,5695,1.3045,-0.50172),(5615,5705,1.3076,-0.49672),(5615,5715,1.3107,-0.49172),(5615,5725,1.3138,-0.48672),(5615,5735,1.3168,-0.48173),(5615,5745,1.3199,-0.47673),(5615,5755,1.3229,-0.4717),(5615,5765,1.3259,-0.46667),(5615,5775,1.3289,-0.46164),(5615,5785,1.3319,-0.45657),(5615,5795,1.3348,-0.45148),(5615,5805,1.3377,-0.44639),(5615,5815,1.3406,-0.44127),(5615,5825,1.3435,-0.4361),(5615,5835,1.3464,-0.43093),(5615,5845,1.3492,-0.42576),(5615,5855,1.352,-0.42056),(5615,5865,1.3548,-0.41535),(5615,5875,1.3576,-0.41015),(5615,5885,1.3603,-0.40495),(5615,5895,1.3631,-0.39975),(5615,5905,1.3658,-0.39456),(5615,5915,1.3684,-0.38929),(5615,5925,1.3711,-0.38402),(5615,5935,1.3737,-0.37874),(5615,5945,1.3763,-0.37341),(5615,5955,1.3789,-0.36804),(5615,5965,1.3814,-0.36267),(5615,5975,1.3839,-0.35726),(5615,5985,1.3864,-0.35178),(5615,5995,1.3888,-0.34631),(5615,6005,1.3912,-0.34086),(5615,6015,1.3937,-0.33546),(5615,6025,1.396,-0.33006),(5615,6035,1.3983,-0.32466),(5615,6045,1.4007,-0.3192),(5615,6055,1.403,-0.31374),(5615,6065,1.4052,-0.30828),(5615,6075,1.4074,-0.30275),(5615,6085,1.4096,-0.29722),(5615,6095,1.4118,-0.29169),(5615,6105,1.4139,-0.28609),(5615,6115,1.416,-0.28047),(5615,6125,1.418,-0.27485),(5615,6135,1.42,-0.26919),(5615,6145,1.422,-0.26351),(5615,6155,1.4239,-0.25782),(5615,6165,1.4258,-0.25211),(5615,6175,1.4277,-0.24638),(5615,6185,1.4295,-0.24065),(5615,6195,1.4312,-0.23492),(5615,6205,1.433,-0.22915),(5615,6215,1.4347,-0.22338),(5615,6225,1.4363,-0.21762),(5615,6235,1.438,-0.21186),(5615,6245,1.4395,-0.2061),(5615,6255,1.4411,-0.20034),(5615,6265,1.4426,-0.19456),(5615,6275,1.4441,-0.18877),(5615,6285,1.4456,-0.18298),(5615,6295,1.447,-0.17709),(5615,6305,1.4484,-0.17115),(5615,6315,1.4497,-0.16521),(5615,6325,1.451,-0.15931),(5615,6335,1.4523,-0.15344),(5615,6345,1.4534,-0.14757),(5615,6355,1.4545,-0.14168),(5615,6365,1.4557,-0.13573),(5615,6375,1.4567,-0.12978),(5615,6385,1.4577,-0.12382),(5615,6395,1.4586,-0.1178),(5615,6405,1.4595,-0.11178),(5615,6415,1.4604,-0.10576),(5615,6425,1.4612,-0.099783),(5615,6435,1.462,-0.093813),(5615,6445,1.4627,-0.087843),(5615,6455,1.4634,-0.081838),(5615,6465,1.464,-0.075822),(5615,6475,1.4646,-0.069806),(5615,6485,1.4651,-0.063805),(5615,6495,1.4657,-0.057815),(5615,6505,1.4661,-0.051825),(5615,6515,1.4665,-0.045808),(5615,6525,1.4669,-0.039754),(5615,6535,1.4671,-0.0337),(5615,6545,1.4674,-0.02765),(5615,6555,1.4676,-0.021614),(5615,6565,1.4677,-0.015578),(5615,6575,1.4678,-0.009536),(5615,6585,1.4679,-0.003406),(5615,6595,1.2485,0.002723),(5615,6605,0.78686,0.008852),(5615,6615,0.32519,0.009513),(5615,6625,0.000659,0.00947),(5615,6635,0.000686,0.009428),(5615,6645,0.000713,0.009423),(5615,6655,0.00074,0.009434),(5615,6665,0.000766,0.009445),(5615,6675,0.000792,0.009455),(5615,6685,0.000818,0.009465),(5615,6695,0.000843,0.009475),(5615,6705,0.000868,0.009485),(5615,6715,0.000893,0.009495),(5615,6725,0.000917,0.009505),(5615,6735,0.000941,0.009514),(5615,6745,0.000965,0.009523),(5615,6755,0.000988,0.009532),(5615,6765,0.001011,0.009541),(5615,6775,0.001034,0.009549),(5615,6785,0.001057,0.009557),(5615,6795,0.001079,0.009565),(5615,6805,0.001101,0.009573),(5615,6815,0.001123,0.00958),(5615,6825,0.001144,0.009588),(5615,6835,0.001166,0.009594),(5615,6845,0.001187,0.009601),(5615,6855,0.001208,0.009608),(5615,6865,0.001228,0.009614),(5615,6875,0.001249,0.00962),(5615,6885,0.001269,0.009626),(5615,6895,0.001288,0.009631),(5615,6905,0.001308,0.009636),(5615,6915,0.001328,0.009641),(5615,6925,0.001347,0.009646),(5615,6935,0.001366,0.00965),(5615,6945,0.001385,0.009654),(5615,6955,0.001404,0.009659),(5615,6965,0.001422,0.009662),(5615,6975,0.001441,0.009665),(5615,6985,0.001459,0.009669),(5625,5,-1.7e-05,-0.98334),(5625,15,-5.1e-05,-0.98343),(5625,25,-4.9e-05,-0.98352),(5625,35,-1.4e-05,-0.98362),(5625,45,2.1e-05,-0.98369),(5625,55,5.6e-05,-0.98375),(5625,65,7.7e-05,-0.9838),(5625,75,8.7e-05,-0.98386),(5625,85,9.6e-05,-0.98393),(5625,95,0.000106,-0.98401),(5625,105,0.000115,-0.98409),(5625,115,0.000125,-0.98417),(5625,125,0.000134,-0.98428),(5625,135,0.000143,-0.98441),(5625,145,0.000156,-0.98453),(5625,155,0.000171,-0.98466),(5625,165,0.000186,-0.9848),(5625,175,0.000201,-0.98495),(5625,185,0.000211,-0.98511),(5625,195,0.000218,-0.98526),(5625,205,0.000224,-0.98547),(5625,215,0.000231,-0.9857),(5625,225,0.000259,-0.98593),(5625,235,0.000296,-0.98616),(5625,245,0.000333,-0.98644),(5625,255,0.00037,-0.98673),(5625,265,0.000406,-0.98702),(5625,275,0.000441,-0.98731),(5625,285,0.000476,-0.98765),(5625,295,0.000512,-0.98801),(5625,305,0.000565,-0.98837),(5625,315,0.000623,-0.98872),(5625,325,0.000681,-0.98909),(5625,335,0.000738,-0.98946),(5625,345,0.000778,-0.98983),(5625,355,0.000813,-0.9902),(5625,365,0.000849,-0.99055),(5625,375,0.000885,-0.99091),(5625,385,0.000893,-0.99126),(5625,395,0.000898,-0.99162),(5625,405,0.000903,-0.992),(5625,415,0.000908,-0.99238),(5625,425,0.00089,-0.99276),(5625,435,0.000871,-0.99314),(5625,445,0.000852,-0.99358),(5625,455,0.000832,-0.99402),(5625,465,0.000827,-0.99446),(5625,475,0.000823,-0.9949),(5625,485,0.000818,-0.9954),(5625,495,0.000814,-0.99591),(5625,505,0.000795,-0.99641),(5625,515,0.000776,-0.99692),(5625,525,0.000758,-0.99754),(5625,535,0.00074,-0.99815),(5625,545,0.000766,-0.99877),(5625,555,0.000791,-0.99938),(5625,565,0.000817,-1.0001),(5625,575,0.000846,-1.0007),(5625,585,0.000925,-1.0014),(5625,595,0.001004,-1.0021),(5625,605,0.001083,-1.0028),(5625,615,0.001163,-1.0036),(5625,625,0.001253,-1.0043),(5625,635,0.001343,-1.005),(5625,645,0.001433,-1.0057),(5625,655,0.001517,-1.0065),(5625,665,0.001572,-1.0072),(5625,675,0.001627,-1.0079),(5625,685,0.001682,-1.0087),(5625,695,0.001726,-1.0094),(5625,705,0.001725,-1.0102),(5625,715,0.001724,-1.011),(5625,725,0.001723,-1.0117),(5625,735,0.001708,-1.0125),(5625,745,0.001648,-1.0133),(5625,755,0.001587,-1.0141),(5625,765,0.001527,-1.015),(5625,775,0.001496,-1.0159),(5625,785,0.001542,-1.0168),(5625,795,0.001588,-1.0177),(5625,805,0.001633,-1.0187),(5625,815,0.001695,-1.0197),(5625,825,0.001791,-1.0207),(5625,835,0.001887,-1.0217),(5625,845,0.001983,-1.0227),(5625,855,0.002081,-1.0238),(5625,865,0.002183,-1.0248),(5625,875,0.002285,-1.0259),(5625,885,0.002387,-1.027),(5625,895,0.002482,-1.0281),(5625,905,0.002565,-1.0292),(5625,915,0.002649,-1.0304),(5625,925,0.002733,-1.0315),(5625,935,0.00282,-1.0327),(5625,945,0.002912,-1.0338),(5625,955,0.003003,-1.035),(5625,965,0.003095,-1.0362),(5625,975,0.003232,-1.0374),(5625,985,0.003421,-1.0386),(5625,995,0.00361,-1.0398),(5625,1005,0.003799,-1.0409),(5625,1015,0.00405,-1.0421),(5625,1025,0.004362,-1.0433),(5625,1035,0.004673,-1.0445),(5625,1045,0.004985,-1.0456),(5625,1055,0.005348,-1.0467),(5625,1065,0.005755,-1.0478),(5625,1075,0.006162,-1.049),(5625,1085,0.006568,-1.0501),(5625,1095,0.006954,-1.0512),(5625,1105,0.007324,-1.0523),(5625,1115,0.007694,-1.0534),(5625,1125,0.008065,-1.0546),(5625,1135,0.007973,-1.0557),(5625,1145,0.007608,-1.0569),(5625,1155,0.007242,-1.058),(5625,1165,0.006877,-1.059),(5625,1175,0.003841,-1.0601),(5625,1185,-0.000521,-1.0611),(5625,1195,-0.004883,-1.062),(5625,1205,-0.009245,-1.0629),(5625,1215,-0.022165,-1.0637),(5625,1225,-0.038616,-1.0646),(5625,1235,-0.055067,-1.0672),(5625,1245,-0.071519,-1.0703),(5625,1255,-0.077379,-1.0735),(5625,1265,-0.079663,-1.0767),(5625,1275,-0.081947,-1.088),(5625,1285,-0.08423,-1.1016),(5625,1295,0.015614,-1.1153),(5625,1305,0.14308,-1.129),(5625,1315,0.27054,-1.1421),(5625,1325,0.398,-1.1549),(5625,1335,0.2391,-1.1678),(5625,1345,0.020176,-1.1807),(5625,1355,-0.19875,-1.1725),(5625,1365,-0.41767,-1.1605),(5625,1375,-0.33546,-1.1485),(5625,1385,-0.2068,-1.1364),(5625,1395,-0.078128,-1.1238),(5625,1405,0.050539,-1.1111),(5625,1415,0.069742,-1.0984),(5625,1425,0.07758,-1.0857),(5625,1435,0.085417,-1.0818),(5625,1445,0.093255,-1.0786),(5625,1455,0.07731,-1.0753),(5625,1465,0.059996,-1.0721),(5625,1475,0.042682,-1.0706),(5625,1485,0.025367,-1.0693),(5625,1495,0.019617,-1.0679),(5625,1505,0.014042,-1.0666),(5625,1515,0.008466,-1.0651),(5625,1525,0.002992,-1.0636),(5625,1535,0.001526,-1.0621),(5625,1545,5.9e-05,-1.0606),(5625,1555,-0.001408,-1.0592),(5625,1565,-0.002805,-1.0578),(5625,1575,-0.003188,-1.0564),(5625,1585,-0.003571,-1.0551),(5625,1595,-0.003954,-1.0538),(5625,1605,-0.004296,-1.0526),(5625,1615,-0.004282,-1.0514),(5625,1625,-0.004269,-1.0502),(5625,1635,-0.004255,-1.0491),(5625,1645,-0.004224,-1.0479),(5625,1655,-0.004088,-1.0467),(5625,1665,-0.003951,-1.0456),(5625,1675,-0.003814,-1.0444),(5625,1685,-0.003669,-1.0432),(5625,1695,-0.003484,-1.0421),(5625,1705,-0.0033,-1.0409),(5625,1715,-0.003115,-1.0397),(5625,1725,-0.002923,-1.0386),(5625,1735,-0.002706,-1.0374),(5625,1745,-0.002489,-1.0363),(5625,1755,-0.002272,-1.0352),(5625,1765,-0.002066,-1.0341),(5625,1775,-0.00189,-1.033),(5625,1785,-0.001715,-1.0319),(5625,1795,-0.001539,-1.0308),(5625,1805,-0.001394,-1.0297),(5625,1815,-0.001319,-1.0286),(5625,1825,-0.001244,-1.0275),(5625,1835,-0.001169,-1.0264),(5625,1845,-0.001121,-1.0254),(5625,1855,-0.001126,-1.0243),(5625,1865,-0.001131,-1.0233),(5625,1875,-0.001136,-1.0223),(5625,1885,-0.001125,-1.0213),(5625,1895,-0.00109,-1.0203),(5625,1905,-0.001054,-1.0193),(5625,1915,-0.001019,-1.0184),(5625,1925,-0.000981,-1.0174),(5625,1935,-0.00094,-1.0165),(5625,1945,-0.000899,-1.0156),(5625,1955,-0.000858,-1.0148),(5625,1965,-0.000801,-1.0139),(5625,1975,-0.000724,-1.0131),(5625,1985,-0.000647,-1.0122),(5625,1995,-0.00057,-1.0114),(5625,2005,-0.000525,-1.0105),(5625,2015,-0.000511,-1.0096),(5625,2025,-0.000497,-1.0088),(5625,2035,-0.000484,-1.008),(5625,2045,-0.000477,-1.0071),(5625,2055,-0.000478,-1.0063),(5625,2065,-0.000478,-1.0055),(5625,2075,-0.000478,-1.0048),(5625,2085,-0.000469,-1.004),(5625,2095,-0.000451,-1.0032),(5625,2105,-0.000434,-1.0025),(5625,2115,-0.000417,-1.0018),(5625,2125,-0.000385,-1.0011),(5625,2135,-0.000344,-1.0004),(5625,2145,-0.000303,-0.9997),(5625,2155,-0.000262,-0.99905),(5625,2165,-0.000227,-0.9984),(5625,2175,-0.000195,-0.99774),(5625,2185,-0.000162,-0.99706),(5625,2195,-0.00013,-0.99637),(5625,2205,-0.000112,-0.99567),(5625,2215,-0.000102,-0.99497),(5625,2225,-9.1e-05,-0.99434),(5625,2235,-8e-05,-0.99372),(5625,2245,-6e-05,-0.99311),(5625,2255,-3.6e-05,-0.99249),(5625,2265,-1.2e-05,-0.99197),(5625,2275,1.2e-05,-0.99148),(5625,2285,0.000109,-0.99098),(5625,2295,0.000226,-0.99049),(5625,2305,0.000344,-0.98994),(5625,2315,0.000461,-0.98937),(5625,2325,0.000496,-0.9888),(5625,2335,0.000513,-0.98823),(5625,2345,0.000529,-0.98767),(5625,2355,0.000545,-0.98712),(5625,2365,0.000556,-0.98656),(5625,2375,0.000565,-0.986),(5625,2385,0.000575,-0.9855),(5625,2395,0.000585,-0.98502),(5625,2405,0.000603,-0.98453),(5625,2415,0.000623,-0.98404),(5625,2425,0.000642,-0.98361),(5625,2435,0.000662,-0.98318),(5625,2445,0.000694,-0.98275),(5625,2455,0.000728,-0.98232),(5625,2465,0.000762,-0.98189),(5625,2475,0.000795,-0.98147),(5625,2485,0.000828,-0.98105),(5625,2495,0.000861,-0.98062),(5625,2505,0.000894,-0.98017),(5625,2515,0.000926,-0.97972),(5625,2525,0.000923,-0.97927),(5625,2535,0.000919,-0.97881),(5625,2545,0.000916,-0.9784),(5625,2555,0.000913,-0.97798),(5625,2565,0.00092,-0.97756),(5625,2575,0.000926,-0.97715),(5625,2585,0.000933,-0.97679),(5625,2595,0.000945,-0.97643),(5625,2605,0.001004,-0.97607),(5625,2615,0.001063,-0.97571),(5625,2625,0.001122,-0.97534),(5625,2635,0.001172,-0.97497),(5625,2645,0.001162,-0.97459),(5625,2655,0.001151,-0.97422),(5625,2665,0.001141,-0.97385),(5625,2675,0.001144,-0.97348),(5625,2685,0.001213,-0.97311),(5625,2695,0.001283,-0.97274),(5625,2705,0.001352,-0.97233),(5625,2715,0.001405,-0.97192),(5625,2725,0.001401,-0.97152),(5625,2735,0.001397,-0.97113),(5625,2745,0.001393,-0.97079),(5625,2755,0.001398,-0.97045),(5625,2765,0.001428,-0.97011),(5625,2775,0.001458,-0.96978),(5625,2785,0.001488,-0.96947),(5625,2795,0.00152,-0.96916),(5625,2805,0.001556,-0.96885),(5625,2815,0.001591,-0.96853),(5625,2825,0.001627,-0.96817),(5625,2835,0.001646,-0.96782),(5625,2845,0.001631,-0.96746),(5625,2855,0.001616,-0.9671),(5625,2865,0.001601,-0.96673),(5625,2875,0.00158,-0.96635),(5625,2885,0.001548,-0.96598),(5625,2895,0.001515,-0.96563),(5625,2905,0.001483,-0.96534),(5625,2915,0.001471,-0.96504),(5625,2925,0.001488,-0.96475),(5625,2935,0.001505,-0.96448),(5625,2945,0.001523,-0.96424),(5625,2955,0.001559,-0.964),(5625,2965,0.001618,-0.96376),(5625,2975,0.001677,-0.9635),(5625,2985,0.001736,-0.9632),(5625,2995,0.001781,-0.9629),(5625,3005,0.001812,-0.96261),(5625,3015,0.001843,-0.96225),(5625,3025,0.001874,-0.96185),(5625,3035,0.001856,-0.96144),(5625,3045,0.001793,-0.96103),(5625,3055,0.001731,-0.9607),(5625,3065,0.001668,-0.96044),(5625,3075,0.001721,-0.96018),(5625,3085,0.001863,-0.95992),(5625,3095,0.002004,-0.95969),(5625,3105,0.002146,-0.95948),(5625,3115,0.002243,-0.95927),(5625,3125,0.002313,-0.95906),(5625,3135,0.002382,-0.9588),(5625,3145,0.002452,-0.95851),(5625,3155,0.002461,-0.95822),(5625,3165,0.002438,-0.95793),(5625,3175,0.002415,-0.95762),(5625,3185,0.002392,-0.9573),(5625,3195,0.002389,-0.95698),(5625,3205,0.002396,-0.95667),(5625,3215,0.002402,-0.95639),(5625,3225,0.002408,-0.95612),(5625,3235,0.002435,-0.95585),(5625,3245,0.00247,-0.95559),(5625,3255,0.002505,-0.95533),(5625,3265,0.00254,-0.95507),(5625,3275,0.002567,-0.95481),(5625,3285,0.002591,-0.95455),(5625,3295,0.002615,-0.95432),(5625,3305,0.002639,-0.95409),(5625,3315,0.002688,-0.95386),(5625,3325,0.002743,-0.95364),(5625,3335,0.002797,-0.95333),(5625,3345,0.002851,-0.953),(5625,3355,0.002847,-0.95268),(5625,3365,0.002831,-0.95235),(5625,3375,0.002816,-0.95208),(5625,3385,0.002801,-0.95183),(5625,3395,0.002792,-0.95157),(5625,3405,0.002783,-0.95131),(5625,3415,0.002775,-0.95121),(5625,3425,0.002767,-0.95112),(5625,3435,0.002914,-0.95103),(5625,3445,0.003074,-0.95095),(5625,3455,0.003234,-0.95066),(5625,3465,0.003393,-0.95036),(5625,3475,0.003332,-0.95006),(5625,3485,0.003263,-0.94977),(5625,3495,0.003195,-0.94954),(5625,3505,0.003127,-0.94931),(5625,3515,0.003242,-0.94908),(5625,3525,0.003357,-0.94885),(5625,3535,0.003472,-0.94856),(5625,3545,0.003585,-0.94826),(5625,3555,0.003649,-0.94797),(5625,3565,0.003713,-0.94768),(5625,3575,0.003777,-0.94744),(5625,3585,0.003833,-0.94721),(5625,3595,0.003803,-0.94697),(5625,3605,0.003773,-0.94675),(5625,3615,0.003743,-0.94662),(5625,3625,0.003722,-0.9465),(5625,3635,0.003768,-0.94637),(5625,3645,0.003814,-0.94622),(5625,3655,0.00386,-0.9459),(5625,3665,0.003874,-0.94558),(5625,3675,0.003721,-0.94526),(5625,3685,0.003568,-0.94498),(5625,3695,0.003415,-0.94486),(5625,3705,0.003273,-0.94474),(5625,3715,0.003175,-0.94463),(5625,3725,0.003077,-0.94451),(5625,3735,0.002979,-0.94441),(5625,3745,0.00283,-0.94431),(5625,3755,0.002523,-0.94421),(5625,3765,0.002215,-0.94412),(5625,3775,0.001907,-0.94408),(5625,3785,0.001489,-0.94403),(5625,3795,0.00079,-0.94398),(5625,3805,9.1e-05,-0.944),(5625,3815,-0.000608,-0.94418),(5625,3825,-0.001512,-0.94437),(5625,3835,-0.002848,-0.94455),(5625,3845,-0.004184,-0.94479),(5625,3855,-0.00552,-0.94516),(5625,3865,-0.007663,-0.94553),(5625,3875,-0.011232,-0.9459),(5625,3885,-0.014802,-0.94647),(5625,3895,-0.018371,-0.94736),(5625,3905,-0.024014,-0.94826),(5625,3915,-0.032756,-0.94915),(5625,3925,-0.041498,-0.95099),(5625,3935,-0.050239,-0.95413),(5625,3945,-0.054376,-0.95728),(5625,3955,-0.052666,-0.96042),(5625,3965,-0.050957,-0.96671),(5625,3975,-0.049247,-0.97668),(5625,3985,0.021158,-0.98664),(5625,3995,0.16592,-0.99661),(5625,4005,0.31069,-1.0056),(5625,4015,0.45546,-1.0136),(5625,4025,0.46217,-1.0215),(5625,4035,0.45537,-1.0269),(5625,4045,0.44858,-1.0267),(5625,4055,0.50857,-1.0265),(5625,4065,0.59293,-1.0263),(5625,4075,0.6773,-1.026),(5625,4085,0.71496,-1.0257),(5625,4095,0.71509,-1.0253),(5625,4105,0.71523,-1.0252),(5625,4115,0.71547,-1.0251),(5625,4125,0.71588,-1.025),(5625,4135,0.7163,-1.0249),(5625,4145,0.71681,-1.0249),(5625,4155,0.71768,-1.0248),(5625,4165,0.71855,-1.0248),(5625,4175,0.71942,-1.0247),(5625,4185,0.72072,-1.0246),(5625,4195,0.72202,-1.0244),(5625,4205,0.72332,-1.0243),(5625,4215,0.72497,-1.0242),(5625,4225,0.72669,-1.024),(5625,4235,0.72841,-1.0237),(5625,4245,0.73042,-1.0234),(5625,4255,0.73257,-1.0231),(5625,4265,0.73471,-1.0226),(5625,4275,0.73708,-1.0221),(5625,4285,0.73968,-1.0217),(5625,4295,0.74229,-1.021),(5625,4305,0.74502,-1.0203),(5625,4315,0.74803,-1.0196),(5625,4325,0.75104,-1.0187),(5625,4335,0.7541,-1.0177),(5625,4345,0.75748,-1.0167),(5625,4355,0.76085,-1.0156),(5625,4365,0.76422,-1.0144),(5625,4375,0.76786,-1.0132),(5625,4385,0.77152,-1.0118),(5625,4395,0.77517,-1.0103),(5625,4405,0.779,-1.0088),(5625,4415,0.78288,-1.0073),(5625,4425,0.78676,-1.0055),(5625,4435,0.79075,-1.0037),(5625,4445,0.7948,-1.002),(5625,4455,0.79886,-0.99998),(5625,4465,0.80299,-0.998),(5625,4475,0.80723,-0.99603),(5625,4485,0.81147,-0.99384),(5625,4495,0.81574,-0.9916),(5625,4505,0.82011,-0.98937),(5625,4515,0.82448,-0.98703),(5625,4525,0.82885,-0.98463),(5625,4535,0.83331,-0.98223),(5625,4545,0.83777,-0.97975),(5625,4555,0.84223,-0.97719),(5625,4565,0.84676,-0.97463),(5625,4575,0.85129,-0.97202),(5625,4585,0.85583,-0.96927),(5625,4595,0.8604,-0.96652),(5625,4605,0.86498,-0.96376),(5625,4615,0.86957,-0.96085),(5625,4625,0.87416,-0.95795),(5625,4635,0.87876,-0.95505),(5625,4645,0.88336,-0.95199),(5625,4655,0.88796,-0.94892),(5625,4665,0.89255,-0.94584),(5625,4675,0.89714,-0.9427),(5625,4685,0.90172,-0.93952),(5625,4695,0.90628,-0.93635),(5625,4705,0.91084,-0.93313),(5625,4715,0.9154,-0.92986),(5625,4725,0.91993,-0.9266),(5625,4735,0.92447,-0.92328),(5625,4745,0.92901,-0.9199),(5625,4755,0.93356,-0.91652),(5625,4765,0.93811,-0.9131),(5625,4775,0.94266,-0.90957),(5625,4785,0.94719,-0.90603),(5625,4795,0.95172,-0.90249),(5625,4805,0.95625,-0.89888),(5625,4815,0.96076,-0.89527),(5625,4825,0.96524,-0.89166),(5625,4835,0.96973,-0.88795),(5625,4845,0.97421,-0.88423),(5625,4855,0.97865,-0.8805),(5625,4865,0.9831,-0.87667),(5625,4875,0.98754,-0.8728),(5625,4885,0.99193,-0.86892),(5625,4895,0.99632,-0.86498),(5625,4905,1.0007,-0.86099),(5625,4915,1.0051,-0.857),(5625,4925,1.0094,-0.85297),(5625,4935,1.0138,-0.84888),(5625,4945,1.0181,-0.84479),(5625,4955,1.0225,-0.8407),(5625,4965,1.0268,-0.83656),(5625,4975,1.0311,-0.83243),(5625,4985,1.0354,-0.82829),(5625,4995,1.0397,-0.82409),(5625,5005,1.0439,-0.81989),(5625,5015,1.0482,-0.81568),(5625,5025,1.0524,-0.81142),(5625,5035,1.0566,-0.80715),(5625,5045,1.0607,-0.80287),(5625,5055,1.0649,-0.79854),(5625,5065,1.0691,-0.79419),(5625,5075,1.0732,-0.78983),(5625,5085,1.0773,-0.78545),(5625,5095,1.0813,-0.78104),(5625,5105,1.0854,-0.77664),(5625,5115,1.0894,-0.77223),(5625,5125,1.0935,-0.76783),(5625,5135,1.0975,-0.76343),(5625,5145,1.1015,-0.75902),(5625,5155,1.1055,-0.75457),(5625,5165,1.1094,-0.75012),(5625,5175,1.1134,-0.74567),(5625,5185,1.1173,-0.74119),(5625,5195,1.1212,-0.7367),(5625,5205,1.1251,-0.73221),(5625,5215,1.129,-0.72771),(5625,5225,1.1329,-0.72322),(5625,5235,1.1367,-0.71872),(5625,5245,1.1405,-0.71422),(5625,5255,1.1444,-0.70971),(5625,5265,1.1482,-0.7052),(5625,5275,1.152,-0.70068),(5625,5285,1.1558,-0.69614),(5625,5295,1.1595,-0.69161),(5625,5305,1.1632,-0.68706),(5625,5315,1.167,-0.68247),(5625,5325,1.1707,-0.67788),(5625,5335,1.1743,-0.6733),(5625,5345,1.178,-0.66868),(5625,5355,1.1817,-0.66406),(5625,5365,1.1853,-0.65944),(5625,5375,1.189,-0.65483),(5625,5385,1.1926,-0.65022),(5625,5395,1.1962,-0.6456),(5625,5405,1.1998,-0.64098),(5625,5415,1.2034,-0.63636),(5625,5425,1.207,-0.63173),(5625,5435,1.2105,-0.62709),(5625,5445,1.2141,-0.62243),(5625,5455,1.2176,-0.61777),(5625,5465,1.2211,-0.61309),(5625,5475,1.2246,-0.60838),(5625,5485,1.228,-0.60367),(5625,5495,1.2314,-0.59895),(5625,5505,1.2349,-0.59417),(5625,5515,1.2383,-0.58939),(5625,5525,1.2417,-0.58461),(5625,5535,1.245,-0.5798),(5625,5545,1.2484,-0.57499),(5625,5555,1.2517,-0.57018),(5625,5565,1.2551,-0.56537),(5625,5575,1.2584,-0.56055),(5625,5585,1.2617,-0.55573),(5625,5595,1.265,-0.55088),(5625,5605,1.2683,-0.54601),(5625,5615,1.2715,-0.54114),(5625,5625,1.2748,-0.53627),(5625,5635,1.278,-0.53138),(5625,5645,1.2813,-0.5265),(5625,5655,1.2845,-0.52161),(5625,5665,1.2877,-0.51674),(5625,5675,1.2908,-0.51187),(5625,5685,1.294,-0.50699),(5625,5695,1.2971,-0.502),(5625,5705,1.3003,-0.49701),(5625,5715,1.3033,-0.49203),(5625,5725,1.3064,-0.48701),(5625,5735,1.3095,-0.48199),(5625,5745,1.3125,-0.47697),(5625,5755,1.3155,-0.47193),(5625,5765,1.3185,-0.46688),(5625,5775,1.3214,-0.46183),(5625,5785,1.3244,-0.45675),(5625,5795,1.3273,-0.45164),(5625,5805,1.3302,-0.44654),(5625,5815,1.3331,-0.4414),(5625,5825,1.336,-0.43622),(5625,5835,1.3388,-0.43104),(5625,5845,1.3416,-0.42585),(5625,5855,1.3444,-0.42064),(5625,5865,1.3472,-0.41542),(5625,5875,1.3499,-0.4102),(5625,5885,1.3527,-0.405),(5625,5895,1.3554,-0.39979),(5625,5905,1.358,-0.39458),(5625,5915,1.3607,-0.38931),(5625,5925,1.3633,-0.38403),(5625,5935,1.3659,-0.37874),(5625,5945,1.3685,-0.37339),(5625,5955,1.3711,-0.368),(5625,5965,1.3735,-0.36262),(5625,5975,1.376,-0.3572),(5625,5985,1.3785,-0.35173),(5625,5995,1.3809,-0.34627),(5625,6005,1.3833,-0.34082),(5625,6015,1.3857,-0.3354),(5625,6025,1.388,-0.32998),(5625,6035,1.3903,-0.32455),(5625,6045,1.3927,-0.31909),(5625,6055,1.3949,-0.31362),(5625,6065,1.3971,-0.30815),(5625,6075,1.3993,-0.30263),(5625,6085,1.4015,-0.29709),(5625,6095,1.4036,-0.29156),(5625,6105,1.4057,-0.28596),(5625,6115,1.4078,-0.28034),(5625,6125,1.4098,-0.27471),(5625,6135,1.4118,-0.26905),(5625,6145,1.4138,-0.26336),(5625,6155,1.4157,-0.25767),(5625,6165,1.4175,-0.25197),(5625,6175,1.4194,-0.24624),(5625,6185,1.4212,-0.24051),(5625,6195,1.4229,-0.23478),(5625,6205,1.4247,-0.22901),(5625,6215,1.4264,-0.22324),(5625,6225,1.428,-0.21747),(5625,6235,1.4296,-0.2117),(5625,6245,1.4312,-0.20594),(5625,6255,1.4327,-0.20017),(5625,6265,1.4342,-0.19437),(5625,6275,1.4357,-0.18857),(5625,6285,1.4371,-0.18277),(5625,6295,1.4385,-0.17689),(5625,6305,1.4399,-0.17097),(5625,6315,1.4412,-0.16505),(5625,6325,1.4425,-0.15916),(5625,6335,1.4437,-0.15329),(5625,6345,1.4449,-0.14741),(5625,6355,1.446,-0.14152),(5625,6365,1.4471,-0.13558),(5625,6375,1.4481,-0.12964),(5625,6385,1.4491,-0.12368),(5625,6395,1.45,-0.11766),(5625,6405,1.4509,-0.11165),(5625,6415,1.4518,-0.10563),(5625,6425,1.4526,-0.099656),(5625,6435,1.4534,-0.093688),(5625,6445,1.454,-0.087721),(5625,6455,1.4547,-0.081719),(5625,6465,1.4554,-0.075707),(5625,6475,1.4559,-0.069696),(5625,6485,1.4565,-0.063701),(5625,6495,1.457,-0.057719),(5625,6505,1.4574,-0.051736),(5625,6515,1.4578,-0.045726),(5625,6525,1.4582,-0.039678),(5625,6535,1.4584,-0.033631),(5625,6545,1.4587,-0.027586),(5625,6555,1.4589,-0.021554),(5625,6565,1.459,-0.015521),(5625,6575,1.4591,-0.009483),(5625,6585,1.4592,-0.003365),(5625,6595,1.2411,0.002752),(5625,6605,0.78219,0.00887),(5625,6615,0.32326,0.009532),(5625,6625,0.000647,0.009493),(5625,6635,0.000674,0.009454),(5625,6645,0.000702,0.00945),(5625,6655,0.000729,0.009461),(5625,6665,0.000755,0.009471),(5625,6675,0.000781,0.009481),(5625,6685,0.000807,0.009491),(5625,6695,0.000832,0.009501),(5625,6705,0.000857,0.00951),(5625,6715,0.000882,0.00952),(5625,6725,0.000906,0.009529),(5625,6735,0.00093,0.009538),(5625,6745,0.000954,0.009546),(5625,6755,0.000978,0.009555),(5625,6765,0.001001,0.009564),(5625,6775,0.001024,0.009572),(5625,6785,0.001047,0.009579),(5625,6795,0.00107,0.009587),(5625,6805,0.001092,0.009595),(5625,6815,0.001114,0.009602),(5625,6825,0.001136,0.009609),(5625,6835,0.001157,0.009616),(5625,6845,0.001179,0.009622),(5625,6855,0.0012,0.009628),(5625,6865,0.00122,0.009635),(5625,6875,0.001241,0.00964),(5625,6885,0.001261,0.009646),(5625,6895,0.001281,0.009651),(5625,6905,0.001301,0.009656),(5625,6915,0.001321,0.009661),(5625,6925,0.00134,0.009665),(5625,6935,0.00136,0.009669),(5625,6945,0.001379,0.009673),(5625,6955,0.001398,0.009677),(5625,6965,0.001417,0.00968),(5625,6975,0.001435,0.009684),(5625,6985,0.001453,0.009687),(5635,5,-7e-06,-1.2962),(5635,15,-2.1e-05,-1.2964),(5635,25,-1.1e-05,-1.2965),(5635,35,2.2e-05,-1.2966),(5635,45,5.5e-05,-1.2967),(5635,55,8.8e-05,-1.2968),(5635,65,0.000106,-1.2968),(5635,75,0.000113,-1.2969),(5635,85,0.00012,-1.297),(5635,95,0.000127,-1.2971),(5635,105,0.000131,-1.2972),(5635,115,0.000132,-1.2973),(5635,125,0.000133,-1.2975),(5635,135,0.000134,-1.2976),(5635,145,0.000139,-1.2978),(5635,155,0.000146,-1.298),(5635,165,0.000152,-1.2982),(5635,175,0.000159,-1.2984),(5635,185,0.000166,-1.2986),(5635,195,0.000173,-1.2988),(5635,205,0.00018,-1.299),(5635,215,0.000187,-1.2993),(5635,225,0.00022,-1.2996),(5635,235,0.000263,-1.2999),(5635,245,0.000306,-1.3003),(5635,255,0.000349,-1.3007),(5635,265,0.0004,-1.3011),(5635,275,0.000452,-1.3015),(5635,285,0.000505,-1.3019),(5635,295,0.000557,-1.3024),(5635,305,0.000623,-1.3029),(5635,315,0.000692,-1.3033),(5635,325,0.000761,-1.3038),(5635,335,0.00083,-1.3043),(5635,345,0.000871,-1.3048),(5635,355,0.000907,-1.3053),(5635,365,0.000944,-1.3057),(5635,375,0.00098,-1.3062),(5635,385,0.000979,-1.3067),(5635,395,0.000973,-1.3071),(5635,405,0.000966,-1.3076),(5635,415,0.00096,-1.3081),(5635,425,0.000928,-1.3086),(5635,435,0.000894,-1.3091),(5635,445,0.00086,-1.3097),(5635,455,0.000826,-1.3103),(5635,465,0.000809,-1.3109),(5635,475,0.000793,-1.3115),(5635,485,0.000777,-1.3121),(5635,495,0.000761,-1.3128),(5635,505,0.000751,-1.3135),(5635,515,0.00074,-1.3141),(5635,525,0.00073,-1.3149),(5635,535,0.000721,-1.3157),(5635,545,0.000757,-1.3166),(5635,555,0.000793,-1.3174),(5635,565,0.000829,-1.3183),(5635,575,0.000869,-1.3192),(5635,585,0.000953,-1.3201),(5635,595,0.001038,-1.321),(5635,605,0.001122,-1.3219),(5635,615,0.001207,-1.3229),(5635,625,0.001295,-1.3238),(5635,635,0.001383,-1.3248),(5635,645,0.001471,-1.3257),(5635,655,0.001553,-1.3267),(5635,665,0.001603,-1.3276),(5635,675,0.001652,-1.3286),(5635,685,0.001702,-1.3296),(5635,695,0.001739,-1.3306),(5635,705,0.001726,-1.3316),(5635,715,0.001714,-1.3326),(5635,725,0.001701,-1.3336),(5635,735,0.001677,-1.3347),(5635,745,0.001616,-1.3357),(5635,755,0.001554,-1.3367),(5635,765,0.001493,-1.3379),(5635,775,0.001458,-1.3391),(5635,785,0.001493,-1.3403),(5635,795,0.001528,-1.3415),(5635,805,0.001564,-1.3428),(5635,815,0.001616,-1.3441),(5635,825,0.001706,-1.3454),(5635,835,0.001796,-1.3467),(5635,845,0.001886,-1.3481),(5635,855,0.001981,-1.3495),(5635,865,0.002086,-1.3508),(5635,875,0.002192,-1.3523),(5635,885,0.002298,-1.3537),(5635,895,0.002397,-1.3552),(5635,905,0.002488,-1.3567),(5635,915,0.002578,-1.3582),(5635,925,0.002668,-1.3597),(5635,935,0.002759,-1.3612),(5635,945,0.002851,-1.3627),(5635,955,0.002943,-1.3643),(5635,965,0.003035,-1.3659),(5635,975,0.003166,-1.3674),(5635,985,0.00334,-1.369),(5635,995,0.003514,-1.3706),(5635,1005,0.003689,-1.3721),(5635,1015,0.003918,-1.3737),(5635,1025,0.0042,-1.3752),(5635,1035,0.004482,-1.3767),(5635,1045,0.004764,-1.3782),(5635,1055,0.005098,-1.3797),(5635,1065,0.005474,-1.3812),(5635,1075,0.00585,-1.3826),(5635,1085,0.006226,-1.3841),(5635,1095,0.00659,-1.3856),(5635,1105,0.006945,-1.387),(5635,1115,0.0073,-1.3885),(5635,1125,0.007655,-1.39),(5635,1135,0.00753,-1.3915),(5635,1145,0.007121,-1.393),(5635,1155,0.006713,-1.3944),(5635,1165,0.006304,-1.3957),(5635,1175,0.003293,-1.397),(5635,1185,-0.001008,-1.3984),(5635,1195,-0.00531,-1.3998),(5635,1205,-0.009611,-1.4012),(5635,1215,-0.021237,-1.4027),(5635,1225,-0.035883,-1.4041),(5635,1235,-0.05053,-1.4098),(5635,1245,-0.065177,-1.4171),(5635,1255,-0.070422,-1.4243),(5635,1265,-0.07249,-1.4316),(5635,1275,-0.074558,-1.4413),(5635,1285,-0.076627,-1.4518),(5635,1295,0.001228,-1.4623),(5635,1305,0.1007,-1.4728),(5635,1315,0.20017,-1.4154),(5635,1325,0.29963,-1.3418),(5635,1335,0.17853,-1.2683),(5635,1345,0.011201,-1.1947),(5635,1355,-0.15613,-1.2447),(5635,1365,-0.32346,-1.3171),(5635,1375,-0.25695,-1.3896),(5635,1385,-0.15436,-1.462),(5635,1395,-0.051768,-1.4649),(5635,1405,0.050823,-1.4589),(5635,1415,0.066288,-1.4529),(5635,1425,0.072707,-1.4469),(5635,1435,0.079126,-1.439),(5635,1445,0.085545,-1.4309),(5635,1455,0.071235,-1.4229),(5635,1465,0.055731,-1.4149),(5635,1475,0.040227,-1.4124),(5635,1485,0.024724,-1.4102),(5635,1495,0.019105,-1.408),(5635,1505,0.013636,-1.4057),(5635,1515,0.008167,-1.4038),(5635,1525,0.002797,-1.4019),(5635,1535,0.001357,-1.3999),(5635,1545,-8.2e-05,-1.398),(5635,1555,-0.001522,-1.3961),(5635,1565,-0.002891,-1.3943),(5635,1575,-0.003226,-1.3925),(5635,1585,-0.003561,-1.3907),(5635,1595,-0.003896,-1.3891),(5635,1605,-0.004193,-1.3875),(5635,1615,-0.004165,-1.3859),(5635,1625,-0.004137,-1.3843),(5635,1635,-0.004109,-1.3828),(5635,1645,-0.004066,-1.3813),(5635,1655,-0.003936,-1.3797),(5635,1665,-0.003806,-1.3782),(5635,1675,-0.003676,-1.3767),(5635,1685,-0.003539,-1.3751),(5635,1695,-0.003368,-1.3736),(5635,1705,-0.003198,-1.372),(5635,1715,-0.003027,-1.3705),(5635,1725,-0.002848,-1.369),(5635,1735,-0.002641,-1.3675),(5635,1745,-0.002432,-1.366),(5635,1755,-0.002224,-1.3645),(5635,1765,-0.002025,-1.3631),(5635,1775,-0.001853,-1.3616),(5635,1785,-0.00168,-1.3602),(5635,1795,-0.001507,-1.3587),(5635,1805,-0.001363,-1.3573),(5635,1815,-0.001285,-1.3559),(5635,1825,-0.001206,-1.3544),(5635,1835,-0.001128,-1.353),(5635,1845,-0.001077,-1.3516),(5635,1855,-0.001078,-1.3502),(5635,1865,-0.00108,-1.3489),(5635,1875,-0.001082,-1.3475),(5635,1885,-0.001071,-1.3462),(5635,1895,-0.001041,-1.3449),(5635,1905,-0.001011,-1.3436),(5635,1915,-0.000981,-1.3424),(5635,1925,-0.000943,-1.3411),(5635,1935,-0.000896,-1.3399),(5635,1945,-0.000848,-1.3388),(5635,1955,-0.0008,-1.3376),(5635,1965,-0.000743,-1.3365),(5635,1975,-0.000673,-1.3354),(5635,1985,-0.000603,-1.3343),(5635,1995,-0.000533,-1.3331),(5635,2005,-0.000493,-1.332),(5635,2015,-0.000481,-1.3308),(5635,2025,-0.000469,-1.3297),(5635,2035,-0.000458,-1.3287),(5635,2045,-0.000456,-1.3276),(5635,2055,-0.000463,-1.3265),(5635,2065,-0.00047,-1.3255),(5635,2075,-0.000477,-1.3244),(5635,2085,-0.000473,-1.3234),(5635,2095,-0.000461,-1.3224),(5635,2105,-0.00045,-1.3214),(5635,2115,-0.000438,-1.3205),(5635,2125,-0.000409,-1.3196),(5635,2135,-0.000369,-1.3187),(5635,2145,-0.000329,-1.3178),(5635,2155,-0.000289,-1.3169),(5635,2165,-0.00026,-1.3161),(5635,2175,-0.000239,-1.3152),(5635,2185,-0.000217,-1.3143),(5635,2195,-0.000195,-1.3134),(5635,2205,-0.000186,-1.3125),(5635,2215,-0.000181,-1.3116),(5635,2225,-0.000177,-1.3107),(5635,2235,-0.000172,-1.3099),(5635,2245,-0.000142,-1.3091),(5635,2255,-0.000102,-1.3083),(5635,2265,-6.3e-05,-1.3076),(5635,2275,-2.3e-05,-1.3069),(5635,2285,7.3e-05,-1.3063),(5635,2295,0.000187,-1.3056),(5635,2305,0.0003,-1.3049),(5635,2315,0.000413,-1.3042),(5635,2325,0.000451,-1.3034),(5635,2335,0.000471,-1.3027),(5635,2345,0.000492,-1.3019),(5635,2355,0.000513,-1.3012),(5635,2365,0.000527,-1.3005),(5635,2375,0.000541,-1.2997),(5635,2385,0.000555,-1.2991),(5635,2395,0.000568,-1.2984),(5635,2405,0.000595,-1.2978),(5635,2415,0.000623,-1.2971),(5635,2425,0.000652,-1.2966),(5635,2435,0.00068,-1.296),(5635,2445,0.000716,-1.2954),(5635,2455,0.000753,-1.2949),(5635,2465,0.00079,-1.2943),(5635,2475,0.000826,-1.2938),(5635,2485,0.000853,-1.2932),(5635,2495,0.000879,-1.2926),(5635,2505,0.000905,-1.292),(5635,2515,0.000931,-1.2914),(5635,2525,0.000927,-1.2908),(5635,2535,0.000923,-1.2903),(5635,2545,0.000919,-1.2897),(5635,2555,0.000916,-1.2892),(5635,2565,0.000929,-1.2886),(5635,2575,0.000941,-1.2881),(5635,2585,0.000954,-1.2876),(5635,2595,0.00097,-1.2871),(5635,2605,0.001026,-1.2866),(5635,2615,0.001081,-1.2862),(5635,2625,0.001136,-1.2857),(5635,2635,0.001184,-1.2852),(5635,2645,0.001178,-1.2847),(5635,2655,0.001172,-1.2842),(5635,2665,0.001166,-1.2837),(5635,2675,0.001169,-1.2832),(5635,2685,0.001216,-1.2827),(5635,2695,0.001263,-1.2822),(5635,2705,0.001309,-1.2817),(5635,2715,0.001346,-1.2812),(5635,2725,0.001342,-1.2806),(5635,2735,0.001338,-1.2801),(5635,2745,0.001334,-1.2797),(5635,2755,0.00134,-1.2792),(5635,2765,0.001372,-1.2788),(5635,2775,0.001405,-1.2783),(5635,2785,0.001437,-1.2779),(5635,2795,0.001471,-1.2775),(5635,2805,0.001506,-1.2771),(5635,2815,0.001541,-1.2767),(5635,2825,0.001576,-1.2762),(5635,2835,0.001594,-1.2758),(5635,2845,0.001574,-1.2753),(5635,2855,0.001555,-1.2748),(5635,2865,0.001536,-1.2743),(5635,2875,0.001511,-1.2738),(5635,2885,0.001476,-1.2733),(5635,2895,0.001442,-1.2729),(5635,2905,0.001407,-1.2725),(5635,2915,0.001395,-1.2721),(5635,2925,0.001417,-1.2717),(5635,2935,0.001438,-1.2714),(5635,2945,0.001459,-1.271),(5635,2955,0.001495,-1.2707),(5635,2965,0.001547,-1.2704),(5635,2975,0.0016,-1.2701),(5635,2985,0.001652,-1.2697),(5635,2995,0.001682,-1.2693),(5635,3005,0.001688,-1.2689),(5635,3015,0.001694,-1.2684),(5635,3025,0.0017,-1.2679),(5635,3035,0.00167,-1.2674),(5635,3045,0.001607,-1.2668),(5635,3055,0.001545,-1.2664),(5635,3065,0.001484,-1.2661),(5635,3075,0.001535,-1.2657),(5635,3085,0.001671,-1.2653),(5635,3095,0.001808,-1.265),(5635,3105,0.001944,-1.2648),(5635,3115,0.00205,-1.2645),(5635,3125,0.002137,-1.2642),(5635,3135,0.002223,-1.2639),(5635,3145,0.00231,-1.2635),(5635,3155,0.002331,-1.2631),(5635,3165,0.002318,-1.2627),(5635,3175,0.002304,-1.2623),(5635,3185,0.00229,-1.2619),(5635,3195,0.002289,-1.2615),(5635,3205,0.002295,-1.2611),(5635,3215,0.002299,-1.2607),(5635,3225,0.002305,-1.2603),(5635,3235,0.002331,-1.26),(5635,3245,0.002366,-1.2596),(5635,3255,0.002401,-1.2593),(5635,3265,0.002436,-1.259),(5635,3275,0.002468,-1.2586),(5635,3285,0.002499,-1.2583),(5635,3295,0.00253,-1.258),(5635,3305,0.002561,-1.2577),(5635,3315,0.0026,-1.2574),(5635,3325,0.002641,-1.2571),(5635,3335,0.002681,-1.2567),(5635,3345,0.002722,-1.2562),(5635,3355,0.002716,-1.2558),(5635,3365,0.002701,-1.2554),(5635,3375,0.002686,-1.255),(5635,3385,0.002671,-1.2547),(5635,3395,0.002692,-1.2544),(5635,3405,0.002717,-1.254),(5635,3415,0.002742,-1.2539),(5635,3425,0.002767,-1.2538),(5635,3435,0.002908,-1.2536),(5635,3445,0.003058,-1.2535),(5635,3455,0.003208,-1.2531),(5635,3465,0.003358,-1.2528),(5635,3475,0.003309,-1.2524),(5635,3485,0.003253,-1.252),(5635,3495,0.003197,-1.2517),(5635,3505,0.003141,-1.2514),(5635,3515,0.003224,-1.2511),(5635,3525,0.003306,-1.2508),(5635,3535,0.003389,-1.2504),(5635,3545,0.003471,-1.25),(5635,3555,0.003536,-1.2496),(5635,3565,0.003601,-1.2492),(5635,3575,0.003667,-1.2489),(5635,3585,0.003726,-1.2486),(5635,3595,0.003726,-1.2483),(5635,3605,0.003725,-1.248),(5635,3615,0.003724,-1.2478),(5635,3625,0.003727,-1.2477),(5635,3635,0.003753,-1.2475),(5635,3645,0.003779,-1.2473),(5635,3655,0.003804,-1.2469),(5635,3665,0.003804,-1.2465),(5635,3675,0.003671,-1.246),(5635,3685,0.003537,-1.2457),(5635,3695,0.003404,-1.2455),(5635,3705,0.00328,-1.2454),(5635,3715,0.003194,-1.2452),(5635,3725,0.003108,-1.2451),(5635,3735,0.003022,-1.2449),(5635,3745,0.002888,-1.2448),(5635,3755,0.002608,-1.2447),(5635,3765,0.002328,-1.2446),(5635,3775,0.002048,-1.2445),(5635,3785,0.001667,-1.2445),(5635,3795,0.001029,-1.2444),(5635,3805,0.000392,-1.2444),(5635,3815,-0.000246,-1.2447),(5635,3825,-0.001084,-1.2449),(5635,3835,-0.002345,-1.2452),(5635,3845,-0.003606,-1.2455),(5635,3855,-0.004867,-1.246),(5635,3865,-0.006866,-1.2465),(5635,3875,-0.01017,-1.247),(5635,3885,-0.013473,-1.2479),(5635,3895,-0.016777,-1.2493),(5635,3905,-0.021765,-1.2507),(5635,3915,-0.02927,-1.2521),(5635,3925,-0.036774,-1.2553),(5635,3935,-0.044278,-1.261),(5635,3945,-0.047755,-1.2667),(5635,3955,-0.046119,-1.2723),(5635,3965,-0.044483,-1.2787),(5635,3975,-0.042847,-1.2858),(5635,3985,0.010718,-1.293),(5635,3995,0.1205,-1.3001),(5635,4005,0.23027,-1.2602),(5635,4015,0.34005,-1.1731),(5635,4025,0.37728,-1.086),(5635,4035,0.4074,-1.0269),(5635,4045,0.43753,-1.0267),(5635,4055,0.50727,-1.0264),(5635,4065,0.59146,-1.0261),(5635,4075,0.67565,-1.0257),(5635,4085,0.71326,-1.0254),(5635,4095,0.71342,-1.025),(5635,4105,0.71359,-1.0248),(5635,4115,0.71386,-1.0246),(5635,4125,0.71429,-1.0244),(5635,4135,0.71473,-1.0243),(5635,4145,0.71525,-1.0241),(5635,4155,0.7161,-1.024),(5635,4165,0.71696,-1.0239),(5635,4175,0.71782,-1.0237),(5635,4185,0.7191,-1.0236),(5635,4195,0.72038,-1.0234),(5635,4205,0.72166,-1.0232),(5635,4215,0.72328,-1.023),(5635,4225,0.72497,-1.0228),(5635,4235,0.72665,-1.0225),(5635,4245,0.72861,-1.0221),(5635,4255,0.73071,-1.0218),(5635,4265,0.73281,-1.0213),(5635,4275,0.73512,-1.0208),(5635,4285,0.73765,-1.0203),(5635,4295,0.74019,-1.0196),(5635,4305,0.74284,-1.0189),(5635,4315,0.74578,-1.0182),(5635,4325,0.74871,-1.0173),(5635,4335,0.75169,-1.0164),(5635,4345,0.75498,-1.0154),(5635,4355,0.75827,-1.0143),(5635,4365,0.76156,-1.0132),(5635,4375,0.76511,-1.012),(5635,4385,0.76869,-1.0107),(5635,4395,0.77226,-1.0092),(5635,4405,0.77601,-1.0078),(5635,4415,0.77981,-1.0063),(5635,4425,0.78362,-1.0045),(5635,4435,0.78753,-1.0028),(5635,4445,0.79151,-1.001),(5635,4455,0.79549,-0.99906),(5635,4465,0.79955,-0.99708),(5635,4475,0.80371,-0.9951),(5635,4485,0.80788,-0.99293),(5635,4495,0.81207,-0.99073),(5635,4505,0.81636,-0.98852),(5635,4515,0.82065,-0.9862),(5635,4525,0.82494,-0.98381),(5635,4535,0.82933,-0.98143),(5635,4545,0.83372,-0.97897),(5635,4555,0.83811,-0.97642),(5635,4565,0.84257,-0.97387),(5635,4575,0.84705,-0.97127),(5635,4585,0.85152,-0.96853),(5635,4595,0.85603,-0.9658),(5635,4605,0.86056,-0.96304),(5635,4615,0.86509,-0.96016),(5635,4625,0.86963,-0.95727),(5635,4635,0.87418,-0.95438),(5635,4645,0.87873,-0.95133),(5635,4655,0.88328,-0.94827),(5635,4665,0.88782,-0.94521),(5635,4675,0.89237,-0.94208),(5635,4685,0.89691,-0.93892),(5635,4695,0.90142,-0.93577),(5635,4705,0.90594,-0.93256),(5635,4715,0.91046,-0.92931),(5635,4725,0.91496,-0.92605),(5635,4735,0.91945,-0.92275),(5635,4745,0.92395,-0.91937),(5635,4755,0.92846,-0.91599),(5635,4765,0.93297,-0.91258),(5635,4775,0.93748,-0.90908),(5635,4785,0.94197,-0.90558),(5635,4795,0.94645,-0.90207),(5635,4805,0.95094,-0.8985),(5635,4815,0.95541,-0.89492),(5635,4825,0.95986,-0.89135),(5635,4835,0.96431,-0.88768),(5635,4845,0.96875,-0.884),(5635,4855,0.97315,-0.88031),(5635,4865,0.97756,-0.87653),(5635,4875,0.98196,-0.8727),(5635,4885,0.98631,-0.86887),(5635,4895,0.99066,-0.86497),(5635,4905,0.99501,-0.86102),(5635,4915,0.99932,-0.85706),(5635,4925,1.0036,-0.85307),(5635,4935,1.008,-0.84901),(5635,4945,1.0123,-0.84496),(5635,4955,1.0165,-0.84089),(5635,4965,1.0208,-0.8368),(5635,4975,1.0251,-0.8327),(5635,4985,1.0294,-0.8286),(5635,4995,1.0336,-0.82444),(5635,5005,1.0378,-0.82027),(5635,5015,1.042,-0.81611),(5635,5025,1.0462,-0.81188),(5635,5035,1.0504,-0.80763),(5635,5045,1.0546,-0.80338),(5635,5055,1.0587,-0.79909),(5635,5065,1.0628,-0.79476),(5635,5075,1.0669,-0.79043),(5635,5085,1.071,-0.78607),(5635,5095,1.0751,-0.78168),(5635,5105,1.0791,-0.77729),(5635,5115,1.0831,-0.7729),(5635,5125,1.0871,-0.76851),(5635,5135,1.0911,-0.76412),(5635,5145,1.0951,-0.75973),(5635,5155,1.0991,-0.75529),(5635,5165,1.103,-0.75085),(5635,5175,1.1069,-0.74641),(5635,5185,1.1109,-0.74193),(5635,5195,1.1148,-0.73745),(5635,5205,1.1186,-0.73296),(5635,5215,1.1225,-0.72847),(5635,5225,1.1263,-0.72397),(5635,5235,1.1302,-0.71948),(5635,5245,1.134,-0.71498),(5635,5255,1.1378,-0.71047),(5635,5265,1.1416,-0.70596),(5635,5275,1.1454,-0.70144),(5635,5285,1.1491,-0.6969),(5635,5295,1.1529,-0.69237),(5635,5305,1.1566,-0.68783),(5635,5315,1.1603,-0.68323),(5635,5325,1.164,-0.67864),(5635,5335,1.1676,-0.67405),(5635,5345,1.1713,-0.66942),(5635,5355,1.175,-0.6648),(5635,5365,1.1786,-0.66017),(5635,5375,1.1822,-0.65555),(5635,5385,1.1858,-0.65092),(5635,5395,1.1894,-0.6463),(5635,5405,1.193,-0.64167),(5635,5415,1.1966,-0.63704),(5635,5425,1.2001,-0.6324),(5635,5435,1.2036,-0.62775),(5635,5445,1.2072,-0.62308),(5635,5455,1.2107,-0.61841),(5635,5465,1.2142,-0.61373),(5635,5475,1.2176,-0.609),(5635,5485,1.2211,-0.60428),(5635,5495,1.2245,-0.59955),(5635,5505,1.2279,-0.59475),(5635,5515,1.2313,-0.58996),(5635,5525,1.2347,-0.58516),(5635,5535,1.2381,-0.58034),(5635,5545,1.2414,-0.57551),(5635,5555,1.2447,-0.57068),(5635,5565,1.2481,-0.56585),(5635,5575,1.2514,-0.56101),(5635,5585,1.2546,-0.55618),(5635,5595,1.2579,-0.55131),(5635,5605,1.2612,-0.54643),(5635,5615,1.2644,-0.54154),(5635,5625,1.2676,-0.53665),(5635,5635,1.2709,-0.53175),(5635,5645,1.274,-0.52684),(5635,5655,1.2772,-0.52194),(5635,5665,1.2804,-0.51705),(5635,5675,1.2836,-0.51215),(5635,5685,1.2867,-0.50725),(5635,5695,1.2898,-0.50228),(5635,5705,1.2929,-0.49731),(5635,5715,1.296,-0.49233),(5635,5725,1.2991,-0.4873),(5635,5735,1.3021,-0.48226),(5635,5745,1.3051,-0.47722),(5635,5755,1.3081,-0.47216),(5635,5765,1.3111,-0.46709),(5635,5775,1.314,-0.46203),(5635,5785,1.3169,-0.45693),(5635,5795,1.3199,-0.45181),(5635,5805,1.3227,-0.44669),(5635,5815,1.3256,-0.44154),(5635,5825,1.3285,-0.43634),(5635,5835,1.3313,-0.43115),(5635,5845,1.334,-0.42595),(5635,5855,1.3368,-0.42072),(5635,5865,1.3396,-0.41549),(5635,5875,1.3423,-0.41026),(5635,5885,1.345,-0.40504),(5635,5895,1.3477,-0.39982),(5635,5905,1.3503,-0.39461),(5635,5915,1.353,-0.38933),(5635,5925,1.3556,-0.38404),(5635,5935,1.3582,-0.37874),(5635,5945,1.3607,-0.37338),(5635,5955,1.3633,-0.36797),(5635,5965,1.3657,-0.36256),(5635,5975,1.3682,-0.35714),(5635,5985,1.3706,-0.35169),(5635,5995,1.373,-0.34624),(5635,6005,1.3754,-0.34079),(5635,6015,1.3778,-0.33534),(5635,6025,1.3801,-0.3299),(5635,6035,1.3824,-0.32445),(5635,6045,1.3846,-0.31898),(5635,6055,1.3869,-0.3135),(5635,6065,1.3891,-0.30803),(5635,6075,1.3913,-0.3025),(5635,6085,1.3934,-0.29696),(5635,6095,1.3955,-0.29143),(5635,6105,1.3976,-0.28583),(5635,6115,1.3997,-0.2802),(5635,6125,1.4016,-0.27458),(5635,6135,1.4036,-0.26891),(5635,6145,1.4056,-0.26322),(5635,6155,1.4075,-0.25753),(5635,6165,1.4093,-0.25183),(5635,6175,1.4112,-0.2461),(5635,6185,1.4129,-0.24037),(5635,6195,1.4147,-0.23464),(5635,6205,1.4164,-0.22887),(5635,6215,1.4181,-0.2231),(5635,6225,1.4197,-0.21733),(5635,6235,1.4213,-0.21155),(5635,6245,1.4228,-0.20577),(5635,6255,1.4243,-0.2),(5635,6265,1.4258,-0.19419),(5635,6275,1.4273,-0.18837),(5635,6285,1.4287,-0.18255),(5635,6295,1.4301,-0.17668),(5635,6305,1.4314,-0.17079),(5635,6315,1.4327,-0.16489),(5635,6325,1.434,-0.15901),(5635,6335,1.4352,-0.15313),(5635,6345,1.4364,-0.14726),(5635,6355,1.4375,-0.14137),(5635,6365,1.4386,-0.13543),(5635,6375,1.4396,-0.1295),(5635,6385,1.4406,-0.12355),(5635,6395,1.4415,-0.11753),(5635,6405,1.4424,-0.11151),(5635,6415,1.4432,-0.1055),(5635,6425,1.444,-0.099529),(5635,6435,1.4448,-0.093563),(5635,6445,1.4455,-0.087598),(5635,6455,1.4461,-0.0816),(5635,6465,1.4468,-0.075593),(5635,6475,1.4473,-0.069585),(5635,6485,1.4478,-0.063597),(5635,6495,1.4484,-0.057622),(5635,6505,1.4488,-0.051647),(5635,6515,1.4491,-0.045644),(5635,6525,1.4495,-0.039603),(5635,6535,1.4498,-0.033561),(5635,6545,1.45,-0.027523),(5635,6555,1.4503,-0.021494),(5635,6565,1.4504,-0.015464),(5635,6575,1.4505,-0.00943),(5635,6585,1.4505,-0.003324),(5635,6595,1.2338,0.002782),(5635,6605,0.77754,0.008888),(5635,6615,0.32133,0.009552),(5635,6625,0.000636,0.009516),(5635,6635,0.000663,0.00948),(5635,6645,0.00069,0.009477),(5635,6655,0.000717,0.009487),(5635,6665,0.000744,0.009497),(5635,6675,0.00077,0.009507),(5635,6685,0.000796,0.009516),(5635,6695,0.000821,0.009526),(5635,6705,0.000846,0.009535),(5635,6715,0.000872,0.009544),(5635,6725,0.000896,0.009553),(5635,6735,0.00092,0.009562),(5635,6745,0.000945,0.00957),(5635,6755,0.000968,0.009579),(5635,6765,0.000992,0.009587),(5635,6775,0.001015,0.009595),(5635,6785,0.001038,0.009602),(5635,6795,0.001061,0.00961),(5635,6805,0.001083,0.009617),(5635,6815,0.001105,0.009624),(5635,6825,0.001127,0.009631),(5635,6835,0.001149,0.009637),(5635,6845,0.001171,0.009643),(5635,6855,0.001192,0.009649),(5635,6865,0.001213,0.009655),(5635,6875,0.001234,0.00966),(5635,6885,0.001254,0.009666),(5635,6895,0.001274,0.009671),(5635,6905,0.001295,0.009675),(5635,6915,0.001315,0.00968),(5635,6925,0.001334,0.009685),(5635,6935,0.001354,0.009688),(5635,6945,0.001373,0.009692),(5635,6955,0.001392,0.009696),(5635,6965,0.001411,0.009699),(5635,6975,0.00143,0.009702),(5635,6985,0.001448,0.009705),(5645,5,3e-06,-1.4008),(5645,15,9e-06,-1.4009),(5645,25,2.8e-05,-1.401),(5645,35,5.8e-05,-1.4012),(5645,45,8.9e-05,-1.4013),(5645,55,0.000119,-1.4014),(5645,65,0.000135,-1.4014),(5645,75,0.000139,-1.4015),(5645,85,0.000144,-1.4016),(5645,95,0.000149,-1.4017),(5645,105,0.000146,-1.4019),(5645,115,0.000139,-1.402),(5645,125,0.000132,-1.4021),(5645,135,0.000125,-1.4023),(5645,145,0.000122,-1.4025),(5645,155,0.00012,-1.4027),(5645,165,0.000118,-1.4029),(5645,175,0.000116,-1.4031),(5645,185,0.00012,-1.4033),(5645,195,0.000128,-1.4035),(5645,205,0.000135,-1.4038),(5645,215,0.000142,-1.4041),(5645,225,0.00018,-1.4045),(5645,235,0.000229,-1.4048),(5645,245,0.000279,-1.4052),(5645,255,0.000328,-1.4056),(5645,265,0.000393,-1.406),(5645,275,0.000463,-1.4064),(5645,285,0.000533,-1.4069),(5645,295,0.000603,-1.4074),(5645,305,0.000681,-1.4079),(5645,315,0.000761,-1.4084),(5645,325,0.000841,-1.4089),(5645,335,0.000921,-1.4095),(5645,345,0.000965,-1.41),(5645,355,0.001002,-1.4105),(5645,365,0.001038,-1.4111),(5645,375,0.001076,-1.4116),(5645,385,0.001065,-1.4121),(5645,395,0.001048,-1.4126),(5645,405,0.00103,-1.4131),(5645,415,0.001013,-1.4137),(5645,425,0.000966,-1.4142),(5645,435,0.000917,-1.4148),(5645,445,0.000868,-1.4154),(5645,455,0.000819,-1.416),(5645,465,0.000791,-1.4166),(5645,475,0.000763,-1.4173),(5645,485,0.000736,-1.418),(5645,495,0.000709,-1.4187),(5645,505,0.000707,-1.4194),(5645,515,0.000705,-1.4201),(5645,525,0.000703,-1.421),(5645,535,0.000702,-1.4219),(5645,545,0.000749,-1.4227),(5645,555,0.000796,-1.4236),(5645,565,0.000842,-1.4246),(5645,575,0.000892,-1.4255),(5645,585,0.000982,-1.4265),(5645,595,0.001071,-1.4275),(5645,605,0.001161,-1.4285),(5645,615,0.00125,-1.4295),(5645,625,0.001337,-1.4306),(5645,635,0.001423,-1.4316),(5645,645,0.001509,-1.4326),(5645,655,0.001589,-1.4337),(5645,665,0.001633,-1.4347),(5645,675,0.001677,-1.4358),(5645,685,0.001721,-1.4369),(5645,695,0.001752,-1.4379),(5645,705,0.001728,-1.439),(5645,715,0.001704,-1.4401),(5645,725,0.00168,-1.4412),(5645,735,0.001646,-1.4423),(5645,745,0.001584,-1.4434),(5645,755,0.001522,-1.4446),(5645,765,0.001459,-1.4459),(5645,775,0.00142,-1.4471),(5645,785,0.001445,-1.4484),(5645,795,0.001469,-1.4497),(5645,805,0.001494,-1.4511),(5645,815,0.001537,-1.4525),(5645,825,0.001621,-1.4539),(5645,835,0.001704,-1.4553),(5645,845,0.001788,-1.4568),(5645,855,0.00188,-1.4583),(5645,865,0.00199,-1.4598),(5645,875,0.002099,-1.4613),(5645,885,0.002209,-1.4629),(5645,895,0.002313,-1.4645),(5645,905,0.00241,-1.4661),(5645,915,0.002507,-1.4677),(5645,925,0.002603,-1.4693),(5645,935,0.002698,-1.471),(5645,945,0.00279,-1.4726),(5645,955,0.002883,-1.4743),(5645,965,0.002975,-1.476),(5645,975,0.003099,-1.4777),(5645,985,0.003259,-1.4794),(5645,995,0.003419,-1.4811),(5645,1005,0.003578,-1.4827),(5645,1015,0.003785,-1.4844),(5645,1025,0.004038,-1.4861),(5645,1035,0.004291,-1.4877),(5645,1045,0.004544,-1.4893),(5645,1055,0.004848,-1.4909),(5645,1065,0.005193,-1.4925),(5645,1075,0.005539,-1.4941),(5645,1085,0.005884,-1.4956),(5645,1095,0.006227,-1.4971),(5645,1105,0.006566,-1.4987),(5645,1115,0.006906,-1.5002),(5645,1125,0.007246,-1.5018),(5645,1135,0.007088,-1.5033),(5645,1145,0.006635,-1.5049),(5645,1155,0.006183,-1.5064),(5645,1165,0.00573,-1.5079),(5645,1175,0.002746,-1.5093),(5645,1185,-0.001495,-1.5108),(5645,1195,-0.005737,-1.513),(5645,1205,-0.009978,-1.5154),(5645,1215,-0.020308,-1.5179),(5645,1225,-0.033151,-1.5203),(5645,1235,-0.045993,-1.5284),(5645,1245,-0.058836,-1.5387),(5645,1255,-0.063464,-1.5489),(5645,1265,-0.065317,-1.5591),(5645,1275,-0.06717,-1.5669),(5645,1285,-0.069023,-1.5741),(5645,1295,-0.013158,-1.5812),(5645,1305,0.058316,-1.5883),(5645,1315,0.12979,-1.507),(5645,1325,0.20126,-1.4045),(5645,1335,0.11796,-1.3019),(5645,1345,0.002226,-1.1994),(5645,1355,-0.11351,-1.2696),(5645,1365,-0.22925,-1.3711),(5645,1375,-0.17843,-1.4726),(5645,1385,-0.10192,-1.5741),(5645,1395,-0.025407,-1.5843),(5645,1405,0.051106,-1.5828),(5645,1415,0.062834,-1.5813),(5645,1425,0.067834,-1.5797),(5645,1435,0.072835,-1.5689),(5645,1445,0.077836,-1.5573),(5645,1455,0.06516,-1.5456),(5645,1465,0.051467,-1.534),(5645,1475,0.037773,-1.5302),(5645,1485,0.02408,-1.5266),(5645,1495,0.018593,-1.523),(5645,1505,0.01323,-1.5195),(5645,1515,0.007867,-1.5172),(5645,1525,0.002602,-1.515),(5645,1535,0.001189,-1.5127),(5645,1545,-0.000224,-1.5105),(5645,1555,-0.001637,-1.5085),(5645,1565,-0.002978,-1.5065),(5645,1575,-0.003264,-1.5046),(5645,1585,-0.003551,-1.5026),(5645,1595,-0.003838,-1.5009),(5645,1605,-0.00409,-1.4992),(5645,1615,-0.004047,-1.4975),(5645,1625,-0.004005,-1.4958),(5645,1635,-0.003962,-1.4942),(5645,1645,-0.003907,-1.4926),(5645,1655,-0.003784,-1.4909),(5645,1665,-0.003661,-1.4893),(5645,1675,-0.003538,-1.4876),(5645,1685,-0.003409,-1.486),(5645,1695,-0.003253,-1.4843),(5645,1705,-0.003096,-1.4826),(5645,1715,-0.00294,-1.481),(5645,1725,-0.002774,-1.4794),(5645,1735,-0.002575,-1.4777),(5645,1745,-0.002376,-1.4761),(5645,1755,-0.002177,-1.4745),(5645,1765,-0.001985,-1.473),(5645,1775,-0.001815,-1.4714),(5645,1785,-0.001645,-1.4699),(5645,1795,-0.001475,-1.4683),(5645,1805,-0.001332,-1.4667),(5645,1815,-0.00125,-1.4652),(5645,1825,-0.001169,-1.4637),(5645,1835,-0.001087,-1.4622),(5645,1845,-0.001032,-1.4607),(5645,1855,-0.001031,-1.4592),(5645,1865,-0.001029,-1.4577),(5645,1875,-0.001028,-1.4562),(5645,1885,-0.001017,-1.4548),(5645,1895,-0.000992,-1.4533),(5645,1905,-0.000967,-1.452),(5645,1915,-0.000942,-1.4506),(5645,1925,-0.000905,-1.4493),(5645,1935,-0.000851,-1.448),(5645,1945,-0.000797,-1.4467),(5645,1955,-0.000742,-1.4455),(5645,1965,-0.000684,-1.4443),(5645,1975,-0.000622,-1.4431),(5645,1985,-0.000559,-1.4419),(5645,1995,-0.000497,-1.4407),(5645,2005,-0.000461,-1.4394),(5645,2015,-0.000451,-1.4382),(5645,2025,-0.000441,-1.437),(5645,2035,-0.000432,-1.4358),(5645,2045,-0.000435,-1.4347),(5645,2055,-0.000448,-1.4335),(5645,2065,-0.000461,-1.4324),(5645,2075,-0.000475,-1.4313),(5645,2085,-0.000477,-1.4302),(5645,2095,-0.000471,-1.4291),(5645,2105,-0.000466,-1.428),(5645,2115,-0.00046,-1.427),(5645,2125,-0.000433,-1.426),(5645,2135,-0.000394,-1.425),(5645,2145,-0.000354,-1.4241),(5645,2155,-0.000315,-1.4231),(5645,2165,-0.000294,-1.4222),(5645,2175,-0.000283,-1.4213),(5645,2185,-0.000272,-1.4203),(5645,2195,-0.000261,-1.4193),(5645,2205,-0.000259,-1.4184),(5645,2215,-0.00026,-1.4174),(5645,2225,-0.000262,-1.4164),(5645,2235,-0.000264,-1.4156),(5645,2245,-0.000224,-1.4147),(5645,2255,-0.000169,-1.4138),(5645,2265,-0.000114,-1.413),(5645,2275,-5.9e-05,-1.4123),(5645,2285,3.8e-05,-1.4116),(5645,2295,0.000147,-1.4109),(5645,2305,0.000256,-1.4101),(5645,2315,0.000366,-1.4093),(5645,2325,0.000406,-1.4085),(5645,2335,0.00043,-1.4077),(5645,2345,0.000455,-1.407),(5645,2355,0.00048,-1.4062),(5645,2365,0.000499,-1.4054),(5645,2375,0.000517,-1.4046),(5645,2385,0.000534,-1.4039),(5645,2395,0.000552,-1.4032),(5645,2405,0.000587,-1.4025),(5645,2415,0.000624,-1.4018),(5645,2425,0.000661,-1.4011),(5645,2435,0.000698,-1.4005),(5645,2445,0.000738,-1.3999),(5645,2455,0.000778,-1.3993),(5645,2465,0.000818,-1.3987),(5645,2475,0.000858,-1.3981),(5645,2485,0.000878,-1.3975),(5645,2495,0.000897,-1.3969),(5645,2505,0.000917,-1.3962),(5645,2515,0.000936,-1.3956),(5645,2525,0.000931,-1.395),(5645,2535,0.000927,-1.3943),(5645,2545,0.000923,-1.3937),(5645,2555,0.00092,-1.3931),(5645,2565,0.000938,-1.3925),(5645,2575,0.000956,-1.3919),(5645,2585,0.000974,-1.3914),(5645,2595,0.000995,-1.3909),(5645,2605,0.001047,-1.3904),(5645,2615,0.001099,-1.3899),(5645,2625,0.00115,-1.3894),(5645,2635,0.001195,-1.3889),(5645,2645,0.001194,-1.3883),(5645,2655,0.001192,-1.3878),(5645,2665,0.00119,-1.3873),(5645,2675,0.001193,-1.3868),(5645,2685,0.001218,-1.3862),(5645,2695,0.001243,-1.3857),(5645,2705,0.001267,-1.3851),(5645,2715,0.001286,-1.3845),(5645,2725,0.001282,-1.384),(5645,2735,0.001279,-1.3834),(5645,2745,0.001275,-1.3829),(5645,2755,0.001281,-1.3824),(5645,2765,0.001317,-1.3819),(5645,2775,0.001352,-1.3814),(5645,2785,0.001387,-1.381),(5645,2795,0.001422,-1.3806),(5645,2805,0.001456,-1.3801),(5645,2815,0.001491,-1.3797),(5645,2825,0.001526,-1.3792),(5645,2835,0.001541,-1.3787),(5645,2845,0.001517,-1.3782),(5645,2855,0.001494,-1.3777),(5645,2865,0.00147,-1.3771),(5645,2875,0.001442,-1.3766),(5645,2885,0.001405,-1.3761),(5645,2895,0.001368,-1.3756),(5645,2905,0.001331,-1.3751),(5645,2915,0.00132,-1.3747),(5645,2925,0.001345,-1.3743),(5645,2935,0.00137,-1.3739),(5645,2945,0.001396,-1.3736),(5645,2955,0.00143,-1.3732),(5645,2965,0.001476,-1.3729),(5645,2975,0.001523,-1.3725),(5645,2985,0.001569,-1.3721),(5645,2995,0.001583,-1.3717),(5645,3005,0.001564,-1.3713),(5645,3015,0.001544,-1.3708),(5645,3025,0.001525,-1.3702),(5645,3035,0.001483,-1.3697),(5645,3045,0.001422,-1.3691),(5645,3055,0.001361,-1.3686),(5645,3065,0.001299,-1.3682),(5645,3075,0.001348,-1.3678),(5645,3085,0.001479,-1.3674),(5645,3095,0.001611,-1.367),(5645,3105,0.001743,-1.3667),(5645,3115,0.001857,-1.3664),(5645,3125,0.001961,-1.3661),(5645,3135,0.002064,-1.3658),(5645,3145,0.002168,-1.3654),(5645,3155,0.002201,-1.365),(5645,3165,0.002197,-1.3646),(5645,3175,0.002193,-1.3641),(5645,3185,0.002188,-1.3637),(5645,3195,0.00219,-1.3632),(5645,3205,0.002193,-1.3628),(5645,3215,0.002197,-1.3624),(5645,3225,0.002201,-1.362),(5645,3235,0.002227,-1.3616),(5645,3245,0.002263,-1.3612),(5645,3255,0.002298,-1.3609),(5645,3265,0.002333,-1.3605),(5645,3275,0.00237,-1.3601),(5645,3285,0.002408,-1.3598),(5645,3295,0.002445,-1.3594),(5645,3305,0.002483,-1.3591),(5645,3315,0.002512,-1.3588),(5645,3325,0.002539,-1.3585),(5645,3335,0.002566,-1.358),(5645,3345,0.002593,-1.3576),(5645,3355,0.002585,-1.3571),(5645,3365,0.00257,-1.3567),(5645,3375,0.002556,-1.3563),(5645,3385,0.002542,-1.3559),(5645,3395,0.002592,-1.3555),(5645,3405,0.00265,-1.3551),(5645,3415,0.002709,-1.355),(5645,3425,0.002767,-1.3548),(5645,3435,0.002901,-1.3547),(5645,3445,0.003042,-1.3545),(5645,3455,0.003182,-1.3542),(5645,3465,0.003322,-1.3538),(5645,3475,0.003285,-1.3534),(5645,3485,0.003242,-1.353),(5645,3495,0.003198,-1.3527),(5645,3505,0.003156,-1.3523),(5645,3515,0.003206,-1.352),(5645,3525,0.003256,-1.3517),(5645,3535,0.003306,-1.3512),(5645,3545,0.003357,-1.3508),(5645,3555,0.003424,-1.3504),(5645,3565,0.00349,-1.35),(5645,3575,0.003557,-1.3496),(5645,3585,0.00362,-1.3493),(5645,3595,0.003649,-1.349),(5645,3605,0.003677,-1.3486),(5645,3615,0.003706,-1.3485),(5645,3625,0.003732,-1.3483),(5645,3635,0.003737,-1.3481),(5645,3645,0.003743,-1.3479),(5645,3655,0.003749,-1.3475),(5645,3665,0.003735,-1.347),(5645,3675,0.003621,-1.3466),(5645,3685,0.003507,-1.3462),(5645,3695,0.003393,-1.346),(5645,3705,0.003288,-1.3458),(5645,3715,0.003213,-1.3456),(5645,3725,0.003139,-1.3455),(5645,3735,0.003064,-1.3454),(5645,3745,0.002946,-1.3452),(5645,3755,0.002694,-1.3451),(5645,3765,0.002441,-1.345),(5645,3775,0.002188,-1.345),(5645,3785,0.001844,-1.3449),(5645,3795,0.001269,-1.3449),(5645,3805,0.000693,-1.345),(5645,3815,0.000117,-1.3452),(5645,3825,-0.000655,-1.3455),(5645,3835,-0.001841,-1.3458),(5645,3845,-0.003027,-1.3462),(5645,3855,-0.004214,-1.3469),(5645,3865,-0.006069,-1.3476),(5645,3875,-0.009107,-1.3482),(5645,3885,-0.012145,-1.3494),(5645,3895,-0.015183,-1.3513),(5645,3905,-0.019516,-1.3532),(5645,3915,-0.025783,-1.3551),(5645,3925,-0.03205,-1.3591),(5645,3935,-0.038317,-1.3659),(5645,3945,-0.041135,-1.3727),(5645,3955,-0.039572,-1.3794),(5645,3965,-0.03801,-1.3846),(5645,3975,-0.036448,-1.388),(5645,3985,0.000278,-1.3913),(5645,3995,0.075068,-1.3946),(5645,4005,0.14986,-1.3382),(5645,4015,0.22465,-1.222),(5645,4025,0.29238,-1.1058),(5645,4035,0.35943,-1.0269),(5645,4045,0.42648,-1.0266),(5645,4055,0.50596,-1.0263),(5645,4065,0.58999,-1.026),(5645,4075,0.67401,-1.0256),(5645,4085,0.71156,-1.0251),(5645,4095,0.71176,-1.0247),(5645,4105,0.71195,-1.0244),(5645,4115,0.71225,-1.0242),(5645,4125,0.7127,-1.0239),(5645,4135,0.71315,-1.0237),(5645,4145,0.71368,-1.0235),(5645,4155,0.71452,-1.0233),(5645,4165,0.71537,-1.0231),(5645,4175,0.71622,-1.0229),(5645,4185,0.71748,-1.0227),(5645,4195,0.71874,-1.0224),(5645,4205,0.72,-1.0222),(5645,4215,0.72159,-1.022),(5645,4225,0.72324,-1.0217),(5645,4235,0.72489,-1.0214),(5645,4245,0.72681,-1.021),(5645,4255,0.72885,-1.0206),(5645,4265,0.7309,-1.02),(5645,4275,0.73315,-1.0195),(5645,4285,0.73562,-1.0189),(5645,4295,0.73808,-1.0183),(5645,4305,0.74067,-1.0175),(5645,4315,0.74352,-1.0168),(5645,4325,0.74638,-1.0159),(5645,4335,0.74928,-1.015),(5645,4345,0.75248,-1.014),(5645,4355,0.75568,-1.013),(5645,4365,0.75889,-1.0118),(5645,4375,0.76236,-1.0106),(5645,4385,0.76585,-1.0094),(5645,4395,0.76934,-1.008),(5645,4405,0.77302,-1.0065),(5645,4415,0.77674,-1.0051),(5645,4425,0.78047,-1.0034),(5645,4435,0.7843,-1.0017),(5645,4445,0.78822,-0.99994),(5645,4455,0.79213,-0.99799),(5645,4465,0.79612,-0.99603),(5645,4475,0.8002,-0.99407),(5645,4485,0.80428,-0.99194),(5645,4495,0.80839,-0.98976),(5645,4505,0.81261,-0.98758),(5645,4515,0.81682,-0.98529),(5645,4525,0.82104,-0.98293),(5645,4535,0.82535,-0.98057),(5645,4545,0.82967,-0.97813),(5645,4555,0.83399,-0.9756),(5645,4565,0.83839,-0.97307),(5645,4575,0.8428,-0.97049),(5645,4585,0.84721,-0.96777),(5645,4595,0.85166,-0.96505),(5645,4605,0.85614,-0.96232),(5645,4615,0.86061,-0.95945),(5645,4625,0.86509,-0.95658),(5645,4635,0.86959,-0.95371),(5645,4645,0.87409,-0.95067),(5645,4655,0.87859,-0.94763),(5645,4665,0.88309,-0.94459),(5645,4675,0.88759,-0.94147),(5645,4685,0.89209,-0.93833),(5645,4695,0.89656,-0.93519),(5645,4705,0.90104,-0.932),(5645,4715,0.90552,-0.92876),(5645,4725,0.90998,-0.92551),(5645,4735,0.91444,-0.92222),(5645,4745,0.9189,-0.91884),(5645,4755,0.92337,-0.91546),(5645,4765,0.92783,-0.91206),(5645,4775,0.93229,-0.90858),(5645,4785,0.93675,-0.90509),(5645,4795,0.94119,-0.90161),(5645,4805,0.94563,-0.89806),(5645,4815,0.95006,-0.89451),(5645,4825,0.95447,-0.89096),(5645,4835,0.95888,-0.88732),(5645,4845,0.96328,-0.88367),(5645,4855,0.96765,-0.88001),(5645,4865,0.97202,-0.87626),(5645,4875,0.97638,-0.87247),(5645,4885,0.98069,-0.86867),(5645,4895,0.985,-0.86481),(5645,4905,0.98931,-0.86088),(5645,4915,0.99358,-0.85695),(5645,4925,0.99785,-0.85299),(5645,4935,1.0021,-0.84896),(5645,4945,1.0064,-0.84493),(5645,4955,1.0106,-0.84089),(5645,4965,1.0149,-0.83682),(5645,4975,1.0191,-0.83276),(5645,4985,1.0233,-0.82869),(5645,4995,1.0276,-0.82456),(5645,5005,1.0318,-0.82042),(5645,5015,1.0359,-0.81628),(5645,5025,1.0401,-0.81208),(5645,5035,1.0443,-0.80787),(5645,5045,1.0484,-0.80365),(5645,5055,1.0525,-0.79938),(5645,5065,1.0566,-0.79508),(5645,5075,1.0607,-0.79077),(5645,5085,1.0647,-0.78644),(5645,5095,1.0688,-0.78207),(5645,5105,1.0728,-0.7777),(5645,5115,1.0768,-0.77333),(5645,5125,1.0808,-0.76895),(5645,5135,1.0848,-0.76458),(5645,5145,1.0887,-0.76021),(5645,5155,1.0927,-0.75578),(5645,5165,1.0966,-0.75136),(5645,5175,1.1005,-0.74693),(5645,5185,1.1044,-0.74246),(5645,5195,1.1083,-0.73798),(5645,5205,1.1121,-0.73351),(5645,5215,1.116,-0.72902),(5645,5225,1.1198,-0.72453),(5645,5235,1.1236,-0.72004),(5645,5245,1.1274,-0.71554),(5645,5255,1.1312,-0.71103),(5645,5265,1.135,-0.70653),(5645,5275,1.1387,-0.70201),(5645,5285,1.1425,-0.69748),(5645,5295,1.1462,-0.69295),(5645,5305,1.1499,-0.68841),(5645,5315,1.1536,-0.68382),(5645,5325,1.1573,-0.67923),(5645,5335,1.1609,-0.67464),(5645,5345,1.1646,-0.67001),(5645,5355,1.1682,-0.66538),(5645,5365,1.1718,-0.66075),(5645,5375,1.1754,-0.65612),(5645,5385,1.179,-0.65149),(5645,5395,1.1826,-0.64685),(5645,5405,1.1862,-0.64222),(5645,5415,1.1897,-0.63758),(5645,5425,1.1933,-0.63294),(5645,5435,1.1968,-0.62828),(5645,5445,1.2003,-0.6236),(5645,5455,1.2038,-0.61892),(5645,5465,1.2073,-0.61423),(5645,5475,1.2107,-0.6095),(5645,5485,1.2142,-0.60477),(5645,5495,1.2176,-0.60003),(5645,5505,1.221,-0.59522),(5645,5515,1.2244,-0.59042),(5645,5525,1.2277,-0.58561),(5645,5535,1.2311,-0.58078),(5645,5545,1.2344,-0.57594),(5645,5555,1.2377,-0.5711),(5645,5565,1.241,-0.56626),(5645,5575,1.2443,-0.56141),(5645,5585,1.2476,-0.55656),(5645,5595,1.2508,-0.55169),(5645,5605,1.2541,-0.54679),(5645,5615,1.2573,-0.54189),(5645,5625,1.2605,-0.53698),(5645,5635,1.2637,-0.53206),(5645,5645,1.2668,-0.52714),(5645,5655,1.27,-0.52222),(5645,5665,1.2732,-0.51731),(5645,5675,1.2763,-0.51239),(5645,5685,1.2794,-0.50748),(5645,5695,1.2825,-0.5025),(5645,5705,1.2856,-0.49753),(5645,5715,1.2887,-0.49255),(5645,5725,1.2917,-0.48751),(5645,5735,1.2948,-0.48246),(5645,5745,1.2977,-0.47741),(5645,5755,1.3007,-0.47234),(5645,5765,1.3037,-0.46727),(5645,5775,1.3066,-0.46219),(5645,5785,1.3095,-0.45708),(5645,5795,1.3124,-0.45195),(5645,5805,1.3152,-0.44682),(5645,5815,1.3181,-0.44166),(5645,5825,1.3209,-0.43645),(5645,5835,1.3237,-0.43124),(5645,5845,1.3265,-0.42603),(5645,5855,1.3292,-0.42079),(5645,5865,1.332,-0.41554),(5645,5875,1.3347,-0.4103),(5645,5885,1.3374,-0.40507),(5645,5895,1.34,-0.39984),(5645,5905,1.3427,-0.39461),(5645,5915,1.3453,-0.38933),(5645,5925,1.3479,-0.38403),(5645,5935,1.3504,-0.37873),(5645,5945,1.353,-0.37336),(5645,5955,1.3555,-0.36794),(5645,5965,1.3579,-0.36253),(5645,5975,1.3603,-0.3571),(5645,5985,1.3628,-0.35165),(5645,5995,1.3651,-0.3462),(5645,6005,1.3675,-0.34075),(5645,6015,1.3698,-0.33529),(5645,6025,1.3721,-0.32983),(5645,6035,1.3744,-0.32437),(5645,6045,1.3766,-0.31889),(5645,6055,1.3788,-0.31341),(5645,6065,1.381,-0.30792),(5645,6075,1.3832,-0.30239),(5645,6085,1.3853,-0.29685),(5645,6095,1.3874,-0.2913),(5645,6105,1.3894,-0.2857),(5645,6115,1.3915,-0.28007),(5645,6125,1.3935,-0.27444),(5645,6135,1.3954,-0.26877),(5645,6145,1.3974,-0.26308),(5645,6155,1.3992,-0.25738),(5645,6165,1.4011,-0.25168),(5645,6175,1.403,-0.24596),(5645,6185,1.4047,-0.24023),(5645,6195,1.4064,-0.2345),(5645,6205,1.4081,-0.22873),(5645,6215,1.4098,-0.22297),(5645,6225,1.4114,-0.2172),(5645,6235,1.4129,-0.21142),(5645,6245,1.4145,-0.20564),(5645,6255,1.416,-0.19985),(5645,6265,1.4174,-0.19403),(5645,6275,1.4189,-0.18821),(5645,6285,1.4203,-0.18238),(5645,6295,1.4216,-0.17651),(5645,6305,1.423,-0.17062),(5645,6315,1.4242,-0.16473),(5645,6325,1.4255,-0.15885),(5645,6335,1.4267,-0.15298),(5645,6345,1.4279,-0.1471),(5645,6355,1.429,-0.14121),(5645,6365,1.4301,-0.13529),(5645,6375,1.4311,-0.12936),(5645,6385,1.432,-0.12342),(5645,6395,1.433,-0.11741),(5645,6405,1.4339,-0.1114),(5645,6415,1.4347,-0.10538),(5645,6425,1.4355,-0.099419),(5645,6435,1.4362,-0.093457),(5645,6445,1.4369,-0.087495),(5645,6455,1.4375,-0.081501),(5645,6465,1.4382,-0.075497),(5645,6475,1.4387,-0.069493),(5645,6485,1.4392,-0.06351),(5645,6495,1.4397,-0.057539),(5645,6505,1.4401,-0.051569),(5645,6515,1.4405,-0.045571),(5645,6525,1.4409,-0.039533),(5645,6535,1.4411,-0.033496),(5645,6545,1.4414,-0.027462),(5645,6555,1.4416,-0.021438),(5645,6565,1.4417,-0.015415),(5645,6575,1.4418,-0.009387),(5645,6585,1.4419,-0.003288),(5645,6595,1.2264,0.002811),(5645,6605,0.7729,0.00891),(5645,6615,0.31941,0.009575),(5645,6625,0.000625,0.009541),(5645,6635,0.000652,0.009507),(5645,6645,0.000679,0.009504),(5645,6655,0.000706,0.009514),(5645,6665,0.000733,0.009523),(5645,6675,0.000759,0.009533),(5645,6685,0.000785,0.009542),(5645,6695,0.000811,0.009551),(5645,6705,0.000836,0.00956),(5645,6715,0.000861,0.009569),(5645,6725,0.000886,0.009578),(5645,6735,0.00091,0.009586),(5645,6745,0.000935,0.009594),(5645,6755,0.000959,0.009602),(5645,6765,0.000982,0.00961),(5645,6775,0.001006,0.009618),(5645,6785,0.001029,0.009625),(5645,6795,0.001052,0.009632),(5645,6805,0.001074,0.009639),(5645,6815,0.001097,0.009646),(5645,6825,0.001119,0.009653),(5645,6835,0.001141,0.009659),(5645,6845,0.001163,0.009665),(5645,6855,0.001184,0.009671),(5645,6865,0.001205,0.009676),(5645,6875,0.001226,0.009681),(5645,6885,0.001247,0.009686),(5645,6895,0.001267,0.009691),(5645,6905,0.001288,0.009696),(5645,6915,0.001308,0.0097),(5645,6925,0.001328,0.009704),(5645,6935,0.001348,0.009708),(5645,6945,0.001367,0.009712),(5645,6955,0.001387,0.009715),(5645,6965,0.001406,0.009718),(5645,6975,0.001425,0.009721),(5645,6985,0.001444,0.009724),(5655,5,1.3e-05,-1.4008),(5655,15,4e-05,-1.4009),(5655,25,6.7e-05,-1.401),(5655,35,9.5e-05,-1.4012),(5655,45,0.000122,-1.4013),(5655,55,0.00015,-1.4013),(5655,65,0.000163,-1.4014),(5655,75,0.000166,-1.4015),(5655,85,0.000168,-1.4016),(5655,95,0.00017,-1.4018),(5655,105,0.000162,-1.4019),(5655,115,0.000147,-1.402),(5655,125,0.000132,-1.4022),(5655,135,0.000117,-1.4023),(5655,145,0.000105,-1.4025),(5655,155,9.4e-05,-1.4027),(5655,165,8.4e-05,-1.4029),(5655,175,7.4e-05,-1.4031),(5655,185,7.5e-05,-1.4033),(5655,195,8.3e-05,-1.4035),(5655,205,9e-05,-1.4038),(5655,215,9.7e-05,-1.4041),(5655,225,0.00014,-1.4044),(5655,235,0.000196,-1.4047),(5655,245,0.000251,-1.4051),(5655,255,0.000307,-1.4055),(5655,265,0.000387,-1.4059),(5655,275,0.000474,-1.4063),(5655,285,0.000561,-1.4068),(5655,295,0.000648,-1.4073),(5655,305,0.000739,-1.4078),(5655,315,0.00083,-1.4083),(5655,325,0.000921,-1.4089),(5655,335,0.001012,-1.4094),(5655,345,0.001058,-1.41),(5655,355,0.001096,-1.4105),(5655,365,0.001133,-1.4111),(5655,375,0.001171,-1.4116),(5655,385,0.001151,-1.4121),(5655,395,0.001122,-1.4126),(5655,405,0.001094,-1.4132),(5655,415,0.001065,-1.4137),(5655,425,0.001004,-1.4143),(5655,435,0.00094,-1.4148),(5655,445,0.000876,-1.4154),(5655,455,0.000812,-1.4161),(5655,465,0.000773,-1.4167),(5655,475,0.000734,-1.4173),(5655,485,0.000695,-1.418),(5655,495,0.000656,-1.4187),(5655,505,0.000662,-1.4194),(5655,515,0.000669,-1.4201),(5655,525,0.000675,-1.421),(5655,535,0.000683,-1.4218),(5655,545,0.000741,-1.4227),(5655,555,0.000798,-1.4236),(5655,565,0.000855,-1.4245),(5655,575,0.000915,-1.4255),(5655,585,0.00101,-1.4265),(5655,595,0.001105,-1.4274),(5655,605,0.0012,-1.4285),(5655,615,0.001294,-1.4295),(5655,625,0.001378,-1.4305),(5655,635,0.001463,-1.4316),(5655,645,0.001548,-1.4326),(5655,655,0.001625,-1.4337),(5655,665,0.001664,-1.4347),(5655,675,0.001702,-1.4358),(5655,685,0.001741,-1.4369),(5655,695,0.001765,-1.438),(5655,705,0.001729,-1.4391),(5655,715,0.001693,-1.4402),(5655,725,0.001658,-1.4413),(5655,735,0.001616,-1.4424),(5655,745,0.001552,-1.4435),(5655,755,0.001489,-1.4447),(5655,765,0.001425,-1.4459),(5655,775,0.001382,-1.4472),(5655,785,0.001396,-1.4485),(5655,795,0.00141,-1.4497),(5655,805,0.001424,-1.4511),(5655,815,0.001458,-1.4525),(5655,825,0.001535,-1.4539),(5655,835,0.001613,-1.4553),(5655,845,0.00169,-1.4568),(5655,855,0.00178,-1.4582),(5655,865,0.001893,-1.4597),(5655,875,0.002007,-1.4612),(5655,885,0.00212,-1.4628),(5655,895,0.002229,-1.4644),(5655,905,0.002332,-1.466),(5655,915,0.002435,-1.4676),(5655,925,0.002538,-1.4693),(5655,935,0.002637,-1.4709),(5655,945,0.00273,-1.4726),(5655,955,0.002822,-1.4742),(5655,965,0.002915,-1.4759),(5655,975,0.003032,-1.4776),(5655,985,0.003178,-1.4793),(5655,995,0.003323,-1.481),(5655,1005,0.003468,-1.4827),(5655,1015,0.003653,-1.4844),(5655,1025,0.003877,-1.4861),(5655,1035,0.0041,-1.4877),(5655,1045,0.004324,-1.4893),(5655,1055,0.004597,-1.4908),(5655,1065,0.004912,-1.4924),(5655,1075,0.005227,-1.4939),(5655,1085,0.005542,-1.4954),(5655,1095,0.005863,-1.4969),(5655,1105,0.006188,-1.4984),(5655,1115,0.006512,-1.4998),(5655,1125,0.006837,-1.5013),(5655,1135,0.006645,-1.5028),(5655,1145,0.006149,-1.5042),(5655,1155,0.005653,-1.5058),(5655,1165,0.005157,-1.5073),(5655,1175,0.002198,-1.5089),(5655,1185,-0.001983,-1.5105),(5655,1195,-0.006163,-1.5135),(5655,1205,-0.010344,-1.5172),(5655,1215,-0.019379,-1.5209),(5655,1225,-0.030418,-1.5245),(5655,1235,-0.041457,-1.5347),(5655,1245,-0.052495,-1.5473),(5655,1255,-0.056506,-1.5598),(5655,1265,-0.058144,-1.5724),(5655,1275,-0.059782,-1.5782),(5655,1285,-0.061419,-1.5819),(5655,1295,-0.027544,-1.5857),(5655,1305,0.015936,-1.5894),(5655,1315,0.059416,-1.5073),(5655,1325,0.1029,-1.4047),(5655,1335,0.057397,-1.3021),(5655,1345,-0.006748,-1.1995),(5655,1355,-0.070894,-1.2708),(5655,1365,-0.13504,-1.3735),(5655,1375,-0.099919,-1.4763),(5655,1385,-0.049483,-1.579),(5655,1395,0.000954,-1.5924),(5655,1405,0.05139,-1.5943),(5655,1415,0.059379,-1.5962),(5655,1425,0.062961,-1.5981),(5655,1435,0.066544,-1.5847),(5655,1445,0.070126,-1.5701),(5655,1455,0.059085,-1.5555),(5655,1465,0.047202,-1.5409),(5655,1475,0.035319,-1.5355),(5655,1485,0.023436,-1.5303),(5655,1495,0.018081,-1.5252),(5655,1505,0.012824,-1.5201),(5655,1515,0.007568,-1.5176),(5655,1525,0.002407,-1.5151),(5655,1535,0.001021,-1.5126),(5655,1545,-0.000365,-1.5101),(5655,1555,-0.001752,-1.5082),(5655,1565,-0.003064,-1.5062),(5655,1575,-0.003303,-1.5043),(5655,1585,-0.003541,-1.5024),(5655,1595,-0.003779,-1.5007),(5655,1605,-0.003987,-1.499),(5655,1615,-0.00393,-1.4973),(5655,1625,-0.003872,-1.4956),(5655,1635,-0.003815,-1.494),(5655,1645,-0.003749,-1.4924),(5655,1655,-0.003633,-1.4908),(5655,1665,-0.003517,-1.4892),(5655,1675,-0.0034,-1.4875),(5655,1685,-0.003279,-1.4859),(5655,1695,-0.003137,-1.4842),(5655,1705,-0.002995,-1.4826),(5655,1715,-0.002852,-1.4809),(5655,1725,-0.002699,-1.4793),(5655,1735,-0.002509,-1.4777),(5655,1745,-0.002319,-1.476),(5655,1755,-0.002129,-1.4745),(5655,1765,-0.001945,-1.4729),(5655,1775,-0.001778,-1.4714),(5655,1785,-0.00161,-1.4698),(5655,1795,-0.001443,-1.4683),(5655,1805,-0.001301,-1.4667),(5655,1815,-0.001216,-1.4652),(5655,1825,-0.001131,-1.4636),(5655,1835,-0.001046,-1.4622),(5655,1845,-0.000988,-1.4607),(5655,1855,-0.000983,-1.4592),(5655,1865,-0.000979,-1.4577),(5655,1875,-0.000974,-1.4563),(5655,1885,-0.000963,-1.4548),(5655,1895,-0.000943,-1.4534),(5655,1905,-0.000924,-1.452),(5655,1915,-0.000904,-1.4506),(5655,1925,-0.000867,-1.4493),(5655,1935,-0.000806,-1.4479),(5655,1945,-0.000745,-1.4467),(5655,1955,-0.000685,-1.4455),(5655,1965,-0.000626,-1.4443),(5655,1975,-0.000571,-1.4431),(5655,1985,-0.000515,-1.4419),(5655,1995,-0.00046,-1.4406),(5655,2005,-0.000428,-1.4394),(5655,2015,-0.000421,-1.4382),(5655,2025,-0.000413,-1.437),(5655,2035,-0.000406,-1.4358),(5655,2045,-0.000413,-1.4347),(5655,2055,-0.000433,-1.4335),(5655,2065,-0.000453,-1.4324),(5655,2075,-0.000473,-1.4313),(5655,2085,-0.000481,-1.4302),(5655,2095,-0.000481,-1.4291),(5655,2105,-0.000481,-1.428),(5655,2115,-0.000481,-1.427),(5655,2125,-0.000457,-1.426),(5655,2135,-0.000418,-1.425),(5655,2145,-0.00038,-1.4241),(5655,2155,-0.000341,-1.4231),(5655,2165,-0.000327,-1.4222),(5655,2175,-0.000327,-1.4213),(5655,2185,-0.000327,-1.4204),(5655,2195,-0.000326,-1.4194),(5655,2205,-0.000332,-1.4184),(5655,2215,-0.00034,-1.4174),(5655,2225,-0.000348,-1.4165),(5655,2235,-0.000356,-1.4155),(5655,2245,-0.000306,-1.4146),(5655,2255,-0.000236,-1.4137),(5655,2265,-0.000165,-1.413),(5655,2275,-9.4e-05,-1.4122),(5655,2285,3e-06,-1.4115),(5655,2295,0.000108,-1.4108),(5655,2305,0.000213,-1.4101),(5655,2315,0.000318,-1.4093),(5655,2325,0.00036,-1.4085),(5655,2335,0.000389,-1.4077),(5655,2345,0.000418,-1.407),(5655,2355,0.000447,-1.4062),(5655,2365,0.00047,-1.4054),(5655,2375,0.000492,-1.4046),(5655,2385,0.000514,-1.4039),(5655,2395,0.000536,-1.4032),(5655,2405,0.00058,-1.4024),(5655,2415,0.000625,-1.4017),(5655,2425,0.000671,-1.4011),(5655,2435,0.000716,-1.4005),(5655,2445,0.00076,-1.3999),(5655,2455,0.000803,-1.3993),(5655,2465,0.000846,-1.3987),(5655,2475,0.000889,-1.3981),(5655,2485,0.000902,-1.3975),(5655,2495,0.000915,-1.3969),(5655,2505,0.000928,-1.3962),(5655,2515,0.00094,-1.3956),(5655,2525,0.000936,-1.3949),(5655,2535,0.000931,-1.3943),(5655,2545,0.000926,-1.3937),(5655,2555,0.000923,-1.3931),(5655,2565,0.000947,-1.3925),(5655,2575,0.00097,-1.3919),(5655,2585,0.000994,-1.3914),(5655,2595,0.00102,-1.3909),(5655,2605,0.001068,-1.3904),(5655,2615,0.001116,-1.3899),(5655,2625,0.001164,-1.3894),(5655,2635,0.001207,-1.3889),(5655,2645,0.00121,-1.3884),(5655,2655,0.001213,-1.3879),(5655,2665,0.001215,-1.3873),(5655,2675,0.001218,-1.3868),(5655,2685,0.00122,-1.3863),(5655,2695,0.001223,-1.3857),(5655,2705,0.001225,-1.3852),(5655,2715,0.001226,-1.3846),(5655,2725,0.001223,-1.384),(5655,2735,0.001219,-1.3834),(5655,2745,0.001216,-1.3829),(5655,2755,0.001223,-1.3824),(5655,2765,0.001261,-1.3819),(5655,2775,0.001299,-1.3814),(5655,2785,0.001336,-1.381),(5655,2795,0.001373,-1.3805),(5655,2805,0.001407,-1.3801),(5655,2815,0.001441,-1.3796),(5655,2825,0.001475,-1.3791),(5655,2835,0.001488,-1.3787),(5655,2845,0.00146,-1.3782),(5655,2855,0.001433,-1.3777),(5655,2865,0.001405,-1.3772),(5655,2875,0.001373,-1.3766),(5655,2885,0.001334,-1.3761),(5655,2895,0.001295,-1.3756),(5655,2905,0.001255,-1.3752),(5655,2915,0.001244,-1.3747),(5655,2925,0.001273,-1.3743),(5655,2935,0.001303,-1.3739),(5655,2945,0.001332,-1.3735),(5655,2955,0.001366,-1.3732),(5655,2965,0.001406,-1.3729),(5655,2975,0.001446,-1.3725),(5655,2985,0.001486,-1.3721),(5655,2995,0.001484,-1.3718),(5655,3005,0.00144,-1.3714),(5655,3015,0.001395,-1.3709),(5655,3025,0.00135,-1.3703),(5655,3035,0.001297,-1.3698),(5655,3045,0.001236,-1.3692),(5655,3055,0.001176,-1.3687),(5655,3065,0.001115,-1.3682),(5655,3075,0.001161,-1.3678),(5655,3085,0.001288,-1.3673),(5655,3095,0.001414,-1.3669),(5655,3105,0.001541,-1.3666),(5655,3115,0.001664,-1.3663),(5655,3125,0.001784,-1.366),(5655,3135,0.001905,-1.3657),(5655,3145,0.002025,-1.3653),(5655,3155,0.002071,-1.3649),(5655,3165,0.002076,-1.3646),(5655,3175,0.002082,-1.3641),(5655,3185,0.002087,-1.3637),(5655,3195,0.00209,-1.3632),(5655,3205,0.002092,-1.3628),(5655,3215,0.002095,-1.3624),(5655,3225,0.002097,-1.362),(5655,3235,0.002123,-1.3616),(5655,3245,0.002159,-1.3612),(5655,3255,0.002194,-1.3608),(5655,3265,0.002229,-1.3605),(5655,3275,0.002272,-1.3601),(5655,3285,0.002316,-1.3597),(5655,3295,0.002361,-1.3594),(5655,3305,0.002405,-1.3591),(5655,3315,0.002424,-1.3588),(5655,3325,0.002437,-1.3585),(5655,3335,0.00245,-1.358),(5655,3345,0.002463,-1.3576),(5655,3355,0.002454,-1.3571),(5655,3365,0.00244,-1.3567),(5655,3375,0.002426,-1.3563),(5655,3385,0.002412,-1.3559),(5655,3395,0.002492,-1.3554),(5655,3405,0.002584,-1.355),(5655,3415,0.002675,-1.3549),(5655,3425,0.002767,-1.3547),(5655,3435,0.002895,-1.3546),(5655,3445,0.003025,-1.3544),(5655,3455,0.003156,-1.3541),(5655,3465,0.003286,-1.3538),(5655,3475,0.003262,-1.3534),(5655,3485,0.003231,-1.3531),(5655,3495,0.0032,-1.3527),(5655,3505,0.00317,-1.3524),(5655,3515,0.003188,-1.352),(5655,3525,0.003206,-1.3517),(5655,3535,0.003223,-1.3512),(5655,3545,0.003243,-1.3508),(5655,3555,0.003311,-1.3504),(5655,3565,0.003379,-1.3499),(5655,3575,0.003447,-1.3496),(5655,3585,0.003514,-1.3493),(5655,3595,0.003572,-1.3489),(5655,3605,0.003629,-1.3486),(5655,3615,0.003687,-1.3484),(5655,3625,0.003736,-1.3483),(5655,3635,0.003722,-1.3481),(5655,3645,0.003707,-1.3479),(5655,3655,0.003693,-1.3475),(5655,3665,0.003665,-1.347),(5655,3675,0.003571,-1.3466),(5655,3685,0.003477,-1.3462),(5655,3695,0.003382,-1.346),(5655,3705,0.003294,-1.3458),(5655,3715,0.003232,-1.3456),(5655,3725,0.003169,-1.3455),(5655,3735,0.003107,-1.3454),(5655,3745,0.003004,-1.3453),(5655,3755,0.002779,-1.3452),(5655,3765,0.002554,-1.3451),(5655,3775,0.002328,-1.3451),(5655,3785,0.002022,-1.3451),(5655,3795,0.001508,-1.3451),(5655,3805,0.000994,-1.3452),(5655,3815,0.00048,-1.3455),(5655,3825,-0.000226,-1.3458),(5655,3835,-0.001338,-1.3461),(5655,3845,-0.002449,-1.3466),(5655,3855,-0.003561,-1.3474),(5655,3865,-0.005273,-1.3483),(5655,3875,-0.008045,-1.3491),(5655,3885,-0.010817,-1.3506),(5655,3895,-0.01359,-1.353),(5655,3905,-0.017267,-1.3554),(5655,3915,-0.022297,-1.3578),(5655,3925,-0.027327,-1.3623),(5655,3935,-0.032357,-1.3694),(5655,3945,-0.034514,-1.3766),(5655,3955,-0.033025,-1.3838),(5655,3965,-0.031537,-1.3872),(5655,3975,-0.030048,-1.3862),(5655,3985,-0.010161,-1.3852),(5655,3995,0.02964,-1.3842),(5655,4005,0.069441,-1.3276),(5655,4015,0.10924,-1.2153),(5655,4025,0.20749,-1.103),(5655,4035,0.31146,-1.0268),(5655,4045,0.41543,-1.0265),(5655,4055,0.50466,-1.0262),(5655,4065,0.58851,-1.0259),(5655,4075,0.67237,-1.0254),(5655,4085,0.70986,-1.0249),(5655,4095,0.71009,-1.0244),(5655,4105,0.71032,-1.0241),(5655,4115,0.71064,-1.0238),(5655,4125,0.71111,-1.0235),(5655,4135,0.71157,-1.0232),(5655,4145,0.71211,-1.0229),(5655,4155,0.71295,-1.0227),(5655,4165,0.71378,-1.0224),(5655,4175,0.71462,-1.0221),(5655,4185,0.71586,-1.0218),(5655,4195,0.7171,-1.0216),(5655,4205,0.71834,-1.0213),(5655,4215,0.7199,-1.021),(5655,4225,0.72151,-1.0207),(5655,4235,0.72313,-1.0203),(5655,4245,0.725,-1.0199),(5655,4255,0.727,-1.0195),(5655,4265,0.729,-1.0189),(5655,4275,0.73119,-1.0183),(5655,4285,0.73359,-1.0177),(5655,4295,0.73598,-1.0169),(5655,4305,0.7385,-1.0162),(5655,4315,0.74127,-1.0155),(5655,4325,0.74404,-1.0146),(5655,4335,0.74686,-1.0136),(5655,4345,0.74998,-1.0126),(5655,4355,0.7531,-1.0116),(5655,4365,0.75622,-1.0104),(5655,4375,0.75961,-1.0092),(5655,4385,0.76302,-1.008),(5655,4395,0.76643,-1.0066),(5655,4405,0.77002,-1.0052),(5655,4415,0.77367,-1.0038),(5655,4425,0.77732,-1.0021),(5655,4435,0.78108,-1.0004),(5655,4445,0.78493,-0.99876),(5655,4455,0.78877,-0.99684),(5655,4465,0.79268,-0.99492),(5655,4475,0.79668,-0.99299),(5655,4485,0.80068,-0.99089),(5655,4495,0.80472,-0.98875),(5655,4505,0.80885,-0.9866),(5655,4515,0.81299,-0.98434),(5655,4525,0.81713,-0.98201),(5655,4535,0.82138,-0.97968),(5655,4545,0.82563,-0.97727),(5655,4555,0.82987,-0.97476),(5655,4565,0.83421,-0.97226),(5655,4575,0.83856,-0.9697),(5655,4585,0.8429,-0.967),(5655,4595,0.8473,-0.9643),(5655,4605,0.85171,-0.96159),(5655,4615,0.85612,-0.95874),(5655,4625,0.86056,-0.95588),(5655,4635,0.86501,-0.95303),(5655,4645,0.86946,-0.95002),(5655,4655,0.87391,-0.94699),(5655,4665,0.87836,-0.94397),(5655,4675,0.88282,-0.94087),(5655,4685,0.88727,-0.93775),(5655,4695,0.8917,-0.93463),(5655,4705,0.89614,-0.93144),(5655,4715,0.90058,-0.92821),(5655,4725,0.905,-0.92498),(5655,4735,0.90942,-0.92169),(5655,4745,0.91385,-0.91831),(5655,4755,0.91827,-0.91494),(5655,4765,0.92269,-0.91155),(5655,4775,0.92711,-0.90807),(5655,4785,0.93152,-0.9046),(5655,4795,0.93593,-0.90113),(5655,4805,0.94033,-0.8976),(5655,4815,0.94472,-0.89406),(5655,4825,0.94909,-0.89053),(5655,4835,0.95346,-0.88691),(5655,4845,0.95782,-0.88328),(5655,4855,0.96215,-0.87965),(5655,4865,0.96648,-0.87592),(5655,4875,0.9708,-0.87216),(5655,4885,0.97507,-0.8684),(5655,4895,0.97934,-0.86456),(5655,4905,0.98361,-0.86066),(5655,4915,0.98784,-0.85676),(5655,4925,0.99207,-0.85282),(5655,4935,0.9963,-0.84881),(5655,4945,1.0005,-0.8448),(5655,4955,1.0047,-0.84078),(5655,4965,1.0089,-0.83674),(5655,4975,1.0131,-0.8327),(5655,4985,1.0173,-0.82866),(5655,4995,1.0215,-0.82456),(5655,5005,1.0257,-0.82045),(5655,5015,1.0298,-0.81634),(5655,5025,1.034,-0.81217),(5655,5035,1.0381,-0.80798),(5655,5045,1.0422,-0.80379),(5655,5055,1.0463,-0.79955),(5655,5065,1.0504,-0.79527),(5655,5075,1.0544,-0.79099),(5655,5085,1.0585,-0.78669),(5655,5095,1.0625,-0.78234),(5655,5105,1.0665,-0.77799),(5655,5115,1.0705,-0.77364),(5655,5125,1.0745,-0.76928),(5655,5135,1.0784,-0.76493),(5655,5145,1.0824,-0.76057),(5655,5155,1.0863,-0.75616),(5655,5165,1.0902,-0.75175),(5655,5175,1.0941,-0.74734),(5655,5185,1.098,-0.74288),(5655,5195,1.1018,-0.73842),(5655,5205,1.1057,-0.73395),(5655,5215,1.1095,-0.72947),(5655,5225,1.1133,-0.72499),(5655,5235,1.1171,-0.72051),(5655,5245,1.1209,-0.71601),(5655,5255,1.1247,-0.71151),(5655,5265,1.1284,-0.707),(5655,5275,1.1321,-0.70249),(5655,5285,1.1359,-0.69797),(5655,5295,1.1396,-0.69344),(5655,5305,1.1433,-0.68891),(5655,5315,1.1469,-0.68432),(5655,5325,1.1506,-0.67973),(5655,5335,1.1542,-0.67515),(5655,5345,1.1579,-0.67051),(5655,5355,1.1615,-0.66588),(5655,5365,1.1651,-0.66125),(5655,5375,1.1686,-0.65661),(5655,5385,1.1722,-0.65197),(5655,5395,1.1758,-0.64734),(5655,5405,1.1793,-0.64269),(5655,5415,1.1829,-0.63805),(5655,5425,1.1864,-0.6334),(5655,5435,1.1899,-0.62873),(5655,5445,1.1934,-0.62405),(5655,5455,1.1969,-0.61937),(5655,5465,1.2004,-0.61467),(5655,5475,1.2038,-0.60993),(5655,5485,1.2072,-0.60519),(5655,5495,1.2106,-0.60045),(5655,5505,1.214,-0.59563),(5655,5515,1.2174,-0.59082),(5655,5525,1.2208,-0.58601),(5655,5535,1.2241,-0.58117),(5655,5545,1.2274,-0.57633),(5655,5555,1.2307,-0.57148),(5655,5565,1.234,-0.56663),(5655,5575,1.2373,-0.56178),(5655,5585,1.2405,-0.55692),(5655,5595,1.2437,-0.55203),(5655,5605,1.2469,-0.54712),(5655,5615,1.2501,-0.54221),(5655,5625,1.2533,-0.53728),(5655,5635,1.2565,-0.53234),(5655,5645,1.2596,-0.52741),(5655,5655,1.2628,-0.52247),(5655,5665,1.2659,-0.51754),(5655,5675,1.269,-0.51261),(5655,5685,1.2721,-0.50768),(5655,5695,1.2752,-0.50269),(5655,5705,1.2783,-0.49771),(5655,5715,1.2813,-0.49273),(5655,5725,1.2844,-0.48768),(5655,5735,1.2874,-0.48263),(5655,5745,1.2904,-0.47757),(5655,5755,1.2933,-0.4725),(5655,5765,1.2963,-0.46742),(5655,5775,1.2992,-0.46234),(5655,5785,1.302,-0.45722),(5655,5795,1.3049,-0.45208),(5655,5805,1.3078,-0.44693),(5655,5815,1.3106,-0.44176),(5655,5825,1.3134,-0.43655),(5655,5835,1.3161,-0.43133),(5655,5845,1.3189,-0.4261),(5655,5855,1.3216,-0.42084),(5655,5865,1.3243,-0.41559),(5655,5875,1.327,-0.41033),(5655,5885,1.3297,-0.40509),(5655,5895,1.3323,-0.39985),(5655,5905,1.335,-0.39461),(5655,5915,1.3376,-0.38932),(5655,5925,1.3402,-0.38402),(5655,5935,1.3427,-0.37871),(5655,5945,1.3452,-0.37334),(5655,5955,1.3477,-0.36792),(5655,5965,1.3501,-0.3625),(5655,5975,1.3525,-0.35707),(5655,5985,1.3549,-0.35161),(5655,5995,1.3573,-0.34616),(5655,6005,1.3596,-0.3407),(5655,6015,1.3619,-0.33524),(5655,6025,1.3642,-0.32977),(5655,6035,1.3664,-0.3243),(5655,6045,1.3686,-0.31881),(5655,6055,1.3708,-0.31332),(5655,6065,1.3729,-0.30783),(5655,6075,1.3751,-0.30229),(5655,6085,1.3772,-0.29674),(5655,6095,1.3792,-0.29119),(5655,6105,1.3813,-0.28557),(5655,6115,1.3833,-0.27993),(5655,6125,1.3853,-0.27429),(5655,6135,1.3872,-0.26862),(5655,6145,1.3892,-0.26293),(5655,6155,1.391,-0.25723),(5655,6165,1.3929,-0.25153),(5655,6175,1.3947,-0.24581),(5655,6185,1.3965,-0.24009),(5655,6195,1.3982,-0.23437),(5655,6205,1.3999,-0.2286),(5655,6215,1.4015,-0.22284),(5655,6225,1.4031,-0.21708),(5655,6235,1.4046,-0.2113),(5655,6245,1.4061,-0.20551),(5655,6255,1.4076,-0.19972),(5655,6265,1.4091,-0.1939),(5655,6275,1.4105,-0.18807),(5655,6285,1.4118,-0.18224),(5655,6295,1.4132,-0.17636),(5655,6305,1.4145,-0.17047),(5655,6315,1.4158,-0.16458),(5655,6325,1.417,-0.15869),(5655,6335,1.4182,-0.15282),(5655,6345,1.4194,-0.14695),(5655,6355,1.4205,-0.14106),(5655,6365,1.4216,-0.13515),(5655,6375,1.4226,-0.12923),(5655,6385,1.4235,-0.1233),(5655,6395,1.4244,-0.11729),(5655,6405,1.4253,-0.11129),(5655,6415,1.4261,-0.10528),(5655,6425,1.4269,-0.099319),(5655,6435,1.4276,-0.093361),(5655,6445,1.4283,-0.087404),(5655,6455,1.4289,-0.081412),(5655,6465,1.4296,-0.075411),(5655,6475,1.4301,-0.069411),(5655,6485,1.4306,-0.06343),(5655,6495,1.4311,-0.057463),(5655,6505,1.4315,-0.051496),(5655,6515,1.4318,-0.045501),(5655,6525,1.4322,-0.039466),(5655,6535,1.4325,-0.033431),(5655,6545,1.4327,-0.027401),(5655,6555,1.4329,-0.021386),(5655,6565,1.4331,-0.01537),(5655,6575,1.4331,-0.009349),(5655,6585,1.4332,-0.003255),(5655,6595,1.219,0.00284),(5655,6605,0.76825,0.008934),(5655,6615,0.31749,0.009599),(5655,6625,0.000613,0.009567),(5655,6635,0.000641,0.009534),(5655,6645,0.000668,0.009531),(5655,6655,0.000695,0.009541),(5655,6665,0.000722,0.00955),(5655,6675,0.000748,0.009559),(5655,6685,0.000774,0.009568),(5655,6695,0.0008,0.009577),(5655,6705,0.000825,0.009586),(5655,6715,0.000851,0.009594),(5655,6725,0.000876,0.009603),(5655,6735,0.0009,0.009611),(5655,6745,0.000925,0.009619),(5655,6755,0.000949,0.009626),(5655,6765,0.000973,0.009634),(5655,6775,0.000996,0.009641),(5655,6785,0.00102,0.009648),(5655,6795,0.001043,0.009655),(5655,6805,0.001066,0.009662),(5655,6815,0.001088,0.009668),(5655,6825,0.00111,0.009675),(5655,6835,0.001133,0.009681),(5655,6845,0.001155,0.009687),(5655,6855,0.001176,0.009692),(5655,6865,0.001198,0.009697),(5655,6875,0.001219,0.009702),(5655,6885,0.00124,0.009707),(5655,6895,0.001261,0.009712),(5655,6905,0.001281,0.009716),(5655,6915,0.001302,0.00972),(5655,6925,0.001322,0.009725),(5655,6935,0.001342,0.009728),(5655,6945,0.001362,0.009731),(5655,6955,0.001381,0.009735),(5655,6965,0.001401,0.009737),(5655,6975,0.00142,0.00974),(5655,6985,0.001439,0.009743),(5665,5,1.8e-05,-1.4008),(5665,15,5.3e-05,-1.4009),(5665,25,8.4e-05,-1.401),(5665,35,0.000112,-1.4011),(5665,45,0.00014,-1.4013),(5665,55,0.000168,-1.4013),(5665,65,0.000183,-1.4014),(5665,75,0.000187,-1.4015),(5665,85,0.000191,-1.4016),(5665,95,0.000195,-1.4018),(5665,105,0.000187,-1.4019),(5665,115,0.000172,-1.402),(5665,125,0.000157,-1.4022),(5665,135,0.000142,-1.4024),(5665,145,0.000128,-1.4025),(5665,155,0.000114,-1.4027),(5665,165,0.0001,-1.4029),(5665,175,8.6e-05,-1.4031),(5665,185,8.3e-05,-1.4033),(5665,195,8.5e-05,-1.4035),(5665,205,8.6e-05,-1.4038),(5665,215,8.8e-05,-1.4041),(5665,225,0.000122,-1.4044),(5665,235,0.00017,-1.4047),(5665,245,0.000218,-1.4051),(5665,255,0.000266,-1.4054),(5665,265,0.000342,-1.4058),(5665,275,0.000428,-1.4062),(5665,285,0.000513,-1.4067),(5665,295,0.000599,-1.4072),(5665,305,0.000693,-1.4077),(5665,315,0.000789,-1.4083),(5665,325,0.000885,-1.4088),(5665,335,0.000981,-1.4094),(5665,345,0.001038,-1.4099),(5665,355,0.001087,-1.4105),(5665,365,0.001136,-1.4111),(5665,375,0.001185,-1.4116),(5665,385,0.001174,-1.4121),(5665,395,0.001155,-1.4127),(5665,405,0.001136,-1.4132),(5665,415,0.001116,-1.4138),(5665,425,0.001057,-1.4144),(5665,435,0.000994,-1.4149),(5665,445,0.000932,-1.4155),(5665,455,0.000869,-1.4161),(5665,465,0.000821,-1.4167),(5665,475,0.000774,-1.4173),(5665,485,0.000727,-1.418),(5665,495,0.000681,-1.4187),(5665,505,0.000682,-1.4194),(5665,515,0.000684,-1.4201),(5665,525,0.000685,-1.4209),(5665,535,0.000689,-1.4218),(5665,545,0.000744,-1.4227),(5665,555,0.000799,-1.4235),(5665,565,0.000854,-1.4245),(5665,575,0.000912,-1.4255),(5665,585,0.001005,-1.4264),(5665,595,0.001098,-1.4274),(5665,605,0.00119,-1.4284),(5665,615,0.001282,-1.4294),(5665,625,0.001365,-1.4305),(5665,635,0.001448,-1.4315),(5665,645,0.001532,-1.4326),(5665,655,0.001609,-1.4336),(5665,665,0.00165,-1.4347),(5665,675,0.001692,-1.4358),(5665,685,0.001733,-1.4369),(5665,695,0.001761,-1.438),(5665,705,0.001732,-1.4391),(5665,715,0.001702,-1.4402),(5665,725,0.001673,-1.4413),(5665,735,0.001637,-1.4424),(5665,745,0.001579,-1.4436),(5665,755,0.001522,-1.4447),(5665,765,0.001464,-1.446),(5665,775,0.001423,-1.4472),(5665,785,0.001429,-1.4485),(5665,795,0.001434,-1.4498),(5665,805,0.001439,-1.4511),(5665,815,0.001463,-1.4525),(5665,825,0.001525,-1.4539),(5665,835,0.001588,-1.4553),(5665,845,0.001651,-1.4568),(5665,855,0.001728,-1.4582),(5665,865,0.00183,-1.4597),(5665,875,0.001932,-1.4612),(5665,885,0.002034,-1.4627),(5665,895,0.002136,-1.4643),(5665,905,0.002237,-1.4659),(5665,915,0.002339,-1.4675),(5665,925,0.00244,-1.4692),(5665,935,0.002538,-1.4708),(5665,945,0.002631,-1.4725),(5665,955,0.002724,-1.4742),(5665,965,0.002817,-1.4759),(5665,975,0.002929,-1.4776),(5665,985,0.003063,-1.4793),(5665,995,0.003198,-1.4809),(5665,1005,0.003332,-1.4826),(5665,1015,0.003499,-1.4843),(5665,1025,0.003696,-1.486),(5665,1035,0.003894,-1.4876),(5665,1045,0.004091,-1.4892),(5665,1055,0.004329,-1.4907),(5665,1065,0.004599,-1.4923),(5665,1075,0.004869,-1.4938),(5665,1085,0.005139,-1.4952),(5665,1095,0.005411,-1.4966),(5665,1105,0.005686,-1.4981),(5665,1115,0.005961,-1.4995),(5665,1125,0.006235,-1.5008),(5665,1135,0.006071,-1.5022),(5665,1145,0.005647,-1.5036),(5665,1155,0.005224,-1.5052),(5665,1165,0.0048,-1.5068),(5665,1175,0.002434,-1.5085),(5665,1185,-0.000896,-1.5102),(5665,1195,-0.004226,-1.5141),(5665,1205,-0.007556,-1.5189),(5665,1215,-0.014497,-1.5238),(5665,1225,-0.022928,-1.5287),(5665,1235,-0.031359,-1.5409),(5665,1245,-0.039789,-1.5559),(5665,1255,-0.046014,-1.5708),(5665,1265,-0.051493,-1.5857),(5665,1275,-0.056973,-1.5895),(5665,1285,-0.062452,-1.5898),(5665,1295,-0.049621,-1.5901),(5665,1305,-0.031837,-1.5905),(5665,1315,-0.014053,-1.5077),(5665,1325,0.00373,-1.405),(5665,1335,-0.002725,-1.3023),(5665,1345,-0.014261,-1.1996),(5665,1355,-0.025797,-1.2719),(5665,1365,-0.037333,-1.3759),(5665,1375,-0.016464,-1.4799),(5665,1385,0.009404,-1.5839),(5665,1395,0.035273,-1.6005),(5665,1405,0.061142,-1.6058),(5665,1415,0.061474,-1.6111),(5665,1425,0.059154,-1.6164),(5665,1435,0.056834,-1.6005),(5665,1445,0.054515,-1.583),(5665,1455,0.045798,-1.5654),(5665,1465,0.036713,-1.5478),(5665,1475,0.027628,-1.5407),(5665,1485,0.018542,-1.5341),(5665,1495,0.014236,-1.5274),(5665,1505,0.010002,-1.5207),(5665,1515,0.005768,-1.518),(5665,1525,0.001609,-1.5152),(5665,1535,0.000421,-1.5125),(5665,1545,-0.000766,-1.5098),(5665,1555,-0.001954,-1.5079),(5665,1565,-0.003078,-1.5059),(5665,1575,-0.003277,-1.504),(5665,1585,-0.003477,-1.5021),(5665,1595,-0.003676,-1.5004),(5665,1605,-0.003848,-1.4988),(5665,1615,-0.003782,-1.4971),(5665,1625,-0.003716,-1.4954),(5665,1635,-0.00365,-1.4938),(5665,1645,-0.003577,-1.4923),(5665,1655,-0.003464,-1.4907),(5665,1665,-0.003351,-1.4891),(5665,1675,-0.003239,-1.4874),(5665,1685,-0.003124,-1.4858),(5665,1695,-0.002999,-1.4842),(5665,1705,-0.002874,-1.4825),(5665,1715,-0.002749,-1.4809),(5665,1725,-0.002614,-1.4792),(5665,1735,-0.002448,-1.4776),(5665,1745,-0.002281,-1.476),(5665,1755,-0.002115,-1.4744),(5665,1765,-0.001951,-1.4729),(5665,1775,-0.001796,-1.4713),(5665,1785,-0.001641,-1.4698),(5665,1795,-0.001487,-1.4682),(5665,1805,-0.001352,-1.4667),(5665,1815,-0.001264,-1.4651),(5665,1825,-0.001175,-1.4636),(5665,1835,-0.001087,-1.4622),(5665,1845,-0.001023,-1.4607),(5665,1855,-0.001008,-1.4592),(5665,1865,-0.000993,-1.4577),(5665,1875,-0.000978,-1.4563),(5665,1885,-0.000962,-1.4548),(5665,1895,-0.000944,-1.4534),(5665,1905,-0.000925,-1.452),(5665,1915,-0.000907,-1.4506),(5665,1925,-0.000871,-1.4493),(5665,1935,-0.000812,-1.4479),(5665,1945,-0.000753,-1.4466),(5665,1955,-0.000694,-1.4454),(5665,1965,-0.000638,-1.4442),(5665,1975,-0.000584,-1.443),(5665,1985,-0.00053,-1.4418),(5665,1995,-0.000476,-1.4406),(5665,2005,-0.000442,-1.4394),(5665,2015,-0.000429,-1.4382),(5665,2025,-0.000415,-1.437),(5665,2035,-0.000402,-1.4358),(5665,2045,-0.000403,-1.4347),(5665,2055,-0.000416,-1.4335),(5665,2065,-0.000429,-1.4324),(5665,2075,-0.000443,-1.4313),(5665,2085,-0.000448,-1.4302),(5665,2095,-0.000447,-1.4291),(5665,2105,-0.000447,-1.4281),(5665,2115,-0.000446,-1.427),(5665,2125,-0.000422,-1.426),(5665,2135,-0.000383,-1.425),(5665,2145,-0.000344,-1.4241),(5665,2155,-0.000305,-1.4232),(5665,2165,-0.000292,-1.4223),(5665,2175,-0.000292,-1.4214),(5665,2185,-0.000291,-1.4204),(5665,2195,-0.000291,-1.4194),(5665,2205,-0.000304,-1.4184),(5665,2215,-0.000322,-1.4174),(5665,2225,-0.00034,-1.4165),(5665,2235,-0.000359,-1.4155),(5665,2245,-0.000319,-1.4146),(5665,2255,-0.000258,-1.4137),(5665,2265,-0.000198,-1.4129),(5665,2275,-0.000138,-1.4122),(5665,2285,-4.7e-05,-1.4115),(5665,2295,5.1e-05,-1.4107),(5665,2305,0.00015,-1.41),(5665,2315,0.000248,-1.4092),(5665,2325,0.000294,-1.4085),(5665,2335,0.000328,-1.4077),(5665,2345,0.000362,-1.407),(5665,2355,0.000396,-1.4062),(5665,2365,0.000421,-1.4054),(5665,2375,0.000444,-1.4046),(5665,2385,0.000468,-1.4039),(5665,2395,0.000491,-1.4031),(5665,2405,0.000536,-1.4024),(5665,2415,0.000584,-1.4017),(5665,2425,0.000632,-1.4011),(5665,2435,0.00068,-1.4005),(5665,2445,0.000727,-1.3998),(5665,2455,0.000774,-1.3992),(5665,2465,0.000821,-1.3986),(5665,2475,0.000868,-1.398),(5665,2485,0.000882,-1.3974),(5665,2495,0.000896,-1.3968),(5665,2505,0.000909,-1.3962),(5665,2515,0.000923,-1.3956),(5665,2525,0.000917,-1.3949),(5665,2535,0.000912,-1.3943),(5665,2545,0.000907,-1.3937),(5665,2555,0.000903,-1.3931),(5665,2565,0.000926,-1.3925),(5665,2575,0.000949,-1.3919),(5665,2585,0.000971,-1.3914),(5665,2595,0.000996,-1.3909),(5665,2605,0.001044,-1.3904),(5665,2615,0.001091,-1.3899),(5665,2625,0.001139,-1.3894),(5665,2635,0.001181,-1.3889),(5665,2645,0.001192,-1.3884),(5665,2655,0.001202,-1.3879),(5665,2665,0.001213,-1.3874),(5665,2675,0.001221,-1.3868),(5665,2685,0.001216,-1.3863),(5665,2695,0.001212,-1.3858),(5665,2705,0.001207,-1.3852),(5665,2715,0.001202,-1.3846),(5665,2725,0.001195,-1.384),(5665,2735,0.001187,-1.3835),(5665,2745,0.001179,-1.383),(5665,2755,0.001182,-1.3824),(5665,2765,0.001215,-1.3819),(5665,2775,0.001248,-1.3814),(5665,2785,0.001281,-1.381),(5665,2795,0.001315,-1.3805),(5665,2805,0.00135,-1.3801),(5665,2815,0.001385,-1.3796),(5665,2825,0.00142,-1.3791),(5665,2835,0.001436,-1.3787),(5665,2845,0.001415,-1.3782),(5665,2855,0.001393,-1.3777),(5665,2865,0.001372,-1.3772),(5665,2875,0.001344,-1.3766),(5665,2885,0.001308,-1.3761),(5665,2895,0.001271,-1.3756),(5665,2905,0.001235,-1.3752),(5665,2915,0.001226,-1.3747),(5665,2925,0.001258,-1.3743),(5665,2935,0.001289,-1.3739),(5665,2945,0.001321,-1.3735),(5665,2955,0.001362,-1.3732),(5665,2965,0.001413,-1.3729),(5665,2975,0.001465,-1.3725),(5665,2985,0.001517,-1.3722),(5665,2995,0.001525,-1.3718),(5665,3005,0.001488,-1.3714),(5665,3015,0.001451,-1.371),(5665,3025,0.001414,-1.3704),(5665,3035,0.001362,-1.3698),(5665,3045,0.001295,-1.3693),(5665,3055,0.001227,-1.3687),(5665,3065,0.00116,-1.3682),(5665,3075,0.001187,-1.3677),(5665,3085,0.001284,-1.3672),(5665,3095,0.001382,-1.3668),(5665,3105,0.001479,-1.3665),(5665,3115,0.001589,-1.3662),(5665,3125,0.001707,-1.3659),(5665,3135,0.001825,-1.3656),(5665,3145,0.001943,-1.3652),(5665,3155,0.001995,-1.3649),(5665,3165,0.002011,-1.3646),(5665,3175,0.002027,-1.3641),(5665,3185,0.002043,-1.3637),(5665,3195,0.002049,-1.3632),(5665,3205,0.002051,-1.3628),(5665,3215,0.002054,-1.3624),(5665,3225,0.002056,-1.362),(5665,3235,0.002079,-1.3616),(5665,3245,0.00211,-1.3612),(5665,3255,0.002142,-1.3608),(5665,3265,0.002173,-1.3604),(5665,3275,0.002216,-1.3601),(5665,3285,0.002262,-1.3597),(5665,3295,0.002309,-1.3594),(5665,3305,0.002355,-1.3591),(5665,3315,0.002375,-1.3588),(5665,3325,0.002389,-1.3584),(5665,3335,0.002403,-1.358),(5665,3345,0.002416,-1.3576),(5665,3355,0.002403,-1.3571),(5665,3365,0.002384,-1.3567),(5665,3375,0.002365,-1.3563),(5665,3385,0.002346,-1.3558),(5665,3395,0.002424,-1.3554),(5665,3405,0.002515,-1.355),(5665,3415,0.002606,-1.3548),(5665,3425,0.002696,-1.3546),(5665,3435,0.002826,-1.3545),(5665,3445,0.002959,-1.3544),(5665,3455,0.003093,-1.3541),(5665,3465,0.003226,-1.3538),(5665,3475,0.003221,-1.3535),(5665,3485,0.003212,-1.3532),(5665,3495,0.003202,-1.3528),(5665,3505,0.003193,-1.3524),(5665,3515,0.003193,-1.3521),(5665,3525,0.003193,-1.3517),(5665,3535,0.003193,-1.3513),(5665,3545,0.003195,-1.3508),(5665,3555,0.003246,-1.3503),(5665,3565,0.003297,-1.3499),(5665,3575,0.003349,-1.3495),(5665,3585,0.003402,-1.3492),(5665,3595,0.003471,-1.3489),(5665,3605,0.003541,-1.3485),(5665,3615,0.00361,-1.3484),(5665,3625,0.00367,-1.3482),(5665,3635,0.003665,-1.3481),(5665,3645,0.003659,-1.3479),(5665,3655,0.003653,-1.3475),(5665,3665,0.003636,-1.3471),(5665,3675,0.003557,-1.3467),(5665,3685,0.003478,-1.3463),(5665,3695,0.0034,-1.3461),(5665,3705,0.003327,-1.3459),(5665,3715,0.00328,-1.3456),(5665,3725,0.003234,-1.3455),(5665,3735,0.003187,-1.3454),(5665,3745,0.003107,-1.3453),(5665,3755,0.002925,-1.3452),(5665,3765,0.002742,-1.3452),(5665,3775,0.00256,-1.3452),(5665,3785,0.002307,-1.3452),(5665,3795,0.001875,-1.3452),(5665,3805,0.001444,-1.3454),(5665,3815,0.001012,-1.3457),(5665,3825,0.000418,-1.346),(5665,3835,-0.000521,-1.3464),(5665,3845,-0.00146,-1.347),(5665,3855,-0.002399,-1.348),(5665,3865,-0.003813,-1.349),(5665,3875,-0.006067,-1.35),(5665,3885,-0.008322,-1.3517),(5665,3895,-0.010576,-1.3547),(5665,3905,-0.0135,-1.3576),(5665,3915,-0.017426,-1.3606),(5665,3925,-0.021351,-1.3655),(5665,3935,-0.025276,-1.373),(5665,3945,-0.028286,-1.3805),(5665,3955,-0.030134,-1.3881),(5665,3965,-0.031982,-1.3897),(5665,3975,-0.033831,-1.3844),(5665,3985,-0.029418,-1.3791),(5665,3995,-0.018229,-1.3738),(5665,4005,-0.007039,-1.317),(5665,4015,0.00415,-1.2086),(5665,4025,0.13034,-1.1003),(5665,4035,0.26778,-1.0267),(5665,4045,0.40523,-1.0264),(5665,4055,0.50327,-1.0261),(5665,4065,0.58694,-1.0257),(5665,4075,0.67061,-1.0252),(5665,4085,0.70803,-1.0247),(5665,4095,0.70829,-1.0241),(5665,4105,0.70855,-1.0237),(5665,4115,0.70889,-1.0234),(5665,4125,0.70937,-1.023),(5665,4135,0.70985,-1.0227),(5665,4145,0.7104,-1.0224),(5665,4155,0.71122,-1.0221),(5665,4165,0.71204,-1.0217),(5665,4175,0.71288,-1.0214),(5665,4185,0.7141,-1.021),(5665,4195,0.71532,-1.0207),(5665,4205,0.71654,-1.0204),(5665,4215,0.71808,-1.0201),(5665,4225,0.71967,-1.0197),(5665,4235,0.72126,-1.0192),(5665,4245,0.7231,-1.0188),(5665,4255,0.72505,-1.0183),(5665,4265,0.72701,-1.0177),(5665,4275,0.72915,-1.017),(5665,4285,0.7315,-1.0164),(5665,4295,0.73384,-1.0156),(5665,4305,0.73629,-1.0149),(5665,4315,0.739,-1.0141),(5665,4325,0.7417,-1.0132),(5665,4335,0.74445,-1.0122),(5665,4345,0.74749,-1.0112),(5665,4355,0.75053,-1.0101),(5665,4365,0.75357,-1.009),(5665,4375,0.75689,-1.0078),(5665,4385,0.76022,-1.0066),(5665,4395,0.76355,-1.0053),(5665,4405,0.76707,-1.0039),(5665,4415,0.77065,-1.0025),(5665,4425,0.77422,-1.0008),(5665,4435,0.77792,-0.99921),(5665,4445,0.78169,-0.99757),(5665,4455,0.78546,-0.99569),(5665,4465,0.7893,-0.9938),(5665,4475,0.79323,-0.99191),(5665,4485,0.79716,-0.98984),(5665,4495,0.80113,-0.98773),(5665,4505,0.80519,-0.98562),(5665,4515,0.80925,-0.98339),(5665,4525,0.81332,-0.98109),(5665,4535,0.8175,-0.97879),(5665,4545,0.82168,-0.9764),(5665,4555,0.82586,-0.97392),(5665,4565,0.83013,-0.97144),(5665,4575,0.83441,-0.9689),(5665,4585,0.83869,-0.96622),(5665,4595,0.84302,-0.96355),(5665,4605,0.84738,-0.96085),(5665,4615,0.85173,-0.95802),(5665,4625,0.85611,-0.95519),(5665,4635,0.8605,-0.95236),(5665,4645,0.8649,-0.94937),(5665,4655,0.86929,-0.94636),(5665,4665,0.8737,-0.94335),(5665,4675,0.8781,-0.94027),(5665,4685,0.8825,-0.93717),(5665,4695,0.88689,-0.93406),(5665,4705,0.89128,-0.93089),(5665,4715,0.89568,-0.92766),(5665,4725,0.90006,-0.92444),(5665,4735,0.90444,-0.92116),(5665,4745,0.90883,-0.91779),(5665,4755,0.91321,-0.91442),(5665,4765,0.91759,-0.91103),(5665,4775,0.92197,-0.90757),(5665,4785,0.92634,-0.90411),(5665,4795,0.9307,-0.90065),(5665,4805,0.93507,-0.89713),(5665,4815,0.93942,-0.89362),(5665,4825,0.94376,-0.8901),(5665,4835,0.94809,-0.8865),(5665,4845,0.95242,-0.88289),(5665,4855,0.95672,-0.87928),(5665,4865,0.96102,-0.87559),(5665,4875,0.96532,-0.87186),(5665,4885,0.96956,-0.86812),(5665,4895,0.9738,-0.86432),(5665,4905,0.97804,-0.86044),(5665,4915,0.98224,-0.85656),(5665,4925,0.98643,-0.85265),(5665,4935,0.99063,-0.84866),(5665,4945,0.99481,-0.84467),(5665,4955,0.99898,-0.84068),(5665,4965,1.0031,-0.83667),(5665,4975,1.0073,-0.83265),(5665,4985,1.0114,-0.82863),(5665,4995,1.0156,-0.82456),(5665,5005,1.0197,-0.82048),(5665,5015,1.0238,-0.8164),(5665,5025,1.028,-0.81225),(5665,5035,1.0321,-0.80809),(5665,5045,1.0361,-0.80393),(5665,5055,1.0402,-0.79971),(5665,5065,1.0443,-0.79546),(5665,5075,1.0483,-0.79121),(5665,5085,1.0523,-0.78693),(5665,5095,1.0563,-0.78261),(5665,5105,1.0603,-0.77828),(5665,5115,1.0642,-0.77395),(5665,5125,1.0682,-0.76961),(5665,5135,1.0721,-0.76528),(5665,5145,1.076,-0.76093),(5665,5155,1.08,-0.75654),(5665,5165,1.0838,-0.75214),(5665,5175,1.0877,-0.74775),(5665,5185,1.0916,-0.7433),(5665,5195,1.0954,-0.73885),(5665,5205,1.0992,-0.73439),(5665,5215,1.103,-0.72992),(5665,5225,1.1068,-0.72545),(5665,5235,1.1106,-0.72097),(5665,5245,1.1144,-0.71648),(5665,5255,1.1181,-0.71198),(5665,5265,1.1219,-0.70748),(5665,5275,1.1256,-0.70297),(5665,5285,1.1293,-0.69845),(5665,5295,1.133,-0.69393),(5665,5305,1.1367,-0.6894),(5665,5315,1.1403,-0.68482),(5665,5325,1.144,-0.68024),(5665,5335,1.1476,-0.67565),(5665,5345,1.1512,-0.67102),(5665,5355,1.1548,-0.66638),(5665,5365,1.1583,-0.66175),(5665,5375,1.1619,-0.65711),(5665,5385,1.1655,-0.65246),(5665,5395,1.169,-0.64782),(5665,5405,1.1725,-0.64317),(5665,5415,1.1761,-0.63851),(5665,5425,1.1796,-0.63386),(5665,5435,1.183,-0.62919),(5665,5445,1.1865,-0.6245),(5665,5455,1.19,-0.61981),(5665,5465,1.1934,-0.61511),(5665,5475,1.1969,-0.61036),(5665,5485,1.2003,-0.60562),(5665,5495,1.2037,-0.60087),(5665,5505,1.2071,-0.59605),(5665,5515,1.2104,-0.59123),(5665,5525,1.2138,-0.58641),(5665,5535,1.2171,-0.58156),(5665,5545,1.2204,-0.57671),(5665,5555,1.2237,-0.57186),(5665,5565,1.227,-0.567),(5665,5575,1.2302,-0.56214),(5665,5585,1.2334,-0.55728),(5665,5595,1.2366,-0.55238),(5665,5605,1.2398,-0.54745),(5665,5615,1.243,-0.54252),(5665,5625,1.2462,-0.53759),(5665,5635,1.2493,-0.53263),(5665,5645,1.2524,-0.52768),(5665,5655,1.2555,-0.52272),(5665,5665,1.2587,-0.51778),(5665,5675,1.2618,-0.51283),(5665,5685,1.2648,-0.50788),(5665,5695,1.2679,-0.50289),(5665,5705,1.271,-0.4979),(5665,5715,1.274,-0.49291),(5665,5725,1.277,-0.48786),(5665,5735,1.28,-0.4828),(5665,5745,1.283,-0.47774),(5665,5755,1.2859,-0.47266),(5665,5765,1.2888,-0.46757),(5665,5775,1.2917,-0.46248),(5665,5785,1.2946,-0.45736),(5665,5795,1.2975,-0.45221),(5665,5805,1.3003,-0.44705),(5665,5815,1.303,-0.44187),(5665,5825,1.3058,-0.43664),(5665,5835,1.3086,-0.43141),(5665,5845,1.3113,-0.42617),(5665,5855,1.314,-0.4209),(5665,5865,1.3167,-0.41563),(5665,5875,1.3194,-0.41036),(5665,5885,1.322,-0.40511),(5665,5895,1.3247,-0.39986),(5665,5905,1.3273,-0.39461),(5665,5915,1.3298,-0.38931),(5665,5925,1.3324,-0.384),(5665,5935,1.3349,-0.3787),(5665,5945,1.3374,-0.37332),(5665,5955,1.3399,-0.3679),(5665,5965,1.3423,-0.36247),(5665,5975,1.3447,-0.35704),(5665,5985,1.3471,-0.35158),(5665,5995,1.3494,-0.34612),(5665,6005,1.3517,-0.34066),(5665,6015,1.354,-0.33518),(5665,6025,1.3563,-0.32971),(5665,6035,1.3585,-0.32424),(5665,6045,1.3607,-0.31874),(5665,6055,1.3628,-0.31324),(5665,6065,1.365,-0.30774),(5665,6075,1.3671,-0.30218),(5665,6085,1.3692,-0.29663),(5665,6095,1.3712,-0.29107),(5665,6105,1.3732,-0.28544),(5665,6115,1.3752,-0.2798),(5665,6125,1.3772,-0.27415),(5665,6135,1.3791,-0.26848),(5665,6145,1.381,-0.26278),(5665,6155,1.3829,-0.25708),(5665,6165,1.3847,-0.25138),(5665,6175,1.3865,-0.24567),(5665,6185,1.3882,-0.23996),(5665,6195,1.3899,-0.23423),(5665,6205,1.3916,-0.22848),(5665,6215,1.3932,-0.22272),(5665,6225,1.3948,-0.21696),(5665,6235,1.3963,-0.21117),(5665,6245,1.3978,-0.20539),(5665,6255,1.3993,-0.1996),(5665,6265,1.4007,-0.19377),(5665,6275,1.4021,-0.18793),(5665,6285,1.4035,-0.18209),(5665,6295,1.4048,-0.17621),(5665,6305,1.4061,-0.17032),(5665,6315,1.4073,-0.16442),(5665,6325,1.4086,-0.15853),(5665,6335,1.4098,-0.15266),(5665,6345,1.4109,-0.14679),(5665,6355,1.412,-0.14091),(5665,6365,1.4131,-0.135),(5665,6375,1.4141,-0.1291),(5665,6385,1.415,-0.12318),(5665,6395,1.4159,-0.11718),(5665,6405,1.4168,-0.11118),(5665,6415,1.4176,-0.10517),(5665,6425,1.4184,-0.099218),(5665,6435,1.4191,-0.093265),(5665,6445,1.4198,-0.087312),(5665,6455,1.4204,-0.081324),(5665,6465,1.421,-0.075326),(5665,6475,1.4215,-0.069328),(5665,6485,1.422,-0.06335),(5665,6495,1.4225,-0.057387),(5665,6505,1.4229,-0.051423),(5665,6515,1.4233,-0.045431),(5665,6525,1.4236,-0.039399),(5665,6535,1.4239,-0.033367),(5665,6545,1.4241,-0.027341),(5665,6555,1.4243,-0.021333),(5665,6565,1.4245,-0.015324),(5665,6575,1.4245,-0.009311),(5665,6585,1.4246,-0.003221),(5665,6595,1.2117,0.002869),(5665,6605,0.76364,0.008958),(5665,6615,0.31558,0.009624),(5665,6625,0.000603,0.009593),(5665,6635,0.00063,0.009561),(5665,6645,0.000658,0.009558),(5665,6655,0.000685,0.009567),(5665,6665,0.000712,0.009576),(5665,6675,0.000738,0.009585),(5665,6685,0.000764,0.009594),(5665,6695,0.00079,0.009603),(5665,6705,0.000816,0.009611),(5665,6715,0.000841,0.009619),(5665,6725,0.000866,0.009627),(5665,6735,0.000891,0.009635),(5665,6745,0.000916,0.009643),(5665,6755,0.00094,0.00965),(5665,6765,0.000964,0.009658),(5665,6775,0.000988,0.009665),(5665,6785,0.001011,0.009672),(5665,6795,0.001034,0.009678),(5665,6805,0.001058,0.009685),(5665,6815,0.001081,0.009691),(5665,6825,0.001103,0.009697),(5665,6835,0.001125,0.009703),(5665,6845,0.001148,0.009708),(5665,6855,0.001169,0.009714),(5665,6865,0.001191,0.009719),(5665,6875,0.001212,0.009724),(5665,6885,0.001234,0.009728),(5665,6895,0.001254,0.009733),(5665,6905,0.001275,0.009737),(5665,6915,0.001296,0.009741),(5665,6925,0.001316,0.009745),(5665,6935,0.001336,0.009748),(5665,6945,0.001356,0.009751),(5665,6955,0.001376,0.009754),(5665,6965,0.001396,0.009757),(5665,6975,0.001415,0.009759),(5665,6985,0.001434,0.009762),(5675,5,2e-05,-1.4008),(5675,15,5.9e-05,-1.4009),(5675,25,9.3e-05,-1.401),(5675,35,0.000122,-1.4011),(5675,45,0.000152,-1.4012),(5675,55,0.000181,-1.4013),(5675,65,0.000198,-1.4014),(5675,75,0.000206,-1.4015),(5675,85,0.000213,-1.4016),(5675,95,0.000221,-1.4018),(5675,105,0.000217,-1.4019),(5675,115,0.000205,-1.402),(5675,125,0.000193,-1.4022),(5675,135,0.000181,-1.4024),(5675,145,0.000167,-1.4026),(5675,155,0.000152,-1.4027),(5675,165,0.000137,-1.4029),(5675,175,0.000122,-1.4031),(5675,185,0.000112,-1.4033),(5675,195,0.000106,-1.4035),(5675,205,9.9e-05,-1.4038),(5675,215,9.2e-05,-1.4041),(5675,225,0.000114,-1.4044),(5675,235,0.000148,-1.4046),(5675,245,0.000181,-1.405),(5675,255,0.000215,-1.4054),(5675,265,0.000281,-1.4058),(5675,275,0.000357,-1.4062),(5675,285,0.000434,-1.4066),(5675,295,0.00051,-1.4072),(5675,305,0.000605,-1.4077),(5675,315,0.000704,-1.4082),(5675,325,0.000802,-1.4087),(5675,335,0.000901,-1.4093),(5675,345,0.000971,-1.4099),(5675,355,0.001036,-1.4105),(5675,365,0.0011,-1.4111),(5675,375,0.001164,-1.4116),(5675,385,0.001171,-1.4122),(5675,395,0.00117,-1.4127),(5675,405,0.001168,-1.4133),(5675,415,0.001167,-1.4139),(5675,425,0.001116,-1.4144),(5675,435,0.001061,-1.415),(5675,445,0.001006,-1.4156),(5675,455,0.000951,-1.4162),(5675,465,0.000898,-1.4167),(5675,475,0.000844,-1.4173),(5675,485,0.00079,-1.418),(5675,495,0.000737,-1.4187),(5675,505,0.000728,-1.4194),(5675,515,0.00072,-1.4201),(5675,525,0.000712,-1.4209),(5675,535,0.000705,-1.4218),(5675,545,0.000753,-1.4226),(5675,555,0.0008,-1.4235),(5675,565,0.000848,-1.4245),(5675,575,0.000899,-1.4254),(5675,585,0.000986,-1.4264),(5675,595,0.001073,-1.4273),(5675,605,0.00116,-1.4284),(5675,615,0.001247,-1.4294),(5675,625,0.001329,-1.4304),(5675,635,0.001411,-1.4315),(5675,645,0.001494,-1.4325),(5675,655,0.001571,-1.4336),(5675,665,0.001619,-1.4347),(5675,675,0.001667,-1.4357),(5675,685,0.001714,-1.4369),(5675,695,0.00175,-1.438),(5675,705,0.001734,-1.4391),(5675,715,0.001719,-1.4402),(5675,725,0.001704,-1.4414),(5675,735,0.00168,-1.4425),(5675,745,0.001631,-1.4436),(5675,755,0.001582,-1.4448),(5675,765,0.001533,-1.446),(5675,775,0.001497,-1.4473),(5675,785,0.001494,-1.4485),(5675,795,0.001492,-1.4498),(5675,805,0.00149,-1.4512),(5675,815,0.001502,-1.4525),(5675,825,0.001547,-1.4539),(5675,835,0.001592,-1.4553),(5675,845,0.001637,-1.4567),(5675,855,0.001696,-1.4582),(5675,865,0.00178,-1.4596),(5675,875,0.001865,-1.4611),(5675,885,0.001949,-1.4627),(5675,895,0.002038,-1.4643),(5675,905,0.002135,-1.4658),(5675,915,0.002232,-1.4675),(5675,925,0.002328,-1.4691),(5675,935,0.002423,-1.4708),(5675,945,0.002517,-1.4724),(5675,955,0.00261,-1.4741),(5675,965,0.002703,-1.4758),(5675,975,0.002811,-1.4775),(5675,985,0.002936,-1.4792),(5675,995,0.003061,-1.4809),(5675,1005,0.003186,-1.4826),(5675,1015,0.003336,-1.4843),(5675,1025,0.003509,-1.4859),(5675,1035,0.003681,-1.4876),(5675,1045,0.003854,-1.4891),(5675,1055,0.004053,-1.4907),(5675,1065,0.004272,-1.4922),(5675,1075,0.00449,-1.4937),(5675,1085,0.00471,-1.495),(5675,1095,0.004923,-1.4964),(5675,1105,0.005134,-1.4978),(5675,1115,0.005344,-1.4991),(5675,1125,0.005555,-1.5004),(5675,1135,0.005443,-1.5017),(5675,1145,0.005139,-1.503),(5675,1155,0.004836,-1.5046),(5675,1165,0.004533,-1.5063),(5675,1175,0.002994,-1.5081),(5675,1185,0.00084,-1.5098),(5675,1195,-0.001313,-1.5146),(5675,1205,-0.003466,-1.5207),(5675,1215,-0.007983,-1.5268),(5675,1225,-0.013474,-1.5329),(5675,1235,-0.018966,-1.5472),(5675,1245,-0.024458,-1.5645),(5675,1255,-0.034063,-1.5818),(5675,1265,-0.045059,-1.5991),(5675,1275,-0.056054,-1.6007),(5675,1285,-0.067049,-1.5977),(5675,1295,-0.074871,-1.5946),(5675,1305,-0.081835,-1.5915),(5675,1315,-0.088799,-1.508),(5675,1325,-0.095762,-1.4053),(5675,1335,-0.062665,-1.3025),(5675,1345,-0.021171,-1.1997),(5675,1355,0.020322,-1.273),(5675,1365,0.061816,-1.3783),(5675,1375,0.069029,-1.4836),(5675,1385,0.070953,-1.5889),(5675,1395,0.072877,-1.6086),(5675,1405,0.074801,-1.6173),(5675,1415,0.065858,-1.626),(5675,1425,0.055786,-1.6347),(5675,1435,0.045715,-1.6163),(5675,1445,0.035643,-1.5958),(5675,1455,0.029535,-1.5753),(5675,1465,0.023655,-1.5547),(5675,1475,0.017776,-1.546),(5675,1485,0.011896,-1.5378),(5675,1495,0.009016,-1.5295),(5675,1505,0.006182,-1.5213),(5675,1515,0.003348,-1.5183),(5675,1525,0.000561,-1.5154),(5675,1535,-0.000357,-1.5124),(5675,1545,-0.001275,-1.5095),(5675,1555,-0.002192,-1.5075),(5675,1565,-0.003061,-1.5056),(5675,1575,-0.003226,-1.5037),(5675,1585,-0.00339,-1.5018),(5675,1595,-0.003554,-1.5002),(5675,1605,-0.003694,-1.4985),(5675,1615,-0.003622,-1.4969),(5675,1625,-0.003549,-1.4952),(5675,1635,-0.003477,-1.4937),(5675,1645,-0.0034,-1.4921),(5675,1655,-0.003289,-1.4905),(5675,1665,-0.003178,-1.489),(5675,1675,-0.003067,-1.4874),(5675,1685,-0.002957,-1.4857),(5675,1695,-0.002851,-1.4841),(5675,1705,-0.002745,-1.4825),(5675,1715,-0.002639,-1.4808),(5675,1725,-0.002526,-1.4792),(5675,1735,-0.002388,-1.4775),(5675,1745,-0.002251,-1.4759),(5675,1755,-0.002114,-1.4744),(5675,1765,-0.001976,-1.4728),(5675,1775,-0.001838,-1.4713),(5675,1785,-0.0017,-1.4697),(5675,1795,-0.001561,-1.4682),(5675,1805,-0.001437,-1.4667),(5675,1815,-0.001345,-1.4651),(5675,1825,-0.001253,-1.4636),(5675,1835,-0.001161,-1.4622),(5675,1845,-0.001091,-1.4607),(5675,1855,-0.001063,-1.4592),(5675,1865,-0.001035,-1.4578),(5675,1875,-0.001007,-1.4563),(5675,1885,-0.000983,-1.4548),(5675,1895,-0.000964,-1.4534),(5675,1905,-0.000945,-1.452),(5675,1915,-0.000927,-1.4506),(5675,1925,-0.000893,-1.4492),(5675,1935,-0.000839,-1.4479),(5675,1945,-0.000786,-1.4466),(5675,1955,-0.000732,-1.4454),(5675,1965,-0.000677,-1.4442),(5675,1975,-0.000623,-1.443),(5675,1985,-0.000568,-1.4418),(5675,1995,-0.000514,-1.4406),(5675,2005,-0.000475,-1.4394),(5675,2015,-0.000453,-1.4382),(5675,2025,-0.00043,-1.437),(5675,2035,-0.000407,-1.4358),(5675,2045,-0.000397,-1.4347),(5675,2055,-0.000398,-1.4336),(5675,2065,-0.0004,-1.4324),(5675,2075,-0.000401,-1.4313),(5675,2085,-0.000399,-1.4302),(5675,2095,-0.000395,-1.4291),(5675,2105,-0.000392,-1.4281),(5675,2115,-0.000388,-1.427),(5675,2125,-0.000362,-1.426),(5675,2135,-0.000323,-1.425),(5675,2145,-0.000284,-1.4241),(5675,2155,-0.000244,-1.4232),(5675,2165,-0.000228,-1.4223),(5675,2175,-0.000223,-1.4214),(5675,2185,-0.000219,-1.4204),(5675,2195,-0.000214,-1.4194),(5675,2205,-0.000234,-1.4184),(5675,2215,-0.000264,-1.4175),(5675,2225,-0.000294,-1.4165),(5675,2235,-0.000325,-1.4155),(5675,2245,-0.000303,-1.4146),(5675,2255,-0.000263,-1.4136),(5675,2265,-0.000224,-1.4128),(5675,2275,-0.000184,-1.4121),(5675,2285,-0.000104,-1.4114),(5675,2295,-1.3e-05,-1.4107),(5675,2305,7.9e-05,-1.4099),(5675,2315,0.00017,-1.4092),(5675,2325,0.000219,-1.4085),(5675,2335,0.000258,-1.4077),(5675,2345,0.000298,-1.407),(5675,2355,0.000337,-1.4062),(5675,2365,0.000363,-1.4054),(5675,2375,0.000387,-1.4046),(5675,2385,0.00041,-1.4039),(5675,2395,0.000434,-1.4031),(5675,2405,0.000479,-1.4024),(5675,2415,0.000526,-1.4017),(5675,2425,0.000573,-1.4011),(5675,2435,0.00062,-1.4004),(5675,2445,0.000671,-1.3998),(5675,2455,0.000722,-1.3992),(5675,2465,0.000773,-1.3986),(5675,2475,0.000825,-1.398),(5675,2485,0.000843,-1.3974),(5675,2495,0.000861,-1.3968),(5675,2505,0.000878,-1.3962),(5675,2515,0.000896,-1.3955),(5675,2525,0.00089,-1.3949),(5675,2535,0.000884,-1.3943),(5675,2545,0.000877,-1.3937),(5675,2555,0.000873,-1.3931),(5675,2565,0.000892,-1.3925),(5675,2575,0.000911,-1.3919),(5675,2585,0.000931,-1.3914),(5675,2595,0.000953,-1.3909),(5675,2605,0.001001,-1.3904),(5675,2615,0.001049,-1.3899),(5675,2625,0.001097,-1.3894),(5675,2635,0.001141,-1.3889),(5675,2645,0.00116,-1.3884),(5675,2655,0.001179,-1.3879),(5675,2665,0.001199,-1.3874),(5675,2675,0.001214,-1.3869),(5675,2685,0.001209,-1.3864),(5675,2695,0.001204,-1.3858),(5675,2705,0.001199,-1.3852),(5675,2715,0.001193,-1.3847),(5675,2725,0.001179,-1.3841),(5675,2735,0.001166,-1.3835),(5675,2745,0.001152,-1.383),(5675,2755,0.001148,-1.3824),(5675,2765,0.001174,-1.3819),(5675,2775,0.001199,-1.3814),(5675,2785,0.001224,-1.3809),(5675,2795,0.001253,-1.3805),(5675,2805,0.00129,-1.38),(5675,2815,0.001327,-1.3796),(5675,2825,0.001363,-1.3791),(5675,2835,0.001384,-1.3787),(5675,2845,0.001374,-1.3782),(5675,2855,0.001363,-1.3777),(5675,2865,0.001352,-1.3772),(5675,2875,0.001333,-1.3767),(5675,2885,0.001301,-1.3761),(5675,2895,0.001269,-1.3756),(5675,2905,0.001237,-1.3752),(5675,2915,0.001231,-1.3747),(5675,2925,0.001265,-1.3742),(5675,2935,0.001298,-1.3738),(5675,2945,0.001332,-1.3735),(5675,2955,0.001382,-1.3732),(5675,2965,0.001453,-1.3728),(5675,2975,0.001524,-1.3725),(5675,2985,0.001595,-1.3722),(5675,2995,0.001624,-1.3719),(5675,3005,0.001608,-1.3715),(5675,3015,0.001593,-1.3711),(5675,3025,0.001577,-1.3705),(5675,3035,0.00153,-1.3699),(5675,3045,0.001453,-1.3694),(5675,3055,0.001377,-1.3688),(5675,3065,0.001301,-1.3683),(5675,3075,0.001301,-1.3677),(5675,3085,0.001359,-1.3672),(5675,3095,0.001417,-1.3667),(5675,3105,0.001475,-1.3664),(5675,3115,0.001563,-1.3661),(5675,3125,0.00167,-1.3658),(5675,3135,0.001778,-1.3655),(5675,3145,0.001885,-1.3652),(5675,3155,0.00194,-1.3649),(5675,3165,0.001968,-1.3645),(5675,3175,0.001995,-1.3641),(5675,3185,0.002022,-1.3637),(5675,3195,0.002033,-1.3632),(5675,3205,0.002035,-1.3628),(5675,3215,0.002038,-1.3624),(5675,3225,0.002041,-1.362),(5675,3235,0.00206,-1.3616),(5675,3245,0.002086,-1.3612),(5675,3255,0.002111,-1.3608),(5675,3265,0.002136,-1.3604),(5675,3275,0.002178,-1.36),(5675,3285,0.002224,-1.3597),(5675,3295,0.002271,-1.3593),(5675,3305,0.002318,-1.359),(5675,3315,0.002343,-1.3587),(5675,3325,0.002363,-1.3584),(5675,3335,0.002383,-1.358),(5675,3345,0.002403,-1.3576),(5675,3355,0.002384,-1.3572),(5675,3365,0.002358,-1.3567),(5675,3375,0.002332,-1.3563),(5675,3385,0.002306,-1.3558),(5675,3395,0.00237,-1.3553),(5675,3405,0.002445,-1.3549),(5675,3415,0.002521,-1.3547),(5675,3425,0.002596,-1.3545),(5675,3435,0.002732,-1.3544),(5675,3445,0.002873,-1.3543),(5675,3455,0.003014,-1.354),(5675,3465,0.003155,-1.3537),(5675,3475,0.003174,-1.3535),(5675,3485,0.003189,-1.3532),(5675,3495,0.003204,-1.3528),(5675,3505,0.003219,-1.3525),(5675,3515,0.003207,-1.3521),(5675,3525,0.003195,-1.3517),(5675,3535,0.003183,-1.3513),(5675,3545,0.003173,-1.3508),(5675,3555,0.003201,-1.3503),(5675,3565,0.003228,-1.3499),(5675,3575,0.003256,-1.3495),(5675,3585,0.003287,-1.3492),(5675,3595,0.003361,-1.3488),(5675,3605,0.003435,-1.3485),(5675,3615,0.003509,-1.3484),(5675,3625,0.003575,-1.3482),(5675,3635,0.00359,-1.3481),(5675,3645,0.003605,-1.3479),(5675,3655,0.00362,-1.3475),(5675,3665,0.003622,-1.3471),(5675,3675,0.003558,-1.3467),(5675,3685,0.003493,-1.3463),(5675,3695,0.003428,-1.3461),(5675,3705,0.003371,-1.3459),(5675,3715,0.003341,-1.3456),(5675,3725,0.003312,-1.3455),(5675,3735,0.003283,-1.3454),(5675,3745,0.003228,-1.3454),(5675,3755,0.003095,-1.3453),(5675,3765,0.002962,-1.3453),(5675,3775,0.002828,-1.3453),(5675,3785,0.002637,-1.3454),(5675,3795,0.002296,-1.3454),(5675,3805,0.001955,-1.3456),(5675,3815,0.001614,-1.3459),(5675,3825,0.00115,-1.3463),(5675,3835,0.000424,-1.3467),(5675,3845,-0.000302,-1.3473),(5675,3855,-0.001027,-1.3485),(5675,3865,-0.00208,-1.3497),(5675,3875,-0.003713,-1.3509),(5675,3885,-0.005345,-1.3529),(5675,3895,-0.006977,-1.3564),(5675,3905,-0.009107,-1.3599),(5675,3915,-0.011982,-1.3633),(5675,3925,-0.014858,-1.3687),(5675,3935,-0.017733,-1.3766),(5675,3945,-0.02222,-1.3845),(5675,3955,-0.028751,-1.3924),(5675,3965,-0.035283,-1.3922),(5675,3975,-0.041815,-1.3826),(5675,3985,-0.052313,-1.373),(5675,3995,-0.067104,-1.3633),(5675,4005,-0.081895,-1.3063),(5675,4015,-0.096686,-1.202),(5675,4025,0.056387,-1.0976),(5675,4035,0.22588,-1.0267),(5675,4045,0.39538,-1.0263),(5675,4055,0.50185,-1.026),(5675,4065,0.58533,-1.0256),(5675,4075,0.66881,-1.025),(5675,4085,0.70616,-1.0244),(5675,4095,0.70644,-1.0238),(5675,4105,0.70673,-1.0234),(5675,4115,0.70709,-1.023),(5675,4125,0.70757,-1.0226),(5675,4135,0.70806,-1.0222),(5675,4145,0.70861,-1.0218),(5675,4155,0.70943,-1.0214),(5675,4165,0.71025,-1.021),(5675,4175,0.71108,-1.0206),(5675,4185,0.71228,-1.0202),(5675,4195,0.71349,-1.0198),(5675,4205,0.7147,-1.0195),(5675,4215,0.71621,-1.0191),(5675,4225,0.71778,-1.0187),(5675,4235,0.71934,-1.0182),(5675,4245,0.72115,-1.0177),(5675,4255,0.72307,-1.0172),(5675,4265,0.72499,-1.0165),(5675,4275,0.72709,-1.0158),(5675,4285,0.72938,-1.0151),(5675,4295,0.73168,-1.0143),(5675,4305,0.73408,-1.0135),(5675,4315,0.73672,-1.0127),(5675,4325,0.73936,-1.0118),(5675,4335,0.74204,-1.0108),(5675,4345,0.74501,-1.0098),(5675,4355,0.74797,-1.0087),(5675,4365,0.75094,-1.0076),(5675,4375,0.75418,-1.0064),(5675,4385,0.75744,-1.0052),(5675,4395,0.76069,-1.0039),(5675,4405,0.76414,-1.0026),(5675,4415,0.76764,-1.0012),(5675,4425,0.77115,-0.99959),(5675,4435,0.77477,-0.99799),(5675,4445,0.77848,-0.99639),(5675,4455,0.78218,-0.99454),(5675,4465,0.78595,-0.99269),(5675,4475,0.78981,-0.99083),(5675,4485,0.79368,-0.9888),(5675,4495,0.79757,-0.98672),(5675,4505,0.80156,-0.98464),(5675,4515,0.80556,-0.98244),(5675,4525,0.80956,-0.98017),(5675,4535,0.81366,-0.9779),(5675,4545,0.81777,-0.97554),(5675,4555,0.82188,-0.97308),(5675,4565,0.82609,-0.97062),(5675,4575,0.8303,-0.96811),(5675,4585,0.83452,-0.96545),(5675,4595,0.83879,-0.9628),(5675,4605,0.84308,-0.96012),(5675,4615,0.84738,-0.95731),(5675,4625,0.85169,-0.9545),(5675,4635,0.85603,-0.95169),(5675,4645,0.86037,-0.94871),(5675,4655,0.86471,-0.94572),(5675,4665,0.86906,-0.94274),(5675,4675,0.87341,-0.93967),(5675,4685,0.87776,-0.93658),(5675,4695,0.8821,-0.93349),(5675,4705,0.88645,-0.93033),(5675,4715,0.89079,-0.92712),(5675,4725,0.89514,-0.9239),(5675,4735,0.89948,-0.92063),(5675,4745,0.90382,-0.91726),(5675,4755,0.90817,-0.9139),(5675,4765,0.91251,-0.91051),(5675,4775,0.91685,-0.90706),(5675,4785,0.92118,-0.90362),(5675,4795,0.9255,-0.90017),(5675,4805,0.92982,-0.89667),(5675,4815,0.93414,-0.89317),(5675,4825,0.93844,-0.88967),(5675,4835,0.94275,-0.8861),(5675,4845,0.94705,-0.88251),(5675,4855,0.95132,-0.87892),(5675,4865,0.9556,-0.87525),(5675,4875,0.95987,-0.87155),(5675,4885,0.96408,-0.86785),(5675,4895,0.9683,-0.86407),(5675,4905,0.97252,-0.86022),(5675,4915,0.97669,-0.85637),(5675,4925,0.98085,-0.85248),(5675,4935,0.98502,-0.84851),(5675,4945,0.98916,-0.84455),(5675,4955,0.9933,-0.84058),(5675,4965,0.99743,-0.83659),(5675,4975,1.0015,-0.8326),(5675,4985,1.0056,-0.82861),(5675,4995,1.0098,-0.82456),(5675,5005,1.0138,-0.8205),(5675,5015,1.0179,-0.81645),(5675,5025,1.022,-0.81234),(5675,5035,1.0261,-0.8082),(5675,5045,1.0301,-0.80407),(5675,5055,1.0341,-0.79988),(5675,5065,1.0382,-0.79566),(5675,5075,1.0422,-0.79143),(5675,5085,1.0462,-0.78718),(5675,5095,1.0502,-0.78287),(5675,5105,1.0541,-0.77857),(5675,5115,1.058,-0.77426),(5675,5125,1.062,-0.76994),(5675,5135,1.0659,-0.76562),(5675,5145,1.0698,-0.7613),(5675,5155,1.0736,-0.75692),(5675,5165,1.0775,-0.75254),(5675,5175,1.0814,-0.74815),(5675,5185,1.0852,-0.74372),(5675,5195,1.089,-0.73928),(5675,5205,1.0928,-0.73484),(5675,5215,1.0966,-0.73037),(5675,5225,1.1004,-0.7259),(5675,5235,1.1041,-0.72143),(5675,5245,1.1079,-0.71695),(5675,5255,1.1116,-0.71245),(5675,5265,1.1153,-0.70795),(5675,5275,1.1191,-0.70345),(5675,5285,1.1228,-0.69894),(5675,5295,1.1264,-0.69442),(5675,5305,1.1301,-0.6899),(5675,5315,1.1337,-0.68532),(5675,5325,1.1373,-0.68074),(5675,5335,1.1409,-0.67616),(5675,5345,1.1445,-0.67152),(5675,5355,1.1481,-0.66688),(5675,5365,1.1517,-0.66225),(5675,5375,1.1552,-0.6576),(5675,5385,1.1587,-0.65295),(5675,5395,1.1622,-0.6483),(5675,5405,1.1657,-0.64364),(5675,5415,1.1693,-0.63898),(5675,5425,1.1727,-0.63432),(5675,5435,1.1762,-0.62964),(5675,5445,1.1797,-0.62495),(5675,5455,1.1831,-0.62026),(5675,5465,1.1865,-0.61555),(5675,5475,1.19,-0.6108),(5675,5485,1.1933,-0.60604),(5675,5495,1.1967,-0.60128),(5675,5505,1.2001,-0.59646),(5675,5515,1.2035,-0.59163),(5675,5525,1.2068,-0.58681),(5675,5535,1.2101,-0.58195),(5675,5545,1.2134,-0.5771),(5675,5555,1.2167,-0.57224),(5675,5565,1.2199,-0.56737),(5675,5575,1.2232,-0.5625),(5675,5585,1.2264,-0.55763),(5675,5595,1.2295,-0.55272),(5675,5605,1.2327,-0.54778),(5675,5615,1.2359,-0.54284),(5675,5625,1.239,-0.53789),(5675,5635,1.2421,-0.53292),(5675,5645,1.2452,-0.52794),(5675,5655,1.2483,-0.52297),(5675,5665,1.2514,-0.51801),(5675,5675,1.2545,-0.51305),(5675,5685,1.2575,-0.50808),(5675,5695,1.2606,-0.50308),(5675,5705,1.2636,-0.49808),(5675,5715,1.2666,-0.49308),(5675,5725,1.2696,-0.48803),(5675,5735,1.2726,-0.48297),(5675,5745,1.2755,-0.47791),(5675,5755,1.2785,-0.47282),(5675,5765,1.2814,-0.46772),(5675,5775,1.2843,-0.46263),(5675,5785,1.2871,-0.4575),(5675,5795,1.29,-0.45233),(5675,5805,1.2927,-0.44717),(5675,5815,1.2955,-0.44198),(5675,5825,1.2983,-0.43674),(5675,5835,1.301,-0.4315),(5675,5845,1.3037,-0.42625),(5675,5855,1.3064,-0.42096),(5675,5865,1.3091,-0.41568),(5675,5875,1.3117,-0.41039),(5675,5885,1.3144,-0.40513),(5675,5895,1.317,-0.39987),(5675,5905,1.3195,-0.39461),(5675,5915,1.3221,-0.3893),(5675,5925,1.3247,-0.38399),(5675,5935,1.3272,-0.37868),(5675,5945,1.3296,-0.3733),(5675,5955,1.3321,-0.36787),(5675,5965,1.3345,-0.36245),(5675,5975,1.3369,-0.35701),(5675,5985,1.3393,-0.35154),(5675,5995,1.3416,-0.34608),(5675,6005,1.3439,-0.34061),(5675,6015,1.3462,-0.33513),(5675,6025,1.3484,-0.32965),(5675,6035,1.3506,-0.32417),(5675,6045,1.3528,-0.31866),(5675,6055,1.3549,-0.31315),(5675,6065,1.357,-0.30765),(5675,6075,1.3591,-0.30208),(5675,6085,1.3611,-0.29651),(5675,6095,1.3632,-0.29095),(5675,6105,1.3652,-0.28532),(5675,6115,1.3671,-0.27966),(5675,6125,1.3691,-0.27401),(5675,6135,1.371,-0.26833),(5675,6145,1.3729,-0.26263),(5675,6155,1.3747,-0.25693),(5675,6165,1.3765,-0.25123),(5675,6175,1.3783,-0.24552),(5675,6185,1.38,-0.23982),(5675,6195,1.3817,-0.2341),(5675,6205,1.3834,-0.22835),(5675,6215,1.385,-0.2226),(5675,6225,1.3865,-0.21684),(5675,6235,1.3881,-0.21105),(5675,6245,1.3896,-0.20526),(5675,6255,1.391,-0.19947),(5675,6265,1.3924,-0.19363),(5675,6275,1.3938,-0.18779),(5675,6285,1.3951,-0.18195),(5675,6295,1.3964,-0.17606),(5675,6305,1.3977,-0.17016),(5675,6315,1.3989,-0.16426),(5675,6325,1.4001,-0.15838),(5675,6335,1.4014,-0.15251),(5675,6345,1.4024,-0.14664),(5675,6355,1.4035,-0.14076),(5675,6365,1.4046,-0.13486),(5675,6375,1.4056,-0.12897),(5675,6385,1.4065,-0.12305),(5675,6395,1.4075,-0.11706),(5675,6405,1.4083,-0.11106),(5675,6415,1.4091,-0.10507),(5675,6425,1.4099,-0.099118),(5675,6435,1.4106,-0.093169),(5675,6445,1.4113,-0.08722),(5675,6455,1.4119,-0.081235),(5675,6465,1.4125,-0.07524),(5675,6475,1.413,-0.069245),(5675,6485,1.4135,-0.063271),(5675,6495,1.414,-0.05731),(5675,6505,1.4144,-0.05135),(5675,6515,1.4147,-0.04536),(5675,6525,1.4151,-0.039332),(5675,6535,1.4153,-0.033303),(5675,6545,1.4156,-0.027281),(5675,6555,1.4158,-0.02128),(5675,6565,1.4159,-0.015279),(5675,6575,1.416,-0.009272),(5675,6585,1.416,-0.003187),(5675,6595,1.2044,0.002898),(5675,6605,0.75905,0.008983),(5675,6615,0.31367,0.009649),(5675,6625,0.000593,0.009619),(5675,6635,0.00062,0.009588),(5675,6645,0.000648,0.009586),(5675,6655,0.000675,0.009594),(5675,6665,0.000702,0.009603),(5675,6675,0.000728,0.009612),(5675,6685,0.000755,0.00962),(5675,6695,0.000781,0.009628),(5675,6705,0.000806,0.009637),(5675,6715,0.000832,0.009644),(5675,6725,0.000857,0.009652),(5675,6735,0.000882,0.00966),(5675,6745,0.000907,0.009667),(5675,6755,0.000931,0.009675),(5675,6765,0.000955,0.009682),(5675,6775,0.000979,0.009688),(5675,6785,0.001003,0.009695),(5675,6795,0.001027,0.009702),(5675,6805,0.00105,0.009708),(5675,6815,0.001073,0.009713),(5675,6825,0.001095,0.00972),(5675,6835,0.001118,0.009725),(5675,6845,0.001141,0.00973),(5675,6855,0.001162,0.009735),(5675,6865,0.001184,0.00974),(5675,6875,0.001206,0.009745),(5675,6885,0.001227,0.009749),(5675,6895,0.001248,0.009754),(5675,6905,0.00127,0.009757),(5675,6915,0.00129,0.009761),(5675,6925,0.001311,0.009765),(5675,6935,0.001331,0.009768),(5675,6945,0.001351,0.009771),(5675,6955,0.001371,0.009774),(5675,6965,0.001391,0.009776),(5675,6975,0.001411,0.009778),(5675,6985,0.00143,0.009781),(5685,5,2.2e-05,-1.2666),(5685,15,6.5e-05,-1.2668),(5685,25,0.000101,-1.2669),(5685,35,0.000132,-1.267),(5685,45,0.000163,-1.2671),(5685,55,0.000194,-1.2672),(5685,65,0.000214,-1.2673),(5685,75,0.000225,-1.2674),(5685,85,0.000236,-1.2675),(5685,95,0.000247,-1.2676),(5685,105,0.000246,-1.2677),(5685,115,0.000238,-1.2678),(5685,125,0.000229,-1.268),(5685,135,0.000221,-1.2681),(5685,145,0.000207,-1.2683),(5685,155,0.000191,-1.2685),(5685,165,0.000174,-1.2686),(5685,175,0.000157,-1.2688),(5685,185,0.000142,-1.269),(5685,195,0.000127,-1.2692),(5685,205,0.000112,-1.2694),(5685,215,9.7e-05,-1.2697),(5685,225,0.000106,-1.2699),(5685,235,0.000126,-1.2702),(5685,245,0.000145,-1.2705),(5685,255,0.000164,-1.2708),(5685,265,0.00022,-1.2712),(5685,275,0.000287,-1.2715),(5685,285,0.000355,-1.272),(5685,295,0.000422,-1.2724),(5685,305,0.000516,-1.2729),(5685,315,0.000618,-1.2733),(5685,325,0.000719,-1.2738),(5685,335,0.000821,-1.2744),(5685,345,0.000904,-1.2749),(5685,355,0.000984,-1.2754),(5685,365,0.001064,-1.276),(5685,375,0.001144,-1.2765),(5685,385,0.001168,-1.277),(5685,395,0.001185,-1.2775),(5685,405,0.001201,-1.278),(5685,415,0.001217,-1.2785),(5685,425,0.001175,-1.279),(5685,435,0.001128,-1.2796),(5685,445,0.001081,-1.2801),(5685,455,0.001034,-1.2806),(5685,465,0.000974,-1.2812),(5685,475,0.000914,-1.2817),(5685,485,0.000853,-1.2823),(5685,495,0.000793,-1.2829),(5685,505,0.000774,-1.2835),(5685,515,0.000756,-1.2841),(5685,525,0.000738,-1.2849),(5685,535,0.000721,-1.2857),(5685,545,0.000761,-1.2864),(5685,555,0.000802,-1.2872),(5685,565,0.000842,-1.2881),(5685,575,0.000885,-1.2889),(5685,585,0.000967,-1.2898),(5685,595,0.001048,-1.2907),(5685,605,0.00113,-1.2916),(5685,615,0.001212,-1.2926),(5685,625,0.001293,-1.2935),(5685,635,0.001375,-1.2944),(5685,645,0.001456,-1.2954),(5685,655,0.001533,-1.2964),(5685,665,0.001587,-1.2973),(5685,675,0.001641,-1.2983),(5685,685,0.001695,-1.2993),(5685,695,0.001739,-1.3003),(5685,705,0.001737,-1.3014),(5685,715,0.001736,-1.3024),(5685,725,0.001734,-1.3034),(5685,735,0.001723,-1.3045),(5685,745,0.001683,-1.3055),(5685,755,0.001643,-1.3065),(5685,765,0.001602,-1.3077),(5685,775,0.00157,-1.3088),(5685,785,0.00156,-1.3099),(5685,795,0.00155,-1.3111),(5685,805,0.00154,-1.3123),(5685,815,0.001541,-1.3135),(5685,825,0.001568,-1.3148),(5685,835,0.001595,-1.316),(5685,845,0.001622,-1.3173),(5685,855,0.001664,-1.3186),(5685,865,0.001731,-1.3199),(5685,875,0.001797,-1.3212),(5685,885,0.001864,-1.3227),(5685,895,0.001941,-1.3241),(5685,905,0.002033,-1.3255),(5685,915,0.002125,-1.327),(5685,925,0.002216,-1.3285),(5685,935,0.002309,-1.33),(5685,945,0.002402,-1.3315),(5685,955,0.002496,-1.333),(5685,965,0.002589,-1.3345),(5685,975,0.002693,-1.3361),(5685,985,0.002809,-1.3376),(5685,995,0.002924,-1.3391),(5685,1005,0.00304,-1.3407),(5685,1015,0.003172,-1.3422),(5685,1025,0.003321,-1.3437),(5685,1035,0.003469,-1.3452),(5685,1045,0.003617,-1.3466),(5685,1055,0.003776,-1.348),(5685,1065,0.003944,-1.3494),(5685,1075,0.004112,-1.3507),(5685,1085,0.00428,-1.3519),(5685,1095,0.004435,-1.3531),(5685,1105,0.004582,-1.3544),(5685,1115,0.004728,-1.3556),(5685,1125,0.004874,-1.3567),(5685,1135,0.004814,-1.3579),(5685,1145,0.004632,-1.359),(5685,1155,0.004449,-1.3605),(5685,1165,0.004266,-1.3621),(5685,1175,0.003553,-1.3637),(5685,1185,0.002577,-1.3653),(5685,1195,0.0016,-1.3694),(5685,1205,0.000623,-1.3747),(5685,1215,-0.001469,-1.38),(5685,1225,-0.004021,-1.3852),(5685,1235,-0.006573,-1.3971),(5685,1245,-0.009126,-1.4115),(5685,1255,-0.022113,-1.4259),(5685,1265,-0.038624,-1.4402),(5685,1275,-0.055135,-1.4445),(5685,1285,-0.071646,-1.4457),(5685,1295,-0.10012,-1.447),(5685,1305,-0.13183,-1.4482),(5685,1315,-0.16354,-1.3945),(5685,1325,-0.19526,-1.3277),(5685,1335,-0.1226,-1.2608),(5685,1345,-0.028081,-1.194),(5685,1355,0.066442,-1.2433),(5685,1365,0.16096,-1.3137),(5685,1375,0.15452,-1.3841),(5685,1385,0.1325,-1.4544),(5685,1395,0.11048,-1.4647),(5685,1405,0.088461,-1.4672),(5685,1415,0.070242,-1.4698),(5685,1425,0.052419,-1.4723),(5685,1435,0.034595,-1.4566),(5685,1445,0.016771,-1.4394),(5685,1455,0.013272,-1.4223),(5685,1465,0.010598,-1.4051),(5685,1475,0.007924,-1.3975),(5685,1485,0.005249,-1.3903),(5685,1495,0.003796,-1.3831),(5685,1505,0.002362,-1.3759),(5685,1515,0.000927,-1.3732),(5685,1525,-0.000487,-1.3704),(5685,1535,-0.001135,-1.3677),(5685,1545,-0.001783,-1.365),(5685,1555,-0.00243,-1.3633),(5685,1565,-0.003045,-1.3615),(5685,1575,-0.003174,-1.3598),(5685,1585,-0.003303,-1.358),(5685,1595,-0.003432,-1.3565),(5685,1605,-0.003539,-1.355),(5685,1615,-0.003461,-1.3535),(5685,1625,-0.003383,-1.3521),(5685,1635,-0.003305,-1.3507),(5685,1645,-0.003222,-1.3492),(5685,1655,-0.003113,-1.3478),(5685,1665,-0.003004,-1.3464),(5685,1675,-0.002896,-1.345),(5685,1685,-0.002791,-1.3435),(5685,1695,-0.002704,-1.3421),(5685,1705,-0.002616,-1.3406),(5685,1715,-0.002529,-1.3391),(5685,1725,-0.002437,-1.3376),(5685,1735,-0.002329,-1.3361),(5685,1745,-0.002221,-1.3346),(5685,1755,-0.002113,-1.3332),(5685,1765,-0.002001,-1.3318),(5685,1775,-0.00188,-1.3304),(5685,1785,-0.001758,-1.329),(5685,1795,-0.001636,-1.3276),(5685,1805,-0.001522,-1.3263),(5685,1815,-0.001426,-1.3249),(5685,1825,-0.001331,-1.3235),(5685,1835,-0.001236,-1.3222),(5685,1845,-0.001159,-1.3209),(5685,1855,-0.001118,-1.3196),(5685,1865,-0.001077,-1.3182),(5685,1875,-0.001036,-1.3169),(5685,1885,-0.001003,-1.3156),(5685,1895,-0.000984,-1.3143),(5685,1905,-0.000966,-1.313),(5685,1915,-0.000947,-1.3118),(5685,1925,-0.000915,-1.3105),(5685,1935,-0.000867,-1.3093),(5685,1945,-0.000818,-1.3081),(5685,1955,-0.000769,-1.307),(5685,1965,-0.000717,-1.3059),(5685,1975,-0.000662,-1.3049),(5685,1985,-0.000607,-1.3038),(5685,1995,-0.000552,-1.3027),(5685,2005,-0.000508,-1.3016),(5685,2015,-0.000476,-1.3005),(5685,2025,-0.000444,-1.2994),(5685,2035,-0.000413,-1.2984),(5685,2045,-0.000392,-1.2974),(5685,2055,-0.000381,-1.2963),(5685,2065,-0.00037,-1.2953),(5685,2075,-0.000358,-1.2943),(5685,2085,-0.00035,-1.2933),(5685,2095,-0.000343,-1.2923),(5685,2105,-0.000337,-1.2914),(5685,2115,-0.00033,-1.2904),(5685,2125,-0.000303,-1.2895),(5685,2135,-0.000263,-1.2886),(5685,2145,-0.000223,-1.2877),(5685,2155,-0.000183,-1.2869),(5685,2165,-0.000164,-1.2861),(5685,2175,-0.000155,-1.2853),(5685,2185,-0.000146,-1.2845),(5685,2195,-0.000137,-1.2836),(5685,2205,-0.000164,-1.2827),(5685,2215,-0.000206,-1.2818),(5685,2225,-0.000249,-1.2809),(5685,2235,-0.000291,-1.2801),(5685,2245,-0.000288,-1.2792),(5685,2255,-0.000268,-1.2783),(5685,2265,-0.000249,-1.2776),(5685,2275,-0.00023,-1.2769),(5685,2285,-0.00016,-1.2763),(5685,2295,-7.6e-05,-1.2756),(5685,2305,7e-06,-1.2749),(5685,2315,9.1e-05,-1.2743),(5685,2325,0.000143,-1.2736),(5685,2335,0.000188,-1.273),(5685,2345,0.000233,-1.2723),(5685,2355,0.000278,-1.2716),(5685,2365,0.000305,-1.2709),(5685,2375,0.000329,-1.2701),(5685,2385,0.000353,-1.2695),(5685,2395,0.000377,-1.2688),(5685,2405,0.000421,-1.2682),(5685,2415,0.000468,-1.2675),(5685,2425,0.000514,-1.2669),(5685,2435,0.000561,-1.2664),(5685,2445,0.000616,-1.2658),(5685,2455,0.000671,-1.2652),(5685,2465,0.000726,-1.2647),(5685,2475,0.000782,-1.2641),(5685,2485,0.000804,-1.2636),(5685,2495,0.000826,-1.2631),(5685,2505,0.000848,-1.2625),(5685,2515,0.000869,-1.2619),(5685,2525,0.000862,-1.2614),(5685,2535,0.000855,-1.2608),(5685,2545,0.000848,-1.2603),(5685,2555,0.000842,-1.2597),(5685,2565,0.000858,-1.2592),(5685,2575,0.000874,-1.2586),(5685,2585,0.00089,-1.2582),(5685,2595,0.000909,-1.2577),(5685,2605,0.000958,-1.2573),(5685,2615,0.001006,-1.2568),(5685,2625,0.001055,-1.2564),(5685,2635,0.001101,-1.2559),(5685,2645,0.001129,-1.2555),(5685,2655,0.001157,-1.2551),(5685,2665,0.001185,-1.2546),(5685,2675,0.001207,-1.2541),(5685,2685,0.001202,-1.2537),(5685,2695,0.001197,-1.2532),(5685,2705,0.001192,-1.2527),(5685,2715,0.001184,-1.2521),(5685,2725,0.001164,-1.2516),(5685,2735,0.001144,-1.2511),(5685,2745,0.001125,-1.2506),(5685,2755,0.001115,-1.2501),(5685,2765,0.001132,-1.2496),(5685,2775,0.00115,-1.2491),(5685,2785,0.001168,-1.2487),(5685,2795,0.001191,-1.2483),(5685,2805,0.00123,-1.2479),(5685,2815,0.001268,-1.2475),(5685,2825,0.001307,-1.2471),(5685,2835,0.001333,-1.2467),(5685,2845,0.001332,-1.2463),(5685,2855,0.001332,-1.2458),(5685,2865,0.001332,-1.2454),(5685,2875,0.001322,-1.2449),(5685,2885,0.001294,-1.2444),(5685,2895,0.001267,-1.244),(5685,2905,0.001239,-1.2435),(5685,2915,0.001237,-1.2431),(5685,2925,0.001272,-1.2427),(5685,2935,0.001307,-1.2423),(5685,2945,0.001342,-1.242),(5685,2955,0.001402,-1.2417),(5685,2965,0.001493,-1.2414),(5685,2975,0.001583,-1.2411),(5685,2985,0.001673,-1.2408),(5685,2995,0.001722,-1.2405),(5685,3005,0.001728,-1.2402),(5685,3015,0.001734,-1.2398),(5685,3025,0.00174,-1.2393),(5685,3035,0.001698,-1.2388),(5685,3045,0.001612,-1.2384),(5685,3055,0.001527,-1.2378),(5685,3065,0.001441,-1.2373),(5685,3075,0.001415,-1.2368),(5685,3085,0.001433,-1.2363),(5685,3095,0.001452,-1.2359),(5685,3105,0.00147,-1.2356),(5685,3115,0.001537,-1.2353),(5685,3125,0.001633,-1.235),(5685,3135,0.00173,-1.2347),(5685,3145,0.001827,-1.2345),(5685,3155,0.001886,-1.2342),(5685,3165,0.001924,-1.2339),(5685,3175,0.001963,-1.2335),(5685,3185,0.002001,-1.2331),(5685,3195,0.002016,-1.2327),(5685,3205,0.002019,-1.2323),(5685,3215,0.002023,-1.232),(5685,3225,0.002027,-1.2316),(5685,3235,0.002041,-1.2312),(5685,3245,0.002061,-1.2309),(5685,3255,0.00208,-1.2305),(5685,3265,0.002099,-1.2302),(5685,3275,0.002139,-1.2298),(5685,3285,0.002186,-1.2295),(5685,3295,0.002233,-1.2292),(5685,3305,0.00228,-1.2289),(5685,3315,0.00231,-1.2287),(5685,3325,0.002337,-1.2284),(5685,3335,0.002363,-1.228),(5685,3345,0.00239,-1.2276),(5685,3355,0.002366,-1.2272),(5685,3365,0.002332,-1.2269),(5685,3375,0.002299,-1.2264),(5685,3385,0.002266,-1.226),(5685,3395,0.002316,-1.2256),(5685,3405,0.002376,-1.2251),(5685,3415,0.002436,-1.225),(5685,3425,0.002496,-1.2248),(5685,3435,0.002638,-1.2247),(5685,3445,0.002786,-1.2245),(5685,3455,0.002935,-1.2243),(5685,3465,0.003083,-1.2241),(5685,3475,0.003127,-1.2239),(5685,3485,0.003166,-1.2237),(5685,3495,0.003206,-1.2233),(5685,3505,0.003245,-1.223),(5685,3515,0.003221,-1.2227),(5685,3525,0.003197,-1.2224),(5685,3535,0.003174,-1.2219),(5685,3545,0.003151,-1.2215),(5685,3555,0.003155,-1.2211),(5685,3565,0.003159,-1.2206),(5685,3575,0.003163,-1.2203),(5685,3585,0.003173,-1.22),(5685,3595,0.003251,-1.2197),(5685,3605,0.003329,-1.2194),(5685,3615,0.003407,-1.2192),(5685,3625,0.00348,-1.2191),(5685,3635,0.003516,-1.219),(5685,3645,0.003552,-1.2189),(5685,3655,0.003587,-1.2185),(5685,3665,0.003609,-1.2181),(5685,3675,0.003559,-1.2178),(5685,3685,0.003508,-1.2175),(5685,3695,0.003457,-1.2172),(5685,3705,0.003414,-1.217),(5685,3715,0.003402,-1.2168),(5685,3725,0.00339,-1.2166),(5685,3735,0.003379,-1.2166),(5685,3745,0.003349,-1.2166),(5685,3755,0.003265,-1.2165),(5685,3765,0.003181,-1.2165),(5685,3775,0.003097,-1.2166),(5685,3785,0.002966,-1.2166),(5685,3795,0.002716,-1.2167),(5685,3805,0.002466,-1.2168),(5685,3815,0.002216,-1.2172),(5685,3825,0.001882,-1.2175),(5685,3835,0.00137,-1.2179),(5685,3845,0.000857,-1.2185),(5685,3855,0.000345,-1.2196),(5685,3865,-0.000348,-1.2207),(5685,3875,-0.001357,-1.2218),(5685,3885,-0.002367,-1.2236),(5685,3895,-0.003377,-1.2266),(5685,3905,-0.004714,-1.2297),(5685,3915,-0.006539,-1.2327),(5685,3925,-0.008365,-1.2373),(5685,3935,-0.01019,-1.2441),(5685,3945,-0.016153,-1.2509),(5685,3955,-0.027369,-1.2576),(5685,3965,-0.038584,-1.2589),(5685,3975,-0.0498,-1.2538),(5685,3985,-0.075208,-1.2487),(5685,3995,-0.11598,-1.2436),(5685,4005,-0.15675,-1.2073),(5685,4015,-0.19752,-1.1399),(5685,4025,-0.017568,-1.0724),(5685,4035,0.18398,-1.0266),(5685,4045,0.38553,-1.0263),(5685,4055,0.50043,-1.0259),(5685,4065,0.58372,-1.0256),(5685,4075,0.667,-1.0249),(5685,4085,0.70428,-1.0243),(5685,4095,0.70459,-1.0237),(5685,4105,0.7049,-1.0232),(5685,4115,0.70528,-1.0227),(5685,4125,0.70578,-1.0222),(5685,4135,0.70627,-1.0218),(5685,4145,0.70683,-1.0213),(5685,4155,0.70765,-1.0209),(5685,4165,0.70846,-1.0204),(5685,4175,0.70928,-1.0199),(5685,4185,0.71047,-1.0195),(5685,4195,0.71166,-1.019),(5685,4205,0.71285,-1.0186),(5685,4215,0.71434,-1.0182),(5685,4225,0.71588,-1.0178),(5685,4235,0.71742,-1.0172),(5685,4245,0.7192,-1.0167),(5685,4255,0.72108,-1.0161),(5685,4265,0.72297,-1.0154),(5685,4275,0.72503,-1.0147),(5685,4285,0.72727,-1.014),(5685,4295,0.72951,-1.0131),(5685,4305,0.73186,-1.0123),(5685,4315,0.73443,-1.0115),(5685,4325,0.73701,-1.0105),(5685,4335,0.73963,-1.0095),(5685,4345,0.74252,-1.0085),(5685,4355,0.74541,-1.0074),(5685,4365,0.74831,-1.0062),(5685,4375,0.75147,-1.0051),(5685,4385,0.75465,-1.0039),(5685,4395,0.75783,-1.0025),(5685,4405,0.76121,-1.0012),(5685,4415,0.76464,-0.99983),(5685,4425,0.76807,-0.99824),(5685,4435,0.77163,-0.99666),(5685,4445,0.77526,-0.99507),(5685,4455,0.7789,-0.99325),(5685,4465,0.7826,-0.99143),(5685,4475,0.78639,-0.98961),(5685,4485,0.79019,-0.9876),(5685,4495,0.79401,-0.98556),(5685,4505,0.79794,-0.98351),(5685,4515,0.80186,-0.98134),(5685,4525,0.80579,-0.97911),(5685,4535,0.80983,-0.97687),(5685,4545,0.81387,-0.97454),(5685,4555,0.81791,-0.97211),(5685,4565,0.82204,-0.96968),(5685,4575,0.8262,-0.96719),(5685,4585,0.83035,-0.96456),(5685,4595,0.83456,-0.96193),(5685,4605,0.83879,-0.95929),(5685,4615,0.84302,-0.9565),(5685,4625,0.84728,-0.95372),(5685,4635,0.85156,-0.95093),(5685,4645,0.85584,-0.94798),(5685,4655,0.86012,-0.94502),(5685,4665,0.86442,-0.94206),(5685,4675,0.86871,-0.93902),(5685,4685,0.87301,-0.93595),(5685,4695,0.87731,-0.93288),(5685,4705,0.88161,-0.92974),(5685,4715,0.88591,-0.92654),(5685,4725,0.89021,-0.92333),(5685,4735,0.89452,-0.92007),(5685,4745,0.89882,-0.91672),(5685,4755,0.90312,-0.91336),(5685,4765,0.90742,-0.90999),(5685,4775,0.91172,-0.90655),(5685,4785,0.91601,-0.90312),(5685,4795,0.92029,-0.89968),(5685,4805,0.92458,-0.89619),(5685,4815,0.92886,-0.89271),(5685,4825,0.93313,-0.88922),(5685,4835,0.93741,-0.88565),(5685,4845,0.94168,-0.88208),(5685,4855,0.94592,-0.8785),(5685,4865,0.95017,-0.87485),(5685,4875,0.95442,-0.87117),(5685,4885,0.95861,-0.86749),(5685,4895,0.9628,-0.86374),(5685,4905,0.96699,-0.85991),(5685,4915,0.97114,-0.85608),(5685,4925,0.97528,-0.85221),(5685,4935,0.97942,-0.84826),(5685,4945,0.98352,-0.84431),(5685,4955,0.98762,-0.84036),(5685,4965,0.99171,-0.83639),(5685,4975,0.99579,-0.83242),(5685,4985,0.99985,-0.82845),(5685,4995,1.0039,-0.82442),(5685,5005,1.008,-0.82038),(5685,5015,1.012,-0.81635),(5685,5025,1.016,-0.81225),(5685,5035,1.0201,-0.80814),(5685,5045,1.0241,-0.80403),(5685,5055,1.0281,-0.79986),(5685,5065,1.0321,-0.79566),(5685,5075,1.0361,-0.79146),(5685,5085,1.04,-0.78722),(5685,5095,1.044,-0.78294),(5685,5105,1.0479,-0.77866),(5685,5115,1.0518,-0.77437),(5685,5125,1.0557,-0.77007),(5685,5135,1.0596,-0.76577),(5685,5145,1.0635,-0.76146),(5685,5155,1.0673,-0.75709),(5685,5165,1.0712,-0.75272),(5685,5175,1.075,-0.74836),(5685,5185,1.0788,-0.74394),(5685,5195,1.0826,-0.73951),(5685,5205,1.0864,-0.73508),(5685,5215,1.0902,-0.73063),(5685,5225,1.0939,-0.72616),(5685,5235,1.0977,-0.7217),(5685,5245,1.1014,-0.71722),(5685,5255,1.1051,-0.71272),(5685,5265,1.1088,-0.70823),(5685,5275,1.1125,-0.70374),(5685,5285,1.1162,-0.69923),(5685,5295,1.1199,-0.69472),(5685,5305,1.1235,-0.69021),(5685,5315,1.1271,-0.68563),(5685,5325,1.1307,-0.68106),(5685,5335,1.1343,-0.67649),(5685,5345,1.1379,-0.67186),(5685,5355,1.1414,-0.66723),(5685,5365,1.145,-0.66259),(5685,5375,1.1485,-0.65795),(5685,5385,1.152,-0.6533),(5685,5395,1.1555,-0.64865),(5685,5405,1.159,-0.64399),(5685,5415,1.1624,-0.63932),(5685,5425,1.1659,-0.63465),(5685,5435,1.1693,-0.62997),(5685,5445,1.1728,-0.62527),(5685,5455,1.1762,-0.62057),(5685,5465,1.1796,-0.61585),(5685,5475,1.183,-0.6111),(5685,5485,1.1864,-0.60634),(5685,5495,1.1898,-0.60157),(5685,5505,1.1931,-0.59674),(5685,5515,1.1965,-0.59191),(5685,5525,1.1998,-0.58708),(5685,5535,1.2031,-0.58222),(5685,5545,1.2064,-0.57736),(5685,5555,1.2096,-0.5725),(5685,5565,1.2129,-0.56764),(5685,5575,1.2161,-0.56276),(5685,5585,1.2193,-0.55789),(5685,5595,1.2225,-0.55298),(5685,5605,1.2256,-0.54803),(5685,5615,1.2287,-0.54308),(5685,5625,1.2319,-0.53812),(5685,5635,1.235,-0.53314),(5685,5645,1.238,-0.52815),(5685,5655,1.2411,-0.52317),(5685,5665,1.2442,-0.51819),(5685,5675,1.2472,-0.51321),(5685,5685,1.2503,-0.50823),(5685,5695,1.2533,-0.50322),(5685,5705,1.2563,-0.49821),(5685,5715,1.2593,-0.4932),(5685,5725,1.2623,-0.48814),(5685,5735,1.2652,-0.48307),(5685,5745,1.2681,-0.478),(5685,5755,1.2711,-0.47291),(5685,5765,1.274,-0.46781),(5685,5775,1.2768,-0.46271),(5685,5785,1.2796,-0.45757),(5685,5795,1.2825,-0.45241),(5685,5805,1.2852,-0.44724),(5685,5815,1.288,-0.44204),(5685,5825,1.2908,-0.4368),(5685,5835,1.2935,-0.43155),(5685,5845,1.2961,-0.42629),(5685,5855,1.2988,-0.421),(5685,5865,1.3015,-0.4157),(5685,5875,1.3041,-0.41041),(5685,5885,1.3067,-0.40513),(5685,5895,1.3093,-0.39986),(5685,5905,1.3118,-0.39458),(5685,5915,1.3144,-0.38927),(5685,5925,1.3169,-0.38395),(5685,5935,1.3194,-0.37863),(5685,5945,1.3219,-0.37324),(5685,5955,1.3243,-0.36782),(5685,5965,1.3267,-0.36239),(5685,5975,1.3291,-0.35695),(5685,5985,1.3314,-0.35148),(5685,5995,1.3337,-0.34601),(5685,6005,1.336,-0.34054),(5685,6015,1.3383,-0.33506),(5685,6025,1.3405,-0.32958),(5685,6035,1.3427,-0.32409),(5685,6045,1.3448,-0.31858),(5685,6055,1.347,-0.31307),(5685,6065,1.349,-0.30756),(5685,6075,1.3511,-0.30199),(5685,6085,1.3531,-0.29642),(5685,6095,1.3551,-0.29084),(5685,6105,1.3571,-0.2852),(5685,6115,1.3591,-0.27954),(5685,6125,1.361,-0.27388),(5685,6135,1.3629,-0.26819),(5685,6145,1.3648,-0.26249),(5685,6155,1.3665,-0.25679),(5685,6165,1.3683,-0.25108),(5685,6175,1.3701,-0.24538),(5685,6185,1.3718,-0.23968),(5685,6195,1.3735,-0.23396),(5685,6205,1.3752,-0.22822),(5685,6215,1.3767,-0.22247),(5685,6225,1.3783,-0.21672),(5685,6235,1.3798,-0.21093),(5685,6245,1.3813,-0.20514),(5685,6255,1.3827,-0.19935),(5685,6265,1.3841,-0.19351),(5685,6275,1.3855,-0.18767),(5685,6285,1.3868,-0.18183),(5685,6295,1.3881,-0.17594),(5685,6305,1.3893,-0.17003),(5685,6315,1.3905,-0.16413),(5685,6325,1.3917,-0.15824),(5685,6335,1.3929,-0.15236),(5685,6345,1.394,-0.14649),(5685,6355,1.3951,-0.14061),(5685,6365,1.3961,-0.13472),(5685,6375,1.3971,-0.12883),(5685,6385,1.3981,-0.12292),(5685,6395,1.399,-0.11693),(5685,6405,1.3998,-0.11095),(5685,6415,1.4006,-0.10496),(5685,6425,1.4014,-0.099013),(5685,6435,1.4021,-0.093069),(5685,6445,1.4028,-0.087126),(5685,6455,1.4034,-0.081147),(5685,6465,1.404,-0.075158),(5685,6475,1.4045,-0.069169),(5685,6485,1.405,-0.063199),(5685,6495,1.4055,-0.057243),(5685,6505,1.4059,-0.051287),(5685,6515,1.4062,-0.045302),(5685,6525,1.4066,-0.039277),(5685,6535,1.4068,-0.033252),(5685,6545,1.407,-0.027234),(5685,6555,1.4072,-0.021238),(5685,6565,1.4073,-0.015243),(5685,6575,1.4074,-0.009241),(5685,6585,1.4075,-0.003157),(5685,6595,1.1971,0.002928),(5685,6605,0.75445,0.009013),(5685,6615,0.31177,0.009678),(5685,6625,0.000583,0.009647),(5685,6635,0.00061,0.009616),(5685,6645,0.000638,0.009613),(5685,6655,0.000665,0.009621),(5685,6665,0.000692,0.00963),(5685,6675,0.000719,0.009638),(5685,6685,0.000745,0.009646),(5685,6695,0.000771,0.009654),(5685,6705,0.000797,0.009662),(5685,6715,0.000823,0.00967),(5685,6725,0.000848,0.009678),(5685,6735,0.000873,0.009685),(5685,6745,0.000898,0.009692),(5685,6755,0.000923,0.009699),(5685,6765,0.000947,0.009706),(5685,6775,0.000971,0.009712),(5685,6785,0.000995,0.009719),(5685,6795,0.001019,0.009725),(5685,6805,0.001042,0.009731),(5685,6815,0.001065,0.009737),(5685,6825,0.001088,0.009742),(5685,6835,0.001111,0.009748),(5685,6845,0.001133,0.009753),(5685,6855,0.001156,0.009758),(5685,6865,0.001178,0.009762),(5685,6875,0.0012,0.009766),(5685,6885,0.001221,0.009771),(5685,6895,0.001242,0.009775),(5685,6905,0.001264,0.009778),(5685,6915,0.001285,0.009782),(5685,6925,0.001305,0.009785),(5685,6935,0.001326,0.009788),(5685,6945,0.001346,0.009791),(5685,6955,0.001367,0.009794),(5685,6965,0.001387,0.009796),(5685,6975,0.001406,0.009798),(5685,6985,0.001426,0.0098),(5695,5,2.4e-05,-1.0878),(5695,15,7.1e-05,-1.0879),(5695,25,0.00011,-1.088),(5695,35,0.000142,-1.0881),(5695,45,0.000175,-1.0882),(5695,55,0.000207,-1.0883),(5695,65,0.000229,-1.0884),(5695,75,0.000244,-1.0885),(5695,85,0.000258,-1.0886),(5695,95,0.000273,-1.0887),(5695,105,0.000276,-1.0888),(5695,115,0.00027,-1.0889),(5695,125,0.000265,-1.089),(5695,135,0.00026,-1.0892),(5695,145,0.000247,-1.0893),(5695,155,0.000229,-1.0894),(5695,165,0.000211,-1.0896),(5695,175,0.000193,-1.0897),(5695,185,0.000171,-1.0899),(5695,195,0.000148,-1.0901),(5695,205,0.000125,-1.0903),(5695,215,0.000101,-1.0905),(5695,225,9.8e-05,-1.0907),(5695,235,0.000104,-1.0909),(5695,245,0.000109,-1.0912),(5695,255,0.000114,-1.0915),(5695,265,0.000159,-1.0917),(5695,275,0.000217,-1.092),(5695,285,0.000275,-1.0924),(5695,295,0.000333,-1.0928),(5695,305,0.000428,-1.0932),(5695,315,0.000532,-1.0936),(5695,325,0.000636,-1.094),(5695,335,0.000741,-1.0945),(5695,345,0.000838,-1.0949),(5695,355,0.000933,-1.0954),(5695,365,0.001029,-1.0958),(5695,375,0.001124,-1.0963),(5695,385,0.001166,-1.0967),(5695,395,0.0012,-1.0972),(5695,405,0.001234,-1.0976),(5695,415,0.001268,-1.0981),(5695,425,0.001235,-1.0985),(5695,435,0.001195,-1.099),(5695,445,0.001156,-1.0994),(5695,455,0.001117,-1.0999),(5695,465,0.001051,-1.1004),(5695,475,0.000983,-1.1008),(5695,485,0.000916,-1.1013),(5695,495,0.000849,-1.1019),(5695,505,0.00082,-1.1024),(5695,515,0.000792,-1.1029),(5695,525,0.000764,-1.1036),(5695,535,0.000737,-1.1042),(5695,545,0.00077,-1.1049),(5695,555,0.000803,-1.1055),(5695,565,0.000836,-1.1063),(5695,575,0.000872,-1.107),(5695,585,0.000948,-1.1077),(5695,595,0.001024,-1.1085),(5695,605,0.0011,-1.1093),(5695,615,0.001177,-1.1101),(5695,625,0.001257,-1.1109),(5695,635,0.001338,-1.1117),(5695,645,0.001418,-1.1126),(5695,655,0.001495,-1.1134),(5695,665,0.001556,-1.1142),(5695,675,0.001616,-1.115),(5695,685,0.001677,-1.1159),(5695,695,0.001728,-1.1168),(5695,705,0.00174,-1.1177),(5695,715,0.001752,-1.1186),(5695,725,0.001765,-1.1195),(5695,735,0.001767,-1.1204),(5695,745,0.001735,-1.1213),(5695,755,0.001703,-1.1222),(5695,765,0.001671,-1.1231),(5695,775,0.001643,-1.1241),(5695,785,0.001626,-1.1251),(5695,795,0.001608,-1.1261),(5695,805,0.00159,-1.1271),(5695,815,0.001581,-1.1282),(5695,825,0.00159,-1.1292),(5695,835,0.001599,-1.1303),(5695,845,0.001608,-1.1314),(5695,855,0.001631,-1.1325),(5695,865,0.001681,-1.1336),(5695,875,0.00173,-1.1348),(5695,885,0.00178,-1.136),(5695,895,0.001844,-1.1372),(5695,905,0.001931,-1.1384),(5695,915,0.002018,-1.1397),(5695,925,0.002105,-1.141),(5695,935,0.002194,-1.1423),(5695,945,0.002288,-1.1436),(5695,955,0.002381,-1.1449),(5695,965,0.002475,-1.1462),(5695,975,0.002575,-1.1475),(5695,985,0.002681,-1.1488),(5695,995,0.002788,-1.1501),(5695,1005,0.002894,-1.1515),(5695,1015,0.003009,-1.1528),(5695,1025,0.003133,-1.1541),(5695,1035,0.003257,-1.1554),(5695,1045,0.00338,-1.1566),(5695,1055,0.0035,-1.1578),(5695,1065,0.003617,-1.159),(5695,1075,0.003734,-1.1601),(5695,1085,0.003851,-1.1612),(5695,1095,0.003947,-1.1622),(5695,1105,0.00403,-1.1633),(5695,1115,0.004112,-1.1643),(5695,1125,0.004194,-1.1653),(5695,1135,0.004185,-1.1663),(5695,1145,0.004124,-1.1673),(5695,1155,0.004062,-1.1686),(5695,1165,0.004,-1.1699),(5695,1175,0.004113,-1.1713),(5695,1185,0.004313,-1.1727),(5695,1195,0.004513,-1.1757),(5695,1205,0.004713,-1.1794),(5695,1215,0.005045,-1.1832),(5695,1225,0.005432,-1.1869),(5695,1235,0.005819,-1.195),(5695,1245,0.006206,-1.2046),(5695,1255,-0.010162,-1.2143),(5695,1265,-0.032189,-1.224),(5695,1275,-0.054216,-1.2325),(5695,1285,-0.076243,-1.2405),(5695,1295,-0.12537,-1.2486),(5695,1305,-0.18183,-1.2567),(5695,1315,-0.23829,-1.243),(5695,1325,-0.29475,-1.2241),(5695,1335,-0.18254,-1.2052),(5695,1345,-0.034991,-1.1863),(5695,1355,0.11256,-1.2033),(5695,1365,0.26011,-1.2267),(5695,1375,0.24002,-1.2501),(5695,1385,0.19405,-1.2735),(5695,1395,0.14809,-1.2702),(5695,1405,0.10212,-1.2633),(5695,1415,0.074626,-1.2565),(5695,1425,0.049051,-1.2497),(5695,1435,0.023475,-1.2384),(5695,1445,-0.0021,-1.2267),(5695,1455,-0.002991,-1.215),(5695,1465,-0.00246,-1.2033),(5695,1475,-0.001928,-1.1977),(5695,1485,-0.001397,-1.1924),(5695,1495,-0.001423,-1.1871),(5695,1505,-0.001458,-1.1818),(5695,1515,-0.001492,-1.1795),(5695,1525,-0.001535,-1.1772),(5695,1535,-0.001913,-1.1748),(5695,1545,-0.002291,-1.1725),(5695,1555,-0.002669,-1.171),(5695,1565,-0.003028,-1.1695),(5695,1575,-0.003122,-1.1679),(5695,1585,-0.003216,-1.1664),(5695,1595,-0.00331,-1.1651),(5695,1605,-0.003385,-1.1638),(5695,1615,-0.003301,-1.1625),(5695,1625,-0.003217,-1.1612),(5695,1635,-0.003132,-1.16),(5695,1645,-0.003045,-1.1588),(5695,1655,-0.002938,-1.1576),(5695,1665,-0.002831,-1.1564),(5695,1675,-0.002724,-1.1552),(5695,1685,-0.002625,-1.1539),(5695,1695,-0.002556,-1.1527),(5695,1705,-0.002488,-1.1514),(5695,1715,-0.002419,-1.1501),(5695,1725,-0.002348,-1.1489),(5695,1735,-0.00227,-1.1476),(5695,1745,-0.002191,-1.1463),(5695,1755,-0.002112,-1.1451),(5695,1765,-0.002027,-1.1439),(5695,1775,-0.001921,-1.1427),(5695,1785,-0.001816,-1.1414),(5695,1795,-0.00171,-1.1403),(5695,1805,-0.001607,-1.1391),(5695,1815,-0.001508,-1.1379),(5695,1825,-0.001409,-1.1367),(5695,1835,-0.00131,-1.1356),(5695,1845,-0.001226,-1.1345),(5695,1855,-0.001172,-1.1333),(5695,1865,-0.001118,-1.1322),(5695,1875,-0.001064,-1.1311),(5695,1885,-0.001024,-1.1299),(5695,1895,-0.001005,-1.1288),(5695,1905,-0.000986,-1.1277),(5695,1915,-0.000967,-1.1266),(5695,1925,-0.000937,-1.1256),(5695,1935,-0.000894,-1.1245),(5695,1945,-0.00085,-1.1235),(5695,1955,-0.000806,-1.1226),(5695,1965,-0.000757,-1.1216),(5695,1975,-0.000701,-1.1207),(5695,1985,-0.000646,-1.1197),(5695,1995,-0.00059,-1.1188),(5695,2005,-0.000541,-1.1179),(5695,2015,-0.0005,-1.1169),(5695,2025,-0.000459,-1.116),(5695,2035,-0.000418,-1.1151),(5695,2045,-0.000386,-1.1143),(5695,2055,-0.000363,-1.1134),(5695,2065,-0.00034,-1.1125),(5695,2075,-0.000316,-1.1117),(5695,2085,-0.000301,-1.1108),(5695,2095,-0.000291,-1.1099),(5695,2105,-0.000282,-1.1091),(5695,2115,-0.000272,-1.1083),(5695,2125,-0.000243,-1.1075),(5695,2135,-0.000203,-1.1067),(5695,2145,-0.000163,-1.106),(5695,2155,-0.000122,-1.1053),(5695,2165,-0.0001,-1.1046),(5695,2175,-8.7e-05,-1.1039),(5695,2185,-7.3e-05,-1.1032),(5695,2195,-6e-05,-1.1024),(5695,2205,-9.4e-05,-1.1017),(5695,2215,-0.000148,-1.1009),(5695,2225,-0.000203,-1.1002),(5695,2235,-0.000257,-1.0994),(5695,2245,-0.000272,-1.0987),(5695,2255,-0.000273,-1.0979),(5695,2265,-0.000275,-1.0973),(5695,2275,-0.000276,-1.0967),(5695,2285,-0.000217,-1.0961),(5695,2295,-0.00014,-1.0955),(5695,2305,-6.4e-05,-1.095),(5695,2315,1.3e-05,-1.0944),(5695,2325,6.8e-05,-1.0938),(5695,2335,0.000119,-1.0933),(5695,2345,0.000169,-1.0927),(5695,2355,0.00022,-1.0921),(5695,2365,0.000247,-1.0915),(5695,2375,0.000271,-1.0909),(5695,2385,0.000295,-1.0903),(5695,2395,0.000319,-1.0897),(5695,2405,0.000363,-1.0892),(5695,2415,0.000409,-1.0886),(5695,2425,0.000456,-1.0881),(5695,2435,0.000502,-1.0876),(5695,2445,0.00056,-1.0871),(5695,2455,0.00062,-1.0866),(5695,2465,0.000679,-1.0862),(5695,2475,0.000739,-1.0857),(5695,2485,0.000765,-1.0852),(5695,2495,0.000791,-1.0848),(5695,2505,0.000817,-1.0843),(5695,2515,0.000842,-1.0838),(5695,2525,0.000834,-1.0833),(5695,2535,0.000826,-1.0829),(5695,2545,0.000819,-1.0824),(5695,2555,0.000812,-1.0819),(5695,2565,0.000825,-1.0815),(5695,2575,0.000837,-1.081),(5695,2585,0.00085,-1.0806),(5695,2595,0.000866,-1.0802),(5695,2605,0.000915,-1.0798),(5695,2615,0.000964,-1.0794),(5695,2625,0.001013,-1.079),(5695,2635,0.00106,-1.0787),(5695,2645,0.001097,-1.0783),(5695,2655,0.001134,-1.0779),(5695,2665,0.001171,-1.0775),(5695,2675,0.0012,-1.0771),(5695,2685,0.001195,-1.0767),(5695,2695,0.001189,-1.0763),(5695,2705,0.001184,-1.0759),(5695,2715,0.001174,-1.0754),(5695,2725,0.001149,-1.075),(5695,2735,0.001123,-1.0745),(5695,2745,0.001098,-1.0741),(5695,2755,0.001081,-1.0737),(5695,2765,0.001091,-1.0732),(5695,2775,0.001101,-1.0728),(5695,2785,0.001111,-1.0725),(5695,2795,0.00113,-1.0721),(5695,2805,0.00117,-1.0718),(5695,2815,0.00121,-1.0714),(5695,2825,0.00125,-1.071),(5695,2835,0.001281,-1.0707),(5695,2845,0.001291,-1.0704),(5695,2855,0.001302,-1.07),(5695,2865,0.001312,-1.0696),(5695,2875,0.00131,-1.0692),(5695,2885,0.001287,-1.0688),(5695,2895,0.001264,-1.0684),(5695,2905,0.001241,-1.068),(5695,2915,0.001242,-1.0676),(5695,2925,0.001279,-1.0673),(5695,2935,0.001316,-1.0669),(5695,2945,0.001353,-1.0667),(5695,2955,0.001423,-1.0664),(5695,2965,0.001532,-1.0661),(5695,2975,0.001642,-1.0659),(5695,2985,0.001751,-1.0656),(5695,2995,0.001821,-1.0654),(5695,3005,0.001848,-1.0652),(5695,3015,0.001876,-1.0648),(5695,3025,0.001903,-1.0644),(5695,3035,0.001866,-1.064),(5695,3045,0.001771,-1.0636),(5695,3055,0.001676,-1.0632),(5695,3065,0.001581,-1.0627),(5695,3075,0.001529,-1.0623),(5695,3085,0.001508,-1.0618),(5695,3095,0.001487,-1.0615),(5695,3105,0.001466,-1.0612),(5695,3115,0.00151,-1.0609),(5695,3125,0.001597,-1.0607),(5695,3135,0.001683,-1.0604),(5695,3145,0.001769,-1.0602),(5695,3155,0.001832,-1.06),(5695,3165,0.001881,-1.0597),(5695,3175,0.001931,-1.0594),(5695,3185,0.001981,-1.0591),(5695,3195,0.001999,-1.0587),(5695,3205,0.002003,-1.0584),(5695,3215,0.002008,-1.0581),(5695,3225,0.002012,-1.0578),(5695,3235,0.002022,-1.0574),(5695,3245,0.002036,-1.0571),(5695,3255,0.002049,-1.0568),(5695,3265,0.002062,-1.0565),(5695,3275,0.002101,-1.0562),(5695,3285,0.002148,-1.0559),(5695,3295,0.002195,-1.0557),(5695,3305,0.002242,-1.0554),(5695,3315,0.002278,-1.0552),(5695,3325,0.002311,-1.055),(5695,3335,0.002344,-1.0547),(5695,3345,0.002376,-1.0544),(5695,3355,0.002347,-1.054),(5695,3365,0.002307,-1.0537),(5695,3375,0.002267,-1.0533),(5695,3385,0.002226,-1.053),(5695,3395,0.002261,-1.0526),(5695,3405,0.002306,-1.0522),(5695,3415,0.002351,-1.052),(5695,3425,0.002395,-1.0519),(5695,3435,0.002543,-1.0518),(5695,3445,0.0027,-1.0516),(5695,3455,0.002856,-1.0514),(5695,3465,0.003012,-1.0513),(5695,3475,0.00308,-1.0511),(5695,3485,0.003144,-1.0509),(5695,3495,0.003208,-1.0507),(5695,3505,0.003271,-1.0504),(5695,3515,0.003236,-1.0501),(5695,3525,0.0032,-1.0499),(5695,3535,0.003164,-1.0495),(5695,3545,0.003129,-1.0491),(5695,3555,0.00311,-1.0487),(5695,3565,0.00309,-1.0484),(5695,3575,0.00307,-1.0481),(5695,3585,0.003059,-1.0478),(5695,3595,0.003141,-1.0475),(5695,3605,0.003223,-1.0472),(5695,3615,0.003306,-1.0471),(5695,3625,0.003385,-1.047),(5695,3635,0.003441,-1.0469),(5695,3645,0.003498,-1.0468),(5695,3655,0.003555,-1.0465),(5695,3665,0.003596,-1.0462),(5695,3675,0.003559,-1.0459),(5695,3685,0.003523,-1.0456),(5695,3695,0.003486,-1.0454),(5695,3705,0.003458,-1.0452),(5695,3715,0.003463,-1.0451),(5695,3725,0.003469,-1.0449),(5695,3735,0.003475,-1.0449),(5695,3745,0.00347,-1.0448),(5695,3755,0.003436,-1.0448),(5695,3765,0.003401,-1.0448),(5695,3775,0.003366,-1.0449),(5695,3785,0.003296,-1.0449),(5695,3795,0.003137,-1.045),(5695,3805,0.002978,-1.0451),(5695,3815,0.002818,-1.0454),(5695,3825,0.002614,-1.0457),(5695,3835,0.002315,-1.046),(5695,3845,0.002016,-1.0466),(5695,3855,0.001716,-1.0475),(5695,3865,0.001385,-1.0484),(5695,3875,0.000998,-1.0494),(5695,3885,0.00061,-1.0508),(5695,3895,0.000223,-1.0531),(5695,3905,-0.000321,-1.0553),(5695,3915,-0.001096,-1.0576),(5695,3925,-0.001872,-1.061),(5695,3935,-0.002648,-1.0662),(5695,3945,-0.010087,-1.0714),(5695,3955,-0.025986,-1.0765),(5695,3965,-0.041885,-1.0804),(5695,3975,-0.057784,-1.0827),(5695,3985,-0.098103,-1.0851),(5695,3995,-0.16485,-1.0875),(5695,4005,-0.23161,-1.0789),(5695,4015,-0.29836,-1.0593),(5695,4025,-0.091524,-1.0398),(5695,4035,0.14208,-1.0265),(5695,4045,0.37567,-1.0262),(5695,4055,0.49901,-1.0259),(5695,4065,0.5821,-1.0256),(5695,4075,0.6652,-1.0249),(5695,4085,0.70241,-1.0242),(5695,4095,0.70274,-1.0236),(5695,4105,0.70308,-1.023),(5695,4115,0.70348,-1.0224),(5695,4125,0.70398,-1.0219),(5695,4135,0.70449,-1.0214),(5695,4145,0.70505,-1.0209),(5695,4155,0.70586,-1.0204),(5695,4165,0.70667,-1.0198),(5695,4175,0.70748,-1.0193),(5695,4185,0.70866,-1.0188),(5695,4195,0.70983,-1.0183),(5695,4205,0.71101,-1.0178),(5695,4215,0.71247,-1.0174),(5695,4225,0.71399,-1.0169),(5695,4235,0.71551,-1.0163),(5695,4245,0.71725,-1.0158),(5695,4255,0.7191,-1.0152),(5695,4265,0.72095,-1.0144),(5695,4275,0.72297,-1.0136),(5695,4285,0.72516,-1.0129),(5695,4295,0.72735,-1.012),(5695,4305,0.72964,-1.0112),(5695,4315,0.73215,-1.0103),(5695,4325,0.73467,-1.0093),(5695,4335,0.73722,-1.0083),(5695,4345,0.74004,-1.0072),(5695,4355,0.74285,-1.0061),(5695,4365,0.74567,-1.0049),(5695,4375,0.74876,-1.0037),(5695,4385,0.75187,-1.0025),(5695,4395,0.75497,-1.0012),(5695,4405,0.75828,-0.99982),(5695,4415,0.76164,-0.99844),(5695,4425,0.765,-0.99686),(5695,4435,0.76848,-0.99529),(5695,4445,0.77205,-0.99371),(5695,4455,0.77562,-0.99192),(5695,4465,0.77925,-0.99012),(5695,4475,0.78297,-0.98833),(5695,4485,0.7867,-0.98635),(5695,4495,0.79046,-0.98434),(5695,4505,0.79431,-0.98233),(5695,4515,0.79816,-0.9802),(5695,4525,0.80202,-0.97799),(5695,4535,0.80599,-0.97579),(5695,4545,0.80996,-0.97349),(5695,4555,0.81393,-0.97109),(5695,4565,0.818,-0.96869),(5695,4575,0.82209,-0.96623),(5695,4585,0.82618,-0.96363),(5695,4595,0.83032,-0.96103),(5695,4605,0.83449,-0.95841),(5695,4615,0.83866,-0.95566),(5695,4625,0.84286,-0.95291),(5695,4635,0.84708,-0.95015),(5695,4645,0.85131,-0.94723),(5695,4655,0.85553,-0.9443),(5695,4665,0.85978,-0.94137),(5695,4675,0.86402,-0.93835),(5695,4685,0.86826,-0.93531),(5695,4695,0.87252,-0.93226),(5695,4705,0.87677,-0.92913),(5695,4715,0.88102,-0.92594),(5695,4725,0.88529,-0.92275),(5695,4735,0.88955,-0.91951),(5695,4745,0.89382,-0.91616),(5695,4755,0.89808,-0.91282),(5695,4765,0.90233,-0.90946),(5695,4775,0.90659,-0.90604),(5695,4785,0.91084,-0.90262),(5695,4795,0.91509,-0.8992),(5695,4805,0.91933,-0.89572),(5695,4815,0.92358,-0.89224),(5695,4825,0.92782,-0.88876),(5695,4835,0.93206,-0.8852),(5695,4845,0.9363,-0.88163),(5695,4855,0.94053,-0.87807),(5695,4865,0.94475,-0.87443),(5695,4875,0.94897,-0.87077),(5695,4885,0.95314,-0.86711),(5695,4895,0.95731,-0.86337),(5695,4905,0.96147,-0.85956),(5695,4915,0.96559,-0.85575),(5695,4925,0.9697,-0.8519),(5695,4935,0.97381,-0.84797),(5695,4945,0.97788,-0.84404),(5695,4955,0.98193,-0.84011),(5695,4965,0.98599,-0.83616),(5695,4975,0.99003,-0.8322),(5695,4985,0.99405,-0.82825),(5695,4995,0.99807,-0.82423),(5695,5005,1.0021,-0.82022),(5695,5015,1.0061,-0.8162),(5695,5025,1.0101,-0.81212),(5695,5035,1.0141,-0.80802),(5695,5045,1.0181,-0.80393),(5695,5055,1.022,-0.79978),(5695,5065,1.026,-0.79559),(5695,5075,1.0299,-0.79141),(5695,5085,1.0339,-0.7872),(5695,5095,1.0378,-0.78294),(5695,5105,1.0417,-0.77868),(5695,5115,1.0456,-0.77441),(5695,5125,1.0495,-0.77013),(5695,5135,1.0533,-0.76584),(5695,5145,1.0572,-0.76155),(5695,5155,1.061,-0.7572),(5695,5165,1.0648,-0.75285),(5695,5175,1.0686,-0.74849),(5695,5185,1.0724,-0.74409),(5695,5195,1.0762,-0.73967),(5695,5205,1.08,-0.73526),(5695,5215,1.0837,-0.73081),(5695,5225,1.0875,-0.72635),(5695,5235,1.0912,-0.72189),(5695,5245,1.0949,-0.71742),(5695,5255,1.0986,-0.71294),(5695,5265,1.1023,-0.70845),(5695,5275,1.106,-0.70396),(5695,5285,1.1097,-0.69946),(5695,5295,1.1133,-0.69496),(5695,5305,1.1169,-0.69045),(5695,5315,1.1205,-0.68589),(5695,5325,1.1241,-0.68133),(5695,5335,1.1277,-0.67677),(5695,5345,1.1312,-0.67214),(5695,5355,1.1348,-0.66752),(5695,5365,1.1383,-0.66289),(5695,5375,1.1418,-0.65825),(5695,5385,1.1453,-0.6536),(5695,5395,1.1487,-0.64895),(5695,5405,1.1522,-0.64428),(5695,5415,1.1556,-0.63961),(5695,5425,1.1591,-0.63494),(5695,5435,1.1625,-0.63026),(5695,5445,1.1659,-0.62555),(5695,5455,1.1693,-0.62084),(5695,5465,1.1727,-0.61612),(5695,5475,1.1761,-0.61135),(5695,5485,1.1795,-0.60659),(5695,5495,1.1828,-0.60181),(5695,5505,1.1862,-0.59698),(5695,5515,1.1895,-0.59214),(5695,5525,1.1928,-0.5873),(5695,5535,1.1961,-0.58245),(5695,5545,1.1994,-0.57759),(5695,5555,1.2026,-0.57273),(5695,5565,1.2058,-0.56786),(5695,5575,1.2091,-0.56299),(5695,5585,1.2122,-0.55812),(5695,5595,1.2154,-0.5532),(5695,5605,1.2185,-0.54825),(5695,5615,1.2216,-0.5433),(5695,5625,1.2247,-0.53833),(5695,5635,1.2278,-0.53334),(5695,5645,1.2309,-0.52835),(5695,5655,1.2339,-0.52335),(5695,5665,1.2369,-0.51836),(5695,5675,1.24,-0.51336),(5695,5685,1.243,-0.50837),(5695,5695,1.246,-0.50334),(5695,5705,1.249,-0.49832),(5695,5715,1.2519,-0.4933),(5695,5725,1.2549,-0.48823),(5695,5735,1.2578,-0.48315),(5695,5745,1.2607,-0.47808),(5695,5755,1.2636,-0.47298),(5695,5765,1.2665,-0.46788),(5695,5775,1.2693,-0.46277),(5695,5785,1.2722,-0.45763),(5695,5795,1.275,-0.45246),(5695,5805,1.2777,-0.44729),(5695,5815,1.2805,-0.44209),(5695,5825,1.2832,-0.43684),(5695,5835,1.2859,-0.43159),(5695,5845,1.2886,-0.42632),(5695,5855,1.2912,-0.42102),(5695,5865,1.2939,-0.41572),(5695,5875,1.2964,-0.41041),(5695,5885,1.299,-0.40512),(5695,5895,1.3016,-0.39984),(5695,5905,1.3041,-0.39455),(5695,5915,1.3067,-0.38923),(5695,5925,1.3092,-0.3839),(5695,5935,1.3116,-0.37857),(5695,5945,1.3141,-0.37318),(5695,5955,1.3165,-0.36775),(5695,5965,1.3189,-0.36232),(5695,5975,1.3213,-0.35687),(5695,5985,1.3236,-0.3514),(5695,5995,1.3259,-0.34593),(5695,6005,1.3282,-0.34046),(5695,6015,1.3304,-0.33498),(5695,6025,1.3326,-0.3295),(5695,6035,1.3348,-0.32402),(5695,6045,1.3369,-0.31851),(5695,6055,1.339,-0.313),(5695,6065,1.3411,-0.30748),(5695,6075,1.3431,-0.30191),(5695,6085,1.3451,-0.29632),(5695,6095,1.3471,-0.29074),(5695,6105,1.349,-0.28509),(5695,6115,1.351,-0.27942),(5695,6125,1.3529,-0.27375),(5695,6135,1.3547,-0.26806),(5695,6145,1.3566,-0.26235),(5695,6155,1.3584,-0.25664),(5695,6165,1.3602,-0.25093),(5695,6175,1.3619,-0.24523),(5695,6185,1.3636,-0.23953),(5695,6195,1.3653,-0.23382),(5695,6205,1.3669,-0.22808),(5695,6215,1.3685,-0.22234),(5695,6225,1.37,-0.2166),(5695,6235,1.3715,-0.21081),(5695,6245,1.373,-0.20503),(5695,6255,1.3744,-0.19924),(5695,6265,1.3758,-0.1934),(5695,6275,1.3771,-0.18756),(5695,6285,1.3784,-0.18171),(5695,6295,1.3797,-0.17582),(5695,6305,1.381,-0.16991),(5695,6315,1.3821,-0.164),(5695,6325,1.3833,-0.1581),(5695,6335,1.3845,-0.15223),(5695,6345,1.3855,-0.14635),(5695,6355,1.3866,-0.14047),(5695,6365,1.3877,-0.13458),(5695,6375,1.3886,-0.12869),(5695,6385,1.3896,-0.12279),(5695,6395,1.3905,-0.11681),(5695,6405,1.3913,-0.11083),(5695,6415,1.3921,-0.10484),(5695,6425,1.3929,-0.098905),(5695,6435,1.3936,-0.092969),(5695,6445,1.3943,-0.087032),(5695,6455,1.3949,-0.08106),(5695,6465,1.3955,-0.075077),(5695,6475,1.396,-0.069094),(5695,6485,1.3965,-0.06313),(5695,6495,1.397,-0.057179),(5695,6505,1.3973,-0.051229),(5695,6515,1.3977,-0.045248),(5695,6525,1.398,-0.039227),(5695,6535,1.3982,-0.033205),(5695,6545,1.3985,-0.027191),(5695,6555,1.3987,-0.0212),(5695,6565,1.3988,-0.01521),(5695,6575,1.3988,-0.009213),(5695,6585,1.3989,-0.003127),(5695,6595,1.1898,0.002959),(5695,6605,0.74986,0.009045),(5695,6615,0.30987,0.009709),(5695,6625,0.000573,0.009677),(5695,6635,0.0006,0.009644),(5695,6645,0.000628,0.00964),(5695,6655,0.000655,0.009649),(5695,6665,0.000682,0.009657),(5695,6675,0.000709,0.009665),(5695,6685,0.000736,0.009673),(5695,6695,0.000762,0.009681),(5695,6705,0.000788,0.009688),(5695,6715,0.000814,0.009696),(5695,6725,0.000839,0.009703),(5695,6735,0.000864,0.00971),(5695,6745,0.000889,0.009717),(5695,6755,0.000914,0.009724),(5695,6765,0.000938,0.00973),(5695,6775,0.000963,0.009737),(5695,6785,0.000987,0.009743),(5695,6795,0.001011,0.009749),(5695,6805,0.001034,0.009754),(5695,6815,0.001058,0.00976),(5695,6825,0.001081,0.009765),(5695,6835,0.001104,0.00977),(5695,6845,0.001126,0.009775),(5695,6855,0.001149,0.00978),(5695,6865,0.001171,0.009784),(5695,6875,0.001193,0.009789),(5695,6885,0.001215,0.009793),(5695,6895,0.001236,0.009796),(5695,6905,0.001258,0.0098),(5695,6915,0.001279,0.009803),(5695,6925,0.0013,0.009806),(5695,6935,0.001321,0.009809),(5695,6945,0.001341,0.009812),(5695,6955,0.001362,0.009814),(5695,6965,0.001382,0.009816),(5695,6975,0.001402,0.009818),(5695,6985,0.001422,0.00982),(5705,5,2.1e-05,-0.90904),(5705,15,6.3e-05,-0.90912),(5705,25,9.8e-05,-0.90921),(5705,35,0.000128,-0.9093),(5705,45,0.000157,-0.90937),(5705,55,0.000187,-0.90944),(5705,65,0.000209,-0.90951),(5705,75,0.000225,-0.90957),(5705,85,0.000241,-0.90966),(5705,95,0.000256,-0.90975),(5705,105,0.000263,-0.90984),(5705,115,0.000263,-0.90993),(5705,125,0.000263,-0.91004),(5705,135,0.000263,-0.91016),(5705,145,0.000256,-0.91028),(5705,155,0.000245,-0.9104),(5705,165,0.000234,-0.91054),(5705,175,0.000224,-0.91067),(5705,185,0.000209,-0.91081),(5705,195,0.000193,-0.91094),(5705,205,0.000177,-0.9111),(5705,215,0.00016,-0.91128),(5705,225,0.00016,-0.91145),(5705,235,0.000165,-0.91162),(5705,245,0.000171,-0.91183),(5705,255,0.000176,-0.91207),(5705,265,0.000215,-0.9123),(5705,275,0.000263,-0.91253),(5705,285,0.000312,-0.91283),(5705,295,0.00036,-0.91314),(5705,305,0.00044,-0.91346),(5705,315,0.000528,-0.91377),(5705,325,0.000615,-0.91415),(5705,335,0.000703,-0.91453),(5705,345,0.000787,-0.91491),(5705,355,0.00087,-0.9153),(5705,365,0.000953,-0.91568),(5705,375,0.001036,-0.91607),(5705,385,0.001076,-0.91646),(5705,395,0.00111,-0.91685),(5705,405,0.001145,-0.91724),(5705,415,0.001179,-0.91763),(5705,425,0.001159,-0.91801),(5705,435,0.001133,-0.9184),(5705,445,0.001108,-0.91879),(5705,455,0.001082,-0.91918),(5705,465,0.001033,-0.91957),(5705,475,0.000983,-0.91997),(5705,485,0.000933,-0.9204),(5705,495,0.000883,-0.92083),(5705,505,0.000864,-0.92126),(5705,515,0.000844,-0.92169),(5705,525,0.000825,-0.92223),(5705,535,0.000807,-0.92276),(5705,545,0.000837,-0.9233),(5705,555,0.000867,-0.92384),(5705,565,0.000897,-0.92446),(5705,575,0.00093,-0.92507),(5705,585,0.000995,-0.92568),(5705,595,0.00106,-0.9263),(5705,605,0.001125,-0.92697),(5705,615,0.001191,-0.92765),(5705,625,0.00126,-0.92832),(5705,635,0.00133,-0.929),(5705,645,0.001399,-0.9297),(5705,655,0.001467,-0.93039),(5705,665,0.001522,-0.93109),(5705,675,0.001577,-0.93179),(5705,685,0.001632,-0.93254),(5705,695,0.00168,-0.93329),(5705,705,0.001698,-0.93403),(5705,715,0.001717,-0.93478),(5705,725,0.001735,-0.93553),(5705,735,0.001745,-0.93628),(5705,745,0.001727,-0.93704),(5705,755,0.00171,-0.9378),(5705,765,0.001692,-0.93861),(5705,775,0.001677,-0.93942),(5705,785,0.001668,-0.94023),(5705,795,0.001659,-0.94106),(5705,805,0.001651,-0.94194),(5705,815,0.001648,-0.94283),(5705,825,0.001659,-0.94371),(5705,835,0.001671,-0.94461),(5705,845,0.001682,-0.94553),(5705,855,0.001705,-0.94645),(5705,865,0.001749,-0.94737),(5705,875,0.001792,-0.94833),(5705,885,0.001836,-0.94934),(5705,895,0.001893,-0.95035),(5705,905,0.001969,-0.95137),(5705,915,0.002045,-0.95241),(5705,925,0.002121,-0.95348),(5705,935,0.0022,-0.95456),(5705,945,0.002282,-0.95564),(5705,955,0.002365,-0.95673),(5705,965,0.002447,-0.95784),(5705,975,0.002534,-0.95895),(5705,985,0.002626,-0.96005),(5705,995,0.002717,-0.96116),(5705,1005,0.002809,-0.96226),(5705,1015,0.002906,-0.96336),(5705,1025,0.00301,-0.96447),(5705,1035,0.003113,-0.96552),(5705,1045,0.003216,-0.96654),(5705,1055,0.003314,-0.96755),(5705,1065,0.003408,-0.96857),(5705,1075,0.003502,-0.96951),(5705,1085,0.003596,-0.97039),(5705,1095,0.003672,-0.97127),(5705,1105,0.003737,-0.97215),(5705,1115,0.003801,-0.97303),(5705,1125,0.003866,-0.9739),(5705,1135,0.003878,-0.97477),(5705,1145,0.003859,-0.97564),(5705,1155,0.00384,-0.97668),(5705,1165,0.003821,-0.9778),(5705,1175,0.004059,-0.97893),(5705,1185,0.004425,-0.98005),(5705,1195,0.004792,-0.98193),(5705,1205,0.005158,-0.98414),(5705,1215,0.005839,-0.98636),(5705,1225,0.006649,-0.98857),(5705,1235,0.007459,-0.99281),(5705,1245,0.008269,-0.9978),(5705,1255,-0.00533,-1.0028),(5705,1265,-0.023796,-1.0078),(5705,1275,-0.042261,-1.0204),(5705,1285,-0.060727,-1.0353),(5705,1295,-0.10331,-1.0503),(5705,1305,-0.15241,-1.0652),(5705,1315,-0.20152,-1.0915),(5705,1325,-0.25062,-1.1206),(5705,1335,-0.15492,-1.1496),(5705,1345,-0.028864,-1.1787),(5705,1355,0.09719,-1.1632),(5705,1365,0.22324,-1.1397),(5705,1375,0.20491,-1.1162),(5705,1385,0.16429,-1.0927),(5705,1395,0.12368,-1.0756),(5705,1405,0.083064,-1.0595),(5705,1415,0.059606,-1.0433),(5705,1425,0.03793,-1.0271),(5705,1435,0.016253,-1.0201),(5705,1445,-0.005424,-1.0139),(5705,1455,-0.005692,-1.0077),(5705,1465,-0.004728,-1.0014),(5705,1475,-0.003764,-0.99794),(5705,1485,-0.0028,-0.99453),(5705,1495,-0.002575,-0.99113),(5705,1505,-0.002361,-0.98773),(5705,1515,-0.002148,-0.98581),(5705,1525,-0.001945,-0.98388),(5705,1535,-0.002193,-0.98196),(5705,1545,-0.00244,-0.98006),(5705,1555,-0.002687,-0.97873),(5705,1565,-0.002922,-0.9774),(5705,1575,-0.002982,-0.97606),(5705,1585,-0.003041,-0.97475),(5705,1595,-0.003101,-0.97365),(5705,1605,-0.003146,-0.97256),(5705,1615,-0.003069,-0.97146),(5705,1625,-0.002991,-0.97038),(5705,1635,-0.002913,-0.96937),(5705,1645,-0.002833,-0.96837),(5705,1655,-0.002739,-0.96737),(5705,1665,-0.002645,-0.96636),(5705,1675,-0.002551,-0.96533),(5705,1685,-0.002464,-0.96431),(5705,1695,-0.002403,-0.96328),(5705,1705,-0.002343,-0.96225),(5705,1715,-0.002283,-0.96117),(5705,1725,-0.002221,-0.9601),(5705,1735,-0.002155,-0.95902),(5705,1745,-0.002088,-0.95796),(5705,1755,-0.002022,-0.95694),(5705,1765,-0.001949,-0.95591),(5705,1775,-0.00186,-0.95489),(5705,1785,-0.00177,-0.95388),(5705,1795,-0.00168,-0.95288),(5705,1805,-0.001592,-0.95188),(5705,1815,-0.001504,-0.95089),(5705,1825,-0.001417,-0.94991),(5705,1835,-0.001329,-0.94897),(5705,1845,-0.001254,-0.94803),(5705,1855,-0.001201,-0.94709),(5705,1865,-0.001148,-0.94615),(5705,1875,-0.001096,-0.94521),(5705,1885,-0.001054,-0.94427),(5705,1895,-0.001032,-0.94332),(5705,1905,-0.001009,-0.9424),(5705,1915,-0.000987,-0.94151),(5705,1925,-0.000957,-0.94061),(5705,1935,-0.000916,-0.93972),(5705,1945,-0.000875,-0.93887),(5705,1955,-0.000834,-0.93809),(5705,1965,-0.000788,-0.9373),(5705,1975,-0.000736,-0.93652),(5705,1985,-0.000685,-0.93573),(5705,1995,-0.000633,-0.93494),(5705,2005,-0.000587,-0.93416),(5705,2015,-0.000546,-0.93337),(5705,2025,-0.000505,-0.93261),(5705,2035,-0.000465,-0.93188),(5705,2045,-0.000431,-0.93114),(5705,2055,-0.000404,-0.93041),(5705,2065,-0.000377,-0.92969),(5705,2075,-0.00035,-0.92898),(5705,2085,-0.000331,-0.92827),(5705,2095,-0.000316,-0.92755),(5705,2105,-0.000302,-0.92686),(5705,2115,-0.000288,-0.92619),(5705,2125,-0.000259,-0.92551),(5705,2135,-0.000221,-0.92483),(5705,2145,-0.000183,-0.92422),(5705,2155,-0.000144,-0.92365),(5705,2165,-0.00012,-0.92308),(5705,2175,-0.000103,-0.92252),(5705,2185,-8.6e-05,-0.92191),(5705,2195,-6.9e-05,-0.92129),(5705,2205,-9.2e-05,-0.92067),(5705,2215,-0.000132,-0.92005),(5705,2225,-0.000171,-0.91942),(5705,2235,-0.000211,-0.91878),(5705,2245,-0.000221,-0.91814),(5705,2255,-0.00022,-0.91749),(5705,2265,-0.000219,-0.91696),(5705,2275,-0.000218,-0.91646),(5705,2285,-0.000167,-0.91596),(5705,2295,-0.000102,-0.91546),(5705,2305,-3.6e-05,-0.91499),(5705,2315,2.9e-05,-0.91453),(5705,2325,7.9e-05,-0.91406),(5705,2335,0.000125,-0.9136),(5705,2345,0.000172,-0.9131),(5705,2355,0.000218,-0.9126),(5705,2365,0.000245,-0.91209),(5705,2375,0.00027,-0.91159),(5705,2385,0.000294,-0.91111),(5705,2395,0.000318,-0.91063),(5705,2405,0.000358,-0.91015),(5705,2415,0.0004,-0.90967),(5705,2425,0.000442,-0.90925),(5705,2435,0.000484,-0.90884),(5705,2445,0.000536,-0.90842),(5705,2455,0.000589,-0.90801),(5705,2465,0.000642,-0.90763),(5705,2475,0.000696,-0.90726),(5705,2485,0.000722,-0.90688),(5705,2495,0.000749,-0.9065),(5705,2505,0.000775,-0.9061),(5705,2515,0.0008,-0.90571),(5705,2525,0.000799,-0.90531),(5705,2535,0.000798,-0.90491),(5705,2545,0.000796,-0.90451),(5705,2555,0.000796,-0.90412),(5705,2565,0.00081,-0.90373),(5705,2575,0.000824,-0.90334),(5705,2585,0.000839,-0.903),(5705,2595,0.000856,-0.90266),(5705,2605,0.0009,-0.90232),(5705,2615,0.000944,-0.90198),(5705,2625,0.000988,-0.90168),(5705,2635,0.00103,-0.90137),(5705,2645,0.001066,-0.90107),(5705,2655,0.001102,-0.90076),(5705,2665,0.001137,-0.90044),(5705,2675,0.001167,-0.90011),(5705,2685,0.001167,-0.89979),(5705,2695,0.001167,-0.89945),(5705,2705,0.001168,-0.89908),(5705,2715,0.001164,-0.89871),(5705,2725,0.001148,-0.89833),(5705,2735,0.001131,-0.89796),(5705,2745,0.001115,-0.8976),(5705,2755,0.001105,-0.89723),(5705,2765,0.001116,-0.89687),(5705,2775,0.001128,-0.89652),(5705,2785,0.001139,-0.89621),(5705,2795,0.001158,-0.89591),(5705,2805,0.001195,-0.8956),(5705,2815,0.001232,-0.8953),(5705,2825,0.001269,-0.89501),(5705,2835,0.001299,-0.89473),(5705,2845,0.001314,-0.89444),(5705,2855,0.001329,-0.89414),(5705,2865,0.001344,-0.89381),(5705,2875,0.001349,-0.89348),(5705,2885,0.001336,-0.89315),(5705,2895,0.001323,-0.89283),(5705,2905,0.00131,-0.8925),(5705,2915,0.001316,-0.89218),(5705,2925,0.001351,-0.89185),(5705,2935,0.001385,-0.89156),(5705,2945,0.00142,-0.89133),(5705,2955,0.001482,-0.89109),(5705,2965,0.001577,-0.89086),(5705,2975,0.001673,-0.89064),(5705,2985,0.001769,-0.89046),(5705,2995,0.001832,-0.89028),(5705,3005,0.001863,-0.8901),(5705,3015,0.001893,-0.88985),(5705,3025,0.001923,-0.88953),(5705,3035,0.001899,-0.8892),(5705,3045,0.001827,-0.88888),(5705,3055,0.001755,-0.88852),(5705,3065,0.001683,-0.88813),(5705,3075,0.001641,-0.88774),(5705,3085,0.001623,-0.88735),(5705,3095,0.001605,-0.88705),(5705,3105,0.001587,-0.8868),(5705,3115,0.001624,-0.88656),(5705,3125,0.001696,-0.88632),(5705,3135,0.001768,-0.88611),(5705,3145,0.00184,-0.88591),(5705,3155,0.001896,-0.88572),(5705,3165,0.001942,-0.88553),(5705,3175,0.001989,-0.88528),(5705,3185,0.002035,-0.88501),(5705,3195,0.002056,-0.88473),(5705,3205,0.002064,-0.88446),(5705,3215,0.002073,-0.88419),(5705,3225,0.002081,-0.88392),(5705,3235,0.002094,-0.88366),(5705,3245,0.002109,-0.88339),(5705,3255,0.002123,-0.88313),(5705,3265,0.002138,-0.88288),(5705,3275,0.002174,-0.88262),(5705,3285,0.002217,-0.88236),(5705,3295,0.002259,-0.88215),(5705,3305,0.002302,-0.88197),(5705,3315,0.002337,-0.88178),(5705,3325,0.002369,-0.88159),(5705,3335,0.002401,-0.88134),(5705,3345,0.002433,-0.88108),(5705,3355,0.002415,-0.88083),(5705,3365,0.002387,-0.88057),(5705,3375,0.002358,-0.88025),(5705,3385,0.00233,-0.87992),(5705,3395,0.002361,-0.87959),(5705,3405,0.002399,-0.87926),(5705,3415,0.002437,-0.8791),(5705,3425,0.002476,-0.87897),(5705,3435,0.0026,-0.87883),(5705,3445,0.002731,-0.8787),(5705,3455,0.002863,-0.87857),(5705,3465,0.002994,-0.87844),(5705,3475,0.003057,-0.8783),(5705,3485,0.003117,-0.87817),(5705,3495,0.003177,-0.87797),(5705,3505,0.003237,-0.87777),(5705,3515,0.003212,-0.87756),(5705,3525,0.003187,-0.87736),(5705,3535,0.003162,-0.87704),(5705,3545,0.003138,-0.87673),(5705,3555,0.003123,-0.87641),(5705,3565,0.003109,-0.8761),(5705,3575,0.003094,-0.87583),(5705,3585,0.003087,-0.87557),(5705,3595,0.003159,-0.8753),(5705,3605,0.00323,-0.87506),(5705,3615,0.003302,-0.87498),(5705,3625,0.003372,-0.8749),(5705,3635,0.003426,-0.87482),(5705,3645,0.003479,-0.87472),(5705,3655,0.003534,-0.87448),(5705,3665,0.003575,-0.87425),(5705,3675,0.003553,-0.87402),(5705,3685,0.003532,-0.87379),(5705,3695,0.00351,-0.87362),(5705,3705,0.003495,-0.87346),(5705,3715,0.003508,-0.87329),(5705,3725,0.003521,-0.87315),(5705,3735,0.003534,-0.87313),(5705,3745,0.00354,-0.87311),(5705,3755,0.003525,-0.87308),(5705,3765,0.003511,-0.87308),(5705,3775,0.003497,-0.87314),(5705,3785,0.003456,-0.87319),(5705,3795,0.003349,-0.87324),(5705,3805,0.003242,-0.87336),(5705,3815,0.003136,-0.87364),(5705,3825,0.002999,-0.87392),(5705,3835,0.002801,-0.87419),(5705,3845,0.002602,-0.87464),(5705,3855,0.002404,-0.87542),(5705,3865,0.002204,-0.8762),(5705,3875,0.002003,-0.87697),(5705,3885,0.001802,-0.87802),(5705,3895,0.001601,-0.87949),(5705,3905,0.001303,-0.88097),(5705,3915,0.000863,-0.88245),(5705,3925,0.000423,-0.88479),(5705,3935,-1.7e-05,-0.88833),(5705,3945,-0.006192,-0.89188),(5705,3955,-0.019646,-0.89542),(5705,3965,-0.033101,-0.90185),(5705,3975,-0.046556,-0.91166),(5705,3985,-0.081185,-0.92148),(5705,3995,-0.13873,-0.93129),(5705,4005,-0.19628,-0.95039),(5705,4015,-0.25383,-0.97878),(5705,4025,-0.059508,-1.0072),(5705,4035,0.15946,-1.0263),(5705,4045,0.37843,-1.0261),(5705,4055,0.49765,-1.0259),(5705,4065,0.58047,-1.0256),(5705,4075,0.6633,-1.0249),(5705,4085,0.70039,-1.0242),(5705,4095,0.70074,-1.0234),(5705,4105,0.70108,-1.0228),(5705,4115,0.7015,-1.0222),(5705,4125,0.70201,-1.0216),(5705,4135,0.70253,-1.021),(5705,4145,0.70311,-1.0204),(5705,4155,0.70391,-1.0198),(5705,4165,0.70472,-1.0193),(5705,4175,0.70553,-1.0187),(5705,4185,0.70669,-1.0181),(5705,4195,0.70785,-1.0175),(5705,4205,0.70901,-1.017),(5705,4215,0.71045,-1.0166),(5705,4225,0.71195,-1.016),(5705,4235,0.71344,-1.0154),(5705,4245,0.71516,-1.0148),(5705,4255,0.71698,-1.0142),(5705,4265,0.71881,-1.0134),(5705,4275,0.72079,-1.0126),(5705,4285,0.72295,-1.0118),(5705,4295,0.7251,-1.0109),(5705,4305,0.72735,-1.01),(5705,4315,0.72981,-1.0091),(5705,4325,0.73227,-1.0081),(5705,4335,0.73477,-1.007),(5705,4345,0.73753,-1.0059),(5705,4355,0.74029,-1.0048),(5705,4365,0.74305,-1.0036),(5705,4375,0.74607,-1.0024),(5705,4385,0.74911,-1.0011),(5705,4395,0.75215,-0.99979),(5705,4405,0.75538,-0.99844),(5705,4415,0.75868,-0.99705),(5705,4425,0.76197,-0.99548),(5705,4435,0.76539,-0.99392),(5705,4445,0.76889,-0.99236),(5705,4455,0.77239,-0.99059),(5705,4465,0.77595,-0.98882),(5705,4475,0.77961,-0.98705),(5705,4485,0.78327,-0.98511),(5705,4495,0.78696,-0.98313),(5705,4505,0.79074,-0.98115),(5705,4515,0.79453,-0.97905),(5705,4525,0.79832,-0.97688),(5705,4535,0.80222,-0.97471),(5705,4545,0.80613,-0.97245),(5705,4555,0.81003,-0.97007),(5705,4565,0.81404,-0.9677),(5705,4575,0.81806,-0.96527),(5705,4585,0.82209,-0.9627),(5705,4595,0.82617,-0.96013),(5705,4605,0.83028,-0.95754),(5705,4615,0.83439,-0.95482),(5705,4625,0.83853,-0.95209),(5705,4635,0.8427,-0.94937),(5705,4645,0.84687,-0.94648),(5705,4655,0.85104,-0.94358),(5705,4665,0.85523,-0.94068),(5705,4675,0.85942,-0.93768),(5705,4685,0.86361,-0.93466),(5705,4695,0.86782,-0.93164),(5705,4705,0.87202,-0.92852),(5705,4715,0.87623,-0.92535),(5705,4725,0.88045,-0.92218),(5705,4735,0.88467,-0.91894),(5705,4745,0.88889,-0.91561),(5705,4755,0.8931,-0.91228),(5705,4765,0.89732,-0.90894),(5705,4775,0.90153,-0.90553),(5705,4785,0.90574,-0.90212),(5705,4795,0.90994,-0.89871),(5705,4805,0.91414,-0.89524),(5705,4815,0.91834,-0.89177),(5705,4825,0.92254,-0.88829),(5705,4835,0.92674,-0.88475),(5705,4845,0.93094,-0.88119),(5705,4855,0.93513,-0.87763),(5705,4865,0.93932,-0.87401),(5705,4875,0.94351,-0.87037),(5705,4885,0.94766,-0.86672),(5705,4895,0.9518,-0.86301),(5705,4905,0.95595,-0.85921),(5705,4915,0.96004,-0.85542),(5705,4925,0.96414,-0.85159),(5705,4935,0.96823,-0.84768),(5705,4945,0.97227,-0.84377),(5705,4955,0.9763,-0.83986),(5705,4965,0.98034,-0.83592),(5705,4975,0.98435,-0.83199),(5705,4985,0.98834,-0.82805),(5705,4995,0.99233,-0.82405),(5705,5005,0.99631,-0.82005),(5705,5015,1.0003,-0.81604),(5705,5025,1.0043,-0.81198),(5705,5035,1.0082,-0.8079),(5705,5045,1.0122,-0.80382),(5705,5055,1.0161,-0.79969),(5705,5065,1.0201,-0.79553),(5705,5075,1.024,-0.79137),(5705,5085,1.0279,-0.78717),(5705,5095,1.0318,-0.78294),(5705,5105,1.0356,-0.7787),(5705,5115,1.0395,-0.77445),(5705,5125,1.0434,-0.77018),(5705,5135,1.0472,-0.76591),(5705,5145,1.051,-0.76164),(5705,5155,1.0548,-0.7573),(5705,5165,1.0586,-0.75297),(5705,5175,1.0624,-0.74863),(5705,5185,1.0662,-0.74423),(5705,5195,1.0699,-0.73983),(5705,5205,1.0737,-0.73543),(5705,5215,1.0774,-0.73099),(5705,5225,1.0811,-0.72654),(5705,5235,1.0848,-0.72209),(5705,5245,1.0885,-0.71763),(5705,5255,1.0922,-0.71315),(5705,5265,1.0958,-0.70866),(5705,5275,1.0995,-0.70418),(5705,5285,1.1031,-0.69969),(5705,5295,1.1068,-0.6952),(5705,5305,1.1104,-0.69069),(5705,5315,1.114,-0.68614),(5705,5325,1.1175,-0.68159),(5705,5335,1.1211,-0.67704),(5705,5345,1.1246,-0.67242),(5705,5355,1.1282,-0.66781),(5705,5365,1.1316,-0.66319),(5705,5375,1.1351,-0.65854),(5705,5385,1.1386,-0.6539),(5705,5395,1.142,-0.64925),(5705,5405,1.1455,-0.64458),(5705,5415,1.1489,-0.63991),(5705,5425,1.1523,-0.63523),(5705,5435,1.1557,-0.63054),(5705,5445,1.1591,-0.62583),(5705,5455,1.1625,-0.62112),(5705,5465,1.1658,-0.61639),(5705,5475,1.1692,-0.61161),(5705,5485,1.1726,-0.60684),(5705,5495,1.1759,-0.60206),(5705,5505,1.1792,-0.59721),(5705,5515,1.1825,-0.59237),(5705,5525,1.1858,-0.58753),(5705,5535,1.1891,-0.58267),(5705,5545,1.1924,-0.57781),(5705,5555,1.1956,-0.57295),(5705,5565,1.1988,-0.56808),(5705,5575,1.202,-0.56321),(5705,5585,1.2052,-0.55834),(5705,5595,1.2083,-0.55342),(5705,5605,1.2114,-0.54847),(5705,5615,1.2145,-0.54352),(5705,5625,1.2176,-0.53854),(5705,5635,1.2207,-0.53354),(5705,5645,1.2237,-0.52854),(5705,5655,1.2267,-0.52353),(5705,5665,1.2297,-0.51852),(5705,5675,1.2327,-0.51351),(5705,5685,1.2357,-0.5085),(5705,5695,1.2387,-0.50346),(5705,5705,1.2417,-0.49843),(5705,5715,1.2446,-0.49339),(5705,5725,1.2475,-0.48832),(5705,5735,1.2505,-0.48324),(5705,5745,1.2533,-0.47816),(5705,5755,1.2562,-0.47305),(5705,5765,1.2591,-0.46794),(5705,5775,1.2619,-0.46283),(5705,5785,1.2647,-0.45769),(5705,5795,1.2675,-0.45252),(5705,5805,1.2702,-0.44734),(5705,5815,1.273,-0.44214),(5705,5825,1.2757,-0.43688),(5705,5835,1.2784,-0.43163),(5705,5845,1.281,-0.42636),(5705,5855,1.2836,-0.42104),(5705,5865,1.2862,-0.41573),(5705,5875,1.2888,-0.41042),(5705,5885,1.2914,-0.40512),(5705,5895,1.2939,-0.39982),(5705,5905,1.2964,-0.39452),(5705,5915,1.299,-0.38919),(5705,5925,1.3014,-0.38385),(5705,5935,1.3039,-0.37851),(5705,5945,1.3063,-0.37312),(5705,5955,1.3087,-0.36768),(5705,5965,1.3111,-0.36225),(5705,5975,1.3134,-0.3568),(5705,5985,1.3158,-0.35133),(5705,5995,1.318,-0.34586),(5705,6005,1.3203,-0.34038),(5705,6015,1.3225,-0.3349),(5705,6025,1.3247,-0.32942),(5705,6035,1.3268,-0.32394),(5705,6045,1.329,-0.31843),(5705,6055,1.3311,-0.31292),(5705,6065,1.3331,-0.3074),(5705,6075,1.3351,-0.30182),(5705,6085,1.3371,-0.29623),(5705,6095,1.3391,-0.29064),(5705,6105,1.341,-0.28498),(5705,6115,1.3429,-0.2793),(5705,6125,1.3448,-0.27362),(5705,6135,1.3467,-0.26792),(5705,6145,1.3485,-0.26221),(5705,6155,1.3503,-0.25649),(5705,6165,1.352,-0.25079),(5705,6175,1.3538,-0.24509),(5705,6185,1.3555,-0.23939),(5705,6195,1.3571,-0.23368),(5705,6205,1.3587,-0.22795),(5705,6215,1.3603,-0.22222),(5705,6225,1.3618,-0.21648),(5705,6235,1.3633,-0.2107),(5705,6245,1.3648,-0.20491),(5705,6255,1.3661,-0.19912),(5705,6265,1.3675,-0.19329),(5705,6275,1.3689,-0.18744),(5705,6285,1.3701,-0.1816),(5705,6295,1.3714,-0.17571),(5705,6305,1.3727,-0.16979),(5705,6315,1.3738,-0.16387),(5705,6325,1.375,-0.15797),(5705,6335,1.3761,-0.15209),(5705,6345,1.3772,-0.1462),(5705,6355,1.3782,-0.14032),(5705,6365,1.3793,-0.13444),(5705,6375,1.3802,-0.12855),(5705,6385,1.3811,-0.12265),(5705,6395,1.3821,-0.11668),(5705,6405,1.3829,-0.1107),(5705,6415,1.3837,-0.10473),(5705,6425,1.3844,-0.098798),(5705,6435,1.3852,-0.092868),(5705,6445,1.3858,-0.086939),(5705,6455,1.3864,-0.080972),(5705,6465,1.387,-0.074996),(5705,6475,1.3875,-0.069019),(5705,6485,1.388,-0.063061),(5705,6495,1.3885,-0.057116),(5705,6505,1.3888,-0.05117),(5705,6515,1.3892,-0.045194),(5705,6525,1.3895,-0.039176),(5705,6535,1.3898,-0.033158),(5705,6545,1.39,-0.027148),(5705,6555,1.3902,-0.021163),(5705,6565,1.3903,-0.015177),(5705,6575,1.3903,-0.009184),(5705,6585,1.3904,-0.003097),(5705,6595,1.1826,0.00299),(5705,6605,0.7453,0.009077),(5705,6615,0.30798,0.00974),(5705,6625,0.000563,0.009706),(5705,6635,0.000591,0.009672),(5705,6645,0.000619,0.009668),(5705,6655,0.000646,0.009676),(5705,6665,0.000673,0.009684),(5705,6675,0.0007,0.009692),(5705,6685,0.000727,0.009699),(5705,6695,0.000753,0.009707),(5705,6705,0.000779,0.009714),(5705,6715,0.000805,0.009721),(5705,6725,0.000831,0.009728),(5705,6735,0.000856,0.009735),(5705,6745,0.000881,0.009742),(5705,6755,0.000906,0.009748),(5705,6765,0.000931,0.009755),(5705,6775,0.000955,0.009761),(5705,6785,0.00098,0.009767),(5705,6795,0.001004,0.009772),(5705,6805,0.001027,0.009778),(5705,6815,0.001051,0.009783),(5705,6825,0.001074,0.009788),(5705,6835,0.001097,0.009793),(5705,6845,0.00112,0.009798),(5705,6855,0.001143,0.009802),(5705,6865,0.001165,0.009807),(5705,6875,0.001187,0.00981),(5705,6885,0.001209,0.009814),(5705,6895,0.001231,0.009818),(5705,6905,0.001253,0.009821),(5705,6915,0.001274,0.009824),(5705,6925,0.001295,0.009827),(5705,6935,0.001316,0.00983),(5705,6945,0.001337,0.009832),(5705,6955,0.001358,0.009835),(5705,6965,0.001378,0.009836),(5705,6975,0.001398,0.009838),(5705,6985,0.001418,0.00984),(5715,5,1.7e-05,-0.73023),(5715,15,5.1e-05,-0.7303),(5715,25,8.1e-05,-0.73038),(5715,35,0.000107,-0.73045),(5715,45,0.000133,-0.73051),(5715,55,0.000159,-0.73057),(5715,65,0.000179,-0.73062),(5715,75,0.000196,-0.73068),(5715,85,0.000212,-0.73075),(5715,95,0.000229,-0.73083),(5715,105,0.000239,-0.73091),(5715,115,0.000245,-0.73098),(5715,125,0.000251,-0.73107),(5715,135,0.000256,-0.73118),(5715,145,0.000258,-0.73128),(5715,155,0.000256,-0.73138),(5715,165,0.000254,-0.73148),(5715,175,0.000253,-0.73159),(5715,185,0.000249,-0.73171),(5715,195,0.000244,-0.73182),(5715,205,0.000239,-0.73194),(5715,215,0.000234,-0.73208),(5715,225,0.000239,-0.73221),(5715,235,0.000249,-0.73234),(5715,245,0.000259,-0.7325),(5715,255,0.000269,-0.73268),(5715,265,0.000301,-0.73286),(5715,275,0.00034,-0.73303),(5715,285,0.000379,-0.73326),(5715,295,0.000418,-0.73351),(5715,305,0.000479,-0.73375),(5715,315,0.000545,-0.734),(5715,325,0.000611,-0.7343),(5715,335,0.000677,-0.73461),(5715,345,0.00074,-0.73492),(5715,355,0.000803,-0.73523),(5715,365,0.000866,-0.73555),(5715,375,0.000929,-0.73587),(5715,385,0.000964,-0.7362),(5715,395,0.000994,-0.73652),(5715,405,0.001024,-0.73685),(5715,415,0.001055,-0.73717),(5715,425,0.001048,-0.7375),(5715,435,0.001038,-0.73782),(5715,445,0.001028,-0.73814),(5715,455,0.001017,-0.73846),(5715,465,0.000992,-0.73878),(5715,475,0.000965,-0.7391),(5715,485,0.000939,-0.73944),(5715,495,0.000912,-0.73978),(5715,505,0.000906,-0.74012),(5715,515,0.000901,-0.74046),(5715,525,0.000896,-0.74088),(5715,535,0.000891,-0.74131),(5715,545,0.00092,-0.74173),(5715,555,0.000948,-0.74216),(5715,565,0.000976,-0.74264),(5715,575,0.001007,-0.74313),(5715,585,0.001059,-0.74362),(5715,595,0.001112,-0.74411),(5715,605,0.001165,-0.74465),(5715,615,0.001218,-0.74519),(5715,625,0.001274,-0.74574),(5715,635,0.00133,-0.74628),(5715,645,0.001386,-0.74684),(5715,655,0.001441,-0.74741),(5715,665,0.001487,-0.74797),(5715,675,0.001534,-0.74854),(5715,685,0.001581,-0.74914),(5715,695,0.001623,-0.74975),(5715,705,0.001645,-0.75036),(5715,715,0.001667,-0.75097),(5715,725,0.001689,-0.75158),(5715,735,0.001706,-0.7522),(5715,745,0.001704,-0.75281),(5715,755,0.001702,-0.75344),(5715,765,0.0017,-0.75409),(5715,775,0.0017,-0.75474),(5715,785,0.001705,-0.75539),(5715,795,0.00171,-0.75606),(5715,805,0.001714,-0.75677),(5715,815,0.001723,-0.75748),(5715,825,0.001742,-0.75819),(5715,835,0.001761,-0.75891),(5715,845,0.001779,-0.75964),(5715,855,0.001806,-0.76038),(5715,865,0.001847,-0.76111),(5715,875,0.001888,-0.76187),(5715,885,0.00193,-0.76268),(5715,895,0.00198,-0.76348),(5715,905,0.002044,-0.76429),(5715,915,0.002107,-0.76512),(5715,925,0.002171,-0.76599),(5715,935,0.002237,-0.76685),(5715,945,0.002305,-0.76772),(5715,955,0.002374,-0.7686),(5715,965,0.002442,-0.76949),(5715,975,0.002514,-0.77038),(5715,985,0.002589,-0.77128),(5715,995,0.002664,-0.77217),(5715,1005,0.00274,-0.77306),(5715,1015,0.002819,-0.77395),(5715,1025,0.002903,-0.77484),(5715,1035,0.002987,-0.7757),(5715,1045,0.00307,-0.77652),(5715,1055,0.003151,-0.77734),(5715,1065,0.003229,-0.77816),(5715,1075,0.003307,-0.77892),(5715,1085,0.003386,-0.77962),(5715,1095,0.003453,-0.78033),(5715,1105,0.003512,-0.78104),(5715,1115,0.003571,-0.78176),(5715,1125,0.00363,-0.78249),(5715,1135,0.003654,-0.78322),(5715,1145,0.003658,-0.78394),(5715,1155,0.003661,-0.78478),(5715,1165,0.003665,-0.78566),(5715,1175,0.003845,-0.78655),(5715,1185,0.004112,-0.78744),(5715,1195,0.004379,-0.78818),(5715,1205,0.004647,-0.78887),(5715,1215,0.00513,-0.78956),(5715,1225,0.005703,-0.79024),(5715,1235,0.006276,-0.79065),(5715,1245,0.006849,-0.79096),(5715,1255,-0.002367,-0.79127),(5715,1265,-0.014888,-0.79158),(5715,1275,-0.02741,-0.80835),(5715,1285,-0.039932,-0.83013),(5715,1295,-0.068827,-0.8519),(5715,1305,-0.10215,-0.87367),(5715,1315,-0.13547,-0.94002),(5715,1325,-0.1688,-1.017),(5715,1335,-0.10431,-1.094),(5715,1345,-0.019314,-1.171),(5715,1355,0.065677,-1.1232),(5715,1365,0.15067,-1.0527),(5715,1375,0.13814,-0.98226),(5715,1385,0.11057,-0.91179),(5715,1395,0.082995,-0.88112),(5715,1405,0.055422,-0.85556),(5715,1415,0.039493,-0.83),(5715,1425,0.024773,-0.80445),(5715,1435,0.010054,-0.80186),(5715,1445,-0.004666,-0.80111),(5715,1455,-0.004835,-0.80037),(5715,1465,-0.004165,-0.79962),(5715,1475,-0.003496,-0.79815),(5715,1485,-0.002826,-0.79665),(5715,1495,-0.002659,-0.79515),(5715,1505,-0.002499,-0.79365),(5715,1515,-0.00234,-0.79213),(5715,1525,-0.002188,-0.79061),(5715,1535,-0.002341,-0.78909),(5715,1545,-0.002494,-0.78759),(5715,1555,-0.002647,-0.78646),(5715,1565,-0.002792,-0.78534),(5715,1575,-0.002818,-0.78421),(5715,1585,-0.002844,-0.78311),(5715,1595,-0.002869,-0.78221),(5715,1605,-0.002885,-0.78132),(5715,1615,-0.002817,-0.78042),(5715,1625,-0.00275,-0.77953),(5715,1635,-0.002682,-0.77873),(5715,1645,-0.002613,-0.77793),(5715,1655,-0.002535,-0.77713),(5715,1665,-0.002457,-0.77633),(5715,1675,-0.002378,-0.77552),(5715,1685,-0.002304,-0.77471),(5715,1695,-0.002249,-0.7739),(5715,1705,-0.002194,-0.77307),(5715,1715,-0.002139,-0.77221),(5715,1725,-0.002084,-0.77134),(5715,1735,-0.002025,-0.77048),(5715,1745,-0.001966,-0.76962),(5715,1755,-0.001908,-0.76879),(5715,1765,-0.001845,-0.76796),(5715,1775,-0.001771,-0.76713),(5715,1785,-0.001697,-0.76631),(5715,1795,-0.001623,-0.7655),(5715,1805,-0.00155,-0.7647),(5715,1815,-0.001478,-0.76389),(5715,1825,-0.001406,-0.7631),(5715,1835,-0.001335,-0.76235),(5715,1845,-0.001271,-0.7616),(5715,1855,-0.001223,-0.76085),(5715,1865,-0.001175,-0.7601),(5715,1875,-0.001127,-0.75935),(5715,1885,-0.001087,-0.7586),(5715,1895,-0.001061,-0.75785),(5715,1905,-0.001034,-0.75711),(5715,1915,-0.001007,-0.75638),(5715,1925,-0.000975,-0.75566),(5715,1935,-0.000936,-0.75494),(5715,1945,-0.000897,-0.75425),(5715,1955,-0.000858,-0.75362),(5715,1965,-0.000816,-0.75298),(5715,1975,-0.00077,-0.75234),(5715,1985,-0.000724,-0.75171),(5715,1995,-0.000679,-0.75108),(5715,2005,-0.000637,-0.75045),(5715,2015,-0.000598,-0.74982),(5715,2025,-0.00056,-0.74921),(5715,2035,-0.000522,-0.74862),(5715,2045,-0.000489,-0.74803),(5715,2055,-0.000461,-0.74744),(5715,2065,-0.000433,-0.74687),(5715,2075,-0.000404,-0.7463),(5715,2085,-0.000381,-0.74573),(5715,2095,-0.000362,-0.74516),(5715,2105,-0.000342,-0.7446),(5715,2115,-0.000323,-0.74405),(5715,2125,-0.000294,-0.7435),(5715,2135,-0.000259,-0.74296),(5715,2145,-0.000223,-0.74247),(5715,2155,-0.000188,-0.74201),(5715,2165,-0.000163,-0.74156),(5715,2175,-0.000142,-0.74111),(5715,2185,-0.000121,-0.74063),(5715,2195,-0.000101,-0.74015),(5715,2205,-0.000107,-0.73966),(5715,2215,-0.000126,-0.73918),(5715,2225,-0.000144,-0.73866),(5715,2235,-0.000162,-0.73814),(5715,2245,-0.00016,-0.73761),(5715,2255,-0.000151,-0.73709),(5715,2265,-0.000141,-0.73664),(5715,2275,-0.000132,-0.73623),(5715,2285,-8.9e-05,-0.73581),(5715,2295,-3.6e-05,-0.73539),(5715,2305,1.7e-05,-0.73501),(5715,2315,6.9e-05,-0.73465),(5715,2325,0.000112,-0.73428),(5715,2335,0.000152,-0.73391),(5715,2345,0.000191,-0.73351),(5715,2355,0.000231,-0.73312),(5715,2365,0.000258,-0.73272),(5715,2375,0.000283,-0.73232),(5715,2385,0.000307,-0.73192),(5715,2395,0.000332,-0.73153),(5715,2405,0.000367,-0.73114),(5715,2415,0.000404,-0.73075),(5715,2425,0.00044,-0.73041),(5715,2435,0.000477,-0.73008),(5715,2445,0.00052,-0.72974),(5715,2455,0.000564,-0.72941),(5715,2465,0.000608,-0.72911),(5715,2475,0.000652,-0.72881),(5715,2485,0.000678,-0.72851),(5715,2495,0.000704,-0.72821),(5715,2505,0.00073,-0.7279),(5715,2515,0.000755,-0.72758),(5715,2525,0.000762,-0.72727),(5715,2535,0.000769,-0.72696),(5715,2545,0.000775,-0.72664),(5715,2555,0.000783,-0.72632),(5715,2565,0.0008,-0.726),(5715,2575,0.000818,-0.72568),(5715,2585,0.000835,-0.7254),(5715,2595,0.000854,-0.72512),(5715,2605,0.000892,-0.72485),(5715,2615,0.000929,-0.72457),(5715,2625,0.000967,-0.72433),(5715,2635,0.001003,-0.72409),(5715,2645,0.001035,-0.72385),(5715,2655,0.001067,-0.7236),(5715,2665,0.001099,-0.72335),(5715,2675,0.001126,-0.7231),(5715,2685,0.001134,-0.72285),(5715,2695,0.001141,-0.72258),(5715,2705,0.001149,-0.72229),(5715,2715,0.001154,-0.72199),(5715,2725,0.001151,-0.72169),(5715,2735,0.001147,-0.7214),(5715,2745,0.001143,-0.7211),(5715,2755,0.001144,-0.7208),(5715,2765,0.001159,-0.72049),(5715,2775,0.001174,-0.72021),(5715,2785,0.001189,-0.71995),(5715,2795,0.00121,-0.7197),(5715,2805,0.001242,-0.71945),(5715,2815,0.001275,-0.7192),(5715,2825,0.001308,-0.71898),(5715,2835,0.001336,-0.71875),(5715,2845,0.001353,-0.71852),(5715,2855,0.001371,-0.71829),(5715,2865,0.001389,-0.71803),(5715,2875,0.0014,-0.71777),(5715,2885,0.001399,-0.71752),(5715,2895,0.001397,-0.71725),(5715,2905,0.001396,-0.71698),(5715,2915,0.001408,-0.71671),(5715,2925,0.001439,-0.71644),(5715,2935,0.001471,-0.7162),(5715,2945,0.001502,-0.71599),(5715,2955,0.001552,-0.71579),(5715,2965,0.001624,-0.71559),(5715,2975,0.001697,-0.71542),(5715,2985,0.00177,-0.71529),(5715,2995,0.001821,-0.71516),(5715,3005,0.001849,-0.71503),(5715,3015,0.001878,-0.71485),(5715,3025,0.001906,-0.71462),(5715,3035,0.001898,-0.71438),(5715,3045,0.001856,-0.71415),(5715,3055,0.001815,-0.71386),(5715,3065,0.001774,-0.71354),(5715,3075,0.001754,-0.71321),(5715,3085,0.001749,-0.71288),(5715,3095,0.001745,-0.71262),(5715,3105,0.001741,-0.7124),(5715,3115,0.001774,-0.71218),(5715,3125,0.001831,-0.71197),(5715,3135,0.001888,-0.71179),(5715,3145,0.001945,-0.71164),(5715,3155,0.00199,-0.71149),(5715,3165,0.00203,-0.71134),(5715,3175,0.00207,-0.71115),(5715,3185,0.002109,-0.71094),(5715,3195,0.002131,-0.71073),(5715,3205,0.002145,-0.71051),(5715,3215,0.002159,-0.7103),(5715,3225,0.002173,-0.71009),(5715,3235,0.00219,-0.70987),(5715,3245,0.002208,-0.70966),(5715,3255,0.002226,-0.70944),(5715,3265,0.002244,-0.70923),(5715,3275,0.002276,-0.70902),(5715,3285,0.002313,-0.7088),(5715,3295,0.00235,-0.70864),(5715,3305,0.002388,-0.70849),(5715,3315,0.002419,-0.70834),(5715,3325,0.002449,-0.70819),(5715,3335,0.002479,-0.708),(5715,3345,0.002509,-0.70781),(5715,3355,0.002505,-0.70762),(5715,3365,0.002494,-0.70743),(5715,3375,0.002483,-0.70716),(5715,3385,0.002472,-0.70688),(5715,3395,0.002501,-0.7066),(5715,3405,0.002535,-0.70631),(5715,3415,0.002569,-0.70617),(5715,3425,0.002604,-0.70604),(5715,3435,0.002696,-0.70591),(5715,3445,0.002794,-0.70578),(5715,3455,0.002891,-0.70569),(5715,3465,0.002989,-0.7056),(5715,3475,0.00304,-0.70551),(5715,3485,0.003089,-0.70542),(5715,3495,0.003139,-0.70528),(5715,3505,0.003188,-0.70514),(5715,3515,0.003179,-0.705),(5715,3525,0.003171,-0.70485),(5715,3535,0.003162,-0.70459),(5715,3545,0.003154,-0.70434),(5715,3555,0.003152,-0.70408),(5715,3565,0.003151,-0.70383),(5715,3575,0.00315,-0.70359),(5715,3585,0.003153,-0.70336),(5715,3595,0.00321,-0.70312),(5715,3605,0.003267,-0.70291),(5715,3615,0.003324,-0.70284),(5715,3625,0.00338,-0.70278),(5715,3635,0.003425,-0.70272),(5715,3645,0.00347,-0.70264),(5715,3655,0.003515,-0.70247),(5715,3665,0.003552,-0.7023),(5715,3675,0.003546,-0.70213),(5715,3685,0.00354,-0.70196),(5715,3695,0.003533,-0.70182),(5715,3705,0.003532,-0.70167),(5715,3715,0.003549,-0.70152),(5715,3725,0.003566,-0.70141),(5715,3735,0.003583,-0.70139),(5715,3745,0.003595,-0.70137),(5715,3755,0.003594,-0.70136),(5715,3765,0.003592,-0.70136),(5715,3775,0.003591,-0.70142),(5715,3785,0.003572,-0.70147),(5715,3795,0.003507,-0.70153),(5715,3805,0.003442,-0.70164),(5715,3815,0.003378,-0.70188),(5715,3825,0.003293,-0.70212),(5715,3835,0.003166,-0.70235),(5715,3845,0.003039,-0.70272),(5715,3855,0.002912,-0.70334),(5715,3865,0.002784,-0.70395),(5715,3875,0.002655,-0.70457),(5715,3885,0.002525,-0.70522),(5715,3895,0.002396,-0.70592),(5715,3905,0.002201,-0.70663),(5715,3915,0.001909,-0.70733),(5715,3925,0.001616,-0.70855),(5715,3935,0.001324,-0.71047),(5715,3945,-0.002866,-0.71239),(5715,3955,-0.012006,-0.71431),(5715,3965,-0.021145,-0.7233),(5715,3975,-0.030285,-0.74058),(5715,3985,-0.053818,-0.75785),(5715,3995,-0.092931,-0.77513),(5715,4005,-0.13204,-0.82192),(5715,4015,-0.17116,-0.89823),(5715,4025,0.000323,-0.97454),(5715,4035,0.1924,-1.0262),(5715,4045,0.38449,-1.026),(5715,4055,0.49631,-1.0259),(5715,4065,0.57884,-1.0256),(5715,4075,0.66137,-1.0248),(5715,4085,0.69834,-1.0241),(5715,4095,0.69869,-1.0233),(5715,4105,0.69905,-1.0226),(5715,4115,0.69947,-1.0219),(5715,4125,0.7,-1.0213),(5715,4135,0.70053,-1.0206),(5715,4145,0.70111,-1.02),(5715,4155,0.70192,-1.0193),(5715,4165,0.70273,-1.0187),(5715,4175,0.70354,-1.018),(5715,4185,0.70468,-1.0174),(5715,4195,0.70583,-1.0168),(5715,4205,0.70697,-1.0163),(5715,4215,0.70839,-1.0157),(5715,4225,0.70987,-1.0152),(5715,4235,0.71134,-1.0145),(5715,4245,0.71303,-1.0139),(5715,4255,0.71483,-1.0132),(5715,4265,0.71663,-1.0124),(5715,4275,0.71859,-1.0115),(5715,4285,0.72071,-1.0107),(5715,4295,0.72283,-1.0098),(5715,4305,0.72504,-1.0089),(5715,4315,0.72746,-1.0079),(5715,4325,0.72987,-1.0069),(5715,4335,0.73232,-1.0058),(5715,4345,0.73502,-1.0047),(5715,4355,0.73772,-1.0035),(5715,4365,0.74042,-1.0023),(5715,4375,0.74338,-1.0011),(5715,4385,0.74636,-0.99978),(5715,4395,0.74933,-0.99841),(5715,4405,0.7525,-0.99705),(5715,4415,0.75573,-0.99566),(5715,4425,0.75895,-0.9941),(5715,4435,0.7623,-0.99255),(5715,4445,0.76574,-0.991),(5715,4455,0.76917,-0.98925),(5715,4465,0.77267,-0.98751),(5715,4475,0.77626,-0.98577),(5715,4485,0.77985,-0.98386),(5715,4495,0.78347,-0.98192),(5715,4505,0.78719,-0.97997),(5715,4515,0.79091,-0.9779),(5715,4525,0.79464,-0.97577),(5715,4535,0.79848,-0.97364),(5715,4545,0.80232,-0.9714),(5715,4555,0.80616,-0.96906),(5715,4565,0.8101,-0.96671),(5715,4575,0.81406,-0.96431),(5715,4585,0.81802,-0.96177),(5715,4595,0.82205,-0.95923),(5715,4605,0.8261,-0.95667),(5715,4615,0.83015,-0.95398),(5715,4625,0.83423,-0.95128),(5715,4635,0.83834,-0.94859),(5715,4645,0.84245,-0.94573),(5715,4655,0.84657,-0.94286),(5715,4665,0.85071,-0.93999),(5715,4675,0.85485,-0.93702),(5715,4685,0.85899,-0.93401),(5715,4695,0.86315,-0.93101),(5715,4705,0.8673,-0.92792),(5715,4715,0.87146,-0.92476),(5715,4725,0.87564,-0.9216),(5715,4735,0.87981,-0.91837),(5715,4745,0.88398,-0.91506),(5715,4755,0.88815,-0.91175),(5715,4765,0.89232,-0.90841),(5715,4775,0.89649,-0.90502),(5715,4785,0.90065,-0.90163),(5715,4795,0.9048,-0.89823),(5715,4805,0.90895,-0.89476),(5715,4815,0.91311,-0.8913),(5715,4825,0.91727,-0.88783),(5715,4835,0.92142,-0.88429),(5715,4845,0.92558,-0.88074),(5715,4855,0.92974,-0.87719),(5715,4865,0.9339,-0.87359),(5715,4875,0.93805,-0.86997),(5715,4885,0.94218,-0.86634),(5715,4895,0.9463,-0.86264),(5715,4905,0.95042,-0.85887),(5715,4915,0.9545,-0.85509),(5715,4925,0.95858,-0.85128),(5715,4935,0.96265,-0.84739),(5715,4945,0.96668,-0.8435),(5715,4955,0.97069,-0.83961),(5715,4965,0.9747,-0.83569),(5715,4975,0.97869,-0.83177),(5715,4985,0.98265,-0.82785),(5715,4995,0.98662,-0.82386),(5715,5005,0.99058,-0.81988),(5715,5015,0.99451,-0.81589),(5715,5025,0.99845,-0.81184),(5715,5035,1.0024,-0.80778),(5715,5045,1.0063,-0.80372),(5715,5055,1.0102,-0.79961),(5715,5065,1.0141,-0.79547),(5715,5075,1.018,-0.79133),(5715,5085,1.0219,-0.78715),(5715,5095,1.0258,-0.78293),(5715,5105,1.0296,-0.77872),(5715,5115,1.0334,-0.77449),(5715,5125,1.0373,-0.77024),(5715,5135,1.0411,-0.76599),(5715,5145,1.0449,-0.76173),(5715,5155,1.0487,-0.75741),(5715,5165,1.0524,-0.75309),(5715,5175,1.0562,-0.74877),(5715,5185,1.0599,-0.74438),(5715,5195,1.0637,-0.73999),(5715,5205,1.0674,-0.73561),(5715,5215,1.0711,-0.73118),(5715,5225,1.0748,-0.72673),(5715,5235,1.0784,-0.72229),(5715,5245,1.0821,-0.71783),(5715,5255,1.0857,-0.71336),(5715,5265,1.0894,-0.70888),(5715,5275,1.093,-0.7044),(5715,5285,1.0966,-0.69992),(5715,5295,1.1002,-0.69543),(5715,5305,1.1038,-0.69094),(5715,5315,1.1074,-0.6864),(5715,5325,1.111,-0.68186),(5715,5335,1.1145,-0.67732),(5715,5345,1.118,-0.67271),(5715,5355,1.1215,-0.66809),(5715,5365,1.125,-0.66348),(5715,5375,1.1285,-0.65884),(5715,5385,1.1319,-0.65419),(5715,5395,1.1354,-0.64955),(5715,5405,1.1388,-0.64488),(5715,5415,1.1422,-0.6402),(5715,5425,1.1456,-0.63553),(5715,5435,1.1489,-0.63083),(5715,5445,1.1523,-0.62611),(5715,5455,1.1557,-0.62139),(5715,5465,1.159,-0.61665),(5715,5475,1.1624,-0.61187),(5715,5485,1.1657,-0.60709),(5715,5495,1.169,-0.6023),(5715,5505,1.1723,-0.59745),(5715,5515,1.1756,-0.5926),(5715,5525,1.1788,-0.58775),(5715,5535,1.1821,-0.58289),(5715,5545,1.1854,-0.57803),(5715,5555,1.1886,-0.57318),(5715,5565,1.1918,-0.56831),(5715,5575,1.195,-0.56344),(5715,5585,1.1981,-0.55857),(5715,5595,1.2012,-0.55365),(5715,5605,1.2043,-0.54869),(5715,5615,1.2074,-0.54374),(5715,5625,1.2105,-0.53875),(5715,5635,1.2135,-0.53374),(5715,5645,1.2166,-0.52873),(5715,5655,1.2196,-0.52371),(5715,5665,1.2226,-0.51868),(5715,5675,1.2255,-0.51366),(5715,5685,1.2285,-0.50863),(5715,5695,1.2314,-0.50359),(5715,5705,1.2344,-0.49854),(5715,5715,1.2373,-0.49349),(5715,5725,1.2402,-0.48841),(5715,5735,1.2431,-0.48332),(5715,5745,1.246,-0.47823),(5715,5755,1.2488,-0.47312),(5715,5765,1.2516,-0.46801),(5715,5775,1.2544,-0.46289),(5715,5785,1.2572,-0.45775),(5715,5795,1.26,-0.45257),(5715,5805,1.2627,-0.4474),(5715,5815,1.2654,-0.44219),(5715,5825,1.2682,-0.43693),(5715,5835,1.2708,-0.43167),(5715,5845,1.2734,-0.42639),(5715,5855,1.2761,-0.42107),(5715,5865,1.2786,-0.41574),(5715,5875,1.2812,-0.41042),(5715,5885,1.2838,-0.40511),(5715,5895,1.2863,-0.3998),(5715,5905,1.2888,-0.39448),(5715,5915,1.2912,-0.38915),(5715,5925,1.2937,-0.3838),(5715,5935,1.2961,-0.37846),(5715,5945,1.2985,-0.37305),(5715,5955,1.3009,-0.36762),(5715,5965,1.3033,-0.36218),(5715,5975,1.3056,-0.35673),(5715,5985,1.3079,-0.35126),(5715,5995,1.3102,-0.34578),(5715,6005,1.3124,-0.34031),(5715,6015,1.3146,-0.33483),(5715,6025,1.3168,-0.32935),(5715,6035,1.3189,-0.32386),(5715,6045,1.3211,-0.31835),(5715,6055,1.3231,-0.31284),(5715,6065,1.3251,-0.30732),(5715,6075,1.3272,-0.30173),(5715,6085,1.3292,-0.29614),(5715,6095,1.3311,-0.29054),(5715,6105,1.333,-0.28488),(5715,6115,1.3349,-0.27918),(5715,6125,1.3368,-0.27349),(5715,6135,1.3386,-0.26779),(5715,6145,1.3404,-0.26207),(5715,6155,1.3422,-0.25635),(5715,6165,1.3439,-0.25064),(5715,6175,1.3457,-0.24494),(5715,6185,1.3473,-0.23924),(5715,6195,1.3489,-0.23354),(5715,6205,1.3506,-0.22782),(5715,6215,1.3521,-0.22209),(5715,6225,1.3536,-0.21636),(5715,6235,1.3551,-0.21058),(5715,6245,1.3566,-0.20479),(5715,6255,1.3579,-0.19901),(5715,6265,1.3593,-0.19317),(5715,6275,1.3606,-0.18733),(5715,6285,1.3619,-0.18148),(5715,6295,1.3631,-0.17559),(5715,6305,1.3644,-0.16967),(5715,6315,1.3655,-0.16375),(5715,6325,1.3666,-0.15784),(5715,6335,1.3678,-0.15195),(5715,6345,1.3688,-0.14606),(5715,6355,1.3698,-0.14017),(5715,6365,1.3709,-0.13429),(5715,6375,1.3718,-0.12841),(5715,6385,1.3727,-0.12252),(5715,6395,1.3736,-0.11655),(5715,6405,1.3744,-0.11058),(5715,6415,1.3752,-0.10462),(5715,6425,1.376,-0.098691),(5715,6435,1.3767,-0.092768),(5715,6445,1.3773,-0.086845),(5715,6455,1.378,-0.080885),(5715,6465,1.3786,-0.074915),(5715,6475,1.379,-0.068945),(5715,6485,1.3795,-0.062992),(5715,6495,1.38,-0.057052),(5715,6505,1.3804,-0.051111),(5715,6515,1.3807,-0.04514),(5715,6525,1.3811,-0.039126),(5715,6535,1.3813,-0.033112),(5715,6545,1.3815,-0.027106),(5715,6555,1.3817,-0.021125),(5715,6565,1.3818,-0.015143),(5715,6575,1.3819,-0.009156),(5715,6585,1.3819,-0.003067),(5715,6595,1.1754,0.003021),(5715,6605,0.74074,0.009109),(5715,6615,0.3061,0.009771),(5715,6625,0.000554,0.009736),(5715,6635,0.000582,0.0097),(5715,6645,0.00061,0.009695),(5715,6655,0.000638,0.009703),(5715,6665,0.000665,0.009711),(5715,6675,0.000692,0.009718),(5715,6685,0.000719,0.009725),(5715,6695,0.000745,0.009733),(5715,6705,0.000771,0.00974),(5715,6715,0.000797,0.009747),(5715,6725,0.000823,0.009754),(5715,6735,0.000848,0.009761),(5715,6745,0.000874,0.009767),(5715,6755,0.000899,0.009773),(5715,6765,0.000923,0.009779),(5715,6775,0.000948,0.009785),(5715,6785,0.000973,0.009791),(5715,6795,0.000996,0.009796),(5715,6805,0.00102,0.009801),(5715,6815,0.001044,0.009806),(5715,6825,0.001068,0.009812),(5715,6835,0.001091,0.009816),(5715,6845,0.001114,0.00982),(5715,6855,0.001137,0.009825),(5715,6865,0.001159,0.009829),(5715,6875,0.001182,0.009832),(5715,6885,0.001204,0.009836),(5715,6895,0.001226,0.009839),(5715,6905,0.001248,0.009842),(5715,6915,0.001269,0.009845),(5715,6925,0.001291,0.009848),(5715,6935,0.001312,0.00985),(5715,6945,0.001333,0.009853),(5715,6955,0.001354,0.009855),(5715,6965,0.001374,0.009857),(5715,6975,0.001395,0.009858),(5715,6985,0.001415,0.00986),(5725,5,1.3e-05,-0.72705),(5725,15,4e-05,-0.72711),(5725,25,6.4e-05,-0.72718),(5725,35,8.6e-05,-0.72725),(5725,45,0.000108,-0.7273),(5725,55,0.00013,-0.72735),(5725,65,0.00015,-0.72739),(5725,75,0.000167,-0.72744),(5725,85,0.000184,-0.7275),(5725,95,0.000201,-0.72756),(5725,105,0.000215,-0.72763),(5725,115,0.000227,-0.72769),(5725,125,0.000238,-0.72776),(5725,135,0.00025,-0.72783),(5725,145,0.000259,-0.72791),(5725,155,0.000267,-0.72798),(5725,165,0.000274,-0.72805),(5725,175,0.000282,-0.72813),(5725,185,0.000289,-0.72821),(5725,195,0.000295,-0.72829),(5725,205,0.000301,-0.72839),(5725,215,0.000307,-0.72849),(5725,225,0.000319,-0.72859),(5725,235,0.000333,-0.7287),(5725,245,0.000347,-0.72881),(5725,255,0.000361,-0.72893),(5725,265,0.000387,-0.72904),(5725,275,0.000416,-0.72916),(5725,285,0.000446,-0.72934),(5725,295,0.000476,-0.72955),(5725,305,0.000517,-0.72975),(5725,315,0.000562,-0.72996),(5725,325,0.000606,-0.73019),(5725,335,0.00065,-0.73043),(5725,345,0.000694,-0.73067),(5725,355,0.000737,-0.73091),(5725,365,0.00078,-0.73115),(5725,375,0.000823,-0.7314),(5725,385,0.000851,-0.73164),(5725,395,0.000877,-0.73188),(5725,405,0.000904,-0.73212),(5725,415,0.00093,-0.73236),(5725,425,0.000937,-0.7326),(5725,435,0.000942,-0.73284),(5725,445,0.000947,-0.73308),(5725,455,0.000953,-0.73333),(5725,465,0.00095,-0.73357),(5725,475,0.000947,-0.73382),(5725,485,0.000944,-0.73408),(5725,495,0.000941,-0.73433),(5725,505,0.000949,-0.73459),(5725,515,0.000958,-0.73485),(5725,525,0.000966,-0.73517),(5725,535,0.000975,-0.7355),(5725,545,0.001002,-0.73582),(5725,555,0.001029,-0.73615),(5725,565,0.001056,-0.73652),(5725,575,0.001084,-0.73689),(5725,585,0.001124,-0.73725),(5725,595,0.001164,-0.73762),(5725,605,0.001204,-0.73803),(5725,615,0.001245,-0.73843),(5725,625,0.001287,-0.73883),(5725,635,0.00133,-0.73924),(5725,645,0.001373,-0.73968),(5725,655,0.001415,-0.74012),(5725,665,0.001453,-0.74056),(5725,675,0.001491,-0.74101),(5725,685,0.00153,-0.7415),(5725,695,0.001566,-0.74199),(5725,705,0.001592,-0.74248),(5725,715,0.001618,-0.74296),(5725,725,0.001643,-0.74344),(5725,735,0.001667,-0.74392),(5725,745,0.001681,-0.74439),(5725,755,0.001695,-0.74488),(5725,765,0.001708,-0.74539),(5725,775,0.001724,-0.74589),(5725,785,0.001742,-0.7464),(5725,795,0.00176,-0.74693),(5725,805,0.001778,-0.7475),(5725,815,0.001798,-0.74807),(5725,825,0.001824,-0.74865),(5725,835,0.00185,-0.74923),(5725,845,0.001877,-0.74982),(5725,855,0.001907,-0.75042),(5725,865,0.001946,-0.75102),(5725,875,0.001985,-0.75164),(5725,885,0.002024,-0.75231),(5725,895,0.002067,-0.75298),(5725,905,0.002119,-0.75364),(5725,915,0.00217,-0.75435),(5725,925,0.002221,-0.7551),(5725,935,0.002274,-0.75585),(5725,945,0.002328,-0.7566),(5725,955,0.002383,-0.75738),(5725,965,0.002437,-0.75818),(5725,975,0.002494,-0.75899),(5725,985,0.002553,-0.75979),(5725,995,0.002612,-0.76062),(5725,1005,0.00267,-0.76145),(5725,1015,0.002732,-0.76229),(5725,1025,0.002796,-0.76313),(5725,1035,0.002861,-0.76398),(5725,1045,0.002925,-0.76484),(5725,1055,0.002988,-0.7657),(5725,1065,0.003051,-0.76656),(5725,1075,0.003113,-0.76744),(5725,1085,0.003176,-0.76834),(5725,1095,0.003233,-0.76923),(5725,1105,0.003287,-0.77013),(5725,1115,0.003341,-0.77116),(5725,1125,0.003394,-0.77227),(5725,1135,0.003431,-0.77338),(5725,1145,0.003457,-0.77449),(5725,1155,0.003483,-0.77589),(5725,1165,0.003509,-0.77743),(5725,1175,0.00363,-0.77898),(5725,1185,0.003798,-0.78053),(5725,1195,0.003967,-0.78213),(5725,1205,0.004135,-0.78375),(5725,1215,0.004422,-0.78537),(5725,1225,0.004758,-0.787),(5725,1235,0.005093,-0.78831),(5725,1245,0.005429,-0.78952),(5725,1255,0.000597,-0.79072),(5725,1265,-0.005981,-0.79192),(5725,1275,-0.012559,-0.8091),(5725,1285,-0.019137,-0.83112),(5725,1295,-0.034345,-0.85315),(5725,1305,-0.051888,-0.87517),(5725,1315,-0.069431,-0.94161),(5725,1325,-0.086973,-1.0187),(5725,1335,-0.053695,-1.0958),(5725,1345,-0.009765,-1.1728),(5725,1355,0.034165,-1.1248),(5725,1365,0.078094,-1.0541),(5725,1375,0.071376,-0.98339),(5725,1385,0.056844,-0.91268),(5725,1395,0.042312,-0.88179),(5725,1405,0.027779,-0.85603),(5725,1415,0.01938,-0.83026),(5725,1425,0.011617,-0.80449),(5725,1435,0.003854,-0.80104),(5725,1445,-0.003909,-0.79937),(5725,1455,-0.003977,-0.7977),(5725,1465,-0.003602,-0.79603),(5725,1475,-0.003227,-0.79358),(5725,1485,-0.002853,-0.79111),(5725,1495,-0.002743,-0.78864),(5725,1505,-0.002637,-0.78617),(5725,1515,-0.002532,-0.78403),(5725,1525,-0.00243,-0.7819),(5725,1535,-0.002489,-0.77976),(5725,1545,-0.002549,-0.77766),(5725,1555,-0.002608,-0.77618),(5725,1565,-0.002663,-0.7747),(5725,1575,-0.002654,-0.77322),(5725,1585,-0.002646,-0.77177),(5725,1595,-0.002637,-0.77065),(5725,1605,-0.002624,-0.76954),(5725,1615,-0.002566,-0.76843),(5725,1625,-0.002509,-0.76734),(5725,1635,-0.002451,-0.76645),(5725,1645,-0.002393,-0.76556),(5725,1655,-0.00233,-0.76467),(5725,1665,-0.002268,-0.76378),(5725,1675,-0.002205,-0.76294),(5725,1685,-0.002145,-0.76209),(5725,1695,-0.002095,-0.76125),(5725,1705,-0.002046,-0.76041),(5725,1715,-0.001996,-0.7596),(5725,1725,-0.001946,-0.75879),(5725,1735,-0.001895,-0.75798),(5725,1745,-0.001844,-0.75719),(5725,1755,-0.001794,-0.75643),(5725,1765,-0.001741,-0.75568),(5725,1775,-0.001683,-0.75493),(5725,1785,-0.001625,-0.75419),(5725,1795,-0.001566,-0.75347),(5725,1805,-0.001509,-0.75274),(5725,1815,-0.001452,-0.75202),(5725,1825,-0.001396,-0.75132),(5725,1835,-0.00134,-0.75067),(5725,1845,-0.001288,-0.75002),(5725,1855,-0.001245,-0.74937),(5725,1865,-0.001202,-0.74873),(5725,1875,-0.001159,-0.74812),(5725,1885,-0.00112,-0.74751),(5725,1895,-0.001089,-0.7469),(5725,1905,-0.001058,-0.74629),(5725,1915,-0.001027,-0.74567),(5725,1925,-0.000993,-0.74505),(5725,1935,-0.000956,-0.74443),(5725,1945,-0.000919,-0.74385),(5725,1955,-0.000882,-0.7433),(5725,1965,-0.000844,-0.74276),(5725,1975,-0.000804,-0.74221),(5725,1985,-0.000764,-0.74167),(5725,1995,-0.000724,-0.74115),(5725,2005,-0.000686,-0.74062),(5725,2015,-0.000651,-0.74009),(5725,2025,-0.000615,-0.73958),(5725,2035,-0.00058,-0.73909),(5725,2045,-0.000547,-0.73859),(5725,2055,-0.000518,-0.7381),(5725,2065,-0.000488,-0.73761),(5725,2075,-0.000458,-0.73714),(5725,2085,-0.000432,-0.73666),(5725,2095,-0.000407,-0.73618),(5725,2105,-0.000383,-0.73571),(5725,2115,-0.000358,-0.73523),(5725,2125,-0.000329,-0.73476),(5725,2135,-0.000297,-0.73429),(5725,2145,-0.000264,-0.73387),(5725,2155,-0.000232,-0.73349),(5725,2165,-0.000205,-0.73311),(5725,2175,-0.000181,-0.73272),(5725,2185,-0.000157,-0.73233),(5725,2195,-0.000133,-0.73193),(5725,2205,-0.000123,-0.73153),(5725,2215,-0.00012,-0.73113),(5725,2225,-0.000116,-0.73069),(5725,2235,-0.000113,-0.73024),(5725,2245,-9.9e-05,-0.72979),(5725,2255,-8.1e-05,-0.72933),(5725,2265,-6.4e-05,-0.72894),(5725,2275,-4.6e-05,-0.72857),(5725,2285,-1.1e-05,-0.72819),(5725,2295,2.9e-05,-0.72782),(5725,2305,7e-05,-0.72749),(5725,2315,0.00011,-0.72716),(5725,2325,0.000145,-0.72684),(5725,2335,0.000178,-0.72652),(5725,2345,0.000211,-0.72617),(5725,2355,0.000245,-0.72582),(5725,2365,0.000271,-0.72547),(5725,2375,0.000296,-0.72512),(5725,2385,0.000321,-0.72476),(5725,2395,0.000346,-0.7244),(5725,2405,0.000376,-0.72404),(5725,2415,0.000407,-0.72367),(5725,2425,0.000438,-0.72335),(5725,2435,0.00047,-0.72303),(5725,2445,0.000504,-0.7227),(5725,2455,0.000539,-0.72238),(5725,2465,0.000574,-0.72209),(5725,2475,0.000609,-0.7218),(5725,2485,0.000635,-0.72151),(5725,2495,0.00066,-0.72122),(5725,2505,0.000685,-0.72092),(5725,2515,0.00071,-0.72061),(5725,2525,0.000725,-0.72031),(5725,2535,0.00074,-0.72),(5725,2545,0.000755,-0.71969),(5725,2555,0.00077,-0.71937),(5725,2565,0.00079,-0.71905),(5725,2575,0.000811,-0.71873),(5725,2585,0.000831,-0.71845),(5725,2595,0.000853,-0.71816),(5725,2605,0.000884,-0.71787),(5725,2615,0.000915,-0.71759),(5725,2625,0.000946,-0.71734),(5725,2635,0.000976,-0.71709),(5725,2645,0.001004,-0.71684),(5725,2655,0.001032,-0.71659),(5725,2665,0.00106,-0.71633),(5725,2675,0.001085,-0.71607),(5725,2685,0.0011,-0.71581),(5725,2695,0.001116,-0.71555),(5725,2705,0.001131,-0.71526),(5725,2715,0.001145,-0.71496),(5725,2725,0.001154,-0.71467),(5725,2735,0.001162,-0.71437),(5725,2745,0.001171,-0.71407),(5725,2755,0.001183,-0.71376),(5725,2765,0.001202,-0.71345),(5725,2775,0.001221,-0.71315),(5725,2785,0.00124,-0.71286),(5725,2795,0.001262,-0.71257),(5725,2805,0.00129,-0.71228),(5725,2815,0.001318,-0.712),(5725,2825,0.001347,-0.71174),(5725,2835,0.001372,-0.71147),(5725,2845,0.001393,-0.71121),(5725,2855,0.001413,-0.71094),(5725,2865,0.001434,-0.71066),(5725,2875,0.001451,-0.71039),(5725,2885,0.001461,-0.71011),(5725,2895,0.001472,-0.70982),(5725,2905,0.001483,-0.70952),(5725,2915,0.0015,-0.70923),(5725,2925,0.001528,-0.70893),(5725,2935,0.001556,-0.70865),(5725,2945,0.001583,-0.70839),(5725,2955,0.001621,-0.70814),(5725,2965,0.001671,-0.70788),(5725,2975,0.001721,-0.70765),(5725,2985,0.00177,-0.70745),(5725,2995,0.001809,-0.70724),(5725,3005,0.001836,-0.70704),(5725,3015,0.001862,-0.7068),(5725,3025,0.001889,-0.70652),(5725,3035,0.001896,-0.70623),(5725,3045,0.001886,-0.70595),(5725,3055,0.001875,-0.70563),(5725,3065,0.001865,-0.70528),(5725,3075,0.001866,-0.70492),(5725,3085,0.001876,-0.70456),(5725,3095,0.001885,-0.70426),(5725,3105,0.001894,-0.70398),(5725,3115,0.001924,-0.7037),(5725,3125,0.001965,-0.70342),(5725,3135,0.002007,-0.70317),(5725,3145,0.002049,-0.70294),(5725,3155,0.002085,-0.7027),(5725,3165,0.002118,-0.70247),(5725,3175,0.002151,-0.7022),(5725,3185,0.002184,-0.70191),(5725,3195,0.002207,-0.70162),(5725,3205,0.002226,-0.70133),(5725,3215,0.002245,-0.70104),(5725,3225,0.002264,-0.70076),(5725,3235,0.002285,-0.70047),(5725,3245,0.002306,-0.70018),(5725,3255,0.002328,-0.69989),(5725,3265,0.002349,-0.69961),(5725,3275,0.002378,-0.69932),(5725,3285,0.00241,-0.69904),(5725,3295,0.002441,-0.69879),(5725,3305,0.002473,-0.69855),(5725,3315,0.002501,-0.69831),(5725,3325,0.002529,-0.69807),(5725,3335,0.002557,-0.69781),(5725,3345,0.002585,-0.69755),(5725,3355,0.002595,-0.69729),(5725,3365,0.002601,-0.69703),(5725,3375,0.002607,-0.69672),(5725,3385,0.002613,-0.69639),(5725,3395,0.002641,-0.69607),(5725,3405,0.002671,-0.69574),(5725,3415,0.002701,-0.69551),(5725,3425,0.002731,-0.69528),(5725,3435,0.002793,-0.69505),(5725,3445,0.002857,-0.69483),(5725,3455,0.00292,-0.69463),(5725,3465,0.002984,-0.69443),(5725,3475,0.003023,-0.69424),(5725,3485,0.003062,-0.69404),(5725,3495,0.0031,-0.69382),(5725,3505,0.003139,-0.69361),(5725,3515,0.003146,-0.69339),(5725,3525,0.003154,-0.69318),(5725,3535,0.003162,-0.6929),(5725,3545,0.00317,-0.69263),(5725,3555,0.003182,-0.69235),(5725,3565,0.003193,-0.69207),(5725,3575,0.003205,-0.69181),(5725,3585,0.003219,-0.69155),(5725,3595,0.003262,-0.69128),(5725,3605,0.003304,-0.69104),(5725,3615,0.003347,-0.69092),(5725,3625,0.003388,-0.6908),(5725,3635,0.003425,-0.69068),(5725,3645,0.003461,-0.69056),(5725,3655,0.003497,-0.69041),(5725,3665,0.003529,-0.69025),(5725,3675,0.003538,-0.6901),(5725,3685,0.003547,-0.68995),(5725,3695,0.003557,-0.68987),(5725,3705,0.003568,-0.68978),(5725,3715,0.003589,-0.6897),(5725,3725,0.003611,-0.68965),(5725,3735,0.003632,-0.68974),(5725,3745,0.003651,-0.68982),(5725,3755,0.003662,-0.68991),(5725,3765,0.003674,-0.69003),(5725,3775,0.003685,-0.69028),(5725,3785,0.003687,-0.69053),(5725,3795,0.003665,-0.69077),(5725,3805,0.003643,-0.69111),(5725,3815,0.00362,-0.69164),(5725,3825,0.003587,-0.69218),(5725,3835,0.003531,-0.69272),(5725,3845,0.003476,-0.69344),(5725,3855,0.00342,-0.6945),(5725,3865,0.003364,-0.69557),(5725,3875,0.003306,-0.69663),(5725,3885,0.003248,-0.69781),(5725,3895,0.003191,-0.69915),(5725,3905,0.003098,-0.7005),(5725,3915,0.002954,-0.70184),(5725,3925,0.00281,-0.70368),(5725,3935,0.002665,-0.70619),(5725,3945,0.000459,-0.7087),(5725,3955,-0.004365,-0.71121),(5725,3965,-0.00919,-0.72075),(5725,3975,-0.014014,-0.73852),(5725,3985,-0.02645,-0.75629),(5725,3995,-0.047126,-0.77406),(5725,4005,-0.067802,-0.8214),(5725,4015,-0.088478,-0.89831),(5725,4025,0.060154,-0.97522),(5725,4035,0.22535,-1.0273),(5725,4045,0.39055,-1.0269),(5725,4055,0.49496,-1.0265),(5725,4065,0.5772,-1.0261),(5725,4075,0.65944,-1.0252),(5725,4085,0.69629,-1.0243),(5725,4095,0.69665,-1.0234),(5725,4105,0.69701,-1.0226),(5725,4115,0.69744,-1.0218),(5725,4125,0.69798,-1.0211),(5725,4135,0.69853,-1.0204),(5725,4145,0.69912,-1.0196),(5725,4155,0.69993,-1.0189),(5725,4165,0.70073,-1.0182),(5725,4175,0.70155,-1.0175),(5725,4185,0.70268,-1.0168),(5725,4195,0.70381,-1.0161),(5725,4205,0.70494,-1.0156),(5725,4215,0.70634,-1.015),(5725,4225,0.70779,-1.0144),(5725,4235,0.70924,-1.0137),(5725,4245,0.71091,-1.013),(5725,4255,0.71268,-1.0123),(5725,4265,0.71446,-1.0115),(5725,4275,0.71638,-1.0106),(5725,4285,0.71847,-1.0097),(5725,4295,0.72056,-1.0088),(5725,4305,0.72273,-1.0078),(5725,4315,0.7251,-1.0069),(5725,4325,0.72747,-1.0058),(5725,4335,0.72987,-1.0047),(5725,4345,0.73251,-1.0036),(5725,4355,0.73516,-1.0024),(5725,4365,0.7378,-1.0011),(5725,4375,0.74069,-0.99987),(5725,4385,0.7436,-0.99857),(5725,4395,0.74651,-0.99718),(5725,4405,0.74962,-0.99579),(5725,4415,0.75278,-0.99438),(5725,4425,0.75594,-0.99281),(5725,4435,0.75922,-0.99125),(5725,4445,0.76259,-0.98968),(5725,4455,0.76595,-0.98794),(5725,4465,0.76939,-0.98621),(5725,4475,0.77291,-0.98447),(5725,4485,0.77643,-0.98257),(5725,4495,0.77999,-0.98065),(5725,4505,0.78364,-0.97872),(5725,4515,0.7873,-0.97667),(5725,4525,0.79096,-0.97456),(5725,4535,0.79473,-0.97245),(5725,4545,0.79851,-0.97023),(5725,4555,0.80228,-0.96791),(5725,4565,0.80616,-0.96559),(5725,4575,0.81006,-0.96321),(5725,4585,0.81396,-0.96069),(5725,4595,0.81792,-0.95818),(5725,4605,0.82191,-0.95565),(5725,4615,0.8259,-0.95299),(5725,4625,0.82993,-0.95032),(5725,4635,0.83398,-0.94766),(5725,4645,0.83804,-0.94483),(5725,4655,0.8421,-0.942),(5725,4665,0.84619,-0.93916),(5725,4675,0.85027,-0.93622),(5725,4685,0.85436,-0.93324),(5725,4695,0.85847,-0.93027),(5725,4705,0.86258,-0.92719),(5725,4715,0.86669,-0.92405),(5725,4725,0.87082,-0.92091),(5725,4735,0.87495,-0.91771),(5725,4745,0.87908,-0.91442),(5725,4755,0.8832,-0.91113),(5725,4765,0.88732,-0.90783),(5725,4775,0.89144,-0.90445),(5725,4785,0.89555,-0.90108),(5725,4795,0.89966,-0.89771),(5725,4805,0.90377,-0.89425),(5725,4815,0.90788,-0.8908),(5725,4825,0.91199,-0.88734),(5725,4835,0.91611,-0.88381),(5725,4845,0.92022,-0.88027),(5725,4855,0.92435,-0.87673),(5725,4865,0.92847,-0.87313),(5725,4875,0.93259,-0.86952),(5725,4885,0.9367,-0.8659),(5725,4895,0.9408,-0.86221),(5725,4905,0.9449,-0.85845),(5725,4915,0.94896,-0.85469),(5725,4925,0.95302,-0.8509),(5725,4935,0.95707,-0.84702),(5725,4945,0.96108,-0.84315),(5725,4955,0.96507,-0.83928),(5725,4965,0.96906,-0.83537),(5725,4975,0.97303,-0.83147),(5725,4985,0.97697,-0.82756),(5725,4995,0.98091,-0.82359),(5725,5005,0.98484,-0.81961),(5725,5015,0.98875,-0.81564),(5725,5025,0.99266,-0.8116),(5725,5035,0.99656,-0.80755),(5725,5045,1.0004,-0.8035),(5725,5055,1.0043,-0.7994),(5725,5065,1.0082,-0.79528),(5725,5075,1.0121,-0.79115),(5725,5085,1.0159,-0.78699),(5725,5095,1.0198,-0.78278),(5725,5105,1.0236,-0.77858),(5725,5115,1.0274,-0.77437),(5725,5125,1.0312,-0.77014),(5725,5135,1.035,-0.7659),(5725,5145,1.0387,-0.76166),(5725,5155,1.0425,-0.75735),(5725,5165,1.0462,-0.75305),(5725,5175,1.05,-0.74874),(5725,5185,1.0537,-0.74437),(5725,5195,1.0574,-0.74),(5725,5205,1.0611,-0.73562),(5725,5215,1.0647,-0.73121),(5725,5225,1.0684,-0.72677),(5725,5235,1.072,-0.72234),(5725,5245,1.0757,-0.71788),(5725,5255,1.0793,-0.71341),(5725,5265,1.0829,-0.70893),(5725,5275,1.0865,-0.70446),(5725,5285,1.0901,-0.69998),(5725,5295,1.0937,-0.6955),(5725,5305,1.0973,-0.69101),(5725,5315,1.1009,-0.68647),(5725,5325,1.1044,-0.68194),(5725,5335,1.1079,-0.67741),(5725,5345,1.1114,-0.67281),(5725,5355,1.1149,-0.66821),(5725,5365,1.1184,-0.66361),(5725,5375,1.1218,-0.65897),(5725,5385,1.1253,-0.65433),(5725,5395,1.1287,-0.64969),(5725,5405,1.1321,-0.64503),(5725,5415,1.1355,-0.64036),(5725,5425,1.1388,-0.63568),(5725,5435,1.1422,-0.63099),(5725,5445,1.1455,-0.62627),(5725,5455,1.1489,-0.62155),(5725,5465,1.1522,-0.6168),(5725,5475,1.1555,-0.61202),(5725,5485,1.1588,-0.60723),(5725,5495,1.1621,-0.60243),(5725,5505,1.1654,-0.59757),(5725,5515,1.1686,-0.59272),(5725,5525,1.1719,-0.58786),(5725,5535,1.1751,-0.583),(5725,5545,1.1783,-0.57814),(5725,5555,1.1815,-0.57327),(5725,5565,1.1847,-0.56841),(5725,5575,1.1879,-0.56354),(5725,5585,1.191,-0.55867),(5725,5595,1.1941,-0.55375),(5725,5605,1.1973,-0.54879),(5725,5615,1.2003,-0.54384),(5725,5625,1.2034,-0.53886),(5725,5635,1.2064,-0.53384),(5725,5645,1.2094,-0.52882),(5725,5655,1.2124,-0.52381),(5725,5665,1.2154,-0.51877),(5725,5675,1.2183,-0.51374),(5725,5685,1.2213,-0.50871),(5725,5695,1.2242,-0.50365),(5725,5705,1.2271,-0.4986),(5725,5715,1.23,-0.49354),(5725,5725,1.2329,-0.48845),(5725,5735,1.2357,-0.48335),(5725,5745,1.2386,-0.47826),(5725,5755,1.2414,-0.47314),(5725,5765,1.2442,-0.46802),(5725,5775,1.247,-0.4629),(5725,5785,1.2498,-0.45774),(5725,5795,1.2525,-0.45256),(5725,5805,1.2552,-0.44738),(5725,5815,1.2579,-0.44218),(5725,5825,1.2606,-0.43691),(5725,5835,1.2633,-0.43165),(5725,5845,1.2659,-0.42637),(5725,5855,1.2685,-0.42105),(5725,5865,1.2711,-0.41572),(5725,5875,1.2736,-0.41039),(5725,5885,1.2761,-0.40507),(5725,5895,1.2786,-0.39975),(5725,5905,1.2811,-0.39443),(5725,5915,1.2835,-0.38909),(5725,5925,1.286,-0.38374),(5725,5935,1.2884,-0.37839),(5725,5945,1.2908,-0.37298),(5725,5955,1.2931,-0.36754),(5725,5965,1.2955,-0.36209),(5725,5975,1.2978,-0.35663),(5725,5985,1.3001,-0.35115),(5725,5995,1.3023,-0.34567),(5725,6005,1.3045,-0.34019),(5725,6015,1.3067,-0.33471),(5725,6025,1.3089,-0.32923),(5725,6035,1.311,-0.32375),(5725,6045,1.3131,-0.31824),(5725,6055,1.3152,-0.31273),(5725,6065,1.3172,-0.30722),(5725,6075,1.3192,-0.30163),(5725,6085,1.3212,-0.29603),(5725,6095,1.3231,-0.29043),(5725,6105,1.325,-0.28476),(5725,6115,1.3269,-0.27906),(5725,6125,1.3287,-0.27336),(5725,6135,1.3305,-0.26765),(5725,6145,1.3324,-0.26193),(5725,6155,1.3341,-0.2562),(5725,6165,1.3358,-0.25049),(5725,6175,1.3375,-0.24479),(5725,6185,1.3392,-0.2391),(5725,6195,1.3408,-0.23339),(5725,6205,1.3424,-0.22767),(5725,6215,1.3439,-0.22195),(5725,6225,1.3454,-0.21622),(5725,6235,1.3469,-0.21044),(5725,6245,1.3483,-0.20466),(5725,6255,1.3497,-0.19888),(5725,6265,1.3511,-0.19305),(5725,6275,1.3524,-0.18722),(5725,6285,1.3536,-0.18138),(5725,6295,1.3549,-0.17548),(5725,6305,1.3561,-0.16956),(5725,6315,1.3572,-0.16364),(5725,6325,1.3583,-0.15774),(5725,6335,1.3594,-0.15184),(5725,6345,1.3604,-0.14595),(5725,6355,1.3614,-0.14005),(5725,6365,1.3625,-0.13417),(5725,6375,1.3634,-0.12829),(5725,6385,1.3643,-0.1224),(5725,6395,1.3652,-0.11643),(5725,6405,1.366,-0.11047),(5725,6415,1.3667,-0.1045),(5725,6425,1.3675,-0.098579),(5725,6435,1.3682,-0.09266),(5725,6445,1.3689,-0.08674),(5725,6455,1.3695,-0.080785),(5725,6465,1.3701,-0.074821),(5725,6475,1.3706,-0.068856),(5725,6485,1.3711,-0.062909),(5725,6495,1.3715,-0.056975),(5725,6505,1.3719,-0.051041),(5725,6515,1.3722,-0.045076),(5725,6525,1.3726,-0.039069),(5725,6535,1.3728,-0.033062),(5725,6545,1.373,-0.027064),(5725,6555,1.3732,-0.021091),(5725,6565,1.3733,-0.015118),(5725,6575,1.3734,-0.009138),(5725,6585,1.3734,-0.00305),(5725,6595,1.1682,0.003039),(5725,6605,0.73619,0.009128),(5725,6615,0.30421,0.009792),(5725,6625,0.000545,0.00976),(5725,6635,0.000573,0.009727),(5725,6645,0.000601,0.009723),(5725,6655,0.000629,0.00973),(5725,6665,0.000656,0.009738),(5725,6675,0.000683,0.009745),(5725,6685,0.00071,0.009752),(5725,6695,0.000736,0.009759),(5725,6705,0.000763,0.009766),(5725,6715,0.000789,0.009773),(5725,6725,0.000815,0.00978),(5725,6735,0.00084,0.009786),(5725,6745,0.000866,0.009792),(5725,6755,0.000891,0.009798),(5725,6765,0.000916,0.009804),(5725,6775,0.000941,0.00981),(5725,6785,0.000965,0.009815),(5725,6795,0.00099,0.00982),(5725,6805,0.001014,0.009825),(5725,6815,0.001038,0.00983),(5725,6825,0.001061,0.009835),(5725,6835,0.001085,0.009839),(5725,6845,0.001108,0.009844),(5725,6855,0.001131,0.009848),(5725,6865,0.001154,0.009852),(5725,6875,0.001176,0.009855),(5725,6885,0.001199,0.009858),(5725,6895,0.001221,0.009862),(5725,6905,0.001243,0.009864),(5725,6915,0.001265,0.009867),(5725,6925,0.001286,0.00987),(5725,6935,0.001308,0.009872),(5725,6945,0.001329,0.009874),(5725,6955,0.00135,0.009876),(5725,6965,0.001371,0.009877),(5725,6975,0.001391,0.009879),(5725,6985,0.001411,0.00988),(5735,5,9e-06,-0.75878),(5735,15,2.8e-05,-0.75884),(5735,25,4.7e-05,-0.7589),(5735,35,6.5e-05,-0.75897),(5735,45,8.3e-05,-0.75901),(5735,55,0.000102,-0.75905),(5735,65,0.00012,-0.75909),(5735,75,0.000138,-0.75912),(5735,85,0.000156,-0.75917),(5735,95,0.000174,-0.75922),(5735,105,0.000191,-0.75927),(5735,115,0.000208,-0.75932),(5735,125,0.000226,-0.75937),(5735,135,0.000243,-0.75941),(5735,145,0.00026,-0.75946),(5735,155,0.000277,-0.7595),(5735,165,0.000295,-0.75954),(5735,175,0.000312,-0.75959),(5735,185,0.000329,-0.75963),(5735,195,0.000346,-0.75968),(5735,205,0.000363,-0.75974),(5735,215,0.00038,-0.75982),(5735,225,0.000398,-0.75989),(5735,235,0.000416,-0.75997),(5735,245,0.000434,-0.76003),(5735,255,0.000453,-0.76009),(5735,265,0.000473,-0.76015),(5735,275,0.000493,-0.7602),(5735,285,0.000514,-0.76035),(5735,295,0.000534,-0.76052),(5735,305,0.000556,-0.76069),(5735,315,0.000579,-0.76086),(5735,325,0.000601,-0.76103),(5735,335,0.000624,-0.7612),(5735,345,0.000647,-0.76137),(5735,355,0.00067,-0.76154),(5735,365,0.000693,-0.7617),(5735,375,0.000716,-0.76185),(5735,385,0.000739,-0.76201),(5735,395,0.000761,-0.76217),(5735,405,0.000783,-0.76232),(5735,415,0.000805,-0.76247),(5735,425,0.000826,-0.76262),(5735,435,0.000846,-0.76277),(5735,445,0.000867,-0.76293),(5735,455,0.000888,-0.7631),(5735,465,0.000908,-0.76327),(5735,475,0.000929,-0.76344),(5735,485,0.000949,-0.76362),(5735,495,0.00097,-0.7638),(5735,505,0.000992,-0.76397),(5735,515,0.001014,-0.76415),(5735,525,0.001037,-0.76438),(5735,535,0.001059,-0.76461),(5735,545,0.001085,-0.76484),(5735,555,0.00111,-0.76508),(5735,565,0.001135,-0.76532),(5735,575,0.001161,-0.76557),(5735,585,0.001188,-0.76582),(5735,595,0.001216,-0.76607),(5735,605,0.001244,-0.76633),(5735,615,0.001272,-0.7666),(5735,625,0.001301,-0.76686),(5735,635,0.00133,-0.76713),(5735,645,0.001359,-0.76745),(5735,655,0.001388,-0.76777),(5735,665,0.001418,-0.76809),(5735,675,0.001448,-0.76842),(5735,685,0.001478,-0.76879),(5735,695,0.001508,-0.76917),(5735,705,0.001538,-0.76954),(5735,715,0.001568,-0.76991),(5735,725,0.001598,-0.77025),(5735,735,0.001628,-0.77059),(5735,745,0.001657,-0.77093),(5735,755,0.001687,-0.77128),(5735,765,0.001717,-0.77164),(5735,775,0.001747,-0.77201),(5735,785,0.001778,-0.77237),(5735,795,0.00181,-0.77276),(5735,805,0.001841,-0.7732),(5735,815,0.001873,-0.77365),(5735,825,0.001907,-0.77409),(5735,835,0.00194,-0.77454),(5735,845,0.001974,-0.77501),(5735,855,0.002008,-0.77548),(5735,865,0.002045,-0.77595),(5735,875,0.002081,-0.77645),(5735,885,0.002117,-0.77699),(5735,895,0.002154,-0.77753),(5735,905,0.002193,-0.77807),(5735,915,0.002232,-0.77866),(5735,925,0.002271,-0.77932),(5735,935,0.002311,-0.77998),(5735,945,0.002351,-0.78064),(5735,955,0.002392,-0.78133),(5735,965,0.002432,-0.78208),(5735,975,0.002474,-0.78282),(5735,985,0.002516,-0.78356),(5735,995,0.002559,-0.78434),(5735,1005,0.002601,-0.78516),(5735,1015,0.002645,-0.78597),(5735,1025,0.00269,-0.78679),(5735,1035,0.002734,-0.78767),(5735,1045,0.002779,-0.78861),(5735,1055,0.002825,-0.78956),(5735,1065,0.002872,-0.7905),(5735,1075,0.002919,-0.79157),(5735,1085,0.002966,-0.79273),(5735,1095,0.003014,-0.79389),(5735,1105,0.003062,-0.79505),(5735,1115,0.00311,-0.79648),(5735,1125,0.003159,-0.79808),(5735,1135,0.003207,-0.79968),(5735,1145,0.003256,-0.80127),(5735,1155,0.003304,-0.80338),(5735,1165,0.003353,-0.80577),(5735,1175,0.003415,-0.80815),(5735,1185,0.003485,-0.81054),(5735,1195,0.003554,-0.81338),(5735,1205,0.003624,-0.81643),(5735,1215,0.003714,-0.81949),(5735,1225,0.003812,-0.82254),(5735,1235,0.003911,-0.8257),(5735,1245,0.004009,-0.82891),(5735,1255,0.00356,-0.83212),(5735,1265,0.002926,-0.83532),(5735,1275,0.002292,-0.85215),(5735,1285,0.001658,-0.87311),(5735,1295,0.000136,-0.89407),(5735,1305,-0.001625,-0.91503),(5735,1315,-0.003387,-0.97365),(5735,1325,-0.005149,-1.0413),(5735,1335,-0.003083,-1.1089),(5735,1345,-0.000216,-1.1765),(5735,1355,0.002652,-1.1347),(5735,1365,0.00552,-1.073),(5735,1375,0.004611,-1.0114),(5735,1385,0.00312,-0.94971),(5735,1395,0.001628,-0.92128),(5735,1405,0.000137,-0.89712),(5735,1415,-0.000733,-0.87297),(5735,1425,-0.001539,-0.84881),(5735,1435,-0.002345,-0.84344),(5735,1445,-0.003151,-0.83958),(5735,1455,-0.003119,-0.83571),(5735,1465,-0.003039,-0.83185),(5735,1475,-0.002959,-0.82784),(5735,1485,-0.002879,-0.82382),(5735,1495,-0.002827,-0.8198),(5735,1505,-0.002775,-0.81578),(5735,1515,-0.002724,-0.81283),(5735,1525,-0.002673,-0.80988),(5735,1535,-0.002638,-0.80693),(5735,1545,-0.002603,-0.80402),(5735,1555,-0.002569,-0.80207),(5735,1565,-0.002533,-0.80012),(5735,1575,-0.002491,-0.79818),(5735,1585,-0.002448,-0.79628),(5735,1595,-0.002406,-0.79486),(5735,1605,-0.002363,-0.79345),(5735,1615,-0.002315,-0.79203),(5735,1625,-0.002268,-0.79066),(5735,1635,-0.00222,-0.78962),(5735,1645,-0.002173,-0.78858),(5735,1655,-0.002126,-0.78755),(5735,1665,-0.002079,-0.78652),(5735,1675,-0.002032,-0.7856),(5735,1685,-0.001985,-0.78467),(5735,1695,-0.001941,-0.78374),(5735,1705,-0.001897,-0.78284),(5735,1715,-0.001853,-0.78205),(5735,1725,-0.001809,-0.78127),(5735,1735,-0.001766,-0.78048),(5735,1745,-0.001723,-0.77972),(5735,1755,-0.00168,-0.77903),(5735,1765,-0.001637,-0.77834),(5735,1775,-0.001594,-0.77764),(5735,1785,-0.001552,-0.77696),(5735,1795,-0.001509,-0.77629),(5735,1805,-0.001467,-0.77562),(5735,1815,-0.001427,-0.77496),(5735,1825,-0.001386,-0.77432),(5735,1835,-0.001345,-0.77376),(5735,1845,-0.001305,-0.77319),(5735,1855,-0.001267,-0.77262),(5735,1865,-0.001229,-0.77209),(5735,1875,-0.001191,-0.77161),(5735,1885,-0.001154,-0.77113),(5735,1895,-0.001118,-0.77065),(5735,1905,-0.001083,-0.77016),(5735,1915,-0.001047,-0.76963),(5735,1925,-0.001012,-0.76911),(5735,1935,-0.000977,-0.76858),(5735,1945,-0.000942,-0.76808),(5735,1955,-0.000907,-0.76762),(5735,1965,-0.000872,-0.76715),(5735,1975,-0.000838,-0.76668),(5735,1985,-0.000803,-0.76623),(5735,1995,-0.000769,-0.7658),(5735,2005,-0.000735,-0.76536),(5735,2015,-0.000703,-0.76492),(5735,2025,-0.00067,-0.7645),(5735,2035,-0.000637,-0.76409),(5735,2045,-0.000605,-0.76368),(5735,2055,-0.000574,-0.76327),(5735,2065,-0.000543,-0.76287),(5735,2075,-0.000512,-0.76247),(5735,2085,-0.000482,-0.76208),(5735,2095,-0.000453,-0.76168),(5735,2105,-0.000423,-0.76128),(5735,2115,-0.000394,-0.76087),(5735,2125,-0.000364,-0.76046),(5735,2135,-0.000335,-0.76006),(5735,2145,-0.000305,-0.75971),(5735,2155,-0.000276,-0.75938),(5735,2165,-0.000248,-0.75906),(5735,2175,-0.00022,-0.75874),(5735,2185,-0.000192,-0.75842),(5735,2195,-0.000164,-0.75809),(5735,2205,-0.000138,-0.75777),(5735,2215,-0.000114,-0.75744),(5735,2225,-8.9e-05,-0.75707),(5735,2235,-6.4e-05,-0.75668),(5735,2245,-3.8e-05,-0.75629),(5735,2255,-1.2e-05,-0.75591),(5735,2265,1.4e-05,-0.75556),(5735,2275,3.9e-05,-0.75522),(5735,2285,6.7e-05,-0.75488),(5735,2295,9.5e-05,-0.75454),(5735,2305,0.000123,-0.75425),(5735,2315,0.000151,-0.75396),(5735,2325,0.000178,-0.75367),(5735,2335,0.000204,-0.75339),(5735,2345,0.000231,-0.75308),(5735,2355,0.000258,-0.75276),(5735,2365,0.000283,-0.75244),(5735,2375,0.000309,-0.75213),(5735,2385,0.000334,-0.75179),(5735,2395,0.00036,-0.75144),(5735,2405,0.000385,-0.7511),(5735,2415,0.000411,-0.75076),(5735,2425,0.000437,-0.75044),(5735,2435,0.000462,-0.75011),(5735,2445,0.000488,-0.74979),(5735,2455,0.000514,-0.74947),(5735,2465,0.00054,-0.74917),(5735,2475,0.000566,-0.74888),(5735,2485,0.000591,-0.74858),(5735,2495,0.000615,-0.74829),(5735,2505,0.00064,-0.74798),(5735,2515,0.000664,-0.74767),(5735,2525,0.000688,-0.74736),(5735,2535,0.000711,-0.74705),(5735,2545,0.000734,-0.74672),(5735,2555,0.000757,-0.74639),(5735,2565,0.000781,-0.74606),(5735,2575,0.000804,-0.74573),(5735,2585,0.000828,-0.74542),(5735,2595,0.000851,-0.74511),(5735,2605,0.000876,-0.7448),(5735,2615,0.0009,-0.7445),(5735,2625,0.000925,-0.74422),(5735,2635,0.000949,-0.74395),(5735,2645,0.000973,-0.74367),(5735,2655,0.000997,-0.7434),(5735,2665,0.001021,-0.74312),(5735,2675,0.001045,-0.74284),(5735,2685,0.001067,-0.74256),(5735,2695,0.00109,-0.74228),(5735,2705,0.001112,-0.74198),(5735,2715,0.001135,-0.74167),(5735,2725,0.001156,-0.74137),(5735,2735,0.001178,-0.74106),(5735,2745,0.0012,-0.74073),(5735,2755,0.001222,-0.7404),(5735,2765,0.001245,-0.74007),(5735,2775,0.001267,-0.73974),(5735,2785,0.00129,-0.7394),(5735,2795,0.001313,-0.73906),(5735,2805,0.001337,-0.73871),(5735,2815,0.001362,-0.73838),(5735,2825,0.001385,-0.73806),(5735,2835,0.001409,-0.73774),(5735,2845,0.001432,-0.73742),(5735,2855,0.001456,-0.7371),(5735,2865,0.001479,-0.73678),(5735,2875,0.001502,-0.73646),(5735,2885,0.001524,-0.73615),(5735,2895,0.001546,-0.73582),(5735,2905,0.001569,-0.73548),(5735,2915,0.001592,-0.73514),(5735,2925,0.001616,-0.7348),(5735,2935,0.001641,-0.73447),(5735,2945,0.001665,-0.73414),(5735,2955,0.001691,-0.73382),(5735,2965,0.001718,-0.7335),(5735,2975,0.001745,-0.73318),(5735,2985,0.001772,-0.73288),(5735,2995,0.001797,-0.73257),(5735,3005,0.001822,-0.73227),(5735,3015,0.001847,-0.73194),(5735,3025,0.001871,-0.73158),(5735,3035,0.001894,-0.73123),(5735,3045,0.001915,-0.73087),(5735,3055,0.001936,-0.73049),(5735,3065,0.001957,-0.73009),(5735,3075,0.001979,-0.72968),(5735,3085,0.002002,-0.72928),(5735,3095,0.002025,-0.72891),(5735,3105,0.002048,-0.72855),(5735,3115,0.002073,-0.7282),(5735,3125,0.0021,-0.72785),(5735,3135,0.002127,-0.7275),(5735,3145,0.002154,-0.72715),(5735,3155,0.00218,-0.72681),(5735,3165,0.002206,-0.72647),(5735,3175,0.002232,-0.72609),(5735,3185,0.002258,-0.7257),(5735,3195,0.002283,-0.7253),(5735,3205,0.002307,-0.72491),(5735,3215,0.002332,-0.72452),(5735,3225,0.002356,-0.72413),(5735,3235,0.002381,-0.72374),(5735,3245,0.002405,-0.72336),(5735,3255,0.00243,-0.72298),(5735,3265,0.002455,-0.7226),(5735,3275,0.002481,-0.72222),(5735,3285,0.002506,-0.72184),(5735,3295,0.002532,-0.72149),(5735,3305,0.002558,-0.72113),(5735,3315,0.002584,-0.72078),(5735,3325,0.00261,-0.72042),(5735,3335,0.002635,-0.72007),(5735,3345,0.002661,-0.71971),(5735,3355,0.002685,-0.71935),(5735,3365,0.002708,-0.719),(5735,3375,0.002732,-0.71861),(5735,3385,0.002755,-0.71823),(5735,3395,0.002781,-0.71784),(5735,3405,0.002807,-0.71745),(5735,3415,0.002833,-0.71711),(5735,3425,0.002859,-0.71676),(5735,3435,0.002889,-0.71642),(5735,3445,0.002919,-0.71608),(5735,3455,0.002949,-0.71574),(5735,3465,0.002979,-0.71541),(5735,3475,0.003007,-0.71507),(5735,3485,0.003034,-0.71474),(5735,3495,0.003062,-0.71442),(5735,3505,0.003089,-0.71411),(5735,3515,0.003113,-0.7138),(5735,3525,0.003138,-0.71348),(5735,3535,0.003162,-0.71317),(5735,3545,0.003186,-0.71286),(5735,3555,0.003211,-0.71255),(5735,3565,0.003235,-0.71223),(5735,3575,0.00326,-0.71193),(5735,3585,0.003285,-0.71163),(5735,3595,0.003313,-0.71133),(5735,3605,0.003341,-0.71103),(5735,3615,0.003369,-0.71084),(5735,3625,0.003397,-0.71066),(5735,3635,0.003424,-0.71047),(5735,3645,0.003452,-0.71028),(5735,3655,0.003479,-0.71014),(5735,3665,0.003506,-0.70999),(5735,3675,0.003531,-0.70985),(5735,3685,0.003555,-0.70973),(5735,3695,0.00358,-0.70971),(5735,3705,0.003604,-0.70969),(5735,3715,0.00363,-0.70967),(5735,3725,0.003656,-0.7097),(5735,3735,0.003681,-0.70991),(5735,3745,0.003707,-0.71012),(5735,3755,0.003731,-0.71032),(5735,3765,0.003755,-0.7106),(5735,3775,0.00378,-0.71107),(5735,3785,0.003803,-0.71154),(5735,3795,0.003823,-0.71201),(5735,3805,0.003843,-0.71262),(5735,3815,0.003863,-0.71352),(5735,3825,0.003881,-0.71443),(5735,3835,0.003897,-0.71533),(5735,3845,0.003912,-0.71649),(5735,3855,0.003928,-0.71812),(5735,3865,0.003943,-0.71976),(5735,3875,0.003957,-0.7214),(5735,3885,0.003971,-0.72327),(5735,3895,0.003986,-0.72554),(5735,3905,0.003995,-0.72781),(5735,3915,0.003999,-0.73008),(5735,3925,0.004003,-0.73288),(5735,3935,0.004006,-0.73642),(5735,3945,0.003784,-0.73996),(5735,3955,0.003275,-0.7435),(5735,3965,0.002766,-0.75318),(5735,3975,0.002257,-0.77006),(5735,3985,0.000917,-0.78694),(5735,3995,-0.001322,-0.80382),(5735,4005,-0.003561,-0.84631),(5735,4015,-0.0058,-0.91441),(5735,4025,0.11999,-0.98252),(5735,4035,0.2583,-1.0285),(5735,4045,0.39661,-1.0279),(5735,4055,0.49362,-1.0273),(5735,4065,0.57557,-1.0266),(5735,4075,0.65752,-1.0256),(5735,4085,0.69423,-1.0246),(5735,4095,0.6946,-1.0235),(5735,4105,0.69497,-1.0226),(5735,4115,0.69541,-1.0218),(5735,4125,0.69597,-1.0209),(5735,4135,0.69653,-1.0201),(5735,4145,0.69713,-1.0194),(5735,4155,0.69794,-1.0186),(5735,4165,0.69874,-1.0178),(5735,4175,0.69955,-1.017),(5735,4185,0.70067,-1.0162),(5735,4195,0.70178,-1.0155),(5735,4205,0.7029,-1.0149),(5735,4215,0.70428,-1.0142),(5735,4225,0.70571,-1.0136),(5735,4235,0.70714,-1.0129),(5735,4245,0.70878,-1.0122),(5735,4255,0.71053,-1.0114),(5735,4265,0.71228,-1.0105),(5735,4275,0.71418,-1.0096),(5735,4285,0.71623,-1.0087),(5735,4295,0.71828,-1.0078),(5735,4305,0.72042,-1.0068),(5735,4315,0.72274,-1.0059),(5735,4325,0.72506,-1.0048),(5735,4335,0.72742,-1.0036),(5735,4345,0.73001,-1.0025),(5735,4355,0.73259,-1.0013),(5735,4365,0.73517,-1),(5735,4375,0.738,-0.99872),(5735,4385,0.74085,-0.99739),(5735,4395,0.7437,-0.99598),(5735,4405,0.74673,-0.99456),(5735,4415,0.74983,-0.99311),(5735,4425,0.75292,-0.99153),(5735,4435,0.75614,-0.98995),(5735,4445,0.75944,-0.98837),(5735,4455,0.76274,-0.98664),(5735,4465,0.7661,-0.9849),(5735,4475,0.76956,-0.98317),(5735,4485,0.77302,-0.98128),(5735,4495,0.7765,-0.97936),(5735,4505,0.78009,-0.97745),(5735,4515,0.78368,-0.97542),(5735,4525,0.78728,-0.97333),(5735,4535,0.79098,-0.97123),(5735,4545,0.79469,-0.96904),(5735,4555,0.7984,-0.96674),(5735,4565,0.80222,-0.96443),(5735,4575,0.80606,-0.96208),(5735,4585,0.80989,-0.95959),(5735,4595,0.81379,-0.95711),(5735,4605,0.81773,-0.95461),(5735,4615,0.82166,-0.95197),(5735,4625,0.82563,-0.94934),(5735,4635,0.82962,-0.9467),(5735,4645,0.83362,-0.94391),(5735,4655,0.83763,-0.94111),(5735,4665,0.84167,-0.93831),(5735,4675,0.8457,-0.93539),(5735,4685,0.84974,-0.93244),(5735,4695,0.8538,-0.9295),(5735,4705,0.85786,-0.92645),(5735,4715,0.86192,-0.92333),(5735,4725,0.86601,-0.92021),(5735,4735,0.87009,-0.91703),(5735,4745,0.87417,-0.91377),(5735,4755,0.87825,-0.91051),(5735,4765,0.88232,-0.90722),(5735,4775,0.8864,-0.90388),(5735,4785,0.89046,-0.90053),(5735,4795,0.89452,-0.89718),(5735,4805,0.89858,-0.89374),(5735,4815,0.90264,-0.89029),(5735,4825,0.90672,-0.88685),(5735,4835,0.91079,-0.88333),(5735,4845,0.91487,-0.87979),(5735,4855,0.91896,-0.87625),(5735,4865,0.92305,-0.87267),(5735,4875,0.92714,-0.86906),(5735,4885,0.93121,-0.86545),(5735,4895,0.93529,-0.86177),(5735,4905,0.93937,-0.85803),(5735,4915,0.94342,-0.85428),(5735,4925,0.94746,-0.8505),(5735,4935,0.9515,-0.84664),(5735,4945,0.95549,-0.84279),(5735,4955,0.95946,-0.83893),(5735,4965,0.96343,-0.83504),(5735,4975,0.96737,-0.83115),(5735,4985,0.97128,-0.82725),(5735,4995,0.9752,-0.82329),(5735,5005,0.9791,-0.81933),(5735,5015,0.98298,-0.81536),(5735,5025,0.98686,-0.81134),(5735,5035,0.99073,-0.8073),(5735,5045,0.99458,-0.80326),(5735,5055,0.99844,-0.79917),(5735,5065,1.0023,-0.79506),(5735,5075,1.0061,-0.79094),(5735,5085,1.0099,-0.78679),(5735,5095,1.0138,-0.78261),(5735,5105,1.0175,-0.77842),(5735,5115,1.0213,-0.77422),(5735,5125,1.0251,-0.77),(5735,5135,1.0288,-0.76578),(5735,5145,1.0326,-0.76155),(5735,5155,1.0363,-0.75726),(5735,5165,1.04,-0.75297),(5735,5175,1.0437,-0.74868),(5735,5185,1.0474,-0.74433),(5735,5195,1.0511,-0.73997),(5735,5205,1.0548,-0.73561),(5735,5215,1.0584,-0.7312),(5735,5225,1.062,-0.72677),(5735,5235,1.0657,-0.72235),(5735,5245,1.0693,-0.7179),(5735,5255,1.0729,-0.71343),(5735,5265,1.0765,-0.70895),(5735,5275,1.0801,-0.70448),(5735,5285,1.0836,-0.7),(5735,5295,1.0872,-0.69552),(5735,5305,1.0908,-0.69104),(5735,5315,1.0943,-0.68651),(5735,5325,1.0978,-0.68199),(5735,5335,1.1013,-0.67746),(5735,5345,1.1048,-0.67287),(5735,5355,1.1083,-0.66828),(5735,5365,1.1118,-0.66369),(5735,5375,1.1152,-0.65907),(5735,5385,1.1186,-0.65444),(5735,5395,1.122,-0.64981),(5735,5405,1.1254,-0.64515),(5735,5415,1.1288,-0.64048),(5735,5425,1.1321,-0.63581),(5735,5435,1.1354,-0.63112),(5735,5445,1.1388,-0.6264),(5735,5455,1.1421,-0.62168),(5735,5465,1.1453,-0.61693),(5735,5475,1.1486,-0.61214),(5735,5485,1.1519,-0.60734),(5735,5495,1.1552,-0.60254),(5735,5505,1.1584,-0.59768),(5735,5515,1.1617,-0.59281),(5735,5525,1.1649,-0.58795),(5735,5535,1.1681,-0.58308),(5735,5545,1.1713,-0.57822),(5735,5555,1.1745,-0.57335),(5735,5565,1.1777,-0.56848),(5735,5575,1.1808,-0.56361),(5735,5585,1.184,-0.55874),(5735,5595,1.1871,-0.55382),(5735,5605,1.1902,-0.54887),(5735,5615,1.1932,-0.54392),(5735,5625,1.1962,-0.53894),(5735,5635,1.1993,-0.53392),(5735,5645,1.2023,-0.52891),(5735,5655,1.2052,-0.52388),(5735,5665,1.2082,-0.51885),(5735,5675,1.2111,-0.51381),(5735,5685,1.214,-0.50877),(5735,5695,1.2169,-0.50371),(5735,5705,1.2198,-0.49864),(5735,5715,1.2227,-0.49358),(5735,5725,1.2255,-0.48848),(5735,5735,1.2284,-0.48338),(5735,5745,1.2312,-0.47827),(5735,5755,1.234,-0.47315),(5735,5765,1.2368,-0.46802),(5735,5775,1.2395,-0.46289),(5735,5785,1.2423,-0.45773),(5735,5795,1.245,-0.45254),(5735,5805,1.2477,-0.44736),(5735,5815,1.2504,-0.44215),(5735,5825,1.2531,-0.43688),(5735,5835,1.2557,-0.43162),(5735,5845,1.2583,-0.42634),(5735,5855,1.2609,-0.42101),(5735,5865,1.2635,-0.41568),(5735,5875,1.266,-0.41035),(5735,5885,1.2685,-0.40503),(5735,5895,1.271,-0.3997),(5735,5905,1.2734,-0.39438),(5735,5915,1.2758,-0.38903),(5735,5925,1.2783,-0.38367),(5735,5935,1.2806,-0.37831),(5735,5945,1.283,-0.3729),(5735,5955,1.2853,-0.36745),(5735,5965,1.2876,-0.362),(5735,5975,1.2899,-0.35654),(5735,5985,1.2922,-0.35105),(5735,5995,1.2944,-0.34556),(5735,6005,1.2966,-0.34008),(5735,6015,1.2988,-0.3346),(5735,6025,1.301,-0.32912),(5735,6035,1.3031,-0.32363),(5735,6045,1.3052,-0.31812),(5735,6055,1.3072,-0.31262),(5735,6065,1.3092,-0.30711),(5735,6075,1.3112,-0.30152),(5735,6085,1.3132,-0.29592),(5735,6095,1.3151,-0.29032),(5735,6105,1.317,-0.28464),(5735,6115,1.3189,-0.27894),(5735,6125,1.3207,-0.27323),(5735,6135,1.3225,-0.26752),(5735,6145,1.3243,-0.26179),(5735,6155,1.326,-0.25606),(5735,6165,1.3277,-0.25034),(5735,6175,1.3294,-0.24464),(5735,6185,1.331,-0.23895),(5735,6195,1.3326,-0.23324),(5735,6205,1.3342,-0.22752),(5735,6215,1.3357,-0.2218),(5735,6225,1.3372,-0.21608),(5735,6235,1.3387,-0.2103),(5735,6245,1.3401,-0.20453),(5735,6255,1.3415,-0.19876),(5735,6265,1.3428,-0.19293),(5735,6275,1.3442,-0.1871),(5735,6285,1.3454,-0.18127),(5735,6295,1.3466,-0.17538),(5735,6305,1.3478,-0.16947),(5735,6315,1.3489,-0.16355),(5735,6325,1.35,-0.15764),(5735,6335,1.3511,-0.15174),(5735,6345,1.3521,-0.14584),(5735,6355,1.3531,-0.13994),(5735,6365,1.3541,-0.13406),(5735,6375,1.355,-0.12818),(5735,6385,1.3558,-0.12228),(5735,6395,1.3567,-0.11632),(5735,6405,1.3575,-0.11035),(5735,6415,1.3583,-0.10439),(5735,6425,1.359,-0.098467),(5735,6435,1.3598,-0.09255),(5735,6445,1.3604,-0.086633),(5735,6455,1.361,-0.080683),(5735,6465,1.3616,-0.074724),(5735,6475,1.3621,-0.068764),(5735,6485,1.3626,-0.062824),(5735,6495,1.3631,-0.056896),(5735,6505,1.3634,-0.050968),(5735,6515,1.3638,-0.04501),(5735,6525,1.3641,-0.039011),(5735,6535,1.3643,-0.033012),(5735,6545,1.3645,-0.027022),(5735,6555,1.3647,-0.021058),(5735,6565,1.3649,-0.015095),(5735,6575,1.3649,-0.009123),(5735,6585,1.365,-0.003034),(5735,6595,1.161,0.003055),(5735,6605,0.73164,0.009143),(5735,6615,0.30233,0.009811),(5735,6625,0.000536,0.009783),(5735,6635,0.000564,0.009754),(5735,6645,0.000592,0.009751),(5735,6655,0.00062,0.009758),(5735,6665,0.000647,0.009765),(5735,6675,0.000674,0.009772),(5735,6685,0.000702,0.009779),(5735,6695,0.000728,0.009786),(5735,6705,0.000754,0.009793),(5735,6715,0.000781,0.009799),(5735,6725,0.000807,0.009805),(5735,6735,0.000832,0.009812),(5735,6745,0.000858,0.009818),(5735,6755,0.000884,0.009824),(5735,6765,0.000909,0.009829),(5735,6775,0.000934,0.009834),(5735,6785,0.000958,0.00984),(5735,6795,0.000983,0.009845),(5735,6805,0.001007,0.00985),(5735,6815,0.001031,0.009854),(5735,6825,0.001055,0.009859),(5735,6835,0.001078,0.009863),(5735,6845,0.001102,0.009867),(5735,6855,0.001125,0.009871),(5735,6865,0.001148,0.009874),(5735,6875,0.001171,0.009878),(5735,6885,0.001193,0.009881),(5735,6895,0.001216,0.009884),(5735,6905,0.001238,0.009886),(5735,6915,0.00126,0.009889),(5735,6925,0.001282,0.009891),(5735,6935,0.001303,0.009893),(5735,6945,0.001325,0.009895),(5735,6955,0.001346,0.009897),(5735,6965,0.001367,0.009898),(5735,6975,0.001388,0.009899),(5735,6985,0.001408,0.009901),(5745,5,6e-06,-0.79051),(5745,15,1.9e-05,-0.79057),(5745,25,3.3e-05,-0.79063),(5745,35,4.8e-05,-0.79069),(5745,45,6.2e-05,-0.79073),(5745,55,7.7e-05,-0.79075),(5745,65,9.4e-05,-0.79078),(5745,75,0.000113,-0.7908),(5745,85,0.000133,-0.79084),(5745,95,0.000152,-0.79088),(5745,105,0.000172,-0.79092),(5745,115,0.000191,-0.79096),(5745,125,0.000211,-0.79098),(5745,135,0.00023,-0.79099),(5745,145,0.000239,-0.79101),(5745,155,0.000243,-0.79102),(5745,165,0.000246,-0.79103),(5745,175,0.000249,-0.79104),(5745,185,0.000264,-0.79105),(5745,195,0.000284,-0.79106),(5745,205,0.000304,-0.7911),(5745,215,0.000324,-0.79115),(5745,225,0.00034,-0.7912),(5745,235,0.000355,-0.79124),(5745,245,0.00037,-0.79126),(5745,255,0.000385,-0.79125),(5745,265,0.000413,-0.79125),(5745,275,0.000444,-0.79125),(5745,285,0.000475,-0.79135),(5745,295,0.000506,-0.79149),(5745,305,0.000541,-0.79162),(5745,315,0.000576,-0.79175),(5745,325,0.000611,-0.79186),(5745,335,0.000647,-0.79196),(5745,345,0.000673,-0.79207),(5745,355,0.000697,-0.79217),(5745,365,0.000721,-0.79224),(5745,375,0.000745,-0.79231),(5745,385,0.000761,-0.79238),(5745,395,0.000776,-0.79245),(5745,405,0.000791,-0.79251),(5745,415,0.000806,-0.79257),(5745,425,0.000828,-0.79263),(5745,435,0.00085,-0.79269),(5745,445,0.000872,-0.79279),(5745,455,0.000894,-0.79288),(5745,465,0.000922,-0.79297),(5745,475,0.00095,-0.79307),(5745,485,0.000978,-0.79316),(5745,495,0.001006,-0.79326),(5745,505,0.001038,-0.79336),(5745,515,0.001069,-0.79345),(5745,525,0.0011,-0.79359),(5745,535,0.001131,-0.79373),(5745,545,0.001156,-0.79386),(5745,555,0.00118,-0.794),(5745,565,0.001205,-0.79413),(5745,575,0.001229,-0.79426),(5745,585,0.001244,-0.79439),(5745,595,0.001258,-0.79452),(5745,605,0.001273,-0.79464),(5745,615,0.001289,-0.79476),(5745,625,0.00132,-0.79488),(5745,635,0.001351,-0.79501),(5745,645,0.001383,-0.79521),(5745,655,0.001417,-0.79541),(5745,665,0.001467,-0.79562),(5745,675,0.001518,-0.79583),(5745,685,0.001569,-0.79609),(5745,695,0.001616,-0.79634),(5745,705,0.001649,-0.7966),(5745,715,0.001681,-0.79685),(5745,725,0.001714,-0.79705),(5745,735,0.001744,-0.79726),(5745,745,0.001769,-0.79746),(5745,755,0.001794,-0.79767),(5745,765,0.001819,-0.7979),(5745,775,0.001847,-0.79812),(5745,785,0.001883,-0.79834),(5745,795,0.001919,-0.79859),(5745,805,0.001956,-0.79891),(5745,815,0.001992,-0.79922),(5745,825,0.002028,-0.79954),(5745,835,0.002065,-0.79986),(5745,845,0.002102,-0.8002),(5745,855,0.002141,-0.80054),(5745,865,0.002184,-0.80088),(5745,875,0.002228,-0.80125),(5745,885,0.002271,-0.80167),(5745,895,0.002324,-0.80209),(5745,905,0.00239,-0.80251),(5745,915,0.002457,-0.80298),(5745,925,0.002524,-0.80354),(5745,935,0.002597,-0.80411),(5745,945,0.00268,-0.80467),(5745,955,0.002762,-0.80529),(5745,965,0.002844,-0.80597),(5745,975,0.002929,-0.80665),(5745,985,0.003017,-0.80733),(5745,995,0.003104,-0.80807),(5745,1005,0.003191,-0.80886),(5745,1015,0.003292,-0.80965),(5745,1025,0.003406,-0.81044),(5745,1035,0.003521,-0.81136),(5745,1045,0.003635,-0.81239),(5745,1055,0.003779,-0.81342),(5745,1065,0.003946,-0.81445),(5745,1075,0.004113,-0.8157),(5745,1085,0.004281,-0.81713),(5745,1095,0.004498,-0.81855),(5745,1105,0.004749,-0.81997),(5745,1115,0.005,-0.8218),(5745,1125,0.005251,-0.82389),(5745,1135,0.005586,-0.82597),(5745,1145,0.005971,-0.82805),(5745,1155,0.006357,-0.83088),(5745,1165,0.006742,-0.8341),(5745,1175,0.007185,-0.83733),(5745,1185,0.007658,-0.84055),(5745,1195,0.00813,-0.84464),(5745,1205,0.008602,-0.84912),(5745,1215,0.009,-0.8536),(5745,1225,0.009366,-0.85808),(5745,1235,0.009733,-0.86309),(5745,1245,0.010099,-0.8683),(5745,1255,0.012146,-0.87351),(5745,1265,0.014761,-0.87872),(5745,1275,0.017375,-0.89521),(5745,1285,0.01999,-0.9151),(5745,1295,0.025803,-0.935),(5745,1305,0.032481,-0.9549),(5745,1315,0.039159,-1.0057),(5745,1325,0.045837,-1.0638),(5745,1335,0.028587,-1.122),(5745,1345,0.006322,-1.1802),(5745,1355,-0.015942,-1.1446),(5745,1365,-0.038207,-1.092),(5745,1375,-0.036811,-1.0393),(5745,1385,-0.031764,-0.98674),(5745,1395,-0.026718,-0.96077),(5745,1405,-0.021671,-0.93822),(5745,1415,-0.018692,-0.91567),(5745,1425,-0.015928,-0.89313),(5745,1435,-0.013164,-0.88584),(5745,1445,-0.010399,-0.87979),(5745,1455,-0.009947,-0.87373),(5745,1465,-0.009629,-0.86767),(5745,1475,-0.00931,-0.86209),(5745,1485,-0.008991,-0.85652),(5745,1495,-0.008449,-0.85095),(5745,1505,-0.007904,-0.8454),(5745,1515,-0.007358,-0.84163),(5745,1525,-0.006815,-0.83786),(5745,1535,-0.006349,-0.83409),(5745,1545,-0.005884,-0.83038),(5745,1555,-0.005418,-0.82797),(5745,1565,-0.004964,-0.82555),(5745,1575,-0.00467,-0.82314),(5745,1585,-0.004377,-0.82078),(5745,1595,-0.004083,-0.81907),(5745,1605,-0.0038,-0.81735),(5745,1615,-0.003605,-0.81564),(5745,1625,-0.003409,-0.81399),(5745,1635,-0.003214,-0.8128),(5745,1645,-0.003027,-0.81161),(5745,1655,-0.002887,-0.81042),(5745,1665,-0.002747,-0.80927),(5745,1675,-0.002607,-0.80825),(5745,1685,-0.002476,-0.80724),(5745,1695,-0.002387,-0.80623),(5745,1705,-0.002297,-0.80527),(5745,1715,-0.002207,-0.80451),(5745,1725,-0.002121,-0.80375),(5745,1735,-0.002045,-0.80299),(5745,1745,-0.001969,-0.80226),(5745,1755,-0.001893,-0.80162),(5745,1765,-0.001819,-0.80099),(5745,1775,-0.001753,-0.80035),(5745,1785,-0.001686,-0.79972),(5745,1795,-0.00162,-0.79912),(5745,1805,-0.001558,-0.79851),(5745,1815,-0.001508,-0.7979),(5745,1825,-0.001458,-0.79733),(5745,1835,-0.001407,-0.79685),(5745,1845,-0.001355,-0.79637),(5745,1855,-0.001299,-0.79588),(5745,1865,-0.001242,-0.79545),(5745,1875,-0.001186,-0.7951),(5745,1885,-0.001131,-0.79475),(5745,1895,-0.001077,-0.79441),(5745,1905,-0.001023,-0.79403),(5745,1915,-0.00097,-0.79359),(5745,1925,-0.000926,-0.79316),(5745,1935,-0.000897,-0.79273),(5745,1945,-0.000868,-0.79232),(5745,1955,-0.000838,-0.79193),(5745,1965,-0.000812,-0.79154),(5745,1975,-0.000789,-0.79115),(5745,1985,-0.000767,-0.79079),(5745,1995,-0.000744,-0.79044),(5745,2005,-0.000722,-0.7901),(5745,2015,-0.0007,-0.78976),(5745,2025,-0.000678,-0.78942),(5745,2035,-0.000656,-0.7891),(5745,2045,-0.000633,-0.78877),(5745,2055,-0.000608,-0.78845),(5745,2065,-0.000583,-0.78813),(5745,2075,-0.000558,-0.78781),(5745,2085,-0.000534,-0.78749),(5745,2095,-0.00051,-0.78718),(5745,2105,-0.000487,-0.78685),(5745,2115,-0.000463,-0.78651),(5745,2125,-0.000438,-0.78617),(5745,2135,-0.000413,-0.78583),(5745,2145,-0.000388,-0.78554),(5745,2155,-0.000363,-0.78528),(5745,2165,-0.000331,-0.78502),(5745,2175,-0.000295,-0.78476),(5745,2185,-0.000259,-0.7845),(5745,2195,-0.000223,-0.78425),(5745,2205,-0.00019,-0.78401),(5745,2215,-0.00016,-0.78376),(5745,2225,-0.000129,-0.78345),(5745,2235,-9.9e-05,-0.78313),(5745,2245,-7.3e-05,-0.7828),(5745,2255,-5e-05,-0.78248),(5745,2265,-2.7e-05,-0.78217),(5745,2275,-4e-06,-0.78187),(5745,2285,2.7e-05,-0.78157),(5745,2295,6e-05,-0.78127),(5745,2305,9.3e-05,-0.78101),(5745,2315,0.000127,-0.78075),(5745,2325,0.000165,-0.7805),(5745,2335,0.000204,-0.78025),(5745,2345,0.000244,-0.77998),(5745,2355,0.000283,-0.7797),(5745,2365,0.000313,-0.77942),(5745,2375,0.000342,-0.77914),(5745,2385,0.000371,-0.77882),(5745,2395,0.0004,-0.77849),(5745,2405,0.000418,-0.77817),(5745,2415,0.000436,-0.77784),(5745,2425,0.000453,-0.77752),(5745,2435,0.000471,-0.7772),(5745,2445,0.000492,-0.77688),(5745,2455,0.000513,-0.77655),(5745,2465,0.000535,-0.77625),(5745,2475,0.000556,-0.77596),(5745,2485,0.000582,-0.77566),(5745,2495,0.000608,-0.77536),(5745,2505,0.000634,-0.77504),(5745,2515,0.00066,-0.77473),(5745,2525,0.000678,-0.77441),(5745,2535,0.000696,-0.7741),(5745,2545,0.000715,-0.77375),(5745,2555,0.000733,-0.77341),(5745,2565,0.000746,-0.77306),(5745,2575,0.000759,-0.77272),(5745,2585,0.000772,-0.77239),(5745,2595,0.000785,-0.77206),(5745,2605,0.000803,-0.77173),(5745,2615,0.00082,-0.7714),(5745,2625,0.000837,-0.7711),(5745,2635,0.000854,-0.77081),(5745,2645,0.000877,-0.77051),(5745,2655,0.0009,-0.77021),(5745,2665,0.000923,-0.76991),(5745,2675,0.000947,-0.76961),(5745,2685,0.000975,-0.76931),(5745,2695,0.001004,-0.76901),(5745,2705,0.001032,-0.7687),(5745,2715,0.00106,-0.76838),(5745,2725,0.001084,-0.76807),(5745,2735,0.001109,-0.76775),(5745,2745,0.001133,-0.76739),(5745,2755,0.001154,-0.76704),(5745,2765,0.001164,-0.76669),(5745,2775,0.001174,-0.76633),(5745,2785,0.001184,-0.76594),(5745,2795,0.001194,-0.76554),(5745,2805,0.001206,-0.76514),(5745,2815,0.001218,-0.76476),(5745,2825,0.00123,-0.76438),(5745,2835,0.001247,-0.764),(5745,2845,0.001274,-0.76363),(5745,2855,0.001301,-0.76326),(5745,2865,0.001327,-0.7629),(5745,2875,0.001357,-0.76254),(5745,2885,0.00139,-0.76218),(5745,2895,0.001424,-0.76182),(5745,2905,0.001457,-0.76143),(5745,2915,0.001489,-0.76105),(5745,2925,0.00152,-0.76067),(5745,2935,0.001551,-0.76029),(5745,2945,0.001582,-0.75989),(5745,2955,0.001611,-0.7595),(5745,2965,0.001638,-0.75911),(5745,2975,0.001665,-0.75871),(5745,2985,0.001692,-0.7583),(5745,2995,0.00172,-0.7579),(5745,3005,0.001747,-0.75749),(5745,3015,0.001775,-0.75708),(5745,3025,0.001803,-0.75665),(5745,3035,0.001834,-0.75622),(5745,3045,0.001867,-0.75579),(5745,3055,0.001901,-0.75535),(5745,3065,0.001935,-0.7549),(5745,3075,0.001969,-0.75445),(5745,3085,0.002005,-0.754),(5745,3095,0.00204,-0.75356),(5745,3105,0.002076,-0.75313),(5745,3115,0.002108,-0.7527),(5745,3125,0.00214,-0.75227),(5745,3135,0.002171,-0.75182),(5745,3145,0.002202,-0.75137),(5745,3155,0.00223,-0.75092),(5745,3165,0.002256,-0.75047),(5745,3175,0.002281,-0.74998),(5745,3185,0.002307,-0.74948),(5745,3195,0.002331,-0.74898),(5745,3205,0.002354,-0.74848),(5745,3215,0.002377,-0.74799),(5745,3225,0.002401,-0.74751),(5745,3235,0.002424,-0.74702),(5745,3245,0.002447,-0.74653),(5745,3255,0.002471,-0.74606),(5745,3265,0.002494,-0.74559),(5745,3275,0.002516,-0.74512),(5745,3285,0.002537,-0.74465),(5745,3295,0.002558,-0.74418),(5745,3305,0.002579,-0.74371),(5745,3315,0.002608,-0.74324),(5745,3325,0.002639,-0.74277),(5745,3335,0.002669,-0.74232),(5745,3345,0.0027,-0.74186),(5745,3355,0.002742,-0.74141),(5745,3365,0.002786,-0.74096),(5745,3375,0.002829,-0.74051),(5745,3385,0.002873,-0.74006),(5745,3395,0.002911,-0.73961),(5745,3405,0.002948,-0.73916),(5745,3415,0.002985,-0.7387),(5745,3425,0.003022,-0.73824),(5745,3435,0.003048,-0.73778),(5745,3445,0.003072,-0.73732),(5745,3455,0.003097,-0.73685),(5745,3465,0.003121,-0.73638),(5745,3475,0.003154,-0.73591),(5745,3485,0.003187,-0.73544),(5745,3495,0.003221,-0.73502),(5745,3505,0.003254,-0.73461),(5745,3515,0.003312,-0.7342),(5745,3525,0.00337,-0.73379),(5745,3535,0.003429,-0.73344),(5745,3545,0.003487,-0.73309),(5745,3555,0.003549,-0.73274),(5745,3565,0.003611,-0.7324),(5745,3575,0.003674,-0.73205),(5745,3585,0.003735,-0.73171),(5745,3595,0.00379,-0.73137),(5745,3605,0.003844,-0.73103),(5745,3615,0.003899,-0.73077),(5745,3625,0.003955,-0.73051),(5745,3635,0.00402,-0.73025),(5745,3645,0.004086,-0.73001),(5745,3655,0.004151,-0.72987),(5745,3665,0.004221,-0.72973),(5745,3675,0.004309,-0.7296),(5745,3685,0.004398,-0.7295),(5745,3695,0.004487,-0.72955),(5745,3705,0.00458,-0.7296),(5745,3715,0.004689,-0.72965),(5745,3725,0.004799,-0.72976),(5745,3735,0.004908,-0.73008),(5745,3745,0.005023,-0.73041),(5745,3755,0.005156,-0.73074),(5745,3765,0.005288,-0.73116),(5745,3775,0.005421,-0.73186),(5745,3785,0.005568,-0.73256),(5745,3795,0.005752,-0.73325),(5745,3805,0.005936,-0.73413),(5745,3815,0.00612,-0.7354),(5745,3825,0.006329,-0.73667),(5745,3835,0.006592,-0.73794),(5745,3845,0.006854,-0.73954),(5745,3855,0.007116,-0.74174),(5745,3865,0.007401,-0.74395),(5745,3875,0.007725,-0.74616),(5745,3885,0.008049,-0.74874),(5745,3895,0.008373,-0.75193),(5745,3905,0.008718,-0.75513),(5745,3915,0.009092,-0.75832),(5745,3925,0.009466,-0.76209),(5745,3935,0.009841,-0.76665),(5745,3945,0.010967,-0.77122),(5745,3955,0.013048,-0.77579),(5745,3965,0.015129,-0.78561),(5745,3975,0.01721,-0.80161),(5745,3985,0.022388,-0.8176),(5745,3995,0.030919,-0.83359),(5745,4005,0.03945,-0.87123),(5745,4015,0.047981,-0.93052),(5745,4025,0.15849,-0.98982),(5745,4035,0.27897,-1.0298),(5745,4045,0.39945,-1.0289),(5745,4055,0.49154,-1.0281),(5745,4065,0.57327,-1.0272),(5745,4075,0.655,-1.026),(5745,4085,0.69167,-1.0248),(5745,4095,0.69211,-1.0236),(5745,4105,0.69256,-1.0227),(5745,4115,0.69306,-1.0217),(5745,4125,0.69367,-1.0208),(5745,4135,0.69427,-1.0199),(5745,4145,0.69492,-1.0191),(5745,4155,0.69575,-1.0182),(5745,4165,0.69658,-1.0174),(5745,4175,0.69741,-1.0165),(5745,4185,0.69852,-1.0157),(5745,4195,0.69963,-1.0149),(5745,4205,0.70075,-1.0142),(5745,4215,0.70211,-1.0135),(5745,4225,0.70352,-1.0128),(5745,4235,0.70493,-1.0121),(5745,4245,0.70655,-1.0113),(5745,4255,0.70827,-1.0105),(5745,4265,0.70999,-1.0096),(5745,4275,0.71186,-1.0087),(5745,4285,0.71388,-1.0078),(5745,4295,0.7159,-1.0068),(5745,4305,0.718,-1.0058),(5745,4315,0.72029,-1.0048),(5745,4325,0.72257,-1.0037),(5745,4335,0.72489,-1.0026),(5745,4345,0.72743,-1.0014),(5745,4355,0.72997,-1.0002),(5745,4365,0.73251,-0.99887),(5745,4375,0.73529,-0.99757),(5745,4385,0.73809,-0.99621),(5745,4395,0.74088,-0.99477),(5745,4405,0.74387,-0.99333),(5745,4415,0.7469,-0.99185),(5745,4425,0.74994,-0.99026),(5745,4435,0.7531,-0.98866),(5745,4445,0.75635,-0.98707),(5745,4455,0.75959,-0.98533),(5745,4465,0.7629,-0.9836),(5745,4475,0.7663,-0.98186),(5745,4485,0.76969,-0.97999),(5745,4495,0.77312,-0.97808),(5745,4505,0.77665,-0.97618),(5745,4515,0.78018,-0.97417),(5745,4525,0.78371,-0.97209),(5745,4535,0.78736,-0.97002),(5745,4545,0.79101,-0.96785),(5745,4555,0.79465,-0.96557),(5745,4565,0.79841,-0.96328),(5745,4575,0.80218,-0.96095),(5745,4585,0.80595,-0.95849),(5745,4595,0.80978,-0.95603),(5745,4605,0.81365,-0.95356),(5745,4615,0.81752,-0.95095),(5745,4625,0.82143,-0.94835),(5745,4635,0.82537,-0.94575),(5745,4645,0.82931,-0.94299),(5745,4655,0.83326,-0.94022),(5745,4665,0.83724,-0.93746),(5745,4675,0.84122,-0.93457),(5745,4685,0.84521,-0.93165),(5745,4695,0.84923,-0.92873),(5745,4705,0.85324,-0.9257),(5745,4715,0.85726,-0.92261),(5745,4725,0.8613,-0.91951),(5745,4735,0.86534,-0.91636),(5745,4745,0.86938,-0.91312),(5745,4755,0.87342,-0.90988),(5745,4765,0.87745,-0.90662),(5745,4775,0.88148,-0.9033),(5745,4785,0.8855,-0.89998),(5745,4795,0.88951,-0.89665),(5745,4805,0.89353,-0.89322),(5745,4815,0.89755,-0.88979),(5745,4825,0.90158,-0.88636),(5745,4835,0.9056,-0.88284),(5745,4845,0.90963,-0.87931),(5745,4855,0.91368,-0.87578),(5745,4865,0.91772,-0.8722),(5745,4875,0.92177,-0.8686),(5745,4885,0.92581,-0.865),(5745,4895,0.92985,-0.86133),(5745,4905,0.9339,-0.8576),(5745,4915,0.93791,-0.85387),(5745,4925,0.94192,-0.8501),(5745,4935,0.94593,-0.84626),(5745,4945,0.94989,-0.84242),(5745,4955,0.95384,-0.83858),(5745,4965,0.95779,-0.8347),(5745,4975,0.96171,-0.83083),(5745,4985,0.9656,-0.82695),(5745,4995,0.96949,-0.823),(5745,5005,0.97337,-0.81904),(5745,5015,0.97723,-0.81509),(5745,5025,0.98108,-0.81107),(5745,5035,0.98493,-0.80705),(5745,5045,0.98876,-0.80302),(5745,5055,0.99259,-0.79894),(5745,5065,0.99641,-0.79484),(5745,5075,1.0002,-0.79074),(5745,5085,1.004,-0.7866),(5745,5095,1.0078,-0.78243),(5745,5105,1.0116,-0.77826),(5745,5115,1.0153,-0.77408),(5745,5125,1.0191,-0.76987),(5745,5135,1.0228,-0.76566),(5745,5145,1.0265,-0.76145),(5745,5155,1.0302,-0.75717),(5745,5165,1.0339,-0.7529),(5745,5175,1.0376,-0.74863),(5745,5185,1.0413,-0.74429),(5745,5195,1.0449,-0.73994),(5745,5205,1.0486,-0.7356),(5745,5215,1.0522,-0.7312),(5745,5225,1.0558,-0.72678),(5745,5235,1.0594,-0.72236),(5745,5245,1.063,-0.71791),(5745,5255,1.0666,-0.71344),(5745,5265,1.0701,-0.70898),(5745,5275,1.0737,-0.7045),(5745,5285,1.0772,-0.70003),(5745,5295,1.0808,-0.69555),(5745,5305,1.0843,-0.69107),(5745,5315,1.0878,-0.68655),(5745,5325,1.0913,-0.68204),(5745,5335,1.0948,-0.67752),(5745,5345,1.0983,-0.67294),(5745,5355,1.1018,-0.66836),(5745,5365,1.1052,-0.66378),(5745,5375,1.1086,-0.65917),(5745,5385,1.112,-0.65455),(5745,5395,1.1154,-0.64993),(5745,5405,1.1187,-0.64528),(5745,5415,1.1221,-0.64061),(5745,5425,1.1254,-0.63595),(5745,5435,1.1287,-0.63125),(5745,5445,1.132,-0.62653),(5745,5455,1.1353,-0.62181),(5745,5465,1.1386,-0.61706),(5745,5475,1.1419,-0.61226),(5745,5485,1.1451,-0.60746),(5745,5495,1.1483,-0.60265),(5745,5505,1.1516,-0.59778),(5745,5515,1.1548,-0.59291),(5745,5525,1.158,-0.58803),(5745,5535,1.1612,-0.58316),(5745,5545,1.1644,-0.57829),(5745,5555,1.1675,-0.57342),(5745,5565,1.1707,-0.56856),(5745,5575,1.1738,-0.56369),(5745,5585,1.1769,-0.55882),(5745,5595,1.18,-0.5539),(5745,5605,1.1831,-0.54895),(5745,5615,1.1861,-0.54399),(5745,5625,1.1891,-0.53902),(5745,5635,1.1922,-0.534),(5745,5645,1.1951,-0.52899),(5745,5655,1.1981,-0.52396),(5745,5665,1.201,-0.51892),(5745,5675,1.204,-0.51388),(5745,5685,1.2068,-0.50884),(5745,5695,1.2097,-0.50376),(5745,5705,1.2126,-0.49869),(5745,5715,1.2154,-0.49362),(5745,5725,1.2183,-0.48851),(5745,5735,1.2211,-0.4834),(5745,5745,1.2239,-0.47829),(5745,5755,1.2266,-0.47315),(5745,5765,1.2294,-0.46801),(5745,5775,1.2322,-0.46287),(5745,5785,1.2349,-0.45771),(5745,5795,1.2376,-0.45252),(5745,5805,1.2403,-0.44733),(5745,5815,1.2429,-0.44212),(5745,5825,1.2456,-0.43685),(5745,5835,1.2482,-0.43159),(5745,5845,1.2508,-0.42631),(5745,5855,1.2534,-0.42098),(5745,5865,1.2559,-0.41565),(5745,5875,1.2584,-0.41032),(5745,5885,1.2609,-0.40499),(5745,5895,1.2634,-0.39965),(5745,5905,1.2658,-0.39432),(5745,5915,1.2682,-0.38897),(5745,5925,1.2706,-0.3836),(5745,5935,1.2729,-0.37824),(5745,5945,1.2753,-0.37282),(5745,5955,1.2776,-0.36736),(5745,5965,1.2799,-0.36191),(5745,5975,1.2822,-0.35644),(5745,5985,1.2844,-0.35094),(5745,5995,1.2866,-0.34545),(5745,6005,1.2888,-0.33996),(5745,6015,1.291,-0.33448),(5745,6025,1.2931,-0.329),(5745,6035,1.2952,-0.32351),(5745,6045,1.2973,-0.31801),(5745,6055,1.2993,-0.3125),(5745,6065,1.3013,-0.307),(5745,6075,1.3033,-0.3014),(5745,6085,1.3052,-0.2958),(5745,6095,1.3071,-0.2902),(5745,6105,1.309,-0.28452),(5745,6115,1.3109,-0.27881),(5745,6125,1.3127,-0.2731),(5745,6135,1.3144,-0.26738),(5745,6145,1.3162,-0.26165),(5745,6155,1.3179,-0.25591),(5745,6165,1.3196,-0.25019),(5745,6175,1.3213,-0.24449),(5745,6185,1.3229,-0.23879),(5745,6195,1.3245,-0.23309),(5745,6205,1.3261,-0.22737),(5745,6215,1.3276,-0.22165),(5745,6225,1.3291,-0.21593),(5745,6235,1.3305,-0.21017),(5745,6245,1.3319,-0.2044),(5745,6255,1.3333,-0.19863),(5745,6265,1.3346,-0.19281),(5745,6275,1.336,-0.18699),(5745,6285,1.3372,-0.18117),(5745,6295,1.3384,-0.17528),(5745,6305,1.3396,-0.16937),(5745,6315,1.3407,-0.16345),(5745,6325,1.3418,-0.15754),(5745,6335,1.3428,-0.15163),(5745,6345,1.3438,-0.14573),(5745,6355,1.3448,-0.13983),(5745,6365,1.3458,-0.13394),(5745,6375,1.3467,-0.12806),(5745,6385,1.3475,-0.12216),(5745,6395,1.3484,-0.1162),(5745,6405,1.3492,-0.11024),(5745,6415,1.3499,-0.10427),(5745,6425,1.3507,-0.098355),(5745,6435,1.3514,-0.09244),(5745,6445,1.352,-0.086526),(5745,6455,1.3526,-0.080581),(5745,6465,1.3532,-0.074627),(5745,6475,1.3537,-0.068673),(5745,6485,1.3542,-0.062738),(5745,6495,1.3546,-0.056817),(5745,6505,1.355,-0.050895),(5745,6515,1.3553,-0.044945),(5745,6525,1.3557,-0.038953),(5745,6535,1.3559,-0.032962),(5745,6545,1.3561,-0.02698),(5745,6555,1.3563,-0.021025),(5745,6565,1.3564,-0.015071),(5745,6575,1.3565,-0.009108),(5745,6585,1.3565,-0.003019),(5745,6595,1.1538,0.00307),(5745,6605,0.72713,0.009159),(5745,6615,0.30046,0.00983),(5745,6625,0.000528,0.009806),(5745,6635,0.000556,0.009781),(5745,6645,0.000584,0.009779),(5745,6655,0.000612,0.009786),(5745,6665,0.000639,0.009793),(5745,6675,0.000667,0.009799),(5745,6685,0.000694,0.009806),(5745,6695,0.00072,0.009813),(5745,6705,0.000747,0.009819),(5745,6715,0.000774,0.009825),(5745,6725,0.0008,0.009831),(5745,6735,0.000825,0.009838),(5745,6745,0.000851,0.009843),(5745,6755,0.000877,0.009849),(5745,6765,0.000902,0.009854),(5745,6775,0.000927,0.009859),(5745,6785,0.000952,0.009864),(5745,6795,0.000976,0.009869),(5745,6805,0.001001,0.009874),(5745,6815,0.001025,0.009878),(5745,6825,0.001049,0.009883),(5745,6835,0.001073,0.009886),(5745,6845,0.001097,0.00989),(5745,6855,0.00112,0.009894),(5745,6865,0.001143,0.009897),(5745,6875,0.001166,0.0099),(5745,6885,0.001189,0.009903),(5745,6895,0.001211,0.009906),(5745,6905,0.001234,0.009909),(5745,6915,0.001256,0.009911),(5745,6925,0.001278,0.009913),(5745,6935,0.0013,0.009915),(5745,6945,0.001321,0.009916),(5745,6955,0.001342,0.009918),(5745,6965,0.001364,0.009919),(5745,6975,0.001385,0.00992),(5745,6985,0.001406,0.009921),(5755,5,3e-06,-0.82224),(5755,15,1e-05,-0.8223),(5755,25,1.9e-05,-0.82235),(5755,35,3e-05,-0.82241),(5755,45,4.1e-05,-0.82244),(5755,55,5.3e-05,-0.82245),(5755,65,6.9e-05,-0.82247),(5755,75,9e-05,-0.82248),(5755,85,0.000111,-0.82251),(5755,95,0.000132,-0.82253),(5755,105,0.000153,-0.82256),(5755,115,0.000174,-0.82259),(5755,125,0.000195,-0.82259),(5755,135,0.000217,-0.82257),(5755,145,0.000215,-0.82256),(5755,155,0.000201,-0.82254),(5755,165,0.000187,-0.82252),(5755,175,0.000173,-0.8225),(5755,185,0.000184,-0.82247),(5755,195,0.000206,-0.82245),(5755,205,0.000228,-0.82246),(5755,215,0.00025,-0.82248),(5755,225,0.000263,-0.8225),(5755,235,0.000274,-0.82252),(5755,245,0.000285,-0.82248),(5755,255,0.000295,-0.82242),(5755,265,0.000332,-0.82235),(5755,275,0.000377,-0.82229),(5755,285,0.000422,-0.82236),(5755,295,0.000466,-0.82245),(5755,305,0.000518,-0.82255),(5755,315,0.000571,-0.82265),(5755,325,0.000624,-0.8227),(5755,335,0.000677,-0.82273),(5755,345,0.000708,-0.82276),(5755,355,0.000736,-0.8228),(5755,365,0.000764,-0.82279),(5755,375,0.000792,-0.82277),(5755,385,0.000802,-0.82275),(5755,395,0.00081,-0.82274),(5755,405,0.000818,-0.82271),(5755,415,0.000826,-0.82268),(5755,425,0.000846,-0.82265),(5755,435,0.000868,-0.82262),(5755,445,0.00089,-0.82264),(5755,455,0.000911,-0.82265),(5755,465,0.000944,-0.82267),(5755,475,0.000977,-0.82269),(5755,485,0.001011,-0.82271),(5755,495,0.001044,-0.82272),(5755,505,0.001083,-0.82274),(5755,515,0.001123,-0.82276),(5755,525,0.001162,-0.8228),(5755,535,0.0012,-0.82284),(5755,545,0.001225,-0.82288),(5755,555,0.00125,-0.82292),(5755,565,0.001274,-0.82294),(5755,575,0.001297,-0.82295),(5755,585,0.001298,-0.82296),(5755,595,0.001299,-0.82297),(5755,605,0.0013,-0.82295),(5755,615,0.001305,-0.82293),(5755,625,0.00134,-0.82291),(5755,635,0.001376,-0.8229),(5755,645,0.001411,-0.82298),(5755,655,0.001453,-0.82306),(5755,665,0.001528,-0.82314),(5755,675,0.001604,-0.82324),(5755,685,0.00168,-0.82338),(5755,695,0.001747,-0.82352),(5755,705,0.001782,-0.82367),(5755,715,0.001817,-0.82379),(5755,725,0.001852,-0.82386),(5755,735,0.001883,-0.82393),(5755,745,0.001901,-0.824),(5755,755,0.001918,-0.82407),(5755,765,0.001935,-0.82415),(5755,775,0.001959,-0.82423),(5755,785,0.001998,-0.82432),(5755,795,0.002038,-0.82443),(5755,805,0.002077,-0.82461),(5755,815,0.002117,-0.8248),(5755,825,0.002156,-0.82498),(5755,835,0.002195,-0.82518),(5755,845,0.002234,-0.82539),(5755,855,0.002278,-0.8256),(5755,865,0.00233,-0.82582),(5755,875,0.002382,-0.82606),(5755,885,0.002434,-0.82635),(5755,895,0.002505,-0.82665),(5755,905,0.002605,-0.82694),(5755,915,0.002704,-0.8273),(5755,925,0.002804,-0.82777),(5755,935,0.002918,-0.82824),(5755,945,0.003051,-0.8287),(5755,955,0.003183,-0.82924),(5755,965,0.003316,-0.82986),(5755,975,0.003452,-0.83048),(5755,985,0.003593,-0.8311),(5755,995,0.003734,-0.83179),(5755,1005,0.003874,-0.83256),(5755,1015,0.004044,-0.83333),(5755,1025,0.00424,-0.8341),(5755,1035,0.004436,-0.83505),(5755,1045,0.004632,-0.83617),(5755,1055,0.004889,-0.83728),(5755,1065,0.005197,-0.8384),(5755,1075,0.005504,-0.83984),(5755,1085,0.005811,-0.84152),(5755,1095,0.006222,-0.84321),(5755,1105,0.006705,-0.8449),(5755,1115,0.007188,-0.84712),(5755,1125,0.007672,-0.84969),(5755,1135,0.008333,-0.85226),(5755,1145,0.009099,-0.85484),(5755,1155,0.009865,-0.85837),(5755,1165,0.010632,-0.86244),(5755,1175,0.011518,-0.8665),(5755,1185,0.012464,-0.87056),(5755,1195,0.01341,-0.8759),(5755,1205,0.014357,-0.8818),(5755,1215,0.015133,-0.88771),(5755,1225,0.015838,-0.89362),(5755,1235,0.016544,-0.90048),(5755,1245,0.01725,-0.90769),(5755,1255,0.021526,-0.91491),(5755,1265,0.027009,-0.92213),(5755,1275,0.032491,-0.93826),(5755,1285,0.037973,-0.9571),(5755,1295,0.050224,-0.97593),(5755,1305,0.064305,-0.99477),(5755,1315,0.078386,-1.0377),(5755,1325,0.092467,-1.0864),(5755,1335,0.057583,-1.1351),(5755,1345,0.012435,-1.1838),(5755,1355,-0.032712,-1.1544),(5755,1365,-0.077859,-1.1109),(5755,1375,-0.074653,-1.0673),(5755,1385,-0.063987,-1.0238),(5755,1395,-0.053321,-1.0003),(5755,1405,-0.042654,-0.97932),(5755,1415,-0.036346,-0.95838),(5755,1425,-0.03049,-0.93744),(5755,1435,-0.024635,-0.92825),(5755,1445,-0.018779,-0.92),(5755,1455,-0.017861,-0.91174),(5755,1465,-0.017228,-0.90349),(5755,1475,-0.016595,-0.89634),(5755,1485,-0.015962,-0.88923),(5755,1495,-0.014853,-0.88211),(5755,1505,-0.013737,-0.87501),(5755,1515,-0.01262,-0.87043),(5755,1525,-0.011508,-0.86584),(5755,1535,-0.010564,-0.86125),(5755,1545,-0.00962,-0.85674),(5755,1555,-0.008676,-0.85386),(5755,1565,-0.007756,-0.85098),(5755,1575,-0.007181,-0.8481),(5755,1585,-0.006606,-0.84529),(5755,1595,-0.006031,-0.84327),(5755,1605,-0.005477,-0.84126),(5755,1615,-0.005112,-0.83924),(5755,1625,-0.004746,-0.83731),(5755,1635,-0.00438,-0.83597),(5755,1645,-0.004032,-0.83464),(5755,1655,-0.003784,-0.8333),(5755,1665,-0.003536,-0.83201),(5755,1675,-0.003288,-0.83091),(5755,1685,-0.003059,-0.82982),(5755,1695,-0.002917,-0.82872),(5755,1705,-0.002775,-0.8277),(5755,1715,-0.002632,-0.82696),(5755,1725,-0.002496,-0.82623),(5755,1735,-0.002381,-0.82549),(5755,1745,-0.002267,-0.82479),(5755,1755,-0.002152,-0.82422),(5755,1765,-0.002042,-0.82364),(5755,1775,-0.001946,-0.82306),(5755,1785,-0.00185,-0.82249),(5755,1795,-0.001754,-0.82194),(5755,1805,-0.001668,-0.82139),(5755,1815,-0.001605,-0.82084),(5755,1825,-0.001541,-0.82034),(5755,1835,-0.001478,-0.81994),(5755,1845,-0.00141,-0.81954),(5755,1855,-0.001332,-0.81914),(5755,1865,-0.001254,-0.81881),(5755,1875,-0.001176,-0.81859),(5755,1885,-0.0011,-0.81838),(5755,1895,-0.001026,-0.81816),(5755,1905,-0.000952,-0.81789),(5755,1915,-0.000879,-0.81756),(5755,1925,-0.000826,-0.81722),(5755,1935,-0.000803,-0.81688),(5755,1945,-0.00078,-0.81656),(5755,1955,-0.000757,-0.81625),(5755,1965,-0.000739,-0.81594),(5755,1975,-0.000729,-0.81563),(5755,1985,-0.000719,-0.81534),(5755,1995,-0.000709,-0.81509),(5755,2005,-0.000699,-0.81484),(5755,2015,-0.000689,-0.81459),(5755,2025,-0.00068,-0.81435),(5755,2035,-0.00067,-0.81411),(5755,2045,-0.000656,-0.81386),(5755,2055,-0.000638,-0.81362),(5755,2065,-0.000621,-0.81338),(5755,2075,-0.000603,-0.81315),(5755,2085,-0.000586,-0.81291),(5755,2095,-0.00057,-0.81267),(5755,2105,-0.000554,-0.81242),(5755,2115,-0.000537,-0.81214),(5755,2125,-0.000518,-0.81187),(5755,2135,-0.000498,-0.8116),(5755,2145,-0.000477,-0.81137),(5755,2155,-0.000457,-0.81117),(5755,2165,-0.00042,-0.81097),(5755,2175,-0.000375,-0.81077),(5755,2185,-0.00033,-0.81059),(5755,2195,-0.000285,-0.81042),(5755,2205,-0.000247,-0.81024),(5755,2215,-0.000213,-0.81007),(5755,2225,-0.000179,-0.80983),(5755,2235,-0.000145,-0.80957),(5755,2245,-0.000122,-0.80931),(5755,2255,-0.000104,-0.80905),(5755,2265,-8.5e-05,-0.80879),(5755,2275,-6.6e-05,-0.80852),(5755,2285,-3e-05,-0.80825),(5755,2295,1.1e-05,-0.80799),(5755,2305,5.2e-05,-0.80776),(5755,2315,9.3e-05,-0.80755),(5755,2325,0.000146,-0.80734),(5755,2335,0.000201,-0.80712),(5755,2345,0.000255,-0.80688),(5755,2355,0.00031,-0.80664),(5755,2365,0.000346,-0.80639),(5755,2375,0.000378,-0.80615),(5755,2385,0.000411,-0.80585),(5755,2395,0.000443,-0.80554),(5755,2405,0.000455,-0.80524),(5755,2415,0.000463,-0.80493),(5755,2425,0.000472,-0.80461),(5755,2435,0.000481,-0.80429),(5755,2445,0.000498,-0.80396),(5755,2455,0.000516,-0.80364),(5755,2465,0.000533,-0.80334),(5755,2475,0.000551,-0.80303),(5755,2485,0.000578,-0.80273),(5755,2495,0.000606,-0.80242),(5755,2505,0.000633,-0.80211),(5755,2515,0.000661,-0.80179),(5755,2525,0.000672,-0.80147),(5755,2535,0.000684,-0.80115),(5755,2545,0.000695,-0.80079),(5755,2555,0.000706,-0.80043),(5755,2565,0.000707,-0.80007),(5755,2575,0.000708,-0.79971),(5755,2585,0.000709,-0.79936),(5755,2595,0.000711,-0.79901),(5755,2605,0.00072,-0.79866),(5755,2615,0.000729,-0.79831),(5755,2625,0.000739,-0.79799),(5755,2635,0.00075,-0.79766),(5755,2645,0.000772,-0.79734),(5755,2655,0.000794,-0.79702),(5755,2665,0.000816,-0.7967),(5755,2675,0.000841,-0.79638),(5755,2685,0.000875,-0.79606),(5755,2695,0.000909,-0.79574),(5755,2705,0.000944,-0.79542),(5755,2715,0.000976,-0.79509),(5755,2725,0.001002,-0.79477),(5755,2735,0.001027,-0.79443),(5755,2745,0.001053,-0.79406),(5755,2755,0.001071,-0.79369),(5755,2765,0.001066,-0.79332),(5755,2775,0.001061,-0.79292),(5755,2785,0.001055,-0.79247),(5755,2795,0.001051,-0.79203),(5755,2805,0.00105,-0.79158),(5755,2815,0.001049,-0.79113),(5755,2825,0.001047,-0.7907),(5755,2835,0.001056,-0.79027),(5755,2845,0.001087,-0.78984),(5755,2855,0.001118,-0.78942),(5755,2865,0.001148,-0.78902),(5755,2875,0.001184,-0.78862),(5755,2885,0.001228,-0.78822),(5755,2895,0.001273,-0.78781),(5755,2905,0.001317,-0.78739),(5755,2915,0.001359,-0.78697),(5755,2925,0.001398,-0.78654),(5755,2935,0.001437,-0.7861),(5755,2945,0.001476,-0.78564),(5755,2955,0.001511,-0.78518),(5755,2965,0.001541,-0.78472),(5755,2975,0.001571,-0.78423),(5755,2985,0.001602,-0.78373),(5755,2995,0.001632,-0.78323),(5755,3005,0.001664,-0.78272),(5755,3015,0.001695,-0.78222),(5755,3025,0.001727,-0.78171),(5755,3035,0.001765,-0.78121),(5755,3045,0.001809,-0.7807),(5755,3055,0.001853,-0.7802),(5755,3065,0.001897,-0.77971),(5755,3075,0.001943,-0.77921),(5755,3085,0.00199,-0.77871),(5755,3095,0.002038,-0.77821),(5755,3105,0.002085,-0.7777),(5755,3115,0.002127,-0.7772),(5755,3125,0.002165,-0.77669),(5755,3135,0.002204,-0.77615),(5755,3145,0.002242,-0.77559),(5755,3155,0.002273,-0.77503),(5755,3165,0.0023,-0.77447),(5755,3175,0.002326,-0.77387),(5755,3185,0.002353,-0.77327),(5755,3195,0.002376,-0.77266),(5755,3205,0.002397,-0.77206),(5755,3215,0.002418,-0.77147),(5755,3225,0.002439,-0.77088),(5755,3235,0.00246,-0.7703),(5755,3245,0.002481,-0.76971),(5755,3255,0.002502,-0.76914),(5755,3265,0.002524,-0.76858),(5755,3275,0.002541,-0.76802),(5755,3285,0.002558,-0.76745),(5755,3295,0.002575,-0.76687),(5755,3305,0.002591,-0.76629),(5755,3315,0.002624,-0.76571),(5755,3325,0.002661,-0.76512),(5755,3335,0.002697,-0.76457),(5755,3345,0.002734,-0.76402),(5755,3355,0.002794,-0.76347),(5755,3365,0.002859,-0.76292),(5755,3375,0.002923,-0.76241),(5755,3385,0.002988,-0.7619),(5755,3395,0.00304,-0.76138),(5755,3405,0.00309,-0.76087),(5755,3415,0.00314,-0.7603),(5755,3425,0.00319,-0.75973),(5755,3435,0.003215,-0.75915),(5755,3445,0.003238,-0.75857),(5755,3455,0.003261,-0.75796),(5755,3465,0.003284,-0.75735),(5755,3475,0.003325,-0.75674),(5755,3485,0.003366,-0.75614),(5755,3495,0.003407,-0.75562),(5755,3505,0.003449,-0.75511),(5755,3515,0.003544,-0.7546),(5755,3525,0.003638,-0.75409),(5755,3535,0.003733,-0.75371),(5755,3545,0.003828,-0.75332),(5755,3555,0.003931,-0.75294),(5755,3565,0.004034,-0.75256),(5755,3575,0.004138,-0.75217),(5755,3585,0.004239,-0.75179),(5755,3595,0.004326,-0.75141),(5755,3605,0.004413,-0.75103),(5755,3615,0.004501,-0.7507),(5755,3625,0.00459,-0.75036),(5755,3635,0.004701,-0.75003),(5755,3645,0.004811,-0.74973),(5755,3655,0.004921,-0.7496),(5755,3665,0.005039,-0.74948),(5755,3675,0.005199,-0.74935),(5755,3685,0.005359,-0.74927),(5755,3695,0.005519,-0.74938),(5755,3705,0.005688,-0.7495),(5755,3715,0.005893,-0.74962),(5755,3725,0.006097,-0.74981),(5755,3735,0.006301,-0.75026),(5755,3745,0.006518,-0.7507),(5755,3755,0.006772,-0.75115),(5755,3765,0.007027,-0.75172),(5755,3775,0.007281,-0.75265),(5755,3785,0.007567,-0.75357),(5755,3795,0.007932,-0.7545),(5755,3805,0.008297,-0.75564),(5755,3815,0.008662,-0.75728),(5755,3825,0.009081,-0.75892),(5755,3835,0.009615,-0.76056),(5755,3845,0.010149,-0.76259),(5755,3855,0.010683,-0.76536),(5755,3865,0.011265,-0.76814),(5755,3875,0.011933,-0.77092),(5755,3885,0.012601,-0.77421),(5755,3895,0.013269,-0.77832),(5755,3905,0.01398,-0.78244),(5755,3915,0.014757,-0.78655),(5755,3925,0.015533,-0.79129),(5755,3935,0.01631,-0.79689),(5755,3945,0.018695,-0.80248),(5755,3955,0.023122,-0.80807),(5755,3965,0.02755,-0.81805),(5755,3975,0.031977,-0.83315),(5755,3985,0.043026,-0.84825),(5755,3995,0.061244,-0.86336),(5755,4005,0.079462,-0.89615),(5755,4015,0.097679,-0.94663),(5755,4025,0.19397,-0.99712),(5755,4035,0.2979,-1.031),(5755,4045,0.40183,-1.0299),(5755,4055,0.48935,-1.0289),(5755,4065,0.57088,-1.0278),(5755,4075,0.65241,-1.0264),(5755,4085,0.68903,-1.0251),(5755,4095,0.68956,-1.0237),(5755,4105,0.69009,-1.0227),(5755,4115,0.69067,-1.0217),(5755,4125,0.69133,-1.0206),(5755,4135,0.69198,-1.0197),(5755,4145,0.69268,-1.0188),(5755,4155,0.69353,-1.0178),(5755,4165,0.69439,-1.0169),(5755,4175,0.69525,-1.016),(5755,4185,0.69636,-1.0151),(5755,4195,0.69747,-1.0142),(5755,4205,0.69858,-1.0135),(5755,4215,0.69992,-1.0128),(5755,4225,0.70131,-1.012),(5755,4235,0.70271,-1.0112),(5755,4245,0.7043,-1.0104),(5755,4255,0.70599,-1.0096),(5755,4265,0.70769,-1.0087),(5755,4275,0.70952,-1.0078),(5755,4285,0.71151,-1.0068),(5755,4295,0.7135,-1.0058),(5755,4305,0.71557,-1.0048),(5755,4315,0.71782,-1.0038),(5755,4325,0.72007,-1.0027),(5755,4335,0.72235,-1.0015),(5755,4345,0.72485,-1.0003),(5755,4355,0.72734,-0.99908),(5755,4365,0.72984,-0.99775),(5755,4375,0.73257,-0.99642),(5755,4385,0.73532,-0.99504),(5755,4395,0.73807,-0.99356),(5755,4405,0.741,-0.99209),(5755,4415,0.74398,-0.99059),(5755,4425,0.74697,-0.98898),(5755,4435,0.75008,-0.98737),(5755,4445,0.75326,-0.98576),(5755,4455,0.75645,-0.98403),(5755,4465,0.7597,-0.98229),(5755,4475,0.76304,-0.98056),(5755,4485,0.76639,-0.97869),(5755,4495,0.76976,-0.9768),(5755,4505,0.77323,-0.97491),(5755,4515,0.77669,-0.97291),(5755,4525,0.78017,-0.97086),(5755,4535,0.78375,-0.96881),(5755,4545,0.78734,-0.96665),(5755,4555,0.79092,-0.96439),(5755,4565,0.79461,-0.96213),(5755,4575,0.79831,-0.95982),(5755,4585,0.80202,-0.95739),(5755,4595,0.80579,-0.95496),(5755,4605,0.8096,-0.95251),(5755,4615,0.8134,-0.94994),(5755,4625,0.81725,-0.94736),(5755,4635,0.82113,-0.94479),(5755,4645,0.82501,-0.94207),(5755,4655,0.82891,-0.93934),(5755,4665,0.83284,-0.9366),(5755,4675,0.83676,-0.93375),(5755,4685,0.8407,-0.93085),(5755,4695,0.84467,-0.92796),(5755,4705,0.84864,-0.92496),(5755,4715,0.85261,-0.92188),(5755,4725,0.85661,-0.91881),(5755,4735,0.86061,-0.91568),(5755,4745,0.8646,-0.91246),(5755,4755,0.8686,-0.90925),(5755,4765,0.87259,-0.90602),(5755,4775,0.87658,-0.90272),(5755,4785,0.88056,-0.89942),(5755,4795,0.88453,-0.89612),(5755,4805,0.8885,-0.8927),(5755,4815,0.89247,-0.88928),(5755,4825,0.89645,-0.88586),(5755,4835,0.90043,-0.88235),(5755,4845,0.90442,-0.87883),(5755,4855,0.90842,-0.8753),(5755,4865,0.91241,-0.87173),(5755,4875,0.91641,-0.86814),(5755,4885,0.92042,-0.86455),(5755,4895,0.92442,-0.8609),(5755,4905,0.92842,-0.85717),(5755,4915,0.9324,-0.85345),(5755,4925,0.93638,-0.8497),(5755,4935,0.94036,-0.84588),(5755,4945,0.9443,-0.84206),(5755,4955,0.94822,-0.83823),(5755,4965,0.95215,-0.83437),(5755,4975,0.95604,-0.83051),(5755,4985,0.95992,-0.82664),(5755,4995,0.96379,-0.8227),(5755,5005,0.96765,-0.81876),(5755,5015,0.97148,-0.81481),(5755,5025,0.97531,-0.81081),(5755,5035,0.97914,-0.80679),(5755,5045,0.98294,-0.80278),(5755,5055,0.98674,-0.79871),(5755,5065,0.99054,-0.79462),(5755,5075,0.99431,-0.79053),(5755,5085,0.99808,-0.78641),(5755,5095,1.0019,-0.78225),(5755,5105,1.0056,-0.7781),(5755,5115,1.0093,-0.77393),(5755,5125,1.0131,-0.76973),(5755,5135,1.0168,-0.76554),(5755,5145,1.0205,-0.76134),(5755,5155,1.0242,-0.75708),(5755,5165,1.0278,-0.75283),(5755,5175,1.0315,-0.74857),(5755,5185,1.0351,-0.74425),(5755,5195,1.0388,-0.73992),(5755,5205,1.0424,-0.73559),(5755,5215,1.046,-0.7312),(5755,5225,1.0496,-0.72678),(5755,5235,1.0531,-0.72237),(5755,5245,1.0567,-0.71793),(5755,5255,1.0603,-0.71346),(5755,5265,1.0638,-0.709),(5755,5275,1.0673,-0.70453),(5755,5285,1.0708,-0.70006),(5755,5295,1.0743,-0.69558),(5755,5305,1.0778,-0.6911),(5755,5315,1.0813,-0.68659),(5755,5325,1.0848,-0.68208),(5755,5335,1.0883,-0.67757),(5755,5345,1.0917,-0.673),(5755,5355,1.0952,-0.66844),(5755,5365,1.0986,-0.66387),(5755,5375,1.102,-0.65926),(5755,5385,1.1054,-0.65465),(5755,5395,1.1088,-0.65004),(5755,5405,1.1121,-0.6454),(5755,5415,1.1155,-0.64074),(5755,5425,1.1188,-0.63608),(5755,5435,1.122,-0.63139),(5755,5445,1.1253,-0.62667),(5755,5455,1.1286,-0.62194),(5755,5465,1.1318,-0.61719),(5755,5475,1.1351,-0.61239),(5755,5485,1.1383,-0.60758),(5755,5495,1.1415,-0.60276),(5755,5505,1.1447,-0.59788),(5755,5515,1.1479,-0.593),(5755,5525,1.1511,-0.58812),(5755,5535,1.1543,-0.58325),(5755,5545,1.1574,-0.57837),(5755,5555,1.1605,-0.5735),(5755,5565,1.1637,-0.56863),(5755,5575,1.1668,-0.56376),(5755,5585,1.1699,-0.55889),(5755,5595,1.1729,-0.55397),(5755,5605,1.176,-0.54902),(5755,5615,1.179,-0.54407),(5755,5625,1.182,-0.5391),(5755,5635,1.1851,-0.53408),(5755,5645,1.188,-0.52907),(5755,5655,1.1909,-0.52404),(5755,5665,1.1939,-0.519),(5755,5675,1.1968,-0.51395),(5755,5685,1.1997,-0.5089),(5755,5695,1.2025,-0.50382),(5755,5705,1.2054,-0.49874),(5755,5715,1.2082,-0.49366),(5755,5725,1.211,-0.48855),(5755,5735,1.2138,-0.48342),(5755,5745,1.2166,-0.4783),(5755,5755,1.2193,-0.47316),(5755,5765,1.2221,-0.46801),(5755,5775,1.2248,-0.46286),(5755,5785,1.2275,-0.45769),(5755,5795,1.2302,-0.4525),(5755,5805,1.2328,-0.44731),(5755,5815,1.2355,-0.44209),(5755,5825,1.2381,-0.43682),(5755,5835,1.2407,-0.43156),(5755,5845,1.2433,-0.42628),(5755,5855,1.2458,-0.42095),(5755,5865,1.2483,-0.41561),(5755,5875,1.2508,-0.41028),(5755,5885,1.2533,-0.40494),(5755,5895,1.2558,-0.39961),(5755,5905,1.2582,-0.39427),(5755,5915,1.2606,-0.3889),(5755,5925,1.263,-0.38353),(5755,5935,1.2653,-0.37816),(5755,5945,1.2676,-0.37274),(5755,5955,1.2699,-0.36728),(5755,5965,1.2722,-0.36182),(5755,5975,1.2744,-0.35634),(5755,5985,1.2766,-0.35084),(5755,5995,1.2788,-0.34534),(5755,6005,1.281,-0.33984),(5755,6015,1.2831,-0.33436),(5755,6025,1.2852,-0.32888),(5755,6035,1.2873,-0.32339),(5755,6045,1.2894,-0.31789),(5755,6055,1.2914,-0.31239),(5755,6065,1.2934,-0.30689),(5755,6075,1.2953,-0.30129),(5755,6085,1.2973,-0.29569),(5755,6095,1.2991,-0.29009),(5755,6105,1.301,-0.2844),(5755,6115,1.3029,-0.27869),(5755,6125,1.3046,-0.27297),(5755,6135,1.3064,-0.26725),(5755,6145,1.3082,-0.26151),(5755,6155,1.3098,-0.25577),(5755,6165,1.3115,-0.25005),(5755,6175,1.3132,-0.24435),(5755,6185,1.3148,-0.23864),(5755,6195,1.3164,-0.23294),(5755,6205,1.3179,-0.22722),(5755,6215,1.3194,-0.22151),(5755,6225,1.3209,-0.21579),(5755,6235,1.3224,-0.21003),(5755,6245,1.3238,-0.20426),(5755,6255,1.3251,-0.1985),(5755,6265,1.3265,-0.19269),(5755,6275,1.3278,-0.18687),(5755,6285,1.329,-0.18106),(5755,6295,1.3302,-0.17518),(5755,6305,1.3314,-0.16927),(5755,6315,1.3325,-0.16336),(5755,6325,1.3335,-0.15744),(5755,6335,1.3346,-0.15153),(5755,6345,1.3356,-0.14562),(5755,6355,1.3365,-0.13972),(5755,6365,1.3375,-0.13383),(5755,6375,1.3384,-0.12794),(5755,6385,1.3392,-0.12205),(5755,6395,1.3401,-0.11608),(5755,6405,1.3409,-0.11012),(5755,6415,1.3416,-0.10416),(5755,6425,1.3423,-0.098243),(5755,6435,1.343,-0.092331),(5755,6445,1.3436,-0.086419),(5755,6455,1.3442,-0.080478),(5755,6465,1.3448,-0.07453),(5755,6475,1.3453,-0.068581),(5755,6485,1.3457,-0.062653),(5755,6495,1.3462,-0.056738),(5755,6505,1.3466,-0.050823),(5755,6515,1.3469,-0.044879),(5755,6525,1.3473,-0.038895),(5755,6535,1.3475,-0.032912),(5755,6545,1.3477,-0.026938),(5755,6555,1.3479,-0.020993),(5755,6565,1.348,-0.015047),(5755,6575,1.3481,-0.009093),(5755,6585,1.3482,-0.003004),(5755,6595,1.1467,0.003085),(5755,6605,0.72263,0.009175),(5755,6615,0.2986,0.009849),(5755,6625,0.00052,0.009829),(5755,6635,0.000548,0.009808),(5755,6645,0.000576,0.009806),(5755,6655,0.000604,0.009813),(5755,6665,0.000632,0.00982),(5755,6675,0.000659,0.009826),(5755,6685,0.000686,0.009833),(5755,6695,0.000713,0.009839),(5755,6705,0.00074,0.009846),(5755,6715,0.000766,0.009851),(5755,6725,0.000793,0.009857),(5755,6735,0.000818,0.009863),(5755,6745,0.000844,0.009869),(5755,6755,0.00087,0.009874),(5755,6765,0.000895,0.009879),(5755,6775,0.000921,0.009884),(5755,6785,0.000946,0.009889),(5755,6795,0.00097,0.009894),(5755,6805,0.000995,0.009898),(5755,6815,0.001019,0.009902),(5755,6825,0.001043,0.009906),(5755,6835,0.001067,0.00991),(5755,6845,0.001091,0.009914),(5755,6855,0.001115,0.009917),(5755,6865,0.001138,0.00992),(5755,6875,0.001161,0.009923),(5755,6885,0.001184,0.009926),(5755,6895,0.001207,0.009929),(5755,6905,0.00123,0.009931),(5755,6915,0.001252,0.009933),(5755,6925,0.001274,0.009935),(5755,6935,0.001296,0.009936),(5755,6945,0.001318,0.009938),(5755,6955,0.001339,0.009939),(5755,6965,0.001361,0.00994),(5755,6975,0.001382,0.009941),(5755,6985,0.001403,0.009942),(5765,5,0,-0.94085),(5765,15,1e-06,-0.94091),(5765,25,6e-06,-0.94097),(5765,35,1.3e-05,-0.94102),(5765,45,2.1e-05,-0.94106),(5765,55,2.8e-05,-0.94107),(5765,65,4.4e-05,-0.94108),(5765,75,6.6e-05,-0.94109),(5765,85,8.9e-05,-0.94111),(5765,95,0.000111,-0.94114),(5765,105,0.000134,-0.94117),(5765,115,0.000157,-0.9412),(5765,125,0.00018,-0.94121),(5765,135,0.000203,-0.94121),(5765,145,0.000191,-0.9412),(5765,155,0.00016,-0.9412),(5765,165,0.000129,-0.94117),(5765,175,9.8e-05,-0.94112),(5765,185,0.000104,-0.94107),(5765,195,0.000128,-0.94103),(5765,205,0.000152,-0.94103),(5765,215,0.000175,-0.94106),(5765,225,0.000187,-0.94108),(5765,235,0.000193,-0.94111),(5765,245,0.000199,-0.94105),(5765,255,0.000205,-0.94096),(5765,265,0.000251,-0.94086),(5765,275,0.00031,-0.94077),(5765,285,0.000368,-0.94083),(5765,295,0.000427,-0.94094),(5765,305,0.000495,-0.94104),(5765,315,0.000565,-0.94115),(5765,325,0.000636,-0.9412),(5765,335,0.000706,-0.94125),(5765,345,0.000744,-0.94129),(5765,355,0.000776,-0.94134),(5765,365,0.000808,-0.94133),(5765,375,0.000839,-0.94131),(5765,385,0.000844,-0.94129),(5765,395,0.000844,-0.94127),(5765,405,0.000844,-0.94123),(5765,415,0.000845,-0.94118),(5765,425,0.000864,-0.94113),(5765,435,0.000886,-0.94109),(5765,445,0.000907,-0.94109),(5765,455,0.000928,-0.9411),(5765,465,0.000966,-0.94111),(5765,475,0.001005,-0.94112),(5765,485,0.001043,-0.94113),(5765,495,0.001082,-0.94114),(5765,505,0.001129,-0.94115),(5765,515,0.001177,-0.94116),(5765,525,0.001224,-0.9412),(5765,535,0.00127,-0.94125),(5765,545,0.001295,-0.94129),(5765,555,0.001319,-0.94134),(5765,565,0.001343,-0.94135),(5765,575,0.001365,-0.94137),(5765,585,0.001352,-0.94138),(5765,595,0.00134,-0.94139),(5765,605,0.001327,-0.94134),(5765,615,0.001321,-0.94129),(5765,625,0.00136,-0.94123),(5765,635,0.0014,-0.9412),(5765,645,0.00144,-0.94126),(5765,655,0.001489,-0.94132),(5765,665,0.001589,-0.94139),(5765,675,0.00169,-0.94147),(5765,685,0.00179,-0.94165),(5765,695,0.001879,-0.94182),(5765,705,0.001916,-0.94199),(5765,715,0.001953,-0.94215),(5765,725,0.001991,-0.94222),(5765,735,0.002022,-0.9423),(5765,745,0.002032,-0.94237),(5765,755,0.002042,-0.94244),(5765,765,0.002052,-0.94252),(5765,775,0.00207,-0.94259),(5765,785,0.002113,-0.94266),(5765,795,0.002156,-0.94277),(5765,805,0.002199,-0.94297),(5765,815,0.002241,-0.94317),(5765,825,0.002283,-0.94337),(5765,835,0.002325,-0.94358),(5765,845,0.002367,-0.94381),(5765,855,0.002415,-0.94404),(5765,865,0.002476,-0.94427),(5765,875,0.002536,-0.94452),(5765,885,0.002596,-0.94483),(5765,895,0.002685,-0.94513),(5765,905,0.002819,-0.94543),(5765,915,0.002952,-0.94582),(5765,925,0.003085,-0.94634),(5765,935,0.00324,-0.94685),(5765,945,0.003422,-0.94737),(5765,955,0.003604,-0.94797),(5765,965,0.003787,-0.94867),(5765,975,0.003975,-0.94938),(5765,985,0.004169,-0.95009),(5765,995,0.004363,-0.95087),(5765,1005,0.004558,-0.95174),(5765,1015,0.004795,-0.95261),(5765,1025,0.005073,-0.95348),(5765,1035,0.005351,-0.95455),(5765,1045,0.005629,-0.95581),(5765,1055,0.006,-0.95706),(5765,1065,0.006448,-0.95832),(5765,1075,0.006895,-0.95995),(5765,1085,0.007342,-0.96187),(5765,1095,0.007947,-0.96378),(5765,1105,0.008662,-0.9657),(5765,1115,0.009377,-0.96821),(5765,1125,0.010092,-0.97112),(5765,1135,0.011079,-0.97402),(5765,1145,0.012227,-0.97693),(5765,1155,0.013374,-0.98095),(5765,1165,0.014522,-0.98559),(5765,1175,0.015851,-0.99023),(5765,1185,0.017271,-0.99487),(5765,1195,0.018691,-1.0014),(5765,1205,0.020111,-1.0087),(5765,1215,0.021265,-1.016),(5765,1225,0.022311,-1.0234),(5765,1235,0.023356,-1.0329),(5765,1245,0.024401,-1.0431),(5765,1255,0.030907,-1.0534),(5765,1265,0.039257,-1.0637),(5765,1275,0.047606,-1.0769),(5765,1285,0.055956,-1.0909),(5765,1295,0.074645,-1.105),(5765,1305,0.096129,-1.119),(5765,1315,0.11761,-1.136),(5765,1325,0.1391,-1.1536),(5765,1335,0.086578,-1.1712),(5765,1345,0.018548,-1.1889),(5765,1355,-0.049482,-1.1809),(5765,1365,-0.11751,-1.1683),(5765,1375,-0.1125,-1.1557),(5765,1385,-0.09621,-1.1431),(5765,1395,-0.079924,-1.1285),(5765,1405,-0.063638,-1.1137),(5765,1415,-0.054,-1.0988),(5765,1425,-0.045053,-1.084),(5765,1435,-0.036106,-1.0716),(5765,1445,-0.027158,-1.0594),(5765,1455,-0.025775,-1.0473),(5765,1465,-0.024828,-1.0351),(5765,1475,-0.023881,-1.0261),(5765,1485,-0.022934,-1.0173),(5765,1495,-0.021257,-1.0085),(5765,1505,-0.01957,-0.99968),(5765,1515,-0.017882,-0.99445),(5765,1525,-0.016201,-0.98922),(5765,1535,-0.014779,-0.98398),(5765,1545,-0.013357,-0.97884),(5765,1555,-0.011934,-0.97561),(5765,1565,-0.010548,-0.97238),(5765,1575,-0.009692,-0.96915),(5765,1585,-0.008835,-0.96599),(5765,1595,-0.007978,-0.96371),(5765,1605,-0.007155,-0.96142),(5765,1615,-0.006619,-0.95913),(5765,1625,-0.006083,-0.95694),(5765,1635,-0.005547,-0.95542),(5765,1645,-0.005037,-0.95391),(5765,1655,-0.004681,-0.95239),(5765,1665,-0.004324,-0.95092),(5765,1675,-0.003968,-0.9497),(5765,1685,-0.003642,-0.94847),(5765,1695,-0.003447,-0.94724),(5765,1705,-0.003252,-0.9461),(5765,1715,-0.003058,-0.94526),(5765,1725,-0.002872,-0.94443),(5765,1735,-0.002718,-0.94359),(5765,1745,-0.002565,-0.9428),(5765,1755,-0.002411,-0.94215),(5765,1765,-0.002265,-0.94151),(5765,1775,-0.002139,-0.94086),(5765,1785,-0.002014,-0.94022),(5765,1795,-0.001888,-0.93961),(5765,1805,-0.001777,-0.939),(5765,1815,-0.001701,-0.93839),(5765,1825,-0.001625,-0.93783),(5765,1835,-0.001549,-0.93737),(5765,1845,-0.001465,-0.93691),(5765,1855,-0.001365,-0.93645),(5765,1865,-0.001265,-0.93607),(5765,1875,-0.001166,-0.93584),(5765,1885,-0.001069,-0.9356),(5765,1895,-0.000975,-0.93536),(5765,1905,-0.000881,-0.93508),(5765,1915,-0.000788,-0.93472),(5765,1925,-0.000726,-0.93437),(5765,1935,-0.000709,-0.93401),(5765,1945,-0.000692,-0.93366),(5765,1955,-0.000675,-0.93332),(5765,1965,-0.000667,-0.93298),(5765,1975,-0.000669,-0.93264),(5765,1985,-0.000672,-0.93233),(5765,1995,-0.000674,-0.93205),(5765,2005,-0.000677,-0.93177),(5765,2015,-0.000679,-0.93149),(5765,2025,-0.000681,-0.93122),(5765,2035,-0.000683,-0.93095),(5765,2045,-0.000679,-0.93068),(5765,2055,-0.000669,-0.9304),(5765,2065,-0.000659,-0.93014),(5765,2075,-0.000648,-0.92988),(5765,2085,-0.000639,-0.92961),(5765,2095,-0.00063,-0.92935),(5765,2105,-0.00062,-0.92906),(5765,2115,-0.000611,-0.92876),(5765,2125,-0.000598,-0.92845),(5765,2135,-0.000582,-0.92814),(5765,2145,-0.000566,-0.92788),(5765,2155,-0.000551,-0.92765),(5765,2165,-0.000509,-0.92741),(5765,2175,-0.000455,-0.92717),(5765,2185,-0.000401,-0.92697),(5765,2195,-0.000347,-0.92679),(5765,2205,-0.000304,-0.9266),(5765,2215,-0.000267,-0.92641),(5765,2225,-0.000229,-0.92616),(5765,2235,-0.000192,-0.92587),(5765,2245,-0.000171,-0.92559),(5765,2255,-0.000157,-0.9253),(5765,2265,-0.000143,-0.925),(5765,2275,-0.000128,-0.92469),(5765,2285,-8.7e-05,-0.92438),(5765,2295,-3.8e-05,-0.92407),(5765,2305,1.1e-05,-0.92381),(5765,2315,6e-05,-0.92356),(5765,2325,0.000127,-0.92331),(5765,2335,0.000197,-0.92307),(5765,2345,0.000267,-0.9228),(5765,2355,0.000337,-0.92254),(5765,2365,0.000378,-0.92227),(5765,2375,0.000414,-0.922),(5765,2385,0.000451,-0.92168),(5765,2395,0.000487,-0.92134),(5765,2405,0.000491,-0.921),(5765,2415,0.000491,-0.92067),(5765,2425,0.000491,-0.9203),(5765,2435,0.000491,-0.91992),(5765,2445,0.000504,-0.91955),(5765,2455,0.000518,-0.91918),(5765,2465,0.000531,-0.91883),(5765,2475,0.000545,-0.91848),(5765,2485,0.000574,-0.91813),(5765,2495,0.000603,-0.91778),(5765,2505,0.000633,-0.91742),(5765,2515,0.000662,-0.91706),(5765,2525,0.000666,-0.9167),(5765,2535,0.000671,-0.91634),(5765,2545,0.000676,-0.91594),(5765,2555,0.00068,-0.91553),(5765,2565,0.000668,-0.91512),(5765,2575,0.000657,-0.91472),(5765,2585,0.000646,-0.91431),(5765,2595,0.000636,-0.9139),(5765,2605,0.000637,-0.9135),(5765,2615,0.000639,-0.91309),(5765,2625,0.000641,-0.91272),(5765,2635,0.000646,-0.91234),(5765,2645,0.000667,-0.91197),(5765,2655,0.000688,-0.91159),(5765,2665,0.00071,-0.91122),(5765,2675,0.000734,-0.91085),(5765,2685,0.000775,-0.91047),(5765,2695,0.000815,-0.9101),(5765,2705,0.000855,-0.90973),(5765,2715,0.000892,-0.90937),(5765,2725,0.000919,-0.909),(5765,2735,0.000946,-0.90862),(5765,2745,0.000973,-0.90821),(5765,2755,0.000988,-0.9078),(5765,2765,0.000967,-0.90739),(5765,2775,0.000947,-0.90695),(5765,2785,0.000927,-0.90643),(5765,2795,0.000908,-0.90591),(5765,2805,0.000893,-0.90539),(5765,2815,0.000879,-0.90487),(5765,2825,0.000864,-0.90436),(5765,2835,0.000866,-0.90385),(5765,2845,0.0009,-0.90333),(5765,2855,0.000935,-0.90284),(5765,2865,0.000969,-0.90237),(5765,2875,0.001011,-0.90191),(5765,2885,0.001067,-0.90144),(5765,2895,0.001122,-0.90097),(5765,2905,0.001178,-0.90049),(5765,2915,0.001229,-0.9),(5765,2925,0.001276,-0.89952),(5765,2935,0.001323,-0.89902),(5765,2945,0.00137,-0.89849),(5765,2955,0.00141,-0.89796),(5765,2965,0.001444,-0.89743),(5765,2975,0.001477,-0.89687),(5765,2985,0.001511,-0.89629),(5765,2995,0.001545,-0.8957),(5765,3005,0.00158,-0.89512),(5765,3015,0.001615,-0.89453),(5765,3025,0.001651,-0.89394),(5765,3035,0.001696,-0.89335),(5765,3045,0.00175,-0.89276),(5765,3055,0.001805,-0.89218),(5765,3065,0.001859,-0.89161),(5765,3075,0.001916,-0.89104),(5765,3085,0.001976,-0.89046),(5765,3095,0.002035,-0.88989),(5765,3105,0.002095,-0.88931),(5765,3115,0.002146,-0.88873),(5765,3125,0.002191,-0.88815),(5765,3135,0.002237,-0.88753),(5765,3145,0.002282,-0.88688),(5765,3155,0.002316,-0.88624),(5765,3165,0.002344,-0.88559),(5765,3175,0.002371,-0.88491),(5765,3185,0.002399,-0.88421),(5765,3195,0.00242,-0.88352),(5765,3205,0.002439,-0.88282),(5765,3215,0.002458,-0.88213),(5765,3225,0.002477,-0.88146),(5765,3235,0.002496,-0.88078),(5765,3245,0.002515,-0.8801),(5765,3255,0.002534,-0.87945),(5765,3265,0.002554,-0.8788),(5765,3275,0.002567,-0.87815),(5765,3285,0.002579,-0.8775),(5765,3295,0.002591,-0.87683),(5765,3305,0.002603,-0.87614),(5765,3315,0.00264,-0.87545),(5765,3325,0.002682,-0.87477),(5765,3335,0.002725,-0.87411),(5765,3345,0.002768,-0.87347),(5765,3355,0.002847,-0.87282),(5765,3365,0.002932,-0.87217),(5765,3375,0.003017,-0.87158),(5765,3385,0.003103,-0.871),(5765,3395,0.003168,-0.87042),(5765,3405,0.003231,-0.86984),(5765,3415,0.003295,-0.86919),(5765,3425,0.003358,-0.86853),(5765,3435,0.003382,-0.86788),(5765,3445,0.003404,-0.86722),(5765,3455,0.003425,-0.86651),(5765,3465,0.003447,-0.86579),(5765,3475,0.003495,-0.86508),(5765,3485,0.003544,-0.86436),(5765,3495,0.003594,-0.86374),(5765,3505,0.003644,-0.86313),(5765,3515,0.003775,-0.86251),(5765,3525,0.003906,-0.8619),(5765,3535,0.004037,-0.86146),(5765,3545,0.004169,-0.86101),(5765,3555,0.004313,-0.86057),(5765,3565,0.004457,-0.86013),(5765,3575,0.004602,-0.8597),(5765,3585,0.004744,-0.85927),(5765,3595,0.004863,-0.85884),(5765,3605,0.004983,-0.85841),(5765,3615,0.005102,-0.85802),(5765,3625,0.005226,-0.85763),(5765,3635,0.005381,-0.85724),(5765,3645,0.005536,-0.85688),(5765,3655,0.00569,-0.85672),(5765,3665,0.005858,-0.85656),(5765,3675,0.006089,-0.85639),(5765,3685,0.00632,-0.85629),(5765,3695,0.006551,-0.85642),(5765,3705,0.006796,-0.85655),(5765,3715,0.007096,-0.85668),(5765,3725,0.007395,-0.85689),(5765,3735,0.007695,-0.8574),(5765,3745,0.008013,-0.85792),(5765,3755,0.008389,-0.85843),(5765,3765,0.008765,-0.85908),(5765,3775,0.009141,-0.86013),(5765,3785,0.009565,-0.86118),(5765,3795,0.010112,-0.86222),(5765,3805,0.010658,-0.86351),(5765,3815,0.011204,-0.86536),(5765,3825,0.011834,-0.86721),(5765,3835,0.012639,-0.86906),(5765,3845,0.013444,-0.87136),(5765,3855,0.01425,-0.87454),(5765,3865,0.01513,-0.87772),(5765,3875,0.016141,-0.88089),(5765,3885,0.017153,-0.88475),(5765,3895,0.018164,-0.88971),(5765,3905,0.019243,-0.89468),(5765,3915,0.020421,-0.89964),(5765,3925,0.0216,-0.90537),(5765,3935,0.022779,-0.91215),(5765,3945,0.026423,-0.91894),(5765,3955,0.033196,-0.92572),(5765,3965,0.03997,-0.93397),(5765,3975,0.046744,-0.94394),(5765,3985,0.063665,-0.95391),(5765,3995,0.091569,-0.96388),(5765,4005,0.11947,-0.97871),(5765,4015,0.14738,-0.99839),(5765,4025,0.22946,-1.0181),(5765,4035,0.31684,-1.0311),(5765,4045,0.40422,-1.0301),(5765,4055,0.48716,-1.029),(5765,4065,0.56849,-1.028),(5765,4075,0.64981,-1.0266),(5765,4085,0.68639,-1.0252),(5765,4095,0.687,-1.0238),(5765,4105,0.68762,-1.0227),(5765,4115,0.68828,-1.0216),(5765,4125,0.68899,-1.0206),(5765,4135,0.6897,-1.0196),(5765,4145,0.69044,-1.0186),(5765,4155,0.69132,-1.0176),(5765,4165,0.6922,-1.0166),(5765,4175,0.69308,-1.0156),(5765,4185,0.69419,-1.0146),(5765,4195,0.6953,-1.0137),(5765,4205,0.69641,-1.013),(5765,4215,0.69774,-1.0122),(5765,4225,0.69911,-1.0114),(5765,4235,0.70048,-1.0105),(5765,4245,0.70205,-1.0097),(5765,4255,0.70371,-1.0088),(5765,4265,0.70538,-1.0079),(5765,4275,0.70719,-1.0069),(5765,4285,0.70914,-1.0059),(5765,4295,0.7111,-1.0049),(5765,4305,0.71313,-1.0039),(5765,4315,0.71535,-1.0028),(5765,4325,0.71756,-1.0017),(5765,4335,0.71981,-1.0005),(5765,4345,0.72226,-0.99934),(5765,4355,0.72472,-0.99808),(5765,4365,0.72717,-0.99673),(5765,4375,0.72985,-0.99539),(5765,4385,0.73255,-0.99399),(5765,4395,0.73525,-0.9925),(5765,4405,0.73813,-0.99101),(5765,4415,0.74106,-0.98949),(5765,4425,0.744,-0.98787),(5765,4435,0.74705,-0.98624),(5765,4445,0.75018,-0.98461),(5765,4455,0.75331,-0.98286),(5765,4465,0.75651,-0.98112),(5765,4475,0.75979,-0.97938),(5765,4485,0.76308,-0.97751),(5765,4495,0.76639,-0.97561),(5765,4505,0.7698,-0.97372),(5765,4515,0.77321,-0.97172),(5765,4525,0.77662,-0.96967),(5765,4535,0.78014,-0.96761),(5765,4545,0.78367,-0.96547),(5765,4555,0.78719,-0.96321),(5765,4565,0.79081,-0.96096),(5765,4575,0.79445,-0.95866),(5765,4585,0.79809,-0.95624),(5765,4595,0.8018,-0.95382),(5765,4605,0.80554,-0.95139),(5765,4615,0.80928,-0.94884),(5765,4625,0.81307,-0.94628),(5765,4635,0.81689,-0.94373),(5765,4645,0.82071,-0.94103),(5765,4655,0.82455,-0.93832),(5765,4665,0.82843,-0.93562),(5765,4675,0.83231,-0.93278),(5765,4685,0.83619,-0.92991),(5765,4695,0.84011,-0.92704),(5765,4705,0.84404,-0.92406),(5765,4715,0.84796,-0.92101),(5765,4725,0.85192,-0.91796),(5765,4735,0.85587,-0.91485),(5765,4745,0.85983,-0.91167),(5765,4755,0.86378,-0.90848),(5765,4765,0.86773,-0.90528),(5765,4775,0.87167,-0.90201),(5765,4785,0.87561,-0.89875),(5765,4795,0.87954,-0.89547),(5765,4805,0.88347,-0.89208),(5765,4815,0.8874,-0.88868),(5765,4825,0.89133,-0.88528),(5765,4835,0.89526,-0.88179),(5765,4845,0.8992,-0.87827),(5765,4855,0.90315,-0.87476),(5765,4865,0.90711,-0.8712),(5765,4875,0.91106,-0.86762),(5765,4885,0.91502,-0.86405),(5765,4895,0.91899,-0.8604),(5765,4905,0.92295,-0.85669),(5765,4915,0.9269,-0.85298),(5765,4925,0.93085,-0.84924),(5765,4935,0.93479,-0.84544),(5765,4945,0.93871,-0.84163),(5765,4955,0.94261,-0.83782),(5765,4965,0.94651,-0.83397),(5765,4975,0.95038,-0.83012),(5765,4985,0.95423,-0.82627),(5765,4995,0.95808,-0.82234),(5765,5005,0.96192,-0.8184),(5765,5015,0.96573,-0.81447),(5765,5025,0.96954,-0.81048),(5765,5035,0.97334,-0.80647),(5765,5045,0.97712,-0.80246),(5765,5055,0.9809,-0.79841),(5765,5065,0.98467,-0.79432),(5765,5075,0.98842,-0.79024),(5765,5085,0.99216,-0.78613),(5765,5095,0.9959,-0.78198),(5765,5105,0.99962,-0.77783),(5765,5115,1.0033,-0.77367),(5765,5125,1.007,-0.76948),(5765,5135,1.0107,-0.76529),(5765,5145,1.0144,-0.7611),(5765,5155,1.0181,-0.75686),(5765,5165,1.0217,-0.75261),(5765,5175,1.0254,-0.74837),(5765,5185,1.029,-0.74406),(5765,5195,1.0326,-0.73975),(5765,5205,1.0362,-0.73543),(5765,5215,1.0398,-0.73106),(5765,5225,1.0434,-0.72666),(5765,5235,1.0469,-0.72226),(5765,5245,1.0504,-0.71783),(5765,5255,1.0539,-0.71337),(5765,5265,1.0574,-0.7089),(5765,5275,1.0609,-0.70444),(5765,5285,1.0644,-0.69997),(5765,5295,1.0679,-0.69549),(5765,5305,1.0714,-0.69101),(5765,5315,1.0749,-0.68651),(5765,5325,1.0783,-0.682),(5765,5335,1.0818,-0.67749),(5765,5345,1.0852,-0.67293),(5765,5355,1.0886,-0.66837),(5765,5365,1.092,-0.6638),(5765,5375,1.0954,-0.6592),(5765,5385,1.0988,-0.6546),(5765,5395,1.1021,-0.65),(5765,5405,1.1055,-0.64536),(5765,5415,1.1088,-0.64071),(5765,5425,1.1121,-0.63605),(5765,5435,1.1154,-0.63137),(5765,5445,1.1186,-0.62666),(5765,5455,1.1219,-0.62194),(5765,5465,1.1251,-0.6172),(5765,5475,1.1283,-0.61239),(5765,5485,1.1315,-0.60758),(5765,5495,1.1347,-0.60277),(5765,5505,1.1379,-0.59789),(5765,5515,1.1411,-0.59301),(5765,5525,1.1442,-0.58812),(5765,5535,1.1473,-0.58325),(5765,5545,1.1505,-0.57837),(5765,5555,1.1536,-0.57349),(5765,5565,1.1567,-0.56861),(5765,5575,1.1598,-0.56374),(5765,5585,1.1628,-0.55886),(5765,5595,1.1659,-0.55394),(5765,5605,1.1689,-0.54899),(5765,5615,1.1719,-0.54403),(5765,5625,1.1749,-0.53905),(5765,5635,1.1779,-0.53404),(5765,5645,1.1809,-0.52903),(5765,5655,1.1838,-0.524),(5765,5665,1.1867,-0.51896),(5765,5675,1.1896,-0.51391),(5765,5685,1.1925,-0.50887),(5765,5695,1.1954,-0.50379),(5765,5705,1.1982,-0.49871),(5765,5715,1.201,-0.49364),(5765,5725,1.2038,-0.48852),(5765,5735,1.2065,-0.48339),(5765,5745,1.2093,-0.47827),(5765,5755,1.212,-0.47312),(5765,5765,1.2147,-0.46797),(5765,5775,1.2174,-0.46281),(5765,5785,1.2201,-0.45763),(5765,5795,1.2228,-0.45243),(5765,5805,1.2254,-0.44724),(5765,5815,1.228,-0.44201),(5765,5825,1.2306,-0.43674),(5765,5835,1.2332,-0.43147),(5765,5845,1.2357,-0.42619),(5765,5855,1.2383,-0.42085),(5765,5865,1.2408,-0.41552),(5765,5875,1.2433,-0.41018),(5765,5885,1.2457,-0.40484),(5765,5895,1.2482,-0.3995),(5765,5905,1.2506,-0.39417),(5765,5915,1.2529,-0.3888),(5765,5925,1.2553,-0.38343),(5765,5935,1.2576,-0.37806),(5765,5945,1.2599,-0.37263),(5765,5955,1.2622,-0.36717),(5765,5965,1.2644,-0.36171),(5765,5975,1.2666,-0.35623),(5765,5985,1.2689,-0.35073),(5765,5995,1.271,-0.34522),(5765,6005,1.2731,-0.33972),(5765,6015,1.2753,-0.33423),(5765,6025,1.2774,-0.32875),(5765,6035,1.2794,-0.32326),(5765,6045,1.2815,-0.31775),(5765,6055,1.2835,-0.31225),(5765,6065,1.2854,-0.30675),(5765,6075,1.2874,-0.30116),(5765,6085,1.2893,-0.29556),(5765,6095,1.2912,-0.28996),(5765,6105,1.293,-0.28427),(5765,6115,1.2949,-0.27855),(5765,6125,1.2966,-0.27284),(5765,6135,1.2984,-0.26711),(5765,6145,1.3001,-0.26137),(5765,6155,1.3018,-0.25563),(5765,6165,1.3034,-0.2499),(5765,6175,1.3051,-0.2442),(5765,6185,1.3067,-0.23849),(5765,6195,1.3082,-0.23279),(5765,6205,1.3098,-0.22707),(5765,6215,1.3113,-0.22135),(5765,6225,1.3127,-0.21563),(5765,6235,1.3142,-0.20986),(5765,6245,1.3156,-0.2041),(5765,6255,1.3169,-0.19833),(5765,6265,1.3183,-0.19253),(5765,6275,1.3196,-0.18672),(5765,6285,1.3208,-0.18092),(5765,6295,1.322,-0.17505),(5765,6305,1.3232,-0.16914),(5765,6315,1.3243,-0.16324),(5765,6325,1.3253,-0.15734),(5765,6335,1.3264,-0.15143),(5765,6345,1.3274,-0.14552),(5765,6355,1.3283,-0.13962),(5765,6365,1.3292,-0.13374),(5765,6375,1.3301,-0.12785),(5765,6385,1.3309,-0.12196),(5765,6395,1.3318,-0.116),(5765,6405,1.3325,-0.11003),(5765,6415,1.3332,-0.10407),(5765,6425,1.334,-0.098157),(5765,6435,1.3346,-0.092244),(5765,6445,1.3352,-0.086331),(5765,6455,1.3358,-0.080391),(5765,6465,1.3364,-0.074443),(5765,6475,1.3369,-0.068495),(5765,6485,1.3373,-0.062567),(5765,6495,1.3378,-0.056654),(5765,6505,1.3382,-0.050741),(5765,6515,1.3385,-0.0448),(5765,6525,1.3389,-0.038822),(5765,6535,1.3391,-0.032844),(5765,6545,1.3393,-0.026876),(5765,6555,1.3395,-0.020943),(5765,6565,1.3396,-0.015009),(5765,6575,1.3397,-0.009066),(5765,6585,1.3398,-0.002984),(5765,6595,1.1395,0.003099),(5765,6605,0.71813,0.00918),(5765,6615,0.29673,0.009861),(5765,6625,0.000512,0.009847),(5765,6635,0.00054,0.009834),(5765,6645,0.000568,0.009834),(5765,6655,0.000596,0.009841),(5765,6665,0.000624,0.009847),(5765,6675,0.000651,0.009854),(5765,6685,0.000679,0.00986),(5765,6695,0.000706,0.009866),(5765,6705,0.000732,0.009872),(5765,6715,0.000759,0.009878),(5765,6725,0.000785,0.009884),(5765,6735,0.000812,0.009889),(5765,6745,0.000838,0.009895),(5765,6755,0.000863,0.0099),(5765,6765,0.000889,0.009905),(5765,6775,0.000914,0.009909),(5765,6785,0.000939,0.009914),(5765,6795,0.000964,0.009919),(5765,6805,0.000989,0.009923),(5765,6815,0.001014,0.009927),(5765,6825,0.001038,0.009931),(5765,6835,0.001062,0.009934),(5765,6845,0.001086,0.009938),(5765,6855,0.00111,0.009941),(5765,6865,0.001133,0.009944),(5765,6875,0.001157,0.009947),(5765,6885,0.00118,0.009949),(5765,6895,0.001203,0.009952),(5765,6905,0.001225,0.009954),(5765,6915,0.001248,0.009955),(5765,6925,0.00127,0.009957),(5765,6935,0.001292,0.009959),(5765,6945,0.001314,0.00996),(5765,6955,0.001336,0.009961),(5765,6965,0.001358,0.009962),(5765,6975,0.001379,0.009962),(5765,6985,0.0014,0.009963),(5775,5,-2e-06,-1.0672),(5775,15,-7e-06,-1.0672),(5775,25,-8e-06,-1.0673),(5775,35,-4e-06,-1.0674),(5775,45,0,-1.0674),(5775,55,4e-06,-1.0674),(5775,65,1.9e-05,-1.0674),(5775,75,4.3e-05,-1.0674),(5775,85,6.7e-05,-1.0674),(5775,95,9.1e-05,-1.0675),(5775,105,0.000115,-1.0675),(5775,115,0.00014,-1.0676),(5775,125,0.000164,-1.0676),(5775,135,0.000189,-1.0676),(5775,145,0.000167,-1.0676),(5775,155,0.000119,-1.0676),(5775,165,7.1e-05,-1.0676),(5775,175,2.2e-05,-1.0675),(5775,185,2.4e-05,-1.0674),(5775,195,5e-05,-1.0674),(5775,205,7.5e-05,-1.0674),(5775,215,0.000101,-1.0674),(5775,225,0.00011,-1.0674),(5775,235,0.000112,-1.0675),(5775,245,0.000114,-1.0674),(5775,255,0.000115,-1.0673),(5775,265,0.00017,-1.0671),(5775,275,0.000243,-1.067),(5775,285,0.000315,-1.0671),(5775,295,0.000387,-1.0672),(5775,305,0.000472,-1.0673),(5775,315,0.00056,-1.0674),(5775,325,0.000648,-1.0675),(5775,335,0.000736,-1.0676),(5775,345,0.00078,-1.0676),(5775,355,0.000816,-1.0677),(5775,365,0.000851,-1.0677),(5775,375,0.000887,-1.0677),(5775,385,0.000885,-1.0677),(5775,395,0.000878,-1.0677),(5775,405,0.000871,-1.0676),(5775,415,0.000864,-1.0675),(5775,425,0.000883,-1.0675),(5775,435,0.000903,-1.0674),(5775,445,0.000924,-1.0674),(5775,455,0.000945,-1.0674),(5775,465,0.000988,-1.0674),(5775,475,0.001032,-1.0675),(5775,485,0.001076,-1.0675),(5775,495,0.00112,-1.0675),(5775,505,0.001175,-1.0675),(5775,515,0.00123,-1.0675),(5775,525,0.001286,-1.0675),(5775,535,0.00134,-1.0676),(5775,545,0.001364,-1.0677),(5775,555,0.001388,-1.0677),(5775,565,0.001412,-1.0677),(5775,575,0.001433,-1.0678),(5775,585,0.001407,-1.0678),(5775,595,0.001381,-1.0678),(5775,605,0.001355,-1.0677),(5775,615,0.001337,-1.0677),(5775,625,0.001381,-1.0676),(5775,635,0.001424,-1.0675),(5775,645,0.001468,-1.0676),(5775,655,0.001524,-1.0676),(5775,665,0.00165,-1.0677),(5775,675,0.001775,-1.0678),(5775,685,0.001901,-1.068),(5775,695,0.00201,-1.0682),(5775,705,0.00205,-1.0684),(5775,715,0.00209,-1.0686),(5775,725,0.002129,-1.0687),(5775,735,0.002161,-1.0688),(5775,745,0.002163,-1.0689),(5775,755,0.002165,-1.069),(5775,765,0.002168,-1.0691),(5775,775,0.002182,-1.0691),(5775,785,0.002228,-1.0692),(5775,795,0.002274,-1.0693),(5775,805,0.002321,-1.0696),(5775,815,0.002366,-1.0698),(5775,825,0.00241,-1.07),(5775,835,0.002455,-1.0703),(5775,845,0.002499,-1.0705),(5775,855,0.002552,-1.0708),(5775,865,0.002621,-1.071),(5775,875,0.00269,-1.0713),(5775,885,0.002759,-1.0716),(5775,895,0.002866,-1.072),(5775,905,0.003033,-1.0723),(5775,915,0.0032,-1.0727),(5775,925,0.003366,-1.0733),(5775,935,0.003561,-1.0739),(5775,945,0.003793,-1.0744),(5775,955,0.004026,-1.0751),(5775,965,0.004258,-1.0759),(5775,975,0.004497,-1.0767),(5775,985,0.004745,-1.0775),(5775,995,0.004993,-1.0784),(5775,1005,0.005241,-1.0794),(5775,1015,0.005546,-1.0804),(5775,1025,0.005906,-1.0814),(5775,1035,0.006266,-1.0826),(5775,1045,0.006627,-1.084),(5775,1055,0.007111,-1.0854),(5775,1065,0.007699,-1.0868),(5775,1075,0.008286,-1.0886),(5775,1085,0.008873,-1.0907),(5775,1095,0.009672,-1.0929),(5775,1105,0.010619,-1.095),(5775,1115,0.011566,-1.0978),(5775,1125,0.012513,-1.101),(5775,1135,0.013826,-1.1043),(5775,1145,0.015354,-1.1075),(5775,1155,0.016883,-1.112),(5775,1165,0.018412,-1.1172),(5775,1175,0.020184,-1.1224),(5775,1185,0.022078,-1.1276),(5775,1195,0.023971,-1.1352),(5775,1205,0.025865,-1.144),(5775,1215,0.027398,-1.1528),(5775,1225,0.028783,-1.1615),(5775,1235,0.030167,-1.1737),(5775,1245,0.031552,-1.1871),(5775,1255,0.040287,-1.2006),(5775,1265,0.051505,-1.214),(5775,1275,0.062722,-1.224),(5775,1285,0.07394,-1.2329),(5775,1295,0.099066,-1.2418),(5775,1305,0.12795,-1.2508),(5775,1315,0.15684,-1.2401),(5775,1325,0.18573,-1.2247),(5775,1335,0.11557,-1.2094),(5775,1345,0.024661,-1.1941),(5775,1355,-0.066251,-1.2089),(5775,1365,-0.15716,-1.2291),(5775,1375,-0.15034,-1.2494),(5775,1385,-0.12843,-1.2697),(5775,1395,-0.10653,-1.2646),(5775,1405,-0.084622,-1.2563),(5775,1415,-0.071655,-1.2479),(5775,1425,-0.059616,-1.2396),(5775,1435,-0.047576,-1.2239),(5775,1445,-0.035537,-1.2077),(5775,1455,-0.033689,-1.1915),(5775,1465,-0.032428,-1.1752),(5775,1475,-0.031167,-1.1645),(5775,1485,-0.029905,-1.1539),(5775,1495,-0.027662,-1.1433),(5775,1505,-0.025403,-1.1328),(5775,1515,-0.023144,-1.1269),(5775,1525,-0.020894,-1.1211),(5775,1535,-0.018994,-1.1152),(5775,1545,-0.017093,-1.1095),(5775,1555,-0.015192,-1.1059),(5775,1565,-0.013341,-1.1023),(5775,1575,-0.012202,-1.0987),(5775,1585,-0.011064,-1.0953),(5775,1595,-0.009926,-1.0927),(5775,1605,-0.008832,-1.0901),(5775,1615,-0.008126,-1.0876),(5775,1625,-0.00742,-1.0851),(5775,1635,-0.006714,-1.0834),(5775,1645,-0.006042,-1.0817),(5775,1655,-0.005578,-1.08),(5775,1665,-0.005113,-1.0784),(5775,1675,-0.004649,-1.077),(5775,1685,-0.004224,-1.0757),(5775,1695,-0.003977,-1.0743),(5775,1705,-0.00373,-1.073),(5775,1715,-0.003483,-1.0721),(5775,1725,-0.003248,-1.0711),(5775,1735,-0.003055,-1.0702),(5775,1745,-0.002863,-1.0693),(5775,1755,-0.00267,-1.0686),(5775,1765,-0.002487,-1.0678),(5775,1775,-0.002332,-1.0671),(5775,1785,-0.002177,-1.0664),(5775,1795,-0.002022,-1.0657),(5775,1805,-0.001887,-1.065),(5775,1815,-0.001798,-1.0644),(5775,1825,-0.001709,-1.0637),(5775,1835,-0.001619,-1.0632),(5775,1845,-0.001519,-1.0627),(5775,1855,-0.001398,-1.0621),(5775,1865,-0.001277,-1.0617),(5775,1875,-0.001156,-1.0614),(5775,1885,-0.001038,-1.0612),(5775,1895,-0.000924,-1.0609),(5775,1905,-0.00081,-1.0606),(5775,1915,-0.000697,-1.0602),(5775,1925,-0.000626,-1.0598),(5775,1935,-0.000615,-1.0594),(5775,1945,-0.000604,-1.059),(5775,1955,-0.000593,-1.0587),(5775,1965,-0.000594,-1.0583),(5775,1975,-0.000609,-1.0579),(5775,1985,-0.000624,-1.0575),(5775,1995,-0.000639,-1.0572),(5775,2005,-0.000654,-1.0569),(5775,2015,-0.000668,-1.0566),(5775,2025,-0.000683,-1.0563),(5775,2035,-0.000697,-1.056),(5775,2045,-0.000702,-1.0556),(5775,2055,-0.000699,-1.0553),(5775,2065,-0.000696,-1.055),(5775,2075,-0.000693,-1.0547),(5775,2085,-0.000691,-1.0544),(5775,2095,-0.000689,-1.0541),(5775,2105,-0.000687,-1.0538),(5775,2115,-0.000685,-1.0535),(5775,2125,-0.000678,-1.0531),(5775,2135,-0.000667,-1.0528),(5775,2145,-0.000655,-1.0525),(5775,2155,-0.000644,-1.0522),(5775,2165,-0.000599,-1.0519),(5775,2175,-0.000535,-1.0516),(5775,2185,-0.000472,-1.0514),(5775,2195,-0.000409,-1.0512),(5775,2205,-0.000361,-1.051),(5775,2215,-0.00032,-1.0508),(5775,2225,-0.000279,-1.0505),(5775,2235,-0.000238,-1.0502),(5775,2245,-0.00022,-1.0499),(5775,2255,-0.00021,-1.0495),(5775,2265,-0.0002,-1.0492),(5775,2275,-0.00019,-1.0488),(5775,2285,-0.000144,-1.0485),(5775,2295,-8.7e-05,-1.0481),(5775,2305,-3e-05,-1.0478),(5775,2315,2.7e-05,-1.0475),(5775,2325,0.000107,-1.0472),(5775,2335,0.000193,-1.0469),(5775,2345,0.000279,-1.0466),(5775,2355,0.000364,-1.0464),(5775,2365,0.000411,-1.0461),(5775,2375,0.000451,-1.0458),(5775,2385,0.000491,-1.0454),(5775,2395,0.000531,-1.045),(5775,2405,0.000527,-1.0447),(5775,2415,0.000519,-1.0443),(5775,2425,0.00051,-1.0439),(5775,2435,0.000502,-1.0434),(5775,2445,0.00051,-1.043),(5775,2455,0.00052,-1.0426),(5775,2465,0.00053,-1.0422),(5775,2475,0.00054,-1.0418),(5775,2485,0.00057,-1.0414),(5775,2495,0.000601,-1.041),(5775,2505,0.000632,-1.0406),(5775,2515,0.000663,-1.0402),(5775,2525,0.000661,-1.0398),(5775,2535,0.000659,-1.0394);
INSERT INTO `ILD_00_Brho_Bz` VALUES (5775,2545,0.000657,-1.0389),(5775,2555,0.000653,-1.0385),(5775,2565,0.00063,-1.038),(5775,2575,0.000606,-1.0376),(5775,2585,0.000583,-1.0371),(5775,2595,0.000561,-1.0366),(5775,2605,0.000555,-1.0362),(5775,2615,0.000549,-1.0357),(5775,2625,0.000544,-1.0353),(5775,2635,0.000541,-1.0348),(5775,2645,0.000562,-1.0344),(5775,2655,0.000583,-1.034),(5775,2665,0.000603,-1.0335),(5775,2675,0.000628,-1.0331),(5775,2685,0.000674,-1.0327),(5775,2695,0.00072,-1.0323),(5775,2705,0.000766,-1.0318),(5775,2715,0.000809,-1.0314),(5775,2725,0.000837,-1.031),(5775,2735,0.000865,-1.0306),(5775,2745,0.000893,-1.0301),(5775,2755,0.000905,-1.0297),(5775,2765,0.000869,-1.0292),(5775,2775,0.000834,-1.0288),(5775,2785,0.000798,-1.0282),(5775,2795,0.000765,-1.0276),(5775,2805,0.000737,-1.027),(5775,2815,0.000709,-1.0264),(5775,2825,0.000682,-1.0258),(5775,2835,0.000676,-1.0252),(5775,2845,0.000714,-1.0246),(5775,2855,0.000752,-1.024),(5775,2865,0.00079,-1.0235),(5775,2875,0.000839,-1.023),(5775,2885,0.000905,-1.0224),(5775,2895,0.000971,-1.0219),(5775,2905,0.001038,-1.0213),(5775,2915,0.001099,-1.0208),(5775,2925,0.001154,-1.0202),(5775,2935,0.001209,-1.0197),(5775,2945,0.001263,-1.0191),(5775,2955,0.00131,-1.0185),(5775,2965,0.001347,-1.0179),(5775,2975,0.001383,-1.0173),(5775,2985,0.00142,-1.0166),(5775,2995,0.001458,-1.0159),(5775,3005,0.001497,-1.0153),(5775,3015,0.001536,-1.0146),(5775,3025,0.001575,-1.0139),(5775,3035,0.001627,-1.0132),(5775,3045,0.001692,-1.0126),(5775,3055,0.001757,-1.0119),(5775,3065,0.001821,-1.0113),(5775,3075,0.00189,-1.0106),(5775,3085,0.001961,-1.01),(5775,3095,0.002033,-1.0093),(5775,3105,0.002105,-1.0087),(5775,3115,0.002165,-1.008),(5775,3125,0.002217,-1.0073),(5775,3135,0.00227,-1.0066),(5775,3145,0.002323,-1.0059),(5775,3155,0.00236,-1.0052),(5775,3165,0.002388,-1.0045),(5775,3175,0.002416,-1.0037),(5775,3185,0.002444,-1.0029),(5775,3195,0.002465,-1.0021),(5775,3205,0.002481,-1.0013),(5775,3215,0.002498,-1.0006),(5775,3225,0.002515,-0.99979),(5775,3235,0.002532,-0.99902),(5775,3245,0.002549,-0.99825),(5775,3255,0.002566,-0.99751),(5775,3265,0.002583,-0.99678),(5775,3275,0.002593,-0.99605),(5775,3285,0.0026,-0.99531),(5775,3295,0.002608,-0.99454),(5775,3305,0.002615,-0.99375),(5775,3315,0.002656,-0.99297),(5775,3325,0.002704,-0.99218),(5775,3335,0.002753,-0.99143),(5775,3345,0.002802,-0.99068),(5775,3355,0.002899,-0.98993),(5775,3365,0.003005,-0.98919),(5775,3375,0.003111,-0.98852),(5775,3385,0.003217,-0.98787),(5775,3395,0.003297,-0.98721),(5775,3405,0.003373,-0.98656),(5775,3415,0.003449,-0.98584),(5775,3425,0.003525,-0.98511),(5775,3435,0.00355,-0.98438),(5775,3445,0.00357,-0.98365),(5775,3455,0.003589,-0.98283),(5775,3465,0.003609,-0.98201),(5775,3475,0.003666,-0.98119),(5775,3485,0.003723,-0.98037),(5775,3495,0.003781,-0.97965),(5775,3505,0.003839,-0.97893),(5775,3515,0.004006,-0.97821),(5775,3525,0.004174,-0.97749),(5775,3535,0.004342,-0.97699),(5775,3545,0.00451,-0.97648),(5775,3555,0.004695,-0.97598),(5775,3565,0.004881,-0.97548),(5775,3575,0.005066,-0.975),(5775,3585,0.005248,-0.97453),(5775,3595,0.0054,-0.97405),(5775,3605,0.005552,-0.97357),(5775,3615,0.005704,-0.97312),(5775,3625,0.005862,-0.97267),(5775,3635,0.006061,-0.97222),(5775,3645,0.00626,-0.9718),(5775,3655,0.00646,-0.9716),(5775,3665,0.006676,-0.9714),(5775,3675,0.006979,-0.97121),(5775,3685,0.007281,-0.97107),(5775,3695,0.007583,-0.9712),(5775,3705,0.007904,-0.97134),(5775,3715,0.008299,-0.97148),(5775,3725,0.008693,-0.97171),(5775,3735,0.009088,-0.97229),(5775,3745,0.009508,-0.97286),(5775,3755,0.010006,-0.97344),(5775,3765,0.010503,-0.97417),(5775,3775,0.011001,-0.97532),(5775,3785,0.011564,-0.97648),(5775,3795,0.012291,-0.97764),(5775,3805,0.013019,-0.97907),(5775,3815,0.013746,-0.98111),(5775,3825,0.014586,-0.98316),(5775,3835,0.015663,-0.9852),(5775,3845,0.01674,-0.98777),(5775,3855,0.017817,-0.99133),(5775,3865,0.018994,-0.99489),(5775,3875,0.020349,-0.99845),(5775,3885,0.021705,-1.0029),(5775,3895,0.02306,-1.0087),(5775,3905,0.024505,-1.0145),(5775,3915,0.026086,-1.0203),(5775,3925,0.027667,-1.027),(5775,3935,0.029248,-1.035),(5775,3945,0.03415,-1.043),(5775,3955,0.043271,-1.051),(5775,3965,0.052391,-1.0573),(5775,3975,0.061511,-1.0618),(5775,3985,0.084303,-1.0662),(5775,3995,0.12189,-1.0707),(5775,4005,0.15948,-1.0664),(5775,4015,0.19708,-1.0533),(5775,4025,0.26495,-1.0403),(5775,4035,0.33578,-1.0311),(5775,4045,0.40661,-1.0301),(5775,4055,0.48498,-1.0291),(5775,4065,0.56609,-1.0281),(5775,4075,0.64721,-1.0267),(5775,4085,0.68375,-1.0253),(5775,4095,0.68445,-1.0239),(5775,4105,0.68516,-1.0228),(5775,4115,0.68588,-1.0216),(5775,4125,0.68665,-1.0205),(5775,4135,0.68741,-1.0194),(5775,4145,0.6882,-1.0184),(5775,4155,0.6891,-1.0173),(5775,4165,0.69001,-1.0163),(5775,4175,0.69092,-1.0153),(5775,4185,0.69202,-1.0142),(5775,4195,0.69313,-1.0133),(5775,4205,0.69424,-1.0124),(5775,4215,0.69555,-1.0116),(5775,4225,0.6969,-1.0107),(5775,4235,0.69826,-1.0098),(5775,4245,0.6998,-1.0089),(5775,4255,0.70144,-1.008),(5775,4265,0.70307,-1.007),(5775,4275,0.70485,-1.006),(5775,4285,0.70677,-1.005),(5775,4295,0.7087,-1.004),(5775,4305,0.7107,-1.0029),(5775,4315,0.71288,-1.0019),(5775,4325,0.71506,-1.0007),(5775,4335,0.71727,-0.99955),(5775,4345,0.71968,-0.99836),(5775,4355,0.72209,-0.99708),(5775,4365,0.7245,-0.99573),(5775,4375,0.72714,-0.99437),(5775,4385,0.72979,-0.99296),(5775,4395,0.73244,-0.99145),(5775,4405,0.73526,-0.98994),(5775,4415,0.73814,-0.98841),(5775,4425,0.74102,-0.98676),(5775,4435,0.74402,-0.98512),(5775,4445,0.7471,-0.98347),(5775,4455,0.75017,-0.98171),(5775,4465,0.75331,-0.97996),(5775,4475,0.75654,-0.9782),(5775,4485,0.75977,-0.97633),(5775,4495,0.76303,-0.97443),(5775,4505,0.76638,-0.97253),(5775,4515,0.76972,-0.97053),(5775,4525,0.77308,-0.96848),(5775,4535,0.77654,-0.96642),(5775,4545,0.78,-0.96428),(5775,4555,0.78346,-0.96203),(5775,4565,0.78702,-0.95978),(5775,4575,0.79059,-0.95749),(5775,4585,0.79416,-0.95509),(5775,4595,0.79781,-0.95268),(5775,4605,0.80148,-0.95026),(5775,4615,0.80516,-0.94773),(5775,4625,0.80888,-0.94519),(5775,4635,0.81265,-0.94265),(5775,4645,0.81641,-0.93998),(5775,4655,0.8202,-0.9373),(5775,4665,0.82402,-0.93462),(5775,4675,0.82785,-0.93181),(5775,4685,0.83168,-0.92896),(5775,4695,0.83556,-0.92611),(5775,4705,0.83943,-0.92315),(5775,4715,0.84331,-0.92012),(5775,4725,0.84722,-0.91709),(5775,4735,0.85114,-0.91401),(5775,4745,0.85505,-0.91086),(5775,4755,0.85896,-0.9077),(5775,4765,0.86286,-0.90453),(5775,4775,0.86677,-0.9013),(5775,4785,0.87066,-0.89806),(5775,4795,0.87455,-0.89482),(5775,4805,0.87844,-0.89145),(5775,4815,0.88232,-0.88807),(5775,4825,0.88621,-0.8847),(5775,4835,0.89009,-0.88122),(5775,4845,0.89399,-0.87772),(5775,4855,0.89789,-0.87422),(5775,4865,0.9018,-0.87067),(5775,4875,0.90571,-0.8671),(5775,4885,0.90963,-0.86353),(5775,4895,0.91355,-0.8599),(5775,4905,0.91748,-0.8562),(5775,4915,0.92139,-0.85251),(5775,4925,0.92531,-0.84878),(5775,4935,0.92923,-0.84499),(5775,4945,0.93311,-0.84121),(5775,4955,0.93699,-0.83741),(5775,4965,0.94087,-0.83357),(5775,4975,0.94472,-0.82973),(5775,4985,0.94855,-0.82589),(5775,4995,0.95238,-0.82197),(5775,5005,0.95619,-0.81805),(5775,5015,0.95998,-0.81412),(5775,5025,0.96377,-0.81014),(5775,5035,0.96755,-0.80614),(5775,5045,0.9713,-0.80214),(5775,5055,0.97505,-0.79809),(5775,5065,0.9788,-0.79402),(5775,5075,0.98252,-0.78994),(5775,5085,0.98624,-0.78584),(5775,5095,0.98996,-0.78169),(5775,5105,0.99365,-0.77755),(5775,5115,0.99733,-0.7734),(5775,5125,1.001,-0.76922),(5775,5135,1.0047,-0.76503),(5775,5145,1.0083,-0.76085),(5775,5155,1.012,-0.75662),(5775,5165,1.0156,-0.75238),(5775,5175,1.0193,-0.74815),(5775,5185,1.0229,-0.74386),(5775,5195,1.0265,-0.73956),(5775,5205,1.03,-0.73527),(5775,5215,1.0336,-0.73091),(5775,5225,1.0371,-0.72652),(5775,5235,1.0406,-0.72213),(5775,5245,1.0441,-0.71771),(5775,5255,1.0476,-0.71326),(5775,5265,1.0511,-0.7088),(5775,5275,1.0546,-0.70434),(5775,5285,1.058,-0.69987),(5775,5295,1.0615,-0.6954),(5775,5305,1.0649,-0.69092),(5775,5315,1.0684,-0.68641),(5775,5325,1.0718,-0.6819),(5775,5335,1.0752,-0.6774),(5775,5345,1.0787,-0.67284),(5775,5355,1.082,-0.66828),(5775,5365,1.0854,-0.66372),(5775,5375,1.0888,-0.65913),(5775,5385,1.0922,-0.65453),(5775,5395,1.0955,-0.64994),(5775,5405,1.0988,-0.64531),(5775,5415,1.1021,-0.64066),(5775,5425,1.1054,-0.63602),(5775,5435,1.1087,-0.63134),(5775,5445,1.1119,-0.62663),(5775,5455,1.1152,-0.62192),(5775,5465,1.1184,-0.61719),(5775,5475,1.1216,-0.61238),(5775,5485,1.1247,-0.60758),(5775,5495,1.1279,-0.60277),(5775,5505,1.1311,-0.59789),(5775,5515,1.1342,-0.593),(5775,5525,1.1373,-0.58812),(5775,5535,1.1404,-0.58324),(5775,5545,1.1435,-0.57835),(5775,5555,1.1466,-0.57347),(5775,5565,1.1497,-0.56859),(5775,5575,1.1527,-0.5637),(5775,5585,1.1558,-0.55882),(5775,5595,1.1588,-0.5539),(5775,5605,1.1619,-0.54894),(5775,5615,1.1648,-0.54398),(5775,5625,1.1678,-0.539),(5775,5635,1.1708,-0.53399),(5775,5645,1.1738,-0.52897),(5775,5655,1.1767,-0.52395),(5775,5665,1.1796,-0.51891),(5775,5675,1.1825,-0.51387),(5775,5685,1.1853,-0.50882),(5775,5695,1.1882,-0.50375),(5775,5705,1.191,-0.49868),(5775,5715,1.1938,-0.4936),(5775,5725,1.1965,-0.48849),(5775,5735,1.1993,-0.48336),(5775,5745,1.202,-0.47823),(5775,5755,1.2047,-0.47308),(5775,5765,1.2074,-0.46792),(5775,5775,1.21,-0.46276),(5775,5785,1.2127,-0.45757),(5775,5795,1.2153,-0.45237),(5775,5805,1.2179,-0.44716),(5775,5815,1.2205,-0.44193),(5775,5825,1.2231,-0.43665),(5775,5835,1.2257,-0.43137),(5775,5845,1.2282,-0.42609),(5775,5855,1.2307,-0.42075),(5775,5865,1.2332,-0.41541),(5775,5875,1.2357,-0.41008),(5775,5885,1.2382,-0.40474),(5775,5895,1.2406,-0.3994),(5775,5905,1.2429,-0.39406),(5775,5915,1.2453,-0.3887),(5775,5925,1.2477,-0.38333),(5775,5935,1.25,-0.37796),(5775,5945,1.2522,-0.37253),(5775,5955,1.2545,-0.36707),(5775,5965,1.2567,-0.36161),(5775,5975,1.2589,-0.35613),(5775,5985,1.2611,-0.35062),(5775,5995,1.2632,-0.34511),(5775,6005,1.2653,-0.3396),(5775,6015,1.2674,-0.33411),(5775,6025,1.2695,-0.32861),(5775,6035,1.2715,-0.32312),(5775,6045,1.2736,-0.31762),(5775,6055,1.2756,-0.31212),(5775,6065,1.2775,-0.30661),(5775,6075,1.2795,-0.30102),(5775,6085,1.2814,-0.29542),(5775,6095,1.2832,-0.28982),(5775,6105,1.285,-0.28413),(5775,6115,1.2869,-0.27842),(5775,6125,1.2886,-0.2727),(5775,6135,1.2903,-0.26697),(5775,6145,1.2921,-0.26123),(5775,6155,1.2937,-0.25549),(5775,6165,1.2954,-0.24976),(5775,6175,1.297,-0.24405),(5775,6185,1.2985,-0.23834),(5775,6195,1.3001,-0.23263),(5775,6205,1.3016,-0.22691),(5775,6215,1.3031,-0.22118),(5775,6225,1.3046,-0.21546),(5775,6235,1.306,-0.20969),(5775,6245,1.3074,-0.20393),(5775,6255,1.3087,-0.19816),(5775,6265,1.3101,-0.19237),(5775,6275,1.3114,-0.18657),(5775,6285,1.3126,-0.18077),(5775,6295,1.3138,-0.17491),(5775,6305,1.315,-0.16902),(5775,6315,1.3161,-0.16313),(5775,6325,1.3171,-0.15723),(5775,6335,1.3182,-0.15133),(5775,6345,1.3191,-0.14542),(5775,6355,1.3201,-0.13953),(5775,6365,1.321,-0.13364),(5775,6375,1.3218,-0.12776),(5775,6385,1.3226,-0.12187),(5775,6395,1.3235,-0.11591),(5775,6405,1.3242,-0.10995),(5775,6415,1.3249,-0.10399),(5775,6425,1.3256,-0.098074),(5775,6435,1.3262,-0.09216),(5775,6445,1.3268,-0.086245),(5775,6455,1.3274,-0.080305),(5775,6465,1.328,-0.074357),(5775,6475,1.3285,-0.068409),(5775,6485,1.3289,-0.062482),(5775,6495,1.3294,-0.05657),(5775,6505,1.3297,-0.050658),(5775,6515,1.3301,-0.04472),(5775,6525,1.3304,-0.038747),(5775,6535,1.3307,-0.032774),(5775,6545,1.3309,-0.026814),(5775,6555,1.3311,-0.020891),(5775,6565,1.3312,-0.014969),(5775,6575,1.3313,-0.009037),(5775,6585,1.3314,-0.002963),(5775,6595,1.1324,0.003111),(5775,6605,0.71362,0.009185),(5775,6615,0.29487,0.009872),(5775,6625,0.000504,0.009866),(5775,6635,0.000532,0.00986),(5775,6645,0.00056,0.009862),(5775,6655,0.000589,0.009869),(5775,6665,0.000616,0.009875),(5775,6675,0.000644,0.009881),(5775,6685,0.000671,0.009887),(5775,6695,0.000698,0.009893),(5775,6705,0.000725,0.009899),(5775,6715,0.000752,0.009905),(5775,6725,0.000778,0.00991),(5775,6735,0.000805,0.009916),(5775,6745,0.000831,0.009921),(5775,6755,0.000857,0.009926),(5775,6765,0.000882,0.009931),(5775,6775,0.000908,0.009935),(5775,6785,0.000933,0.009939),(5775,6795,0.000958,0.009944),(5775,6805,0.000983,0.009947),(5775,6815,0.001008,0.009951),(5775,6825,0.001032,0.009955),(5775,6835,0.001057,0.009958),(5775,6845,0.001081,0.009961),(5775,6855,0.001105,0.009965),(5775,6865,0.001128,0.009968),(5775,6875,0.001152,0.00997),(5775,6885,0.001175,0.009972),(5775,6895,0.001198,0.009975),(5775,6905,0.001221,0.009976),(5775,6915,0.001244,0.009978),(5775,6925,0.001266,0.00998),(5775,6935,0.001289,0.009981),(5775,6945,0.001311,0.009982),(5775,6955,0.001333,0.009983),(5775,6965,0.001355,0.009983),(5775,6975,0.001376,0.009984),(5775,6985,0.001398,0.009984),(5785,5,-2e-06,-1.1935),(5785,15,-6e-06,-1.1936),(5785,25,-7e-06,-1.1936),(5785,35,-6e-06,-1.1937),(5785,45,-4e-06,-1.1938),(5785,55,-2e-06,-1.1938),(5785,65,1e-05,-1.1938),(5785,75,3.2e-05,-1.1938),(5785,85,5.4e-05,-1.1938),(5785,95,7.6e-05,-1.1938),(5785,105,0.000105,-1.1939),(5785,115,0.000138,-1.1939),(5785,125,0.000172,-1.1939),(5785,135,0.000206,-1.194),(5785,145,0.000188,-1.194),(5785,155,0.000142,-1.194),(5785,165,9.6e-05,-1.194),(5785,175,5e-05,-1.1939),(5785,185,4.8e-05,-1.1938),(5785,195,6.7e-05,-1.1937),(5785,205,8.6e-05,-1.1937),(5785,215,0.000106,-1.1937),(5785,225,0.000105,-1.1938),(5785,235,9.6e-05,-1.1938),(5785,245,8.7e-05,-1.1937),(5785,255,7.8e-05,-1.1936),(5785,265,0.00013,-1.1934),(5785,275,0.000201,-1.1933),(5785,285,0.000272,-1.1933),(5785,295,0.000343,-1.1935),(5785,305,0.000437,-1.1936),(5785,315,0.000537,-1.1937),(5785,325,0.000637,-1.1938),(5785,335,0.000737,-1.1939),(5785,345,0.000795,-1.194),(5785,355,0.000844,-1.1941),(5785,365,0.000894,-1.1941),(5785,375,0.000943,-1.1941),(5785,385,0.000942,-1.1941),(5785,395,0.000934,-1.1941),(5785,405,0.000926,-1.194),(5785,415,0.000918,-1.1939),(5785,425,0.000929,-1.1938),(5785,435,0.000942,-1.1938),(5785,445,0.000954,-1.1938),(5785,455,0.000967,-1.1938),(5785,465,0.001008,-1.1938),(5785,475,0.00105,-1.1938),(5785,485,0.001093,-1.1938),(5785,495,0.001135,-1.1938),(5785,505,0.001202,-1.1938),(5785,515,0.001268,-1.1938),(5785,525,0.001335,-1.1939),(5785,535,0.001401,-1.1939),(5785,545,0.001442,-1.194),(5785,555,0.001482,-1.1941),(5785,565,0.001523,-1.1941),(5785,575,0.001558,-1.1942),(5785,585,0.001521,-1.1942),(5785,595,0.001485,-1.1942),(5785,605,0.001449,-1.1941),(5785,615,0.001419,-1.1941),(5785,625,0.001439,-1.194),(5785,635,0.00146,-1.1939),(5785,645,0.00148,-1.1939),(5785,655,0.001519,-1.194),(5785,665,0.001662,-1.194),(5785,675,0.001805,-1.1941),(5785,685,0.001948,-1.1944),(5785,695,0.002075,-1.1946),(5785,705,0.002135,-1.1949),(5785,715,0.002196,-1.1951),(5785,725,0.002257,-1.1952),(5785,735,0.002305,-1.1953),(5785,745,0.002313,-1.1955),(5785,755,0.002322,-1.1956),(5785,765,0.00233,-1.1956),(5785,775,0.002354,-1.1957),(5785,785,0.002419,-1.1958),(5785,795,0.002483,-1.1959),(5785,805,0.002548,-1.1962),(5785,815,0.002613,-1.1964),(5785,825,0.002678,-1.1967),(5785,835,0.002743,-1.1969),(5785,845,0.002808,-1.1972),(5785,855,0.002879,-1.1975),(5785,865,0.00296,-1.1978),(5785,875,0.003041,-1.1981),(5785,885,0.003123,-1.1985),(5785,895,0.00325,-1.1988),(5785,905,0.00345,-1.1992),(5785,915,0.003649,-1.1996),(5785,925,0.003848,-1.2003),(5785,935,0.004092,-1.2009),(5785,945,0.004393,-1.2015),(5785,955,0.004694,-1.2023),(5785,965,0.004995,-1.2032),(5785,975,0.005311,-1.2041),(5785,985,0.005646,-1.205),(5785,995,0.00598,-1.206),(5785,1005,0.006314,-1.2071),(5785,1015,0.006724,-1.2082),(5785,1025,0.007207,-1.2093),(5785,1035,0.007691,-1.2106),(5785,1045,0.008174,-1.2121),(5785,1055,0.008823,-1.2137),(5785,1065,0.009607,-1.2152),(5785,1075,0.010391,-1.2173),(5785,1085,0.011176,-1.2196),(5785,1095,0.012245,-1.222),(5785,1105,0.013513,-1.2244),(5785,1115,0.014781,-1.2274),(5785,1125,0.016049,-1.231),(5785,1135,0.017859,-1.2345),(5785,1145,0.019991,-1.2381),(5785,1155,0.022122,-1.243),(5785,1165,0.024253,-1.2488),(5785,1175,0.027102,-1.2545),(5785,1185,0.030308,-1.2603),(5785,1195,0.033514,-1.2691),(5785,1205,0.03672,-1.2793),(5785,1215,0.040024,-1.2895),(5785,1225,0.043368,-1.2997),(5785,1235,0.046712,-1.3145),(5785,1245,0.050057,-1.3311),(5785,1255,0.055531,-1.3477),(5785,1265,0.061724,-1.3643),(5785,1275,0.067918,-1.3711),(5785,1285,0.074112,-1.3749),(5785,1295,0.083186,-1.3787),(5785,1305,0.093039,-1.3825),(5785,1315,0.10289,-1.3442),(5785,1325,0.11275,-1.2959),(5785,1335,0.072108,-1.2476),(5785,1345,0.02089,-1.1992),(5785,1355,-0.030329,-1.2368),(5785,1365,-0.081547,-1.29),(5785,1375,-0.086276,-1.3431),(5785,1385,-0.083832,-1.3963),(5785,1395,-0.081388,-1.4007),(5785,1405,-0.078943,-1.3989),(5785,1415,-0.074124,-1.3971),(5785,1425,-0.069057,-1.3952),(5785,1435,-0.063991,-1.3763),(5785,1445,-0.058924,-1.356),(5785,1455,-0.054952,-1.3356),(5785,1465,-0.051044,-1.3153),(5785,1475,-0.047135,-1.3028),(5785,1485,-0.043227,-1.2905),(5785,1495,-0.03932,-1.2782),(5785,1505,-0.035413,-1.2659),(5785,1515,-0.031506,-1.2594),(5785,1525,-0.027632,-1.2529),(5785,1535,-0.025051,-1.2465),(5785,1545,-0.02247,-1.2401),(5785,1555,-0.019888,-1.2362),(5785,1565,-0.017377,-1.2323),(5785,1575,-0.015878,-1.2283),(5785,1585,-0.014378,-1.2245),(5785,1595,-0.012879,-1.2217),(5785,1605,-0.011442,-1.2189),(5785,1615,-0.010535,-1.216),(5785,1625,-0.009628,-1.2133),(5785,1635,-0.008722,-1.2114),(5785,1645,-0.007857,-1.2096),(5785,1655,-0.007245,-1.2077),(5785,1665,-0.006632,-1.2059),(5785,1675,-0.006019,-1.2044),(5785,1685,-0.005457,-1.2029),(5785,1695,-0.005117,-1.2014),(5785,1705,-0.004777,-1.2),(5785,1715,-0.004437,-1.1989),(5785,1725,-0.004122,-1.1979),(5785,1735,-0.003896,-1.1968),(5785,1745,-0.003671,-1.1958),(5785,1755,-0.003445,-1.195),(5785,1765,-0.003227,-1.1942),(5785,1775,-0.003031,-1.1934),(5785,1785,-0.002834,-1.1926),(5785,1795,-0.002638,-1.1918),(5785,1805,-0.002459,-1.1911),(5785,1815,-0.002319,-1.1903),(5785,1825,-0.002178,-1.1896),(5785,1835,-0.002038,-1.189),(5785,1845,-0.001901,-1.1884),(5785,1855,-0.001771,-1.1878),(5785,1865,-0.00164,-1.1873),(5785,1875,-0.00151,-1.187),(5785,1885,-0.001379,-1.1867),(5785,1895,-0.001247,-1.1864),(5785,1905,-0.001116,-1.186),(5785,1915,-0.000984,-1.1856),(5785,1925,-0.000889,-1.1852),(5785,1935,-0.000843,-1.1848),(5785,1945,-0.000797,-1.1844),(5785,1955,-0.000751,-1.184),(5785,1965,-0.000717,-1.1836),(5785,1975,-0.000698,-1.1831),(5785,1985,-0.000679,-1.1827),(5785,1995,-0.000659,-1.1824),(5785,2005,-0.00065,-1.182),(5785,2015,-0.00065,-1.1817),(5785,2025,-0.000651,-1.1813),(5785,2035,-0.000651,-1.181),(5785,2045,-0.000652,-1.1806),(5785,2055,-0.000652,-1.1803),(5785,2065,-0.000652,-1.1799),(5785,2075,-0.000652,-1.1796),(5785,2085,-0.000648,-1.1793),(5785,2095,-0.000641,-1.1789),(5785,2105,-0.000633,-1.1786),(5785,2115,-0.000626,-1.1782),(5785,2125,-0.000613,-1.1778),(5785,2135,-0.000596,-1.1774),(5785,2145,-0.000579,-1.177),(5785,2155,-0.000562,-1.1767),(5785,2165,-0.000508,-1.1764),(5785,2175,-0.000435,-1.1761),(5785,2185,-0.000362,-1.1758),(5785,2195,-0.000289,-1.1756),(5785,2205,-0.000226,-1.1753),(5785,2215,-0.000168,-1.1751),(5785,2225,-0.00011,-1.1748),(5785,2235,-5.2e-05,-1.1745),(5785,2245,-2.5e-05,-1.1741),(5785,2255,-8e-06,-1.1738),(5785,2265,8e-06,-1.1734),(5785,2275,2.4e-05,-1.173),(5785,2285,6.8e-05,-1.1725),(5785,2295,0.00012,-1.1721),(5785,2305,0.000172,-1.1718),(5785,2315,0.000224,-1.1715),(5785,2325,0.000303,-1.1711),(5785,2335,0.00039,-1.1708),(5785,2345,0.000476,-1.1705),(5785,2355,0.000562,-1.1702),(5785,2365,0.000616,-1.1698),(5785,2375,0.000666,-1.1695),(5785,2385,0.000715,-1.1691),(5785,2395,0.000764,-1.1687),(5785,2405,0.00076,-1.1683),(5785,2415,0.000748,-1.1679),(5785,2425,0.000737,-1.1674),(5785,2435,0.000726,-1.167),(5785,2445,0.000717,-1.1665),(5785,2455,0.000709,-1.166),(5785,2465,0.000701,-1.1655),(5785,2475,0.000692,-1.1651),(5785,2485,0.000711,-1.1646),(5785,2495,0.00073,-1.1642),(5785,2505,0.000749,-1.1637),(5785,2515,0.000768,-1.1633),(5785,2525,0.000763,-1.1629),(5785,2535,0.000758,-1.1624),(5785,2545,0.000754,-1.1619),(5785,2555,0.000748,-1.1614),(5785,2565,0.000725,-1.1609),(5785,2575,0.000701,-1.1604),(5785,2585,0.000678,-1.1599),(5785,2595,0.000656,-1.1593),(5785,2605,0.000652,-1.1588),(5785,2615,0.000648,-1.1583),(5785,2625,0.000644,-1.1578),(5785,2635,0.000643,-1.1573),(5785,2645,0.000664,-1.1568),(5785,2655,0.000686,-1.1563),(5785,2665,0.000707,-1.1559),(5785,2675,0.000734,-1.1554),(5785,2685,0.000791,-1.1549),(5785,2695,0.000848,-1.1544),(5785,2705,0.000906,-1.154),(5785,2715,0.000962,-1.1535),(5785,2725,0.001018,-1.153),(5785,2735,0.001074,-1.1526),(5785,2745,0.00113,-1.1521),(5785,2755,0.001168,-1.1516),(5785,2765,0.001151,-1.1511),(5785,2775,0.001134,-1.1506),(5785,2785,0.001117,-1.1499),(5785,2795,0.001097,-1.1492),(5785,2805,0.001068,-1.1486),(5785,2815,0.00104,-1.1479),(5785,2825,0.001012,-1.1472),(5785,2835,0.001004,-1.1465),(5785,2845,0.001038,-1.1459),(5785,2855,0.001072,-1.1452),(5785,2865,0.001105,-1.1446),(5785,2875,0.001153,-1.144),(5785,2885,0.001222,-1.1434),(5785,2895,0.001292,-1.1428),(5785,2905,0.001361,-1.1422),(5785,2915,0.001426,-1.1416),(5785,2925,0.001485,-1.141),(5785,2935,0.001544,-1.1403),(5785,2945,0.001602,-1.1397),(5785,2955,0.001651,-1.139),(5785,2965,0.001687,-1.1383),(5785,2975,0.001723,-1.1376),(5785,2985,0.001759,-1.1369),(5785,2995,0.001794,-1.1362),(5785,3005,0.001829,-1.1354),(5785,3015,0.001863,-1.1347),(5785,3025,0.001898,-1.1339),(5785,3035,0.001948,-1.1331),(5785,3045,0.002014,-1.1324),(5785,3055,0.002079,-1.1316),(5785,3065,0.002144,-1.1309),(5785,3075,0.002213,-1.1302),(5785,3085,0.002284,-1.1295),(5785,3095,0.002355,-1.1287),(5785,3105,0.002426,-1.128),(5785,3115,0.002483,-1.1273),(5785,3125,0.00253,-1.1265),(5785,3135,0.002577,-1.1258),(5785,3145,0.002624,-1.125),(5785,3155,0.002652,-1.1242),(5785,3165,0.00267,-1.1233),(5785,3175,0.002688,-1.1225),(5785,3185,0.002706,-1.1216),(5785,3195,0.002726,-1.1207),(5785,3205,0.002747,-1.1198),(5785,3215,0.002768,-1.119),(5785,3225,0.00279,-1.1181),(5785,3235,0.002818,-1.1173),(5785,3245,0.002849,-1.1164),(5785,3255,0.002881,-1.1156),(5785,3265,0.002912,-1.1148),(5785,3275,0.002926,-1.1139),(5785,3285,0.002934,-1.1131),(5785,3295,0.002943,-1.1123),(5785,3305,0.002951,-1.1114),(5785,3315,0.002989,-1.1105),(5785,3325,0.003035,-1.1096),(5785,3335,0.00308,-1.1087),(5785,3345,0.003125,-1.1079),(5785,3355,0.003234,-1.107),(5785,3365,0.003354,-1.1062),(5785,3375,0.003475,-1.1055),(5785,3385,0.003595,-1.1047),(5785,3395,0.003698,-1.104),(5785,3405,0.003798,-1.1033),(5785,3415,0.003899,-1.1025),(5785,3425,0.003999,-1.1017),(5785,3435,0.004039,-1.1009),(5785,3445,0.004073,-1.1001),(5785,3455,0.004108,-1.0992),(5785,3465,0.004142,-1.0982),(5785,3475,0.004202,-1.0973),(5785,3485,0.004263,-1.0964),(5785,3495,0.004324,-1.0956),(5785,3505,0.004385,-1.0947),(5785,3515,0.004567,-1.0939),(5785,3525,0.00475,-1.0931),(5785,3535,0.004932,-1.0925),(5785,3545,0.005116,-1.092),(5785,3555,0.005335,-1.0914),(5785,3565,0.005554,-1.0908),(5785,3575,0.005773,-1.0903),(5785,3585,0.00599,-1.0898),(5785,3595,0.006182,-1.0893),(5785,3605,0.006374,-1.0887),(5785,3615,0.006567,-1.0882),(5785,3625,0.006765,-1.0877),(5785,3635,0.007011,-1.0872),(5785,3645,0.007256,-1.0867),(5785,3655,0.007502,-1.0865),(5785,3665,0.00777,-1.0863),(5785,3675,0.008156,-1.086),(5785,3685,0.008541,-1.0858),(5785,3695,0.008927,-1.086),(5785,3705,0.009345,-1.0861),(5785,3715,0.009889,-1.0863),(5785,3725,0.010432,-1.0865),(5785,3735,0.010976,-1.0872),(5785,3745,0.011557,-1.0878),(5785,3755,0.012255,-1.0884),(5785,3765,0.012954,-1.0892),(5785,3775,0.013652,-1.0905),(5785,3785,0.014438,-1.0918),(5785,3795,0.015448,-1.0931),(5785,3805,0.016458,-1.0946),(5785,3815,0.017468,-1.0969),(5785,3825,0.018641,-1.0991),(5785,3835,0.020158,-1.1013),(5785,3845,0.021675,-1.1042),(5785,3855,0.023192,-1.1081),(5785,3865,0.024917,-1.1121),(5785,3875,0.027009,-1.116),(5785,3885,0.0291,-1.121),(5785,3895,0.031191,-1.1276),(5785,3905,0.033372,-1.1343),(5785,3915,0.035685,-1.1409),(5785,3925,0.037997,-1.1486),(5785,3935,0.04031,-1.1578),(5785,3945,0.043857,-1.167),(5785,3955,0.048971,-1.1762),(5785,3965,0.054084,-1.1807),(5785,3975,0.059198,-1.1796),(5785,3985,0.070778,-1.1786),(5785,3995,0.089357,-1.1775),(5785,4005,0.10794,-1.1541),(5785,4015,0.12651,-1.1083),(5785,4025,0.21289,-1.0624),(5785,4035,0.3059,-1.0311),(5785,4045,0.39891,-1.0302),(5785,4055,0.48297,-1.0293),(5785,4065,0.56377,-1.0283),(5785,4075,0.64456,-1.0268),(5785,4085,0.68097,-1.0254),(5785,4095,0.68171,-1.024),(5785,4105,0.68244,-1.0228),(5785,4115,0.68321,-1.0216),(5785,4125,0.68402,-1.0204),(5785,4135,0.68483,-1.0193),(5785,4145,0.68566,-1.0182),(5785,4155,0.68661,-1.0171),(5785,4165,0.68755,-1.016),(5785,4175,0.6885,-1.0149),(5785,4185,0.68963,-1.0138),(5785,4195,0.69076,-1.0128),(5785,4205,0.69189,-1.0119),(5785,4215,0.6932,-1.011),(5785,4225,0.69455,-1.0101),(5785,4235,0.69591,-1.0091),(5785,4245,0.69743,-1.0082),(5785,4255,0.69905,-1.0072),(5785,4265,0.70066,-1.0062),(5785,4275,0.70241,-1.0051),(5785,4285,0.7043,-1.0041),(5785,4295,0.70619,-1.003),(5785,4305,0.70816,-1.002),(5785,4315,0.7103,-1.0009),(5785,4325,0.71244,-0.99977),(5785,4335,0.71461,-0.99857),(5785,4345,0.71698,-0.99738),(5785,4355,0.71935,-0.99609),(5785,4365,0.72172,-0.99472),(5785,4375,0.72432,-0.99336),(5785,4385,0.72692,-0.99193),(5785,4395,0.72953,-0.9904),(5785,4405,0.73231,-0.98888),(5785,4415,0.73514,-0.98732),(5785,4425,0.73797,-0.98566),(5785,4435,0.74092,-0.984),(5785,4445,0.74395,-0.98233),(5785,4455,0.74697,-0.98057),(5785,4465,0.75007,-0.9788),(5785,4475,0.75325,-0.97703),(5785,4485,0.75644,-0.97515),(5785,4495,0.75965,-0.97325),(5785,4505,0.76296,-0.97135),(5785,4515,0.76627,-0.96934),(5785,4525,0.76958,-0.96729),(5785,4535,0.773,-0.96524),(5785,4545,0.77641,-0.96309),(5785,4555,0.77983,-0.96085),(5785,4565,0.78334,-0.95861),(5785,4575,0.78686,-0.95632),(5785,4585,0.79038,-0.95393),(5785,4595,0.79396,-0.95154),(5785,4605,0.79758,-0.94914),(5785,4615,0.8012,-0.94662),(5785,4625,0.80486,-0.9441),(5785,4635,0.80856,-0.94158),(5785,4645,0.81227,-0.93893),(5785,4655,0.81599,-0.93627),(5785,4665,0.81976,-0.93362),(5785,4675,0.82353,-0.93083),(5785,4685,0.8273,-0.928),(5785,4695,0.83113,-0.92517),(5785,4705,0.83495,-0.92224),(5785,4715,0.83878,-0.91923),(5785,4725,0.84264,-0.91622),(5785,4735,0.8465,-0.91317),(5785,4745,0.85037,-0.91005),(5785,4755,0.85423,-0.90692),(5785,4765,0.85809,-0.90378),(5785,4775,0.86196,-0.90058),(5785,4785,0.86581,-0.89737),(5785,4795,0.86966,-0.89416),(5785,4805,0.87351,-0.89081),(5785,4815,0.87735,-0.88746),(5785,4825,0.8812,-0.88411),(5785,4835,0.88505,-0.88064),(5785,4845,0.8889,-0.87716),(5785,4855,0.89277,-0.87367),(5785,4865,0.89663,-0.87014),(5785,4875,0.9005,-0.86658),(5785,4885,0.90438,-0.86302),(5785,4895,0.90827,-0.8594),(5785,4905,0.91215,-0.85572),(5785,4915,0.91602,-0.85203),(5785,4925,0.9199,-0.84832),(5785,4935,0.92378,-0.84455),(5785,4945,0.92763,-0.84078),(5785,4955,0.93147,-0.837),(5785,4965,0.93531,-0.83317),(5785,4975,0.93913,-0.82934),(5785,4985,0.94294,-0.82552),(5785,4995,0.94674,-0.8216),(5785,5005,0.95052,-0.81769),(5785,5015,0.95429,-0.81377),(5785,5025,0.95805,-0.8098),(5785,5035,0.9618,-0.80581),(5785,5045,0.96553,-0.80182),(5785,5055,0.96925,-0.79778),(5785,5065,0.97298,-0.79371),(5785,5075,0.97667,-0.78965),(5785,5085,0.98035,-0.78555),(5785,5095,0.98404,-0.78141),(5785,5105,0.98771,-0.77727),(5785,5115,0.99136,-0.77313),(5785,5125,0.99502,-0.76895),(5785,5135,0.99866,-0.76478),(5785,5145,1.0023,-0.7606),(5785,5155,1.0059,-0.75638),(5785,5165,1.0095,-0.75216),(5785,5175,1.0131,-0.74793),(5785,5185,1.0167,-0.74366),(5785,5195,1.0203,-0.73938),(5785,5205,1.0239,-0.7351),(5785,5215,1.0274,-0.73076),(5785,5225,1.0309,-0.72638),(5785,5235,1.0344,-0.72201),(5785,5245,1.0379,-0.7176),(5785,5255,1.0414,-0.71315),(5785,5265,1.0448,-0.7087),(5785,5275,1.0483,-0.70424),(5785,5285,1.0517,-0.69977),(5785,5295,1.0552,-0.6953),(5785,5305,1.0586,-0.69082),(5785,5315,1.062,-0.68632),(5785,5325,1.0654,-0.68181),(5785,5335,1.0688,-0.6773),(5785,5345,1.0722,-0.67275),(5785,5355,1.0755,-0.6682),(5785,5365,1.0789,-0.66364),(5785,5375,1.0822,-0.65906),(5785,5385,1.0856,-0.65447),(5785,5395,1.0889,-0.64988),(5785,5405,1.0922,-0.64525),(5785,5415,1.0955,-0.64062),(5785,5425,1.0988,-0.63598),(5785,5435,1.102,-0.63131),(5785,5445,1.1053,-0.62661),(5785,5455,1.1085,-0.62191),(5785,5465,1.1117,-0.61718),(5785,5475,1.1149,-0.61238),(5785,5485,1.118,-0.60758),(5785,5495,1.1212,-0.60277),(5785,5505,1.1243,-0.59789),(5785,5515,1.1274,-0.593),(5785,5525,1.1305,-0.58812),(5785,5535,1.1336,-0.58323),(5785,5545,1.1367,-0.57834),(5785,5555,1.1397,-0.57345),(5785,5565,1.1428,-0.56856),(5785,5575,1.1458,-0.56367),(5785,5585,1.1488,-0.55878),(5785,5595,1.1518,-0.55385),(5785,5605,1.1548,-0.54889),(5785,5615,1.1578,-0.54393),(5785,5625,1.1608,-0.53895),(5785,5635,1.1637,-0.53393),(5785,5645,1.1666,-0.52892),(5785,5655,1.1695,-0.5239),(5785,5665,1.1725,-0.51886),(5785,5675,1.1753,-0.51382),(5785,5685,1.1782,-0.50878),(5785,5695,1.181,-0.50371),(5785,5705,1.1838,-0.49864),(5785,5715,1.1865,-0.49357),(5785,5725,1.1893,-0.48845),(5785,5735,1.192,-0.48333),(5785,5745,1.1947,-0.4782),(5785,5755,1.1974,-0.47304),(5785,5765,1.2001,-0.46787),(5785,5775,1.2027,-0.4627),(5785,5785,1.2053,-0.45751),(5785,5795,1.208,-0.4523),(5785,5805,1.2106,-0.44708),(5785,5815,1.2131,-0.44184),(5785,5825,1.2157,-0.43656),(5785,5835,1.2182,-0.43128),(5785,5845,1.2207,-0.42599),(5785,5855,1.2233,-0.42065),(5785,5865,1.2257,-0.41531),(5785,5875,1.2282,-0.40997),(5785,5885,1.2306,-0.40463),(5785,5895,1.233,-0.39929),(5785,5905,1.2354,-0.39395),(5785,5915,1.2377,-0.38859),(5785,5925,1.2401,-0.38322),(5785,5935,1.2423,-0.37786),(5785,5945,1.2446,-0.37243),(5785,5955,1.2469,-0.36697),(5785,5965,1.249,-0.36151),(5785,5975,1.2512,-0.35602),(5785,5985,1.2534,-0.35051),(5785,5995,1.2555,-0.34499),(5785,6005,1.2576,-0.33948),(5785,6015,1.2597,-0.33398),(5785,6025,1.2617,-0.32848),(5785,6035,1.2638,-0.32298),(5785,6045,1.2658,-0.31748),(5785,6055,1.2678,-0.31198),(5785,6065,1.2697,-0.30648),(5785,6075,1.2716,-0.30088),(5785,6085,1.2735,-0.29529),(5785,6095,1.2753,-0.28969),(5785,6105,1.2771,-0.284),(5785,6115,1.279,-0.27828),(5785,6125,1.2807,-0.27257),(5785,6135,1.2824,-0.26683),(5785,6145,1.2841,-0.26109),(5785,6155,1.2857,-0.25535),(5785,6165,1.2874,-0.24962),(5785,6175,1.289,-0.24391),(5785,6185,1.2905,-0.23819),(5785,6195,1.292,-0.23248),(5785,6205,1.2935,-0.22675),(5785,6215,1.295,-0.22102),(5785,6225,1.2964,-0.21529),(5785,6235,1.2979,-0.20953),(5785,6245,1.2993,-0.20376),(5785,6255,1.3006,-0.19799),(5785,6265,1.3019,-0.19221),(5785,6275,1.3032,-0.18642),(5785,6285,1.3044,-0.18062),(5785,6295,1.3056,-0.17477),(5785,6305,1.3068,-0.16889),(5785,6315,1.3079,-0.16302),(5785,6325,1.3089,-0.15713),(5785,6335,1.31,-0.15122),(5785,6345,1.3109,-0.14532),(5785,6355,1.3119,-0.13943),(5785,6365,1.3128,-0.13355),(5785,6375,1.3136,-0.12768),(5785,6385,1.3145,-0.12179),(5785,6395,1.3153,-0.11583),(5785,6405,1.316,-0.10987),(5785,6415,1.3167,-0.10391),(5785,6425,1.3174,-0.097991),(5785,6435,1.318,-0.092075),(5785,6445,1.3186,-0.086159),(5785,6455,1.3192,-0.080218),(5785,6465,1.3197,-0.07427),(5785,6475,1.3202,-0.068322),(5785,6485,1.3206,-0.062397),(5785,6495,1.3211,-0.056486),(5785,6505,1.3214,-0.050575),(5785,6515,1.3218,-0.04464),(5785,6525,1.3221,-0.038672),(5785,6535,1.3224,-0.032704),(5785,6545,1.3226,-0.026751),(5785,6555,1.3228,-0.02084),(5785,6565,1.3229,-0.014929),(5785,6575,1.323,-0.009009),(5785,6585,1.323,-0.002942),(5785,6595,1.1253,0.003124),(5785,6605,0.70917,0.009191),(5785,6615,0.29303,0.009883),(5785,6625,0.000497,0.009884),(5785,6635,0.000525,0.009886),(5785,6645,0.000553,0.00989),(5785,6655,0.000582,0.009897),(5785,6665,0.000609,0.009903),(5785,6675,0.000637,0.009909),(5785,6685,0.000664,0.009914),(5785,6695,0.000692,0.00992),(5785,6705,0.000719,0.009926),(5785,6715,0.000746,0.009931),(5785,6725,0.000772,0.009937),(5785,6735,0.000798,0.009942),(5785,6745,0.000825,0.009947),(5785,6755,0.000851,0.009951),(5785,6765,0.000877,0.009956),(5785,6775,0.000902,0.00996),(5785,6785,0.000928,0.009964),(5785,6795,0.000953,0.009969),(5785,6805,0.000978,0.009972),(5785,6815,0.001003,0.009976),(5785,6825,0.001027,0.009979),(5785,6835,0.001052,0.009983),(5785,6845,0.001076,0.009985),(5785,6855,0.0011,0.009989),(5785,6865,0.001124,0.009991),(5785,6875,0.001148,0.009993),(5785,6885,0.001171,0.009996),(5785,6895,0.001195,0.009998),(5785,6905,0.001218,0.009999),(5785,6915,0.001241,0.010001),(5785,6925,0.001263,0.010002),(5785,6935,0.001286,0.010003),(5785,6945,0.001308,0.010004),(5785,6955,0.00133,0.010005),(5785,6965,0.001352,0.010005),(5785,6975,0.001374,0.010005),(5785,6985,0.001396,0.010006),(5795,5,-1e-06,-1.3195),(5795,15,-4e-06,-1.3196),(5795,25,-6e-06,-1.3197),(5795,35,-7e-06,-1.3198),(5795,45,-7e-06,-1.3198),(5795,55,-8e-06,-1.3198),(5795,65,3e-06,-1.3198),(5795,75,2.2e-05,-1.3198),(5795,85,4.2e-05,-1.3198),(5795,95,6.2e-05,-1.3199),(5795,105,9.5e-05,-1.3199),(5795,115,0.000138,-1.3199),(5795,125,0.000181,-1.32),(5795,135,0.000224,-1.32),(5795,145,0.000211,-1.3201),(5795,155,0.000168,-1.3201),(5795,165,0.000124,-1.3201),(5795,175,8.1e-05,-1.3199),(5795,185,7.6e-05,-1.3198),(5795,195,8.8e-05,-1.3197),(5795,205,0.000101,-1.3197),(5795,215,0.000114,-1.3198),(5795,225,0.000103,-1.3198),(5795,235,8.3e-05,-1.3199),(5795,245,6.3e-05,-1.3198),(5795,255,4.3e-05,-1.3196),(5795,265,9.1e-05,-1.3194),(5795,275,0.00016,-1.3192),(5795,285,0.00023,-1.3193),(5795,295,0.000299,-1.3194),(5795,305,0.000402,-1.3196),(5795,315,0.000513,-1.3197),(5795,325,0.000625,-1.3198),(5795,335,0.000737,-1.3199),(5795,345,0.000808,-1.32),(5795,355,0.000872,-1.3201),(5795,365,0.000936,-1.3201),(5795,375,0.001,-1.3201),(5795,385,0.001,-1.3201),(5795,395,0.000991,-1.3201),(5795,405,0.000982,-1.3201),(5795,415,0.000973,-1.32),(5795,425,0.000976,-1.3199),(5795,435,0.000981,-1.3198),(5795,445,0.000985,-1.3198),(5795,455,0.00099,-1.3198),(5795,465,0.001028,-1.3198),(5795,475,0.001069,-1.3198),(5795,485,0.001109,-1.3198),(5795,495,0.001149,-1.3198),(5795,505,0.001227,-1.3198),(5795,515,0.001306,-1.3198),(5795,525,0.001384,-1.3199),(5795,535,0.001462,-1.32),(5795,545,0.00152,-1.3201),(5795,555,0.001577,-1.3202),(5795,565,0.001635,-1.3202),(5795,575,0.001685,-1.3203),(5795,585,0.001638,-1.3203),(5795,595,0.001592,-1.3204),(5795,605,0.001545,-1.3202),(5795,615,0.001504,-1.3201),(5795,625,0.001499,-1.32),(5795,635,0.001496,-1.3199),(5795,645,0.001492,-1.3199),(5795,655,0.001513,-1.32),(5795,665,0.001672,-1.32),(5795,675,0.001832,-1.3201),(5795,685,0.001992,-1.3204),(5795,695,0.002137,-1.3207),(5795,705,0.002219,-1.321),(5795,715,0.002301,-1.3213),(5795,725,0.002383,-1.3214),(5795,735,0.00245,-1.3216),(5795,745,0.002464,-1.3217),(5795,755,0.002479,-1.3218),(5795,765,0.002494,-1.3219),(5795,775,0.002528,-1.3219),(5795,785,0.002612,-1.322),(5795,795,0.002696,-1.3222),(5795,805,0.00278,-1.3224),(5795,815,0.002865,-1.3227),(5795,825,0.002952,-1.323),(5795,835,0.003038,-1.3233),(5795,845,0.003125,-1.3236),(5795,855,0.003214,-1.3239),(5795,865,0.003307,-1.3243),(5795,875,0.003401,-1.3246),(5795,885,0.003495,-1.325),(5795,895,0.003642,-1.3253),(5795,905,0.003875,-1.3257),(5795,915,0.004107,-1.3262),(5795,925,0.004339,-1.3269),(5795,935,0.004631,-1.3276),(5795,945,0.005001,-1.3283),(5795,955,0.005372,-1.3291),(5795,965,0.005743,-1.3301),(5795,975,0.006138,-1.3311),(5795,985,0.006559,-1.3322),(5795,995,0.006981,-1.3333),(5795,1005,0.007403,-1.3344),(5795,1015,0.007919,-1.3356),(5795,1025,0.008527,-1.3368),(5795,1035,0.009136,-1.3383),(5795,1045,0.009744,-1.34),(5795,1055,0.010558,-1.3417),(5795,1065,0.011542,-1.3434),(5795,1075,0.012526,-1.3456),(5795,1085,0.013511,-1.3482),(5795,1095,0.014853,-1.3508),(5795,1105,0.016445,-1.3534),(5795,1115,0.018038,-1.3567),(5795,1125,0.01963,-1.3606),(5795,1135,0.021946,-1.3644),(5795,1145,0.024689,-1.3683),(5795,1155,0.027432,-1.3737),(5795,1165,0.030175,-1.38),(5795,1175,0.034127,-1.3863),(5795,1185,0.03868,-1.3926),(5795,1195,0.043232,-1.4026),(5795,1205,0.047785,-1.4142),(5795,1215,0.052917,-1.4259),(5795,1225,0.058288,-1.4375),(5795,1235,0.063659,-1.455),(5795,1245,0.06903,-1.4747),(5795,1255,0.071017,-1.4945),(5795,1265,0.071861,-1.5142),(5795,1275,0.072705,-1.5178),(5795,1285,0.073549,-1.5165),(5795,1295,0.065644,-1.5152),(5795,1305,0.055373,-1.5139),(5795,1315,0.045102,-1.4481),(5795,1325,0.03483,-1.3669),(5795,1335,0.025656,-1.2856),(5795,1345,0.016711,-1.2044),(5795,1355,0.007766,-1.2647),(5795,1365,-0.001178,-1.3507),(5795,1375,-0.018012,-1.4367),(5795,1385,-0.036063,-1.5226),(5795,1395,-0.054115,-1.5365),(5795,1405,-0.072166,-1.5412),(5795,1415,-0.075966,-1.5458),(5795,1425,-0.078288,-1.5504),(5795,1435,-0.080609,-1.5282),(5795,1445,-0.08293,-1.5038),(5795,1455,-0.076766,-1.4795),(5795,1465,-0.070114,-1.4551),(5795,1475,-0.063462,-1.4407),(5795,1485,-0.05681,-1.4267),(5795,1495,-0.051195,-1.4127),(5795,1505,-0.045595,-1.3987),(5795,1515,-0.039996,-1.3916),(5795,1525,-0.034454,-1.3845),(5795,1535,-0.031184,-1.3774),(5795,1545,-0.027914,-1.3704),(5795,1555,-0.024644,-1.3661),(5795,1565,-0.021464,-1.3619),(5795,1575,-0.019601,-1.3576),(5795,1585,-0.017738,-1.3535),(5795,1595,-0.015874,-1.3504),(5795,1605,-0.01409,-1.3473),(5795,1615,-0.012981,-1.3442),(5795,1625,-0.011873,-1.3412),(5795,1635,-0.010764,-1.3391),(5795,1645,-0.009705,-1.3371),(5795,1655,-0.008943,-1.335),(5795,1665,-0.008181,-1.333),(5795,1675,-0.007418,-1.3314),(5795,1685,-0.006716,-1.3298),(5795,1695,-0.006281,-1.3281),(5795,1705,-0.005847,-1.3266),(5795,1715,-0.005412,-1.3254),(5795,1725,-0.005017,-1.3243),(5795,1735,-0.004758,-1.3231),(5795,1745,-0.0045,-1.322),(5795,1755,-0.004241,-1.3211),(5795,1765,-0.003988,-1.3202),(5795,1775,-0.00375,-1.3193),(5795,1785,-0.003512,-1.3184),(5795,1795,-0.003274,-1.3176),(5795,1805,-0.00305,-1.3168),(5795,1815,-0.002857,-1.316),(5795,1825,-0.002664,-1.3152),(5795,1835,-0.002471,-1.3145),(5795,1845,-0.002296,-1.3139),(5795,1855,-0.002157,-1.3132),(5795,1865,-0.002018,-1.3126),(5795,1875,-0.001879,-1.3123),(5795,1885,-0.001736,-1.3119),(5795,1895,-0.001586,-1.3116),(5795,1905,-0.001437,-1.3112),(5795,1915,-0.001287,-1.3108),(5795,1925,-0.001166,-1.3104),(5795,1935,-0.001083,-1.3099),(5795,1945,-0.001001,-1.3095),(5795,1955,-0.000918,-1.309),(5795,1965,-0.000848,-1.3085),(5795,1975,-0.000792,-1.3081),(5795,1985,-0.000737,-1.3076),(5795,1995,-0.000682,-1.3073),(5795,2005,-0.000647,-1.3069),(5795,2015,-0.000632,-1.3065),(5795,2025,-0.000618,-1.3061),(5795,2035,-0.000603,-1.3057),(5795,2045,-0.000598,-1.3053),(5795,2055,-0.000601,-1.3049),(5795,2065,-0.000604,-1.3045),(5795,2075,-0.000607,-1.3041),(5795,2085,-0.000601,-1.3038),(5795,2095,-0.000587,-1.3034),(5795,2105,-0.000574,-1.303),(5795,2115,-0.000561,-1.3026),(5795,2125,-0.000542,-1.3021),(5795,2135,-0.000519,-1.3017),(5795,2145,-0.000496,-1.3013),(5795,2155,-0.000473,-1.3009),(5795,2165,-0.000411,-1.3006),(5795,2175,-0.000327,-1.3002),(5795,2185,-0.000244,-1.2999),(5795,2195,-0.000161,-1.2997),(5795,2205,-8.3e-05,-1.2994),(5795,2215,-7e-06,-1.2992),(5795,2225,6.9e-05,-1.2988),(5795,2235,0.000144,-1.2984),(5795,2245,0.000181,-1.2981),(5795,2255,0.000204,-1.2977),(5795,2265,0.000227,-1.2972),(5795,2275,0.00025,-1.2968),(5795,2285,0.000291,-1.2963),(5795,2295,0.000337,-1.2959),(5795,2305,0.000383,-1.2955),(5795,2315,0.00043,-1.2951),(5795,2325,0.000508,-1.2947),(5795,2335,0.000594,-1.2944),(5795,2345,0.00068,-1.294),(5795,2355,0.000766,-1.2937),(5795,2365,0.000829,-1.2933),(5795,2375,0.000888,-1.293),(5795,2385,0.000947,-1.2926),(5795,2395,0.001006,-1.2921),(5795,2405,0.001,-1.2917),(5795,2415,0.000986,-1.2912),(5795,2425,0.000973,-1.2907),(5795,2435,0.000959,-1.2902),(5795,2445,0.000933,-1.2896),(5795,2455,0.000906,-1.2891),(5795,2465,0.000879,-1.2886),(5795,2475,0.000852,-1.2881),(5795,2485,0.000857,-1.2876),(5795,2495,0.000864,-1.2871),(5795,2505,0.000871,-1.2866),(5795,2515,0.000878,-1.2861),(5795,2525,0.00087,-1.2856),(5795,2535,0.000863,-1.2852),(5795,2545,0.000856,-1.2846),(5795,2555,0.000847,-1.284),(5795,2565,0.000825,-1.2835),(5795,2575,0.000802,-1.2829),(5795,2585,0.00078,-1.2823),(5795,2595,0.000759,-1.2818),(5795,2605,0.000757,-1.2812),(5795,2615,0.000755,-1.2806),(5795,2625,0.000752,-1.2801),(5795,2635,0.000754,-1.2795),(5795,2645,0.000775,-1.279),(5795,2655,0.000797,-1.2784),(5795,2665,0.000819,-1.2779),(5795,2675,0.000849,-1.2773),(5795,2685,0.000917,-1.2768),(5795,2695,0.000986,-1.2763),(5795,2705,0.001054,-1.2758),(5795,2715,0.001126,-1.2753),(5795,2725,0.001211,-1.2748),(5795,2735,0.001296,-1.2742),(5795,2745,0.001381,-1.2737),(5795,2755,0.001445,-1.2732),(5795,2765,0.001448,-1.2726),(5795,2775,0.001451,-1.2721),(5795,2785,0.001454,-1.2713),(5795,2795,0.001448,-1.2706),(5795,2805,0.00142,-1.2699),(5795,2815,0.001391,-1.2691),(5795,2825,0.001363,-1.2684),(5795,2835,0.001354,-1.2676),(5795,2845,0.001383,-1.2668),(5795,2855,0.001412,-1.2661),(5795,2865,0.001441,-1.2654),(5795,2875,0.001487,-1.2647),(5795,2885,0.001559,-1.2641),(5795,2895,0.001631,-1.2634),(5795,2905,0.001704,-1.2627),(5795,2915,0.001772,-1.2621),(5795,2925,0.001835,-1.2614),(5795,2935,0.001897,-1.2607),(5795,2945,0.00196,-1.26),(5795,2955,0.00201,-1.2592),(5795,2965,0.002045,-1.2585),(5795,2975,0.00208,-1.2577),(5795,2985,0.002116,-1.2569),(5795,2995,0.002148,-1.2561),(5795,3005,0.002178,-1.2553),(5795,3015,0.002207,-1.2544),(5795,3025,0.002237,-1.2536),(5795,3035,0.002286,-1.2527),(5795,3045,0.002351,-1.2519),(5795,3055,0.002416,-1.2511),(5795,3065,0.002482,-1.2503),(5795,3075,0.00255,-1.2495),(5795,3085,0.00262,-1.2487),(5795,3095,0.002691,-1.2478),(5795,3105,0.002761,-1.247),(5795,3115,0.002813,-1.2462),(5795,3125,0.002854,-1.2454),(5795,3135,0.002895,-1.2446),(5795,3145,0.002936,-1.2437),(5795,3155,0.002955,-1.2428),(5795,3165,0.002962,-1.2419),(5795,3175,0.002969,-1.241),(5795,3185,0.002976,-1.24),(5795,3195,0.002996,-1.239),(5795,3205,0.003022,-1.2381),(5795,3215,0.003048,-1.2371),(5795,3225,0.003074,-1.2362),(5795,3235,0.003115,-1.2352),(5795,3245,0.003161,-1.2343),(5795,3255,0.003207,-1.2333),(5795,3265,0.003253,-1.2324),(5795,3275,0.003271,-1.2315),(5795,3285,0.003281,-1.2306),(5795,3295,0.003291,-1.2297),(5795,3305,0.003301,-1.2287),(5795,3315,0.003336,-1.2277),(5795,3325,0.003378,-1.2267),(5795,3335,0.003419,-1.2258),(5795,3345,0.003461,-1.2248),(5795,3355,0.003581,-1.2239),(5795,3365,0.003715,-1.2229),(5795,3375,0.003849,-1.2221),(5795,3385,0.003983,-1.2213),(5795,3395,0.00411,-1.2205),(5795,3405,0.004235,-1.2197),(5795,3415,0.00436,-1.2189),(5795,3425,0.004486,-1.218),(5795,3435,0.004541,-1.2171),(5795,3445,0.004591,-1.2162),(5795,3455,0.004641,-1.2152),(5795,3465,0.004691,-1.2142),(5795,3475,0.004754,-1.2131),(5795,3485,0.004818,-1.2121),(5795,3495,0.004882,-1.2112),(5795,3505,0.004946,-1.2102),(5795,3515,0.005142,-1.2093),(5795,3525,0.005338,-1.2084),(5795,3535,0.005534,-1.2078),(5795,3545,0.005732,-1.2071),(5795,3555,0.005985,-1.2065),(5795,3565,0.006238,-1.2059),(5795,3575,0.006491,-1.2053),(5795,3585,0.006742,-1.2048),(5795,3595,0.006975,-1.2042),(5795,3605,0.007208,-1.2036),(5795,3615,0.00744,-1.203),(5795,3625,0.00768,-1.2025),(5795,3635,0.007971,-1.2019),(5795,3645,0.008263,-1.2014),(5795,3655,0.008555,-1.2011),(5795,3665,0.008875,-1.2008),(5795,3675,0.009345,-1.2005),(5795,3685,0.009814,-1.2003),(5795,3695,0.010284,-1.2005),(5795,3705,0.010799,-1.2006),(5795,3715,0.011494,-1.2008),(5795,3725,0.012189,-1.2011),(5795,3735,0.012884,-1.2018),(5795,3745,0.01363,-1.2025),(5795,3755,0.014532,-1.2032),(5795,3765,0.015433,-1.204),(5795,3775,0.016335,-1.2054),(5795,3785,0.017348,-1.2068),(5795,3795,0.018645,-1.2082),(5795,3805,0.019941,-1.2099),(5795,3815,0.021238,-1.2123),(5795,3825,0.022749,-1.2148),(5795,3835,0.024714,-1.2172),(5795,3845,0.026678,-1.2203),(5795,3855,0.028643,-1.2246),(5795,3865,0.030925,-1.2289),(5795,3875,0.033769,-1.2333),(5795,3885,0.036613,-1.2388),(5795,3895,0.039456,-1.2463),(5795,3905,0.042386,-1.2537),(5795,3915,0.045445,-1.2612),(5795,3925,0.048504,-1.2699),(5795,3935,0.051562,-1.2803),(5795,3945,0.053646,-1.2907),(5795,3955,0.054491,-1.3011),(5795,3965,0.055336,-1.3037),(5795,3975,0.056181,-1.2972),(5795,3985,0.055844,-1.2907),(5795,3995,0.054228,-1.2841),(5795,4005,0.052611,-1.2416),(5795,4015,0.050995,-1.1631),(5795,4025,0.15723,-1.0846),(5795,4035,0.27402,-1.031),(5795,4045,0.3908,-1.0302),(5795,4055,0.48098,-1.0294),(5795,4065,0.56144,-1.0284),(5795,4075,0.6419,-1.027),(5795,4085,0.67818,-1.0255),(5795,4095,0.67895,-1.0241),(5795,4105,0.67972,-1.0228),(5795,4115,0.68053,-1.0216),(5795,4125,0.68138,-1.0203),(5795,4135,0.68223,-1.0192),(5795,4145,0.68311,-1.018),(5795,4155,0.6841,-1.0169),(5795,4165,0.68508,-1.0157),(5795,4175,0.68607,-1.0145),(5795,4185,0.68722,-1.0134),(5795,4195,0.68838,-1.0123),(5795,4205,0.68953,-1.0113),(5795,4215,0.69085,-1.0104),(5795,4225,0.6922,-1.0094),(5795,4235,0.69355,-1.0084),(5795,4245,0.69506,-1.0074),(5795,4255,0.69666,-1.0064),(5795,4265,0.69825,-1.0054),(5795,4275,0.69997,-1.0043),(5795,4285,0.70182,-1.0032),(5795,4295,0.70368,-1.0021),(5795,4305,0.70561,-1.001),(5795,4315,0.70772,-0.99997),(5795,4325,0.70982,-0.9988),(5795,4335,0.71195,-0.9976),(5795,4345,0.71428,-0.9964),(5795,4355,0.71661,-0.9951),(5795,4365,0.71894,-0.99372),(5795,4375,0.72149,-0.99234),(5795,4385,0.72405,-0.9909),(5795,4395,0.72661,-0.98935),(5795,4405,0.72935,-0.98781),(5795,4415,0.73213,-0.98624),(5795,4425,0.73491,-0.98456),(5795,4435,0.73781,-0.98288),(5795,4445,0.74079,-0.98119),(5795,4455,0.74377,-0.97942),(5795,4465,0.74682,-0.97764),(5795,4475,0.74997,-0.97586),(5795,4485,0.75311,-0.97398),(5795,4495,0.75628,-0.97207),(5795,4505,0.75955,-0.97016),(5795,4515,0.76281,-0.96816),(5795,4525,0.76609,-0.9661),(5795,4535,0.76946,-0.96405),(5795,4545,0.77283,-0.96191),(5795,4555,0.7762,-0.95967),(5795,4565,0.77966,-0.95743),(5795,4575,0.78313,-0.95516),(5795,4585,0.7866,-0.95278),(5795,4595,0.79013,-0.9504),(5795,4605,0.79368,-0.94801),(5795,4615,0.79724,-0.94551),(5795,4625,0.80084,-0.94301),(5795,4635,0.80449,-0.94051),(5795,4645,0.80813,-0.93788),(5795,4655,0.81179,-0.93525),(5795,4665,0.8155,-0.93262),(5795,4675,0.81921,-0.92985),(5795,4685,0.82293,-0.92705),(5795,4695,0.82671,-0.92424),(5795,4705,0.83048,-0.92133),(5795,4715,0.83425,-0.91834),(5795,4725,0.83806,-0.91536),(5795,4735,0.84187,-0.91233),(5795,4745,0.84569,-0.90924),(5795,4755,0.84951,-0.90614),(5795,4765,0.85333,-0.90303),(5795,4775,0.85715,-0.89986),(5795,4785,0.86096,-0.89669),(5795,4795,0.86477,-0.89351),(5795,4805,0.86858,-0.89018),(5795,4815,0.87239,-0.88685),(5795,4825,0.8762,-0.88352),(5795,4835,0.88001,-0.88007),(5795,4845,0.88383,-0.8766),(5795,4855,0.88765,-0.87313),(5795,4865,0.89148,-0.86961),(5795,4875,0.8953,-0.86606),(5795,4885,0.89914,-0.86251),(5795,4895,0.90298,-0.8589),(5795,4905,0.90682,-0.85523),(5795,4915,0.91066,-0.85156),(5795,4925,0.9145,-0.84786),(5795,4935,0.91833,-0.8441),(5795,4945,0.92215,-0.84035),(5795,4955,0.92595,-0.83658),(5795,4965,0.92976,-0.83277),(5795,4975,0.93355,-0.82895),(5795,4985,0.93732,-0.82514),(5795,4995,0.9411,-0.82124),(5795,5005,0.94486,-0.81733),(5795,5015,0.94859,-0.81343),(5795,5025,0.95233,-0.80946),(5795,5035,0.95606,-0.80548),(5795,5045,0.95976,-0.8015),(5795,5055,0.96346,-0.79747),(5795,5065,0.96715,-0.79341),(5795,5075,0.97081,-0.78935),(5795,5085,0.97447,-0.78526),(5795,5095,0.97813,-0.78113),(5795,5105,0.98177,-0.777),(5795,5115,0.9854,-0.77285),(5795,5125,0.98902,-0.76869),(5795,5135,0.99264,-0.76452),(5795,5145,0.99625,-0.76034),(5795,5155,0.99986,-0.75614),(5795,5165,1.0034,-0.75193),(5795,5175,1.007,-0.74772),(5795,5185,1.0106,-0.74346),(5795,5195,1.0142,-0.7392),(5795,5205,1.0177,-0.73494),(5795,5215,1.0212,-0.73061),(5795,5225,1.0247,-0.72625),(5795,5235,1.0282,-0.72189),(5795,5245,1.0317,-0.71748),(5795,5255,1.0351,-0.71304),(5795,5265,1.0386,-0.70859),(5795,5275,1.042,-0.70414),(5795,5285,1.0454,-0.69967),(5795,5295,1.0488,-0.6952),(5795,5305,1.0522,-0.69072),(5795,5315,1.0556,-0.68622),(5795,5325,1.059,-0.68171),(5795,5335,1.0623,-0.67721),(5795,5345,1.0657,-0.67266),(5795,5355,1.0691,-0.66811),(5795,5365,1.0724,-0.66356),(5795,5375,1.0757,-0.65898),(5795,5385,1.079,-0.6544),(5795,5395,1.0823,-0.64981),(5795,5405,1.0856,-0.6452),(5795,5415,1.0889,-0.64057),(5795,5425,1.0921,-0.63594),(5795,5435,1.0953,-0.63128),(5795,5445,1.0986,-0.62659),(5795,5455,1.1018,-0.62189),(5795,5465,1.105,-0.61717),(5795,5475,1.1081,-0.61237),(5795,5485,1.1113,-0.60758),(5795,5495,1.1144,-0.60277),(5795,5505,1.1175,-0.59788),(5795,5515,1.1206,-0.593),(5795,5525,1.1237,-0.58811),(5795,5535,1.1268,-0.58322),(5795,5545,1.1298,-0.57833),(5795,5555,1.1328,-0.57343),(5795,5565,1.1359,-0.56854),(5795,5575,1.1389,-0.56364),(5795,5585,1.1418,-0.55874),(5795,5595,1.1448,-0.55381),(5795,5605,1.1478,-0.54884),(5795,5615,1.1507,-0.54388),(5795,5625,1.1537,-0.53889),(5795,5635,1.1566,-0.53388),(5795,5645,1.1595,-0.52887),(5795,5655,1.1624,-0.52385),(5795,5665,1.1653,-0.51881),(5795,5675,1.1682,-0.51378),(5795,5685,1.171,-0.50874),(5795,5695,1.1738,-0.50367),(5795,5705,1.1766,-0.4986),(5795,5715,1.1793,-0.49354),(5795,5725,1.1821,-0.48842),(5795,5735,1.1848,-0.48329),(5795,5745,1.1875,-0.47816),(5795,5755,1.1902,-0.473),(5795,5765,1.1928,-0.46783),(5795,5775,1.1954,-0.46265),(5795,5785,1.198,-0.45745),(5795,5795,1.2006,-0.45223),(5795,5805,1.2032,-0.447),(5795,5815,1.2057,-0.44176),(5795,5825,1.2083,-0.43647),(5795,5835,1.2108,-0.43119),(5795,5845,1.2133,-0.42589),(5795,5855,1.2158,-0.42055),(5795,5865,1.2182,-0.41521),(5795,5875,1.2206,-0.40987),(5795,5885,1.2231,-0.40453),(5795,5895,1.2255,-0.39919),(5795,5905,1.2278,-0.39385),(5795,5915,1.2301,-0.38848),(5795,5925,1.2325,-0.38312),(5795,5935,1.2347,-0.37775),(5795,5945,1.237,-0.37233),(5795,5955,1.2392,-0.36687),(5795,5965,1.2414,-0.36141),(5795,5975,1.2436,-0.35592),(5795,5985,1.2457,-0.3504),(5795,5995,1.2478,-0.34487),(5795,6005,1.2499,-0.33936),(5795,6015,1.252,-0.33385),(5795,6025,1.254,-0.32835),(5795,6035,1.256,-0.32284),(5795,6045,1.258,-0.31734),(5795,6055,1.2599,-0.31184),(5795,6065,1.2618,-0.30634),(5795,6075,1.2638,-0.30075),(5795,6085,1.2656,-0.29515),(5795,6095,1.2674,-0.28955),(5795,6105,1.2693,-0.28387),(5795,6115,1.271,-0.27815),(5795,6125,1.2728,-0.27243),(5795,6135,1.2745,-0.2667),(5795,6145,1.2762,-0.26095),(5795,6155,1.2778,-0.25521),(5795,6165,1.2794,-0.24947),(5795,6175,1.281,-0.24376),(5795,6185,1.2825,-0.23804),(5795,6195,1.284,-0.23233),(5795,6205,1.2855,-0.22659),(5795,6215,1.2869,-0.22086),(5795,6225,1.2883,-0.21513),(5795,6235,1.2897,-0.20936),(5795,6245,1.2911,-0.20359),(5795,6255,1.2924,-0.19782),(5795,6265,1.2937,-0.19204),(5795,6275,1.295,-0.18626),(5795,6285,1.2962,-0.18048),(5795,6295,1.2974,-0.17464),(5795,6305,1.2986,-0.16877),(5795,6315,1.2997,-0.1629),(5795,6325,1.3007,-0.15702),(5795,6335,1.3018,-0.15112),(5795,6345,1.3027,-0.14523),(5795,6355,1.3037,-0.13934),(5795,6365,1.3046,-0.13346),(5795,6375,1.3055,-0.12759),(5795,6385,1.3063,-0.1217),(5795,6395,1.3071,-0.11574),(5795,6405,1.3078,-0.10979),(5795,6415,1.3085,-0.10383),(5795,6425,1.3092,-0.097908),(5795,6435,1.3098,-0.09199),(5795,6445,1.3104,-0.086073),(5795,6455,1.3109,-0.080132),(5795,6465,1.3115,-0.074184),(5795,6475,1.3119,-0.068236),(5795,6485,1.3123,-0.062311),(5795,6495,1.3128,-0.056402),(5795,6505,1.3131,-0.050492),(5795,6515,1.3135,-0.04456),(5795,6525,1.3138,-0.038597),(5795,6535,1.314,-0.032635),(5795,6545,1.3143,-0.026688),(5795,6555,1.3145,-0.020789),(5795,6565,1.3146,-0.014889),(5795,6575,1.3147,-0.00898),(5795,6585,1.3147,-0.002922),(5795,6595,1.1182,0.003137),(5795,6605,0.70472,0.009196),(5795,6615,0.29119,0.009894),(5795,6625,0.00049,0.009903),(5795,6635,0.000518,0.009912),(5795,6645,0.000546,0.009919),(5795,6655,0.000575,0.009924),(5795,6665,0.000602,0.00993),(5795,6675,0.00063,0.009936),(5795,6685,0.000658,0.009942),(5795,6695,0.000685,0.009947),(5795,6705,0.000712,0.009953),(5795,6715,0.000739,0.009958),(5795,6725,0.000766,0.009963),(5795,6735,0.000792,0.009968),(5795,6745,0.000819,0.009973),(5795,6755,0.000845,0.009977),(5795,6765,0.000871,0.009982),(5795,6775,0.000897,0.009986),(5795,6785,0.000922,0.00999),(5795,6795,0.000948,0.009994),(5795,6805,0.000973,0.009997),(5795,6815,0.000998,0.01),(5795,6825,0.001023,0.010004),(5795,6835,0.001047,0.010007),(5795,6845,0.001072,0.01001),(5795,6855,0.001096,0.010012),(5795,6865,0.00112,0.010015),(5795,6875,0.001144,0.010017),(5795,6885,0.001168,0.010019),(5795,6895,0.001191,0.010021),(5795,6905,0.001215,0.010022),(5795,6915,0.001238,0.010023),(5795,6925,0.00126,0.010025),(5795,6935,0.001283,0.010025),(5795,6945,0.001306,0.010026),(5795,6955,0.001328,0.010027),(5795,6965,0.00135,0.010027),(5795,6975,0.001372,0.010027),(5795,6985,0.001394,0.010027),(5805,5,-1e-06,-1.3195),(5805,15,-3e-06,-1.3196),(5805,25,-5e-06,-1.3197),(5805,35,-8e-06,-1.3198),(5805,45,-1e-05,-1.3198),(5805,55,-1.3e-05,-1.3198),(5805,65,-5e-06,-1.3198),(5805,75,1.2e-05,-1.3198),(5805,85,3e-05,-1.3198),(5805,95,4.7e-05,-1.3198),(5805,105,8.5e-05,-1.3199),(5805,115,0.000137,-1.3199),(5805,125,0.000189,-1.3199),(5805,135,0.000241,-1.32),(5805,145,0.000234,-1.3201),(5805,155,0.000194,-1.3202),(5805,165,0.000153,-1.3201),(5805,175,0.000112,-1.32),(5805,185,0.000103,-1.3198),(5805,195,0.000109,-1.3197),(5805,205,0.000116,-1.3197),(5805,215,0.000122,-1.3198),(5805,225,0.000101,-1.3199),(5805,235,7e-05,-1.3199),(5805,245,3.9e-05,-1.3198),(5805,255,9e-06,-1.3196),(5805,265,5.2e-05,-1.3194),(5805,275,0.00012,-1.3192),(5805,285,0.000187,-1.3192),(5805,295,0.000255,-1.3193),(5805,305,0.000367,-1.3195),(5805,315,0.00049,-1.3196),(5805,325,0.000613,-1.3197),(5805,335,0.000736,-1.3198),(5805,345,0.000822,-1.3199),(5805,355,0.0009,-1.32),(5805,365,0.000979,-1.3201),(5805,375,0.001057,-1.3201),(5805,385,0.001058,-1.3201),(5805,395,0.001048,-1.3201),(5805,405,0.001038,-1.3201),(5805,415,0.001028,-1.32),(5805,425,0.001024,-1.3199),(5805,435,0.00102,-1.3198),(5805,445,0.001016,-1.3198),(5805,455,0.001012,-1.3198),(5805,465,0.001049,-1.3198),(5805,475,0.001087,-1.3198),(5805,485,0.001125,-1.3198),(5805,495,0.001163,-1.3198),(5805,505,0.001253,-1.3198),(5805,515,0.001343,-1.3197),(5805,525,0.001433,-1.3198),(5805,535,0.001523,-1.3199),(5805,545,0.001597,-1.32),(5805,555,0.001672,-1.3201),(5805,565,0.001747,-1.3202),(5805,575,0.001813,-1.3203),(5805,585,0.001756,-1.3204),(5805,595,0.001699,-1.3204),(5805,605,0.001642,-1.3203),(5805,615,0.001588,-1.3202),(5805,625,0.00156,-1.3201),(5805,635,0.001531,-1.32),(5805,645,0.001503,-1.32),(5805,655,0.001506,-1.3199),(5805,665,0.001683,-1.3199),(5805,675,0.00186,-1.32),(5805,685,0.002037,-1.3203),(5805,695,0.002199,-1.3206),(5805,705,0.002303,-1.3209),(5805,715,0.002406,-1.3212),(5805,725,0.00251,-1.3214),(5805,735,0.002594,-1.3215),(5805,745,0.002616,-1.3217),(5805,755,0.002637,-1.3218),(5805,765,0.002658,-1.3219),(5805,775,0.002702,-1.3219),(5805,785,0.002805,-1.322),(5805,795,0.002909,-1.3221),(5805,805,0.003012,-1.3224),(5805,815,0.003117,-1.3227),(5805,825,0.003225,-1.323),(5805,835,0.003333,-1.3233),(5805,845,0.003441,-1.3236),(5805,855,0.003548,-1.3239),(5805,865,0.003654,-1.3242),(5805,875,0.00376,-1.3246),(5805,885,0.003866,-1.3249),(5805,895,0.004035,-1.3253),(5805,905,0.0043,-1.3256),(5805,915,0.004564,-1.3261),(5805,925,0.004829,-1.3267),(5805,935,0.00517,-1.3274),(5805,945,0.00561,-1.328),(5805,955,0.006051,-1.3289),(5805,965,0.006491,-1.3299),(5805,975,0.006964,-1.3309),(5805,985,0.007473,-1.3319),(5805,995,0.007982,-1.333),(5805,1005,0.008491,-1.3342),(5805,1015,0.009115,-1.3353),(5805,1025,0.009848,-1.3365),(5805,1035,0.010581,-1.3379),(5805,1045,0.011314,-1.3396),(5805,1055,0.012294,-1.3412),(5805,1065,0.013478,-1.3429),(5805,1075,0.014662,-1.345),(5805,1085,0.015845,-1.3475),(5805,1095,0.017461,-1.35),(5805,1105,0.019378,-1.3526),(5805,1115,0.021295,-1.3558),(5805,1125,0.023212,-1.3595),(5805,1135,0.026033,-1.3632),(5805,1145,0.029387,-1.3669),(5805,1155,0.032742,-1.372),(5805,1165,0.036097,-1.3779),(5805,1175,0.041152,-1.3838),(5805,1185,0.047051,-1.3897),(5805,1195,0.05295,-1.3987),(5805,1205,0.05885,-1.4091),(5805,1215,0.06581,-1.4196),(5805,1225,0.073207,-1.43),(5805,1235,0.080605,-1.4467),(5805,1245,0.088003,-1.4656),(5805,1255,0.086503,-1.4846),(5805,1265,0.081997,-1.5035),(5805,1275,0.077492,-1.5113),(5805,1285,0.072986,-1.5156),(5805,1295,0.048102,-1.52),(5805,1305,0.017707,-1.5243),(5805,1315,-0.012689,-1.4573),(5805,1325,-0.043084,-1.3731),(5805,1335,-0.020796,-1.2889),(5805,1345,0.012533,-1.2047),(5805,1355,0.045862,-1.2651),(5805,1365,0.079191,-1.3516),(5805,1375,0.050252,-1.4382),(5805,1385,0.011705,-1.5247),(5805,1395,-0.026842,-1.5342),(5805,1405,-0.065388,-1.5338),(5805,1415,-0.077809,-1.5333),(5805,1425,-0.087518,-1.5329),(5805,1435,-0.097227,-1.512),(5805,1445,-0.10694,-1.4893),(5805,1455,-0.09858,-1.4667),(5805,1465,-0.089184,-1.4441),(5805,1475,-0.079789,-1.4315),(5805,1485,-0.070393,-1.4193),(5805,1495,-0.06307,-1.4071),(5805,1505,-0.055778,-1.3949),(5805,1515,-0.048486,-1.3883),(5805,1525,-0.041276,-1.3818),(5805,1535,-0.037317,-1.3752),(5805,1545,-0.033358,-1.3687),(5805,1555,-0.029399,-1.3646),(5805,1565,-0.025552,-1.3606),(5805,1575,-0.023324,-1.3565),(5805,1585,-0.021097,-1.3525),(5805,1595,-0.01887,-1.3495),(5805,1605,-0.016737,-1.3465),(5805,1615,-0.015427,-1.3435),(5805,1625,-0.014117,-1.3406),(5805,1635,-0.012807,-1.3386),(5805,1645,-0.011554,-1.3365),(5805,1655,-0.010641,-1.3345),(5805,1665,-0.009729,-1.3325),(5805,1675,-0.008817,-1.331),(5805,1685,-0.007975,-1.3294),(5805,1695,-0.007446,-1.3278),(5805,1705,-0.006917,-1.3263),(5805,1715,-0.006388,-1.3252),(5805,1725,-0.005912,-1.3241),(5805,1735,-0.00562,-1.323),(5805,1745,-0.005329,-1.3219),(5805,1755,-0.005037,-1.321),(5805,1765,-0.004748,-1.3201),(5805,1775,-0.004469,-1.3192),(5805,1785,-0.004189,-1.3183),(5805,1795,-0.00391,-1.3175),(5805,1805,-0.003641,-1.3167),(5805,1815,-0.003395,-1.3158),(5805,1825,-0.003149,-1.3151),(5805,1835,-0.002904,-1.3144),(5805,1845,-0.002691,-1.3138),(5805,1855,-0.002543,-1.3131),(5805,1865,-0.002395,-1.3126),(5805,1875,-0.002247,-1.3122),(5805,1885,-0.002092,-1.3119),(5805,1895,-0.001925,-1.3115),(5805,1905,-0.001758,-1.3111),(5805,1915,-0.00159,-1.3107),(5805,1925,-0.001443,-1.3102),(5805,1935,-0.001324,-1.3098),(5805,1945,-0.001204,-1.3094),(5805,1955,-0.001085,-1.3089),(5805,1965,-0.000978,-1.3084),(5805,1975,-0.000887,-1.308),(5805,1985,-0.000795,-1.3076),(5805,1995,-0.000704,-1.3072),(5805,2005,-0.000644,-1.3068),(5805,2015,-0.000614,-1.3064),(5805,2025,-0.000584,-1.3061),(5805,2035,-0.000555,-1.3057),(5805,2045,-0.000544,-1.3053),(5805,2055,-0.00055,-1.3049),(5805,2065,-0.000556,-1.3045),(5805,2075,-0.000562,-1.3042),(5805,2085,-0.000553,-1.3038),(5805,2095,-0.000534,-1.3034),(5805,2105,-0.000515,-1.303),(5805,2115,-0.000496,-1.3026),(5805,2125,-0.000471,-1.3021),(5805,2135,-0.000442,-1.3017),(5805,2145,-0.000413,-1.3013),(5805,2155,-0.000385,-1.3009),(5805,2165,-0.000313,-1.3005),(5805,2175,-0.00022,-1.3001),(5805,2185,-0.000126,-1.2998),(5805,2195,-3.3e-05,-1.2996),(5805,2205,6.1e-05,-1.2993),(5805,2215,0.000154,-1.2991),(5805,2225,0.000247,-1.2987),(5805,2235,0.00034,-1.2984),(5805,2245,0.000386,-1.298),(5805,2255,0.000416,-1.2977),(5805,2265,0.000446,-1.2972),(5805,2275,0.000475,-1.2968),(5805,2285,0.000514,-1.2963),(5805,2295,0.000554,-1.2958),(5805,2305,0.000595,-1.2955),(5805,2315,0.000636,-1.2951),(5805,2325,0.000713,-1.2947),(5805,2335,0.000799,-1.2943),(5805,2345,0.000885,-1.294),(5805,2355,0.000971,-1.2936),(5805,2365,0.001042,-1.2933),(5805,2375,0.001111,-1.2929),(5805,2385,0.001179,-1.2925),(5805,2395,0.001248,-1.2921),(5805,2405,0.00124,-1.2917),(5805,2415,0.001224,-1.2913),(5805,2425,0.001208,-1.2907),(5805,2435,0.001192,-1.2902),(5805,2445,0.001148,-1.2897),(5805,2455,0.001102,-1.2892),(5805,2465,0.001056,-1.2887),(5805,2475,0.001011,-1.2882),(5805,2485,0.001004,-1.2876),(5805,2495,0.000999,-1.2871),(5805,2505,0.000993,-1.2866),(5805,2515,0.000987,-1.2862),(5805,2525,0.000977,-1.2857),(5805,2535,0.000967,-1.2852),(5805,2545,0.000957,-1.2846),(5805,2555,0.000947,-1.2841),(5805,2565,0.000925,-1.2835),(5805,2575,0.000903,-1.283),(5805,2585,0.000881,-1.2824),(5805,2595,0.000862,-1.2818),(5805,2605,0.000861,-1.2812),(5805,2615,0.000861,-1.2806),(5805,2625,0.000861,-1.2801),(5805,2635,0.000864,-1.2795),(5805,2645,0.000886,-1.279),(5805,2655,0.000909,-1.2784),(5805,2665,0.000931,-1.2779),(5805,2675,0.000964,-1.2773),(5805,2685,0.001043,-1.2767),(5805,2695,0.001123,-1.2762),(5805,2705,0.001203,-1.2757),(5805,2715,0.00129,-1.2752),(5805,2725,0.001404,-1.2746),(5805,2735,0.001517,-1.2741),(5805,2745,0.001631,-1.2736),(5805,2755,0.001722,-1.2731),(5805,2765,0.001745,-1.2726),(5805,2775,0.001768,-1.272),(5805,2785,0.001791,-1.2713),(5805,2795,0.001799,-1.2706),(5805,2805,0.001771,-1.2699),(5805,2815,0.001743,-1.2692),(5805,2825,0.001715,-1.2684),(5805,2835,0.001704,-1.2676),(5805,2845,0.001729,-1.2668),(5805,2855,0.001753,-1.2661),(5805,2865,0.001777,-1.2654),(5805,2875,0.001821,-1.2647),(5805,2885,0.001896,-1.264),(5805,2895,0.001971,-1.2633),(5805,2905,0.002046,-1.2627),(5805,2915,0.002118,-1.262),(5805,2925,0.002184,-1.2613),(5805,2935,0.002251,-1.2606),(5805,2945,0.002318,-1.2599),(5805,2955,0.00237,-1.2592),(5805,2965,0.002404,-1.2585),(5805,2975,0.002438,-1.2577),(5805,2985,0.002472,-1.2569),(5805,2995,0.002502,-1.2561),(5805,3005,0.002527,-1.2553),(5805,3015,0.002551,-1.2544),(5805,3025,0.002576,-1.2536),(5805,3035,0.002623,-1.2527),(5805,3045,0.002688,-1.2519),(5805,3055,0.002754,-1.251),(5805,3065,0.00282,-1.2502),(5805,3075,0.002887,-1.2494),(5805,3085,0.002957,-1.2486),(5805,3095,0.003026,-1.2478),(5805,3105,0.003095,-1.247),(5805,3115,0.003144,-1.2462),(5805,3125,0.003178,-1.2454),(5805,3135,0.003213,-1.2446),(5805,3145,0.003248,-1.2437),(5805,3155,0.003258,-1.2428),(5805,3165,0.003254,-1.242),(5805,3175,0.00325,-1.241),(5805,3185,0.003247,-1.24),(5805,3195,0.003267,-1.239),(5805,3205,0.003297,-1.2381),(5805,3215,0.003328,-1.2371),(5805,3225,0.003359,-1.2361),(5805,3235,0.003411,-1.2352),(5805,3245,0.003472,-1.2342),(5805,3255,0.003533,-1.2333),(5805,3265,0.003594,-1.2324),(5805,3275,0.003617,-1.2315),(5805,3285,0.003628,-1.2307),(5805,3295,0.003639,-1.2297),(5805,3305,0.00365,-1.2287),(5805,3315,0.003683,-1.2277),(5805,3325,0.003721,-1.2267),(5805,3335,0.003759,-1.2257),(5805,3345,0.003796,-1.2248),(5805,3355,0.003927,-1.2238),(5805,3365,0.004076,-1.2228),(5805,3375,0.004223,-1.222),(5805,3385,0.004372,-1.2212),(5805,3395,0.004522,-1.2204),(5805,3405,0.004672,-1.2196),(5805,3415,0.004822,-1.2187),(5805,3425,0.004972,-1.2179),(5805,3435,0.005043,-1.217),(5805,3445,0.005109,-1.2162),(5805,3455,0.005174,-1.2152),(5805,3465,0.005239,-1.2142),(5805,3475,0.005306,-1.2131),(5805,3485,0.005372,-1.2121),(5805,3495,0.005439,-1.2111),(5805,3505,0.005507,-1.2102),(5805,3515,0.005717,-1.2092),(5805,3525,0.005926,-1.2083),(5805,3535,0.006136,-1.2076),(5805,3545,0.006349,-1.207),(5805,3555,0.006636,-1.2063),(5805,3565,0.006922,-1.2057),(5805,3575,0.007209,-1.2051),(5805,3585,0.007495,-1.2046),(5805,3595,0.007768,-1.204),(5805,3605,0.008041,-1.2034),(5805,3615,0.008313,-1.2029),(5805,3625,0.008594,-1.2023),(5805,3635,0.008932,-1.2017),(5805,3645,0.00927,-1.2012),(5805,3655,0.009608,-1.2009),(5805,3665,0.00998,-1.2005),(5805,3675,0.010534,-1.2002),(5805,3685,0.011087,-1.2),(5805,3695,0.01164,-1.2001),(5805,3705,0.012253,-1.2002),(5805,3715,0.0131,-1.2003),(5805,3725,0.013946,-1.2005),(5805,3735,0.014793,-1.2011),(5805,3745,0.015702,-1.2018),(5805,3755,0.016808,-1.2025),(5805,3765,0.017913,-1.2033),(5805,3775,0.019018,-1.2046),(5805,3785,0.020259,-1.2059),(5805,3795,0.021842,-1.2072),(5805,3805,0.023425,-1.2088),(5805,3815,0.025008,-1.2111),(5805,3825,0.026858,-1.2134),(5805,3835,0.02927,-1.2157),(5805,3845,0.031681,-1.2186),(5805,3855,0.034093,-1.2227),(5805,3865,0.036933,-1.2268),(5805,3875,0.040529,-1.2308),(5805,3885,0.044125,-1.236),(5805,3895,0.047721,-1.2431),(5805,3905,0.051401,-1.2501),(5805,3915,0.055206,-1.2571),(5805,3925,0.05901,-1.2659),(5805,3935,0.062815,-1.277),(5805,3945,0.063434,-1.288),(5805,3955,0.060011,-1.2991),(5805,3965,0.056587,-1.3048),(5805,3975,0.053164,-1.3043),(5805,3985,0.04091,-1.3038),(5805,3995,0.019098,-1.3032),(5805,4005,-0.002714,-1.2602),(5805,4015,-0.024525,-1.1747),(5805,4025,0.10157,-1.0892),(5805,4035,0.24213,-1.031),(5805,4045,0.38269,-1.0301),(5805,4055,0.47898,-1.0293),(5805,4065,0.55911,-1.0284),(5805,4075,0.63925,-1.0269),(5805,4085,0.6754,-1.0255),(5805,4095,0.6762,-1.024),(5805,4105,0.677,-1.0227),(5805,4115,0.67784,-1.0215),(5805,4125,0.67874,-1.0202),(5805,4135,0.67964,-1.019),(5805,4145,0.68056,-1.0178),(5805,4155,0.68159,-1.0166),(5805,4165,0.68261,-1.0155),(5805,4175,0.68364,-1.0143),(5805,4185,0.68482,-1.0131),(5805,4195,0.68599,-1.0119),(5805,4205,0.68717,-1.0109),(5805,4215,0.68849,-1.0099),(5805,4225,0.68984,-1.0089),(5805,4235,0.6912,-1.0078),(5805,4245,0.69269,-1.0068),(5805,4255,0.69426,-1.0058),(5805,4265,0.69583,-1.0046),(5805,4275,0.69753,-1.0035),(5805,4285,0.69935,-1.0024),(5805,4295,0.70117,-1.0013),(5805,4305,0.70306,-1.0002),(5805,4315,0.70513,-0.99909),(5805,4325,0.7072,-0.9979),(5805,4335,0.70929,-0.99668),(5805,4345,0.71158,-0.99547),(5805,4355,0.71387,-0.99416),(5805,4365,0.71616,-0.99277),(5805,4375,0.71867,-0.99138),(5805,4385,0.72119,-0.98993),(5805,4395,0.7237,-0.98838),(5805,4405,0.72639,-0.98682),(5805,4415,0.72912,-0.98525),(5805,4425,0.73185,-0.98356),(5805,4435,0.73471,-0.98187),(5805,4445,0.73764,-0.98018),(5805,4455,0.74057,-0.97839),(5805,4465,0.74358,-0.97661),(5805,4475,0.74668,-0.97483),(5805,4485,0.74978,-0.97293),(5805,4495,0.75291,-0.97102),(5805,4505,0.75613,-0.9691),(5805,4515,0.75936,-0.96709),(5805,4525,0.76259,-0.96503),(5805,4535,0.76592,-0.96297),(5805,4545,0.76925,-0.96082),(5805,4555,0.77258,-0.95858),(5805,4565,0.77598,-0.95635),(5805,4575,0.7794,-0.95407),(5805,4585,0.78281,-0.9517),(5805,4595,0.78629,-0.94932),(5805,4605,0.78979,-0.94693),(5805,4615,0.79328,-0.94444),(5805,4625,0.79683,-0.94194),(5805,4635,0.80041,-0.93945),(5805,4645,0.80399,-0.93683),(5805,4655,0.8076,-0.93421),(5805,4665,0.81125,-0.93158),(5805,4675,0.8149,-0.92883),(5805,4685,0.81857,-0.92604),(5805,4695,0.82228,-0.92324),(5805,4705,0.826,-0.92034),(5805,4715,0.82972,-0.91737),(5805,4725,0.83348,-0.9144),(5805,4735,0.83725,-0.91139),(5805,4745,0.84101,-0.90832),(5805,4755,0.84478,-0.90525),(5805,4765,0.84856,-0.90216),(5805,4775,0.85233,-0.89901),(5805,4785,0.85611,-0.89586),(5805,4795,0.85988,-0.89271),(5805,4805,0.86365,-0.8894),(5805,4815,0.86743,-0.8861),(5805,4825,0.8712,-0.88279),(5805,4835,0.87497,-0.87936),(5805,4845,0.87875,-0.87591),(5805,4855,0.88253,-0.87246),(5805,4865,0.88632,-0.86895),(5805,4875,0.8901,-0.86542),(5805,4885,0.8939,-0.86189),(5805,4895,0.8977,-0.8583),(5805,4905,0.9015,-0.85465),(5805,4915,0.90529,-0.85099),(5805,4925,0.90909,-0.84731),(5805,4935,0.91289,-0.84357),(5805,4945,0.91666,-0.83983),(5805,4955,0.92044,-0.83609),(5805,4965,0.92421,-0.83229),(5805,4975,0.92797,-0.82849),(5805,4985,0.93171,-0.82469),(5805,4995,0.93546,-0.8208),(5805,5005,0.93919,-0.8169),(5805,5015,0.9429,-0.81301),(5805,5025,0.94661,-0.80906),(5805,5035,0.95032,-0.80509),(5805,5045,0.95399,-0.80112),(5805,5055,0.95766,-0.7971),(5805,5065,0.96133,-0.79306),(5805,5075,0.96496,-0.78901),(5805,5085,0.96859,-0.78493),(5805,5095,0.97222,-0.7808),(5805,5105,0.97583,-0.77667),(5805,5115,0.97943,-0.77254),(5805,5125,0.98303,-0.76837),(5805,5135,0.98661,-0.76419),(5805,5145,0.9902,-0.76002),(5805,5155,0.99378,-0.75581),(5805,5165,0.99735,-0.75161),(5805,5175,1.0009,-0.7474),(5805,5185,1.0045,-0.74315),(5805,5195,1.008,-0.7389),(5805,5205,1.0115,-0.73465),(5805,5215,1.015,-0.73033),(5805,5225,1.0185,-0.72598),(5805,5235,1.022,-0.72163),(5805,5245,1.0254,-0.71724),(5805,5255,1.0289,-0.71281),(5805,5265,1.0323,-0.70837),(5805,5275,1.0357,-0.70393),(5805,5285,1.0391,-0.69947),(5805,5295,1.0425,-0.695),(5805,5305,1.0459,-0.69053),(5805,5315,1.0492,-0.68603),(5805,5325,1.0526,-0.68153),(5805,5335,1.0559,-0.67703),(5805,5345,1.0592,-0.67248),(5805,5355,1.0626,-0.66794),(5805,5365,1.0659,-0.66339),(5805,5375,1.0691,-0.65881),(5805,5385,1.0724,-0.65423),(5805,5395,1.0757,-0.64964),(5805,5405,1.079,-0.64503),(5805,5415,1.0822,-0.6404),(5805,5425,1.0854,-0.63577),(5805,5435,1.0887,-0.63111),(5805,5445,1.0919,-0.62642),(5805,5455,1.0951,-0.62172),(5805,5465,1.0983,-0.61701),(5805,5475,1.1014,-0.61222),(5805,5485,1.1046,-0.60744),(5805,5495,1.1077,-0.60264),(5805,5505,1.1108,-0.59777),(5805,5515,1.1139,-0.59289),(5805,5525,1.1169,-0.58802),(5805,5535,1.1199,-0.58313),(5805,5545,1.123,-0.57824),(5805,5555,1.126,-0.57335),(5805,5565,1.1289,-0.56845),(5805,5575,1.1319,-0.56355),(5805,5585,1.1349,-0.55865),(5805,5595,1.1378,-0.5537),(5805,5605,1.1408,-0.54873),(5805,5615,1.1437,-0.54376),(5805,5625,1.1466,-0.53877),(5805,5635,1.1495,-0.53375),(5805,5645,1.1524,-0.52873),(5805,5655,1.1553,-0.52371),(5805,5665,1.1582,-0.51867),(5805,5675,1.161,-0.51362),(5805,5685,1.1638,-0.50858),(5805,5695,1.1666,-0.50352),(5805,5705,1.1694,-0.49846),(5805,5715,1.1721,-0.4934),(5805,5725,1.1749,-0.48828),(5805,5735,1.1776,-0.48316),(5805,5745,1.1802,-0.47804),(5805,5755,1.1829,-0.47289),(5805,5765,1.1855,-0.46771),(5805,5775,1.1881,-0.46254),(5805,5785,1.1907,-0.45734),(5805,5795,1.1933,-0.45211),(5805,5805,1.1958,-0.44689),(5805,5815,1.1983,-0.44164),(5805,5825,1.2009,-0.43635),(5805,5835,1.2033,-0.43106),(5805,5845,1.2058,-0.42576),(5805,5855,1.2083,-0.42041),(5805,5865,1.2107,-0.41506),(5805,5875,1.2131,-0.40971),(5805,5885,1.2155,-0.40437),(5805,5895,1.2179,-0.39902),(5805,5905,1.2202,-0.39368),(5805,5915,1.2226,-0.38832),(5805,5925,1.2249,-0.38295),(5805,5935,1.2271,-0.37759),(5805,5945,1.2294,-0.37217),(5805,5955,1.2316,-0.36672),(5805,5965,1.2337,-0.36126),(5805,5975,1.2359,-0.35578),(5805,5985,1.238,-0.35026),(5805,5995,1.2401,-0.34474),(5805,6005,1.2422,-0.33922),(5805,6015,1.2442,-0.33371),(5805,6025,1.2462,-0.3282),(5805,6035,1.2482,-0.32269),(5805,6045,1.2502,-0.31719),(5805,6055,1.2521,-0.31168),(5805,6065,1.254,-0.30618),(5805,6075,1.2559,-0.30059),(5805,6085,1.2578,-0.29499),(5805,6095,1.2596,-0.2894),(5805,6105,1.2614,-0.28371),(5805,6115,1.2631,-0.278),(5805,6125,1.2648,-0.27228),(5805,6135,1.2665,-0.26656),(5805,6145,1.2682,-0.26082),(5805,6155,1.2698,-0.25508),(5805,6165,1.2714,-0.24935),(5805,6175,1.2729,-0.24363),(5805,6185,1.2744,-0.23792),(5805,6195,1.2759,-0.2322),(5805,6205,1.2774,-0.22646),(5805,6215,1.2788,-0.22072),(5805,6225,1.2802,-0.21498),(5805,6235,1.2816,-0.20921),(5805,6245,1.2829,-0.20343),(5805,6255,1.2842,-0.19765),(5805,6265,1.2855,-0.19187),(5805,6275,1.2868,-0.18609),(5805,6285,1.288,-0.1803),(5805,6295,1.2892,-0.17447),(5805,6305,1.2904,-0.1686),(5805,6315,1.2915,-0.16274),(5805,6325,1.2925,-0.15686),(5805,6335,1.2936,-0.15097),(5805,6345,1.2946,-0.14508),(5805,6355,1.2955,-0.1392),(5805,6365,1.2964,-0.13334),(5805,6375,1.2973,-0.12747),(5805,6385,1.2981,-0.1216),(5805,6395,1.2989,-0.11565),(5805,6405,1.2996,-0.1097),(5805,6415,1.3003,-0.10375),(5805,6425,1.3009,-0.097835),(5805,6435,1.3016,-0.091921),(5805,6445,1.3021,-0.086007),(5805,6455,1.3027,-0.080068),(5805,6465,1.3032,-0.074121),(5805,6475,1.3036,-0.068174),(5805,6485,1.3041,-0.062249),(5805,6495,1.3045,-0.056338),(5805,6505,1.3048,-0.050427),(5805,6515,1.3052,-0.044494),(5805,6525,1.3055,-0.038531),(5805,6535,1.3057,-0.032569),(5805,6545,1.3059,-0.026623),(5805,6555,1.3061,-0.020728),(5805,6565,1.3063,-0.014834),(5805,6575,1.3064,-0.008929),(5805,6585,1.3064,-0.002874),(5805,6595,1.1112,0.003182),(5805,6605,0.70026,0.009237),(5805,6615,0.28934,0.009931),(5805,6625,0.000482,0.009936),(5805,6635,0.000511,0.009941),(5805,6645,0.000539,0.009947),(5805,6655,0.000568,0.009953),(5805,6665,0.000595,0.009958),(5805,6675,0.000623,0.009964),(5805,6685,0.000651,0.009969),(5805,6695,0.000678,0.009975),(5805,6705,0.000706,0.00998),(5805,6715,0.000733,0.009985),(5805,6725,0.00076,0.00999),(5805,6735,0.000786,0.009995),(5805,6745,0.000813,0.009999),(5805,6755,0.000839,0.010003),(5805,6765,0.000865,0.010008),(5805,6775,0.000891,0.010012),(5805,6785,0.000917,0.010015),(5805,6795,0.000942,0.010019),(5805,6805,0.000968,0.010022),(5805,6815,0.000993,0.010026),(5805,6825,0.001018,0.010029),(5805,6835,0.001043,0.010032),(5805,6845,0.001068,0.010034),(5805,6855,0.001092,0.010037),(5805,6865,0.001116,0.010039),(5805,6875,0.00114,0.010041),(5805,6885,0.001164,0.010043),(5805,6895,0.001187,0.010044),(5805,6905,0.001211,0.010046),(5805,6915,0.001234,0.010047),(5805,6925,0.001257,0.010048),(5805,6935,0.00128,0.010048),(5805,6945,0.001303,0.010049),(5805,6955,0.001326,0.010049),(5805,6965,0.001348,0.010049),(5805,6975,0.00137,0.010049),(5805,6985,0.001392,0.010049),(5815,5,0,-1.3196),(5815,15,0,-1.3196),(5815,25,-3e-06,-1.3197),(5815,35,-7e-06,-1.3198),(5815,45,-1.2e-05,-1.3198),(5815,55,-1.7e-05,-1.3198),(5815,65,-1e-05,-1.3198),(5815,75,5e-06,-1.3198),(5815,85,2e-05,-1.3198),(5815,95,3.5e-05,-1.3198),(5815,105,7.8e-05,-1.3198),(5815,115,0.000139,-1.3198),(5815,125,0.0002,-1.3199),(5815,135,0.000261,-1.32),(5815,145,0.000259,-1.3201),(5815,155,0.000221,-1.3202),(5815,165,0.000183,-1.3201),(5815,175,0.000146,-1.32),(5815,185,0.000134,-1.3199),(5815,195,0.000134,-1.3197),(5815,205,0.000134,-1.3198),(5815,215,0.000135,-1.3198),(5815,225,0.000105,-1.3199),(5815,235,6.3e-05,-1.32),(5815,245,2e-05,-1.3198),(5815,255,-2.2e-05,-1.3196),(5815,265,1.7e-05,-1.3194),(5815,275,8.2e-05,-1.3191),(5815,285,0.000147,-1.3192),(5815,295,0.000211,-1.3193),(5815,305,0.000331,-1.3194),(5815,315,0.000465,-1.3195),(5815,325,0.000599,-1.3196),(5815,335,0.000733,-1.3197),(5815,345,0.000832,-1.3198),(5815,355,0.000925,-1.3199),(5815,365,0.001018,-1.32),(5815,375,0.00111,-1.3201),(5815,385,0.001113,-1.3201),(5815,395,0.001102,-1.3202),(5815,405,0.001092,-1.3201),(5815,415,0.001082,-1.32),(5815,425,0.00107,-1.3199),(5815,435,0.001058,-1.3199),(5815,445,0.001046,-1.3198),(5815,455,0.001035,-1.3198),(5815,465,0.001068,-1.3198),(5815,475,0.001104,-1.3198),(5815,485,0.001139,-1.3197),(5815,495,0.001174,-1.3197),(5815,505,0.001275,-1.3197),(5815,515,0.001376,-1.3197),(5815,525,0.001477,-1.3198),(5815,535,0.001578,-1.3198),(5815,545,0.001671,-1.3199),(5815,555,0.001763,-1.32),(5815,565,0.001856,-1.3202),(5815,575,0.001937,-1.3203),(5815,585,0.001871,-1.3204),(5815,595,0.001806,-1.3205),(5815,605,0.00174,-1.3204),(5815,615,0.001676,-1.3203),(5815,625,0.001623,-1.3202),(5815,635,0.00157,-1.3201),(5815,645,0.001518,-1.32),(5815,655,0.001502,-1.3199),(5815,665,0.001696,-1.3198),(5815,675,0.001889,-1.3198),(5815,685,0.002082,-1.3201),(5815,695,0.002262,-1.3205),(5815,705,0.002387,-1.3208),(5815,715,0.002513,-1.3211),(5815,725,0.002638,-1.3213),(5815,735,0.002741,-1.3215),(5815,745,0.002769,-1.3217),(5815,755,0.002797,-1.3219),(5815,765,0.002825,-1.3219),(5815,775,0.002879,-1.3219),(5815,785,0.003002,-1.322),(5815,795,0.003124,-1.3221),(5815,805,0.003246,-1.3224),(5815,815,0.003371,-1.3226),(5815,825,0.003501,-1.3229),(5815,835,0.003631,-1.3232),(5815,845,0.003761,-1.3236),(5815,855,0.003887,-1.3239),(5815,865,0.004005,-1.3242),(5815,875,0.004124,-1.3246),(5815,885,0.004242,-1.3249),(5815,895,0.00443,-1.3252),(5815,905,0.004727,-1.3255),(5815,915,0.005024,-1.3259),(5815,925,0.00532,-1.3265),(5815,935,0.005708,-1.3272),(5815,945,0.006218,-1.3278),(5815,955,0.006727,-1.3286),(5815,965,0.007236,-1.3296),(5815,975,0.007787,-1.3306),(5815,985,0.008383,-1.3316),(5815,995,0.00898,-1.3327),(5815,1005,0.009576,-1.3339),(5815,1015,0.010306,-1.335),(5815,1025,0.011163,-1.3362),(5815,1035,0.01202,-1.3376),(5815,1045,0.012878,-1.3392),(5815,1055,0.014023,-1.3408),(5815,1065,0.015406,-1.3423),(5815,1075,0.016788,-1.3444),(5815,1085,0.01817,-1.3469),(5815,1095,0.020057,-1.3493),(5815,1105,0.022295,-1.3518),(5815,1115,0.024533,-1.3549),(5815,1125,0.026772,-1.3584),(5815,1135,0.030089,-1.362),(5815,1145,0.034044,-1.3655),(5815,1155,0.037998,-1.3703),(5815,1165,0.041953,-1.3758),(5815,1175,0.048085,-1.3813),(5815,1185,0.055297,-1.3867),(5815,1195,0.062509,-1.3948),(5815,1205,0.069722,-1.4041),(5815,1215,0.078513,-1.4133),(5815,1225,0.087957,-1.4226),(5815,1235,0.0974,-1.4383),(5815,1245,0.10684,-1.4565),(5815,1255,0.10207,-1.4747),(5815,1265,0.092495,-1.4929),(5815,1275,0.08292,-1.5048),(5815,1285,0.073346,-1.5148),(5815,1295,0.031245,-1.5248),(5815,1305,-0.019652,-1.5347),(5815,1315,-0.07055,-1.4664),(5815,1325,-0.12145,-1.3793),(5815,1335,-0.067632,-1.2922),(5815,1345,0.008128,-1.2051),(5815,1355,0.083887,-1.2655),(5815,1365,0.15965,-1.3526),(5815,1375,0.11841,-1.4397),(5815,1385,0.059122,-1.5268),(5815,1395,-0.000166,-1.5319),(5815,1405,-0.059454,-1.5264),(5815,1415,-0.080243,-1.5209),(5815,1425,-0.097035,-1.5154),(5815,1435,-0.11383,-1.4957),(5815,1445,-0.13062,-1.4748),(5815,1455,-0.12006,-1.454),(5815,1465,-0.10793,-1.4331),(5815,1475,-0.095792,-1.4223),(5815,1485,-0.083659,-1.4119),(5815,1495,-0.074679,-1.4015),(5815,1505,-0.065748,-1.3911),(5815,1515,-0.056816,-1.3851),(5815,1525,-0.047991,-1.3791),(5815,1535,-0.04336,-1.373),(5815,1545,-0.038729,-1.3671),(5815,1555,-0.034098,-1.3632),(5815,1565,-0.029598,-1.3592),(5815,1575,-0.027012,-1.3553),(5815,1585,-0.024426,-1.3515),(5815,1595,-0.02184,-1.3486),(5815,1605,-0.019366,-1.3457),(5815,1615,-0.017856,-1.3428),(5815,1625,-0.016345,-1.34),(5815,1635,-0.014835,-1.338),(5815,1645,-0.01339,-1.336),(5815,1655,-0.012329,-1.334),(5815,1665,-0.011269,-1.3321),(5815,1675,-0.010208,-1.3305),(5815,1685,-0.009227,-1.329),(5815,1695,-0.008603,-1.3275),(5815,1705,-0.007978,-1.3261),(5815,1715,-0.007353,-1.325),(5815,1725,-0.006795,-1.3239),(5815,1735,-0.006468,-1.3229),(5815,1745,-0.006142,-1.3218),(5815,1755,-0.005816,-1.3209),(5815,1765,-0.005491,-1.32),(5815,1775,-0.005171,-1.3191),(5815,1785,-0.004852,-1.3182),(5815,1795,-0.004532,-1.3173),(5815,1805,-0.004219,-1.3165),(5815,1815,-0.003921,-1.3157),(5815,1825,-0.003623,-1.3149),(5815,1835,-0.003325,-1.3143),(5815,1845,-0.003075,-1.3137),(5815,1855,-0.002917,-1.3131),(5815,1865,-0.002758,-1.3125),(5815,1875,-0.0026,-1.3122),(5815,1885,-0.002431,-1.3118),(5815,1895,-0.002247,-1.3114),(5815,1905,-0.002062,-1.311),(5815,1915,-0.001878,-1.3106),(5815,1925,-0.001706,-1.3101),(5815,1935,-0.001552,-1.3097),(5815,1945,-0.001398,-1.3093),(5815,1955,-0.001244,-1.3088),(5815,1965,-0.001103,-1.3083),(5815,1975,-0.000977,-1.3079),(5815,1985,-0.000851,-1.3075),(5815,1995,-0.000725,-1.3071),(5815,2005,-0.000639,-1.3068),(5815,2015,-0.000594,-1.3064),(5815,2025,-0.000549,-1.3061),(5815,2035,-0.000504,-1.3057),(5815,2045,-0.000487,-1.3053),(5815,2055,-0.000495,-1.3049),(5815,2065,-0.000503,-1.3046),(5815,2075,-0.000511,-1.3042),(5815,2085,-0.0005,-1.3038),(5815,2095,-0.000475,-1.3034),(5815,2105,-0.000451,-1.303),(5815,2115,-0.000426,-1.3026),(5815,2125,-0.000396,-1.3021),(5815,2135,-0.000362,-1.3017),(5815,2145,-0.000328,-1.3013),(5815,2155,-0.000294,-1.3009),(5815,2165,-0.000215,-1.3005),(5815,2175,-0.000112,-1.3001),(5815,2185,-1e-05,-1.2997),(5815,2195,9.3e-05,-1.2995),(5815,2205,0.0002,-1.2992),(5815,2215,0.00031,-1.299),(5815,2225,0.00042,-1.2987),(5815,2235,0.00053,-1.2983),(5815,2245,0.000585,-1.298),(5815,2255,0.000621,-1.2977),(5815,2265,0.000656,-1.2972),(5815,2275,0.000692,-1.2968),(5815,2285,0.000727,-1.2963),(5815,2295,0.000762,-1.2958),(5815,2305,0.000797,-1.2954),(5815,2315,0.000832,-1.295),(5815,2325,0.000908,-1.2946),(5815,2335,0.000993,-1.2943),(5815,2345,0.001079,-1.2939),(5815,2355,0.001164,-1.2936),(5815,2365,0.001243,-1.2932),(5815,2375,0.001321,-1.2929),(5815,2385,0.001399,-1.2925),(5815,2395,0.001477,-1.2921),(5815,2405,0.001469,-1.2917),(5815,2415,0.001452,-1.2913),(5815,2425,0.001434,-1.2908),(5815,2435,0.001416,-1.2903),(5815,2445,0.001357,-1.2898),(5815,2455,0.001294,-1.2893),(5815,2465,0.001231,-1.2887),(5815,2475,0.001168,-1.2882),(5815,2485,0.00115,-1.2877),(5815,2495,0.001133,-1.2872),(5815,2505,0.001116,-1.2867),(5815,2515,0.001099,-1.2862),(5815,2525,0.001087,-1.2857),(5815,2535,0.001075,-1.2852),(5815,2545,0.001063,-1.2847),(5815,2555,0.001051,-1.2841),(5815,2565,0.00103,-1.2836),(5815,2575,0.001009,-1.283),(5815,2585,0.000988,-1.2824),(5815,2595,0.000969,-1.2818),(5815,2605,0.000971,-1.2812),(5815,2615,0.000972,-1.2806),(5815,2625,0.000974,-1.2801),(5815,2635,0.000979,-1.2795),(5815,2645,0.001001,-1.279),(5815,2655,0.001024,-1.2784),(5815,2665,0.001047,-1.2778),(5815,2675,0.001081,-1.2773),(5815,2685,0.001171,-1.2767),(5815,2695,0.00126,-1.2761),(5815,2705,0.00135,-1.2756),(5815,2715,0.001451,-1.2751),(5815,2725,0.001592,-1.2745),(5815,2735,0.001734,-1.274),(5815,2745,0.001875,-1.2735),(5815,2755,0.001992,-1.273),(5815,2765,0.002035,-1.2726),(5815,2775,0.002077,-1.272),(5815,2785,0.00212,-1.2713),(5815,2795,0.002142,-1.2706),(5815,2805,0.002113,-1.2699),(5815,2815,0.002085,-1.2692),(5815,2825,0.002057,-1.2684),(5815,2835,0.002045,-1.2676),(5815,2845,0.002064,-1.2668),(5815,2855,0.002083,-1.2661),(5815,2865,0.002103,-1.2654),(5815,2875,0.002144,-1.2647),(5815,2885,0.002222,-1.264),(5815,2895,0.002299,-1.2633),(5815,2905,0.002377,-1.2626),(5815,2915,0.002452,-1.2619),(5815,2925,0.002522,-1.2613),(5815,2935,0.002593,-1.2606),(5815,2945,0.002663,-1.2599),(5815,2955,0.002717,-1.2592),(5815,2965,0.00275,-1.2585),(5815,2975,0.002783,-1.2577),(5815,2985,0.002816,-1.2569),(5815,2995,0.002843,-1.2561),(5815,3005,0.002863,-1.2553),(5815,3015,0.002882,-1.2544),(5815,3025,0.002902,-1.2535),(5815,3035,0.002946,-1.2527),(5815,3045,0.003011,-1.2518),(5815,3055,0.003077,-1.251),(5815,3065,0.003142,-1.2502),(5815,3075,0.00321,-1.2494),(5815,3085,0.003279,-1.2486),(5815,3095,0.003348,-1.2478),(5815,3105,0.003417,-1.247),(5815,3115,0.003462,-1.2462),(5815,3125,0.003492,-1.2454),(5815,3135,0.003522,-1.2446),(5815,3145,0.003552,-1.2437),(5815,3155,0.003554,-1.2429),(5815,3165,0.00354,-1.242),(5815,3175,0.003526,-1.241),(5815,3185,0.003512,-1.24),(5815,3195,0.003532,-1.239),(5815,3205,0.003567,-1.238),(5815,3215,0.003601,-1.2371),(5815,3225,0.003636,-1.2361),(5815,3235,0.003701,-1.2351),(5815,3245,0.003777,-1.2342),(5815,3255,0.003853,-1.2333),(5815,3265,0.003929,-1.2324),(5815,3275,0.003957,-1.2315),(5815,3285,0.00397,-1.2307),(5815,3295,0.003984,-1.2297),(5815,3305,0.003997,-1.2287),(5815,3315,0.004027,-1.2277),(5815,3325,0.004061,-1.2267),(5815,3335,0.004095,-1.2257),(5815,3345,0.004129,-1.2247),(5815,3355,0.004271,-1.2237),(5815,3365,0.004432,-1.2227),(5815,3375,0.004593,-1.2219),(5815,3385,0.004754,-1.2211),(5815,3395,0.004927,-1.2203),(5815,3405,0.005102,-1.2195),(5815,3415,0.005277,-1.2186),(5815,3425,0.005452,-1.2178),(5815,3435,0.005539,-1.217),(5815,3445,0.00562,-1.2162),(5815,3455,0.005701,-1.2152),(5815,3465,0.005782,-1.2141),(5815,3475,0.005852,-1.2131),(5815,3485,0.005922,-1.2121),(5815,3495,0.005991,-1.2111),(5815,3505,0.006062,-1.2101),(5815,3515,0.006285,-1.2091),(5815,3525,0.006508,-1.2081),(5815,3535,0.006731,-1.2075),(5815,3545,0.006959,-1.2068),(5815,3555,0.00728,-1.2061),(5815,3565,0.0076,-1.2055),(5815,3575,0.007921,-1.2049),(5815,3585,0.008241,-1.2044),(5815,3595,0.008555,-1.2038),(5815,3605,0.00887,-1.2033),(5815,3615,0.009184,-1.2027),(5815,3625,0.009507,-1.2021),(5815,3635,0.009891,-1.2015),(5815,3645,0.010275,-1.201),(5815,3655,0.010659,-1.2006),(5815,3665,0.011085,-1.2003),(5815,3675,0.011721,-1.1999),(5815,3685,0.012357,-1.1996),(5815,3695,0.012993,-1.1996),(5815,3705,0.013702,-1.1997),(5815,3715,0.014698,-1.1997),(5815,3725,0.015694,-1.1999),(5815,3735,0.016691,-1.2005),(5815,3745,0.017763,-1.2011),(5815,3755,0.019071,-1.2018),(5815,3765,0.020379,-1.2026),(5815,3775,0.021688,-1.2038),(5815,3785,0.023154,-1.205),(5815,3795,0.025022,-1.2063),(5815,3805,0.026891,-1.2078),(5815,3815,0.028759,-1.21),(5815,3825,0.030945,-1.2121),(5815,3835,0.033799,-1.2143),(5815,3845,0.036654,-1.217),(5815,3855,0.039508,-1.2208),(5815,3865,0.0429,-1.2246),(5815,3875,0.047242,-1.2284),(5815,3885,0.051584,-1.2332),(5815,3895,0.055925,-1.2398),(5815,3905,0.06037,-1.2464),(5815,3915,0.064967,-1.253),(5815,3925,0.069564,-1.2618),(5815,3935,0.074161,-1.2736),(5815,3945,0.073447,-1.2853),(5815,3955,0.06599,-1.2971),(5815,3965,0.058532,-1.306),(5815,3975,0.051075,-1.3114),(5815,3985,0.026721,-1.3169),(5815,3995,-0.015922,-1.3224),(5815,4005,-0.058565,-1.2788),(5815,4015,-0.10121,-1.1864),(5815,4025,0.045036,-1.0939),(5815,4035,0.20976,-1.0309),(5815,4045,0.37448,-1.0301),(5815,4055,0.47699,-1.0293),(5815,4065,0.55679,-1.0284),(5815,4075,0.6366,-1.0269),(5815,4085,0.67261,-1.0254),(5815,4095,0.67345,-1.024),(5815,4105,0.67428,-1.0227),(5815,4115,0.67515,-1.0214),(5815,4125,0.6761,-1.0201),(5815,4135,0.67704,-1.0189),(5815,4145,0.678,-1.0176),(5815,4155,0.67907,-1.0164),(5815,4165,0.68014,-1.0152),(5815,4175,0.68121,-1.014),(5815,4185,0.6824,-1.0127),(5815,4195,0.6836,-1.0116),(5815,4205,0.6848,-1.0105),(5815,4215,0.68613,-1.0094),(5815,4225,0.68748,-1.0084),(5815,4235,0.68883,-1.0073),(5815,4245,0.69032,-1.0062),(5815,4255,0.69186,-1.0051),(5815,4265,0.69341,-1.0039),(5815,4275,0.69508,-1.0028),(5815,4285,0.69687,-1.0016),(5815,4295,0.69865,-1.0005),(5815,4305,0.70052,-0.99934),(5815,4315,0.70255,-0.9982),(5815,4325,0.70458,-0.997),(5815,4335,0.70663,-0.99577),(5815,4345,0.70888,-0.99454),(5815,4355,0.71113,-0.99322),(5815,4365,0.71338,-0.99182),(5815,4375,0.71584,-0.99042),(5815,4385,0.71832,-0.98896),(5815,4395,0.72079,-0.9874),(5815,4405,0.72343,-0.98584),(5815,4415,0.72611,-0.98425),(5815,4425,0.7288,-0.98256),(5815,4435,0.7316,-0.98086),(5815,4445,0.73449,-0.97916),(5815,4455,0.73737,-0.97737),(5815,4465,0.74033,-0.97558),(5815,4475,0.74338,-0.97379),(5815,4485,0.74644,-0.97189),(5815,4495,0.74953,-0.96996),(5815,4505,0.75271,-0.96804),(5815,4515,0.7559,-0.96602),(5815,4525,0.75909,-0.96395),(5815,4535,0.76238,-0.96189),(5815,4545,0.76566,-0.95974),(5815,4555,0.76895,-0.9575),(5815,4565,0.7723,-0.95526),(5815,4575,0.77567,-0.95298),(5815,4585,0.77903,-0.95061),(5815,4595,0.78245,-0.94824),(5815,4605,0.78589,-0.94586),(5815,4615,0.78933,-0.94337),(5815,4625,0.79281,-0.94088),(5815,4635,0.79633,-0.93839),(5815,4645,0.79986,-0.93578),(5815,4655,0.8034,-0.93317),(5815,4665,0.807,-0.93055),(5815,4675,0.8106,-0.92781),(5815,4685,0.8142,-0.92502),(5815,4695,0.81787,-0.92224),(5815,4705,0.82153,-0.91936),(5815,4715,0.8252,-0.9164),(5815,4725,0.82891,-0.91344),(5815,4735,0.83262,-0.91045),(5815,4745,0.83634,-0.9074),(5815,4755,0.84007,-0.90435),(5815,4765,0.8438,-0.90128),(5815,4775,0.84753,-0.89816),(5815,4785,0.85126,-0.89503),(5815,4795,0.855,-0.8919),(5815,4805,0.85873,-0.88862),(5815,4815,0.86247,-0.88534),(5815,4825,0.8662,-0.88206),(5815,4835,0.86994,-0.87865),(5815,4845,0.87368,-0.87522),(5815,4855,0.87742,-0.87179),(5815,4865,0.88117,-0.8683),(5815,4875,0.88491,-0.86479),(5815,4885,0.88867,-0.86127),(5815,4895,0.89242,-0.8577),(5815,4905,0.89618,-0.85406),(5815,4915,0.89994,-0.85043),(5815,4925,0.90369,-0.84676),(5815,4935,0.90745,-0.84304),(5815,4945,0.91119,-0.83932),(5815,4955,0.91493,-0.83559),(5815,4965,0.91866,-0.83181),(5815,4975,0.92239,-0.82802),(5815,4985,0.92611,-0.82423),(5815,4995,0.92983,-0.82035),(5815,5005,0.93353,-0.81647),(5815,5015,0.93722,-0.81259),(5815,5025,0.9409,-0.80865),(5815,5035,0.94458,-0.8047),(5815,5045,0.94822,-0.80074),(5815,5055,0.95186,-0.79674),(5815,5065,0.95551,-0.7927),(5815,5075,0.95911,-0.78867),(5815,5085,0.96271,-0.78459),(5815,5095,0.96631,-0.78047),(5815,5105,0.96989,-0.77635),(5815,5115,0.97346,-0.77222),(5815,5125,0.97703,-0.76805),(5815,5135,0.98059,-0.76387),(5815,5145,0.98415,-0.7597),(5815,5155,0.98771,-0.75549),(5815,5165,0.99126,-0.75129),(5815,5175,0.9948,-0.74708),(5815,5185,0.99833,-0.74284),(5815,5195,1.0019,-0.7386),(5815,5205,1.0054,-0.73436),(5815,5215,1.0088,-0.73005),(5815,5225,1.0123,-0.72571),(5815,5235,1.0158,-0.72138),(5815,5245,1.0192,-0.717),(5815,5255,1.0227,-0.71258),(5815,5265,1.026,-0.70815),(5815,5275,1.0294,-0.70372),(5815,5285,1.0328,-0.69926),(5815,5295,1.0362,-0.69481),(5815,5305,1.0395,-0.69034),(5815,5315,1.0429,-0.68585),(5815,5325,1.0462,-0.68135),(5815,5335,1.0495,-0.67685),(5815,5345,1.0528,-0.67231),(5815,5355,1.0561,-0.66776),(5815,5365,1.0593,-0.66322),(5815,5375,1.0626,-0.65864),(5815,5385,1.0659,-0.65405),(5815,5395,1.0691,-0.64947),(5815,5405,1.0723,-0.64485),(5815,5415,1.0756,-0.64022),(5815,5425,1.0788,-0.63559),(5815,5435,1.082,-0.63093),(5815,5445,1.0852,-0.62625),(5815,5455,1.0884,-0.62156),(5815,5465,1.0915,-0.61685),(5815,5475,1.0947,-0.61207),(5815,5485,1.0978,-0.60729),(5815,5495,1.1009,-0.60251),(5815,5505,1.104,-0.59765),(5815,5515,1.1071,-0.59278),(5815,5525,1.1101,-0.58792),(5815,5535,1.1131,-0.58304),(5815,5545,1.1161,-0.57815),(5815,5555,1.1191,-0.57327),(5815,5565,1.122,-0.56837),(5815,5575,1.125,-0.56346),(5815,5585,1.1279,-0.55855),(5815,5595,1.1308,-0.5536),(5815,5605,1.1338,-0.54862),(5815,5615,1.1367,-0.54364),(5815,5625,1.1395,-0.53864),(5815,5635,1.1424,-0.53361),(5815,5645,1.1453,-0.52859),(5815,5655,1.1481,-0.52356),(5815,5665,1.151,-0.51852),(5815,5675,1.1538,-0.51347),(5815,5685,1.1566,-0.50843),(5815,5695,1.1594,-0.50337),(5815,5705,1.1622,-0.49832),(5815,5715,1.1649,-0.49326),(5815,5725,1.1676,-0.48815),(5815,5735,1.1703,-0.48304),(5815,5745,1.173,-0.47792),(5815,5755,1.1756,-0.47277),(5815,5765,1.1783,-0.4676),(5815,5775,1.1808,-0.46243),(5815,5785,1.1834,-0.45723),(5815,5795,1.1859,-0.452),(5815,5805,1.1885,-0.44677),(5815,5815,1.191,-0.44152),(5815,5825,1.1935,-0.43623),(5815,5835,1.1959,-0.43093),(5815,5845,1.1984,-0.42562),(5815,5855,1.2008,-0.42027),(5815,5865,1.2032,-0.41492),(5815,5875,1.2056,-0.40956),(5815,5885,1.208,-0.40421),(5815,5895,1.2103,-0.39886),(5815,5905,1.2127,-0.39351),(5815,5915,1.215,-0.38815),(5815,5925,1.2173,-0.38279),(5815,5935,1.2195,-0.37743),(5815,5945,1.2217,-0.37201),(5815,5955,1.224,-0.36657),(5815,5965,1.2261,-0.36112),(5815,5975,1.2282,-0.35564),(5815,5985,1.2303,-0.35012),(5815,5995,1.2324,-0.3446),(5815,6005,1.2344,-0.33908),(5815,6015,1.2365,-0.33356),(5815,6025,1.2385,-0.32805),(5815,6035,1.2404,-0.32254),(5815,6045,1.2424,-0.31703),(5815,6055,1.2443,-0.31153),(5815,6065,1.2462,-0.30602),(5815,6075,1.2481,-0.30043),(5815,6085,1.2499,-0.29484),(5815,6095,1.2517,-0.28924),(5815,6105,1.2535,-0.28356),(5815,6115,1.2552,-0.27785),(5815,6125,1.2569,-0.27214),(5815,6135,1.2586,-0.26642),(5815,6145,1.2603,-0.26068),(5815,6155,1.2618,-0.25494),(5815,6165,1.2634,-0.24922),(5815,6175,1.2649,-0.24351),(5815,6185,1.2664,-0.23779),(5815,6195,1.2679,-0.23207),(5815,6205,1.2693,-0.22633),(5815,6215,1.2707,-0.22059),(5815,6225,1.2721,-0.21484),(5815,6235,1.2735,-0.20906),(5815,6245,1.2748,-0.20327),(5815,6255,1.2761,-0.19749),(5815,6265,1.2774,-0.1917),(5815,6275,1.2786,-0.18591),(5815,6285,1.2798,-0.18013),(5815,6295,1.281,-0.17429),(5815,6305,1.2822,-0.16843),(5815,6315,1.2833,-0.16258),(5815,6325,1.2843,-0.15671),(5815,6335,1.2854,-0.15082),(5815,6345,1.2864,-0.14494),(5815,6355,1.2873,-0.13906),(5815,6365,1.2882,-0.13321),(5815,6375,1.2891,-0.12736),(5815,6385,1.2899,-0.1215),(5815,6395,1.2907,-0.11556),(5815,6405,1.2914,-0.10962),(5815,6415,1.2921,-0.10368),(5815,6425,1.2927,-0.097763),(5815,6435,1.2933,-0.091852),(5815,6445,1.2939,-0.085941),(5815,6455,1.2944,-0.080003),(5815,6465,1.2949,-0.074057),(5815,6475,1.2954,-0.068112),(5815,6485,1.2958,-0.062186),(5815,6495,1.2962,-0.056274),(5815,6505,1.2965,-0.050362),(5815,6515,1.2969,-0.044428),(5815,6525,1.2972,-0.038465),(5815,6535,1.2974,-0.032503),(5815,6545,1.2976,-0.026557),(5815,6555,1.2978,-0.020668),(5815,6565,1.298,-0.014779),(5815,6575,1.298,-0.008879),(5815,6585,1.2981,-0.002826),(5815,6595,1.1041,0.003226),(5815,6605,0.69581,0.009279),(5815,6615,0.2875,0.009969),(5815,6625,0.000475,0.00997),(5815,6635,0.000504,0.009971),(5815,6645,0.000532,0.009975),(5815,6655,0.000561,0.009981),(5815,6665,0.000589,0.009986),(5815,6675,0.000617,0.009992),(5815,6685,0.000644,0.009997),(5815,6695,0.000672,0.010002),(5815,6705,0.000699,0.010007),(5815,6715,0.000727,0.010012),(5815,6725,0.000753,0.010017),(5815,6735,0.00078,0.010021),(5815,6745,0.000807,0.010026),(5815,6755,0.000833,0.01003),(5815,6765,0.00086,0.010034),(5815,6775,0.000886,0.010038),(5815,6785,0.000912,0.010041),(5815,6795,0.000937,0.010045),(5815,6805,0.000963,0.010048),(5815,6815,0.000988,0.010051),(5815,6825,0.001013,0.010054),(5815,6835,0.001038,0.010057),(5815,6845,0.001063,0.010059),(5815,6855,0.001087,0.010061),(5815,6865,0.001112,0.010063),(5815,6875,0.001136,0.010065),(5815,6885,0.00116,0.010067),(5815,6895,0.001184,0.010068),(5815,6905,0.001208,0.010069),(5815,6915,0.001231,0.01007),(5815,6925,0.001254,0.010071),(5815,6935,0.001278,0.010071),(5815,6945,0.001301,0.010072),(5815,6955,0.001323,0.010072),(5815,6965,0.001346,0.010072),(5815,6975,0.001368,0.010071),(5815,6985,0.00139,0.010071),(5825,5,4e-06,-1.3196),(5825,15,1.3e-05,-1.3197),(5825,25,1.8e-05,-1.3197),(5825,35,1.8e-05,-1.3198),(5825,45,1.8e-05,-1.3198),(5825,55,1.9e-05,-1.3198),(5825,65,2.7e-05,-1.3198),(5825,75,4.2e-05,-1.3198),(5825,85,5.6e-05,-1.3198),(5825,95,7.1e-05,-1.3198),(5825,105,0.000115,-1.3198),(5825,115,0.00018,-1.3198),(5825,125,0.000245,-1.3199),(5825,135,0.00031,-1.32),(5825,145,0.000314,-1.3201),(5825,155,0.000282,-1.3202),(5825,165,0.000251,-1.3202),(5825,175,0.00022,-1.32),(5825,185,0.000219,-1.3199),(5825,195,0.000233,-1.3198),(5825,205,0.000248,-1.3198),(5825,215,0.000262,-1.3199),(5825,225,0.000223,-1.3199),(5825,235,0.000163,-1.32),(5825,245,0.000103,-1.3199),(5825,255,4.3e-05,-1.3196),(5825,265,6e-05,-1.3193),(5825,275,0.0001,-1.3191),(5825,285,0.000141,-1.3191),(5825,295,0.000182,-1.3192),(5825,305,0.000288,-1.3193),(5825,315,0.000411,-1.3194),(5825,325,0.000533,-1.3195),(5825,335,0.000656,-1.3196),(5825,345,0.000764,-1.3197),(5825,355,0.00087,-1.3198),(5825,365,0.000975,-1.3199),(5825,375,0.001081,-1.32),(5825,385,0.001095,-1.3201),(5825,395,0.001096,-1.3202),(5825,405,0.001097,-1.3201),(5825,415,0.001098,-1.32),(5825,425,0.001088,-1.32),(5825,435,0.001076,-1.3199),(5825,445,0.001065,-1.3198),(5825,455,0.001054,-1.3198),(5825,465,0.001073,-1.3198),(5825,475,0.001093,-1.3198),(5825,485,0.001114,-1.3197),(5825,495,0.001134,-1.3197),(5825,505,0.001229,-1.3196),(5825,515,0.001324,-1.3196),(5825,525,0.001419,-1.3197),(5825,535,0.001515,-1.3198),(5825,545,0.001638,-1.3199),(5825,555,0.00176,-1.32),(5825,565,0.001883,-1.3201),(5825,575,0.001994,-1.3203),(5825,585,0.001954,-1.3205),(5825,595,0.001915,-1.3206),(5825,605,0.001875,-1.3205),(5825,615,0.001831,-1.3204),(5825,625,0.001755,-1.3203),(5825,635,0.001678,-1.3201),(5825,645,0.001602,-1.32),(5825,655,0.001566,-1.3198),(5825,665,0.00176,-1.3197),(5825,675,0.001954,-1.3197),(5825,685,0.002148,-1.32),(5825,695,0.002335,-1.3204),(5825,705,0.002493,-1.3207),(5825,715,0.00265,-1.3211),(5825,725,0.002808,-1.3213),(5825,735,0.002938,-1.3215),(5825,745,0.002976,-1.3217),(5825,755,0.003015,-1.3219),(5825,765,0.003053,-1.3219),(5825,775,0.003118,-1.3219),(5825,785,0.003253,-1.3219),(5825,795,0.003389,-1.322),(5825,805,0.003524,-1.3223),(5825,815,0.003668,-1.3226),(5825,825,0.003829,-1.3229),(5825,835,0.003991,-1.3232),(5825,845,0.004152,-1.3235),(5825,855,0.004304,-1.3239),(5825,865,0.004437,-1.3242),(5825,875,0.00457,-1.3245),(5825,885,0.004703,-1.3248),(5825,895,0.004903,-1.3251),(5825,905,0.005207,-1.3254),(5825,915,0.005511,-1.3258),(5825,925,0.005815,-1.3264),(5825,935,0.006231,-1.3269),(5825,945,0.006793,-1.3275),(5825,955,0.007356,-1.3283),(5825,965,0.007918,-1.3293),(5825,975,0.008536,-1.3303),(5825,985,0.009218,-1.3314),(5825,995,0.009899,-1.3324),(5825,1005,0.010581,-1.3336),(5825,1015,0.011409,-1.3347),(5825,1025,0.012378,-1.3358),(5825,1035,0.013348,-1.3372),(5825,1045,0.014318,-1.3387),(5825,1055,0.01561,-1.3403),(5825,1065,0.017167,-1.3418),(5825,1075,0.018725,-1.3438),(5825,1085,0.020282,-1.3462),(5825,1095,0.02239,-1.3486),(5825,1105,0.024881,-1.3509),(5825,1115,0.027372,-1.3539),(5825,1125,0.029863,-1.3573),(5825,1135,0.033492,-1.3607),(5825,1145,0.037793,-1.3641),(5825,1155,0.042093,-1.3686),(5825,1165,0.046394,-1.3737),(5825,1175,0.053037,-1.3787),(5825,1185,0.060841,-1.3838),(5825,1195,0.068646,-1.3909),(5825,1205,0.07645,-1.399),(5825,1215,0.087151,-1.4071),(5825,1225,0.099045,-1.4151),(5825,1235,0.11094,-1.43),(5825,1245,0.12283,-1.4474),(5825,1255,0.11939,-1.4648),(5825,1265,0.11076,-1.4823),(5825,1275,0.10213,-1.4983),(5825,1285,0.093495,-1.5139),(5825,1295,0.02908,-1.5295),(5825,1305,-0.05042,-1.5451),(5825,1315,-0.12992,-1.4755),(5825,1325,-0.20942,-1.3855),(5825,1335,-0.1227,-1.2955),(5825,1345,-0.001138,-1.2054),(5825,1355,0.12042,-1.2658),(5825,1365,0.24198,-1.3535),(5825,1375,0.18432,-1.4412),(5825,1385,0.099008,-1.5289),(5825,1395,0.013694,-1.5295),(5825,1405,-0.07162,-1.519),(5825,1415,-0.095356,-1.5084),(5825,1425,-0.1127,-1.4979),(5825,1435,-0.13004,-1.4794),(5825,1445,-0.14738,-1.4603),(5825,1455,-0.13437,-1.4412),(5825,1465,-0.11962,-1.4221),(5825,1475,-0.10486,-1.4132),(5825,1485,-0.090108,-1.4045),(5825,1495,-0.080596,-1.3959),(5825,1505,-0.071163,-1.3873),(5825,1515,-0.061729,-1.3818),(5825,1525,-0.052407,-1.3763),(5825,1535,-0.047464,-1.3709),(5825,1545,-0.04252,-1.3655),(5825,1555,-0.037577,-1.3617),(5825,1565,-0.03277,-1.3579),(5825,1575,-0.029941,-1.3542),(5825,1585,-0.027112,-1.3505),(5825,1595,-0.024284,-1.3477),(5825,1605,-0.021575,-1.3449),(5825,1615,-0.019904,-1.3421),(5825,1625,-0.018233,-1.3394),(5825,1635,-0.016561,-1.3374),(5825,1645,-0.014961,-1.3355),(5825,1655,-0.013786,-1.3335),(5825,1665,-0.012611,-1.3316),(5825,1675,-0.011435,-1.3301),(5825,1685,-0.010338,-1.3287),(5825,1695,-0.009586,-1.3272),(5825,1705,-0.008835,-1.3258),(5825,1715,-0.008084,-1.3248),(5825,1725,-0.007412,-1.3238),(5825,1735,-0.007015,-1.3227),(5825,1745,-0.006618,-1.3217),(5825,1755,-0.00622,-1.3208),(5825,1765,-0.005841,-1.3199),(5825,1775,-0.005511,-1.3189),(5825,1785,-0.005182,-1.318),(5825,1795,-0.004853,-1.3172),(5825,1805,-0.004522,-1.3164),(5825,1815,-0.004185,-1.3156),(5825,1825,-0.003849,-1.3148),(5825,1835,-0.003513,-1.3142),(5825,1845,-0.003221,-1.3136),(5825,1855,-0.003014,-1.313),(5825,1865,-0.002806,-1.3125),(5825,1875,-0.002599,-1.3121),(5825,1885,-0.002398,-1.3117),(5825,1895,-0.002207,-1.3113),(5825,1905,-0.002017,-1.3109),(5825,1915,-0.001826,-1.3105),(5825,1925,-0.001657,-1.31),(5825,1935,-0.00152,-1.3096),(5825,1945,-0.001382,-1.3092),(5825,1955,-0.001245,-1.3087),(5825,1965,-0.00111,-1.3083),(5825,1975,-0.000977,-1.3078),(5825,1985,-0.000845,-1.3074),(5825,1995,-0.000712,-1.3071),(5825,2005,-0.00061,-1.3067),(5825,2015,-0.000537,-1.3064),(5825,2025,-0.000464,-1.306),(5825,2035,-0.000392,-1.3057),(5825,2045,-0.000354,-1.3053),(5825,2055,-0.000347,-1.305),(5825,2065,-0.000339,-1.3046),(5825,2075,-0.000332,-1.3042),(5825,2085,-0.000315,-1.3038),(5825,2095,-0.000292,-1.3034),(5825,2105,-0.000269,-1.303),(5825,2115,-0.000246,-1.3026),(5825,2125,-0.000224,-1.3021),(5825,2135,-0.000204,-1.3017),(5825,2145,-0.000185,-1.3012),(5825,2155,-0.000165,-1.3008),(5825,2165,-9.9e-05,-1.3004),(5825,2175,-1e-05,-1.3),(5825,2185,7.9e-05,-1.2997),(5825,2195,0.000168,-1.2994),(5825,2205,0.000268,-1.2992),(5825,2215,0.000372,-1.2989),(5825,2225,0.000476,-1.2986),(5825,2235,0.00058,-1.2983),(5825,2245,0.00063,-1.298),(5825,2255,0.000661,-1.2976),(5825,2265,0.000691,-1.2972),(5825,2275,0.000722,-1.2967),(5825,2285,0.000748,-1.2963),(5825,2295,0.000773,-1.2958),(5825,2305,0.000798,-1.2954),(5825,2315,0.000823,-1.295),(5825,2325,0.000887,-1.2946),(5825,2335,0.000959,-1.2942),(5825,2345,0.001032,-1.2938),(5825,2355,0.001105,-1.2935),(5825,2365,0.001186,-1.2931),(5825,2375,0.00127,-1.2928),(5825,2385,0.001353,-1.2924),(5825,2395,0.001436,-1.2921),(5825,2405,0.001449,-1.2917),(5825,2415,0.001455,-1.2913),(5825,2425,0.00146,-1.2908),(5825,2435,0.001466,-1.2903),(5825,2445,0.001424,-1.2898),(5825,2455,0.001379,-1.2893),(5825,2465,0.001334,-1.2888),(5825,2475,0.001289,-1.2883),(5825,2485,0.001283,-1.2877),(5825,2495,0.001278,-1.2872),(5825,2505,0.001273,-1.2867),(5825,2515,0.001268,-1.2862),(5825,2525,0.001264,-1.2858),(5825,2535,0.00126,-1.2853),(5825,2545,0.001255,-1.2847),(5825,2555,0.00125,-1.2842),(5825,2565,0.00123,-1.2836),(5825,2575,0.00121,-1.283),(5825,2585,0.00119,-1.2824),(5825,2595,0.001173,-1.2818),(5825,2605,0.001177,-1.2812),(5825,2615,0.001181,-1.2806),(5825,2625,0.001186,-1.2801),(5825,2635,0.001192,-1.2795),(5825,2645,0.001207,-1.279),(5825,2655,0.001223,-1.2784),(5825,2665,0.001238,-1.2778),(5825,2675,0.001263,-1.2772),(5825,2685,0.001333,-1.2766),(5825,2695,0.001404,-1.276),(5825,2705,0.001474,-1.2755),(5825,2715,0.001559,-1.275),(5825,2725,0.001701,-1.2744),(5825,2735,0.001842,-1.2739),(5825,2745,0.001984,-1.2734),(5825,2755,0.002103,-1.273),(5825,2765,0.002157,-1.2725),(5825,2775,0.002211,-1.272),(5825,2785,0.002265,-1.2713),(5825,2795,0.002294,-1.2706),(5825,2805,0.002264,-1.27),(5825,2815,0.002234,-1.2692),(5825,2825,0.002204,-1.2684),(5825,2835,0.002186,-1.2676),(5825,2845,0.002193,-1.2668),(5825,2855,0.002199,-1.2661),(5825,2865,0.002206,-1.2653),(5825,2875,0.002236,-1.2646),(5825,2885,0.002307,-1.2639),(5825,2895,0.002378,-1.2632),(5825,2905,0.002449,-1.2626),(5825,2915,0.002522,-1.2619),(5825,2925,0.002597,-1.2612),(5825,2935,0.002672,-1.2605),(5825,2945,0.002747,-1.2598),(5825,2955,0.002803,-1.2591),(5825,2965,0.002835,-1.2584),(5825,2975,0.002867,-1.2577),(5825,2985,0.002898,-1.2569),(5825,2995,0.002916,-1.2561),(5825,3005,0.00292,-1.2553),(5825,3015,0.002924,-1.2544),(5825,3025,0.002927,-1.2535),(5825,3035,0.002959,-1.2527),(5825,3045,0.003017,-1.2518),(5825,3055,0.003075,-1.2509),(5825,3065,0.003132,-1.2501),(5825,3075,0.003206,-1.2493),(5825,3085,0.00329,-1.2485),(5825,3095,0.003375,-1.2477),(5825,3105,0.00346,-1.247),(5825,3115,0.003525,-1.2462),(5825,3125,0.003578,-1.2454),(5825,3135,0.003632,-1.2446),(5825,3145,0.003685,-1.2437),(5825,3155,0.003697,-1.2429),(5825,3165,0.003687,-1.242),(5825,3175,0.003676,-1.2411),(5825,3185,0.003665,-1.2401),(5825,3195,0.003682,-1.239),(5825,3205,0.00371,-1.238),(5825,3215,0.003739,-1.2371),(5825,3225,0.003768,-1.2361),(5825,3235,0.003845,-1.2351),(5825,3245,0.003941,-1.2341),(5825,3255,0.004037,-1.2332),(5825,3265,0.004133,-1.2324),(5825,3275,0.004182,-1.2315),(5825,3285,0.004217,-1.2307),(5825,3295,0.004252,-1.2297),(5825,3305,0.004287,-1.2287),(5825,3315,0.004318,-1.2277),(5825,3325,0.004346,-1.2267),(5825,3335,0.004375,-1.2257),(5825,3345,0.004404,-1.2247),(5825,3355,0.004542,-1.2236),(5825,3365,0.0047,-1.2226),(5825,3375,0.004858,-1.2218),(5825,3385,0.005015,-1.221),(5825,3395,0.005206,-1.2202),(5825,3405,0.0054,-1.2194),(5825,3415,0.005594,-1.2185),(5825,3425,0.005788,-1.2177),(5825,3435,0.005898,-1.2169),(5825,3445,0.006002,-1.2161),(5825,3455,0.006105,-1.2151),(5825,3465,0.006209,-1.2141),(5825,3475,0.00628,-1.2131),(5825,3485,0.006351,-1.2121),(5825,3495,0.006421,-1.2111),(5825,3505,0.006493,-1.21),(5825,3515,0.006723,-1.209),(5825,3525,0.006954,-1.208),(5825,3535,0.007185,-1.2073),(5825,3545,0.007421,-1.2066),(5825,3555,0.007782,-1.206),(5825,3565,0.008143,-1.2053),(5825,3575,0.008505,-1.2048),(5825,3585,0.008867,-1.2042),(5825,3595,0.00924,-1.2037),(5825,3605,0.009614,-1.2031),(5825,3615,0.009987,-1.2025),(5825,3625,0.010369,-1.202),(5825,3635,0.010808,-1.2014),(5825,3645,0.011248,-1.2008),(5825,3655,0.011687,-1.2004),(5825,3665,0.012168,-1.2),(5825,3675,0.012862,-1.1996),(5825,3685,0.013556,-1.1992),(5825,3695,0.014251,-1.1992),(5825,3705,0.01503,-1.1992),(5825,3715,0.016142,-1.1992),(5825,3725,0.017253,-1.1993),(5825,3735,0.018365,-1.1999),(5825,3745,0.01957,-1.2005),(5825,3755,0.021066,-1.2011),(5825,3765,0.022561,-1.2018),(5825,3775,0.024057,-1.203),(5825,3785,0.025729,-1.2042),(5825,3795,0.027852,-1.2053),(5825,3805,0.029975,-1.2068),(5825,3815,0.032097,-1.2088),(5825,3825,0.034567,-1.2108),(5825,3835,0.03777,-1.2128),(5825,3845,0.040972,-1.2154),(5825,3855,0.044175,-1.2189),(5825,3865,0.048005,-1.2224),(5825,3875,0.052944,-1.2259),(5825,3885,0.057882,-1.2305),(5825,3895,0.062821,-1.2366),(5825,3905,0.068344,-1.2428),(5825,3915,0.074741,-1.249),(5825,3925,0.081138,-1.2578),(5825,3935,0.087535,-1.2702),(5825,3945,0.08827,-1.2826),(5825,3955,0.081814,-1.2951),(5825,3965,0.075358,-1.3071),(5825,3975,0.068902,-1.3185),(5825,3985,0.028513,-1.33),(5825,3995,-0.048607,-1.3415),(5825,4005,-0.12573,-1.2975),(5825,4015,-0.20285,-1.198),(5825,4025,-0.030139,-1.0985),(5825,4035,0.16701,-1.0308),(5825,4045,0.36416,-1.03),(5825,4055,0.47508,-1.0292),(5825,4065,0.55455,-1.0283),(5825,4075,0.63402,-1.0269),(5825,4085,0.66988,-1.0254),(5825,4095,0.6707,-1.0239),(5825,4105,0.67153,-1.0226),(5825,4115,0.6724,-1.0213),(5825,4125,0.67335,-1.02),(5825,4135,0.6743,-1.0187),(5825,4145,0.67528,-1.0175),(5825,4155,0.67636,-1.0162),(5825,4165,0.67745,-1.015),(5825,4175,0.67854,-1.0137),(5825,4185,0.67976,-1.0124),(5825,4195,0.68098,-1.0112),(5825,4205,0.68221,-1.0101),(5825,4215,0.68355,-1.009),(5825,4225,0.68492,-1.0079),(5825,4235,0.68629,-1.0067),(5825,4245,0.68778,-1.0056),(5825,4255,0.68933,-1.0044),(5825,4265,0.69088,-1.0032),(5825,4275,0.69253,-1.002),(5825,4285,0.6943,-1.0008),(5825,4295,0.69607,-0.99965),(5825,4305,0.69791,-0.99848),(5825,4315,0.69991,-0.99732),(5825,4325,0.7019,-0.9961),(5825,4335,0.70393,-0.99485),(5825,4345,0.70614,-0.99361),(5825,4355,0.70835,-0.99228),(5825,4365,0.71057,-0.99087),(5825,4375,0.71298,-0.98946),(5825,4385,0.71541,-0.98799),(5825,4395,0.71784,-0.98642),(5825,4405,0.72043,-0.98486),(5825,4415,0.72306,-0.98326),(5825,4425,0.7257,-0.98156),(5825,4435,0.72845,-0.97985),(5825,4445,0.73127,-0.97815),(5825,4455,0.7341,-0.97635),(5825,4465,0.73701,-0.97455),(5825,4475,0.74001,-0.97275),(5825,4485,0.74302,-0.97084),(5825,4495,0.74605,-0.96891),(5825,4505,0.7492,-0.96698),(5825,4515,0.75235,-0.96496),(5825,4525,0.7555,-0.96288),(5825,4535,0.75875,-0.96081),(5825,4545,0.762,-0.95865),(5825,4555,0.76526,-0.95641),(5825,4565,0.76858,-0.95417),(5825,4575,0.77191,-0.95189),(5825,4585,0.77524,-0.94953),(5825,4595,0.77862,-0.94716),(5825,4605,0.78202,-0.94478),(5825,4615,0.78543,-0.9423),(5825,4625,0.78887,-0.93981),(5825,4635,0.79235,-0.93733),(5825,4645,0.79583,-0.93473),(5825,4655,0.79933,-0.93212),(5825,4665,0.80288,-0.92952),(5825,4675,0.80643,-0.92679),(5825,4685,0.80999,-0.92401),(5825,4695,0.8136,-0.92124),(5825,4705,0.81722,-0.91837),(5825,4715,0.82083,-0.91543),(5825,4725,0.82449,-0.91249),(5825,4735,0.82815,-0.90951),(5825,4745,0.83181,-0.90648),(5825,4755,0.83549,-0.90345),(5825,4765,0.83917,-0.90041),(5825,4775,0.84286,-0.89731),(5825,4785,0.84654,-0.89421),(5825,4795,0.85024,-0.8911),(5825,4805,0.85393,-0.88784),(5825,4815,0.85762,-0.88458),(5825,4825,0.86132,-0.88133),(5825,4835,0.86502,-0.87794),(5825,4845,0.86871,-0.87453),(5825,4855,0.87242,-0.87112),(5825,4865,0.87612,-0.86765),(5825,4875,0.87983,-0.86415),(5825,4885,0.88355,-0.86065),(5825,4895,0.88726,-0.85709),(5825,4905,0.89098,-0.85348),(5825,4915,0.8947,-0.84986),(5825,4925,0.89841,-0.84622),(5825,4935,0.90213,-0.84251),(5825,4945,0.90583,-0.83881),(5825,4955,0.90953,-0.8351),(5825,4965,0.91323,-0.83132),(5825,4975,0.91693,-0.82755),(5825,4985,0.92061,-0.82378),(5825,4995,0.9243,-0.81991),(5825,5005,0.92797,-0.81604),(5825,5015,0.93162,-0.81218),(5825,5025,0.93528,-0.80825),(5825,5035,0.93893,-0.80431),(5825,5045,0.94255,-0.80037),(5825,5055,0.94617,-0.79637),(5825,5065,0.94978,-0.79235),(5825,5075,0.95336,-0.78833),(5825,5085,0.95693,-0.78426),(5825,5095,0.96051,-0.78015),(5825,5105,0.96406,-0.77603),(5825,5115,0.9676,-0.7719),(5825,5125,0.97114,-0.76773),(5825,5135,0.97467,-0.76355),(5825,5145,0.97819,-0.75937),(5825,5155,0.98172,-0.75517),(5825,5165,0.98524,-0.75097),(5825,5175,0.98874,-0.74676),(5825,5185,0.99225,-0.74253),(5825,5195,0.99574,-0.7383),(5825,5205,0.99921,-0.73407),(5825,5215,1.0027,-0.72977),(5825,5225,1.0061,-0.72545),(5825,5235,1.0096,-0.72113),(5825,5245,1.013,-0.71676),(5825,5255,1.0164,-0.71235),(5825,5265,1.0198,-0.70794),(5825,5275,1.0232,-0.70351),(5825,5285,1.0265,-0.69906),(5825,5295,1.0299,-0.69461),(5825,5305,1.0332,-0.69015),(5825,5315,1.0365,-0.68566),(5825,5325,1.0398,-0.68117),(5825,5335,1.0431,-0.67667),(5825,5345,1.0464,-0.67213),(5825,5355,1.0496,-0.66759),(5825,5365,1.0529,-0.66305),(5825,5375,1.0561,-0.65847),(5825,5385,1.0593,-0.65388),(5825,5395,1.0626,-0.64929),(5825,5405,1.0658,-0.64468),(5825,5415,1.069,-0.64005),(5825,5425,1.0722,-0.63541),(5825,5435,1.0753,-0.63076),(5825,5445,1.0785,-0.62608),(5825,5455,1.0817,-0.62139),(5825,5465,1.0848,-0.61669),(5825,5475,1.088,-0.61192),(5825,5485,1.0911,-0.60715),(5825,5495,1.0942,-0.60238),(5825,5505,1.0972,-0.59753),(5825,5515,1.1003,-0.59267),(5825,5525,1.1033,-0.58782),(5825,5535,1.1063,-0.58294),(5825,5545,1.1093,-0.57806),(5825,5555,1.1122,-0.57318),(5825,5565,1.1152,-0.56828),(5825,5575,1.1181,-0.56337),(5825,5585,1.121,-0.55846),(5825,5595,1.1239,-0.5535),(5825,5605,1.1268,-0.54851),(5825,5615,1.1297,-0.54352),(5825,5625,1.1326,-0.53851),(5825,5635,1.1354,-0.53348),(5825,5645,1.1383,-0.52845),(5825,5655,1.1411,-0.52341),(5825,5665,1.1439,-0.51837),(5825,5675,1.1467,-0.51332),(5825,5685,1.1495,-0.50828),(5825,5695,1.1523,-0.50322),(5825,5705,1.155,-0.49817),(5825,5715,1.1577,-0.49312),(5825,5725,1.1604,-0.48802),(5825,5735,1.1631,-0.48291),(5825,5745,1.1657,-0.4778),(5825,5755,1.1684,-0.47265),(5825,5765,1.171,-0.46748),(5825,5775,1.1735,-0.46232),(5825,5785,1.1761,-0.45712),(5825,5795,1.1786,-0.45189),(5825,5805,1.1811,-0.44666),(5825,5815,1.1836,-0.44141),(5825,5825,1.1861,-0.4361),(5825,5835,1.1885,-0.4308),(5825,5845,1.1909,-0.42549),(5825,5855,1.1934,-0.42013),(5825,5865,1.1957,-0.41477),(5825,5875,1.1981,-0.40941),(5825,5885,1.2005,-0.40405),(5825,5895,1.2028,-0.3987),(5825,5905,1.2051,-0.39334),(5825,5915,1.2074,-0.38798),(5825,5925,1.2097,-0.38262),(5825,5935,1.2119,-0.37726),(5825,5945,1.2141,-0.37185),(5825,5955,1.2163,-0.36641),(5825,5965,1.2185,-0.36098),(5825,5975,1.2206,-0.3555),(5825,5985,1.2227,-0.34998),(5825,5995,1.2247,-0.34446),(5825,6005,1.2267,-0.33894),(5825,6015,1.2288,-0.33342),(5825,6025,1.2307,-0.3279),(5825,6035,1.2327,-0.32238),(5825,6045,1.2346,-0.31688),(5825,6055,1.2365,-0.31137),(5825,6065,1.2384,-0.30586),(5825,6075,1.2403,-0.30028),(5825,6085,1.2421,-0.29468),(5825,6095,1.2439,-0.28909),(5825,6105,1.2456,-0.28341),(5825,6115,1.2474,-0.2777),(5825,6125,1.2491,-0.272),(5825,6135,1.2507,-0.26628),(5825,6145,1.2524,-0.26054),(5825,6155,1.2539,-0.25481),(5825,6165,1.2555,-0.24909),(5825,6175,1.257,-0.24338),(5825,6185,1.2585,-0.23767),(5825,6195,1.2599,-0.23195),(5825,6205,1.2614,-0.2262),(5825,6215,1.2628,-0.22045),(5825,6225,1.2641,-0.2147),(5825,6235,1.2655,-0.2089),(5825,6245,1.2668,-0.20311),(5825,6255,1.268,-0.19732),(5825,6265,1.2693,-0.19153),(5825,6275,1.2705,-0.18574),(5825,6285,1.2717,-0.17995),(5825,6295,1.2729,-0.17412),(5825,6305,1.274,-0.16827),(5825,6315,1.2751,-0.16241),(5825,6325,1.2762,-0.15655),(5825,6335,1.2772,-0.15067),(5825,6345,1.2782,-0.14479),(5825,6355,1.2791,-0.13893),(5825,6365,1.28,-0.13309),(5825,6375,1.2809,-0.12725),(5825,6385,1.2817,-0.12139),(5825,6395,1.2825,-0.11546),(5825,6405,1.2832,-0.10953),(5825,6415,1.2839,-0.1036),(5825,6425,1.2845,-0.097691),(5825,6435,1.2851,-0.091783),(5825,6445,1.2857,-0.085875),(5825,6455,1.2862,-0.079938),(5825,6465,1.2867,-0.073994),(5825,6475,1.2872,-0.068049),(5825,6485,1.2876,-0.062123),(5825,6495,1.288,-0.05621),(5825,6505,1.2883,-0.050297),(5825,6515,1.2886,-0.044362),(5825,6525,1.289,-0.038399),(5825,6535,1.2892,-0.032436),(5825,6545,1.2894,-0.026492),(5825,6555,1.2896,-0.020608),(5825,6565,1.2897,-0.014723),(5825,6575,1.2898,-0.008828),(5825,6585,1.2899,-0.002779),(5825,6595,1.0971,0.003271),(5825,6605,0.69139,0.00932),(5825,6615,0.28567,0.010006),(5825,6625,0.000469,0.010003),(5825,6635,0.000497,0.010001),(5825,6645,0.000526,0.010004),(5825,6655,0.000554,0.010009),(5825,6665,0.000582,0.010014),(5825,6675,0.00061,0.01002),(5825,6685,0.000639,0.010025),(5825,6695,0.000666,0.01003),(5825,6705,0.000693,0.010035),(5825,6715,0.000721,0.010039),(5825,6725,0.000748,0.010044),(5825,6735,0.000775,0.010048),(5825,6745,0.000802,0.010052),(5825,6755,0.000828,0.010056),(5825,6765,0.000855,0.01006),(5825,6775,0.000881,0.010064),(5825,6785,0.000907,0.010067),(5825,6795,0.000933,0.01007),(5825,6805,0.000959,0.010073),(5825,6815,0.000984,0.010076),(5825,6825,0.001009,0.010079),(5825,6835,0.001034,0.010081),(5825,6845,0.001059,0.010084),(5825,6855,0.001084,0.010086),(5825,6865,0.001109,0.010088),(5825,6875,0.001133,0.010089),(5825,6885,0.001157,0.010091),(5825,6895,0.001181,0.010092),(5825,6905,0.001205,0.010093),(5825,6915,0.001229,0.010093),(5825,6925,0.001252,0.010094),(5825,6935,0.001275,0.010094),(5825,6945,0.001299,0.010095),(5825,6955,0.001321,0.010095),(5825,6965,0.001344,0.010094),(5825,6975,0.001367,0.010094),(5825,6985,0.001389,0.010093),(5835,5,9e-06,-1.2941),(5835,15,2.7e-05,-1.2941),(5835,25,3.8e-05,-1.2942),(5835,35,4.3e-05,-1.2943),(5835,45,4.9e-05,-1.2943),(5835,55,5.5e-05,-1.2943),(5835,65,6.5e-05,-1.2943),(5835,75,7.9e-05,-1.2942),(5835,85,9.3e-05,-1.2942),(5835,95,0.000107,-1.2942),(5835,105,0.000153,-1.2942),(5835,115,0.000222,-1.2942),(5835,125,0.000291,-1.2943),(5835,135,0.00036,-1.2944),(5835,145,0.000368,-1.2946),(5835,155,0.000344,-1.2947),(5835,165,0.000319,-1.2947),(5835,175,0.000294,-1.2945),(5835,185,0.000305,-1.2944),(5835,195,0.000333,-1.2942),(5835,205,0.000361,-1.2942),(5835,215,0.000389,-1.2943),(5835,225,0.000341,-1.2944),(5835,235,0.000264,-1.2945),(5835,245,0.000186,-1.2943),(5835,255,0.000108,-1.2941),(5835,265,0.000102,-1.2938),(5835,275,0.000119,-1.2935),(5835,285,0.000136,-1.2935),(5835,295,0.000153,-1.2936),(5835,305,0.000245,-1.2936),(5835,315,0.000356,-1.2937),(5835,325,0.000468,-1.2938),(5835,335,0.00058,-1.294),(5835,345,0.000697,-1.2941),(5835,355,0.000815,-1.2942),(5835,365,0.000933,-1.2943),(5835,375,0.001051,-1.2944),(5835,385,0.001076,-1.2946),(5835,395,0.001089,-1.2947),(5835,405,0.001102,-1.2946),(5835,415,0.001114,-1.2945),(5835,425,0.001105,-1.2944),(5835,435,0.001094,-1.2944),(5835,445,0.001083,-1.2943),(5835,455,0.001072,-1.2943),(5835,465,0.001077,-1.2942),(5835,475,0.001083,-1.2942),(5835,485,0.001089,-1.2942),(5835,495,0.001094,-1.2941),(5835,505,0.001183,-1.294),(5835,515,0.001272,-1.294),(5835,525,0.001361,-1.2941),(5835,535,0.001452,-1.2942),(5835,545,0.001605,-1.2943),(5835,555,0.001758,-1.2944),(5835,565,0.001911,-1.2946),(5835,575,0.002051,-1.2948),(5835,585,0.002037,-1.295),(5835,595,0.002024,-1.2952),(5835,605,0.00201,-1.295),(5835,615,0.001986,-1.2949),(5835,625,0.001886,-1.2948),(5835,635,0.001786,-1.2946),(5835,645,0.001685,-1.2945),(5835,655,0.00163,-1.2943),(5835,665,0.001825,-1.2941),(5835,675,0.00202,-1.294),(5835,685,0.002214,-1.2944),(5835,695,0.002408,-1.2947),(5835,705,0.002598,-1.2951),(5835,715,0.002788,-1.2955),(5835,725,0.002978,-1.2957),(5835,735,0.003135,-1.2959),(5835,745,0.003184,-1.2962),(5835,755,0.003232,-1.2963),(5835,765,0.003281,-1.2963),(5835,775,0.003357,-1.2963),(5835,785,0.003505,-1.2963),(5835,795,0.003654,-1.2964),(5835,805,0.003802,-1.2967),(5835,815,0.003964,-1.297),(5835,825,0.004157,-1.2973),(5835,835,0.00435,-1.2976),(5835,845,0.004543,-1.2979),(5835,855,0.004721,-1.2983),(5835,865,0.004869,-1.2986),(5835,875,0.005016,-1.2989),(5835,885,0.005164,-1.2991),(5835,895,0.005376,-1.2994),(5835,905,0.005687,-1.2996),(5835,915,0.005999,-1.3),(5835,925,0.006311,-1.3005),(5835,935,0.006753,-1.3011),(5835,945,0.007369,-1.3016),(5835,955,0.007984,-1.3024),(5835,965,0.0086,-1.3034),(5835,975,0.009286,-1.3044),(5835,985,0.010052,-1.3054),(5835,995,0.010819,-1.3064),(5835,1005,0.011585,-1.3075),(5835,1015,0.012512,-1.3086),(5835,1025,0.013594,-1.3097),(5835,1035,0.014676,-1.311),(5835,1045,0.015757,-1.3125),(5835,1055,0.017197,-1.3139),(5835,1065,0.018929,-1.3154),(5835,1075,0.020662,-1.3173),(5835,1085,0.022394,-1.3196),(5835,1095,0.024723,-1.3218),(5835,1105,0.027466,-1.3241),(5835,1115,0.03021,-1.3269),(5835,1125,0.032954,-1.3301),(5835,1135,0.036895,-1.3333),(5835,1145,0.041542,-1.3365),(5835,1155,0.046189,-1.3406),(5835,1165,0.050836,-1.3452),(5835,1175,0.057989,-1.3498),(5835,1185,0.066385,-1.3544),(5835,1195,0.074782,-1.3605),(5835,1205,0.083179,-1.3673),(5835,1215,0.095788,-1.3741),(5835,1225,0.11013,-1.381),(5835,1235,0.12448,-1.3946),(5835,1245,0.13883,-1.4109),(5835,1255,0.1367,-1.4271),(5835,1265,0.12902,-1.4433),(5835,1275,0.12133,-1.4631),(5835,1285,0.11364,-1.4839),(5835,1295,0.026916,-1.5048),(5835,1305,-0.081188,-1.5256),(5835,1315,-0.18929,-1.4607),(5835,1325,-0.29739,-1.3753),(5835,1335,-0.17776,-1.29),(5835,1345,-0.010403,-1.2046),(5835,1355,0.15696,-1.2601),(5835,1365,0.32432,-1.3413),(5835,1375,0.25023,-1.4224),(5835,1385,0.13889,-1.5035),(5835,1395,0.027554,-1.499),(5835,1405,-0.083785,-1.4834),(5835,1415,-0.11047,-1.4678),(5835,1425,-0.12836,-1.4523),(5835,1435,-0.14625,-1.4354),(5835,1445,-0.16415,-1.4185),(5835,1455,-0.14869,-1.4016),(5835,1465,-0.13131,-1.3846),(5835,1475,-0.11393,-1.3775),(5835,1485,-0.096557,-1.3707),(5835,1495,-0.086512,-1.3638),(5835,1505,-0.076577,-1.357),(5835,1515,-0.066643,-1.3521),(5835,1525,-0.056824,-1.3473),(5835,1535,-0.051568,-1.3424),(5835,1545,-0.046312,-1.3376),(5835,1555,-0.041056,-1.334),(5835,1565,-0.035941,-1.3305),(5835,1575,-0.03287,-1.3269),(5835,1585,-0.029798,-1.3234),(5835,1595,-0.026727,-1.3208),(5835,1605,-0.023784,-1.3182),(5835,1615,-0.021952,-1.3155),(5835,1625,-0.02012,-1.313),(5835,1635,-0.018287,-1.3111),(5835,1645,-0.016533,-1.3091),(5835,1655,-0.015243,-1.3072),(5835,1665,-0.013952,-1.3054),(5835,1675,-0.012662,-1.304),(5835,1685,-0.011448,-1.3026),(5835,1695,-0.01057,-1.3012),(5835,1705,-0.009693,-1.2999),(5835,1715,-0.008816,-1.299),(5835,1725,-0.00803,-1.298),(5835,1735,-0.007561,-1.297),(5835,1745,-0.007093,-1.2961),(5835,1755,-0.006625,-1.2952),(5835,1765,-0.006191,-1.2942),(5835,1775,-0.005852,-1.2933),(5835,1785,-0.005513,-1.2924),(5835,1795,-0.005174,-1.2916),(5835,1805,-0.004824,-1.2908),(5835,1815,-0.00445,-1.29),(5835,1825,-0.004075,-1.2893),(5835,1835,-0.0037,-1.2887),(5835,1845,-0.003366,-1.2881),(5835,1855,-0.00311,-1.2876),(5835,1865,-0.002854,-1.2871),(5835,1875,-0.002598,-1.2867),(5835,1885,-0.002365,-1.2863),(5835,1895,-0.002168,-1.2859),(5835,1905,-0.001971,-1.2855),(5835,1915,-0.001774,-1.285),(5835,1925,-0.001609,-1.2846),(5835,1935,-0.001488,-1.2842),(5835,1945,-0.001366,-1.2837),(5835,1955,-0.001245,-1.2833),(5835,1965,-0.001116,-1.2829),(5835,1975,-0.000977,-1.2824),(5835,1985,-0.000839,-1.282),(5835,1995,-0.0007,-1.2817),(5835,2005,-0.00058,-1.2814),(5835,2015,-0.00048,-1.2811),(5835,2025,-0.00038,-1.2808),(5835,2035,-0.00028,-1.2804),(5835,2045,-0.000221,-1.2801),(5835,2055,-0.000199,-1.2797),(5835,2065,-0.000176,-1.2794),(5835,2075,-0.000153,-1.279),(5835,2085,-0.000131,-1.2786),(5835,2095,-0.000109,-1.2782),(5835,2105,-8.7e-05,-1.2778),(5835,2115,-6.5e-05,-1.2774),(5835,2125,-5.3e-05,-1.2769),(5835,2135,-4.7e-05,-1.2765),(5835,2145,-4.1e-05,-1.276),(5835,2155,-3.5e-05,-1.2756),(5835,2165,1.7e-05,-1.2752),(5835,2175,9.2e-05,-1.2748),(5835,2185,0.000168,-1.2744),(5835,2195,0.000244,-1.2742),(5835,2205,0.000335,-1.2739),(5835,2215,0.000434,-1.2737),(5835,2225,0.000533,-1.2734),(5835,2235,0.000631,-1.2731),(5835,2245,0.000676,-1.2728),(5835,2255,0.000701,-1.2725),(5835,2265,0.000726,-1.2721),(5835,2275,0.000751,-1.2716),(5835,2285,0.000768,-1.2712),(5835,2295,0.000784,-1.2707),(5835,2305,0.000799,-1.2703),(5835,2315,0.000814,-1.2699),(5835,2325,0.000865,-1.2695),(5835,2335,0.000925,-1.2691),(5835,2345,0.000986,-1.2687),(5835,2355,0.001046,-1.2684),(5835,2365,0.00113,-1.2681),(5835,2375,0.001218,-1.2677),(5835,2385,0.001306,-1.2674),(5835,2395,0.001394,-1.267),(5835,2405,0.001429,-1.2667),(5835,2415,0.001458,-1.2663),(5835,2425,0.001487,-1.2659),(5835,2435,0.001516,-1.2654),(5835,2445,0.001492,-1.2649),(5835,2455,0.001465,-1.2645),(5835,2465,0.001438,-1.2639),(5835,2475,0.001411,-1.2634),(5835,2485,0.001417,-1.2629),(5835,2495,0.001423,-1.2623),(5835,2505,0.00143,-1.2619),(5835,2515,0.001437,-1.2614),(5835,2525,0.001441,-1.2609),(5835,2535,0.001444,-1.2604),(5835,2545,0.001448,-1.2599),(5835,2555,0.00145,-1.2593),(5835,2565,0.001431,-1.2588),(5835,2575,0.001412,-1.2582),(5835,2585,0.001393,-1.2576),(5835,2595,0.001377,-1.257),(5835,2605,0.001384,-1.2565),(5835,2615,0.00139,-1.2559),(5835,2625,0.001397,-1.2553),(5835,2635,0.001404,-1.2548),(5835,2645,0.001413,-1.2542),(5835,2655,0.001421,-1.2536),(5835,2665,0.001429,-1.2531),(5835,2675,0.001445,-1.2525),(5835,2685,0.001496,-1.2519),(5835,2695,0.001547,-1.2513),(5835,2705,0.001598,-1.2507),(5835,2715,0.001668,-1.2502),(5835,2725,0.001809,-1.2496),(5835,2735,0.001951,-1.2491),(5835,2745,0.002092,-1.2487),(5835,2755,0.002214,-1.2483),(5835,2765,0.002279,-1.2478),(5835,2775,0.002344,-1.2474),(5835,2785,0.00241,-1.2467),(5835,2795,0.002446,-1.2461),(5835,2805,0.002414,-1.2454),(5835,2815,0.002383,-1.2447),(5835,2825,0.002351,-1.2439),(5835,2835,0.002327,-1.2431),(5835,2845,0.002321,-1.2423),(5835,2855,0.002315,-1.2416),(5835,2865,0.002309,-1.2408),(5835,2875,0.002329,-1.2401),(5835,2885,0.002393,-1.2394),(5835,2895,0.002457,-1.2387),(5835,2905,0.002521,-1.2381),(5835,2915,0.002592,-1.2374),(5835,2925,0.002672,-1.2368),(5835,2935,0.002752,-1.2361),(5835,2945,0.002832,-1.2354),(5835,2955,0.00289,-1.2348),(5835,2965,0.00292,-1.2341),(5835,2975,0.00295,-1.2333),(5835,2985,0.00298,-1.2326),(5835,2995,0.002989,-1.2318),(5835,3005,0.002977,-1.231),(5835,3015,0.002965,-1.2301),(5835,3025,0.002953,-1.2293),(5835,3035,0.002973,-1.2284),(5835,3045,0.003023,-1.2275),(5835,3055,0.003073,-1.2267),(5835,3065,0.003123,-1.2259),(5835,3075,0.003202,-1.2251),(5835,3085,0.003302,-1.2243),(5835,3095,0.003402,-1.2235),(5835,3105,0.003502,-1.2228),(5835,3115,0.003588,-1.2221),(5835,3125,0.003665,-1.2213),(5835,3135,0.003742,-1.2205),(5835,3145,0.003818,-1.2197),(5835,3155,0.00384,-1.2189),(5835,3165,0.003833,-1.218),(5835,3175,0.003826,-1.2171),(5835,3185,0.003819,-1.2161),(5835,3195,0.003832,-1.2151),(5835,3205,0.003854,-1.2141),(5835,3215,0.003877,-1.2131),(5835,3225,0.003899,-1.2121),(5835,3235,0.003989,-1.2112),(5835,3245,0.004105,-1.2102),(5835,3255,0.004221,-1.2093),(5835,3265,0.004337,-1.2085),(5835,3275,0.004407,-1.2077),(5835,3285,0.004464,-1.2069),(5835,3295,0.004521,-1.2059),(5835,3305,0.004578,-1.205),(5835,3315,0.004608,-1.204),(5835,3325,0.004632,-1.203),(5835,3335,0.004655,-1.202),(5835,3345,0.004679,-1.2009),(5835,3355,0.004813,-1.1999),(5835,3365,0.004968,-1.1988),(5835,3375,0.005122,-1.198),(5835,3385,0.005277,-1.1972),(5835,3395,0.005484,-1.1964),(5835,3405,0.005698,-1.1956),(5835,3415,0.005911,-1.1949),(5835,3425,0.006125,-1.1941),(5835,3435,0.006258,-1.1933),(5835,3445,0.006384,-1.1926),(5835,3455,0.00651,-1.1916),(5835,3465,0.006636,-1.1906),(5835,3475,0.006709,-1.1896),(5835,3485,0.00678,-1.1886),(5835,3495,0.006851,-1.1876),(5835,3505,0.006923,-1.1866),(5835,3515,0.007161,-1.1855),(5835,3525,0.0074,-1.1845),(5835,3535,0.007638,-1.1838),(5835,3545,0.007883,-1.1831),(5835,3555,0.008285,-1.1825),(5835,3565,0.008687,-1.1818),(5835,3575,0.009089,-1.1813),(5835,3585,0.009493,-1.1808),(5835,3595,0.009926,-1.1802),(5835,3605,0.010358,-1.1797),(5835,3615,0.010791,-1.1791),(5835,3625,0.011231,-1.1785),(5835,3635,0.011725,-1.178),(5835,3645,0.01222,-1.1774),(5835,3655,0.012715,-1.177),(5835,3665,0.013251,-1.1765),(5835,3675,0.014004,-1.1761),(5835,3685,0.014756,-1.1757),(5835,3695,0.015509,-1.1756),(5835,3705,0.016358,-1.1755),(5835,3715,0.017585,-1.1755),(5835,3725,0.018812,-1.1755),(5835,3735,0.02004,-1.1761),(5835,3745,0.021378,-1.1766),(5835,3755,0.02306,-1.1772),(5835,3765,0.024743,-1.1779),(5835,3775,0.026426,-1.179),(5835,3785,0.028305,-1.1801),(5835,3795,0.030681,-1.1811),(5835,3805,0.033058,-1.1825),(5835,3815,0.035435,-1.1843),(5835,3825,0.03819,-1.1862),(5835,3835,0.04174,-1.188),(5835,3845,0.045291,-1.1904),(5835,3855,0.048842,-1.1936),(5835,3865,0.05311,-1.1968),(5835,3875,0.058645,-1.2),(5835,3885,0.064181,-1.2041),(5835,3895,0.069716,-1.2098),(5835,3905,0.076319,-1.2154),(5835,3915,0.084516,-1.221),(5835,3925,0.092713,-1.2297),(5835,3935,0.10091,-1.2424),(5835,3945,0.10309,-1.2551),(5835,3955,0.097638,-1.2679),(5835,3965,0.092184,-1.2825),(5835,3975,0.086729,-1.2996),(5835,3985,0.030305,-1.3166),(5835,3995,-0.081292,-1.3336),(5835,4005,-0.19289,-1.2931),(5835,4015,-0.30449,-1.1952),(5835,4025,-0.10531,-1.0974),(5835,4035,0.12426,-1.0307),(5835,4045,0.35383,-1.0299),(5835,4055,0.47318,-1.0292),(5835,4065,0.55231,-1.0283),(5835,4075,0.63143,-1.0268),(5835,4085,0.66714,-1.0253),(5835,4095,0.66796,-1.0239),(5835,4105,0.66878,-1.0225),(5835,4115,0.66965,-1.0212),(5835,4125,0.6706,-1.0198),(5835,4135,0.67156,-1.0185),(5835,4145,0.67255,-1.0173),(5835,4155,0.67365,-1.016),(5835,4165,0.67476,-1.0147),(5835,4175,0.67587,-1.0134),(5835,4185,0.67712,-1.0121),(5835,4195,0.67836,-1.0108),(5835,4205,0.67961,-1.0097),(5835,4215,0.68098,-1.0085),(5835,4225,0.68237,-1.0074),(5835,4235,0.68376,-1.0062),(5835,4245,0.68525,-1.005),(5835,4255,0.6868,-1.0038),(5835,4265,0.68835,-1.0025),(5835,4275,0.68999,-1.0013),(5835,4285,0.69174,-1),(5835,4295,0.69348,-0.99883),(5835,4305,0.6953,-0.99764),(5835,4315,0.69726,-0.99645),(5835,4325,0.69923,-0.99521),(5835,4335,0.70123,-0.99395),(5835,4345,0.7034,-0.99269),(5835,4355,0.70558,-0.99134),(5835,4365,0.70775,-0.98992),(5835,4375,0.71012,-0.9885),(5835,4385,0.71251,-0.98702),(5835,4395,0.71489,-0.98545),(5835,4405,0.71743,-0.98388),(5835,4415,0.72001,-0.98228),(5835,4425,0.72259,-0.98057),(5835,4435,0.72529,-0.97885),(5835,4445,0.72806,-0.97714),(5835,4455,0.73084,-0.97533),(5835,4465,0.73369,-0.97353),(5835,4475,0.73664,-0.97172),(5835,4485,0.73959,-0.9698),(5835,4495,0.74258,-0.96787),(5835,4505,0.74569,-0.96593),(5835,4515,0.74879,-0.9639),(5835,4525,0.75191,-0.96181),(5835,4535,0.75513,-0.95973),(5835,4545,0.75835,-0.95758),(5835,4555,0.76156,-0.95533),(5835,4565,0.76485,-0.95309),(5835,4575,0.76815,-0.95081),(5835,4585,0.77145,-0.94845),(5835,4595,0.77479,-0.94609),(5835,4605,0.77816,-0.94372),(5835,4615,0.78152,-0.94124),(5835,4625,0.78492,-0.93875),(5835,4635,0.78836,-0.93627),(5835,4645,0.79179,-0.93368),(5835,4655,0.79525,-0.93109),(5835,4665,0.79876,-0.92849),(5835,4675,0.80226,-0.92577),(5835,4685,0.80577,-0.923),(5835,4695,0.80934,-0.92024),(5835,4705,0.8129,-0.91739),(5835,4715,0.81646,-0.91446),(5835,4725,0.82007,-0.91153),(5835,4735,0.82368,-0.90857),(5835,4745,0.82729,-0.90556),(5835,4755,0.83092,-0.90256),(5835,4765,0.83455,-0.89953),(5835,4775,0.83818,-0.89645),(5835,4785,0.84183,-0.89338),(5835,4795,0.84547,-0.89029),(5835,4805,0.84912,-0.88706),(5835,4815,0.85278,-0.88382),(5835,4825,0.85643,-0.88059),(5835,4835,0.86009,-0.87722),(5835,4845,0.86375,-0.87383),(5835,4855,0.86741,-0.87044),(5835,4865,0.87108,-0.86699),(5835,4875,0.87475,-0.86351),(5835,4885,0.87842,-0.86003),(5835,4895,0.8821,-0.85648),(5835,4905,0.88578,-0.85289),(5835,4915,0.88945,-0.84929),(5835,4925,0.89313,-0.84566),(5835,4935,0.89681,-0.84198),(5835,4945,0.90047,-0.83829),(5835,4955,0.90414,-0.8346),(5835,4965,0.9078,-0.83083),(5835,4975,0.91146,-0.82707),(5835,4985,0.91511,-0.82331),(5835,4995,0.91876,-0.81946),(5835,5005,0.92241,-0.81561),(5835,5015,0.92603,-0.81175),(5835,5025,0.92966,-0.80784),(5835,5035,0.93328,-0.80391),(5835,5045,0.93687,-0.79998),(5835,5055,0.94047,-0.796),(5835,5065,0.94406,-0.79199),(5835,5075,0.94761,-0.78798),(5835,5085,0.95116,-0.78393),(5835,5095,0.95471,-0.77982),(5835,5105,0.95822,-0.77571),(5835,5115,0.96173,-0.77158),(5835,5125,0.96525,-0.7674),(5835,5135,0.96874,-0.76323),(5835,5145,0.97224,-0.75905),(5835,5155,0.97573,-0.75485),(5835,5165,0.97921,-0.75064),(5835,5175,0.98269,-0.74644),(5835,5185,0.98616,-0.74222),(5835,5195,0.98963,-0.73799),(5835,5205,0.99307,-0.73377),(5835,5215,0.99652,-0.72948),(5835,5225,0.99996,-0.72517),(5835,5235,1.0034,-0.72087),(5835,5245,1.0068,-0.71651),(5835,5255,1.0102,-0.71211),(5835,5265,1.0135,-0.70771),(5835,5275,1.0169,-0.70329),(5835,5285,1.0202,-0.69885),(5835,5295,1.0235,-0.6944),(5835,5305,1.0269,-0.68995),(5835,5315,1.0302,-0.68546),(5835,5325,1.0334,-0.68098),(5835,5335,1.0367,-0.67649),(5835,5345,1.04,-0.67195),(5835,5355,1.0432,-0.66741),(5835,5365,1.0464,-0.66287),(5835,5375,1.0496,-0.65829),(5835,5385,1.0528,-0.6537),(5835,5395,1.056,-0.64911),(5835,5405,1.0592,-0.6445),(5835,5415,1.0624,-0.63987),(5835,5425,1.0655,-0.63523),(5835,5435,1.0687,-0.63058),(5835,5445,1.0719,-0.6259),(5835,5455,1.075,-0.62122),(5835,5465,1.0781,-0.61652),(5835,5475,1.0812,-0.61176),(5835,5485,1.0843,-0.607),(5835,5495,1.0874,-0.60224),(5835,5505,1.0905,-0.5974),(5835,5515,1.0935,-0.59255),(5835,5525,1.0965,-0.58771),(5835,5535,1.0995,-0.58284),(5835,5545,1.1025,-0.57797),(5835,5555,1.1054,-0.57309),(5835,5565,1.1083,-0.56819),(5835,5575,1.1113,-0.56327),(5835,5585,1.1141,-0.55836),(5835,5595,1.117,-0.55339),(5835,5605,1.1199,-0.5484),(5835,5615,1.1227,-0.5434),(5835,5625,1.1256,-0.53839),(5835,5635,1.1284,-0.53335),(5835,5645,1.1312,-0.52831),(5835,5655,1.134,-0.52326),(5835,5665,1.1368,-0.51822),(5835,5675,1.1396,-0.51317),(5835,5685,1.1423,-0.50812),(5835,5695,1.1451,-0.50307),(5835,5705,1.1478,-0.49802),(5835,5715,1.1505,-0.49297),(5835,5725,1.1532,-0.48788),(5835,5735,1.1558,-0.48278),(5835,5745,1.1585,-0.47767),(5835,5755,1.1611,-0.47253),(5835,5765,1.1637,-0.46736),(5835,5775,1.1662,-0.4622),(5835,5785,1.1688,-0.457),(5835,5795,1.1713,-0.45177),(5835,5805,1.1738,-0.44654),(5835,5815,1.1762,-0.44128),(5835,5825,1.1787,-0.43598),(5835,5835,1.1811,-0.43067),(5835,5845,1.1835,-0.42536),(5835,5855,1.1859,-0.41999),(5835,5865,1.1883,-0.41462),(5835,5875,1.1906,-0.40926),(5835,5885,1.193,-0.4039),(5835,5895,1.1953,-0.39853),(5835,5905,1.1976,-0.39317),(5835,5915,1.1998,-0.38781),(5835,5925,1.2021,-0.38246),(5835,5935,1.2043,-0.3771),(5835,5945,1.2065,-0.37169),(5835,5955,1.2087,-0.36626),(5835,5965,1.2108,-0.36083),(5835,5975,1.2129,-0.35536),(5835,5985,1.215,-0.34984),(5835,5995,1.217,-0.34432),(5835,6005,1.219,-0.3388),(5835,6015,1.2211,-0.33327),(5835,6025,1.223,-0.32775),(5835,6035,1.2249,-0.32223),(5835,6045,1.2269,-0.31672),(5835,6055,1.2288,-0.31121),(5835,6065,1.2306,-0.3057),(5835,6075,1.2325,-0.30012),(5835,6085,1.2343,-0.29453),(5835,6095,1.2361,-0.28893),(5835,6105,1.2378,-0.28326),(5835,6115,1.2396,-0.27755),(5835,6125,1.2412,-0.27185),(5835,6135,1.2429,-0.26613),(5835,6145,1.2445,-0.26041),(5835,6155,1.2461,-0.25468),(5835,6165,1.2476,-0.24896),(5835,6175,1.2491,-0.24325),(5835,6185,1.2506,-0.23754),(5835,6195,1.252,-0.23182),(5835,6205,1.2534,-0.22607),(5835,6215,1.2548,-0.22031),(5835,6225,1.2561,-0.21456),(5835,6235,1.2575,-0.20876),(5835,6245,1.2587,-0.20295),(5835,6255,1.26,-0.19715),(5835,6265,1.2612,-0.19136),(5835,6275,1.2624,-0.18557),(5835,6285,1.2636,-0.17978),(5835,6295,1.2647,-0.17395),(5835,6305,1.2659,-0.1681),(5835,6315,1.2669,-0.16225),(5835,6325,1.268,-0.15639),(5835,6335,1.269,-0.15052),(5835,6345,1.27,-0.14465),(5835,6355,1.2709,-0.13879),(5835,6365,1.2718,-0.13296),(5835,6375,1.2727,-0.12713),(5835,6385,1.2735,-0.12129),(5835,6395,1.2743,-0.11537),(5835,6405,1.275,-0.10944),(5835,6415,1.2757,-0.10352),(5835,6425,1.2763,-0.097616),(5835,6435,1.2769,-0.091712),(5835,6445,1.2775,-0.085807),(5835,6455,1.278,-0.079872),(5835,6465,1.2785,-0.073929),(5835,6475,1.279,-0.067986),(5835,6485,1.2794,-0.062061),(5835,6495,1.2798,-0.056146),(5835,6505,1.2801,-0.050232),(5835,6515,1.2804,-0.044297),(5835,6525,1.2807,-0.038334),(5835,6535,1.281,-0.032371),(5835,6545,1.2812,-0.026429),(5835,6555,1.2814,-0.020549),(5835,6565,1.2815,-0.014669),(5835,6575,1.2815,-0.008779),(5835,6585,1.2816,-0.002733),(5835,6595,1.0901,0.003313),(5835,6605,0.68696,0.009359),(5835,6615,0.28384,0.010042),(5835,6625,0.000462,0.010036),(5835,6635,0.000491,0.01003),(5835,6645,0.00052,0.010032),(5835,6655,0.000548,0.010037),(5835,6665,0.000576,0.010042),(5835,6675,0.000604,0.010047),(5835,6685,0.000633,0.010052),(5835,6695,0.00066,0.010057),(5835,6705,0.000688,0.010062),(5835,6715,0.000715,0.010066),(5835,6725,0.000743,0.010071),(5835,6735,0.00077,0.010075),(5835,6745,0.000797,0.010079),(5835,6755,0.000823,0.010083),(5835,6765,0.00085,0.010086),(5835,6775,0.000876,0.01009),(5835,6785,0.000902,0.010093),(5835,6795,0.000928,0.010096),(5835,6805,0.000954,0.010099),(5835,6815,0.00098,0.010101),(5835,6825,0.001005,0.010104),(5835,6835,0.001031,0.010106),(5835,6845,0.001056,0.010108),(5835,6855,0.001081,0.01011),(5835,6865,0.001105,0.010112),(5835,6875,0.00113,0.010113),(5835,6885,0.001154,0.010115),(5835,6895,0.001178,0.010116),(5835,6905,0.001203,0.010116),(5835,6915,0.001226,0.010117),(5835,6925,0.00125,0.010117),(5835,6935,0.001273,0.010117),(5835,6945,0.001297,0.010117),(5835,6955,0.00132,0.010117),(5835,6965,0.001343,0.010117),(5835,6975,0.001365,0.010116),(5835,6985,0.001388,0.010115),(5845,5,1.3e-05,-0.99929),(5845,15,4e-05,-0.99935),(5845,25,5.8e-05,-0.99941),(5845,35,6.9e-05,-0.99947),(5845,45,8e-05,-0.99949),(5845,55,9e-05,-0.99947),(5845,65,0.000103,-0.99945),(5845,75,0.000116,-0.99943),(5845,85,0.000129,-0.99942),(5845,95,0.000142,-0.99942),(5845,105,0.000191,-0.99941),(5845,115,0.000264,-0.99941),(5845,125,0.000336,-0.99947),(5845,135,0.000409,-0.99959),(5845,145,0.000423,-0.9997),(5845,155,0.000405,-0.99981),(5845,165,0.000386,-0.99977),(5845,175,0.000368,-0.99965),(5845,185,0.00039,-0.99954),(5845,195,0.000432,-0.99942),(5845,205,0.000474,-0.99944),(5845,215,0.000516,-0.99952),(5845,225,0.000459,-0.99959),(5845,235,0.000364,-0.99967),(5845,245,0.000269,-0.99953),(5845,255,0.000173,-0.99932),(5845,265,0.000145,-0.9991),(5845,275,0.000138,-0.99888),(5845,285,0.00013,-0.99887),(5845,295,0.000123,-0.99892),(5845,305,0.000202,-0.99897),(5845,315,0.000302,-0.99902),(5845,325,0.000403,-0.99911),(5845,335,0.000503,-0.99921),(5845,345,0.000629,-0.99931),(5845,355,0.00076,-0.99941),(5845,365,0.00089,-0.9995),(5845,375,0.001021,-0.99958),(5845,385,0.001058,-0.99967),(5845,395,0.001082,-0.99975),(5845,405,0.001107,-0.99971),(5845,415,0.001131,-0.99965),(5845,425,0.001123,-0.99959),(5845,435,0.001112,-0.99953),(5845,445,0.001102,-0.9995),(5845,455,0.001091,-0.99947),(5845,465,0.001082,-0.99944),(5845,475,0.001073,-0.99941),(5845,485,0.001063,-0.99937),(5845,495,0.001054,-0.99932),(5845,505,0.001137,-0.99928),(5845,515,0.00122,-0.99924),(5845,525,0.001303,-0.9993),(5845,535,0.001389,-0.99937),(5845,545,0.001572,-0.99943),(5845,555,0.001755,-0.9995),(5845,565,0.001938,-0.99967),(5845,575,0.002109,-0.99983),(5845,585,0.002121,-1),(5845,595,0.002133,-1.0001),(5845,605,0.002145,-1),(5845,615,0.002141,-0.99996),(5845,625,0.002017,-0.99987),(5845,635,0.001893,-0.99977),(5845,645,0.001769,-0.99961),(5845,655,0.001694,-0.99945),(5845,665,0.00189,-0.99929),(5845,675,0.002085,-0.99921),(5845,685,0.00228,-0.9995),(5845,695,0.002481,-0.99979),(5845,705,0.002703,-1.0001),(5845,715,0.002925,-1.0004),(5845,725,0.003147,-1.0005),(5845,735,0.003331,-1.0007),(5845,745,0.003391,-1.0009),(5845,755,0.00345,-1.0011),(5845,765,0.003509,-1.001),(5845,775,0.003596,-1.001),(5845,785,0.003757,-1.001),(5845,795,0.003918,-1.0011),(5845,805,0.004079,-1.0013),(5845,815,0.00426,-1.0015),(5845,825,0.004485,-1.0018),(5845,835,0.00471,-1.002),(5845,845,0.004935,-1.0023),(5845,855,0.005138,-1.0025),(5845,865,0.0053,-1.0028),(5845,875,0.005463,-1.003),(5845,885,0.005625,-1.0032),(5845,895,0.005849,-1.0034),(5845,905,0.006168,-1.0036),(5845,915,0.006487,-1.0039),(5845,925,0.006806,-1.0043),(5845,935,0.007275,-1.0047),(5845,945,0.007944,-1.0051),(5845,955,0.008613,-1.0057),(5845,965,0.009282,-1.0064),(5845,975,0.010036,-1.0072),(5845,985,0.010887,-1.008),(5845,995,0.011738,-1.0088),(5845,1005,0.012589,-1.0096),(5845,1015,0.013615,-1.0105),(5845,1025,0.014809,-1.0113),(5845,1035,0.016003,-1.0123),(5845,1045,0.017197,-1.0134),(5845,1055,0.018783,-1.0145),(5845,1065,0.020691,-1.0157),(5845,1075,0.022599,-1.0171),(5845,1085,0.024506,-1.0189),(5845,1095,0.027055,-1.0206),(5845,1105,0.030052,-1.0223),(5845,1115,0.033049,-1.0245),(5845,1125,0.036045,-1.0269),(5845,1135,0.040297,-1.0294),(5845,1145,0.045291,-1.0318),(5845,1155,0.050284,-1.035),(5845,1165,0.055277,-1.0385),(5845,1175,0.062941,-1.042),(5845,1185,0.07193,-1.0455),(5845,1195,0.080919,-1.05),(5845,1205,0.089908,-1.055),(5845,1215,0.10443,-1.0601),(5845,1225,0.12122,-1.0651),(5845,1235,0.13802,-1.0742),(5845,1245,0.15482,-1.0849),(5845,1255,0.15402,-1.0955),(5845,1265,0.14728,-1.1062),(5845,1275,0.14054,-1.1253),(5845,1285,0.13379,-1.147),(5845,1295,0.024752,-1.1688),(5845,1305,-0.11196,-1.1905),(5845,1315,-0.24866,-1.1939),(5845,1325,-0.38537,-1.1929),(5845,1335,-0.23283,-1.192),(5845,1345,-0.019668,-1.191),(5845,1355,0.19349,-1.1903),(5845,1365,0.40665,-1.1898),(5845,1375,0.31614,-1.1892),(5845,1385,0.17878,-1.1886),(5845,1395,0.041413,-1.1706),(5845,1405,-0.095951,-1.1504),(5845,1415,-0.12558,-1.1302),(5845,1425,-0.14402,-1.11),(5845,1435,-0.16247,-1.0988),(5845,1445,-0.18091,-1.0883),(5845,1455,-0.163,-1.0779),(5845,1465,-0.14301,-1.0674),(5845,1475,-0.12301,-1.0623),(5845,1485,-0.10301,-1.0573),(5845,1495,-0.092428,-1.0524),(5845,1505,-0.081992,-1.0475),(5845,1515,-0.071556,-1.0438),(5845,1525,-0.06124,-1.04),(5845,1535,-0.055672,-1.0363),(5845,1545,-0.050104,-1.0326),(5845,1555,-0.044535,-1.0299),(5845,1565,-0.039112,-1.0272),(5845,1575,-0.035798,-1.0245),(5845,1585,-0.032484,-1.0218),(5845,1595,-0.02917,-1.0198),(5845,1605,-0.025994,-1.0178),(5845,1615,-0.024,-1.0158),(5845,1625,-0.022007,-1.0138),(5845,1635,-0.020013,-1.0123),(5845,1645,-0.018104,-1.0108),(5845,1655,-0.016699,-1.0094),(5845,1665,-0.015294,-1.0079),(5845,1675,-0.013889,-1.0069),(5845,1685,-0.012558,-1.0058),(5845,1695,-0.011554,-1.0048),(5845,1705,-0.010551,-1.0038),(5845,1715,-0.009547,-1.003),(5845,1725,-0.008647,-1.0023),(5845,1735,-0.008108,-1.0016),(5845,1745,-0.007569,-1.0008),(5845,1755,-0.00703,-1.0001),(5845,1765,-0.00654,-0.9994),(5845,1775,-0.006192,-0.99868),(5845,1785,-0.005844,-0.99799),(5845,1795,-0.005495,-0.99737),(5845,1805,-0.005127,-0.99674),(5845,1815,-0.004714,-0.99612),(5845,1825,-0.004301,-0.99555),(5845,1835,-0.003888,-0.99512),(5845,1845,-0.003512,-0.9947),(5845,1855,-0.003207,-0.99427),(5845,1865,-0.002903,-0.99388),(5845,1875,-0.002598,-0.99358),(5845,1885,-0.002332,-0.99327),(5845,1895,-0.002128,-0.99297),(5845,1905,-0.001925,-0.99265),(5845,1915,-0.001722,-0.99232),(5845,1925,-0.00156,-0.99199),(5845,1935,-0.001455,-0.99166),(5845,1945,-0.00135,-0.99132),(5845,1955,-0.001246,-0.99098),(5845,1965,-0.001122,-0.99063),(5845,1975,-0.000977,-0.99029),(5845,1985,-0.000832,-0.98999),(5845,1995,-0.000687,-0.98975),(5845,2005,-0.000551,-0.98951),(5845,2015,-0.000423,-0.98927),(5845,2025,-0.000296,-0.98902),(5845,2035,-0.000168,-0.98876),(5845,2045,-8.9e-05,-0.9885),(5845,2055,-5e-05,-0.98824),(5845,2065,-1.2e-05,-0.98796),(5845,2075,2.6e-05,-0.98766),(5845,2085,5.4e-05,-0.98735),(5845,2095,7.5e-05,-0.98705),(5845,2105,9.5e-05,-0.98673),(5845,2115,0.000115,-0.9864),(5845,2125,0.000118,-0.98606),(5845,2135,0.00011,-0.98573),(5845,2145,0.000102,-0.98539),(5845,2155,9.4e-05,-0.98506),(5845,2165,0.000132,-0.98472),(5845,2175,0.000194,-0.98439),(5845,2185,0.000257,-0.98415),(5845,2195,0.000319,-0.98395),(5845,2205,0.000403,-0.98375),(5845,2215,0.000496,-0.98356),(5845,2225,0.000589,-0.98334),(5845,2235,0.000682,-0.98311),(5845,2245,0.000721,-0.98288),(5845,2255,0.000741,-0.98265),(5845,2265,0.000761,-0.98233),(5845,2275,0.000781,-0.98199),(5845,2285,0.000789,-0.98164),(5845,2295,0.000794,-0.98129),(5845,2305,0.000799,-0.98097),(5845,2315,0.000804,-0.98065),(5845,2325,0.000844,-0.98034),(5845,2335,0.000892,-0.98002),(5845,2345,0.000939,-0.97975),(5845,2355,0.000986,-0.97948),(5845,2365,0.001073,-0.97922),(5845,2375,0.001166,-0.97895),(5845,2385,0.00126,-0.97869),(5845,2395,0.001353,-0.97842),(5845,2405,0.001409,-0.97815),(5845,2415,0.001461,-0.97788),(5845,2425,0.001513,-0.97753),(5845,2435,0.001566,-0.97716),(5845,2445,0.00156,-0.9768),(5845,2455,0.001551,-0.97644),(5845,2465,0.001541,-0.97603),(5845,2475,0.001532,-0.97562),(5845,2485,0.00155,-0.97521),(5845,2495,0.001569,-0.9748),(5845,2505,0.001587,-0.97444),(5845,2515,0.001606,-0.97407),(5845,2525,0.001617,-0.9737),(5845,2535,0.001628,-0.97333),(5845,2545,0.00164,-0.97291),(5845,2555,0.001649,-0.97249),(5845,2565,0.001631,-0.97207),(5845,2575,0.001614,-0.97164),(5845,2585,0.001596,-0.97118),(5845,2595,0.001581,-0.97072),(5845,2605,0.00159,-0.97025),(5845,2615,0.0016,-0.96979),(5845,2625,0.001609,-0.96937),(5845,2635,0.001617,-0.96894),(5845,2645,0.001618,-0.96852),(5845,2655,0.001619,-0.96809),(5845,2665,0.00162,-0.96763),(5845,2675,0.001627,-0.96717),(5845,2685,0.001659,-0.96671),(5845,2695,0.00169,-0.96626),(5845,2705,0.001722,-0.96583),(5845,2715,0.001777,-0.96541),(5845,2725,0.001918,-0.96498),(5845,2735,0.002059,-0.96458),(5845,2745,0.0022,-0.96425),(5845,2755,0.002325,-0.96393),(5845,2765,0.002401,-0.9636),(5845,2775,0.002478,-0.96323),(5845,2785,0.002554,-0.96273),(5845,2795,0.002599,-0.96223),(5845,2805,0.002565,-0.96173),(5845,2815,0.002531,-0.9612),(5845,2825,0.002497,-0.96058),(5845,2835,0.002469,-0.95997),(5845,2845,0.00245,-0.95935),(5845,2855,0.002431,-0.95876),(5845,2865,0.002412,-0.9582),(5845,2875,0.002421,-0.95765),(5845,2885,0.002479,-0.95709),(5845,2895,0.002536,-0.95656),(5845,2905,0.002593,-0.95605),(5845,2915,0.002662,-0.95555),(5845,2925,0.002747,-0.95505),(5845,2935,0.002832,-0.95454),(5845,2945,0.002916,-0.95402),(5845,2955,0.002976,-0.95349),(5845,2965,0.003005,-0.95297),(5845,2975,0.003033,-0.95241),(5845,2985,0.003062,-0.9518),(5845,2995,0.003063,-0.95119),(5845,3005,0.003035,-0.95058),(5845,3015,0.003006,-0.94993),(5845,3025,0.002978,-0.94926),(5845,3035,0.002987,-0.94858),(5845,3045,0.003029,-0.94791),(5845,3055,0.003071,-0.94726),(5845,3065,0.003113,-0.94665),(5845,3075,0.003198,-0.94603),(5845,3085,0.003314,-0.94542),(5845,3095,0.003429,-0.94482),(5845,3105,0.003546,-0.94425),(5845,3115,0.003652,-0.94367),(5845,3125,0.003751,-0.9431),(5845,3135,0.003851,-0.94248),(5845,3145,0.003951,-0.94185),(5845,3155,0.003984,-0.94121),(5845,3165,0.00398,-0.94058),(5845,3175,0.003976,-0.93985),(5845,3185,0.003972,-0.93908),(5845,3195,0.003982,-0.9383),(5845,3205,0.003998,-0.93753),(5845,3215,0.004014,-0.93677),(5845,3225,0.00403,-0.93602),(5845,3235,0.004133,-0.93526),(5845,3245,0.004269,-0.93451),(5845,3255,0.004405,-0.93385),(5845,3265,0.004541,-0.93322),(5845,3275,0.004633,-0.93259),(5845,3285,0.004711,-0.93196),(5845,3295,0.00479,-0.93123),(5845,3305,0.004868,-0.93048),(5845,3315,0.004898,-0.92973),(5845,3325,0.004917,-0.92897),(5845,3335,0.004935,-0.92817),(5845,3345,0.004954,-0.92736),(5845,3355,0.005084,-0.92655),(5845,3365,0.005236,-0.92575),(5845,3375,0.005387,-0.92511),(5845,3385,0.005538,-0.9245),(5845,3395,0.005762,-0.92388),(5845,3405,0.005995,-0.92327),(5845,3415,0.006228,-0.92268),(5845,3425,0.006462,-0.92209),(5845,3435,0.006616,-0.9215),(5845,3445,0.006765,-0.92091),(5845,3455,0.006914,-0.92016),(5845,3465,0.007063,-0.9194),(5845,3475,0.007137,-0.91865),(5845,3485,0.007209,-0.91789),(5845,3495,0.007281,-0.91708),(5845,3505,0.007354,-0.91627),(5845,3515,0.0076,-0.91546),(5845,3525,0.007845,-0.91466),(5845,3535,0.008091,-0.91413),(5845,3545,0.008346,-0.9136),(5845,3555,0.008788,-0.91308),(5845,3565,0.00923,-0.91256),(5845,3575,0.009673,-0.91215),(5845,3585,0.010119,-0.91175),(5845,3595,0.010611,-0.91135),(5845,3605,0.011102,-0.91094),(5845,3615,0.011594,-0.9105),(5845,3625,0.012093,-0.91005),(5845,3635,0.012643,-0.9096),(5845,3645,0.013193,-0.90917),(5845,3655,0.013742,-0.90882),(5845,3665,0.014335,-0.90848),(5845,3675,0.015145,-0.90813),(5845,3685,0.015956,-0.90784),(5845,3695,0.016767,-0.90776),(5845,3705,0.017685,-0.90768),(5845,3715,0.019028,-0.9076),(5845,3725,0.020371,-0.90763),(5845,3735,0.021714,-0.90806),(5845,3745,0.023185,-0.90848),(5845,3755,0.025055,-0.9089),(5845,3765,0.026925,-0.90943),(5845,3775,0.028795,-0.91025),(5845,3785,0.03088,-0.91107),(5845,3795,0.033511,-0.9119),(5845,3805,0.036142,-0.9129),(5845,3815,0.038773,-0.91431),(5845,3825,0.041812,-0.91573),(5845,3835,0.045711,-0.91714),(5845,3845,0.04961,-0.9189),(5845,3855,0.053509,-0.92134),(5845,3865,0.058215,-0.92378),(5845,3875,0.064347,-0.92621),(5845,3885,0.070479,-0.92932),(5845,3895,0.076612,-0.93351),(5845,3905,0.084294,-0.9377),(5845,3915,0.09429,-0.94189),(5845,3925,0.10429,-0.94806),(5845,3935,0.11428,-0.95697),(5845,3945,0.11791,-0.96588),(5845,3955,0.11346,-0.9748),(5845,3965,0.10901,-0.98775),(5845,3975,0.10456,-1.0054),(5845,3985,0.032098,-1.0231),(5845,3995,-0.11398,-1.0408),(5845,4005,-0.26005,-1.0467),(5845,4015,-0.40612,-1.0408),(5845,4025,-0.18049,-1.0348),(5845,4035,0.081511,-1.0306),(5845,4045,0.34351,-1.0298),(5845,4055,0.47128,-1.029),(5845,4065,0.55007,-1.0282),(5845,4075,0.62885,-1.0267),(5845,4085,0.66441,-1.0252),(5845,4095,0.66522,-1.0238),(5845,4105,0.66603,-1.0224),(5845,4115,0.66689,-1.021),(5845,4125,0.66786,-1.0197),(5845,4135,0.66882,-1.0184),(5845,4145,0.66982,-1.0171),(5845,4155,0.67095,-1.0158),(5845,4165,0.67207,-1.0145),(5845,4175,0.6732,-1.0131),(5845,4185,0.67447,-1.0118),(5845,4195,0.67575,-1.0105),(5845,4205,0.67702,-1.0093),(5845,4215,0.6784,-1.0081),(5845,4225,0.67981,-1.0069),(5845,4235,0.68122,-1.0057),(5845,4245,0.68272,-1.0045),(5845,4255,0.68426,-1.0032),(5845,4265,0.68581,-1.0019),(5845,4275,0.68744,-1.0007),(5845,4285,0.68917,-0.99937),(5845,4295,0.6909,-0.99813),(5845,4305,0.69269,-0.9969),(5845,4315,0.69462,-0.99567),(5845,4325,0.69656,-0.9944),(5845,4335,0.69852,-0.99312),(5845,4345,0.70066,-0.99183),(5845,4355,0.7028,-0.99046),(5845,4365,0.70493,-0.98903),(5845,4375,0.70727,-0.98759),(5845,4385,0.70961,-0.9861),(5845,4395,0.71195,-0.98453),(5845,4405,0.71443,-0.98295),(5845,4415,0.71696,-0.98134),(5845,4425,0.71949,-0.97963),(5845,4435,0.72214,-0.97791),(5845,4445,0.72485,-0.9762),(5845,4455,0.72757,-0.97439),(5845,4465,0.73037,-0.97258),(5845,4475,0.73327,-0.97077),(5845,4485,0.73617,-0.96884),(5845,4495,0.73911,-0.9669),(5845,4505,0.74217,-0.96495),(5845,4515,0.74524,-0.96291),(5845,4525,0.74831,-0.96083),(5845,4535,0.7515,-0.95874),(5845,4545,0.75469,-0.95658),(5845,4555,0.75787,-0.95434),(5845,4565,0.76113,-0.9521),(5845,4575,0.76439,-0.94982),(5845,4585,0.76766,-0.94746),(5845,4595,0.77096,-0.9451),(5845,4605,0.77429,-0.94273),(5845,4615,0.77762,-0.94025),(5845,4625,0.78098,-0.93777),(5845,4635,0.78437,-0.93529),(5845,4645,0.78776,-0.9327),(5845,4655,0.79118,-0.9301),(5845,4665,0.79463,-0.9275),(5845,4675,0.79809,-0.92478),(5845,4685,0.80156,-0.92203),(5845,4695,0.80507,-0.91927),(5845,4705,0.80858,-0.91642),(5845,4715,0.81209,-0.9135),(5845,4725,0.81565,-0.91058),(5845,4735,0.81921,-0.90763),(5845,4745,0.82277,-0.90464),(5845,4755,0.82634,-0.90164),(5845,4765,0.82993,-0.89863),(5845,4775,0.83351,-0.89556),(5845,4785,0.83711,-0.8925),(5845,4795,0.84071,-0.88942),(5845,4805,0.84432,-0.8862),(5845,4815,0.84793,-0.88298),(5845,4825,0.85155,-0.87976),(5845,4835,0.85517,-0.87641),(5845,4845,0.85879,-0.87304),(5845,4855,0.86241,-0.86967),(5845,4865,0.86604,-0.86623),(5845,4875,0.86966,-0.86276),(5845,4885,0.8733,-0.8593),(5845,4895,0.87694,-0.85577),(5845,4905,0.88058,-0.8522),(5845,4915,0.88421,-0.84862),(5845,4925,0.88785,-0.84501),(5845,4935,0.89149,-0.84134),(5845,4945,0.89512,-0.83768),(5845,4955,0.89874,-0.834),(5845,4965,0.90237,-0.83025),(5845,4975,0.90599,-0.8265),(5845,4985,0.90961,-0.82276),(5845,4995,0.91323,-0.81892),(5845,5005,0.91685,-0.81507),(5845,5015,0.92044,-0.81123),(5845,5025,0.92404,-0.80733),(5845,5035,0.92764,-0.80342),(5845,5045,0.9312,-0.79951),(5845,5055,0.93477,-0.79555),(5845,5065,0.93833,-0.79156),(5845,5075,0.94186,-0.78756),(5845,5085,0.94538,-0.78353),(5845,5095,0.9489,-0.77943),(5845,5105,0.95239,-0.77534),(5845,5115,0.95587,-0.77122),(5845,5125,0.95935,-0.76705),(5845,5135,0.96282,-0.76288),(5845,5145,0.96628,-0.7587),(5845,5155,0.96974,-0.7545),(5845,5165,0.97319,-0.75029),(5845,5175,0.97663,-0.74609),(5845,5185,0.98008,-0.74187),(5845,5195,0.98352,-0.73764),(5845,5205,0.98694,-0.73342),(5845,5215,0.99035,-0.72914),(5845,5225,0.99377,-0.72484),(5845,5235,0.99715,-0.72053),(5845,5245,1.0005,-0.71618),(5845,5255,1.0039,-0.71179),(5845,5265,1.0073,-0.70739),(5845,5275,1.0106,-0.70298),(5845,5285,1.0139,-0.69855),(5845,5295,1.0172,-0.69411),(5845,5305,1.0205,-0.68967),(5845,5315,1.0238,-0.68519),(5845,5325,1.0271,-0.68071),(5845,5335,1.0303,-0.67623),(5845,5345,1.0336,-0.6717),(5845,5355,1.0368,-0.66717),(5845,5365,1.04,-0.66264),(5845,5375,1.0431,-0.65806),(5845,5385,1.0463,-0.65347),(5845,5395,1.0495,-0.64889),(5845,5405,1.0526,-0.64427),(5845,5415,1.0558,-0.63963),(5845,5425,1.0589,-0.63499),(5845,5435,1.062,-0.63033),(5845,5445,1.0652,-0.62565),(5845,5455,1.0683,-0.62096),(5845,5465,1.0714,-0.61626),(5845,5475,1.0745,-0.6115),(5845,5485,1.0776,-0.60675),(5845,5495,1.0807,-0.60199),(5845,5505,1.0837,-0.59716),(5845,5515,1.0867,-0.59233),(5845,5525,1.0897,-0.58749),(5845,5535,1.0927,-0.58263),(5845,5545,1.0957,-0.57777),(5845,5555,1.0986,-0.57291),(5845,5565,1.1015,-0.56801),(5845,5575,1.1044,-0.5631),(5845,5585,1.1073,-0.55819),(5845,5595,1.1101,-0.55323),(5845,5605,1.113,-0.54823),(5845,5615,1.1158,-0.54324),(5845,5625,1.1186,-0.53822),(5845,5635,1.1214,-0.53318),(5845,5645,1.1242,-0.52814),(5845,5655,1.1269,-0.52309),(5845,5665,1.1297,-0.51803),(5845,5675,1.1324,-0.51298),(5845,5685,1.1352,-0.50792),(5845,5695,1.1379,-0.50287),(5845,5705,1.1406,-0.49782),(5845,5715,1.1433,-0.49276),(5845,5725,1.1459,-0.48767),(5845,5735,1.1486,-0.48257),(5845,5745,1.1512,-0.47747),(5845,5755,1.1538,-0.47232),(5845,5765,1.1564,-0.46716),(5845,5775,1.1589,-0.462),(5845,5785,1.1615,-0.45681),(5845,5795,1.164,-0.45159),(5845,5805,1.1664,-0.44636),(5845,5815,1.1689,-0.44111),(5845,5825,1.1713,-0.43581),(5845,5835,1.1737,-0.4305),(5845,5845,1.1761,-0.42519),(5845,5855,1.1785,-0.41982),(5845,5865,1.1808,-0.41445),(5845,5875,1.1832,-0.40908),(5845,5885,1.1855,-0.40372),(5845,5895,1.1878,-0.39835),(5845,5905,1.19,-0.39298),(5845,5915,1.1923,-0.38761),(5845,5925,1.1945,-0.38225),(5845,5935,1.1967,-0.37689),(5845,5945,1.1989,-0.37149),(5845,5955,1.2011,-0.36606),(5845,5965,1.2032,-0.36064),(5845,5975,1.2053,-0.35517),(5845,5985,1.2074,-0.34966),(5845,5995,1.2094,-0.34414),(5845,6005,1.2114,-0.33862),(5845,6015,1.2133,-0.3331),(5845,6025,1.2153,-0.32757),(5845,6035,1.2172,-0.32205),(5845,6045,1.2191,-0.31654),(5845,6055,1.221,-0.31103),(5845,6065,1.2228,-0.30552),(5845,6075,1.2247,-0.29993),(5845,6085,1.2265,-0.29434),(5845,6095,1.2282,-0.28875),(5845,6105,1.23,-0.28307),(5845,6115,1.2317,-0.27737),(5845,6125,1.2334,-0.27167),(5845,6135,1.235,-0.26596),(5845,6145,1.2366,-0.26024),(5845,6155,1.2382,-0.25452),(5845,6165,1.2397,-0.24881),(5845,6175,1.2412,-0.24311),(5845,6185,1.2427,-0.2374),(5845,6195,1.2441,-0.23169),(5845,6205,1.2455,-0.22594),(5845,6215,1.2468,-0.2202),(5845,6225,1.2481,-0.21445),(5845,6235,1.2495,-0.20864),(5845,6245,1.2507,-0.20284),(5845,6255,1.2519,-0.19704),(5845,6265,1.2531,-0.19124),(5845,6275,1.2543,-0.18544),(5845,6285,1.2555,-0.17964),(5845,6295,1.2566,-0.17381),(5845,6305,1.2577,-0.16796),(5845,6315,1.2587,-0.1621),(5845,6325,1.2598,-0.15624),(5845,6335,1.2608,-0.15036),(5845,6345,1.2618,-0.14448),(5845,6355,1.2627,-0.13862),(5845,6365,1.2636,-0.1328),(5845,6375,1.2645,-0.12698),(5845,6385,1.2653,-0.12115),(5845,6395,1.2661,-0.11524),(5845,6405,1.2668,-0.10932),(5845,6415,1.2675,-0.10341),(5845,6425,1.2681,-0.097516),(5845,6435,1.2688,-0.091619),(5845,6445,1.2693,-0.085722),(5845,6455,1.2698,-0.079793),(5845,6465,1.2703,-0.073855),(5845,6475,1.2708,-0.067918),(5845,6485,1.2712,-0.061996),(5845,6495,1.2716,-0.056084),(5845,6505,1.2719,-0.050172),(5845,6515,1.2722,-0.044239),(5845,6525,1.2725,-0.038279),(5845,6535,1.2727,-0.032318),(5845,6545,1.2729,-0.026379),(5845,6555,1.2731,-0.020505),(5845,6565,1.2732,-0.014631),(5845,6575,1.2733,-0.008747),(5845,6585,1.2734,-0.002707),(5845,6595,1.0831,0.003334),(5845,6605,0.68253,0.009374),(5845,6615,0.28201,0.010061),(5845,6625,0.000456,0.010059),(5845,6635,0.000485,0.010058),(5845,6645,0.000513,0.010061),(5845,6655,0.000542,0.010066),(5845,6665,0.00057,0.010071),(5845,6675,0.000598,0.010076),(5845,6685,0.000627,0.01008),(5845,6695,0.000654,0.010085),(5845,6705,0.000682,0.01009),(5845,6715,0.00071,0.010094),(5845,6725,0.000737,0.010098),(5845,6735,0.000764,0.010102),(5845,6745,0.000791,0.010106),(5845,6755,0.000818,0.01011),(5845,6765,0.000845,0.010113),(5845,6775,0.000871,0.010116),(5845,6785,0.000898,0.010119),(5845,6795,0.000924,0.010122),(5845,6805,0.00095,0.010125),(5845,6815,0.000976,0.010127),(5845,6825,0.001001,0.01013),(5845,6835,0.001027,0.010132),(5845,6845,0.001052,0.010134),(5845,6855,0.001077,0.010135),(5845,6865,0.001102,0.010137),(5845,6875,0.001127,0.010138),(5845,6885,0.001151,0.010139),(5845,6895,0.001176,0.01014),(5845,6905,0.0012,0.010141),(5845,6915,0.001224,0.010141),(5845,6925,0.001248,0.010141),(5845,6935,0.001271,0.010141),(5845,6945,0.001295,0.010141),(5845,6955,0.001318,0.010141),(5845,6965,0.001341,0.01014),(5845,6975,0.001364,0.010139),(5845,6985,0.001387,0.010138),(5855,5,1.7e-05,-0.70453),(5855,15,5.1e-05,-0.70457),(5855,25,7.6e-05,-0.70461),(5855,35,9.2e-05,-0.70466),(5855,45,0.000108,-0.70467),(5855,55,0.000124,-0.70466),(5855,65,0.000139,-0.70464),(5855,75,0.000152,-0.70463),(5855,85,0.000166,-0.70462),(5855,95,0.00018,-0.70461),(5855,105,0.000228,-0.70461),(5855,115,0.000301,-0.7046),(5855,125,0.000373,-0.70465),(5855,135,0.000445,-0.70473),(5855,145,0.000464,-0.70481),(5855,155,0.000454,-0.70489),(5855,165,0.000444,-0.70487),(5855,175,0.000433,-0.70478),(5855,185,0.000465,-0.7047),(5855,195,0.000516,-0.70461),(5855,205,0.000568,-0.70463),(5855,215,0.000619,-0.70469),(5855,225,0.00056,-0.70475),(5855,235,0.000456,-0.70481),(5855,245,0.000353,-0.70472),(5855,255,0.00025,-0.70456),(5855,265,0.000204,-0.7044),(5855,275,0.000175,-0.70425),(5855,285,0.000147,-0.70424),(5855,295,0.000119,-0.70427),(5855,305,0.000183,-0.7043),(5855,315,0.00027,-0.70433),(5855,325,0.000357,-0.70439),(5855,335,0.000444,-0.70446),(5855,345,0.000573,-0.70452),(5855,355,0.000711,-0.70459),(5855,365,0.000848,-0.70466),(5855,375,0.000986,-0.70472),(5855,385,0.001034,-0.70478),(5855,395,0.00107,-0.70485),(5855,405,0.001105,-0.70482),(5855,415,0.001141,-0.70478),(5855,425,0.001136,-0.70474),(5855,435,0.001127,-0.7047),(5855,445,0.001119,-0.70468),(5855,455,0.00111,-0.70466),(5855,465,0.001091,-0.70464),(5855,475,0.001071,-0.70462),(5855,485,0.001051,-0.70459),(5855,495,0.001031,-0.70455),(5855,505,0.001106,-0.70452),(5855,515,0.001182,-0.70448),(5855,525,0.001257,-0.70452),(5855,535,0.001337,-0.70456),(5855,545,0.00154,-0.7046),(5855,555,0.001742,-0.70465),(5855,565,0.001945,-0.70477),(5855,575,0.002135,-0.7049),(5855,585,0.002172,-0.70502),(5855,595,0.00221,-0.70513),(5855,605,0.002248,-0.70507),(5855,615,0.002266,-0.70501),(5855,625,0.00213,-0.70496),(5855,635,0.001994,-0.70489),(5855,645,0.001859,-0.70477),(5855,655,0.001773,-0.70464),(5855,665,0.00196,-0.70452),(5855,675,0.002148,-0.70445),(5855,685,0.002336,-0.70465),(5855,695,0.002535,-0.70485),(5855,705,0.00278,-0.70506),(5855,715,0.003025,-0.70525),(5855,725,0.00327,-0.70539),(5855,735,0.003475,-0.70553),(5855,745,0.00355,-0.70567),(5855,755,0.003624,-0.70577),(5855,765,0.003698,-0.70576),(5855,775,0.003799,-0.70575),(5855,785,0.003971,-0.70574),(5855,795,0.004143,-0.70578),(5855,805,0.004315,-0.70594),(5855,815,0.004512,-0.70609),(5855,825,0.004764,-0.70624),(5855,835,0.005016,-0.70641),(5855,845,0.005268,-0.70661),(5855,855,0.005495,-0.7068),(5855,865,0.005678,-0.707),(5855,875,0.00586,-0.70717),(5855,885,0.006042,-0.70729),(5855,895,0.006282,-0.70742),(5855,905,0.006611,-0.70754),(5855,915,0.00694,-0.70773),(5855,925,0.007269,-0.708),(5855,935,0.007762,-0.70828),(5855,945,0.008471,-0.70856),(5855,955,0.009181,-0.70895),(5855,965,0.009891,-0.7095),(5855,975,0.010702,-0.71004),(5855,985,0.011627,-0.71058),(5855,995,0.012552,-0.71115),(5855,1005,0.013478,-0.71174),(5855,1015,0.014592,-0.71233),(5855,1025,0.015888,-0.71291),(5855,1035,0.017184,-0.7136),(5855,1045,0.01848,-0.71438),(5855,1055,0.020197,-0.71516),(5855,1065,0.022258,-0.71593),(5855,1075,0.024319,-0.71695),(5855,1085,0.026381,-0.71815),(5855,1095,0.029125,-0.71936),(5855,1105,0.032346,-0.72056),(5855,1115,0.035567,-0.72206),(5855,1125,0.038789,-0.72375),(5855,1135,0.043316,-0.72545),(5855,1145,0.048614,-0.72714),(5855,1155,0.053912,-0.72931),(5855,1165,0.05921,-0.73175),(5855,1175,0.067308,-0.73418),(5855,1185,0.076796,-0.73661),(5855,1195,0.086285,-0.73958),(5855,1205,0.095773,-0.74278),(5855,1215,0.11184,-0.74598),(5855,1225,0.13061,-0.74919),(5855,1235,0.14939,-0.75376),(5855,1245,0.16816,-0.75884),(5855,1255,0.16919,-0.76392),(5855,1265,0.16422,-0.769),(5855,1275,0.15925,-0.78753),(5855,1285,0.15427,-0.81014),(5855,1295,0.031455,-0.83275),(5855,1305,-0.12324,-0.85536),(5855,1315,-0.27793,-0.92706),(5855,1325,-0.43262,-1.0105),(5855,1335,-0.26282,-1.094),(5855,1345,-0.025007,-1.1774),(5855,1355,0.2128,-1.1206),(5855,1365,0.45061,-1.0383),(5855,1375,0.34933,-0.95598),(5855,1385,0.19573,-0.87369),(5855,1395,0.042135,-0.8423),(5855,1405,-0.11146,-0.81745),(5855,1415,-0.14183,-0.79259),(5855,1425,-0.15941,-0.76774),(5855,1435,-0.17699,-0.76217),(5855,1445,-0.19457,-0.75816),(5855,1455,-0.17469,-0.75414),(5855,1465,-0.15265,-0.75012),(5855,1475,-0.13061,-0.74705),(5855,1485,-0.10857,-0.74401),(5855,1495,-0.097562,-0.74098),(5855,1505,-0.086724,-0.73795),(5855,1515,-0.075887,-0.73537),(5855,1525,-0.065173,-0.73279),(5855,1535,-0.05933,-0.73021),(5855,1545,-0.053486,-0.72766),(5855,1555,-0.047643,-0.72577),(5855,1565,-0.041949,-0.72389),(5855,1575,-0.038418,-0.72201),(5855,1585,-0.034887,-0.72017),(5855,1595,-0.031356,-0.71877),(5855,1605,-0.02797,-0.71737),(5855,1615,-0.025827,-0.71598),(5855,1625,-0.023685,-0.71463),(5855,1635,-0.021542,-0.71359),(5855,1645,-0.019491,-0.71255),(5855,1655,-0.017986,-0.71151),(5855,1665,-0.016481,-0.71052),(5855,1675,-0.014976,-0.70978),(5855,1685,-0.013543,-0.70903),(5855,1695,-0.012435,-0.70829),(5855,1705,-0.011326,-0.7076),(5855,1715,-0.010218,-0.70709),(5855,1725,-0.009222,-0.70659),(5855,1735,-0.008616,-0.70608),(5855,1745,-0.00801,-0.70558),(5855,1755,-0.007404,-0.70508),(5855,1765,-0.006862,-0.70458),(5855,1775,-0.006499,-0.70408),(5855,1785,-0.006136,-0.7036),(5855,1795,-0.005772,-0.70315),(5855,1805,-0.005385,-0.7027),(5855,1815,-0.004943,-0.70225),(5855,1825,-0.004501,-0.70186),(5855,1835,-0.004058,-0.70156),(5855,1845,-0.003649,-0.70126),(5855,1855,-0.003305,-0.70096),(5855,1865,-0.002962,-0.70069),(5855,1875,-0.002618,-0.70048),(5855,1885,-0.002325,-0.70027),(5855,1895,-0.002114,-0.70005),(5855,1905,-0.001904,-0.69983),(5855,1915,-0.001694,-0.6996),(5855,1925,-0.001533,-0.69937),(5855,1935,-0.001439,-0.69914),(5855,1945,-0.001346,-0.69891),(5855,1955,-0.001252,-0.69866),(5855,1965,-0.001134,-0.69841),(5855,1975,-0.000986,-0.69817),(5855,1985,-0.000838,-0.69796),(5855,1995,-0.00069,-0.69778),(5855,2005,-0.000542,-0.69761),(5855,2015,-0.000393,-0.69744),(5855,2025,-0.000244,-0.69727),(5855,2035,-9.6e-05,-0.69709),(5855,2045,1e-06,-0.69691),(5855,2055,5.4e-05,-0.69673),(5855,2065,0.000107,-0.69653),(5855,2075,0.000159,-0.69632),(5855,2085,0.000194,-0.69611),(5855,2095,0.000215,-0.6959),(5855,2105,0.000237,-0.69567),(5855,2115,0.000258,-0.69544),(5855,2125,0.000256,-0.69521),(5855,2135,0.000238,-0.69497),(5855,2145,0.00022,-0.69473),(5855,2155,0.000202,-0.6945),(5855,2165,0.000228,-0.69426),(5855,2175,0.000277,-0.69402),(5855,2185,0.000326,-0.69385),(5855,2195,0.000374,-0.6937),(5855,2205,0.00045,-0.69356),(5855,2215,0.000536,-0.69342),(5855,2225,0.000623,-0.69327),(5855,2235,0.00071,-0.69311),(5855,2245,0.000746,-0.69295),(5855,2255,0.000763,-0.6928),(5855,2265,0.000781,-0.69257),(5855,2275,0.000798,-0.69233),(5855,2285,0.000801,-0.69209),(5855,2295,0.000799,-0.69184),(5855,2305,0.000797,-0.69161),(5855,2315,0.000796,-0.69139),(5855,2325,0.000825,-0.69116),(5855,2335,0.000861,-0.69094),(5855,2345,0.000896,-0.69074),(5855,2355,0.000932,-0.69055),(5855,2365,0.001019,-0.69037),(5855,2375,0.001114,-0.69018),(5855,2385,0.001209,-0.68999),(5855,2395,0.001305,-0.6898),(5855,2405,0.001379,-0.68961),(5855,2415,0.001451,-0.68942),(5855,2425,0.001523,-0.68917),(5855,2435,0.001594,-0.68892),(5855,2445,0.001606,-0.68867),(5855,2455,0.001614,-0.68841),(5855,2465,0.001622,-0.68813),(5855,2475,0.00163,-0.68784),(5855,2485,0.001659,-0.68755),(5855,2495,0.001688,-0.68726),(5855,2505,0.001718,-0.687),(5855,2515,0.001747,-0.68674),(5855,2525,0.001767,-0.68649),(5855,2535,0.001787,-0.68623),(5855,2545,0.001807,-0.68593),(5855,2555,0.001825,-0.68564),(5855,2565,0.00181,-0.68534),(5855,2575,0.001796,-0.68504),(5855,2585,0.001782,-0.68471),(5855,2595,0.00177,-0.68438),(5855,2605,0.001782,-0.68406),(5855,2615,0.001794,-0.68373),(5855,2625,0.001806,-0.68343),(5855,2635,0.001816,-0.68313),(5855,2645,0.001812,-0.68283),(5855,2655,0.001808,-0.68253),(5855,2665,0.001804,-0.6822),(5855,2675,0.001803,-0.68188),(5855,2685,0.001818,-0.68156),(5855,2695,0.001832,-0.68124),(5855,2705,0.001847,-0.68093),(5855,2715,0.001887,-0.68063),(5855,2725,0.002022,-0.68032),(5855,2735,0.002158,-0.68004),(5855,2745,0.002293,-0.67981),(5855,2755,0.002416,-0.67958),(5855,2765,0.002502,-0.67935),(5855,2775,0.002588,-0.67909),(5855,2785,0.002674,-0.67874),(5855,2795,0.002726,-0.6784),(5855,2805,0.002694,-0.67805),(5855,2815,0.002663,-0.67768),(5855,2825,0.002632,-0.67724),(5855,2835,0.002602,-0.67681),(5855,2845,0.002574,-0.67637),(5855,2855,0.002546,-0.67595),(5855,2865,0.002517,-0.67556),(5855,2875,0.002518,-0.67516),(5855,2885,0.002568,-0.67477),(5855,2895,0.002618,-0.67439),(5855,2905,0.002668,-0.67403),(5855,2915,0.002733,-0.67368),(5855,2925,0.002821,-0.67332),(5855,2935,0.002908,-0.67296),(5855,2945,0.002995,-0.6726),(5855,2955,0.003056,-0.67223),(5855,2965,0.003085,-0.67187),(5855,2975,0.003114,-0.67147),(5855,2985,0.003143,-0.67104),(5855,2995,0.003139,-0.67062),(5855,3005,0.0031,-0.67019),(5855,3015,0.003062,-0.66973),(5855,3025,0.003023,-0.66926),(5855,3035,0.003024,-0.66878),(5855,3045,0.003058,-0.6683),(5855,3055,0.003093,-0.66784),(5855,3065,0.003128,-0.6674),(5855,3075,0.003214,-0.66696),(5855,3085,0.00334,-0.66652),(5855,3095,0.003465,-0.66611),(5855,3105,0.003591,-0.6657),(5855,3115,0.003712,-0.6653),(5855,3125,0.00383,-0.66489),(5855,3135,0.003948,-0.66446),(5855,3145,0.004066,-0.66402),(5855,3155,0.004109,-0.66358),(5855,3165,0.004112,-0.66313),(5855,3175,0.004115,-0.66262),(5855,3185,0.004118,-0.66208),(5855,3195,0.004127,-0.66153),(5855,3205,0.00414,-0.66098),(5855,3215,0.004153,-0.66044),(5855,3225,0.004165,-0.65991),(5855,3235,0.004277,-0.65937),(5855,3245,0.004426,-0.65883),(5855,3255,0.004574,-0.65837),(5855,3265,0.004723,-0.65793),(5855,3275,0.004832,-0.65748),(5855,3285,0.004929,-0.65704),(5855,3295,0.005026,-0.65653),(5855,3305,0.005124,-0.65601),(5855,3315,0.005156,-0.65548),(5855,3325,0.005174,-0.65495),(5855,3335,0.005191,-0.65438),(5855,3345,0.005208,-0.65381),(5855,3355,0.005333,-0.65323),(5855,3365,0.005478,-0.65266),(5855,3375,0.005622,-0.6522),(5855,3385,0.005767,-0.65177),(5855,3395,0.006,-0.65133),(5855,3405,0.006245,-0.6509),(5855,3415,0.00649,-0.65048),(5855,3425,0.006735,-0.65007),(5855,3435,0.006911,-0.64966),(5855,3445,0.007082,-0.64925),(5855,3455,0.007253,-0.64872),(5855,3465,0.007424,-0.64819),(5855,3475,0.007507,-0.64766),(5855,3485,0.007587,-0.64713),(5855,3495,0.007667,-0.64656),(5855,3505,0.007748,-0.64598),(5855,3515,0.007998,-0.6454),(5855,3525,0.008249,-0.64483),(5855,3535,0.0085,-0.64445),(5855,3545,0.008761,-0.64407),(5855,3555,0.009234,-0.64369),(5855,3565,0.009706,-0.64332),(5855,3575,0.010179,-0.64304),(5855,3585,0.010658,-0.64275),(5855,3595,0.011203,-0.64247),(5855,3605,0.011747,-0.64218),(5855,3615,0.012291,-0.64187),(5855,3625,0.012842,-0.64155),(5855,3635,0.013445,-0.64124),(5855,3645,0.014047,-0.64093),(5855,3655,0.01465,-0.64068),(5855,3665,0.015295,-0.64043),(5855,3675,0.016161,-0.64018),(5855,3685,0.017026,-0.63997),(5855,3695,0.017891,-0.63989),(5855,3705,0.018872,-0.63982),(5855,3715,0.020312,-0.63975),(5855,3725,0.021751,-0.63976),(5855,3735,0.02319,-0.64004),(5855,3745,0.024773,-0.64032),(5855,3755,0.026805,-0.64061),(5855,3765,0.028837,-0.64096),(5855,3775,0.030868,-0.64153),(5855,3785,0.033133,-0.64209),(5855,3795,0.035989,-0.64265),(5855,3805,0.038846,-0.64334),(5855,3815,0.041702,-0.6443),(5855,3825,0.044993,-0.64527),(5855,3835,0.049201,-0.64624),(5855,3845,0.053409,-0.64744),(5855,3855,0.057617,-0.64911),(5855,3865,0.062707,-0.65077),(5855,3875,0.069356,-0.65244),(5855,3885,0.076005,-0.65452),(5855,3895,0.082654,-0.65726),(5855,3905,0.091246,-0.66),(5855,3915,0.10274,-0.66274),(5855,3925,0.11424,-0.66647),(5855,3935,0.12573,-0.67156),(5855,3945,0.13089,-0.67665),(5855,3955,0.12801,-0.68174),(5855,3965,0.12513,-0.69295),(5855,3975,0.12225,-0.71133),(5855,3985,0.04024,-0.72971),(5855,3995,-0.12741,-0.74808),(5855,4005,-0.29507,-0.80028),(5855,4015,-0.46272,-0.88629),(5855,4025,-0.22271,-0.9723),(5855,4035,0.057188,-1.0304),(5855,4045,0.33708,-1.0297),(5855,4055,0.46939,-1.0289),(5855,4065,0.54784,-1.0281),(5855,4075,0.62628,-1.0266),(5855,4085,0.66168,-1.0252),(5855,4095,0.66248,-1.0237),(5855,4105,0.66329,-1.0223),(5855,4115,0.66415,-1.0209),(5855,4125,0.66512,-1.0195),(5855,4135,0.66609,-1.0182),(5855,4145,0.66709,-1.0169),(5855,4155,0.66824,-1.0156),(5855,4165,0.66938,-1.0142),(5855,4175,0.67052,-1.0129),(5855,4185,0.67182,-1.0115),(5855,4195,0.67311,-1.0102),(5855,4205,0.6744,-1.009),(5855,4215,0.67581,-1.0077),(5855,4225,0.67723,-1.0065),(5855,4235,0.67866,-1.0052),(5855,4245,0.68016,-1.004),(5855,4255,0.68171,-1.0027),(5855,4265,0.68326,-1.0014),(5855,4275,0.68488,-1),(5855,4285,0.68659,-0.99871),(5855,4295,0.6883,-0.99743),(5855,4305,0.69007,-0.99616),(5855,4315,0.69197,-0.9949),(5855,4325,0.69388,-0.9936),(5855,4335,0.69581,-0.99229),(5855,4345,0.69791,-0.99098),(5855,4355,0.70002,-0.98959),(5855,4365,0.70212,-0.98814),(5855,4375,0.70441,-0.98668),(5855,4385,0.7067,-0.98518),(5855,4395,0.709,-0.9836),(5855,4405,0.71144,-0.98202),(5855,4415,0.71392,-0.98041),(5855,4425,0.7164,-0.97869),(5855,4435,0.71899,-0.97697),(5855,4445,0.72165,-0.97526),(5855,4455,0.72431,-0.97344),(5855,4465,0.72705,-0.97163),(5855,4475,0.7299,-0.96981),(5855,4485,0.73275,-0.96788),(5855,4495,0.73564,-0.96593),(5855,4505,0.73866,-0.96397),(5855,4515,0.74168,-0.96193),(5855,4525,0.74471,-0.95984),(5855,4535,0.74787,-0.95775),(5855,4545,0.75102,-0.95558),(5855,4555,0.75417,-0.95334),(5855,4565,0.75739,-0.9511),(5855,4575,0.76062,-0.94883),(5855,4585,0.76385,-0.94647),(5855,4595,0.76712,-0.94411),(5855,4605,0.77041,-0.94174),(5855,4615,0.7737,-0.93926),(5855,4625,0.77702,-0.93678),(5855,4635,0.78037,-0.9343),(5855,4645,0.78372,-0.93171),(5855,4655,0.78709,-0.92911),(5855,4665,0.79051,-0.92652),(5855,4675,0.79392,-0.9238),(5855,4685,0.79734,-0.92105),(5855,4695,0.8008,-0.9183),(5855,4705,0.80427,-0.91545),(5855,4715,0.80773,-0.91254),(5855,4725,0.81124,-0.90963),(5855,4735,0.81474,-0.90669),(5855,4745,0.81825,-0.90371),(5855,4755,0.82178,-0.90073),(5855,4765,0.82531,-0.89773),(5855,4775,0.82885,-0.89467),(5855,4785,0.8324,-0.89162),(5855,4795,0.83596,-0.88856),(5855,4805,0.83953,-0.88535),(5855,4815,0.8431,-0.88214),(5855,4825,0.84668,-0.87893),(5855,4835,0.85025,-0.8756),(5855,4845,0.85383,-0.87225),(5855,4855,0.85742,-0.86889),(5855,4865,0.86101,-0.86547),(5855,4875,0.8646,-0.86202),(5855,4885,0.8682,-0.85857),(5855,4895,0.87179,-0.85507),(5855,4905,0.87539,-0.85151),(5855,4915,0.87899,-0.84795),(5855,4925,0.88259,-0.84436),(5855,4935,0.88618,-0.84071),(5855,4945,0.88977,-0.83707),(5855,4955,0.89336,-0.8334),(5855,4965,0.89695,-0.82967),(5855,4975,0.90054,-0.82593),(5855,4985,0.90413,-0.8222),(5855,4995,0.90772,-0.81837),(5855,5005,0.9113,-0.81454),(5855,5015,0.91487,-0.81071),(5855,5025,0.91844,-0.80683),(5855,5035,0.922,-0.80293),(5855,5045,0.92554,-0.79904),(5855,5055,0.92908,-0.79509),(5855,5065,0.93262,-0.79112),(5855,5075,0.93612,-0.78715),(5855,5085,0.93961,-0.78313),(5855,5095,0.94311,-0.77905),(5855,5105,0.94657,-0.77497),(5855,5115,0.95002,-0.77086),(5855,5125,0.95347,-0.76669),(5855,5135,0.95691,-0.76252),(5855,5145,0.96033,-0.75835),(5855,5155,0.96376,-0.75415),(5855,5165,0.96718,-0.74994),(5855,5175,0.9706,-0.74573),(5855,5185,0.97401,-0.74151),(5855,5195,0.97742,-0.73729),(5855,5205,0.98081,-0.73307),(5855,5215,0.98421,-0.72879),(5855,5225,0.9876,-0.7245),(5855,5235,0.99096,-0.7202),(5855,5245,0.99432,-0.71585),(5855,5255,0.99768,-0.71147),(5855,5265,1.001,-0.70708),(5855,5275,1.0043,-0.70268),(5855,5285,1.0076,-0.69825),(5855,5295,1.0109,-0.69382),(5855,5305,1.0142,-0.68938),(5855,5315,1.0175,-0.68491),(5855,5325,1.0207,-0.68044),(5855,5335,1.0239,-0.67597),(5855,5345,1.0272,-0.67145),(5855,5355,1.0304,-0.66693),(5855,5365,1.0335,-0.66241),(5855,5375,1.0367,-0.65783),(5855,5385,1.0398,-0.65325),(5855,5395,1.0429,-0.64866),(5855,5405,1.0461,-0.64404),(5855,5415,1.0492,-0.6394),(5855,5425,1.0523,-0.63475),(5855,5435,1.0554,-0.63009),(5855,5445,1.0585,-0.6254),(5855,5455,1.0616,-0.62071),(5855,5465,1.0647,-0.616),(5855,5475,1.0678,-0.61125),(5855,5485,1.0709,-0.6065),(5855,5495,1.0739,-0.60174),(5855,5505,1.0769,-0.59692),(5855,5515,1.08,-0.5921),(5855,5525,1.0829,-0.58728),(5855,5535,1.0859,-0.58243),(5855,5545,1.0889,-0.57757),(5855,5555,1.0918,-0.57272),(5855,5565,1.0947,-0.56783),(5855,5575,1.0975,-0.56293),(5855,5585,1.1004,-0.55802),(5855,5595,1.1032,-0.55307),(5855,5605,1.1061,-0.54807),(5855,5615,1.1088,-0.54308),(5855,5625,1.1116,-0.53806),(5855,5635,1.1144,-0.53301),(5855,5645,1.1171,-0.52797),(5855,5655,1.1199,-0.52291),(5855,5665,1.1226,-0.51785),(5855,5675,1.1253,-0.51279),(5855,5685,1.128,-0.50772),(5855,5695,1.1307,-0.50267),(5855,5705,1.1334,-0.49761),(5855,5715,1.1361,-0.49256),(5855,5725,1.1387,-0.48746),(5855,5735,1.1414,-0.48236),(5855,5745,1.1439,-0.47726),(5855,5755,1.1465,-0.47212),(5855,5765,1.1491,-0.46697),(5855,5775,1.1516,-0.46181),(5855,5785,1.1542,-0.45662),(5855,5795,1.1567,-0.4514),(5855,5805,1.1591,-0.44618),(5855,5815,1.1615,-0.44093),(5855,5825,1.164,-0.43564),(5855,5835,1.1664,-0.43034),(5855,5845,1.1687,-0.42502),(5855,5855,1.1711,-0.41965),(5855,5865,1.1734,-0.41428),(5855,5875,1.1757,-0.40891),(5855,5885,1.178,-0.40354),(5855,5895,1.1802,-0.39816),(5855,5905,1.1825,-0.39278),(5855,5915,1.1847,-0.38741),(5855,5925,1.187,-0.38205),(5855,5935,1.1891,-0.37668),(5855,5945,1.1913,-0.37128),(5855,5955,1.1935,-0.36586),(5855,5965,1.1955,-0.36044),(5855,5975,1.1976,-0.35498),(5855,5985,1.1997,-0.34947),(5855,5995,1.2017,-0.34396),(5855,6005,1.2037,-0.33845),(5855,6015,1.2056,-0.33292),(5855,6025,1.2076,-0.32739),(5855,6035,1.2095,-0.32187),(5855,6045,1.2114,-0.31636),(5855,6055,1.2132,-0.31084),(5855,6065,1.2151,-0.30533),(5855,6075,1.2169,-0.29975),(5855,6085,1.2187,-0.29415),(5855,6095,1.2204,-0.28856),(5855,6105,1.2222,-0.28289),(5855,6115,1.2239,-0.27719),(5855,6125,1.2255,-0.27149),(5855,6135,1.2271,-0.26579),(5855,6145,1.2288,-0.26007),(5855,6155,1.2303,-0.25436),(5855,6165,1.2318,-0.24865),(5855,6175,1.2333,-0.24296),(5855,6185,1.2348,-0.23727),(5855,6195,1.2362,-0.23156),(5855,6205,1.2376,-0.22582),(5855,6215,1.2389,-0.22008),(5855,6225,1.2402,-0.21433),(5855,6235,1.2415,-0.20853),(5855,6245,1.2427,-0.20272),(5855,6255,1.2439,-0.19692),(5855,6265,1.2451,-0.19112),(5855,6275,1.2463,-0.18531),(5855,6285,1.2474,-0.17951),(5855,6295,1.2485,-0.17367),(5855,6305,1.2496,-0.16781),(5855,6315,1.2506,-0.16195),(5855,6325,1.2516,-0.15608),(5855,6335,1.2526,-0.1502),(5855,6345,1.2536,-0.14432),(5855,6355,1.2545,-0.13846),(5855,6365,1.2554,-0.13264),(5855,6375,1.2563,-0.12683),(5855,6385,1.2571,-0.121),(5855,6395,1.2579,-0.1151),(5855,6405,1.2586,-0.10921),(5855,6415,1.2593,-0.10331),(5855,6425,1.2599,-0.097416),(5855,6435,1.2606,-0.091526),(5855,6445,1.2611,-0.085636),(5855,6455,1.2616,-0.079714),(5855,6465,1.2622,-0.073782),(5855,6475,1.2626,-0.067849),(5855,6485,1.263,-0.061931),(5855,6495,1.2634,-0.056021),(5855,6505,1.2637,-0.050111),(5855,6515,1.264,-0.044181),(5855,6525,1.2643,-0.038223),(5855,6535,1.2645,-0.032265),(5855,6545,1.2647,-0.026329),(5855,6555,1.2649,-0.020461),(5855,6565,1.265,-0.014594),(5855,6575,1.2651,-0.008715),(5855,6585,1.2651,-0.00268),(5855,6595,1.0761,0.003354),(5855,6605,0.67812,0.009389),(5855,6615,0.28018,0.010079),(5855,6625,0.000449,0.010082),(5855,6635,0.000478,0.010085),(5855,6645,0.000507,0.010089),(5855,6655,0.000536,0.010094),(5855,6665,0.000564,0.010099),(5855,6675,0.000592,0.010104),(5855,6685,0.000621,0.010109),(5855,6695,0.000649,0.010113),(5855,6705,0.000676,0.010117),(5855,6715,0.000704,0.010121),(5855,6725,0.000732,0.010126),(5855,6735,0.000759,0.010129),(5855,6745,0.000786,0.010133),(5855,6755,0.000813,0.010136),(5855,6765,0.00084,0.01014),(5855,6775,0.000867,0.010143),(5855,6785,0.000893,0.010146),(5855,6795,0.00092,0.010148),(5855,6805,0.000946,0.010151),(5855,6815,0.000972,0.010153),(5855,6825,0.000997,0.010155),(5855,6835,0.001023,0.010157),(5855,6845,0.001049,0.010159),(5855,6855,0.001074,0.010161),(5855,6865,0.001099,0.010162),(5855,6875,0.001124,0.010163),(5855,6885,0.001148,0.010164),(5855,6895,0.001173,0.010165),(5855,6905,0.001197,0.010165),(5855,6915,0.001221,0.010165),(5855,6925,0.001246,0.010165),(5855,6935,0.001269,0.010165),(5855,6945,0.001293,0.010164),(5855,6955,0.001316,0.010164),(5855,6965,0.00134,0.010163),(5855,6975,0.001363,0.010162),(5855,6985,0.001386,0.010161),(5865,5,1.6e-05,-0.40976),(5865,15,4.8e-05,-0.40979),(5865,25,7.5e-05,-0.40981),(5865,35,9.8e-05,-0.40984),(5865,45,0.000121,-0.40985),(5865,55,0.000144,-0.40984),(5865,65,0.000166,-0.40983),(5865,75,0.000186,-0.40982),(5865,85,0.000207,-0.40981),(5865,95,0.000227,-0.40981),(5865,105,0.000261,-0.4098),(5865,115,0.000304,-0.40979),(5865,125,0.000348,-0.40982),(5865,135,0.000391,-0.40987),(5865,145,0.000413,-0.40993),(5865,155,0.000422,-0.40998),(5865,165,0.000432,-0.40996),(5865,175,0.000442,-0.40991),(5865,185,0.000466,-0.40986),(5865,195,0.000498,-0.4098),(5865,205,0.000529,-0.40982),(5865,215,0.000561,-0.40987),(5865,225,0.000538,-0.40991),(5865,235,0.000494,-0.40996),(5865,245,0.000449,-0.4099),(5865,255,0.000405,-0.4098),(5865,265,0.000373,-0.40971),(5865,275,0.000344,-0.40961),(5865,285,0.000315,-0.4096),(5865,295,0.000287,-0.40961),(5865,305,0.000327,-0.40962),(5865,315,0.000385,-0.40963),(5865,325,0.000443,-0.40966),(5865,335,0.0005,-0.4097),(5865,345,0.000599,-0.40974),(5865,355,0.000705,-0.40977),(5865,365,0.000811,-0.40982),(5865,375,0.000917,-0.40986),(5865,385,0.00097,-0.4099),(5865,395,0.001016,-0.40994),(5865,405,0.001061,-0.40993),(5865,415,0.001107,-0.40991),(5865,425,0.001116,-0.40989),(5865,435,0.001121,-0.40987),(5865,445,0.001126,-0.40986),(5865,455,0.001132,-0.40985),(5865,465,0.00113,-0.40984),(5865,475,0.001127,-0.40983),(5865,485,0.001125,-0.4098),(5865,495,0.001122,-0.40978),(5865,505,0.001181,-0.40975),(5865,515,0.001241,-0.40973),(5865,525,0.0013,-0.40974),(5865,535,0.001363,-0.40976),(5865,545,0.001511,-0.40978),(5865,555,0.001659,-0.4098),(5865,565,0.001808,-0.40988),(5865,575,0.00195,-0.40996),(5865,585,0.002011,-0.41004),(5865,595,0.002073,-0.41011),(5865,605,0.002135,-0.41009),(5865,615,0.002182,-0.41007),(5865,625,0.002117,-0.41005),(5865,635,0.002051,-0.41002),(5865,645,0.001986,-0.40992),(5865,655,0.001949,-0.40983),(5865,665,0.002072,-0.40974),(5865,675,0.002196,-0.40968),(5865,685,0.002319,-0.4098),(5865,695,0.002459,-0.40991),(5865,705,0.002665,-0.41003),(5865,715,0.00287,-0.41014),(5865,725,0.003076,-0.41024),(5865,735,0.003262,-0.41033),(5865,745,0.003382,-0.41042),(5865,755,0.003502,-0.41049),(5865,765,0.003622,-0.41048),(5865,775,0.003755,-0.41047),(5865,785,0.003925,-0.41046),(5865,795,0.004096,-0.41048),(5865,805,0.004266,-0.41056),(5865,815,0.004461,-0.41065),(5865,825,0.004709,-0.41074),(5865,835,0.004957,-0.41083),(5865,845,0.005205,-0.41095),(5865,855,0.005449,-0.41108),(5865,865,0.005687,-0.4112),(5865,875,0.005926,-0.4113),(5865,885,0.006163,-0.41136),(5865,895,0.006448,-0.41143),(5865,905,0.006804,-0.4115),(5865,915,0.007161,-0.4116),(5865,925,0.007517,-0.41174),(5865,935,0.008007,-0.41189),(5865,945,0.008674,-0.41203),(5865,955,0.00934,-0.41225),(5865,965,0.010007,-0.41256),(5865,975,0.010797,-0.41288),(5865,985,0.011727,-0.41319),(5865,995,0.012657,-0.41352),(5865,1005,0.013587,-0.41385),(5865,1015,0.014719,-0.41419),(5865,1025,0.016046,-0.41452),(5865,1035,0.017372,-0.41491),(5865,1045,0.018699,-0.41534),(5865,1055,0.020435,-0.41577),(5865,1065,0.022505,-0.41621),(5865,1075,0.024576,-0.41678),(5865,1085,0.026646,-0.41745),(5865,1095,0.029414,-0.41813),(5865,1105,0.032668,-0.4188),(5865,1115,0.035921,-0.41964),(5865,1125,0.039175,-0.42058),(5865,1135,0.04373,-0.42152),(5865,1145,0.049054,-0.42246),(5865,1155,0.054379,-0.42367),(5865,1165,0.059703,-0.42503),(5865,1175,0.067721,-0.42638),(5865,1185,0.077077,-0.42773),(5865,1195,0.086432,-0.42912),(5865,1205,0.095787,-0.43051),(5865,1215,0.11094,-0.4319),(5865,1225,0.12849,-0.4333),(5865,1235,0.14604,-0.43332),(5865,1245,0.16359,-0.43282),(5865,1255,0.16981,-0.43233),(5865,1265,0.17221,-0.43183),(5865,1275,0.17461,-0.44975),(5865,1285,0.17701,-0.47324),(5865,1295,0.098184,-0.49674),(5865,1305,-0.002604,-0.52023),(5865,1315,-0.10339,-0.66023),(5865,1325,-0.20418,-0.82809),(5865,1335,-0.12304,-0.99595),(5865,1345,-0.003773,-1.1638),(5865,1355,0.1155,-1.0508),(5865,1365,0.23476,-0.88676),(5865,1375,0.161,-0.72277),(5865,1385,0.05746,-0.55878),(5865,1395,-0.046083,-0.51397),(5865,1405,-0.14963,-0.48447),(5865,1415,-0.16582,-0.45497),(5865,1425,-0.17294,-0.42548),(5865,1435,-0.18007,-0.42554),(5865,1445,-0.18719,-0.42798),(5865,1455,-0.16853,-0.43042),(5865,1465,-0.14838,-0.43286),(5865,1475,-0.12824,-0.43184),(5865,1485,-0.1081,-0.4307),(5865,1495,-0.097394,-0.42955),(5865,1505,-0.086834,-0.42841),(5865,1515,-0.076275,-0.42698),(5865,1525,-0.065832,-0.42555),(5865,1535,-0.059967,-0.42412),(5865,1545,-0.054102,-0.42271),(5865,1555,-0.048237,-0.42166),(5865,1565,-0.042519,-0.42061),(5865,1575,-0.038946,-0.41956),(5865,1585,-0.035372,-0.41853),(5865,1595,-0.031799,-0.41776),(5865,1605,-0.028367,-0.41698),(5865,1615,-0.026158,-0.4162),(5865,1625,-0.023948,-0.41545),(5865,1635,-0.021739,-0.41485),(5865,1645,-0.019631,-0.41426),(5865,1655,-0.018124,-0.41366),(5865,1665,-0.016617,-0.4131),(5865,1675,-0.01511,-0.41267),(5865,1685,-0.013684,-0.41224),(5865,1695,-0.012616,-0.41182),(5865,1705,-0.011548,-0.41142),(5865,1715,-0.01048,-0.41115),(5865,1725,-0.009506,-0.41087),(5865,1735,-0.008863,-0.4106),(5865,1745,-0.00822,-0.41032),(5865,1755,-0.007576,-0.41004),(5865,1765,-0.006993,-0.40976),(5865,1775,-0.006579,-0.40948),(5865,1785,-0.006165,-0.4092),(5865,1795,-0.005751,-0.40893),(5865,1805,-0.005339,-0.40866),(5865,1815,-0.00493,-0.40839),(5865,1825,-0.00452,-0.40816),(5865,1835,-0.004111,-0.40799),(5865,1845,-0.003733,-0.40782),(5865,1855,-0.003413,-0.40765),(5865,1865,-0.003094,-0.40749),(5865,1875,-0.002775,-0.40738),(5865,1885,-0.002493,-0.40726),(5865,1895,-0.002271,-0.40714),(5865,1905,-0.002048,-0.40702),(5865,1915,-0.001826,-0.40689),(5865,1925,-0.001648,-0.40676),(5865,1935,-0.001533,-0.40663),(5865,1945,-0.001417,-0.40649),(5865,1955,-0.001302,-0.40634),(5865,1965,-0.001181,-0.40619),(5865,1975,-0.001053,-0.40604),(5865,1985,-0.000925,-0.40592),(5865,1995,-0.000797,-0.40582),(5865,2005,-0.00067,-0.40572),(5865,2015,-0.000543,-0.40561),(5865,2025,-0.000417,-0.40552),(5865,2035,-0.00029,-0.40542),(5865,2045,-0.000199,-0.40532),(5865,2055,-0.000139,-0.40522),(5865,2065,-7.9e-05,-0.40511),(5865,2075,-1.9e-05,-0.40499),(5865,2085,2.9e-05,-0.40487),(5865,2095,6.9e-05,-0.40475),(5865,2105,0.000108,-0.40462),(5865,2115,0.000147,-0.40448),(5865,2125,0.000163,-0.40435),(5865,2135,0.000165,-0.40422),(5865,2145,0.000167,-0.40408),(5865,2155,0.000169,-0.40393),(5865,2165,0.000192,-0.40379),(5865,2175,0.000227,-0.40365),(5865,2185,0.000262,-0.40354),(5865,2195,0.000297,-0.40346),(5865,2205,0.00036,-0.40338),(5865,2215,0.000435,-0.40329),(5865,2225,0.00051,-0.4032),(5865,2235,0.000584,-0.40312),(5865,2245,0.00063,-0.40303),(5865,2255,0.000665,-0.40294),(5865,2265,0.0007,-0.40281),(5865,2275,0.000735,-0.40267),(5865,2285,0.000753,-0.40253),(5865,2295,0.000765,-0.40239),(5865,2305,0.000778,-0.40226),(5865,2315,0.00079,-0.40212),(5865,2325,0.000818,-0.40199),(5865,2335,0.00085,-0.40186),(5865,2345,0.000882,-0.40174),(5865,2355,0.000914,-0.40163),(5865,2365,0.000983,-0.40151),(5865,2375,0.001058,-0.4014),(5865,2385,0.001133,-0.40129),(5865,2395,0.001208,-0.40118),(5865,2405,0.001277,-0.40107),(5865,2415,0.001346,-0.40096),(5865,2425,0.001414,-0.40082),(5865,2435,0.001483,-0.40068),(5865,2445,0.001508,-0.40054),(5865,2455,0.00153,-0.40039),(5865,2465,0.001552,-0.40022),(5865,2475,0.001574,-0.40005),(5865,2485,0.001606,-0.39989),(5865,2495,0.001638,-0.39972),(5865,2505,0.00167,-0.39957),(5865,2515,0.001702,-0.39942),(5865,2525,0.001736,-0.39927),(5865,2535,0.00177,-0.39912),(5865,2545,0.001804,-0.39895),(5865,2555,0.001836,-0.39878),(5865,2565,0.001842,-0.39861),(5865,2575,0.001849,-0.39844),(5865,2585,0.001855,-0.39825),(5865,2595,0.001862,-0.39805),(5865,2605,0.001876,-0.39786),(5865,2615,0.00189,-0.39767),(5865,2625,0.001904,-0.39749),(5865,2635,0.001918,-0.39732),(5865,2645,0.001924,-0.39715),(5865,2655,0.00193,-0.39697),(5865,2665,0.001937,-0.39678),(5865,2675,0.001944,-0.39659),(5865,2685,0.001956,-0.3964),(5865,2695,0.001968,-0.39621),(5865,2705,0.00198,-0.39603),(5865,2715,0.002009,-0.39584),(5865,2725,0.0021,-0.39566),(5865,2735,0.002191,-0.39549),(5865,2745,0.002282,-0.39536),(5865,2755,0.002371,-0.39523),(5865,2765,0.002454,-0.3951),(5865,2775,0.002536,-0.39495),(5865,2785,0.002619,-0.39476),(5865,2795,0.002678,-0.39456),(5865,2805,0.002681,-0.39437),(5865,2815,0.002683,-0.39416),(5865,2825,0.002685,-0.3939),(5865,2835,0.002682,-0.39365),(5865,2845,0.002668,-0.3934),(5865,2855,0.002654,-0.39315),(5865,2865,0.00264,-0.39292),(5865,2875,0.002645,-0.39268),(5865,2885,0.002683,-0.39245),(5865,2895,0.002721,-0.39222),(5865,2905,0.002759,-0.39201),(5865,2915,0.002812,-0.39181),(5865,2925,0.002886,-0.3916),(5865,2935,0.00296,-0.39139),(5865,2945,0.003034,-0.39118),(5865,2955,0.003093,-0.39097),(5865,2965,0.003134,-0.39076),(5865,2975,0.003175,-0.39053),(5865,2985,0.003217,-0.39029),(5865,2995,0.003233,-0.39005),(5865,3005,0.003223,-0.3898),(5865,3015,0.003213,-0.38954),(5865,3025,0.003203,-0.38925),(5865,3035,0.003213,-0.38897),(5865,3045,0.003243,-0.38869),(5865,3055,0.003272,-0.38842),(5865,3065,0.003301,-0.38815),(5865,3075,0.003368,-0.38789),(5865,3085,0.003464,-0.38763),(5865,3095,0.003559,-0.38739),(5865,3105,0.003654,-0.38715),(5865,3115,0.003754,-0.38692),(5865,3125,0.003856,-0.38668),(5865,3135,0.003958,-0.38644),(5865,3145,0.00406,-0.38619),(5865,3155,0.004116,-0.38594),(5865,3165,0.004148,-0.38569),(5865,3175,0.004179,-0.38539),(5865,3185,0.00421,-0.38507),(5865,3195,0.00424,-0.38476),(5865,3205,0.004269,-0.38444),(5865,3215,0.004298,-0.38412),(5865,3225,0.004327,-0.3838),(5865,3235,0.004417,-0.38348),(5865,3245,0.00453,-0.38316),(5865,3255,0.004643,-0.38288),(5865,3265,0.004756,-0.38263),(5865,3275,0.004855,-0.38238),(5865,3285,0.004951,-0.38213),(5865,3295,0.005046,-0.38183),(5865,3305,0.005141,-0.38153),(5865,3315,0.005195,-0.38123),(5865,3325,0.005239,-0.38093),(5865,3335,0.005282,-0.38059),(5865,3345,0.005326,-0.38025),(5865,3355,0.00543,-0.37991),(5865,3365,0.005546,-0.37957),(5865,3375,0.005661,-0.3793),(5865,3385,0.005776,-0.37904),(5865,3395,0.005969,-0.37878),(5865,3405,0.006172,-0.37853),(5865,3415,0.006375,-0.37829),(5865,3425,0.006578,-0.37805),(5865,3435,0.00677,-0.37782),(5865,3445,0.00696,-0.37758),(5865,3455,0.007151,-0.37729),(5865,3465,0.007342,-0.37698),(5865,3475,0.00748,-0.37668),(5865,3485,0.007617,-0.37638),(5865,3495,0.007753,-0.37604),(5865,3505,0.00789,-0.37569),(5865,3515,0.008129,-0.37535),(5865,3525,0.008369,-0.37501),(5865,3535,0.008608,-0.37477),(5865,3545,0.008856,-0.37454),(5865,3555,0.009292,-0.37431),(5865,3565,0.009728,-0.37408),(5865,3575,0.010164,-0.37392),(5865,3585,0.010609,-0.37375),(5865,3595,0.011161,-0.37359),(5865,3605,0.011713,-0.37342),(5865,3615,0.012265,-0.37324),(5865,3625,0.012828,-0.37306),(5865,3635,0.013467,-0.37288),(5865,3645,0.014106,-0.3727),(5865,3655,0.014745,-0.37254),(5865,3665,0.015425,-0.37239),(5865,3675,0.016319,-0.37223),(5865,3685,0.017214,-0.3721),(5865,3695,0.018108,-0.37203),(5865,3705,0.019106,-0.37196),(5865,3715,0.020511,-0.3719),(5865,3725,0.021916,-0.37188),(5865,3735,0.023321,-0.37202),(5865,3745,0.024876,-0.37217),(5865,3755,0.026897,-0.37231),(5865,3765,0.028918,-0.3725),(5865,3775,0.03094,-0.3728),(5865,3785,0.033205,-0.3731),(5865,3795,0.036091,-0.37341),(5865,3805,0.038976,-0.37377),(5865,3815,0.041861,-0.37429),(5865,3825,0.045186,-0.37481),(5865,3835,0.049438,-0.37533),(5865,3845,0.053689,-0.37598),(5865,3855,0.057941,-0.37688),(5865,3865,0.063049,-0.37777),(5865,3875,0.069673,-0.37867),(5865,3885,0.076296,-0.37971),(5865,3895,0.082919,-0.381),(5865,3905,0.091278,-0.38229),(5865,3915,0.10223,-0.38358),(5865,3925,0.11318,-0.38487),(5865,3935,0.12413,-0.38614),(5865,3945,0.13138,-0.38741),(5865,3955,0.13392,-0.38869),(5865,3965,0.13645,-0.39815),(5865,3975,0.13899,-0.41722),(5865,3985,0.091367,-0.43628),(5865,3995,-0.01056,-0.45535),(5865,4005,-0.11249,-0.55386),(5865,4015,-0.21441,-0.73182),(5865,4025,-0.041836,-0.90977),(5865,4035,0.1576,-1.0302),(5865,4045,0.35703,-1.0295),(5865,4055,0.46757,-1.0288),(5865,4065,0.54568,-1.028),(5865,4075,0.6238,-1.0265),(5865,4085,0.65904,-1.0251),(5865,4095,0.65983,-1.0236),(5865,4105,0.66062,-1.0222),(5865,4115,0.66147,-1.0208),(5865,4125,0.66243,-1.0194),(5865,4135,0.66339,-1.018),(5865,4145,0.66438,-1.0167),(5865,4155,0.66551,-1.0153),(5865,4165,0.66665,-1.014),(5865,4175,0.66778,-1.0126),(5865,4185,0.66908,-1.0112),(5865,4195,0.67037,-1.0099),(5865,4205,0.67167,-1.0086),(5865,4215,0.67308,-1.0073),(5865,4225,0.67451,-1.0061),(5865,4235,0.67595,-1.0048),(5865,4245,0.67746,-1.0035),(5865,4255,0.67902,-1.0021),(5865,4265,0.68057,-1.0008),(5865,4275,0.6822,-0.99941),(5865,4285,0.6839,-0.99804),(5865,4295,0.6856,-0.99673),(5865,4305,0.68736,-0.99543),(5865,4315,0.68925,-0.99412),(5865,4325,0.69114,-0.99279),(5865,4335,0.69306,-0.99146),(5865,4345,0.69513,-0.99012),(5865,4355,0.69721,-0.98871),(5865,4365,0.69929,-0.98724),(5865,4375,0.70154,-0.98578),(5865,4385,0.70381,-0.98426),(5865,4395,0.70607,-0.98267),(5865,4405,0.70847,-0.98109),(5865,4415,0.71091,-0.97947),(5865,4425,0.71335,-0.97775),(5865,4435,0.71589,-0.97603),(5865,4445,0.7185,-0.97431),(5865,4455,0.72111,-0.97249),(5865,4465,0.72379,-0.97068),(5865,4475,0.72658,-0.96886),(5865,4485,0.72937,-0.96692),(5865,4495,0.7322,-0.96496),(5865,4505,0.73516,-0.963),(5865,4515,0.73812,-0.96095),(5865,4525,0.7411,-0.95885),(5865,4535,0.7442,-0.95675),(5865,4545,0.7473,-0.95459),(5865,4555,0.7504,-0.95235),(5865,4565,0.75358,-0.9501),(5865,4575,0.75677,-0.94783),(5865,4585,0.75996,-0.94548),(5865,4595,0.76319,-0.94312),(5865,4605,0.76645,-0.94076),(5865,4615,0.7697,-0.93828),(5865,4625,0.77299,-0.9358),(5865,4635,0.77631,-0.93331),(5865,4645,0.77963,-0.93073),(5865,4655,0.78297,-0.92813),(5865,4665,0.78635,-0.92553),(5865,4675,0.78973,-0.92282),(5865,4685,0.79311,-0.92007),(5865,4695,0.79654,-0.91732),(5865,4705,0.79997,-0.91448),(5865,4715,0.8034,-0.91158),(5865,4725,0.80686,-0.90868),(5865,4735,0.81033,-0.90575),(5865,4745,0.81379,-0.90278),(5865,4755,0.81728,-0.89981),(5865,4765,0.82077,-0.89682),(5865,4775,0.82427,-0.89378),(5865,4785,0.82778,-0.89074),(5865,4795,0.8313,-0.88769),(5865,4805,0.83483,-0.88449),(5865,4815,0.83836,-0.8813),(5865,4825,0.8419,-0.87811),(5865,4835,0.84544,-0.87479),(5865,4845,0.84898,-0.87145),(5865,4855,0.85253,-0.86812),(5865,4865,0.85608,-0.86471),(5865,4875,0.85963,-0.86128),(5865,4885,0.86319,-0.85784),(5865,4895,0.86675,-0.85436),(5865,4905,0.87031,-0.85082),(5865,4915,0.87387,-0.84728),(5865,4925,0.87742,-0.84371),(5865,4935,0.88098,-0.84008),(5865,4945,0.88453,-0.83645),(5865,4955,0.88808,-0.83281),(5865,4965,0.89164,-0.82909),(5865,4975,0.89519,-0.82536),(5865,4985,0.89874,-0.82164),(5865,4995,0.90229,-0.81783),(5865,5005,0.90583,-0.81401),(5865,5015,0.90937,-0.8102),(5865,5025,0.91291,-0.80633),(5865,5035,0.91644,-0.80245),(5865,5045,0.91995,-0.79857),(5865,5055,0.92346,-0.79464),(5865,5065,0.92697,-0.79068),(5865,5075,0.93044,-0.78673),(5865,5085,0.93392,-0.78273),(5865,5095,0.93739,-0.77866),(5865,5105,0.94082,-0.77459),(5865,5115,0.94425,-0.7705),(5865,5125,0.94768,-0.76634),(5865,5135,0.95109,-0.76217),(5865,5145,0.95449,-0.758),(5865,5155,0.9579,-0.7538),(5865,5165,0.96129,-0.74959),(5865,5175,0.96467,-0.74538),(5865,5185,0.96806,-0.74116),(5865,5195,0.97143,-0.73694),(5865,5205,0.9748,-0.73272),(5865,5215,0.97816,-0.72845),(5865,5225,0.98152,-0.72416),(5865,5235,0.98485,-0.71986),(5865,5245,0.98819,-0.71552),(5865,5255,0.99152,-0.71114),(5865,5265,0.99482,-0.70677),(5865,5275,0.99812,-0.70237),(5865,5285,1.0014,-0.69795),(5865,5295,1.0047,-0.69353),(5865,5305,1.0079,-0.6891),(5865,5315,1.0112,-0.68464),(5865,5325,1.0144,-0.68018),(5865,5335,1.0176,-0.67572),(5865,5345,1.0208,-0.6712),(5865,5355,1.024,-0.66669),(5865,5365,1.0271,-0.66217),(5865,5375,1.0303,-0.6576),(5865,5385,1.0334,-0.65302),(5865,5395,1.0365,-0.64844),(5865,5405,1.0396,-0.64381),(5865,5415,1.0427,-0.63916),(5865,5425,1.0458,-0.63451),(5865,5435,1.0489,-0.62984),(5865,5445,1.0519,-0.62514),(5865,5455,1.055,-0.62045),(5865,5465,1.0581,-0.61574),(5865,5475,1.0611,-0.61099),(5865,5485,1.0642,-0.60624),(5865,5495,1.0672,-0.60149),(5865,5505,1.0702,-0.59668),(5865,5515,1.0732,-0.59187),(5865,5525,1.0761,-0.58706),(5865,5535,1.0791,-0.58222),(5865,5545,1.082,-0.57738),(5865,5555,1.0849,-0.57254),(5865,5565,1.0878,-0.56765),(5865,5575,1.0907,-0.56275),(5865,5585,1.0935,-0.55786),(5865,5595,1.0963,-0.5529),(5865,5605,1.0992,-0.54791),(5865,5615,1.1019,-0.54292),(5865,5625,1.1047,-0.5379),(5865,5635,1.1075,-0.53285),(5865,5645,1.1102,-0.52779),(5865,5655,1.1129,-0.52274),(5865,5665,1.1156,-0.51767),(5865,5675,1.1183,-0.51259),(5865,5685,1.121,-0.50752),(5865,5695,1.1236,-0.50246),(5865,5705,1.1263,-0.49741),(5865,5715,1.1289,-0.49235),(5865,5725,1.1316,-0.48725),(5865,5735,1.1342,-0.48215),(5865,5745,1.1367,-0.47705),(5865,5755,1.1393,-0.47192),(5865,5765,1.1419,-0.46677),(5865,5775,1.1444,-0.46162),(5865,5785,1.1469,-0.45643),(5865,5795,1.1494,-0.45122),(5865,5805,1.1518,-0.446),(5865,5815,1.1542,-0.44076),(5865,5825,1.1566,-0.43546),(5865,5835,1.159,-0.43017),(5865,5845,1.1613,-0.42486),(5865,5855,1.1637,-0.41949),(5865,5865,1.166,-0.41411),(5865,5875,1.1682,-0.40874),(5865,5885,1.1705,-0.40336),(5865,5895,1.1728,-0.39797),(5865,5905,1.175,-0.39259),(5865,5915,1.1772,-0.38722),(5865,5925,1.1794,-0.38185),(5865,5935,1.1816,-0.37648),(5865,5945,1.1837,-0.37108),(5865,5955,1.1859,-0.36567),(5865,5965,1.1879,-0.36025),(5865,5975,1.19,-0.3548),(5865,5985,1.1921,-0.34929),(5865,5995,1.194,-0.34379),(5865,6005,1.196,-0.33828),(5865,6015,1.198,-0.33275),(5865,6025,1.1999,-0.32722),(5865,6035,1.2018,-0.32169),(5865,6045,1.2037,-0.31618),(5865,6055,1.2055,-0.31066),(5865,6065,1.2073,-0.30515),(5865,6075,1.2091,-0.29956),(5865,6085,1.2109,-0.29397),(5865,6095,1.2126,-0.28838),(5865,6105,1.2143,-0.28271),(5865,6115,1.216,-0.27701),(5865,6125,1.2177,-0.27131),(5865,6135,1.2193,-0.26561),(5865,6145,1.2209,-0.25991),(5865,6155,1.2224,-0.2542),(5865,6165,1.2239,-0.2485),(5865,6175,1.2254,-0.24282),(5865,6185,1.2269,-0.23713),(5865,6195,1.2283,-0.23143),(5865,6205,1.2297,-0.2257),(5865,6215,1.231,-0.21996),(5865,6225,1.2323,-0.21422),(5865,6235,1.2336,-0.20841),(5865,6245,1.2348,-0.20261),(5865,6255,1.236,-0.1968),(5865,6265,1.2372,-0.19099),(5865,6275,1.2383,-0.18518),(5865,6285,1.2394,-0.17938),(5865,6295,1.2405,-0.17353),(5865,6305,1.2416,-0.16767),(5865,6315,1.2426,-0.1618),(5865,6325,1.2436,-0.15593),(5865,6335,1.2446,-0.15004),(5865,6345,1.2455,-0.14415),(5865,6355,1.2464,-0.13829),(5865,6365,1.2473,-0.13249),(5865,6375,1.2481,-0.12668),(5865,6385,1.2489,-0.12086),(5865,6395,1.2497,-0.11497),(5865,6405,1.2505,-0.10909),(5865,6415,1.2511,-0.1032),(5865,6425,1.2518,-0.097315),(5865,6435,1.2524,-0.091433),(5865,6445,1.2529,-0.085551),(5865,6455,1.2535,-0.079634),(5865,6465,1.254,-0.073708),(5865,6475,1.2544,-0.067781),(5865,6485,1.2548,-0.061866),(5865,6495,1.2552,-0.055958),(5865,6505,1.2555,-0.050051),(5865,6515,1.2558,-0.044123),(5865,6525,1.2561,-0.038168),(5865,6535,1.2564,-0.032212),(5865,6545,1.2565,-0.026279),(5865,6555,1.2567,-0.020418),(5865,6565,1.2568,-0.014556),(5865,6575,1.2569,-0.008683),(5865,6585,1.257,-0.002654),(5865,6595,1.0691,0.003375),(5865,6605,0.67375,0.009404),(5865,6615,0.27837,0.010098),(5865,6625,0.000443,0.010105),(5865,6635,0.000472,0.010113),(5865,6645,0.000501,0.010118),(5865,6655,0.00053,0.010123),(5865,6665,0.000559,0.010128),(5865,6675,0.000587,0.010132),(5865,6685,0.000616,0.010137),(5865,6695,0.000644,0.010141),(5865,6705,0.000671,0.010145),(5865,6715,0.000699,0.010149),(5865,6725,0.000727,0.010153),(5865,6735,0.000754,0.010157),(5865,6745,0.000782,0.01016),(5865,6755,0.000809,0.010163),(5865,6765,0.000836,0.010167),(5865,6775,0.000863,0.010169),(5865,6785,0.000889,0.010172),(5865,6795,0.000916,0.010175),(5865,6805,0.000942,0.010177),(5865,6815,0.000968,0.010179),(5865,6825,0.000994,0.010181),(5865,6835,0.00102,0.010183),(5865,6845,0.001046,0.010184),(5865,6855,0.001071,0.010186),(5865,6865,0.001096,0.010187),(5865,6875,0.001122,0.010188),(5865,6885,0.001146,0.010188),(5865,6895,0.001171,0.010189),(5865,6905,0.001196,0.010189),(5865,6915,0.00122,0.010189),(5865,6925,0.001244,0.010189),(5865,6935,0.001268,0.010189),(5865,6945,0.001292,0.010188),(5865,6955,0.001315,0.010187),(5865,6965,0.001339,0.010186),(5865,6975,0.001362,0.010185),(5865,6985,0.001385,0.010184),(5875,5,1.5e-05,-0.21568),(5875,15,4.5e-05,-0.2157),(5875,25,7.5e-05,-0.21571),(5875,35,0.000104,-0.21573),(5875,45,0.000134,-0.21573),(5875,55,0.000164,-0.21572),(5875,65,0.000192,-0.21572),(5875,75,0.00022,-0.21571),(5875,85,0.000247,-0.21571),(5875,95,0.000275,-0.2157),(5875,105,0.000294,-0.2157),(5875,115,0.000308,-0.21569),(5875,125,0.000323,-0.21571),(5875,135,0.000337,-0.21574),(5875,145,0.000361,-0.21577),(5875,155,0.000391,-0.21579),(5875,165,0.00042,-0.21579),(5875,175,0.00045,-0.21576),(5875,185,0.000468,-0.21573),(5875,195,0.000479,-0.21571),(5875,205,0.000491,-0.21572),(5875,215,0.000503,-0.21575),(5875,225,0.000516,-0.21578),(5875,235,0.000531,-0.21581),(5875,245,0.000545,-0.21578),(5875,255,0.00056,-0.21574),(5875,265,0.000541,-0.21569),(5875,275,0.000513,-0.21564),(5875,285,0.000484,-0.21563),(5875,295,0.000455,-0.21562),(5875,305,0.000472,-0.21561),(5875,315,0.0005,-0.2156),(5875,325,0.000528,-0.21561),(5875,335,0.000557,-0.21562),(5875,345,0.000624,-0.21563),(5875,355,0.000698,-0.21564),(5875,365,0.000773,-0.21567),(5875,375,0.000847,-0.2157),(5875,385,0.000906,-0.21572),(5875,395,0.000962,-0.21575),(5875,405,0.001018,-0.21575),(5875,415,0.001074,-0.21575),(5875,425,0.001096,-0.21575),(5875,435,0.001115,-0.21575),(5875,445,0.001134,-0.21574),(5875,455,0.001153,-0.21574),(5875,465,0.001168,-0.21574),(5875,475,0.001183,-0.21574),(5875,485,0.001198,-0.21572),(5875,495,0.001213,-0.2157),(5875,505,0.001256,-0.21568),(5875,515,0.001299,-0.21566),(5875,525,0.001343,-0.21566),(5875,535,0.001388,-0.21565),(5875,545,0.001482,-0.21565),(5875,555,0.001577,-0.21565),(5875,565,0.001671,-0.2157),(5875,575,0.001765,-0.21575),(5875,585,0.001851,-0.2158),(5875,595,0.001937,-0.21584),(5875,605,0.002022,-0.21585),(5875,615,0.002099,-0.21586),(5875,625,0.002104,-0.21587),(5875,635,0.002108,-0.21587),(5875,645,0.002112,-0.2158),(5875,655,0.002125,-0.21573),(5875,665,0.002184,-0.21566),(5875,675,0.002243,-0.21562),(5875,685,0.002303,-0.21566),(5875,695,0.002383,-0.21571),(5875,705,0.002549,-0.21575),(5875,715,0.002716,-0.2158),(5875,725,0.002883,-0.21586),(5875,735,0.003049,-0.21592),(5875,745,0.003214,-0.21598),(5875,755,0.00338,-0.21603),(5875,765,0.003545,-0.21602),(5875,775,0.003711,-0.21602),(5875,785,0.00388,-0.21601),(5875,795,0.004048,-0.21602),(5875,805,0.004217,-0.21605),(5875,815,0.004409,-0.21609),(5875,825,0.004653,-0.21612),(5875,835,0.004898,-0.21617),(5875,845,0.005142,-0.21624),(5875,855,0.005404,-0.2163),(5875,865,0.005697,-0.21637),(5875,875,0.005991,-0.21642),(5875,885,0.006285,-0.21645),(5875,895,0.006614,-0.21648),(5875,905,0.006998,-0.21651),(5875,915,0.007381,-0.21654),(5875,925,0.007765,-0.21659),(5875,935,0.008252,-0.21663),(5875,945,0.008876,-0.21668),(5875,955,0.009499,-0.21676),(5875,965,0.010123,-0.2169),(5875,975,0.010892,-0.21704),(5875,985,0.011827,-0.21718),(5875,995,0.012761,-0.21733),(5875,1005,0.013696,-0.21747),(5875,1015,0.014846,-0.21762),(5875,1025,0.016203,-0.21777),(5875,1035,0.017561,-0.21793),(5875,1045,0.018918,-0.2181),(5875,1055,0.020673,-0.21827),(5875,1065,0.022753,-0.21844),(5875,1075,0.024832,-0.21867),(5875,1085,0.026912,-0.21894),(5875,1095,0.029703,-0.2192),(5875,1105,0.032989,-0.21947),(5875,1115,0.036275,-0.21979),(5875,1125,0.039561,-0.22014),(5875,1135,0.044145,-0.22049),(5875,1145,0.049495,-0.22084),(5875,1155,0.054845,-0.22128),(5875,1165,0.060196,-0.22176),(5875,1175,0.068134,-0.22224),(5875,1185,0.077357,-0.22273),(5875,1195,0.08658,-0.22281),(5875,1205,0.095802,-0.22271),(5875,1215,0.11005,-0.22261),(5875,1225,0.12637,-0.22251),(5875,1235,0.1427,-0.21888),(5875,1245,0.15902,-0.21392),(5875,1255,0.17044,-0.20896),(5875,1265,0.18021,-0.204),(5875,1275,0.18997,-0.22074),(5875,1285,0.19974,-0.24407),(5875,1295,0.16491,-0.26739),(5875,1305,0.11803,-0.29071),(5875,1315,0.071141,-0.47737),(5875,1325,0.024255,-0.70311),(5875,1335,0.016734,-0.92884),(5875,1345,0.017462,-1.1546),(5875,1355,0.01819,-1.003),(5875,1365,0.018918,-0.78303),(5875,1375,-0.027323,-0.56305),(5875,1385,-0.080812,-0.34307),(5875,1395,-0.1343,-0.28959),(5875,1405,-0.18779,-0.2575),(5875,1415,-0.1898,-0.22542),(5875,1425,-0.18647,-0.19333),(5875,1435,-0.18314,-0.19798),(5875,1445,-0.17981,-0.20557),(5875,1455,-0.16237,-0.21316),(5875,1465,-0.14412,-0.22075),(5875,1475,-0.12587,-0.22144),(5875,1485,-0.10763,-0.22188),(5875,1495,-0.097226,-0.22232),(5875,1505,-0.086944,-0.22276),(5875,1515,-0.076663,-0.22226),(5875,1525,-0.066491,-0.22176),(5875,1535,-0.060604,-0.22126),(5875,1545,-0.054717,-0.22077),(5875,1555,-0.048831,-0.22037),(5875,1565,-0.04309,-0.21997),(5875,1575,-0.039474,-0.21958),(5875,1585,-0.035857,-0.21919),(5875,1595,-0.032241,-0.21888),(5875,1605,-0.028764,-0.21858),(5875,1615,-0.026488,-0.21828),(5875,1625,-0.024212,-0.21799),(5875,1635,-0.021936,-0.21772),(5875,1645,-0.01977,-0.21746),(5875,1655,-0.018262,-0.2172),(5875,1665,-0.016753,-0.21695),(5875,1675,-0.015245,-0.21675),(5875,1685,-0.013824,-0.21656),(5875,1695,-0.012797,-0.21637),(5875,1705,-0.011769,-0.21619),(5875,1715,-0.010742,-0.21608),(5875,1725,-0.009791,-0.21598),(5875,1735,-0.00911,-0.21587),(5875,1745,-0.008429,-0.21576),(5875,1755,-0.007748,-0.21564),(5875,1765,-0.007124,-0.21551),(5875,1775,-0.00666,-0.21539),(5875,1785,-0.006195,-0.21526),(5875,1795,-0.005731,-0.21512),(5875,1805,-0.005293,-0.21498),(5875,1815,-0.004916,-0.21484),(5875,1825,-0.00454,-0.21471),(5875,1835,-0.004164,-0.21463),(5875,1845,-0.003816,-0.21455),(5875,1855,-0.003522,-0.21447),(5875,1865,-0.003227,-0.2144),(5875,1875,-0.002933,-0.21435),(5875,1885,-0.002662,-0.21429),(5875,1895,-0.002427,-0.21423),(5875,1905,-0.002192,-0.21418),(5875,1915,-0.001958,-0.21412),(5875,1925,-0.001764,-0.21406),(5875,1935,-0.001626,-0.214),(5875,1945,-0.001489,-0.21393),(5875,1955,-0.001352,-0.21385),(5875,1965,-0.001228,-0.21377),(5875,1975,-0.00112,-0.21368),(5875,1985,-0.001012,-0.21361),(5875,1995,-0.000904,-0.21356),(5875,2005,-0.000798,-0.2135),(5875,2015,-0.000693,-0.21345),(5875,2025,-0.000589,-0.2134),(5875,2035,-0.000484,-0.21336),(5875,2045,-0.000399,-0.21331),(5875,2055,-0.000332,-0.21327),(5875,2065,-0.000264,-0.21322),(5875,2075,-0.000197,-0.21316),(5875,2085,-0.000135,-0.2131),(5875,2095,-7.8e-05,-0.21304),(5875,2105,-2.1e-05,-0.21297),(5875,2115,3.6e-05,-0.21291),(5875,2125,7.1e-05,-0.21284),(5875,2135,9.3e-05,-0.21278),(5875,2145,0.000114,-0.21271),(5875,2155,0.000135,-0.21263),(5875,2165,0.000156,-0.21255),(5875,2175,0.000177,-0.21247),(5875,2185,0.000198,-0.21241),(5875,2195,0.000219,-0.21236),(5875,2205,0.00027,-0.21231),(5875,2215,0.000333,-0.21226),(5875,2225,0.000396,-0.21221),(5875,2235,0.000459,-0.21217),(5875,2245,0.000514,-0.21213),(5875,2255,0.000567,-0.21209),(5875,2265,0.000619,-0.21202),(5875,2275,0.000672,-0.21195),(5875,2285,0.000704,-0.21188),(5875,2295,0.000731,-0.21181),(5875,2305,0.000758,-0.21174),(5875,2315,0.000784,-0.21167),(5875,2325,0.000812,-0.2116),(5875,2335,0.00084,-0.21153),(5875,2345,0.000868,-0.21146),(5875,2355,0.000896,-0.21139),(5875,2365,0.000947,-0.21132),(5875,2375,0.001002,-0.21126),(5875,2385,0.001057,-0.2112),(5875,2395,0.001112,-0.21114),(5875,2405,0.001176,-0.21108),(5875,2415,0.001241,-0.21102),(5875,2425,0.001306,-0.21095),(5875,2435,0.001371,-0.21088),(5875,2445,0.001409,-0.21081),(5875,2455,0.001445,-0.21074),(5875,2465,0.001482,-0.21065),(5875,2475,0.001518,-0.21057),(5875,2485,0.001553,-0.21048),(5875,2495,0.001587,-0.21039),(5875,2505,0.001622,-0.21031),(5875,2515,0.001657,-0.21024),(5875,2525,0.001705,-0.21016),(5875,2535,0.001753,-0.21008),(5875,2545,0.001801,-0.21),(5875,2555,0.001848,-0.20991),(5875,2565,0.001875,-0.20982),(5875,2575,0.001901,-0.20974),(5875,2585,0.001928,-0.20963),(5875,2595,0.001953,-0.20953),(5875,2605,0.00197,-0.20943),(5875,2615,0.001986,-0.20932),(5875,2625,0.002003,-0.20923),(5875,2635,0.002019,-0.20914),(5875,2645,0.002036,-0.20905),(5875,2655,0.002053,-0.20895),(5875,2665,0.00207,-0.20885),(5875,2675,0.002085,-0.20876),(5875,2685,0.002095,-0.20866),(5875,2695,0.002104,-0.20856),(5875,2705,0.002113,-0.20845),(5875,2715,0.002131,-0.20834),(5875,2725,0.002177,-0.20824),(5875,2735,0.002224,-0.20814),(5875,2745,0.002271,-0.20807),(5875,2755,0.002326,-0.208),(5875,2765,0.002406,-0.20792),(5875,2775,0.002485,-0.20785),(5875,2785,0.002564,-0.20776),(5875,2795,0.002631,-0.20767),(5875,2805,0.002667,-0.20757),(5875,2815,0.002703,-0.20747),(5875,2825,0.002739,-0.20734),(5875,2835,0.002763,-0.20722),(5875,2845,0.002763,-0.20709),(5875,2855,0.002763,-0.20696),(5875,2865,0.002763,-0.20683),(5875,2875,0.002772,-0.2067),(5875,2885,0.002798,-0.20657),(5875,2895,0.002824,-0.20644),(5875,2905,0.00285,-0.20633),(5875,2915,0.002891,-0.20621),(5875,2925,0.002951,-0.20609),(5875,2935,0.003012,-0.20598),(5875,2945,0.003072,-0.20587),(5875,2955,0.00313,-0.20577),(5875,2965,0.003183,-0.20566),(5875,2975,0.003237,-0.20555),(5875,2985,0.00329,-0.20543),(5875,2995,0.003326,-0.20531),(5875,3005,0.003345,-0.20519),(5875,3015,0.003363,-0.20505),(5875,3025,0.003382,-0.2049),(5875,3035,0.003403,-0.20474),(5875,3045,0.003427,-0.20459),(5875,3055,0.003451,-0.20444),(5875,3065,0.003475,-0.20429),(5875,3075,0.003522,-0.20415),(5875,3085,0.003587,-0.204),(5875,3095,0.003653,-0.20387),(5875,3105,0.003718,-0.20374),(5875,3115,0.003796,-0.20361),(5875,3125,0.003882,-0.20348),(5875,3135,0.003968,-0.20336),(5875,3145,0.004054,-0.20324),(5875,3155,0.004123,-0.20311),(5875,3165,0.004183,-0.20299),(5875,3175,0.004243,-0.20284),(5875,3185,0.004303,-0.20268),(5875,3195,0.004353,-0.20251),(5875,3205,0.004398,-0.20235),(5875,3215,0.004444,-0.20217),(5875,3225,0.004489,-0.20199),(5875,3235,0.004558,-0.20182),(5875,3245,0.004634,-0.20164),(5875,3255,0.004711,-0.20149),(5875,3265,0.004788,-0.20136),(5875,3275,0.004878,-0.20123),(5875,3285,0.004972,-0.20109),(5875,3295,0.005065,-0.20095),(5875,3305,0.005159,-0.2008),(5875,3315,0.005234,-0.20064),(5875,3325,0.005304,-0.20049),(5875,3335,0.005374,-0.20032),(5875,3345,0.005444,-0.20013),(5875,3355,0.005528,-0.19995),(5875,3365,0.005613,-0.19976),(5875,3375,0.005699,-0.19961),(5875,3385,0.005785,-0.19946),(5875,3395,0.005938,-0.19931),(5875,3405,0.006099,-0.19916),(5875,3415,0.00626,-0.19903),(5875,3425,0.006421,-0.19891),(5875,3435,0.006628,-0.19878),(5875,3445,0.006839,-0.19865),(5875,3455,0.007049,-0.1985),(5875,3465,0.00726,-0.19835),(5875,3475,0.007453,-0.1982),(5875,3485,0.007646,-0.19805),(5875,3495,0.007839,-0.19787),(5875,3505,0.008032,-0.19768),(5875,3515,0.00826,-0.19749),(5875,3525,0.008488,-0.1973),(5875,3535,0.008716,-0.19716),(5875,3545,0.008952,-0.19701),(5875,3555,0.00935,-0.19686),(5875,3565,0.009749,-0.19671),(5875,3575,0.010148,-0.19661),(5875,3585,0.01056,-0.19651),(5875,3595,0.01112,-0.1964),(5875,3605,0.01168,-0.1963),(5875,3615,0.01224,-0.1962),(5875,3625,0.012814,-0.1961),(5875,3635,0.013489,-0.196),(5875,3645,0.014164,-0.19589),(5875,3655,0.01484,-0.19579),(5875,3665,0.015555,-0.19568),(5875,3675,0.016478,-0.19557),(5875,3685,0.017402,-0.19546),(5875,3695,0.018325,-0.19537),(5875,3705,0.019339,-0.19528),(5875,3715,0.02071,-0.19518),(5875,3725,0.022081,-0.19511),(5875,3735,0.023452,-0.19512),(5875,3745,0.024978,-0.19512),(5875,3755,0.026989,-0.19513),(5875,3765,0.029,-0.19515),(5875,3775,0.031011,-0.19521),(5875,3785,0.033277,-0.19528),(5875,3795,0.036192,-0.19534),(5875,3805,0.039106,-0.19542),(5875,3815,0.042021,-0.19555),(5875,3825,0.045379,-0.19568),(5875,3835,0.049674,-0.19581),(5875,3845,0.05397,-0.19597),(5875,3855,0.058265,-0.19621),(5875,3865,0.063392,-0.19644),(5875,3875,0.06999,-0.19667),(5875,3885,0.076587,-0.19684),(5875,3895,0.083185,-0.19691),(5875,3905,0.091311,-0.19698),(5875,3915,0.10172,-0.19706),(5875,3925,0.11213,-0.19635),(5875,3935,0.12254,-0.19456),(5875,3945,0.13187,-0.19277),(5875,3955,0.13982,-0.19099),(5875,3965,0.14778,-0.19873),(5875,3975,0.15574,-0.21765),(5875,3985,0.14249,-0.23657),(5875,3995,0.10629,-0.2555),(5875,4005,0.070094,-0.38537),(5875,4015,0.033894,-0.62619),(5875,4025,0.13903,-0.86701),(5875,4035,0.258,-1.0301),(5875,4045,0.37697,-1.0294),(5875,4055,0.46576,-1.0287),(5875,4065,0.54353,-1.0279),(5875,4075,0.62131,-1.0264),(5875,4085,0.65639,-1.025),(5875,4095,0.65717,-1.0235),(5875,4105,0.65795,-1.0221),(5875,4115,0.65879,-1.0206),(5875,4125,0.65974,-1.0192),(5875,4135,0.66068,-1.0178),(5875,4145,0.66166,-1.0165),(5875,4155,0.66279,-1.0151),(5875,4165,0.66391,-1.0137),(5875,4175,0.66504,-1.0123),(5875,4185,0.66634,-1.0109),(5875,4195,0.66763,-1.0095),(5875,4205,0.66893,-1.0082),(5875,4215,0.67035,-1.007),(5875,4225,0.6718,-1.0056),(5875,4235,0.67324,-1.0043),(5875,4245,0.67476,-1.003),(5875,4255,0.67632,-1.0016),(5875,4265,0.67789,-1.0002),(5875,4275,0.67951,-0.99881),(5875,4285,0.68121,-0.9974),(5875,4295,0.68291,-0.99605),(5875,4305,0.68466,-0.99471),(5875,4315,0.68653,-0.99337),(5875,4325,0.68841,-0.99201),(5875,4335,0.6903,-0.99065),(5875,4345,0.69236,-0.98928),(5875,4355,0.69441,-0.98785),(5875,4365,0.69646,-0.98637),(5875,4375,0.69868,-0.98488),(5875,4385,0.70091,-0.98335),(5875,4395,0.70315,-0.98176),(5875,4405,0.70551,-0.98017),(5875,4415,0.7079,-0.97855),(5875,4425,0.7103,-0.97683),(5875,4435,0.71279,-0.9751),(5875,4445,0.71535,-0.97338),(5875,4455,0.7179,-0.97156),(5875,4465,0.72053,-0.96974),(5875,4475,0.72326,-0.96792),(5875,4485,0.72599,-0.96597),(5875,4495,0.72876,-0.964),(5875,4505,0.73166,-0.96203),(5875,4515,0.73457,-0.95998),(5875,4525,0.73748,-0.95787),(5875,4535,0.74053,-0.95577),(5875,4545,0.74358,-0.9536),(5875,4555,0.74664,-0.95136),(5875,4565,0.74977,-0.94912),(5875,4575,0.75292,-0.94685),(5875,4585,0.75607,-0.9445),(5875,4595,0.75927,-0.94215),(5875,4605,0.76249,-0.93978),(5875,4615,0.7657,-0.9373),(5875,4625,0.76896,-0.93482),(5875,4635,0.77224,-0.93234),(5875,4645,0.77553,-0.92975),(5875,4655,0.77884,-0.92715),(5875,4665,0.78219,-0.92456),(5875,4675,0.78553,-0.92185),(5875,4685,0.78889,-0.9191),(5875,4695,0.79228,-0.91636),(5875,4705,0.79567,-0.91353),(5875,4715,0.79906,-0.91063),(5875,4725,0.80248,-0.90774),(5875,4735,0.80591,-0.90482),(5875,4745,0.80933,-0.90186),(5875,4755,0.81278,-0.8989),(5875,4765,0.81623,-0.89593),(5875,4775,0.81969,-0.89289),(5875,4785,0.82316,-0.88986),(5875,4795,0.82664,-0.88682),(5875,4805,0.83013,-0.88364),(5875,4815,0.83362,-0.88046),(5875,4825,0.83712,-0.87728),(5875,4835,0.84063,-0.87398),(5875,4845,0.84413,-0.87066),(5875,4855,0.84764,-0.86734),(5875,4865,0.85115,-0.86395),(5875,4875,0.85466,-0.86053),(5875,4885,0.85818,-0.85711),(5875,4895,0.8617,-0.85364),(5875,4905,0.86522,-0.85012),(5875,4915,0.86874,-0.8466),(5875,4925,0.87226,-0.84305),(5875,4935,0.87578,-0.83944),(5875,4945,0.87929,-0.83583),(5875,4955,0.8828,-0.8322),(5875,4965,0.88632,-0.82849),(5875,4975,0.88983,-0.82478),(5875,4985,0.89335,-0.82107),(5875,4995,0.89686,-0.81727),(5875,5005,0.90037,-0.81347),(5875,5015,0.90387,-0.80966),(5875,5025,0.90738,-0.80581),(5875,5035,0.91088,-0.80194),(5875,5045,0.91436,-0.79808),(5875,5055,0.91784,-0.79417),(5875,5065,0.92132,-0.79023),(5875,5075,0.92477,-0.78629),(5875,5085,0.92822,-0.78231),(5875,5095,0.93167,-0.77826),(5875,5105,0.93508,-0.77421),(5875,5115,0.93849,-0.77013),(5875,5125,0.94189,-0.76597),(5875,5135,0.94528,-0.76181),(5875,5145,0.94865,-0.75764),(5875,5155,0.95203,-0.75344),(5875,5165,0.95539,-0.74923),(5875,5175,0.95875,-0.74502),(5875,5185,0.9621,-0.7408),(5875,5195,0.96545,-0.73659),(5875,5205,0.96878,-0.73237),(5875,5215,0.97212,-0.7281),(5875,5225,0.97545,-0.72381),(5875,5235,0.97875,-0.71952),(5875,5245,0.98206,-0.71519),(5875,5255,0.98536,-0.71082),(5875,5265,0.98863,-0.70644),(5875,5275,0.99191,-0.70205),(5875,5285,0.99518,-0.69764),(5875,5295,0.99842,-0.69322),(5875,5305,1.0017,-0.6888),(5875,5315,1.0049,-0.68435),(5875,5325,1.0081,-0.6799),(5875,5335,1.0113,-0.67545),(5875,5345,1.0145,-0.67094),(5875,5355,1.0176,-0.66644),(5875,5365,1.0208,-0.66193),(5875,5375,1.0239,-0.65736),(5875,5385,1.027,-0.65278),(5875,5395,1.0301,-0.6482),(5875,5405,1.0331,-0.64357),(5875,5415,1.0362,-0.63892),(5875,5425,1.0393,-0.63426),(5875,5435,1.0423,-0.62959),(5875,5445,1.0454,-0.62489),(5875,5455,1.0484,-0.62019),(5875,5465,1.0514,-0.61548),(5875,5475,1.0545,-0.61073),(5875,5485,1.0575,-0.60598),(5875,5495,1.0605,-0.60123),(5875,5505,1.0635,-0.59643),(5875,5515,1.0664,-0.59163),(5875,5525,1.0693,-0.58683),(5875,5535,1.0723,-0.582),(5875,5545,1.0752,-0.57717),(5875,5555,1.0781,-0.57234),(5875,5565,1.0809,-0.56746),(5875,5575,1.0838,-0.56257),(5875,5585,1.0866,-0.55767),(5875,5595,1.0894,-0.55272),(5875,5605,1.0923,-0.54773),(5875,5615,1.095,-0.54275),(5875,5625,1.0978,-0.53773),(5875,5635,1.1005,-0.53267),(5875,5645,1.1032,-0.52761),(5875,5655,1.1059,-0.52255),(5875,5665,1.1086,-0.51748),(5875,5675,1.1113,-0.5124),(5875,5685,1.1139,-0.50732),(5875,5695,1.1166,-0.50226),(5875,5705,1.1192,-0.4972),(5875,5715,1.1218,-0.49213),(5875,5725,1.1244,-0.48704),(5875,5735,1.127,-0.48194),(5875,5745,1.1295,-0.47684),(5875,5755,1.1321,-0.47171),(5875,5765,1.1346,-0.46656),(5875,5775,1.1371,-0.46141),(5875,5785,1.1396,-0.45623),(5875,5795,1.142,-0.45102),(5875,5805,1.1445,-0.44581),(5875,5815,1.1469,-0.44057),(5875,5825,1.1493,-0.43528),(5875,5835,1.1516,-0.42999),(5875,5845,1.1539,-0.42468),(5875,5855,1.1563,-0.41931),(5875,5865,1.1586,-0.41394),(5875,5875,1.1608,-0.40856),(5875,5885,1.1631,-0.40317),(5875,5895,1.1653,-0.39778),(5875,5905,1.1675,-0.39239),(5875,5915,1.1697,-0.38701),(5875,5925,1.1719,-0.38164),(5875,5935,1.174,-0.37627),(5875,5945,1.1762,-0.37087),(5875,5955,1.1783,-0.36546),(5875,5965,1.1803,-0.36005),(5875,5975,1.1824,-0.3546),(5875,5985,1.1844,-0.3491),(5875,5995,1.1864,-0.34361),(5875,6005,1.1884,-0.3381),(5875,6015,1.1903,-0.33257),(5875,6025,1.1922,-0.32704),(5875,6035,1.1941,-0.32151),(5875,6045,1.196,-0.31599),(5875,6055,1.1978,-0.31047),(5875,6065,1.1996,-0.30496),(5875,6075,1.2014,-0.29937),(5875,6085,1.2031,-0.29378),(5875,6095,1.2048,-0.28819),(5875,6105,1.2065,-0.28252),(5875,6115,1.2082,-0.27683),(5875,6125,1.2098,-0.27113),(5875,6135,1.2114,-0.26544),(5875,6145,1.213,-0.25973),(5875,6155,1.2145,-0.25403),(5875,6165,1.2161,-0.24834),(5875,6175,1.2176,-0.24266),(5875,6185,1.219,-0.23698),(5875,6195,1.2204,-0.23129),(5875,6205,1.2218,-0.22556),(5875,6215,1.2231,-0.21983),(5875,6225,1.2244,-0.2141),(5875,6235,1.2257,-0.20829),(5875,6245,1.2269,-0.20249),(5875,6255,1.2281,-0.19668),(5875,6265,1.2292,-0.19087),(5875,6275,1.2304,-0.18506),(5875,6285,1.2315,-0.17925),(5875,6295,1.2325,-0.1734),(5875,6305,1.2336,-0.16753),(5875,6315,1.2346,-0.16166),(5875,6325,1.2355,-0.15578),(5875,6335,1.2365,-0.14989),(5875,6345,1.2374,-0.144),(5875,6355,1.2383,-0.13813),(5875,6365,1.2392,-0.13233),(5875,6375,1.24,-0.12653),(5875,6385,1.2408,-0.12072),(5875,6395,1.2416,-0.11484),(5875,6405,1.2423,-0.10896),(5875,6415,1.243,-0.10309),(5875,6425,1.2436,-0.097213),(5875,6435,1.2442,-0.091338),(5875,6445,1.2448,-0.085463),(5875,6455,1.2453,-0.079552),(5875,6465,1.2458,-0.073631),(5875,6475,1.2462,-0.06771),(5875,6485,1.2466,-0.061799),(5875,6495,1.2471,-0.055894),(5875,6505,1.2474,-0.049988),(5875,6515,1.2477,-0.044063),(5875,6525,1.248,-0.03811),(5875,6535,1.2482,-0.032156),(5875,6545,1.2484,-0.026227),(5875,6555,1.2486,-0.020371),(5875,6565,1.2487,-0.014515),(5875,6575,1.2488,-0.008648),(5875,6585,1.2488,-0.002624),(5875,6595,1.0622,0.003399),(5875,6605,0.66938,0.009423),(5875,6615,0.27657,0.010119),(5875,6625,0.000438,0.01013),(5875,6635,0.000467,0.01014),(5875,6645,0.000496,0.010147),(5875,6655,0.000525,0.010152),(5875,6665,0.000553,0.010156),(5875,6675,0.000582,0.01016),(5875,6685,0.00061,0.010165),(5875,6695,0.000638,0.010169),(5875,6705,0.000666,0.010173),(5875,6715,0.000695,0.010177),(5875,6725,0.000722,0.01018),(5875,6735,0.00075,0.010184),(5875,6745,0.000777,0.010187),(5875,6755,0.000805,0.01019),(5875,6765,0.000832,0.010193),(5875,6775,0.000859,0.010196),(5875,6785,0.000886,0.010198),(5875,6795,0.000912,0.010201),(5875,6805,0.000939,0.010203),(5875,6815,0.000965,0.010205),(5875,6825,0.000991,0.010207),(5875,6835,0.001017,0.010208),(5875,6845,0.001043,0.01021),(5875,6855,0.001068,0.010211),(5875,6865,0.001094,0.010212),(5875,6875,0.001119,0.010212),(5875,6885,0.001144,0.010213),(5875,6895,0.001169,0.010213),(5875,6905,0.001194,0.010213),(5875,6915,0.001218,0.010213),(5875,6925,0.001242,0.010213),(5875,6935,0.001267,0.010212),(5875,6945,0.001291,0.010212),(5875,6955,0.001314,0.010211),(5875,6965,0.001338,0.01021),(5875,6975,0.001362,0.010208),(5875,6985,0.001385,0.010207),(5885,5,1.4e-05,-0.51043),(5885,15,4.2e-05,-0.51045),(5885,25,7.4e-05,-0.51047),(5885,35,0.00011,-0.5105),(5885,45,0.000147,-0.5105),(5885,55,0.000183,-0.51049),(5885,65,0.000219,-0.51047),(5885,75,0.000253,-0.51045),(5885,85,0.000288,-0.51046),(5885,95,0.000322,-0.51047),(5885,105,0.000327,-0.51049),(5885,115,0.000312,-0.5105),(5885,125,0.000297,-0.51053),(5885,135,0.000283,-0.51056),(5885,145,0.000309,-0.51059),(5885,155,0.000359,-0.51062),(5885,165,0.000409,-0.51061),(5885,175,0.000459,-0.51058),(5885,185,0.000469,-0.51055),(5885,195,0.000461,-0.51053),(5885,205,0.000453,-0.51053),(5885,215,0.000444,-0.51055),(5885,225,0.000495,-0.51056),(5885,235,0.000568,-0.51058),(5885,245,0.000641,-0.51055),(5885,255,0.000715,-0.51049),(5885,265,0.00071,-0.51044),(5885,275,0.000681,-0.51039),(5885,285,0.000652,-0.51037),(5885,295,0.000623,-0.51035),(5885,305,0.000616,-0.51033),(5885,315,0.000615,-0.5103),(5885,325,0.000614,-0.51031),(5885,335,0.000613,-0.51031),(5885,345,0.000649,-0.51032),(5885,355,0.000692,-0.51033),(5885,365,0.000735,-0.51037),(5885,375,0.000778,-0.51041),(5885,385,0.000842,-0.51046),(5885,395,0.000908,-0.5105),(5885,405,0.000974,-0.51051),(5885,415,0.001041,-0.51052),(5885,425,0.001076,-0.51052),(5885,435,0.001109,-0.51053),(5885,445,0.001142,-0.51053),(5885,455,0.001175,-0.51053),(5885,465,0.001207,-0.51052),(5885,475,0.001239,-0.51052),(5885,485,0.001271,-0.51049),(5885,495,0.001304,-0.51046),(5885,505,0.001331,-0.51043),(5885,515,0.001358,-0.5104),(5885,525,0.001386,-0.5104),(5885,535,0.001413,-0.5104),(5885,545,0.001454,-0.5104),(5885,555,0.001494,-0.5104),(5885,565,0.001534,-0.51047),(5885,575,0.00158,-0.51053),(5885,585,0.00169,-0.5106),(5885,595,0.0018,-0.51066),(5885,605,0.00191,-0.51068),(5885,615,0.002016,-0.5107),(5885,625,0.00209,-0.51072),(5885,635,0.002165,-0.51073),(5885,645,0.002239,-0.51064),(5885,655,0.002302,-0.51056),(5885,665,0.002296,-0.51048),(5885,675,0.002291,-0.51042),(5885,685,0.002286,-0.51048),(5885,695,0.002306,-0.51054),(5885,705,0.002434,-0.51059),(5885,715,0.002562,-0.51066),(5885,725,0.002689,-0.51075),(5885,735,0.002836,-0.51085),(5885,745,0.003047,-0.51094),(5885,755,0.003258,-0.51102),(5885,765,0.003468,-0.51104),(5885,775,0.003667,-0.51107),(5885,785,0.003834,-0.51109),(5885,795,0.004001,-0.51113),(5885,805,0.004168,-0.51119),(5885,815,0.004358,-0.51126),(5885,825,0.004598,-0.51133),(5885,835,0.004839,-0.51141),(5885,845,0.005079,-0.51152),(5885,855,0.005358,-0.51163),(5885,865,0.005707,-0.51175),(5885,875,0.006057,-0.51185),(5885,885,0.006406,-0.51193),(5885,895,0.006779,-0.51201),(5885,905,0.007191,-0.51209),(5885,915,0.007602,-0.51218),(5885,925,0.008013,-0.51228),(5885,935,0.008497,-0.51239),(5885,945,0.009078,-0.51249),(5885,955,0.009658,-0.51265),(5885,965,0.010239,-0.5129),(5885,975,0.010988,-0.51314),(5885,985,0.011927,-0.51338),(5885,995,0.012865,-0.51363),(5885,1005,0.013804,-0.5139),(5885,1015,0.014972,-0.51417),(5885,1025,0.016361,-0.51444),(5885,1035,0.017749,-0.51474),(5885,1045,0.019138,-0.51505),(5885,1055,0.020911,-0.51537),(5885,1065,0.023,-0.51568),(5885,1075,0.025089,-0.51607),(5885,1085,0.027178,-0.51652),(5885,1095,0.029991,-0.51696),(5885,1105,0.03331,-0.5174),(5885,1115,0.036629,-0.5179),(5885,1125,0.039947,-0.51843),(5885,1135,0.044559,-0.51897),(5885,1145,0.049936,-0.5195),(5885,1155,0.055312,-0.5201),(5885,1165,0.060689,-0.52073),(5885,1175,0.068547,-0.52136),(5885,1185,0.077637,-0.52199),(5885,1195,0.086727,-0.52215),(5885,1205,0.095817,-0.52209),(5885,1215,0.10916,-0.52204),(5885,1225,0.12426,-0.52198),(5885,1235,0.13935,-0.51904),(5885,1245,0.15445,-0.51502),(5885,1255,0.17107,-0.511),(5885,1265,0.1882,-0.50698),(5885,1275,0.20534,-0.51986),(5885,1285,0.22247,-0.53787),(5885,1295,0.23164,-0.55587),(5885,1305,0.23866,-0.57387),(5885,1315,0.24568,-0.70221),(5885,1325,0.25269,-0.85695),(5885,1335,0.15651,-1.0117),(5885,1345,0.038696,-1.1664),(5885,1355,-0.079116,-1.0623),(5885,1365,-0.19693,-0.91118),(5885,1375,-0.21565,-0.76008),(5885,1385,-0.21908,-0.60898),(5885,1395,-0.22252,-0.56989),(5885,1405,-0.22595,-0.54519),(5885,1415,-0.21379,-0.52049),(5885,1425,-0.2,-0.49578),(5885,1435,-0.18622,-0.49989),(5885,1445,-0.17243,-0.50631),(5885,1455,-0.15622,-0.51273),(5885,1465,-0.13986,-0.51915),(5885,1475,-0.12351,-0.51988),(5885,1485,-0.10715,-0.52041),(5885,1495,-0.097057,-0.52094),(5885,1505,-0.087054,-0.52147),(5885,1515,-0.077051,-0.52083),(5885,1525,-0.067149,-0.52018),(5885,1535,-0.061241,-0.51954),(5885,1545,-0.055333,-0.5189),(5885,1555,-0.049424,-0.51828),(5885,1565,-0.043661,-0.51765),(5885,1575,-0.040001,-0.51702),(5885,1585,-0.036342,-0.51641),(5885,1595,-0.032683,-0.51588),(5885,1605,-0.029161,-0.51536),(5885,1615,-0.026818,-0.51483),(5885,1625,-0.024476,-0.51431),(5885,1635,-0.022133,-0.51384),(5885,1645,-0.01991,-0.51337),(5885,1655,-0.0184,-0.5129),(5885,1665,-0.01689,-0.51245),(5885,1675,-0.015379,-0.51209),(5885,1685,-0.013965,-0.51173),(5885,1695,-0.012978,-0.51137),(5885,1705,-0.011991,-0.51103),(5885,1715,-0.011004,-0.51079),(5885,1725,-0.010076,-0.51054),(5885,1735,-0.009358,-0.5103),(5885,1745,-0.008639,-0.51005),(5885,1755,-0.007921,-0.50979),(5885,1765,-0.007255,-0.50953),(5885,1775,-0.00674,-0.50928),(5885,1785,-0.006225,-0.50901),(5885,1795,-0.00571,-0.50875),(5885,1805,-0.005246,-0.50849),(5885,1815,-0.004903,-0.50822),(5885,1825,-0.00456,-0.50799),(5885,1835,-0.004217,-0.50781),(5885,1845,-0.003899,-0.50763),(5885,1855,-0.00363,-0.50745),(5885,1865,-0.00336,-0.50728),(5885,1875,-0.003091,-0.50713),(5885,1885,-0.00283,-0.50698),(5885,1895,-0.002583,-0.50683),(5885,1905,-0.002337,-0.50669),(5885,1915,-0.00209,-0.50656),(5885,1925,-0.00188,-0.50643),(5885,1935,-0.00172,-0.50631),(5885,1945,-0.001561,-0.50616),(5885,1955,-0.001401,-0.50599),(5885,1965,-0.001275,-0.50582),(5885,1975,-0.001187,-0.50564),(5885,1985,-0.001099,-0.50549),(5885,1995,-0.001011,-0.50536),(5885,2005,-0.000926,-0.50522),(5885,2015,-0.000843,-0.50509),(5885,2025,-0.000761,-0.50497),(5885,2035,-0.000678,-0.50487),(5885,2045,-0.0006,-0.50476),(5885,2055,-0.000525,-0.50466),(5885,2065,-0.00045,-0.50453),(5885,2075,-0.000375,-0.50438),(5885,2085,-0.0003,-0.50423),(5885,2095,-0.000225,-0.50408),(5885,2105,-0.00015,-0.50394),(5885,2115,-7.5e-05,-0.5038),(5885,2125,-2.1e-05,-0.50366),(5885,2135,2e-05,-0.50352),(5885,2145,6.1e-05,-0.50336),(5885,2155,0.000102,-0.5032),(5885,2165,0.00012,-0.50304),(5885,2175,0.000127,-0.50288),(5885,2185,0.000135,-0.50273),(5885,2195,0.000142,-0.50259),(5885,2205,0.00018,-0.50245),(5885,2215,0.000231,-0.50231),(5885,2225,0.000282,-0.50219),(5885,2235,0.000333,-0.50207),(5885,2245,0.000399,-0.50196),(5885,2255,0.000469,-0.50184),(5885,2265,0.000539,-0.5017),(5885,2275,0.000609,-0.50154),(5885,2285,0.000656,-0.50139),(5885,2295,0.000697,-0.50124),(5885,2305,0.000738,-0.50108),(5885,2315,0.000779,-0.50093),(5885,2325,0.000806,-0.50077),(5885,2335,0.00083,-0.50061),(5885,2345,0.000854,-0.50045),(5885,2355,0.000878,-0.50029),(5885,2365,0.000911,-0.50013),(5885,2375,0.000946,-0.49997),(5885,2385,0.00098,-0.49981),(5885,2395,0.001015,-0.49965),(5885,2405,0.001074,-0.49949),(5885,2415,0.001136,-0.49933),(5885,2425,0.001198,-0.49916),(5885,2435,0.00126,-0.499),(5885,2445,0.001311,-0.49883),(5885,2455,0.001361,-0.49866),(5885,2465,0.001411,-0.49847),(5885,2475,0.001462,-0.49827),(5885,2485,0.001499,-0.49808),(5885,2495,0.001537,-0.49788),(5885,2505,0.001575,-0.49769),(5885,2515,0.001613,-0.4975),(5885,2525,0.001675,-0.49731),(5885,2535,0.001737,-0.49712),(5885,2545,0.001799,-0.49692),(5885,2555,0.00186,-0.49672),(5885,2565,0.001907,-0.49652),(5885,2575,0.001954,-0.49632),(5885,2585,0.002001,-0.49609),(5885,2595,0.002045,-0.49585),(5885,2605,0.002064,-0.49562),(5885,2615,0.002083,-0.49538),(5885,2625,0.002101,-0.49516),(5885,2635,0.002121,-0.49493),(5885,2645,0.002148,-0.4947),(5885,2655,0.002176,-0.49448),(5885,2665,0.002203,-0.49426),(5885,2675,0.002226,-0.49404),(5885,2685,0.002233,-0.49382),(5885,2695,0.00224,-0.49359),(5885,2705,0.002246,-0.49336),(5885,2715,0.002252,-0.49312),(5885,2725,0.002255,-0.49289),(5885,2735,0.002258,-0.49266),(5885,2745,0.00226,-0.49245),(5885,2755,0.002281,-0.49224),(5885,2765,0.002357,-0.49203),(5885,2775,0.002433,-0.49182),(5885,2785,0.002509,-0.49159),(5885,2795,0.002583,-0.49137),(5885,2805,0.002653,-0.49114),(5885,2815,0.002723,-0.4909),(5885,2825,0.002792,-0.49063),(5885,2835,0.002843,-0.49035),(5885,2845,0.002857,-0.49008),(5885,2855,0.002871,-0.48979),(5885,2865,0.002885,-0.48949),(5885,2875,0.002899,-0.48919),(5885,2885,0.002913,-0.48889),(5885,2895,0.002927,-0.4886),(5885,2905,0.002941,-0.48831),(5885,2915,0.002969,-0.48802),(5885,2925,0.003017,-0.48773),(5885,2935,0.003064,-0.48745),(5885,2945,0.003111,-0.48719),(5885,2955,0.003167,-0.48692),(5885,2965,0.003233,-0.48665),(5885,2975,0.003298,-0.48638),(5885,2985,0.003364,-0.4861),(5885,2995,0.00342,-0.48581),(5885,3005,0.003467,-0.48553),(5885,3015,0.003514,-0.48522),(5885,3025,0.003561,-0.48488),(5885,3035,0.003593,-0.48454),(5885,3045,0.003611,-0.4842),(5885,3055,0.00363,-0.48386),(5885,3065,0.003649,-0.48351),(5885,3075,0.003677,-0.48317),(5885,3085,0.003711,-0.48282),(5885,3095,0.003746,-0.48249),(5885,3105,0.003781,-0.48217),(5885,3115,0.003838,-0.48185),(5885,3125,0.003908,-0.48154),(5885,3135,0.003978,-0.48122),(5885,3145,0.004048,-0.48091),(5885,3155,0.00413,-0.4806),(5885,3165,0.004219,-0.48029),(5885,3175,0.004307,-0.47994),(5885,3185,0.004396,-0.47957),(5885,3195,0.004466,-0.47919),(5885,3205,0.004528,-0.47882),(5885,3215,0.004589,-0.47843),(5885,3225,0.004651,-0.47803),(5885,3235,0.004698,-0.47764),(5885,3245,0.004739,-0.47724),(5885,3255,0.00478,-0.47688),(5885,3265,0.004821,-0.47654),(5885,3275,0.004901,-0.47619),(5885,3285,0.004993,-0.47585),(5885,3295,0.005085,-0.47549),(5885,3305,0.005177,-0.47513),(5885,3315,0.005272,-0.47476),(5885,3325,0.005369,-0.4744),(5885,3335,0.005465,-0.47401),(5885,3345,0.005562,-0.47361),(5885,3355,0.005625,-0.47321),(5885,3365,0.005681,-0.47281),(5885,3375,0.005737,-0.47244),(5885,3385,0.005794,-0.47208),(5885,3395,0.005906,-0.47171),(5885,3405,0.006026,-0.47134),(5885,3415,0.006145,-0.47099),(5885,3425,0.006265,-0.47063),(5885,3435,0.006487,-0.47027),(5885,3445,0.006717,-0.46991),(5885,3455,0.006947,-0.46954),(5885,3465,0.007177,-0.46918),(5885,3475,0.007426,-0.46881),(5885,3485,0.007676,-0.46844),(5885,3495,0.007925,-0.46804),(5885,3505,0.008174,-0.46764),(5885,3515,0.008391,-0.46724),(5885,3525,0.008608,-0.46684),(5885,3535,0.008824,-0.46646),(5885,3545,0.009047,-0.46608),(5885,3555,0.009409,-0.4657),(5885,3565,0.00977,-0.46533),(5885,3575,0.010132,-0.46501),(5885,3585,0.010511,-0.4647),(5885,3595,0.011079,-0.46438),(5885,3605,0.011647,-0.46407),(5885,3615,0.012214,-0.4638),(5885,3625,0.0128,-0.46352),(5885,3635,0.013511,-0.46325),(5885,3645,0.014223,-0.46298),(5885,3655,0.014934,-0.46267),(5885,3665,0.015685,-0.46237),(5885,3675,0.016637,-0.46207),(5885,3685,0.01759,-0.46177),(5885,3695,0.018542,-0.46149),(5885,3705,0.019572,-0.46121),(5885,3715,0.020909,-0.46093),(5885,3725,0.022246,-0.46068),(5885,3735,0.023583,-0.46054),(5885,3745,0.025081,-0.46039),(5885,3755,0.027081,-0.46024),(5885,3765,0.029082,-0.46012),(5885,3775,0.031083,-0.46006),(5885,3785,0.03335,-0.45999),(5885,3795,0.036293,-0.45993),(5885,3805,0.039236,-0.45989),(5885,3815,0.04218,-0.4599),(5885,3825,0.045572,-0.45991),(5885,3835,0.049911,-0.45992),(5885,3845,0.05425,-0.45996),(5885,3855,0.058589,-0.46005),(5885,3865,0.063735,-0.46014),(5885,3875,0.070307,-0.46023),(5885,3885,0.076878,-0.46027),(5885,3895,0.08345,-0.46024),(5885,3905,0.091343,-0.46022),(5885,3915,0.10121,-0.46019),(5885,3925,0.11107,-0.45969),(5885,3935,0.12094,-0.45853),(5885,3945,0.13235,-0.45737),(5885,3955,0.14573,-0.45621),(5885,3965,0.15911,-0.46237),(5885,3975,0.17249,-0.4771),(5885,3985,0.19362,-0.49182),(5885,3995,0.22315,-0.50655),(5885,4005,0.25267,-0.59518),(5885,4015,0.2822,-0.75771),(5885,4025,0.31991,-0.92024),(5885,4035,0.35841,-1.0302),(5885,4045,0.39692,-1.0295),(5885,4055,0.46395,-1.0287),(5885,4065,0.54138,-1.0279),(5885,4075,0.61882,-1.0264),(5885,4085,0.65375,-1.0249),(5885,4095,0.65452,-1.0234),(5885,4105,0.65529,-1.022),(5885,4115,0.65612,-1.0205),(5885,4125,0.65705,-1.0191),(5885,4135,0.65798,-1.0177),(5885,4145,0.65895,-1.0163),(5885,4155,0.66006,-1.0149),(5885,4165,0.66118,-1.0135),(5885,4175,0.6623,-1.0121),(5885,4185,0.6636,-1.0106),(5885,4195,0.66489,-1.0092),(5885,4205,0.66619,-1.0079),(5885,4215,0.66762,-1.0066),(5885,4225,0.66908,-1.0053),(5885,4235,0.67053,-1.0039),(5885,4245,0.67206,-1.0025),(5885,4255,0.67363,-1.0012),(5885,4265,0.6752,-0.99972),(5885,4275,0.67683,-0.99829),(5885,4285,0.67852,-0.99685),(5885,4295,0.68022,-0.99546),(5885,4305,0.68196,-0.99408),(5885,4315,0.68382,-0.9927),(5885,4325,0.68567,-0.99131),(5885,4335,0.68755,-0.98992),(5885,4345,0.68958,-0.98852),(5885,4355,0.6916,-0.98707),(5885,4365,0.69363,-0.98555),(5885,4375,0.69582,-0.98404),(5885,4385,0.69802,-0.9825),(5885,4395,0.70022,-0.98089),(5885,4405,0.70254,-0.97929),(5885,4415,0.70489,-0.97766),(5885,4425,0.70725,-0.97594),(5885,4435,0.70969,-0.97421),(5885,4445,0.71219,-0.97249),(5885,4455,0.7147,-0.97067),(5885,4465,0.71727,-0.96885),(5885,4475,0.71994,-0.96703),(5885,4485,0.7226,-0.96508),(5885,4495,0.72531,-0.9631),(5885,4505,0.72816,-0.96112),(5885,4515,0.73101,-0.95906),(5885,4525,0.73386,-0.95695),(5885,4535,0.73687,-0.95484),(5885,4545,0.73987,-0.95267),(5885,4555,0.74287,-0.95043),(5885,4565,0.74596,-0.94819),(5885,4575,0.74907,-0.94592),(5885,4585,0.75218,-0.94357),(5885,4595,0.75534,-0.94123),(5885,4605,0.75852,-0.93887),(5885,4615,0.76171,-0.93639),(5885,4625,0.76493,-0.93391),(5885,4635,0.76818,-0.93143),(5885,4645,0.77144,-0.92883),(5885,4655,0.77471,-0.92624),(5885,4665,0.77803,-0.92364),(5885,4675,0.78134,-0.92093),(5885,4685,0.78466,-0.91819),(5885,4695,0.78802,-0.91544),(5885,4705,0.79137,-0.91262),(5885,4715,0.79472,-0.90973),(5885,4725,0.79811,-0.90684),(5885,4735,0.80149,-0.90393),(5885,4745,0.80488,-0.90097),(5885,4755,0.80828,-0.89802),(5885,4765,0.81169,-0.89505),(5885,4775,0.81511,-0.89202),(5885,4785,0.81854,-0.88899),(5885,4795,0.82198,-0.88595),(5885,4805,0.82543,-0.88278),(5885,4815,0.82888,-0.8796),(5885,4825,0.83235,-0.87643),(5885,4835,0.83581,-0.87314),(5885,4845,0.83928,-0.86983),(5885,4855,0.84275,-0.86652),(5885,4865,0.84622,-0.86314),(5885,4875,0.8497,-0.85973),(5885,4885,0.85318,-0.85633),(5885,4895,0.85666,-0.85287),(5885,4905,0.86014,-0.84937),(5885,4915,0.86362,-0.84586),(5885,4925,0.86709,-0.84233),(5885,4935,0.87057,-0.83873),(5885,4945,0.87405,-0.83514),(5885,4955,0.87752,-0.83153),(5885,4965,0.881,-0.82783),(5885,4975,0.88448,-0.82413),(5885,4985,0.88795,-0.82043),(5885,4995,0.89143,-0.81664),(5885,5005,0.89491,-0.81285),(5885,5015,0.89838,-0.80906),(5885,5025,0.90185,-0.80522),(5885,5035,0.90531,-0.80136),(5885,5045,0.90877,-0.7975),(5885,5055,0.91222,-0.79361),(5885,5065,0.91567,-0.78969),(5885,5075,0.9191,-0.78577),(5885,5085,0.92252,-0.7818),(5885,5095,0.92595,-0.77776),(5885,5105,0.92934,-0.77373),(5885,5115,0.93272,-0.76967),(5885,5125,0.9361,-0.76552),(5885,5135,0.93946,-0.76138),(5885,5145,0.94281,-0.75723),(5885,5155,0.94616,-0.75302),(5885,5165,0.9495,-0.74882),(5885,5175,0.95282,-0.74462),(5885,5185,0.95615,-0.74041),(5885,5195,0.95946,-0.73619),(5885,5205,0.96277,-0.73198),(5885,5215,0.96607,-0.72772),(5885,5225,0.96937,-0.72343),(5885,5235,0.97265,-0.71915),(5885,5245,0.97592,-0.71482),(5885,5255,0.9792,-0.71045),(5885,5265,0.98245,-0.70608),(5885,5275,0.9857,-0.70169),(5885,5285,0.98894,-0.69728),(5885,5295,0.99216,-0.69287),(5885,5305,0.99538,-0.68845),(5885,5315,0.9986,-0.684),(5885,5325,1.0018,-0.67956),(5885,5335,1.005,-0.67511),(5885,5345,1.0081,-0.67061),(5885,5355,1.0113,-0.66612),(5885,5365,1.0144,-0.66163),(5885,5375,1.0175,-0.65707),(5885,5385,1.0206,-0.6525),(5885,5395,1.0236,-0.64792),(5885,5405,1.0267,-0.6433),(5885,5415,1.0297,-0.63865),(5885,5425,1.0328,-0.63399),(5885,5435,1.0358,-0.62931),(5885,5445,1.0388,-0.62461),(5885,5455,1.0418,-0.61991),(5885,5465,1.0448,-0.61519),(5885,5475,1.0478,-0.61044),(5885,5485,1.0508,-0.6057),(5885,5495,1.0537,-0.60094),(5885,5505,1.0567,-0.59615),(5885,5515,1.0596,-0.59135),(5885,5525,1.0626,-0.58655),(5885,5535,1.0655,-0.58172),(5885,5545,1.0684,-0.57689),(5885,5555,1.0712,-0.57206),(5885,5565,1.0741,-0.56718),(5885,5575,1.077,-0.5623),(5885,5585,1.0798,-0.55741),(5885,5595,1.0826,-0.55247),(5885,5605,1.0854,-0.54748),(5885,5615,1.0881,-0.5425),(5885,5625,1.0908,-0.53749),(5885,5635,1.0936,-0.53244),(5885,5645,1.0963,-0.52739),(5885,5655,1.0989,-0.52233),(5885,5665,1.1016,-0.51726),(5885,5675,1.1042,-0.51218),(5885,5685,1.1069,-0.5071),(5885,5695,1.1095,-0.50204),(5885,5705,1.1121,-0.49698),(5885,5715,1.1147,-0.49191),(5885,5725,1.1172,-0.48681),(5885,5735,1.1198,-0.48171),(5885,5745,1.1223,-0.47661),(5885,5755,1.1248,-0.47147),(5885,5765,1.1273,-0.46632),(5885,5775,1.1298,-0.46117),(5885,5785,1.1323,-0.45599),(5885,5795,1.1347,-0.45078),(5885,5805,1.1371,-0.44557),(5885,5815,1.1395,-0.44034),(5885,5825,1.1419,-0.43505),(5885,5835,1.1443,-0.42976),(5885,5845,1.1466,-0.42446),(5885,5855,1.1489,-0.4191),(5885,5865,1.1511,-0.41373),(5885,5875,1.1534,-0.40836),(5885,5885,1.1556,-0.40296),(5885,5895,1.1578,-0.39757),(5885,5905,1.16,-0.39218),(5885,5915,1.1622,-0.38679),(5885,5925,1.1643,-0.38141),(5885,5935,1.1665,-0.37604),(5885,5945,1.1686,-0.37064),(5885,5955,1.1707,-0.36523),(5885,5965,1.1727,-0.35982),(5885,5975,1.1748,-0.35438),(5885,5985,1.1768,-0.34888),(5885,5995,1.1788,-0.34339),(5885,6005,1.1807,-0.33789),(5885,6015,1.1826,-0.33236),(5885,6025,1.1845,-0.32683),(5885,6035,1.1864,-0.3213),(5885,6045,1.1882,-0.31579),(5885,6055,1.1901,-0.31027),(5885,6065,1.1918,-0.30476),(5885,6075,1.1936,-0.29917),(5885,6085,1.1953,-0.29358),(5885,6095,1.197,-0.28799),(5885,6105,1.1987,-0.28233),(5885,6115,1.2004,-0.27663),(5885,6125,1.202,-0.27094),(5885,6135,1.2036,-0.26524),(5885,6145,1.2052,-0.25954),(5885,6155,1.2067,-0.25384),(5885,6165,1.2082,-0.24814),(5885,6175,1.2097,-0.24247),(5885,6185,1.2111,-0.23679),(5885,6195,1.2125,-0.23111),(5885,6205,1.2139,-0.22538),(5885,6215,1.2152,-0.21966),(5885,6225,1.2165,-0.21394),(5885,6235,1.2178,-0.20815),(5885,6245,1.219,-0.20235),(5885,6255,1.2202,-0.19656),(5885,6265,1.2213,-0.19076),(5885,6275,1.2225,-0.18495),(5885,6285,1.2235,-0.17915),(5885,6295,1.2245,-0.1733),(5885,6305,1.2256,-0.16743),(5885,6315,1.2265,-0.16156),(5885,6325,1.2275,-0.15568),(5885,6335,1.2284,-0.14978),(5885,6345,1.2293,-0.14387),(5885,6355,1.2302,-0.138),(5885,6365,1.2311,-0.1322),(5885,6375,1.2319,-0.12639),(5885,6385,1.2327,-0.12058),(5885,6395,1.2334,-0.11471),(5885,6405,1.2342,-0.10884),(5885,6415,1.2348,-0.10297),(5885,6425,1.2355,-0.0971),(5885,6435,1.2361,-0.091232),(5885,6445,1.2366,-0.085364),(5885,6455,1.2371,-0.079459),(5885,6465,1.2377,-0.073544),(5885,6475,1.2381,-0.06763),(5885,6485,1.2385,-0.061721),(5885,6495,1.2389,-0.055818),(5885,6505,1.2392,-0.049915),(5885,6515,1.2395,-0.043991),(5885,6525,1.2398,-0.038039),(5885,6535,1.24,-0.032087),(5885,6545,1.2402,-0.02616),(5885,6555,1.2404,-0.020309),(5885,6565,1.2405,-0.014458),(5885,6575,1.2406,-0.008596),(5885,6585,1.2407,-0.002579),(5885,6595,1.0553,0.003439),(5885,6605,0.66501,0.009457),(5885,6615,0.27476,0.010151),(5885,6625,0.000432,0.01016),(5885,6635,0.000461,0.01017),(5885,6645,0.00049,0.010176),(5885,6655,0.000519,0.01018),(5885,6665,0.000548,0.010185),(5885,6675,0.000576,0.010189),(5885,6685,0.000605,0.010193),(5885,6695,0.000633,0.010197),(5885,6705,0.000661,0.010201),(5885,6715,0.00069,0.010205),(5885,6725,0.000718,0.010208),(5885,6735,0.000745,0.010212),(5885,6745,0.000773,0.010215),(5885,6755,0.0008,0.010218),(5885,6765,0.000828,0.010221),(5885,6775,0.000855,0.010223),(5885,6785,0.000882,0.010225),(5885,6795,0.000908,0.010228),(5885,6805,0.000935,0.01023),(5885,6815,0.000962,0.010231),(5885,6825,0.000988,0.010233),(5885,6835,0.001014,0.010234),(5885,6845,0.00104,0.010236),(5885,6855,0.001066,0.010237),(5885,6865,0.001091,0.010238),(5885,6875,0.001117,0.010238),(5885,6885,0.001142,0.010238),(5885,6895,0.001167,0.010239),(5885,6905,0.001192,0.010238),(5885,6915,0.001216,0.010238),(5885,6925,0.001241,0.010238),(5885,6935,0.001265,0.010237),(5885,6945,0.00129,0.010236),(5885,6955,0.001313,0.010235),(5885,6965,0.001337,0.010233),(5885,6975,0.001361,0.010232),(5885,6985,0.001384,0.01023),(5895,5,1.3e-05,-0.80517),(5895,15,3.9e-05,-0.8052),(5895,25,7.2e-05,-0.80524),(5895,35,0.000111,-0.80527),(5895,45,0.000151,-0.80527),(5895,55,0.000191,-0.80525),(5895,65,0.00023,-0.80522),(5895,75,0.000269,-0.8052),(5895,85,0.000308,-0.80521),(5895,95,0.000347,-0.80524),(5895,105,0.000343,-0.80528),(5895,115,0.00031,-0.80532),(5895,125,0.000277,-0.80535),(5895,135,0.000244,-0.80538),(5895,145,0.000273,-0.80541),(5895,155,0.000338,-0.80544),(5895,165,0.000403,-0.80543),(5895,175,0.000468,-0.8054),(5895,185,0.000473,-0.80538),(5895,195,0.00045,-0.80535),(5895,205,0.000427,-0.80534),(5895,215,0.000404,-0.80534),(5895,225,0.00048,-0.80534),(5895,235,0.000594,-0.80535),(5895,245,0.000709,-0.80531),(5895,255,0.000823,-0.80525),(5895,265,0.00083,-0.8052),(5895,275,0.000802,-0.80514),(5895,285,0.000774,-0.8051),(5895,295,0.000746,-0.80507),(5895,305,0.000722,-0.80504),(5895,315,0.000699,-0.805),(5895,325,0.000676,-0.805),(5895,335,0.000654,-0.805),(5895,345,0.000666,-0.80501),(5895,355,0.000686,-0.80501),(5895,365,0.000706,-0.80506),(5895,375,0.000726,-0.80513),(5895,385,0.000794,-0.80519),(5895,395,0.000869,-0.80525),(5895,405,0.000945,-0.80527),(5895,415,0.00102,-0.80528),(5895,425,0.001067,-0.8053),(5895,435,0.001112,-0.80532),(5895,445,0.001156,-0.80531),(5895,455,0.0012,-0.80531),(5895,465,0.001244,-0.80531),(5895,475,0.001289,-0.8053),(5895,485,0.001333,-0.80526),(5895,495,0.001377,-0.80522),(5895,505,0.001392,-0.80518),(5895,515,0.001407,-0.80514),(5895,525,0.001422,-0.80515),(5895,535,0.001437,-0.80515),(5895,545,0.001438,-0.80515),(5895,555,0.001438,-0.80516),(5895,565,0.001439,-0.80524),(5895,575,0.001448,-0.80532),(5895,585,0.001576,-0.8054),(5895,595,0.001703,-0.80548),(5895,605,0.001831,-0.80551),(5895,615,0.001958,-0.80554),(5895,625,0.002084,-0.80557),(5895,635,0.00221,-0.80559),(5895,645,0.002336,-0.80549),(5895,655,0.002435,-0.80539),(5895,665,0.002383,-0.80529),(5895,675,0.002332,-0.80523),(5895,685,0.002281,-0.8053),(5895,695,0.002258,-0.80536),(5895,705,0.002357,-0.80543),(5895,715,0.002456,-0.80552),(5895,725,0.002555,-0.80564),(5895,735,0.002688,-0.80577),(5895,745,0.002933,-0.80589),(5895,755,0.003179,-0.806),(5895,765,0.003425,-0.80606),(5895,775,0.003649,-0.80611),(5895,785,0.003819,-0.80617),(5895,795,0.003988,-0.80624),(5895,805,0.004157,-0.80633),(5895,815,0.004348,-0.80643),(5895,825,0.004589,-0.80653),(5895,835,0.004829,-0.80665),(5895,845,0.00507,-0.8068),(5895,855,0.005364,-0.80696),(5895,865,0.005758,-0.80712),(5895,875,0.006151,-0.80727),(5895,885,0.006545,-0.80741),(5895,895,0.006955,-0.80754),(5895,905,0.007392,-0.80767),(5895,915,0.007828,-0.80782),(5895,925,0.008265,-0.80798),(5895,935,0.008752,-0.80814),(5895,945,0.009307,-0.8083),(5895,955,0.009862,-0.80855),(5895,965,0.010418,-0.80889),(5895,975,0.011157,-0.80923),(5895,985,0.012106,-0.80957),(5895,995,0.013054,-0.80994),(5895,1005,0.014002,-0.81033),(5895,1015,0.01519,-0.81072),(5895,1025,0.016608,-0.81112),(5895,1035,0.018027,-0.81154),(5895,1045,0.019446,-0.812),(5895,1055,0.021242,-0.81247),(5895,1065,0.023348,-0.81293),(5895,1075,0.025453,-0.81348),(5895,1085,0.027559,-0.81409),(5895,1095,0.030397,-0.81471),(5895,1105,0.033747,-0.81533),(5895,1115,0.037097,-0.81601),(5895,1125,0.040447,-0.81673),(5895,1135,0.04508,-0.81745),(5895,1145,0.050472,-0.81817),(5895,1155,0.055864,-0.81892),(5895,1165,0.061255,-0.8197),(5895,1175,0.069014,-0.82047),(5895,1185,0.077947,-0.82125),(5895,1195,0.08688,-0.82148),(5895,1205,0.095813,-0.82147),(5895,1215,0.10837,-0.82146),(5895,1225,0.12242,-0.82145),(5895,1235,0.13647,-0.81921),(5895,1245,0.15052,-0.81613),(5895,1255,0.1714,-0.81305),(5895,1265,0.19459,-0.80996),(5895,1275,0.21778,-0.81898),(5895,1285,0.24096,-0.83166),(5895,1295,0.28298,-0.84435),(5895,1305,0.33009,-0.85703),(5895,1315,0.37719,-0.92706),(5895,1325,0.4243,-1.0108),(5895,1335,0.26141,-1.0945),(5895,1345,0.054509,-1.1783),(5895,1355,-0.15239,-1.1215),(5895,1365,-0.35929,-1.0393),(5895,1375,-0.35775,-0.95711),(5895,1385,-0.32404,-0.87489),(5895,1395,-0.29033,-0.85019),(5895,1405,-0.25663,-0.83287),(5895,1415,-0.23313,-0.81555),(5895,1425,-0.2107,-0.79824),(5895,1435,-0.18827,-0.80181),(5895,1445,-0.16584,-0.80706),(5895,1455,-0.15069,-0.8123),(5895,1465,-0.13597,-0.81755),(5895,1475,-0.12125,-0.81833),(5895,1485,-0.10652,-0.81895),(5895,1495,-0.096753,-0.81957),(5895,1505,-0.087059,-0.82018),(5895,1515,-0.077364,-0.81939),(5895,1525,-0.067764,-0.81861),(5895,1535,-0.061855,-0.81782),(5895,1545,-0.055947,-0.81703),(5895,1555,-0.050038,-0.81618),(5895,1565,-0.044272,-0.81533),(5895,1575,-0.040576,-0.81447),(5895,1585,-0.036879,-0.81363),(5895,1595,-0.033182,-0.81288),(5895,1605,-0.02962,-0.81213),(5895,1615,-0.027219,-0.81138),(5895,1625,-0.024818,-0.81064),(5895,1635,-0.022418,-0.80996),(5895,1645,-0.020143,-0.80928),(5895,1655,-0.018624,-0.80861),(5895,1665,-0.017105,-0.80795),(5895,1675,-0.015586,-0.80742),(5895,1685,-0.014168,-0.80689),(5895,1695,-0.013206,-0.80637),(5895,1705,-0.012243,-0.80587),(5895,1715,-0.01128,-0.80549),(5895,1725,-0.010365,-0.80511),(5895,1735,-0.009617,-0.80473),(5895,1745,-0.008868,-0.80435),(5895,1755,-0.008119,-0.80395),(5895,1765,-0.007421,-0.80356),(5895,1775,-0.006866,-0.80316),(5895,1785,-0.006311,-0.80277),(5895,1795,-0.005755,-0.80238),(5895,1805,-0.005271,-0.802),(5895,1815,-0.004949,-0.80161),(5895,1825,-0.004628,-0.80126),(5895,1835,-0.004306,-0.80098),(5895,1845,-0.004008,-0.80071),(5895,1855,-0.003755,-0.80043),(5895,1865,-0.003503,-0.80017),(5895,1875,-0.00325,-0.79992),(5895,1885,-0.002995,-0.79967),(5895,1895,-0.002736,-0.79943),(5895,1905,-0.002477,-0.7992),(5895,1915,-0.002218,-0.799),(5895,1925,-0.001993,-0.79881),(5895,1935,-0.001814,-0.79861),(5895,1945,-0.001636,-0.79839),(5895,1955,-0.001457,-0.79813),(5895,1965,-0.001326,-0.79787),(5895,1975,-0.001251,-0.7976),(5895,1985,-0.001177,-0.79737),(5895,1995,-0.001102,-0.79716),(5895,2005,-0.00103,-0.79694),(5895,2015,-0.000961,-0.79673),(5895,2025,-0.000893,-0.79654),(5895,2035,-0.000824,-0.79638),(5895,2045,-0.000749,-0.79621),(5895,2055,-0.000668,-0.79604),(5895,2065,-0.000588,-0.79584),(5895,2075,-0.000507,-0.7956),(5895,2085,-0.000423,-0.79536),(5895,2095,-0.000336,-0.79513),(5895,2105,-0.000248,-0.7949),(5895,2115,-0.000161,-0.79469),(5895,2125,-9.3e-05,-0.79447),(5895,2135,-3.8e-05,-0.79425),(5895,2145,1.7e-05,-0.79402),(5895,2155,7.2e-05,-0.79377),(5895,2165,8.8e-05,-0.79352),(5895,2175,8.4e-05,-0.79328),(5895,2185,8.1e-05,-0.79305),(5895,2195,7.7e-05,-0.79282),(5895,2205,0.000106,-0.79259),(5895,2215,0.000148,-0.79236),(5895,2225,0.000191,-0.79216),(5895,2235,0.000234,-0.79197),(5895,2245,0.000307,-0.79178),(5895,2255,0.000392,-0.79159),(5895,2265,0.000476,-0.79137),(5895,2275,0.00056,-0.79114),(5895,2285,0.000621,-0.7909),(5895,2295,0.000675,-0.79067),(5895,2305,0.000729,-0.79042),(5895,2315,0.000783,-0.79018),(5895,2325,0.000812,-0.78994),(5895,2335,0.000835,-0.78969),(5895,2345,0.000859,-0.78944),(5895,2355,0.000882,-0.78919),(5895,2365,0.000902,-0.78894),(5895,2375,0.000921,-0.78869),(5895,2385,0.000941,-0.78843),(5895,2395,0.00096,-0.78816),(5895,2405,0.001015,-0.7879),(5895,2415,0.001074,-0.78764),(5895,2425,0.001133,-0.78738),(5895,2435,0.001191,-0.78711),(5895,2445,0.001252,-0.78685),(5895,2455,0.001313,-0.78658),(5895,2465,0.001373,-0.78628),(5895,2475,0.001434,-0.78598),(5895,2485,0.001474,-0.78568),(5895,2495,0.001514,-0.78538),(5895,2505,0.001554,-0.78507),(5895,2515,0.001594,-0.78477),(5895,2525,0.001667,-0.78446),(5895,2535,0.00174,-0.78416),(5895,2545,0.001813,-0.78384),(5895,2555,0.001886,-0.78353),(5895,2565,0.001947,-0.78322),(5895,2575,0.002008,-0.7829),(5895,2585,0.00207,-0.78254),(5895,2595,0.002127,-0.78217),(5895,2605,0.002145,-0.78181),(5895,2615,0.002164,-0.78144),(5895,2625,0.002182,-0.78108),(5895,2635,0.002202,-0.78072),(5895,2645,0.002236,-0.78036),(5895,2655,0.00227,-0.78001),(5895,2665,0.002303,-0.77966),(5895,2675,0.002332,-0.77932),(5895,2685,0.002338,-0.77898),(5895,2695,0.002344,-0.77863),(5895,2705,0.00235,-0.77827),(5895,2715,0.002348,-0.7779),(5895,2725,0.002317,-0.77753),(5895,2735,0.002287,-0.77717),(5895,2745,0.002256,-0.77683),(5895,2755,0.002252,-0.77648),(5895,2765,0.002324,-0.77613),(5895,2775,0.002397,-0.77579),(5895,2785,0.002469,-0.77543),(5895,2795,0.002549,-0.77507),(5895,2805,0.002644,-0.77471),(5895,2815,0.00274,-0.77433),(5895,2825,0.002836,-0.77391),(5895,2835,0.002909,-0.77349),(5895,2845,0.002934,-0.77307),(5895,2855,0.002959,-0.77263),(5895,2865,0.002984,-0.77216),(5895,2875,0.003001,-0.77169),(5895,2885,0.003005,-0.77122),(5895,2895,0.003008,-0.77075),(5895,2905,0.003011,-0.77029),(5895,2915,0.003028,-0.76983),(5895,2925,0.003064,-0.76937),(5895,2935,0.0031,-0.76893),(5895,2945,0.003136,-0.7685),(5895,2955,0.00319,-0.76807),(5895,2965,0.003266,-0.76764),(5895,2975,0.003341,-0.76721),(5895,2985,0.003417,-0.76677),(5895,2995,0.003489,-0.76632),(5895,3005,0.003558,-0.76588),(5895,3015,0.003627,-0.76539),(5895,3025,0.003696,-0.76487),(5895,3035,0.003736,-0.76434),(5895,3045,0.00375,-0.76381),(5895,3055,0.003764,-0.76328),(5895,3065,0.003778,-0.76273),(5895,3075,0.00379,-0.76219),(5895,3085,0.003801,-0.76164),(5895,3095,0.003812,-0.76112),(5895,3105,0.003823,-0.76061),(5895,3115,0.003863,-0.7601),(5895,3125,0.003921,-0.75959),(5895,3135,0.00398,-0.75909),(5895,3145,0.004038,-0.75859),(5895,3155,0.00413,-0.75809),(5895,3165,0.00424,-0.75759),(5895,3175,0.00435,-0.75704),(5895,3185,0.00446,-0.75646),(5895,3195,0.004546,-0.75587),(5895,3205,0.004621,-0.75529),(5895,3215,0.004696,-0.75468),(5895,3225,0.004771,-0.75407),(5895,3235,0.004803,-0.75346),(5895,3245,0.004819,-0.75284),(5895,3255,0.004834,-0.75227),(5895,3265,0.00485,-0.75172),(5895,3275,0.004924,-0.75116),(5895,3285,0.005015,-0.75061),(5895,3295,0.005107,-0.75004),(5895,3305,0.005198,-0.74946),(5895,3315,0.005313,-0.74888),(5895,3325,0.005434,-0.7483),(5895,3335,0.005554,-0.7477),(5895,3345,0.005674,-0.74709),(5895,3355,0.005727,-0.74648),(5895,3365,0.005767,-0.74587),(5895,3375,0.005807,-0.74528),(5895,3385,0.005847,-0.74469),(5895,3395,0.005929,-0.74411),(5895,3405,0.006018,-0.74352),(5895,3415,0.006106,-0.74294),(5895,3425,0.006194,-0.74235),(5895,3435,0.006425,-0.74176),(5895,3445,0.006667,-0.74117),(5895,3455,0.00691,-0.74059),(5895,3465,0.007153,-0.74),(5895,3475,0.007445,-0.73941),(5895,3485,0.00774,-0.73882),(5895,3495,0.008035,-0.73821),(5895,3505,0.008329,-0.7376),(5895,3515,0.008542,-0.73699),(5895,3525,0.008754,-0.73637),(5895,3535,0.008967,-0.73576),(5895,3545,0.009185,-0.73515),(5895,3555,0.00952,-0.73454),(5895,3565,0.009855,-0.73394),(5895,3575,0.010191,-0.73341),(5895,3585,0.010546,-0.73288),(5895,3595,0.011125,-0.73236),(5895,3605,0.011704,-0.73184),(5895,3615,0.012282,-0.7314),(5895,3625,0.012882,-0.73095),(5895,3635,0.013628,-0.73051),(5895,3645,0.014374,-0.73006),(5895,3655,0.01512,-0.72956),(5895,3665,0.015905,-0.72907),(5895,3675,0.016886,-0.72857),(5895,3685,0.017868,-0.72808),(5895,3695,0.018849,-0.72761),(5895,3705,0.019899,-0.72715),(5895,3715,0.021219,-0.72668),(5895,3725,0.022539,-0.72625),(5895,3735,0.023859,-0.72595),(5895,3745,0.025344,-0.72566),(5895,3755,0.027347,-0.72536),(5895,3765,0.02935,-0.72509),(5895,3775,0.031353,-0.7249),(5895,3785,0.03363,-0.72471),(5895,3795,0.036605,-0.72452),(5895,3805,0.039579,-0.72436),(5895,3815,0.042554,-0.72425),(5895,3825,0.04598,-0.72414),(5895,3835,0.050356,-0.72403),(5895,3845,0.054732,-0.72394),(5895,3855,0.059109,-0.72389),(5895,3865,0.064271,-0.72384),(5895,3875,0.070821,-0.72378),(5895,3885,0.077372,-0.7237),(5895,3895,0.083922,-0.72357),(5895,3905,0.091645,-0.72345),(5895,3915,0.10112,-0.72332),(5895,3925,0.1106,-0.72303),(5895,3935,0.12007,-0.7225),(5895,3945,0.1332,-0.72197),(5895,3955,0.15098,-0.72144),(5895,3965,0.16875,-0.726),(5895,3975,0.18652,-0.73654),(5895,3985,0.23319,-0.74707),(5895,3995,0.31114,-0.75761),(5895,4005,0.38909,-0.805),(5895,4015,0.46705,-0.88923),(5895,4025,0.45439,-0.97347),(5895,4035,0.43287,-1.0303),(5895,4045,0.41135,-1.0296),(5895,4055,0.46209,-1.0288),(5895,4065,0.53919,-1.0279),(5895,4075,0.6163,-1.0264),(5895,4085,0.65108,-1.0249),(5895,4095,0.65184,-1.0234),(5895,4105,0.65261,-1.0219),(5895,4115,0.65343,-1.0204),(5895,4125,0.65436,-1.0189),(5895,4135,0.65528,-1.0175),(5895,4145,0.65624,-1.0161),(5895,4155,0.65734,-1.0147),(5895,4165,0.65845,-1.0133),(5895,4175,0.65956,-1.0118),(5895,4185,0.66085,-1.0103),(5895,4195,0.66215,-1.0089),(5895,4205,0.66344,-1.0076),(5895,4215,0.66488,-1.0062),(5895,4225,0.66634,-1.0049),(5895,4235,0.6678,-1.0035),(5895,4245,0.66934,-1.0021),(5895,4255,0.67091,-1.0007),(5895,4265,0.67248,-0.99924),(5895,4275,0.67411,-0.99777),(5895,4285,0.6758,-0.9963),(5895,4295,0.67749,-0.99488),(5895,4305,0.67922,-0.99346),(5895,4315,0.68107,-0.99204),(5895,4325,0.68291,-0.99062),(5895,4335,0.68477,-0.98919),(5895,4345,0.68677,-0.98776),(5895,4355,0.68878,-0.98628),(5895,4365,0.69078,-0.98474),(5895,4375,0.69294,-0.9832),(5895,4385,0.69511,-0.98164),(5895,4395,0.69728,-0.98002),(5895,4405,0.69956,-0.97841),(5895,4415,0.70188,-0.97678),(5895,4425,0.70419,-0.97505),(5895,4435,0.70659,-0.97333),(5895,4445,0.70905,-0.9716),(5895,4455,0.7115,-0.96978),(5895,4465,0.71402,-0.96796),(5895,4475,0.71663,-0.96614),(5895,4485,0.71925,-0.96418),(5895,4495,0.7219,-0.9622),(5895,4505,0.72469,-0.96022),(5895,4515,0.72748,-0.95815),(5895,4525,0.73028,-0.95603),(5895,4535,0.73323,-0.95391),(5895,4545,0.73618,-0.95174),(5895,4555,0.73913,-0.9495),(5895,4565,0.74218,-0.94726),(5895,4575,0.74524,-0.94499),(5895,4585,0.7483,-0.94265),(5895,4595,0.75142,-0.94031),(5895,4605,0.75457,-0.93795),(5895,4615,0.75771,-0.93547),(5895,4625,0.7609,-0.93299),(5895,4635,0.76412,-0.93051),(5895,4645,0.76734,-0.92792),(5895,4655,0.77058,-0.92532),(5895,4665,0.77386,-0.92272),(5895,4675,0.77714,-0.92001),(5895,4685,0.78043,-0.91727),(5895,4695,0.78375,-0.91453),(5895,4705,0.78707,-0.91171),(5895,4715,0.79038,-0.90882),(5895,4725,0.79373,-0.90594),(5895,4735,0.79707,-0.90303),(5895,4745,0.80042,-0.90009),(5895,4755,0.80378,-0.89714),(5895,4765,0.80715,-0.89417),(5895,4775,0.81053,-0.89115),(5895,4785,0.81392,-0.88812),(5895,4795,0.81733,-0.88509),(5895,4805,0.82073,-0.88192),(5895,4815,0.82415,-0.87875),(5895,4825,0.82758,-0.87558),(5895,4835,0.83101,-0.8723),(5895,4845,0.83444,-0.869),(5895,4855,0.83787,-0.8657),(5895,4865,0.84131,-0.86234),(5895,4875,0.84474,-0.85894),(5895,4885,0.84819,-0.85554),(5895,4895,0.85163,-0.8521),(5895,4905,0.85507,-0.84861),(5895,4915,0.85851,-0.84512),(5895,4925,0.86195,-0.84161),(5895,4935,0.86539,-0.83803),(5895,4945,0.86883,-0.83445),(5895,4955,0.87226,-0.83085),(5895,4965,0.8757,-0.82717),(5895,4975,0.87914,-0.82348),(5895,4985,0.88258,-0.8198),(5895,4995,0.88603,-0.81602),(5895,5005,0.88946,-0.81223),(5895,5015,0.8929,-0.80845),(5895,5025,0.89634,-0.80462),(5895,5035,0.89977,-0.80078),(5895,5045,0.90319,-0.79693),(5895,5055,0.90662,-0.79305),(5895,5065,0.91004,-0.78914),(5895,5075,0.91344,-0.78524),(5895,5085,0.91684,-0.78129),(5895,5095,0.92024,-0.77727),(5895,5105,0.9236,-0.77326),(5895,5115,0.92696,-0.76922),(5895,5125,0.93032,-0.76508),(5895,5135,0.93366,-0.76095),(5895,5145,0.93698,-0.75681),(5895,5155,0.9403,-0.75261),(5895,5165,0.94361,-0.74842),(5895,5175,0.94691,-0.74422),(5895,5185,0.9502,-0.74001),(5895,5195,0.95349,-0.7358),(5895,5205,0.95677,-0.73159),(5895,5215,0.96004,-0.72733),(5895,5225,0.96331,-0.72305),(5895,5235,0.96656,-0.71877),(5895,5245,0.96981,-0.71445),(5895,5255,0.97306,-0.71008),(5895,5265,0.97628,-0.70571),(5895,5275,0.9795,-0.70133),(5895,5285,0.98272,-0.69692),(5895,5295,0.98592,-0.69251),(5895,5305,0.98912,-0.68809),(5895,5315,0.99231,-0.68365),(5895,5325,0.99548,-0.67921),(5895,5335,0.99863,-0.67477),(5895,5345,1.0018,-0.67029),(5895,5355,1.0049,-0.66581),(5895,5365,1.008,-0.66132),(5895,5375,1.0111,-0.65677),(5895,5385,1.0142,-0.65221),(5895,5395,1.0172,-0.64765),(5895,5405,1.0202,-0.64302),(5895,5415,1.0233,-0.63837),(5895,5425,1.0263,-0.63372),(5895,5435,1.0293,-0.62904),(5895,5445,1.0323,-0.62433),(5895,5455,1.0352,-0.61963),(5895,5465,1.0382,-0.61491),(5895,5475,1.0412,-0.61016),(5895,5485,1.0441,-0.60541),(5895,5495,1.047,-0.60066),(5895,5505,1.05,-0.59586),(5895,5515,1.0529,-0.59106),(5895,5525,1.0558,-0.58627),(5895,5535,1.0587,-0.58144),(5895,5545,1.0616,-0.57661),(5895,5555,1.0644,-0.57178),(5895,5565,1.0673,-0.56691),(5895,5575,1.0701,-0.56203),(5895,5585,1.0729,-0.55714),(5895,5595,1.0757,-0.55221),(5895,5605,1.0785,-0.54723),(5895,5615,1.0812,-0.54226),(5895,5625,1.0839,-0.53726),(5895,5635,1.0866,-0.53221),(5895,5645,1.0893,-0.52717),(5895,5655,1.092,-0.52211),(5895,5665,1.0946,-0.51704),(5895,5675,1.0972,-0.51196),(5895,5685,1.0998,-0.50689),(5895,5695,1.1024,-0.50182),(5895,5705,1.105,-0.49675),(5895,5715,1.1075,-0.49169),(5895,5725,1.1101,-0.48659),(5895,5735,1.1126,-0.48148),(5895,5745,1.1151,-0.47637),(5895,5755,1.1176,-0.47123),(5895,5765,1.1201,-0.46608),(5895,5775,1.1226,-0.46093),(5895,5785,1.125,-0.45575),(5895,5795,1.1274,-0.45054),(5895,5805,1.1298,-0.44533),(5895,5815,1.1322,-0.4401),(5895,5825,1.1346,-0.43482),(5895,5835,1.1369,-0.42954),(5895,5845,1.1392,-0.42425),(5895,5855,1.1415,-0.41888),(5895,5865,1.1437,-0.41352),(5895,5875,1.146,-0.40815),(5895,5885,1.1482,-0.40276),(5895,5895,1.1504,-0.39736),(5895,5905,1.1525,-0.39196),(5895,5915,1.1547,-0.38657),(5895,5925,1.1568,-0.38119),(5895,5935,1.1589,-0.3758),(5895,5945,1.161,-0.37041),(5895,5955,1.1631,-0.365),(5895,5965,1.1651,-0.35959),(5895,5975,1.1672,-0.35415),(5895,5985,1.1692,-0.34866),(5895,5995,1.1711,-0.34318),(5895,6005,1.1731,-0.33768),(5895,6015,1.175,-0.33215),(5895,6025,1.1769,-0.32662),(5895,6035,1.1787,-0.3211),(5895,6045,1.1805,-0.31558),(5895,6055,1.1823,-0.31007),(5895,6065,1.1841,-0.30456),(5895,6075,1.1859,-0.29897),(5895,6085,1.1876,-0.29339),(5895,6095,1.1893,-0.2878),(5895,6105,1.1909,-0.28213),(5895,6115,1.1926,-0.27644),(5895,6125,1.1942,-0.27074),(5895,6135,1.1957,-0.26504),(5895,6145,1.1973,-0.25934),(5895,6155,1.1988,-0.25364),(5895,6165,1.2003,-0.24795),(5895,6175,1.2018,-0.24227),(5895,6185,1.2032,-0.2366),(5895,6195,1.2046,-0.23092),(5895,6205,1.206,-0.2252),(5895,6215,1.2073,-0.21949),(5895,6225,1.2086,-0.21378),(5895,6235,1.2099,-0.208),(5895,6245,1.2111,-0.20222),(5895,6255,1.2123,-0.19644),(5895,6265,1.2134,-0.19064),(5895,6275,1.2145,-0.18485),(5895,6285,1.2156,-0.17905),(5895,6295,1.2166,-0.1732),(5895,6305,1.2176,-0.16734),(5895,6315,1.2185,-0.16147),(5895,6325,1.2195,-0.15557),(5895,6335,1.2204,-0.14966),(5895,6345,1.2213,-0.14375),(5895,6355,1.2221,-0.13787),(5895,6365,1.223,-0.13206),(5895,6375,1.2238,-0.12626),(5895,6385,1.2246,-0.12044),(5895,6395,1.2253,-0.11458),(5895,6405,1.226,-0.10871),(5895,6415,1.2267,-0.10285),(5895,6425,1.2273,-0.096987),(5895,6435,1.2279,-0.091126),(5895,6445,1.2285,-0.085264),(5895,6455,1.229,-0.079366),(5895,6465,1.2295,-0.073458),(5895,6475,1.2299,-0.067549),(5895,6485,1.2303,-0.061644),(5895,6495,1.2307,-0.055742),(5895,6505,1.231,-0.049841),(5895,6515,1.2313,-0.043918),(5895,6525,1.2317,-0.037968),(5895,6535,1.2319,-0.032018),(5895,6545,1.2321,-0.026093),(5895,6555,1.2323,-0.020247),(5895,6565,1.2324,-0.014401),(5895,6575,1.2325,-0.008545),(5895,6585,1.2325,-0.002533),(5895,6595,1.0483,0.003479),(5895,6605,0.66065,0.009491),(5895,6615,0.27296,0.010183),(5895,6625,0.000426,0.010191),(5895,6635,0.000455,0.0102),(5895,6645,0.000484,0.010205),(5895,6655,0.000514,0.010209),(5895,6665,0.000542,0.010214),(5895,6675,0.000571,0.010218),(5895,6685,0.0006,0.010222),(5895,6695,0.000628,0.010226),(5895,6705,0.000657,0.01023),(5895,6715,0.000685,0.010233),(5895,6725,0.000713,0.010236),(5895,6735,0.000741,0.01024),(5895,6745,0.000769,0.010242),(5895,6755,0.000796,0.010245),(5895,6765,0.000823,0.010248),(5895,6775,0.000851,0.01025),(5895,6785,0.000878,0.010252),(5895,6795,0.000905,0.010255),(5895,6805,0.000932,0.010256),(5895,6815,0.000958,0.010258),(5895,6825,0.000985,0.010259),(5895,6835,0.001011,0.010261),(5895,6845,0.001037,0.010262),(5895,6855,0.001063,0.010263),(5895,6865,0.001089,0.010263),(5895,6875,0.001114,0.010263),(5895,6885,0.00114,0.010264),(5895,6895,0.001165,0.010264),(5895,6905,0.00119,0.010263),(5895,6915,0.001215,0.010263),(5895,6925,0.00124,0.010262),(5895,6935,0.001264,0.010261),(5895,6945,0.001289,0.01026),(5895,6955,0.001313,0.010259),(5895,6965,0.001337,0.010257),(5895,6975,0.001361,0.010255),(5895,6985,0.001384,0.010254),(5905,5,1.2e-05,-1.0999),(5905,15,3.6e-05,-1.1),(5905,25,6.3e-05,-1.1),(5905,35,9.3e-05,-1.1),(5905,45,0.000123,-1.1),(5905,55,0.000153,-1.1),(5905,65,0.000186,-1.1),(5905,75,0.00022,-1.0999),(5905,85,0.000255,-1.1),(5905,95,0.000289,-1.1),(5905,105,0.000296,-1.1001),(5905,115,0.000284,-1.1001),(5905,125,0.000272,-1.1002),(5905,135,0.00026,-1.1002),(5905,145,0.000295,-1.1002),(5905,155,0.000357,-1.1003),(5905,165,0.000419,-1.1003),(5905,175,0.000481,-1.1002),(5905,185,0.000488,-1.1002),(5905,195,0.000469,-1.1002),(5905,205,0.00045,-1.1001),(5905,215,0.000432,-1.1001),(5905,225,0.000491,-1.1001),(5905,235,0.000581,-1.1001),(5905,245,0.000671,-1.1001),(5905,255,0.00076,-1.1),(5905,265,0.000766,-1.0999),(5905,275,0.000745,-1.0999),(5905,285,0.000724,-1.0998),(5905,295,0.000703,-1.0998),(5905,305,0.000685,-1.0998),(5905,315,0.000668,-1.0997),(5905,325,0.00065,-1.0997),(5905,335,0.000633,-1.0997),(5905,345,0.000653,-1.0997),(5905,355,0.000681,-1.0997),(5905,365,0.000709,-1.0998),(5905,375,0.000736,-1.0998),(5905,385,0.000809,-1.0999),(5905,395,0.000887,-1.1),(5905,405,0.000966,-1.1),(5905,415,0.001045,-1.1001),(5905,425,0.001096,-1.1001),(5905,435,0.001144,-1.1001),(5905,445,0.001193,-1.1001),(5905,455,0.001242,-1.1001),(5905,465,0.001278,-1.1001),(5905,475,0.001313,-1.1001),(5905,485,0.001349,-1.1),(5905,495,0.001384,-1.1),(5905,505,0.001402,-1.0999),(5905,515,0.00142,-1.0999),(5905,525,0.001437,-1.0999),(5905,535,0.001455,-1.0999),(5905,545,0.001468,-1.0999),(5905,555,0.001482,-1.0999),(5905,565,0.001495,-1.1),(5905,575,0.001516,-1.1001),(5905,585,0.001636,-1.1002),(5905,595,0.001756,-1.1003),(5905,605,0.001875,-1.1003),(5905,615,0.001994,-1.1004),(5905,625,0.002103,-1.1004),(5905,635,0.002212,-1.1004),(5905,645,0.002321,-1.1003),(5905,655,0.002408,-1.1002),(5905,665,0.002378,-1.1001),(5905,675,0.002348,-1.1),(5905,685,0.002319,-1.1001),(5905,695,0.002315,-1.1002),(5905,705,0.002423,-1.1003),(5905,715,0.00253,-1.1004),(5905,725,0.002638,-1.1005),(5905,735,0.002777,-1.1007),(5905,745,0.003019,-1.1008),(5905,755,0.003261,-1.101),(5905,765,0.003503,-1.1011),(5905,775,0.00373,-1.1012),(5905,785,0.003916,-1.1013),(5905,795,0.004103,-1.1013),(5905,805,0.004289,-1.1015),(5905,815,0.004497,-1.1016),(5905,825,0.004751,-1.1017),(5905,835,0.005005,-1.1019),(5905,845,0.005259,-1.1021),(5905,855,0.005563,-1.1023),(5905,865,0.005959,-1.1025),(5905,875,0.006355,-1.1027),(5905,885,0.006751,-1.1029),(5905,895,0.007169,-1.1031),(5905,905,0.007622,-1.1033),(5905,915,0.008075,-1.1035),(5905,925,0.008528,-1.1037),(5905,935,0.009042,-1.1039),(5905,945,0.009638,-1.1041),(5905,955,0.010233,-1.1044),(5905,965,0.010829,-1.1049),(5905,975,0.011602,-1.1053),(5905,985,0.012577,-1.1058),(5905,995,0.013551,-1.1062),(5905,1005,0.014526,-1.1068),(5905,1015,0.015741,-1.1073),(5905,1025,0.017189,-1.1078),(5905,1035,0.018636,-1.1084),(5905,1045,0.020083,-1.109),(5905,1055,0.021916,-1.1096),(5905,1065,0.024065,-1.1102),(5905,1075,0.026214,-1.1109),(5905,1085,0.028363,-1.1117),(5905,1095,0.031236,-1.1125),(5905,1105,0.034612,-1.1133),(5905,1115,0.037989,-1.1141),(5905,1125,0.041366,-1.115),(5905,1135,0.045994,-1.1159),(5905,1145,0.05136,-1.1168),(5905,1155,0.056727,-1.1177),(5905,1165,0.062093,-1.1187),(5905,1175,0.069678,-1.1196),(5905,1185,0.078364,-1.1205),(5905,1195,0.08705,-1.1208),(5905,1205,0.095736,-1.1209),(5905,1215,0.10795,-1.1209),(5905,1225,0.12163,-1.1209),(5905,1235,0.1353,-1.1194),(5905,1245,0.14897,-1.1172),(5905,1255,0.17065,-1.1151),(5905,1265,0.19503,-1.1129),(5905,1275,0.2194,-1.1181),(5905,1285,0.24378,-1.1255),(5905,1295,0.27741,-1.1328),(5905,1305,0.31354,-1.1402),(5905,1315,0.34967,-1.1519),(5905,1325,0.3858,-1.1647),(5905,1335,0.23738,-1.1774),(5905,1345,0.050274,-1.1901),(5905,1355,-0.13683,-1.1808),(5905,1365,-0.32393,-1.1675),(5905,1375,-0.32893,-1.1541),(5905,1385,-0.30582,-1.1408),(5905,1395,-0.28272,-1.1305),(5905,1405,-0.25962,-1.1206),(5905,1415,-0.23534,-1.1106),(5905,1425,-0.21094,-1.1007),(5905,1435,-0.18655,-1.1037),(5905,1445,-0.16215,-1.1078),(5905,1455,-0.14751,-1.1119),(5905,1465,-0.13344,-1.1159),(5905,1475,-0.11936,-1.1168),(5905,1485,-0.10529,-1.1175),(5905,1495,-0.095945,-1.1182),(5905,1505,-0.086673,-1.1189),(5905,1515,-0.077401,-1.118),(5905,1525,-0.068214,-1.117),(5905,1535,-0.062385,-1.1161),(5905,1545,-0.056557,-1.1152),(5905,1555,-0.050728,-1.1141),(5905,1565,-0.045036,-1.113),(5905,1575,-0.041321,-1.1119),(5905,1585,-0.037606,-1.1108),(5905,1595,-0.033892,-1.1099),(5905,1605,-0.030311,-1.1089),(5905,1615,-0.027883,-1.1079),(5905,1625,-0.025455,-1.107),(5905,1635,-0.023027,-1.1061),(5905,1645,-0.020724,-1.1052),(5905,1655,-0.019169,-1.1043),(5905,1665,-0.017613,-1.1035),(5905,1675,-0.016058,-1.1028),(5905,1685,-0.014604,-1.1021),(5905,1695,-0.013607,-1.1014),(5905,1705,-0.012609,-1.1007),(5905,1715,-0.011612,-1.1002),(5905,1725,-0.010669,-1.0997),(5905,1735,-0.009918,-1.0992),(5905,1745,-0.009168,-1.0986),(5905,1755,-0.008417,-1.0981),(5905,1765,-0.007717,-1.0976),(5905,1775,-0.00716,-1.097),(5905,1785,-0.006604,-1.0965),(5905,1795,-0.006047,-1.096),(5905,1805,-0.005556,-1.0955),(5905,1815,-0.005213,-1.095),(5905,1825,-0.004871,-1.0945),(5905,1835,-0.004529,-1.0942),(5905,1845,-0.004213,-1.0938),(5905,1855,-0.003946,-1.0934),(5905,1865,-0.00368,-1.093),(5905,1875,-0.003413,-1.0927),(5905,1885,-0.003145,-1.0924),(5905,1895,-0.002874,-1.092),(5905,1905,-0.002604,-1.0917),(5905,1915,-0.002333,-1.0914),(5905,1925,-0.002097,-1.0912),(5905,1935,-0.001909,-1.0909),(5905,1945,-0.001722,-1.0906),(5905,1955,-0.001534,-1.0903),(5905,1965,-0.001393,-1.0899),(5905,1975,-0.001306,-1.0896),(5905,1985,-0.001219,-1.0892),(5905,1995,-0.001133,-1.089),(5905,2005,-0.001047,-1.0887),(5905,2015,-0.000962,-1.0884),(5905,2025,-0.000877,-1.0881),(5905,2035,-0.000792,-1.0879),(5905,2045,-0.000709,-1.0877),(5905,2055,-0.00063,-1.0874),(5905,2065,-0.00055,-1.0871),(5905,2075,-0.00047,-1.0868),(5905,2085,-0.000391,-1.0865),(5905,2095,-0.000312,-1.0862),(5905,2105,-0.000232,-1.0859),(5905,2115,-0.000153,-1.0856),(5905,2125,-9.3e-05,-1.0853),(5905,2135,-4.3e-05,-1.085),(5905,2145,6e-06,-1.0847),(5905,2155,5.5e-05,-1.0843),(5905,2165,6.9e-05,-1.084),(5905,2175,6.6e-05,-1.0837),(5905,2185,6.3e-05,-1.0834),(5905,2195,6e-05,-1.083),(5905,2205,9.1e-05,-1.0827),(5905,2215,0.000138,-1.0824),(5905,2225,0.000184,-1.0821),(5905,2235,0.00023,-1.0819),(5905,2245,0.000306,-1.0816),(5905,2255,0.000393,-1.0813),(5905,2265,0.000479,-1.081),(5905,2275,0.000566,-1.0807),(5905,2285,0.000634,-1.0804),(5905,2295,0.000698,-1.0801),(5905,2305,0.000761,-1.0798),(5905,2315,0.000824,-1.0794),(5905,2325,0.000864,-1.0791),(5905,2335,0.000899,-1.0788),(5905,2345,0.000933,-1.0784),(5905,2355,0.000968,-1.0781),(5905,2365,0.000992,-1.0777),(5905,2375,0.001015,-1.0774),(5905,2385,0.001037,-1.077),(5905,2395,0.00106,-1.0767),(5905,2405,0.001112,-1.0763),(5905,2415,0.001169,-1.076),(5905,2425,0.001225,-1.0756),(5905,2435,0.001282,-1.0752),(5905,2445,0.001339,-1.0749),(5905,2455,0.001397,-1.0745),(5905,2465,0.001455,-1.0741),(5905,2475,0.001512,-1.0737),(5905,2485,0.001553,-1.0733),(5905,2495,0.001593,-1.0729),(5905,2505,0.001633,-1.0725),(5905,2515,0.001673,-1.072),(5905,2525,0.001746,-1.0716),(5905,2535,0.001819,-1.0712),(5905,2545,0.001891,-1.0708),(5905,2555,0.001963,-1.0703),(5905,2565,0.002017,-1.0699),(5905,2575,0.002071,-1.0695),(5905,2585,0.002126,-1.069),(5905,2595,0.002175,-1.0685),(5905,2605,0.002182,-1.068),(5905,2615,0.002188,-1.0675),(5905,2625,0.002195,-1.067),(5905,2635,0.002204,-1.0665),(5905,2645,0.002231,-1.066),(5905,2655,0.002259,-1.0655),(5905,2665,0.002286,-1.0651),(5905,2675,0.00231,-1.0646),(5905,2685,0.002321,-1.0641),(5905,2695,0.002331,-1.0637),(5905,2705,0.002342,-1.0632),(5905,2715,0.002345,-1.0627),(5905,2725,0.002322,-1.0622),(5905,2735,0.002299,-1.0617),(5905,2745,0.002276,-1.0612),(5905,2755,0.002277,-1.0607),(5905,2765,0.002346,-1.0602),(5905,2775,0.002415,-1.0598),(5905,2785,0.002484,-1.0593),(5905,2795,0.002561,-1.0588),(5905,2805,0.002656,-1.0583),(5905,2815,0.002751,-1.0578),(5905,2825,0.002847,-1.0572),(5905,2835,0.002919,-1.0566),(5905,2845,0.002945,-1.0561),(5905,2855,0.00297,-1.0555),(5905,2865,0.002996,-1.0548),(5905,2875,0.003011,-1.0542),(5905,2885,0.003008,-1.0535),(5905,2895,0.003005,-1.0529),(5905,2905,0.003002,-1.0523),(5905,2915,0.003014,-1.0516),(5905,2925,0.003046,-1.051),(5905,2935,0.003078,-1.0504),(5905,2945,0.00311,-1.0498),(5905,2955,0.003162,-1.0492),(5905,2965,0.003239,-1.0486),(5905,2975,0.003315,-1.048),(5905,2985,0.003392,-1.0474),(5905,2995,0.003465,-1.0468),(5905,3005,0.003533,-1.0462),(5905,3015,0.003601,-1.0456),(5905,3025,0.00367,-1.0449),(5905,3035,0.003708,-1.0441),(5905,3045,0.00372,-1.0434),(5905,3055,0.003732,-1.0427),(5905,3065,0.003744,-1.042),(5905,3075,0.003755,-1.0412),(5905,3085,0.003766,-1.0405),(5905,3095,0.003777,-1.0397),(5905,3105,0.003788,-1.039),(5905,3115,0.003829,-1.0383),(5905,3125,0.003891,-1.0376),(5905,3135,0.003953,-1.0369),(5905,3145,0.004014,-1.0363),(5905,3155,0.004105,-1.0356),(5905,3165,0.004211,-1.0349),(5905,3175,0.004317,-1.0341),(5905,3185,0.004423,-1.0333),(5905,3195,0.004508,-1.0326),(5905,3205,0.004584,-1.0318),(5905,3215,0.00466,-1.0309),(5905,3225,0.004736,-1.0301),(5905,3235,0.004778,-1.0293),(5905,3245,0.004807,-1.0284),(5905,3255,0.004836,-1.0277),(5905,3265,0.004865,-1.0269),(5905,3275,0.004946,-1.0261),(5905,3285,0.005042,-1.0254),(5905,3295,0.005139,-1.0246),(5905,3305,0.005235,-1.0238),(5905,3315,0.005362,-1.023),(5905,3325,0.005497,-1.0222),(5905,3335,0.005631,-1.0214),(5905,3345,0.005765,-1.0206),(5905,3355,0.005847,-1.0197),(5905,3365,0.005919,-1.0189),(5905,3375,0.005991,-1.0181),(5905,3385,0.006063,-1.0173),(5905,3395,0.006156,-1.0165),(5905,3405,0.00625,-1.0157),(5905,3415,0.006345,-1.0149),(5905,3425,0.00644,-1.0141),(5905,3435,0.006658,-1.0133),(5905,3445,0.006886,-1.0124),(5905,3455,0.007114,-1.0116),(5905,3465,0.007342,-1.0108),(5905,3475,0.007637,-1.01),(5905,3485,0.007935,-1.0092),(5905,3495,0.008232,-1.0084),(5905,3505,0.008529,-1.0076),(5905,3515,0.008765,-1.0067),(5905,3525,0.009,-1.0059),(5905,3535,0.009235,-1.0051),(5905,3545,0.009476,-1.0042),(5905,3555,0.009825,-1.0034),(5905,3565,0.010174,-1.0025),(5905,3575,0.010524,-1.0018),(5905,3585,0.010894,-1.0011),(5905,3595,0.011495,-1.0003),(5905,3605,0.012095,-0.99961),(5905,3615,0.012695,-0.999),(5905,3625,0.013317,-0.99838),(5905,3635,0.014092,-0.99776),(5905,3645,0.014867,-0.99714),(5905,3655,0.015642,-0.99645),(5905,3665,0.016456,-0.99576),(5905,3675,0.017467,-0.99507),(5905,3685,0.018479,-0.99439),(5905,3695,0.01949,-0.99374),(5905,3705,0.020573,-0.99308),(5905,3715,0.021939,-0.99243),(5905,3725,0.023305,-0.99182),(5905,3735,0.024671,-0.99137),(5905,3745,0.026203,-0.99093),(5905,3755,0.028254,-0.99048),(5905,3765,0.030305,-0.99007),(5905,3775,0.032356,-0.98975),(5905,3785,0.034679,-0.98943),(5905,3795,0.037693,-0.98911),(5905,3805,0.040708,-0.98882),(5905,3815,0.043723,-0.9886),(5905,3825,0.047181,-0.98837),(5905,3835,0.051571,-0.98815),(5905,3845,0.055962,-0.98793),(5905,3855,0.060353,-0.98773),(5905,3865,0.065522,-0.98754),(5905,3875,0.072066,-0.98734),(5905,3885,0.078611,-0.98713),(5905,3895,0.085155,-0.98691),(5905,3905,0.092946,-0.98668),(5905,3915,0.1026,-0.98646),(5905,3925,0.11225,-0.98637),(5905,3935,0.1219,-0.98647),(5905,3945,0.1354,-0.98657),(5905,3955,0.15377,-0.98667),(5905,3965,0.17214,-0.98964),(5905,3975,0.19051,-0.99598),(5905,3985,0.23003,-1.0023),(5905,3995,0.29244,-1.0087),(5905,4005,0.35485,-1.0148),(5905,4015,0.41727,-1.0208),(5905,4025,0.41737,-1.0267),(5905,4035,0.41139,-1.0305),(5905,4045,0.4054,-1.0296),(5905,4055,0.46007,-1.0288),(5905,4065,0.53687,-1.0278),(5905,4075,0.61366,-1.0263),(5905,4085,0.64831,-1.0248),(5905,4095,0.6491,-1.0233),(5905,4105,0.64989,-1.0218),(5905,4115,0.65073,-1.0203),(5905,4125,0.65166,-1.0188),(5905,4135,0.65258,-1.0174),(5905,4145,0.65354,-1.0159),(5905,4155,0.65464,-1.0145),(5905,4165,0.65573,-1.013),(5905,4175,0.65683,-1.0115),(5905,4185,0.65811,-1.0101),(5905,4195,0.65938,-1.0086),(5905,4205,0.66066,-1.0073),(5905,4215,0.66208,-1.0059),(5905,4225,0.66353,-1.0045),(5905,4235,0.66498,-1.0031),(5905,4245,0.66651,-1.0017),(5905,4255,0.66808,-1.0002),(5905,4265,0.66965,-0.99875),(5905,4275,0.67128,-0.99725),(5905,4285,0.67296,-0.99575),(5905,4295,0.67465,-0.99429),(5905,4305,0.67638,-0.99284),(5905,4315,0.67821,-0.99138),(5905,4325,0.68004,-0.98992),(5905,4335,0.6819,-0.98846),(5905,4345,0.68388,-0.987),(5905,4355,0.68587,-0.98549),(5905,4365,0.68786,-0.98393),(5905,4375,0.69,-0.98236),(5905,4385,0.69214,-0.98078),(5905,4395,0.69429,-0.97916),(5905,4405,0.69655,-0.97753),(5905,4415,0.69884,-0.97589),(5905,4425,0.70113,-0.97416),(5905,4435,0.7035,-0.97244),(5905,4445,0.70592,-0.97071),(5905,4455,0.70834,-0.96889),(5905,4465,0.71083,-0.96707),(5905,4475,0.7134,-0.96525),(5905,4485,0.71597,-0.96329),(5905,4495,0.71858,-0.9613),(5905,4505,0.72131,-0.95931),(5905,4515,0.72405,-0.95723),(5905,4525,0.72679,-0.95511),(5905,4535,0.72969,-0.95299),(5905,4545,0.73258,-0.95081),(5905,4555,0.73547,-0.94857),(5905,4565,0.73846,-0.94633),(5905,4575,0.74147,-0.94407),(5905,4585,0.74448,-0.94173),(5905,4595,0.74755,-0.93939),(5905,4605,0.75065,-0.93703),(5905,4615,0.75374,-0.93455),(5905,4625,0.75688,-0.93207),(5905,4635,0.76006,-0.92959),(5905,4645,0.76324,-0.927),(5905,4655,0.76644,-0.9244),(5905,4665,0.76969,-0.9218),(5905,4675,0.77293,-0.9191),(5905,4685,0.77618,-0.91636),(5905,4695,0.77947,-0.91362),(5905,4705,0.78275,-0.9108),(5905,4715,0.78603,-0.90792),(5905,4725,0.78934,-0.90504),(5905,4735,0.79264,-0.90214),(5905,4745,0.79595,-0.8992),(5905,4755,0.79928,-0.89626),(5905,4765,0.80262,-0.8933),(5905,4775,0.80595,-0.89027),(5905,4785,0.80931,-0.88725),(5905,4795,0.81268,-0.88422),(5905,4805,0.81606,-0.88106),(5905,4815,0.81944,-0.8779),(5905,4825,0.82284,-0.87473),(5905,4835,0.82623,-0.87146),(5905,4845,0.82963,-0.86817),(5905,4855,0.83303,-0.86489),(5905,4865,0.83644,-0.86153),(5905,4875,0.83984,-0.85815),(5905,4885,0.84325,-0.85476),(5905,4895,0.84665,-0.85133),(5905,4905,0.85006,-0.84786),(5905,4915,0.85347,-0.84439),(5905,4925,0.85687,-0.84089),(5905,4935,0.86028,-0.83732),(5905,4945,0.86368,-0.83376),(5905,4955,0.86708,-0.83018),(5905,4965,0.87049,-0.82651),(5905,4975,0.87389,-0.82283),(5905,4985,0.8773,-0.81916),(5905,4995,0.8807,-0.81539),(5905,5005,0.8841,-0.81162),(5905,5015,0.8875,-0.80785),(5905,5025,0.8909,-0.80403),(5905,5035,0.8943,-0.80019),(5905,5045,0.89769,-0.79636),(5905,5055,0.90108,-0.79249),(5905,5065,0.90446,-0.7886),(5905,5075,0.90783,-0.78471),(5905,5085,0.9112,-0.78078),(5905,5095,0.91457,-0.77678),(5905,5105,0.9179,-0.77279),(5905,5115,0.92124,-0.76876),(5905,5125,0.92457,-0.76464),(5905,5135,0.92788,-0.76052),(5905,5145,0.93118,-0.75639),(5905,5155,0.93448,-0.7522),(5905,5165,0.93776,-0.74801),(5905,5175,0.94103,-0.74382),(5905,5185,0.94431,-0.73962),(5905,5195,0.94757,-0.73541),(5905,5205,0.95082,-0.7312),(5905,5215,0.95407,-0.72695),(5905,5225,0.95731,-0.72267),(5905,5235,0.96054,-0.7184),(5905,5245,0.96376,-0.71408),(5905,5255,0.96698,-0.70971),(5905,5265,0.97018,-0.70535),(5905,5275,0.97337,-0.70097),(5905,5285,0.97657,-0.69656),(5905,5295,0.97974,-0.69215),(5905,5305,0.98291,-0.68774),(5905,5315,0.98608,-0.6833),(5905,5325,0.98922,-0.67887),(5905,5335,0.99235,-0.67443),(5905,5345,0.99548,-0.66996),(5905,5355,0.99859,-0.66549),(5905,5365,1.0017,-0.66102),(5905,5375,1.0047,-0.65648),(5905,5385,1.0078,-0.65192),(5905,5395,1.0108,-0.64737),(5905,5405,1.0138,-0.64275),(5905,5415,1.0169,-0.6381),(5905,5425,1.0198,-0.63345),(5905,5435,1.0228,-0.62877),(5905,5445,1.0258,-0.62406),(5905,5455,1.0287,-0.61935),(5905,5465,1.0317,-0.61463),(5905,5475,1.0346,-0.60988),(5905,5485,1.0376,-0.60513),(5905,5495,1.0405,-0.60037),(5905,5505,1.0434,-0.59557),(5905,5515,1.0463,-0.59078),(5905,5525,1.0491,-0.58598),(5905,5535,1.052,-0.58116),(5905,5545,1.0548,-0.57633),(5905,5555,1.0576,-0.5715),(5905,5565,1.0605,-0.56664),(5905,5575,1.0633,-0.56176),(5905,5585,1.066,-0.55688),(5905,5595,1.0688,-0.55195),(5905,5605,1.0716,-0.54698),(5905,5615,1.0743,-0.54202),(5905,5625,1.077,-0.53702),(5905,5635,1.0797,-0.53198),(5905,5645,1.0824,-0.52694),(5905,5655,1.085,-0.5219),(5905,5665,1.0877,-0.51682),(5905,5675,1.0903,-0.51174),(5905,5685,1.0928,-0.50667),(5905,5695,1.0954,-0.5016),(5905,5705,1.098,-0.49653),(5905,5715,1.1005,-0.49147),(5905,5725,1.103,-0.48636),(5905,5735,1.1055,-0.48125),(5905,5745,1.108,-0.47614),(5905,5755,1.1105,-0.471),(5905,5765,1.113,-0.46584),(5905,5775,1.1154,-0.46069),(5905,5785,1.1178,-0.45551),(5905,5795,1.1202,-0.4503),(5905,5805,1.1226,-0.4451),(5905,5815,1.1249,-0.43987),(5905,5825,1.1273,-0.43459),(5905,5835,1.1296,-0.42932),(5905,5845,1.1319,-0.42403),(5905,5855,1.1342,-0.41867),(5905,5865,1.1364,-0.41331),(5905,5875,1.1386,-0.40795),(5905,5885,1.1408,-0.40255),(5905,5895,1.143,-0.39715),(5905,5905,1.1451,-0.39175),(5905,5915,1.1472,-0.38636),(5905,5925,1.1493,-0.38096),(5905,5935,1.1514,-0.37557),(5905,5945,1.1535,-0.37017),(5905,5955,1.1556,-0.36477),(5905,5965,1.1576,-0.35937),(5905,5975,1.1596,-0.35393),(5905,5985,1.1616,-0.34844),(5905,5995,1.1635,-0.34296),(5905,6005,1.1654,-0.33747),(5905,6015,1.1674,-0.33194),(5905,6025,1.1692,-0.32642),(5905,6035,1.171,-0.32089),(5905,6045,1.1729,-0.31538),(5905,6055,1.1747,-0.30987),(5905,6065,1.1764,-0.30435),(5905,6075,1.1782,-0.29878),(5905,6085,1.1799,-0.29319),(5905,6095,1.1815,-0.2876),(5905,6105,1.1832,-0.28194),(5905,6115,1.1848,-0.27624),(5905,6125,1.1864,-0.27055),(5905,6135,1.1879,-0.26485),(5905,6145,1.1895,-0.25914),(5905,6155,1.191,-0.25344),(5905,6165,1.1924,-0.24775),(5905,6175,1.1939,-0.24208),(5905,6185,1.1953,-0.2364),(5905,6195,1.1967,-0.23073),(5905,6205,1.1981,-0.22502),(5905,6215,1.1994,-0.21932),(5905,6225,1.2007,-0.21362),(5905,6235,1.202,-0.20785),(5905,6245,1.2032,-0.20208),(5905,6255,1.2044,-0.19632),(5905,6265,1.2055,-0.19053),(5905,6275,1.2066,-0.18474),(5905,6285,1.2077,-0.17895),(5905,6295,1.2087,-0.17311),(5905,6305,1.2097,-0.16724),(5905,6315,1.2106,-0.16137),(5905,6325,1.2116,-0.15547),(5905,6335,1.2125,-0.14955),(5905,6345,1.2133,-0.14362),(5905,6355,1.2142,-0.13773),(5905,6365,1.215,-0.13193),(5905,6375,1.2158,-0.12612),(5905,6385,1.2166,-0.1203),(5905,6395,1.2173,-0.11445),(5905,6405,1.218,-0.10859),(5905,6415,1.2187,-0.10273),(5905,6425,1.2193,-0.096874),(5905,6435,1.2199,-0.09102),(5905,6445,1.2204,-0.085165),(5905,6455,1.221,-0.079273),(5905,6465,1.2215,-0.073371),(5905,6475,1.2219,-0.067468),(5905,6485,1.2223,-0.061567),(5905,6495,1.2227,-0.055667),(5905,6505,1.223,-0.049767),(5905,6515,1.2233,-0.043846),(5905,6525,1.2236,-0.037897),(5905,6535,1.2238,-0.031948),(5905,6545,1.224,-0.026025),(5905,6555,1.2242,-0.020185),(5905,6565,1.2243,-0.014344),(5905,6575,1.2244,-0.008493),(5905,6585,1.2245,-0.002487),(5905,6595,1.0415,0.003519),(5905,6605,0.65631,0.009525),(5905,6615,0.27116,0.010215),(5905,6625,0.000421,0.010222),(5905,6635,0.00045,0.010229),(5905,6645,0.000479,0.010234),(5905,6655,0.000509,0.010238),(5905,6665,0.000537,0.010243),(5905,6675,0.000566,0.010247),(5905,6685,0.000595,0.01025),(5905,6695,0.000624,0.010254),(5905,6705,0.000652,0.010258),(5905,6715,0.000681,0.010261),(5905,6725,0.000709,0.010264),(5905,6735,0.000737,0.010267),(5905,6745,0.000765,0.01027),(5905,6755,0.000792,0.010273),(5905,6765,0.00082,0.010275),(5905,6775,0.000847,0.010277),(5905,6785,0.000875,0.010279),(5905,6795,0.000902,0.010281),(5905,6805,0.000929,0.010283),(5905,6815,0.000956,0.010284),(5905,6825,0.000982,0.010286),(5905,6835,0.001009,0.010287),(5905,6845,0.001035,0.010288),(5905,6855,0.001061,0.010288),(5905,6865,0.001087,0.010289),(5905,6875,0.001113,0.010289),(5905,6885,0.001138,0.010289),(5905,6895,0.001164,0.010289),(5905,6905,0.001189,0.010288),(5905,6915,0.001214,0.010288),(5905,6925,0.001239,0.010287),(5905,6935,0.001264,0.010286),(5905,6945,0.001288,0.010284),(5905,6955,0.001312,0.010283),(5905,6965,0.001337,0.010281),(5905,6975,0.001361,0.010279),(5905,6985,0.001385,0.010277),(5915,5,1.1e-05,-1.3195),(5915,15,3.3e-05,-1.3196),(5915,25,5.5e-05,-1.3196),(5915,35,7.5e-05,-1.3197),(5915,45,9.5e-05,-1.3197),(5915,55,0.000116,-1.3196),(5915,65,0.000141,-1.3196),(5915,75,0.000171,-1.3195),(5915,85,0.000201,-1.3196),(5915,95,0.000231,-1.3196),(5915,105,0.000249,-1.3197),(5915,115,0.000258,-1.3198),(5915,125,0.000267,-1.3198),(5915,135,0.000276,-1.3198),(5915,145,0.000317,-1.3199),(5915,155,0.000376,-1.3199),(5915,165,0.000435,-1.3199),(5915,175,0.000493,-1.3199),(5915,185,0.000502,-1.3198),(5915,195,0.000488,-1.3198),(5915,205,0.000473,-1.3198),(5915,215,0.000459,-1.3198),(5915,225,0.000502,-1.3198),(5915,235,0.000567,-1.3197),(5915,245,0.000632,-1.3197),(5915,255,0.000697,-1.3196),(5915,265,0.000703,-1.3196),(5915,275,0.000689,-1.3195),(5915,285,0.000675,-1.3194),(5915,295,0.000661,-1.3194),(5915,305,0.000648,-1.3193),(5915,315,0.000636,-1.3193),(5915,325,0.000624,-1.3193),(5915,335,0.000612,-1.3193),(5915,345,0.00064,-1.3192),(5915,355,0.000676,-1.3192),(5915,365,0.000711,-1.3193),(5915,375,0.000747,-1.3194),(5915,385,0.000823,-1.3195),(5915,395,0.000905,-1.3196),(5915,405,0.000987,-1.3196),(5915,415,0.001069,-1.3197),(5915,425,0.001125,-1.3197),(5915,435,0.001177,-1.3197),(5915,445,0.00123,-1.3197),(5915,455,0.001283,-1.3197),(5915,465,0.001311,-1.3197),(5915,475,0.001338,-1.3197),(5915,485,0.001365,-1.3197),(5915,495,0.001391,-1.3196),(5915,505,0.001412,-1.3195),(5915,515,0.001432,-1.3195),(5915,525,0.001452,-1.3195),(5915,535,0.001473,-1.3195),(5915,545,0.001499,-1.3195),(5915,555,0.001525,-1.3195),(5915,565,0.001552,-1.3196),(5915,575,0.001584,-1.3197),(5915,585,0.001696,-1.3198),(5915,595,0.001808,-1.3199),(5915,605,0.00192,-1.32),(5915,615,0.00203,-1.32),(5915,625,0.002122,-1.3201),(5915,635,0.002214,-1.3201),(5915,645,0.002305,-1.32),(5915,655,0.002382,-1.3199),(5915,665,0.002373,-1.3198),(5915,675,0.002365,-1.3197),(5915,685,0.002357,-1.3198),(5915,695,0.002372,-1.3198),(5915,705,0.002488,-1.3199),(5915,715,0.002605,-1.32),(5915,725,0.002721,-1.3202),(5915,735,0.002866,-1.3204),(5915,745,0.003104,-1.3206),(5915,755,0.003342,-1.3207),(5915,765,0.003581,-1.3208),(5915,775,0.00381,-1.321),(5915,785,0.004014,-1.3211),(5915,795,0.004217,-1.3212),(5915,805,0.004421,-1.3213),(5915,815,0.004645,-1.3215),(5915,825,0.004912,-1.3216),(5915,835,0.00518,-1.3218),(5915,845,0.005448,-1.3221),(5915,855,0.005761,-1.3223),(5915,865,0.00616,-1.3225),(5915,875,0.006558,-1.3228),(5915,885,0.006957,-1.323),(5915,895,0.007383,-1.3232),(5915,905,0.007852,-1.3234),(5915,915,0.008322,-1.3237),(5915,925,0.008791,-1.3239),(5915,935,0.009332,-1.3242),(5915,945,0.009968,-1.3244),(5915,955,0.010604,-1.3248),(5915,965,0.011239,-1.3253),(5915,975,0.012047,-1.3258),(5915,985,0.013048,-1.3263),(5915,995,0.014049,-1.3269),(5915,1005,0.01505,-1.3275),(5915,1015,0.016293,-1.3281),(5915,1025,0.017769,-1.3287),(5915,1035,0.019245,-1.3293),(5915,1045,0.02072,-1.33),(5915,1055,0.02259,-1.3307),(5915,1065,0.024783,-1.3314),(5915,1075,0.026975,-1.3322),(5915,1085,0.029168,-1.3331),(5915,1095,0.032074,-1.334),(5915,1105,0.035478,-1.3349),(5915,1115,0.038881,-1.3359),(5915,1125,0.042285,-1.3368),(5915,1135,0.046907,-1.3378),(5915,1145,0.052249,-1.3388),(5915,1155,0.05759,-1.3398),(5915,1165,0.062932,-1.3408),(5915,1175,0.070343,-1.3418),(5915,1185,0.078782,-1.3427),(5915,1195,0.087221,-1.3431),(5915,1205,0.09566,-1.3432),(5915,1215,0.10754,-1.3432),(5915,1225,0.12083,-1.3433),(5915,1235,0.13413,-1.3423),(5915,1245,0.14743,-1.3409),(5915,1255,0.1699,-1.3395),(5915,1265,0.19546,-1.3381),(5915,1275,0.22103,-1.3398),(5915,1285,0.24659,-1.3425),(5915,1295,0.27183,-1.3452),(5915,1305,0.29699,-1.3479),(5915,1315,0.32215,-1.3167),(5915,1325,0.3473,-1.2774),(5915,1335,0.21335,-1.2382),(5915,1345,0.046039,-1.1989),(5915,1355,-0.12127,-1.2244),(5915,1365,-0.28857,-1.2616),(5915,1375,-0.30011,-1.2988),(5915,1385,-0.28761,-1.3361),(5915,1395,-0.27511,-1.3371),(5915,1405,-0.26261,-1.3334),(5915,1415,-0.23755,-1.3298),(5915,1425,-0.21119,-1.3262),(5915,1435,-0.18482,-1.3287),(5915,1445,-0.15846,-1.3317),(5915,1455,-0.14433,-1.3347),(5915,1465,-0.13091,-1.3377),(5915,1475,-0.11748,-1.3385),(5915,1485,-0.10405,-1.3392),(5915,1495,-0.095137,-1.34),(5915,1505,-0.086287,-1.3407),(5915,1515,-0.077437,-1.3397),(5915,1525,-0.068664,-1.3387),(5915,1535,-0.062915,-1.3377),(5915,1545,-0.057167,-1.3367),(5915,1555,-0.051418,-1.3355),(5915,1565,-0.045799,-1.3343),(5915,1575,-0.042066,-1.3331),(5915,1585,-0.038334,-1.3319),(5915,1595,-0.034601,-1.3308),(5915,1605,-0.031001,-1.3297),(5915,1615,-0.028546,-1.3286),(5915,1625,-0.026091,-1.3275),(5915,1635,-0.023636,-1.3265),(5915,1645,-0.021305,-1.3254),(5915,1655,-0.019713,-1.3244),(5915,1665,-0.018121,-1.3234),(5915,1675,-0.01653,-1.3226),(5915,1685,-0.01504,-1.3218),(5915,1695,-0.014008,-1.321),(5915,1705,-0.012976,-1.3203),(5915,1715,-0.011943,-1.3196),(5915,1725,-0.010973,-1.319),(5915,1735,-0.01022,-1.3184),(5915,1745,-0.009467,-1.3178),(5915,1755,-0.008714,-1.3172),(5915,1765,-0.008012,-1.3166),(5915,1775,-0.007454,-1.3159),(5915,1785,-0.006897,-1.3153),(5915,1795,-0.006339,-1.3147),(5915,1805,-0.005841,-1.3141),(5915,1815,-0.005478,-1.3135),(5915,1825,-0.005115,-1.313),(5915,1835,-0.004752,-1.3126),(5915,1845,-0.004418,-1.3121),(5915,1855,-0.004137,-1.3117),(5915,1865,-0.003857,-1.3112),(5915,1875,-0.003577,-1.3108),(5915,1885,-0.003296,-1.3104),(5915,1895,-0.003013,-1.31),(5915,1905,-0.00273,-1.3096),(5915,1915,-0.002448,-1.3093),(5915,1925,-0.002201,-1.309),(5915,1935,-0.002005,-1.3087),(5915,1945,-0.001808,-1.3083),(5915,1955,-0.001612,-1.3079),(5915,1965,-0.00146,-1.3075),(5915,1975,-0.001361,-1.3071),(5915,1985,-0.001262,-1.3067),(5915,1995,-0.001163,-1.3063),(5915,2005,-0.001063,-1.306),(5915,2015,-0.000962,-1.3056),(5915,2025,-0.00086,-1.3053),(5915,2035,-0.000759,-1.3051),(5915,2045,-0.00067,-1.3048),(5915,2055,-0.000591,-1.3045),(5915,2065,-0.000512,-1.3042),(5915,2075,-0.000433,-1.3038),(5915,2085,-0.000358,-1.3034),(5915,2095,-0.000287,-1.303),(5915,2105,-0.000216,-1.3026),(5915,2115,-0.000145,-1.3023),(5915,2125,-9.2e-05,-1.3019),(5915,2135,-4.8e-05,-1.3016),(5915,2145,-5e-06,-1.3012),(5915,2155,3.8e-05,-1.3008),(5915,2165,5.1e-05,-1.3004),(5915,2175,4.8e-05,-1.3001),(5915,2185,4.6e-05,-1.2997),(5915,2195,4.3e-05,-1.2993),(5915,2205,7.7e-05,-1.2989),(5915,2215,0.000127,-1.2985),(5915,2225,0.000177,-1.2982),(5915,2235,0.000227,-1.2979),(5915,2245,0.000305,-1.2975),(5915,2255,0.000394,-1.2972),(5915,2265,0.000482,-1.2968),(5915,2275,0.000571,-1.2965),(5915,2285,0.000647,-1.2961),(5915,2295,0.00072,-1.2957),(5915,2305,0.000793,-1.2953),(5915,2315,0.000866,-1.2949),(5915,2325,0.000916,-1.2945),(5915,2335,0.000962,-1.2941),(5915,2345,0.001008,-1.2937),(5915,2355,0.001054,-1.2933),(5915,2365,0.001082,-1.2929),(5915,2375,0.001108,-1.2925),(5915,2385,0.001133,-1.2921),(5915,2395,0.001159,-1.2916),(5915,2405,0.00121,-1.2912),(5915,2415,0.001264,-1.2907),(5915,2425,0.001318,-1.2903),(5915,2435,0.001372,-1.2899),(5915,2445,0.001427,-1.2894),(5915,2455,0.001481,-1.289),(5915,2465,0.001536,-1.2885),(5915,2475,0.001591,-1.288),(5915,2485,0.001631,-1.2875),(5915,2495,0.001671,-1.2871),(5915,2505,0.001711,-1.2866),(5915,2515,0.001752,-1.2861),(5915,2525,0.001824,-1.2855),(5915,2535,0.001897,-1.285),(5915,2545,0.001969,-1.2845),(5915,2555,0.002041,-1.284),(5915,2565,0.002088,-1.2835),(5915,2575,0.002135,-1.283),(5915,2585,0.002181,-1.2824),(5915,2595,0.002223,-1.2818),(5915,2605,0.002218,-1.2812),(5915,2615,0.002213,-1.2806),(5915,2625,0.002208,-1.28),(5915,2635,0.002206,-1.2795),(5915,2645,0.002227,-1.2789),(5915,2655,0.002248,-1.2783),(5915,2665,0.002268,-1.2777),(5915,2675,0.002288,-1.2772),(5915,2685,0.002303,-1.2766),(5915,2695,0.002319,-1.276),(5915,2705,0.002334,-1.2754),(5915,2715,0.002343,-1.2749),(5915,2725,0.002328,-1.2743),(5915,2735,0.002312,-1.2737),(5915,2745,0.002297,-1.2731),(5915,2755,0.002302,-1.2725),(5915,2765,0.002368,-1.2719),(5915,2775,0.002433,-1.2713),(5915,2785,0.002499,-1.2707),(5915,2795,0.002573,-1.2701),(5915,2805,0.002668,-1.2695),(5915,2815,0.002762,-1.2689),(5915,2825,0.002857,-1.2682),(5915,2835,0.002929,-1.2676),(5915,2845,0.002955,-1.2669),(5915,2855,0.002981,-1.2662),(5915,2865,0.003007,-1.2654),(5915,2875,0.00302,-1.2647),(5915,2885,0.003011,-1.2639),(5915,2895,0.003002,-1.2631),(5915,2905,0.002993,-1.2624),(5915,2915,0.002999,-1.2616),(5915,2925,0.003027,-1.2608),(5915,2935,0.003056,-1.2601),(5915,2945,0.003084,-1.2594),(5915,2955,0.003134,-1.2587),(5915,2965,0.003212,-1.258),(5915,2975,0.00329,-1.2573),(5915,2985,0.003368,-1.2565),(5915,2995,0.00344,-1.2558),(5915,3005,0.003508,-1.2551),(5915,3015,0.003576,-1.2543),(5915,3025,0.003643,-1.2534),(5915,3035,0.00368,-1.2526),(5915,3045,0.00369,-1.2518),(5915,3055,0.0037,-1.2509),(5915,3065,0.003709,-1.25),(5915,3075,0.00372,-1.2491),(5915,3085,0.00373,-1.2482),(5915,3095,0.003741,-1.2473),(5915,3105,0.003752,-1.2465),(5915,3115,0.003795,-1.2456),(5915,3125,0.00386,-1.2448),(5915,3135,0.003925,-1.244),(5915,3145,0.00399,-1.2431),(5915,3155,0.004079,-1.2423),(5915,3165,0.004181,-1.2415),(5915,3175,0.004283,-1.2406),(5915,3185,0.004385,-1.2396),(5915,3195,0.00447,-1.2387),(5915,3205,0.004547,-1.2377),(5915,3215,0.004623,-1.2368),(5915,3225,0.0047,-1.2358),(5915,3235,0.004752,-1.2348),(5915,3245,0.004795,-1.2338),(5915,3255,0.004838,-1.2328),(5915,3265,0.00488,-1.2319),(5915,3275,0.004968,-1.231),(5915,3285,0.005069,-1.2301),(5915,3295,0.005171,-1.2291),(5915,3305,0.005272,-1.2282),(5915,3315,0.005411,-1.2272),(5915,3325,0.00556,-1.2263),(5915,3335,0.005708,-1.2253),(5915,3345,0.005857,-1.2243),(5915,3355,0.005967,-1.2233),(5915,3365,0.006071,-1.2223),(5915,3375,0.006176,-1.2214),(5915,3385,0.00628,-1.2204),(5915,3395,0.006382,-1.2194),(5915,3405,0.006483,-1.2185),(5915,3415,0.006585,-1.2175),(5915,3425,0.006687,-1.2165),(5915,3435,0.006892,-1.2155),(5915,3445,0.007105,-1.2145),(5915,3455,0.007318,-1.2135),(5915,3465,0.007531,-1.2126),(5915,3475,0.007829,-1.2116),(5915,3485,0.008129,-1.2106),(5915,3495,0.008429,-1.2096),(5915,3505,0.00873,-1.2086),(5915,3515,0.008988,-1.2077),(5915,3525,0.009246,-1.2067),(5915,3535,0.009504,-1.2057),(5915,3545,0.009767,-1.2047),(5915,3555,0.01013,-1.2036),(5915,3565,0.010494,-1.2026),(5915,3575,0.010857,-1.2017),(5915,3585,0.011242,-1.2008),(5915,3595,0.011864,-1.1999),(5915,3605,0.012486,-1.199),(5915,3615,0.013108,-1.1983),(5915,3625,0.013753,-1.1975),(5915,3635,0.014557,-1.1968),(5915,3645,0.015361,-1.196),(5915,3655,0.016165,-1.1952),(5915,3665,0.017007,-1.1943),(5915,3675,0.018048,-1.1935),(5915,3685,0.01909,-1.1926),(5915,3695,0.020131,-1.1918),(5915,3705,0.021247,-1.191),(5915,3715,0.022659,-1.1902),(5915,3725,0.024071,-1.1895),(5915,3735,0.025483,-1.1889),(5915,3745,0.027061,-1.1883),(5915,3755,0.02916,-1.1877),(5915,3765,0.031259,-1.1872),(5915,3775,0.033359,-1.1867),(5915,3785,0.035727,-1.1863),(5915,3795,0.038782,-1.1858),(5915,3805,0.041837,-1.1854),(5915,3815,0.044892,-1.1851),(5915,3825,0.048382,-1.1847),(5915,3835,0.052787,-1.1843),(5915,3845,0.057192,-1.184),(5915,3855,0.061597,-1.1836),(5915,3865,0.066773,-1.1832),(5915,3875,0.073311,-1.1829),(5915,3885,0.07985,-1.1825),(5915,3895,0.086389,-1.1821),(5915,3905,0.094247,-1.1817),(5915,3915,0.10408,-1.1813),(5915,3925,0.11391,-1.1813),(5915,3935,0.12373,-1.1816),(5915,3945,0.13759,-1.1819),(5915,3955,0.15656,-1.1823),(5915,3965,0.17553,-1.1836),(5915,3975,0.19449,-1.186),(5915,3985,0.22686,-1.1885),(5915,3995,0.27374,-1.1909),(5915,4005,0.32061,-1.1667),(5915,4015,0.36748,-1.116),(5915,4025,0.38036,-1.0652),(5915,4035,0.38991,-1.0305),(5915,4045,0.39946,-1.0297),(5915,4055,0.45805,-1.0288),(5915,4065,0.53454,-1.0278),(5915,4075,0.61102,-1.0263),(5915,4085,0.64555,-1.0247),(5915,4095,0.64636,-1.0232),(5915,4105,0.64717,-1.0217),(5915,4115,0.64803,-1.0202),(5915,4125,0.64896,-1.0187),(5915,4135,0.64989,-1.0172),(5915,4145,0.65085,-1.0157),(5915,4155,0.65193,-1.0143),(5915,4165,0.65301,-1.0128),(5915,4175,0.6541,-1.0113),(5915,4185,0.65536,-1.0098),(5915,4195,0.65662,-1.0083),(5915,4205,0.65788,-1.0069),(5915,4215,0.65929,-1.0055),(5915,4225,0.66073,-1.0041),(5915,4235,0.66217,-1.0027),(5915,4245,0.66369,-1.0012),(5915,4255,0.66526,-0.9998),(5915,4265,0.66683,-0.99828),(5915,4275,0.66845,-0.99675),(5915,4285,0.67013,-0.99522),(5915,4295,0.67181,-0.99373),(5915,4305,0.67353,-0.99224),(5915,4315,0.67535,-0.99075),(5915,4325,0.67718,-0.98926),(5915,4335,0.67902,-0.98777),(5915,4345,0.68099,-0.98627),(5915,4355,0.68296,-0.98473),(5915,4365,0.68493,-0.98314),(5915,4375,0.68705,-0.98155),(5915,4385,0.68917,-0.97994),(5915,4395,0.6913,-0.97831),(5915,4405,0.69353,-0.97667),(5915,4415,0.6958,-0.97502),(5915,4425,0.69806,-0.97329),(5915,4435,0.7004,-0.97156),(5915,4445,0.70279,-0.96983),(5915,4455,0.70519,-0.96801),(5915,4465,0.70763,-0.96619),(5915,4475,0.71016,-0.96437),(5915,4485,0.71269,-0.9624),(5915,4495,0.71525,-0.9604),(5915,4505,0.71794,-0.95841),(5915,4515,0.72062,-0.95633),(5915,4525,0.72331,-0.9542),(5915,4535,0.72615,-0.95207),(5915,4545,0.72898,-0.94989),(5915,4555,0.73182,-0.94765),(5915,4565,0.73475,-0.94542),(5915,4575,0.7377,-0.94315),(5915,4585,0.74066,-0.94082),(5915,4595,0.74368,-0.93848),(5915,4605,0.74672,-0.93613),(5915,4615,0.74977,-0.93365),(5915,4625,0.75287,-0.93117),(5915,4635,0.756,-0.92869),(5915,4645,0.75914,-0.9261),(5915,4655,0.7623,-0.9235),(5915,4665,0.76551,-0.92089),(5915,4675,0.76872,-0.91819),(5915,4685,0.77194,-0.91546),(5915,4695,0.77518,-0.91272),(5915,4705,0.77843,-0.90991),(5915,4715,0.78167,-0.90703),(5915,4725,0.78494,-0.90416),(5915,4735,0.78821,-0.90126),(5915,4745,0.79148,-0.89833),(5915,4755,0.79478,-0.89539),(5915,4765,0.79808,-0.89243),(5915,4775,0.80138,-0.88941),(5915,4785,0.8047,-0.88639),(5915,4795,0.80804,-0.88336),(5915,4805,0.81138,-0.88021),(5915,4815,0.81473,-0.87705),(5915,4825,0.81809,-0.87389),(5915,4835,0.82146,-0.87063),(5915,4845,0.82482,-0.86735),(5915,4855,0.82819,-0.86407),(5915,4865,0.83156,-0.86073),(5915,4875,0.83493,-0.85735),(5915,4885,0.83831,-0.85398),(5915,4895,0.84168,-0.85056),(5915,4905,0.84505,-0.8471),(5915,4915,0.84842,-0.84365),(5915,4925,0.85179,-0.84016),(5915,4935,0.85516,-0.83661),(5915,4945,0.85853,-0.83306),(5915,4955,0.8619,-0.8295),(5915,4965,0.86527,-0.82583),(5915,4975,0.86864,-0.82217),(5915,4985,0.87201,-0.81851),(5915,4995,0.87538,-0.81475),(5915,5005,0.87874,-0.81099),(5915,5015,0.8821,-0.80723),(5915,5025,0.88547,-0.80342),(5915,5035,0.88883,-0.7996),(5915,5045,0.89218,-0.79577),(5915,5055,0.89553,-0.79192),(5915,5065,0.89889,-0.78804),(5915,5075,0.90222,-0.78417),(5915,5085,0.90556,-0.78025),(5915,5095,0.90889,-0.77627),(5915,5105,0.91221,-0.77229),(5915,5115,0.91551,-0.76828),(5915,5125,0.91882,-0.76417),(5915,5135,0.92211,-0.76007),(5915,5145,0.92538,-0.75595),(5915,5155,0.92865,-0.75177),(5915,5165,0.93191,-0.74759),(5915,5175,0.93516,-0.7434),(5915,5185,0.93841,-0.7392),(5915,5195,0.94165,-0.735),(5915,5205,0.94487,-0.7308),(5915,5215,0.9481,-0.72655),(5915,5225,0.95132,-0.72228),(5915,5235,0.95451,-0.71801),(5915,5245,0.95771,-0.71369),(5915,5255,0.96091,-0.70933),(5915,5265,0.96408,-0.70497),(5915,5275,0.96724,-0.7006),(5915,5285,0.97041,-0.69619),(5915,5295,0.97356,-0.69178),(5915,5305,0.9767,-0.68737),(5915,5315,0.97984,-0.68294),(5915,5325,0.98296,-0.67851),(5915,5335,0.98607,-0.67408),(5915,5345,0.98918,-0.66962),(5915,5355,0.99227,-0.66516),(5915,5365,0.99533,-0.66069),(5915,5375,0.99839,-0.65616),(5915,5385,1.0014,-0.65162),(5915,5395,1.0044,-0.64707),(5915,5405,1.0074,-0.64246),(5915,5415,1.0105,-0.63781),(5915,5425,1.0134,-0.63316),(5915,5435,1.0164,-0.62848),(5915,5445,1.0193,-0.62377),(5915,5455,1.0223,-0.61906),(5915,5465,1.0252,-0.61433),(5915,5475,1.0281,-0.60958),(5915,5485,1.031,-0.60483),(5915,5495,1.0339,-0.60008),(5915,5505,1.0368,-0.59529),(5915,5515,1.0396,-0.59049),(5915,5525,1.0424,-0.5857),(5915,5535,1.0453,-0.58087),(5915,5545,1.0481,-0.57605),(5915,5555,1.0509,-0.57122),(5915,5565,1.0537,-0.56636),(5915,5575,1.0565,-0.56148),(5915,5585,1.0592,-0.5566),(5915,5595,1.062,-0.55168),(5915,5605,1.0647,-0.54672),(5915,5615,1.0674,-0.54176),(5915,5625,1.0701,-0.53677),(5915,5635,1.0728,-0.53174),(5915,5645,1.0754,-0.5267),(5915,5655,1.0781,-0.52166),(5915,5665,1.0807,-0.51658),(5915,5675,1.0833,-0.51151),(5915,5685,1.0858,-0.50644),(5915,5695,1.0884,-0.50137),(5915,5705,1.0909,-0.4963),(5915,5715,1.0935,-0.49123),(5915,5725,1.096,-0.48612),(5915,5735,1.0985,-0.48101),(5915,5745,1.1009,-0.4759),(5915,5755,1.1034,-0.47075),(5915,5765,1.1058,-0.4656),(5915,5775,1.1082,-0.46044),(5915,5785,1.1106,-0.45526),(5915,5795,1.113,-0.45005),(5915,5805,1.1153,-0.44485),(5915,5815,1.1177,-0.43962),(5915,5825,1.12,-0.43435),(5915,5835,1.1223,-0.42908),(5915,5845,1.1246,-0.4238),(5915,5855,1.1268,-0.41845),(5915,5865,1.129,-0.41309),(5915,5875,1.1312,-0.40774),(5915,5885,1.1334,-0.40234),(5915,5895,1.1355,-0.39693),(5915,5905,1.1376,-0.39153),(5915,5915,1.1398,-0.38613),(5915,5925,1.1419,-0.38074),(5915,5935,1.1439,-0.37534),(5915,5945,1.146,-0.36994),(5915,5955,1.148,-0.36453),(5915,5965,1.15,-0.35913),(5915,5975,1.152,-0.35369),(5915,5985,1.154,-0.34821),(5915,5995,1.1559,-0.34274),(5915,6005,1.1578,-0.33724),(5915,6015,1.1597,-0.33172),(5915,6025,1.1616,-0.3262),(5915,6035,1.1634,-0.32067),(5915,6045,1.1652,-0.31516),(5915,6055,1.167,-0.30965),(5915,6065,1.1687,-0.30414),(5915,6075,1.1705,-0.29857),(5915,6085,1.1722,-0.29299),(5915,6095,1.1738,-0.28741),(5915,6105,1.1755,-0.28174),(5915,6115,1.1771,-0.27605),(5915,6125,1.1786,-0.27036),(5915,6135,1.1801,-0.26466),(5915,6145,1.1817,-0.25895),(5915,6155,1.1831,-0.25325),(5915,6165,1.1846,-0.24755),(5915,6175,1.186,-0.24188),(5915,6185,1.1874,-0.23621),(5915,6195,1.1888,-0.23053),(5915,6205,1.1902,-0.22483),(5915,6215,1.1915,-0.21914),(5915,6225,1.1928,-0.21344),(5915,6235,1.1941,-0.20769),(5915,6245,1.1953,-0.20193),(5915,6255,1.1965,-0.19618),(5915,6265,1.1976,-0.1904),(5915,6275,1.1988,-0.18462),(5915,6285,1.1998,-0.17884),(5915,6295,1.2008,-0.173),(5915,6305,1.2018,-0.16713),(5915,6315,1.2027,-0.16127),(5915,6325,1.2037,-0.15537),(5915,6335,1.2046,-0.14944),(5915,6345,1.2054,-0.1435),(5915,6355,1.2062,-0.13761),(5915,6365,1.2071,-0.1318),(5915,6375,1.2078,-0.12599),(5915,6385,1.2086,-0.12017),(5915,6395,1.2093,-0.11432),(5915,6405,1.21,-0.10846),(5915,6415,1.2106,-0.10261),(5915,6425,1.2113,-0.096762),(5915,6435,1.2119,-0.090913),(5915,6445,1.2124,-0.085065),(5915,6455,1.2129,-0.07918),(5915,6465,1.2134,-0.073284),(5915,6475,1.2138,-0.067388),(5915,6485,1.2142,-0.061491),(5915,6495,1.2146,-0.055593),(5915,6505,1.2149,-0.049695),(5915,6515,1.2152,-0.043777),(5915,6525,1.2155,-0.037829),(5915,6535,1.2157,-0.031881),(5915,6545,1.2159,-0.02596),(5915,6555,1.2161,-0.020124),(5915,6565,1.2162,-0.014287),(5915,6575,1.2163,-0.008441),(5915,6585,1.2164,-0.002441),(5915,6595,1.0346,0.003559),(5915,6605,0.65197,0.009559),(5915,6615,0.26937,0.010247),(5915,6625,0.000415,0.010253),(5915,6635,0.000445,0.010259),(5915,6645,0.000474,0.010263),(5915,6655,0.000504,0.010267),(5915,6665,0.000533,0.010271),(5915,6675,0.000562,0.010275),(5915,6685,0.000591,0.010279),(5915,6695,0.000619,0.010283),(5915,6705,0.000648,0.010286),(5915,6715,0.000676,0.010289),(5915,6725,0.000705,0.010292),(5915,6735,0.000733,0.010295),(5915,6745,0.000761,0.010298),(5915,6755,0.000789,0.0103),(5915,6765,0.000816,0.010303),(5915,6775,0.000844,0.010305),(5915,6785,0.000872,0.010307),(5915,6795,0.000899,0.010308),(5915,6805,0.000926,0.01031),(5915,6815,0.000953,0.010311),(5915,6825,0.00098,0.010312),(5915,6835,0.001006,0.010313),(5915,6845,0.001033,0.010314),(5915,6855,0.001059,0.010314),(5915,6865,0.001085,0.010315),(5915,6875,0.001111,0.010314),(5915,6885,0.001137,0.010314),(5915,6895,0.001162,0.010314),(5915,6905,0.001188,0.010313),(5915,6915,0.001213,0.010313),(5915,6925,0.001238,0.010312),(5915,6935,0.001263,0.01031),(5915,6945,0.001288,0.010309),(5915,6955,0.001312,0.010307),(5915,6965,0.001337,0.010305),(5915,6975,0.001361,0.010303),(5915,6985,0.001385,0.010301),(5925,5,1e-05,-1.3195),(5925,15,3.1e-05,-1.3196),(5925,25,4.6e-05,-1.3196),(5925,35,5.7e-05,-1.3197),(5925,45,6.7e-05,-1.3197),(5925,55,7.8e-05,-1.3196),(5925,65,9.7e-05,-1.3196),(5925,75,0.000122,-1.3195),(5925,85,0.000148,-1.3195),(5925,95,0.000173,-1.3196),(5925,105,0.000201,-1.3197),(5925,115,0.000232,-1.3197),(5925,125,0.000262,-1.3198),(5925,135,0.000293,-1.3198),(5925,145,0.000339,-1.3198),(5925,155,0.000395,-1.3199),(5925,165,0.00045,-1.3199),(5925,175,0.000506,-1.3199),(5925,185,0.000517,-1.3198),(5925,195,0.000507,-1.3198),(5925,205,0.000497,-1.3198),(5925,215,0.000486,-1.3198),(5925,225,0.000513,-1.3197),(5925,235,0.000553,-1.3197),(5925,245,0.000594,-1.3197),(5925,255,0.000634,-1.3196),(5925,265,0.000639,-1.3196),(5925,275,0.000632,-1.3195),(5925,285,0.000625,-1.3194),(5925,295,0.000618,-1.3194),(5925,305,0.000612,-1.3193),(5925,315,0.000605,-1.3193),(5925,325,0.000598,-1.3193),(5925,335,0.000592,-1.3192),(5925,345,0.000627,-1.3192),(5925,355,0.00067,-1.3192),(5925,365,0.000714,-1.3193),(5925,375,0.000757,-1.3194),(5925,385,0.000838,-1.3194),(5925,395,0.000923,-1.3195),(5925,405,0.001008,-1.3196),(5925,415,0.001094,-1.3196),(5925,425,0.001153,-1.3196),(5925,435,0.00121,-1.3197),(5925,445,0.001268,-1.3197),(5925,455,0.001325,-1.3197),(5925,465,0.001345,-1.3197),(5925,475,0.001363,-1.3197),(5925,485,0.001381,-1.3197),(5925,495,0.001399,-1.3196),(5925,505,0.001422,-1.3195),(5925,515,0.001444,-1.3195),(5925,525,0.001467,-1.3195),(5925,535,0.001491,-1.3195),(5925,545,0.00153,-1.3195),(5925,555,0.001569,-1.3195),(5925,565,0.001608,-1.3196),(5925,575,0.001652,-1.3197),(5925,585,0.001757,-1.3198),(5925,595,0.001861,-1.3199),(5925,605,0.001965,-1.3199),(5925,615,0.002066,-1.32),(5925,625,0.002141,-1.3201),(5925,635,0.002215,-1.3201),(5925,645,0.00229,-1.32),(5925,655,0.002355,-1.3199),(5925,665,0.002368,-1.3198),(5925,675,0.002381,-1.3197),(5925,685,0.002394,-1.3198),(5925,695,0.002429,-1.3198),(5925,705,0.002554,-1.3199),(5925,715,0.002679,-1.32),(5925,725,0.002804,-1.3201),(5925,735,0.002955,-1.3203),(5925,745,0.003189,-1.3205),(5925,755,0.003424,-1.3206),(5925,765,0.003659,-1.3207),(5925,775,0.00389,-1.3208),(5925,785,0.004111,-1.321),(5925,795,0.004332,-1.3211),(5925,805,0.004553,-1.3212),(5925,815,0.004793,-1.3214),(5925,825,0.005074,-1.3215),(5925,835,0.005355,-1.3217),(5925,845,0.005636,-1.3219),(5925,855,0.00596,-1.3221),(5925,865,0.006361,-1.3223),(5925,875,0.006762,-1.3226),(5925,885,0.007163,-1.3228),(5925,895,0.007597,-1.323),(5925,905,0.008083,-1.3232),(5925,915,0.008568,-1.3234),(5925,925,0.009054,-1.3237),(5925,935,0.009622,-1.3239),(5925,945,0.010298,-1.3242),(5925,955,0.010974,-1.3245),(5925,965,0.01165,-1.325),(5925,975,0.012492,-1.3254),(5925,985,0.013519,-1.3259),(5925,995,0.014547,-1.3264),(5925,1005,0.015574,-1.327),(5925,1015,0.016845,-1.3275),(5925,1025,0.018349,-1.328),(5925,1035,0.019853,-1.3286),(5925,1045,0.021357,-1.3292),(5925,1055,0.023264,-1.3299),(5925,1065,0.0255,-1.3305),(5925,1075,0.027736,-1.3312),(5925,1085,0.029973,-1.332),(5925,1095,0.032913,-1.3328),(5925,1105,0.036343,-1.3336),(5925,1115,0.039773,-1.3344),(5925,1125,0.043204,-1.3352),(5925,1135,0.04782,-1.336),(5925,1145,0.053137,-1.3368),(5925,1155,0.058453,-1.3376),(5925,1165,0.06377,-1.3384),(5925,1175,0.071008,-1.3392),(5925,1185,0.0792,-1.3399),(5925,1195,0.087391,-1.3402),(5925,1205,0.095583,-1.3402),(5925,1215,0.10712,-1.3402),(5925,1225,0.12004,-1.3403),(5925,1235,0.13296,-1.3394),(5925,1245,0.14588,-1.3382),(5925,1255,0.16914,-1.337),(5925,1265,0.1959,-1.3358),(5925,1275,0.22265,-1.3354),(5925,1285,0.24941,-1.3353),(5925,1295,0.26626,-1.3352),(5925,1305,0.28044,-1.3351),(5925,1315,0.29462,-1.3061),(5925,1325,0.30881,-1.2703),(5925,1335,0.18931,-1.2344),(5925,1345,0.041804,-1.1985),(5925,1355,-0.1057,-1.222),(5925,1365,-0.25321,-1.2563),(5925,1375,-0.27129,-1.2906),(5925,1385,-0.26939,-1.3249),(5925,1395,-0.26749,-1.3283),(5925,1405,-0.26559,-1.3278),(5925,1415,-0.23975,-1.3272),(5925,1425,-0.21143,-1.3267),(5925,1435,-0.1831,-1.3287),(5925,1445,-0.15477,-1.331),(5925,1455,-0.14115,-1.3332),(5925,1465,-0.12837,-1.3354),(5925,1475,-0.1156,-1.3361),(5925,1485,-0.10282,-1.3366),(5925,1495,-0.094328,-1.3372),(5925,1505,-0.085901,-1.3378),(5925,1515,-0.077473,-1.3369),(5925,1525,-0.069114,-1.3361),(5925,1535,-0.063445,-1.3353),(5925,1545,-0.057776,-1.3345),(5925,1555,-0.052108,-1.3334),(5925,1565,-0.046562,-1.3324),(5925,1575,-0.042812,-1.3314),(5925,1585,-0.039061,-1.3304),(5925,1595,-0.035311,-1.3294),(5925,1605,-0.031692,-1.3284),(5925,1615,-0.02921,-1.3274),(5925,1625,-0.026728,-1.3265),(5925,1635,-0.024246,-1.3255),(5925,1645,-0.021886,-1.3246),(5925,1655,-0.020258,-1.3237),(5925,1665,-0.01863,-1.3228),(5925,1675,-0.017002,-1.322),(5925,1685,-0.015476,-1.3213),(5925,1695,-0.014409,-1.3205),(5925,1705,-0.013342,-1.3198),(5925,1715,-0.012275,-1.3192),(5925,1725,-0.011277,-1.3187),(5925,1735,-0.010522,-1.3181),(5925,1745,-0.009767,-1.3175),(5925,1755,-0.009011,-1.3169),(5925,1765,-0.008307,-1.3163),(5925,1775,-0.007749,-1.3157),(5925,1785,-0.00719,-1.3151),(5925,1795,-0.006631,-1.3145),(5925,1805,-0.006125,-1.3139),(5925,1815,-0.005742,-1.3134),(5925,1825,-0.005359,-1.3129),(5925,1835,-0.004976,-1.3124),(5925,1845,-0.004623,-1.312),(5925,1855,-0.004329,-1.3116),(5925,1865,-0.004034,-1.3111),(5925,1875,-0.00374,-1.3107),(5925,1885,-0.003446,-1.3103),(5925,1895,-0.003151,-1.3098),(5925,1905,-0.002857,-1.3095),(5925,1915,-0.002563,-1.3092),(5925,1925,-0.002305,-1.3089),(5925,1935,-0.0021,-1.3086),(5925,1945,-0.001894,-1.3082),(5925,1955,-0.001689,-1.3078),(5925,1965,-0.001527,-1.3074),(5925,1975,-0.001416,-1.307),(5925,1985,-0.001305,-1.3066),(5925,1995,-0.001194,-1.3063),(5925,2005,-0.001079,-1.3059),(5925,2015,-0.000962,-1.3056),(5925,2025,-0.000844,-1.3052),(5925,2035,-0.000727,-1.305),(5925,2045,-0.00063,-1.3047),(5925,2055,-0.000552,-1.3045),(5925,2065,-0.000474,-1.3041),(5925,2075,-0.000396,-1.3038),(5925,2085,-0.000326,-1.3034),(5925,2095,-0.000263,-1.303),(5925,2105,-0.0002,-1.3026),(5925,2115,-0.000138,-1.3023),(5925,2125,-9.1e-05,-1.3019),(5925,2135,-5.3e-05,-1.3016),(5925,2145,-1.6e-05,-1.3012),(5925,2155,2.1e-05,-1.3008),(5925,2165,3.2e-05,-1.3005),(5925,2175,3e-05,-1.3001),(5925,2185,2.8e-05,-1.2997),(5925,2195,2.6e-05,-1.2993),(5925,2205,6.3e-05,-1.2989),(5925,2215,0.000116,-1.2985),(5925,2225,0.00017,-1.2981),(5925,2235,0.000223,-1.2978),(5925,2245,0.000304,-1.2975),(5925,2255,0.000395,-1.2972),(5925,2265,0.000486,-1.2968),(5925,2275,0.000576,-1.2964),(5925,2285,0.00066,-1.296),(5925,2295,0.000743,-1.2956),(5925,2305,0.000825,-1.2953),(5925,2315,0.000907,-1.2949),(5925,2325,0.000969,-1.2945),(5925,2335,0.001026,-1.2941),(5925,2345,0.001083,-1.2937),(5925,2355,0.00114,-1.2933),(5925,2365,0.001173,-1.2929),(5925,2375,0.001201,-1.2925),(5925,2385,0.00123,-1.2921),(5925,2395,0.001258,-1.2916),(5925,2405,0.001308,-1.2912),(5925,2415,0.001359,-1.2907),(5925,2425,0.001411,-1.2903),(5925,2435,0.001462,-1.2898),(5925,2445,0.001514,-1.2894),(5925,2455,0.001566,-1.289),(5925,2465,0.001617,-1.2885),(5925,2475,0.001669,-1.288),(5925,2485,0.001709,-1.2875),(5925,2495,0.00175,-1.287),(5925,2505,0.00179,-1.2865),(5925,2515,0.001831,-1.286),(5925,2525,0.001903,-1.2855),(5925,2535,0.001975,-1.285),(5925,2545,0.002048,-1.2845),(5925,2555,0.002118,-1.284),(5925,2565,0.002158,-1.2835),(5925,2575,0.002198,-1.283),(5925,2585,0.002237,-1.2824),(5925,2595,0.002272,-1.2818),(5925,2605,0.002255,-1.2813),(5925,2615,0.002238,-1.2807),(5925,2625,0.002221,-1.2801),(5925,2635,0.002208,-1.2795),(5925,2645,0.002222,-1.2789),(5925,2655,0.002237,-1.2783),(5925,2665,0.002251,-1.2777),(5925,2675,0.002266,-1.2771),(5925,2685,0.002286,-1.2766),(5925,2695,0.002306,-1.276),(5925,2705,0.002326,-1.2754),(5925,2715,0.00234,-1.2749),(5925,2725,0.002333,-1.2743),(5925,2735,0.002325,-1.2737),(5925,2745,0.002317,-1.2731),(5925,2755,0.002327,-1.2725),(5925,2765,0.002389,-1.2719),(5925,2775,0.002451,-1.2713),(5925,2785,0.002513,-1.2707),(5925,2795,0.002585,-1.2701),(5925,2805,0.002679,-1.2695),(5925,2815,0.002773,-1.2688),(5925,2825,0.002868,-1.2682),(5925,2835,0.002939,-1.2675),(5925,2845,0.002966,-1.2669),(5925,2855,0.002992,-1.2662),(5925,2865,0.003018,-1.2654),(5925,2875,0.003029,-1.2647),(5925,2885,0.003014,-1.2639),(5925,2895,0.002999,-1.2632),(5925,2905,0.002984,-1.2624),(5925,2915,0.002985,-1.2616),(5925,2925,0.003009,-1.2609),(5925,2935,0.003033,-1.2601),(5925,2945,0.003058,-1.2594),(5925,2955,0.003107,-1.2587),(5925,2965,0.003185,-1.2579),(5925,2975,0.003264,-1.2572),(5925,2985,0.003343,-1.2565),(5925,2995,0.003416,-1.2558),(5925,3005,0.003483,-1.255),(5925,3015,0.00355,-1.2543),(5925,3025,0.003617,-1.2534),(5925,3035,0.003652,-1.2526),(5925,3045,0.00366,-1.2518),(5925,3055,0.003667,-1.2509),(5925,3065,0.003675,-1.25),(5925,3075,0.003684,-1.2491),(5925,3085,0.003695,-1.2482),(5925,3095,0.003705,-1.2473),(5925,3105,0.003716,-1.2465),(5925,3115,0.003761,-1.2456),(5925,3125,0.00383,-1.2448),(5925,3135,0.003898,-1.2439),(5925,3145,0.003966,-1.2431),(5925,3155,0.004053,-1.2422),(5925,3165,0.004151,-1.2414),(5925,3175,0.004249,-1.2405),(5925,3185,0.004347,-1.2396),(5925,3195,0.004431,-1.2386),(5925,3205,0.004509,-1.2377),(5925,3215,0.004587,-1.2367),(5925,3225,0.004665,-1.2357),(5925,3235,0.004727,-1.2347),(5925,3245,0.004783,-1.2337),(5925,3255,0.004839,-1.2328),(5925,3265,0.004895,-1.2319),(5925,3275,0.00499,-1.2309),(5925,3285,0.005097,-1.23),(5925,3295,0.005203,-1.229),(5925,3305,0.005309,-1.2281),(5925,3315,0.005461,-1.2271),(5925,3325,0.005623,-1.2261),(5925,3335,0.005785,-1.2252),(5925,3345,0.005948,-1.2242),(5925,3355,0.006088,-1.2232),(5925,3365,0.006224,-1.2222),(5925,3375,0.00636,-1.2213),(5925,3385,0.006496,-1.2203),(5925,3395,0.006607,-1.2194),(5925,3405,0.006716,-1.2185),(5925,3415,0.006824,-1.2175),(5925,3425,0.006933,-1.2164),(5925,3435,0.007125,-1.2154),(5925,3445,0.007323,-1.2144),(5925,3455,0.007522,-1.2134),(5925,3465,0.00772,-1.2124),(5925,3475,0.00802,-1.2114),(5925,3485,0.008323,-1.2104),(5925,3495,0.008627,-1.2095),(5925,3505,0.00893,-1.2085),(5925,3515,0.009211,-1.2075),(5925,3525,0.009492,-1.2065),(5925,3535,0.009773,-1.2055),(5925,3545,0.010058,-1.2045),(5925,3555,0.010435,-1.2035),(5925,3565,0.010813,-1.2024),(5925,3575,0.01119,-1.2015),(5925,3585,0.01159,-1.2005),(5925,3595,0.012234,-1.1996),(5925,3605,0.012878,-1.1986),(5925,3615,0.013522,-1.1978),(5925,3625,0.014189,-1.1971),(5925,3635,0.015021,-1.1963),(5925,3645,0.015854,-1.1955),(5925,3655,0.016687,-1.1946),(5925,3665,0.017558,-1.1938),(5925,3675,0.01863,-1.1929),(5925,3685,0.019701,-1.192),(5925,3695,0.020772,-1.1912),(5925,3705,0.021921,-1.1903),(5925,3715,0.023379,-1.1895),(5925,3725,0.024837,-1.1886),(5925,3735,0.026295,-1.188),(5925,3745,0.02792,-1.1873),(5925,3755,0.030067,-1.1866),(5925,3765,0.032214,-1.1859),(5925,3775,0.034361,-1.1854),(5925,3785,0.036776,-1.1848),(5925,3795,0.039871,-1.1842),(5925,3805,0.042966,-1.1837),(5925,3815,0.046061,-1.1831),(5925,3825,0.049582,-1.1826),(5925,3835,0.054002,-1.1821),(5925,3845,0.058421,-1.1815),(5925,3855,0.062841,-1.1809),(5925,3865,0.068024,-1.1803),(5925,3875,0.074557,-1.1796),(5925,3885,0.081089,-1.179),(5925,3895,0.087622,-1.1783),(5925,3905,0.095547,-1.1775),(5925,3915,0.10555,-1.1768),(5925,3925,0.11556,-1.1761),(5925,3935,0.12557,-1.1756),(5925,3945,0.13978,-1.175),(5925,3955,0.15935,-1.1745),(5925,3965,0.17891,-1.1739),(5925,3975,0.19848,-1.1733),(5925,3985,0.2237,-1.1726),(5925,3995,0.25503,-1.172),(5925,4005,0.28637,-1.1495),(5925,4015,0.3177,-1.1052),(5925,4025,0.34334,-1.0609),(5925,4035,0.36843,-1.0305),(5925,4045,0.39351,-1.0296),(5925,4055,0.45603,-1.0287),(5925,4065,0.53221,-1.0277),(5925,4075,0.60838,-1.0262),(5925,4085,0.64279,-1.0246),(5925,4095,0.64362,-1.0231),(5925,4105,0.64445,-1.0216),(5925,4115,0.64533,-1.02),(5925,4125,0.64626,-1.0185),(5925,4135,0.64719,-1.017),(5925,4145,0.64816,-1.0156),(5925,4155,0.64922,-1.0141),(5925,4165,0.65029,-1.0126),(5925,4175,0.65136,-1.0111),(5925,4185,0.65261,-1.0096),(5925,4195,0.65385,-1.0081),(5925,4205,0.65509,-1.0066),(5925,4215,0.65649,-1.0052),(5925,4225,0.65792,-1.0038),(5925,4235,0.65935,-1.0023),(5925,4245,0.66087,-1.0009),(5925,4255,0.66243,-0.99941),(5925,4265,0.664,-0.99786),(5925,4275,0.66561,-0.99631),(5925,4285,0.66729,-0.99477),(5925,4295,0.66897,-0.99324),(5925,4305,0.67068,-0.99172),(5925,4315,0.6725,-0.9902),(5925,4325,0.67431,-0.98868),(5925,4335,0.67614,-0.98715),(5925,4345,0.6781,-0.98563),(5925,4355,0.68005,-0.98405),(5925,4365,0.68201,-0.98243),(5925,4375,0.6841,-0.98081),(5925,4385,0.68621,-0.97917),(5925,4395,0.68831,-0.97751),(5925,4405,0.69052,-0.97586),(5925,4415,0.69276,-0.97418),(5925,4425,0.69499,-0.97245),(5925,4435,0.6973,-0.97071),(5925,4445,0.69967,-0.96897),(5925,4455,0.70203,-0.96715),(5925,4465,0.70444,-0.96533),(5925,4475,0.70692,-0.96351),(5925,4485,0.70941,-0.96154),(5925,4495,0.71193,-0.95954),(5925,4505,0.71456,-0.95754),(5925,4515,0.71719,-0.95546),(5925,4525,0.71983,-0.95333),(5925,4535,0.72261,-0.9512),(5925,4545,0.72539,-0.94902),(5925,4555,0.72816,-0.94678),(5925,4565,0.73104,-0.94454),(5925,4575,0.73394,-0.94228),(5925,4585,0.73683,-0.93994),(5925,4595,0.7398,-0.93761),(5925,4605,0.7428,-0.93526),(5925,4615,0.7458,-0.93278),(5925,4625,0.74885,-0.9303),(5925,4635,0.75195,-0.92782),(5925,4645,0.75504,-0.92523),(5925,4655,0.75817,-0.92263),(5925,4665,0.76134,-0.92003),(5925,4675,0.76451,-0.91733),(5925,4685,0.76769,-0.9146),(5925,4695,0.7709,-0.91187),(5925,4705,0.77411,-0.90906),(5925,4715,0.77732,-0.9062),(5925,4725,0.78055,-0.90333),(5925,4735,0.78379,-0.90044),(5925,4745,0.78702,-0.8975),(5925,4755,0.79028,-0.89457),(5925,4765,0.79354,-0.89161),(5925,4775,0.7968,-0.88859),(5925,4785,0.80009,-0.88557),(5925,4795,0.8034,-0.88254),(5925,4805,0.8067,-0.87938),(5925,4815,0.81002,-0.87622),(5925,4825,0.81335,-0.87307),(5925,4835,0.81668,-0.86981),(5925,4845,0.82001,-0.86654),(5925,4855,0.82335,-0.86326),(5925,4865,0.82669,-0.85993),(5925,4875,0.83003,-0.85656),(5925,4885,0.83337,-0.85319),(5925,4895,0.83671,-0.84979),(5925,4905,0.84005,-0.84634),(5925,4915,0.84338,-0.84289),(5925,4925,0.84672,-0.83941),(5925,4935,0.85005,-0.83587),(5925,4945,0.85339,-0.83234),(5925,4955,0.85672,-0.82878),(5925,4965,0.86005,-0.82513),(5925,4975,0.86338,-0.82148),(5925,4985,0.86672,-0.81783),(5925,4995,0.87005,-0.81408),(5925,5005,0.87338,-0.81033),(5925,5015,0.87671,-0.80658),(5925,5025,0.88003,-0.80278),(5925,5035,0.88336,-0.79897),(5925,5045,0.88667,-0.79515),(5925,5055,0.88999,-0.7913),(5925,5065,0.89331,-0.78744),(5925,5075,0.89661,-0.78357),(5925,5085,0.89992,-0.77966),(5925,5095,0.90322,-0.7757),(5925,5105,0.90651,-0.77173),(5925,5115,0.90979,-0.76774),(5925,5125,0.91307,-0.76364),(5925,5135,0.91633,-0.75955),(5925,5145,0.91958,-0.75545),(5925,5155,0.92283,-0.75127),(5925,5165,0.92606,-0.7471),(5925,5175,0.92929,-0.74293),(5925,5185,0.93251,-0.73873),(5925,5195,0.93572,-0.73454),(5925,5205,0.93892,-0.73034),(5925,5215,0.94212,-0.7261),(5925,5225,0.94532,-0.72184),(5925,5235,0.94849,-0.71757),(5925,5245,0.95166,-0.71326),(5925,5255,0.95483,-0.70891),(5925,5265,0.95797,-0.70456),(5925,5275,0.96111,-0.70019),(5925,5285,0.96425,-0.69578),(5925,5295,0.96737,-0.69138),(5925,5305,0.97049,-0.68697),(5925,5315,0.9736,-0.68254),(5925,5325,0.9767,-0.67811),(5925,5335,0.97979,-0.67369),(5925,5345,0.98288,-0.66923),(5925,5355,0.98595,-0.66477),(5925,5365,0.98899,-0.66031),(5925,5375,0.99203,-0.65579),(5925,5385,0.99507,-0.65125),(5925,5395,0.99806,-0.64671),(5925,5405,1.0011,-0.6421),(5925,5415,1.004,-0.63746),(5925,5425,1.007,-0.63282),(5925,5435,1.0099,-0.62814),(5925,5445,1.0129,-0.62344),(5925,5455,1.0158,-0.61873),(5925,5465,1.0187,-0.61401),(5925,5475,1.0216,-0.60927),(5925,5485,1.0245,-0.60453),(5925,5495,1.0273,-0.59978),(5925,5505,1.0301,-0.59499),(5925,5515,1.033,-0.59021),(5925,5525,1.0358,-0.58542),(5925,5535,1.0386,-0.58059),(5925,5545,1.0413,-0.57576),(5925,5555,1.0441,-0.57093),(5925,5565,1.0469,-0.56606),(5925,5575,1.0496,-0.56118),(5925,5585,1.0524,-0.5563),(5925,5595,1.0551,-0.55137),(5925,5605,1.0578,-0.54641),(5925,5615,1.0605,-0.54146),(5925,5625,1.0632,-0.53647),(5925,5635,1.0659,-0.53144),(5925,5645,1.0685,-0.52641),(5925,5655,1.0711,-0.52137),(5925,5665,1.0737,-0.5163),(5925,5675,1.0763,-0.51123),(5925,5685,1.0789,-0.50616),(5925,5695,1.0814,-0.5011),(5925,5705,1.0839,-0.49604),(5925,5715,1.0864,-0.49097),(5925,5725,1.0889,-0.48587),(5925,5735,1.0914,-0.48075),(5925,5745,1.0938,-0.47564),(5925,5755,1.0962,-0.4705),(5925,5765,1.0987,-0.46534),(5925,5775,1.101,-0.46018),(5925,5785,1.1034,-0.455),(5925,5795,1.1058,-0.44979),(5925,5805,1.1081,-0.44459),(5925,5815,1.1104,-0.43936),(5925,5825,1.1127,-0.4341),(5925,5835,1.115,-0.42883),(5925,5845,1.1172,-0.42355),(5925,5855,1.1195,-0.4182),(5925,5865,1.1217,-0.41285),(5925,5875,1.1238,-0.40751),(5925,5885,1.126,-0.40211),(5925,5895,1.1281,-0.39671),(5925,5905,1.1302,-0.39131),(5925,5915,1.1323,-0.38591),(5925,5925,1.1344,-0.3805),(5925,5935,1.1364,-0.3751),(5925,5945,1.1385,-0.36969),(5925,5955,1.1405,-0.36429),(5925,5965,1.1425,-0.35888),(5925,5975,1.1444,-0.35344),(5925,5985,1.1464,-0.34796),(5925,5995,1.1483,-0.34248),(5925,6005,1.1502,-0.33699),(5925,6015,1.1521,-0.33147),(5925,6025,1.1539,-0.32594),(5925,6035,1.1558,-0.32042),(5925,6045,1.1576,-0.31492),(5925,6055,1.1593,-0.30941),(5925,6065,1.1611,-0.3039),(5925,6075,1.1628,-0.29834),(5925,6085,1.1645,-0.29277),(5925,6095,1.1661,-0.2872),(5925,6105,1.1677,-0.28155),(5925,6115,1.1693,-0.27586),(5925,6125,1.1708,-0.27018),(5925,6135,1.1724,-0.26448),(5925,6145,1.1739,-0.25877),(5925,6155,1.1753,-0.25306),(5925,6165,1.1767,-0.24736),(5925,6175,1.1782,-0.24168),(5925,6185,1.1796,-0.236),(5925,6195,1.1809,-0.23032),(5925,6205,1.1823,-0.22462),(5925,6215,1.1836,-0.21892),(5925,6225,1.1849,-0.21322),(5925,6235,1.1862,-0.20747),(5925,6245,1.1874,-0.20173),(5925,6255,1.1886,-0.19598),(5925,6265,1.1898,-0.19022),(5925,6275,1.1909,-0.18446),(5925,6285,1.1919,-0.1787),(5925,6295,1.1929,-0.17287),(5925,6305,1.1939,-0.16702),(5925,6315,1.1948,-0.16116),(5925,6325,1.1957,-0.15527),(5925,6335,1.1966,-0.14934),(5925,6345,1.1975,-0.1434),(5925,6355,1.1983,-0.13751),(5925,6365,1.1991,-0.13169),(5925,6375,1.1998,-0.12588),(5925,6385,1.2006,-0.12006),(5925,6395,1.2013,-0.1142),(5925,6405,1.202,-0.10835),(5925,6415,1.2026,-0.1025),(5925,6425,1.2032,-0.096652),(5925,6435,1.2038,-0.090807),(5925,6445,1.2043,-0.084963),(5925,6455,1.2049,-0.079084),(5925,6465,1.2054,-0.073196),(5925,6475,1.2057,-0.067308),(5925,6485,1.2061,-0.061417),(5925,6495,1.2065,-0.055524),(5925,6505,1.2068,-0.04963),(5925,6515,1.2071,-0.043714),(5925,6525,1.2074,-0.037767),(5925,6535,1.2076,-0.031819),(5925,6545,1.2078,-0.025899),(5925,6555,1.208,-0.020065),(5925,6565,1.2081,-0.01423),(5925,6575,1.2082,-0.008385),(5925,6585,1.2083,-0.002392),(5925,6595,1.0277,0.003601),(5925,6605,0.64763,0.009594),(5925,6615,0.26757,0.01028),(5925,6625,0.00041,0.010284),(5925,6635,0.00044,0.010289),(5925,6645,0.000469,0.010293),(5925,6655,0.000499,0.010297),(5925,6665,0.000528,0.010301),(5925,6675,0.000557,0.010304),(5925,6685,0.000586,0.010308),(5925,6695,0.000615,0.010312),(5925,6705,0.000643,0.010315),(5925,6715,0.000672,0.010318),(5925,6725,0.000701,0.010321),(5925,6735,0.000729,0.010324),(5925,6745,0.000757,0.010326),(5925,6755,0.000785,0.010328),(5925,6765,0.000813,0.010331),(5925,6775,0.000841,0.010333),(5925,6785,0.000868,0.010334),(5925,6795,0.000896,0.010336),(5925,6805,0.000923,0.010337),(5925,6815,0.00095,0.010338),(5925,6825,0.000977,0.010339),(5925,6835,0.001004,0.01034),(5925,6845,0.001031,0.01034),(5925,6855,0.001057,0.010341),(5925,6865,0.001083,0.010341),(5925,6875,0.001109,0.010341),(5925,6885,0.001135,0.01034),(5925,6895,0.001161,0.01034),(5925,6905,0.001187,0.010339),(5925,6915,0.001212,0.010338),(5925,6925,0.001237,0.010337),(5925,6935,0.001262,0.010335),(5925,6945,0.001287,0.010334),(5925,6955,0.001312,0.010332),(5925,6965,0.001337,0.01033),(5925,6975,0.001361,0.010327),(5925,6985,0.001385,0.010325),(5935,5,1e-05,-1.3195),(5935,15,2.9e-05,-1.3196),(5935,25,4.1e-05,-1.3196),(5935,35,4.8e-05,-1.3197),(5935,45,5.5e-05,-1.3197),(5935,55,6.3e-05,-1.3196),(5935,65,7.7e-05,-1.3196),(5935,75,9.7e-05,-1.3195),(5935,85,0.000117,-1.3195),(5935,95,0.000137,-1.3196),(5935,105,0.000172,-1.3196),(5935,115,0.000216,-1.3197),(5935,125,0.00026,-1.3197),(5935,135,0.000304,-1.3198),(5935,145,0.000352,-1.3198),(5935,155,0.000404,-1.3198),(5935,165,0.000455,-1.3198),(5935,175,0.000507,-1.3198),(5935,185,0.00052,-1.3198),(5935,195,0.000516,-1.3198),(5935,205,0.000511,-1.3198),(5935,215,0.000507,-1.3198),(5935,225,0.000521,-1.3197),(5935,235,0.000542,-1.3197),(5935,245,0.000563,-1.3197),(5935,255,0.000585,-1.3196),(5935,265,0.000588,-1.3196),(5935,275,0.000585,-1.3195),(5935,285,0.000583,-1.3195),(5935,295,0.000581,-1.3194),(5935,305,0.000578,-1.3194),(5935,315,0.000574,-1.3193),(5935,325,0.000571,-1.3193),(5935,335,0.000568,-1.3192),(5935,345,0.000607,-1.3192),(5935,355,0.000654,-1.3192),(5935,365,0.000701,-1.3192),(5935,375,0.000748,-1.3193),(5935,385,0.00083,-1.3194),(5935,395,0.000918,-1.3194),(5935,405,0.001006,-1.3195),(5935,415,0.001094,-1.3195),(5935,425,0.00116,-1.3196),(5935,435,0.001225,-1.3196),(5935,445,0.001289,-1.3197),(5935,455,0.001354,-1.3197),(5935,465,0.001373,-1.3197),(5935,475,0.00139,-1.3197),(5935,485,0.001406,-1.3197),(5935,495,0.001424,-1.3196),(5935,505,0.00145,-1.3196),(5935,515,0.001477,-1.3195),(5935,525,0.001503,-1.3195),(5935,535,0.00153,-1.3195),(5935,545,0.001579,-1.3195),(5935,555,0.001628,-1.3195),(5935,565,0.001677,-1.3196),(5935,575,0.00173,-1.3197),(5935,585,0.001828,-1.3197),(5935,595,0.001926,-1.3198),(5935,605,0.002024,-1.3199),(5935,615,0.002118,-1.32),(5935,625,0.002182,-1.32),(5935,635,0.002245,-1.3201),(5935,645,0.002309,-1.32),(5935,655,0.002367,-1.3199),(5935,665,0.002396,-1.3198),(5935,675,0.002424,-1.3197),(5935,685,0.002453,-1.3198),(5935,695,0.002501,-1.3198),(5935,705,0.002629,-1.3199),(5935,715,0.002757,-1.3199),(5935,725,0.002886,-1.3201),(5935,735,0.003037,-1.3202),(5935,745,0.003267,-1.3203),(5935,755,0.003496,-1.3205),(5935,765,0.003726,-1.3206),(5935,775,0.003957,-1.3207),(5935,785,0.004192,-1.3209),(5935,795,0.004427,-1.321),(5935,805,0.004662,-1.3211),(5935,815,0.004916,-1.3213),(5935,825,0.005209,-1.3214),(5935,835,0.005503,-1.3215),(5935,845,0.005796,-1.3217),(5935,855,0.006129,-1.322),(5935,865,0.006535,-1.3222),(5935,875,0.00694,-1.3224),(5935,885,0.007346,-1.3226),(5935,895,0.007789,-1.3228),(5935,905,0.00829,-1.323),(5935,915,0.008792,-1.3232),(5935,925,0.009293,-1.3234),(5935,935,0.009884,-1.3237),(5935,945,0.010593,-1.3239),(5935,955,0.011301,-1.3242),(5935,965,0.01201,-1.3246),(5935,975,0.012879,-1.325),(5935,985,0.01393,-1.3255),(5935,995,0.01498,-1.3259),(5935,1005,0.01603,-1.3264),(5935,1015,0.017324,-1.3269),(5935,1025,0.018852,-1.3274),(5935,1035,0.02038,-1.3279),(5935,1045,0.021907,-1.3285),(5935,1055,0.023843,-1.329),(5935,1065,0.026112,-1.3296),(5935,1075,0.028382,-1.3302),(5935,1085,0.030651,-1.3309),(5935,1095,0.033613,-1.3316),(5935,1105,0.037057,-1.3322),(5935,1115,0.040502,-1.3329),(5935,1125,0.043946,-1.3335),(5935,1135,0.048545,-1.3342),(5935,1145,0.053827,-1.3348),(5935,1155,0.059108,-1.3354),(5935,1165,0.064389,-1.336),(5935,1175,0.071483,-1.3365),(5935,1185,0.079477,-1.3371),(5935,1195,0.087471,-1.3373),(5935,1205,0.095465,-1.3373),(5935,1215,0.10673,-1.3373),(5935,1225,0.11935,-1.3373),(5935,1235,0.13197,-1.3365),(5935,1245,0.14458,-1.3355),(5935,1255,0.168,-1.3345),(5935,1265,0.19507,-1.3334),(5935,1275,0.22213,-1.331),(5935,1285,0.2492,-1.3281),(5935,1295,0.2589,-1.3252),(5935,1305,0.26391,-1.3223),(5935,1315,0.26891,-1.2956),(5935,1325,0.27392,-1.2631),(5935,1335,0.16766,-1.2306),(5935,1345,0.038088,-1.1981),(5935,1355,-0.091485,-1.2197),(5935,1365,-0.22106,-1.251),(5935,1375,-0.24439,-1.2823),(5935,1385,-0.25134,-1.3137),(5935,1395,-0.25828,-1.3195),(5935,1405,-0.26522,-1.3221),(5935,1415,-0.23947,-1.3247),(5935,1425,-0.21032,-1.3273),(5935,1435,-0.18118,-1.3288),(5935,1445,-0.15203,-1.3303),(5935,1455,-0.13879,-1.3317),(5935,1465,-0.12647,-1.3332),(5935,1475,-0.11415,-1.3336),(5935,1485,-0.10183,-1.334),(5935,1495,-0.093661,-1.3344),(5935,1505,-0.085556,-1.3348),(5935,1515,-0.077451,-1.3342),(5935,1525,-0.069409,-1.3335),(5935,1535,-0.063826,-1.3329),(5935,1545,-0.058242,-1.3322),(5935,1555,-0.052659,-1.3314),(5935,1565,-0.047194,-1.3305),(5935,1575,-0.043445,-1.3297),(5935,1585,-0.039697,-1.3288),(5935,1595,-0.035948,-1.328),(5935,1605,-0.032329,-1.3271),(5935,1615,-0.029831,-1.3263),(5935,1625,-0.027332,-1.3254),(5935,1635,-0.024834,-1.3246),(5935,1645,-0.022456,-1.3237),(5935,1655,-0.020797,-1.3229),(5935,1665,-0.019139,-1.3221),(5935,1675,-0.017481,-1.3214),(5935,1685,-0.015925,-1.3207),(5935,1695,-0.014826,-1.32),(5935,1705,-0.013727,-1.3194),(5935,1715,-0.012628,-1.3188),(5935,1725,-0.011604,-1.3183),(5935,1735,-0.01084,-1.3177),(5935,1745,-0.010077,-1.3172),(5935,1755,-0.009313,-1.3166),(5935,1765,-0.008601,-1.316),(5935,1775,-0.008037,-1.3154),(5935,1785,-0.007471,-1.3148),(5935,1795,-0.006907,-1.3143),(5935,1805,-0.006391,-1.3138),(5935,1815,-0.005988,-1.3132),(5935,1825,-0.005586,-1.3127),(5935,1835,-0.005183,-1.3123),(5935,1845,-0.004814,-1.3119),(5935,1855,-0.004508,-1.3114),(5935,1865,-0.004202,-1.311),(5935,1875,-0.003896,-1.3106),(5935,1885,-0.003592,-1.3101),(5935,1895,-0.003291,-1.3097),(5935,1905,-0.00299,-1.3093),(5935,1915,-0.002689,-1.309),(5935,1925,-0.002424,-1.3087),(5935,1935,-0.00221,-1.3084),(5935,1945,-0.001995,-1.3081),(5935,1955,-0.001781,-1.3077),(5935,1965,-0.00161,-1.3073),(5935,1975,-0.001491,-1.3069),(5935,1985,-0.001372,-1.3066),(5935,1995,-0.001252,-1.3062),(5935,2005,-0.001128,-1.3058),(5935,2015,-0.000999,-1.3055),(5935,2025,-0.00087,-1.3052),(5935,2035,-0.000741,-1.3049),(5935,2045,-0.000636,-1.3047),(5935,2055,-0.000552,-1.3044),(5935,2065,-0.000468,-1.3041),(5935,2075,-0.000384,-1.3037),(5935,2085,-0.000312,-1.3033),(5935,2095,-0.000249,-1.303),(5935,2105,-0.000186,-1.3026),(5935,2115,-0.000123,-1.3023),(5935,2125,-7.6e-05,-1.3019),(5935,2135,-3.8e-05,-1.3016),(5935,2145,-1e-06,-1.3012),(5935,2155,3.7e-05,-1.3009),(5935,2165,5e-05,-1.3005),(5935,2175,4.9e-05,-1.3001),(5935,2185,4.9e-05,-1.2997),(5935,2195,4.9e-05,-1.2993),(5935,2205,8.5e-05,-1.2989),(5935,2215,0.000137,-1.2985),(5935,2225,0.00019,-1.2981),(5935,2235,0.000242,-1.2978),(5935,2245,0.000321,-1.2974),(5935,2255,0.00041,-1.2971),(5935,2265,0.000499,-1.2967),(5935,2275,0.000587,-1.2963),(5935,2285,0.000676,-1.296),(5935,2295,0.000765,-1.2956),(5935,2305,0.000854,-1.2952),(5935,2315,0.000943,-1.2948),(5935,2325,0.001015,-1.2944),(5935,2335,0.001084,-1.2941),(5935,2345,0.001152,-1.2937),(5935,2355,0.001221,-1.2933),(5935,2365,0.001259,-1.2929),(5935,2375,0.001292,-1.2925),(5935,2385,0.001326,-1.2921),(5935,2395,0.001359,-1.2916),(5935,2405,0.001406,-1.2911),(5935,2415,0.001455,-1.2907),(5935,2425,0.001503,-1.2903),(5935,2435,0.001552,-1.2898),(5935,2445,0.001599,-1.2894),(5935,2455,0.001647,-1.2889),(5935,2465,0.001695,-1.2885),(5935,2475,0.001742,-1.288),(5935,2485,0.00178,-1.2875),(5935,2495,0.001818,-1.287),(5935,2505,0.001855,-1.2865),(5935,2515,0.001894,-1.286),(5935,2525,0.001964,-1.2855),(5935,2535,0.002035,-1.285),(5935,2545,0.002105,-1.2845),(5935,2555,0.002174,-1.284),(5935,2565,0.002212,-1.2835),(5935,2575,0.002249,-1.283),(5935,2585,0.002287,-1.2824),(5935,2595,0.002319,-1.2819),(5935,2605,0.002296,-1.2813),(5935,2615,0.002273,-1.2807),(5935,2625,0.002251,-1.2801),(5935,2635,0.002232,-1.2795),(5935,2645,0.00224,-1.2789),(5935,2655,0.002249,-1.2783),(5935,2665,0.002257,-1.2777),(5935,2675,0.002268,-1.2771),(5935,2685,0.002291,-1.2766),(5935,2695,0.002315,-1.276),(5935,2705,0.002338,-1.2754),(5935,2715,0.002356,-1.2749),(5935,2725,0.002354,-1.2743),(5935,2735,0.002351,-1.2737),(5935,2745,0.002349,-1.2731),(5935,2755,0.002362,-1.2725),(5935,2765,0.002418,-1.2719),(5935,2775,0.002473,-1.2712),(5935,2785,0.002529,-1.2706),(5935,2795,0.002595,-1.27),(5935,2805,0.002687,-1.2694),(5935,2815,0.002778,-1.2688),(5935,2825,0.00287,-1.2681),(5935,2835,0.00294,-1.2675),(5935,2845,0.002969,-1.2669),(5935,2855,0.002998,-1.2662),(5935,2865,0.003026,-1.2654),(5935,2875,0.003038,-1.2647),(5935,2885,0.00302,-1.264),(5935,2895,0.003002,-1.2632),(5935,2905,0.002985,-1.2624),(5935,2915,0.002982,-1.2616),(5935,2925,0.003002,-1.2609),(5935,2935,0.003021,-1.2601),(5935,2945,0.003041,-1.2594),(5935,2955,0.003086,-1.2586),(5935,2965,0.003163,-1.2579),(5935,2975,0.00324,-1.2571),(5935,2985,0.003317,-1.2564),(5935,2995,0.003391,-1.2557),(5935,3005,0.00346,-1.255),(5935,3015,0.00353,-1.2542),(5935,3025,0.0036,-1.2534),(5935,3035,0.003639,-1.2526),(5935,3045,0.003652,-1.2518),(5935,3055,0.003665,-1.2509),(5935,3065,0.003677,-1.25),(5935,3075,0.003691,-1.2491),(5935,3085,0.003704,-1.2482),(5935,3095,0.003718,-1.2474),(5935,3105,0.003731,-1.2465),(5935,3115,0.003779,-1.2456),(5935,3125,0.003849,-1.2447),(5935,3135,0.003918,-1.2439),(5935,3145,0.003988,-1.243),(5935,3155,0.004074,-1.2422),(5935,3165,0.004169,-1.2414),(5935,3175,0.004263,-1.2405),(5935,3185,0.004358,-1.2395),(5935,3195,0.004443,-1.2386),(5935,3205,0.004524,-1.2376),(5935,3215,0.004604,-1.2367),(5935,3225,0.004685,-1.2357),(5935,3235,0.004756,-1.2347),(5935,3245,0.004823,-1.2337),(5935,3255,0.00489,-1.2328),(5935,3265,0.004957,-1.2318),(5935,3275,0.005054,-1.2309),(5935,3285,0.00516,-1.2299),(5935,3295,0.005266,-1.229),(5935,3305,0.005372,-1.228),(5935,3315,0.005528,-1.227),(5935,3325,0.005695,-1.226),(5935,3335,0.005862,-1.2251),(5935,3345,0.00603,-1.2241),(5935,3355,0.006193,-1.2231),(5935,3365,0.006355,-1.2221),(5935,3375,0.006517,-1.2212),(5935,3385,0.006679,-1.2203),(5935,3395,0.006805,-1.2194),(5935,3405,0.006927,-1.2184),(5935,3415,0.007049,-1.2174),(5935,3425,0.00717,-1.2164),(5935,3435,0.007355,-1.2154),(5935,3445,0.007545,-1.2144),(5935,3455,0.007735,-1.2133),(5935,3465,0.007925,-1.2123),(5935,3475,0.008226,-1.2113),(5935,3485,0.00853,-1.2102),(5935,3495,0.008835,-1.2093),(5935,3505,0.009139,-1.2083),(5935,3515,0.009441,-1.2074),(5935,3525,0.009743,-1.2064),(5935,3535,0.010045,-1.2054),(5935,3545,0.010351,-1.2043),(5935,3555,0.01074,-1.2033),(5935,3565,0.01113,-1.2023),(5935,3575,0.011519,-1.2012),(5935,3585,0.011931,-1.2002),(5935,3595,0.012585,-1.1992),(5935,3605,0.01324,-1.1982),(5935,3615,0.013894,-1.1974),(5935,3625,0.014574,-1.1966),(5935,3635,0.015426,-1.1958),(5935,3645,0.016279,-1.195),(5935,3655,0.017131,-1.1941),(5935,3665,0.018023,-1.1932),(5935,3675,0.019119,-1.1923),(5935,3685,0.020214,-1.1914),(5935,3695,0.021309,-1.1905),(5935,3705,0.022485,-1.1896),(5935,3715,0.023975,-1.1887),(5935,3725,0.025465,-1.1878),(5935,3735,0.026956,-1.187),(5935,3745,0.028612,-1.1862),(5935,3755,0.03079,-1.1855),(5935,3765,0.032967,-1.1847),(5935,3775,0.035144,-1.184),(5935,3785,0.037586,-1.1833),(5935,3795,0.040703,-1.1826),(5935,3805,0.04382,-1.1819),(5935,3815,0.046937,-1.1812),(5935,3825,0.050471,-1.1805),(5935,3835,0.054885,-1.1798),(5935,3845,0.059299,-1.1791),(5935,3855,0.063713,-1.1782),(5935,3865,0.06888,-1.1773),(5935,3875,0.075379,-1.1764),(5935,3885,0.081878,-1.1755),(5935,3895,0.088377,-1.1744),(5935,3905,0.096303,-1.1733),(5935,3915,0.10636,-1.1723),(5935,3925,0.11642,-1.171),(5935,3935,0.12648,-1.1696),(5935,3945,0.1407,-1.1681),(5935,3955,0.16021,-1.1667),(5935,3965,0.17973,-1.1642),(5935,3975,0.19924,-1.1605),(5935,3985,0.21846,-1.1568),(5935,3995,0.23735,-1.1531),(5935,4005,0.25624,-1.1323),(5935,4015,0.27513,-1.0944),(5935,4025,0.31166,-1.0565),(5935,4035,0.34992,-1.0305),(5935,4045,0.38818,-1.0296),(5935,4055,0.45398,-1.0287),(5935,4065,0.52984,-1.0276),(5935,4075,0.60571,-1.0261),(5935,4085,0.63998,-1.0245),(5935,4095,0.64084,-1.023),(5935,4105,0.6417,-1.0214),(5935,4115,0.64259,-1.0199),(5935,4125,0.64353,-1.0184),(5935,4135,0.64447,-1.0169),(5935,4145,0.64544,-1.0154),(5935,4155,0.6465,-1.0139),(5935,4165,0.64756,-1.0124),(5935,4175,0.64862,-1.0109),(5935,4185,0.64985,-1.0093),(5935,4195,0.65108,-1.0078),(5935,4205,0.65231,-1.0064),(5935,4215,0.6537,-1.0049),(5935,4225,0.65511,-1.0034),(5935,4235,0.65653,-1.002),(5935,4245,0.65804,-1.0005),(5935,4255,0.65959,-0.99901),(5935,4265,0.66115,-0.99744),(5935,4275,0.66276,-0.99587),(5935,4285,0.66443,-0.99431),(5935,4295,0.6661,-0.99276),(5935,4305,0.66781,-0.9912),(5935,4315,0.66961,-0.98965),(5935,4325,0.67142,-0.9881),(5935,4335,0.67324,-0.98654),(5935,4345,0.67518,-0.98498),(5935,4355,0.67711,-0.98337),(5935,4365,0.67905,-0.98172),(5935,4375,0.68113,-0.98006),(5935,4385,0.68321,-0.9784),(5935,4395,0.68529,-0.97672),(5935,4405,0.68747,-0.97504),(5935,4415,0.68968,-0.97335),(5935,4425,0.69189,-0.97161),(5935,4435,0.69418,-0.96986),(5935,4445,0.69651,-0.96812),(5935,4455,0.69884,-0.96629),(5935,4465,0.70122,-0.96447),(5935,4475,0.70367,-0.96264),(5935,4485,0.70612,-0.96068),(5935,4495,0.7086,-0.95868),(5935,4505,0.71118,-0.95668),(5935,4515,0.71377,-0.95459),(5935,4525,0.71636,-0.95246),(5935,4535,0.71909,-0.95032),(5935,4545,0.72181,-0.94814),(5935,4555,0.72453,-0.94591),(5935,4565,0.72736,-0.94367),(5935,4575,0.7302,-0.94141),(5935,4585,0.73304,-0.93907),(5935,4595,0.73596,-0.93674),(5935,4605,0.73891,-0.93439),(5935,4615,0.74186,-0.93191),(5935,4625,0.74486,-0.92943),(5935,4635,0.74792,-0.92695),(5935,4645,0.75097,-0.92436),(5935,4655,0.75405,-0.92176),(5935,4665,0.75719,-0.91916),(5935,4675,0.76032,-0.91647),(5935,4685,0.76346,-0.91374),(5935,4695,0.76663,-0.91102),(5935,4705,0.76981,-0.90822),(5935,4715,0.77298,-0.90536),(5935,4725,0.77617,-0.9025),(5935,4735,0.77937,-0.89961),(5935,4745,0.78256,-0.89668),(5935,4755,0.78578,-0.89375),(5935,4765,0.78901,-0.89079),(5935,4775,0.79224,-0.88777),(5935,4785,0.79549,-0.88474),(5935,4795,0.79876,-0.88171),(5935,4805,0.80203,-0.87855),(5935,4815,0.80531,-0.8754),(5935,4825,0.80861,-0.87224),(5935,4835,0.81191,-0.86899),(5935,4845,0.81521,-0.86572),(5935,4855,0.81851,-0.86245),(5935,4865,0.82182,-0.85912),(5935,4875,0.82513,-0.85577),(5935,4885,0.82843,-0.85241),(5935,4895,0.83174,-0.84901),(5935,4905,0.83505,-0.84557),(5935,4915,0.83835,-0.84213),(5935,4925,0.84165,-0.83866),(5935,4935,0.84495,-0.83514),(5935,4945,0.84825,-0.83161),(5935,4955,0.85155,-0.82807),(5935,4965,0.85485,-0.82443),(5935,4975,0.85815,-0.82079),(5935,4985,0.86145,-0.81715),(5935,4995,0.86475,-0.81341),(5935,5005,0.86804,-0.80967),(5935,5015,0.87133,-0.80593),(5935,5025,0.87462,-0.80214),(5935,5035,0.87791,-0.79834),(5935,5045,0.8812,-0.79453),(5935,5055,0.88448,-0.79069),(5935,5065,0.88776,-0.78683),(5935,5075,0.89103,-0.78298),(5935,5085,0.89431,-0.77908),(5935,5095,0.89758,-0.77513),(5935,5105,0.90084,-0.77117),(5935,5115,0.90409,-0.76719),(5935,5125,0.90734,-0.76311),(5935,5135,0.91058,-0.75903),(5935,5145,0.9138,-0.75494),(5935,5155,0.91702,-0.75078),(5935,5165,0.92023,-0.74661),(5935,5175,0.92343,-0.74245),(5935,5185,0.92663,-0.73826),(5935,5195,0.92982,-0.73407),(5935,5205,0.93299,-0.72988),(5935,5215,0.93617,-0.72564),(5935,5225,0.93934,-0.72139),(5935,5235,0.94248,-0.71714),(5935,5245,0.94563,-0.71284),(5935,5255,0.94877,-0.70849),(5935,5265,0.95188,-0.70415),(5935,5275,0.955,-0.69978),(5935,5285,0.95811,-0.69538),(5935,5295,0.9612,-0.69098),(5935,5305,0.96429,-0.68657),(5935,5315,0.96738,-0.68214),(5935,5325,0.97045,-0.67772),(5935,5335,0.97352,-0.67329),(5935,5345,0.97658,-0.66884),(5935,5355,0.97963,-0.66439),(5935,5365,0.98266,-0.65993),(5935,5375,0.98569,-0.65542),(5935,5385,0.9887,-0.65089),(5935,5395,0.99168,-0.64635),(5935,5405,0.99466,-0.64175),(5935,5415,0.99763,-0.63711),(5935,5425,1.0006,-0.63247),(5935,5435,1.0035,-0.62781),(5935,5445,1.0064,-0.6231),(5935,5455,1.0093,-0.6184),(5935,5465,1.0122,-0.61369),(5935,5475,1.0151,-0.60896),(5935,5485,1.0179,-0.60423),(5935,5495,1.0207,-0.59948),(5935,5505,1.0236,-0.5947),(5935,5515,1.0264,-0.58992),(5935,5525,1.0291,-0.58513),(5935,5535,1.0319,-0.5803),(5935,5545,1.0346,-0.57547),(5935,5555,1.0374,-0.57064),(5935,5565,1.0401,-0.56576),(5935,5575,1.0428,-0.56088),(5935,5585,1.0456,-0.55599),(5935,5595,1.0483,-0.55107),(5935,5605,1.051,-0.54611),(5935,5615,1.0536,-0.54115),(5935,5625,1.0563,-0.53617),(5935,5635,1.059,-0.53114),(5935,5645,1.0616,-0.52611),(5935,5655,1.0642,-0.52108),(5935,5665,1.0668,-0.51601),(5935,5675,1.0693,-0.51095),(5935,5685,1.0719,-0.50589),(5935,5695,1.0744,-0.50083),(5935,5705,1.0769,-0.49577),(5935,5715,1.0794,-0.49071),(5935,5725,1.0818,-0.48561),(5935,5735,1.0843,-0.4805),(5935,5745,1.0867,-0.47539),(5935,5755,1.0891,-0.47024),(5935,5765,1.0915,-0.46508),(5935,5775,1.0939,-0.45992),(5935,5785,1.0962,-0.45474),(5935,5795,1.0986,-0.44953),(5935,5805,1.1009,-0.44433),(5935,5815,1.1032,-0.4391),(5935,5825,1.1055,-0.43384),(5935,5835,1.1077,-0.42857),(5935,5845,1.1099,-0.42329),(5935,5855,1.1122,-0.41796),(5935,5865,1.1143,-0.41262),(5935,5875,1.1165,-0.40728),(5935,5885,1.1186,-0.40188),(5935,5895,1.1207,-0.39648),(5935,5905,1.1228,-0.39108),(5935,5915,1.1249,-0.38568),(5935,5925,1.1269,-0.38027),(5935,5935,1.1289,-0.37486),(5935,5945,1.131,-0.36945),(5935,5955,1.133,-0.36404),(5935,5965,1.1349,-0.35863),(5935,5975,1.1369,-0.35319),(5935,5985,1.1388,-0.34771),(5935,5995,1.1407,-0.34223),(5935,6005,1.1426,-0.33674),(5935,6015,1.1445,-0.33122),(5935,6025,1.1463,-0.32569),(5935,6035,1.1481,-0.32017),(5935,6045,1.1499,-0.31467),(5935,6055,1.1517,-0.30917),(5935,6065,1.1534,-0.30367),(5935,6075,1.1551,-0.29811),(5935,6085,1.1568,-0.29255),(5935,6095,1.1584,-0.28699),(5935,6105,1.16,-0.28135),(5935,6115,1.1616,-0.27567),(5935,6125,1.1631,-0.26999),(5935,6135,1.1646,-0.2643),(5935,6145,1.1661,-0.25859),(5935,6155,1.1675,-0.25288),(5935,6165,1.1689,-0.24717),(5935,6175,1.1703,-0.24148),(5935,6185,1.1717,-0.23579),(5935,6195,1.1731,-0.2301),(5935,6205,1.1744,-0.2244),(5935,6215,1.1757,-0.2187),(5935,6225,1.177,-0.213),(5935,6235,1.1783,-0.20726),(5935,6245,1.1795,-0.20152),(5935,6255,1.1807,-0.19579),(5935,6265,1.1819,-0.19004),(5935,6275,1.183,-0.1843),(5935,6285,1.184,-0.17855),(5935,6295,1.185,-0.17274),(5935,6305,1.1861,-0.1669),(5935,6315,1.187,-0.16106),(5935,6325,1.1878,-0.15517),(5935,6335,1.1887,-0.14924),(5935,6345,1.1895,-0.1433),(5935,6355,1.1903,-0.13741),(5935,6365,1.1911,-0.13159),(5935,6375,1.1919,-0.12577),(5935,6385,1.1926,-0.11994),(5935,6395,1.1933,-0.11409),(5935,6405,1.194,-0.10824),(5935,6415,1.1946,-0.10238),(5935,6425,1.1952,-0.096542),(5935,6435,1.1958,-0.090701),(5935,6445,1.1963,-0.084861),(5935,6455,1.1968,-0.078989),(5935,6465,1.1973,-0.073109),(5935,6475,1.1977,-0.067229),(5935,6485,1.1981,-0.061344),(5935,6495,1.1985,-0.055454),(5935,6505,1.1988,-0.049565),(5935,6515,1.1991,-0.043651),(5935,6525,1.1994,-0.037704),(5935,6535,1.1996,-0.031757),(5935,6545,1.1997,-0.025838),(5935,6555,1.1999,-0.020005),(5935,6565,1.2,-0.014173),(5935,6575,1.2001,-0.00833),(5935,6585,1.2002,-0.002344),(5935,6595,1.0208,0.003642),(5935,6605,0.64331,0.009629),(5935,6615,0.26578,0.010313),(5935,6625,0.000405,0.010316),(5935,6635,0.000434,0.010319),(5935,6645,0.000464,0.010322),(5935,6655,0.000494,0.010326),(5935,6665,0.000523,0.01033),(5935,6675,0.000552,0.010334),(5935,6685,0.000582,0.010337),(5935,6695,0.00061,0.01034),(5935,6705,0.000639,0.010344),(5935,6715,0.000668,0.010347),(5935,6725,0.000697,0.010349),(5935,6735,0.000725,0.010352),(5935,6745,0.000754,0.010354),(5935,6755,0.000782,0.010356),(5935,6765,0.00081,0.010359),(5935,6775,0.000838,0.01036),(5935,6785,0.000865,0.010362),(5935,6795,0.000893,0.010363),(5935,6805,0.00092,0.010364),(5935,6815,0.000948,0.010365),(5935,6825,0.000975,0.010366),(5935,6835,0.001002,0.010367),(5935,6845,0.001029,0.010367),(5935,6855,0.001055,0.010367),(5935,6865,0.001081,0.010367),(5935,6875,0.001108,0.010367),(5935,6885,0.001134,0.010366),(5935,6895,0.00116,0.010366),(5935,6905,0.001186,0.010365),(5935,6915,0.001211,0.010363),(5935,6925,0.001237,0.010362),(5935,6935,0.001262,0.01036),(5935,6945,0.001287,0.010359),(5935,6955,0.001312,0.010357),(5935,6965,0.001337,0.010354),(5935,6975,0.001361,0.010352),(5935,6985,0.001386,0.010349),(5945,5,9e-06,-1.3195),(5945,15,2.8e-05,-1.3196),(5945,25,4.6e-05,-1.3197),(5945,35,6.3e-05,-1.3197),(5945,45,8.1e-05,-1.3197),(5945,55,9.9e-05,-1.3196),(5945,65,0.000114,-1.3196),(5945,75,0.000127,-1.3195),(5945,85,0.000141,-1.3195),(5945,95,0.000154,-1.3196),(5945,105,0.000183,-1.3196),(5945,115,0.000223,-1.3197),(5945,125,0.000263,-1.3197),(5945,135,0.000302,-1.3197),(5945,145,0.000345,-1.3197),(5945,155,0.00039,-1.3198),(5945,165,0.000434,-1.3198),(5945,175,0.000479,-1.3198),(5945,185,0.000497,-1.3198),(5945,195,0.000502,-1.3199),(5945,205,0.000507,-1.3198),(5945,215,0.000512,-1.3198),(5945,225,0.000524,-1.3197),(5945,235,0.000538,-1.3197),(5945,245,0.000553,-1.3197),(5945,255,0.000567,-1.3196),(5945,265,0.000567,-1.3196),(5945,275,0.000563,-1.3195),(5945,285,0.000558,-1.3195),(5945,295,0.000553,-1.3194),(5945,305,0.000549,-1.3194),(5945,315,0.000545,-1.3193),(5945,325,0.000541,-1.3193),(5945,335,0.000538,-1.3192),(5945,345,0.00057,-1.3192),(5945,355,0.00061,-1.3191),(5945,365,0.00065,-1.3192),(5945,375,0.00069,-1.3193),(5945,385,0.000772,-1.3193),(5945,395,0.00086,-1.3194),(5945,405,0.000949,-1.3194),(5945,415,0.001037,-1.3195),(5945,425,0.001116,-1.3195),(5945,435,0.001195,-1.3196),(5945,445,0.001273,-1.3196),(5945,455,0.001352,-1.3197),(5945,465,0.001388,-1.3197),(5945,475,0.001421,-1.3197),(5945,485,0.001455,-1.3197),(5945,495,0.001489,-1.3196),(5945,505,0.001522,-1.3196),(5945,515,0.001556,-1.3195),(5945,525,0.001589,-1.3195),(5945,535,0.001623,-1.3195),(5945,545,0.001674,-1.3195),(5945,555,0.001726,-1.3195),(5945,565,0.001777,-1.3195),(5945,575,0.001831,-1.3196),(5945,585,0.001927,-1.3197),(5945,595,0.002022,-1.3198),(5945,605,0.002117,-1.3198),(5945,615,0.002209,-1.3199),(5945,625,0.002276,-1.32),(5945,635,0.002342,-1.3201),(5945,645,0.002408,-1.32),(5945,655,0.002469,-1.3199),(5945,665,0.0025,-1.3198),(5945,675,0.00253,-1.3197),(5945,685,0.00256,-1.3198),(5945,695,0.002608,-1.3198),(5945,705,0.002726,-1.3198),(5945,715,0.002845,-1.3199),(5945,725,0.002963,-1.32),(5945,735,0.003105,-1.3201),(5945,745,0.003326,-1.3202),(5945,755,0.003546,-1.3203),(5945,765,0.003767,-1.3205),(5945,775,0.003993,-1.3206),(5945,785,0.004235,-1.3207),(5945,795,0.004477,-1.3209),(5945,805,0.004719,-1.321),(5945,815,0.00498,-1.3211),(5945,825,0.005283,-1.3213),(5945,835,0.005585,-1.3214),(5945,845,0.005888,-1.3216),(5945,855,0.006229,-1.3218),(5945,865,0.006645,-1.322),(5945,875,0.007059,-1.3222),(5945,885,0.007474,-1.3224),(5945,895,0.007929,-1.3226),(5945,905,0.008445,-1.3228),(5945,915,0.00896,-1.323),(5945,925,0.009476,-1.3232),(5945,935,0.010081,-1.3234),(5945,945,0.010803,-1.3236),(5945,955,0.011526,-1.3239),(5945,965,0.012248,-1.3243),(5945,975,0.013132,-1.3246),(5945,985,0.014196,-1.325),(5945,995,0.015261,-1.3254),(5945,1005,0.016325,-1.3259),(5945,1015,0.017632,-1.3263),(5945,1025,0.019172,-1.3268),(5945,1035,0.020712,-1.3272),(5945,1045,0.022251,-1.3277),(5945,1055,0.024197,-1.3282),(5945,1065,0.026474,-1.3287),(5945,1075,0.028752,-1.3292),(5945,1085,0.03103,-1.3298),(5945,1095,0.033985,-1.3303),(5945,1105,0.037414,-1.3309),(5945,1115,0.040842,-1.3314),(5945,1125,0.04427,-1.3319),(5945,1135,0.048826,-1.3324),(5945,1145,0.054046,-1.3328),(5945,1155,0.059267,-1.3332),(5945,1165,0.064487,-1.3336),(5945,1175,0.071508,-1.3339),(5945,1185,0.079422,-1.3343),(5945,1195,0.087336,-1.3344),(5945,1205,0.09525,-1.3343),(5945,1215,0.1064,-1.3343),(5945,1225,0.11889,-1.3343),(5945,1235,0.13138,-1.3336),(5945,1245,0.14387,-1.3328),(5945,1255,0.16594,-1.332),(5945,1265,0.19125,-1.3311),(5945,1275,0.21655,-1.3266),(5945,1285,0.24186,-1.3209),(5945,1295,0.24731,-1.3152),(5945,1305,0.2474,-1.3096),(5945,1315,0.24749,-1.285),(5945,1325,0.24757,-1.2559),(5945,1335,0.15165,-1.2268),(5945,1345,0.035601,-1.1978),(5945,1355,-0.080447,-1.2173),(5945,1365,-0.19649,-1.2457),(5945,1375,-0.22206,-1.2741),(5945,1385,-0.23367,-1.3025),(5945,1395,-0.24528,-1.3108),(5945,1405,-0.25689,-1.3164),(5945,1415,-0.23329,-1.3221),(5945,1425,-0.20603,-1.3278),(5945,1435,-0.17877,-1.3289),(5945,1445,-0.15152,-1.3295),(5945,1455,-0.13838,-1.3302),(5945,1465,-0.12606,-1.3309),(5945,1475,-0.11373,-1.3312),(5945,1485,-0.10141,-1.3314),(5945,1495,-0.093327,-1.3317),(5945,1505,-0.08531,-1.3319),(5945,1515,-0.077292,-1.3314),(5945,1525,-0.069337,-1.331),(5945,1535,-0.063852,-1.3305),(5945,1545,-0.058367,-1.33),(5945,1555,-0.052883,-1.3293),(5945,1565,-0.047513,-1.3286),(5945,1575,-0.043813,-1.328),(5945,1585,-0.040114,-1.3273),(5945,1595,-0.036414,-1.3266),(5945,1605,-0.032841,-1.3258),(5945,1615,-0.030351,-1.3251),(5945,1625,-0.027861,-1.3244),(5945,1635,-0.025371,-1.3236),(5945,1645,-0.022999,-1.3229),(5945,1655,-0.021324,-1.3221),(5945,1665,-0.01965,-1.3214),(5945,1675,-0.017976,-1.3208),(5945,1685,-0.016403,-1.3201),(5945,1695,-0.015279,-1.3195),(5945,1705,-0.014156,-1.3189),(5945,1715,-0.013032,-1.3184),(5945,1725,-0.011984,-1.3179),(5945,1735,-0.011198,-1.3174),(5945,1745,-0.010412,-1.3169),(5945,1755,-0.009625,-1.3163),(5945,1765,-0.008892,-1.3157),(5945,1775,-0.008309,-1.3152),(5945,1785,-0.007726,-1.3146),(5945,1795,-0.007143,-1.3141),(5945,1805,-0.00661,-1.3136),(5945,1815,-0.006191,-1.313),(5945,1825,-0.005773,-1.3126),(5945,1835,-0.005355,-1.3122),(5945,1845,-0.004973,-1.3117),(5945,1855,-0.00466,-1.3113),(5945,1865,-0.004347,-1.3109),(5945,1875,-0.004034,-1.3105),(5945,1885,-0.003728,-1.31),(5945,1895,-0.003432,-1.3096),(5945,1905,-0.003137,-1.3092),(5945,1915,-0.002841,-1.3089),(5945,1925,-0.002577,-1.3086),(5945,1935,-0.002354,-1.3083),(5945,1945,-0.002131,-1.308),(5945,1955,-0.001908,-1.3076),(5945,1965,-0.001733,-1.3073),(5945,1975,-0.001614,-1.3069),(5945,1985,-0.001495,-1.3065),(5945,1995,-0.001376,-1.3061),(5945,2005,-0.001253,-1.3058),(5945,2015,-0.001125,-1.3054),(5945,2025,-0.000996,-1.3051),(5945,2035,-0.000868,-1.3048),(5945,2045,-0.000751,-1.3046),(5945,2055,-0.000645,-1.3044),(5945,2065,-0.000539,-1.3041),(5945,2075,-0.000433,-1.3037),(5945,2085,-0.00034,-1.3033),(5945,2095,-0.000258,-1.3029),(5945,2105,-0.000176,-1.3026),(5945,2115,-9.3e-05,-1.3023),(5945,2125,-2.9e-05,-1.3019),(5945,2135,2.4e-05,-1.3016),(5945,2145,7.7e-05,-1.3012),(5945,2155,0.000131,-1.3009),(5945,2165,0.000152,-1.3005),(5945,2175,0.000156,-1.3001),(5945,2185,0.000161,-1.2997),(5945,2195,0.000165,-1.2993),(5945,2205,0.000194,-1.2989),(5945,2215,0.000234,-1.2984),(5945,2225,0.000274,-1.2981),(5945,2235,0.000313,-1.2977),(5945,2245,0.00038,-1.2974),(5945,2255,0.000458,-1.297),(5945,2265,0.000535,-1.2967),(5945,2275,0.000612,-1.2963),(5945,2285,0.000698,-1.2959),(5945,2295,0.000787,-1.2955),(5945,2305,0.000876,-1.2952),(5945,2315,0.000965,-1.2948),(5945,2325,0.001047,-1.2944),(5945,2335,0.001128,-1.294),(5945,2345,0.001208,-1.2936),(5945,2355,0.001289,-1.2933),(5945,2365,0.001336,-1.2929),(5945,2375,0.001378,-1.2925),(5945,2385,0.00142,-1.292),(5945,2395,0.001462,-1.2916),(5945,2405,0.001506,-1.2911),(5945,2415,0.00155,-1.2907),(5945,2425,0.001595,-1.2902),(5945,2435,0.001639,-1.2898),(5945,2445,0.00168,-1.2893),(5945,2455,0.001722,-1.2889),(5945,2465,0.001763,-1.2884),(5945,2475,0.001804,-1.288),(5945,2485,0.001833,-1.2875),(5945,2495,0.001862,-1.287),(5945,2505,0.00189,-1.2865),(5945,2515,0.001919,-1.286),(5945,2525,0.001985,-1.2854),(5945,2535,0.00205,-1.2849),(5945,2545,0.002115,-1.2844),(5945,2555,0.002179,-1.284),(5945,2565,0.002226,-1.2835),(5945,2575,0.002274,-1.283),(5945,2585,0.002322,-1.2824),(5945,2595,0.002364,-1.2819),(5945,2605,0.002349,-1.2813),(5945,2615,0.002334,-1.2808),(5945,2625,0.00232,-1.2801),(5945,2635,0.002307,-1.2795),(5945,2645,0.002311,-1.2789),(5945,2655,0.002315,-1.2783),(5945,2665,0.002318,-1.2777),(5945,2675,0.002325,-1.2771),(5945,2685,0.002348,-1.2766),(5945,2695,0.002372,-1.276),(5945,2705,0.002395,-1.2754),(5945,2715,0.002414,-1.2749),(5945,2725,0.002412,-1.2743),(5945,2735,0.002411,-1.2737),(5945,2745,0.002409,-1.2731),(5945,2755,0.002419,-1.2725),(5945,2765,0.002461,-1.2718),(5945,2775,0.002504,-1.2712),(5945,2785,0.002547,-1.2706),(5945,2795,0.002601,-1.27),(5945,2805,0.002684,-1.2693),(5945,2815,0.002768,-1.2687),(5945,2825,0.002851,-1.2681),(5945,2835,0.002919,-1.2675),(5945,2845,0.002955,-1.2668),(5945,2855,0.00299,-1.2662),(5945,2865,0.003026,-1.2655),(5945,2875,0.003045,-1.2647),(5945,2885,0.003033,-1.264),(5945,2895,0.003022,-1.2632),(5945,2905,0.00301,-1.2625),(5945,2915,0.003008,-1.2617),(5945,2925,0.003021,-1.2609),(5945,2935,0.003033,-1.2601),(5945,2945,0.003046,-1.2593),(5945,2955,0.003083,-1.2586),(5945,2965,0.003152,-1.2578),(5945,2975,0.003221,-1.2571),(5945,2985,0.003289,-1.2564),(5945,2995,0.003363,-1.2557),(5945,3005,0.003443,-1.255),(5945,3015,0.003524,-1.2542),(5945,3025,0.003604,-1.2534),(5945,3035,0.00366,-1.2526),(5945,3045,0.003696,-1.2518),(5945,3055,0.003731,-1.2509),(5945,3065,0.003767,-1.25),(5945,3075,0.003796,-1.2491),(5945,3085,0.00382,-1.2483),(5945,3095,0.003844,-1.2474),(5945,3105,0.003868,-1.2465),(5945,3115,0.003919,-1.2456),(5945,3125,0.003985,-1.2447),(5945,3135,0.004052,-1.2438),(5945,3145,0.004119,-1.243),(5945,3155,0.004203,-1.2421),(5945,3165,0.004297,-1.2413),(5945,3175,0.004391,-1.2404),(5945,3185,0.004485,-1.2395),(5945,3195,0.004574,-1.2385),(5945,3205,0.004661,-1.2376),(5945,3215,0.004749,-1.2366),(5945,3225,0.004836,-1.2356),(5945,3235,0.004912,-1.2347),(5945,3245,0.004984,-1.2337),(5945,3255,0.005055,-1.2327),(5945,3265,0.005127,-1.2318),(5945,3275,0.005215,-1.2308),(5945,3285,0.005309,-1.2299),(5945,3295,0.005403,-1.2289),(5945,3305,0.005497,-1.2279),(5945,3315,0.005637,-1.2269),(5945,3325,0.005789,-1.2259),(5945,3335,0.00594,-1.2249),(5945,3345,0.006091,-1.224),(5945,3355,0.006261,-1.223),(5945,3365,0.006435,-1.2221),(5945,3375,0.006609,-1.2211),(5945,3385,0.006783,-1.2202),(5945,3395,0.006935,-1.2193),(5945,3405,0.007085,-1.2184),(5945,3415,0.007236,-1.2174),(5945,3425,0.007386,-1.2163),(5945,3435,0.007579,-1.2153),(5945,3445,0.007775,-1.2143),(5945,3455,0.007971,-1.2132),(5945,3465,0.008167,-1.2122),(5945,3475,0.008465,-1.2111),(5945,3485,0.008767,-1.2101),(5945,3495,0.009069,-1.2091),(5945,3505,0.00937,-1.2082),(5945,3515,0.009689,-1.2072),(5945,3525,0.010008,-1.2063),(5945,3535,0.010327,-1.2052),(5945,3545,0.010649,-1.2042),(5945,3555,0.011045,-1.2031),(5945,3565,0.01144,-1.2021),(5945,3575,0.011836,-1.201),(5945,3585,0.012252,-1.1999),(5945,3595,0.012892,-1.1989),(5945,3605,0.013532,-1.1978),(5945,3615,0.014172,-1.197),(5945,3625,0.014838,-1.1962),(5945,3635,0.015689,-1.1954),(5945,3645,0.016541,-1.1945),(5945,3655,0.017392,-1.1936),(5945,3665,0.018284,-1.1927),(5945,3675,0.01939,-1.1917),(5945,3685,0.020495,-1.1908),(5945,3695,0.021601,-1.1899),(5945,3705,0.022785,-1.1889),(5945,3715,0.024276,-1.1879),(5945,3725,0.025768,-1.187),(5945,3735,0.027259,-1.1861),(5945,3745,0.028914,-1.1852),(5945,3755,0.031077,-1.1843),(5945,3765,0.033241,-1.1835),(5945,3775,0.035405,-1.1826),(5945,3785,0.037831,-1.1818),(5945,3795,0.040926,-1.181),(5945,3805,0.044022,-1.1801),(5945,3815,0.047117,-1.1793),(5945,3825,0.050619,-1.1784),(5945,3835,0.054981,-1.1776),(5945,3845,0.059342,-1.1766),(5945,3855,0.063704,-1.1755),(5945,3865,0.068802,-1.1743),(5945,3875,0.075201,-1.1732),(5945,3885,0.0816,-1.1719),(5945,3895,0.087999,-1.1705),(5945,3905,0.095767,-1.1691),(5945,3915,0.10558,-1.1677),(5945,3925,0.11539,-1.1659),(5945,3935,0.12521,-1.1636),(5945,3945,0.13859,-1.1612),(5945,3955,0.15652,-1.1589),(5945,3965,0.17444,-1.1545),(5945,3975,0.19237,-1.1477),(5945,3985,0.2083,-1.141),(5945,3995,0.22208,-1.1342),(5945,4005,0.23586,-1.1151),(5945,4015,0.24963,-1.0836),(5945,4025,0.29261,-1.0521),(5945,4035,0.33845,-1.0305),(5945,4045,0.38428,-1.0295),(5945,4055,0.45187,-1.0286),(5945,4065,0.5274,-1.0276),(5945,4075,0.60294,-1.026),(5945,4085,0.63708,-1.0244),(5945,4095,0.63796,-1.0228),(5945,4105,0.63884,-1.0213),(5945,4115,0.63976,-1.0198),(5945,4125,0.64072,-1.0182),(5945,4135,0.64168,-1.0167),(5945,4145,0.64266,-1.0152),(5945,4155,0.64372,-1.0138),(5945,4165,0.64479,-1.0122),(5945,4175,0.64586,-1.0106),(5945,4185,0.64708,-1.0091),(5945,4195,0.6483,-1.0076),(5945,4205,0.64952,-1.0061),(5945,4215,0.65089,-1.0046),(5945,4225,0.65229,-1.0031),(5945,4235,0.65369,-1.0016),(5945,4245,0.65518,-1.0001),(5945,4255,0.65672,-0.99861),(5945,4265,0.65826,-0.99702),(5945,4275,0.65986,-0.99544),(5945,4285,0.66152,-0.99385),(5945,4295,0.66318,-0.99227),(5945,4305,0.66487,-0.99069),(5945,4315,0.66666,-0.98911),(5945,4325,0.66845,-0.98752),(5945,4335,0.67026,-0.98593),(5945,4345,0.67218,-0.98434),(5945,4355,0.6741,-0.9827),(5945,4365,0.67602,-0.98101),(5945,4375,0.67807,-0.97932),(5945,4385,0.68013,-0.97763),(5945,4395,0.68219,-0.97593),(5945,4405,0.68435,-0.97423),(5945,4415,0.68653,-0.97252),(5945,4425,0.68872,-0.97076),(5945,4435,0.69098,-0.96901),(5945,4445,0.69328,-0.96726),(5945,4455,0.69559,-0.96543),(5945,4465,0.69795,-0.96361),(5945,4475,0.70037,-0.96178),(5945,4485,0.7028,-0.95981),(5945,4495,0.70525,-0.95781),(5945,4505,0.7078,-0.95581),(5945,4515,0.71036,-0.95372),(5945,4525,0.71292,-0.95159),(5945,4535,0.7156,-0.94945),(5945,4545,0.71828,-0.94727),(5945,4555,0.72096,-0.94503),(5945,4565,0.72374,-0.9428),(5945,4575,0.72653,-0.94053),(5945,4585,0.72932,-0.9382),(5945,4595,0.73219,-0.93587),(5945,4605,0.73509,-0.93352),(5945,4615,0.73799,-0.93104),(5945,4625,0.74095,-0.92856),(5945,4635,0.74396,-0.92608),(5945,4645,0.74696,-0.92349),(5945,4655,0.75,-0.92089),(5945,4665,0.75309,-0.91829),(5945,4675,0.75618,-0.9156),(5945,4685,0.75927,-0.91289),(5945,4695,0.76241,-0.91017),(5945,4705,0.76554,-0.90737),(5945,4715,0.76867,-0.90452),(5945,4725,0.77183,-0.90167),(5945,4735,0.77498,-0.89879),(5945,4745,0.77814,-0.89586),(5945,4755,0.78132,-0.89293),(5945,4765,0.78451,-0.88998),(5945,4775,0.78769,-0.88695),(5945,4785,0.79091,-0.88392),(5945,4795,0.79414,-0.88088),(5945,4805,0.79737,-0.87773),(5945,4815,0.80062,-0.87457),(5945,4825,0.80388,-0.87142),(5945,4835,0.80715,-0.86817),(5945,4845,0.81041,-0.86491),(5945,4855,0.81369,-0.86165),(5945,4865,0.81696,-0.85832),(5945,4875,0.82024,-0.85497),(5945,4885,0.82351,-0.85162),(5945,4895,0.82679,-0.84823),(5945,4905,0.83006,-0.8448),(5945,4915,0.83334,-0.84137),(5945,4925,0.83661,-0.83792),(5945,4935,0.83988,-0.8344),(5945,4945,0.84315,-0.83088),(5945,4955,0.84642,-0.82735),(5945,4965,0.84969,-0.82372),(5945,4975,0.85296,-0.82009),(5945,4985,0.85623,-0.81646),(5945,4995,0.8595,-0.81274),(5945,5005,0.86276,-0.80901),(5945,5015,0.86602,-0.80528),(5945,5025,0.86928,-0.8015),(5945,5035,0.87254,-0.7977),(5945,5045,0.87579,-0.79391),(5945,5055,0.87904,-0.79008),(5945,5065,0.88229,-0.78623),(5945,5075,0.88553,-0.78238),(5945,5085,0.88877,-0.77849),(5945,5095,0.89201,-0.77455),(5945,5105,0.89523,-0.77062),(5945,5115,0.89846,-0.76664),(5945,5125,0.90168,-0.76258),(5945,5135,0.90488,-0.75851),(5945,5145,0.90807,-0.75444),(5945,5155,0.91127,-0.75028),(5945,5165,0.91445,-0.74613),(5945,5175,0.91761,-0.74197),(5945,5185,0.92078,-0.73779),(5945,5195,0.92394,-0.73361),(5945,5205,0.92709,-0.72942),(5945,5215,0.93024,-0.72519),(5945,5225,0.93338,-0.72095),(5945,5235,0.9365,-0.7167),(5945,5245,0.93962,-0.71241),(5945,5255,0.94274,-0.70807),(5945,5265,0.94583,-0.70374),(5945,5275,0.94892,-0.69938),(5945,5285,0.952,-0.69498),(5945,5295,0.95507,-0.69058),(5945,5305,0.95813,-0.68617),(5945,5315,0.9612,-0.68174),(5945,5325,0.96424,-0.67732),(5945,5335,0.96728,-0.67289),(5945,5345,0.97032,-0.66845),(5945,5355,0.97334,-0.664),(5945,5365,0.97634,-0.65955),(5945,5375,0.97935,-0.65504),(5945,5385,0.98234,-0.65052),(5945,5395,0.9853,-0.646),(5945,5405,0.98826,-0.6414),(5945,5415,0.99121,-0.63677),(5945,5425,0.99413,-0.63213),(5945,5435,0.99705,-0.62747),(5945,5445,0.99996,-0.62277),(5945,5455,1.0028,-0.61808),(5945,5465,1.0057,-0.61337),(5945,5475,1.0086,-0.60865),(5945,5485,1.0114,-0.60392),(5945,5495,1.0142,-0.59919),(5945,5505,1.017,-0.59441),(5945,5515,1.0198,-0.58963),(5945,5525,1.0225,-0.58485),(5945,5535,1.0253,-0.58002),(5945,5545,1.028,-0.57518),(5945,5555,1.0307,-0.57035),(5945,5565,1.0335,-0.56547),(5945,5575,1.0362,-0.56058),(5945,5585,1.0388,-0.55569),(5945,5595,1.0415,-0.55076),(5945,5605,1.0442,-0.54581),(5945,5615,1.0468,-0.54085),(5945,5625,1.0495,-0.53587),(5945,5635,1.0521,-0.53084),(5945,5645,1.0547,-0.52582),(5945,5655,1.0573,-0.52079),(5945,5665,1.0598,-0.51573),(5945,5675,1.0624,-0.51067),(5945,5685,1.0649,-0.50561),(5945,5695,1.0674,-0.50056),(5945,5705,1.0699,-0.4955),(5945,5715,1.0724,-0.49045),(5945,5725,1.0748,-0.48535),(5945,5735,1.0773,-0.48024),(5945,5745,1.0796,-0.47513),(5945,5755,1.082,-0.46999),(5945,5765,1.0844,-0.46483),(5945,5775,1.0868,-0.45967),(5945,5785,1.0891,-0.45448),(5945,5795,1.0914,-0.44927),(5945,5805,1.0937,-0.44407),(5945,5815,1.096,-0.43884),(5945,5825,1.0983,-0.43358),(5945,5835,1.1005,-0.42832),(5945,5845,1.1027,-0.42304),(5945,5855,1.1049,-0.41771),(5945,5865,1.1071,-0.41238),(5945,5875,1.1092,-0.40705),(5945,5885,1.1113,-0.40165),(5945,5895,1.1134,-0.39625),(5945,5905,1.1155,-0.39086),(5945,5915,1.1175,-0.38545),(5945,5925,1.1196,-0.38004),(5945,5935,1.1215,-0.37462),(5945,5945,1.1235,-0.36921),(5945,5955,1.1255,-0.36379),(5945,5965,1.1274,-0.35838),(5945,5975,1.1294,-0.35294),(5945,5985,1.1313,-0.34746),(5945,5995,1.1332,-0.34198),(5945,6005,1.135,-0.33649),(5945,6015,1.1369,-0.33096),(5945,6025,1.1387,-0.32544),(5945,6035,1.1405,-0.31992),(5945,6045,1.1423,-0.31442),(5945,6055,1.144,-0.30892),(5945,6065,1.1457,-0.30343),(5945,6075,1.1474,-0.29788),(5945,6085,1.1491,-0.29234),(5945,6095,1.1507,-0.28679),(5945,6105,1.1523,-0.28115),(5945,6115,1.1539,-0.27548),(5945,6125,1.1554,-0.26981),(5945,6135,1.1569,-0.26412),(5945,6145,1.1584,-0.25841),(5945,6155,1.1598,-0.25269),(5945,6165,1.1612,-0.24698),(5945,6175,1.1626,-0.24129),(5945,6185,1.1639,-0.23559),(5945,6195,1.1652,-0.22989),(5945,6205,1.1666,-0.22418),(5945,6215,1.1679,-0.21848),(5945,6225,1.1691,-0.21277),(5945,6235,1.1704,-0.20705),(5945,6245,1.1716,-0.20132),(5945,6255,1.1728,-0.19559),(5945,6265,1.1739,-0.18986),(5945,6275,1.1751,-0.18413),(5945,6285,1.1761,-0.17841),(5945,6295,1.1771,-0.17261),(5945,6305,1.1782,-0.16678),(5945,6315,1.1791,-0.16096),(5945,6325,1.1799,-0.15507),(5945,6335,1.1808,-0.14914),(5945,6345,1.1816,-0.1432),(5945,6355,1.1824,-0.1373),(5945,6365,1.1832,-0.13148),(5945,6375,1.184,-0.12565),(5945,6385,1.1847,-0.11982),(5945,6395,1.1854,-0.11397),(5945,6405,1.186,-0.10812),(5945,6415,1.1866,-0.10227),(5945,6425,1.1873,-0.096432),(5945,6435,1.1878,-0.090595),(5945,6445,1.1883,-0.084758),(5945,6455,1.1889,-0.078894),(5945,6465,1.1893,-0.073022),(5945,6475,1.1897,-0.06715),(5945,6485,1.1901,-0.06127),(5945,6495,1.1905,-0.055385),(5945,6505,1.1908,-0.0495),(5945,6515,1.1911,-0.043589),(5945,6525,1.1914,-0.037642),(5945,6535,1.1916,-0.031696),(5945,6545,1.1918,-0.025777),(5945,6555,1.1919,-0.019946),(5945,6565,1.192,-0.014115),(5945,6575,1.1921,-0.008275),(5945,6585,1.1922,-0.002295),(5945,6595,1.014,0.003684),(5945,6605,0.63902,0.009664),(5945,6615,0.26401,0.010346),(5945,6625,0.0004,0.010347),(5945,6635,0.00043,0.010349),(5945,6645,0.000459,0.010352),(5945,6655,0.000489,0.010356),(5945,6665,0.000519,0.010359),(5945,6675,0.000548,0.010363),(5945,6685,0.000577,0.010366),(5945,6695,0.000606,0.010369),(5945,6705,0.000635,0.010372),(5945,6715,0.000664,0.010375),(5945,6725,0.000693,0.010378),(5945,6735,0.000722,0.01038),(5945,6745,0.00075,0.010382),(5945,6755,0.000779,0.010385),(5945,6765,0.000807,0.010387),(5945,6775,0.000835,0.010388),(5945,6785,0.000863,0.010389),(5945,6795,0.00089,0.010391),(5945,6805,0.000918,0.010392),(5945,6815,0.000946,0.010392),(5945,6825,0.000973,0.010393),(5945,6835,0.001,0.010394),(5945,6845,0.001027,0.010394),(5945,6855,0.001054,0.010394),(5945,6865,0.00108,0.010394),(5945,6875,0.001107,0.010393),(5945,6885,0.001133,0.010392),(5945,6895,0.001159,0.010392),(5945,6905,0.001185,0.01039),(5945,6915,0.001211,0.010389),(5945,6925,0.001237,0.010388),(5945,6935,0.001262,0.010386),(5945,6945,0.001287,0.010384),(5945,6955,0.001312,0.010382),(5945,6965,0.001337,0.010379),(5945,6975,0.001362,0.010376),(5945,6985,0.001387,0.010374),(5955,5,9e-06,-1.3195),(5955,15,2.7e-05,-1.3196),(5955,25,5e-05,-1.3197),(5955,35,7.8e-05,-1.3197),(5955,45,0.000107,-1.3197),(5955,55,0.000135,-1.3196),(5955,65,0.000151,-1.3196),(5955,75,0.000158,-1.3195),(5955,85,0.000164,-1.3195),(5955,95,0.000171,-1.3195),(5955,105,0.000195,-1.3196),(5955,115,0.00023,-1.3196),(5955,125,0.000266,-1.3197),(5955,135,0.000301,-1.3197),(5955,145,0.000338,-1.3197),(5955,155,0.000376,-1.3197),(5955,165,0.000413,-1.3198),(5955,175,0.000451,-1.3198),(5955,185,0.000473,-1.3198),(5955,195,0.000487,-1.3199),(5955,205,0.000502,-1.3198),(5955,215,0.000516,-1.3198),(5955,225,0.000526,-1.3197),(5955,235,0.000534,-1.3197),(5955,245,0.000542,-1.3196),(5955,255,0.00055,-1.3196),(5955,265,0.000547,-1.3196),(5955,275,0.00054,-1.3195),(5955,285,0.000533,-1.3195),(5955,295,0.000526,-1.3194),(5955,305,0.000521,-1.3194),(5955,315,0.000516,-1.3193),(5955,325,0.000512,-1.3193),(5955,335,0.000507,-1.3192),(5955,345,0.000534,-1.3192),(5955,355,0.000566,-1.3191),(5955,365,0.000599,-1.3192),(5955,375,0.000631,-1.3192),(5955,385,0.000713,-1.3193),(5955,395,0.000802,-1.3193),(5955,405,0.000891,-1.3194),(5955,415,0.00098,-1.3194),(5955,425,0.001072,-1.3195),(5955,435,0.001165,-1.3195),(5955,445,0.001257,-1.3196),(5955,455,0.00135,-1.3196),(5955,465,0.001402,-1.3197),(5955,475,0.001453,-1.3197),(5955,485,0.001504,-1.3197),(5955,495,0.001554,-1.3196),(5955,505,0.001595,-1.3196),(5955,515,0.001635,-1.3195),(5955,525,0.001675,-1.3195),(5955,535,0.001716,-1.3195),(5955,545,0.001769,-1.3195),(5955,555,0.001823,-1.3195),(5955,565,0.001876,-1.3195),(5955,575,0.001932,-1.3196),(5955,585,0.002025,-1.3196),(5955,595,0.002118,-1.3197),(5955,605,0.00221,-1.3198),(5955,615,0.0023,-1.3199),(5955,625,0.002369,-1.32),(5955,635,0.002439,-1.32),(5955,645,0.002508,-1.32),(5955,655,0.002571,-1.3199),(5955,665,0.002603,-1.3198),(5955,675,0.002636,-1.3198),(5955,685,0.002668,-1.3198),(5955,695,0.002715,-1.3198),(5955,705,0.002824,-1.3198),(5955,715,0.002932,-1.3198),(5955,725,0.003041,-1.3199),(5955,735,0.003173,-1.32),(5955,745,0.003385,-1.3201),(5955,755,0.003596,-1.3202),(5955,765,0.003807,-1.3204),(5955,775,0.004029,-1.3205),(5955,785,0.004278,-1.3206),(5955,795,0.004527,-1.3208),(5955,805,0.004776,-1.3209),(5955,815,0.005045,-1.321),(5955,825,0.005356,-1.3211),(5955,835,0.005667,-1.3213),(5955,845,0.005979,-1.3214),(5955,855,0.00633,-1.3216),(5955,865,0.006754,-1.3218),(5955,875,0.007179,-1.322),(5955,885,0.007603,-1.3222),(5955,895,0.008069,-1.3224),(5955,905,0.008599,-1.3226),(5955,915,0.009128,-1.3228),(5955,925,0.009658,-1.3229),(5955,935,0.010277,-1.3231),(5955,945,0.011014,-1.3233),(5955,955,0.01175,-1.3235),(5955,965,0.012487,-1.3239),(5955,975,0.013384,-1.3242),(5955,985,0.014463,-1.3246),(5955,995,0.015541,-1.325),(5955,1005,0.01662,-1.3253),(5955,1015,0.01794,-1.3257),(5955,1025,0.019492,-1.3261),(5955,1035,0.021043,-1.3265),(5955,1045,0.022595,-1.3269),(5955,1055,0.024551,-1.3274),(5955,1065,0.026837,-1.3278),(5955,1075,0.029122,-1.3282),(5955,1085,0.031408,-1.3286),(5955,1095,0.034358,-1.3291),(5955,1105,0.03777,-1.3296),(5955,1115,0.041182,-1.3299),(5955,1125,0.044595,-1.3302),(5955,1135,0.049106,-1.3305),(5955,1145,0.054266,-1.3308),(5955,1155,0.059426,-1.331),(5955,1165,0.064586,-1.3311),(5955,1175,0.071533,-1.3313),(5955,1185,0.079367,-1.3314),(5955,1195,0.087201,-1.3313),(5955,1205,0.095035,-1.3311),(5955,1215,0.10607,-1.3309),(5955,1225,0.11844,-1.3307),(5955,1235,0.1308,-1.3299),(5955,1245,0.14316,-1.3289),(5955,1255,0.16388,-1.3279),(5955,1265,0.18742,-1.3269),(5955,1275,0.21097,-1.3206),(5955,1285,0.23452,-1.3127),(5955,1295,0.23573,-1.3048),(5955,1305,0.23089,-1.297),(5955,1315,0.22606,-1.2747),(5955,1325,0.22123,-1.2489),(5955,1335,0.13564,-1.2231),(5955,1345,0.033114,-1.1974),(5955,1355,-0.069409,-1.2148),(5955,1365,-0.17193,-1.2401),(5955,1375,-0.19974,-1.2654),(5955,1385,-0.21601,-1.2907),(5955,1395,-0.23229,-1.3007),(5955,1405,-0.24856,-1.3089),(5955,1415,-0.22711,-1.317),(5955,1425,-0.20174,-1.3251),(5955,1435,-0.17637,-1.3262),(5955,1445,-0.151,-1.3267),(5955,1455,-0.13797,-1.3272),(5955,1465,-0.12564,-1.3278),(5955,1475,-0.11332,-1.3281),(5955,1485,-0.10099,-1.3283),(5955,1495,-0.092994,-1.3286),(5955,1505,-0.085063,-1.3289),(5955,1515,-0.077132,-1.3286),(5955,1525,-0.069265,-1.3283),(5955,1535,-0.063879,-1.3281),(5955,1545,-0.058493,-1.3278),(5955,1555,-0.053106,-1.3273),(5955,1565,-0.047832,-1.3268),(5955,1575,-0.044182,-1.3263),(5955,1585,-0.040531,-1.3258),(5955,1595,-0.036881,-1.3252),(5955,1605,-0.033352,-1.3246),(5955,1615,-0.030871,-1.324),(5955,1625,-0.02839,-1.3233),(5955,1635,-0.025909,-1.3227),(5955,1645,-0.023541,-1.322),(5955,1655,-0.021851,-1.3213),(5955,1665,-0.020162,-1.3207),(5955,1675,-0.018472,-1.3201),(5955,1685,-0.016881,-1.3196),(5955,1695,-0.015733,-1.319),(5955,1705,-0.014584,-1.3184),(5955,1715,-0.013436,-1.318),(5955,1725,-0.012364,-1.3175),(5955,1735,-0.011555,-1.317),(5955,1745,-0.010746,-1.3165),(5955,1755,-0.009938,-1.316),(5955,1765,-0.009183,-1.3154),(5955,1775,-0.008582,-1.3149),(5955,1785,-0.007981,-1.3144),(5955,1795,-0.007379,-1.3139),(5955,1805,-0.006829,-1.3134),(5955,1815,-0.006395,-1.3129),(5955,1825,-0.00596,-1.3124),(5955,1835,-0.005526,-1.312),(5955,1845,-0.005131,-1.3116),(5955,1855,-0.004811,-1.3112),(5955,1865,-0.004492,-1.3108),(5955,1875,-0.004172,-1.3103),(5955,1885,-0.003864,-1.3099),(5955,1895,-0.003574,-1.3094),(5955,1905,-0.003284,-1.309),(5955,1915,-0.002994,-1.3088),(5955,1925,-0.002729,-1.3085),(5955,1935,-0.002498,-1.3082),(5955,1945,-0.002266,-1.3079),(5955,1955,-0.002035,-1.3075),(5955,1965,-0.001855,-1.3072),(5955,1975,-0.001737,-1.3068),(5955,1985,-0.001619,-1.3064),(5955,1995,-0.001501,-1.3061),(5955,2005,-0.001378,-1.3057),(5955,2015,-0.00125,-1.3053),(5955,2025,-0.001122,-1.305),(5955,2035,-0.000994,-1.3048),(5955,2045,-0.000866,-1.3045),(5955,2055,-0.000738,-1.3043),(5955,2065,-0.00061,-1.304),(5955,2075,-0.000482,-1.3036),(5955,2085,-0.000369,-1.3033),(5955,2095,-0.000267,-1.3029),(5955,2105,-0.000165,-1.3025),(5955,2115,-6.3e-05,-1.3022),(5955,2125,1.8e-05,-1.3019),(5955,2135,8.7e-05,-1.3016),(5955,2145,0.000155,-1.3012),(5955,2155,0.000224,-1.3009),(5955,2165,0.000254,-1.3005),(5955,2175,0.000263,-1.3002),(5955,2185,0.000273,-1.2998),(5955,2195,0.000282,-1.2993),(5955,2205,0.000304,-1.2989),(5955,2215,0.000331,-1.2984),(5955,2225,0.000358,-1.2981),(5955,2235,0.000385,-1.2977),(5955,2245,0.00044,-1.2973),(5955,2255,0.000505,-1.297),(5955,2265,0.000571,-1.2966),(5955,2275,0.000636,-1.2962),(5955,2285,0.00072,-1.2958),(5955,2295,0.000809,-1.2955),(5955,2305,0.000898,-1.2951),(5955,2315,0.000987,-1.2947),(5955,2325,0.001079,-1.2943),(5955,2335,0.001172,-1.294),(5955,2345,0.001265,-1.2936),(5955,2355,0.001357,-1.2932),(5955,2365,0.001414,-1.2929),(5955,2375,0.001464,-1.2925),(5955,2385,0.001515,-1.292),(5955,2395,0.001565,-1.2916),(5955,2405,0.001606,-1.2911),(5955,2415,0.001646,-1.2906),(5955,2425,0.001686,-1.2902),(5955,2435,0.001726,-1.2898),(5955,2445,0.001761,-1.2893),(5955,2455,0.001796,-1.2889),(5955,2465,0.001831,-1.2884),(5955,2475,0.001866,-1.2879),(5955,2485,0.001886,-1.2875),(5955,2495,0.001905,-1.287),(5955,2505,0.001925,-1.2865),(5955,2515,0.001945,-1.2859),(5955,2525,0.002005,-1.2854),(5955,2535,0.002064,-1.2849),(5955,2545,0.002124,-1.2844),(5955,2555,0.002183,-1.2839),(5955,2565,0.002241,-1.2835),(5955,2575,0.002299,-1.283),(5955,2585,0.002357,-1.2824),(5955,2595,0.002408,-1.2819),(5955,2605,0.002402,-1.2814),(5955,2615,0.002395,-1.2808),(5955,2625,0.002389,-1.2802),(5955,2635,0.002383,-1.2795),(5955,2645,0.002382,-1.2789),(5955,2655,0.00238,-1.2783),(5955,2665,0.002379,-1.2777),(5955,2675,0.002383,-1.2771),(5955,2685,0.002406,-1.2766),(5955,2695,0.002429,-1.276),(5955,2705,0.002453,-1.2754),(5955,2715,0.002471,-1.2749),(5955,2725,0.002471,-1.2743),(5955,2735,0.00247,-1.2737),(5955,2745,0.002469,-1.2731),(5955,2755,0.002476,-1.2725),(5955,2765,0.002505,-1.2718),(5955,2775,0.002535,-1.2712),(5955,2785,0.002564,-1.2705),(5955,2795,0.002607,-1.2699),(5955,2805,0.002682,-1.2693),(5955,2815,0.002757,-1.2687),(5955,2825,0.002832,-1.2681),(5955,2835,0.002897,-1.2674),(5955,2845,0.00294,-1.2668),(5955,2855,0.002983,-1.2662),(5955,2865,0.003027,-1.2655),(5955,2875,0.003052,-1.2647),(5955,2885,0.003046,-1.264),(5955,2895,0.003041,-1.2633),(5955,2905,0.003035,-1.2625),(5955,2915,0.003034,-1.2617),(5955,2925,0.00304,-1.2609),(5955,2935,0.003045,-1.2601),(5955,2945,0.00305,-1.2593),(5955,2955,0.003081,-1.2586),(5955,2965,0.003141,-1.2578),(5955,2975,0.003201,-1.257),(5955,2985,0.003261,-1.2563),(5955,2995,0.003336,-1.2556),(5955,3005,0.003427,-1.2549),(5955,3015,0.003517,-1.2541),(5955,3025,0.003608,-1.2534),(5955,3035,0.003681,-1.2526),(5955,3045,0.00374,-1.2518),(5955,3055,0.003798,-1.2509),(5955,3065,0.003856,-1.25),(5955,3075,0.003901,-1.2491),(5955,3085,0.003936,-1.2483),(5955,3095,0.003971,-1.2474),(5955,3105,0.004006,-1.2465),(5955,3115,0.004058,-1.2456),(5955,3125,0.004122,-1.2447),(5955,3135,0.004186,-1.2438),(5955,3145,0.004249,-1.2429),(5955,3155,0.004332,-1.2421),(5955,3165,0.004425,-1.2412),(5955,3175,0.004518,-1.2403),(5955,3185,0.004612,-1.2394),(5955,3195,0.004705,-1.2385),(5955,3205,0.004799,-1.2375),(5955,3215,0.004893,-1.2366),(5955,3225,0.004987,-1.2356),(5955,3235,0.005068,-1.2346),(5955,3245,0.005144,-1.2337),(5955,3255,0.005221,-1.2327),(5955,3265,0.005297,-1.2317),(5955,3275,0.005377,-1.2308),(5955,3285,0.005459,-1.2298),(5955,3295,0.00554,-1.2288),(5955,3305,0.005622,-1.2278),(5955,3315,0.005747,-1.2268),(5955,3325,0.005882,-1.2258),(5955,3335,0.006017,-1.2248),(5955,3345,0.006152,-1.2239),(5955,3355,0.00633,-1.2229),(5955,3365,0.006516,-1.2219),(5955,3375,0.006701,-1.221),(5955,3385,0.006887,-1.2201),(5955,3395,0.007066,-1.2192),(5955,3405,0.007244,-1.2183),(5955,3415,0.007423,-1.2173),(5955,3425,0.007601,-1.2163),(5955,3435,0.007802,-1.2152),(5955,3445,0.008004,-1.2142),(5955,3455,0.008207,-1.2131),(5955,3465,0.008409,-1.212),(5955,3475,0.008705,-1.211),(5955,3485,0.009004,-1.2099),(5955,3495,0.009302,-1.209),(5955,3505,0.009601,-1.208),(5955,3515,0.009937,-1.2071),(5955,3525,0.010273,-1.2061),(5955,3535,0.010609,-1.205),(5955,3545,0.010947,-1.204),(5955,3555,0.011349,-1.2029),(5955,3565,0.011751,-1.2019),(5955,3575,0.012153,-1.2008),(5955,3585,0.012574,-1.1997),(5955,3595,0.013199,-1.1986),(5955,3605,0.013825,-1.1975),(5955,3615,0.01445,-1.1966),(5955,3625,0.015103,-1.1958),(5955,3635,0.015953,-1.1949),(5955,3645,0.016802,-1.194),(5955,3655,0.017652,-1.1931),(5955,3665,0.018545,-1.1921),(5955,3675,0.019661,-1.1912),(5955,3685,0.020777,-1.1902),(5955,3695,0.021893,-1.1892),(5955,3705,0.023085,-1.1882),(5955,3715,0.024578,-1.1872),(5955,3725,0.02607,-1.1862),(5955,3735,0.027563,-1.1852),(5955,3745,0.029215,-1.1842),(5955,3755,0.031365,-1.1832),(5955,3765,0.033515,-1.1822),(5955,3775,0.035666,-1.1813),(5955,3785,0.038076,-1.1803),(5955,3795,0.04115,-1.1793),(5955,3805,0.044223,-1.1784),(5955,3815,0.047297,-1.1774),(5955,3825,0.050768,-1.1763),(5955,3835,0.055077,-1.1753),(5955,3845,0.059386,-1.1742),(5955,3855,0.063695,-1.1728),(5955,3865,0.068723,-1.1714),(5955,3875,0.075023,-1.1699),(5955,3885,0.081322,-1.1684),(5955,3895,0.087622,-1.1666),(5955,3905,0.095232,-1.1648),(5955,3915,0.1048,-1.163),(5955,3925,0.11437,-1.1607),(5955,3935,0.12394,-1.1575),(5955,3945,0.13649,-1.1543),(5955,3955,0.15282,-1.1512),(5955,3965,0.16916,-1.1454),(5955,3975,0.18549,-1.1364),(5955,3985,0.19814,-1.1274),(5955,3995,0.20681,-1.1185),(5955,4005,0.21547,-1.1009),(5955,4015,0.22414,-1.0747),(5955,4025,0.27356,-1.0485),(5955,4035,0.32697,-1.0304),(5955,4045,0.38038,-1.0295),(5955,4055,0.44976,-1.0285),(5955,4065,0.52497,-1.0275),(5955,4075,0.60017,-1.0259),(5955,4085,0.63418,-1.0243),(5955,4095,0.63509,-1.0227),(5955,4105,0.63599,-1.0212),(5955,4115,0.63693,-1.0196),(5955,4125,0.6379,-1.0181),(5955,4135,0.63888,-1.0166),(5955,4145,0.63988,-1.0151),(5955,4155,0.64095,-1.0136),(5955,4165,0.64202,-1.012),(5955,4175,0.64309,-1.0104),(5955,4185,0.6443,-1.0088),(5955,4195,0.64552,-1.0073),(5955,4205,0.64673,-1.0058),(5955,4215,0.64808,-1.0043),(5955,4225,0.64947,-1.0028),(5955,4235,0.65085,-1.0013),(5955,4245,0.65233,-0.99975),(5955,4255,0.65385,-0.99823),(5955,4265,0.65538,-0.99662),(5955,4275,0.65696,-0.99501),(5955,4285,0.65861,-0.99341),(5955,4295,0.66025,-0.9918),(5955,4305,0.66194,-0.99019),(5955,4315,0.66371,-0.98859),(5955,4325,0.66549,-0.98697),(5955,4335,0.66728,-0.98535),(5955,4345,0.66919,-0.98374),(5955,4355,0.67109,-0.98206),(5955,4365,0.67299,-0.98034),(5955,4375,0.67502,-0.97862),(5955,4385,0.67706,-0.9769),(5955,4395,0.67909,-0.97518),(5955,4405,0.68122,-0.97346),(5955,4415,0.68338,-0.97172),(5955,4425,0.68554,-0.96996),(5955,4435,0.68777,-0.96819),(5955,4445,0.69006,-0.96642),(5955,4455,0.69234,-0.96459),(5955,4465,0.69467,-0.96276),(5955,4475,0.69707,-0.96093),(5955,4485,0.69947,-0.95896),(5955,4495,0.7019,-0.95695),(5955,4505,0.70442,-0.95495),(5955,4515,0.70695,-0.95286),(5955,4525,0.70947,-0.95072),(5955,4535,0.71211,-0.94859),(5955,4545,0.71475,-0.9464),(5955,4555,0.71739,-0.94417),(5955,4565,0.72012,-0.94194),(5955,4575,0.72286,-0.93968),(5955,4585,0.7256,-0.93734),(5955,4595,0.72842,-0.93501),(5955,4605,0.73127,-0.93266),(5955,4615,0.73413,-0.93018),(5955,4625,0.73703,-0.92769),(5955,4635,0.73999,-0.92521),(5955,4645,0.74295,-0.92262),(5955,4655,0.74594,-0.92003),(5955,4665,0.74899,-0.91743),(5955,4675,0.75203,-0.91475),(5955,4685,0.75509,-0.91204),(5955,4695,0.75818,-0.90933),(5955,4705,0.76127,-0.90654),(5955,4715,0.76436,-0.9037),(5955,4725,0.76748,-0.90085),(5955,4735,0.77059,-0.89798),(5955,4745,0.77371,-0.89505),(5955,4755,0.77685,-0.89212),(5955,4765,0.78,-0.88917),(5955,4775,0.78315,-0.88614),(5955,4785,0.78633,-0.88311),(5955,4795,0.78952,-0.88008),(5955,4805,0.79272,-0.87692),(5955,4815,0.79593,-0.87376),(5955,4825,0.79916,-0.87061),(5955,4835,0.80239,-0.86736),(5955,4845,0.80562,-0.86411),(5955,4855,0.80886,-0.86085),(5955,4865,0.8121,-0.85753),(5955,4875,0.81535,-0.85419),(5955,4885,0.81859,-0.85085),(5955,4895,0.82184,-0.84746),(5955,4905,0.82508,-0.84404),(5955,4915,0.82832,-0.84062),(5955,4925,0.83157,-0.83717),(5955,4935,0.83481,-0.83367),(5955,4945,0.83805,-0.83016),(5955,4955,0.84129,-0.82663),(5955,4965,0.84453,-0.82301),(5955,4975,0.84777,-0.81939),(5955,4985,0.85101,-0.81577),(5955,4995,0.85425,-0.81206),(5955,5005,0.85748,-0.80834),(5955,5015,0.86071,-0.80463),(5955,5025,0.86394,-0.80085),(5955,5035,0.86716,-0.79707),(5955,5045,0.87038,-0.79328),(5955,5055,0.8736,-0.78946),(5955,5065,0.87682,-0.78562),(5955,5075,0.88002,-0.78177),(5955,5085,0.88323,-0.7779),(5955,5095,0.88644,-0.77397),(5955,5105,0.88963,-0.77004),(5955,5115,0.89282,-0.76608),(5955,5125,0.89601,-0.76203),(5955,5135,0.89919,-0.75798),(5955,5145,0.90235,-0.75392),(5955,5155,0.90551,-0.74977),(5955,5165,0.90866,-0.74562),(5955,5175,0.9118,-0.74148),(5955,5185,0.91494,-0.7373),(5955,5195,0.91807,-0.73312),(5955,5205,0.92119,-0.72895),(5955,5215,0.92431,-0.72472),(5955,5225,0.92742,-0.72049),(5955,5235,0.93052,-0.71625),(5955,5245,0.93361,-0.71196),(5955,5255,0.93671,-0.70763),(5955,5265,0.93977,-0.7033),(5955,5275,0.94284,-0.69895),(5955,5285,0.9459,-0.69455),(5955,5295,0.94894,-0.69016),(5955,5305,0.95198,-0.68576),(5955,5315,0.95501,-0.68133),(5955,5325,0.95803,-0.67691),(5955,5335,0.96104,-0.67248),(5955,5345,0.96405,-0.66804),(5955,5355,0.96705,-0.6636),(5955,5365,0.97003,-0.65916),(5955,5375,0.97301,-0.65465),(5955,5385,0.97598,-0.65014),(5955,5395,0.97892,-0.64562),(5955,5405,0.98186,-0.64103),(5955,5415,0.98479,-0.6364),(5955,5425,0.9877,-0.63177),(5955,5435,0.9906,-0.62711),(5955,5445,0.9935,-0.62242),(5955,5455,0.99636,-0.61773),(5955,5465,0.99922,-0.61303),(5955,5475,1.0021,-0.60831),(5955,5485,1.0049,-0.60359),(5955,5495,1.0077,-0.59887),(5955,5505,1.0105,-0.59409),(5955,5515,1.0132,-0.58932),(5955,5525,1.016,-0.58455),(5955,5535,1.0187,-0.57972),(5955,5545,1.0214,-0.57488),(5955,5555,1.0241,-0.57005),(5955,5565,1.0268,-0.56517),(5955,5575,1.0295,-0.56027),(5955,5585,1.0321,-0.55538),(5955,5595,1.0348,-0.55045),(5955,5605,1.0374,-0.5455),(5955,5615,1.04,-0.54055),(5955,5625,1.0426,-0.53557),(5955,5635,1.0452,-0.53054),(5955,5645,1.0478,-0.52552),(5955,5655,1.0504,-0.52049),(5955,5665,1.0529,-0.51544),(5955,5675,1.0554,-0.51038),(5955,5685,1.0579,-0.50532),(5955,5695,1.0604,-0.50027),(5955,5705,1.0629,-0.49522),(5955,5715,1.0653,-0.49017),(5955,5725,1.0678,-0.48507),(5955,5735,1.0702,-0.47996),(5955,5745,1.0726,-0.47486),(5955,5755,1.075,-0.46971),(5955,5765,1.0773,-0.46455),(5955,5775,1.0797,-0.45939),(5955,5785,1.082,-0.45421),(5955,5795,1.0843,-0.449),(5955,5805,1.0866,-0.44379),(5955,5815,1.0888,-0.43857),(5955,5825,1.0911,-0.43331),(5955,5835,1.0933,-0.42805),(5955,5845,1.0955,-0.42278),(5955,5855,1.0977,-0.41745),(5955,5865,1.0998,-0.41213),(5955,5875,1.1019,-0.4068),(5955,5885,1.104,-0.40141),(5955,5895,1.1061,-0.39602),(5955,5905,1.1081,-0.39063),(5955,5915,1.1102,-0.38522),(5955,5925,1.1122,-0.3798),(5955,5935,1.1141,-0.37439),(5955,5945,1.1161,-0.36897),(5955,5955,1.1181,-0.36355),(5955,5965,1.12,-0.35814),(5955,5975,1.1219,-0.35269),(5955,5985,1.1238,-0.34721),(5955,5995,1.1256,-0.34173),(5955,6005,1.1274,-0.33624),(5955,6015,1.1293,-0.33071),(5955,6025,1.1311,-0.32518),(5955,6035,1.1328,-0.31966),(5955,6045,1.1346,-0.31416),(5955,6055,1.1364,-0.30867),(5955,6065,1.1381,-0.30317),(5955,6075,1.1398,-0.29764),(5955,6085,1.1414,-0.2921),(5955,6095,1.143,-0.28656),(5955,6105,1.1446,-0.28094),(5955,6115,1.1462,-0.27528),(5955,6125,1.1477,-0.26962),(5955,6135,1.1492,-0.26393),(5955,6145,1.1506,-0.25822),(5955,6155,1.152,-0.25251),(5955,6165,1.1534,-0.2468),(5955,6175,1.1548,-0.2411),(5955,6185,1.1561,-0.23539),(5955,6195,1.1574,-0.22968),(5955,6205,1.1587,-0.22397),(5955,6215,1.16,-0.21826),(5955,6225,1.1612,-0.21255),(5955,6235,1.1625,-0.20683),(5955,6245,1.1637,-0.20111),(5955,6255,1.1649,-0.19538),(5955,6265,1.166,-0.18967),(5955,6275,1.1672,-0.18395),(5955,6285,1.1682,-0.17824),(5955,6295,1.1692,-0.17246),(5955,6305,1.1703,-0.16665),(5955,6315,1.1712,-0.16083),(5955,6325,1.1721,-0.15496),(5955,6335,1.173,-0.14903),(5955,6345,1.1738,-0.1431),(5955,6355,1.1745,-0.1372),(5955,6365,1.1753,-0.13137),(5955,6375,1.176,-0.12554),(5955,6385,1.1767,-0.11971),(5955,6395,1.1774,-0.11386),(5955,6405,1.1781,-0.10801),(5955,6415,1.1787,-0.10216),(5955,6425,1.1793,-0.096323),(5955,6435,1.1799,-0.090488),(5955,6445,1.1804,-0.084653),(5955,6455,1.1809,-0.078795),(5955,6465,1.1814,-0.07293),(5955,6475,1.1818,-0.067065),(5955,6485,1.1822,-0.061191),(5955,6495,1.1825,-0.055311),(5955,6505,1.1828,-0.04943),(5955,6515,1.1831,-0.043523),(5955,6525,1.1834,-0.037579),(5955,6535,1.1836,-0.031635),(5955,6545,1.1838,-0.025719),(5955,6555,1.1839,-0.01989),(5955,6565,1.1841,-0.014062),(5955,6575,1.1841,-0.008224),(5955,6585,1.1842,-0.002251),(5955,6595,1.0072,0.003721),(5955,6605,0.63473,0.009694),(5955,6615,0.26224,0.010375),(5955,6625,0.000395,0.010377),(5955,6635,0.000425,0.010379),(5955,6645,0.000455,0.010382),(5955,6655,0.000485,0.010385),(5955,6665,0.000514,0.010389),(5955,6675,0.000544,0.010392),(5955,6685,0.000573,0.010395),(5955,6695,0.000603,0.010398),(5955,6705,0.000632,0.010401),(5955,6715,0.000661,0.010404),(5955,6725,0.00069,0.010407),(5955,6735,0.000718,0.010409),(5955,6745,0.000747,0.010411),(5955,6755,0.000776,0.010413),(5955,6765,0.000804,0.010415),(5955,6775,0.000832,0.010416),(5955,6785,0.00086,0.010417),(5955,6795,0.000888,0.010419),(5955,6805,0.000916,0.010419),(5955,6815,0.000944,0.01042),(5955,6825,0.000971,0.01042),(5955,6835,0.000998,0.010421),(5955,6845,0.001026,0.010421),(5955,6855,0.001052,0.01042),(5955,6865,0.001079,0.01042),(5955,6875,0.001106,0.010419),(5955,6885,0.001132,0.010419),(5955,6895,0.001159,0.010418),(5955,6905,0.001185,0.010416),(5955,6915,0.001211,0.010415),(5955,6925,0.001237,0.010413),(5955,6935,0.001262,0.010411),(5955,6945,0.001288,0.010409),(5955,6955,0.001313,0.010407),(5955,6965,0.001338,0.010404),(5955,6975,0.001363,0.010401),(5955,6985,0.001388,0.010398),(5965,5,9e-06,-1.3196),(5965,15,2.6e-05,-1.3196),(5965,25,5.4e-05,-1.3197),(5965,35,9.3e-05,-1.3197),(5965,45,0.000132,-1.3197),(5965,55,0.000171,-1.3196),(5965,65,0.000188,-1.3196),(5965,75,0.000188,-1.3195),(5965,85,0.000188,-1.3195),(5965,95,0.000188,-1.3195),(5965,105,0.000207,-1.3196),(5965,115,0.000238,-1.3196),(5965,125,0.000269,-1.3196),(5965,135,0.0003,-1.3197),(5965,145,0.000331,-1.3197),(5965,155,0.000361,-1.3197),(5965,165,0.000392,-1.3197),(5965,175,0.000423,-1.3198),(5965,185,0.000449,-1.3198),(5965,195,0.000473,-1.3198),(5965,205,0.000497,-1.3198),(5965,215,0.000521,-1.3198),(5965,225,0.000529,-1.3197),(5965,235,0.00053,-1.3197),(5965,245,0.000531,-1.3197),(5965,255,0.000533,-1.3196),(5965,265,0.000526,-1.3196),(5965,275,0.000517,-1.3195),(5965,285,0.000508,-1.3195),(5965,295,0.000499,-1.3195),(5965,305,0.000493,-1.3194),(5965,315,0.000487,-1.3193),(5965,325,0.000482,-1.3193),(5965,335,0.000477,-1.3192),(5965,345,0.000497,-1.3192),(5965,355,0.000523,-1.3191),(5965,365,0.000548,-1.3191),(5965,375,0.000573,-1.3192),(5965,385,0.000655,-1.3192),(5965,395,0.000744,-1.3192),(5965,405,0.000834,-1.3193),(5965,415,0.000923,-1.3193),(5965,425,0.001028,-1.3194),(5965,435,0.001135,-1.3194),(5965,445,0.001241,-1.3195),(5965,455,0.001348,-1.3195),(5965,465,0.001417,-1.3196),(5965,475,0.001485,-1.3197),(5965,485,0.001552,-1.3196),(5965,495,0.00162,-1.3196),(5965,505,0.001667,-1.3195),(5965,515,0.001714,-1.3195),(5965,525,0.001761,-1.3195),(5965,535,0.001809,-1.3195),(5965,545,0.001864,-1.3195),(5965,555,0.00192,-1.3194),(5965,565,0.001976,-1.3195),(5965,575,0.002034,-1.3195),(5965,585,0.002124,-1.3196),(5965,595,0.002214,-1.3197),(5965,605,0.002303,-1.3197),(5965,615,0.002391,-1.3198),(5965,625,0.002463,-1.3199),(5965,635,0.002535,-1.32),(5965,645,0.002607,-1.3199),(5965,655,0.002673,-1.3199),(5965,665,0.002707,-1.3198),(5965,675,0.002742,-1.3198),(5965,685,0.002776,-1.3198),(5965,695,0.002822,-1.3198),(5965,705,0.002921,-1.3198),(5965,715,0.00302,-1.3198),(5965,725,0.003119,-1.3199),(5965,735,0.003241,-1.32),(5965,745,0.003443,-1.3201),(5965,755,0.003645,-1.3201),(5965,765,0.003848,-1.3203),(5965,775,0.004065,-1.3204),(5965,785,0.004321,-1.3205),(5965,795,0.004577,-1.3206),(5965,805,0.004833,-1.3208),(5965,815,0.005109,-1.3209),(5965,825,0.00543,-1.321),(5965,835,0.00575,-1.3211),(5965,845,0.00607,-1.3213),(5965,855,0.00643,-1.3214),(5965,865,0.006864,-1.3216),(5965,875,0.007298,-1.3218),(5965,885,0.007732,-1.3219),(5965,895,0.008209,-1.3221),(5965,905,0.008753,-1.3223),(5965,915,0.009297,-1.3225),(5965,925,0.009841,-1.3227),(5965,935,0.010474,-1.3228),(5965,945,0.011224,-1.323),(5965,955,0.011975,-1.3232),(5965,965,0.012725,-1.3235),(5965,975,0.013637,-1.3238),(5965,985,0.014729,-1.3241),(5965,995,0.015822,-1.3244),(5965,1005,0.016914,-1.3248),(5965,1015,0.018247,-1.3251),(5965,1025,0.019811,-1.3255),(5965,1035,0.021375,-1.3258),(5965,1045,0.02294,-1.3261),(5965,1055,0.024905,-1.3265),(5965,1065,0.027199,-1.3268),(5965,1075,0.029493,-1.3271),(5965,1085,0.031787,-1.3275),(5965,1095,0.03473,-1.3278),(5965,1105,0.038127,-1.3282),(5965,1115,0.041523,-1.3284),(5965,1125,0.044919,-1.3285),(5965,1135,0.049386,-1.3287),(5965,1145,0.054485,-1.3288),(5965,1155,0.059585,-1.3287),(5965,1165,0.064684,-1.3286),(5965,1175,0.071558,-1.3285),(5965,1185,0.079312,-1.3284),(5965,1195,0.087066,-1.3279),(5965,1205,0.09482,-1.3273),(5965,1215,0.10575,-1.3267),(5965,1225,0.11798,-1.3261),(5965,1235,0.13021,-1.3245),(5965,1245,0.14245,-1.3226),(5965,1255,0.16182,-1.3207),(5965,1265,0.1836,-1.3188),(5965,1275,0.20539,-1.3115),(5965,1285,0.22717,-1.3026),(5965,1295,0.22414,-1.2937),(5965,1305,0.21439,-1.2848),(5965,1315,0.20464,-1.2648),(5965,1325,0.19489,-1.2422),(5965,1335,0.11962,-1.2196),(5965,1345,0.030626,-1.1969),(5965,1355,-0.05837,-1.212),(5965,1365,-0.14737,-1.2338),(5965,1375,-0.17741,-1.2557),(5965,1385,-0.19835,-1.2776),(5965,1395,-0.21929,-1.2883),(5965,1405,-0.24023,-1.2976),(5965,1415,-0.22093,-1.3069),(5965,1425,-0.19745,-1.3162),(5965,1435,-0.17397,-1.3183),(5965,1445,-0.15049,-1.3198),(5965,1455,-0.13756,-1.3214),(5965,1465,-0.12523,-1.3229),(5965,1475,-0.1129,-1.3237),(5965,1485,-0.10057,-1.3243),(5965,1495,-0.09266,-1.325),(5965,1505,-0.084817,-1.3257),(5965,1515,-0.076973,-1.3257),(5965,1525,-0.069193,-1.3256),(5965,1535,-0.063905,-1.3256),(5965,1545,-0.058618,-1.3256),(5965,1555,-0.05333,-1.3253),(5965,1565,-0.048151,-1.3249),(5965,1575,-0.04455,-1.3246),(5965,1585,-0.040949,-1.3243),(5965,1595,-0.037347,-1.3238),(5965,1605,-0.033864,-1.3233),(5965,1615,-0.031391,-1.3228),(5965,1625,-0.028919,-1.3223),(5965,1635,-0.026447,-1.3217),(5965,1645,-0.024084,-1.3211),(5965,1655,-0.022379,-1.3205),(5965,1665,-0.020673,-1.3199),(5965,1675,-0.018967,-1.3194),(5965,1685,-0.017359,-1.3189),(5965,1695,-0.016186,-1.3184),(5965,1705,-0.015013,-1.3179),(5965,1715,-0.01384,-1.3175),(5965,1725,-0.012744,-1.317),(5965,1735,-0.011912,-1.3166),(5965,1745,-0.011081,-1.3161),(5965,1755,-0.01025,-1.3156),(5965,1765,-0.009474,-1.3151),(5965,1775,-0.008855,-1.3146),(5965,1785,-0.008235,-1.3141),(5965,1795,-0.007616,-1.3136),(5965,1805,-0.007047,-1.3131),(5965,1815,-0.006598,-1.3126),(5965,1825,-0.006148,-1.3122),(5965,1835,-0.005698,-1.3118),(5965,1845,-0.00529,-1.3115),(5965,1855,-0.004963,-1.3111),(5965,1865,-0.004636,-1.3107),(5965,1875,-0.00431,-1.3102),(5965,1885,-0.003999,-1.3098),(5965,1895,-0.003715,-1.3093),(5965,1905,-0.003431,-1.3089),(5965,1915,-0.003147,-1.3086),(5965,1925,-0.002882,-1.3084),(5965,1935,-0.002642,-1.3081),(5965,1945,-0.002402,-1.3078),(5965,1955,-0.002162,-1.3074),(5965,1965,-0.001978,-1.3071),(5965,1975,-0.00186,-1.3068),(5965,1985,-0.001743,-1.3064),(5965,1995,-0.001625,-1.306),(5965,2005,-0.001503,-1.3056),(5965,2015,-0.001375,-1.3052),(5965,2025,-0.001248,-1.3049),(5965,2035,-0.00112,-1.3047),(5965,2045,-0.000981,-1.3044),(5965,2055,-0.000831,-1.3042),(5965,2065,-0.00068,-1.3039),(5965,2075,-0.00053,-1.3035),(5965,2085,-0.000397,-1.3032),(5965,2095,-0.000276,-1.3028),(5965,2105,-0.000154,-1.3025),(5965,2115,-3.3e-05,-1.3021),(5965,2125,6.5e-05,-1.3018),(5965,2135,0.000149,-1.3015),(5965,2145,0.000233,-1.3012),(5965,2155,0.000318,-1.3008),(5965,2165,0.000356,-1.3005),(5965,2175,0.00037,-1.3002),(5965,2185,0.000384,-1.2998),(5965,2195,0.000399,-1.2993),(5965,2205,0.000413,-1.2989),(5965,2215,0.000427,-1.2985),(5965,2225,0.000442,-1.2981),(5965,2235,0.000456,-1.2977),(5965,2245,0.000499,-1.2973),(5965,2255,0.000553,-1.297),(5965,2265,0.000607,-1.2966),(5965,2275,0.00066,-1.2962),(5965,2285,0.000742,-1.2958),(5965,2295,0.000831,-1.2954),(5965,2305,0.00092,-1.295),(5965,2315,0.001009,-1.2946),(5965,2325,0.001111,-1.2943),(5965,2335,0.001216,-1.2939),(5965,2345,0.001321,-1.2935),(5965,2355,0.001426,-1.2932),(5965,2365,0.001491,-1.2928),(5965,2375,0.00155,-1.2924),(5965,2385,0.001609,-1.292),(5965,2395,0.001668,-1.2915),(5965,2405,0.001706,-1.2911),(5965,2415,0.001742,-1.2906),(5965,2425,0.001778,-1.2902),(5965,2435,0.001813,-1.2898),(5965,2445,0.001842,-1.2893),(5965,2455,0.001871,-1.2889),(5965,2465,0.001899,-1.2884),(5965,2475,0.001928,-1.2879),(5965,2485,0.001939,-1.2875),(5965,2495,0.001949,-1.287),(5965,2505,0.00196,-1.2865),(5965,2515,0.001971,-1.2859),(5965,2525,0.002025,-1.2854),(5965,2535,0.002079,-1.2849),(5965,2545,0.002133,-1.2844),(5965,2555,0.002188,-1.2839),(5965,2565,0.002256,-1.2834),(5965,2575,0.002324,-1.2829),(5965,2585,0.002391,-1.2824),(5965,2595,0.002453,-1.2819),(5965,2605,0.002455,-1.2814),(5965,2615,0.002456,-1.2808),(5965,2625,0.002458,-1.2802),(5965,2635,0.002458,-1.2796),(5965,2645,0.002452,-1.2789),(5965,2655,0.002446,-1.2783),(5965,2665,0.002441,-1.2777),(5965,2675,0.00244,-1.2771),(5965,2685,0.002463,-1.2766),(5965,2695,0.002487,-1.276),(5965,2705,0.002511,-1.2754),(5965,2715,0.002529,-1.2749),(5965,2725,0.002529,-1.2743),(5965,2735,0.002529,-1.2738),(5965,2745,0.002529,-1.2731),(5965,2755,0.002533,-1.2725),(5965,2765,0.002549,-1.2718),(5965,2775,0.002565,-1.2712),(5965,2785,0.002582,-1.2705),(5965,2795,0.002613,-1.2699),(5965,2805,0.00268,-1.2693),(5965,2815,0.002747,-1.2686),(5965,2825,0.002814,-1.268),(5965,2835,0.002875,-1.2674),(5965,2845,0.002926,-1.2668),(5965,2855,0.002976,-1.2662),(5965,2865,0.003027,-1.2655),(5965,2875,0.003059,-1.2647),(5965,2885,0.003059,-1.264),(5965,2895,0.00306,-1.2633),(5965,2905,0.003061,-1.2625),(5965,2915,0.00306,-1.2617),(5965,2925,0.003059,-1.2609),(5965,2935,0.003057,-1.2601),(5965,2945,0.003055,-1.2593),(5965,2955,0.003078,-1.2586),(5965,2965,0.003129,-1.2578),(5965,2975,0.003181,-1.257),(5965,2985,0.003233,-1.2563),(5965,2995,0.003309,-1.2556),(5965,3005,0.00341,-1.2548),(5965,3015,0.003511,-1.2541),(5965,3025,0.003612,-1.2533),(5965,3035,0.003703,-1.2525),(5965,3045,0.003784,-1.2517),(5965,3055,0.003865,-1.2509),(5965,3065,0.003946,-1.25),(5965,3075,0.004006,-1.2491),(5965,3085,0.004052,-1.2482),(5965,3095,0.004097,-1.2473),(5965,3105,0.004143,-1.2464),(5965,3115,0.004197,-1.2455),(5965,3125,0.004258,-1.2446),(5965,3135,0.004319,-1.2438),(5965,3145,0.00438,-1.2429),(5965,3155,0.004461,-1.242),(5965,3165,0.004554,-1.2412),(5965,3175,0.004646,-1.2403),(5965,3185,0.004738,-1.2393),(5965,3195,0.004836,-1.2384),(5965,3205,0.004937,-1.2375),(5965,3215,0.005038,-1.2365),(5965,3225,0.005138,-1.2355),(5965,3235,0.005224,-1.2346),(5965,3245,0.005305,-1.2336),(5965,3255,0.005386,-1.2327),(5965,3265,0.005467,-1.2317),(5965,3275,0.005539,-1.2308),(5965,3285,0.005608,-1.2298),(5965,3295,0.005677,-1.2288),(5965,3305,0.005746,-1.2278),(5965,3315,0.005856,-1.2268),(5965,3325,0.005975,-1.2258),(5965,3335,0.006094,-1.2248),(5965,3345,0.006214,-1.2238),(5965,3355,0.006399,-1.2228),(5965,3365,0.006596,-1.2218),(5965,3375,0.006793,-1.2209),(5965,3385,0.006991,-1.22),(5965,3395,0.007196,-1.2191),(5965,3405,0.007403,-1.2182),(5965,3415,0.00761,-1.2172),(5965,3425,0.007817,-1.2161),(5965,3435,0.008025,-1.2151),(5965,3445,0.008234,-1.2141),(5965,3455,0.008443,-1.213),(5965,3465,0.008651,-1.2119),(5965,3475,0.008944,-1.2108),(5965,3485,0.00924,-1.2098),(5965,3495,0.009536,-1.2088),(5965,3505,0.009832,-1.2078),(5965,3515,0.010185,-1.2069),(5965,3525,0.010538,-1.2059),(5965,3535,0.010891,-1.2049),(5965,3545,0.011246,-1.2038),(5965,3555,0.011654,-1.2027),(5965,3565,0.012062,-1.2017),(5965,3575,0.01247,-1.2005),(5965,3585,0.012896,-1.1994),(5965,3595,0.013506,-1.1983),(5965,3605,0.014117,-1.1971),(5965,3615,0.014728,-1.1962),(5965,3625,0.015368,-1.1953),(5965,3635,0.016216,-1.1945),(5965,3645,0.017064,-1.1935),(5965,3655,0.017912,-1.1925),(5965,3665,0.018806,-1.1915),(5965,3675,0.019932,-1.1906),(5965,3685,0.021058,-1.1895),(5965,3695,0.022185,-1.1885),(5965,3705,0.023386,-1.1874),(5965,3715,0.024879,-1.1864),(5965,3725,0.026373,-1.1853),(5965,3735,0.027866,-1.1842),(5965,3745,0.029516,-1.1832),(5965,3755,0.031653,-1.1821),(5965,3765,0.03379,-1.181),(5965,3775,0.035926,-1.1799),(5965,3785,0.038322,-1.1788),(5965,3795,0.041373,-1.1777),(5965,3805,0.044425,-1.1766),(5965,3815,0.047477,-1.1754),(5965,3825,0.050916,-1.1742),(5965,3835,0.055173,-1.1731),(5965,3845,0.05943,-1.1717),(5965,3855,0.063686,-1.17),(5965,3865,0.068645,-1.1683),(5965,3875,0.074845,-1.1667),(5965,3885,0.081044,-1.1648),(5965,3895,0.087244,-1.1625),(5965,3905,0.094697,-1.1603),(5965,3915,0.10402,-1.1581),(5965,3925,0.11335,-1.1552),(5965,3935,0.12267,-1.1513),(5965,3945,0.13439,-1.1475),(5965,3955,0.14913,-1.1437),(5965,3965,0.16387,-1.1372),(5965,3975,0.17861,-1.1278),(5965,3985,0.18798,-1.1184),(5965,3995,0.19154,-1.1089),(5965,4005,0.19509,-1.0926),(5965,4015,0.19864,-1.0695),(5965,4025,0.25451,-1.0464),(5965,4035,0.3155,-1.0304),(5965,4045,0.37649,-1.0294),(5965,4055,0.44765,-1.0284),(5965,4065,0.52253,-1.0274),(5965,4075,0.5974,-1.0258),(5965,4085,0.63128,-1.0242),(5965,4095,0.63221,-1.0226),(5965,4105,0.63314,-1.021),(5965,4115,0.6341,-1.0194),(5965,4125,0.63509,-1.0179),(5965,4135,0.63609,-1.0164),(5965,4145,0.6371,-1.0149),(5965,4155,0.63817,-1.0134),(5965,4165,0.63925,-1.0118),(5965,4175,0.64033,-1.0102),(5965,4185,0.64153,-1.0086),(5965,4195,0.64273,-1.007),(5965,4205,0.64394,-1.0055),(5965,4215,0.64528,-1.004),(5965,4225,0.64664,-1.0025),(5965,4235,0.64801,-1.0009),(5965,4245,0.64947,-0.99941),(5965,4255,0.65098,-0.99787),(5965,4265,0.65249,-0.99625),(5965,4275,0.65406,-0.99463),(5965,4285,0.65569,-0.99301),(5965,4295,0.65733,-0.99138),(5965,4305,0.659,-0.98975),(5965,4315,0.66076,-0.98813),(5965,4325,0.66253,-0.98649),(5965,4335,0.66431,-0.98485),(5965,4345,0.66619,-0.98321),(5965,4355,0.66808,-0.98151),(5965,4365,0.66996,-0.97977),(5965,4375,0.67197,-0.97802),(5965,4385,0.67398,-0.97627),(5965,4395,0.67599,-0.97452),(5965,4405,0.6781,-0.97277),(5965,4415,0.68023,-0.97101),(5965,4425,0.68237,-0.96922),(5965,4435,0.68457,-0.96742),(5965,4445,0.68683,-0.96563),(5965,4455,0.68909,-0.96379),(5965,4465,0.6914,-0.96195),(5965,4475,0.69377,-0.9601),(5965,4485,0.69615,-0.95812),(5965,4495,0.69855,-0.95611),(5965,4505,0.70104,-0.9541),(5965,4515,0.70353,-0.95201),(5965,4525,0.70603,-0.94988),(5965,4535,0.70862,-0.94774),(5965,4545,0.71122,-0.94556),(5965,4555,0.71381,-0.94333),(5965,4565,0.7165,-0.9411),(5965,4575,0.71919,-0.93884),(5965,4585,0.72188,-0.93651),(5965,4595,0.72465,-0.93417),(5965,4605,0.72746,-0.93182),(5965,4615,0.73026,-0.92933),(5965,4625,0.73312,-0.92685),(5965,4635,0.73603,-0.92437),(5965,4645,0.73894,-0.92178),(5965,4655,0.74189,-0.91918),(5965,4665,0.74489,-0.91659),(5965,4675,0.74789,-0.91391),(5965,4685,0.7509,-0.91121),(5965,4695,0.75395,-0.90851),(5965,4705,0.757,-0.90573),(5965,4715,0.76005,-0.9029),(5965,4725,0.76313,-0.90007),(5965,4735,0.76621,-0.8972),(5965,4745,0.76928,-0.89427),(5965,4755,0.77239,-0.89135),(5965,4765,0.7755,-0.88841),(5965,4775,0.77861,-0.88537),(5965,4785,0.78175,-0.88234),(5965,4795,0.7849,-0.8793),(5965,4805,0.78806,-0.87615),(5965,4815,0.79124,-0.87299),(5965,4825,0.79443,-0.86983),(5965,4835,0.79762,-0.86659),(5965,4845,0.80082,-0.86333),(5965,4855,0.80404,-0.86008),(5965,4865,0.80725,-0.85677),(5965,4875,0.81046,-0.85343),(5965,4885,0.81367,-0.85009),(5965,4895,0.81689,-0.84671),(5965,4905,0.8201,-0.8433),(5965,4915,0.82331,-0.83988),(5965,4925,0.82652,-0.83644),(5965,4935,0.82973,-0.83294),(5965,4945,0.83295,-0.82944),(5965,4955,0.83616,-0.82592),(5965,4965,0.83937,-0.8223),(5965,4975,0.84258,-0.81869),(5965,4985,0.84579,-0.81508),(5965,4995,0.84899,-0.81137),(5965,5005,0.8522,-0.80766),(5965,5015,0.8554,-0.80396),(5965,5025,0.85859,-0.80019),(5965,5035,0.86179,-0.79641),(5965,5045,0.86497,-0.79263),(5965,5055,0.86816,-0.78882),(5965,5065,0.87134,-0.78498),(5965,5075,0.87452,-0.78115),(5965,5085,0.87769,-0.77728),(5965,5095,0.88087,-0.77336),(5965,5105,0.88403,-0.76945),(5965,5115,0.88719,-0.7655),(5965,5125,0.89035,-0.76146),(5965,5135,0.89349,-0.75741),(5965,5145,0.89662,-0.75336),(5965,5155,0.89976,-0.74923),(5965,5165,0.90288,-0.74509),(5965,5175,0.90598,-0.74095),(5965,5185,0.90909,-0.73678),(5965,5195,0.91219,-0.73261),(5965,5205,0.91529,-0.72843),(5965,5215,0.91838,-0.72422),(5965,5225,0.92147,-0.71999),(5965,5235,0.92454,-0.71575),(5965,5245,0.92761,-0.71147),(5965,5255,0.93068,-0.70715),(5965,5265,0.93372,-0.70283),(5965,5275,0.93676,-0.69849),(5965,5285,0.93979,-0.6941),(5965,5295,0.94281,-0.68971),(5965,5305,0.94582,-0.68531),(5965,5315,0.94883,-0.68089),(5965,5325,0.95182,-0.67647),(5965,5335,0.9548,-0.67205),(5965,5345,0.95779,-0.66761),(5965,5355,0.96076,-0.66317),(5965,5365,0.96371,-0.65873),(5965,5375,0.96667,-0.65423),(5965,5385,0.96961,-0.64972),(5965,5395,0.97253,-0.6452),(5965,5405,0.97546,-0.64061),(5965,5415,0.97837,-0.63599),(5965,5425,0.98126,-0.63136),(5965,5435,0.98415,-0.6267),(5965,5445,0.98704,-0.62201),(5965,5455,0.98989,-0.61732),(5965,5465,0.99273,-0.61263),(5965,5475,0.99558,-0.60792),(5965,5485,0.99838,-0.60321),(5965,5495,1.0012,-0.59849),(5965,5505,1.0039,-0.59374),(5965,5515,1.0067,-0.58898),(5965,5525,1.0094,-0.58422),(5965,5535,1.0121,-0.57939),(5965,5545,1.0148,-0.57456),(5965,5555,1.0175,-0.56973),(5965,5565,1.0201,-0.56485),(5965,5575,1.0228,-0.55996),(5965,5585,1.0254,-0.55507),(5965,5595,1.028,-0.55015),(5965,5605,1.0307,-0.54519),(5965,5615,1.0332,-0.54024),(5965,5625,1.0358,-0.53526),(5965,5635,1.0384,-0.53024),(5965,5645,1.0409,-0.52521),(5965,5655,1.0434,-0.52018),(5965,5665,1.046,-0.51513),(5965,5675,1.0485,-0.51007),(5965,5685,1.051,-0.50501),(5965,5695,1.0534,-0.49996),(5965,5705,1.0559,-0.49491),(5965,5715,1.0583,-0.48986),(5965,5725,1.0607,-0.48477),(5965,5735,1.0632,-0.47966),(5965,5745,1.0655,-0.47456),(5965,5755,1.0679,-0.46941),(5965,5765,1.0703,-0.46426),(5965,5775,1.0726,-0.4591),(5965,5785,1.0749,-0.45392),(5965,5795,1.0772,-0.44871),(5965,5805,1.0794,-0.4435),(5965,5815,1.0817,-0.43828),(5965,5825,1.0839,-0.43302),(5965,5835,1.0861,-0.42777),(5965,5845,1.0883,-0.4225),(5965,5855,1.0904,-0.41718),(5965,5865,1.0926,-0.41186),(5965,5875,1.0947,-0.40655),(5965,5885,1.0967,-0.40116),(5965,5895,1.0988,-0.39578),(5965,5905,1.1008,-0.3904),(5965,5915,1.1028,-0.38499),(5965,5925,1.1048,-0.37957),(5965,5935,1.1067,-0.37416),(5965,5945,1.1087,-0.36874),(5965,5955,1.1106,-0.36332),(5965,5965,1.1125,-0.3579),(5965,5975,1.1144,-0.35246),(5965,5985,1.1162,-0.34697),(5965,5995,1.1181,-0.34149),(5965,6005,1.1199,-0.33599),(5965,6015,1.1217,-0.33045),(5965,6025,1.1235,-0.32492),(5965,6035,1.1252,-0.31938),(5965,6045,1.127,-0.31388),(5965,6055,1.1287,-0.30838),(5965,6065,1.1304,-0.30288),(5965,6075,1.1321,-0.29736),(5965,6085,1.1338,-0.29183),(5965,6095,1.1354,-0.28631),(5965,6105,1.137,-0.28069),(5965,6115,1.1385,-0.27505),(5965,6125,1.14,-0.26941),(5965,6135,1.1415,-0.26374),(5965,6145,1.1429,-0.25803),(5965,6155,1.1443,-0.25233),(5965,6165,1.1456,-0.24663),(5965,6175,1.147,-0.24092),(5965,6185,1.1483,-0.23521),(5965,6195,1.1496,-0.2295),(5965,6205,1.1509,-0.22378),(5965,6215,1.1521,-0.21806),(5965,6225,1.1534,-0.21234),(5965,6235,1.1546,-0.20661),(5965,6245,1.1558,-0.20088),(5965,6255,1.157,-0.19516),(5965,6265,1.1581,-0.18945),(5965,6275,1.1592,-0.18374),(5965,6285,1.1603,-0.17803),(5965,6295,1.1613,-0.17226),(5965,6305,1.1624,-0.16647),(5965,6315,1.1633,-0.16067),(5965,6325,1.1642,-0.15482),(5965,6335,1.1651,-0.1489),(5965,6345,1.1659,-0.14298),(5965,6355,1.1666,-0.13709),(5965,6365,1.1674,-0.13126),(5965,6375,1.1681,-0.12544),(5965,6385,1.1688,-0.11961),(5965,6395,1.1695,-0.11376),(5965,6405,1.1701,-0.10791),(5965,6415,1.1707,-0.10206),(5965,6425,1.1713,-0.096217),(5965,6435,1.1719,-0.09038),(5965,6445,1.1724,-0.084543),(5965,6455,1.1729,-0.078687),(5965,6465,1.1734,-0.072827),(5965,6475,1.1738,-0.066967),(5965,6485,1.1742,-0.061099),(5965,6495,1.1746,-0.055226),(5965,6505,1.1749,-0.049353),(5965,6515,1.1751,-0.043452),(5965,6525,1.1754,-0.037514),(5965,6535,1.1756,-0.031575),(5965,6545,1.1758,-0.025664),(5965,6555,1.176,-0.01984),(5965,6565,1.1761,-0.014015),(5965,6575,1.1761,-0.008181),(5965,6585,1.1762,-0.002216),(5965,6595,1.0004,0.003749),(5965,6605,0.63044,0.009714),(5965,6615,0.26046,0.010398),(5965,6625,0.00039,0.010403),(5965,6635,0.00042,0.010408),(5965,6645,0.00045,0.010412),(5965,6655,0.00048,0.010415),(5965,6665,0.00051,0.010419),(5965,6675,0.00054,0.010422),(5965,6685,0.000569,0.010425),(5965,6695,0.000599,0.010428),(5965,6705,0.000628,0.010431),(5965,6715,0.000657,0.010433),(5965,6725,0.000686,0.010436),(5965,6735,0.000715,0.010438),(5965,6745,0.000744,0.01044),(5965,6755,0.000773,0.010442),(5965,6765,0.000801,0.010443),(5965,6775,0.000829,0.010444),(5965,6785,0.000858,0.010446),(5965,6795,0.000886,0.010447),(5965,6805,0.000914,0.010447),(5965,6815,0.000942,0.010448),(5965,6825,0.000969,0.010448),(5965,6835,0.000997,0.010448),(5965,6845,0.001024,0.010448),(5965,6855,0.001051,0.010448),(5965,6865,0.001078,0.010447),(5965,6875,0.001105,0.010446),(5965,6885,0.001132,0.010445),(5965,6895,0.001158,0.010444),(5965,6905,0.001185,0.010442),(5965,6915,0.001211,0.010441),(5965,6925,0.001236,0.010439),(5965,6935,0.001262,0.010437),(5965,6945,0.001288,0.010434),(5965,6955,0.001313,0.010432),(5965,6965,0.001339,0.010429),(5965,6975,0.001364,0.010426),(5965,6985,0.001389,0.010423),(5975,5,7e-06,-1.3196),(5975,15,2.2e-05,-1.3196),(5975,25,5e-05,-1.3196),(5975,35,9.2e-05,-1.3197),(5975,45,0.000134,-1.3197),(5975,55,0.000176,-1.3196),(5975,65,0.000191,-1.3196),(5975,75,0.000186,-1.3195),(5975,85,0.000181,-1.3195),(5975,95,0.000176,-1.3195),(5975,105,0.000193,-1.3196),(5975,115,0.000225,-1.3196),(5975,125,0.000257,-1.3196),(5975,135,0.000289,-1.3196),(5975,145,0.00032,-1.3197),(5975,155,0.000349,-1.3197),(5975,165,0.000379,-1.3197),(5975,175,0.000409,-1.3198),(5975,185,0.00044,-1.3198),(5975,195,0.000472,-1.3198),(5975,205,0.000505,-1.3198),(5975,215,0.000537,-1.3198),(5975,225,0.000545,-1.3197),(5975,235,0.000544,-1.3197),(5975,245,0.000543,-1.3197),(5975,255,0.000542,-1.3196),(5975,265,0.000534,-1.3196),(5975,275,0.000523,-1.3196),(5975,285,0.000512,-1.3195),(5975,295,0.000501,-1.3195),(5975,305,0.000493,-1.3194),(5975,315,0.000486,-1.3194),(5975,325,0.000478,-1.3193),(5975,335,0.000471,-1.3192),(5975,345,0.000483,-1.3192),(5975,355,0.0005,-1.3191),(5975,365,0.000516,-1.3191),(5975,375,0.000533,-1.3191),(5975,385,0.000609,-1.3191),(5975,395,0.000694,-1.3192),(5975,405,0.000778,-1.3192),(5975,415,0.000863,-1.3192),(5975,425,0.000974,-1.3193),(5975,435,0.001086,-1.3193),(5975,445,0.001199,-1.3194),(5975,455,0.001312,-1.3195),(5975,465,0.001394,-1.3195),(5975,475,0.001475,-1.3196),(5975,485,0.001556,-1.3196),(5975,495,0.001636,-1.3195),(5975,505,0.00169,-1.3195),(5975,515,0.001744,-1.3195),(5975,525,0.001798,-1.3195),(5975,535,0.001853,-1.3194),(5975,545,0.001911,-1.3194),(5975,555,0.001969,-1.3194),(5975,565,0.002027,-1.3195),(5975,575,0.002087,-1.3195),(5975,585,0.002177,-1.3196),(5975,595,0.002266,-1.3196),(5975,605,0.002355,-1.3197),(5975,615,0.002444,-1.3198),(5975,625,0.002521,-1.3199),(5975,635,0.002599,-1.32),(5975,645,0.002677,-1.3199),(5975,655,0.002749,-1.3199),(5975,665,0.002789,-1.3198),(5975,675,0.002829,-1.3198),(5975,685,0.002869,-1.3198),(5975,695,0.002919,-1.3198),(5975,705,0.003013,-1.3198),(5975,715,0.003107,-1.3198),(5975,725,0.003201,-1.3199),(5975,735,0.003319,-1.3199),(5975,745,0.003513,-1.32),(5975,755,0.003708,-1.3201),(5975,765,0.003902,-1.3202),(5975,775,0.004114,-1.3203),(5975,785,0.004375,-1.3204),(5975,795,0.004635,-1.3205),(5975,805,0.004896,-1.3206),(5975,815,0.005177,-1.3207),(5975,825,0.005504,-1.3208),(5975,835,0.005831,-1.321),(5975,845,0.006158,-1.3211),(5975,855,0.006525,-1.3212),(5975,865,0.006967,-1.3214),(5975,875,0.007408,-1.3215),(5975,885,0.00785,-1.3217),(5975,895,0.008335,-1.3219),(5975,905,0.00889,-1.3221),(5975,915,0.009446,-1.3223),(5975,925,0.010001,-1.3224),(5975,935,0.010644,-1.3225),(5975,945,0.011403,-1.3226),(5975,955,0.012162,-1.3228),(5975,965,0.012922,-1.3231),(5975,975,0.013841,-1.3234),(5975,985,0.014941,-1.3236),(5975,995,0.01604,-1.3239),(5975,1005,0.01714,-1.3242),(5975,1015,0.018477,-1.3245),(5975,1025,0.020044,-1.3248),(5975,1035,0.021611,-1.3251),(5975,1045,0.023177,-1.3253),(5975,1055,0.025139,-1.3256),(5975,1065,0.027426,-1.3258),(5975,1075,0.029713,-1.3261),(5975,1085,0.032,-1.3263),(5975,1095,0.034919,-1.3265),(5975,1105,0.038281,-1.3268),(5975,1115,0.041642,-1.3269),(5975,1125,0.045004,-1.3268),(5975,1135,0.049403,-1.3268),(5975,1145,0.054417,-1.3268),(5975,1155,0.05943,-1.3265),(5975,1165,0.064443,-1.3261),(5975,1175,0.071192,-1.3257),(5975,1185,0.078801,-1.3253),(5975,1195,0.086411,-1.3245),(5975,1205,0.094021,-1.3235),(5975,1215,0.10468,-1.3224),(5975,1225,0.11661,-1.3214),(5975,1235,0.12853,-1.3191),(5975,1245,0.14046,-1.3163),(5975,1255,0.1584,-1.3136),(5975,1265,0.17838,-1.3108),(5975,1275,0.19836,-1.3025),(5975,1285,0.21834,-1.2925),(5975,1295,0.21229,-1.2825),(5975,1305,0.19919,-1.2725),(5975,1315,0.18609,-1.2549),(5975,1325,0.17299,-1.2354),(5975,1335,0.10629,-1.216),(5975,1345,0.028358,-1.1965),(5975,1355,-0.049577,-1.2092),(5975,1365,-0.12751,-1.2276),(5975,1375,-0.1586,-1.2461),(5975,1385,-0.18245,-1.2645),(5975,1395,-0.20631,-1.2759),(5975,1405,-0.23017,-1.2863),(5975,1415,-0.21293,-1.2967),(5975,1425,-0.19143,-1.3072),(5975,1435,-0.16993,-1.3104),(5975,1445,-0.14844,-1.3129),(5975,1455,-0.13582,-1.3155),(5975,1465,-0.12372,-1.3181),(5975,1475,-0.11162,-1.3193),(5975,1485,-0.099518,-1.3203),(5975,1495,-0.091749,-1.3214),(5975,1505,-0.084045,-1.3225),(5975,1515,-0.076341,-1.3227),(5975,1525,-0.068699,-1.323),(5975,1535,-0.063522,-1.3232),(5975,1545,-0.058345,-1.3234),(5975,1555,-0.053168,-1.3232),(5975,1565,-0.048097,-1.3231),(5975,1575,-0.044556,-1.3229),(5975,1585,-0.041014,-1.3228),(5975,1595,-0.037473,-1.3224),(5975,1605,-0.034046,-1.322),(5975,1615,-0.031598,-1.3216),(5975,1625,-0.02915,-1.3212),(5975,1635,-0.026702,-1.3207),(5975,1645,-0.02436,-1.3202),(5975,1655,-0.022657,-1.3197),(5975,1665,-0.020954,-1.3192),(5975,1675,-0.019251,-1.3187),(5975,1685,-0.017643,-1.3183),(5975,1695,-0.016459,-1.3178),(5975,1705,-0.015275,-1.3174),(5975,1715,-0.014091,-1.317),(5975,1725,-0.012983,-1.3166),(5975,1735,-0.01214,-1.3162),(5975,1745,-0.011296,-1.3158),(5975,1755,-0.010453,-1.3153),(5975,1765,-0.009666,-1.3148),(5975,1775,-0.009038,-1.3143),(5975,1785,-0.00841,-1.3138),(5975,1795,-0.007781,-1.3133),(5975,1805,-0.007203,-1.3129),(5975,1815,-0.006741,-1.3124),(5975,1825,-0.006279,-1.312),(5975,1835,-0.005817,-1.3117),(5975,1845,-0.005398,-1.3113),(5975,1855,-0.005063,-1.311),(5975,1865,-0.004728,-1.3106),(5975,1875,-0.004392,-1.3101),(5975,1885,-0.004079,-1.3097),(5975,1895,-0.0038,-1.3092),(5975,1905,-0.003521,-1.3088),(5975,1915,-0.003243,-1.3085),(5975,1925,-0.002976,-1.3082),(5975,1935,-0.002727,-1.308),(5975,1945,-0.002478,-1.3077),(5975,1955,-0.002229,-1.3073),(5975,1965,-0.002037,-1.307),(5975,1975,-0.001912,-1.3067),(5975,1985,-0.001788,-1.3063),(5975,1995,-0.001663,-1.3059),(5975,2005,-0.00154,-1.3055),(5975,2015,-0.001417,-1.3052),(5975,2025,-0.001294,-1.3048),(5975,2035,-0.001171,-1.3046),(5975,2045,-0.00103,-1.3043),(5975,2055,-0.000873,-1.3041),(5975,2065,-0.000716,-1.3038),(5975,2075,-0.000559,-1.3034),(5975,2085,-0.000417,-1.3031),(5975,2095,-0.000286,-1.3027),(5975,2105,-0.000155,-1.3024),(5975,2115,-2.3e-05,-1.3021),(5975,2125,8.8e-05,-1.3018),(5975,2135,0.000186,-1.3014),(5975,2145,0.000285,-1.3011),(5975,2155,0.000384,-1.3008),(5975,2165,0.000436,-1.3005),(5975,2175,0.000464,-1.3002),(5975,2185,0.000491,-1.2998),(5975,2195,0.000519,-1.2994),(5975,2205,0.000535,-1.2989),(5975,2215,0.000548,-1.2985),(5975,2225,0.00056,-1.2981),(5975,2235,0.000572,-1.2977),(5975,2245,0.000607,-1.2973),(5975,2255,0.00065,-1.297),(5975,2265,0.000693,-1.2966),(5975,2275,0.000736,-1.2962),(5975,2285,0.000809,-1.2957),(5975,2295,0.000889,-1.2953),(5975,2305,0.00097,-1.295),(5975,2315,0.001051,-1.2946),(5975,2325,0.001154,-1.2942),(5975,2335,0.001263,-1.2938),(5975,2345,0.001372,-1.2935),(5975,2355,0.00148,-1.2931),(5975,2365,0.001554,-1.2928),(5975,2375,0.001621,-1.2924),(5975,2385,0.001688,-1.292),(5975,2395,0.001756,-1.2915),(5975,2405,0.001795,-1.2911),(5975,2415,0.001831,-1.2906),(5975,2425,0.001866,-1.2902),(5975,2435,0.001902,-1.2897),(5975,2445,0.001929,-1.2893),(5975,2455,0.001955,-1.2889),(5975,2465,0.001981,-1.2884),(5975,2475,0.002006,-1.2879),(5975,2485,0.002012,-1.2875),(5975,2495,0.002017,-1.287),(5975,2505,0.002022,-1.2865),(5975,2515,0.002028,-1.2859),(5975,2525,0.002075,-1.2854),(5975,2535,0.002122,-1.2848),(5975,2545,0.00217,-1.2844),(5975,2555,0.002218,-1.2839),(5975,2565,0.002292,-1.2834),(5975,2575,0.002365,-1.2829),(5975,2585,0.002439,-1.2824),(5975,2595,0.002506,-1.2819),(5975,2605,0.002514,-1.2814),(5975,2615,0.002523,-1.2808),(5975,2625,0.002531,-1.2802),(5975,2635,0.002537,-1.2796),(5975,2645,0.002527,-1.2789),(5975,2655,0.002517,-1.2783),(5975,2665,0.002506,-1.2777),(5975,2675,0.002501,-1.2771),(5975,2685,0.002522,-1.2766),(5975,2695,0.002544,-1.276),(5975,2705,0.002565,-1.2754),(5975,2715,0.002582,-1.2749),(5975,2725,0.002583,-1.2743),(5975,2735,0.002584,-1.2738),(5975,2745,0.002586,-1.2731),(5975,2755,0.002589,-1.2725),(5975,2765,0.002597,-1.2718),(5975,2775,0.002605,-1.2712),(5975,2785,0.002613,-1.2705),(5975,2795,0.002637,-1.2699),(5975,2805,0.002697,-1.2692),(5975,2815,0.002757,-1.2686),(5975,2825,0.002817,-1.268),(5975,2835,0.002876,-1.2674),(5975,2845,0.002933,-1.2668),(5975,2855,0.002989,-1.2661),(5975,2865,0.003045,-1.2654),(5975,2875,0.003085,-1.2647),(5975,2885,0.003095,-1.2641),(5975,2895,0.003105,-1.2633),(5975,2905,0.003115,-1.2625),(5975,2915,0.003121,-1.2617),(5975,2925,0.003119,-1.2609),(5975,2935,0.003117,-1.2601),(5975,2945,0.003116,-1.2593),(5975,2955,0.003134,-1.2586),(5975,2965,0.003178,-1.2578),(5975,2975,0.003221,-1.257),(5975,2985,0.003264,-1.2562),(5975,2995,0.003336,-1.2555),(5975,3005,0.003437,-1.2547),(5975,3015,0.003538,-1.254),(5975,3025,0.003638,-1.2532),(5975,3035,0.003736,-1.2524),(5975,3045,0.003829,-1.2516),(5975,3055,0.003923,-1.2508),(5975,3065,0.004017,-1.2499),(5975,3075,0.004088,-1.2491),(5975,3085,0.004142,-1.2482),(5975,3095,0.004196,-1.2473),(5975,3105,0.00425,-1.2464),(5975,3115,0.004307,-1.2455),(5975,3125,0.004365,-1.2446),(5975,3135,0.004424,-1.2437),(5975,3145,0.004483,-1.2429),(5975,3155,0.004561,-1.242),(5975,3165,0.004649,-1.2411),(5975,3175,0.004737,-1.2402),(5975,3185,0.004825,-1.2393),(5975,3195,0.004923,-1.2383),(5975,3205,0.005024,-1.2374),(5975,3215,0.005126,-1.2365),(5975,3225,0.005227,-1.2355),(5975,3235,0.005318,-1.2345),(5975,3245,0.005404,-1.2336),(5975,3255,0.00549,-1.2326),(5975,3265,0.005576,-1.2317),(5975,3275,0.005647,-1.2307),(5975,3285,0.005714,-1.2298),(5975,3295,0.005781,-1.2288),(5975,3305,0.005848,-1.2278),(5975,3315,0.005947,-1.2267),(5975,3325,0.006056,-1.2257),(5975,3335,0.006163,-1.2247),(5975,3345,0.006271,-1.2237),(5975,3355,0.006457,-1.2227),(5975,3365,0.006656,-1.2217),(5975,3375,0.006856,-1.2208),(5975,3385,0.007055,-1.2199),(5975,3395,0.007278,-1.219),(5975,3405,0.007503,-1.2181),(5975,3415,0.007729,-1.2171),(5975,3425,0.007955,-1.216),(5975,3435,0.008172,-1.215),(5975,3445,0.00839,-1.214),(5975,3455,0.008607,-1.2129),(5975,3465,0.008824,-1.2118),(5975,3475,0.009116,-1.2107),(5975,3485,0.00941,-1.2096),(5975,3495,0.009705,-1.2086),(5975,3505,0.01,-1.2077),(5975,3515,0.010366,-1.2067),(5975,3525,0.010731,-1.2057),(5975,3535,0.011096,-1.2047),(5975,3545,0.011464,-1.2036),(5975,3555,0.011879,-1.2025),(5975,3565,0.012294,-1.2015),(5975,3575,0.012709,-1.2003),(5975,3585,0.013139,-1.1991),(5975,3595,0.013739,-1.198),(5975,3605,0.01434,-1.1968),(5975,3615,0.01494,-1.1959),(5975,3625,0.015571,-1.1949),(5975,3635,0.016416,-1.194),(5975,3645,0.017262,-1.1931),(5975,3655,0.018108,-1.192),(5975,3665,0.019001,-1.191),(5975,3675,0.020131,-1.1899),(5975,3685,0.02126,-1.1889),(5975,3695,0.02239,-1.1878),(5975,3705,0.023593,-1.1867),(5975,3715,0.025081,-1.1856),(5975,3725,0.02657,-1.1845),(5975,3735,0.028058,-1.1833),(5975,3745,0.029697,-1.1821),(5975,3755,0.031809,-1.181),(5975,3765,0.03392,-1.1798),(5975,3775,0.036032,-1.1786),(5975,3785,0.038396,-1.1773),(5975,3795,0.041403,-1.1761),(5975,3805,0.044411,-1.1748),(5975,3815,0.047418,-1.1735),(5975,3825,0.050804,-1.1722),(5975,3835,0.054988,-1.1708),(5975,3845,0.059172,-1.1693),(5975,3855,0.063356,-1.1673),(5975,3865,0.068214,-1.1653),(5975,3875,0.074261,-1.1634),(5975,3885,0.080308,-1.1611),(5975,3895,0.086355,-1.1585),(5975,3905,0.093562,-1.1558),(5975,3915,0.1025,-1.1531),(5975,3925,0.11144,-1.1497),(5975,3935,0.12038,-1.1452),(5975,3945,0.13122,-1.1406),(5975,3955,0.14447,-1.1361),(5975,3965,0.15772,-1.1291),(5975,3975,0.17096,-1.1192),(5975,3985,0.17781,-1.1093),(5975,3995,0.17773,-1.0994),(5975,4005,0.17766,-1.0844),(5975,4015,0.17758,-1.0643),(5975,4025,0.23872,-1.0443),(5975,4035,0.30584,-1.0303),(5975,4045,0.37297,-1.0293),(5975,4055,0.44553,-1.0284),(5975,4065,0.52007,-1.0273),(5975,4075,0.59462,-1.0256),(5975,4085,0.62836,-1.024),(5975,4095,0.62931,-1.0224),(5975,4105,0.63026,-1.0208),(5975,4115,0.63124,-1.0193),(5975,4125,0.63225,-1.0177),(5975,4135,0.63326,-1.0162),(5975,4145,0.63428,-1.0147),(5975,4155,0.63536,-1.0131),(5975,4165,0.63645,-1.0116),(5975,4175,0.63753,-1.01),(5975,4185,0.63873,-1.0084),(5975,4195,0.63992,-1.0068),(5975,4205,0.64112,-1.0052),(5975,4215,0.64245,-1.0037),(5975,4225,0.64381,-1.0022),(5975,4235,0.64516,-1.0006),(5975,4245,0.64661,-0.99907),(5975,4255,0.6481,-0.99751),(5975,4265,0.6496,-0.99588),(5975,4275,0.65115,-0.99424),(5975,4285,0.65277,-0.99261),(5975,4295,0.65439,-0.99096),(5975,4305,0.65605,-0.98931),(5975,4315,0.6578,-0.98767),(5975,4325,0.65956,-0.98601),(5975,4335,0.66132,-0.98435),(5975,4345,0.66319,-0.98269),(5975,4355,0.66506,-0.98097),(5975,4365,0.66693,-0.97919),(5975,4375,0.66891,-0.97741),(5975,4385,0.6709,-0.97564),(5975,4395,0.67289,-0.97386),(5975,4405,0.67497,-0.97208),(5975,4415,0.67707,-0.97029),(5975,4425,0.67918,-0.96848),(5975,4435,0.68136,-0.96666),(5975,4445,0.68359,-0.96484),(5975,4455,0.68582,-0.96299),(5975,4465,0.6881,-0.96113),(5975,4475,0.69045,-0.95927),(5975,4485,0.6928,-0.95728),(5975,4495,0.69518,-0.95527),(5975,4505,0.69764,-0.95325),(5975,4515,0.7001,-0.95116),(5975,4525,0.70256,-0.94903),(5975,4535,0.70512,-0.9469),(5975,4545,0.70767,-0.94472),(5975,4555,0.71023,-0.94249),(5975,4565,0.71287,-0.94027),(5975,4575,0.71552,-0.93801),(5975,4585,0.71817,-0.93567),(5975,4595,0.7209,-0.93333),(5975,4605,0.72365,-0.93098),(5975,4615,0.72641,-0.92849),(5975,4625,0.72922,-0.926),(5975,4635,0.73209,-0.92352),(5975,4645,0.73496,-0.92093),(5975,4655,0.73786,-0.91834),(5975,4665,0.74082,-0.91574),(5975,4675,0.74378,-0.91307),(5975,4685,0.74674,-0.91038),(5975,4695,0.74975,-0.90769),(5975,4705,0.75276,-0.90492),(5975,4715,0.75577,-0.9021),(5975,4725,0.75881,-0.89928),(5975,4735,0.76185,-0.89642),(5975,4745,0.76489,-0.8935),(5975,4755,0.76795,-0.89058),(5975,4765,0.77102,-0.88764),(5975,4775,0.7741,-0.8846),(5975,4785,0.7772,-0.88157),(5975,4795,0.78032,-0.87853),(5975,4805,0.78343,-0.87537),(5975,4815,0.78657,-0.87222),(5975,4825,0.78973,-0.86906),(5975,4835,0.79289,-0.86582),(5975,4845,0.79605,-0.86256),(5975,4855,0.79923,-0.85931),(5975,4865,0.8024,-0.856),(5975,4875,0.80558,-0.85267),(5975,4885,0.80876,-0.84933),(5975,4895,0.81195,-0.84596),(5975,4905,0.81513,-0.84255),(5975,4915,0.81831,-0.83914),(5975,4925,0.82149,-0.83571),(5975,4935,0.82467,-0.83221),(5975,4945,0.82785,-0.82871),(5975,4955,0.83103,-0.8252),(5975,4965,0.83422,-0.82159),(5975,4975,0.8374,-0.81798),(5975,4985,0.84057,-0.81438),(5975,4995,0.84375,-0.81068),(5975,5005,0.84693,-0.80698),(5975,5015,0.85009,-0.80328),(5975,5025,0.85326,-0.79953),(5975,5035,0.85642,-0.79576),(5975,5045,0.85958,-0.79198),(5975,5055,0.86273,-0.78818),(5975,5065,0.86589,-0.78435),(5975,5075,0.86903,-0.78053),(5975,5085,0.87218,-0.77666),(5975,5095,0.87532,-0.77276),(5975,5105,0.87845,-0.76885),(5975,5115,0.88158,-0.76491),(5975,5125,0.88471,-0.76088),(5975,5135,0.88783,-0.75685),(5975,5145,0.89093,-0.75281),(5975,5155,0.89404,-0.74869),(5975,5165,0.89713,-0.74456),(5975,5175,0.90021,-0.74043),(5975,5185,0.90328,-0.73627),(5975,5195,0.90636,-0.73209),(5975,5205,0.90942,-0.72792),(5975,5215,0.91248,-0.72371),(5975,5225,0.91554,-0.71949),(5975,5235,0.91859,-0.71526),(5975,5245,0.92163,-0.71098),(5975,5255,0.92467,-0.70667),(5975,5265,0.92769,-0.70236),(5975,5275,0.9307,-0.69802),(5975,5285,0.93371,-0.69364),(5975,5295,0.9367,-0.68926),(5975,5305,0.93968,-0.68487),(5975,5315,0.94267,-0.68045),(5975,5325,0.94563,-0.67603),(5975,5335,0.94859,-0.67162),(5975,5345,0.95155,-0.66718),(5975,5355,0.9545,-0.66274),(5975,5365,0.95743,-0.65831),(5975,5375,0.96036,-0.65381),(5975,5385,0.96328,-0.6493),(5975,5395,0.96618,-0.64479),(5975,5405,0.96908,-0.6402),(5975,5415,0.97197,-0.63557),(5975,5425,0.97484,-0.63095),(5975,5435,0.97771,-0.62629),(5975,5445,0.98058,-0.6216),(5975,5455,0.98341,-0.61692),(5975,5465,0.98624,-0.61223),(5975,5475,0.98907,-0.60753),(5975,5485,0.99186,-0.60283),(5975,5495,0.99462,-0.59812),(5975,5505,0.99739,-0.59338),(5975,5515,1.0001,-0.58863),(5975,5525,1.0028,-0.58388),(5975,5535,1.0055,-0.57906),(5975,5545,1.0082,-0.57424),(5975,5555,1.0108,-0.56942),(5975,5565,1.0135,-0.56454),(5975,5575,1.0161,-0.55965),(5975,5585,1.0187,-0.55476),(5975,5595,1.0213,-0.54984),(5975,5605,1.0239,-0.54489),(5975,5615,1.0265,-0.53993),(5975,5625,1.029,-0.53495),(5975,5635,1.0316,-0.52993),(5975,5645,1.0341,-0.52491),(5975,5655,1.0366,-0.51987),(5975,5665,1.0391,-0.51482),(5975,5675,1.0416,-0.50976),(5975,5685,1.044,-0.5047),(5975,5695,1.0465,-0.49965),(5975,5705,1.0489,-0.4946),(5975,5715,1.0513,-0.48955),(5975,5725,1.0537,-0.48446),(5975,5735,1.0561,-0.47936),(5975,5745,1.0585,-0.47425),(5975,5755,1.0608,-0.46911),(5975,5765,1.0632,-0.46396),(5975,5775,1.0655,-0.4588),(5975,5785,1.0677,-0.45362),(5975,5795,1.07,-0.44842),(5975,5805,1.0723,-0.44321),(5975,5815,1.0745,-0.43799),(5975,5825,1.0767,-0.43273),(5975,5835,1.0789,-0.42748),(5975,5845,1.0811,-0.42222),(5975,5855,1.0832,-0.41691),(5975,5865,1.0853,-0.4116),(5975,5875,1.0874,-0.40629),(5975,5885,1.0895,-0.40091),(5975,5895,1.0915,-0.39554),(5975,5905,1.0935,-0.39016),(5975,5915,1.0955,-0.38475),(5975,5925,1.0975,-0.37934),(5975,5935,1.0994,-0.37393),(5975,5945,1.1013,-0.36851),(5975,5955,1.1032,-0.36309),(5975,5965,1.1051,-0.35767),(5975,5975,1.1069,-0.35222),(5975,5985,1.1088,-0.34673),(5975,5995,1.1106,-0.34125),(5975,6005,1.1123,-0.33574),(5975,6015,1.1141,-0.3302),(5975,6025,1.1159,-0.32465),(5975,6035,1.1176,-0.31911),(5975,6045,1.1194,-0.31361),(5975,6055,1.1211,-0.3081),(5975,6065,1.1228,-0.3026),(5975,6075,1.1245,-0.29708),(5975,6085,1.1261,-0.29156),(5975,6095,1.1277,-0.28605),(5975,6105,1.1293,-0.28045),(5975,6115,1.1309,-0.27483),(5975,6125,1.1323,-0.2692),(5975,6135,1.1338,-0.26354),(5975,6145,1.1352,-0.25785),(5975,6155,1.1366,-0.25216),(5975,6165,1.1379,-0.24646),(5975,6175,1.1393,-0.24074),(5975,6185,1.1405,-0.23503),(5975,6195,1.1418,-0.22932),(5975,6205,1.1431,-0.22359),(5975,6215,1.1443,-0.21786),(5975,6225,1.1455,-0.21213),(5975,6235,1.1467,-0.20639),(5975,6245,1.1479,-0.20066),(5975,6255,1.1491,-0.19493),(5975,6265,1.1502,-0.18922),(5975,6275,1.1513,-0.18352),(5975,6285,1.1524,-0.17782),(5975,6295,1.1534,-0.17207),(5975,6305,1.1545,-0.16629),(5975,6315,1.1554,-0.16051),(5975,6325,1.1563,-0.15467),(5975,6335,1.1572,-0.14876),(5975,6345,1.158,-0.14285),(5975,6355,1.1587,-0.13697),(5975,6365,1.1595,-0.13115),(5975,6375,1.1602,-0.12533),(5975,6385,1.1609,-0.11951),(5975,6395,1.1616,-0.11366),(5975,6405,1.1622,-0.1078),(5975,6415,1.1628,-0.10195),(5975,6425,1.1634,-0.096112),(5975,6435,1.1639,-0.090272),(5975,6445,1.1644,-0.084432),(5975,6455,1.1649,-0.07858),(5975,6465,1.1654,-0.072724),(5975,6475,1.1658,-0.066869),(5975,6485,1.1662,-0.061007),(5975,6495,1.1666,-0.055141),(5975,6505,1.1669,-0.049276),(5975,6515,1.1672,-0.043381),(5975,6525,1.1675,-0.037449),(5975,6535,1.1676,-0.031516),(5975,6545,1.1678,-0.02561),(5975,6555,1.168,-0.019789),(5975,6565,1.1681,-0.013968),(5975,6575,1.1682,-0.008138),(5975,6585,1.1682,-0.002181),(5975,6595,0.99364,0.003777),(5975,6605,0.62617,0.009735),(5975,6615,0.2587,0.010421),(5975,6625,0.000385,0.010429),(5975,6635,0.000416,0.010437),(5975,6645,0.000446,0.010442),(5975,6655,0.000476,0.010445),(5975,6665,0.000506,0.010448),(5975,6675,0.000535,0.010452),(5975,6685,0.000565,0.010455),(5975,6695,0.000595,0.010457),(5975,6705,0.000624,0.01046),(5975,6715,0.000654,0.010462),(5975,6725,0.000683,0.010465),(5975,6735,0.000712,0.010467),(5975,6745,0.000741,0.010469),(5975,6755,0.00077,0.01047),(5975,6765,0.000798,0.010472),(5975,6775,0.000827,0.010473),(5975,6785,0.000855,0.010474),(5975,6795,0.000884,0.010475),(5975,6805,0.000912,0.010475),(5975,6815,0.00094,0.010475),(5975,6825,0.000967,0.010476),(5975,6835,0.000995,0.010476),(5975,6845,0.001023,0.010475),(5975,6855,0.00105,0.010475),(5975,6865,0.001077,0.010474),(5975,6875,0.001104,0.010473),(5975,6885,0.001131,0.010472),(5975,6895,0.001158,0.010471),(5975,6905,0.001184,0.010469),(5975,6915,0.001211,0.010467),(5975,6925,0.001237,0.010465),(5975,6935,0.001263,0.010463),(5975,6945,0.001289,0.01046),(5975,6955,0.001314,0.010458),(5975,6965,0.00134,0.010454),(5975,6975,0.001365,0.010451),(5975,6985,0.00139,0.010448),(5985,5,4e-06,-1.3196),(5985,15,1.1e-05,-1.3196),(5985,25,3.2e-05,-1.3196),(5985,35,6.4e-05,-1.3197),(5985,45,9.6e-05,-1.3197),(5985,55,0.000128,-1.3196),(5985,65,0.000138,-1.3196),(5985,75,0.000131,-1.3195),(5985,85,0.000125,-1.3195),(5985,95,0.000118,-1.3195),(5985,105,0.00014,-1.3195),(5985,115,0.000182,-1.3196),(5985,125,0.000223,-1.3196),(5985,135,0.000265,-1.3196),(5985,145,0.000303,-1.3196),(5985,155,0.000341,-1.3197),(5985,165,0.000378,-1.3197),(5985,175,0.000415,-1.3197),(5985,185,0.000454,-1.3198),(5985,195,0.000493,-1.3198),(5985,205,0.000531,-1.3198),(5985,215,0.00057,-1.3198),(5985,225,0.000584,-1.3197),(5985,235,0.000588,-1.3197),(5985,245,0.000592,-1.3197),(5985,255,0.000596,-1.3197),(5985,265,0.000588,-1.3196),(5985,275,0.000576,-1.3196),(5985,285,0.000564,-1.3195),(5985,295,0.000553,-1.3195),(5985,305,0.000541,-1.3194),(5985,315,0.000528,-1.3194),(5985,325,0.000516,-1.3193),(5985,335,0.000504,-1.3192),(5985,345,0.000506,-1.3192),(5985,355,0.000511,-1.3191),(5985,365,0.000515,-1.3191),(5985,375,0.00052,-1.3191),(5985,385,0.000584,-1.3191),(5985,395,0.000655,-1.3191),(5985,405,0.000727,-1.3191),(5985,415,0.000798,-1.3192),(5985,425,0.000902,-1.3192),(5985,435,0.001008,-1.3192),(5985,445,0.001115,-1.3193),(5985,455,0.001221,-1.3194),(5985,465,0.00131,-1.3195),(5985,475,0.001398,-1.3196),(5985,485,0.001486,-1.3195),(5985,495,0.001574,-1.3195),(5985,505,0.001635,-1.3195),(5985,515,0.001696,-1.3194),(5985,525,0.001757,-1.3194),(5985,535,0.001818,-1.3194),(5985,545,0.001879,-1.3194),(5985,555,0.00194,-1.3194),(5985,565,0.002001,-1.3194),(5985,575,0.002064,-1.3195),(5985,585,0.002156,-1.3195),(5985,595,0.002249,-1.3196),(5985,605,0.002341,-1.3197),(5985,615,0.002433,-1.3198),(5985,625,0.002521,-1.3199),(5985,635,0.00261,-1.3199),(5985,645,0.002698,-1.3199),(5985,655,0.002782,-1.3199),(5985,665,0.002834,-1.3198),(5985,675,0.002887,-1.3198),(5985,685,0.002939,-1.3198),(5985,695,0.003,-1.3198),(5985,705,0.003098,-1.3198),(5985,715,0.003195,-1.3198),(5985,725,0.003293,-1.3198),(5985,735,0.003411,-1.3199),(5985,745,0.0036,-1.3199),(5985,755,0.00379,-1.32),(5985,765,0.003979,-1.3201),(5985,775,0.004187,-1.3202),(5985,785,0.004447,-1.3203),(5985,795,0.004707,-1.3204),(5985,805,0.004968,-1.3205),(5985,815,0.00525,-1.3206),(5985,825,0.00558,-1.3207),(5985,835,0.005911,-1.3208),(5985,845,0.006241,-1.3209),(5985,855,0.006612,-1.3211),(5985,865,0.007058,-1.3212),(5985,875,0.007504,-1.3213),(5985,885,0.00795,-1.3215),(5985,895,0.008441,-1.3217),(5985,905,0.009002,-1.3219),(5985,915,0.009563,-1.322),(5985,925,0.010124,-1.3221),(5985,935,0.010771,-1.3222),(5985,945,0.01153,-1.3223),(5985,955,0.01229,-1.3225),(5985,965,0.01305,-1.3227),(5985,975,0.013968,-1.3229),(5985,985,0.015063,-1.3232),(5985,995,0.016158,-1.3234),(5985,1005,0.017253,-1.3236),(5985,1015,0.018582,-1.3239),(5985,1025,0.020135,-1.3241),(5985,1035,0.021689,-1.3243),(5985,1045,0.023242,-1.3245),(5985,1055,0.02518,-1.3247),(5985,1065,0.027434,-1.3248),(5985,1075,0.029688,-1.325),(5985,1085,0.031942,-1.3251),(5985,1095,0.034811,-1.3253),(5985,1105,0.038107,-1.3254),(5985,1115,0.041403,-1.3253),(5985,1125,0.044699,-1.3251),(5985,1135,0.048995,-1.3249),(5985,1145,0.05388,-1.3247),(5985,1155,0.058765,-1.3242),(5985,1165,0.06365,-1.3236),(5985,1175,0.07019,-1.3229),(5985,1185,0.07755,-1.3223),(5985,1195,0.084911,-1.3211),(5985,1205,0.092272,-1.3196),(5985,1215,0.10244,-1.3182),(5985,1225,0.11376,-1.3168),(5985,1235,0.12508,-1.3137),(5985,1245,0.1364,-1.3101),(5985,1255,0.15279,-1.3064),(5985,1265,0.17089,-1.3027),(5985,1275,0.189,-1.2934),(5985,1285,0.2071,-1.2824),(5985,1295,0.20001,-1.2713),(5985,1305,0.18612,-1.2603),(5985,1315,0.17222,-1.245),(5985,1325,0.15832,-1.2287),(5985,1335,0.09732,-1.2124),(5985,1345,0.026447,-1.1961),(5985,1355,-0.044427,-1.2063),(5985,1365,-0.1153,-1.2214),(5985,1375,-0.1455,-1.2364),(5985,1385,-0.16943,-1.2514),(5985,1395,-0.19335,-1.2634),(5985,1405,-0.21728,-1.275),(5985,1415,-0.20198,-1.2866),(5985,1425,-0.18261,-1.2982),(5985,1435,-0.16324,-1.3024),(5985,1445,-0.14387,-1.3061),(5985,1455,-0.13194,-1.3097),(5985,1465,-0.12044,-1.3133),(5985,1475,-0.10894,-1.3149),(5985,1485,-0.097438,-1.3163),(5985,1495,-0.089899,-1.3178),(5985,1505,-0.08242,-1.3193),(5985,1515,-0.074941,-1.3198),(5985,1525,-0.067523,-1.3203),(5985,1535,-0.062475,-1.3207),(5985,1545,-0.057428,-1.3212),(5985,1555,-0.052381,-1.3212),(5985,1565,-0.047436,-1.3213),(5985,1575,-0.043972,-1.3213),(5985,1585,-0.040509,-1.3213),(5985,1595,-0.037046,-1.321),(5985,1605,-0.033693,-1.3207),(5985,1615,-0.031295,-1.3205),(5985,1625,-0.028896,-1.3202),(5985,1635,-0.026498,-1.3198),(5985,1645,-0.024203,-1.3193),(5985,1655,-0.022533,-1.3189),(5985,1665,-0.020862,-1.3184),(5985,1675,-0.019191,-1.318),(5985,1685,-0.017611,-1.3177),(5985,1695,-0.016439,-1.3173),(5985,1705,-0.015266,-1.3169),(5985,1715,-0.014093,-1.3165),(5985,1725,-0.012995,-1.3161),(5985,1735,-0.012156,-1.3158),(5985,1745,-0.011316,-1.3154),(5985,1755,-0.010477,-1.3149),(5985,1765,-0.009695,-1.3144),(5985,1775,-0.009074,-1.314),(5985,1785,-0.008453,-1.3135),(5985,1795,-0.007832,-1.3131),(5985,1805,-0.007257,-1.3126),(5985,1815,-0.006788,-1.3122),(5985,1825,-0.006319,-1.3118),(5985,1835,-0.005851,-1.3115),(5985,1845,-0.005424,-1.3112),(5985,1855,-0.005078,-1.3108),(5985,1865,-0.004731,-1.3104),(5985,1875,-0.004385,-1.31),(5985,1885,-0.004067,-1.3095),(5985,1895,-0.003793,-1.3091),(5985,1905,-0.003519,-1.3087),(5985,1915,-0.003246,-1.3084),(5985,1925,-0.002978,-1.3081),(5985,1935,-0.002718,-1.3078),(5985,1945,-0.002458,-1.3075),(5985,1955,-0.002199,-1.3072),(5985,1965,-0.001992,-1.3069),(5985,1975,-0.001849,-1.3066),(5985,1985,-0.001705,-1.3063),(5985,1995,-0.001562,-1.3059),(5985,2005,-0.001434,-1.3055),(5985,2015,-0.001322,-1.3051),(5985,2025,-0.00121,-1.3047),(5985,2035,-0.001098,-1.3045),(5985,2045,-0.000972,-1.3042),(5985,2055,-0.000833,-1.3039),(5985,2065,-0.000694,-1.3036),(5985,2075,-0.000555,-1.3033),(5985,2085,-0.000424,-1.3029),(5985,2095,-0.000298,-1.3026),(5985,2105,-0.000172,-1.3023),(5985,2115,-4.7e-05,-1.302),(5985,2125,7e-05,-1.3017),(5985,2135,0.000182,-1.3014),(5985,2145,0.000294,-1.3011),(5985,2155,0.000406,-1.3008),(5985,2165,0.000481,-1.3005),(5985,2175,0.000535,-1.3002),(5985,2185,0.00059,-1.2998),(5985,2195,0.000644,-1.2994),(5985,2205,0.000679,-1.2989),(5985,2215,0.000706,-1.2985),(5985,2225,0.000733,-1.2981),(5985,2235,0.00076,-1.2977),(5985,2245,0.000792,-1.2973),(5985,2255,0.000827,-1.2969),(5985,2265,0.000861,-1.2965),(5985,2275,0.000896,-1.2961),(5985,2285,0.000949,-1.2957),(5985,2295,0.001007,-1.2953),(5985,2305,0.001066,-1.2949),(5985,2315,0.001125,-1.2945),(5985,2325,0.001216,-1.2941),(5985,2335,0.001315,-1.2937),(5985,2345,0.001414,-1.2934),(5985,2355,0.001513,-1.293),(5985,2365,0.001592,-1.2927),(5985,2375,0.001668,-1.2924),(5985,2385,0.001744,-1.2919),(5985,2395,0.00182,-1.2915),(5985,2405,0.001865,-1.2911),(5985,2415,0.001908,-1.2906),(5985,2425,0.00195,-1.2902),(5985,2435,0.001993,-1.2897),(5985,2445,0.002023,-1.2893),(5985,2455,0.002053,-1.2889),(5985,2465,0.002083,-1.2884),(5985,2475,0.002113,-1.2879),(5985,2485,0.002119,-1.2875),(5985,2495,0.002124,-1.287),(5985,2505,0.002129,-1.2865),(5985,2515,0.002134,-1.2859),(5985,2525,0.002173,-1.2854),(5985,2535,0.002212,-1.2848),(5985,2545,0.002251,-1.2843),(5985,2555,0.002291,-1.2838),(5985,2565,0.002363,-1.2834),(5985,2575,0.002435,-1.2829),(5985,2585,0.002506,-1.2824),(5985,2595,0.002572,-1.2819),(5985,2605,0.002586,-1.2814),(5985,2615,0.002599,-1.2809),(5985,2625,0.002613,-1.2802),(5985,2635,0.002623,-1.2796),(5985,2645,0.002608,-1.279),(5985,2655,0.002593,-1.2783),(5985,2665,0.002578,-1.2777),(5985,2675,0.002568,-1.2772),(5985,2685,0.002583,-1.2766),(5985,2695,0.002599,-1.276),(5985,2705,0.002614,-1.2754),(5985,2715,0.002627,-1.2749),(5985,2725,0.002631,-1.2744),(5985,2735,0.002635,-1.2738),(5985,2745,0.002638,-1.2732),(5985,2755,0.002644,-1.2725),(5985,2765,0.002652,-1.2719),(5985,2775,0.00266,-1.2712),(5985,2785,0.002668,-1.2705),(5985,2795,0.002691,-1.2699),(5985,2805,0.002746,-1.2692),(5985,2815,0.002802,-1.2686),(5985,2825,0.002857,-1.268),(5985,2835,0.002914,-1.2673),(5985,2845,0.002974,-1.2667),(5985,2855,0.003034,-1.2661),(5985,2865,0.003095,-1.2654),(5985,2875,0.003142,-1.2647),(5985,2885,0.003167,-1.2641),(5985,2895,0.003192,-1.2633),(5985,2905,0.003218,-1.2625),(5985,2915,0.003237,-1.2618),(5985,2925,0.003246,-1.261),(5985,2935,0.003256,-1.2602),(5985,2945,0.003266,-1.2594),(5985,2955,0.003288,-1.2585),(5985,2965,0.003323,-1.2577),(5985,2975,0.003358,-1.257),(5985,2985,0.003393,-1.2562),(5985,2995,0.003451,-1.2554),(5985,3005,0.003535,-1.2547),(5985,3015,0.003618,-1.2539),(5985,3025,0.003701,-1.2531),(5985,3035,0.003788,-1.2523),(5985,3045,0.003878,-1.2516),(5985,3055,0.003968,-1.2507),(5985,3065,0.004058,-1.2499),(5985,3075,0.004131,-1.249),(5985,3085,0.00419,-1.2482),(5985,3095,0.004249,-1.2473),(5985,3105,0.004308,-1.2464),(5985,3115,0.004366,-1.2455),(5985,3125,0.004424,-1.2446),(5985,3135,0.004482,-1.2437),(5985,3145,0.00454,-1.2428),(5985,3155,0.004611,-1.2419),(5985,3165,0.00469,-1.2411),(5985,3175,0.004769,-1.2402),(5985,3185,0.004847,-1.2392),(5985,3195,0.004936,-1.2383),(5985,3205,0.005029,-1.2373),(5985,3215,0.005122,-1.2364),(5985,3225,0.005215,-1.2354),(5985,3235,0.005308,-1.2345),(5985,3245,0.005401,-1.2335),(5985,3255,0.005494,-1.2326),(5985,3265,0.005587,-1.2316),(5985,3275,0.00567,-1.2307),(5985,3285,0.00575,-1.2298),(5985,3295,0.00583,-1.2288),(5985,3305,0.00591,-1.2277),(5985,3315,0.00601,-1.2267),(5985,3325,0.006114,-1.2257),(5985,3335,0.006219,-1.2246),(5985,3345,0.006324,-1.2236),(5985,3355,0.006497,-1.2226),(5985,3365,0.006683,-1.2216),(5985,3375,0.00687,-1.2206),(5985,3385,0.007056,-1.2197),(5985,3395,0.00728,-1.2188),(5985,3405,0.007509,-1.2179),(5985,3415,0.007739,-1.2169),(5985,3425,0.007968,-1.2159),(5985,3435,0.008197,-1.2149),(5985,3445,0.008425,-1.2139),(5985,3455,0.008654,-1.2128),(5985,3465,0.008883,-1.2117),(5985,3475,0.009176,-1.2106),(5985,3485,0.009472,-1.2094),(5985,3495,0.009768,-1.2085),(5985,3505,0.010065,-1.2075),(5985,3515,0.010436,-1.2065),(5985,3525,0.010808,-1.2055),(5985,3535,0.011179,-1.2045),(5985,3545,0.011553,-1.2034),(5985,3555,0.011975,-1.2023),(5985,3565,0.012397,-1.2013),(5985,3575,0.012819,-1.2001),(5985,3585,0.013255,-1.1989),(5985,3595,0.013852,-1.1977),(5985,3605,0.014448,-1.1965),(5985,3615,0.015045,-1.1955),(5985,3625,0.015672,-1.1945),(5985,3635,0.016515,-1.1936),(5985,3645,0.017358,-1.1926),(5985,3655,0.0182,-1.1915),(5985,3665,0.019089,-1.1904),(5985,3675,0.020211,-1.1893),(5985,3685,0.021333,-1.1882),(5985,3695,0.022455,-1.1871),(5985,3705,0.023649,-1.186),(5985,3715,0.025122,-1.1848),(5985,3725,0.026595,-1.1836),(5985,3735,0.028068,-1.1824),(5985,3745,0.029685,-1.1811),(5985,3755,0.031751,-1.1798),(5985,3765,0.033818,-1.1786),(5985,3775,0.035884,-1.1772),(5985,3785,0.038193,-1.1758),(5985,3795,0.04112,-1.1745),(5985,3805,0.044046,-1.1731),(5985,3815,0.046972,-1.1716),(5985,3825,0.050269,-1.1701),(5985,3835,0.054348,-1.1686),(5985,3845,0.058426,-1.1668),(5985,3855,0.062505,-1.1646),(5985,3865,0.067209,-1.1623),(5985,3875,0.073017,-1.1601),(5985,3885,0.078826,-1.1575),(5985,3895,0.084634,-1.1544),(5985,3905,0.091453,-1.1513),(5985,3915,0.099782,-1.1482),(5985,3925,0.10811,-1.1442),(5985,3935,0.11644,-1.139),(5985,3945,0.12634,-1.1338),(5985,3955,0.13825,-1.1286),(5985,3965,0.15015,-1.121),(5985,3975,0.16205,-1.1106),(5985,3985,0.16761,-1.1003),(5985,3995,0.16631,-1.0899),(5985,4005,0.16501,-1.0762),(5985,4015,0.16371,-1.0592),(5985,4025,0.2282,-1.0422),(5985,4035,0.29912,-1.0303),(5985,4045,0.37005,-1.0293),(5985,4055,0.44338,-1.0283),(5985,4065,0.5176,-1.0272),(5985,4075,0.59181,-1.0255),(5985,4085,0.62541,-1.0239),(5985,4095,0.62638,-1.0222),(5985,4105,0.62735,-1.0207),(5985,4115,0.62834,-1.0191),(5985,4125,0.62935,-1.0175),(5985,4135,0.63037,-1.016),(5985,4145,0.6314,-1.0145),(5985,4155,0.63249,-1.0129),(5985,4165,0.63358,-1.0114),(5985,4175,0.63468,-1.0097),(5985,4185,0.63587,-1.0081),(5985,4195,0.63707,-1.0065),(5985,4205,0.63827,-1.005),(5985,4215,0.6396,-1.0034),(5985,4225,0.64094,-1.0019),(5985,4235,0.64229,-1.0003),(5985,4245,0.64373,-0.99873),(5985,4255,0.64521,-0.99716),(5985,4265,0.64669,-0.99551),(5985,4275,0.64823,-0.99386),(5985,4285,0.64984,-0.9922),(5985,4295,0.65144,-0.99054),(5985,4305,0.65309,-0.98887),(5985,4315,0.65483,-0.98721),(5985,4325,0.65657,-0.98553),(5985,4335,0.65832,-0.98385),(5985,4345,0.66017,-0.98217),(5985,4355,0.66202,-0.98042),(5985,4365,0.66387,-0.97861),(5985,4375,0.66584,-0.97681),(5985,4385,0.6678,-0.975),(5985,4395,0.66977,-0.97319),(5985,4405,0.67182,-0.97139),(5985,4415,0.67389,-0.96958),(5985,4425,0.67597,-0.96774),(5985,4435,0.67812,-0.9659),(5985,4445,0.68032,-0.96406),(5985,4455,0.68252,-0.96218),(5985,4465,0.68476,-0.96031),(5985,4475,0.68709,-0.95844),(5985,4485,0.68941,-0.95645),(5985,4495,0.69175,-0.95443),(5985,4505,0.69418,-0.95241),(5985,4515,0.69662,-0.95032),(5985,4525,0.69905,-0.94818),(5985,4535,0.70158,-0.94605),(5985,4545,0.70411,-0.94388),(5985,4555,0.70663,-0.94166),(5985,4565,0.70924,-0.93943),(5985,4575,0.71185,-0.93717),(5985,4585,0.71447,-0.93484),(5985,4595,0.71716,-0.9325),(5985,4605,0.71987,-0.93014),(5985,4615,0.72259,-0.92765),(5985,4625,0.72536,-0.92516),(5985,4635,0.72819,-0.92267),(5985,4645,0.73101,-0.92008),(5985,4655,0.73387,-0.91749),(5985,4665,0.73679,-0.9149),(5985,4675,0.7397,-0.91224),(5985,4685,0.74263,-0.90955),(5985,4695,0.7456,-0.90687),(5985,4705,0.74857,-0.90411),(5985,4715,0.75154,-0.9013),(5985,4725,0.75454,-0.89849),(5985,4735,0.75754,-0.89564),(5985,4745,0.76054,-0.89272),(5985,4755,0.76357,-0.88981),(5985,4765,0.7666,-0.88687),(5985,4775,0.76964,-0.88384),(5985,4785,0.7727,-0.8808),(5985,4795,0.77578,-0.87776),(5985,4805,0.77885,-0.8746),(5985,4815,0.78195,-0.87144),(5985,4825,0.78507,-0.86828),(5985,4835,0.78818,-0.86504),(5985,4845,0.79131,-0.86179),(5985,4855,0.79445,-0.85854),(5985,4865,0.79759,-0.85523),(5985,4875,0.80073,-0.85191),(5985,4885,0.80388,-0.84858),(5985,4895,0.80702,-0.84521),(5985,4905,0.81017,-0.84181),(5985,4915,0.81332,-0.83841),(5985,4925,0.81647,-0.83497),(5985,4935,0.81962,-0.83148),(5985,4945,0.82277,-0.82799),(5985,4955,0.82592,-0.82448),(5985,4965,0.82907,-0.82088),(5985,4975,0.83222,-0.81728),(5985,4985,0.83537,-0.81368),(5985,4995,0.83852,-0.80999),(5985,5005,0.84167,-0.8063),(5985,5015,0.8448,-0.80261),(5985,5025,0.84794,-0.79886),(5985,5035,0.85108,-0.7951),(5985,5045,0.85421,-0.79134),(5985,5055,0.85733,-0.78754),(5985,5065,0.86046,-0.78372),(5985,5075,0.86358,-0.7799),(5985,5085,0.86669,-0.77605),(5985,5095,0.86981,-0.77215),(5985,5105,0.87292,-0.76825),(5985,5115,0.87603,-0.76432),(5985,5125,0.87913,-0.7603),(5985,5135,0.88222,-0.75629),(5985,5145,0.8853,-0.75226),(5985,5155,0.88838,-0.74814),(5985,5165,0.89144,-0.74403),(5985,5175,0.89449,-0.73991),(5985,5185,0.89754,-0.73575),(5985,5195,0.90058,-0.73158),(5985,5205,0.90361,-0.72741),(5985,5215,0.90665,-0.72321),(5985,5225,0.90967,-0.71898),(5985,5235,0.91269,-0.71476),(5985,5245,0.9157,-0.7105),(5985,5255,0.91871,-0.70619),(5985,5265,0.9217,-0.70189),(5985,5275,0.92469,-0.69756),(5985,5285,0.92767,-0.69319),(5985,5295,0.93063,-0.68881),(5985,5305,0.93359,-0.68443),(5985,5315,0.93655,-0.68001),(5985,5325,0.93949,-0.6756),(5985,5335,0.94243,-0.67118),(5985,5345,0.94536,-0.66675),(5985,5355,0.94828,-0.66231),(5985,5365,0.95119,-0.65788),(5985,5375,0.9541,-0.65339),(5985,5385,0.95699,-0.64888),(5985,5395,0.95987,-0.64437),(5985,5405,0.96274,-0.63979),(5985,5415,0.96561,-0.63516),(5985,5425,0.96845,-0.63054),(5985,5435,0.97129,-0.62588),(5985,5445,0.97413,-0.6212),(5985,5455,0.97693,-0.61651),(5985,5465,0.97974,-0.61183),(5985,5475,0.98254,-0.60714),(5985,5485,0.98531,-0.60245),(5985,5495,0.98806,-0.59775),(5985,5505,0.99081,-0.59302),(5985,5515,0.99352,-0.58828),(5985,5525,0.99621,-0.58355),(5985,5535,0.9989,-0.57874),(5985,5545,1.0016,-0.57392),(5985,5555,1.0042,-0.5691),(5985,5565,1.0068,-0.56423),(5985,5575,1.0095,-0.55934),(5985,5585,1.012,-0.55446),(5985,5595,1.0146,-0.54953),(5985,5605,1.0172,-0.54458),(5985,5615,1.0197,-0.53963),(5985,5625,1.0223,-0.53465),(5985,5635,1.0248,-0.52962),(5985,5645,1.0273,-0.5246),(5985,5655,1.0298,-0.51956),(5985,5665,1.0323,-0.51451),(5985,5675,1.0347,-0.50945),(5985,5685,1.0371,-0.50439),(5985,5695,1.0396,-0.49934),(5985,5705,1.042,-0.49429),(5985,5715,1.0444,-0.48925),(5985,5725,1.0468,-0.48415),(5985,5735,1.0491,-0.47905),(5985,5745,1.0515,-0.47395),(5985,5755,1.0538,-0.46881),(5985,5765,1.0561,-0.46366),(5985,5775,1.0584,-0.45851),(5985,5785,1.0607,-0.45333),(5985,5795,1.0629,-0.44812),(5985,5805,1.0651,-0.44292),(5985,5815,1.0674,-0.4377),(5985,5825,1.0696,-0.43245),(5985,5835,1.0717,-0.4272),(5985,5845,1.0739,-0.42194),(5985,5855,1.076,-0.41663),(5985,5865,1.0781,-0.41133),(5985,5875,1.0802,-0.40603),(5985,5885,1.0823,-0.40066),(5985,5895,1.0843,-0.39529),(5985,5905,1.0863,-0.38993),(5985,5915,1.0882,-0.38452),(5985,5925,1.0902,-0.37911),(5985,5935,1.0921,-0.3737),(5985,5945,1.094,-0.36828),(5985,5955,1.0959,-0.36286),(5985,5965,1.0977,-0.35744),(5985,5975,1.0995,-0.35198),(5985,5985,1.1014,-0.34649),(5985,5995,1.1032,-0.341),(5985,6005,1.1049,-0.3355),(5985,6015,1.1067,-0.32994),(5985,6025,1.1084,-0.32439),(5985,6035,1.1101,-0.31884),(5985,6045,1.1118,-0.31333),(5985,6055,1.1135,-0.30782),(5985,6065,1.1152,-0.30231),(5985,6075,1.1168,-0.2968),(5985,6085,1.1185,-0.2913),(5985,6095,1.1201,-0.28579),(5985,6105,1.1216,-0.28021),(5985,6115,1.1232,-0.2746),(5985,6125,1.1246,-0.26899),(5985,6135,1.1261,-0.26334),(5985,6145,1.1275,-0.25766),(5985,6155,1.1289,-0.25198),(5985,6165,1.1302,-0.24628),(5985,6175,1.1316,-0.24057),(5985,6185,1.1328,-0.23486),(5985,6195,1.1341,-0.22914),(5985,6205,1.1353,-0.22339),(5985,6215,1.1366,-0.21765),(5985,6225,1.1378,-0.21191),(5985,6235,1.1389,-0.20617),(5985,6245,1.1401,-0.20044),(5985,6255,1.1412,-0.1947),(5985,6265,1.1424,-0.189),(5985,6275,1.1435,-0.18331),(5985,6285,1.1445,-0.17762),(5985,6295,1.1455,-0.17188),(5985,6305,1.1466,-0.16611),(5985,6315,1.1475,-0.16035),(5985,6325,1.1484,-0.15452),(5985,6335,1.1493,-0.14863),(5985,6345,1.1501,-0.14273),(5985,6355,1.1509,-0.13686),(5985,6365,1.1516,-0.13104),(5985,6375,1.1524,-0.12523),(5985,6385,1.153,-0.1194),(5985,6395,1.1537,-0.11355),(5985,6405,1.1543,-0.1077),(5985,6415,1.1549,-0.10185),(5985,6425,1.1555,-0.096006),(5985,6435,1.156,-0.090164),(5985,6445,1.1565,-0.084321),(5985,6455,1.157,-0.078473),(5985,6465,1.1575,-0.072622),(5985,6475,1.1579,-0.066771),(5985,6485,1.1582,-0.060915),(5985,6495,1.1586,-0.055057),(5985,6505,1.1589,-0.049198),(5985,6515,1.1592,-0.043311),(5985,6525,1.1595,-0.037383),(5985,6535,1.1597,-0.031456),(5985,6545,1.1599,-0.025556),(5985,6555,1.1601,-0.019738),(5985,6565,1.1602,-0.013921),(5985,6575,1.1602,-0.008095),(5985,6585,1.1603,-0.002145),(5985,6595,0.98691,0.003805),(5985,6605,0.62193,0.009756),(5985,6615,0.25695,0.010443),(5985,6625,0.000381,0.010455),(5985,6635,0.000411,0.010466),(5985,6645,0.000442,0.010472),(5985,6655,0.000472,0.010475),(5985,6665,0.000502,0.010478),(5985,6675,0.000532,0.010481),(5985,6685,0.000562,0.010484),(5985,6695,0.000591,0.010487),(5985,6705,0.000621,0.010489),(5985,6715,0.000651,0.010492),(5985,6725,0.00068,0.010494),(5985,6735,0.000709,0.010496),(5985,6745,0.000738,0.010497),(5985,6755,0.000767,0.010499),(5985,6765,0.000796,0.0105),(5985,6775,0.000825,0.010501),(5985,6785,0.000853,0.010502),(5985,6795,0.000882,0.010503),(5985,6805,0.00091,0.010503),(5985,6815,0.000938,0.010503),(5985,6825,0.000966,0.010503),(5985,6835,0.000994,0.010503),(5985,6845,0.001022,0.010503),(5985,6855,0.001049,0.010502),(5985,6865,0.001077,0.010501),(5985,6875,0.001104,0.0105),(5985,6885,0.001131,0.010499),(5985,6895,0.001158,0.010497),(5985,6905,0.001185,0.010495),(5985,6915,0.001211,0.010493),(5985,6925,0.001237,0.010491),(5985,6935,0.001264,0.010488),(5985,6945,0.00129,0.010486),(5985,6955,0.001315,0.010483),(5985,6965,0.001341,0.01048),(5985,6975,0.001367,0.010476),(5985,6985,0.001392,0.010473),(5995,5,0,-1.3196),(5995,15,1e-06,-1.3196),(5995,25,1.3e-05,-1.3196),(5995,35,3.5e-05,-1.3197),(5995,45,5.8e-05,-1.3197),(5995,55,8e-05,-1.3196),(5995,65,8.5e-05,-1.3196),(5995,75,7.7e-05,-1.3196),(5995,85,6.8e-05,-1.3195),(5995,95,6e-05,-1.3195),(5995,105,8.7e-05,-1.3195),(5995,115,0.000138,-1.3195),(5995,125,0.000189,-1.3195),(5995,135,0.00024,-1.3196),(5995,145,0.000287,-1.3196),(5995,155,0.000332,-1.3196),(5995,165,0.000377,-1.3197),(5995,175,0.000422,-1.3197),(5995,185,0.000468,-1.3197),(5995,195,0.000513,-1.3198),(5995,205,0.000558,-1.3198),(5995,215,0.000604,-1.3197),(5995,225,0.000623,-1.3197),(5995,235,0.000632,-1.3197),(5995,245,0.000641,-1.3197),(5995,255,0.00065,-1.3197),(5995,265,0.000642,-1.3196),(5995,275,0.00063,-1.3196),(5995,285,0.000617,-1.3196),(5995,295,0.000604,-1.3195),(5995,305,0.000588,-1.3194),(5995,315,0.000571,-1.3194),(5995,325,0.000554,-1.3193),(5995,335,0.000537,-1.3193),(5995,345,0.000529,-1.3192),(5995,355,0.000522,-1.3191),(5995,365,0.000515,-1.3191),(5995,375,0.000508,-1.3191),(5995,385,0.000558,-1.3191),(5995,395,0.000617,-1.319),(5995,405,0.000675,-1.3191),(5995,415,0.000734,-1.3191),(5995,425,0.00083,-1.3191),(5995,435,0.00093,-1.3192),(5995,445,0.00103,-1.3192),(5995,455,0.00113,-1.3193),(5995,465,0.001225,-1.3194),(5995,475,0.001321,-1.3195),(5995,485,0.001416,-1.3195),(5995,495,0.001511,-1.3195),(5995,505,0.001579,-1.3194),(5995,515,0.001647,-1.3194),(5995,525,0.001715,-1.3194),(5995,535,0.001783,-1.3194),(5995,545,0.001847,-1.3194),(5995,555,0.00191,-1.3194),(5995,565,0.001974,-1.3194),(5995,575,0.00204,-1.3194),(5995,585,0.002136,-1.3195),(5995,595,0.002231,-1.3195),(5995,605,0.002327,-1.3196),(5995,615,0.002422,-1.3197),(5995,625,0.002522,-1.3198),(5995,635,0.002621,-1.3199),(5995,645,0.00272,-1.3199),(5995,655,0.002814,-1.3199),(5995,665,0.002879,-1.3198),(5995,675,0.002944,-1.3198),(5995,685,0.003009,-1.3198),(5995,695,0.003081,-1.3198),(5995,705,0.003182,-1.3198),(5995,715,0.003283,-1.3198),(5995,725,0.003384,-1.3198),(5995,735,0.003504,-1.3198),(5995,745,0.003688,-1.3199),(5995,755,0.003872,-1.3199),(5995,765,0.004056,-1.32),(5995,775,0.00426,-1.3201),(5995,785,0.00452,-1.3202),(5995,795,0.00478,-1.3203),(5995,805,0.005039,-1.3204),(5995,815,0.005322,-1.3205),(5995,825,0.005656,-1.3206),(5995,835,0.00599,-1.3207),(5995,845,0.006324,-1.3208),(5995,855,0.006699,-1.3209),(5995,865,0.007149,-1.321),(5995,875,0.0076,-1.3211),(5995,885,0.00805,-1.3213),(5995,895,0.008546,-1.3214),(5995,905,0.009113,-1.3216),(5995,915,0.00968,-1.3217),(5995,925,0.010247,-1.3218),(5995,935,0.010898,-1.3219),(5995,945,0.011658,-1.322),(5995,955,0.012418,-1.3221),(5995,965,0.013179,-1.3223),(5995,975,0.014094,-1.3225),(5995,985,0.015185,-1.3227),(5995,995,0.016276,-1.3229),(5995,1005,0.017367,-1.3231),(5995,1015,0.018686,-1.3233),(5995,1025,0.020226,-1.3235),(5995,1035,0.021767,-1.3236),(5995,1045,0.023307,-1.3237),(5995,1055,0.025221,-1.3238),(5995,1065,0.027443,-1.3239),(5995,1075,0.029664,-1.3239),(5995,1085,0.031885,-1.324),(5995,1095,0.034702,-1.324),(5995,1105,0.037933,-1.324),(5995,1115,0.041164,-1.3238),(5995,1125,0.044395,-1.3235),(5995,1135,0.048586,-1.3231),(5995,1145,0.053343,-1.3228),(5995,1155,0.0581,-1.322),(5995,1165,0.062857,-1.3211),(5995,1175,0.069188,-1.3202),(5995,1185,0.0763,-1.3193),(5995,1195,0.083412,-1.3178),(5995,1205,0.090523,-1.316),(5995,1215,0.10019,-1.3142),(5995,1225,0.1109,-1.3124),(5995,1235,0.12162,-1.3087),(5995,1245,0.13234,-1.3043),(5995,1255,0.14717,-1.3),(5995,1265,0.1634,-1.2956),(5995,1275,0.17963,-1.2857),(5995,1285,0.19586,-1.2741),(5995,1295,0.18774,-1.2625),(5995,1305,0.17304,-1.2509),(5995,1315,0.15835,-1.2375),(5995,1325,0.14365,-1.2236),(5995,1335,0.088346,-1.2097),(5995,1345,0.024535,-1.1958),(5995,1355,-0.039276,-1.2042),(5995,1365,-0.10309,-1.2167),(5995,1375,-0.1324,-1.2291),(5995,1385,-0.1564,-1.2416),(5995,1395,-0.18039,-1.2538),(5995,1405,-0.20439,-1.266),(5995,1415,-0.19103,-1.2782),(5995,1425,-0.17379,-1.2904),(5995,1435,-0.15655,-1.2954),(5995,1445,-0.13931,-1.2998),(5995,1455,-0.12806,-1.3042),(5995,1465,-0.11716,-1.3087),(5995,1475,-0.10626,-1.3106),(5995,1485,-0.095358,-1.3125),(5995,1495,-0.08805,-1.3143),(5995,1505,-0.080796,-1.3162),(5995,1515,-0.073542,-1.3169),(5995,1525,-0.066346,-1.3176),(5995,1535,-0.061428,-1.3184),(5995,1545,-0.056511,-1.3191),(5995,1555,-0.051593,-1.3193),(5995,1565,-0.046774,-1.3195),(5995,1575,-0.043389,-1.3197),(5995,1585,-0.040004,-1.3198),(5995,1595,-0.036619,-1.3197),(5995,1605,-0.033341,-1.3195),(5995,1615,-0.030992,-1.3194),(5995,1625,-0.028643,-1.3192),(5995,1635,-0.026294,-1.3188),(5995,1645,-0.024047,-1.3185),(5995,1655,-0.022408,-1.3181),(5995,1665,-0.02077,-1.3177),(5995,1675,-0.019131,-1.3174),(5995,1685,-0.01758,-1.317),(5995,1695,-0.016418,-1.3167),(5995,1705,-0.015257,-1.3164),(5995,1715,-0.014095,-1.316),(5995,1725,-0.013006,-1.3157),(5995,1735,-0.012171,-1.3154),(5995,1745,-0.011337,-1.315),(5995,1755,-0.010502,-1.3146),(5995,1765,-0.009725,-1.3141),(5995,1775,-0.009111,-1.3137),(5995,1785,-0.008497,-1.3132),(5995,1795,-0.007883,-1.3128),(5995,1805,-0.00731,-1.3124),(5995,1815,-0.006835,-1.312),(5995,1825,-0.00636,-1.3116),(5995,1835,-0.005885,-1.3113),(5995,1845,-0.00545,-1.311),(5995,1855,-0.005093,-1.3107),(5995,1865,-0.004735,-1.3103),(5995,1875,-0.004378,-1.3099),(5995,1885,-0.004055,-1.3094),(5995,1895,-0.003786,-1.309),(5995,1905,-0.003517,-1.3086),(5995,1915,-0.003248,-1.3083),(5995,1925,-0.002979,-1.308),(5995,1935,-0.002709,-1.3077),(5995,1945,-0.002439,-1.3074),(5995,1955,-0.002169,-1.3071),(5995,1965,-0.001948,-1.3068),(5995,1975,-0.001785,-1.3066),(5995,1985,-0.001623,-1.3062),(5995,1995,-0.00146,-1.3058),(5995,2005,-0.001329,-1.3054),(5995,2015,-0.001228,-1.305),(5995,2025,-0.001127,-1.3047),(5995,2035,-0.001026,-1.3044),(5995,2045,-0.000914,-1.3041),(5995,2055,-0.000793,-1.3039),(5995,2065,-0.000672,-1.3035),(5995,2075,-0.000551,-1.3032),(5995,2085,-0.00043,-1.3029),(5995,2095,-0.00031,-1.3025),(5995,2105,-0.00019,-1.3022),(5995,2115,-7e-05,-1.3019),(5995,2125,5.3e-05,-1.3016),(5995,2135,0.000178,-1.3013),(5995,2145,0.000304,-1.301),(5995,2155,0.000429,-1.3007),(5995,2165,0.000525,-1.3004),(5995,2175,0.000607,-1.3002),(5995,2185,0.000688,-1.2998),(5995,2195,0.000769,-1.2994),(5995,2205,0.000823,-1.2989),(5995,2215,0.000864,-1.2985),(5995,2225,0.000906,-1.2981),(5995,2235,0.000947,-1.2977),(5995,2245,0.000977,-1.2973),(5995,2255,0.001003,-1.2969),(5995,2265,0.001029,-1.2965),(5995,2275,0.001056,-1.2961),(5995,2285,0.001089,-1.2957),(5995,2295,0.001126,-1.2953),(5995,2305,0.001162,-1.2949),(5995,2315,0.001198,-1.2945),(5995,2325,0.001278,-1.2941),(5995,2335,0.001367,-1.2937),(5995,2345,0.001456,-1.2933),(5995,2355,0.001546,-1.293),(5995,2365,0.001631,-1.2927),(5995,2375,0.001715,-1.2923),(5995,2385,0.001799,-1.2919),(5995,2395,0.001883,-1.2915),(5995,2405,0.001936,-1.291),(5995,2415,0.001985,-1.2906),(5995,2425,0.002034,-1.2902),(5995,2435,0.002083,-1.2897),(5995,2445,0.002118,-1.2893),(5995,2455,0.002152,-1.2889),(5995,2465,0.002185,-1.2884),(5995,2475,0.002219,-1.288),(5995,2485,0.002225,-1.2875),(5995,2495,0.00223,-1.2871),(5995,2505,0.002236,-1.2865),(5995,2515,0.002241,-1.2859),(5995,2525,0.002271,-1.2854),(5995,2535,0.002302,-1.2848),(5995,2545,0.002332,-1.2843),(5995,2555,0.002364,-1.2838),(5995,2565,0.002434,-1.2833),(5995,2575,0.002504,-1.2828),(5995,2585,0.002573,-1.2823),(5995,2595,0.002638,-1.2819),(5995,2605,0.002657,-1.2814),(5995,2615,0.002676,-1.2809),(5995,2625,0.002695,-1.2802),(5995,2635,0.002708,-1.2796),(5995,2645,0.002689,-1.279),(5995,2655,0.00267,-1.2784),(5995,2665,0.00265,-1.2778),(5995,2675,0.002636,-1.2772),(5995,2685,0.002645,-1.2766),(5995,2695,0.002654,-1.276),(5995,2705,0.002663,-1.2754),(5995,2715,0.002671,-1.2749),(5995,2725,0.002678,-1.2744),(5995,2735,0.002685,-1.2738),(5995,2745,0.002691,-1.2732),(5995,2755,0.002698,-1.2725),(5995,2765,0.002707,-1.2719),(5995,2775,0.002715,-1.2712),(5995,2785,0.002723,-1.2705),(5995,2795,0.002744,-1.2699),(5995,2805,0.002795,-1.2692),(5995,2815,0.002846,-1.2685),(5995,2825,0.002897,-1.2679),(5995,2835,0.002953,-1.2673),(5995,2845,0.003016,-1.2667),(5995,2855,0.00308,-1.2661),(5995,2865,0.003144,-1.2654),(5995,2875,0.003199,-1.2647),(5995,2885,0.003239,-1.2641),(5995,2895,0.00328,-1.2633),(5995,2905,0.00332,-1.2625),(5995,2915,0.003353,-1.2618),(5995,2925,0.003374,-1.261),(5995,2935,0.003396,-1.2602),(5995,2945,0.003417,-1.2594),(5995,2955,0.003441,-1.2585),(5995,2965,0.003468,-1.2577),(5995,2975,0.003494,-1.2569),(5995,2985,0.003521,-1.2562),(5995,2995,0.003567,-1.2554),(5995,3005,0.003633,-1.2546),(5995,3015,0.003698,-1.2538),(5995,3025,0.003764,-1.2531),(5995,3035,0.00384,-1.2523),(5995,3045,0.003927,-1.2515),(5995,3055,0.004013,-1.2507),(5995,3065,0.0041,-1.2498),(5995,3075,0.004174,-1.249),(5995,3085,0.004238,-1.2481),(5995,3095,0.004302,-1.2473),(5995,3105,0.004366,-1.2464),(5995,3115,0.004426,-1.2455),(5995,3125,0.004483,-1.2446),(5995,3135,0.00454,-1.2437),(5995,3145,0.004596,-1.2428),(5995,3155,0.004661,-1.2419),(5995,3165,0.004731,-1.241),(5995,3175,0.0048,-1.2401),(5995,3185,0.00487,-1.2392),(5995,3195,0.004949,-1.2382),(5995,3205,0.005034,-1.2373),(5995,3215,0.005118,-1.2363),(5995,3225,0.005203,-1.2354),(5995,3235,0.005298,-1.2344),(5995,3245,0.005398,-1.2335),(5995,3255,0.005498,-1.2325),(5995,3265,0.005598,-1.2316),(5995,3275,0.005693,-1.2307),(5995,3285,0.005786,-1.2297),(5995,3295,0.005879,-1.2287),(5995,3305,0.005972,-1.2277),(5995,3315,0.006072,-1.2267),(5995,3325,0.006173,-1.2256),(5995,3335,0.006274,-1.2246),(5995,3345,0.006376,-1.2235),(5995,3355,0.006537,-1.2225),(5995,3365,0.006711,-1.2214),(5995,3375,0.006883,-1.2205),(5995,3385,0.007057,-1.2196),(5995,3395,0.007282,-1.2187),(5995,3405,0.007515,-1.2178),(5995,3415,0.007748,-1.2168),(5995,3425,0.007981,-1.2158),(5995,3435,0.008221,-1.2148),(5995,3445,0.008461,-1.2138),(5995,3455,0.008701,-1.2127),(5995,3465,0.008942,-1.2115),(5995,3475,0.009237,-1.2104),(5995,3485,0.009534,-1.2093),(5995,3495,0.009832,-1.2083),(5995,3505,0.01013,-1.2073),(5995,3515,0.010507,-1.2063),(5995,3525,0.010884,-1.2053),(5995,3535,0.011262,-1.2043),(5995,3545,0.011641,-1.2032),(5995,3555,0.012071,-1.2021),(5995,3565,0.0125,-1.2011),(5995,3575,0.012929,-1.1998),(5995,3585,0.013372,-1.1986),(5995,3595,0.013965,-1.1974),(5995,3605,0.014557,-1.1962),(5995,3615,0.01515,-1.1952),(5995,3625,0.015773,-1.1941),(5995,3635,0.016613,-1.1931),(5995,3645,0.017453,-1.1921),(5995,3655,0.018292,-1.191),(5995,3665,0.019177,-1.1899),(5995,3675,0.020292,-1.1887),(5995,3685,0.021406,-1.1876),(5995,3695,0.022521,-1.1864),(5995,3705,0.023705,-1.1852),(5995,3715,0.025162,-1.184),(5995,3725,0.02662,-1.1828),(5995,3735,0.028078,-1.1815),(5995,3745,0.029673,-1.1801),(5995,3755,0.031694,-1.1788),(5995,3765,0.033716,-1.1774),(5995,3775,0.035737,-1.1759),(5995,3785,0.037991,-1.1744),(5995,3795,0.040836,-1.1729),(5995,3805,0.043681,-1.1714),(5995,3815,0.046526,-1.1697),(5995,3825,0.049734,-1.1681),(5995,3835,0.053707,-1.1664),(5995,3845,0.05768,-1.1644),(5995,3855,0.061653,-1.162),(5995,3865,0.066204,-1.1595),(5995,3875,0.071774,-1.157),(5995,3885,0.077344,-1.1541),(5995,3895,0.082914,-1.1507),(5995,3905,0.089345,-1.1472),(5995,3915,0.09706,-1.1438),(5995,3925,0.10478,-1.1394),(5995,3935,0.11249,-1.1336),(5995,3945,0.12146,-1.1279),(5995,3955,0.13202,-1.1222),(5995,3965,0.14258,-1.1143),(5995,3975,0.15314,-1.1037),(5995,3985,0.15742,-1.0932),(5995,3995,0.15489,-1.0826),(5995,4005,0.15237,-1.07),(5995,4015,0.14984,-1.0553),(5995,4025,0.21768,-1.0406),(5995,4035,0.29241,-1.0302),(5995,4045,0.36713,-1.0292),(5995,4055,0.44124,-1.0282),(5995,4065,0.51512,-1.0271),(5995,4075,0.58901,-1.0254),(5995,4085,0.62247,-1.0238),(5995,4095,0.62345,-1.0221),(5995,4105,0.62443,-1.0205),(5995,4115,0.62543,-1.0189),(5995,4125,0.62646,-1.0173),(5995,4135,0.62749,-1.0158),(5995,4145,0.62853,-1.0142),(5995,4155,0.62963,-1.0127),(5995,4165,0.63072,-1.0111),(5995,4175,0.63182,-1.0095),(5995,4185,0.63302,-1.0079),(5995,4195,0.63422,-1.0063),(5995,4205,0.63542,-1.0047),(5995,4215,0.63674,-1.0031),(5995,4225,0.63808,-1.0015),(5995,4235,0.63942,-0.99996),(5995,4245,0.64084,-0.99839),(5995,4255,0.64231,-0.99681),(5995,4265,0.64378,-0.99514),(5995,4275,0.64531,-0.99347),(5995,4285,0.6469,-0.99181),(5995,4295,0.64849,-0.99013),(5995,4305,0.65013,-0.98844),(5995,4315,0.65185,-0.98676),(5995,4325,0.65357,-0.98506),(5995,4335,0.65531,-0.98336),(5995,4345,0.65715,-0.98167),(5995,4355,0.65899,-0.9799),(5995,4365,0.66082,-0.97807),(5995,4375,0.66276,-0.97625),(5995,4385,0.6647,-0.97442),(5995,4395,0.66665,-0.97259),(5995,4405,0.66867,-0.97076),(5995,4415,0.67071,-0.96892),(5995,4425,0.67276,-0.96706),(5995,4435,0.67488,-0.96519),(5995,4445,0.67704,-0.96333),(5995,4455,0.67921,-0.96144),(5995,4465,0.68143,-0.95955),(5995,4475,0.68372,-0.95765),(5995,4485,0.68601,-0.95565),(5995,4495,0.68833,-0.95362),(5995,4505,0.69073,-0.95159),(5995,4515,0.69314,-0.94949),(5995,4525,0.69555,-0.94736),(5995,4535,0.69804,-0.94523),(5995,4545,0.70054,-0.94306),(5995,4555,0.70304,-0.94083),(5995,4565,0.70561,-0.93861),(5995,4575,0.70819,-0.93636),(5995,4585,0.71077,-0.93401),(5995,4595,0.71341,-0.93167),(5995,4605,0.71609,-0.92931),(5995,4615,0.71877,-0.92682),(5995,4625,0.7215,-0.92433),(5995,4635,0.72429,-0.92183),(5995,4645,0.72707,-0.91925),(5995,4655,0.72988,-0.91665),(5995,4665,0.73276,-0.91406),(5995,4675,0.73563,-0.9114),(5995,4685,0.73852,-0.90873),(5995,4695,0.74145,-0.90605),(5995,4705,0.74438,-0.90331),(5995,4715,0.74731,-0.90051),(5995,4725,0.75027,-0.8977),(5995,4735,0.75323,-0.89486),(5995,4745,0.75619,-0.89195),(5995,4755,0.75918,-0.88904),(5995,4765,0.76218,-0.88611),(5995,4775,0.76517,-0.88308),(5995,4785,0.7682,-0.88004),(5995,4795,0.77123,-0.87701),(5995,4805,0.77427,-0.87385),(5995,4815,0.77733,-0.87068),(5995,4825,0.7804,-0.86752),(5995,4835,0.78348,-0.86429),(5995,4845,0.78656,-0.86104),(5995,4855,0.78967,-0.85779),(5995,4865,0.79277,-0.85449),(5995,4875,0.79587,-0.85116),(5995,4885,0.79899,-0.84784),(5995,4895,0.8021,-0.84448),(5995,4905,0.80521,-0.84108),(5995,4915,0.80833,-0.83768),(5995,4925,0.81145,-0.83425),(5995,4935,0.81457,-0.83076),(5995,4945,0.81769,-0.82728),(5995,4955,0.82081,-0.82377),(5995,4965,0.82393,-0.82018),(5995,4975,0.82705,-0.81658),(5995,4985,0.83017,-0.81298),(5995,4995,0.83329,-0.80931),(5995,5005,0.83641,-0.80562),(5995,5015,0.83952,-0.80194),(5995,5025,0.84263,-0.7982),(5995,5035,0.84573,-0.79445),(5995,5045,0.84883,-0.79069),(5995,5055,0.85193,-0.7869),(5995,5065,0.85503,-0.78308),(5995,5075,0.85812,-0.77927),(5995,5085,0.86121,-0.77542),(5995,5095,0.8643,-0.77153),(5995,5105,0.86739,-0.76764),(5995,5115,0.87047,-0.76372),(5995,5125,0.87355,-0.75971),(5995,5135,0.87661,-0.75571),(5995,5145,0.87966,-0.7517),(5995,5155,0.88272,-0.74759),(5995,5165,0.88575,-0.74348),(5995,5175,0.88877,-0.73937),(5995,5185,0.89179,-0.73522),(5995,5195,0.89481,-0.73106),(5995,5205,0.89781,-0.7269),(5995,5215,0.90081,-0.72269),(5995,5225,0.90381,-0.71848),(5995,5235,0.90679,-0.71426),(5995,5245,0.90977,-0.71),(5995,5255,0.91275,-0.7057),(5995,5265,0.91571,-0.70141),(5995,5275,0.91867,-0.69709),(5995,5285,0.92163,-0.69272),(5995,5295,0.92457,-0.68834),(5995,5305,0.9275,-0.68397),(5995,5315,0.93043,-0.67955),(5995,5325,0.93335,-0.67514),(5995,5335,0.93626,-0.67073),(5995,5345,0.93917,-0.6663),(5995,5355,0.94207,-0.66187),(5995,5365,0.94495,-0.65744),(5995,5375,0.94783,-0.65295),(5995,5385,0.95071,-0.64845),(5995,5395,0.95355,-0.64395),(5995,5405,0.9564,-0.63936),(5995,5415,0.95924,-0.63474),(5995,5425,0.96205,-0.63012),(5995,5435,0.96486,-0.62547),(5995,5445,0.96768,-0.62078),(5995,5455,0.97046,-0.6161),(5995,5465,0.97324,-0.61142),(5995,5475,0.97601,-0.60673),(5995,5485,0.97876,-0.60205),(5995,5495,0.98149,-0.59736),(5995,5505,0.98422,-0.59264),(5995,5515,0.98693,-0.58791),(5995,5525,0.9896,-0.58318),(5995,5535,0.99228,-0.57838),(5995,5545,0.99494,-0.57357),(5995,5555,0.99756,-0.56875),(5995,5565,1.0002,-0.56389),(5995,5575,1.0028,-0.559),(5995,5585,1.0054,-0.55412),(5995,5595,1.0079,-0.5492),(5995,5605,1.0105,-0.54425),(5995,5615,1.013,-0.53931),(5995,5625,1.0155,-0.53433),(5995,5635,1.018,-0.5293),(5995,5645,1.0205,-0.52428),(5995,5655,1.023,-0.51925),(5995,5665,1.0254,-0.51419),(5995,5675,1.0279,-0.50914),(5995,5685,1.0303,-0.50408),(5995,5695,1.0327,-0.49903),(5995,5705,1.035,-0.49398),(5995,5715,1.0374,-0.48893),(5995,5725,1.0398,-0.48384),(5995,5735,1.0421,-0.47874),(5995,5745,1.0444,-0.47364),(5995,5755,1.0467,-0.4685),(5995,5765,1.0491,-0.46335),(5995,5775,1.0513,-0.4582),(5995,5785,1.0536,-0.45302),(5995,5795,1.0558,-0.44782),(5995,5805,1.058,-0.44261),(5995,5815,1.0602,-0.43739),(5995,5825,1.0624,-0.43214),(5995,5835,1.0646,-0.4269),(5995,5845,1.0667,-0.42164),(5995,5855,1.0688,-0.41634),(5995,5865,1.0709,-0.41105),(5995,5875,1.073,-0.40575),(5995,5885,1.075,-0.40039),(5995,5895,1.077,-0.39503),(5995,5905,1.079,-0.38967),(5995,5915,1.081,-0.38428),(5995,5925,1.0829,-0.37887),(5995,5935,1.0848,-0.37346),(5995,5945,1.0867,-0.36804),(5995,5955,1.0886,-0.36262),(5995,5965,1.0904,-0.3572),(5995,5975,1.0922,-0.35175),(5995,5985,1.094,-0.34626),(5995,5995,1.0957,-0.34077),(5995,6005,1.0975,-0.33526),(5995,6015,1.0992,-0.3297),(5995,6025,1.1009,-0.32414),(5995,6035,1.1026,-0.31858),(5995,6045,1.1043,-0.31306),(5995,6055,1.106,-0.30755),(5995,6065,1.1076,-0.30203),(5995,6075,1.1092,-0.29653),(5995,6085,1.1109,-0.29102),(5995,6095,1.1124,-0.28552),(5995,6105,1.114,-0.27995),(5995,6115,1.1155,-0.27436),(5995,6125,1.117,-0.26876),(5995,6135,1.1184,-0.26312),(5995,6145,1.1199,-0.25745),(5995,6155,1.1212,-0.25178),(5995,6165,1.1225,-0.2461),(5995,6175,1.1239,-0.24038),(5995,6185,1.1251,-0.23467),(5995,6195,1.1264,-0.22895),(5995,6205,1.1276,-0.22321),(5995,6215,1.1288,-0.21746),(5995,6225,1.13,-0.21171),(5995,6235,1.1312,-0.20597),(5995,6245,1.1323,-0.20023),(5995,6255,1.1334,-0.19448),(5995,6265,1.1345,-0.18878),(5995,6275,1.1356,-0.18309),(5995,6285,1.1366,-0.1774),(5995,6295,1.1376,-0.17167),(5995,6305,1.1387,-0.16592),(5995,6315,1.1396,-0.16017),(5995,6325,1.1405,-0.15436),(5995,6335,1.1414,-0.14847),(5995,6345,1.1422,-0.14259),(5995,6355,1.143,-0.13673),(5995,6365,1.1438,-0.13092),(5995,6375,1.1445,-0.12511),(5995,6385,1.1451,-0.11929),(5995,6395,1.1458,-0.11345),(5995,6405,1.1464,-0.1076),(5995,6415,1.147,-0.10175),(5995,6425,1.1476,-0.095907),(5995,6435,1.1481,-0.090063),(5995,6445,1.1486,-0.084219),(5995,6455,1.1491,-0.078371),(5995,6465,1.1495,-0.072521),(5995,6475,1.1499,-0.066672),(5995,6485,1.1503,-0.06082),(5995,6495,1.1507,-0.054965),(5995,6505,1.151,-0.049111),(5995,6515,1.1513,-0.043228),(5995,6525,1.1516,-0.037306),(5995,6535,1.1518,-0.031384),(5995,6545,1.1519,-0.025489),(5995,6555,1.1521,-0.019676),(5995,6565,1.1523,-0.013863),(5995,6575,1.1523,-0.008042),(5995,6585,1.1524,-0.002097),(5995,6595,0.98018,0.003848),(5995,6605,0.61769,0.009793),(5995,6615,0.25519,0.010478),(5995,6625,0.000376,0.010488),(5995,6635,0.000407,0.010497),(5995,6645,0.000437,0.010502),(5995,6655,0.000468,0.010505),(5995,6665,0.000498,0.010508),(5995,6675,0.000528,0.010511),(5995,6685,0.000558,0.010514),(5995,6695,0.000588,0.010517),(5995,6705,0.000618,0.010519),(5995,6715,0.000647,0.010521),(5995,6725,0.000677,0.010523),(5995,6735,0.000706,0.010525),(5995,6745,0.000736,0.010526),(5995,6755,0.000765,0.010528),(5995,6765,0.000794,0.010529),(5995,6775,0.000823,0.01053),(5995,6785,0.000852,0.010531),(5995,6795,0.00088,0.010531),(5995,6805,0.000909,0.010531),(5995,6815,0.000937,0.010531),(5995,6825,0.000965,0.010531),(5995,6835,0.000993,0.010531),(5995,6845,0.001021,0.01053),(5995,6855,0.001049,0.01053),(5995,6865,0.001076,0.010528),(5995,6875,0.001104,0.010527),(5995,6885,0.001131,0.010526),(5995,6895,0.001158,0.010524),(5995,6905,0.001185,0.010522),(5995,6915,0.001211,0.01052),(5995,6925,0.001238,0.010517),(5995,6935,0.001264,0.010515),(5995,6945,0.001291,0.010512),(5995,6955,0.001317,0.010509),(5995,6965,0.001342,0.010505),(5995,6975,0.001368,0.010502),(5995,6985,0.001394,0.010498),(6005,5,-3e-06,-1.3196),(6005,15,-9e-06,-1.3197),(6005,25,-5e-06,-1.3197),(6005,35,7e-06,-1.3197),(6005,45,2e-05,-1.3197),(6005,55,3.2e-05,-1.3196),(6005,65,3.2e-05,-1.3196),(6005,75,2.2e-05,-1.3196),(6005,85,1.2e-05,-1.3195),(6005,95,2e-06,-1.3195),(6005,105,3.4e-05,-1.3195),(6005,115,9.4e-05,-1.3195),(6005,125,0.000155,-1.3195),(6005,135,0.000215,-1.3195),(6005,145,0.00027,-1.3195),(6005,155,0.000323,-1.3196),(6005,165,0.000376,-1.3196),(6005,175,0.000429,-1.3196),(6005,185,0.000481,-1.3197),(6005,195,0.000533,-1.3197),(6005,205,0.000585,-1.3197),(6005,215,0.000637,-1.3197),(6005,225,0.000662,-1.3197),(6005,235,0.000676,-1.3197),(6005,245,0.00069,-1.3197),(6005,255,0.000704,-1.3197),(6005,265,0.000697,-1.3196),(6005,275,0.000683,-1.3196),(6005,285,0.000669,-1.3196),(6005,295,0.000655,-1.3195),(6005,305,0.000635,-1.3195),(6005,315,0.000614,-1.3194),(6005,325,0.000592,-1.3194),(6005,335,0.00057,-1.3193),(6005,345,0.000551,-1.3192),(6005,355,0.000533,-1.3192),(6005,365,0.000514,-1.3191),(6005,375,0.000495,-1.3191),(6005,385,0.000533,-1.3191),(6005,395,0.000578,-1.319),(6005,405,0.000624,-1.319),(6005,415,0.000669,-1.3191),(6005,425,0.000759,-1.3191),(6005,435,0.000852,-1.3191),(6005,445,0.000945,-1.3192),(6005,455,0.001039,-1.3193),(6005,465,0.001141,-1.3193),(6005,475,0.001244,-1.3194),(6005,485,0.001346,-1.3194),(6005,495,0.001449,-1.3194),(6005,505,0.001524,-1.3194),(6005,515,0.001599,-1.3194),(6005,525,0.001673,-1.3194),(6005,535,0.001748,-1.3194),(6005,545,0.001814,-1.3194),(6005,555,0.001881,-1.3194),(6005,565,0.001948,-1.3194),(6005,575,0.002017,-1.3194),(6005,585,0.002115,-1.3194),(6005,595,0.002214,-1.3194),(6005,605,0.002312,-1.3195),(6005,615,0.002412,-1.3196),(6005,625,0.002522,-1.3197),(6005,635,0.002632,-1.3198),(6005,645,0.002742,-1.3198),(6005,655,0.002847,-1.3198),(6005,665,0.002924,-1.3198),(6005,675,0.003002,-1.3198),(6005,685,0.00308,-1.3198),(6005,695,0.003162,-1.3198),(6005,705,0.003267,-1.3197),(6005,715,0.003371,-1.3197),(6005,725,0.003475,-1.3198),(6005,735,0.003597,-1.3198),(6005,745,0.003775,-1.3198),(6005,755,0.003954,-1.3198),(6005,765,0.004132,-1.3199),(6005,775,0.004333,-1.32),(6005,785,0.004593,-1.3201),(6005,795,0.004852,-1.3202),(6005,805,0.005111,-1.3203),(6005,815,0.005395,-1.3203),(6005,825,0.005733,-1.3204),(6005,835,0.00607,-1.3205),(6005,845,0.006408,-1.3206),(6005,855,0.006786,-1.3207),(6005,865,0.007241,-1.3208),(6005,875,0.007696,-1.3209),(6005,885,0.00815,-1.321),(6005,895,0.008651,-1.3212),(6005,905,0.009225,-1.3214),(6005,915,0.009798,-1.3215),(6005,925,0.010371,-1.3215),(6005,935,0.011025,-1.3216),(6005,945,0.011786,-1.3217),(6005,955,0.012546,-1.3218),(6005,965,0.013307,-1.3219),(6005,975,0.014221,-1.3221),(6005,985,0.015307,-1.3222),(6005,995,0.016394,-1.3224),(6005,1005,0.01748,-1.3225),(6005,1015,0.018791,-1.3227),(6005,1025,0.020318,-1.3228),(6005,1035,0.021845,-1.3229),(6005,1045,0.023371,-1.3229),(6005,1055,0.025262,-1.3229),(6005,1065,0.027451,-1.323),(6005,1075,0.029639,-1.3229),(6005,1085,0.031828,-1.3229),(6005,1095,0.034593,-1.3228),(6005,1105,0.037759,-1.3227),(6005,1115,0.040925,-1.3224),(6005,1125,0.044091,-1.3219),(6005,1135,0.048177,-1.3214),(6005,1145,0.052806,-1.3209),(6005,1155,0.057435,-1.32),(6005,1165,0.062064,-1.3188),(6005,1175,0.068186,-1.3177),(6005,1185,0.075049,-1.3166),(6005,1195,0.081912,-1.3147),(6005,1205,0.088775,-1.3125),(6005,1215,0.097939,-1.3104),(6005,1225,0.10805,-1.3082),(6005,1235,0.11817,-1.3042),(6005,1245,0.12828,-1.2994),(6005,1255,0.14156,-1.2946),(6005,1265,0.15591,-1.2898),(6005,1275,0.17026,-1.2798),(6005,1285,0.18461,-1.2684),(6005,1295,0.17547,-1.2569),(6005,1305,0.15997,-1.2454),(6005,1315,0.14447,-1.2331),(6005,1325,0.12897,-1.2206),(6005,1335,0.079372,-1.2081),(6005,1345,0.022623,-1.1956),(6005,1355,-0.034126,-1.2031),(6005,1365,-0.090875,-1.2141),(6005,1375,-0.11931,-1.2252),(6005,1385,-0.14337,-1.2362),(6005,1395,-0.16744,-1.2481),(6005,1405,-0.1915,-1.26),(6005,1415,-0.18007,-1.272),(6005,1425,-0.16496,-1.284),(6005,1435,-0.14985,-1.2894),(6005,1445,-0.13474,-1.2944),(6005,1455,-0.12418,-1.2993),(6005,1465,-0.11388,-1.3042),(6005,1475,-0.10358,-1.3065),(6005,1485,-0.093277,-1.3087),(6005,1495,-0.0862,-1.3109),(6005,1505,-0.079171,-1.3131),(6005,1515,-0.072142,-1.3141),(6005,1525,-0.065169,-1.3151),(6005,1535,-0.060381,-1.3161),(6005,1545,-0.055593,-1.317),(6005,1555,-0.050806,-1.3174),(6005,1565,-0.046113,-1.3178),(6005,1575,-0.042806,-1.3181),(6005,1585,-0.039499,-1.3184),(6005,1595,-0.036191,-1.3184),(6005,1605,-0.032989,-1.3183),(6005,1615,-0.030689,-1.3183),(6005,1625,-0.028389,-1.3182),(6005,1635,-0.02609,-1.3179),(6005,1645,-0.02389,-1.3176),(6005,1655,-0.022283,-1.3174),(6005,1665,-0.020677,-1.3171),(6005,1675,-0.019071,-1.3168),(6005,1685,-0.017549,-1.3165),(6005,1695,-0.016398,-1.3162),(6005,1705,-0.015248,-1.3159),(6005,1715,-0.014097,-1.3156),(6005,1725,-0.013018,-1.3153),(6005,1735,-0.012187,-1.315),(6005,1745,-0.011357,-1.3146),(6005,1755,-0.010526,-1.3142),(6005,1765,-0.009754,-1.3138),(6005,1775,-0.009147,-1.3134),(6005,1785,-0.00854,-1.313),(6005,1795,-0.007933,-1.3126),(6005,1805,-0.007364,-1.3122),(6005,1815,-0.006882,-1.3118),(6005,1825,-0.0064,-1.3114),(6005,1835,-0.005919,-1.3111),(6005,1845,-0.005476,-1.3108),(6005,1855,-0.005107,-1.3105),(6005,1865,-0.004739,-1.3102),(6005,1875,-0.004371,-1.3097),(6005,1885,-0.004043,-1.3093),(6005,1895,-0.003779,-1.3089),(6005,1905,-0.003515,-1.3085),(6005,1915,-0.003251,-1.3082),(6005,1925,-0.00298,-1.3078),(6005,1935,-0.0027,-1.3075),(6005,1945,-0.002419,-1.3072),(6005,1955,-0.002139,-1.307),(6005,1965,-0.001904,-1.3067),(6005,1975,-0.001722,-1.3064),(6005,1985,-0.00154,-1.3061),(6005,1995,-0.001359,-1.3057),(6005,2005,-0.001223,-1.3054),(6005,2015,-0.001133,-1.305),(6005,2025,-0.001043,-1.3046),(6005,2035,-0.000953,-1.3044),(6005,2045,-0.000856,-1.3041),(6005,2055,-0.000753,-1.3038),(6005,2065,-0.00065,-1.3035),(6005,2075,-0.000547,-1.3031),(6005,2085,-0.000437,-1.3028),(6005,2095,-0.000323,-1.3025),(6005,2105,-0.000208,-1.3021),(6005,2115,-9.4e-05,-1.3018),(6005,2125,3.6e-05,-1.3015),(6005,2135,0.000174,-1.3012),(6005,2145,0.000313,-1.3009),(6005,2155,0.000451,-1.3006),(6005,2165,0.00057,-1.3004),(6005,2175,0.000678,-1.3001),(6005,2185,0.000786,-1.2997),(6005,2195,0.000895,-1.2993),(6005,2205,0.000967,-1.2989),(6005,2215,0.001023,-1.2985),(6005,2225,0.001079,-1.2981),(6005,2235,0.001135,-1.2977),(6005,2245,0.001163,-1.2973),(6005,2255,0.00118,-1.2969),(6005,2265,0.001198,-1.2965),(6005,2275,0.001215,-1.2961),(6005,2285,0.00123,-1.2957),(6005,2295,0.001244,-1.2953),(6005,2305,0.001258,-1.2949),(6005,2315,0.001272,-1.2944),(6005,2325,0.00134,-1.294),(6005,2335,0.001419,-1.2936),(6005,2345,0.001499,-1.2933),(6005,2355,0.001579,-1.2929),(6005,2365,0.001669,-1.2926),(6005,2375,0.001762,-1.2923),(6005,2385,0.001854,-1.2918),(6005,2395,0.001947,-1.2914),(6005,2405,0.002007,-1.291),(6005,2415,0.002062,-1.2906),(6005,2425,0.002118,-1.2901),(6005,2435,0.002174,-1.2897),(6005,2445,0.002213,-1.2893),(6005,2455,0.00225,-1.2888),(6005,2465,0.002288,-1.2884),(6005,2475,0.002326,-1.288),(6005,2485,0.002332,-1.2875),(6005,2495,0.002337,-1.2871),(6005,2505,0.002342,-1.2865),(6005,2515,0.002348,-1.2859),(6005,2525,0.00237,-1.2854),(6005,2535,0.002391,-1.2848),(6005,2545,0.002413,-1.2843),(6005,2555,0.002437,-1.2838),(6005,2565,0.002505,-1.2833),(6005,2575,0.002573,-1.2828),(6005,2585,0.002641,-1.2823),(6005,2595,0.002705,-1.2818),(6005,2605,0.002729,-1.2814),(6005,2615,0.002753,-1.2809),(6005,2625,0.002776,-1.2803),(6005,2635,0.002794,-1.2796),(6005,2645,0.00277,-1.279),(6005,2655,0.002746,-1.2784),(6005,2665,0.002722,-1.2778),(6005,2675,0.002703,-1.2772),(6005,2685,0.002706,-1.2766),(6005,2695,0.002709,-1.276),(6005,2705,0.002712,-1.2755),(6005,2715,0.002716,-1.2749),(6005,2725,0.002726,-1.2744),(6005,2735,0.002735,-1.2738),(6005,2745,0.002744,-1.2732),(6005,2755,0.002753,-1.2725),(6005,2765,0.002761,-1.2719),(6005,2775,0.00277,-1.2712),(6005,2785,0.002778,-1.2705),(6005,2795,0.002798,-1.2699),(6005,2805,0.002844,-1.2692),(6005,2815,0.002891,-1.2685),(6005,2825,0.002938,-1.2679),(6005,2835,0.002991,-1.2673),(6005,2845,0.003058,-1.2667),(6005,2855,0.003126,-1.266),(6005,2865,0.003193,-1.2654),(6005,2875,0.003256,-1.2647),(6005,2885,0.003311,-1.264),(6005,2895,0.003367,-1.2633),(6005,2905,0.003422,-1.2625),(6005,2915,0.003469,-1.2617),(6005,2925,0.003501,-1.2609),(6005,2935,0.003534,-1.2602),(6005,2945,0.003567,-1.2593),(6005,2955,0.003594,-1.2585),(6005,2965,0.003612,-1.2577),(6005,2975,0.003631,-1.2569),(6005,2985,0.00365,-1.2562),(6005,2995,0.003683,-1.2554),(6005,3005,0.003731,-1.2546),(6005,3015,0.003779,-1.2538),(6005,3025,0.003826,-1.253),(6005,3035,0.003893,-1.2522),(6005,3045,0.003976,-1.2514),(6005,3055,0.004059,-1.2506),(6005,3065,0.004142,-1.2498),(6005,3075,0.004217,-1.2489),(6005,3085,0.004286,-1.2481),(6005,3095,0.004356,-1.2472),(6005,3105,0.004425,-1.2463),(6005,3115,0.004486,-1.2454),(6005,3125,0.004542,-1.2445),(6005,3135,0.004598,-1.2436),(6005,3145,0.004653,-1.2428),(6005,3155,0.004712,-1.2419),(6005,3165,0.004772,-1.241),(6005,3175,0.004832,-1.2401),(6005,3185,0.004892,-1.2392),(6005,3195,0.004963,-1.2382),(6005,3205,0.005039,-1.2373),(6005,3215,0.005115,-1.2363),(6005,3225,0.005191,-1.2353),(6005,3235,0.005289,-1.2344),(6005,3245,0.005396,-1.2334),(6005,3255,0.005502,-1.2325),(6005,3265,0.005609,-1.2315),(6005,3275,0.005715,-1.2306),(6005,3285,0.005822,-1.2297),(6005,3295,0.005928,-1.2287),(6005,3305,0.006035,-1.2276),(6005,3315,0.006134,-1.2266),(6005,3325,0.006232,-1.2256),(6005,3335,0.00633,-1.2245),(6005,3345,0.006428,-1.2235),(6005,3355,0.006578,-1.2224),(6005,3365,0.006738,-1.2214),(6005,3375,0.006897,-1.2204),(6005,3385,0.007057,-1.2195),(6005,3395,0.007285,-1.2186),(6005,3405,0.007521,-1.2176),(6005,3415,0.007758,-1.2166),(6005,3425,0.007994,-1.2156),(6005,3435,0.008245,-1.2146),(6005,3445,0.008497,-1.2136),(6005,3455,0.008749,-1.2125),(6005,3465,0.009,-1.2114),(6005,3475,0.009298,-1.2103),(6005,3485,0.009597,-1.2091),(6005,3495,0.009895,-1.2081),(6005,3505,0.010194,-1.2071),(6005,3515,0.010578,-1.2061),(6005,3525,0.010961,-1.2051),(6005,3535,0.011344,-1.2041),(6005,3545,0.01173,-1.203),(6005,3555,0.012166,-1.2019),(6005,3565,0.012603,-1.2009),(6005,3575,0.013039,-1.1996),(6005,3585,0.013488,-1.1983),(6005,3595,0.014077,-1.1971),(6005,3605,0.014666,-1.1959),(6005,3615,0.015255,-1.1948),(6005,3625,0.015874,-1.1937),(6005,3635,0.016711,-1.1927),(6005,3645,0.017548,-1.1916),(6005,3655,0.018385,-1.1904),(6005,3665,0.019265,-1.1893),(6005,3675,0.020372,-1.1881),(6005,3685,0.021479,-1.187),(6005,3695,0.022586,-1.1857),(6005,3705,0.023761,-1.1845),(6005,3715,0.025203,-1.1833),(6005,3725,0.026646,-1.182),(6005,3735,0.028088,-1.1806),(6005,3745,0.02966,-1.1792),(6005,3755,0.031637,-1.1777),(6005,3765,0.033613,-1.1763),(6005,3775,0.03559,-1.1747),(6005,3785,0.037788,-1.1731),(6005,3795,0.040552,-1.1715),(6005,3805,0.043316,-1.1698),(6005,3815,0.04608,-1.168),(6005,3825,0.0492,-1.1661),(6005,3835,0.053067,-1.1643),(6005,3845,0.056935,-1.1622),(6005,3855,0.060802,-1.1595),(6005,3865,0.065199,-1.1568),(6005,3875,0.070531,-1.1541),(6005,3885,0.075862,-1.151),(6005,3895,0.081194,-1.1474),(6005,3905,0.087236,-1.1437),(6005,3915,0.094339,-1.14),(6005,3925,0.10144,-1.1354),(6005,3935,0.10855,-1.1293),(6005,3945,0.11658,-1.1233),(6005,3955,0.1258,-1.1173),(6005,3965,0.13501,-1.1093),(6005,3975,0.14423,-1.0991),(6005,3985,0.14722,-1.0888),(6005,3995,0.14347,-1.0785),(6005,4005,0.13973,-1.0666),(6005,4015,0.13598,-1.0531),(6005,4025,0.20717,-1.0397),(6005,4035,0.28569,-1.0302),(6005,4045,0.36421,-1.0292),(6005,4055,0.4391,-1.0281),(6005,4065,0.51265,-1.027),(6005,4075,0.5862,-1.0254),(6005,4085,0.61952,-1.0237),(6005,4095,0.62052,-1.022),(6005,4105,0.62152,-1.0204),(6005,4115,0.62253,-1.0188),(6005,4125,0.62357,-1.0171),(6005,4135,0.6246,-1.0156),(6005,4145,0.62565,-1.014),(6005,4155,0.62676,-1.0125),(6005,4165,0.62786,-1.0109),(6005,4175,0.62897,-1.0093),(6005,4185,0.63017,-1.0076),(6005,4195,0.63137,-1.006),(6005,4205,0.63257,-1.0044),(6005,4215,0.63388,-1.0028),(6005,4225,0.63522,-1.0012),(6005,4235,0.63655,-0.99964),(6005,4245,0.63796,-0.99805),(6005,4255,0.63941,-0.99646),(6005,4265,0.64087,-0.99478),(6005,4275,0.64238,-0.9931),(6005,4285,0.64396,-0.99142),(6005,4295,0.64555,-0.98972),(6005,4305,0.64717,-0.98802),(6005,4315,0.64887,-0.98632),(6005,4325,0.65058,-0.98462),(6005,4335,0.65231,-0.98291),(6005,4345,0.65413,-0.9812),(6005,4355,0.65595,-0.97942),(6005,4365,0.65777,-0.97758),(6005,4375,0.65969,-0.97574),(6005,4385,0.66161,-0.9739),(6005,4395,0.66353,-0.97205),(6005,4405,0.66552,-0.97021),(6005,4415,0.66754,-0.96835),(6005,4425,0.66955,-0.96646),(6005,4435,0.67164,-0.96457),(6005,4445,0.67377,-0.96268),(6005,4455,0.67591,-0.96076),(6005,4465,0.67809,-0.95885),(6005,4475,0.68035,-0.95693),(6005,4485,0.68262,-0.95491),(6005,4495,0.6849,-0.95286),(6005,4505,0.68728,-0.95081),(6005,4515,0.68966,-0.94871),(6005,4525,0.69204,-0.94657),(6005,4535,0.69451,-0.94443),(6005,4545,0.69697,-0.94226),(6005,4555,0.69944,-0.94004),(6005,4565,0.70197,-0.93782),(6005,4575,0.70452,-0.93556),(6005,4585,0.70706,-0.93321),(6005,4595,0.70967,-0.93087),(6005,4605,0.71231,-0.92851),(6005,4615,0.71495,-0.92601),(6005,4625,0.71764,-0.92351),(6005,4635,0.72038,-0.92101),(6005,4645,0.72312,-0.91842),(6005,4655,0.7259,-0.91583),(6005,4665,0.72873,-0.91323),(6005,4675,0.73156,-0.91058),(6005,4685,0.7344,-0.90791),(6005,4695,0.73729,-0.90525),(6005,4705,0.74018,-0.90251),(6005,4715,0.74307,-0.89971),(6005,4725,0.746,-0.89692),(6005,4735,0.74892,-0.89409),(6005,4745,0.75184,-0.89119),(6005,4755,0.7548,-0.88828),(6005,4765,0.75776,-0.88536),(6005,4775,0.76071,-0.88233),(6005,4785,0.7637,-0.8793),(6005,4795,0.76669,-0.87627),(6005,4805,0.76969,-0.87311),(6005,4815,0.77271,-0.86995),(6005,4825,0.77574,-0.86679),(6005,4835,0.77878,-0.86356),(6005,4845,0.78182,-0.86031),(6005,4855,0.78489,-0.85706),(6005,4865,0.78795,-0.85376),(6005,4875,0.79102,-0.85044),(6005,4885,0.7941,-0.84712),(6005,4895,0.79718,-0.84377),(6005,4905,0.80026,-0.84037),(6005,4915,0.80334,-0.83698),(6005,4925,0.80643,-0.83355),(6005,4935,0.80952,-0.83007),(6005,4945,0.81261,-0.82658),(6005,4955,0.8157,-0.82308),(6005,4965,0.81879,-0.81949),(6005,4975,0.82188,-0.8159),(6005,4985,0.82497,-0.81231),(6005,4995,0.82806,-0.80863),(6005,5005,0.83115,-0.80496),(6005,5015,0.83423,-0.80128),(6005,5025,0.83731,-0.79754),(6005,5035,0.84039,-0.79379),(6005,5045,0.84346,-0.79004),(6005,5055,0.84653,-0.78625),(6005,5065,0.8496,-0.78244),(6005,5075,0.85267,-0.77863),(6005,5085,0.85573,-0.77478),(6005,5095,0.8588,-0.7709),(6005,5105,0.86185,-0.76701),(6005,5115,0.86491,-0.7631),(6005,5125,0.86797,-0.7591),(6005,5135,0.871,-0.75511),(6005,5145,0.87403,-0.75111),(6005,5155,0.87706,-0.74701),(6005,5165,0.88007,-0.74292),(6005,5175,0.88306,-0.73883),(6005,5185,0.88605,-0.73468),(6005,5195,0.88903,-0.73052),(6005,5205,0.892,-0.72637),(6005,5215,0.89497,-0.72217),(6005,5225,0.89794,-0.71796),(6005,5235,0.90089,-0.71374),(6005,5245,0.90384,-0.70949),(6005,5255,0.90679,-0.7052),(6005,5265,0.90973,-0.70091),(6005,5275,0.91266,-0.69659),(6005,5285,0.91559,-0.69222),(6005,5295,0.9185,-0.68786),(6005,5305,0.92141,-0.68348),(6005,5315,0.92432,-0.67907),(6005,5325,0.92721,-0.67466),(6005,5335,0.9301,-0.67025),(6005,5345,0.93298,-0.66583),(6005,5355,0.93586,-0.6614),(6005,5365,0.93871,-0.65697),(6005,5375,0.94157,-0.65249),(6005,5385,0.94442,-0.64799),(6005,5395,0.94724,-0.6435),(6005,5405,0.95006,-0.63892),(6005,5415,0.95288,-0.63431),(6005,5425,0.95566,-0.62969),(6005,5435,0.95844,-0.62504),(6005,5445,0.96122,-0.62036),(6005,5455,0.96398,-0.61567),(6005,5465,0.96673,-0.61099),(6005,5475,0.96948,-0.60631),(6005,5485,0.97221,-0.60163),(6005,5495,0.97492,-0.59694),(6005,5505,0.97764,-0.59222),(6005,5515,0.98033,-0.5875),(6005,5525,0.98299,-0.58277),(6005,5535,0.98566,-0.57797),(6005,5545,0.98831,-0.57316),(6005,5555,0.99092,-0.56836),(6005,5565,0.99354,-0.5635),(6005,5575,0.99614,-0.55862),(6005,5585,0.9987,-0.55375),(6005,5595,1.0013,-0.54883),(6005,5605,1.0038,-0.5439),(6005,5615,1.0063,-0.53896),(6005,5625,1.0088,-0.53399),(6005,5635,1.0113,-0.52897),(6005,5645,1.0137,-0.52396),(6005,5655,1.0162,-0.51893),(6005,5665,1.0186,-0.51388),(6005,5675,1.021,-0.50882),(6005,5685,1.0234,-0.50377),(6005,5695,1.0258,-0.49872),(6005,5705,1.0281,-0.49367),(6005,5715,1.0305,-0.48862),(6005,5725,1.0328,-0.48352),(6005,5735,1.0351,-0.47842),(6005,5745,1.0374,-0.47331),(6005,5755,1.0397,-0.46817),(6005,5765,1.042,-0.46302),(6005,5775,1.0442,-0.45787),(6005,5785,1.0465,-0.45269),(6005,5795,1.0487,-0.44749),(6005,5805,1.0509,-0.44229),(6005,5815,1.0531,-0.43707),(6005,5825,1.0553,-0.43182),(6005,5835,1.0574,-0.42657),(6005,5845,1.0595,-0.42132),(6005,5855,1.0617,-0.41603),(6005,5865,1.0637,-0.41074),(6005,5875,1.0658,-0.40545),(6005,5885,1.0678,-0.4001),(6005,5895,1.0698,-0.39475),(6005,5905,1.0718,-0.3894),(6005,5915,1.0737,-0.38401),(6005,5925,1.0757,-0.37861),(6005,5935,1.0775,-0.37321),(6005,5945,1.0794,-0.3678),(6005,5955,1.0813,-0.36238),(6005,5965,1.083,-0.35697),(6005,5975,1.0848,-0.35152),(6005,5985,1.0866,-0.34603),(6005,5995,1.0883,-0.34055),(6005,6005,1.0901,-0.33504),(6005,6015,1.0918,-0.32947),(6005,6025,1.0934,-0.32391),(6005,6035,1.0951,-0.31835),(6005,6045,1.0968,-0.31282),(6005,6055,1.0984,-0.30729),(6005,6065,1.1,-0.30176),(6005,6075,1.1016,-0.29625),(6005,6085,1.1032,-0.29075),(6005,6095,1.1048,-0.28524),(6005,6105,1.1063,-0.27968),(6005,6115,1.1079,-0.27409),(6005,6125,1.1093,-0.26851),(6005,6135,1.1107,-0.26288),(6005,6145,1.1122,-0.25722),(6005,6155,1.1135,-0.25156),(6005,6165,1.1149,-0.24589),(6005,6175,1.1162,-0.24019),(6005,6185,1.1174,-0.23448),(6005,6195,1.1187,-0.22877),(6005,6205,1.1199,-0.22303),(6005,6215,1.1211,-0.21728),(6005,6225,1.1222,-0.21154),(6005,6235,1.1234,-0.20579),(6005,6245,1.1245,-0.20004),(6005,6255,1.1256,-0.19428),(6005,6265,1.1267,-0.18858),(6005,6275,1.1277,-0.18289),(6005,6285,1.1287,-0.17719),(6005,6295,1.1298,-0.17146),(6005,6305,1.1308,-0.16572),(6005,6315,1.1317,-0.15997),(6005,6325,1.1326,-0.15416),(6005,6335,1.1335,-0.14829),(6005,6345,1.1343,-0.14242),(6005,6355,1.1351,-0.13657),(6005,6365,1.1359,-0.13077),(6005,6375,1.1366,-0.12497),(6005,6385,1.1373,-0.11917),(6005,6395,1.1379,-0.11334),(6005,6405,1.1385,-0.1075),(6005,6415,1.1391,-0.10166),(6005,6425,1.1396,-0.095817),(6005,6435,1.1402,-0.089972),(6005,6445,1.1406,-0.084126),(6005,6455,1.1411,-0.078276),(6005,6465,1.1416,-0.072424),(6005,6475,1.142,-0.066572),(6005,6485,1.1423,-0.060719),(6005,6495,1.1427,-0.054865),(6005,6505,1.143,-0.04901),(6005,6515,1.1433,-0.043129),(6005,6525,1.1436,-0.037212),(6005,6535,1.1438,-0.031295),(6005,6545,1.144,-0.025405),(6005,6555,1.1442,-0.019598),(6005,6565,1.1443,-0.01379),(6005,6575,1.1444,-0.007975),(6005,6585,1.1445,-0.002032),(6005,6595,0.97346,0.00391),(6005,6605,0.61345,0.009853),(6005,6615,0.25344,0.01053),(6005,6625,0.000372,0.01053),(6005,6635,0.000403,0.01053),(6005,6645,0.000433,0.010533),(6005,6655,0.000464,0.010536),(6005,6665,0.000494,0.010539),(6005,6675,0.000524,0.010542),(6005,6685,0.000554,0.010544),(6005,6695,0.000584,0.010547),(6005,6705,0.000614,0.010549),(6005,6715,0.000644,0.010551),(6005,6725,0.000674,0.010553),(6005,6735,0.000704,0.010555),(6005,6745,0.000733,0.010556),(6005,6755,0.000762,0.010557),(6005,6765,0.000792,0.010558),(6005,6775,0.000821,0.010559),(6005,6785,0.00085,0.01056),(6005,6795,0.000878,0.01056),(6005,6805,0.000907,0.01056),(6005,6815,0.000936,0.01056),(6005,6825,0.000964,0.01056),(6005,6835,0.000992,0.010559),(6005,6845,0.00102,0.010558),(6005,6855,0.001048,0.010557),(6005,6865,0.001076,0.010556),(6005,6875,0.001103,0.010555),(6005,6885,0.001131,0.010553),(6005,6895,0.001158,0.010551),(6005,6905,0.001185,0.010549),(6005,6915,0.001212,0.010547),(6005,6925,0.001239,0.010544),(6005,6935,0.001265,0.010541),(6005,6945,0.001292,0.010538),(6005,6955,0.001318,0.010535),(6005,6965,0.001344,0.010531),(6005,6975,0.00137,0.010528),(6005,6985,0.001395,0.010524),(6015,5,-2e-06,-1.3197),(6015,15,-5e-06,-1.3197),(6015,25,0,-1.3197),(6015,35,1.1e-05,-1.3197),(6015,45,2.3e-05,-1.3197),(6015,55,3.5e-05,-1.3197),(6015,65,3.3e-05,-1.3196),(6015,75,2.1e-05,-1.3196),(6015,85,8e-06,-1.3196),(6015,95,-5e-06,-1.3195),(6015,105,2.5e-05,-1.3195),(6015,115,8.3e-05,-1.3194),(6015,125,0.00014,-1.3194),(6015,135,0.000198,-1.3194),(6015,145,0.000254,-1.3195),(6015,155,0.000309,-1.3195),(6015,165,0.000365,-1.3196),(6015,175,0.00042,-1.3196),(6015,185,0.000476,-1.3196),(6015,195,0.000532,-1.3197),(6015,205,0.000588,-1.3197),(6015,215,0.000644,-1.3197),(6015,225,0.000676,-1.3197),(6015,235,0.000697,-1.3197),(6015,245,0.000718,-1.3197),(6015,255,0.000739,-1.3197),(6015,265,0.000737,-1.3197),(6015,275,0.000727,-1.3196),(6015,285,0.000718,-1.3196),(6015,295,0.000708,-1.3195),(6015,305,0.000688,-1.3195),(6015,315,0.000665,-1.3195),(6015,325,0.000641,-1.3194),(6015,335,0.000618,-1.3193),(6015,345,0.000593,-1.3193),(6015,355,0.000566,-1.3192),(6015,365,0.00054,-1.3192),(6015,375,0.000514,-1.3191),(6015,385,0.000539,-1.3191),(6015,395,0.000571,-1.319),(6015,405,0.000603,-1.319),(6015,415,0.000634,-1.319),(6015,425,0.000715,-1.319),(6015,435,0.000799,-1.319),(6015,445,0.000884,-1.3191),(6015,455,0.000969,-1.3192),(6015,465,0.001071,-1.3193),(6015,475,0.001174,-1.3193),(6015,485,0.001277,-1.3193),(6015,495,0.00138,-1.3193),(6015,505,0.001461,-1.3193),(6015,515,0.001541,-1.3193),(6015,525,0.001622,-1.3193),(6015,535,0.001702,-1.3193),(6015,545,0.001774,-1.3193),(6015,555,0.001846,-1.3193),(6015,565,0.001917,-1.3193),(6015,575,0.001991,-1.3194),(6015,585,0.002089,-1.3194),(6015,595,0.002188,-1.3194),(6015,605,0.002286,-1.3195),(6015,615,0.002387,-1.3196),(6015,625,0.002502,-1.3197),(6015,635,0.002617,-1.3197),(6015,645,0.002732,-1.3198),(6015,655,0.002843,-1.3198),(6015,665,0.002932,-1.3198),(6015,675,0.003021,-1.3198),(6015,685,0.00311,-1.3197),(6015,695,0.003204,-1.3197),(6015,705,0.003315,-1.3197),(6015,715,0.003427,-1.3197),(6015,725,0.003539,-1.3197),(6015,735,0.003666,-1.3197),(6015,745,0.003844,-1.3198),(6015,755,0.004022,-1.3198),(6015,765,0.004199,-1.3199),(6015,775,0.004399,-1.3199),(6015,785,0.004658,-1.32),(6015,795,0.004916,-1.3201),(6015,805,0.005175,-1.3201),(6015,815,0.005459,-1.3202),(6015,825,0.005796,-1.3203),(6015,835,0.006134,-1.3204),(6015,845,0.006472,-1.3204),(6015,855,0.006851,-1.3205),(6015,865,0.007307,-1.3206),(6015,875,0.007763,-1.3207),(6015,885,0.008219,-1.3208),(6015,895,0.008721,-1.321),(6015,905,0.009298,-1.3211),(6015,915,0.009874,-1.3212),(6015,925,0.01045,-1.3213),(6015,935,0.011103,-1.3213),(6015,945,0.011859,-1.3214),(6015,955,0.012614,-1.3214),(6015,965,0.01337,-1.3215),(6015,975,0.014275,-1.3217),(6015,985,0.015348,-1.3218),(6015,995,0.01642,-1.3219),(6015,1005,0.017493,-1.3219),(6015,1015,0.018786,-1.322),(6015,1025,0.020289,-1.3221),(6015,1035,0.021793,-1.3222),(6015,1045,0.023296,-1.3221),(6015,1055,0.025151,-1.3221),(6015,1065,0.027293,-1.322),(6015,1075,0.029436,-1.3219),(6015,1085,0.031578,-1.3217),(6015,1095,0.034272,-1.3216),(6015,1105,0.037351,-1.3214),(6015,1115,0.04043,-1.3209),(6015,1125,0.043508,-1.3203),(6015,1135,0.047459,-1.3196),(6015,1145,0.051924,-1.319),(6015,1155,0.056389,-1.3179),(6015,1165,0.060854,-1.3165),(6015,1175,0.066716,-1.3151),(6015,1185,0.073271,-1.3138),(6015,1195,0.079826,-1.3116),(6015,1205,0.086381,-1.3091),(6015,1215,0.094996,-1.3066),(6015,1225,0.10446,-1.3041),(6015,1235,0.11392,-1.2996),(6015,1245,0.12339,-1.2944),(6015,1255,0.1353,-1.2892),(6015,1265,0.14804,-1.2839),(6015,1275,0.16077,-1.274),(6015,1285,0.17351,-1.2626),(6015,1295,0.16387,-1.2512),(6015,1305,0.14818,-1.2398),(6015,1315,0.13248,-1.2287),(6015,1325,0.11679,-1.2176),(6015,1335,0.071903,-1.2065),(6015,1345,0.020898,-1.1954),(6015,1355,-0.030107,-1.2019),(6015,1365,-0.081112,-1.2115),(6015,1375,-0.10834,-1.2212),(6015,1385,-0.13191,-1.2308),(6015,1395,-0.15547,-1.2423),(6015,1405,-0.17903,-1.2541),(6015,1415,-0.1692,-1.2658),(6015,1425,-0.15591,-1.2776),(6015,1435,-0.14261,-1.2835),(6015,1445,-0.12931,-1.2889),(6015,1455,-0.11948,-1.2944),(6015,1465,-0.10984,-1.2998),(6015,1475,-0.1002,-1.3025),(6015,1485,-0.090562,-1.305),(6015,1495,-0.083785,-1.3076),(6015,1505,-0.077052,-1.3101),(6015,1515,-0.070318,-1.3113),(6015,1525,-0.063636,-1.3126),(6015,1535,-0.059013,-1.3138),(6015,1545,-0.05439,-1.315),(6015,1555,-0.049767,-1.3155),(6015,1565,-0.045235,-1.316),(6015,1575,-0.042025,-1.3166),(6015,1585,-0.038815,-1.317),(6015,1595,-0.035605,-1.3171),(6015,1605,-0.032496,-1.3172),(6015,1615,-0.030251,-1.3172),(6015,1625,-0.028007,-1.3173),(6015,1635,-0.025763,-1.317),(6015,1645,-0.023616,-1.3168),(6015,1655,-0.022049,-1.3166),(6015,1665,-0.020482,-1.3164),(6015,1675,-0.018916,-1.3161),(6015,1685,-0.017429,-1.3159),(6015,1695,-0.016296,-1.3156),(6015,1705,-0.015163,-1.3154),(6015,1715,-0.014031,-1.3151),(6015,1725,-0.012966,-1.3148),(6015,1735,-0.012139,-1.3146),(6015,1745,-0.011311,-1.3143),(6015,1755,-0.010484,-1.3139),(6015,1765,-0.009717,-1.3135),(6015,1775,-0.009119,-1.3131),(6015,1785,-0.008521,-1.3127),(6015,1795,-0.007924,-1.3123),(6015,1805,-0.007363,-1.3119),(6015,1815,-0.006885,-1.3116),(6015,1825,-0.006407,-1.3112),(6015,1835,-0.00593,-1.3109),(6015,1845,-0.005487,-1.3106),(6015,1855,-0.005109,-1.3103),(6015,1865,-0.004732,-1.31),(6015,1875,-0.004355,-1.3096),(6015,1885,-0.004023,-1.3092),(6015,1895,-0.003763,-1.3088),(6015,1905,-0.003503,-1.3084),(6015,1915,-0.003243,-1.308),(6015,1925,-0.002977,-1.3077),(6015,1935,-0.002703,-1.3074),(6015,1945,-0.002429,-1.3071),(6015,1955,-0.002156,-1.3068),(6015,1965,-0.00192,-1.3066),(6015,1975,-0.001728,-1.3063),(6015,1985,-0.001536,-1.306),(6015,1995,-0.001344,-1.3057),(6015,2005,-0.001202,-1.3053),(6015,2015,-0.001108,-1.3049),(6015,2025,-0.001014,-1.3046),(6015,2035,-0.00092,-1.3043),(6015,2045,-0.000823,-1.304),(6015,2055,-0.000724,-1.3038),(6015,2065,-0.000625,-1.3034),(6015,2075,-0.000526,-1.3031),(6015,2085,-0.000422,-1.3027),(6015,2095,-0.000313,-1.3024),(6015,2105,-0.000204,-1.3021),(6015,2115,-9.5e-05,-1.3017),(6015,2125,3.1e-05,-1.3014),(6015,2135,0.000168,-1.3011),(6015,2145,0.000306,-1.3008),(6015,2155,0.000443,-1.3005),(6015,2165,0.000566,-1.3003),(6015,2175,0.000682,-1.3),(6015,2185,0.000798,-1.2996),(6015,2195,0.000914,-1.2992),(6015,2205,0.000994,-1.2988),(6015,2215,0.001059,-1.2984),(6015,2225,0.001124,-1.2981),(6015,2235,0.001189,-1.2977),(6015,2245,0.001221,-1.2973),(6015,2255,0.00124,-1.297),(6015,2265,0.001259,-1.2965),(6015,2275,0.001279,-1.2961),(6015,2285,0.001284,-1.2957),(6015,2295,0.001285,-1.2953),(6015,2305,0.001287,-1.2949),(6015,2315,0.001288,-1.2944),(6015,2325,0.001342,-1.294),(6015,2335,0.001408,-1.2936),(6015,2345,0.001474,-1.2932),(6015,2355,0.001541,-1.2929),(6015,2365,0.001631,-1.2925),(6015,2375,0.001726,-1.2922),(6015,2385,0.001821,-1.2918),(6015,2395,0.001917,-1.2914),(6015,2405,0.001982,-1.291),(6015,2415,0.002045,-1.2905),(6015,2425,0.002107,-1.2901),(6015,2435,0.002169,-1.2897),(6015,2445,0.002213,-1.2893),(6015,2455,0.002255,-1.2888),(6015,2465,0.002297,-1.2884),(6015,2475,0.00234,-1.288),(6015,2485,0.002347,-1.2875),(6015,2495,0.002352,-1.2871),(6015,2505,0.002358,-1.2865),(6015,2515,0.002364,-1.286),(6015,2525,0.002378,-1.2854),(6015,2535,0.002391,-1.2848),(6015,2545,0.002404,-1.2843),(6015,2555,0.00242,-1.2838),(6015,2565,0.002486,-1.2833),(6015,2575,0.002551,-1.2828),(6015,2585,0.002617,-1.2823),(6015,2595,0.00268,-1.2818),(6015,2605,0.002714,-1.2814),(6015,2615,0.002749,-1.2809),(6015,2625,0.002784,-1.2803),(6015,2635,0.002811,-1.2797),(6015,2645,0.002794,-1.2791),(6015,2655,0.002776,-1.2785),(6015,2665,0.002758,-1.2778),(6015,2675,0.002744,-1.2772),(6015,2685,0.002748,-1.2766),(6015,2695,0.002752,-1.276),(6015,2705,0.002756,-1.2755),(6015,2715,0.002762,-1.2749),(6015,2725,0.002776,-1.2744),(6015,2735,0.002791,-1.2738),(6015,2745,0.002805,-1.2732),(6015,2755,0.002819,-1.2725),(6015,2765,0.00283,-1.2719),(6015,2775,0.002842,-1.2712),(6015,2785,0.002854,-1.2706),(6015,2795,0.002876,-1.2699),(6015,2805,0.002921,-1.2692),(6015,2815,0.002966,-1.2685),(6015,2825,0.003011,-1.2679),(6015,2835,0.003064,-1.2673),(6015,2845,0.003131,-1.2666),(6015,2855,0.003198,-1.266),(6015,2865,0.003265,-1.2653),(6015,2875,0.00333,-1.2646),(6015,2885,0.003392,-1.264),(6015,2895,0.003454,-1.2633),(6015,2905,0.003517,-1.2625),(6015,2915,0.003571,-1.2617),(6015,2925,0.003613,-1.2609),(6015,2935,0.003656,-1.2601),(6015,2945,0.003698,-1.2593),(6015,2955,0.00373,-1.2585),(6015,2965,0.003749,-1.2577),(6015,2975,0.003768,-1.257),(6015,2985,0.003786,-1.2562),(6015,2995,0.003814,-1.2554),(6015,3005,0.00385,-1.2546),(6015,3015,0.003887,-1.2538),(6015,3025,0.003923,-1.253),(6015,3035,0.003981,-1.2522),(6015,3045,0.004058,-1.2514),(6015,3055,0.004135,-1.2506),(6015,3065,0.004213,-1.2497),(6015,3075,0.004287,-1.2489),(6015,3085,0.004359,-1.248),(6015,3095,0.004432,-1.2472),(6015,3105,0.004504,-1.2463),(6015,3115,0.004568,-1.2454),(6015,3125,0.004626,-1.2445),(6015,3135,0.004685,-1.2436),(6015,3145,0.004743,-1.2427),(6015,3155,0.004801,-1.2419),(6015,3165,0.004859,-1.241),(6015,3175,0.004918,-1.2401),(6015,3185,0.004976,-1.2391),(6015,3195,0.005042,-1.2382),(6015,3205,0.005113,-1.2372),(6015,3215,0.005183,-1.2363),(6015,3225,0.005253,-1.2353),(6015,3235,0.005351,-1.2343),(6015,3245,0.005459,-1.2333),(6015,3255,0.005566,-1.2324),(6015,3265,0.005674,-1.2315),(6015,3275,0.005788,-1.2305),(6015,3285,0.005904,-1.2296),(6015,3295,0.00602,-1.2286),(6015,3305,0.006136,-1.2276),(6015,3315,0.006237,-1.2266),(6015,3325,0.006336,-1.2255),(6015,3335,0.006434,-1.2245),(6015,3345,0.006532,-1.2234),(6015,3355,0.006673,-1.2224),(6015,3365,0.00682,-1.2213),(6015,3375,0.006968,-1.2203),(6015,3385,0.007116,-1.2194),(6015,3395,0.007338,-1.2184),(6015,3405,0.00757,-1.2175),(6015,3415,0.007803,-1.2165),(6015,3425,0.008035,-1.2155),(6015,3435,0.008291,-1.2145),(6015,3445,0.00855,-1.2135),(6015,3455,0.008809,-1.2124),(6015,3465,0.009068,-1.2112),(6015,3475,0.009367,-1.2101),(6015,3485,0.009668,-1.209),(6015,3495,0.009969,-1.208),(6015,3505,0.01027,-1.207),(6015,3515,0.010659,-1.2059),(6015,3525,0.011048,-1.2049),(6015,3535,0.011437,-1.2039),(6015,3545,0.011829,-1.2028),(6015,3555,0.012271,-1.2017),(6015,3565,0.012714,-1.2006),(6015,3575,0.013157,-1.1994),(6015,3585,0.013611,-1.1981),(6015,3595,0.01419,-1.1968),(6015,3605,0.01477,-1.1956),(6015,3615,0.015349,-1.1945),(6015,3625,0.015958,-1.1933),(6015,3635,0.01678,-1.1922),(6015,3645,0.017603,-1.1911),(6015,3655,0.018425,-1.1899),(6015,3665,0.01929,-1.1887),(6015,3675,0.020373,-1.1875),(6015,3685,0.021457,-1.1863),(6015,3695,0.02254,-1.1851),(6015,3705,0.02369,-1.1838),(6015,3715,0.025101,-1.1825),(6015,3725,0.026511,-1.1812),(6015,3735,0.027922,-1.1797),(6015,3745,0.029458,-1.1782),(6015,3755,0.031382,-1.1767),(6015,3765,0.033307,-1.1752),(6015,3775,0.035232,-1.1734),(6015,3785,0.03737,-1.1717),(6015,3795,0.04005,-1.17),(6015,3805,0.042731,-1.1682),(6015,3815,0.045411,-1.1662),(6015,3825,0.048426,-1.1642),(6015,3835,0.052147,-1.1622),(6015,3845,0.055868,-1.1599),(6015,3855,0.059589,-1.157),(6015,3865,0.06379,-1.1541),(6015,3875,0.068841,-1.1512),(6015,3885,0.073893,-1.148),(6015,3895,0.078944,-1.1441),(6015,3905,0.08459,-1.1402),(6015,3915,0.091124,-1.1363),(6015,3925,0.097657,-1.1314),(6015,3935,0.10419,-1.1251),(6015,3945,0.11141,-1.1188),(6015,3955,0.1195,-1.1125),(6015,3965,0.12758,-1.1044),(6015,3975,0.13567,-1.0944),(6015,3985,0.13773,-1.0844),(6015,3995,0.13326,-1.0743),(6015,4005,0.12879,-1.0632),(6015,4015,0.12433,-1.051),(6015,4025,0.19827,-1.0388),(6015,4035,0.27988,-1.0302),(6015,4045,0.36149,-1.0291),(6015,4055,0.43695,-1.0281),(6015,4065,0.51017,-1.027),(6015,4075,0.58338,-1.0253),(6015,4085,0.61656,-1.0236),(6015,4095,0.61757,-1.0219),(6015,4105,0.61858,-1.0202),(6015,4115,0.61961,-1.0186),(6015,4125,0.62065,-1.0169),(6015,4135,0.62169,-1.0154),(6015,4145,0.62275,-1.0138),(6015,4155,0.62386,-1.0123),(6015,4165,0.62497,-1.0107),(6015,4175,0.62608,-1.009),(6015,4185,0.62728,-1.0074),(6015,4195,0.62848,-1.0057),(6015,4205,0.62968,-1.0041),(6015,4215,0.63098,-1.0025),(6015,4225,0.63231,-1.0009),(6015,4235,0.63363,-0.99932),(6015,4245,0.63504,-0.99772),(6015,4255,0.63648,-0.99611),(6015,4265,0.63792,-0.99442),(6015,4275,0.63942,-0.99272),(6015,4285,0.64099,-0.99103),(6015,4295,0.64256,-0.98932),(6015,4305,0.64416,-0.9876),(6015,4315,0.64586,-0.98589),(6015,4325,0.64755,-0.98417),(6015,4335,0.64927,-0.98245),(6015,4345,0.65107,-0.98073),(6015,4355,0.65288,-0.97894),(6015,4365,0.65469,-0.97709),(6015,4375,0.65659,-0.97524),(6015,4385,0.65849,-0.97339),(6015,4395,0.66039,-0.97152),(6015,4405,0.66236,-0.96965),(6015,4415,0.66435,-0.96778),(6015,4425,0.66634,-0.96586),(6015,4435,0.6684,-0.96395),(6015,4445,0.6705,-0.96203),(6015,4455,0.6726,-0.96009),(6015,4465,0.67476,-0.95815),(6015,4475,0.67699,-0.9562),(6015,4485,0.67922,-0.95416),(6015,4495,0.68148,-0.9521),(6015,4505,0.68382,-0.95004),(6015,4515,0.68617,-0.94792),(6015,4525,0.68852,-0.94578),(6015,4535,0.69096,-0.94364),(6015,4545,0.69339,-0.94146),(6015,4555,0.69583,-0.93924),(6015,4565,0.69833,-0.93702),(6015,4575,0.70084,-0.93476),(6015,4585,0.70335,-0.93241),(6015,4595,0.70592,-0.93006),(6015,4605,0.70853,-0.9277),(6015,4615,0.71113,-0.92519),(6015,4625,0.71378,-0.92269),(6015,4635,0.71648,-0.92019),(6015,4645,0.71918,-0.9176),(6015,4655,0.72191,-0.915),(6015,4665,0.7247,-0.9124),(6015,4675,0.7275,-0.90976),(6015,4685,0.7303,-0.9071),(6015,4695,0.73315,-0.90444),(6015,4705,0.736,-0.9017),(6015,4715,0.73885,-0.89892),(6015,4725,0.74174,-0.89614),(6015,4735,0.74463,-0.89331),(6015,4745,0.74752,-0.89042),(6015,4755,0.75043,-0.88752),(6015,4765,0.75336,-0.8846),(6015,4775,0.75628,-0.88158),(6015,4785,0.75923,-0.87856),(6015,4795,0.76219,-0.87553),(6015,4805,0.76515,-0.87237),(6015,4815,0.76812,-0.86922),(6015,4825,0.77112,-0.86606),(6015,4835,0.77411,-0.86283),(6015,4845,0.77712,-0.85958),(6015,4855,0.78015,-0.85634),(6015,4865,0.78317,-0.85304),(6015,4875,0.7862,-0.84972),(6015,4885,0.78925,-0.84641),(6015,4895,0.79229,-0.84305),(6015,4905,0.79534,-0.83966),(6015,4915,0.79839,-0.83627),(6015,4925,0.80144,-0.83285),(6015,4935,0.8045,-0.82937),(6015,4945,0.80756,-0.82589),(6015,4955,0.81062,-0.82239),(6015,4965,0.81368,-0.8188),(6015,4975,0.81674,-0.81522),(6015,4985,0.8198,-0.81163),(6015,4995,0.82286,-0.80796),(6015,5005,0.82591,-0.80429),(6015,5015,0.82896,-0.80061),(6015,5025,0.83202,-0.79688),(6015,5035,0.83506,-0.79314),(6015,5045,0.83811,-0.78939),(6015,5055,0.84115,-0.78561),(6015,5065,0.84419,-0.7818),(6015,5075,0.84723,-0.77799),(6015,5085,0.85026,-0.77415),(6015,5095,0.8533,-0.77027),(6015,5105,0.85633,-0.76638),(6015,5115,0.85936,-0.76248),(6015,5125,0.86239,-0.75849),(6015,5135,0.8654,-0.75451),(6015,5145,0.86841,-0.75052),(6015,5155,0.87141,-0.74644),(6015,5165,0.8744,-0.74236),(6015,5175,0.87736,-0.73828),(6015,5185,0.88033,-0.73414),(6015,5195,0.88329,-0.72999),(6015,5205,0.88623,-0.72584),(6015,5215,0.88917,-0.72165),(6015,5225,0.89211,-0.71744),(6015,5235,0.89503,-0.71323),(6015,5245,0.89795,-0.70898),(6015,5255,0.90088,-0.70469),(6015,5265,0.90378,-0.70041),(6015,5275,0.90668,-0.69609),(6015,5285,0.90958,-0.69173),(6015,5295,0.91247,-0.68737),(6015,5305,0.91535,-0.683),(6015,5315,0.91823,-0.67859),(6015,5325,0.9211,-0.67418),(6015,5335,0.92396,-0.66977),(6015,5345,0.92682,-0.66535),(6015,5355,0.92967,-0.66093),(6015,5365,0.93251,-0.65651),(6015,5375,0.93534,-0.65203),(6015,5385,0.93817,-0.64754),(6015,5395,0.94097,-0.64306),(6015,5405,0.94376,-0.63849),(6015,5415,0.94656,-0.63387),(6015,5425,0.94932,-0.62926),(6015,5435,0.95207,-0.62461),(6015,5445,0.95483,-0.61993),(6015,5455,0.95756,-0.61525),(6015,5465,0.96028,-0.61057),(6015,5475,0.96301,-0.60588),(6015,5485,0.96571,-0.6012),(6015,5495,0.9684,-0.59652),(6015,5505,0.97109,-0.5918),(6015,5515,0.97375,-0.58708),(6015,5525,0.9764,-0.58236),(6015,5535,0.97905,-0.57757),(6015,5545,0.98168,-0.57276),(6015,5555,0.98428,-0.56796),(6015,5565,0.98688,-0.56311),(6015,5575,0.98946,-0.55824),(6015,5585,0.99201,-0.55337),(6015,5595,0.99455,-0.54847),(6015,5605,0.9971,-0.54354),(6015,5615,0.99957,-0.53861),(6015,5625,1.0021,-0.53365),(6015,5635,1.0045,-0.52864),(6015,5645,1.007,-0.52363),(6015,5655,1.0094,-0.51861),(6015,5665,1.0118,-0.51356),(6015,5675,1.0142,-0.50851),(6015,5685,1.0165,-0.50345),(6015,5695,1.0189,-0.4984),(6015,5705,1.0212,-0.49335),(6015,5715,1.0235,-0.4883),(6015,5725,1.0258,-0.4832),(6015,5735,1.0281,-0.47809),(6015,5745,1.0304,-0.47299),(6015,5755,1.0327,-0.46785),(6015,5765,1.035,-0.46269),(6015,5775,1.0372,-0.45754),(6015,5785,1.0394,-0.45236),(6015,5795,1.0416,-0.44716),(6015,5805,1.0438,-0.44196),(6015,5815,1.046,-0.43674),(6015,5825,1.0481,-0.4315),(6015,5835,1.0503,-0.42625),(6015,5845,1.0524,-0.421),(6015,5855,1.0545,-0.41571),(6015,5865,1.0565,-0.41043),(6015,5875,1.0586,-0.40515),(6015,5885,1.0606,-0.39981),(6015,5895,1.0626,-0.39446),(6015,5905,1.0645,-0.38912),(6015,5915,1.0665,-0.38374),(6015,5925,1.0684,-0.37835),(6015,5935,1.0703,-0.37295),(6015,5945,1.0721,-0.36755),(6015,5955,1.074,-0.36214),(6015,5965,1.0757,-0.35673),(6015,5975,1.0775,-0.35129),(6015,5985,1.0793,-0.34581),(6015,5995,1.081,-0.34033),(6015,6005,1.0827,-0.33482),(6015,6015,1.0844,-0.32925),(6015,6025,1.086,-0.32368),(6015,6035,1.0877,-0.31811),(6015,6045,1.0893,-0.31257),(6015,6055,1.0909,-0.30703),(6015,6065,1.0925,-0.30149),(6015,6075,1.0941,-0.29598),(6015,6085,1.0957,-0.29047),(6015,6095,1.0972,-0.28497),(6015,6105,1.0987,-0.27941),(6015,6115,1.1002,-0.27383),(6015,6125,1.1017,-0.26825),(6015,6135,1.1031,-0.26263),(6015,6145,1.1046,-0.25699),(6015,6155,1.1059,-0.25134),(6015,6165,1.1072,-0.24568),(6015,6175,1.1085,-0.23999),(6015,6185,1.1098,-0.2343),(6015,6195,1.111,-0.22859),(6015,6205,1.1122,-0.22285),(6015,6215,1.1134,-0.2171),(6015,6225,1.1145,-0.21136),(6015,6235,1.1156,-0.2056),(6015,6245,1.1167,-0.19984),(6015,6255,1.1178,-0.19409),(6015,6265,1.1189,-0.18838),(6015,6275,1.1199,-0.18268),(6015,6285,1.1209,-0.17698),(6015,6295,1.1219,-0.17125),(6015,6305,1.1229,-0.16551),(6015,6315,1.1238,-0.15977),(6015,6325,1.1247,-0.15397),(6015,6335,1.1257,-0.14811),(6015,6345,1.1265,-0.14225),(6015,6355,1.1273,-0.13641),(6015,6365,1.128,-0.13062),(6015,6375,1.1287,-0.12484),(6015,6385,1.1294,-0.11905),(6015,6395,1.1301,-0.11322),(6015,6405,1.1307,-0.1074),(6015,6415,1.1312,-0.10157),(6015,6425,1.1318,-0.095727),(6015,6435,1.1323,-0.089881),(6015,6445,1.1328,-0.084034),(6015,6455,1.1332,-0.078181),(6015,6465,1.1337,-0.072327),(6015,6475,1.1341,-0.066473),(6015,6485,1.1344,-0.060618),(6015,6495,1.1348,-0.054764),(6015,6505,1.1351,-0.048909),(6015,6515,1.1354,-0.043031),(6015,6525,1.1357,-0.037118),(6015,6535,1.1359,-0.031206),(6015,6545,1.1361,-0.025321),(6015,6555,1.1363,-0.019519),(6015,6565,1.1364,-0.013718),(6015,6575,1.1365,-0.007907),(6015,6585,1.1366,-0.001967),(6015,6595,0.96673,0.003973),(6015,6605,0.60921,0.009912),(6015,6615,0.25169,0.010581),(6015,6625,0.000368,0.010572),(6015,6635,0.000398,0.010564),(6015,6645,0.000429,0.010563),(6015,6655,0.00046,0.010566),(6015,6665,0.00049,0.010569),(6015,6675,0.000521,0.010572),(6015,6685,0.000551,0.010574),(6015,6695,0.000581,0.010577),(6015,6705,0.000611,0.010579),(6015,6715,0.000641,0.010581),(6015,6725,0.000671,0.010583),(6015,6735,0.000701,0.010584),(6015,6745,0.000731,0.010585),(6015,6755,0.00076,0.010587),(6015,6765,0.00079,0.010588),(6015,6775,0.000819,0.010588),(6015,6785,0.000848,0.010589),(6015,6795,0.000877,0.010589),(6015,6805,0.000906,0.010589),(6015,6815,0.000934,0.010588),(6015,6825,0.000963,0.010588),(6015,6835,0.000991,0.010587),(6015,6845,0.00102,0.010586),(6015,6855,0.001048,0.010585),(6015,6865,0.001076,0.010584),(6015,6875,0.001103,0.010582),(6015,6885,0.001131,0.01058),(6015,6895,0.001158,0.010579),(6015,6905,0.001186,0.010576),(6015,6915,0.001213,0.010574),(6015,6925,0.00124,0.010571),(6015,6935,0.001267,0.010568),(6015,6945,0.001293,0.010565),(6015,6955,0.001319,0.010561),(6015,6965,0.001346,0.010557),(6015,6975,0.001372,0.010553),(6015,6985,0.001398,0.01055),(6025,5,5e-06,-1.3197),(6025,15,1.5e-05,-1.3197),(6025,25,3.1e-05,-1.3197),(6025,35,5.3e-05,-1.3197),(6025,45,7.5e-05,-1.3197),(6025,55,9.7e-05,-1.3197),(6025,65,9.7e-05,-1.3197),(6025,75,8.1e-05,-1.3196),(6025,85,6.5e-05,-1.3196),(6025,95,4.8e-05,-1.3195),(6025,105,6.6e-05,-1.3194),(6025,115,0.000108,-1.3194),(6025,125,0.000149,-1.3194),(6025,135,0.000191,-1.3194),(6025,145,0.000238,-1.3194),(6025,155,0.000289,-1.3195),(6025,165,0.000341,-1.3195),(6025,175,0.000392,-1.3195),(6025,185,0.000448,-1.3196),(6025,195,0.000506,-1.3196),(6025,205,0.000564,-1.3196),(6025,215,0.000622,-1.3197),(6025,225,0.000661,-1.3197),(6025,235,0.000691,-1.3197),(6025,245,0.000722,-1.3197),(6025,255,0.000753,-1.3197),(6025,265,0.000761,-1.3197),(6025,275,0.000762,-1.3197),(6025,285,0.000762,-1.3196),(6025,295,0.000763,-1.3196),(6025,305,0.000746,-1.3195),(6025,315,0.000725,-1.3195),(6025,325,0.000704,-1.3194),(6025,335,0.000683,-1.3194),(6025,345,0.000655,-1.3193),(6025,355,0.000626,-1.3192),(6025,365,0.000597,-1.3192),(6025,375,0.000569,-1.3191),(6025,385,0.000581,-1.3191),(6025,395,0.000599,-1.319),(6025,405,0.000616,-1.319),(6025,415,0.000634,-1.319),(6025,425,0.000703,-1.319),(6025,435,0.000776,-1.319),(6025,445,0.00085,-1.319),(6025,455,0.000923,-1.3191),(6025,465,0.001017,-1.3192),(6025,475,0.001113,-1.3193),(6025,485,0.001208,-1.3193),(6025,495,0.001303,-1.3193),(6025,505,0.001389,-1.3193),(6025,515,0.001474,-1.3193),(6025,525,0.00156,-1.3193),(6025,535,0.001645,-1.3193),(6025,545,0.001724,-1.3193),(6025,555,0.001803,-1.3193),(6025,565,0.001882,-1.3193),(6025,575,0.001962,-1.3193),(6025,585,0.002057,-1.3193),(6025,595,0.002152,-1.3193),(6025,605,0.002248,-1.3194),(6025,615,0.002345,-1.3195),(6025,625,0.002458,-1.3196),(6025,635,0.002572,-1.3197),(6025,645,0.002685,-1.3197),(6025,655,0.002797,-1.3197),(6025,665,0.002896,-1.3197),(6025,675,0.002996,-1.3197),(6025,685,0.003095,-1.3197),(6025,695,0.003199,-1.3197),(6025,705,0.003324,-1.3197),(6025,715,0.003448,-1.3197),(6025,725,0.003572,-1.3197),(6025,735,0.00371,-1.3197),(6025,745,0.003891,-1.3197),(6025,755,0.004073,-1.3197),(6025,765,0.004255,-1.3198),(6025,775,0.004457,-1.3198),(6025,785,0.004715,-1.3199),(6025,795,0.004972,-1.32),(6025,805,0.00523,-1.32),(6025,815,0.005511,-1.3201),(6025,825,0.005846,-1.3201),(6025,835,0.00618,-1.3202),(6025,845,0.006514,-1.3203),(6025,855,0.00689,-1.3203),(6025,865,0.007343,-1.3204),(6025,875,0.007796,-1.3205),(6025,885,0.008249,-1.3206),(6025,895,0.008751,-1.3207),(6025,905,0.009326,-1.3209),(6025,915,0.009902,-1.3209),(6025,925,0.010477,-1.321),(6025,935,0.011125,-1.321),(6025,945,0.01187,-1.321),(6025,955,0.012614,-1.3211),(6025,965,0.013358,-1.3212),(6025,975,0.014245,-1.3212),(6025,985,0.015294,-1.3213),(6025,995,0.016343,-1.3213),(6025,1005,0.017391,-1.3214),(6025,1015,0.018654,-1.3214),(6025,1025,0.020123,-1.3215),(6025,1035,0.021591,-1.3214),(6025,1045,0.023059,-1.3213),(6025,1055,0.024864,-1.3212),(6025,1065,0.026945,-1.3211),(6025,1075,0.029026,-1.3209),(6025,1085,0.031107,-1.3206),(6025,1095,0.033709,-1.3203),(6025,1105,0.036674,-1.3201),(6025,1115,0.039639,-1.3195),(6025,1125,0.042605,-1.3187),(6025,1135,0.046384,-1.3179),(6025,1145,0.050644,-1.3171),(6025,1155,0.054904,-1.3158),(6025,1165,0.059164,-1.3142),(6025,1175,0.064708,-1.3126),(6025,1185,0.070887,-1.311),(6025,1195,0.077067,-1.3085),(6025,1205,0.083247,-1.3057),(6025,1215,0.091256,-1.3028),(6025,1225,0.10002,-1.3),(6025,1235,0.10878,-1.2951),(6025,1245,0.11754,-1.2894),(6025,1255,0.1283,-1.2838),(6025,1265,0.13972,-1.2781),(6025,1275,0.15115,-1.2681),(6025,1285,0.16257,-1.2569),(6025,1295,0.15304,-1.2456),(6025,1305,0.13785,-1.2343),(6025,1315,0.12266,-1.2243),(6025,1325,0.10747,-1.2146),(6025,1335,0.066162,-1.2049),(6025,1345,0.019387,-1.1953),(6025,1355,-0.027388,-1.2007),(6025,1365,-0.074163,-1.209),(6025,1375,-0.099827,-1.2172),(6025,1385,-0.12223,-1.2254),(6025,1395,-0.14464,-1.2366),(6025,1405,-0.16705,-1.2481),(6025,1415,-0.15842,-1.2596),(6025,1425,-0.14658,-1.2712),(6025,1435,-0.13474,-1.2776),(6025,1445,-0.12289,-1.2835),(6025,1455,-0.11383,-1.2895),(6025,1465,-0.10493,-1.2954),(6025,1475,-0.096022,-1.2984),(6025,1485,-0.087118,-1.3013),(6025,1495,-0.080722,-1.3042),(6025,1505,-0.074363,-1.3071),(6025,1515,-0.068005,-1.3086),(6025,1525,-0.061695,-1.31),(6025,1535,-0.057276,-1.3115),(6025,1545,-0.052858,-1.313),(6025,1555,-0.048439,-1.3137),(6025,1565,-0.044106,-1.3143),(6025,1575,-0.041016,-1.315),(6025,1585,-0.037927,-1.3156),(6025,1595,-0.034837,-1.3158),(6025,1605,-0.031841,-1.316),(6025,1615,-0.029659,-1.3162),(6025,1625,-0.027477,-1.3163),(6025,1635,-0.025294,-1.3162),(6025,1645,-0.023207,-1.316),(6025,1655,-0.021688,-1.3159),(6025,1665,-0.020169,-1.3157),(6025,1675,-0.01865,-1.3155),(6025,1685,-0.017206,-1.3153),(6025,1695,-0.016099,-1.3151),(6025,1705,-0.014992,-1.3149),(6025,1715,-0.013885,-1.3146),(6025,1725,-0.012841,-1.3144),(6025,1735,-0.012015,-1.3142),(6025,1745,-0.01119,-1.3139),(6025,1755,-0.010364,-1.3136),(6025,1765,-0.009602,-1.3132),(6025,1775,-0.009016,-1.3128),(6025,1785,-0.008431,-1.3124),(6025,1795,-0.007846,-1.3121),(6025,1805,-0.007298,-1.3117),(6025,1815,-0.006837,-1.3113),(6025,1825,-0.006376,-1.311),(6025,1835,-0.005915,-1.3107),(6025,1845,-0.00548,-1.3105),(6025,1855,-0.005097,-1.3102),(6025,1865,-0.004713,-1.3099),(6025,1875,-0.00433,-1.3095),(6025,1885,-0.003994,-1.3091),(6025,1895,-0.003737,-1.3087),(6025,1905,-0.003479,-1.3083),(6025,1915,-0.003221,-1.3079),(6025,1925,-0.002968,-1.3076),(6025,1935,-0.002721,-1.3072),(6025,1945,-0.002474,-1.3069),(6025,1955,-0.002227,-1.3067),(6025,1965,-0.002006,-1.3064),(6025,1975,-0.001814,-1.3062),(6025,1985,-0.001622,-1.3059),(6025,1995,-0.00143,-1.3056),(6025,2005,-0.001277,-1.3052),(6025,2015,-0.001161,-1.3049),(6025,2025,-0.001046,-1.3046),(6025,2035,-0.000931,-1.3043),(6025,2045,-0.000818,-1.304),(6025,2055,-0.000708,-1.3037),(6025,2065,-0.000598,-1.3034),(6025,2075,-0.000487,-1.303),(6025,2085,-0.000381,-1.3027),(6025,2095,-0.000278,-1.3023),(6025,2105,-0.000175,-1.302),(6025,2115,-7.1e-05,-1.3017),(6025,2125,4.2e-05,-1.3013),(6025,2135,0.000161,-1.301),(6025,2145,0.00028,-1.3007),(6025,2155,0.000399,-1.3004),(6025,2165,0.000506,-1.3002),(6025,2175,0.000608,-1.2999),(6025,2185,0.000709,-1.2996),(6025,2195,0.00081,-1.2992),(6025,2205,0.000887,-1.2988),(6025,2215,0.000955,-1.2984),(6025,2225,0.001022,-1.298),(6025,2235,0.001089,-1.2977),(6025,2245,0.001132,-1.2973),(6025,2255,0.001165,-1.297),(6025,2265,0.001199,-1.2966),(6025,2275,0.001232,-1.2961),(6025,2285,0.001239,-1.2957),(6025,2295,0.001238,-1.2953),(6025,2305,0.001237,-1.2949),(6025,2315,0.001236,-1.2944),(6025,2325,0.001276,-1.294),(6025,2335,0.001325,-1.2935),(6025,2345,0.001373,-1.2932),(6025,2355,0.001422,-1.2928),(6025,2365,0.001506,-1.2925),(6025,2375,0.001597,-1.2921),(6025,2385,0.001687,-1.2917),(6025,2395,0.001778,-1.2913),(6025,2405,0.001849,-1.2909),(6025,2415,0.001917,-1.2905),(6025,2425,0.001986,-1.2901),(6025,2435,0.002055,-1.2897),(6025,2445,0.002104,-1.2892),(6025,2455,0.002152,-1.2888),(6025,2465,0.0022,-1.2884),(6025,2475,0.002247,-1.288),(6025,2485,0.002256,-1.2875),(6025,2495,0.002263,-1.2871),(6025,2505,0.00227,-1.2865),(6025,2515,0.002278,-1.286),(6025,2525,0.002283,-1.2854),(6025,2535,0.002288,-1.2848),(6025,2545,0.002292,-1.2843),(6025,2555,0.002301,-1.2838),(6025,2565,0.002363,-1.2832),(6025,2575,0.002426,-1.2827),(6025,2585,0.002489,-1.2823),(6025,2595,0.002551,-1.2818),(6025,2605,0.002602,-1.2813),(6025,2615,0.002654,-1.2809),(6025,2625,0.002706,-1.2803),(6025,2635,0.00275,-1.2797),(6025,2645,0.002751,-1.2791),(6025,2655,0.002752,-1.2785),(6025,2665,0.002753,-1.2779),(6025,2675,0.002756,-1.2773),(6025,2685,0.002769,-1.2766),(6025,2695,0.002781,-1.276),(6025,2705,0.002794,-1.2755),(6025,2715,0.002808,-1.2749),(6025,2725,0.002831,-1.2744),(6025,2735,0.002853,-1.2738),(6025,2745,0.002875,-1.2732),(6025,2755,0.002897,-1.2726),(6025,2765,0.002916,-1.2719),(6025,2775,0.002935,-1.2713),(6025,2785,0.002954,-1.2706),(6025,2795,0.002982,-1.2699),(6025,2805,0.003029,-1.2692),(6025,2815,0.003076,-1.2685),(6025,2825,0.003123,-1.2679),(6025,2835,0.003176,-1.2672),(6025,2845,0.003238,-1.2666),(6025,2855,0.0033,-1.266),(6025,2865,0.003362,-1.2653),(6025,2875,0.003423,-1.2646),(6025,2885,0.003482,-1.2639),(6025,2895,0.003542,-1.2632),(6025,2905,0.003601,-1.2625),(6025,2915,0.003657,-1.2617),(6025,2925,0.003707,-1.2609),(6025,2935,0.003757,-1.2601),(6025,2945,0.003807,-1.2593),(6025,2955,0.003847,-1.2585),(6025,2965,0.003876,-1.2577),(6025,2975,0.003904,-1.257),(6025,2985,0.003932,-1.2562),(6025,2995,0.003962,-1.2554),(6025,3005,0.003994,-1.2546),(6025,3015,0.004027,-1.2538),(6025,3025,0.004059,-1.253),(6025,3035,0.00411,-1.2522),(6025,3045,0.00418,-1.2513),(6025,3055,0.004248,-1.2505),(6025,3065,0.004317,-1.2497),(6025,3075,0.004389,-1.2488),(6025,3085,0.004462,-1.248),(6025,3095,0.004534,-1.2471),(6025,3105,0.004607,-1.2463),(6025,3115,0.004675,-1.2454),(6025,3125,0.00474,-1.2445),(6025,3135,0.004805,-1.2436),(6025,3145,0.00487,-1.2427),(6025,3155,0.004936,-1.2419),(6025,3165,0.005001,-1.241),(6025,3175,0.005066,-1.2401),(6025,3185,0.005131,-1.2391),(6025,3195,0.005198,-1.2382),(6025,3205,0.005266,-1.2372),(6025,3215,0.005334,-1.2362),(6025,3225,0.005402,-1.2352),(6025,3235,0.005495,-1.2343),(6025,3245,0.005597,-1.2333),(6025,3255,0.0057,-1.2323),(6025,3265,0.005802,-1.2314),(6025,3275,0.005919,-1.2305),(6025,3285,0.006039,-1.2296),(6025,3295,0.00616,-1.2286),(6025,3305,0.006281,-1.2275),(6025,3315,0.006387,-1.2265),(6025,3325,0.006491,-1.2255),(6025,3335,0.006594,-1.2244),(6025,3345,0.006698,-1.2234),(6025,3355,0.00683,-1.2223),(6025,3365,0.006967,-1.2212),(6025,3375,0.007104,-1.2202),(6025,3385,0.007241,-1.2193),(6025,3395,0.00745,-1.2183),(6025,3405,0.007669,-1.2174),(6025,3415,0.007888,-1.2164),(6025,3425,0.008107,-1.2154),(6025,3435,0.008364,-1.2144),(6025,3445,0.008624,-1.2134),(6025,3455,0.008885,-1.2122),(6025,3465,0.009145,-1.2111),(6025,3475,0.009447,-1.21),(6025,3485,0.009751,-1.2088),(6025,3495,0.010054,-1.2078),(6025,3505,0.010358,-1.2068),(6025,3515,0.010753,-1.2058),(6025,3525,0.011147,-1.2047),(6025,3535,0.011542,-1.2037),(6025,3545,0.011939,-1.2026),(6025,3555,0.012387,-1.2015),(6025,3565,0.012836,-1.2004),(6025,3575,0.013284,-1.1991),(6025,3585,0.013742,-1.1978),(6025,3595,0.014305,-1.1965),(6025,3605,0.014867,-1.1952),(6025,3615,0.01543,-1.1941),(6025,3625,0.016021,-1.193),(6025,3635,0.016816,-1.1918),(6025,3645,0.017611,-1.1906),(6025,3655,0.018406,-1.1894),(6025,3665,0.019241,-1.1882),(6025,3675,0.020283,-1.1869),(6025,3685,0.021325,-1.1857),(6025,3695,0.022367,-1.1844),(6025,3705,0.023474,-1.1831),(6025,3715,0.024834,-1.1817),(6025,3725,0.026194,-1.1804),(6025,3735,0.027554,-1.1788),(6025,3745,0.029037,-1.1772),(6025,3755,0.030902,-1.1757),(6025,3765,0.032767,-1.174),(6025,3775,0.034632,-1.1722),(6025,3785,0.036703,-1.1704),(6025,3795,0.039297,-1.1686),(6025,3805,0.041891,-1.1666),(6025,3815,0.044485,-1.1645),(6025,3825,0.047379,-1.1623),(6025,3835,0.050906,-1.1602),(6025,3845,0.054432,-1.1577),(6025,3855,0.057959,-1.1546),(6025,3865,0.061918,-1.1515),(6025,3875,0.06664,-1.1484),(6025,3885,0.071362,-1.1449),(6025,3895,0.076085,-1.1408),(6025,3905,0.081325,-1.1366),(6025,3915,0.08734,-1.1325),(6025,3925,0.093354,-1.1274),(6025,3935,0.099369,-1.1208),(6025,3945,0.10591,-1.1142),(6025,3955,0.1131,-1.1076),(6025,3965,0.1203,-1.0995),(6025,3975,0.1275,-1.0897),(6025,3985,0.12903,-1.0799),(6025,3995,0.12443,-1.0701),(6025,4005,0.11983,-1.0598),(6025,4015,0.11523,-1.0488),(6025,4025,0.19122,-1.0379),(6025,4035,0.2751,-1.0301),(6025,4045,0.35898,-1.0291),(6025,4055,0.4348,-1.028),(6025,4065,0.50768,-1.0269),(6025,4075,0.58055,-1.0252),(6025,4085,0.61359,-1.0235),(6025,4095,0.61461,-1.0218),(6025,4105,0.61563,-1.0201),(6025,4115,0.61666,-1.0184),(6025,4125,0.61771,-1.0168),(6025,4135,0.61875,-1.0152),(6025,4145,0.61981,-1.0136),(6025,4155,0.62092,-1.012),(6025,4165,0.62203,-1.0104),(6025,4175,0.62314,-1.0088),(6025,4185,0.62434,-1.0071),(6025,4195,0.62554,-1.0055),(6025,4205,0.62674,-1.0038),(6025,4215,0.62803,-1.0022),(6025,4225,0.62935,-1.0006),(6025,4235,0.63067,-0.99899),(6025,4245,0.63206,-0.99738),(6025,4255,0.63349,-0.99576),(6025,4265,0.63492,-0.99406),(6025,4275,0.63641,-0.99235),(6025,4285,0.63797,-0.99064),(6025,4295,0.63952,-0.98892),(6025,4305,0.64111,-0.98719),(6025,4315,0.6428,-0.98545),(6025,4325,0.64448,-0.98372),(6025,4335,0.64618,-0.98199),(6025,4345,0.64798,-0.98026),(6025,4355,0.64977,-0.97846),(6025,4365,0.65157,-0.9766),(6025,4375,0.65345,-0.97474),(6025,4385,0.65534,-0.97287),(6025,4395,0.65723,-0.97099),(6025,4405,0.65918,-0.9691),(6025,4415,0.66115,-0.96721),(6025,4425,0.66312,-0.96527),(6025,4435,0.66516,-0.96333),(6025,4445,0.66723,-0.96138),(6025,4455,0.66931,-0.95942),(6025,4465,0.67143,-0.95745),(6025,4475,0.67363,-0.95548),(6025,4485,0.67582,-0.95342),(6025,4495,0.67805,-0.95134),(6025,4505,0.68036,-0.94926),(6025,4515,0.68267,-0.94713),(6025,4525,0.68499,-0.94499),(6025,4535,0.68739,-0.94284),(6025,4545,0.6898,-0.94066),(6025,4555,0.6922,-0.93844),(6025,4565,0.69467,-0.93622),(6025,4575,0.69715,-0.93396),(6025,4585,0.69962,-0.93161),(6025,4595,0.70217,-0.92926),(6025,4605,0.70473,-0.92689),(6025,4615,0.7073,-0.92438),(6025,4625,0.70992,-0.92187),(6025,4635,0.71258,-0.91936),(6025,4645,0.71524,-0.91677),(6025,4655,0.71794,-0.91417),(6025,4665,0.72069,-0.91158),(6025,4675,0.72344,-0.90894),(6025,4685,0.7262,-0.90628),(6025,4695,0.72901,-0.90363),(6025,4705,0.73183,-0.9009),(6025,4715,0.73464,-0.89813),(6025,4725,0.7375,-0.89536),(6025,4735,0.74035,-0.89254),(6025,4745,0.74321,-0.88965),(6025,4755,0.74609,-0.88677),(6025,4765,0.74899,-0.88385),(6025,4775,0.75188,-0.88083),(6025,4785,0.75479,-0.87781),(6025,4795,0.75772,-0.87479),(6025,4805,0.76064,-0.87164),(6025,4815,0.76358,-0.86849),(6025,4825,0.76654,-0.86533),(6025,4835,0.7695,-0.8621),(6025,4845,0.77247,-0.85886),(6025,4855,0.77545,-0.85561),(6025,4865,0.77844,-0.85232),(6025,4875,0.78143,-0.84901),(6025,4885,0.78444,-0.84569),(6025,4895,0.78744,-0.84234),(6025,4905,0.79045,-0.83896),(6025,4915,0.79347,-0.83557),(6025,4925,0.79649,-0.83215),(6025,4935,0.79951,-0.82868),(6025,4945,0.80254,-0.8252),(6025,4955,0.80557,-0.8217),(6025,4965,0.8086,-0.81812),(6025,4975,0.81163,-0.81453),(6025,4985,0.81466,-0.81095),(6025,4995,0.81768,-0.80728),(6025,5005,0.82071,-0.80362),(6025,5015,0.82373,-0.79995),(6025,5025,0.82675,-0.79622),(6025,5035,0.82976,-0.79248),(6025,5045,0.83277,-0.78874),(6025,5055,0.83578,-0.78496),(6025,5065,0.83879,-0.78116),(6025,5075,0.8418,-0.77735),(6025,5085,0.8448,-0.77351),(6025,5095,0.84781,-0.76963),(6025,5105,0.85082,-0.76576),(6025,5115,0.85382,-0.76186),(6025,5125,0.85682,-0.75788),(6025,5135,0.85981,-0.75391),(6025,5145,0.8628,-0.74994),(6025,5155,0.86578,-0.74587),(6025,5165,0.86875,-0.7418),(6025,5175,0.87169,-0.73773),(6025,5185,0.87464,-0.7336),(6025,5195,0.87758,-0.72945),(6025,5205,0.88049,-0.72531),(6025,5215,0.88341,-0.72112),(6025,5225,0.88633,-0.71692),(6025,5235,0.88922,-0.71271),(6025,5245,0.89211,-0.70846),(6025,5255,0.89501,-0.70418),(6025,5265,0.89788,-0.6999),(6025,5275,0.90075,-0.69559),(6025,5285,0.90362,-0.69124),(6025,5295,0.90647,-0.68688),(6025,5305,0.90932,-0.68251),(6025,5315,0.91217,-0.67811),(6025,5325,0.91501,-0.6737),(6025,5335,0.91785,-0.6693),(6025,5345,0.92068,-0.66488),(6025,5355,0.92351,-0.66046),(6025,5365,0.92633,-0.65604),(6025,5375,0.92915,-0.65157),(6025,5385,0.93196,-0.64709),(6025,5395,0.93474,-0.64261),(6025,5405,0.93752,-0.63805),(6025,5415,0.9403,-0.63344),(6025,5425,0.94303,-0.62883),(6025,5435,0.94577,-0.62419),(6025,5445,0.94851,-0.61951),(6025,5455,0.95121,-0.61482),(6025,5465,0.9539,-0.61014),(6025,5475,0.9566,-0.60546),(6025,5485,0.95926,-0.60078),(6025,5495,0.96192,-0.59609),(6025,5505,0.96458,-0.59138),(6025,5515,0.96721,-0.58667),(6025,5525,0.96983,-0.58195),(6025,5535,0.97244,-0.57716),(6025,5545,0.97505,-0.57236),(6025,5555,0.97762,-0.56757),(6025,5565,0.9802,-0.56272),(6025,5575,0.98277,-0.55786),(6025,5585,0.9853,-0.553),(6025,5595,0.98783,-0.5481),(6025,5605,0.99036,-0.54318),(6025,5615,0.99282,-0.53826),(6025,5625,0.99529,-0.53331),(6025,5635,0.99776,-0.52831),(6025,5645,1.0002,-0.52331),(6025,5655,1.0026,-0.5183),(6025,5665,1.005,-0.51324),(6025,5675,1.0073,-0.50819),(6025,5685,1.0097,-0.50314),(6025,5695,1.012,-0.49809),(6025,5705,1.0143,-0.49303),(6025,5715,1.0166,-0.48798),(6025,5725,1.0189,-0.48288),(6025,5735,1.0212,-0.47777),(6025,5745,1.0235,-0.47266),(6025,5755,1.0257,-0.46752),(6025,5765,1.028,-0.46237),(6025,5775,1.0302,-0.45721),(6025,5785,1.0324,-0.45203),(6025,5795,1.0346,-0.44683),(6025,5805,1.0367,-0.44163),(6025,5815,1.0389,-0.43641),(6025,5825,1.041,-0.43117),(6025,5835,1.0431,-0.42593),(6025,5845,1.0452,-0.42068),(6025,5855,1.0473,-0.4154),(6025,5865,1.0493,-0.41012),(6025,5875,1.0514,-0.40484),(6025,5885,1.0534,-0.39951),(6025,5895,1.0554,-0.39418),(6025,5905,1.0573,-0.38885),(6025,5915,1.0592,-0.38347),(6025,5925,1.0611,-0.37809),(6025,5935,1.063,-0.3727),(6025,5945,1.0648,-0.3673),(6025,5955,1.0667,-0.3619),(6025,5965,1.0685,-0.35649),(6025,5975,1.0702,-0.35106),(6025,5985,1.072,-0.34558),(6025,5995,1.0737,-0.34011),(6025,6005,1.0754,-0.3346),(6025,6015,1.0771,-0.32903),(6025,6025,1.0787,-0.32345),(6025,6035,1.0803,-0.31788),(6025,6045,1.0819,-0.31233),(6025,6055,1.0835,-0.30678),(6025,6065,1.0851,-0.30123),(6025,6075,1.0866,-0.29571),(6025,6085,1.0882,-0.2902),(6025,6095,1.0897,-0.28469),(6025,6105,1.0912,-0.27914),(6025,6115,1.0927,-0.27357),(6025,6125,1.0941,-0.268),(6025,6135,1.0955,-0.26239),(6025,6145,1.0969,-0.25676),(6025,6155,1.0983,-0.25112),(6025,6165,1.0996,-0.24547),(6025,6175,1.1009,-0.23979),(6025,6185,1.1021,-0.23411),(6025,6195,1.1034,-0.22841),(6025,6205,1.1046,-0.22267),(6025,6215,1.1057,-0.21693),(6025,6225,1.1069,-0.21118),(6025,6235,1.108,-0.20542),(6025,6245,1.1091,-0.19965),(6025,6255,1.1101,-0.19389),(6025,6265,1.1112,-0.18817),(6025,6275,1.1122,-0.18247),(6025,6285,1.1132,-0.17676),(6025,6295,1.1142,-0.17103),(6025,6305,1.1151,-0.1653),(6025,6315,1.116,-0.15956),(6025,6325,1.1169,-0.15377),(6025,6335,1.1178,-0.14792),(6025,6345,1.1186,-0.14208),(6025,6355,1.1194,-0.13625),(6025,6365,1.1202,-0.13048),(6025,6375,1.1209,-0.12471),(6025,6385,1.1216,-0.11893),(6025,6395,1.1223,-0.11311),(6025,6405,1.1229,-0.1073),(6025,6415,1.1234,-0.10148),(6025,6425,1.124,-0.095637),(6025,6435,1.1245,-0.089789),(6025,6445,1.1249,-0.083942),(6025,6455,1.1254,-0.078087),(6025,6465,1.1258,-0.07223),(6025,6475,1.1262,-0.066373),(6025,6485,1.1266,-0.060518),(6025,6495,1.1269,-0.054663),(6025,6505,1.1272,-0.048809),(6025,6515,1.1275,-0.042932),(6025,6525,1.1278,-0.037024),(6025,6535,1.128,-0.031117),(6025,6545,1.1282,-0.025237),(6025,6555,1.1284,-0.019441),(6025,6565,1.1285,-0.013645),(6025,6575,1.1286,-0.00784),(6025,6585,1.1287,-0.001902),(6025,6595,0.96001,0.004035),(6025,6605,0.60497,0.009972),(6025,6615,0.24994,0.010633),(6025,6625,0.000363,0.010615),(6025,6635,0.000394,0.010597),(6025,6645,0.000425,0.010594),(6025,6655,0.000456,0.010597),(6025,6665,0.000487,0.0106),(6025,6675,0.000517,0.010602),(6025,6685,0.000548,0.010605),(6025,6695,0.000578,0.010607),(6025,6705,0.000609,0.010609),(6025,6715,0.000639,0.010611),(6025,6725,0.000669,0.010612),(6025,6735,0.000699,0.010614),(6025,6745,0.000729,0.010615),(6025,6755,0.000758,0.010616),(6025,6765,0.000788,0.010617),(6025,6775,0.000817,0.010617),(6025,6785,0.000847,0.010617),(6025,6795,0.000876,0.010618),(6025,6805,0.000905,0.010617),(6025,6815,0.000934,0.010617),(6025,6825,0.000962,0.010617),(6025,6835,0.000991,0.010616),(6025,6845,0.00102,0.010614),(6025,6855,0.001048,0.010613),(6025,6865,0.001076,0.010612),(6025,6875,0.001104,0.01061),(6025,6885,0.001131,0.010608),(6025,6895,0.001159,0.010606),(6025,6905,0.001187,0.010603),(6025,6915,0.001214,0.0106),(6025,6925,0.001241,0.010598),(6025,6935,0.001268,0.010594),(6025,6945,0.001295,0.010591),(6025,6955,0.001321,0.010588),(6025,6965,0.001348,0.010583),(6025,6975,0.001374,0.010579),(6025,6985,0.0014,0.010575),(6035,5,1.2e-05,-1.3197),(6035,15,3.5e-05,-1.3197),(6035,25,6.2e-05,-1.3197),(6035,35,9.4e-05,-1.3197),(6035,45,0.000126,-1.3197),(6035,55,0.000158,-1.3197),(6035,65,0.000161,-1.3197),(6035,75,0.000141,-1.3196),(6035,85,0.000121,-1.3196),(6035,95,0.000101,-1.3195),(6035,105,0.000108,-1.3194),(6035,115,0.000133,-1.3193),(6035,125,0.000158,-1.3193),(6035,135,0.000183,-1.3193),(6035,145,0.000222,-1.3194),(6035,155,0.000269,-1.3194),(6035,165,0.000317,-1.3195),(6035,175,0.000364,-1.3195),(6035,185,0.00042,-1.3195),(6035,195,0.00048,-1.3196),(6035,205,0.00054,-1.3196),(6035,215,0.0006,-1.3196),(6035,225,0.000646,-1.3196),(6035,235,0.000686,-1.3197),(6035,245,0.000727,-1.3197),(6035,255,0.000767,-1.3197),(6035,265,0.000785,-1.3197),(6035,275,0.000796,-1.3196),(6035,285,0.000807,-1.3196),(6035,295,0.000818,-1.3196),(6035,305,0.000805,-1.3195),(6035,315,0.000786,-1.3195),(6035,325,0.000766,-1.3195),(6035,335,0.000747,-1.3194),(6035,345,0.000718,-1.3193),(6035,355,0.000686,-1.3193),(6035,365,0.000655,-1.3192),(6035,375,0.000623,-1.3191),(6035,385,0.000623,-1.3191),(6035,395,0.000626,-1.319),(6035,405,0.00063,-1.319),(6035,415,0.000634,-1.319),(6035,425,0.000691,-1.319),(6035,435,0.000753,-1.3189),(6035,445,0.000815,-1.319),(6035,455,0.000878,-1.3191),(6035,465,0.000964,-1.3191),(6035,475,0.001051,-1.3192),(6035,485,0.001139,-1.3192),(6035,495,0.001226,-1.3192),(6035,505,0.001317,-1.3192),(6035,515,0.001407,-1.3192),(6035,525,0.001497,-1.3192),(6035,535,0.001588,-1.3192),(6035,545,0.001674,-1.3192),(6035,555,0.00176,-1.3193),(6035,565,0.001846,-1.3193),(6035,575,0.001933,-1.3193),(6035,585,0.002025,-1.3193),(6035,595,0.002117,-1.3193),(6035,605,0.002209,-1.3194),(6035,615,0.002303,-1.3194),(6035,625,0.002415,-1.3195),(6035,635,0.002527,-1.3196),(6035,645,0.002639,-1.3196),(6035,655,0.002751,-1.3196),(6035,665,0.002861,-1.3197),(6035,675,0.00297,-1.3197),(6035,685,0.00308,-1.3197),(6035,695,0.003195,-1.3197),(6035,705,0.003332,-1.3196),(6035,715,0.003468,-1.3196),(6035,725,0.003605,-1.3196),(6035,735,0.003753,-1.3196),(6035,745,0.003939,-1.3196),(6035,755,0.004124,-1.3197),(6035,765,0.00431,-1.3197),(6035,775,0.004516,-1.3198),(6035,785,0.004772,-1.3198),(6035,795,0.005028,-1.3199),(6035,805,0.005285,-1.3199),(6035,815,0.005564,-1.32),(6035,825,0.005895,-1.32),(6035,835,0.006225,-1.3201),(6035,845,0.006556,-1.3201),(6035,855,0.006929,-1.3201),(6035,865,0.007379,-1.3202),(6035,875,0.00783,-1.3202),(6035,885,0.008281,-1.3204),(6035,895,0.00878,-1.3205),(6035,905,0.009355,-1.3206),(6035,915,0.00993,-1.3207),(6035,925,0.010505,-1.3207),(6035,935,0.011147,-1.3207),(6035,945,0.01188,-1.3207),(6035,955,0.012613,-1.3208),(6035,965,0.013346,-1.3208),(6035,975,0.014216,-1.3208),(6035,985,0.01524,-1.3208),(6035,995,0.016265,-1.3209),(6035,1005,0.017289,-1.3208),(6035,1015,0.018522,-1.3208),(6035,1025,0.019956,-1.3208),(6035,1035,0.021389,-1.3207),(6035,1045,0.022823,-1.3206),(6035,1055,0.024578,-1.3204),(6035,1065,0.026597,-1.3202),(6035,1075,0.028616,-1.3199),(6035,1085,0.030636,-1.3196),(6035,1095,0.033145,-1.3192),(6035,1105,0.035997,-1.3188),(6035,1115,0.038849,-1.3181),(6035,1125,0.041701,-1.3172),(6035,1135,0.045309,-1.3163),(6035,1145,0.049365,-1.3154),(6035,1155,0.05342,-1.3139),(6035,1165,0.057475,-1.3121),(6035,1175,0.062699,-1.3103),(6035,1185,0.068504,-1.3085),(6035,1195,0.074308,-1.3058),(6035,1205,0.080113,-1.3026),(6035,1215,0.087516,-1.2995),(6035,1225,0.095578,-1.2964),(6035,1235,0.10364,-1.2912),(6035,1245,0.1117,-1.2853),(6035,1255,0.1213,-1.2793),(6035,1265,0.13141,-1.2734),(6035,1275,0.14152,-1.2635),(6035,1285,0.15163,-1.2524),(6035,1295,0.14222,-1.2414),(6035,1305,0.12753,-1.2303),(6035,1315,0.11283,-1.2212),(6035,1325,0.098141,-1.2125),(6035,1335,0.060422,-1.2038),(6035,1345,0.017877,-1.1951),(6035,1355,-0.024668,-1.1999),(6035,1365,-0.067213,-1.2072),(6035,1375,-0.09131,-1.2144),(6035,1385,-0.11256,-1.2216),(6035,1395,-0.13381,-1.2324),(6035,1405,-0.15506,-1.2436),(6035,1415,-0.14765,-1.2549),(6035,1425,-0.13726,-1.2661),(6035,1435,-0.12686,-1.2728),(6035,1445,-0.11647,-1.279),(6035,1455,-0.10818,-1.2853),(6035,1465,-0.10001,-1.2916),(6035,1475,-0.091843,-1.2949),(6035,1485,-0.083673,-1.298),(6035,1495,-0.077658,-1.3012),(6035,1505,-0.071675,-1.3043),(6035,1515,-0.065692,-1.306),(6035,1525,-0.059753,-1.3077),(6035,1535,-0.055539,-1.3094),(6035,1545,-0.051325,-1.3111),(6035,1555,-0.047111,-1.3119),(6035,1565,-0.042978,-1.3127),(6035,1575,-0.040008,-1.3136),(6035,1585,-0.037038,-1.3143),(6035,1595,-0.034068,-1.3146),(6035,1605,-0.031187,-1.3149),(6035,1615,-0.029066,-1.3151),(6035,1625,-0.026946,-1.3154),(6035,1635,-0.024826,-1.3153),(6035,1645,-0.022799,-1.3152),(6035,1655,-0.021327,-1.3152),(6035,1665,-0.019855,-1.3151),(6035,1675,-0.018384,-1.3149),(6035,1685,-0.016984,-1.3147),(6035,1695,-0.015902,-1.3146),(6035,1705,-0.014821,-1.3144),(6035,1715,-0.01374,-1.3142),(6035,1725,-0.012716,-1.314),(6035,1735,-0.011892,-1.3138),(6035,1745,-0.011068,-1.3136),(6035,1755,-0.010244,-1.3132),(6035,1765,-0.009486,-1.3129),(6035,1775,-0.008913,-1.3125),(6035,1785,-0.008341,-1.3122),(6035,1795,-0.007768,-1.3118),(6035,1805,-0.007234,-1.3115),(6035,1815,-0.006789,-1.3111),(6035,1825,-0.006344,-1.3108),(6035,1835,-0.0059,-1.3105),(6035,1845,-0.005474,-1.3103),(6035,1855,-0.005084,-1.31),(6035,1865,-0.004694,-1.3097),(6035,1875,-0.004305,-1.3093),(6035,1885,-0.003966,-1.3089),(6035,1895,-0.003711,-1.3086),(6035,1905,-0.003456,-1.3082),(6035,1915,-0.0032,-1.3078),(6035,1925,-0.00296,-1.3075),(6035,1935,-0.00274,-1.3071),(6035,1945,-0.002519,-1.3068),(6035,1955,-0.002299,-1.3066),(6035,1965,-0.002092,-1.3063),(6035,1975,-0.0019,-1.3061),(6035,1985,-0.001708,-1.3058),(6035,1995,-0.001516,-1.3055),(6035,2005,-0.001352,-1.3051),(6035,2015,-0.001215,-1.3048),(6035,2025,-0.001079,-1.3045),(6035,2035,-0.000942,-1.3042),(6035,2045,-0.000814,-1.3039),(6035,2055,-0.000692,-1.3036),(6035,2065,-0.00057,-1.3033),(6035,2075,-0.000448,-1.303),(6035,2085,-0.00034,-1.3026),(6035,2095,-0.000243,-1.3023),(6035,2105,-0.000145,-1.3019),(6035,2115,-4.8e-05,-1.3016),(6035,2125,5.2e-05,-1.3013),(6035,2135,0.000153,-1.3009),(6035,2145,0.000254,-1.3006),(6035,2155,0.000355,-1.3004),(6035,2165,0.000447,-1.3001),(6035,2175,0.000533,-1.2998),(6035,2185,0.00062,-1.2995),(6035,2195,0.000706,-1.2991),(6035,2205,0.000781,-1.2987),(6035,2215,0.000851,-1.2984),(6035,2225,0.00092,-1.298),(6035,2235,0.00099,-1.2977),(6035,2245,0.001043,-1.2973),(6035,2255,0.001091,-1.2969),(6035,2265,0.001138,-1.2966),(6035,2275,0.001186,-1.2961),(6035,2285,0.001194,-1.2957),(6035,2295,0.001191,-1.2953),(6035,2305,0.001188,-1.2949),(6035,2315,0.001185,-1.2944),(6035,2325,0.00121,-1.294),(6035,2335,0.001241,-1.2935),(6035,2345,0.001272,-1.2931),(6035,2355,0.001303,-1.2928),(6035,2365,0.001381,-1.2924),(6035,2375,0.001467,-1.2921),(6035,2385,0.001553,-1.2917),(6035,2395,0.001639,-1.2913),(6035,2405,0.001715,-1.2909),(6035,2415,0.00179,-1.2905),(6035,2425,0.001865,-1.29),(6035,2435,0.00194,-1.2896),(6035,2445,0.001995,-1.2892),(6035,2455,0.002048,-1.2888),(6035,2465,0.002102,-1.2884),(6035,2475,0.002155,-1.288),(6035,2485,0.002165,-1.2875),(6035,2495,0.002174,-1.2871),(6035,2505,0.002182,-1.2866),(6035,2515,0.002191,-1.286),(6035,2525,0.002188,-1.2854),(6035,2535,0.002184,-1.2849),(6035,2545,0.002181,-1.2843),(6035,2555,0.002181,-1.2838),(6035,2565,0.002241,-1.2832),(6035,2575,0.002301,-1.2827),(6035,2585,0.002361,-1.2822),(6035,2595,0.002421,-1.2818),(6035,2605,0.00249,-1.2813),(6035,2615,0.002559,-1.2808),(6035,2625,0.002627,-1.2803),(6035,2635,0.002689,-1.2797),(6035,2645,0.002709,-1.2791),(6035,2655,0.002729,-1.2785),(6035,2665,0.002748,-1.2779),(6035,2675,0.002768,-1.2773),(6035,2685,0.002789,-1.2766),(6035,2695,0.002811,-1.276),(6035,2705,0.002832,-1.2755),(6035,2715,0.002855,-1.2749),(6035,2725,0.002885,-1.2744),(6035,2735,0.002915,-1.2738),(6035,2745,0.002945,-1.2732),(6035,2755,0.002975,-1.2725),(6035,2765,0.003001,-1.2719),(6035,2775,0.003028,-1.2713),(6035,2785,0.003054,-1.2706),(6035,2795,0.003087,-1.2698),(6035,2805,0.003137,-1.2691),(6035,2815,0.003186,-1.2685),(6035,2825,0.003236,-1.2678),(6035,2835,0.003288,-1.2672),(6035,2845,0.003345,-1.2666),(6035,2855,0.003402,-1.2659),(6035,2865,0.00346,-1.2653),(6035,2875,0.003517,-1.2646),(6035,2885,0.003573,-1.2639),(6035,2895,0.003629,-1.2632),(6035,2905,0.003686,-1.2624),(6035,2915,0.003743,-1.2617),(6035,2925,0.003801,-1.2609),(6035,2935,0.003858,-1.2601),(6035,2945,0.003916,-1.2593),(6035,2955,0.003965,-1.2585),(6035,2965,0.004002,-1.2577),(6035,2975,0.00404,-1.2569),(6035,2985,0.004078,-1.2562),(6035,2995,0.00411,-1.2554),(6035,3005,0.004138,-1.2546),(6035,3015,0.004167,-1.2538),(6035,3025,0.004195,-1.253),(6035,3035,0.00424,-1.2521),(6035,3045,0.004301,-1.2513),(6035,3055,0.004361,-1.2505),(6035,3065,0.004422,-1.2496),(6035,3075,0.00449,-1.2488),(6035,3085,0.004564,-1.248),(6035,3095,0.004637,-1.2471),(6035,3105,0.004711,-1.2462),(6035,3115,0.004783,-1.2453),(6035,3125,0.004855,-1.2444),(6035,3135,0.004926,-1.2436),(6035,3145,0.004998,-1.2427),(6035,3155,0.00507,-1.2418),(6035,3165,0.005142,-1.2409),(6035,3175,0.005214,-1.24),(6035,3185,0.005286,-1.2391),(6035,3195,0.005354,-1.2381),(6035,3205,0.005419,-1.2372),(6035,3215,0.005485,-1.2362),(6035,3225,0.00555,-1.2352),(6035,3235,0.005639,-1.2342),(6035,3245,0.005736,-1.2332),(6035,3255,0.005833,-1.2323),(6035,3265,0.00593,-1.2313),(6035,3275,0.006049,-1.2304),(6035,3285,0.006175,-1.2295),(6035,3295,0.0063,-1.2285),(6035,3305,0.006426,-1.2275),(6035,3315,0.006538,-1.2265),(6035,3325,0.006646,-1.2255),(6035,3335,0.006755,-1.2244),(6035,3345,0.006863,-1.2233),(6035,3355,0.006987,-1.2222),(6035,3365,0.007113,-1.2212),(6035,3375,0.007239,-1.2202),(6035,3385,0.007366,-1.2192),(6035,3395,0.007562,-1.2182),(6035,3405,0.007768,-1.2172),(6035,3415,0.007973,-1.2162),(6035,3425,0.008179,-1.2152),(6035,3435,0.008436,-1.2142),(6035,3445,0.008698,-1.2132),(6035,3455,0.00896,-1.2121),(6035,3465,0.009222,-1.2109),(6035,3475,0.009527,-1.2098),(6035,3485,0.009833,-1.2087),(6035,3495,0.010139,-1.2076),(6035,3505,0.010446,-1.2066),(6035,3515,0.010846,-1.2056),(6035,3525,0.011246,-1.2045),(6035,3535,0.011646,-1.2034),(6035,3545,0.012049,-1.2024),(6035,3555,0.012503,-1.2013),(6035,3565,0.012957,-1.2002),(6035,3575,0.013411,-1.1989),(6035,3585,0.013873,-1.1976),(6035,3595,0.014419,-1.1963),(6035,3605,0.014965,-1.195),(6035,3615,0.015511,-1.1938),(6035,3625,0.016084,-1.1926),(6035,3635,0.016852,-1.1914),(6035,3645,0.017619,-1.1902),(6035,3655,0.018387,-1.1889),(6035,3665,0.019192,-1.1877),(6035,3675,0.020193,-1.1864),(6035,3685,0.021194,-1.1851),(6035,3695,0.022194,-1.1838),(6035,3705,0.023258,-1.1824),(6035,3715,0.024567,-1.181),(6035,3725,0.025877,-1.1796),(6035,3735,0.027186,-1.178),(6035,3745,0.028616,-1.1763),(6035,3755,0.030422,-1.1747),(6035,3765,0.032227,-1.173),(6035,3775,0.034032,-1.171),(6035,3785,0.036036,-1.1691),(6035,3795,0.038543,-1.1672),(6035,3805,0.041051,-1.1651),(6035,3815,0.043558,-1.1629),(6035,3825,0.046331,-1.1606),(6035,3835,0.049664,-1.1583),(6035,3845,0.052997,-1.1557),(6035,3855,0.05633,-1.1524),(6035,3865,0.060046,-1.1491),(6035,3875,0.064439,-1.1458),(6035,3885,0.068832,-1.1422),(6035,3895,0.073225,-1.1379),(6035,3905,0.078061,-1.1336),(6035,3915,0.083556,-1.1293),(6035,3925,0.089052,-1.124),(6035,3935,0.094547,-1.1172),(6035,3945,0.1004,-1.1105),(6035,3955,0.10671,-1.1038),(6035,3965,0.11302,-1.0957),(6035,3975,0.11933,-1.0862),(6035,3985,0.12034,-1.0766),(6035,3995,0.1156,-1.0671),(6035,4005,0.11086,-1.0573),(6035,4015,0.10613,-1.0472),(6035,4025,0.18418,-1.0372),(6035,4035,0.27032,-1.0301),(6035,4045,0.35647,-1.029),(6035,4055,0.43265,-1.028),(6035,4065,0.50518,-1.0269),(6035,4075,0.57772,-1.0251),(6035,4085,0.61061,-1.0234),(6035,4095,0.61164,-1.0217),(6035,4105,0.61267,-1.02),(6035,4115,0.61371,-1.0183),(6035,4125,0.61476,-1.0166),(6035,4135,0.61582,-1.015),(6035,4145,0.61688,-1.0134),(6035,4155,0.61799,-1.0118),(6035,4165,0.61909,-1.0102),(6035,4175,0.6202,-1.0085),(6035,4185,0.6214,-1.0069),(6035,4195,0.6226,-1.0052),(6035,4205,0.62379,-1.0036),(6035,4215,0.62508,-1.0019),(6035,4225,0.6264,-1.0003),(6035,4235,0.62771,-0.99867),(6035,4245,0.62909,-0.99705),(6035,4255,0.63051,-0.99542),(6035,4265,0.63193,-0.9937),(6035,4275,0.63341,-0.99198),(6035,4285,0.63494,-0.99026),(6035,4295,0.63648,-0.98852),(6035,4305,0.63806,-0.98677),(6035,4315,0.63973,-0.98502),(6035,4325,0.64141,-0.98328),(6035,4335,0.64309,-0.98154),(6035,4345,0.64488,-0.97979),(6035,4355,0.64666,-0.97798),(6035,4365,0.64845,-0.97611),(6035,4375,0.65032,-0.97424),(6035,4385,0.65219,-0.97236),(6035,4395,0.65407,-0.97047),(6035,4405,0.656,-0.96858),(6035,4415,0.65796,-0.96667),(6035,4425,0.65991,-0.96471),(6035,4435,0.66191,-0.96275),(6035,4445,0.66396,-0.96079),(6035,4455,0.66601,-0.9588),(6035,4465,0.6681,-0.95681),(6035,4475,0.67027,-0.95482),(6035,4485,0.67243,-0.95274),(6035,4495,0.67462,-0.95064),(6035,4505,0.6769,-0.94854),(6035,4515,0.67918,-0.9464),(6035,4525,0.68146,-0.94425),(6035,4535,0.68383,-0.9421),(6035,4545,0.6862,-0.93991),(6035,4555,0.68857,-0.93769),(6035,4565,0.69101,-0.93546),(6035,4575,0.69345,-0.9332),(6035,4585,0.6959,-0.93084),(6035,4595,0.69841,-0.92849),(6035,4605,0.70094,-0.92611),(6035,4615,0.70347,-0.9236),(6035,4625,0.70606,-0.92108),(6035,4635,0.70868,-0.91857),(6035,4645,0.7113,-0.91597),(6035,4655,0.71396,-0.91337),(6035,4665,0.71667,-0.91077),(6035,4675,0.71938,-0.90813),(6035,4685,0.7221,-0.90548),(6035,4695,0.72488,-0.90283),(6035,4705,0.72766,-0.90011),(6035,4715,0.73043,-0.89734),(6035,4725,0.73326,-0.89458),(6035,4735,0.73608,-0.89176),(6035,4745,0.7389,-0.88888),(6035,4755,0.74176,-0.886),(6035,4765,0.74462,-0.88309),(6035,4775,0.74748,-0.88008),(6035,4785,0.75036,-0.87707),(6035,4795,0.75325,-0.87405),(6035,4805,0.75614,-0.8709),(6035,4815,0.75905,-0.86776),(6035,4825,0.76197,-0.86461),(6035,4835,0.76488,-0.86138),(6035,4845,0.76781,-0.85814),(6035,4855,0.77076,-0.8549),(6035,4865,0.77371,-0.85161),(6035,4875,0.77666,-0.8483),(6035,4885,0.77963,-0.84499),(6035,4895,0.7826,-0.84164),(6035,4905,0.78557,-0.83826),(6035,4915,0.78855,-0.83488),(6035,4925,0.79154,-0.83146),(6035,4935,0.79453,-0.82799),(6035,4945,0.79752,-0.82451),(6035,4955,0.80052,-0.82102),(6035,4965,0.80352,-0.81744),(6035,4975,0.80652,-0.81387),(6035,4985,0.80951,-0.81029),(6035,4995,0.81251,-0.80663),(6035,5005,0.8155,-0.80297),(6035,5015,0.81849,-0.7993),(6035,5025,0.82148,-0.79558),(6035,5035,0.82446,-0.79185),(6035,5045,0.82744,-0.78811),(6035,5055,0.83042,-0.78433),(6035,5065,0.83339,-0.78053),(6035,5075,0.83637,-0.77672),(6035,5085,0.83935,-0.77289),(6035,5095,0.84232,-0.76901),(6035,5105,0.8453,-0.76513),(6035,5115,0.84828,-0.76123),(6035,5125,0.85126,-0.75727),(6035,5135,0.85423,-0.75331),(6035,5145,0.85719,-0.74933),(6035,5155,0.86015,-0.74528),(6035,5165,0.8631,-0.74122),(6035,5175,0.86602,-0.73716),(6035,5185,0.86895,-0.73304),(6035,5195,0.87187,-0.72891),(6035,5205,0.87476,-0.72477),(6035,5215,0.87765,-0.72059),(6035,5225,0.88054,-0.71639),(6035,5235,0.88341,-0.71219),(6035,5245,0.88627,-0.70795),(6035,5255,0.88914,-0.70368),(6035,5265,0.89197,-0.6994),(6035,5275,0.89481,-0.6951),(6035,5285,0.89765,-0.69074),(6035,5295,0.90047,-0.68639),(6035,5305,0.90329,-0.68203),(6035,5315,0.90611,-0.67762),(6035,5325,0.90893,-0.67321),(6035,5335,0.91174,-0.66881),(6035,5345,0.91455,-0.66439),(6035,5355,0.91736,-0.65997),(6035,5365,0.92015,-0.65555),(6035,5375,0.92295,-0.65109),(6035,5385,0.92574,-0.64661),(6035,5395,0.92851,-0.64214),(6035,5405,0.93127,-0.63758),(6035,5415,0.93404,-0.63298),(6035,5425,0.93675,-0.62838),(6035,5435,0.93947,-0.62375),(6035,5445,0.94218,-0.61907),(6035,5455,0.94485,-0.6144),(6035,5465,0.94752,-0.60972),(6035,5475,0.95018,-0.60504),(6035,5485,0.95282,-0.60036),(6035,5495,0.95544,-0.59568),(6035,5505,0.95806,-0.59097),(6035,5515,0.96067,-0.58626),(6035,5525,0.96325,-0.58154),(6035,5535,0.96584,-0.57675),(6035,5545,0.96842,-0.57196),(6035,5555,0.97097,-0.56716),(6035,5565,0.97353,-0.56232),(6035,5575,0.97607,-0.55746),(6035,5585,0.97859,-0.5526),(6035,5595,0.9811,-0.54771),(6035,5605,0.98362,-0.5428),(6035,5615,0.98607,-0.53789),(6035,5625,0.98853,-0.53294),(6035,5635,0.99099,-0.52795),(6035,5645,0.99339,-0.52295),(6035,5655,0.99578,-0.51795),(6035,5665,0.99817,-0.5129),(6035,5675,1.0005,-0.50786),(6035,5685,1.0028,-0.50281),(6035,5695,1.0052,-0.49776),(6035,5705,1.0075,-0.49271),(6035,5715,1.0097,-0.48765),(6035,5725,1.012,-0.48255),(6035,5735,1.0143,-0.47744),(6035,5745,1.0165,-0.47233),(6035,5755,1.0187,-0.46719),(6035,5765,1.021,-0.46203),(6035,5775,1.0231,-0.45688),(6035,5785,1.0253,-0.4517),(6035,5795,1.0275,-0.4465),(6035,5805,1.0296,-0.44129),(6035,5815,1.0318,-0.43608),(6035,5825,1.0339,-0.43084),(6035,5835,1.036,-0.42559),(6035,5845,1.0381,-0.42034),(6035,5855,1.0401,-0.41507),(6035,5865,1.0422,-0.4098),(6035,5875,1.0442,-0.40452),(6035,5885,1.0462,-0.3992),(6035,5895,1.0481,-0.39387),(6035,5905,1.0501,-0.38855),(6035,5915,1.052,-0.38318),(6035,5925,1.0539,-0.3778),(6035,5935,1.0557,-0.37242),(6035,5945,1.0576,-0.36703),(6035,5955,1.0594,-0.36163),(6035,5965,1.0612,-0.35623),(6035,5975,1.063,-0.3508),(6035,5985,1.0647,-0.34533),(6035,5995,1.0664,-0.33987),(6035,6005,1.0681,-0.33437),(6035,6015,1.0697,-0.32879),(6035,6025,1.0714,-0.32322),(6035,6035,1.073,-0.31765),(6035,6045,1.0746,-0.31209),(6035,6055,1.0761,-0.30653),(6035,6065,1.0777,-0.30098),(6035,6075,1.0792,-0.29546),(6035,6085,1.0807,-0.28995),(6035,6095,1.0822,-0.28443),(6035,6105,1.0837,-0.27888),(6035,6115,1.0851,-0.27331),(6035,6125,1.0865,-0.26775),(6035,6135,1.0879,-0.26215),(6035,6145,1.0893,-0.25652),(6035,6155,1.0907,-0.25089),(6035,6165,1.092,-0.24525),(6035,6175,1.0933,-0.23957),(6035,6185,1.0945,-0.2339),(6035,6195,1.0957,-0.22821),(6035,6205,1.0969,-0.22247),(6035,6215,1.0981,-0.21674),(6035,6225,1.0992,-0.211),(6035,6235,1.1003,-0.20523),(6035,6245,1.1014,-0.19947),(6035,6255,1.1024,-0.1937),(6035,6265,1.1035,-0.18798),(6035,6275,1.1045,-0.18227),(6035,6285,1.1054,-0.17656),(6035,6295,1.1064,-0.17084),(6035,6305,1.1074,-0.1651),(6035,6315,1.1083,-0.15937),(6035,6325,1.1091,-0.15358),(6035,6335,1.11,-0.14774),(6035,6345,1.1108,-0.14189),(6035,6355,1.1116,-0.13608),(6035,6365,1.1124,-0.13031),(6035,6375,1.1131,-0.12455),(6035,6385,1.1138,-0.11878),(6035,6395,1.1145,-0.11298),(6035,6405,1.1151,-0.10718),(6035,6415,1.1156,-0.10138),(6035,6425,1.1162,-0.095541),(6035,6435,1.1167,-0.089698),(6035,6445,1.1171,-0.083855),(6035,6455,1.1176,-0.078001),(6035,6465,1.118,-0.072145),(6035,6475,1.1184,-0.066289),(6035,6485,1.1187,-0.060432),(6035,6495,1.1191,-0.054575),(6035,6505,1.1194,-0.048718),(6035,6515,1.1196,-0.042841),(6035,6525,1.1199,-0.036935),(6035,6535,1.1201,-0.03103),(6035,6545,1.1203,-0.025152),(6035,6555,1.1205,-0.019363),(6035,6565,1.1206,-0.013574),(6035,6575,1.1207,-0.007776),(6035,6585,1.1208,-0.001848),(6035,6595,0.95329,0.00408),(6035,6605,0.60074,0.010007),(6035,6615,0.24819,0.010666),(6035,6625,0.000359,0.010647),(6035,6635,0.00039,0.010628),(6035,6645,0.000421,0.010625),(6035,6655,0.000452,0.010628),(6035,6665,0.000483,0.01063),(6035,6675,0.000514,0.010633),(6035,6685,0.000545,0.010635),(6035,6695,0.000575,0.010637),(6035,6705,0.000606,0.010639),(6035,6715,0.000636,0.010641),(6035,6725,0.000666,0.010643),(6035,6735,0.000696,0.010644),(6035,6745,0.000727,0.010645),(6035,6755,0.000756,0.010646),(6035,6765,0.000786,0.010646),(6035,6775,0.000816,0.010647),(6035,6785,0.000845,0.010647),(6035,6795,0.000875,0.010647),(6035,6805,0.000904,0.010646),(6035,6815,0.000933,0.010646),(6035,6825,0.000962,0.010645),(6035,6835,0.000991,0.010644),(6035,6845,0.001019,0.010643),(6035,6855,0.001048,0.010642),(6035,6865,0.001076,0.01064),(6035,6875,0.001104,0.010638),(6035,6885,0.001132,0.010636),(6035,6895,0.00116,0.010633),(6035,6905,0.001188,0.010631),(6035,6915,0.001215,0.010628),(6035,6925,0.001242,0.010625),(6035,6935,0.00127,0.010621),(6035,6945,0.001296,0.010618),(6035,6955,0.001323,0.010614),(6035,6965,0.00135,0.01061),(6035,6975,0.001376,0.010606),(6035,6985,0.001403,0.010601),(6045,5,1.8e-05,-1.3197),(6045,15,5.5e-05,-1.3197),(6045,25,9.4e-05,-1.3197),(6045,35,0.000136,-1.3197),(6045,45,0.000178,-1.3197),(6045,55,0.00022,-1.3197),(6045,65,0.000225,-1.3197),(6045,75,0.000201,-1.3197),(6045,85,0.000178,-1.3196),(6045,95,0.000154,-1.3195),(6045,105,0.00015,-1.3194),(6045,115,0.000158,-1.3193),(6045,125,0.000167,-1.3193),(6045,135,0.000175,-1.3193),(6045,145,0.000206,-1.3194),(6045,155,0.000249,-1.3194),(6045,165,0.000293,-1.3194),(6045,175,0.000336,-1.3194),(6045,185,0.000392,-1.3195),(6045,195,0.000454,-1.3195),(6045,205,0.000515,-1.3195),(6045,215,0.000577,-1.3196),(6045,225,0.000631,-1.3196),(6045,235,0.000681,-1.3196),(6045,245,0.000731,-1.3196),(6045,255,0.000781,-1.3196),(6045,265,0.000809,-1.3196),(6045,275,0.000831,-1.3196),(6045,285,0.000852,-1.3196),(6045,295,0.000873,-1.3196),(6045,305,0.000863,-1.3196),(6045,315,0.000846,-1.3195),(6045,325,0.000829,-1.3195),(6045,335,0.000811,-1.3194),(6045,345,0.00078,-1.3194),(6045,355,0.000746,-1.3193),(6045,365,0.000712,-1.3193),(6045,375,0.000678,-1.3192),(6045,385,0.000665,-1.3191),(6045,395,0.000654,-1.3191),(6045,405,0.000644,-1.319),(6045,415,0.000633,-1.319),(6045,425,0.000679,-1.3189),(6045,435,0.00073,-1.3189),(6045,445,0.000781,-1.319),(6045,455,0.000832,-1.319),(6045,465,0.00091,-1.3191),(6045,475,0.00099,-1.3192),(6045,485,0.00107,-1.3192),(6045,495,0.001149,-1.3192),(6045,505,0.001245,-1.3192),(6045,515,0.00134,-1.3192),(6045,525,0.001435,-1.3192),(6045,535,0.00153,-1.3192),(6045,545,0.001624,-1.3192),(6045,555,0.001717,-1.3192),(6045,565,0.001811,-1.3192),(6045,575,0.001904,-1.3192),(6045,585,0.001992,-1.3192),(6045,595,0.002081,-1.3192),(6045,605,0.00217,-1.3193),(6045,615,0.002262,-1.3194),(6045,625,0.002372,-1.3195),(6045,635,0.002482,-1.3195),(6045,645,0.002593,-1.3196),(6045,655,0.002705,-1.3196),(6045,665,0.002825,-1.3196),(6045,675,0.002945,-1.3196),(6045,685,0.003065,-1.3196),(6045,695,0.003191,-1.3196),(6045,705,0.00334,-1.3196),(6045,715,0.003489,-1.3196),(6045,725,0.003637,-1.3196),(6045,735,0.003796,-1.3196),(6045,745,0.003986,-1.3196),(6045,755,0.004176,-1.3196),(6045,765,0.004366,-1.3196),(6045,775,0.004574,-1.3197),(6045,785,0.004829,-1.3197),(6045,795,0.005084,-1.3197),(6045,805,0.005339,-1.3198),(6045,815,0.005617,-1.3198),(6045,825,0.005944,-1.3199),(6045,835,0.006271,-1.3199),(6045,845,0.006598,-1.3199),(6045,855,0.006968,-1.32),(6045,865,0.007416,-1.32),(6045,875,0.007864,-1.32),(6045,885,0.008312,-1.3201),(6045,895,0.008809,-1.3203),(6045,905,0.009383,-1.3204),(6045,915,0.009958,-1.3204),(6045,925,0.010532,-1.3204),(6045,935,0.01117,-1.3204),(6045,945,0.011891,-1.3204),(6045,955,0.012612,-1.3204),(6045,965,0.013334,-1.3204),(6045,975,0.014186,-1.3204),(6045,985,0.015187,-1.3204),(6045,995,0.016187,-1.3204),(6045,1005,0.017188,-1.3203),(6045,1015,0.018391,-1.3203),(6045,1025,0.019789,-1.3202),(6045,1035,0.021188,-1.3201),(6045,1045,0.022586,-1.3198),(6045,1055,0.024292,-1.3196),(6045,1065,0.026249,-1.3193),(6045,1075,0.028207,-1.319),(6045,1085,0.030164,-1.3186),(6045,1095,0.032582,-1.3181),(6045,1105,0.03532,-1.3177),(6045,1115,0.038059,-1.3169),(6045,1125,0.040797,-1.3159),(6045,1135,0.044235,-1.3148),(6045,1145,0.048085,-1.3138),(6045,1155,0.051935,-1.3122),(6045,1165,0.055785,-1.3102),(6045,1175,0.060691,-1.3082),(6045,1185,0.06612,-1.3063),(6045,1195,0.07155,-1.3033),(6045,1205,0.076979,-1.3),(6045,1215,0.083776,-1.2966),(6045,1225,0.091136,-1.2933),(6045,1235,0.098497,-1.288),(6045,1245,0.10586,-1.2819),(6045,1255,0.11429,-1.2758),(6045,1265,0.12309,-1.2697),(6045,1275,0.13189,-1.2601),(6045,1285,0.14069,-1.2493),(6045,1295,0.13139,-1.2385),(6045,1305,0.1172,-1.2278),(6045,1315,0.10301,-1.2192),(6045,1325,0.088817,-1.2112),(6045,1335,0.054681,-1.2031),(6045,1345,0.016366,-1.1951),(6045,1355,-0.021949,-1.1995),(6045,1365,-0.060264,-1.2061),(6045,1375,-0.082794,-1.2128),(6045,1385,-0.10289,-1.2194),(6045,1395,-0.12298,-1.2298),(6045,1405,-0.14308,-1.2406),(6045,1415,-0.13687,-1.2515),(6045,1425,-0.12793,-1.2623),(6045,1435,-0.11899,-1.2691),(6045,1445,-0.11005,-1.2755),(6045,1455,-0.10254,-1.2819),(6045,1465,-0.0951,-1.2884),(6045,1475,-0.087664,-1.2918),(6045,1485,-0.080229,-1.2952),(6045,1495,-0.074594,-1.2985),(6045,1505,-0.068987,-1.3018),(6045,1515,-0.063379,-1.3037),(6045,1525,-0.057811,-1.3056),(6045,1535,-0.053802,-1.3075),(6045,1545,-0.049793,-1.3093),(6045,1555,-0.045784,-1.3103),(6045,1565,-0.041849,-1.3113),(6045,1575,-0.038999,-1.3122),(6045,1585,-0.03615,-1.3131),(6045,1595,-0.0333,-1.3135),(6045,1605,-0.030532,-1.3138),(6045,1615,-0.028474,-1.3142),(6045,1625,-0.026416,-1.3145),(6045,1635,-0.024357,-1.3145),(6045,1645,-0.02239,-1.3145),(6045,1655,-0.020966,-1.3145),(6045,1665,-0.019542,-1.3145),(6045,1675,-0.018118,-1.3144),(6045,1685,-0.016761,-1.3142),(6045,1695,-0.015706,-1.3141),(6045,1705,-0.01465,-1.3139),(6045,1715,-0.013594,-1.3138),(6045,1725,-0.012591,-1.3136),(6045,1735,-0.011769,-1.3134),(6045,1745,-0.010947,-1.3132),(6045,1755,-0.010125,-1.3129),(6045,1765,-0.009371,-1.3126),(6045,1775,-0.008811,-1.3123),(6045,1785,-0.00825,-1.312),(6045,1795,-0.00769,-1.3116),(6045,1805,-0.007169,-1.3113),(6045,1815,-0.006741,-1.311),(6045,1825,-0.006313,-1.3106),(6045,1835,-0.005884,-1.3104),(6045,1845,-0.005467,-1.3101),(6045,1855,-0.005071,-1.3098),(6045,1865,-0.004675,-1.3095),(6045,1875,-0.004279,-1.3092),(6045,1885,-0.003938,-1.3088),(6045,1895,-0.003685,-1.3085),(6045,1905,-0.003432,-1.3081),(6045,1915,-0.003179,-1.3078),(6045,1925,-0.002952,-1.3074),(6045,1935,-0.002758,-1.3071),(6045,1945,-0.002564,-1.3067),(6045,1955,-0.002371,-1.3065),(6045,1965,-0.002178,-1.3062),(6045,1975,-0.001986,-1.306),(6045,1985,-0.001794,-1.3057),(6045,1995,-0.001602,-1.3054),(6045,2005,-0.001427,-1.305),(6045,2015,-0.001269,-1.3047),(6045,2025,-0.001111,-1.3044),(6045,2035,-0.000953,-1.3041),(6045,2045,-0.000809,-1.3038),(6045,2055,-0.000676,-1.3035),(6045,2065,-0.000542,-1.3032),(6045,2075,-0.000409,-1.3029),(6045,2085,-0.0003,-1.3025),(6045,2095,-0.000208,-1.3022),(6045,2105,-0.000116,-1.3019),(6045,2115,-2.4e-05,-1.3015),(6045,2125,6.2e-05,-1.3012),(6045,2135,0.000145,-1.3009),(6045,2145,0.000228,-1.3006),(6045,2155,0.000311,-1.3003),(6045,2165,0.000387,-1.3001),(6045,2175,0.000459,-1.2998),(6045,2185,0.000531,-1.2995),(6045,2195,0.000603,-1.2991),(6045,2205,0.000675,-1.2987),(6045,2215,0.000746,-1.2983),(6045,2225,0.000818,-1.298),(6045,2235,0.00089,-1.2976),(6045,2245,0.000955,-1.2973),(6045,2255,0.001016,-1.2969),(6045,2265,0.001078,-1.2965),(6045,2275,0.00114,-1.2961),(6045,2285,0.001149,-1.2957),(6045,2295,0.001144,-1.2954),(6045,2305,0.001139,-1.2949),(6045,2315,0.001134,-1.2944),(6045,2325,0.001144,-1.294),(6045,2335,0.001157,-1.2935),(6045,2345,0.001171,-1.2931),(6045,2355,0.001184,-1.2928),(6045,2365,0.001256,-1.2924),(6045,2375,0.001337,-1.292),(6045,2385,0.001419,-1.2916),(6045,2395,0.0015,-1.2912),(6045,2405,0.001582,-1.2908),(6045,2415,0.001663,-1.2904),(6045,2425,0.001745,-1.29),(6045,2435,0.001826,-1.2896),(6045,2445,0.001886,-1.2892),(6045,2455,0.001945,-1.2888),(6045,2465,0.002004,-1.2884),(6045,2475,0.002063,-1.2879),(6045,2485,0.002074,-1.2875),(6045,2495,0.002084,-1.2871),(6045,2505,0.002094,-1.2866),(6045,2515,0.002104,-1.286),(6045,2525,0.002092,-1.2855),(6045,2535,0.002081,-1.2849),(6045,2545,0.002069,-1.2843),(6045,2555,0.002061,-1.2838),(6045,2565,0.002118,-1.2832),(6045,2575,0.002175,-1.2826),(6045,2585,0.002232,-1.2822),(6045,2595,0.002292,-1.2817),(6045,2605,0.002378,-1.2812),(6045,2615,0.002463,-1.2808),(6045,2625,0.002549,-1.2802),(6045,2635,0.002628,-1.2796),(6045,2645,0.002666,-1.2791),(6045,2655,0.002705,-1.2785),(6045,2665,0.002743,-1.2779),(6045,2675,0.00278,-1.2772),(6045,2685,0.00281,-1.2766),(6045,2695,0.00284,-1.276),(6045,2705,0.00287,-1.2755),(6045,2715,0.002901,-1.2749),(6045,2725,0.00294,-1.2744),(6045,2735,0.002978,-1.2738),(6045,2745,0.003016,-1.2732),(6045,2755,0.003053,-1.2725),(6045,2765,0.003087,-1.2719),(6045,2775,0.003121,-1.2712),(6045,2785,0.003155,-1.2705),(6045,2795,0.003194,-1.2698),(6045,2805,0.003245,-1.2691),(6045,2815,0.003296,-1.2684),(6045,2825,0.003348,-1.2678),(6045,2835,0.0034,-1.2672),(6045,2845,0.003452,-1.2665),(6045,2855,0.003505,-1.2659),(6045,2865,0.003557,-1.2652),(6045,2875,0.00361,-1.2646),(6045,2885,0.003664,-1.2639),(6045,2895,0.003717,-1.2632),(6045,2905,0.00377,-1.2624),(6045,2915,0.003829,-1.2616),(6045,2925,0.003894,-1.2608),(6045,2935,0.003959,-1.2601),(6045,2945,0.004025,-1.2593),(6045,2955,0.004082,-1.2585),(6045,2965,0.004129,-1.2577),(6045,2975,0.004176,-1.2569),(6045,2985,0.004223,-1.2561),(6045,2995,0.004259,-1.2554),(6045,3005,0.004283,-1.2546),(6045,3015,0.004307,-1.2538),(6045,3025,0.00433,-1.2529),(6045,3035,0.004369,-1.2521),(6045,3045,0.004422,-1.2513),(6045,3055,0.004474,-1.2505),(6045,3065,0.004527,-1.2496),(6045,3075,0.004592,-1.2488),(6045,3085,0.004666,-1.2479),(6045,3095,0.00474,-1.2471),(6045,3105,0.004814,-1.2462),(6045,3115,0.00489,-1.2453),(6045,3125,0.004969,-1.2444),(6045,3135,0.005047,-1.2435),(6045,3145,0.005126,-1.2427),(6045,3155,0.005204,-1.2418),(6045,3165,0.005283,-1.2409),(6045,3175,0.005362,-1.24),(6045,3185,0.005441,-1.239),(6045,3195,0.005509,-1.2381),(6045,3205,0.005573,-1.2372),(6045,3215,0.005635,-1.2362),(6045,3225,0.005698,-1.2352),(6045,3235,0.005783,-1.2342),(6045,3245,0.005874,-1.2332),(6045,3255,0.005966,-1.2322),(6045,3265,0.006058,-1.2313),(6045,3275,0.00618,-1.2303),(6045,3285,0.00631,-1.2294),(6045,3295,0.00644,-1.2284),(6045,3305,0.006571,-1.2274),(6045,3315,0.006688,-1.2264),(6045,3325,0.006801,-1.2254),(6045,3335,0.006915,-1.2244),(6045,3345,0.007029,-1.2233),(6045,3355,0.007144,-1.2222),(6045,3365,0.007259,-1.2211),(6045,3375,0.007375,-1.2201),(6045,3385,0.00749,-1.2191),(6045,3395,0.007674,-1.2181),(6045,3405,0.007866,-1.2171),(6045,3415,0.008059,-1.2161),(6045,3425,0.008251,-1.2151),(6045,3435,0.008509,-1.2141),(6045,3445,0.008772,-1.2131),(6045,3455,0.009036,-1.2119),(6045,3465,0.009299,-1.2108),(6045,3475,0.009606,-1.2097),(6045,3485,0.009916,-1.2085),(6045,3495,0.010225,-1.2075),(6045,3505,0.010534,-1.2064),(6045,3515,0.01094,-1.2053),(6045,3525,0.011345,-1.2043),(6045,3535,0.011751,-1.2032),(6045,3545,0.012159,-1.2021),(6045,3555,0.012619,-1.201),(6045,3565,0.013078,-1.1999),(6045,3575,0.013538,-1.1986),(6045,3585,0.014004,-1.1973),(6045,3595,0.014533,-1.196),(6045,3605,0.015062,-1.1947),(6045,3615,0.015592,-1.1935),(6045,3625,0.016147,-1.1923),(6045,3635,0.016887,-1.1911),(6045,3645,0.017627,-1.1898),(6045,3655,0.018367,-1.1885),(6045,3665,0.019143,-1.1872),(6045,3675,0.020103,-1.1859),(6045,3685,0.021062,-1.1846),(6045,3695,0.022021,-1.1832),(6045,3705,0.023041,-1.1818),(6045,3715,0.0243,-1.1804),(6045,3725,0.025559,-1.1789),(6045,3735,0.026819,-1.1772),(6045,3745,0.028196,-1.1755),(6045,3755,0.029941,-1.1738),(6045,3765,0.031687,-1.172),(6045,3775,0.033433,-1.1699),(6045,3785,0.035369,-1.1679),(6045,3795,0.03779,-1.1659),(6045,3805,0.040211,-1.1637),(6045,3815,0.042632,-1.1613),(6045,3825,0.045284,-1.159),(6045,3835,0.048423,-1.1566),(6045,3845,0.051561,-1.1539),(6045,3855,0.0547,-1.1505),(6045,3865,0.058173,-1.1471),(6045,3875,0.062238,-1.1437),(6045,3885,0.066302,-1.1399),(6045,3895,0.070366,-1.1355),(6045,3905,0.074796,-1.131),(6045,3915,0.079772,-1.1266),(6045,3925,0.084749,-1.1212),(6045,3935,0.089725,-1.1144),(6045,3945,0.094898,-1.1077),(6045,3955,0.10032,-1.1009),(6045,3965,0.10574,-1.0929),(6045,3975,0.11116,-1.0837),(6045,3985,0.11164,-1.0744),(6045,3995,0.10677,-1.0651),(6045,4005,0.1019,-1.0557),(6045,4015,0.097028,-1.0462),(6045,4025,0.17713,-1.0368),(6045,4035,0.26555,-1.03),(6045,4045,0.35397,-1.029),(6045,4055,0.4305,-1.028),(6045,4065,0.50269,-1.0268),(6045,4075,0.57489,-1.0251),(6045,4085,0.60763,-1.0234),(6045,4095,0.60868,-1.0216),(6045,4105,0.60972,-1.0199),(6045,4115,0.61076,-1.0182),(6045,4125,0.61182,-1.0165),(6045,4135,0.61288,-1.0149),(6045,4145,0.61394,-1.0133),(6045,4155,0.61505,-1.0116),(6045,4165,0.61616,-1.01),(6045,4175,0.61727,-1.0083),(6045,4185,0.61846,-1.0066),(6045,4195,0.61966,-1.005),(6045,4205,0.62085,-1.0033),(6045,4215,0.62214,-1.0016),(6045,4225,0.62344,-0.99999),(6045,4235,0.62474,-0.99836),(6045,4245,0.62612,-0.99673),(6045,4255,0.62752,-0.99509),(6045,4265,0.62893,-0.99335),(6045,4275,0.6304,-0.99162),(6045,4285,0.63192,-0.98989),(6045,4295,0.63345,-0.98812),(6045,4305,0.63501,-0.98636),(6045,4315,0.63667,-0.98459),(6045,4325,0.63833,-0.98284),(6045,4335,0.64,-0.98108),(6045,4345,0.64178,-0.97933),(6045,4355,0.64355,-0.97751),(6045,4365,0.64533,-0.97563),(6045,4375,0.64719,-0.97375),(6045,4385,0.64905,-0.97187),(6045,4395,0.65091,-0.96997),(6045,4405,0.65283,-0.96807),(6045,4415,0.65476,-0.96616),(6045,4425,0.65669,-0.96419),(6045,4435,0.65867,-0.96222),(6045,4445,0.66069,-0.96024),(6045,4455,0.66271,-0.95823),(6045,4465,0.66477,-0.95622),(6045,4475,0.6669,-0.95421),(6045,4485,0.66903,-0.95211),(6045,4495,0.67119,-0.94999),(6045,4505,0.67343,-0.94788),(6045,4515,0.67568,-0.94573),(6045,4525,0.67793,-0.94356),(6045,4535,0.68027,-0.9414),(6045,4545,0.6826,-0.9392),(6045,4555,0.68494,-0.93697),(6045,4565,0.68735,-0.93475),(6045,4575,0.68976,-0.93248),(6045,4585,0.69217,-0.93011),(6045,4595,0.69465,-0.92775),(6045,4605,0.69715,-0.92536),(6045,4615,0.69965,-0.92284),(6045,4625,0.70219,-0.92032),(6045,4635,0.70478,-0.9178),(6045,4645,0.70737,-0.9152),(6045,4655,0.70998,-0.91259),(6045,4665,0.71265,-0.90999),(6045,4675,0.71532,-0.90735),(6045,4685,0.71801,-0.9047),(6045,4695,0.72074,-0.90205),(6045,4705,0.72348,-0.89933),(6045,4715,0.72622,-0.89656),(6045,4725,0.72901,-0.8938),(6045,4735,0.7318,-0.89099),(6045,4745,0.73459,-0.88811),(6045,4755,0.73742,-0.88523),(6045,4765,0.74025,-0.88232),(6045,4775,0.74308,-0.87932),(6045,4785,0.74593,-0.87632),(6045,4795,0.74878,-0.87331),(6045,4805,0.75164,-0.87017),(6045,4815,0.75451,-0.86703),(6045,4825,0.75739,-0.8639),(6045,4835,0.76027,-0.86067),(6045,4845,0.76316,-0.85744),(6045,4855,0.76607,-0.8542),(6045,4865,0.76897,-0.85091),(6045,4875,0.77188,-0.84761),(6045,4885,0.77482,-0.8443),(6045,4895,0.77775,-0.84095),(6045,4905,0.78068,-0.83757),(6045,4915,0.78364,-0.83419),(6045,4925,0.78659,-0.83078),(6045,4935,0.78954,-0.82731),(6045,4945,0.79251,-0.82384),(6045,4955,0.79547,-0.82036),(6045,4965,0.79844,-0.81678),(6045,4975,0.80141,-0.81321),(6045,4985,0.80437,-0.80964),(6045,4995,0.80734,-0.80599),(6045,5005,0.8103,-0.80233),(6045,5015,0.81325,-0.79867),(6045,5025,0.81621,-0.79496),(6045,5035,0.81916,-0.79122),(6045,5045,0.8221,-0.78749),(6045,5055,0.82505,-0.78372),(6045,5065,0.828,-0.77991),(6045,5075,0.83094,-0.77611),(6045,5085,0.83389,-0.77227),(6045,5095,0.83683,-0.76839),(6045,5105,0.83979,-0.76451),(6045,5115,0.84274,-0.76061),(6045,5125,0.84569,-0.75665),(6045,5135,0.84864,-0.75269),(6045,5145,0.85158,-0.74872),(6045,5155,0.85452,-0.74467),(6045,5165,0.85745,-0.74063),(6045,5175,0.86035,-0.73658),(6045,5185,0.86326,-0.73247),(6045,5195,0.86616,-0.72834),(6045,5205,0.86903,-0.72422),(6045,5215,0.87189,-0.72005),(6045,5225,0.87476,-0.71586),(6045,5235,0.87759,-0.71167),(6045,5245,0.88043,-0.70743),(6045,5255,0.88327,-0.70317),(6045,5265,0.88607,-0.6989),(6045,5275,0.88888,-0.6946),(6045,5285,0.89169,-0.69025),(6045,5295,0.89448,-0.6859),(6045,5305,0.89727,-0.68154),(6045,5315,0.90006,-0.67713),(6045,5325,0.90284,-0.67272),(6045,5335,0.90563,-0.66831),(6045,5345,0.90841,-0.66388),(6045,5355,0.9112,-0.65946),(6045,5365,0.91398,-0.65504),(6045,5375,0.91676,-0.65058),(6045,5385,0.91953,-0.6461),(6045,5395,0.92228,-0.64163),(6045,5405,0.92503,-0.63709),(6045,5415,0.92777,-0.6325),(6045,5425,0.93047,-0.62791),(6045,5435,0.93316,-0.62329),(6045,5445,0.93586,-0.61863),(6045,5455,0.9385,-0.61396),(6045,5465,0.94113,-0.6093),(6045,5475,0.94377,-0.60462),(6045,5485,0.94637,-0.59995),(6045,5495,0.94896,-0.59527),(6045,5505,0.95155,-0.59056),(6045,5515,0.95412,-0.58585),(6045,5525,0.95668,-0.58114),(6045,5535,0.95924,-0.57634),(6045,5545,0.96179,-0.57154),(6045,5555,0.96432,-0.56675),(6045,5565,0.96685,-0.5619),(6045,5575,0.96938,-0.55704),(6045,5585,0.97188,-0.55218),(6045,5595,0.97438,-0.54729),(6045,5605,0.97688,-0.54238),(6045,5615,0.97932,-0.53747),(6045,5625,0.98177,-0.53253),(6045,5635,0.98422,-0.52755),(6045,5645,0.98661,-0.52257),(6045,5655,0.98899,-0.51757),(6045,5665,0.99137,-0.51254),(6045,5675,0.9937,-0.5075),(6045,5685,0.99601,-0.50246),(6045,5695,0.99832,-0.49742),(6045,5705,1.0006,-0.49237),(6045,5715,1.0028,-0.48732),(6045,5725,1.0051,-0.48222),(6045,5735,1.0073,-0.47711),(6045,5745,1.0095,-0.472),(6045,5755,1.0117,-0.46685),(6045,5765,1.0139,-0.4617),(6045,5775,1.0161,-0.45654),(6045,5785,1.0183,-0.45136),(6045,5795,1.0204,-0.44616),(6045,5805,1.0225,-0.44095),(6045,5815,1.0247,-0.43573),(6045,5825,1.0268,-0.43049),(6045,5835,1.0288,-0.42525),(6045,5845,1.0309,-0.42),(6045,5855,1.033,-0.41473),(6045,5865,1.035,-0.40946),(6045,5875,1.037,-0.40419),(6045,5885,1.039,-0.39887),(6045,5895,1.0409,-0.39355),(6045,5905,1.0428,-0.38823),(6045,5915,1.0447,-0.38286),(6045,5925,1.0466,-0.37749),(6045,5935,1.0485,-0.37211),(6045,5945,1.0503,-0.36673),(6045,5955,1.0522,-0.36134),(6045,5965,1.0539,-0.35594),(6045,5975,1.0557,-0.35052),(6045,5985,1.0574,-0.34506),(6045,5995,1.0591,-0.33961),(6045,6005,1.0608,-0.33412),(6045,6015,1.0624,-0.32855),(6045,6025,1.064,-0.32299),(6045,6035,1.0656,-0.31742),(6045,6045,1.0672,-0.31187),(6045,6055,1.0687,-0.30631),(6045,6065,1.0702,-0.30075),(6045,6075,1.0717,-0.29523),(6045,6085,1.0732,-0.28971),(6045,6095,1.0747,-0.2842),(6045,6105,1.0761,-0.27864),(6045,6115,1.0776,-0.27307),(6045,6125,1.079,-0.2675),(6045,6135,1.0804,-0.2619),(6045,6145,1.0817,-0.25627),(6045,6155,1.083,-0.25065),(6045,6165,1.0844,-0.24501),(6045,6175,1.0857,-0.23934),(6045,6185,1.0869,-0.23367),(6045,6195,1.0881,-0.22799),(6045,6205,1.0893,-0.22227),(6045,6215,1.0905,-0.21654),(6045,6225,1.0916,-0.21081),(6045,6235,1.0927,-0.20505),(6045,6245,1.0937,-0.19929),(6045,6255,1.0947,-0.19353),(6045,6265,1.0958,-0.18781),(6045,6275,1.0968,-0.18209),(6045,6285,1.0977,-0.17638),(6045,6295,1.0986,-0.17065),(6045,6305,1.0996,-0.16491),(6045,6315,1.1005,-0.15918),(6045,6325,1.1013,-0.15339),(6045,6335,1.1022,-0.14754),(6045,6345,1.103,-0.1417),(6045,6355,1.1038,-0.13589),(6045,6365,1.1046,-0.13013),(6045,6375,1.1053,-0.12438),(6045,6385,1.106,-0.11862),(6045,6395,1.1067,-0.11283),(6045,6405,1.1073,-0.10705),(6045,6415,1.1078,-0.10127),(6045,6425,1.1084,-0.095437),(6045,6435,1.1089,-0.089605),(6045,6445,1.1093,-0.083773),(6045,6455,1.1098,-0.077924),(6045,6465,1.1102,-0.072071),(6045,6475,1.1105,-0.066218),(6045,6485,1.1109,-0.06036),(6045,6495,1.1112,-0.054499),(6045,6505,1.1115,-0.048638),(6045,6515,1.1118,-0.042757),(6045,6525,1.112,-0.036851),(6045,6535,1.1122,-0.030944),(6045,6545,1.1124,-0.025068),(6045,6555,1.1126,-0.019286),(6045,6565,1.1127,-0.013505),(6045,6575,1.1128,-0.007716),(6045,6585,1.1129,-0.001804),(6045,6595,0.94657,0.004107),(6045,6605,0.5965,0.010019),(6045,6615,0.24644,0.010681),(6045,6625,0.000355,0.010669),(6045,6635,0.000386,0.010658),(6045,6645,0.000418,0.010656),(6045,6655,0.000449,0.010659),(6045,6665,0.00048,0.010661),(6045,6675,0.000511,0.010664),(6045,6685,0.000542,0.010666),(6045,6695,0.000572,0.010668),(6045,6705,0.000603,0.01067),(6045,6715,0.000633,0.010672),(6045,6725,0.000664,0.010673),(6045,6735,0.000694,0.010674),(6045,6745,0.000724,0.010675),(6045,6755,0.000754,0.010676),(6045,6765,0.000784,0.010676),(6045,6775,0.000814,0.010676),(6045,6785,0.000844,0.010676),(6045,6795,0.000873,0.010676),(6045,6805,0.000903,0.010676),(6045,6815,0.000932,0.010675),(6045,6825,0.000961,0.010674),(6045,6835,0.00099,0.010673),(6045,6845,0.001019,0.010672),(6045,6855,0.001048,0.01067),(6045,6865,0.001076,0.010668),(6045,6875,0.001105,0.010666),(6045,6885,0.001133,0.010664),(6045,6895,0.001161,0.010661),(6045,6905,0.001189,0.010658),(6045,6915,0.001216,0.010655),(6045,6925,0.001244,0.010652),(6045,6935,0.001271,0.010649),(6045,6945,0.001298,0.010645),(6045,6955,0.001325,0.010641),(6045,6965,0.001352,0.010637),(6045,6975,0.001379,0.010632),(6045,6985,0.001405,0.010628),(6055,5,1.9e-05,-1.3197),(6055,15,5.6e-05,-1.3197),(6055,25,9.9e-05,-1.3197),(6055,35,0.000146,-1.3197),(6055,45,0.000193,-1.3197),(6055,55,0.00024,-1.3197),(6055,65,0.000249,-1.3197),(6055,75,0.000229,-1.3197),(6055,85,0.000209,-1.3196),(6055,95,0.000188,-1.3195),(6055,105,0.000179,-1.3194),(6055,115,0.000177,-1.3193),(6055,125,0.000175,-1.3193),(6055,135,0.000173,-1.3193),(6055,145,0.000196,-1.3193),(6055,155,0.000234,-1.3193),(6055,165,0.000271,-1.3194),(6055,175,0.000308,-1.3194),(6055,185,0.000361,-1.3194),(6055,195,0.00042,-1.3195),(6055,205,0.00048,-1.3195),(6055,215,0.00054,-1.3195),(6055,225,0.000596,-1.3195),(6055,235,0.00065,-1.3196),(6055,245,0.000704,-1.3196),(6055,255,0.000759,-1.3196),(6055,265,0.000796,-1.3196),(6055,275,0.000827,-1.3196),(6055,285,0.000859,-1.3196),(6055,295,0.00089,-1.3196),(6055,305,0.000888,-1.3196),(6055,315,0.000877,-1.3195),(6055,325,0.000866,-1.3195),(6055,335,0.000855,-1.3195),(6055,345,0.000828,-1.3194),(6055,355,0.000798,-1.3194),(6055,365,0.000768,-1.3193),(6055,375,0.000737,-1.3192),(6055,385,0.000718,-1.3192),(6055,395,0.0007,-1.3191),(6055,405,0.000682,-1.319),(6055,415,0.000664,-1.319),(6055,425,0.0007,-1.3189),(6055,435,0.000742,-1.3189),(6055,445,0.000783,-1.3189),(6055,455,0.000825,-1.319),(6055,465,0.000896,-1.3191),(6055,475,0.000968,-1.3191),(6055,485,0.00104,-1.3191),(6055,495,0.001112,-1.3191),(6055,505,0.001203,-1.3191),(6055,515,0.001295,-1.3191),(6055,525,0.001386,-1.3191),(6055,535,0.001478,-1.3191),(6055,545,0.001572,-1.3191),(6055,555,0.001667,-1.3191),(6055,565,0.001762,-1.3191),(6055,575,0.001856,-1.3192),(6055,585,0.001947,-1.3192),(6055,595,0.002038,-1.3192),(6055,605,0.002129,-1.3193),(6055,615,0.002222,-1.3193),(6055,625,0.002333,-1.3194),(6055,635,0.002445,-1.3195),(6055,645,0.002556,-1.3195),(6055,655,0.002669,-1.3195),(6055,665,0.002794,-1.3195),(6055,675,0.002918,-1.3195),(6055,685,0.003043,-1.3195),(6055,695,0.003173,-1.3195),(6055,705,0.003327,-1.3195),(6055,715,0.00348,-1.3195),(6055,725,0.003634,-1.3195),(6055,735,0.003796,-1.3195),(6055,745,0.003987,-1.3195),(6055,755,0.004178,-1.3195),(6055,765,0.004369,-1.3195),(6055,775,0.004577,-1.3196),(6055,785,0.004833,-1.3196),(6055,795,0.005088,-1.3196),(6055,805,0.005344,-1.3197),(6055,815,0.005621,-1.3197),(6055,825,0.005946,-1.3198),(6055,835,0.006272,-1.3198),(6055,845,0.006597,-1.3198),(6055,855,0.006964,-1.3198),(6055,865,0.007409,-1.3198),(6055,875,0.007854,-1.3198),(6055,885,0.008299,-1.3199),(6055,895,0.008795,-1.32),(6055,905,0.00937,-1.3201),(6055,915,0.009945,-1.3202),(6055,925,0.01052,-1.3202),(6055,935,0.011153,-1.3202),(6055,945,0.011865,-1.3201),(6055,955,0.012576,-1.3201),(6055,965,0.013288,-1.3201),(6055,975,0.01412,-1.32),(6055,985,0.01509,-1.32),(6055,995,0.01606,-1.3199),(6055,1005,0.017029,-1.3198),(6055,1015,0.018193,-1.3197),(6055,1025,0.019542,-1.3196),(6055,1035,0.020891,-1.3194),(6055,1045,0.022241,-1.3191),(6055,1055,0.023881,-1.3188),(6055,1065,0.025758,-1.3185),(6055,1075,0.027636,-1.3181),(6055,1085,0.029514,-1.3176),(6055,1095,0.031823,-1.317),(6055,1105,0.034432,-1.3165),(6055,1115,0.037041,-1.3156),(6055,1125,0.039651,-1.3145),(6055,1135,0.042898,-1.3134),(6055,1145,0.046522,-1.3122),(6055,1155,0.050147,-1.3104),(6055,1165,0.053771,-1.3083),(6055,1175,0.058335,-1.3062),(6055,1185,0.063366,-1.304),(6055,1195,0.068397,-1.3009),(6055,1205,0.073428,-1.2973),(6055,1215,0.079633,-1.2938),(6055,1225,0.086323,-1.2902),(6055,1235,0.093013,-1.2847),(6055,1245,0.099702,-1.2785),(6055,1255,0.10717,-1.2723),(6055,1265,0.11489,-1.2661),(6055,1275,0.12262,-1.2566),(6055,1285,0.13035,-1.2462),(6055,1295,0.12137,-1.2357),(6055,1305,0.10786,-1.2252),(6055,1315,0.094361,-1.2172),(6055,1325,0.080859,-1.2098),(6055,1335,0.04978,-1.2024),(6055,1345,0.015017,-1.195),(6055,1355,-0.019747,-1.199),(6055,1365,-0.05451,-1.2051),(6055,1375,-0.075474,-1.2111),(6055,1385,-0.094308,-1.2172),(6055,1395,-0.11314,-1.2271),(6055,1405,-0.13198,-1.2376),(6055,1415,-0.1267,-1.248),(6055,1425,-0.11892,-1.2585),(6055,1435,-0.11115,-1.2654),(6055,1445,-0.10337,-1.2719),(6055,1455,-0.096564,-1.2785),(6055,1465,-0.089816,-1.2851),(6055,1475,-0.083067,-1.2887),(6055,1485,-0.076319,-1.2923),(6055,1495,-0.071098,-1.2958),(6055,1505,-0.065899,-1.2994),(6055,1515,-0.060701,-1.3014),(6055,1525,-0.055538,-1.3035),(6055,1535,-0.051766,-1.3056),(6055,1545,-0.047994,-1.3076),(6055,1555,-0.044222,-1.3087),(6055,1565,-0.040519,-1.3098),(6055,1575,-0.037814,-1.3109),(6055,1585,-0.035109,-1.3119),(6055,1595,-0.032404,-1.3123),(6055,1605,-0.029774,-1.3128),(6055,1615,-0.027793,-1.3132),(6055,1625,-0.025811,-1.3136),(6055,1635,-0.023829,-1.3137),(6055,1645,-0.021935,-1.3138),(6055,1655,-0.020557,-1.3139),(6055,1665,-0.01918,-1.3139),(6055,1675,-0.017802,-1.3138),(6055,1685,-0.016491,-1.3137),(6055,1695,-0.015471,-1.3136),(6055,1705,-0.014452,-1.3135),(6055,1715,-0.013433,-1.3133),(6055,1725,-0.012459,-1.3132),(6055,1735,-0.011645,-1.313),(6055,1745,-0.01083,-1.3128),(6055,1755,-0.010016,-1.3126),(6055,1765,-0.009268,-1.3123),(6055,1775,-0.008706,-1.312),(6055,1785,-0.008145,-1.3118),(6055,1795,-0.007583,-1.3114),(6055,1805,-0.007066,-1.3111),(6055,1815,-0.006653,-1.3108),(6055,1825,-0.00624,-1.3105),(6055,1835,-0.005826,-1.3102),(6055,1845,-0.005421,-1.3099),(6055,1855,-0.005032,-1.3096),(6055,1865,-0.004644,-1.3093),(6055,1875,-0.004255,-1.309),(6055,1885,-0.003914,-1.3087),(6055,1895,-0.003652,-1.3084),(6055,1905,-0.003389,-1.308),(6055,1915,-0.003127,-1.3077),(6055,1925,-0.002896,-1.3073),(6055,1935,-0.002708,-1.307),(6055,1945,-0.002521,-1.3067),(6055,1955,-0.002333,-1.3064),(6055,1965,-0.002148,-1.3062),(6055,1975,-0.001966,-1.3059),(6055,1985,-0.001785,-1.3056),(6055,1995,-0.001604,-1.3053),(6055,2005,-0.001436,-1.3049),(6055,2015,-0.001282,-1.3046),(6055,2025,-0.001127,-1.3043),(6055,2035,-0.000973,-1.304),(6055,2045,-0.000832,-1.3037),(6055,2055,-0.000702,-1.3035),(6055,2065,-0.000572,-1.3031),(6055,2075,-0.000443,-1.3028),(6055,2085,-0.000337,-1.3025),(6055,2095,-0.000248,-1.3021),(6055,2105,-0.000159,-1.3018),(6055,2115,-7e-05,-1.3015),(6055,2125,1.6e-05,-1.3012),(6055,2135,9.9e-05,-1.3009),(6055,2145,0.000182,-1.3006),(6055,2155,0.000265,-1.3003),(6055,2165,0.000341,-1.3001),(6055,2175,0.000412,-1.2998),(6055,2185,0.000483,-1.2994),(6055,2195,0.000554,-1.2991),(6055,2205,0.000625,-1.2987),(6055,2215,0.000695,-1.2983),(6055,2225,0.000764,-1.2979),(6055,2235,0.000834,-1.2976),(6055,2245,0.000904,-1.2972),(6055,2255,0.000974,-1.2969),(6055,2265,0.001044,-1.2965),(6055,2275,0.001114,-1.2961),(6055,2285,0.00113,-1.2958),(6055,2295,0.00113,-1.2954),(6055,2305,0.001131,-1.2949),(6055,2315,0.001132,-1.2945),(6055,2325,0.001134,-1.294),(6055,2335,0.001136,-1.2935),(6055,2345,0.001139,-1.2931),(6055,2355,0.001141,-1.2927),(6055,2365,0.001203,-1.2924),(6055,2375,0.001276,-1.292),(6055,2385,0.001348,-1.2916),(6055,2395,0.001421,-1.2912),(6055,2405,0.001504,-1.2908),(6055,2415,0.001589,-1.2904),(6055,2425,0.001674,-1.29),(6055,2435,0.001759,-1.2895),(6055,2445,0.001831,-1.2891),(6055,2455,0.001901,-1.2887),(6055,2465,0.001972,-1.2883),(6055,2475,0.002042,-1.2879),(6055,2485,0.002067,-1.2876),(6055,2495,0.00209,-1.2872),(6055,2505,0.002114,-1.2866),(6055,2515,0.002137,-1.2861),(6055,2525,0.002126,-1.2855),(6055,2535,0.002116,-1.2849),(6055,2545,0.002105,-1.2844),(6055,2555,0.002097,-1.2838),(6055,2565,0.002146,-1.2832),(6055,2575,0.002195,-1.2826),(6055,2585,0.002244,-1.2821),(6055,2595,0.002297,-1.2817),(6055,2605,0.002385,-1.2812),(6055,2615,0.002473,-1.2807),(6055,2625,0.002561,-1.2801),(6055,2635,0.002644,-1.2796),(6055,2645,0.002692,-1.279),(6055,2655,0.00274,-1.2785),(6055,2665,0.002788,-1.2778),(6055,2675,0.002834,-1.2772),(6055,2685,0.002868,-1.2766),(6055,2695,0.002903,-1.276),(6055,2705,0.002937,-1.2754),(6055,2715,0.002972,-1.2749),(6055,2725,0.003011,-1.2743),(6055,2735,0.003051,-1.2738),(6055,2745,0.00309,-1.2731),(6055,2755,0.003128,-1.2725),(6055,2765,0.003163,-1.2719),(6055,2775,0.003198,-1.2712),(6055,2785,0.003232,-1.2705),(6055,2795,0.003272,-1.2698),(6055,2805,0.003324,-1.2691),(6055,2815,0.003376,-1.2684),(6055,2825,0.003428,-1.2678),(6055,2835,0.003479,-1.2672),(6055,2845,0.003529,-1.2665),(6055,2855,0.003579,-1.2659),(6055,2865,0.003629,-1.2652),(6055,2875,0.003677,-1.2645),(6055,2885,0.003723,-1.2639),(6055,2895,0.003769,-1.2631),(6055,2905,0.003814,-1.2624),(6055,2915,0.003867,-1.2616),(6055,2925,0.003929,-1.2608),(6055,2935,0.003992,-1.26),(6055,2945,0.004055,-1.2592),(6055,2955,0.004113,-1.2585),(6055,2965,0.004166,-1.2577),(6055,2975,0.004219,-1.2569),(6055,2985,0.004272,-1.2561),(6055,2995,0.004311,-1.2553),(6055,3005,0.004336,-1.2546),(6055,3015,0.00436,-1.2538),(6055,3025,0.004385,-1.2529),(6055,3035,0.004422,-1.2521),(6055,3045,0.00447,-1.2513),(6055,3055,0.004518,-1.2504),(6055,3065,0.004567,-1.2496),(6055,3075,0.004629,-1.2487),(6055,3085,0.004702,-1.2479),(6055,3095,0.004775,-1.247),(6055,3105,0.004849,-1.2461),(6055,3115,0.004927,-1.2452),(6055,3125,0.005008,-1.2444),(6055,3135,0.005089,-1.2435),(6055,3145,0.00517,-1.2426),(6055,3155,0.005254,-1.2417),(6055,3165,0.005338,-1.2409),(6055,3175,0.005422,-1.2399),(6055,3185,0.005506,-1.239),(6055,3195,0.005576,-1.2381),(6055,3205,0.005638,-1.2371),(6055,3215,0.005701,-1.2361),(6055,3225,0.005764,-1.2351),(6055,3235,0.005842,-1.2341),(6055,3245,0.005925,-1.2331),(6055,3255,0.006009,-1.2322),(6055,3265,0.006092,-1.2312),(6055,3275,0.00621,-1.2303),(6055,3285,0.006339,-1.2293),(6055,3295,0.006467,-1.2283),(6055,3305,0.006596,-1.2273),(6055,3315,0.006719,-1.2264),(6055,3325,0.006841,-1.2254),(6055,3335,0.006963,-1.2243),(6055,3345,0.007085,-1.2232),(6055,3355,0.007203,-1.2222),(6055,3365,0.00732,-1.2211),(6055,3375,0.007437,-1.2201),(6055,3385,0.007555,-1.2191),(6055,3395,0.007731,-1.2181),(6055,3405,0.007916,-1.2171),(6055,3415,0.0081,-1.216),(6055,3425,0.008284,-1.215),(6055,3435,0.008539,-1.2139),(6055,3445,0.0088,-1.2129),(6055,3455,0.009062,-1.2118),(6055,3465,0.009323,-1.2106),(6055,3475,0.00963,-1.2095),(6055,3485,0.009939,-1.2084),(6055,3495,0.010249,-1.2073),(6055,3505,0.010558,-1.2062),(6055,3515,0.010963,-1.2051),(6055,3525,0.011368,-1.2041),(6055,3535,0.011773,-1.203),(6055,3545,0.012181,-1.2019),(6055,3555,0.012644,-1.2008),(6055,3565,0.013108,-1.1997),(6055,3575,0.013572,-1.1984),(6055,3585,0.01404,-1.1971),(6055,3595,0.014555,-1.1958),(6055,3605,0.01507,-1.1945),(6055,3615,0.015585,-1.1932),(6055,3625,0.016124,-1.192),(6055,3635,0.016835,-1.1907),(6055,3645,0.017545,-1.1894),(6055,3655,0.018256,-1.1881),(6055,3665,0.019001,-1.1868),(6055,3675,0.019924,-1.1854),(6055,3685,0.020848,-1.1841),(6055,3695,0.021771,-1.1826),(6055,3705,0.022754,-1.1812),(6055,3715,0.02397,-1.1797),(6055,3725,0.025187,-1.1782),(6055,3735,0.026404,-1.1764),(6055,3745,0.027729,-1.1746),(6055,3755,0.029395,-1.1729),(6055,3765,0.031061,-1.171),(6055,3775,0.032727,-1.1688),(6055,3785,0.034566,-1.1667),(6055,3795,0.036844,-1.1645),(6055,3805,0.039122,-1.1623),(6055,3815,0.0414,-1.1598),(6055,3825,0.043894,-1.1574),(6055,3835,0.046846,-1.1549),(6055,3845,0.049797,-1.1521),(6055,3855,0.052748,-1.1486),(6055,3865,0.055983,-1.145),(6055,3875,0.059722,-1.1415),(6055,3885,0.063461,-1.1376),(6055,3895,0.067199,-1.133),(6055,3905,0.071247,-1.1285),(6055,3915,0.075758,-1.1239),(6055,3925,0.080268,-1.1184),(6055,3935,0.084779,-1.1116),(6055,3945,0.089384,-1.1048),(6055,3955,0.094109,-1.098),(6055,3965,0.098834,-1.0902),(6055,3975,0.10356,-1.0811),(6055,3985,0.10369,-1.0721),(6055,3995,0.098861,-1.0631),(6055,4005,0.094028,-1.0542),(6055,4015,0.089195,-1.0452),(6055,4025,0.17101,-1.0363),(6055,4035,0.26129,-1.03),(6055,4045,0.35158,-1.029),(6055,4055,0.42836,-1.0279),(6055,4065,0.5002,-1.0268),(6055,4075,0.57205,-1.0251),(6055,4085,0.60464,-1.0233),(6055,4095,0.60569,-1.0216),(6055,4105,0.60674,-1.0198),(6055,4115,0.60779,-1.0181),(6055,4125,0.60885,-1.0164),(6055,4135,0.60992,-1.0147),(6055,4145,0.61099,-1.0131),(6055,4155,0.6121,-1.0115),(6055,4165,0.61321,-1.0098),(6055,4175,0.61432,-1.0081),(6055,4185,0.61551,-1.0064),(6055,4195,0.6167,-1.0047),(6055,4205,0.61789,-1.003),(6055,4215,0.61917,-1.0014),(6055,4225,0.62047,-0.99969),(6055,4235,0.62177,-0.99805),(6055,4245,0.62313,-0.9964),(6055,4255,0.62452,-0.99475),(6055,4265,0.62592,-0.993),(6055,4275,0.62737,-0.99126),(6055,4285,0.62888,-0.98951),(6055,4295,0.63039,-0.98773),(6055,4305,0.63194,-0.98595),(6055,4315,0.63358,-0.98417),(6055,4325,0.63523,-0.98239),(6055,4335,0.63688,-0.98062),(6055,4345,0.63864,-0.97886),(6055,4355,0.6404,-0.97703),(6055,4365,0.64216,-0.97515),(6055,4375,0.64401,-0.97327),(6055,4385,0.64586,-0.97138),(6055,4395,0.6477,-0.96947),(6055,4405,0.6496,-0.96757),(6055,4415,0.65152,-0.96565),(6055,4425,0.65344,-0.96367),(6055,4435,0.6554,-0.96168),(6055,4445,0.6574,-0.9597),(6055,4455,0.65939,-0.95767),(6055,4465,0.66143,-0.95563),(6055,4475,0.66353,-0.9536),(6055,4485,0.66564,-0.95149),(6055,4495,0.66776,-0.94935),(6055,4505,0.66998,-0.94722),(6055,4515,0.67219,-0.94505),(6055,4525,0.67441,-0.94288),(6055,4535,0.67671,-0.9407),(6055,4545,0.67902,-0.9385),(6055,4555,0.68132,-0.93626),(6055,4565,0.6837,-0.93403),(6055,4575,0.68608,-0.93175),(6055,4585,0.68847,-0.92938),(6055,4595,0.69091,-0.927),(6055,4605,0.69337,-0.92461),(6055,4615,0.69584,-0.92208),(6055,4625,0.69835,-0.91955),(6055,4635,0.7009,-0.91703),(6055,4645,0.70345,-0.91442),(6055,4655,0.70603,-0.91181),(6055,4665,0.70866,-0.90921),(6055,4675,0.71129,-0.90656),(6055,4685,0.71393,-0.90391),(6055,4695,0.71663,-0.90126),(6055,4705,0.71933,-0.89855),(6055,4715,0.72203,-0.89578),(6055,4725,0.72479,-0.89302),(6055,4735,0.72754,-0.89021),(6055,4745,0.7303,-0.88734),(6055,4755,0.73309,-0.88446),(6055,4765,0.73589,-0.88156),(6055,4775,0.73869,-0.87856),(6055,4785,0.7415,-0.87557),(6055,4795,0.74433,-0.87257),(6055,4805,0.74716,-0.86944),(6055,4815,0.74999,-0.86631),(6055,4825,0.75284,-0.86318),(6055,4835,0.75568,-0.85996),(6055,4845,0.75853,-0.85673),(6055,4855,0.7614,-0.8535),(6055,4865,0.76428,-0.85022),(6055,4875,0.76715,-0.84691),(6055,4885,0.77004,-0.84361),(6055,4895,0.77294,-0.84027),(6055,4905,0.77584,-0.83689),(6055,4915,0.77875,-0.83351),(6055,4925,0.78167,-0.8301),(6055,4935,0.78459,-0.82664),(6055,4945,0.78753,-0.82317),(6055,4955,0.79046,-0.81969),(6055,4965,0.7934,-0.81612),(6055,4975,0.79633,-0.81256),(6055,4985,0.79927,-0.80899),(6055,4995,0.8022,-0.80534),(6055,5005,0.80513,-0.80169),(6055,5015,0.80806,-0.79804),(6055,5025,0.81098,-0.79433),(6055,5035,0.8139,-0.7906),(6055,5045,0.81682,-0.78688),(6055,5055,0.81973,-0.7831),(6055,5065,0.82265,-0.7793),(6055,5075,0.82556,-0.77549),(6055,5085,0.82847,-0.77165),(6055,5095,0.83139,-0.76777),(6055,5105,0.83431,-0.76389),(6055,5115,0.83723,-0.75998),(6055,5125,0.84015,-0.75603),(6055,5135,0.84307,-0.75207),(6055,5145,0.84599,-0.7481),(6055,5155,0.8489,-0.74407),(6055,5165,0.8518,-0.74003),(6055,5175,0.85469,-0.736),(6055,5185,0.85758,-0.73189),(6055,5195,0.86045,-0.72778),(6055,5205,0.8633,-0.72367),(6055,5215,0.86615,-0.71951),(6055,5225,0.86899,-0.71532),(6055,5235,0.87181,-0.71114),(6055,5245,0.87462,-0.70692),(6055,5255,0.87743,-0.70266),(6055,5265,0.88021,-0.6984),(6055,5275,0.88299,-0.6941),(6055,5285,0.88577,-0.68976),(6055,5295,0.88853,-0.68541),(6055,5305,0.89129,-0.68105),(6055,5315,0.89405,-0.67663),(6055,5325,0.8968,-0.67222),(6055,5335,0.89956,-0.66781),(6055,5345,0.90231,-0.66338),(6055,5355,0.90507,-0.65895),(6055,5365,0.90782,-0.65452),(6055,5375,0.91058,-0.65006),(6055,5385,0.91332,-0.6456),(6055,5395,0.91605,-0.64113),(6055,5405,0.91879,-0.63659),(6055,5415,0.92151,-0.63202),(6055,5425,0.92419,-0.62745),(6055,5435,0.92687,-0.62283),(6055,5445,0.92955,-0.61818),(6055,5455,0.93217,-0.61353),(6055,5465,0.93479,-0.60887),(6055,5475,0.9374,-0.60421),(6055,5485,0.93998,-0.59954),(6055,5495,0.94255,-0.59487),(6055,5505,0.94511,-0.59015),(6055,5515,0.94766,-0.58544),(6055,5525,0.95019,-0.58073),(6055,5535,0.95272,-0.57593),(6055,5545,0.95524,-0.57113),(6055,5555,0.95775,-0.56633),(6055,5565,0.96025,-0.56148),(6055,5575,0.96275,-0.55662),(6055,5585,0.96522,-0.55176),(6055,5595,0.9677,-0.54687),(6055,5605,0.97017,-0.54197),(6055,5615,0.9726,-0.53706),(6055,5625,0.97503,-0.53213),(6055,5635,0.97746,-0.52715),(6055,5645,0.97984,-0.52218),(6055,5655,0.9822,-0.51719),(6055,5665,0.98457,-0.51217),(6055,5675,0.98688,-0.50714),(6055,5685,0.98918,-0.50212),(6055,5695,0.99147,-0.49707),(6055,5705,0.99373,-0.49203),(6055,5715,0.99597,-0.48699),(6055,5725,0.9982,-0.48189),(6055,5735,1.0004,-0.47677),(6055,5745,1.0026,-0.47166),(6055,5755,1.0048,-0.46652),(6055,5765,1.007,-0.46136),(6055,5775,1.0091,-0.4562),(6055,5785,1.0113,-0.45102),(6055,5795,1.0134,-0.44581),(6055,5805,1.0155,-0.44061),(6055,5815,1.0176,-0.43539),(6055,5825,1.0197,-0.43015),(6055,5835,1.0217,-0.4249),(6055,5845,1.0238,-0.41966),(6055,5855,1.0258,-0.41439),(6055,5865,1.0278,-0.40912),(6055,5875,1.0298,-0.40385),(6055,5885,1.0318,-0.39854),(6055,5895,1.0337,-0.39322),(6055,5905,1.0356,-0.38791),(6055,5915,1.0375,-0.38255),(6055,5925,1.0394,-0.37718),(6055,5935,1.0412,-0.37181),(6055,5945,1.043,-0.36643),(6055,5955,1.0449,-0.36104),(6055,5965,1.0466,-0.35565),(6055,5975,1.0484,-0.35024),(6055,5985,1.0501,-0.34479),(6055,5995,1.0518,-0.33935),(6055,6005,1.0535,-0.33387),(6055,6015,1.0551,-0.32831),(6055,6025,1.0567,-0.32276),(6055,6035,1.0583,-0.3172),(6055,6045,1.0598,-0.31164),(6055,6055,1.0614,-0.30608),(6055,6065,1.0629,-0.30052),(6055,6075,1.0643,-0.295),(6055,6085,1.0658,-0.28948),(6055,6095,1.0673,-0.28396),(6055,6105,1.0687,-0.2784),(6055,6115,1.0701,-0.27283),(6055,6125,1.0715,-0.26726),(6055,6135,1.0728,-0.26165),(6055,6145,1.0742,-0.25603),(6055,6155,1.0755,-0.2504),(6055,6165,1.0768,-0.24476),(6055,6175,1.0781,-0.23911),(6055,6185,1.0793,-0.23345),(6055,6195,1.0805,-0.22777),(6055,6205,1.0817,-0.22206),(6055,6215,1.0828,-0.21634),(6055,6225,1.0839,-0.21062),(6055,6235,1.085,-0.20487),(6055,6245,1.0861,-0.19911),(6055,6255,1.0871,-0.19336),(6055,6265,1.0881,-0.18763),(6055,6275,1.0891,-0.18192),(6055,6285,1.09,-0.1762),(6055,6295,1.091,-0.17047),(6055,6305,1.0919,-0.16473),(6055,6315,1.0927,-0.15899),(6055,6325,1.0936,-0.1532),(6055,6335,1.0945,-0.14735),(6055,6345,1.0952,-0.14151),(6055,6355,1.096,-0.1357),(6055,6365,1.0968,-0.12995),(6055,6375,1.0975,-0.1242),(6055,6385,1.0982,-0.11845),(6055,6395,1.0989,-0.11268),(6055,6405,1.0995,-0.10692),(6055,6415,1.1001,-0.10115),(6055,6425,1.1006,-0.095334),(6055,6435,1.1011,-0.089512),(6055,6445,1.1015,-0.083691),(6055,6455,1.102,-0.077847),(6055,6465,1.1024,-0.071998),(6055,6475,1.1027,-0.066148),(6055,6485,1.1031,-0.060289),(6055,6495,1.1034,-0.054423),(6055,6505,1.1037,-0.048557),(6055,6515,1.1039,-0.042674),(6055,6525,1.1042,-0.036766),(6055,6535,1.1044,-0.030858),(6055,6545,1.1046,-0.024983),(6055,6555,1.1048,-0.01921),(6055,6565,1.1049,-0.013437),(6055,6575,1.105,-0.007655),(6055,6585,1.1051,-0.00176),(6055,6595,0.93991,0.004135),(6055,6605,0.5923,0.01003),(6055,6615,0.2447,0.010697),(6055,6625,0.000351,0.010692),(6055,6635,0.000382,0.010687),(6055,6645,0.000414,0.010687),(6055,6655,0.000445,0.01069),(6055,6665,0.000476,0.010692),(6055,6675,0.000507,0.010695),(6055,6685,0.000539,0.010697),(6055,6695,0.000569,0.010699),(6055,6705,0.0006,0.010701),(6055,6715,0.000631,0.010702),(6055,6725,0.000662,0.010703),(6055,6735,0.000692,0.010705),(6055,6745,0.000723,0.010705),(6055,6755,0.000753,0.010706),(6055,6765,0.000783,0.010706),(6055,6775,0.000813,0.010706),(6055,6785,0.000843,0.010706),(6055,6795,0.000873,0.010706),(6055,6805,0.000902,0.010705),(6055,6815,0.000932,0.010704),(6055,6825,0.000961,0.010704),(6055,6835,0.00099,0.010702),(6055,6845,0.001019,0.010701),(6055,6855,0.001048,0.010699),(6055,6865,0.001077,0.010697),(6055,6875,0.001105,0.010695),(6055,6885,0.001134,0.010692),(6055,6895,0.001162,0.010689),(6055,6905,0.00119,0.010686),(6055,6915,0.001218,0.010683),(6055,6925,0.001245,0.01068),(6055,6935,0.001273,0.010676),(6055,6945,0.0013,0.010672),(6055,6955,0.001327,0.010668),(6055,6965,0.001355,0.010664),(6055,6975,0.001381,0.010659),(6055,6985,0.001408,0.010654),(6065,5,1.4e-05,-1.3197),(6065,15,4.3e-05,-1.3197),(6065,25,8.2e-05,-1.3197),(6065,35,0.00013,-1.3197),(6065,45,0.000178,-1.3197),(6065,55,0.000226,-1.3197),(6065,65,0.000241,-1.3197),(6065,75,0.00023,-1.3197),(6065,85,0.000219,-1.3197),(6065,95,0.000207,-1.3196),(6065,105,0.000198,-1.3194),(6065,115,0.00019,-1.3193),(6065,125,0.000183,-1.3193),(6065,135,0.000175,-1.3193),(6065,145,0.000191,-1.3193),(6065,155,0.000221,-1.3193),(6065,165,0.000251,-1.3193),(6065,175,0.000281,-1.3193),(6065,185,0.000327,-1.3194),(6065,195,0.000381,-1.3194),(6065,205,0.000436,-1.3194),(6065,215,0.00049,-1.3195),(6065,225,0.000544,-1.3195),(6065,235,0.000598,-1.3195),(6065,245,0.000652,-1.3195),(6065,255,0.000707,-1.3196),(6065,265,0.000751,-1.3196),(6065,275,0.000793,-1.3196),(6065,285,0.000834,-1.3196),(6065,295,0.000876,-1.3196),(6065,305,0.000884,-1.3196),(6065,315,0.000883,-1.3196),(6065,325,0.000882,-1.3195),(6065,335,0.000882,-1.3195),(6065,345,0.000864,-1.3195),(6065,355,0.000843,-1.3194),(6065,365,0.000822,-1.3193),(6065,375,0.000801,-1.3193),(6065,385,0.00078,-1.3192),(6065,395,0.00076,-1.3191),(6065,405,0.00074,-1.3191),(6065,415,0.00072,-1.319),(6065,425,0.000749,-1.3189),(6065,435,0.000782,-1.3189),(6065,445,0.000816,-1.3189),(6065,455,0.000849,-1.319),(6065,465,0.000913,-1.319),(6065,475,0.000978,-1.3191),(6065,485,0.001043,-1.3191),(6065,495,0.001108,-1.3191),(6065,505,0.001188,-1.319),(6065,515,0.001268,-1.319),(6065,525,0.001348,-1.3191),(6065,535,0.001428,-1.3191),(6065,545,0.00152,-1.3191),(6065,555,0.001611,-1.3191),(6065,565,0.001703,-1.3191),(6065,575,0.001794,-1.3191),(6065,585,0.001891,-1.3191),(6065,595,0.001988,-1.3191),(6065,605,0.002085,-1.3192),(6065,615,0.002184,-1.3193),(6065,625,0.002298,-1.3193),(6065,635,0.002412,-1.3194),(6065,645,0.002526,-1.3194),(6065,655,0.002642,-1.3194),(6065,665,0.002766,-1.3195),(6065,675,0.00289,-1.3195),(6065,685,0.003014,-1.3195),(6065,695,0.003143,-1.3194),(6065,705,0.003296,-1.3194),(6065,715,0.003448,-1.3194),(6065,725,0.0036,-1.3194),(6065,735,0.003762,-1.3194),(6065,745,0.003951,-1.3194),(6065,755,0.00414,-1.3194),(6065,765,0.004329,-1.3195),(6065,775,0.004536,-1.3195),(6065,785,0.004793,-1.3195),(6065,795,0.00505,-1.3195),(6065,805,0.005306,-1.3196),(6065,815,0.005584,-1.3196),(6065,825,0.00591,-1.3196),(6065,835,0.006235,-1.3196),(6065,845,0.00656,-1.3196),(6065,855,0.006927,-1.3196),(6065,865,0.007368,-1.3196),(6065,875,0.007809,-1.3196),(6065,885,0.00825,-1.3197),(6065,895,0.008745,-1.3198),(6065,905,0.009321,-1.3199),(6065,915,0.009898,-1.3199),(6065,925,0.010475,-1.3199),(6065,935,0.011106,-1.3199),(6065,945,0.011808,-1.3198),(6065,955,0.012511,-1.3198),(6065,965,0.013213,-1.3197),(6065,975,0.014025,-1.3196),(6065,985,0.014958,-1.3196),(6065,995,0.015891,-1.3195),(6065,1005,0.016825,-1.3193),(6065,1015,0.017939,-1.3192),(6065,1025,0.019228,-1.319),(6065,1035,0.020517,-1.3187),(6065,1045,0.021806,-1.3184),(6065,1055,0.023366,-1.318),(6065,1065,0.02515,-1.3176),(6065,1075,0.026933,-1.3171),(6065,1085,0.028717,-1.3165),(6065,1095,0.030903,-1.316),(6065,1105,0.033371,-1.3154),(6065,1115,0.035838,-1.3144),(6065,1125,0.038305,-1.3131),(6065,1135,0.041347,-1.3119),(6065,1145,0.044728,-1.3106),(6065,1155,0.048109,-1.3087),(6065,1165,0.05149,-1.3064),(6065,1175,0.055695,-1.3041),(6065,1185,0.060309,-1.3018),(6065,1195,0.064922,-1.2985),(6065,1205,0.069536,-1.2947),(6065,1215,0.075162,-1.2909),(6065,1225,0.081205,-1.2871),(6065,1235,0.087248,-1.2815),(6065,1245,0.093291,-1.2751),(6065,1255,0.099938,-1.2688),(6065,1265,0.10679,-1.2624),(6065,1275,0.11364,-1.2532),(6065,1285,0.12049,-1.243),(6065,1295,0.11199,-1.2329),(6065,1305,0.099334,-1.2227),(6065,1315,0.086678,-1.2153),(6065,1325,0.074021,-1.2085),(6065,1335,0.045566,-1.2017),(6065,1345,0.013799,-1.1949),(6065,1355,-0.017968,-1.1985),(6065,1365,-0.049735,-1.204),(6065,1375,-0.069133,-1.2095),(6065,1385,-0.086623,-1.2149),(6065,1395,-0.10411,-1.2245),(6065,1405,-0.1216,-1.2346),(6065,1415,-0.11704,-1.2446),(6065,1425,-0.11018,-1.2547),(6065,1435,-0.10332,-1.2617),(6065,1445,-0.096468,-1.2684),(6065,1455,-0.090327,-1.2751),(6065,1465,-0.084227,-1.2818),(6065,1475,-0.078128,-1.2857),(6065,1485,-0.072028,-1.2894),(6065,1495,-0.067246,-1.2932),(6065,1505,-0.062485,-1.2969),(6065,1515,-0.057723,-1.2991),(6065,1525,-0.052992,-1.3014),(6065,1535,-0.049484,-1.3036),(6065,1545,-0.045976,-1.3059),(6065,1555,-0.042468,-1.3071),(6065,1565,-0.039022,-1.3083),(6065,1575,-0.036483,-1.3095),(6065,1585,-0.033943,-1.3107),(6065,1595,-0.031403,-1.3112),(6065,1605,-0.028931,-1.3117),(6065,1615,-0.027038,-1.3122),(6065,1625,-0.025145,-1.3127),(6065,1635,-0.023252,-1.3129),(6065,1645,-0.02144,-1.313),(6065,1655,-0.020109,-1.3132),(6065,1665,-0.018778,-1.3133),(6065,1675,-0.017446,-1.3133),(6065,1685,-0.01618,-1.3132),(6065,1695,-0.015207,-1.3131),(6065,1705,-0.014233,-1.313),(6065,1715,-0.013259,-1.3129),(6065,1725,-0.012323,-1.3127),(6065,1735,-0.011521,-1.3126),(6065,1745,-0.010719,-1.3124),(6065,1755,-0.009916,-1.3122),(6065,1765,-0.009174,-1.312),(6065,1775,-0.0086,-1.3118),(6065,1785,-0.008027,-1.3116),(6065,1795,-0.007453,-1.3112),(6065,1805,-0.006932,-1.3109),(6065,1815,-0.006532,-1.3106),(6065,1825,-0.006132,-1.3103),(6065,1835,-0.005732,-1.31),(6065,1845,-0.005343,-1.3097),(6065,1855,-0.004972,-1.3095),(6065,1865,-0.004602,-1.3092),(6065,1875,-0.004232,-1.3089),(6065,1885,-0.003895,-1.3086),(6065,1895,-0.003613,-1.3083),(6065,1905,-0.003331,-1.3079),(6065,1915,-0.003049,-1.3076),(6065,1925,-0.002802,-1.3073),(6065,1935,-0.002603,-1.3069),(6065,1945,-0.002404,-1.3066),(6065,1955,-0.002205,-1.3063),(6065,1965,-0.002023,-1.3061),(6065,1975,-0.001861,-1.3058),(6065,1985,-0.001699,-1.3055),(6065,1995,-0.001537,-1.3052),(6065,2005,-0.001391,-1.3048),(6065,2015,-0.00126,-1.3045),(6065,2025,-0.00113,-1.3042),(6065,2035,-0.000999,-1.3039),(6065,2045,-0.000878,-1.3036),(6065,2055,-0.000764,-1.3034),(6065,2065,-0.00065,-1.3031),(6065,2075,-0.000536,-1.3027),(6065,2085,-0.000437,-1.3024),(6065,2095,-0.000348,-1.3021),(6065,2105,-0.00026,-1.3018),(6065,2115,-0.000172,-1.3015),(6065,2125,-7.8e-05,-1.3011),(6065,2135,2.1e-05,-1.3008),(6065,2145,0.000119,-1.3005),(6065,2155,0.000218,-1.3003),(6065,2165,0.000305,-1.3),(6065,2175,0.000387,-1.2998),(6065,2185,0.000469,-1.2994),(6065,2195,0.000551,-1.299),(6065,2205,0.000621,-1.2986),(6065,2215,0.000685,-1.2983),(6065,2225,0.00075,-1.2979),(6065,2235,0.000815,-1.2975),(6065,2245,0.000885,-1.2972),(6065,2255,0.000958,-1.2968),(6065,2265,0.001031,-1.2965),(6065,2275,0.001104,-1.2961),(6065,2285,0.001131,-1.2958),(6065,2295,0.001144,-1.2954),(6065,2305,0.001156,-1.295),(6065,2315,0.001169,-1.2945),(6065,2325,0.001169,-1.294),(6065,2335,0.001166,-1.2936),(6065,2345,0.001163,-1.2931),(6065,2355,0.00116,-1.2927),(6065,2365,0.001211,-1.2923),(6065,2375,0.00127,-1.2919),(6065,2385,0.00133,-1.2915),(6065,2395,0.00139,-1.2911),(6065,2405,0.001473,-1.2907),(6065,2415,0.001559,-1.2903),(6065,2425,0.001646,-1.2899),(6065,2435,0.001732,-1.2895),(6065,2445,0.001819,-1.2891),(6065,2455,0.001906,-1.2887),(6065,2465,0.001993,-1.2883),(6065,2475,0.00208,-1.2879),(6065,2485,0.002129,-1.2876),(6065,2495,0.002175,-1.2872),(6065,2505,0.002223,-1.2866),(6065,2515,0.002269,-1.2861),(6065,2525,0.002267,-1.2855),(6065,2535,0.002264,-1.285),(6065,2545,0.002262,-1.2844),(6065,2555,0.002262,-1.2838),(6065,2565,0.002298,-1.2832),(6065,2575,0.002335,-1.2826),(6065,2585,0.002371,-1.2821),(6065,2595,0.002412,-1.2816),(6065,2605,0.002491,-1.2811),(6065,2615,0.00257,-1.2806),(6065,2625,0.002649,-1.2801),(6065,2635,0.002724,-1.2795),(6065,2645,0.002774,-1.279),(6065,2655,0.002824,-1.2784),(6065,2665,0.002874,-1.2778),(6065,2675,0.002922,-1.2772),(6065,2685,0.002957,-1.2766),(6065,2695,0.002992,-1.276),(6065,2705,0.003027,-1.2754),(6065,2715,0.003063,-1.2749),(6065,2725,0.003098,-1.2743),(6065,2735,0.003133,-1.2738),(6065,2745,0.003168,-1.2731),(6065,2755,0.003202,-1.2725),(6065,2765,0.003232,-1.2719),(6065,2775,0.003262,-1.2712),(6065,2785,0.003291,-1.2705),(6065,2795,0.003327,-1.2698),(6065,2805,0.003379,-1.2691),(6065,2815,0.00343,-1.2684),(6065,2825,0.003481,-1.2678),(6065,2835,0.003532,-1.2671),(6065,2845,0.003581,-1.2665),(6065,2855,0.00363,-1.2659),(6065,2865,0.00368,-1.2652),(6065,2875,0.003723,-1.2645),(6065,2885,0.003757,-1.2638),(6065,2895,0.00379,-1.2631),(6065,2905,0.003824,-1.2623),(6065,2915,0.003865,-1.2615),(6065,2925,0.003917,-1.2608),(6065,2935,0.003969,-1.26),(6065,2945,0.004021,-1.2592),(6065,2955,0.004074,-1.2584),(6065,2965,0.00413,-1.2576),(6065,2975,0.004185,-1.2569),(6065,2985,0.004241,-1.2561),(6065,2995,0.004284,-1.2553),(6065,3005,0.004314,-1.2546),(6065,3015,0.004344,-1.2538),(6065,3025,0.004373,-1.2529),(6065,3035,0.004412,-1.2521),(6065,3045,0.004459,-1.2513),(6065,3055,0.004506,-1.2504),(6065,3065,0.004553,-1.2495),(6065,3075,0.004614,-1.2487),(6065,3085,0.004685,-1.2478),(6065,3095,0.004757,-1.247),(6065,3105,0.004828,-1.2461),(6065,3115,0.004905,-1.2452),(6065,3125,0.004986,-1.2443),(6065,3135,0.005066,-1.2434),(6065,3145,0.005147,-1.2426),(6065,3155,0.005233,-1.2417),(6065,3165,0.005321,-1.2408),(6065,3175,0.005409,-1.2399),(6065,3185,0.005497,-1.239),(6065,3195,0.005568,-1.238),(6065,3205,0.005633,-1.2371),(6065,3215,0.005697,-1.2361),(6065,3225,0.005761,-1.2351),(6065,3235,0.005832,-1.2341),(6065,3245,0.005904,-1.2331),(6065,3255,0.005977,-1.2321),(6065,3265,0.00605,-1.2312),(6065,3275,0.006159,-1.2302),(6065,3285,0.00628,-1.2292),(6065,3295,0.006402,-1.2283),(6065,3305,0.006523,-1.2273),(6065,3315,0.006653,-1.2263),(6065,3325,0.006786,-1.2253),(6065,3335,0.006918,-1.2243),(6065,3345,0.007051,-1.2232),(6065,3355,0.007181,-1.2221),(6065,3365,0.007311,-1.2211),(6065,3375,0.00744,-1.22),(6065,3385,0.00757,-1.219),(6065,3395,0.007744,-1.218),(6065,3405,0.007924,-1.217),(6065,3415,0.008104,-1.2159),(6065,3425,0.008284,-1.2149),(6065,3435,0.008535,-1.2138),(6065,3445,0.008791,-1.2128),(6065,3455,0.009047,-1.2116),(6065,3465,0.009303,-1.2105),(6065,3475,0.009609,-1.2093),(6065,3485,0.009915,-1.2082),(6065,3495,0.010222,-1.2071),(6065,3505,0.010529,-1.206),(6065,3515,0.010929,-1.2049),(6065,3525,0.011328,-1.2038),(6065,3535,0.011728,-1.2027),(6065,3545,0.01213,-1.2017),(6065,3555,0.012597,-1.2006),(6065,3565,0.013063,-1.1995),(6065,3575,0.013529,-1.1982),(6065,3585,0.013998,-1.1968),(6065,3595,0.0145,-1.1955),(6065,3605,0.015003,-1.1942),(6065,3615,0.015506,-1.1929),(6065,3625,0.01603,-1.1916),(6065,3635,0.016709,-1.1903),(6065,3645,0.017389,-1.189),(6065,3655,0.018068,-1.1877),(6065,3665,0.018782,-1.1863),(6065,3675,0.019674,-1.1849),(6065,3685,0.020566,-1.1836),(6065,3695,0.021457,-1.1821),(6065,3705,0.022408,-1.1806),(6065,3715,0.023589,-1.1791),(6065,3725,0.024769,-1.1775),(6065,3735,0.02595,-1.1757),(6065,3745,0.027225,-1.1738),(6065,3755,0.028795,-1.1719),(6065,3765,0.030365,-1.17),(6065,3775,0.031935,-1.1677),(6065,3785,0.033651,-1.1655),(6065,3795,0.03574,-1.1632),(6065,3805,0.037828,-1.1609),(6065,3815,0.039917,-1.1583),(6065,3825,0.042224,-1.1558),(6065,3835,0.044993,-1.1532),(6065,3845,0.047762,-1.1503),(6065,3855,0.05053,-1.1466),(6065,3865,0.053533,-1.143),(6065,3875,0.056948,-1.1393),(6065,3885,0.060364,-1.1353),(6065,3895,0.06378,-1.1306),(6065,3905,0.067466,-1.1259),(6065,3915,0.071554,-1.1213),(6065,3925,0.075643,-1.1157),(6065,3935,0.079731,-1.1088),(6065,3945,0.083862,-1.102),(6065,3955,0.088047,-1.0951),(6065,3965,0.092232,-1.0874),(6065,3975,0.096417,-1.0786),(6065,3985,0.096358,-1.0699),(6065,3995,0.091706,-1.0611),(6065,4005,0.087053,-1.0526),(6065,4015,0.082401,-1.0442),(6065,4025,0.16563,-1.0359),(6065,4035,0.25746,-1.0299),(6065,4045,0.34929,-1.0289),(6065,4055,0.42622,-1.0279),(6065,4065,0.49771,-1.0268),(6065,4075,0.5692,-1.025),(6065,4085,0.60163,-1.0233),(6065,4095,0.60268,-1.0215),(6065,4105,0.60374,-1.0198),(6065,4115,0.6048,-1.018),(6065,4125,0.60587,-1.0163),(6065,4135,0.60694,-1.0146),(6065,4145,0.60802,-1.0129),(6065,4155,0.60913,-1.0113),(6065,4165,0.61024,-1.0096),(6065,4175,0.61136,-1.0079),(6065,4185,0.61255,-1.0062),(6065,4195,0.61373,-1.0045),(6065,4205,0.61492,-1.0028),(6065,4215,0.6162,-1.0011),(6065,4225,0.61749,-0.99939),(6065,4235,0.61878,-0.99774),(6065,4245,0.62013,-0.99608),(6065,4255,0.62151,-0.99442),(6065,4265,0.6229,-0.99266),(6065,4275,0.62433,-0.99089),(6065,4285,0.62583,-0.98913),(6065,4295,0.62732,-0.98734),(6065,4305,0.62885,-0.98554),(6065,4315,0.63048,-0.98374),(6065,4325,0.6321,-0.98195),(6065,4335,0.63374,-0.98017),(6065,4345,0.63548,-0.97839),(6065,4355,0.63722,-0.97655),(6065,4365,0.63896,-0.97466),(6065,4375,0.64079,-0.97278),(6065,4385,0.64262,-0.97088),(6065,4395,0.64446,-0.96898),(6065,4405,0.64635,-0.96707),(6065,4415,0.64825,-0.96515),(6065,4425,0.65015,-0.96315),(6065,4435,0.6521,-0.96115),(6065,4445,0.65408,-0.95915),(6065,4455,0.65606,-0.9571),(6065,4465,0.65808,-0.95505),(6065,4475,0.66016,-0.953),(6065,4485,0.66224,-0.95086),(6065,4495,0.66434,-0.94871),(6065,4505,0.66652,-0.94655),(6065,4515,0.6687,-0.94438),(6065,4525,0.67089,-0.94219),(6065,4535,0.67317,-0.94),(6065,4545,0.67544,-0.93779),(6065,4555,0.67772,-0.93555),(6065,4565,0.68006,-0.93331),(6065,4575,0.68242,-0.93103),(6065,4585,0.68477,-0.92865),(6065,4595,0.68718,-0.92626),(6065,4605,0.68962,-0.92386),(6065,4615,0.69205,-0.92133),(6065,4625,0.69453,-0.91879),(6065,4635,0.69704,-0.91626),(6065,4645,0.69955,-0.91365),(6065,4655,0.70209,-0.91103),(6065,4665,0.70468,-0.90842),(6065,4675,0.70727,-0.90578),(6065,4685,0.70987,-0.90313),(6065,4695,0.71253,-0.90048),(6065,4705,0.71519,-0.89776),(6065,4715,0.71785,-0.895),(6065,4725,0.72057,-0.89224),(6065,4735,0.72329,-0.88944),(6065,4745,0.72601,-0.88657),(6065,4755,0.72877,-0.88369),(6065,4765,0.73154,-0.88079),(6065,4775,0.73431,-0.87781),(6065,4785,0.73709,-0.87482),(6065,4795,0.73989,-0.87182),(6065,4805,0.74268,-0.8687),(6065,4815,0.74549,-0.86558),(6065,4825,0.7483,-0.86246),(6065,4835,0.75111,-0.85925),(6065,4845,0.75393,-0.85602),(6065,4855,0.75677,-0.8528),(6065,4865,0.7596,-0.84952),(6065,4875,0.76244,-0.84622),(6065,4885,0.7653,-0.84292),(6065,4895,0.76816,-0.83958),(6065,4905,0.77102,-0.8362),(6065,4915,0.7739,-0.83283),(6065,4925,0.77679,-0.82942),(6065,4935,0.77967,-0.82596),(6065,4945,0.78257,-0.8225),(6065,4955,0.78547,-0.81902),(6065,4965,0.78838,-0.81546),(6065,4975,0.79128,-0.8119),(6065,4985,0.79419,-0.80834),(6065,4995,0.7971,-0.8047),(6065,5005,0.8,-0.80106),(6065,5015,0.8029,-0.79741),(6065,5025,0.80579,-0.79371),(6065,5035,0.80869,-0.78998),(6065,5045,0.81157,-0.78626),(6065,5055,0.81445,-0.78248),(6065,5065,0.81734,-0.77868),(6065,5075,0.82022,-0.77488),(6065,5085,0.8231,-0.77104),(6065,5095,0.82598,-0.76715),(6065,5105,0.82886,-0.76326),(6065,5115,0.83175,-0.75936),(6065,5125,0.83464,-0.75541),(6065,5135,0.83752,-0.75145),(6065,5145,0.84041,-0.74749),(6065,5155,0.8433,-0.74346),(6065,5165,0.84617,-0.73944),(6065,5175,0.84904,-0.73541),(6065,5185,0.8519,-0.73132),(6065,5195,0.85475,-0.72722),(6065,5205,0.85759,-0.72312),(6065,5215,0.86042,-0.71896),(6065,5225,0.86324,-0.71479),(6065,5235,0.86604,-0.71062),(6065,5245,0.86883,-0.7064),(6065,5255,0.87163,-0.70215),(6065,5265,0.87438,-0.69789),(6065,5275,0.87714,-0.69361),(6065,5285,0.87989,-0.68926),(6065,5295,0.88262,-0.68492),(6065,5305,0.88535,-0.68056),(6065,5315,0.88807,-0.67614),(6065,5325,0.8908,-0.67172),(6065,5335,0.89352,-0.66731),(6065,5345,0.89623,-0.66287),(6065,5355,0.89895,-0.65844),(6065,5365,0.90168,-0.65401),(6065,5375,0.9044,-0.64955),(6065,5385,0.90712,-0.64509),(6065,5395,0.90983,-0.64063),(6065,5405,0.91254,-0.6361),(6065,5415,0.91525,-0.63154),(6065,5425,0.91791,-0.62698),(6065,5435,0.92058,-0.62238),(6065,5445,0.92325,-0.61774),(6065,5455,0.92586,-0.6131),(6065,5465,0.92846,-0.60845),(6065,5475,0.93107,-0.60379),(6065,5485,0.93364,-0.59913),(6065,5495,0.93619,-0.59446),(6065,5505,0.93874,-0.58975),(6065,5515,0.94126,-0.58504),(6065,5525,0.94377,-0.58032),(6065,5535,0.94627,-0.57552),(6065,5545,0.94876,-0.57072),(6065,5555,0.95123,-0.56591),(6065,5565,0.95371,-0.56107),(6065,5575,0.95617,-0.5562),(6065,5585,0.95861,-0.55134),(6065,5595,0.96106,-0.54645),(6065,5605,0.9635,-0.54155),(6065,5615,0.9659,-0.53665),(6065,5625,0.96831,-0.53172),(6065,5635,0.97071,-0.52676),(6065,5645,0.97307,-0.52179),(6065,5655,0.97542,-0.51682),(6065,5665,0.97776,-0.5118),(6065,5675,0.98007,-0.50679),(6065,5685,0.98235,-0.50177),(6065,5695,0.98463,-0.49673),(6065,5705,0.98688,-0.49169),(6065,5715,0.98909,-0.48666),(6065,5725,0.99131,-0.48155),(6065,5735,0.99352,-0.47644),(6065,5745,0.99568,-0.47133),(6065,5755,0.99785,-0.46618),(6065,5765,1,-0.46102),(6065,5775,1.0021,-0.45586),(6065,5785,1.0043,-0.45068),(6065,5795,1.0064,-0.44547),(6065,5805,1.0085,-0.44027),(6065,5815,1.0105,-0.43505),(6065,5825,1.0126,-0.4298),(6065,5835,1.0146,-0.42456),(6065,5845,1.0166,-0.41931),(6065,5855,1.0187,-0.41405),(6065,5865,1.0206,-0.40878),(6065,5875,1.0226,-0.40351),(6065,5885,1.0246,-0.3982),(6065,5895,1.0265,-0.39289),(6065,5905,1.0284,-0.38759),(6065,5915,1.0302,-0.38223),(6065,5925,1.0321,-0.37687),(6065,5935,1.0339,-0.3715),(6065,5945,1.0357,-0.36613),(6065,5955,1.0376,-0.36075),(6065,5965,1.0393,-0.35536),(6065,5975,1.0411,-0.34996),(6065,5985,1.0428,-0.34452),(6065,5995,1.0445,-0.33909),(6065,6005,1.0461,-0.33362),(6065,6015,1.0478,-0.32807),(6065,6025,1.0494,-0.32252),(6065,6035,1.0509,-0.31697),(6065,6045,1.0525,-0.31142),(6065,6055,1.054,-0.30586),(6065,6065,1.0555,-0.3003),(6065,6075,1.057,-0.29477),(6065,6085,1.0585,-0.28925),(6065,6095,1.0599,-0.28372),(6065,6105,1.0613,-0.27816),(6065,6115,1.0627,-0.27259),(6065,6125,1.064,-0.26701),(6065,6135,1.0654,-0.26141),(6065,6145,1.0667,-0.25578),(6065,6155,1.068,-0.25016),(6065,6165,1.0693,-0.24452),(6065,6175,1.0705,-0.23887),(6065,6185,1.0718,-0.23322),(6065,6195,1.0729,-0.22756),(6065,6205,1.0741,-0.22185),(6065,6215,1.0753,-0.21614),(6065,6225,1.0764,-0.21043),(6065,6235,1.0775,-0.20468),(6065,6245,1.0785,-0.19893),(6065,6255,1.0795,-0.19318),(6065,6265,1.0805,-0.18746),(6065,6275,1.0815,-0.18174),(6065,6285,1.0824,-0.17602),(6065,6295,1.0833,-0.17028),(6065,6305,1.0842,-0.16454),(6065,6315,1.0851,-0.1588),(6065,6325,1.0859,-0.15301),(6065,6335,1.0868,-0.14716),(6065,6345,1.0875,-0.14132),(6065,6355,1.0883,-0.1355),(6065,6365,1.0891,-0.12976),(6065,6375,1.0898,-0.12402),(6065,6385,1.0904,-0.11828),(6065,6395,1.0911,-0.11253),(6065,6405,1.0917,-0.10679),(6065,6415,1.0923,-0.10104),(6065,6425,1.0929,-0.09523),(6065,6435,1.0934,-0.08942),(6065,6445,1.0938,-0.083609),(6065,6455,1.0943,-0.077771),(6065,6465,1.0947,-0.071924),(6065,6475,1.095,-0.066078),(6065,6485,1.0953,-0.060217),(6065,6495,1.0957,-0.054347),(6065,6505,1.0959,-0.048477),(6065,6515,1.0962,-0.04259),(6065,6525,1.0964,-0.036681),(6065,6535,1.0966,-0.030772),(6065,6545,1.0968,-0.024898),(6065,6555,1.097,-0.019133),(6065,6565,1.0971,-0.013368),(6065,6575,1.0972,-0.007595),(6065,6585,1.0973,-0.001717),(6065,6595,0.9333,0.004162),(6065,6605,0.58814,0.010041),(6065,6615,0.24298,0.010712),(6065,6625,0.000347,0.010714),(6065,6635,0.000379,0.010716),(6065,6645,0.00041,0.010718),(6065,6655,0.000442,0.010721),(6065,6665,0.000473,0.010724),(6065,6675,0.000505,0.010726),(6065,6685,0.000536,0.010728),(6065,6695,0.000567,0.01073),(6065,6705,0.000598,0.010731),(6065,6715,0.000629,0.010733),(6065,6725,0.00066,0.010734),(6065,6735,0.00069,0.010735),(6065,6745,0.000721,0.010735),(6065,6755,0.000751,0.010736),(6065,6765,0.000782,0.010736),(6065,6775,0.000812,0.010736),(6065,6785,0.000842,0.010736),(6065,6795,0.000872,0.010736),(6065,6805,0.000902,0.010735),(6065,6815,0.000932,0.010734),(6065,6825,0.000961,0.010733),(6065,6835,0.00099,0.010731),(6065,6845,0.00102,0.010729),(6065,6855,0.001049,0.010728),(6065,6865,0.001077,0.010725),(6065,6875,0.001106,0.010723),(6065,6885,0.001135,0.01072),(6065,6895,0.001163,0.010718),(6065,6905,0.001192,0.010714),(6065,6915,0.00122,0.010711),(6065,6925,0.001247,0.010707),(6065,6935,0.001275,0.010703),(6065,6945,0.001303,0.010699),(6065,6955,0.00133,0.010695),(6065,6965,0.001357,0.01069),(6065,6975,0.001385,0.010686),(6065,6985,0.001411,0.010681),(6075,5,1e-05,-1.3197),(6075,15,3e-05,-1.3197),(6075,25,6.5e-05,-1.3197),(6075,35,0.000114,-1.3197),(6075,45,0.000163,-1.3197),(6075,55,0.000213,-1.3197),(6075,65,0.000233,-1.3197),(6075,75,0.000231,-1.3198),(6075,85,0.000228,-1.3197),(6075,95,0.000226,-1.3196),(6075,105,0.000217,-1.3195),(6075,115,0.000204,-1.3193),(6075,125,0.00019,-1.3193),(6075,135,0.000177,-1.3193),(6075,145,0.000187,-1.3193),(6075,155,0.000209,-1.3193),(6075,165,0.000231,-1.3193),(6075,175,0.000254,-1.3193),(6075,185,0.000294,-1.3193),(6075,195,0.000342,-1.3194),(6075,205,0.000391,-1.3194),(6075,215,0.000439,-1.3194),(6075,225,0.000492,-1.3195),(6075,235,0.000546,-1.3195),(6075,245,0.0006,-1.3195),(6075,255,0.000654,-1.3195),(6075,265,0.000707,-1.3195),(6075,275,0.000758,-1.3195),(6075,285,0.00081,-1.3195),(6075,295,0.000862,-1.3196),(6075,305,0.00088,-1.3196),(6075,315,0.000889,-1.3196),(6075,325,0.000899,-1.3195),(6075,335,0.000908,-1.3195),(6075,345,0.0009,-1.3195),(6075,355,0.000888,-1.3194),(6075,365,0.000876,-1.3194),(6075,375,0.000864,-1.3193),(6075,385,0.000843,-1.3192),(6075,395,0.00082,-1.3192),(6075,405,0.000798,-1.3191),(6075,415,0.000775,-1.319),(6075,425,0.000797,-1.319),(6075,435,0.000822,-1.3189),(6075,445,0.000848,-1.3189),(6075,455,0.000874,-1.319),(6075,465,0.00093,-1.319),(6075,475,0.000988,-1.319),(6075,485,0.001045,-1.319),(6075,495,0.001103,-1.319),(6075,505,0.001172,-1.319),(6075,515,0.001241,-1.319),(6075,525,0.00131,-1.319),(6075,535,0.001379,-1.319),(6075,545,0.001467,-1.319),(6075,555,0.001555,-1.319),(6075,565,0.001643,-1.319),(6075,575,0.001732,-1.3191),(6075,585,0.001835,-1.3191),(6075,595,0.001938,-1.3191),(6075,605,0.002041,-1.3191),(6075,615,0.002146,-1.3192),(6075,625,0.002263,-1.3193),(6075,635,0.00238,-1.3193),(6075,645,0.002496,-1.3193),(6075,655,0.002614,-1.3194),(6075,665,0.002738,-1.3194),(6075,675,0.002861,-1.3194),(6075,685,0.002985,-1.3194),(6075,695,0.003114,-1.3194),(6075,705,0.003265,-1.3194),(6075,715,0.003416,-1.3194),(6075,725,0.003567,-1.3194),(6075,735,0.003727,-1.3194),(6075,745,0.003914,-1.3194),(6075,755,0.004101,-1.3194),(6075,765,0.004289,-1.3194),(6075,775,0.004495,-1.3194),(6075,785,0.004753,-1.3194),(6075,795,0.005011,-1.3194),(6075,805,0.005269,-1.3195),(6075,815,0.005548,-1.3195),(6075,825,0.005873,-1.3195),(6075,835,0.006198,-1.3195),(6075,845,0.006524,-1.3195),(6075,855,0.006889,-1.3194),(6075,865,0.007326,-1.3194),(6075,875,0.007764,-1.3194),(6075,885,0.008202,-1.3195),(6075,895,0.008694,-1.3195),(6075,905,0.009273,-1.3196),(6075,915,0.009851,-1.3196),(6075,925,0.01043,-1.3196),(6075,935,0.011058,-1.3196),(6075,945,0.011752,-1.3196),(6075,955,0.012446,-1.3195),(6075,965,0.013139,-1.3194),(6075,975,0.013929,-1.3193),(6075,985,0.014826,-1.3192),(6075,995,0.015723,-1.319),(6075,1005,0.01662,-1.3189),(6075,1015,0.017686,-1.3187),(6075,1025,0.018914,-1.3185),(6075,1035,0.020143,-1.3181),(6075,1045,0.021371,-1.3177),(6075,1055,0.022852,-1.3173),(6075,1065,0.024542,-1.3169),(6075,1075,0.026231,-1.3163),(6075,1085,0.02792,-1.3156),(6075,1095,0.029984,-1.315),(6075,1105,0.032309,-1.3143),(6075,1115,0.034634,-1.3132),(6075,1125,0.036959,-1.3119),(6075,1135,0.039795,-1.3106),(6075,1145,0.042933,-1.3093),(6075,1155,0.046071,-1.3072),(6075,1165,0.049209,-1.3048),(6075,1175,0.053054,-1.3024),(6075,1185,0.057251,-1.3),(6075,1195,0.061448,-1.2965),(6075,1205,0.065644,-1.2926),(6075,1215,0.07069,-1.2886),(6075,1225,0.076086,-1.2847),(6075,1235,0.081483,-1.279),(6075,1245,0.086879,-1.2726),(6075,1255,0.092709,-1.2661),(6075,1265,0.098686,-1.2597),(6075,1275,0.10466,-1.2507),(6075,1285,0.11064,-1.2408),(6075,1295,0.10261,-1.2309),(6075,1305,0.090804,-1.221),(6075,1315,0.078994,-1.214),(6075,1325,0.067184,-1.2076),(6075,1335,0.041352,-1.2013),(6075,1345,0.012581,-1.1949),(6075,1355,-0.016189,-1.1982),(6075,1365,-0.04496,-1.2033),(6075,1375,-0.062792,-1.2083),(6075,1385,-0.078937,-1.2134),(6075,1395,-0.095082,-1.2226),(6075,1405,-0.11123,-1.2324),(6075,1415,-0.10737,-1.2422),(6075,1425,-0.10144,-1.2519),(6075,1435,-0.095502,-1.2589),(6075,1445,-0.089568,-1.2657),(6075,1455,-0.084091,-1.2725),(6075,1465,-0.078639,-1.2793),(6075,1475,-0.073188,-1.2832),(6075,1485,-0.067737,-1.2871),(6075,1495,-0.063395,-1.291),(6075,1505,-0.05907,-1.2949),(6075,1515,-0.054745,-1.2973),(6075,1525,-0.050447,-1.2996),(6075,1535,-0.047202,-1.302),(6075,1545,-0.043958,-1.3044),(6075,1555,-0.040714,-1.3057),(6075,1565,-0.037526,-1.307),(6075,1575,-0.035151,-1.3083),(6075,1585,-0.032777,-1.3096),(6075,1595,-0.030402,-1.3102),(6075,1605,-0.028087,-1.3108),(6075,1615,-0.026283,-1.3113),(6075,1625,-0.024479,-1.3119),(6075,1635,-0.022676,-1.3121),(6075,1645,-0.020946,-1.3123),(6075,1655,-0.019661,-1.3126),(6075,1665,-0.018375,-1.3128),(6075,1675,-0.01709,-1.3128),(6075,1685,-0.01587,-1.3127),(6075,1695,-0.014942,-1.3127),(6075,1705,-0.014013,-1.3126),(6075,1715,-0.013085,-1.3125),(6075,1725,-0.012187,-1.3124),(6075,1735,-0.011397,-1.3122),(6075,1745,-0.010607,-1.3121),(6075,1755,-0.009817,-1.3119),(6075,1765,-0.00908,-1.3117),(6075,1775,-0.008495,-1.3115),(6075,1785,-0.007909,-1.3113),(6075,1795,-0.007323,-1.311),(6075,1805,-0.006798,-1.3107),(6075,1815,-0.006411,-1.3105),(6075,1825,-0.006025,-1.3102),(6075,1835,-0.005639,-1.3099),(6075,1845,-0.005264,-1.3096),(6075,1855,-0.004912,-1.3093),(6075,1865,-0.00456,-1.309),(6075,1875,-0.004208,-1.3087),(6075,1885,-0.003876,-1.3084),(6075,1895,-0.003574,-1.3081),(6075,1905,-0.003273,-1.3078),(6075,1915,-0.002971,-1.3075),(6075,1925,-0.002708,-1.3072),(6075,1935,-0.002498,-1.3068),(6075,1945,-0.002288,-1.3065),(6075,1955,-0.002078,-1.3063),(6075,1965,-0.001899,-1.306),(6075,1975,-0.001756,-1.3057),(6075,1985,-0.001613,-1.3054),(6075,1995,-0.001471,-1.3051),(6075,2005,-0.001346,-1.3048),(6075,2015,-0.001239,-1.3044),(6075,2025,-0.001132,-1.3041),(6075,2035,-0.001026,-1.3039),(6075,2045,-0.000923,-1.3036),(6075,2055,-0.000825,-1.3033),(6075,2065,-0.000727,-1.303),(6075,2075,-0.000629,-1.3027),(6075,2085,-0.000537,-1.3024),(6075,2095,-0.000449,-1.302),(6075,2105,-0.000362,-1.3017),(6075,2115,-0.000274,-1.3014),(6075,2125,-0.000171,-1.3011),(6075,2135,-5.7e-05,-1.3008),(6075,2145,5.6e-05,-1.3005),(6075,2155,0.00017,-1.3002),(6075,2165,0.00027,-1.3),(6075,2175,0.000363,-1.2997),(6075,2185,0.000455,-1.2994),(6075,2195,0.000548,-1.299),(6075,2205,0.000617,-1.2986),(6075,2215,0.000676,-1.2982),(6075,2225,0.000736,-1.2979),(6075,2235,0.000795,-1.2975),(6075,2245,0.000866,-1.2971),(6075,2255,0.000943,-1.2968),(6075,2265,0.001019,-1.2964),(6075,2275,0.001095,-1.2961),(6075,2285,0.001132,-1.2957),(6075,2295,0.001157,-1.2954),(6075,2305,0.001182,-1.295),(6075,2315,0.001207,-1.2945),(6075,2325,0.001205,-1.294),(6075,2335,0.001196,-1.2936),(6075,2345,0.001188,-1.2932),(6075,2355,0.001179,-1.2927),(6075,2365,0.001218,-1.2923),(6075,2375,0.001265,-1.2919),(6075,2385,0.001312,-1.2915),(6075,2395,0.001359,-1.2911),(6075,2405,0.001442,-1.2907),(6075,2415,0.00153,-1.2903),(6075,2425,0.001617,-1.2899),(6075,2435,0.001705,-1.2894),(6075,2445,0.001807,-1.289),(6075,2455,0.001911,-1.2886),(6075,2465,0.002015,-1.2883),(6075,2475,0.002119,-1.2879),(6075,2485,0.00219,-1.2875),(6075,2495,0.00226,-1.2871),(6075,2505,0.002331,-1.2866),(6075,2515,0.002401,-1.2861),(6075,2525,0.002407,-1.2855),(6075,2535,0.002413,-1.285),(6075,2545,0.002419,-1.2844),(6075,2555,0.002425,-1.2838),(6075,2565,0.00245,-1.2832),(6075,2575,0.002474,-1.2826),(6075,2585,0.002498,-1.2821),(6075,2595,0.002526,-1.2816),(6075,2605,0.002596,-1.2811),(6075,2615,0.002666,-1.2806),(6075,2625,0.002736,-1.28),(6075,2635,0.002804,-1.2795),(6075,2645,0.002856,-1.2789),(6075,2655,0.002908,-1.2784),(6075,2665,0.002961,-1.2778),(6075,2675,0.00301,-1.2772),(6075,2685,0.003046,-1.2765),(6075,2695,0.003082,-1.2759),(6075,2705,0.003118,-1.2754),(6075,2715,0.003153,-1.2749),(6075,2725,0.003184,-1.2743),(6075,2735,0.003215,-1.2737),(6075,2745,0.003246,-1.2731),(6075,2755,0.003276,-1.2725),(6075,2765,0.003301,-1.2719),(6075,2775,0.003326,-1.2712),(6075,2785,0.00335,-1.2705),(6075,2795,0.003383,-1.2698),(6075,2805,0.003433,-1.2691),(6075,2815,0.003484,-1.2684),(6075,2825,0.003535,-1.2677),(6075,2835,0.003585,-1.2671),(6075,2845,0.003633,-1.2665),(6075,2855,0.003682,-1.2658),(6075,2865,0.00373,-1.2652),(6075,2875,0.003769,-1.2645),(6075,2885,0.003791,-1.2638),(6075,2895,0.003812,-1.2631),(6075,2905,0.003834,-1.2623),(6075,2915,0.003863,-1.2615),(6075,2925,0.003904,-1.2607),(6075,2935,0.003946,-1.26),(6075,2945,0.003987,-1.2592),(6075,2955,0.004035,-1.2584),(6075,2965,0.004094,-1.2576),(6075,2975,0.004152,-1.2568),(6075,2985,0.00421,-1.2561),(6075,2995,0.004257,-1.2553),(6075,3005,0.004292,-1.2546),(6075,3015,0.004327,-1.2538),(6075,3025,0.004362,-1.2529),(6075,3035,0.004402,-1.2521),(6075,3045,0.004448,-1.2512),(6075,3055,0.004493,-1.2504),(6075,3065,0.004539,-1.2495),(6075,3075,0.004598,-1.2487),(6075,3085,0.004668,-1.2478),(6075,3095,0.004738,-1.2469),(6075,3105,0.004807,-1.246),(6075,3115,0.004883,-1.2452),(6075,3125,0.004964,-1.2443),(6075,3135,0.005044,-1.2434),(6075,3145,0.005124,-1.2425),(6075,3155,0.005212,-1.2416),(6075,3165,0.005304,-1.2408),(6075,3175,0.005396,-1.2399),(6075,3185,0.005487,-1.2389),(6075,3195,0.005561,-1.238),(6075,3205,0.005627,-1.2371),(6075,3215,0.005693,-1.2361),(6075,3225,0.005759,-1.2351),(6075,3235,0.005822,-1.2341),(6075,3245,0.005883,-1.2331),(6075,3255,0.005945,-1.2321),(6075,3265,0.006007,-1.2311),(6075,3275,0.006109,-1.2302),(6075,3285,0.006222,-1.2292),(6075,3295,0.006336,-1.2282),(6075,3305,0.006449,-1.2272),(6075,3315,0.006587,-1.2262),(6075,3325,0.00673,-1.2252),(6075,3335,0.006874,-1.2242),(6075,3345,0.007017,-1.2231),(6075,3355,0.007159,-1.2221),(6075,3365,0.007301,-1.221),(6075,3375,0.007443,-1.22),(6075,3385,0.007585,-1.2189),(6075,3395,0.007757,-1.2179),(6075,3405,0.007933,-1.2169),(6075,3415,0.008109,-1.2158),(6075,3425,0.008285,-1.2148),(6075,3435,0.00853,-1.2137),(6075,3445,0.008782,-1.2126),(6075,3455,0.009033,-1.2115),(6075,3465,0.009284,-1.2103),(6075,3475,0.009587,-1.2092),(6075,3485,0.009891,-1.208),(6075,3495,0.010196,-1.2069),(6075,3505,0.010501,-1.2058),(6075,3515,0.010895,-1.2047),(6075,3525,0.011289,-1.2036),(6075,3535,0.011683,-1.2025),(6075,3545,0.01208,-1.2014),(6075,3555,0.012549,-1.2003),(6075,3565,0.013017,-1.1992),(6075,3575,0.013486,-1.1979),(6075,3585,0.013956,-1.1966),(6075,3595,0.014446,-1.1953),(6075,3605,0.014936,-1.194),(6075,3615,0.015426,-1.1927),(6075,3625,0.015936,-1.1913),(6075,3635,0.016584,-1.19),(6075,3645,0.017232,-1.1887),(6075,3655,0.017881,-1.1873),(6075,3665,0.018563,-1.1859),(6075,3675,0.019423,-1.1845),(6075,3685,0.020284,-1.1831),(6075,3695,0.021144,-1.1815),(6075,3705,0.022062,-1.18),(6075,3715,0.023207,-1.1785),(6075,3725,0.024352,-1.1769),(6075,3735,0.025497,-1.1749),(6075,3745,0.026721,-1.173),(6075,3755,0.028195,-1.1711),(6075,3765,0.029669,-1.1691),(6075,3775,0.031143,-1.1668),(6075,3785,0.032736,-1.1645),(6075,3795,0.034636,-1.1622),(6075,3805,0.036535,-1.1598),(6075,3815,0.038434,-1.1571),(6075,3825,0.040555,-1.1544),(6075,3835,0.043141,-1.1518),(6075,3845,0.045727,-1.1487),(6075,3855,0.048313,-1.145),(6075,3865,0.051082,-1.1413),(6075,3875,0.054175,-1.1376),(6075,3885,0.057268,-1.1334),(6075,3895,0.060361,-1.1287),(6075,3905,0.063684,-1.1239),(6075,3915,0.06735,-1.1191),(6075,3925,0.071017,-1.1135),(6075,3935,0.074684,-1.1066),(6075,3945,0.078341,-1.0998),(6075,3955,0.081985,-1.093),(6075,3965,0.08563,-1.0853),(6075,3975,0.089275,-1.0768),(6075,3985,0.089022,-1.0683),(6075,3995,0.08455,-1.0597),(6075,4005,0.080078,-1.0515),(6075,4015,0.075606,-1.0435),(6075,4025,0.16026,-1.0356),(6075,4035,0.25364,-1.0299),(6075,4045,0.34701,-1.0289),(6075,4055,0.42409,-1.0279),(6075,4065,0.49521,-1.0267),(6075,4075,0.56634,-1.025),(6075,4085,0.59862,-1.0232),(6075,4095,0.59968,-1.0214),(6075,4105,0.60074,-1.0197),(6075,4115,0.6018,-1.0179),(6075,4125,0.60288,-1.0162),(6075,4135,0.60396,-1.0145),(6075,4145,0.60504,-1.0128),(6075,4155,0.60616,-1.0111),(6075,4165,0.60728,-1.0094),(6075,4175,0.6084,-1.0077),(6075,4185,0.60958,-1.006),(6075,4195,0.61077,-1.0042),(6075,4205,0.61196,-1.0025),(6075,4215,0.61322,-1.0008),(6075,4225,0.61451,-0.99912),(6075,4235,0.61579,-0.99745),(6075,4245,0.61713,-0.99578),(6075,4255,0.6185,-0.99411),(6075,4265,0.61987,-0.99233),(6075,4275,0.6213,-0.99056),(6075,4285,0.62277,-0.98878),(6075,4295,0.62425,-0.98697),(6075,4305,0.62576,-0.98515),(6075,4315,0.62737,-0.98334),(6075,4325,0.62897,-0.98153),(6075,4335,0.63059,-0.97974),(6075,4345,0.63231,-0.97794),(6075,4355,0.63403,-0.97609),(6075,4365,0.63576,-0.9742),(6075,4375,0.63757,-0.9723),(6075,4385,0.63939,-0.9704),(6075,4395,0.64121,-0.96849),(6075,4405,0.64309,-0.96657),(6075,4415,0.64498,-0.96464),(6075,4425,0.64687,-0.96263),(6075,4435,0.64881,-0.96063),(6075,4445,0.65077,-0.95862),(6075,4455,0.65273,-0.95655),(6075,4465,0.65473,-0.95449),(6075,4475,0.65679,-0.95242),(6075,4485,0.65884,-0.95027),(6075,4495,0.66092,-0.9481),(6075,4505,0.66307,-0.94593),(6075,4515,0.66522,-0.94375),(6075,4525,0.66738,-0.94155),(6075,4535,0.66962,-0.93935),(6075,4545,0.67187,-0.93713),(6075,4555,0.67411,-0.93488),(6075,4565,0.67643,-0.93263),(6075,4575,0.67875,-0.93035),(6075,4585,0.68107,-0.92796),(6075,4595,0.68345,-0.92557),(6075,4605,0.68586,-0.92316),(6075,4615,0.68826,-0.92062),(6075,4625,0.6907,-0.91808),(6075,4635,0.69318,-0.91553),(6075,4645,0.69566,-0.91292),(6075,4655,0.69816,-0.91031),(6075,4665,0.70071,-0.90769),(6075,4675,0.70325,-0.90504),(6075,4685,0.70581,-0.90239),(6075,4695,0.70843,-0.89974),(6075,4705,0.71105,-0.89702),(6075,4715,0.71367,-0.89426),(6075,4725,0.71635,-0.89149),(6075,4735,0.71904,-0.88869),(6075,4745,0.72172,-0.88581),(6075,4755,0.72445,-0.88294),(6075,4765,0.72718,-0.88004),(6075,4775,0.72992,-0.87705),(6075,4785,0.73268,-0.87407),(6075,4795,0.73544,-0.87108),(6075,4805,0.73821,-0.86797),(6075,4815,0.74098,-0.86486),(6075,4825,0.74377,-0.86175),(6075,4835,0.74655,-0.85854),(6075,4845,0.74933,-0.85532),(6075,4855,0.75213,-0.8521),(6075,4865,0.75493,-0.84883),(6075,4875,0.75774,-0.84553),(6075,4885,0.76056,-0.84224),(6075,4895,0.76338,-0.8389),(6075,4905,0.7662,-0.83553),(6075,4915,0.76905,-0.83215),(6075,4925,0.7719,-0.82875),(6075,4935,0.77475,-0.82529),(6075,4945,0.77762,-0.82183),(6075,4955,0.78049,-0.81836),(6075,4965,0.78336,-0.8148),(6075,4975,0.78624,-0.81125),(6075,4985,0.78911,-0.80769),(6075,4995,0.79199,-0.80406),(6075,5005,0.79487,-0.80042),(6075,5015,0.79773,-0.79679),(6075,5025,0.8006,-0.79309),(6075,5035,0.80347,-0.78937),(6075,5045,0.80632,-0.78565),(6075,5055,0.80918,-0.78188),(6075,5065,0.81203,-0.77808),(6075,5075,0.81487,-0.77428),(6075,5085,0.81772,-0.77044),(6075,5095,0.82056,-0.76656),(6075,5105,0.82342,-0.76267),(6075,5115,0.82627,-0.75876),(6075,5125,0.82912,-0.75481),(6075,5135,0.83197,-0.75085),(6075,5145,0.83483,-0.74689),(6075,5155,0.83769,-0.74287),(6075,5165,0.84054,-0.73884),(6075,5175,0.84338,-0.73482),(6075,5185,0.84622,-0.73074),(6075,5195,0.84906,-0.72664),(6075,5205,0.85187,-0.72255),(6075,5215,0.85468,-0.7184),(6075,5225,0.85749,-0.71424),(6075,5235,0.86027,-0.71007),(6075,5245,0.86305,-0.70586),(6075,5255,0.86582,-0.70162),(6075,5265,0.86855,-0.69738),(6075,5275,0.87129,-0.69311),(6075,5285,0.87402,-0.68877),(6075,5295,0.87672,-0.68443),(6075,5305,0.87941,-0.68008),(6075,5315,0.8821,-0.67566),(6075,5325,0.88479,-0.67124),(6075,5335,0.88747,-0.66682),(6075,5345,0.89016,-0.66238),(6075,5355,0.89284,-0.65795),(6075,5365,0.89554,-0.65351),(6075,5375,0.89823,-0.64904),(6075,5385,0.90092,-0.64458),(6075,5395,0.90361,-0.64011),(6075,5405,0.9063,-0.63559),(6075,5415,0.90899,-0.63103),(6075,5425,0.91164,-0.62647),(6075,5435,0.91429,-0.62188),(6075,5445,0.91695,-0.61726),(6075,5455,0.91955,-0.61263),(6075,5465,0.92214,-0.60799),(6075,5475,0.92474,-0.60334),(6075,5485,0.92729,-0.59869),(6075,5495,0.92982,-0.59403),(6075,5505,0.93236,-0.58933),(6075,5515,0.93486,-0.58462),(6075,5525,0.93734,-0.57992),(6075,5535,0.93982,-0.57512),(6075,5545,0.94228,-0.57032),(6075,5555,0.94472,-0.56551),(6075,5565,0.94716,-0.56066),(6075,5575,0.94959,-0.5558),(6075,5585,0.952,-0.55093),(6075,5595,0.95441,-0.54605),(6075,5605,0.95682,-0.54114),(6075,5615,0.9592,-0.53624),(6075,5625,0.96158,-0.53131),(6075,5635,0.96396,-0.52635),(6075,5645,0.9663,-0.52139),(6075,5655,0.96863,-0.51642),(6075,5665,0.97096,-0.51141),(6075,5675,0.97325,-0.50641),(6075,5685,0.97552,-0.5014),(6075,5695,0.97778,-0.49637),(6075,5705,0.98002,-0.49133),(6075,5715,0.98222,-0.4863),(6075,5725,0.98443,-0.4812),(6075,5735,0.98661,-0.47609),(6075,5745,0.98876,-0.47098),(6075,5755,0.99091,-0.46584),(6075,5765,0.99306,-0.46068),(6075,5775,0.99516,-0.45552),(6075,5785,0.99726,-0.45033),(6075,5795,0.99936,-0.44513),(6075,5805,1.0014,-0.43992),(6075,5815,1.0035,-0.4347),(6075,5825,1.0055,-0.42946),(6075,5835,1.0075,-0.42422),(6075,5845,1.0095,-0.41897),(6075,5855,1.0115,-0.4137),(6075,5865,1.0135,-0.40844),(6075,5875,1.0154,-0.40317),(6075,5885,1.0174,-0.39787),(6075,5895,1.0193,-0.39256),(6075,5905,1.0211,-0.38726),(6075,5915,1.023,-0.38191),(6075,5925,1.0249,-0.37655),(6075,5935,1.0267,-0.37119),(6075,5945,1.0285,-0.36581),(6075,5955,1.0303,-0.36043),(6075,5965,1.032,-0.35505),(6075,5975,1.0337,-0.34965),(6075,5985,1.0355,-0.34422),(6075,5995,1.0371,-0.33879),(6075,6005,1.0388,-0.33333),(6075,6015,1.0405,-0.32779),(6075,6025,1.0421,-0.32225),(6075,6035,1.0436,-0.31671),(6075,6045,1.0452,-0.31116),(6075,6055,1.0467,-0.30561),(6075,6065,1.0482,-0.30005),(6075,6075,1.0496,-0.29453),(6075,6085,1.0511,-0.28901),(6075,6095,1.0525,-0.28349),(6075,6105,1.0539,-0.27793),(6075,6115,1.0553,-0.27236),(6075,6125,1.0566,-0.26679),(6075,6135,1.0579,-0.26118),(6075,6145,1.0592,-0.25555),(6075,6155,1.0605,-0.24993),(6075,6165,1.0617,-0.24429),(6075,6175,1.063,-0.23864),(6075,6185,1.0642,-0.23299),(6075,6195,1.0654,-0.22733),(6075,6205,1.0666,-0.22163),(6075,6215,1.0677,-0.21593),(6075,6225,1.0688,-0.21023),(6075,6235,1.0699,-0.20448),(6075,6245,1.0709,-0.19874),(6075,6255,1.0719,-0.193),(6075,6265,1.0729,-0.18728),(6075,6275,1.0739,-0.18156),(6075,6285,1.0748,-0.17584),(6075,6295,1.0757,-0.17011),(6075,6305,1.0766,-0.16437),(6075,6315,1.0774,-0.15863),(6075,6325,1.0782,-0.15283),(6075,6335,1.0791,-0.14699),(6075,6345,1.0798,-0.14114),(6075,6355,1.0806,-0.13533),(6075,6365,1.0813,-0.12959),(6075,6375,1.082,-0.12384),(6075,6385,1.0827,-0.1181),(6075,6395,1.0834,-0.11237),(6075,6405,1.084,-0.10663),(6075,6415,1.0846,-0.1009),(6075,6425,1.0851,-0.095104),(6075,6435,1.0856,-0.089305),(6075,6445,1.0861,-0.083507),(6075,6455,1.0865,-0.077679),(6075,6465,1.0869,-0.071841),(6075,6475,1.0873,-0.066004),(6075,6485,1.0876,-0.060147),(6075,6495,1.0879,-0.054276),(6075,6505,1.0882,-0.048406),(6075,6515,1.0884,-0.042518),(6075,6525,1.0887,-0.036606),(6075,6535,1.0889,-0.030694),(6075,6545,1.0891,-0.024819),(6075,6555,1.0892,-0.019058),(6075,6565,1.0894,-0.013297),(6075,6575,1.0894,-0.00753),(6075,6585,1.0895,-0.001668),(6075,6595,0.92669,0.004194),(6075,6605,0.58397,0.010056),(6075,6615,0.24126,0.01073),(6075,6625,0.000343,0.010738),(6075,6635,0.000375,0.010746),(6075,6645,0.000407,0.01075),(6075,6655,0.000439,0.010753),(6075,6665,0.00047,0.010755),(6075,6675,0.000502,0.010757),(6075,6685,0.000533,0.010759),(6075,6695,0.000564,0.010761),(6075,6705,0.000596,0.010763),(6075,6715,0.000627,0.010764),(6075,6725,0.000658,0.010765),(6075,6735,0.000689,0.010766),(6075,6745,0.000719,0.010766),(6075,6755,0.00075,0.010766),(6075,6765,0.000781,0.010767),(6075,6775,0.000811,0.010766),(6075,6785,0.000841,0.010766),(6075,6795,0.000871,0.010766),(6075,6805,0.000901,0.010765),(6075,6815,0.000931,0.010763),(6075,6825,0.000961,0.010762),(6075,6835,0.000991,0.010761),(6075,6845,0.00102,0.010759),(6075,6855,0.001049,0.010757),(6075,6865,0.001078,0.010754),(6075,6875,0.001107,0.010752),(6075,6885,0.001136,0.010749),(6075,6895,0.001165,0.010746),(6075,6905,0.001193,0.010743),(6075,6915,0.001221,0.010739),(6075,6925,0.001249,0.010735),(6075,6935,0.001278,0.010731),(6075,6945,0.001305,0.010727),(6075,6955,0.001333,0.010723),(6075,6965,0.00136,0.010718),(6075,6975,0.001388,0.010713),(6075,6985,0.001414,0.010708),(6085,5,6e-06,-1.3198),(6085,15,1.7e-05,-1.3197),(6085,25,4.8e-05,-1.3197),(6085,35,9.9e-05,-1.3197),(6085,45,0.000149,-1.3197),(6085,55,0.000199,-1.3197),(6085,65,0.000225,-1.3197),(6085,75,0.000232,-1.3198),(6085,85,0.000238,-1.3197),(6085,95,0.000245,-1.3196),(6085,105,0.000236,-1.3195),(6085,115,0.000217,-1.3194),(6085,125,0.000198,-1.3193),(6085,135,0.000179,-1.3193),(6085,145,0.000182,-1.3193),(6085,155,0.000197,-1.3193),(6085,165,0.000212,-1.3193),(6085,175,0.000226,-1.3193),(6085,185,0.00026,-1.3193),(6085,195,0.000303,-1.3193),(6085,205,0.000346,-1.3193),(6085,215,0.000389,-1.3194),(6085,225,0.00044,-1.3194),(6085,235,0.000494,-1.3194),(6085,245,0.000548,-1.3195),(6085,255,0.000602,-1.3195),(6085,265,0.000662,-1.3195),(6085,275,0.000724,-1.3195),(6085,285,0.000786,-1.3195),(6085,295,0.000847,-1.3195),(6085,305,0.000876,-1.3195),(6085,315,0.000895,-1.3195),(6085,325,0.000915,-1.3195),(6085,335,0.000935,-1.3195),(6085,345,0.000935,-1.3195),(6085,355,0.000933,-1.3194),(6085,365,0.00093,-1.3194),(6085,375,0.000927,-1.3193),(6085,385,0.000905,-1.3193),(6085,395,0.00088,-1.3192),(6085,405,0.000856,-1.3191),(6085,415,0.000831,-1.3191),(6085,425,0.000845,-1.319),(6085,435,0.000863,-1.3189),(6085,445,0.00088,-1.3189),(6085,455,0.000898,-1.319),(6085,465,0.000947,-1.319),(6085,475,0.000998,-1.319),(6085,485,0.001048,-1.319),(6085,495,0.001099,-1.319),(6085,505,0.001156,-1.319),(6085,515,0.001214,-1.319),(6085,525,0.001272,-1.319),(6085,535,0.00133,-1.319),(6085,545,0.001415,-1.319),(6085,555,0.001499,-1.319),(6085,565,0.001584,-1.319),(6085,575,0.00167,-1.319),(6085,585,0.001779,-1.319),(6085,595,0.001888,-1.319),(6085,605,0.001997,-1.3191),(6085,615,0.002108,-1.3191),(6085,625,0.002227,-1.3192),(6085,635,0.002347,-1.3193),(6085,645,0.002467,-1.3193),(6085,655,0.002587,-1.3193),(6085,665,0.00271,-1.3193),(6085,675,0.002833,-1.3193),(6085,685,0.002956,-1.3193),(6085,695,0.003084,-1.3193),(6085,705,0.003234,-1.3193),(6085,715,0.003384,-1.3193),(6085,725,0.003534,-1.3193),(6085,735,0.003692,-1.3193),(6085,745,0.003878,-1.3193),(6085,755,0.004063,-1.3193),(6085,765,0.004249,-1.3193),(6085,775,0.004454,-1.3193),(6085,785,0.004713,-1.3193),(6085,795,0.004973,-1.3193),(6085,805,0.005232,-1.3193),(6085,815,0.005511,-1.3194),(6085,825,0.005837,-1.3194),(6085,835,0.006162,-1.3194),(6085,845,0.006487,-1.3193),(6085,855,0.006851,-1.3193),(6085,865,0.007285,-1.3192),(6085,875,0.007719,-1.3192),(6085,885,0.008153,-1.3193),(6085,895,0.008644,-1.3193),(6085,905,0.009224,-1.3193),(6085,915,0.009805,-1.3193),(6085,925,0.010385,-1.3193),(6085,935,0.01101,-1.3193),(6085,945,0.011695,-1.3193),(6085,955,0.01238,-1.3192),(6085,965,0.013065,-1.3191),(6085,975,0.013833,-1.319),(6085,985,0.014694,-1.3188),(6085,995,0.015555,-1.3187),(6085,1005,0.016416,-1.3184),(6085,1015,0.017433,-1.3182),(6085,1025,0.018601,-1.318),(6085,1035,0.019768,-1.3176),(6085,1045,0.020936,-1.3171),(6085,1055,0.022338,-1.3167),(6085,1065,0.023933,-1.3162),(6085,1075,0.025528,-1.3156),(6085,1085,0.027123,-1.3148),(6085,1095,0.029065,-1.3141),(6085,1105,0.031248,-1.3134),(6085,1115,0.033431,-1.3122),(6085,1125,0.035614,-1.3108),(6085,1135,0.038244,-1.3094),(6085,1145,0.041139,-1.308),(6085,1155,0.044033,-1.3059),(6085,1165,0.046928,-1.3034),(6085,1175,0.050414,-1.3009),(6085,1185,0.054193,-1.2984),(6085,1195,0.057973,-1.2949),(6085,1205,0.061752,-1.2908),(6085,1215,0.066218,-1.2868),(6085,1225,0.070968,-1.2827),(6085,1235,0.075718,-1.277),(6085,1245,0.080468,-1.2705),(6085,1255,0.08548,-1.2641),(6085,1265,0.090581,-1.2577),(6085,1275,0.095682,-1.2488),(6085,1285,0.10078,-1.2391),(6085,1295,0.093239,-1.2295),(6085,1305,0.082274,-1.2199),(6085,1315,0.07131,-1.2131),(6085,1325,0.060346,-1.207),(6085,1335,0.037138,-1.2009),(6085,1345,0.011363,-1.1949),(6085,1355,-0.014411,-1.198),(6085,1365,-0.040185,-1.2028),(6085,1375,-0.056452,-1.2076),(6085,1385,-0.071252,-1.2124),(6085,1395,-0.086052,-1.2213),(6085,1405,-0.10085,-1.2308),(6085,1415,-0.097703,-1.2403),(6085,1425,-0.092691,-1.2498),(6085,1435,-0.08768,-1.2568),(6085,1445,-0.082668,-1.2636),(6085,1455,-0.077854,-1.2704),(6085,1465,-0.073051,-1.2771),(6085,1475,-0.068248,-1.2812),(6085,1485,-0.063446,-1.2852),(6085,1495,-0.059544,-1.2892),(6085,1505,-0.055655,-1.2932),(6085,1515,-0.051767,-1.2957),(6085,1525,-0.047901,-1.2981),(6085,1535,-0.044921,-1.3006),(6085,1545,-0.04194,-1.3031),(6085,1555,-0.03896,-1.3045),(6085,1565,-0.03603,-1.3059),(6085,1575,-0.03382,-1.3073),(6085,1585,-0.031611,-1.3086),(6085,1595,-0.029401,-1.3093),(6085,1605,-0.027243,-1.3099),(6085,1615,-0.025529,-1.3105),(6085,1625,-0.023814,-1.3111),(6085,1635,-0.022099,-1.3114),(6085,1645,-0.020452,-1.3117),(6085,1655,-0.019213,-1.312),(6085,1665,-0.017973,-1.3122),(6085,1675,-0.016734,-1.3123),(6085,1685,-0.01556,-1.3123),(6085,1695,-0.014677,-1.3123),(6085,1705,-0.013794,-1.3123),(6085,1715,-0.012911,-1.3121),(6085,1725,-0.012051,-1.312),(6085,1735,-0.011273,-1.3118),(6085,1745,-0.010495,-1.3117),(6085,1755,-0.009717,-1.3115),(6085,1765,-0.008986,-1.3114),(6085,1775,-0.008389,-1.3112),(6085,1785,-0.007791,-1.311),(6085,1795,-0.007194,-1.3108),(6085,1805,-0.006664,-1.3106),(6085,1815,-0.006291,-1.3103),(6085,1825,-0.005918,-1.3101),(6085,1835,-0.005545,-1.3098),(6085,1845,-0.005185,-1.3095),(6085,1855,-0.004852,-1.3092),(6085,1865,-0.004518,-1.3089),(6085,1875,-0.004185,-1.3086),(6085,1885,-0.003856,-1.3083),(6085,1895,-0.003535,-1.308),(6085,1905,-0.003214,-1.3077),(6085,1915,-0.002893,-1.3073),(6085,1925,-0.002614,-1.307),(6085,1935,-0.002393,-1.3067),(6085,1945,-0.002171,-1.3064),(6085,1955,-0.00195,-1.3062),(6085,1965,-0.001774,-1.3059),(6085,1975,-0.001651,-1.3057),(6085,1985,-0.001527,-1.3054),(6085,1995,-0.001404,-1.3051),(6085,2005,-0.001301,-1.3048),(6085,2015,-0.001218,-1.3044),(6085,2025,-0.001135,-1.3041),(6085,2035,-0.001052,-1.3038),(6085,2045,-0.000969,-1.3036),(6085,2055,-0.000887,-1.3033),(6085,2065,-0.000804,-1.303),(6085,2075,-0.000722,-1.3027),(6085,2085,-0.000637,-1.3023),(6085,2095,-0.00055,-1.302),(6085,2105,-0.000463,-1.3017),(6085,2115,-0.000377,-1.3013),(6085,2125,-0.000264,-1.301),(6085,2135,-0.000135,-1.3007),(6085,2145,-6e-06,-1.3004),(6085,2155,0.000122,-1.3001),(6085,2165,0.000234,-1.2999),(6085,2175,0.000338,-1.2997),(6085,2185,0.000441,-1.2993),(6085,2195,0.000545,-1.2989),(6085,2205,0.000614,-1.2986),(6085,2215,0.000667,-1.2982),(6085,2225,0.000721,-1.2978),(6085,2235,0.000775,-1.2975),(6085,2245,0.000847,-1.2971),(6085,2255,0.000927,-1.2967),(6085,2265,0.001006,-1.2964),(6085,2275,0.001086,-1.296),(6085,2285,0.001133,-1.2957),(6085,2295,0.00117,-1.2954),(6085,2305,0.001208,-1.2949),(6085,2315,0.001245,-1.2945),(6085,2325,0.001241,-1.2941),(6085,2335,0.001226,-1.2936),(6085,2345,0.001212,-1.2932),(6085,2355,0.001198,-1.2928),(6085,2365,0.001225,-1.2923),(6085,2375,0.001259,-1.2919),(6085,2385,0.001294,-1.2915),(6085,2395,0.001328,-1.291),(6085,2405,0.001411,-1.2906),(6085,2415,0.0015,-1.2902),(6085,2425,0.001588,-1.2898),(6085,2435,0.001677,-1.2894),(6085,2445,0.001796,-1.289),(6085,2455,0.001916,-1.2885),(6085,2465,0.002037,-1.2882),(6085,2475,0.002157,-1.2878),(6085,2485,0.002252,-1.2874),(6085,2495,0.002345,-1.2871),(6085,2505,0.002439,-1.2866),(6085,2515,0.002532,-1.286),(6085,2525,0.002547,-1.2855),(6085,2535,0.002561,-1.285),(6085,2545,0.002575,-1.2844),(6085,2555,0.002589,-1.2838),(6085,2565,0.002601,-1.2832),(6085,2575,0.002613,-1.2826),(6085,2585,0.002625,-1.2821),(6085,2595,0.002641,-1.2816),(6085,2605,0.002702,-1.2811),(6085,2615,0.002763,-1.2805),(6085,2625,0.002823,-1.28),(6085,2635,0.002883,-1.2795),(6085,2645,0.002938,-1.2789),(6085,2655,0.002992,-1.2784),(6085,2665,0.003047,-1.2777),(6085,2675,0.003098,-1.2771),(6085,2685,0.003135,-1.2765),(6085,2695,0.003172,-1.2759),(6085,2705,0.003208,-1.2754),(6085,2715,0.003243,-1.2748),(6085,2725,0.00327,-1.2743),(6085,2735,0.003297,-1.2737),(6085,2745,0.003325,-1.2731),(6085,2755,0.00335,-1.2725),(6085,2765,0.00337,-1.2719),(6085,2775,0.00339,-1.2712),(6085,2785,0.00341,-1.2705),(6085,2795,0.003438,-1.2698),(6085,2805,0.003488,-1.269),(6085,2815,0.003538,-1.2683),(6085,2825,0.003588,-1.2677),(6085,2835,0.003638,-1.2671),(6085,2845,0.003685,-1.2665),(6085,2855,0.003733,-1.2658),(6085,2865,0.003781,-1.2652),(6085,2875,0.003815,-1.2645),(6085,2885,0.003824,-1.2639),(6085,2895,0.003834,-1.2631),(6085,2905,0.003844,-1.2623),(6085,2915,0.003862,-1.2615),(6085,2925,0.003892,-1.2607),(6085,2935,0.003922,-1.2599),(6085,2945,0.003953,-1.2592),(6085,2955,0.003997,-1.2584),(6085,2965,0.004057,-1.2576),(6085,2975,0.004118,-1.2568),(6085,2985,0.004179,-1.256),(6085,2995,0.00423,-1.2553),(6085,3005,0.00427,-1.2545),(6085,3015,0.00431,-1.2537),(6085,3025,0.00435,-1.2529),(6085,3035,0.004392,-1.2521),(6085,3045,0.004437,-1.2512),(6085,3055,0.004481,-1.2504),(6085,3065,0.004525,-1.2495),(6085,3075,0.004583,-1.2486),(6085,3085,0.004651,-1.2478),(6085,3095,0.004719,-1.2469),(6085,3105,0.004786,-1.246),(6085,3115,0.004862,-1.2451),(6085,3125,0.004941,-1.2442),(6085,3135,0.005021,-1.2433),(6085,3145,0.005101,-1.2425),(6085,3155,0.005191,-1.2416),(6085,3165,0.005287,-1.2407),(6085,3175,0.005382,-1.2398),(6085,3185,0.005478,-1.2389),(6085,3195,0.005554,-1.238),(6085,3205,0.005621,-1.2371),(6085,3215,0.005689,-1.2361),(6085,3225,0.005756,-1.2351),(6085,3235,0.005811,-1.2341),(6085,3245,0.005862,-1.2331),(6085,3255,0.005913,-1.2321),(6085,3265,0.005964,-1.2311),(6085,3275,0.006058,-1.2301),(6085,3285,0.006164,-1.2291),(6085,3295,0.00627,-1.2281),(6085,3305,0.006376,-1.2271),(6085,3315,0.006521,-1.2261),(6085,3325,0.006675,-1.2251),(6085,3335,0.006829,-1.2241),(6085,3345,0.006983,-1.223),(6085,3355,0.007137,-1.222),(6085,3365,0.007291,-1.2209),(6085,3375,0.007445,-1.2199),(6085,3385,0.007599,-1.2189),(6085,3395,0.007769,-1.2178),(6085,3405,0.007941,-1.2168),(6085,3415,0.008113,-1.2157),(6085,3425,0.008285,-1.2147),(6085,3435,0.008526,-1.2136),(6085,3445,0.008772,-1.2125),(6085,3455,0.009019,-1.2113),(6085,3465,0.009265,-1.2102),(6085,3475,0.009565,-1.209),(6085,3485,0.009867,-1.2079),(6085,3495,0.010169,-1.2067),(6085,3505,0.010472,-1.2056),(6085,3515,0.01086,-1.2045),(6085,3525,0.011249,-1.2034),(6085,3535,0.011637,-1.2023),(6085,3545,0.01203,-1.2012),(6085,3555,0.012501,-1.2001),(6085,3565,0.012972,-1.199),(6085,3575,0.013442,-1.1977),(6085,3585,0.013914,-1.1964),(6085,3595,0.014392,-1.1951),(6085,3605,0.014869,-1.1938),(6085,3615,0.015347,-1.1924),(6085,3625,0.015842,-1.1911),(6085,3635,0.016459,-1.1897),(6085,3645,0.017076,-1.1884),(6085,3655,0.017693,-1.187),(6085,3665,0.018344,-1.1855),(6085,3675,0.019173,-1.1841),(6085,3685,0.020002,-1.1826),(6085,3695,0.02083,-1.181),(6085,3705,0.021716,-1.1795),(6085,3715,0.022825,-1.1779),(6085,3725,0.023934,-1.1762),(6085,3735,0.025043,-1.1743),(6085,3745,0.026217,-1.1723),(6085,3755,0.027595,-1.1704),(6085,3765,0.028973,-1.1683),(6085,3775,0.03035,-1.166),(6085,3785,0.031822,-1.1636),(6085,3795,0.033532,-1.1613),(6085,3805,0.035242,-1.1588),(6085,3815,0.036951,-1.156),(6085,3825,0.038885,-1.1532),(6085,3835,0.041288,-1.1505),(6085,3845,0.043692,-1.1473),(6085,3855,0.046095,-1.1436),(6085,3865,0.048631,-1.1398),(6085,3875,0.051401,-1.1361),(6085,3885,0.054171,-1.1319),(6085,3895,0.056941,-1.1271),(6085,3905,0.059902,-1.1222),(6085,3915,0.063147,-1.1174),(6085,3925,0.066391,-1.1117),(6085,3935,0.069636,-1.1049),(6085,3945,0.072819,-1.0981),(6085,3955,0.075924,-1.0913),(6085,3965,0.079028,-1.0838),(6085,3975,0.082133,-1.0754),(6085,3985,0.081686,-1.0671),(6085,3995,0.077394,-1.0587),(6085,4005,0.073103,-1.0507),(6085,4015,0.068812,-1.043),(6085,4025,0.15489,-1.0354),(6085,4035,0.24981,-1.0298),(6085,4045,0.34472,-1.0288),(6085,4055,0.42195,-1.0278),(6085,4065,0.49272,-1.0267),(6085,4075,0.56349,-1.0249),(6085,4085,0.59561,-1.0232),(6085,4095,0.59667,-1.0214),(6085,4105,0.59774,-1.0196),(6085,4115,0.59881,-1.0178),(6085,4125,0.59989,-1.0161),(6085,4135,0.60098,-1.0144),(6085,4145,0.60207,-1.0127),(6085,4155,0.60319,-1.011),(6085,4165,0.60431,-1.0093),(6085,4175,0.60544,-1.0075),(6085,4185,0.60662,-1.0058),(6085,4195,0.6078,-1.004),(6085,4205,0.60899,-1.0023),(6085,4215,0.61025,-1.0006),(6085,4225,0.61152,-0.99887),(6085,4235,0.6128,-0.99718),(6085,4245,0.61413,-0.9955),(6085,4255,0.61549,-0.99381),(6085,4265,0.61685,-0.99203),(6085,4275,0.61826,-0.99024),(6085,4285,0.61972,-0.98845),(6085,4295,0.62118,-0.98663),(6085,4305,0.62268,-0.98479),(6085,4315,0.62426,-0.98296),(6085,4325,0.62584,-0.98114),(6085,4335,0.62744,-0.97932),(6085,4345,0.62915,-0.97751),(6085,4355,0.63085,-0.97565),(6085,4365,0.63256,-0.97374),(6085,4375,0.63436,-0.97183),(6085,4385,0.63616,-0.96992),(6085,4395,0.63797,-0.968),(6085,4405,0.63983,-0.96608),(6085,4415,0.64171,-0.96414),(6085,4425,0.64359,-0.96213),(6085,4435,0.64551,-0.96011),(6085,4445,0.64745,-0.9581),(6085,4455,0.6494,-0.95602),(6085,4465,0.65138,-0.95394),(6085,4475,0.65341,-0.95187),(6085,4485,0.65544,-0.9497),(6085,4495,0.65749,-0.94752),(6085,4505,0.65961,-0.94534),(6085,4515,0.66174,-0.94314),(6085,4525,0.66386,-0.94094),(6085,4535,0.66608,-0.93873),(6085,4545,0.66829,-0.9365),(6085,4555,0.6705,-0.93425),(6085,4565,0.67279,-0.93199),(6085,4575,0.67508,-0.92969),(6085,4585,0.67738,-0.9273),(6085,4595,0.67973,-0.9249),(6085,4605,0.6821,-0.92249),(6085,4615,0.68447,-0.91994),(6085,4625,0.68688,-0.91739),(6085,4635,0.68932,-0.91485),(6085,4645,0.69176,-0.91223),(6085,4655,0.69422,-0.90961),(6085,4665,0.69673,-0.90699),(6085,4675,0.69924,-0.90434),(6085,4685,0.70176,-0.90168),(6085,4695,0.70434,-0.89903),(6085,4705,0.70691,-0.8963),(6085,4715,0.70949,-0.89353),(6085,4725,0.71214,-0.89077),(6085,4735,0.71478,-0.88795),(6085,4745,0.71743,-0.88507),(6085,4755,0.72013,-0.88219),(6085,4765,0.72283,-0.87929),(6085,4775,0.72554,-0.87631),(6085,4785,0.72826,-0.87333),(6085,4795,0.731,-0.87034),(6085,4805,0.73374,-0.86724),(6085,4815,0.73648,-0.86413),(6085,4825,0.73923,-0.86103),(6085,4835,0.74198,-0.85784),(6085,4845,0.74473,-0.85463),(6085,4855,0.7475,-0.85141),(6085,4865,0.75026,-0.84815),(6085,4875,0.75303,-0.84485),(6085,4885,0.75581,-0.84156),(6085,4895,0.7586,-0.83823),(6085,4905,0.76139,-0.83485),(6085,4915,0.7642,-0.83148),(6085,4925,0.76701,-0.82808),(6085,4935,0.76983,-0.82462),(6085,4945,0.77266,-0.82116),(6085,4955,0.7755,-0.81769),(6085,4965,0.77834,-0.81414),(6085,4975,0.78119,-0.81059),(6085,4985,0.78404,-0.80705),(6085,4995,0.78689,-0.80342),(6085,5005,0.78973,-0.79979),(6085,5015,0.79257,-0.79616),(6085,5025,0.79542,-0.79247),(6085,5035,0.79825,-0.78876),(6085,5045,0.80108,-0.78505),(6085,5055,0.8039,-0.78129),(6085,5065,0.80672,-0.7775),(6085,5075,0.80953,-0.7737),(6085,5085,0.81234,-0.76987),(6085,5095,0.81515,-0.76598),(6085,5105,0.81797,-0.76209),(6085,5115,0.82079,-0.75818),(6085,5125,0.8236,-0.75422),(6085,5135,0.82643,-0.75026),(6085,5145,0.82925,-0.7463),(6085,5155,0.83208,-0.74227),(6085,5165,0.8349,-0.73825),(6085,5175,0.83772,-0.73423),(6085,5185,0.84054,-0.73015),(6085,5195,0.84336,-0.72606),(6085,5205,0.84615,-0.72197),(6085,5215,0.84895,-0.71783),(6085,5225,0.85174,-0.71367),(6085,5235,0.8545,-0.70952),(6085,5245,0.85726,-0.70532),(6085,5255,0.86002,-0.70109),(6085,5265,0.86273,-0.69686),(6085,5275,0.86543,-0.6926),(6085,5285,0.86814,-0.68828),(6085,5295,0.87081,-0.68395),(6085,5305,0.87347,-0.67961),(6085,5315,0.87613,-0.67519),(6085,5325,0.87879,-0.67077),(6085,5335,0.88143,-0.66636),(6085,5345,0.88408,-0.66191),(6085,5355,0.88673,-0.65746),(6085,5365,0.88939,-0.65301),(6085,5375,0.89205,-0.64854),(6085,5385,0.89472,-0.64406),(6085,5395,0.89739,-0.63958),(6085,5405,0.90005,-0.63506),(6085,5415,0.90272,-0.6305),(6085,5425,0.90536,-0.62595),(6085,5435,0.90801,-0.62136),(6085,5445,0.91065,-0.61675),(6085,5455,0.91324,-0.61213),(6085,5465,0.91582,-0.60751),(6085,5475,0.91841,-0.60287),(6085,5485,0.92095,-0.59823),(6085,5495,0.92346,-0.59359),(6085,5505,0.92598,-0.58889),(6085,5515,0.92846,-0.5842),(6085,5525,0.93092,-0.57951),(6085,5535,0.93337,-0.57471),(6085,5545,0.93581,-0.56992),(6085,5555,0.93821,-0.56512),(6085,5565,0.94062,-0.56027),(6085,5575,0.94302,-0.55541),(6085,5585,0.9454,-0.55054),(6085,5595,0.94777,-0.54565),(6085,5605,0.95015,-0.54074),(6085,5615,0.9525,-0.53583),(6085,5625,0.95486,-0.5309),(6085,5635,0.95721,-0.52594),(6085,5645,0.95953,-0.52098),(6085,5655,0.96185,-0.51601),(6085,5665,0.96416,-0.51101),(6085,5675,0.96644,-0.50601),(6085,5685,0.96869,-0.50101),(6085,5695,0.97094,-0.49598),(6085,5705,0.97316,-0.49096),(6085,5715,0.97535,-0.48593),(6085,5725,0.97754,-0.48084),(6085,5735,0.97971,-0.47573),(6085,5745,0.98184,-0.47063),(6085,5755,0.98398,-0.46549),(6085,5765,0.9861,-0.46033),(6085,5775,0.98818,-0.45517),(6085,5785,0.99026,-0.44999),(6085,5795,0.99234,-0.44478),(6085,5805,0.99438,-0.43958),(6085,5815,0.9964,-0.43436),(6085,5825,0.99843,-0.42911),(6085,5835,1.0004,-0.42387),(6085,5845,1.0024,-0.41862),(6085,5855,1.0044,-0.41336),(6085,5865,1.0063,-0.40809),(6085,5875,1.0082,-0.40283),(6085,5885,1.0101,-0.39753),(6085,5895,1.012,-0.39223),(6085,5905,1.0139,-0.38693),(6085,5915,1.0157,-0.38158),(6085,5925,1.0176,-0.37622),(6085,5935,1.0194,-0.37086),(6085,5945,1.0212,-0.36548),(6085,5955,1.0229,-0.3601),(6085,5965,1.0247,-0.35472),(6085,5975,1.0264,-0.34932),(6085,5985,1.0281,-0.34389),(6085,5995,1.0298,-0.33847),(6085,6005,1.0315,-0.33301),(6085,6015,1.0331,-0.32749),(6085,6025,1.0347,-0.32196),(6085,6035,1.0363,-0.31643),(6085,6045,1.0378,-0.31089),(6085,6055,1.0394,-0.30535),(6085,6065,1.0408,-0.2998),(6085,6075,1.0423,-0.29429),(6085,6085,1.0437,-0.28878),(6085,6095,1.0451,-0.28327),(6085,6105,1.0465,-0.27771),(6085,6115,1.0478,-0.27214),(6085,6125,1.0491,-0.26657),(6085,6135,1.0504,-0.26097),(6085,6145,1.0517,-0.25533),(6085,6155,1.053,-0.2497),(6085,6165,1.0542,-0.24406),(6085,6175,1.0555,-0.23841),(6085,6185,1.0566,-0.23276),(6085,6195,1.0578,-0.2271),(6085,6205,1.059,-0.2214),(6085,6215,1.0601,-0.21571),(6085,6225,1.0612,-0.21001),(6085,6235,1.0623,-0.20428),(6085,6245,1.0633,-0.19854),(6085,6255,1.0643,-0.19281),(6085,6265,1.0653,-0.18709),(6085,6275,1.0662,-0.18138),(6085,6285,1.0671,-0.17567),(6085,6295,1.068,-0.16994),(6085,6305,1.0689,-0.1642),(6085,6315,1.0697,-0.15846),(6085,6325,1.0705,-0.15267),(6085,6335,1.0714,-0.14682),(6085,6345,1.0721,-0.14097),(6085,6355,1.0728,-0.13516),(6085,6365,1.0736,-0.12941),(6085,6375,1.0743,-0.12366),(6085,6385,1.0749,-0.11792),(6085,6395,1.0756,-0.1122),(6085,6405,1.0762,-0.10647),(6085,6415,1.0768,-0.10074),(6085,6425,1.0774,-0.094961),(6085,6435,1.0779,-0.089176),(6085,6445,1.0783,-0.083391),(6085,6455,1.0788,-0.077576),(6085,6465,1.0792,-0.071753),(6085,6475,1.0795,-0.065929),(6085,6485,1.0799,-0.060079),(6085,6495,1.0802,-0.05421),(6085,6505,1.0804,-0.048341),(6085,6515,1.0807,-0.042452),(6085,6525,1.0809,-0.036536),(6085,6535,1.0811,-0.03062),(6085,6545,1.0813,-0.024742),(6085,6555,1.0815,-0.018984),(6085,6565,1.0816,-0.013225),(6085,6575,1.0817,-0.007461),(6085,6585,1.0818,-0.001616),(6085,6595,0.92008,0.004228),(6085,6605,0.57981,0.010072),(6085,6615,0.23954,0.01075),(6085,6625,0.00034,0.010763),(6085,6635,0.000371,0.010776),(6085,6645,0.000403,0.010782),(6085,6655,0.000435,0.010784),(6085,6665,0.000467,0.010787),(6085,6675,0.000499,0.010789),(6085,6685,0.00053,0.010791),(6085,6695,0.000562,0.010792),(6085,6705,0.000593,0.010794),(6085,6715,0.000625,0.010795),(6085,6725,0.000656,0.010796),(6085,6735,0.000687,0.010797),(6085,6745,0.000718,0.010797),(6085,6755,0.000749,0.010797),(6085,6765,0.000779,0.010798),(6085,6775,0.00081,0.010797),(6085,6785,0.00084,0.010796),(6085,6795,0.000871,0.010796),(6085,6805,0.000901,0.010795),(6085,6815,0.000931,0.010793),(6085,6825,0.000961,0.010792),(6085,6835,0.000991,0.01079),(6085,6845,0.00102,0.010788),(6085,6855,0.00105,0.010786),(6085,6865,0.001079,0.010784),(6085,6875,0.001108,0.010781),(6085,6885,0.001137,0.010778),(6085,6895,0.001166,0.010775),(6085,6905,0.001195,0.010771),(6085,6915,0.001223,0.010767),(6085,6925,0.001252,0.010764),(6085,6935,0.00128,0.010759),(6085,6945,0.001308,0.010755),(6085,6955,0.001336,0.01075),(6085,6965,0.001363,0.010745),(6085,6975,0.001391,0.01074),(6085,6985,0.001418,0.010735),(6095,5,3e-06,-1.3198),(6095,15,8e-06,-1.3197),(6095,25,3.6e-05,-1.3197),(6095,35,8.4e-05,-1.3197),(6095,45,0.000132,-1.3197),(6095,55,0.00018,-1.3197),(6095,65,0.00021,-1.3197),(6095,75,0.000224,-1.3198),(6095,85,0.000239,-1.3197),(6095,95,0.000254,-1.3196),(6095,105,0.000247,-1.3195),(6095,115,0.000227,-1.3194),(6095,125,0.000206,-1.3193),(6095,135,0.000186,-1.3193),(6095,145,0.000183,-1.3193),(6095,155,0.000191,-1.3192),(6095,165,0.000198,-1.3192),(6095,175,0.000206,-1.3193),(6095,185,0.000232,-1.3193),(6095,195,0.000268,-1.3193),(6095,205,0.000303,-1.3193),(6095,215,0.000339,-1.3193),(6095,225,0.000384,-1.3194),(6095,235,0.000434,-1.3194),(6095,245,0.000483,-1.3194),(6095,255,0.000533,-1.3194),(6095,265,0.000594,-1.3194),(6095,275,0.000658,-1.3194),(6095,285,0.000722,-1.3195),(6095,295,0.000786,-1.3195),(6095,305,0.000824,-1.3195),(6095,315,0.000854,-1.3195),(6095,325,0.000884,-1.3195),(6095,335,0.000915,-1.3195),(6095,345,0.000924,-1.3195),(6095,355,0.00093,-1.3194),(6095,365,0.000935,-1.3194),(6095,375,0.000941,-1.3194),(6095,385,0.000926,-1.3193),(6095,395,0.000909,-1.3193),(6095,405,0.000891,-1.3192),(6095,415,0.000874,-1.3191),(6095,425,0.000887,-1.319),(6095,435,0.000903,-1.3189),(6095,445,0.000919,-1.3189),(6095,455,0.000935,-1.319),(6095,465,0.000979,-1.319),(6095,475,0.001025,-1.319),(6095,485,0.00107,-1.319),(6095,495,0.001116,-1.319),(6095,505,0.001169,-1.319),(6095,515,0.001221,-1.319),(6095,525,0.001274,-1.319),(6095,535,0.001327,-1.319),(6095,545,0.001407,-1.319),(6095,555,0.001487,-1.3189),(6095,565,0.001567,-1.3189),(6095,575,0.001649,-1.3189),(6095,585,0.001757,-1.3189),(6095,595,0.001865,-1.3189),(6095,605,0.001973,-1.319),(6095,615,0.002082,-1.3191),(6095,625,0.002201,-1.3191),(6095,635,0.002319,-1.3192),(6095,645,0.002437,-1.3192),(6095,655,0.002556,-1.3192),(6095,665,0.002678,-1.3192),(6095,675,0.002799,-1.3193),(6095,685,0.002921,-1.3192),(6095,695,0.003048,-1.3192),(6095,705,0.003198,-1.3192),(6095,715,0.003349,-1.3192),(6095,725,0.0035,-1.3192),(6095,735,0.003658,-1.3192),(6095,745,0.003841,-1.3192),(6095,755,0.004024,-1.3192),(6095,765,0.004207,-1.3192),(6095,775,0.00441,-1.3192),(6095,785,0.004665,-1.3192),(6095,795,0.004919,-1.3192),(6095,805,0.005174,-1.3192),(6095,815,0.005449,-1.3192),(6095,825,0.005769,-1.3192),(6095,835,0.006088,-1.3192),(6095,845,0.006408,-1.3192),(6095,855,0.006763,-1.3191),(6095,865,0.007185,-1.319),(6095,875,0.007606,-1.319),(6095,885,0.008027,-1.319),(6095,895,0.008507,-1.319),(6095,905,0.009079,-1.3191),(6095,915,0.00965,-1.3191),(6095,925,0.010222,-1.319),(6095,935,0.010839,-1.319),(6095,945,0.011517,-1.319),(6095,955,0.012195,-1.3189),(6095,965,0.012872,-1.3187),(6095,975,0.013621,-1.3186),(6095,985,0.01445,-1.3185),(6095,995,0.015279,-1.3183),(6095,1005,0.016107,-1.318),(6095,1015,0.017074,-1.3177),(6095,1025,0.018172,-1.3175),(6095,1035,0.019271,-1.3171),(6095,1045,0.02037,-1.3165),(6095,1055,0.021682,-1.316),(6095,1065,0.02317,-1.3155),(6095,1075,0.024658,-1.3148),(6095,1085,0.026146,-1.314),(6095,1095,0.027946,-1.3132),(6095,1105,0.029965,-1.3124),(6095,1115,0.031983,-1.3112),(6095,1125,0.034002,-1.3097),(6095,1135,0.036411,-1.3083),(6095,1145,0.03905,-1.3068),(6095,1155,0.04169,-1.3046),(6095,1165,0.044329,-1.302),(6095,1175,0.04746,-1.2994),(6095,1185,0.050835,-1.2969),(6095,1195,0.054209,-1.2932),(6095,1205,0.057584,-1.2891),(6095,1215,0.061516,-1.2849),(6095,1225,0.065677,-1.2808),(6095,1235,0.069839,-1.2749),(6095,1245,0.074,-1.2685),(6095,1255,0.078327,-1.262),(6095,1265,0.082709,-1.2556),(6095,1275,0.08709,-1.2469),(6095,1285,0.091472,-1.2375),(6095,1295,0.084474,-1.2281),(6095,1305,0.074397,-1.2187),(6095,1315,0.064321,-1.2122),(6095,1325,0.054244,-1.2064),(6095,1335,0.033385,-1.2006),(6095,1345,0.010266,-1.1948),(6095,1355,-0.012853,-1.1978),(6095,1365,-0.035972,-1.2023),(6095,1375,-0.050725,-1.2068),(6095,1385,-0.064188,-1.2113),(6095,1395,-0.077651,-1.22),(6095,1405,-0.091114,-1.2293),(6095,1415,-0.088516,-1.2385),(6095,1425,-0.08425,-1.2478),(6095,1435,-0.079984,-1.2547),(6095,1445,-0.075719,-1.2615),(6095,1455,-0.071506,-1.2683),(6095,1465,-0.067297,-1.275),(6095,1475,-0.063088,-1.2792),(6095,1485,-0.058878,-1.2833),(6095,1495,-0.055412,-1.2874),(6095,1505,-0.051956,-1.2915),(6095,1515,-0.048501,-1.294),(6095,1525,-0.045064,-1.2966),(6095,1535,-0.042366,-1.2992),(6095,1545,-0.039667,-1.3017),(6095,1555,-0.036969,-1.3033),(6095,1565,-0.034313,-1.3048),(6095,1575,-0.03228,-1.3063),(6095,1585,-0.030247,-1.3077),(6095,1595,-0.028214,-1.3084),(6095,1605,-0.026226,-1.309),(6095,1615,-0.024623,-1.3097),(6095,1625,-0.02302,-1.3103),(6095,1635,-0.021417,-1.3107),(6095,1645,-0.019873,-1.311),(6095,1655,-0.01868,-1.3114),(6095,1665,-0.017488,-1.3117),(6095,1675,-0.016295,-1.3118),(6095,1685,-0.015167,-1.3118),(6095,1695,-0.014327,-1.3119),(6095,1705,-0.013486,-1.3119),(6095,1715,-0.012645,-1.3118),(6095,1725,-0.011827,-1.3116),(6095,1735,-0.011088,-1.3115),(6095,1745,-0.01035,-1.3113),(6095,1755,-0.009611,-1.3112),(6095,1765,-0.008909,-1.311),(6095,1775,-0.008314,-1.3109),(6095,1785,-0.007719,-1.3107),(6095,1795,-0.007123,-1.3105),(6095,1805,-0.006593,-1.3104),(6095,1815,-0.006212,-1.3102),(6095,1825,-0.005832,-1.3099),(6095,1835,-0.005452,-1.3097),(6095,1845,-0.005093,-1.3094),(6095,1855,-0.004778,-1.3091),(6095,1865,-0.004463,-1.3088),(6095,1875,-0.004147,-1.3084),(6095,1885,-0.003834,-1.3081),(6095,1895,-0.003525,-1.3078),(6095,1905,-0.003216,-1.3075),(6095,1915,-0.002906,-1.3072),(6095,1925,-0.002631,-1.3069),(6095,1935,-0.002402,-1.3066),(6095,1945,-0.002174,-1.3063),(6095,1955,-0.001945,-1.3061),(6095,1965,-0.00176,-1.3059),(6095,1975,-0.001627,-1.3057),(6095,1985,-0.001495,-1.3054),(6095,1995,-0.001362,-1.3051),(6095,2005,-0.001251,-1.3047),(6095,2015,-0.001161,-1.3044),(6095,2025,-0.001072,-1.3041),(6095,2035,-0.000983,-1.3038),(6095,2045,-0.000899,-1.3035),(6095,2055,-0.000818,-1.3033),(6095,2065,-0.000737,-1.3029),(6095,2075,-0.000657,-1.3026),(6095,2085,-0.000581,-1.3023),(6095,2095,-0.000508,-1.302),(6095,2105,-0.000435,-1.3016),(6095,2115,-0.000362,-1.3013),(6095,2125,-0.00026,-1.3009),(6095,2135,-0.00014,-1.3006),(6095,2145,-2e-05,-1.3003),(6095,2155,9.9e-05,-1.3001),(6095,2165,0.000212,-1.2998),(6095,2175,0.000322,-1.2996),(6095,2185,0.000431,-1.2993),(6095,2195,0.00054,-1.2989),(6095,2205,0.000612,-1.2985),(6095,2215,0.000667,-1.2982),(6095,2225,0.000721,-1.2978),(6095,2235,0.000776,-1.2974),(6095,2245,0.000849,-1.297),(6095,2255,0.000928,-1.2967),(6095,2265,0.001007,-1.2963),(6095,2275,0.001086,-1.296),(6095,2285,0.001143,-1.2957),(6095,2295,0.001192,-1.2953),(6095,2305,0.001242,-1.2949),(6095,2315,0.001292,-1.2945),(6095,2325,0.001295,-1.2941),(6095,2335,0.001289,-1.2936),(6095,2345,0.001282,-1.2932),(6095,2355,0.001275,-1.2928),(6095,2365,0.001299,-1.2923),(6095,2375,0.001329,-1.2919),(6095,2385,0.001358,-1.2915),(6095,2395,0.001387,-1.291),(6095,2405,0.001462,-1.2906),(6095,2415,0.001542,-1.2901),(6095,2425,0.001623,-1.2897),(6095,2435,0.001703,-1.2893),(6095,2445,0.001817,-1.2889),(6095,2455,0.001933,-1.2885),(6095,2465,0.002049,-1.2881),(6095,2475,0.002165,-1.2877),(6095,2485,0.002266,-1.2874),(6095,2495,0.002368,-1.287),(6095,2505,0.002469,-1.2865),(6095,2515,0.002569,-1.286),(6095,2525,0.002592,-1.2855),(6095,2535,0.002615,-1.285),(6095,2545,0.002638,-1.2844),(6095,2555,0.00266,-1.2838),(6095,2565,0.002668,-1.2832),(6095,2575,0.002675,-1.2826),(6095,2585,0.002683,-1.2821),(6095,2595,0.002695,-1.2816),(6095,2605,0.002748,-1.281),(6095,2615,0.002801,-1.2805),(6095,2625,0.002854,-1.28),(6095,2635,0.002907,-1.2794),(6095,2645,0.002959,-1.2789),(6095,2655,0.003012,-1.2783),(6095,2665,0.003064,-1.2777),(6095,2675,0.003114,-1.2771),(6095,2685,0.00315,-1.2765),(6095,2695,0.003187,-1.2759),(6095,2705,0.003223,-1.2754),(6095,2715,0.003256,-1.2748),(6095,2725,0.003281,-1.2743),(6095,2735,0.003305,-1.2737),(6095,2745,0.003329,-1.2731),(6095,2755,0.003351,-1.2725),(6095,2765,0.003365,-1.2719),(6095,2775,0.003379,-1.2712),(6095,2785,0.003394,-1.2705),(6095,2795,0.003418,-1.2698),(6095,2805,0.003468,-1.269),(6095,2815,0.003519,-1.2683),(6095,2825,0.003569,-1.2677),(6095,2835,0.003621,-1.2671),(6095,2845,0.003678,-1.2665),(6095,2855,0.003735,-1.2658),(6095,2865,0.003793,-1.2652),(6095,2875,0.003834,-1.2645),(6095,2885,0.003848,-1.2639),(6095,2895,0.003862,-1.2632),(6095,2905,0.003877,-1.2624),(6095,2915,0.003896,-1.2616),(6095,2925,0.003922,-1.2607),(6095,2935,0.003948,-1.2599),(6095,2945,0.003975,-1.2591),(6095,2955,0.004016,-1.2583),(6095,2965,0.004077,-1.2575),(6095,2975,0.004137,-1.2568),(6095,2985,0.004198,-1.256),(6095,2995,0.004249,-1.2553),(6095,3005,0.004289,-1.2545),(6095,3015,0.00433,-1.2537),(6095,3025,0.004371,-1.2529),(6095,3035,0.004411,-1.252),(6095,3045,0.00445,-1.2512),(6095,3055,0.004489,-1.2503),(6095,3065,0.004528,-1.2495),(6095,3075,0.00458,-1.2486),(6095,3085,0.004643,-1.2477),(6095,3095,0.004705,-1.2468),(6095,3105,0.004767,-1.246),(6095,3115,0.004837,-1.2451),(6095,3125,0.004912,-1.2442),(6095,3135,0.004986,-1.2433),(6095,3145,0.005061,-1.2424),(6095,3155,0.005149,-1.2415),(6095,3165,0.005244,-1.2407),(6095,3175,0.005339,-1.2398),(6095,3185,0.005434,-1.2388),(6095,3195,0.005515,-1.2379),(6095,3205,0.005589,-1.237),(6095,3215,0.005663,-1.2361),(6095,3225,0.005738,-1.2351),(6095,3235,0.005797,-1.2341),(6095,3245,0.005851,-1.2331),(6095,3255,0.005905,-1.2321),(6095,3265,0.005958,-1.2311),(6095,3275,0.006048,-1.2301),(6095,3285,0.006149,-1.2291),(6095,3295,0.00625,-1.2281),(6095,3305,0.006351,-1.2271),(6095,3315,0.006496,-1.226),(6095,3325,0.00665,-1.225),(6095,3335,0.006805,-1.224),(6095,3345,0.00696,-1.2229),(6095,3355,0.007124,-1.2219),(6095,3365,0.007289,-1.2208),(6095,3375,0.007454,-1.2198),(6095,3385,0.007619,-1.2188),(6095,3395,0.007791,-1.2177),(6095,3405,0.007964,-1.2167),(6095,3415,0.008138,-1.2156),(6095,3425,0.008311,-1.2145),(6095,3435,0.00854,-1.2135),(6095,3445,0.008775,-1.2124),(6095,3455,0.009009,-1.2112),(6095,3465,0.009243,-1.21),(6095,3475,0.009528,-1.2089),(6095,3485,0.009814,-1.2077),(6095,3495,0.010101,-1.2066),(6095,3505,0.010387,-1.2054),(6095,3515,0.010754,-1.2043),(6095,3525,0.01112,-1.2032),(6095,3535,0.011486,-1.2021),(6095,3545,0.011857,-1.2009),(6095,3555,0.01232,-1.1998),(6095,3565,0.012783,-1.1987),(6095,3575,0.013245,-1.1974),(6095,3585,0.01371,-1.1961),(6095,3595,0.014189,-1.1948),(6095,3605,0.014669,-1.1935),(6095,3615,0.015148,-1.1922),(6095,3625,0.015643,-1.1908),(6095,3635,0.016245,-1.1895),(6095,3645,0.016846,-1.1881),(6095,3655,0.017448,-1.1866),(6095,3665,0.018081,-1.1851),(6095,3675,0.018876,-1.1837),(6095,3685,0.01967,-1.1822),(6095,3695,0.020465,-1.1805),(6095,3705,0.021309,-1.1789),(6095,3715,0.022345,-1.1773),(6095,3725,0.023381,-1.1756),(6095,3735,0.024417,-1.1736),(6095,3745,0.025511,-1.1716),(6095,3755,0.026782,-1.1696),(6095,3765,0.028053,-1.1676),(6095,3775,0.029324,-1.1652),(6095,3785,0.030675,-1.1628),(6095,3795,0.03223,-1.1604),(6095,3805,0.033786,-1.1579),(6095,3815,0.035342,-1.155),(6095,3825,0.037095,-1.1521),(6095,3835,0.039264,-1.1491),(6095,3845,0.041433,-1.1459),(6095,3855,0.043603,-1.1421),(6095,3865,0.045879,-1.1384),(6095,3875,0.048343,-1.1346),(6095,3885,0.050808,-1.1304),(6095,3895,0.053272,-1.1254),(6095,3905,0.055893,-1.1205),(6095,3915,0.058748,-1.1156),(6095,3925,0.061602,-1.1099),(6095,3935,0.064456,-1.1032),(6095,3945,0.067231,-1.0964),(6095,3955,0.069904,-1.0896),(6095,3965,0.072577,-1.0822),(6095,3975,0.07525,-1.0741),(6095,3985,0.074703,-1.0659),(6095,3995,0.070672,-1.0577),(6095,4005,0.06664,-1.0499),(6095,4015,0.062609,-1.0425),(6095,4025,0.14995,-1.0351),(6095,4035,0.24622,-1.0298),(6095,4045,0.3425,-1.0288),(6095,4055,0.41982,-1.0278),(6095,4065,0.49023,-1.0267),(6095,4075,0.56064,-1.0249),(6095,4085,0.59259,-1.0231),(6095,4095,0.59365,-1.0213),(6095,4105,0.59471,-1.0195),(6095,4115,0.59578,-1.0178),(6095,4125,0.59687,-1.016),(6095,4135,0.59796,-1.0143),(6095,4145,0.59906,-1.0126),(6095,4155,0.60018,-1.0109),(6095,4165,0.6013,-1.0091),(6095,4175,0.60243,-1.0074),(6095,4185,0.60361,-1.0056),(6095,4195,0.60479,-1.0038),(6095,4205,0.60598,-1.0021),(6095,4215,0.60723,-1.0003),(6095,4225,0.6085,-0.99861),(6095,4235,0.60977,-0.99692),(6095,4245,0.6111,-0.99522),(6095,4255,0.61245,-0.99352),(6095,4265,0.6138,-0.99172),(6095,4275,0.6152,-0.98992),(6095,4285,0.61665,-0.98813),(6095,4295,0.61809,-0.98628),(6095,4305,0.61957,-0.98443),(6095,4315,0.62114,-0.98257),(6095,4325,0.6227,-0.98074),(6095,4335,0.62428,-0.97891),(6095,4345,0.62596,-0.97708),(6095,4355,0.62765,-0.9752),(6095,4365,0.62933,-0.97328),(6095,4375,0.63111,-0.97137),(6095,4385,0.6329,-0.96944),(6095,4395,0.63468,-0.96751),(6095,4405,0.63653,-0.96559),(6095,4415,0.63839,-0.96364),(6095,4425,0.64025,-0.96162),(6095,4435,0.64216,-0.9596),(6095,4445,0.64409,-0.95757),(6095,4455,0.64602,-0.95549),(6095,4465,0.64798,-0.9534),(6095,4475,0.64999,-0.95131),(6095,4485,0.65199,-0.94913),(6095,4495,0.65402,-0.94694),(6095,4505,0.65611,-0.94475),(6095,4515,0.65821,-0.94254),(6095,4525,0.66031,-0.94032),(6095,4535,0.66249,-0.93811),(6095,4545,0.66468,-0.93587),(6095,4555,0.66686,-0.93361),(6095,4565,0.66912,-0.93135),(6095,4575,0.67139,-0.92904),(6095,4585,0.67365,-0.92664),(6095,4595,0.67597,-0.92424),(6095,4605,0.67832,-0.92182),(6095,4615,0.68066,-0.91926),(6095,4625,0.68304,-0.91671),(6095,4635,0.68545,-0.91416),(6095,4645,0.68786,-0.91154),(6095,4655,0.69029,-0.90891),(6095,4665,0.69276,-0.90629),(6095,4675,0.69524,-0.90364),(6095,4685,0.69772,-0.90098),(6095,4695,0.70026,-0.89831),(6095,4705,0.7028,-0.89559),(6095,4715,0.70534,-0.89281),(6095,4725,0.70795,-0.89004),(6095,4735,0.71056,-0.88722),(6095,4745,0.71317,-0.88433),(6095,4755,0.71583,-0.88145),(6095,4765,0.7185,-0.87854),(6095,4775,0.72117,-0.87556),(6095,4785,0.72387,-0.87258),(6095,4795,0.72657,-0.8696),(6095,4805,0.72928,-0.8665),(6095,4815,0.73199,-0.86341),(6095,4825,0.73471,-0.86032),(6095,4835,0.73743,-0.85713),(6095,4845,0.74015,-0.85393),(6095,4855,0.74289,-0.85072),(6095,4865,0.74562,-0.84746),(6095,4875,0.74835,-0.84417),(6095,4885,0.7511,-0.84088),(6095,4895,0.75386,-0.83755),(6095,4905,0.75661,-0.83418),(6095,4915,0.75938,-0.83081),(6095,4925,0.76216,-0.82741),(6095,4935,0.76494,-0.82395),(6095,4945,0.76774,-0.82049),(6095,4955,0.77055,-0.81702),(6095,4965,0.77336,-0.81348),(6095,4975,0.77617,-0.80994),(6095,4985,0.77899,-0.8064),(6095,4995,0.78181,-0.80278),(6095,5005,0.78462,-0.79916),(6095,5015,0.78744,-0.79554),(6095,5025,0.79025,-0.79185),(6095,5035,0.79307,-0.78815),(6095,5045,0.79586,-0.78445),(6095,5055,0.79866,-0.7807),(6095,5065,0.80146,-0.77691),(6095,5075,0.80424,-0.77312),(6095,5085,0.80702,-0.76929),(6095,5095,0.80981,-0.7654),(6095,5105,0.81259,-0.76151),(6095,5115,0.81537,-0.7576),(6095,5125,0.81816,-0.75364),(6095,5135,0.82095,-0.74967),(6095,5145,0.82374,-0.7457),(6095,5155,0.82653,-0.74168),(6095,5165,0.82932,-0.73766),(6095,5175,0.83211,-0.73364),(6095,5185,0.8349,-0.72956),(6095,5195,0.83769,-0.72547),(6095,5205,0.84046,-0.72139),(6095,5215,0.84323,-0.71726),(6095,5225,0.846,-0.71311),(6095,5235,0.84874,-0.70896),(6095,5245,0.85148,-0.70477),(6095,5255,0.85422,-0.70056),(6095,5265,0.85691,-0.69635),(6095,5275,0.85961,-0.6921),(6095,5285,0.8623,-0.68778),(6095,5295,0.86495,-0.68347),(6095,5305,0.86759,-0.67914),(6095,5315,0.87023,-0.67472),(6095,5325,0.87285,-0.6703),(6095,5335,0.87547,-0.66589),(6095,5345,0.87809,-0.66143),(6095,5355,0.88071,-0.65697),(6095,5365,0.88333,-0.65251),(6095,5375,0.88596,-0.64803),(6095,5385,0.88859,-0.64354),(6095,5395,0.89122,-0.63906),(6095,5405,0.89386,-0.63453),(6095,5415,0.89649,-0.62997),(6095,5425,0.89911,-0.62542),(6095,5435,0.90172,-0.62084),(6095,5445,0.90434,-0.61624),(6095,5455,0.90691,-0.61163),(6095,5465,0.90948,-0.60702),(6095,5475,0.91205,-0.6024),(6095,5485,0.91457,-0.59777),(6095,5495,0.91708,-0.59314),(6095,5505,0.91959,-0.58846),(6095,5515,0.92206,-0.58378),(6095,5525,0.9245,-0.5791),(6095,5535,0.92694,-0.57431),(6095,5545,0.92936,-0.56952),(6095,5555,0.93175,-0.56473),(6095,5565,0.93413,-0.55988),(6095,5575,0.93651,-0.55502),(6095,5585,0.93886,-0.55015),(6095,5595,0.94121,-0.54525),(6095,5605,0.94356,-0.54034),(6095,5615,0.94589,-0.53543),(6095,5625,0.94821,-0.53049),(6095,5635,0.95054,-0.52553),(6095,5645,0.95284,-0.52057),(6095,5655,0.95513,-0.5156),(6095,5665,0.95742,-0.51061),(6095,5675,0.95967,-0.50561),(6095,5685,0.96191,-0.50062),(6095,5695,0.96414,-0.4956),(6095,5705,0.96635,-0.49058),(6095,5715,0.96852,-0.48557),(6095,5725,0.97069,-0.48048),(6095,5735,0.97285,-0.47538),(6095,5745,0.97496,-0.47027),(6095,5755,0.97708,-0.46514),(6095,5765,0.97919,-0.45998),(6095,5775,0.98125,-0.45482),(6095,5785,0.98331,-0.44964),(6095,5795,0.98537,-0.44444),(6095,5805,0.98739,-0.43923),(6095,5815,0.9894,-0.43401),(6095,5825,0.99141,-0.42877),(6095,5835,0.99337,-0.42353),(6095,5845,0.99533,-0.41828),(6095,5855,0.99728,-0.41302),(6095,5865,0.99921,-0.40775),(6095,5875,1.0011,-0.40249),(6095,5885,1.003,-0.39719),(6095,5895,1.0049,-0.39189),(6095,5905,1.0067,-0.38659),(6095,5915,1.0085,-0.38125),(6095,5925,1.0104,-0.37589),(6095,5935,1.0121,-0.37053),(6095,5945,1.0139,-0.36516),(6095,5955,1.0157,-0.35977),(6095,5965,1.0174,-0.35439),(6095,5975,1.0191,-0.34899),(6095,5985,1.0208,-0.34357),(6095,5995,1.0225,-0.33814),(6095,6005,1.0241,-0.3327),(6095,6015,1.0258,-0.32718),(6095,6025,1.0274,-0.32166),(6095,6035,1.0289,-0.31615),(6095,6045,1.0305,-0.31062),(6095,6055,1.032,-0.30508),(6095,6065,1.0334,-0.29955),(6095,6075,1.0349,-0.29405),(6095,6085,1.0363,-0.28854),(6095,6095,1.0377,-0.28304),(6095,6105,1.0391,-0.27749),(6095,6115,1.0404,-0.27192),(6095,6125,1.0417,-0.26636),(6095,6135,1.043,-0.26075),(6095,6145,1.0443,-0.25511),(6095,6155,1.0455,-0.24948),(6095,6165,1.0467,-0.24383),(6095,6175,1.048,-0.23818),(6095,6185,1.0491,-0.23253),(6095,6195,1.0503,-0.22687),(6095,6205,1.0515,-0.22118),(6095,6215,1.0526,-0.21549),(6095,6225,1.0536,-0.20979),(6095,6235,1.0547,-0.20407),(6095,6245,1.0558,-0.19834),(6095,6255,1.0567,-0.19261),(6095,6265,1.0577,-0.1869),(6095,6275,1.0587,-0.1812),(6095,6285,1.0596,-0.17549),(6095,6295,1.0604,-0.16977),(6095,6305,1.0613,-0.16403),(6095,6315,1.0621,-0.1583),(6095,6325,1.0629,-0.15251),(6095,6335,1.0637,-0.14666),(6095,6345,1.0644,-0.14081),(6095,6355,1.0652,-0.13499),(6095,6365,1.0659,-0.12924),(6095,6375,1.0666,-0.12349),(6095,6385,1.0672,-0.11774),(6095,6395,1.0679,-0.11202),(6095,6405,1.0685,-0.1063),(6095,6415,1.0691,-0.10059),(6095,6425,1.0696,-0.094819),(6095,6435,1.0702,-0.089047),(6095,6445,1.0706,-0.083275),(6095,6455,1.0711,-0.077473),(6095,6465,1.0715,-0.071664),(6095,6475,1.0718,-0.065854),(6095,6485,1.0722,-0.06001),(6095,6495,1.0725,-0.054143),(6095,6505,1.0727,-0.048276),(6095,6515,1.073,-0.042387),(6095,6525,1.0732,-0.036467),(6095,6535,1.0734,-0.030547),(6095,6545,1.0736,-0.024666),(6095,6555,1.0737,-0.018909),(6095,6565,1.0738,-0.013153),(6095,6575,1.0739,-0.007391),(6095,6585,1.074,-0.001565),(6095,6595,0.91351,0.004262),(6095,6605,0.57567,0.010089),(6095,6615,0.23782,0.010769),(6095,6625,0.000336,0.010788),(6095,6635,0.000368,0.010807),(6095,6645,0.0004,0.010814),(6095,6655,0.000432,0.010816),(6095,6665,0.000464,0.010819),(6095,6675,0.000496,0.010821),(6095,6685,0.000528,0.010822),(6095,6695,0.000559,0.010824),(6095,6705,0.000591,0.010825),(6095,6715,0.000623,0.010826),(6095,6725,0.000654,0.010827),(6095,6735,0.000685,0.010828),(6095,6745,0.000716,0.010828),(6095,6755,0.000748,0.010828),(6095,6765,0.000778,0.010828),(6095,6775,0.000809,0.010828),(6095,6785,0.00084,0.010827),(6095,6795,0.00087,0.010826),(6095,6805,0.000901,0.010825),(6095,6815,0.000931,0.010824),(6095,6825,0.000961,0.010822),(6095,6835,0.000991,0.01082),(6095,6845,0.001021,0.010818),(6095,6855,0.001051,0.010816),(6095,6865,0.00108,0.010813),(6095,6875,0.00111,0.01081),(6095,6885,0.001139,0.010807),(6095,6895,0.001168,0.010804),(6095,6905,0.001197,0.0108),(6095,6915,0.001226,0.010796),(6095,6925,0.001254,0.010792),(6095,6935,0.001283,0.010787),(6095,6945,0.001311,0.010783),(6095,6955,0.001339,0.010778),(6095,6965,0.001367,0.010773),(6095,6975,0.001394,0.010767),(6095,6985,0.001422,0.010762),(6105,5,0,-1.3198),(6105,15,1e-06,-1.3198),(6105,25,2.5e-05,-1.3197),(6105,35,7e-05,-1.3197),(6105,45,0.000114,-1.3196),(6105,55,0.000159,-1.3197),(6105,65,0.000191,-1.3197),(6105,75,0.000213,-1.3198),(6105,85,0.000235,-1.3197),(6105,95,0.000256,-1.3196),(6105,105,0.000254,-1.3195),(6105,115,0.000234,-1.3194),(6105,125,0.000215,-1.3193),(6105,135,0.000195,-1.3193),(6105,145,0.000188,-1.3193),(6105,155,0.000188,-1.3192),(6105,165,0.000189,-1.3192),(6105,175,0.000189,-1.3192),(6105,185,0.000207,-1.3192),(6105,195,0.000234,-1.3192),(6105,205,0.000261,-1.3193),(6105,215,0.000287,-1.3193),(6105,225,0.000326,-1.3193),(6105,235,0.000368,-1.3193),(6105,245,0.000411,-1.3194),(6105,255,0.000454,-1.3194),(6105,265,0.000511,-1.3194),(6105,275,0.000574,-1.3194),(6105,285,0.000636,-1.3194),(6105,295,0.000698,-1.3194),(6105,305,0.000744,-1.3195),(6105,315,0.000785,-1.3195),(6105,325,0.000827,-1.3195),(6105,335,0.000868,-1.3195),(6105,345,0.000886,-1.3195),(6105,355,0.0009,-1.3195),(6105,365,0.000913,-1.3194),(6105,375,0.000927,-1.3194),(6105,385,0.000924,-1.3193),(6105,395,0.000919,-1.3193),(6105,405,0.000914,-1.3192),(6105,415,0.000909,-1.3191),(6105,425,0.000925,-1.319),(6105,435,0.000943,-1.3189),(6105,445,0.000961,-1.3189),(6105,455,0.000978,-1.319),(6105,465,0.00102,-1.319),(6105,475,0.001062,-1.319),(6105,485,0.001104,-1.319),(6105,495,0.001146,-1.319),(6105,505,0.001197,-1.319),(6105,515,0.001248,-1.3189),(6105,525,0.001299,-1.3189),(6105,535,0.001351,-1.3189),(6105,545,0.001425,-1.3189),(6105,555,0.001499,-1.3189),(6105,565,0.001574,-1.3189),(6105,575,0.00165,-1.3189),(6105,585,0.001753,-1.3189),(6105,595,0.001857,-1.3189),(6105,605,0.00196,-1.3189),(6105,615,0.002064,-1.319),(6105,625,0.002179,-1.3191),(6105,635,0.002294,-1.3191),(6105,645,0.002408,-1.3191),(6105,655,0.002524,-1.3192),(6105,665,0.002643,-1.3192),(6105,675,0.002763,-1.3192),(6105,685,0.002883,-1.3192),(6105,695,0.003008,-1.3192),(6105,705,0.003161,-1.3191),(6105,715,0.003313,-1.3191),(6105,725,0.003465,-1.3191),(6105,735,0.003623,-1.3191),(6105,745,0.003804,-1.3191),(6105,755,0.003984,-1.3191),(6105,765,0.004164,-1.3191),(6105,775,0.004363,-1.3191),(6105,785,0.00461,-1.3191),(6105,795,0.004857,-1.3191),(6105,805,0.005105,-1.3191),(6105,815,0.005372,-1.3191),(6105,825,0.005683,-1.3191),(6105,835,0.005993,-1.3191),(6105,845,0.006304,-1.319),(6105,855,0.006648,-1.3189),(6105,865,0.007051,-1.3189),(6105,875,0.007454,-1.3188),(6105,885,0.007857,-1.3188),(6105,895,0.00832,-1.3188),(6105,905,0.008877,-1.3188),(6105,915,0.009434,-1.3188),(6105,925,0.009991,-1.3187),(6105,935,0.010597,-1.3187),(6105,945,0.011268,-1.3187),(6105,955,0.01194,-1.3186),(6105,965,0.012611,-1.3184),(6105,975,0.013342,-1.3183),(6105,985,0.014141,-1.3181),(6105,995,0.01494,-1.3179),(6105,1005,0.015739,-1.3176),(6105,1015,0.016653,-1.3173),(6105,1025,0.017678,-1.317),(6105,1035,0.018703,-1.3165),(6105,1045,0.019728,-1.3159),(6105,1055,0.020944,-1.3154),(6105,1065,0.022318,-1.3148),(6105,1075,0.023691,-1.314),(6105,1085,0.025064,-1.3132),(6105,1095,0.026713,-1.3123),(6105,1105,0.028554,-1.3114),(6105,1115,0.030395,-1.3102),(6105,1125,0.032236,-1.3086),(6105,1135,0.034414,-1.3071),(6105,1145,0.036792,-1.3056),(6105,1155,0.039169,-1.3033),(6105,1165,0.041547,-1.3006),(6105,1175,0.044325,-1.298),(6105,1185,0.047302,-1.2953),(6105,1195,0.05028,-1.2916),(6105,1205,0.053257,-1.2873),(6105,1215,0.05668,-1.283),(6105,1225,0.060287,-1.2788),(6105,1235,0.063894,-1.2729),(6105,1245,0.067501,-1.2665),(6105,1255,0.071217,-1.26),(6105,1265,0.07497,-1.2535),(6105,1275,0.078724,-1.245),(6105,1285,0.082477,-1.2359),(6105,1295,0.076062,-1.2267),(6105,1305,0.066897,-1.2176),(6105,1315,0.057733,-1.2114),(6105,1325,0.048568,-1.2058),(6105,1335,0.029899,-1.2003),(6105,1345,0.009238,-1.1948),(6105,1355,-0.011423,-1.1976),(6105,1365,-0.032084,-1.2018),(6105,1375,-0.045354,-1.2061),(6105,1385,-0.057484,-1.2103),(6105,1395,-0.069615,-1.2187),(6105,1405,-0.081745,-1.2277),(6105,1415,-0.079605,-1.2367),(6105,1425,-0.075984,-1.2457),(6105,1435,-0.072362,-1.2526),(6105,1445,-0.068741,-1.2594),(6105,1455,-0.065095,-1.2662),(6105,1465,-0.061447,-1.2729),(6105,1475,-0.057799,-1.2772),(6105,1485,-0.054152,-1.2814),(6105,1495,-0.051118,-1.2856),(6105,1505,-0.048093,-1.2898),(6105,1515,-0.045069,-1.2924),(6105,1525,-0.042059,-1.2951),(6105,1535,-0.039653,-1.2978),(6105,1545,-0.037246,-1.3004),(6105,1555,-0.034839,-1.302),(6105,1565,-0.032469,-1.3036),(6105,1575,-0.030619,-1.3052),(6105,1585,-0.028769,-1.3067),(6105,1595,-0.02692,-1.3074),(6105,1605,-0.025109,-1.3082),(6105,1615,-0.023631,-1.3089),(6105,1625,-0.022152,-1.3095),(6105,1635,-0.020674,-1.31),(6105,1645,-0.019244,-1.3104),(6105,1655,-0.018099,-1.3108),(6105,1665,-0.016954,-1.3112),(6105,1675,-0.015809,-1.3113),(6105,1685,-0.014728,-1.3114),(6105,1695,-0.013928,-1.3115),(6105,1705,-0.013127,-1.3116),(6105,1715,-0.012327,-1.3114),(6105,1725,-0.011553,-1.3113),(6105,1735,-0.010869,-1.3111),(6105,1745,-0.010185,-1.3109),(6105,1755,-0.0095,-1.3108),(6105,1765,-0.008842,-1.3107),(6105,1775,-0.008257,-1.3106),(6105,1785,-0.007672,-1.3105),(6105,1795,-0.007087,-1.3103),(6105,1805,-0.006558,-1.3102),(6105,1815,-0.006158,-1.31),(6105,1825,-0.005759,-1.3098),(6105,1835,-0.005359,-1.3095),(6105,1845,-0.004994,-1.3092),(6105,1855,-0.004696,-1.3089),(6105,1865,-0.004398,-1.3086),(6105,1875,-0.0041,-1.3083),(6105,1885,-0.00381,-1.308),(6105,1895,-0.00353,-1.3076),(6105,1905,-0.003251,-1.3073),(6105,1915,-0.002972,-1.3071),(6105,1925,-0.002712,-1.3068),(6105,1935,-0.002478,-1.3065),(6105,1945,-0.002244,-1.3062),(6105,1955,-0.00201,-1.306),(6105,1965,-0.001811,-1.3058),(6105,1975,-0.001652,-1.3056),(6105,1985,-0.001492,-1.3054),(6105,1995,-0.001334,-1.305),(6105,2005,-0.001198,-1.3047),(6105,2015,-0.001085,-1.3044),(6105,2025,-0.000972,-1.3041),(6105,2035,-0.000859,-1.3038),(6105,2045,-0.000761,-1.3035),(6105,2055,-0.000674,-1.3032),(6105,2065,-0.000587,-1.3029),(6105,2075,-0.000501,-1.3026),(6105,2085,-0.000434,-1.3023),(6105,2095,-0.000382,-1.3019),(6105,2105,-0.000331,-1.3016),(6105,2115,-0.000279,-1.3012),(6105,2125,-0.000199,-1.3009),(6105,2135,-0.000103,-1.3005),(6105,2145,-6e-06,-1.3002),(6105,2155,9.1e-05,-1.3),(6105,2165,0.000198,-1.2997),(6105,2175,0.00031,-1.2995),(6105,2185,0.000423,-1.2992),(6105,2195,0.000535,-1.2989),(6105,2205,0.000611,-1.2985),(6105,2215,0.000671,-1.2982),(6105,2225,0.000731,-1.2978),(6105,2235,0.000791,-1.2974),(6105,2245,0.000863,-1.297),(6105,2255,0.00094,-1.2966),(6105,2265,0.001016,-1.2963),(6105,2275,0.001093,-1.2959),(6105,2285,0.001158,-1.2956),(6105,2295,0.00122,-1.2953),(6105,2305,0.001281,-1.2949),(6105,2315,0.001343,-1.2945),(6105,2325,0.001361,-1.2941),(6105,2335,0.001369,-1.2937),(6105,2345,0.001378,-1.2932),(6105,2355,0.001386,-1.2928),(6105,2365,0.001412,-1.2923),(6105,2375,0.001441,-1.2919),(6105,2385,0.001469,-1.2914),(6105,2395,0.001498,-1.291),(6105,2405,0.00156,-1.2905),(6105,2415,0.001627,-1.2901),(6105,2425,0.001693,-1.2897),(6105,2435,0.001759,-1.2892),(6105,2445,0.001857,-1.2888),(6105,2455,0.001956,-1.2884),(6105,2465,0.002056,-1.288),(6105,2475,0.002156,-1.2876),(6105,2485,0.002254,-1.2873),(6105,2495,0.002353,-1.2869),(6105,2505,0.002452,-1.2865),(6105,2515,0.00255,-1.286),(6105,2525,0.002582,-1.2855),(6105,2535,0.002614,-1.285),(6105,2545,0.002646,-1.2844),(6105,2555,0.002677,-1.2838),(6105,2565,0.002685,-1.2832),(6105,2575,0.002694,-1.2826),(6105,2585,0.002702,-1.2821),(6105,2595,0.002714,-1.2815),(6105,2605,0.00276,-1.281),(6105,2615,0.002806,-1.2805),(6105,2625,0.002852,-1.2799),(6105,2635,0.002898,-1.2794),(6105,2645,0.002946,-1.2788),(6105,2655,0.002995,-1.2783),(6105,2665,0.003043,-1.2777),(6105,2675,0.003089,-1.2771),(6105,2685,0.003124,-1.2765),(6105,2695,0.003158,-1.2759),(6105,2705,0.003193,-1.2754),(6105,2715,0.003225,-1.2748),(6105,2725,0.003247,-1.2743),(6105,2735,0.003269,-1.2737),(6105,2745,0.003291,-1.2731),(6105,2755,0.00331,-1.2725),(6105,2765,0.003318,-1.2719),(6105,2775,0.003326,-1.2712),(6105,2785,0.003334,-1.2705),(6105,2795,0.003355,-1.2697),(6105,2805,0.003406,-1.269),(6105,2815,0.003456,-1.2683),(6105,2825,0.003507,-1.2677),(6105,2835,0.003565,-1.2671),(6105,2845,0.003637,-1.2664),(6105,2855,0.003709,-1.2658),(6105,2865,0.003781,-1.2652),(6105,2875,0.003837,-1.2645),(6105,2885,0.003866,-1.2639),(6105,2895,0.003894,-1.2632),(6105,2905,0.003923,-1.2624),(6105,2915,0.003951,-1.2616),(6105,2925,0.003977,-1.2607),(6105,2935,0.004003,-1.2599),(6105,2945,0.004029,-1.2591),(6105,2955,0.00407,-1.2583),(6105,2965,0.004129,-1.2575),(6105,2975,0.004187,-1.2567),(6105,2985,0.004246,-1.256),(6105,2995,0.004294,-1.2552),(6105,3005,0.004333,-1.2545),(6105,3015,0.004372,-1.2537),(6105,3025,0.004411,-1.2529),(6105,3035,0.004446,-1.252),(6105,3045,0.004478,-1.2512),(6105,3055,0.004509,-1.2503),(6105,3065,0.004541,-1.2494),(6105,3075,0.004585,-1.2486),(6105,3085,0.00464,-1.2477),(6105,3095,0.004694,-1.2468),(6105,3105,0.004749,-1.2459),(6105,3115,0.004811,-1.245),(6105,3125,0.004878,-1.2441),(6105,3135,0.004945,-1.2433),(6105,3145,0.005012,-1.2424),(6105,3155,0.005095,-1.2415),(6105,3165,0.005187,-1.2406),(6105,3175,0.005279,-1.2397),(6105,3185,0.00537,-1.2388),(6105,3195,0.005457,-1.2379),(6105,3205,0.005541,-1.237),(6105,3215,0.005625,-1.236),(6105,3225,0.00571,-1.235),(6105,3235,0.00578,-1.2341),(6105,3245,0.005844,-1.2331),(6105,3255,0.005909,-1.2321),(6105,3265,0.005974,-1.2311),(6105,3275,0.006063,-1.23),(6105,3285,0.00616,-1.229),(6105,3295,0.006257,-1.228),(6105,3305,0.006354,-1.227),(6105,3315,0.006494,-1.226),(6105,3325,0.006644,-1.2249),(6105,3335,0.006793,-1.2239),(6105,3345,0.006943,-1.2228),(6105,3355,0.007115,-1.2218),(6105,3365,0.00729,-1.2207),(6105,3375,0.007466,-1.2197),(6105,3385,0.007641,-1.2187),(6105,3395,0.007819,-1.2177),(6105,3405,0.007996,-1.2166),(6105,3415,0.008174,-1.2155),(6105,3425,0.008351,-1.2144),(6105,3435,0.008566,-1.2133),(6105,3445,0.008784,-1.2122),(6105,3455,0.009002,-1.2111),(6105,3465,0.00922,-1.2099),(6105,3475,0.009482,-1.2087),(6105,3485,0.009745,-1.2075),(6105,3495,0.010007,-1.2064),(6105,3505,0.010271,-1.2052),(6105,3515,0.010605,-1.2041),(6105,3525,0.010939,-1.203),(6105,3535,0.011273,-1.2018),(6105,3545,0.011613,-1.2007),(6105,3555,0.012062,-1.1996),(6105,3565,0.012511,-1.1984),(6105,3575,0.01296,-1.1972),(6105,3585,0.013412,-1.1959),(6105,3595,0.013901,-1.1946),(6105,3605,0.014391,-1.1933),(6105,3615,0.01488,-1.1919),(6105,3625,0.015383,-1.1906),(6105,3635,0.015979,-1.1892),(6105,3645,0.016575,-1.1878),(6105,3655,0.01717,-1.1863),(6105,3665,0.017793,-1.1848),(6105,3675,0.018552,-1.1833),(6105,3685,0.019311,-1.1817),(6105,3695,0.02007,-1.18),(6105,3705,0.020866,-1.1784),(6105,3715,0.021808,-1.1767),(6105,3725,0.02275,-1.1749),(6105,3735,0.023692,-1.1729),(6105,3745,0.024687,-1.1709),(6105,3755,0.025845,-1.1689),(6105,3765,0.027003,-1.1668),(6105,3775,0.028162,-1.1644),(6105,3785,0.029394,-1.162),(6105,3795,0.030816,-1.1596),(6105,3805,0.032237,-1.157),(6105,3815,0.033659,-1.1539),(6105,3825,0.035236,-1.1509),(6105,3835,0.037141,-1.1478),(6105,3845,0.039046,-1.1445),(6105,3855,0.040951,-1.1407),(6105,3865,0.042951,-1.1369),(6105,3875,0.04512,-1.1331),(6105,3885,0.04729,-1.1288),(6105,3895,0.049459,-1.1238),(6105,3905,0.051753,-1.1188),(6105,3915,0.054236,-1.1138),(6105,3925,0.056718,-1.1081),(6105,3935,0.0592,-1.1014),(6105,3945,0.061604,-1.0947),(6105,3955,0.063909,-1.088),(6105,3965,0.066213,-1.0807),(6105,3975,0.068517,-1.0727),(6105,3985,0.067926,-1.0647),(6105,3995,0.0642,-1.0567),(6105,4005,0.060474,-1.0491),(6105,4015,0.056747,-1.042),(6105,4025,0.14525,-1.0349),(6105,4035,0.24278,-1.0297),(6105,4045,0.34031,-1.0287),(6105,4055,0.4177,-1.0277),(6105,4065,0.48774,-1.0266),(6105,4075,0.55778,-1.0248),(6105,4085,0.58957,-1.023),(6105,4095,0.59062,-1.0213),(6105,4105,0.59167,-1.0195),(6105,4115,0.59274,-1.0177),(6105,4125,0.59383,-1.0159),(6105,4135,0.59492,-1.0142),(6105,4145,0.59602,-1.0124),(6105,4155,0.59714,-1.0107),(6105,4165,0.59827,-1.009),(6105,4175,0.5994,-1.0072),(6105,4185,0.60058,-1.0054),(6105,4195,0.60176,-1.0037),(6105,4205,0.60294,-1.0019),(6105,4215,0.6042,-1.0001),(6105,4225,0.60546,-0.99836),(6105,4235,0.60673,-0.99665),(6105,4245,0.60805,-0.99494),(6105,4255,0.60939,-0.99323),(6105,4265,0.61074,-0.99142),(6105,4275,0.61213,-0.98961),(6105,4285,0.61356,-0.9878),(6105,4295,0.61499,-0.98593),(6105,4305,0.61646,-0.98406),(6105,4315,0.61801,-0.98219),(6105,4325,0.61955,-0.98034),(6105,4335,0.62111,-0.9785),(6105,4345,0.62277,-0.97665),(6105,4355,0.62443,-0.97476),(6105,4365,0.62609,-0.97283),(6105,4375,0.62785,-0.9709),(6105,4385,0.62961,-0.96897),(6105,4395,0.63137,-0.96703),(6105,4405,0.6332,-0.96509),(6105,4415,0.63504,-0.96314),(6105,4425,0.63689,-0.96111),(6105,4435,0.63878,-0.95908),(6105,4445,0.64069,-0.95705),(6105,4455,0.6426,-0.95495),(6105,4465,0.64454,-0.95285),(6105,4475,0.64653,-0.95075),(6105,4485,0.64852,-0.94857),(6105,4495,0.65052,-0.94636),(6105,4505,0.65259,-0.94416),(6105,4515,0.65466,-0.94194),(6105,4525,0.65673,-0.93971),(6105,4535,0.65889,-0.93749),(6105,4545,0.66104,-0.93524),(6105,4555,0.6632,-0.93297),(6105,4565,0.66543,-0.9307),(6105,4575,0.66767,-0.92839),(6105,4585,0.66991,-0.92598),(6105,4595,0.67221,-0.92357),(6105,4605,0.67453,-0.92114),(6105,4615,0.67685,-0.91858),(6105,4625,0.6792,-0.91603),(6105,4635,0.68158,-0.91347),(6105,4645,0.68396,-0.91085),(6105,4655,0.68637,-0.90822),(6105,4665,0.6888,-0.90559),(6105,4675,0.69124,-0.90294),(6105,4685,0.6937,-0.90027),(6105,4695,0.6962,-0.8976),(6105,4705,0.6987,-0.89487),(6105,4715,0.70121,-0.89209),(6105,4725,0.70378,-0.88931),(6105,4735,0.70635,-0.88649),(6105,4745,0.70892,-0.88359),(6105,4755,0.71155,-0.8807),(6105,4765,0.71418,-0.87779),(6105,4775,0.71682,-0.87482),(6105,4785,0.71948,-0.87184),(6105,4795,0.72215,-0.86886),(6105,4805,0.72483,-0.86577),(6105,4815,0.72751,-0.86269),(6105,4825,0.7302,-0.8596),(6105,4835,0.73289,-0.85642),(6105,4845,0.73558,-0.85323),(6105,4855,0.73829,-0.85003),(6105,4865,0.74099,-0.84678),(6105,4875,0.7437,-0.84349),(6105,4885,0.74641,-0.84021),(6105,4895,0.74913,-0.83688),(6105,4905,0.75185,-0.83351),(6105,4915,0.75459,-0.83013),(6105,4925,0.75734,-0.82673),(6105,4935,0.76008,-0.82328),(6105,4945,0.76284,-0.81982),(6105,4955,0.76562,-0.81635),(6105,4965,0.76839,-0.81282),(6105,4975,0.77117,-0.80928),(6105,4985,0.77396,-0.80575),(6105,4995,0.77674,-0.80213),(6105,5005,0.77953,-0.79852),(6105,5015,0.78232,-0.79491),(6105,5025,0.78511,-0.79124),(6105,5035,0.7879,-0.78755),(6105,5045,0.79067,-0.78386),(6105,5055,0.79345,-0.78011),(6105,5065,0.79622,-0.77633),(6105,5075,0.79898,-0.77254),(6105,5085,0.80174,-0.76871),(6105,5095,0.8045,-0.76482),(6105,5105,0.80725,-0.76093),(6105,5115,0.81,-0.75702),(6105,5125,0.81275,-0.75305),(6105,5135,0.81551,-0.74909),(6105,5145,0.81826,-0.74511),(6105,5155,0.82102,-0.74109),(6105,5165,0.82377,-0.73707),(6105,5175,0.82653,-0.73305),(6105,5185,0.82928,-0.72897),(6105,5195,0.83203,-0.72489),(6105,5205,0.83478,-0.72081),(6105,5215,0.83752,-0.71668),(6105,5225,0.84027,-0.71254),(6105,5235,0.84299,-0.7084),(6105,5245,0.84571,-0.70423),(6105,5255,0.84843,-0.70003),(6105,5265,0.85111,-0.69583),(6105,5275,0.85379,-0.69159),(6105,5285,0.85647,-0.68729),(6105,5295,0.85911,-0.68299),(6105,5305,0.86173,-0.67866),(6105,5315,0.86436,-0.67425),(6105,5325,0.86696,-0.66983),(6105,5335,0.86955,-0.66542),(6105,5345,0.87214,-0.66095),(6105,5355,0.87473,-0.65648),(6105,5365,0.87732,-0.65201),(6105,5375,0.87991,-0.64752),(6105,5385,0.8825,-0.64302),(6105,5395,0.88509,-0.63853),(6105,5405,0.88768,-0.634),(6105,5415,0.89028,-0.62945),(6105,5425,0.89286,-0.6249),(6105,5435,0.89544,-0.62032),(6105,5445,0.89803,-0.61573),(6105,5455,0.90058,-0.61114),(6105,5465,0.90313,-0.60654),(6105,5475,0.90568,-0.60193),(6105,5485,0.90819,-0.59732),(6105,5495,0.91069,-0.5927),(6105,5505,0.91318,-0.58803),(6105,5515,0.91565,-0.58336),(6105,5525,0.91808,-0.57869),(6105,5535,0.92052,-0.57391),(6105,5545,0.92293,-0.56912),(6105,5555,0.92531,-0.56434),(6105,5565,0.92768,-0.55949),(6105,5575,0.93004,-0.55462),(6105,5585,0.93237,-0.54975),(6105,5595,0.93469,-0.54486),(6105,5605,0.93702,-0.53994),(6105,5615,0.93932,-0.53502),(6105,5625,0.94162,-0.53008),(6105,5635,0.94391,-0.52512),(6105,5645,0.94618,-0.52016),(6105,5655,0.94844,-0.51519),(6105,5665,0.95071,-0.51021),(6105,5675,0.95294,-0.50522),(6105,5685,0.95515,-0.50023),(6105,5695,0.95736,-0.49522),(6105,5705,0.95955,-0.49021),(6105,5715,0.96171,-0.4852),(6105,5725,0.96387,-0.48011),(6105,5735,0.96601,-0.47502),(6105,5745,0.96811,-0.46992),(6105,5755,0.97021,-0.46478),(6105,5765,0.9723,-0.45963),(6105,5775,0.97434,-0.45447),(6105,5785,0.97639,-0.44929),(6105,5795,0.97843,-0.44409),(6105,5805,0.98043,-0.43889),(6105,5815,0.98242,-0.43367),(6105,5825,0.98441,-0.42843),(6105,5835,0.98636,-0.42318),(6105,5845,0.98829,-0.41794),(6105,5855,0.99023,-0.41267),(6105,5865,0.99213,-0.40741),(6105,5875,0.99401,-0.40215),(6105,5885,0.99588,-0.39685),(6105,5895,0.99773,-0.39156),(6105,5905,0.99954,-0.38626),(6105,5915,1.0014,-0.38092),(6105,5925,1.0031,-0.37556),(6105,5935,1.0049,-0.3702),(6105,5945,1.0066,-0.36483),(6105,5955,1.0084,-0.35944),(6105,5965,1.0101,-0.35406),(6105,5975,1.0118,-0.34866),(6105,5985,1.0135,-0.34324),(6105,5995,1.0151,-0.33782),(6105,6005,1.0168,-0.33238),(6105,6015,1.0184,-0.32688),(6105,6025,1.02,-0.32137),(6105,6035,1.0215,-0.31586),(6105,6045,1.0231,-0.31034),(6105,6055,1.0246,-0.30482),(6105,6065,1.0261,-0.2993),(6105,6075,1.0275,-0.2938),(6105,6085,1.029,-0.28831),(6105,6095,1.0303,-0.28282),(6105,6105,1.0317,-0.27727),(6105,6115,1.033,-0.27171),(6105,6125,1.0343,-0.26614),(6105,6135,1.0356,-0.26053),(6105,6145,1.0369,-0.25489),(6105,6155,1.0381,-0.24925),(6105,6165,1.0393,-0.24361),(6105,6175,1.0405,-0.23795),(6105,6185,1.0417,-0.2323),(6105,6195,1.0428,-0.22664),(6105,6205,1.044,-0.22095),(6105,6215,1.0451,-0.21526),(6105,6225,1.0461,-0.20958),(6105,6235,1.0472,-0.20386),(6105,6245,1.0482,-0.19814),(6105,6255,1.0492,-0.19242),(6105,6265,1.0502,-0.18672),(6105,6275,1.0511,-0.18102),(6105,6285,1.052,-0.17532),(6105,6295,1.0529,-0.1696),(6105,6305,1.0537,-0.16387),(6105,6315,1.0545,-0.15814),(6105,6325,1.0553,-0.15235),(6105,6335,1.0561,-0.1465),(6105,6345,1.0568,-0.14064),(6105,6355,1.0575,-0.13482),(6105,6365,1.0583,-0.12906),(6105,6375,1.0589,-0.12331),(6105,6385,1.0596,-0.11756),(6105,6395,1.0602,-0.11185),(6105,6405,1.0608,-0.10614),(6105,6415,1.0614,-0.10043),(6105,6425,1.0619,-0.094676),(6105,6435,1.0625,-0.088917),(6105,6445,1.0629,-0.083158),(6105,6455,1.0634,-0.077371),(6105,6465,1.0638,-0.071575),(6105,6475,1.0641,-0.065779),(6105,6485,1.0645,-0.059942),(6105,6495,1.0648,-0.054077),(6105,6505,1.065,-0.048212),(6105,6515,1.0653,-0.042322),(6105,6525,1.0655,-0.036397),(6105,6535,1.0657,-0.030473),(6105,6545,1.0659,-0.02459),(6105,6555,1.066,-0.018835),(6105,6565,1.0661,-0.013081),(6105,6575,1.0662,-0.007322),(6105,6585,1.0663,-0.001513),(6105,6595,0.90697,0.004296),(6105,6605,0.57154,0.010106),(6105,6615,0.23612,0.010789),(6105,6625,0.000332,0.010813),(6105,6635,0.000365,0.010837),(6105,6645,0.000397,0.010846),(6105,6655,0.000429,0.010848),(6105,6665,0.000461,0.01085),(6105,6675,0.000493,0.010852),(6105,6685,0.000525,0.010854),(6105,6695,0.000557,0.010856),(6105,6705,0.000589,0.010857),(6105,6715,0.000621,0.010858),(6105,6725,0.000652,0.010858),(6105,6735,0.000684,0.010859),(6105,6745,0.000715,0.010859),(6105,6755,0.000747,0.010859),(6105,6765,0.000778,0.010859),(6105,6775,0.000809,0.010858),(6105,6785,0.00084,0.010857),(6105,6795,0.00087,0.010857),(6105,6805,0.000901,0.010855),(6105,6815,0.000932,0.010854),(6105,6825,0.000962,0.010852),(6105,6835,0.000992,0.01085),(6105,6845,0.001022,0.010848),(6105,6855,0.001052,0.010845),(6105,6865,0.001082,0.010842),(6105,6875,0.001112,0.010839),(6105,6885,0.001141,0.010836),(6105,6895,0.00117,0.010832),(6105,6905,0.001199,0.010828),(6105,6915,0.001228,0.010824),(6105,6925,0.001257,0.01082),(6105,6935,0.001286,0.010816),(6105,6945,0.001314,0.010811),(6105,6955,0.001342,0.010806),(6105,6965,0.00137,0.0108),(6105,6975,0.001398,0.010795),(6105,6985,0.001426,0.010789),(6115,5,-2e-06,-1.3198),(6115,15,-5e-06,-1.3198),(6115,25,1.5e-05,-1.3197),(6115,35,5.6e-05,-1.3196),(6115,45,9.6e-05,-1.3196),(6115,55,0.000137,-1.3197),(6115,65,0.000172,-1.3197),(6115,75,0.000201,-1.3197),(6115,85,0.00023,-1.3197),(6115,95,0.000259,-1.3196),(6115,105,0.00026,-1.3195),(6115,115,0.000241,-1.3194),(6115,125,0.000223,-1.3194),(6115,135,0.000204,-1.3193),(6115,145,0.000193,-1.3193),(6115,155,0.000186,-1.3192),(6115,165,0.000179,-1.3192),(6115,175,0.000172,-1.3192),(6115,185,0.000182,-1.3192),(6115,195,0.0002,-1.3192),(6115,205,0.000218,-1.3192),(6115,215,0.000236,-1.3193),(6115,225,0.000267,-1.3193),(6115,235,0.000303,-1.3193),(6115,245,0.000339,-1.3193),(6115,255,0.000375,-1.3193),(6115,265,0.000429,-1.3193),(6115,275,0.00049,-1.3193),(6115,285,0.00055,-1.3193),(6115,295,0.00061,-1.3194),(6115,305,0.000664,-1.3194),(6115,315,0.000717,-1.3194),(6115,325,0.000769,-1.3195),(6115,335,0.000821,-1.3194),(6115,345,0.000848,-1.3194),(6115,355,0.000869,-1.3194),(6115,365,0.000891,-1.3194),(6115,375,0.000912,-1.3194),(6115,385,0.000922,-1.3193),(6115,395,0.000929,-1.3193),(6115,405,0.000937,-1.3192),(6115,415,0.000944,-1.3191),(6115,425,0.000963,-1.319),(6115,435,0.000983,-1.3189),(6115,445,0.001002,-1.319),(6115,455,0.001022,-1.319),(6115,465,0.00106,-1.319),(6115,475,0.001099,-1.319),(6115,485,0.001138,-1.319),(6115,495,0.001177,-1.319),(6115,505,0.001226,-1.319),(6115,515,0.001275,-1.3189),(6115,525,0.001325,-1.3189),(6115,535,0.001375,-1.3189),(6115,545,0.001443,-1.3189),(6115,555,0.001512,-1.3189),(6115,565,0.001581,-1.3189),(6115,575,0.001652,-1.3188),(6115,585,0.00175,-1.3188),(6115,595,0.001848,-1.3188),(6115,605,0.001947,-1.3189),(6115,615,0.002047,-1.3189),(6115,625,0.002157,-1.319),(6115,635,0.002268,-1.319),(6115,645,0.002379,-1.3191),(6115,655,0.002491,-1.3191),(6115,665,0.002609,-1.3191),(6115,675,0.002726,-1.3191),(6115,685,0.002844,-1.3191),(6115,695,0.002969,-1.3191),(6115,705,0.003122,-1.3191),(6115,715,0.003276,-1.3191),(6115,725,0.00343,-1.3191),(6115,735,0.003589,-1.3191),(6115,745,0.003767,-1.3191),(6115,755,0.003944,-1.3191),(6115,765,0.004122,-1.319),(6115,775,0.004316,-1.319),(6115,785,0.004556,-1.319),(6115,795,0.004796,-1.319),(6115,805,0.005036,-1.319),(6115,815,0.005295,-1.319),(6115,825,0.005597,-1.319),(6115,835,0.005899,-1.319),(6115,845,0.006201,-1.3189),(6115,855,0.006532,-1.3188),(6115,865,0.006917,-1.3187),(6115,875,0.007301,-1.3186),(6115,885,0.007686,-1.3186),(6115,895,0.008133,-1.3186),(6115,905,0.008675,-1.3185),(6115,915,0.009217,-1.3185),(6115,925,0.00976,-1.3185),(6115,935,0.010355,-1.3184),(6115,945,0.01102,-1.3183),(6115,955,0.011685,-1.3182),(6115,965,0.01235,-1.3181),(6115,975,0.013063,-1.3179),(6115,985,0.013833,-1.3178),(6115,995,0.014602,-1.3176),(6115,1005,0.015371,-1.3172),(6115,1015,0.016233,-1.3169),(6115,1025,0.017184,-1.3166),(6115,1035,0.018135,-1.3161),(6115,1045,0.019086,-1.3155),(6115,1055,0.020206,-1.3148),(6115,1065,0.021465,-1.3142),(6115,1075,0.022724,-1.3134),(6115,1085,0.023982,-1.3125),(6115,1095,0.025479,-1.3116),(6115,1105,0.027143,-1.3107),(6115,1115,0.028806,-1.3094),(6115,1125,0.03047,-1.3078),(6115,1135,0.032418,-1.3062),(6115,1145,0.034533,-1.3046),(6115,1155,0.036649,-1.3023),(6115,1165,0.038765,-1.2996),(6115,1175,0.04119,-1.2969),(6115,1185,0.04377,-1.2942),(6115,1195,0.04635,-1.2904),(6115,1205,0.048929,-1.2861),(6115,1215,0.051844,-1.2818),(6115,1225,0.054896,-1.2775),(6115,1235,0.057949,-1.2716),(6115,1245,0.061001,-1.2652),(6115,1255,0.064108,-1.2587),(6115,1265,0.067232,-1.2522),(6115,1275,0.070357,-1.2438),(6115,1285,0.073481,-1.2349),(6115,1295,0.06765,-1.2259),(6115,1305,0.059397,-1.2169),(6115,1315,0.051145,-1.2109),(6115,1325,0.042892,-1.2055),(6115,1335,0.026413,-1.2002),(6115,1345,0.00821,-1.1948),(6115,1355,-0.009993,-1.1974),(6115,1365,-0.028195,-1.2015),(6115,1375,-0.039983,-1.2056),(6115,1385,-0.050781,-1.2097),(6115,1395,-0.061578,-1.218),(6115,1405,-0.072376,-1.2268),(6115,1415,-0.070694,-1.2356),(6115,1425,-0.067717,-1.2445),(6115,1435,-0.06474,-1.2513),(6115,1445,-0.061763,-1.2581),(6115,1455,-0.058683,-1.2648),(6115,1465,-0.055597,-1.2715),(6115,1475,-0.052511,-1.2759),(6115,1485,-0.049425,-1.2801),(6115,1495,-0.046824,-1.2844),(6115,1505,-0.04423,-1.2886),(6115,1515,-0.041637,-1.2913),(6115,1525,-0.039055,-1.2941),(6115,1535,-0.03694,-1.2968),(6115,1545,-0.034825,-1.2995),(6115,1555,-0.03271,-1.3011),(6115,1565,-0.030624,-1.3028),(6115,1575,-0.028958,-1.3044),(6115,1585,-0.027292,-1.306),(6115,1595,-0.025625,-1.3067),(6115,1605,-0.023991,-1.3075),(6115,1615,-0.022638,-1.3082),(6115,1625,-0.021285,-1.3089),(6115,1635,-0.019931,-1.3094),(6115,1645,-0.018615,-1.3098),(6115,1655,-0.017518,-1.3103),(6115,1665,-0.016421,-1.3107),(6115,1675,-0.015323,-1.3108),(6115,1685,-0.014288,-1.311),(6115,1695,-0.013528,-1.3112),(6115,1705,-0.012769,-1.3113),(6115,1715,-0.012009,-1.3111),(6115,1725,-0.011278,-1.311),(6115,1735,-0.010649,-1.3108),(6115,1745,-0.01002,-1.3107),(6115,1755,-0.00939,-1.3105),(6115,1765,-0.008775,-1.3104),(6115,1775,-0.0082,-1.3103),(6115,1785,-0.007626,-1.3102),(6115,1795,-0.007051,-1.3101),(6115,1805,-0.006523,-1.3099),(6115,1815,-0.006104,-1.3098),(6115,1825,-0.005685,-1.3096),(6115,1835,-0.005266,-1.3094),(6115,1845,-0.004895,-1.3091),(6115,1855,-0.004614,-1.3088),(6115,1865,-0.004334,-1.3085),(6115,1875,-0.004054,-1.3082),(6115,1885,-0.003785,-1.3079),(6115,1895,-0.003536,-1.3075),(6115,1905,-0.003287,-1.3072),(6115,1915,-0.003038,-1.307),(6115,1925,-0.002793,-1.3067),(6115,1935,-0.002554,-1.3064),(6115,1945,-0.002315,-1.3061),(6115,1955,-0.002076,-1.3059),(6115,1965,-0.001861,-1.3057),(6115,1975,-0.001676,-1.3055),(6115,1985,-0.001491,-1.3053),(6115,1995,-0.001305,-1.305),(6115,2005,-0.001144,-1.3046),(6115,2015,-0.001008,-1.3043),(6115,2025,-0.000872,-1.304),(6115,2035,-0.000736,-1.3038),(6115,2045,-0.000623,-1.3035),(6115,2055,-0.00053,-1.3032),(6115,2065,-0.000437,-1.3029),(6115,2075,-0.000344,-1.3026),(6115,2085,-0.000288,-1.3022),(6115,2095,-0.000257,-1.3019),(6115,2105,-0.000226,-1.3016),(6115,2115,-0.000196,-1.3012),(6115,2125,-0.000139,-1.3008),(6115,2135,-6.5e-05,-1.3005),(6115,2145,8e-06,-1.3002),(6115,2155,8.2e-05,-1.2999),(6115,2165,0.000183,-1.2997),(6115,2175,0.000298,-1.2994),(6115,2185,0.000414,-1.2991),(6115,2195,0.00053,-1.2988),(6115,2205,0.00061,-1.2985),(6115,2215,0.000675,-1.2981),(6115,2225,0.00074,-1.2978),(6115,2235,0.000805,-1.2974),(6115,2245,0.000877,-1.297),(6115,2255,0.000951,-1.2966),(6115,2265,0.001025,-1.2962),(6115,2275,0.001099,-1.2959),(6115,2285,0.001173,-1.2956),(6115,2295,0.001247,-1.2952),(6115,2305,0.00132,-1.2949),(6115,2315,0.001394,-1.2945),(6115,2325,0.001427,-1.2941),(6115,2335,0.00145,-1.2937),(6115,2345,0.001474,-1.2932),(6115,2355,0.001497,-1.2928),(6115,2365,0.001525,-1.2923),(6115,2375,0.001553,-1.2919),(6115,2385,0.001581,-1.2914),(6115,2395,0.001609,-1.291),(6115,2405,0.001659,-1.2905),(6115,2415,0.001711,-1.2901),(6115,2425,0.001763,-1.2896),(6115,2435,0.001816,-1.2892),(6115,2445,0.001897,-1.2888),(6115,2455,0.00198,-1.2883),(6115,2465,0.002063,-1.288),(6115,2475,0.002146,-1.2876),(6115,2485,0.002242,-1.2872),(6115,2495,0.002339,-1.2869),(6115,2505,0.002435,-1.2864),(6115,2515,0.002531,-1.2859),(6115,2525,0.002572,-1.2855),(6115,2535,0.002613,-1.285),(6115,2545,0.002654,-1.2844),(6115,2555,0.002693,-1.2838),(6115,2565,0.002703,-1.2832),(6115,2575,0.002712,-1.2826),(6115,2585,0.002721,-1.2821),(6115,2595,0.002733,-1.2815),(6115,2605,0.002772,-1.281),(6115,2615,0.002811,-1.2804),(6115,2625,0.00285,-1.2799),(6115,2635,0.002889,-1.2794),(6115,2645,0.002933,-1.2788),(6115,2655,0.002977,-1.2783),(6115,2665,0.003021,-1.2777),(6115,2675,0.003064,-1.2771),(6115,2685,0.003097,-1.2765),(6115,2695,0.00313,-1.2759),(6115,2705,0.003163,-1.2753),(6115,2715,0.003194,-1.2748),(6115,2725,0.003214,-1.2743),(6115,2735,0.003233,-1.2737),(6115,2745,0.003253,-1.2731),(6115,2755,0.003269,-1.2725),(6115,2765,0.003271,-1.2719),(6115,2775,0.003273,-1.2712),(6115,2785,0.003275,-1.2705),(6115,2795,0.003292,-1.2697),(6115,2805,0.003343,-1.269),(6115,2815,0.003394,-1.2683),(6115,2825,0.003445,-1.2676),(6115,2835,0.003508,-1.267),(6115,2845,0.003596,-1.2664),(6115,2855,0.003683,-1.2658),(6115,2865,0.00377,-1.2651),(6115,2875,0.003841,-1.2645),(6115,2885,0.003884,-1.2639),(6115,2895,0.003927,-1.2632),(6115,2905,0.003969,-1.2624),(6115,2915,0.004005,-1.2616),(6115,2925,0.004032,-1.2607),(6115,2935,0.004058,-1.2599),(6115,2945,0.004084,-1.2591),(6115,2955,0.004124,-1.2583),(6115,2965,0.00418,-1.2575),(6115,2975,0.004237,-1.2567),(6115,2985,0.004293,-1.256),(6115,2995,0.00434,-1.2552),(6115,3005,0.004377,-1.2545),(6115,3015,0.004414,-1.2537),(6115,3025,0.004451,-1.2528),(6115,3035,0.004481,-1.252),(6115,3045,0.004505,-1.2512),(6115,3055,0.004529,-1.2503),(6115,3065,0.004553,-1.2494),(6115,3075,0.00459,-1.2486),(6115,3085,0.004637,-1.2477),(6115,3095,0.004683,-1.2468),(6115,3105,0.00473,-1.2459),(6115,3115,0.004784,-1.245),(6115,3125,0.004844,-1.2441),(6115,3135,0.004903,-1.2432),(6115,3145,0.004963,-1.2423),(6115,3155,0.005041,-1.2414),(6115,3165,0.00513,-1.2406),(6115,3175,0.005218,-1.2397),(6115,3185,0.005306,-1.2388),(6115,3195,0.005399,-1.2379),(6115,3205,0.005493,-1.237),(6115,3215,0.005587,-1.236),(6115,3225,0.005682,-1.235),(6115,3235,0.005763,-1.234),(6115,3245,0.005838,-1.233),(6115,3255,0.005914,-1.232),(6115,3265,0.005989,-1.231),(6115,3275,0.006078,-1.23),(6115,3285,0.006171,-1.229),(6115,3295,0.006264,-1.228),(6115,3305,0.006358,-1.2269),(6115,3315,0.006492,-1.2259),(6115,3325,0.006637,-1.2249),(6115,3335,0.006781,-1.2238),(6115,3345,0.006926,-1.2227),(6115,3355,0.007105,-1.2217),(6115,3365,0.007292,-1.2206),(6115,3375,0.007478,-1.2196),(6115,3385,0.007664,-1.2186),(6115,3395,0.007846,-1.2176),(6115,3405,0.008028,-1.2166),(6115,3415,0.00821,-1.2155),(6115,3425,0.008392,-1.2144),(6115,3435,0.008592,-1.2132),(6115,3445,0.008794,-1.2121),(6115,3455,0.008996,-1.211),(6115,3465,0.009197,-1.2098),(6115,3475,0.009435,-1.2086),(6115,3485,0.009675,-1.2074),(6115,3495,0.009914,-1.2063),(6115,3505,0.010154,-1.2051),(6115,3515,0.010456,-1.204),(6115,3525,0.010759,-1.2028),(6115,3535,0.011061,-1.2017),(6115,3545,0.011369,-1.2005),(6115,3555,0.011804,-1.1994),(6115,3565,0.012239,-1.1982),(6115,3575,0.012674,-1.1969),(6115,3585,0.013114,-1.1956),(6115,3595,0.013613,-1.1943),(6115,3605,0.014113,-1.1931),(6115,3615,0.014612,-1.1917),(6115,3625,0.015123,-1.1903),(6115,3635,0.015713,-1.1889),(6115,3645,0.016303,-1.1875),(6115,3655,0.016893,-1.1859),(6115,3665,0.017504,-1.1844),(6115,3675,0.018228,-1.1829),(6115,3685,0.018952,-1.1813),(6115,3695,0.019675,-1.1796),(6115,3705,0.020424,-1.1779),(6115,3715,0.021272,-1.1762),(6115,3725,0.022119,-1.1745),(6115,3735,0.022967,-1.1724),(6115,3745,0.023862,-1.1704),(6115,3755,0.024908,-1.1683),(6115,3765,0.025954,-1.1662),(6115,3775,0.026999,-1.1638),(6115,3785,0.028113,-1.1613),(6115,3795,0.029401,-1.1589),(6115,3805,0.030688,-1.1562),(6115,3815,0.031975,-1.1531),(6115,3825,0.033376,-1.15),(6115,3835,0.035017,-1.1469),(6115,3845,0.036658,-1.1436),(6115,3855,0.038299,-1.1397),(6115,3865,0.040024,-1.1359),(6115,3875,0.041898,-1.1321),(6115,3885,0.043771,-1.1278),(6115,3895,0.045645,-1.1227),(6115,3905,0.047613,-1.1177),(6115,3915,0.049724,-1.1127),(6115,3925,0.051834,-1.1069),(6115,3935,0.053944,-1.1003),(6115,3945,0.055978,-1.0936),(6115,3955,0.057913,-1.0869),(6115,3965,0.059849,-1.0797),(6115,3975,0.061785,-1.0718),(6115,3985,0.061149,-1.0639),(6115,3995,0.057728,-1.056),(6115,4005,0.054307,-1.0486),(6115,4015,0.050886,-1.0417),(6115,4025,0.14056,-1.0347),(6115,4035,0.23934,-1.0297),(6115,4045,0.33812,-1.0287),(6115,4055,0.41557,-1.0277),(6115,4065,0.48525,-1.0266),(6115,4075,0.55492,-1.0248),(6115,4085,0.58654,-1.023),(6115,4095,0.58759,-1.0212),(6115,4105,0.58863,-1.0194),(6115,4115,0.5897,-1.0176),(6115,4125,0.59079,-1.0158),(6115,4135,0.59188,-1.014),(6115,4145,0.59297,-1.0123),(6115,4155,0.5941,-1.0106),(6115,4165,0.59523,-1.0089),(6115,4175,0.59636,-1.0071),(6115,4185,0.59755,-1.0053),(6115,4195,0.59873,-1.0035),(6115,4205,0.59991,-1.0017),(6115,4215,0.60116,-0.99991),(6115,4225,0.60242,-0.99814),(6115,4235,0.60369,-0.99642),(6115,4245,0.605,-0.99469),(6115,4255,0.60634,-0.99296),(6115,4265,0.60767,-0.99114),(6115,4275,0.60905,-0.98931),(6115,4285,0.61047,-0.98749),(6115,4295,0.6119,-0.98562),(6115,4305,0.61335,-0.98373),(6115,4315,0.61488,-0.98185),(6115,4325,0.6164,-0.97999),(6115,4335,0.61794,-0.97813),(6115,4345,0.61958,-0.97627),(6115,4355,0.62122,-0.97436),(6115,4365,0.62285,-0.97242),(6115,4375,0.62459,-0.97048),(6115,4385,0.62633,-0.96854),(6115,4395,0.62807,-0.96659),(6115,4405,0.62987,-0.96464),(6115,4415,0.6317,-0.96268),(6115,4425,0.63353,-0.96064),(6115,4435,0.63539,-0.9586),(6115,4445,0.63729,-0.95656),(6115,4455,0.63919,-0.95445),(6115,4465,0.64111,-0.95234),(6115,4475,0.64307,-0.95023),(6115,4485,0.64504,-0.94803),(6115,4495,0.64702,-0.94581),(6115,4505,0.64906,-0.9436),(6115,4515,0.6511,-0.94137),(6115,4525,0.65315,-0.93913),(6115,4535,0.65528,-0.9369),(6115,4545,0.65741,-0.93464),(6115,4555,0.65954,-0.93236),(6115,4565,0.66174,-0.93008),(6115,4575,0.66396,-0.92777),(6115,4585,0.66617,-0.92535),(6115,4595,0.66844,-0.92293),(6115,4605,0.67074,-0.92049),(6115,4615,0.67303,-0.91793),(6115,4625,0.67536,-0.91537),(6115,4635,0.67771,-0.91281),(6115,4645,0.68006,-0.91019),(6115,4655,0.68244,-0.90756),(6115,4665,0.68485,-0.90493),(6115,4675,0.68725,-0.90228),(6115,4685,0.68967,-0.89961),(6115,4695,0.69214,-0.89694),(6115,4705,0.69461,-0.8942),(6115,4715,0.69708,-0.89142),(6115,4725,0.69961,-0.88863),(6115,4735,0.70214,-0.8858),(6115,4745,0.70468,-0.8829),(6115,4755,0.70727,-0.88),(6115,4765,0.70987,-0.87709),(6115,4775,0.71246,-0.87411),(6115,4785,0.71509,-0.87113),(6115,4795,0.71773,-0.86814),(6115,4805,0.72038,-0.86506),(6115,4815,0.72303,-0.86198),(6115,4825,0.72569,-0.8589),(6115,4835,0.72835,-0.85573),(6115,4845,0.73102,-0.85254),(6115,4855,0.73369,-0.84935),(6115,4865,0.73636,-0.8461),(6115,4875,0.73904,-0.84282),(6115,4885,0.74172,-0.83955),(6115,4895,0.74441,-0.83622),(6115,4905,0.7471,-0.83285),(6115,4915,0.7498,-0.82948),(6115,4925,0.75251,-0.82608),(6115,4935,0.75522,-0.82262),(6115,4945,0.75795,-0.81917),(6115,4955,0.76068,-0.8157),(6115,4965,0.76342,-0.81216),(6115,4975,0.76617,-0.80863),(6115,4985,0.76892,-0.8051),(6115,4995,0.77168,-0.80149),(6115,5005,0.77444,-0.79788),(6115,5015,0.7772,-0.79427),(6115,5025,0.77997,-0.79061),(6115,5035,0.78273,-0.78692),(6115,5045,0.78548,-0.78324),(6115,5055,0.78824,-0.7795),(6115,5065,0.79099,-0.77573),(6115,5075,0.79372,-0.77196),(6115,5085,0.79645,-0.76813),(6115,5095,0.79919,-0.76425),(6115,5105,0.80191,-0.76037),(6115,5115,0.80463,-0.75646),(6115,5125,0.80735,-0.75249),(6115,5135,0.81006,-0.74853),(6115,5145,0.81278,-0.74455),(6115,5155,0.8155,-0.74053),(6115,5165,0.81822,-0.73651),(6115,5175,0.82094,-0.73248),(6115,5185,0.82366,-0.72841),(6115,5195,0.82638,-0.72432),(6115,5205,0.8291,-0.72024),(6115,5215,0.83182,-0.71612),(6115,5225,0.83453,-0.71198),(6115,5235,0.83724,-0.70784),(6115,5245,0.83994,-0.70367),(6115,5255,0.84264,-0.69948),(6115,5265,0.84531,-0.69528),(6115,5275,0.84798,-0.69105),(6115,5285,0.85064,-0.68677),(6115,5295,0.85326,-0.68248),(6115,5305,0.85587,-0.67817),(6115,5315,0.85848,-0.67376),(6115,5325,0.86107,-0.66936),(6115,5335,0.86363,-0.66495),(6115,5345,0.8662,-0.66048),(6115,5355,0.86875,-0.65601),(6115,5365,0.8713,-0.65154),(6115,5375,0.87385,-0.64705),(6115,5385,0.87641,-0.64254),(6115,5395,0.87896,-0.63804),(6115,5405,0.88151,-0.6335),(6115,5415,0.88407,-0.62895),(6115,5425,0.88662,-0.62439),(6115,5435,0.88917,-0.61982),(6115,5445,0.89171,-0.61523),(6115,5455,0.89424,-0.61063),(6115,5465,0.89677,-0.60604),(6115,5475,0.8993,-0.60143),(6115,5485,0.9018,-0.59682),(6115,5495,0.90429,-0.59221),(6115,5505,0.90678,-0.58755),(6115,5515,0.90924,-0.58289),(6115,5525,0.91167,-0.57823),(6115,5535,0.9141,-0.57346),(6115,5545,0.91651,-0.56869),(6115,5555,0.91887,-0.56392),(6115,5565,0.92123,-0.55908),(6115,5575,0.92357,-0.55422),(6115,5585,0.92588,-0.54936),(6115,5595,0.92818,-0.54446),(6115,5605,0.93048,-0.53955),(6115,5615,0.93275,-0.53463),(6115,5625,0.93502,-0.52969),(6115,5635,0.93728,-0.52473),(6115,5645,0.93953,-0.51977),(6115,5655,0.94176,-0.5148),(6115,5665,0.944,-0.50981),(6115,5675,0.9462,-0.50482),(6115,5685,0.9484,-0.49983),(6115,5695,0.95059,-0.49483),(6115,5705,0.95276,-0.48982),(6115,5715,0.9549,-0.48481),(6115,5725,0.95704,-0.47973),(6115,5735,0.95916,-0.47464),(6115,5745,0.96125,-0.46955),(6115,5755,0.96333,-0.46442),(6115,5765,0.96541,-0.45926),(6115,5775,0.96744,-0.45411),(6115,5785,0.96947,-0.44894),(6115,5795,0.97149,-0.44373),(6115,5805,0.97347,-0.43853),(6115,5815,0.97544,-0.43332),(6115,5825,0.97742,-0.42808),(6115,5835,0.97935,-0.42284),(6115,5845,0.98126,-0.4176),(6115,5855,0.98317,-0.41233),(6115,5865,0.98505,-0.40707),(6115,5875,0.98691,-0.40181),(6115,5885,0.98876,-0.39652),(6115,5895,0.99059,-0.39123),(6115,5905,0.99238,-0.38594),(6115,5915,0.99417,-0.3806),(6115,5925,0.99594,-0.37524),(6115,5935,0.99767,-0.36989),(6115,5945,0.99939,-0.36451),(6115,5955,1.0011,-0.35913),(6115,5965,1.0028,-0.35374),(6115,5975,1.0045,-0.34833),(6115,5985,1.0061,-0.34291),(6115,5995,1.0078,-0.33749),(6115,6005,1.0094,-0.33205),(6115,6015,1.011,-0.32655),(6115,6025,1.0126,-0.32105),(6115,6035,1.0142,-0.31555),(6115,6045,1.0157,-0.31003),(6115,6055,1.0172,-0.30452),(6115,6065,1.0187,-0.29901),(6115,6075,1.0201,-0.29352),(6115,6085,1.0216,-0.28804),(6115,6095,1.0229,-0.28256),(6115,6105,1.0243,-0.27703),(6115,6115,1.0256,-0.27147),(6115,6125,1.0269,-0.26591),(6115,6135,1.0282,-0.26031),(6115,6145,1.0294,-0.25467),(6115,6155,1.0306,-0.24903),(6115,6165,1.0318,-0.24338),(6115,6175,1.033,-0.23773),(6115,6185,1.0342,-0.23207),(6115,6195,1.0353,-0.22641),(6115,6205,1.0364,-0.22073),(6115,6215,1.0375,-0.21504),(6115,6225,1.0386,-0.20936),(6115,6235,1.0396,-0.20365),(6115,6245,1.0407,-0.19793),(6115,6255,1.0416,-0.19222),(6115,6265,1.0426,-0.18652),(6115,6275,1.0435,-0.18083),(6115,6285,1.0444,-0.17513),(6115,6295,1.0453,-0.16942),(6115,6305,1.0462,-0.1637),(6115,6315,1.0469,-0.15798),(6115,6325,1.0477,-0.15219),(6115,6335,1.0485,-0.14634),(6115,6345,1.0492,-0.14049),(6115,6355,1.0499,-0.13466),(6115,6365,1.0506,-0.1289),(6115,6375,1.0513,-0.12314),(6115,6385,1.0519,-0.11739),(6115,6395,1.0525,-0.11169),(6115,6405,1.0531,-0.10598),(6115,6415,1.0537,-0.10028),(6115,6425,1.0542,-0.094528),(6115,6435,1.0548,-0.088777),(6115,6445,1.0552,-0.083025),(6115,6455,1.0557,-0.077249),(6115,6465,1.0561,-0.071467),(6115,6475,1.0564,-0.065685),(6115,6485,1.0568,-0.059857),(6115,6495,1.0571,-0.053999),(6115,6505,1.0574,-0.048141),(6115,6515,1.0576,-0.042254),(6115,6525,1.0578,-0.036329),(6115,6535,1.058,-0.030404),(6115,6545,1.0582,-0.02452),(6115,6555,1.0583,-0.018764),(6115,6565,1.0584,-0.013009),(6115,6575,1.0585,-0.00725),(6115,6585,1.0586,-0.001451),(6115,6595,0.90042,0.004349),(6115,6605,0.56741,0.010149),(6115,6615,0.23441,0.010828),(6115,6625,0.000329,0.010849),(6115,6635,0.000361,0.010871),(6115,6645,0.000394,0.010878),(6115,6655,0.000426,0.01088),(6115,6665,0.000458,0.010883),(6115,6675,0.000491,0.010884),(6115,6685,0.000523,0.010886),(6115,6695,0.000555,0.010888),(6115,6705,0.000587,0.010889),(6115,6715,0.000619,0.01089),(6115,6725,0.000651,0.01089),(6115,6735,0.000682,0.010891),(6115,6745,0.000714,0.010891),(6115,6755,0.000746,0.010891),(6115,6765,0.000777,0.01089),(6115,6775,0.000808,0.010889),(6115,6785,0.000839,0.010889),(6115,6795,0.00087,0.010888),(6115,6805,0.000901,0.010886),(6115,6815,0.000932,0.010884),(6115,6825,0.000963,0.010883),(6115,6835,0.000993,0.01088),(6115,6845,0.001023,0.010878),(6115,6855,0.001053,0.010875),(6115,6865,0.001083,0.010872),(6115,6875,0.001113,0.010869),(6115,6885,0.001143,0.010865),(6115,6895,0.001172,0.010862),(6115,6905,0.001202,0.010858),(6115,6915,0.001231,0.010853),(6115,6925,0.00126,0.010849),(6115,6935,0.001288,0.010844),(6115,6945,0.001317,0.010839),(6115,6955,0.001345,0.010834),(6115,6965,0.001374,0.010829),(6115,6975,0.001402,0.010823),(6115,6985,0.00143,0.010817),(6125,5,-4e-06,-1.3199),(6125,15,-1.2e-05,-1.3198),(6125,25,4e-06,-1.3197),(6125,35,4.1e-05,-1.3196),(6125,45,7.9e-05,-1.3196),(6125,55,0.000116,-1.3197),(6125,65,0.000153,-1.3197),(6125,75,0.000189,-1.3197),(6125,85,0.000225,-1.3197),(6125,95,0.000262,-1.3196),(6125,105,0.000266,-1.3195),(6125,115,0.000249,-1.3194),(6125,125,0.000231,-1.3194),(6125,135,0.000214,-1.3193),(6125,145,0.000198,-1.3193),(6125,155,0.000184,-1.3192),(6125,165,0.000169,-1.3192),(6125,175,0.000155,-1.3192),(6125,185,0.000157,-1.3192),(6125,195,0.000166,-1.3192),(6125,205,0.000176,-1.3192),(6125,215,0.000185,-1.3193),(6125,225,0.000209,-1.3193),(6125,235,0.000238,-1.3193),(6125,245,0.000267,-1.3193),(6125,255,0.000296,-1.3193),(6125,265,0.000347,-1.3193),(6125,275,0.000405,-1.3193),(6125,285,0.000464,-1.3193),(6125,295,0.000522,-1.3193),(6125,305,0.000584,-1.3194),(6125,315,0.000648,-1.3194),(6125,325,0.000711,-1.3194),(6125,335,0.000775,-1.3194),(6125,345,0.00081,-1.3194),(6125,355,0.000839,-1.3194),(6125,365,0.000869,-1.3194),(6125,375,0.000898,-1.3194),(6125,385,0.000919,-1.3193),(6125,395,0.000939,-1.3193),(6125,405,0.00096,-1.3192),(6125,415,0.00098,-1.3191),(6125,425,0.001001,-1.319),(6125,435,0.001023,-1.319),(6125,445,0.001044,-1.319),(6125,455,0.001066,-1.319),(6125,465,0.001101,-1.319),(6125,475,0.001136,-1.319),(6125,485,0.001171,-1.319),(6125,495,0.001207,-1.319),(6125,505,0.001254,-1.3189),(6125,515,0.001302,-1.3189),(6125,525,0.00135,-1.3189),(6125,535,0.001398,-1.3189),(6125,545,0.001461,-1.3189),(6125,555,0.001525,-1.3188),(6125,565,0.001588,-1.3188),(6125,575,0.001653,-1.3188),(6125,585,0.001747,-1.3188),(6125,595,0.00184,-1.3188),(6125,605,0.001934,-1.3188),(6125,615,0.002029,-1.3189),(6125,625,0.002136,-1.3189),(6125,635,0.002243,-1.319),(6125,645,0.00235,-1.319),(6125,655,0.002458,-1.319),(6125,665,0.002574,-1.319),(6125,675,0.00269,-1.3191),(6125,685,0.002806,-1.319),(6125,695,0.002929,-1.319),(6125,705,0.003085,-1.319),(6125,715,0.00324,-1.319),(6125,725,0.003395,-1.319),(6125,735,0.003555,-1.319),(6125,745,0.00373,-1.319),(6125,755,0.003905,-1.319),(6125,765,0.004079,-1.319),(6125,775,0.00427,-1.3189),(6125,785,0.004502,-1.3189),(6125,795,0.004734,-1.3189),(6125,805,0.004966,-1.3189),(6125,815,0.005217,-1.3189),(6125,825,0.005511,-1.3189),(6125,835,0.005804,-1.3188),(6125,845,0.006097,-1.3187),(6125,855,0.006416,-1.3187),(6125,865,0.006783,-1.3186),(6125,875,0.007149,-1.3185),(6125,885,0.007516,-1.3184),(6125,895,0.007945,-1.3184),(6125,905,0.008473,-1.3183),(6125,915,0.009001,-1.3182),(6125,925,0.009529,-1.3182),(6125,935,0.010113,-1.3181),(6125,945,0.010771,-1.318),(6125,955,0.01143,-1.3179),(6125,965,0.012088,-1.3178),(6125,975,0.012784,-1.3176),(6125,985,0.013524,-1.3175),(6125,995,0.014263,-1.3172),(6125,1005,0.015002,-1.3169),(6125,1015,0.015812,-1.3165),(6125,1025,0.01669,-1.3162),(6125,1035,0.017567,-1.3157),(6125,1045,0.018444,-1.315),(6125,1055,0.019468,-1.3144),(6125,1065,0.020612,-1.3137),(6125,1075,0.021756,-1.3129),(6125,1085,0.022901,-1.3119),(6125,1095,0.024246,-1.311),(6125,1105,0.025732,-1.31),(6125,1115,0.027218,-1.3086),(6125,1125,0.028704,-1.307),(6125,1135,0.030421,-1.3054),(6125,1145,0.032275,-1.3038),(6125,1155,0.034128,-1.3015),(6125,1165,0.035982,-1.2988),(6125,1175,0.038055,-1.296),(6125,1185,0.040238,-1.2933),(6125,1195,0.04242,-1.2895),(6125,1205,0.044602,-1.2852),(6125,1215,0.047008,-1.2808),(6125,1225,0.049506,-1.2765),(6125,1235,0.052004,-1.2706),(6125,1245,0.054502,-1.2642),(6125,1255,0.056998,-1.2578),(6125,1265,0.059494,-1.2513),(6125,1275,0.06199,-1.243),(6125,1285,0.064486,-1.2342),(6125,1295,0.059239,-1.2253),(6125,1305,0.051898,-1.2165),(6125,1315,0.044557,-1.2105),(6125,1325,0.037216,-1.2053),(6125,1335,0.022927,-1.2),(6125,1345,0.007182,-1.1948),(6125,1355,-0.008562,-1.1973),(6125,1365,-0.024307,-1.2013),(6125,1375,-0.034612,-1.2053),(6125,1385,-0.044077,-1.2092),(6125,1395,-0.053542,-1.2174),(6125,1405,-0.063007,-1.2262),(6125,1415,-0.061784,-1.2349),(6125,1425,-0.059451,-1.2436),(6125,1435,-0.057118,-1.2505),(6125,1445,-0.054785,-1.2571),(6125,1455,-0.052272,-1.2638),(6125,1465,-0.049747,-1.2705),(6125,1475,-0.047223,-1.2748),(6125,1485,-0.044699,-1.2791),(6125,1495,-0.04253,-1.2834),(6125,1505,-0.040367,-1.2877),(6125,1515,-0.038204,-1.2904),(6125,1525,-0.03605,-1.2932),(6125,1535,-0.034227,-1.296),(6125,1545,-0.032404,-1.2987),(6125,1555,-0.030581,-1.3004),(6125,1565,-0.02878,-1.3021),(6125,1575,-0.027297,-1.3037),(6125,1585,-0.025814,-1.3053),(6125,1595,-0.024331,-1.3061),(6125,1605,-0.022874,-1.3069),(6125,1615,-0.021645,-1.3076),(6125,1625,-0.020417,-1.3084),(6125,1635,-0.019189,-1.3088),(6125,1645,-0.017986,-1.3093),(6125,1655,-0.016936,-1.3097),(6125,1665,-0.015887,-1.3101),(6125,1675,-0.014837,-1.3104),(6125,1685,-0.013848,-1.3106),(6125,1695,-0.013129,-1.3108),(6125,1705,-0.01241,-1.311),(6125,1715,-0.011691,-1.3109),(6125,1725,-0.011004,-1.3107),(6125,1735,-0.010429,-1.3106),(6125,1745,-0.009855,-1.3104),(6125,1755,-0.00928,-1.3103),(6125,1765,-0.008708,-1.3102),(6125,1775,-0.008144,-1.31),(6125,1785,-0.007579,-1.3099),(6125,1795,-0.007015,-1.3098),(6125,1805,-0.006489,-1.3097),(6125,1815,-0.00605,-1.3096),(6125,1825,-0.005612,-1.3094),(6125,1835,-0.005174,-1.3092),(6125,1845,-0.004795,-1.309),(6125,1855,-0.004533,-1.3087),(6125,1865,-0.00427,-1.3085),(6125,1875,-0.004007,-1.3081),(6125,1885,-0.003761,-1.3078),(6125,1895,-0.003542,-1.3075),(6125,1905,-0.003322,-1.3072),(6125,1915,-0.003103,-1.3069),(6125,1925,-0.002873,-1.3066),(6125,1935,-0.002629,-1.3063),(6125,1945,-0.002385,-1.306),(6125,1955,-0.002141,-1.3058),(6125,1965,-0.001912,-1.3056),(6125,1975,-0.0017,-1.3054),(6125,1985,-0.001489,-1.3051),(6125,1995,-0.001277,-1.3048),(6125,2005,-0.001091,-1.3045),(6125,2015,-0.000932,-1.3042),(6125,2025,-0.000772,-1.3039),(6125,2035,-0.000612,-1.3037),(6125,2045,-0.000485,-1.3034),(6125,2055,-0.000386,-1.3031),(6125,2065,-0.000287,-1.3028),(6125,2075,-0.000188,-1.3025),(6125,2085,-0.000141,-1.3022),(6125,2095,-0.000132,-1.302),(6125,2105,-0.000122,-1.3016),(6125,2115,-0.000113,-1.3012),(6125,2125,-7.8e-05,-1.3008),(6125,2135,-2.8e-05,-1.3005),(6125,2145,2.3e-05,-1.3002),(6125,2155,7.3e-05,-1.2999),(6125,2165,0.000168,-1.2996),(6125,2175,0.000287,-1.2994),(6125,2185,0.000405,-1.2991),(6125,2195,0.000524,-1.2987),(6125,2205,0.000609,-1.2984),(6125,2215,0.000679,-1.2981),(6125,2225,0.000749,-1.2977),(6125,2235,0.000819,-1.2973),(6125,2245,0.00089,-1.2969),(6125,2255,0.000962,-1.2965),(6125,2265,0.001034,-1.2962),(6125,2275,0.001106,-1.2958),(6125,2285,0.001188,-1.2955),(6125,2295,0.001274,-1.2952),(6125,2305,0.001359,-1.2948),(6125,2315,0.001445,-1.2944),(6125,2325,0.001492,-1.294),(6125,2335,0.001531,-1.2936),(6125,2345,0.00157,-1.2932),(6125,2355,0.001608,-1.2928),(6125,2365,0.001638,-1.2923),(6125,2375,0.001665,-1.2919),(6125,2385,0.001692,-1.2914),(6125,2395,0.00172,-1.291),(6125,2405,0.001757,-1.2905),(6125,2415,0.001796,-1.2901),(6125,2425,0.001834,-1.2896),(6125,2435,0.001872,-1.2892),(6125,2445,0.001937,-1.2887),(6125,2455,0.002004,-1.2883),(6125,2465,0.00207,-1.2879),(6125,2475,0.002137,-1.2875),(6125,2485,0.00223,-1.2872),(6125,2495,0.002325,-1.2868),(6125,2505,0.002419,-1.2864),(6125,2515,0.002512,-1.2859),(6125,2525,0.002562,-1.2855),(6125,2535,0.002612,-1.285),(6125,2545,0.002662,-1.2844),(6125,2555,0.00271,-1.2838),(6125,2565,0.00272,-1.2832),(6125,2575,0.00273,-1.2826),(6125,2585,0.00274,-1.2821),(6125,2595,0.002752,-1.2815),(6125,2605,0.002784,-1.281),(6125,2615,0.002816,-1.2804),(6125,2625,0.002848,-1.2799),(6125,2635,0.00288,-1.2793),(6125,2645,0.00292,-1.2788),(6125,2655,0.00296,-1.2782),(6125,2665,0.003,-1.2776),(6125,2675,0.003038,-1.277),(6125,2685,0.00307,-1.2764),(6125,2695,0.003102,-1.2759),(6125,2705,0.003134,-1.2753),(6125,2715,0.003162,-1.2748),(6125,2725,0.00318,-1.2743),(6125,2735,0.003197,-1.2737),(6125,2745,0.003215,-1.2731),(6125,2755,0.003227,-1.2725),(6125,2765,0.003223,-1.2719),(6125,2775,0.00322,-1.2713),(6125,2785,0.003216,-1.2705),(6125,2795,0.003228,-1.2697),(6125,2805,0.00328,-1.269),(6125,2815,0.003332,-1.2682),(6125,2825,0.003383,-1.2676),(6125,2835,0.003452,-1.267),(6125,2845,0.003554,-1.2663),(6125,2855,0.003657,-1.2657),(6125,2865,0.003759,-1.2651),(6125,2875,0.003844,-1.2644),(6125,2885,0.003902,-1.2638),(6125,2895,0.003959,-1.2631),(6125,2905,0.004015,-1.2623),(6125,2915,0.00406,-1.2615),(6125,2925,0.004086,-1.2607),(6125,2935,0.004112,-1.2599),(6125,2945,0.004139,-1.2591),(6125,2955,0.004178,-1.2583),(6125,2965,0.004232,-1.2575),(6125,2975,0.004286,-1.2567),(6125,2985,0.004341,-1.2559),(6125,2995,0.004386,-1.2552),(6125,3005,0.004421,-1.2545),(6125,3015,0.004456,-1.2537),(6125,3025,0.004491,-1.2528),(6125,3035,0.004516,-1.252),(6125,3045,0.004533,-1.2512),(6125,3055,0.004549,-1.2503),(6125,3065,0.004566,-1.2494),(6125,3075,0.004595,-1.2486),(6125,3085,0.004634,-1.2477),(6125,3095,0.004673,-1.2468),(6125,3105,0.004711,-1.2459),(6125,3115,0.004758,-1.245),(6125,3125,0.00481,-1.2441),(6125,3135,0.004862,-1.2432),(6125,3145,0.004914,-1.2423),(6125,3155,0.004987,-1.2414),(6125,3165,0.005072,-1.2405),(6125,3175,0.005157,-1.2396),(6125,3185,0.005242,-1.2387),(6125,3195,0.005341,-1.2378),(6125,3205,0.005445,-1.2369),(6125,3215,0.005549,-1.2359),(6125,3225,0.005654,-1.2349),(6125,3235,0.005745,-1.234),(6125,3245,0.005832,-1.233),(6125,3255,0.005918,-1.232),(6125,3265,0.006005,-1.231),(6125,3275,0.006093,-1.23),(6125,3285,0.006182,-1.229),(6125,3295,0.006272,-1.2279),(6125,3305,0.006361,-1.2269),(6125,3315,0.00649,-1.2258),(6125,3325,0.00663,-1.2248),(6125,3335,0.006769,-1.2237),(6125,3345,0.006908,-1.2226),(6125,3355,0.007096,-1.2216),(6125,3365,0.007293,-1.2205),(6125,3375,0.00749,-1.2195),(6125,3385,0.007686,-1.2185),(6125,3395,0.007874,-1.2175),(6125,3405,0.00806,-1.2165),(6125,3415,0.008246,-1.2154),(6125,3425,0.008432,-1.2143),(6125,3435,0.008618,-1.2132),(6125,3445,0.008803,-1.2121),(6125,3455,0.008989,-1.2109),(6125,3465,0.009175,-1.2097),(6125,3475,0.009389,-1.2085),(6125,3485,0.009605,-1.2074),(6125,3495,0.009821,-1.2062),(6125,3505,0.010037,-1.205),(6125,3515,0.010308,-1.2039),(6125,3525,0.010578,-1.2027),(6125,3535,0.010848,-1.2015),(6125,3545,0.011125,-1.2003),(6125,3555,0.011546,-1.1992),(6125,3565,0.011967,-1.198),(6125,3575,0.012388,-1.1967),(6125,3585,0.012816,-1.1954),(6125,3595,0.013326,-1.1941),(6125,3605,0.013835,-1.1928),(6125,3615,0.014344,-1.1914),(6125,3625,0.014863,-1.19),(6125,3635,0.015447,-1.1886),(6125,3645,0.016031,-1.1872),(6125,3655,0.016615,-1.1856),(6125,3665,0.017216,-1.1841),(6125,3675,0.017904,-1.1825),(6125,3685,0.018592,-1.1809),(6125,3695,0.01928,-1.1792),(6125,3705,0.019982,-1.1775),(6125,3715,0.020735,-1.1758),(6125,3725,0.021488,-1.1741),(6125,3735,0.022241,-1.172),(6125,3745,0.023038,-1.1699),(6125,3755,0.023971,-1.1679),(6125,3765,0.024904,-1.1657),(6125,3775,0.025837,-1.1632),(6125,3785,0.026833,-1.1607),(6125,3795,0.027986,-1.1583),(6125,3805,0.029139,-1.1556),(6125,3815,0.030292,-1.1525),(6125,3825,0.031517,-1.1494),(6125,3835,0.032894,-1.1462),(6125,3845,0.034271,-1.1429),(6125,3855,0.035647,-1.139),(6125,3865,0.037097,-1.1351),(6125,3875,0.038675,-1.1312),(6125,3885,0.040253,-1.1269),(6125,3895,0.041831,-1.1219),(6125,3905,0.043474,-1.1168),(6125,3915,0.045212,-1.1118),(6125,3925,0.04695,-1.106),(6125,3935,0.048688,-1.0994),(6125,3945,0.050351,-1.0927),(6125,3955,0.051918,-1.0861),(6125,3965,0.053485,-1.0789),(6125,3975,0.055052,-1.0711),(6125,3985,0.054371,-1.0633),(6125,3995,0.051256,-1.0555),(6125,4005,0.04814,-1.0482),(6125,4015,0.045025,-1.0414),(6125,4025,0.13586,-1.0346),(6125,4035,0.23589,-1.0296),(6125,4045,0.33593,-1.0286),(6125,4055,0.41345,-1.0276),(6125,4065,0.48275,-1.0265),(6125,4075,0.55206,-1.0247),(6125,4085,0.58352,-1.0229),(6125,4095,0.58456,-1.0211),(6125,4105,0.5856,-1.0193),(6125,4115,0.58665,-1.0175),(6125,4125,0.58774,-1.0157),(6125,4135,0.58883,-1.0139),(6125,4145,0.58993,-1.0122),(6125,4155,0.59107,-1.0105),(6125,4165,0.5922,-1.0087),(6125,4175,0.59333,-1.0069),(6125,4185,0.59451,-1.0051),(6125,4195,0.59569,-1.0033),(6125,4205,0.59688,-1.0015),(6125,4215,0.59812,-0.99972),(6125,4225,0.59938,-0.99794),(6125,4235,0.60064,-0.9962),(6125,4245,0.60195,-0.99445),(6125,4255,0.60328,-0.99271),(6125,4265,0.60461,-0.99087),(6125,4275,0.60598,-0.98904),(6125,4285,0.60739,-0.9872),(6125,4295,0.6088,-0.98531),(6125,4305,0.61024,-0.98342),(6125,4315,0.61175,-0.98153),(6125,4325,0.61325,-0.97965),(6125,4335,0.61477,-0.97778),(6125,4345,0.61639,-0.97591),(6125,4355,0.618,-0.97399),(6125,4365,0.61961,-0.97204),(6125,4375,0.62133,-0.97009),(6125,4385,0.62304,-0.96813),(6125,4395,0.62476,-0.96617),(6125,4405,0.62655,-0.96421),(6125,4415,0.62835,-0.96223),(6125,4425,0.63016,-0.96018),(6125,4435,0.63201,-0.95813),(6125,4445,0.63389,-0.95608),(6125,4455,0.63577,-0.95396),(6125,4465,0.63768,-0.95184),(6125,4475,0.63962,-0.94971),(6125,4485,0.64156,-0.94751),(6125,4495,0.64352,-0.94528),(6125,4505,0.64554,-0.94306),(6125,4515,0.64755,-0.94082),(6125,4525,0.64957,-0.93857),(6125,4535,0.65167,-0.93632),(6125,4545,0.65377,-0.93405),(6125,4555,0.65587,-0.93177),(6125,4565,0.65805,-0.92948),(6125,4575,0.66024,-0.92715),(6125,4585,0.66243,-0.92472),(6125,4595,0.66468,-0.9223),(6125,4605,0.66695,-0.91986),(6125,4615,0.66921,-0.9173),(6125,4625,0.67151,-0.91473),(6125,4635,0.67384,-0.91217),(6125,4645,0.67617,-0.90955),(6125,4655,0.67851,-0.90692),(6125,4665,0.68089,-0.9043),(6125,4675,0.68326,-0.90164),(6125,4685,0.68565,-0.89897),(6125,4695,0.68808,-0.8963),(6125,4705,0.69051,-0.89356),(6125,4715,0.69294,-0.89077),(6125,4725,0.69544,-0.88797),(6125,4735,0.69794,-0.88514),(6125,4745,0.70043,-0.88223),(6125,4755,0.70298,-0.87932),(6125,4765,0.70555,-0.8764),(6125,4775,0.70811,-0.87341),(6125,4785,0.7107,-0.87043),(6125,4795,0.71331,-0.86744),(6125,4805,0.71592,-0.86436),(6125,4815,0.71854,-0.86128),(6125,4825,0.72118,-0.85821),(6125,4835,0.72381,-0.85504),(6125,4845,0.72645,-0.85186),(6125,4855,0.72909,-0.84868),(6125,4865,0.73173,-0.84543),(6125,4875,0.73438,-0.84216),(6125,4885,0.73703,-0.83889),(6125,4895,0.73969,-0.83557),(6125,4905,0.74234,-0.8322),(6125,4915,0.74501,-0.82883),(6125,4925,0.74768,-0.82543),(6125,4935,0.75036,-0.82197),(6125,4945,0.75305,-0.81852),(6125,4955,0.75575,-0.81505),(6125,4965,0.75845,-0.81152),(6125,4975,0.76116,-0.80798),(6125,4985,0.76389,-0.80445),(6125,4995,0.76662,-0.80084),(6125,5005,0.76935,-0.79724),(6125,5015,0.77208,-0.79363),(6125,5025,0.77482,-0.78997),(6125,5035,0.77756,-0.78629),(6125,5045,0.78029,-0.78262),(6125,5055,0.78302,-0.77889),(6125,5065,0.78575,-0.77513),(6125,5075,0.78846,-0.77136),(6125,5085,0.79117,-0.76755),(6125,5095,0.79388,-0.76368),(6125,5105,0.79657,-0.7598),(6125,5115,0.79925,-0.7559),(6125,5125,0.80194,-0.75194),(6125,5135,0.80462,-0.74798),(6125,5145,0.80731,-0.74401),(6125,5155,0.80999,-0.73999),(6125,5165,0.81267,-0.73596),(6125,5175,0.81536,-0.73194),(6125,5185,0.81804,-0.72786),(6125,5195,0.82073,-0.72377),(6125,5205,0.82342,-0.71968),(6125,5215,0.82611,-0.71555),(6125,5225,0.8288,-0.71141),(6125,5235,0.83148,-0.70727),(6125,5245,0.83417,-0.7031),(6125,5255,0.83685,-0.69891),(6125,5265,0.83951,-0.69472),(6125,5275,0.84216,-0.69051),(6125,5285,0.84482,-0.68623),(6125,5295,0.84742,-0.68196),(6125,5305,0.85002,-0.67766),(6125,5315,0.85261,-0.67327),(6125,5325,0.85517,-0.66888),(6125,5335,0.85771,-0.66449),(6125,5345,0.86025,-0.66002),(6125,5355,0.86278,-0.65556),(6125,5365,0.86529,-0.65109),(6125,5375,0.8678,-0.64659),(6125,5385,0.87032,-0.64208),(6125,5395,0.87283,-0.63757),(6125,5405,0.87534,-0.63303),(6125,5415,0.87785,-0.62847),(6125,5425,0.88037,-0.6239),(6125,5435,0.88289,-0.61932),(6125,5445,0.8854,-0.61473),(6125,5455,0.88791,-0.61013),(6125,5465,0.89042,-0.60553),(6125,5475,0.89293,-0.60092),(6125,5485,0.89542,-0.59631),(6125,5495,0.8979,-0.5917),(6125,5505,0.90038,-0.58705),(6125,5515,0.90283,-0.5824),(6125,5525,0.90526,-0.57774),(6125,5535,0.90768,-0.57299),(6125,5545,0.91008,-0.56824),(6125,5555,0.91243,-0.56348),(6125,5565,0.91477,-0.55866),(6125,5575,0.91711,-0.55381),(6125,5585,0.91939,-0.54896),(6125,5595,0.92166,-0.54407),(6125,5605,0.92394,-0.53916),(6125,5615,0.92618,-0.53424),(6125,5625,0.92842,-0.52931),(6125,5635,0.93066,-0.52434),(6125,5645,0.93287,-0.51938),(6125,5655,0.93508,-0.5144),(6125,5665,0.93729,-0.50942),(6125,5675,0.93947,-0.50443),(6125,5685,0.94164,-0.49944),(6125,5695,0.94381,-0.49443),(6125,5705,0.94596,-0.48943),(6125,5715,0.94809,-0.48442),(6125,5725,0.95021,-0.47935),(6125,5735,0.95232,-0.47426),(6125,5745,0.95439,-0.46917),(6125,5755,0.95646,-0.46404),(6125,5765,0.95852,-0.4589),(6125,5775,0.96053,-0.45375),(6125,5785,0.96254,-0.44857),(6125,5795,0.96455,-0.44338),(6125,5805,0.96651,-0.43818),(6125,5815,0.96847,-0.43297),(6125,5825,0.97042,-0.42773),(6125,5835,0.97233,-0.42249),(6125,5845,0.97423,-0.41725),(6125,5855,0.97612,-0.412),(6125,5865,0.97798,-0.40674),(6125,5875,0.97981,-0.40148),(6125,5885,0.98165,-0.39619),(6125,5895,0.98345,-0.39091),(6125,5905,0.98522,-0.38562),(6125,5915,0.98699,-0.38028),(6125,5925,0.98874,-0.37493),(6125,5935,0.99044,-0.36958),(6125,5945,0.99214,-0.3642),(6125,5955,0.99384,-0.35881),(6125,5965,0.9955,-0.35342),(6125,5975,0.99715,-0.34801),(6125,5985,0.99881,-0.34259),(6125,5995,1.0004,-0.33716),(6125,6005,1.002,-0.33171),(6125,6015,1.0037,-0.32621),(6125,6025,1.0052,-0.32071),(6125,6035,1.0068,-0.31521),(6125,6045,1.0083,-0.30971),(6125,6055,1.0098,-0.3042),(6125,6065,1.0113,-0.2987),(6125,6075,1.0128,-0.29323),(6125,6085,1.0142,-0.28776),(6125,6095,1.0155,-0.28229),(6125,6105,1.0169,-0.27677),(6125,6115,1.0182,-0.27122),(6125,6125,1.0195,-0.26568),(6125,6135,1.0208,-0.26008),(6125,6145,1.022,-0.25445),(6125,6155,1.0232,-0.24881),(6125,6165,1.0244,-0.24316),(6125,6175,1.0256,-0.23751),(6125,6185,1.0267,-0.23185),(6125,6195,1.0278,-0.22619),(6125,6205,1.0289,-0.22051),(6125,6215,1.03,-0.21483),(6125,6225,1.0311,-0.20914),(6125,6235,1.0321,-0.20343),(6125,6245,1.0331,-0.19773),(6125,6255,1.0341,-0.19202),(6125,6265,1.035,-0.18632),(6125,6275,1.036,-0.18063),(6125,6285,1.0368,-0.17494),(6125,6295,1.0377,-0.16923),(6125,6305,1.0386,-0.16352),(6125,6315,1.0394,-0.15781),(6125,6325,1.0401,-0.15204),(6125,6335,1.0409,-0.14619),(6125,6345,1.0416,-0.14034),(6125,6355,1.0423,-0.13452),(6125,6365,1.043,-0.12875),(6125,6375,1.0436,-0.12299),(6125,6385,1.0442,-0.11723),(6125,6395,1.0449,-0.11153),(6125,6405,1.0454,-0.10583),(6125,6415,1.046,-0.10012),(6125,6425,1.0465,-0.094378),(6125,6435,1.0471,-0.088631),(6125,6445,1.0475,-0.082883),(6125,6455,1.048,-0.077119),(6125,6465,1.0484,-0.07135),(6125,6475,1.0488,-0.065581),(6125,6485,1.0491,-0.059765),(6125,6495,1.0494,-0.053916),(6125,6505,1.0497,-0.048067),(6125,6515,1.0499,-0.042186),(6125,6525,1.0501,-0.036261),(6125,6535,1.0503,-0.030336),(6125,6545,1.0505,-0.024452),(6125,6555,1.0506,-0.018695),(6125,6565,1.0507,-0.012937),(6125,6575,1.0508,-0.007177),(6125,6585,1.0509,-0.001383),(6125,6595,0.89387,0.00441),(6125,6605,0.56329,0.010204),(6125,6615,0.23271,0.010877),(6125,6625,0.000325,0.010891),(6125,6635,0.000358,0.010905),(6125,6645,0.00039,0.010911),(6125,6655,0.000423,0.010913),(6125,6665,0.000456,0.010915),(6125,6675,0.000488,0.010917),(6125,6685,0.000521,0.010918),(6125,6695,0.000553,0.01092),(6125,6705,0.000585,0.010921),(6125,6715,0.000617,0.010922),(6125,6725,0.000649,0.010922),(6125,6735,0.000681,0.010923),(6125,6745,0.000713,0.010923),(6125,6755,0.000745,0.010922),(6125,6765,0.000776,0.010922),(6125,6775,0.000808,0.010921),(6125,6785,0.000839,0.01092),(6125,6795,0.00087,0.010919),(6125,6805,0.000901,0.010917),(6125,6815,0.000933,0.010915),(6125,6825,0.000963,0.010913),(6125,6835,0.000994,0.010911),(6125,6845,0.001025,0.010908),(6125,6855,0.001055,0.010905),(6125,6865,0.001085,0.010902),(6125,6875,0.001115,0.010899),(6125,6885,0.001145,0.010895),(6125,6895,0.001174,0.010892),(6125,6905,0.001204,0.010887),(6125,6915,0.001233,0.010883),(6125,6925,0.001262,0.010878),(6125,6935,0.001291,0.010873),(6125,6945,0.00132,0.010868),(6125,6955,0.001349,0.010863),(6125,6965,0.001377,0.010857),(6125,6975,0.001406,0.010851),(6125,6985,0.001434,0.010845),(6135,5,-4e-06,-1.3199),(6135,15,-1.3e-05,-1.3198),(6135,25,1e-06,-1.3197),(6135,35,3.4e-05,-1.3196),(6135,45,6.8e-05,-1.3196),(6135,55,0.000102,-1.3197),(6135,65,0.00014,-1.3197),(6135,75,0.000181,-1.3197),(6135,85,0.000222,-1.3197),(6135,95,0.000264,-1.3196),(6135,105,0.000273,-1.3195),(6135,115,0.000262,-1.3195),(6135,125,0.00025,-1.3194),(6135,135,0.000239,-1.3194),(6135,145,0.000225,-1.3193),(6135,155,0.000209,-1.3193),(6135,165,0.000192,-1.3192),(6135,175,0.000176,-1.3192),(6135,185,0.000173,-1.3192),(6135,195,0.000175,-1.3192),(6135,205,0.000178,-1.3192),(6135,215,0.000181,-1.3192),(6135,225,0.000196,-1.3193),(6135,235,0.000217,-1.3193),(6135,245,0.000238,-1.3193),(6135,255,0.000259,-1.3192),(6135,265,0.000302,-1.3192),(6135,275,0.000352,-1.3192),(6135,285,0.000402,-1.3192),(6135,295,0.000452,-1.3193),(6135,305,0.000515,-1.3193),(6135,315,0.000582,-1.3193),(6135,325,0.000649,-1.3193),(6135,335,0.000716,-1.3194),(6135,345,0.000757,-1.3194),(6135,355,0.000793,-1.3194),(6135,365,0.000829,-1.3194),(6135,375,0.000865,-1.3193),(6135,385,0.000891,-1.3193),(6135,395,0.000915,-1.3193),(6135,405,0.000939,-1.3192),(6135,415,0.000963,-1.3191),(6135,425,0.000991,-1.319),(6135,435,0.001019,-1.319),(6135,445,0.001048,-1.319),(6135,455,0.001076,-1.319),(6135,465,0.001118,-1.319),(6135,475,0.00116,-1.319),(6135,485,0.001202,-1.319),(6135,495,0.001244,-1.319),(6135,505,0.001294,-1.3189),(6135,515,0.001343,-1.3189),(6135,525,0.001393,-1.3189),(6135,535,0.001442,-1.3189),(6135,545,0.001499,-1.3188),(6135,555,0.001556,-1.3188),(6135,565,0.001613,-1.3188),(6135,575,0.001673,-1.3188),(6135,585,0.001759,-1.3187),(6135,595,0.001846,-1.3187),(6135,605,0.001932,-1.3188),(6135,615,0.002021,-1.3188),(6135,625,0.002124,-1.3189),(6135,635,0.002227,-1.3189),(6135,645,0.002331,-1.3189),(6135,655,0.002435,-1.319),(6135,665,0.002547,-1.319),(6135,675,0.002658,-1.319),(6135,685,0.00277,-1.319),(6135,695,0.00289,-1.3189),(6135,705,0.003044,-1.3189),(6135,715,0.003199,-1.3189),(6135,725,0.003354,-1.3189),(6135,735,0.003514,-1.3189),(6135,745,0.003691,-1.3189),(6135,755,0.003868,-1.3189),(6135,765,0.004044,-1.3189),(6135,775,0.004235,-1.3189),(6135,785,0.004464,-1.3188),(6135,795,0.004693,-1.3188),(6135,805,0.004923,-1.3188),(6135,815,0.00517,-1.3188),(6135,825,0.00546,-1.3188),(6135,835,0.00575,-1.3187),(6135,845,0.006039,-1.3186),(6135,855,0.006351,-1.3185),(6135,865,0.006703,-1.3184),(6135,875,0.007055,-1.3183),(6135,885,0.007407,-1.3182),(6135,895,0.007818,-1.3182),(6135,905,0.00832,-1.3181),(6135,915,0.008822,-1.318),(6135,925,0.009324,-1.3179),(6135,935,0.009882,-1.3178),(6135,945,0.010515,-1.3177),(6135,955,0.011148,-1.3176),(6135,965,0.011781,-1.3174),(6135,975,0.01245,-1.3173),(6135,985,0.01316,-1.3171),(6135,995,0.01387,-1.3169),(6135,1005,0.014579,-1.3165),(6135,1015,0.015344,-1.3162),(6135,1025,0.016162,-1.3158),(6135,1035,0.01698,-1.3153),(6135,1045,0.017798,-1.3146),(6135,1055,0.018728,-1.3139),(6135,1065,0.019751,-1.3132),(6135,1075,0.020774,-1.3124),(6135,1085,0.021797,-1.3114),(6135,1095,0.022983,-1.3103),(6135,1105,0.024282,-1.3093),(6135,1115,0.02558,-1.3079),(6135,1125,0.026879,-1.3063),(6135,1135,0.028352,-1.3046),(6135,1145,0.029926,-1.303),(6135,1155,0.031501,-1.3006),(6135,1165,0.033076,-1.2979),(6135,1175,0.034792,-1.2952),(6135,1185,0.036577,-1.2924),(6135,1195,0.038363,-1.2886),(6135,1205,0.040148,-1.2842),(6135,1215,0.042072,-1.2799),(6135,1225,0.044053,-1.2755),(6135,1235,0.046034,-1.2697),(6135,1245,0.048015,-1.2633),(6135,1255,0.049971,-1.2568),(6135,1265,0.051918,-1.2504),(6135,1275,0.053866,-1.2422),(6135,1285,0.055813,-1.2335),(6135,1295,0.051169,-1.2248),(6135,1305,0.044742,-1.2161),(6135,1315,0.038315,-1.2102),(6135,1325,0.031888,-1.2051),(6135,1335,0.019658,-1.1999),(6135,1345,0.006212,-1.1948),(6135,1355,-0.007234,-1.1973),(6135,1365,-0.020681,-1.2011),(6135,1375,-0.029545,-1.205),(6135,1385,-0.037702,-1.2088),(6135,1395,-0.045859,-1.2169),(6135,1405,-0.054016,-1.2255),(6135,1415,-0.053161,-1.2342),(6135,1425,-0.051371,-1.2428),(6135,1435,-0.04958,-1.2496),(6135,1445,-0.04779,-1.2562),(6135,1455,-0.045808,-1.2628),(6135,1465,-0.043815,-1.2694),(6135,1475,-0.041823,-1.2738),(6135,1485,-0.03983,-1.2781),(6135,1495,-0.038084,-1.2825),(6135,1505,-0.036341,-1.2868),(6135,1515,-0.034599,-1.2896),(6135,1525,-0.032861,-1.2924),(6135,1535,-0.031338,-1.2951),(6135,1545,-0.029815,-1.2979),(6135,1555,-0.028292,-1.2996),(6135,1565,-0.026783,-1.3013),(6135,1575,-0.025482,-1.3031),(6135,1585,-0.024181,-1.3047),(6135,1595,-0.02288,-1.3055),(6135,1605,-0.021601,-1.3063),(6135,1615,-0.020509,-1.3071),(6135,1625,-0.019418,-1.3078),(6135,1635,-0.018326,-1.3083),(6135,1645,-0.017251,-1.3087),(6135,1655,-0.016273,-1.3092),(6135,1665,-0.015296,-1.3096),(6135,1675,-0.014318,-1.3099),(6135,1685,-0.013391,-1.3102),(6135,1695,-0.012689,-1.3105),(6135,1705,-0.011987,-1.3107),(6135,1715,-0.011285,-1.3106),(6135,1725,-0.010618,-1.3105),(6135,1735,-0.010076,-1.3103),(6135,1745,-0.009534,-1.3102),(6135,1755,-0.008991,-1.3101),(6135,1765,-0.008453,-1.3099),(6135,1775,-0.007929,-1.3098),(6135,1785,-0.007405,-1.3096),(6135,1795,-0.006881,-1.3095),(6135,1805,-0.006385,-1.3095),(6135,1815,-0.005953,-1.3094),(6135,1825,-0.005521,-1.3092),(6135,1835,-0.005089,-1.309),(6135,1845,-0.004711,-1.3088),(6135,1855,-0.004439,-1.3086),(6135,1865,-0.004166,-1.3084),(6135,1875,-0.003893,-1.3081),(6135,1885,-0.003644,-1.3077),(6135,1895,-0.003434,-1.3074),(6135,1905,-0.003224,-1.3071),(6135,1915,-0.003013,-1.3068),(6135,1925,-0.002796,-1.3065),(6135,1935,-0.00257,-1.3061),(6135,1945,-0.002343,-1.3059),(6135,1955,-0.002117,-1.3057),(6135,1965,-0.001901,-1.3055),(6135,1975,-0.001698,-1.3052),(6135,1985,-0.001494,-1.305),(6135,1995,-0.001291,-1.3047),(6135,2005,-0.001109,-1.3044),(6135,2015,-0.000948,-1.3041),(6135,2025,-0.000787,-1.3038),(6135,2035,-0.000627,-1.3036),(6135,2045,-0.000492,-1.3033),(6135,2055,-0.00038,-1.3031),(6135,2065,-0.000268,-1.3028),(6135,2075,-0.000156,-1.3025),(6135,2085,-9.8e-05,-1.3023),(6135,2095,-8.1e-05,-1.302),(6135,2105,-6.3e-05,-1.3016),(6135,2115,-4.5e-05,-1.3012),(6135,2125,-1.5e-05,-1.3009),(6135,2135,2.3e-05,-1.3005),(6135,2145,6e-05,-1.3001),(6135,2155,9.8e-05,-1.2999),(6135,2165,0.000185,-1.2996),(6135,2175,0.000296,-1.2993),(6135,2185,0.000407,-1.299),(6135,2195,0.000519,-1.2987),(6135,2205,0.000604,-1.2984),(6135,2215,0.000678,-1.2981),(6135,2225,0.000752,-1.2977),(6135,2235,0.000826,-1.2973),(6135,2245,0.000897,-1.2969),(6135,2255,0.000966,-1.2965),(6135,2265,0.001036,-1.2961),(6135,2275,0.001105,-1.2958),(6135,2285,0.001186,-1.2954),(6135,2295,0.001271,-1.2951),(6135,2305,0.001355,-1.2947),(6135,2315,0.00144,-1.2943),(6135,2325,0.001489,-1.294),(6135,2335,0.00153,-1.2936),(6135,2345,0.001571,-1.2932),(6135,2355,0.001612,-1.2927),(6135,2365,0.001641,-1.2923),(6135,2375,0.001668,-1.2919),(6135,2385,0.001695,-1.2914),(6135,2395,0.001722,-1.291),(6135,2405,0.001756,-1.2905),(6135,2415,0.00179,-1.2901),(6135,2425,0.001824,-1.2896),(6135,2435,0.001859,-1.2892),(6135,2445,0.001915,-1.2887),(6135,2455,0.001972,-1.2883),(6135,2465,0.002029,-1.2879),(6135,2475,0.002086,-1.2875),(6135,2485,0.002172,-1.2871),(6135,2495,0.002258,-1.2868),(6135,2505,0.002344,-1.2863),(6135,2515,0.00243,-1.2859),(6135,2525,0.002481,-1.2854),(6135,2535,0.002532,-1.285),(6135,2545,0.002583,-1.2844),(6135,2555,0.002631,-1.2838),(6135,2565,0.002642,-1.2832),(6135,2575,0.002653,-1.2827),(6135,2585,0.002664,-1.2821),(6135,2595,0.002676,-1.2815),(6135,2605,0.002706,-1.281),(6135,2615,0.002736,-1.2804),(6135,2625,0.002766,-1.2799),(6135,2635,0.002798,-1.2793),(6135,2645,0.002842,-1.2788),(6135,2655,0.002886,-1.2782),(6135,2665,0.00293,-1.2776),(6135,2675,0.002974,-1.277),(6135,2685,0.003018,-1.2764),(6135,2695,0.003061,-1.2758),(6135,2705,0.003105,-1.2753),(6135,2715,0.003145,-1.2748),(6135,2725,0.003176,-1.2743),(6135,2735,0.003207,-1.2737),(6135,2745,0.003238,-1.2731),(6135,2755,0.00326,-1.2725),(6135,2765,0.003259,-1.2719),(6135,2775,0.003257,-1.2713),(6135,2785,0.003255,-1.2705),(6135,2795,0.003265,-1.2697),(6135,2805,0.003305,-1.2689),(6135,2815,0.003345,-1.2682),(6135,2825,0.003385,-1.2676),(6135,2835,0.003445,-1.2669),(6135,2845,0.003543,-1.2662),(6135,2855,0.003641,-1.2656),(6135,2865,0.00374,-1.265),(6135,2875,0.003824,-1.2644),(6135,2885,0.003884,-1.2638),(6135,2895,0.003944,-1.2631),(6135,2905,0.004005,-1.2623),(6135,2915,0.00405,-1.2615),(6135,2925,0.004073,-1.2607),(6135,2935,0.004097,-1.2599),(6135,2945,0.004121,-1.2591),(6135,2955,0.004157,-1.2583),(6135,2965,0.004209,-1.2574),(6135,2975,0.004262,-1.2566),(6135,2985,0.004314,-1.2559),(6135,2995,0.004361,-1.2552),(6135,3005,0.0044,-1.2544),(6135,3015,0.00444,-1.2537),(6135,3025,0.004479,-1.2528),(6135,3035,0.004507,-1.252),(6135,3045,0.004525,-1.2512),(6135,3055,0.004542,-1.2503),(6135,3065,0.004559,-1.2494),(6135,3075,0.004589,-1.2485),(6135,3085,0.004627,-1.2477),(6135,3095,0.004666,-1.2468),(6135,3105,0.004704,-1.2459),(6135,3115,0.004752,-1.245),(6135,3125,0.004806,-1.2441),(6135,3135,0.00486,-1.2432),(6135,3145,0.004914,-1.2423),(6135,3155,0.004988,-1.2414),(6135,3165,0.005072,-1.2405),(6135,3175,0.005156,-1.2396),(6135,3185,0.005241,-1.2387),(6135,3195,0.005339,-1.2377),(6135,3205,0.005445,-1.2368),(6135,3215,0.00555,-1.2359),(6135,3225,0.005655,-1.2349),(6135,3235,0.00575,-1.2339),(6135,3245,0.005842,-1.2329),(6135,3255,0.005933,-1.2319),(6135,3265,0.006024,-1.2309),(6135,3275,0.006111,-1.2299),(6135,3285,0.006196,-1.2289),(6135,3295,0.006281,-1.2279),(6135,3305,0.006366,-1.2268),(6135,3315,0.006478,-1.2258),(6135,3325,0.006598,-1.2247),(6135,3335,0.006716,-1.2236),(6135,3345,0.006835,-1.2225),(6135,3355,0.007009,-1.2215),(6135,3365,0.007192,-1.2204),(6135,3375,0.007375,-1.2194),(6135,3385,0.007558,-1.2184),(6135,3395,0.007748,-1.2174),(6135,3405,0.007939,-1.2164),(6135,3415,0.008129,-1.2153),(6135,3425,0.00832,-1.2142),(6135,3435,0.008509,-1.2131),(6135,3445,0.008698,-1.212),(6135,3455,0.008888,-1.2108),(6135,3465,0.009077,-1.2096),(6135,3475,0.009291,-1.2085),(6135,3485,0.009507,-1.2073),(6135,3495,0.009722,-1.2061),(6135,3505,0.009938,-1.2049),(6135,3515,0.010194,-1.2038),(6135,3525,0.010451,-1.2026),(6135,3535,0.010708,-1.2014),(6135,3545,0.010971,-1.2002),(6135,3555,0.011371,-1.199),(6135,3565,0.011771,-1.1977),(6135,3575,0.012172,-1.1964),(6135,3585,0.012581,-1.1951),(6135,3595,0.013085,-1.1938),(6135,3605,0.01359,-1.1925),(6135,3615,0.014095,-1.1911),(6135,3625,0.014606,-1.1897),(6135,3635,0.015165,-1.1883),(6135,3645,0.015724,-1.1868),(6135,3655,0.016284,-1.1853),(6135,3665,0.016855,-1.1837),(6135,3675,0.017488,-1.1821),(6135,3685,0.018122,-1.1806),(6135,3695,0.018756,-1.1789),(6135,3705,0.019403,-1.1772),(6135,3715,0.020106,-1.1755),(6135,3725,0.020808,-1.1737),(6135,3735,0.021511,-1.1716),(6135,3745,0.022242,-1.1695),(6135,3755,0.023063,-1.1674),(6135,3765,0.023884,-1.1652),(6135,3775,0.024705,-1.1627),(6135,3785,0.025579,-1.1602),(6135,3795,0.026584,-1.1577),(6135,3805,0.02759,-1.155),(6135,3815,0.028595,-1.1518),(6135,3825,0.029642,-1.1487),(6135,3835,0.030777,-1.1455),(6135,3845,0.031912,-1.1421),(6135,3855,0.033047,-1.1382),(6135,3865,0.034237,-1.1343),(6135,3875,0.035524,-1.1304),(6135,3885,0.036811,-1.1261),(6135,3895,0.038097,-1.121),(6135,3905,0.039427,-1.1159),(6135,3915,0.04082,-1.1108),(6135,3925,0.042213,-1.1051),(6135,3935,0.043606,-1.0985),(6135,3945,0.044929,-1.0919),(6135,3955,0.046163,-1.0853),(6135,3965,0.047397,-1.0781),(6135,3975,0.048631,-1.0704),(6135,3985,0.047926,-1.0627),(6135,3995,0.045122,-1.055),(6135,4005,0.042318,-1.0478),(6135,4015,0.039514,-1.0411),(6135,4025,0.13142,-1.0344),(6135,4035,0.23259,-1.0296),(6135,4045,0.33376,-1.0286),(6135,4055,0.41132,-1.0276),(6135,4065,0.48027,-1.0264),(6135,4075,0.54922,-1.0246),(6135,4085,0.58051,-1.0228),(6135,4095,0.58154,-1.021),(6135,4105,0.58257,-1.0192),(6135,4115,0.58363,-1.0174),(6135,4125,0.58471,-1.0156),(6135,4135,0.5858,-1.0138),(6135,4145,0.58689,-1.0121),(6135,4155,0.58802,-1.0104),(6135,4165,0.58915,-1.0086),(6135,4175,0.59028,-1.0068),(6135,4185,0.59146,-1.005),(6135,4195,0.59264,-1.0032),(6135,4205,0.59382,-1.0014),(6135,4215,0.59506,-0.99954),(6135,4225,0.59631,-0.99773),(6135,4235,0.59756,-0.99598),(6135,4245,0.59886,-0.99422),(6135,4255,0.60019,-0.99245),(6135,4265,0.60151,-0.99061),(6135,4275,0.60287,-0.98876),(6135,4285,0.60427,-0.98691),(6135,4295,0.60567,-0.98501),(6135,4305,0.6071,-0.98311),(6135,4315,0.60859,-0.98121),(6135,4325,0.61008,-0.97932),(6135,4335,0.61158,-0.97743),(6135,4345,0.61318,-0.97555),(6135,4355,0.61477,-0.97363),(6135,4365,0.61636,-0.97166),(6135,4375,0.61805,-0.9697),(6135,4385,0.61975,-0.96773),(6135,4395,0.62144,-0.96575),(6135,4405,0.62321,-0.96378),(6135,4415,0.625,-0.96179),(6135,4425,0.62679,-0.95973),(6135,4435,0.62863,-0.95766),(6135,4445,0.63049,-0.9556),(6135,4455,0.63235,-0.95347),(6135,4465,0.63424,-0.95134),(6135,4475,0.63616,-0.9492),(6135,4485,0.63808,-0.94699),(6135,4495,0.64002,-0.94475),(6135,4505,0.64201,-0.94251),(6135,4515,0.644,-0.94026),(6135,4525,0.64599,-0.93801),(6135,4535,0.64806,-0.93575),(6135,4545,0.65013,-0.93347),(6135,4555,0.6522,-0.93117),(6135,4565,0.65435,-0.92887),(6135,4575,0.65651,-0.92653),(6135,4585,0.65867,-0.9241),(6135,4595,0.66089,-0.92167),(6135,4605,0.66313,-0.91922),(6135,4615,0.66537,-0.91666),(6135,4625,0.66764,-0.91409),(6135,4635,0.66994,-0.91153),(6135,4645,0.67223,-0.90891),(6135,4655,0.67455,-0.90629),(6135,4665,0.67689,-0.90366),(6135,4675,0.67924,-0.901),(6135,4685,0.6816,-0.89833),(6135,4695,0.684,-0.89565),(6135,4705,0.6864,-0.89291),(6135,4715,0.6888,-0.89011),(6135,4725,0.69127,-0.88732),(6135,4735,0.69373,-0.88447),(6135,4745,0.69619,-0.88156),(6135,4755,0.69871,-0.87864),(6135,4765,0.70124,-0.87571),(6135,4775,0.70376,-0.87272),(6135,4785,0.70632,-0.86973),(6135,4795,0.7089,-0.86674),(6135,4805,0.71147,-0.86366),(6135,4815,0.71406,-0.86059),(6135,4825,0.71666,-0.85751),(6135,4835,0.71926,-0.85435),(6135,4845,0.72187,-0.85118),(6135,4855,0.72448,-0.848),(6135,4865,0.7271,-0.84476),(6135,4875,0.72972,-0.8415),(6135,4885,0.73234,-0.83823),(6135,4895,0.73497,-0.83491),(6135,4905,0.73759,-0.83155),(6135,4915,0.74023,-0.82818),(6135,4925,0.74288,-0.82478),(6135,4935,0.74552,-0.82133),(6135,4945,0.74818,-0.81787),(6135,4955,0.75084,-0.8144),(6135,4965,0.75351,-0.81087),(6135,4975,0.75619,-0.80733),(6135,4985,0.75888,-0.8038),(6135,4995,0.76157,-0.8002),(6135,5005,0.76427,-0.7966),(6135,5015,0.76698,-0.79299),(6135,5025,0.76969,-0.78934),(6135,5035,0.77239,-0.78567),(6135,5045,0.7751,-0.782),(6135,5055,0.77781,-0.77827),(6135,5065,0.78052,-0.77452),(6135,5075,0.7832,-0.77077),(6135,5085,0.78589,-0.76697),(6135,5095,0.78858,-0.76311),(6135,5105,0.79125,-0.75924),(6135,5115,0.79391,-0.75535),(6135,5125,0.79658,-0.75139),(6135,5135,0.79924,-0.74743),(6135,5145,0.80189,-0.74347),(6135,5155,0.80455,-0.73944),(6135,5165,0.8072,-0.73542),(6135,5175,0.80985,-0.73139),(6135,5185,0.8125,-0.7273),(6135,5195,0.81516,-0.72321),(6135,5205,0.81781,-0.71912),(6135,5215,0.82047,-0.71499),(6135,5225,0.82312,-0.71084),(6135,5235,0.82577,-0.7067),(6135,5245,0.82843,-0.70253),(6135,5255,0.83108,-0.69835),(6135,5265,0.83372,-0.69417),(6135,5275,0.83635,-0.68996),(6135,5285,0.83898,-0.6857),(6135,5295,0.84158,-0.68144),(6135,5305,0.84416,-0.67716),(6135,5315,0.84674,-0.67278),(6135,5325,0.84929,-0.66841),(6135,5335,0.85182,-0.66403),(6135,5345,0.85434,-0.65957),(6135,5355,0.85685,-0.6551),(6135,5365,0.85935,-0.65064),(6135,5375,0.86184,-0.64613),(6135,5385,0.86433,-0.64162),(6135,5395,0.86681,-0.63711),(6135,5405,0.86929,-0.63256),(6135,5415,0.87177,-0.62799),(6135,5425,0.87425,-0.62342),(6135,5435,0.87672,-0.61883),(6135,5445,0.8792,-0.61423),(6135,5455,0.88167,-0.60962),(6135,5465,0.88415,-0.60502),(6135,5475,0.88662,-0.60041),(6135,5485,0.88908,-0.5958),(6135,5495,0.89154,-0.59119),(6135,5505,0.89399,-0.58655),(6135,5515,0.89642,-0.5819),(6135,5525,0.89884,-0.57726),(6135,5535,0.90125,-0.57253),(6135,5545,0.90363,-0.56779),(6135,5555,0.90597,-0.56305),(6135,5565,0.90831,-0.55824),(6135,5575,0.91063,-0.5534),(6135,5585,0.91289,-0.54857),(6135,5595,0.91516,-0.54368),(6135,5605,0.91742,-0.53877),(6135,5615,0.91964,-0.53386),(6135,5625,0.92186,-0.52892),(6135,5635,0.92408,-0.52395),(6135,5645,0.92627,-0.51899),(6135,5655,0.92845,-0.51401),(6135,5665,0.93063,-0.50902),(6135,5675,0.9328,-0.50403),(6135,5685,0.93494,-0.49904),(6135,5695,0.93709,-0.49404),(6135,5705,0.93922,-0.48904),(6135,5715,0.94132,-0.48403),(6135,5725,0.94343,-0.47896),(6135,5735,0.94552,-0.47388),(6135,5745,0.94757,-0.46879),(6135,5755,0.94962,-0.46367),(6135,5765,0.95167,-0.45853),(6135,5775,0.95367,-0.45338),(6135,5785,0.95566,-0.44821),(6135,5795,0.95766,-0.44302),(6135,5805,0.9596,-0.43782),(6135,5815,0.96154,-0.43262),(6135,5825,0.96348,-0.42738),(6135,5835,0.96537,-0.42215),(6135,5845,0.96725,-0.41691),(6135,5855,0.96913,-0.41166),(6135,5865,0.97097,-0.4064),(6135,5875,0.97279,-0.40115),(6135,5885,0.97461,-0.39587),(6135,5895,0.9764,-0.39058),(6135,5905,0.97815,-0.3853),(6135,5915,0.9799,-0.37997),(6135,5925,0.98163,-0.37462),(6135,5935,0.98331,-0.36927),(6135,5945,0.985,-0.3639),(6135,5955,0.98667,-0.3585),(6135,5965,0.98831,-0.3531),(6135,5975,0.98994,-0.34769),(6135,5985,0.99157,-0.34226),(6135,5995,0.99317,-0.33683),(6135,6005,0.99476,-0.33138),(6135,6015,0.99635,-0.32588),(6135,6025,0.9979,-0.32038),(6135,6035,0.99943,-0.31488),(6135,6045,1.001,-0.30938),(6135,6055,1.0025,-0.30388),(6135,6065,1.0039,-0.29838),(6135,6075,1.0054,-0.29293),(6135,6085,1.0068,-0.28747),(6135,6095,1.0081,-0.28202),(6135,6105,1.0095,-0.27651),(6135,6115,1.0108,-0.27098),(6135,6125,1.0121,-0.26545),(6135,6135,1.0133,-0.25986),(6135,6145,1.0146,-0.25422),(6135,6155,1.0158,-0.24859),(6135,6165,1.017,-0.24294),(6135,6175,1.0181,-0.23729),(6135,6185,1.0193,-0.23163),(6135,6195,1.0204,-0.22597),(6135,6205,1.0215,-0.22029),(6135,6215,1.0225,-0.21461),(6135,6225,1.0236,-0.20893),(6135,6235,1.0246,-0.20322),(6135,6245,1.0256,-0.19752),(6135,6255,1.0266,-0.19181),(6135,6265,1.0275,-0.18612),(6135,6275,1.0284,-0.18043),(6135,6285,1.0293,-0.17475),(6135,6295,1.0302,-0.16905),(6135,6305,1.031,-0.16335),(6135,6315,1.0318,-0.15765),(6135,6325,1.0326,-0.15188),(6135,6335,1.0333,-0.14604),(6135,6345,1.034,-0.14019),(6135,6355,1.0347,-0.13437),(6135,6365,1.0354,-0.12861),(6135,6375,1.036,-0.12284),(6135,6385,1.0366,-0.11708),(6135,6395,1.0372,-0.11137),(6135,6405,1.0378,-0.10567),(6135,6415,1.0384,-0.099969),(6135,6425,1.0389,-0.094228),(6135,6435,1.0394,-0.088485),(6135,6445,1.0399,-0.082742),(6135,6455,1.0403,-0.076989),(6135,6465,1.0407,-0.071234),(6135,6475,1.0411,-0.065478),(6135,6485,1.0414,-0.059672),(6135,6495,1.0418,-0.053832),(6135,6505,1.042,-0.047992),(6135,6515,1.0423,-0.042117),(6135,6525,1.0425,-0.036193),(6135,6535,1.0427,-0.030269),(6135,6545,1.0428,-0.024384),(6135,6555,1.043,-0.018625),(6135,6565,1.0431,-0.012865),(6135,6575,1.0432,-0.007104),(6135,6585,1.0432,-0.001316),(6135,6595,0.88733,0.004472),(6135,6605,0.55917,0.01026),(6135,6615,0.231,0.010925),(6135,6625,0.000322,0.010933),(6135,6635,0.000355,0.01094),(6135,6645,0.000387,0.010944),(6135,6655,0.00042,0.010946),(6135,6665,0.000453,0.010948),(6135,6675,0.000486,0.010949),(6135,6685,0.000518,0.010951),(6135,6695,0.000551,0.010952),(6135,6705,0.000583,0.010953),(6135,6715,0.000616,0.010954),(6135,6725,0.000648,0.010954),(6135,6735,0.00068,0.010955),(6135,6745,0.000712,0.010954),(6135,6755,0.000744,0.010954),(6135,6765,0.000776,0.010954),(6135,6775,0.000808,0.010952),(6135,6785,0.000839,0.010951),(6135,6795,0.000871,0.01095),(6135,6805,0.000902,0.010948),(6135,6815,0.000933,0.010946),(6135,6825,0.000964,0.010944),(6135,6835,0.000995,0.010942),(6135,6845,0.001026,0.010939),(6135,6855,0.001056,0.010936),(6135,6865,0.001087,0.010933),(6135,6875,0.001117,0.010929),(6135,6885,0.001147,0.010925),(6135,6895,0.001177,0.010921),(6135,6905,0.001207,0.010917),(6135,6915,0.001236,0.010912),(6135,6925,0.001266,0.010908),(6135,6935,0.001295,0.010902),(6135,6945,0.001324,0.010897),(6135,6955,0.001353,0.010891),(6135,6965,0.001382,0.010885),(6135,6975,0.00141,0.010879),(6135,6985,0.001438,0.010873),(6145,5,-4e-06,-1.32),(6145,15,-1.2e-05,-1.3199),(6145,25,0,-1.3198),(6145,35,3e-05,-1.3196),(6145,45,6e-05,-1.3196),(6145,55,9e-05,-1.3196),(6145,65,0.000129,-1.3197),(6145,75,0.000174,-1.3197),(6145,85,0.00022,-1.3197),(6145,95,0.000265,-1.3196),(6145,105,0.000281,-1.3195),(6145,115,0.000278,-1.3195),(6145,125,0.000274,-1.3194),(6145,135,0.000271,-1.3194),(6145,145,0.000259,-1.3193),(6145,155,0.000244,-1.3193),(6145,165,0.000228,-1.3192),(6145,175,0.000213,-1.3192),(6145,185,0.000206,-1.3192),(6145,195,0.000202,-1.3192),(6145,205,0.000198,-1.3192),(6145,215,0.000194,-1.3192),(6145,225,0.000202,-1.3192),(6145,235,0.000215,-1.3192),(6145,245,0.000227,-1.3192),(6145,255,0.00024,-1.3192),(6145,265,0.000272,-1.3192),(6145,275,0.000311,-1.3192),(6145,285,0.000349,-1.3192),(6145,295,0.000388,-1.3192),(6145,305,0.00045,-1.3192),(6145,315,0.000518,-1.3193),(6145,325,0.000586,-1.3193),(6145,335,0.000654,-1.3193),(6145,345,0.0007,-1.3193),(6145,355,0.000742,-1.3194),(6145,365,0.000784,-1.3194),(6145,375,0.000826,-1.3193),(6145,385,0.000852,-1.3193),(6145,395,0.000876,-1.3193),(6145,405,0.000901,-1.3192),(6145,415,0.000925,-1.3191),(6145,425,0.000961,-1.319),(6145,435,0.000999,-1.319),(6145,445,0.001036,-1.319),(6145,455,0.001073,-1.319),(6145,465,0.001126,-1.319),(6145,475,0.001179,-1.319),(6145,485,0.001232,-1.319),(6145,495,0.001285,-1.319),(6145,505,0.001337,-1.3189),(6145,515,0.001389,-1.3189),(6145,525,0.001442,-1.3189),(6145,535,0.001494,-1.3189),(6145,545,0.001545,-1.3188),(6145,555,0.001595,-1.3188),(6145,565,0.001646,-1.3188),(6145,575,0.001699,-1.3187),(6145,585,0.001778,-1.3187),(6145,595,0.001857,-1.3187),(6145,605,0.001935,-1.3187),(6145,615,0.002017,-1.3188),(6145,625,0.002116,-1.3188),(6145,635,0.002216,-1.3189),(6145,645,0.002315,-1.3189),(6145,655,0.002416,-1.3189),(6145,665,0.002522,-1.3189),(6145,675,0.002629,-1.3189),(6145,685,0.002735,-1.3189),(6145,695,0.00285,-1.3189),(6145,705,0.003004,-1.3188),(6145,715,0.003157,-1.3188),(6145,725,0.003311,-1.3188),(6145,735,0.003471,-1.3188),(6145,745,0.003651,-1.3188),(6145,755,0.003831,-1.3188),(6145,765,0.004012,-1.3188),(6145,775,0.004205,-1.3188),(6145,785,0.004433,-1.3188),(6145,795,0.004661,-1.3187),(6145,805,0.004889,-1.3187),(6145,815,0.005136,-1.3187),(6145,825,0.005423,-1.3187),(6145,835,0.005711,-1.3186),(6145,845,0.005999,-1.3185),(6145,855,0.006305,-1.3184),(6145,865,0.006644,-1.3183),(6145,875,0.006984,-1.3182),(6145,885,0.007323,-1.3181),(6145,895,0.007714,-1.318),(6145,905,0.008186,-1.3178),(6145,915,0.008657,-1.3177),(6145,925,0.009129,-1.3176),(6145,935,0.009656,-1.3175),(6145,945,0.010256,-1.3174),(6145,955,0.010856,-1.3173),(6145,965,0.011456,-1.3171),(6145,975,0.012094,-1.317),(6145,985,0.012774,-1.3168),(6145,995,0.013455,-1.3166),(6145,1005,0.014135,-1.3162),(6145,1015,0.014858,-1.3158),(6145,1025,0.015622,-1.3155),(6145,1035,0.016386,-1.3149),(6145,1045,0.01715,-1.3142),(6145,1055,0.017988,-1.3135),(6145,1065,0.018887,-1.3127),(6145,1075,0.019786,-1.3118),(6145,1085,0.020685,-1.3108),(6145,1095,0.021708,-1.3097),(6145,1105,0.022815,-1.3087),(6145,1115,0.023923,-1.3072),(6145,1125,0.025031,-1.3055),(6145,1135,0.026253,-1.3039),(6145,1145,0.027543,-1.3022),(6145,1155,0.028832,-1.2998),(6145,1165,0.030122,-1.297),(6145,1175,0.031477,-1.2943),(6145,1185,0.032866,-1.2915),(6145,1195,0.034255,-1.2877),(6145,1205,0.035644,-1.2833),(6145,1215,0.037097,-1.2789),(6145,1225,0.038576,-1.2746),(6145,1235,0.040055,-1.2687),(6145,1245,0.041533,-1.2623),(6145,1255,0.042976,-1.2559),(6145,1265,0.044407,-1.2495),(6145,1275,0.045838,-1.2414),(6145,1285,0.047268,-1.2328),(6145,1295,0.043234,-1.2242),(6145,1305,0.037722,-1.2156),(6145,1315,0.03221,-1.2099),(6145,1325,0.026698,-1.2049),(6145,1335,0.016475,-1.1998),(6145,1345,0.005264,-1.1948),(6145,1355,-0.005947,-1.1972),(6145,1365,-0.017158,-1.2009),(6145,1375,-0.024598,-1.2046),(6145,1385,-0.031457,-1.2084),(6145,1395,-0.038315,-1.2164),(6145,1405,-0.045174,-1.2249),(6145,1415,-0.044652,-1.2335),(6145,1425,-0.043364,-1.242),(6145,1435,-0.042075,-1.2487),(6145,1445,-0.040787,-1.2552),(6145,1455,-0.039324,-1.2618),(6145,1465,-0.037851,-1.2683),(6145,1475,-0.036379,-1.2728),(6145,1485,-0.034906,-1.2771),(6145,1495,-0.033578,-1.2815),(6145,1505,-0.032251,-1.2859),(6145,1515,-0.030924,-1.2887),(6145,1525,-0.029601,-1.2915),(6145,1535,-0.02838,-1.2943),(6145,1545,-0.027159,-1.2971),(6145,1555,-0.025939,-1.2989),(6145,1565,-0.024725,-1.3006),(6145,1575,-0.023606,-1.3024),(6145,1585,-0.022487,-1.304),(6145,1595,-0.021368,-1.3049),(6145,1605,-0.020267,-1.3057),(6145,1615,-0.019317,-1.3065),(6145,1625,-0.018367,-1.3073),(6145,1635,-0.017417,-1.3077),(6145,1645,-0.016474,-1.3082),(6145,1655,-0.015578,-1.3087),(6145,1665,-0.014682,-1.3091),(6145,1675,-0.013786,-1.3095),(6145,1685,-0.012927,-1.3098),(6145,1695,-0.012232,-1.3102),(6145,1705,-0.011538,-1.3104),(6145,1715,-0.010844,-1.3103),(6145,1725,-0.010189,-1.3102),(6145,1735,-0.00967,-1.3101),(6145,1745,-0.009151,-1.31),(6145,1755,-0.008632,-1.3098),(6145,1765,-0.008126,-1.3097),(6145,1775,-0.007653,-1.3095),(6145,1785,-0.007181,-1.3093),(6145,1795,-0.006708,-1.3093),(6145,1805,-0.006253,-1.3092),(6145,1815,-0.005838,-1.3091),(6145,1825,-0.005423,-1.309),(6145,1835,-0.005008,-1.3089),(6145,1845,-0.004634,-1.3087),(6145,1855,-0.00434,-1.3085),(6145,1865,-0.004046,-1.3083),(6145,1875,-0.003752,-1.308),(6145,1885,-0.00349,-1.3077),(6145,1895,-0.003281,-1.3074),(6145,1905,-0.003072,-1.307),(6145,1915,-0.002863,-1.3067),(6145,1925,-0.002657,-1.3063),(6145,1935,-0.002457,-1.306),(6145,1945,-0.002257,-1.3057),(6145,1955,-0.002058,-1.3055),(6145,1965,-0.001866,-1.3053),(6145,1975,-0.001684,-1.3051),(6145,1985,-0.001503,-1.3049),(6145,1995,-0.001321,-1.3046),(6145,2005,-0.001154,-1.3043),(6145,2015,-0.001001,-1.304),(6145,2025,-0.000849,-1.3038),(6145,2035,-0.000696,-1.3035),(6145,2045,-0.000556,-1.3033),(6145,2055,-0.000428,-1.303),(6145,2065,-0.0003,-1.3028),(6145,2075,-0.000172,-1.3025),(6145,2085,-9.6e-05,-1.3023),(6145,2095,-5.9e-05,-1.302),(6145,2105,-2.1e-05,-1.3017),(6145,2115,1.6e-05,-1.3013),(6145,2125,4.9e-05,-1.3009),(6145,2135,7.8e-05,-1.3005),(6145,2145,0.000107,-1.3001),(6145,2155,0.000137,-1.2998),(6145,2165,0.000213,-1.2995),(6145,2175,0.000313,-1.2992),(6145,2185,0.000413,-1.2989),(6145,2195,0.000514,-1.2986),(6145,2205,0.000598,-1.2983),(6145,2215,0.000675,-1.298),(6145,2225,0.000753,-1.2976),(6145,2235,0.00083,-1.2972),(6145,2245,0.0009,-1.2968),(6145,2255,0.000967,-1.2964),(6145,2265,0.001035,-1.2961),(6145,2275,0.001102,-1.2957),(6145,2285,0.001178,-1.2954),(6145,2295,0.001256,-1.295),(6145,2305,0.001334,-1.2947),(6145,2315,0.001412,-1.2943),(6145,2325,0.001458,-1.2939),(6145,2335,0.001497,-1.2936),(6145,2345,0.001535,-1.2931),(6145,2355,0.001574,-1.2927),(6145,2365,0.001602,-1.2923),(6145,2375,0.001629,-1.2919),(6145,2385,0.001655,-1.2914),(6145,2395,0.001682,-1.291),(6145,2405,0.001715,-1.2905),(6145,2415,0.00175,-1.2901),(6145,2425,0.001784,-1.2896),(6145,2435,0.001818,-1.2892),(6145,2445,0.001868,-1.2887),(6145,2455,0.001918,-1.2882),(6145,2465,0.001969,-1.2879),(6145,2475,0.002019,-1.2875),(6145,2485,0.002095,-1.2871),(6145,2495,0.002171,-1.2867),(6145,2505,0.002248,-1.2863),(6145,2515,0.002324,-1.2858),(6145,2525,0.002372,-1.2854),(6145,2535,0.002421,-1.2849),(6145,2545,0.002469,-1.2844),(6145,2555,0.002515,-1.2838),(6145,2565,0.002527,-1.2832),(6145,2575,0.002539,-1.2827),(6145,2585,0.00255,-1.2821),(6145,2595,0.002564,-1.2815),(6145,2605,0.002594,-1.281),(6145,2615,0.002624,-1.2804),(6145,2625,0.002654,-1.2799),(6145,2635,0.002687,-1.2793),(6145,2645,0.002738,-1.2788),(6145,2655,0.00279,-1.2782),(6145,2665,0.002842,-1.2776),(6145,2675,0.002895,-1.277),(6145,2685,0.002955,-1.2764),(6145,2695,0.003016,-1.2758),(6145,2705,0.003076,-1.2753),(6145,2715,0.003134,-1.2748),(6145,2725,0.003184,-1.2743),(6145,2735,0.003234,-1.2737),(6145,2745,0.003284,-1.2731),(6145,2755,0.003322,-1.2725),(6145,2765,0.003326,-1.272),(6145,2775,0.003329,-1.2713),(6145,2785,0.003332,-1.2705),(6145,2795,0.003341,-1.2697),(6145,2805,0.003365,-1.2689),(6145,2815,0.003389,-1.2682),(6145,2825,0.003412,-1.2675),(6145,2835,0.003457,-1.2668),(6145,2845,0.003544,-1.2662),(6145,2855,0.003631,-1.2655),(6145,2865,0.003717,-1.2649),(6145,2875,0.003794,-1.2643),(6145,2885,0.003853,-1.2638),(6145,2895,0.003912,-1.2631),(6145,2905,0.003971,-1.2623),(6145,2915,0.004014,-1.2615),(6145,2925,0.004034,-1.2607),(6145,2935,0.004054,-1.2599),(6145,2945,0.004074,-1.2591),(6145,2955,0.004107,-1.2582),(6145,2965,0.004158,-1.2574),(6145,2975,0.004208,-1.2566),(6145,2985,0.004259,-1.2559),(6145,2995,0.004308,-1.2552),(6145,3005,0.004354,-1.2544),(6145,3015,0.004401,-1.2537),(6145,3025,0.004448,-1.2528),(6145,3035,0.004481,-1.252),(6145,3045,0.004502,-1.2512),(6145,3055,0.004524,-1.2503),(6145,3065,0.004545,-1.2494),(6145,3075,0.004578,-1.2485),(6145,3085,0.004619,-1.2477),(6145,3095,0.00466,-1.2468),(6145,3105,0.004702,-1.2459),(6145,3115,0.004755,-1.245),(6145,3125,0.004815,-1.2441),(6145,3135,0.004874,-1.2432),(6145,3145,0.004934,-1.2423),(6145,3155,0.00501,-1.2413),(6145,3165,0.005094,-1.2404),(6145,3175,0.005179,-1.2395),(6145,3185,0.005263,-1.2386),(6145,3195,0.00536,-1.2377),(6145,3205,0.005463,-1.2368),(6145,3215,0.005565,-1.2358),(6145,3225,0.005668,-1.2348),(6145,3235,0.005764,-1.2339),(6145,3245,0.005858,-1.2329),(6145,3255,0.005951,-1.2319),(6145,3265,0.006045,-1.2309),(6145,3275,0.006129,-1.2299),(6145,3285,0.00621,-1.2289),(6145,3295,0.006291,-1.2278),(6145,3305,0.006372,-1.2268),(6145,3315,0.006463,-1.2257),(6145,3325,0.006555,-1.2246),(6145,3335,0.006648,-1.2235),(6145,3345,0.00674,-1.2224),(6145,3355,0.00689,-1.2213),(6145,3365,0.00705,-1.2203),(6145,3375,0.00721,-1.2192),(6145,3385,0.00737,-1.2182),(6145,3395,0.007562,-1.2173),(6145,3405,0.007757,-1.2163),(6145,3415,0.007953,-1.2152),(6145,3425,0.008148,-1.2141),(6145,3435,0.008348,-1.213),(6145,3445,0.008549,-1.2119),(6145,3455,0.008749,-1.2107),(6145,3465,0.00895,-1.2096),(6145,3475,0.009173,-1.2084),(6145,3485,0.009397,-1.2072),(6145,3495,0.009621,-1.206),(6145,3505,0.009845,-1.2048),(6145,3515,0.010095,-1.2037),(6145,3525,0.010346,-1.2025),(6145,3535,0.010596,-1.2012),(6145,3545,0.010852,-1.2),(6145,3555,0.011229,-1.1988),(6145,3565,0.011606,-1.1975),(6145,3575,0.011983,-1.1962),(6145,3585,0.01237,-1.1948),(6145,3595,0.012864,-1.1935),(6145,3605,0.013358,-1.1922),(6145,3615,0.013853,-1.1908),(6145,3625,0.014351,-1.1894),(6145,3635,0.014878,-1.1879),(6145,3645,0.015404,-1.1865),(6145,3655,0.015931,-1.1849),(6145,3665,0.016465,-1.1834),(6145,3675,0.017037,-1.1818),(6145,3685,0.017608,-1.1802),(6145,3695,0.01818,-1.1785),(6145,3705,0.018772,-1.1768),(6145,3715,0.019441,-1.1751),(6145,3725,0.02011,-1.1733),(6145,3735,0.020779,-1.1712),(6145,3745,0.021457,-1.169),(6145,3755,0.022167,-1.1669),(6145,3765,0.022876,-1.1647),(6145,3775,0.023585,-1.1621),(6145,3785,0.024335,-1.1596),(6145,3795,0.025188,-1.1571),(6145,3805,0.02604,-1.1543),(6145,3815,0.026892,-1.1512),(6145,3825,0.027761,-1.148),(6145,3835,0.028663,-1.1448),(6145,3845,0.029566,-1.1414),(6145,3855,0.030468,-1.1375),(6145,3865,0.031404,-1.1335),(6145,3875,0.032401,-1.1296),(6145,3885,0.033398,-1.1252),(6145,3895,0.034394,-1.1201),(6145,3905,0.035416,-1.115),(6145,3915,0.036475,-1.1099),(6145,3925,0.037533,-1.1042),(6145,3935,0.038592,-1.0976),(6145,3945,0.039587,-1.091),(6145,3955,0.040502,-1.0845),(6145,3965,0.041416,-1.0774),(6145,3975,0.042331,-1.0698),(6145,3985,0.041611,-1.0621),(6145,3995,0.039121,-1.0545),(6145,4005,0.036631,-1.0474),(6145,4015,0.034141,-1.0408),(6145,4025,0.12707,-1.0343),(6145,4035,0.22934,-1.0295),(6145,4045,0.33161,-1.0285),(6145,4055,0.4092,-1.0275),(6145,4065,0.47779,-1.0264),(6145,4075,0.54638,-1.0246),(6145,4085,0.57751,-1.0228),(6145,4095,0.57854,-1.0209),(6145,4105,0.57956,-1.0191),(6145,4115,0.5806,-1.0173),(6145,4125,0.58168,-1.0155),(6145,4135,0.58276,-1.0137),(6145,4145,0.58385,-1.012),(6145,4155,0.58497,-1.0103),(6145,4165,0.5861,-1.0085),(6145,4175,0.58722,-1.0067),(6145,4185,0.5884,-1.0048),(6145,4195,0.58957,-1.003),(6145,4205,0.59075,-1.0012),(6145,4215,0.59198,-0.99935),(6145,4225,0.59323,-0.99753),(6145,4235,0.59447,-0.99576),(6145,4245,0.59576,-0.99398),(6145,4255,0.59708,-0.9922),(6145,4265,0.59839,-0.99034),(6145,4275,0.59975,-0.98848),(6145,4285,0.60114,-0.98662),(6145,4295,0.60253,-0.98471),(6145,4305,0.60394,-0.9828),(6145,4315,0.60542,-0.98088),(6145,4325,0.60689,-0.97898),(6145,4335,0.60838,-0.97709),(6145,4345,0.60996,-0.97519),(6145,4355,0.61153,-0.97326),(6145,4365,0.61311,-0.97128),(6145,4375,0.61478,-0.9693),(6145,4385,0.61645,-0.96732),(6145,4395,0.61813,-0.96534),(6145,4405,0.61988,-0.96335),(6145,4415,0.62165,-0.96135),(6145,4425,0.62342,-0.95927),(6145,4435,0.62524,-0.9572),(6145,4445,0.62708,-0.95512),(6145,4455,0.62893,-0.95298),(6145,4465,0.6308,-0.95084),(6145,4475,0.6327,-0.94869),(6145,4485,0.6346,-0.94646),(6145,4495,0.63652,-0.94422),(6145,4505,0.63848,-0.94197),(6145,4515,0.64044,-0.93971),(6145,4525,0.64241,-0.93744),(6145,4535,0.64445,-0.93517),(6145,4545,0.64648,-0.93288),(6145,4555,0.64852,-0.93057),(6145,4565,0.65064,-0.92827),(6145,4575,0.65277,-0.92592),(6145,4585,0.6549,-0.92348),(6145,4595,0.65709,-0.92104),(6145,4605,0.6593,-0.91858),(6145,4615,0.66151,-0.91602),(6145,4625,0.66375,-0.91345),(6145,4635,0.66602,-0.91089),(6145,4645,0.66829,-0.90827),(6145,4655,0.67057,-0.90565),(6145,4665,0.67289,-0.90302),(6145,4675,0.67521,-0.90036),(6145,4685,0.67754,-0.89769),(6145,4695,0.67991,-0.89501),(6145,4705,0.68229,-0.89226),(6145,4715,0.68466,-0.88946),(6145,4725,0.68709,-0.88666),(6145,4735,0.68953,-0.88381),(6145,4745,0.69196,-0.88089),(6145,4755,0.69444,-0.87796),(6145,4765,0.69693,-0.87502),(6145,4775,0.69942,-0.87203),(6145,4785,0.70194,-0.86904),(6145,4795,0.70448,-0.86604),(6145,4805,0.70702,-0.86296),(6145,4815,0.70957,-0.85989),(6145,4825,0.71214,-0.85682),(6145,4835,0.71471,-0.85366),(6145,4845,0.71728,-0.8505),(6145,4855,0.71987,-0.84733),(6145,4865,0.72246,-0.84409),(6145,4875,0.72505,-0.84083),(6145,4885,0.72765,-0.83757),(6145,4895,0.73025,-0.83426),(6145,4905,0.73285,-0.83089),(6145,4915,0.73546,-0.82753),(6145,4925,0.73808,-0.82413),(6145,4935,0.74069,-0.82068),(6145,4945,0.74331,-0.81722),(6145,4955,0.74595,-0.81375),(6145,4965,0.74858,-0.81022),(6145,4975,0.75122,-0.80668),(6145,4985,0.75388,-0.80315),(6145,4995,0.75654,-0.79955),(6145,5005,0.7592,-0.79595),(6145,5015,0.76188,-0.79235),(6145,5025,0.76455,-0.7887),(6145,5035,0.76723,-0.78504),(6145,5045,0.76991,-0.78137),(6145,5055,0.7726,-0.77766),(6145,5065,0.77528,-0.77392),(6145,5075,0.77795,-0.77018),(6145,5085,0.78062,-0.76639),(6145,5095,0.78329,-0.76253),(6145,5105,0.78594,-0.75868),(6145,5115,0.78859,-0.7548),(6145,5125,0.79123,-0.75084),(6145,5135,0.79387,-0.74689),(6145,5145,0.7965,-0.74292),(6145,5155,0.79913,-0.7389),(6145,5165,0.80176,-0.73487),(6145,5175,0.80438,-0.73084),(6145,5185,0.807,-0.72675),(6145,5195,0.80962,-0.72266),(6145,5205,0.81223,-0.71856),(6145,5215,0.81485,-0.71443),(6145,5225,0.81747,-0.71028),(6145,5235,0.82008,-0.70613),(6145,5245,0.8227,-0.70196),(6145,5255,0.82532,-0.69778),(6145,5265,0.82793,-0.69361),(6145,5275,0.83054,-0.68941),(6145,5285,0.83315,-0.68516),(6145,5295,0.83573,-0.68092),(6145,5305,0.8383,-0.67665),(6145,5315,0.84087,-0.67229),(6145,5325,0.84341,-0.66793),(6145,5335,0.84593,-0.66357),(6145,5345,0.84845,-0.65911),(6145,5355,0.85095,-0.65465),(6145,5365,0.85343,-0.65019),(6145,5375,0.85591,-0.64568),(6145,5385,0.85838,-0.64116),(6145,5395,0.86083,-0.63664),(6145,5405,0.86328,-0.63208),(6145,5415,0.86574,-0.6275),(6145,5425,0.86817,-0.62293),(6145,5435,0.87061,-0.61833),(6145,5445,0.87305,-0.61372),(6145,5455,0.87548,-0.60912),(6145,5465,0.87791,-0.60451),(6145,5475,0.88033,-0.5999),(6145,5485,0.88276,-0.5953),(6145,5495,0.88518,-0.59069),(6145,5505,0.88761,-0.58605),(6145,5515,0.89002,-0.58141),(6145,5525,0.89241,-0.57678),(6145,5535,0.8948,-0.57206),(6145,5545,0.89718,-0.56733),(6145,5555,0.8995,-0.56261),(6145,5565,0.90183,-0.55781),(6145,5575,0.90415,-0.55299),(6145,5585,0.90641,-0.54817),(6145,5595,0.90866,-0.54329),(6145,5605,0.91092,-0.53838),(6145,5615,0.91312,-0.53347),(6145,5625,0.91532,-0.52854),(6145,5635,0.91752,-0.52357),(6145,5645,0.91969,-0.5186),(6145,5655,0.92185,-0.51362),(6145,5665,0.92401,-0.50863),(6145,5675,0.92615,-0.50364),(6145,5685,0.92827,-0.49865),(6145,5695,0.93039,-0.49365),(6145,5705,0.9325,-0.48864),(6145,5715,0.93458,-0.48364),(6145,5725,0.93667,-0.47857),(6145,5735,0.93874,-0.47349),(6145,5745,0.94077,-0.46842),(6145,5755,0.94281,-0.46329),(6145,5765,0.94484,-0.45816),(6145,5775,0.94682,-0.45302),(6145,5785,0.9488,-0.44785),(6145,5795,0.95078,-0.44266),(6145,5805,0.95271,-0.43747),(6145,5815,0.95463,-0.43227),(6145,5825,0.95655,-0.42704),(6145,5835,0.95843,-0.42181),(6145,5845,0.9603,-0.41657),(6145,5855,0.96216,-0.41132),(6145,5865,0.96399,-0.40607),(6145,5875,0.9658,-0.40082),(6145,5885,0.9676,-0.39554),(6145,5895,0.96938,-0.39026),(6145,5905,0.97112,-0.38498),(6145,5915,0.97285,-0.37965),(6145,5925,0.97457,-0.37431),(6145,5935,0.97623,-0.36897),(6145,5945,0.97789,-0.36359),(6145,5955,0.97955,-0.35819),(6145,5965,0.98116,-0.35279),(6145,5975,0.98276,-0.34737),(6145,5985,0.98437,-0.34193),(6145,5995,0.98594,-0.3365),(6145,6005,0.9875,-0.33104),(6145,6015,0.98906,-0.32554),(6145,6025,0.99059,-0.32004),(6145,6035,0.9921,-0.31455),(6145,6045,0.99361,-0.30905),(6145,6055,0.99509,-0.30356),(6145,6065,0.99654,-0.29807),(6145,6075,0.99798,-0.29263),(6145,6085,0.9994,-0.28719),(6145,6095,1.0007,-0.28175),(6145,6105,1.0021,-0.27625),(6145,6115,1.0034,-0.27073),(6145,6125,1.0047,-0.26522),(6145,6135,1.0059,-0.25963),(6145,6145,1.0072,-0.254),(6145,6155,1.0084,-0.24837),(6145,6165,1.0095,-0.24272),(6145,6175,1.0107,-0.23706),(6145,6185,1.0118,-0.23141),(6145,6195,1.0129,-0.22574),(6145,6205,1.014,-0.22007),(6145,6215,1.0151,-0.21439),(6145,6225,1.0161,-0.20871),(6145,6235,1.0171,-0.20301),(6145,6245,1.0181,-0.19731),(6145,6255,1.0191,-0.19161),(6145,6265,1.02,-0.18592),(6145,6275,1.0209,-0.18024),(6145,6285,1.0218,-0.17455),(6145,6295,1.0227,-0.16886),(6145,6305,1.0235,-0.16317),(6145,6315,1.0243,-0.15748),(6145,6325,1.025,-0.15172),(6145,6335,1.0258,-0.14588),(6145,6345,1.0265,-0.14005),(6145,6355,1.0272,-0.13423),(6145,6365,1.0278,-0.12846),(6145,6375,1.0284,-0.12268),(6145,6385,1.029,-0.11692),(6145,6395,1.0296,-0.11122),(6145,6405,1.0302,-0.10552),(6145,6415,1.0307,-0.099814),(6145,6425,1.0313,-0.094077),(6145,6435,1.0318,-0.088339),(6145,6445,1.0322,-0.0826),(6145,6455,1.0327,-0.076859),(6145,6465,1.0331,-0.071117),(6145,6475,1.0334,-0.065375),(6145,6485,1.0338,-0.05958),(6145,6495,1.0341,-0.053749),(6145,6505,1.0344,-0.047918),(6145,6515,1.0346,-0.042048),(6145,6525,1.0349,-0.036125),(6145,6535,1.035,-0.030201),(6145,6545,1.0352,-0.024317),(6145,6555,1.0353,-0.018555),(6145,6565,1.0354,-0.012794),(6145,6575,1.0355,-0.007031),(6145,6585,1.0356,-0.001249),(6145,6595,0.8808,0.004533),(6145,6605,0.55505,0.010315),(6145,6615,0.2293,0.010974),(6145,6625,0.000318,0.010974),(6145,6635,0.000351,0.010975),(6145,6645,0.000385,0.010976),(6145,6655,0.000418,0.010978),(6145,6665,0.000451,0.01098),(6145,6675,0.000483,0.010982),(6145,6685,0.000516,0.010983),(6145,6695,0.000549,0.010985),(6145,6705,0.000582,0.010986),(6145,6715,0.000614,0.010986),(6145,6725,0.000647,0.010986),(6145,6735,0.000679,0.010987),(6145,6745,0.000712,0.010986),(6145,6755,0.000744,0.010986),(6145,6765,0.000776,0.010985),(6145,6775,0.000808,0.010984),(6145,6785,0.00084,0.010983),(6145,6795,0.000871,0.010981),(6145,6805,0.000903,0.010979),(6145,6815,0.000934,0.010977),(6145,6825,0.000965,0.010975),(6145,6835,0.000997,0.010972),(6145,6845,0.001028,0.010969),(6145,6855,0.001058,0.010966),(6145,6865,0.001089,0.010963),(6145,6875,0.00112,0.010959),(6145,6885,0.00115,0.010955),(6145,6895,0.00118,0.010951),(6145,6905,0.00121,0.010946),(6145,6915,0.00124,0.010941),(6145,6925,0.001269,0.010937),(6145,6935,0.001299,0.010931),(6145,6945,0.001328,0.010926),(6145,6955,0.001357,0.01092),(6145,6965,0.001386,0.010914),(6145,6975,0.001415,0.010907),(6145,6985,0.001443,0.010901),(6155,5,-4e-06,-1.32),(6155,15,-1.1e-05,-1.3199),(6155,25,0,-1.3198),(6155,35,2.6e-05,-1.3197),(6155,45,5.2e-05,-1.3196),(6155,55,7.9e-05,-1.3196),(6155,65,0.000118,-1.3196),(6155,75,0.000168,-1.3197),(6155,85,0.000217,-1.3196),(6155,95,0.000267,-1.3196),(6155,105,0.000289,-1.3195),(6155,115,0.000294,-1.3195),(6155,125,0.000298,-1.3194),(6155,135,0.000302,-1.3194),(6155,145,0.000294,-1.3193),(6155,155,0.000279,-1.3193),(6155,165,0.000265,-1.3193),(6155,175,0.00025,-1.3192),(6155,185,0.000238,-1.3192),(6155,195,0.000228,-1.3192),(6155,205,0.000218,-1.3192),(6155,215,0.000208,-1.3192),(6155,225,0.000208,-1.3192),(6155,235,0.000212,-1.3192),(6155,245,0.000216,-1.3192),(6155,255,0.00022,-1.3192),(6155,265,0.000242,-1.3192),(6155,275,0.000269,-1.3192),(6155,285,0.000297,-1.3192),(6155,295,0.000324,-1.3192),(6155,305,0.000385,-1.3192),(6155,315,0.000454,-1.3192),(6155,325,0.000522,-1.3192),(6155,335,0.000591,-1.3193),(6155,345,0.000642,-1.3193),(6155,355,0.00069,-1.3193),(6155,365,0.000738,-1.3193),(6155,375,0.000786,-1.3193),(6155,385,0.000813,-1.3193),(6155,395,0.000838,-1.3193),(6155,405,0.000863,-1.3192),(6155,415,0.000887,-1.3191),(6155,425,0.000932,-1.319),(6155,435,0.000978,-1.3189),(6155,445,0.001024,-1.319),(6155,455,0.001071,-1.319),(6155,465,0.001134,-1.319),(6155,475,0.001198,-1.319),(6155,485,0.001262,-1.319),(6155,495,0.001326,-1.3189),(6155,505,0.001381,-1.3189),(6155,515,0.001436,-1.3189),(6155,525,0.001491,-1.3189),(6155,535,0.001546,-1.3188),(6155,545,0.00159,-1.3188),(6155,555,0.001635,-1.3188),(6155,565,0.001679,-1.3187),(6155,575,0.001726,-1.3187),(6155,585,0.001796,-1.3187),(6155,595,0.001867,-1.3186),(6155,605,0.001938,-1.3187),(6155,615,0.002012,-1.3187),(6155,625,0.002108,-1.3188),(6155,635,0.002204,-1.3188),(6155,645,0.0023,-1.3188),(6155,655,0.002397,-1.3189),(6155,665,0.002498,-1.3189),(6155,675,0.002599,-1.3189),(6155,685,0.0027,-1.3188),(6155,695,0.00281,-1.3188),(6155,705,0.002963,-1.3187),(6155,715,0.003115,-1.3187),(6155,725,0.003267,-1.3187),(6155,735,0.003427,-1.3187),(6155,745,0.003611,-1.3187),(6155,755,0.003795,-1.3187),(6155,765,0.00398,-1.3187),(6155,775,0.004175,-1.3187),(6155,785,0.004402,-1.3187),(6155,795,0.004629,-1.3186),(6155,805,0.004855,-1.3186),(6155,815,0.005101,-1.3186),(6155,825,0.005387,-1.3185),(6155,835,0.005672,-1.3185),(6155,845,0.005959,-1.3184),(6155,855,0.006259,-1.3183),(6155,865,0.006585,-1.3182),(6155,875,0.006912,-1.3181),(6155,885,0.007239,-1.3179),(6155,895,0.00761,-1.3178),(6155,905,0.008051,-1.3177),(6155,915,0.008493,-1.3175),(6155,925,0.008934,-1.3174),(6155,935,0.009429,-1.3173),(6155,945,0.009997,-1.3171),(6155,955,0.010564,-1.317),(6155,965,0.011132,-1.3168),(6155,975,0.011738,-1.3167),(6155,985,0.012389,-1.3165),(6155,995,0.013039,-1.3163),(6155,1005,0.01369,-1.3159),(6155,1015,0.014371,-1.3155),(6155,1025,0.015081,-1.3152),(6155,1035,0.015791,-1.3146),(6155,1045,0.016501,-1.3139),(6155,1055,0.017247,-1.3131),(6155,1065,0.018023,-1.3124),(6155,1075,0.018798,-1.3115),(6155,1085,0.019574,-1.3104),(6155,1095,0.020432,-1.3093),(6155,1105,0.021349,-1.3083),(6155,1115,0.022266,-1.3068),(6155,1125,0.023183,-1.3051),(6155,1135,0.024155,-1.3034),(6155,1145,0.025159,-1.3017),(6155,1155,0.026163,-1.2994),(6155,1165,0.027167,-1.2966),(6155,1175,0.028163,-1.2939),(6155,1185,0.029155,-1.2911),(6155,1195,0.030148,-1.2873),(6155,1205,0.03114,-1.283),(6155,1215,0.032121,-1.2786),(6155,1225,0.033098,-1.2743),(6155,1235,0.034075,-1.2684),(6155,1245,0.035052,-1.2621),(6155,1255,0.035982,-1.2557),(6155,1265,0.036896,-1.2493),(6155,1275,0.037809,-1.2412),(6155,1285,0.038723,-1.2327),(6155,1295,0.035299,-1.2241),(6155,1305,0.030702,-1.2156),(6155,1315,0.026105,-1.2099),(6155,1325,0.021508,-1.2049),(6155,1335,0.013291,-1.1998),(6155,1345,0.004316,-1.1948),(6155,1355,-0.004659,-1.1971),(6155,1365,-0.013634,-1.2008),(6155,1375,-0.019651,-1.2045),(6155,1385,-0.025212,-1.2082),(6155,1395,-0.030772,-1.2162),(6155,1405,-0.036332,-1.2248),(6155,1415,-0.036143,-1.2333),(6155,1425,-0.035356,-1.2419),(6155,1435,-0.03457,-1.2485),(6155,1445,-0.033784,-1.255),(6155,1455,-0.03284,-1.2615),(6155,1465,-0.031888,-1.268),(6155,1475,-0.030935,-1.2725),(6155,1485,-0.029982,-1.2768),(6155,1495,-0.029071,-1.2812),(6155,1505,-0.028161,-1.2856),(6155,1515,-0.02725,-1.2884),(6155,1525,-0.02634,-1.2912),(6155,1535,-0.025422,-1.294),(6155,1545,-0.024504,-1.2967),(6155,1555,-0.023586,-1.2985),(6155,1565,-0.022667,-1.3002),(6155,1575,-0.02173,-1.302),(6155,1585,-0.020793,-1.3036),(6155,1595,-0.019856,-1.3045),(6155,1605,-0.018933,-1.3053),(6155,1615,-0.018124,-1.3061),(6155,1625,-0.017316,-1.3069),(6155,1635,-0.016507,-1.3074),(6155,1645,-0.015698,-1.3078),(6155,1655,-0.014883,-1.3083),(6155,1665,-0.014068,-1.3087),(6155,1675,-0.013253,-1.3091),(6155,1685,-0.012462,-1.3095),(6155,1695,-0.011776,-1.3098),(6155,1705,-0.011089,-1.3101),(6155,1715,-0.010403,-1.31),(6155,1725,-0.009759,-1.31),(6155,1735,-0.009264,-1.3099),(6155,1745,-0.008769,-1.3098),(6155,1755,-0.008273,-1.3096),(6155,1765,-0.007797,-1.3095),(6155,1775,-0.007377,-1.3093),(6155,1785,-0.006956,-1.3092),(6155,1795,-0.006535,-1.3091),(6155,1805,-0.006121,-1.309),(6155,1815,-0.005723,-1.309),(6155,1825,-0.005325,-1.3089),(6155,1835,-0.004926,-1.3087),(6155,1845,-0.004556,-1.3085),(6155,1855,-0.004241,-1.3084),(6155,1865,-0.003926,-1.3082),(6155,1875,-0.003611,-1.3079),(6155,1885,-0.003337,-1.3076),(6155,1895,-0.003128,-1.3073),(6155,1905,-0.00292,-1.307),(6155,1915,-0.002712,-1.3066),(6155,1925,-0.002518,-1.3063),(6155,1935,-0.002345,-1.3059),(6155,1945,-0.002172,-1.3057),(6155,1955,-0.001998,-1.3055),(6155,1965,-0.001831,-1.3053),(6155,1975,-0.001671,-1.305),(6155,1985,-0.001511,-1.3048),(6155,1995,-0.001352,-1.3045),(6155,2005,-0.001199,-1.3042),(6155,2015,-0.001054,-1.3039),(6155,2025,-0.00091,-1.3037),(6155,2035,-0.000765,-1.3034),(6155,2045,-0.000621,-1.3032),(6155,2055,-0.000476,-1.3029),(6155,2065,-0.000332,-1.3027),(6155,2075,-0.000188,-1.3024),(6155,2085,-9.4e-05,-1.3022),(6155,2095,-3.7e-05,-1.302),(6155,2105,2.1e-05,-1.3017),(6155,2115,7.8e-05,-1.3013),(6155,2125,0.000113,-1.3009),(6155,2135,0.000133,-1.3005),(6155,2145,0.000154,-1.3001),(6155,2155,0.000175,-1.2998),(6155,2165,0.000241,-1.2995),(6155,2175,0.00033,-1.2992),(6155,2185,0.000419,-1.2989),(6155,2195,0.000509,-1.2986),(6155,2205,0.000592,-1.2983),(6155,2215,0.000673,-1.298),(6155,2225,0.000753,-1.2976),(6155,2235,0.000834,-1.2972),(6155,2245,0.000903,-1.2968),(6155,2255,0.000968,-1.2964),(6155,2265,0.001034,-1.296),(6155,2275,0.001099,-1.2957),(6155,2285,0.001169,-1.2953),(6155,2295,0.001241,-1.295),(6155,2305,0.001313,-1.2946),(6155,2315,0.001385,-1.2942),(6155,2325,0.001428,-1.2939),(6155,2335,0.001464,-1.2935),(6155,2345,0.0015,-1.2931),(6155,2355,0.001536,-1.2927),(6155,2365,0.001563,-1.2923),(6155,2375,0.001589,-1.2919),(6155,2385,0.001615,-1.2914),(6155,2395,0.001642,-1.291),(6155,2405,0.001675,-1.2905),(6155,2415,0.001709,-1.2901),(6155,2425,0.001743,-1.2896),(6155,2435,0.001777,-1.2892),(6155,2445,0.001821,-1.2887),(6155,2455,0.001864,-1.2882),(6155,2465,0.001908,-1.2878),(6155,2475,0.001952,-1.2875),(6155,2485,0.002018,-1.2871),(6155,2495,0.002085,-1.2867),(6155,2505,0.002151,-1.2862),(6155,2515,0.002218,-1.2858),(6155,2525,0.002263,-1.2854),(6155,2535,0.002309,-1.2849),(6155,2545,0.002355,-1.2844),(6155,2555,0.002399,-1.2838),(6155,2565,0.002412,-1.2832),(6155,2575,0.002424,-1.2827),(6155,2585,0.002437,-1.2821),(6155,2595,0.002451,-1.2815),(6155,2605,0.002481,-1.281),(6155,2615,0.002511,-1.2804),(6155,2625,0.002541,-1.2798),(6155,2635,0.002575,-1.2793),(6155,2645,0.002635,-1.2787),(6155,2655,0.002694,-1.2782),(6155,2665,0.002753,-1.2776),(6155,2675,0.002816,-1.277),(6155,2685,0.002893,-1.2764),(6155,2695,0.00297,-1.2758),(6155,2705,0.003047,-1.2753),(6155,2715,0.003123,-1.2747),(6155,2725,0.003192,-1.2742),(6155,2735,0.003262,-1.2737),(6155,2745,0.003331,-1.2731),(6155,2755,0.003385,-1.2725),(6155,2765,0.003393,-1.272),(6155,2775,0.003401,-1.2713),(6155,2785,0.00341,-1.2705),(6155,2795,0.003418,-1.2697),(6155,2805,0.003425,-1.269),(6155,2815,0.003432,-1.2682),(6155,2825,0.003439,-1.2675),(6155,2835,0.003469,-1.2668),(6155,2845,0.003544,-1.2661),(6155,2855,0.00362,-1.2655),(6155,2865,0.003695,-1.2649),(6155,2875,0.003764,-1.2643),(6155,2885,0.003822,-1.2637),(6155,2895,0.00388,-1.2631),(6155,2905,0.003938,-1.2623),(6155,2915,0.003978,-1.2615),(6155,2925,0.003994,-1.2607),(6155,2935,0.004011,-1.2599),(6155,2945,0.004027,-1.2591),(6155,2955,0.004058,-1.2582),(6155,2965,0.004106,-1.2574),(6155,2975,0.004155,-1.2566),(6155,2985,0.004203,-1.2559),(6155,2995,0.004255,-1.2551),(6155,3005,0.004308,-1.2544),(6155,3015,0.004362,-1.2536),(6155,3025,0.004416,-1.2528),(6155,3035,0.004454,-1.252),(6155,3045,0.00448,-1.2512),(6155,3055,0.004505,-1.2503),(6155,3065,0.004531,-1.2494),(6155,3075,0.004567,-1.2485),(6155,3085,0.004611,-1.2476),(6155,3095,0.004655,-1.2467),(6155,3105,0.004699,-1.2458),(6155,3115,0.004757,-1.2449),(6155,3125,0.004823,-1.244),(6155,3135,0.004888,-1.2431),(6155,3145,0.004954,-1.2422),(6155,3155,0.005032,-1.2413),(6155,3165,0.005117,-1.2404),(6155,3175,0.005201,-1.2395),(6155,3185,0.005285,-1.2386),(6155,3195,0.005381,-1.2376),(6155,3205,0.005481,-1.2367),(6155,3215,0.005581,-1.2358),(6155,3225,0.005681,-1.2348),(6155,3235,0.005778,-1.2338),(6155,3245,0.005874,-1.2328),(6155,3255,0.005969,-1.2319),(6155,3265,0.006065,-1.2308),(6155,3275,0.006147,-1.2298),(6155,3285,0.006224,-1.2288),(6155,3295,0.006301,-1.2278),(6155,3305,0.006379,-1.2267),(6155,3315,0.006447,-1.2257),(6155,3325,0.006513,-1.2246),(6155,3335,0.006579,-1.2235),(6155,3345,0.006646,-1.2224),(6155,3355,0.006772,-1.2213),(6155,3365,0.006908,-1.2202),(6155,3375,0.007045,-1.2192),(6155,3385,0.007182,-1.2182),(6155,3395,0.007375,-1.2171),(6155,3405,0.007576,-1.2161),(6155,3415,0.007776,-1.2151),(6155,3425,0.007976,-1.214),(6155,3435,0.008187,-1.2129),(6155,3445,0.008399,-1.2118),(6155,3455,0.008611,-1.2106),(6155,3465,0.008823,-1.2094),(6155,3475,0.009055,-1.2083),(6155,3485,0.009287,-1.2071),(6155,3495,0.00952,-1.2059),(6155,3505,0.009752,-1.2047),(6155,3515,0.009996,-1.2036),(6155,3525,0.01024,-1.2024),(6155,3535,0.010484,-1.2011),(6155,3545,0.010733,-1.1999),(6155,3555,0.011087,-1.1986),(6155,3565,0.01144,-1.1973),(6155,3575,0.011794,-1.196),(6155,3585,0.012159,-1.1946),(6155,3595,0.012643,-1.1933),(6155,3605,0.013127,-1.1919),(6155,3615,0.013611,-1.1905),(6155,3625,0.014096,-1.1891),(6155,3635,0.01459,-1.1877),(6155,3645,0.015084,-1.1862),(6155,3655,0.015579,-1.1847),(6155,3665,0.016076,-1.1831),(6155,3675,0.016585,-1.1815),(6155,3685,0.017095,-1.1799),(6155,3695,0.017605,-1.1782),(6155,3705,0.01814,-1.1765),(6155,3715,0.018775,-1.1747),(6155,3725,0.019411,-1.1729),(6155,3735,0.020046,-1.1708),(6155,3745,0.020672,-1.1687),(6155,3755,0.02127,-1.1666),(6155,3765,0.021868,-1.1644),(6155,3775,0.022465,-1.1618),(6155,3785,0.023092,-1.1593),(6155,3795,0.023791,-1.1567),(6155,3805,0.02449,-1.154),(6155,3815,0.02519,-1.1508),(6155,3825,0.02588,-1.1477),(6155,3835,0.026549,-1.1445),(6155,3845,0.027219,-1.1411),(6155,3855,0.027889,-1.1372),(6155,3865,0.028572,-1.1332),(6155,3875,0.029278,-1.1293),(6155,3885,0.029985,-1.1249),(6155,3895,0.030691,-1.1198),(6155,3905,0.031405,-1.1147),(6155,3915,0.03213,-1.1096),(6155,3925,0.032854,-1.1039),(6155,3935,0.033578,-1.0974),(6155,3945,0.034246,-1.0908),(6155,3955,0.034841,-1.0842),(6155,3965,0.035436,-1.0772),(6155,3975,0.036031,-1.0696),(6155,3985,0.035295,-1.0619),(6155,3995,0.033119,-1.0543),(6155,4005,0.030943,-1.0472),(6155,4015,0.028767,-1.0407),(6155,4025,0.12273,-1.0342),(6155,4035,0.22609,-1.0295),(6155,4045,0.32945,-1.0284),(6155,4055,0.40708,-1.0274),(6155,4065,0.47531,-1.0263),(6155,4075,0.54355,-1.0245),(6155,4085,0.57451,-1.0227),(6155,4095,0.57553,-1.0209),(6155,4105,0.57654,-1.019),(6155,4115,0.57758,-1.0172),(6155,4125,0.57865,-1.0154),(6155,4135,0.57972,-1.0136),(6155,4145,0.58081,-1.0119),(6155,4155,0.58192,-1.0101),(6155,4165,0.58304,-1.0083),(6155,4175,0.58417,-1.0065),(6155,4185,0.58533,-1.0047),(6155,4195,0.5865,-1.0029),(6155,4205,0.58767,-1.001),(6155,4215,0.5889,-0.99919),(6155,4225,0.59014,-0.99735),(6155,4235,0.59138,-0.99556),(6155,4245,0.59266,-0.99377),(6155,4255,0.59397,-0.99198),(6155,4265,0.59528,-0.9901),(6155,4275,0.59662,-0.98823),(6155,4285,0.598,-0.98635),(6155,4295,0.59938,-0.98443),(6155,4305,0.60079,-0.98251),(6155,4315,0.60225,-0.98058),(6155,4325,0.60371,-0.97867),(6155,4335,0.60518,-0.97677),(6155,4345,0.60674,-0.97486),(6155,4355,0.6083,-0.97292),(6155,4365,0.60985,-0.97093),(6155,4375,0.6115,-0.96895),(6155,4385,0.61316,-0.96696),(6155,4395,0.61481,-0.96496),(6155,4405,0.61654,-0.96296),(6155,4415,0.6183,-0.96095),(6155,4425,0.62005,-0.95886),(6155,4435,0.62185,-0.95678),(6155,4445,0.62368,-0.9547),(6155,4455,0.6255,-0.95255),(6155,4465,0.62735,-0.95039),(6155,4475,0.62924,-0.94824),(6155,4485,0.63112,-0.946),(6155,4495,0.63302,-0.94375),(6155,4505,0.63495,-0.9415),(6155,4515,0.63688,-0.93922),(6155,4525,0.63882,-0.93694),(6155,4535,0.64083,-0.93466),(6155,4545,0.64284,-0.93236),(6155,4555,0.64485,-0.93003),(6155,4565,0.64693,-0.92771),(6155,4575,0.64903,-0.92535),(6155,4585,0.65113,-0.9229),(6155,4595,0.65329,-0.92045),(6155,4605,0.65547,-0.91798),(6155,4615,0.65764,-0.91542),(6155,4625,0.65986,-0.91285),(6155,4635,0.6621,-0.91028),(6155,4645,0.66434,-0.90766),(6155,4655,0.6666,-0.90504),(6155,4665,0.66889,-0.90241),(6155,4675,0.67118,-0.89975),(6155,4685,0.67348,-0.89707),(6155,4695,0.67583,-0.8944),(6155,4705,0.67817,-0.89165),(6155,4715,0.68052,-0.88884),(6155,4725,0.68292,-0.88604),(6155,4735,0.68532,-0.88319),(6155,4745,0.68772,-0.88026),(6155,4755,0.69017,-0.87733),(6155,4765,0.69262,-0.87439),(6155,4775,0.69508,-0.87139),(6155,4785,0.69756,-0.86839),(6155,4795,0.70007,-0.86539),(6155,4805,0.70257,-0.86231),(6155,4815,0.70508,-0.85924),(6155,4825,0.70762,-0.85617),(6155,4835,0.71016,-0.85301),(6155,4845,0.7127,-0.84984),(6155,4855,0.71526,-0.84667),(6155,4865,0.71782,-0.84344),(6155,4875,0.72038,-0.84019),(6155,4885,0.72296,-0.83693),(6155,4895,0.72553,-0.83362),(6155,4905,0.72811,-0.83026),(6155,4915,0.73069,-0.8269),(6155,4925,0.73327,-0.82351),(6155,4935,0.73586,-0.82005),(6155,4945,0.73845,-0.81659),(6155,4955,0.74105,-0.81313),(6155,4965,0.74365,-0.80959),(6155,4975,0.74626,-0.80606),(6155,4985,0.74888,-0.80253),(6155,4995,0.7515,-0.79893),(6155,5005,0.75413,-0.79533),(6155,5015,0.75677,-0.79173),(6155,5025,0.75942,-0.78807),(6155,5035,0.76206,-0.78441),(6155,5045,0.76472,-0.78074),(6155,5055,0.76738,-0.77704),(6155,5065,0.77004,-0.7733),(6155,5075,0.77269,-0.76956),(6155,5085,0.77535,-0.76578),(6155,5095,0.778,-0.76193),(6155,5105,0.78063,-0.75809),(6155,5115,0.78326,-0.75421),(6155,5125,0.78589,-0.75027),(6155,5135,0.7885,-0.74633),(6155,5145,0.79111,-0.74237),(6155,5155,0.79372,-0.73836),(6155,5165,0.79631,-0.73434),(6155,5175,0.7989,-0.73032),(6155,5185,0.80149,-0.72623),(6155,5195,0.80407,-0.72214),(6155,5205,0.80665,-0.71804),(6155,5215,0.80923,-0.7139),(6155,5225,0.81181,-0.70975),(6155,5235,0.81439,-0.7056),(6155,5245,0.81698,-0.70143),(6155,5255,0.81956,-0.69724),(6155,5265,0.82214,-0.69306),(6155,5275,0.82473,-0.68886),(6155,5285,0.82731,-0.68462),(6155,5295,0.82988,-0.68038),(6155,5305,0.83244,-0.67611),(6155,5315,0.835,-0.67176),(6155,5325,0.83753,-0.66741),(6155,5335,0.84004,-0.66306),(6155,5345,0.84255,-0.65861),(6155,5355,0.84504,-0.65416),(6155,5365,0.84751,-0.64971),(6155,5375,0.84997,-0.64521),(6155,5385,0.85243,-0.6407),(6155,5395,0.85485,-0.63618),(6155,5405,0.85728,-0.63163),(6155,5415,0.8597,-0.62706),(6155,5425,0.8621,-0.62248),(6155,5435,0.86449,-0.61789),(6155,5445,0.86689,-0.61328),(6155,5455,0.86928,-0.60867),(6155,5465,0.87166,-0.60405),(6155,5475,0.87405,-0.59944),(6155,5485,0.87644,-0.59482),(6155,5495,0.87883,-0.5902),(6155,5505,0.88122,-0.58556),(6155,5515,0.88361,-0.58092),(6155,5525,0.88599,-0.57628),(6155,5535,0.88836,-0.57157),(6155,5545,0.89072,-0.56685),(6155,5555,0.89304,-0.56214),(6155,5565,0.89536,-0.55735),(6155,5575,0.89767,-0.55254),(6155,5585,0.89992,-0.54773),(6155,5595,0.90216,-0.54287),(6155,5605,0.90441,-0.53797),(6155,5615,0.9066,-0.53307),(6155,5625,0.90878,-0.52814),(6155,5635,0.91097,-0.52317),(6155,5645,0.91311,-0.51821),(6155,5655,0.91525,-0.51324),(6155,5665,0.91738,-0.50825),(6155,5675,0.9195,-0.50325),(6155,5685,0.92159,-0.49826),(6155,5695,0.92369,-0.49326),(6155,5705,0.92578,-0.48826),(6155,5715,0.92784,-0.48325),(6155,5725,0.9299,-0.47818),(6155,5735,0.93196,-0.47311),(6155,5745,0.93397,-0.46803),(6155,5755,0.93599,-0.46291),(6155,5765,0.93801,-0.45778),(6155,5775,0.93997,-0.45264),(6155,5785,0.94193,-0.44748),(6155,5795,0.9439,-0.44229),(6155,5805,0.94581,-0.4371),(6155,5815,0.94772,-0.4319),(6155,5825,0.94963,-0.42668),(6155,5835,0.9515,-0.42145),(6155,5845,0.95335,-0.41622),(6155,5855,0.9552,-0.41097),(6155,5865,0.95702,-0.40572),(6155,5875,0.95881,-0.40047),(6155,5885,0.9606,-0.3952),(6155,5895,0.96236,-0.38993),(6155,5905,0.96408,-0.38466),(6155,5915,0.9658,-0.37933),(6155,5925,0.96751,-0.374),(6155,5935,0.96915,-0.36866),(6155,5945,0.97079,-0.36329),(6155,5955,0.97243,-0.35789),(6155,5965,0.97401,-0.3525),(6155,5975,0.97559,-0.34708),(6155,5985,0.97717,-0.34164),(6155,5995,0.97871,-0.3362),(6155,6005,0.98025,-0.33074),(6155,6015,0.98178,-0.32524),(6155,6025,0.98328,-0.31974),(6155,6035,0.98477,-0.31423),(6155,6045,0.98626,-0.30874),(6155,6055,0.98772,-0.30325),(6155,6065,0.98916,-0.29775),(6155,6075,0.99059,-0.29231),(6155,6085,0.992,-0.28688),(6155,6095,0.99335,-0.28145),(6155,6105,0.9947,-0.27596),(6155,6115,0.99603,-0.27046),(6155,6125,0.99728,-0.26495),(6155,6135,0.99853,-0.25938),(6155,6145,0.99978,-0.25375),(6155,6155,1.0009,-0.24812),(6155,6165,1.0021,-0.24248),(6155,6175,1.0033,-0.23683),(6155,6185,1.0044,-0.23117),(6155,6195,1.0055,-0.22551),(6155,6205,1.0066,-0.21984),(6155,6215,1.0076,-0.21416),(6155,6225,1.0086,-0.20849),(6155,6235,1.0097,-0.20279),(6155,6245,1.0106,-0.19709),(6155,6255,1.0116,-0.1914),(6155,6265,1.0125,-0.18572),(6155,6275,1.0134,-0.18004),(6155,6285,1.0143,-0.17436),(6155,6295,1.0151,-0.16868),(6155,6305,1.016,-0.16299),(6155,6315,1.0167,-0.15731),(6155,6325,1.0175,-0.15156),(6155,6335,1.0183,-0.14573),(6155,6345,1.0189,-0.1399),(6155,6355,1.0196,-0.13409),(6155,6365,1.0203,-0.12831),(6155,6375,1.0209,-0.12254),(6155,6385,1.0215,-0.11678),(6155,6395,1.0221,-0.11108),(6155,6405,1.0226,-0.10538),(6155,6415,1.0231,-0.099675),(6155,6425,1.0236,-0.093938),(6155,6435,1.0241,-0.088199),(6155,6445,1.0246,-0.082461),(6155,6455,1.025,-0.076726),(6155,6465,1.0255,-0.070993),(6155,6475,1.0258,-0.06526),(6155,6485,1.0261,-0.059474),(6155,6495,1.0265,-0.053654),(6155,6505,1.0267,-0.047833),(6155,6515,1.027,-0.041972),(6155,6525,1.0272,-0.036055),(6155,6535,1.0274,-0.030138),(6155,6545,1.0275,-0.02426),(6155,6555,1.0277,-0.018501),(6155,6565,1.0278,-0.012743),(6155,6575,1.0278,-0.006983),(6155,6585,1.0279,-0.001206),(6155,6595,0.87427,0.004571),(6155,6605,0.55093,0.010348),(6155,6615,0.2276,0.011006),(6155,6625,0.000315,0.011007),(6155,6635,0.000348,0.011008),(6155,6645,0.000382,0.01101),(6155,6655,0.000415,0.011012),(6155,6665,0.000448,0.011014),(6155,6675,0.000481,0.011015),(6155,6685,0.000514,0.011016),(6155,6695,0.000547,0.011018),(6155,6705,0.00058,0.011018),(6155,6715,0.000613,0.011019),(6155,6725,0.000646,0.011019),(6155,6735,0.000678,0.011019),(6155,6745,0.000711,0.011019),(6155,6755,0.000743,0.011018),(6155,6765,0.000775,0.011018),(6155,6775,0.000808,0.011016),(6155,6785,0.00084,0.011015),(6155,6795,0.000872,0.011013),(6155,6805,0.000903,0.011011),(6155,6815,0.000935,0.011009),(6155,6825,0.000967,0.011006),(6155,6835,0.000998,0.011003),(6155,6845,0.001029,0.011),(6155,6855,0.00106,0.010997),(6155,6865,0.001091,0.010994),(6155,6875,0.001122,0.01099),(6155,6885,0.001152,0.010985),(6155,6895,0.001183,0.010981),(6155,6905,0.001213,0.010976),(6155,6915,0.001243,0.010971),(6155,6925,0.001273,0.010966),(6155,6935,0.001303,0.010961),(6155,6945,0.001332,0.010955),(6155,6955,0.001361,0.010949),(6155,6965,0.00139,0.010943),(6155,6975,0.001419,0.010936),(6155,6985,0.001448,0.01093),(6165,5,-3e-06,-1.32),(6165,15,-1e-05,-1.3199),(6165,25,-1e-06,-1.3198),(6165,35,2.2e-05,-1.3197),(6165,45,4.4e-05,-1.3196),(6165,55,6.7e-05,-1.3196),(6165,65,0.000107,-1.3196),(6165,75,0.000161,-1.3196),(6165,85,0.000215,-1.3196),(6165,95,0.000269,-1.3196),(6165,105,0.000297,-1.3195),(6165,115,0.000309,-1.3195),(6165,125,0.000321,-1.3194),(6165,135,0.000333,-1.3194),(6165,145,0.000329,-1.3193),(6165,155,0.000315,-1.3193),(6165,165,0.000301,-1.3193),(6165,175,0.000287,-1.3193),(6165,185,0.000271,-1.3192),(6165,195,0.000255,-1.3192),(6165,205,0.000238,-1.3192),(6165,215,0.000222,-1.3192),(6165,225,0.000214,-1.3192),(6165,235,0.00021,-1.3192),(6165,245,0.000205,-1.3192),(6165,255,0.0002,-1.3192),(6165,265,0.000212,-1.3192),(6165,275,0.000228,-1.3191),(6165,285,0.000244,-1.3191),(6165,295,0.000261,-1.3191),(6165,305,0.00032,-1.3191),(6165,315,0.000389,-1.3191),(6165,325,0.000459,-1.3192),(6165,335,0.000528,-1.3192),(6165,345,0.000585,-1.3192),(6165,355,0.000638,-1.3193),(6165,365,0.000692,-1.3193),(6165,375,0.000746,-1.3193),(6165,385,0.000775,-1.3193),(6165,395,0.0008,-1.3193),(6165,405,0.000825,-1.3192),(6165,415,0.00085,-1.3191),(6165,425,0.000902,-1.319),(6165,435,0.000958,-1.3189),(6165,445,0.001013,-1.3189),(6165,455,0.001068,-1.3189),(6165,465,0.001142,-1.3189),(6165,475,0.001216,-1.3189),(6165,485,0.001291,-1.3189),(6165,495,0.001366,-1.3189),(6165,505,0.001424,-1.3189),(6165,515,0.001482,-1.3189),(6165,525,0.00154,-1.3188),(6165,535,0.001598,-1.3188),(6165,545,0.001636,-1.3188),(6165,555,0.001674,-1.3188),(6165,565,0.001712,-1.3187),(6165,575,0.001752,-1.3187),(6165,585,0.001815,-1.3186),(6165,595,0.001878,-1.3186),(6165,605,0.001942,-1.3186),(6165,615,0.002008,-1.3187),(6165,625,0.0021,-1.3187),(6165,635,0.002193,-1.3188),(6165,645,0.002285,-1.3188),(6165,655,0.002378,-1.3188),(6165,665,0.002473,-1.3188),(6165,675,0.002569,-1.3188),(6165,685,0.002665,-1.3188),(6165,695,0.002771,-1.3187),(6165,705,0.002922,-1.3187),(6165,715,0.003073,-1.3186),(6165,725,0.003224,-1.3186),(6165,735,0.003383,-1.3186),(6165,745,0.003571,-1.3187),(6165,755,0.003759,-1.3187),(6165,765,0.003947,-1.3186),(6165,775,0.004146,-1.3186),(6165,785,0.004371,-1.3186),(6165,795,0.004596,-1.3185),(6165,805,0.004822,-1.3185),(6165,815,0.005066,-1.3185),(6165,825,0.00535,-1.3184),(6165,835,0.005634,-1.3184),(6165,845,0.005918,-1.3183),(6165,855,0.006213,-1.3182),(6165,865,0.006527,-1.3181),(6165,875,0.006841,-1.3179),(6165,885,0.007155,-1.3178),(6165,895,0.007506,-1.3176),(6165,905,0.007917,-1.3175),(6165,915,0.008328,-1.3174),(6165,925,0.008739,-1.3172),(6165,935,0.009203,-1.3171),(6165,945,0.009738,-1.3169),(6165,955,0.010272,-1.3167),(6165,965,0.010807,-1.3166),(6165,975,0.011382,-1.3164),(6165,985,0.012003,-1.3162),(6165,995,0.012624,-1.316),(6165,1005,0.013245,-1.3156),(6165,1015,0.013884,-1.3152),(6165,1025,0.014541,-1.3149),(6165,1035,0.015197,-1.3143),(6165,1045,0.015853,-1.3136),(6165,1055,0.016507,-1.3129),(6165,1065,0.017158,-1.3121),(6165,1075,0.01781,-1.3112),(6165,1085,0.018462,-1.3101),(6165,1095,0.019157,-1.309),(6165,1105,0.019883,-1.308),(6165,1115,0.020609,-1.3065),(6165,1125,0.021335,-1.3048),(6165,1135,0.022057,-1.3031),(6165,1145,0.022775,-1.3014),(6165,1155,0.023494,-1.2991),(6165,1165,0.024212,-1.2964),(6165,1175,0.024849,-1.2937),(6165,1185,0.025445,-1.2909),(6165,1195,0.02604,-1.2871),(6165,1205,0.026636,-1.2828),(6165,1215,0.027146,-1.2785),(6165,1225,0.027621,-1.2742),(6165,1235,0.028096,-1.2684),(6165,1245,0.02857,-1.262),(6165,1255,0.028987,-1.2557),(6165,1265,0.029384,-1.2493),(6165,1275,0.029781,-1.2413),(6165,1285,0.030178,-1.2327),(6165,1295,0.027364,-1.2242),(6165,1305,0.023682,-1.2157),(6165,1315,0.02,-1.2099),(6165,1325,0.016318,-1.2049),(6165,1335,0.010108,-1.1998),(6165,1345,0.003368,-1.1948),(6165,1355,-0.003371,-1.1971),(6165,1365,-0.010111,-1.2008),(6165,1375,-0.014704,-1.2045),(6165,1385,-0.018966,-1.2082),(6165,1395,-0.023228,-1.2162),(6165,1405,-0.02749,-1.2248),(6165,1415,-0.027633,-1.2334),(6165,1425,-0.027349,-1.242),(6165,1435,-0.027065,-1.2486),(6165,1445,-0.026781,-1.2551),(6165,1455,-0.026356,-1.2615),(6165,1465,-0.025924,-1.268),(6165,1475,-0.025491,-1.2724),(6165,1485,-0.025058,-1.2767),(6165,1495,-0.024565,-1.2811),(6165,1505,-0.024071,-1.2854),(6165,1515,-0.023576,-1.2882),(6165,1525,-0.023079,-1.291),(6165,1535,-0.022464,-1.2938),(6165,1545,-0.021849,-1.2965),(6165,1555,-0.021234,-1.2982),(6165,1565,-0.02061,-1.2999),(6165,1575,-0.019855,-1.3016),(6165,1585,-0.0191,-1.3033),(6165,1595,-0.018345,-1.3041),(6165,1605,-0.017599,-1.305),(6165,1615,-0.016932,-1.3058),(6165,1625,-0.016265,-1.3066),(6165,1635,-0.015598,-1.3071),(6165,1645,-0.014921,-1.3075),(6165,1655,-0.014188,-1.3079),(6165,1665,-0.013454,-1.3084),(6165,1675,-0.012721,-1.3087),(6165,1685,-0.011998,-1.3091),(6165,1695,-0.011319,-1.3095),(6165,1705,-0.010641,-1.3097),(6165,1715,-0.009962,-1.3097),(6165,1725,-0.00933,-1.3097),(6165,1735,-0.008858,-1.3097),(6165,1745,-0.008386,-1.3096),(6165,1755,-0.007914,-1.3095),(6165,1765,-0.007469,-1.3093),(6165,1775,-0.0071,-1.3092),(6165,1785,-0.006731,-1.3091),(6165,1795,-0.006362,-1.309),(6165,1805,-0.00599,-1.3089),(6165,1815,-0.005608,-1.3088),(6165,1825,-0.005227,-1.3087),(6165,1835,-0.004845,-1.3085),(6165,1845,-0.004479,-1.3084),(6165,1855,-0.004143,-1.3082),(6165,1865,-0.003806,-1.308),(6165,1875,-0.00347,-1.3077),(6165,1885,-0.003183,-1.3075),(6165,1895,-0.002975,-1.3072),(6165,1905,-0.002768,-1.3069),(6165,1915,-0.002561,-1.3066),(6165,1925,-0.002379,-1.3062),(6165,1935,-0.002233,-1.3059),(6165,1945,-0.002086,-1.3056),(6165,1955,-0.001939,-1.3054),(6165,1965,-0.001796,-1.3052),(6165,1975,-0.001658,-1.305),(6165,1985,-0.00152,-1.3048),(6165,1995,-0.001382,-1.3045),(6165,2005,-0.001244,-1.3042),(6165,2015,-0.001108,-1.3039),(6165,2025,-0.000971,-1.3036),(6165,2035,-0.000834,-1.3033),(6165,2045,-0.000685,-1.3031),(6165,2055,-0.000524,-1.3028),(6165,2065,-0.000364,-1.3026),(6165,2075,-0.000204,-1.3024),(6165,2085,-9.2e-05,-1.3021),(6165,2095,-1.5e-05,-1.3019),(6165,2105,6.2e-05,-1.3016),(6165,2115,0.000139,-1.3013),(6165,2125,0.000177,-1.3009),(6165,2135,0.000189,-1.3005),(6165,2145,0.000201,-1.3002),(6165,2155,0.000214,-1.2998),(6165,2165,0.000269,-1.2995),(6165,2175,0.000347,-1.2992),(6165,2185,0.000425,-1.2988),(6165,2195,0.000503,-1.2985),(6165,2205,0.000586,-1.2982),(6165,2215,0.00067,-1.2979),(6165,2225,0.000754,-1.2976),(6165,2235,0.000838,-1.2971),(6165,2245,0.000907,-1.2967),(6165,2255,0.00097,-1.2963),(6165,2265,0.001032,-1.296),(6165,2275,0.001095,-1.2956),(6165,2285,0.001161,-1.2953),(6165,2295,0.001226,-1.2949),(6165,2305,0.001292,-1.2946),(6165,2315,0.001358,-1.2942),(6165,2325,0.001397,-1.2939),(6165,2335,0.001431,-1.2935),(6165,2345,0.001464,-1.2931),(6165,2355,0.001497,-1.2927),(6165,2365,0.001524,-1.2923),(6165,2375,0.00155,-1.2918),(6165,2385,0.001576,-1.2914),(6165,2395,0.001601,-1.291),(6165,2405,0.001634,-1.2905),(6165,2415,0.001669,-1.2901),(6165,2425,0.001703,-1.2896),(6165,2435,0.001737,-1.2892),(6165,2445,0.001773,-1.2887),(6165,2455,0.001811,-1.2882),(6165,2465,0.001848,-1.2878),(6165,2475,0.001885,-1.2874),(6165,2485,0.001941,-1.287),(6165,2495,0.001998,-1.2866),(6165,2505,0.002055,-1.2862),(6165,2515,0.002111,-1.2858),(6165,2525,0.002155,-1.2854),(6165,2535,0.002198,-1.2849),(6165,2545,0.002242,-1.2844),(6165,2555,0.002283,-1.2838),(6165,2565,0.002297,-1.2832),(6165,2575,0.00231,-1.2827),(6165,2585,0.002323,-1.2821),(6165,2595,0.002338,-1.2815),(6165,2605,0.002368,-1.281),(6165,2615,0.002399,-1.2804),(6165,2625,0.002429,-1.2798),(6165,2635,0.002464,-1.2792),(6165,2645,0.002531,-1.2787),(6165,2655,0.002598,-1.2781),(6165,2665,0.002665,-1.2775),(6165,2675,0.002736,-1.2769),(6165,2685,0.002831,-1.2763),(6165,2695,0.002925,-1.2757),(6165,2705,0.003019,-1.2752),(6165,2715,0.003112,-1.2747),(6165,2725,0.0032,-1.2741),(6165,2735,0.003289,-1.2736),(6165,2745,0.003377,-1.2731),(6165,2755,0.003447,-1.2725),(6165,2765,0.00346,-1.2719),(6165,2775,0.003474,-1.2713),(6165,2785,0.003487,-1.2705),(6165,2795,0.003494,-1.2698),(6165,2805,0.003485,-1.269),(6165,2815,0.003475,-1.2682),(6165,2825,0.003466,-1.2675),(6165,2835,0.003481,-1.2668),(6165,2845,0.003545,-1.2661),(6165,2855,0.003609,-1.2655),(6165,2865,0.003673,-1.2649),(6165,2875,0.003734,-1.2643),(6165,2885,0.003791,-1.2637),(6165,2895,0.003847,-1.263),(6165,2905,0.003904,-1.2623),(6165,2915,0.003942,-1.2615),(6165,2925,0.003955,-1.2608),(6165,2935,0.003968,-1.26),(6165,2945,0.00398,-1.2591),(6165,2955,0.004008,-1.2582),(6165,2965,0.004055,-1.2574),(6165,2975,0.004101,-1.2566),(6165,2985,0.004148,-1.2558),(6165,2995,0.004202,-1.2551),(6165,3005,0.004262,-1.2544),(6165,3015,0.004323,-1.2536),(6165,3025,0.004384,-1.2528),(6165,3035,0.004428,-1.252),(6165,3045,0.004457,-1.2512),(6165,3055,0.004487,-1.2503),(6165,3065,0.004517,-1.2494),(6165,3075,0.004556,-1.2485),(6165,3085,0.004603,-1.2476),(6165,3095,0.00465,-1.2467),(6165,3105,0.004697,-1.2458),(6165,3115,0.004759,-1.2449),(6165,3125,0.004831,-1.244),(6165,3135,0.004903,-1.2431),(6165,3145,0.004974,-1.2422),(6165,3155,0.005054,-1.2413),(6165,3165,0.005139,-1.2403),(6165,3175,0.005223,-1.2394),(6165,3185,0.005308,-1.2385),(6165,3195,0.005401,-1.2376),(6165,3205,0.005499,-1.2367),(6165,3215,0.005596,-1.2357),(6165,3225,0.005694,-1.2347),(6165,3235,0.005792,-1.2338),(6165,3245,0.00589,-1.2328),(6165,3255,0.005988,-1.2318),(6165,3265,0.006086,-1.2308),(6165,3275,0.006165,-1.2298),(6165,3285,0.006238,-1.2288),(6165,3295,0.006312,-1.2278),(6165,3305,0.006385,-1.2267),(6165,3315,0.006431,-1.2257),(6165,3325,0.006471,-1.2246),(6165,3335,0.006511,-1.2235),(6165,3345,0.006551,-1.2224),(6165,3355,0.006653,-1.2213),(6165,3365,0.006767,-1.2201),(6165,3375,0.006881,-1.2191),(6165,3385,0.006994,-1.2181),(6165,3395,0.007189,-1.217),(6165,3405,0.007394,-1.216),(6165,3415,0.007599,-1.2149),(6165,3425,0.007805,-1.2138),(6165,3435,0.008026,-1.2128),(6165,3445,0.008249,-1.2117),(6165,3455,0.008473,-1.2105),(6165,3465,0.008696,-1.2093),(6165,3475,0.008936,-1.2081),(6165,3485,0.009177,-1.207),(6165,3495,0.009418,-1.2058),(6165,3505,0.00966,-1.2046),(6165,3515,0.009897,-1.2035),(6165,3525,0.010135,-1.2023),(6165,3535,0.010373,-1.201),(6165,3545,0.010614,-1.1997),(6165,3555,0.010945,-1.1984),(6165,3565,0.011275,-1.1971),(6165,3575,0.011605,-1.1958),(6165,3585,0.011948,-1.1944),(6165,3595,0.012421,-1.193),(6165,3605,0.012895,-1.1916),(6165,3615,0.013368,-1.1902),(6165,3625,0.013841,-1.1888),(6165,3635,0.014302,-1.1874),(6165,3645,0.014764,-1.186),(6165,3655,0.015226,-1.1844),(6165,3665,0.015686,-1.1829),(6165,3675,0.016134,-1.1813),(6165,3685,0.016581,-1.1797),(6165,3695,0.017029,-1.1779),(6165,3705,0.017508,-1.1762),(6165,3715,0.01811,-1.1744),(6165,3725,0.018712,-1.1726),(6165,3735,0.019314,-1.1705),(6165,3745,0.019888,-1.1684),(6165,3755,0.020373,-1.1663),(6165,3765,0.020859,-1.1641),(6165,3775,0.021345,-1.1616),(6165,3785,0.021848,-1.159),(6165,3795,0.022394,-1.1564),(6165,3805,0.022941,-1.1537),(6165,3815,0.023487,-1.1505),(6165,3825,0.023998,-1.1474),(6165,3835,0.024435,-1.1443),(6165,3845,0.024872,-1.1409),(6165,3855,0.025309,-1.137),(6165,3865,0.025739,-1.1331),(6165,3875,0.026156,-1.1291),(6165,3885,0.026572,-1.1248),(6165,3895,0.026989,-1.1197),(6165,3905,0.027395,-1.1146),(6165,3915,0.027784,-1.1095),(6165,3925,0.028174,-1.1038),(6165,3935,0.028564,-1.0973),(6165,3945,0.028904,-1.0907),(6165,3955,0.02918,-1.0842),(6165,3965,0.029456,-1.0772),(6165,3975,0.029731,-1.0695),(6165,3985,0.02898,-1.0618),(6165,3995,0.027118,-1.0542),(6165,4005,0.025256,-1.0471),(6165,4015,0.023394,-1.0406),(6165,4025,0.11838,-1.0341),(6165,4035,0.22284,-1.0294),(6165,4045,0.3273,-1.0284),(6165,4055,0.40496,-1.0274),(6165,4065,0.47283,-1.0262),(6165,4075,0.54071,-1.0244),(6165,4085,0.57151,-1.0226),(6165,4095,0.57252,-1.0208),(6165,4105,0.57353,-1.019),(6165,4115,0.57456,-1.0171),(6165,4125,0.57562,-1.0153),(6165,4135,0.57669,-1.0135),(6165,4145,0.57776,-1.0118),(6165,4155,0.57888,-1.01),(6165,4165,0.57999,-1.0082),(6165,4175,0.58111,-1.0064),(6165,4185,0.58227,-1.0046),(6165,4195,0.58344,-1.0027),(6165,4205,0.5846,-1.0009),(6165,4215,0.58582,-0.99903),(6165,4225,0.58706,-0.99718),(6165,4235,0.58829,-0.99538),(6165,4245,0.58956,-0.99357),(6165,4255,0.59087,-0.99176),(6165,4265,0.59217,-0.98987),(6165,4275,0.5935,-0.98798),(6165,4285,0.59487,-0.98609),(6165,4295,0.59624,-0.98416),(6165,4305,0.59763,-0.98223),(6165,4315,0.59908,-0.98029),(6165,4325,0.60053,-0.97837),(6165,4335,0.60199,-0.97646),(6165,4345,0.60352,-0.97454),(6165,4355,0.60506,-0.97259),(6165,4365,0.6066,-0.97059),(6165,4375,0.60823,-0.9686),(6165,4385,0.60986,-0.9666),(6165,4395,0.6115,-0.96459),(6165,4405,0.61321,-0.96259),(6165,4415,0.61494,-0.96056),(6165,4425,0.61668,-0.95847),(6165,4435,0.61846,-0.95638),(6165,4445,0.62027,-0.95429),(6165,4455,0.62208,-0.95213),(6165,4465,0.62391,-0.94997),(6165,4475,0.62578,-0.94781),(6165,4485,0.62764,-0.94557),(6165,4495,0.62951,-0.9433),(6165,4505,0.63142,-0.94104),(6165,4515,0.63333,-0.93876),(6165,4525,0.63524,-0.93646),(6165,4535,0.63722,-0.93417),(6165,4545,0.6392,-0.93185),(6165,4555,0.64117,-0.92951),(6165,4565,0.64323,-0.92717),(6165,4575,0.64529,-0.9248),(6165,4585,0.64736,-0.92233),(6165,4595,0.64948,-0.91987),(6165,4605,0.65163,-0.9174),(6165,4615,0.65378,-0.91482),(6165,4625,0.65597,-0.91225),(6165,4635,0.65818,-0.90968),(6165,4645,0.66039,-0.90706),(6165,4655,0.66262,-0.90444),(6165,4665,0.66489,-0.90181),(6165,4675,0.66715,-0.89915),(6165,4685,0.66942,-0.89647),(6165,4695,0.67174,-0.89379),(6165,4705,0.67406,-0.89104),(6165,4715,0.67638,-0.88824),(6165,4725,0.67875,-0.88543),(6165,4735,0.68112,-0.88257),(6165,4745,0.68349,-0.87964),(6165,4755,0.6859,-0.87671),(6165,4765,0.68832,-0.87377),(6165,4775,0.69074,-0.87077),(6165,4785,0.69318,-0.86776),(6165,4795,0.69565,-0.86476),(6165,4805,0.69811,-0.86168),(6165,4815,0.7006,-0.8586),(6165,4825,0.7031,-0.85552),(6165,4835,0.70561,-0.85237),(6165,4845,0.70812,-0.8492),(6165,4855,0.71065,-0.84603),(6165,4865,0.71318,-0.8428),(6165,4875,0.71572,-0.83955),(6165,4885,0.71827,-0.83629),(6165,4895,0.72082,-0.83298),(6165,4905,0.72337,-0.82963),(6165,4915,0.72592,-0.82627),(6165,4925,0.72847,-0.82288),(6165,4935,0.73103,-0.81943),(6165,4945,0.73359,-0.81598),(6165,4955,0.73616,-0.81251),(6165,4965,0.73872,-0.80898),(6165,4975,0.7413,-0.80545),(6165,4985,0.74388,-0.80192),(6165,4995,0.74646,-0.79832),(6165,5005,0.74906,-0.79471),(6165,5015,0.75167,-0.79111),(6165,5025,0.75428,-0.78745),(6165,5035,0.7569,-0.78378),(6165,5045,0.75953,-0.78011),(6165,5055,0.76217,-0.77641),(6165,5065,0.7648,-0.77267),(6165,5075,0.76744,-0.76894),(6165,5085,0.77007,-0.76516),(6165,5095,0.77271,-0.76132),(6165,5105,0.77532,-0.75749),(6165,5115,0.77793,-0.75362),(6165,5125,0.78055,-0.74969),(6165,5135,0.78314,-0.74576),(6165,5145,0.78572,-0.74182),(6165,5155,0.7883,-0.73781),(6165,5165,0.79087,-0.73381),(6165,5175,0.79343,-0.7298),(6165,5185,0.79598,-0.72572),(6165,5195,0.79853,-0.72163),(6165,5205,0.80107,-0.71754),(6165,5215,0.80362,-0.71339),(6165,5225,0.80616,-0.70924),(6165,5235,0.8087,-0.70508),(6165,5245,0.81125,-0.7009),(6165,5255,0.8138,-0.69671),(6165,5265,0.81636,-0.69252),(6165,5275,0.81892,-0.68831),(6165,5285,0.82148,-0.68407),(6165,5295,0.82403,-0.67982),(6165,5305,0.82657,-0.67556),(6165,5315,0.82912,-0.67122),(6165,5325,0.83165,-0.66687),(6165,5335,0.83415,-0.66253),(6165,5345,0.83666,-0.65809),(6165,5355,0.83914,-0.65366),(6165,5365,0.84159,-0.64922),(6165,5375,0.84404,-0.64473),(6165,5385,0.84648,-0.64023),(6165,5395,0.84888,-0.63573),(6165,5405,0.85127,-0.63119),(6165,5415,0.85367,-0.62662),(6165,5425,0.85602,-0.62205),(6165,5435,0.85838,-0.61746),(6165,5445,0.86073,-0.61285),(6165,5455,0.86308,-0.60823),(6165,5465,0.86542,-0.60361),(6165,5475,0.86777,-0.59899),(6165,5485,0.87012,-0.59436),(6165,5495,0.87248,-0.58973),(6165,5505,0.87484,-0.58508),(6165,5515,0.8772,-0.58043),(6165,5525,0.87956,-0.57578),(6165,5535,0.88192,-0.57107),(6165,5545,0.88426,-0.56636),(6165,5555,0.88658,-0.56165),(6165,5565,0.88889,-0.55687),(6165,5575,0.89119,-0.55208),(6165,5585,0.89343,-0.54728),(6165,5595,0.89566,-0.54243),(6165,5605,0.8979,-0.53754),(6165,5615,0.90007,-0.53266),(6165,5625,0.90224,-0.52774),(6165,5635,0.90441,-0.52278),(6165,5645,0.90653,-0.51782),(6165,5655,0.90864,-0.51286),(6165,5665,0.91076,-0.50786),(6165,5675,0.91285,-0.50287),(6165,5685,0.91492,-0.49788),(6165,5695,0.91699,-0.49287),(6165,5705,0.91905,-0.48787),(6165,5715,0.9211,-0.48286),(6165,5725,0.92314,-0.47779),(6165,5735,0.92517,-0.47272),(6165,5745,0.92718,-0.46764),(6165,5755,0.92918,-0.46252),(6165,5765,0.93117,-0.45739),(6165,5775,0.93312,-0.45226),(6165,5785,0.93507,-0.4471),(6165,5795,0.93702,-0.44192),(6165,5805,0.93892,-0.43673),(6165,5815,0.94081,-0.43153),(6165,5825,0.94271,-0.42631),(6165,5835,0.94456,-0.42109),(6165,5845,0.9464,-0.41586),(6165,5855,0.94823,-0.41062),(6165,5865,0.95004,-0.40537),(6165,5875,0.95182,-0.40013),(6165,5885,0.95359,-0.39486),(6165,5895,0.95534,-0.38959),(6165,5905,0.95705,-0.38433),(6165,5915,0.95875,-0.37902),(6165,5925,0.96044,-0.37369),(6165,5935,0.96206,-0.36837),(6165,5945,0.96369,-0.363),(6165,5955,0.96531,-0.35761),(6165,5965,0.96686,-0.35222),(6165,5975,0.96841,-0.3468),(6165,5985,0.96997,-0.34136),(6165,5995,0.97148,-0.33591),(6165,6005,0.97299,-0.33045),(6165,6015,0.9745,-0.32494),(6165,6025,0.97598,-0.31944),(6165,6035,0.97744,-0.31393),(6165,6045,0.97891,-0.30843),(6165,6055,0.98036,-0.30293),(6165,6065,0.98178,-0.29743),(6165,6075,0.9832,-0.292),(6165,6085,0.9846,-0.28657),(6165,6095,0.98595,-0.28114),(6165,6105,0.9873,-0.27566),(6165,6115,0.98863,-0.27017),(6165,6125,0.98988,-0.26468),(6165,6135,0.99112,-0.25911),(6165,6145,0.99237,-0.25349),(6165,6155,0.99353,-0.24787),(6165,6165,0.99469,-0.24224),(6165,6175,0.99586,-0.23659),(6165,6185,0.99696,-0.23094),(6165,6195,0.99804,-0.22528),(6165,6205,0.99913,-0.21961),(6165,6215,1.0002,-0.21394),(6165,6225,1.0012,-0.20826),(6165,6235,1.0022,-0.20257),(6165,6245,1.0032,-0.19688),(6165,6255,1.0041,-0.19119),(6165,6265,1.005,-0.18551),(6165,6275,1.0059,-0.17983),(6165,6285,1.0068,-0.17416),(6165,6295,1.0076,-0.16848),(6165,6305,1.0085,-0.16281),(6165,6315,1.0092,-0.15714),(6165,6325,1.01,-0.15139),(6165,6335,1.0107,-0.14557),(6165,6345,1.0114,-0.13975),(6165,6355,1.012,-0.13394),(6165,6365,1.0127,-0.12817),(6165,6375,1.0133,-0.1224),(6165,6385,1.0139,-0.11664),(6165,6395,1.0145,-0.11094),(6165,6405,1.015,-0.10524),(6165,6415,1.0155,-0.09954),(6165,6425,1.016,-0.093802),(6165,6435,1.0165,-0.088062),(6165,6445,1.0169,-0.082322),(6165,6455,1.0174,-0.076593),(6165,6465,1.0178,-0.070867),(6165,6475,1.0182,-0.06514),(6165,6485,1.0185,-0.059364),(6165,6495,1.0189,-0.053554),(6165,6505,1.0191,-0.047744),(6165,6515,1.0193,-0.041893),(6165,6525,1.0196,-0.035985),(6165,6535,1.0197,-0.030077),(6165,6545,1.0199,-0.024206),(6165,6555,1.02,-0.018452),(6165,6565,1.0201,-0.012698),(6165,6575,1.0202,-0.006943),(6165,6585,1.0202,-0.001171),(6165,6595,0.86774,0.004601),(6165,6605,0.54682,0.010373),(6165,6615,0.2259,0.011033),(6165,6625,0.000311,0.011037),(6165,6635,0.000345,0.011041),(6165,6645,0.000379,0.011043),(6165,6655,0.000412,0.011045),(6165,6665,0.000445,0.011047),(6165,6675,0.000479,0.011049),(6165,6685,0.000512,0.01105),(6165,6695,0.000545,0.011051),(6165,6705,0.000579,0.011052),(6165,6715,0.000612,0.011052),(6165,6725,0.000645,0.011052),(6165,6735,0.000677,0.011052),(6165,6745,0.00071,0.011051),(6165,6755,0.000743,0.011051),(6165,6765,0.000775,0.01105),(6165,6775,0.000808,0.011048),(6165,6785,0.00084,0.011047),(6165,6795,0.000872,0.011045),(6165,6805,0.000904,0.011043),(6165,6815,0.000936,0.011041),(6165,6825,0.000968,0.011038),(6165,6835,0.000999,0.011035),(6165,6845,0.001031,0.011032),(6165,6855,0.001062,0.011028),(6165,6865,0.001093,0.011025),(6165,6875,0.001124,0.01102),(6165,6885,0.001155,0.011016),(6165,6895,0.001185,0.011012),(6165,6905,0.001216,0.011007),(6165,6915,0.001246,0.011002),(6165,6925,0.001276,0.010997),(6165,6935,0.001306,0.010991),(6165,6945,0.001336,0.010985),(6165,6955,0.001365,0.010979),(6165,6965,0.001395,0.010972),(6165,6975,0.001424,0.010965),(6165,6985,0.001453,0.010959),(6175,5,-2e-06,-1.3201),(6175,15,-7e-06,-1.3199),(6175,25,0,-1.3198),(6175,35,1.9e-05,-1.3197),(6175,45,3.7e-05,-1.3196),(6175,55,5.6e-05,-1.3196),(6175,65,9.3e-05,-1.3196),(6175,75,0.000145,-1.3196),(6175,85,0.000197,-1.3196),(6175,95,0.000249,-1.3195),(6175,105,0.00028,-1.3195),(6175,115,0.000297,-1.3195),(6175,125,0.000314,-1.3194),(6175,135,0.000331,-1.3194),(6175,145,0.000333,-1.3193),(6175,155,0.000325,-1.3193),(6175,165,0.000317,-1.3193),(6175,175,0.00031,-1.3193),(6175,185,0.000297,-1.3193),(6175,195,0.000283,-1.3192),(6175,205,0.000269,-1.3192),(6175,215,0.000254,-1.3192),(6175,225,0.000243,-1.3192),(6175,235,0.000233,-1.3192),(6175,245,0.000222,-1.3192),(6175,255,0.000212,-1.3192),(6175,265,0.000215,-1.3192),(6175,275,0.000222,-1.3191),(6175,285,0.000229,-1.3191),(6175,295,0.000237,-1.3191),(6175,305,0.000287,-1.3191),(6175,315,0.000348,-1.3191),(6175,325,0.000409,-1.3191),(6175,335,0.00047,-1.3192),(6175,345,0.000529,-1.3192),(6175,355,0.000587,-1.3192),(6175,365,0.000646,-1.3192),(6175,375,0.000704,-1.3193),(6175,385,0.000736,-1.3193),(6175,395,0.000764,-1.3193),(6175,405,0.000791,-1.3192),(6175,415,0.000819,-1.3191),(6175,425,0.000868,-1.319),(6175,435,0.00092,-1.3189),(6175,445,0.000971,-1.3189),(6175,455,0.001022,-1.3189),(6175,465,0.001096,-1.3189),(6175,475,0.00117,-1.3189),(6175,485,0.001245,-1.3189),(6175,495,0.001319,-1.3189),(6175,505,0.001381,-1.3189),(6175,515,0.001442,-1.3188),(6175,525,0.001504,-1.3188),(6175,535,0.001564,-1.3188),(6175,545,0.001605,-1.3188),(6175,555,0.001645,-1.3188),(6175,565,0.001685,-1.3187),(6175,575,0.001726,-1.3187),(6175,585,0.001786,-1.3186),(6175,595,0.001847,-1.3186),(6175,605,0.001907,-1.3186),(6175,615,0.00197,-1.3186),(6175,625,0.002061,-1.3187),(6175,635,0.002152,-1.3187),(6175,645,0.002243,-1.3187),(6175,655,0.002334,-1.3188),(6175,665,0.002426,-1.3188),(6175,675,0.002519,-1.3188),(6175,685,0.002611,-1.3187),(6175,695,0.002714,-1.3187),(6175,705,0.002859,-1.3186),(6175,715,0.003003,-1.3185),(6175,725,0.003148,-1.3185),(6175,735,0.003303,-1.3186),(6175,745,0.003491,-1.3186),(6175,755,0.00368,-1.3186),(6175,765,0.003868,-1.3185),(6175,775,0.004067,-1.3185),(6175,785,0.004292,-1.3185),(6175,795,0.004518,-1.3184),(6175,805,0.004743,-1.3184),(6175,815,0.004987,-1.3183),(6175,825,0.00527,-1.3183),(6175,835,0.005554,-1.3182),(6175,845,0.005837,-1.3181),(6175,855,0.006129,-1.318),(6175,865,0.006435,-1.3179),(6175,875,0.006741,-1.3178),(6175,885,0.007047,-1.3177),(6175,895,0.007383,-1.3175),(6175,905,0.007764,-1.3173),(6175,915,0.008145,-1.3172),(6175,925,0.008526,-1.317),(6175,935,0.008958,-1.3168),(6175,945,0.009458,-1.3167),(6175,955,0.009957,-1.3165),(6175,965,0.010457,-1.3163),(6175,975,0.010997,-1.3161),(6175,985,0.011582,-1.3159),(6175,995,0.012168,-1.3157),(6175,1005,0.012753,-1.3153),(6175,1015,0.013346,-1.3149),(6175,1025,0.013945,-1.3146),(6175,1035,0.014545,-1.314),(6175,1045,0.015144,-1.3133),(6175,1055,0.015716,-1.3126),(6175,1065,0.016266,-1.3119),(6175,1075,0.016815,-1.3109),(6175,1085,0.017365,-1.3098),(6175,1095,0.017914,-1.3087),(6175,1105,0.018462,-1.3076),(6175,1115,0.019009,-1.3062),(6175,1125,0.019557,-1.3045),(6175,1135,0.02004,-1.3028),(6175,1145,0.020485,-1.3011),(6175,1155,0.02093,-1.2988),(6175,1165,0.021374,-1.2961),(6175,1175,0.021654,-1.2934),(6175,1185,0.021852,-1.2907),(6175,1195,0.02205,-1.287),(6175,1205,0.022248,-1.2827),(6175,1215,0.022273,-1.2784),(6175,1225,0.022228,-1.2741),(6175,1235,0.022183,-1.2683),(6175,1245,0.022138,-1.262),(6175,1255,0.022021,-1.2557),(6175,1265,0.021879,-1.2493),(6175,1275,0.021736,-1.2413),(6175,1285,0.021594,-1.2328),(6175,1295,0.019384,-1.2243),(6175,1305,0.016615,-1.2157),(6175,1315,0.013846,-1.21),(6175,1325,0.011076,-1.2049),(6175,1335,0.006885,-1.1999),(6175,1345,0.002396,-1.1948),(6175,1355,-0.002093,-1.1971),(6175,1365,-0.006582,-1.2008),(6175,1375,-0.009772,-1.2045),(6175,1385,-0.01276,-1.2081),(6175,1395,-0.015748,-1.2162),(6175,1405,-0.018737,-1.2248),(6175,1415,-0.019236,-1.2335),(6175,1425,-0.019478,-1.2421),(6175,1435,-0.019719,-1.2487),(6175,1445,-0.01996,-1.2551),(6175,1455,-0.020069,-1.2615),(6175,1465,-0.02017,-1.2679),(6175,1475,-0.020271,-1.2723),(6175,1485,-0.020372,-1.2767),(6175,1495,-0.020285,-1.281),(6175,1505,-0.020196,-1.2853),(6175,1515,-0.020107,-1.2881),(6175,1525,-0.020011,-1.2908),(6175,1535,-0.019685,-1.2936),(6175,1545,-0.019359,-1.2963),(6175,1555,-0.019033,-1.2979),(6175,1565,-0.018691,-1.2996),(6175,1575,-0.018106,-1.3013),(6175,1585,-0.017521,-1.3029),(6175,1595,-0.016936,-1.3038),(6175,1605,-0.016353,-1.3047),(6175,1615,-0.015789,-1.3056),(6175,1625,-0.015225,-1.3064),(6175,1635,-0.014662,-1.3068),(6175,1645,-0.014087,-1.3072),(6175,1655,-0.013451,-1.3076),(6175,1665,-0.012815,-1.308),(6175,1675,-0.012179,-1.3084),(6175,1685,-0.011544,-1.3087),(6175,1695,-0.010913,-1.3091),(6175,1705,-0.010281,-1.3094),(6175,1715,-0.00965,-1.3094),(6175,1725,-0.009055,-1.3094),(6175,1735,-0.008587,-1.3094),(6175,1745,-0.008118,-1.3094),(6175,1755,-0.00765,-1.3093),(6175,1765,-0.007209,-1.3092),(6175,1775,-0.006846,-1.3091),(6175,1785,-0.006483,-1.3089),(6175,1795,-0.006119,-1.3088),(6175,1805,-0.00576,-1.3087),(6175,1815,-0.005407,-1.3086),(6175,1825,-0.005054,-1.3085),(6175,1835,-0.004702,-1.3084),(6175,1845,-0.004361,-1.3082),(6175,1855,-0.004042,-1.308),(6175,1865,-0.003723,-1.3079),(6175,1875,-0.003404,-1.3076),(6175,1885,-0.003127,-1.3073),(6175,1895,-0.002918,-1.3071),(6175,1905,-0.00271,-1.3068),(6175,1915,-0.002501,-1.3065),(6175,1925,-0.002319,-1.3062),(6175,1935,-0.002175,-1.3059),(6175,1945,-0.00203,-1.3056),(6175,1955,-0.001885,-1.3054),(6175,1965,-0.001744,-1.3052),(6175,1975,-0.001607,-1.3049),(6175,1985,-0.00147,-1.3047),(6175,1995,-0.001333,-1.3044),(6175,2005,-0.001199,-1.3041),(6175,2015,-0.001066,-1.3038),(6175,2025,-0.000934,-1.3035),(6175,2035,-0.000801,-1.3033),(6175,2045,-0.000654,-1.303),(6175,2055,-0.000495,-1.3027),(6175,2065,-0.000336,-1.3025),(6175,2075,-0.000176,-1.3023),(6175,2085,-5.5e-05,-1.3021),(6175,2095,3.9e-05,-1.3019),(6175,2105,0.000132,-1.3016),(6175,2115,0.000226,-1.3012),(6175,2125,0.000273,-1.3009),(6175,2135,0.000293,-1.3005),(6175,2145,0.000312,-1.3002),(6175,2155,0.000332,-1.2998),(6175,2165,0.000382,-1.2995),(6175,2175,0.000447,-1.2991),(6175,2185,0.000513,-1.2988),(6175,2195,0.000579,-1.2985),(6175,2205,0.000649,-1.2982),(6175,2215,0.00072,-1.2979),(6175,2225,0.000791,-1.2975),(6175,2235,0.000862,-1.2971),(6175,2245,0.000918,-1.2967),(6175,2255,0.000969,-1.2963),(6175,2265,0.001019,-1.2959),(6175,2275,0.00107,-1.2956),(6175,2285,0.001128,-1.2952),(6175,2295,0.001188,-1.2949),(6175,2305,0.001248,-1.2945),(6175,2315,0.001308,-1.2942),(6175,2325,0.001349,-1.2938),(6175,2335,0.001386,-1.2935),(6175,2345,0.001423,-1.2931),(6175,2355,0.001461,-1.2927),(6175,2365,0.001494,-1.2922),(6175,2375,0.001526,-1.2918),(6175,2385,0.001558,-1.2914),(6175,2395,0.00159,-1.2909),(6175,2405,0.001631,-1.2905),(6175,2415,0.001673,-1.2901),(6175,2425,0.001715,-1.2896),(6175,2435,0.001757,-1.2892),(6175,2445,0.0018,-1.2887),(6175,2455,0.001843,-1.2882),(6175,2465,0.001885,-1.2878),(6175,2475,0.001928,-1.2874),(6175,2485,0.001986,-1.287),(6175,2495,0.002044,-1.2866),(6175,2505,0.002101,-1.2862),(6175,2515,0.002159,-1.2858),(6175,2525,0.002204,-1.2853),(6175,2535,0.002249,-1.2849),(6175,2545,0.002294,-1.2843),(6175,2555,0.002338,-1.2838),(6175,2565,0.002351,-1.2832),(6175,2575,0.002364,-1.2827),(6175,2585,0.002377,-1.2821),(6175,2595,0.002391,-1.2815),(6175,2605,0.002413,-1.2809),(6175,2615,0.002435,-1.2804),(6175,2625,0.002457,-1.2798),(6175,2635,0.002483,-1.2792),(6175,2645,0.002534,-1.2786),(6175,2655,0.002586,-1.278),(6175,2665,0.002637,-1.2774),(6175,2675,0.002694,-1.2768),(6175,2685,0.002775,-1.2762),(6175,2695,0.002857,-1.2756),(6175,2705,0.002938,-1.2751),(6175,2715,0.003022,-1.2746),(6175,2725,0.003112,-1.2741),(6175,2735,0.003201,-1.2736),(6175,2745,0.003291,-1.273),(6175,2755,0.003364,-1.2725),(6175,2765,0.003385,-1.2719),(6175,2775,0.003407,-1.2713),(6175,2785,0.003428,-1.2706),(6175,2795,0.00344,-1.2698),(6175,2805,0.003427,-1.269),(6175,2815,0.003414,-1.2683),(6175,2825,0.003401,-1.2675),(6175,2835,0.003412,-1.2668),(6175,2845,0.003469,-1.2661),(6175,2855,0.003526,-1.2654),(6175,2865,0.003583,-1.2648),(6175,2875,0.003641,-1.2643),(6175,2885,0.003701,-1.2637),(6175,2895,0.00376,-1.263),(6175,2905,0.00382,-1.2623),(6175,2915,0.003861,-1.2615),(6175,2925,0.003874,-1.2608),(6175,2935,0.003887,-1.26),(6175,2945,0.0039,-1.2591),(6175,2955,0.003926,-1.2582),(6175,2965,0.003968,-1.2574),(6175,2975,0.004011,-1.2565),(6175,2985,0.004053,-1.2558),(6175,2995,0.004107,-1.2551),(6175,3005,0.004174,-1.2543),(6175,3015,0.004241,-1.2536),(6175,3025,0.004307,-1.2528),(6175,3035,0.004359,-1.252),(6175,3045,0.004398,-1.2512),(6175,3055,0.004437,-1.2503),(6175,3065,0.004476,-1.2494),(6175,3075,0.00452,-1.2485),(6175,3085,0.004567,-1.2476),(6175,3095,0.004614,-1.2467),(6175,3105,0.004661,-1.2458),(6175,3115,0.00472,-1.2449),(6175,3125,0.004788,-1.2439),(6175,3135,0.004856,-1.243),(6175,3145,0.004923,-1.2421),(6175,3155,0.004998,-1.2412),(6175,3165,0.005077,-1.2403),(6175,3175,0.005156,-1.2394),(6175,3185,0.005235,-1.2385),(6175,3195,0.00532,-1.2375),(6175,3205,0.005409,-1.2366),(6175,3215,0.005498,-1.2357),(6175,3225,0.005587,-1.2347),(6175,3235,0.00568,-1.2337),(6175,3245,0.005773,-1.2327),(6175,3255,0.005867,-1.2318),(6175,3265,0.00596,-1.2308),(6175,3275,0.006046,-1.2298),(6175,3285,0.00613,-1.2288),(6175,3295,0.006213,-1.2278),(6175,3305,0.006297,-1.2267),(6175,3315,0.00635,-1.2257),(6175,3325,0.006396,-1.2246),(6175,3335,0.006441,-1.2235),(6175,3345,0.006487,-1.2224),(6175,3355,0.006578,-1.2212),(6175,3365,0.006676,-1.2201),(6175,3375,0.006775,-1.219),(6175,3385,0.006874,-1.218),(6175,3395,0.007054,-1.2169),(6175,3405,0.007245,-1.2159),(6175,3415,0.007436,-1.2148),(6175,3425,0.007627,-1.2137),(6175,3435,0.007845,-1.2126),(6175,3445,0.008065,-1.2116),(6175,3455,0.008285,-1.2104),(6175,3465,0.008505,-1.2092),(6175,3475,0.008752,-1.208),(6175,3485,0.009,-1.2068),(6175,3495,0.009248,-1.2057),(6175,3505,0.009496,-1.2045),(6175,3515,0.009741,-1.2034),(6175,3525,0.009986,-1.2022),(6175,3535,0.010231,-1.2009),(6175,3545,0.010479,-1.1996),(6175,3555,0.010785,-1.1983),(6175,3565,0.011091,-1.197),(6175,3575,0.011397,-1.1956),(6175,3585,0.011713,-1.1942),(6175,3595,0.012136,-1.1927),(6175,3605,0.012558,-1.1913),(6175,3615,0.012981,-1.1899),(6175,3625,0.013406,-1.1886),(6175,3635,0.013847,-1.1872),(6175,3645,0.014289,-1.1858),(6175,3655,0.014731,-1.1842),(6175,3665,0.015169,-1.1826),(6175,3675,0.015589,-1.1811),(6175,3685,0.016009,-1.1795),(6175,3695,0.016429,-1.1777),(6175,3705,0.016867,-1.1759),(6175,3715,0.017375,-1.1741),(6175,3725,0.017883,-1.1722),(6175,3735,0.018392,-1.1702),(6175,3745,0.018877,-1.1681),(6175,3755,0.019292,-1.1661),(6175,3765,0.019706,-1.1639),(6175,3775,0.020121,-1.1613),(6175,3785,0.020527,-1.1587),(6175,3795,0.020911,-1.1561),(6175,3805,0.021295,-1.1534),(6175,3815,0.021679,-1.1503),(6175,3825,0.022012,-1.1472),(6175,3835,0.022235,-1.1441),(6175,3845,0.022459,-1.1407),(6175,3855,0.022683,-1.1368),(6175,3865,0.022869,-1.1329),(6175,3875,0.022987,-1.129),(6175,3885,0.023105,-1.1246),(6175,3895,0.023223,-1.1195),(6175,3905,0.023311,-1.1144),(6175,3915,0.023354,-1.1094),(6175,3925,0.023397,-1.1037),(6175,3935,0.02344,-1.0972),(6175,3945,0.023443,-1.0907),(6175,3955,0.023395,-1.0842),(6175,3965,0.023347,-1.0771),(6175,3975,0.023299,-1.0694),(6175,3985,0.022526,-1.0618),(6175,3995,0.020968,-1.0541),(6175,4005,0.01941,-1.047),(6175,4015,0.017852,-1.0405),(6175,4025,0.11391,-1.0341),(6175,4035,0.21951,-1.0294),(6175,4045,0.32512,-1.0283),(6175,4055,0.40282,-1.0273),(6175,4065,0.47034,-1.0262),(6175,4075,0.53787,-1.0244),(6175,4085,0.56851,-1.0225),(6175,4095,0.56952,-1.0207),(6175,4105,0.57052,-1.0189),(6175,4115,0.57155,-1.017),(6175,4125,0.5726,-1.0152),(6175,4135,0.57366,-1.0134),(6175,4145,0.57473,-1.0116),(6175,4155,0.57584,-1.0099),(6175,4165,0.57695,-1.0081),(6175,4175,0.57806,-1.0063),(6175,4185,0.57922,-1.0044),(6175,4195,0.58038,-1.0026),(6175,4205,0.58153,-1.0007),(6175,4215,0.58275,-0.99887),(6175,4225,0.58397,-0.99702),(6175,4235,0.5852,-0.9952),(6175,4245,0.58647,-0.99337),(6175,4255,0.58776,-0.99155),(6175,4265,0.58905,-0.98964),(6175,4275,0.59037,-0.98774),(6175,4285,0.59173,-0.98583),(6175,4295,0.59309,-0.98389),(6175,4305,0.59446,-0.98194),(6175,4315,0.59589,-0.98),(6175,4325,0.59732,-0.97807),(6175,4335,0.59876,-0.97615),(6175,4345,0.60028,-0.97422),(6175,4355,0.60179,-0.97226),(6175,4365,0.60331,-0.97026),(6175,4375,0.60492,-0.96826),(6175,4385,0.60653,-0.96625),(6175,4395,0.60814,-0.96423),(6175,4405,0.60983,-0.96221),(6175,4415,0.61155,-0.96018),(6175,4425,0.61326,-0.95808),(6175,4435,0.61503,-0.95598),(6175,4445,0.61682,-0.95388),(6175,4455,0.61862,-0.95171),(6175,4465,0.62043,-0.94954),(6175,4475,0.62228,-0.94738),(6175,4485,0.62413,-0.94513),(6175,4495,0.62599,-0.94286),(6175,4505,0.62788,-0.94059),(6175,4515,0.62977,-0.93829),(6175,4525,0.63166,-0.93598),(6175,4535,0.63361,-0.93367),(6175,4545,0.63557,-0.93134),(6175,4555,0.63752,-0.92899),(6175,4565,0.63955,-0.92663),(6175,4575,0.64159,-0.92424),(6175,4585,0.64362,-0.92177),(6175,4595,0.64572,-0.91929),(6175,4605,0.64784,-0.91681),(6175,4615,0.64996,-0.91423),(6175,4625,0.65211,-0.91165),(6175,4635,0.65429,-0.90908),(6175,4645,0.65647,-0.90646),(6175,4655,0.65867,-0.90383),(6175,4665,0.6609,-0.90121),(6175,4675,0.66313,-0.89854),(6175,4685,0.66538,-0.89587),(6175,4695,0.66767,-0.89319),(6175,4705,0.66996,-0.89043),(6175,4715,0.67225,-0.88763),(6175,4725,0.67459,-0.88482),(6175,4735,0.67693,-0.88196),(6175,4745,0.67928,-0.87903),(6175,4755,0.68166,-0.8761),(6175,4765,0.68404,-0.87315),(6175,4775,0.68643,-0.87014),(6175,4785,0.68885,-0.86714),(6175,4795,0.69127,-0.86413),(6175,4805,0.6937,-0.86105),(6175,4815,0.69615,-0.85796),(6175,4825,0.69862,-0.85488),(6175,4835,0.70109,-0.85173),(6175,4845,0.70356,-0.84856),(6175,4855,0.70606,-0.84539),(6175,4865,0.70856,-0.84216),(6175,4875,0.71106,-0.8389),(6175,4885,0.71358,-0.83565),(6175,4895,0.7161,-0.83235),(6175,4905,0.71862,-0.82899),(6175,4915,0.72115,-0.82564),(6175,4925,0.72368,-0.82226),(6175,4935,0.7262,-0.81881),(6175,4945,0.72874,-0.81536),(6175,4955,0.73127,-0.8119),(6175,4965,0.73381,-0.80837),(6175,4975,0.73636,-0.80484),(6175,4985,0.73891,-0.80131),(6175,4995,0.74146,-0.7977),(6175,5005,0.74402,-0.79409),(6175,5015,0.7466,-0.79049),(6175,5025,0.74917,-0.78683),(6175,5035,0.75176,-0.78316),(6175,5045,0.75436,-0.77948),(6175,5055,0.75696,-0.77578),(6175,5065,0.75956,-0.77204),(6175,5075,0.76217,-0.76831),(6175,5085,0.76477,-0.76454),(6175,5095,0.76738,-0.76071),(6175,5105,0.76998,-0.75688),(6175,5115,0.77257,-0.75303),(6175,5125,0.77516,-0.74911),(6175,5135,0.77774,-0.7452),(6175,5145,0.7803,-0.74127),(6175,5155,0.78287,-0.73727),(6175,5165,0.78542,-0.73328),(6175,5175,0.78796,-0.72928),(6175,5185,0.7905,-0.7252),(6175,5195,0.79303,-0.72111),(6175,5205,0.79555,-0.71703),(6175,5215,0.79807,-0.71289),(6175,5225,0.80058,-0.70872),(6175,5235,0.80309,-0.70456),(6175,5245,0.80561,-0.70037),(6175,5255,0.80812,-0.69618),(6175,5265,0.81064,-0.69198),(6175,5275,0.81317,-0.68776),(6175,5285,0.81569,-0.68352),(6175,5295,0.81821,-0.67927),(6175,5305,0.82073,-0.67501),(6175,5315,0.82325,-0.67068),(6175,5325,0.82575,-0.66634),(6175,5335,0.82824,-0.662),(6175,5345,0.83073,-0.65758),(6175,5355,0.83319,-0.65316),(6175,5365,0.83564,-0.64873),(6175,5375,0.83808,-0.64426),(6175,5385,0.8405,-0.63977),(6175,5395,0.84289,-0.63528),(6175,5405,0.84528,-0.63074),(6175,5415,0.84766,-0.62618),(6175,5425,0.85,-0.62162),(6175,5435,0.85233,-0.61704),(6175,5445,0.85467,-0.61242),(6175,5455,0.85699,-0.6078),(6175,5465,0.8593,-0.60318),(6175,5475,0.86161,-0.59854),(6175,5485,0.86393,-0.5939),(6175,5495,0.86626,-0.58925),(6175,5505,0.86858,-0.58459),(6175,5515,0.8709,-0.57993),(6175,5525,0.87323,-0.57527),(6175,5535,0.87556,-0.57057),(6175,5545,0.87787,-0.56586),(6175,5555,0.88016,-0.56116),(6175,5565,0.88245,-0.55639),(6175,5575,0.88473,-0.55161),(6175,5585,0.88696,-0.54683),(6175,5595,0.88918,-0.542),(6175,5605,0.89141,-0.53712),(6175,5615,0.89356,-0.53225),(6175,5625,0.89572,-0.52734),(6175,5635,0.89788,-0.52239),(6175,5645,0.89998,-0.51743),(6175,5655,0.90208,-0.51247),(6175,5665,0.90418,-0.50748),(6175,5675,0.90625,-0.50249),(6175,5685,0.9083,-0.4975),(6175,5695,0.91035,-0.49249),(6175,5705,0.91239,-0.48748),(6175,5715,0.91441,-0.48247),(6175,5725,0.91643,-0.4774),(6175,5735,0.91844,-0.47233),(6175,5745,0.92043,-0.46725),(6175,5755,0.92241,-0.46214),(6175,5765,0.92438,-0.45701),(6175,5775,0.92632,-0.45188),(6175,5785,0.92825,-0.44672),(6175,5795,0.93018,-0.44154),(6175,5805,0.93206,-0.43636),(6175,5815,0.93393,-0.43117),(6175,5825,0.93581,-0.42595),(6175,5835,0.93764,-0.42072),(6175,5845,0.93946,-0.4155),(6175,5855,0.94129,-0.41026),(6175,5865,0.94307,-0.40502),(6175,5875,0.94484,-0.39978),(6175,5885,0.9466,-0.39452),(6175,5895,0.94834,-0.38926),(6175,5905,0.95004,-0.384),(6175,5915,0.95173,-0.3787),(6175,5925,0.95341,-0.37338),(6175,5935,0.95503,-0.36807),(6175,5945,0.95665,-0.36271),(6175,5955,0.95826,-0.35732),(6175,5965,0.9598,-0.35193),(6175,5975,0.96134,-0.34652),(6175,5985,0.96289,-0.34107),(6175,5995,0.96438,-0.33563),(6175,6005,0.96587,-0.33016),(6175,6015,0.96736,-0.32465),(6175,6025,0.96881,-0.31913),(6175,6035,0.97026,-0.31362),(6175,6045,0.9717,-0.30812),(6175,6055,0.97312,-0.30261),(6175,6065,0.97451,-0.29711),(6175,6075,0.97591,-0.29168),(6175,6085,0.97729,-0.28625),(6175,6095,0.97862,-0.28083),(6175,6105,0.97996,-0.27536),(6175,6115,0.98128,-0.26988),(6175,6125,0.98252,-0.2644),(6175,6135,0.98375,-0.25885),(6175,6145,0.98499,-0.25323),(6175,6155,0.98615,-0.24762),(6175,6165,0.98731,-0.242),(6175,6175,0.98846,-0.23635),(6175,6185,0.98956,-0.2307),(6175,6195,0.99063,-0.22505),(6175,6205,0.99171,-0.21938),(6175,6215,0.99274,-0.21371),(6175,6225,0.99375,-0.20804),(6175,6235,0.99475,-0.20235),(6175,6245,0.99571,-0.19667),(6175,6255,0.99664,-0.19098),(6175,6265,0.99756,-0.1853),(6175,6275,0.99846,-0.17963),(6175,6285,0.9993,-0.17396),(6175,6295,1.0001,-0.16829),(6175,6305,1.001,-0.16263),(6175,6315,1.0017,-0.15697),(6175,6325,1.0025,-0.15123),(6175,6335,1.0032,-0.14542),(6175,6345,1.0039,-0.1396),(6175,6355,1.0045,-0.1338),(6175,6365,1.0052,-0.12803),(6175,6375,1.0058,-0.12226),(6175,6385,1.0064,-0.1165),(6175,6395,1.0069,-0.1108),(6175,6405,1.0075,-0.1051),(6175,6415,1.008,-0.099406),(6175,6425,1.0085,-0.093666),(6175,6435,1.0089,-0.087925),(6175,6445,1.0094,-0.082183),(6175,6455,1.0098,-0.076459),(6175,6465,1.0102,-0.07074),(6175,6475,1.0106,-0.065021),(6175,6485,1.0109,-0.059254),(6175,6495,1.0113,-0.053455),(6175,6505,1.0115,-0.047656),(6175,6515,1.0117,-0.041814),(6175,6525,1.012,-0.035915),(6175,6535,1.0122,-0.030016),(6175,6545,1.0123,-0.024153),(6175,6555,1.0124,-0.018403),(6175,6565,1.0125,-0.012653),(6175,6575,1.0126,-0.006903),(6175,6585,1.0126,-0.001136),(6175,6595,0.86127,0.004631),(6175,6605,0.54275,0.010397),(6175,6615,0.22422,0.01106),(6175,6625,0.000308,0.011067),(6175,6635,0.000342,0.011074),(6175,6645,0.000376,0.011077),(6175,6655,0.00041,0.011079),(6175,6665,0.000443,0.01108),(6175,6675,0.000477,0.011082),(6175,6685,0.00051,0.011083),(6175,6695,0.000544,0.011084),(6175,6705,0.000577,0.011085),(6175,6715,0.000611,0.011085),(6175,6725,0.000644,0.011085),(6175,6735,0.000677,0.011085),(6175,6745,0.00071,0.011084),(6175,6755,0.000743,0.011083),(6175,6765,0.000775,0.011083),(6175,6775,0.000808,0.011081),(6175,6785,0.000841,0.011079),(6175,6795,0.000873,0.011077),(6175,6805,0.000905,0.011075),(6175,6815,0.000938,0.011072),(6175,6825,0.000969,0.01107),(6175,6835,0.001001,0.011067),(6175,6845,0.001033,0.011063),(6175,6855,0.001064,0.01106),(6175,6865,0.001096,0.011056),(6175,6875,0.001127,0.011051),(6175,6885,0.001158,0.011047),(6175,6895,0.001189,0.011042),(6175,6905,0.00122,0.011037),(6175,6915,0.00125,0.011032),(6175,6925,0.00128,0.011027),(6175,6935,0.001311,0.01102),(6175,6945,0.00134,0.011014),(6175,6955,0.00137,0.011008),(6175,6965,0.0014,0.011001),(6175,6975,0.001429,0.010994),(6175,6985,0.001458,0.010988),(6185,5,-2e-06,-1.3201),(6185,15,-5e-06,-1.32),(6185,25,1e-06,-1.3198),(6185,35,1.6e-05,-1.3197),(6185,45,3.1e-05,-1.3196),(6185,55,4.5e-05,-1.3196),(6185,65,7.9e-05,-1.3196),(6185,75,0.000127,-1.3196),(6185,85,0.000176,-1.3196),(6185,95,0.000224,-1.3195),(6185,105,0.000256,-1.3195),(6185,115,0.000278,-1.3195),(6185,125,0.000299,-1.3194),(6185,135,0.000321,-1.3194),(6185,145,0.000329,-1.3194),(6185,155,0.000329,-1.3193),(6185,165,0.000329,-1.3193),(6185,175,0.000329,-1.3193),(6185,185,0.000322,-1.3193),(6185,195,0.000312,-1.3192),(6185,205,0.000302,-1.3192),(6185,215,0.000291,-1.3192),(6185,225,0.000277,-1.3192),(6185,235,0.000262,-1.3193),(6185,245,0.000247,-1.3192),(6185,255,0.000231,-1.3192),(6185,265,0.000227,-1.3191),(6185,275,0.000225,-1.3191),(6185,285,0.000224,-1.3191),(6185,295,0.000222,-1.3191),(6185,305,0.000262,-1.319),(6185,315,0.000312,-1.319),(6185,325,0.000362,-1.3191),(6185,335,0.000412,-1.3191),(6185,345,0.000473,-1.3191),(6185,355,0.000536,-1.3192),(6185,365,0.0006,-1.3192),(6185,375,0.000663,-1.3192),(6185,385,0.000697,-1.3192),(6185,395,0.000728,-1.3193),(6185,405,0.000759,-1.3192),(6185,415,0.00079,-1.3191),(6185,425,0.000833,-1.319),(6185,435,0.000878,-1.3189),(6185,445,0.000922,-1.3189),(6185,455,0.000967,-1.3189),(6185,465,0.001037,-1.3189),(6185,475,0.001108,-1.3189),(6185,485,0.00118,-1.3189),(6185,495,0.001251,-1.3188),(6185,505,0.001316,-1.3188),(6185,515,0.001381,-1.3188),(6185,525,0.001446,-1.3188),(6185,535,0.00151,-1.3188),(6185,545,0.001554,-1.3188),(6185,555,0.001598,-1.3188),(6185,565,0.001643,-1.3187),(6185,575,0.001688,-1.3187),(6185,585,0.001746,-1.3186),(6185,595,0.001804,-1.3185),(6185,605,0.001862,-1.3186),(6185,615,0.001924,-1.3186),(6185,625,0.002014,-1.3186),(6185,635,0.002104,-1.3187),(6185,645,0.002194,-1.3187),(6185,655,0.002284,-1.3187),(6185,665,0.002374,-1.3187),(6185,675,0.002464,-1.3187),(6185,685,0.002554,-1.3187),(6185,695,0.002653,-1.3186),(6185,705,0.00279,-1.3185),(6185,715,0.002927,-1.3185),(6185,725,0.003064,-1.3185),(6185,735,0.003213,-1.3185),(6185,745,0.003401,-1.3185),(6185,755,0.003589,-1.3185),(6185,765,0.003778,-1.3184),(6185,775,0.003976,-1.3184),(6185,785,0.004202,-1.3184),(6185,795,0.004428,-1.3183),(6185,805,0.004653,-1.3183),(6185,815,0.004897,-1.3182),(6185,825,0.00518,-1.3182),(6185,835,0.005463,-1.3181),(6185,845,0.005747,-1.318),(6185,855,0.006036,-1.3179),(6185,865,0.006335,-1.3178),(6185,875,0.006634,-1.3177),(6185,885,0.006934,-1.3175),(6185,895,0.007254,-1.3173),(6185,905,0.007606,-1.3172),(6185,915,0.007957,-1.317),(6185,925,0.008309,-1.3168),(6185,935,0.008709,-1.3166),(6185,945,0.009173,-1.3164),(6185,955,0.009636,-1.3162),(6185,965,0.0101,-1.316),(6185,975,0.010604,-1.3158),(6185,985,0.011152,-1.3156),(6185,995,0.011701,-1.3153),(6185,1005,0.01225,-1.315),(6185,1015,0.012795,-1.3146),(6185,1025,0.013336,-1.3143),(6185,1035,0.013878,-1.3137),(6185,1045,0.01442,-1.313),(6185,1055,0.014913,-1.3123),(6185,1065,0.015366,-1.3116),(6185,1075,0.015819,-1.3107),(6185,1085,0.016272,-1.3095),(6185,1095,0.016678,-1.3084),(6185,1105,0.017051,-1.3073),(6185,1115,0.017424,-1.3058),(6185,1125,0.017796,-1.3042),(6185,1135,0.018044,-1.3025),(6185,1145,0.018218,-1.3008),(6185,1155,0.018392,-1.2985),(6185,1165,0.018565,-1.2958),(6185,1175,0.018489,-1.2932),(6185,1185,0.018289,-1.2905),(6185,1195,0.018088,-1.2868),(6185,1205,0.017888,-1.2825),(6185,1215,0.017426,-1.2783),(6185,1225,0.016857,-1.274),(6185,1235,0.016288,-1.2683),(6185,1245,0.015718,-1.262),(6185,1255,0.015061,-1.2557),(6185,1265,0.014375,-1.2494),(6185,1275,0.013688,-1.2414),(6185,1285,0.013001,-1.2328),(6185,1295,0.011393,-1.2243),(6185,1305,0.009536,-1.2158),(6185,1315,0.007679,-1.2101),(6185,1325,0.005822,-1.205),(6185,1335,0.003652,-1.1999),(6185,1345,0.001417,-1.1948),(6185,1355,-0.000817,-1.1971),(6185,1365,-0.003052,-1.2008),(6185,1375,-0.004842,-1.2044),(6185,1385,-0.006563,-1.2081),(6185,1395,-0.008284,-1.2162),(6185,1405,-0.010006,-1.2248),(6185,1415,-0.010867,-1.2335),(6185,1425,-0.01164,-1.2422),(6185,1435,-0.012412,-1.2487),(6185,1445,-0.013184,-1.2551),(6185,1455,-0.01383,-1.2615),(6185,1465,-0.014468,-1.2679),(6185,1475,-0.015105,-1.2722),(6185,1485,-0.015743,-1.2766),(6185,1495,-0.016061,-1.2809),(6185,1505,-0.016374,-1.2852),(6185,1515,-0.016687,-1.2879),(6185,1525,-0.016992,-1.2906),(6185,1535,-0.016951,-1.2934),(6185,1545,-0.016911,-1.296),(6185,1555,-0.016871,-1.2977),(6185,1565,-0.016806,-1.2993),(6185,1575,-0.016388,-1.301),(6185,1585,-0.01597,-1.3025),(6185,1595,-0.015553,-1.3035),(6185,1605,-0.015129,-1.3044),(6185,1615,-0.014659,-1.3053),(6185,1625,-0.014189,-1.3061),(6185,1635,-0.013719,-1.3065),(6185,1645,-0.01324,-1.3069),(6185,1655,-0.012705,-1.3073),(6185,1665,-0.01217,-1.3076),(6185,1675,-0.011635,-1.308),(6185,1685,-0.011092,-1.3084),(6185,1695,-0.010518,-1.3087),(6185,1705,-0.009944,-1.309),(6185,1715,-0.00937,-1.3091),(6185,1725,-0.008818,-1.3092),(6185,1735,-0.008349,-1.3092),(6185,1745,-0.007879,-1.3092),(6185,1755,-0.007409,-1.3091),(6185,1765,-0.006965,-1.309),(6185,1775,-0.006597,-1.3089),(6185,1785,-0.006228,-1.3088),(6185,1795,-0.005859,-1.3087),(6185,1805,-0.005505,-1.3086),(6185,1815,-0.005185,-1.3085),(6185,1825,-0.004864,-1.3083),(6185,1835,-0.004543,-1.3082),(6185,1845,-0.004232,-1.308),(6185,1855,-0.00394,-1.3079),(6185,1865,-0.003648,-1.3077),(6185,1875,-0.003356,-1.3075),(6185,1885,-0.003095,-1.3072),(6185,1895,-0.002884,-1.307),(6185,1905,-0.002674,-1.3067),(6185,1915,-0.002463,-1.3064),(6185,1925,-0.002279,-1.3061),(6185,1935,-0.00213,-1.3058),(6185,1945,-0.001982,-1.3056),(6185,1955,-0.001833,-1.3053),(6185,1965,-0.001688,-1.3051),(6185,1975,-0.001547,-1.3049),(6185,1985,-0.001406,-1.3046),(6185,1995,-0.001265,-1.3043),(6185,2005,-0.001131,-1.304),(6185,2015,-0.001002,-1.3037),(6185,2025,-0.000872,-1.3035),(6185,2035,-0.000743,-1.3032),(6185,2045,-0.000601,-1.3029),(6185,2055,-0.000446,-1.3026),(6185,2065,-0.000292,-1.3024),(6185,2075,-0.000138,-1.3022),(6185,2085,-9e-06,-1.302),(6185,2095,0.0001,-1.3018),(6185,2105,0.000209,-1.3016),(6185,2115,0.000318,-1.3012),(6185,2125,0.000379,-1.3009),(6185,2135,0.000409,-1.3005),(6185,2145,0.000439,-1.3002),(6185,2155,0.000469,-1.2998),(6185,2165,0.000514,-1.2995),(6185,2175,0.000568,-1.2991),(6185,2185,0.000622,-1.2988),(6185,2195,0.000675,-1.2985),(6185,2205,0.000729,-1.2981),(6185,2215,0.000783,-1.2978),(6185,2225,0.000837,-1.2975),(6185,2235,0.000892,-1.2971),(6185,2245,0.000932,-1.2967),(6185,2255,0.000968,-1.2963),(6185,2265,0.001003,-1.2959),(6185,2275,0.001039,-1.2955),(6185,2285,0.001089,-1.2952),(6185,2295,0.001143,-1.2948),(6185,2305,0.001197,-1.2945),(6185,2315,0.001251,-1.2941),(6185,2325,0.001296,-1.2938),(6185,2335,0.001339,-1.2935),(6185,2345,0.001381,-1.2931),(6185,2355,0.001424,-1.2926),(6185,2365,0.001465,-1.2922),(6185,2375,0.001505,-1.2918),(6185,2385,0.001546,-1.2914),(6185,2395,0.001586,-1.2909),(6185,2405,0.001637,-1.2905),(6185,2415,0.001689,-1.2901),(6185,2425,0.001741,-1.2896),(6185,2435,0.001793,-1.2892),(6185,2445,0.001844,-1.2887),(6185,2455,0.001896,-1.2882),(6185,2465,0.001947,-1.2878),(6185,2475,0.001998,-1.2874),(6185,2485,0.00206,-1.287),(6185,2495,0.002122,-1.2866),(6185,2505,0.002184,-1.2862),(6185,2515,0.002245,-1.2857),(6185,2525,0.002293,-1.2853),(6185,2535,0.002341,-1.2849),(6185,2545,0.002388,-1.2843),(6185,2555,0.002434,-1.2838),(6185,2565,0.002447,-1.2832),(6185,2575,0.002459,-1.2827),(6185,2585,0.002472,-1.2821),(6185,2595,0.002485,-1.2815),(6185,2605,0.002496,-1.2809),(6185,2615,0.002508,-1.2803),(6185,2625,0.00252,-1.2798),(6185,2635,0.002534,-1.2792),(6185,2645,0.002564,-1.2786),(6185,2655,0.002594,-1.278),(6185,2665,0.002624,-1.2774),(6185,2675,0.00266,-1.2768),(6185,2685,0.002722,-1.2761),(6185,2695,0.002783,-1.2755),(6185,2705,0.002845,-1.275),(6185,2715,0.002912,-1.2745),(6185,2725,0.002999,-1.274),(6185,2735,0.003086,-1.2735),(6185,2745,0.003172,-1.273),(6185,2755,0.003245,-1.2724),(6185,2765,0.003275,-1.2719),(6185,2775,0.003306,-1.2713),(6185,2785,0.003336,-1.2706),(6185,2795,0.003354,-1.2698),(6185,2805,0.00334,-1.269),(6185,2815,0.003327,-1.2683),(6185,2825,0.003314,-1.2675),(6185,2835,0.003322,-1.2668),(6185,2845,0.003373,-1.2661),(6185,2855,0.003424,-1.2654),(6185,2865,0.003476,-1.2648),(6185,2875,0.003532,-1.2642),(6185,2885,0.003596,-1.2636),(6185,2895,0.00366,-1.263),(6185,2905,0.003724,-1.2623),(6185,2915,0.003768,-1.2615),(6185,2925,0.003782,-1.2608),(6185,2935,0.003796,-1.26),(6185,2945,0.003811,-1.2591),(6185,2955,0.003835,-1.2582),(6185,2965,0.003873,-1.2573),(6185,2975,0.00391,-1.2565),(6185,2985,0.003948,-1.2558),(6185,2995,0.004002,-1.255),(6185,3005,0.004075,-1.2543),(6185,3015,0.004147,-1.2535),(6185,3025,0.00422,-1.2527),(6185,3035,0.00428,-1.2519),(6185,3045,0.00433,-1.2511),(6185,3055,0.004379,-1.2503),(6185,3065,0.004429,-1.2494),(6185,3075,0.004476,-1.2485),(6185,3085,0.004523,-1.2476),(6185,3095,0.004569,-1.2466),(6185,3105,0.004616,-1.2457),(6185,3115,0.004672,-1.2448),(6185,3125,0.004733,-1.2439),(6185,3135,0.004794,-1.243),(6185,3145,0.004855,-1.2421),(6185,3155,0.004923,-1.2412),(6185,3165,0.004994,-1.2403),(6185,3175,0.005066,-1.2393),(6185,3185,0.005138,-1.2384),(6185,3195,0.005215,-1.2375),(6185,3205,0.005293,-1.2366),(6185,3215,0.005372,-1.2356),(6185,3225,0.005451,-1.2346),(6185,3235,0.005537,-1.2337),(6185,3245,0.005624,-1.2327),(6185,3255,0.005712,-1.2317),(6185,3265,0.005799,-1.2307),(6185,3275,0.005894,-1.2297),(6185,3285,0.005991,-1.2288),(6185,3295,0.006088,-1.2277),(6185,3305,0.006185,-1.2267),(6185,3315,0.006252,-1.2257),(6185,3325,0.006312,-1.2247),(6185,3335,0.006372,-1.2235),(6185,3345,0.006431,-1.2224),(6185,3355,0.006513,-1.2212),(6185,3365,0.006599,-1.2201),(6185,3375,0.006684,-1.219),(6185,3385,0.00677,-1.2179),(6185,3395,0.006932,-1.2168),(6185,3405,0.007104,-1.2158),(6185,3415,0.007276,-1.2147),(6185,3425,0.007448,-1.2136),(6185,3435,0.007659,-1.2125),(6185,3445,0.007872,-1.2114),(6185,3455,0.008085,-1.2102),(6185,3465,0.008299,-1.2091),(6185,3475,0.008552,-1.2079),(6185,3485,0.008806,-1.2067),(6185,3495,0.009061,-1.2056),(6185,3505,0.009315,-1.2044),(6185,3515,0.009571,-1.2033),(6185,3525,0.009827,-1.2021),(6185,3535,0.010083,-1.2008),(6185,3545,0.01034,-1.1995),(6185,3555,0.010621,-1.1981),(6185,3565,0.010903,-1.1968),(6185,3575,0.011185,-1.1954),(6185,3585,0.011473,-1.1939),(6185,3595,0.011835,-1.1925),(6185,3605,0.012196,-1.191),(6185,3615,0.012557,-1.1897),(6185,3625,0.012926,-1.1883),(6185,3635,0.013351,-1.1869),(6185,3645,0.013775,-1.1855),(6185,3655,0.0142,-1.184),(6185,3665,0.01462,-1.1824),(6185,3675,0.015021,-1.1809),(6185,3685,0.015422,-1.1793),(6185,3695,0.015823,-1.1774),(6185,3705,0.016224,-1.1756),(6185,3715,0.016624,-1.1737),(6185,3725,0.017023,-1.1718),(6185,3735,0.017423,-1.1698),(6185,3745,0.017811,-1.1678),(6185,3755,0.018165,-1.1658),(6185,3765,0.018518,-1.1637),(6185,3775,0.018871,-1.1611),(6185,3785,0.019187,-1.1585),(6185,3795,0.019406,-1.1558),(6185,3805,0.019626,-1.1531),(6185,3815,0.019845,-1.15),(6185,3825,0.019999,-1.147),(6185,3835,0.020015,-1.1439),(6185,3845,0.02003,-1.1406),(6185,3855,0.020046,-1.1366),(6185,3865,0.01999,-1.1327),(6185,3875,0.019807,-1.1288),(6185,3885,0.019624,-1.1245),(6185,3895,0.019441,-1.1194),(6185,3905,0.019208,-1.1143),(6185,3915,0.018902,-1.1092),(6185,3925,0.018595,-1.1036),(6185,3935,0.018288,-1.0971),(6185,3945,0.017952,-1.0906),(6185,3955,0.017579,-1.0842),(6185,3965,0.017206,-1.0771),(6185,3975,0.016834,-1.0694),(6185,3985,0.016037,-1.0617),(6185,3995,0.01478,-1.054),(6185,4005,0.013524,-1.0469),(6185,4015,0.012268,-1.0404),(6185,4025,0.1094,-1.034),(6185,4035,0.21617,-1.0293),(6185,4045,0.32293,-1.0283),(6185,4055,0.40068,-1.0273),(6185,4065,0.46785,-1.0261),(6185,4075,0.53502,-1.0243),(6185,4085,0.56551,-1.0225),(6185,4095,0.56651,-1.0207),(6185,4105,0.56752,-1.0188),(6185,4115,0.56854,-1.0169),(6185,4125,0.56959,-1.0151),(6185,4135,0.57064,-1.0133),(6185,4145,0.5717,-1.0115),(6185,4155,0.5728,-1.0098),(6185,4165,0.57391,-1.008),(6185,4175,0.57501,-1.0061),(6185,4185,0.57616,-1.0043),(6185,4195,0.57732,-1.0025),(6185,4205,0.57847,-1.0006),(6185,4215,0.57968,-0.99871),(6185,4225,0.58089,-0.99685),(6185,4235,0.58211,-0.99501),(6185,4245,0.58337,-0.99317),(6185,4255,0.58466,-0.99133),(6185,4265,0.58594,-0.98941),(6185,4275,0.58725,-0.98749),(6185,4285,0.58859,-0.98557),(6185,4295,0.58993,-0.98362),(6185,4305,0.59129,-0.98166),(6185,4315,0.5927,-0.9797),(6185,4325,0.59411,-0.97777),(6185,4335,0.59553,-0.97583),(6185,4345,0.59702,-0.9739),(6185,4355,0.59852,-0.97193),(6185,4365,0.60001,-0.96992),(6185,4375,0.6016,-0.96791),(6185,4385,0.60319,-0.9659),(6185,4395,0.60477,-0.96387),(6185,4405,0.60645,-0.96184),(6185,4415,0.60814,-0.95979),(6185,4425,0.60984,-0.95768),(6185,4435,0.61158,-0.95557),(6185,4445,0.61336,-0.95347),(6185,4455,0.61514,-0.95129),(6185,4465,0.61694,-0.94912),(6185,4475,0.61878,-0.94695),(6185,4485,0.62061,-0.94469),(6185,4495,0.62246,-0.94241),(6185,4505,0.62433,-0.94013),(6185,4515,0.6262,-0.93783),(6185,4525,0.62808,-0.9355),(6185,4535,0.63001,-0.93318),(6185,4545,0.63194,-0.93084),(6185,4555,0.63387,-0.92847),(6185,4565,0.63588,-0.9261),(6185,4575,0.63789,-0.92369),(6185,4585,0.6399,-0.9212),(6185,4595,0.64196,-0.91872),(6185,4605,0.64405,-0.91622),(6185,4615,0.64613,-0.91364),(6185,4625,0.64825,-0.91106),(6185,4635,0.6504,-0.90848),(6185,4645,0.65255,-0.90586),(6185,4655,0.65471,-0.90323),(6185,4665,0.65692,-0.90061),(6185,4675,0.65912,-0.89794),(6185,4685,0.66133,-0.89526),(6185,4695,0.66359,-0.89258),(6185,4705,0.66586,-0.88983),(6185,4715,0.66812,-0.88702),(6185,4725,0.67044,-0.88421),(6185,4735,0.67275,-0.88135),(6185,4745,0.67507,-0.87842),(6185,4755,0.67742,-0.87548),(6185,4765,0.67978,-0.87253),(6185,4775,0.68214,-0.86952),(6185,4785,0.68452,-0.86651),(6185,4795,0.68691,-0.86349),(6185,4805,0.6893,-0.86041),(6185,4815,0.69171,-0.85733),(6185,4825,0.69414,-0.85424),(6185,4835,0.69657,-0.85108),(6185,4845,0.69901,-0.84791),(6185,4855,0.70148,-0.84474),(6185,4865,0.70394,-0.84152),(6185,4875,0.70641,-0.83826),(6185,4885,0.7089,-0.83501),(6185,4895,0.71139,-0.83171),(6185,4905,0.71388,-0.82836),(6185,4915,0.71638,-0.82501),(6185,4925,0.71888,-0.82163),(6185,4935,0.72138,-0.81819),(6185,4945,0.72389,-0.81474),(6185,4955,0.7264,-0.81128),(6185,4965,0.72891,-0.80775),(6185,4975,0.73142,-0.80422),(6185,4985,0.73394,-0.80069),(6185,4995,0.73646,-0.79709),(6185,5005,0.73899,-0.79348),(6185,5015,0.74153,-0.78987),(6185,5025,0.74407,-0.7862),(6185,5035,0.74662,-0.78253),(6185,5045,0.74918,-0.77885),(6185,5055,0.75175,-0.77515),(6185,5065,0.75431,-0.77142),(6185,5075,0.75689,-0.76769),(6185,5085,0.75947,-0.76392),(6185,5095,0.76205,-0.7601),(6185,5105,0.76462,-0.75628),(6185,5115,0.76719,-0.75244),(6185,5125,0.76976,-0.74854),(6185,5135,0.77232,-0.74463),(6185,5145,0.77488,-0.74072),(6185,5155,0.77743,-0.73673),(6185,5165,0.77997,-0.73274),(6185,5175,0.7825,-0.72876),(6185,5185,0.78502,-0.72469),(6185,5195,0.78754,-0.7206),(6185,5205,0.79004,-0.71652),(6185,5215,0.79253,-0.71238),(6185,5225,0.79502,-0.70821),(6185,5235,0.7975,-0.70404),(6185,5245,0.79999,-0.69985),(6185,5255,0.80247,-0.69564),(6185,5265,0.80495,-0.69143),(6185,5275,0.80743,-0.68721),(6185,5285,0.80992,-0.68297),(6185,5295,0.8124,-0.67872),(6185,5305,0.81489,-0.67446),(6185,5315,0.81738,-0.67013),(6185,5325,0.81985,-0.66581),(6185,5335,0.82232,-0.66148),(6185,5345,0.82479,-0.65707),(6185,5355,0.82724,-0.65266),(6185,5365,0.82967,-0.64825),(6185,5375,0.8321,-0.64378),(6185,5385,0.83452,-0.6393),(6185,5395,0.8369,-0.63483),(6185,5405,0.83928,-0.6303),(6185,5415,0.84166,-0.62575),(6185,5425,0.84398,-0.62119),(6185,5435,0.84631,-0.61661),(6185,5445,0.84863,-0.61199),(6185,5455,0.85092,-0.60737),(6185,5465,0.8532,-0.60274),(6185,5475,0.85549,-0.59809),(6185,5485,0.85777,-0.59343),(6185,5495,0.86006,-0.58878),(6185,5505,0.86234,-0.58411),(6185,5515,0.86463,-0.57944),(6185,5525,0.86692,-0.57477),(6185,5535,0.86921,-0.57007),(6185,5545,0.87149,-0.56537),(6185,5555,0.87376,-0.56067),(6185,5565,0.87602,-0.55592),(6185,5575,0.87828,-0.55115),(6185,5585,0.88049,-0.54638),(6185,5595,0.8827,-0.54156),(6185,5605,0.88491,-0.5367),(6185,5615,0.88706,-0.53183),(6185,5625,0.8892,-0.52694),(6185,5635,0.89135,-0.52199),(6185,5645,0.89344,-0.51705),(6185,5655,0.89553,-0.51209),(6185,5665,0.89761,-0.5071),(6185,5675,0.89966,-0.50211),(6185,5685,0.90169,-0.49712),(6185,5695,0.90372,-0.49211),(6185,5705,0.90574,-0.48709),(6185,5715,0.90774,-0.48208),(6185,5725,0.90974,-0.47701),(6185,5735,0.91173,-0.47194),(6185,5745,0.91369,-0.46686),(6185,5755,0.91565,-0.46175),(6185,5765,0.91761,-0.45662),(6185,5775,0.91952,-0.4515),(6185,5785,0.92143,-0.44635),(6185,5795,0.92334,-0.44117),(6185,5805,0.9252,-0.43599),(6185,5815,0.92706,-0.4308),(6185,5825,0.92892,-0.42558),(6185,5835,0.93073,-0.42036),(6185,5845,0.93254,-0.41514),(6185,5855,0.93434,-0.4099),(6185,5865,0.93611,-0.40467),(6185,5875,0.93786,-0.39943),(6185,5885,0.93961,-0.39418),(6185,5895,0.94134,-0.38892),(6185,5905,0.94303,-0.38367),(6185,5915,0.94472,-0.37838),(6185,5925,0.94639,-0.37307),(6185,5935,0.94801,-0.36777),(6185,5945,0.94962,-0.36242),(6185,5955,0.95123,-0.35703),(6185,5965,0.95277,-0.35165),(6185,5975,0.9543,-0.34624),(6185,5985,0.95584,-0.34079),(6185,5995,0.95732,-0.33534),(6185,6005,0.95879,-0.32987),(6185,6015,0.96026,-0.32435),(6185,6025,0.96169,-0.31883),(6185,6035,0.9631,-0.31331),(6185,6045,0.96452,-0.3078),(6185,6055,0.96591,-0.30229),(6185,6065,0.96728,-0.29678),(6185,6075,0.96865,-0.29136),(6185,6085,0.97,-0.28594),(6185,6095,0.97132,-0.28052),(6185,6105,0.97263,-0.27506),(6185,6115,0.97394,-0.2696),(6185,6125,0.97517,-0.26413),(6185,6135,0.9764,-0.25858),(6185,6145,0.97763,-0.25298),(6185,6155,0.97878,-0.24737),(6185,6165,0.97993,-0.24175),(6185,6175,0.98107,-0.23611),(6185,6185,0.98216,-0.23046),(6185,6195,0.98324,-0.22482),(6185,6205,0.98431,-0.21915),(6185,6215,0.98533,-0.21349),(6185,6225,0.98633,-0.20782),(6185,6235,0.98732,-0.20214),(6185,6245,0.98828,-0.19645),(6185,6255,0.9892,-0.19077),(6185,6265,0.99012,-0.1851),(6185,6275,0.99101,-0.17943),(6185,6285,0.99185,-0.17376),(6185,6295,0.99269,-0.1681),(6185,6305,0.99352,-0.16245),(6185,6315,0.99427,-0.15679),(6185,6325,0.99501,-0.15106),(6185,6335,0.99575,-0.14526),(6185,6345,0.99641,-0.13946),(6185,6355,0.99705,-0.13366),(6185,6365,0.99769,-0.12789),(6185,6375,0.99828,-0.12212),(6185,6385,0.99884,-0.11636),(6185,6395,0.99941,-0.11066),(6185,6405,0.99993,-0.10497),(6185,6415,1.0004,-0.099271),(6185,6425,1.0009,-0.09353),(6185,6435,1.0014,-0.087787),(6185,6445,1.0018,-0.082045),(6185,6455,1.0022,-0.076326),(6185,6465,1.0026,-0.070614),(6185,6475,1.003,-0.064902),(6185,6485,1.0033,-0.059144),(6185,6495,1.0037,-0.053356),(6185,6505,1.0039,-0.047567),(6185,6515,1.0042,-0.041735),(6185,6525,1.0044,-0.035845),(6185,6535,1.0046,-0.029954),(6185,6545,1.0047,-0.024099),(6185,6555,1.0049,-0.018354),(6185,6565,1.005,-0.012609),(6185,6575,1.005,-0.006862),(6185,6585,1.005,-0.001101),(6185,6595,0.85483,0.004661),(6185,6605,0.53868,0.010422),(6185,6615,0.22254,0.011087),(6185,6625,0.000305,0.011097),(6185,6635,0.000339,0.011106),(6185,6645,0.000373,0.01111),(6185,6655,0.000407,0.011112),(6185,6665,0.000441,0.011114),(6185,6675,0.000475,0.011115),(6185,6685,0.000509,0.011116),(6185,6695,0.000542,0.011117),(6185,6705,0.000576,0.011118),(6185,6715,0.00061,0.011118),(6185,6725,0.000643,0.011118),(6185,6735,0.000676,0.011118),(6185,6745,0.00071,0.011117),(6185,6755,0.000743,0.011116),(6185,6765,0.000776,0.011115),(6185,6775,0.000809,0.011113),(6185,6785,0.000841,0.011111),(6185,6795,0.000874,0.01111),(6185,6805,0.000907,0.011107),(6185,6815,0.000939,0.011104),(6185,6825,0.000971,0.011101),(6185,6835,0.001003,0.011098),(6185,6845,0.001035,0.011094),(6185,6855,0.001067,0.011091),(6185,6865,0.001099,0.011087),(6185,6875,0.00113,0.011082),(6185,6885,0.001161,0.011078),(6185,6895,0.001192,0.011073),(6185,6905,0.001223,0.011067),(6185,6915,0.001254,0.011062),(6185,6925,0.001285,0.011057),(6185,6935,0.001315,0.01105),(6185,6945,0.001345,0.011044),(6185,6955,0.001375,0.011038),(6185,6965,0.001405,0.011031),(6185,6975,0.001435,0.011024),(6185,6985,0.001464,0.011016),(6195,5,-1e-06,-1.3201),(6195,15,-2e-06,-1.32),(6195,25,3e-06,-1.3198),(6195,35,1.3e-05,-1.3197),(6195,45,2.4e-05,-1.3196),(6195,55,3.5e-05,-1.3196),(6195,65,6.4e-05,-1.3196),(6195,75,0.000109,-1.3196),(6195,85,0.000154,-1.3195),(6195,95,0.000199,-1.3195),(6195,105,0.000232,-1.3195),(6195,115,0.000259,-1.3194),(6195,125,0.000285,-1.3194),(6195,135,0.000311,-1.3194),(6195,145,0.000325,-1.3193),(6195,155,0.000333,-1.3193),(6195,165,0.000341,-1.3193),(6195,175,0.000349,-1.3193),(6195,185,0.000347,-1.3193),(6195,195,0.000341,-1.3192),(6195,205,0.000335,-1.3192),(6195,215,0.000328,-1.3193),(6195,225,0.000312,-1.3193),(6195,235,0.000291,-1.3193),(6195,245,0.000271,-1.3192),(6195,255,0.000251,-1.3192),(6195,265,0.000238,-1.3192),(6195,275,0.000228,-1.3191),(6195,285,0.000218,-1.3191),(6195,295,0.000208,-1.3191),(6195,305,0.000237,-1.319),(6195,315,0.000277,-1.319),(6195,325,0.000316,-1.319),(6195,335,0.000355,-1.3191),(6195,345,0.000418,-1.3191),(6195,355,0.000486,-1.3191),(6195,365,0.000553,-1.3192),(6195,375,0.000621,-1.3192),(6195,385,0.000659,-1.3192),(6195,395,0.000693,-1.3192),(6195,405,0.000727,-1.3192),(6195,415,0.000761,-1.3191),(6195,425,0.000798,-1.319),(6195,435,0.000836,-1.3189),(6195,445,0.000873,-1.3188),(6195,455,0.000911,-1.3188),(6195,465,0.000978,-1.3188),(6195,475,0.001046,-1.3188),(6195,485,0.001114,-1.3188),(6195,495,0.001183,-1.3188),(6195,505,0.001251,-1.3188),(6195,515,0.001319,-1.3188),(6195,525,0.001388,-1.3188),(6195,535,0.001455,-1.3188),(6195,545,0.001504,-1.3188),(6195,555,0.001552,-1.3188),(6195,565,0.0016,-1.3187),(6195,575,0.001649,-1.3186),(6195,585,0.001705,-1.3186),(6195,595,0.001762,-1.3185),(6195,605,0.001818,-1.3185),(6195,615,0.001878,-1.3186),(6195,625,0.001967,-1.3186),(6195,635,0.002056,-1.3186),(6195,645,0.002145,-1.3186),(6195,655,0.002234,-1.3187),(6195,665,0.002322,-1.3187),(6195,675,0.002409,-1.3187),(6195,685,0.002496,-1.3186),(6195,695,0.002591,-1.3185),(6195,705,0.002721,-1.3185),(6195,715,0.00285,-1.3184),(6195,725,0.00298,-1.3184),(6195,735,0.003123,-1.3184),(6195,745,0.003311,-1.3184),(6195,755,0.003499,-1.3184),(6195,765,0.003687,-1.3183),(6195,775,0.003885,-1.3183),(6195,785,0.004111,-1.3183),(6195,795,0.004337,-1.3182),(6195,805,0.004563,-1.3182),(6195,815,0.004807,-1.3181),(6195,825,0.00509,-1.3181),(6195,835,0.005373,-1.318),(6195,845,0.005656,-1.3179),(6195,855,0.005942,-1.3178),(6195,865,0.006235,-1.3177),(6195,875,0.006528,-1.3176),(6195,885,0.006821,-1.3174),(6195,895,0.007125,-1.3172),(6195,905,0.007447,-1.3171),(6195,915,0.00777,-1.3169),(6195,925,0.008092,-1.3167),(6195,935,0.00846,-1.3165),(6195,945,0.008888,-1.3162),(6195,955,0.009316,-1.316),(6195,965,0.009744,-1.3158),(6195,975,0.010211,-1.3156),(6195,985,0.010723,-1.3154),(6195,995,0.011234,-1.3151),(6195,1005,0.011746,-1.3147),(6195,1015,0.012244,-1.3144),(6195,1025,0.012728,-1.314),(6195,1035,0.013212,-1.3135),(6195,1045,0.013696,-1.3128),(6195,1055,0.01411,-1.3121),(6195,1065,0.014466,-1.3115),(6195,1075,0.014823,-1.3105),(6195,1085,0.01518,-1.3094),(6195,1095,0.015443,-1.3083),(6195,1105,0.01564,-1.3072),(6195,1115,0.015838,-1.3058),(6195,1125,0.016035,-1.3042),(6195,1135,0.016048,-1.3025),(6195,1145,0.015951,-1.3009),(6195,1155,0.015853,-1.2986),(6195,1165,0.015756,-1.2961),(6195,1175,0.015324,-1.2935),(6195,1185,0.014725,-1.2909),(6195,1195,0.014126,-1.2873),(6195,1205,0.013528,-1.2831),(6195,1215,0.012579,-1.279),(6195,1225,0.011485,-1.2748),(6195,1235,0.010392,-1.2691),(6195,1245,0.009298,-1.2628),(6195,1255,0.008102,-1.2565),(6195,1265,0.006871,-1.2503),(6195,1275,0.005639,-1.2422),(6195,1285,0.004408,-1.2336),(6195,1295,0.003402,-1.225),(6195,1305,0.002457,-1.2164),(6195,1315,0.001512,-1.2105),(6195,1325,0.000567,-1.2053),(6195,1335,0.00042,-1.2),(6195,1345,0.000439,-1.1948),(6195,1355,0.000458,-1.1972),(6195,1365,0.000478,-1.201),(6195,1375,8.7e-05,-1.2047),(6195,1385,-0.000367,-1.2085),(6195,1395,-0.00082,-1.2167),(6195,1405,-0.001274,-1.2255),(6195,1415,-0.002498,-1.2343),(6195,1425,-0.003802,-1.2431),(6195,1435,-0.005105,-1.2497),(6195,1445,-0.006409,-1.256),(6195,1455,-0.007591,-1.2624),(6195,1465,-0.008765,-1.2687),(6195,1475,-0.00994,-1.273),(6195,1485,-0.011115,-1.2772),(6195,1495,-0.011837,-1.2815),(6195,1505,-0.012553,-1.2857),(6195,1515,-0.013268,-1.2883),(6195,1525,-0.013972,-1.291),(6195,1535,-0.014217,-1.2936),(6195,1545,-0.014462,-1.2962),(6195,1555,-0.014708,-1.2978),(6195,1565,-0.014921,-1.2994),(6195,1575,-0.01467,-1.3009),(6195,1585,-0.01442,-1.3024),(6195,1595,-0.014169,-1.3033),(6195,1605,-0.013906,-1.3042),(6195,1615,-0.013529,-1.3051),(6195,1625,-0.013153,-1.3059),(6195,1635,-0.012777,-1.3063),(6195,1645,-0.012392,-1.3067),(6195,1655,-0.011958,-1.3071),(6195,1665,-0.011524,-1.3075),(6195,1675,-0.01109,-1.3078),(6195,1685,-0.010641,-1.3081),(6195,1695,-0.010124,-1.3085),(6195,1705,-0.009606,-1.3088),(6195,1715,-0.009089,-1.3088),(6195,1725,-0.008582,-1.3089),(6195,1735,-0.008111,-1.309),(6195,1745,-0.007639,-1.309),(6195,1755,-0.007168,-1.3089),(6195,1765,-0.006722,-1.3088),(6195,1775,-0.006348,-1.3087),(6195,1785,-0.005973,-1.3086),(6195,1795,-0.005599,-1.3086),(6195,1805,-0.005251,-1.3085),(6195,1815,-0.004962,-1.3084),(6195,1825,-0.004673,-1.3082),(6195,1835,-0.004385,-1.3081),(6195,1845,-0.004104,-1.3079),(6195,1855,-0.003839,-1.3078),(6195,1865,-0.003573,-1.3076),(6195,1875,-0.003308,-1.3074),(6195,1885,-0.003063,-1.3071),(6195,1895,-0.00285,-1.3069),(6195,1905,-0.002638,-1.3066),(6195,1915,-0.002426,-1.3064),(6195,1925,-0.002238,-1.3061),(6195,1935,-0.002086,-1.3058),(6195,1945,-0.001933,-1.3055),(6195,1955,-0.001781,-1.3053),(6195,1965,-0.001632,-1.3051),(6195,1975,-0.001487,-1.3048),(6195,1985,-0.001342,-1.3046),(6195,1995,-0.001198,-1.3043),(6195,2005,-0.001063,-1.304),(6195,2015,-0.000937,-1.3037),(6195,2025,-0.000811,-1.3034),(6195,2035,-0.000685,-1.3031),(6195,2045,-0.000547,-1.3028),(6195,2055,-0.000398,-1.3025),(6195,2065,-0.000248,-1.3023),(6195,2075,-9.9e-05,-1.3021),(6195,2085,3.6e-05,-1.3019),(6195,2095,0.000161,-1.3017),(6195,2105,0.000286,-1.3015),(6195,2115,0.000411,-1.3012),(6195,2125,0.000484,-1.3008),(6195,2135,0.000524,-1.3005),(6195,2145,0.000565,-1.3002),(6195,2155,0.000606,-1.2998),(6195,2165,0.000647,-1.2995),(6195,2175,0.000689,-1.2991),(6195,2185,0.00073,-1.2988),(6195,2195,0.000771,-1.2985),(6195,2205,0.000809,-1.2981),(6195,2215,0.000846,-1.2978),(6195,2225,0.000884,-1.2975),(6195,2235,0.000921,-1.2971),(6195,2245,0.000946,-1.2967),(6195,2255,0.000966,-1.2963),(6195,2265,0.000987,-1.2959),(6195,2275,0.001008,-1.2955),(6195,2285,0.00105,-1.2952),(6195,2295,0.001098,-1.2948),(6195,2305,0.001147,-1.2944),(6195,2315,0.001195,-1.2941),(6195,2325,0.001243,-1.2938),(6195,2335,0.001291,-1.2934),(6195,2345,0.00134,-1.293),(6195,2355,0.001388,-1.2926),(6195,2365,0.001436,-1.2922),(6195,2375,0.001485,-1.2918),(6195,2385,0.001534,-1.2913),(6195,2395,0.001582,-1.2909),(6195,2405,0.001643,-1.2905),(6195,2415,0.001705,-1.29),(6195,2425,0.001767,-1.2896),(6195,2435,0.001829,-1.2891),(6195,2445,0.001889,-1.2887),(6195,2455,0.001949,-1.2882),(6195,2465,0.002008,-1.2878),(6195,2475,0.002068,-1.2874),(6195,2485,0.002134,-1.287),(6195,2495,0.0022,-1.2866),(6195,2505,0.002266,-1.2861),(6195,2515,0.002331,-1.2857),(6195,2525,0.002381,-1.2853),(6195,2535,0.002432,-1.2849),(6195,2545,0.002482,-1.2843),(6195,2555,0.002531,-1.2838),(6195,2565,0.002543,-1.2832),(6195,2575,0.002555,-1.2827),(6195,2585,0.002567,-1.2821),(6195,2595,0.002579,-1.2815),(6195,2605,0.00258,-1.2809),(6195,2615,0.002581,-1.2804),(6195,2625,0.002583,-1.2798),(6195,2635,0.002585,-1.2792),(6195,2645,0.002594,-1.2786),(6195,2655,0.002603,-1.278),(6195,2665,0.002612,-1.2774),(6195,2675,0.002626,-1.2768),(6195,2685,0.002668,-1.2761),(6195,2695,0.00271,-1.2755),(6195,2705,0.002752,-1.275),(6195,2715,0.002803,-1.2745),(6195,2725,0.002886,-1.2739),(6195,2735,0.00297,-1.2734),(6195,2745,0.003053,-1.2729),(6195,2755,0.003126,-1.2724),(6195,2765,0.003165,-1.2719),(6195,2775,0.003204,-1.2713),(6195,2785,0.003244,-1.2706),(6195,2795,0.003268,-1.2698),(6195,2805,0.003254,-1.2691),(6195,2815,0.00324,-1.2683),(6195,2825,0.003226,-1.2676),(6195,2835,0.003232,-1.2668),(6195,2845,0.003277,-1.2661),(6195,2855,0.003323,-1.2654),(6195,2865,0.003369,-1.2648),(6195,2875,0.003423,-1.2642),(6195,2885,0.003491,-1.2636),(6195,2895,0.00356,-1.263),(6195,2905,0.003628,-1.2622),(6195,2915,0.003674,-1.2615),(6195,2925,0.00369,-1.2608),(6195,2935,0.003706,-1.26),(6195,2945,0.003722,-1.2591),(6195,2955,0.003745,-1.2582),(6195,2965,0.003778,-1.2573),(6195,2975,0.00381,-1.2565),(6195,2985,0.003843,-1.2558),(6195,2995,0.003898,-1.255),(6195,3005,0.003976,-1.2542),(6195,3015,0.004054,-1.2535),(6195,3025,0.004132,-1.2527),(6195,3035,0.004201,-1.2519),(6195,3045,0.004261,-1.2511),(6195,3055,0.004321,-1.2502),(6195,3065,0.004381,-1.2493),(6195,3075,0.004433,-1.2484),(6195,3085,0.004479,-1.2475),(6195,3095,0.004526,-1.2466),(6195,3105,0.004572,-1.2457),(6195,3115,0.004623,-1.2448),(6195,3125,0.004677,-1.2439),(6195,3135,0.004732,-1.243),(6195,3145,0.004786,-1.2421),(6195,3155,0.004847,-1.2411),(6195,3165,0.004912,-1.2402),(6195,3175,0.004977,-1.2393),(6195,3185,0.005041,-1.2384),(6195,3195,0.005109,-1.2375),(6195,3205,0.005178,-1.2365),(6195,3215,0.005247,-1.2356),(6195,3225,0.005315,-1.2346),(6195,3235,0.005394,-1.2336),(6195,3245,0.005475,-1.2327),(6195,3255,0.005557,-1.2317),(6195,3265,0.005638,-1.2307),(6195,3275,0.005742,-1.2297),(6195,3285,0.005853,-1.2287),(6195,3295,0.005963,-1.2277),(6195,3305,0.006074,-1.2267),(6195,3315,0.006155,-1.2256),(6195,3325,0.006228,-1.2246),(6195,3335,0.006302,-1.2235),(6195,3345,0.006375,-1.2224),(6195,3355,0.006448,-1.2212),(6195,3365,0.006521,-1.2201),(6195,3375,0.006594,-1.219),(6195,3385,0.006666,-1.2179),(6195,3395,0.00681,-1.2168),(6195,3405,0.006963,-1.2157),(6195,3415,0.007116,-1.2146),(6195,3425,0.007269,-1.2135),(6195,3435,0.007472,-1.2124),(6195,3445,0.007679,-1.2113),(6195,3455,0.007885,-1.2101),(6195,3465,0.008092,-1.2089),(6195,3475,0.008351,-1.2077),(6195,3485,0.008612,-1.2065),(6195,3495,0.008873,-1.2054),(6195,3505,0.009134,-1.2042),(6195,3515,0.009401,-1.2031),(6195,3525,0.009667,-1.2019),(6195,3535,0.009934,-1.2006),(6195,3545,0.010201,-1.1993),(6195,3555,0.010458,-1.198),(6195,3565,0.010715,-1.1967),(6195,3575,0.010972,-1.1953),(6195,3585,0.011233,-1.1938),(6195,3595,0.011533,-1.1924),(6195,3605,0.011834,-1.1909),(6195,3615,0.012134,-1.1895),(6195,3625,0.012447,-1.1881),(6195,3635,0.012854,-1.1867),(6195,3645,0.013261,-1.1853),(6195,3655,0.013669,-1.1837),(6195,3665,0.014072,-1.1822),(6195,3675,0.014454,-1.1807),(6195,3685,0.014835,-1.1791),(6195,3695,0.015217,-1.1772),(6195,3705,0.015581,-1.1754),(6195,3715,0.015872,-1.1736),(6195,3725,0.016163,-1.1717),(6195,3735,0.016454,-1.1697),(6195,3745,0.016745,-1.1677),(6195,3755,0.017037,-1.1657),(6195,3765,0.017329,-1.1635),(6195,3775,0.017622,-1.161),(6195,3785,0.017847,-1.1584),(6195,3795,0.017902,-1.1558),(6195,3805,0.017956,-1.1532),(6195,3815,0.018011,-1.1501),(6195,3825,0.017986,-1.1471),(6195,3835,0.017794,-1.1441),(6195,3845,0.017601,-1.1408),(6195,3855,0.017408,-1.1369),(6195,3865,0.01711,-1.1331),(6195,3875,0.016627,-1.1292),(6195,3885,0.016143,-1.1249),(6195,3895,0.01566,-1.1199),(6195,3905,0.015106,-1.1148),(6195,3915,0.014449,-1.1098),(6195,3925,0.013792,-1.1042),(6195,3935,0.013135,-1.0977),(6195,3945,0.012461,-1.0912),(6195,3955,0.011763,-1.0848),(6195,3965,0.011066,-1.0777),(6195,3975,0.010369,-1.0699),(6195,3985,0.009548,-1.0621),(6195,3995,0.008593,-1.0543),(6195,4005,0.007638,-1.0471),(6195,4015,0.006684,-1.0406),(6195,4025,0.1049,-1.034),(6195,4035,0.21282,-1.0293),(6195,4045,0.32074,-1.0282),(6195,4055,0.39855,-1.0272),(6195,4065,0.46536,-1.0261),(6195,4075,0.53218,-1.0242),(6195,4085,0.5625,-1.0224),(6195,4095,0.56351,-1.0206),(6195,4105,0.56451,-1.0187),(6195,4115,0.56553,-1.0169),(6195,4125,0.56657,-1.015),(6195,4135,0.56762,-1.0132),(6195,4145,0.56867,-1.0114),(6195,4155,0.56977,-1.0097),(6195,4165,0.57087,-1.0078),(6195,4175,0.57196,-1.006),(6195,4185,0.57311,-1.0042),(6195,4195,0.57425,-1.0023),(6195,4205,0.5754,-1.0005),(6195,4215,0.5766,-0.99857),(6195,4225,0.57781,-0.99669),(6195,4235,0.57903,-0.99484),(6195,4245,0.58028,-0.993),(6195,4255,0.58155,-0.99115),(6195,4265,0.58282,-0.98922),(6195,4275,0.58412,-0.98729),(6195,4285,0.58545,-0.98536),(6195,4295,0.58677,-0.98339),(6195,4305,0.58812,-0.98142),(6195,4315,0.58951,-0.97945),(6195,4325,0.5909,-0.9775),(6195,4335,0.5923,-0.97556),(6195,4345,0.59377,-0.97362),(6195,4355,0.59524,-0.97163),(6195,4365,0.59671,-0.96961),(6195,4375,0.59828,-0.9676),(6195,4385,0.59984,-0.96557),(6195,4395,0.60141,-0.96352),(6195,4405,0.60306,-0.96148),(6195,4415,0.60473,-0.95942),(6195,4425,0.60641,-0.95731),(6195,4435,0.60814,-0.95519),(6195,4445,0.6099,-0.95307),(6195,4455,0.61167,-0.9509),(6195,4465,0.61345,-0.94872),(6195,4475,0.61527,-0.94654),(6195,4485,0.6171,-0.94428),(6195,4495,0.61893,-0.94201),(6195,4505,0.62078,-0.93973),(6195,4515,0.62264,-0.93742),(6195,4525,0.6245,-0.93509),(6195,4535,0.62641,-0.93276),(6195,4545,0.62832,-0.9304),(6195,4555,0.63023,-0.92802),(6195,4565,0.6322,-0.92563),(6195,4575,0.63419,-0.92321),(6195,4585,0.63617,-0.92071),(6195,4595,0.6382,-0.91821),(6195,4605,0.64026,-0.9157),(6195,4615,0.64231,-0.91311),(6195,4625,0.6444,-0.91053),(6195,4635,0.64651,-0.90794),(6195,4645,0.64863,-0.90531),(6195,4655,0.65076,-0.90268),(6195,4665,0.65293,-0.90006),(6195,4675,0.6551,-0.89738),(6195,4685,0.65728,-0.89469),(6195,4695,0.65952,-0.89201),(6195,4705,0.66176,-0.88925),(6195,4715,0.66399,-0.88644),(6195,4725,0.66628,-0.88362),(6195,4735,0.66858,-0.88076),(6195,4745,0.67087,-0.87783),(6195,4755,0.67319,-0.8749),(6195,4765,0.67551,-0.87194),(6195,4775,0.67784,-0.86894),(6195,4785,0.68019,-0.86593),(6195,4795,0.68255,-0.86292),(6195,4805,0.6849,-0.85983),(6195,4815,0.68728,-0.85675),(6195,4825,0.68967,-0.85366),(6195,4835,0.69206,-0.8505),(6195,4845,0.69446,-0.84733),(6195,4855,0.69689,-0.84415),(6195,4865,0.69932,-0.84092),(6195,4875,0.70175,-0.83767),(6195,4885,0.70421,-0.83441),(6195,4895,0.70667,-0.83111),(6195,4905,0.70913,-0.82776),(6195,4915,0.71161,-0.82441),(6195,4925,0.71408,-0.82103),(6195,4935,0.71656,-0.81759),(6195,4945,0.71904,-0.81415),(6195,4955,0.72152,-0.81069),(6195,4965,0.724,-0.80717),(6195,4975,0.72649,-0.80364),(6195,4985,0.72897,-0.80011),(6195,4995,0.73146,-0.79651),(6195,5005,0.73396,-0.7929),(6195,5015,0.73646,-0.78929),(6195,5025,0.73897,-0.78563),(6195,5035,0.74148,-0.78195),(6195,5045,0.74401,-0.77827),(6195,5055,0.74654,-0.77455),(6195,5065,0.74907,-0.77082),(6195,5075,0.75162,-0.76708),(6195,5085,0.75416,-0.76331),(6195,5095,0.75671,-0.75949),(6195,5105,0.75927,-0.75567),(6195,5115,0.76182,-0.75183),(6195,5125,0.76437,-0.74793),(6195,5135,0.76691,-0.74403),(6195,5145,0.76945,-0.74012),(6195,5155,0.77199,-0.73615),(6195,5165,0.77452,-0.73217),(6195,5175,0.77703,-0.7282),(6195,5185,0.77955,-0.72414),(6195,5195,0.78205,-0.72007),(6195,5205,0.78452,-0.716),(6195,5215,0.787,-0.71187),(6195,5225,0.78947,-0.70771),(6195,5235,0.79192,-0.70355),(6195,5245,0.79436,-0.69936),(6195,5255,0.79681,-0.69515),(6195,5265,0.79926,-0.69094),(6195,5275,0.8017,-0.68672),(6195,5285,0.80415,-0.68246),(6195,5295,0.8066,-0.67821),(6195,5305,0.80905,-0.67395),(6195,5315,0.8115,-0.66961),(6195,5325,0.81395,-0.66528),(6195,5335,0.8164,-0.66095),(6195,5345,0.81885,-0.65654),(6195,5355,0.82128,-0.65213),(6195,5365,0.82371,-0.64772),(6195,5375,0.82613,-0.64326),(6195,5385,0.82854,-0.63879),(6195,5395,0.83091,-0.63432),(6195,5405,0.83329,-0.62981),(6195,5415,0.83566,-0.62527),(6195,5425,0.83797,-0.62074),(6195,5435,0.84028,-0.61616),(6195,5445,0.84259,-0.61156),(6195,5455,0.84485,-0.60695),(6195,5465,0.84711,-0.60232),(6195,5475,0.84937,-0.59767),(6195,5485,0.85162,-0.59302),(6195,5495,0.85386,-0.58836),(6195,5505,0.85611,-0.58368),(6195,5515,0.85836,-0.579),(6195,5525,0.86061,-0.57432),(6195,5535,0.86287,-0.56961),(6195,5545,0.86512,-0.56491),(6195,5555,0.86736,-0.5602),(6195,5565,0.8696,-0.55545),(6195,5575,0.87183,-0.55068),(6195,5585,0.87402,-0.54592),(6195,5595,0.87622,-0.5411),(6195,5605,0.87841,-0.53625),(6195,5615,0.88055,-0.53139),(6195,5625,0.88269,-0.52651),(6195,5635,0.88482,-0.52157),(6195,5645,0.8869,-0.51664),(6195,5655,0.88897,-0.51169),(6195,5665,0.89104,-0.50671),(6195,5675,0.89307,-0.50173),(6195,5685,0.89509,-0.49674),(6195,5695,0.8971,-0.49173),(6195,5705,0.89909,-0.48672),(6195,5715,0.90107,-0.4817),(6195,5725,0.90304,-0.47663),(6195,5735,0.90501,-0.47155),(6195,5745,0.90695,-0.46647),(6195,5755,0.90889,-0.46136),(6195,5765,0.91083,-0.45624),(6195,5775,0.91272,-0.45112),(6195,5785,0.91462,-0.44597),(6195,5795,0.91651,-0.4408),(6195,5805,0.91835,-0.43562),(6195,5815,0.92019,-0.43043),(6195,5825,0.92203,-0.42522),(6195,5835,0.92383,-0.42),(6195,5845,0.92561,-0.41478),(6195,5855,0.9274,-0.40955),(6195,5865,0.92915,-0.40431),(6195,5875,0.93089,-0.39907),(6195,5885,0.93263,-0.39382),(6195,5895,0.93434,-0.38857),(6195,5905,0.93602,-0.38332),(6195,5915,0.93771,-0.37803),(6195,5925,0.93937,-0.37273),(6195,5935,0.94098,-0.36743),(6195,5945,0.94259,-0.36209),(6195,5955,0.9442,-0.35671),(6195,5965,0.94573,-0.35134),(6195,5975,0.94726,-0.34594),(6195,5985,0.94879,-0.3405),(6195,5995,0.95025,-0.33506),(6195,6005,0.9517,-0.3296),(6195,6015,0.95315,-0.32408),(6195,6025,0.95456,-0.31857),(6195,6035,0.95595,-0.31305),(6195,6045,0.95733,-0.30754),(6195,6055,0.9587,-0.30202),(6195,6065,0.96004,-0.29651),(6195,6075,0.96139,-0.29108),(6195,6085,0.96272,-0.28565),(6195,6095,0.96401,-0.28023),(6195,6105,0.96531,-0.27477),(6195,6115,0.9666,-0.26931),(6195,6125,0.96782,-0.26385),(6195,6135,0.96904,-0.25831),(6195,6145,0.97026,-0.25271),(6195,6155,0.9714,-0.24711),(6195,6165,0.97255,-0.24149),(6195,6175,0.97369,-0.23585),(6195,6185,0.97477,-0.23021),(6195,6195,0.97584,-0.22457),(6195,6205,0.9769,-0.21891),(6195,6215,0.97792,-0.21325),(6195,6225,0.97891,-0.20759),(6195,6235,0.9799,-0.20191),(6195,6245,0.98085,-0.19623),(6195,6255,0.98176,-0.19055),(6195,6265,0.98268,-0.18488),(6195,6275,0.98357,-0.17922),(6195,6285,0.9844,-0.17355),(6195,6295,0.98524,-0.1679),(6195,6305,0.98606,-0.16225),(6195,6315,0.9868,-0.15661),(6195,6325,0.98754,-0.15089),(6195,6335,0.98828,-0.1451),(6195,6345,0.98892,-0.13931),(6195,6355,0.98956,-0.13352),(6195,6365,0.9902,-0.12776),(6195,6375,0.99077,-0.12199),(6195,6385,0.99133,-0.11623),(6195,6395,0.99189,-0.11054),(6195,6405,0.9924,-0.10485),(6195,6415,0.99288,-0.099155),(6195,6425,0.99336,-0.093411),(6195,6435,0.99381,-0.087665),(6195,6445,0.99423,-0.081918),(6195,6455,0.99465,-0.076199),(6195,6465,0.99506,-0.070488),(6195,6475,0.9954,-0.064777),(6195,6485,0.99575,-0.059024),(6195,6495,0.99609,-0.053242),(6195,6505,0.99635,-0.047461),(6195,6515,0.9966,-0.041638),(6195,6525,0.99685,-0.03576),(6195,6535,0.99702,-0.029881),(6195,6545,0.99716,-0.024038),(6195,6555,0.99731,-0.018304),(6195,6565,0.99738,-0.012569),(6195,6575,0.99743,-0.006833),(6195,6585,0.99747,-0.001075),(6195,6595,0.84838,0.004684),(6195,6605,0.53462,0.010442),(6195,6615,0.22086,0.011111),(6195,6625,0.000302,0.011125),(6195,6635,0.000336,0.011139),(6195,6645,0.00037,0.011145),(6195,6655,0.000405,0.011146),(6195,6665,0.000439,0.011148),(6195,6675,0.000473,0.011149),(6195,6685,0.000507,0.01115),(6195,6695,0.000541,0.011151),(6195,6705,0.000575,0.011152),(6195,6715,0.000609,0.011152),(6195,6725,0.000642,0.011152),(6195,6735,0.000676,0.011152),(6195,6745,0.000709,0.011151),(6195,6755,0.000743,0.011149),(6195,6765,0.000776,0.011148),(6195,6775,0.000809,0.011147),(6195,6785,0.000842,0.011145),(6195,6795,0.000875,0.011143),(6195,6805,0.000908,0.01114),(6195,6815,0.000941,0.011137),(6195,6825,0.000973,0.011134),(6195,6835,0.001005,0.011131),(6195,6845,0.001038,0.011127),(6195,6855,0.001069,0.011123),(6195,6865,0.001101,0.011119),(6195,6875,0.001133,0.011114),(6195,6885,0.001164,0.011109),(6195,6895,0.001196,0.011104),(6195,6905,0.001227,0.011099),(6195,6915,0.001258,0.011093),(6195,6925,0.001289,0.011087),(6195,6935,0.001319,0.011081),(6195,6945,0.00135,0.011074),(6195,6955,0.00138,0.011068),(6195,6965,0.00141,0.011061),(6195,6975,0.00144,0.011053),(6195,6985,0.001469,0.011046),(6205,5,0,-1.3201),(6205,15,0,-1.32),(6205,25,4e-06,-1.3198),(6205,35,1.1e-05,-1.3197),(6205,45,1.7e-05,-1.3196),(6205,55,2.4e-05,-1.3196),(6205,65,5e-05,-1.3196),(6205,75,9.1e-05,-1.3195),(6205,85,0.000133,-1.3195),(6205,95,0.000174,-1.3195),(6205,105,0.000209,-1.3195),(6205,115,0.000239,-1.3194),(6205,125,0.00027,-1.3194),(6205,135,0.0003,-1.3194),(6205,145,0.000322,-1.3193),(6205,155,0.000337,-1.3193),(6205,165,0.000353,-1.3193),(6205,175,0.000369,-1.3193),(6205,185,0.000372,-1.3193),(6205,195,0.00037,-1.3192),(6205,205,0.000367,-1.3192),(6205,215,0.000365,-1.3193),(6205,225,0.000346,-1.3193),(6205,235,0.000321,-1.3193),(6205,245,0.000296,-1.3193),(6205,255,0.00027,-1.3192),(6205,265,0.00025,-1.3192),(6205,275,0.000231,-1.3191),(6205,285,0.000212,-1.3191),(6205,295,0.000194,-1.3191),(6205,305,0.000212,-1.319),(6205,315,0.000241,-1.319),(6205,325,0.000269,-1.319),(6205,335,0.000298,-1.319),(6205,345,0.000363,-1.319),(6205,355,0.000435,-1.3191),(6205,365,0.000507,-1.3191),(6205,375,0.000579,-1.3191),(6205,385,0.00062,-1.3192),(6205,395,0.000657,-1.3192),(6205,405,0.000694,-1.3191),(6205,415,0.000731,-1.319),(6205,425,0.000763,-1.319),(6205,435,0.000794,-1.3189),(6205,445,0.000825,-1.3188),(6205,455,0.000855,-1.3188),(6205,465,0.000919,-1.3188),(6205,475,0.000984,-1.3188),(6205,485,0.001049,-1.3188),(6205,495,0.001114,-1.3188),(6205,505,0.001186,-1.3188),(6205,515,0.001258,-1.3188),(6205,525,0.001329,-1.3188),(6205,535,0.001401,-1.3188),(6205,545,0.001453,-1.3188),(6205,555,0.001506,-1.3188),(6205,565,0.001558,-1.3187),(6205,575,0.001611,-1.3186),(6205,585,0.001665,-1.3186),(6205,595,0.001719,-1.3185),(6205,605,0.001773,-1.3185),(6205,615,0.001832,-1.3185),(6205,625,0.00192,-1.3185),(6205,635,0.002008,-1.3186),(6205,645,0.002097,-1.3186),(6205,655,0.002184,-1.3186),(6205,665,0.002269,-1.3186),(6205,675,0.002354,-1.3187),(6205,685,0.002438,-1.3186),(6205,695,0.00253,-1.3185),(6205,705,0.002652,-1.3184),(6205,715,0.002774,-1.3183),(6205,725,0.002896,-1.3183),(6205,735,0.003033,-1.3183),(6205,745,0.003221,-1.3183),(6205,755,0.003409,-1.3183),(6205,765,0.003596,-1.3182),(6205,775,0.003794,-1.3182),(6205,785,0.004021,-1.3181),(6205,795,0.004247,-1.3181),(6205,805,0.004473,-1.318),(6205,815,0.004717,-1.318),(6205,825,0.005,-1.3179),(6205,835,0.005282,-1.3179),(6205,845,0.005565,-1.3178),(6205,855,0.005849,-1.3177),(6205,865,0.006135,-1.3176),(6205,875,0.006421,-1.3175),(6205,885,0.006707,-1.3173),(6205,895,0.006996,-1.3171),(6205,905,0.007289,-1.317),(6205,915,0.007582,-1.3168),(6205,925,0.007875,-1.3165),(6205,935,0.008211,-1.3163),(6205,945,0.008603,-1.3161),(6205,955,0.008995,-1.3158),(6205,965,0.009387,-1.3156),(6205,975,0.009818,-1.3154),(6205,985,0.010293,-1.3151),(6205,995,0.010768,-1.3148),(6205,1005,0.011242,-1.3145),(6205,1015,0.011693,-1.3142),(6205,1025,0.012119,-1.3138),(6205,1035,0.012545,-1.3133),(6205,1045,0.012971,-1.3127),(6205,1055,0.013306,-1.312),(6205,1065,0.013567,-1.3113),(6205,1075,0.013827,-1.3104),(6205,1085,0.014087,-1.3094),(6205,1095,0.014207,-1.3083),(6205,1105,0.014229,-1.3072),(6205,1115,0.014252,-1.3058),(6205,1125,0.014275,-1.3042),(6205,1135,0.014052,-1.3026),(6205,1145,0.013683,-1.301),(6205,1155,0.013315,-1.2989),(6205,1165,0.012947,-1.2964),(6205,1175,0.012159,-1.2939),(6205,1185,0.011162,-1.2914),(6205,1195,0.010165,-1.2879),(6205,1205,0.009168,-1.2838),(6205,1215,0.007731,-1.2798),(6205,1225,0.006114,-1.2757),(6205,1235,0.004496,-1.27),(6205,1245,0.002878,-1.2638),(6205,1255,0.001143,-1.2575),(6205,1265,-0.000633,-1.2513),(6205,1275,-0.002409,-1.2432),(6205,1285,-0.004185,-1.2344),(6205,1295,-0.004589,-1.2257),(6205,1305,-0.004622,-1.217),(6205,1315,-0.004655,-1.211),(6205,1325,-0.004687,-1.2056),(6205,1335,-0.002813,-1.2002),(6205,1345,-0.000539,-1.1949),(6205,1355,0.001734,-1.1973),(6205,1365,0.004008,-1.2012),(6205,1375,0.005017,-1.205),(6205,1385,0.00583,-1.2089),(6205,1395,0.006644,-1.2173),(6205,1405,0.007457,-1.2263),(6205,1415,0.005871,-1.2353),(6205,1425,0.004037,-1.2443),(6205,1435,0.002202,-1.2508),(6205,1445,0.000367,-1.2571),(6205,1455,-0.001352,-1.2634),(6205,1465,-0.003063,-1.2697),(6205,1475,-0.004775,-1.2739),(6205,1485,-0.006487,-1.278),(6205,1495,-0.007614,-1.2822),(6205,1505,-0.008731,-1.2863),(6205,1515,-0.009849,-1.2889),(6205,1525,-0.010952,-1.2914),(6205,1535,-0.011483,-1.294),(6205,1545,-0.012014,-1.2965),(6205,1555,-0.012545,-1.298),(6205,1565,-0.013036,-1.2994),(6205,1575,-0.012953,-1.3009),(6205,1585,-0.012869,-1.3023),(6205,1595,-0.012786,-1.3032),(6205,1605,-0.012682,-1.3041),(6205,1615,-0.012399,-1.305),(6205,1625,-0.012117,-1.3058),(6205,1635,-0.011834,-1.3062),(6205,1645,-0.011544,-1.3066),(6205,1655,-0.011212,-1.307),(6205,1665,-0.010879,-1.3073),(6205,1675,-0.010546,-1.3077),(6205,1685,-0.01019,-1.308),(6205,1695,-0.009729,-1.3083),(6205,1705,-0.009269,-1.3085),(6205,1715,-0.008809,-1.3086),(6205,1725,-0.008346,-1.3087),(6205,1735,-0.007872,-1.3087),(6205,1745,-0.0074,-1.3087),(6205,1755,-0.006927,-1.3087),(6205,1765,-0.006478,-1.3086),(6205,1775,-0.006098,-1.3085),(6205,1785,-0.005719,-1.3085),(6205,1795,-0.005339,-1.3084),(6205,1805,-0.004997,-1.3083),(6205,1815,-0.00474,-1.3083),(6205,1825,-0.004483,-1.3082),(6205,1835,-0.004226,-1.308),(6205,1845,-0.003976,-1.3078),(6205,1855,-0.003737,-1.3077),(6205,1865,-0.003499,-1.3075),(6205,1875,-0.00326,-1.3073),(6205,1885,-0.003031,-1.307),(6205,1895,-0.002816,-1.3068),(6205,1905,-0.002602,-1.3066),(6205,1915,-0.002388,-1.3063),(6205,1925,-0.002198,-1.306),(6205,1935,-0.002041,-1.3057),(6205,1945,-0.001885,-1.3054),(6205,1955,-0.001728,-1.3052),(6205,1965,-0.001575,-1.305),(6205,1975,-0.001427,-1.3048),(6205,1985,-0.001278,-1.3045),(6205,1995,-0.00113,-1.3042),(6205,2005,-0.000994,-1.3039),(6205,2015,-0.000872,-1.3036),(6205,2025,-0.00075,-1.3033),(6205,2035,-0.000627,-1.303),(6205,2045,-0.000493,-1.3027),(6205,2055,-0.000349,-1.3024),(6205,2065,-0.000205,-1.3022),(6205,2075,-6.1e-05,-1.302),(6205,2085,8.1e-05,-1.3018),(6205,2095,0.000222,-1.3016),(6205,2105,0.000363,-1.3014),(6205,2115,0.000503,-1.3011),(6205,2125,0.000589,-1.3008),(6205,2135,0.00064,-1.3005),(6205,2145,0.000692,-1.3002),(6205,2155,0.000743,-1.2998),(6205,2165,0.00078,-1.2995),(6205,2175,0.000809,-1.2991),(6205,2185,0.000838,-1.2988),(6205,2195,0.000867,-1.2985),(6205,2205,0.00089,-1.2982),(6205,2215,0.00091,-1.2979),(6205,2225,0.00093,-1.2975),(6205,2235,0.00095,-1.2971),(6205,2245,0.000959,-1.2967),(6205,2255,0.000965,-1.2963),(6205,2265,0.000971,-1.2959),(6205,2275,0.000977,-1.2955),(6205,2285,0.001011,-1.2951),(6205,2295,0.001054,-1.2948),(6205,2305,0.001096,-1.2944),(6205,2315,0.001139,-1.2941),(6205,2325,0.00119,-1.2937),(6205,2335,0.001244,-1.2934),(6205,2345,0.001298,-1.293),(6205,2355,0.001352,-1.2926),(6205,2365,0.001408,-1.2922),(6205,2375,0.001465,-1.2917),(6205,2385,0.001522,-1.2913),(6205,2395,0.001578,-1.2909),(6205,2405,0.001649,-1.2904),(6205,2415,0.001721,-1.29),(6205,2425,0.001793,-1.2895),(6205,2435,0.001865,-1.2891),(6205,2445,0.001933,-1.2886),(6205,2455,0.002002,-1.2882),(6205,2465,0.00207,-1.2878),(6205,2475,0.002139,-1.2874),(6205,2485,0.002208,-1.287),(6205,2495,0.002278,-1.2865),(6205,2505,0.002348,-1.2861),(6205,2515,0.002417,-1.2857),(6205,2525,0.00247,-1.2853),(6205,2535,0.002523,-1.2848),(6205,2545,0.002576,-1.2843),(6205,2555,0.002627,-1.2838),(6205,2565,0.002639,-1.2832),(6205,2575,0.002651,-1.2827),(6205,2585,0.002662,-1.2821),(6205,2595,0.002672,-1.2815),(6205,2605,0.002663,-1.281),(6205,2615,0.002655,-1.2804),(6205,2625,0.002646,-1.2798),(6205,2635,0.002636,-1.2792),(6205,2645,0.002624,-1.2786),(6205,2655,0.002611,-1.278),(6205,2665,0.002599,-1.2774),(6205,2675,0.002592,-1.2768),(6205,2685,0.002615,-1.2761),(6205,2695,0.002637,-1.2755),(6205,2705,0.002659,-1.275),(6205,2715,0.002694,-1.2744),(6205,2725,0.002774,-1.2739),(6205,2735,0.002854,-1.2734),(6205,2745,0.002935,-1.2729),(6205,2755,0.003007,-1.2724),(6205,2765,0.003055,-1.2719),(6205,2775,0.003103,-1.2713),(6205,2785,0.003151,-1.2706),(6205,2795,0.003181,-1.2698),(6205,2805,0.003167,-1.2691),(6205,2815,0.003152,-1.2683),(6205,2825,0.003138,-1.2676),(6205,2835,0.003142,-1.2668),(6205,2845,0.003182,-1.266),(6205,2855,0.003222,-1.2653),(6205,2865,0.003262,-1.2647),(6205,2875,0.003314,-1.2641),(6205,2885,0.003387,-1.2636),(6205,2895,0.003459,-1.2629),(6205,2905,0.003531,-1.2622),(6205,2915,0.003581,-1.2615),(6205,2925,0.003599,-1.2608),(6205,2935,0.003616,-1.26),(6205,2945,0.003633,-1.2591),(6205,2955,0.003655,-1.2582),(6205,2965,0.003682,-1.2573),(6205,2975,0.00371,-1.2565),(6205,2985,0.003738,-1.2557),(6205,2995,0.003793,-1.255),(6205,3005,0.003877,-1.2542),(6205,3015,0.003961,-1.2534),(6205,3025,0.004045,-1.2526),(6205,3035,0.004122,-1.2518),(6205,3045,0.004193,-1.251),(6205,3055,0.004263,-1.2502),(6205,3065,0.004334,-1.2493),(6205,3075,0.00439,-1.2484),(6205,3085,0.004436,-1.2475),(6205,3095,0.004482,-1.2466),(6205,3105,0.004527,-1.2457),(6205,3115,0.004574,-1.2448),(6205,3125,0.004622,-1.2439),(6205,3135,0.00467,-1.2429),(6205,3145,0.004718,-1.242),(6205,3155,0.004772,-1.2411),(6205,3165,0.004829,-1.2402),(6205,3175,0.004887,-1.2393),(6205,3185,0.004944,-1.2384),(6205,3195,0.005003,-1.2374),(6205,3205,0.005062,-1.2365),(6205,3215,0.005121,-1.2356),(6205,3225,0.00518,-1.2346),(6205,3235,0.00525,-1.2336),(6205,3245,0.005326,-1.2326),(6205,3255,0.005402,-1.2316),(6205,3265,0.005477,-1.2306),(6205,3275,0.00559,-1.2296),(6205,3285,0.005714,-1.2286),(6205,3295,0.005838,-1.2276),(6205,3305,0.005962,-1.2266),(6205,3315,0.006057,-1.2256),(6205,3325,0.006144,-1.2246),(6205,3335,0.006232,-1.2235),(6205,3345,0.006319,-1.2223),(6205,3355,0.006383,-1.2212),(6205,3365,0.006443,-1.2201),(6205,3375,0.006503,-1.2189),(6205,3385,0.006562,-1.2178),(6205,3395,0.006688,-1.2167),(6205,3405,0.006822,-1.2156),(6205,3415,0.006956,-1.2145),(6205,3425,0.00709,-1.2134),(6205,3435,0.007285,-1.2123),(6205,3445,0.007485,-1.2112),(6205,3455,0.007686,-1.21),(6205,3465,0.007886,-1.2088),(6205,3475,0.008151,-1.2076),(6205,3485,0.008418,-1.2064),(6205,3495,0.008685,-1.2052),(6205,3505,0.008953,-1.2041),(6205,3515,0.00923,-1.2029),(6205,3525,0.009508,-1.2018),(6205,3535,0.009786,-1.2005),(6205,3545,0.010061,-1.1992),(6205,3555,0.010294,-1.1979),(6205,3565,0.010527,-1.1966),(6205,3575,0.01076,-1.1952),(6205,3585,0.010993,-1.1937),(6205,3595,0.011232,-1.1923),(6205,3605,0.011471,-1.1908),(6205,3615,0.01171,-1.1894),(6205,3625,0.011968,-1.1879),(6205,3635,0.012358,-1.1865),(6205,3645,0.012748,-1.185),(6205,3655,0.013138,-1.1835),(6205,3665,0.013523,-1.182),(6205,3675,0.013886,-1.1804),(6205,3685,0.014249,-1.1789),(6205,3695,0.014611,-1.1771),(6205,3705,0.014938,-1.1753),(6205,3715,0.01512,-1.1735),(6205,3725,0.015302,-1.1717),(6205,3735,0.015485,-1.1696),(6205,3745,0.015679,-1.1676),(6205,3755,0.01591,-1.1655),(6205,3765,0.016141,-1.1634),(6205,3775,0.016372,-1.1609),(6205,3785,0.016507,-1.1584),(6205,3795,0.016397,-1.1559),(6205,3805,0.016287,-1.1533),(6205,3815,0.016177,-1.1503),(6205,3825,0.015974,-1.1473),(6205,3835,0.015573,-1.1443),(6205,3845,0.015172,-1.1411),(6205,3855,0.014771,-1.1373),(6205,3865,0.014231,-1.1335),(6205,3875,0.013447,-1.1298),(6205,3885,0.012662,-1.1255),(6205,3895,0.011878,-1.1205),(6205,3905,0.011004,-1.1155),(6205,3915,0.009997,-1.1105),(6205,3925,0.00899,-1.1049),(6205,3935,0.007983,-1.0984),(6205,3945,0.00697,-1.092),(6205,3955,0.005948,-1.0856),(6205,3965,0.004926,-1.0784),(6205,3975,0.003903,-1.0705),(6205,3985,0.003059,-1.0626),(6205,3995,0.002406,-1.0547),(6205,4005,0.001752,-1.0474),(6205,4015,0.001099,-1.0407),(6205,4025,0.1004,-1.0341),(6205,4035,0.20948,-1.0292),(6205,4045,0.31855,-1.0282),(6205,4055,0.39641,-1.0272),(6205,4065,0.46287,-1.026),(6205,4075,0.52934,-1.0242),(6205,4085,0.5595,-1.0224),(6205,4095,0.5605,-1.0205),(6205,4105,0.5615,-1.0187),(6205,4115,0.56252,-1.0168),(6205,4125,0.56356,-1.0149),(6205,4135,0.56459,-1.0131),(6205,4145,0.56564,-1.0113),(6205,4155,0.56673,-1.0095),(6205,4165,0.56782,-1.0077),(6205,4175,0.56891,-1.0059),(6205,4185,0.57005,-1.0041),(6205,4195,0.57119,-1.0022),(6205,4205,0.57233,-1.0003),(6205,4215,0.57353,-0.99842),(6205,4225,0.57473,-0.99654),(6205,4235,0.57594,-0.99468),(6205,4245,0.57718,-0.99283),(6205,4255,0.57845,-0.99096),(6205,4265,0.57971,-0.98902),(6205,4275,0.581,-0.98708),(6205,4285,0.58231,-0.98514),(6205,4295,0.58362,-0.98317),(6205,4305,0.58495,-0.98119),(6205,4315,0.58632,-0.97921),(6205,4325,0.58769,-0.97725),(6205,4335,0.58907,-0.97529),(6205,4345,0.59052,-0.97334),(6205,4355,0.59197,-0.97134),(6205,4365,0.59342,-0.96931),(6205,4375,0.59496,-0.96728),(6205,4385,0.5965,-0.96524),(6205,4395,0.59804,-0.96319),(6205,4405,0.59967,-0.96113),(6205,4415,0.60133,-0.95906),(6205,4425,0.60298,-0.95693),(6205,4435,0.60469,-0.95481),(6205,4445,0.60644,-0.95269),(6205,4455,0.60819,-0.95051),(6205,4465,0.60996,-0.94833),(6205,4475,0.61177,-0.94615),(6205,4485,0.61358,-0.94389),(6205,4495,0.61539,-0.94161),(6205,4505,0.61724,-0.93933),(6205,4515,0.61908,-0.93702),(6205,4525,0.62092,-0.93468),(6205,4535,0.62281,-0.93234),(6205,4545,0.6247,-0.92998),(6205,4555,0.62658,-0.92758),(6205,4565,0.62853,-0.92518),(6205,4575,0.63049,-0.92275),(6205,4585,0.63244,-0.92023),(6205,4595,0.63445,-0.91772),(6205,4605,0.63647,-0.9152),(6205,4615,0.63849,-0.9126),(6205,4625,0.64055,-0.91001),(6205,4635,0.64263,-0.90741),(6205,4645,0.64471,-0.90478),(6205,4655,0.64681,-0.90215),(6205,4665,0.64895,-0.89951),(6205,4675,0.65109,-0.89683),(6205,4685,0.65324,-0.89413),(6205,4695,0.65545,-0.89144),(6205,4705,0.65766,-0.88867),(6205,4715,0.65987,-0.88586),(6205,4725,0.66213,-0.88304),(6205,4735,0.6644,-0.88018),(6205,4745,0.66666,-0.87725),(6205,4755,0.66895,-0.87432),(6205,4765,0.67125,-0.87137),(6205,4775,0.67355,-0.86836),(6205,4785,0.67586,-0.86536),(6205,4795,0.67818,-0.86235),(6205,4805,0.6805,-0.85926),(6205,4815,0.68284,-0.85618),(6205,4825,0.68519,-0.85309),(6205,4835,0.68755,-0.84993),(6205,4845,0.68991,-0.84675),(6205,4855,0.69231,-0.84357),(6205,4865,0.6947,-0.84034),(6205,4875,0.6971,-0.83708),(6205,4885,0.69953,-0.83382),(6205,4895,0.70196,-0.83051),(6205,4905,0.70439,-0.82716),(6205,4915,0.70684,-0.82382),(6205,4925,0.70928,-0.82044),(6205,4935,0.71173,-0.817),(6205,4945,0.71419,-0.81356),(6205,4955,0.71664,-0.81011),(6205,4965,0.7191,-0.80658),(6205,4975,0.72155,-0.80306),(6205,4985,0.72401,-0.79954),(6205,4995,0.72647,-0.79594),(6205,5005,0.72893,-0.79233),(6205,5015,0.7314,-0.78872),(6205,5025,0.73386,-0.78505),(6205,5035,0.73634,-0.78137),(6205,5045,0.73883,-0.77769),(6205,5055,0.74133,-0.77397),(6205,5065,0.74382,-0.77022),(6205,5075,0.74634,-0.76648),(6205,5085,0.74886,-0.76271),(6205,5095,0.75138,-0.75889),(6205,5105,0.75391,-0.75506),(6205,5115,0.75644,-0.75122),(6205,5125,0.75897,-0.74732),(6205,5135,0.7615,-0.74343),(6205,5145,0.76403,-0.73952),(6205,5155,0.76656,-0.73556),(6205,5165,0.76907,-0.73159),(6205,5175,0.77157,-0.72763),(6205,5185,0.77407,-0.72359),(6205,5195,0.77656,-0.71953),(6205,5205,0.77901,-0.71548),(6205,5215,0.78146,-0.71136),(6205,5225,0.78391,-0.70721),(6205,5235,0.78633,-0.70306),(6205,5245,0.78874,-0.69888),(6205,5255,0.79115,-0.69467),(6205,5265,0.79356,-0.69046),(6205,5275,0.79597,-0.68623),(6205,5285,0.79838,-0.68197),(6205,5295,0.80079,-0.67771),(6205,5305,0.80321,-0.67344),(6205,5315,0.80563,-0.6691),(6205,5325,0.80805,-0.66476),(6205,5335,0.81048,-0.66042),(6205,5345,0.81291,-0.65601),(6205,5355,0.81533,-0.6516),(6205,5365,0.81774,-0.64718),(6205,5375,0.82015,-0.64273),(6205,5385,0.82256,-0.63827),(6205,5395,0.82493,-0.63381),(6205,5405,0.8273,-0.62931),(6205,5415,0.82966,-0.62479),(6205,5425,0.83196,-0.62027),(6205,5435,0.83425,-0.61572),(6205,5445,0.83655,-0.61112),(6205,5455,0.83878,-0.60653),(6205,5465,0.84101,-0.60192),(6205,5475,0.84324,-0.59726),(6205,5485,0.84546,-0.59261),(6205,5495,0.84767,-0.58795),(6205,5505,0.84987,-0.58326),(6205,5515,0.85209,-0.57857),(6205,5525,0.85431,-0.57388),(6205,5535,0.85653,-0.56916),(6205,5545,0.85874,-0.56445),(6205,5555,0.86096,-0.55973),(6205,5565,0.86317,-0.55498),(6205,5575,0.86538,-0.55021),(6205,5585,0.86756,-0.54545),(6205,5595,0.86974,-0.54064),(6205,5605,0.87192,-0.53579),(6205,5615,0.87404,-0.53094),(6205,5625,0.87617,-0.52607),(6205,5635,0.8783,-0.52115),(6205,5645,0.88036,-0.51622),(6205,5655,0.88242,-0.51129),(6205,5665,0.88447,-0.50632),(6205,5675,0.88649,-0.50134),(6205,5685,0.88848,-0.49636),(6205,5695,0.89047,-0.49135),(6205,5705,0.89244,-0.48634),(6205,5715,0.8944,-0.48133),(6205,5725,0.89635,-0.47625),(6205,5735,0.89829,-0.47117),(6205,5745,0.90022,-0.46609),(6205,5755,0.90214,-0.46098),(6205,5765,0.90405,-0.45586),(6205,5775,0.90593,-0.45074),(6205,5785,0.9078,-0.44559),(6205,5795,0.90968,-0.44042),(6205,5805,0.9115,-0.43525),(6205,5815,0.91332,-0.43007),(6205,5825,0.91514,-0.42486),(6205,5835,0.91692,-0.41964),(6205,5845,0.91868,-0.41443),(6205,5855,0.92045,-0.40919),(6205,5865,0.92219,-0.40395),(6205,5875,0.92392,-0.39871),(6205,5885,0.92564,-0.39346),(6205,5895,0.92734,-0.38821),(6205,5905,0.92902,-0.38295),(6205,5915,0.93069,-0.37767),(6205,5925,0.93235,-0.37238),(6205,5935,0.93396,-0.36708),(6205,5945,0.93557,-0.36175),(6205,5955,0.93717,-0.35639),(6205,5965,0.93869,-0.35103),(6205,5975,0.94021,-0.34564),(6205,5985,0.94173,-0.34021),(6205,5995,0.94318,-0.33478),(6205,6005,0.94462,-0.32932),(6205,6015,0.94605,-0.32382),(6205,6025,0.94743,-0.31831),(6205,6035,0.94879,-0.3128),(6205,6045,0.95015,-0.30728),(6205,6055,0.95149,-0.30176),(6205,6065,0.95281,-0.29624),(6205,6075,0.95412,-0.2908),(6205,6085,0.95543,-0.28537),(6205,6095,0.95671,-0.27994),(6205,6105,0.95799,-0.27449),(6205,6115,0.95926,-0.26903),(6205,6125,0.96047,-0.26357),(6205,6135,0.96168,-0.25803),(6205,6145,0.96289,-0.25243),(6205,6155,0.96403,-0.24684),(6205,6165,0.96517,-0.24123),(6205,6175,0.9663,-0.23559),(6205,6185,0.96738,-0.22996),(6205,6195,0.96844,-0.22432),(6205,6205,0.9695,-0.21866),(6205,6215,0.97051,-0.21301),(6205,6225,0.97149,-0.20735),(6205,6235,0.97247,-0.20168),(6205,6245,0.97342,-0.196),(6205,6255,0.97433,-0.19033),(6205,6265,0.97523,-0.18466),(6205,6275,0.97612,-0.179),(6205,6285,0.97695,-0.17334),(6205,6295,0.97778,-0.1677),(6205,6305,0.9786,-0.16206),(6205,6315,0.97933,-0.15643),(6205,6325,0.98007,-0.15072),(6205,6335,0.9808,-0.14494),(6205,6345,0.98144,-0.13916),(6205,6355,0.98207,-0.13338),(6205,6365,0.9827,-0.12762),(6205,6375,0.98327,-0.12186),(6205,6385,0.98382,-0.11611),(6205,6395,0.98437,-0.11042),(6205,6405,0.98487,-0.10473),(6205,6415,0.98534,-0.099042),(6205,6425,0.98581,-0.093295),(6205,6435,0.98625,-0.087545),(6205,6445,0.98667,-0.081794),(6205,6455,0.98708,-0.076074),(6205,6465,0.98748,-0.070363),(6205,6475,0.98782,-0.064651),(6205,6485,0.98817,-0.058902),(6205,6495,0.98851,-0.053126),(6205,6505,0.98877,-0.047351),(6205,6515,0.98903,-0.041538),(6205,6525,0.98928,-0.035672),(6205,6535,0.98945,-0.029807),(6205,6545,0.98959,-0.023976),(6205,6555,0.98974,-0.018253),(6205,6565,0.98982,-0.012531),(6205,6575,0.98986,-0.006806),(6205,6585,0.9899,-0.001051),(6205,6595,0.84194,0.004705),(6205,6605,0.53056,0.010461),(6205,6615,0.21918,0.011134),(6205,6625,0.000299,0.011153),(6205,6635,0.000333,0.011172),(6205,6645,0.000368,0.011179),(6205,6655,0.000402,0.011181),(6205,6665,0.000437,0.011183),(6205,6675,0.000471,0.011184),(6205,6685,0.000505,0.011185),(6205,6695,0.000539,0.011185),(6205,6705,0.000574,0.011186),(6205,6715,0.000608,0.011186),(6205,6725,0.000642,0.011186),(6205,6735,0.000675,0.011185),(6205,6745,0.000709,0.011184),(6205,6755,0.000743,0.011183),(6205,6765,0.000776,0.011182),(6205,6775,0.00081,0.01118),(6205,6785,0.000843,0.011178),(6205,6795,0.000876,0.011176),(6205,6805,0.000909,0.011173),(6205,6815,0.000942,0.01117),(6205,6825,0.000975,0.011167),(6205,6835,0.001007,0.011163),(6205,6845,0.00104,0.011159),(6205,6855,0.001072,0.011155),(6205,6865,0.001104,0.011151),(6205,6875,0.001136,0.011146),(6205,6885,0.001168,0.011141),(6205,6895,0.001199,0.011136),(6205,6905,0.001231,0.01113),(6205,6915,0.001262,0.011124),(6205,6925,0.001293,0.011118),(6205,6935,0.001324,0.011112),(6205,6945,0.001355,0.011105),(6205,6955,0.001385,0.011098),(6205,6965,0.001415,0.011091),(6205,6975,0.001445,0.011083),(6205,6985,0.001475,0.011076),(6215,5,3e-06,-1.3201),(6215,15,8e-06,-1.32),(6215,25,1.4e-05,-1.3199),(6215,35,2.2e-05,-1.3197),(6215,45,3e-05,-1.3196),(6215,55,3.8e-05,-1.3196),(6215,65,6.2e-05,-1.3196),(6215,75,0.0001,-1.3195),(6215,85,0.000138,-1.3195),(6215,95,0.000175,-1.3195),(6215,105,0.000206,-1.3194),(6215,115,0.000233,-1.3194),(6215,125,0.000259,-1.3194),(6215,135,0.000286,-1.3194),(6215,145,0.000306,-1.3193),(6215,155,0.000324,-1.3193),(6215,165,0.000341,-1.3193),(6215,175,0.000359,-1.3193),(6215,185,0.000368,-1.3193),(6215,195,0.000372,-1.3192),(6215,205,0.000377,-1.3193),(6215,215,0.000382,-1.3193),(6215,225,0.000369,-1.3193),(6215,235,0.000348,-1.3193),(6215,245,0.000328,-1.3193),(6215,255,0.000308,-1.3192),(6215,265,0.000285,-1.3192),(6215,275,0.00026,-1.3192),(6215,285,0.000236,-1.3191),(6215,295,0.000211,-1.319),(6215,305,0.000221,-1.319),(6215,315,0.00024,-1.3189),(6215,325,0.000258,-1.3189),(6215,335,0.000277,-1.319),(6215,345,0.000338,-1.319),(6215,355,0.000407,-1.319),(6215,365,0.000477,-1.319),(6215,375,0.000546,-1.3191),(6215,385,0.00059,-1.3192),(6215,395,0.000631,-1.3192),(6215,405,0.000672,-1.3191),(6215,415,0.000712,-1.319),(6215,425,0.000741,-1.3189),(6215,435,0.000769,-1.3189),(6215,445,0.000798,-1.3188),(6215,455,0.000826,-1.3188),(6215,465,0.000886,-1.3188),(6215,475,0.000947,-1.3188),(6215,485,0.001008,-1.3188),(6215,495,0.00107,-1.3187),(6215,505,0.001141,-1.3187),(6215,515,0.001212,-1.3187),(6215,525,0.001283,-1.3187),(6215,535,0.001354,-1.3187),(6215,545,0.001409,-1.3187),(6215,555,0.001464,-1.3187),(6215,565,0.001519,-1.3187),(6215,575,0.001574,-1.3186),(6215,585,0.001627,-1.3185),(6215,595,0.001679,-1.3185),(6215,605,0.001732,-1.3185),(6215,615,0.001788,-1.3185),(6215,625,0.001873,-1.3185),(6215,635,0.001958,-1.3185),(6215,645,0.002043,-1.3185),(6215,655,0.002127,-1.3186),(6215,665,0.002211,-1.3186),(6215,675,0.002295,-1.3186),(6215,685,0.002379,-1.3185),(6215,695,0.002469,-1.3184),(6215,705,0.002584,-1.3183),(6215,715,0.002699,-1.3183),(6215,725,0.002815,-1.3182),(6215,735,0.002945,-1.3182),(6215,745,0.003125,-1.3182),(6215,755,0.003305,-1.3181),(6215,765,0.003485,-1.3181),(6215,775,0.003675,-1.3181),(6215,785,0.003892,-1.318),(6215,795,0.004108,-1.318),(6215,805,0.004325,-1.3179),(6215,815,0.004558,-1.3179),(6215,825,0.004829,-1.3178),(6215,835,0.005099,-1.3177),(6215,845,0.00537,-1.3176),(6215,855,0.005645,-1.3176),(6215,865,0.00593,-1.3175),(6215,875,0.006215,-1.3174),(6215,885,0.0065,-1.3172),(6215,895,0.006785,-1.317),(6215,905,0.007072,-1.3169),(6215,915,0.007358,-1.3167),(6215,925,0.007645,-1.3164),(6215,935,0.007962,-1.3162),(6215,945,0.008319,-1.3159),(6215,955,0.008676,-1.3157),(6215,965,0.009033,-1.3154),(6215,975,0.009426,-1.3152),(6215,985,0.009858,-1.3149),(6215,995,0.010291,-1.3146),(6215,1005,0.010724,-1.3143),(6215,1015,0.011129,-1.3139),(6215,1025,0.011507,-1.3136),(6215,1035,0.011885,-1.3131),(6215,1045,0.012263,-1.3125),(6215,1055,0.012535,-1.3118),(6215,1065,0.012719,-1.3112),(6215,1075,0.012904,-1.3104),(6215,1085,0.013088,-1.3093),(6215,1095,0.013091,-1.3083),(6215,1105,0.012968,-1.3072),(6215,1115,0.012845,-1.3059),(6215,1125,0.012722,-1.3043),(6215,1135,0.01229,-1.3027),(6215,1145,0.011677,-1.3012),(6215,1155,0.011063,-1.2991),(6215,1165,0.01045,-1.2967),(6215,1175,0.00932,-1.2943),(6215,1185,0.007935,-1.2919),(6215,1195,0.006549,-1.2885),(6215,1205,0.005164,-1.2845),(6215,1215,0.003201,-1.2806),(6215,1225,0.001001,-1.2766),(6215,1235,-0.001199,-1.271),(6215,1245,-0.0034,-1.2648),(6215,1255,-0.0058,-1.2586),(6215,1265,-0.008268,-1.2523),(6215,1275,-0.010736,-1.2441),(6215,1285,-0.013204,-1.2353),(6215,1295,-0.013051,-1.2264),(6215,1305,-0.012188,-1.2176),(6215,1315,-0.011325,-1.2114),(6215,1325,-0.010462,-1.2059),(6215,1335,-0.006362,-1.2004),(6215,1345,-0.001583,-1.1949),(6215,1355,0.003195,-1.1974),(6215,1365,0.007974,-1.2014),(6215,1375,0.010461,-1.2054),(6215,1385,0.012594,-1.2093),(6215,1395,0.014728,-1.2179),(6215,1405,0.016861,-1.2271),(6215,1415,0.014773,-1.2362),(6215,1425,0.012246,-1.2454),(6215,1435,0.00972,-1.2519),(6215,1445,0.007193,-1.2581),(6215,1455,0.004852,-1.2644),(6215,1465,0.002521,-1.2707),(6215,1475,0.000191,-1.2748),(6215,1485,-0.00214,-1.2788),(6215,1495,-0.00368,-1.2829),(6215,1505,-0.005208,-1.2869),(6215,1515,-0.006735,-1.2894),(6215,1525,-0.008245,-1.2919),(6215,1535,-0.009027,-1.2944),(6215,1545,-0.009809,-1.2968),(6215,1555,-0.010592,-1.2982),(6215,1565,-0.011329,-1.2995),(6215,1575,-0.011418,-1.3009),(6215,1585,-0.011507,-1.3022),(6215,1595,-0.011595,-1.3031),(6215,1605,-0.011653,-1.304),(6215,1615,-0.011442,-1.3048),(6215,1625,-0.011232,-1.3056),(6215,1635,-0.011022,-1.306),(6215,1645,-0.010799,-1.3064),(6215,1655,-0.010505,-1.3068),(6215,1665,-0.010211,-1.3072),(6215,1675,-0.009917,-1.3075),(6215,1685,-0.009602,-1.3078),(6215,1695,-0.009189,-1.3081),(6215,1705,-0.008776,-1.3083),(6215,1715,-0.008363,-1.3084),(6215,1725,-0.007948,-1.3084),(6215,1735,-0.007521,-1.3085),(6215,1745,-0.007094,-1.3085),(6215,1755,-0.006668,-1.3084),(6215,1765,-0.006256,-1.3084),(6215,1775,-0.005887,-1.3083),(6215,1785,-0.005517,-1.3083),(6215,1795,-0.005147,-1.3083),(6215,1805,-0.00481,-1.3082),(6215,1815,-0.004546,-1.3082),(6215,1825,-0.004283,-1.3081),(6215,1835,-0.00402,-1.3079),(6215,1845,-0.003769,-1.3078),(6215,1855,-0.003542,-1.3076),(6215,1865,-0.003315,-1.3074),(6215,1875,-0.003088,-1.3072),(6215,1885,-0.00287,-1.3069),(6215,1895,-0.002667,-1.3067),(6215,1905,-0.002464,-1.3065),(6215,1915,-0.002261,-1.3062),(6215,1925,-0.002081,-1.3059),(6215,1935,-0.001933,-1.3056),(6215,1945,-0.001786,-1.3054),(6215,1955,-0.001638,-1.3051),(6215,1965,-0.001495,-1.3049),(6215,1975,-0.001356,-1.3047),(6215,1985,-0.001217,-1.3044),(6215,1995,-0.001078,-1.3041),(6215,2005,-0.000953,-1.3039),(6215,2015,-0.000841,-1.3036),(6215,2025,-0.000729,-1.3033),(6215,2035,-0.000617,-1.303),(6215,2045,-0.000499,-1.3026),(6215,2055,-0.000376,-1.3023),(6215,2065,-0.000253,-1.3021),(6215,2075,-0.000131,-1.3019),(6215,2085,-5e-06,-1.3017),(6215,2095,0.000123,-1.3015),(6215,2105,0.00025,-1.3013),(6215,2115,0.000378,-1.301),(6215,2125,0.00046,-1.3007),(6215,2135,0.000514,-1.3005),(6215,2145,0.000568,-1.3002),(6215,2155,0.000622,-1.2998),(6215,2165,0.000666,-1.2995),(6215,2175,0.000703,-1.2991),(6215,2185,0.00074,-1.2988),(6215,2195,0.000777,-1.2985),(6215,2205,0.000812,-1.2982),(6215,2215,0.000846,-1.2979),(6215,2225,0.000881,-1.2975),(6215,2235,0.000915,-1.2971),(6215,2245,0.000933,-1.2967),(6215,2255,0.000945,-1.2963),(6215,2265,0.000958,-1.2959),(6215,2275,0.000971,-1.2955),(6215,2285,0.001001,-1.2951),(6215,2295,0.001037,-1.2947),(6215,2305,0.001072,-1.2944),(6215,2315,0.001107,-1.294),(6215,2325,0.001149,-1.2937),(6215,2335,0.001193,-1.2933),(6215,2345,0.001236,-1.2929),(6215,2355,0.00128,-1.2925),(6215,2365,0.001328,-1.2921),(6215,2375,0.001377,-1.2917),(6215,2385,0.001426,-1.2913),(6215,2395,0.001475,-1.2908),(6215,2405,0.001545,-1.2904),(6215,2415,0.001616,-1.2899),(6215,2425,0.001688,-1.2895),(6215,2435,0.00176,-1.289),(6215,2445,0.001832,-1.2886),(6215,2455,0.001905,-1.2881),(6215,2465,0.001977,-1.2877),(6215,2475,0.002049,-1.2873),(6215,2485,0.002117,-1.2869),(6215,2495,0.002185,-1.2865),(6215,2505,0.002253,-1.2861),(6215,2515,0.002321,-1.2857),(6215,2525,0.002369,-1.2852),(6215,2535,0.002416,-1.2848),(6215,2545,0.002464,-1.2843),(6215,2555,0.00251,-1.2838),(6215,2565,0.002517,-1.2832),(6215,2575,0.002524,-1.2827),(6215,2585,0.002532,-1.2821),(6215,2595,0.002538,-1.2816),(6215,2605,0.00253,-1.281),(6215,2615,0.002521,-1.2804),(6215,2625,0.002513,-1.2798),(6215,2635,0.002504,-1.2792),(6215,2645,0.002494,-1.2787),(6215,2655,0.002484,-1.2781),(6215,2665,0.002474,-1.2774),(6215,2675,0.002469,-1.2768),(6215,2685,0.002486,-1.2761),(6215,2695,0.002504,-1.2755),(6215,2705,0.002522,-1.275),(6215,2715,0.002552,-1.2744),(6215,2725,0.002631,-1.2738),(6215,2735,0.00271,-1.2733),(6215,2745,0.002789,-1.2728),(6215,2755,0.002864,-1.2723),(6215,2765,0.002927,-1.2718),(6215,2775,0.00299,-1.2713),(6215,2785,0.003053,-1.2706),(6215,2795,0.003097,-1.2698),(6215,2805,0.003096,-1.2691),(6215,2815,0.003095,-1.2684),(6215,2825,0.003093,-1.2676),(6215,2835,0.003106,-1.2668),(6215,2845,0.003149,-1.266),(6215,2855,0.003191,-1.2653),(6215,2865,0.003233,-1.2647),(6215,2875,0.003291,-1.2641),(6215,2885,0.003377,-1.2635),(6215,2895,0.003462,-1.2629),(6215,2905,0.003547,-1.2622),(6215,2915,0.00361,-1.2615),(6215,2925,0.003642,-1.2608),(6215,2935,0.003675,-1.26),(6215,2945,0.003707,-1.2591),(6215,2955,0.003735,-1.2582),(6215,2965,0.003759,-1.2574),(6215,2975,0.003782,-1.2565),(6215,2985,0.003805,-1.2557),(6215,2995,0.003852,-1.2549),(6215,3005,0.003922,-1.2541),(6215,3015,0.003992,-1.2533),(6215,3025,0.004062,-1.2526),(6215,3035,0.004129,-1.2518),(6215,3045,0.004193,-1.251),(6215,3055,0.004257,-1.2501),(6215,3065,0.004321,-1.2492),(6215,3075,0.004374,-1.2484),(6215,3085,0.004419,-1.2475),(6215,3095,0.004464,-1.2466),(6215,3105,0.004509,-1.2457),(6215,3115,0.004555,-1.2447),(6215,3125,0.004602,-1.2438),(6215,3135,0.004649,-1.2429),(6215,3145,0.004696,-1.242),(6215,3155,0.004752,-1.2411),(6215,3165,0.004812,-1.2402),(6215,3175,0.004873,-1.2393),(6215,3185,0.004933,-1.2383),(6215,3195,0.004996,-1.2374),(6215,3205,0.005061,-1.2365),(6215,3215,0.005125,-1.2355),(6215,3225,0.00519,-1.2346),(6215,3235,0.005258,-1.2336),(6215,3245,0.005328,-1.2326),(6215,3255,0.005398,-1.2316),(6215,3265,0.005468,-1.2306),(6215,3275,0.00557,-1.2296),(6215,3285,0.005683,-1.2285),(6215,3295,0.005795,-1.2275),(6215,3305,0.005907,-1.2265),(6215,3315,0.005996,-1.2255),(6215,3325,0.00608,-1.2245),(6215,3335,0.006163,-1.2234),(6215,3345,0.006247,-1.2223),(6215,3355,0.006304,-1.2212),(6215,3365,0.006356,-1.2201),(6215,3375,0.006408,-1.2189),(6215,3385,0.00646,-1.2178),(6215,3395,0.006572,-1.2167),(6215,3405,0.006691,-1.2156),(6215,3415,0.006811,-1.2145),(6215,3425,0.006931,-1.2133),(6215,3435,0.007114,-1.2122),(6215,3445,0.007302,-1.2111),(6215,3455,0.00749,-1.2099),(6215,3465,0.007678,-1.2087),(6215,3475,0.007929,-1.2074),(6215,3485,0.008183,-1.2062),(6215,3495,0.008437,-1.2051),(6215,3505,0.008691,-1.2039),(6215,3515,0.008953,-1.2028),(6215,3525,0.009214,-1.2016),(6215,3535,0.009476,-1.2004),(6215,3545,0.009736,-1.1991),(6215,3555,0.009966,-1.1978),(6215,3565,0.010196,-1.1965),(6215,3575,0.010425,-1.1951),(6215,3585,0.010656,-1.1936),(6215,3595,0.010889,-1.1922),(6215,3605,0.011122,-1.1908),(6215,3615,0.011355,-1.1893),(6215,3625,0.011602,-1.1878),(6215,3635,0.011945,-1.1863),(6215,3645,0.012288,-1.1848),(6215,3655,0.012631,-1.1833),(6215,3665,0.012973,-1.1817),(6215,3675,0.013307,-1.1802),(6215,3685,0.01364,-1.1786),(6215,3695,0.013974,-1.1769),(6215,3705,0.014267,-1.1752),(6215,3715,0.014402,-1.1734),(6215,3725,0.014537,-1.1716),(6215,3735,0.014672,-1.1695),(6215,3745,0.014808,-1.1675),(6215,3755,0.014947,-1.1654),(6215,3765,0.015085,-1.1632),(6215,3775,0.015223,-1.1608),(6215,3785,0.015256,-1.1584),(6215,3795,0.015023,-1.156),(6215,3805,0.014789,-1.1534),(6215,3815,0.014555,-1.1505),(6215,3825,0.014204,-1.1475),(6215,3835,0.013606,-1.1446),(6215,3845,0.013009,-1.1414),(6215,3855,0.012411,-1.1377),(6215,3865,0.011641,-1.134),(6215,3875,0.010566,-1.1303),(6215,3885,0.009491,-1.1261),(6215,3895,0.008416,-1.1211),(6215,3905,0.007205,-1.1162),(6215,3915,0.005789,-1.1112),(6215,3925,0.004374,-1.1056),(6215,3935,0.002959,-1.0992),(6215,3945,0.001535,-1.0927),(6215,3955,0.000101,-1.0863),(6215,3965,-0.001333,-1.0792),(6215,3975,-0.002766,-1.0711),(6215,3985,-0.003688,-1.0631),(6215,3995,-0.004056,-1.0551),(6215,4005,-0.004424,-1.0477),(6215,4015,-0.004792,-1.0409),(6215,4025,0.095673,-1.0341),(6215,4035,0.206,-1.0291),(6215,4045,0.31633,-1.0281),(6215,4055,0.39426,-1.0271),(6215,4065,0.46036,-1.026),(6215,4075,0.52647,-1.0241),(6215,4085,0.55647,-1.0223),(6215,4095,0.55747,-1.0205),(6215,4105,0.55847,-1.0186),(6215,4115,0.55948,-1.0167),(6215,4125,0.56052,-1.0148),(6215,4135,0.56155,-1.013),(6215,4145,0.56259,-1.0112),(6215,4155,0.56368,-1.0094),(6215,4165,0.56476,-1.0076),(6215,4175,0.56584,-1.0058),(6215,4185,0.56698,-1.0039),(6215,4195,0.56811,-1.0021),(6215,4205,0.56924,-1.0002),(6215,4215,0.57043,-0.99828),(6215,4225,0.57163,-0.99638),(6215,4235,0.57283,-0.99452),(6215,4245,0.57407,-0.99265),(6215,4255,0.57533,-0.99078),(6215,4265,0.57659,-0.98883),(6215,4275,0.57787,-0.98688),(6215,4285,0.57917,-0.98493),(6215,4295,0.58047,-0.98295),(6215,4305,0.58179,-0.98096),(6215,4315,0.58315,-0.97897),(6215,4325,0.5845,-0.977),(6215,4335,0.58587,-0.97503),(6215,4345,0.5873,-0.97306),(6215,4355,0.58873,-0.97105),(6215,4365,0.59015,-0.96901),(6215,4375,0.59167,-0.96697),(6215,4385,0.59318,-0.96492),(6215,4395,0.5947,-0.96285),(6215,4405,0.5963,-0.96078),(6215,4415,0.59793,-0.9587),(6215,4425,0.59956,-0.95656),(6215,4435,0.60124,-0.95443),(6215,4445,0.60296,-0.9523),(6215,4455,0.60469,-0.95012),(6215,4465,0.60644,-0.94794),(6215,4475,0.60822,-0.94575),(6215,4485,0.61001,-0.94349),(6215,4495,0.61181,-0.94122),(6215,4505,0.61363,-0.93894),(6215,4515,0.61546,-0.93662),(6215,4525,0.61728,-0.93428),(6215,4535,0.61915,-0.93193),(6215,4545,0.62102,-0.92955),(6215,4555,0.62289,-0.92714),(6215,4565,0.62482,-0.92473),(6215,4575,0.62676,-0.92228),(6215,4585,0.62869,-0.91975),(6215,4595,0.63067,-0.91723),(6215,4605,0.63267,-0.91469),(6215,4615,0.63467,-0.91209),(6215,4625,0.6367,-0.90949),(6215,4635,0.63875,-0.90689),(6215,4645,0.6408,-0.90425),(6215,4655,0.64287,-0.90161),(6215,4665,0.64498,-0.89897),(6215,4675,0.64709,-0.89628),(6215,4685,0.64921,-0.89357),(6215,4695,0.65138,-0.89087),(6215,4705,0.65356,-0.8881),(6215,4715,0.65574,-0.88528),(6215,4725,0.65798,-0.88246),(6215,4735,0.66022,-0.8796),(6215,4745,0.66246,-0.87667),(6215,4755,0.66472,-0.87374),(6215,4765,0.667,-0.87079),(6215,4775,0.66927,-0.86779),(6215,4785,0.67156,-0.86478),(6215,4795,0.67385,-0.86178),(6215,4805,0.67615,-0.85869),(6215,4815,0.67846,-0.85561),(6215,4825,0.68078,-0.85252),(6215,4835,0.6831,-0.84936),(6215,4845,0.68544,-0.84617),(6215,4855,0.6878,-0.84299),(6215,4865,0.69016,-0.83975),(6215,4875,0.69252,-0.83649),(6215,4885,0.69491,-0.83323),(6215,4895,0.69731,-0.82992),(6215,4905,0.6997,-0.82657),(6215,4915,0.70212,-0.82322),(6215,4925,0.70454,-0.81984),(6215,4935,0.70695,-0.8164),(6215,4945,0.70938,-0.81297),(6215,4955,0.7118,-0.80952),(6215,4965,0.71423,-0.806),(6215,4975,0.71666,-0.80249),(6215,4985,0.71909,-0.79897),(6215,4995,0.72152,-0.79537),(6215,5005,0.72395,-0.79176),(6215,5015,0.72639,-0.78815),(6215,5025,0.72883,-0.78448),(6215,5035,0.73128,-0.78079),(6215,5045,0.73374,-0.77711),(6215,5055,0.7362,-0.77338),(6215,5065,0.73866,-0.76963),(6215,5075,0.74114,-0.76588),(6215,5085,0.74362,-0.7621),(6215,5095,0.7461,-0.75828),(6215,5105,0.7486,-0.75445),(6215,5115,0.75109,-0.75061),(6215,5125,0.75359,-0.74672),(6215,5135,0.75608,-0.74282),(6215,5145,0.75858,-0.73892),(6215,5155,0.76108,-0.73497),(6215,5165,0.76357,-0.73102),(6215,5175,0.76605,-0.72706),(6215,5185,0.76853,-0.72303),(6215,5195,0.771,-0.719),(6215,5205,0.77345,-0.71496),(6215,5215,0.77589,-0.71085),(6215,5225,0.77832,-0.70671),(6215,5235,0.78073,-0.70257),(6215,5245,0.78313,-0.69839),(6215,5255,0.78553,-0.69418),(6215,5265,0.78791,-0.68997),(6215,5275,0.7903,-0.68574),(6215,5285,0.79268,-0.68147),(6215,5295,0.79507,-0.67721),(6215,5305,0.79746,-0.67293),(6215,5315,0.79984,-0.66858),(6215,5325,0.80223,-0.66423),(6215,5335,0.80463,-0.65989),(6215,5345,0.80702,-0.65548),(6215,5355,0.80941,-0.65106),(6215,5365,0.81179,-0.64665),(6215,5375,0.81417,-0.6422),(6215,5385,0.81655,-0.63775),(6215,5395,0.8189,-0.6333),(6215,5405,0.82125,-0.62881),(6215,5415,0.8236,-0.62431),(6215,5425,0.82588,-0.61981),(6215,5435,0.82817,-0.61527),(6215,5445,0.83046,-0.61069),(6215,5455,0.83268,-0.60611),(6215,5465,0.8349,-0.60151),(6215,5475,0.83712,-0.59685),(6215,5485,0.83932,-0.5922),(6215,5495,0.84151,-0.58753),(6215,5505,0.8437,-0.58283),(6215,5515,0.84589,-0.57813),(6215,5525,0.84808,-0.57343),(6215,5535,0.85027,-0.56871),(6215,5545,0.85246,-0.56399),(6215,5555,0.85464,-0.55926),(6215,5565,0.85682,-0.55451),(6215,5575,0.859,-0.54975),(6215,5585,0.86115,-0.54498),(6215,5595,0.86331,-0.54017),(6215,5605,0.86546,-0.53533),(6215,5615,0.86757,-0.5305),(6215,5625,0.86968,-0.52563),(6215,5635,0.87179,-0.52072),(6215,5645,0.87384,-0.51581),(6215,5655,0.87589,-0.51089),(6215,5665,0.87793,-0.50592),(6215,5675,0.87993,-0.50096),(6215,5685,0.88191,-0.49599),(6215,5695,0.88389,-0.49098),(6215,5705,0.88585,-0.48596),(6215,5715,0.88778,-0.48095),(6215,5725,0.88972,-0.47587),(6215,5735,0.89165,-0.47079),(6215,5745,0.89355,-0.46571),(6215,5755,0.89545,-0.4606),(6215,5765,0.89734,-0.45548),(6215,5775,0.8992,-0.45036),(6215,5785,0.90106,-0.44522),(6215,5795,0.90291,-0.44005),(6215,5805,0.90472,-0.43488),(6215,5815,0.90652,-0.4297),(6215,5825,0.90833,-0.42449),(6215,5835,0.91009,-0.41928),(6215,5845,0.91184,-0.41407),(6215,5855,0.91358,-0.40883),(6215,5865,0.91531,-0.40359),(6215,5875,0.917,-0.39835),(6215,5885,0.9187,-0.3931),(6215,5895,0.92039,-0.38784),(6215,5905,0.92204,-0.38259),(6215,5915,0.92369,-0.37731),(6215,5925,0.92534,-0.37202),(6215,5935,0.92693,-0.36674),(6215,5945,0.92852,-0.36141),(6215,5955,0.93011,-0.35606),(6215,5965,0.93163,-0.35071),(6215,5975,0.93315,-0.34533),(6215,5985,0.93466,-0.33991),(6215,5995,0.93611,-0.33449),(6215,6005,0.93755,-0.32905),(6215,6015,0.93898,-0.32355),(6215,6025,0.94036,-0.31805),(6215,6035,0.94171,-0.31254),(6215,6045,0.94306,-0.30702),(6215,6055,0.94439,-0.3015),(6215,6065,0.94569,-0.29598),(6215,6075,0.94699,-0.29053),(6215,6085,0.94827,-0.28509),(6215,6095,0.94953,-0.27965),(6215,6105,0.95079,-0.2742),(6215,6115,0.95204,-0.26874),(6215,6125,0.95324,-0.26328),(6215,6135,0.95443,-0.25775),(6215,6145,0.95563,-0.25216),(6215,6155,0.95675,-0.24657),(6215,6165,0.95788,-0.24097),(6215,6175,0.959,-0.23534),(6215,6185,0.96006,-0.2297),(6215,6195,0.96111,-0.22407),(6215,6205,0.96216,-0.21842),(6215,6215,0.96316,-0.21277),(6215,6225,0.96414,-0.20712),(6215,6235,0.96511,-0.20145),(6215,6245,0.96605,-0.19578),(6215,6255,0.96695,-0.1901),(6215,6265,0.96784,-0.18444),(6215,6275,0.96872,-0.17879),(6215,6285,0.96955,-0.17313),(6215,6295,0.97037,-0.16749),(6215,6305,0.97119,-0.16187),(6215,6315,0.97192,-0.15624),(6215,6325,0.97265,-0.15055),(6215,6335,0.97338,-0.14478),(6215,6345,0.97402,-0.13901),(6215,6355,0.97465,-0.13324),(6215,6365,0.97528,-0.12749),(6215,6375,0.97585,-0.12173),(6215,6385,0.97639,-0.11599),(6215,6395,0.97693,-0.1103),(6215,6405,0.97743,-0.10462),(6215,6415,0.97788,-0.09893),(6215,6425,0.97834,-0.093179),(6215,6435,0.97878,-0.087424),(6215,6445,0.97918,-0.08167),(6215,6455,0.97958,-0.075949),(6215,6465,0.97996,-0.070237),(6215,6475,0.9803,-0.064525),(6215,6485,0.98064,-0.058779),(6215,6495,0.98098,-0.05301),(6215,6505,0.98123,-0.047241),(6215,6515,0.98149,-0.041437),(6215,6525,0.98175,-0.035584),(6215,6535,0.98191,-0.029732),(6215,6545,0.98206,-0.023914),(6215,6555,0.98221,-0.018203),(6215,6565,0.98229,-0.012493),(6215,6575,0.98233,-0.006779),(6215,6585,0.98237,-0.001026),(6215,6595,0.83554,0.004727),(6215,6605,0.52652,0.01048),(6215,6615,0.21751,0.011157),(6215,6625,0.000296,0.011181),(6215,6635,0.00033,0.011206),(6215,6645,0.000365,0.011214),(6215,6655,0.0004,0.011215),(6215,6665,0.000435,0.011217),(6215,6675,0.000469,0.011218),(6215,6685,0.000504,0.011219),(6215,6695,0.000538,0.01122),(6215,6705,0.000573,0.01122),(6215,6715,0.000607,0.01122),(6215,6725,0.000641,0.01122),(6215,6735,0.000675,0.011219),(6215,6745,0.000709,0.011218),(6215,6755,0.000743,0.011217),(6215,6765,0.000777,0.011215),(6215,6775,0.000811,0.011213),(6215,6785,0.000844,0.011211),(6215,6795,0.000878,0.011209),(6215,6805,0.000911,0.011206),(6215,6815,0.000944,0.011203),(6215,6825,0.000977,0.011199),(6215,6835,0.00101,0.011196),(6215,6845,0.001043,0.011191),(6215,6855,0.001075,0.011187),(6215,6865,0.001107,0.011183),(6215,6875,0.00114,0.011178),(6215,6885,0.001172,0.011173),(6215,6895,0.001203,0.011167),(6215,6905,0.001235,0.011161),(6215,6915,0.001267,0.011155),(6215,6925,0.001298,0.011149),(6215,6935,0.001329,0.011142),(6215,6945,0.00136,0.011136),(6215,6955,0.001391,0.011129),(6215,6965,0.001421,0.011121),(6215,6975,0.001451,0.011113),(6215,6985,0.001481,0.011105),(6225,5,5e-06,-1.3202),(6225,15,1.5e-05,-1.32),(6225,25,2.5e-05,-1.3199),(6225,35,3.5e-05,-1.3197),(6225,45,4.5e-05,-1.3196),(6225,55,5.4e-05,-1.3196),(6225,65,7.8e-05,-1.3196),(6225,75,0.000112,-1.3195),(6225,85,0.000146,-1.3195),(6225,95,0.00018,-1.3195),(6225,105,0.000207,-1.3194),(6225,115,0.000228,-1.3194),(6225,125,0.000249,-1.3194),(6225,135,0.00027,-1.3193),(6225,145,0.00029,-1.3193),(6225,155,0.000308,-1.3193),(6225,165,0.000326,-1.3193),(6225,175,0.000345,-1.3193),(6225,185,0.000359,-1.3192),(6225,195,0.000371,-1.3192),(6225,205,0.000384,-1.3193),(6225,215,0.000396,-1.3193),(6225,225,0.00039,-1.3193),(6225,235,0.000376,-1.3193),(6225,245,0.000362,-1.3193),(6225,255,0.000348,-1.3192),(6225,265,0.000322,-1.3192),(6225,275,0.000293,-1.3192),(6225,285,0.000263,-1.3191),(6225,295,0.000233,-1.319),(6225,305,0.000234,-1.319),(6225,315,0.000243,-1.3189),(6225,325,0.000252,-1.3189),(6225,335,0.000261,-1.3189),(6225,345,0.000318,-1.3189),(6225,355,0.000383,-1.3189),(6225,365,0.000449,-1.319),(6225,375,0.000515,-1.3191),(6225,385,0.000562,-1.3191),(6225,395,0.000606,-1.3192),(6225,405,0.00065,-1.3191),(6225,415,0.000694,-1.319),(6225,425,0.000722,-1.3189),(6225,435,0.000748,-1.3189),(6225,445,0.000773,-1.3188),(6225,455,0.000799,-1.3188),(6225,465,0.000855,-1.3188),(6225,475,0.000913,-1.3188),(6225,485,0.00097,-1.3187),(6225,495,0.001028,-1.3187),(6225,505,0.001098,-1.3187),(6225,515,0.001168,-1.3187),(6225,525,0.001238,-1.3187),(6225,535,0.001308,-1.3187),(6225,545,0.001365,-1.3187),(6225,555,0.001422,-1.3187),(6225,565,0.00148,-1.3186),(6225,575,0.001537,-1.3186),(6225,585,0.001588,-1.3185),(6225,595,0.001639,-1.3185),(6225,605,0.001691,-1.3185),(6225,615,0.001745,-1.3185),(6225,625,0.001826,-1.3184),(6225,635,0.001907,-1.3184),(6225,645,0.001988,-1.3185),(6225,655,0.002069,-1.3185),(6225,665,0.002152,-1.3186),(6225,675,0.002236,-1.3186),(6225,685,0.002319,-1.3185),(6225,695,0.002408,-1.3184),(6225,705,0.002516,-1.3183),(6225,715,0.002625,-1.3182),(6225,725,0.002733,-1.3182),(6225,735,0.002857,-1.3181),(6225,745,0.003028,-1.3181),(6225,755,0.0032,-1.318),(6225,765,0.003371,-1.318),(6225,775,0.003552,-1.318),(6225,785,0.003758,-1.3179),(6225,795,0.003963,-1.3179),(6225,805,0.004169,-1.3178),(6225,815,0.00439,-1.3177),(6225,825,0.004647,-1.3177),(6225,835,0.004903,-1.3176),(6225,845,0.00516,-1.3175),(6225,855,0.005427,-1.3174),(6225,865,0.005711,-1.3174),(6225,875,0.005996,-1.3172),(6225,885,0.00628,-1.3171),(6225,895,0.006564,-1.3169),(6225,905,0.006847,-1.3168),(6225,915,0.00713,-1.3166),(6225,925,0.007413,-1.3163),(6225,935,0.007713,-1.316),(6225,945,0.008035,-1.3158),(6225,955,0.008357,-1.3155),(6225,965,0.008679,-1.3152),(6225,975,0.009033,-1.3149),(6225,985,0.009423,-1.3147),(6225,995,0.009813,-1.3144),(6225,1005,0.010203,-1.314),(6225,1015,0.010563,-1.3137),(6225,1025,0.010894,-1.3134),(6225,1035,0.011226,-1.3129),(6225,1045,0.011557,-1.3123),(6225,1055,0.011768,-1.3117),(6225,1065,0.011879,-1.3111),(6225,1075,0.01199,-1.3103),(6225,1085,0.012101,-1.3092),(6225,1095,0.011991,-1.3082),(6225,1105,0.011725,-1.3072),(6225,1115,0.01146,-1.3059),(6225,1125,0.011195,-1.3044),(6225,1135,0.010559,-1.3029),(6225,1145,0.009703,-1.3013),(6225,1155,0.008848,-1.2993),(6225,1165,0.007992,-1.297),(6225,1175,0.006524,-1.2947),(6225,1185,0.004751,-1.2924),(6225,1195,0.002978,-1.2891),(6225,1205,0.001206,-1.2852),(6225,1215,-0.001288,-1.2814),(6225,1225,-0.004078,-1.2775),(6225,1235,-0.006869,-1.272),(6225,1245,-0.009659,-1.2658),(6225,1255,-0.01274,-1.2596),(6225,1265,-0.01592,-1.2534),(6225,1275,-0.019099,-1.2451),(6225,1285,-0.022278,-1.2361),(6225,1295,-0.021573,-1.2272),(6225,1305,-0.019816,-1.2182),(6225,1315,-0.01806,-1.2119),(6225,1325,-0.016303,-1.2063),(6225,1335,-0.009951,-1.2006),(6225,1345,-0.002635,-1.1949),(6225,1355,0.00468,-1.1975),(6225,1365,0.011996,-1.2016),(6225,1375,0.015971,-1.2057),(6225,1385,0.019431,-1.2098),(6225,1395,0.022891,-1.2185),(6225,1405,0.026351,-1.2278),(6225,1415,0.023743,-1.2372),(6225,1425,0.020504,-1.2465),(6225,1435,0.017265,-1.253),(6225,1445,0.014026,-1.2592),(6225,1455,0.011051,-1.2655),(6225,1465,0.008091,-1.2717),(6225,1475,0.005131,-1.2757),(6225,1485,0.002171,-1.2796),(6225,1495,0.000217,-1.2836),(6225,1505,-0.001722,-1.2875),(6225,1515,-0.003661,-1.2899),(6225,1525,-0.005577,-1.2923),(6225,1535,-0.006607,-1.2947),(6225,1545,-0.007636,-1.2971),(6225,1555,-0.008665,-1.2984),(6225,1565,-0.009645,-1.2996),(6225,1575,-0.009907,-1.3009),(6225,1585,-0.010168,-1.3021),(6225,1595,-0.01043,-1.303),(6225,1605,-0.010649,-1.3038),(6225,1615,-0.010508,-1.3047),(6225,1625,-0.010367,-1.3055),(6225,1635,-0.010226,-1.3059),(6225,1645,-0.010067,-1.3063),(6225,1655,-0.009804,-1.3067),(6225,1665,-0.009541,-1.3071),(6225,1675,-0.009278,-1.3073),(6225,1685,-0.008996,-1.3076),(6225,1695,-0.00863,-1.3079),(6225,1705,-0.008263,-1.3081),(6225,1715,-0.007897,-1.3081),(6225,1725,-0.007529,-1.3082),(6225,1735,-0.007155,-1.3082),(6225,1745,-0.006781,-1.3082),(6225,1755,-0.006407,-1.3082),(6225,1765,-0.006037,-1.3082),(6225,1775,-0.005679,-1.3082),(6225,1785,-0.005322,-1.3081),(6225,1795,-0.004964,-1.3081),(6225,1805,-0.004632,-1.3081),(6225,1815,-0.004357,-1.3081),(6225,1825,-0.004082,-1.308),(6225,1835,-0.003807,-1.3078),(6225,1845,-0.003552,-1.3077),(6225,1855,-0.003334,-1.3075),(6225,1865,-0.003117,-1.3073),(6225,1875,-0.0029,-1.3071),(6225,1885,-0.002693,-1.3069),(6225,1895,-0.002503,-1.3066),(6225,1905,-0.002312,-1.3064),(6225,1915,-0.002122,-1.3061),(6225,1925,-0.001954,-1.3058),(6225,1935,-0.001817,-1.3055),(6225,1945,-0.00168,-1.3053),(6225,1955,-0.001544,-1.3051),(6225,1965,-0.001411,-1.3048),(6225,1975,-0.001283,-1.3046),(6225,1985,-0.001156,-1.3044),(6225,1995,-0.001028,-1.3041),(6225,2005,-0.000914,-1.3038),(6225,2015,-0.000814,-1.3035),(6225,2025,-0.000714,-1.3032),(6225,2035,-0.000613,-1.3029),(6225,2045,-0.000513,-1.3026),(6225,2055,-0.000414,-1.3022),(6225,2065,-0.000314,-1.302),(6225,2075,-0.000214,-1.3018),(6225,2085,-0.000108,-1.3016),(6225,2095,3e-06,-1.3014),(6225,2105,0.000114,-1.3012),(6225,2115,0.000225,-1.301),(6225,2125,0.000301,-1.3007),(6225,2135,0.000357,-1.3004),(6225,2145,0.000413,-1.3001),(6225,2155,0.000468,-1.2998),(6225,2165,0.000519,-1.2995),(6225,2175,0.000567,-1.2991),(6225,2185,0.000616,-1.2988),(6225,2195,0.000664,-1.2985),(6225,2205,0.000715,-1.2982),(6225,2215,0.000767,-1.2979),(6225,2225,0.000819,-1.2975),(6225,2235,0.000871,-1.2971),(6225,2245,0.000901,-1.2967),(6225,2255,0.000923,-1.2963),(6225,2265,0.000945,-1.2959),(6225,2275,0.000967,-1.2955),(6225,2285,0.000994,-1.2951),(6225,2295,0.001023,-1.2947),(6225,2305,0.001051,-1.2943),(6225,2315,0.001079,-1.294),(6225,2325,0.00111,-1.2936),(6225,2335,0.001141,-1.2933),(6225,2345,0.001172,-1.2929),(6225,2355,0.001203,-1.2925),(6225,2365,0.001241,-1.2921),(6225,2375,0.001281,-1.2917),(6225,2385,0.00132,-1.2912),(6225,2395,0.001359,-1.2908),(6225,2405,0.001426,-1.2903),(6225,2415,0.001497,-1.2899),(6225,2425,0.001568,-1.2894),(6225,2435,0.001638,-1.289),(6225,2445,0.001713,-1.2886),(6225,2455,0.001788,-1.2881),(6225,2465,0.001863,-1.2877),(6225,2475,0.001939,-1.2873),(6225,2485,0.002005,-1.2869),(6225,2495,0.00207,-1.2865),(6225,2505,0.002136,-1.2861),(6225,2515,0.002201,-1.2856),(6225,2525,0.002243,-1.2852),(6225,2535,0.002284,-1.2848),(6225,2545,0.002325,-1.2843),(6225,2555,0.002364,-1.2837),(6225,2565,0.002367,-1.2832),(6225,2575,0.00237,-1.2827),(6225,2585,0.002373,-1.2821),(6225,2595,0.002374,-1.2816),(6225,2605,0.002368,-1.281),(6225,2615,0.002361,-1.2804),(6225,2625,0.002354,-1.2798),(6225,2635,0.002348,-1.2793),(6225,2645,0.002344,-1.2787),(6225,2655,0.002339,-1.2781),(6225,2665,0.002334,-1.2774),(6225,2675,0.002333,-1.2768),(6225,2685,0.002348,-1.2761),(6225,2695,0.002364,-1.2755),(6225,2705,0.002379,-1.2749),(6225,2715,0.002407,-1.2744),(6225,2725,0.002485,-1.2738),(6225,2735,0.002563,-1.2732),(6225,2745,0.00264,-1.2728),(6225,2755,0.002718,-1.2723),(6225,2765,0.002797,-1.2718),(6225,2775,0.002875,-1.2712),(6225,2785,0.002954,-1.2705),(6225,2795,0.003013,-1.2698),(6225,2805,0.003027,-1.2691),(6225,2815,0.00304,-1.2684),(6225,2825,0.003054,-1.2676),(6225,2835,0.003078,-1.2668),(6225,2845,0.003123,-1.266),(6225,2855,0.003169,-1.2653),(6225,2865,0.003215,-1.2647),(6225,2875,0.00328,-1.2641),(6225,2885,0.003379,-1.2635),(6225,2895,0.003477,-1.2628),(6225,2905,0.003576,-1.2622),(6225,2915,0.003655,-1.2615),(6225,2925,0.003704,-1.2608),(6225,2935,0.003753,-1.26),(6225,2945,0.003802,-1.2591),(6225,2955,0.003838,-1.2582),(6225,2965,0.003857,-1.2574),(6225,2975,0.003876,-1.2565),(6225,2985,0.003895,-1.2557),(6225,2995,0.003931,-1.2549),(6225,3005,0.003985,-1.2541),(6225,3015,0.004038,-1.2533),(6225,3025,0.004092,-1.2525),(6225,3035,0.004146,-1.2517),(6225,3045,0.004201,-1.2509),(6225,3055,0.004257,-1.2501),(6225,3065,0.004312,-1.2492),(6225,3075,0.004361,-1.2483),(6225,3085,0.004405,-1.2474),(6225,3095,0.004449,-1.2465),(6225,3105,0.004493,-1.2456),(6225,3115,0.004539,-1.2447),(6225,3125,0.004587,-1.2438),(6225,3135,0.004634,-1.2429),(6225,3145,0.004681,-1.242),(6225,3155,0.00474,-1.2411),(6225,3165,0.004804,-1.2402),(6225,3175,0.004869,-1.2392),(6225,3185,0.004933,-1.2383),(6225,3195,0.005003,-1.2374),(6225,3205,0.005075,-1.2365),(6225,3215,0.005147,-1.2355),(6225,3225,0.005219,-1.2345),(6225,3235,0.005286,-1.2336),(6225,3245,0.00535,-1.2326),(6225,3255,0.005414,-1.2316),(6225,3265,0.005479,-1.2305),(6225,3275,0.005568,-1.2295),(6225,3285,0.005665,-1.2285),(6225,3295,0.005762,-1.2275),(6225,3305,0.005859,-1.2265),(6225,3315,0.00594,-1.2255),(6225,3325,0.006018,-1.2245),(6225,3335,0.006095,-1.2234),(6225,3345,0.006173,-1.2223),(6225,3355,0.006222,-1.2212),(6225,3365,0.006267,-1.2201),(6225,3375,0.006312,-1.2189),(6225,3385,0.006357,-1.2178),(6225,3395,0.006456,-1.2167),(6225,3405,0.006562,-1.2155),(6225,3415,0.006668,-1.2144),(6225,3425,0.006774,-1.2133),(6225,3435,0.006944,-1.2121),(6225,3445,0.007119,-1.211),(6225,3455,0.007294,-1.2097),(6225,3465,0.007469,-1.2085),(6225,3475,0.007705,-1.2073),(6225,3485,0.007943,-1.206),(6225,3495,0.008181,-1.2049),(6225,3505,0.008419,-1.2038),(6225,3515,0.008662,-1.2026),(6225,3525,0.008904,-1.2015),(6225,3535,0.009146,-1.2002),(6225,3545,0.009387,-1.199),(6225,3555,0.009617,-1.1977),(6225,3565,0.009846,-1.1964),(6225,3575,0.010076,-1.195),(6225,3585,0.010306,-1.1935),(6225,3595,0.01054,-1.1921),(6225,3605,0.010774,-1.1907),(6225,3615,0.011009,-1.1891),(6225,3625,0.01125,-1.1876),(6225,3635,0.011543,-1.1861),(6225,3645,0.011836,-1.1846),(6225,3655,0.012129,-1.1831),(6225,3665,0.012423,-1.1815),(6225,3675,0.012726,-1.18),(6225,3685,0.013029,-1.1784),(6225,3695,0.013332,-1.1768),(6225,3705,0.013593,-1.1751),(6225,3715,0.013688,-1.1734),(6225,3725,0.013784,-1.1716),(6225,3735,0.01388,-1.1695),(6225,3745,0.013963,-1.1674),(6225,3755,0.014004,-1.1652),(6225,3765,0.014046,-1.1631),(6225,3775,0.014088,-1.1607),(6225,3785,0.014018,-1.1584),(6225,3795,0.013665,-1.156),(6225,3805,0.013312,-1.1535),(6225,3815,0.012959,-1.1506),(6225,3825,0.012465,-1.1477),(6225,3835,0.011672,-1.1449),(6225,3845,0.01088,-1.1417),(6225,3855,0.010088,-1.1381),(6225,3865,0.009089,-1.1344),(6225,3875,0.007724,-1.1308),(6225,3885,0.00636,-1.1267),(6225,3895,0.004996,-1.1217),(6225,3905,0.003444,-1.1168),(6225,3915,0.001613,-1.1119),(6225,3925,-0.000219,-1.1063),(6225,3935,-0.00205,-1.0999),(6225,3945,-0.003893,-1.0935),(6225,3955,-0.005749,-1.0871),(6225,3965,-0.007606,-1.0799),(6225,3975,-0.009463,-1.0718),(6225,3985,-0.010468,-1.0637),(6225,3995,-0.010553,-1.0556),(6225,4005,-0.010638,-1.048),(6225,4015,-0.010722,-1.0411),(6225,4025,0.090919,-1.0341),(6225,4035,0.20251,-1.0291),(6225,4045,0.31411,-1.0281),(6225,4055,0.39211,-1.0271),(6225,4065,0.45785,-1.0259),(6225,4075,0.52359,-1.0241),(6225,4085,0.55344,-1.0223),(6225,4095,0.55444,-1.0204),(6225,4105,0.55544,-1.0185),(6225,4115,0.55645,-1.0166),(6225,4125,0.55748,-1.0147),(6225,4135,0.55851,-1.0129),(6225,4145,0.55954,-1.0111),(6225,4155,0.56062,-1.0093),(6225,4165,0.56169,-1.0075),(6225,4175,0.56277,-1.0057),(6225,4185,0.56389,-1.0038),(6225,4195,0.56502,-1.0019),(6225,4205,0.56615,-1),(6225,4215,0.56733,-0.99813),(6225,4225,0.56853,-0.99623),(6225,4235,0.56972,-0.99436),(6225,4245,0.57096,-0.99248),(6225,4255,0.57221,-0.9906),(6225,4265,0.57347,-0.98864),(6225,4275,0.57474,-0.98668),(6225,4285,0.57604,-0.98472),(6225,4295,0.57733,-0.98273),(6225,4305,0.57864,-0.98073),(6225,4315,0.57998,-0.97873),(6225,4325,0.58132,-0.97674),(6225,4335,0.58267,-0.97476),(6225,4345,0.58408,-0.97278),(6225,4355,0.58549,-0.97076),(6225,4365,0.5869,-0.96871),(6225,4375,0.58838,-0.96666),(6225,4385,0.58987,-0.9646),(6225,4395,0.59136,-0.96251),(6225,4405,0.59293,-0.96043),(6225,4415,0.59453,-0.95833),(6225,4425,0.59613,-0.95619),(6225,4435,0.59779,-0.95405),(6225,4445,0.59948,-0.95191),(6225,4455,0.60118,-0.94973),(6225,4465,0.60291,-0.94754),(6225,4475,0.60467,-0.94536),(6225,4485,0.60644,-0.9431),(6225,4495,0.60821,-0.94082),(6225,4505,0.61002,-0.93855),(6225,4515,0.61183,-0.93622),(6225,4525,0.61364,-0.93387),(6225,4535,0.61549,-0.93152),(6225,4545,0.61735,-0.92913),(6225,4555,0.6192,-0.9267),(6225,4565,0.62111,-0.92427),(6225,4575,0.62302,-0.92181),(6225,4585,0.62494,-0.91928),(6225,4595,0.6269,-0.91674),(6225,4605,0.62887,-0.91419),(6225,4615,0.63085,-0.91158),(6225,4625,0.63285,-0.90897),(6225,4635,0.63487,-0.90636),(6225,4645,0.63689,-0.90372),(6225,4655,0.63893,-0.90107),(6225,4665,0.64101,-0.89842),(6225,4675,0.64309,-0.89573),(6225,4685,0.64517,-0.89301),(6225,4695,0.64732,-0.8903),(6225,4705,0.64947,-0.88753),(6225,4715,0.65162,-0.8847),(6225,4725,0.65383,-0.88188),(6225,4735,0.65604,-0.87901),(6225,4745,0.65826,-0.87609),(6225,4755,0.6605,-0.87316),(6225,4765,0.66275,-0.87021),(6225,4775,0.665,-0.86721),(6225,4785,0.66726,-0.86421),(6225,4795,0.66953,-0.86121),(6225,4805,0.6718,-0.85812),(6225,4815,0.67408,-0.85504),(6225,4825,0.67638,-0.85196),(6225,4835,0.67867,-0.84878),(6225,4845,0.68097,-0.8456),(6225,4855,0.6833,-0.84241),(6225,4865,0.68562,-0.83917),(6225,4875,0.68795,-0.8359),(6225,4885,0.69031,-0.83263),(6225,4895,0.69267,-0.82932),(6225,4905,0.69503,-0.82597),(6225,4915,0.69741,-0.82262),(6225,4925,0.69979,-0.81924),(6225,4935,0.70218,-0.81581),(6225,4945,0.70457,-0.81238),(6225,4955,0.70697,-0.80893),(6225,4965,0.70937,-0.80542),(6225,4975,0.71177,-0.80191),(6225,4985,0.71417,-0.7984),(6225,4995,0.71658,-0.79479),(6225,5005,0.71898,-0.79119),(6225,5015,0.7214,-0.78759),(6225,5025,0.72381,-0.78391),(6225,5035,0.72622,-0.78022),(6225,5045,0.72865,-0.77653),(6225,5055,0.73108,-0.77279),(6225,5065,0.7335,-0.76904),(6225,5075,0.73595,-0.76528),(6225,5085,0.73839,-0.7615),(6225,5095,0.74083,-0.75767),(6225,5105,0.74329,-0.75384),(6225,5115,0.74574,-0.75),(6225,5125,0.7482,-0.74611),(6225,5135,0.75066,-0.74222),(6225,5145,0.75313,-0.73832),(6225,5155,0.7556,-0.73438),(6225,5165,0.75806,-0.73044),(6225,5175,0.76052,-0.7265),(6225,5185,0.76299,-0.72248),(6225,5195,0.76544,-0.71846),(6225,5205,0.76787,-0.71444),(6225,5215,0.77031,-0.71034),(6225,5225,0.77273,-0.70621),(6225,5235,0.77513,-0.70209),(6225,5245,0.77752,-0.69791),(6225,5255,0.77991,-0.6937),(6225,5265,0.78227,-0.68949),(6225,5275,0.78463,-0.68526),(6225,5285,0.787,-0.68098),(6225,5295,0.78936,-0.67671),(6225,5305,0.79171,-0.67242),(6225,5315,0.79407,-0.66806),(6225,5325,0.79642,-0.66371),(6225,5335,0.79878,-0.65936),(6225,5345,0.80113,-0.65494),(6225,5355,0.80349,-0.65053),(6225,5365,0.80584,-0.64611),(6225,5375,0.80819,-0.64167),(6225,5385,0.81054,-0.63723),(6225,5395,0.81287,-0.63279),(6225,5405,0.8152,-0.62831),(6225,5415,0.81753,-0.62383),(6225,5425,0.8198,-0.61934),(6225,5435,0.82208,-0.61482),(6225,5445,0.82436,-0.61026),(6225,5455,0.82658,-0.60569),(6225,5465,0.82879,-0.6011),(6225,5475,0.831,-0.59644),(6225,5485,0.83319,-0.59179),(6225,5495,0.83536,-0.58712),(6225,5505,0.83754,-0.58241),(6225,5515,0.8397,-0.5777),(6225,5525,0.84186,-0.57299),(6225,5535,0.84403,-0.56826),(6225,5545,0.84618,-0.56353),(6225,5555,0.84833,-0.5588),(6225,5565,0.85048,-0.55404),(6225,5575,0.85263,-0.54928),(6225,5585,0.85476,-0.54451),(6225,5595,0.85688,-0.53971),(6225,5605,0.85901,-0.53488),(6225,5615,0.8611,-0.53005),(6225,5625,0.86319,-0.52519),(6225,5635,0.86528,-0.52029),(6225,5645,0.86732,-0.5154),(6225,5655,0.86936,-0.51049),(6225,5665,0.87139,-0.50553),(6225,5675,0.87338,-0.50057),(6225,5685,0.87535,-0.49561),(6225,5695,0.87732,-0.4906),(6225,5705,0.87926,-0.48559),(6225,5715,0.88118,-0.48057),(6225,5725,0.8831,-0.4755),(6225,5735,0.88501,-0.47041),(6225,5745,0.88689,-0.46532),(6225,5755,0.88877,-0.46021),(6225,5765,0.89065,-0.4551),(6225,5775,0.89248,-0.44998),(6225,5785,0.89432,-0.44484),(6225,5795,0.89616,-0.43968),(6225,5805,0.89795,-0.43452),(6225,5815,0.89974,-0.42934),(6225,5825,0.90153,-0.42413),(6225,5835,0.90327,-0.41892),(6225,5845,0.905,-0.41371),(6225,5855,0.90673,-0.40847),(6225,5865,0.90843,-0.40323),(6225,5875,0.9101,-0.39799),(6225,5885,0.91178,-0.39274),(6225,5895,0.91344,-0.38748),(6225,5905,0.91507,-0.38223),(6225,5915,0.9167,-0.37695),(6225,5925,0.91832,-0.37167),(6225,5935,0.9199,-0.36639),(6225,5945,0.92147,-0.36107),(6225,5955,0.92305,-0.35574),(6225,5965,0.92456,-0.3504),(6225,5975,0.92608,-0.34503),(6225,5985,0.92759,-0.33962),(6225,5995,0.92904,-0.33421),(6225,6005,0.93048,-0.32878),(6225,6015,0.93191,-0.32328),(6225,6025,0.93329,-0.31779),(6225,6035,0.93464,-0.31229),(6225,6045,0.93599,-0.30676),(6225,6055,0.9373,-0.30124),(6225,6065,0.93859,-0.29571),(6225,6075,0.93987,-0.29026),(6225,6085,0.94114,-0.28481),(6225,6095,0.94238,-0.27937),(6225,6105,0.94362,-0.27391),(6225,6115,0.94485,-0.26846),(6225,6125,0.94602,-0.263),(6225,6135,0.9472,-0.25748),(6225,6145,0.94838,-0.25189),(6225,6155,0.94949,-0.2463),(6225,6165,0.9506,-0.2407),(6225,6175,0.9517,-0.23508),(6225,6185,0.95276,-0.22945),(6225,6195,0.9538,-0.22382),(6225,6205,0.95483,-0.21818),(6225,6215,0.95583,-0.21253),(6225,6225,0.95679,-0.20688),(6225,6235,0.95775,-0.20122),(6225,6245,0.95868,-0.19555),(6225,6255,0.95957,-0.18988),(6225,6265,0.96046,-0.18423),(6225,6275,0.96133,-0.17857),(6225,6285,0.96215,-0.17292),(6225,6295,0.96297,-0.16729),(6225,6305,0.96378,-0.16167),(6225,6315,0.96451,-0.15606),(6225,6325,0.96524,-0.15037),(6225,6335,0.96597,-0.14462),(6225,6345,0.96661,-0.13886),(6225,6355,0.96724,-0.1331),(6225,6365,0.96787,-0.12735),(6225,6375,0.96843,-0.1216),(6225,6385,0.96897,-0.11586),(6225,6395,0.96951,-0.11018),(6225,6405,0.96999,-0.1045),(6225,6415,0.97044,-0.098817),(6225,6425,0.97089,-0.093062),(6225,6435,0.97131,-0.087304),(6225,6445,0.9717,-0.081546),(6225,6455,0.97208,-0.075824),(6225,6465,0.97246,-0.070112),(6225,6475,0.97279,-0.0644),(6225,6485,0.97312,-0.058657),(6225,6495,0.97345,-0.052894),(6225,6505,0.9737,-0.047131),(6225,6515,0.97396,-0.041336),(6225,6525,0.97422,-0.035497),(6225,6535,0.97439,-0.029657),(6225,6545,0.97454,-0.023852),(6225,6555,0.97469,-0.018153),(6225,6565,0.97477,-0.012454),(6225,6575,0.97481,-0.006752),(6225,6585,0.97485,-0.001002),(6225,6595,0.82914,0.004748),(6225,6605,0.52249,0.010499),(6225,6615,0.21585,0.011179),(6225,6625,0.000293,0.011209),(6225,6635,0.000328,0.011239),(6225,6645,0.000363,0.011248),(6225,6655,0.000398,0.01125),(6225,6665,0.000433,0.011251),(6225,6675,0.000468,0.011252),(6225,6685,0.000502,0.011253),(6225,6695,0.000537,0.011254),(6225,6705,0.000572,0.011254),(6225,6715,0.000606,0.011254),(6225,6725,0.000641,0.011253),(6225,6735,0.000675,0.011253),(6225,6745,0.000709,0.011252),(6225,6755,0.000744,0.01125),(6225,6765,0.000778,0.011249),(6225,6775,0.000812,0.011247),(6225,6785,0.000845,0.011244),(6225,6795,0.000879,0.011242),(6225,6805,0.000913,0.011239),(6225,6815,0.000946,0.011235),(6225,6825,0.000979,0.011232),(6225,6835,0.001012,0.011228),(6225,6845,0.001046,0.011224),(6225,6855,0.001078,0.01122),(6225,6865,0.001111,0.011215),(6225,6875,0.001143,0.01121),(6225,6885,0.001176,0.011204),(6225,6895,0.001208,0.011199),(6225,6905,0.00124,0.011193),(6225,6915,0.001271,0.011186),(6225,6925,0.001303,0.01118),(6225,6935,0.001334,0.011173),(6225,6945,0.001365,0.011166),(6225,6955,0.001396,0.011159),(6225,6965,0.001427,0.011151),(6225,6975,0.001458,0.011143),(6225,6985,0.001488,0.011135),(6235,5,8e-06,-1.3202),(6235,15,2.3e-05,-1.32),(6235,25,3.7e-05,-1.3199),(6235,35,4.8e-05,-1.3197),(6235,45,6e-05,-1.3197),(6235,55,7.1e-05,-1.3196),(6235,65,9.3e-05,-1.3196),(6235,75,0.000124,-1.3195),(6235,85,0.000155,-1.3195),(6235,95,0.000185,-1.3195),(6235,105,0.000207,-1.3194),(6235,115,0.000223,-1.3194),(6235,125,0.000239,-1.3194),(6235,135,0.000255,-1.3193),(6235,145,0.000273,-1.3193),(6235,155,0.000292,-1.3193),(6235,165,0.000312,-1.3193),(6235,175,0.000331,-1.3192),(6235,185,0.00035,-1.3192),(6235,195,0.00037,-1.3192),(6235,205,0.00039,-1.3192),(6235,215,0.00041,-1.3193),(6235,225,0.000411,-1.3193),(6235,235,0.000403,-1.3193),(6235,245,0.000396,-1.3193),(6235,255,0.000389,-1.3193),(6235,265,0.00036,-1.3192),(6235,275,0.000325,-1.3192),(6235,285,0.00029,-1.3191),(6235,295,0.000255,-1.3191),(6235,305,0.000247,-1.319),(6235,315,0.000247,-1.3189),(6235,325,0.000246,-1.3189),(6235,335,0.000245,-1.3189),(6235,345,0.000297,-1.3189),(6235,355,0.000359,-1.3189),(6235,365,0.000421,-1.3189),(6235,375,0.000483,-1.319),(6235,385,0.000533,-1.3191),(6235,395,0.000581,-1.3191),(6235,405,0.000629,-1.3191),(6235,415,0.000677,-1.319),(6235,425,0.000702,-1.3189),(6235,435,0.000726,-1.3189),(6235,445,0.000749,-1.3188),(6235,455,0.000773,-1.3188),(6235,465,0.000825,-1.3188),(6235,475,0.000879,-1.3187),(6235,485,0.000933,-1.3187),(6235,495,0.000986,-1.3187),(6235,505,0.001055,-1.3187),(6235,515,0.001124,-1.3187),(6235,525,0.001193,-1.3187),(6235,535,0.001262,-1.3187),(6235,545,0.001321,-1.3187),(6235,555,0.001381,-1.3187),(6235,565,0.001441,-1.3186),(6235,575,0.0015,-1.3186),(6235,585,0.00155,-1.3185),(6235,595,0.0016,-1.3184),(6235,605,0.001649,-1.3184),(6235,615,0.001702,-1.3184),(6235,625,0.001779,-1.3184),(6235,635,0.001856,-1.3184),(6235,645,0.001933,-1.3184),(6235,655,0.002011,-1.3185),(6235,665,0.002094,-1.3185),(6235,675,0.002177,-1.3185),(6235,685,0.00226,-1.3184),(6235,695,0.002346,-1.3183),(6235,705,0.002448,-1.3182),(6235,715,0.00255,-1.3181),(6235,725,0.002652,-1.3181),(6235,735,0.002768,-1.318),(6235,745,0.002932,-1.318),(6235,755,0.003095,-1.318),(6235,765,0.003258,-1.3179),(6235,775,0.003429,-1.3179),(6235,785,0.003624,-1.3178),(6235,795,0.003818,-1.3178),(6235,805,0.004012,-1.3177),(6235,815,0.004222,-1.3176),(6235,825,0.004465,-1.3176),(6235,835,0.004708,-1.3175),(6235,845,0.004951,-1.3174),(6235,855,0.005209,-1.3173),(6235,865,0.005492,-1.3172),(6235,875,0.005776,-1.3171),(6235,885,0.00606,-1.317),(6235,895,0.006342,-1.3168),(6235,905,0.006622,-1.3167),(6235,915,0.006901,-1.3165),(6235,925,0.007181,-1.3162),(6235,935,0.007464,-1.3159),(6235,945,0.007751,-1.3157),(6235,955,0.008039,-1.3154),(6235,965,0.008326,-1.3151),(6235,975,0.008641,-1.3148),(6235,985,0.008988,-1.3145),(6235,995,0.009335,-1.3142),(6235,1005,0.009682,-1.3139),(6235,1015,0.009997,-1.3135),(6235,1025,0.010282,-1.3132),(6235,1035,0.010566,-1.3128),(6235,1045,0.010851,-1.3122),(6235,1055,0.011,-1.3116),(6235,1065,0.011038,-1.3111),(6235,1075,0.011076,-1.3103),(6235,1085,0.011114,-1.3093),(6235,1095,0.01089,-1.3084),(6235,1105,0.010483,-1.3074),(6235,1115,0.010076,-1.3062),(6235,1125,0.009669,-1.3047),(6235,1135,0.008828,-1.3033),(6235,1145,0.00773,-1.3019),(6235,1155,0.006632,-1.3),(6235,1165,0.005535,-1.2978),(6235,1175,0.003727,-1.2957),(6235,1185,0.001567,-1.2936),(6235,1195,-0.000593,-1.2904),(6235,1205,-0.002752,-1.2867),(6235,1215,-0.005777,-1.2831),(6235,1225,-0.009157,-1.2794),(6235,1235,-0.012538,-1.274),(6235,1245,-0.015919,-1.2679),(6235,1255,-0.019681,-1.2618),(6235,1265,-0.023571,-1.2557),(6235,1275,-0.027462,-1.2472),(6235,1285,-0.031352,-1.238),(6235,1295,-0.030095,-1.2288),(6235,1305,-0.027445,-1.2196),(6235,1315,-0.024795,-1.213),(6235,1325,-0.022145,-1.207),(6235,1335,-0.01354,-1.201),(6235,1345,-0.003687,-1.1949),(6235,1355,0.006165,-1.1977),(6235,1365,0.016018,-1.2022),(6235,1375,0.021482,-1.2066),(6235,1385,0.026268,-1.211),(6235,1395,0.031055,-1.22),(6235,1405,0.035842,-1.2296),(6235,1415,0.032713,-1.2393),(6235,1425,0.028761,-1.2489),(6235,1435,0.02481,-1.2553),(6235,1445,0.020859,-1.2615),(6235,1455,0.01725,-1.2677),(6235,1465,0.01366,-1.2739),(6235,1475,0.010071,-1.2777),(6235,1485,0.006481,-1.2814),(6235,1495,0.004113,-1.2851),(6235,1505,0.001763,-1.2888),(6235,1515,-0.000587,-1.291),(6235,1525,-0.00291,-1.2933),(6235,1535,-0.004186,-1.2956),(6235,1545,-0.005463,-1.2978),(6235,1555,-0.006739,-1.2989),(6235,1565,-0.007961,-1.3001),(6235,1575,-0.008396,-1.3012),(6235,1585,-0.00883,-1.3023),(6235,1595,-0.009264,-1.3031),(6235,1605,-0.009645,-1.3039),(6235,1615,-0.009573,-1.3047),(6235,1625,-0.009501,-1.3054),(6235,1635,-0.00943,-1.3058),(6235,1645,-0.009335,-1.3062),(6235,1655,-0.009103,-1.3066),(6235,1665,-0.00887,-1.3069),(6235,1675,-0.008639,-1.3072),(6235,1685,-0.00839,-1.3075),(6235,1695,-0.00807,-1.3077),(6235,1705,-0.00775,-1.3079),(6235,1715,-0.007431,-1.308),(6235,1725,-0.00711,-1.308),(6235,1735,-0.006789,-1.3081),(6235,1745,-0.006467,-1.3081),(6235,1755,-0.006145,-1.3081),(6235,1765,-0.005818,-1.308),(6235,1775,-0.005472,-1.308),(6235,1785,-0.005126,-1.308),(6235,1795,-0.004781,-1.3079),(6235,1805,-0.004453,-1.3079),(6235,1815,-0.004167,-1.3079),(6235,1825,-0.00388,-1.3079),(6235,1835,-0.003594,-1.3077),(6235,1845,-0.003334,-1.3076),(6235,1855,-0.003127,-1.3074),(6235,1865,-0.00292,-1.3073),(6235,1875,-0.002712,-1.307),(6235,1885,-0.002516,-1.3068),(6235,1895,-0.002339,-1.3065),(6235,1905,-0.002161,-1.3063),(6235,1915,-0.001983,-1.306),(6235,1925,-0.001827,-1.3058),(6235,1935,-0.001701,-1.3055),(6235,1945,-0.001575,-1.3052),(6235,1955,-0.001449,-1.305),(6235,1965,-0.001327,-1.3048),(6235,1975,-0.001211,-1.3046),(6235,1985,-0.001095,-1.3043),(6235,1995,-0.000978,-1.304),(6235,2005,-0.000876,-1.3038),(6235,2015,-0.000787,-1.3035),(6235,2025,-0.000698,-1.3032),(6235,2035,-0.000609,-1.3029),(6235,2045,-0.000527,-1.3025),(6235,2055,-0.000451,-1.3022),(6235,2065,-0.000374,-1.302),(6235,2075,-0.000298,-1.3018),(6235,2085,-0.000211,-1.3016),(6235,2095,-0.000117,-1.3014),(6235,2105,-2.3e-05,-1.3012),(6235,2115,7.1e-05,-1.3009),(6235,2125,0.000143,-1.3007),(6235,2135,0.0002,-1.3004),(6235,2145,0.000257,-1.3001),(6235,2155,0.000314,-1.2998),(6235,2165,0.000373,-1.2994),(6235,2175,0.000432,-1.2991),(6235,2185,0.000491,-1.2988),(6235,2195,0.00055,-1.2984),(6235,2205,0.000617,-1.2981),(6235,2215,0.000687,-1.2978),(6235,2225,0.000758,-1.2975),(6235,2235,0.000828,-1.2971),(6235,2245,0.000869,-1.2967),(6235,2255,0.000901,-1.2963),(6235,2265,0.000932,-1.2959),(6235,2275,0.000964,-1.2955),(6235,2285,0.000988,-1.2951),(6235,2295,0.001009,-1.2947),(6235,2305,0.00103,-1.2943),(6235,2315,0.001052,-1.294),(6235,2325,0.001071,-1.2936),(6235,2335,0.00109,-1.2933),(6235,2345,0.001108,-1.2929),(6235,2355,0.001127,-1.2925),(6235,2365,0.001155,-1.2921),(6235,2375,0.001184,-1.2917),(6235,2385,0.001213,-1.2912),(6235,2395,0.001243,-1.2907),(6235,2405,0.001308,-1.2903),(6235,2415,0.001377,-1.2898),(6235,2425,0.001447,-1.2894),(6235,2435,0.001516,-1.2889),(6235,2445,0.001594,-1.2885),(6235,2455,0.001672,-1.2881),(6235,2465,0.00175,-1.2877),(6235,2475,0.001829,-1.2873),(6235,2485,0.001892,-1.2868),(6235,2495,0.001955,-1.2864),(6235,2505,0.002019,-1.286),(6235,2515,0.002082,-1.2856),(6235,2525,0.002116,-1.2852),(6235,2535,0.002152,-1.2848),(6235,2545,0.002187,-1.2843),(6235,2555,0.00222,-1.2838),(6235,2565,0.002217,-1.2832),(6235,2575,0.002215,-1.2827),(6235,2585,0.002213,-1.2822),(6235,2595,0.002211,-1.2816),(6235,2605,0.002206,-1.281),(6235,2615,0.002201,-1.2804),(6235,2625,0.002196,-1.2799),(6235,2635,0.002192,-1.2793),(6235,2645,0.002193,-1.2787),(6235,2655,0.002194,-1.2781),(6235,2665,0.002195,-1.2774),(6235,2675,0.002198,-1.2768),(6235,2685,0.00221,-1.2761),(6235,2695,0.002223,-1.2755),(6235,2705,0.002236,-1.2749),(6235,2715,0.002262,-1.2743),(6235,2725,0.002338,-1.2738),(6235,2735,0.002415,-1.2732),(6235,2745,0.002492,-1.2727),(6235,2755,0.002573,-1.2722),(6235,2765,0.002667,-1.2717),(6235,2775,0.002761,-1.2712),(6235,2785,0.002855,-1.2705),(6235,2795,0.002929,-1.2698),(6235,2805,0.002958,-1.2691),(6235,2815,0.002986,-1.2684),(6235,2825,0.003014,-1.2676),(6235,2835,0.00305,-1.2668),(6235,2845,0.003098,-1.266),(6235,2855,0.003147,-1.2653),(6235,2865,0.003196,-1.2646),(6235,2875,0.003268,-1.264),(6235,2885,0.003381,-1.2634),(6235,2895,0.003493,-1.2627),(6235,2905,0.003606,-1.2621),(6235,2915,0.003699,-1.2614),(6235,2925,0.003765,-1.2607),(6235,2935,0.003831,-1.26),(6235,2945,0.003897,-1.2591),(6235,2955,0.00394,-1.2582),(6235,2965,0.003955,-1.2574),(6235,2975,0.00397,-1.2565),(6235,2985,0.003985,-1.2557),(6235,2995,0.004011,-1.2549),(6235,3005,0.004048,-1.2541),(6235,3015,0.004085,-1.2533),(6235,3025,0.004122,-1.2525),(6235,3035,0.004164,-1.2517),(6235,3045,0.00421,-1.2509),(6235,3055,0.004257,-1.2501),(6235,3065,0.004303,-1.2492),(6235,3075,0.004348,-1.2483),(6235,3085,0.004391,-1.2474),(6235,3095,0.004434,-1.2465),(6235,3105,0.004478,-1.2456),(6235,3115,0.004523,-1.2447),(6235,3125,0.004571,-1.2438),(6235,3135,0.004619,-1.2429),(6235,3145,0.004666,-1.2419),(6235,3155,0.004727,-1.241),(6235,3165,0.004796,-1.2401),(6235,3175,0.004864,-1.2392),(6235,3185,0.004933,-1.2383),(6235,3195,0.005009,-1.2374),(6235,3205,0.005089,-1.2364),(6235,3215,0.005169,-1.2355),(6235,3225,0.005248,-1.2345),(6235,3235,0.005313,-1.2335),(6235,3245,0.005372,-1.2326),(6235,3255,0.00543,-1.2315),(6235,3265,0.005489,-1.2305),(6235,3275,0.005565,-1.2295),(6235,3285,0.005647,-1.2284),(6235,3295,0.005729,-1.2274),(6235,3305,0.00581,-1.2265),(6235,3315,0.005884,-1.2255),(6235,3325,0.005955,-1.2245),(6235,3335,0.006027,-1.2234),(6235,3345,0.006098,-1.2223),(6235,3355,0.006141,-1.2212),(6235,3365,0.006179,-1.2201),(6235,3375,0.006216,-1.2189),(6235,3385,0.006254,-1.2178),(6235,3395,0.00634,-1.2166),(6235,3405,0.006433,-1.2155),(6235,3415,0.006525,-1.2144),(6235,3425,0.006617,-1.2132),(6235,3435,0.006774,-1.2121),(6235,3445,0.006936,-1.2109),(6235,3455,0.007099,-1.2097),(6235,3465,0.007261,-1.2084),(6235,3475,0.007481,-1.2072),(6235,3485,0.007703,-1.2059),(6235,3495,0.007925,-1.2048),(6235,3505,0.008148,-1.2036),(6235,3515,0.00837,-1.2025),(6235,3525,0.008593,-1.2014),(6235,3535,0.008815,-1.2001),(6235,3545,0.009038,-1.1988),(6235,3555,0.009267,-1.1976),(6235,3565,0.009497,-1.1963),(6235,3575,0.009726,-1.1949),(6235,3585,0.009956,-1.1934),(6235,3595,0.010191,-1.192),(6235,3605,0.010427,-1.1905),(6235,3615,0.010662,-1.189),(6235,3625,0.010898,-1.1875),(6235,3635,0.011141,-1.186),(6235,3645,0.011383,-1.1845),(6235,3655,0.011626,-1.1829),(6235,3665,0.011873,-1.1814),(6235,3675,0.012145,-1.1799),(6235,3685,0.012418,-1.1783),(6235,3695,0.01269,-1.1766),(6235,3705,0.012918,-1.175),(6235,3715,0.012975,-1.1733),(6235,3725,0.013031,-1.1716),(6235,3735,0.013088,-1.1695),(6235,3745,0.013117,-1.1674),(6235,3755,0.013062,-1.1653),(6235,3765,0.013007,-1.1631),(6235,3775,0.012952,-1.1609),(6235,3785,0.012779,-1.1586),(6235,3795,0.012307,-1.1563),(6235,3805,0.011836,-1.1539),(6235,3815,0.011364,-1.1511),(6235,3825,0.010726,-1.1483),(6235,3835,0.009739,-1.1455),(6235,3845,0.008751,-1.1424),(6235,3855,0.007764,-1.1389),(6235,3865,0.006536,-1.1354),(6235,3875,0.004882,-1.1319),(6235,3885,0.003229,-1.1279),(6235,3895,0.001575,-1.1231),(6235,3905,-0.000316,-1.1183),(6235,3915,-0.002564,-1.1135),(6235,3925,-0.004811,-1.108),(6235,3935,-0.007059,-1.1016),(6235,3945,-0.00932,-1.0952),(6235,3955,-0.0116,-1.0888),(6235,3965,-0.013879,-1.0815),(6235,3975,-0.016159,-1.0732),(6235,3985,-0.017249,-1.0649),(6235,3995,-0.01705,-1.0565),(6235,4005,-0.016851,-1.0488),(6235,4015,-0.016652,-1.0415),(6235,4025,0.086165,-1.0343),(6235,4035,0.19902,-1.029),(6235,4045,0.31188,-1.028),(6235,4055,0.38995,-1.027),(6235,4065,0.45534,-1.0259),(6235,4075,0.52072,-1.024),(6235,4085,0.55041,-1.0222),(6235,4095,0.55141,-1.0204),(6235,4105,0.55241,-1.0185),(6235,4115,0.55341,-1.0166),(6235,4125,0.55444,-1.0147),(6235,4135,0.55546,-1.0129),(6235,4145,0.55649,-1.011),(6235,4155,0.55756,-1.0092),(6235,4165,0.55863,-1.0074),(6235,4175,0.55969,-1.0056),(6235,4185,0.56081,-1.0037),(6235,4195,0.56193,-1.0018),(6235,4205,0.56305,-0.99991),(6235,4215,0.56423,-0.99799),(6235,4225,0.56542,-0.99608),(6235,4235,0.56662,-0.9942),(6235,4245,0.56785,-0.99232),(6235,4255,0.5691,-0.99043),(6235,4265,0.57034,-0.98846),(6235,4275,0.57161,-0.9865),(6235,4285,0.5729,-0.98454),(6235,4295,0.57419,-0.98253),(6235,4305,0.57549,-0.98053),(6235,4315,0.57682,-0.97853),(6235,4325,0.57815,-0.97653),(6235,4335,0.57948,-0.97454),(6235,4345,0.58087,-0.97256),(6235,4355,0.58225,-0.97053),(6235,4365,0.58364,-0.96847),(6235,4375,0.5851,-0.9664),(6235,4385,0.58656,-0.96433),(6235,4395,0.58802,-0.96223),(6235,4405,0.58957,-0.96012),(6235,4415,0.59113,-0.95801),(6235,4425,0.5927,-0.95586),(6235,4435,0.59433,-0.9537),(6235,4445,0.596,-0.95155),(6235,4455,0.59767,-0.94936),(6235,4465,0.59937,-0.94717),(6235,4475,0.60112,-0.94498),(6235,4485,0.60287,-0.94272),(6235,4495,0.60462,-0.94044),(6235,4505,0.60641,-0.93817),(6235,4515,0.6082,-0.93584),(6235,4525,0.60999,-0.93349),(6235,4535,0.61183,-0.93114),(6235,4545,0.61367,-0.92875),(6235,4555,0.61551,-0.92631),(6235,4565,0.61739,-0.92387),(6235,4575,0.61929,-0.9214),(6235,4585,0.62119,-0.91886),(6235,4595,0.62312,-0.91631),(6235,4605,0.62507,-0.91376),(6235,4615,0.62702,-0.91114),(6235,4625,0.629,-0.90853),(6235,4635,0.63099,-0.90591),(6235,4645,0.63298,-0.90326),(6235,4655,0.635,-0.90061),(6235,4665,0.63704,-0.89795),(6235,4675,0.63908,-0.89525),(6235,4685,0.64114,-0.89252),(6235,4695,0.64326,-0.8898),(6235,4705,0.64538,-0.88701),(6235,4715,0.6475,-0.88417),(6235,4725,0.64968,-0.88134),(6235,4735,0.65187,-0.87846),(6235,4745,0.65405,-0.87554),(6235,4755,0.65627,-0.87261),(6235,4765,0.6585,-0.86966),(6235,4775,0.66072,-0.86666),(6235,4785,0.66296,-0.86367),(6235,4795,0.66521,-0.86066),(6235,4805,0.66745,-0.85758),(6235,4815,0.66971,-0.8545),(6235,4825,0.67197,-0.85142),(6235,4835,0.67424,-0.84825),(6235,4845,0.67651,-0.84507),(6235,4855,0.6788,-0.84189),(6235,4865,0.68109,-0.83864),(6235,4875,0.68338,-0.83537),(6235,4885,0.6857,-0.8321),(6235,4895,0.68803,-0.82878),(6235,4905,0.69035,-0.82543),(6235,4915,0.6927,-0.82208),(6235,4925,0.69505,-0.8187),(6235,4935,0.6974,-0.81526),(6235,4945,0.69976,-0.81183),(6235,4955,0.70213,-0.80838),(6235,4965,0.7045,-0.80487),(6235,4975,0.70688,-0.80136),(6235,4985,0.70926,-0.79785),(6235,4995,0.71164,-0.79425),(6235,5005,0.71402,-0.79065),(6235,5015,0.7164,-0.78705),(6235,5025,0.71879,-0.78338),(6235,5035,0.72117,-0.77968),(6235,5045,0.72357,-0.77599),(6235,5055,0.72596,-0.77226),(6235,5065,0.72835,-0.76851),(6235,5075,0.73076,-0.76475),(6235,5085,0.73316,-0.76096),(6235,5095,0.73556,-0.75713),(6235,5105,0.73798,-0.7533),(6235,5115,0.7404,-0.74945),(6235,5125,0.74281,-0.74555),(6235,5135,0.74524,-0.74165),(6235,5145,0.74768,-0.73775),(6235,5155,0.75011,-0.73381),(6235,5165,0.75255,-0.72986),(6235,5175,0.755,-0.72591),(6235,5185,0.75744,-0.7219),(6235,5195,0.75988,-0.71789),(6235,5205,0.7623,-0.71388),(6235,5215,0.76473,-0.70979),(6235,5225,0.76714,-0.70567),(6235,5235,0.76952,-0.70156),(6235,5245,0.7719,-0.6974),(6235,5255,0.77428,-0.6932),(6235,5265,0.77663,-0.68899),(6235,5275,0.77897,-0.68477),(6235,5285,0.78131,-0.6805),(6235,5295,0.78364,-0.67623),(6235,5305,0.78597,-0.67194),(6235,5315,0.78829,-0.66759),(6235,5325,0.79061,-0.66324),(6235,5335,0.79293,-0.65888),(6235,5345,0.79525,-0.65446),(6235,5355,0.79757,-0.65004),(6235,5365,0.79989,-0.64562),(6235,5375,0.80221,-0.64118),(6235,5385,0.80453,-0.63673),(6235,5395,0.80684,-0.63228),(6235,5405,0.80915,-0.62781),(6235,5415,0.81146,-0.62332),(6235,5425,0.81373,-0.61884),(6235,5435,0.816,-0.61433),(6235,5445,0.81827,-0.60978),(6235,5455,0.82048,-0.60523),(6235,5465,0.82268,-0.60065),(6235,5475,0.82489,-0.596),(6235,5485,0.82706,-0.59136),(6235,5495,0.82921,-0.5867),(6235,5505,0.83137,-0.58199),(6235,5515,0.83351,-0.57728),(6235,5525,0.83565,-0.57257),(6235,5535,0.83778,-0.56784),(6235,5545,0.83991,-0.56311),(6235,5555,0.84203,-0.55837),(6235,5565,0.84414,-0.55361),(6235,5575,0.84626,-0.54885),(6235,5585,0.84836,-0.54408),(6235,5595,0.85046,-0.53927),(6235,5605,0.85256,-0.53444),(6235,5615,0.85463,-0.5296),(6235,5625,0.8567,-0.52474),(6235,5635,0.85878,-0.51985),(6235,5645,0.86081,-0.51496),(6235,5655,0.86283,-0.51005),(6235,5665,0.86485,-0.50511),(6235,5675,0.86683,-0.50016),(6235,5685,0.86879,-0.49521),(6235,5695,0.87074,-0.4902),(6235,5705,0.87268,-0.4852),(6235,5715,0.87458,-0.48019),(6235,5725,0.87648,-0.47512),(6235,5735,0.87837,-0.47003),(6235,5745,0.88023,-0.46495),(6235,5755,0.88209,-0.45984),(6235,5765,0.88395,-0.45472),(6235,5775,0.88577,-0.4496),(6235,5785,0.88759,-0.44446),(6235,5795,0.88941,-0.4393),(6235,5805,0.89119,-0.43414),(6235,5815,0.89296,-0.42897),(6235,5825,0.89473,-0.42377),(6235,5835,0.89645,-0.41857),(6235,5845,0.89816,-0.41336),(6235,5855,0.89987,-0.40813),(6235,5865,0.90155,-0.40289),(6235,5875,0.9032,-0.39766),(6235,5885,0.90485,-0.3924),(6235,5895,0.90649,-0.38715),(6235,5905,0.90809,-0.38189),(6235,5915,0.9097,-0.37662),(6235,5925,0.9113,-0.37133),(6235,5935,0.91286,-0.36605),(6235,5945,0.91443,-0.36073),(6235,5955,0.91599,-0.35539),(6235,5965,0.9175,-0.35005),(6235,5975,0.91901,-0.34468),(6235,5985,0.92052,-0.33928),(6235,5995,0.92197,-0.33387),(6235,6005,0.92341,-0.32845),(6235,6015,0.92484,-0.32297),(6235,6025,0.92622,-0.31749),(6235,6035,0.92756,-0.312),(6235,6045,0.92891,-0.30649),(6235,6055,0.93021,-0.30097),(6235,6065,0.93148,-0.29545),(6235,6075,0.93275,-0.29),(6235,6085,0.934,-0.28456),(6235,6095,0.93522,-0.27911),(6235,6105,0.93644,-0.27366),(6235,6115,0.93765,-0.2682),(6235,6125,0.93881,-0.26275),(6235,6135,0.93997,-0.25722),(6235,6145,0.94113,-0.25164),(6235,6155,0.94222,-0.24605),(6235,6165,0.94332,-0.24045),(6235,6175,0.94441,-0.23483),(6235,6185,0.94545,-0.2292),(6235,6195,0.94648,-0.22358),(6235,6205,0.94751,-0.21794),(6235,6215,0.94849,-0.21229),(6235,6225,0.94944,-0.20665),(6235,6235,0.95039,-0.20099),(6235,6245,0.95131,-0.19532),(6235,6255,0.95219,-0.18966),(6235,6265,0.95307,-0.18401),(6235,6275,0.95394,-0.17835),(6235,6285,0.95475,-0.1727),(6235,6295,0.95556,-0.16708),(6235,6305,0.95637,-0.16146),(6235,6315,0.9571,-0.15585),(6235,6325,0.95783,-0.15018),(6235,6335,0.95856,-0.14443),(6235,6345,0.9592,-0.13869),(6235,6355,0.95983,-0.13294),(6235,6365,0.96046,-0.12721),(6235,6375,0.96102,-0.12147),(6235,6385,0.96155,-0.11574),(6235,6395,0.96208,-0.11007),(6235,6405,0.96256,-0.1044),(6235,6415,0.963,-0.098727),(6235,6425,0.96343,-0.092973),(6235,6435,0.96385,-0.087215),(6235,6445,0.96422,-0.081457),(6235,6455,0.96459,-0.07573),(6235,6465,0.96495,-0.070013),(6235,6475,0.96527,-0.064295),(6235,6485,0.9656,-0.058549),(6235,6495,0.96592,-0.052784),(6235,6505,0.96617,-0.047019),(6235,6515,0.96643,-0.041227),(6235,6525,0.96669,-0.035397),(6235,6535,0.96686,-0.029568),(6235,6545,0.96702,-0.023775),(6235,6555,0.96717,-0.018093),(6235,6565,0.96725,-0.012412),(6235,6575,0.96729,-0.006727),(6235,6585,0.96733,-0.00099),(6235,6595,0.82274,0.004748),(6235,6605,0.51846,0.010486),(6235,6615,0.21418,0.011179),(6235,6625,0.00029,0.011224),(6235,6635,0.000325,0.01127),(6235,6645,0.00036,0.011284),(6235,6655,0.000396,0.011285),(6235,6665,0.000431,0.011287),(6235,6675,0.000466,0.011288),(6235,6685,0.000501,0.011288),(6235,6695,0.000536,0.011289),(6235,6705,0.000571,0.011289),(6235,6715,0.000606,0.011289),(6235,6725,0.00064,0.011288),(6235,6735,0.000675,0.011288),(6235,6745,0.00071,0.011286),(6235,6755,0.000744,0.011285),(6235,6765,0.000778,0.011283),(6235,6775,0.000813,0.011281),(6235,6785,0.000847,0.011279),(6235,6795,0.000881,0.011276),(6235,6805,0.000915,0.011273),(6235,6815,0.000948,0.011269),(6235,6825,0.000982,0.011266),(6235,6835,0.001015,0.011262),(6235,6845,0.001048,0.011257),(6235,6855,0.001081,0.011253),(6235,6865,0.001114,0.011248),(6235,6875,0.001147,0.011242),(6235,6885,0.001179,0.011237),(6235,6895,0.001212,0.011231),(6235,6905,0.001244,0.011225),(6235,6915,0.001276,0.011219),(6235,6925,0.001308,0.011212),(6235,6935,0.001339,0.011205),(6235,6945,0.001371,0.011198),(6235,6955,0.001402,0.01119),(6235,6965,0.001433,0.011182),(6235,6975,0.001464,0.011174),(6235,6985,0.001494,0.011166),(6245,5,1e-05,-1.3202),(6245,15,3.1e-05,-1.32),(6245,25,4.8e-05,-1.3199),(6245,35,6.1e-05,-1.3197),(6245,45,7.5e-05,-1.3197),(6245,55,8.8e-05,-1.3196),(6245,65,0.000109,-1.3196),(6245,75,0.000136,-1.3195),(6245,85,0.000163,-1.3195),(6245,95,0.00019,-1.3194),(6245,105,0.000207,-1.3194),(6245,115,0.000218,-1.3194),(6245,125,0.000229,-1.3194),(6245,135,0.00024,-1.3193),(6245,145,0.000257,-1.3193),(6245,155,0.000277,-1.3193),(6245,165,0.000297,-1.3192),(6245,175,0.000317,-1.3192),(6245,185,0.000342,-1.3192),(6245,195,0.000369,-1.3192),(6245,205,0.000397,-1.3192),(6245,215,0.000424,-1.3192),(6245,225,0.000431,-1.3193),(6245,235,0.000431,-1.3193),(6245,245,0.00043,-1.3193),(6245,255,0.000429,-1.3193),(6245,265,0.000398,-1.3192),(6245,275,0.000358,-1.3192),(6245,285,0.000317,-1.3192),(6245,295,0.000277,-1.3191),(6245,305,0.00026,-1.319),(6245,315,0.00025,-1.3189),(6245,325,0.00024,-1.3189),(6245,335,0.00023,-1.3189),(6245,345,0.000277,-1.3189),(6245,355,0.000335,-1.3188),(6245,365,0.000393,-1.3189),(6245,375,0.000452,-1.319),(6245,385,0.000504,-1.319),(6245,395,0.000556,-1.3191),(6245,405,0.000607,-1.3191),(6245,415,0.000659,-1.319),(6245,425,0.000683,-1.3189),(6245,435,0.000704,-1.3189),(6245,445,0.000725,-1.3188),(6245,455,0.000746,-1.3188),(6245,465,0.000795,-1.3188),(6245,475,0.000845,-1.3187),(6245,485,0.000895,-1.3187),(6245,495,0.000945,-1.3187),(6245,505,0.001012,-1.3187),(6245,515,0.00108,-1.3186),(6245,525,0.001148,-1.3186),(6245,535,0.001215,-1.3187),(6245,545,0.001278,-1.3187),(6245,555,0.00134,-1.3187),(6245,565,0.001402,-1.3186),(6245,575,0.001463,-1.3185),(6245,585,0.001512,-1.3185),(6245,595,0.00156,-1.3184),(6245,605,0.001608,-1.3184),(6245,615,0.001659,-1.3184),(6245,625,0.001732,-1.3184),(6245,635,0.001805,-1.3184),(6245,645,0.001878,-1.3184),(6245,655,0.001953,-1.3184),(6245,665,0.002035,-1.3185),(6245,675,0.002118,-1.3185),(6245,685,0.0022,-1.3184),(6245,695,0.002285,-1.3183),(6245,705,0.00238,-1.3182),(6245,715,0.002476,-1.3181),(6245,725,0.002571,-1.318),(6245,735,0.00268,-1.318),(6245,745,0.002835,-1.3179),(6245,755,0.002989,-1.3179),(6245,765,0.003144,-1.3178),(6245,775,0.003306,-1.3178),(6245,785,0.00349,-1.3178),(6245,795,0.003673,-1.3177),(6245,805,0.003856,-1.3176),(6245,815,0.004054,-1.3175),(6245,825,0.004283,-1.3175),(6245,835,0.004513,-1.3174),(6245,845,0.004742,-1.3173),(6245,855,0.004991,-1.3172),(6245,865,0.005274,-1.3171),(6245,875,0.005557,-1.317),(6245,885,0.00584,-1.3168),(6245,895,0.006121,-1.3167),(6245,905,0.006397,-1.3165),(6245,915,0.006673,-1.3163),(6245,925,0.006949,-1.3161),(6245,935,0.007215,-1.3158),(6245,945,0.007468,-1.3156),(6245,955,0.00772,-1.3153),(6245,965,0.007972,-1.315),(6245,975,0.008249,-1.3147),(6245,985,0.008553,-1.3143),(6245,995,0.008857,-1.314),(6245,1005,0.009161,-1.3137),(6245,1015,0.009432,-1.3134),(6245,1025,0.009669,-1.3131),(6245,1035,0.009907,-1.3126),(6245,1045,0.010145,-1.3121),(6245,1055,0.010233,-1.3116),(6245,1065,0.010198,-1.311),(6245,1075,0.010162,-1.3103),(6245,1085,0.010127,-1.3094),(6245,1095,0.009789,-1.3085),(6245,1105,0.009241,-1.3076),(6245,1115,0.008692,-1.3065),(6245,1125,0.008143,-1.3051),(6245,1135,0.007097,-1.3038),(6245,1145,0.005757,-1.3025),(6245,1155,0.004417,-1.3007),(6245,1165,0.003077,-1.2987),(6245,1175,0.00093,-1.2967),(6245,1185,-0.001617,-1.2947),(6245,1195,-0.004163,-1.2917),(6245,1205,-0.00671,-1.2883),(6245,1215,-0.010265,-1.2848),(6245,1225,-0.014236,-1.2814),(6245,1235,-0.018207,-1.2761),(6245,1245,-0.022178,-1.2701),(6245,1255,-0.026621,-1.2641),(6245,1265,-0.031223,-1.2581),(6245,1275,-0.035824,-1.2495),(6245,1285,-0.040426,-1.24),(6245,1295,-0.038617,-1.2306),(6245,1305,-0.035073,-1.2211),(6245,1315,-0.03153,-1.2141),(6245,1325,-0.027986,-1.2078),(6245,1335,-0.017129,-1.2014),(6245,1345,-0.00474,-1.195),(6245,1355,0.00765,-1.198),(6245,1365,0.02004,-1.2027),(6245,1375,0.026992,-1.2075),(6245,1385,0.033105,-1.2122),(6245,1395,0.039219,-1.2216),(6245,1405,0.045332,-1.2315),(6245,1415,0.041682,-1.2415),(6245,1425,0.037019,-1.2515),(6245,1435,0.032355,-1.2578),(6245,1445,0.027691,-1.2639),(6245,1455,0.023448,-1.27),(6245,1465,0.01923,-1.2761),(6245,1475,0.015011,-1.2797),(6245,1485,0.010792,-1.2832),(6245,1495,0.00801,-1.2866),(6245,1505,0.005249,-1.2901),(6245,1515,0.002488,-1.2922),(6245,1525,-0.000242,-1.2943),(6245,1535,-0.001766,-1.2964),(6245,1545,-0.003289,-1.2985),(6245,1555,-0.004813,-1.2995),(6245,1565,-0.006277,-1.3005),(6245,1575,-0.006884,-1.3016),(6245,1585,-0.007491,-1.3026),(6245,1595,-0.008098,-1.3033),(6245,1605,-0.008641,-1.304),(6245,1615,-0.008639,-1.3047),(6245,1625,-0.008636,-1.3053),(6245,1635,-0.008634,-1.3057),(6245,1645,-0.008603,-1.3061),(6245,1655,-0.008401,-1.3065),(6245,1665,-0.0082,-1.3068),(6245,1675,-0.007999,-1.3071),(6245,1685,-0.007785,-1.3073),(6245,1695,-0.007511,-1.3076),(6245,1705,-0.007238,-1.3078),(6245,1715,-0.006964,-1.3078),(6245,1725,-0.006692,-1.3079),(6245,1735,-0.006423,-1.308),(6245,1745,-0.006153,-1.308),(6245,1755,-0.005884,-1.3079),(6245,1765,-0.005598,-1.3079),(6245,1775,-0.005265,-1.3078),(6245,1785,-0.004931,-1.3078),(6245,1795,-0.004598,-1.3078),(6245,1805,-0.004275,-1.3078),(6245,1815,-0.003977,-1.3078),(6245,1825,-0.003679,-1.3077),(6245,1835,-0.003381,-1.3076),(6245,1845,-0.003117,-1.3075),(6245,1855,-0.00292,-1.3073),(6245,1865,-0.002722,-1.3072),(6245,1875,-0.002524,-1.3069),(6245,1885,-0.002339,-1.3067),(6245,1895,-0.002174,-1.3065),(6245,1905,-0.00201,-1.3062),(6245,1915,-0.001845,-1.306),(6245,1925,-0.0017,-1.3057),(6245,1935,-0.001585,-1.3055),(6245,1945,-0.00147,-1.3052),(6245,1955,-0.001354,-1.305),(6245,1965,-0.001244,-1.3048),(6245,1975,-0.001139,-1.3045),(6245,1985,-0.001034,-1.3043),(6245,1995,-0.000929,-1.304),(6245,2005,-0.000838,-1.3037),(6245,2015,-0.00076,-1.3035),(6245,2025,-0.000683,-1.3032),(6245,2035,-0.000605,-1.3029),(6245,2045,-0.000541,-1.3025),(6245,2055,-0.000488,-1.3022),(6245,2065,-0.000435,-1.302),(6245,2075,-0.000382,-1.3018),(6245,2085,-0.000315,-1.3016),(6245,2095,-0.000237,-1.3014),(6245,2105,-0.000159,-1.3011),(6245,2115,-8.2e-05,-1.3009),(6245,2125,-1.6e-05,-1.3006),(6245,2135,4.3e-05,-1.3004),(6245,2145,0.000101,-1.3001),(6245,2155,0.00016,-1.2997),(6245,2165,0.000226,-1.2994),(6245,2175,0.000296,-1.299),(6245,2185,0.000367,-1.2987),(6245,2195,0.000437,-1.2984),(6245,2205,0.00052,-1.2981),(6245,2215,0.000608,-1.2978),(6245,2225,0.000696,-1.2974),(6245,2235,0.000784,-1.297),(6245,2245,0.000838,-1.2967),(6245,2255,0.000879,-1.2963),(6245,2265,0.00092,-1.2959),(6245,2275,0.000961,-1.2955),(6245,2285,0.000981,-1.2951),(6245,2295,0.000995,-1.2947),(6245,2305,0.001009,-1.2943),(6245,2315,0.001024,-1.294),(6245,2325,0.001032,-1.2936),(6245,2335,0.001038,-1.2933),(6245,2345,0.001044,-1.2929),(6245,2355,0.001051,-1.2925),(6245,2365,0.001068,-1.2921),(6245,2375,0.001088,-1.2916),(6245,2385,0.001107,-1.2912),(6245,2395,0.001127,-1.2907),(6245,2405,0.00119,-1.2903),(6245,2415,0.001258,-1.2898),(6245,2425,0.001326,-1.2893),(6245,2435,0.001394,-1.2889),(6245,2445,0.001474,-1.2885),(6245,2455,0.001556,-1.288),(6245,2465,0.001637,-1.2876),(6245,2475,0.001718,-1.2872),(6245,2485,0.00178,-1.2868),(6245,2495,0.001841,-1.2864),(6245,2505,0.001901,-1.286),(6245,2515,0.001962,-1.2856),(6245,2525,0.001991,-1.2852),(6245,2535,0.002019,-1.2848),(6245,2545,0.002048,-1.2843),(6245,2555,0.002075,-1.2838),(6245,2565,0.002068,-1.2833),(6245,2575,0.002061,-1.2828),(6245,2585,0.002054,-1.2822),(6245,2595,0.002047,-1.2816),(6245,2605,0.002044,-1.281),(6245,2615,0.002041,-1.2805),(6245,2625,0.002038,-1.2799),(6245,2635,0.002036,-1.2793),(6245,2645,0.002043,-1.2787),(6245,2655,0.002049,-1.2781),(6245,2665,0.002056,-1.2775),(6245,2675,0.002063,-1.2768),(6245,2685,0.002073,-1.2762),(6245,2695,0.002083,-1.2755),(6245,2705,0.002093,-1.2749),(6245,2715,0.002116,-1.2743),(6245,2725,0.002192,-1.2737),(6245,2735,0.002267,-1.2731),(6245,2745,0.002343,-1.2726),(6245,2755,0.002427,-1.2721),(6245,2765,0.002537,-1.2716),(6245,2775,0.002646,-1.2711),(6245,2785,0.002755,-1.2704),(6245,2795,0.002845,-1.2697),(6245,2805,0.002889,-1.2691),(6245,2815,0.002932,-1.2684),(6245,2825,0.002975,-1.2676),(6245,2835,0.003021,-1.2668),(6245,2845,0.003073,-1.266),(6245,2855,0.003125,-1.2652),(6245,2865,0.003177,-1.2646),(6245,2875,0.003257,-1.2639),(6245,2885,0.003383,-1.2633),(6245,2895,0.003509,-1.2626),(6245,2905,0.003635,-1.262),(6245,2915,0.003743,-1.2613),(6245,2925,0.003826,-1.2607),(6245,2935,0.003909,-1.2599),(6245,2945,0.003992,-1.2591),(6245,2955,0.004042,-1.2582),(6245,2965,0.004053,-1.2574),(6245,2975,0.004064,-1.2565),(6245,2985,0.004075,-1.2557),(6245,2995,0.004091,-1.2549),(6245,3005,0.004111,-1.2541),(6245,3015,0.004131,-1.2533),(6245,3025,0.004152,-1.2525),(6245,3035,0.004181,-1.2517),(6245,3045,0.004219,-1.2509),(6245,3055,0.004257,-1.25),(6245,3065,0.004294,-1.2492),(6245,3075,0.004335,-1.2483),(6245,3085,0.004377,-1.2474),(6245,3095,0.00442,-1.2465),(6245,3105,0.004462,-1.2456),(6245,3115,0.004508,-1.2447),(6245,3125,0.004555,-1.2437),(6245,3135,0.004603,-1.2428),(6245,3145,0.004651,-1.2419),(6245,3155,0.004715,-1.241),(6245,3165,0.004787,-1.2401),(6245,3175,0.00486,-1.2392),(6245,3185,0.004933,-1.2382),(6245,3195,0.005015,-1.2373),(6245,3205,0.005103,-1.2364),(6245,3215,0.00519,-1.2354),(6245,3225,0.005278,-1.2345),(6245,3235,0.00534,-1.2335),(6245,3245,0.005393,-1.2325),(6245,3255,0.005446,-1.2315),(6245,3265,0.0055,-1.2305),(6245,3275,0.005563,-1.2294),(6245,3285,0.005629,-1.2284),(6245,3295,0.005696,-1.2274),(6245,3305,0.005762,-1.2264),(6245,3315,0.005828,-1.2254),(6245,3325,0.005893,-1.2245),(6245,3335,0.005958,-1.2234),(6245,3345,0.006024,-1.2223),(6245,3355,0.00606,-1.2212),(6245,3365,0.00609,-1.2201),(6245,3375,0.006121,-1.2189),(6245,3385,0.006151,-1.2178),(6245,3395,0.006224,-1.2166),(6245,3405,0.006303,-1.2155),(6245,3415,0.006382,-1.2143),(6245,3425,0.006461,-1.2132),(6245,3435,0.006605,-1.212),(6245,3445,0.006754,-1.2108),(6245,3455,0.006903,-1.2096),(6245,3465,0.007052,-1.2083),(6245,3475,0.007257,-1.2071),(6245,3485,0.007463,-1.2058),(6245,3495,0.007669,-1.2047),(6245,3505,0.007876,-1.2035),(6245,3515,0.008079,-1.2024),(6245,3525,0.008282,-1.2013),(6245,3535,0.008485,-1.2),(6245,3545,0.008689,-1.1987),(6245,3555,0.008918,-1.1975),(6245,3565,0.009147,-1.1962),(6245,3575,0.009376,-1.1947),(6245,3585,0.009606,-1.1933),(6245,3595,0.009843,-1.1919),(6245,3605,0.010079,-1.1904),(6245,3615,0.010316,-1.1889),(6245,3625,0.010547,-1.1874),(6245,3635,0.010739,-1.1859),(6245,3645,0.010931,-1.1844),(6245,3655,0.011123,-1.1828),(6245,3665,0.011323,-1.1813),(6245,3675,0.011565,-1.1797),(6245,3685,0.011806,-1.1781),(6245,3695,0.012048,-1.1765),(6245,3705,0.012244,-1.1749),(6245,3715,0.012261,-1.1733),(6245,3725,0.012278,-1.1716),(6245,3735,0.012296,-1.1695),(6245,3745,0.012272,-1.1674),(6245,3755,0.01212,-1.1654),(6245,3765,0.011968,-1.1632),(6245,3775,0.011816,-1.161),(6245,3785,0.011541,-1.1588),(6245,3795,0.01095,-1.1566),(6245,3805,0.010359,-1.1542),(6245,3815,0.009768,-1.1515),(6245,3825,0.008987,-1.1488),(6245,3835,0.007805,-1.1461),(6245,3845,0.006622,-1.1432),(6245,3855,0.00544,-1.1398),(6245,3865,0.003983,-1.1364),(6245,3875,0.00204,-1.133),(6245,3885,9.7e-05,-1.1291),(6245,3895,-0.001845,-1.1245),(6245,3905,-0.004077,-1.1198),(6245,3915,-0.00674,-1.1152),(6245,3925,-0.009404,-1.1098),(6245,3935,-0.012067,-1.1034),(6245,3945,-0.014748,-1.097),(6245,3955,-0.01745,-1.0906),(6245,3965,-0.020153,-1.0832),(6245,3975,-0.022855,-1.0746),(6245,3985,-0.024029,-1.0661),(6245,3995,-0.023547,-1.0576),(6245,4005,-0.023065,-1.0495),(6245,4015,-0.022583,-1.042),(6245,4025,0.081412,-1.0344),(6245,4035,0.19553,-1.029),(6245,4045,0.30965,-1.028),(6245,4055,0.3878,-1.0269),(6245,4065,0.45283,-1.0258),(6245,4075,0.51785,-1.024),(6245,4085,0.54738,-1.0221),(6245,4095,0.54837,-1.0203),(6245,4105,0.54937,-1.0184),(6245,4115,0.55038,-1.0165),(6245,4125,0.5514,-1.0146),(6245,4135,0.55242,-1.0128),(6245,4145,0.55344,-1.011),(6245,4155,0.5545,-1.0092),(6245,4165,0.55556,-1.0073),(6245,4175,0.55662,-1.0055),(6245,4185,0.55773,-1.0036),(6245,4195,0.55884,-1.0017),(6245,4205,0.55996,-0.99979),(6245,4215,0.56113,-0.99786),(6245,4225,0.56232,-0.99594),(6245,4235,0.56351,-0.99405),(6245,4245,0.56473,-0.99216),(6245,4255,0.56598,-0.99026),(6245,4265,0.56722,-0.98829),(6245,4275,0.56849,-0.98632),(6245,4285,0.56977,-0.98435),(6245,4295,0.57105,-0.98234),(6245,4305,0.57234,-0.98034),(6245,4315,0.57365,-0.97833),(6245,4325,0.57497,-0.97633),(6245,4335,0.57629,-0.97433),(6245,4345,0.57765,-0.97233),(6245,4355,0.57902,-0.97029),(6245,4365,0.58038,-0.96822),(6245,4375,0.58181,-0.96615),(6245,4385,0.58325,-0.96406),(6245,4395,0.58468,-0.96194),(6245,4405,0.5862,-0.95982),(6245,4415,0.58774,-0.9577),(6245,4425,0.58928,-0.95553),(6245,4435,0.59088,-0.95336),(6245,4445,0.59252,-0.95119),(6245,4455,0.59417,-0.94899),(6245,4465,0.59584,-0.9468),(6245,4475,0.59757,-0.94461),(6245,4485,0.59929,-0.94234),(6245,4495,0.60103,-0.94007),(6245,4505,0.6028,-0.93779),(6245,4515,0.60457,-0.93547),(6245,4525,0.60635,-0.93311),(6245,4535,0.60817,-0.93076),(6245,4545,0.60999,-0.92836),(6245,4555,0.61181,-0.92592),(6245,4565,0.61368,-0.92347),(6245,4575,0.61556,-0.921),(6245,4585,0.61744,-0.91844),(6245,4595,0.61935,-0.91589),(6245,4605,0.62127,-0.91333),(6245,4615,0.6232,-0.91071),(6245,4625,0.62515,-0.90809),(6245,4635,0.62711,-0.90547),(6245,4645,0.62908,-0.90281),(6245,4655,0.63106,-0.90015),(6245,4665,0.63307,-0.89749),(6245,4675,0.63508,-0.89477),(6245,4685,0.63711,-0.89203),(6245,4695,0.6392,-0.88929),(6245,4705,0.64128,-0.88649),(6245,4715,0.64337,-0.88365),(6245,4725,0.64553,-0.8808),(6245,4735,0.64769,-0.87792),(6245,4745,0.64985,-0.87499),(6245,4755,0.65205,-0.87206),(6245,4765,0.65425,-0.86911),(6245,4775,0.65645,-0.86612),(6245,4785,0.65866,-0.86312),(6245,4795,0.66088,-0.86012),(6245,4805,0.6631,-0.85705),(6245,4815,0.66533,-0.85397),(6245,4825,0.66757,-0.8509),(6245,4835,0.6698,-0.84773),(6245,4845,0.67204,-0.84455),(6245,4855,0.6743,-0.84136),(6245,4865,0.67655,-0.83812),(6245,4875,0.67881,-0.83484),(6245,4885,0.6811,-0.83157),(6245,4895,0.68339,-0.82825),(6245,4905,0.68567,-0.82489),(6245,4915,0.68799,-0.82154),(6245,4925,0.69031,-0.81815),(6245,4935,0.69262,-0.81472),(6245,4945,0.69496,-0.81128),(6245,4955,0.6973,-0.80783),(6245,4965,0.69964,-0.80432),(6245,4975,0.70199,-0.80081),(6245,4985,0.70434,-0.7973),(6245,4995,0.7067,-0.7937),(6245,5005,0.70905,-0.79011),(6245,5015,0.71141,-0.78651),(6245,5025,0.71376,-0.78284),(6245,5035,0.71612,-0.77915),(6245,5045,0.71848,-0.77547),(6245,5055,0.72084,-0.77174),(6245,5065,0.7232,-0.76798),(6245,5075,0.72556,-0.76422),(6245,5085,0.72793,-0.76043),(6245,5095,0.73029,-0.75659),(6245,5105,0.73267,-0.75276),(6245,5115,0.73505,-0.7489),(6245,5125,0.73743,-0.745),(6245,5135,0.73982,-0.74109),(6245,5145,0.74223,-0.73718),(6245,5155,0.74463,-0.73323),(6245,5165,0.74705,-0.72928),(6245,5175,0.74947,-0.72533),(6245,5185,0.7519,-0.72133),(6245,5195,0.75432,-0.71732),(6245,5205,0.75673,-0.71331),(6245,5215,0.75915,-0.70923),(6245,5225,0.76155,-0.70513),(6245,5235,0.76392,-0.70102),(6245,5245,0.76629,-0.69688),(6245,5255,0.76866,-0.69269),(6245,5265,0.77099,-0.6885),(6245,5275,0.77331,-0.68428),(6245,5285,0.77563,-0.68002),(6245,5295,0.77793,-0.67575),(6245,5305,0.78022,-0.67147),(6245,5315,0.78252,-0.66712),(6245,5325,0.7848,-0.66277),(6245,5335,0.78709,-0.65841),(6245,5345,0.78937,-0.65398),(6245,5355,0.79165,-0.64956),(6245,5365,0.79394,-0.64513),(6245,5375,0.79623,-0.64068),(6245,5385,0.79851,-0.63622),(6245,5395,0.80081,-0.63177),(6245,5405,0.8031,-0.6273),(6245,5415,0.80539,-0.62282),(6245,5425,0.80765,-0.61834),(6245,5435,0.80991,-0.61383),(6245,5445,0.81217,-0.6093),(6245,5455,0.81437,-0.60476),(6245,5465,0.81657,-0.60019),(6245,5475,0.81877,-0.59556),(6245,5485,0.82093,-0.59092),(6245,5495,0.82306,-0.58628),(6245,5505,0.8252,-0.58157),(6245,5515,0.82732,-0.57687),(6245,5525,0.82943,-0.57216),(6245,5535,0.83154,-0.56742),(6245,5545,0.83363,-0.56269),(6245,5555,0.83572,-0.55795),(6245,5565,0.83781,-0.55319),(6245,5575,0.83989,-0.54842),(6245,5585,0.84196,-0.54364),(6245,5595,0.84403,-0.53883),(6245,5605,0.84611,-0.53399),(6245,5615,0.84816,-0.52916),(6245,5625,0.85022,-0.5243),(6245,5635,0.85227,-0.51941),(6245,5645,0.85429,-0.51452),(6245,5655,0.8563,-0.50962),(6245,5665,0.85831,-0.50468),(6245,5675,0.86028,-0.49975),(6245,5685,0.86223,-0.49481),(6245,5695,0.86417,-0.48981),(6245,5705,0.86609,-0.48481),(6245,5715,0.86797,-0.47981),(6245,5725,0.86985,-0.47474),(6245,5735,0.87173,-0.46965),(6245,5745,0.87357,-0.46457),(6245,5755,0.87541,-0.45946),(6245,5765,0.87725,-0.45434),(6245,5775,0.87905,-0.44922),(6245,5785,0.88086,-0.44408),(6245,5795,0.88266,-0.43893),(6245,5805,0.88442,-0.43377),(6245,5815,0.88617,-0.4286),(6245,5825,0.88793,-0.42341),(6245,5835,0.88963,-0.41821),(6245,5845,0.89132,-0.41301),(6245,5855,0.89302,-0.40779),(6245,5865,0.89467,-0.40256),(6245,5875,0.8963,-0.39733),(6245,5885,0.89793,-0.39207),(6245,5895,0.89954,-0.38682),(6245,5905,0.90112,-0.38156),(6245,5915,0.9027,-0.37628),(6245,5925,0.90428,-0.37099),(6245,5935,0.90583,-0.3657),(6245,5945,0.90738,-0.36038),(6245,5955,0.90893,-0.35504),(6245,5965,0.91043,-0.3497),(6245,5975,0.91194,-0.34433),(6245,5985,0.91345,-0.33893),(6245,5995,0.9149,-0.33353),(6245,6005,0.91634,-0.32812),(6245,6015,0.91778,-0.32265),(6245,6025,0.91915,-0.31718),(6245,6035,0.92049,-0.31171),(6245,6045,0.92183,-0.30621),(6245,6055,0.92313,-0.3007),(6245,6065,0.92438,-0.2952),(6245,6075,0.92563,-0.28975),(6245,6085,0.92687,-0.2843),(6245,6095,0.92806,-0.27885),(6245,6105,0.92926,-0.2734),(6245,6115,0.93045,-0.26795),(6245,6125,0.93159,-0.26249),(6245,6135,0.93274,-0.25697),(6245,6145,0.93388,-0.25138),(6245,6155,0.93496,-0.2458),(6245,6165,0.93604,-0.2402),(6245,6175,0.93712,-0.23458),(6245,6185,0.93815,-0.22896),(6245,6195,0.93916,-0.22333),(6245,6205,0.94018,-0.2177),(6245,6215,0.94115,-0.21206),(6245,6225,0.94209,-0.20642),(6245,6235,0.94303,-0.20076),(6245,6245,0.94394,-0.1951),(6245,6255,0.94482,-0.18944),(6245,6265,0.94569,-0.18378),(6245,6275,0.94654,-0.17813),(6245,6285,0.94735,-0.17248),(6245,6295,0.94816,-0.16686),(6245,6305,0.94896,-0.16125),(6245,6315,0.94969,-0.15565),(6245,6325,0.95042,-0.14998),(6245,6335,0.95115,-0.14425),(6245,6345,0.95179,-0.13852),(6245,6355,0.95242,-0.13278),(6245,6365,0.95305,-0.12706),(6245,6375,0.9536,-0.12133),(6245,6385,0.95413,-0.11561),(6245,6395,0.95466,-0.10995),(6245,6405,0.95513,-0.1043),(6245,6415,0.95555,-0.098639),(6245,6425,0.95598,-0.092886),(6245,6435,0.95638,-0.087128),(6245,6445,0.95674,-0.081371),(6245,6455,0.9571,-0.07564),(6245,6465,0.95745,-0.069916),(6245,6475,0.95776,-0.064193),(6245,6485,0.95807,-0.058442),(6245,6495,0.95839,-0.052674),(6245,6505,0.95864,-0.046906),(6245,6515,0.9589,-0.041117),(6245,6525,0.95916,-0.035297),(6245,6535,0.95933,-0.029478),(6245,6545,0.95949,-0.023696),(6245,6555,0.95965,-0.018033),(6245,6565,0.95973,-0.01237),(6245,6575,0.95977,-0.006703),(6245,6585,0.95981,-0.000978),(6245,6595,0.81634,0.004746),(6245,6605,0.51443,0.010471),(6245,6615,0.21252,0.011177),(6245,6625,0.000287,0.011239),(6245,6635,0.000322,0.0113),(6245,6645,0.000358,0.011319),(6245,6655,0.000393,0.011321),(6245,6665,0.000429,0.011322),(6245,6675,0.000464,0.011323),(6245,6685,0.0005,0.011324),(6245,6695,0.000535,0.011324),(6245,6705,0.00057,0.011324),(6245,6715,0.000605,0.011324),(6245,6725,0.00064,0.011323),(6245,6735,0.000675,0.011323),(6245,6745,0.00071,0.011321),(6245,6755,0.000745,0.01132),(6245,6765,0.000779,0.011318),(6245,6775,0.000814,0.011315),(6245,6785,0.000848,0.011313),(6245,6795,0.000882,0.01131),(6245,6805,0.000916,0.011307),(6245,6815,0.00095,0.011303),(6245,6825,0.000984,0.011299),(6245,6835,0.001018,0.011295),(6245,6845,0.001051,0.011291),(6245,6855,0.001084,0.011286),(6245,6865,0.001118,0.011281),(6245,6875,0.001151,0.011275),(6245,6885,0.001184,0.01127),(6245,6895,0.001216,0.011264),(6245,6905,0.001249,0.011257),(6245,6915,0.001281,0.011251),(6245,6925,0.001313,0.011244),(6245,6935,0.001345,0.011237),(6245,6945,0.001376,0.011229),(6245,6955,0.001408,0.011222),(6245,6965,0.001439,0.011213),(6245,6975,0.00147,0.011205),(6245,6985,0.001501,0.011197),(6255,5,1.1e-05,-1.3201),(6255,15,3.4e-05,-1.32),(6255,25,5.2e-05,-1.3199),(6255,35,6.7e-05,-1.3197),(6255,45,8.2e-05,-1.3197),(6255,55,9.7e-05,-1.3196),(6255,65,0.000119,-1.3195),(6255,75,0.000147,-1.3195),(6255,85,0.000175,-1.3195),(6255,95,0.000203,-1.3194),(6255,105,0.00022,-1.3194),(6255,115,0.000229,-1.3194),(6255,125,0.000238,-1.3194),(6255,135,0.000247,-1.3193),(6255,145,0.00026,-1.3193),(6255,155,0.000277,-1.3193),(6255,165,0.000293,-1.3192),(6255,175,0.00031,-1.3192),(6255,185,0.000331,-1.3192),(6255,195,0.000354,-1.3192),(6255,205,0.000378,-1.3192),(6255,215,0.000401,-1.3192),(6255,225,0.000412,-1.3193),(6255,235,0.000418,-1.3193),(6255,245,0.000424,-1.3193),(6255,255,0.000431,-1.3193),(6255,265,0.000403,-1.3193),(6255,275,0.000365,-1.3192),(6255,285,0.000327,-1.3192),(6255,295,0.000289,-1.3191),(6255,305,0.000265,-1.319),(6255,315,0.000246,-1.3189),(6255,325,0.000226,-1.3189),(6255,335,0.000206,-1.3189),(6255,345,0.000243,-1.3188),(6255,355,0.00029,-1.3188),(6255,365,0.000338,-1.3188),(6255,375,0.000386,-1.3189),(6255,385,0.00044,-1.319),(6255,395,0.000494,-1.3191),(6255,405,0.000549,-1.319),(6255,415,0.000604,-1.319),(6255,425,0.000633,-1.3189),(6255,435,0.000659,-1.3189),(6255,445,0.000685,-1.3188),(6255,455,0.000712,-1.3188),(6255,465,0.000762,-1.3187),(6255,475,0.000813,-1.3187),(6255,485,0.000864,-1.3187),(6255,495,0.000915,-1.3187),(6255,505,0.000983,-1.3186),(6255,515,0.001051,-1.3186),(6255,525,0.001118,-1.3186),(6255,535,0.001186,-1.3186),(6255,545,0.001247,-1.3186),(6255,555,0.001308,-1.3186),(6255,565,0.00137,-1.3186),(6255,575,0.00143,-1.3185),(6255,585,0.001476,-1.3185),(6255,595,0.001522,-1.3184),(6255,605,0.001569,-1.3184),(6255,615,0.001617,-1.3184),(6255,625,0.001685,-1.3183),(6255,635,0.001753,-1.3183),(6255,645,0.001821,-1.3183),(6255,655,0.001891,-1.3184),(6255,665,0.001972,-1.3184),(6255,675,0.002054,-1.3184),(6255,685,0.002135,-1.3183),(6255,695,0.002218,-1.3182),(6255,705,0.00231,-1.3181),(6255,715,0.002401,-1.318),(6255,725,0.002492,-1.318),(6255,735,0.002596,-1.3179),(6255,745,0.002741,-1.3178),(6255,755,0.002885,-1.3178),(6255,765,0.00303,-1.3177),(6255,775,0.003182,-1.3177),(6255,785,0.003353,-1.3177),(6255,795,0.003524,-1.3176),(6255,805,0.003694,-1.3175),(6255,815,0.00388,-1.3174),(6255,825,0.004098,-1.3174),(6255,835,0.004316,-1.3173),(6255,845,0.004534,-1.3172),(6255,855,0.00477,-1.3171),(6255,865,0.005041,-1.317),(6255,875,0.005312,-1.3168),(6255,885,0.005583,-1.3167),(6255,895,0.005851,-1.3166),(6255,905,0.006113,-1.3164),(6255,915,0.006375,-1.3162),(6255,925,0.006637,-1.316),(6255,935,0.006888,-1.3157),(6255,945,0.007126,-1.3155),(6255,955,0.007363,-1.3152),(6255,965,0.007601,-1.3148),(6255,975,0.007851,-1.3145),(6255,985,0.008115,-1.3142),(6255,995,0.008379,-1.3139),(6255,1005,0.008642,-1.3135),(6255,1015,0.008874,-1.3132),(6255,1025,0.009074,-1.3129),(6255,1035,0.009275,-1.3125),(6255,1045,0.009475,-1.312),(6255,1055,0.00952,-1.3115),(6255,1065,0.009438,-1.311),(6255,1075,0.009356,-1.3103),(6255,1085,0.009274,-1.3095),(6255,1095,0.008869,-1.3087),(6255,1105,0.008239,-1.3079),(6255,1115,0.007609,-1.3068),(6255,1125,0.006978,-1.3055),(6255,1135,0.005792,-1.3043),(6255,1145,0.004278,-1.303),(6255,1155,0.002763,-1.3014),(6255,1165,0.001249,-1.2996),(6255,1175,-0.001193,-1.2977),(6255,1185,-0.004095,-1.2959),(6255,1195,-0.006997,-1.2931),(6255,1205,-0.009899,-1.2899),(6255,1215,-0.014037,-1.2866),(6255,1225,-0.018685,-1.2834),(6255,1235,-0.023334,-1.2782),(6255,1245,-0.027982,-1.2723),(6255,1255,-0.033394,-1.2664),(6255,1265,-0.039063,-1.2605),(6255,1275,-0.044733,-1.2517),(6255,1285,-0.050402,-1.242),(6255,1295,-0.048216,-1.2323),(6255,1305,-0.043905,-1.2226),(6255,1315,-0.039594,-1.2153),(6255,1325,-0.035283,-1.2085),(6255,1335,-0.021648,-1.2018),(6255,1345,-0.006059,-1.195),(6255,1355,0.00953,-1.1983),(6255,1365,0.025119,-1.2033),(6255,1375,0.03367,-1.2084),(6255,1385,0.041135,-1.2134),(6255,1395,0.048601,-1.2231),(6255,1405,0.056066,-1.2334),(6255,1415,0.051552,-1.2437),(6255,1425,0.045794,-1.254),(6255,1435,0.040036,-1.2603),(6255,1445,0.034278,-1.2663),(6255,1455,0.029269,-1.2724),(6255,1465,0.024303,-1.2784),(6255,1475,0.019337,-1.2817),(6255,1485,0.014371,-1.285),(6255,1495,0.011187,-1.2882),(6255,1505,0.00803,-1.2915),(6255,1515,0.004874,-1.2934),(6255,1525,0.001753,-1.2953),(6255,1535,7.1e-05,-1.2973),(6255,1545,-0.00161,-1.2992),(6255,1555,-0.003292,-1.3001),(6255,1565,-0.004911,-1.301),(6255,1575,-0.005619,-1.3019),(6255,1585,-0.006327,-1.3028),(6255,1595,-0.007035,-1.3034),(6255,1605,-0.007678,-1.304),(6255,1615,-0.007762,-1.3047),(6255,1625,-0.007846,-1.3052),(6255,1635,-0.00793,-1.3056),(6255,1645,-0.007981,-1.306),(6255,1655,-0.007833,-1.3063),(6255,1665,-0.007685,-1.3067),(6255,1675,-0.007537,-1.3069),(6255,1685,-0.007369,-1.3072),(6255,1695,-0.007111,-1.3074),(6255,1705,-0.006852,-1.3076),(6255,1715,-0.006594,-1.3077),(6255,1725,-0.006337,-1.3078),(6255,1735,-0.006085,-1.3078),(6255,1745,-0.005832,-1.3079),(6255,1755,-0.00558,-1.3078),(6255,1765,-0.005315,-1.3077),(6255,1775,-0.005017,-1.3077),(6255,1785,-0.004718,-1.3076),(6255,1795,-0.00442,-1.3076),(6255,1805,-0.004123,-1.3076),(6255,1815,-0.003833,-1.3076),(6255,1825,-0.003542,-1.3076),(6255,1835,-0.003251,-1.3075),(6255,1845,-0.002991,-1.3074),(6255,1855,-0.002792,-1.3073),(6255,1865,-0.002592,-1.3071),(6255,1875,-0.002393,-1.3069),(6255,1885,-0.00221,-1.3066),(6255,1895,-0.002055,-1.3064),(6255,1905,-0.0019,-1.3062),(6255,1915,-0.001746,-1.3059),(6255,1925,-0.001612,-1.3057),(6255,1935,-0.001506,-1.3054),(6255,1945,-0.001401,-1.3052),(6255,1955,-0.001295,-1.3049),(6255,1965,-0.001192,-1.3047),(6255,1975,-0.001093,-1.3045),(6255,1985,-0.000993,-1.3042),(6255,1995,-0.000893,-1.304),(6255,2005,-0.000802,-1.3037),(6255,2015,-0.00072,-1.3034),(6255,2025,-0.000637,-1.3032),(6255,2035,-0.000555,-1.3028),(6255,2045,-0.000485,-1.3025),(6255,2055,-0.000425,-1.3022),(6255,2065,-0.000365,-1.302),(6255,2075,-0.000305,-1.3017),(6255,2085,-0.000232,-1.3015),(6255,2095,-0.000148,-1.3013),(6255,2105,-6.4e-05,-1.3011),(6255,2115,2e-05,-1.3008),(6255,2125,8.9e-05,-1.3006),(6255,2135,0.00015,-1.3004),(6255,2145,0.00021,-1.3),(6255,2155,0.00027,-1.2997),(6255,2165,0.000328,-1.2993),(6255,2175,0.000385,-1.299),(6255,2185,0.000441,-1.2987),(6255,2195,0.000498,-1.2983),(6255,2205,0.000568,-1.298),(6255,2215,0.000644,-1.2977),(6255,2225,0.00072,-1.2974),(6255,2235,0.000796,-1.297),(6255,2245,0.000846,-1.2966),(6255,2255,0.000888,-1.2963),(6255,2265,0.00093,-1.2959),(6255,2275,0.000972,-1.2955),(6255,2285,0.000997,-1.2951),(6255,2295,0.001016,-1.2947),(6255,2305,0.001036,-1.2943),(6255,2315,0.001055,-1.294),(6255,2325,0.001064,-1.2936),(6255,2335,0.001069,-1.2933),(6255,2345,0.001075,-1.2929),(6255,2355,0.001081,-1.2925),(6255,2365,0.001084,-1.292),(6255,2375,0.001088,-1.2916),(6255,2385,0.001091,-1.2912),(6255,2395,0.001094,-1.2907),(6255,2405,0.001136,-1.2902),(6255,2415,0.001182,-1.2897),(6255,2425,0.001229,-1.2893),(6255,2435,0.001275,-1.2889),(6255,2445,0.001349,-1.2884),(6255,2455,0.001424,-1.288),(6255,2465,0.001499,-1.2876),(6255,2475,0.001575,-1.2872),(6255,2485,0.001647,-1.2868),(6255,2495,0.00172,-1.2864),(6255,2505,0.001793,-1.286),(6255,2515,0.001865,-1.2856),(6255,2525,0.001912,-1.2852),(6255,2535,0.001959,-1.2848),(6255,2545,0.002005,-1.2843),(6255,2555,0.00205,-1.2838),(6255,2565,0.002054,-1.2833),(6255,2575,0.002059,-1.2828),(6255,2585,0.002063,-1.2822),(6255,2595,0.002068,-1.2816),(6255,2605,0.002069,-1.2811),(6255,2615,0.002071,-1.2805),(6255,2625,0.002072,-1.2799),(6255,2635,0.002075,-1.2793),(6255,2645,0.002087,-1.2787),(6255,2655,0.002099,-1.2781),(6255,2665,0.002112,-1.2775),(6255,2675,0.002123,-1.2768),(6255,2685,0.00213,-1.2762),(6255,2695,0.002138,-1.2755),(6255,2705,0.002145,-1.2749),(6255,2715,0.002163,-1.2743),(6255,2725,0.002223,-1.2737),(6255,2735,0.002283,-1.2731),(6255,2745,0.002343,-1.2726),(6255,2755,0.002413,-1.272),(6255,2765,0.002513,-1.2715),(6255,2775,0.002614,-1.271),(6255,2785,0.002715,-1.2703),(6255,2795,0.002799,-1.2697),(6255,2805,0.002842,-1.269),(6255,2815,0.002886,-1.2683),(6255,2825,0.00293,-1.2675),(6255,2835,0.002972,-1.2667),(6255,2845,0.003011,-1.2659),(6255,2855,0.00305,-1.2652),(6255,2865,0.003088,-1.2645),(6255,2875,0.003154,-1.2639),(6255,2885,0.003265,-1.2632),(6255,2895,0.003375,-1.2625),(6255,2905,0.003486,-1.2619),(6255,2915,0.003587,-1.2613),(6255,2925,0.003674,-1.2606),(6255,2935,0.00376,-1.2599),(6255,2945,0.003847,-1.2591),(6255,2955,0.003905,-1.2582),(6255,2965,0.003928,-1.2574),(6255,2975,0.003951,-1.2566),(6255,2985,0.003974,-1.2557),(6255,2995,0.003997,-1.2549),(6255,3005,0.004019,-1.2541),(6255,3015,0.00404,-1.2533),(6255,3025,0.004062,-1.2525),(6255,3035,0.004088,-1.2517),(6255,3045,0.004118,-1.2509),(6255,3055,0.004148,-1.25),(6255,3065,0.004177,-1.2491),(6255,3075,0.00421,-1.2482),(6255,3085,0.004245,-1.2473),(6255,3095,0.004279,-1.2464),(6255,3105,0.004314,-1.2455),(6255,3115,0.004352,-1.2446),(6255,3125,0.004394,-1.2437),(6255,3135,0.004435,-1.2428),(6255,3145,0.004476,-1.2419),(6255,3155,0.004529,-1.241),(6255,3165,0.004589,-1.24),(6255,3175,0.004648,-1.2391),(6255,3185,0.004708,-1.2382),(6255,3195,0.00478,-1.2373),(6255,3205,0.004857,-1.2364),(6255,3215,0.004935,-1.2354),(6255,3225,0.005012,-1.2344),(6255,3235,0.005072,-1.2335),(6255,3245,0.005124,-1.2325),(6255,3255,0.005176,-1.2315),(6255,3265,0.005228,-1.2305),(6255,3275,0.00529,-1.2294),(6255,3285,0.005355,-1.2284),(6255,3295,0.00542,-1.2274),(6255,3305,0.005486,-1.2264),(6255,3315,0.005558,-1.2254),(6255,3325,0.005632,-1.2244),(6255,3335,0.005707,-1.2234),(6255,3345,0.005781,-1.2223),(6255,3355,0.005833,-1.2212),(6255,3365,0.005881,-1.2201),(6255,3375,0.005929,-1.219),(6255,3385,0.005978,-1.2178),(6255,3395,0.006053,-1.2166),(6255,3405,0.006132,-1.2155),(6255,3415,0.006211,-1.2143),(6255,3425,0.00629,-1.2131),(6255,3435,0.006405,-1.2119),(6255,3445,0.006524,-1.2108),(6255,3455,0.006642,-1.2095),(6255,3465,0.006761,-1.2082),(6255,3475,0.006934,-1.207),(6255,3485,0.00711,-1.2057),(6255,3495,0.007286,-1.2045),(6255,3505,0.007462,-1.2034),(6255,3515,0.007662,-1.2023),(6255,3525,0.007862,-1.2011),(6255,3535,0.008062,-1.1999),(6255,3545,0.008263,-1.1986),(6255,3555,0.00848,-1.1973),(6255,3565,0.008697,-1.1961),(6255,3575,0.008914,-1.1946),(6255,3585,0.00913,-1.1932),(6255,3595,0.009335,-1.1917),(6255,3605,0.009539,-1.1903),(6255,3615,0.009744,-1.1888),(6255,3625,0.009945,-1.1873),(6255,3635,0.010125,-1.1858),(6255,3645,0.010305,-1.1843),(6255,3655,0.010485,-1.1827),(6255,3665,0.010667,-1.1811),(6255,3675,0.010861,-1.1796),(6255,3685,0.011055,-1.178),(6255,3695,0.011248,-1.1764),(6255,3705,0.011404,-1.1748),(6255,3715,0.01141,-1.1733),(6255,3725,0.011417,-1.1716),(6255,3735,0.011423,-1.1695),(6255,3745,0.011369,-1.1675),(6255,3755,0.011127,-1.1654),(6255,3765,0.010885,-1.1633),(6255,3775,0.010642,-1.1612),(6255,3785,0.010277,-1.159),(6255,3795,0.009597,-1.1569),(6255,3805,0.008916,-1.1546),(6255,3815,0.008236,-1.152),(6255,3825,0.007342,-1.1494),(6255,3835,0.005996,-1.1468),(6255,3845,0.00465,-1.1439),(6255,3855,0.003304,-1.1407),(6255,3865,0.001642,-1.1374),(6255,3875,-0.000581,-1.1342),(6255,3885,-0.002805,-1.1304),(6255,3895,-0.005028,-1.1259),(6255,3905,-0.007605,-1.1214),(6255,3915,-0.010711,-1.1168),(6255,3925,-0.013818,-1.1115),(6255,3935,-0.016925,-1.1051),(6255,3945,-0.020134,-1.0988),(6255,3955,-0.023475,-1.0924),(6255,3965,-0.026816,-1.0849),(6255,3975,-0.030157,-1.0761),(6255,3985,-0.031584,-1.0673),(6255,3995,-0.030941,-1.0586),(6255,4005,-0.030297,-1.0503),(6255,4015,-0.029653,-1.0424),(6255,4025,0.075835,-1.0346),(6255,4035,0.19158,-1.0289),(6255,4045,0.30733,-1.0279),(6255,4055,0.38564,-1.0269),(6255,4065,0.4503,-1.0257),(6255,4075,0.51496,-1.0239),(6255,4085,0.54432,-1.0221),(6255,4095,0.54532,-1.0202),(6255,4105,0.54632,-1.0183),(6255,4115,0.54732,-1.0165),(6255,4125,0.54834,-1.0146),(6255,4135,0.54936,-1.0127),(6255,4145,0.55038,-1.0109),(6255,4155,0.55143,-1.0091),(6255,4165,0.55248,-1.0072),(6255,4175,0.55353,-1.0054),(6255,4185,0.55463,-1.0035),(6255,4195,0.55573,-1.0016),(6255,4205,0.55683,-0.99967),(6255,4215,0.55799,-0.99773),(6255,4225,0.55916,-0.9958),(6255,4235,0.56034,-0.99389),(6255,4245,0.56155,-0.99199),(6255,4255,0.56278,-0.99009),(6255,4265,0.56402,-0.98811),(6255,4275,0.56527,-0.98614),(6255,4285,0.56655,-0.98416),(6255,4295,0.56782,-0.98215),(6255,4305,0.56911,-0.98014),(6255,4315,0.57041,-0.97813),(6255,4325,0.57172,-0.97612),(6255,4335,0.57303,-0.97411),(6255,4345,0.57439,-0.97211),(6255,4355,0.57575,-0.97006),(6255,4365,0.5771,-0.96798),(6255,4375,0.57852,-0.9659),(6255,4385,0.57993,-0.9638),(6255,4395,0.58135,-0.96166),(6255,4405,0.58285,-0.95952),(6255,4415,0.58436,-0.95738),(6255,4425,0.58588,-0.9552),(6255,4435,0.58745,-0.95301),(6255,4445,0.58907,-0.95083),(6255,4455,0.59068,-0.94863),(6255,4465,0.59233,-0.94643),(6255,4475,0.59403,-0.94423),(6255,4485,0.59573,-0.94197),(6255,4495,0.59744,-0.93969),(6255,4505,0.59919,-0.93742),(6255,4515,0.60094,-0.93509),(6255,4525,0.60269,-0.93274),(6255,4535,0.60449,-0.93038),(6255,4545,0.60629,-0.92798),(6255,4555,0.60809,-0.92553),(6255,4565,0.60994,-0.92307),(6255,4575,0.61179,-0.92059),(6255,4585,0.61365,-0.91803),(6255,4595,0.61554,-0.91547),(6255,4605,0.61745,-0.9129),(6255,4615,0.61935,-0.91028),(6255,4625,0.62128,-0.90765),(6255,4635,0.62322,-0.90503),(6255,4645,0.62516,-0.90236),(6255,4655,0.62712,-0.89969),(6255,4665,0.6291,-0.89703),(6255,4675,0.63109,-0.8943),(6255,4685,0.63309,-0.89154),(6255,4695,0.63515,-0.88879),(6255,4705,0.6372,-0.88598),(6255,4715,0.63926,-0.88312),(6255,4725,0.64139,-0.88026),(6255,4735,0.64351,-0.87737),(6255,4745,0.64564,-0.87444),(6255,4755,0.6478,-0.87151),(6255,4765,0.64998,-0.86856),(6255,4775,0.65215,-0.86557),(6255,4785,0.65434,-0.86258),(6255,4795,0.65653,-0.85958),(6255,4805,0.65873,-0.85651),(6255,4815,0.66094,-0.85344),(6255,4825,0.66315,-0.85037),(6255,4835,0.66537,-0.8472),(6255,4845,0.66758,-0.84402),(6255,4855,0.66982,-0.84084),(6255,4865,0.67205,-0.83759),(6255,4875,0.67429,-0.83432),(6255,4885,0.67655,-0.83104),(6255,4895,0.67881,-0.82772),(6255,4905,0.68107,-0.82436),(6255,4915,0.68335,-0.821),(6255,4925,0.68563,-0.81761),(6255,4935,0.68792,-0.81417),(6255,4945,0.69022,-0.81073),(6255,4955,0.69253,-0.80728),(6255,4965,0.69483,-0.80377),(6255,4975,0.69715,-0.80026),(6255,4985,0.69947,-0.79675),(6255,4995,0.7018,-0.79316),(6255,5005,0.70413,-0.78957),(6255,5015,0.70646,-0.78597),(6255,5025,0.70879,-0.78231),(6255,5035,0.71112,-0.77862),(6255,5045,0.71346,-0.77494),(6255,5055,0.7158,-0.77121),(6255,5065,0.71814,-0.76745),(6255,5075,0.72048,-0.76369),(6255,5085,0.72282,-0.7599),(6255,5095,0.72516,-0.75606),(6255,5105,0.7275,-0.75222),(6255,5115,0.72985,-0.74836),(6255,5125,0.73219,-0.74445),(6255,5135,0.73455,-0.74053),(6255,5145,0.73692,-0.73662),(6255,5155,0.73928,-0.73266),(6255,5165,0.74165,-0.7287),(6255,5175,0.74404,-0.72475),(6255,5185,0.74642,-0.72075),(6255,5195,0.74881,-0.71674),(6255,5205,0.75119,-0.71274),(6255,5215,0.75357,-0.70867),(6255,5225,0.75595,-0.70458),(6255,5235,0.7583,-0.70049),(6255,5245,0.76065,-0.69636),(6255,5255,0.763,-0.69218),(6255,5265,0.76531,-0.688),(6255,5275,0.76762,-0.6838),(6255,5285,0.76993,-0.67954),(6255,5295,0.77222,-0.67528),(6255,5305,0.7745,-0.671),(6255,5315,0.77679,-0.66665),(6255,5325,0.77905,-0.66229),(6255,5335,0.78132,-0.65794),(6255,5345,0.78358,-0.65351),(6255,5355,0.78584,-0.64907),(6255,5365,0.78809,-0.64464),(6255,5375,0.79034,-0.64018),(6255,5385,0.7926,-0.63572),(6255,5395,0.79485,-0.63126),(6255,5405,0.79711,-0.62678),(6255,5415,0.79936,-0.62231),(6255,5425,0.80159,-0.61784),(6255,5435,0.80383,-0.61334),(6255,5445,0.80606,-0.60881),(6255,5455,0.80825,-0.60429),(6255,5465,0.81043,-0.59974),(6255,5475,0.81261,-0.59511),(6255,5485,0.81475,-0.59049),(6255,5495,0.81688,-0.58586),(6255,5505,0.81901,-0.58115),(6255,5515,0.82112,-0.57645),(6255,5525,0.82321,-0.57175),(6255,5535,0.8253,-0.56701),(6255,5545,0.82738,-0.56227),(6255,5555,0.82945,-0.55753),(6255,5565,0.83151,-0.55277),(6255,5575,0.83357,-0.54799),(6255,5585,0.83562,-0.54321),(6255,5595,0.83766,-0.53839),(6255,5605,0.8397,-0.53355),(6255,5615,0.84173,-0.52871),(6255,5625,0.84376,-0.52385),(6255,5635,0.84578,-0.51896),(6255,5645,0.84778,-0.51408),(6255,5655,0.84977,-0.50918),(6255,5665,0.85177,-0.50426),(6255,5675,0.85372,-0.49933),(6255,5685,0.85566,-0.4944),(6255,5695,0.85759,-0.48941),(6255,5705,0.8595,-0.48442),(6255,5715,0.86137,-0.47943),(6255,5725,0.86324,-0.47436),(6255,5735,0.8651,-0.46928),(6255,5745,0.86693,-0.46419),(6255,5755,0.86875,-0.45908),(6255,5765,0.87057,-0.45396),(6255,5775,0.87235,-0.44884),(6255,5785,0.87414,-0.4437),(6255,5795,0.87592,-0.43855),(6255,5805,0.87767,-0.4334),(6255,5815,0.87941,-0.42824),(6255,5825,0.88115,-0.42305),(6255,5835,0.88284,-0.41786),(6255,5845,0.88453,-0.41267),(6255,5855,0.88621,-0.40744),(6255,5865,0.88786,-0.40222),(6255,5875,0.88948,-0.397),(6255,5885,0.8911,-0.39174),(6255,5895,0.8927,-0.38649),(6255,5905,0.89426,-0.38123),(6255,5915,0.89583,-0.37595),(6255,5925,0.89739,-0.37065),(6255,5935,0.89891,-0.36536),(6255,5945,0.90044,-0.36003),(6255,5955,0.90196,-0.35469),(6255,5965,0.90344,-0.34934),(6255,5975,0.90493,-0.34398),(6255,5985,0.90641,-0.33859),(6255,5995,0.90784,-0.33319),(6255,6005,0.90926,-0.32778),(6255,6015,0.91069,-0.32233),(6255,6025,0.91205,-0.31688),(6255,6035,0.91338,-0.31143),(6255,6045,0.91472,-0.30593),(6255,6055,0.91601,-0.30044),(6255,6065,0.91726,-0.29494),(6255,6075,0.91851,-0.28949),(6255,6085,0.91974,-0.28404),(6255,6095,0.92093,-0.2786),(6255,6105,0.92212,-0.27315),(6255,6115,0.92331,-0.26769),(6255,6125,0.92444,-0.26224),(6255,6135,0.92557,-0.25671),(6255,6145,0.9267,-0.25113),(6255,6155,0.92777,-0.24555),(6255,6165,0.92884,-0.23995),(6255,6175,0.92991,-0.23433),(6255,6185,0.93093,-0.22871),(6255,6195,0.93193,-0.22309),(6255,6205,0.93294,-0.21746),(6255,6215,0.9339,-0.21183),(6255,6225,0.93483,-0.20619),(6255,6235,0.93576,-0.20053),(6255,6245,0.93666,-0.19488),(6255,6255,0.93752,-0.18922),(6255,6265,0.93838,-0.18356),(6255,6275,0.93922,-0.17791),(6255,6285,0.94002,-0.17226),(6255,6295,0.94081,-0.16665),(6255,6305,0.9416,-0.16104),(6255,6315,0.94232,-0.15544),(6255,6325,0.94305,-0.14978),(6255,6335,0.94377,-0.14406),(6255,6345,0.94441,-0.13834),(6255,6355,0.94504,-0.13262),(6255,6365,0.94566,-0.12691),(6255,6375,0.94622,-0.12119),(6255,6385,0.94676,-0.11549),(6255,6395,0.94729,-0.10984),(6255,6405,0.94777,-0.1042),(6255,6415,0.94819,-0.098551),(6255,6425,0.94862,-0.092798),(6255,6435,0.94902,-0.087041),(6255,6445,0.94937,-0.081284),(6255,6455,0.94972,-0.075549),(6255,6465,0.95007,-0.069819),(6255,6475,0.95037,-0.06409),(6255,6485,0.95067,-0.058336),(6255,6495,0.95097,-0.052565),(6255,6505,0.95122,-0.046794),(6255,6515,0.95146,-0.041006),(6255,6525,0.95171,-0.035197),(6255,6535,0.95189,-0.029387),(6255,6545,0.95205,-0.023618),(6255,6555,0.95221,-0.017973),(6255,6565,0.95229,-0.012328),(6255,6575,0.95234,-0.006678),(6255,6585,0.95238,-0.000967),(6255,6595,0.81003,0.004744),(6255,6605,0.51045,0.010456),(6255,6615,0.21087,0.011175),(6255,6625,0.000284,0.011253),(6255,6635,0.00032,0.011331),(6255,6645,0.000356,0.011355),(6255,6655,0.000391,0.011356),(6255,6665,0.000427,0.011358),(6255,6675,0.000463,0.011359),(6255,6685,0.000499,0.011359),(6255,6695,0.000534,0.011359),(6255,6705,0.00057,0.01136),(6255,6715,0.000605,0.011359),(6255,6725,0.00064,0.011358),(6255,6735,0.000675,0.011358),(6255,6745,0.000711,0.011356),(6255,6755,0.000746,0.011354),(6255,6765,0.00078,0.011353),(6255,6775,0.000815,0.01135),(6255,6785,0.00085,0.011347),(6255,6795,0.000884,0.011344),(6255,6805,0.000919,0.011341),(6255,6815,0.000953,0.011337),(6255,6825,0.000987,0.011333),(6255,6835,0.001021,0.011329),(6255,6845,0.001055,0.011324),(6255,6855,0.001088,0.011319),(6255,6865,0.001122,0.011314),(6255,6875,0.001155,0.011308),(6255,6885,0.001188,0.011302),(6255,6895,0.001221,0.011296),(6255,6905,0.001254,0.01129),(6255,6915,0.001286,0.011283),(6255,6925,0.001318,0.011276),(6255,6935,0.001351,0.011268),(6255,6945,0.001383,0.011261),(6255,6955,0.001414,0.011253),(6255,6965,0.001446,0.011244),(6255,6975,0.001477,0.011236),(6255,6985,0.001508,0.011227),(6265,5,1.2e-05,-1.3201),(6265,15,3.6e-05,-1.32),(6265,25,5.6e-05,-1.3199),(6265,35,7.3e-05,-1.3197),(6265,45,8.9e-05,-1.3197),(6265,55,0.000106,-1.3196),(6265,65,0.000129,-1.3195),(6265,75,0.000158,-1.3195),(6265,85,0.000188,-1.3195),(6265,95,0.000217,-1.3194),(6265,105,0.000233,-1.3194),(6265,115,0.00024,-1.3194),(6265,125,0.000247,-1.3194),(6265,135,0.000254,-1.3193),(6265,145,0.000265,-1.3193),(6265,155,0.000277,-1.3193),(6265,165,0.00029,-1.3192),(6265,175,0.000303,-1.3192),(6265,185,0.00032,-1.3192),(6265,195,0.000339,-1.3191),(6265,205,0.000358,-1.3192),(6265,215,0.000377,-1.3192),(6265,225,0.000392,-1.3192),(6265,235,0.000405,-1.3193),(6265,245,0.000418,-1.3193),(6265,255,0.000431,-1.3193),(6265,265,0.000407,-1.3193),(6265,275,0.000372,-1.3193),(6265,285,0.000336,-1.3192),(6265,295,0.0003,-1.3191),(6265,305,0.00027,-1.319),(6265,315,0.000241,-1.3189),(6265,325,0.000212,-1.3189),(6265,335,0.000182,-1.3188),(6265,345,0.000208,-1.3188),(6265,355,0.000245,-1.3187),(6265,365,0.000282,-1.3188),(6265,375,0.000319,-1.3189),(6265,385,0.000374,-1.319),(6265,395,0.000432,-1.319),(6265,405,0.00049,-1.319),(6265,415,0.000548,-1.319),(6265,425,0.000582,-1.3189),(6265,435,0.000614,-1.3189),(6265,445,0.000645,-1.3188),(6265,455,0.000677,-1.3188),(6265,465,0.000729,-1.3187),(6265,475,0.000781,-1.3187),(6265,485,0.000834,-1.3187),(6265,495,0.000886,-1.3186),(6265,505,0.000954,-1.3186),(6265,515,0.001022,-1.3186),(6265,525,0.00109,-1.3186),(6265,535,0.001157,-1.3186),(6265,545,0.001217,-1.3186),(6265,555,0.001277,-1.3186),(6265,565,0.001337,-1.3186),(6265,575,0.001396,-1.3185),(6265,585,0.001441,-1.3184),(6265,595,0.001485,-1.3184),(6265,605,0.001529,-1.3184),(6265,615,0.001575,-1.3183),(6265,625,0.001638,-1.3183),(6265,635,0.001701,-1.3183),(6265,645,0.001764,-1.3183),(6265,655,0.001829,-1.3183),(6265,665,0.001909,-1.3184),(6265,675,0.001989,-1.3184),(6265,685,0.00207,-1.3183),(6265,695,0.002151,-1.3182),(6265,705,0.002239,-1.3181),(6265,715,0.002326,-1.318),(6265,725,0.002414,-1.3179),(6265,735,0.002512,-1.3178),(6265,745,0.002647,-1.3178),(6265,755,0.002781,-1.3177),(6265,765,0.002916,-1.3177),(6265,775,0.003057,-1.3176),(6265,785,0.003215,-1.3176),(6265,795,0.003374,-1.3175),(6265,805,0.003533,-1.3174),(6265,815,0.003706,-1.3173),(6265,825,0.003913,-1.3173),(6265,835,0.004119,-1.3172),(6265,845,0.004325,-1.317),(6265,855,0.004549,-1.3169),(6265,865,0.004808,-1.3168),(6265,875,0.005066,-1.3167),(6265,885,0.005325,-1.3166),(6265,895,0.005579,-1.3164),(6265,905,0.005827,-1.3163),(6265,915,0.006074,-1.3161),(6265,925,0.006321,-1.3159),(6265,935,0.006559,-1.3156),(6265,945,0.006782,-1.3154),(6265,955,0.007006,-1.3151),(6265,965,0.007229,-1.3147),(6265,975,0.007453,-1.3144),(6265,985,0.007676,-1.314),(6265,995,0.0079,-1.3137),(6265,1005,0.008123,-1.3134),(6265,1015,0.008316,-1.3131),(6265,1025,0.008479,-1.3128),(6265,1035,0.008643,-1.3124),(6265,1045,0.008806,-1.3119),(6265,1055,0.008809,-1.3114),(6265,1065,0.008682,-1.311),(6265,1075,0.008554,-1.3104),(6265,1085,0.008426,-1.3096),(6265,1095,0.007955,-1.3088),(6265,1105,0.007245,-1.3081),(6265,1115,0.006535,-1.3071),(6265,1125,0.005825,-1.3059),(6265,1135,0.004501,-1.3048),(6265,1145,0.002813,-1.3036),(6265,1155,0.001126,-1.3021),(6265,1165,-0.000561,-1.3004),(6265,1175,-0.003296,-1.2987),(6265,1185,-0.006552,-1.2971),(6265,1195,-0.009808,-1.2944),(6265,1205,-0.013064,-1.2914),(6265,1215,-0.017787,-1.2884),(6265,1225,-0.023115,-1.2854),(6265,1235,-0.028443,-1.2803),(6265,1245,-0.033772,-1.2746),(6265,1255,-0.040161,-1.2688),(6265,1265,-0.046909,-1.263),(6265,1275,-0.053657,-1.254),(6265,1285,-0.060406,-1.244),(6265,1295,-0.057848,-1.2341),(6265,1305,-0.052773,-1.2241),(6265,1315,-0.047698,-1.2164),(6265,1325,-0.042623,-1.2093),(6265,1335,-0.026194,-1.2022),(6265,1345,-0.007386,-1.1951),(6265,1355,0.011422,-1.1985),(6265,1365,0.030231,-1.2039),(6265,1375,0.040384,-1.2093),(6265,1385,0.049202,-1.2147),(6265,1395,0.05802,-1.2247),(6265,1405,0.066838,-1.2353),(6265,1415,0.061449,-1.2459),(6265,1425,0.054585,-1.2566),(6265,1435,0.047721,-1.2628),(6265,1445,0.040857,-1.2688),(6265,1455,0.035077,-1.2747),(6265,1465,0.02936,-1.2806),(6265,1475,0.023644,-1.2838),(6265,1485,0.017927,-1.2868),(6265,1495,0.014342,-1.2898),(6265,1505,0.01079,-1.2928),(6265,1515,0.007238,-1.2946),(6265,1525,0.003728,-1.2964),(6265,1535,0.001891,-1.2981),(6265,1545,5.3e-05,-1.2999),(6265,1555,-0.001784,-1.3007),(6265,1565,-0.003555,-1.3015),(6265,1575,-0.004362,-1.3023),(6265,1585,-0.005169,-1.3031),(6265,1595,-0.005975,-1.3036),(6265,1605,-0.006716,-1.3041),(6265,1615,-0.006887,-1.3046),(6265,1625,-0.007058,-1.3052),(6265,1635,-0.00723,-1.3055),(6265,1645,-0.007363,-1.3059),(6265,1655,-0.007269,-1.3062),(6265,1665,-0.007175,-1.3065),(6265,1675,-0.00708,-1.3068),(6265,1685,-0.006959,-1.307),(6265,1695,-0.006715,-1.3073),(6265,1705,-0.006471,-1.3075),(6265,1715,-0.006227,-1.3076),(6265,1725,-0.005985,-1.3077),(6265,1735,-0.005748,-1.3077),(6265,1745,-0.005511,-1.3078),(6265,1755,-0.005274,-1.3077),(6265,1765,-0.005031,-1.3076),(6265,1775,-0.004768,-1.3075),(6265,1785,-0.004505,-1.3074),(6265,1795,-0.004242,-1.3074),(6265,1805,-0.003973,-1.3075),(6265,1815,-0.003689,-1.3075),(6265,1825,-0.003406,-1.3074),(6265,1835,-0.003123,-1.3074),(6265,1845,-0.002868,-1.3073),(6265,1855,-0.002666,-1.3072),(6265,1865,-0.002464,-1.307),(6265,1875,-0.002262,-1.3068),(6265,1885,-0.002082,-1.3066),(6265,1895,-0.001937,-1.3063),(6265,1905,-0.001793,-1.3061),(6265,1915,-0.001648,-1.3059),(6265,1925,-0.001524,-1.3056),(6265,1935,-0.001429,-1.3054),(6265,1945,-0.001333,-1.3051),(6265,1955,-0.001238,-1.3049),(6265,1965,-0.001142,-1.3047),(6265,1975,-0.001048,-1.3045),(6265,1985,-0.000953,-1.3042),(6265,1995,-0.000858,-1.3039),(6265,2005,-0.000766,-1.3037),(6265,2015,-0.000679,-1.3034),(6265,2025,-0.000591,-1.3031),(6265,2035,-0.000503,-1.3028),(6265,2045,-0.000426,-1.3025),(6265,2055,-0.000359,-1.3022),(6265,2065,-0.000291,-1.302),(6265,2075,-0.000224,-1.3017),(6265,2085,-0.000143,-1.3015),(6265,2095,-5.2e-05,-1.3013),(6265,2105,3.9e-05,-1.3011),(6265,2115,0.00013,-1.3008),(6265,2125,0.000203,-1.3006),(6265,2135,0.000265,-1.3003),(6265,2145,0.000327,-1.3),(6265,2155,0.000389,-1.2997),(6265,2165,0.000438,-1.2993),(6265,2175,0.00048,-1.299),(6265,2185,0.000522,-1.2986),(6265,2195,0.000564,-1.2983),(6265,2205,0.000621,-1.298),(6265,2215,0.000683,-1.2977),(6265,2225,0.000746,-1.2973),(6265,2235,0.000808,-1.297),(6265,2245,0.000856,-1.2966),(6265,2255,0.000899,-1.2962),(6265,2265,0.000942,-1.2959),(6265,2275,0.000984,-1.2955),(6265,2285,0.001014,-1.2951),(6265,2295,0.001039,-1.2947),(6265,2305,0.001064,-1.2943),(6265,2315,0.001089,-1.294),(6265,2325,0.001098,-1.2936),(6265,2335,0.001103,-1.2933),(6265,2345,0.001109,-1.2929),(6265,2355,0.001114,-1.2925),(6265,2365,0.001104,-1.292),(6265,2375,0.001091,-1.2916),(6265,2385,0.001077,-1.2912),(6265,2395,0.001064,-1.2907),(6265,2405,0.001084,-1.2902),(6265,2415,0.001108,-1.2897),(6265,2425,0.001132,-1.2892),(6265,2435,0.001156,-1.2888),(6265,2445,0.001223,-1.2884),(6265,2455,0.001292,-1.2879),(6265,2465,0.001361,-1.2875),(6265,2475,0.00143,-1.2871),(6265,2485,0.001514,-1.2867),(6265,2495,0.0016,-1.2864),(6265,2505,0.001685,-1.286),(6265,2515,0.001769,-1.2856),(6265,2525,0.001835,-1.2852),(6265,2535,0.0019,-1.2848),(6265,2545,0.001966,-1.2843),(6265,2555,0.002028,-1.2838),(6265,2565,0.002045,-1.2833),(6265,2575,0.002062,-1.2828),(6265,2585,0.002078,-1.2822),(6265,2595,0.002094,-1.2816),(6265,2605,0.0021,-1.2811),(6265,2615,0.002106,-1.2805),(6265,2625,0.002112,-1.2799),(6265,2635,0.00212,-1.2793),(6265,2645,0.002138,-1.2787),(6265,2655,0.002156,-1.2781),(6265,2665,0.002174,-1.2775),(6265,2675,0.002189,-1.2768),(6265,2685,0.002194,-1.2762),(6265,2695,0.002198,-1.2755),(6265,2705,0.002203,-1.2749),(6265,2715,0.002216,-1.2743),(6265,2725,0.002259,-1.2736),(6265,2735,0.002303,-1.273),(6265,2745,0.002347,-1.2725),(6265,2755,0.002402,-1.272),(6265,2765,0.002494,-1.2715),(6265,2775,0.002585,-1.2709),(6265,2785,0.002676,-1.2703),(6265,2795,0.002753,-1.2696),(6265,2805,0.002797,-1.269),(6265,2815,0.002841,-1.2683),(6265,2825,0.002885,-1.2675),(6265,2835,0.002922,-1.2667),(6265,2845,0.002947,-1.2659),(6265,2855,0.002972,-1.2651),(6265,2865,0.002997,-1.2645),(6265,2875,0.003048,-1.2638),(6265,2885,0.003143,-1.2631),(6265,2895,0.003237,-1.2624),(6265,2905,0.003331,-1.2618),(6265,2915,0.003424,-1.2612),(6265,2925,0.003515,-1.2605),(6265,2935,0.003605,-1.2598),(6265,2945,0.003696,-1.259),(6265,2955,0.003762,-1.2582),(6265,2965,0.003797,-1.2574),(6265,2975,0.003832,-1.2566),(6265,2985,0.003867,-1.2557),(6265,2995,0.003897,-1.2549),(6265,3005,0.003921,-1.2541),(6265,3015,0.003945,-1.2533),(6265,3025,0.003969,-1.2525),(6265,3035,0.003992,-1.2517),(6265,3045,0.004014,-1.2509),(6265,3055,0.004035,-1.25),(6265,3065,0.004057,-1.2491),(6265,3075,0.004081,-1.2482),(6265,3085,0.004108,-1.2473),(6265,3095,0.004135,-1.2464),(6265,3105,0.004162,-1.2455),(6265,3115,0.004193,-1.2446),(6265,3125,0.004227,-1.2437),(6265,3135,0.004262,-1.2428),(6265,3145,0.004296,-1.2418),(6265,3155,0.004338,-1.2409),(6265,3165,0.004384,-1.24),(6265,3175,0.00443,-1.2391),(6265,3185,0.004476,-1.2381),(6265,3195,0.004537,-1.2372),(6265,3205,0.004604,-1.2363),(6265,3215,0.004671,-1.2354),(6265,3225,0.004738,-1.2344),(6265,3235,0.004794,-1.2335),(6265,3245,0.004845,-1.2325),(6265,3255,0.004897,-1.2315),(6265,3265,0.004948,-1.2305),(6265,3275,0.005009,-1.2294),(6265,3285,0.005073,-1.2284),(6265,3295,0.005138,-1.2274),(6265,3305,0.005202,-1.2264),(6265,3315,0.005282,-1.2254),(6265,3325,0.005366,-1.2244),(6265,3335,0.005449,-1.2234),(6265,3345,0.005533,-1.2223),(6265,3355,0.005602,-1.2212),(6265,3365,0.005669,-1.2201),(6265,3375,0.005735,-1.219),(6265,3385,0.005802,-1.2178),(6265,3395,0.00588,-1.2166),(6265,3405,0.00596,-1.2155),(6265,3415,0.006039,-1.2143),(6265,3425,0.006119,-1.2131),(6265,3435,0.006205,-1.2119),(6265,3445,0.006292,-1.2107),(6265,3455,0.006379,-1.2094),(6265,3465,0.006466,-1.2081),(6265,3475,0.006609,-1.2068),(6265,3485,0.006754,-1.2056),(6265,3495,0.006899,-1.2044),(6265,3505,0.007044,-1.2033),(6265,3515,0.007241,-1.2022),(6265,3525,0.007439,-1.201),(6265,3535,0.007637,-1.1998),(6265,3545,0.007834,-1.1985),(6265,3555,0.008039,-1.1972),(6265,3565,0.008244,-1.1959),(6265,3575,0.008448,-1.1945),(6265,3585,0.00865,-1.1931),(6265,3595,0.008822,-1.1916),(6265,3605,0.008993,-1.1902),(6265,3615,0.009164,-1.1887),(6265,3625,0.009336,-1.1872),(6265,3635,0.009505,-1.1857),(6265,3645,0.009674,-1.1842),(6265,3655,0.009843,-1.1826),(6265,3665,0.010009,-1.181),(6265,3675,0.010154,-1.1794),(6265,3685,0.010298,-1.1778),(6265,3695,0.010443,-1.1763),(6265,3705,0.010558,-1.1748),(6265,3715,0.010555,-1.1733),(6265,3725,0.010551,-1.1716),(6265,3735,0.010548,-1.1696),(6265,3745,0.010465,-1.1675),(6265,3755,0.010133,-1.1655),(6265,3765,0.0098,-1.1634),(6265,3775,0.009467,-1.1613),(6265,3785,0.009012,-1.1593),(6265,3795,0.008243,-1.1572),(6265,3805,0.007475,-1.155),(6265,3815,0.006706,-1.1525),(6265,3825,0.0057,-1.1499),(6265,3835,0.004191,-1.1474),(6265,3845,0.002683,-1.1447),(6265,3855,0.001174,-1.1416),(6265,3865,-0.000693,-1.1384),(6265,3875,-0.003197,-1.1353),(6265,3885,-0.005699,-1.1317),(6265,3895,-0.008203,-1.1273),(6265,3905,-0.011126,-1.1229),(6265,3915,-0.014676,-1.1185),(6265,3925,-0.018227,-1.1133),(6265,3935,-0.021777,-1.1069),(6265,3945,-0.02552,-1.1005),(6265,3955,-0.029505,-1.0942),(6265,3965,-0.033491,-1.0866),(6265,3975,-0.037477,-1.0776),(6265,3985,-0.039164,-1.0686),(6265,3995,-0.038362,-1.0596),(6265,4005,-0.03756,-1.051),(6265,4015,-0.036759,-1.0429),(6265,4025,0.070234,-1.0347),(6265,4035,0.18761,-1.0289),(6265,4045,0.305,-1.0278),(6265,4055,0.38348,-1.0268),(6265,4065,0.44777,-1.0257),(6265,4075,0.51207,-1.0238),(6265,4085,0.54126,-1.022),(6265,4095,0.54226,-1.0202),(6265,4105,0.54326,-1.0183),(6265,4115,0.54426,-1.0164),(6265,4125,0.54528,-1.0145),(6265,4135,0.5463,-1.0127),(6265,4145,0.54732,-1.0108),(6265,4155,0.54836,-1.009),(6265,4165,0.5494,-1.0071),(6265,4175,0.55044,-1.0053),(6265,4185,0.55153,-1.0034),(6265,4195,0.55261,-1.0015),(6265,4205,0.5537,-0.99954),(6265,4215,0.55485,-0.99759),(6265,4225,0.556,-0.99565),(6265,4235,0.55716,-0.99374),(6265,4245,0.55837,-0.99183),(6265,4255,0.55959,-0.98992),(6265,4265,0.56081,-0.98794),(6265,4275,0.56206,-0.98596),(6265,4285,0.56333,-0.98398),(6265,4295,0.5646,-0.98197),(6265,4305,0.56587,-0.97995),(6265,4315,0.56717,-0.97793),(6265,4325,0.56848,-0.97591),(6265,4335,0.56978,-0.9739),(6265,4345,0.57113,-0.97189),(6265,4355,0.57247,-0.96983),(6265,4365,0.57382,-0.96774),(6265,4375,0.57522,-0.96564),(6265,4385,0.57662,-0.96353),(6265,4395,0.57802,-0.96138),(6265,4405,0.57949,-0.95922),(6265,4415,0.58098,-0.95706),(6265,4425,0.58248,-0.95487),(6265,4435,0.58402,-0.95267),(6265,4445,0.58561,-0.95047),(6265,4455,0.5872,-0.94827),(6265,4465,0.58882,-0.94606),(6265,4475,0.59049,-0.94385),(6265,4485,0.59216,-0.94159),(6265,4495,0.59384,-0.93932),(6265,4505,0.59557,-0.93704),(6265,4515,0.5973,-0.93472),(6265,4525,0.59903,-0.93236),(6265,4535,0.60081,-0.93),(6265,4545,0.60259,-0.92759),(6265,4555,0.60436,-0.92514),(6265,4565,0.60619,-0.92268),(6265,4575,0.60803,-0.92019),(6265,4585,0.60987,-0.91762),(6265,4595,0.61174,-0.91505),(6265,4605,0.61362,-0.91247),(6265,4615,0.61551,-0.90984),(6265,4625,0.61741,-0.90721),(6265,4635,0.61933,-0.90458),(6265,4645,0.62125,-0.90191),(6265,4655,0.62318,-0.89924),(6265,4665,0.62514,-0.89656),(6265,4675,0.6271,-0.89382),(6265,4685,0.62907,-0.89106),(6265,4695,0.63109,-0.88829),(6265,4705,0.63312,-0.88546),(6265,4715,0.63514,-0.88259),(6265,4725,0.63724,-0.87973),(6265,4735,0.63933,-0.87683),(6265,4745,0.64143,-0.87389),(6265,4755,0.64356,-0.87096),(6265,4765,0.64571,-0.86801),(6265,4775,0.64785,-0.86502),(6265,4785,0.65001,-0.86203),(6265,4795,0.65219,-0.85904),(6265,4805,0.65436,-0.85597),(6265,4815,0.65654,-0.85291),(6265,4825,0.65874,-0.84984),(6265,4835,0.66093,-0.84668),(6265,4845,0.66313,-0.8435),(6265,4855,0.66534,-0.84032),(6265,4865,0.66755,-0.83707),(6265,4875,0.66976,-0.83379),(6265,4885,0.672,-0.83051),(6265,4895,0.67423,-0.82718),(6265,4905,0.67646,-0.82382),(6265,4915,0.67871,-0.82046),(6265,4925,0.68096,-0.81707),(6265,4935,0.68321,-0.81362),(6265,4945,0.68548,-0.81018),(6265,4955,0.68775,-0.80673),(6265,4965,0.69003,-0.80322),(6265,4975,0.69231,-0.79971),(6265,4985,0.69461,-0.7962),(6265,4995,0.6969,-0.79262),(6265,5005,0.6992,-0.78903),(6265,5015,0.70151,-0.78544),(6265,5025,0.70382,-0.78177),(6265,5035,0.70613,-0.77809),(6265,5045,0.70845,-0.77441),(6265,5055,0.71076,-0.77068),(6265,5065,0.71308,-0.76692),(6265,5075,0.71539,-0.76316),(6265,5085,0.71771,-0.75937),(6265,5095,0.72003,-0.75552),(6265,5105,0.72234,-0.75168),(6265,5115,0.72465,-0.74781),(6265,5125,0.72697,-0.74389),(6265,5135,0.72928,-0.73997),(6265,5145,0.73161,-0.73605),(6265,5155,0.73393,-0.73209),(6265,5165,0.73626,-0.72813),(6265,5175,0.7386,-0.72417),(6265,5185,0.74095,-0.72017),(6265,5195,0.74329,-0.71617),(6265,5205,0.74565,-0.71217),(6265,5215,0.748,-0.70811),(6265,5225,0.75034,-0.70404),(6265,5235,0.75268,-0.69996),(6265,5245,0.75501,-0.69584),(6265,5255,0.75734,-0.69167),(6265,5265,0.75964,-0.68751),(6265,5275,0.76194,-0.68331),(6265,5285,0.76424,-0.67906),(6265,5295,0.76652,-0.6748),(6265,5305,0.76879,-0.67053),(6265,5315,0.77106,-0.66618),(6265,5325,0.77331,-0.66182),(6265,5335,0.77555,-0.65747),(6265,5345,0.77779,-0.65303),(6265,5355,0.78002,-0.64859),(6265,5365,0.78224,-0.64415),(6265,5375,0.78446,-0.63969),(6265,5385,0.78669,-0.63522),(6265,5395,0.7889,-0.63075),(6265,5405,0.79112,-0.62628),(6265,5415,0.79334,-0.6218),(6265,5425,0.79554,-0.61733),(6265,5435,0.79775,-0.61284),(6265,5445,0.79995,-0.60833),(6265,5455,0.80212,-0.60382),(6265,5465,0.80429,-0.59928),(6265,5475,0.80645,-0.59467),(6265,5485,0.80858,-0.59006),(6265,5495,0.8107,-0.58544),(6265,5505,0.81282,-0.58073),(6265,5515,0.81491,-0.57603),(6265,5525,0.81699,-0.57133),(6265,5535,0.81907,-0.56659),(6265,5545,0.82113,-0.56185),(6265,5555,0.82317,-0.55711),(6265,5565,0.82522,-0.55234),(6265,5575,0.82726,-0.54756),(6265,5585,0.82927,-0.54278),(6265,5595,0.83129,-0.53796),(6265,5605,0.8333,-0.53311),(6265,5615,0.8353,-0.52826),(6265,5625,0.8373,-0.5234),(6265,5635,0.8393,-0.51852),(6265,5645,0.84128,-0.51364),(6265,5655,0.84325,-0.50875),(6265,5665,0.84522,-0.50383),(6265,5675,0.84716,-0.49892),(6265,5685,0.84909,-0.494),(6265,5695,0.85101,-0.48902),(6265,5705,0.8529,-0.48403),(6265,5715,0.85477,-0.47905),(6265,5725,0.85663,-0.47398),(6265,5735,0.85848,-0.4689),(6265,5745,0.86028,-0.46381),(6265,5755,0.86209,-0.4587),(6265,5765,0.86389,-0.45358),(6265,5775,0.86566,-0.44846),(6265,5785,0.86742,-0.44333),(6265,5795,0.86919,-0.43818),(6265,5805,0.87091,-0.43303),(6265,5815,0.87264,-0.42787),(6265,5825,0.87436,-0.42269),(6265,5835,0.87605,-0.41751),(6265,5845,0.87773,-0.41232),(6265,5855,0.8794,-0.4071),(6265,5865,0.88104,-0.40189),(6265,5875,0.88266,-0.39667),(6265,5885,0.88427,-0.39141),(6265,5895,0.88586,-0.38616),(6265,5905,0.88741,-0.3809),(6265,5915,0.88896,-0.37561),(6265,5925,0.8905,-0.37031),(6265,5935,0.892,-0.36502),(6265,5945,0.8935,-0.35969),(6265,5955,0.895,-0.35434),(6265,5965,0.89646,-0.34899),(6265,5975,0.89791,-0.34363),(6265,5985,0.89937,-0.33824),(6265,5995,0.90078,-0.33285),(6265,6005,0.90219,-0.32745),(6265,6015,0.9036,-0.32202),(6265,6025,0.90495,-0.31658),(6265,6035,0.90628,-0.31114),(6265,6045,0.90761,-0.30565),(6265,6055,0.9089,-0.30017),(6265,6065,0.91014,-0.29468),(6265,6075,0.91139,-0.28923),(6265,6085,0.91262,-0.28379),(6265,6095,0.9138,-0.27834),(6265,6105,0.91499,-0.27289),(6265,6115,0.91616,-0.26744),(6265,6125,0.91729,-0.26198),(6265,6135,0.91841,-0.25646),(6265,6145,0.91953,-0.25088),(6265,6155,0.92059,-0.2453),(6265,6165,0.92164,-0.2397),(6265,6175,0.9227,-0.23408),(6265,6185,0.92371,-0.22846),(6265,6195,0.9247,-0.22284),(6265,6205,0.9257,-0.21722),(6265,6215,0.92665,-0.21159),(6265,6225,0.92757,-0.20596),(6265,6235,0.92849,-0.20031),(6265,6245,0.92938,-0.19465),(6265,6255,0.93023,-0.18899),(6265,6265,0.93107,-0.18334),(6265,6275,0.9319,-0.17769),(6265,6285,0.93268,-0.17204),(6265,6295,0.93346,-0.16643),(6265,6305,0.93424,-0.16083),(6265,6315,0.93496,-0.15523),(6265,6325,0.93567,-0.14958),(6265,6335,0.93639,-0.14388),(6265,6345,0.93703,-0.13817),(6265,6355,0.93765,-0.13246),(6265,6365,0.93828,-0.12676),(6265,6375,0.93885,-0.12106),(6265,6385,0.93939,-0.11536),(6265,6395,0.93993,-0.10973),(6265,6405,0.94041,-0.10409),(6265,6415,0.94084,-0.098462),(6265,6425,0.94127,-0.092711),(6265,6435,0.94166,-0.086954),(6265,6445,0.94201,-0.081198),(6265,6455,0.94235,-0.075458),(6265,6465,0.94269,-0.069723),(6265,6475,0.94298,-0.063988),(6265,6485,0.94326,-0.058229),(6265,6495,0.94355,-0.052455),(6265,6505,0.94379,-0.046681),(6265,6515,0.94403,-0.040896),(6265,6525,0.94427,-0.035097),(6265,6535,0.94444,-0.029297),(6265,6545,0.9446,-0.023539),(6265,6555,0.94476,-0.017912),(6265,6565,0.94485,-0.012285),(6265,6575,0.9449,-0.006653),(6265,6585,0.94496,-0.000955),(6265,6595,0.80372,0.004743),(6265,6605,0.50647,0.010441),(6265,6615,0.20923,0.011173),(6265,6625,0.000281,0.011268),(6265,6635,0.000317,0.011362),(6265,6645,0.000353,0.011391),(6265,6655,0.000389,0.011392),(6265,6665,0.000425,0.011393),(6265,6675,0.000461,0.011394),(6265,6685,0.000497,0.011394),(6265,6695,0.000533,0.011395),(6265,6705,0.000569,0.011395),(6265,6715,0.000605,0.011394),(6265,6725,0.00064,0.011393),(6265,6735,0.000676,0.011392),(6265,6745,0.000711,0.011391),(6265,6755,0.000746,0.011389),(6265,6765,0.000782,0.011387),(6265,6775,0.000817,0.011384),(6265,6785,0.000852,0.011381),(6265,6795,0.000886,0.011379),(6265,6805,0.000921,0.011375),(6265,6815,0.000956,0.011371),(6265,6825,0.00099,0.011367),(6265,6835,0.001024,0.011362),(6265,6845,0.001058,0.011357),(6265,6855,0.001092,0.011352),(6265,6865,0.001126,0.011347),(6265,6875,0.001159,0.011341),(6265,6885,0.001193,0.011335),(6265,6895,0.001226,0.011329),(6265,6905,0.001259,0.011322),(6265,6915,0.001292,0.011315),(6265,6925,0.001324,0.011308),(6265,6935,0.001357,0.0113),(6265,6945,0.001389,0.011292),(6265,6955,0.001421,0.011284),(6265,6965,0.001452,0.011276),(6265,6975,0.001484,0.011267),(6265,6985,0.001515,0.011258),(6275,5,1.3e-05,-1.3201),(6275,15,3.8e-05,-1.32),(6275,25,6e-05,-1.3199),(6275,35,7.8e-05,-1.3197),(6275,45,9.6e-05,-1.3196),(6275,55,0.000114,-1.3196),(6275,65,0.000139,-1.3195),(6275,75,0.00017,-1.3195),(6275,85,0.0002,-1.3195),(6275,95,0.00023,-1.3194),(6275,105,0.000246,-1.3194),(6275,115,0.000251,-1.3194),(6275,125,0.000257,-1.3194),(6275,135,0.000262,-1.3194),(6275,145,0.000269,-1.3193),(6275,155,0.000278,-1.3193),(6275,165,0.000287,-1.3192),(6275,175,0.000296,-1.3192),(6275,185,0.000308,-1.3192),(6275,195,0.000323,-1.3191),(6275,205,0.000338,-1.3192),(6275,215,0.000353,-1.3192),(6275,225,0.000371,-1.3192),(6275,235,0.000391,-1.3192),(6275,245,0.000411,-1.3193),(6275,255,0.000431,-1.3193),(6275,265,0.000411,-1.3193),(6275,275,0.000378,-1.3193),(6275,285,0.000345,-1.3192),(6275,295,0.000312,-1.3191),(6275,305,0.000274,-1.3191),(6275,315,0.000236,-1.319),(6275,325,0.000197,-1.3189),(6275,335,0.000159,-1.3188),(6275,345,0.000174,-1.3188),(6275,355,0.0002,-1.3187),(6275,365,0.000226,-1.3188),(6275,375,0.000251,-1.3188),(6275,385,0.000308,-1.3189),(6275,395,0.00037,-1.319),(6275,405,0.000431,-1.319),(6275,415,0.000492,-1.3189),(6275,425,0.000531,-1.3189),(6275,435,0.000568,-1.3189),(6275,445,0.000605,-1.3188),(6275,455,0.000642,-1.3188),(6275,465,0.000696,-1.3187),(6275,475,0.00075,-1.3187),(6275,485,0.000804,-1.3186),(6275,495,0.000858,-1.3186),(6275,505,0.000925,-1.3186),(6275,515,0.000993,-1.3185),(6275,525,0.001061,-1.3186),(6275,535,0.001128,-1.3186),(6275,545,0.001187,-1.3186),(6275,555,0.001246,-1.3186),(6275,565,0.001305,-1.3185),(6275,575,0.001363,-1.3185),(6275,585,0.001405,-1.3184),(6275,595,0.001447,-1.3184),(6275,605,0.001489,-1.3183),(6275,615,0.001533,-1.3183),(6275,625,0.001591,-1.3183),(6275,635,0.001648,-1.3182),(6275,645,0.001706,-1.3183),(6275,655,0.001767,-1.3183),(6275,665,0.001846,-1.3183),(6275,675,0.001925,-1.3183),(6275,685,0.002004,-1.3182),(6275,695,0.002084,-1.3181),(6275,705,0.002168,-1.318),(6275,715,0.002252,-1.318),(6275,725,0.002335,-1.3179),(6275,735,0.002428,-1.3178),(6275,745,0.002553,-1.3177),(6275,755,0.002677,-1.3176),(6275,765,0.002801,-1.3176),(6275,775,0.002932,-1.3176),(6275,785,0.003078,-1.3175),(6275,795,0.003225,-1.3175),(6275,805,0.003371,-1.3174),(6275,815,0.003533,-1.3173),(6275,825,0.003727,-1.3172),(6275,835,0.003922,-1.3171),(6275,845,0.004116,-1.317),(6275,855,0.004329,-1.3168),(6275,865,0.004575,-1.3167),(6275,875,0.004821,-1.3166),(6275,885,0.005067,-1.3165),(6275,895,0.005307,-1.3163),(6275,905,0.00554,-1.3162),(6275,915,0.005773,-1.316),(6275,925,0.006006,-1.3158),(6275,935,0.006229,-1.3155),(6275,945,0.006438,-1.3153),(6275,955,0.006648,-1.315),(6275,965,0.006857,-1.3146),(6275,975,0.007055,-1.3143),(6275,985,0.007238,-1.314),(6275,995,0.007421,-1.3136),(6275,1005,0.007604,-1.3133),(6275,1015,0.007758,-1.313),(6275,1025,0.007885,-1.3127),(6275,1035,0.008011,-1.3123),(6275,1045,0.008137,-1.3119),(6275,1055,0.008099,-1.3114),(6275,1065,0.007925,-1.311),(6275,1075,0.007751,-1.3105),(6275,1085,0.007577,-1.3098),(6275,1095,0.00704,-1.3091),(6275,1105,0.006251,-1.3084),(6275,1115,0.005461,-1.3075),(6275,1125,0.004671,-1.3065),(6275,1135,0.003209,-1.3054),(6275,1145,0.001349,-1.3044),(6275,1155,-0.00051,-1.3031),(6275,1165,-0.00237,-1.3017),(6275,1175,-0.005399,-1.3002),(6275,1185,-0.009009,-1.2988),(6275,1195,-0.012619,-1.2965),(6275,1205,-0.016228,-1.2938),(6275,1215,-0.021536,-1.2912),(6275,1225,-0.027545,-1.2885),(6275,1235,-0.033553,-1.2838),(6275,1245,-0.039561,-1.2784),(6275,1255,-0.046929,-1.2729),(6275,1265,-0.054756,-1.2674),(6275,1275,-0.062582,-1.2583),(6275,1285,-0.070409,-1.248),(6275,1295,-0.067479,-1.2377),(6275,1305,-0.061641,-1.2274),(6275,1315,-0.055803,-1.219),(6275,1325,-0.049964,-1.211),(6275,1335,-0.030741,-1.2031),(6275,1345,-0.008713,-1.1952),(6275,1355,0.013315,-1.1991),(6275,1365,0.035343,-1.2053),(6275,1375,0.047098,-1.2114),(6275,1385,0.057269,-1.2175),(6275,1395,0.067439,-1.228),(6275,1405,0.077609,-1.2391),(6275,1415,0.071346,-1.2502),(6275,1425,0.063376,-1.2613),(6275,1435,0.055406,-1.2674),(6275,1445,0.047435,-1.273),(6275,1455,0.040886,-1.2787),(6275,1465,0.034418,-1.2843),(6275,1475,0.027951,-1.287),(6275,1485,0.021483,-1.2896),(6275,1495,0.017498,-1.2922),(6275,1505,0.01355,-1.2948),(6275,1515,0.009602,-1.2963),(6275,1525,0.005703,-1.2978),(6275,1535,0.00371,-1.2993),(6275,1545,0.001717,-1.3007),(6275,1555,-0.000276,-1.3014),(6275,1565,-0.002199,-1.3021),(6275,1575,-0.003105,-1.3028),(6275,1585,-0.00401,-1.3034),(6275,1595,-0.004916,-1.3039),(6275,1605,-0.005754,-1.3044),(6275,1615,-0.006012,-1.3048),(6275,1625,-0.006271,-1.3053),(6275,1635,-0.006529,-1.3056),(6275,1645,-0.006745,-1.3059),(6275,1655,-0.006704,-1.3062),(6275,1665,-0.006664,-1.3065),(6275,1675,-0.006624,-1.3067),(6275,1685,-0.006549,-1.307),(6275,1695,-0.006319,-1.3072),(6275,1705,-0.00609,-1.3074),(6275,1715,-0.00586,-1.3075),(6275,1725,-0.005632,-1.3075),(6275,1735,-0.005411,-1.3076),(6275,1745,-0.00519,-1.3077),(6275,1755,-0.004969,-1.3076),(6275,1765,-0.004746,-1.3075),(6275,1775,-0.004518,-1.3074),(6275,1785,-0.004291,-1.3074),(6275,1795,-0.004064,-1.3073),(6275,1805,-0.003821,-1.3073),(6275,1815,-0.003546,-1.3073),(6275,1825,-0.003271,-1.3073),(6275,1835,-0.002995,-1.3072),(6275,1845,-0.002744,-1.3071),(6275,1855,-0.00254,-1.3071),(6275,1865,-0.002336,-1.3069),(6275,1875,-0.002132,-1.3067),(6275,1885,-0.001954,-1.3065),(6275,1895,-0.00182,-1.3063),(6275,1905,-0.001685,-1.3061),(6275,1915,-0.00155,-1.3058),(6275,1925,-0.001436,-1.3056),(6275,1935,-0.001351,-1.3054),(6275,1945,-0.001265,-1.3051),(6275,1955,-0.00118,-1.3049),(6275,1965,-0.001092,-1.3047),(6275,1975,-0.001002,-1.3044),(6275,1985,-0.000912,-1.3042),(6275,1995,-0.000823,-1.3039),(6275,2005,-0.000731,-1.3036),(6275,2015,-0.000638,-1.3034),(6275,2025,-0.000545,-1.3031),(6275,2035,-0.000451,-1.3028),(6275,2045,-0.000368,-1.3025),(6275,2055,-0.000293,-1.3022),(6275,2065,-0.000218,-1.3019),(6275,2075,-0.000143,-1.3017),(6275,2085,-5.4e-05,-1.3015),(6275,2095,4.4e-05,-1.3012),(6275,2105,0.000142,-1.301),(6275,2115,0.00024,-1.3008),(6275,2125,0.000316,-1.3005),(6275,2135,0.00038,-1.3003),(6275,2145,0.000443,-1.3),(6275,2155,0.000507,-1.2996),(6275,2165,0.000547,-1.2993),(6275,2175,0.000575,-1.299),(6275,2185,0.000603,-1.2986),(6275,2195,0.000631,-1.2983),(6275,2205,0.000674,-1.298),(6275,2215,0.000723,-1.2976),(6275,2225,0.000772,-1.2973),(6275,2235,0.000821,-1.2969),(6275,2245,0.000866,-1.2966),(6275,2255,0.00091,-1.2962),(6275,2265,0.000953,-1.2958),(6275,2275,0.000996,-1.2954),(6275,2285,0.00103,-1.2951),(6275,2295,0.001061,-1.2947),(6275,2305,0.001092,-1.2943),(6275,2315,0.001122,-1.294),(6275,2325,0.001132,-1.2936),(6275,2335,0.001137,-1.2933),(6275,2345,0.001143,-1.2929),(6275,2355,0.001148,-1.2925),(6275,2365,0.001123,-1.2921),(6275,2375,0.001093,-1.2917),(6275,2385,0.001063,-1.2912),(6275,2395,0.001034,-1.2907),(6275,2405,0.001032,-1.2902),(6275,2415,0.001034,-1.2897),(6275,2425,0.001036,-1.2893),(6275,2435,0.001038,-1.2888),(6275,2445,0.001097,-1.2883),(6275,2455,0.001159,-1.2879),(6275,2465,0.001222,-1.2875),(6275,2475,0.001285,-1.2871),(6275,2485,0.001381,-1.2867),(6275,2495,0.001479,-1.2863),(6275,2505,0.001576,-1.2859),(6275,2515,0.001674,-1.2855),(6275,2525,0.001758,-1.2851),(6275,2535,0.001842,-1.2847),(6275,2545,0.001926,-1.2842),(6275,2555,0.002007,-1.2837),(6275,2565,0.002036,-1.2833),(6275,2575,0.002064,-1.2828),(6275,2585,0.002093,-1.2822),(6275,2595,0.00212,-1.2816),(6275,2605,0.002131,-1.2811),(6275,2615,0.002142,-1.2805),(6275,2625,0.002152,-1.2799),(6275,2635,0.002165,-1.2793),(6275,2645,0.002188,-1.2787),(6275,2655,0.002212,-1.2781),(6275,2665,0.002236,-1.2775),(6275,2675,0.002256,-1.2768),(6275,2685,0.002257,-1.2762),(6275,2695,0.002259,-1.2755),(6275,2705,0.002261,-1.2749),(6275,2715,0.002268,-1.2743),(6275,2725,0.002296,-1.2736),(6275,2735,0.002323,-1.273),(6275,2745,0.002351,-1.2725),(6275,2755,0.002392,-1.2719),(6275,2765,0.002474,-1.2714),(6275,2775,0.002555,-1.2708),(6275,2785,0.002637,-1.2702),(6275,2795,0.002707,-1.2696),(6275,2805,0.002751,-1.269),(6275,2815,0.002795,-1.2683),(6275,2825,0.002839,-1.2675),(6275,2835,0.002873,-1.2667),(6275,2845,0.002884,-1.2659),(6275,2855,0.002895,-1.2651),(6275,2865,0.002906,-1.2645),(6275,2875,0.002942,-1.2638),(6275,2885,0.003021,-1.2631),(6275,2895,0.003099,-1.2624),(6275,2905,0.003177,-1.2618),(6275,2915,0.003262,-1.2611),(6275,2925,0.003356,-1.2605),(6275,2935,0.00345,-1.2598),(6275,2945,0.003544,-1.259),(6275,2955,0.003618,-1.2582),(6275,2965,0.003665,-1.2574),(6275,2975,0.003713,-1.2565),(6275,2985,0.00376,-1.2557),(6275,2995,0.003797,-1.2549),(6275,3005,0.003824,-1.2541),(6275,3015,0.00385,-1.2533),(6275,3025,0.003877,-1.2525),(6275,3035,0.003896,-1.2517),(6275,3045,0.003909,-1.2509),(6275,3055,0.003923,-1.25),(6275,3065,0.003936,-1.2491),(6275,3075,0.003953,-1.2482),(6275,3085,0.003971,-1.2473),(6275,3095,0.00399,-1.2464),(6275,3105,0.004009,-1.2455),(6275,3115,0.004033,-1.2446),(6275,3125,0.004061,-1.2437),(6275,3135,0.004089,-1.2428),(6275,3145,0.004117,-1.2418),(6275,3155,0.004147,-1.2409),(6275,3165,0.00418,-1.24),(6275,3175,0.004212,-1.2391),(6275,3185,0.004244,-1.2381),(6275,3195,0.004293,-1.2372),(6275,3205,0.00435,-1.2363),(6275,3215,0.004407,-1.2354),(6275,3225,0.004464,-1.2344),(6275,3235,0.004516,-1.2335),(6275,3245,0.004567,-1.2325),(6275,3255,0.004617,-1.2315),(6275,3265,0.004668,-1.2304),(6275,3275,0.004728,-1.2294),(6275,3285,0.004792,-1.2283),(6275,3295,0.004855,-1.2273),(6275,3305,0.004919,-1.2263),(6275,3315,0.005006,-1.2253),(6275,3325,0.005099,-1.2244),(6275,3335,0.005192,-1.2233),(6275,3345,0.005285,-1.2222),(6275,3355,0.005371,-1.2211),(6275,3365,0.005456,-1.2201),(6275,3375,0.005541,-1.2189),(6275,3385,0.005626,-1.2178),(6275,3395,0.005707,-1.2166),(6275,3405,0.005787,-1.2154),(6275,3415,0.005867,-1.2143),(6275,3425,0.005948,-1.2131),(6275,3435,0.006005,-1.2119),(6275,3445,0.00606,-1.2107),(6275,3455,0.006116,-1.2094),(6275,3465,0.006172,-1.2081),(6275,3475,0.006284,-1.2068),(6275,3485,0.006398,-1.2056),(6275,3495,0.006511,-1.2044),(6275,3505,0.006626,-1.2032),(6275,3515,0.006821,-1.2021),(6275,3525,0.007016,-1.2009),(6275,3535,0.007211,-1.1997),(6275,3545,0.007406,-1.1984),(6275,3555,0.007598,-1.1971),(6275,3565,0.00779,-1.1958),(6275,3575,0.007983,-1.1944),(6275,3585,0.008171,-1.193),(6275,3595,0.008309,-1.1916),(6275,3605,0.008447,-1.1901),(6275,3615,0.008585,-1.1886),(6275,3625,0.008726,-1.1871),(6275,3635,0.008885,-1.1856),(6275,3645,0.009043,-1.1841),(6275,3655,0.009202,-1.1826),(6275,3665,0.00935,-1.181),(6275,3675,0.009446,-1.1794),(6275,3685,0.009542,-1.1778),(6275,3695,0.009638,-1.1763),(6275,3705,0.009712,-1.1748),(6275,3715,0.009699,-1.1732),(6275,3725,0.009686,-1.1716),(6275,3735,0.009673,-1.1696),(6275,3745,0.009561,-1.1677),(6275,3755,0.009138,-1.1657),(6275,3765,0.008715,-1.1637),(6275,3775,0.008292,-1.1617),(6275,3785,0.007747,-1.1597),(6275,3795,0.00689,-1.1577),(6275,3805,0.006033,-1.1555),(6275,3815,0.005176,-1.1531),(6275,3825,0.004058,-1.1508),(6275,3835,0.002386,-1.1484),(6275,3845,0.000715,-1.1458),(6275,3855,-0.000956,-1.1429),(6275,3865,-0.003029,-1.1399),(6275,3875,-0.005811,-1.137),(6275,3885,-0.008594,-1.1336),(6275,3895,-0.011378,-1.1294),(6275,3905,-0.014646,-1.1253),(6275,3915,-0.018641,-1.1211),(6275,3925,-0.022636,-1.1161),(6275,3935,-0.02663,-1.1099),(6275,3945,-0.030905,-1.1037),(6275,3955,-0.035536,-1.0975),(6275,3965,-0.040166,-1.0898),(6275,3975,-0.044797,-1.0804),(6275,3985,-0.046743,-1.0711),(6275,3995,-0.045783,-1.0617),(6275,4005,-0.044824,-1.0526),(6275,4015,-0.043864,-1.0439),(6275,4025,0.064632,-1.0351),(6275,4035,0.18365,-1.0288),(6275,4045,0.30267,-1.0278),(6275,4055,0.38132,-1.0267),(6275,4065,0.44525,-1.0256),(6275,4075,0.50917,-1.0237),(6275,4085,0.53821,-1.0219),(6275,4095,0.53921,-1.0201),(6275,4105,0.5402,-1.0182),(6275,4115,0.54121,-1.0163),(6275,4125,0.54222,-1.0144),(6275,4135,0.54324,-1.0126),(6275,4145,0.54426,-1.0108),(6275,4155,0.54529,-1.0089),(6275,4165,0.54632,-1.0071),(6275,4175,0.54736,-1.0052),(6275,4185,0.54843,-1.0033),(6275,4195,0.5495,-1.0014),(6275,4205,0.55057,-0.99947),(6275,4215,0.5517,-0.99751),(6275,4225,0.55285,-0.99555),(6275,4235,0.55399,-0.99363),(6275,4245,0.55518,-0.99171),(6275,4255,0.5564,-0.98978),(6275,4265,0.55761,-0.98779),(6275,4275,0.55885,-0.98581),(6275,4285,0.56011,-0.98382),(6275,4295,0.56137,-0.9818),(6275,4305,0.56264,-0.97978),(6275,4315,0.56393,-0.97776),(6275,4325,0.56523,-0.97574),(6275,4335,0.56653,-0.97371),(6275,4345,0.56787,-0.97169),(6275,4355,0.5692,-0.96963),(6275,4365,0.57054,-0.96753),(6275,4375,0.57192,-0.96544),(6275,4385,0.57331,-0.96331),(6275,4395,0.57469,-0.96115),(6275,4405,0.57614,-0.95898),(6275,4415,0.57761,-0.9568),(6275,4425,0.57908,-0.95459),(6275,4435,0.5806,-0.95238),(6275,4445,0.58216,-0.95017),(6275,4455,0.58372,-0.94795),(6275,4465,0.58531,-0.94573),(6275,4475,0.58695,-0.94352),(6275,4485,0.58859,-0.94125),(6275,4495,0.59025,-0.93897),(6275,4505,0.59196,-0.93669),(6275,4515,0.59366,-0.93436),(6275,4525,0.59537,-0.932),(6275,4535,0.59712,-0.92964),(6275,4545,0.59888,-0.92723),(6275,4555,0.60064,-0.92477),(6275,4565,0.60245,-0.9223),(6275,4575,0.60427,-0.91981),(6275,4585,0.60608,-0.91723),(6275,4595,0.60793,-0.91466),(6275,4605,0.6098,-0.91209),(6275,4615,0.61166,-0.90946),(6275,4625,0.61354,-0.90683),(6275,4635,0.61544,-0.90419),(6275,4645,0.61733,-0.90152),(6275,4655,0.61924,-0.89884),(6275,4665,0.62117,-0.89617),(6275,4675,0.62311,-0.89342),(6275,4685,0.62505,-0.89064),(6275,4695,0.62704,-0.88787),(6275,4705,0.62904,-0.88503),(6275,4715,0.63103,-0.88215),(6275,4725,0.63309,-0.87927),(6275,4735,0.63515,-0.87636),(6275,4745,0.63722,-0.87341),(6275,4755,0.63932,-0.87047),(6275,4765,0.64144,-0.86751),(6275,4775,0.64355,-0.86452),(6275,4785,0.64569,-0.86153),(6275,4795,0.64784,-0.85853),(6275,4805,0.64999,-0.85546),(6275,4815,0.65215,-0.85239),(6275,4825,0.65432,-0.84933),(6275,4835,0.65649,-0.84617),(6275,4845,0.65867,-0.84299),(6275,4855,0.66086,-0.83981),(6275,4865,0.66305,-0.83657),(6275,4875,0.66524,-0.83329),(6275,4885,0.66745,-0.83001),(6275,4895,0.66965,-0.82669),(6275,4905,0.67186,-0.82333),(6275,4915,0.67407,-0.81997),(6275,4925,0.67629,-0.81658),(6275,4935,0.67851,-0.81313),(6275,4945,0.68074,-0.80969),(6275,4955,0.68298,-0.80624),(6275,4965,0.68522,-0.80272),(6275,4975,0.68748,-0.79921),(6275,4985,0.68974,-0.79569),(6275,4995,0.692,-0.7921),(6275,5005,0.69428,-0.78851),(6275,5015,0.69656,-0.78492),(6275,5025,0.69885,-0.78126),(6275,5035,0.70113,-0.77757),(6275,5045,0.70343,-0.77389),(6275,5055,0.70572,-0.77016),(6275,5065,0.70802,-0.76641),(6275,5075,0.71031,-0.76265),(6275,5085,0.7126,-0.75886),(6275,5095,0.7149,-0.75502),(6275,5105,0.71718,-0.75119),(6275,5115,0.71946,-0.74733),(6275,5125,0.72174,-0.74341),(6275,5135,0.72402,-0.73949),(6275,5145,0.7263,-0.73557),(6275,5155,0.72858,-0.7316),(6275,5165,0.73087,-0.72763),(6275,5175,0.73317,-0.72366),(6275,5185,0.73547,-0.71966),(6275,5195,0.73778,-0.71565),(6275,5205,0.7401,-0.71164),(6275,5215,0.74242,-0.70758),(6275,5225,0.74474,-0.70351),(6275,5235,0.74705,-0.69943),(6275,5245,0.74936,-0.6953),(6275,5255,0.75168,-0.69114),(6275,5265,0.75397,-0.68698),(6275,5275,0.75625,-0.68279),(6275,5285,0.75854,-0.67854),(6275,5295,0.76081,-0.67429),(6275,5305,0.76307,-0.67003),(6275,5315,0.76533,-0.66569),(6275,5325,0.76756,-0.66134),(6275,5335,0.76978,-0.657),(6275,5345,0.772,-0.65257),(6275,5355,0.77421,-0.64814),(6275,5365,0.7764,-0.64371),(6275,5375,0.77858,-0.63924),(6275,5385,0.78077,-0.63477),(6275,5395,0.78295,-0.6303),(6275,5405,0.78513,-0.62582),(6275,5415,0.78731,-0.62135),(6275,5425,0.78949,-0.61687),(6275,5435,0.79167,-0.61237),(6275,5445,0.79384,-0.60786),(6275,5455,0.79599,-0.60335),(6275,5465,0.79814,-0.59881),(6275,5475,0.80029,-0.5942),(6275,5485,0.80241,-0.5896),(6275,5495,0.80452,-0.58498),(6275,5505,0.80662,-0.58029),(6275,5515,0.80871,-0.57559),(6275,5525,0.81077,-0.5709);
INSERT INTO `ILD_00_Brho_Bz` VALUES (6275,5535,0.81283,-0.56617),(6275,5545,0.81488,-0.56144),(6275,5555,0.8169,-0.5567),(6275,5565,0.81892,-0.55193),(6275,5575,0.82094,-0.54716),(6275,5585,0.82293,-0.54238),(6275,5595,0.82492,-0.53755),(6275,5605,0.8269,-0.5327),(6275,5615,0.82887,-0.52785),(6275,5625,0.83084,-0.52299),(6275,5635,0.83281,-0.5181),(6275,5645,0.83477,-0.51321),(6275,5655,0.83672,-0.50832),(6275,5665,0.83868,-0.5034),(6275,5675,0.8406,-0.49849),(6275,5685,0.84252,-0.49357),(6275,5695,0.84443,-0.48859),(6275,5705,0.84631,-0.48362),(6275,5715,0.84816,-0.47864),(6275,5725,0.85002,-0.47358),(6275,5735,0.85185,-0.46851),(6275,5745,0.85364,-0.46343),(6275,5755,0.85543,-0.45833),(6275,5765,0.85722,-0.45321),(6275,5775,0.85896,-0.44809),(6275,5785,0.86071,-0.44296),(6275,5795,0.86245,-0.43781),(6275,5805,0.86416,-0.43265),(6275,5815,0.86587,-0.42749),(6275,5825,0.86758,-0.42231),(6275,5835,0.86926,-0.41712),(6275,5845,0.87093,-0.41194),(6275,5855,0.8726,-0.40673),(6275,5865,0.87423,-0.40152),(6275,5875,0.87584,-0.39631),(6275,5885,0.87744,-0.39106),(6275,5895,0.87902,-0.38582),(6275,5905,0.88056,-0.38057),(6275,5915,0.88209,-0.37529),(6275,5925,0.88362,-0.37),(6275,5935,0.88509,-0.36471),(6275,5945,0.88657,-0.35938),(6275,5955,0.88804,-0.35404),(6275,5965,0.88947,-0.34869),(6275,5975,0.8909,-0.34332),(6275,5985,0.89233,-0.33793),(6275,5995,0.89373,-0.33253),(6275,6005,0.89512,-0.32713),(6275,6015,0.89651,-0.32169),(6275,6025,0.89785,-0.31626),(6275,6035,0.89917,-0.31082),(6275,6045,0.9005,-0.30534),(6275,6055,0.90178,-0.29987),(6275,6065,0.90302,-0.29439),(6275,6075,0.90427,-0.28895),(6275,6085,0.90549,-0.28351),(6275,6095,0.90667,-0.27806),(6275,6105,0.90785,-0.27262),(6275,6115,0.90902,-0.26717),(6275,6125,0.91013,-0.26172),(6275,6135,0.91124,-0.2562),(6275,6145,0.91236,-0.25063),(6275,6155,0.9134,-0.24505),(6275,6165,0.91445,-0.23946),(6275,6175,0.91549,-0.23384),(6275,6185,0.91649,-0.22822),(6275,6195,0.91747,-0.2226),(6275,6205,0.91846,-0.21698),(6275,6215,0.9194,-0.21136),(6275,6225,0.92031,-0.20574),(6275,6235,0.92122,-0.20009),(6275,6245,0.9221,-0.19444),(6275,6255,0.92293,-0.18879),(6275,6265,0.92377,-0.18314),(6275,6275,0.92458,-0.1775),(6275,6285,0.92535,-0.17185),(6275,6295,0.92612,-0.16623),(6275,6305,0.92688,-0.16063),(6275,6315,0.92759,-0.15504),(6275,6325,0.9283,-0.14938),(6275,6335,0.929,-0.14368),(6275,6345,0.92964,-0.13798),(6275,6355,0.93027,-0.13228),(6275,6365,0.9309,-0.12658),(6275,6375,0.93147,-0.12088),(6275,6385,0.93202,-0.11519),(6275,6395,0.93256,-0.10958),(6275,6405,0.93305,-0.10396),(6275,6415,0.93348,-0.098346),(6275,6425,0.93391,-0.092609),(6275,6435,0.93431,-0.086866),(6275,6445,0.93465,-0.081123),(6275,6455,0.93498,-0.075387),(6275,6465,0.93531,-0.069654),(6275,6475,0.93558,-0.06392),(6275,6485,0.93586,-0.058159),(6275,6495,0.93614,-0.052378),(6275,6505,0.93637,-0.046598),(6275,6515,0.9366,-0.040809),(6275,6525,0.93683,-0.03501),(6275,6535,0.937,-0.029211),(6275,6545,0.93716,-0.023456),(6275,6555,0.93732,-0.017839),(6275,6565,0.93741,-0.012221),(6275,6575,0.93747,-0.006599),(6275,6585,0.93753,-0.000913),(6275,6595,0.79741,0.004772),(6275,6605,0.5025,0.010458),(6275,6615,0.20758,0.011195),(6275,6625,0.000278,0.011296),(6275,6635,0.000315,0.011397),(6275,6645,0.000351,0.011427),(6275,6655,0.000387,0.011429),(6275,6665,0.000424,0.01143),(6275,6675,0.00046,0.011431),(6275,6685,0.000496,0.011431),(6275,6695,0.000532,0.011431),(6275,6705,0.000568,0.011431),(6275,6715,0.000605,0.01143),(6275,6725,0.00064,0.011429),(6275,6735,0.000676,0.011428),(6275,6745,0.000712,0.011427),(6275,6755,0.000747,0.011425),(6275,6765,0.000783,0.011423),(6275,6775,0.000818,0.01142),(6275,6785,0.000853,0.011417),(6275,6795,0.000888,0.011414),(6275,6805,0.000923,0.01141),(6275,6815,0.000958,0.011406),(6275,6825,0.000993,0.011402),(6275,6835,0.001027,0.011397),(6275,6845,0.001062,0.011392),(6275,6855,0.001096,0.011387),(6275,6865,0.00113,0.011381),(6275,6875,0.001164,0.011375),(6275,6885,0.001197,0.011369),(6275,6895,0.001231,0.011362),(6275,6905,0.001264,0.011355),(6275,6915,0.001297,0.011348),(6275,6925,0.00133,0.011341),(6275,6935,0.001363,0.011333),(6275,6945,0.001395,0.011325),(6275,6955,0.001427,0.011317),(6275,6965,0.001459,0.011308),(6275,6975,0.001491,0.011299),(6275,6985,0.001522,0.01129),(6285,5,1.4e-05,-1.3201),(6285,15,4.1e-05,-1.32),(6285,25,6.4e-05,-1.3198),(6285,35,8.3e-05,-1.3197),(6285,45,0.000103,-1.3196),(6285,55,0.000122,-1.3196),(6285,65,0.000148,-1.3195),(6285,75,0.00018,-1.3195),(6285,85,0.000211,-1.3194),(6285,95,0.000242,-1.3194),(6285,105,0.000257,-1.3194),(6285,115,0.000261,-1.3195),(6285,125,0.000264,-1.3194),(6285,135,0.000268,-1.3194),(6285,145,0.000273,-1.3193),(6285,155,0.000278,-1.3193),(6285,165,0.000284,-1.3192),(6285,175,0.000289,-1.3192),(6285,185,0.000298,-1.3192),(6285,195,0.000309,-1.3191),(6285,205,0.00032,-1.3191),(6285,215,0.000331,-1.3192),(6285,225,0.000353,-1.3192),(6285,235,0.00038,-1.3192),(6285,245,0.000407,-1.3192),(6285,255,0.000434,-1.3193),(6285,265,0.000417,-1.3193),(6285,275,0.000387,-1.3193),(6285,285,0.000356,-1.3193),(6285,295,0.000326,-1.3192),(6285,305,0.000282,-1.3191),(6285,315,0.000234,-1.319),(6285,325,0.000186,-1.3189),(6285,335,0.000138,-1.3189),(6285,345,0.000143,-1.3188),(6285,355,0.000158,-1.3187),(6285,365,0.000173,-1.3188),(6285,375,0.000188,-1.3188),(6285,385,0.000245,-1.3189),(6285,395,0.000309,-1.3189),(6285,405,0.000373,-1.3189),(6285,415,0.000437,-1.3189),(6285,425,0.00048,-1.3189),(6285,435,0.000522,-1.3188),(6285,445,0.000564,-1.3188),(6285,455,0.000606,-1.3187),(6285,465,0.00066,-1.3187),(6285,475,0.000716,-1.3186),(6285,485,0.000771,-1.3186),(6285,495,0.000826,-1.3186),(6285,505,0.000894,-1.3185),(6285,515,0.000962,-1.3185),(6285,525,0.00103,-1.3185),(6285,535,0.001097,-1.3185),(6285,545,0.001156,-1.3186),(6285,555,0.001214,-1.3186),(6285,565,0.001273,-1.3185),(6285,575,0.00133,-1.3185),(6285,585,0.001371,-1.3184),(6285,595,0.001411,-1.3184),(6285,605,0.001452,-1.3183),(6285,615,0.001494,-1.3183),(6285,625,0.001546,-1.3182),(6285,635,0.001599,-1.3182),(6285,645,0.001651,-1.3182),(6285,655,0.001707,-1.3183),(6285,665,0.001785,-1.3183),(6285,675,0.001862,-1.3183),(6285,685,0.001939,-1.3182),(6285,695,0.002017,-1.3181),(6285,705,0.002096,-1.318),(6285,715,0.002176,-1.3179),(6285,725,0.002255,-1.3178),(6285,735,0.002343,-1.3177),(6285,745,0.002458,-1.3177),(6285,755,0.002572,-1.3176),(6285,765,0.002687,-1.3175),(6285,775,0.002807,-1.3175),(6285,785,0.002942,-1.3175),(6285,795,0.003077,-1.3174),(6285,805,0.003212,-1.3173),(6285,815,0.003361,-1.3172),(6285,825,0.003544,-1.3171),(6285,835,0.003727,-1.317),(6285,845,0.00391,-1.3169),(6285,855,0.00411,-1.3167),(6285,865,0.004344,-1.3166),(6285,875,0.004577,-1.3165),(6285,885,0.00481,-1.3164),(6285,895,0.005038,-1.3162),(6285,905,0.005256,-1.3161),(6285,915,0.005475,-1.3159),(6285,925,0.005693,-1.3157),(6285,935,0.005902,-1.3154),(6285,945,0.006097,-1.3152),(6285,955,0.006292,-1.3149),(6285,965,0.006487,-1.3146),(6285,975,0.006658,-1.3142),(6285,985,0.006802,-1.3139),(6285,995,0.006946,-1.3136),(6285,1005,0.007089,-1.3132),(6285,1015,0.007206,-1.3129),(6285,1025,0.007295,-1.3126),(6285,1035,0.007385,-1.3122),(6285,1045,0.007474,-1.3118),(6285,1055,0.007395,-1.3114),(6285,1065,0.007176,-1.311),(6285,1075,0.006958,-1.3105),(6285,1085,0.00674,-1.3099),(6285,1095,0.00614,-1.3093),(6285,1105,0.005274,-1.3087),(6285,1115,0.004407,-1.3079),(6285,1125,0.003541,-1.307),(6285,1135,0.001946,-1.3061),(6285,1145,-7.9e-05,-1.3052),(6285,1155,-0.002105,-1.3041),(6285,1165,-0.00413,-1.3029),(6285,1175,-0.007446,-1.3017),(6285,1185,-0.011402,-1.3005),(6285,1195,-0.015358,-1.2985),(6285,1205,-0.019315,-1.2962),(6285,1215,-0.025207,-1.294),(6285,1225,-0.031899,-1.2917),(6285,1235,-0.03859,-1.2873),(6285,1245,-0.045281,-1.2822),(6285,1255,-0.053653,-1.2771),(6285,1265,-0.062592,-1.2719),(6285,1275,-0.071532,-1.2626),(6285,1285,-0.080471,-1.2519),(6285,1295,-0.077198,-1.2413),(6285,1305,-0.070622,-1.2306),(6285,1315,-0.064047,-1.2215),(6285,1325,-0.057471,-1.2128),(6285,1335,-0.035392,-1.204),(6285,1345,-0.010063,-1.1953),(6285,1355,0.015266,-1.1997),(6285,1365,0.040595,-1.2066),(6285,1375,0.053951,-1.2134),(6285,1385,0.065461,-1.2203),(6285,1395,0.07697,-1.2313),(6285,1405,0.08848,-1.2429),(6285,1415,0.081301,-1.2545),(6285,1425,0.072183,-1.266),(6285,1435,0.063064,-1.2719),(6285,1445,0.053945,-1.2772),(6285,1455,0.04662,-1.2826),(6285,1465,0.039397,-1.288),(6285,1475,0.032175,-1.2903),(6285,1485,0.024952,-1.2925),(6285,1495,0.020572,-1.2946),(6285,1505,0.016235,-1.2968),(6285,1515,0.011898,-1.298),(6285,1525,0.007616,-1.2992),(6285,1535,0.005472,-1.3004),(6285,1545,0.003328,-1.3016),(6285,1555,0.001184,-1.3022),(6285,1565,-0.000886,-1.3027),(6285,1575,-0.001885,-1.3033),(6285,1585,-0.002884,-1.3038),(6285,1595,-0.003883,-1.3042),(6285,1605,-0.004814,-1.3046),(6285,1615,-0.005154,-1.305),(6285,1625,-0.005495,-1.3054),(6285,1635,-0.005835,-1.3057),(6285,1645,-0.006128,-1.306),(6285,1655,-0.00614,-1.3063),(6285,1665,-0.006152,-1.3065),(6285,1675,-0.006164,-1.3067),(6285,1685,-0.006134,-1.3069),(6285,1695,-0.00592,-1.3071),(6285,1705,-0.005705,-1.3072),(6285,1715,-0.005491,-1.3073),(6285,1725,-0.005278,-1.3074),(6285,1735,-0.005072,-1.3075),(6285,1745,-0.004867,-1.3076),(6285,1755,-0.004661,-1.3075),(6285,1765,-0.004458,-1.3074),(6285,1775,-0.004266,-1.3073),(6285,1785,-0.004074,-1.3073),(6285,1795,-0.003882,-1.3073),(6285,1805,-0.003668,-1.3072),(6285,1815,-0.003402,-1.3072),(6285,1825,-0.003136,-1.3072),(6285,1835,-0.00287,-1.3071),(6285,1845,-0.002625,-1.307),(6285,1855,-0.00242,-1.307),(6285,1865,-0.002214,-1.3069),(6285,1875,-0.002008,-1.3066),(6285,1885,-0.001834,-1.3064),(6285,1895,-0.001709,-1.3062),(6285,1905,-0.001584,-1.306),(6285,1915,-0.001459,-1.3058),(6285,1925,-0.001354,-1.3056),(6285,1935,-0.001278,-1.3053),(6285,1945,-0.001201,-1.3051),(6285,1955,-0.001125,-1.3049),(6285,1965,-0.001045,-1.3046),(6285,1975,-0.00096,-1.3044),(6285,1985,-0.000874,-1.3041),(6285,1995,-0.000789,-1.3039),(6285,2005,-0.000698,-1.3036),(6285,2015,-0.000599,-1.3033),(6285,2025,-0.000501,-1.303),(6285,2035,-0.000403,-1.3027),(6285,2045,-0.000313,-1.3024),(6285,2055,-0.000232,-1.3021),(6285,2065,-0.00015,-1.3019),(6285,2075,-6.8e-05,-1.3016),(6285,2085,2.6e-05,-1.3014),(6285,2095,0.00013,-1.3012),(6285,2105,0.000234,-1.3009),(6285,2115,0.000338,-1.3007),(6285,2125,0.000418,-1.3005),(6285,2135,0.000483,-1.3002),(6285,2145,0.000548,-1.3),(6285,2155,0.000613,-1.2996),(6285,2165,0.000645,-1.2993),(6285,2175,0.00066,-1.299),(6285,2185,0.000674,-1.2986),(6285,2195,0.000689,-1.2983),(6285,2205,0.000719,-1.298),(6285,2215,0.000755,-1.2976),(6285,2225,0.000791,-1.2973),(6285,2235,0.000828,-1.2969),(6285,2245,0.000869,-1.2966),(6285,2255,0.000913,-1.2962),(6285,2265,0.000957,-1.2958),(6285,2275,0.001,-1.2954),(6285,2285,0.001038,-1.295),(6285,2295,0.001074,-1.2946),(6285,2305,0.00111,-1.2943),(6285,2315,0.001145,-1.294),(6285,2325,0.001157,-1.2936),(6285,2335,0.001162,-1.2933),(6285,2345,0.001168,-1.2929),(6285,2355,0.001174,-1.2925),(6285,2365,0.001137,-1.2921),(6285,2375,0.001093,-1.2917),(6285,2385,0.001049,-1.2913),(6285,2395,0.001005,-1.2908),(6285,2405,0.000983,-1.2903),(6285,2415,0.000964,-1.2898),(6285,2425,0.000946,-1.2893),(6285,2435,0.000927,-1.2888),(6285,2445,0.000979,-1.2883),(6285,2455,0.001035,-1.2879),(6285,2465,0.001092,-1.2874),(6285,2475,0.001148,-1.287),(6285,2485,0.001256,-1.2866),(6285,2495,0.001364,-1.2862),(6285,2505,0.001473,-1.2858),(6285,2515,0.001582,-1.2854),(6285,2525,0.001683,-1.285),(6285,2535,0.001785,-1.2846),(6285,2545,0.001887,-1.2842),(6285,2555,0.001986,-1.2837),(6285,2565,0.002026,-1.2832),(6285,2575,0.002066,-1.2828),(6285,2585,0.002106,-1.2822),(6285,2595,0.002144,-1.2816),(6285,2605,0.002158,-1.2811),(6285,2615,0.002173,-1.2805),(6285,2625,0.002188,-1.2799),(6285,2635,0.002204,-1.2793),(6285,2645,0.002233,-1.2787),(6285,2655,0.002262,-1.2781),(6285,2665,0.002291,-1.2775),(6285,2675,0.002314,-1.2768),(6285,2685,0.002314,-1.2762),(6285,2695,0.002313,-1.2755),(6285,2705,0.002312,-1.2749),(6285,2715,0.002314,-1.2743),(6285,2725,0.002326,-1.2736),(6285,2735,0.002338,-1.273),(6285,2745,0.00235,-1.2725),(6285,2755,0.002377,-1.2719),(6285,2765,0.002449,-1.2714),(6285,2775,0.002521,-1.2708),(6285,2785,0.002593,-1.2702),(6285,2795,0.002656,-1.2695),(6285,2805,0.0027,-1.2689),(6285,2815,0.002744,-1.2683),(6285,2825,0.002788,-1.2675),(6285,2835,0.002817,-1.2667),(6285,2845,0.002815,-1.2659),(6285,2855,0.002814,-1.2652),(6285,2865,0.002812,-1.2645),(6285,2875,0.002834,-1.2637),(6285,2885,0.002897,-1.263),(6285,2895,0.002959,-1.2623),(6285,2905,0.003021,-1.2617),(6285,2915,0.003098,-1.2611),(6285,2925,0.003196,-1.2604),(6285,2935,0.003293,-1.2597),(6285,2945,0.003391,-1.2589),(6285,2955,0.003471,-1.2581),(6285,2965,0.003531,-1.2573),(6285,2975,0.003591,-1.2565),(6285,2985,0.003651,-1.2557),(6285,2995,0.003696,-1.2549),(6285,3005,0.003725,-1.2541),(6285,3015,0.003755,-1.2533),(6285,3025,0.003784,-1.2525),(6285,3035,0.003801,-1.2517),(6285,3045,0.003807,-1.2509),(6285,3055,0.003814,-1.25),(6285,3065,0.00382,-1.2491),(6285,3075,0.003829,-1.2482),(6285,3085,0.00384,-1.2473),(6285,3095,0.003851,-1.2464),(6285,3105,0.003861,-1.2455),(6285,3115,0.003878,-1.2446),(6285,3125,0.003899,-1.2437),(6285,3135,0.00392,-1.2428),(6285,3145,0.003941,-1.2418),(6285,3155,0.003961,-1.2409),(6285,3165,0.00398,-1.24),(6285,3175,0.003999,-1.2391),(6285,3185,0.004018,-1.2381),(6285,3195,0.004056,-1.2372),(6285,3205,0.004104,-1.2363),(6285,3215,0.004151,-1.2353),(6285,3225,0.004198,-1.2344),(6285,3235,0.004248,-1.2334),(6285,3245,0.004298,-1.2325),(6285,3255,0.004348,-1.2315),(6285,3265,0.004399,-1.2304),(6285,3275,0.004459,-1.2294),(6285,3285,0.004522,-1.2283),(6285,3295,0.004586,-1.2273),(6285,3305,0.004649,-1.2263),(6285,3315,0.004743,-1.2253),(6285,3325,0.004844,-1.2243),(6285,3335,0.004945,-1.2232),(6285,3345,0.005046,-1.2222),(6285,3355,0.005148,-1.2211),(6285,3365,0.005249,-1.22),(6285,3375,0.00535,-1.2189),(6285,3385,0.005451,-1.2177),(6285,3395,0.005534,-1.2166),(6285,3405,0.005615,-1.2154),(6285,3415,0.005695,-1.2142),(6285,3425,0.005776,-1.2131),(6285,3435,0.005806,-1.2119),(6285,3445,0.005833,-1.2107),(6285,3455,0.005859,-1.2095),(6285,3465,0.005886,-1.2081),(6285,3475,0.005969,-1.2068),(6285,3485,0.006054,-1.2055),(6285,3495,0.006139,-1.2044),(6285,3505,0.006224,-1.2032),(6285,3515,0.006416,-1.202),(6285,3525,0.006607,-1.2008),(6285,3535,0.006798,-1.1995),(6285,3545,0.006989,-1.1983),(6285,3555,0.007169,-1.197),(6285,3565,0.007349,-1.1957),(6285,3575,0.007529,-1.1943),(6285,3585,0.007703,-1.1929),(6285,3595,0.007811,-1.1915),(6285,3605,0.007918,-1.1901),(6285,3615,0.008026,-1.1886),(6285,3625,0.008138,-1.1871),(6285,3635,0.008284,-1.1856),(6285,3645,0.008431,-1.1841),(6285,3655,0.008577,-1.1825),(6285,3665,0.008707,-1.1809),(6285,3675,0.008757,-1.1794),(6285,3685,0.008806,-1.1778),(6285,3695,0.008856,-1.1763),(6285,3705,0.00889,-1.1747),(6285,3715,0.008867,-1.1732),(6285,3725,0.008844,-1.1716),(6285,3735,0.00882,-1.1697),(6285,3745,0.008679,-1.1679),(6285,3755,0.00817,-1.166),(6285,3765,0.00766,-1.1641),(6285,3775,0.007151,-1.1621),(6285,3785,0.006519,-1.1601),(6285,3795,0.005575,-1.1581),(6285,3805,0.00463,-1.1561),(6285,3815,0.003686,-1.1538),(6285,3825,0.002457,-1.1516),(6285,3835,0.000627,-1.1493),(6285,3845,-0.001204,-1.1469),(6285,3855,-0.003034,-1.1442),(6285,3865,-0.005309,-1.1414),(6285,3875,-0.00837,-1.1387),(6285,3885,-0.011431,-1.1355),(6285,3895,-0.014492,-1.1316),(6285,3905,-0.018109,-1.1276),(6285,3915,-0.022556,-1.1237),(6285,3925,-0.027003,-1.1189),(6285,3935,-0.03145,-1.1128),(6285,3945,-0.036272,-1.1068),(6285,3955,-0.041571,-1.1007),(6285,3965,-0.04687,-1.093),(6285,3975,-0.052169,-1.0833),(6285,3985,-0.054399,-1.0736),(6285,3995,-0.053308,-1.0638),(6285,4005,-0.052216,-1.0543),(6285,4015,-0.051125,-1.0449),(6285,4025,0.058918,-1.0355),(6285,4035,0.17962,-1.0287),(6285,4045,0.30032,-1.0277),(6285,4055,0.37916,-1.0266),(6285,4065,0.44272,-1.0255),(6285,4075,0.50628,-1.0236),(6285,4085,0.53515,-1.0218),(6285,4095,0.53615,-1.02),(6285,4105,0.53714,-1.0181),(6285,4115,0.53815,-1.0162),(6285,4125,0.53916,-1.0144),(6285,4135,0.54018,-1.0125),(6285,4145,0.54119,-1.0107),(6285,4155,0.54222,-1.0089),(6285,4165,0.54324,-1.007),(6285,4175,0.54427,-1.0052),(6285,4185,0.54533,-1.0033),(6285,4195,0.54639,-1.0014),(6285,4205,0.54744,-0.99939),(6285,4215,0.54856,-0.99742),(6285,4225,0.54969,-0.99546),(6285,4235,0.55082,-0.99352),(6285,4245,0.552,-0.99159),(6285,4255,0.5532,-0.98965),(6285,4265,0.5544,-0.98765),(6285,4275,0.55563,-0.98565),(6285,4285,0.55689,-0.98366),(6285,4295,0.55814,-0.98164),(6285,4305,0.5594,-0.97961),(6285,4315,0.56069,-0.97758),(6285,4325,0.56198,-0.97556),(6285,4335,0.56327,-0.97353),(6285,4345,0.5646,-0.9715),(6285,4355,0.56593,-0.96944),(6285,4365,0.56725,-0.96733),(6285,4375,0.56862,-0.96523),(6285,4385,0.56999,-0.9631),(6285,4395,0.57136,-0.96092),(6285,4405,0.57279,-0.95874),(6285,4415,0.57423,-0.95655),(6285,4425,0.57567,-0.95432),(6285,4435,0.57717,-0.95209),(6285,4445,0.5787,-0.94987),(6285,4455,0.58023,-0.94764),(6285,4465,0.5818,-0.94541),(6285,4475,0.58341,-0.94318),(6285,4485,0.58503,-0.94091),(6285,4495,0.58666,-0.93862),(6285,4505,0.58834,-0.93634),(6285,4515,0.59002,-0.934),(6285,4525,0.5917,-0.93164),(6285,4535,0.59344,-0.92928),(6285,4545,0.59518,-0.92686),(6285,4555,0.59692,-0.92439),(6285,4565,0.5987,-0.92193),(6285,4575,0.6005,-0.91943),(6285,4585,0.6023,-0.91685),(6285,4595,0.60413,-0.91428),(6285,4605,0.60597,-0.9117),(6285,4615,0.60781,-0.90907),(6285,4625,0.60967,-0.90644),(6285,4635,0.61154,-0.90381),(6285,4645,0.61341,-0.90113),(6285,4655,0.6153,-0.89845),(6285,4665,0.61721,-0.89577),(6285,4675,0.61911,-0.89301),(6285,4685,0.62103,-0.89023),(6285,4695,0.62299,-0.88744),(6285,4705,0.62495,-0.8846),(6285,4715,0.62692,-0.8817),(6285,4725,0.62895,-0.87881),(6285,4735,0.63098,-0.87589),(6285,4745,0.63301,-0.87293),(6285,4755,0.63508,-0.86998),(6285,4765,0.63717,-0.86702),(6285,4775,0.63925,-0.86402),(6285,4785,0.64136,-0.86102),(6285,4795,0.64349,-0.85802),(6285,4805,0.64561,-0.85495),(6285,4815,0.64775,-0.85188),(6285,4825,0.6499,-0.84882),(6285,4835,0.65206,-0.84566),(6285,4845,0.65421,-0.84248),(6285,4855,0.65638,-0.83931),(6285,4865,0.65855,-0.83607),(6285,4875,0.66072,-0.83279),(6285,4885,0.66289,-0.82952),(6285,4895,0.66507,-0.8262),(6285,4905,0.66725,-0.82284),(6285,4915,0.66944,-0.81948),(6285,4925,0.67162,-0.81609),(6285,4935,0.67381,-0.81264),(6285,4945,0.67601,-0.8092),(6285,4955,0.67822,-0.80574),(6285,4965,0.68042,-0.80222),(6285,4975,0.68264,-0.79871),(6285,4985,0.68488,-0.79519),(6285,4995,0.68711,-0.79159),(6285,5005,0.68935,-0.788),(6285,5015,0.69161,-0.7844),(6285,5025,0.69387,-0.78074),(6285,5035,0.69614,-0.77705),(6285,5045,0.69841,-0.77337),(6285,5055,0.70069,-0.76965),(6285,5065,0.70296,-0.76589),(6285,5075,0.70523,-0.76214),(6285,5085,0.7075,-0.75835),(6285,5095,0.70977,-0.75452),(6285,5105,0.71202,-0.75069),(6285,5115,0.71426,-0.74684),(6285,5125,0.71651,-0.74292),(6285,5135,0.71875,-0.73901),(6285,5145,0.72099,-0.73508),(6285,5155,0.72324,-0.73111),(6285,5165,0.72549,-0.72714),(6285,5175,0.72775,-0.72316),(6285,5185,0.73001,-0.71915),(6285,5195,0.73228,-0.71513),(6285,5205,0.73457,-0.71112),(6285,5215,0.73685,-0.70706),(6285,5225,0.73914,-0.70298),(6285,5235,0.74143,-0.6989),(6285,5245,0.74373,-0.69477),(6285,5255,0.74602,-0.69061),(6285,5265,0.7483,-0.68645),(6285,5275,0.75057,-0.68226),(6285,5285,0.75285,-0.67802),(6285,5295,0.7551,-0.67378),(6285,5305,0.75735,-0.66953),(6285,5315,0.7596,-0.66519),(6285,5325,0.76181,-0.66086),(6285,5335,0.76401,-0.65653),(6285,5345,0.76621,-0.65211),(6285,5355,0.76839,-0.64769),(6285,5365,0.77055,-0.64326),(6285,5375,0.77271,-0.6388),(6285,5385,0.77486,-0.63433),(6285,5395,0.77701,-0.62985),(6285,5405,0.77915,-0.62537),(6285,5415,0.7813,-0.62089),(6285,5425,0.78345,-0.61641),(6285,5435,0.78559,-0.61191),(6285,5445,0.78774,-0.60739),(6285,5455,0.78987,-0.60288),(6285,5465,0.79201,-0.59834),(6285,5475,0.79414,-0.59374),(6285,5485,0.79624,-0.58914),(6285,5495,0.79834,-0.58453),(6285,5505,0.80043,-0.57984),(6285,5515,0.8025,-0.57515),(6285,5525,0.80455,-0.57047),(6285,5535,0.8066,-0.56574),(6285,5545,0.80863,-0.56102),(6285,5555,0.81063,-0.55629),(6285,5565,0.81263,-0.55153),(6285,5575,0.81463,-0.54675),(6285,5585,0.81659,-0.54198),(6285,5595,0.81855,-0.53715),(6285,5605,0.82051,-0.5323),(6285,5615,0.82245,-0.52745),(6285,5625,0.82439,-0.52257),(6285,5635,0.82633,-0.51768),(6285,5645,0.82827,-0.51278),(6285,5655,0.8302,-0.50788),(6285,5665,0.83213,-0.50297),(6285,5675,0.83405,-0.49805),(6285,5685,0.83595,-0.49314),(6285,5695,0.83785,-0.48817),(6285,5705,0.83972,-0.4832),(6285,5715,0.84156,-0.47824),(6285,5725,0.84341,-0.47319),(6285,5735,0.84523,-0.46812),(6285,5745,0.847,-0.46306),(6285,5755,0.84878,-0.45796),(6285,5765,0.85054,-0.45284),(6285,5775,0.85227,-0.44773),(6285,5785,0.85399,-0.44259),(6285,5795,0.85572,-0.43743),(6285,5805,0.85741,-0.43228),(6285,5815,0.85911,-0.42711),(6285,5825,0.8608,-0.42193),(6285,5835,0.86247,-0.41674),(6285,5845,0.86413,-0.41155),(6285,5855,0.86579,-0.40635),(6285,5865,0.86742,-0.40115),(6285,5875,0.86902,-0.39594),(6285,5885,0.87062,-0.39071),(6285,5895,0.87218,-0.38548),(6285,5905,0.8737,-0.38024),(6285,5915,0.87522,-0.37497),(6285,5925,0.87673,-0.36969),(6285,5935,0.87818,-0.3644),(6285,5945,0.87963,-0.35908),(6285,5955,0.88108,-0.35373),(6285,5965,0.88249,-0.34838),(6285,5975,0.88389,-0.34301),(6285,5985,0.8853,-0.33761),(6285,5995,0.88668,-0.33221),(6285,6005,0.88805,-0.32681),(6285,6015,0.88942,-0.32137),(6285,6025,0.89076,-0.31594),(6285,6035,0.89208,-0.3105),(6285,6045,0.89339,-0.30503),(6285,6055,0.89467,-0.29957),(6285,6065,0.89591,-0.2941),(6285,6075,0.89715,-0.28866),(6285,6085,0.89837,-0.28322),(6285,6095,0.89954,-0.27779),(6285,6105,0.90072,-0.27234),(6285,6115,0.90188,-0.2669),(6285,6125,0.90298,-0.26146),(6285,6135,0.90408,-0.25595),(6285,6145,0.90519,-0.25038),(6285,6155,0.90622,-0.2448),(6285,6165,0.90725,-0.23921),(6285,6175,0.90828,-0.23359),(6285,6185,0.90927,-0.22797),(6285,6195,0.91025,-0.22235),(6285,6205,0.91122,-0.21674),(6285,6215,0.91215,-0.21113),(6285,6225,0.91306,-0.20551),(6285,6235,0.91396,-0.19987),(6285,6245,0.91482,-0.19423),(6285,6255,0.91565,-0.18859),(6285,6265,0.91647,-0.18294),(6285,6275,0.91727,-0.1773),(6285,6285,0.91802,-0.17166),(6285,6295,0.91878,-0.16604),(6285,6305,0.91953,-0.16044),(6285,6315,0.92023,-0.15484),(6285,6325,0.92093,-0.14918),(6285,6335,0.92163,-0.14348),(6285,6345,0.92226,-0.13778),(6285,6355,0.92289,-0.13209),(6285,6365,0.92352,-0.12639),(6285,6375,0.9241,-0.1207),(6285,6385,0.92465,-0.11502),(6285,6395,0.9252,-0.10942),(6285,6405,0.92569,-0.10383),(6285,6415,0.92612,-0.098231),(6285,6425,0.92656,-0.092507),(6285,6435,0.92695,-0.086777),(6285,6445,0.92729,-0.081048),(6285,6455,0.92762,-0.075317),(6285,6465,0.92793,-0.069585),(6285,6475,0.9282,-0.063853),(6285,6485,0.92846,-0.058088),(6285,6495,0.92873,-0.052301),(6285,6505,0.92895,-0.046514),(6285,6515,0.92917,-0.040722),(6285,6525,0.92939,-0.034924),(6285,6535,0.92956,-0.029126),(6285,6545,0.92972,-0.023373),(6285,6555,0.92988,-0.017765),(6285,6565,0.92997,-0.012157),(6285,6575,0.93004,-0.006545),(6285,6585,0.93011,-0.000872),(6285,6595,0.7911,0.004802),(6285,6605,0.49852,0.010475),(6285,6615,0.20594,0.011216),(6285,6625,0.000275,0.011324),(6285,6635,0.000312,0.011432),(6285,6645,0.000349,0.011464),(6285,6655,0.000385,0.011465),(6285,6665,0.000422,0.011466),(6285,6675,0.000459,0.011467),(6285,6685,0.000495,0.011467),(6285,6695,0.000532,0.011468),(6285,6705,0.000568,0.011467),(6285,6715,0.000604,0.011466),(6285,6725,0.000641,0.011466),(6285,6735,0.000677,0.011464),(6285,6745,0.000713,0.011462),(6285,6755,0.000748,0.01146),(6285,6765,0.000784,0.011458),(6285,6775,0.00082,0.011455),(6285,6785,0.000855,0.011452),(6285,6795,0.000891,0.011449),(6285,6805,0.000926,0.011445),(6285,6815,0.000961,0.011441),(6285,6825,0.000996,0.011437),(6285,6835,0.001031,0.011432),(6285,6845,0.001066,0.011426),(6285,6855,0.0011,0.011421),(6285,6865,0.001134,0.011415),(6285,6875,0.001168,0.011409),(6285,6885,0.001202,0.011403),(6285,6895,0.001236,0.011396),(6285,6905,0.001269,0.011389),(6285,6915,0.001303,0.011381),(6285,6925,0.001336,0.011374),(6285,6935,0.001369,0.011366),(6285,6945,0.001401,0.011357),(6285,6955,0.001434,0.011349),(6285,6965,0.001466,0.01134),(6285,6975,0.001498,0.01133),(6285,6985,0.00153,0.011321),(6295,5,1.4e-05,-1.3201),(6295,15,4.1e-05,-1.32),(6295,25,6.3e-05,-1.3198),(6295,35,8.1e-05,-1.3197),(6295,45,9.9e-05,-1.3196),(6295,55,0.000117,-1.3196),(6295,65,0.00014,-1.3195),(6295,75,0.000167,-1.3194),(6295,85,0.000194,-1.3194),(6295,95,0.000221,-1.3194),(6295,105,0.000235,-1.3195),(6295,115,0.000239,-1.3195),(6295,125,0.000244,-1.3194),(6295,135,0.000249,-1.3194),(6295,145,0.000257,-1.3193),(6295,155,0.000268,-1.3193),(6295,165,0.000278,-1.3193),(6295,175,0.000289,-1.3192),(6295,185,0.000303,-1.3192),(6295,195,0.000318,-1.3191),(6295,205,0.000334,-1.3191),(6295,215,0.00035,-1.3192),(6295,225,0.000377,-1.3192),(6295,235,0.000409,-1.3192),(6295,245,0.000441,-1.3192),(6295,255,0.000473,-1.3193),(6295,265,0.00046,-1.3193),(6295,275,0.000433,-1.3193),(6295,285,0.000405,-1.3193),(6295,295,0.000378,-1.3192),(6295,305,0.000332,-1.3191),(6295,315,0.00028,-1.319),(6295,325,0.000229,-1.319),(6295,335,0.000177,-1.3189),(6295,345,0.000171,-1.3188),(6295,355,0.000173,-1.3187),(6295,365,0.000175,-1.3187),(6295,375,0.000178,-1.3188),(6295,385,0.000225,-1.3188),(6295,395,0.000279,-1.3189),(6295,405,0.000333,-1.3189),(6295,415,0.000387,-1.3189),(6295,425,0.000426,-1.3188),(6295,435,0.000463,-1.3188),(6295,445,0.0005,-1.3188),(6295,455,0.000537,-1.3187),(6295,465,0.000588,-1.3187),(6295,475,0.000639,-1.3186),(6295,485,0.000691,-1.3186),(6295,495,0.000743,-1.3186),(6295,505,0.000815,-1.3185),(6295,515,0.000887,-1.3185),(6295,525,0.00096,-1.3185),(6295,535,0.001032,-1.3185),(6295,545,0.0011,-1.3185),(6295,555,0.001169,-1.3186),(6295,565,0.001237,-1.3185),(6295,575,0.001303,-1.3185),(6295,585,0.001352,-1.3184),(6295,595,0.0014,-1.3184),(6295,605,0.001448,-1.3183),(6295,615,0.001496,-1.3183),(6295,625,0.001544,-1.3182),(6295,635,0.001591,-1.3182),(6295,645,0.001639,-1.3182),(6295,655,0.001689,-1.3182),(6295,665,0.001753,-1.3182),(6295,675,0.001818,-1.3182),(6295,685,0.001882,-1.3181),(6295,695,0.001947,-1.318),(6295,705,0.002016,-1.318),(6295,715,0.002084,-1.3179),(6295,725,0.002153,-1.3178),(6295,735,0.002231,-1.3177),(6295,745,0.002344,-1.3176),(6295,755,0.002457,-1.3175),(6295,765,0.00257,-1.3175),(6295,775,0.002689,-1.3175),(6295,785,0.002823,-1.3174),(6295,795,0.002958,-1.3174),(6295,805,0.003092,-1.3172),(6295,815,0.003237,-1.3171),(6295,825,0.003405,-1.317),(6295,835,0.003573,-1.3169),(6295,845,0.003741,-1.3168),(6295,855,0.003927,-1.3166),(6295,865,0.004146,-1.3165),(6295,875,0.004365,-1.3164),(6295,885,0.004583,-1.3163),(6295,895,0.004798,-1.3161),(6295,905,0.005007,-1.316),(6295,915,0.005217,-1.3158),(6295,925,0.005426,-1.3156),(6295,935,0.00562,-1.3153),(6295,945,0.005792,-1.3151),(6295,955,0.005965,-1.3148),(6295,965,0.006138,-1.3145),(6295,975,0.006285,-1.3142),(6295,985,0.006405,-1.3138),(6295,995,0.006525,-1.3135),(6295,1005,0.006645,-1.3131),(6295,1015,0.006734,-1.3128),(6295,1025,0.006794,-1.3125),(6295,1035,0.006854,-1.3121),(6295,1045,0.006914,-1.3118),(6295,1055,0.006811,-1.3114),(6295,1065,0.006574,-1.3111),(6295,1075,0.006337,-1.3106),(6295,1085,0.006099,-1.3101),(6295,1095,0.00548,-1.3096),(6295,1105,0.004595,-1.309),(6295,1115,0.00371,-1.3084),(6295,1125,0.002824,-1.3076),(6295,1135,0.001191,-1.3068),(6295,1145,-0.000884,-1.3061),(6295,1155,-0.002959,-1.3052),(6295,1165,-0.005034,-1.3042),(6295,1175,-0.008512,-1.3032),(6295,1185,-0.012687,-1.3022),(6295,1195,-0.016862,-1.3006),(6295,1205,-0.021037,-1.2986),(6295,1215,-0.027515,-1.2967),(6295,1225,-0.034942,-1.2948),(6295,1235,-0.042369,-1.2908),(6295,1245,-0.049797,-1.286),(6295,1255,-0.059625,-1.2812),(6295,1265,-0.070265,-1.2764),(6295,1275,-0.080904,-1.2669),(6295,1285,-0.091544,-1.2559),(6295,1295,-0.088418,-1.2449),(6295,1305,-0.08157,-1.2339),(6295,1315,-0.074721,-1.2241),(6295,1325,-0.067872,-1.2145),(6295,1335,-0.041847,-1.205),(6295,1345,-0.011803,-1.1954),(6295,1355,0.018241,-1.2003),(6295,1365,0.048284,-1.2079),(6295,1375,0.063226,-1.2155),(6295,1385,0.075837,-1.2231),(6295,1395,0.088449,-1.2346),(6295,1405,0.10106,-1.2467),(6295,1415,0.092276,-1.2587),(6295,1425,0.081271,-1.2708),(6295,1435,0.070265,-1.2764),(6295,1445,0.05926,-1.2815),(6295,1455,0.051052,-1.2866),(6295,1465,0.043005,-1.2916),(6295,1475,0.034959,-1.2935),(6295,1485,0.026912,-1.2953),(6295,1495,0.022242,-1.2971),(6295,1505,0.017624,-1.2988),(6295,1515,0.013005,-1.2997),(6295,1525,0.008446,-1.3006),(6295,1535,0.006232,-1.3016),(6295,1545,0.004017,-1.3024),(6295,1555,0.001803,-1.3029),(6295,1565,-0.000333,-1.3033),(6295,1575,-0.001329,-1.3038),(6295,1585,-0.002324,-1.3042),(6295,1595,-0.00332,-1.3046),(6295,1605,-0.004247,-1.3049),(6295,1615,-0.004583,-1.3052),(6295,1625,-0.004919,-1.3055),(6295,1635,-0.005256,-1.3058),(6295,1645,-0.005548,-1.306),(6295,1655,-0.005578,-1.3063),(6295,1665,-0.005609,-1.3065),(6295,1675,-0.005639,-1.3066),(6295,1685,-0.00563,-1.3068),(6295,1695,-0.005447,-1.3069),(6295,1705,-0.005264,-1.3071),(6295,1715,-0.005081,-1.3072),(6295,1725,-0.004895,-1.3073),(6295,1735,-0.0047,-1.3074),(6295,1745,-0.004504,-1.3075),(6295,1755,-0.004309,-1.3074),(6295,1765,-0.004123,-1.3073),(6295,1775,-0.003961,-1.3073),(6295,1785,-0.0038,-1.3072),(6295,1795,-0.003639,-1.3072),(6295,1805,-0.003459,-1.3071),(6295,1815,-0.003235,-1.3071),(6295,1825,-0.003011,-1.307),(6295,1835,-0.002788,-1.307),(6295,1845,-0.002576,-1.3069),(6295,1855,-0.002386,-1.3069),(6295,1865,-0.002195,-1.3068),(6295,1875,-0.002005,-1.3066),(6295,1885,-0.00184,-1.3064),(6295,1895,-0.001716,-1.3062),(6295,1905,-0.001592,-1.306),(6295,1915,-0.001468,-1.3058),(6295,1925,-0.001362,-1.3055),(6295,1935,-0.001284,-1.3053),(6295,1945,-0.001205,-1.3051),(6295,1955,-0.001126,-1.3048),(6295,1965,-0.001044,-1.3046),(6295,1975,-0.00096,-1.3044),(6295,1985,-0.000875,-1.3041),(6295,1995,-0.000791,-1.3038),(6295,2005,-0.0007,-1.3036),(6295,2015,-0.000603,-1.3033),(6295,2025,-0.000507,-1.303),(6295,2035,-0.00041,-1.3027),(6295,2045,-0.000328,-1.3024),(6295,2055,-0.000257,-1.3021),(6295,2065,-0.000186,-1.3018),(6295,2075,-0.000115,-1.3016),(6295,2085,-3.2e-05,-1.3013),(6295,2095,5.8e-05,-1.3011),(6295,2105,0.000148,-1.3009),(6295,2115,0.000238,-1.3006),(6295,2125,0.000313,-1.3004),(6295,2135,0.00038,-1.3002),(6295,2145,0.000446,-1.2999),(6295,2155,0.000512,-1.2996),(6295,2165,0.000547,-1.2993),(6295,2175,0.000565,-1.299),(6295,2185,0.000584,-1.2986),(6295,2195,0.000602,-1.2983),(6295,2205,0.000629,-1.298),(6295,2215,0.00066,-1.2976),(6295,2225,0.000691,-1.2973),(6295,2235,0.000722,-1.2969),(6295,2245,0.000756,-1.2965),(6295,2255,0.00079,-1.2962),(6295,2265,0.000825,-1.2958),(6295,2275,0.00086,-1.2954),(6295,2285,0.000892,-1.295),(6295,2295,0.000924,-1.2946),(6295,2305,0.000956,-1.2943),(6295,2315,0.000987,-1.2939),(6295,2325,0.001011,-1.2936),(6295,2335,0.001032,-1.2933),(6295,2345,0.001053,-1.2929),(6295,2355,0.001074,-1.2925),(6295,2365,0.00106,-1.2922),(6295,2375,0.001039,-1.2918),(6295,2385,0.001018,-1.2913),(6295,2395,0.000997,-1.2908),(6295,2405,0.000986,-1.2903),(6295,2415,0.000977,-1.2898),(6295,2425,0.000967,-1.2893),(6295,2435,0.000957,-1.2888),(6295,2445,0.001003,-1.2883),(6295,2455,0.001053,-1.2878),(6295,2465,0.001103,-1.2874),(6295,2475,0.001153,-1.287),(6295,2485,0.001252,-1.2865),(6295,2495,0.001353,-1.2861),(6295,2505,0.001453,-1.2857),(6295,2515,0.001554,-1.2853),(6295,2525,0.001658,-1.2849),(6295,2535,0.001762,-1.2845),(6295,2545,0.001866,-1.2841),(6295,2555,0.001967,-1.2836),(6295,2565,0.002008,-1.2832),(6295,2575,0.002049,-1.2827),(6295,2585,0.00209,-1.2822),(6295,2595,0.002127,-1.2816),(6295,2605,0.002131,-1.2811),(6295,2615,0.002134,-1.2805),(6295,2625,0.002138,-1.2799),(6295,2635,0.002144,-1.2793),(6295,2645,0.002169,-1.2787),(6295,2655,0.002193,-1.2781),(6295,2665,0.002218,-1.2774),(6295,2675,0.002239,-1.2768),(6295,2685,0.002241,-1.2762),(6295,2695,0.002243,-1.2756),(6295,2705,0.002244,-1.2749),(6295,2715,0.002247,-1.2743),(6295,2725,0.002253,-1.2736),(6295,2735,0.00226,-1.273),(6295,2745,0.002266,-1.2724),(6295,2755,0.002285,-1.2719),(6295,2765,0.002343,-1.2713),(6295,2775,0.002401,-1.2707),(6295,2785,0.002458,-1.2701),(6295,2795,0.002511,-1.2695),(6295,2805,0.002553,-1.2689),(6295,2815,0.002595,-1.2682),(6295,2825,0.002637,-1.2675),(6295,2835,0.002665,-1.2667),(6295,2845,0.002665,-1.2659),(6295,2855,0.002664,-1.2652),(6295,2865,0.002664,-1.2644),(6295,2875,0.002684,-1.2637),(6295,2885,0.002739,-1.263),(6295,2895,0.002794,-1.2623),(6295,2905,0.002849,-1.2616),(6295,2915,0.00292,-1.261),(6295,2925,0.003015,-1.2603),(6295,2935,0.003109,-1.2596),(6295,2945,0.003204,-1.2588),(6295,2955,0.003287,-1.2581),(6295,2965,0.003357,-1.2573),(6295,2975,0.003426,-1.2565),(6295,2985,0.003496,-1.2557),(6295,2995,0.003554,-1.2549),(6295,3005,0.003602,-1.2541),(6295,3015,0.003651,-1.2533),(6295,3025,0.003699,-1.2525),(6295,3035,0.00373,-1.2517),(6295,3045,0.003747,-1.2509),(6295,3055,0.003765,-1.25),(6295,3065,0.003782,-1.2491),(6295,3075,0.00379,-1.2482),(6295,3085,0.003792,-1.2473),(6295,3095,0.003794,-1.2464),(6295,3105,0.003796,-1.2455),(6295,3115,0.003803,-1.2446),(6295,3125,0.003815,-1.2437),(6295,3135,0.003826,-1.2427),(6295,3145,0.003837,-1.2418),(6295,3155,0.003849,-1.2409),(6295,3165,0.003861,-1.24),(6295,3175,0.003873,-1.2391),(6295,3185,0.003886,-1.2381),(6295,3195,0.003923,-1.2372),(6295,3205,0.003972,-1.2363),(6295,3215,0.004021,-1.2353),(6295,3225,0.00407,-1.2344),(6295,3235,0.004131,-1.2334),(6295,3245,0.004197,-1.2325),(6295,3255,0.004263,-1.2315),(6295,3265,0.004329,-1.2304),(6295,3275,0.0044,-1.2294),(6295,3285,0.004472,-1.2283),(6295,3295,0.004544,-1.2273),(6295,3305,0.004616,-1.2263),(6295,3315,0.004702,-1.2252),(6295,3325,0.004791,-1.2242),(6295,3335,0.00488,-1.2232),(6295,3345,0.004968,-1.2221),(6295,3355,0.005049,-1.221),(6295,3365,0.005128,-1.2199),(6295,3375,0.005207,-1.2188),(6295,3385,0.005286,-1.2177),(6295,3395,0.005363,-1.2165),(6295,3405,0.00544,-1.2154),(6295,3415,0.005517,-1.2142),(6295,3425,0.005593,-1.2131),(6295,3435,0.005635,-1.2119),(6295,3445,0.005673,-1.2108),(6295,3455,0.005712,-1.2095),(6295,3465,0.00575,-1.2082),(6295,3475,0.005838,-1.2068),(6295,3485,0.005928,-1.2055),(6295,3495,0.006018,-1.2043),(6295,3505,0.006108,-1.2031),(6295,3515,0.006276,-1.2019),(6295,3525,0.006444,-1.2007),(6295,3535,0.006613,-1.1994),(6295,3545,0.006781,-1.1982),(6295,3555,0.006951,-1.1969),(6295,3565,0.007121,-1.1956),(6295,3575,0.007292,-1.1942),(6295,3585,0.007457,-1.1929),(6295,3595,0.007573,-1.1915),(6295,3605,0.007689,-1.1901),(6295,3615,0.007805,-1.1886),(6295,3625,0.00792,-1.187),(6295,3635,0.008028,-1.1855),(6295,3645,0.008136,-1.184),(6295,3655,0.008244,-1.1824),(6295,3665,0.008341,-1.1809),(6295,3675,0.008381,-1.1793),(6295,3685,0.008421,-1.1778),(6295,3695,0.008461,-1.1762),(6295,3705,0.008483,-1.1747),(6295,3715,0.008436,-1.1732),(6295,3725,0.00839,-1.1716),(6295,3735,0.008344,-1.1698),(6295,3745,0.00818,-1.168),(6295,3755,0.007652,-1.1662),(6295,3765,0.007123,-1.1644),(6295,3775,0.006594,-1.1625),(6295,3785,0.005928,-1.1605),(6295,3795,0.004913,-1.1586),(6295,3805,0.003899,-1.1566),(6295,3815,0.002884,-1.1545),(6295,3825,0.001575,-1.1524),(6295,3835,-0.000352,-1.1503),(6295,3845,-0.00228,-1.148),(6295,3855,-0.004207,-1.1455),(6295,3865,-0.006634,-1.1429),(6295,3875,-0.009944,-1.1404),(6295,3885,-0.013253,-1.1374),(6295,3895,-0.016563,-1.1337),(6295,3905,-0.020568,-1.13),(6295,3915,-0.02561,-1.1263),(6295,3925,-0.030653,-1.1217),(6295,3935,-0.035695,-1.1158),(6295,3945,-0.041325,-1.1099),(6295,3955,-0.047699,-1.104),(6295,3965,-0.054073,-1.0962),(6295,3975,-0.060448,-1.0861),(6295,3985,-0.063392,-1.076),(6295,3995,-0.062624,-1.0659),(6295,4005,-0.061856,-1.0559),(6295,4015,-0.061088,-1.0459),(6295,4025,0.051244,-1.0358),(6295,4035,0.17449,-1.0287),(6295,4045,0.29774,-1.0276),(6295,4055,0.37698,-1.0266),(6295,4065,0.44018,-1.0254),(6295,4075,0.50337,-1.0236),(6295,4085,0.53207,-1.0217),(6295,4095,0.53307,-1.0199),(6295,4105,0.53406,-1.018),(6295,4115,0.53506,-1.0161),(6295,4125,0.53608,-1.0143),(6295,4135,0.5371,-1.0124),(6295,4145,0.53811,-1.0106),(6295,4155,0.53914,-1.0088),(6295,4165,0.54017,-1.007),(6295,4175,0.54119,-1.0051),(6295,4185,0.54224,-1.0032),(6295,4195,0.5433,-1.0013),(6295,4205,0.54435,-0.99932),(6295,4215,0.54545,-0.99733),(6295,4225,0.54657,-0.99536),(6295,4235,0.54768,-0.99341),(6295,4245,0.54884,-0.99146),(6295,4255,0.55003,-0.98951),(6295,4265,0.55121,-0.98751),(6295,4275,0.55242,-0.9855),(6295,4285,0.55366,-0.9835),(6295,4295,0.55489,-0.98147),(6295,4305,0.55614,-0.97944),(6295,4315,0.55741,-0.97741),(6295,4325,0.55868,-0.97538),(6295,4335,0.55996,-0.97334),(6295,4345,0.56128,-0.97131),(6295,4355,0.56259,-0.96924),(6295,4365,0.56391,-0.96713),(6295,4375,0.56526,-0.96502),(6295,4385,0.56662,-0.96288),(6295,4395,0.56798,-0.96069),(6295,4405,0.56939,-0.95849),(6295,4415,0.57081,-0.95629),(6295,4425,0.57224,-0.95405),(6295,4435,0.57371,-0.95181),(6295,4445,0.57522,-0.94957),(6295,4455,0.57673,-0.94733),(6295,4465,0.57827,-0.94509),(6295,4475,0.57986,-0.94284),(6295,4485,0.58145,-0.94056),(6295,4495,0.58305,-0.93828),(6295,4505,0.58471,-0.93599),(6295,4515,0.58637,-0.93365),(6295,4525,0.58802,-0.93128),(6295,4535,0.58974,-0.92892),(6295,4545,0.59145,-0.9265),(6295,4555,0.59317,-0.92402),(6295,4565,0.59493,-0.92155),(6295,4575,0.5967,-0.91905),(6295,4585,0.59848,-0.91647),(6295,4595,0.60028,-0.91389),(6295,4605,0.6021,-0.91131),(6295,4615,0.60392,-0.90868),(6295,4625,0.60576,-0.90605),(6295,4635,0.60761,-0.90342),(6295,4645,0.60947,-0.90074),(6295,4655,0.61133,-0.89805),(6295,4665,0.61322,-0.89537),(6295,4675,0.61511,-0.89261),(6295,4685,0.617,-0.88981),(6295,4695,0.61894,-0.88702),(6295,4705,0.62088,-0.88416),(6295,4715,0.62282,-0.88125),(6295,4725,0.62482,-0.87835),(6295,4735,0.62682,-0.87542),(6295,4745,0.62882,-0.87246),(6295,4755,0.63086,-0.86949),(6295,4765,0.63291,-0.86652),(6295,4775,0.63496,-0.86352),(6295,4785,0.63704,-0.86052),(6295,4795,0.63913,-0.85751),(6295,4805,0.64122,-0.85444),(6295,4815,0.64333,-0.85137),(6295,4825,0.64546,-0.8483),(6295,4835,0.64758,-0.84515),(6295,4845,0.64971,-0.84197),(6295,4855,0.65186,-0.8388),(6295,4865,0.65401,-0.83556),(6295,4875,0.65616,-0.83229),(6295,4885,0.65832,-0.82902),(6295,4895,0.66048,-0.8257),(6295,4905,0.66264,-0.82235),(6295,4915,0.6648,-0.81899),(6295,4925,0.66697,-0.8156),(6295,4935,0.66913,-0.81215),(6295,4945,0.67131,-0.80871),(6295,4955,0.67349,-0.80525),(6295,4965,0.67566,-0.80173),(6295,4975,0.67785,-0.7982),(6295,4985,0.68005,-0.79468),(6295,4995,0.68225,-0.79108),(6295,5005,0.68446,-0.78749),(6295,5015,0.68669,-0.78389),(6295,5025,0.68892,-0.78022),(6295,5035,0.69115,-0.77654),(6295,5045,0.69339,-0.77285),(6295,5055,0.69564,-0.76913),(6295,5065,0.69788,-0.76538),(6295,5075,0.70013,-0.76163),(6295,5085,0.70238,-0.75785),(6295,5095,0.70463,-0.75402),(6295,5105,0.70687,-0.7502),(6295,5115,0.7091,-0.74635),(6295,5125,0.71134,-0.74244),(6295,5135,0.71356,-0.73852),(6295,5145,0.71578,-0.7346),(6295,5155,0.718,-0.73062),(6295,5165,0.72023,-0.72664),(6295,5175,0.72246,-0.72266),(6295,5185,0.72469,-0.71864),(6295,5195,0.72693,-0.71462),(6295,5205,0.72918,-0.71059),(6295,5215,0.73143,-0.70653),(6295,5225,0.73368,-0.70245),(6295,5235,0.73594,-0.69836),(6295,5245,0.73819,-0.69424),(6295,5255,0.74045,-0.69008),(6295,5265,0.74269,-0.68593),(6295,5275,0.74494,-0.68174),(6295,5285,0.74719,-0.67751),(6295,5295,0.74942,-0.67327),(6295,5305,0.75165,-0.66902),(6295,5315,0.75388,-0.6647),(6295,5325,0.75608,-0.66038),(6295,5335,0.75827,-0.65606),(6295,5345,0.76046,-0.65165),(6295,5355,0.76263,-0.64723),(6295,5365,0.76477,-0.64282),(6295,5375,0.76692,-0.63836),(6295,5385,0.76905,-0.63388),(6295,5395,0.77117,-0.62941),(6295,5405,0.77329,-0.62492),(6295,5415,0.77541,-0.62043),(6295,5425,0.77753,-0.61594),(6295,5435,0.77964,-0.61144),(6295,5445,0.78176,-0.60693),(6295,5455,0.78386,-0.60241),(6295,5465,0.78596,-0.59787),(6295,5475,0.78806,-0.59328),(6295,5485,0.79014,-0.58868),(6295,5495,0.79222,-0.58407),(6295,5505,0.79429,-0.57939),(6295,5515,0.79634,-0.57471),(6295,5525,0.79837,-0.57003),(6295,5535,0.8004,-0.56532),(6295,5545,0.80242,-0.5606),(6295,5555,0.8044,-0.55588),(6295,5565,0.80639,-0.55112),(6295,5575,0.80837,-0.54635),(6295,5585,0.81031,-0.54158),(6295,5595,0.81225,-0.53675),(6295,5605,0.81419,-0.5319),(6295,5615,0.81611,-0.52704),(6295,5625,0.81802,-0.52216),(6295,5635,0.81994,-0.51726),(6295,5645,0.82185,-0.51236),(6295,5655,0.82375,-0.50745),(6295,5665,0.82565,-0.50254),(6295,5675,0.82754,-0.49762),(6295,5685,0.82942,-0.49271),(6295,5695,0.8313,-0.48775),(6295,5705,0.83316,-0.48279),(6295,5715,0.83499,-0.47783),(6295,5725,0.83682,-0.47279),(6295,5735,0.83864,-0.46773),(6295,5745,0.8404,-0.46268),(6295,5755,0.84217,-0.45758),(6295,5765,0.84392,-0.45247),(6295,5775,0.84563,-0.44736),(6295,5785,0.84734,-0.44222),(6295,5795,0.84904,-0.43706),(6295,5805,0.85071,-0.4319),(6295,5815,0.85238,-0.42674),(6295,5825,0.85405,-0.42155),(6295,5835,0.85569,-0.41636),(6295,5845,0.85733,-0.41117),(6295,5855,0.85896,-0.40597),(6295,5865,0.86057,-0.40078),(6295,5875,0.86216,-0.39558),(6295,5885,0.86375,-0.39036),(6295,5895,0.86531,-0.38514),(6295,5905,0.86683,-0.37991),(6295,5915,0.86835,-0.37465),(6295,5925,0.86985,-0.36937),(6295,5935,0.8713,-0.3641),(6295,5945,0.87275,-0.35877),(6295,5955,0.8742,-0.35343),(6295,5965,0.87559,-0.34808),(6295,5975,0.87699,-0.3427),(6295,5985,0.87839,-0.3373),(6295,5995,0.87975,-0.33189),(6295,6005,0.88111,-0.32648),(6295,6015,0.88247,-0.32105),(6295,6025,0.88378,-0.31562),(6295,6035,0.88508,-0.31018),(6295,6045,0.88638,-0.30472),(6295,6055,0.88765,-0.29926),(6295,6065,0.88887,-0.2938),(6295,6075,0.8901,-0.28837),(6295,6085,0.8913,-0.28294),(6295,6095,0.89247,-0.27751),(6295,6105,0.89363,-0.27207),(6295,6115,0.89478,-0.26664),(6295,6125,0.89587,-0.2612),(6295,6135,0.89696,-0.25569),(6295,6145,0.89805,-0.25012),(6295,6155,0.89908,-0.24456),(6295,6165,0.9001,-0.23897),(6295,6175,0.90112,-0.23335),(6295,6185,0.90209,-0.22773),(6295,6195,0.90306,-0.22211),(6295,6205,0.90403,-0.2165),(6295,6215,0.90495,-0.2109),(6295,6225,0.90585,-0.20529),(6295,6235,0.90674,-0.19965),(6295,6245,0.90761,-0.19402),(6295,6255,0.90842,-0.18838),(6295,6265,0.90924,-0.18274),(6295,6275,0.91004,-0.1771),(6295,6285,0.91078,-0.17146),(6295,6295,0.91152,-0.16584),(6295,6305,0.91226,-0.16024),(6295,6315,0.91295,-0.15464),(6295,6325,0.91364,-0.14899),(6295,6335,0.91433,-0.14329),(6295,6345,0.91495,-0.13759),(6295,6355,0.91557,-0.1319),(6295,6365,0.91619,-0.12621),(6295,6375,0.91676,-0.12052),(6295,6385,0.9173,-0.11485),(6295,6395,0.91785,-0.10927),(6295,6405,0.91835,-0.10369),(6295,6415,0.91879,-0.098115),(6295,6425,0.91923,-0.092405),(6295,6435,0.91964,-0.086689),(6295,6445,0.91997,-0.080973),(6295,6455,0.92031,-0.075246),(6295,6465,0.92063,-0.069516),(6295,6475,0.9209,-0.063786),(6295,6485,0.92116,-0.058017),(6295,6495,0.92142,-0.052224),(6295,6505,0.92163,-0.046431),(6295,6515,0.92184,-0.040635),(6295,6525,0.92205,-0.034838),(6295,6535,0.92221,-0.02904),(6295,6545,0.92236,-0.02329),(6295,6555,0.92251,-0.017692),(6295,6565,0.9226,-0.012093),(6295,6575,0.92267,-0.006491),(6295,6585,0.92273,-0.00083),(6295,6595,0.78482,0.004831),(6295,6605,0.49457,0.010492),(6295,6615,0.20431,0.011238),(6295,6625,0.000273,0.011352),(6295,6635,0.00031,0.011466),(6295,6645,0.000347,0.011501),(6295,6655,0.000384,0.011502),(6295,6665,0.000421,0.011503),(6295,6675,0.000458,0.011504),(6295,6685,0.000495,0.011504),(6295,6695,0.000531,0.011504),(6295,6705,0.000568,0.011504),(6295,6715,0.000605,0.011503),(6295,6725,0.000641,0.011502),(6295,6735,0.000677,0.0115),(6295,6745,0.000714,0.011498),(6295,6755,0.00075,0.011496),(6295,6765,0.000786,0.011494),(6295,6775,0.000822,0.011491),(6295,6785,0.000858,0.011488),(6295,6795,0.000893,0.011484),(6295,6805,0.000929,0.01148),(6295,6815,0.000964,0.011476),(6295,6825,0.000999,0.011472),(6295,6835,0.001035,0.011466),(6295,6845,0.00107,0.011461),(6295,6855,0.001104,0.011456),(6295,6865,0.001139,0.01145),(6295,6875,0.001173,0.011443),(6295,6885,0.001207,0.011436),(6295,6895,0.001241,0.01143),(6295,6905,0.001275,0.011422),(6295,6915,0.001309,0.011415),(6295,6925,0.001342,0.011407),(6295,6935,0.001375,0.011398),(6295,6945,0.001408,0.01139),(6295,6955,0.001441,0.011381),(6295,6965,0.001474,0.011372),(6295,6975,0.001506,0.011362),(6295,6985,0.001538,0.011353),(6305,5,1.4e-05,-1.3201),(6305,15,4.1e-05,-1.3199),(6305,25,6.3e-05,-1.3198),(6305,35,7.9e-05,-1.3197),(6305,45,9.6e-05,-1.3196),(6305,55,0.000113,-1.3196),(6305,65,0.000132,-1.3195),(6305,75,0.000155,-1.3194),(6305,85,0.000177,-1.3194),(6305,95,0.0002,-1.3194),(6305,105,0.000212,-1.3195),(6305,115,0.000218,-1.3195),(6305,125,0.000224,-1.3195),(6305,135,0.00023,-1.3194),(6305,145,0.000242,-1.3194),(6305,155,0.000257,-1.3193),(6305,165,0.000273,-1.3193),(6305,175,0.000289,-1.3192),(6305,185,0.000307,-1.3192),(6305,195,0.000328,-1.3191),(6305,205,0.000349,-1.3191),(6305,215,0.000369,-1.3191),(6305,225,0.000401,-1.3191),(6305,235,0.000438,-1.3192),(6305,245,0.000474,-1.3192),(6305,255,0.000511,-1.3192),(6305,265,0.000502,-1.3193),(6305,275,0.000478,-1.3193),(6305,285,0.000454,-1.3193),(6305,295,0.000431,-1.3192),(6305,305,0.000382,-1.3192),(6305,315,0.000326,-1.3191),(6305,325,0.000271,-1.319),(6305,335,0.000216,-1.3189),(6305,345,0.000198,-1.3188),(6305,355,0.000188,-1.3187),(6305,365,0.000178,-1.3187),(6305,375,0.000168,-1.3188),(6305,385,0.000205,-1.3188),(6305,395,0.00025,-1.3188),(6305,405,0.000294,-1.3188),(6305,415,0.000338,-1.3188),(6305,425,0.000371,-1.3188),(6305,435,0.000403,-1.3188),(6305,445,0.000435,-1.3187),(6305,455,0.000468,-1.3187),(6305,465,0.000515,-1.3186),(6305,475,0.000563,-1.3186),(6305,485,0.000611,-1.3186),(6305,495,0.00066,-1.3185),(6305,505,0.000736,-1.3185),(6305,515,0.000813,-1.3185),(6305,525,0.00089,-1.3185),(6305,535,0.000967,-1.3185),(6305,545,0.001045,-1.3185),(6305,555,0.001123,-1.3185),(6305,565,0.001201,-1.3185),(6305,575,0.001277,-1.3184),(6305,585,0.001333,-1.3184),(6305,595,0.001389,-1.3183),(6305,605,0.001445,-1.3183),(6305,615,0.001499,-1.3182),(6305,625,0.001541,-1.3182),(6305,635,0.001584,-1.3181),(6305,645,0.001626,-1.3182),(6305,655,0.00167,-1.3182),(6305,665,0.001722,-1.3182),(6305,675,0.001774,-1.3182),(6305,685,0.001825,-1.3181),(6305,695,0.001878,-1.318),(6305,705,0.001935,-1.3179),(6305,715,0.001993,-1.3178),(6305,725,0.00205,-1.3177),(6305,735,0.00212,-1.3176),(6305,745,0.002231,-1.3175),(6305,755,0.002342,-1.3175),(6305,765,0.002453,-1.3174),(6305,775,0.00257,-1.3174),(6305,785,0.002704,-1.3174),(6305,795,0.002838,-1.3173),(6305,805,0.002972,-1.3172),(6305,815,0.003113,-1.3171),(6305,825,0.003266,-1.317),(6305,835,0.003419,-1.3168),(6305,845,0.003573,-1.3167),(6305,855,0.003744,-1.3165),(6305,865,0.003948,-1.3164),(6305,875,0.004152,-1.3163),(6305,885,0.004356,-1.3161),(6305,895,0.004559,-1.316),(6305,905,0.004759,-1.3159),(6305,915,0.004959,-1.3157),(6305,925,0.005159,-1.3155),(6305,935,0.005337,-1.3153),(6305,945,0.005488,-1.315),(6305,955,0.005638,-1.3147),(6305,965,0.005788,-1.3144),(6305,975,0.005913,-1.3141),(6305,985,0.006009,-1.3138),(6305,995,0.006104,-1.3134),(6305,1005,0.0062,-1.3131),(6305,1015,0.006262,-1.3127),(6305,1025,0.006293,-1.3124),(6305,1035,0.006324,-1.3121),(6305,1045,0.006354,-1.3117),(6305,1055,0.006227,-1.3114),(6305,1065,0.005971,-1.3111),(6305,1075,0.005715,-1.3107),(6305,1085,0.005459,-1.3103),(6305,1095,0.004821,-1.3098),(6305,1105,0.003916,-1.3094),(6305,1115,0.003011,-1.3088),(6305,1125,0.002107,-1.3082),(6305,1135,0.000436,-1.3075),(6305,1145,-0.001689,-1.3069),(6305,1155,-0.003813,-1.3062),(6305,1165,-0.005937,-1.3054),(6305,1175,-0.009578,-1.3047),(6305,1185,-0.013972,-1.3039),(6305,1195,-0.018366,-1.3026),(6305,1205,-0.02276,-1.3011),(6305,1215,-0.029823,-1.2996),(6305,1225,-0.037986,-1.2981),(6305,1235,-0.046149,-1.2944),(6305,1245,-0.054312,-1.29),(6305,1255,-0.065597,-1.2856),(6305,1265,-0.077937,-1.2812),(6305,1275,-0.090277,-1.2715),(6305,1285,-0.10262,-1.2602),(6305,1295,-0.099638,-1.2489),(6305,1305,-0.092517,-1.2375),(6305,1315,-0.085395,-1.2269),(6305,1325,-0.078273,-1.2165),(6305,1335,-0.048303,-1.206),(6305,1345,-0.013544,-1.1955),(6305,1355,0.021215,-1.201),(6305,1365,0.055974,-1.2094),(6305,1375,0.072501,-1.2178),(6305,1385,0.086214,-1.2262),(6305,1395,0.099927,-1.2383),(6305,1405,0.11364,-1.2508),(6305,1415,0.10325,-1.2634),(6305,1425,0.090359,-1.2759),(6305,1435,0.077466,-1.2812),(6305,1445,0.064574,-1.286),(6305,1455,0.055484,-1.2907),(6305,1465,0.046613,-1.2954),(6305,1475,0.037742,-1.2969),(6305,1485,0.028871,-1.2982),(6305,1495,0.023912,-1.2995),(6305,1505,0.019012,-1.3009),(6305,1515,0.014112,-1.3015),(6305,1525,0.009276,-1.3021),(6305,1535,0.006991,-1.3027),(6305,1545,0.004706,-1.3033),(6305,1555,0.002422,-1.3036),(6305,1565,0.00022,-1.304),(6305,1575,-0.000772,-1.3043),(6305,1585,-0.001764,-1.3046),(6305,1595,-0.002756,-1.3049),(6305,1605,-0.00368,-1.3051),(6305,1615,-0.004012,-1.3054),(6305,1625,-0.004344,-1.3056),(6305,1635,-0.004676,-1.3059),(6305,1645,-0.004967,-1.3061),(6305,1655,-0.005016,-1.3063),(6305,1665,-0.005065,-1.3065),(6305,1675,-0.005114,-1.3066),(6305,1685,-0.005126,-1.3067),(6305,1695,-0.004975,-1.3068),(6305,1705,-0.004823,-1.3069),(6305,1715,-0.004671,-1.3071),(6305,1725,-0.004512,-1.3072),(6305,1735,-0.004327,-1.3073),(6305,1745,-0.004143,-1.3074),(6305,1755,-0.003958,-1.3073),(6305,1765,-0.003787,-1.3073),(6305,1775,-0.003657,-1.3072),(6305,1785,-0.003526,-1.3071),(6305,1795,-0.003396,-1.3071),(6305,1805,-0.00325,-1.307),(6305,1815,-0.003068,-1.3069),(6305,1825,-0.002887,-1.3069),(6305,1835,-0.002705,-1.3068),(6305,1845,-0.002526,-1.3068),(6305,1855,-0.002351,-1.3068),(6305,1865,-0.002177,-1.3067),(6305,1875,-0.002002,-1.3065),(6305,1885,-0.001847,-1.3063),(6305,1895,-0.001723,-1.3061),(6305,1905,-0.0016,-1.3059),(6305,1915,-0.001476,-1.3057),(6305,1925,-0.001371,-1.3055),(6305,1935,-0.001289,-1.3053),(6305,1945,-0.001208,-1.3051),(6305,1955,-0.001127,-1.3048),(6305,1965,-0.001044,-1.3046),(6305,1975,-0.00096,-1.3043),(6305,1985,-0.000876,-1.3041),(6305,1995,-0.000792,-1.3038),(6305,2005,-0.000702,-1.3035),(6305,2015,-0.000608,-1.3032),(6305,2025,-0.000513,-1.303),(6305,2035,-0.000418,-1.3027),(6305,2045,-0.000342,-1.3024),(6305,2055,-0.000282,-1.3021),(6305,2065,-0.000221,-1.3018),(6305,2075,-0.000161,-1.3015),(6305,2085,-9.1e-05,-1.3013),(6305,2095,-1.5e-05,-1.301),(6305,2105,6.2e-05,-1.3008),(6305,2115,0.000138,-1.3006),(6305,2125,0.000209,-1.3004),(6305,2135,0.000276,-1.3002),(6305,2145,0.000344,-1.2999),(6305,2155,0.000411,-1.2996),(6305,2165,0.000449,-1.2993),(6305,2175,0.000471,-1.299),(6305,2185,0.000493,-1.2986),(6305,2195,0.000515,-1.2983),(6305,2205,0.000539,-1.2979),(6305,2215,0.000565,-1.2976),(6305,2225,0.000591,-1.2972),(6305,2235,0.000616,-1.2969),(6305,2245,0.000642,-1.2965),(6305,2255,0.000668,-1.2962),(6305,2265,0.000694,-1.2958),(6305,2275,0.00072,-1.2954),(6305,2285,0.000747,-1.295),(6305,2295,0.000774,-1.2946),(6305,2305,0.000802,-1.2943),(6305,2315,0.00083,-1.2939),(6305,2325,0.000865,-1.2936),(6305,2335,0.000901,-1.2933),(6305,2345,0.000938,-1.2929),(6305,2355,0.000975,-1.2926),(6305,2365,0.000982,-1.2922),(6305,2375,0.000984,-1.2918),(6305,2385,0.000987,-1.2913),(6305,2395,0.000989,-1.2908),(6305,2405,0.000989,-1.2903),(6305,2415,0.000989,-1.2898),(6305,2425,0.000988,-1.2893),(6305,2435,0.000988,-1.2888),(6305,2445,0.001028,-1.2883),(6305,2455,0.001071,-1.2878),(6305,2465,0.001114,-1.2874),(6305,2475,0.001157,-1.2869),(6305,2485,0.001248,-1.2865),(6305,2495,0.001341,-1.286),(6305,2505,0.001434,-1.2856),(6305,2515,0.001527,-1.2852),(6305,2525,0.001633,-1.2849),(6305,2535,0.001739,-1.2845),(6305,2545,0.001845,-1.284),(6305,2555,0.001948,-1.2836),(6305,2565,0.001989,-1.2832),(6305,2575,0.002031,-1.2827),(6305,2585,0.002073,-1.2822),(6305,2595,0.00211,-1.2816),(6305,2605,0.002103,-1.281),(6305,2615,0.002095,-1.2805),(6305,2625,0.002088,-1.2799),(6305,2635,0.002084,-1.2793),(6305,2645,0.002105,-1.2787),(6305,2655,0.002125,-1.2781),(6305,2665,0.002146,-1.2774),(6305,2675,0.002163,-1.2768),(6305,2685,0.002168,-1.2762),(6305,2695,0.002172,-1.2756),(6305,2705,0.002176,-1.2749),(6305,2715,0.00218,-1.2743),(6305,2725,0.002181,-1.2736),(6305,2735,0.002181,-1.273),(6305,2745,0.002181,-1.2724),(6305,2755,0.002193,-1.2718),(6305,2765,0.002237,-1.2713),(6305,2775,0.00228,-1.2707),(6305,2785,0.002324,-1.2701),(6305,2795,0.002367,-1.2695),(6305,2805,0.002407,-1.2689),(6305,2815,0.002446,-1.2682),(6305,2825,0.002486,-1.2674),(6305,2835,0.002513,-1.2667),(6305,2845,0.002514,-1.2659),(6305,2855,0.002515,-1.2652),(6305,2865,0.002516,-1.2644),(6305,2875,0.002534,-1.2637),(6305,2885,0.002582,-1.263),(6305,2895,0.002629,-1.2622),(6305,2905,0.002677,-1.2616),(6305,2915,0.002743,-1.2609),(6305,2925,0.002834,-1.2603),(6305,2935,0.002926,-1.2596),(6305,2945,0.003017,-1.2588),(6305,2955,0.003103,-1.258),(6305,2965,0.003182,-1.2572),(6305,2975,0.003261,-1.2564),(6305,2985,0.003341,-1.2557),(6305,2995,0.003413,-1.2549),(6305,3005,0.00348,-1.2541),(6305,3015,0.003547,-1.2533),(6305,3025,0.003613,-1.2525),(6305,3035,0.003659,-1.2517),(6305,3045,0.003688,-1.2509),(6305,3055,0.003716,-1.25),(6305,3065,0.003744,-1.2491),(6305,3075,0.003752,-1.2482),(6305,3085,0.003745,-1.2473),(6305,3095,0.003737,-1.2464),(6305,3105,0.00373,-1.2455),(6305,3115,0.003728,-1.2446),(6305,3125,0.00373,-1.2437),(6305,3135,0.003732,-1.2427),(6305,3145,0.003733,-1.2418),(6305,3155,0.003737,-1.2409),(6305,3165,0.003743,-1.24),(6305,3175,0.003748,-1.2391),(6305,3185,0.003753,-1.2381),(6305,3195,0.00379,-1.2372),(6305,3205,0.003841,-1.2363),(6305,3215,0.003891,-1.2353),(6305,3225,0.003942,-1.2344),(6305,3235,0.004015,-1.2334),(6305,3245,0.004096,-1.2325),(6305,3255,0.004178,-1.2314),(6305,3265,0.004259,-1.2304),(6305,3275,0.004341,-1.2293),(6305,3285,0.004422,-1.2283),(6305,3295,0.004503,-1.2272),(6305,3305,0.004584,-1.2262),(6305,3315,0.004661,-1.2252),(6305,3325,0.004738,-1.2242),(6305,3335,0.004814,-1.2231),(6305,3345,0.00489,-1.222),(6305,3355,0.00495,-1.221),(6305,3365,0.005007,-1.2199),(6305,3375,0.005065,-1.2188),(6305,3385,0.005122,-1.2176),(6305,3395,0.005193,-1.2165),(6305,3405,0.005265,-1.2153),(6305,3415,0.005338,-1.2142),(6305,3425,0.005411,-1.2131),(6305,3435,0.005463,-1.2119),(6305,3445,0.005514,-1.2108),(6305,3455,0.005564,-1.2095),(6305,3465,0.005615,-1.2082),(6305,3475,0.005708,-1.2068),(6305,3485,0.005803,-1.2055),(6305,3495,0.005897,-1.2043),(6305,3505,0.005992,-1.203),(6305,3515,0.006137,-1.2018),(6305,3525,0.006282,-1.2006),(6305,3535,0.006427,-1.1993),(6305,3545,0.006572,-1.1981),(6305,3555,0.006733,-1.1968),(6305,3565,0.006893,-1.1955),(6305,3575,0.007054,-1.1942),(6305,3585,0.007211,-1.1928),(6305,3595,0.007336,-1.1914),(6305,3605,0.00746,-1.19),(6305,3615,0.007584,-1.1885),(6305,3625,0.007702,-1.187),(6305,3635,0.007772,-1.1854),(6305,3645,0.007842,-1.1839),(6305,3655,0.007912,-1.1824),(6305,3665,0.007975,-1.1808),(6305,3675,0.008005,-1.1793),(6305,3685,0.008035,-1.1778),(6305,3695,0.008065,-1.1762),(6305,3705,0.008075,-1.1747),(6305,3715,0.008006,-1.1732),(6305,3725,0.007937,-1.1716),(6305,3735,0.007867,-1.1699),(6305,3745,0.007682,-1.1682),(6305,3755,0.007134,-1.1665),(6305,3765,0.006585,-1.1647),(6305,3775,0.006037,-1.1629),(6305,3785,0.005338,-1.161),(6305,3795,0.004252,-1.1591),(6305,3805,0.003167,-1.1572),(6305,3815,0.002082,-1.1552),(6305,3825,0.000694,-1.1533),(6305,3835,-0.001331,-1.1513),(6305,3845,-0.003356,-1.1492),(6305,3855,-0.005381,-1.1468),(6305,3865,-0.00796,-1.1445),(6305,3875,-0.011518,-1.1421),(6305,3885,-0.015076,-1.1394),(6305,3895,-0.018634,-1.1359),(6305,3905,-0.023026,-1.1325),(6305,3915,-0.028664,-1.129),(6305,3925,-0.034302,-1.1246),(6305,3935,-0.039941,-1.1189),(6305,3945,-0.046377,-1.1132),(6305,3955,-0.053827,-1.1075),(6305,3965,-0.061277,-1.0996),(6305,3975,-0.068726,-1.0892),(6305,3985,-0.072385,-1.0788),(6305,3995,-0.07194,-1.0683),(6305,4005,-0.071496,-1.0577),(6305,4015,-0.071051,-1.047),(6305,4025,0.04357,-1.0362),(6305,4035,0.16936,-1.0286),(6305,4045,0.29515,-1.0276),(6305,4055,0.37481,-1.0265),(6305,4065,0.43764,-1.0253),(6305,4075,0.50046,-1.0235),(6305,4085,0.529,-1.0216),(6305,4095,0.52999,-1.0198),(6305,4105,0.53098,-1.0179),(6305,4115,0.53198,-1.0161),(6305,4125,0.53299,-1.0142),(6305,4135,0.53401,-1.0124),(6305,4145,0.53503,-1.0106),(6305,4155,0.53606,-1.0088),(6305,4165,0.53709,-1.0069),(6305,4175,0.53811,-1.005),(6305,4185,0.53916,-1.0032),(6305,4195,0.54021,-1.0012),(6305,4205,0.54125,-0.99924),(6305,4215,0.54234,-0.99725),(6305,4225,0.54344,-0.99527),(6305,4235,0.54454,-0.99331),(6305,4245,0.54569,-0.99134),(6305,4255,0.54685,-0.98938),(6305,4265,0.54802,-0.98737),(6305,4275,0.54921,-0.98536),(6305,4285,0.55043,-0.98334),(6305,4295,0.55164,-0.98131),(6305,4305,0.55287,-0.97927),(6305,4315,0.55413,-0.97724),(6305,4325,0.55539,-0.9752),(6305,4335,0.55665,-0.97316),(6305,4345,0.55796,-0.97112),(6305,4355,0.55926,-0.96905),(6305,4365,0.56056,-0.96693),(6305,4375,0.56191,-0.96482),(6305,4385,0.56325,-0.96267),(6305,4395,0.56459,-0.96046),(6305,4405,0.56599,-0.95825),(6305,4415,0.5674,-0.95604),(6305,4425,0.56881,-0.95378),(6305,4435,0.57026,-0.95153),(6305,4445,0.57174,-0.94927),(6305,4455,0.57323,-0.94702),(6305,4465,0.57474,-0.94477),(6305,4475,0.57631,-0.94251),(6305,4485,0.57787,-0.94023),(6305,4495,0.57945,-0.93793),(6305,4505,0.58108,-0.93564),(6305,4515,0.58271,-0.9333),(6305,4525,0.58435,-0.93093),(6305,4535,0.58604,-0.92856),(6305,4545,0.58773,-0.92614),(6305,4555,0.58942,-0.92366),(6305,4565,0.59116,-0.92118),(6305,4575,0.59291,-0.91867),(6305,4585,0.59466,-0.91609),(6305,4595,0.59644,-0.91351),(6305,4605,0.59824,-0.91092),(6305,4615,0.60004,-0.90829),(6305,4625,0.60185,-0.90566),(6305,4635,0.60368,-0.90303),(6305,4645,0.60552,-0.90035),(6305,4655,0.60736,-0.89766),(6305,4665,0.60923,-0.89498),(6305,4675,0.6111,-0.8922),(6305,4685,0.61297,-0.8894),(6305,4695,0.61489,-0.8866),(6305,4705,0.6168,-0.88373),(6305,4715,0.61872,-0.88081),(6305,4725,0.62069,-0.87789),(6305,4735,0.62266,-0.87496),(6305,4745,0.62462,-0.87198),(6305,4755,0.62663,-0.86901),(6305,4765,0.62865,-0.86604),(6305,4775,0.63067,-0.86303),(6305,4785,0.63271,-0.86002),(6305,4795,0.63477,-0.85701),(6305,4805,0.63683,-0.85394),(6305,4815,0.63891,-0.85087),(6305,4825,0.64101,-0.8478),(6305,4835,0.64311,-0.84464),(6305,4845,0.64521,-0.84147),(6305,4855,0.64734,-0.8383),(6305,4865,0.64947,-0.83506),(6305,4875,0.65159,-0.83179),(6305,4885,0.65374,-0.82853),(6305,4895,0.65588,-0.82521),(6305,4905,0.65802,-0.82186),(6305,4915,0.66017,-0.8185),(6305,4925,0.66231,-0.81511),(6305,4935,0.66446,-0.81167),(6305,4945,0.66661,-0.80822),(6305,4955,0.66876,-0.80476),(6305,4965,0.67091,-0.80123),(6305,4975,0.67307,-0.79771),(6305,4985,0.67523,-0.79418),(6305,4995,0.6774,-0.79058),(6305,5005,0.67957,-0.78698),(6305,5015,0.68177,-0.78338),(6305,5025,0.68396,-0.77971),(6305,5035,0.68615,-0.77602),(6305,5045,0.68837,-0.77234),(6305,5055,0.69059,-0.76861),(6305,5065,0.6928,-0.76487),(6305,5075,0.69504,-0.76112),(6305,5085,0.69727,-0.75734),(6305,5095,0.6995,-0.75352),(6305,5105,0.70172,-0.74971),(6305,5115,0.70394,-0.74586),(6305,5125,0.70616,-0.74195),(6305,5135,0.70837,-0.73804),(6305,5145,0.71057,-0.73412),(6305,5155,0.71277,-0.73013),(6305,5165,0.71497,-0.72615),(6305,5175,0.71717,-0.72216),(6305,5185,0.71937,-0.71813),(6305,5195,0.72158,-0.71411),(6305,5205,0.72379,-0.71008),(6305,5215,0.72601,-0.70601),(6305,5225,0.72822,-0.70192),(6305,5235,0.73044,-0.69784),(6305,5245,0.73265,-0.69371),(6305,5255,0.73487,-0.68956),(6305,5265,0.73709,-0.6854),(6305,5275,0.73931,-0.68122),(6305,5285,0.74153,-0.67699),(6305,5295,0.74374,-0.67277),(6305,5305,0.74595,-0.66852),(6305,5315,0.74816,-0.66421),(6305,5325,0.75035,-0.6599),(6305,5335,0.75253,-0.65559),(6305,5345,0.75471,-0.65118),(6305,5355,0.75686,-0.64678),(6305,5365,0.75899,-0.64237),(6305,5375,0.76112,-0.63791),(6305,5385,0.76324,-0.63344),(6305,5395,0.76534,-0.62896),(6305,5405,0.76743,-0.62448),(6305,5415,0.76953,-0.61998),(6305,5425,0.77161,-0.61548),(6305,5435,0.77369,-0.61098),(6305,5445,0.77577,-0.60646),(6305,5455,0.77785,-0.60194),(6305,5465,0.77992,-0.59741),(6305,5475,0.78199,-0.59281),(6305,5485,0.78405,-0.58822),(6305,5495,0.78609,-0.58362),(6305,5505,0.78814,-0.57895),(6305,5515,0.79017,-0.57427),(6305,5525,0.79219,-0.5696),(6305,5535,0.79421,-0.56489),(6305,5545,0.7962,-0.56018),(6305,5555,0.79818,-0.55547),(6305,5565,0.80015,-0.55071),(6305,5575,0.80211,-0.54594),(6305,5585,0.80403,-0.54118),(6305,5595,0.80596,-0.53635),(6305,5605,0.80788,-0.53149),(6305,5615,0.80977,-0.52663),(6305,5625,0.81166,-0.52175),(6305,5635,0.81355,-0.51684),(6305,5645,0.81542,-0.51194),(6305,5655,0.8173,-0.50703),(6305,5665,0.81917,-0.50211),(6305,5675,0.82103,-0.49719),(6305,5685,0.82289,-0.49228),(6305,5695,0.82475,-0.48732),(6305,5705,0.82659,-0.48237),(6305,5715,0.82842,-0.47742),(6305,5725,0.83024,-0.47239),(6305,5735,0.83204,-0.46734),(6305,5745,0.8338,-0.46229),(6305,5755,0.83556,-0.4572),(6305,5765,0.83731,-0.4521),(6305,5775,0.83899,-0.44699),(6305,5785,0.84068,-0.44185),(6305,5795,0.84237,-0.43669),(6305,5805,0.84401,-0.43153),(6305,5815,0.84565,-0.42636),(6305,5825,0.84729,-0.42117),(6305,5835,0.84891,-0.41598),(6305,5845,0.85052,-0.41079),(6305,5855,0.85214,-0.4056),(6305,5865,0.85373,-0.40041),(6305,5875,0.8553,-0.39522),(6305,5885,0.85688,-0.39),(6305,5895,0.85843,-0.38479),(6305,5905,0.85995,-0.37958),(6305,5915,0.86147,-0.37432),(6305,5925,0.86297,-0.36905),(6305,5935,0.86442,-0.36379),(6305,5945,0.86587,-0.35847),(6305,5955,0.86731,-0.35312),(6305,5965,0.8687,-0.34777),(6305,5975,0.87009,-0.34239),(6305,5985,0.87147,-0.33698),(6305,5995,0.87282,-0.33157),(6305,6005,0.87416,-0.32616),(6305,6015,0.87551,-0.32073),(6305,6025,0.87681,-0.3153),(6305,6035,0.87809,-0.30987),(6305,6045,0.87938,-0.30442),(6305,6055,0.88062,-0.29896),(6305,6065,0.88183,-0.29351),(6305,6075,0.88305,-0.28808),(6305,6085,0.88424,-0.28266),(6305,6095,0.88539,-0.27723),(6305,6105,0.88654,-0.2718),(6305,6115,0.88768,-0.26637),(6305,6125,0.88876,-0.26094),(6305,6135,0.88984,-0.25543),(6305,6145,0.89092,-0.24987),(6305,6155,0.89193,-0.24431),(6305,6165,0.89294,-0.23873),(6305,6175,0.89395,-0.23311),(6305,6185,0.89492,-0.22749),(6305,6195,0.89587,-0.22187),(6305,6205,0.89683,-0.21627),(6305,6215,0.89775,-0.21066),(6305,6225,0.89864,-0.20506),(6305,6235,0.89953,-0.19943),(6305,6245,0.90039,-0.19381),(6305,6255,0.9012,-0.18818),(6305,6265,0.90201,-0.18254),(6305,6275,0.9028,-0.1769),(6305,6285,0.90354,-0.17127),(6305,6295,0.90427,-0.16565),(6305,6305,0.905,-0.16004),(6305,6315,0.90567,-0.15444),(6305,6325,0.90635,-0.14879),(6305,6335,0.90702,-0.14309),(6305,6345,0.90764,-0.1374),(6305,6355,0.90824,-0.13171),(6305,6365,0.90885,-0.12603),(6305,6375,0.90941,-0.12035),(6305,6385,0.90996,-0.11468),(6305,6395,0.91051,-0.10912),(6305,6405,0.911,-0.10356),(6305,6415,0.91145,-0.097995),(6305,6425,0.91191,-0.092299),(6305,6435,0.91232,-0.086596),(6305,6445,0.91266,-0.080894),(6305,6455,0.91301,-0.075172),(6305,6465,0.91333,-0.069445),(6305,6475,0.91359,-0.063718),(6305,6485,0.91385,-0.057947),(6305,6495,0.91411,-0.052148),(6305,6505,0.91431,-0.04635),(6305,6515,0.91451,-0.040551),(6305,6525,0.91471,-0.034754),(6305,6535,0.91486,-0.028957),(6305,6545,0.915,-0.023211),(6305,6555,0.91513,-0.017621),(6305,6565,0.91523,-0.012031),(6305,6575,0.91529,-0.006437),(6305,6585,0.91536,-0.000787),(6305,6595,0.77855,0.004863),(6305,6605,0.49061,0.010513),(6305,6615,0.20267,0.011262),(6305,6625,0.00027,0.011382),(6305,6635,0.000307,0.011502),(6305,6645,0.000345,0.011537),(6305,6655,0.000382,0.011539),(6305,6665,0.000419,0.01154),(6305,6675,0.000456,0.01154),(6305,6685,0.000494,0.01154),(6305,6695,0.000531,0.01154),(6305,6705,0.000568,0.01154),(6305,6715,0.000605,0.011539),(6305,6725,0.000641,0.011538),(6305,6735,0.000678,0.011537),(6305,6745,0.000715,0.011534),(6305,6755,0.000751,0.011532),(6305,6765,0.000788,0.01153),(6305,6775,0.000824,0.011527),(6305,6785,0.00086,0.011523),(6305,6795,0.000896,0.01152),(6305,6805,0.000932,0.011516),(6305,6815,0.000968,0.011511),(6305,6825,0.001003,0.011506),(6305,6835,0.001038,0.011501),(6305,6845,0.001074,0.011496),(6305,6855,0.001109,0.01149),(6305,6865,0.001144,0.011484),(6305,6875,0.001179,0.011477),(6305,6885,0.001213,0.01147),(6305,6895,0.001247,0.011463),(6305,6905,0.001281,0.011456),(6305,6915,0.001315,0.011448),(6305,6925,0.001349,0.01144),(6305,6935,0.001382,0.011431),(6305,6945,0.001416,0.011422),(6305,6955,0.001448,0.011414),(6305,6965,0.001481,0.011404),(6305,6975,0.001514,0.011394),(6305,6985,0.001546,0.011385),(6315,5,1.4e-05,-1.32),(6315,15,4.1e-05,-1.3199),(6315,25,6.2e-05,-1.3198),(6315,35,7.7e-05,-1.3197),(6315,45,9.3e-05,-1.3196),(6315,55,0.000108,-1.3196),(6315,65,0.000124,-1.3195),(6315,75,0.000142,-1.3194),(6315,85,0.00016,-1.3194),(6315,95,0.000179,-1.3194),(6315,105,0.00019,-1.3195),(6315,115,0.000197,-1.3195),(6315,125,0.000204,-1.3195),(6315,135,0.000211,-1.3194),(6315,145,0.000226,-1.3194),(6315,155,0.000247,-1.3193),(6315,165,0.000268,-1.3192),(6315,175,0.000288,-1.3192),(6315,185,0.000312,-1.3192),(6315,195,0.000338,-1.3191),(6315,205,0.000363,-1.3191),(6315,215,0.000388,-1.3191),(6315,225,0.000425,-1.3191),(6315,235,0.000467,-1.3191),(6315,245,0.000508,-1.3192),(6315,255,0.00055,-1.3192),(6315,265,0.000544,-1.3193),(6315,275,0.000524,-1.3193),(6315,285,0.000504,-1.3193),(6315,295,0.000483,-1.3193),(6315,305,0.000432,-1.3192),(6315,315,0.000373,-1.3191),(6315,325,0.000313,-1.319),(6315,335,0.000254,-1.3189),(6315,345,0.000226,-1.3188),(6315,355,0.000203,-1.3187),(6315,365,0.000181,-1.3187),(6315,375,0.000158,-1.3188),(6315,385,0.000185,-1.3188),(6315,395,0.00022,-1.3188),(6315,405,0.000254,-1.3188),(6315,415,0.000289,-1.3188),(6315,425,0.000317,-1.3188),(6315,435,0.000344,-1.3188),(6315,445,0.000371,-1.3187),(6315,455,0.000398,-1.3187),(6315,465,0.000442,-1.3186),(6315,475,0.000487,-1.3186),(6315,485,0.000532,-1.3185),(6315,495,0.000577,-1.3185),(6315,505,0.000658,-1.3184),(6315,515,0.000739,-1.3184),(6315,525,0.00082,-1.3184),(6315,535,0.000902,-1.3184),(6315,545,0.000989,-1.3185),(6315,555,0.001077,-1.3185),(6315,565,0.001164,-1.3184),(6315,575,0.00125,-1.3184),(6315,585,0.001314,-1.3183),(6315,595,0.001378,-1.3183),(6315,605,0.001441,-1.3183),(6315,615,0.001502,-1.3182),(6315,625,0.001539,-1.3182),(6315,635,0.001576,-1.3181),(6315,645,0.001614,-1.3181),(6315,655,0.001651,-1.3182),(6315,665,0.00169,-1.3182),(6315,675,0.001729,-1.3182),(6315,685,0.001769,-1.3181),(6315,695,0.001809,-1.318),(6315,705,0.001855,-1.3179),(6315,715,0.001901,-1.3178),(6315,725,0.001948,-1.3177),(6315,735,0.002008,-1.3176),(6315,745,0.002118,-1.3175),(6315,755,0.002227,-1.3174),(6315,765,0.002336,-1.3174),(6315,775,0.002452,-1.3173),(6315,785,0.002586,-1.3173),(6315,795,0.002719,-1.3172),(6315,805,0.002853,-1.3171),(6315,815,0.002988,-1.317),(6315,825,0.003127,-1.3169),(6315,835,0.003266,-1.3168),(6315,845,0.003404,-1.3166),(6315,855,0.003561,-1.3165),(6315,865,0.00375,-1.3163),(6315,875,0.00394,-1.3162),(6315,885,0.004129,-1.3161),(6315,895,0.004319,-1.3159),(6315,905,0.00451,-1.3158),(6315,915,0.004701,-1.3157),(6315,925,0.004892,-1.3154),(6315,935,0.005055,-1.3152),(6315,945,0.005183,-1.315),(6315,955,0.005311,-1.3147),(6315,965,0.005439,-1.3144),(6315,975,0.005541,-1.3141),(6315,985,0.005612,-1.3137),(6315,995,0.005684,-1.3134),(6315,1005,0.005755,-1.3131),(6315,1015,0.005791,-1.3127),(6315,1025,0.005792,-1.3124),(6315,1035,0.005793,-1.3121),(6315,1045,0.005794,-1.3118),(6315,1055,0.005643,-1.3115),(6315,1065,0.005368,-1.3112),(6315,1075,0.005093,-1.3108),(6315,1085,0.004818,-1.3104),(6315,1095,0.004161,-1.3101),(6315,1105,0.003237,-1.3097),(6315,1115,0.002314,-1.3092),(6315,1125,0.00139,-1.3087),(6315,1135,-0.00032,-1.3082),(6315,1145,-0.002494,-1.3077),(6315,1155,-0.004667,-1.3072),(6315,1165,-0.006841,-1.3067),(6315,1175,-0.010645,-1.3063),(6315,1185,-0.015258,-1.3058),(6315,1195,-0.01987,-1.305),(6315,1205,-0.024483,-1.3041),(6315,1215,-0.03213,-1.3032),(6315,1225,-0.041029,-1.3022),(6315,1235,-0.049928,-1.2994),(6315,1245,-0.058827,-1.2958),(6315,1255,-0.071569,-1.2922),(6315,1265,-0.085609,-1.2886),(6315,1275,-0.09965,-1.279),(6315,1285,-0.11369,-1.2676),(6315,1295,-0.11086,-1.2562),(6315,1305,-0.10346,-1.2447),(6315,1315,-0.096069,-1.2326),(6315,1325,-0.088674,-1.2203),(6315,1335,-0.054758,-1.2081),(6315,1345,-0.015284,-1.1958),(6315,1355,0.02419,-1.2025),(6315,1365,0.063664,-1.2126),(6315,1375,0.081775,-1.2228),(6315,1385,0.096591,-1.233),(6315,1395,0.11141,-1.2456),(6315,1405,0.12622,-1.2585),(6315,1415,0.11423,-1.2713),(6315,1425,0.099447,-1.2842),(6315,1435,0.084668,-1.2888),(6315,1445,0.069889,-1.2926),(6315,1455,0.059917,-1.2965),(6315,1465,0.050221,-1.3004),(6315,1475,0.040526,-1.3012),(6315,1485,0.030831,-1.3018),(6315,1495,0.025582,-1.3025),(6315,1505,0.0204,-1.3032),(6315,1515,0.015218,-1.3035),(6315,1525,0.010107,-1.3037),(6315,1535,0.007751,-1.304),(6315,1545,0.005396,-1.3042),(6315,1555,0.00304,-1.3044),(6315,1565,0.000773,-1.3046),(6315,1575,-0.000216,-1.3048),(6315,1585,-0.001204,-1.3049),(6315,1595,-0.002193,-1.3051),(6315,1605,-0.003113,-1.3053),(6315,1615,-0.003441,-1.3055),(6315,1625,-0.003769,-1.3057),(6315,1635,-0.004097,-1.3059),(6315,1645,-0.004387,-1.3061),(6315,1655,-0.004455,-1.3063),(6315,1665,-0.004522,-1.3065),(6315,1675,-0.00459,-1.3066),(6315,1685,-0.004623,-1.3067),(6315,1695,-0.004502,-1.3068),(6315,1705,-0.004382,-1.3069),(6315,1715,-0.004261,-1.307),(6315,1725,-0.004129,-1.3071),(6315,1735,-0.003955,-1.3072),(6315,1745,-0.003781,-1.3073),(6315,1755,-0.003606,-1.3073),(6315,1765,-0.003452,-1.3072),(6315,1775,-0.003352,-1.3072),(6315,1785,-0.003252,-1.3071),(6315,1795,-0.003152,-1.3071),(6315,1805,-0.003041,-1.307),(6315,1815,-0.002901,-1.3069),(6315,1825,-0.002762,-1.3069),(6315,1835,-0.002623,-1.3068),(6315,1845,-0.002476,-1.3068),(6315,1855,-0.002317,-1.3067),(6315,1865,-0.002158,-1.3066),(6315,1875,-0.001999,-1.3064),(6315,1885,-0.001853,-1.3063),(6315,1895,-0.001731,-1.3061),(6315,1905,-0.001608,-1.3059),(6315,1915,-0.001486,-1.3057),(6315,1925,-0.001379,-1.3055),(6315,1935,-0.001295,-1.3053),(6315,1945,-0.001211,-1.305),(6315,1955,-0.001128,-1.3048),(6315,1965,-0.001044,-1.3045),(6315,1975,-0.00096,-1.3043),(6315,1985,-0.000877,-1.304),(6315,1995,-0.000793,-1.3038),(6315,2005,-0.000705,-1.3035),(6315,2015,-0.000612,-1.3032),(6315,2025,-0.000519,-1.3029),(6315,2035,-0.000426,-1.3026),(6315,2045,-0.000356,-1.3023),(6315,2055,-0.000306,-1.3021),(6315,2065,-0.000257,-1.3018),(6315,2075,-0.000207,-1.3015),(6315,2085,-0.00015,-1.3013),(6315,2095,-8.8e-05,-1.301),(6315,2105,-2.5e-05,-1.3008),(6315,2115,3.8e-05,-1.3006),(6315,2125,0.000104,-1.3003),(6315,2135,0.000173,-1.3001),(6315,2145,0.000241,-1.2999),(6315,2155,0.00031,-1.2996),(6315,2165,0.00035,-1.2993),(6315,2175,0.000376,-1.299),(6315,2185,0.000402,-1.2986),(6315,2195,0.000428,-1.2983),(6315,2205,0.00045,-1.2979),(6315,2215,0.00047,-1.2976),(6315,2225,0.00049,-1.2972),(6315,2235,0.000511,-1.2969),(6315,2245,0.000528,-1.2965),(6315,2255,0.000545,-1.2962),(6315,2265,0.000562,-1.2958),(6315,2275,0.000579,-1.2954),(6315,2285,0.000601,-1.295),(6315,2295,0.000625,-1.2946),(6315,2305,0.000648,-1.2942),(6315,2315,0.000672,-1.2939),(6315,2325,0.000719,-1.2936),(6315,2335,0.000771,-1.2932),(6315,2345,0.000823,-1.2929),(6315,2355,0.000875,-1.2925),(6315,2365,0.000905,-1.2922),(6315,2375,0.00093,-1.2918),(6315,2385,0.000956,-1.2913),(6315,2395,0.000982,-1.2908),(6315,2405,0.000992,-1.2903),(6315,2415,0.001001,-1.2898),(6315,2425,0.001009,-1.2893),(6315,2435,0.001018,-1.2888),(6315,2445,0.001052,-1.2883),(6315,2455,0.001089,-1.2878),(6315,2465,0.001125,-1.2873),(6315,2475,0.001161,-1.2869),(6315,2485,0.001245,-1.2864),(6315,2495,0.00133,-1.286),(6315,2505,0.001414,-1.2856),(6315,2515,0.001499,-1.2852),(6315,2525,0.001607,-1.2848),(6315,2535,0.001716,-1.2844),(6315,2545,0.001824,-1.2839),(6315,2555,0.001928,-1.2835),(6315,2565,0.001971,-1.2831),(6315,2575,0.002014,-1.2827),(6315,2585,0.002057,-1.2821),(6315,2595,0.002094,-1.2816),(6315,2605,0.002075,-1.2811),(6315,2615,0.002057,-1.2805),(6315,2625,0.002038,-1.2799),(6315,2635,0.002024,-1.2793),(6315,2645,0.002041,-1.2787),(6315,2655,0.002057,-1.2781),(6315,2665,0.002073,-1.2774),(6315,2675,0.002088,-1.2768),(6315,2685,0.002095,-1.2762),(6315,2695,0.002102,-1.2756),(6315,2705,0.002109,-1.2749),(6315,2715,0.002113,-1.2743),(6315,2725,0.002108,-1.2737),(6315,2735,0.002102,-1.273),(6315,2745,0.002097,-1.2724),(6315,2755,0.002101,-1.2719),(6315,2765,0.002131,-1.2713),(6315,2775,0.00216,-1.2707),(6315,2785,0.00219,-1.2701),(6315,2795,0.002222,-1.2695),(6315,2805,0.00226,-1.2688),(6315,2815,0.002297,-1.2682),(6315,2825,0.002335,-1.2674),(6315,2835,0.002361,-1.2667),(6315,2845,0.002363,-1.2659),(6315,2855,0.002365,-1.2652),(6315,2865,0.002367,-1.2644),(6315,2875,0.002384,-1.2637),(6315,2885,0.002424,-1.2629),(6315,2895,0.002465,-1.2622),(6315,2905,0.002505,-1.2616),(6315,2915,0.002565,-1.2609),(6315,2925,0.002654,-1.2602),(6315,2935,0.002742,-1.2595),(6315,2945,0.00283,-1.2587),(6315,2955,0.002919,-1.2579),(6315,2965,0.003008,-1.2572),(6315,2975,0.003097,-1.2564),(6315,2985,0.003185,-1.2556),(6315,2995,0.003273,-1.2548),(6315,3005,0.003358,-1.254),(6315,3015,0.003443,-1.2532),(6315,3025,0.003528,-1.2524),(6315,3035,0.003589,-1.2516),(6315,3045,0.003628,-1.2509),(6315,3055,0.003667,-1.25),(6315,3065,0.003706,-1.2491),(6315,3075,0.003714,-1.2482),(6315,3085,0.003697,-1.2474),(6315,3095,0.003681,-1.2464),(6315,3105,0.003665,-1.2455),(6315,3115,0.003653,-1.2446),(6315,3125,0.003645,-1.2437),(6315,3135,0.003637,-1.2428),(6315,3145,0.003629,-1.2419),(6315,3155,0.003626,-1.2409),(6315,3165,0.003624,-1.24),(6315,3175,0.003623,-1.2391),(6315,3185,0.003621,-1.2381),(6315,3195,0.003657,-1.2372),(6315,3205,0.003709,-1.2362),(6315,3215,0.003761,-1.2353),(6315,3225,0.003814,-1.2343),(6315,3235,0.003899,-1.2334),(6315,3245,0.003995,-1.2324),(6315,3255,0.004092,-1.2314),(6315,3265,0.004189,-1.2303),(6315,3275,0.004281,-1.2293),(6315,3285,0.004372,-1.2282),(6315,3295,0.004462,-1.2272),(6315,3305,0.004552,-1.2262),(6315,3315,0.004621,-1.2252),(6315,3325,0.004684,-1.2241),(6315,3335,0.004748,-1.2231),(6315,3345,0.004811,-1.222),(6315,3355,0.004851,-1.221),(6315,3365,0.004887,-1.2199),(6315,3375,0.004922,-1.2188),(6315,3385,0.004957,-1.2176),(6315,3395,0.005022,-1.2165),(6315,3405,0.005091,-1.2153),(6315,3415,0.00516,-1.2142),(6315,3425,0.005228,-1.213),(6315,3435,0.005291,-1.2119),(6315,3445,0.005354,-1.2108),(6315,3455,0.005417,-1.2095),(6315,3465,0.00548,-1.2081),(6315,3475,0.005578,-1.2068),(6315,3485,0.005677,-1.2055),(6315,3495,0.005777,-1.2042),(6315,3505,0.005876,-1.203),(6315,3515,0.005998,-1.2018),(6315,3525,0.006119,-1.2005),(6315,3535,0.006241,-1.1993),(6315,3545,0.006364,-1.198),(6315,3555,0.006515,-1.1967),(6315,3565,0.006665,-1.1955),(6315,3575,0.006816,-1.1941),(6315,3585,0.006965,-1.1927),(6315,3595,0.007098,-1.1913),(6315,3605,0.007231,-1.19),(6315,3615,0.007364,-1.1885),(6315,3625,0.007484,-1.187),(6315,3635,0.007516,-1.1855),(6315,3645,0.007548,-1.1839),(6315,3655,0.007579,-1.1824),(6315,3665,0.007609,-1.1808),(6315,3675,0.00763,-1.1793),(6315,3685,0.00765,-1.1777),(6315,3695,0.00767,-1.1762),(6315,3705,0.007668,-1.1747),(6315,3715,0.007575,-1.1732),(6315,3725,0.007483,-1.1716),(6315,3735,0.007391,-1.17),(6315,3745,0.007183,-1.1684),(6315,3755,0.006615,-1.1668),(6315,3765,0.006048,-1.1651),(6315,3775,0.00548,-1.1633),(6315,3785,0.004747,-1.1615),(6315,3795,0.003591,-1.1597),(6315,3805,0.002435,-1.1579),(6315,3815,0.001279,-1.1561),(6315,3825,-0.000187,-1.1543),(6315,3835,-0.00231,-1.1524),(6315,3845,-0.004432,-1.1505),(6315,3855,-0.006554,-1.1484),(6315,3865,-0.009285,-1.1464),(6315,3875,-0.013091,-1.1443),(6315,3885,-0.016898,-1.1419),(6315,3895,-0.020704,-1.1388),(6315,3905,-0.025484,-1.1358),(6315,3915,-0.031718,-1.1328),(6315,3925,-0.037952,-1.1289),(6315,3935,-0.044186,-1.1237),(6315,3945,-0.05143,-1.1184),(6315,3955,-0.059955,-1.1132),(6315,3965,-0.06848,-1.1055),(6315,3975,-0.077005,-1.0947),(6315,3985,-0.081378,-1.084),(6315,3995,-0.081257,-1.0733),(6315,4005,-0.081135,-1.0618),(6315,4015,-0.081014,-1.0495),(6315,4025,0.035897,-1.0372),(6315,4035,0.16423,-1.0286),(6315,4045,0.29257,-1.0275),(6315,4055,0.37264,-1.0264),(6315,4065,0.43509,-1.0252),(6315,4075,0.49755,-1.0234),(6315,4085,0.52592,-1.0215),(6315,4095,0.52691,-1.0197),(6315,4105,0.52789,-1.0178),(6315,4115,0.52889,-1.0159),(6315,4125,0.52991,-1.0141),(6315,4135,0.53093,-1.0123),(6315,4145,0.53195,-1.0105),(6315,4155,0.53298,-1.0087),(6315,4165,0.53401,-1.0068),(6315,4175,0.53504,-1.005),(6315,4185,0.53608,-1.0031),(6315,4195,0.53712,-1.0012),(6315,4205,0.53816,-0.99918),(6315,4215,0.53923,-0.99719),(6315,4225,0.54032,-0.9952),(6315,4235,0.54141,-0.99324),(6315,4245,0.54253,-0.99127),(6315,4255,0.54368,-0.9893),(6315,4265,0.54482,-0.98728),(6315,4275,0.546,-0.98526),(6315,4285,0.54719,-0.98324),(6315,4295,0.54839,-0.9812),(6315,4305,0.54961,-0.97916),(6315,4315,0.55085,-0.97711),(6315,4325,0.55209,-0.97507),(6315,4335,0.55334,-0.97302),(6315,4345,0.55463,-0.97097),(6315,4355,0.55593,-0.96889),(6315,4365,0.55722,-0.96677),(6315,4375,0.55855,-0.96465),(6315,4385,0.55988,-0.9625),(6315,4395,0.56121,-0.96028),(6315,4405,0.56259,-0.95806),(6315,4415,0.56398,-0.95583),(6315,4425,0.56537,-0.95357),(6315,4435,0.5668,-0.9513),(6315,4445,0.56826,-0.94904),(6315,4455,0.56972,-0.94677),(6315,4465,0.57122,-0.94451),(6315,4475,0.57275,-0.94224),(6315,4485,0.57429,-0.93994),(6315,4495,0.57584,-0.93764),(6315,4505,0.57745,-0.93534),(6315,4515,0.57906,-0.93299),(6315,4525,0.58067,-0.93061),(6315,4535,0.58233,-0.92823),(6315,4545,0.584,-0.9258),(6315,4555,0.58567,-0.92332),(6315,4565,0.58739,-0.92083),(6315,4575,0.58911,-0.91832),(6315,4585,0.59084,-0.91574),(6315,4595,0.5926,-0.91315),(6315,4605,0.59437,-0.91057),(6315,4615,0.59615,-0.90793),(6315,4625,0.59794,-0.9053),(6315,4635,0.59976,-0.90267),(6315,4645,0.60157,-0.89998),(6315,4655,0.60339,-0.89729),(6315,4665,0.60524,-0.8946),(6315,4675,0.60709,-0.89183),(6315,4685,0.60895,-0.88902),(6315,4695,0.61084,-0.88622),(6315,4705,0.61273,-0.88334),(6315,4715,0.61462,-0.88042),(6315,4725,0.61656,-0.8775),(6315,4735,0.6185,-0.87455),(6315,4745,0.62043,-0.87158),(6315,4755,0.62241,-0.8686),(6315,4765,0.62439,-0.86562),(6315,4775,0.62638,-0.8626),(6315,4785,0.62839,-0.85959),(6315,4795,0.63041,-0.85657),(6315,4805,0.63244,-0.85349),(6315,4815,0.63449,-0.85041),(6315,4825,0.63656,-0.84733),(6315,4835,0.63863,-0.84417),(6315,4845,0.64071,-0.841),(6315,4855,0.64282,-0.83782),(6315,4865,0.64493,-0.83458),(6315,4875,0.64703,-0.83131),(6315,4885,0.64916,-0.82804),(6315,4895,0.65128,-0.82473),(6315,4905,0.65341,-0.82138),(6315,4915,0.65553,-0.81802),(6315,4925,0.65766,-0.81464),(6315,4935,0.65978,-0.8112),(6315,4945,0.66191,-0.80776),(6315,4955,0.66403,-0.80431),(6315,4965,0.66615,-0.80078),(6315,4975,0.66828,-0.79726),(6315,4985,0.67041,-0.79373),(6315,4995,0.67254,-0.79013),(6315,5005,0.67469,-0.78653),(6315,5015,0.67684,-0.78292),(6315,5025,0.679,-0.77925),(6315,5035,0.68116,-0.77555),(6315,5045,0.68335,-0.77186),(6315,5055,0.68554,-0.76813),(6315,5065,0.68773,-0.76437),(6315,5075,0.68994,-0.76061),(6315,5085,0.69216,-0.75683),(6315,5095,0.69437,-0.75302),(6315,5105,0.69658,-0.7492),(6315,5115,0.69878,-0.74536),(6315,5125,0.70098,-0.74146),(6315,5135,0.70317,-0.73755),(6315,5145,0.70535,-0.73364),(6315,5155,0.70753,-0.72966),(6315,5165,0.70971,-0.72568),(6315,5175,0.71188,-0.7217),(6315,5185,0.71406,-0.71767),(6315,5195,0.71623,-0.71365),(6315,5205,0.71841,-0.70962),(6315,5215,0.72058,-0.70555),(6315,5225,0.72276,-0.70146),(6315,5235,0.72494,-0.69738),(6315,5245,0.72712,-0.69325),(6315,5255,0.7293,-0.68908),(6315,5265,0.73149,-0.68492),(6315,5275,0.73368,-0.68073),(6315,5285,0.73587,-0.6765),(6315,5295,0.73806,-0.67226),(6315,5305,0.74025,-0.66801),(6315,5315,0.74244,-0.6637),(6315,5325,0.74462,-0.6594),(6315,5335,0.74679,-0.65509),(6315,5345,0.74895,-0.65069),(6315,5355,0.7511,-0.6463),(6315,5365,0.75322,-0.64191),(6315,5375,0.75533,-0.63746),(6315,5385,0.75743,-0.633),(6315,5395,0.7595,-0.62854),(6315,5405,0.76157,-0.62405),(6315,5415,0.76364,-0.61956),(6315,5425,0.76569,-0.61507),(6315,5435,0.76774,-0.61056),(6315,5445,0.76979,-0.60604),(6315,5455,0.77183,-0.60152),(6315,5465,0.77387,-0.59698),(6315,5475,0.77592,-0.59238),(6315,5485,0.77795,-0.58779),(6315,5495,0.77997,-0.58318),(6315,5505,0.782,-0.57851),(6315,5515,0.78401,-0.57384),(6315,5525,0.78601,-0.56916),(6315,5535,0.78801,-0.56446),(6315,5545,0.78999,-0.55975),(6315,5555,0.79195,-0.55504),(6315,5565,0.7939,-0.5503),(6315,5575,0.79585,-0.54554),(6315,5585,0.79776,-0.54078),(6315,5595,0.79966,-0.53596),(6315,5605,0.80156,-0.53111),(6315,5615,0.80343,-0.52625),(6315,5625,0.80529,-0.52137),(6315,5635,0.80715,-0.51646),(6315,5645,0.809,-0.51155),(6315,5655,0.81084,-0.50664),(6315,5665,0.81269,-0.50172),(6315,5675,0.81453,-0.49679),(6315,5685,0.81636,-0.49187),(6315,5695,0.8182,-0.48691),(6315,5705,0.82003,-0.48194),(6315,5715,0.82184,-0.47698),(6315,5725,0.82366,-0.47196),(6315,5735,0.82545,-0.46692),(6315,5745,0.8272,-0.46188),(6315,5755,0.82895,-0.45681),(6315,5765,0.83069,-0.45172),(6315,5775,0.83236,-0.44662),(6315,5785,0.83403,-0.4415),(6315,5795,0.8357,-0.43635),(6315,5805,0.83731,-0.43119),(6315,5815,0.83893,-0.42603),(6315,5825,0.84054,-0.42083),(6315,5835,0.84213,-0.41564),(6315,5845,0.84372,-0.41044),(6315,5855,0.84531,-0.40524),(6315,5865,0.84688,-0.40004),(6315,5875,0.84844,-0.39484),(6315,5885,0.85001,-0.38962),(6315,5895,0.85155,-0.38441),(6315,5905,0.85307,-0.3792),(6315,5915,0.85459,-0.37395),(6315,5925,0.85609,-0.36869),(6315,5935,0.85754,-0.36343),(6315,5945,0.85898,-0.35812),(6315,5955,0.86043,-0.35278),(6315,5965,0.86181,-0.34745),(6315,5975,0.86318,-0.34208),(6315,5985,0.86456,-0.33667),(6315,5995,0.86589,-0.33126),(6315,6005,0.86722,-0.32584),(6315,6015,0.86855,-0.32042),(6315,6025,0.86983,-0.31499),(6315,6035,0.8711,-0.30957),(6315,6045,0.87237,-0.30412),(6315,6055,0.8736,-0.29867),(6315,6065,0.8748,-0.29323),(6315,6075,0.876,-0.2878),(6315,6085,0.87717,-0.28237),(6315,6095,0.87831,-0.27695),(6315,6105,0.87945,-0.27152),(6315,6115,0.88058,-0.2661),(6315,6125,0.88165,-0.26067),(6315,6135,0.88272,-0.25518),(6315,6145,0.88379,-0.24962),(6315,6155,0.88479,-0.24407),(6315,6165,0.88579,-0.23849),(6315,6175,0.88678,-0.23287),(6315,6185,0.88774,-0.22724),(6315,6195,0.88869,-0.22163),(6315,6205,0.88963,-0.21602),(6315,6215,0.89054,-0.21042),(6315,6225,0.89143,-0.20482),(6315,6235,0.89232,-0.1992),(6315,6245,0.89317,-0.19358),(6315,6255,0.89398,-0.18796),(6315,6265,0.89479,-0.18234),(6315,6275,0.89557,-0.17671),(6315,6285,0.8963,-0.17109),(6315,6295,0.89702,-0.16547),(6315,6305,0.89774,-0.15987),(6315,6315,0.8984,-0.15426),(6315,6325,0.89906,-0.14861),(6315,6335,0.89972,-0.14292),(6315,6345,0.90032,-0.13723),(6315,6355,0.90092,-0.13154),(6315,6365,0.90151,-0.12585),(6315,6375,0.90207,-0.12017),(6315,6385,0.90262,-0.1145),(6315,6395,0.90316,-0.10894),(6315,6405,0.90366,-0.10339),(6315,6415,0.90412,-0.097831),(6315,6425,0.90458,-0.092151),(6315,6435,0.905,-0.086464),(6315,6445,0.90535,-0.080778),(6315,6455,0.9057,-0.075071),(6315,6465,0.90604,-0.069357),(6315,6475,0.90629,-0.063644),(6315,6485,0.90655,-0.057882),(6315,6495,0.9068,-0.052088),(6315,6505,0.90699,-0.046293),(6315,6515,0.90718,-0.040499),(6315,6525,0.90737,-0.034703),(6315,6535,0.90751,-0.028908),(6315,6545,0.90764,-0.023162),(6315,6555,0.90776,-0.017572),(6315,6565,0.90785,-0.011982),(6315,6575,0.90792,-0.006388),(6315,6585,0.90798,-0.000735),(6315,6595,0.77228,0.004919),(6315,6605,0.48666,0.010572),(6315,6615,0.20104,0.011316),(6315,6625,0.000267,0.011429),(6315,6635,0.000305,0.011542),(6315,6645,0.000343,0.011575),(6315,6655,0.00038,0.011576),(6315,6665,0.000418,0.011578),(6315,6675,0.000455,0.011578),(6315,6685,0.000493,0.011578),(6315,6695,0.00053,0.011578),(6315,6705,0.000568,0.011578),(6315,6715,0.000605,0.011576),(6315,6725,0.000642,0.011575),(6315,6735,0.000679,0.011574),(6315,6745,0.000716,0.011571),(6315,6755,0.000753,0.011569),(6315,6765,0.000789,0.011567),(6315,6775,0.000826,0.011563),(6315,6785,0.000862,0.01156),(6315,6795,0.000899,0.011556),(6315,6805,0.000935,0.011552),(6315,6815,0.000971,0.011547),(6315,6825,0.001007,0.011542),(6315,6835,0.001042,0.011537),(6315,6845,0.001078,0.011531),(6315,6855,0.001113,0.011525),(6315,6865,0.001148,0.011519),(6315,6875,0.001184,0.011512),(6315,6885,0.001218,0.011505),(6315,6895,0.001253,0.011498),(6315,6905,0.001287,0.01149),(6315,6915,0.001321,0.011482),(6315,6925,0.001355,0.011474),(6315,6935,0.001389,0.011465),(6315,6945,0.001423,0.011456),(6315,6955,0.001456,0.011447),(6315,6965,0.001489,0.011437),(6315,6975,0.001522,0.011427),(6315,6985,0.001554,0.011417),(6325,5,1.4e-05,-1.32),(6325,15,4.2e-05,-1.3199),(6325,25,6.3e-05,-1.3198),(6325,35,7.7e-05,-1.3197),(6325,45,9.1e-05,-1.3196),(6325,55,0.000105,-1.3195),(6325,65,0.000119,-1.3195),(6325,75,0.000133,-1.3194),(6325,85,0.000147,-1.3194),(6325,95,0.00016,-1.3194),(6325,105,0.00017,-1.3195),(6325,115,0.000178,-1.3195),(6325,125,0.000185,-1.3195),(6325,135,0.000192,-1.3194),(6325,145,0.00021,-1.3194),(6325,155,0.000235,-1.3193),(6325,165,0.000259,-1.3192),(6325,175,0.000284,-1.3192),(6325,185,0.000312,-1.3191),(6325,195,0.000341,-1.3191),(6325,205,0.000371,-1.3191),(6325,215,0.0004,-1.3191),(6325,225,0.000442,-1.3191),(6325,235,0.000489,-1.3191),(6325,245,0.000535,-1.3191),(6325,255,0.000582,-1.3192),(6325,265,0.000582,-1.3193),(6325,275,0.000566,-1.3193),(6325,285,0.00055,-1.3193),(6325,295,0.000535,-1.3193),(6325,305,0.000482,-1.3192),(6325,315,0.00042,-1.3192),(6325,325,0.000357,-1.3191),(6325,335,0.000295,-1.319),(6325,345,0.000256,-1.3189),(6325,355,0.000222,-1.3187),(6325,365,0.000188,-1.3188),(6325,375,0.000154,-1.3188),(6325,385,0.000171,-1.3188),(6325,395,0.000196,-1.3188),(6325,405,0.000221,-1.3188),(6325,415,0.000245,-1.3188),(6325,425,0.000268,-1.3188),(6325,435,0.00029,-1.3188),(6325,445,0.000312,-1.3187),(6325,455,0.000334,-1.3187),(6325,465,0.000374,-1.3186),(6325,475,0.000414,-1.3186),(6325,485,0.000455,-1.3185),(6325,495,0.000496,-1.3185),(6325,505,0.000579,-1.3184),(6325,515,0.000663,-1.3183),(6325,525,0.000748,-1.3184),(6325,535,0.000832,-1.3184),(6325,545,0.000928,-1.3184),(6325,555,0.001024,-1.3184),(6325,565,0.00112,-1.3184),(6325,575,0.001213,-1.3183),(6325,585,0.001285,-1.3183),(6325,595,0.001356,-1.3183),(6325,605,0.001428,-1.3182),(6325,615,0.001495,-1.3182),(6325,625,0.001529,-1.3182),(6325,635,0.001563,-1.3181),(6325,645,0.001597,-1.3181),(6325,655,0.00163,-1.3181),(6325,665,0.001658,-1.3182),(6325,675,0.001686,-1.3182),(6325,685,0.001714,-1.3181),(6325,695,0.001744,-1.318),(6325,705,0.001779,-1.3179),(6325,715,0.001814,-1.3178),(6325,725,0.00185,-1.3177),(6325,735,0.001902,-1.3176),(6325,745,0.002008,-1.3174),(6325,755,0.002114,-1.3173),(6325,765,0.00222,-1.3173),(6325,775,0.002333,-1.3173),(6325,785,0.002464,-1.3172),(6325,795,0.002595,-1.3172),(6325,805,0.002727,-1.3171),(6325,815,0.002856,-1.317),(6325,825,0.002981,-1.3169),(6325,835,0.003106,-1.3167),(6325,845,0.003231,-1.3166),(6325,855,0.003373,-1.3164),(6325,865,0.003548,-1.3162),(6325,875,0.003723,-1.3161),(6325,885,0.003897,-1.316),(6325,895,0.004075,-1.3159),(6325,905,0.004257,-1.3157),(6325,915,0.00444,-1.3156),(6325,925,0.004622,-1.3154),(6325,935,0.004772,-1.3152),(6325,945,0.00488,-1.3149),(6325,955,0.004988,-1.3147),(6325,965,0.005096,-1.3144),(6325,975,0.005176,-1.314),(6325,985,0.005226,-1.3137),(6325,995,0.005275,-1.3134),(6325,1005,0.005325,-1.313),(6325,1015,0.005335,-1.3127),(6325,1025,0.005309,-1.3123),(6325,1035,0.005282,-1.312),(6325,1045,0.005255,-1.3118),(6325,1055,0.005084,-1.3115),(6325,1065,0.004793,-1.3112),(6325,1075,0.004502,-1.3109),(6325,1085,0.004212,-1.3106),(6325,1095,0.003543,-1.3103),(6325,1105,0.00261,-1.31),(6325,1115,0.001677,-1.3097),(6325,1125,0.000744,-1.3093),(6325,1135,-0.000986,-1.3089),(6325,1145,-0.003188,-1.3085),(6325,1155,-0.00539,-1.3083),(6325,1165,-0.007592,-1.3081),(6325,1175,-0.011523,-1.3079),(6325,1185,-0.016312,-1.3077),(6325,1195,-0.021101,-1.3074),(6325,1205,-0.02589,-1.3071),(6325,1215,-0.034087,-1.3067),(6325,1225,-0.04369,-1.3064),(6325,1235,-0.053293,-1.3043),(6325,1245,-0.062896,-1.3016),(6325,1255,-0.077186,-1.2988),(6325,1265,-0.093058,-1.2961),(6325,1275,-0.10893,-1.2866),(6325,1285,-0.1248,-1.275),(6325,1295,-0.12233,-1.2635),(6325,1305,-0.11489,-1.2519),(6325,1315,-0.10745,-1.2383),(6325,1325,-0.10002,-1.2242),(6325,1335,-0.061791,-1.2101),(6325,1345,-0.017113,-1.196),(6325,1355,0.027565,-1.2039),(6325,1365,0.072243,-1.2159),(6325,1375,0.09184,-1.2278),(6325,1385,0.10757,-1.2397),(6325,1395,0.12329,-1.2528),(6325,1405,0.13902,-1.2661),(6325,1415,0.12524,-1.2793),(6325,1425,0.1084,-1.2926),(6325,1435,0.091557,-1.2963),(6325,1445,0.074715,-1.2993),(6325,1455,0.063883,-1.3023),(6325,1465,0.053397,-1.3053),(6325,1475,0.042912,-1.3054),(6325,1485,0.032426,-1.3055),(6325,1495,0.026944,-1.3055),(6325,1505,0.021537,-1.3056),(6325,1515,0.01613,-1.3054),(6325,1525,0.010797,-1.3053),(6325,1535,0.008394,-1.3052),(6325,1545,0.005992,-1.3051),(6325,1555,0.003589,-1.3052),(6325,1565,0.001278,-1.3052),(6325,1575,0.000296,-1.3052),(6325,1585,-0.000687,-1.3052),(6325,1595,-0.001669,-1.3054),(6325,1605,-0.002583,-1.3055),(6325,1615,-0.002909,-1.3056),(6325,1625,-0.003234,-1.3058),(6325,1635,-0.00356,-1.306),(6325,1645,-0.003851,-1.3062),(6325,1655,-0.003935,-1.3064),(6325,1665,-0.004019,-1.3065),(6325,1675,-0.004103,-1.3066),(6325,1685,-0.004155,-1.3067),(6325,1695,-0.004063,-1.3067),(6325,1705,-0.003972,-1.3068),(6325,1715,-0.003881,-1.3069),(6325,1725,-0.003773,-1.307),(6325,1735,-0.003608,-1.3071),(6325,1745,-0.003443,-1.3072),(6325,1755,-0.003278,-1.3072),(6325,1765,-0.003137,-1.3072),(6325,1775,-0.003061,-1.3072),(6325,1785,-0.002984,-1.3072),(6325,1795,-0.002908,-1.3071),(6325,1805,-0.002824,-1.307),(6325,1815,-0.00272,-1.3069),(6325,1825,-0.002616,-1.3068),(6325,1835,-0.002511,-1.3068),(6325,1845,-0.002394,-1.3067),(6325,1855,-0.002249,-1.3066),(6325,1865,-0.002105,-1.3065),(6325,1875,-0.00196,-1.3064),(6325,1885,-0.001825,-1.3062),(6325,1895,-0.001707,-1.306),(6325,1905,-0.001588,-1.3058),(6325,1915,-0.001469,-1.3056),(6325,1925,-0.001365,-1.3054),(6325,1935,-0.001281,-1.3052),(6325,1945,-0.001197,-1.305),(6325,1955,-0.001114,-1.3047),(6325,1965,-0.001032,-1.3045),(6325,1975,-0.000951,-1.3043),(6325,1985,-0.00087,-1.304),(6325,1995,-0.00079,-1.3037),(6325,2005,-0.000704,-1.3034),(6325,2015,-0.000614,-1.3031),(6325,2025,-0.000523,-1.3029),(6325,2035,-0.000433,-1.3026),(6325,2045,-0.000369,-1.3023),(6325,2055,-0.000329,-1.302),(6325,2065,-0.000288,-1.3018),(6325,2075,-0.000248,-1.3015),(6325,2085,-0.000201,-1.3013),(6325,2095,-0.000151,-1.301),(6325,2105,-0.0001,-1.3008),(6325,2115,-5e-05,-1.3005),(6325,2125,1.3e-05,-1.3003),(6325,2135,8.2e-05,-1.3001),(6325,2145,0.000151,-1.2998),(6325,2155,0.00022,-1.2995),(6325,2165,0.000263,-1.2992),(6325,2175,0.000293,-1.2989),(6325,2185,0.000322,-1.2986),(6325,2195,0.000352,-1.2983),(6325,2205,0.000373,-1.2979),(6325,2215,0.00039,-1.2976),(6325,2225,0.000407,-1.2973),(6325,2235,0.000423,-1.2969),(6325,2245,0.000436,-1.2965),(6325,2255,0.000448,-1.2962),(6325,2265,0.000459,-1.2958),(6325,2275,0.000471,-1.2954),(6325,2285,0.000488,-1.295),(6325,2295,0.000508,-1.2946),(6325,2305,0.000528,-1.2942),(6325,2315,0.000547,-1.2939),(6325,2325,0.000604,-1.2935),(6325,2335,0.000668,-1.2932),(6325,2345,0.000733,-1.2928),(6325,2355,0.000798,-1.2925),(6325,2365,0.000846,-1.2921),(6325,2375,0.000891,-1.2918),(6325,2385,0.000936,-1.2913),(6325,2395,0.000981,-1.2908),(6325,2405,0.000999,-1.2903),(6325,2415,0.001014,-1.2898),(6325,2425,0.001029,-1.2893),(6325,2435,0.001044,-1.2888),(6325,2445,0.001072,-1.2883),(6325,2455,0.0011,-1.2878),(6325,2465,0.001128,-1.2873),(6325,2475,0.001156,-1.2869),(6325,2485,0.00123,-1.2864),(6325,2495,0.001305,-1.2859),(6325,2505,0.00138,-1.2855),(6325,2515,0.001455,-1.2851),(6325,2525,0.001565,-1.2847),(6325,2535,0.001674,-1.2843),(6325,2545,0.001783,-1.2839),(6325,2555,0.001889,-1.2835),(6325,2565,0.001935,-1.2831),(6325,2575,0.00198,-1.2827),(6325,2585,0.002025,-1.2821),(6325,2595,0.002063,-1.2816),(6325,2605,0.002036,-1.2811),(6325,2615,0.002008,-1.2806),(6325,2625,0.00198,-1.2799),(6325,2635,0.001957,-1.2793),(6325,2645,0.001969,-1.2787),(6325,2655,0.001981,-1.2781),(6325,2665,0.001992,-1.2774),(6325,2675,0.002003,-1.2768),(6325,2685,0.002011,-1.2762),(6325,2695,0.002019,-1.2756),(6325,2705,0.002027,-1.2749),(6325,2715,0.002031,-1.2743),(6325,2725,0.002023,-1.2737),(6325,2735,0.002015,-1.273),(6325,2745,0.002007,-1.2725),(6325,2755,0.002005,-1.2719),(6325,2765,0.002024,-1.2713),(6325,2775,0.002042,-1.2707),(6325,2785,0.002061,-1.2701),(6325,2795,0.002084,-1.2694),(6325,2805,0.00212,-1.2688),(6325,2815,0.002156,-1.2682),(6325,2825,0.002192,-1.2674),(6325,2835,0.002217,-1.2667),(6325,2845,0.002221,-1.2659),(6325,2855,0.002225,-1.2652),(6325,2865,0.002228,-1.2644),(6325,2875,0.002243,-1.2637),(6325,2885,0.002276,-1.2629),(6325,2895,0.002309,-1.2622),(6325,2905,0.002342,-1.2615),(6325,2915,0.002396,-1.2608),(6325,2925,0.002479,-1.2601),(6325,2935,0.002563,-1.2594),(6325,2945,0.002646,-1.2586),(6325,2955,0.002735,-1.2579),(6325,2965,0.002829,-1.2571),(6325,2975,0.002924,-1.2563),(6325,2985,0.003018,-1.2555),(6325,2995,0.003115,-1.2547),(6325,3005,0.003215,-1.2539),(6325,3015,0.003314,-1.2531),(6325,3025,0.003414,-1.2524),(6325,3035,0.003488,-1.2516),(6325,3045,0.003538,-1.2508),(6325,3055,0.003589,-1.25),(6325,3065,0.003641,-1.2491),(6325,3075,0.003649,-1.2483),(6325,3085,0.003627,-1.2474),(6325,3095,0.003604,-1.2465),(6325,3105,0.003581,-1.2456),(6325,3115,0.003564,-1.2446),(6325,3125,0.00355,-1.2437),(6325,3135,0.003537,-1.2428),(6325,3145,0.003523,-1.2419),(6325,3155,0.003514,-1.241),(6325,3165,0.003507,-1.2401),(6325,3175,0.0035,-1.2391),(6325,3185,0.003493,-1.2381),(6325,3195,0.003527,-1.2372),(6325,3205,0.003578,-1.2362),(6325,3215,0.003629,-1.2352),(6325,3225,0.00368,-1.2343),(6325,3235,0.003772,-1.2333),(6325,3245,0.003879,-1.2323),(6325,3255,0.003987,-1.2313),(6325,3265,0.004094,-1.2302),(6325,3275,0.004193,-1.2292),(6325,3285,0.004289,-1.2281),(6325,3295,0.004386,-1.2271),(6325,3305,0.004482,-1.2261),(6325,3315,0.004544,-1.2251),(6325,3325,0.004598,-1.2241),(6325,3335,0.004651,-1.2231),(6325,3345,0.004704,-1.222),(6325,3355,0.004729,-1.221),(6325,3365,0.004747,-1.2199),(6325,3375,0.004766,-1.2188),(6325,3385,0.004785,-1.2176),(6325,3395,0.004847,-1.2165),(6325,3405,0.004914,-1.2153),(6325,3415,0.004981,-1.2142),(6325,3425,0.005049,-1.213),(6325,3435,0.005117,-1.2119),(6325,3445,0.005186,-1.2108),(6325,3455,0.005255,-1.2094),(6325,3465,0.005323,-1.2081),(6325,3475,0.005422,-1.2067),(6325,3485,0.005522,-1.2054),(6325,3495,0.005622,-1.2042),(6325,3505,0.005722,-1.2029),(6325,3515,0.005824,-1.2017),(6325,3525,0.005926,-1.2005),(6325,3535,0.006029,-1.1992),(6325,3545,0.006132,-1.1979),(6325,3555,0.006271,-1.1967),(6325,3565,0.006409,-1.1954),(6325,3575,0.006548,-1.194),(6325,3585,0.006686,-1.1926),(6325,3595,0.006825,-1.1913),(6325,3605,0.006964,-1.1899),(6325,3615,0.007103,-1.1884),(6325,3625,0.007225,-1.1869),(6325,3635,0.007223,-1.1855),(6325,3645,0.007221,-1.184),(6325,3655,0.007218,-1.1824),(6325,3665,0.007218,-1.1809),(6325,3675,0.00723,-1.1793),(6325,3685,0.007242,-1.1777),(6325,3695,0.007253,-1.1762),(6325,3705,0.007239,-1.1747),(6325,3715,0.007123,-1.1732),(6325,3725,0.007007,-1.1717),(6325,3735,0.006892,-1.1701),(6325,3745,0.006663,-1.1686),(6325,3755,0.006084,-1.167),(6325,3765,0.005505,-1.1655),(6325,3775,0.004926,-1.1638),(6325,3785,0.004169,-1.1621),(6325,3795,0.002959,-1.1604),(6325,3805,0.00175,-1.1587),(6325,3815,0.00054,-1.157),(6325,3825,-0.00099,-1.1553),(6325,3835,-0.003198,-1.1536),(6325,3845,-0.005405,-1.1518),(6325,3855,-0.007613,-1.15),(6325,3865,-0.010482,-1.1482),(6325,3875,-0.014518,-1.1464),(6325,3885,-0.018555,-1.1443),(6325,3895,-0.022592,-1.1418),(6325,3905,-0.027749,-1.1392),(6325,3915,-0.03458,-1.1367),(6325,3925,-0.041411,-1.1332),(6325,3935,-0.048241,-1.1284),(6325,3945,-0.056336,-1.1237),(6325,3955,-0.066035,-1.1189),(6325,3965,-0.075734,-1.1113),(6325,3975,-0.085433,-1.1003),(6325,3985,-0.090667,-1.0892),(6325,3995,-0.091067,-1.0782),(6325,4005,-0.091468,-1.0658),(6325,4015,-0.091868,-1.052),(6325,4025,0.027575,-1.0382),(6325,4035,0.15874,-1.0285),(6325,4045,0.28991,-1.0274),(6325,4055,0.37047,-1.0263),(6325,4065,0.43256,-1.0251),(6325,4075,0.49464,-1.0233),(6325,4085,0.52285,-1.0214),(6325,4095,0.52383,-1.0195),(6325,4105,0.52481,-1.0177),(6325,4115,0.5258,-1.0158),(6325,4125,0.52682,-1.014),(6325,4135,0.52784,-1.0121),(6325,4145,0.52887,-1.0104),(6325,4155,0.52989,-1.0086),(6325,4165,0.53092,-1.0067),(6325,4175,0.53195,-1.0049),(6325,4185,0.53298,-1.003),(6325,4195,0.53402,-1.0011),(6325,4205,0.53505,-0.99911),(6325,4215,0.53612,-0.99713),(6325,4225,0.53719,-0.99514),(6325,4235,0.53826,-0.99317),(6325,4245,0.53937,-0.99119),(6325,4255,0.5405,-0.98922),(6325,4265,0.54163,-0.98719),(6325,4275,0.54279,-0.98517),(6325,4285,0.54397,-0.98314),(6325,4295,0.54515,-0.98109),(6325,4305,0.54634,-0.97904),(6325,4315,0.54757,-0.97699),(6325,4325,0.5488,-0.97493),(6325,4335,0.55003,-0.97288),(6325,4345,0.55131,-0.97082),(6325,4355,0.55259,-0.96873),(6325,4365,0.55387,-0.96661),(6325,4375,0.55519,-0.96448),(6325,4385,0.55651,-0.96232),(6325,4395,0.55783,-0.9601),(6325,4405,0.55919,-0.95787),(6325,4415,0.56056,-0.95563),(6325,4425,0.56194,-0.95336),(6325,4435,0.56335,-0.95108),(6325,4445,0.56478,-0.9488),(6325,4455,0.56622,-0.94652),(6325,4465,0.56769,-0.94425),(6325,4475,0.5692,-0.94197),(6325,4485,0.57071,-0.93966),(6325,4495,0.57224,-0.93735),(6325,4505,0.57382,-0.93503),(6325,4515,0.5754,-0.93267),(6325,4525,0.57699,-0.93029),(6325,4535,0.57863,-0.9279),(6325,4545,0.58028,-0.92547),(6325,4555,0.58192,-0.92298),(6325,4565,0.58362,-0.92049),(6325,4575,0.58532,-0.91797),(6325,4585,0.58702,-0.91539),(6325,4595,0.58876,-0.9128),(6325,4605,0.59051,-0.91021),(6325,4615,0.59226,-0.90757),(6325,4625,0.59403,-0.90494),(6325,4635,0.59582,-0.9023),(6325,4645,0.59761,-0.89961),(6325,4655,0.59942,-0.89692),(6325,4665,0.60125,-0.89423),(6325,4675,0.60308,-0.89145),(6325,4685,0.60491,-0.88864),(6325,4695,0.60678,-0.88583),(6325,4705,0.60865,-0.88296),(6325,4715,0.61051,-0.88003),(6325,4725,0.61242,-0.8771),(6325,4735,0.61433,-0.87415),(6325,4745,0.61624,-0.87117),(6325,4755,0.61819,-0.86819),(6325,4765,0.62014,-0.8652),(6325,4775,0.62209,-0.86218),(6325,4785,0.62407,-0.85916),(6325,4795,0.62606,-0.85614),(6325,4805,0.62805,-0.85305),(6325,4815,0.63007,-0.84996),(6325,4825,0.63211,-0.84687),(6325,4835,0.63416,-0.8437),(6325,4845,0.63621,-0.84052),(6325,4855,0.6383,-0.83734),(6325,4865,0.64038,-0.8341),(6325,4875,0.64247,-0.83083),(6325,4885,0.64457,-0.82756),(6325,4895,0.64668,-0.82425),(6325,4905,0.64878,-0.8209),(6325,4915,0.65089,-0.81755),(6325,4925,0.653,-0.81417),(6325,4935,0.6551,-0.81074),(6325,4945,0.6572,-0.80731),(6325,4955,0.6593,-0.80386),(6325,4965,0.66139,-0.80033),(6325,4975,0.66349,-0.79681),(6325,4985,0.66559,-0.79329),(6325,4995,0.66769,-0.78968),(6325,5005,0.6698,-0.78607),(6325,5015,0.67192,-0.78247),(6325,5025,0.67405,-0.77879),(6325,5035,0.67618,-0.77509),(6325,5045,0.67833,-0.77139),(6325,5055,0.68049,-0.76765),(6325,5065,0.68265,-0.76388),(6325,5075,0.68485,-0.76011),(6325,5085,0.68704,-0.75632),(6325,5095,0.68924,-0.75251),(6325,5105,0.69143,-0.7487),(6325,5115,0.69361,-0.74486),(6325,5125,0.6958,-0.74097),(6325,5135,0.69797,-0.73707),(6325,5145,0.70013,-0.73316),(6325,5155,0.70229,-0.72919),(6325,5165,0.70445,-0.72521),(6325,5175,0.70659,-0.72124),(6325,5185,0.70874,-0.71721),(6325,5195,0.71088,-0.71319),(6325,5205,0.71302,-0.70916),(6325,5215,0.71516,-0.70509),(6325,5225,0.7173,-0.701),(6325,5235,0.71945,-0.69691),(6325,5245,0.72159,-0.69278),(6325,5255,0.72374,-0.68861),(6325,5265,0.7259,-0.68444),(6325,5275,0.72806,-0.68024),(6325,5285,0.73022,-0.676),(6325,5295,0.73239,-0.67176),(6325,5305,0.73456,-0.6675),(6325,5315,0.73673,-0.6632),(6325,5325,0.73889,-0.65889),(6325,5335,0.74105,-0.65458),(6325,5345,0.7432,-0.6502),(6325,5355,0.74533,-0.64583),(6325,5365,0.74743,-0.64145),(6325,5375,0.74954,-0.63701),(6325,5385,0.75162,-0.63256),(6325,5395,0.75367,-0.62811),(6325,5405,0.75572,-0.62363),(6325,5415,0.75776,-0.61914),(6325,5425,0.75978,-0.61465),(6325,5435,0.7618,-0.61015),(6325,5445,0.76382,-0.60562),(6325,5455,0.76583,-0.6011),(6325,5465,0.76784,-0.59655),(6325,5475,0.76986,-0.59195),(6325,5485,0.77186,-0.58735),(6325,5495,0.77386,-0.58274),(6325,5505,0.77587,-0.57807),(6325,5515,0.77786,-0.5734),(6325,5525,0.77984,-0.56872),(6325,5535,0.78182,-0.56402),(6325,5545,0.78379,-0.55932),(6325,5555,0.78573,-0.55462),(6325,5565,0.78767,-0.54988),(6325,5575,0.7896,-0.54513),(6325,5585,0.79149,-0.54038),(6325,5595,0.79337,-0.53557),(6325,5605,0.79526,-0.53072),(6325,5615,0.7971,-0.52587),(6325,5625,0.79893,-0.521),(6325,5635,0.80077,-0.51608),(6325,5645,0.80259,-0.51117),(6325,5655,0.8044,-0.50625),(6325,5665,0.80622,-0.50132),(6325,5675,0.80803,-0.49639),(6325,5685,0.80985,-0.49146),(6325,5695,0.81166,-0.48649),(6325,5705,0.81347,-0.48151),(6325,5715,0.81527,-0.47654),(6325,5725,0.81708,-0.47152),(6325,5735,0.81887,-0.4665),(6325,5745,0.8206,-0.46147),(6325,5755,0.82234,-0.45641),(6325,5765,0.82407,-0.45133),(6325,5775,0.82573,-0.44626),(6325,5785,0.82738,-0.44114),(6325,5795,0.82903,-0.436),(6325,5805,0.83063,-0.43086),(6325,5815,0.83222,-0.42569),(6325,5825,0.8338,-0.42049),(6325,5835,0.83537,-0.4153),(6325,5845,0.83694,-0.41009),(6325,5855,0.8385,-0.40488),(6325,5865,0.84005,-0.39967),(6325,5875,0.8416,-0.39446),(6325,5885,0.84315,-0.38925),(6325,5895,0.84469,-0.38403),(6325,5905,0.8462,-0.37881),(6325,5915,0.84772,-0.37357),(6325,5925,0.84921,-0.36832),(6325,5935,0.85066,-0.36307),(6325,5945,0.8521,-0.35778),(6325,5955,0.85354,-0.35245),(6325,5965,0.8549,-0.34713),(6325,5975,0.85627,-0.34176),(6325,5985,0.85763,-0.33635),(6325,5995,0.85896,-0.33094),(6325,6005,0.86027,-0.32552),(6325,6015,0.86159,-0.3201),(6325,6025,0.86286,-0.31468),(6325,6035,0.86411,-0.30926),(6325,6045,0.86536,-0.30382),(6325,6055,0.86658,-0.29838),(6325,6065,0.86776,-0.29294),(6325,6075,0.86895,-0.28752),(6325,6085,0.87012,-0.28209),(6325,6095,0.87124,-0.27667),(6325,6105,0.87237,-0.27125),(6325,6115,0.87349,-0.26583),(6325,6125,0.87455,-0.26041),(6325,6135,0.87562,-0.25492),(6325,6145,0.87668,-0.24938),(6325,6155,0.87766,-0.24383),(6325,6165,0.87864,-0.23825),(6325,6175,0.87963,-0.23263),(6325,6185,0.88057,-0.227),(6325,6195,0.88151,-0.22138),(6325,6205,0.88244,-0.21578),(6325,6215,0.88335,-0.21018),(6325,6225,0.88423,-0.20458),(6325,6235,0.88511,-0.19897),(6325,6245,0.88596,-0.19335),(6325,6255,0.88676,-0.18774),(6325,6265,0.88756,-0.18213),(6325,6275,0.88834,-0.17652),(6325,6285,0.88905,-0.17091),(6325,6295,0.88977,-0.1653),(6325,6305,0.89048,-0.15969),(6325,6315,0.89113,-0.15408),(6325,6325,0.89178,-0.14843),(6325,6335,0.89243,-0.14274),(6325,6345,0.89302,-0.13706),(6325,6355,0.8936,-0.13137),(6325,6365,0.89418,-0.12568),(6325,6375,0.89474,-0.11999),(6325,6385,0.89528,-0.11431),(6325,6395,0.89582,-0.10876),(6325,6405,0.89632,-0.10322),(6325,6415,0.89679,-0.097668),(6325,6425,0.89725,-0.092003),(6325,6435,0.89768,-0.086332),(6325,6445,0.89804,-0.080662),(6325,6455,0.8984,-0.074969),(6325,6465,0.89874,-0.06927),(6325,6475,0.89899,-0.06357),(6325,6485,0.89925,-0.057817),(6325,6495,0.8995,-0.052027),(6325,6505,0.89968,-0.046237),(6325,6515,0.89986,-0.040446),(6325,6525,0.90004,-0.034652),(6325,6535,0.90017,-0.028858),(6325,6545,0.90029,-0.023113),(6325,6555,0.90041,-0.017524),(6325,6565,0.90049,-0.011934),(6325,6575,0.90055,-0.006339),(6325,6585,0.90061,-0.000682),(6325,6595,0.76601,0.004975),(6325,6605,0.48271,0.010632),(6325,6615,0.19941,0.01137),(6325,6625,0.000264,0.011476),(6325,6635,0.000303,0.011582),(6325,6645,0.000341,0.011613),(6325,6655,0.000379,0.011614),(6325,6665,0.000416,0.011615),(6325,6675,0.000454,0.011616),(6325,6685,0.000492,0.011616),(6325,6695,0.00053,0.011616),(6325,6705,0.000567,0.011615),(6325,6715,0.000605,0.011614),(6325,6725,0.000643,0.011613),(6325,6735,0.00068,0.011611),(6325,6745,0.000717,0.011609),(6325,6755,0.000754,0.011606),(6325,6765,0.000791,0.011604),(6325,6775,0.000828,0.0116),(6325,6785,0.000865,0.011596),(6325,6795,0.000901,0.011593),(6325,6805,0.000938,0.011588),(6325,6815,0.000974,0.011583),(6325,6825,0.00101,0.011579),(6325,6835,0.001046,0.011573),(6325,6845,0.001082,0.011567),(6325,6855,0.001118,0.011561),(6325,6865,0.001153,0.011554),(6325,6875,0.001189,0.011547),(6325,6885,0.001224,0.01154),(6325,6895,0.001259,0.011533),(6325,6905,0.001293,0.011525),(6325,6915,0.001328,0.011516),(6325,6925,0.001362,0.011508),(6325,6935,0.001396,0.011499),(6325,6945,0.00143,0.01149),(6325,6955,0.001463,0.011481),(6325,6965,0.001497,0.01147),(6325,6975,0.00153,0.01146),(6325,6985,0.001563,0.01145),(6335,5,1.5e-05,-1.32),(6335,15,4.4e-05,-1.3199),(6335,25,6.7e-05,-1.3198),(6335,35,8.3e-05,-1.3197),(6335,45,0.0001,-1.3196),(6335,55,0.000117,-1.3195),(6335,65,0.00013,-1.3195),(6335,75,0.00014,-1.3194),(6335,85,0.000151,-1.3194),(6335,95,0.000162,-1.3194),(6335,105,0.000168,-1.3195),(6335,115,0.000171,-1.3195),(6335,125,0.000174,-1.3195),(6335,135,0.000177,-1.3194),(6335,145,0.000191,-1.3193),(6335,155,0.000212,-1.3193),(6335,165,0.000233,-1.3192),(6335,175,0.000254,-1.3192),(6335,185,0.00028,-1.3191),(6335,195,0.000309,-1.3191),(6335,205,0.000338,-1.319),(6335,215,0.000367,-1.319),(6335,225,0.000414,-1.319),(6335,235,0.000468,-1.319),(6335,245,0.000523,-1.3191),(6335,255,0.000577,-1.3192),(6335,265,0.000588,-1.3193),(6335,275,0.000585,-1.3194),(6335,285,0.000582,-1.3193),(6335,295,0.000579,-1.3193),(6335,305,0.00053,-1.3193),(6335,315,0.00047,-1.3192),(6335,325,0.000409,-1.3191),(6335,335,0.000349,-1.319),(6335,345,0.000305,-1.3189),(6335,355,0.000265,-1.3188),(6335,365,0.000225,-1.3188),(6335,375,0.000184,-1.3188),(6335,385,0.000192,-1.3188),(6335,395,0.000207,-1.3188),(6335,405,0.000222,-1.3188),(6335,415,0.000236,-1.3188),(6335,425,0.000252,-1.3188),(6335,435,0.000268,-1.3188),(6335,445,0.000284,-1.3187),(6335,455,0.0003,-1.3187),(6335,465,0.000331,-1.3186),(6335,475,0.000362,-1.3185),(6335,485,0.000394,-1.3185),(6335,495,0.000426,-1.3184),(6335,505,0.000503,-1.3184),(6335,515,0.00058,-1.3183),(6335,525,0.000657,-1.3183),(6335,535,0.000734,-1.3183),(6335,545,0.00083,-1.3183),(6335,555,0.000925,-1.3183),(6335,565,0.00102,-1.3183),(6335,575,0.001114,-1.3183),(6335,585,0.001194,-1.3183),(6335,595,0.001273,-1.3182),(6335,605,0.001353,-1.3182),(6335,615,0.001429,-1.3182),(6335,625,0.001471,-1.3181),(6335,635,0.001512,-1.3181),(6335,645,0.001554,-1.3181),(6335,655,0.001593,-1.3181),(6335,665,0.001621,-1.3181),(6335,675,0.001649,-1.3181),(6335,685,0.001676,-1.3181),(6335,695,0.001704,-1.318),(6335,705,0.00173,-1.3179),(6335,715,0.001757,-1.3178),(6335,725,0.001784,-1.3176),(6335,735,0.001826,-1.3175),(6335,745,0.00192,-1.3174),(6335,755,0.002014,-1.3173),(6335,765,0.002107,-1.3172),(6335,775,0.002207,-1.3172),(6335,785,0.002324,-1.3171),(6335,795,0.002441,-1.3171),(6335,805,0.002558,-1.317),(6335,815,0.002675,-1.3169),(6335,825,0.002791,-1.3168),(6335,835,0.002908,-1.3167),(6335,845,0.003025,-1.3165),(6335,855,0.003157,-1.3163),(6335,865,0.003316,-1.3162),(6335,875,0.003475,-1.316),(6335,885,0.003634,-1.3159),(6335,895,0.003801,-1.3158),(6335,905,0.00398,-1.3156),(6335,915,0.00416,-1.3155),(6335,925,0.004339,-1.3153),(6335,935,0.004484,-1.3151),(6335,945,0.004585,-1.3149),(6335,955,0.004686,-1.3147),(6335,965,0.004787,-1.3143),(6335,975,0.00486,-1.314),(6335,985,0.004901,-1.3137),(6335,995,0.004941,-1.3134),(6335,1005,0.004982,-1.313),(6335,1015,0.00498,-1.3127),(6335,1025,0.004937,-1.3123),(6335,1035,0.004894,-1.312),(6335,1045,0.004851,-1.3118),(6335,1055,0.004674,-1.3115),(6335,1065,0.004387,-1.3113),(6335,1075,0.004101,-1.311),(6335,1085,0.003814,-1.3108),(6335,1095,0.003179,-1.3106),(6335,1105,0.002301,-1.3103),(6335,1115,0.001423,-1.3101),(6335,1125,0.000545,-1.3098),(6335,1135,-0.001101,-1.3096),(6335,1145,-0.0032,-1.3094),(6335,1155,-0.005299,-1.3093),(6335,1165,-0.007398,-1.3094),(6335,1175,-0.011235,-1.3095),(6335,1185,-0.015935,-1.3096),(6335,1195,-0.020635,-1.3098),(6335,1205,-0.025335,-1.31),(6335,1215,-0.033865,-1.3103),(6335,1225,-0.043976,-1.3106),(6335,1235,-0.054086,-1.3092),(6335,1245,-0.064197,-1.3073),(6335,1255,-0.080596,-1.3054),(6335,1265,-0.099119,-1.3035),(6335,1275,-0.11764,-1.2941),(6335,1285,-0.13617,-1.2824),(6335,1295,-0.13535,-1.2708),(6335,1305,-0.1293,-1.2591),(6335,1315,-0.12325,-1.244),(6335,1325,-0.11721,-1.2281),(6335,1335,-0.072409,-1.2122),(6335,1345,-0.019489,-1.1963),(6335,1355,0.033431,-1.2054),(6335,1365,0.08635,-1.2191),(6335,1375,0.10681,-1.2327),(6335,1385,0.12227,-1.2464),(6335,1395,0.13773,-1.2601),(6335,1405,0.15319,-1.2737),(6335,1415,0.13652,-1.2873),(6335,1425,0.11651,-1.301),(6335,1435,0.09651,-1.3039),(6335,1445,0.076507,-1.306),(6335,1455,0.064954,-1.3081),(6335,1465,0.053888,-1.3102),(6335,1475,0.042822,-1.3097),(6335,1485,0.031756,-1.3091),(6335,1495,0.026389,-1.3085),(6335,1505,0.021108,-1.3079),(6335,1515,0.015827,-1.3074),(6335,1525,0.010619,-1.307),(6335,1535,0.008314,-1.3065),(6335,1545,0.006009,-1.306),(6335,1555,0.003704,-1.3059),(6335,1565,0.001485,-1.3058),(6335,1575,0.000526,-1.3057),(6335,1585,-0.000433,-1.3056),(6335,1595,-0.001392,-1.3056),(6335,1605,-0.002286,-1.3057),(6335,1615,-0.002621,-1.3057),(6335,1625,-0.002956,-1.3058),(6335,1635,-0.003291,-1.306),(6335,1645,-0.00359,-1.3062),(6335,1655,-0.003677,-1.3064),(6335,1665,-0.003764,-1.3065),(6335,1675,-0.003851,-1.3066),(6335,1685,-0.003908,-1.3066),(6335,1695,-0.003832,-1.3067),(6335,1705,-0.003757,-1.3067),(6335,1715,-0.003682,-1.3068),(6335,1725,-0.003587,-1.3069),(6335,1735,-0.003423,-1.307),(6335,1745,-0.00326,-1.3071),(6335,1755,-0.003096,-1.3071),(6335,1765,-0.00295,-1.3072),(6335,1775,-0.002852,-1.3072),(6335,1785,-0.002754,-1.3072),(6335,1795,-0.002656,-1.3071),(6335,1805,-0.002554,-1.307),(6335,1815,-0.002444,-1.3069),(6335,1825,-0.002333,-1.3068),(6335,1835,-0.002223,-1.3067),(6335,1845,-0.002104,-1.3067),(6335,1855,-0.00197,-1.3066),(6335,1865,-0.001836,-1.3065),(6335,1875,-0.001702,-1.3063),(6335,1885,-0.001582,-1.3061),(6335,1895,-0.001486,-1.306),(6335,1905,-0.001391,-1.3058),(6335,1915,-0.001295,-1.3056),(6335,1925,-0.001211,-1.3054),(6335,1935,-0.001144,-1.3052),(6335,1945,-0.001076,-1.305),(6335,1955,-0.001009,-1.3047),(6335,1965,-0.000943,-1.3045),(6335,1975,-0.00088,-1.3042),(6335,1985,-0.000818,-1.3039),(6335,1995,-0.000755,-1.3037),(6335,2005,-0.000683,-1.3034),(6335,2015,-0.000601,-1.3031),(6335,2025,-0.000519,-1.3028),(6335,2035,-0.000437,-1.3026),(6335,2045,-0.000376,-1.3023),(6335,2055,-0.000334,-1.302),(6335,2065,-0.000292,-1.3018),(6335,2075,-0.000249,-1.3015),(6335,2085,-0.000204,-1.3012),(6335,2095,-0.000156,-1.301),(6335,2105,-0.000107,-1.3007),(6335,2115,-5.9e-05,-1.3005),(6335,2125,1e-06,-1.3003),(6335,2135,6.8e-05,-1.3),(6335,2145,0.000135,-1.2998),(6335,2155,0.000202,-1.2995),(6335,2165,0.000246,-1.2992),(6335,2175,0.000279,-1.2989),(6335,2185,0.000312,-1.2986),(6335,2195,0.000344,-1.2983),(6335,2205,0.000373,-1.2979),(6335,2215,0.000399,-1.2976),(6335,2225,0.000425,-1.2973),(6335,2235,0.000451,-1.2969),(6335,2245,0.000478,-1.2965),(6335,2255,0.000505,-1.2962),(6335,2265,0.000532,-1.2958),(6335,2275,0.00056,-1.2954),(6335,2285,0.000579,-1.295),(6335,2295,0.000596,-1.2946),(6335,2305,0.000614,-1.2942),(6335,2315,0.000631,-1.2938),(6335,2325,0.000682,-1.2935),(6335,2335,0.000741,-1.2931),(6335,2345,0.0008,-1.2928),(6335,2355,0.000859,-1.2924),(6335,2365,0.000902,-1.2921),(6335,2375,0.000941,-1.2917),(6335,2385,0.00098,-1.2913),(6335,2395,0.00102,-1.2908),(6335,2405,0.001029,-1.2903),(6335,2415,0.001035,-1.2898),(6335,2425,0.001041,-1.2893),(6335,2435,0.001047,-1.2888),(6335,2445,0.001057,-1.2883),(6335,2455,0.001068,-1.2878),(6335,2465,0.001078,-1.2873),(6335,2475,0.001089,-1.2868),(6335,2485,0.001143,-1.2864),(6335,2495,0.001198,-1.2859),(6335,2505,0.001253,-1.2855),(6335,2515,0.001309,-1.285),(6335,2525,0.001414,-1.2846),(6335,2535,0.001519,-1.2842),(6335,2545,0.001624,-1.2838),(6335,2555,0.001726,-1.2834),(6335,2565,0.001784,-1.283),(6335,2575,0.001842,-1.2826),(6335,2585,0.001901,-1.2821),(6335,2595,0.001951,-1.2816),(6335,2605,0.001924,-1.2811),(6335,2615,0.001897,-1.2806),(6335,2625,0.00187,-1.28),(6335,2635,0.001847,-1.2793),(6335,2645,0.001851,-1.2787),(6335,2655,0.001854,-1.2781),(6335,2665,0.001858,-1.2774),(6335,2675,0.001861,-1.2768),(6335,2685,0.001861,-1.2762),(6335,2695,0.001861,-1.2756),(6335,2705,0.001861,-1.275),(6335,2715,0.001862,-1.2743),(6335,2725,0.001867,-1.2737),(6335,2735,0.001872,-1.2731),(6335,2745,0.001877,-1.2725),(6335,2755,0.001887,-1.2719),(6335,2765,0.001912,-1.2713),(6335,2775,0.001937,-1.2707),(6335,2785,0.001961,-1.27),(6335,2795,0.00199,-1.2694),(6335,2805,0.002027,-1.2688),(6335,2815,0.002065,-1.2681),(6335,2825,0.002103,-1.2674),(6335,2835,0.00213,-1.2667),(6335,2845,0.002135,-1.266),(6335,2855,0.002141,-1.2652),(6335,2865,0.002146,-1.2644),(6335,2875,0.002159,-1.2637),(6335,2885,0.002184,-1.2629),(6335,2895,0.002209,-1.2622),(6335,2905,0.002234,-1.2615),(6335,2915,0.002277,-1.2608),(6335,2925,0.002344,-1.2601),(6335,2935,0.002412,-1.2593),(6335,2945,0.002479,-1.2586),(6335,2955,0.00255,-1.2578),(6335,2965,0.002625,-1.257),(6335,2975,0.002699,-1.2562),(6335,2985,0.002774,-1.2554),(6335,2995,0.002855,-1.2546),(6335,3005,0.002944,-1.2538),(6335,3015,0.003032,-1.2531),(6335,3025,0.00312,-1.2523),(6335,3035,0.003198,-1.2516),(6335,3045,0.003267,-1.2508),(6335,3055,0.003335,-1.25),(6335,3065,0.003403,-1.2491),(6335,3075,0.003426,-1.2483),(6335,3085,0.003412,-1.2474),(6335,3095,0.003399,-1.2465),(6335,3105,0.003386,-1.2456),(6335,3115,0.003384,-1.2447),(6335,3125,0.003389,-1.2437),(6335,3135,0.003394,-1.2428),(6335,3145,0.003399,-1.2419),(6335,3155,0.0034,-1.241),(6335,3165,0.003397,-1.2401),(6335,3175,0.003395,-1.2391),(6335,3185,0.003393,-1.2381),(6335,3195,0.003415,-1.2372),(6335,3205,0.003448,-1.2362),(6335,3215,0.003481,-1.2352),(6335,3225,0.003513,-1.2342),(6335,3235,0.003584,-1.2332),(6335,3245,0.003668,-1.2323),(6335,3255,0.003753,-1.2312),(6335,3265,0.003838,-1.2302),(6335,3275,0.003923,-1.2291),(6335,3285,0.004008,-1.2281),(6335,3295,0.004093,-1.2271),(6335,3305,0.004178,-1.2261),(6335,3315,0.004242,-1.2251),(6335,3325,0.004301,-1.2241),(6335,3335,0.004359,-1.2231),(6335,3345,0.004418,-1.222),(6335,3355,0.004457,-1.221),(6335,3365,0.004493,-1.2199),(6335,3375,0.004529,-1.2188),(6335,3385,0.004564,-1.2176),(6335,3395,0.004641,-1.2164),(6335,3405,0.004724,-1.2153),(6335,3415,0.004806,-1.2141),(6335,3425,0.004889,-1.213),(6335,3435,0.004928,-1.2119),(6335,3445,0.004965,-1.2107),(6335,3455,0.005001,-1.2094),(6335,3465,0.005037,-1.208),(6335,3475,0.00511,-1.2067),(6335,3485,0.005183,-1.2054),(6335,3495,0.005257,-1.2041),(6335,3505,0.005332,-1.2029),(6335,3515,0.005437,-1.2017),(6335,3525,0.005543,-1.2005),(6335,3535,0.005649,-1.1992),(6335,3545,0.005755,-1.1979),(6335,3555,0.005867,-1.1966),(6335,3565,0.005979,-1.1953),(6335,3575,0.006091,-1.1939),(6335,3585,0.006205,-1.1925),(6335,3595,0.006336,-1.1912),(6335,3605,0.006468,-1.1898),(6335,3615,0.006599,-1.1883),(6335,3625,0.006713,-1.1869),(6335,3635,0.006702,-1.1855),(6335,3645,0.006691,-1.184),(6335,3655,0.006679,-1.1824),(6335,3665,0.006671,-1.1809),(6335,3675,0.006681,-1.1793),(6335,3685,0.006691,-1.1777),(6335,3695,0.0067,-1.1762),(6335,3705,0.006679,-1.1747),(6335,3715,0.006537,-1.1732),(6335,3725,0.006394,-1.1717),(6335,3735,0.006252,-1.1703),(6335,3745,0.006012,-1.1688),(6335,3755,0.00547,-1.1673),(6335,3765,0.004927,-1.1658),(6335,3775,0.004384,-1.1642),(6335,3785,0.003668,-1.1626),(6335,3795,0.00251,-1.161),(6335,3805,0.001352,-1.1594),(6335,3815,0.000194,-1.1578),(6335,3825,-0.001305,-1.1563),(6335,3835,-0.003523,-1.1547),(6335,3845,-0.005741,-1.1531),(6335,3855,-0.007959,-1.1516),(6335,3865,-0.010877,-1.1501),(6335,3875,-0.015032,-1.1486),(6335,3885,-0.019187,-1.1468),(6335,3895,-0.023342,-1.1447),(6335,3905,-0.028812,-1.1426),(6335,3915,-0.036246,-1.1405),(6335,3925,-0.04368,-1.1374),(6335,3935,-0.051114,-1.1332),(6335,3945,-0.060334,-1.1289),(6335,3955,-0.07182,-1.1246),(6335,3965,-0.083307,-1.1171),(6335,3975,-0.094794,-1.1058),(6335,3985,-0.1018,-1.0945),(6335,3995,-0.10395,-1.0832),(6335,4005,-0.1061,-1.0699),(6335,4015,-0.10826,-1.0545),(6335,4025,0.015232,-1.0392),(6335,4035,0.15101,-1.0284),(6335,4045,0.28679,-1.0273),(6335,4055,0.36831,-1.0263),(6335,4065,0.43003,-1.0251),(6335,4075,0.49176,-1.0232),(6335,4085,0.51979,-1.0213),(6335,4095,0.52075,-1.0194),(6335,4105,0.52171,-1.0176),(6335,4115,0.52269,-1.0157),(6335,4125,0.5237,-1.0138),(6335,4135,0.52472,-1.012),(6335,4145,0.52573,-1.0102),(6335,4155,0.52675,-1.0085),(6335,4165,0.52777,-1.0066),(6335,4175,0.52878,-1.0048),(6335,4185,0.52982,-1.0029),(6335,4195,0.53086,-1.001),(6335,4205,0.53189,-0.99905),(6335,4215,0.53296,-0.99706),(6335,4225,0.53403,-0.99508),(6335,4235,0.5351,-0.9931),(6335,4245,0.5362,-0.99112),(6335,4255,0.53732,-0.98914),(6335,4265,0.53844,-0.9871),(6335,4275,0.53958,-0.98507),(6335,4285,0.54075,-0.98304),(6335,4295,0.54191,-0.98098),(6335,4305,0.54309,-0.97892),(6335,4315,0.5443,-0.97686),(6335,4325,0.54551,-0.9748),(6335,4335,0.54673,-0.97274),(6335,4345,0.54799,-0.97067),(6335,4355,0.54926,-0.96857),(6335,4365,0.55052,-0.96644),(6335,4375,0.55182,-0.96432),(6335,4385,0.55313,-0.96215),(6335,4395,0.55443,-0.95991),(6335,4405,0.55578,-0.95768),(6335,4415,0.55713,-0.95543),(6335,4425,0.55849,-0.95314),(6335,4435,0.55988,-0.95086),(6335,4445,0.5613,-0.94857),(6335,4455,0.56272,-0.94628),(6335,4465,0.56416,-0.94399),(6335,4475,0.56564,-0.9417),(6335,4485,0.56713,-0.93938),(6335,4495,0.56863,-0.93705),(6335,4505,0.57019,-0.93473),(6335,4515,0.57174,-0.93236),(6335,4525,0.57331,-0.92997),(6335,4535,0.57493,-0.92758),(6335,4545,0.57655,-0.92514),(6335,4555,0.57817,-0.92264),(6335,4565,0.57984,-0.92014),(6335,4575,0.58152,-0.91762),(6335,4585,0.58319,-0.91503),(6335,4595,0.5849,-0.91244),(6335,4605,0.58663,-0.90985),(6335,4615,0.58835,-0.90721),(6335,4625,0.5901,-0.90457),(6335,4635,0.59186,-0.90194),(6335,4645,0.59363,-0.89925),(6335,4655,0.59541,-0.89655),(6335,4665,0.59722,-0.89386),(6335,4675,0.59902,-0.89107),(6335,4685,0.60084,-0.88826),(6335,4695,0.60269,-0.88545),(6335,4705,0.60453,-0.88257),(6335,4715,0.60638,-0.87964),(6335,4725,0.60827,-0.87671),(6335,4735,0.61015,-0.87375),(6335,4745,0.61204,-0.87077),(6335,4755,0.61396,-0.86778),(6335,4765,0.61589,-0.86479),(6335,4775,0.61781,-0.86176),(6335,4785,0.61977,-0.85873),(6335,4795,0.62173,-0.8557),(6335,4805,0.62369,-0.8526),(6335,4815,0.62568,-0.8495),(6335,4825,0.62769,-0.84641),(6335,4835,0.6297,-0.84323),(6335,4845,0.63172,-0.84004),(6335,4855,0.63377,-0.83686),(6335,4865,0.63582,-0.83361),(6335,4875,0.63788,-0.83034),(6335,4885,0.63996,-0.82707),(6335,4895,0.64204,-0.82376),(6335,4905,0.64412,-0.82042),(6335,4915,0.6462,-0.81708),(6335,4925,0.64829,-0.81371),(6335,4935,0.65038,-0.81028),(6335,4945,0.65247,-0.80685),(6335,4955,0.65455,-0.80341),(6335,4965,0.65663,-0.79988),(6335,4975,0.65872,-0.79636),(6335,4985,0.6608,-0.79284),(6335,4995,0.66288,-0.78923),(6335,5005,0.66497,-0.78562),(6335,5015,0.66706,-0.78201),(6335,5025,0.66915,-0.77832),(6335,5035,0.67125,-0.77462),(6335,5045,0.67336,-0.77091),(6335,5055,0.67547,-0.76716),(6335,5065,0.67759,-0.76338),(6335,5075,0.67976,-0.7596),(6335,5085,0.68192,-0.75581),(6335,5095,0.68409,-0.752),(6335,5105,0.68625,-0.74819),(6335,5115,0.68841,-0.74436),(6335,5125,0.69057,-0.74047),(6335,5135,0.69272,-0.73658),(6335,5145,0.69486,-0.73269),(6335,5155,0.697,-0.72872),(6335,5165,0.69914,-0.72475),(6335,5175,0.70127,-0.72077),(6335,5185,0.7034,-0.71675),(6335,5195,0.70553,-0.71273),(6335,5205,0.70765,-0.7087),(6335,5215,0.70978,-0.70463),(6335,5225,0.7119,-0.70054),(6335,5235,0.71402,-0.69645),(6335,5245,0.71614,-0.69231),(6335,5255,0.71826,-0.68814),(6335,5265,0.72038,-0.68396),(6335,5275,0.72251,-0.67976),(6335,5285,0.72464,-0.67551),(6335,5295,0.72677,-0.67126),(6335,5305,0.72891,-0.667),(6335,5315,0.73105,-0.66269),(6335,5325,0.73318,-0.65839),(6335,5335,0.73532,-0.65408),(6335,5345,0.73745,-0.64971),(6335,5355,0.73956,-0.64535),(6335,5365,0.74165,-0.64098),(6335,5375,0.74373,-0.63656),(6335,5385,0.74581,-0.63212),(6335,5395,0.74784,-0.62768),(6335,5405,0.74988,-0.62321),(6335,5415,0.75191,-0.61873),(6335,5425,0.75391,-0.61424),(6335,5435,0.75592,-0.60973),(6335,5445,0.75792,-0.6052),(6335,5455,0.75991,-0.60068),(6335,5465,0.7619,-0.59612),(6335,5475,0.76388,-0.59152),(6335,5485,0.76586,-0.58692),(6335,5495,0.76784,-0.58231),(6335,5505,0.76981,-0.57763),(6335,5515,0.77178,-0.57296),(6335,5525,0.77374,-0.56829),(6335,5535,0.77569,-0.56359),(6335,5545,0.77764,-0.55889),(6335,5555,0.77956,-0.55419),(6335,5565,0.78149,-0.54946),(6335,5575,0.7834,-0.54472),(6335,5585,0.78527,-0.53998),(6335,5595,0.78715,-0.53518),(6335,5605,0.78902,-0.53034),(6335,5615,0.79084,-0.52549),(6335,5625,0.79266,-0.52062),(6335,5635,0.79448,-0.5157),(6335,5645,0.79627,-0.51079),(6335,5655,0.79806,-0.50587),(6335,5665,0.79984,-0.50093),(6335,5675,0.80162,-0.49599),(6335,5685,0.80339,-0.49105),(6335,5695,0.80516,-0.48607),(6335,5705,0.80695,-0.48109),(6335,5715,0.80874,-0.47611),(6335,5725,0.81054,-0.47109),(6335,5735,0.81231,-0.46608),(6335,5745,0.81404,-0.46106),(6335,5755,0.81577,-0.45601),(6335,5765,0.81749,-0.45095),(6335,5775,0.81914,-0.44589),(6335,5785,0.82079,-0.44079),(6335,5795,0.82244,-0.43565),(6335,5805,0.82402,-0.43052),(6335,5815,0.8256,-0.42536),(6335,5825,0.82718,-0.42016),(6335,5835,0.82873,-0.41495),(6335,5845,0.83027,-0.40975),(6335,5855,0.83181,-0.40452),(6335,5865,0.83334,-0.3993),(6335,5875,0.83485,-0.39408),(6335,5885,0.83637,-0.38887),(6335,5895,0.83788,-0.38365),(6335,5905,0.83937,-0.37843),(6335,5915,0.84086,-0.3732),(6335,5925,0.84233,-0.36796),(6335,5935,0.84375,-0.36272),(6335,5945,0.84518,-0.35743),(6335,5955,0.8466,-0.35212),(6335,5965,0.84794,-0.34681),(6335,5975,0.84928,-0.34145),(6335,5985,0.85063,-0.33603),(6335,5995,0.85195,-0.33062),(6335,6005,0.85327,-0.3252),(6335,6015,0.8546,-0.31979),(6335,6025,0.85586,-0.31438),(6335,6035,0.85711,-0.30896),(6335,6045,0.85836,-0.30353),(6335,6055,0.85957,-0.29809),(6335,6065,0.86075,-0.29266),(6335,6075,0.86193,-0.28723),(6335,6085,0.86309,-0.28181),(6335,6095,0.86422,-0.27639),(6335,6105,0.86535,-0.27098),(6335,6115,0.86646,-0.26556),(6335,6125,0.86752,-0.26015),(6335,6135,0.86858,-0.25467),(6335,6145,0.86963,-0.24913),(6335,6155,0.87061,-0.24359),(6335,6165,0.87158,-0.23802),(6335,6175,0.87255,-0.23239),(6335,6185,0.87348,-0.22676),(6335,6195,0.8744,-0.22114),(6335,6205,0.87532,-0.21554),(6335,6215,0.8762,-0.20994),(6335,6225,0.87707,-0.20433),(6335,6235,0.87793,-0.19873),(6335,6245,0.87877,-0.19313),(6335,6255,0.87956,-0.18752),(6335,6265,0.88035,-0.18192),(6335,6275,0.88112,-0.17632),(6335,6285,0.88182,-0.17072),(6335,6295,0.88252,-0.16512),(6335,6305,0.88321,-0.15951),(6335,6315,0.88387,-0.1539),(6335,6325,0.88453,-0.14825),(6335,6335,0.88519,-0.14257),(6335,6345,0.88577,-0.13689),(6335,6355,0.88634,-0.1312),(6335,6365,0.88692,-0.1255),(6335,6375,0.88746,-0.1198),(6335,6385,0.88799,-0.11413),(6335,6395,0.88852,-0.10859),(6335,6405,0.88901,-0.10305),(6335,6415,0.88947,-0.097504),(6335,6425,0.88993,-0.091855),(6335,6435,0.89036,-0.086201),(6335,6445,0.89073,-0.080546),(6335,6455,0.89109,-0.074868),(6335,6465,0.89144,-0.069182),(6335,6475,0.8917,-0.063497),(6335,6485,0.89197,-0.057751),(6335,6495,0.89223,-0.051966),(6335,6505,0.89241,-0.046181),(6335,6515,0.8926,-0.040393),(6335,6525,0.89278,-0.0346),(6335,6535,0.8929,-0.028808),(6335,6545,0.893,-0.023065),(6335,6555,0.89311,-0.017475),(6335,6565,0.89318,-0.011885),(6335,6575,0.89322,-0.006291),(6335,6585,0.89327,-0.00063),(6335,6595,0.75975,0.005031),(6335,6605,0.47876,0.010692),(6335,6615,0.19778,0.011424),(6335,6625,0.000262,0.011523),(6335,6635,0.0003,0.011622),(6335,6645,0.000339,0.011651),(6335,6655,0.000377,0.011652),(6335,6665,0.000415,0.011653),(6335,6675,0.000453,0.011654),(6335,6685,0.000492,0.011653),(6335,6695,0.00053,0.011653),(6335,6705,0.000568,0.011653),(6335,6715,0.000606,0.011651),(6335,6725,0.000643,0.01165),(6335,6735,0.000681,0.011648),(6335,6745,0.000719,0.011646),(6335,6755,0.000756,0.011643),(6335,6765,0.000793,0.011641),(6335,6775,0.000831,0.011637),(6335,6785,0.000868,0.011633),(6335,6795,0.000905,0.011629),(6335,6805,0.000942,0.011625),(6335,6815,0.000978,0.01162),(6335,6825,0.001015,0.011615),(6335,6835,0.001051,0.011609),(6335,6845,0.001087,0.011603),(6335,6855,0.001123,0.011597),(6335,6865,0.001159,0.01159),(6335,6875,0.001195,0.011583),(6335,6885,0.00123,0.011575),(6335,6895,0.001265,0.011568),(6335,6905,0.0013,0.011559),(6335,6915,0.001335,0.011551),(6335,6925,0.001369,0.011542),(6335,6935,0.001404,0.011533),(6335,6945,0.001438,0.011523),(6335,6955,0.001472,0.011514),(6335,6965,0.001505,0.011504),(6335,6975,0.001539,0.011493),(6335,6985,0.001572,0.011483),(6345,5,1.6e-05,-1.32),(6345,15,4.7e-05,-1.3199),(6345,25,7.1e-05,-1.3198),(6345,35,9e-05,-1.3197),(6345,45,0.000109,-1.3196),(6345,55,0.000128,-1.3195),(6345,65,0.000141,-1.3195),(6345,75,0.000148,-1.3194),(6345,85,0.000155,-1.3194),(6345,95,0.000163,-1.3195),(6345,105,0.000165,-1.3195),(6345,115,0.000164,-1.3195),(6345,125,0.000163,-1.3195),(6345,135,0.000162,-1.3194),(6345,145,0.000172,-1.3193),(6345,155,0.00019,-1.3193),(6345,165,0.000207,-1.3192),(6345,175,0.000224,-1.3192),(6345,185,0.000248,-1.3191),(6345,195,0.000277,-1.319),(6345,205,0.000305,-1.319),(6345,215,0.000333,-1.319),(6345,225,0.000385,-1.319),(6345,235,0.000448,-1.319),(6345,245,0.00051,-1.319),(6345,255,0.000572,-1.3191),(6345,265,0.000595,-1.3192),(6345,275,0.000604,-1.3193),(6345,285,0.000614,-1.3194),(6345,295,0.000623,-1.3193),(6345,305,0.000579,-1.3193),(6345,315,0.00052,-1.3193),(6345,325,0.000462,-1.3192),(6345,335,0.000403,-1.3191),(6345,345,0.000355,-1.3189),(6345,355,0.000308,-1.3188),(6345,365,0.000261,-1.3188),(6345,375,0.000214,-1.3188),(6345,385,0.000213,-1.3188),(6345,395,0.000218,-1.3188),(6345,405,0.000223,-1.3188),(6345,415,0.000228,-1.3188),(6345,425,0.000237,-1.3188),(6345,435,0.000246,-1.3188),(6345,445,0.000256,-1.3187),(6345,455,0.000266,-1.3187),(6345,465,0.000288,-1.3186),(6345,475,0.000311,-1.3185),(6345,485,0.000333,-1.3185),(6345,495,0.000356,-1.3184),(6345,505,0.000426,-1.3183),(6345,515,0.000496,-1.3182),(6345,525,0.000566,-1.3182),(6345,535,0.000637,-1.3183),(6345,545,0.000731,-1.3183),(6345,555,0.000826,-1.3183),(6345,565,0.00092,-1.3183),(6345,575,0.001014,-1.3182),(6345,585,0.001102,-1.3182),(6345,595,0.001191,-1.3182),(6345,605,0.001279,-1.3182),(6345,615,0.001363,-1.3181),(6345,625,0.001412,-1.3181),(6345,635,0.001461,-1.3181),(6345,645,0.001511,-1.3181),(6345,655,0.001556,-1.3181),(6345,665,0.001584,-1.3181),(6345,675,0.001611,-1.3181),(6345,685,0.001638,-1.318),(6345,695,0.001664,-1.318),(6345,705,0.001682,-1.3179),(6345,715,0.0017,-1.3178),(6345,725,0.001718,-1.3176),(6345,735,0.00175,-1.3175),(6345,745,0.001832,-1.3173),(6345,755,0.001913,-1.3172),(6345,765,0.001995,-1.3172),(6345,775,0.002082,-1.3171),(6345,785,0.002184,-1.3171),(6345,795,0.002287,-1.317),(6345,805,0.002389,-1.3169),(6345,815,0.002494,-1.3168),(6345,825,0.002602,-1.3168),(6345,835,0.002711,-1.3166),(6345,845,0.002819,-1.3165),(6345,855,0.00294,-1.3163),(6345,865,0.003084,-1.3161),(6345,875,0.003228,-1.3159),(6345,885,0.003371,-1.3158),(6345,895,0.003528,-1.3157),(6345,905,0.003704,-1.3156),(6345,915,0.003879,-1.3154),(6345,925,0.004055,-1.3152),(6345,935,0.004196,-1.315),(6345,945,0.00429,-1.3149),(6345,955,0.004384,-1.3146),(6345,965,0.004478,-1.3143),(6345,975,0.004543,-1.314),(6345,985,0.004575,-1.3137),(6345,995,0.004608,-1.3134),(6345,1005,0.00464,-1.313),(6345,1015,0.004625,-1.3127),(6345,1025,0.004565,-1.3123),(6345,1035,0.004506,-1.312),(6345,1045,0.004446,-1.3118),(6345,1055,0.004264,-1.3116),(6345,1065,0.003982,-1.3113),(6345,1075,0.003699,-1.3111),(6345,1085,0.003417,-1.311),(6345,1095,0.002816,-1.3108),(6345,1105,0.001992,-1.3106),(6345,1115,0.001169,-1.3105),(6345,1125,0.000345,-1.3104),(6345,1135,-0.001216,-1.3103),(6345,1145,-0.003211,-1.3101),(6345,1155,-0.005207,-1.3103),(6345,1165,-0.007203,-1.3107),(6345,1175,-0.010946,-1.311),(6345,1185,-0.015557,-1.3113),(6345,1195,-0.020168,-1.3121),(6345,1205,-0.024779,-1.313),(6345,1215,-0.033643,-1.3138),(6345,1225,-0.044261,-1.3147),(6345,1235,-0.054879,-1.3143),(6345,1245,-0.065498,-1.3134),(6345,1255,-0.084006,-1.3125),(6345,1265,-0.10518,-1.3116),(6345,1275,-0.12635,-1.3025),(6345,1285,-0.14753,-1.2909),(6345,1295,-0.14837,-1.2794),(6345,1305,-0.14371,-1.2678),(6345,1315,-0.13906,-1.2509),(6345,1325,-0.1344,-1.2328),(6345,1335,-0.083028,-1.2147),(6345,1345,-0.021866,-1.1966),(6345,1355,0.039296,-1.2072),(6345,1365,0.10046,-1.2231),(6345,1375,0.12179,-1.2389),(6345,1385,0.13698,-1.2548),(6345,1395,0.15216,-1.2688),(6345,1405,0.16735,-1.2826),(6345,1415,0.14779,-1.2964),(6345,1425,0.12463,-1.3102),(6345,1435,0.10146,-1.3121),(6345,1445,0.078298,-1.3131),(6345,1455,0.066025,-1.3141),(6345,1465,0.054379,-1.3151),(6345,1475,0.042733,-1.3139),(6345,1485,0.031087,-1.3127),(6345,1495,0.025835,-1.3114),(6345,1505,0.02068,-1.3101),(6345,1515,0.015524,-1.3093),(6345,1525,0.010442,-1.3085),(6345,1535,0.008234,-1.3077),(6345,1545,0.006026,-1.3069),(6345,1555,0.003818,-1.3066),(6345,1565,0.001692,-1.3064),(6345,1575,0.000756,-1.3061),(6345,1585,-0.000179,-1.3059),(6345,1595,-0.001115,-1.3059),(6345,1605,-0.001989,-1.3059),(6345,1615,-0.002333,-1.3059),(6345,1625,-0.002678,-1.3059),(6345,1635,-0.003022,-1.3061),(6345,1645,-0.00333,-1.3062),(6345,1655,-0.003419,-1.3064),(6345,1665,-0.003509,-1.3066),(6345,1675,-0.003599,-1.3066),(6345,1685,-0.003661,-1.3066),(6345,1695,-0.003602,-1.3066),(6345,1705,-0.003542,-1.3067),(6345,1715,-0.003483,-1.3068),(6345,1725,-0.0034,-1.3069),(6345,1735,-0.003238,-1.3069),(6345,1745,-0.003076,-1.307),(6345,1755,-0.002914,-1.3071),(6345,1765,-0.002763,-1.3071),(6345,1775,-0.002644,-1.3072),(6345,1785,-0.002524,-1.3072),(6345,1795,-0.002404,-1.3071),(6345,1805,-0.002285,-1.307),(6345,1815,-0.002168,-1.3069),(6345,1825,-0.002051,-1.3068),(6345,1835,-0.001934,-1.3067),(6345,1845,-0.001814,-1.3066),(6345,1855,-0.00169,-1.3065),(6345,1865,-0.001567,-1.3064),(6345,1875,-0.001443,-1.3063),(6345,1885,-0.001339,-1.3061),(6345,1895,-0.001266,-1.3059),(6345,1905,-0.001194,-1.3057),(6345,1915,-0.001122,-1.3055),(6345,1925,-0.001058,-1.3053),(6345,1935,-0.001007,-1.3051),(6345,1945,-0.000955,-1.3049),(6345,1955,-0.000903,-1.3047),(6345,1965,-0.000855,-1.3044),(6345,1975,-0.00081,-1.3042),(6345,1985,-0.000765,-1.3039),(6345,1995,-0.000721,-1.3036),(6345,2005,-0.000661,-1.3033),(6345,2015,-0.000588,-1.303),(6345,2025,-0.000515,-1.3028),(6345,2035,-0.000441,-1.3025),(6345,2045,-0.000384,-1.3023),(6345,2055,-0.000339,-1.302),(6345,2065,-0.000295,-1.3018),(6345,2075,-0.000251,-1.3015),(6345,2085,-0.000206,-1.3012),(6345,2095,-0.00016,-1.301),(6345,2105,-0.000115,-1.3007),(6345,2115,-6.9e-05,-1.3005),(6345,2125,-1.1e-05,-1.3002),(6345,2135,5.3e-05,-1.3),(6345,2145,0.000118,-1.2997),(6345,2155,0.000183,-1.2995),(6345,2165,0.000229,-1.2992),(6345,2175,0.000265,-1.2989),(6345,2185,0.000301,-1.2986),(6345,2195,0.000337,-1.2983),(6345,2205,0.000372,-1.2979),(6345,2215,0.000408,-1.2976),(6345,2225,0.000444,-1.2973),(6345,2235,0.000479,-1.2969),(6345,2245,0.00052,-1.2965),(6345,2255,0.000563,-1.2962),(6345,2265,0.000606,-1.2958),(6345,2275,0.000649,-1.2954),(6345,2285,0.00067,-1.295),(6345,2295,0.000685,-1.2946),(6345,2305,0.0007,-1.2942),(6345,2315,0.000715,-1.2938),(6345,2325,0.000761,-1.2934),(6345,2335,0.000815,-1.2931),(6345,2345,0.000868,-1.2927),(6345,2355,0.000921,-1.2924),(6345,2365,0.000958,-1.292),(6345,2375,0.000991,-1.2917),(6345,2385,0.001025,-1.2912),(6345,2395,0.001058,-1.2908),(6345,2405,0.001059,-1.2903),(6345,2415,0.001056,-1.2898),(6345,2425,0.001052,-1.2893),(6345,2435,0.001049,-1.2888),(6345,2445,0.001042,-1.2883),(6345,2455,0.001036,-1.2878),(6345,2465,0.001029,-1.2873),(6345,2475,0.001022,-1.2868),(6345,2485,0.001056,-1.2863),(6345,2495,0.001091,-1.2858),(6345,2505,0.001126,-1.2854),(6345,2515,0.001162,-1.285),(6345,2525,0.001263,-1.2845),(6345,2535,0.001363,-1.2841),(6345,2545,0.001464,-1.2837),(6345,2555,0.001563,-1.2833),(6345,2565,0.001634,-1.283),(6345,2575,0.001705,-1.2826),(6345,2585,0.001776,-1.2821),(6345,2595,0.001838,-1.2816),(6345,2605,0.001812,-1.2811),(6345,2615,0.001786,-1.2806),(6345,2625,0.00176,-1.28),(6345,2635,0.001737,-1.2794),(6345,2645,0.001732,-1.2787),(6345,2655,0.001728,-1.2781),(6345,2665,0.001724,-1.2774),(6345,2675,0.001719,-1.2768),(6345,2685,0.001711,-1.2762),(6345,2695,0.001703,-1.2756),(6345,2705,0.001695,-1.275),(6345,2715,0.001692,-1.2743),(6345,2725,0.001711,-1.2737),(6345,2735,0.001729,-1.2731),(6345,2745,0.001748,-1.2725),(6345,2755,0.00177,-1.2719),(6345,2765,0.0018,-1.2713),(6345,2775,0.001831,-1.2707),(6345,2785,0.001862,-1.27),(6345,2795,0.001895,-1.2694),(6345,2805,0.001934,-1.2688),(6345,2815,0.001974,-1.2681),(6345,2825,0.002013,-1.2674),(6345,2835,0.002042,-1.2667),(6345,2845,0.00205,-1.266),(6345,2855,0.002057,-1.2652),(6345,2865,0.002064,-1.2644),(6345,2875,0.002075,-1.2637),(6345,2885,0.002092,-1.2629),(6345,2895,0.00211,-1.2622),(6345,2905,0.002127,-1.2615),(6345,2915,0.002158,-1.2607),(6345,2925,0.00221,-1.26),(6345,2935,0.002261,-1.2593),(6345,2945,0.002312,-1.2585),(6345,2955,0.002365,-1.2577),(6345,2965,0.00242,-1.2569),(6345,2975,0.002475,-1.2562),(6345,2985,0.00253,-1.2554),(6345,2995,0.002596,-1.2546),(6345,3005,0.002673,-1.2538),(6345,3015,0.00275,-1.253),(6345,3025,0.002827,-1.2523),(6345,3035,0.002909,-1.2515),(6345,3045,0.002995,-1.2508),(6345,3055,0.003081,-1.25),(6345,3065,0.003167,-1.2491),(6345,3075,0.003201,-1.2483),(6345,3085,0.003198,-1.2474),(6345,3095,0.003194,-1.2465),(6345,3105,0.003191,-1.2456),(6345,3115,0.003204,-1.2447),(6345,3125,0.003228,-1.2437),(6345,3135,0.003252,-1.2428),(6345,3145,0.003275,-1.2419),(6345,3155,0.003285,-1.241),(6345,3165,0.003288,-1.2401),(6345,3175,0.003291,-1.2391),(6345,3185,0.003293,-1.2382),(6345,3195,0.003304,-1.2372),(6345,3205,0.003318,-1.2362),(6345,3215,0.003332,-1.2352),(6345,3225,0.003347,-1.2342),(6345,3235,0.003396,-1.2332),(6345,3245,0.003458,-1.2322),(6345,3255,0.003519,-1.2312),(6345,3265,0.003581,-1.2301),(6345,3275,0.003652,-1.2291),(6345,3285,0.003726,-1.228),(6345,3295,0.0038,-1.227),(6345,3305,0.003874,-1.226),(6345,3315,0.00394,-1.2251),(6345,3325,0.004004,-1.2241),(6345,3335,0.004068,-1.223),(6345,3345,0.004132,-1.222),(6345,3355,0.004186,-1.221),(6345,3365,0.004239,-1.2199),(6345,3375,0.004291,-1.2188),(6345,3385,0.004343,-1.2176),(6345,3395,0.004436,-1.2164),(6345,3405,0.004533,-1.2152),(6345,3415,0.004631,-1.2141),(6345,3425,0.004729,-1.213),(6345,3435,0.004739,-1.2118),(6345,3445,0.004743,-1.2107),(6345,3455,0.004747,-1.2094),(6345,3465,0.004751,-1.208),(6345,3475,0.004797,-1.2067),(6345,3485,0.004845,-1.2053),(6345,3495,0.004893,-1.2041),(6345,3505,0.004941,-1.2029),(6345,3515,0.005051,-1.2016),(6345,3525,0.00516,-1.2004),(6345,3535,0.00527,-1.1991),(6345,3545,0.005378,-1.1978),(6345,3555,0.005464,-1.1965),(6345,3565,0.005549,-1.1952),(6345,3575,0.005635,-1.1938),(6345,3585,0.005723,-1.1925),(6345,3595,0.005847,-1.1911),(6345,3605,0.005971,-1.1897),(6345,3615,0.006095,-1.1883),(6345,3625,0.006201,-1.1869),(6345,3635,0.006181,-1.1855),(6345,3645,0.006161,-1.1841),(6345,3655,0.00614,-1.1825),(6345,3665,0.006125,-1.1809),(6345,3675,0.006132,-1.1793),(6345,3685,0.00614,-1.1777),(6345,3695,0.006148,-1.1762),(6345,3705,0.006119,-1.1747),(6345,3715,0.00595,-1.1732),(6345,3725,0.005781,-1.1718),(6345,3735,0.005612,-1.1704),(6345,3745,0.005361,-1.169),(6345,3755,0.004855,-1.1676),(6345,3765,0.004349,-1.1662),(6345,3775,0.003842,-1.1646),(6345,3785,0.003167,-1.1631),(6345,3795,0.00206,-1.1616),(6345,3805,0.000954,-1.1601),(6345,3815,-0.000152,-1.1587),(6345,3825,-0.00162,-1.1573),(6345,3835,-0.003848,-1.1558),(6345,3845,-0.006077,-1.1545),(6345,3855,-0.008306,-1.1532),(6345,3865,-0.011273,-1.152),(6345,3875,-0.015546,-1.1507),(6345,3885,-0.01982,-1.1494),(6345,3895,-0.024093,-1.1477),(6345,3905,-0.029875,-1.1461),(6345,3915,-0.037913,-1.1445),(6345,3925,-0.04595,-1.142),(6345,3935,-0.053987,-1.1383),(6345,3945,-0.064331,-1.1346),(6345,3955,-0.077606,-1.1309),(6345,3965,-0.09088,-1.1237),(6345,3975,-0.10415,-1.1122),(6345,3985,-0.11293,-1.1008),(6345,3995,-0.11683,-1.0894),(6345,4005,-0.12074,-1.0751),(6345,4015,-0.12464,-1.0578),(6345,4025,0.002888,-1.0405),(6345,4035,0.14328,-1.0284),(6345,4045,0.28367,-1.0273),(6345,4055,0.36615,-1.0262),(6345,4065,0.42751,-1.025),(6345,4075,0.48887,-1.0231),(6345,4085,0.51674,-1.0212),(6345,4095,0.51768,-1.0193),(6345,4105,0.51862,-1.0175),(6345,4115,0.51959,-1.0156),(6345,4125,0.52059,-1.0137),(6345,4135,0.52159,-1.0119),(6345,4145,0.5226,-1.0101),(6345,4155,0.5236,-1.0084),(6345,4165,0.52461,-1.0065),(6345,4175,0.52562,-1.0047),(6345,4185,0.52666,-1.0029),(6345,4195,0.52769,-1.001),(6345,4205,0.52873,-0.99898),(6345,4215,0.5298,-0.99699),(6345,4225,0.53086,-0.99501),(6345,4235,0.53193,-0.99303),(6345,4245,0.53303,-0.99104),(6345,4255,0.53414,-0.98906),(6345,4265,0.53525,-0.98702),(6345,4275,0.53638,-0.98498),(6345,4285,0.53753,-0.98294),(6345,4295,0.53868,-0.98088),(6345,4305,0.53984,-0.97881),(6345,4315,0.54103,-0.97674),(6345,4325,0.54223,-0.97467),(6345,4335,0.54343,-0.9726),(6345,4345,0.54468,-0.97053),(6345,4355,0.54592,-0.96842),(6345,4365,0.54717,-0.96629),(6345,4375,0.54846,-0.96416),(6345,4385,0.54975,-0.96198),(6345,4395,0.55103,-0.95974),(6345,4405,0.55236,-0.9575),(6345,4415,0.5537,-0.95524),(6345,4425,0.55504,-0.95294),(6345,4435,0.55642,-0.95064),(6345,4445,0.55781,-0.94834),(6345,4455,0.55921,-0.94604),(6345,4465,0.56063,-0.94374),(6345,4475,0.56209,-0.94144),(6345,4485,0.56355,-0.93911),(6345,4495,0.56502,-0.93677),(6345,4505,0.56655,-0.93443),(6345,4515,0.56809,-0.93206),(6345,4525,0.56963,-0.92966),(6345,4535,0.57122,-0.92726),(6345,4545,0.57282,-0.92481),(6345,4555,0.57442,-0.92231),(6345,4565,0.57606,-0.91981),(6345,4575,0.57771,-0.91728),(6345,4585,0.57937,-0.91469),(6345,4595,0.58105,-0.9121),(6345,4605,0.58275,-0.9095),(6345,4615,0.58444,-0.90686),(6345,4625,0.58616,-0.90422),(6345,4635,0.5879,-0.90158),(6345,4645,0.58964,-0.89889),(6345,4655,0.5914,-0.89619),(6345,4665,0.59319,-0.89349),(6345,4675,0.59497,-0.8907),(6345,4685,0.59676,-0.88789),(6345,4695,0.59859,-0.88507),(6345,4705,0.60042,-0.88218),(6345,4715,0.60225,-0.87925),(6345,4725,0.60411,-0.87632),(6345,4735,0.60597,-0.87336),(6345,4745,0.60784,-0.87037),(6345,4755,0.60973,-0.86738),(6345,4765,0.61164,-0.86438),(6345,4775,0.61354,-0.86134),(6345,4785,0.61546,-0.85831),(6345,4795,0.6174,-0.85527),(6345,4805,0.61933,-0.85217),(6345,4815,0.62128,-0.84906),(6345,4825,0.62326,-0.84596),(6345,4835,0.62523,-0.84278),(6345,4845,0.62722,-0.83958),(6345,4855,0.62924,-0.83639),(6345,4865,0.63126,-0.83314),(6345,4875,0.63328,-0.82987),(6345,4885,0.63534,-0.82659),(6345,4895,0.63739,-0.82328),(6345,4905,0.63945,-0.81994),(6345,4915,0.64152,-0.8166),(6345,4925,0.64359,-0.81324),(6345,4935,0.64566,-0.80981),(6345,4945,0.64773,-0.80639),(6345,4955,0.6498,-0.80295),(6345,4965,0.65187,-0.79943),(6345,4975,0.65394,-0.79592),(6345,4985,0.656,-0.7924),(6345,4995,0.65807,-0.78879),(6345,5005,0.66013,-0.78518),(6345,5015,0.66219,-0.78156),(6345,5025,0.66426,-0.77787),(6345,5035,0.66632,-0.77417),(6345,5045,0.66839,-0.77046),(6345,5055,0.67046,-0.7667),(6345,5065,0.67253,-0.7629),(6345,5075,0.67467,-0.75911),(6345,5085,0.6768,-0.75531),(6345,5095,0.67894,-0.7515),(6345,5105,0.68107,-0.74769),(6345,5115,0.68321,-0.74387),(6345,5125,0.68534,-0.73998),(6345,5135,0.68746,-0.7361),(6345,5145,0.68959,-0.73221),(6345,5155,0.69171,-0.72824),(6345,5165,0.69383,-0.72428),(6345,5175,0.69595,-0.72031),(6345,5185,0.69806,-0.71629),(6345,5195,0.70017,-0.71227),(6345,5205,0.70228,-0.70824),(6345,5215,0.70439,-0.70417),(6345,5225,0.7065,-0.70008),(6345,5235,0.70859,-0.69599),(6345,5245,0.71068,-0.69185),(6345,5255,0.71278,-0.68767),(6345,5265,0.71487,-0.68349),(6345,5275,0.71696,-0.67928),(6345,5285,0.71906,-0.67502),(6345,5295,0.72116,-0.67076),(6345,5305,0.72326,-0.6665),(6345,5315,0.72537,-0.66219),(6345,5325,0.72748,-0.65789),(6345,5335,0.72958,-0.65358),(6345,5345,0.73169,-0.64923),(6345,5355,0.73378,-0.64487),(6345,5365,0.73586,-0.64052),(6345,5375,0.73793,-0.6361),(6345,5385,0.73999,-0.63168),(6345,5395,0.74201,-0.62725),(6345,5405,0.74404,-0.62279),(6345,5415,0.74606,-0.6183),(6345,5425,0.74804,-0.61382),(6345,5435,0.75003,-0.60931),(6345,5445,0.75202,-0.60478),(6345,5455,0.75398,-0.60025),(6345,5465,0.75595,-0.5957),(6345,5475,0.75791,-0.5911),(6345,5485,0.75986,-0.58649),(6345,5495,0.76181,-0.58187),(6345,5505,0.76376,-0.5772),(6345,5515,0.7657,-0.57253),(6345,5525,0.76763,-0.56785),(6345,5535,0.76957,-0.56316),(6345,5545,0.77149,-0.55846),(6345,5555,0.7734,-0.55377),(6345,5565,0.7753,-0.54904),(6345,5575,0.7772,-0.54431),(6345,5585,0.77906,-0.53958),(6345,5595,0.78092,-0.53479),(6345,5605,0.78278,-0.52995),(6345,5615,0.78458,-0.52511),(6345,5625,0.78638,-0.52024),(6345,5635,0.78818,-0.51533),(6345,5645,0.78995,-0.51041),(6345,5655,0.79171,-0.50549),(6345,5665,0.79347,-0.50055),(6345,5675,0.79521,-0.49561),(6345,5685,0.79694,-0.49066),(6345,5695,0.79867,-0.48566),(6345,5705,0.80042,-0.48066),(6345,5715,0.80221,-0.47566),(6345,5725,0.80399,-0.47066),(6345,5735,0.80576,-0.46565),(6345,5745,0.80747,-0.46065),(6345,5755,0.80919,-0.45561),(6345,5765,0.8109,-0.45057),(6345,5775,0.81255,-0.44552),(6345,5785,0.8142,-0.44043),(6345,5795,0.81584,-0.4353),(6345,5805,0.81742,-0.43018),(6345,5815,0.81899,-0.42502),(6345,5825,0.82056,-0.41982),(6345,5835,0.82209,-0.41461),(6345,5845,0.8236,-0.4094),(6345,5855,0.82512,-0.40417),(6345,5865,0.82662,-0.39895),(6345,5875,0.82811,-0.39372),(6345,5885,0.8296,-0.3885),(6345,5895,0.83107,-0.38328),(6345,5905,0.83254,-0.37806),(6345,5915,0.834,-0.37283),(6345,5925,0.83545,-0.3676),(6345,5935,0.83685,-0.36236),(6345,5945,0.83826,-0.35709),(6345,5955,0.83966,-0.35179),(6345,5965,0.84098,-0.3465),(6345,5975,0.8423,-0.34114),(6345,5985,0.84362,-0.33571),(6345,5995,0.84495,-0.33029),(6345,6005,0.84627,-0.32487),(6345,6015,0.8476,-0.31946),(6345,6025,0.84887,-0.31406),(6345,6035,0.85011,-0.30866),(6345,6045,0.85135,-0.30323),(6345,6055,0.85256,-0.2978),(6345,6065,0.85373,-0.29237),(6345,6075,0.85491,-0.28695),(6345,6085,0.85607,-0.28153),(6345,6095,0.85719,-0.27611),(6345,6105,0.85832,-0.2707),(6345,6115,0.85943,-0.26529),(6345,6125,0.86049,-0.25988),(6345,6135,0.86154,-0.25441),(6345,6145,0.86259,-0.24888),(6345,6155,0.86355,-0.24335),(6345,6165,0.86452,-0.23778),(6345,6175,0.86548,-0.23215),(6345,6185,0.86639,-0.22653),(6345,6195,0.86729,-0.2209),(6345,6205,0.86819,-0.2153),(6345,6215,0.86906,-0.2097),(6345,6225,0.86991,-0.2041),(6345,6235,0.87076,-0.1985),(6345,6245,0.87158,-0.1929),(6345,6255,0.87236,-0.18731),(6345,6265,0.87315,-0.18172),(6345,6275,0.8739,-0.17614),(6345,6285,0.87459,-0.17055),(6345,6295,0.87527,-0.16495),(6345,6305,0.87595,-0.15933),(6345,6315,0.87662,-0.15371),(6345,6325,0.87728,-0.14806),(6345,6335,0.87795,-0.14239),(6345,6345,0.87852,-0.13671),(6345,6355,0.87908,-0.13103),(6345,6365,0.87965,-0.12533),(6345,6375,0.88018,-0.11963),(6345,6385,0.88069,-0.11395),(6345,6395,0.88121,-0.10841),(6345,6405,0.8817,-0.10288),(6345,6415,0.88216,-0.09734),(6345,6425,0.88262,-0.091704),(6345,6435,0.88304,-0.086064),(6345,6445,0.88342,-0.080423),(6345,6455,0.88379,-0.074758),(6345,6465,0.88414,-0.069086),(6345,6475,0.88442,-0.063415),(6345,6485,0.88469,-0.057679),(6345,6495,0.88496,-0.0519),(6345,6505,0.88515,-0.046121),(6345,6515,0.88533,-0.040338),(6345,6525,0.88551,-0.03455),(6345,6535,0.88562,-0.028761),(6345,6545,0.88572,-0.023022),(6345,6555,0.88582,-0.017436),(6345,6565,0.88587,-0.01185),(6345,6575,0.8859,-0.006259),(6345,6585,0.88592,-0.000589),(6345,6595,0.7535,0.005082),(6345,6605,0.47482,0.010752),(6345,6615,0.19615,0.011479),(6345,6625,0.000259,0.01157),(6345,6635,0.000298,0.011662),(6345,6645,0.000337,0.01169),(6345,6655,0.000376,0.01169),(6345,6665,0.000414,0.011691),(6345,6675,0.000453,0.011692),(6345,6685,0.000491,0.011691),(6345,6695,0.00053,0.011691),(6345,6705,0.000568,0.011691),(6345,6715,0.000606,0.011689),(6345,6725,0.000644,0.011688),(6345,6735,0.000682,0.011686),(6345,6745,0.00072,0.011683),(6345,6755,0.000758,0.01168),(6345,6765,0.000796,0.011678),(6345,6775,0.000833,0.011674),(6345,6785,0.000871,0.01167),(6345,6795,0.000908,0.011666),(6345,6805,0.000945,0.011661),(6345,6815,0.000982,0.011656),(6345,6825,0.001019,0.011651),(6345,6835,0.001056,0.011645),(6345,6845,0.001092,0.011639),(6345,6855,0.001128,0.011632),(6345,6865,0.001164,0.011625),(6345,6875,0.0012,0.011618),(6345,6885,0.001236,0.01161),(6345,6895,0.001272,0.011603),(6345,6905,0.001307,0.011594),(6345,6915,0.001342,0.011585),(6345,6925,0.001377,0.011577),(6345,6935,0.001411,0.011567),(6345,6945,0.001446,0.011557),(6345,6955,0.00148,0.011548),(6345,6965,0.001514,0.011537),(6345,6975,0.001548,0.011526),(6345,6985,0.001581,0.011516),(6355,5,1.6e-05,-1.32),(6355,15,4.9e-05,-1.3199),(6355,25,7.6e-05,-1.3198),(6355,35,9.7e-05,-1.3196),(6355,45,0.000118,-1.3196),(6355,55,0.00014,-1.3195),(6355,65,0.000151,-1.3195),(6355,75,0.000155,-1.3194),(6355,85,0.00016,-1.3194),(6355,95,0.000164,-1.3195),(6355,105,0.000162,-1.3195),(6355,115,0.000157,-1.3195),(6355,125,0.000152,-1.3195),(6355,135,0.000147,-1.3194),(6355,145,0.000153,-1.3194),(6355,155,0.000167,-1.3193),(6355,165,0.00018,-1.3192),(6355,175,0.000194,-1.3192),(6355,185,0.000217,-1.3191),(6355,195,0.000244,-1.319),(6355,205,0.000272,-1.319),(6355,215,0.000299,-1.319),(6355,225,0.000357,-1.3189),(6355,235,0.000427,-1.3189),(6355,245,0.000497,-1.319),(6355,255,0.000567,-1.3191),(6355,265,0.000601,-1.3192),(6355,275,0.000623,-1.3193),(6355,285,0.000645,-1.3193),(6355,295,0.000668,-1.3193),(6355,305,0.000627,-1.3193),(6355,315,0.00057,-1.3193),(6355,325,0.000514,-1.3192),(6355,335,0.000457,-1.3191),(6355,345,0.000404,-1.319),(6355,355,0.000351,-1.3189),(6355,365,0.000298,-1.3188),(6355,375,0.000245,-1.3188),(6355,385,0.000234,-1.3188),(6355,395,0.000229,-1.3188),(6355,405,0.000224,-1.3188),(6355,415,0.000219,-1.3188),(6355,425,0.000221,-1.3188),(6355,435,0.000225,-1.3188),(6355,445,0.000228,-1.3187),(6355,455,0.000232,-1.3187),(6355,465,0.000245,-1.3186),(6355,475,0.000259,-1.3185),(6355,485,0.000272,-1.3185),(6355,495,0.000286,-1.3184),(6355,505,0.000349,-1.3183),(6355,515,0.000412,-1.3182),(6355,525,0.000475,-1.3182),(6355,535,0.000539,-1.3182),(6355,545,0.000633,-1.3182),(6355,555,0.000727,-1.3182),(6355,565,0.00082,-1.3182),(6355,575,0.000914,-1.3182),(6355,585,0.001011,-1.3181),(6355,595,0.001108,-1.3181),(6355,605,0.001205,-1.3181),(6355,615,0.001297,-1.3181),(6355,625,0.001354,-1.3181),(6355,635,0.001411,-1.3181),(6355,645,0.001468,-1.3181),(6355,655,0.00152,-1.3181),(6355,665,0.001546,-1.3181),(6355,675,0.001573,-1.3181),(6355,685,0.0016,-1.318),(6355,695,0.001623,-1.318),(6355,705,0.001633,-1.3179),(6355,715,0.001642,-1.3178),(6355,725,0.001651,-1.3176),(6355,735,0.001675,-1.3175),(6355,745,0.001744,-1.3173),(6355,755,0.001813,-1.3172),(6355,765,0.001882,-1.3171),(6355,775,0.001957,-1.3171),(6355,785,0.002045,-1.3171),(6355,795,0.002133,-1.317),(6355,805,0.00222,-1.3169),(6355,815,0.002312,-1.3168),(6355,825,0.002413,-1.3167),(6355,835,0.002513,-1.3166),(6355,845,0.002613,-1.3164),(6355,855,0.002724,-1.3162),(6355,865,0.002852,-1.3161),(6355,875,0.00298,-1.3159),(6355,885,0.003109,-1.3157),(6355,895,0.003254,-1.3156),(6355,905,0.003427,-1.3155),(6355,915,0.003599,-1.3153),(6355,925,0.003772,-1.3151),(6355,935,0.003908,-1.315),(6355,945,0.003995,-1.3148),(6355,955,0.004082,-1.3146),(6355,965,0.004169,-1.3143),(6355,975,0.004227,-1.314),(6355,985,0.00425,-1.3137),(6355,995,0.004274,-1.3134),(6355,1005,0.004297,-1.313),(6355,1015,0.00427,-1.3127),(6355,1025,0.004194,-1.3123),(6355,1035,0.004117,-1.3121),(6355,1045,0.004041,-1.3119),(6355,1055,0.003854,-1.3116),(6355,1065,0.003576,-1.3114),(6355,1075,0.003298,-1.3113),(6355,1085,0.00302,-1.3111),(6355,1095,0.002452,-1.311),(6355,1105,0.001683,-1.3109),(6355,1115,0.000914,-1.3108),(6355,1125,0.000145,-1.3108),(6355,1135,-0.00133,-1.3107),(6355,1145,-0.003223,-1.3107),(6355,1155,-0.005115,-1.3111),(6355,1165,-0.007008,-1.3116),(6355,1175,-0.010658,-1.3122),(6355,1185,-0.01518,-1.3127),(6355,1195,-0.019701,-1.314),(6355,1205,-0.024223,-1.3156),(6355,1215,-0.03342,-1.3172),(6355,1225,-0.044547,-1.3188),(6355,1235,-0.055673,-1.3199),(6355,1245,-0.066799,-1.3207),(6355,1255,-0.087417,-1.3216),(6355,1265,-0.11124,-1.3224),(6355,1275,-0.13506,-1.3146),(6355,1285,-0.15889,-1.3042),(6355,1295,-0.16139,-1.2937),(6355,1305,-0.15812,-1.2832),(6355,1315,-0.15486,-1.2634),(6355,1325,-0.15159,-1.2413),(6355,1335,-0.093646,-1.2192),(6355,1345,-0.024242,-1.1971),(6355,1355,0.045161,-1.2107),(6355,1365,0.11456,-1.2307),(6355,1375,0.13676,-1.2507),(6355,1385,0.15168,-1.2708),(6355,1395,0.1666,-1.2845),(6355,1405,0.18152,-1.2974),(6355,1415,0.15907,-1.3103),(6355,1425,0.13274,-1.3233),(6355,1435,0.10642,-1.3232),(6355,1445,0.08009,-1.3222),(6355,1455,0.067096,-1.3211),(6355,1465,0.05487,-1.32),(6355,1475,0.042643,-1.318),(6355,1485,0.030417,-1.3159),(6355,1495,0.025281,-1.3138),(6355,1505,0.020251,-1.3117),(6355,1515,0.015222,-1.3107),(6355,1525,0.010264,-1.3096),(6355,1535,0.008153,-1.3086),(6355,1545,0.006043,-1.3076),(6355,1555,0.003932,-1.3072),(6355,1565,0.001898,-1.3069),(6355,1575,0.000986,-1.3065),(6355,1585,7.4e-05,-1.3062),(6355,1595,-0.000838,-1.3062),(6355,1605,-0.001692,-1.3061),(6355,1615,-0.002046,-1.3061),(6355,1625,-0.002399,-1.306),(6355,1635,-0.002753,-1.3062),(6355,1645,-0.003069,-1.3063),(6355,1655,-0.003162,-1.3065),(6355,1665,-0.003254,-1.3066),(6355,1675,-0.003347,-1.3066),(6355,1685,-0.003414,-1.3066),(6355,1695,-0.003371,-1.3066),(6355,1705,-0.003327,-1.3067),(6355,1715,-0.003284,-1.3067),(6355,1725,-0.003214,-1.3068),(6355,1735,-0.003053,-1.3068),(6355,1745,-0.002893,-1.3069),(6355,1755,-0.002732,-1.3069),(6355,1765,-0.002577,-1.307),(6355,1775,-0.002435,-1.307),(6355,1785,-0.002294,-1.3071),(6355,1795,-0.002152,-1.307),(6355,1805,-0.002016,-1.3069),(6355,1815,-0.001892,-1.3068),(6355,1825,-0.001768,-1.3067),(6355,1835,-0.001644,-1.3067),(6355,1845,-0.001524,-1.3066),(6355,1855,-0.001411,-1.3065),(6355,1865,-0.001298,-1.3064),(6355,1875,-0.001184,-1.3062),(6355,1885,-0.001095,-1.3061),(6355,1895,-0.001046,-1.3059),(6355,1905,-0.000997,-1.3058),(6355,1915,-0.000948,-1.3056),(6355,1925,-0.000905,-1.3054),(6355,1935,-0.000869,-1.3052),(6355,1945,-0.000834,-1.3049),(6355,1955,-0.000798,-1.3047),(6355,1965,-0.000767,-1.3044),(6355,1975,-0.00074,-1.3042),(6355,1985,-0.000713,-1.3039),(6355,1995,-0.000686,-1.3036),(6355,2005,-0.00064,-1.3033),(6355,2015,-0.000575,-1.303),(6355,2025,-0.00051,-1.3027),(6355,2035,-0.000446,-1.3025),(6355,2045,-0.000391,-1.3023),(6355,2055,-0.000345,-1.302),(6355,2065,-0.000299,-1.3018),(6355,2075,-0.000253,-1.3015),(6355,2085,-0.000208,-1.3012),(6355,2095,-0.000165,-1.3009),(6355,2105,-0.000122,-1.3007),(6355,2115,-7.9e-05,-1.3004),(6355,2125,-2.3e-05,-1.3002),(6355,2135,3.9e-05,-1.2999),(6355,2145,0.000102,-1.2997),(6355,2155,0.000165,-1.2994),(6355,2165,0.000212,-1.2992),(6355,2175,0.000251,-1.2989),(6355,2185,0.00029,-1.2986),(6355,2195,0.000329,-1.2982),(6355,2205,0.000372,-1.2979),(6355,2215,0.000417,-1.2976),(6355,2225,0.000462,-1.2972),(6355,2235,0.000507,-1.2968),(6355,2245,0.000562,-1.2965),(6355,2255,0.000621,-1.2961),(6355,2265,0.000679,-1.2957),(6355,2275,0.000737,-1.2953),(6355,2285,0.00076,-1.2949),(6355,2295,0.000773,-1.2946),(6355,2305,0.000786,-1.2942),(6355,2315,0.000799,-1.2938),(6355,2325,0.00084,-1.2934),(6355,2335,0.000888,-1.293),(6355,2345,0.000935,-1.2927),(6355,2355,0.000983,-1.2923),(6355,2365,0.001014,-1.292),(6355,2375,0.001042,-1.2917),(6355,2385,0.001069,-1.2912),(6355,2395,0.001097,-1.2908),(6355,2405,0.001089,-1.2903),(6355,2415,0.001076,-1.2899),(6355,2425,0.001064,-1.2894),(6355,2435,0.001051,-1.2888),(6355,2445,0.001028,-1.2883),(6355,2455,0.001004,-1.2878),(6355,2465,0.00098,-1.2873),(6355,2475,0.000956,-1.2868),(6355,2485,0.00097,-1.2864),(6355,2495,0.000984,-1.2859),(6355,2505,0.000999,-1.2854),(6355,2515,0.001015,-1.2849),(6355,2525,0.001112,-1.2845),(6355,2535,0.001208,-1.284),(6355,2545,0.001305,-1.2836),(6355,2555,0.0014,-1.2833),(6355,2565,0.001484,-1.2829),(6355,2575,0.001568,-1.2825),(6355,2585,0.001651,-1.2821),(6355,2595,0.001725,-1.2816),(6355,2605,0.0017,-1.2812),(6355,2615,0.001675,-1.2807),(6355,2625,0.00165,-1.28),(6355,2635,0.001626,-1.2794),(6355,2645,0.001614,-1.2787),(6355,2655,0.001602,-1.2781),(6355,2665,0.00159,-1.2775),(6355,2675,0.001577,-1.2769),(6355,2685,0.001561,-1.2762),(6355,2695,0.001545,-1.2756),(6355,2705,0.001529,-1.275),(6355,2715,0.001523,-1.2743),(6355,2725,0.001555,-1.2737),(6355,2735,0.001587,-1.273),(6355,2745,0.001619,-1.2724),(6355,2755,0.001652,-1.2718),(6355,2765,0.001689,-1.2712),(6355,2775,0.001725,-1.2706),(6355,2785,0.001762,-1.27),(6355,2795,0.0018,-1.2694),(6355,2805,0.001841,-1.2687),(6355,2815,0.001883,-1.2681),(6355,2825,0.001924,-1.2674),(6355,2835,0.001955,-1.2667),(6355,2845,0.001964,-1.266),(6355,2855,0.001973,-1.2652),(6355,2865,0.001982,-1.2645),(6355,2875,0.001991,-1.2637),(6355,2885,0.002001,-1.2629),(6355,2895,0.00201,-1.2622),(6355,2905,0.00202,-1.2615),(6355,2915,0.00204,-1.2607),(6355,2925,0.002075,-1.26),(6355,2935,0.00211,-1.2593),(6355,2945,0.002145,-1.2585),(6355,2955,0.002181,-1.2577),(6355,2965,0.002216,-1.2569),(6355,2975,0.00225,-1.2561),(6355,2985,0.002286,-1.2553),(6355,2995,0.002336,-1.2545),(6355,3005,0.002402,-1.2537),(6355,3015,0.002468,-1.253),(6355,3025,0.002534,-1.2522),(6355,3035,0.002619,-1.2514),(6355,3045,0.002723,-1.2507),(6355,3055,0.002826,-1.2499),(6355,3065,0.002929,-1.249),(6355,3075,0.002977,-1.2482),(6355,3085,0.002983,-1.2474),(6355,3095,0.002989,-1.2465),(6355,3105,0.002995,-1.2456),(6355,3115,0.003024,-1.2446),(6355,3125,0.003066,-1.2437),(6355,3135,0.003109,-1.2428),(6355,3145,0.003152,-1.2419),(6355,3155,0.003171,-1.241),(6355,3165,0.003179,-1.2401),(6355,3175,0.003186,-1.2391),(6355,3185,0.003193,-1.2382),(6355,3195,0.003192,-1.2372),(6355,3205,0.003188,-1.2362),(6355,3215,0.003184,-1.2352),(6355,3225,0.00318,-1.2342),(6355,3235,0.003207,-1.2332),(6355,3245,0.003246,-1.2322),(6355,3255,0.003286,-1.2312),(6355,3265,0.003325,-1.2301),(6355,3275,0.003382,-1.229),(6355,3285,0.003445,-1.228),(6355,3295,0.003507,-1.227),(6355,3305,0.00357,-1.226),(6355,3315,0.003638,-1.225),(6355,3325,0.003707,-1.224),(6355,3335,0.003776,-1.223),(6355,3345,0.003846,-1.222),(6355,3355,0.003915,-1.2209),(6355,3365,0.003984,-1.2199),(6355,3375,0.004053,-1.2187),(6355,3385,0.004123,-1.2175),(6355,3395,0.00423,-1.2163),(6355,3405,0.004343,-1.2151),(6355,3415,0.004456,-1.2141),(6355,3425,0.004569,-1.213),(6355,3435,0.00455,-1.2119),(6355,3445,0.004522,-1.2108),(6355,3455,0.004493,-1.2095),(6355,3465,0.004464,-1.2081),(6355,3475,0.004484,-1.2067),(6355,3485,0.004506,-1.2053),(6355,3495,0.004528,-1.2041),(6355,3505,0.00455,-1.2028),(6355,3515,0.004664,-1.2016),(6355,3525,0.004777,-1.2003),(6355,3535,0.00489,-1.1991),(6355,3545,0.005001,-1.1978),(6355,3555,0.00506,-1.1965),(6355,3565,0.005119,-1.1952),(6355,3575,0.005178,-1.1938),(6355,3585,0.005242,-1.1924),(6355,3595,0.005358,-1.191),(6355,3605,0.005475,-1.1896),(6355,3615,0.005591,-1.1883),(6355,3625,0.005689,-1.1869),(6355,3635,0.00566,-1.1855),(6355,3645,0.005631,-1.1841),(6355,3655,0.005601,-1.1825),(6355,3665,0.005578,-1.1809),(6355,3675,0.005584,-1.1793),(6355,3685,0.005589,-1.1777),(6355,3695,0.005595,-1.1762),(6355,3705,0.005559,-1.1748),(6355,3715,0.005364,-1.1733),(6355,3725,0.005168,-1.1719),(6355,3735,0.004972,-1.1705),(6355,3745,0.00471,-1.1692),(6355,3755,0.00424,-1.1678),(6355,3765,0.00377,-1.1664),(6355,3775,0.003301,-1.165),(6355,3785,0.002666,-1.1635),(6355,3795,0.001611,-1.1621),(6355,3805,0.000556,-1.1607),(6355,3815,-0.000498,-1.1595),(6355,3825,-0.001934,-1.1582),(6355,3835,-0.004173,-1.157),(6355,3845,-0.006413,-1.1558),(6355,3855,-0.008652,-1.1549),(6355,3865,-0.011669,-1.154),(6355,3875,-0.01606,-1.153),(6355,3885,-0.020452,-1.1521),(6355,3895,-0.024843,-1.1512),(6355,3905,-0.030938,-1.1502),(6355,3915,-0.039579,-1.1493),(6355,3925,-0.048219,-1.1477),(6355,3935,-0.05686,-1.1452),(6355,3945,-0.068329,-1.1426),(6355,3955,-0.083391,-1.1401),(6355,3965,-0.098453,-1.1338),(6355,3975,-0.11351,-1.123),(6355,3985,-0.12406,-1.1122),(6355,3995,-0.12972,-1.1014),(6355,4005,-0.13537,-1.0855),(6355,4015,-0.14103,-1.0642),(6355,4025,-0.009456,-1.043),(6355,4035,0.13554,-1.0283),(6355,4045,0.28054,-1.0272),(6355,4055,0.364,-1.0261),(6355,4065,0.42499,-1.025),(6355,4075,0.48599,-1.0231),(6355,4085,0.51368,-1.0212),(6355,4095,0.5146,-1.0193),(6355,4105,0.51553,-1.0174),(6355,4115,0.51648,-1.0155),(6355,4125,0.51747,-1.0136),(6355,4135,0.51847,-1.0118),(6355,4145,0.51946,-1.01),(6355,4155,0.52046,-1.0083),(6355,4165,0.52146,-1.0064),(6355,4175,0.52246,-1.0046),(6355,4185,0.5235,-1.0028),(6355,4195,0.52453,-1.0009),(6355,4205,0.52557,-0.99888),(6355,4215,0.52663,-0.9969),(6355,4225,0.5277,-0.99492),(6355,4235,0.52877,-0.99294),(6355,4245,0.52986,-0.99096),(6355,4255,0.53096,-0.98898),(6355,4265,0.53206,-0.98694),(6355,4275,0.53317,-0.9849),(6355,4285,0.53431,-0.98287),(6355,4295,0.53544,-0.9808),(6355,4305,0.53659,-0.97873),(6355,4315,0.53776,-0.97666),(6355,4325,0.53894,-0.97458),(6355,4335,0.54012,-0.9725),(6355,4345,0.54136,-0.97042),(6355,4355,0.54259,-0.9683),(6355,4365,0.54382,-0.96617),(6355,4375,0.54509,-0.96403),(6355,4385,0.54636,-0.96185),(6355,4395,0.54764,-0.9596),(6355,4405,0.54895,-0.95735),(6355,4415,0.55027,-0.95509),(6355,4425,0.5516,-0.95278),(6355,4435,0.55295,-0.95047),(6355,4445,0.55433,-0.94816),(6355,4455,0.5557,-0.94586),(6355,4465,0.5571,-0.94355),(6355,4475,0.55853,-0.94125),(6355,4485,0.55996,-0.9389),(6355,4495,0.56141,-0.93655),(6355,4505,0.56292,-0.93419),(6355,4515,0.56443,-0.9318),(6355,4525,0.56594,-0.92939),(6355,4535,0.56752,-0.92699),(6355,4545,0.56909,-0.92453),(6355,4555,0.57066,-0.92202),(6355,4565,0.57228,-0.91952),(6355,4575,0.57391,-0.91698),(6355,4585,0.57554,-0.91439),(6355,4595,0.5772,-0.9118),(6355,4605,0.57887,-0.9092),(6355,4615,0.58054,-0.90655),(6355,4625,0.58223,-0.90391),(6355,4635,0.58394,-0.90127),(6355,4645,0.58566,-0.89856),(6355,4655,0.58739,-0.89586),(6355,4665,0.58916,-0.89315),(6355,4675,0.59092,-0.89036),(6355,4685,0.59269,-0.88753),(6355,4695,0.5945,-0.88471),(6355,4705,0.59631,-0.88182),(6355,4715,0.59812,-0.87889),(6355,4725,0.59996,-0.87596),(6355,4735,0.6018,-0.873),(6355,4745,0.60363,-0.87),(6355,4755,0.60551,-0.867),(6355,4765,0.60739,-0.864),(6355,4775,0.60927,-0.86097),(6355,4785,0.61116,-0.85793),(6355,4795,0.61307,-0.8549),(6355,4805,0.61497,-0.85179),(6355,4815,0.61689,-0.84868),(6355,4825,0.61883,-0.84557),(6355,4835,0.62077,-0.84238),(6355,4845,0.62272,-0.83917),(6355,4855,0.62471,-0.83597),(6355,4865,0.6267,-0.83271),(6355,4875,0.62869,-0.82943),(6355,4885,0.63072,-0.82615),(6355,4895,0.63275,-0.82283),(6355,4905,0.63478,-0.81949),(6355,4915,0.63683,-0.81614),(6355,4925,0.63889,-0.81277),(6355,4935,0.64094,-0.80935),(6355,4945,0.643,-0.80593),(6355,4955,0.64506,-0.80249),(6355,4965,0.64711,-0.79898),(6355,4975,0.64916,-0.79547),(6355,4985,0.65121,-0.79196),(6355,4995,0.65326,-0.78836),(6355,5005,0.6553,-0.78475),(6355,5015,0.65733,-0.78115),(6355,5025,0.65936,-0.77748),(6355,5035,0.66139,-0.77379),(6355,5045,0.66341,-0.77009),(6355,5055,0.66544,-0.76632),(6355,5065,0.66746,-0.76249),(6355,5075,0.66957,-0.75866),(6355,5085,0.67168,-0.75484),(6355,5095,0.67379,-0.75103),(6355,5105,0.6759,-0.74723),(6355,5115,0.678,-0.7434),(6355,5125,0.6801,-0.73952),(6355,5135,0.68221,-0.73563),(6355,5145,0.68431,-0.73174),(6355,5155,0.68642,-0.72777),(6355,5165,0.68852,-0.7238),(6355,5175,0.69062,-0.71984),(6355,5185,0.69272,-0.71582),(6355,5195,0.69482,-0.7118),(6355,5205,0.69691,-0.70778),(6355,5215,0.699,-0.70371),(6355,5225,0.70109,-0.69963),(6355,5235,0.70316,-0.69555),(6355,5245,0.70523,-0.69141),(6355,5255,0.7073,-0.68724),(6355,5265,0.70936,-0.68306),(6355,5275,0.71142,-0.67885),(6355,5285,0.71348,-0.67458),(6355,5295,0.71555,-0.67032),(6355,5305,0.71762,-0.66605),(6355,5315,0.71969,-0.66173),(6355,5325,0.72177,-0.65742),(6355,5335,0.72385,-0.6531),(6355,5345,0.72594,-0.64875),(6355,5355,0.72801,-0.64439),(6355,5365,0.73007,-0.64004),(6355,5375,0.73213,-0.63563),(6355,5385,0.73417,-0.63122),(6355,5395,0.73619,-0.6268),(6355,5405,0.7382,-0.62235),(6355,5415,0.74021,-0.61787),(6355,5425,0.74218,-0.6134),(6355,5435,0.74415,-0.6089),(6355,5445,0.74611,-0.60437),(6355,5455,0.74806,-0.59985),(6355,5465,0.75,-0.5953),(6355,5475,0.75194,-0.59069),(6355,5485,0.75387,-0.58609),(6355,5495,0.75579,-0.58147),(6355,5505,0.75771,-0.57679),(6355,5515,0.75962,-0.57212),(6355,5525,0.76153,-0.56744),(6355,5535,0.76344,-0.56274),(6355,5545,0.76534,-0.55804),(6355,5555,0.76723,-0.55335),(6355,5565,0.76912,-0.54862),(6355,5575,0.771,-0.5439),(6355,5585,0.77285,-0.53917),(6355,5595,0.77469,-0.53438),(6355,5605,0.77653,-0.52956),(6355,5615,0.77832,-0.52473),(6355,5625,0.7801,-0.51987),(6355,5635,0.78189,-0.51496),(6355,5645,0.78363,-0.51005),(6355,5655,0.78536,-0.50514),(6355,5665,0.78709,-0.50022),(6355,5675,0.78879,-0.49531),(6355,5685,0.79048,-0.49038),(6355,5695,0.79217,-0.48532),(6355,5705,0.7939,-0.48025),(6355,5715,0.79567,-0.47519),(6355,5725,0.79745,-0.47019),(6355,5735,0.7992,-0.4652),(6355,5745,0.80091,-0.46021),(6355,5755,0.80261,-0.45519),(6355,5765,0.80431,-0.45015),(6355,5775,0.80596,-0.44511),(6355,5785,0.8076,-0.44003),(6355,5795,0.80925,-0.43492),(6355,5805,0.81081,-0.42981),(6355,5815,0.81238,-0.42467),(6355,5825,0.81394,-0.41948),(6355,5835,0.81545,-0.41429),(6355,5845,0.81694,-0.40909),(6355,5855,0.81843,-0.40386),(6355,5865,0.8199,-0.39863),(6355,5875,0.82136,-0.3934),(6355,5885,0.82282,-0.38817),(6355,5895,0.82427,-0.38295),(6355,5905,0.8257,-0.37772),(6355,5915,0.82714,-0.37249),(6355,5925,0.82857,-0.36725),(6355,5935,0.82995,-0.36202),(6355,5945,0.83134,-0.35677),(6355,5955,0.83272,-0.3515),(6355,5965,0.83402,-0.34624),(6355,5975,0.83531,-0.34088),(6355,5985,0.83661,-0.33539),(6355,5995,0.83794,-0.32991),(6355,6005,0.83928,-0.32445),(6355,6015,0.84061,-0.31908),(6355,6025,0.84188,-0.31371),(6355,6035,0.84311,-0.30833),(6355,6045,0.84435,-0.3029),(6355,6055,0.84555,-0.29748),(6355,6065,0.84672,-0.29206),(6355,6075,0.84789,-0.28664),(6355,6085,0.84905,-0.28122),(6355,6095,0.85017,-0.2758),(6355,6105,0.85129,-0.27039),(6355,6115,0.8524,-0.26499),(6355,6125,0.85345,-0.25959),(6355,6135,0.8545,-0.25413),(6355,6145,0.85555,-0.24862),(6355,6155,0.8565,-0.24311),(6355,6165,0.85745,-0.23755),(6355,6175,0.8584,-0.23193),(6355,6185,0.8593,-0.22631),(6355,6195,0.86018,-0.22069),(6355,6205,0.86106,-0.21509),(6355,6215,0.86191,-0.20948),(6355,6225,0.86275,-0.20388),(6355,6235,0.86359,-0.19828),(6355,6245,0.86439,-0.19269),(6355,6255,0.86517,-0.18709),(6355,6265,0.86594,-0.18153),(6355,6275,0.86668,-0.17598),(6355,6285,0.86735,-0.17043),(6355,6295,0.86802,-0.1648),(6355,6305,0.86869,-0.15913),(6355,6315,0.86936,-0.15347),(6355,6325,0.87004,-0.14782),(6355,6335,0.87071,-0.14218),(6355,6345,0.87127,-0.13654),(6355,6355,0.87182,-0.13088),(6355,6365,0.87238,-0.12518),(6355,6375,0.87289,-0.11948),(6355,6385,0.8734,-0.1138),(6355,6395,0.8739,-0.10825),(6355,6405,0.87438,-0.10271),(6355,6415,0.87484,-0.097172),(6355,6425,0.8753,-0.09154),(6355,6435,0.87573,-0.085903),(6355,6445,0.87611,-0.080267),(6355,6455,0.87649,-0.074613),(6355,6465,0.87685,-0.068954),(6355,6475,0.87713,-0.063295),(6355,6485,0.87741,-0.057574),(6355,6495,0.8777,-0.05181),(6355,6505,0.87788,-0.046047),(6355,6515,0.87806,-0.040278),(6355,6525,0.87824,-0.034504),(6355,6535,0.87835,-0.028729),(6355,6545,0.87844,-0.023005),(6355,6555,0.87853,-0.01744),(6355,6565,0.87856,-0.011875),(6355,6575,0.87857,-0.006301),(6355,6585,0.87858,-0.000597),(6355,6595,0.74724,0.005106),(6355,6605,0.47088,0.01081),(6355,6615,0.19452,0.011535),(6355,6625,0.000257,0.011619),(6355,6635,0.000296,0.011704),(6355,6645,0.000335,0.011729),(6355,6655,0.000374,0.01173),(6355,6665,0.000413,0.011731),(6355,6675,0.000452,0.011731),(6355,6685,0.000491,0.011731),(6355,6695,0.000529,0.01173),(6355,6705,0.000568,0.011729),(6355,6715,0.000607,0.011728),(6355,6725,0.000645,0.011726),(6355,6735,0.000684,0.011724),(6355,6745,0.000722,0.011722),(6355,6755,0.00076,0.011719),(6355,6765,0.000798,0.011716),(6355,6775,0.000836,0.011712),(6355,6785,0.000874,0.011708),(6355,6795,0.000911,0.011704),(6355,6805,0.000949,0.011699),(6355,6815,0.000986,0.011693),(6355,6825,0.001023,0.011688),(6355,6835,0.00106,0.011682),(6355,6845,0.001097,0.011676),(6355,6855,0.001134,0.011669),(6355,6865,0.00117,0.011662),(6355,6875,0.001206,0.011654),(6355,6885,0.001242,0.011647),(6355,6895,0.001278,0.011638),(6355,6905,0.001314,0.01163),(6355,6915,0.001349,0.011621),(6355,6925,0.001384,0.011612),(6355,6935,0.001419,0.011602),(6355,6945,0.001454,0.011592),(6355,6955,0.001488,0.011582),(6355,6965,0.001522,0.011571),(6355,6975,0.001556,0.01156),(6355,6985,0.00159,0.011549),(6365,5,1.7e-05,-1.3199),(6365,15,5e-05,-1.3198),(6365,25,7.8e-05,-1.3197),(6365,35,0.0001,-1.3196),(6365,45,0.000122,-1.3196),(6365,55,0.000145,-1.3195),(6365,65,0.000157,-1.3195),(6365,75,0.00016,-1.3194),(6365,85,0.000163,-1.3194),(6365,95,0.000167,-1.3195),(6365,105,0.000163,-1.3195),(6365,115,0.000155,-1.3196),(6365,125,0.000146,-1.3195),(6365,135,0.000138,-1.3194),(6365,145,0.00014,-1.3194),(6365,155,0.000147,-1.3193),(6365,165,0.000155,-1.3192),(6365,175,0.000162,-1.3191),(6365,185,0.00018,-1.3191),(6365,195,0.000204,-1.319),(6365,205,0.000227,-1.319),(6365,215,0.000251,-1.3189),(6365,225,0.000311,-1.3189),(6365,235,0.000387,-1.3188),(6365,245,0.000462,-1.3189),(6365,255,0.000537,-1.319),(6365,265,0.000583,-1.3191),(6365,275,0.000619,-1.3193),(6365,285,0.000655,-1.3193),(6365,295,0.000691,-1.3193),(6365,305,0.000657,-1.3193),(6365,315,0.000605,-1.3194),(6365,325,0.000554,-1.3193),(6365,335,0.000502,-1.3192),(6365,345,0.000448,-1.319),(6365,355,0.000393,-1.3189),(6365,365,0.000338,-1.3189),(6365,375,0.000283,-1.3189),(6365,385,0.000264,-1.3188),(6365,395,0.000251,-1.3188),(6365,405,0.000237,-1.3188),(6365,415,0.000223,-1.3188),(6365,425,0.00022,-1.3188),(6365,435,0.000219,-1.3188),(6365,445,0.000217,-1.3188),(6365,455,0.000215,-1.3187),(6365,465,0.000219,-1.3186),(6365,475,0.000223,-1.3186),(6365,485,0.000227,-1.3185),(6365,495,0.00023,-1.3184),(6365,505,0.000284,-1.3183),(6365,515,0.000337,-1.3182),(6365,525,0.000391,-1.3182),(6365,535,0.000446,-1.3182),(6365,545,0.000535,-1.3182),(6365,555,0.000624,-1.3181),(6365,565,0.000714,-1.3181),(6365,575,0.000804,-1.3181),(6365,585,0.000906,-1.3181),(6365,595,0.001009,-1.318),(6365,605,0.001111,-1.318),(6365,615,0.00121,-1.318),(6365,625,0.001275,-1.318),(6365,635,0.001341,-1.318),(6365,645,0.001406,-1.318),(6365,655,0.001467,-1.3181),(6365,665,0.001496,-1.3181),(6365,675,0.001525,-1.3181),(6365,685,0.001554,-1.318),(6365,695,0.001578,-1.318),(6365,705,0.001578,-1.3179),(6365,715,0.001579,-1.3178),(6365,725,0.001579,-1.3176),(6365,735,0.001594,-1.3175),(6365,745,0.001654,-1.3173),(6365,755,0.001715,-1.3172),(6365,765,0.001775,-1.3171),(6365,775,0.001839,-1.3171),(6365,785,0.001911,-1.317),(6365,795,0.001983,-1.317),(6365,805,0.002055,-1.3169),(6365,815,0.002133,-1.3168),(6365,825,0.002225,-1.3167),(6365,835,0.002317,-1.3166),(6365,845,0.002409,-1.3164),(6365,855,0.002508,-1.3162),(6365,865,0.00262,-1.316),(6365,875,0.002733,-1.3158),(6365,885,0.002846,-1.3157),(6365,895,0.002979,-1.3155),(6365,905,0.003145,-1.3154),(6365,915,0.003311,-1.3152),(6365,925,0.003477,-1.3151),(6365,935,0.003607,-1.3149),(6365,945,0.003688,-1.3148),(6365,955,0.00377,-1.3146),(6365,965,0.003851,-1.3143),(6365,975,0.003901,-1.314),(6365,985,0.003915,-1.3137),(6365,995,0.00393,-1.3134),(6365,1005,0.003944,-1.313),(6365,1015,0.003906,-1.3127),(6365,1025,0.003818,-1.3124),(6365,1035,0.003731,-1.3121),(6365,1045,0.003643,-1.3119),(6365,1055,0.003455,-1.3117),(6365,1065,0.003184,-1.3115),(6365,1075,0.002914,-1.3114),(6365,1085,0.002644,-1.3113),(6365,1095,0.002117,-1.3112),(6365,1105,0.001413,-1.3111),(6365,1115,0.000708,-1.3111),(6365,1125,4e-06,-1.3112),(6365,1135,-0.001365,-1.3112),(6365,1145,-0.003127,-1.3113),(6365,1155,-0.004888,-1.3118),(6365,1165,-0.00665,-1.3126),(6365,1175,-0.010123,-1.3133),(6365,1185,-0.014445,-1.3141),(6365,1195,-0.018767,-1.3159),(6365,1205,-0.023089,-1.3183),(6365,1215,-0.032424,-1.3206),(6365,1225,-0.043827,-1.3229),(6365,1235,-0.055231,-1.3255),(6365,1245,-0.066634,-1.3281),(6365,1255,-0.089412,-1.3307),(6365,1265,-0.11603,-1.3333),(6365,1275,-0.14265,-1.3267),(6365,1285,-0.16927,-1.3174),(6365,1295,-0.17433,-1.308),(6365,1305,-0.17356,-1.2987),(6365,1315,-0.17278,-1.2759),(6365,1325,-0.17201,-1.2498),(6365,1335,-0.10621,-1.2237),(6365,1345,-0.026788,-1.1977),(6365,1355,0.052638,-1.2141),(6365,1365,0.13206,-1.2383),(6365,1375,0.15441,-1.2625),(6365,1385,0.16796,-1.2867),(6365,1395,0.1815,-1.3001),(6365,1405,0.19504,-1.3122),(6365,1415,0.16936,-1.3243),(6365,1425,0.13961,-1.3363),(6365,1435,0.10985,-1.3343),(6365,1445,0.080095,-1.3312),(6365,1455,0.066604,-1.328),(6365,1465,0.054051,-1.3249),(6365,1475,0.041497,-1.322),(6365,1485,0.028943,-1.3191),(6365,1495,0.024056,-1.3162),(6365,1505,0.019285,-1.3133),(6365,1515,0.014514,-1.3121),(6365,1525,0.009812,-1.3108),(6365,1535,0.007841,-1.3095),(6365,1545,0.00587,-1.3083),(6365,1555,0.0039,-1.3078),(6365,1565,0.002,-1.3074),(6365,1575,0.001134,-1.307),(6365,1585,0.000267,-1.3065),(6365,1595,-0.000599,-1.3064),(6365,1605,-0.001412,-1.3063),(6365,1615,-0.001767,-1.3062),(6365,1625,-0.002121,-1.3062),(6365,1635,-0.002476,-1.3063),(6365,1645,-0.002793,-1.3064),(6365,1655,-0.002887,-1.3065),(6365,1665,-0.002981,-1.3066),(6365,1675,-0.003075,-1.3066),(6365,1685,-0.003146,-1.3066),(6365,1695,-0.003116,-1.3066),(6365,1705,-0.003085,-1.3066),(6365,1715,-0.003055,-1.3067),(6365,1725,-0.002997,-1.3067),(6365,1735,-0.002842,-1.3067),(6365,1745,-0.002687,-1.3068),(6365,1755,-0.002532,-1.3068),(6365,1765,-0.002378,-1.3069),(6365,1775,-0.002224,-1.3069),(6365,1785,-0.00207,-1.307),(6365,1795,-0.001917,-1.3069),(6365,1805,-0.001771,-1.3068),(6365,1815,-0.001644,-1.3067),(6365,1825,-0.001517,-1.3067),(6365,1835,-0.001389,-1.3066),(6365,1845,-0.001269,-1.3065),(6365,1855,-0.001159,-1.3064),(6365,1865,-0.00105,-1.3063),(6365,1875,-0.00094,-1.3062),(6365,1885,-0.000863,-1.3061),(6365,1895,-0.000837,-1.3059),(6365,1905,-0.000812,-1.3058),(6365,1915,-0.000787,-1.3056),(6365,1925,-0.000763,-1.3054),(6365,1935,-0.00074,-1.3052),(6365,1945,-0.000718,-1.305),(6365,1955,-0.000695,-1.3047),(6365,1965,-0.000678,-1.3045),(6365,1975,-0.000666,-1.3042),(6365,1985,-0.000655,-1.3039),(6365,1995,-0.000643,-1.3036),(6365,2005,-0.000609,-1.3033),(6365,2015,-0.000551,-1.303),(6365,2025,-0.000494,-1.3027),(6365,2035,-0.000437,-1.3025),(6365,2045,-0.000385,-1.3022),(6365,2055,-0.000337,-1.302),(6365,2065,-0.000289,-1.3017),(6365,2075,-0.000241,-1.3015),(6365,2085,-0.000197,-1.3012),(6365,2095,-0.000156,-1.3009),(6365,2105,-0.000114,-1.3007),(6365,2115,-7.2e-05,-1.3004),(6365,2125,-1.8e-05,-1.3002),(6365,2135,4.4e-05,-1.2999),(6365,2145,0.000107,-1.2996),(6365,2155,0.000169,-1.2994),(6365,2165,0.000217,-1.2991),(6365,2175,0.000259,-1.2989),(6365,2185,0.000301,-1.2985),(6365,2195,0.000342,-1.2982),(6365,2205,0.000388,-1.2979),(6365,2215,0.000436,-1.2975),(6365,2225,0.000484,-1.2972),(6365,2235,0.000532,-1.2968),(6365,2245,0.000596,-1.2964),(6365,2255,0.000667,-1.2961),(6365,2265,0.000737,-1.2957),(6365,2275,0.000807,-1.2953),(6365,2285,0.000825,-1.2949),(6365,2295,0.000828,-1.2946),(6365,2305,0.00083,-1.2942),(6365,2315,0.000833,-1.2938),(6365,2325,0.000868,-1.2934),(6365,2335,0.00091,-1.293),(6365,2345,0.000952,-1.2926),(6365,2355,0.000993,-1.2923),(6365,2365,0.00102,-1.292),(6365,2375,0.001043,-1.2916),(6365,2385,0.001067,-1.2912),(6365,2395,0.001091,-1.2908),(6365,2405,0.001078,-1.2903),(6365,2415,0.00106,-1.2899),(6365,2425,0.001043,-1.2894),(6365,2435,0.001026,-1.2889),(6365,2445,0.000991,-1.2884),(6365,2455,0.000955,-1.2879),(6365,2465,0.00092,-1.2874),(6365,2475,0.000884,-1.2869),(6365,2485,0.00088,-1.2864),(6365,2495,0.000876,-1.2859),(6365,2505,0.000873,-1.2854),(6365,2515,0.000871,-1.2849),(6365,2525,0.000961,-1.2844),(6365,2535,0.001051,-1.284),(6365,2545,0.001141,-1.2836),(6365,2555,0.001231,-1.2832),(6365,2565,0.001327,-1.2828),(6365,2575,0.001423,-1.2824),(6365,2585,0.001519,-1.282),(6365,2595,0.001604,-1.2816),(6365,2605,0.001582,-1.2812),(6365,2615,0.00156,-1.2807),(6365,2625,0.001539,-1.2801),(6365,2635,0.001519,-1.2794),(6365,2645,0.001509,-1.2788),(6365,2655,0.001499,-1.2781),(6365,2665,0.001489,-1.2775),(6365,2675,0.001474,-1.2769),(6365,2685,0.001441,-1.2763),(6365,2695,0.001408,-1.2756),(6365,2705,0.001374,-1.275),(6365,2715,0.001358,-1.2743),(6365,2725,0.001403,-1.2736),(6365,2735,0.001447,-1.273),(6365,2745,0.001492,-1.2724),(6365,2755,0.001537,-1.2718),(6365,2765,0.001579,-1.2712),(6365,2775,0.001621,-1.2706),(6365,2785,0.001663,-1.27),(6365,2795,0.001705,-1.2693),(6365,2805,0.001748,-1.2687),(6365,2815,0.00179,-1.2681),(6365,2825,0.001833,-1.2674),(6365,2835,0.001864,-1.2667),(6365,2845,0.001874,-1.2659),(6365,2855,0.001883,-1.2652),(6365,2865,0.001893,-1.2645),(6365,2875,0.0019,-1.2637),(6365,2885,0.001902,-1.2629),(6365,2895,0.001904,-1.2622),(6365,2905,0.001906,-1.2615),(6365,2915,0.001917,-1.2607),(6365,2925,0.001939,-1.26),(6365,2935,0.001962,-1.2593),(6365,2945,0.001985,-1.2585),(6365,2955,0.002007,-1.2577),(6365,2965,0.002027,-1.2569),(6365,2975,0.002048,-1.2561),(6365,2985,0.002068,-1.2553),(6365,2995,0.002106,-1.2545),(6365,3005,0.002161,-1.2537),(6365,3015,0.002216,-1.2529),(6365,3025,0.002271,-1.2521),(6365,3035,0.002363,-1.2514),(6365,3045,0.002488,-1.2506),(6365,3055,0.002613,-1.2498),(6365,3065,0.002738,-1.249),(6365,3075,0.002795,-1.2482),(6365,3085,0.002799,-1.2474),(6365,3095,0.002802,-1.2465),(6365,3105,0.002806,-1.2455),(6365,3115,0.002845,-1.2446),(6365,3125,0.002905,-1.2436),(6365,3135,0.002966,-1.2427),(6365,3145,0.003026,-1.2419),(6365,3155,0.003056,-1.241),(6365,3165,0.003068,-1.2401),(6365,3175,0.003081,-1.2392),(6365,3185,0.003093,-1.2382),(6365,3195,0.003084,-1.2372),(6365,3205,0.003065,-1.2363),(6365,3215,0.003046,-1.2353),(6365,3225,0.003026,-1.2342),(6365,3235,0.003036,-1.2332),(6365,3245,0.003056,-1.2322),(6365,3255,0.003076,-1.2312),(6365,3265,0.003096,-1.2301),(6365,3275,0.003142,-1.229),(6365,3285,0.003196,-1.228),(6365,3295,0.00325,-1.2269),(6365,3305,0.003304,-1.226),(6365,3315,0.003373,-1.225),(6365,3325,0.003445,-1.224),(6365,3335,0.003518,-1.2229),(6365,3345,0.00359,-1.2219),(6365,3355,0.003666,-1.2209),(6365,3365,0.003743,-1.2198),(6365,3375,0.003819,-1.2187),(6365,3385,0.003895,-1.2175),(6365,3395,0.004021,-1.2163),(6365,3405,0.004153,-1.2151),(6365,3415,0.004285,-1.214),(6365,3425,0.004418,-1.213),(6365,3435,0.004373,-1.2119),(6365,3445,0.004315,-1.2109),(6365,3455,0.004256,-1.2095),(6365,3465,0.004198,-1.2081),(6365,3475,0.0042,-1.2068),(6365,3485,0.004203,-1.2054),(6365,3495,0.004207,-1.2041),(6365,3505,0.004212,-1.2028),(6365,3515,0.004321,-1.2015),(6365,3525,0.004431,-1.2003),(6365,3535,0.004541,-1.199),(6365,3545,0.004648,-1.1977),(6365,3555,0.004689,-1.1965),(6365,3565,0.00473,-1.1952),(6365,3575,0.004771,-1.1938),(6365,3585,0.004817,-1.1924),(6365,3595,0.00492,-1.191),(6365,3605,0.005023,-1.1896),(6365,3615,0.005127,-1.1882),(6365,3625,0.005213,-1.1869),(6365,3635,0.00518,-1.1855),(6365,3645,0.005146,-1.1842),(6365,3655,0.005113,-1.1825),(6365,3665,0.005084,-1.1809),(6365,3675,0.005083,-1.1793),(6365,3685,0.005082,-1.1777),(6365,3695,0.00508,-1.1763),(6365,3705,0.005036,-1.1749),(6365,3715,0.004824,-1.1734),(6365,3725,0.004613,-1.172),(6365,3735,0.004401,-1.1707),(6365,3745,0.004135,-1.1693),(6365,3755,0.0037,-1.168),(6365,3765,0.003265,-1.1666),(6365,3775,0.002829,-1.1653),(6365,3785,0.002238,-1.1639),(6365,3795,0.001247,-1.1626),(6365,3805,0.000257,-1.1613),(6365,3815,-0.000733,-1.1602),(6365,3825,-0.002118,-1.1592),(6365,3835,-0.004335,-1.1581),(6365,3845,-0.006552,-1.1572),(6365,3855,-0.008768,-1.1566),(6365,3865,-0.01178,-1.156),(6365,3875,-0.016199,-1.1553),(6365,3885,-0.020617,-1.1549),(6365,3895,-0.025035,-1.1546),(6365,3905,-0.031337,-1.1543),(6365,3915,-0.040452,-1.1541),(6365,3925,-0.049567,-1.1534),(6365,3935,-0.058682,-1.152),(6365,3945,-0.071284,-1.1507),(6365,3955,-0.088314,-1.1493),(6365,3965,-0.10534,-1.1439),(6365,3975,-0.12237,-1.1338),(6365,3985,-0.13526,-1.1236),(6365,3995,-0.14366,-1.1135),(6365,4005,-0.15206,-1.0958),(6365,4015,-0.16046,-1.0707),(6365,4025,-0.024027,-1.0456),(6365,4035,0.12657,-1.0282),(6365,4045,0.27717,-1.0272),(6365,4055,0.36185,-1.0261),(6365,4065,0.42249,-1.0249),(6365,4075,0.48313,-1.023),(6365,4085,0.51064,-1.0212),(6365,4095,0.51155,-1.0193),(6365,4105,0.51245,-1.0174),(6365,4115,0.51339,-1.0154),(6365,4125,0.51438,-1.0135),(6365,4135,0.51537,-1.0117),(6365,4145,0.51635,-1.0099),(6365,4155,0.51733,-1.0082),(6365,4165,0.51831,-1.0064),(6365,4175,0.51929,-1.0045),(6365,4185,0.52033,-1.0027),(6365,4195,0.52136,-1.0008),(6365,4205,0.5224,-0.99878),(6365,4215,0.52346,-0.9968),(6365,4225,0.52453,-0.99483),(6365,4235,0.52559,-0.99285),(6365,4245,0.52667,-0.99088),(6365,4255,0.52776,-0.9889),(6365,4265,0.52886,-0.98687),(6365,4275,0.52996,-0.98483),(6365,4285,0.53108,-0.9828),(6365,4295,0.5322,-0.98073),(6365,4305,0.53333,-0.97865),(6365,4315,0.53449,-0.97658),(6365,4325,0.53565,-0.97449),(6365,4335,0.53682,-0.9724),(6365,4345,0.53803,-0.97031),(6365,4355,0.53925,-0.96819),(6365,4365,0.54046,-0.96604),(6365,4375,0.54172,-0.9639),(6365,4385,0.54298,-0.96171),(6365,4395,0.54424,-0.95946),(6365,4405,0.54553,-0.95721),(6365,4415,0.54684,-0.95494),(6365,4425,0.54814,-0.95262),(6365,4435,0.54948,-0.9503),(6365,4445,0.55084,-0.94799),(6365,4455,0.5522,-0.94567),(6365,4465,0.55358,-0.94336),(6365,4475,0.55498,-0.94105),(6365,4485,0.55638,-0.93869),(6365,4495,0.5578,-0.93632),(6365,4505,0.55929,-0.93395),(6365,4515,0.56078,-0.93155),(6365,4525,0.56226,-0.92913),(6365,4535,0.56381,-0.92671),(6365,4545,0.56536,-0.92425),(6365,4555,0.56691,-0.92173),(6365,4565,0.56851,-0.91922),(6365,4575,0.57011,-0.91668),(6365,4585,0.57172,-0.91409),(6365,4595,0.57335,-0.91149),(6365,4605,0.57499,-0.90889),(6365,4615,0.57664,-0.90624),(6365,4625,0.5783,-0.9036),(6365,4635,0.57999,-0.90095),(6365,4645,0.58168,-0.89824),(6365,4655,0.58339,-0.89552),(6365,4665,0.58513,-0.89281),(6365,4675,0.58687,-0.89001),(6365,4685,0.58862,-0.88718),(6365,4695,0.59041,-0.88435),(6365,4705,0.5922,-0.88146),(6365,4715,0.59398,-0.87853),(6365,4725,0.5958,-0.8756),(6365,4735,0.59761,-0.87264),(6365,4745,0.59942,-0.86963),(6365,4755,0.60127,-0.86663),(6365,4765,0.60313,-0.86362),(6365,4775,0.60499,-0.86059),(6365,4785,0.60686,-0.85756),(6365,4795,0.60874,-0.85452),(6365,4805,0.61061,-0.85141),(6365,4815,0.6125,-0.84829),(6365,4825,0.61441,-0.84518),(6365,4835,0.61632,-0.84198),(6365,4845,0.61824,-0.83877),(6365,4855,0.62019,-0.83556),(6365,4865,0.62215,-0.83229),(6365,4875,0.62411,-0.829),(6365,4885,0.62611,-0.8257),(6365,4895,0.62811,-0.82238),(6365,4905,0.63011,-0.81903),(6365,4915,0.63215,-0.81568),(6365,4925,0.63418,-0.81231),(6365,4935,0.63622,-0.80889),(6365,4945,0.63826,-0.80547),(6365,4955,0.6403,-0.80204),(6365,4965,0.64234,-0.79853),(6365,4975,0.64437,-0.79503),(6365,4985,0.6464,-0.79152),(6365,4995,0.64843,-0.78793),(6365,5005,0.65045,-0.78433),(6365,5015,0.65246,-0.78074),(6365,5025,0.65447,-0.77708),(6365,5035,0.65648,-0.7734),(6365,5045,0.65845,-0.76973),(6365,5055,0.66042,-0.76594),(6365,5065,0.66239,-0.76207),(6365,5075,0.66449,-0.7582),(6365,5085,0.66658,-0.75437),(6365,5095,0.66868,-0.75057),(6365,5105,0.67075,-0.74676),(6365,5115,0.67282,-0.74294),(6365,5125,0.67489,-0.73905),(6365,5135,0.67697,-0.73516),(6365,5145,0.67905,-0.73126),(6365,5155,0.68113,-0.7273),(6365,5165,0.68322,-0.72333),(6365,5175,0.6853,-0.71936),(6365,5185,0.68738,-0.71535),(6365,5195,0.68946,-0.71133),(6365,5205,0.69154,-0.70731),(6365,5215,0.69361,-0.70326),(6365,5225,0.69568,-0.69918),(6365,5235,0.69773,-0.69511),(6365,5245,0.69977,-0.69098),(6365,5255,0.70182,-0.6868),(6365,5265,0.70385,-0.68263),(6365,5275,0.70588,-0.67842),(6365,5285,0.70791,-0.67415),(6365,5295,0.70995,-0.66988),(6365,5305,0.71199,-0.66559),(6365,5315,0.71403,-0.66127),(6365,5325,0.71608,-0.65695),(6365,5335,0.71813,-0.65262),(6365,5345,0.72019,-0.64827),(6365,5355,0.72224,-0.64391),(6365,5365,0.72428,-0.63956),(6365,5375,0.72632,-0.63516),(6365,5385,0.72836,-0.63075),(6365,5395,0.73035,-0.62635),(6365,5405,0.73235,-0.6219),(6365,5415,0.73435,-0.61744),(6365,5425,0.7363,-0.61297),(6365,5435,0.73826,-0.60848),(6365,5445,0.74021,-0.60396),(6365,5455,0.74213,-0.59944),(6365,5465,0.74405,-0.5949),(6365,5475,0.74597,-0.59029),(6365,5485,0.74787,-0.58568),(6365,5495,0.74977,-0.58107),(6365,5505,0.75167,-0.57639),(6365,5515,0.75356,-0.57171),(6365,5525,0.75544,-0.56702),(6365,5535,0.75733,-0.56232),(6365,5545,0.75921,-0.55762),(6365,5555,0.76108,-0.55292),(6365,5565,0.76295,-0.54821),(6365,5575,0.76481,-0.54348),(6365,5585,0.76664,-0.53876),(6365,5595,0.76847,-0.53398),(6365,5605,0.77031,-0.52916),(6365,5615,0.77208,-0.52435),(6365,5625,0.77385,-0.5195),(6365,5635,0.77562,-0.5146),(6365,5645,0.77734,-0.50969),(6365,5655,0.77905,-0.50479),(6365,5665,0.78076,-0.4999),(6365,5675,0.78242,-0.495),(6365,5685,0.78404,-0.4901),(6365,5695,0.78567,-0.48497),(6365,5705,0.78737,-0.47984),(6365,5715,0.78915,-0.47471),(6365,5725,0.79093,-0.46972),(6365,5735,0.79269,-0.46475),(6365,5745,0.79438,-0.45978),(6365,5755,0.79606,-0.45476),(6365,5765,0.79774,-0.44973),(6365,5775,0.79938,-0.4447),(6365,5785,0.80101,-0.43963),(6365,5795,0.80265,-0.43454),(6365,5805,0.80421,-0.42944),(6365,5815,0.80576,-0.42432),(6365,5825,0.80732,-0.41914),(6365,5835,0.80881,-0.41396),(6365,5845,0.81028,-0.40877),(6365,5855,0.81176,-0.40355),(6365,5865,0.81321,-0.39832),(6365,5875,0.81464,-0.39309),(6365,5885,0.81607,-0.38785),(6365,5895,0.8175,-0.38261),(6365,5905,0.81891,-0.37738),(6365,5915,0.82033,-0.37214),(6365,5925,0.82173,-0.36691),(6365,5935,0.82311,-0.36168),(6365,5945,0.82448,-0.35645),(6365,5955,0.82585,-0.35121),(6365,5965,0.8271,-0.34598),(6365,5975,0.82834,-0.34061),(6365,5985,0.82959,-0.33507),(6365,5995,0.83093,-0.32952),(6365,6005,0.8323,-0.32404),(6365,6015,0.83366,-0.31869),(6365,6025,0.83493,-0.31335),(6365,6035,0.83614,-0.308),(6365,6045,0.83736,-0.30258),(6365,6055,0.83855,-0.29716),(6365,6065,0.83971,-0.29174),(6365,6075,0.84087,-0.28633),(6365,6085,0.84202,-0.28091),(6365,6095,0.84314,-0.27549),(6365,6105,0.84425,-0.27009),(6365,6115,0.84536,-0.2647),(6365,6125,0.84641,-0.25931),(6365,6135,0.84745,-0.25386),(6365,6145,0.8485,-0.24836),(6365,6155,0.84944,-0.24287),(6365,6165,0.85039,-0.23733),(6365,6175,0.85133,-0.23171),(6365,6185,0.85221,-0.2261),(6365,6195,0.85308,-0.22048),(6365,6205,0.85395,-0.21487),(6365,6215,0.85479,-0.20927),(6365,6225,0.85561,-0.20366),(6365,6235,0.85644,-0.19806),(6365,6245,0.85724,-0.19247),(6365,6255,0.858,-0.18688),(6365,6265,0.85877,-0.18134),(6365,6275,0.8595,-0.17582),(6365,6285,0.86013,-0.1703),(6365,6295,0.86076,-0.16465),(6365,6305,0.8614,-0.15894),(6365,6315,0.8621,-0.15323),(6365,6325,0.8628,-0.14757),(6365,6335,0.86351,-0.14197),(6365,6345,0.86406,-0.13637),(6365,6355,0.86459,-0.13074),(6365,6365,0.86513,-0.12503),(6365,6375,0.86563,-0.11933),(6365,6385,0.86612,-0.11364),(6365,6395,0.86661,-0.1081),(6365,6405,0.86708,-0.10255),(6365,6415,0.86754,-0.097003),(6365,6425,0.86799,-0.091375),(6365,6435,0.86842,-0.085743),(6365,6445,0.8688,-0.080111),(6365,6455,0.86919,-0.074468),(6365,6465,0.86956,-0.068822),(6365,6475,0.86985,-0.063176),(6365,6485,0.87014,-0.057468),(6365,6495,0.87043,-0.05172),(6365,6505,0.87062,-0.045972),(6365,6515,0.8708,-0.040218),(6365,6525,0.87099,-0.034457),(6365,6535,0.87109,-0.028696),(6365,6545,0.87118,-0.022988),(6365,6555,0.87127,-0.017444),(6365,6565,0.87128,-0.0119),(6365,6575,0.87126,-0.006344),(6365,6585,0.87123,-0.000606),(6365,6595,0.74098,0.005131),(6365,6605,0.46694,0.010869),(6365,6615,0.19289,0.011591),(6365,6625,0.000254,0.011668),(6365,6635,0.000294,0.011745),(6365,6645,0.000333,0.011768),(6365,6655,0.000373,0.011769),(6365,6665,0.000412,0.01177),(6365,6675,0.000451,0.01177),(6365,6685,0.00049,0.01177),(6365,6695,0.000529,0.011769),(6365,6705,0.000568,0.011768),(6365,6715,0.000607,0.011767),(6365,6725,0.000646,0.011765),(6365,6735,0.000685,0.011763),(6365,6745,0.000724,0.01176),(6365,6755,0.000762,0.011757),(6365,6765,0.0008,0.011754),(6365,6775,0.000839,0.01175),(6365,6785,0.000877,0.011746),(6365,6795,0.000915,0.011742),(6365,6805,0.000953,0.011736),(6365,6815,0.00099,0.011731),(6365,6825,0.001028,0.011725),(6365,6835,0.001065,0.011719),(6365,6845,0.001102,0.011712),(6365,6855,0.001139,0.011706),(6365,6865,0.001176,0.011699),(6365,6875,0.001212,0.011691),(6365,6885,0.001249,0.011683),(6365,6895,0.001285,0.011674),(6365,6905,0.001321,0.011665),(6365,6915,0.001356,0.011656),(6365,6925,0.001392,0.011647),(6365,6935,0.001427,0.011637),(6365,6945,0.001462,0.011627),(6365,6955,0.001497,0.011617),(6365,6965,0.001531,0.011605),(6365,6975,0.001566,0.011594),(6365,6985,0.001599,0.011583),(6375,5,1.5e-05,-1.3199),(6375,15,4.6e-05,-1.3198),(6375,25,7.1e-05,-1.3197),(6375,35,9e-05,-1.3196),(6375,45,0.000109,-1.3195),(6375,55,0.000129,-1.3195),(6375,65,0.000143,-1.3195),(6375,75,0.000153,-1.3194),(6375,85,0.000164,-1.3195),(6375,95,0.000174,-1.3195),(6375,105,0.000174,-1.3195),(6375,115,0.000167,-1.3196),(6375,125,0.00016,-1.3195),(6375,135,0.000153,-1.3195),(6375,145,0.000146,-1.3194),(6375,155,0.000139,-1.3193),(6375,165,0.000132,-1.3192),(6375,175,0.000125,-1.3191),(6375,185,0.000127,-1.3191),(6375,195,0.000135,-1.319),(6375,205,0.000143,-1.3189),(6375,215,0.00015,-1.3189),(6375,225,0.000204,-1.3188),(6375,235,0.000276,-1.3188),(6375,245,0.000348,-1.3188),(6375,255,0.00042,-1.319),(6375,265,0.000478,-1.3191),(6375,275,0.000532,-1.3192),(6375,285,0.000586,-1.3193),(6375,295,0.00064,-1.3193),(6375,305,0.000623,-1.3194),(6375,315,0.000587,-1.3194),(6375,325,0.000552,-1.3193),(6375,335,0.000516,-1.3192),(6375,345,0.000476,-1.3191),(6375,355,0.000434,-1.319),(6375,365,0.000393,-1.3189),(6375,375,0.000351,-1.3189),(6375,385,0.00033,-1.3189),(6375,395,0.000311,-1.3188),(6375,405,0.000292,-1.3188),(6375,415,0.000274,-1.3188),(6375,425,0.00027,-1.3188),(6375,435,0.000267,-1.3188),(6375,445,0.000264,-1.3188),(6375,455,0.000261,-1.3187),(6375,465,0.000252,-1.3186),(6375,475,0.000242,-1.3186),(6375,485,0.000233,-1.3185),(6375,495,0.000223,-1.3184),(6375,505,0.000259,-1.3182),(6375,515,0.000295,-1.3181),(6375,525,0.000331,-1.3181),(6375,535,0.000369,-1.3181),(6375,545,0.00044,-1.3181),(6375,555,0.000512,-1.3181),(6375,565,0.000584,-1.318),(6375,575,0.000657,-1.318),(6375,585,0.000755,-1.318),(6375,595,0.000852,-1.318),(6375,605,0.00095,-1.318),(6375,615,0.001045,-1.318),(6375,625,0.001125,-1.318),(6375,635,0.001204,-1.318),(6375,645,0.001283,-1.318),(6375,655,0.001357,-1.318),(6375,665,0.001398,-1.3181),(6375,675,0.00144,-1.3181),(6375,685,0.001482,-1.318),(6375,695,0.001514,-1.318),(6375,705,0.001504,-1.3179),(6375,715,0.001495,-1.3178),(6375,725,0.001486,-1.3176),(6375,735,0.001494,-1.3174),(6375,745,0.001558,-1.3173),(6375,755,0.001623,-1.3171),(6375,765,0.001688,-1.3171),(6375,775,0.001749,-1.317),(6375,785,0.0018,-1.317),(6375,795,0.001851,-1.3169),(6375,805,0.001901,-1.3168),(6375,815,0.001962,-1.3167),(6375,825,0.002043,-1.3166),(6375,835,0.002125,-1.3165),(6375,845,0.002207,-1.3163),(6375,855,0.002293,-1.3161),(6375,865,0.00239,-1.316),(6375,875,0.002488,-1.3158),(6375,885,0.002585,-1.3156),(6375,895,0.002701,-1.3154),(6375,905,0.002848,-1.3153),(6375,915,0.002996,-1.3151),(6375,925,0.003143,-1.315),(6375,935,0.003261,-1.3149),(6375,945,0.003341,-1.3147),(6375,955,0.003421,-1.3145),(6375,965,0.0035,-1.3142),(6375,975,0.003544,-1.314),(6375,985,0.003546,-1.3137),(6375,995,0.003549,-1.3134),(6375,1005,0.003551,-1.313),(6375,1015,0.003511,-1.3127),(6375,1025,0.00343,-1.3124),(6375,1035,0.003349,-1.3121),(6375,1045,0.003269,-1.312),(6375,1055,0.003094,-1.3118),(6375,1065,0.002844,-1.3116),(6375,1075,0.002593,-1.3115),(6375,1085,0.002342,-1.3114),(6375,1095,0.001882,-1.3114),(6375,1105,0.001277,-1.3113),(6375,1115,0.000671,-1.3114),(6375,1125,6.5e-05,-1.3116),(6375,1135,-0.001124,-1.3117),(6375,1145,-0.002656,-1.3119),(6375,1155,-0.004189,-1.3126),(6375,1165,-0.005722,-1.3136),(6375,1175,-0.008727,-1.3145),(6375,1185,-0.012463,-1.3155),(6375,1195,-0.016199,-1.3179),(6375,1205,-0.019935,-1.3209),(6375,1215,-0.028726,-1.324),(6375,1225,-0.039603,-1.327),(6375,1235,-0.05048,-1.331),(6375,1245,-0.061357,-1.3354),(6375,1255,-0.086472,-1.3398),(6375,1265,-0.1164,-1.3442),(6375,1275,-0.14632,-1.3388),(6375,1285,-0.17624,-1.3306),(6375,1295,-0.187,-1.3224),(6375,1305,-0.19257,-1.3141),(6375,1315,-0.19814,-1.2883),(6375,1325,-0.20371,-1.2583),(6375,1335,-0.12558,-1.2282),(6375,1345,-0.029923,-1.1982),(6375,1355,0.065738,-1.2176),(6375,1365,0.1614,-1.2459),(6375,1375,0.18139,-1.2743),(6375,1385,0.18971,-1.3026),(6375,1395,0.19804,-1.3158),(6375,1405,0.20636,-1.327),(6375,1415,0.17623,-1.3382),(6375,1425,0.14211,-1.3494),(6375,1435,0.10799,-1.3454),(6375,1445,0.073866,-1.3402),(6375,1455,0.060662,-1.335),(6375,1465,0.048662,-1.3298),(6375,1475,0.036662,-1.326),(6375,1485,0.024662,-1.3223),(6375,1495,0.020493,-1.3186),(6375,1505,0.016442,-1.3149),(6375,1515,0.012391,-1.3134),(6375,1525,0.008399,-1.3119),(6375,1535,0.006718,-1.3104),(6375,1545,0.005037,-1.309),(6375,1555,0.003355,-1.3085),(6375,1565,0.001734,-1.3079),(6375,1575,0.000991,-1.3074),(6375,1585,0.000248,-1.3069),(6375,1595,-0.000495,-1.3067),(6375,1605,-0.001194,-1.3066),(6375,1615,-0.001519,-1.3064),(6375,1625,-0.001844,-1.3063),(6375,1635,-0.002169,-1.3064),(6375,1645,-0.002461,-1.3065),(6375,1655,-0.002552,-1.3066),(6375,1665,-0.002643,-1.3067),(6375,1675,-0.002734,-1.3066),(6375,1685,-0.002804,-1.3066),(6375,1695,-0.002777,-1.3066),(6375,1705,-0.002749,-1.3066),(6375,1715,-0.002722,-1.3066),(6375,1725,-0.002671,-1.3066),(6375,1735,-0.002537,-1.3066),(6375,1745,-0.002404,-1.3067),(6375,1755,-0.00227,-1.3067),(6375,1765,-0.002136,-1.3068),(6375,1775,-0.002003,-1.3068),(6375,1785,-0.00187,-1.3069),(6375,1795,-0.001737,-1.3068),(6375,1805,-0.001608,-1.3067),(6375,1815,-0.00149,-1.3067),(6375,1825,-0.001372,-1.3066),(6375,1835,-0.001253,-1.3065),(6375,1845,-0.001132,-1.3065),(6375,1855,-0.001003,-1.3064),(6375,1865,-0.000874,-1.3063),(6375,1875,-0.000746,-1.3062),(6375,1885,-0.000666,-1.3061),(6375,1895,-0.000667,-1.3059),(6375,1905,-0.000668,-1.3058),(6375,1915,-0.000669,-1.3056),(6375,1925,-0.000662,-1.3054),(6375,1935,-0.000641,-1.3052),(6375,1945,-0.000621,-1.305),(6375,1955,-0.000601,-1.3047),(6375,1965,-0.000588,-1.3045),(6375,1975,-0.000582,-1.3042),(6375,1985,-0.000577,-1.304),(6375,1995,-0.000572,-1.3036),(6375,2005,-0.000542,-1.3033),(6375,2015,-0.000489,-1.303),(6375,2025,-0.000435,-1.3027),(6375,2035,-0.000382,-1.3025),(6375,2045,-0.000331,-1.3022),(6375,2055,-0.000282,-1.302),(6375,2065,-0.000233,-1.3017),(6375,2075,-0.000184,-1.3014),(6375,2085,-0.000139,-1.3012),(6375,2095,-9.6e-05,-1.3009),(6375,2105,-5.3e-05,-1.3007),(6375,2115,-1e-05,-1.3004),(6375,2125,4.9e-05,-1.3001),(6375,2135,0.000116,-1.2999),(6375,2145,0.000184,-1.2996),(6375,2155,0.000251,-1.2993),(6375,2165,0.000302,-1.2991),(6375,2175,0.000344,-1.2988),(6375,2185,0.000386,-1.2985),(6375,2195,0.000428,-1.2982),(6375,2205,0.000461,-1.2978),(6375,2215,0.000489,-1.2975),(6375,2225,0.000518,-1.2971),(6375,2235,0.000546,-1.2968),(6375,2245,0.000604,-1.2964),(6375,2255,0.000672,-1.296),(6375,2265,0.000741,-1.2956),(6375,2275,0.000809,-1.2953),(6375,2285,0.000798,-1.2949),(6375,2295,0.000763,-1.2945),(6375,2305,0.000729,-1.2941),(6375,2315,0.000695,-1.2937),(6375,2325,0.000718,-1.2933),(6375,2335,0.000754,-1.2929),(6375,2345,0.000789,-1.2926),(6375,2355,0.000825,-1.2923),(6375,2365,0.000852,-1.2919),(6375,2375,0.000876,-1.2916),(6375,2385,0.000901,-1.2912),(6375,2395,0.000925,-1.2908),(6375,2405,0.000922,-1.2904),(6375,2415,0.000916,-1.2899),(6375,2425,0.00091,-1.2894),(6375,2435,0.000903,-1.2889),(6375,2445,0.000877,-1.2884),(6375,2455,0.000849,-1.2879),(6375,2465,0.000821,-1.2874),(6375,2475,0.000794,-1.2869),(6375,2485,0.000779,-1.2864),(6375,2495,0.000764,-1.2859),(6375,2505,0.00075,-1.2854),(6375,2515,0.000737,-1.2849),(6375,2525,0.000811,-1.2844),(6375,2535,0.000886,-1.2839),(6375,2545,0.00096,-1.2835),(6375,2555,0.001037,-1.2831),(6375,2565,0.001143,-1.2827),(6375,2575,0.00125,-1.2823),(6375,2585,0.001356,-1.282),(6375,2595,0.001452,-1.2816),(6375,2605,0.001443,-1.2812),(6375,2615,0.001433,-1.2808),(6375,2625,0.001424,-1.2801),(6375,2635,0.001419,-1.2795),(6375,2645,0.001447,-1.2788),(6375,2655,0.001474,-1.2782),(6375,2665,0.001502,-1.2775),(6375,2675,0.00151,-1.2769),(6375,2685,0.001427,-1.2763),(6375,2695,0.001345,-1.2757),(6375,2705,0.001262,-1.275),(6375,2715,0.001208,-1.2743),(6375,2725,0.001264,-1.2736),(6375,2735,0.00132,-1.273),(6375,2745,0.001375,-1.2724),(6375,2755,0.001429,-1.2718),(6375,2765,0.001475,-1.2712),(6375,2775,0.001522,-1.2706),(6375,2785,0.001568,-1.2699),(6375,2795,0.001613,-1.2693),(6375,2805,0.001654,-1.2687),(6375,2815,0.001694,-1.268),(6375,2825,0.001735,-1.2673),(6375,2835,0.001764,-1.2666),(6375,2845,0.001769,-1.2659),(6375,2855,0.001774,-1.2652),(6375,2865,0.001779,-1.2645),(6375,2875,0.001781,-1.2637),(6375,2885,0.001778,-1.2629),(6375,2895,0.001775,-1.2622),(6375,2905,0.001771,-1.2615),(6375,2915,0.001779,-1.2607),(6375,2925,0.001802,-1.26),(6375,2935,0.001824,-1.2593),(6375,2945,0.001847,-1.2585),(6375,2955,0.001871,-1.2577),(6375,2965,0.001895,-1.2569),(6375,2975,0.00192,-1.2561),(6375,2985,0.001944,-1.2553),(6375,2995,0.001979,-1.2545),(6375,3005,0.002024,-1.2537),(6375,3015,0.00207,-1.2529),(6375,3025,0.002115,-1.2521),(6375,3035,0.002222,-1.2513),(6375,3045,0.002384,-1.2505),(6375,3055,0.002545,-1.2497),(6375,3065,0.002707,-1.2489),(6375,3075,0.002755,-1.2481),(6375,3085,0.002717,-1.2474),(6375,3095,0.002678,-1.2465),(6375,3105,0.00264,-1.2455),(6375,3115,0.002671,-1.2446),(6375,3125,0.002746,-1.2436),(6375,3135,0.00282,-1.2427),(6375,3145,0.002895,-1.2418),(6375,3155,0.002935,-1.241),(6375,3165,0.002955,-1.2401),(6375,3175,0.002976,-1.2392),(6375,3185,0.002996,-1.2382),(6375,3195,0.002987,-1.2373),(6375,3205,0.002964,-1.2363),(6375,3215,0.002942,-1.2353),(6375,3225,0.002919,-1.2343),(6375,3235,0.002922,-1.2332),(6375,3245,0.002935,-1.2322),(6375,3255,0.002947,-1.2312),(6375,3265,0.00296,-1.2301),(6375,3275,0.003005,-1.229),(6375,3285,0.00306,-1.2279),(6375,3295,0.003114,-1.2269),(6375,3305,0.003169,-1.2259),(6375,3315,0.003236,-1.2249),(6375,3325,0.003305,-1.2239),(6375,3335,0.003375,-1.2229),(6375,3345,0.003444,-1.2219),(6375,3355,0.003497,-1.2208),(6375,3365,0.003546,-1.2198),(6375,3375,0.003595,-1.2186),(6375,3385,0.003645,-1.2174),(6375,3395,0.003798,-1.2162),(6375,3405,0.003965,-1.215),(6375,3415,0.004131,-1.214),(6375,3425,0.004298,-1.213),(6375,3435,0.004237,-1.212),(6375,3445,0.004158,-1.211),(6375,3455,0.00408,-1.2096),(6375,3465,0.004001,-1.2082),(6375,3475,0.004012,-1.2068),(6375,3485,0.004026,-1.2054),(6375,3495,0.00404,-1.2041),(6375,3505,0.004054,-1.2028),(6375,3515,0.004135,-1.2015),(6375,3525,0.004216,-1.2002),(6375,3535,0.004297,-1.1989),(6375,3545,0.004377,-1.1977),(6375,3555,0.00443,-1.1965),(6375,3565,0.004482,-1.1952),(6375,3575,0.004534,-1.1938),(6375,3585,0.004588,-1.1923),(6375,3595,0.00466,-1.1909),(6375,3605,0.004731,-1.1895),(6375,3615,0.004803,-1.1882),(6375,3625,0.004863,-1.1869),(6375,3635,0.004841,-1.1856),(6375,3645,0.00482,-1.1842),(6375,3655,0.004798,-1.1826),(6375,3665,0.004776,-1.1809),(6375,3675,0.004751,-1.1793),(6375,3685,0.004725,-1.1777),(6375,3695,0.0047,-1.1763),(6375,3705,0.004641,-1.1749),(6375,3715,0.00445,-1.1735),(6375,3725,0.004258,-1.1722),(6375,3735,0.004067,-1.1708),(6375,3745,0.003824,-1.1695),(6375,3755,0.003417,-1.1682),(6375,3765,0.003011,-1.1669),(6375,3775,0.002604,-1.1656),(6375,3785,0.002064,-1.1643),(6375,3795,0.001183,-1.163),(6375,3805,0.000302,-1.1619),(6375,3815,-0.00058,-1.161),(6375,3825,-0.001846,-1.1601),(6375,3835,-0.003925,-1.1592),(6375,3845,-0.006004,-1.1586),(6375,3855,-0.008082,-1.1582),(6375,3865,-0.010901,-1.1579),(6375,3875,-0.015026,-1.1576),(6375,3885,-0.019152,-1.1576),(6375,3895,-0.023277,-1.158),(6375,3905,-0.029414,-1.1585),(6375,3915,-0.038556,-1.1589),(6375,3925,-0.047697,-1.1591),(6375,3935,-0.056838,-1.1589),(6375,3945,-0.0706,-1.1587),(6375,3955,-0.090228,-1.1586),(6375,3965,-0.10986,-1.1541),(6375,3975,-0.12948,-1.1446),(6375,3985,-0.1467,-1.135),(6375,3995,-0.16129,-1.1255),(6375,4005,-0.17589,-1.1062),(6375,4015,-0.19049,-1.0772),(6375,4025,-0.046375,-1.0482),(6375,4035,0.11327,-1.0282),(6375,4045,0.27291,-1.0271),(6375,4055,0.35976,-1.0261),(6375,4065,0.42005,-1.0249),(6375,4075,0.48034,-1.023),(6375,4085,0.50768,-1.0211),(6375,4095,0.50856,-1.0192),(6375,4105,0.50944,-1.0173),(6375,4115,0.51036,-1.0154),(6375,4125,0.51135,-1.0134),(6375,4135,0.51235,-1.0116),(6375,4145,0.51333,-1.0098),(6375,4155,0.51426,-1.0081),(6375,4165,0.51518,-1.0063),(6375,4175,0.5161,-1.0044),(6375,4185,0.51713,-1.0026),(6375,4195,0.51817,-1.0007),(6375,4205,0.5192,-0.99868),(6375,4215,0.52025,-0.99671),(6375,4225,0.52131,-0.99474),(6375,4235,0.52237,-0.99277),(6375,4245,0.52344,-0.9908),(6375,4255,0.52453,-0.98882),(6375,4265,0.52561,-0.98679),(6375,4275,0.52671,-0.98476),(6375,4285,0.52782,-0.98272),(6375,4295,0.52893,-0.98065),(6375,4305,0.53005,-0.97857),(6375,4315,0.5312,-0.97649),(6375,4325,0.53234,-0.9744),(6375,4335,0.5335,-0.9723),(6375,4345,0.5347,-0.97019),(6375,4355,0.5359,-0.96807),(6375,4365,0.5371,-0.96592),(6375,4375,0.53834,-0.96377),(6375,4385,0.53959,-0.96158),(6375,4395,0.54083,-0.95932),(6375,4405,0.54211,-0.95706),(6375,4415,0.54339,-0.95479),(6375,4425,0.54468,-0.95246),(6375,4435,0.546,-0.95013),(6375,4445,0.54736,-0.94781),(6375,4455,0.54871,-0.94549),(6375,4465,0.55007,-0.94317),(6375,4475,0.55144,-0.94086),(6375,4485,0.5528,-0.93848),(6375,4495,0.55419,-0.9361),(6375,4505,0.55566,-0.93371),(6375,4515,0.55712,-0.9313),(6375,4525,0.55859,-0.92887),(6375,4535,0.56012,-0.92644),(6375,4545,0.56164,-0.92397),(6375,4555,0.56317,-0.92145),(6375,4565,0.56475,-0.91893),(6375,4575,0.56633,-0.91639),(6375,4585,0.56791,-0.91379),(6375,4595,0.56952,-0.91119),(6375,4605,0.57114,-0.90859),(6375,4615,0.57276,-0.90593),(6375,4625,0.5744,-0.90328),(6375,4635,0.57606,-0.90063),(6375,4645,0.57772,-0.89791),(6375,4655,0.5794,-0.89519),(6375,4665,0.58112,-0.89247),(6375,4675,0.58283,-0.88966),(6375,4685,0.58455,-0.88682),(6375,4695,0.58632,-0.88399),(6375,4705,0.58809,-0.8811),(6375,4715,0.58985,-0.87817),(6375,4725,0.59162,-0.87524),(6375,4735,0.59339,-0.87227),(6375,4745,0.59516,-0.86926),(6375,4755,0.597,-0.86625),(6375,4765,0.59886,-0.86324),(6375,4775,0.60071,-0.86021),(6375,4785,0.60256,-0.85718),(6375,4795,0.60441,-0.85415),(6375,4805,0.60626,-0.85103),(6375,4815,0.60813,-0.84791),(6375,4825,0.61001,-0.84479),(6375,4835,0.61189,-0.84158),(6375,4845,0.61379,-0.83836),(6375,4855,0.61571,-0.83514),(6375,4865,0.61763,-0.83186),(6375,4875,0.61956,-0.82856),(6375,4885,0.62153,-0.82526),(6375,4895,0.62349,-0.82193),(6375,4905,0.62546,-0.81857),(6375,4915,0.62746,-0.81522),(6375,4925,0.62946,-0.81184),(6375,4935,0.63146,-0.80842),(6375,4945,0.63348,-0.80501),(6375,4955,0.63549,-0.80158),(6375,4965,0.63751,-0.79808),(6375,4975,0.63953,-0.79458),(6375,4985,0.64155,-0.79108),(6375,4995,0.64357,-0.7875),(6375,5005,0.64559,-0.78391),(6375,5015,0.64761,-0.78032),(6375,5025,0.64963,-0.77668),(6375,5035,0.65162,-0.77302),(6375,5045,0.65351,-0.76937),(6375,5055,0.6554,-0.76556),(6375,5065,0.6573,-0.76165),(6375,5075,0.65942,-0.75775),(6375,5085,0.66154,-0.7539),(6375,5095,0.66367,-0.7501),(6375,5105,0.6657,-0.7463),(6375,5115,0.66772,-0.74248),(6375,5125,0.66974,-0.73858),(6375,5135,0.67178,-0.73469),(6375,5145,0.67382,-0.73079),(6375,5155,0.67586,-0.72682),(6375,5165,0.67791,-0.72285),(6375,5175,0.67997,-0.71888),(6375,5185,0.68202,-0.71488),(6375,5195,0.68408,-0.71086),(6375,5205,0.68613,-0.70685),(6375,5215,0.68819,-0.7028),(6375,5225,0.69024,-0.69873),(6375,5235,0.69228,-0.69467),(6375,5245,0.69431,-0.69054),(6375,5255,0.69634,-0.68637),(6375,5265,0.69836,-0.6822),(6375,5275,0.70037,-0.67799),(6375,5285,0.70238,-0.67371),(6375,5295,0.70439,-0.66943),(6375,5305,0.7064,-0.66514),(6375,5315,0.70842,-0.66081),(6375,5325,0.71044,-0.65647),(6375,5335,0.71246,-0.65214),(6375,5345,0.71448,-0.64779),(6375,5355,0.7165,-0.64343),(6375,5365,0.71852,-0.63908),(6375,5375,0.72053,-0.63469),(6375,5385,0.72253,-0.63029),(6375,5395,0.72451,-0.6259),(6375,5405,0.72649,-0.62146),(6375,5415,0.72847,-0.617),(6375,5425,0.73041,-0.61255),(6375,5435,0.73235,-0.60807),(6375,5445,0.73429,-0.60355),(6375,5455,0.7362,-0.59904),(6375,5465,0.73811,-0.59449),(6375,5475,0.74001,-0.58989),(6375,5485,0.7419,-0.58528),(6375,5495,0.74378,-0.58067),(6375,5505,0.74565,-0.57598),(6375,5515,0.74752,-0.5713),(6375,5525,0.74939,-0.56661),(6375,5535,0.75125,-0.56191),(6375,5545,0.75311,-0.5572),(6375,5555,0.75496,-0.5525),(6375,5565,0.75681,-0.54779),(6375,5575,0.75866,-0.54307),(6375,5585,0.76048,-0.53835),(6375,5595,0.7623,-0.53358),(6375,5605,0.76412,-0.52877),(6375,5615,0.76589,-0.52397),(6375,5625,0.76765,-0.51912),(6375,5635,0.76942,-0.51423),(6375,5645,0.77115,-0.50934),(6375,5655,0.77288,-0.50445),(6375,5665,0.77461,-0.49958),(6375,5675,0.77618,-0.4947),(6375,5685,0.77767,-0.48981),(6375,5695,0.77916,-0.48462),(6375,5705,0.78082,-0.47943),(6375,5715,0.78268,-0.47424),(6375,5725,0.78454,-0.46926),(6375,5735,0.78633,-0.4643),(6375,5745,0.78797,-0.45934),(6375,5755,0.7896,-0.45434),(6375,5765,0.79122,-0.44931),(6375,5775,0.79284,-0.44429),(6375,5785,0.79445,-0.43923),(6375,5795,0.79606,-0.43415),(6375,5805,0.79761,-0.42908),(6375,5815,0.79916,-0.42397),(6375,5825,0.80071,-0.4188),(6375,5835,0.8022,-0.41364),(6375,5845,0.80367,-0.40846),(6375,5855,0.80514,-0.40323),(6375,5865,0.80659,-0.398),(6375,5875,0.80801,-0.39277),(6375,5885,0.80944,-0.38753),(6375,5895,0.81086,-0.38228),(6375,5905,0.81227,-0.37704),(6375,5915,0.81367,-0.3718),(6375,5925,0.81508,-0.36657),(6375,5935,0.81646,-0.36133),(6375,5945,0.81785,-0.35612),(6375,5955,0.81923,-0.35092),(6375,5965,0.82032,-0.34573),(6375,5975,0.82142,-0.34035),(6375,5985,0.82251,-0.33474),(6375,5995,0.82393,-0.32914),(6375,6005,0.82539,-0.32362),(6375,6015,0.82686,-0.31831),(6375,6025,0.82811,-0.31299),(6375,6035,0.82928,-0.30767),(6375,6045,0.83044,-0.30226),(6375,6055,0.83159,-0.29685),(6375,6065,0.83272,-0.29143),(6375,6075,0.83385,-0.28601),(6375,6085,0.83497,-0.2806),(6375,6095,0.83607,-0.27518),(6375,6105,0.83717,-0.26978),(6375,6115,0.83827,-0.2644),(6375,6125,0.83932,-0.25902),(6375,6135,0.84037,-0.25358),(6375,6145,0.84142,-0.2481),(6375,6155,0.84237,-0.24263),(6375,6165,0.84332,-0.2371),(6375,6175,0.84427,-0.23149),(6375,6185,0.84516,-0.22588),(6375,6195,0.84603,-0.22027),(6375,6205,0.8469,-0.21466),(6375,6215,0.84774,-0.20905),(6375,6225,0.84856,-0.20344),(6375,6235,0.84938,-0.19785),(6375,6245,0.85018,-0.19225),(6375,6255,0.85097,-0.18666),(6375,6265,0.85175,-0.18115),(6375,6275,0.85246,-0.17566),(6375,6285,0.85296,-0.17018),(6375,6295,0.85347,-0.16451),(6375,6305,0.854,-0.15875),(6375,6315,0.85481,-0.15299),(6375,6325,0.85562,-0.14733),(6375,6335,0.85643,-0.14176),(6375,6345,0.85696,-0.1362),(6375,6355,0.85747,-0.13059),(6375,6365,0.85797,-0.12488),(6375,6375,0.85845,-0.11918),(6375,6385,0.85892,-0.11349),(6375,6395,0.8594,-0.10794),(6375,6405,0.85985,-0.10239),(6375,6415,0.86029,-0.096835),(6375,6425,0.86073,-0.09121),(6375,6435,0.86115,-0.085582),(6375,6445,0.86153,-0.079954),(6375,6455,0.86191,-0.074322),(6375,6465,0.86228,-0.068689),(6375,6475,0.86258,-0.063056),(6375,6485,0.86288,-0.057363),(6375,6495,0.86318,-0.05163),(6375,6505,0.86338,-0.045897),(6375,6515,0.86358,-0.040158),(6375,6525,0.86378,-0.034411),(6375,6535,0.86391,-0.028664),(6375,6545,0.86403,-0.022971),(6375,6555,0.86414,-0.017448),(6375,6565,0.86412,-0.011925),(6375,6575,0.86401,-0.006387),(6375,6585,0.86391,-0.000615),(6375,6595,0.73472,0.005156),(6375,6605,0.46299,0.010927),(6375,6615,0.19126,0.011647),(6375,6625,0.000252,0.011717),(6375,6635,0.000292,0.011787),(6375,6645,0.000331,0.011807),(6375,6655,0.000371,0.011808),(6375,6665,0.000411,0.011809),(6375,6675,0.00045,0.011809),(6375,6685,0.00049,0.011809),(6375,6695,0.00053,0.011808),(6375,6705,0.000569,0.011807),(6375,6715,0.000608,0.011805),(6375,6725,0.000648,0.011804),(6375,6735,0.000687,0.011802),(6375,6745,0.000726,0.011799),(6375,6755,0.000765,0.011796),(6375,6765,0.000803,0.011792),(6375,6775,0.000842,0.011788),(6375,6785,0.00088,0.011784),(6375,6795,0.000919,0.011779),(6375,6805,0.000957,0.011774),(6375,6815,0.000995,0.011768),(6375,6825,0.001033,0.011763),(6375,6835,0.00107,0.011756),(6375,6845,0.001108,0.011749),(6375,6855,0.001145,0.011743),(6375,6865,0.001182,0.011735),(6375,6875,0.001219,0.011727),(6375,6885,0.001256,0.011719),(6375,6895,0.001292,0.01171),(6375,6905,0.001328,0.011701),(6375,6915,0.001364,0.011692),(6375,6925,0.0014,0.011682),(6375,6935,0.001436,0.011672),(6375,6945,0.001471,0.011662),(6375,6955,0.001506,0.011651),(6375,6965,0.001541,0.01164),(6375,6975,0.001575,0.011628),(6375,6985,0.001609,0.011617),(6385,5,1.4e-05,-1.3199),(6385,15,4.2e-05,-1.3198),(6385,25,6.4e-05,-1.3197),(6385,35,8e-05,-1.3196),(6385,45,9.6e-05,-1.3195),(6385,55,0.000112,-1.3195),(6385,65,0.000129,-1.3195),(6385,75,0.000147,-1.3194),(6385,85,0.000165,-1.3195),(6385,95,0.000182,-1.3195),(6385,105,0.000186,-1.3196),(6385,115,0.00018,-1.3196),(6385,125,0.000173,-1.3196),(6385,135,0.000167,-1.3195),(6385,145,0.000151,-1.3194),(6385,155,0.00013,-1.3193),(6385,165,0.000109,-1.3192),(6385,175,8.7e-05,-1.3192),(6385,185,7.5e-05,-1.3191),(6385,195,6.6e-05,-1.319),(6385,205,5.8e-05,-1.3189),(6385,215,5e-05,-1.3188),(6385,225,9.7e-05,-1.3188),(6385,235,0.000165,-1.3187),(6385,245,0.000234,-1.3188),(6385,255,0.000302,-1.3189),(6385,265,0.000373,-1.319),(6385,275,0.000445,-1.3192),(6385,285,0.000518,-1.3192),(6385,295,0.00059,-1.3193),(6385,305,0.000589,-1.3194),(6385,315,0.000569,-1.3194),(6385,325,0.00055,-1.3194),(6385,335,0.000531,-1.3192),(6385,345,0.000504,-1.3191),(6385,355,0.000475,-1.319),(6385,365,0.000447,-1.319),(6385,375,0.000419,-1.3189),(6385,385,0.000395,-1.3189),(6385,395,0.000371,-1.3189),(6385,405,0.000348,-1.3189),(6385,415,0.000325,-1.3189),(6385,425,0.000319,-1.3189),(6385,435,0.000315,-1.3189),(6385,445,0.000311,-1.3188),(6385,455,0.000307,-1.3187),(6385,465,0.000285,-1.3187),(6385,475,0.000262,-1.3186),(6385,485,0.000239,-1.3185),(6385,495,0.000216,-1.3184),(6385,505,0.000234,-1.3182),(6385,515,0.000253,-1.3181),(6385,525,0.000271,-1.3181),(6385,535,0.000291,-1.3181),(6385,545,0.000345,-1.3181),(6385,555,0.000399,-1.318),(6385,565,0.000454,-1.318),(6385,575,0.000511,-1.318),(6385,585,0.000603,-1.3179),(6385,595,0.000696,-1.3179),(6385,605,0.000788,-1.3179),(6385,615,0.000881,-1.3179),(6385,625,0.000974,-1.3179),(6385,635,0.001067,-1.3179),(6385,645,0.00116,-1.318),(6385,655,0.001247,-1.318),(6385,665,0.001301,-1.318),(6385,675,0.001355,-1.3181),(6385,685,0.001409,-1.318),(6385,695,0.00145,-1.318),(6385,705,0.00143,-1.3179),(6385,715,0.001411,-1.3178),(6385,725,0.001393,-1.3176),(6385,735,0.001394,-1.3175),(6385,745,0.001463,-1.3173),(6385,755,0.001532,-1.3171),(6385,765,0.001601,-1.3171),(6385,775,0.001659,-1.317),(6385,785,0.001689,-1.3169),(6385,795,0.001718,-1.3169),(6385,805,0.001748,-1.3168),(6385,815,0.001791,-1.3167),(6385,825,0.001862,-1.3166),(6385,835,0.001933,-1.3165),(6385,845,0.002005,-1.3163),(6385,855,0.002079,-1.3161),(6385,865,0.002161,-1.3159),(6385,875,0.002242,-1.3157),(6385,885,0.002323,-1.3155),(6385,895,0.002423,-1.3154),(6385,905,0.002552,-1.3152),(6385,915,0.00268,-1.315),(6385,925,0.002809,-1.3149),(6385,935,0.002916,-1.3148),(6385,945,0.002994,-1.3147),(6385,955,0.003071,-1.3145),(6385,965,0.003149,-1.3142),(6385,975,0.003186,-1.314),(6385,985,0.003177,-1.3137),(6385,995,0.003168,-1.3134),(6385,1005,0.003159,-1.3131),(6385,1015,0.003117,-1.3127),(6385,1025,0.003042,-1.3124),(6385,1035,0.002968,-1.3122),(6385,1045,0.002894,-1.312),(6385,1055,0.002734,-1.3118),(6385,1065,0.002503,-1.3116),(6385,1075,0.002272,-1.3116),(6385,1085,0.002041,-1.3116),(6385,1095,0.001647,-1.3115),(6385,1105,0.00114,-1.3115),(6385,1115,0.000633,-1.3117),(6385,1125,0.000126,-1.3119),(6385,1135,-0.000882,-1.3121),(6385,1145,-0.002186,-1.3124),(6385,1155,-0.00349,-1.3132),(6385,1165,-0.004794,-1.3143),(6385,1175,-0.007332,-1.3154),(6385,1185,-0.010482,-1.3165),(6385,1195,-0.013632,-1.3194),(6385,1205,-0.016782,-1.323),(6385,1215,-0.025029,-1.3266),(6385,1225,-0.035379,-1.3302),(6385,1235,-0.045729,-1.3358),(6385,1245,-0.05608,-1.342),(6385,1255,-0.083532,-1.3482),(6385,1265,-0.11676,-1.3544),(6385,1275,-0.14999,-1.3511),(6385,1285,-0.18322,-1.3448),(6385,1295,-0.19967,-1.3386),(6385,1305,-0.21158,-1.3324),(6385,1315,-0.22349,-1.3031),(6385,1325,-0.2354,-1.2684),(6385,1335,-0.14495,-1.2336),(6385,1345,-0.033058,-1.1988),(6385,1355,0.078838,-1.2216),(6385,1365,0.19073,-1.2549),(6385,1375,0.20837,-1.2881),(6385,1385,0.21147,-1.3213),(6385,1395,0.21457,-1.3335),(6385,1405,0.21767,-1.3429),(6385,1415,0.18309,-1.3524),(6385,1425,0.14461,-1.3618),(6385,1435,0.10612,-1.3557),(6385,1445,0.067637,-1.3483),(6385,1455,0.054719,-1.3409),(6385,1465,0.043273,-1.3335),(6385,1475,0.031827,-1.3291),(6385,1485,0.020381,-1.3248),(6385,1495,0.01693,-1.3204),(6385,1505,0.0136,-1.3161),(6385,1515,0.010269,-1.3145),(6385,1525,0.006987,-1.3128),(6385,1535,0.005595,-1.3111),(6385,1545,0.004203,-1.3095),(6385,1555,0.002811,-1.3089),(6385,1565,0.001468,-1.3083),(6385,1575,0.000849,-1.3077),(6385,1585,0.000229,-1.3072),(6385,1595,-0.00039,-1.307),(6385,1605,-0.000976,-1.3068),(6385,1615,-0.001271,-1.3066),(6385,1625,-0.001567,-1.3064),(6385,1635,-0.001863,-1.3065),(6385,1645,-0.002128,-1.3066),(6385,1655,-0.002217,-1.3066),(6385,1665,-0.002305,-1.3067),(6385,1675,-0.002394,-1.3067),(6385,1685,-0.002462,-1.3066),(6385,1695,-0.002437,-1.3066),(6385,1705,-0.002414,-1.3066),(6385,1715,-0.00239,-1.3066),(6385,1725,-0.002346,-1.3066),(6385,1735,-0.002233,-1.3066),(6385,1745,-0.00212,-1.3066),(6385,1755,-0.002008,-1.3066),(6385,1765,-0.001895,-1.3067),(6385,1775,-0.001782,-1.3067),(6385,1785,-0.00167,-1.3068),(6385,1795,-0.001557,-1.3067),(6385,1805,-0.001445,-1.3067),(6385,1815,-0.001336,-1.3066),(6385,1825,-0.001227,-1.3065),(6385,1835,-0.001117,-1.3065),(6385,1845,-0.000995,-1.3064),(6385,1855,-0.000847,-1.3064),(6385,1865,-0.000699,-1.3063),(6385,1875,-0.000551,-1.3062),(6385,1885,-0.00047,-1.306),(6385,1895,-0.000497,-1.3059),(6385,1905,-0.000525,-1.3058),(6385,1915,-0.000552,-1.3056),(6385,1925,-0.00056,-1.3054),(6385,1935,-0.000543,-1.3052),(6385,1945,-0.000525,-1.305),(6385,1955,-0.000507,-1.3047),(6385,1965,-0.000498,-1.3045),(6385,1975,-0.000499,-1.3043),(6385,1985,-0.000499,-1.304),(6385,1995,-0.0005,-1.3036),(6385,2005,-0.000476,-1.3033),(6385,2015,-0.000426,-1.303),(6385,2025,-0.000377,-1.3027),(6385,2035,-0.000327,-1.3024),(6385,2045,-0.000277,-1.3022),(6385,2055,-0.000227,-1.3019),(6385,2065,-0.000177,-1.3017),(6385,2075,-0.000127,-1.3014),(6385,2085,-8e-05,-1.3012),(6385,2095,-3.6e-05,-1.3009),(6385,2105,9e-06,-1.3006),(6385,2115,5.3e-05,-1.3004),(6385,2125,0.000115,-1.3001),(6385,2135,0.000188,-1.2998),(6385,2145,0.000261,-1.2996),(6385,2155,0.000333,-1.2993),(6385,2165,0.000386,-1.299),(6385,2175,0.000429,-1.2988),(6385,2185,0.000471,-1.2985),(6385,2195,0.000514,-1.2981),(6385,2205,0.000533,-1.2978),(6385,2215,0.000542,-1.2975),(6385,2225,0.000551,-1.2971),(6385,2235,0.00056,-1.2967),(6385,2245,0.000612,-1.2964),(6385,2255,0.000678,-1.296),(6385,2265,0.000745,-1.2956),(6385,2275,0.000812,-1.2953),(6385,2285,0.000771,-1.2949),(6385,2295,0.000699,-1.2945),(6385,2305,0.000628,-1.2941),(6385,2315,0.000556,-1.2937),(6385,2325,0.000568,-1.2933),(6385,2335,0.000597,-1.2929),(6385,2345,0.000627,-1.2926),(6385,2355,0.000657,-1.2923),(6385,2365,0.000683,-1.2919),(6385,2375,0.000709,-1.2916),(6385,2385,0.000734,-1.2912),(6385,2395,0.00076,-1.2908),(6385,2405,0.000767,-1.2904),(6385,2415,0.000771,-1.2899),(6385,2425,0.000776,-1.2895),(6385,2435,0.000781,-1.289),(6385,2445,0.000763,-1.2885),(6385,2455,0.000743,-1.288),(6385,2465,0.000723,-1.2875),(6385,2475,0.000703,-1.287),(6385,2485,0.000678,-1.2864),(6385,2495,0.000652,-1.2859),(6385,2505,0.000626,-1.2854),(6385,2515,0.000602,-1.2849),(6385,2525,0.000661,-1.2843),(6385,2535,0.000721,-1.2838),(6385,2545,0.00078,-1.2834),(6385,2555,0.000843,-1.283),(6385,2565,0.00096,-1.2826),(6385,2575,0.001077,-1.2823),(6385,2585,0.001194,-1.2819),(6385,2595,0.001301,-1.2815),(6385,2605,0.001303,-1.2812),(6385,2615,0.001306,-1.2808),(6385,2625,0.001309,-1.2801),(6385,2635,0.00132,-1.2795),(6385,2645,0.001385,-1.2789),(6385,2655,0.00145,-1.2782),(6385,2665,0.001515,-1.2776),(6385,2675,0.001546,-1.277),(6385,2685,0.001414,-1.2763),(6385,2695,0.001282,-1.2756),(6385,2705,0.001149,-1.275),(6385,2715,0.001059,-1.2743),(6385,2725,0.001126,-1.2736),(6385,2735,0.001192,-1.2729),(6385,2745,0.001259,-1.2723),(6385,2755,0.001321,-1.2717),(6385,2765,0.001372,-1.2711),(6385,2775,0.001423,-1.2705),(6385,2785,0.001473,-1.2699),(6385,2795,0.001521,-1.2693),(6385,2805,0.001559,-1.2686),(6385,2815,0.001598,-1.268),(6385,2825,0.001637,-1.2673),(6385,2835,0.001663,-1.2666),(6385,2845,0.001664,-1.2659),(6385,2855,0.001665,-1.2652),(6385,2865,0.001665,-1.2645),(6385,2875,0.001663,-1.2637),(6385,2885,0.001654,-1.2629),(6385,2895,0.001645,-1.2622),(6385,2905,0.001637,-1.2615),(6385,2915,0.001641,-1.2607),(6385,2925,0.001664,-1.26),(6385,2935,0.001686,-1.2593),(6385,2945,0.001709,-1.2585),(6385,2955,0.001734,-1.2577),(6385,2965,0.001763,-1.2569),(6385,2975,0.001792,-1.2561),(6385,2985,0.00182,-1.2553),(6385,2995,0.001852,-1.2545),(6385,3005,0.001888,-1.2536),(6385,3015,0.001924,-1.2528),(6385,3025,0.001959,-1.252),(6385,3035,0.002081,-1.2512),(6385,3045,0.002279,-1.2504),(6385,3055,0.002477,-1.2497),(6385,3065,0.002675,-1.2489),(6385,3075,0.002715,-1.2481),(6385,3085,0.002635,-1.2473),(6385,3095,0.002554,-1.2464),(6385,3105,0.002474,-1.2455),(6385,3115,0.002497,-1.2445),(6385,3125,0.002586,-1.2435),(6385,3135,0.002675,-1.2426),(6385,3145,0.002764,-1.2418),(6385,3155,0.002814,-1.2409),(6385,3165,0.002842,-1.2401),(6385,3175,0.002871,-1.2392),(6385,3185,0.002899,-1.2382),(6385,3195,0.00289,-1.2373),(6385,3205,0.002864,-1.2363),(6385,3215,0.002838,-1.2353),(6385,3225,0.002811,-1.2343),(6385,3235,0.002808,-1.2333),(6385,3245,0.002814,-1.2322),(6385,3255,0.002819,-1.2312),(6385,3265,0.002825,-1.2301),(6385,3275,0.002868,-1.229),(6385,3285,0.002923,-1.2279),(6385,3295,0.002979,-1.2269),(6385,3305,0.003034,-1.2259),(6385,3315,0.003098,-1.2249),(6385,3325,0.003165,-1.2239),(6385,3335,0.003232,-1.2228),(6385,3345,0.003298,-1.2218),(6385,3355,0.003327,-1.2208),(6385,3365,0.00335,-1.2198),(6385,3375,0.003372,-1.2186),(6385,3385,0.003394,-1.2174),(6385,3395,0.003575,-1.2161),(6385,3405,0.003776,-1.2149),(6385,3415,0.003977,-1.2139),(6385,3425,0.004178,-1.2129),(6385,3435,0.004101,-1.212),(6385,3445,0.004002,-1.211),(6385,3455,0.003903,-1.2096),(6385,3465,0.003805,-1.2082),(6385,3475,0.003824,-1.2068),(6385,3485,0.003848,-1.2054),(6385,3495,0.003873,-1.2041),(6385,3505,0.003897,-1.2028),(6385,3515,0.003949,-1.2015),(6385,3525,0.004001,-1.2001),(6385,3535,0.004054,-1.1989),(6385,3545,0.004107,-1.1977),(6385,3555,0.00417,-1.1964),(6385,3565,0.004234,-1.1952),(6385,3575,0.004297,-1.1938),(6385,3585,0.004359,-1.1923),(6385,3595,0.004399,-1.1909),(6385,3605,0.004439,-1.1894),(6385,3615,0.004479,-1.1881),(6385,3625,0.004513,-1.1869),(6385,3635,0.004503,-1.1856),(6385,3645,0.004494,-1.1842),(6385,3655,0.004484,-1.1826),(6385,3665,0.004468,-1.1809),(6385,3675,0.004419,-1.1793),(6385,3685,0.004369,-1.1777),(6385,3695,0.00432,-1.1763),(6385,3705,0.004246,-1.175),(6385,3715,0.004075,-1.1736),(6385,3725,0.003904,-1.1723),(6385,3735,0.003734,-1.171),(6385,3745,0.003513,-1.1697),(6385,3755,0.003135,-1.1684),(6385,3765,0.002757,-1.1671),(6385,3775,0.002379,-1.1659),(6385,3785,0.00189,-1.1647),(6385,3795,0.001118,-1.1635),(6385,3805,0.000346,-1.1625),(6385,3815,-0.000426,-1.1617),(6385,3825,-0.001574,-1.161),(6385,3835,-0.003515,-1.1602),(6385,3845,-0.005456,-1.1598),(6385,3855,-0.007397,-1.1597),(6385,3865,-0.010021,-1.1597),(6385,3875,-0.013854,-1.1597),(6385,3885,-0.017687,-1.1601),(6385,3895,-0.02152,-1.1612),(6385,3905,-0.027492,-1.1624),(6385,3915,-0.03666,-1.1635),(6385,3925,-0.045827,-1.1647),(6385,3935,-0.054995,-1.166),(6385,3945,-0.069916,-1.1672),(6385,3955,-0.092142,-1.1685),(6385,3965,-0.11437,-1.1655),(6385,3975,-0.13659,-1.1576),(6385,3985,-0.15813,-1.1496),(6385,3995,-0.17893,-1.1416),(6385,4005,-0.19973,-1.1204),(6385,4015,-0.22053,-1.0861),(6385,4025,-0.068722,-1.0517),(6385,4035,0.099969,-1.0281),(6385,4045,0.26866,-1.0271),(6385,4055,0.35767,-1.026),(6385,4065,0.41761,-1.0249),(6385,4075,0.47755,-1.023),(6385,4085,0.50472,-1.0211),(6385,4095,0.50557,-1.0192),(6385,4105,0.50642,-1.0173),(6385,4115,0.50733,-1.0153),(6385,4125,0.50833,-1.0134),(6385,4135,0.50934,-1.0115),(6385,4145,0.51031,-1.0098),(6385,4155,0.51118,-1.008),(6385,4165,0.51205,-1.0061),(6385,4175,0.51292,-1.0043),(6385,4185,0.51394,-1.0024),(6385,4195,0.51497,-1.0005),(6385,4205,0.51599,-0.99858),(6385,4215,0.51704,-0.99661),(6385,4225,0.51809,-0.99464),(6385,4235,0.51914,-0.99268),(6385,4245,0.52021,-0.99071),(6385,4255,0.52129,-0.98874),(6385,4265,0.52237,-0.98671),(6385,4275,0.52346,-0.98468),(6385,4285,0.52456,-0.98265),(6385,4295,0.52566,-0.98058),(6385,4305,0.52677,-0.9785),(6385,4315,0.5279,-0.97642),(6385,4325,0.52904,-0.97431),(6385,4335,0.53018,-0.9722),(6385,4345,0.53136,-0.97009),(6385,4355,0.53255,-0.96796),(6385,4365,0.53374,-0.9658),(6385,4375,0.53496,-0.96365),(6385,4385,0.53619,-0.96145),(6385,4395,0.53742,-0.95919),(6385,4405,0.53868,-0.95692),(6385,4415,0.53994,-0.95465),(6385,4425,0.54121,-0.95232),(6385,4435,0.54252,-0.94999),(6385,4445,0.54387,-0.94765),(6385,4455,0.54522,-0.94533),(6385,4465,0.54656,-0.943),(6385,4475,0.54789,-0.94067),(6385,4485,0.54922,-0.93828),(6385,4495,0.55058,-0.93588),(6385,4505,0.55202,-0.93348),(6385,4515,0.55347,-0.93106),(6385,4525,0.55491,-0.92862),(6385,4535,0.55642,-0.92618),(6385,4545,0.55792,-0.9237),(6385,4555,0.55943,-0.92117),(6385,4565,0.56098,-0.91864),(6385,4575,0.56254,-0.9161),(6385,4585,0.5641,-0.9135),(6385,4595,0.56569,-0.9109),(6385,4605,0.56728,-0.90829),(6385,4615,0.56888,-0.90564),(6385,4625,0.5705,-0.90298),(6385,4635,0.57213,-0.90033),(6385,4645,0.57377,-0.89761),(6385,4655,0.57542,-0.89488),(6385,4665,0.57711,-0.89215),(6385,4675,0.57879,-0.88933),(6385,4685,0.58049,-0.88648),(6385,4695,0.58223,-0.88364),(6385,4705,0.58397,-0.88074),(6385,4715,0.58572,-0.87781),(6385,4725,0.58745,-0.87487),(6385,4735,0.58918,-0.87191),(6385,4745,0.59091,-0.8689),(6385,4755,0.59273,-0.86589),(6385,4765,0.59458,-0.86288),(6385,4775,0.59643,-0.85985),(6385,4785,0.59827,-0.85682),(6385,4795,0.60009,-0.85379),(6385,4805,0.60192,-0.85066),(6385,4815,0.60376,-0.84754),(6385,4825,0.60562,-0.84441),(6385,4835,0.60747,-0.8412),(6385,4845,0.60934,-0.83797),(6385,4855,0.61123,-0.83474),(6385,4865,0.61312,-0.83146),(6385,4875,0.61502,-0.82815),(6385,4885,0.61694,-0.82484),(6385,4895,0.61887,-0.8215),(6385,4905,0.6208,-0.81814),(6385,4915,0.62277,-0.81477),(6385,4925,0.62473,-0.81139),(6385,4935,0.6267,-0.80797),(6385,4945,0.62869,-0.80456),(6385,4955,0.63069,-0.80113),(6385,4965,0.63269,-0.79763),(6385,4975,0.63469,-0.79414),(6385,4985,0.6367,-0.79064),(6385,4995,0.63871,-0.78706),(6385,5005,0.64073,-0.78348),(6385,5015,0.64275,-0.7799),(6385,5025,0.64478,-0.77626),(6385,5035,0.64676,-0.7726),(6385,5045,0.64857,-0.76895),(6385,5055,0.65038,-0.76514),(6385,5065,0.6522,-0.76125),(6385,5075,0.65435,-0.75735),(6385,5085,0.6565,-0.75349),(6385,5095,0.65865,-0.74969),(6385,5105,0.66065,-0.74588),(6385,5115,0.66262,-0.74205),(6385,5125,0.66459,-0.73815),(6385,5135,0.66658,-0.73425),(6385,5145,0.66859,-0.73034),(6385,5155,0.67059,-0.72637),(6385,5165,0.67261,-0.72239),(6385,5175,0.67464,-0.71842),(6385,5185,0.67666,-0.71441),(6385,5195,0.67869,-0.7104),(6385,5205,0.68073,-0.70639),(6385,5215,0.68277,-0.70234),(6385,5225,0.6848,-0.69828),(6385,5235,0.68683,-0.69422),(6385,5245,0.68885,-0.6901),(6385,5255,0.69087,-0.68594),(6385,5265,0.69286,-0.68177),(6385,5275,0.69486,-0.67756),(6385,5285,0.69685,-0.67328),(6385,5295,0.69884,-0.66899),(6385,5305,0.70082,-0.6647),(6385,5315,0.70281,-0.66036),(6385,5325,0.70479,-0.65602),(6385,5335,0.70678,-0.65168),(6385,5345,0.70878,-0.64732),(6385,5355,0.71076,-0.64297),(6385,5365,0.71275,-0.63861),(6385,5375,0.71473,-0.63423),(6385,5385,0.71671,-0.62984),(6385,5395,0.71867,-0.62545),(6385,5405,0.72064,-0.62102),(6385,5415,0.72259,-0.61657),(6385,5425,0.72452,-0.61212),(6385,5435,0.72645,-0.60765),(6385,5445,0.72837,-0.60313),(6385,5455,0.73027,-0.59862),(6385,5465,0.73216,-0.59409),(6385,5475,0.73405,-0.58948),(6385,5485,0.73592,-0.58488),(6385,5495,0.73778,-0.58026),(6385,5505,0.73964,-0.57558),(6385,5515,0.74149,-0.57089),(6385,5525,0.74333,-0.5662),(6385,5535,0.74517,-0.5615),(6385,5545,0.74701,-0.55679),(6385,5555,0.74885,-0.55208),(6385,5565,0.75068,-0.54737),(6385,5575,0.75251,-0.54265),(6385,5585,0.75432,-0.53794),(6385,5595,0.75612,-0.53317),(6385,5605,0.75793,-0.52837),(6385,5615,0.7597,-0.52357),(6385,5625,0.76146,-0.51874),(6385,5635,0.76322,-0.51385),(6385,5645,0.76497,-0.50896),(6385,5655,0.76671,-0.50407),(6385,5665,0.76845,-0.49919),(6385,5675,0.76994,-0.49432),(6385,5685,0.7713,-0.48943),(6385,5695,0.77265,-0.48425),(6385,5705,0.77427,-0.47907),(6385,5715,0.77621,-0.47388),(6385,5725,0.77815,-0.46889),(6385,5735,0.77998,-0.46393),(6385,5745,0.78155,-0.45896),(6385,5755,0.78313,-0.45395),(6385,5765,0.78471,-0.44892),(6385,5775,0.78629,-0.44389),(6385,5785,0.78788,-0.43884),(6385,5795,0.78946,-0.43377),(6385,5805,0.79101,-0.4287),(6385,5815,0.79255,-0.4236),(6385,5825,0.79409,-0.41845),(6385,5835,0.79558,-0.4133),(6385,5845,0.79705,-0.40813),(6385,5855,0.79853,-0.4029),(6385,5865,0.79997,-0.39768),(6385,5875,0.80139,-0.39245),(6385,5885,0.80281,-0.3872),(6385,5895,0.80422,-0.38195),(6385,5905,0.80562,-0.37669),(6385,5915,0.80702,-0.37145),(6385,5925,0.80842,-0.36621),(6385,5935,0.80982,-0.36097),(6385,5945,0.81122,-0.35576),(6385,5955,0.8126,-0.35056),(6385,5965,0.81355,-0.34536),(6385,5975,0.81449,-0.33999),(6385,5985,0.81544,-0.33442),(6385,5995,0.81692,-0.32884),(6385,6005,0.81848,-0.32334),(6385,6015,0.82005,-0.31802),(6385,6025,0.8213,-0.31271),(6385,6035,0.82241,-0.30739),(6385,6045,0.82352,-0.30197),(6385,6055,0.82462,-0.29656),(6385,6065,0.82572,-0.29114),(6385,6075,0.82682,-0.28572),(6385,6085,0.82792,-0.28029),(6385,6095,0.82901,-0.27487),(6385,6105,0.8301,-0.26948),(6385,6115,0.83118,-0.2641),(6385,6125,0.83223,-0.25872),(6385,6135,0.83328,-0.25329),(6385,6145,0.83433,-0.24783),(6385,6155,0.8353,-0.24237),(6385,6165,0.83625,-0.23685),(6385,6175,0.83721,-0.23125),(6385,6185,0.8381,-0.22565),(6385,6195,0.83898,-0.22005),(6385,6205,0.83985,-0.21444),(6385,6215,0.84069,-0.20883),(6385,6225,0.84151,-0.20321),(6385,6235,0.84233,-0.19762),(6385,6245,0.84313,-0.19202),(6385,6255,0.84393,-0.18642),(6385,6265,0.84472,-0.18092),(6385,6275,0.84541,-0.17543),(6385,6285,0.8458,-0.16995),(6385,6295,0.84618,-0.16429),(6385,6305,0.84661,-0.15856),(6385,6315,0.84752,-0.15283),(6385,6325,0.84844,-0.14718),(6385,6335,0.84935,-0.14163),(6385,6345,0.84987,-0.13607),(6385,6355,0.85034,-0.13047),(6385,6365,0.85081,-0.12475),(6385,6375,0.85127,-0.11904),(6385,6385,0.85172,-0.11335),(6385,6395,0.85218,-0.10779),(6385,6405,0.85262,-0.10223),(6385,6415,0.85304,-0.096675),(6385,6425,0.85347,-0.091052),(6385,6435,0.85388,-0.085425),(6385,6445,0.85426,-0.079799),(6385,6455,0.85464,-0.074175),(6385,6465,0.855,-0.068551),(6385,6475,0.85531,-0.062927),(6385,6485,0.85562,-0.057246),(6385,6495,0.85593,-0.051527),(6385,6505,0.85614,-0.045807),(6385,6515,0.85636,-0.04008),(6385,6525,0.85657,-0.034342),(6385,6535,0.85673,-0.028604),(6385,6545,0.85687,-0.022917),(6385,6555,0.85702,-0.017389),(6385,6565,0.85695,-0.011862),(6385,6575,0.85676,-0.006319),(6385,6585,0.85658,-0.000553),(6385,6595,0.72845,0.005214),(6385,6605,0.45904,0.01098),(6385,6615,0.18963,0.011695),(6385,6625,0.000249,0.011761),(6385,6635,0.00029,0.011827),(6385,6645,0.00033,0.011847),(6385,6655,0.00037,0.011848),(6385,6665,0.00041,0.011849),(6385,6675,0.00045,0.011849),(6385,6685,0.00049,0.011848),(6385,6695,0.00053,0.011848),(6385,6705,0.00057,0.011847),(6385,6715,0.000609,0.011845),(6385,6725,0.000649,0.011843),(6385,6735,0.000688,0.011841),(6385,6745,0.000728,0.011837),(6385,6755,0.000767,0.011834),(6385,6765,0.000806,0.011831),(6385,6775,0.000845,0.011827),(6385,6785,0.000884,0.011822),(6385,6795,0.000922,0.011818),(6385,6805,0.000961,0.011812),(6385,6815,0.000999,0.011806),(6385,6825,0.001038,0.0118),(6385,6835,0.001076,0.011794),(6385,6845,0.001113,0.011787),(6385,6855,0.001151,0.01178),(6385,6865,0.001188,0.011772),(6385,6875,0.001226,0.011764),(6385,6885,0.001263,0.011755),(6385,6895,0.001299,0.011747),(6385,6905,0.001336,0.011737),(6385,6915,0.001372,0.011728),(6385,6925,0.001408,0.011718),(6385,6935,0.001444,0.011707),(6385,6945,0.00148,0.011697),(6385,6955,0.001515,0.011686),(6385,6965,0.00155,0.011674),(6385,6975,0.001585,0.011663),(6385,6985,0.00162,0.011651),(6395,5,1.3e-05,-1.3199),(6395,15,3.8e-05,-1.3198),(6395,25,5.7e-05,-1.3197),(6395,35,7e-05,-1.3196),(6395,45,8.3e-05,-1.3195),(6395,55,9.6e-05,-1.3195),(6395,65,0.000116,-1.3195),(6395,75,0.00014,-1.3194),(6395,85,0.000165,-1.3194),(6395,95,0.00019,-1.3195),(6395,105,0.000197,-1.3196),(6395,115,0.000192,-1.3196),(6395,125,0.000187,-1.3196),(6395,135,0.000182,-1.3195),(6395,145,0.000157,-1.3194),(6395,155,0.000121,-1.3194),(6395,165,8.5e-05,-1.3193),(6395,175,5e-05,-1.3192),(6395,185,2.2e-05,-1.3191),(6395,195,-2e-06,-1.319),(6395,205,-2.6e-05,-1.3189),(6395,215,-5e-05,-1.3188),(6395,225,-1e-05,-1.3187),(6395,235,5.5e-05,-1.3186),(6395,245,0.00012,-1.3187),(6395,255,0.000185,-1.3188),(6395,265,0.000269,-1.3189),(6395,275,0.000359,-1.3191),(6395,285,0.000449,-1.3192),(6395,295,0.000539,-1.3192),(6395,305,0.000555,-1.3193),(6395,315,0.000551,-1.3194),(6395,325,0.000548,-1.3194),(6395,335,0.000545,-1.3193),(6395,345,0.000531,-1.3192),(6395,355,0.000516,-1.3191),(6395,365,0.000501,-1.319),(6395,375,0.000486,-1.319),(6395,385,0.00046,-1.3189),(6395,395,0.000432,-1.3188),(6395,405,0.000404,-1.3188),(6395,415,0.000376,-1.3189),(6395,425,0.000369,-1.3189),(6395,435,0.000364,-1.3189),(6395,445,0.000358,-1.3188),(6395,455,0.000353,-1.3188),(6395,465,0.000318,-1.3187),(6395,475,0.000282,-1.3187),(6395,485,0.000245,-1.3185),(6395,495,0.000209,-1.3184),(6395,505,0.00021,-1.3183),(6395,515,0.00021,-1.3181),(6395,525,0.000211,-1.3181),(6395,535,0.000214,-1.3181),(6395,545,0.00025,-1.318),(6395,555,0.000287,-1.318),(6395,565,0.000323,-1.318),(6395,575,0.000364,-1.3179),(6395,585,0.000452,-1.3179),(6395,595,0.000539,-1.3178),(6395,605,0.000627,-1.3178),(6395,615,0.000717,-1.3178),(6395,625,0.000823,-1.3178),(6395,635,0.00093,-1.3178),(6395,645,0.001036,-1.3179),(6395,655,0.001137,-1.3179),(6395,665,0.001204,-1.318),(6395,675,0.00127,-1.318),(6395,685,0.001337,-1.318),(6395,695,0.001385,-1.3179),(6395,705,0.001357,-1.3179),(6395,715,0.001328,-1.3178),(6395,725,0.001299,-1.3177),(6395,735,0.001294,-1.3175),(6395,745,0.001367,-1.3173),(6395,755,0.00144,-1.3172),(6395,765,0.001513,-1.3171),(6395,775,0.001569,-1.317),(6395,785,0.001577,-1.3169),(6395,795,0.001586,-1.3168),(6395,805,0.001594,-1.3167),(6395,815,0.001619,-1.3167),(6395,825,0.00168,-1.3166),(6395,835,0.001741,-1.3165),(6395,845,0.001803,-1.3163),(6395,855,0.001865,-1.3161),(6395,865,0.001931,-1.3159),(6395,875,0.001996,-1.3157),(6395,885,0.002062,-1.3155),(6395,895,0.002145,-1.3153),(6395,905,0.002255,-1.3151),(6395,915,0.002365,-1.315),(6395,925,0.002475,-1.3149),(6395,935,0.00257,-1.3147),(6395,945,0.002646,-1.3146),(6395,955,0.002722,-1.3145),(6395,965,0.002798,-1.3142),(6395,975,0.002829,-1.314),(6395,985,0.002808,-1.3137),(6395,995,0.002787,-1.3134),(6395,1005,0.002766,-1.3131),(6395,1015,0.002722,-1.3128),(6395,1025,0.002654,-1.3125),(6395,1035,0.002587,-1.3122),(6395,1045,0.002519,-1.312),(6395,1055,0.002373,-1.3119),(6395,1065,0.002162,-1.3117),(6395,1075,0.001951,-1.3117),(6395,1085,0.00174,-1.3117),(6395,1095,0.001412,-1.3117),(6395,1105,0.001004,-1.3118),(6395,1115,0.000596,-1.3119),(6395,1125,0.000188,-1.3121),(6395,1135,-0.00064,-1.3123),(6395,1145,-0.001716,-1.3126),(6395,1155,-0.002791,-1.3134),(6395,1165,-0.003867,-1.3145),(6395,1175,-0.005937,-1.3156),(6395,1185,-0.0085,-1.3167),(6395,1195,-0.011064,-1.3196),(6395,1205,-0.013628,-1.3234),(6395,1215,-0.021331,-1.3272),(6395,1225,-0.031155,-1.331),(6395,1235,-0.040979,-1.338),(6395,1245,-0.050802,-1.3463),(6395,1255,-0.080591,-1.3546),(6395,1265,-0.11712,-1.3629),(6395,1275,-0.15366,-1.3635),(6395,1285,-0.19019,-1.3618),(6395,1295,-0.21233,-1.36),(6395,1305,-0.23059,-1.3583),(6395,1315,-0.24884,-1.3244),(6395,1325,-0.26709,-1.2828),(6395,1335,-0.16432,-1.2413),(6395,1345,-0.036193,-1.1997),(6395,1355,0.091938,-1.2273),(6395,1365,0.22007,-1.2675),(6395,1375,0.23535,-1.3076),(6395,1385,0.23323,-1.3477),(6395,1395,0.2311,-1.3568),(6395,1405,0.22898,-1.362),(6395,1415,0.18996,-1.3672),(6395,1425,0.14711,-1.3723),(6395,1435,0.10426,-1.3636),(6395,1445,0.061408,-1.3538),(6395,1455,0.048776,-1.344),(6395,1465,0.037884,-1.3341),(6395,1475,0.026992,-1.3295),(6395,1485,0.0161,-1.325),(6395,1495,0.013367,-1.3206),(6395,1505,0.010757,-1.3161),(6395,1515,0.008147,-1.3145),(6395,1525,0.005575,-1.3128),(6395,1535,0.004472,-1.3112),(6395,1545,0.003369,-1.3096),(6395,1555,0.002266,-1.309),(6395,1565,0.001203,-1.3085),(6395,1575,0.000707,-1.3079),(6395,1585,0.00021,-1.3073),(6395,1595,-0.000286,-1.3071),(6395,1605,-0.000758,-1.3069),(6395,1615,-0.001024,-1.3067),(6395,1625,-0.00129,-1.3066),(6395,1635,-0.001556,-1.3066),(6395,1645,-0.001796,-1.3066),(6395,1655,-0.001882,-1.3067),(6395,1665,-0.001967,-1.3067),(6395,1675,-0.002053,-1.3067),(6395,1685,-0.002119,-1.3066),(6395,1695,-0.002098,-1.3066),(6395,1705,-0.002078,-1.3066),(6395,1715,-0.002057,-1.3066),(6395,1725,-0.002021,-1.3065),(6395,1735,-0.001929,-1.3065),(6395,1745,-0.001837,-1.3065),(6395,1755,-0.001746,-1.3066),(6395,1765,-0.001654,-1.3066),(6395,1775,-0.001561,-1.3067),(6395,1785,-0.001469,-1.3067),(6395,1795,-0.001377,-1.3067),(6395,1805,-0.001282,-1.3066),(6395,1815,-0.001182,-1.3065),(6395,1825,-0.001082,-1.3065),(6395,1835,-0.000981,-1.3064),(6395,1845,-0.000858,-1.3064),(6395,1855,-0.000691,-1.3064),(6395,1865,-0.000524,-1.3063),(6395,1875,-0.000357,-1.3062),(6395,1885,-0.000274,-1.306),(6395,1895,-0.000328,-1.3059),(6395,1905,-0.000381,-1.3057),(6395,1915,-0.000435,-1.3056),(6395,1925,-0.000459,-1.3054),(6395,1935,-0.000444,-1.3052),(6395,1945,-0.000428,-1.305),(6395,1955,-0.000413,-1.3048),(6395,1965,-0.000408,-1.3045),(6395,1975,-0.000415,-1.3043),(6395,1985,-0.000422,-1.304),(6395,1995,-0.000429,-1.3036),(6395,2005,-0.000409,-1.3033),(6395,2015,-0.000363,-1.3029),(6395,2025,-0.000318,-1.3026),(6395,2035,-0.000272,-1.3024),(6395,2045,-0.000223,-1.3022),(6395,2055,-0.000172,-1.3019),(6395,2065,-0.000121,-1.3017),(6395,2075,-7e-05,-1.3014),(6395,2085,-2.2e-05,-1.3011),(6395,2095,2.4e-05,-1.3009),(6395,2105,7e-05,-1.3006),(6395,2115,0.000116,-1.3003),(6395,2125,0.000182,-1.3),(6395,2135,0.00026,-1.2998),(6395,2145,0.000338,-1.2995),(6395,2155,0.000415,-1.2993),(6395,2165,0.00047,-1.299),(6395,2175,0.000514,-1.2988),(6395,2185,0.000557,-1.2985),(6395,2195,0.0006,-1.2981),(6395,2205,0.000606,-1.2978),(6395,2215,0.000595,-1.2975),(6395,2225,0.000585,-1.2971),(6395,2235,0.000574,-1.2968),(6395,2245,0.000619,-1.2965),(6395,2255,0.000684,-1.2961),(6395,2265,0.000749,-1.2957),(6395,2275,0.000814,-1.2953),(6395,2285,0.000744,-1.2949),(6395,2295,0.000635,-1.2945),(6395,2305,0.000527,-1.2941),(6395,2315,0.000418,-1.2937),(6395,2325,0.000417,-1.2933),(6395,2335,0.000441,-1.2929),(6395,2345,0.000465,-1.2926),(6395,2355,0.000489,-1.2922),(6395,2365,0.000515,-1.2919),(6395,2375,0.000541,-1.2916),(6395,2385,0.000568,-1.2912),(6395,2395,0.000594,-1.2908),(6395,2405,0.000611,-1.2903),(6395,2415,0.000627,-1.2899),(6395,2425,0.000642,-1.2894),(6395,2435,0.000658,-1.289),(6395,2445,0.000648,-1.2885),(6395,2455,0.000637,-1.288),(6395,2465,0.000625,-1.2875),(6395,2475,0.000613,-1.287),(6395,2485,0.000577,-1.2865),(6395,2495,0.00054,-1.286),(6395,2505,0.000503,-1.2854),(6395,2515,0.000467,-1.2849),(6395,2525,0.000512,-1.2843),(6395,2535,0.000556,-1.2838),(6395,2545,0.0006,-1.2834),(6395,2555,0.000649,-1.283),(6395,2565,0.000777,-1.2825),(6395,2575,0.000904,-1.2821),(6395,2585,0.001032,-1.2818),(6395,2595,0.001149,-1.2814),(6395,2605,0.001164,-1.2811),(6395,2615,0.001179,-1.2807),(6395,2625,0.001194,-1.2802),(6395,2635,0.001221,-1.2796),(6395,2645,0.001324,-1.279),(6395,2655,0.001426,-1.2785),(6395,2665,0.001529,-1.2777),(6395,2675,0.001582,-1.277),(6395,2685,0.0014,-1.2763),(6395,2695,0.001218,-1.2755),(6395,2705,0.001037,-1.2749),(6395,2715,0.00091,-1.2742),(6395,2725,0.000987,-1.2735),(6395,2735,0.001064,-1.2729),(6395,2745,0.001142,-1.2723),(6395,2755,0.001213,-1.2717),(6395,2765,0.001269,-1.2711),(6395,2775,0.001323,-1.2705),(6395,2785,0.001378,-1.2699),(6395,2795,0.001428,-1.2692),(6395,2805,0.001465,-1.2686),(6395,2815,0.001502,-1.268),(6395,2825,0.001539,-1.2673),(6395,2835,0.001562,-1.2666),(6395,2845,0.001559,-1.2659),(6395,2855,0.001555,-1.2652),(6395,2865,0.001552,-1.2645),(6395,2875,0.001544,-1.2637),(6395,2885,0.00153,-1.263),(6395,2895,0.001516,-1.2622),(6395,2905,0.001502,-1.2615),(6395,2915,0.001503,-1.2607),(6395,2925,0.001526,-1.26),(6395,2935,0.001549,-1.2592),(6395,2945,0.001571,-1.2585),(6395,2955,0.001598,-1.2577),(6395,2965,0.001631,-1.2569),(6395,2975,0.001664,-1.2561),(6395,2985,0.001697,-1.2553),(6395,2995,0.001726,-1.2544),(6395,3005,0.001752,-1.2536),(6395,3015,0.001778,-1.2528),(6395,3025,0.001803,-1.2521),(6395,3035,0.00194,-1.2513),(6395,3045,0.002174,-1.2505),(6395,3055,0.002409,-1.2497),(6395,3065,0.002644,-1.2489),(6395,3075,0.002675,-1.248),(6395,3085,0.002553,-1.2472),(6395,3095,0.00243,-1.2462),(6395,3105,0.002308,-1.2453),(6395,3115,0.002323,-1.2444),(6395,3125,0.002426,-1.2434),(6395,3135,0.002529,-1.2426),(6395,3145,0.002633,-1.2417),(6395,3155,0.002693,-1.2409),(6395,3165,0.002729,-1.2401),(6395,3175,0.002766,-1.2392),(6395,3185,0.002802,-1.2382),(6395,3195,0.002793,-1.2373),(6395,3205,0.002763,-1.2364),(6395,3215,0.002733,-1.2354),(6395,3225,0.002704,-1.2343),(6395,3235,0.002694,-1.2333),(6395,3245,0.002693,-1.2323),(6395,3255,0.002691,-1.2312),(6395,3265,0.002689,-1.2301),(6395,3275,0.002731,-1.229),(6395,3285,0.002787,-1.2279),(6395,3295,0.002843,-1.2268),(6395,3305,0.002899,-1.2258),(6395,3315,0.002961,-1.2248),(6395,3325,0.003025,-1.2238),(6395,3335,0.003089,-1.2228),(6395,3345,0.003152,-1.2218),(6395,3355,0.003158,-1.2208),(6395,3365,0.003153,-1.2198),(6395,3375,0.003148,-1.2186),(6395,3385,0.003144,-1.2174),(6395,3395,0.003352,-1.2163),(6395,3405,0.003587,-1.2151),(6395,3415,0.003822,-1.214),(6395,3425,0.004058,-1.2129),(6395,3435,0.003965,-1.2118),(6395,3445,0.003846,-1.2107),(6395,3455,0.003727,-1.2094),(6395,3465,0.003608,-1.2081),(6395,3475,0.003637,-1.2068),(6395,3485,0.003671,-1.2055),(6395,3495,0.003705,-1.2041),(6395,3505,0.003739,-1.2028),(6395,3515,0.003763,-1.2015),(6395,3525,0.003787,-1.2002),(6395,3535,0.00381,-1.1989),(6395,3545,0.003836,-1.1977),(6395,3555,0.003911,-1.1964),(6395,3565,0.003986,-1.1951),(6395,3575,0.004061,-1.1937),(6395,3585,0.00413,-1.1923),(6395,3595,0.004138,-1.1909),(6395,3605,0.004147,-1.1895),(6395,3615,0.004155,-1.1882),(6395,3625,0.004162,-1.1869),(6395,3635,0.004165,-1.1856),(6395,3645,0.004167,-1.1842),(6395,3655,0.00417,-1.1826),(6395,3665,0.00416,-1.181),(6395,3675,0.004086,-1.1793),(6395,3685,0.004013,-1.1778),(6395,3695,0.00394,-1.1764),(6395,3705,0.003851,-1.175),(6395,3715,0.0037,-1.1737),(6395,3725,0.00355,-1.1724),(6395,3735,0.0034,-1.1711),(6395,3745,0.003202,-1.1698),(6395,3755,0.002853,-1.1685),(6395,3765,0.002503,-1.1673),(6395,3775,0.002154,-1.1662),(6395,3785,0.001716,-1.1651),(6395,3795,0.001053,-1.164),(6395,3805,0.00039,-1.163),(6395,3815,-0.000272,-1.1623),(6395,3825,-0.001302,-1.1616),(6395,3835,-0.003105,-1.1609),(6395,3845,-0.004908,-1.1605),(6395,3855,-0.006711,-1.1607),(6395,3865,-0.009142,-1.161),(6395,3875,-0.012682,-1.1612),(6395,3885,-0.016222,-1.162),(6395,3895,-0.019762,-1.1638),(6395,3905,-0.02557,-1.1656),(6395,3915,-0.034764,-1.1673),(6395,3925,-0.043958,-1.1699),(6395,3935,-0.053152,-1.1735),(6395,3945,-0.069232,-1.177),(6395,3955,-0.094055,-1.1806),(6395,3965,-0.11888,-1.1807),(6395,3975,-0.1437,-1.1768),(6395,3985,-0.16957,-1.1728),(6395,3995,-0.19657,-1.1688),(6395,4005,-0.22356,-1.1451),(6395,4015,-0.25056,-1.1015),(6395,4025,-0.091069,-1.0579),(6395,4035,0.086669,-1.028),(6395,4045,0.26441,-1.027),(6395,4055,0.35558,-1.026),(6395,4065,0.41517,-1.0249),(6395,4075,0.47476,-1.023),(6395,4085,0.50176,-1.0211),(6395,4095,0.50258,-1.0193),(6395,4105,0.5034,-1.0173),(6395,4115,0.50429,-1.0154),(6395,4125,0.50531,-1.0135),(6395,4135,0.50632,-1.0116),(6395,4145,0.5073,-1.0097),(6395,4155,0.50811,-1.0079),(6395,4165,0.50892,-1.006),(6395,4175,0.50973,-1.0042),(6395,4185,0.51075,-1.0023),(6395,4195,0.51177,-1.0004),(6395,4205,0.51279,-0.99848),(6395,4215,0.51383,-0.99651),(6395,4225,0.51487,-0.99454),(6395,4235,0.51592,-0.99258),(6395,4245,0.51698,-0.99062),(6395,4255,0.51805,-0.98865),(6395,4265,0.51913,-0.98662),(6395,4275,0.52021,-0.9846),(6395,4285,0.5213,-0.98258),(6395,4295,0.52239,-0.98051),(6395,4305,0.52349,-0.97843),(6395,4315,0.52461,-0.97635),(6395,4325,0.52573,-0.97424),(6395,4335,0.52686,-0.97212),(6395,4345,0.52803,-0.97),(6395,4355,0.5292,-0.96786),(6395,4365,0.53037,-0.9657),(6395,4375,0.53158,-0.96354),(6395,4385,0.5328,-0.96135),(6395,4395,0.53401,-0.95908),(6395,4405,0.53525,-0.95682),(6395,4415,0.5365,-0.95454),(6395,4425,0.53774,-0.95222),(6395,4435,0.53905,-0.9499),(6395,4445,0.54039,-0.94757),(6395,4455,0.54173,-0.94521),(6395,4465,0.54305,-0.94285),(6395,4475,0.54435,-0.94049),(6395,4485,0.54564,-0.93809),(6395,4495,0.54697,-0.93569),(6395,4505,0.54839,-0.93329),(6395,4515,0.54981,-0.93085),(6395,4525,0.55124,-0.9284),(6395,4535,0.55272,-0.92595),(6395,4545,0.5542,-0.92346),(6395,4555,0.55569,-0.92093),(6395,4565,0.55722,-0.91839),(6395,4575,0.55876,-0.91584),(6395,4585,0.5603,-0.91324),(6395,4595,0.56186,-0.91064),(6395,4605,0.56343,-0.90804),(6395,4615,0.565,-0.90538),(6395,4625,0.56659,-0.90273),(6395,4635,0.5682,-0.90007),(6395,4645,0.56981,-0.89734),(6395,4655,0.57144,-0.8946),(6395,4665,0.5731,-0.89187),(6395,4675,0.57476,-0.88904),(6395,4685,0.57642,-0.88618),(6395,4695,0.57814,-0.88333),(6395,4705,0.57986,-0.88042),(6395,4715,0.58158,-0.87746),(6395,4725,0.58327,-0.87451),(6395,4735,0.58496,-0.87155),(6395,4745,0.58665,-0.86856),(6395,4755,0.58846,-0.86558),(6395,4765,0.59031,-0.86259),(6395,4775,0.59215,-0.85954),(6395,4785,0.59397,-0.8565),(6395,4795,0.59577,-0.85345),(6395,4805,0.59757,-0.85032),(6395,4815,0.59939,-0.84719),(6395,4825,0.60122,-0.84406),(6395,4835,0.60305,-0.84085),(6395,4845,0.60489,-0.83762),(6395,4855,0.60675,-0.83439),(6395,4865,0.60861,-0.8311),(6395,4875,0.61047,-0.82779),(6395,4885,0.61236,-0.82448),(6395,4895,0.61425,-0.82113),(6395,4905,0.61614,-0.81776),(6395,4915,0.61807,-0.81438),(6395,4925,0.62001,-0.81099),(6395,4935,0.62195,-0.80756),(6395,4945,0.62391,-0.80413),(6395,4955,0.62589,-0.80069),(6395,4965,0.62786,-0.79719),(6395,4975,0.62985,-0.79369),(6395,4985,0.63185,-0.79019),(6395,4995,0.63385,-0.7866),(6395,5005,0.63587,-0.78301),(6395,5015,0.6379,-0.77942),(6395,5025,0.63993,-0.77575),(6395,5035,0.64189,-0.77206),(6395,5045,0.64362,-0.76837),(6395,5055,0.64535,-0.76463),(6395,5065,0.6471,-0.76086),(6395,5075,0.64928,-0.75709),(6395,5085,0.65146,-0.75328),(6395,5095,0.65364,-0.74943),(6395,5105,0.6556,-0.74558),(6395,5115,0.65752,-0.74171),(6395,5125,0.65944,-0.73779),(6395,5135,0.66139,-0.73387),(6395,5145,0.66336,-0.72995),(6395,5155,0.66533,-0.72597),(6395,5165,0.66731,-0.72198),(6395,5175,0.66931,-0.71799),(6395,5185,0.6713,-0.71397),(6395,5195,0.67331,-0.70995),(6395,5205,0.67533,-0.70593),(6395,5215,0.67735,-0.70188),(6395,5225,0.67937,-0.69782),(6395,5235,0.68138,-0.69376),(6395,5245,0.68339,-0.68965),(6395,5255,0.6854,-0.68549),(6395,5265,0.68737,-0.68134),(6395,5275,0.68935,-0.67714),(6395,5285,0.69133,-0.67286),(6395,5295,0.69329,-0.66858),(6395,5305,0.69524,-0.66429),(6395,5315,0.6972,-0.65995),(6395,5325,0.69915,-0.6556),(6395,5335,0.70111,-0.65126),(6395,5345,0.70307,-0.6469),(6395,5355,0.70503,-0.64254),(6395,5365,0.70698,-0.63818),(6395,5375,0.70894,-0.63379),(6395,5385,0.71089,-0.6294),(6395,5395,0.71283,-0.625),(6395,5405,0.71478,-0.62058),(6395,5415,0.71672,-0.61613),(6395,5425,0.71863,-0.61169),(6395,5435,0.72054,-0.60721),(6395,5445,0.72246,-0.60271),(6395,5455,0.72434,-0.5982),(6395,5465,0.72622,-0.59367),(6395,5475,0.7281,-0.58907),(6395,5485,0.72995,-0.58447),(6395,5495,0.73179,-0.57987),(6395,5505,0.73363,-0.57518),(6395,5515,0.73546,-0.57049),(6395,5525,0.73728,-0.56581),(6395,5535,0.7391,-0.5611),(6395,5545,0.74091,-0.55638),(6395,5555,0.74273,-0.55167),(6395,5565,0.74454,-0.54695),(6395,5575,0.74635,-0.54223),(6395,5585,0.74815,-0.53751),(6395,5595,0.74995,-0.53274),(6395,5605,0.75175,-0.52795),(6395,5615,0.75351,-0.52315),(6395,5625,0.75527,-0.51831),(6395,5635,0.75703,-0.51341),(6395,5645,0.75878,-0.50851),(6395,5655,0.76054,-0.5036),(6395,5665,0.7623,-0.49865),(6395,5675,0.76371,-0.4937),(6395,5685,0.76492,-0.48875),(6395,5695,0.76614,-0.48378),(6395,5705,0.76772,-0.47882),(6395,5715,0.76974,-0.47386),(6395,5725,0.77175,-0.46882),(6395,5735,0.77362,-0.46377),(6395,5745,0.77514,-0.45872),(6395,5755,0.77666,-0.45366),(6395,5765,0.77819,-0.4486),(6395,5775,0.77975,-0.44354),(6395,5785,0.78131,-0.43847),(6395,5795,0.78287,-0.43339),(6395,5805,0.78441,-0.42832),(6395,5815,0.78595,-0.42321),(6395,5825,0.78748,-0.41807),(6395,5835,0.78897,-0.41292),(6395,5845,0.79044,-0.40777),(6395,5855,0.79191,-0.40255),(6395,5865,0.79335,-0.39733),(6395,5875,0.79476,-0.3921),(6395,5885,0.79618,-0.38685),(6395,5895,0.79758,-0.38159),(6395,5905,0.79897,-0.37634),(6395,5915,0.80036,-0.37107),(6395,5925,0.80176,-0.36581),(6395,5935,0.80317,-0.36055),(6395,5945,0.80459,-0.35527),(6395,5955,0.80598,-0.34998),(6395,5965,0.80677,-0.3447),(6395,5975,0.80757,-0.3394),(6395,5985,0.80836,-0.33408),(6395,5995,0.80991,-0.32876),(6395,6005,0.81158,-0.32342),(6395,6015,0.81324,-0.31803),(6395,6025,0.81449,-0.31263),(6395,6035,0.81554,-0.30723),(6395,6045,0.8166,-0.30179),(6395,6055,0.81766,-0.29635),(6395,6065,0.81873,-0.29091),(6395,6075,0.8198,-0.28546),(6395,6085,0.82087,-0.28002),(6395,6095,0.82194,-0.27457),(6395,6105,0.82302,-0.26917),(6395,6115,0.82409,-0.26378),(6395,6125,0.82515,-0.25839),(6395,6135,0.8262,-0.25296),(6395,6145,0.82725,-0.24751),(6395,6155,0.82822,-0.24206),(6395,6165,0.82919,-0.23656),(6395,6175,0.83016,-0.23097),(6395,6185,0.83105,-0.22539),(6395,6195,0.83193,-0.2198),(6395,6205,0.8328,-0.21419),(6395,6215,0.83364,-0.20858),(6395,6225,0.83445,-0.20297),(6395,6235,0.83527,-0.19736),(6395,6245,0.83608,-0.19175),(6395,6255,0.83689,-0.18613),(6395,6265,0.8377,-0.18056),(6395,6275,0.83836,-0.17499),(6395,6285,0.83863,-0.16943),(6395,6295,0.83889,-0.1639),(6395,6305,0.83921,-0.15839),(6395,6315,0.84023,-0.15288),(6395,6325,0.84125,-0.14731),(6395,6335,0.84227,-0.1417),(6395,6345,0.84277,-0.13608),(6395,6355,0.84321,-0.13042),(6395,6365,0.84365,-0.12469),(6395,6375,0.84409,-0.11896),(6395,6385,0.84452,-0.11325),(6395,6395,0.84496,-0.10768),(6395,6405,0.84538,-0.10211),(6395,6415,0.8458,-0.096541),(6395,6425,0.84621,-0.090911),(6395,6435,0.84661,-0.085278),(6395,6445,0.84699,-0.079645),(6395,6455,0.84736,-0.074019),(6395,6465,0.84773,-0.068396),(6395,6475,0.84804,-0.062772),(6395,6485,0.84836,-0.057096),(6395,6495,0.84867,-0.051385),(6395,6505,0.8489,-0.045674),(6395,6515,0.84913,-0.03995),(6395,6525,0.84936,-0.03421),(6395,6535,0.84954,-0.028469),(6395,6545,0.84972,-0.022761),(6395,6555,0.84989,-0.017157),(6395,6565,0.84978,-0.011552),(6395,6575,0.84952,-0.005944),(6395,6585,0.84925,-0.000291),(6395,6595,0.72218,0.005363),(6395,6605,0.45509,0.011017),(6395,6615,0.188,0.011724),(6395,6625,0.000247,0.011795),(6395,6635,0.000288,0.011867),(6395,6645,0.000328,0.011888),(6395,6655,0.000369,0.011889),(6395,6665,0.000409,0.011889),(6395,6675,0.000449,0.011889),(6395,6685,0.00049,0.011889),(6395,6695,0.00053,0.011888),(6395,6705,0.00057,0.011887),(6395,6715,0.00061,0.011885),(6395,6725,0.00065,0.011883),(6395,6735,0.00069,0.011881),(6395,6745,0.00073,0.011877),(6395,6755,0.000769,0.011874),(6395,6765,0.000809,0.011871),(6395,6775,0.000848,0.011866),(6395,6785,0.000887,0.011861),(6395,6795,0.000926,0.011857),(6395,6805,0.000965,0.011851),(6395,6815,0.001004,0.011845),(6395,6825,0.001043,0.011839),(6395,6835,0.001081,0.011832),(6395,6845,0.001119,0.011825),(6395,6855,0.001157,0.011818),(6395,6865,0.001195,0.01181),(6395,6875,0.001233,0.011801),(6395,6885,0.00127,0.011793),(6395,6895,0.001307,0.011784),(6395,6905,0.001344,0.011774),(6395,6915,0.00138,0.011764),(6395,6925,0.001417,0.011754),(6395,6935,0.001453,0.011744),(6395,6945,0.001489,0.011733),(6395,6955,0.001524,0.011722),(6395,6965,0.00156,0.01171),(6395,6975,0.001595,0.011698),(6395,6985,0.00163,0.011686),(6405,5,1.2e-05,-1.3198),(6405,15,3.5e-05,-1.3197),(6405,25,5.1e-05,-1.3197),(6405,35,6.1e-05,-1.3196),(6405,45,7.2e-05,-1.3195),(6405,55,8.2e-05,-1.3195),(6405,65,0.000104,-1.3194),(6405,75,0.000134,-1.3194),(6405,85,0.000164,-1.3194),(6405,95,0.000194,-1.3195),(6405,105,0.000205,-1.3196),(6405,115,0.000202,-1.3196),(6405,125,0.0002,-1.3196),(6405,135,0.000198,-1.3195),(6405,145,0.000168,-1.3195),(6405,155,0.000123,-1.3194),(6405,165,7.8e-05,-1.3193),(6405,175,3.3e-05,-1.3193),(6405,185,-9e-06,-1.3192),(6405,195,-4.8e-05,-1.3191),(6405,205,-8.8e-05,-1.319),(6405,215,-0.000127,-1.3188),(6405,225,-9.8e-05,-1.3187),(6405,235,-4.1e-05,-1.3186),(6405,245,1.6e-05,-1.3186),(6405,255,7.3e-05,-1.3187),(6405,265,0.000165,-1.3189),(6405,275,0.000269,-1.319),(6405,285,0.000372,-1.3191),(6405,295,0.000475,-1.3192),(6405,305,0.000507,-1.3193),(6405,315,0.00052,-1.3194),(6405,325,0.000534,-1.3193),(6405,335,0.000547,-1.3193),(6405,345,0.000543,-1.3192),(6405,355,0.000535,-1.3191),(6405,365,0.000528,-1.3191),(6405,375,0.00052,-1.319),(6405,385,0.000496,-1.3189),(6405,395,0.000471,-1.3188),(6405,405,0.000445,-1.3188),(6405,415,0.000419,-1.3189),(6405,425,0.000412,-1.3189),(6405,435,0.000407,-1.3189),(6405,445,0.000403,-1.3189),(6405,455,0.000398,-1.3188),(6405,465,0.000353,-1.3188),(6405,475,0.000307,-1.3187),(6405,485,0.00026,-1.3186),(6405,495,0.000213,-1.3184),(6405,505,0.000198,-1.3183),(6405,515,0.000184,-1.3182),(6405,525,0.000169,-1.3181),(6405,535,0.000156,-1.3181),(6405,545,0.000176,-1.318),(6405,555,0.000197,-1.318),(6405,565,0.000217,-1.3179),(6405,575,0.000241,-1.3179),(6405,585,0.00032,-1.3178),(6405,595,0.000399,-1.3177),(6405,605,0.000477,-1.3177),(6405,615,0.00056,-1.3177),(6405,625,0.000674,-1.3177),(6405,635,0.000787,-1.3177),(6405,645,0.000901,-1.3178),(6405,655,0.00101,-1.3178),(6405,665,0.00109,-1.3179),(6405,675,0.00117,-1.3179),(6405,685,0.00125,-1.3179),(6405,695,0.001309,-1.3179),(6405,705,0.00128,-1.3179),(6405,715,0.001252,-1.3179),(6405,725,0.001223,-1.3177),(6405,735,0.001215,-1.3176),(6405,745,0.001278,-1.3174),(6405,755,0.00134,-1.3173),(6405,765,0.001402,-1.3171),(6405,775,0.001448,-1.3169),(6405,785,0.001449,-1.3168),(6405,795,0.00145,-1.3167),(6405,805,0.00145,-1.3166),(6405,815,0.001466,-1.3166),(6405,825,0.001515,-1.3166),(6405,835,0.001564,-1.3165),(6405,845,0.001613,-1.3163),(6405,855,0.001662,-1.3161),(6405,865,0.001711,-1.3159),(6405,875,0.00176,-1.3157),(6405,885,0.001809,-1.3155),(6405,895,0.001875,-1.3153),(6405,905,0.001965,-1.3151),(6405,915,0.002056,-1.3149),(6405,925,0.002146,-1.3148),(6405,935,0.00223,-1.3147),(6405,945,0.002305,-1.3146),(6405,955,0.002379,-1.3144),(6405,965,0.002454,-1.3142),(6405,975,0.00248,-1.314),(6405,985,0.002452,-1.3137),(6405,995,0.002424,-1.3134),(6405,1005,0.002395,-1.3131),(6405,1015,0.00235,-1.3128),(6405,1025,0.002288,-1.3125),(6405,1035,0.002227,-1.3122),(6405,1045,0.002165,-1.3121),(6405,1055,0.002037,-1.3119),(6405,1065,0.001854,-1.3118),(6405,1075,0.001671,-1.3117),(6405,1085,0.001488,-1.3118),(6405,1095,0.001221,-1.3119),(6405,1105,0.000894,-1.312),(6405,1115,0.000568,-1.3121),(6405,1125,0.000241,-1.3123),(6405,1135,-0.000411,-1.3125),(6405,1145,-0.001256,-1.3127),(6405,1155,-0.002101,-1.3135),(6405,1165,-0.002946,-1.3146),(6405,1175,-0.004512,-1.3157),(6405,1185,-0.006435,-1.3168),(6405,1195,-0.008359,-1.3198),(6405,1205,-0.010282,-1.3238),(6405,1215,-0.017014,-1.3277),(6405,1225,-0.025729,-1.3317),(6405,1235,-0.034445,-1.3403),(6405,1245,-0.04316,-1.3507),(6405,1255,-0.074605,-1.3611),(6405,1265,-0.11373,-1.3715),(6405,1275,-0.15285,-1.376),(6405,1285,-0.19197,-1.3787),(6405,1295,-0.22236,-1.3815),(6405,1305,-0.25038,-1.3842),(6405,1315,-0.2784,-1.3457),(6405,1325,-0.30643,-1.2973),(6405,1335,-0.18848,-1.249),(6405,1345,-0.039946,-1.2006),(6405,1355,0.10859,-1.233),(6405,1365,0.25713,-1.28),(6405,1375,0.26767,-1.3271),(6405,1385,0.25692,-1.3741),(6405,1395,0.24617,-1.3802),(6405,1405,0.23542,-1.3811),(6405,1415,0.19217,-1.3819),(6405,1425,0.14554,-1.3828),(6405,1435,0.098912,-1.3715),(6405,1445,0.052284,-1.3593),(6405,1455,0.040629,-1.347),(6405,1465,0.030989,-1.3348),(6405,1475,0.021348,-1.3299),(6405,1485,0.011708,-1.3253),(6405,1495,0.009747,-1.3207),(6405,1505,0.007901,-1.3161),(6405,1515,0.006056,-1.3145),(6405,1525,0.004236,-1.3129),(6405,1535,0.003411,-1.3113),(6405,1545,0.002585,-1.3097),(6405,1555,0.00176,-1.3091),(6405,1565,0.000963,-1.3086),(6405,1575,0.000575,-1.308),(6405,1585,0.000187,-1.3075),(6405,1595,-0.000201,-1.3073),(6405,1605,-0.000572,-1.3071),(6405,1615,-0.000802,-1.3069),(6405,1625,-0.001032,-1.3067),(6405,1635,-0.001261,-1.3067),(6405,1645,-0.00147,-1.3067),(6405,1655,-0.001552,-1.3067),(6405,1665,-0.001634,-1.3068),(6405,1675,-0.001716,-1.3067),(6405,1685,-0.001781,-1.3067),(6405,1695,-0.001767,-1.3066),(6405,1705,-0.001754,-1.3066),(6405,1715,-0.001741,-1.3065),(6405,1725,-0.001714,-1.3065),(6405,1735,-0.00164,-1.3065),(6405,1745,-0.001566,-1.3065),(6405,1755,-0.001492,-1.3065),(6405,1765,-0.001418,-1.3066),(6405,1775,-0.001344,-1.3066),(6405,1785,-0.001269,-1.3067),(6405,1795,-0.001195,-1.3066),(6405,1805,-0.001115,-1.3065),(6405,1815,-0.001021,-1.3065),(6405,1825,-0.000927,-1.3064),(6405,1835,-0.000834,-1.3064),(6405,1845,-0.000714,-1.3064),(6405,1855,-0.000543,-1.3064),(6405,1865,-0.000373,-1.3063),(6405,1875,-0.000202,-1.3061),(6405,1885,-0.000118,-1.306),(6405,1895,-0.000173,-1.3058),(6405,1905,-0.000228,-1.3057),(6405,1915,-0.000283,-1.3055),(6405,1925,-0.000311,-1.3054),(6405,1935,-0.0003,-1.3052),(6405,1945,-0.000289,-1.305),(6405,1955,-0.000277,-1.3048),(6405,1965,-0.00028,-1.3046),(6405,1975,-0.000297,-1.3043),(6405,1985,-0.000315,-1.304),(6405,1995,-0.000333,-1.3037),(6405,2005,-0.000324,-1.3033),(6405,2015,-0.000288,-1.3029),(6405,2025,-0.000253,-1.3026),(6405,2035,-0.000217,-1.3024),(6405,2045,-0.000175,-1.3021),(6405,2055,-0.000127,-1.3019),(6405,2065,-7.9e-05,-1.3016),(6405,2075,-3.1e-05,-1.3014),(6405,2085,1.3e-05,-1.3011),(6405,2095,5.5e-05,-1.3008),(6405,2105,9.7e-05,-1.3006),(6405,2115,0.000138,-1.3003),(6405,2125,0.000201,-1.3),(6405,2135,0.000277,-1.2997),(6405,2145,0.000353,-1.2994),(6405,2155,0.00043,-1.2992),(6405,2165,0.000484,-1.299),(6405,2175,0.000527,-1.2987),(6405,2185,0.00057,-1.2984),(6405,2195,0.000614,-1.2981),(6405,2205,0.000614,-1.2978),(6405,2215,0.000597,-1.2975),(6405,2225,0.000579,-1.2972),(6405,2235,0.000561,-1.2969),(6405,2245,0.000597,-1.2965),(6405,2255,0.000652,-1.2962),(6405,2265,0.000707,-1.2958),(6405,2275,0.000762,-1.2954),(6405,2285,0.000681,-1.2949),(6405,2295,0.000561,-1.2945),(6405,2305,0.000441,-1.2941),(6405,2315,0.000321,-1.2937),(6405,2325,0.000313,-1.2933),(6405,2335,0.00033,-1.2929),(6405,2345,0.000347,-1.2926),(6405,2355,0.000364,-1.2922),(6405,2365,0.000388,-1.2919),(6405,2375,0.000414,-1.2916),(6405,2385,0.00044,-1.2912),(6405,2395,0.000466,-1.2907),(6405,2405,0.000489,-1.2903),(6405,2415,0.000511,-1.2899),(6405,2425,0.000533,-1.2894),(6405,2435,0.000556,-1.289),(6405,2445,0.000554,-1.2885),(6405,2455,0.000551,-1.288),(6405,2465,0.000547,-1.2875),(6405,2475,0.000544,-1.287),(6405,2485,0.000502,-1.2865),(6405,2495,0.000459,-1.286),(6405,2505,0.000417,-1.2855),(6405,2515,0.000375,-1.2849),(6405,2525,0.000405,-1.2843),(6405,2535,0.000436,-1.2838),(6405,2545,0.000466,-1.2833),(6405,2555,0.000502,-1.2829),(6405,2565,0.000637,-1.2824),(6405,2575,0.000772,-1.282),(6405,2585,0.000907,-1.2817),(6405,2595,0.001032,-1.2813),(6405,2605,0.001069,-1.281),(6405,2615,0.001105,-1.2807),(6405,2625,0.001142,-1.2802),(6405,2635,0.001188,-1.2797),(6405,2645,0.001295,-1.2792),(6405,2655,0.001402,-1.2787),(6405,2665,0.001509,-1.2778),(6405,2675,0.001563,-1.277),(6405,2685,0.001365,-1.2762),(6405,2695,0.001168,-1.2754),(6405,2705,0.00097,-1.2748),(6405,2715,0.000829,-1.2741),(6405,2725,0.000901,-1.2735),(6405,2735,0.000972,-1.2728),(6405,2745,0.001044,-1.2722),(6405,2755,0.001112,-1.2716),(6405,2765,0.001167,-1.271),(6405,2775,0.001223,-1.2704),(6405,2785,0.001278,-1.2698),(6405,2795,0.001328,-1.2692),(6405,2805,0.001366,-1.2686),(6405,2815,0.001404,-1.268),(6405,2825,0.001442,-1.2673),(6405,2835,0.001467,-1.2666),(6405,2845,0.001464,-1.266),(6405,2855,0.001461,-1.2653),(6405,2865,0.001458,-1.2645),(6405,2875,0.001451,-1.2638),(6405,2885,0.001435,-1.263),(6405,2895,0.001419,-1.2622),(6405,2905,0.001402,-1.2615),(6405,2915,0.001401,-1.2607),(6405,2925,0.001421,-1.26),(6405,2935,0.001442,-1.2592),(6405,2945,0.001462,-1.2584),(6405,2955,0.001487,-1.2576),(6405,2965,0.001519,-1.2569),(6405,2975,0.001551,-1.2561),(6405,2985,0.001584,-1.2552),(6405,2995,0.001611,-1.2544),(6405,3005,0.001635,-1.2536),(6405,3015,0.001658,-1.2528),(6405,3025,0.001681,-1.2521),(6405,3035,0.001816,-1.2513),(6405,3045,0.002049,-1.2506),(6405,3055,0.002283,-1.2498),(6405,3065,0.002516,-1.2489),(6405,3075,0.002543,-1.2479),(6405,3085,0.002413,-1.247),(6405,3095,0.002284,-1.2461),(6405,3105,0.002155,-1.2452),(6405,3115,0.002168,-1.2443),(6405,3125,0.002274,-1.2434),(6405,3135,0.00238,-1.2425),(6405,3145,0.002485,-1.2417),(6405,3155,0.002553,-1.2408),(6405,3165,0.002599,-1.24),(6405,3175,0.002646,-1.2391),(6405,3185,0.002693,-1.2382),(6405,3195,0.002688,-1.2373),(6405,3205,0.002659,-1.2364),(6405,3215,0.002631,-1.2354),(6405,3225,0.002602,-1.2344),(6405,3235,0.002586,-1.2333),(6405,3245,0.002573,-1.2323),(6405,3255,0.002561,-1.2312),(6405,3265,0.002549,-1.2301),(6405,3275,0.002584,-1.2289),(6405,3285,0.002633,-1.2278),(6405,3295,0.002682,-1.2268),(6405,3305,0.002731,-1.2258),(6405,3315,0.00279,-1.2248),(6405,3325,0.00285,-1.2238),(6405,3335,0.00291,-1.2228),(6405,3345,0.002971,-1.2218),(6405,3355,0.002968,-1.2208),(6405,3365,0.002953,-1.2198),(6405,3375,0.002938,-1.2186),(6405,3385,0.002923,-1.2175),(6405,3395,0.003123,-1.2164),(6405,3405,0.003351,-1.2152),(6405,3415,0.003579,-1.2141),(6405,3425,0.003807,-1.2129),(6405,3435,0.003721,-1.2117),(6405,3445,0.003609,-1.2105),(6405,3455,0.003498,-1.2092),(6405,3465,0.003386,-1.208),(6405,3475,0.003418,-1.2067),(6405,3485,0.003456,-1.2055),(6405,3495,0.003494,-1.2042),(6405,3505,0.003531,-1.2028),(6405,3515,0.003532,-1.2015),(6405,3525,0.003533,-1.2002),(6405,3535,0.003534,-1.1989),(6405,3545,0.003539,-1.1976),(6405,3555,0.00362,-1.1964),(6405,3565,0.003701,-1.1951),(6405,3575,0.003783,-1.1937),(6405,3585,0.003856,-1.1923),(6405,3595,0.00384,-1.1909),(6405,3605,0.003824,-1.1895),(6405,3615,0.003809,-1.1882),(6405,3625,0.003797,-1.1869),(6405,3635,0.003812,-1.1856),(6405,3645,0.003828,-1.1842),(6405,3655,0.003844,-1.1826),(6405,3665,0.003843,-1.181),(6405,3675,0.00376,-1.1794),(6405,3685,0.003676,-1.1778),(6405,3695,0.003593,-1.1765),(6405,3705,0.003499,-1.1751),(6405,3715,0.003364,-1.1738),(6405,3725,0.00323,-1.1724),(6405,3735,0.003096,-1.1712),(6405,3745,0.002919,-1.1699),(6405,3755,0.002612,-1.1686),(6405,3765,0.002305,-1.1674),(6405,3775,0.001998,-1.1665),(6405,3785,0.001618,-1.1655),(6405,3795,0.001051,-1.1645),(6405,3805,0.000485,-1.1636),(6405,3815,-8.2e-05,-1.1629),(6405,3825,-0.000981,-1.1623),(6405,3835,-0.00258,-1.1616),(6405,3845,-0.00418,-1.1613),(6405,3855,-0.00578,-1.1617),(6405,3865,-0.007933,-1.1622),(6405,3875,-0.011063,-1.1627),(6405,3885,-0.014193,-1.1639),(6405,3895,-0.017323,-1.1663),(6405,3905,-0.022677,-1.1688),(6405,3915,-0.031353,-1.1712),(6405,3925,-0.04003,-1.1751),(6405,3935,-0.048706,-1.181),(6405,3945,-0.06542,-1.1868),(6405,3955,-0.092338,-1.1927),(6405,3965,-0.11926,-1.1959),(6405,3975,-0.14618,-1.196),(6405,3985,-0.1783,-1.196),(6405,3995,-0.21607,-1.1961),(6405,4005,-0.25383,-1.1697),(6405,4015,-0.29159,-1.1169),(6405,4025,-0.12155,-1.0641),(6405,4035,0.068829,-1.0279),(6405,4045,0.25921,-1.027),(6405,4055,0.3535,-1.026),(6405,4065,0.41275,-1.0249),(6405,4075,0.47199,-1.023),(6405,4085,0.49883,-1.0212),(6405,4095,0.49963,-1.0193),(6405,4105,0.50043,-1.0174),(6405,4115,0.5013,-1.0155),(6405,4125,0.5023,-1.0136),(6405,4135,0.50329,-1.0117),(6405,4145,0.50424,-1.0097),(6405,4155,0.50502,-1.0078),(6405,4165,0.50581,-1.0059),(6405,4175,0.50661,-1.0041),(6405,4185,0.50761,-1.0022),(6405,4195,0.50861,-1.0003),(6405,4205,0.50961,-0.99837),(6405,4215,0.51064,-0.99641),(6405,4225,0.51167,-0.99444),(6405,4235,0.5127,-0.99248),(6405,4245,0.51376,-0.99052),(6405,4255,0.51482,-0.98855),(6405,4265,0.51588,-0.98654),(6405,4275,0.51695,-0.98452),(6405,4285,0.51804,-0.98251),(6405,4295,0.51912,-0.98044),(6405,4305,0.5202,-0.97836),(6405,4315,0.52131,-0.97628),(6405,4325,0.52242,-0.97417),(6405,4335,0.52353,-0.97204),(6405,4345,0.52469,-0.96992),(6405,4355,0.52584,-0.96777),(6405,4365,0.527,-0.96561),(6405,4375,0.5282,-0.96344),(6405,4385,0.5294,-0.96124),(6405,4395,0.5306,-0.95897),(6405,4405,0.53182,-0.95671),(6405,4415,0.53305,-0.95443),(6405,4425,0.53428,-0.95212),(6405,4435,0.53557,-0.94981),(6405,4445,0.53689,-0.94749),(6405,4455,0.53821,-0.9451),(6405,4465,0.53952,-0.94271),(6405,4475,0.54079,-0.94031),(6405,4485,0.54206,-0.93791),(6405,4495,0.54336,-0.9355),(6405,4505,0.54476,-0.9331),(6405,4515,0.54616,-0.93065),(6405,4525,0.54756,-0.92819),(6405,4535,0.54902,-0.92572),(6405,4545,0.55048,-0.92322),(6405,4555,0.55194,-0.92068),(6405,4565,0.55345,-0.91814),(6405,4575,0.55496,-0.91559),(6405,4585,0.55648,-0.91299),(6405,4595,0.55802,-0.91039),(6405,4605,0.55957,-0.90778),(6405,4615,0.56112,-0.90512),(6405,4625,0.56269,-0.90247),(6405,4635,0.56427,-0.89981),(6405,4645,0.56586,-0.89707),(6405,4655,0.56746,-0.89433),(6405,4665,0.56909,-0.89159),(6405,4675,0.57072,-0.88875),(6405,4685,0.57237,-0.88588),(6405,4695,0.57406,-0.88302),(6405,4705,0.57575,-0.88009),(6405,4715,0.57744,-0.87712),(6405,4725,0.5791,-0.87414),(6405,4735,0.58077,-0.87118),(6405,4745,0.58243,-0.86822),(6405,4755,0.58422,-0.86527),(6405,4765,0.58604,-0.86229),(6405,4775,0.58786,-0.85923),(6405,4785,0.58965,-0.85617),(6405,4795,0.59143,-0.85311),(6405,4805,0.59321,-0.84998),(6405,4815,0.59501,-0.84685),(6405,4825,0.59682,-0.84371),(6405,4835,0.59863,-0.8405),(6405,4845,0.60045,-0.83727),(6405,4855,0.60228,-0.83404),(6405,4865,0.60411,-0.83075),(6405,4875,0.60594,-0.82743),(6405,4885,0.6078,-0.82411),(6405,4895,0.60965,-0.82076),(6405,4905,0.61151,-0.81737),(6405,4915,0.61341,-0.81399),(6405,4925,0.61531,-0.81059),(6405,4935,0.61721,-0.80714),(6405,4945,0.61915,-0.8037),(6405,4955,0.6211,-0.80025),(6405,4965,0.62305,-0.79675),(6405,4975,0.62502,-0.79324),(6405,4985,0.627,-0.78973),(6405,4995,0.62898,-0.78614),(6405,5005,0.63097,-0.78255),(6405,5015,0.63299,-0.77895),(6405,5025,0.63501,-0.77525),(6405,5035,0.63697,-0.77152),(6405,5045,0.63868,-0.76779),(6405,5055,0.64039,-0.76411),(6405,5065,0.64212,-0.76047),(6405,5075,0.64428,-0.75682),(6405,5085,0.64643,-0.75307),(6405,5095,0.64859,-0.74917),(6405,5105,0.65051,-0.74527),(6405,5115,0.6524,-0.74137),(6405,5125,0.65429,-0.73743),(6405,5135,0.65621,-0.7335),(6405,5145,0.65814,-0.72956),(6405,5155,0.66008,-0.72556),(6405,5165,0.66203,-0.72157),(6405,5175,0.66399,-0.71757),(6405,5185,0.66596,-0.71354),(6405,5195,0.66794,-0.7095),(6405,5205,0.66994,-0.70547),(6405,5215,0.67193,-0.70142),(6405,5225,0.67393,-0.69736),(6405,5235,0.67592,-0.6933),(6405,5245,0.67792,-0.6892),(6405,5255,0.67991,-0.68505),(6405,5265,0.68187,-0.6809),(6405,5275,0.68383,-0.67671),(6405,5285,0.68579,-0.67244),(6405,5295,0.68773,-0.66817),(6405,5305,0.68966,-0.66388),(6405,5315,0.69159,-0.65953),(6405,5325,0.69352,-0.65519),(6405,5335,0.69545,-0.65084),(6405,5345,0.69738,-0.64647),(6405,5355,0.69931,-0.64211),(6405,5365,0.70123,-0.63774),(6405,5375,0.70316,-0.63335),(6405,5385,0.70509,-0.62896),(6405,5395,0.70701,-0.62456),(6405,5405,0.70893,-0.62013),(6405,5415,0.71084,-0.61569),(6405,5425,0.71274,-0.61125),(6405,5435,0.71464,-0.60678),(6405,5445,0.71654,-0.60228),(6405,5455,0.71841,-0.59778),(6405,5465,0.72027,-0.59325),(6405,5475,0.72214,-0.58866),(6405,5485,0.72397,-0.58407),(6405,5495,0.72579,-0.57947),(6405,5505,0.72762,-0.57478),(6405,5515,0.72942,-0.5701),(6405,5525,0.73122,-0.56541),(6405,5535,0.73302,-0.5607),(6405,5545,0.73481,-0.55597),(6405,5555,0.7366,-0.55125),(6405,5565,0.7384,-0.54653),(6405,5575,0.74019,-0.54181),(6405,5585,0.74197,-0.53708),(6405,5595,0.74376,-0.53232),(6405,5605,0.74554,-0.52753),(6405,5615,0.74729,-0.52273),(6405,5625,0.74904,-0.51789),(6405,5635,0.75079,-0.51298),(6405,5645,0.75254,-0.50807),(6405,5655,0.75429,-0.50313),(6405,5665,0.75605,-0.49811),(6405,5675,0.75744,-0.49308),(6405,5685,0.75864,-0.48806),(6405,5695,0.75984,-0.48332),(6405,5705,0.7614,-0.47857),(6405,5715,0.76339,-0.47383),(6405,5725,0.76537,-0.46874),(6405,5735,0.76722,-0.46361),(6405,5745,0.76871,-0.45848),(6405,5755,0.77019,-0.45337),(6405,5765,0.77169,-0.44828),(6405,5775,0.77323,-0.44319),(6405,5785,0.77476,-0.4381),(6405,5795,0.7763,-0.43302),(6405,5805,0.77783,-0.42793),(6405,5815,0.77936,-0.42282),(6405,5825,0.78088,-0.41769),(6405,5835,0.78236,-0.41255),(6405,5845,0.78383,-0.4074),(6405,5855,0.78529,-0.40219),(6405,5865,0.78672,-0.39697),(6405,5875,0.78812,-0.39176),(6405,5885,0.78953,-0.3865),(6405,5895,0.79092,-0.38124),(6405,5905,0.7923,-0.37598),(6405,5915,0.79368,-0.3707),(6405,5925,0.79506,-0.36541),(6405,5935,0.79646,-0.36012),(6405,5945,0.79787,-0.35478),(6405,5955,0.79925,-0.34941),(6405,5965,0.80003,-0.34403),(6405,5975,0.80081,-0.3388),(6405,5985,0.80158,-0.33374),(6405,5995,0.80311,-0.32868),(6405,6005,0.80476,-0.3235),(6405,6015,0.80641,-0.31803),(6405,6025,0.80764,-0.31255),(6405,6035,0.80867,-0.30708),(6405,6045,0.8097,-0.30161),(6405,6055,0.81074,-0.29614),(6405,6065,0.81178,-0.29068),(6405,6075,0.81283,-0.28521),(6405,6085,0.81388,-0.27974),(6405,6095,0.81494,-0.27428),(6405,6105,0.816,-0.26886),(6405,6115,0.81705,-0.26346),(6405,6125,0.8181,-0.25806),(6405,6135,0.81914,-0.25263),(6405,6145,0.82019,-0.24719),(6405,6155,0.82116,-0.24175),(6405,6165,0.82213,-0.23626),(6405,6175,0.82309,-0.23069),(6405,6185,0.82399,-0.22512),(6405,6195,0.82486,-0.21954),(6405,6205,0.82574,-0.21394),(6405,6215,0.82657,-0.20834),(6405,6225,0.82738,-0.20273),(6405,6235,0.82819,-0.1971),(6405,6245,0.829,-0.19147),(6405,6255,0.8298,-0.18584),(6405,6265,0.8306,-0.1802),(6405,6275,0.83126,-0.17455),(6405,6285,0.83151,-0.16891),(6405,6295,0.83177,-0.1635),(6405,6305,0.83208,-0.15822),(6405,6315,0.8331,-0.15293),(6405,6325,0.83411,-0.14745),(6405,6335,0.83513,-0.14176),(6405,6345,0.83562,-0.13608),(6405,6355,0.83605,-0.13038),(6405,6365,0.83648,-0.12463),(6405,6375,0.83691,-0.11887),(6405,6385,0.83734,-0.11315),(6405,6395,0.83777,-0.10757),(6405,6405,0.83818,-0.10199),(6405,6415,0.83858,-0.096407),(6405,6425,0.83899,-0.09077),(6405,6435,0.83938,-0.085131),(6405,6445,0.83975,-0.079491),(6405,6455,0.84012,-0.073864),(6405,6465,0.84048,-0.06824),(6405,6475,0.84079,-0.062617),(6405,6485,0.84111,-0.056946),(6405,6495,0.84143,-0.051243),(6405,6505,0.84166,-0.04554),(6405,6515,0.8419,-0.039821),(6405,6525,0.84214,-0.034077),(6405,6535,0.84233,-0.028334),(6405,6545,0.84251,-0.022605),(6405,6555,0.84269,-0.016924),(6405,6565,0.84258,-0.011242),(6405,6575,0.84232,-0.00557),(6405,6585,0.84206,-2.9e-05),(6405,6595,0.71606,0.005512),(6405,6605,0.45123,0.011053),(6405,6615,0.1864,0.011752),(6405,6625,0.000245,0.011829),(6405,6635,0.000286,0.011906),(6405,6645,0.000327,0.011929),(6405,6655,0.000367,0.011929),(6405,6665,0.000408,0.01193),(6405,6675,0.000449,0.01193),(6405,6685,0.00049,0.011929),(6405,6695,0.00053,0.011929),(6405,6705,0.000571,0.011927),(6405,6715,0.000611,0.011925),(6405,6725,0.000652,0.011923),(6405,6735,0.000692,0.011921),(6405,6745,0.000732,0.011917),(6405,6755,0.000772,0.011914),(6405,6765,0.000812,0.01191),(6405,6775,0.000852,0.011906),(6405,6785,0.000891,0.011901),(6405,6795,0.00093,0.011896),(6405,6805,0.00097,0.01189),(6405,6815,0.001009,0.011884),(6405,6825,0.001048,0.011878),(6405,6835,0.001086,0.011871),(6405,6845,0.001125,0.011863),(6405,6855,0.001163,0.011856),(6405,6865,0.001201,0.011848),(6405,6875,0.001239,0.011839),(6405,6885,0.001277,0.01183),(6405,6895,0.001314,0.011821),(6405,6905,0.001352,0.011811),(6405,6915,0.001388,0.011801),(6405,6925,0.001425,0.011791),(6405,6935,0.001462,0.01178),(6405,6945,0.001498,0.011769),(6405,6955,0.001534,0.011757),(6405,6965,0.00157,0.011745),(6405,6975,0.001605,0.011733),(6405,6985,0.00164,0.011721),(6415,5,1.1e-05,-1.3198),(6415,15,3.2e-05,-1.3197),(6415,25,4.7e-05,-1.3196),(6415,35,5.6e-05,-1.3196),(6415,45,6.5e-05,-1.3195),(6415,55,7.4e-05,-1.3195),(6415,65,9.6e-05,-1.3194),(6415,75,0.000127,-1.3194),(6415,85,0.000158,-1.3194),(6415,95,0.000189,-1.3195),(6415,105,0.000204,-1.3196),(6415,115,0.000209,-1.3196),(6415,125,0.000213,-1.3196),(6415,135,0.000217,-1.3196),(6415,145,0.000191,-1.3195),(6415,155,0.000148,-1.3195),(6415,165,0.000105,-1.3194),(6415,175,6.2e-05,-1.3193),(6415,185,1.1e-05,-1.3192),(6415,195,-4.4e-05,-1.3191),(6415,205,-9.8e-05,-1.319),(6415,215,-0.000153,-1.3188),(6415,225,-0.00014,-1.3187),(6415,235,-0.000101,-1.3185),(6415,245,-6.3e-05,-1.3186),(6415,255,-2.4e-05,-1.3187),(6415,265,6.5e-05,-1.3188),(6415,275,0.000171,-1.3189),(6415,285,0.000276,-1.319),(6415,295,0.000382,-1.3191),(6415,305,0.000429,-1.3192),(6415,315,0.000461,-1.3194),(6415,325,0.000492,-1.3193),(6415,335,0.000524,-1.3193),(6415,345,0.000518,-1.3192),(6415,355,0.000505,-1.3192),(6415,365,0.000491,-1.3191),(6415,375,0.000478,-1.319),(6415,385,0.000469,-1.3189),(6415,395,0.000461,-1.3188),(6415,405,0.000452,-1.3188),(6415,415,0.000444,-1.3189),(6415,425,0.000442,-1.3189),(6415,435,0.000442,-1.3189),(6415,445,0.000441,-1.3189),(6415,455,0.000441,-1.3189),(6415,465,0.000393,-1.3188),(6415,475,0.000343,-1.3188),(6415,485,0.000293,-1.3186),(6415,495,0.000243,-1.3185),(6415,505,0.000218,-1.3183),(6415,515,0.000193,-1.3182),(6415,525,0.000168,-1.3181),(6415,535,0.000144,-1.3181),(6415,545,0.00015,-1.318),(6415,555,0.000156,-1.318),(6415,565,0.000163,-1.3179),(6415,575,0.000173,-1.3178),(6415,585,0.000233,-1.3178),(6415,595,0.000293,-1.3177),(6415,605,0.000353,-1.3177),(6415,615,0.000418,-1.3176),(6415,625,0.000525,-1.3176),(6415,635,0.000632,-1.3176),(6415,645,0.000739,-1.3177),(6415,655,0.000844,-1.3177),(6415,665,0.000939,-1.3178),(6415,675,0.001034,-1.3179),(6415,685,0.001129,-1.3179),(6415,695,0.001205,-1.3179),(6415,705,0.001198,-1.3179),(6415,715,0.001192,-1.3179),(6415,725,0.001185,-1.3178),(6415,735,0.001185,-1.3176),(6415,745,0.001203,-1.3175),(6415,755,0.001221,-1.3173),(6415,765,0.001239,-1.3171),(6415,775,0.001258,-1.3169),(6415,785,0.001282,-1.3167),(6415,795,0.001306,-1.3166),(6415,805,0.001329,-1.3166),(6415,815,0.001355,-1.3166),(6415,825,0.001388,-1.3166),(6415,835,0.00142,-1.3165),(6415,845,0.001452,-1.3163),(6415,855,0.001483,-1.3161),(6415,865,0.001514,-1.3159),(6415,875,0.001545,-1.3157),(6415,885,0.001576,-1.3155),(6415,895,0.001622,-1.3152),(6415,905,0.001692,-1.315),(6415,915,0.001762,-1.3148),(6415,925,0.001831,-1.3147),(6415,935,0.001903,-1.3146),(6415,945,0.001977,-1.3145),(6415,955,0.002051,-1.3144),(6415,965,0.002125,-1.3142),(6415,975,0.002152,-1.314),(6415,985,0.002125,-1.3137),(6415,995,0.002098,-1.3135),(6415,1005,0.002072,-1.3131),(6415,1015,0.002029,-1.3128),(6415,1025,0.001971,-1.3125),(6415,1035,0.001914,-1.3123),(6415,1045,0.001856,-1.3121),(6415,1055,0.001756,-1.312),(6415,1065,0.00162,-1.3118),(6415,1075,0.001485,-1.3118),(6415,1085,0.001349,-1.312),(6415,1095,0.001127,-1.3121),(6415,1105,0.000844,-1.3122),(6415,1115,0.000561,-1.3124),(6415,1125,0.000278,-1.3126),(6415,1135,-0.000211,-1.3127),(6415,1145,-0.000821,-1.3129),(6415,1155,-0.001431,-1.3137),(6415,1165,-0.002041,-1.3148),(6415,1175,-0.00302,-1.3158),(6415,1185,-0.004181,-1.3169),(6415,1195,-0.005342,-1.3201),(6415,1205,-0.006503,-1.3242),(6415,1215,-0.011298,-1.3283),(6415,1225,-0.017592,-1.3324),(6415,1235,-0.023885,-1.3426),(6415,1245,-0.030179,-1.3551),(6415,1255,-0.061742,-1.3675),(6415,1265,-0.10184,-1.38),(6415,1275,-0.14194,-1.3884),(6415,1285,-0.18203,-1.3957),(6415,1295,-0.22641,-1.4029),(6415,1305,-0.27194,-1.4101),(6415,1315,-0.31748,-1.367),(6415,1325,-0.36301,-1.3118),(6415,1335,-0.22345,-1.2567),(6415,1345,-0.045095,-1.2015),(6415,1355,0.13326,-1.2387),(6415,1365,0.31162,-1.2926),(6415,1375,0.31202,-1.3465),(6415,1385,0.28497,-1.4005),(6415,1395,0.25792,-1.4036),(6415,1405,0.23087,-1.4001),(6415,1415,0.18386,-1.3967),(6415,1425,0.13478,-1.3933),(6415,1435,0.085702,-1.3794),(6415,1445,0.036622,-1.3648),(6415,1455,0.027507,-1.3501),(6415,1465,0.020692,-1.3354),(6415,1475,0.013878,-1.3303),(6415,1485,0.007064,-1.3256),(6415,1495,0.005997,-1.3208),(6415,1505,0.005015,-1.3161),(6415,1515,0.004034,-1.3145),(6415,1525,0.003063,-1.3129),(6415,1535,0.002488,-1.3113),(6415,1545,0.001913,-1.3098),(6415,1555,0.001339,-1.3092),(6415,1565,0.00078,-1.3087),(6415,1575,0.000467,-1.3081),(6415,1585,0.000153,-1.3076),(6415,1595,-0.00016,-1.3074),(6415,1605,-0.000459,-1.3072),(6415,1615,-0.000638,-1.307),(6415,1625,-0.000816,-1.3068),(6415,1635,-0.000994,-1.3068),(6415,1645,-0.001157,-1.3068),(6415,1655,-0.001234,-1.3068),(6415,1665,-0.001311,-1.3068),(6415,1675,-0.001388,-1.3067),(6415,1685,-0.001452,-1.3067),(6415,1695,-0.001455,-1.3066),(6415,1705,-0.001458,-1.3065),(6415,1715,-0.001461,-1.3065),(6415,1725,-0.00145,-1.3065),(6415,1735,-0.001386,-1.3064),(6415,1745,-0.001322,-1.3064),(6415,1755,-0.001258,-1.3065),(6415,1765,-0.001195,-1.3065),(6415,1775,-0.001133,-1.3066),(6415,1785,-0.00107,-1.3066),(6415,1795,-0.001008,-1.3065),(6415,1805,-0.000937,-1.3065),(6415,1815,-0.000845,-1.3064),(6415,1825,-0.000753,-1.3063),(6415,1835,-0.000661,-1.3063),(6415,1845,-0.000553,-1.3064),(6415,1855,-0.000414,-1.3064),(6415,1865,-0.000276,-1.3063),(6415,1875,-0.000137,-1.3061),(6415,1885,-5.2e-05,-1.306),(6415,1895,-5.3e-05,-1.3058),(6415,1905,-5.4e-05,-1.3056),(6415,1915,-5.5e-05,-1.3055),(6415,1925,-5.5e-05,-1.3054),(6415,1935,-5.3e-05,-1.3052),(6415,1945,-5e-05,-1.3051),(6415,1955,-4.8e-05,-1.3048),(6415,1965,-6.5e-05,-1.3046),(6415,1975,-0.000104,-1.3044),(6415,1985,-0.000143,-1.304),(6415,1995,-0.000182,-1.3037),(6415,2005,-0.000195,-1.3033),(6415,2015,-0.000184,-1.3029),(6415,2025,-0.000173,-1.3026),(6415,2035,-0.000161,-1.3023),(6415,2045,-0.000137,-1.3021),(6415,2055,-0.000103,-1.3019),(6415,2065,-6.8e-05,-1.3016),(6415,2075,-3.4e-05,-1.3013),(6415,2085,-5e-06,-1.3011),(6415,2095,2e-05,-1.3008),(6415,2105,4.4e-05,-1.3005),(6415,2115,6.9e-05,-1.3002),(6415,2125,0.000115,-1.2999),(6415,2135,0.000173,-1.2996),(6415,2145,0.000232,-1.2994),(6415,2155,0.00029,-1.2991),(6415,2165,0.000338,-1.2989),(6415,2175,0.00038,-1.2987),(6415,2185,0.000422,-1.2984),(6415,2195,0.000464,-1.2981),(6415,2205,0.000479,-1.2978),(6415,2215,0.000481,-1.2975),(6415,2225,0.000484,-1.2972),(6415,2235,0.000487,-1.2969),(6415,2245,0.000508,-1.2966),(6415,2255,0.000535,-1.2963),(6415,2265,0.000562,-1.2959),(6415,2275,0.000589,-1.2954),(6415,2285,0.000538,-1.295),(6415,2295,0.000464,-1.2945),(6415,2305,0.00039,-1.2941),(6415,2315,0.000317,-1.2937),(6415,2325,0.00031,-1.2933),(6415,2335,0.000318,-1.2929),(6415,2345,0.000327,-1.2926),(6415,2355,0.000335,-1.2922),(6415,2365,0.000355,-1.2919),(6415,2375,0.000377,-1.2916),(6415,2385,0.000399,-1.2911),(6415,2395,0.000421,-1.2907),(6415,2405,0.000441,-1.2903),(6415,2415,0.00046,-1.2899),(6415,2425,0.00048,-1.2894),(6415,2435,0.000499,-1.289),(6415,2445,0.000505,-1.2885),(6415,2455,0.000511,-1.288),(6415,2465,0.000516,-1.2876),(6415,2475,0.000521,-1.2871),(6415,2485,0.000486,-1.2866),(6415,2495,0.00045,-1.2861),(6415,2505,0.000414,-1.2855),(6415,2515,0.000378,-1.2849),(6415,2525,0.000397,-1.2843),(6415,2535,0.000416,-1.2837),(6415,2545,0.000435,-1.2833),(6415,2555,0.00046,-1.2828),(6415,2565,0.000595,-1.2823),(6415,2575,0.00073,-1.2819),(6415,2585,0.000864,-1.2816),(6415,2595,0.000994,-1.2813),(6415,2605,0.001073,-1.281),(6415,2615,0.001152,-1.2806),(6415,2625,0.001231,-1.2802),(6415,2635,0.001305,-1.2798),(6415,2645,0.001341,-1.2794),(6415,2655,0.001377,-1.2789),(6415,2665,0.001413,-1.278),(6415,2675,0.001419,-1.2771),(6415,2685,0.001282,-1.2761),(6415,2695,0.001144,-1.2753),(6415,2705,0.001006,-1.2747),(6415,2715,0.000904,-1.274),(6415,2725,0.000932,-1.2734),(6415,2735,0.000961,-1.2728),(6415,2745,0.000989,-1.2722),(6415,2755,0.001022,-1.2716),(6415,2765,0.00107,-1.271),(6415,2775,0.001118,-1.2704),(6415,2785,0.001165,-1.2698),(6415,2795,0.001212,-1.2692),(6415,2805,0.001257,-1.2686),(6415,2815,0.001303,-1.2679),(6415,2825,0.001348,-1.2673),(6415,2835,0.001382,-1.2666),(6415,2845,0.001392,-1.266),(6415,2855,0.001402,-1.2653),(6415,2865,0.001412,-1.2645),(6415,2875,0.001414,-1.2638),(6415,2885,0.001403,-1.263),(6415,2895,0.001392,-1.2623),(6415,2905,0.001381,-1.2615),(6415,2915,0.00138,-1.2607),(6415,2925,0.001392,-1.26),(6415,2935,0.001404,-1.2592),(6415,2945,0.001416,-1.2584),(6415,2955,0.001432,-1.2576),(6415,2965,0.001453,-1.2568),(6415,2975,0.001474,-1.256),(6415,2985,0.001495,-1.2552),(6415,2995,0.001523,-1.2544),(6415,3005,0.001561,-1.2535),(6415,3015,0.001598,-1.2528),(6415,3025,0.001636,-1.2521),(6415,3035,0.001731,-1.2514),(6415,3045,0.001878,-1.2507),(6415,3055,0.002025,-1.2498),(6415,3065,0.002172,-1.2488),(6415,3075,0.002202,-1.2478),(6415,3085,0.002145,-1.2468),(6415,3095,0.002088,-1.2459),(6415,3105,0.002031,-1.245),(6415,3115,0.002058,-1.2441),(6415,3125,0.002139,-1.2433),(6415,3135,0.00222,-1.2424),(6415,3145,0.002302,-1.2416),(6415,3155,0.00237,-1.2408),(6415,3165,0.002433,-1.24),(6415,3175,0.002495,-1.2391),(6415,3185,0.002557,-1.2382),(6415,3195,0.002564,-1.2374),(6415,3205,0.002548,-1.2365),(6415,3215,0.002531,-1.2355),(6415,3225,0.002514,-1.2344),(6415,3235,0.002488,-1.2334),(6415,3245,0.002459,-1.2323),(6415,3255,0.00243,-1.2312),(6415,3265,0.0024,-1.2301),(6415,3275,0.002413,-1.2289),(6415,3285,0.002439,-1.2278),(6415,3295,0.002464,-1.2267),(6415,3305,0.002489,-1.2257),(6415,3315,0.00254,-1.2247),(6415,3325,0.002597,-1.2237),(6415,3335,0.002654,-1.2227),(6415,3345,0.00271,-1.2217),(6415,3355,0.00273,-1.2207),(6415,3365,0.002743,-1.2198),(6415,3375,0.002755,-1.2187),(6415,3385,0.002768,-1.2176),(6415,3395,0.002881,-1.2165),(6415,3405,0.003008,-1.2154),(6415,3415,0.003134,-1.2141),(6415,3425,0.003261,-1.2128),(6415,3435,0.003232,-1.2115),(6415,3445,0.00319,-1.2103),(6415,3455,0.003148,-1.2091),(6415,3465,0.003106,-1.2079),(6415,3475,0.00313,-1.2067),(6415,3485,0.003156,-1.2055),(6415,3495,0.003182,-1.2042),(6415,3505,0.003208,-1.2029),(6415,3515,0.0032,-1.2015),(6415,3525,0.003192,-1.2002),(6415,3535,0.003184,-1.1989),(6415,3545,0.00318,-1.1976),(6415,3555,0.003257,-1.1963),(6415,3565,0.003334,-1.195),(6415,3575,0.003411,-1.1937),(6415,3585,0.003479,-1.1923),(6415,3595,0.003457,-1.1909),(6415,3605,0.003434,-1.1895),(6415,3615,0.003412,-1.1882),(6415,3625,0.003396,-1.1869),(6415,3635,0.003428,-1.1856),(6415,3645,0.00346,-1.1842),(6415,3655,0.003491,-1.1826),(6415,3665,0.003508,-1.1811),(6415,3675,0.003446,-1.1795),(6415,3685,0.003383,-1.1779),(6415,3695,0.003321,-1.1765),(6415,3705,0.003245,-1.1752),(6415,3715,0.003116,-1.1738),(6415,3725,0.002986,-1.1725),(6415,3735,0.002857,-1.1712),(6415,3745,0.002702,-1.17),(6415,3755,0.002468,-1.1688),(6415,3765,0.002234,-1.1676),(6415,3775,0.001999,-1.1667),(6415,3785,0.00169,-1.1659),(6415,3795,0.001191,-1.165),(6415,3805,0.000692,-1.1642),(6415,3815,0.000193,-1.1636),(6415,3825,-0.000547,-1.1629),(6415,3835,-0.001797,-1.1622),(6415,3845,-0.003047,-1.162),(6415,3855,-0.004296,-1.1627),(6415,3865,-0.005981,-1.1634),(6415,3875,-0.008435,-1.1641),(6415,3885,-0.01089,-1.1658),(6415,3895,-0.013344,-1.1689),(6415,3905,-0.017593,-1.172),(6415,3915,-0.024523,-1.1751),(6415,3925,-0.031454,-1.1803),(6415,3935,-0.038384,-1.1885),(6415,3945,-0.054544,-1.1966),(6415,3955,-0.082423,-1.2048),(6415,3965,-0.1103,-1.2111),(6415,3975,-0.13818,-1.2152),(6415,3985,-0.18093,-1.2192),(6415,3995,-0.23977,-1.2233),(6415,4005,-0.29861,-1.1944),(6415,4015,-0.35746,-1.1323),(6415,4025,-0.17039,-1.0703),(6415,4035,0.04074,-1.0279),(6415,4045,0.25187,-1.0269),(6415,4055,0.35146,-1.0259),(6415,4065,0.41036,-1.0248),(6415,4075,0.46926,-1.023),(6415,4085,0.49595,-1.0212),(6415,4095,0.49676,-1.0194),(6415,4105,0.49757,-1.0175),(6415,4115,0.49841,-1.0156),(6415,4125,0.4993,-1.0137),(6415,4135,0.5002,-1.0117),(6415,4145,0.50108,-1.0097),(6415,4155,0.50193,-1.0076),(6415,4165,0.50277,-1.0057),(6415,4175,0.50362,-1.0039),(6415,4185,0.50458,-1.0021),(6415,4195,0.50554,-1.0002),(6415,4205,0.5065,-0.99827),(6415,4215,0.5075,-0.9963),(6415,4225,0.5085,-0.99434),(6415,4235,0.50951,-0.99238),(6415,4245,0.51055,-0.99042),(6415,4255,0.51159,-0.98846),(6415,4265,0.51264,-0.98645),(6415,4275,0.5137,-0.98444),(6415,4285,0.51476,-0.98243),(6415,4295,0.51583,-0.98037),(6415,4305,0.51691,-0.97829),(6415,4315,0.518,-0.97621),(6415,4325,0.5191,-0.9741),(6415,4335,0.5202,-0.97197),(6415,4345,0.52134,-0.96983),(6415,4355,0.52248,-0.96768),(6415,4365,0.52362,-0.96551),(6415,4375,0.5248,-0.96334),(6415,4385,0.52599,-0.96113),(6415,4395,0.52717,-0.95887),(6415,4405,0.52839,-0.9566),(6415,4415,0.52961,-0.95432),(6415,4425,0.53083,-0.95202),(6415,4435,0.53208,-0.94972),(6415,4445,0.53336,-0.94741),(6415,4455,0.53463,-0.94499),(6415,4465,0.53591,-0.94256),(6415,4475,0.53719,-0.94013),(6415,4485,0.53847,-0.93772),(6415,4495,0.53977,-0.93531),(6415,4505,0.54114,-0.9329),(6415,4515,0.54251,-0.93045),(6415,4525,0.54388,-0.92797),(6415,4535,0.54531,-0.9255),(6415,4545,0.54674,-0.92299),(6415,4555,0.54817,-0.92044),(6415,4565,0.54966,-0.91789),(6415,4575,0.55115,-0.91533),(6415,4585,0.55264,-0.91273),(6415,4595,0.55416,-0.91013),(6415,4605,0.5557,-0.90752),(6415,4615,0.55723,-0.90486),(6415,4625,0.55878,-0.90221),(6415,4635,0.56034,-0.89955),(6415,4645,0.56191,-0.89681),(6415,4655,0.56349,-0.89406),(6415,4665,0.5651,-0.89131),(6415,4675,0.56671,-0.88846),(6415,4685,0.56832,-0.88558),(6415,4695,0.56998,-0.8827),(6415,4705,0.57164,-0.87976),(6415,4715,0.57329,-0.87677),(6415,4725,0.57496,-0.87378),(6415,4735,0.57663,-0.87081),(6415,4745,0.57829,-0.86788),(6415,4755,0.58003,-0.86496),(6415,4765,0.58178,-0.862),(6415,4775,0.58353,-0.85892),(6415,4785,0.58529,-0.85585),(6415,4795,0.58706,-0.85277),(6415,4805,0.58882,-0.84964),(6415,4815,0.5906,-0.8465),(6415,4825,0.5924,-0.84337),(6415,4835,0.5942,-0.84015),(6415,4845,0.596,-0.83692),(6415,4855,0.59781,-0.83369),(6415,4865,0.59963,-0.8304),(6415,4875,0.60144,-0.82707),(6415,4885,0.60327,-0.82375),(6415,4895,0.60511,-0.82039),(6415,4905,0.60694,-0.81699),(6415,4915,0.6088,-0.8136),(6415,4925,0.61067,-0.81018),(6415,4935,0.61254,-0.80673),(6415,4945,0.61444,-0.80328),(6415,4955,0.61634,-0.79982),(6415,4965,0.61825,-0.7963),(6415,4975,0.62018,-0.79279),(6415,4985,0.62212,-0.78928),(6415,4995,0.62406,-0.78568),(6415,5005,0.62601,-0.78208),(6415,5015,0.62798,-0.77848),(6415,5025,0.62995,-0.77474),(6415,5035,0.63189,-0.77098),(6415,5045,0.63373,-0.76721),(6415,5055,0.63558,-0.7636),(6415,5065,0.63742,-0.76008),(6415,5075,0.63942,-0.75656),(6415,5085,0.64143,-0.75285),(6415,5095,0.64343,-0.74891),(6415,5105,0.64534,-0.74497),(6415,5115,0.64724,-0.74103),(6415,5125,0.64914,-0.73708),(6415,5135,0.65104,-0.73313),(6415,5145,0.65296,-0.72918),(6415,5155,0.65487,-0.72516),(6415,5165,0.65679,-0.72115),(6415,5175,0.65872,-0.71714),(6415,5185,0.66066,-0.7131),(6415,5195,0.6626,-0.70905),(6415,5205,0.66456,-0.70501),(6415,5215,0.66653,-0.70096),(6415,5225,0.66849,-0.6969),(6415,5235,0.67047,-0.69284),(6415,5245,0.67244,-0.68874),(6415,5255,0.67441,-0.68461),(6415,5265,0.67636,-0.68047),(6415,5275,0.67831,-0.67629),(6415,5285,0.68025,-0.67202),(6415,5295,0.68218,-0.66776),(6415,5305,0.68409,-0.66347),(6415,5315,0.68601,-0.65912),(6415,5325,0.68792,-0.65477),(6415,5335,0.68982,-0.65042),(6415,5345,0.69173,-0.64605),(6415,5355,0.69363,-0.64168),(6415,5365,0.69553,-0.63731),(6415,5375,0.69743,-0.63291),(6415,5385,0.69932,-0.62852),(6415,5395,0.70121,-0.62412),(6415,5405,0.7031,-0.61969),(6415,5415,0.70499,-0.61525),(6415,5425,0.70687,-0.61081),(6415,5435,0.70874,-0.60634),(6415,5445,0.71062,-0.60185),(6415,5455,0.71247,-0.59735),(6415,5465,0.71432,-0.59283),(6415,5475,0.71616,-0.58825),(6415,5485,0.71798,-0.58367),(6415,5495,0.71979,-0.57907),(6415,5505,0.72159,-0.57439),(6415,5515,0.72338,-0.5697),(6415,5525,0.72516,-0.56502),(6415,5535,0.72693,-0.5603),(6415,5545,0.7287,-0.55557),(6415,5555,0.73047,-0.55084),(6415,5565,0.73223,-0.54611),(6415,5575,0.734,-0.54138),(6415,5585,0.73576,-0.53666),(6415,5595,0.73752,-0.53189),(6415,5605,0.73928,-0.5271),(6415,5615,0.74101,-0.52231),(6415,5625,0.74274,-0.51747),(6415,5635,0.74447,-0.51255),(6415,5645,0.74617,-0.50763),(6415,5655,0.74787,-0.50267),(6415,5665,0.74958,-0.49756),(6415,5675,0.75111,-0.49246),(6415,5685,0.75256,-0.48738),(6415,5695,0.75401,-0.48286),(6415,5705,0.75558,-0.47833),(6415,5715,0.75731,-0.4738),(6415,5725,0.75903,-0.46867),(6415,5735,0.76069,-0.46345),(6415,5745,0.76221,-0.45823),(6415,5755,0.76372,-0.45308),(6415,5765,0.76523,-0.44796),(6415,5775,0.76675,-0.44284),(6415,5785,0.76828,-0.43773),(6415,5795,0.7698,-0.43264),(6415,5805,0.7713,-0.42754),(6415,5815,0.77281,-0.42243),(6415,5825,0.77431,-0.41731),(6415,5835,0.77577,-0.41218),(6415,5845,0.77722,-0.40704),(6415,5855,0.77866,-0.40183),(6415,5865,0.78007,-0.39662),(6415,5875,0.78146,-0.39142),(6415,5885,0.78284,-0.38615),(6415,5895,0.78422,-0.38089),(6415,5905,0.78557,-0.37562),(6415,5915,0.78692,-0.37032),(6415,5925,0.78826,-0.36501),(6415,5935,0.78961,-0.3597),(6415,5945,0.79095,-0.35429),(6415,5955,0.79228,-0.34883),(6415,5965,0.79335,-0.34337),(6415,5975,0.79441,-0.33821),(6415,5985,0.79548,-0.3334),(6415,5995,0.7968,-0.3286),(6415,6005,0.79816,-0.32359),(6415,6015,0.79953,-0.31803),(6415,6025,0.8007,-0.31247),(6415,6035,0.80178,-0.30692),(6415,6045,0.80286,-0.30143),(6415,6055,0.80391,-0.29594),(6415,6065,0.80496,-0.29044),(6415,6075,0.806,-0.28496),(6415,6085,0.80703,-0.27947),(6415,6095,0.80806,-0.27398),(6415,6105,0.80909,-0.26855),(6415,6115,0.81012,-0.26314),(6415,6125,0.81113,-0.25773),(6415,6135,0.81215,-0.2523),(6415,6145,0.81317,-0.24687),(6415,6155,0.81412,-0.24145),(6415,6165,0.81507,-0.23597),(6415,6175,0.81602,-0.23041),(6415,6185,0.81691,-0.22486),(6415,6195,0.81777,-0.21929),(6415,6205,0.81864,-0.21369),(6415,6215,0.81946,-0.20809),(6415,6225,0.82026,-0.2025),(6415,6235,0.82106,-0.19685),(6415,6245,0.82183,-0.1912),(6415,6255,0.82258,-0.18555),(6415,6265,0.82334,-0.17984),(6415,6275,0.82402,-0.17411),(6415,6285,0.82453,-0.16839),(6415,6295,0.82503,-0.16311),(6415,6305,0.82555,-0.15804),(6415,6315,0.82631,-0.15298),(6415,6325,0.82707,-0.14758),(6415,6335,0.82784,-0.14183),(6415,6345,0.82834,-0.13609),(6415,6355,0.82882,-0.13033),(6415,6365,0.8293,-0.12456),(6415,6375,0.82975,-0.11879),(6415,6385,0.83019,-0.11304),(6415,6395,0.83063,-0.10745),(6415,6405,0.83104,-0.10186),(6415,6415,0.83144,-0.096272),(6415,6425,0.83184,-0.090629),(6415,6435,0.83222,-0.084983),(6415,6445,0.83257,-0.079337),(6415,6455,0.83293,-0.073709),(6415,6465,0.83328,-0.068085),(6415,6475,0.83358,-0.062462),(6415,6485,0.83389,-0.056796),(6415,6495,0.8342,-0.051101),(6415,6505,0.83442,-0.045407),(6415,6515,0.83465,-0.039691),(6415,6525,0.83488,-0.033945),(6415,6535,0.83503,-0.028199),(6415,6545,0.83517,-0.02245),(6415,6555,0.83531,-0.016691),(6415,6565,0.83531,-0.010932),(6415,6575,0.83523,-0.005195),(6415,6585,0.83515,0.000233),(6415,6595,0.71027,0.005661),(6415,6605,0.44758,0.01109),(6415,6615,0.18489,0.011781),(6415,6625,0.000242,0.011863),(6415,6635,0.000284,0.011945),(6415,6645,0.000325,0.011969),(6415,6655,0.000366,0.01197),(6415,6665,0.000407,0.011971),(6415,6675,0.000449,0.01197),(6415,6685,0.00049,0.01197),(6415,6695,0.000531,0.011969),(6415,6705,0.000572,0.011968),(6415,6715,0.000613,0.011966),(6415,6725,0.000653,0.011963),(6415,6735,0.000694,0.011961),(6415,6745,0.000735,0.011957),(6415,6755,0.000775,0.011954),(6415,6765,0.000815,0.01195),(6415,6775,0.000855,0.011945),(6415,6785,0.000895,0.01194),(6415,6795,0.000935,0.011935),(6415,6805,0.000975,0.011929),(6415,6815,0.001014,0.011923),(6415,6825,0.001053,0.011916),(6415,6835,0.001092,0.011909),(6415,6845,0.001131,0.011902),(6415,6855,0.00117,0.011894),(6415,6865,0.001208,0.011886),(6415,6875,0.001247,0.011877),(6415,6885,0.001285,0.011868),(6415,6895,0.001323,0.011858),(6415,6905,0.00136,0.011848),(6415,6915,0.001397,0.011838),(6415,6925,0.001435,0.011827),(6415,6935,0.001471,0.011816),(6415,6945,0.001508,0.011805),(6415,6955,0.001544,0.011793),(6415,6965,0.00158,0.011781),(6415,6975,0.001616,0.011768),(6415,6985,0.001651,0.011756),(6425,5,1e-05,-1.2463),(6425,15,3e-05,-1.2462),(6425,25,4.4e-05,-1.2462),(6425,35,5.1e-05,-1.2461),(6425,45,5.9e-05,-1.246),(6425,55,6.7e-05,-1.246),(6425,65,8.8e-05,-1.2459),(6425,75,0.00012,-1.2459),(6425,85,0.000152,-1.2459),(6425,95,0.000185,-1.246),(6425,105,0.000204,-1.2461),(6425,115,0.000215,-1.2461),(6425,125,0.000225,-1.2461),(6425,135,0.000236,-1.2461),(6425,145,0.000214,-1.2461),(6425,155,0.000173,-1.246),(6425,165,0.000132,-1.246),(6425,175,9.1e-05,-1.2459),(6425,185,3e-05,-1.2458),(6425,195,-3.9e-05,-1.2457),(6425,205,-0.000108,-1.2456),(6425,215,-0.000178,-1.2454),(6425,225,-0.000183,-1.2452),(6425,235,-0.000162,-1.2451),(6425,245,-0.000142,-1.2451),(6425,255,-0.000122,-1.2452),(6425,265,-3.5e-05,-1.2453),(6425,275,7.3e-05,-1.2453),(6425,285,0.00018,-1.2455),(6425,295,0.000288,-1.2456),(6425,305,0.00035,-1.2457),(6425,315,0.000401,-1.2459),(6425,325,0.000451,-1.2459),(6425,335,0.000501,-1.2458),(6425,345,0.000493,-1.2458),(6425,355,0.000474,-1.2458),(6425,365,0.000455,-1.2457),(6425,375,0.000436,-1.2456),(6425,385,0.000441,-1.2455),(6425,395,0.000451,-1.2453),(6425,405,0.00046,-1.2454),(6425,415,0.000469,-1.2454),(6425,425,0.000473,-1.2455),(6425,435,0.000476,-1.2455),(6425,445,0.00048,-1.2455),(6425,455,0.000483,-1.2454),(6425,465,0.000432,-1.2454),(6425,475,0.000379,-1.2454),(6425,485,0.000326,-1.2452),(6425,495,0.000273,-1.2451),(6425,505,0.000238,-1.2449),(6425,515,0.000202,-1.2448),(6425,525,0.000166,-1.2448),(6425,535,0.000132,-1.2447),(6425,545,0.000124,-1.2447),(6425,555,0.000116,-1.2446),(6425,565,0.000109,-1.2445),(6425,575,0.000104,-1.2444),(6425,585,0.000146,-1.2443),(6425,595,0.000187,-1.2443),(6425,605,0.000229,-1.2442),(6425,615,0.000277,-1.2442),(6425,625,0.000377,-1.2442),(6425,635,0.000477,-1.2442),(6425,645,0.000577,-1.2442),(6425,655,0.000679,-1.2443),(6425,665,0.000789,-1.2444),(6425,675,0.000899,-1.2444),(6425,685,0.001009,-1.2445),(6425,695,0.0011,-1.2445),(6425,705,0.001116,-1.2445),(6425,715,0.001132,-1.2445),(6425,725,0.001148,-1.2444),(6425,735,0.001154,-1.2443),(6425,745,0.001127,-1.2442),(6425,755,0.001101,-1.244),(6425,765,0.001075,-1.2438),(6425,775,0.001068,-1.2436),(6425,785,0.001115,-1.2434),(6425,795,0.001161,-1.2432),(6425,805,0.001208,-1.2432),(6425,815,0.001245,-1.2432),(6425,825,0.00126,-1.2432),(6425,835,0.001275,-1.2432),(6425,845,0.00129,-1.243),(6425,855,0.001305,-1.2428),(6425,865,0.001318,-1.2426),(6425,875,0.00133,-1.2424),(6425,885,0.001343,-1.2422),(6425,895,0.00137,-1.242),(6425,905,0.001419,-1.2418),(6425,915,0.001468,-1.2416),(6425,925,0.001516,-1.2415),(6425,935,0.001576,-1.2414),(6425,945,0.00165,-1.2413),(6425,955,0.001723,-1.2412),(6425,965,0.001797,-1.241),(6425,975,0.001824,-1.2408),(6425,985,0.001799,-1.2406),(6425,995,0.001773,-1.2404),(6425,1005,0.001748,-1.24),(6425,1015,0.001708,-1.2397),(6425,1025,0.001654,-1.2394),(6425,1035,0.001601,-1.2392),(6425,1045,0.001547,-1.2391),(6425,1055,0.001475,-1.2389),(6425,1065,0.001387,-1.2388),(6425,1075,0.001299,-1.2388),(6425,1085,0.001211,-1.239),(6425,1095,0.001033,-1.2391),(6425,1105,0.000794,-1.2393),(6425,1115,0.000554,-1.2394),(6425,1125,0.000315,-1.2396),(6425,1135,-1e-05,-1.2398),(6425,1145,-0.000386,-1.2399),(6425,1155,-0.000761,-1.2406),(6425,1165,-0.001136,-1.2416),(6425,1175,-0.001527,-1.2426),(6425,1185,-0.001927,-1.2436),(6425,1195,-0.002325,-1.2465),(6425,1205,-0.002725,-1.2503),(6425,1215,-0.005582,-1.2541),(6425,1225,-0.009454,-1.2578),(6425,1235,-0.013326,-1.268),(6425,1245,-0.017198,-1.2805),(6425,1255,-0.048878,-1.2931),(6425,1265,-0.089951,-1.3056),(6425,1275,-0.13102,-1.3185),(6425,1285,-0.1721,-1.3315),(6425,1295,-0.23046,-1.3445),(6425,1305,-0.29351,-1.3576),(6425,1315,-0.35655,-1.326),(6425,1325,-0.4196,-1.2838),(6425,1335,-0.25842,-1.2415),(6425,1345,-0.050244,-1.1993),(6425,1355,0.15793,-1.2284),(6425,1365,0.36611,-1.2704),(6425,1375,0.35637,-1.3125),(6425,1385,0.31302,-1.3546),(6425,1395,0.26967,-1.35),(6425,1405,0.22632,-1.3395),(6425,1415,0.17556,-1.329),(6425,1425,0.12403,-1.3185),(6425,1435,0.072493,-1.3042),(6425,1445,0.020961,-1.2895),(6425,1455,0.014384,-1.2748),(6425,1465,0.010396,-1.2602),(6425,1475,0.006409,-1.2555),(6425,1485,0.002421,-1.2512),(6425,1495,0.002247,-1.2469),(6425,1505,0.002129,-1.2426),(6425,1515,0.002012,-1.2412),(6425,1525,0.00189,-1.2398),(6425,1535,0.001566,-1.2383),(6425,1545,0.001241,-1.2369),(6425,1555,0.000917,-1.2364),(6425,1565,0.000598,-1.2359),(6425,1575,0.000359,-1.2354),(6425,1585,0.00012,-1.2349),(6425,1595,-0.000119,-1.2347),(6425,1605,-0.000347,-1.2345),(6425,1615,-0.000473,-1.2343),(6425,1625,-0.0006,-1.2341),(6425,1635,-0.000726,-1.2341),(6425,1645,-0.000845,-1.2341),(6425,1655,-0.000917,-1.2341),(6425,1665,-0.000988,-1.2341),(6425,1675,-0.00106,-1.234),(6425,1685,-0.001122,-1.2339),(6425,1695,-0.001142,-1.2338),(6425,1705,-0.001162,-1.2338),(6425,1715,-0.001182,-1.2337),(6425,1725,-0.001185,-1.2337),(6425,1735,-0.001132,-1.2336),(6425,1745,-0.001078,-1.2336),(6425,1755,-0.001025,-1.2337),(6425,1765,-0.000972,-1.2337),(6425,1775,-0.000922,-1.2338),(6425,1785,-0.000872,-1.2338),(6425,1795,-0.000821,-1.2337),(6425,1805,-0.000759,-1.2337),(6425,1815,-0.000669,-1.2336),(6425,1825,-0.000578,-1.2335),(6425,1835,-0.000488,-1.2336),(6425,1845,-0.000392,-1.2336),(6425,1855,-0.000285,-1.2336),(6425,1865,-0.000179,-1.2336),(6425,1875,-7.3e-05,-1.2334),(6425,1885,1.4e-05,-1.2332),(6425,1895,6.7e-05,-1.233),(6425,1905,0.00012,-1.2329),(6425,1915,0.000173,-1.2328),(6425,1925,0.000201,-1.2327),(6425,1935,0.000194,-1.2326),(6425,1945,0.000188,-1.2324),(6425,1955,0.000181,-1.2322),(6425,1965,0.00015,-1.232),(6425,1975,9e-05,-1.2318),(6425,1985,2.9e-05,-1.2315),(6425,1995,-3.1e-05,-1.2311),(6425,2005,-6.7e-05,-1.2307),(6425,2015,-8e-05,-1.2303),(6425,2025,-9.3e-05,-1.23),(6425,2035,-0.000106,-1.2298),(6425,2045,-0.0001,-1.2296),(6425,2055,-7.9e-05,-1.2293),(6425,2065,-5.8e-05,-1.2291),(6425,2075,-3.7e-05,-1.2288),(6425,2085,-2.3e-05,-1.2286),(6425,2095,-1.6e-05,-1.2284),(6425,2105,-8e-06,-1.2281),(6425,2115,-1e-06,-1.2278),(6425,2125,2.8e-05,-1.2275),(6425,2135,6.9e-05,-1.2272),(6425,2145,0.00011,-1.227),(6425,2155,0.000151,-1.2268),(6425,2165,0.000192,-1.2265),(6425,2175,0.000233,-1.2263),(6425,2185,0.000274,-1.2261),(6425,2195,0.000315,-1.2258),(6425,2205,0.000343,-1.2255),(6425,2215,0.000366,-1.2252),(6425,2225,0.000389,-1.225),(6425,2235,0.000412,-1.2247),(6425,2245,0.000418,-1.2245),(6425,2255,0.000417,-1.2242),(6425,2265,0.000417,-1.2238),(6425,2275,0.000416,-1.2233),(6425,2285,0.000395,-1.2229),(6425,2295,0.000367,-1.2224),(6425,2305,0.00034,-1.222),(6425,2315,0.000312,-1.2216),(6425,2325,0.000307,-1.2213),(6425,2335,0.000307,-1.2209),(6425,2345,0.000306,-1.2206),(6425,2355,0.000306,-1.2203),(6425,2365,0.000322,-1.2199),(6425,2375,0.00034,-1.2196),(6425,2385,0.000358,-1.2192),(6425,2395,0.000377,-1.2188),(6425,2405,0.000393,-1.2184),(6425,2415,0.00041,-1.218),(6425,2425,0.000426,-1.2176),(6425,2435,0.000442,-1.2172),(6425,2445,0.000457,-1.2167),(6425,2455,0.000471,-1.2163),(6425,2465,0.000485,-1.2159),(6425,2475,0.000499,-1.2154),(6425,2485,0.00047,-1.215),(6425,2495,0.00044,-1.2145),(6425,2505,0.000411,-1.214),(6425,2515,0.000382,-1.2134),(6425,2525,0.000389,-1.2128),(6425,2535,0.000397,-1.2122),(6425,2545,0.000404,-1.2118),(6425,2555,0.000418,-1.2113),(6425,2565,0.000553,-1.2108),(6425,2575,0.000687,-1.2104),(6425,2585,0.000822,-1.2101),(6425,2595,0.000955,-1.2098),(6425,2605,0.001077,-1.2096),(6425,2615,0.001198,-1.2093),(6425,2625,0.00132,-1.2089),(6425,2635,0.001421,-1.2086),(6425,2645,0.001387,-1.2082),(6425,2655,0.001352,-1.2078),(6425,2665,0.001318,-1.2069),(6425,2675,0.001276,-1.206),(6425,2685,0.001198,-1.2051),(6425,2695,0.00112,-1.2042),(6425,2705,0.001043,-1.2037),(6425,2715,0.000978,-1.2031),(6425,2725,0.000963,-1.2025),(6425,2735,0.000949,-1.2019),(6425,2745,0.000934,-1.2013),(6425,2755,0.000933,-1.2008),(6425,2765,0.000973,-1.2002),(6425,2775,0.001012,-1.1996),(6425,2785,0.001052,-1.199),(6425,2795,0.001096,-1.1985),(6425,2805,0.001149,-1.1979),(6425,2815,0.001201,-1.1973),(6425,2825,0.001254,-1.1967),(6425,2835,0.001297,-1.1961),(6425,2845,0.001319,-1.1955),(6425,2855,0.001342,-1.1948),(6425,2865,0.001365,-1.1941),(6425,2875,0.001377,-1.1934),(6425,2885,0.001371,-1.1927),(6425,2895,0.001365,-1.192),(6425,2905,0.00136,-1.1913),(6425,2915,0.001358,-1.1905),(6425,2925,0.001362,-1.1898),(6425,2935,0.001367,-1.1891),(6425,2945,0.001371,-1.1883),(6425,2955,0.001377,-1.1876),(6425,2965,0.001387,-1.1868),(6425,2975,0.001396,-1.1861),(6425,2985,0.001406,-1.1853),(6425,2995,0.001436,-1.1845),(6425,3005,0.001487,-1.1837),(6425,3015,0.001538,-1.183),(6425,3025,0.00159,-1.1824),(6425,3035,0.001646,-1.1817),(6425,3045,0.001706,-1.1811),(6425,3055,0.001767,-1.1803),(6425,3065,0.001827,-1.1793),(6425,3075,0.001862,-1.1783),(6425,3085,0.001877,-1.1773),(6425,3095,0.001892,-1.1764),(6425,3105,0.001907,-1.1756),(6425,3115,0.001948,-1.1748),(6425,3125,0.002004,-1.174),(6425,3135,0.002061,-1.1732),(6425,3145,0.002118,-1.1724),(6425,3155,0.002188,-1.1717),(6425,3165,0.002266,-1.1709),(6425,3175,0.002343,-1.1701),(6425,3185,0.00242,-1.1693),(6425,3195,0.002441,-1.1685),(6425,3205,0.002436,-1.1676),(6425,3215,0.002431,-1.1667),(6425,3225,0.002426,-1.1657),(6425,3235,0.002391,-1.1647),(6425,3245,0.002344,-1.1637),(6425,3255,0.002298,-1.1627),(6425,3265,0.002251,-1.1616),(6425,3275,0.002242,-1.1605),(6425,3285,0.002244,-1.1594),(6425,3295,0.002246,-1.1584),(6425,3305,0.002247,-1.1574),(6425,3315,0.002291,-1.1565),(6425,3325,0.002344,-1.1555),(6425,3335,0.002397,-1.1546),(6425,3345,0.00245,-1.1537),(6425,3355,0.002492,-1.1528),(6425,3365,0.002533,-1.1518),(6425,3375,0.002573,-1.1508),(6425,3385,0.002613,-1.1498),(6425,3395,0.00264,-1.1488),(6425,3405,0.002665,-1.1478),(6425,3415,0.00269,-1.1465),(6425,3425,0.002715,-1.1453),(6425,3435,0.002743,-1.144),(6425,3445,0.002771,-1.1428),(6425,3455,0.002799,-1.1416),(6425,3465,0.002827,-1.1406),(6425,3475,0.002842,-1.1395),(6425,3485,0.002856,-1.1384),(6425,3495,0.00287,-1.1371),(6425,3505,0.002885,-1.1359),(6425,3515,0.002868,-1.1346),(6425,3525,0.002851,-1.1334),(6425,3535,0.002835,-1.1322),(6425,3545,0.002822,-1.1309),(6425,3555,0.002894,-1.1297),(6425,3565,0.002966,-1.1284),(6425,3575,0.003039,-1.1272),(6425,3585,0.003102,-1.1259),(6425,3595,0.003073,-1.1246),(6425,3605,0.003044,-1.1233),(6425,3615,0.003015,-1.1221),(6425,3625,0.002996,-1.1208),(6425,3635,0.003044,-1.1196),(6425,3645,0.003091,-1.1183),(6425,3655,0.003139,-1.1168),(6425,3665,0.003173,-1.1153),(6425,3675,0.003131,-1.1138),(6425,3685,0.00309,-1.1123),(6425,3695,0.003049,-1.1111),(6425,3705,0.002991,-1.1098),(6425,3715,0.002867,-1.1085),(6425,3725,0.002742,-1.1073),(6425,3735,0.002618,-1.1061),(6425,3745,0.002485,-1.1049),(6425,3755,0.002323,-1.1038),(6425,3765,0.002162,-1.1027),(6425,3775,0.002001,-1.1019),(6425,3785,0.001763,-1.1012),(6425,3795,0.001331,-1.1004),(6425,3805,0.0009,-1.0997),(6425,3815,0.000468,-1.0992),(6425,3825,-0.000114,-1.0986),(6425,3835,-0.001014,-1.098),(6425,3845,-0.001913,-1.0979),(6425,3855,-0.002812,-1.0987),(6425,3865,-0.004029,-1.0995),(6425,3875,-0.005808,-1.1003),(6425,3885,-0.007586,-1.102),(6425,3895,-0.009365,-1.1053),(6425,3905,-0.012509,-1.1086),(6425,3915,-0.017693,-1.1118),(6425,3925,-0.022878,-1.1176),(6425,3935,-0.028062,-1.1267),(6425,3945,-0.043669,-1.1358),(6425,3955,-0.072507,-1.1449),(6425,3965,-0.10135,-1.154),(6425,3975,-0.13018,-1.1631),(6425,3985,-0.18355,-1.1723),(6425,3995,-0.26348,-1.1814),(6425,4005,-0.3434,-1.1611),(6425,4015,-0.42332,-1.1115),(6425,4025,-0.21923,-1.0618),(6425,4035,0.01265,-1.0278),(6425,4045,0.24453,-1.0268),(6425,4055,0.34942,-1.0259),(6425,4065,0.40797,-1.0248),(6425,4075,0.46652,-1.023),(6425,4085,0.49306,-1.0212),(6425,4095,0.49388,-1.0194),(6425,4105,0.4947,-1.0176),(6425,4115,0.49551,-1.0157),(6425,4125,0.49631,-1.0138),(6425,4135,0.49711,-1.0118),(6425,4145,0.49793,-1.0097),(6425,4155,0.49883,-1.0076),(6425,4165,0.49973,-1.0057),(6425,4175,0.50063,-1.0039),(6425,4185,0.50155,-1.0021),(6425,4195,0.50246,-1.0002),(6425,4205,0.50338,-0.9982),(6425,4215,0.50435,-0.99623),(6425,4225,0.50534,-0.99426),(6425,4235,0.50632,-0.9923),(6425,4245,0.50734,-0.99034),(6425,4255,0.50837,-0.98838),(6425,4265,0.5094,-0.98637),(6425,4275,0.51044,-0.98437),(6425,4285,0.51149,-0.98237),(6425,4295,0.51255,-0.9803),(6425,4305,0.51361,-0.97823),(6425,4315,0.51469,-0.97615),(6425,4325,0.51577,-0.97403),(6425,4335,0.51686,-0.97189),(6425,4345,0.51799,-0.96975),(6425,4355,0.51911,-0.9676),(6425,4365,0.52024,-0.96542),(6425,4375,0.52141,-0.96324),(6425,4385,0.52258,-0.96103),(6425,4395,0.52375,-0.95876),(6425,4405,0.52495,-0.95649),(6425,4415,0.52616,-0.95422),(6425,4425,0.52738,-0.95192),(6425,4435,0.5286,-0.94962),(6425,4445,0.52983,-0.94732),(6425,4455,0.53105,-0.94488),(6425,4465,0.53231,-0.94244),(6425,4475,0.5336,-0.94),(6425,4485,0.53489,-0.93758),(6425,4495,0.53619,-0.93516),(6425,4505,0.53752,-0.93274),(6425,4515,0.53885,-0.93027),(6425,4525,0.54019,-0.92779),(6425,4535,0.5416,-0.9253),(6425,4545,0.543,-0.92278),(6425,4555,0.54441,-0.92022),(6425,4565,0.54587,-0.91766),(6425,4575,0.54734,-0.91509),(6425,4585,0.54881,-0.91249),(6425,4595,0.55031,-0.90988),(6425,4605,0.55182,-0.90727),(6425,4615,0.55333,-0.90462),(6425,4625,0.55487,-0.90196),(6425,4635,0.55641,-0.8993),(6425,4645,0.55796,-0.89655),(6425,4655,0.55952,-0.8938),(6425,4665,0.56111,-0.89104),(6425,4675,0.56269,-0.88819),(6425,4685,0.56428,-0.8853),(6425,4695,0.5659,-0.88242),(6425,4705,0.56752,-0.87947),(6425,4715,0.56914,-0.87647),(6425,4725,0.57081,-0.87347),(6425,4735,0.57248,-0.8705),(6425,4745,0.57416,-0.86757),(6425,4755,0.57584,-0.86465),(6425,4765,0.57752,-0.86169),(6425,4775,0.57921,-0.85861),(6425,4785,0.58094,-0.85553),(6425,4795,0.58269,-0.85244),(6425,4805,0.58444,-0.8493),(6425,4815,0.5862,-0.84616),(6425,4825,0.58798,-0.84302),(6425,4835,0.58977,-0.8398),(6425,4845,0.59155,-0.83657),(6425,4855,0.59335,-0.83334),(6425,4865,0.59515,-0.83005),(6425,4875,0.59695,-0.82672),(6425,4885,0.59875,-0.8234),(6425,4895,0.60056,-0.82004),(6425,4905,0.60237,-0.81663),(6425,4915,0.6042,-0.81323),(6425,4925,0.60603,-0.80981),(6425,4935,0.60786,-0.80635),(6425,4945,0.60972,-0.80288),(6425,4955,0.61159,-0.79941),(6425,4965,0.61346,-0.79589),(6425,4975,0.61534,-0.79237),(6425,4985,0.61724,-0.78885),(6425,4995,0.61915,-0.78525),(6425,5005,0.62105,-0.78165),(6425,5015,0.62297,-0.77804),(6425,5025,0.62489,-0.7743),(6425,5035,0.62682,-0.77052),(6425,5045,0.62879,-0.76675),(6425,5055,0.63076,-0.76315),(6425,5065,0.63272,-0.75968),(6425,5075,0.63457,-0.7562),(6425,5085,0.63643,-0.75252),(6425,5095,0.63828,-0.74857),(6425,5105,0.64017,-0.74462),(6425,5115,0.64208,-0.74067),(6425,5125,0.64399,-0.73671),(6425,5135,0.64588,-0.73276),(6425,5145,0.64777,-0.7288),(6425,5155,0.64966,-0.72478),(6425,5165,0.65155,-0.72076),(6425,5175,0.65345,-0.71673),(6425,5185,0.65535,-0.71268),(6425,5195,0.65726,-0.70863),(6425,5205,0.65919,-0.70457),(6425,5215,0.66112,-0.70051),(6425,5225,0.66306,-0.69645),(6425,5235,0.66501,-0.69239),(6425,5245,0.66696,-0.6883),(6425,5255,0.66891,-0.68416),(6425,5265,0.67084,-0.68003),(6425,5275,0.67278,-0.67586),(6425,5285,0.67471,-0.6716),(6425,5295,0.67662,-0.66734),(6425,5305,0.67852,-0.66306),(6425,5315,0.68043,-0.65871),(6425,5325,0.68232,-0.65436),(6425,5335,0.6842,-0.65001),(6425,5345,0.68608,-0.64563),(6425,5355,0.68795,-0.64126),(6425,5365,0.68982,-0.63689),(6425,5375,0.69169,-0.63249),(6425,5385,0.69356,-0.62809),(6425,5395,0.69542,-0.6237),(6425,5405,0.69728,-0.61927),(6425,5415,0.69914,-0.61483),(6425,5425,0.70099,-0.61038),(6425,5435,0.70284,-0.60592),(6425,5445,0.70469,-0.60142),(6425,5455,0.70653,-0.59693),(6425,5465,0.70836,-0.59241),(6425,5475,0.71019,-0.58784),(6425,5485,0.71199,-0.58326),(6425,5495,0.71378,-0.57867),(6425,5505,0.71557,-0.57399),(6425,5515,0.71734,-0.56931),(6425,5525,0.71909,-0.56464),(6425,5535,0.72084,-0.5599),(6425,5545,0.72259,-0.55517),(6425,5555,0.72433,-0.55044),(6425,5565,0.72607,-0.54571),(6425,5575,0.72781,-0.54097),(6425,5585,0.72955,-0.53624),(6425,5595,0.73128,-0.53147),(6425,5605,0.73302,-0.52668),(6425,5615,0.73473,-0.5219),(6425,5625,0.73644,-0.51706),(6425,5635,0.73814,-0.51214),(6425,5645,0.7398,-0.50722),(6425,5655,0.74145,-0.50226),(6425,5665,0.7431,-0.49713),(6425,5675,0.74478,-0.49201),(6425,5685,0.74648,-0.48692),(6425,5695,0.74818,-0.48246),(6425,5705,0.74976,-0.478),(6425,5715,0.75122,-0.47354),(6425,5725,0.75268,-0.4684),(6425,5735,0.75417,-0.46316),(6425,5745,0.75571,-0.45792),(6425,5755,0.75724,-0.45275),(6425,5765,0.75878,-0.44762),(6425,5775,0.76028,-0.44248),(6425,5785,0.76179,-0.43737),(6425,5795,0.76329,-0.43227),(6425,5805,0.76477,-0.42716),(6425,5815,0.76626,-0.42206),(6425,5825,0.76774,-0.41693),(6425,5835,0.76918,-0.41181),(6425,5845,0.7706,-0.40668),(6425,5855,0.77203,-0.40148),(6425,5865,0.77342,-0.39628),(6425,5875,0.77479,-0.39108),(6425,5885,0.77616,-0.38581),(6425,5895,0.77751,-0.38055),(6425,5905,0.77883,-0.37528),(6425,5915,0.78016,-0.36997),(6425,5925,0.78147,-0.36465),(6425,5935,0.78275,-0.35934),(6425,5945,0.78403,-0.35391),(6425,5955,0.78531,-0.34842),(6425,5965,0.78667,-0.34293),(6425,5975,0.78802,-0.33779),(6425,5985,0.78937,-0.33307),(6425,5995,0.79049,-0.32835),(6425,6005,0.79157,-0.32339),(6425,6015,0.79264,-0.31782),(6425,6025,0.79376,-0.31225),(6425,6035,0.79489,-0.30669),(6425,6045,0.79601,-0.30119),(6425,6055,0.79709,-0.2957),(6425,6065,0.79813,-0.2902),(6425,6075,0.79916,-0.2847),(6425,6085,0.80019,-0.27921),(6425,6095,0.80119,-0.27371),(6425,6105,0.80219,-0.26827),(6425,6115,0.80318,-0.26284),(6425,6125,0.80417,-0.25742),(6425,6135,0.80516,-0.252),(6425,6145,0.80614,-0.24657),(6425,6155,0.80708,-0.24115),(6425,6165,0.80802,-0.23568),(6425,6175,0.80895,-0.23014),(6425,6185,0.80983,-0.22459),(6425,6195,0.81069,-0.21904),(6425,6205,0.81155,-0.21345),(6425,6215,0.81236,-0.20786),(6425,6225,0.81314,-0.20226),(6425,6235,0.81392,-0.19661),(6425,6245,0.81467,-0.19097),(6425,6255,0.81537,-0.18532),(6425,6265,0.81607,-0.17959),(6425,6275,0.81679,-0.17384),(6425,6285,0.81754,-0.16809),(6425,6295,0.81829,-0.16285),(6425,6305,0.81902,-0.15785),(6425,6315,0.81953,-0.15286),(6425,6325,0.82004,-0.14749),(6425,6335,0.82054,-0.14173),(6425,6345,0.82107,-0.13598),(6425,6355,0.8216,-0.13022),(6425,6365,0.82212,-0.12444),(6425,6375,0.82259,-0.11867),(6425,6385,0.82304,-0.11292),(6425,6395,0.82349,-0.10733),(6425,6405,0.8239,-0.10173),(6425,6415,0.82429,-0.09614),(6425,6425,0.82468,-0.090494),(6425,6435,0.82506,-0.084845),(6425,6445,0.8254,-0.079195),(6425,6455,0.82574,-0.073566),(6425,6465,0.82608,-0.067942),(6425,6475,0.82638,-0.062317),(6425,6485,0.82667,-0.056657),(6425,6495,0.82697,-0.050971),(6425,6505,0.82718,-0.045286),(6425,6515,0.8274,-0.03958),(6425,6525,0.82762,-0.033844),(6425,6535,0.82774,-0.028109),(6425,6545,0.82784,-0.022364),(6425,6555,0.82794,-0.016588),(6425,6565,0.82804,-0.010812),(6425,6575,0.82815,-0.005061),(6425,6585,0.82825,0.000333),(6425,6595,0.70448,0.005727),(6425,6605,0.44393,0.011121),(6425,6615,0.18339,0.011812),(6425,6625,0.00024,0.011898),(6425,6635,0.000281,0.011985),(6425,6645,0.000323,0.012011),(6425,6655,0.000365,0.012011),(6425,6665,0.000407,0.012012),(6425,6675,0.000448,0.012012),(6425,6685,0.00049,0.012011),(6425,6695,0.000531,0.01201),(6425,6705,0.000573,0.012009),(6425,6715,0.000614,0.012006),(6425,6725,0.000655,0.012004),(6425,6735,0.000696,0.012001),(6425,6745,0.000737,0.011998),(6425,6755,0.000778,0.011994),(6425,6765,0.000819,0.01199),(6425,6775,0.000859,0.011985),(6425,6785,0.0009,0.01198),(6425,6795,0.00094,0.011975),(6425,6805,0.00098,0.011969),(6425,6815,0.00102,0.011962),(6425,6825,0.001059,0.011956),(6425,6835,0.001099,0.011948),(6425,6845,0.001138,0.01194),(6425,6855,0.001177,0.011933),(6425,6865,0.001216,0.011924),(6425,6875,0.001254,0.011915),(6425,6885,0.001293,0.011906),(6425,6895,0.001331,0.011896),(6425,6905,0.001369,0.011886),(6425,6915,0.001406,0.011875),(6425,6925,0.001444,0.011864),(6425,6935,0.001481,0.011853),(6425,6945,0.001518,0.011841),(6425,6955,0.001554,0.011829),(6425,6965,0.001591,0.011817),(6425,6975,0.001627,0.011804),(6425,6985,0.001663,0.011791),(6435,5,9e-06,-1.0357),(6435,15,2.8e-05,-1.0357),(6435,25,4e-05,-1.0356),(6435,35,4.6e-05,-1.0355),(6435,45,5.3e-05,-1.0355),(6435,55,5.9e-05,-1.0354),(6435,65,8e-05,-1.0354),(6435,75,0.000113,-1.0354),(6435,85,0.000147,-1.0354),(6435,95,0.00018,-1.0355),(6435,105,0.000204,-1.0355),(6435,115,0.000221,-1.0356),(6435,125,0.000238,-1.0356),(6435,135,0.000255,-1.0356),(6435,145,0.000237,-1.0355),(6435,155,0.000198,-1.0355),(6435,165,0.000159,-1.0355),(6435,175,0.00012,-1.0354),(6435,185,5e-05,-1.0353),(6435,195,-3.4e-05,-1.0353),(6435,205,-0.000119,-1.0351),(6435,215,-0.000203,-1.035),(6435,225,-0.000225,-1.0349),(6435,235,-0.000223,-1.0347),(6435,245,-0.000221,-1.0347),(6435,255,-0.000219,-1.0348),(6435,265,-0.000135,-1.0348),(6435,275,-2.5e-05,-1.0349),(6435,285,8.5e-05,-1.035),(6435,295,0.000195,-1.0351),(6435,305,0.000272,-1.0352),(6435,315,0.000341,-1.0353),(6435,325,0.000409,-1.0353),(6435,335,0.000478,-1.0353),(6435,345,0.000469,-1.0353),(6435,355,0.000444,-1.0353),(6435,365,0.000419,-1.0352),(6435,375,0.000394,-1.0351),(6435,385,0.000414,-1.035),(6435,395,0.000441,-1.0349),(6435,405,0.000467,-1.035),(6435,415,0.000494,-1.035),(6435,425,0.000503,-1.035),(6435,435,0.00051,-1.035),(6435,445,0.000518,-1.035),(6435,455,0.000525,-1.035),(6435,465,0.000472,-1.035),(6435,475,0.000416,-1.035),(6435,485,0.00036,-1.0349),(6435,495,0.000303,-1.0347),(6435,505,0.000257,-1.0346),(6435,515,0.000211,-1.0345),(6435,525,0.000165,-1.0345),(6435,535,0.000119,-1.0344),(6435,545,9.8e-05,-1.0344),(6435,555,7.6e-05,-1.0343),(6435,565,5.4e-05,-1.0342),(6435,575,3.6e-05,-1.0342),(6435,585,5.9e-05,-1.0341),(6435,595,8.2e-05,-1.034),(6435,605,0.000104,-1.034),(6435,615,0.000135,-1.034),(6435,625,0.000228,-1.0339),(6435,635,0.000322,-1.0339),(6435,645,0.000415,-1.034),(6435,655,0.000513,-1.034),(6435,665,0.000638,-1.0341),(6435,675,0.000763,-1.0341),(6435,685,0.000888,-1.0342),(6435,695,0.000996,-1.0342),(6435,705,0.001034,-1.0342),(6435,715,0.001072,-1.0342),(6435,725,0.00111,-1.0341),(6435,735,0.001123,-1.034),(6435,745,0.001052,-1.0339),(6435,755,0.000982,-1.0338),(6435,765,0.000911,-1.0336),(6435,775,0.000878,-1.0335),(6435,785,0.000948,-1.0333),(6435,795,0.001017,-1.0332),(6435,805,0.001086,-1.0332),(6435,815,0.001134,-1.0332),(6435,825,0.001132,-1.0332),(6435,835,0.001131,-1.0331),(6435,845,0.001129,-1.033),(6435,855,0.001126,-1.0328),(6435,865,0.001121,-1.0327),(6435,875,0.001115,-1.0325),(6435,885,0.00111,-1.0323),(6435,895,0.001118,-1.0321),(6435,905,0.001146,-1.0319),(6435,915,0.001174,-1.0318),(6435,925,0.001202,-1.0317),(6435,935,0.001249,-1.0316),(6435,945,0.001322,-1.0315),(6435,955,0.001395,-1.0314),(6435,965,0.001468,-1.0313),(6435,975,0.001496,-1.0311),(6435,985,0.001472,-1.031),(6435,995,0.001448,-1.0308),(6435,1005,0.001424,-1.0305),(6435,1015,0.001387,-1.0303),(6435,1025,0.001338,-1.03),(6435,1035,0.001288,-1.0298),(6435,1045,0.001239,-1.0297),(6435,1055,0.001194,-1.0296),(6435,1065,0.001153,-1.0295),(6435,1075,0.001112,-1.0295),(6435,1085,0.001072,-1.0296),(6435,1095,0.00094,-1.0298),(6435,1105,0.000743,-1.0299),(6435,1115,0.000547,-1.03),(6435,1125,0.000351,-1.0302),(6435,1135,0.00019,-1.0304),(6435,1145,4.9e-05,-1.0305),(6435,1155,-9.1e-05,-1.0311),(6435,1165,-0.000232,-1.0318),(6435,1175,-3.5e-05,-1.0325),(6435,1185,0.000328,-1.0332),(6435,1195,0.000691,-1.0352),(6435,1205,0.001054,-1.0377),(6435,1215,0.000134,-1.0402),(6435,1225,-0.001316,-1.0428),(6435,1235,-0.002766,-1.0499),(6435,1245,-0.004216,-1.0587),(6435,1255,-0.036015,-1.0676),(6435,1265,-0.078063,-1.0764),(6435,1275,-0.12011,-1.0948),(6435,1285,-0.16216,-1.1161),(6435,1295,-0.23452,-1.1374),(6435,1305,-0.31507,-1.1588),(6435,1315,-0.39563,-1.1689),(6435,1325,-0.47619,-1.1763),(6435,1335,-0.29339,-1.1837),(6435,1345,-0.055393,-1.1911),(6435,1355,0.1826,-1.1882),(6435,1365,0.4206,-1.1834),(6435,1375,0.40073,-1.1786),(6435,1385,0.34108,-1.1738),(6435,1395,0.28142,-1.1531),(6435,1405,0.22177,-1.1303),(6435,1415,0.16725,-1.1075),(6435,1425,0.11327,-1.0848),(6435,1435,0.059283,-1.0737),(6435,1445,0.005299,-1.0636),(6435,1455,0.001262,-1.0536),(6435,1465,0.0001,-1.0435),(6435,1475,-0.001061,-1.0405),(6435,1485,-0.002222,-1.0377),(6435,1495,-0.001503,-1.035),(6435,1505,-0.000756,-1.0323),(6435,1515,-1e-05,-1.0312),(6435,1525,0.000717,-1.0301),(6435,1535,0.000643,-1.0291),(6435,1545,0.00057,-1.028),(6435,1555,0.000496,-1.0276),(6435,1565,0.000416,-1.0271),(6435,1575,0.000251,-1.0267),(6435,1585,8.6e-05,-1.0263),(6435,1595,-7.9e-05,-1.0261),(6435,1605,-0.000234,-1.0259),(6435,1615,-0.000309,-1.0257),(6435,1625,-0.000384,-1.0256),(6435,1635,-0.000459,-1.0256),(6435,1645,-0.000533,-1.0256),(6435,1655,-0.000599,-1.0256),(6435,1665,-0.000666,-1.0256),(6435,1675,-0.000732,-1.0255),(6435,1685,-0.000793,-1.0255),(6435,1695,-0.000829,-1.0254),(6435,1705,-0.000866,-1.0253),(6435,1715,-0.000902,-1.0253),(6435,1725,-0.000921,-1.0252),(6435,1735,-0.000878,-1.0252),(6435,1745,-0.000834,-1.0252),(6435,1755,-0.000791,-1.0252),(6435,1765,-0.000749,-1.0253),(6435,1775,-0.000711,-1.0253),(6435,1785,-0.000673,-1.0253),(6435,1795,-0.000635,-1.0253),(6435,1805,-0.000581,-1.0252),(6435,1815,-0.000492,-1.0251),(6435,1825,-0.000403,-1.0251),(6435,1835,-0.000314,-1.0251),(6435,1845,-0.000231,-1.0251),(6435,1855,-0.000156,-1.0251),(6435,1865,-8.2e-05,-1.0251),(6435,1875,-8e-06,-1.0249),(6435,1885,7.9e-05,-1.0248),(6435,1895,0.000187,-1.0247),(6435,1905,0.000294,-1.0246),(6435,1915,0.000401,-1.0245),(6435,1925,0.000457,-1.0244),(6435,1935,0.000441,-1.0243),(6435,1945,0.000426,-1.0242),(6435,1955,0.00041,-1.024),(6435,1965,0.000364,-1.0238),(6435,1975,0.000283,-1.0237),(6435,1985,0.000202,-1.0234),(6435,1995,0.00012,-1.0231),(6435,2005,6.1e-05,-1.0228),(6435,2015,2.4e-05,-1.0225),(6435,2025,-1.3e-05,-1.0222),(6435,2035,-5e-05,-1.022),(6435,2045,-6.3e-05,-1.0218),(6435,2055,-5.5e-05,-1.0216),(6435,2065,-4.7e-05,-1.0214),(6435,2075,-3.9e-05,-1.0212),(6435,2085,-4.2e-05,-1.021),(6435,2095,-5.1e-05,-1.0208),(6435,2105,-6.1e-05,-1.0206),(6435,2115,-7e-05,-1.0203),(6435,2125,-5.9e-05,-1.0201),(6435,2135,-3.5e-05,-1.0199),(6435,2145,-1.2e-05,-1.0197),(6435,2155,1.2e-05,-1.0195),(6435,2165,4.6e-05,-1.0193),(6435,2175,8.6e-05,-1.0191),(6435,2185,0.000126,-1.0189),(6435,2195,0.000165,-1.0187),(6435,2205,0.000208,-1.0184),(6435,2215,0.000251,-1.0182),(6435,2225,0.000294,-1.018),(6435,2235,0.000338,-1.0178),(6435,2245,0.000328,-1.0175),(6435,2255,0.0003,-1.0173),(6435,2265,0.000272,-1.017),(6435,2275,0.000243,-1.0166),(6435,2285,0.000251,-1.0163),(6435,2295,0.00027,-1.0159),(6435,2305,0.000289,-1.0156),(6435,2315,0.000308,-1.0153),(6435,2325,0.000304,-1.0149),(6435,2335,0.000295,-1.0146),(6435,2345,0.000286,-1.0144),(6435,2355,0.000277,-1.0141),(6435,2365,0.000288,-1.0138),(6435,2375,0.000303,-1.0135),(6435,2385,0.000318,-1.0132),(6435,2395,0.000332,-1.0129),(6435,2405,0.000346,-1.0126),(6435,2415,0.000359,-1.0122),(6435,2425,0.000372,-1.0119),(6435,2435,0.000386,-1.0115),(6435,2445,0.000408,-1.0112),(6435,2455,0.000431,-1.0108),(6435,2465,0.000453,-1.0104),(6435,2475,0.000476,-1.0101),(6435,2485,0.000454,-1.0097),(6435,2495,0.000431,-1.0093),(6435,2505,0.000408,-1.0089),(6435,2515,0.000385,-1.0084),(6435,2525,0.000381,-1.0079),(6435,2535,0.000377,-1.0074),(6435,2545,0.000373,-1.007),(6435,2555,0.000377,-1.0066),(6435,2565,0.000511,-1.0062),(6435,2575,0.000645,-1.0058),(6435,2585,0.000779,-1.0056),(6435,2595,0.000916,-1.0054),(6435,2605,0.001081,-1.0051),(6435,2615,0.001245,-1.0049),(6435,2625,0.001409,-1.0046),(6435,2635,0.001538,-1.0043),(6435,2645,0.001433,-1.004),(6435,2655,0.001327,-1.0036),(6435,2665,0.001223,-1.0029),(6435,2675,0.001133,-1.0022),(6435,2685,0.001115,-1.0016),(6435,2695,0.001097,-1.0009),(6435,2705,0.001079,-1.0004),(6435,2715,0.001053,-0.99987),(6435,2725,0.000995,-0.99935),(6435,2735,0.000937,-0.99884),(6435,2745,0.000879,-0.99836),(6435,2755,0.000844,-0.99788),(6435,2765,0.000876,-0.9974),(6435,2775,0.000908,-0.99692),(6435,2785,0.00094,-0.99644),(6435,2795,0.00098,-0.99595),(6435,2805,0.00104,-0.99547),(6435,2815,0.0011,-0.99498),(6435,2825,0.00116,-0.99447),(6435,2835,0.001212,-0.99397),(6435,2845,0.001247,-0.99346),(6435,2855,0.001283,-0.99293),(6435,2865,0.001318,-0.99234),(6435,2875,0.00134,-0.99176),(6435,2885,0.00134,-0.99118),(6435,2895,0.001339,-0.99059),(6435,2905,0.001339,-0.98999),(6435,2915,0.001337,-0.98938),(6435,2925,0.001333,-0.98878),(6435,2935,0.001329,-0.98817),(6435,2945,0.001325,-0.98755),(6435,2955,0.001322,-0.98693),(6435,2965,0.00132,-0.9863),(6435,2975,0.001319,-0.98566),(6435,2985,0.001317,-0.985),(6435,2995,0.001348,-0.98434),(6435,3005,0.001413,-0.98368),(6435,3015,0.001478,-0.98308),(6435,3025,0.001544,-0.98253),(6435,3035,0.001561,-0.98198),(6435,3045,0.001535,-0.98143),(6435,3055,0.001509,-0.98076),(6435,3065,0.001483,-0.97999),(6435,3075,0.001521,-0.97923),(6435,3085,0.001609,-0.97846),(6435,3095,0.001696,-0.97772),(6435,3105,0.001783,-0.97702),(6435,3115,0.001837,-0.97632),(6435,3125,0.00187,-0.97561),(6435,3135,0.001902,-0.97495),(6435,3145,0.001934,-0.97431),(6435,3155,0.002006,-0.97367),(6435,3165,0.002099,-0.97303),(6435,3175,0.002191,-0.97237),(6435,3185,0.002284,-0.97169),(6435,3195,0.002318,-0.97102),(6435,3205,0.002325,-0.97034),(6435,3215,0.002331,-0.96957),(6435,3225,0.002338,-0.96875),(6435,3235,0.002293,-0.96794),(6435,3245,0.00223,-0.96712),(6435,3255,0.002166,-0.96624),(6435,3265,0.002102,-0.96533),(6435,3275,0.002071,-0.96443),(6435,3285,0.002049,-0.96352),(6435,3295,0.002027,-0.96269),(6435,3305,0.002005,-0.96189),(6435,3315,0.002041,-0.96108),(6435,3325,0.002091,-0.96027),(6435,3335,0.00214,-0.9595),(6435,3345,0.00219,-0.95873),(6435,3355,0.002254,-0.95797),(6435,3365,0.002322,-0.9572),(6435,3375,0.00239,-0.95634),(6435,3385,0.002458,-0.95548),(6435,3395,0.002398,-0.95461),(6435,3405,0.002322,-0.95374),(6435,3415,0.002245,-0.95276),(6435,3425,0.002169,-0.95176),(6435,3435,0.002254,-0.95076),(6435,3445,0.002352,-0.94977),(6435,3455,0.00245,-0.94883),(6435,3465,0.002547,-0.94789),(6435,3475,0.002554,-0.94695),(6435,3485,0.002556,-0.94601),(6435,3495,0.002559,-0.94499),(6435,3505,0.002562,-0.94396),(6435,3515,0.002536,-0.94294),(6435,3525,0.002511,-0.94191),(6435,3535,0.002485,-0.94087),(6435,3545,0.002463,-0.93983),(6435,3555,0.002531,-0.93879),(6435,3565,0.002599,-0.93775),(6435,3575,0.002667,-0.9367),(6435,3585,0.002726,-0.93564),(6435,3595,0.00269,-0.93458),(6435,3605,0.002654,-0.93353),(6435,3615,0.002619,-0.93248),(6435,3625,0.002595,-0.93143),(6435,3635,0.002659,-0.93039),(6435,3645,0.002723,-0.92931),(6435,3655,0.002787,-0.92808),(6435,3665,0.002837,-0.92684),(6435,3675,0.002817,-0.92561),(6435,3685,0.002797,-0.92441),(6435,3695,0.002777,-0.92335),(6435,3705,0.002737,-0.9223),(6435,3715,0.002618,-0.92125),(6435,3725,0.002498,-0.92021),(6435,3735,0.002379,-0.91923),(6435,3745,0.002267,-0.91826),(6435,3755,0.002179,-0.91728),(6435,3765,0.00209,-0.91639),(6435,3775,0.002002,-0.91576),(6435,3785,0.001835,-0.91512),(6435,3795,0.001471,-0.91449),(6435,3805,0.001107,-0.91391),(6435,3815,0.000743,-0.91348),(6435,3825,0.000319,-0.91305),(6435,3835,-0.00023,-0.91262),(6435,3845,-0.000779,-0.91255),(6435,3855,-0.001328,-0.9132),(6435,3865,-0.002077,-0.91384),(6435,3875,-0.00318,-0.91449),(6435,3885,-0.004283,-0.91585),(6435,3895,-0.005386,-0.91836),(6435,3905,-0.007425,-0.92088),(6435,3915,-0.010863,-0.9234),(6435,3925,-0.014302,-0.92805),(6435,3935,-0.01774,-0.93562),(6435,3945,-0.032793,-0.94319),(6435,3955,-0.062591,-0.95076),(6435,3965,-0.09239,-0.96225),(6435,3975,-0.12219,-0.97832),(6435,3985,-0.18618,-0.99439),(6435,3995,-0.28718,-1.0105),(6435,4005,-0.38818,-1.02),(6435,4015,-0.48919,-1.0229),(6435,4025,-0.26807,-1.0259),(6435,4035,-0.015439,-1.0276),(6435,4045,0.23719,-1.0267),(6435,4055,0.34737,-1.0258),(6435,4065,0.40558,-1.0248),(6435,4075,0.46379,-1.023),(6435,4085,0.49018,-1.0213),(6435,4095,0.49101,-1.0195),(6435,4105,0.49184,-1.0176),(6435,4115,0.49262,-1.0157),(6435,4125,0.49332,-1.0138),(6435,4135,0.49402,-1.0118),(6435,4145,0.49478,-1.0098),(6435,4155,0.49573,-1.0078),(6435,4165,0.49669,-1.0058),(6435,4175,0.49764,-1.004),(6435,4185,0.49852,-1.0021),(6435,4195,0.49939,-1.0002),(6435,4205,0.50027,-0.9982),(6435,4215,0.50121,-0.99621),(6435,4225,0.50217,-0.99422),(6435,4235,0.50313,-0.99225),(6435,4245,0.50413,-0.99029),(6435,4255,0.50514,-0.98832),(6435,4265,0.50616,-0.98631),(6435,4275,0.50718,-0.98431),(6435,4285,0.50822,-0.98231),(6435,4295,0.50927,-0.98024),(6435,4305,0.51031,-0.97817),(6435,4315,0.51138,-0.9761),(6435,4325,0.51245,-0.97398),(6435,4335,0.51352,-0.97183),(6435,4345,0.51463,-0.96969),(6435,4355,0.51575,-0.96753),(6435,4365,0.51686,-0.96534),(6435,4375,0.51801,-0.96316),(6435,4385,0.51917,-0.96095),(6435,4395,0.52033,-0.95867),(6435,4405,0.52152,-0.9564),(6435,4415,0.52272,-0.95411),(6435,4425,0.52392,-0.95181),(6435,4435,0.52511,-0.9495),(6435,4445,0.52629,-0.94719),(6435,4455,0.52747,-0.94478),(6435,4465,0.5287,-0.94236),(6435,4475,0.53,-0.93995),(6435,4485,0.5313,-0.93751),(6435,4495,0.5326,-0.93507),(6435,4505,0.5339,-0.93263),(6435,4515,0.5352,-0.93015),(6435,4525,0.53651,-0.92765),(6435,4535,0.53789,-0.92514),(6435,4545,0.53926,-0.92261),(6435,4555,0.54064,-0.92003),(6435,4565,0.54208,-0.91746),(6435,4575,0.54353,-0.91488),(6435,4585,0.54497,-0.91227),(6435,4595,0.54645,-0.90966),(6435,4605,0.54795,-0.90704),(6435,4615,0.54944,-0.90438),(6435,4625,0.55095,-0.90172),(6435,4635,0.55248,-0.89906),(6435,4645,0.55401,-0.89631),(6435,4655,0.55556,-0.89356),(6435,4665,0.55712,-0.8908),(6435,4675,0.55868,-0.88795),(6435,4685,0.56024,-0.88507),(6435,4695,0.56183,-0.88218),(6435,4705,0.56341,-0.87924),(6435,4715,0.565,-0.87625),(6435,4725,0.56667,-0.87326),(6435,4735,0.56834,-0.87028),(6435,4745,0.57002,-0.86732),(6435,4755,0.57165,-0.86436),(6435,4765,0.57327,-0.86137),(6435,4775,0.57489,-0.85829),(6435,4785,0.57658,-0.8552),(6435,4795,0.57831,-0.85212),(6435,4805,0.58005,-0.84897),(6435,4815,0.5818,-0.84583),(6435,4825,0.58357,-0.84268),(6435,4835,0.58534,-0.83946),(6435,4845,0.58711,-0.83623),(6435,4855,0.58889,-0.83301),(6435,4865,0.59067,-0.82971),(6435,4875,0.59245,-0.8264),(6435,4885,0.59423,-0.82308),(6435,4895,0.59601,-0.81971),(6435,4905,0.59779,-0.81631),(6435,4915,0.59959,-0.81291),(6435,4925,0.60139,-0.80948),(6435,4935,0.60318,-0.80602),(6435,4945,0.605,-0.80255),(6435,4955,0.60683,-0.79907),(6435,4965,0.60866,-0.79554),(6435,4975,0.61051,-0.79201),(6435,4985,0.61237,-0.78849),(6435,4995,0.61423,-0.78488),(6435,5005,0.61609,-0.78128),(6435,5015,0.61796,-0.77768),(6435,5025,0.61983,-0.77397),(6435,5035,0.62174,-0.77023),(6435,5045,0.62384,-0.7665),(6435,5055,0.62594,-0.76285),(6435,5065,0.62802,-0.75926),(6435,5075,0.62972,-0.75568),(6435,5085,0.63142,-0.75195),(6435,5095,0.63312,-0.74806),(6435,5105,0.635,-0.74417),(6435,5115,0.63692,-0.74026),(6435,5125,0.63883,-0.73632),(6435,5135,0.64072,-0.73239),(6435,5145,0.64258,-0.72844),(6435,5155,0.64445,-0.72442),(6435,5165,0.64631,-0.7204),(6435,5175,0.64818,-0.71638),(6435,5185,0.65005,-0.71231),(6435,5195,0.65192,-0.70825),(6435,5205,0.65382,-0.70418),(6435,5215,0.65572,-0.70011),(6435,5225,0.65762,-0.69603),(6435,5235,0.65955,-0.69196),(6435,5245,0.66148,-0.68786),(6435,5255,0.66341,-0.68372),(6435,5265,0.66533,-0.67959),(6435,5275,0.66725,-0.67542),(6435,5285,0.66917,-0.67117),(6435,5295,0.67107,-0.66691),(6435,5305,0.67296,-0.66265),(6435,5315,0.67484,-0.6583),(6435,5325,0.67671,-0.65396),(6435,5335,0.67857,-0.64961),(6435,5345,0.68043,-0.64524),(6435,5355,0.68228,-0.64087),(6435,5365,0.68412,-0.6365),(6435,5375,0.68595,-0.63211),(6435,5385,0.68779,-0.6277),(6435,5395,0.68962,-0.6233),(6435,5405,0.69145,-0.61887),(6435,5415,0.69328,-0.61442),(6435,5425,0.69511,-0.60997),(6435,5435,0.69694,-0.6055),(6435,5445,0.69877,-0.60101),(6435,5455,0.70059,-0.59651),(6435,5465,0.7024,-0.59199),(6435,5475,0.70422,-0.58742),(6435,5485,0.70601,-0.58286),(6435,5495,0.70778,-0.57828),(6435,5505,0.70955,-0.5736),(6435,5515,0.7113,-0.56893),(6435,5525,0.71303,-0.56426),(6435,5535,0.71475,-0.55953),(6435,5545,0.71648,-0.5548),(6435,5555,0.71819,-0.55006),(6435,5565,0.7199,-0.54532),(6435,5575,0.72162,-0.54058),(6435,5585,0.72333,-0.53584),(6435,5595,0.72505,-0.53107),(6435,5605,0.72676,-0.52628),(6435,5615,0.72845,-0.52149),(6435,5625,0.73014,-0.51666),(6435,5635,0.73182,-0.51177),(6435,5645,0.73344,-0.50688),(6435,5655,0.73503,-0.50195),(6435,5665,0.73663,-0.49691),(6435,5675,0.73846,-0.49187),(6435,5685,0.7404,-0.48685),(6435,5695,0.74235,-0.48218),(6435,5705,0.74394,-0.47752),(6435,5715,0.74514,-0.47286),(6435,5725,0.74634,-0.46777),(6435,5735,0.74764,-0.46262),(6435,5745,0.74921,-0.45748),(6435,5755,0.75077,-0.45235),(6435,5765,0.75233,-0.44724),(6435,5775,0.75381,-0.44212),(6435,5785,0.7553,-0.43701),(6435,5795,0.75679,-0.43191),(6435,5805,0.75825,-0.4268),(6435,5815,0.7597,-0.4217),(6435,5825,0.76116,-0.41658),(6435,5835,0.76258,-0.41146),(6435,5845,0.76399,-0.40633),(6435,5855,0.7654,-0.40113),(6435,5865,0.76678,-0.39594),(6435,5875,0.76813,-0.39075),(6435,5885,0.76947,-0.38549),(6435,5895,0.7708,-0.38023),(6435,5905,0.7721,-0.37497),(6435,5915,0.77339,-0.36968),(6435,5925,0.77467,-0.36438),(6435,5935,0.77589,-0.35909),(6435,5945,0.77711,-0.35372),(6435,5955,0.77834,-0.34832),(6435,5965,0.77998,-0.34291),(6435,5975,0.78162,-0.33771),(6435,5985,0.78327,-0.33275),(6435,5995,0.78418,-0.32778),(6435,6005,0.78497,-0.32268),(6435,6015,0.78576,-0.31722),(6435,6025,0.78682,-0.31176),(6435,6035,0.78799,-0.3063),(6435,6045,0.78917,-0.30085),(6435,6055,0.79027,-0.29539),(6435,6065,0.7913,-0.28994),(6435,6075,0.79233,-0.28445),(6435,6085,0.79334,-0.27897),(6435,6095,0.79431,-0.27348),(6435,6105,0.79528,-0.26803),(6435,6115,0.79625,-0.2626),(6435,6125,0.79721,-0.25716),(6435,6135,0.79816,-0.25173),(6435,6145,0.79912,-0.2463),(6435,6155,0.80004,-0.24088),(6435,6165,0.80096,-0.23541),(6435,6175,0.80188,-0.22987),(6435,6185,0.80275,-0.22433),(6435,6195,0.8036,-0.21878),(6435,6205,0.80445,-0.2132),(6435,6215,0.80525,-0.20762),(6435,6225,0.80602,-0.20205),(6435,6235,0.80679,-0.19643),(6435,6245,0.80751,-0.19081),(6435,6255,0.80816,-0.18519),(6435,6265,0.80881,-0.17953),(6435,6275,0.80955,-0.17386),(6435,6285,0.81055,-0.1682),(6435,6295,0.81155,-0.16284),(6435,6305,0.81249,-0.15763),(6435,6315,0.81275,-0.15242),(6435,6325,0.813,-0.14699),(6435,6335,0.81325,-0.14132),(6435,6345,0.81379,-0.13566),(6435,6355,0.81437,-0.12997),(6435,6365,0.81494,-0.12423),(6435,6375,0.81543,-0.11848),(6435,6385,0.81589,-0.11276),(6435,6395,0.81635,-0.10718),(6435,6405,0.81676,-0.1016),(6435,6415,0.81715,-0.096013),(6435,6425,0.81753,-0.090369),(6435,6435,0.8179,-0.084722),(6435,6445,0.81823,-0.079076),(6435,6455,0.81856,-0.073445),(6435,6465,0.81888,-0.067819),(6435,6475,0.81917,-0.062193),(6435,6485,0.81945,-0.056538),(6435,6495,0.81974,-0.050863),(6435,6505,0.81995,-0.045188),(6435,6515,0.82015,-0.039502),(6435,6525,0.82036,-0.033803),(6435,6535,0.82044,-0.028104),(6435,6545,0.8205,-0.022409),(6435,6555,0.82057,-0.016727),(6435,6565,0.82077,-0.011046),(6435,6575,0.82106,-0.005376),(6435,6585,0.82135,0.00013),(6435,6595,0.69869,0.005635),(6435,6605,0.44029,0.01114),(6435,6615,0.18188,0.011847),(6435,6625,0.000237,0.011937),(6435,6635,0.000279,0.012027),(6435,6645,0.000322,0.012053),(6435,6655,0.000364,0.012054),(6435,6665,0.000406,0.012054),(6435,6675,0.000448,0.012054),(6435,6685,0.00049,0.012053),(6435,6695,0.000532,0.012052),(6435,6705,0.000574,0.012051),(6435,6715,0.000615,0.012048),(6435,6725,0.000657,0.012046),(6435,6735,0.000698,0.012043),(6435,6745,0.00074,0.012039),(6435,6755,0.000781,0.012035),(6435,6765,0.000822,0.012031),(6435,6775,0.000863,0.012026),(6435,6785,0.000904,0.012021),(6435,6795,0.000944,0.012016),(6435,6805,0.000985,0.012009),(6435,6815,0.001025,0.012002),(6435,6825,0.001065,0.011996),(6435,6835,0.001105,0.011988),(6435,6845,0.001144,0.01198),(6435,6855,0.001184,0.011972),(6435,6865,0.001223,0.011963),(6435,6875,0.001262,0.011954),(6435,6885,0.001301,0.011945),(6435,6895,0.001339,0.011935),(6435,6905,0.001378,0.011924),(6435,6915,0.001415,0.011913),(6435,6925,0.001453,0.011902),(6435,6935,0.001491,0.01189),(6435,6945,0.001528,0.011878),(6435,6955,0.001565,0.011866),(6435,6965,0.001601,0.011853),(6435,6975,0.001638,0.01184),(6435,6985,0.001674,0.011827),(6445,5,8e-06,-0.82514),(6445,15,2.5e-05,-0.82509),(6445,25,3.5e-05,-0.82504),(6445,35,4.1e-05,-0.825),(6445,45,4.6e-05,-0.82496),(6445,55,5.2e-05,-0.82492),(6445,65,7.1e-05,-0.82489),(6445,75,0.000102,-0.82485),(6445,85,0.000133,-0.82487),(6445,95,0.000164,-0.82492),(6445,105,0.000189,-0.82497),(6445,115,0.000208,-0.82503),(6445,125,0.000228,-0.82504),(6445,135,0.000247,-0.82502),(6445,145,0.000233,-0.82501),(6445,155,0.0002,-0.825),(6445,165,0.000166,-0.82496),(6445,175,0.000133,-0.82492),(6445,185,6.6e-05,-0.82487),(6445,195,-1.8e-05,-0.82483),(6445,205,-0.000101,-0.82473),(6445,215,-0.000185,-0.8246),(6445,225,-0.000214,-0.82448),(6445,235,-0.000221,-0.82435),(6445,245,-0.000229,-0.82434),(6445,255,-0.000237,-0.82437),(6445,265,-0.000162,-0.8244),(6445,275,-6.2e-05,-0.82443),(6445,285,3.9e-05,-0.82451),(6445,295,0.00014,-0.82461),(6445,305,0.000218,-0.8247),(6445,315,0.000291,-0.8248),(6445,325,0.000364,-0.82481),(6445,335,0.000436,-0.82479),(6445,345,0.000427,-0.82478),(6445,355,0.000402,-0.82477),(6445,365,0.000377,-0.82472),(6445,375,0.000352,-0.82465),(6445,385,0.000379,-0.82459),(6445,395,0.000413,-0.82453),(6445,405,0.000447,-0.82454),(6445,415,0.000481,-0.82456),(6445,425,0.000493,-0.82458),(6445,435,0.000503,-0.8246),(6445,445,0.000512,-0.8246),(6445,455,0.000522,-0.8246),(6445,465,0.000473,-0.82459),(6445,475,0.000421,-0.82459),(6445,485,0.000369,-0.8245),(6445,495,0.000318,-0.8244),(6445,505,0.000271,-0.8243),(6445,515,0.000224,-0.8242),(6445,525,0.000177,-0.82416),(6445,535,0.000131,-0.82413),(6445,545,0.000105,-0.82409),(6445,555,7.8e-05,-0.82405),(6445,565,5.2e-05,-0.82398),(6445,575,2.8e-05,-0.82392),(6445,585,3.9e-05,-0.82385),(6445,595,5e-05,-0.82379),(6445,605,6.1e-05,-0.82375),(6445,615,8e-05,-0.82372),(6445,625,0.000161,-0.82369),(6445,635,0.000242,-0.82367),(6445,645,0.000322,-0.8237),(6445,655,0.000409,-0.82373),(6445,665,0.000531,-0.82377),(6445,675,0.000652,-0.8238),(6445,685,0.000774,-0.82385),(6445,695,0.000881,-0.82389),(6445,705,0.000928,-0.82393),(6445,715,0.000975,-0.82395),(6445,725,0.001022,-0.82387),(6445,735,0.001038,-0.82378),(6445,745,0.000951,-0.8237),(6445,755,0.000864,-0.8236),(6445,765,0.000776,-0.82348),(6445,775,0.000733,-0.82335),(6445,785,0.000809,-0.82323),(6445,795,0.000885,-0.82314),(6445,805,0.000961,-0.82314),(6445,815,0.00101,-0.82313),(6445,825,0.001,-0.82313),(6445,835,0.00099,-0.82308),(6445,845,0.00098,-0.82296),(6445,855,0.000969,-0.82284),(6445,865,0.000955,-0.82272),(6445,875,0.000941,-0.82259),(6445,885,0.000927,-0.82244),(6445,895,0.000924,-0.82229),(6445,905,0.000939,-0.82214),(6445,915,0.000953,-0.82202),(6445,925,0.000968,-0.82194),(6445,935,0.001004,-0.82187),(6445,945,0.001071,-0.82179),(6445,955,0.001137,-0.8217),(6445,965,0.001204,-0.8216),(6445,975,0.001229,-0.82149),(6445,985,0.00121,-0.82138),(6445,995,0.00119,-0.82123),(6445,1005,0.00117,-0.82103),(6445,1015,0.001139,-0.82083),(6445,1025,0.001097,-0.82063),(6445,1035,0.001056,-0.82048),(6445,1045,0.001014,-0.82039),(6445,1055,0.00099,-0.82029),(6445,1065,0.00098,-0.82019),(6445,1075,0.00097,-0.8202),(6445,1085,0.00096,-0.82029),(6445,1095,0.000867,-0.82038),(6445,1105,0.000715,-0.82047),(6445,1115,0.000563,-0.82061),(6445,1125,0.000411,-0.82078),(6445,1135,0.000357,-0.82094),(6445,1145,0.00036,-0.82111),(6445,1155,0.000363,-0.82147),(6445,1165,0.000366,-0.82195),(6445,1175,0.000865,-0.82242),(6445,1185,0.001611,-0.8229),(6445,1195,0.002356,-0.82392),(6445,1205,0.003102,-0.82518),(6445,1215,0.003336,-0.82644),(6445,1225,0.003359,-0.82771),(6445,1235,0.003383,-0.8318),(6445,1245,0.003406,-0.83696),(6445,1255,-0.025278,-0.84211),(6445,1265,-0.063658,-0.84727),(6445,1275,-0.10204,-0.87117),(6445,1285,-0.14042,-0.90076),(6445,1295,-0.2132,-0.93035),(6445,1305,-0.29529,-0.95993),(6445,1315,-0.37738,-1.0117),(6445,1325,-0.45947,-1.0688),(6445,1335,-0.28314,-1.1259),(6445,1345,-0.052656,-1.183),(6445,1355,0.17783,-1.1481),(6445,1365,0.40831,-1.0964),(6445,1375,0.38489,-1.0448),(6445,1385,0.32229,-0.99311),(6445,1395,0.25969,-0.95616),(6445,1405,0.19709,-0.9211),(6445,1415,0.14597,-0.88605),(6445,1425,0.096034,-0.85099),(6445,1435,0.046102,-0.84329),(6445,1445,-0.00383,-0.8378),(6445,1455,-0.006071,-0.8323),(6445,1465,-0.005566,-0.8268),(6445,1475,-0.005061,-0.82546),(6445,1485,-0.004556,-0.82427),(6445,1495,-0.003419,-0.82307),(6445,1505,-0.002272,-0.82188),(6445,1515,-0.001126,-0.82119),(6445,1525,-6e-06,-0.8205),(6445,1535,6.6e-05,-0.81981),(6445,1545,0.000138,-0.81914),(6445,1555,0.00021,-0.81876),(6445,1565,0.00027,-0.81838),(6445,1575,0.000163,-0.818),(6445,1585,5.6e-05,-0.81765),(6445,1595,-5.1e-05,-0.8175),(6445,1605,-0.00015,-0.81735),(6445,1615,-0.000189,-0.8172),(6445,1625,-0.000227,-0.81707),(6445,1635,-0.000265,-0.81708),(6445,1645,-0.000306,-0.81708),(6445,1655,-0.000362,-0.81709),(6445,1665,-0.000418,-0.81708),(6445,1675,-0.000474,-0.81703),(6445,1685,-0.000528,-0.81699),(6445,1695,-0.000568,-0.81694),(6445,1705,-0.000609,-0.81689),(6445,1715,-0.00065,-0.81685),(6445,1725,-0.000675,-0.8168),(6445,1735,-0.00064,-0.81676),(6445,1745,-0.000606,-0.81674),(6445,1755,-0.000572,-0.81678),(6445,1765,-0.000539,-0.81682),(6445,1775,-0.00051,-0.81686),(6445,1785,-0.000482,-0.81687),(6445,1795,-0.000453,-0.81681),(6445,1805,-0.000409,-0.81675),(6445,1815,-0.000329,-0.81669),(6445,1825,-0.000249,-0.81664),(6445,1835,-0.000169,-0.81663),(6445,1845,-9.9e-05,-0.81661),(6445,1855,-4.9e-05,-0.8166),(6445,1865,2e-06,-0.81656),(6445,1875,5.2e-05,-0.8165),(6445,1885,0.000131,-0.81643),(6445,1895,0.000259,-0.81636),(6445,1905,0.000386,-0.81629),(6445,1915,0.000513,-0.81622),(6445,1925,0.000579,-0.81614),(6445,1935,0.000561,-0.81607),(6445,1945,0.000543,-0.81597),(6445,1955,0.000525,-0.81584),(6445,1965,0.000477,-0.81571),(6445,1975,0.000393,-0.81558),(6445,1985,0.000309,-0.81539),(6445,1995,0.000225,-0.81514),(6445,2005,0.000161,-0.81488),(6445,2015,0.000115,-0.81463),(6445,2025,6.9e-05,-0.81442),(6445,2035,2.3e-05,-0.81426),(6445,2045,3e-06,-0.81409),(6445,2055,3e-06,-0.81393),(6445,2065,4e-06,-0.81376),(6445,2075,5e-06,-0.8136),(6445,2085,-5e-06,-0.81345),(6445,2095,-2.2e-05,-0.81329),(6445,2105,-3.9e-05,-0.8131),(6445,2115,-5.6e-05,-0.8129),(6445,2125,-5.5e-05,-0.81271),(6445,2135,-4.2e-05,-0.81251),(6445,2145,-3e-05,-0.81234),(6445,2155,-1.7e-05,-0.81219),(6445,2165,1.1e-05,-0.81205),(6445,2175,4.7e-05,-0.8119),(6445,2185,8.3e-05,-0.81173),(6445,2195,0.000119,-0.81155),(6445,2205,0.000166,-0.81137),(6445,2215,0.000217,-0.81118),(6445,2225,0.000268,-0.811),(6445,2235,0.000319,-0.8108),(6445,2245,0.000303,-0.81061),(6445,2255,0.000263,-0.81042),(6445,2265,0.000223,-0.81018),(6445,2275,0.000183,-0.80992),(6445,2285,0.000208,-0.80966),(6445,2295,0.000251,-0.80941),(6445,2305,0.000295,-0.80914),(6445,2315,0.000338,-0.80888),(6445,2325,0.000336,-0.80861),(6445,2335,0.000324,-0.80835),(6445,2345,0.000312,-0.80812),(6445,2355,0.0003,-0.8079),(6445,2365,0.000308,-0.80769),(6445,2375,0.00032,-0.80747),(6445,2385,0.000332,-0.80722),(6445,2395,0.000344,-0.80696),(6445,2405,0.000355,-0.8067),(6445,2415,0.000367,-0.80644),(6445,2425,0.000378,-0.80615),(6445,2435,0.000389,-0.80586),(6445,2445,0.000414,-0.80556),(6445,2455,0.00044,-0.80527),(6445,2465,0.000466,-0.80499),(6445,2475,0.000493,-0.8047),(6445,2485,0.000477,-0.80441),(6445,2495,0.000461,-0.80413),(6445,2505,0.000444,-0.80375),(6445,2515,0.000428,-0.80337),(6445,2525,0.000419,-0.80299),(6445,2535,0.00041,-0.80261),(6445,2545,0.000401,-0.80227),(6445,2555,0.000399,-0.80193),(6445,2565,0.000521,-0.80159),(6445,2575,0.000642,-0.80126),(6445,2585,0.000764,-0.80108),(6445,2595,0.00089,-0.80089),(6445,2605,0.001062,-0.80071),(6445,2615,0.001234,-0.80052),(6445,2625,0.001406,-0.80028),(6445,2635,0.001538,-0.80003),(6445,2645,0.001405,-0.79979),(6445,2655,0.001273,-0.7995),(6445,2665,0.00114,-0.79901),(6445,2675,0.001034,-0.79852),(6445,2685,0.001051,-0.79803),(6445,2695,0.001069,-0.79755),(6445,2705,0.001087,-0.7971),(6445,2715,0.001084,-0.79666),(6445,2725,0.001009,-0.79622),(6445,2735,0.000935,-0.79579),(6445,2745,0.00086,-0.79539),(6445,2755,0.00081,-0.795),(6445,2765,0.000835,-0.79461),(6445,2775,0.000861,-0.79422),(6445,2785,0.000886,-0.79383),(6445,2795,0.000921,-0.79344),(6445,2805,0.00098,-0.79305),(6445,2815,0.001039,-0.79266),(6445,2825,0.001098,-0.79226),(6445,2835,0.00115,-0.79186),(6445,2845,0.00119,-0.79146),(6445,2855,0.001229,-0.79103),(6445,2865,0.001269,-0.79057),(6445,2875,0.001295,-0.79011),(6445,2885,0.001299,-0.78965),(6445,2895,0.001302,-0.78919),(6445,2905,0.001305,-0.78871),(6445,2915,0.001304,-0.78823),(6445,2925,0.001297,-0.78775),(6445,2935,0.00129,-0.78727),(6445,2945,0.001283,-0.78677),(6445,2955,0.001276,-0.78628),(6445,2965,0.001269,-0.78578),(6445,2975,0.001262,-0.78527),(6445,2985,0.001255,-0.78474),(6445,2995,0.001284,-0.78421),(6445,3005,0.001352,-0.78368),(6445,3015,0.001419,-0.78318),(6445,3025,0.001486,-0.78271),(6445,3035,0.001481,-0.78225),(6445,3045,0.001411,-0.78178),(6445,3055,0.00134,-0.78127),(6445,3065,0.00127,-0.78071),(6445,3075,0.001308,-0.78016),(6445,3085,0.001427,-0.7796),(6445,3095,0.001546,-0.77903),(6445,3105,0.001666,-0.77843),(6445,3115,0.001722,-0.77784),(6445,3125,0.001739,-0.77724),(6445,3135,0.001755,-0.7767),(6445,3145,0.001771,-0.77618),(6445,3155,0.001837,-0.77567),(6445,3165,0.00193,-0.77515),(6445,3175,0.002023,-0.77463),(6445,3185,0.002116,-0.7741),(6445,3195,0.002154,-0.77358),(6445,3205,0.002167,-0.77305),(6445,3215,0.002181,-0.77244),(6445,3225,0.002194,-0.77181),(6445,3235,0.002149,-0.77117),(6445,3245,0.002083,-0.77053),(6445,3255,0.002018,-0.76982),(6445,3265,0.001951,-0.7691),(6445,3275,0.001912,-0.76837),(6445,3285,0.00188,-0.76764),(6445,3295,0.001848,-0.76698),(6445,3305,0.001817,-0.76632),(6445,3315,0.001845,-0.76567),(6445,3325,0.001889,-0.76502),(6445,3335,0.001932,-0.7644),(6445,3345,0.001975,-0.76379),(6445,3355,0.002047,-0.76318),(6445,3365,0.002124,-0.76257),(6445,3375,0.002201,-0.76187),(6445,3385,0.002278,-0.76115),(6445,3395,0.002177,-0.76044),(6445,3405,0.002054,-0.75972),(6445,3415,0.00193,-0.75899),(6445,3425,0.001806,-0.75825),(6445,3435,0.001915,-0.75752),(6445,3445,0.002042,-0.75678),(6445,3455,0.002169,-0.756),(6445,3465,0.002296,-0.75522),(6445,3475,0.002298,-0.75444),(6445,3485,0.002295,-0.75366),(6445,3495,0.002292,-0.75285),(6445,3505,0.002288,-0.75204),(6445,3515,0.002261,-0.75123),(6445,3525,0.002234,-0.75042),(6445,3535,0.002207,-0.74958),(6445,3545,0.002184,-0.74874),(6445,3555,0.002243,-0.7479),(6445,3565,0.002302,-0.74707),(6445,3575,0.002361,-0.74624),(6445,3585,0.002412,-0.74541),(6445,3595,0.002377,-0.74458),(6445,3605,0.002342,-0.74375),(6445,3615,0.002307,-0.7429),(6445,3625,0.002285,-0.74205),(6445,3635,0.002352,-0.7412),(6445,3645,0.002419,-0.74034),(6445,3655,0.002486,-0.73936),(6445,3665,0.002541,-0.73839),(6445,3675,0.002536,-0.73741),(6445,3685,0.00253,-0.73646),(6445,3695,0.002524,-0.73564),(6445,3705,0.002498,-0.73481),(6445,3715,0.002394,-0.73398),(6445,3725,0.002291,-0.73317),(6445,3735,0.002187,-0.73238),(6445,3745,0.002099,-0.73159),(6445,3755,0.002059,-0.7308),(6445,3765,0.00202,-0.73008),(6445,3775,0.001981,-0.72956),(6445,3785,0.001871,-0.72905),(6445,3795,0.001581,-0.72853),(6445,3805,0.001291,-0.72808),(6445,3815,0.001,-0.72781),(6445,3825,0.000706,-0.72754),(6445,3835,0.000405,-0.72727),(6445,3845,0.000103,-0.72725),(6445,3855,-0.000198,-0.72774),(6445,3865,-0.000616,-0.72822),(6445,3875,-0.001237,-0.7287),(6445,3885,-0.001859,-0.72968),(6445,3895,-0.00248,-0.73144),(6445,3905,-0.00371,-0.73321),(6445,3915,-0.005847,-0.73498),(6445,3925,-0.007984,-0.73854),(6445,3935,-0.010122,-0.74457),(6445,3945,-0.023366,-0.7506),(6445,3955,-0.050713,-0.75664),(6445,3965,-0.078059,-0.77048),(6445,3975,-0.10541,-0.79349),(6445,3985,-0.16882,-0.8165),(6445,3995,-0.27128,-0.8395),(6445,4005,-0.37374,-0.87881),(6445,4015,-0.4762,-0.93443),(6445,4025,-0.2594,-0.99005),(6445,4035,-0.011362,-1.0275),(6445,4045,0.23668,-1.0266),(6445,4055,0.34536,-1.0258),(6445,4065,0.4032,-1.0248),(6445,4075,0.46104,-1.023),(6445,4085,0.48727,-1.0213),(6445,4095,0.48809,-1.0195),(6445,4105,0.48891,-1.0176),(6445,4115,0.48967,-1.0157),(6445,4125,0.49033,-1.0137),(6445,4135,0.49098,-1.0118),(6445,4145,0.4917,-1.0098),(6445,4155,0.49268,-1.0079),(6445,4165,0.49365,-1.006),(6445,4175,0.49462,-1.0041),(6445,4185,0.49547,-1.0022),(6445,4195,0.49631,-1.0002),(6445,4205,0.49716,-0.9982),(6445,4215,0.49808,-0.99619),(6445,4225,0.49902,-0.99418),(6445,4235,0.49996,-0.99221),(6445,4245,0.50093,-0.99023),(6445,4255,0.50193,-0.98825),(6445,4265,0.50293,-0.98625),(6445,4275,0.50394,-0.98425),(6445,4285,0.50497,-0.98225),(6445,4295,0.506,-0.98019),(6445,4305,0.50703,-0.97812),(6445,4315,0.50808,-0.97605),(6445,4325,0.50914,-0.97392),(6445,4335,0.5102,-0.97177),(6445,4345,0.51129,-0.96963),(6445,4355,0.51239,-0.96746),(6445,4365,0.51348,-0.96527),(6445,4375,0.51462,-0.96308),(6445,4385,0.51577,-0.96086),(6445,4395,0.51691,-0.95858),(6445,4405,0.51809,-0.9563),(6445,4415,0.51928,-0.95401),(6445,4425,0.52046,-0.9517),(6445,4435,0.52163,-0.94938),(6445,4445,0.52278,-0.94706),(6445,4455,0.52393,-0.94467),(6445,4465,0.52514,-0.94228),(6445,4475,0.52644,-0.93989),(6445,4485,0.52773,-0.93745),(6445,4495,0.52902,-0.93499),(6445,4505,0.53029,-0.93253),(6445,4515,0.53156,-0.93003),(6445,4525,0.53284,-0.92751),(6445,4535,0.53419,-0.92499),(6445,4545,0.53554,-0.92244),(6445,4555,0.53689,-0.91985),(6445,4565,0.5383,-0.91726),(6445,4575,0.53972,-0.91467),(6445,4585,0.54114,-0.91205),(6445,4595,0.5426,-0.90944),(6445,4605,0.54407,-0.90682),(6445,4615,0.54554,-0.90415),(6445,4625,0.54703,-0.90149),(6445,4635,0.54854,-0.89882),(6445,4645,0.55006,-0.89607),(6445,4655,0.55158,-0.89332),(6445,4665,0.55312,-0.89056),(6445,4675,0.55466,-0.88771),(6445,4685,0.5562,-0.88483),(6445,4695,0.55776,-0.88195),(6445,4705,0.55932,-0.87901),(6445,4715,0.56087,-0.87603),(6445,4725,0.56253,-0.87305),(6445,4735,0.5642,-0.87006),(6445,4745,0.56586,-0.86706),(6445,4755,0.56745,-0.86406),(6445,4765,0.56902,-0.86104),(6445,4775,0.57059,-0.85796),(6445,4785,0.57225,-0.85488),(6445,4795,0.57396,-0.8518),(6445,4805,0.57567,-0.84864),(6445,4815,0.5774,-0.84549),(6445,4825,0.57914,-0.84234),(6445,4835,0.58089,-0.83912),(6445,4845,0.58264,-0.83589),(6445,4855,0.58441,-0.83267),(6445,4865,0.58617,-0.82938),(6445,4875,0.58793,-0.82607),(6445,4885,0.58969,-0.82275),(6445,4895,0.59145,-0.81939),(6445,4905,0.59322,-0.81599),(6445,4915,0.59499,-0.81259),(6445,4925,0.59676,-0.80916),(6445,4935,0.59852,-0.80569),(6445,4945,0.60031,-0.80221),(6445,4955,0.60211,-0.79873),(6445,4965,0.60391,-0.79519),(6445,4975,0.60572,-0.79165),(6445,4985,0.60754,-0.78812),(6445,4995,0.60937,-0.78452),(6445,5005,0.6112,-0.78091),(6445,5015,0.61302,-0.77731),(6445,5025,0.61485,-0.77364),(6445,5035,0.61674,-0.76994),(6445,5045,0.61888,-0.76625),(6445,5055,0.62102,-0.76255),(6445,5065,0.62315,-0.75885),(6445,5075,0.62477,-0.75515),(6445,5085,0.6264,-0.75139),(6445,5095,0.62802,-0.74755),(6445,5105,0.62989,-0.74372),(6445,5115,0.63179,-0.73986),(6445,5125,0.6337,-0.73593),(6445,5135,0.63557,-0.73201),(6445,5145,0.63741,-0.72808),(6445,5155,0.63926,-0.72406),(6445,5165,0.6411,-0.72004),(6445,5175,0.64294,-0.71602),(6445,5185,0.64477,-0.71195),(6445,5195,0.64662,-0.70787),(6445,5205,0.64848,-0.70379),(6445,5215,0.65035,-0.6997),(6445,5225,0.65222,-0.69562),(6445,5235,0.65412,-0.69153),(6445,5245,0.65602,-0.68742),(6445,5255,0.65792,-0.68328),(6445,5265,0.65982,-0.67915),(6445,5275,0.66173,-0.67498),(6445,5285,0.66363,-0.67073),(6445,5295,0.66551,-0.66649),(6445,5305,0.66738,-0.66223),(6445,5315,0.66926,-0.65789),(6445,5325,0.67111,-0.65356),(6445,5335,0.67295,-0.64922),(6445,5345,0.67478,-0.64485),(6445,5355,0.67661,-0.64048),(6445,5365,0.67842,-0.63612),(6445,5375,0.68024,-0.63172),(6445,5385,0.68205,-0.62731),(6445,5395,0.68385,-0.62291),(6445,5405,0.68565,-0.61847),(6445,5415,0.68746,-0.61402),(6445,5425,0.68926,-0.60956),(6445,5435,0.69107,-0.60509),(6445,5445,0.69287,-0.60059),(6445,5455,0.69467,-0.59609),(6445,5465,0.69647,-0.59157),(6445,5475,0.69827,-0.58701),(6445,5485,0.70004,-0.58245),(6445,5495,0.70179,-0.57788),(6445,5505,0.70355,-0.57322),(6445,5515,0.70528,-0.56856),(6445,5525,0.70699,-0.56389),(6445,5535,0.7087,-0.55916),(6445,5545,0.7104,-0.55442),(6445,5555,0.71209,-0.54969),(6445,5565,0.71377,-0.54494),(6445,5575,0.71546,-0.54019),(6445,5585,0.71715,-0.53543),(6445,5595,0.71884,-0.53066),(6445,5605,0.72053,-0.52588),(6445,5615,0.7222,-0.52109),(6445,5625,0.72386,-0.51627),(6445,5635,0.72553,-0.5114),(6445,5645,0.72711,-0.50653),(6445,5655,0.72868,-0.50164),(6445,5665,0.73025,-0.49669),(6445,5675,0.73213,-0.49173),(6445,5685,0.73418,-0.48678),(6445,5695,0.73624,-0.48191),(6445,5705,0.73783,-0.47704),(6445,5715,0.73892,-0.47217),(6445,5725,0.74,-0.46714),(6445,5735,0.74122,-0.46208),(6445,5745,0.74278,-0.45703),(6445,5755,0.74435,-0.45195),(6445,5765,0.7459,-0.44685),(6445,5775,0.74737,-0.44175),(6445,5785,0.74884,-0.43665),(6445,5795,0.75031,-0.43155),(6445,5805,0.75175,-0.42644),(6445,5815,0.75319,-0.42134),(6445,5825,0.75463,-0.41622),(6445,5835,0.75603,-0.4111),(6445,5845,0.75742,-0.40598),(6445,5855,0.75882,-0.40079),(6445,5865,0.76018,-0.3956),(6445,5875,0.76151,-0.39042),(6445,5885,0.76284,-0.38517),(6445,5895,0.76415,-0.37992),(6445,5905,0.76543,-0.37467),(6445,5915,0.7667,-0.36939),(6445,5925,0.76796,-0.36411),(6445,5935,0.76914,-0.35883),(6445,5945,0.77032,-0.35353),(6445,5955,0.77152,-0.34821),(6445,5965,0.77328,-0.3429),(6445,5975,0.77503,-0.33763),(6445,5985,0.77679,-0.33242),(6445,5995,0.7776,-0.32722),(6445,6005,0.77827,-0.32197),(6445,6015,0.77893,-0.31662),(6445,6025,0.77995,-0.31127),(6445,6035,0.78115,-0.30591),(6445,6045,0.78235,-0.3005),(6445,6055,0.78346,-0.29509),(6445,6065,0.78448,-0.28968),(6445,6075,0.78551,-0.28421),(6445,6085,0.78651,-0.27873),(6445,6095,0.78746,-0.27325),(6445,6105,0.78842,-0.26779),(6445,6115,0.78937,-0.26235),(6445,6125,0.7903,-0.25691),(6445,6135,0.79124,-0.25147),(6445,6145,0.79217,-0.24604),(6445,6155,0.79308,-0.2406),(6445,6165,0.79398,-0.23513),(6445,6175,0.79488,-0.2296),(6445,6185,0.79574,-0.22406),(6445,6195,0.79658,-0.21852),(6445,6205,0.79742,-0.21296),(6445,6215,0.79821,-0.20739),(6445,6225,0.79897,-0.20183),(6445,6235,0.79973,-0.19624),(6445,6245,0.80043,-0.19065),(6445,6255,0.80106,-0.18506),(6445,6265,0.80168,-0.17948),(6445,6275,0.80243,-0.17389),(6445,6285,0.80354,-0.16831),(6445,6295,0.80464,-0.16283),(6445,6305,0.80567,-0.1574),(6445,6315,0.80581,-0.15198),(6445,6325,0.80595,-0.14648),(6445,6335,0.80608,-0.14091),(6445,6345,0.80663,-0.13534),(6445,6355,0.80722,-0.12973),(6445,6365,0.80782,-0.12401),(6445,6375,0.80831,-0.1183),(6445,6385,0.80877,-0.1126),(6445,6395,0.80924,-0.10703),(6445,6405,0.80965,-0.10146),(6445,6415,0.81003,-0.095885),(6445,6425,0.81042,-0.090244),(6445,6435,0.81078,-0.0846),(6445,6445,0.8111,-0.078956),(6445,6455,0.81142,-0.073325),(6445,6465,0.81173,-0.067697),(6445,6475,0.81201,-0.062069),(6445,6485,0.81229,-0.056419),(6445,6495,0.81256,-0.050754),(6445,6505,0.81276,-0.045089),(6445,6515,0.81296,-0.039425),(6445,6525,0.81316,-0.033762),(6445,6535,0.81324,-0.028099),(6445,6545,0.81329,-0.022454),(6445,6555,0.81334,-0.016867),(6445,6565,0.8136,-0.011279),(6445,6575,0.81397,-0.00569),(6445,6585,0.81434,-7.3e-05),(6445,6595,0.69277,0.005544),(6445,6605,0.43655,0.01116),(6445,6615,0.18034,0.011882),(6445,6625,0.000235,0.011975),(6445,6635,0.000277,0.012068),(6445,6645,0.00032,0.012096),(6445,6655,0.000363,0.012096),(6445,6665,0.000405,0.012096),(6445,6675,0.000448,0.012096),(6445,6685,0.00049,0.012095),(6445,6695,0.000533,0.012094),(6445,6705,0.000575,0.012093),(6445,6715,0.000617,0.01209),(6445,6725,0.000659,0.012088),(6445,6735,0.000701,0.012085),(6445,6745,0.000743,0.012081),(6445,6755,0.000784,0.012077),(6445,6765,0.000826,0.012073),(6445,6775,0.000867,0.012067),(6445,6785,0.000908,0.012062),(6445,6795,0.000949,0.012056),(6445,6805,0.00099,0.01205),(6445,6815,0.00103,0.012043),(6445,6825,0.001071,0.012036),(6445,6835,0.001111,0.012028),(6445,6845,0.001151,0.01202),(6445,6855,0.001191,0.012012),(6445,6865,0.00123,0.012003),(6445,6875,0.00127,0.011993),(6445,6885,0.001309,0.011983),(6445,6895,0.001348,0.011973),(6445,6905,0.001386,0.011962),(6445,6915,0.001425,0.011951),(6445,6925,0.001463,0.01194),(6445,6935,0.001501,0.011928),(6445,6945,0.001538,0.011916),(6445,6955,0.001575,0.011903),(6445,6965,0.001612,0.01189),(6445,6975,0.001649,0.011877),(6445,6985,0.001685,0.011863),(6455,5,7e-06,-0.61455),(6455,15,2e-05,-0.61452),(6455,25,2.9e-05,-0.61449),(6455,35,3.5e-05,-0.61445),(6455,45,4e-05,-0.61442),(6455,55,4.5e-05,-0.61439),(6455,65,6.1e-05,-0.61436),(6455,75,8.5e-05,-0.61433),(6455,85,0.000108,-0.61434),(6455,95,0.000132,-0.61439),(6455,105,0.000151,-0.61443),(6455,115,0.000167,-0.61447),(6455,125,0.000182,-0.61448),(6455,135,0.000198,-0.61448),(6455,145,0.000189,-0.61448),(6455,155,0.000167,-0.61448),(6455,165,0.000144,-0.61446),(6455,175,0.000122,-0.61444),(6455,185,7.5e-05,-0.61441),(6455,195,1.7e-05,-0.61439),(6455,205,-4.1e-05,-0.61431),(6455,215,-9.9e-05,-0.6142),(6455,225,-0.000118,-0.6141),(6455,235,-0.000122,-0.61399),(6455,245,-0.000126,-0.61396),(6455,255,-0.00013,-0.61397),(6455,265,-7.5e-05,-0.61397),(6455,275,-1e-06,-0.61397),(6455,285,7.2e-05,-0.61403),(6455,295,0.000146,-0.61411),(6455,305,0.000204,-0.61419),(6455,315,0.000258,-0.61426),(6455,325,0.000311,-0.61428),(6455,335,0.000365,-0.61427),(6455,345,0.00036,-0.61427),(6455,355,0.000344,-0.61427),(6455,365,0.000328,-0.61424),(6455,375,0.000311,-0.6142),(6455,385,0.000332,-0.61416),(6455,395,0.000358,-0.61412),(6455,405,0.000384,-0.61413),(6455,415,0.000411,-0.61414),(6455,425,0.000421,-0.61415),(6455,435,0.000429,-0.61416),(6455,445,0.000438,-0.61417),(6455,455,0.000446,-0.61417),(6455,465,0.000413,-0.61418),(6455,475,0.000378,-0.61419),(6455,485,0.000342,-0.61412),(6455,495,0.000307,-0.61405),(6455,505,0.000275,-0.61397),(6455,515,0.000244,-0.6139),(6455,525,0.000212,-0.61387),(6455,535,0.000181,-0.61384),(6455,545,0.000164,-0.61381),(6455,555,0.000147,-0.61377),(6455,565,0.000129,-0.61372),(6455,575,0.000114,-0.61366),(6455,585,0.000124,-0.61361),(6455,595,0.000134,-0.61355),(6455,605,0.000143,-0.61352),(6455,615,0.000159,-0.61348),(6455,625,0.000219,-0.61345),(6455,635,0.000278,-0.61342),(6455,645,0.000338,-0.61343),(6455,655,0.000402,-0.61345),(6455,665,0.000491,-0.61347),(6455,675,0.00058,-0.61349),(6455,685,0.000669,-0.61354),(6455,695,0.000748,-0.61359),(6455,705,0.000784,-0.61364),(6455,715,0.00082,-0.61366),(6455,725,0.000856,-0.6136),(6455,735,0.000869,-0.61353),(6455,745,0.000809,-0.61347),(6455,755,0.000748,-0.6134),(6455,765,0.000688,-0.61332),(6455,775,0.000659,-0.61325),(6455,785,0.000716,-0.61317),(6455,795,0.000772,-0.61311),(6455,805,0.000828,-0.6131),(6455,815,0.000866,-0.61309),(6455,825,0.000861,-0.61307),(6455,835,0.000856,-0.61304),(6455,845,0.000851,-0.61295),(6455,855,0.000845,-0.61286),(6455,865,0.000837,-0.61278),(6455,875,0.00083,-0.61268),(6455,885,0.000822,-0.61256),(6455,895,0.000822,-0.61245),(6455,905,0.000835,-0.61233),(6455,915,0.000847,-0.61223),(6455,925,0.00086,-0.61217),(6455,935,0.000889,-0.6121),(6455,945,0.000938,-0.61204),(6455,955,0.000988,-0.61197),(6455,965,0.001038,-0.61191),(6455,975,0.001059,-0.61184),(6455,985,0.001047,-0.61177),(6455,995,0.001035,-0.61167),(6455,1005,0.001023,-0.61152),(6455,1015,0.001004,-0.61137),(6455,1025,0.000976,-0.61123),(6455,1035,0.000949,-0.61112),(6455,1045,0.000921,-0.61104),(6455,1055,0.000906,-0.61096),(6455,1065,0.000902,-0.61089),(6455,1075,0.000897,-0.61089),(6455,1085,0.000892,-0.61095),(6455,1095,0.000828,-0.61102),(6455,1105,0.000721,-0.61108),(6455,1115,0.000615,-0.6112),(6455,1125,0.000508,-0.61137),(6455,1135,0.000472,-0.61153),(6455,1145,0.000476,-0.61169),(6455,1155,0.000481,-0.61189),(6455,1165,0.000485,-0.61211),(6455,1175,0.000845,-0.61234),(6455,1185,0.001382,-0.61256),(6455,1195,0.001918,-0.61263),(6455,1205,0.002455,-0.61263),(6455,1215,0.002625,-0.61263),(6455,1225,0.002645,-0.61264),(6455,1235,0.002665,-0.61371),(6455,1245,0.002684,-0.61517),(6455,1255,-0.017853,-0.61664),(6455,1265,-0.045334,-0.61811),(6455,1275,-0.072815,-0.64751),(6455,1285,-0.1003,-0.68538),(6455,1295,-0.15239,-0.72325),(6455,1305,-0.21113,-0.76112),(6455,1315,-0.26988,-0.85458),(6455,1325,-0.32862,-0.96135),(6455,1335,-0.20251,-1.0681),(6455,1345,-0.037643,-1.1749),(6455,1355,0.12722,-1.1079),(6455,1365,0.29208,-1.0094),(6455,1375,0.27534,-0.91089),(6455,1385,0.23059,-0.81239),(6455,1395,0.18583,-0.75923),(6455,1405,0.14107,-0.71189),(6455,1415,0.10447,-0.66456),(6455,1425,0.068717,-0.61722),(6455,1435,0.032964,-0.61286),(6455,1445,-0.002789,-0.61195),(6455,1455,-0.004391,-0.61103),(6455,1465,-0.004026,-0.61012),(6455,1475,-0.003661,-0.61043),(6455,1485,-0.003296,-0.61079),(6455,1495,-0.002479,-0.61115),(6455,1505,-0.001656,-0.6115),(6455,1515,-0.000832,-0.61118),(6455,1525,-2.7e-05,-0.61086),(6455,1535,2.7e-05,-0.61055),(6455,1545,8.1e-05,-0.61023),(6455,1555,0.000135,-0.60992),(6455,1565,0.00018,-0.60962),(6455,1575,0.000106,-0.60931),(6455,1585,3.2e-05,-0.60902),(6455,1595,-4.2e-05,-0.6089),(6455,1605,-0.000111,-0.60878),(6455,1615,-0.000136,-0.60866),(6455,1625,-0.000161,-0.60856),(6455,1635,-0.000186,-0.60857),(6455,1645,-0.000213,-0.60858),(6455,1655,-0.00025,-0.60859),(6455,1665,-0.000288,-0.60859),(6455,1675,-0.000326,-0.60856),(6455,1685,-0.000361,-0.60852),(6455,1695,-0.000388,-0.60849),(6455,1705,-0.000415,-0.60845),(6455,1715,-0.000442,-0.6084),(6455,1725,-0.000456,-0.60836),(6455,1735,-0.000429,-0.60832),(6455,1745,-0.000402,-0.60829),(6455,1755,-0.000375,-0.60832),(6455,1765,-0.000349,-0.60835),(6455,1775,-0.000326,-0.60838),(6455,1785,-0.000303,-0.60839),(6455,1795,-0.000279,-0.60834),(6455,1805,-0.000245,-0.60829),(6455,1815,-0.000185,-0.60824),(6455,1825,-0.000125,-0.60819),(6455,1835,-6.5e-05,-0.60816),(6455,1845,-1.3e-05,-0.60813),(6455,1855,2.6e-05,-0.60809),(6455,1865,6.4e-05,-0.60807),(6455,1875,0.000103,-0.60805),(6455,1885,0.000162,-0.60804),(6455,1895,0.000256,-0.60802),(6455,1905,0.00035,-0.60799),(6455,1915,0.000444,-0.60793),(6455,1925,0.000494,-0.60788),(6455,1935,0.000484,-0.60782),(6455,1945,0.000473,-0.60775),(6455,1955,0.000463,-0.60766),(6455,1965,0.000431,-0.60758),(6455,1975,0.000374,-0.6075),(6455,1985,0.000316,-0.60736),(6455,1995,0.000259,-0.60717),(6455,2005,0.000215,-0.60697),(6455,2015,0.000185,-0.60677),(6455,2025,0.000154,-0.60661),(6455,2035,0.000124,-0.60648),(6455,2045,0.000112,-0.60635),(6455,2055,0.000115,-0.60622),(6455,2065,0.000118,-0.6061),(6455,2075,0.000121,-0.60598),(6455,2085,0.000117,-0.60587),(6455,2095,0.000107,-0.60575),(6455,2105,9.7e-05,-0.60561),(6455,2115,8.8e-05,-0.60546),(6455,2125,9.1e-05,-0.60531),(6455,2135,0.000103,-0.60515),(6455,2145,0.000114,-0.60503),(6455,2155,0.000126,-0.60491),(6455,2165,0.000149,-0.6048),(6455,2175,0.000177,-0.60468),(6455,2185,0.000205,-0.60456),(6455,2195,0.000233,-0.60442),(6455,2205,0.000269,-0.60429),(6455,2215,0.000308,-0.60415),(6455,2225,0.000347,-0.604),(6455,2235,0.000386,-0.60385),(6455,2245,0.000377,-0.60369),(6455,2255,0.000351,-0.60354),(6455,2265,0.000325,-0.60338),(6455,2275,0.000299,-0.60322),(6455,2285,0.000319,-0.60307),(6455,2295,0.000353,-0.60291),(6455,2305,0.000386,-0.60271),(6455,2315,0.00042,-0.60249),(6455,2325,0.000421,-0.60227),(6455,2335,0.000415,-0.60206),(6455,2345,0.000408,-0.60189),(6455,2355,0.000402,-0.60172),(6455,2365,0.000411,-0.60156),(6455,2375,0.000422,-0.6014),(6455,2385,0.000433,-0.60121),(6455,2395,0.000444,-0.60101),(6455,2405,0.000454,-0.60082),(6455,2415,0.000465,-0.60063),(6455,2425,0.000475,-0.60041),(6455,2435,0.000485,-0.60019),(6455,2445,0.000506,-0.59997),(6455,2455,0.000527,-0.59975),(6455,2465,0.000548,-0.59955),(6455,2475,0.000569,-0.59934),(6455,2485,0.000561,-0.59914),(6455,2495,0.000551,-0.59893),(6455,2505,0.000542,-0.59865),(6455,2515,0.000533,-0.59836),(6455,2525,0.000529,-0.59808),(6455,2535,0.000525,-0.59779),(6455,2545,0.000521,-0.59752),(6455,2555,0.000522,-0.59724),(6455,2565,0.000611,-0.59697),(6455,2575,0.000701,-0.59671),(6455,2585,0.00079,-0.59657),(6455,2595,0.000883,-0.59643),(6455,2605,0.001008,-0.59629),(6455,2615,0.001134,-0.59614),(6455,2625,0.00126,-0.59595),(6455,2635,0.001356,-0.59576),(6455,2645,0.001264,-0.59557),(6455,2655,0.001171,-0.59537),(6455,2665,0.001079,-0.59508),(6455,2675,0.001005,-0.59479),(6455,2685,0.00102,-0.5945),(6455,2695,0.001035,-0.5942),(6455,2705,0.00105,-0.59383),(6455,2715,0.00105,-0.59345),(6455,2725,0.000999,-0.59308),(6455,2735,0.000948,-0.59273),(6455,2745,0.000896,-0.59242),(6455,2755,0.000863,-0.59212),(6455,2765,0.000884,-0.59182),(6455,2775,0.000904,-0.59152),(6455,2785,0.000924,-0.59122),(6455,2795,0.000952,-0.59093),(6455,2805,0.000996,-0.59063),(6455,2815,0.001041,-0.59034),(6455,2825,0.001085,-0.59004),(6455,2835,0.001125,-0.58975),(6455,2845,0.001156,-0.58945),(6455,2855,0.001187,-0.58914),(6455,2865,0.001218,-0.5888),(6455,2875,0.001239,-0.58847),(6455,2885,0.001243,-0.58813),(6455,2895,0.001248,-0.58779),(6455,2905,0.001252,-0.58743),(6455,2915,0.001254,-0.58708),(6455,2925,0.001251,-0.58673),(6455,2935,0.001249,-0.58637),(6455,2945,0.001246,-0.586),(6455,2955,0.001243,-0.58563),(6455,2965,0.00124,-0.58526),(6455,2975,0.001238,-0.58488),(6455,2985,0.001235,-0.58447),(6455,2995,0.001258,-0.58407),(6455,3005,0.001309,-0.58367),(6455,3015,0.001359,-0.58328),(6455,3025,0.00141,-0.58289),(6455,3035,0.001408,-0.58251),(6455,3045,0.00136,-0.58213),(6455,3055,0.001312,-0.58177),(6455,3065,0.001264,-0.58143),(6455,3075,0.001294,-0.58109),(6455,3085,0.001381,-0.58075),(6455,3095,0.001469,-0.58033),(6455,3105,0.001557,-0.57984),(6455,3115,0.0016,-0.57936),(6455,3125,0.001613,-0.57887),(6455,3135,0.001628,-0.57844),(6455,3145,0.001642,-0.57805),(6455,3155,0.001691,-0.57766),(6455,3165,0.00176,-0.57727),(6455,3175,0.001829,-0.57689),(6455,3185,0.001898,-0.57651),(6455,3195,0.001927,-0.57614),(6455,3205,0.001939,-0.57576),(6455,3215,0.001951,-0.57532),(6455,3225,0.001962,-0.57486),(6455,3235,0.001933,-0.5744),(6455,3245,0.001888,-0.57393),(6455,3255,0.001843,-0.57341),(6455,3265,0.001798,-0.57286),(6455,3275,0.001772,-0.57232),(6455,3285,0.001751,-0.57177),(6455,3295,0.001731,-0.57126),(6455,3305,0.00171,-0.57076),(6455,3315,0.001733,-0.57026),(6455,3325,0.001766,-0.56977),(6455,3335,0.0018,-0.5693),(6455,3345,0.001833,-0.56885),(6455,3355,0.001887,-0.56839),(6455,3365,0.001944,-0.56794),(6455,3375,0.002001,-0.56739),(6455,3385,0.002059,-0.56683),(6455,3395,0.001989,-0.56626),(6455,3405,0.001902,-0.5657),(6455,3415,0.001816,-0.56522),(6455,3425,0.00173,-0.56474),(6455,3435,0.00181,-0.56427),(6455,3445,0.001903,-0.5638),(6455,3455,0.001996,-0.56318),(6455,3465,0.00209,-0.56256),(6455,3475,0.002093,-0.56193),(6455,3485,0.002093,-0.56131),(6455,3495,0.002093,-0.56071),(6455,3505,0.002092,-0.56012),(6455,3515,0.002075,-0.55953),(6455,3525,0.002058,-0.55893),(6455,3535,0.002041,-0.5583),(6455,3545,0.002026,-0.55766),(6455,3555,0.00207,-0.55702),(6455,3565,0.002115,-0.55638),(6455,3575,0.002159,-0.55578),(6455,3585,0.002198,-0.55518),(6455,3595,0.002175,-0.55458),(6455,3605,0.002152,-0.55397),(6455,3615,0.002129,-0.55332),(6455,3625,0.002115,-0.55267),(6455,3635,0.002165,-0.55202),(6455,3645,0.002215,-0.55136),(6455,3655,0.002265,-0.55064),(6455,3665,0.002307,-0.54993),(6455,3675,0.002305,-0.54921),(6455,3685,0.002302,-0.54852),(6455,3695,0.0023,-0.54792),(6455,3705,0.002284,-0.54732),(6455,3715,0.002211,-0.54672),(6455,3725,0.002139,-0.54612),(6455,3735,0.002066,-0.54552),(6455,3745,0.002005,-0.54492),(6455,3755,0.001979,-0.54433),(6455,3765,0.001953,-0.54378),(6455,3775,0.001926,-0.54337),(6455,3785,0.00185,-0.54297),(6455,3795,0.001643,-0.54257),(6455,3805,0.001437,-0.54225),(6455,3815,0.001231,-0.54214),(6455,3825,0.001023,-0.54203),(6455,3835,0.000808,-0.54192),(6455,3845,0.000594,-0.54195),(6455,3855,0.00038,-0.54227),(6455,3865,8.3e-05,-0.5426),(6455,3875,-0.00036,-0.54292),(6455,3885,-0.000804,-0.54351),(6455,3895,-0.001247,-0.54452),(6455,3905,-0.002125,-0.54554),(6455,3915,-0.003654,-0.54656),(6455,3925,-0.005183,-0.54903),(6455,3935,-0.006712,-0.55353),(6455,3945,-0.016195,-0.55802),(6455,3955,-0.035778,-0.56251),(6455,3965,-0.055361,-0.57872),(6455,3975,-0.074944,-0.60866),(6455,3985,-0.12036,-0.6386),(6455,3995,-0.19373,-0.66855),(6455,4005,-0.2671,-0.73765),(6455,4015,-0.34047,-0.84593),(6455,4025,-0.1612,-0.9542),(6455,4035,0.042793,-1.0274),(6455,4045,0.24678,-1.0266),(6455,4055,0.3434,-1.0257),(6455,4065,0.40083,-1.0248),(6455,4075,0.45827,-1.023),(6455,4085,0.4843,-1.0213),(6455,4095,0.48509,-1.0195),(6455,4105,0.48588,-1.0176),(6455,4115,0.48664,-1.0157),(6455,4125,0.48732,-1.0137),(6455,4135,0.48801,-1.0118),(6455,4145,0.48875,-1.0099),(6455,4155,0.48968,-1.008),(6455,4165,0.49061,-1.0061),(6455,4175,0.49154,-1.0041),(6455,4185,0.49238,-1.0022),(6455,4195,0.49323,-1.0002),(6455,4205,0.49407,-0.99819),(6455,4215,0.49498,-0.99616),(6455,4225,0.4959,-0.99415),(6455,4235,0.49681,-0.99216),(6455,4245,0.49777,-0.99018),(6455,4255,0.49875,-0.98819),(6455,4265,0.49973,-0.98619),(6455,4275,0.50072,-0.98419),(6455,4285,0.50173,-0.98219),(6455,4295,0.50274,-0.98013),(6455,4305,0.50376,-0.97806),(6455,4315,0.5048,-0.976),(6455,4325,0.50584,-0.97387),(6455,4335,0.50689,-0.97172),(6455,4345,0.50797,-0.96956),(6455,4355,0.50905,-0.96739),(6455,4365,0.51013,-0.96519),(6455,4375,0.51125,-0.963),(6455,4385,0.51237,-0.96078),(6455,4395,0.5135,-0.95849),(6455,4405,0.51466,-0.9562),(6455,4415,0.51583,-0.95391),(6455,4425,0.517,-0.95159),(6455,4435,0.51815,-0.94926),(6455,4445,0.5193,-0.94694),(6455,4455,0.52045,-0.94457),(6455,4465,0.52165,-0.9422),(6455,4475,0.52291,-0.93984),(6455,4485,0.52417,-0.93738),(6455,4495,0.52543,-0.9349),(6455,4505,0.52668,-0.93243),(6455,4515,0.52794,-0.92991),(6455,4525,0.5292,-0.92737),(6455,4535,0.53052,-0.92483),(6455,4545,0.53184,-0.92227),(6455,4555,0.53316,-0.91967),(6455,4565,0.53454,-0.91707),(6455,4575,0.53592,-0.91446),(6455,4585,0.53731,-0.91184),(6455,4595,0.53874,-0.90921),(6455,4605,0.54018,-0.90659),(6455,4615,0.54163,-0.90392),(6455,4625,0.5431,-0.90125),(6455,4635,0.54459,-0.89858),(6455,4645,0.54608,-0.89583),(6455,4655,0.54759,-0.89308),(6455,4665,0.54911,-0.89032),(6455,4675,0.55064,-0.88747),(6455,4685,0.55217,-0.88459),(6455,4695,0.55371,-0.88171),(6455,4705,0.55525,-0.87878),(6455,4715,0.5568,-0.87581),(6455,4725,0.55842,-0.87284),(6455,4735,0.56004,-0.86984),(6455,4745,0.56166,-0.8668),(6455,4755,0.56323,-0.86376),(6455,4765,0.56478,-0.86072),(6455,4775,0.56634,-0.85764),(6455,4785,0.56796,-0.85456),(6455,4795,0.56963,-0.85148),(6455,4805,0.5713,-0.84832),(6455,4815,0.57299,-0.84516),(6455,4825,0.57471,-0.84199),(6455,4835,0.57643,-0.83878),(6455,4845,0.57815,-0.83555),(6455,4855,0.5799,-0.83233),(6455,4865,0.58164,-0.82904),(6455,4875,0.58338,-0.82574),(6455,4885,0.58513,-0.82243),(6455,4895,0.58688,-0.81907),(6455,4905,0.58863,-0.81567),(6455,4915,0.59039,-0.81227),(6455,4925,0.59214,-0.80884),(6455,4935,0.5939,-0.80536),(6455,4945,0.59567,-0.80188),(6455,4955,0.59744,-0.79839),(6455,4965,0.59922,-0.79484),(6455,4975,0.601,-0.7913),(6455,4985,0.6028,-0.78775),(6455,4995,0.6046,-0.78415),(6455,5005,0.6064,-0.78055),(6455,5015,0.6082,-0.77695),(6455,5025,0.61001,-0.7733),(6455,5035,0.61186,-0.76965),(6455,5045,0.61391,-0.766),(6455,5055,0.61596,-0.76225),(6455,5065,0.618,-0.75844),(6455,5075,0.61967,-0.75462),(6455,5085,0.62134,-0.75083),(6455,5095,0.623,-0.74704),(6455,5105,0.62485,-0.74326),(6455,5115,0.62673,-0.73945),(6455,5125,0.6286,-0.73555),(6455,5135,0.63045,-0.73164),(6455,5145,0.63228,-0.72773),(6455,5155,0.6341,-0.72371),(6455,5165,0.63592,-0.71968),(6455,5175,0.63773,-0.71566),(6455,5185,0.63955,-0.71158),(6455,5195,0.64137,-0.70749),(6455,5205,0.6432,-0.70339),(6455,5215,0.64503,-0.6993),(6455,5225,0.64687,-0.6952),(6455,5235,0.64873,-0.6911),(6455,5245,0.6506,-0.68698),(6455,5255,0.65246,-0.68284),(6455,5265,0.65434,-0.67871),(6455,5275,0.65622,-0.67453),(6455,5285,0.65809,-0.6703),(6455,5295,0.65995,-0.66607),(6455,5305,0.66181,-0.66181),(6455,5315,0.66367,-0.65748),(6455,5325,0.6655,-0.65315),(6455,5335,0.66733,-0.64883),(6455,5345,0.66915,-0.64446),(6455,5355,0.67096,-0.6401),(6455,5365,0.67275,-0.63573),(6455,5375,0.67455,-0.63133),(6455,5385,0.67634,-0.62692),(6455,5395,0.67812,-0.62252),(6455,5405,0.67989,-0.61808),(6455,5415,0.68167,-0.61361),(6455,5425,0.68345,-0.60915),(6455,5435,0.68522,-0.60467),(6455,5445,0.687,-0.60017),(6455,5455,0.68878,-0.59567),(6455,5465,0.69056,-0.59115),(6455,5475,0.69234,-0.5866),(6455,5485,0.69409,-0.58205),(6455,5495,0.69584,-0.57748),(6455,5505,0.69759,-0.57283),(6455,5515,0.6993,-0.56818),(6455,5525,0.701,-0.56352),(6455,5535,0.70269,-0.55879),(6455,5545,0.70437,-0.55405),(6455,5555,0.70604,-0.54931),(6455,5565,0.7077,-0.54455),(6455,5575,0.70936,-0.53979),(6455,5585,0.71102,-0.53503),(6455,5595,0.71268,-0.53026),(6455,5605,0.71434,-0.52547),(6455,5615,0.71599,-0.52069),(6455,5625,0.71763,-0.51588),(6455,5635,0.71927,-0.51103),(6455,5645,0.72086,-0.50619),(6455,5655,0.72244,-0.50133),(6455,5665,0.72401,-0.49646),(6455,5675,0.72582,-0.49159),(6455,5685,0.72775,-0.48671),(6455,5695,0.72969,-0.48164),(6455,5705,0.73127,-0.47656),(6455,5715,0.73246,-0.47149),(6455,5725,0.73365,-0.46651),(6455,5735,0.73494,-0.46155),(6455,5745,0.73647,-0.45659),(6455,5755,0.738,-0.45154),(6455,5765,0.73953,-0.44647),(6455,5775,0.74098,-0.44139),(6455,5785,0.74243,-0.4363),(6455,5795,0.74388,-0.43119),(6455,5805,0.74531,-0.42608),(6455,5815,0.74673,-0.42098),(6455,5825,0.74815,-0.41586),(6455,5835,0.74954,-0.41075),(6455,5845,0.75092,-0.40563),(6455,5855,0.7523,-0.40045),(6455,5865,0.75365,-0.39527),(6455,5875,0.75497,-0.39009),(6455,5885,0.7563,-0.38485),(6455,5895,0.7576,-0.3796),(6455,5905,0.75886,-0.37436),(6455,5915,0.76012,-0.3691),(6455,5925,0.76137,-0.36384),(6455,5935,0.76255,-0.35858),(6455,5945,0.76373,-0.35334),(6455,5955,0.76493,-0.34811),(6455,5965,0.76653,-0.34288),(6455,5975,0.76813,-0.33755),(6455,5985,0.76973,-0.3321),(6455,5995,0.77062,-0.32665),(6455,6005,0.7714,-0.32126),(6455,6015,0.77218,-0.31602),(6455,6025,0.77322,-0.31078),(6455,6035,0.77438,-0.30552),(6455,6045,0.77555,-0.30015),(6455,6055,0.77664,-0.29479),(6455,6065,0.77768,-0.28942),(6455,6075,0.77871,-0.28396),(6455,6085,0.77971,-0.27849),(6455,6095,0.78067,-0.27301),(6455,6105,0.78162,-0.26756),(6455,6115,0.78257,-0.2621),(6455,6125,0.7835,-0.25665),(6455,6135,0.78442,-0.2512),(6455,6145,0.78534,-0.24577),(6455,6155,0.78623,-0.24033),(6455,6165,0.78711,-0.23486),(6455,6175,0.788,-0.22933),(6455,6185,0.78884,-0.2238),(6455,6195,0.78966,-0.21826),(6455,6205,0.79049,-0.21271),(6455,6215,0.79128,-0.20716),(6455,6225,0.79203,-0.20161),(6455,6235,0.79278,-0.19605),(6455,6245,0.79349,-0.19049),(6455,6255,0.79413,-0.18494),(6455,6265,0.79477,-0.17942),(6455,6275,0.7955,-0.17392),(6455,6285,0.79648,-0.16841),(6455,6295,0.79746,-0.16282),(6455,6305,0.79838,-0.15718),(6455,6315,0.79862,-0.15154),(6455,6325,0.79887,-0.14598),(6455,6335,0.79911,-0.1405),(6455,6345,0.79964,-0.13503),(6455,6355,0.8002,-0.12948),(6455,6365,0.80077,-0.1238),(6455,6375,0.80126,-0.11811),(6455,6385,0.80172,-0.11244),(6455,6395,0.80218,-0.10688),(6455,6405,0.80259,-0.10132),(6455,6415,0.80298,-0.095757),(6455,6425,0.80336,-0.090119),(6455,6435,0.80372,-0.084478),(6455,6445,0.80403,-0.078837),(6455,6455,0.80435,-0.073205),(6455,6465,0.80466,-0.067575),(6455,6475,0.80493,-0.061945),(6455,6485,0.8052,-0.056301),(6455,6495,0.80547,-0.050646),(6455,6505,0.80567,-0.044991),(6455,6515,0.80587,-0.039348),(6455,6525,0.80608,-0.033721),(6455,6535,0.80618,-0.028094),(6455,6545,0.80626,-0.022499),(6455,6555,0.80634,-0.017006),(6455,6565,0.80657,-0.011513),(6455,6575,0.80687,-0.006004),(6455,6585,0.80718,-0.000276),(6455,6595,0.68665,0.005452),(6455,6605,0.4327,0.01118),(6455,6615,0.17874,0.011918),(6455,6625,0.000233,0.012014),(6455,6635,0.000276,0.01211),(6455,6645,0.000319,0.012138),(6455,6655,0.000362,0.012139),(6455,6665,0.000405,0.012139),(6455,6675,0.000448,0.012138),(6455,6685,0.000491,0.012137),(6455,6695,0.000533,0.012136),(6455,6705,0.000576,0.012135),(6455,6715,0.000619,0.012132),(6455,6725,0.000661,0.012129),(6455,6735,0.000703,0.012126),(6455,6745,0.000746,0.012122),(6455,6755,0.000788,0.012118),(6455,6765,0.00083,0.012114),(6455,6775,0.000871,0.012108),(6455,6785,0.000913,0.012103),(6455,6795,0.000954,0.012097),(6455,6805,0.000995,0.01209),(6455,6815,0.001037,0.012083),(6455,6825,0.001077,0.012076),(6455,6835,0.001118,0.012068),(6455,6845,0.001159,0.01206),(6455,6855,0.001198,0.012051),(6455,6865,0.001238,0.012042),(6455,6875,0.001278,0.012032),(6455,6885,0.001318,0.012022),(6455,6895,0.001357,0.012012),(6455,6905,0.001396,0.012001),(6455,6915,0.001435,0.011989),(6455,6925,0.001473,0.011978),(6455,6935,0.001511,0.011965),(6455,6945,0.001549,0.011953),(6455,6955,0.001587,0.01194),(6455,6965,0.001624,0.011927),(6455,6975,0.001661,0.011913),(6455,6985,0.001698,0.011899),(6465,5,5e-06,-0.52963),(6465,15,1.5e-05,-0.52961),(6465,25,2.3e-05,-0.52959),(6465,35,2.8e-05,-0.52958),(6465,45,3.4e-05,-0.52955),(6465,55,3.9e-05,-0.52953),(6465,65,5.1e-05,-0.5295),(6465,75,6.7e-05,-0.52947),(6465,85,8.4e-05,-0.52948),(6465,95,0.0001,-0.52951),(6465,105,0.000114,-0.52953),(6465,115,0.000125,-0.52956),(6465,125,0.000137,-0.52957),(6465,135,0.000148,-0.52957),(6465,145,0.000145,-0.52957),(6465,155,0.000134,-0.52957),(6465,165,0.000123,-0.52956),(6465,175,0.000111,-0.52954),(6465,185,8.5e-05,-0.52953),(6465,195,5.2e-05,-0.52951),(6465,205,1.9e-05,-0.52943),(6465,215,-1.4e-05,-0.52933),(6465,225,-2.3e-05,-0.52924),(6465,235,-2.3e-05,-0.52914),(6465,245,-2.3e-05,-0.5291),(6465,255,-2.4e-05,-0.52908),(6465,265,1.2e-05,-0.52906),(6465,275,5.9e-05,-0.52904),(6465,285,0.000106,-0.52908),(6465,295,0.000152,-0.52912),(6465,305,0.000189,-0.52917),(6465,315,0.000224,-0.52922),(6465,325,0.000259,-0.52922),(6465,335,0.000294,-0.52921),(6465,345,0.000293,-0.5292),(6465,355,0.000285,-0.52919),(6465,365,0.000278,-0.52916),(6465,375,0.000271,-0.52912),(6465,385,0.000285,-0.52909),(6465,395,0.000304,-0.52905),(6465,405,0.000322,-0.52904),(6465,415,0.00034,-0.52902),(6465,425,0.000348,-0.52901),(6465,435,0.000356,-0.52899),(6465,445,0.000363,-0.52899),(6465,455,0.000371,-0.529),(6465,465,0.000353,-0.529),(6465,475,0.000334,-0.529),(6465,485,0.000316,-0.52893),(6465,495,0.000297,-0.52885),(6465,505,0.00028,-0.52878),(6465,515,0.000263,-0.52871),(6465,525,0.000247,-0.52866),(6465,535,0.00023,-0.52862),(6465,545,0.000223,-0.52858),(6465,555,0.000215,-0.52854),(6465,565,0.000207,-0.52847),(6465,575,0.0002,-0.52841),(6465,585,0.000209,-0.52835),(6465,595,0.000217,-0.52828),(6465,605,0.000226,-0.52823),(6465,615,0.000238,-0.52817),(6465,625,0.000277,-0.52811),(6465,635,0.000315,-0.52806),(6465,645,0.000354,-0.52804),(6465,655,0.000396,-0.52803),(6465,665,0.000452,-0.52801),(6465,675,0.000509,-0.52801),(6465,685,0.000565,-0.52803),(6465,695,0.000616,-0.52805),(6465,705,0.00064,-0.52807),(6465,715,0.000664,-0.52807),(6465,725,0.000689,-0.528),(6465,735,0.0007,-0.52793),(6465,745,0.000666,-0.52786),(6465,755,0.000633,-0.52779),(6465,765,0.000599,-0.52772),(6465,775,0.000585,-0.52765),(6465,785,0.000622,-0.52757),(6465,795,0.000659,-0.52751),(6465,805,0.000696,-0.52747),(6465,815,0.000721,-0.52742),(6465,825,0.000722,-0.52738),(6465,835,0.000722,-0.52733),(6465,845,0.000722,-0.52724),(6465,855,0.000721,-0.52716),(6465,865,0.00072,-0.52707),(6465,875,0.000718,-0.52697),(6465,885,0.000717,-0.52686),(6465,895,0.00072,-0.52675),(6465,905,0.000731,-0.52664),(6465,915,0.000741,-0.52654),(6465,925,0.000752,-0.52646),(6465,935,0.000773,-0.52638),(6465,945,0.000806,-0.5263),(6465,955,0.000839,-0.52623),(6465,965,0.000873,-0.52617),(6465,975,0.000889,-0.52611),(6465,985,0.000885,-0.52605),(6465,995,0.000881,-0.52597),(6465,1005,0.000877,-0.52585),(6465,1015,0.000868,-0.52573),(6465,1025,0.000855,-0.52561),(6465,1035,0.000842,-0.52551),(6465,1045,0.000828,-0.52544),(6465,1055,0.000822,-0.52537),(6465,1065,0.000823,-0.5253),(6465,1075,0.000823,-0.5253),(6465,1085,0.000824,-0.52534),(6465,1095,0.000788,-0.52539),(6465,1105,0.000727,-0.52544),(6465,1115,0.000666,-0.52556),(6465,1125,0.000605,-0.52574),(6465,1135,0.000586,-0.52592),(6465,1145,0.000592,-0.5261),(6465,1155,0.000599,-0.52626),(6465,1165,0.000605,-0.52642),(6465,1175,0.000825,-0.52657),(6465,1185,0.001153,-0.52673),(6465,1195,0.00148,-0.52647),(6465,1205,0.001808,-0.52601),(6465,1215,0.001915,-0.52556),(6465,1225,0.001931,-0.52511),(6465,1235,0.001947,-0.52504),(6465,1245,0.001963,-0.52512),(6465,1255,-0.010428,-0.52519),(6465,1265,-0.02701,-0.52526),(6465,1275,-0.043592,-0.55683),(6465,1285,-0.060174,-0.59795),(6465,1295,-0.091571,-0.63906),(6465,1305,-0.12697,-0.68018),(6465,1315,-0.16238,-0.79065),(6465,1325,-0.19778,-0.91771),(6465,1335,-0.12187,-1.0448),(6465,1345,-0.02263,-1.1718),(6465,1355,0.076609,-1.0917),(6465,1365,0.17585,-0.97401),(6465,1375,0.1658,-0.85631),(6465,1385,0.13888,-0.73862),(6465,1395,0.11197,-0.679),(6465,1405,0.085052,-0.62685),(6465,1415,0.062975,-0.5747),(6465,1425,0.041401,-0.52255),(6465,1435,0.019826,-0.51942),(6465,1445,-0.001748,-0.52022),(6465,1455,-0.00271,-0.52101),(6465,1465,-0.002485,-0.52181),(6465,1475,-0.002261,-0.52272),(6465,1485,-0.002036,-0.52363),(6465,1495,-0.00154,-0.52455),(6465,1505,-0.001039,-0.52546),(6465,1515,-0.000538,-0.52524),(6465,1525,-4.8e-05,-0.52503),(6465,1535,-1.2e-05,-0.52481),(6465,1545,2.4e-05,-0.5246),(6465,1555,6e-05,-0.5243),(6465,1565,9e-05,-0.52401),(6465,1575,4.9e-05,-0.52371),(6465,1585,8e-06,-0.52343),(6465,1595,-3.4e-05,-0.52329),(6465,1605,-7.2e-05,-0.52316),(6465,1615,-8.3e-05,-0.52302),(6465,1625,-9.5e-05,-0.5229),(6465,1635,-0.000107,-0.5229),(6465,1645,-0.000119,-0.5229),(6465,1655,-0.000138,-0.5229),(6465,1665,-0.000158,-0.52289),(6465,1675,-0.000177,-0.52285),(6465,1685,-0.000195,-0.52281),(6465,1695,-0.000207,-0.52276),(6465,1705,-0.00022,-0.52272),(6465,1715,-0.000233,-0.52267),(6465,1725,-0.000238,-0.52262),(6465,1735,-0.000218,-0.52258),(6465,1745,-0.000198,-0.52254),(6465,1755,-0.000178,-0.52256),(6465,1765,-0.000159,-0.52258),(6465,1775,-0.000141,-0.5226),(6465,1785,-0.000123,-0.5226),(6465,1795,-0.000106,-0.52256),(6465,1805,-8.2e-05,-0.52251),(6465,1815,-4.2e-05,-0.52247),(6465,1825,-2e-06,-0.52242),(6465,1835,3.8e-05,-0.52238),(6465,1845,7.3e-05,-0.52234),(6465,1855,0.0001,-0.5223),(6465,1865,0.000127,-0.52228),(6465,1875,0.000154,-0.52229),(6465,1885,0.000194,-0.5223),(6465,1895,0.000254,-0.52231),(6465,1905,0.000314,-0.52229),(6465,1915,0.000375,-0.52224),(6465,1925,0.000408,-0.52218),(6465,1935,0.000406,-0.52212),(6465,1945,0.000403,-0.52207),(6465,1955,0.000401,-0.52201),(6465,1965,0.000385,-0.52195),(6465,1975,0.000354,-0.5219),(6465,1985,0.000323,-0.52179),(6465,1995,0.000292,-0.52164),(6465,2005,0.000269,-0.52148),(6465,2015,0.000255,-0.52133),(6465,2025,0.00024,-0.5212),(6465,2035,0.000225,-0.52109),(6465,2045,0.000221,-0.52098),(6465,2055,0.000227,-0.52087),(6465,2065,0.000232,-0.52077),(6465,2075,0.000238,-0.52068),(6465,2085,0.000238,-0.52059),(6465,2095,0.000236,-0.52049),(6465,2105,0.000234,-0.52038),(6465,2115,0.000232,-0.52026),(6465,2125,0.000237,-0.52013),(6465,2135,0.000248,-0.52001),(6465,2145,0.000258,-0.5199),(6465,2155,0.000269,-0.51981),(6465,2165,0.000286,-0.51971),(6465,2175,0.000306,-0.51962),(6465,2185,0.000327,-0.51951),(6465,2195,0.000348,-0.51939),(6465,2205,0.000373,-0.51928),(6465,2215,0.0004,-0.51916),(6465,2225,0.000427,-0.51903),(6465,2235,0.000454,-0.51889),(6465,2245,0.000452,-0.51875),(6465,2255,0.00044,-0.51861),(6465,2265,0.000427,-0.51849),(6465,2275,0.000415,-0.51839),(6465,2285,0.000431,-0.51828),(6465,2295,0.000454,-0.51817),(6465,2305,0.000478,-0.518),(6465,2315,0.000502,-0.51781),(6465,2325,0.000506,-0.51762),(6465,2335,0.000505,-0.51742),(6465,2345,0.000505,-0.51727),(6465,2355,0.000505,-0.51713),(6465,2365,0.000513,-0.51699),(6465,2375,0.000523,-0.51684),(6465,2385,0.000533,-0.51668),(6465,2395,0.000543,-0.51651),(6465,2405,0.000553,-0.51634),(6465,2415,0.000563,-0.51617),(6465,2425,0.000572,-0.51598),(6465,2435,0.000582,-0.51579),(6465,2445,0.000598,-0.5156),(6465,2455,0.000614,-0.51541),(6465,2465,0.00063,-0.51524),(6465,2475,0.000646,-0.51507),(6465,2485,0.000644,-0.51489),(6465,2495,0.000642,-0.51472),(6465,2505,0.00064,-0.51449),(6465,2515,0.000638,-0.51425),(6465,2525,0.000638,-0.51401),(6465,2535,0.000639,-0.51377),(6465,2545,0.00064,-0.51352),(6465,2555,0.000644,-0.51328),(6465,2565,0.000701,-0.51303),(6465,2575,0.000759,-0.51279),(6465,2585,0.000816,-0.51265),(6465,2595,0.000875,-0.51251),(6465,2605,0.000955,-0.51237),(6465,2615,0.001034,-0.51222),(6465,2625,0.001113,-0.51204),(6465,2635,0.001174,-0.51186),(6465,2645,0.001122,-0.51168),(6465,2655,0.001069,-0.51149),(6465,2665,0.001017,-0.51129),(6465,2675,0.000975,-0.5111),(6465,2685,0.000988,-0.5109),(6465,2695,0.001,-0.51067),(6465,2705,0.001012,-0.51033),(6465,2715,0.001016,-0.50999),(6465,2725,0.000989,-0.50965),(6465,2735,0.000961,-0.50933),(6465,2745,0.000933,-0.50905),(6465,2755,0.000916,-0.50878),(6465,2765,0.000932,-0.50851),(6465,2775,0.000947,-0.50824),(6465,2785,0.000963,-0.50798),(6465,2795,0.000983,-0.50771),(6465,2805,0.001013,-0.50745),(6465,2815,0.001043,-0.50719),(6465,2825,0.001073,-0.50693),(6465,2835,0.0011,-0.50667),(6465,2845,0.001122,-0.50641),(6465,2855,0.001144,-0.50613),(6465,2865,0.001166,-0.50584),(6465,2875,0.001182,-0.50555),(6465,2885,0.001188,-0.50525),(6465,2895,0.001194,-0.50495),(6465,2905,0.0012,-0.50464),(6465,2915,0.001204,-0.50432),(6465,2925,0.001205,-0.50401),(6465,2935,0.001207,-0.5037),(6465,2945,0.001209,-0.50338),(6465,2955,0.00121,-0.50305),(6465,2965,0.001212,-0.50273),(6465,2975,0.001213,-0.5024),(6465,2985,0.001215,-0.50205),(6465,2995,0.001232,-0.5017),(6465,3005,0.001266,-0.50135),(6465,3015,0.0013,-0.50099),(6465,3025,0.001333,-0.50063),(6465,3035,0.001336,-0.50027),(6465,3045,0.00131,-0.49991),(6465,3055,0.001284,-0.4996),(6465,3065,0.001258,-0.49934),(6465,3075,0.001279,-0.49908),(6465,3085,0.001336,-0.49881),(6465,3095,0.001392,-0.49844),(6465,3105,0.001448,-0.498),(6465,3115,0.001477,-0.49756),(6465,3125,0.001489,-0.49711),(6465,3135,0.0015,-0.49673),(6465,3145,0.001512,-0.49637),(6465,3155,0.001545,-0.49601),(6465,3165,0.00159,-0.49566),(6465,3175,0.001634,-0.49532),(6465,3185,0.001679,-0.49498),(6465,3195,0.0017,-0.49465),(6465,3205,0.00171,-0.49431),(6465,3215,0.001721,-0.49394),(6465,3225,0.001731,-0.49355),(6465,3235,0.001716,-0.49315),(6465,3245,0.001692,-0.49276),(6465,3255,0.001669,-0.49231),(6465,3265,0.001644,-0.49184),(6465,3275,0.001632,-0.49137),(6465,3285,0.001623,-0.4909),(6465,3295,0.001613,-0.49045),(6465,3305,0.001604,-0.49001),(6465,3315,0.001621,-0.48956),(6465,3325,0.001644,-0.48912),(6465,3335,0.001667,-0.48871),(6465,3345,0.001691,-0.4883),(6465,3355,0.001726,-0.48789),(6465,3365,0.001764,-0.48749),(6465,3375,0.001802,-0.487),(6465,3385,0.001839,-0.48649),(6465,3395,0.0018,-0.48599),(6465,3405,0.001751,-0.48549),(6465,3415,0.001702,-0.4851),(6465,3425,0.001653,-0.48473),(6465,3435,0.001704,-0.48435),(6465,3445,0.001764,-0.48398),(6465,3455,0.001823,-0.48343),(6465,3465,0.001883,-0.48287),(6465,3475,0.001888,-0.48231),(6465,3485,0.001891,-0.48175),(6465,3495,0.001894,-0.48125),(6465,3505,0.001896,-0.48075),(6465,3515,0.001889,-0.48025),(6465,3525,0.001881,-0.47975),(6465,3535,0.001874,-0.4792),(6465,3545,0.001868,-0.47865),(6465,3555,0.001898,-0.47809),(6465,3565,0.001928,-0.47754),(6465,3575,0.001958,-0.47703),(6465,3585,0.001984,-0.47653),(6465,3595,0.001973,-0.47602),(6465,3605,0.001962,-0.4755),(6465,3615,0.001951,-0.47494),(6465,3625,0.001945,-0.47438),(6465,3635,0.001978,-0.47381),(6465,3645,0.002011,-0.47325),(6465,3655,0.002044,-0.47266),(6465,3665,0.002072,-0.47208),(6465,3675,0.002074,-0.4715),(6465,3685,0.002075,-0.47093),(6465,3695,0.002076,-0.47044),(6465,3705,0.002069,-0.46994),(6465,3715,0.002028,-0.46944),(6465,3725,0.001987,-0.46895),(6465,3735,0.001946,-0.46844),(6465,3745,0.001912,-0.46794),(6465,3755,0.001898,-0.46744),(6465,3765,0.001885,-0.46697),(6465,3775,0.001872,-0.46662),(6465,3785,0.001828,-0.46627),(6465,3795,0.001706,-0.46591),(6465,3805,0.001584,-0.46566),(6465,3815,0.001462,-0.46562),(6465,3825,0.001339,-0.46558),(6465,3835,0.001212,-0.46555),(6465,3845,0.001085,-0.46561),(6465,3855,0.000958,-0.46585),(6465,3865,0.000782,-0.4661),(6465,3875,0.000517,-0.46634),(6465,3885,0.000252,-0.46676),(6465,3895,-1.3e-05,-0.46746),(6465,3905,-0.000541,-0.46816),(6465,3915,-0.001461,-0.46886),(6465,3925,-0.002381,-0.47088),(6465,3935,-0.003302,-0.47472),(6465,3945,-0.009024,-0.47856),(6465,3955,-0.020843,-0.4824),(6465,3965,-0.032663,-0.49955),(6465,3975,-0.044482,-0.53229),(6465,3985,-0.071891,-0.56503),(6465,3995,-0.11617,-0.59778),(6465,4005,-0.16046,-0.67923),(6465,4015,-0.20474,-0.80939),(6465,4025,-0.062994,-0.93955),(6465,4035,0.096948,-1.0276),(6465,4045,0.25689,-1.0267),(6465,4055,0.34143,-1.0259),(6465,4065,0.39846,-1.0249),(6465,4075,0.4555,-1.0231),(6465,4085,0.48133,-1.0213),(6465,4095,0.48209,-1.0196),(6465,4105,0.48286,-1.0176),(6465,4115,0.48361,-1.0157),(6465,4125,0.48432,-1.0137),(6465,4135,0.48504,-1.0119),(6465,4145,0.48579,-1.01),(6465,4155,0.48668,-1.0081),(6465,4165,0.48757,-1.0062),(6465,4175,0.48846,-1.0042),(6465,4185,0.4893,-1.0023),(6465,4195,0.49014,-1.0003),(6465,4205,0.49098,-0.99821),(6465,4215,0.49187,-0.99617),(6465,4225,0.49277,-0.99413),(6465,4235,0.49367,-0.99214),(6465,4245,0.49461,-0.99014),(6465,4255,0.49557,-0.98815),(6465,4265,0.49653,-0.98615),(6465,4275,0.4975,-0.98415),(6465,4285,0.4985,-0.98215),(6465,4295,0.49949,-0.98009),(6465,4305,0.5005,-0.97802),(6465,4315,0.50152,-0.97596),(6465,4325,0.50255,-0.97382),(6465,4335,0.50358,-0.97167),(6465,4345,0.50464,-0.96951),(6465,4355,0.5057,-0.96733),(6465,4365,0.50677,-0.96513),(6465,4375,0.50787,-0.96293),(6465,4385,0.50898,-0.9607),(6465,4395,0.51009,-0.95841),(6465,4405,0.51123,-0.95612),(6465,4415,0.51238,-0.95382),(6465,4425,0.51353,-0.9515),(6465,4435,0.51468,-0.94917),(6465,4445,0.51582,-0.94684),(6465,4455,0.51697,-0.94449),(6465,4465,0.51815,-0.94213),(6465,4475,0.51938,-0.93978),(6465,4485,0.52061,-0.93731),(6465,4495,0.52184,-0.93483),(6465,4505,0.52308,-0.93234),(6465,4515,0.52431,-0.92981),(6465,4525,0.52555,-0.92726),(6465,4535,0.52684,-0.92471),(6465,4545,0.52813,-0.92213),(6465,4555,0.52942,-0.91952),(6465,4565,0.53077,-0.91691),(6465,4575,0.53213,-0.91429),(6465,4585,0.53348,-0.91165),(6465,4595,0.53488,-0.90902),(6465,4605,0.5363,-0.90638),(6465,4615,0.53772,-0.90371),(6465,4625,0.53916,-0.90104),(6465,4635,0.54063,-0.89836),(6465,4645,0.54211,-0.89561),(6465,4655,0.54359,-0.89285),(6465,4665,0.5451,-0.89009),(6465,4675,0.54662,-0.88724),(6465,4685,0.54813,-0.88436),(6465,4695,0.54966,-0.88148),(6465,4705,0.55119,-0.87855),(6465,4715,0.55272,-0.87559),(6465,4725,0.5543,-0.87262),(6465,4735,0.55588,-0.86962),(6465,4745,0.55746,-0.86657),(6465,4755,0.55901,-0.86351),(6465,4765,0.56055,-0.86045),(6465,4775,0.56208,-0.85737),(6465,4785,0.56368,-0.85428),(6465,4795,0.56531,-0.8512),(6465,4805,0.56693,-0.84802),(6465,4815,0.56859,-0.84485),(6465,4825,0.57028,-0.84168),(6465,4835,0.57196,-0.83846),(6465,4845,0.57366,-0.83523),(6465,4855,0.57539,-0.832),(6465,4865,0.57711,-0.82872),(6465,4875,0.57883,-0.82541),(6465,4885,0.58057,-0.8221),(6465,4895,0.58231,-0.81875),(6465,4905,0.58405,-0.81535),(6465,4915,0.58579,-0.81195),(6465,4925,0.58753,-0.80852),(6465,4935,0.58927,-0.80503),(6465,4945,0.59102,-0.80155),(6465,4955,0.59278,-0.79806),(6465,4965,0.59453,-0.79451),(6465,4975,0.59629,-0.79096),(6465,4985,0.59806,-0.78741),(6465,4995,0.59982,-0.7838),(6465,5005,0.6016,-0.7802),(6465,5015,0.60338,-0.7766),(6465,5025,0.60516,-0.77296),(6465,5035,0.60698,-0.76933),(6465,5045,0.60894,-0.76569),(6465,5055,0.6109,-0.76191),(6465,5065,0.61286,-0.75804),(6465,5075,0.61457,-0.75418),(6465,5085,0.61628,-0.75036),(6465,5095,0.61799,-0.7466),(6465,5105,0.61981,-0.74285),(6465,5115,0.62166,-0.73906),(6465,5125,0.62351,-0.73517),(6465,5135,0.62533,-0.73127),(6465,5145,0.62714,-0.72737),(6465,5155,0.62895,-0.72335),(6465,5165,0.63074,-0.71934),(6465,5175,0.63253,-0.71532),(6465,5185,0.63432,-0.71123),(6465,5195,0.63611,-0.70713),(6465,5205,0.63791,-0.70303),(6465,5215,0.63971,-0.69892),(6465,5225,0.64151,-0.69481),(6465,5235,0.64334,-0.69069),(6465,5245,0.64518,-0.68657),(6465,5255,0.64701,-0.68243),(6465,5265,0.64885,-0.67828),(6465,5275,0.6507,-0.67411),(6465,5285,0.65255,-0.66988),(6465,5295,0.65439,-0.66565),(6465,5305,0.65623,-0.6614),(6465,5315,0.65807,-0.65707),(6465,5325,0.6599,-0.65275),(6465,5335,0.6617,-0.64843),(6465,5345,0.66351,-0.64407),(6465,5355,0.66531,-0.63971),(6465,5365,0.66709,-0.63535),(6465,5375,0.66886,-0.63095),(6465,5385,0.67063,-0.62655),(6465,5395,0.67238,-0.62214),(6465,5405,0.67413,-0.61769),(6465,5415,0.67588,-0.61323),(6465,5425,0.67763,-0.60876),(6465,5435,0.67938,-0.60428),(6465,5445,0.68113,-0.59977),(6465,5455,0.68289,-0.59526),(6465,5465,0.68465,-0.59074),(6465,5475,0.68641,-0.58619),(6465,5485,0.68815,-0.58164),(6465,5495,0.68989,-0.57707),(6465,5505,0.69162,-0.57243),(6465,5515,0.69333,-0.56779),(6465,5525,0.69501,-0.56315),(6465,5535,0.69669,-0.55842),(6465,5545,0.69835,-0.55368),(6465,5555,0.69999,-0.54895),(6465,5565,0.70163,-0.54419),(6465,5575,0.70326,-0.53942),(6465,5585,0.70489,-0.53465),(6465,5595,0.70652,-0.52987),(6465,5605,0.70815,-0.52508),(6465,5615,0.70977,-0.52029),(6465,5625,0.7114,-0.51549),(6465,5635,0.71302,-0.51065),(6465,5645,0.71461,-0.50581),(6465,5655,0.71619,-0.50098),(6465,5665,0.71778,-0.49614),(6465,5675,0.71951,-0.49131),(6465,5685,0.72132,-0.48646),(6465,5695,0.72314,-0.48129),(6465,5705,0.72471,-0.47613),(6465,5715,0.72601,-0.47096),(6465,5725,0.72731,-0.46601),(6465,5735,0.72867,-0.46109),(6465,5745,0.73017,-0.45618),(6465,5755,0.73166,-0.45116),(6465,5765,0.73315,-0.44609),(6465,5775,0.73459,-0.44103),(6465,5785,0.73602,-0.43594),(6465,5795,0.73746,-0.43083),(6465,5805,0.73887,-0.42573),(6465,5815,0.74027,-0.42062),(6465,5825,0.74168,-0.41551),(6465,5835,0.74306,-0.41039),(6465,5845,0.74442,-0.40527),(6465,5855,0.74579,-0.4001),(6465,5865,0.74713,-0.39493),(6465,5875,0.74844,-0.38976),(6465,5885,0.74975,-0.38452),(6465,5895,0.75104,-0.37928),(6465,5905,0.75229,-0.37404),(6465,5915,0.75354,-0.3688),(6465,5925,0.75478,-0.36355),(6465,5935,0.75596,-0.35831),(6465,5945,0.75715,-0.35309),(6465,5955,0.75834,-0.3479),(6465,5965,0.75979,-0.34271),(6465,5975,0.76123,-0.33734),(6465,5985,0.76268,-0.33178),(6465,5995,0.76365,-0.32622),(6465,6005,0.76453,-0.32075),(6465,6015,0.76542,-0.31556),(6465,6025,0.76648,-0.31037),(6465,6035,0.76761,-0.30516),(6465,6045,0.76875,-0.29981),(6465,6055,0.76983,-0.29447),(6465,6065,0.77087,-0.28913),(6465,6075,0.7719,-0.28368),(6465,6085,0.77291,-0.27822),(6465,6095,0.77387,-0.27276),(6465,6105,0.77482,-0.2673),(6465,6115,0.77577,-0.26185),(6465,6125,0.77669,-0.25639),(6465,6135,0.7776,-0.25094),(6465,6145,0.77851,-0.24551),(6465,6155,0.77938,-0.24007),(6465,6165,0.78025,-0.2346),(6465,6175,0.78111,-0.22907),(6465,6185,0.78194,-0.22354),(6465,6195,0.78275,-0.21801),(6465,6205,0.78356,-0.21247),(6465,6215,0.78434,-0.20693),(6465,6225,0.78509,-0.20139),(6465,6235,0.78584,-0.19585),(6465,6245,0.78655,-0.19031),(6465,6255,0.7872,-0.18477),(6465,6265,0.78786,-0.17929),(6465,6275,0.78857,-0.17383),(6465,6285,0.78942,-0.16836),(6465,6295,0.79028,-0.16271),(6465,6305,0.79109,-0.15697),(6465,6315,0.79144,-0.15123),(6465,6325,0.79179,-0.14564),(6465,6335,0.79213,-0.14021),(6465,6345,0.79265,-0.13478),(6465,6355,0.79318,-0.12927),(6465,6365,0.79372,-0.1236),(6465,6375,0.7942,-0.11793),(6465,6385,0.79466,-0.11228),(6465,6395,0.79511,-0.10672),(6465,6405,0.79553,-0.10117),(6465,6415,0.79592,-0.095619),(6465,6425,0.7963,-0.089988),(6465,6435,0.79666,-0.084353),(6465,6445,0.79697,-0.078718),(6465,6455,0.79728,-0.073087),(6465,6465,0.79758,-0.067458),(6465,6475,0.79785,-0.061828),(6465,6485,0.79811,-0.056187),(6465,6495,0.79837,-0.050537),(6465,6505,0.79858,-0.044888),(6465,6515,0.79878,-0.039257),(6465,6525,0.79899,-0.033651),(6465,6535,0.79912,-0.028045),(6465,6545,0.79923,-0.022478),(6465,6555,0.79934,-0.017031),(6465,6565,0.79954,-0.011585),(6465,6575,0.79977,-0.006118),(6465,6585,0.80001,-0.000344),(6465,6595,0.68052,0.005429),(6465,6605,0.42884,0.011202),(6465,6615,0.17715,0.011949),(6465,6625,0.00023,0.01205),(6465,6635,0.000274,0.012152),(6465,6645,0.000318,0.012181),(6465,6655,0.000361,0.012182),(6465,6665,0.000405,0.012182),(6465,6675,0.000448,0.012181),(6465,6685,0.000491,0.01218),(6465,6695,0.000534,0.012179),(6465,6705,0.000577,0.012177),(6465,6715,0.000621,0.012175),(6465,6725,0.000663,0.012172),(6465,6735,0.000706,0.012169),(6465,6745,0.000749,0.012165),(6465,6755,0.000791,0.01216),(6465,6765,0.000833,0.012156),(6465,6775,0.000876,0.01215),(6465,6785,0.000918,0.012144),(6465,6795,0.000959,0.012138),(6465,6805,0.001001,0.012131),(6465,6815,0.001043,0.012124),(6465,6825,0.001084,0.012117),(6465,6835,0.001125,0.012109),(6465,6845,0.001166,0.0121),(6465,6855,0.001206,0.012091),(6465,6865,0.001246,0.012082),(6465,6875,0.001287,0.012072),(6465,6885,0.001326,0.012062),(6465,6895,0.001366,0.012051),(6465,6905,0.001406,0.01204),(6465,6915,0.001445,0.012028),(6465,6925,0.001483,0.012016),(6465,6935,0.001522,0.012004),(6465,6945,0.00156,0.011991),(6465,6955,0.001598,0.011978),(6465,6965,0.001636,0.011964),(6465,6975,0.001673,0.01195),(6465,6985,0.00171,0.011936),(6475,5,4e-06,-0.60912),(6475,15,1.1e-05,-0.60912),(6475,25,1.7e-05,-0.60913),(6475,35,2.2e-05,-0.60913),(6475,45,2.7e-05,-0.60912),(6475,55,3.3e-05,-0.60909),(6475,65,4e-05,-0.60907),(6475,75,5e-05,-0.60904),(6475,85,5.9e-05,-0.60904),(6475,95,6.8e-05,-0.60905),(6475,105,7.6e-05,-0.60906),(6475,115,8.4e-05,-0.60907),(6475,125,9.1e-05,-0.60907),(6475,135,9.9e-05,-0.60906),(6475,145,0.000101,-0.60904),(6475,155,0.000101,-0.60903),(6475,165,0.000101,-0.60901),(6475,175,0.0001,-0.60898),(6475,185,9.5e-05,-0.60895),(6475,195,8.7e-05,-0.60892),(6475,205,8e-05,-0.60884),(6475,215,7.2e-05,-0.60873),(6475,225,7.2e-05,-0.60863),(6475,235,7.6e-05,-0.60852),(6475,245,8e-05,-0.60847),(6475,255,8.3e-05,-0.60844),(6475,265,9.9e-05,-0.6084),(6475,275,0.000119,-0.60837),(6475,285,0.000139,-0.60836),(6475,295,0.000158,-0.60836),(6475,305,0.000175,-0.60837),(6475,315,0.000191,-0.60837),(6475,325,0.000206,-0.60834),(6475,335,0.000222,-0.6083),(6475,345,0.000226,-0.60826),(6475,355,0.000227,-0.60822),(6475,365,0.000228,-0.60817),(6475,375,0.00023,-0.6081),(6475,385,0.000239,-0.60804),(6475,395,0.000249,-0.60798),(6475,405,0.000259,-0.60793),(6475,415,0.000269,-0.60787),(6475,425,0.000276,-0.60782),(6475,435,0.000283,-0.60776),(6475,445,0.000289,-0.60773),(6475,455,0.000296,-0.6077),(6475,465,0.000294,-0.60767),(6475,475,0.000291,-0.60763),(6475,485,0.000289,-0.60753),(6475,495,0.000286,-0.60743),(6475,505,0.000285,-0.60733),(6475,515,0.000283,-0.60722),(6475,525,0.000281,-0.60715),(6475,535,0.00028,-0.60707),(6475,545,0.000282,-0.60699),(6475,555,0.000283,-0.60691),(6475,565,0.000285,-0.60682),(6475,575,0.000287,-0.60672),(6475,585,0.000294,-0.60663),(6475,595,0.000301,-0.60653),(6475,605,0.000308,-0.60643),(6475,615,0.000317,-0.60633),(6475,625,0.000334,-0.60622),(6475,635,0.000352,-0.60613),(6475,645,0.00037,-0.60605),(6475,655,0.000389,-0.60598),(6475,665,0.000413,-0.60591),(6475,675,0.000437,-0.60584),(6475,685,0.000461,-0.6058),(6475,695,0.000483,-0.60575),(6475,705,0.000496,-0.60571),(6475,715,0.000509,-0.60565),(6475,725,0.000522,-0.60554),(6475,735,0.000531,-0.60543),(6475,745,0.000524,-0.60533),(6475,755,0.000517,-0.60521),(6475,765,0.000511,-0.60509),(6475,775,0.00051,-0.60496),(6475,785,0.000528,-0.60484),(6475,795,0.000546,-0.60472),(6475,805,0.000563,-0.60462),(6475,815,0.000577,-0.60452),(6475,825,0.000582,-0.60442),(6475,835,0.000587,-0.60431),(6475,845,0.000593,-0.60418),(6475,855,0.000597,-0.60405),(6475,865,0.000602,-0.60393),(6475,875,0.000607,-0.60379),(6475,885,0.000611,-0.60364),(6475,895,0.000618,-0.6035),(6475,905,0.000627,-0.60335),(6475,915,0.000636,-0.60321),(6475,925,0.000644,-0.60309),(6475,935,0.000657,-0.60297),(6475,945,0.000674,-0.60285),(6475,955,0.00069,-0.60273),(6475,965,0.000707,-0.60264),(6475,975,0.000718,-0.60254),(6475,985,0.000722,-0.60244),(6475,995,0.000726,-0.60233),(6475,1005,0.00073,-0.60221),(6475,1015,0.000733,-0.60208),(6475,1025,0.000734,-0.60196),(6475,1035,0.000734,-0.60186),(6475,1045,0.000735,-0.60178),(6475,1055,0.000739,-0.6017),(6475,1065,0.000744,-0.60162),(6475,1075,0.00075,-0.60161),(6475,1085,0.000755,-0.60165),(6475,1095,0.000749,-0.60169),(6475,1105,0.000733,-0.60173),(6475,1115,0.000718,-0.60188),(6475,1125,0.000702,-0.6021),(6475,1135,0.000701,-0.60232),(6475,1145,0.000709,-0.60254),(6475,1155,0.000716,-0.60283),(6475,1165,0.000724,-0.60316),(6475,1175,0.000806,-0.60348),(6475,1185,0.000924,-0.60381),(6475,1195,0.001042,-0.60402),(6475,1205,0.00116,-0.60418),(6475,1215,0.001204,-0.60433),(6475,1225,0.001216,-0.60449),(6475,1235,0.001229,-0.60575),(6475,1245,0.001242,-0.60743),(6475,1255,-0.003003,-0.6091),(6475,1265,-0.008687,-0.61078),(6475,1275,-0.01437,-0.64016),(6475,1285,-0.020053,-0.67794),(6475,1295,-0.030756,-0.71572),(6475,1305,-0.042816,-0.75349),(6475,1315,-0.054876,-0.84868),(6475,1325,-0.066937,-0.9576),(6475,1335,-0.041234,-1.0665),(6475,1345,-0.007617,-1.1754),(6475,1355,0.025999,-1.1069),(6475,1365,0.059616,-1.0062),(6475,1375,0.05625,-0.90549),(6475,1385,0.047177,-0.80478),(6475,1395,0.038105,-0.75149),(6475,1405,0.029033,-0.7043),(6475,1415,0.02148,-0.6571),(6475,1425,0.014084,-0.60991),(6475,1435,0.006689,-0.60524),(6475,1445,-0.000707,-0.60399),(6475,1455,-0.00103,-0.60273),(6475,1465,-0.000945,-0.60148),(6475,1475,-0.000861,-0.6016),(6475,1485,-0.000776,-0.60177),(6475,1495,-0.0006,-0.60194),(6475,1505,-0.000422,-0.60211),(6475,1515,-0.000244,-0.60165),(6475,1525,-7e-05,-0.60119),(6475,1535,-5.2e-05,-0.60073),(6475,1545,-3.4e-05,-0.60027),(6475,1555,-1.6e-05,-0.59991),(6475,1565,1e-06,-0.59955),(6475,1575,-8e-06,-0.59918),(6475,1585,-1.7e-05,-0.59883),(6475,1595,-2.5e-05,-0.59862),(6475,1605,-3.3e-05,-0.59841),(6475,1615,-3.1e-05,-0.5982),(6475,1625,-2.9e-05,-0.59801),(6475,1635,-2.7e-05,-0.59797),(6475,1645,-2.6e-05,-0.59794),(6475,1655,-2.7e-05,-0.5979),(6475,1665,-2.7e-05,-0.59786),(6475,1675,-2.8e-05,-0.59778),(6475,1685,-2.9e-05,-0.59771),(6475,1695,-2.7e-05,-0.59763),(6475,1705,-2.5e-05,-0.59756),(6475,1715,-2.4e-05,-0.59751),(6475,1725,-2e-05,-0.59745),(6475,1735,-7e-06,-0.5974),(6475,1745,6e-06,-0.59736),(6475,1755,1.9e-05,-0.59736),(6475,1765,3.1e-05,-0.59736),(6475,1775,4.4e-05,-0.59736),(6475,1785,5.6e-05,-0.59735),(6475,1795,6.8e-05,-0.59731),(6475,1805,8.2e-05,-0.59727),(6475,1815,0.000102,-0.59722),(6475,1825,0.000121,-0.59718),(6475,1835,0.000141,-0.59715),(6475,1845,0.000159,-0.59712),(6475,1855,0.000175,-0.59708),(6475,1865,0.00019,-0.59706),(6475,1875,0.000205,-0.59705),(6475,1885,0.000225,-0.59705),(6475,1895,0.000252,-0.59705),(6475,1905,0.000278,-0.59702),(6475,1915,0.000305,-0.59694),(6475,1925,0.000323,-0.59687),(6475,1935,0.000328,-0.5968),(6475,1945,0.000333,-0.59674),(6475,1955,0.000339,-0.59668),(6475,1965,0.000339,-0.59662),(6475,1975,0.000335,-0.59657),(6475,1985,0.00033,-0.59647),(6475,1995,0.000325,-0.59633),(6475,2005,0.000323,-0.5962),(6475,2015,0.000324,-0.59606),(6475,2025,0.000325,-0.59594),(6475,2035,0.000326,-0.59584),(6475,2045,0.000331,-0.59573),(6475,2055,0.000339,-0.59563),(6475,2065,0.000346,-0.59553),(6475,2075,0.000354,-0.59543),(6475,2085,0.00036,-0.59534),(6475,2095,0.000365,-0.59524),(6475,2105,0.00037,-0.59513),(6475,2115,0.000376,-0.59501),(6475,2125,0.000383,-0.59489),(6475,2135,0.000393,-0.59477),(6475,2145,0.000402,-0.59467),(6475,2155,0.000412,-0.59457),(6475,2165,0.000423,-0.59448),(6475,2175,0.000436,-0.59438),(6475,2185,0.000449,-0.59426),(6475,2195,0.000462,-0.59413),(6475,2205,0.000476,-0.594),(6475,2215,0.000491,-0.59387),(6475,2225,0.000506,-0.59372),(6475,2235,0.000522,-0.59357),(6475,2245,0.000527,-0.59342),(6475,2255,0.000528,-0.59327),(6475,2265,0.000529,-0.59314),(6475,2275,0.000531,-0.59301),(6475,2285,0.000542,-0.59288),(6475,2295,0.000556,-0.59276),(6475,2305,0.00057,-0.59257),(6475,2315,0.000584,-0.59237),(6475,2325,0.000591,-0.59217),(6475,2335,0.000596,-0.59198),(6475,2345,0.000602,-0.5918),(6475,2355,0.000607,-0.59163),(6475,2365,0.000616,-0.59146),(6475,2375,0.000625,-0.5913),(6475,2385,0.000634,-0.5911),(6475,2395,0.000643,-0.5909),(6475,2405,0.000652,-0.5907),(6475,2415,0.000661,-0.5905),(6475,2425,0.00067,-0.59028),(6475,2435,0.000679,-0.59006),(6475,2445,0.00069,-0.58985),(6475,2455,0.000701,-0.58963),(6475,2465,0.000712,-0.58943),(6475,2475,0.000723,-0.58923),(6475,2485,0.000728,-0.58904),(6475,2495,0.000733,-0.58884),(6475,2505,0.000737,-0.58858),(6475,2515,0.000742,-0.58833),(6475,2525,0.000748,-0.58807),(6475,2535,0.000754,-0.58781),(6475,2545,0.00076,-0.58754),(6475,2555,0.000767,-0.58727),(6475,2565,0.000792,-0.587),(6475,2575,0.000817,-0.58673),(6475,2585,0.000842,-0.58653),(6475,2595,0.000868,-0.58633),(6475,2605,0.000901,-0.58613),(6475,2615,0.000933,-0.58593),(6475,2625,0.000966,-0.58569),(6475,2635,0.000993,-0.58545),(6475,2645,0.00098,-0.58521),(6475,2655,0.000968,-0.58497),(6475,2665,0.000955,-0.58472),(6475,2675,0.000946,-0.58446),(6475,2685,0.000956,-0.58421),(6475,2695,0.000966,-0.58394),(6475,2705,0.000975,-0.58358),(6475,2715,0.000982,-0.58322),(6475,2725,0.000978,-0.58286),(6475,2735,0.000974,-0.58251),(6475,2745,0.00097,-0.58219),(6475,2755,0.000969,-0.58187),(6475,2765,0.00098,-0.58155),(6475,2775,0.000991,-0.58123),(6475,2785,0.001002,-0.58092),(6475,2795,0.001014,-0.58061),(6475,2805,0.001029,-0.58029),(6475,2815,0.001045,-0.57998),(6475,2825,0.001061,-0.57966),(6475,2835,0.001076,-0.57934),(6475,2845,0.001088,-0.57902),(6475,2855,0.001101,-0.57869),(6475,2865,0.001114,-0.57833),(6475,2875,0.001125,-0.57798),(6475,2885,0.001132,-0.57762),(6475,2895,0.00114,-0.57725),(6475,2905,0.001147,-0.57687),(6475,2915,0.001154,-0.57649),(6475,2925,0.00116,-0.57612),(6475,2935,0.001166,-0.57574),(6475,2945,0.001172,-0.57536),(6475,2955,0.001177,-0.57498),(6475,2965,0.001183,-0.5746),(6475,2975,0.001189,-0.57422),(6475,2985,0.001195,-0.57382),(6475,2995,0.001206,-0.57342),(6475,3005,0.001223,-0.57302),(6475,3015,0.00124,-0.57261),(6475,3025,0.001257,-0.57219),(6475,3035,0.001263,-0.57177),(6475,3045,0.001259,-0.57135),(6475,3055,0.001256,-0.57096),(6475,3065,0.001252,-0.57059),(6475,3075,0.001265,-0.57023),(6475,3085,0.00129,-0.56986),(6475,3095,0.001314,-0.56942),(6475,3105,0.001339,-0.56893),(6475,3115,0.001354,-0.56844),(6475,3125,0.001363,-0.56795),(6475,3135,0.001373,-0.56749),(6475,3145,0.001382,-0.56705),(6475,3155,0.001399,-0.56662),(6475,3165,0.001419,-0.56618),(6475,3175,0.00144,-0.56575),(6475,3185,0.001461,-0.56532),(6475,3195,0.001473,-0.56489),(6475,3205,0.001482,-0.56446),(6475,3215,0.001491,-0.564),(6475,3225,0.0015,-0.56354),(6475,3235,0.0015,-0.56308),(6475,3245,0.001497,-0.56261),(6475,3255,0.001494,-0.5621),(6475,3265,0.001491,-0.56158),(6475,3275,0.001492,-0.56106),(6475,3285,0.001494,-0.56053),(6475,3295,0.001496,-0.56001),(6475,3305,0.001498,-0.55948),(6475,3315,0.001509,-0.55896),(6475,3325,0.001522,-0.55843),(6475,3335,0.001535,-0.55793),(6475,3345,0.001548,-0.55743),(6475,3355,0.001566,-0.55694),(6475,3365,0.001584,-0.55645),(6475,3375,0.001602,-0.55589),(6475,3385,0.00162,-0.55532),(6475,3395,0.001612,-0.55476),(6475,3405,0.0016,-0.55419),(6475,3415,0.001588,-0.5537),(6475,3425,0.001576,-0.55322),(6475,3435,0.001599,-0.55273),(6475,3445,0.001625,-0.55225),(6475,3455,0.00165,-0.55164),(6475,3465,0.001676,-0.55103),(6475,3475,0.001682,-0.55041),(6475,3485,0.001688,-0.5498),(6475,3495,0.001695,-0.54923),(6475,3505,0.001701,-0.54866),(6475,3515,0.001703,-0.54809),(6475,3525,0.001705,-0.54752),(6475,3535,0.001708,-0.54691),(6475,3545,0.00171,-0.54629),(6475,3555,0.001726,-0.54568),(6475,3565,0.001741,-0.54507),(6475,3575,0.001756,-0.54447),(6475,3585,0.00177,-0.54388),(6475,3595,0.001771,-0.54328),(6475,3605,0.001772,-0.54269),(6475,3615,0.001772,-0.54207),(6475,3625,0.001775,-0.54144),(6475,3635,0.001791,-0.54082),(6475,3645,0.001807,-0.5402),(6475,3655,0.001823,-0.53958),(6475,3665,0.001838,-0.53897),(6475,3675,0.001843,-0.53835),(6475,3685,0.001848,-0.53775),(6475,3695,0.001853,-0.5372),(6475,3705,0.001855,-0.53665),(6475,3715,0.001845,-0.53609),(6475,3725,0.001835,-0.53555),(6475,3735,0.001825,-0.53501),(6475,3745,0.001818,-0.53448),(6475,3755,0.001818,-0.53395),(6475,3765,0.001817,-0.53345),(6475,3775,0.001817,-0.53306),(6475,3785,0.001806,-0.53268),(6475,3795,0.001769,-0.53229),(6475,3805,0.001731,-0.532),(6475,3815,0.001693,-0.53193),(6475,3825,0.001655,-0.53186),(6475,3835,0.001615,-0.53178),(6475,3845,0.001576,-0.53183),(6475,3855,0.001537,-0.53211),(6475,3865,0.00148,-0.53239),(6475,3875,0.001393,-0.53267),(6475,3885,0.001307,-0.53321),(6475,3895,0.00122,-0.53416),(6475,3905,0.001043,-0.53511),(6475,3915,0.000732,-0.53606),(6475,3925,0.00042,-0.53844),(6475,3935,0.000109,-0.54279),(6475,3945,-0.001853,-0.54714),(6475,3955,-0.005909,-0.55149),(6475,3965,-0.009965,-0.56771),(6475,3975,-0.014021,-0.59784),(6475,3985,-0.023425,-0.62796),(6475,3995,-0.038618,-0.65809),(6475,4005,-0.053812,-0.72906),(6475,4015,-0.069006,-0.84086),(6475,4025,0.035208,-0.95266),(6475,4035,0.1511,-1.0282),(6475,4045,0.267,-1.0272),(6475,4055,0.33947,-1.0262),(6475,4065,0.3961,-1.0251),(6475,4075,0.45272,-1.0233),(6475,4085,0.47836,-1.0215),(6475,4095,0.4791,-1.0197),(6475,4105,0.47984,-1.0177),(6475,4115,0.48058,-1.0158),(6475,4125,0.48132,-1.0138),(6475,4135,0.48207,-1.0119),(6475,4145,0.48284,-1.01),(6475,4155,0.48369,-1.0082),(6475,4165,0.48453,-1.0062),(6475,4175,0.48538,-1.0043),(6475,4185,0.48622,-1.0023),(6475,4195,0.48705,-1.0003),(6475,4205,0.48789,-0.99825),(6475,4215,0.48876,-0.9962),(6475,4225,0.48964,-0.99416),(6475,4235,0.49052,-0.99215),(6475,4245,0.49145,-0.99014),(6475,4255,0.49239,-0.98814),(6475,4265,0.49333,-0.98613),(6475,4275,0.49429,-0.98413),(6475,4285,0.49526,-0.98212),(6475,4295,0.49624,-0.98006),(6475,4305,0.49723,-0.978),(6475,4315,0.49824,-0.97593),(6475,4325,0.49925,-0.9738),(6475,4335,0.50027,-0.97163),(6475,4345,0.50132,-0.96947),(6475,4355,0.50236,-0.96729),(6475,4365,0.50341,-0.96509),(6475,4375,0.5045,-0.96288),(6475,4385,0.50559,-0.96065),(6475,4395,0.50668,-0.95835),(6475,4405,0.5078,-0.95606),(6475,4415,0.50893,-0.95376),(6475,4425,0.51006,-0.95143),(6475,4435,0.5112,-0.94911),(6475,4445,0.51234,-0.94678),(6475,4455,0.51349,-0.94442),(6475,4465,0.51466,-0.94206),(6475,4475,0.51586,-0.9397),(6475,4485,0.51706,-0.93724),(6475,4495,0.51826,-0.93476),(6475,4505,0.51947,-0.93227),(6475,4515,0.52069,-0.92974),(6475,4525,0.52191,-0.92719),(6475,4535,0.52317,-0.92463),(6475,4545,0.52443,-0.92204),(6475,4555,0.52569,-0.91942),(6475,4565,0.52701,-0.91679),(6475,4575,0.52833,-0.91416),(6475,4585,0.52966,-0.91152),(6475,4595,0.53103,-0.90887),(6475,4605,0.53241,-0.90622),(6475,4615,0.5338,-0.90353),(6475,4625,0.53523,-0.90084),(6475,4635,0.53668,-0.89816),(6475,4645,0.53813,-0.89539),(6475,4655,0.5396,-0.89262),(6475,4665,0.5411,-0.88986),(6475,4675,0.5426,-0.88701),(6475,4685,0.5441,-0.88413),(6475,4695,0.54561,-0.88125),(6475,4705,0.54713,-0.87832),(6475,4715,0.54864,-0.87537),(6475,4725,0.55018,-0.87241),(6475,4735,0.55172,-0.86941),(6475,4745,0.55326,-0.86637),(6475,4755,0.55479,-0.86332),(6475,4765,0.55631,-0.86026),(6475,4775,0.55783,-0.85717),(6475,4785,0.55939,-0.85407),(6475,4795,0.56098,-0.85097),(6475,4805,0.56257,-0.84778),(6475,4815,0.56419,-0.84459),(6475,4825,0.56584,-0.8414),(6475,4835,0.5675,-0.83817),(6475,4845,0.56917,-0.83493),(6475,4855,0.57087,-0.83168),(6475,4865,0.57258,-0.8284),(6475,4875,0.57429,-0.82509),(6475,4885,0.57601,-0.82178),(6475,4895,0.57774,-0.81842),(6475,4905,0.57946,-0.81502),(6475,4915,0.58119,-0.81162),(6475,4925,0.58292,-0.8082),(6475,4935,0.58465,-0.80472),(6475,4945,0.58638,-0.80124),(6475,4955,0.58811,-0.79774),(6475,4965,0.58984,-0.7942),(6475,4975,0.59157,-0.79065),(6475,4985,0.59331,-0.7871),(6475,4995,0.59505,-0.78349),(6475,5005,0.5968,-0.77988),(6475,5015,0.59856,-0.77626),(6475,5025,0.60032,-0.77262),(6475,5035,0.6021,-0.76896),(6475,5045,0.60397,-0.7653),(6475,5055,0.60584,-0.76152),(6475,5065,0.60771,-0.75768),(6475,5075,0.60946,-0.75384),(6475,5085,0.61121,-0.75002),(6475,5095,0.61297,-0.74625),(6475,5105,0.61477,-0.74248),(6475,5115,0.61659,-0.73868),(6475,5125,0.61841,-0.7348),(6475,5135,0.62021,-0.73091),(6475,5145,0.622,-0.72702),(6475,5155,0.62379,-0.72301),(6475,5165,0.62557,-0.719),(6475,5175,0.62733,-0.71499),(6475,5185,0.6291,-0.7109),(6475,5195,0.63086,-0.7068),(6475,5205,0.63263,-0.7027),(6475,5215,0.63439,-0.69858),(6475,5225,0.63616,-0.69446),(6475,5235,0.63796,-0.69033),(6475,5245,0.63975,-0.68619),(6475,5255,0.64155,-0.68204),(6475,5265,0.64337,-0.67789),(6475,5275,0.64519,-0.67371),(6475,5285,0.64701,-0.66947),(6475,5295,0.64884,-0.66523),(6475,5305,0.65066,-0.66098),(6475,5315,0.65248,-0.65666),(6475,5325,0.65429,-0.65234),(6475,5335,0.65608,-0.64802),(6475,5345,0.65788,-0.64367),(6475,5355,0.65966,-0.63932),(6475,5365,0.66142,-0.63497),(6475,5375,0.66317,-0.63058),(6475,5385,0.66492,-0.62618),(6475,5395,0.66665,-0.62178),(6475,5405,0.66837,-0.61734),(6475,5415,0.6701,-0.61287),(6475,5425,0.67182,-0.60839),(6475,5435,0.67354,-0.6039),(6475,5445,0.67527,-0.59938),(6475,5455,0.677,-0.59486),(6475,5465,0.67874,-0.59033),(6475,5475,0.68048,-0.58577),(6475,5485,0.68221,-0.58122),(6475,5495,0.68393,-0.57666),(6475,5505,0.68565,-0.57203),(6475,5515,0.68735,-0.5674),(6475,5525,0.68901,-0.56277),(6475,5535,0.69068,-0.55805),(6475,5545,0.69233,-0.55332),(6475,5555,0.69394,-0.5486),(6475,5565,0.69555,-0.54384),(6475,5575,0.69716,-0.53907),(6475,5585,0.69876,-0.5343),(6475,5595,0.70036,-0.52951),(6475,5605,0.70196,-0.52471),(6475,5615,0.70356,-0.51992),(6475,5625,0.70516,-0.5151),(6475,5635,0.70676,-0.51025),(6475,5645,0.70836,-0.5054),(6475,5655,0.70995,-0.50055),(6475,5665,0.71154,-0.49569),(6475,5675,0.7132,-0.49083),(6475,5685,0.71489,-0.48596),(6475,5695,0.71659,-0.48085),(6475,5705,0.71815,-0.47575),(6475,5715,0.71956,-0.47064),(6475,5725,0.72097,-0.46568),(6475,5735,0.7224,-0.46075),(6475,5745,0.72386,-0.45582),(6475,5755,0.72532,-0.4508),(6475,5765,0.72678,-0.44574),(6475,5775,0.72819,-0.44067),(6475,5785,0.72961,-0.43559),(6475,5795,0.73103,-0.43048),(6475,5805,0.73242,-0.42537),(6475,5815,0.73381,-0.42026),(6475,5825,0.7352,-0.41515),(6475,5835,0.73657,-0.41004),(6475,5845,0.73792,-0.40491),(6475,5855,0.73928,-0.39975),(6475,5865,0.7406,-0.39458),(6475,5875,0.7419,-0.38941),(6475,5885,0.7432,-0.38419),(6475,5895,0.74448,-0.37895),(6475,5905,0.74572,-0.37372),(6475,5915,0.74696,-0.36848),(6475,5925,0.74819,-0.36324),(6475,5935,0.74938,-0.35799),(6475,5945,0.75056,-0.35277),(6475,5955,0.75175,-0.34755),(6475,5965,0.75304,-0.34233),(6475,5975,0.75434,-0.33698),(6475,5985,0.75563,-0.33147),(6475,5995,0.75667,-0.32596),(6475,6005,0.75767,-0.32052),(6475,6015,0.75867,-0.31529),(6475,6025,0.75974,-0.31006),(6475,6035,0.76085,-0.30482),(6475,6045,0.76195,-0.29948),(6475,6055,0.76302,-0.29414),(6475,6065,0.76406,-0.28881),(6475,6075,0.7651,-0.28337),(6475,6085,0.76611,-0.27792),(6475,6095,0.76707,-0.27248),(6475,6105,0.76803,-0.26703),(6475,6115,0.76898,-0.26158),(6475,6125,0.76988,-0.25613),(6475,6135,0.77078,-0.25069),(6475,6145,0.77168,-0.24525),(6475,6155,0.77253,-0.23982),(6475,6165,0.77338,-0.23435),(6475,6175,0.77423,-0.22883),(6475,6185,0.77504,-0.2233),(6475,6195,0.77584,-0.21777),(6475,6205,0.77664,-0.21223),(6475,6215,0.7774,-0.20669),(6475,6225,0.77815,-0.20115),(6475,6235,0.77889,-0.19562),(6475,6245,0.7796,-0.19009),(6475,6255,0.78027,-0.18455),(6475,6265,0.78095,-0.17906),(6475,6275,0.78163,-0.17358),(6475,6285,0.78236,-0.16809),(6475,6295,0.7831,-0.16247),(6475,6305,0.78381,-0.15679),(6475,6315,0.78426,-0.1511),(6475,6325,0.78471,-0.14553),(6475,6335,0.78516,-0.14008),(6475,6345,0.78566,-0.13462),(6475,6355,0.78617,-0.1291),(6475,6365,0.78667,-0.12343),(6475,6375,0.78714,-0.11776),(6475,6385,0.7876,-0.1121),(6475,6395,0.78805,-0.10656),(6475,6405,0.78847,-0.10101),(6475,6415,0.78886,-0.095468),(6475,6425,0.78924,-0.089848),(6475,6435,0.7896,-0.084224),(6475,6445,0.78991,-0.0786),(6475,6455,0.79021,-0.072974),(6475,6465,0.79051,-0.067347),(6475,6475,0.79077,-0.061721),(6475,6485,0.79102,-0.05608),(6475,6495,0.79128,-0.050429),(6475,6505,0.79148,-0.044779),(6475,6515,0.79169,-0.039148),(6475,6525,0.7919,-0.033543),(6475,6535,0.79205,-0.027939),(6475,6545,0.7922,-0.022369),(6475,6555,0.79234,-0.016908),(6475,6565,0.7925,-0.011446),(6475,6575,0.79268,-0.005967),(6475,6585,0.79285,-0.000236),(6475,6595,0.6744,0.005495),(6475,6605,0.42498,0.011226),(6475,6615,0.17555,0.011976),(6475,6625,0.000228,0.012085),(6475,6635,0.000272,0.012194),(6475,6645,0.000316,0.012226),(6475,6655,0.00036,0.012226),(6475,6665,0.000404,0.012226),(6475,6675,0.000448,0.012225),(6475,6685,0.000492,0.012224),(6475,6695,0.000535,0.012223),(6475,6705,0.000579,0.012221),(6475,6715,0.000622,0.012218),(6475,6725,0.000666,0.012215),(6475,6735,0.000709,0.012212),(6475,6745,0.000752,0.012208),(6475,6755,0.000795,0.012203),(6475,6765,0.000837,0.012199),(6475,6775,0.00088,0.012193),(6475,6785,0.000923,0.012187),(6475,6795,0.000965,0.012181),(6475,6805,0.001007,0.012174),(6475,6815,0.001049,0.012166),(6475,6825,0.00109,0.012159),(6475,6835,0.001132,0.01215),(6475,6845,0.001173,0.012141),(6475,6855,0.001214,0.012132),(6475,6865,0.001255,0.012123),(6475,6875,0.001295,0.012112),(6475,6885,0.001335,0.012102),(6475,6895,0.001375,0.012091),(6475,6905,0.001415,0.012079),(6475,6915,0.001455,0.012068),(6475,6925,0.001494,0.012056),(6475,6935,0.001533,0.012043),(6475,6945,0.001571,0.012029),(6475,6955,0.001609,0.012016),(6475,6965,0.001648,0.012002),(6475,6975,0.001685,0.011988),(6475,6985,0.001723,0.011973),(6485,5,3e-06,-0.68862),(6485,15,8e-06,-0.68864),(6485,25,1.3e-05,-0.68866),(6485,35,1.8e-05,-0.68868),(6485,45,2.2e-05,-0.68868),(6485,55,2.6e-05,-0.68866),(6485,65,3e-05,-0.68863),(6485,75,3.4e-05,-0.68861),(6485,85,3.8e-05,-0.68859),(6485,95,4.2e-05,-0.68859),(6485,105,4.7e-05,-0.68858),(6485,115,5.3e-05,-0.68858),(6485,125,5.8e-05,-0.68856),(6485,135,6.3e-05,-0.68854),(6485,145,7e-05,-0.68851),(6485,155,7.7e-05,-0.68849),(6485,165,8.5e-05,-0.68846),(6485,175,9.2e-05,-0.68842),(6485,185,9.6e-05,-0.68838),(6485,195,9.9e-05,-0.68833),(6485,205,0.000102,-0.68824),(6485,215,0.000104,-0.68813),(6485,225,0.000107,-0.68802),(6485,235,0.00011,-0.68791),(6485,245,0.000112,-0.68784),(6485,255,0.000115,-0.68779),(6485,265,0.00012,-0.68774),(6485,275,0.000127,-0.68769),(6485,285,0.000133,-0.68765),(6485,295,0.000139,-0.68761),(6485,305,0.000146,-0.68756),(6485,315,0.000152,-0.68752),(6485,325,0.000158,-0.68745),(6485,335,0.000164,-0.68739),(6485,345,0.00017,-0.68732),(6485,355,0.000176,-0.68725),(6485,365,0.000182,-0.68717),(6485,375,0.000187,-0.68709),(6485,385,0.000192,-0.687),(6485,395,0.000197,-0.68692),(6485,405,0.000202,-0.68682),(6485,415,0.000207,-0.68673),(6485,425,0.000213,-0.68663),(6485,435,0.00022,-0.68653),(6485,445,0.000226,-0.68647),(6485,455,0.000233,-0.6864),(6485,465,0.00024,-0.68633),(6485,475,0.000246,-0.68627),(6485,485,0.000253,-0.68614),(6485,495,0.000259,-0.686),(6485,505,0.000265,-0.68587),(6485,515,0.000271,-0.68574),(6485,525,0.000277,-0.68563),(6485,535,0.000284,-0.68551),(6485,545,0.000292,-0.6854),(6485,555,0.0003,-0.68529),(6485,565,0.000308,-0.68516),(6485,575,0.000316,-0.68504),(6485,585,0.000323,-0.68491),(6485,595,0.00033,-0.68478),(6485,605,0.000338,-0.68463),(6485,615,0.000345,-0.68449),(6485,625,0.000352,-0.68434),(6485,635,0.000359,-0.68419),(6485,645,0.000366,-0.68406),(6485,655,0.000373,-0.68393),(6485,665,0.000382,-0.6838),(6485,675,0.000391,-0.68368),(6485,685,0.0004,-0.68357),(6485,695,0.00041,-0.68346),(6485,705,0.000421,-0.68335),(6485,715,0.000433,-0.68323),(6485,725,0.000445,-0.68308),(6485,735,0.000456,-0.68294),(6485,745,0.000465,-0.68279),(6485,755,0.000474,-0.68263),(6485,765,0.000483,-0.68246),(6485,775,0.000492,-0.68228),(6485,785,0.000499,-0.68211),(6485,795,0.000505,-0.68194),(6485,805,0.000512,-0.68178),(6485,815,0.00052,-0.68162),(6485,825,0.000528,-0.68146),(6485,835,0.000536,-0.6813),(6485,845,0.000545,-0.68112),(6485,855,0.000554,-0.68095),(6485,865,0.000563,-0.68078),(6485,875,0.000573,-0.68061),(6485,885,0.000583,-0.68043),(6485,895,0.000593,-0.68024),(6485,905,0.000604,-0.68006),(6485,915,0.000615,-0.67989),(6485,925,0.000626,-0.67972),(6485,935,0.000639,-0.67956),(6485,945,0.000652,-0.67939),(6485,955,0.000666,-0.67924),(6485,965,0.00068,-0.6791),(6485,975,0.000695,-0.67897),(6485,985,0.000712,-0.67883),(6485,995,0.00073,-0.6787),(6485,1005,0.000747,-0.67857),(6485,1015,0.000766,-0.67844),(6485,1025,0.000785,-0.67831),(6485,1035,0.000804,-0.6782),(6485,1045,0.000823,-0.67811),(6485,1055,0.000844,-0.67802),(6485,1065,0.000867,-0.67794),(6485,1075,0.00089,-0.67792),(6485,1085,0.000913,-0.67795),(6485,1095,0.000944,-0.67799),(6485,1105,0.000982,-0.67802),(6485,1115,0.001019,-0.67819),(6485,1125,0.001057,-0.67846),(6485,1135,0.00111,-0.67872),(6485,1145,0.001172,-0.67898),(6485,1155,0.001235,-0.67939),(6485,1165,0.001297,-0.6799),(6485,1175,0.001396,-0.6804),(6485,1185,0.001515,-0.6809),(6485,1195,0.001633,-0.68158),(6485,1205,0.001752,-0.68234),(6485,1215,0.00213,-0.6831),(6485,1225,0.002616,-0.68386),(6485,1235,0.003101,-0.68646),(6485,1245,0.003587,-0.68974),(6485,1255,0.005866,-0.69302),(6485,1265,0.008752,-0.6963),(6485,1275,0.011637,-0.72349),(6485,1285,0.014522,-0.75793),(6485,1295,0.018513,-0.79237),(6485,1305,0.022803,-0.82681),(6485,1315,0.027092,-0.90671),(6485,1325,0.031382,-0.99749),(6485,1335,0.019303,-1.0883),(6485,1345,0.003794,-1.179),(6485,1355,-0.011716,-1.1221),(6485,1365,-0.027225,-1.0384),(6485,1375,-0.026576,-0.95466),(6485,1385,-0.023434,-0.87094),(6485,1395,-0.020292,-0.82398),(6485,1405,-0.017149,-0.78174),(6485,1415,-0.013692,-0.7395),(6485,1425,-0.010201,-0.69726),(6485,1435,-0.006711,-0.69107),(6485,1445,-0.00322,-0.68776),(6485,1455,-0.002544,-0.68445),(6485,1465,-0.002029,-0.68114),(6485,1475,-0.001514,-0.68048),(6485,1485,-0.000999,-0.67991),(6485,1495,-0.000889,-0.67934),(6485,1505,-0.000786,-0.67877),(6485,1515,-0.000682,-0.67806),(6485,1525,-0.000579,-0.67735),(6485,1535,-0.000519,-0.67664),(6485,1545,-0.000459,-0.67594),(6485,1555,-0.000399,-0.67552),(6485,1565,-0.00034,-0.67509),(6485,1575,-0.000305,-0.67466),(6485,1585,-0.000271,-0.67424),(6485,1595,-0.000236,-0.67395),(6485,1605,-0.000202,-0.67366),(6485,1615,-0.000177,-0.67337),(6485,1625,-0.000152,-0.67311),(6485,1635,-0.000127,-0.67304),(6485,1645,-0.000104,-0.67297),(6485,1655,-8.6e-05,-0.6729),(6485,1665,-6.9e-05,-0.67283),(6485,1675,-5.1e-05,-0.67272),(6485,1685,-3.5e-05,-0.67261),(6485,1695,-2.4e-05,-0.6725),(6485,1705,-1.3e-05,-0.6724),(6485,1715,-3e-06,-0.67234),(6485,1725,8e-06,-0.67228),(6485,1735,2e-05,-0.67222),(6485,1745,3.2e-05,-0.67217),(6485,1755,4.4e-05,-0.67216),(6485,1765,5.6e-05,-0.67214),(6485,1775,6.8e-05,-0.67212),(6485,1785,8e-05,-0.6721),(6485,1795,9.2e-05,-0.67206),(6485,1805,0.000105,-0.67202),(6485,1815,0.000119,-0.67198),(6485,1825,0.000134,-0.67194),(6485,1835,0.000148,-0.67192),(6485,1845,0.000162,-0.67189),(6485,1855,0.000176,-0.67186),(6485,1865,0.00019,-0.67184),(6485,1875,0.000205,-0.67182),(6485,1885,0.000216,-0.6718),(6485,1895,0.000222,-0.67178),(6485,1905,0.000229,-0.67174),(6485,1915,0.000236,-0.67165),(6485,1925,0.000242,-0.67157),(6485,1935,0.000247,-0.67148),(6485,1945,0.000252,-0.67141),(6485,1955,0.000257,-0.67135),(6485,1965,0.000263,-0.67129),(6485,1975,0.00027,-0.67123),(6485,1985,0.000276,-0.67115),(6485,1995,0.000282,-0.67103),(6485,2005,0.000289,-0.67091),(6485,2015,0.000296,-0.67079),(6485,2025,0.000304,-0.67068),(6485,2035,0.000311,-0.67058),(6485,2045,0.000318,-0.67048),(6485,2055,0.000325,-0.67038),(6485,2065,0.000331,-0.67028),(6485,2075,0.000338,-0.67018),(6485,2085,0.000346,-0.67009),(6485,2095,0.000354,-0.66999),(6485,2105,0.000363,-0.66988),(6485,2115,0.000371,-0.66977),(6485,2125,0.000382,-0.66965),(6485,2135,0.000395,-0.66954),(6485,2145,0.000408,-0.66944),(6485,2155,0.000422,-0.66934),(6485,2165,0.000433,-0.66924),(6485,2175,0.000445,-0.66914),(6485,2185,0.000456,-0.66901),(6485,2195,0.000468,-0.66886),(6485,2205,0.000477,-0.66872),(6485,2215,0.000487,-0.66857),(6485,2225,0.000496,-0.66842),(6485,2235,0.000505,-0.66825),(6485,2245,0.000515,-0.66809),(6485,2255,0.000525,-0.66793),(6485,2265,0.000535,-0.66778),(6485,2275,0.000546,-0.66763),(6485,2285,0.000556,-0.66748),(6485,2295,0.000567,-0.66734),(6485,2305,0.000577,-0.66714),(6485,2315,0.000588,-0.66694),(6485,2325,0.000599,-0.66673),(6485,2335,0.000609,-0.66653),(6485,2345,0.00062,-0.66633),(6485,2355,0.00063,-0.66614),(6485,2365,0.000638,-0.66594),(6485,2375,0.000645,-0.66575),(6485,2385,0.000652,-0.66552),(6485,2395,0.000659,-0.66529),(6485,2405,0.000664,-0.66506),(6485,2415,0.00067,-0.66483),(6485,2425,0.000676,-0.66458),(6485,2435,0.000681,-0.66434),(6485,2445,0.000692,-0.66409),(6485,2455,0.000702,-0.66384),(6485,2465,0.000712,-0.66362),(6485,2475,0.000723,-0.6634),(6485,2485,0.000735,-0.66318),(6485,2495,0.000747,-0.66295),(6485,2505,0.00076,-0.66268),(6485,2515,0.000772,-0.66241),(6485,2525,0.000783,-0.66213),(6485,2535,0.000794,-0.66186),(6485,2545,0.000806,-0.66156),(6485,2555,0.000817,-0.66126),(6485,2565,0.000827,-0.66097),(6485,2575,0.000838,-0.66067),(6485,2585,0.000849,-0.66041),(6485,2595,0.000859,-0.66016),(6485,2605,0.000867,-0.6599),(6485,2615,0.000875,-0.65964),(6485,2625,0.000883,-0.65934),(6485,2635,0.00089,-0.65904),(6485,2645,0.000897,-0.65875),(6485,2655,0.000904,-0.65845),(6485,2665,0.00091,-0.65814),(6485,2675,0.000917,-0.65783),(6485,2685,0.000925,-0.65752),(6485,2695,0.000933,-0.6572),(6485,2705,0.00094,-0.65682),(6485,2715,0.000948,-0.65644),(6485,2725,0.000957,-0.65606),(6485,2735,0.000965,-0.65569),(6485,2745,0.000973,-0.65532),(6485,2755,0.000982,-0.65496),(6485,2765,0.000993,-0.65459),(6485,2775,0.001003,-0.65423),(6485,2785,0.001014,-0.65386),(6485,2795,0.001025,-0.6535),(6485,2805,0.001037,-0.65314),(6485,2815,0.001049,-0.65277),(6485,2825,0.00106,-0.65239),(6485,2835,0.001071,-0.65202),(6485,2845,0.001079,-0.65164),(6485,2855,0.001087,-0.65125),(6485,2865,0.001094,-0.65083),(6485,2875,0.001101,-0.65041),(6485,2885,0.001105,-0.64998),(6485,2895,0.001109,-0.64955),(6485,2905,0.001113,-0.64911),(6485,2915,0.001118,-0.64866),(6485,2925,0.001125,-0.64822),(6485,2935,0.001131,-0.64778),(6485,2945,0.001138,-0.64734),(6485,2955,0.001147,-0.64691),(6485,2965,0.001158,-0.64647),(6485,2975,0.00117,-0.64603),(6485,2985,0.001181,-0.64558),(6485,2995,0.001193,-0.64514),(6485,3005,0.001204,-0.64469),(6485,3015,0.001216,-0.64423),(6485,3025,0.001227,-0.64375),(6485,3035,0.001236,-0.64327),(6485,3045,0.001243,-0.64279),(6485,3055,0.00125,-0.64231),(6485,3065,0.001257,-0.64185),(6485,3075,0.001264,-0.64138),(6485,3085,0.00127,-0.64091),(6485,3095,0.001277,-0.6404),(6485,3105,0.001283,-0.63986),(6485,3115,0.00129,-0.63932),(6485,3125,0.001296,-0.63878),(6485,3135,0.001303,-0.63825),(6485,3145,0.00131,-0.63774),(6485,3155,0.001315,-0.63722),(6485,3165,0.00132,-0.63671),(6485,3175,0.001326,-0.63618),(6485,3185,0.001331,-0.63566),(6485,3195,0.001338,-0.63513),(6485,3205,0.001347,-0.6346),(6485,3215,0.001355,-0.63407),(6485,3225,0.001364,-0.63353),(6485,3235,0.001374,-0.633),(6485,3245,0.001386,-0.63246),(6485,3255,0.001397,-0.6319),(6485,3265,0.001408,-0.63132),(6485,3275,0.001416,-0.63074),(6485,3285,0.001424,-0.63016),(6485,3295,0.001431,-0.62956),(6485,3305,0.001438,-0.62896),(6485,3315,0.001446,-0.62835),(6485,3325,0.001454,-0.62774),(6485,3335,0.001462,-0.62715),(6485,3345,0.00147,-0.62657),(6485,3355,0.00148,-0.62599),(6485,3365,0.001491,-0.6254),(6485,3375,0.001502,-0.62478),(6485,3385,0.001513,-0.62415),(6485,3395,0.001521,-0.62353),(6485,3405,0.001528,-0.6229),(6485,3415,0.001536,-0.6223),(6485,3425,0.001544,-0.62171),(6485,3435,0.001552,-0.62111),(6485,3445,0.001559,-0.62051),(6485,3455,0.001567,-0.61985),(6485,3465,0.001575,-0.61918),(6485,3475,0.001587,-0.61851),(6485,3485,0.001599,-0.61784),(6485,3495,0.001612,-0.6172),(6485,3505,0.001624,-0.61657),(6485,3515,0.001636,-0.61593),(6485,3525,0.001649,-0.6153),(6485,3535,0.001662,-0.61462),(6485,3545,0.001674,-0.61394),(6485,3555,0.001684,-0.61327),(6485,3565,0.001692,-0.61259),(6485,3575,0.001701,-0.61191),(6485,3585,0.00171,-0.61123),(6485,3595,0.001719,-0.61055),(6485,3605,0.001727,-0.60987),(6485,3615,0.001735,-0.60919),(6485,3625,0.001744,-0.60851),(6485,3635,0.001758,-0.60783),(6485,3645,0.001772,-0.60715),(6485,3655,0.001786,-0.6065),(6485,3665,0.001801,-0.60585),(6485,3675,0.001816,-0.6052),(6485,3685,0.001832,-0.60456),(6485,3695,0.001848,-0.60395),(6485,3705,0.001864,-0.60335),(6485,3715,0.001881,-0.60275),(6485,3725,0.001899,-0.60215),(6485,3735,0.001917,-0.60158),(6485,3745,0.001936,-0.60102),(6485,3755,0.00196,-0.60045),(6485,3765,0.001984,-0.59993),(6485,3775,0.002008,-0.59951),(6485,3785,0.002037,-0.59909),(6485,3795,0.002077,-0.59867),(6485,3805,0.002117,-0.59834),(6485,3815,0.002157,-0.59824),(6485,3825,0.002207,-0.59813),(6485,3835,0.002279,-0.59802),(6485,3845,0.002352,-0.59806),(6485,3855,0.002424,-0.59837),(6485,3865,0.002524,-0.59869),(6485,3875,0.002674,-0.599),(6485,3885,0.002823,-0.59966),(6485,3895,0.002973,-0.60086),(6485,3905,0.003257,-0.60205),(6485,3915,0.003741,-0.60325),(6485,3925,0.004225,-0.60599),(6485,3935,0.004709,-0.61085),(6485,3945,0.00594,-0.61572),(6485,3955,0.008119,-0.62058),(6485,3965,0.010298,-0.63587),(6485,3975,0.012477,-0.66338),(6485,3985,0.016349,-0.6909),(6485,3995,0.022055,-0.71841),(6485,4005,0.027761,-0.77889),(6485,4015,0.033466,-0.87233),(6485,4025,0.1091,-0.96577),(6485,4035,0.19157,-1.0288),(6485,4045,0.27404,-1.0277),(6485,4055,0.33731,-1.0266),(6485,4065,0.39356,-1.0254),(6485,4075,0.44982,-1.0235),(6485,4085,0.47529,-1.0216),(6485,4095,0.47601,-1.0197),(6485,4105,0.47674,-1.0178),(6485,4115,0.47749,-1.0159),(6485,4125,0.47825,-1.0139),(6485,4135,0.47902,-1.012),(6485,4145,0.4798,-1.0101),(6485,4155,0.48062,-1.0082),(6485,4165,0.48144,-1.0063),(6485,4175,0.48227,-1.0043),(6485,4185,0.48309,-1.0024),(6485,4195,0.48392,-1.0004),(6485,4205,0.48475,-0.99829),(6485,4215,0.48561,-0.99623),(6485,4225,0.48648,-0.99418),(6485,4235,0.48735,-0.99216),(6485,4245,0.48825,-0.99014),(6485,4255,0.48917,-0.98813),(6485,4265,0.49009,-0.98612),(6485,4275,0.49104,-0.98411),(6485,4285,0.492,-0.9821),(6485,4295,0.49296,-0.98004),(6485,4305,0.49394,-0.97797),(6485,4315,0.49493,-0.9759),(6485,4325,0.49593,-0.97377),(6485,4335,0.49693,-0.9716),(6485,4345,0.49796,-0.96944),(6485,4355,0.49899,-0.96725),(6485,4365,0.50003,-0.96504),(6485,4375,0.5011,-0.96283),(6485,4385,0.50217,-0.96059),(6485,4395,0.50324,-0.95829),(6485,4405,0.50434,-0.956),(6485,4415,0.50546,-0.95369),(6485,4425,0.50657,-0.95137),(6485,4435,0.5077,-0.94904),(6485,4445,0.50883,-0.94672),(6485,4455,0.50997,-0.94436),(6485,4465,0.51113,-0.94199),(6485,4475,0.5123,-0.93963),(6485,4485,0.51348,-0.93717),(6485,4495,0.51466,-0.93469),(6485,4505,0.51586,-0.93221),(6485,4515,0.51706,-0.92968),(6485,4525,0.51827,-0.92711),(6485,4535,0.5195,-0.92455),(6485,4545,0.52074,-0.92196),(6485,4555,0.52198,-0.91932),(6485,4565,0.52326,-0.91668),(6485,4575,0.52456,-0.91404),(6485,4585,0.52585,-0.91138),(6485,4595,0.52719,-0.90872),(6485,4605,0.52855,-0.90606),(6485,4615,0.52991,-0.90336),(6485,4625,0.5313,-0.90065),(6485,4635,0.53273,-0.89795),(6485,4645,0.53416,-0.89518),(6485,4655,0.5356,-0.8924),(6485,4665,0.53708,-0.88963),(6485,4675,0.53856,-0.88677),(6485,4685,0.54004,-0.8839),(6485,4695,0.54154,-0.88102),(6485,4705,0.54304,-0.8781),(6485,4715,0.54455,-0.87514),(6485,4725,0.54606,-0.87219),(6485,4735,0.54757,-0.8692),(6485,4745,0.54908,-0.86616),(6485,4755,0.55059,-0.86313),(6485,4765,0.55209,-0.86008),(6485,4775,0.5536,-0.85697),(6485,4785,0.55513,-0.85386),(6485,4795,0.55668,-0.85074),(6485,4805,0.55824,-0.84754),(6485,4815,0.55982,-0.84433),(6485,4825,0.56144,-0.84112),(6485,4835,0.56307,-0.83788),(6485,4845,0.5647,-0.83462),(6485,4855,0.56638,-0.83137),(6485,4865,0.56805,-0.82808),(6485,4875,0.56973,-0.82476),(6485,4885,0.57144,-0.82145),(6485,4895,0.57314,-0.8181),(6485,4905,0.57484,-0.8147),(6485,4915,0.57655,-0.8113),(6485,4925,0.57827,-0.80788),(6485,4935,0.57998,-0.8044),(6485,4945,0.58169,-0.80092),(6485,4955,0.58341,-0.79743),(6485,4965,0.58512,-0.79388),(6485,4975,0.58683,-0.79034),(6485,4985,0.58855,-0.78679),(6485,4995,0.59027,-0.78317),(6485,5005,0.59199,-0.77955),(6485,5015,0.59373,-0.77593),(6485,5025,0.59547,-0.77227),(6485,5035,0.59722,-0.76859),(6485,5045,0.59903,-0.76491),(6485,5055,0.60083,-0.76114),(6485,5065,0.60264,-0.75732),(6485,5075,0.6044,-0.75349),(6485,5085,0.60617,-0.74969),(6485,5095,0.60793,-0.7459),(6485,5105,0.60972,-0.74212),(6485,5115,0.61151,-0.73831),(6485,5125,0.6133,-0.73443),(6485,5135,0.61508,-0.73055),(6485,5145,0.61685,-0.72667),(6485,5155,0.61863,-0.72266),(6485,5165,0.62039,-0.71866),(6485,5175,0.62213,-0.71466),(6485,5185,0.62388,-0.71057),(6485,5195,0.62563,-0.70647),(6485,5205,0.62736,-0.70237),(6485,5215,0.6291,-0.69824),(6485,5225,0.63085,-0.69411),(6485,5235,0.63261,-0.68997),(6485,5245,0.63438,-0.68582),(6485,5255,0.63614,-0.68166),(6485,5265,0.63793,-0.6775),(6485,5275,0.63972,-0.6733),(6485,5285,0.64151,-0.66906),(6485,5295,0.64331,-0.66482),(6485,5305,0.64511,-0.66056),(6485,5315,0.64691,-0.65625),(6485,5325,0.6487,-0.65194),(6485,5335,0.65047,-0.64762),(6485,5345,0.65225,-0.64328),(6485,5355,0.65401,-0.63894),(6485,5365,0.65575,-0.63459),(6485,5375,0.65749,-0.63021),(6485,5385,0.65922,-0.62582),(6485,5395,0.66093,-0.62143),(6485,5405,0.66263,-0.61698),(6485,5415,0.66433,-0.6125),(6485,5425,0.66603,-0.60803),(6485,5435,0.66772,-0.60352),(6485,5445,0.66942,-0.59899),(6485,5455,0.67113,-0.59446),(6485,5465,0.67284,-0.58992),(6485,5475,0.67456,-0.58536),(6485,5485,0.67626,-0.58081),(6485,5495,0.67797,-0.57624),(6485,5505,0.67968,-0.57162),(6485,5515,0.68136,-0.56701),(6485,5525,0.68301,-0.56239),(6485,5535,0.68467,-0.55768),(6485,5545,0.6863,-0.55297),(6485,5555,0.6879,-0.54825),(6485,5565,0.6895,-0.54349),(6485,5575,0.6911,-0.53872),(6485,5585,0.69267,-0.53395),(6485,5595,0.69425,-0.52916),(6485,5605,0.69583,-0.52435),(6485,5615,0.69741,-0.51954),(6485,5625,0.69898,-0.51471),(6485,5635,0.70056,-0.50985),(6485,5645,0.70214,-0.50499),(6485,5655,0.70372,-0.50013),(6485,5665,0.70531,-0.49524),(6485,5675,0.70691,-0.49036),(6485,5685,0.70853,-0.48546),(6485,5695,0.71015,-0.48042),(6485,5705,0.7117,-0.47537),(6485,5715,0.71316,-0.47032),(6485,5725,0.71463,-0.46536),(6485,5735,0.71609,-0.46041),(6485,5745,0.71752,-0.45546),(6485,5755,0.71896,-0.45043),(6485,5765,0.7204,-0.44538),(6485,5775,0.7218,-0.44032),(6485,5785,0.7232,-0.43523),(6485,5795,0.7246,-0.43012),(6485,5805,0.72597,-0.42501),(6485,5815,0.72735,-0.4199),(6485,5825,0.72872,-0.41479),(6485,5835,0.73007,-0.40968),(6485,5845,0.73141,-0.40456),(6485,5855,0.73275,-0.3994),(6485,5865,0.73406,-0.39423),(6485,5875,0.73535,-0.38907),(6485,5885,0.73664,-0.38385),(6485,5895,0.73791,-0.37863),(6485,5905,0.73914,-0.3734),(6485,5915,0.74038,-0.36817),(6485,5925,0.7416,-0.36293),(6485,5935,0.74279,-0.35768),(6485,5945,0.74398,-0.35244),(6485,5955,0.74516,-0.3472),(6485,5965,0.74636,-0.34195),(6485,5975,0.74756,-0.33661),(6485,5985,0.74876,-0.33116),(6485,5995,0.74983,-0.3257),(6485,6005,0.75089,-0.32029),(6485,6015,0.75194,-0.31503),(6485,6025,0.75301,-0.30976),(6485,6035,0.75409,-0.30448),(6485,6045,0.75517,-0.29915),(6485,6055,0.75622,-0.29382),(6485,6065,0.75725,-0.28848),(6485,6075,0.75829,-0.28306),(6485,6085,0.75929,-0.27762),(6485,6095,0.76025,-0.27219),(6485,6105,0.76121,-0.26675),(6485,6115,0.76215,-0.26131),(6485,6125,0.76305,-0.25587),(6485,6135,0.76394,-0.25043),(6485,6145,0.76483,-0.245),(6485,6155,0.76567,-0.23957),(6485,6165,0.76651,-0.23411),(6485,6175,0.76735,-0.22859),(6485,6185,0.76814,-0.22306),(6485,6195,0.76893,-0.21753),(6485,6205,0.76972,-0.21199),(6485,6215,0.77048,-0.20645),(6485,6225,0.77122,-0.20091),(6485,6235,0.77196,-0.19539),(6485,6245,0.77267,-0.18986),(6485,6255,0.77335,-0.18434),(6485,6265,0.77403,-0.17883),(6485,6275,0.7747,-0.17333),(6485,6285,0.77536,-0.16782),(6485,6295,0.77602,-0.16223),(6485,6305,0.77666,-0.15661),(6485,6315,0.77717,-0.15098),(6485,6325,0.77768,-0.14542),(6485,6335,0.77818,-0.13995),(6485,6345,0.77867,-0.13447),(6485,6355,0.77916,-0.12893),(6485,6365,0.77965,-0.12326),(6485,6375,0.78011,-0.11759),(6485,6385,0.78057,-0.11193),(6485,6395,0.78102,-0.10639),(6485,6405,0.78144,-0.10085),(6485,6415,0.78182,-0.095317),(6485,6425,0.78221,-0.089708),(6485,6435,0.78257,-0.084095),(6485,6445,0.78288,-0.078483),(6485,6455,0.78318,-0.072861),(6485,6465,0.78348,-0.067237),(6485,6475,0.78373,-0.061613),(6485,6485,0.78398,-0.055972),(6485,6495,0.78423,-0.050321),(6485,6505,0.78443,-0.04467),(6485,6515,0.78464,-0.039038),(6485,6525,0.78485,-0.033435),(6485,6535,0.78502,-0.027832),(6485,6545,0.78518,-0.02226),(6485,6555,0.78534,-0.016784),(6485,6565,0.78548,-0.011307),(6485,6575,0.78562,-0.005817),(6485,6585,0.78575,-0.000128),(6485,6595,0.66835,0.005561),(6485,6605,0.42117,0.011251),(6485,6615,0.17398,0.012002),(6485,6625,0.000226,0.012119),(6485,6635,0.000271,0.012235),(6485,6645,0.000315,0.01227),(6485,6655,0.00036,0.01227),(6485,6665,0.000404,0.01227),(6485,6675,0.000448,0.012269),(6485,6685,0.000492,0.012268),(6485,6695,0.000536,0.012267),(6485,6705,0.00058,0.012265),(6485,6715,0.000624,0.012262),(6485,6725,0.000668,0.012259),(6485,6735,0.000712,0.012256),(6485,6745,0.000755,0.012251),(6485,6755,0.000799,0.012246),(6485,6765,0.000842,0.012242),(6485,6775,0.000885,0.012236),(6485,6785,0.000928,0.012229),(6485,6795,0.00097,0.012223),(6485,6805,0.001013,0.012216),(6485,6815,0.001055,0.012208),(6485,6825,0.001097,0.0122),(6485,6835,0.001139,0.012192),(6485,6845,0.001181,0.012183),(6485,6855,0.001222,0.012173),(6485,6865,0.001263,0.012164),(6485,6875,0.001304,0.012153),(6485,6885,0.001345,0.012142),(6485,6895,0.001385,0.012131),(6485,6905,0.001425,0.012119),(6485,6915,0.001465,0.012107),(6485,6925,0.001504,0.012095),(6485,6935,0.001544,0.012081),(6485,6945,0.001583,0.012068),(6485,6955,0.001621,0.012055),(6485,6965,0.00166,0.01204),(6485,6975,0.001698,0.012025),(6485,6985,0.001735,0.012011),(6495,5,3e-06,-0.76811),(6495,15,9e-06,-0.76815),(6495,25,1.3e-05,-0.76819),(6495,35,1.5e-05,-0.76824),(6495,45,1.7e-05,-0.76824),(6495,55,1.9e-05,-0.76822),(6495,65,2.1e-05,-0.7682),(6495,75,2.2e-05,-0.76817),(6495,85,2.3e-05,-0.76815),(6495,95,2.4e-05,-0.76813),(6495,105,2.7e-05,-0.76811),(6495,115,3.3e-05,-0.76808),(6495,125,3.8e-05,-0.76805),(6495,135,4.4e-05,-0.76802),(6495,145,5.3e-05,-0.76799),(6495,155,6.4e-05,-0.76795),(6495,165,7.5e-05,-0.7679),(6495,175,8.6e-05,-0.76785),(6495,185,8.8e-05,-0.7678),(6495,195,8.5e-05,-0.76775),(6495,205,8.1e-05,-0.76765),(6495,215,7.8e-05,-0.76753),(6495,225,7.5e-05,-0.76741),(6495,235,7.1e-05,-0.7673),(6495,245,6.7e-05,-0.76722),(6495,255,6.3e-05,-0.76715),(6495,265,6.9e-05,-0.76708),(6495,275,7.7e-05,-0.76702),(6495,285,8.5e-05,-0.76693),(6495,295,9.3e-05,-0.76685),(6495,305,0.0001,-0.76676),(6495,315,0.000107,-0.76667),(6495,325,0.000115,-0.76657),(6495,335,0.000122,-0.76648),(6495,345,0.000127,-0.76638),(6495,355,0.000133,-0.76629),(6495,365,0.000138,-0.76618),(6495,375,0.000143,-0.76607),(6495,385,0.000146,-0.76596),(6495,395,0.000149,-0.76585),(6495,405,0.000152,-0.76572),(6495,415,0.000154,-0.76558),(6495,425,0.000162,-0.76544),(6495,435,0.000169,-0.7653),(6495,445,0.000177,-0.7652),(6495,455,0.000184,-0.7651),(6495,465,0.000192,-0.765),(6495,475,0.000199,-0.7649),(6495,485,0.000207,-0.76474),(6495,495,0.000214,-0.76458),(6495,505,0.00022,-0.76442),(6495,515,0.000225,-0.76425),(6495,525,0.000231,-0.76411),(6495,535,0.000236,-0.76396),(6495,545,0.000248,-0.76381),(6495,555,0.000259,-0.76366),(6495,565,0.00027,-0.76351),(6495,575,0.000282,-0.76335),(6495,585,0.000291,-0.76319),(6495,595,0.0003,-0.76303),(6495,605,0.000309,-0.76284),(6495,615,0.000318,-0.76264),(6495,625,0.000325,-0.76245),(6495,635,0.000332,-0.76226),(6495,645,0.000339,-0.76207),(6495,655,0.000347,-0.76189),(6495,665,0.00036,-0.7617),(6495,675,0.000374,-0.76152),(6495,685,0.000387,-0.76134),(6495,695,0.000402,-0.76116),(6495,705,0.000424,-0.76099),(6495,715,0.000445,-0.76081),(6495,725,0.000467,-0.76062),(6495,735,0.000487,-0.76044),(6495,745,0.000499,-0.76025),(6495,755,0.000511,-0.76005),(6495,765,0.000524,-0.75983),(6495,775,0.000534,-0.7596),(6495,785,0.00054,-0.75937),(6495,795,0.000545,-0.75915),(6495,805,0.000551,-0.75893),(6495,815,0.000558,-0.75871),(6495,825,0.000567,-0.7585),(6495,835,0.000577,-0.75828),(6495,845,0.000587,-0.75807),(6495,855,0.000598,-0.75785),(6495,865,0.000612,-0.75764),(6495,875,0.000626,-0.75743),(6495,885,0.000639,-0.75721),(6495,895,0.000655,-0.75699),(6495,905,0.000672,-0.75677),(6495,915,0.00069,-0.75656),(6495,925,0.000707,-0.75635),(6495,935,0.000728,-0.75614),(6495,945,0.000753,-0.75593),(6495,955,0.000779,-0.75574),(6495,965,0.000804,-0.75557),(6495,975,0.000835,-0.75539),(6495,985,0.000872,-0.75522),(6495,995,0.000908,-0.75507),(6495,1005,0.000945,-0.75493),(6495,1015,0.000984,-0.75479),(6495,1025,0.001026,-0.75466),(6495,1035,0.001068,-0.75454),(6495,1045,0.00111,-0.75445),(6495,1055,0.001158,-0.75435),(6495,1065,0.001212,-0.75425),(6495,1075,0.001265,-0.75423),(6495,1085,0.001318,-0.75426),(6495,1095,0.001399,-0.75428),(6495,1105,0.001498,-0.75431),(6495,1115,0.001597,-0.75451),(6495,1125,0.001697,-0.75481),(6495,1135,0.001844,-0.75512),(6495,1145,0.00202,-0.75542),(6495,1155,0.002195,-0.75596),(6495,1165,0.00237,-0.75664),(6495,1175,0.002662,-0.75731),(6495,1185,0.003012,-0.75798),(6495,1195,0.003361,-0.75913),(6495,1205,0.003711,-0.7605),(6495,1215,0.004864,-0.76187),(6495,1225,0.006348,-0.76323),(6495,1235,0.007833,-0.76716),(6495,1245,0.009317,-0.77205),(6495,1255,0.016331,-0.77693),(6495,1265,0.025212,-0.78181),(6495,1275,0.034093,-0.80682),(6495,1285,0.042974,-0.83792),(6495,1295,0.055033,-0.86902),(6495,1305,0.067951,-0.90012),(6495,1315,0.080869,-0.96474),(6495,1325,0.093787,-1.0374),(6495,1335,0.057648,-1.11),(6495,1345,0.011227,-1.1826),(6495,1355,-0.035193,-1.1373),(6495,1365,-0.081613,-1.0706),(6495,1375,-0.079898,-1.0038),(6495,1385,-0.070756,-0.9371),(6495,1395,-0.061613,-0.89647),(6495,1405,-0.052471,-0.85918),(6495,1415,-0.04188,-0.8219),(6495,1425,-0.03114,-0.78462),(6495,1435,-0.020399,-0.77689),(6495,1445,-0.009659,-0.77153),(6495,1455,-0.007585,-0.76617),(6495,1465,-0.00601,-0.76081),(6495,1475,-0.004435,-0.75936),(6495,1485,-0.00286,-0.75805),(6495,1495,-0.002537,-0.75674),(6495,1505,-0.002233,-0.75543),(6495,1515,-0.001929,-0.75447),(6495,1525,-0.001628,-0.75351),(6495,1535,-0.00146,-0.75256),(6495,1545,-0.001291,-0.75162),(6495,1555,-0.001123,-0.75112),(6495,1565,-0.000959,-0.75063),(6495,1575,-0.000869,-0.75013),(6495,1585,-0.000778,-0.74964),(6495,1595,-0.000688,-0.74928),(6495,1605,-0.000601,-0.74891),(6495,1615,-0.000542,-0.74855),(6495,1625,-0.000484,-0.74821),(6495,1635,-0.000426,-0.74811),(6495,1645,-0.00037,-0.74801),(6495,1655,-0.000335,-0.74791),(6495,1665,-0.000299,-0.7478),(6495,1675,-0.000263,-0.74765),(6495,1685,-0.000232,-0.74751),(6495,1695,-0.000217,-0.74737),(6495,1705,-0.000203,-0.74724),(6495,1715,-0.000189,-0.74718),(6495,1725,-0.000174,-0.74711),(6495,1735,-0.000156,-0.74704),(6495,1745,-0.000139,-0.74699),(6495,1755,-0.000121,-0.74695),(6495,1765,-0.000103,-0.74692),(6495,1775,-8.5e-05,-0.74688),(6495,1785,-6.6e-05,-0.74685),(6495,1795,-4.8e-05,-0.74681),(6495,1805,-2.7e-05,-0.74677),(6495,1815,-2e-06,-0.74673),(6495,1825,2.3e-05,-0.7467),(6495,1835,4.8e-05,-0.74668),(6495,1845,7.3e-05,-0.74666),(6495,1855,9.7e-05,-0.74665),(6495,1865,0.000122,-0.74662),(6495,1875,0.000147,-0.74659),(6495,1885,0.000162,-0.74655),(6495,1895,0.000163,-0.74652),(6495,1905,0.000164,-0.74646),(6495,1915,0.000166,-0.74636),(6495,1925,0.000165,-0.74626),(6495,1935,0.000162,-0.74616),(6495,1945,0.000158,-0.74608),(6495,1955,0.000155,-0.74602),(6495,1965,0.000154,-0.74596),(6495,1975,0.000154,-0.7459),(6495,1985,0.000155,-0.74583),(6495,1995,0.000156,-0.74573),(6495,2005,0.000158,-0.74563),(6495,2015,0.000161,-0.74553),(6495,2025,0.000164,-0.74543),(6495,2035,0.000167,-0.74533),(6495,2045,0.00017,-0.74523),(6495,2055,0.000172,-0.74513),(6495,2065,0.000174,-0.74504),(6495,2075,0.000176,-0.74494),(6495,2085,0.000181,-0.74484),(6495,2095,0.000188,-0.74473),(6495,2105,0.000195,-0.74463),(6495,2115,0.000203,-0.74452),(6495,2125,0.000219,-0.74441),(6495,2135,0.000241,-0.74431),(6495,2145,0.000263,-0.7442),(6495,2155,0.000285,-0.7441),(6495,2165,0.000303,-0.744),(6495,2175,0.00032,-0.7439),(6495,2185,0.000337,-0.74376),(6495,2195,0.000353,-0.7436),(6495,2205,0.000365,-0.74344),(6495,2215,0.000376,-0.74328),(6495,2225,0.000386,-0.74311),(6495,2235,0.000396,-0.74294),(6495,2245,0.000408,-0.74276),(6495,2255,0.000422,-0.74259),(6495,2265,0.000435,-0.74242),(6495,2275,0.000448,-0.74225),(6495,2285,0.000463,-0.74209),(6495,2295,0.000477,-0.74192),(6495,2305,0.000492,-0.74171),(6495,2315,0.000507,-0.7415),(6495,2325,0.000521,-0.74129),(6495,2335,0.000536,-0.74108),(6495,2345,0.00055,-0.74086),(6495,2355,0.000565,-0.74064),(6495,2365,0.00057,-0.74042),(6495,2375,0.000574,-0.7402),(6495,2385,0.000578,-0.73995),(6495,2395,0.000582,-0.73968),(6495,2405,0.000582,-0.73942),(6495,2415,0.000581,-0.73915),(6495,2425,0.000581,-0.73888),(6495,2435,0.000581,-0.73861),(6495,2445,0.000594,-0.73834),(6495,2455,0.000609,-0.73806),(6495,2465,0.000623,-0.73781),(6495,2475,0.000637,-0.73756),(6495,2485,0.000657,-0.73732),(6495,2495,0.000678,-0.73707),(6495,2505,0.000698,-0.73678),(6495,2515,0.000718,-0.73648),(6495,2525,0.000736,-0.73619),(6495,2535,0.000753,-0.7359),(6495,2545,0.00077,-0.73558),(6495,2555,0.000787,-0.73526),(6495,2565,0.000803,-0.73494),(6495,2575,0.000818,-0.73461),(6495,2585,0.000833,-0.7343),(6495,2595,0.000848,-0.73398),(6495,2605,0.000855,-0.73366),(6495,2615,0.000862,-0.73334),(6495,2625,0.000869,-0.73299),(6495,2635,0.000875,-0.73263),(6495,2645,0.000878,-0.73228),(6495,2655,0.000881,-0.73193),(6495,2665,0.000884,-0.73156),(6495,2675,0.000888,-0.7312),(6495,2685,0.000895,-0.73083),(6495,2695,0.000901,-0.73046),(6495,2705,0.000907,-0.73006),(6495,2715,0.000914,-0.72967),(6495,2725,0.000923,-0.72927),(6495,2735,0.000931,-0.72887),(6495,2745,0.00094,-0.72846),(6495,2755,0.00095,-0.72804),(6495,2765,0.000966,-0.72763),(6495,2775,0.000982,-0.72722),(6495,2785,0.000998,-0.72681),(6495,2795,0.001015,-0.72639),(6495,2805,0.001034,-0.72598),(6495,2815,0.001054,-0.72556),(6495,2825,0.001073,-0.72513),(6495,2835,0.001088,-0.72469),(6495,2845,0.001096,-0.72426),(6495,2855,0.001103,-0.72381),(6495,2865,0.00111,-0.72332),(6495,2875,0.001113,-0.72284),(6495,2885,0.001109,-0.72235),(6495,2895,0.001104,-0.72185),(6495,2905,0.0011,-0.72134),(6495,2915,0.001099,-0.72083),(6495,2925,0.001102,-0.72032),(6495,2935,0.001105,-0.71982),(6495,2945,0.001108,-0.71933),(6495,2955,0.001118,-0.71883),(6495,2965,0.001136,-0.71834),(6495,2975,0.001155,-0.71785),(6495,2985,0.001174,-0.71735),(6495,2995,0.001192,-0.71686),(6495,3005,0.001211,-0.71636),(6495,3015,0.001229,-0.71584),(6495,3025,0.001248,-0.7153),(6495,3035,0.00126,-0.71476),(6495,3045,0.001265,-0.71423),(6495,3055,0.00127,-0.71367),(6495,3065,0.001275,-0.7131),(6495,3075,0.001278,-0.71253),(6495,3085,0.001281,-0.71196),(6495,3095,0.001284,-0.71138),(6495,3105,0.001287,-0.71079),(6495,3115,0.00129,-0.7102),(6495,3125,0.001293,-0.70961),(6495,3135,0.001297,-0.70902),(6495,3145,0.001301,-0.70842),(6495,3155,0.001301,-0.70783),(6495,3165,0.0013,-0.70723),(6495,3175,0.001299,-0.70662),(6495,3185,0.001298,-0.70599),(6495,3195,0.001304,-0.70537),(6495,3205,0.001314,-0.70474),(6495,3215,0.001323,-0.70413),(6495,3225,0.001333,-0.70353),(6495,3235,0.001349,-0.70292),(6495,3245,0.001367,-0.70232),(6495,3255,0.001385,-0.70169),(6495,3265,0.001403,-0.70106),(6495,3275,0.001412,-0.70043),(6495,3285,0.001418,-0.69979),(6495,3295,0.001424,-0.69912),(6495,3305,0.00143,-0.69843),(6495,3315,0.001438,-0.69774),(6495,3325,0.001446,-0.69705),(6495,3335,0.001454,-0.69638),(6495,3345,0.001462,-0.69571),(6495,3355,0.001478,-0.69503),(6495,3365,0.001495,-0.69436),(6495,3375,0.001512,-0.69367),(6495,3385,0.001529,-0.69299),(6495,3395,0.001538,-0.6923),(6495,3405,0.001545,-0.69161),(6495,3415,0.001553,-0.6909),(6495,3425,0.001561,-0.69019),(6495,3435,0.001568,-0.68949),(6495,3445,0.001576,-0.68878),(6495,3455,0.001584,-0.68805),(6495,3465,0.001591,-0.68733),(6495,3475,0.001613,-0.68661),(6495,3485,0.001635,-0.68588),(6495,3495,0.001656,-0.68518),(6495,3505,0.001678,-0.68448),(6495,3515,0.001702,-0.68377),(6495,3525,0.001726,-0.68307),(6495,3535,0.00175,-0.68233),(6495,3545,0.001773,-0.68159),(6495,3555,0.001785,-0.68085),(6495,3565,0.001798,-0.68011),(6495,3575,0.00181,-0.67935),(6495,3585,0.001822,-0.67858),(6495,3595,0.001832,-0.67782),(6495,3605,0.001843,-0.67706),(6495,3615,0.001854,-0.67632),(6495,3625,0.001867,-0.67558),(6495,3635,0.001895,-0.67484),(6495,3645,0.001924,-0.67411),(6495,3655,0.001952,-0.67342),(6495,3665,0.001982,-0.67274),(6495,3675,0.002016,-0.67205),(6495,3685,0.002051,-0.67137),(6495,3695,0.002085,-0.67071),(6495,3705,0.002121,-0.67005),(6495,3715,0.002161,-0.6694),(6495,3725,0.002201,-0.66875),(6495,3735,0.002241,-0.66815),(6495,3745,0.002287,-0.66756),(6495,3755,0.002348,-0.66696),(6495,3765,0.002409,-0.6664),(6495,3775,0.00247,-0.66595),(6495,3785,0.002546,-0.6655),(6495,3795,0.002657,-0.66504),(6495,3805,0.002767,-0.66469),(6495,3815,0.002878,-0.66454),(6495,3825,0.003021,-0.6644),(6495,3835,0.003231,-0.66426),(6495,3845,0.003441,-0.66428),(6495,3855,0.003651,-0.66463),(6495,3865,0.003949,-0.66498),(6495,3875,0.004399,-0.66533),(6495,3885,0.004849,-0.6661),(6495,3895,0.0053,-0.66755),(6495,3905,0.006166,-0.669),(6495,3915,0.007652,-0.67045),(6495,3925,0.009138,-0.67355),(6495,3935,0.010624,-0.67892),(6495,3945,0.014419,-0.68429),(6495,3955,0.021145,-0.68967),(6495,3965,0.027871,-0.70403),(6495,3975,0.034597,-0.72893),(6495,3985,0.046526,-0.75383),(6495,3995,0.064088,-0.77873),(6495,4005,0.08165,-0.82872),(6495,4015,0.099212,-0.9038),(6495,4025,0.15614,-0.97888),(6495,4035,0.21692,-1.0294),(6495,4045,0.27771,-1.0282),(6495,4055,0.33493,-1.0269),(6495,4065,0.39085,-1.0256),(6495,4075,0.44677,-1.0237),(6495,4085,0.47209,-1.0217),(6495,4095,0.47283,-1.0198),(6495,4105,0.47357,-1.0179),(6495,4115,0.47433,-1.0159),(6495,4125,0.4751,-1.014),(6495,4135,0.47587,-1.0121),(6495,4145,0.47666,-1.0102),(6495,4155,0.47747,-1.0082),(6495,4165,0.47829,-1.0063),(6495,4175,0.47911,-1.0044),(6495,4185,0.47993,-1.0024),(6495,4195,0.48075,-1.0004),(6495,4205,0.48157,-0.99833),(6495,4215,0.48242,-0.99626),(6495,4225,0.48327,-0.9942),(6495,4235,0.48413,-0.99217),(6495,4245,0.48502,-0.99014),(6495,4255,0.48592,-0.98812),(6495,4265,0.48683,-0.9861),(6495,4275,0.48776,-0.98409),(6495,4285,0.4887,-0.98208),(6495,4295,0.48965,-0.98001),(6495,4305,0.49061,-0.97795),(6495,4315,0.49159,-0.97588),(6495,4325,0.49257,-0.97374),(6495,4335,0.49356,-0.97157),(6495,4345,0.49458,-0.9694),(6495,4355,0.4956,-0.96721),(6495,4365,0.49661,-0.965),(6495,4375,0.49767,-0.96278),(6495,4385,0.49872,-0.96054),(6495,4395,0.49978,-0.95824),(6495,4405,0.50086,-0.95593),(6495,4415,0.50196,-0.95363),(6495,4425,0.50305,-0.9513),(6495,4435,0.50417,-0.94898),(6495,4445,0.50529,-0.94666),(6495,4455,0.50642,-0.94429),(6495,4465,0.50756,-0.94193),(6495,4475,0.50872,-0.93956),(6495,4485,0.50989,-0.9371),(6495,4495,0.51106,-0.93462),(6495,4505,0.51225,-0.93215),(6495,4515,0.51344,-0.92961),(6495,4525,0.51462,-0.92704),(6495,4535,0.51584,-0.92447),(6495,4545,0.51706,-0.92187),(6495,4555,0.51828,-0.91922),(6495,4565,0.51954,-0.91657),(6495,4575,0.52081,-0.91392),(6495,4585,0.52207,-0.91124),(6495,4595,0.52338,-0.90857),(6495,4605,0.52471,-0.90589),(6495,4615,0.52604,-0.90318),(6495,4625,0.5274,-0.90046),(6495,4635,0.52879,-0.89775),(6495,4645,0.53019,-0.89497),(6495,4655,0.5316,-0.89218),(6495,4665,0.53306,-0.8894),(6495,4675,0.53451,-0.88654),(6495,4685,0.53597,-0.88367),(6495,4695,0.53745,-0.88079),(6495,4705,0.53894,-0.87787),(6495,4715,0.54043,-0.87492),(6495,4725,0.54192,-0.87197),(6495,4735,0.54342,-0.86899),(6495,4745,0.54491,-0.86596),(6495,4755,0.54641,-0.86294),(6495,4765,0.5479,-0.85989),(6495,4775,0.54939,-0.85677),(6495,4785,0.5509,-0.85364),(6495,4795,0.55242,-0.85052),(6495,4805,0.55395,-0.84729),(6495,4815,0.5555,-0.84407),(6495,4825,0.55708,-0.84084),(6495,4835,0.55866,-0.83759),(6495,4845,0.56026,-0.83432),(6495,4855,0.5619,-0.83106),(6495,4865,0.56353,-0.82776),(6495,4875,0.56517,-0.82444),(6495,4885,0.56685,-0.82112),(6495,4895,0.56852,-0.81777),(6495,4905,0.57019,-0.81438),(6495,4915,0.57188,-0.81098),(6495,4925,0.57357,-0.80756),(6495,4935,0.57526,-0.80408),(6495,4945,0.57696,-0.80061),(6495,4955,0.57866,-0.79712),(6495,4965,0.58036,-0.79357),(6495,4975,0.58206,-0.79003),(6495,4985,0.58377,-0.78648),(6495,4995,0.58547,-0.78285),(6495,5005,0.58718,-0.77923),(6495,5015,0.5889,-0.7756),(6495,5025,0.59062,-0.77192),(6495,5035,0.59235,-0.76822),(6495,5045,0.59411,-0.76452),(6495,5055,0.59588,-0.76075),(6495,5065,0.59765,-0.75695),(6495,5075,0.59939,-0.75315),(6495,5085,0.60114,-0.74935),(6495,5095,0.60288,-0.74555),(6495,5105,0.60465,-0.74175),(6495,5115,0.60641,-0.73793),(6495,5125,0.60818,-0.73406),(6495,5135,0.60995,-0.73019),(6495,5145,0.61171,-0.72631),(6495,5155,0.61346,-0.72232),(6495,5165,0.61521,-0.71832),(6495,5175,0.61694,-0.71433),(6495,5185,0.61868,-0.71024),(6495,5195,0.62041,-0.70614),(6495,5205,0.62213,-0.70204),(6495,5215,0.62385,-0.69791),(6495,5225,0.62557,-0.69376),(6495,5235,0.62731,-0.68961),(6495,5245,0.62905,-0.68545),(6495,5255,0.63079,-0.68128),(6495,5265,0.63254,-0.6771),(6495,5275,0.6343,-0.6729),(6495,5285,0.63606,-0.66865),(6495,5295,0.63782,-0.66441),(6495,5305,0.63959,-0.66015),(6495,5315,0.64136,-0.65584),(6495,5325,0.64312,-0.65153),(6495,5335,0.64487,-0.64722),(6495,5345,0.64663,-0.64288),(6495,5355,0.64837,-0.63855),(6495,5365,0.6501,-0.63422),(6495,5375,0.65182,-0.62984),(6495,5385,0.65354,-0.62545),(6495,5395,0.65522,-0.62107),(6495,5405,0.65691,-0.61662),(6495,5415,0.65859,-0.61214),(6495,5425,0.66026,-0.60766),(6495,5435,0.66192,-0.60315),(6495,5445,0.66359,-0.5986),(6495,5455,0.66527,-0.59406),(6495,5465,0.66695,-0.58951),(6495,5475,0.66863,-0.58495),(6495,5485,0.67032,-0.58039),(6495,5495,0.672,-0.57583),(6495,5505,0.67369,-0.57122),(6495,5515,0.67535,-0.56661),(6495,5525,0.677,-0.56201),(6495,5535,0.67865,-0.55731),(6495,5545,0.68028,-0.55261),(6495,5555,0.68188,-0.54791),(6495,5565,0.68347,-0.54315),(6495,5575,0.68506,-0.53837),(6495,5585,0.68663,-0.5336),(6495,5595,0.68819,-0.5288),(6495,5605,0.68975,-0.52398),(6495,5615,0.69131,-0.51916),(6495,5625,0.69286,-0.51432),(6495,5635,0.69441,-0.50945),(6495,5645,0.69597,-0.50458),(6495,5655,0.69752,-0.4997),(6495,5665,0.69908,-0.49479),(6495,5675,0.70065,-0.48988),(6495,5685,0.70224,-0.48497),(6495,5695,0.70382,-0.47998),(6495,5705,0.70535,-0.47499),(6495,5715,0.70682,-0.47),(6495,5725,0.70828,-0.46503),(6495,5735,0.70974,-0.46006),(6495,5745,0.71117,-0.4551),(6495,5755,0.7126,-0.45007),(6495,5765,0.71402,-0.44502),(6495,5775,0.7154,-0.43996),(6495,5785,0.71679,-0.43488),(6495,5795,0.71817,-0.42976),(6495,5805,0.71952,-0.42465),(6495,5815,0.72088,-0.41954),(6495,5825,0.72223,-0.41443),(6495,5835,0.72356,-0.40932),(6495,5845,0.72488,-0.4042),(6495,5855,0.7262,-0.39904),(6495,5865,0.7275,-0.39389),(6495,5875,0.72878,-0.38873),(6495,5885,0.73006,-0.38352),(6495,5895,0.73132,-0.3783),(6495,5905,0.73255,-0.37308),(6495,5915,0.73379,-0.36785),(6495,5925,0.73501,-0.36261),(6495,5935,0.7362,-0.35737),(6495,5945,0.73738,-0.35212),(6495,5955,0.73857,-0.34685),(6495,5965,0.73974,-0.34157),(6495,5975,0.74091,-0.33624),(6495,5985,0.74209,-0.33084),(6495,5995,0.74315,-0.32544),(6495,6005,0.7442,-0.32006),(6495,6015,0.74524,-0.31476),(6495,6025,0.7463,-0.30945),(6495,6035,0.74735,-0.30415),(6495,6045,0.7484,-0.29882),(6495,6055,0.74943,-0.29349),(6495,6065,0.75045,-0.28816),(6495,6075,0.75146,-0.28275),(6495,6085,0.75246,-0.27733),(6495,6095,0.75341,-0.27191),(6495,6105,0.75436,-0.26647),(6495,6115,0.7553,-0.26104),(6495,6125,0.75619,-0.2556),(6495,6135,0.75708,-0.25017),(6495,6145,0.75797,-0.24475),(6495,6155,0.7588,-0.23933),(6495,6165,0.75963,-0.23387),(6495,6175,0.76046,-0.22834),(6495,6185,0.76125,-0.22282),(6495,6195,0.76203,-0.21729),(6495,6205,0.76281,-0.21176),(6495,6215,0.76357,-0.20622),(6495,6225,0.76431,-0.20068),(6495,6235,0.76504,-0.19516),(6495,6245,0.76575,-0.18964),(6495,6255,0.76643,-0.18412),(6495,6265,0.7671,-0.1786),(6495,6275,0.76777,-0.17308),(6495,6285,0.76841,-0.16755),(6495,6295,0.76905,-0.162),(6495,6305,0.76968,-0.15642),(6495,6315,0.77019,-0.15085),(6495,6325,0.7707,-0.14531),(6495,6335,0.77121,-0.13981),(6495,6345,0.7717,-0.13432),(6495,6355,0.77218,-0.12876),(6495,6365,0.77266,-0.12309),(6495,6375,0.77312,-0.11741),(6495,6385,0.77357,-0.11176),(6495,6395,0.77402,-0.10623),(6495,6405,0.77443,-0.1007),(6495,6415,0.77482,-0.095166),(6495,6425,0.77522,-0.089568),(6495,6435,0.77558,-0.083966),(6495,6445,0.77589,-0.078365),(6495,6455,0.7762,-0.072748),(6495,6465,0.77649,-0.067127),(6495,6475,0.77674,-0.061505),(6495,6485,0.77698,-0.055865),(6495,6495,0.77723,-0.050213),(6495,6505,0.77743,-0.04456),(6495,6515,0.77763,-0.038929),(6495,6525,0.77783,-0.033328),(6495,6535,0.778,-0.027726),(6495,6545,0.77817,-0.022151),(6495,6555,0.77833,-0.01666),(6495,6565,0.77847,-0.011169),(6495,6575,0.7786,-0.005667),(6495,6585,0.77874,-2e-05),(6495,6595,0.66238,0.005628),(6495,6605,0.41741,0.011275),(6495,6615,0.17243,0.012028),(6495,6625,0.000224,0.012153),(6495,6635,0.000269,0.012277),(6495,6645,0.000314,0.012314),(6495,6655,0.000359,0.012314),(6495,6665,0.000404,0.012314),(6495,6675,0.000448,0.012313),(6495,6685,0.000493,0.012312),(6495,6695,0.000538,0.012311),(6495,6705,0.000582,0.012309),(6495,6715,0.000627,0.012305),(6495,6725,0.000671,0.012302),(6495,6735,0.000715,0.012299),(6495,6745,0.000759,0.012294),(6495,6755,0.000803,0.012289),(6495,6765,0.000846,0.012285),(6495,6775,0.00089,0.012278),(6495,6785,0.000933,0.012272),(6495,6795,0.000976,0.012266),(6495,6805,0.001019,0.012258),(6495,6815,0.001062,0.01225),(6495,6825,0.001105,0.012242),(6495,6835,0.001147,0.012233),(6495,6845,0.001189,0.012224),(6495,6855,0.001231,0.012214),(6495,6865,0.001272,0.012204),(6495,6875,0.001314,0.012193),(6495,6885,0.001355,0.012183),(6495,6895,0.001395,0.012171),(6495,6905,0.001436,0.012159),(6495,6915,0.001476,0.012147),(6495,6925,0.001516,0.012134),(6495,6935,0.001556,0.01212),(6495,6945,0.001595,0.012107),(6495,6955,0.001634,0.012093),(6495,6965,0.001673,0.012078),(6495,6975,0.001711,0.012063),(6495,6985,0.001749,0.012048),(6505,5,3e-06,-0.87037),(6505,15,9e-06,-0.87043),(6505,25,1.2e-05,-0.87048),(6505,35,1.2e-05,-0.87054),(6505,45,1.2e-05,-0.87055),(6505,55,1.2e-05,-0.87053),(6505,65,1.1e-05,-0.87051),(6505,75,9e-06,-0.87048),(6505,85,7e-06,-0.87045),(6505,95,5e-06,-0.87042),(6505,105,7e-06,-0.87039),(6505,115,1.3e-05,-0.87035),(6505,125,1.9e-05,-0.87031),(6505,135,2.5e-05,-0.87027),(6505,145,3.6e-05,-0.87022),(6505,155,5.1e-05,-0.87018),(6505,165,6.6e-05,-0.87012),(6505,175,8.1e-05,-0.87006),(6505,185,8e-05,-0.87001),(6505,195,7e-05,-0.86995),(6505,205,6.1e-05,-0.86984),(6505,215,5.2e-05,-0.86971),(6505,225,4.2e-05,-0.86958),(6505,235,3.2e-05,-0.86945),(6505,245,2.2e-05,-0.86935),(6505,255,1.2e-05,-0.86927),(6505,265,1.7e-05,-0.86919),(6505,275,2.7e-05,-0.8691),(6505,285,3.6e-05,-0.86899),(6505,295,4.6e-05,-0.86887),(6505,305,5.4e-05,-0.86875),(6505,315,6.3e-05,-0.86863),(6505,325,7.1e-05,-0.86852),(6505,335,7.9e-05,-0.8684),(6505,345,8.4e-05,-0.86828),(6505,355,8.9e-05,-0.86816),(6505,365,9.4e-05,-0.86803),(6505,375,9.9e-05,-0.8679),(6505,385,0.0001,-0.86777),(6505,395,0.000101,-0.86764),(6505,405,0.000101,-0.86748),(6505,415,0.000102,-0.86731),(6505,425,0.00011,-0.86714),(6505,435,0.000118,-0.86696),(6505,445,0.000127,-0.86684),(6505,455,0.000135,-0.86671),(6505,465,0.000144,-0.86658),(6505,475,0.000152,-0.86646),(6505,485,0.000161,-0.86627),(6505,495,0.000169,-0.86608),(6505,505,0.000174,-0.86589),(6505,515,0.000179,-0.8657),(6505,525,0.000184,-0.86552),(6505,535,0.000189,-0.86534),(6505,545,0.000204,-0.86516),(6505,555,0.000218,-0.86498),(6505,565,0.000233,-0.8648),(6505,575,0.000248,-0.86461),(6505,585,0.000258,-0.86442),(6505,595,0.000269,-0.86423),(6505,605,0.00028,-0.864),(6505,615,0.00029,-0.86377),(6505,625,0.000297,-0.86354),(6505,635,0.000305,-0.86331),(6505,645,0.000312,-0.86308),(6505,655,0.000321,-0.86285),(6505,665,0.000338,-0.86261),(6505,675,0.000356,-0.86238),(6505,685,0.000374,-0.86215),(6505,695,0.000395,-0.86193),(6505,705,0.000426,-0.8617),(6505,715,0.000458,-0.86148),(6505,725,0.000489,-0.86126),(6505,735,0.000517,-0.86104),(6505,745,0.000533,-0.86082),(6505,755,0.000548,-0.86059),(6505,765,0.000564,-0.86032),(6505,775,0.000577,-0.86005),(6505,785,0.000581,-0.85978),(6505,795,0.000585,-0.85952),(6505,805,0.000589,-0.85925),(6505,815,0.000596,-0.85898),(6505,825,0.000607,-0.85871),(6505,835,0.000618,-0.85845),(6505,845,0.00063,-0.8582),(6505,855,0.000643,-0.85795),(6505,865,0.000661,-0.85769),(6505,875,0.000678,-0.85744),(6505,885,0.000696,-0.85719),(6505,895,0.000716,-0.85693),(6505,905,0.00074,-0.85668),(6505,915,0.000764,-0.85643),(6505,925,0.000788,-0.85618),(6505,935,0.000818,-0.85593),(6505,945,0.000855,-0.85568),(6505,955,0.000892,-0.85545),(6505,965,0.000929,-0.85524),(6505,975,0.000975,-0.85503),(6505,985,0.001031,-0.85482),(6505,995,0.001087,-0.85464),(6505,1005,0.001143,-0.85449),(6505,1015,0.001203,-0.85434),(6505,1025,0.001268,-0.85419),(6505,1035,0.001333,-0.85406),(6505,1045,0.001397,-0.85395),(6505,1055,0.001473,-0.85384),(6505,1065,0.001556,-0.85373),(6505,1075,0.00164,-0.8537),(6505,1085,0.001724,-0.85372),(6505,1095,0.001854,-0.85374),(6505,1105,0.002015,-0.85376),(6505,1115,0.002176,-0.85397),(6505,1125,0.002337,-0.85431),(6505,1135,0.002578,-0.85465),(6505,1145,0.002867,-0.85499),(6505,1155,0.003155,-0.85564),(6505,1165,0.003444,-0.85647),(6505,1175,0.003928,-0.85729),(6505,1185,0.004509,-0.85812),(6505,1195,0.005089,-0.85965),(6505,1205,0.00567,-0.8615),(6505,1215,0.007598,-0.86335),(6505,1225,0.010081,-0.8652),(6505,1235,0.012564,-0.86989),(6505,1245,0.015048,-0.87565),(6505,1255,0.026795,-0.88142),(6505,1265,0.041672,-0.88718),(6505,1275,0.056549,-0.90832),(6505,1285,0.071426,-0.93412),(6505,1295,0.091553,-0.95992),(6505,1305,0.1131,-0.98573),(6505,1315,0.13465,-1.0322),(6505,1325,0.15619,-1.0836),(6505,1335,0.095993,-1.135),(6505,1345,0.018661,-1.1864),(6505,1355,-0.05867,-1.1546),(6505,1365,-0.136,-1.1078),(6505,1375,-0.13322,-1.061),(6505,1385,-0.11808,-1.0142),(6505,1395,-0.10293,-0.98204),(6505,1405,-0.087792,-0.95172),(6505,1415,-0.070069,-0.9214),(6505,1425,-0.052078,-0.89108),(6505,1435,-0.034088,-0.88274),(6505,1445,-0.016097,-0.87617),(6505,1455,-0.012626,-0.8696),(6505,1465,-0.00999,-0.86303),(6505,1475,-0.007356,-0.86095),(6505,1485,-0.004721,-0.85904),(6505,1495,-0.004184,-0.85712),(6505,1505,-0.00368,-0.85521),(6505,1515,-0.003176,-0.85402),(6505,1525,-0.002677,-0.85283),(6505,1535,-0.0024,-0.85165),(6505,1545,-0.002123,-0.85049),(6505,1555,-0.001846,-0.84993),(6505,1565,-0.001578,-0.84937),(6505,1575,-0.001432,-0.84882),(6505,1585,-0.001286,-0.84827),(6505,1595,-0.00114,-0.84784),(6505,1605,-0.001,-0.84741),(6505,1615,-0.000908,-0.84698),(6505,1625,-0.000816,-0.84658),(6505,1635,-0.000724,-0.84646),(6505,1645,-0.000637,-0.84633),(6505,1655,-0.000583,-0.84621),(6505,1665,-0.00053,-0.84608),(6505,1675,-0.000476,-0.84591),(6505,1685,-0.000429,-0.84574),(6505,1695,-0.000411,-0.84558),(6505,1705,-0.000393,-0.84543),(6505,1715,-0.000375,-0.84535),(6505,1725,-0.000356,-0.84528),(6505,1735,-0.000333,-0.8452),(6505,1745,-0.000309,-0.84513),(6505,1755,-0.000286,-0.84508),(6505,1765,-0.000262,-0.84504),(6505,1775,-0.000237,-0.84499),(6505,1785,-0.000212,-0.84494),(6505,1795,-0.000187,-0.8449),(6505,1805,-0.000159,-0.84486),(6505,1815,-0.000123,-0.84481),(6505,1825,-8.8e-05,-0.84478),(6505,1835,-5.2e-05,-0.84476),(6505,1845,-1.7e-05,-0.84475),(6505,1855,1.9e-05,-0.84473),(6505,1865,5.4e-05,-0.84471),(6505,1875,8.9e-05,-0.84467),(6505,1885,0.000109,-0.84464),(6505,1895,0.000104,-0.8446),(6505,1905,0.0001,-0.84453),(6505,1915,9.6e-05,-0.84442),(6505,1925,8.8e-05,-0.8443),(6505,1935,7.6e-05,-0.84419),(6505,1945,6.4e-05,-0.84409),(6505,1955,5.3e-05,-0.84403),(6505,1965,4.4e-05,-0.84397),(6505,1975,3.9e-05,-0.8439),(6505,1985,3.4e-05,-0.84382),(6505,1995,2.9e-05,-0.84372),(6505,2005,2.6e-05,-0.84362),(6505,2015,2.5e-05,-0.84352),(6505,2025,2.4e-05,-0.84342),(6505,2035,2.3e-05,-0.84332),(6505,2045,2.1e-05,-0.84322),(6505,2055,1.9e-05,-0.84312),(6505,2065,1.6e-05,-0.84301),(6505,2075,1.3e-05,-0.8429),(6505,2085,1.6e-05,-0.84279),(6505,2095,2.2e-05,-0.84267),(6505,2105,2.8e-05,-0.84256),(6505,2115,3.5e-05,-0.84244),(6505,2125,5.6e-05,-0.84232),(6505,2135,8.7e-05,-0.8422),(6505,2145,0.000117,-0.84209),(6505,2155,0.000148,-0.84198),(6505,2165,0.000173,-0.84188),(6505,2175,0.000195,-0.84177),(6505,2185,0.000217,-0.84161),(6505,2195,0.000239,-0.84143),(6505,2205,0.000254,-0.84125),(6505,2215,0.000264,-0.84107),(6505,2225,0.000275,-0.84088),(6505,2235,0.000286,-0.84069),(6505,2245,0.000301,-0.8405),(6505,2255,0.000318,-0.84031),(6505,2265,0.000334,-0.84011),(6505,2275,0.000351,-0.83992),(6505,2285,0.000369,-0.83973),(6505,2295,0.000388,-0.83954),(6505,2305,0.000407,-0.83931),(6505,2315,0.000426,-0.83908),(6505,2325,0.000444,-0.83885),(6505,2335,0.000463,-0.83862),(6505,2345,0.000481,-0.83837),(6505,2355,0.0005,-0.83813),(6505,2365,0.000503,-0.83788),(6505,2375,0.000504,-0.83763),(6505,2385,0.000504,-0.83734),(6505,2395,0.000505,-0.83704),(6505,2405,0.000499,-0.83674),(6505,2415,0.000493,-0.83644),(6505,2425,0.000486,-0.83613),(6505,2435,0.00048,-0.83581),(6505,2445,0.000497,-0.8355),(6505,2455,0.000515,-0.83518),(6505,2465,0.000534,-0.8349),(6505,2475,0.000552,-0.83462),(6505,2485,0.00058,-0.83433),(6505,2495,0.000608,-0.83405),(6505,2505,0.000636,-0.83373),(6505,2515,0.000665,-0.8334),(6505,2525,0.000688,-0.83308),(6505,2535,0.000711,-0.83275),(6505,2545,0.000735,-0.8324),(6505,2555,0.000758,-0.83204),(6505,2565,0.000778,-0.83168),(6505,2575,0.000798,-0.83132),(6505,2585,0.000818,-0.83095),(6505,2595,0.000837,-0.83058),(6505,2605,0.000843,-0.83021),(6505,2615,0.000849,-0.82983),(6505,2625,0.000855,-0.82942),(6505,2635,0.00086,-0.82901),(6505,2645,0.000859,-0.8286),(6505,2655,0.000859,-0.82819),(6505,2665,0.000859,-0.82777),(6505,2675,0.000859,-0.82734),(6505,2685,0.000864,-0.82692),(6505,2695,0.000869,-0.82649),(6505,2705,0.000874,-0.82606),(6505,2715,0.00088,-0.82562),(6505,2725,0.000889,-0.82518),(6505,2735,0.000898,-0.82473),(6505,2745,0.000907,-0.82426),(6505,2755,0.000919,-0.82379),(6505,2765,0.00094,-0.82331),(6505,2775,0.000961,-0.82284),(6505,2785,0.000982,-0.82237),(6505,2795,0.001005,-0.8219),(6505,2805,0.001032,-0.82142),(6505,2815,0.001059,-0.82094),(6505,2825,0.001086,-0.82045),(6505,2835,0.001106,-0.81996),(6505,2845,0.001113,-0.81946),(6505,2855,0.001119,-0.81895),(6505,2865,0.001126,-0.81839),(6505,2875,0.001125,-0.81784),(6505,2885,0.001112,-0.81728),(6505,2895,0.0011,-0.81671),(6505,2905,0.001087,-0.81613),(6505,2915,0.001079,-0.81554),(6505,2925,0.001079,-0.81495),(6505,2935,0.001078,-0.81437),(6505,2945,0.001078,-0.81381),(6505,2955,0.001089,-0.81324),(6505,2965,0.001115,-0.81267),(6505,2975,0.001141,-0.81211),(6505,2985,0.001166,-0.81155),(6505,2995,0.001192,-0.81099),(6505,3005,0.001218,-0.81043),(6505,3015,0.001244,-0.80985),(6505,3025,0.001269,-0.80924),(6505,3035,0.001283,-0.80863),(6505,3045,0.001286,-0.80802),(6505,3055,0.001289,-0.80738),(6505,3065,0.001292,-0.80671),(6505,3075,0.001293,-0.80604),(6505,3085,0.001292,-0.80538),(6505,3095,0.001291,-0.80471),(6505,3105,0.00129,-0.80405),(6505,3115,0.00129,-0.80339),(6505,3125,0.001291,-0.80272),(6505,3135,0.001291,-0.80205),(6505,3145,0.001292,-0.80137),(6505,3155,0.001287,-0.80068),(6505,3165,0.00128,-0.8),(6505,3175,0.001273,-0.79929),(6505,3185,0.001265,-0.79856),(6505,3195,0.00127,-0.79784),(6505,3205,0.001281,-0.79711),(6505,3215,0.001291,-0.79641),(6505,3225,0.001302,-0.79571),(6505,3235,0.001323,-0.79502),(6505,3245,0.001348,-0.79433),(6505,3255,0.001373,-0.79362),(6505,3265,0.001398,-0.79292),(6505,3275,0.001407,-0.79221),(6505,3285,0.001413,-0.7915),(6505,3295,0.001418,-0.79073),(6505,3305,0.001423,-0.78995),(6505,3315,0.00143,-0.78916),(6505,3325,0.001438,-0.78838),(6505,3335,0.001446,-0.7876),(6505,3345,0.001454,-0.78682),(6505,3355,0.001475,-0.78605),(6505,3365,0.001498,-0.78527),(6505,3375,0.001521,-0.7845),(6505,3385,0.001545,-0.78373),(6505,3395,0.001554,-0.78296),(6505,3405,0.001562,-0.78219),(6505,3415,0.00157,-0.78137),(6505,3425,0.001577,-0.78054),(6505,3435,0.001585,-0.77972),(6505,3445,0.001592,-0.7789),(6505,3455,0.0016,-0.77808),(6505,3465,0.001607,-0.77727),(6505,3475,0.001638,-0.77646),(6505,3485,0.00167,-0.77564),(6505,3495,0.001701,-0.77485),(6505,3505,0.001733,-0.77405),(6505,3515,0.001768,-0.77326),(6505,3525,0.001803,-0.77246),(6505,3535,0.001837,-0.77164),(6505,3545,0.001871,-0.77081),(6505,3555,0.001887,-0.76998),(6505,3565,0.001903,-0.76915),(6505,3575,0.001918,-0.76829),(6505,3585,0.001934,-0.76742),(6505,3595,0.001947,-0.76655),(6505,3605,0.001959,-0.76569),(6505,3615,0.001972,-0.76486),(6505,3625,0.001989,-0.76402),(6505,3635,0.002032,-0.76319),(6505,3645,0.002075,-0.76236),(6505,3655,0.002118,-0.7616),(6505,3665,0.002163,-0.76085),(6505,3675,0.002216,-0.76009),(6505,3685,0.002269,-0.75933),(6505,3695,0.002322,-0.75859),(6505,3705,0.002377,-0.75785),(6505,3715,0.00244,-0.75711),(6505,3725,0.002503,-0.75639),(6505,3735,0.002566,-0.75573),(6505,3745,0.002638,-0.75506),(6505,3755,0.002736,-0.7544),(6505,3765,0.002834,-0.75377),(6505,3775,0.002933,-0.75326),(6505,3785,0.003054,-0.75274),(6505,3795,0.003236,-0.75223),(6505,3805,0.003418,-0.75181),(6505,3815,0.003599,-0.75162),(6505,3825,0.003834,-0.75142),(6505,3835,0.004183,-0.75123),(6505,3845,0.004531,-0.75123),(6505,3855,0.004879,-0.75159),(6505,3865,0.005373,-0.75196),(6505,3875,0.006124,-0.75232),(6505,3885,0.006876,-0.75315),(6505,3895,0.007627,-0.75473),(6505,3905,0.009075,-0.75632),(6505,3915,0.011563,-0.7579),(6505,3925,0.014051,-0.76109),(6505,3935,0.016539,-0.76648),(6505,3945,0.022898,-0.77188),(6505,3955,0.034171,-0.77727),(6505,3965,0.045444,-0.7896),(6505,3975,0.056717,-0.81006),(6505,3985,0.076703,-0.83053),(6505,3995,0.10612,-0.85099),(6505,4005,0.13554,-0.88779),(6505,4015,0.16496,-0.94093),(6505,4025,0.20319,-0.99407),(6505,4035,0.24228,-1.0297),(6505,4045,0.28137,-1.0284),(6505,4055,0.33255,-1.0271),(6505,4065,0.38813,-1.0258),(6505,4075,0.44372,-1.0238),(6505,4085,0.4689,-1.0218),(6505,4095,0.46965,-1.0199),(6505,4105,0.47041,-1.018),(6505,4115,0.47117,-1.016),(6505,4125,0.47195,-1.0141),(6505,4135,0.47273,-1.0121),(6505,4145,0.47352,-1.0102),(6505,4155,0.47433,-1.0083),(6505,4165,0.47514,-1.0063),(6505,4175,0.47595,-1.0044),(6505,4185,0.47676,-1.0025),(6505,4195,0.47758,-1.0005),(6505,4205,0.47839,-0.99838),(6505,4215,0.47923,-0.99631),(6505,4225,0.48007,-0.99424),(6505,4235,0.48091,-0.9922),(6505,4245,0.48178,-0.99016),(6505,4255,0.48267,-0.98813),(6505,4265,0.48356,-0.98611),(6505,4275,0.48447,-0.98409),(6505,4285,0.48541,-0.98207),(6505,4295,0.48634,-0.98001),(6505,4305,0.48728,-0.97793),(6505,4315,0.48825,-0.97586),(6505,4325,0.48922,-0.97372),(6505,4335,0.49019,-0.97155),(6505,4345,0.49119,-0.96938),(6505,4355,0.4922,-0.96718),(6505,4365,0.4932,-0.96497),(6505,4375,0.49424,-0.96275),(6505,4385,0.49527,-0.9605),(6505,4395,0.49631,-0.95819),(6505,4405,0.49738,-0.95589),(6505,4415,0.49846,-0.95358),(6505,4425,0.49954,-0.95125),(6505,4435,0.50063,-0.94893),(6505,4445,0.50175,-0.94661),(6505,4455,0.50286,-0.94423),(6505,4465,0.50399,-0.94186),(6505,4475,0.50515,-0.93949),(6505,4485,0.5063,-0.93703),(6505,4495,0.50746,-0.93456),(6505,4505,0.50863,-0.93208),(6505,4515,0.50981,-0.92955),(6505,4525,0.51098,-0.92698),(6505,4535,0.51219,-0.92441),(6505,4545,0.51339,-0.9218),(6505,4555,0.51459,-0.91915),(6505,4565,0.51582,-0.91649),(6505,4575,0.51706,-0.91383),(6505,4585,0.5183,-0.91115),(6505,4595,0.51957,-0.90846),(6505,4605,0.52087,-0.90578),(6505,4615,0.52216,-0.90305),(6505,4625,0.52349,-0.90032),(6505,4635,0.52485,-0.89759),(6505,4645,0.52622,-0.89479),(6505,4655,0.5276,-0.892),(6505,4665,0.52903,-0.8892),(6505,4675,0.53046,-0.88634),(6505,4685,0.5319,-0.88346),(6505,4695,0.53337,-0.88057),(6505,4705,0.53484,-0.87765),(6505,4715,0.5363,-0.87471),(6505,4725,0.53779,-0.87176),(6505,4735,0.53927,-0.86878),(6505,4745,0.54075,-0.86576),(6505,4755,0.54223,-0.86275),(6505,4765,0.5437,-0.8597),(6505,4775,0.54518,-0.85658),(6505,4785,0.54667,-0.85346),(6505,4795,0.54816,-0.85033),(6505,4805,0.54966,-0.84709),(6505,4815,0.55117,-0.84385),(6505,4825,0.55272,-0.84062),(6505,4835,0.55426,-0.83735),(6505,4845,0.55582,-0.83407),(6505,4855,0.55742,-0.83079),(6505,4865,0.55901,-0.82748),(6505,4875,0.56062,-0.82416),(6505,4885,0.56225,-0.82084),(6505,4895,0.56389,-0.81747),(6505,4905,0.56553,-0.81407),(6505,4915,0.5672,-0.81068),(6505,4925,0.56887,-0.80725),(6505,4935,0.57054,-0.80377),(6505,4945,0.57223,-0.8003),(6505,4955,0.57392,-0.79681),(6505,4965,0.57561,-0.79326),(6505,4975,0.57729,-0.78971),(6505,4985,0.57899,-0.78617),(6505,4995,0.58068,-0.78254),(6505,5005,0.58237,-0.77891),(6505,5015,0.58407,-0.77529),(6505,5025,0.58577,-0.77159),(6505,5035,0.58747,-0.76788),(6505,5045,0.5892,-0.76417),(6505,5055,0.59093,-0.76041),(6505,5065,0.59266,-0.75662),(6505,5075,0.59438,-0.75282),(6505,5085,0.5961,-0.74902),(6505,5095,0.59783,-0.74521),(6505,5105,0.59957,-0.7414),(6505,5115,0.60132,-0.73757),(6505,5125,0.60307,-0.7337),(6505,5135,0.60481,-0.72984),(6505,5145,0.60656,-0.72596),(6505,5155,0.6083,-0.72197),(6505,5165,0.61003,-0.71798),(6505,5175,0.61175,-0.714),(6505,5185,0.61347,-0.70991),(6505,5195,0.61519,-0.70581),(6505,5205,0.61689,-0.70172),(6505,5215,0.6186,-0.69758),(6505,5225,0.6203,-0.69343),(6505,5235,0.62201,-0.68927),(6505,5245,0.62372,-0.68511),(6505,5255,0.62543,-0.68092),(6505,5265,0.62716,-0.67674),(6505,5275,0.62888,-0.67253),(6505,5285,0.6306,-0.66828),(6505,5295,0.63234,-0.66403),(6505,5305,0.63407,-0.65976),(6505,5315,0.63581,-0.65545),(6505,5325,0.63754,-0.65114),(6505,5335,0.63927,-0.64683),(6505,5345,0.64101,-0.6425),(6505,5355,0.64273,-0.63817),(6505,5365,0.64444,-0.63384),(6505,5375,0.64615,-0.62947),(6505,5385,0.64785,-0.62509),(6505,5395,0.64952,-0.62071),(6505,5405,0.65119,-0.61627),(6505,5415,0.65285,-0.61179),(6505,5425,0.65449,-0.60731),(6505,5435,0.65613,-0.6028),(6505,5445,0.65776,-0.59824),(6505,5455,0.65941,-0.59369),(6505,5465,0.66106,-0.58913),(6505,5475,0.66271,-0.58456),(6505,5485,0.66437,-0.58),(6505,5495,0.66603,-0.57542),(6505,5505,0.66769,-0.57082),(6505,5515,0.66935,-0.56621),(6505,5525,0.67099,-0.56161),(6505,5535,0.67263,-0.55692),(6505,5545,0.67426,-0.55223),(6505,5555,0.67585,-0.54753),(6505,5565,0.67744,-0.54278),(6505,5575,0.67903,-0.53801),(6505,5585,0.68058,-0.53324),(6505,5595,0.68213,-0.52844),(6505,5605,0.68368,-0.52362),(6505,5615,0.68521,-0.5188),(6505,5625,0.68674,-0.51395),(6505,5635,0.68827,-0.50907),(6505,5645,0.6898,-0.50419),(6505,5655,0.69132,-0.4993),(6505,5665,0.69285,-0.49437),(6505,5675,0.6944,-0.48944),(6505,5685,0.69595,-0.48451),(6505,5695,0.6975,-0.47955),(6505,5705,0.69901,-0.4746),(6505,5715,0.70047,-0.46964),(6505,5725,0.70194,-0.46467),(6505,5735,0.70339,-0.4597),(6505,5745,0.70481,-0.45473),(6505,5755,0.70623,-0.44971),(6505,5765,0.70764,-0.44466),(6505,5775,0.70901,-0.43961),(6505,5785,0.71037,-0.43453),(6505,5795,0.71174,-0.42942),(6505,5805,0.71307,-0.4243),(6505,5815,0.7144,-0.41919),(6505,5825,0.71574,-0.41408),(6505,5835,0.71705,-0.40897),(6505,5845,0.71835,-0.40385),(6505,5855,0.71965,-0.39869),(6505,5865,0.72094,-0.39354),(6505,5875,0.72221,-0.38838),(6505,5885,0.72348,-0.38317),(6505,5895,0.72473,-0.37795),(6505,5905,0.72596,-0.37274),(6505,5915,0.7272,-0.36751),(6505,5925,0.72842,-0.36227),(6505,5935,0.72961,-0.35704),(6505,5945,0.73079,-0.35178),(6505,5955,0.73198,-0.3465),(6505,5965,0.73313,-0.34122),(6505,5975,0.73427,-0.33591),(6505,5985,0.73542,-0.33054),(6505,5995,0.73647,-0.32517),(6505,6005,0.73751,-0.31981),(6505,6015,0.73855,-0.31449),(6505,6025,0.73958,-0.30916),(6505,6035,0.74061,-0.30384),(6505,6045,0.74163,-0.29851),(6505,6055,0.74265,-0.29318),(6505,6065,0.74364,-0.28785),(6505,6075,0.74464,-0.28244),(6505,6085,0.74562,-0.27703),(6505,6095,0.74656,-0.27161),(6505,6105,0.74751,-0.26619),(6505,6115,0.74844,-0.26076),(6505,6125,0.74933,-0.25533),(6505,6135,0.75022,-0.2499),(6505,6145,0.7511,-0.24449),(6505,6155,0.75193,-0.23907),(6505,6165,0.75276,-0.23361),(6505,6175,0.75358,-0.22809),(6505,6185,0.75437,-0.22257),(6505,6195,0.75514,-0.21705),(6505,6205,0.75591,-0.21151),(6505,6215,0.75666,-0.20597),(6505,6225,0.75739,-0.20043),(6505,6235,0.75813,-0.19492),(6505,6245,0.75883,-0.18941),(6505,6255,0.7595,-0.18389),(6505,6265,0.76018,-0.17837),(6505,6275,0.76084,-0.17284),(6505,6285,0.76146,-0.16731),(6505,6295,0.76208,-0.16178),(6505,6305,0.7627,-0.15624),(6505,6315,0.76321,-0.1507),(6505,6325,0.76373,-0.14517),(6505,6335,0.76424,-0.13967),(6505,6345,0.76472,-0.13416),(6505,6355,0.7652,-0.1286),(6505,6365,0.76567,-0.12292),(6505,6375,0.76612,-0.11724),(6505,6385,0.76657,-0.11158),(6505,6395,0.76701,-0.10605),(6505,6405,0.76743,-0.10053),(6505,6415,0.76782,-0.095),(6505,6425,0.76822,-0.089413),(6505,6435,0.76858,-0.083824),(6505,6445,0.7689,-0.078235),(6505,6455,0.76921,-0.072626),(6505,6465,0.76951,-0.067012),(6505,6475,0.76975,-0.061398),(6505,6485,0.76999,-0.055761),(6505,6495,0.77023,-0.050108),(6505,6505,0.77043,-0.044456),(6505,6515,0.77063,-0.038824),(6505,6525,0.77082,-0.03322),(6505,6535,0.77099,-0.027616),(6505,6545,0.77115,-0.022037),(6505,6555,0.77132,-0.016537),(6505,6565,0.77146,-0.011036),(6505,6575,0.77159,-0.005528),(6505,6585,0.77172,8.8e-05),(6505,6595,0.65642,0.005704),(6505,6605,0.41365,0.01132),(6505,6615,0.17087,0.012071),(6505,6625,0.000222,0.012197),(6505,6635,0.000267,0.012322),(6505,6645,0.000313,0.012359),(6505,6655,0.000358,0.012359),(6505,6665,0.000403,0.012359),(6505,6675,0.000449,0.012358),(6505,6685,0.000494,0.012357),(6505,6695,0.000539,0.012355),(6505,6705,0.000584,0.012353),(6505,6715,0.000629,0.01235),(6505,6725,0.000674,0.012347),(6505,6735,0.000718,0.012343),(6505,6745,0.000763,0.012338),(6505,6755,0.000807,0.012333),(6505,6765,0.000851,0.012329),(6505,6775,0.000895,0.012322),(6505,6785,0.000939,0.012315),(6505,6795,0.000982,0.012309),(6505,6805,0.001026,0.012301),(6505,6815,0.001069,0.012293),(6505,6825,0.001112,0.012285),(6505,6835,0.001155,0.012276),(6505,6845,0.001197,0.012266),(6505,6855,0.001239,0.012256),(6505,6865,0.001281,0.012246),(6505,6875,0.001323,0.012235),(6505,6885,0.001365,0.012224),(6505,6895,0.001406,0.012212),(6505,6905,0.001447,0.012199),(6505,6915,0.001487,0.012187),(6505,6925,0.001527,0.012174),(6505,6935,0.001568,0.01216),(6505,6945,0.001607,0.012146),(6505,6955,0.001646,0.012132),(6505,6965,0.001686,0.012117),(6505,6975,0.001724,0.012102),(6505,6985,0.001763,0.012086),(6515,5,3e-06,-0.99387),(6515,15,1e-05,-0.99394),(6515,25,1.2e-05,-0.994),(6515,35,1e-05,-0.99407),(6515,45,7e-06,-0.99409),(6515,55,5e-06,-0.99406),(6515,65,1e-06,-0.99404),(6515,75,-4e-06,-0.99401),(6515,85,-9e-06,-0.99398),(6515,95,-1.4e-05,-0.99394),(6515,105,-1.2e-05,-0.99389),(6515,115,-6e-06,-0.99385),(6515,125,-1e-06,-0.9938),(6515,135,5e-06,-0.99375),(6515,145,1.9e-05,-0.9937),(6515,155,3.8e-05,-0.99364),(6515,165,5.7e-05,-0.99358),(6515,175,7.5e-05,-0.99353),(6515,185,7.1e-05,-0.99347),(6515,195,5.6e-05,-0.99341),(6515,205,4.1e-05,-0.99329),(6515,215,2.6e-05,-0.99314),(6515,225,1e-05,-0.99299),(6515,235,-7e-06,-0.99284),(6515,245,-2.3e-05,-0.99273),(6515,255,-3.9e-05,-0.99262),(6515,265,-3.5e-05,-0.99252),(6515,275,-2.3e-05,-0.99242),(6515,285,-1.2e-05,-0.99229),(6515,295,-1e-06,-0.99215),(6515,305,9e-06,-0.99202),(6515,315,1.8e-05,-0.99188),(6515,325,2.7e-05,-0.99175),(6515,335,3.7e-05,-0.99162),(6515,345,4.2e-05,-0.99149),(6515,355,4.6e-05,-0.99135),(6515,365,5e-05,-0.99121),(6515,375,5.4e-05,-0.99106),(6515,385,5.4e-05,-0.99091),(6515,395,5.2e-05,-0.99077),(6515,405,5.1e-05,-0.99057),(6515,415,4.9e-05,-0.99038),(6515,425,5.8e-05,-0.99018),(6515,435,6.8e-05,-0.98998),(6515,445,7.7e-05,-0.98983),(6515,455,8.7e-05,-0.98969),(6515,465,9.6e-05,-0.98955),(6515,475,0.000105,-0.9894),(6515,485,0.000115,-0.98919),(6515,495,0.000124,-0.98897),(6515,505,0.000128,-0.98876),(6515,515,0.000133,-0.98854),(6515,525,0.000137,-0.98833),(6515,535,0.000142,-0.98812),(6515,545,0.00016,-0.98791),(6515,555,0.000178,-0.9877),(6515,565,0.000196,-0.98749),(6515,575,0.000214,-0.98728),(6515,585,0.000226,-0.98707),(6515,595,0.000239,-0.98686),(6515,605,0.000251,-0.98659),(6515,615,0.000263,-0.98633),(6515,625,0.00027,-0.98607),(6515,635,0.000278,-0.98581),(6515,645,0.000285,-0.98554),(6515,655,0.000294,-0.98527),(6515,665,0.000317,-0.985),(6515,675,0.000339,-0.98473),(6515,685,0.000361,-0.98447),(6515,695,0.000387,-0.98421),(6515,705,0.000428,-0.98394),(6515,715,0.00047,-0.98368),(6515,725,0.000511,-0.98344),(6515,735,0.000547,-0.9832),(6515,745,0.000566,-0.98295),(6515,755,0.000585,-0.98269),(6515,765,0.000605,-0.98239),(6515,775,0.000619,-0.98209),(6515,785,0.000622,-0.98179),(6515,795,0.000625,-0.98148),(6515,805,0.000628,-0.98117),(6515,815,0.000634,-0.98087),(6515,825,0.000646,-0.98056),(6515,835,0.000659,-0.98026),(6515,845,0.000672,-0.97997),(6515,855,0.000688,-0.97968),(6515,865,0.000709,-0.97939),(6515,875,0.000731,-0.9791),(6515,885,0.000752,-0.97881),(6515,895,0.000777,-0.97851),(6515,905,0.000808,-0.97822),(6515,915,0.000838,-0.97794),(6515,925,0.000869,-0.97765),(6515,935,0.000907,-0.97736),(6515,945,0.000956,-0.97707),(6515,955,0.001004,-0.9768),(6515,965,0.001053,-0.97656),(6515,975,0.001114,-0.97631),(6515,985,0.00119,-0.97607),(6515,995,0.001265,-0.97586),(6515,1005,0.00134,-0.97569),(6515,1015,0.001422,-0.97552),(6515,1025,0.001509,-0.97535),(6515,1035,0.001597,-0.97521),(6515,1045,0.001684,-0.97508),(6515,1055,0.001787,-0.97496),(6515,1065,0.001901,-0.97483),(6515,1075,0.002016,-0.97478),(6515,1085,0.00213,-0.97479),(6515,1095,0.002308,-0.9748),(6515,1105,0.002531,-0.97481),(6515,1115,0.002754,-0.97503),(6515,1125,0.002977,-0.9754),(6515,1135,0.003312,-0.97577),(6515,1145,0.003714,-0.97613),(6515,1155,0.004116,-0.97688),(6515,1165,0.004518,-0.97784),(6515,1175,0.005193,-0.9788),(6515,1185,0.006005,-0.97976),(6515,1195,0.006817,-0.98158),(6515,1205,0.007629,-0.9838),(6515,1215,0.010331,-0.98602),(6515,1225,0.013814,-0.98824),(6515,1235,0.017296,-0.99318),(6515,1245,0.020778,-0.99914),(6515,1255,0.03726,-1.0051),(6515,1265,0.058133,-1.0111),(6515,1275,0.079006,-1.0268),(6515,1285,0.099878,-1.0454),(6515,1295,0.12807,-1.0641),(6515,1305,0.15825,-1.0828),(6515,1315,0.18842,-1.1084),(6515,1325,0.2186,-1.1357),(6515,1335,0.13434,-1.1629),(6515,1345,0.026095,-1.1902),(6515,1355,-0.082147,-1.174),(6515,1365,-0.19039,-1.1498),(6515,1375,-0.18654,-1.1257),(6515,1385,-0.1654,-1.1016),(6515,1395,-0.14426,-1.0798),(6515,1405,-0.12311,-1.0583),(6515,1415,-0.098258,-1.0368),(6515,1425,-0.073017,-1.0154),(6515,1435,-0.047776,-1.0073),(6515,1445,-0.022535,-1.0003),(6515,1455,-0.017667,-0.99328),(6515,1465,-0.013971,-0.98628),(6515,1475,-0.010276,-0.98373),(6515,1485,-0.006581,-0.98134),(6515,1495,-0.005832,-0.97895),(6515,1505,-0.005127,-0.97656),(6515,1515,-0.004422,-0.97516),(6515,1525,-0.003726,-0.97376),(6515,1535,-0.00334,-0.97236),(6515,1545,-0.002955,-0.971),(6515,1555,-0.00257,-0.97039),(6515,1565,-0.002196,-0.96977),(6515,1575,-0.001995,-0.96916),(6515,1585,-0.001794,-0.96856),(6515,1595,-0.001592,-0.96807),(6515,1605,-0.001399,-0.96759),(6515,1615,-0.001273,-0.9671),(6515,1625,-0.001148,-0.96666),(6515,1635,-0.001022,-0.96652),(6515,1645,-0.000904,-0.96639),(6515,1655,-0.000832,-0.96625),(6515,1665,-0.00076,-0.96611),(6515,1675,-0.000688,-0.96592),(6515,1685,-0.000625,-0.96574),(6515,1695,-0.000604,-0.96556),(6515,1705,-0.000583,-0.9654),(6515,1715,-0.000561,-0.9653),(6515,1725,-0.000538,-0.96521),(6515,1735,-0.000509,-0.96512),(6515,1745,-0.00048,-0.96504),(6515,1755,-0.000451,-0.96498),(6515,1765,-0.000421,-0.96493),(6515,1775,-0.00039,-0.96488),(6515,1785,-0.000359,-0.96482),(6515,1795,-0.000327,-0.96477),(6515,1805,-0.000291,-0.96471),(6515,1815,-0.000245,-0.96466),(6515,1825,-0.000198,-0.96462),(6515,1835,-0.000152,-0.9646),(6515,1845,-0.000106,-0.96458),(6515,1855,-6e-05,-0.96456),(6515,1865,-1.5e-05,-0.96454),(6515,1875,3.1e-05,-0.96451),(6515,1885,5.5e-05,-0.96449),(6515,1895,4.5e-05,-0.96446),(6515,1905,3.5e-05,-0.96439),(6515,1915,2.5e-05,-0.96426),(6515,1925,1.1e-05,-0.96413),(6515,1935,-9e-06,-0.964),(6515,1945,-2.9e-05,-0.9639),(6515,1955,-5e-05,-0.96382),(6515,1965,-6.6e-05,-0.96375),(6515,1975,-7.6e-05,-0.96367),(6515,1985,-8.7e-05,-0.96358),(6515,1995,-9.8e-05,-0.96346),(6515,2005,-0.000106,-0.96335),(6515,2015,-0.000111,-0.96323),(6515,2025,-0.000116,-0.96312),(6515,2035,-0.00012,-0.963),(6515,2045,-0.000127,-0.96288),(6515,2055,-0.000134,-0.96277),(6515,2065,-0.000142,-0.96264),(6515,2075,-0.000149,-0.96251),(6515,2085,-0.00015,-0.96238),(6515,2095,-0.000144,-0.96225),(6515,2105,-0.000139,-0.96211),(6515,2115,-0.000134,-0.96197),(6515,2125,-0.000107,-0.96182),(6515,2135,-6.8e-05,-0.96168),(6515,2145,-2.8e-05,-0.96155),(6515,2155,1.1e-05,-0.96143),(6515,2165,4.3e-05,-0.96131),(6515,2175,7e-05,-0.96119),(6515,2185,9.8e-05,-0.96102),(6515,2195,0.000125,-0.96081),(6515,2205,0.000142,-0.96061),(6515,2215,0.000153,-0.96041),(6515,2225,0.000165,-0.9602),(6515,2235,0.000177,-0.95997),(6515,2245,0.000195,-0.95975),(6515,2255,0.000214,-0.95953),(6515,2265,0.000234,-0.95931),(6515,2275,0.000254,-0.95909),(6515,2285,0.000276,-0.95887),(6515,2295,0.000299,-0.95865),(6515,2305,0.000322,-0.95839),(6515,2315,0.000345,-0.95813),(6515,2325,0.000367,-0.95786),(6515,2335,0.00039,-0.9576),(6515,2345,0.000412,-0.95733),(6515,2355,0.000435,-0.95705),(6515,2365,0.000436,-0.95678),(6515,2375,0.000433,-0.9565),(6515,2385,0.000431,-0.95617),(6515,2395,0.000428,-0.95583),(6515,2405,0.000417,-0.95549),(6515,2415,0.000404,-0.95515),(6515,2425,0.000392,-0.95478),(6515,2435,0.000379,-0.95441),(6515,2445,0.000399,-0.95404),(6515,2455,0.000422,-0.95368),(6515,2465,0.000444,-0.95335),(6515,2475,0.000467,-0.95302),(6515,2485,0.000503,-0.95269),(6515,2495,0.000539,-0.95237),(6515,2505,0.000575,-0.952),(6515,2515,0.000611,-0.95163),(6515,2525,0.00064,-0.95126),(6515,2535,0.00067,-0.95089),(6515,2545,0.000699,-0.95049),(6515,2555,0.000728,-0.95008),(6515,2565,0.000753,-0.94967),(6515,2575,0.000778,-0.94926),(6515,2585,0.000803,-0.94884),(6515,2595,0.000826,-0.94842),(6515,2605,0.000831,-0.94801),(6515,2615,0.000836,-0.94758),(6515,2625,0.000841,-0.94712),(6515,2635,0.000844,-0.94665),(6515,2645,0.00084,-0.94618),(6515,2655,0.000837,-0.94572),(6515,2665,0.000833,-0.94523),(6515,2675,0.00083,-0.94475),(6515,2685,0.000834,-0.94426),(6515,2695,0.000838,-0.94377),(6515,2705,0.000841,-0.94327),(6515,2715,0.000846,-0.94277),(6515,2725,0.000855,-0.94226),(6515,2735,0.000864,-0.94175),(6515,2745,0.000873,-0.94121),(6515,2755,0.000887,-0.94066),(6515,2765,0.000913,-0.94012),(6515,2775,0.000939,-0.93958),(6515,2785,0.000966,-0.93903),(6515,2795,0.000994,-0.93849),(6515,2805,0.001029,-0.93795),(6515,2815,0.001064,-0.9374),(6515,2825,0.001099,-0.93684),(6515,2835,0.001124,-0.93629),(6515,2845,0.00113,-0.93573),(6515,2855,0.001136,-0.93515),(6515,2865,0.001142,-0.93452),(6515,2875,0.001138,-0.9339),(6515,2885,0.001116,-0.93327),(6515,2895,0.001095,-0.93262),(6515,2905,0.001074,-0.93195),(6515,2915,0.00106,-0.93127),(6515,2925,0.001056,-0.9306),(6515,2935,0.001052,-0.92993),(6515,2945,0.001048,-0.92928),(6515,2955,0.001061,-0.92862),(6515,2965,0.001093,-0.92796),(6515,2975,0.001126,-0.92731),(6515,2985,0.001159,-0.92667),(6515,2995,0.001192,-0.92603),(6515,3005,0.001224,-0.9254),(6515,3015,0.001257,-0.92473),(6515,3025,0.00129,-0.92404),(6515,3035,0.001306,-0.92336),(6515,3045,0.001307,-0.92267),(6515,3055,0.001308,-0.92194),(6515,3065,0.001309,-0.92118),(6515,3075,0.001307,-0.92042),(6515,3085,0.001302,-0.91966),(6515,3095,0.001298,-0.9189),(6515,3105,0.001293,-0.91814),(6515,3115,0.00129,-0.91739),(6515,3125,0.001288,-0.91663),(6515,3135,0.001285,-0.91586),(6515,3145,0.001283,-0.91508),(6515,3155,0.001273,-0.91431),(6515,3165,0.00126,-0.91353),(6515,3175,0.001246,-0.91271),(6515,3185,0.001233,-0.91188),(6515,3195,0.001236,-0.91104),(6515,3205,0.001248,-0.91021),(6515,3215,0.00126,-0.9094),(6515,3225,0.001271,-0.9086),(6515,3235,0.001298,-0.90781),(6515,3245,0.001329,-0.90701),(6515,3255,0.001361,-0.90621),(6515,3265,0.001393,-0.90541),(6515,3275,0.001403,-0.90461),(6515,3285,0.001407,-0.90381),(6515,3295,0.001411,-0.90293),(6515,3305,0.001415,-0.90203),(6515,3315,0.001422,-0.90113),(6515,3325,0.00143,-0.90023),(6515,3335,0.001438,-0.89934),(6515,3345,0.001446,-0.89845),(6515,3355,0.001472,-0.89756),(6515,3365,0.001502,-0.89666),(6515,3375,0.001531,-0.89579),(6515,3385,0.001561,-0.89491),(6515,3395,0.001571,-0.89404),(6515,3405,0.001579,-0.89316),(6515,3415,0.001586,-0.89223),(6515,3425,0.001594,-0.89129),(6515,3435,0.001602,-0.89035),(6515,3445,0.001609,-0.88941),(6515,3455,0.001616,-0.88848),(6515,3465,0.001624,-0.88754),(6515,3475,0.001664,-0.8866),(6515,3485,0.001705,-0.88566),(6515,3495,0.001746,-0.88475),(6515,3505,0.001788,-0.88384),(6515,3515,0.001834,-0.88294),(6515,3525,0.001879,-0.88203),(6515,3535,0.001925,-0.88109),(6515,3545,0.00197,-0.88015),(6515,3555,0.001989,-0.87921),(6515,3565,0.002008,-0.87827),(6515,3575,0.002027,-0.87729),(6515,3585,0.002045,-0.8763),(6515,3595,0.00206,-0.87531),(6515,3605,0.002076,-0.87433),(6515,3615,0.002091,-0.87336),(6515,3625,0.002111,-0.8724),(6515,3635,0.002169,-0.87144),(6515,3645,0.002226,-0.87049),(6515,3655,0.002284,-0.86962),(6515,3665,0.002344,-0.86875),(6515,3675,0.002416,-0.86788),(6515,3685,0.002488,-0.86702),(6515,3695,0.002559,-0.86618),(6515,3705,0.002634,-0.86533),(6515,3715,0.00272,-0.86449),(6515,3725,0.002805,-0.86366),(6515,3735,0.002891,-0.86289),(6515,3745,0.002988,-0.86213),(6515,3755,0.003124,-0.86136),(6515,3765,0.003259,-0.86064),(6515,3775,0.003395,-0.86003),(6515,3785,0.003563,-0.85942),(6515,3795,0.003816,-0.85881),(6515,3805,0.004068,-0.85831),(6515,3815,0.00432,-0.85806),(6515,3825,0.004648,-0.85781),(6515,3835,0.005134,-0.85755),(6515,3845,0.005621,-0.85751),(6515,3855,0.006107,-0.85786),(6515,3865,0.006798,-0.85822),(6515,3875,0.00785,-0.85857),(6515,3885,0.008902,-0.85941),(6515,3895,0.009954,-0.86102),(6515,3905,0.011984,-0.86264),(6515,3915,0.015474,-0.86425),(6515,3925,0.018964,-0.86727),(6515,3935,0.022454,-0.87223),(6515,3945,0.031377,-0.87719),(6515,3955,0.047197,-0.88215),(6515,3965,0.063016,-0.89142),(6515,3975,0.078836,-0.90574),(6515,3985,0.10688,-0.92007),(6515,3995,0.14815,-0.93439),(6515,4005,0.18943,-0.95549),(6515,4015,0.2307,-0.98335),(6515,4025,0.25023,-1.0112),(6515,4035,0.26763,-1.0297),(6515,4045,0.28503,-1.0284),(6515,4055,0.33016,-1.0272),(6515,4065,0.38541,-1.0258),(6515,4075,0.44066,-1.0239),(6515,4085,0.46571,-1.0219),(6515,4095,0.46647,-1.02),(6515,4105,0.46724,-1.018),(6515,4115,0.46801,-1.0161),(6515,4125,0.4688,-1.0141),(6515,4135,0.46959,-1.0122),(6515,4145,0.47038,-1.0103),(6515,4155,0.47118,-1.0083),(6515,4165,0.47199,-1.0064),(6515,4175,0.47279,-1.0045),(6515,4185,0.4736,-1.0025),(6515,4195,0.47441,-1.0005),(6515,4205,0.47522,-0.99844),(6515,4215,0.47604,-0.99637),(6515,4225,0.47687,-0.9943),(6515,4235,0.47769,-0.99225),(6515,4245,0.47855,-0.9902),(6515,4255,0.47942,-0.98816),(6515,4265,0.4803,-0.98613),(6515,4275,0.48119,-0.98411),(6515,4285,0.48211,-0.98208),(6515,4295,0.48303,-0.98001),(6515,4305,0.48395,-0.97794),(6515,4315,0.48491,-0.97586),(6515,4325,0.48586,-0.97372),(6515,4335,0.48682,-0.97154),(6515,4345,0.48781,-0.96937),(6515,4355,0.4888,-0.96717),(6515,4365,0.48979,-0.96495),(6515,4375,0.49081,-0.96273),(6515,4385,0.49183,-0.96048),(6515,4395,0.49285,-0.95817),(6515,4405,0.4939,-0.95586),(6515,4415,0.49496,-0.95354),(6515,4425,0.49602,-0.95121),(6515,4435,0.4971,-0.94888),(6515,4445,0.49821,-0.94655),(6515,4455,0.49931,-0.94418),(6515,4465,0.50043,-0.9418),(6515,4475,0.50157,-0.93943),(6515,4485,0.50271,-0.93697),(6515,4495,0.50385,-0.9345),(6515,4505,0.50502,-0.93202),(6515,4515,0.50618,-0.92949),(6515,4525,0.50734,-0.92692),(6515,4535,0.50853,-0.92435),(6515,4545,0.50971,-0.92175),(6515,4555,0.51089,-0.91909),(6515,4565,0.5121,-0.91644),(6515,4575,0.51331,-0.91378),(6515,4585,0.51452,-0.91109),(6515,4595,0.51577,-0.9084),(6515,4605,0.51703,-0.9057),(6515,4615,0.51829,-0.90296),(6515,4625,0.51958,-0.90021),(6515,4635,0.52091,-0.89747),(6515,4645,0.52225,-0.89466),(6515,4655,0.5236,-0.89184),(6515,4665,0.52501,-0.88903),(6515,4675,0.52641,-0.88615),(6515,4685,0.52782,-0.88326),(6515,4695,0.52928,-0.88037),(6515,4705,0.53073,-0.87744),(6515,4715,0.53218,-0.8745),(6515,4725,0.53365,-0.87155),(6515,4735,0.53512,-0.86858),(6515,4745,0.53659,-0.86557),(6515,4755,0.53805,-0.86256),(6515,4765,0.53951,-0.85953),(6515,4775,0.54097,-0.85641),(6515,4785,0.54243,-0.85329),(6515,4795,0.5439,-0.85016),(6515,4805,0.54537,-0.84692),(6515,4815,0.54685,-0.84368),(6515,4825,0.54836,-0.84044),(6515,4835,0.54986,-0.83715),(6515,4845,0.55138,-0.83386),(6515,4855,0.55294,-0.83057),(6515,4865,0.55449,-0.82725),(6515,4875,0.55606,-0.82392),(6515,4885,0.55766,-0.82058),(6515,4895,0.55927,-0.81721),(6515,4905,0.56088,-0.8138),(6515,4915,0.56253,-0.81039),(6515,4925,0.56418,-0.80695),(6515,4935,0.56583,-0.80347),(6515,4945,0.5675,-0.79998),(6515,4955,0.56917,-0.79649),(6515,4965,0.57085,-0.79295),(6515,4975,0.57253,-0.7894),(6515,4985,0.5742,-0.78585),(6515,4995,0.57588,-0.78223),(6515,5005,0.57756,-0.7786),(6515,5015,0.57923,-0.77498),(6515,5025,0.58091,-0.77128),(6515,5035,0.58259,-0.76757),(6515,5045,0.58429,-0.76386),(6515,5055,0.58598,-0.7601),(6515,5065,0.58767,-0.7563),(6515,5075,0.58937,-0.75251),(6515,5085,0.59107,-0.7487),(6515,5095,0.59277,-0.74488),(6515,5105,0.5945,-0.74106),(6515,5115,0.59622,-0.73723),(6515,5125,0.59795,-0.73336),(6515,5135,0.59968,-0.72948),(6515,5145,0.60141,-0.7256),(6515,5155,0.60314,-0.72162),(6515,5165,0.60485,-0.71764),(6515,5175,0.60656,-0.71366),(6515,5185,0.60827,-0.70958),(6515,5195,0.60997,-0.70549),(6515,5205,0.61166,-0.70139),(6515,5215,0.61334,-0.69726),(6515,5225,0.61503,-0.6931),(6515,5235,0.61671,-0.68895),(6515,5245,0.6184,-0.68478),(6515,5255,0.62008,-0.6806),(6515,5265,0.62177,-0.67641),(6515,5275,0.62346,-0.6722),(6515,5285,0.62515,-0.66794),(6515,5295,0.62685,-0.66368),(6515,5305,0.62855,-0.65941),(6515,5315,0.63025,-0.65509),(6515,5325,0.63196,-0.65077),(6515,5335,0.63367,-0.64645),(6515,5345,0.63539,-0.64212),(6515,5355,0.63709,-0.63779),(6515,5365,0.63879,-0.63346),(6515,5375,0.64048,-0.6291),(6515,5385,0.64217,-0.62473),(6515,5395,0.64382,-0.62037),(6515,5405,0.64546,-0.61593),(6515,5415,0.64711,-0.61146),(6515,5425,0.64872,-0.60699),(6515,5435,0.65033,-0.60247),(6515,5445,0.65194,-0.59791),(6515,5455,0.65355,-0.59335),(6515,5465,0.65517,-0.58878),(6515,5475,0.65678,-0.5842),(6515,5485,0.65842,-0.57961),(6515,5495,0.66006,-0.57503),(6515,5505,0.6617,-0.57041),(6515,5515,0.66334,-0.5658),(6515,5525,0.66498,-0.56119),(6515,5535,0.66662,-0.55651),(6515,5545,0.66824,-0.55182),(6515,5555,0.66983,-0.54714),(6515,5565,0.67142,-0.5424),(6515,5575,0.673,-0.53764),(6515,5585,0.67453,-0.53288),(6515,5595,0.67607,-0.52808),(6515,5605,0.67761,-0.52326),(6515,5615,0.67911,-0.51845),(6515,5625,0.68062,-0.5136),(6515,5635,0.68212,-0.50871),(6515,5645,0.68362,-0.50382),(6515,5655,0.68513,-0.49892),(6515,5665,0.68663,-0.49398),(6515,5675,0.68814,-0.48904),(6515,5685,0.68965,-0.4841),(6515,5695,0.69117,-0.47915),(6515,5705,0.69266,-0.47419),(6515,5715,0.69413,-0.46924),(6515,5725,0.69559,-0.46428),(6515,5735,0.69704,-0.45932),(6515,5745,0.69845,-0.45436),(6515,5755,0.69986,-0.44934),(6515,5765,0.70126,-0.4443),(6515,5775,0.70261,-0.43927),(6515,5785,0.70396,-0.43419),(6515,5795,0.70531,-0.42908),(6515,5805,0.70662,-0.42397),(6515,5815,0.70793,-0.41885),(6515,5825,0.70924,-0.41374),(6515,5835,0.71054,-0.40863),(6515,5845,0.71182,-0.4035),(6515,5855,0.71311,-0.39834),(6515,5865,0.71438,-0.39318),(6515,5875,0.71564,-0.38802),(6515,5885,0.7169,-0.38281),(6515,5895,0.71814,-0.37759),(6515,5905,0.71938,-0.37237),(6515,5915,0.72061,-0.36714),(6515,5925,0.72183,-0.36191),(6515,5935,0.72302,-0.35667),(6515,5945,0.7242,-0.35142),(6515,5955,0.72539,-0.34616),(6515,5965,0.72651,-0.34089),(6515,5975,0.72763,-0.33559),(6515,5985,0.72875,-0.33024),(6515,5995,0.72979,-0.32489),(6515,6005,0.73082,-0.31955),(6515,6015,0.73185,-0.31422),(6515,6025,0.73286,-0.30889),(6515,6035,0.73386,-0.30356),(6515,6045,0.73487,-0.29822),(6515,6055,0.73586,-0.29289),(6515,6065,0.73684,-0.28755),(6515,6075,0.73782,-0.28214),(6515,6085,0.73878,-0.27673),(6515,6095,0.73972,-0.27132),(6515,6105,0.74066,-0.26589),(6515,6115,0.74159,-0.26047),(6515,6125,0.74247,-0.25504),(6515,6135,0.74336,-0.24962),(6515,6145,0.74424,-0.24421),(6515,6155,0.74506,-0.2388),(6515,6165,0.74588,-0.23335),(6515,6175,0.7467,-0.22784),(6515,6185,0.74748,-0.22232),(6515,6195,0.74824,-0.2168),(6515,6205,0.74901,-0.21126),(6515,6215,0.74975,-0.20572),(6515,6225,0.75048,-0.20018),(6515,6235,0.75121,-0.19467),(6515,6245,0.75191,-0.18916),(6515,6255,0.75258,-0.18365),(6515,6265,0.75325,-0.17814),(6515,6275,0.7539,-0.17262),(6515,6285,0.75451,-0.1671),(6515,6295,0.75512,-0.16157),(6515,6305,0.75572,-0.15605),(6515,6315,0.75624,-0.15052),(6515,6325,0.75675,-0.14501),(6515,6335,0.75727,-0.1395),(6515,6345,0.75775,-0.134),(6515,6355,0.75821,-0.12844),(6515,6365,0.75868,-0.12275),(6515,6375,0.75913,-0.11707),(6515,6385,0.75957,-0.1114),(6515,6395,0.76001,-0.10588),(6515,6405,0.76043,-0.10035),(6515,6415,0.76082,-0.09482),(6515,6425,0.76122,-0.089245),(6515,6435,0.76159,-0.083669),(6515,6445,0.76191,-0.078092),(6515,6455,0.76222,-0.072496),(6515,6465,0.76252,-0.066893),(6515,6475,0.76276,-0.06129),(6515,6485,0.763,-0.055659),(6515,6495,0.76323,-0.050007),(6515,6505,0.76343,-0.044356),(6515,6515,0.76362,-0.038722),(6515,6525,0.76381,-0.033113),(6515,6535,0.76398,-0.027503),(6515,6545,0.76414,-0.021919),(6515,6555,0.76431,-0.016414),(6515,6565,0.76445,-0.010909),(6515,6575,0.76458,-0.005399),(6515,6585,0.76471,0.000195),(6515,6595,0.65045,0.00579),(6515,6605,0.40989,0.011384),(6515,6615,0.16932,0.012128),(6515,6625,0.00022,0.012249),(6515,6635,0.000266,0.01237),(6515,6645,0.000312,0.012405),(6515,6655,0.000358,0.012405),(6515,6665,0.000403,0.012405),(6515,6675,0.000449,0.012404),(6515,6685,0.000495,0.012403),(6515,6695,0.00054,0.012401),(6515,6705,0.000586,0.012399),(6515,6715,0.000631,0.012395),(6515,6725,0.000676,0.012392),(6515,6735,0.000721,0.012388),(6515,6745,0.000766,0.012383),(6515,6755,0.000811,0.012378),(6515,6765,0.000856,0.012373),(6515,6775,0.0009,0.012367),(6515,6785,0.000944,0.01236),(6515,6795,0.000988,0.012353),(6515,6805,0.001032,0.012345),(6515,6815,0.001076,0.012337),(6515,6825,0.001119,0.012328),(6515,6835,0.001162,0.012319),(6515,6845,0.001206,0.012309),(6515,6855,0.001248,0.012299),(6515,6865,0.00129,0.012288),(6515,6875,0.001333,0.012277),(6515,6885,0.001375,0.012266),(6515,6895,0.001416,0.012254),(6515,6905,0.001458,0.012241),(6515,6915,0.001498,0.012228),(6515,6925,0.001539,0.012215),(6515,6935,0.001579,0.0122),(6515,6945,0.00162,0.012186),(6515,6955,0.001659,0.012172),(6515,6965,0.001699,0.012156),(6515,6975,0.001738,0.012141),(6515,6985,0.001776,0.012125),(6525,5,4e-06,-1.1174),(6525,15,1.2e-05,-1.1174),(6525,25,1.6e-05,-1.1175),(6525,35,1.7e-05,-1.1176),(6525,45,1.7e-05,-1.1176),(6525,55,1.8e-05,-1.1176),(6525,65,1.5e-05,-1.1176),(6525,75,8e-06,-1.1175),(6525,85,1e-06,-1.1175),(6525,95,-5e-06,-1.1175),(6525,105,-7e-06,-1.1174),(6525,115,-6e-06,-1.1174),(6525,125,-5e-06,-1.1173),(6525,135,-4e-06,-1.1172),(6525,145,8e-06,-1.1172),(6525,155,2.6e-05,-1.1171),(6525,165,4.5e-05,-1.117),(6525,175,6.3e-05,-1.117),(6525,185,6.1e-05,-1.1169),(6525,195,4.9e-05,-1.1169),(6525,205,3.7e-05,-1.1167),(6525,215,2.4e-05,-1.1166),(6525,225,5e-06,-1.1164),(6525,235,-1.7e-05,-1.1162),(6525,245,-4e-05,-1.1161),(6525,255,-6.2e-05,-1.116),(6525,265,-6.3e-05,-1.1159),(6525,275,-5.6e-05,-1.1157),(6525,285,-5e-05,-1.1156),(6525,295,-4.3e-05,-1.1154),(6525,305,-3.5e-05,-1.1153),(6525,315,-2.6e-05,-1.1151),(6525,325,-1.8e-05,-1.115),(6525,335,-9e-06,-1.1148),(6525,345,-5e-06,-1.1147),(6525,355,-2e-06,-1.1145),(6525,365,1e-06,-1.1144),(6525,375,4e-06,-1.1142),(6525,385,2e-06,-1.1141),(6525,395,0,-1.1139),(6525,405,-3e-06,-1.1137),(6525,415,-5e-06,-1.1134),(6525,425,3e-06,-1.1132),(6525,435,1.3e-05,-1.113),(6525,445,2.2e-05,-1.1128),(6525,455,3.2e-05,-1.1127),(6525,465,4.5e-05,-1.1125),(6525,475,5.9e-05,-1.1123),(6525,485,7.3e-05,-1.1121),(6525,495,8.7e-05,-1.1119),(6525,505,9.4e-05,-1.1116),(6525,515,0.000101,-1.1114),(6525,525,0.000107,-1.1111),(6525,535,0.000115,-1.1109),(6525,545,0.000134,-1.1107),(6525,555,0.000153,-1.1104),(6525,565,0.000172,-1.1102),(6525,575,0.000191,-1.11),(6525,585,0.000203,-1.1097),(6525,595,0.000216,-1.1095),(6525,605,0.000229,-1.1092),(6525,615,0.000241,-1.1089),(6525,625,0.000246,-1.1086),(6525,635,0.000252,-1.1083),(6525,645,0.000257,-1.108),(6525,655,0.000265,-1.1077),(6525,665,0.000285,-1.1074),(6525,675,0.000305,-1.1071),(6525,685,0.000326,-1.1068),(6525,695,0.000351,-1.1065),(6525,705,0.000395,-1.1062),(6525,715,0.00044,-1.1059),(6525,725,0.000485,-1.1056),(6525,735,0.000525,-1.1054),(6525,745,0.000549,-1.1051),(6525,755,0.000574,-1.1048),(6525,765,0.000598,-1.1045),(6525,775,0.000617,-1.1041),(6525,785,0.000622,-1.1038),(6525,795,0.000627,-1.1034),(6525,805,0.000632,-1.1031),(6525,815,0.00064,-1.1028),(6525,825,0.000655,-1.1024),(6525,835,0.000671,-1.1021),(6525,845,0.000686,-1.1017),(6525,855,0.000705,-1.1014),(6525,865,0.000731,-1.1011),(6525,875,0.000756,-1.1008),(6525,885,0.000782,-1.1004),(6525,895,0.000812,-1.1001),(6525,905,0.000849,-1.0998),(6525,915,0.000887,-1.0994),(6525,925,0.000924,-1.0991),(6525,935,0.000972,-1.0988),(6525,945,0.001033,-1.0985),(6525,955,0.001094,-1.0982),(6525,965,0.001156,-1.0979),(6525,975,0.001233,-1.0976),(6525,985,0.00133,-1.0973),(6525,995,0.001427,-1.0971),(6525,1005,0.001524,-1.0969),(6525,1015,0.001632,-1.0967),(6525,1025,0.001752,-1.0965),(6525,1035,0.001871,-1.0963),(6525,1045,0.001991,-1.0962),(6525,1055,0.002133,-1.0961),(6525,1065,0.002294,-1.0959),(6525,1075,0.002455,-1.0959),(6525,1085,0.002616,-1.0959),(6525,1095,0.002861,-1.0959),(6525,1105,0.003165,-1.0959),(6525,1115,0.003469,-1.0961),(6525,1125,0.003773,-1.0965),(6525,1135,0.004242,-1.0969),(6525,1145,0.004808,-1.0973),(6525,1155,0.005373,-1.0981),(6525,1165,0.005939,-1.0992),(6525,1175,0.006916,-1.1003),(6525,1185,0.008096,-1.1014),(6525,1195,0.009277,-1.1035),(6525,1205,0.010458,-1.1061),(6525,1215,0.013915,-1.1087),(6525,1225,0.018313,-1.1113),(6525,1235,0.022711,-1.1165),(6525,1245,0.027108,-1.1226),(6525,1255,0.045284,-1.1288),(6525,1265,0.068112,-1.1349),(6525,1275,0.090941,-1.1452),(6525,1285,0.11377,-1.1568),(6525,1295,0.14174,-1.1683),(6525,1305,0.17111,-1.1799),(6525,1315,0.20047,-1.1846),(6525,1325,0.22983,-1.1877),(6525,1335,0.14126,-1.1909),(6525,1345,0.027962,-1.194),(6525,1355,-0.085332,-1.1933),(6525,1365,-0.19863,-1.1918),(6525,1375,-0.19696,-1.1904),(6525,1385,-0.17756,-1.189),(6525,1395,-0.15816,-1.1776),(6525,1405,-0.13876,-1.165),(6525,1415,-0.11206,-1.1523),(6525,1425,-0.084613,-1.1396),(6525,1435,-0.057163,-1.1318),(6525,1445,-0.029713,-1.1244),(6525,1455,-0.023755,-1.117),(6525,1465,-0.019034,-1.1095),(6525,1475,-0.014313,-1.1065),(6525,1485,-0.009593,-1.1036),(6525,1495,-0.008437,-1.1008),(6525,1505,-0.007335,-1.0979),(6525,1515,-0.006232,-1.0963),(6525,1525,-0.005144,-1.0947),(6525,1535,-0.004587,-1.0931),(6525,1545,-0.004031,-1.0915),(6525,1555,-0.003474,-1.0908),(6525,1565,-0.002934,-1.0902),(6525,1575,-0.002643,-1.0895),(6525,1585,-0.002351,-1.0889),(6525,1595,-0.002059,-1.0883),(6525,1605,-0.00178,-1.0878),(6525,1615,-0.001611,-1.0872),(6525,1625,-0.001441,-1.0867),(6525,1635,-0.001271,-1.0866),(6525,1645,-0.001112,-1.0864),(6525,1655,-0.00101,-1.0863),(6525,1665,-0.000909,-1.0861),(6525,1675,-0.000807,-1.0859),(6525,1685,-0.000718,-1.0857),(6525,1695,-0.000684,-1.0855),(6525,1705,-0.00065,-1.0854),(6525,1715,-0.000617,-1.0853),(6525,1725,-0.000582,-1.0852),(6525,1735,-0.000546,-1.085),(6525,1745,-0.000509,-1.0849),(6525,1755,-0.000473,-1.0849),(6525,1765,-0.000436,-1.0848),(6525,1775,-0.000401,-1.0848),(6525,1785,-0.000365,-1.0847),(6525,1795,-0.000329,-1.0846),(6525,1805,-0.000289,-1.0846),(6525,1815,-0.000241,-1.0845),(6525,1825,-0.000194,-1.0845),(6525,1835,-0.000146,-1.0844),(6525,1845,-9.7e-05,-1.0844),(6525,1855,-4.5e-05,-1.0844),(6525,1865,7e-06,-1.0844),(6525,1875,5.8e-05,-1.0844),(6525,1885,8.8e-05,-1.0843),(6525,1895,8.1e-05,-1.0843),(6525,1905,7.5e-05,-1.0842),(6525,1915,6.9e-05,-1.0841),(6525,1925,5.5e-05,-1.084),(6525,1935,3.1e-05,-1.0838),(6525,1945,7e-06,-1.0837),(6525,1955,-1.7e-05,-1.0836),(6525,1965,-3.8e-05,-1.0835),(6525,1975,-5.5e-05,-1.0834),(6525,1985,-7.2e-05,-1.0833),(6525,1995,-8.9e-05,-1.0832),(6525,2005,-0.000101,-1.0831),(6525,2015,-0.000108,-1.0829),(6525,2025,-0.000114,-1.0828),(6525,2035,-0.000121,-1.0827),(6525,2045,-0.000127,-1.0825),(6525,2055,-0.000135,-1.0824),(6525,2065,-0.000142,-1.0823),(6525,2075,-0.000149,-1.0821),(6525,2085,-0.000151,-1.082),(6525,2095,-0.000148,-1.0818),(6525,2105,-0.000146,-1.0817),(6525,2115,-0.000143,-1.0815),(6525,2125,-0.000117,-1.0813),(6525,2135,-7.7e-05,-1.0812),(6525,2145,-3.7e-05,-1.081),(6525,2155,3e-06,-1.0809),(6525,2165,3.7e-05,-1.0807),(6525,2175,6.8e-05,-1.0806),(6525,2185,9.8e-05,-1.0804),(6525,2195,0.000129,-1.0802),(6525,2205,0.000147,-1.08),(6525,2215,0.000161,-1.0798),(6525,2225,0.000174,-1.0795),(6525,2235,0.000187,-1.0793),(6525,2245,0.000205,-1.079),(6525,2255,0.000224,-1.0788),(6525,2265,0.000243,-1.0785),(6525,2275,0.000263,-1.0783),(6525,2285,0.000284,-1.078),(6525,2295,0.000307,-1.0778),(6525,2305,0.000329,-1.0775),(6525,2315,0.000351,-1.0772),(6525,2325,0.000377,-1.0769),(6525,2335,0.000403,-1.0766),(6525,2345,0.00043,-1.0763),(6525,2355,0.000457,-1.076),(6525,2365,0.000461,-1.0757),(6525,2375,0.000461,-1.0754),(6525,2385,0.000461,-1.075),(6525,2395,0.000462,-1.0746),(6525,2405,0.000446,-1.0742),(6525,2415,0.000428,-1.0739),(6525,2425,0.000411,-1.0734),(6525,2435,0.000393,-1.073),(6525,2445,0.000407,-1.0726),(6525,2455,0.000424,-1.0722),(6525,2465,0.000441,-1.0718),(6525,2475,0.000458,-1.0714),(6525,2485,0.000492,-1.0711),(6525,2495,0.000526,-1.0707),(6525,2505,0.00056,-1.0703),(6525,2515,0.000595,-1.0699),(6525,2525,0.000625,-1.0694),(6525,2535,0.000656,-1.069),(6525,2545,0.000686,-1.0686),(6525,2555,0.000717,-1.0681),(6525,2565,0.000747,-1.0677),(6525,2575,0.000778,-1.0672),(6525,2585,0.000809,-1.0667),(6525,2595,0.000837,-1.0663),(6525,2605,0.000848,-1.0658),(6525,2615,0.000859,-1.0653),(6525,2625,0.00087,-1.0648),(6525,2635,0.000879,-1.0643),(6525,2645,0.000877,-1.0638),(6525,2655,0.000875,-1.0632),(6525,2665,0.000874,-1.0627),(6525,2675,0.000873,-1.0621),(6525,2685,0.000876,-1.0616),(6525,2695,0.000879,-1.061),(6525,2705,0.000882,-1.0605),(6525,2715,0.000886,-1.0599),(6525,2725,0.000891,-1.0593),(6525,2735,0.000897,-1.0588),(6525,2745,0.000902,-1.0582),(6525,2755,0.000912,-1.0575),(6525,2765,0.000935,-1.0569),(6525,2775,0.000957,-1.0563),(6525,2785,0.00098,-1.0557),(6525,2795,0.001007,-1.0551),(6525,2805,0.001043,-1.0545),(6525,2815,0.00108,-1.0539),(6525,2825,0.001117,-1.0532),(6525,2835,0.001144,-1.0526),(6525,2845,0.001155,-1.052),(6525,2855,0.001165,-1.0514),(6525,2865,0.001175,-1.0507),(6525,2875,0.001173,-1.05),(6525,2885,0.001152,-1.0493),(6525,2895,0.00113,-1.0485),(6525,2905,0.001108,-1.0478),(6525,2915,0.001092,-1.047),(6525,2925,0.001083,-1.0462),(6525,2935,0.001074,-1.0455),(6525,2945,0.001066,-1.0447),(6525,2955,0.001075,-1.044),(6525,2965,0.001106,-1.0433),(6525,2975,0.001138,-1.0425),(6525,2985,0.001169,-1.0418),(6525,2995,0.001202,-1.0411),(6525,3005,0.001239,-1.0404),(6525,3015,0.001275,-1.0396),(6525,3025,0.001312,-1.0389),(6525,3035,0.00133,-1.0381),(6525,3045,0.001332,-1.0373),(6525,3055,0.001334,-1.0365),(6525,3065,0.001335,-1.0357),(6525,3075,0.001333,-1.0348),(6525,3085,0.001328,-1.0339),(6525,3095,0.001322,-1.0331),(6525,3105,0.001317,-1.0322),(6525,3115,0.001314,-1.0314),(6525,3125,0.001312,-1.0305),(6525,3135,0.001311,-1.0297),(6525,3145,0.001309,-1.0288),(6525,3155,0.001299,-1.0279),(6525,3165,0.001284,-1.0271),(6525,3175,0.001268,-1.0261),(6525,3185,0.001253,-1.0252),(6525,3195,0.001256,-1.0243),(6525,3205,0.001266,-1.0233),(6525,3215,0.001277,-1.0224),(6525,3225,0.001287,-1.0215),(6525,3235,0.001317,-1.0206),(6525,3245,0.001353,-1.0197),(6525,3255,0.001389,-1.0188),(6525,3265,0.001425,-1.0179),(6525,3275,0.001436,-1.017),(6525,3285,0.001439,-1.0161),(6525,3295,0.001442,-1.0151),(6525,3305,0.001445,-1.0141),(6525,3315,0.001448,-1.0131),(6525,3325,0.001451,-1.0121),(6525,3335,0.001454,-1.0111),(6525,3345,0.001457,-1.0101),(6525,3355,0.001486,-1.0091),(6525,3365,0.001519,-1.0081),(6525,3375,0.001552,-1.0071),(6525,3385,0.001586,-1.0061),(6525,3395,0.001602,-1.0051),(6525,3405,0.001616,-1.0041),(6525,3415,0.00163,-1.0031),(6525,3425,0.001644,-1.002),(6525,3435,0.001652,-1.001),(6525,3445,0.001659,-0.99993),(6525,3455,0.001667,-0.99887),(6525,3465,0.001674,-0.99781),(6525,3475,0.001714,-0.99674),(6525,3485,0.001756,-0.99568),(6525,3495,0.001797,-0.99466),(6525,3505,0.001839,-0.99364),(6525,3515,0.001889,-0.99261),(6525,3525,0.001939,-0.99159),(6525,3535,0.001989,-0.99054),(6525,3545,0.002038,-0.98949),(6525,3555,0.002063,-0.98845),(6525,3565,0.002086,-0.9874),(6525,3575,0.00211,-0.98629),(6525,3585,0.002134,-0.98518),(6525,3595,0.002152,-0.98407),(6525,3605,0.00217,-0.98296),(6525,3615,0.002188,-0.98187),(6525,3625,0.002213,-0.98078),(6525,3635,0.002281,-0.97969),(6525,3645,0.00235,-0.97861),(6525,3655,0.002419,-0.97764),(6525,3665,0.002492,-0.97666),(6525,3675,0.002586,-0.97568),(6525,3685,0.002681,-0.97471),(6525,3695,0.002775,-0.97376),(6525,3705,0.002874,-0.97281),(6525,3715,0.002991,-0.97186),(6525,3725,0.003107,-0.97093),(6525,3735,0.003224,-0.97006),(6525,3745,0.003358,-0.9692),(6525,3755,0.003543,-0.96833),(6525,3765,0.003728,-0.96751),(6525,3775,0.003913,-0.96681),(6525,3785,0.004141,-0.96611),(6525,3795,0.004477,-0.9654),(6525,3805,0.004814,-0.96482),(6525,3815,0.00515,-0.9645),(6525,3825,0.005588,-0.96419),(6525,3835,0.006239,-0.96387),(6525,3845,0.006891,-0.96378),(6525,3855,0.007542,-0.96413),(6525,3865,0.008459,-0.96448),(6525,3875,0.009846,-0.96483),(6525,3885,0.011233,-0.96567),(6525,3895,0.01262,-0.96731),(6525,3905,0.015145,-0.96896),(6525,3915,0.01937,-0.9706),(6525,3925,0.023595,-0.97346),(6525,3935,0.02782,-0.97798),(6525,3945,0.037772,-0.9825),(6525,3955,0.054996,-0.98703),(6525,3965,0.07222,-0.99324),(6525,3975,0.089444,-1.0014),(6525,3985,0.11825,-1.0096),(6525,3995,0.1596,-1.0178),(6525,4005,0.20095,-1.0232),(6525,4015,0.24229,-1.0258),(6525,4025,0.25791,-1.0283),(6525,4035,0.27102,-1.0297),(6525,4045,0.28413,-1.0285),(6525,4055,0.32785,-1.0272),(6525,4065,0.38275,-1.0259),(6525,4075,0.43766,-1.0239),(6525,4085,0.46255,-1.022),(6525,4095,0.46332,-1.02),(6525,4105,0.4641,-1.0181),(6525,4115,0.46488,-1.0161),(6525,4125,0.46567,-1.0142),(6525,4135,0.46646,-1.0122),(6525,4145,0.46725,-1.0103),(6525,4155,0.46805,-1.0084),(6525,4165,0.46885,-1.0064),(6525,4175,0.46965,-1.0045),(6525,4185,0.47045,-1.0026),(6525,4195,0.47125,-1.0006),(6525,4205,0.47205,-0.9985),(6525,4215,0.47286,-0.99643),(6525,4225,0.47367,-0.99436),(6525,4235,0.47449,-0.9923),(6525,4245,0.47533,-0.99024),(6525,4255,0.47618,-0.98819),(6525,4265,0.47704,-0.98616),(6525,4275,0.47792,-0.98413),(6525,4285,0.47881,-0.98209),(6525,4295,0.47971,-0.98002),(6525,4305,0.48063,-0.97794),(6525,4315,0.48157,-0.97586),(6525,4325,0.4825,-0.97371),(6525,4335,0.48345,-0.97154),(6525,4345,0.48442,-0.96936),(6525,4355,0.48539,-0.96716),(6525,4365,0.48636,-0.96494),(6525,4375,0.48736,-0.96272),(6525,4385,0.48837,-0.96046),(6525,4395,0.48937,-0.95815),(6525,4405,0.4904,-0.95583),(6525,4415,0.49144,-0.95351),(6525,4425,0.49248,-0.95118),(6525,4435,0.49355,-0.94884),(6525,4445,0.49463,-0.9465),(6525,4455,0.49572,-0.94412),(6525,4465,0.49682,-0.94175),(6525,4475,0.49794,-0.93937),(6525,4485,0.49907,-0.93691),(6525,4495,0.5002,-0.93443),(6525,4505,0.50135,-0.93196),(6525,4515,0.5025,-0.92943),(6525,4525,0.50365,-0.92686),(6525,4535,0.50482,-0.9243),(6525,4545,0.50599,-0.92169),(6525,4555,0.50716,-0.91904),(6525,4565,0.50835,-0.91639),(6525,4575,0.50954,-0.91372),(6525,4585,0.51073,-0.91103),(6525,4595,0.51196,-0.90833),(6525,4605,0.51319,-0.90563),(6525,4615,0.51442,-0.90287),(6525,4625,0.51569,-0.90011),(6525,4635,0.51699,-0.89735),(6525,4645,0.5183,-0.89452),(6525,4655,0.51962,-0.89169),(6525,4665,0.521,-0.88886),(6525,4675,0.52237,-0.88597),(6525,4685,0.52375,-0.88307),(6525,4695,0.52518,-0.88016),(6525,4705,0.52661,-0.87723),(6525,4715,0.52804,-0.87429),(6525,4725,0.52949,-0.87134),(6525,4735,0.53094,-0.86838),(6525,4745,0.53239,-0.86538),(6525,4755,0.53384,-0.86238),(6525,4765,0.53529,-0.85935),(6525,4775,0.53673,-0.85623),(6525,4785,0.53818,-0.85312),(6525,4795,0.53963,-0.85),(6525,4805,0.54108,-0.84675),(6525,4815,0.54255,-0.8435),(6525,4825,0.54403,-0.84025),(6525,4835,0.5455,-0.83696),(6525,4845,0.54699,-0.83366),(6525,4855,0.54852,-0.83036),(6525,4865,0.55004,-0.82702),(6525,4875,0.55157,-0.82367),(6525,4885,0.55315,-0.82033),(6525,4895,0.55472,-0.81694),(6525,4905,0.55629,-0.81352),(6525,4915,0.55791,-0.8101),(6525,4925,0.55953,-0.80665),(6525,4935,0.56115,-0.80316),(6525,4945,0.56279,-0.79967),(6525,4955,0.56444,-0.79617),(6525,4965,0.5661,-0.79263),(6525,4975,0.56775,-0.78908),(6525,4985,0.56941,-0.78554),(6525,4995,0.57107,-0.78192),(6525,5005,0.57273,-0.7783),(6525,5015,0.57439,-0.77467),(6525,5025,0.57604,-0.77098),(6525,5035,0.5777,-0.76727),(6525,5045,0.57937,-0.76355),(6525,5055,0.58103,-0.75979),(6525,5065,0.5827,-0.75599),(6525,5075,0.58437,-0.75219),(6525,5085,0.58605,-0.74838),(6525,5095,0.58773,-0.74455),(6525,5105,0.58943,-0.74072),(6525,5115,0.59113,-0.73688),(6525,5125,0.59283,-0.73301),(6525,5135,0.59454,-0.72913),(6525,5145,0.59625,-0.72525),(6525,5155,0.59796,-0.72127),(6525,5165,0.59966,-0.7173),(6525,5175,0.60135,-0.71332),(6525,5185,0.60304,-0.70924),(6525,5195,0.60473,-0.70516),(6525,5205,0.6064,-0.70107),(6525,5215,0.60807,-0.69694),(6525,5225,0.60974,-0.69278),(6525,5235,0.61141,-0.68863),(6525,5245,0.61307,-0.68446),(6525,5255,0.61474,-0.68027),(6525,5265,0.6164,-0.67608),(6525,5275,0.61807,-0.67187),(6525,5285,0.61974,-0.6676),(6525,5295,0.62141,-0.66333),(6525,5305,0.62308,-0.65905),(6525,5315,0.62476,-0.65472),(6525,5325,0.62644,-0.6504),(6525,5335,0.62812,-0.64607),(6525,5345,0.6298,-0.64174),(6525,5355,0.63149,-0.63741),(6525,5365,0.63316,-0.63308),(6525,5375,0.63484,-0.62873),(6525,5385,0.63651,-0.62437),(6525,5395,0.63814,-0.62002),(6525,5405,0.63978,-0.61559),(6525,5415,0.64141,-0.61113),(6525,5425,0.643,-0.60667),(6525,5435,0.64459,-0.60215),(6525,5445,0.64618,-0.59758),(6525,5455,0.64777,-0.59301),(6525,5465,0.64936,-0.58843),(6525,5475,0.65094,-0.58383),(6525,5485,0.65255,-0.57923),(6525,5495,0.65416,-0.57463),(6525,5505,0.65577,-0.57001),(6525,5515,0.65738,-0.56539),(6525,5525,0.65899,-0.56077),(6525,5535,0.66061,-0.5561),(6525,5545,0.66221,-0.55142),(6525,5555,0.66379,-0.54674),(6525,5565,0.66537,-0.54201),(6525,5575,0.66694,-0.53726),(6525,5585,0.66847,-0.53251),(6525,5595,0.66999,-0.52772),(6525,5605,0.67152,-0.52291),(6525,5615,0.67301,-0.51809),(6525,5625,0.6745,-0.51325),(6525,5635,0.67599,-0.50835),(6525,5645,0.67747,-0.50346),(6525,5655,0.67895,-0.49855),(6525,5665,0.68043,-0.49359),(6525,5675,0.68191,-0.48864),(6525,5685,0.6834,-0.48369),(6525,5695,0.68489,-0.47874),(6525,5705,0.68636,-0.47379),(6525,5715,0.68782,-0.46884),(6525,5725,0.68927,-0.46388),(6525,5735,0.69071,-0.45893),(6525,5745,0.69212,-0.45398),(6525,5755,0.69352,-0.44898),(6525,5765,0.69491,-0.44395),(6525,5775,0.69625,-0.43892),(6525,5785,0.69759,-0.43385),(6525,5795,0.69893,-0.42874),(6525,5805,0.70023,-0.42363),(6525,5815,0.70152,-0.41852),(6525,5825,0.70282,-0.4134),(6525,5835,0.70409,-0.40828),(6525,5845,0.70536,-0.40316),(6525,5855,0.70663,-0.398),(6525,5865,0.70788,-0.39283),(6525,5875,0.70912,-0.38767),(6525,5885,0.71036,-0.38245),(6525,5895,0.71159,-0.37722),(6525,5905,0.71281,-0.372),(6525,5915,0.71403,-0.36677),(6525,5925,0.71524,-0.36154),(6525,5935,0.71641,-0.35631),(6525,5945,0.71759,-0.35107),(6525,5955,0.71876,-0.34582),(6525,5965,0.71987,-0.34057),(6525,5975,0.72097,-0.33528),(6525,5985,0.72208,-0.32994),(6525,5995,0.72311,-0.32461),(6525,6005,0.72414,-0.31928),(6525,6015,0.72516,-0.31395),(6525,6025,0.72616,-0.30861),(6525,6035,0.72715,-0.30328),(6525,6045,0.72814,-0.29794),(6525,6055,0.72911,-0.2926),(6525,6065,0.73008,-0.28725),(6525,6075,0.73104,-0.28185),(6525,6085,0.732,-0.27643),(6525,6095,0.73293,-0.27102),(6525,6105,0.73385,-0.2656),(6525,6115,0.73478,-0.26017),(6525,6125,0.73565,-0.25475),(6525,6135,0.73653,-0.24934),(6525,6145,0.73741,-0.24394),(6525,6155,0.73823,-0.23854),(6525,6165,0.73904,-0.23309),(6525,6175,0.73985,-0.22758),(6525,6185,0.74062,-0.22207),(6525,6195,0.74137,-0.21655),(6525,6205,0.74213,-0.21101),(6525,6215,0.74286,-0.20547),(6525,6225,0.74359,-0.19992),(6525,6235,0.74431,-0.19442),(6525,6245,0.74501,-0.18892),(6525,6255,0.74567,-0.18342),(6525,6265,0.74633,-0.1779),(6525,6275,0.74698,-0.17239),(6525,6285,0.74758,-0.16688),(6525,6295,0.74818,-0.16137),(6525,6305,0.74877,-0.15586),(6525,6315,0.74929,-0.15035),(6525,6325,0.74981,-0.14484),(6525,6335,0.75033,-0.13934),(6525,6345,0.75079,-0.13384),(6525,6355,0.75126,-0.12828),(6525,6365,0.75172,-0.12259),(6525,6375,0.75216,-0.1169),(6525,6385,0.75259,-0.11123),(6525,6395,0.75302,-0.1057),(6525,6405,0.75344,-0.10017),(6525,6415,0.75384,-0.09464),(6525,6425,0.75423,-0.089078),(6525,6435,0.7546,-0.083514),(6525,6445,0.75492,-0.07795),(6525,6455,0.75524,-0.072365),(6525,6465,0.75554,-0.066774),(6525,6475,0.75578,-0.061183),(6525,6485,0.75602,-0.055557),(6525,6495,0.75626,-0.049907),(6525,6505,0.75645,-0.044256),(6525,6515,0.75664,-0.038621),(6525,6525,0.75683,-0.033005),(6525,6535,0.75699,-0.02739),(6525,6545,0.75716,-0.0218),(6525,6555,0.75732,-0.016292),(6525,6565,0.75746,-0.010783),(6525,6575,0.75759,-0.00527),(6525,6585,0.75772,0.000303),(6525,6595,0.6445,0.005875),(6525,6605,0.40614,0.011448),(6525,6615,0.16777,0.012185),(6525,6625,0.000218,0.012301),(6525,6635,0.000264,0.012417),(6525,6645,0.000311,0.012451),(6525,6655,0.000357,0.012451),(6525,6665,0.000403,0.012451),(6525,6675,0.00045,0.01245),(6525,6685,0.000496,0.012448),(6525,6695,0.000542,0.012447),(6525,6705,0.000588,0.012444),(6525,6715,0.000634,0.012441),(6525,6725,0.000679,0.012437),(6525,6735,0.000725,0.012434),(6525,6745,0.00077,0.012428),(6525,6755,0.000816,0.012423),(6525,6765,0.000861,0.012418),(6525,6775,0.000906,0.012411),(6525,6785,0.00095,0.012404),(6525,6795,0.000995,0.012397),(6525,6805,0.001039,0.012389),(6525,6815,0.001084,0.01238),(6525,6825,0.001127,0.012372),(6525,6835,0.001171,0.012362),(6525,6845,0.001214,0.012352),(6525,6855,0.001257,0.012342),(6525,6865,0.0013,0.012331),(6525,6875,0.001343,0.012319),(6525,6885,0.001385,0.012307),(6525,6895,0.001427,0.012295),(6525,6905,0.001469,0.012282),(6525,6915,0.00151,0.012269),(6525,6925,0.001551,0.012255),(6525,6935,0.001592,0.012241),(6525,6945,0.001633,0.012226),(6525,6955,0.001672,0.012211),(6525,6965,0.001712,0.012196),(6525,6975,0.001752,0.01218),(6525,6985,0.001791,0.012164),(6535,5,5e-06,-1.2409),(6535,15,1.5e-05,-1.241),(6535,25,2.4e-05,-1.241),(6535,35,3.1e-05,-1.2411),(6535,45,3.9e-05,-1.2412),(6535,55,4.6e-05,-1.2411),(6535,65,4.6e-05,-1.2411),(6535,75,3.9e-05,-1.2411),(6535,85,3.2e-05,-1.241),(6535,95,2.5e-05,-1.241),(6535,105,1.7e-05,-1.2409),(6535,115,1e-05,-1.2409),(6535,125,2e-06,-1.2408),(6535,135,-6e-06,-1.2407),(6535,145,1e-06,-1.2406),(6535,155,1.6e-05,-1.2406),(6535,165,3.1e-05,-1.2405),(6535,175,4.6e-05,-1.2405),(6535,185,4.9e-05,-1.2404),(6535,195,4.7e-05,-1.2403),(6535,205,4.5e-05,-1.2402),(6535,215,4.3e-05,-1.24),(6535,225,2.2e-05,-1.2398),(6535,235,-6e-06,-1.2396),(6535,245,-3.5e-05,-1.2395),(6535,255,-6.3e-05,-1.2393),(6535,265,-7.3e-05,-1.2392),(6535,275,-7.6e-05,-1.2391),(6535,285,-7.9e-05,-1.2389),(6535,295,-8.2e-05,-1.2387),(6535,305,-7.7e-05,-1.2386),(6535,315,-7.1e-05,-1.2384),(6535,325,-6.4e-05,-1.2382),(6535,335,-5.7e-05,-1.2381),(6535,345,-5.5e-05,-1.2379),(6535,355,-5.4e-05,-1.2377),(6535,365,-5.3e-05,-1.2376),(6535,375,-5.2e-05,-1.2374),(6535,385,-5.4e-05,-1.2372),(6535,395,-5.6e-05,-1.237),(6535,405,-5.9e-05,-1.2368),(6535,415,-6.1e-05,-1.2365),(6535,425,-5.4e-05,-1.2363),(6535,435,-4.5e-05,-1.236),(6535,445,-3.7e-05,-1.2358),(6535,455,-2.8e-05,-1.2356),(6535,465,-8e-06,-1.2355),(6535,475,1.3e-05,-1.2353),(6535,485,3.4e-05,-1.235),(6535,495,5.5e-05,-1.2348),(6535,505,6.8e-05,-1.2345),(6535,515,8e-05,-1.2342),(6535,525,9.2e-05,-1.234),(6535,535,0.000104,-1.2337),(6535,545,0.000122,-1.2334),(6535,555,0.000141,-1.2331),(6535,565,0.000159,-1.2329),(6535,575,0.000177,-1.2326),(6535,585,0.000188,-1.2324),(6535,595,0.0002,-1.2321),(6535,605,0.000212,-1.2318),(6535,615,0.000222,-1.2315),(6535,625,0.000224,-1.2311),(6535,635,0.000227,-1.2308),(6535,645,0.000229,-1.2305),(6535,655,0.000233,-1.2301),(6535,665,0.000246,-1.2298),(6535,675,0.000259,-1.2294),(6535,685,0.000272,-1.2291),(6535,695,0.000291,-1.2288),(6535,705,0.000334,-1.2284),(6535,715,0.000378,-1.2281),(6535,725,0.000421,-1.2278),(6535,735,0.000461,-1.2275),(6535,745,0.000492,-1.2272),(6535,755,0.000524,-1.2269),(6535,765,0.000555,-1.2265),(6535,775,0.00058,-1.2262),(6535,785,0.00059,-1.2258),(6535,795,0.000599,-1.2254),(6535,805,0.000609,-1.225),(6535,815,0.000621,-1.2246),(6535,825,0.00064,-1.2243),(6535,835,0.000659,-1.2239),(6535,845,0.000678,-1.2235),(6535,855,0.000701,-1.2231),(6535,865,0.000731,-1.2228),(6535,875,0.000761,-1.2224),(6535,885,0.00079,-1.222),(6535,895,0.000826,-1.2217),(6535,905,0.00087,-1.2213),(6535,915,0.000915,-1.2209),(6535,925,0.000959,-1.2206),(6535,935,0.001017,-1.2202),(6535,945,0.001091,-1.2198),(6535,955,0.001166,-1.2195),(6535,965,0.001241,-1.2192),(6535,975,0.001336,-1.2189),(6535,985,0.001456,-1.2186),(6535,995,0.001576,-1.2183),(6535,1005,0.001696,-1.2181),(6535,1015,0.001835,-1.2179),(6535,1025,0.001995,-1.2177),(6535,1035,0.002154,-1.2175),(6535,1045,0.002313,-1.2173),(6535,1055,0.002505,-1.2172),(6535,1065,0.002726,-1.217),(6535,1075,0.002946,-1.217),(6535,1085,0.003166,-1.2169),(6535,1095,0.003492,-1.2169),(6535,1105,0.003893,-1.2169),(6535,1115,0.004293,-1.2172),(6535,1125,0.004693,-1.2176),(6535,1135,0.005326,-1.218),(6535,1145,0.006095,-1.2184),(6535,1155,0.006865,-1.2194),(6535,1165,0.007635,-1.2206),(6535,1175,0.008998,-1.2218),(6535,1185,0.010656,-1.223),(6535,1195,0.012313,-1.2255),(6535,1205,0.013971,-1.2284),(6535,1215,0.018169,-1.2314),(6535,1225,0.023417,-1.2343),(6535,1235,0.028664,-1.2397),(6535,1245,0.033911,-1.2461),(6535,1255,0.051385,-1.2525),(6535,1265,0.072988,-1.2588),(6535,1275,0.094591,-1.2637),(6535,1285,0.11619,-1.2681),(6535,1295,0.13742,-1.2725),(6535,1305,0.15853,-1.2769),(6535,1315,0.17965,-1.2608),(6535,1325,0.20077,-1.2398),(6535,1335,0.12343,-1.2188),(6535,1345,0.025445,-1.1978),(6535,1355,-0.072536,-1.2126),(6535,1365,-0.17052,-1.2338),(6535,1375,-0.1736,-1.2551),(6535,1385,-0.16203,-1.2764),(6535,1395,-0.15047,-1.2754),(6535,1405,-0.1389,-1.2716),(6535,1415,-0.11454,-1.2677),(6535,1425,-0.088853,-1.2639),(6535,1435,-0.063163,-1.2564),(6535,1445,-0.037473,-1.2485),(6535,1455,-0.030667,-1.2407),(6535,1465,-0.024948,-1.2328),(6535,1475,-0.019229,-1.2293),(6535,1485,-0.01351,-1.2259),(6535,1495,-0.011795,-1.2226),(6535,1505,-0.010141,-1.2193),(6535,1515,-0.008486,-1.2174),(6535,1525,-0.006853,-1.2156),(6535,1535,-0.006076,-1.2138),(6535,1545,-0.005298,-1.212),(6535,1555,-0.00452,-1.2113),(6535,1565,-0.003766,-1.2106),(6535,1575,-0.003357,-1.2099),(6535,1585,-0.002947,-1.2091),(6535,1595,-0.002538,-1.2085),(6535,1605,-0.002148,-1.208),(6535,1615,-0.001926,-1.2074),(6535,1625,-0.001704,-1.2068),(6535,1635,-0.001483,-1.2067),(6535,1645,-0.001273,-1.2065),(6535,1655,-0.001133,-1.2063),(6535,1665,-0.000993,-1.2062),(6535,1675,-0.000854,-1.206),(6535,1685,-0.00073,-1.2057),(6535,1695,-0.000676,-1.2055),(6535,1705,-0.000622,-1.2053),(6535,1715,-0.000569,-1.2052),(6535,1725,-0.000517,-1.2051),(6535,1735,-0.000472,-1.205),(6535,1745,-0.000427,-1.2049),(6535,1755,-0.000382,-1.2048),(6535,1765,-0.000338,-1.2047),(6535,1775,-0.000299,-1.2046),(6535,1785,-0.00026,-1.2046),(6535,1795,-0.000221,-1.2045),(6535,1805,-0.000182,-1.2044),(6535,1815,-0.00014,-1.2044),(6535,1825,-9.8e-05,-1.2043),(6535,1835,-5.6e-05,-1.2043),(6535,1845,-1e-05,-1.2042),(6535,1855,4.4e-05,-1.2042),(6535,1865,9.8e-05,-1.2042),(6535,1875,0.000152,-1.2042),(6535,1885,0.000188,-1.2042),(6535,1895,0.000192,-1.2042),(6535,1905,0.000197,-1.2041),(6535,1915,0.000202,-1.204),(6535,1925,0.000194,-1.2038),(6535,1935,0.00017,-1.2036),(6535,1945,0.000146,-1.2035),(6535,1955,0.000122,-1.2034),(6535,1965,9.8e-05,-1.2033),(6535,1975,7.4e-05,-1.2032),(6535,1985,5e-05,-1.2031),(6535,1995,2.6e-05,-1.2029),(6535,2005,1.1e-05,-1.2028),(6535,2015,5e-06,-1.2026),(6535,2025,-1e-06,-1.2025),(6535,2035,-7e-06,-1.2024),(6535,2045,-1.2e-05,-1.2022),(6535,2055,-1.5e-05,-1.2021),(6535,2065,-1.8e-05,-1.2019),(6535,2075,-2.1e-05,-1.2017),(6535,2085,-2.3e-05,-1.2016),(6535,2095,-2.5e-05,-1.2014),(6535,2105,-2.6e-05,-1.2012),(6535,2115,-2.7e-05,-1.201),(6535,2125,-7e-06,-1.2008),(6535,2135,2.8e-05,-1.2006),(6535,2145,6.3e-05,-1.2005),(6535,2155,9.7e-05,-1.2003),(6535,2165,0.00013,-1.2002),(6535,2175,0.000162,-1.2),(6535,2185,0.000194,-1.1998),(6535,2195,0.000226,-1.1996),(6535,2205,0.000246,-1.1993),(6535,2215,0.000261,-1.1991),(6535,2225,0.000276,-1.1988),(6535,2235,0.000291,-1.1985),(6535,2245,0.000307,-1.1983),(6535,2255,0.000323,-1.198),(6535,2265,0.000339,-1.1977),(6535,2275,0.000355,-1.1974),(6535,2285,0.000373,-1.1971),(6535,2295,0.000391,-1.1969),(6535,2305,0.000409,-1.1966),(6535,2315,0.000427,-1.1962),(6535,2325,0.000455,-1.1959),(6535,2335,0.000485,-1.1956),(6535,2345,0.000516,-1.1952),(6535,2355,0.000546,-1.1949),(6535,2365,0.000558,-1.1946),(6535,2375,0.000566,-1.1942),(6535,2385,0.000574,-1.1938),(6535,2395,0.000583,-1.1934),(6535,2405,0.000564,-1.193),(6535,2415,0.000541,-1.1926),(6535,2425,0.000519,-1.1921),(6535,2435,0.000497,-1.1916),(6535,2445,0.000499,-1.1911),(6535,2455,0.000502,-1.1907),(6535,2465,0.000505,-1.1902),(6535,2475,0.000509,-1.1898),(6535,2485,0.000533,-1.1894),(6535,2495,0.000558,-1.189),(6535,2505,0.000583,-1.1885),(6535,2515,0.000608,-1.1881),(6535,2525,0.000636,-1.1876),(6535,2535,0.000664,-1.1872),(6535,2545,0.000691,-1.1867),(6535,2555,0.000719,-1.1862),(6535,2565,0.000757,-1.1856),(6535,2575,0.000794,-1.1851),(6535,2585,0.000831,-1.1846),(6535,2595,0.000866,-1.1841),(6535,2605,0.000888,-1.1836),(6535,2615,0.00091,-1.1831),(6535,2625,0.000933,-1.1825),(6535,2635,0.000952,-1.1819),(6535,2645,0.000957,-1.1813),(6535,2655,0.000962,-1.1808),(6535,2665,0.000967,-1.1802),(6535,2675,0.000972,-1.1795),(6535,2685,0.000975,-1.1789),(6535,2695,0.000978,-1.1783),(6535,2705,0.000982,-1.1777),(6535,2715,0.000984,-1.1771),(6535,2725,0.000982,-1.1764),(6535,2735,0.000981,-1.1758),(6535,2745,0.00098,-1.1751),(6535,2755,0.000982,-1.1744),(6535,2765,0.000994,-1.1737),(6535,2775,0.001006,-1.173),(6535,2785,0.001018,-1.1724),(6535,2795,0.001037,-1.1717),(6535,2805,0.001071,-1.171),(6535,2815,0.001105,-1.1703),(6535,2825,0.001139,-1.1696),(6535,2835,0.001167,-1.1689),(6535,2845,0.001186,-1.1683),(6535,2855,0.001204,-1.1676),(6535,2865,0.001222,-1.1668),(6535,2875,0.001228,-1.166),(6535,2885,0.001212,-1.1652),(6535,2895,0.001196,-1.1644),(6535,2905,0.00118,-1.1636),(6535,2915,0.001165,-1.1627),(6535,2925,0.00115,-1.1619),(6535,2935,0.001136,-1.161),(6535,2945,0.001121,-1.1602),(6535,2955,0.001124,-1.1594),(6535,2965,0.001147,-1.1585),(6535,2975,0.001169,-1.1577),(6535,2985,0.001192,-1.1569),(6535,2995,0.001222,-1.1561),(6535,3005,0.001259,-1.1553),(6535,3015,0.001296,-1.1545),(6535,3025,0.001333,-1.1537),(6535,3035,0.001353,-1.1528),(6535,3045,0.001359,-1.152),(6535,3055,0.001364,-1.1511),(6535,3065,0.001369,-1.1501),(6535,3075,0.001369,-1.1492),(6535,3085,0.001365,-1.1482),(6535,3095,0.001361,-1.1473),(6535,3105,0.001357,-1.1463),(6535,3115,0.001357,-1.1454),(6535,3125,0.001359,-1.1444),(6535,3135,0.001361,-1.1435),(6535,3145,0.001363,-1.1425),(6535,3155,0.001356,-1.1416),(6535,3165,0.001342,-1.1406),(6535,3175,0.001328,-1.1396),(6535,3185,0.001315,-1.1385),(6535,3195,0.001316,-1.1375),(6535,3205,0.001324,-1.1364),(6535,3215,0.001332,-1.1354),(6535,3225,0.00134,-1.1344),(6535,3235,0.001371,-1.1334),(6535,3245,0.00141,-1.1324),(6535,3255,0.001449,-1.1314),(6535,3265,0.001488,-1.1304),(6535,3275,0.001499,-1.1294),(6535,3285,0.001501,-1.1284),(6535,3295,0.001503,-1.1273),(6535,3305,0.001506,-1.1262),(6535,3315,0.001501,-1.1251),(6535,3325,0.001495,-1.1239),(6535,3335,0.001488,-1.1228),(6535,3345,0.001482,-1.1217),(6535,3355,0.001511,-1.1206),(6535,3365,0.001546,-1.1195),(6535,3375,0.001582,-1.1184),(6535,3385,0.001617,-1.1173),(6535,3395,0.001644,-1.1162),(6535,3405,0.001669,-1.1151),(6535,3415,0.001695,-1.114),(6535,3425,0.00172,-1.1128),(6535,3435,0.001729,-1.1116),(6535,3445,0.001736,-1.1104),(6535,3455,0.001743,-1.1093),(6535,3465,0.001751,-1.1081),(6535,3475,0.001784,-1.1069),(6535,3485,0.001818,-1.1057),(6535,3495,0.001852,-1.1046),(6535,3505,0.001886,-1.1034),(6535,3515,0.001936,-1.1023),(6535,3525,0.001985,-1.1012),(6535,3535,0.002035,-1.1),(6535,3545,0.002084,-1.0988),(6535,3555,0.002114,-1.0977),(6535,3565,0.002144,-1.0965),(6535,3575,0.002175,-1.0953),(6535,3585,0.002204,-1.0941),(6535,3595,0.002226,-1.0928),(6535,3605,0.002247,-1.0916),(6535,3615,0.002269,-1.0904),(6535,3625,0.002298,-1.0892),(6535,3635,0.002375,-1.0879),(6535,3645,0.002452,-1.0867),(6535,3655,0.00253,-1.0857),(6535,3665,0.002615,-1.0846),(6535,3675,0.002734,-1.0835),(6535,3685,0.002853,-1.0824),(6535,3695,0.002973,-1.0813),(6535,3705,0.003099,-1.0803),(6535,3715,0.003255,-1.0792),(6535,3725,0.00341,-1.0782),(6535,3735,0.003565,-1.0772),(6535,3745,0.003742,-1.0763),(6535,3755,0.003986,-1.0753),(6535,3765,0.004231,-1.0744),(6535,3775,0.004476,-1.0736),(6535,3785,0.004773,-1.0728),(6535,3795,0.005204,-1.072),(6535,3805,0.005635,-1.0713),(6535,3815,0.006065,-1.0709),(6535,3825,0.006627,-1.0706),(6535,3835,0.007465,-1.0702),(6535,3845,0.008303,-1.0701),(6535,3855,0.009141,-1.0704),(6535,3865,0.010308,-1.0707),(6535,3875,0.012056,-1.0711),(6535,3885,0.013805,-1.0719),(6535,3895,0.015553,-1.0736),(6535,3905,0.018505,-1.0753),(6535,3915,0.023254,-1.077),(6535,3925,0.028004,-1.0796),(6535,3935,0.032754,-1.0837),(6535,3945,0.042527,-1.0878),(6535,3955,0.058679,-1.0919),(6535,3965,0.074831,-1.0951),(6535,3975,0.090984,-1.0971),(6535,3985,0.11481,-1.0992),(6535,3995,0.14695,-1.1012),(6535,4005,0.17909,-1.0909),(6535,4015,0.21123,-1.0682),(6535,4025,0.2346,-1.0455),(6535,4035,0.25711,-1.0297),(6535,4045,0.27962,-1.0285),(6535,4055,0.3256,-1.0273),(6535,4065,0.38014,-1.026),(6535,4075,0.43468,-1.024),(6535,4085,0.45941,-1.022),(6535,4095,0.46019,-1.0201),(6535,4105,0.46097,-1.0181),(6535,4115,0.46176,-1.0162),(6535,4125,0.46254,-1.0142),(6535,4135,0.46333,-1.0123),(6535,4145,0.46412,-1.0104),(6535,4155,0.46492,-1.0084),(6535,4165,0.46571,-1.0065),(6535,4175,0.46651,-1.0046),(6535,4185,0.4673,-1.0026),(6535,4195,0.46809,-1.0006),(6535,4205,0.46889,-0.99856),(6535,4215,0.46969,-0.99648),(6535,4225,0.47049,-0.99441),(6535,4235,0.47129,-0.99235),(6535,4245,0.47211,-0.99028),(6535,4255,0.47295,-0.98822),(6535,4265,0.47379,-0.98618),(6535,4275,0.47464,-0.98414),(6535,4285,0.47552,-0.9821),(6535,4295,0.4764,-0.98002),(6535,4305,0.4773,-0.97794),(6535,4315,0.47822,-0.97586),(6535,4325,0.47914,-0.97371),(6535,4335,0.48007,-0.97153),(6535,4345,0.48102,-0.96935),(6535,4355,0.48197,-0.96715),(6535,4365,0.48293,-0.96493),(6535,4375,0.48391,-0.9627),(6535,4385,0.4849,-0.96044),(6535,4395,0.48588,-0.95812),(6535,4405,0.48689,-0.9558),(6535,4415,0.48791,-0.95348),(6535,4425,0.48892,-0.95114),(6535,4435,0.48997,-0.94879),(6535,4445,0.49103,-0.94645),(6535,4455,0.4921,-0.94407),(6535,4465,0.49318,-0.94169),(6535,4475,0.49428,-0.9393),(6535,4485,0.49539,-0.93684),(6535,4495,0.49651,-0.93437),(6535,4505,0.49765,-0.9319),(6535,4515,0.49878,-0.92937),(6535,4525,0.49993,-0.92681),(6535,4535,0.50108,-0.92424),(6535,4545,0.50224,-0.92164),(6535,4555,0.5034,-0.91899),(6535,4565,0.50458,-0.91634),(6535,4575,0.50576,-0.91367),(6535,4585,0.50694,-0.91097),(6535,4595,0.50814,-0.90826),(6535,4605,0.50936,-0.90555),(6535,4615,0.51057,-0.90278),(6535,4625,0.51182,-0.9),(6535,4635,0.51309,-0.89723),(6535,4645,0.51436,-0.89438),(6535,4655,0.51566,-0.89153),(6535,4665,0.517,-0.88868),(6535,4675,0.51834,-0.88578),(6535,4685,0.51968,-0.88287),(6535,4695,0.52108,-0.87996),(6535,4705,0.52248,-0.87703),(6535,4715,0.52388,-0.87408),(6535,4725,0.52531,-0.87114),(6535,4735,0.52674,-0.86818),(6535,4745,0.52817,-0.86518),(6535,4755,0.52961,-0.86219),(6535,4765,0.53104,-0.85917),(6535,4775,0.53248,-0.85606),(6535,4785,0.53392,-0.85295),(6535,4795,0.53537,-0.84983),(6535,4805,0.53681,-0.84658),(6535,4815,0.53826,-0.84333),(6535,4825,0.53972,-0.84007),(6535,4835,0.54118,-0.83677),(6535,4845,0.54265,-0.83345),(6535,4855,0.54415,-0.83014),(6535,4865,0.54565,-0.82679),(6535,4875,0.54715,-0.82343),(6535,4885,0.54869,-0.82007),(6535,4895,0.55022,-0.81667),(6535,4905,0.55176,-0.81324),(6535,4915,0.55334,-0.80981),(6535,4925,0.55492,-0.80635),(6535,4935,0.5565,-0.80286),(6535,4945,0.55811,-0.79936),(6535,4955,0.55973,-0.79586),(6535,4965,0.56135,-0.79231),(6535,4975,0.56298,-0.78877),(6535,4985,0.56461,-0.78523),(6535,4995,0.56625,-0.78161),(6535,5005,0.56788,-0.77799),(6535,5015,0.56952,-0.77437),(6535,5025,0.57116,-0.77067),(6535,5035,0.5728,-0.76696),(6535,5045,0.57444,-0.76324),(6535,5055,0.57609,-0.75948),(6535,5065,0.57773,-0.75568),(6535,5075,0.57938,-0.75188),(6535,5085,0.58104,-0.74806),(6535,5095,0.58269,-0.74422),(6535,5105,0.58436,-0.74038),(6535,5115,0.58603,-0.73653),(6535,5125,0.58771,-0.73266),(6535,5135,0.58939,-0.72878),(6535,5145,0.59108,-0.7249),(6535,5155,0.59277,-0.72093),(6535,5165,0.59445,-0.71696),(6535,5175,0.59612,-0.71298),(6535,5185,0.5978,-0.70891),(6535,5195,0.59947,-0.70483),(6535,5205,0.60113,-0.70075),(6535,5215,0.60278,-0.69662),(6535,5225,0.60444,-0.69246),(6535,5235,0.60609,-0.68831),(6535,5245,0.60775,-0.68413),(6535,5255,0.6094,-0.67994),(6535,5265,0.61105,-0.67575),(6535,5275,0.6127,-0.67153),(6535,5285,0.61435,-0.66726),(6535,5295,0.616,-0.66298),(6535,5305,0.61765,-0.6587),(6535,5315,0.6193,-0.65436),(6535,5325,0.62095,-0.65003),(6535,5335,0.6226,-0.64569),(6535,5345,0.62425,-0.64136),(6535,5355,0.62591,-0.63703),(6535,5365,0.62756,-0.63269),(6535,5375,0.62922,-0.62835),(6535,5385,0.63087,-0.62401),(6535,5395,0.6325,-0.61967),(6535,5405,0.63412,-0.61525),(6535,5415,0.63574,-0.6108),(6535,5425,0.63732,-0.60634),(6535,5435,0.6389,-0.60183),(6535,5445,0.64048,-0.59725),(6535,5455,0.64204,-0.59267),(6535,5465,0.6436,-0.58808),(6535,5475,0.64516,-0.58347),(6535,5485,0.64673,-0.57885),(6535,5495,0.6483,-0.57424),(6535,5505,0.64987,-0.56961),(6535,5515,0.65145,-0.56498),(6535,5525,0.65303,-0.56035),(6535,5535,0.6546,-0.55569),(6535,5545,0.65618,-0.55102),(6535,5555,0.65774,-0.54635),(6535,5565,0.6593,-0.54162),(6535,5575,0.66085,-0.53688),(6535,5585,0.66238,-0.53215),(6535,5595,0.6639,-0.52736),(6535,5605,0.66543,-0.52255),(6535,5615,0.66691,-0.51774),(6535,5625,0.66839,-0.51289),(6535,5635,0.66987,-0.50799),(6535,5645,0.67134,-0.50309),(6535,5655,0.6728,-0.49817),(6535,5665,0.67426,-0.49321),(6535,5675,0.67572,-0.48824),(6535,5685,0.67718,-0.48328),(6535,5695,0.67864,-0.47833),(6535,5705,0.68009,-0.47338),(6535,5715,0.68153,-0.46843),(6535,5725,0.68297,-0.46349),(6535,5735,0.6844,-0.45855),(6535,5745,0.6858,-0.4536),(6535,5755,0.68719,-0.44861),(6535,5765,0.68858,-0.44359),(6535,5775,0.68992,-0.43857),(6535,5785,0.69125,-0.43351),(6535,5795,0.69259,-0.4284),(6535,5805,0.69388,-0.42329),(6535,5815,0.69516,-0.41818),(6535,5825,0.69645,-0.41306),(6535,5835,0.69771,-0.40794),(6535,5845,0.69896,-0.40282),(6535,5855,0.70021,-0.39765),(6535,5865,0.70144,-0.39248),(6535,5875,0.70265,-0.38731),(6535,5885,0.70387,-0.38209),(6535,5895,0.70507,-0.37686),(6535,5905,0.70627,-0.37163),(6535,5915,0.70746,-0.36641),(6535,5925,0.70864,-0.36118),(6535,5935,0.7098,-0.35595),(6535,5945,0.71096,-0.35072),(6535,5955,0.71211,-0.34548),(6535,5965,0.71321,-0.34024),(6535,5975,0.71431,-0.33496),(6535,5985,0.71541,-0.32965),(6535,5995,0.71644,-0.32433),(6535,6005,0.71746,-0.31901),(6535,6015,0.71848,-0.31368),(6535,6025,0.71947,-0.30834),(6535,6035,0.72045,-0.303),(6535,6045,0.72144,-0.29765),(6535,6055,0.7224,-0.29231),(6535,6065,0.72336,-0.28696),(6535,6075,0.72431,-0.28155),(6535,6085,0.72525,-0.27613),(6535,6095,0.72617,-0.27072),(6535,6105,0.72709,-0.2653),(6535,6115,0.728,-0.25988),(6535,6125,0.72887,-0.25446),(6535,6135,0.72974,-0.24906),(6535,6145,0.73061,-0.24366),(6535,6155,0.73142,-0.23827),(6535,6165,0.73222,-0.23283),(6535,6175,0.73303,-0.22733),(6535,6185,0.73379,-0.22182),(6535,6195,0.73453,-0.21631),(6535,6205,0.73527,-0.21076),(6535,6215,0.736,-0.20521),(6535,6225,0.73671,-0.19967),(6535,6235,0.73742,-0.19417),(6535,6245,0.73811,-0.18867),(6535,6255,0.73877,-0.18318),(6535,6265,0.73943,-0.17767),(6535,6275,0.74007,-0.17217),(6535,6285,0.74066,-0.16666),(6535,6295,0.74126,-0.16117),(6535,6305,0.74184,-0.15567),(6535,6315,0.74236,-0.15017),(6535,6325,0.74288,-0.14467),(6535,6335,0.7434,-0.13918),(6535,6345,0.74386,-0.13368),(6535,6355,0.74432,-0.12812),(6535,6365,0.74477,-0.12242),(6535,6375,0.7452,-0.11672),(6535,6385,0.74563,-0.11105),(6535,6395,0.74605,-0.10552),(6535,6405,0.74646,-0.09999),(6535,6415,0.74685,-0.09446),(6535,6425,0.74725,-0.08891),(6535,6435,0.74761,-0.083359),(6535,6445,0.74793,-0.077808),(6535,6455,0.74826,-0.072235),(6535,6465,0.74856,-0.066655),(6535,6475,0.74881,-0.061076),(6535,6485,0.74905,-0.055455),(6535,6495,0.7493,-0.049806),(6535,6505,0.74949,-0.044156),(6535,6515,0.74968,-0.038519),(6535,6525,0.74987,-0.032898),(6535,6535,0.75003,-0.027277),(6535,6545,0.75019,-0.021682),(6535,6555,0.75035,-0.016169),(6535,6565,0.75049,-0.010656),(6535,6575,0.75062,-0.005141),(6535,6585,0.75074,0.00041),(6535,6595,0.63857,0.005961),(6535,6605,0.4024,0.011512),(6535,6615,0.16623,0.012243),(6535,6625,0.000216,0.012354),(6535,6635,0.000263,0.012465),(6535,6645,0.00031,0.012497),(6535,6655,0.000357,0.012497),(6535,6665,0.000403,0.012497),(6535,6675,0.00045,0.012496),(6535,6685,0.000497,0.012494),(6535,6695,0.000543,0.012493),(6535,6705,0.00059,0.01249),(6535,6715,0.000636,0.012486),(6535,6725,0.000683,0.012483),(6535,6735,0.000729,0.012479),(6535,6745,0.000775,0.012474),(6535,6755,0.00082,0.012468),(6535,6765,0.000866,0.012463),(6535,6775,0.000911,0.012456),(6535,6785,0.000957,0.012449),(6535,6795,0.001002,0.012441),(6535,6805,0.001046,0.012433),(6535,6815,0.001091,0.012424),(6535,6825,0.001135,0.012415),(6535,6835,0.00118,0.012405),(6535,6845,0.001224,0.012395),(6535,6855,0.001267,0.012385),(6535,6865,0.00131,0.012373),(6535,6875,0.001354,0.012361),(6535,6885,0.001396,0.012349),(6535,6895,0.001438,0.012337),(6535,6905,0.001481,0.012323),(6535,6915,0.001522,0.01231),(6535,6925,0.001564,0.012296),(6535,6935,0.001605,0.012281),(6535,6945,0.001646,0.012266),(6535,6955,0.001686,0.012251),(6535,6965,0.001727,0.012235),(6535,6975,0.001767,0.012219),(6535,6985,0.001806,0.012202),(6545,5,6e-06,-1.2901),(6545,15,1.8e-05,-1.2902),(6545,25,3.1e-05,-1.2903),(6545,35,4.6e-05,-1.2903),(6545,45,6e-05,-1.2904),(6545,55,7.5e-05,-1.2903),(6545,65,7.7e-05,-1.2903),(6545,75,7e-05,-1.2903),(6545,85,6.2e-05,-1.2903),(6545,95,5.5e-05,-1.2902),(6545,105,4.2e-05,-1.2901),(6545,115,2.5e-05,-1.2901),(6545,125,9e-06,-1.29),(6545,135,-8e-06,-1.2899),(6545,145,-7e-06,-1.2899),(6545,155,5e-06,-1.2898),(6545,165,1.7e-05,-1.2897),(6545,175,2.8e-05,-1.2897),(6545,185,3.7e-05,-1.2896),(6545,195,4.5e-05,-1.2895),(6545,205,5.3e-05,-1.2894),(6545,215,6.1e-05,-1.2892),(6545,225,3.9e-05,-1.289),(6545,235,5e-06,-1.2888),(6545,245,-3e-05,-1.2887),(6545,255,-6.4e-05,-1.2885),(6545,265,-8.2e-05,-1.2884),(6545,275,-9.5e-05,-1.2882),(6545,285,-0.000108,-1.288),(6545,295,-0.000121,-1.2879),(6545,305,-0.00012,-1.2877),(6545,315,-0.000115,-1.2875),(6545,325,-0.00011,-1.2873),(6545,335,-0.000105,-1.2872),(6545,345,-0.000105,-1.287),(6545,355,-0.000105,-1.2868),(6545,365,-0.000106,-1.2866),(6545,375,-0.000107,-1.2865),(6545,385,-0.00011,-1.2863),(6545,395,-0.000112,-1.2861),(6545,405,-0.000115,-1.2858),(6545,415,-0.000117,-1.2856),(6545,425,-0.000111,-1.2853),(6545,435,-0.000103,-1.285),(6545,445,-9.6e-05,-1.2848),(6545,455,-8.8e-05,-1.2846),(6545,465,-6.1e-05,-1.2844),(6545,475,-3.3e-05,-1.2843),(6545,485,-4e-06,-1.284),(6545,495,2.4e-05,-1.2837),(6545,505,4.1e-05,-1.2834),(6545,515,5.9e-05,-1.2832),(6545,525,7.6e-05,-1.2829),(6545,535,9.4e-05,-1.2826),(6545,545,0.000111,-1.2823),(6545,555,0.000128,-1.282),(6545,565,0.000146,-1.2818),(6545,575,0.000163,-1.2815),(6545,585,0.000173,-1.2812),(6545,595,0.000184,-1.281),(6545,605,0.000195,-1.2806),(6545,615,0.000204,-1.2803),(6545,625,0.000203,-1.28),(6545,635,0.000202,-1.2796),(6545,645,0.0002,-1.2793),(6545,655,0.0002,-1.2789),(6545,665,0.000206,-1.2786),(6545,675,0.000213,-1.2782),(6545,685,0.000219,-1.2778),(6545,695,0.000232,-1.2775),(6545,705,0.000274,-1.2771),(6545,715,0.000315,-1.2768),(6545,725,0.000357,-1.2765),(6545,735,0.000398,-1.2762),(6545,745,0.000436,-1.2759),(6545,755,0.000473,-1.2755),(6545,765,0.000511,-1.2752),(6545,775,0.000543,-1.2748),(6545,785,0.000557,-1.2744),(6545,795,0.000572,-1.274),(6545,805,0.000586,-1.2736),(6545,815,0.000603,-1.2732),(6545,825,0.000625,-1.2728),(6545,835,0.000648,-1.2724),(6545,845,0.00067,-1.272),(6545,855,0.000697,-1.2716),(6545,865,0.000731,-1.2713),(6545,875,0.000765,-1.2709),(6545,885,0.000799,-1.2705),(6545,895,0.00084,-1.2701),(6545,905,0.000891,-1.2697),(6545,915,0.000943,-1.2693),(6545,925,0.000995,-1.269),(6545,935,0.001062,-1.2686),(6545,945,0.00115,-1.2682),(6545,955,0.001238,-1.2678),(6545,965,0.001326,-1.2675),(6545,975,0.001439,-1.2672),(6545,985,0.001582,-1.2668),(6545,995,0.001725,-1.2665),(6545,1005,0.001868,-1.2663),(6545,1015,0.002039,-1.2661),(6545,1025,0.002237,-1.2659),(6545,1035,0.002436,-1.2657),(6545,1045,0.002635,-1.2655),(6545,1055,0.002878,-1.2654),(6545,1065,0.003157,-1.2652),(6545,1075,0.003436,-1.2651),(6545,1085,0.003716,-1.2651),(6545,1095,0.004123,-1.265),(6545,1105,0.00462,-1.265),(6545,1115,0.005116,-1.2652),(6545,1125,0.005613,-1.2656),(6545,1135,0.006409,-1.266),(6545,1145,0.007383,-1.2664),(6545,1155,0.008357,-1.2673),(6545,1165,0.009331,-1.2685),(6545,1175,0.01108,-1.2697),(6545,1185,0.013215,-1.2709),(6545,1195,0.015349,-1.2732),(6545,1205,0.017484,-1.2761),(6545,1215,0.022423,-1.2789),(6545,1225,0.02852,-1.2817),(6545,1235,0.034617,-1.2866),(6545,1245,0.040714,-1.2921),(6545,1255,0.057486,-1.2977),(6545,1265,0.077863,-1.3033),(6545,1275,0.09824,-1.3048),(6545,1285,0.11862,-1.3052),(6545,1295,0.13309,-1.3055),(6545,1305,0.14596,-1.3058),(6545,1315,0.15884,-1.2832),(6545,1325,0.17171,-1.2551),(6545,1335,0.1056,-1.2271),(6545,1345,0.022929,-1.199),(6545,1355,-0.059739,-1.218),(6545,1365,-0.14241,-1.2456),(6545,1375,-0.15023,-1.2732),(6545,1385,-0.1465,-1.3007),(6545,1395,-0.14278,-1.3047),(6545,1405,-0.13905,-1.3057),(6545,1415,-0.11702,-1.3066),(6545,1425,-0.093092,-1.3075),(6545,1435,-0.069163,-1.3011),(6545,1445,-0.045234,-1.2941),(6545,1455,-0.037579,-1.2871),(6545,1465,-0.030862,-1.28),(6545,1475,-0.024145,-1.2767),(6545,1485,-0.017428,-1.2734),(6545,1495,-0.015154,-1.2702),(6545,1505,-0.012947,-1.267),(6545,1515,-0.01074,-1.2651),(6545,1525,-0.008562,-1.2633),(6545,1535,-0.007564,-1.2615),(6545,1545,-0.006565,-1.2597),(6545,1555,-0.005567,-1.259),(6545,1565,-0.004599,-1.2583),(6545,1575,-0.004071,-1.2576),(6545,1585,-0.003544,-1.2569),(6545,1595,-0.003016,-1.2563),(6545,1605,-0.002515,-1.2557),(6545,1615,-0.002241,-1.2551),(6545,1625,-0.001968,-1.2546),(6545,1635,-0.001694,-1.2544),(6545,1645,-0.001434,-1.2543),(6545,1655,-0.001256,-1.2541),(6545,1665,-0.001078,-1.2539),(6545,1675,-0.0009,-1.2537),(6545,1685,-0.000741,-1.2535),(6545,1695,-0.000668,-1.2533),(6545,1705,-0.000594,-1.2531),(6545,1715,-0.000521,-1.253),(6545,1725,-0.000452,-1.2529),(6545,1735,-0.000398,-1.2527),(6545,1745,-0.000344,-1.2526),(6545,1755,-0.00029,-1.2526),(6545,1765,-0.00024,-1.2525),(6545,1775,-0.000198,-1.2524),(6545,1785,-0.000156,-1.2523),(6545,1795,-0.000114,-1.2523),(6545,1805,-7.4e-05,-1.2522),(6545,1815,-3.8e-05,-1.2521),(6545,1825,-2e-06,-1.252),(6545,1835,3.4e-05,-1.252),(6545,1845,7.8e-05,-1.252),(6545,1855,0.000134,-1.252),(6545,1865,0.00019,-1.2519),(6545,1875,0.000247,-1.2519),(6545,1885,0.000288,-1.2519),(6545,1895,0.000303,-1.2519),(6545,1905,0.000319,-1.2519),(6545,1915,0.000334,-1.2517),(6545,1925,0.000333,-1.2516),(6545,1935,0.000309,-1.2514),(6545,1945,0.000285,-1.2513),(6545,1955,0.000261,-1.2512),(6545,1965,0.000234,-1.2511),(6545,1975,0.000203,-1.251),(6545,1985,0.000172,-1.2508),(6545,1995,0.000141,-1.2507),(6545,2005,0.000123,-1.2505),(6545,2015,0.000117,-1.2504),(6545,2025,0.000111,-1.2502),(6545,2035,0.000106,-1.2501),(6545,2045,0.000104,-1.2499),(6545,2055,0.000105,-1.2498),(6545,2065,0.000106,-1.2496),(6545,2075,0.000107,-1.2494),(6545,2085,0.000104,-1.2492),(6545,2095,9.9e-05,-1.2491),(6545,2105,9.3e-05,-1.2489),(6545,2115,8.8e-05,-1.2487),(6545,2125,0.000104,-1.2484),(6545,2135,0.000133,-1.2482),(6545,2145,0.000162,-1.2481),(6545,2155,0.000191,-1.2479),(6545,2165,0.000223,-1.2478),(6545,2175,0.000256,-1.2476),(6545,2185,0.00029,-1.2474),(6545,2195,0.000323,-1.2471),(6545,2205,0.000345,-1.2469),(6545,2215,0.000361,-1.2466),(6545,2225,0.000378,-1.2464),(6545,2235,0.000394,-1.2461),(6545,2245,0.000408,-1.2458),(6545,2255,0.000421,-1.2455),(6545,2265,0.000435,-1.2452),(6545,2275,0.000448,-1.2449),(6545,2285,0.000461,-1.2446),(6545,2295,0.000475,-1.2443),(6545,2305,0.000488,-1.244),(6545,2315,0.000502,-1.2437),(6545,2325,0.000533,-1.2433),(6545,2335,0.000567,-1.243),(6545,2345,0.000602,-1.2426),(6545,2355,0.000636,-1.2423),(6545,2365,0.000655,-1.2419),(6545,2375,0.000671,-1.2416),(6545,2385,0.000687,-1.2412),(6545,2395,0.000704,-1.2407),(6545,2405,0.000681,-1.2403),(6545,2415,0.000655,-1.2399),(6545,2425,0.000628,-1.2394),(6545,2435,0.000601,-1.2389),(6545,2445,0.00059,-1.2384),(6545,2455,0.00058,-1.2379),(6545,2465,0.00057,-1.2375),(6545,2475,0.00056,-1.237),(6545,2485,0.000575,-1.2366),(6545,2495,0.00059,-1.2361),(6545,2505,0.000606,-1.2357),(6545,2515,0.000621,-1.2352),(6545,2525,0.000646,-1.2347),(6545,2535,0.000671,-1.2342),(6545,2545,0.000696,-1.2337),(6545,2555,0.000722,-1.2332),(6545,2565,0.000766,-1.2326),(6545,2575,0.000809,-1.2321),(6545,2585,0.000852,-1.2316),(6545,2595,0.000895,-1.231),(6545,2605,0.000928,-1.2305),(6545,2615,0.000962,-1.23),(6545,2625,0.000995,-1.2294),(6545,2635,0.001026,-1.2288),(6545,2645,0.001038,-1.2282),(6545,2655,0.001049,-1.2276),(6545,2665,0.001061,-1.227),(6545,2675,0.001071,-1.2263),(6545,2685,0.001074,-1.2257),(6545,2695,0.001078,-1.2251),(6545,2705,0.001081,-1.2244),(6545,2715,0.001082,-1.2238),(6545,2725,0.001074,-1.2231),(6545,2735,0.001065,-1.2224),(6545,2745,0.001057,-1.2217),(6545,2755,0.001051,-1.221),(6545,2765,0.001053,-1.2203),(6545,2775,0.001055,-1.2196),(6545,2785,0.001057,-1.2189),(6545,2795,0.001067,-1.2181),(6545,2805,0.001098,-1.2174),(6545,2815,0.00113,-1.2167),(6545,2825,0.001161,-1.216),(6545,2835,0.00119,-1.2153),(6545,2845,0.001217,-1.2146),(6545,2855,0.001243,-1.2138),(6545,2865,0.001269,-1.213),(6545,2875,0.001282,-1.2123),(6545,2885,0.001272,-1.2115),(6545,2895,0.001262,-1.2106),(6545,2905,0.001252,-1.2098),(6545,2915,0.001237,-1.2089),(6545,2925,0.001217,-1.208),(6545,2935,0.001197,-1.2071),(6545,2945,0.001177,-1.2062),(6545,2955,0.001172,-1.2054),(6545,2965,0.001187,-1.2045),(6545,2975,0.001201,-1.2036),(6545,2985,0.001216,-1.2028),(6545,2995,0.001241,-1.202),(6545,3005,0.001279,-1.2011),(6545,3015,0.001317,-1.2003),(6545,3025,0.001354,-1.1994),(6545,3035,0.001376,-1.1985),(6545,3045,0.001385,-1.1977),(6545,3055,0.001394,-1.1967),(6545,3065,0.001403,-1.1957),(6545,3075,0.001405,-1.1948),(6545,3085,0.001402,-1.1938),(6545,3095,0.001399,-1.1928),(6545,3105,0.001396,-1.1918),(6545,3115,0.001399,-1.1908),(6545,3125,0.001405,-1.1898),(6545,3135,0.001412,-1.1888),(6545,3145,0.001418,-1.1878),(6545,3155,0.001412,-1.1868),(6545,3165,0.0014,-1.1858),(6545,3175,0.001389,-1.1848),(6545,3185,0.001377,-1.1837),(6545,3195,0.001377,-1.1826),(6545,3205,0.001382,-1.1815),(6545,3215,0.001388,-1.1804),(6545,3225,0.001393,-1.1794),(6545,3235,0.001425,-1.1783),(6545,3245,0.001467,-1.1773),(6545,3255,0.001509,-1.1762),(6545,3265,0.00155,-1.1752),(6545,3275,0.001561,-1.1742),(6545,3285,0.001563,-1.1732),(6545,3295,0.001564,-1.172),(6545,3305,0.001566,-1.1709),(6545,3315,0.001554,-1.1697),(6545,3325,0.001538,-1.1685),(6545,3335,0.001523,-1.1674),(6545,3345,0.001507,-1.1662),(6545,3355,0.001537,-1.165),(6545,3365,0.001574,-1.1638),(6545,3375,0.001612,-1.1627),(6545,3385,0.001649,-1.1616),(6545,3395,0.001686,-1.1604),(6545,3405,0.001723,-1.1593),(6545,3415,0.001759,-1.1581),(6545,3425,0.001796,-1.1569),(6545,3435,0.001805,-1.1557),(6545,3445,0.001813,-1.1545),(6545,3455,0.00182,-1.1533),(6545,3465,0.001827,-1.152),(6545,3475,0.001853,-1.1508),(6545,3485,0.00188,-1.1495),(6545,3495,0.001907,-1.1484),(6545,3505,0.001934,-1.1472),(6545,3515,0.001983,-1.146),(6545,3525,0.002032,-1.1448),(6545,3535,0.00208,-1.1436),(6545,3545,0.002129,-1.1424),(6545,3555,0.002165,-1.1412),(6545,3565,0.002202,-1.14),(6545,3575,0.002239,-1.1387),(6545,3585,0.002275,-1.1374),(6545,3595,0.0023,-1.1362),(6545,3605,0.002325,-1.1349),(6545,3615,0.00235,-1.1336),(6545,3625,0.002382,-1.1323),(6545,3635,0.002469,-1.131),(6545,3645,0.002555,-1.1298),(6545,3655,0.002641,-1.1286),(6545,3665,0.002737,-1.1275),(6545,3675,0.002881,-1.1264),(6545,3685,0.003026,-1.1252),(6545,3695,0.003171,-1.1241),(6545,3705,0.003325,-1.123),(6545,3715,0.003519,-1.1219),(6545,3725,0.003712,-1.1209),(6545,3735,0.003905,-1.1198),(6545,3745,0.004125,-1.1188),(6545,3755,0.00443,-1.1178),(6545,3765,0.004734,-1.1168),(6545,3775,0.005039,-1.116),(6545,3785,0.005406,-1.1151),(6545,3795,0.005931,-1.1143),(6545,3805,0.006456,-1.1135),(6545,3815,0.006981,-1.1131),(6545,3825,0.007666,-1.1126),(6545,3835,0.008691,-1.1121),(6545,3845,0.009715,-1.1119),(6545,3855,0.01074,-1.1121),(6545,3865,0.012156,-1.1124),(6545,3875,0.014266,-1.1126),(6545,3885,0.016376,-1.1133),(6545,3895,0.018486,-1.1147),(6545,3905,0.021865,-1.1161),(6545,3915,0.027139,-1.1174),(6545,3925,0.032413,-1.1196),(6545,3935,0.037687,-1.1227),(6545,3945,0.047282,-1.1259),(6545,3955,0.062363,-1.1291),(6545,3965,0.077443,-1.1302),(6545,3975,0.092524,-1.1288),(6545,3985,0.11137,-1.1275),(6545,3995,0.1343,-1.1261),(6545,4005,0.15723,-1.1104),(6545,4015,0.18016,-1.0804),(6545,4025,0.21128,-1.0504),(6545,4035,0.2432,-1.0297),(6545,4045,0.27511,-1.0285),(6545,4055,0.32334,-1.0273),(6545,4065,0.37752,-1.026),(6545,4075,0.4317,-1.024),(6545,4085,0.45628,-1.0221),(6545,4095,0.45706,-1.0201),(6545,4105,0.45785,-1.0182),(6545,4115,0.45863,-1.0162),(6545,4125,0.45942,-1.0143),(6545,4135,0.46021,-1.0123),(6545,4145,0.461,-1.0104),(6545,4155,0.46179,-1.0085),(6545,4165,0.46258,-1.0065),(6545,4175,0.46337,-1.0046),(6545,4185,0.46416,-1.0027),(6545,4195,0.46494,-1.0007),(6545,4205,0.46573,-0.99863),(6545,4215,0.46651,-0.99656),(6545,4225,0.4673,-0.99449),(6545,4235,0.46809,-0.99242),(6545,4245,0.4689,-0.99035),(6545,4255,0.46971,-0.98828),(6545,4265,0.47053,-0.98624),(6545,4275,0.47137,-0.98419),(6545,4285,0.47223,-0.98214),(6545,4295,0.47309,-0.98006),(6545,4305,0.47397,-0.97797),(6545,4315,0.47487,-0.97588),(6545,4325,0.47578,-0.97372),(6545,4335,0.47668,-0.97154),(6545,4345,0.47762,-0.96936),(6545,4355,0.47856,-0.96716),(6545,4365,0.4795,-0.96493),(6545,4375,0.48046,-0.96271),(6545,4385,0.48143,-0.96045),(6545,4395,0.48239,-0.95813),(6545,4405,0.48338,-0.9558),(6545,4415,0.48437,-0.95348),(6545,4425,0.48537,-0.95113),(6545,4435,0.48639,-0.94878),(6545,4445,0.48743,-0.94643),(6545,4455,0.48847,-0.94404),(6545,4465,0.48954,-0.94165),(6545,4475,0.49063,-0.93926),(6545,4485,0.49172,-0.9368),(6545,4495,0.49281,-0.93432),(6545,4505,0.49394,-0.93184),(6545,4515,0.49507,-0.92931),(6545,4525,0.4962,-0.92675),(6545,4535,0.49735,-0.92419),(6545,4545,0.4985,-0.92159),(6545,4555,0.49964,-0.91893),(6545,4565,0.50081,-0.91628),(6545,4575,0.50198,-0.91362),(6545,4585,0.50314,-0.91091),(6545,4595,0.50433,-0.90821),(6545,4605,0.50553,-0.9055),(6545,4615,0.50672,-0.90272),(6545,4625,0.50794,-0.89993),(6545,4635,0.50919,-0.89715),(6545,4645,0.51043,-0.89429),(6545,4655,0.51169,-0.89143),(6545,4665,0.513,-0.88856),(6545,4675,0.5143,-0.88565),(6545,4685,0.51562,-0.88273),(6545,4695,0.51698,-0.8798),(6545,4705,0.51835,-0.87686),(6545,4715,0.51972,-0.87391),(6545,4725,0.52113,-0.87096),(6545,4735,0.52254,-0.86799),(6545,4745,0.52395,-0.865),(6545,4755,0.52537,-0.86201),(6545,4765,0.5268,-0.85899),(6545,4775,0.52823,-0.85588),(6545,4785,0.52967,-0.85277),(6545,4795,0.5311,-0.84966),(6545,4805,0.53254,-0.84641),(6545,4815,0.53398,-0.84316),(6545,4825,0.53542,-0.8399),(6545,4835,0.53686,-0.83659),(6545,4845,0.53831,-0.83327),(6545,4855,0.53978,-0.82996),(6545,4865,0.54125,-0.8266),(6545,4875,0.54273,-0.82324),(6545,4885,0.54423,-0.81987),(6545,4895,0.54573,-0.81646),(6545,4905,0.54723,-0.81302),(6545,4915,0.54877,-0.80957),(6545,4925,0.55031,-0.80611),(6545,4935,0.55185,-0.8026),(6545,4945,0.55343,-0.7991),(6545,4955,0.55501,-0.79558),(6545,4965,0.5566,-0.79203),(6545,4975,0.5582,-0.78848),(6545,4985,0.55981,-0.78493),(6545,4995,0.56142,-0.78131),(6545,5005,0.56304,-0.77769),(6545,5015,0.56466,-0.77407),(6545,5025,0.56628,-0.77038),(6545,5035,0.5679,-0.76666),(6545,5045,0.56952,-0.76295),(6545,5055,0.57114,-0.75918),(6545,5065,0.57277,-0.75538),(6545,5075,0.57439,-0.75158),(6545,5085,0.57602,-0.74776),(6545,5095,0.57765,-0.74392),(6545,5105,0.57929,-0.74007),(6545,5115,0.58094,-0.73621),(6545,5125,0.58259,-0.73233),(6545,5135,0.58425,-0.72845),(6545,5145,0.58591,-0.72456),(6545,5155,0.58758,-0.72059),(6545,5165,0.58924,-0.71662),(6545,5175,0.5909,-0.71265),(6545,5185,0.59255,-0.70858),(6545,5195,0.59421,-0.7045),(6545,5205,0.59585,-0.70042),(6545,5215,0.5975,-0.69629),(6545,5225,0.59914,-0.69213),(6545,5235,0.60078,-0.68798),(6545,5245,0.60242,-0.68381),(6545,5255,0.60407,-0.67961),(6545,5265,0.6057,-0.67542),(6545,5275,0.60733,-0.6712),(6545,5285,0.60897,-0.66693),(6545,5295,0.61059,-0.66265),(6545,5305,0.61222,-0.65837),(6545,5315,0.61384,-0.65403),(6545,5325,0.61546,-0.64969),(6545,5335,0.61708,-0.64535),(6545,5345,0.6187,-0.64101),(6545,5355,0.62033,-0.63667),(6545,5365,0.62197,-0.63233),(6545,5375,0.6236,-0.62799),(6545,5385,0.62523,-0.62365),(6545,5395,0.62685,-0.6193),(6545,5405,0.62846,-0.61489),(6545,5415,0.63008,-0.61045),(6545,5425,0.63165,-0.60601),(6545,5435,0.63322,-0.6015),(6545,5445,0.63479,-0.59693),(6545,5455,0.63632,-0.59235),(6545,5465,0.63785,-0.58776),(6545,5475,0.63939,-0.58314),(6545,5485,0.64092,-0.57852),(6545,5495,0.64245,-0.5739),(6545,5505,0.64398,-0.56926),(6545,5515,0.64551,-0.56462),(6545,5525,0.64706,-0.55998),(6545,5535,0.6486,-0.55531),(6545,5545,0.65015,-0.55063),(6545,5555,0.65169,-0.54596),(6545,5565,0.65323,-0.54123),(6545,5575,0.65477,-0.5365),(6545,5585,0.65629,-0.53176),(6545,5595,0.65781,-0.52698),(6545,5605,0.65933,-0.52218),(6545,5615,0.66081,-0.51737),(6545,5625,0.66228,-0.51253),(6545,5635,0.66376,-0.50763),(6545,5645,0.6652,-0.50272),(6545,5655,0.66664,-0.49781),(6545,5665,0.66808,-0.49283),(6545,5675,0.66952,-0.48786),(6545,5685,0.67095,-0.48289),(6545,5695,0.67239,-0.47794),(6545,5705,0.67382,-0.47298),(6545,5715,0.67525,-0.46803),(6545,5725,0.67668,-0.46309),(6545,5735,0.67809,-0.45815),(6545,5745,0.67948,-0.45321),(6545,5755,0.68087,-0.44822),(6545,5765,0.68226,-0.44321),(6545,5775,0.68359,-0.4382),(6545,5785,0.68492,-0.43314),(6545,5795,0.68625,-0.42804),(6545,5805,0.68753,-0.42294),(6545,5815,0.68881,-0.41783),(6545,5825,0.69008,-0.41272),(6545,5835,0.69132,-0.4076),(6545,5845,0.69255,-0.40248),(6545,5855,0.69378,-0.39731),(6545,5865,0.69499,-0.39215),(6545,5875,0.69618,-0.38698),(6545,5885,0.69737,-0.38175),(6545,5895,0.69855,-0.37652),(6545,5905,0.69972,-0.37129),(6545,5915,0.70088,-0.36606),(6545,5925,0.70204,-0.36083),(6545,5935,0.70319,-0.3556),(6545,5945,0.70433,-0.35037),(6545,5955,0.70547,-0.34514),(6545,5965,0.70656,-0.3399),(6545,5975,0.70764,-0.33464),(6545,5985,0.70873,-0.32934),(6545,5995,0.70976,-0.32403),(6545,6005,0.71078,-0.31872),(6545,6015,0.7118,-0.31338),(6545,6025,0.71279,-0.30805),(6545,6035,0.71376,-0.30271),(6545,6045,0.71473,-0.29736),(6545,6055,0.71569,-0.29201),(6545,6065,0.71663,-0.28666),(6545,6075,0.71757,-0.28125),(6545,6085,0.7185,-0.27583),(6545,6095,0.71941,-0.27042),(6545,6105,0.72032,-0.265),(6545,6115,0.72122,-0.25958),(6545,6125,0.72208,-0.25417),(6545,6135,0.72295,-0.24877),(6545,6145,0.72381,-0.24338),(6545,6155,0.72461,-0.238),(6545,6165,0.72541,-0.23257),(6545,6175,0.7262,-0.22707),(6545,6185,0.72695,-0.22157),(6545,6195,0.72768,-0.21606),(6545,6205,0.72842,-0.21052),(6545,6215,0.72913,-0.20497),(6545,6225,0.72983,-0.19942),(6545,6235,0.73053,-0.19392),(6545,6245,0.73121,-0.18843),(6545,6255,0.73187,-0.18294),(6545,6265,0.73252,-0.17744),(6545,6275,0.73315,-0.17194),(6545,6285,0.73375,-0.16644),(6545,6295,0.73434,-0.16095),(6545,6305,0.73492,-0.15547),(6545,6315,0.73544,-0.14998),(6545,6325,0.73596,-0.14449),(6545,6335,0.73647,-0.13901),(6545,6345,0.73693,-0.13352),(6545,6355,0.73738,-0.12796),(6545,6365,0.73783,-0.12226),(6545,6375,0.73825,-0.11656),(6545,6385,0.73867,-0.11088),(6545,6395,0.73908,-0.10535),(6545,6405,0.73948,-0.099815),(6545,6415,0.73987,-0.09428),(6545,6425,0.74026,-0.088737),(6545,6435,0.74063,-0.083194),(6545,6445,0.74095,-0.077651),(6545,6455,0.74128,-0.072088),(6545,6465,0.74159,-0.066519),(6545,6475,0.74184,-0.06095),(6545,6485,0.74209,-0.055336),(6545,6495,0.74234,-0.049692),(6545,6505,0.74253,-0.044048),(6545,6515,0.74272,-0.038413),(6545,6525,0.74291,-0.03279),(6545,6535,0.74307,-0.027168),(6545,6545,0.74323,-0.021571),(6545,6555,0.74338,-0.016053),(6545,6565,0.74352,-0.010535),(6545,6575,0.74364,-0.005016),(6545,6585,0.74377,0.000522),(6545,6595,0.63264,0.00606),(6545,6605,0.39866,0.011598),(6545,6615,0.16468,0.012317),(6545,6625,0.000214,0.012416),(6545,6635,0.000261,0.012516),(6545,6645,0.000309,0.012545),(6545,6655,0.000356,0.012544),(6545,6665,0.000403,0.012544),(6545,6675,0.000451,0.012543),(6545,6685,0.000498,0.012541),(6545,6695,0.000545,0.012539),(6545,6705,0.000592,0.012537),(6545,6715,0.000639,0.012533),(6545,6725,0.000686,0.012529),(6545,6735,0.000732,0.012525),(6545,6745,0.000779,0.01252),(6545,6755,0.000825,0.012514),(6545,6765,0.000871,0.012509),(6545,6775,0.000917,0.012501),(6545,6785,0.000963,0.012494),(6545,6795,0.001009,0.012487),(6545,6805,0.001054,0.012478),(6545,6815,0.001099,0.012469),(6545,6825,0.001144,0.01246),(6545,6835,0.001188,0.01245),(6545,6845,0.001233,0.012439),(6545,6855,0.001277,0.012428),(6545,6865,0.00132,0.012417),(6545,6875,0.001364,0.012405),(6545,6885,0.001407,0.012392),(6545,6895,0.00145,0.01238),(6545,6905,0.001493,0.012366),(6545,6915,0.001535,0.012352),(6545,6925,0.001577,0.012338),(6545,6935,0.001618,0.012322),(6545,6945,0.00166,0.012307),(6545,6955,0.0017,0.012292),(6545,6965,0.001741,0.012275),(6545,6975,0.001781,0.012259),(6545,6985,0.001821,0.012242),(6555,5,7e-06,-1.2901),(6555,15,2.1e-05,-1.2901),(6555,25,3.9e-05,-1.2902),(6555,35,6e-05,-1.2903),(6555,45,8.2e-05,-1.2903),(6555,55,0.000103,-1.2903),(6555,65,0.000108,-1.2903),(6555,75,0.000101,-1.2903),(6555,85,9.3e-05,-1.2903),(6555,95,8.5e-05,-1.2902),(6555,105,6.7e-05,-1.2902),(6555,115,4.1e-05,-1.2901),(6555,125,1.6e-05,-1.29),(6555,135,-1e-05,-1.29),(6555,145,-1.4e-05,-1.2899),(6555,155,-6e-06,-1.2898),(6555,165,2e-06,-1.2897),(6555,175,1.1e-05,-1.2896),(6555,185,2.5e-05,-1.2896),(6555,195,4.4e-05,-1.2895),(6555,205,6.2e-05,-1.2894),(6555,215,8e-05,-1.2892),(6555,225,5.6e-05,-1.289),(6555,235,1.6e-05,-1.2889),(6555,245,-2.5e-05,-1.2887),(6555,255,-6.5e-05,-1.2885),(6555,265,-9.2e-05,-1.2884),(6555,275,-0.000115,-1.2882),(6555,285,-0.000137,-1.2881),(6555,295,-0.00016,-1.2879),(6555,305,-0.000162,-1.2877),(6555,315,-0.000159,-1.2875),(6555,325,-0.000156,-1.2873),(6555,335,-0.000153,-1.2872),(6555,345,-0.000154,-1.287),(6555,355,-0.000157,-1.2868),(6555,365,-0.00016,-1.2867),(6555,375,-0.000163,-1.2865),(6555,385,-0.000165,-1.2863),(6555,395,-0.000168,-1.2861),(6555,405,-0.000171,-1.2858),(6555,415,-0.000173,-1.2856),(6555,425,-0.000168,-1.2853),(6555,435,-0.000161,-1.285),(6555,445,-0.000155,-1.2848),(6555,455,-0.000148,-1.2846),(6555,465,-0.000114,-1.2844),(6555,475,-7.8e-05,-1.2842),(6555,485,-4.3e-05,-1.284),(6555,495,-7e-06,-1.2837),(6555,505,1.5e-05,-1.2834),(6555,515,3.8e-05,-1.2831),(6555,525,6.1e-05,-1.2829),(6555,535,8.3e-05,-1.2826),(6555,545,0.0001,-1.2823),(6555,555,0.000116,-1.282),(6555,565,0.000133,-1.2818),(6555,575,0.000149,-1.2815),(6555,585,0.000158,-1.2812),(6555,595,0.000168,-1.2809),(6555,605,0.000178,-1.2806),(6555,615,0.000186,-1.2803),(6555,625,0.000181,-1.28),(6555,635,0.000177,-1.2796),(6555,645,0.000172,-1.2793),(6555,655,0.000168,-1.2789),(6555,665,0.000167,-1.2786),(6555,675,0.000166,-1.2782),(6555,685,0.000165,-1.2778),(6555,695,0.000173,-1.2775),(6555,705,0.000213,-1.2771),(6555,715,0.000253,-1.2767),(6555,725,0.000293,-1.2764),(6555,735,0.000334,-1.2761),(6555,745,0.000379,-1.2758),(6555,755,0.000423,-1.2755),(6555,765,0.000468,-1.2751),(6555,775,0.000505,-1.2748),(6555,785,0.000525,-1.2744),(6555,795,0.000544,-1.274),(6555,805,0.000563,-1.2736),(6555,815,0.000584,-1.2732),(6555,825,0.00061,-1.2728),(6555,835,0.000636,-1.2724),(6555,845,0.000662,-1.272),(6555,855,0.000693,-1.2716),(6555,865,0.000731,-1.2712),(6555,875,0.000769,-1.2709),(6555,885,0.000807,-1.2705),(6555,895,0.000853,-1.2701),(6555,905,0.000912,-1.2697),(6555,915,0.000971,-1.2693),(6555,925,0.00103,-1.2689),(6555,935,0.001107,-1.2685),(6555,945,0.001208,-1.2681),(6555,955,0.001309,-1.2678),(6555,965,0.001411,-1.2674),(6555,975,0.001542,-1.2671),(6555,985,0.001708,-1.2667),(6555,995,0.001874,-1.2664),(6555,1005,0.00204,-1.2662),(6555,1015,0.002242,-1.266),(6555,1025,0.00248,-1.2657),(6555,1035,0.002718,-1.2655),(6555,1045,0.002956,-1.2654),(6555,1055,0.00325,-1.2652),(6555,1065,0.003588,-1.265),(6555,1075,0.003927,-1.2649),(6555,1085,0.004266,-1.2648),(6555,1095,0.004754,-1.2648),(6555,1105,0.005347,-1.2647),(6555,1115,0.00594,-1.2649),(6555,1125,0.006533,-1.2652),(6555,1135,0.007493,-1.2656),(6555,1145,0.008671,-1.2659),(6555,1155,0.009849,-1.2667),(6555,1165,0.011027,-1.2678),(6555,1175,0.013163,-1.2688),(6555,1185,0.015774,-1.2699),(6555,1195,0.018385,-1.2719),(6555,1205,0.020997,-1.2743),(6555,1215,0.026677,-1.2767),(6555,1225,0.033624,-1.2791),(6555,1235,0.04057,-1.2827),(6555,1245,0.047517,-1.2869),(6555,1255,0.063587,-1.291),(6555,1265,0.082738,-1.2951),(6555,1275,0.10189,-1.2948),(6555,1285,0.12104,-1.293),(6555,1295,0.12876,-1.2913),(6555,1305,0.13339,-1.2896),(6555,1315,0.13802,-1.27),(6555,1325,0.14265,-1.2461),(6555,1335,0.087766,-1.2222),(6555,1345,0.020412,-1.1984),(6555,1355,-0.046943,-1.2142),(6555,1365,-0.1143,-1.2373),(6555,1375,-0.12686,-1.2603),(6555,1385,-0.13097,-1.2834),(6555,1395,-0.13508,-1.2887),(6555,1405,-0.1392,-1.2917),(6555,1415,-0.1195,-1.2947),(6555,1425,-0.097331,-1.2977),(6555,1435,-0.075163,-1.293),(6555,1445,-0.052994,-1.2876),(6555,1455,-0.044492,-1.2823),(6555,1465,-0.036776,-1.2769),(6555,1475,-0.029061,-1.2741),(6555,1485,-0.021346,-1.2713),(6555,1495,-0.018512,-1.2686),(6555,1505,-0.015753,-1.2659),(6555,1515,-0.012993,-1.2642),(6555,1525,-0.010272,-1.2625),(6555,1535,-0.009052,-1.2608),(6555,1545,-0.007833,-1.2592),(6555,1555,-0.006613,-1.2585),(6555,1565,-0.005431,-1.2579),(6555,1575,-0.004785,-1.2572),(6555,1585,-0.00414,-1.2566),(6555,1595,-0.003495,-1.256),(6555,1605,-0.002882,-1.2555),(6555,1615,-0.002557,-1.2549),(6555,1625,-0.002231,-1.2544),(6555,1635,-0.001905,-1.2543),(6555,1645,-0.001595,-1.2541),(6555,1655,-0.001379,-1.254),(6555,1665,-0.001162,-1.2538),(6555,1675,-0.000946,-1.2536),(6555,1685,-0.000752,-1.2534),(6555,1695,-0.000659,-1.2532),(6555,1705,-0.000566,-1.2531),(6555,1715,-0.000473,-1.2529),(6555,1725,-0.000387,-1.2528),(6555,1735,-0.000325,-1.2527),(6555,1745,-0.000262,-1.2526),(6555,1755,-0.000199,-1.2525),(6555,1765,-0.000141,-1.2525),(6555,1775,-9.6e-05,-1.2524),(6555,1785,-5.2e-05,-1.2523),(6555,1795,-7e-06,-1.2522),(6555,1805,3.4e-05,-1.2522),(6555,1815,6.4e-05,-1.2521),(6555,1825,9.4e-05,-1.252),(6555,1835,0.000125,-1.252),(6555,1845,0.000165,-1.252),(6555,1855,0.000223,-1.2519),(6555,1865,0.000282,-1.2519),(6555,1875,0.000341,-1.2519),(6555,1885,0.000388,-1.2519),(6555,1895,0.000414,-1.2519),(6555,1905,0.000441,-1.2519),(6555,1915,0.000467,-1.2517),(6555,1925,0.000472,-1.2516),(6555,1935,0.000448,-1.2514),(6555,1945,0.000424,-1.2513),(6555,1955,0.000401,-1.2512),(6555,1965,0.00037,-1.2511),(6555,1975,0.000332,-1.251),(6555,1985,0.000294,-1.2509),(6555,1995,0.000256,-1.2507),(6555,2005,0.000235,-1.2505),(6555,2015,0.000229,-1.2504),(6555,2025,0.000224,-1.2502),(6555,2035,0.000219,-1.2501),(6555,2045,0.000219,-1.2499),(6555,2055,0.000224,-1.2498),(6555,2065,0.00023,-1.2496),(6555,2075,0.000235,-1.2494),(6555,2085,0.000232,-1.2492),(6555,2095,0.000223,-1.2491),(6555,2105,0.000213,-1.2489),(6555,2115,0.000204,-1.2487),(6555,2125,0.000215,-1.2484),(6555,2135,0.000238,-1.2482),(6555,2145,0.000262,-1.248),(6555,2155,0.000285,-1.2479),(6555,2165,0.000316,-1.2477),(6555,2175,0.000351,-1.2476),(6555,2185,0.000385,-1.2474),(6555,2195,0.00042,-1.2471),(6555,2205,0.000443,-1.2469),(6555,2215,0.000461,-1.2466),(6555,2225,0.00048,-1.2463),(6555,2235,0.000498,-1.2461),(6555,2245,0.00051,-1.2458),(6555,2255,0.00052,-1.2455),(6555,2265,0.00053,-1.2452),(6555,2275,0.00054,-1.2449),(6555,2285,0.00055,-1.2446),(6555,2295,0.000559,-1.2443),(6555,2305,0.000568,-1.244),(6555,2315,0.000577,-1.2436),(6555,2325,0.000611,-1.2433),(6555,2335,0.000649,-1.2429),(6555,2345,0.000687,-1.2426),(6555,2355,0.000726,-1.2422),(6555,2365,0.000752,-1.2419),(6555,2375,0.000776,-1.2416),(6555,2385,0.0008,-1.2412),(6555,2395,0.000824,-1.2407),(6555,2405,0.000799,-1.2403),(6555,2415,0.000768,-1.2399),(6555,2425,0.000737,-1.2394),(6555,2435,0.000705,-1.2389),(6555,2445,0.000681,-1.2384),(6555,2455,0.000658,-1.2379),(6555,2465,0.000634,-1.2375),(6555,2475,0.000611,-1.237),(6555,2485,0.000616,-1.2366),(6555,2495,0.000622,-1.2361),(6555,2505,0.000628,-1.2357),(6555,2515,0.000634,-1.2352),(6555,2525,0.000657,-1.2347),(6555,2535,0.000679,-1.2342),(6555,2545,0.000701,-1.2337),(6555,2555,0.000725,-1.2331),(6555,2565,0.000775,-1.2326),(6555,2575,0.000824,-1.2321),(6555,2585,0.000874,-1.2315),(6555,2595,0.000923,-1.231),(6555,2605,0.000968,-1.2305),(6555,2615,0.001013,-1.2299),(6555,2625,0.001058,-1.2293),(6555,2635,0.0011,-1.2288),(6555,2645,0.001118,-1.2282),(6555,2655,0.001136,-1.2276),(6555,2665,0.001155,-1.2269),(6555,2675,0.00117,-1.2263),(6555,2685,0.001174,-1.2257),(6555,2695,0.001177,-1.2251),(6555,2705,0.00118,-1.2244),(6555,2715,0.001179,-1.2238),(6555,2725,0.001165,-1.2231),(6555,2735,0.00115,-1.2225),(6555,2745,0.001135,-1.2217),(6555,2755,0.001121,-1.221),(6555,2765,0.001113,-1.2203),(6555,2775,0.001104,-1.2196),(6555,2785,0.001095,-1.2189),(6555,2795,0.001097,-1.2181),(6555,2805,0.001126,-1.2174),(6555,2815,0.001154,-1.2167),(6555,2825,0.001183,-1.216),(6555,2835,0.001214,-1.2153),(6555,2845,0.001248,-1.2145),(6555,2855,0.001282,-1.2138),(6555,2865,0.001317,-1.213),(6555,2875,0.001337,-1.2122),(6555,2885,0.001332,-1.2115),(6555,2895,0.001328,-1.2106),(6555,2905,0.001323,-1.2098),(6555,2915,0.00131,-1.2089),(6555,2925,0.001284,-1.208),(6555,2935,0.001258,-1.2071),(6555,2945,0.001233,-1.2063),(6555,2955,0.001221,-1.2054),(6555,2965,0.001227,-1.2045),(6555,2975,0.001233,-1.2036),(6555,2985,0.001239,-1.2028),(6555,2995,0.001261,-1.2019),(6555,3005,0.001299,-1.2011),(6555,3015,0.001337,-1.2002),(6555,3025,0.001375,-1.1994),(6555,3035,0.0014,-1.1985),(6555,3045,0.001412,-1.1976),(6555,3055,0.001425,-1.1967),(6555,3065,0.001437,-1.1957),(6555,3075,0.001441,-1.1948),(6555,3085,0.00144,-1.1938),(6555,3095,0.001438,-1.1928),(6555,3105,0.001436,-1.1918),(6555,3115,0.001442,-1.1908),(6555,3125,0.001452,-1.1898),(6555,3135,0.001462,-1.1888),(6555,3145,0.001472,-1.1878),(6555,3155,0.001469,-1.1868),(6555,3165,0.001459,-1.1858),(6555,3175,0.001449,-1.1848),(6555,3185,0.001439,-1.1837),(6555,3195,0.001437,-1.1826),(6555,3205,0.00144,-1.1815),(6555,3215,0.001443,-1.1804),(6555,3225,0.001447,-1.1794),(6555,3235,0.00148,-1.1783),(6555,3245,0.001524,-1.1772),(6555,3255,0.001568,-1.1762),(6555,3265,0.001613,-1.1752),(6555,3275,0.001624,-1.1742),(6555,3285,0.001625,-1.1732),(6555,3295,0.001626,-1.1721),(6555,3305,0.001626,-1.1709),(6555,3315,0.001607,-1.1697),(6555,3325,0.001582,-1.1686),(6555,3335,0.001557,-1.1674),(6555,3345,0.001533,-1.1662),(6555,3355,0.001562,-1.165),(6555,3365,0.001602,-1.1638),(6555,3375,0.001641,-1.1626),(6555,3385,0.001681,-1.1615),(6555,3395,0.001728,-1.1604),(6555,3405,0.001776,-1.1593),(6555,3415,0.001824,-1.1581),(6555,3425,0.001872,-1.1569),(6555,3435,0.001882,-1.1557),(6555,3445,0.001889,-1.1545),(6555,3455,0.001897,-1.1533),(6555,3465,0.001904,-1.152),(6555,3475,0.001923,-1.1508),(6555,3485,0.001943,-1.1495),(6555,3495,0.001962,-1.1483),(6555,3505,0.001982,-1.1472),(6555,3515,0.00203,-1.146),(6555,3525,0.002078,-1.1448),(6555,3535,0.002126,-1.1436),(6555,3545,0.002174,-1.1424),(6555,3555,0.002217,-1.1412),(6555,3565,0.00226,-1.14),(6555,3575,0.002303,-1.1387),(6555,3585,0.002345,-1.1374),(6555,3595,0.002374,-1.1362),(6555,3605,0.002402,-1.1349),(6555,3615,0.002431,-1.1336),(6555,3625,0.002467,-1.1323),(6555,3635,0.002562,-1.131),(6555,3645,0.002657,-1.1297),(6555,3655,0.002752,-1.1286),(6555,3665,0.002859,-1.1274),(6555,3675,0.003029,-1.1263),(6555,3685,0.003199,-1.1251),(6555,3695,0.003369,-1.124),(6555,3705,0.003551,-1.1229),(6555,3715,0.003783,-1.1218),(6555,3725,0.004014,-1.1207),(6555,3735,0.004246,-1.1197),(6555,3745,0.004509,-1.1186),(6555,3755,0.004873,-1.1176),(6555,3765,0.005237,-1.1166),(6555,3775,0.005602,-1.1157),(6555,3785,0.006038,-1.1148),(6555,3795,0.006657,-1.1139),(6555,3805,0.007276,-1.1131),(6555,3815,0.007896,-1.1126),(6555,3825,0.008706,-1.112),(6555,3835,0.009916,-1.1115),(6555,3845,0.011127,-1.1111),(6555,3855,0.012338,-1.1112),(6555,3865,0.014005,-1.1112),(6555,3875,0.016476,-1.1112),(6555,3885,0.018948,-1.1116),(6555,3895,0.021419,-1.1125),(6555,3905,0.025225,-1.1134),(6555,3915,0.031023,-1.1143),(6555,3925,0.036822,-1.1156),(6555,3935,0.042621,-1.1175),(6555,3945,0.052037,-1.1195),(6555,3955,0.066046,-1.1214),(6555,3965,0.080055,-1.1211),(6555,3975,0.094064,-1.1182),(6555,3985,0.10793,-1.1152),(6555,3995,0.12165,-1.1123),(6555,4005,0.13537,-1.0981),(6555,4015,0.1491,-1.0727),(6555,4025,0.18796,-1.0473),(6555,4035,0.22928,-1.0297),(6555,4045,0.27061,-1.0285),(6555,4055,0.32109,-1.0273),(6555,4065,0.37491,-1.026),(6555,4075,0.42872,-1.0241),(6555,4085,0.45314,-1.0221),(6555,4095,0.45393,-1.0202),(6555,4105,0.45472,-1.0182),(6555,4115,0.45551,-1.0163),(6555,4125,0.4563,-1.0143),(6555,4135,0.45709,-1.0124),(6555,4145,0.45788,-1.0105),(6555,4155,0.45866,-1.0085),(6555,4165,0.45945,-1.0066),(6555,4175,0.46023,-1.0047),(6555,4185,0.46101,-1.0028),(6555,4195,0.46179,-1.0008),(6555,4205,0.46257,-0.99871),(6555,4215,0.46334,-0.99664),(6555,4225,0.46411,-0.99457),(6555,4235,0.46489,-0.9925),(6555,4245,0.46568,-0.99043),(6555,4255,0.46648,-0.98836),(6555,4265,0.46728,-0.98631),(6555,4275,0.4681,-0.98425),(6555,4285,0.46894,-0.9822),(6555,4295,0.46978,-0.98011),(6555,4305,0.47064,-0.97801),(6555,4315,0.47153,-0.97591),(6555,4325,0.47241,-0.97376),(6555,4335,0.4733,-0.97157),(6555,4345,0.47422,-0.96939),(6555,4355,0.47514,-0.96718),(6555,4365,0.47606,-0.96496),(6555,4375,0.47701,-0.96273),(6555,4385,0.47795,-0.96047),(6555,4395,0.4789,-0.95815),(6555,4405,0.47987,-0.95583),(6555,4415,0.48084,-0.9535),(6555,4425,0.48181,-0.95114),(6555,4435,0.48281,-0.94879),(6555,4445,0.48383,-0.94643),(6555,4455,0.48485,-0.94403),(6555,4465,0.4859,-0.94163),(6555,4475,0.48697,-0.93923),(6555,4485,0.48804,-0.93676),(6555,4495,0.48912,-0.93428),(6555,4505,0.49024,-0.93179),(6555,4515,0.49135,-0.92926),(6555,4525,0.49247,-0.92669),(6555,4535,0.49361,-0.92413),(6555,4545,0.49475,-0.92153),(6555,4555,0.49589,-0.91888),(6555,4565,0.49704,-0.91623),(6555,4575,0.49819,-0.91357),(6555,4585,0.49935,-0.91087),(6555,4595,0.50052,-0.90817),(6555,4605,0.5017,-0.90545),(6555,4615,0.50287,-0.90267),(6555,4625,0.50407,-0.89989),(6555,4635,0.50528,-0.8971),(6555,4645,0.50649,-0.89423),(6555,4655,0.50773,-0.89136),(6555,4665,0.509,-0.88848),(6555,4675,0.51027,-0.88556),(6555,4685,0.51155,-0.88261),(6555,4695,0.51288,-0.87967),(6555,4705,0.51422,-0.87672),(6555,4715,0.51555,-0.87375),(6555,4725,0.51694,-0.87079),(6555,4735,0.51833,-0.86781),(6555,4745,0.51972,-0.86482),(6555,4755,0.52114,-0.86182),(6555,4765,0.52256,-0.8588),(6555,4775,0.52398,-0.8557),(6555,4785,0.52541,-0.85259),(6555,4795,0.52683,-0.84948),(6555,4805,0.52826,-0.84623),(6555,4815,0.52969,-0.84299),(6555,4825,0.53112,-0.83974),(6555,4835,0.53254,-0.83643),(6555,4845,0.53397,-0.83311),(6555,4855,0.53542,-0.82979),(6555,4865,0.53686,-0.82644),(6555,4875,0.5383,-0.82307),(6555,4885,0.53977,-0.8197),(6555,4895,0.54123,-0.81628),(6555,4905,0.54269,-0.81283),(6555,4915,0.54419,-0.80938),(6555,4925,0.5457,-0.8059),(6555,4935,0.5472,-0.80238),(6555,4945,0.54874,-0.79886),(6555,4955,0.5503,-0.79533),(6555,4965,0.55185,-0.79177),(6555,4975,0.55343,-0.78822),(6555,4985,0.55501,-0.78466),(6555,4995,0.5566,-0.78103),(6555,5005,0.55819,-0.77741),(6555,5015,0.5598,-0.77379),(6555,5025,0.5614,-0.77009),(6555,5035,0.563,-0.76638),(6555,5045,0.5646,-0.76267),(6555,5055,0.5662,-0.7589),(6555,5065,0.5678,-0.7551),(6555,5075,0.5694,-0.7513),(6555,5085,0.57101,-0.74748),(6555,5095,0.57261,-0.74363),(6555,5105,0.57423,-0.73978),(6555,5115,0.57585,-0.73592),(6555,5125,0.57747,-0.73203),(6555,5135,0.5791,-0.72814),(6555,5145,0.58074,-0.72424),(6555,5155,0.58239,-0.72027),(6555,5165,0.58403,-0.71629),(6555,5175,0.58567,-0.71232),(6555,5185,0.58731,-0.70825),(6555,5195,0.58895,-0.70417),(6555,5205,0.59058,-0.7001),(6555,5215,0.59221,-0.69596),(6555,5225,0.59384,-0.6918),(6555,5235,0.59547,-0.68765),(6555,5245,0.5971,-0.68347),(6555,5255,0.59873,-0.67928),(6555,5265,0.60035,-0.67509),(6555,5275,0.60197,-0.67087),(6555,5285,0.60359,-0.6666),(6555,5295,0.60519,-0.66234),(6555,5305,0.60678,-0.65805),(6555,5315,0.60838,-0.65371),(6555,5325,0.60997,-0.64937),(6555,5335,0.61156,-0.64503),(6555,5345,0.61315,-0.64068),(6555,5355,0.61475,-0.63633),(6555,5365,0.61637,-0.63198),(6555,5375,0.61798,-0.62763),(6555,5385,0.61959,-0.62328),(6555,5395,0.6212,-0.61893),(6555,5405,0.62281,-0.61453),(6555,5415,0.62441,-0.61009),(6555,5425,0.62597,-0.60566),(6555,5435,0.62753,-0.60117),(6555,5445,0.62909,-0.59661),(6555,5455,0.6306,-0.59204),(6555,5465,0.6321,-0.58747),(6555,5475,0.63361,-0.58284),(6555,5485,0.6351,-0.57822),(6555,5495,0.63659,-0.5736),(6555,5505,0.63808,-0.56894),(6555,5515,0.63958,-0.56429),(6555,5525,0.64109,-0.55964),(6555,5535,0.6426,-0.55496),(6555,5545,0.64411,-0.55026),(6555,5555,0.64564,-0.54557),(6555,5565,0.64717,-0.54084),(6555,5575,0.64869,-0.5361),(6555,5585,0.65021,-0.53136),(6555,5595,0.65172,-0.52658),(6555,5605,0.65324,-0.52179),(6555,5615,0.6547,-0.51699),(6555,5625,0.65617,-0.51215),(6555,5635,0.65764,-0.50726),(6555,5645,0.65907,-0.50236),(6555,5655,0.66049,-0.49745),(6555,5665,0.66191,-0.49247),(6555,5675,0.66332,-0.48749),(6555,5685,0.66473,-0.48252),(6555,5695,0.66614,-0.47755),(6555,5705,0.66755,-0.47259),(6555,5715,0.66896,-0.46763),(6555,5725,0.67038,-0.46268),(6555,5735,0.67178,-0.45774),(6555,5745,0.67317,-0.4528),(6555,5755,0.67455,-0.44781),(6555,5765,0.67593,-0.44281),(6555,5775,0.67726,-0.43781),(6555,5785,0.67858,-0.43276),(6555,5795,0.67991,-0.42767),(6555,5805,0.68118,-0.42258),(6555,5815,0.68245,-0.41748),(6555,5825,0.68371,-0.41238),(6555,5835,0.68494,-0.40727),(6555,5845,0.68615,-0.40215),(6555,5855,0.68736,-0.39699),(6555,5865,0.68855,-0.39183),(6555,5875,0.68971,-0.38667),(6555,5885,0.69088,-0.38144),(6555,5895,0.69203,-0.3762),(6555,5905,0.69317,-0.37097),(6555,5915,0.69431,-0.36574),(6555,5925,0.69545,-0.3605),(6555,5935,0.69657,-0.35526),(6555,5945,0.6977,-0.35003),(6555,5955,0.69882,-0.3448),(6555,5965,0.6999,-0.33956),(6555,5975,0.70098,-0.3343),(6555,5985,0.70206,-0.32901),(6555,5995,0.70309,-0.32372),(6555,6005,0.7041,-0.31841),(6555,6015,0.70512,-0.31308),(6555,6025,0.7061,-0.30775),(6555,6035,0.70707,-0.30242),(6555,6045,0.70803,-0.29707),(6555,6055,0.70898,-0.29172),(6555,6065,0.70991,-0.28637),(6555,6075,0.71084,-0.28096),(6555,6085,0.71176,-0.27554),(6555,6095,0.71265,-0.27012),(6555,6105,0.71355,-0.2647),(6555,6115,0.71444,-0.25929),(6555,6125,0.7153,-0.25387),(6555,6135,0.71615,-0.24848),(6555,6145,0.71701,-0.2431),(6555,6155,0.7178,-0.23772),(6555,6165,0.71859,-0.2323),(6555,6175,0.71938,-0.22682),(6555,6185,0.72012,-0.22133),(6555,6195,0.72084,-0.21583),(6555,6205,0.72156,-0.21027),(6555,6215,0.72227,-0.20472),(6555,6225,0.72296,-0.19917),(6555,6235,0.72365,-0.19368),(6555,6245,0.72432,-0.18819),(6555,6255,0.72496,-0.18269),(6555,6265,0.72561,-0.1772),(6555,6275,0.72624,-0.17171),(6555,6285,0.72683,-0.16622),(6555,6295,0.72742,-0.16074),(6555,6305,0.728,-0.15526),(6555,6315,0.72851,-0.14979),(6555,6325,0.72903,-0.14431),(6555,6335,0.72955,-0.13883),(6555,6345,0.73,-0.13335),(6555,6355,0.73044,-0.1278),(6555,6365,0.73088,-0.1221),(6555,6375,0.7313,-0.1164),(6555,6385,0.73171,-0.11073),(6555,6395,0.73211,-0.10518),(6555,6405,0.73251,-0.099643),(6555,6415,0.73289,-0.094101),(6555,6425,0.73328,-0.088562),(6555,6435,0.73364,-0.083023),(6555,6445,0.73397,-0.077485),(6555,6455,0.7343,-0.07193),(6555,6465,0.73461,-0.066372),(6555,6475,0.73487,-0.060813),(6555,6485,0.73512,-0.055207),(6555,6495,0.73538,-0.049571),(6555,6505,0.73557,-0.043934),(6555,6515,0.73576,-0.038304),(6555,6525,0.73596,-0.032683),(6555,6535,0.73611,-0.027061),(6555,6545,0.73626,-0.021464),(6555,6555,0.73641,-0.015941),(6555,6565,0.73655,-0.010418),(6555,6575,0.73667,-0.004894),(6555,6585,0.7368,0.000637),(6555,6595,0.62671,0.006168),(6555,6605,0.39492,0.011699),(6555,6615,0.16314,0.012402),(6555,6625,0.000212,0.012485),(6555,6635,0.00026,0.012569),(6555,6645,0.000308,0.012593),(6555,6655,0.000356,0.012593),(6555,6665,0.000404,0.012592),(6555,6675,0.000451,0.012591),(6555,6685,0.000499,0.012589),(6555,6695,0.000547,0.012587),(6555,6705,0.000594,0.012585),(6555,6715,0.000642,0.012581),(6555,6725,0.000689,0.012577),(6555,6735,0.000736,0.012573),(6555,6745,0.000783,0.012567),(6555,6755,0.00083,0.012561),(6555,6765,0.000877,0.012555),(6555,6775,0.000923,0.012548),(6555,6785,0.000969,0.01254),(6555,6795,0.001015,0.012533),(6555,6805,0.001061,0.012524),(6555,6815,0.001107,0.012515),(6555,6825,0.001152,0.012505),(6555,6835,0.001197,0.012495),(6555,6845,0.001242,0.012484),(6555,6855,0.001286,0.012473),(6555,6865,0.001331,0.012461),(6555,6875,0.001375,0.012449),(6555,6885,0.001418,0.012436),(6555,6895,0.001461,0.012423),(6555,6905,0.001505,0.012409),(6555,6915,0.001547,0.012394),(6555,6925,0.001589,0.01238),(6555,6935,0.001631,0.012364),(6555,6945,0.001673,0.012349),(6555,6955,0.001714,0.012333),(6555,6965,0.001755,0.012316),(6555,6975,0.001796,0.012299),(6555,6985,0.001836,0.012282),(6565,5,2e-06,-1.29),(6565,15,7e-06,-1.2901),(6565,25,1.9e-05,-1.2902),(6565,35,3.8e-05,-1.2903),(6565,45,5.8e-05,-1.2903),(6565,55,7.7e-05,-1.2903),(6565,65,8.4e-05,-1.2903),(6565,75,8e-05,-1.2903),(6565,85,7.6e-05,-1.2903),(6565,95,7.3e-05,-1.2902),(6565,105,5.9e-05,-1.2902),(6565,115,3.8e-05,-1.2902),(6565,125,1.7e-05,-1.2901),(6565,135,-4e-06,-1.29),(6565,145,-9e-06,-1.2899),(6565,155,-5e-06,-1.2898),(6565,165,-2e-06,-1.2897),(6565,175,2e-06,-1.2896),(6565,185,1.9e-05,-1.2896),(6565,195,4.2e-05,-1.2895),(6565,205,6.5e-05,-1.2894),(6565,215,8.8e-05,-1.2892),(6565,225,6.9e-05,-1.2891),(6565,235,3.3e-05,-1.2889),(6565,245,-3e-06,-1.2887),(6565,255,-3.9e-05,-1.2886),(6565,265,-6.8e-05,-1.2884),(6565,275,-9.5e-05,-1.2883),(6565,285,-0.000121,-1.2881),(6565,295,-0.000148,-1.2879),(6565,305,-0.000153,-1.2877),(6565,315,-0.000152,-1.2875),(6565,325,-0.000151,-1.2873),(6565,335,-0.000151,-1.2872),(6565,345,-0.000153,-1.287),(6565,355,-0.000155,-1.2868),(6565,365,-0.000158,-1.2867),(6565,375,-0.00016,-1.2865),(6565,385,-0.000163,-1.2863),(6565,395,-0.000166,-1.2861),(6565,405,-0.000168,-1.2858),(6565,415,-0.000171,-1.2856),(6565,425,-0.00017,-1.2853),(6565,435,-0.00017,-1.285),(6565,445,-0.000169,-1.2848),(6565,455,-0.000168,-1.2846),(6565,465,-0.000138,-1.2844),(6565,475,-0.000107,-1.2842),(6565,485,-7.5e-05,-1.2839),(6565,495,-4.4e-05,-1.2836),(6565,505,-2e-05,-1.2834),(6565,515,4e-06,-1.2831),(6565,525,2.8e-05,-1.2828),(6565,535,5.2e-05,-1.2826),(6565,545,7e-05,-1.2823),(6565,555,8.8e-05,-1.282),(6565,565,0.000106,-1.2817),(6565,575,0.000123,-1.2815),(6565,585,0.000134,-1.2812),(6565,595,0.000145,-1.2809),(6565,605,0.000156,-1.2806),(6565,615,0.000164,-1.2803),(6565,625,0.00016,-1.28),(6565,635,0.000156,-1.2796),(6565,645,0.000151,-1.2793),(6565,655,0.000147,-1.2789),(6565,665,0.000143,-1.2786),(6565,675,0.000139,-1.2782),(6565,685,0.000135,-1.2778),(6565,695,0.000138,-1.2775),(6565,705,0.000174,-1.2771),(6565,715,0.000209,-1.2767),(6565,725,0.000245,-1.2764),(6565,735,0.000283,-1.2761),(6565,745,0.000331,-1.2758),(6565,755,0.000379,-1.2755),(6565,765,0.000427,-1.2751),(6565,775,0.000468,-1.2747),(6565,785,0.000493,-1.2744),(6565,795,0.000518,-1.274),(6565,805,0.000542,-1.2736),(6565,815,0.000569,-1.2732),(6565,825,0.000599,-1.2728),(6565,835,0.000629,-1.2724),(6565,845,0.000659,-1.272),(6565,855,0.000693,-1.2716),(6565,865,0.000735,-1.2712),(6565,875,0.000777,-1.2708),(6565,885,0.000819,-1.2704),(6565,895,0.000869,-1.2701),(6565,905,0.000932,-1.2697),(6565,915,0.000995,-1.2693),(6565,925,0.001057,-1.2689),(6565,935,0.00114,-1.2685),(6565,945,0.001248,-1.2681),(6565,955,0.001356,-1.2677),(6565,965,0.001465,-1.2673),(6565,975,0.001607,-1.267),(6565,985,0.001787,-1.2666),(6565,995,0.001968,-1.2663),(6565,1005,0.002148,-1.2661),(6565,1015,0.002374,-1.2658),(6565,1025,0.002642,-1.2656),(6565,1035,0.002911,-1.2654),(6565,1045,0.003179,-1.2652),(6565,1055,0.003515,-1.265),(6565,1065,0.003906,-1.2649),(6565,1075,0.004297,-1.2647),(6565,1085,0.004688,-1.2646),(6565,1095,0.005248,-1.2645),(6565,1105,0.005926,-1.2645),(6565,1115,0.006603,-1.2646),(6565,1125,0.007281,-1.2649),(6565,1135,0.008372,-1.2651),(6565,1145,0.009706,-1.2654),(6565,1155,0.01104,-1.2661),(6565,1165,0.012375,-1.267),(6565,1175,0.014751,-1.2679),(6565,1185,0.017646,-1.2689),(6565,1195,0.02054,-1.2705),(6565,1205,0.023434,-1.2725),(6565,1215,0.029356,-1.2744),(6565,1225,0.036526,-1.2764),(6565,1235,0.043697,-1.2789),(6565,1245,0.050868,-1.2816),(6565,1255,0.065795,-1.2843),(6565,1265,0.083342,-1.287),(6565,1275,0.10089,-1.2847),(6565,1285,0.11844,-1.2809),(6565,1295,0.12248,-1.2771),(6565,1305,0.12287,-1.2733),(6565,1315,0.12326,-1.2567),(6565,1325,0.12365,-1.2371),(6565,1335,0.076111,-1.2174),(6565,1345,0.018526,-1.1978),(6565,1355,-0.039059,-1.2104),(6565,1365,-0.096644,-1.229),(6565,1375,-0.11105,-1.2475),(6565,1385,-0.1188,-1.266),(6565,1395,-0.12655,-1.2726),(6565,1405,-0.1343,-1.2777),(6565,1415,-0.11682,-1.2828),(6565,1425,-0.096728,-1.2879),(6565,1435,-0.076632,-1.2849),(6565,1445,-0.056536,-1.2812),(6565,1455,-0.047932,-1.2775),(6565,1465,-0.03999,-1.2737),(6565,1475,-0.032048,-1.2715),(6565,1485,-0.024105,-1.2692),(6565,1495,-0.020946,-1.267),(6565,1505,-0.017859,-1.2648),(6565,1515,-0.014771,-1.2632),(6565,1525,-0.011726,-1.2617),(6565,1535,-0.01034,-1.2601),(6565,1545,-0.008954,-1.2586),(6565,1555,-0.007568,-1.258),(6565,1565,-0.006223,-1.2574),(6565,1575,-0.005475,-1.2569),(6565,1585,-0.004728,-1.2563),(6565,1595,-0.003981,-1.2558),(6565,1605,-0.003272,-1.2553),(6565,1615,-0.002899,-1.2548),(6565,1625,-0.002526,-1.2543),(6565,1635,-0.002153,-1.2542),(6565,1645,-0.001798,-1.254),(6565,1655,-0.001554,-1.2539),(6565,1665,-0.00131,-1.2537),(6565,1675,-0.001066,-1.2535),(6565,1685,-0.000847,-1.2534),(6565,1695,-0.000738,-1.2532),(6565,1705,-0.00063,-1.253),(6565,1715,-0.000521,-1.2529),(6565,1725,-0.000421,-1.2528),(6565,1735,-0.000353,-1.2527),(6565,1745,-0.000284,-1.2526),(6565,1755,-0.000216,-1.2525),(6565,1765,-0.000152,-1.2524),(6565,1775,-0.0001,-1.2524),(6565,1785,-4.9e-05,-1.2523),(6565,1795,3e-06,-1.2522),(6565,1805,4.9e-05,-1.2522),(6565,1815,8.2e-05,-1.2521),(6565,1825,0.000115,-1.252),(6565,1835,0.000148,-1.252),(6565,1845,0.00019,-1.2519),(6565,1855,0.000249,-1.2519),(6565,1865,0.000309,-1.2519),(6565,1875,0.000368,-1.2519),(6565,1885,0.00042,-1.2519),(6565,1895,0.000458,-1.2519),(6565,1905,0.000496,-1.2518),(6565,1915,0.000535,-1.2517),(6565,1925,0.000552,-1.2516),(6565,1935,0.000539,-1.2514),(6565,1945,0.000526,-1.2513),(6565,1955,0.000514,-1.2512),(6565,1965,0.00049,-1.2511),(6565,1975,0.000452,-1.251),(6565,1985,0.000414,-1.2509),(6565,1995,0.000377,-1.2507),(6565,2005,0.000353,-1.2506),(6565,2015,0.000342,-1.2504),(6565,2025,0.000331,-1.2502),(6565,2035,0.00032,-1.2501),(6565,2045,0.000317,-1.2499),(6565,2055,0.00032,-1.2498),(6565,2065,0.000324,-1.2496),(6565,2075,0.000327,-1.2494),(6565,2085,0.000322,-1.2493),(6565,2095,0.00031,-1.2491),(6565,2105,0.000298,-1.2489),(6565,2115,0.000286,-1.2487),(6565,2125,0.000293,-1.2484),(6565,2135,0.000311,-1.2482),(6565,2145,0.00033,-1.248),(6565,2155,0.000348,-1.2479),(6565,2165,0.000377,-1.2477),(6565,2175,0.000412,-1.2475),(6565,2185,0.000447,-1.2473),(6565,2195,0.000482,-1.2471),(6565,2205,0.000509,-1.2468),(6565,2215,0.000532,-1.2466),(6565,2225,0.000555,-1.2463),(6565,2235,0.000578,-1.246),(6565,2245,0.000593,-1.2458),(6565,2255,0.000606,-1.2455),(6565,2265,0.000618,-1.2452),(6565,2275,0.00063,-1.2449),(6565,2285,0.000635,-1.2446),(6565,2295,0.000638,-1.2443),(6565,2305,0.000641,-1.244),(6565,2315,0.000644,-1.2436),(6565,2325,0.00067,-1.2433),(6565,2335,0.0007,-1.2429),(6565,2345,0.000731,-1.2426),(6565,2355,0.000761,-1.2422),(6565,2365,0.000791,-1.2419),(6565,2375,0.000821,-1.2415),(6565,2385,0.000851,-1.2412),(6565,2395,0.000881,-1.2408),(6565,2405,0.000864,-1.2404),(6565,2415,0.000842,-1.24),(6565,2425,0.00082,-1.2395),(6565,2435,0.000798,-1.239),(6565,2445,0.000773,-1.2385),(6565,2455,0.000748,-1.238),(6565,2465,0.000723,-1.2375),(6565,2475,0.000698,-1.2371),(6565,2485,0.000696,-1.2366),(6565,2495,0.000695,-1.2361),(6565,2505,0.000694,-1.2357),(6565,2515,0.000693,-1.2352),(6565,2525,0.000707,-1.2347),(6565,2535,0.000721,-1.2342),(6565,2545,0.000735,-1.2337),(6565,2555,0.00075,-1.2331),(6565,2565,0.000795,-1.2326),(6565,2575,0.000839,-1.232),(6565,2585,0.000883,-1.2315),(6565,2595,0.000928,-1.231),(6565,2605,0.000975,-1.2304),(6565,2615,0.001023,-1.2299),(6565,2625,0.001071,-1.2293),(6565,2635,0.001115,-1.2287),(6565,2645,0.00114,-1.2281),(6565,2655,0.001165,-1.2276),(6565,2665,0.001189,-1.2269),(6565,2675,0.001212,-1.2263),(6565,2685,0.001221,-1.2257),(6565,2695,0.001231,-1.2251),(6565,2705,0.001241,-1.2244),(6565,2715,0.001246,-1.2238),(6565,2725,0.001236,-1.2232),(6565,2735,0.001226,-1.2225),(6565,2745,0.001215,-1.2218),(6565,2755,0.001204,-1.2211),(6565,2765,0.001192,-1.2203),(6565,2775,0.001181,-1.2196),(6565,2785,0.001169,-1.2189),(6565,2795,0.001166,-1.2181),(6565,2805,0.001187,-1.2174),(6565,2815,0.001207,-1.2167),(6565,2825,0.001227,-1.2159),(6565,2835,0.001251,-1.2152),(6565,2845,0.001283,-1.2145),(6565,2855,0.001316,-1.2138),(6565,2865,0.001347,-1.213),(6565,2875,0.001368,-1.2122),(6565,2885,0.001368,-1.2115),(6565,2895,0.001369,-1.2106),(6565,2905,0.00137,-1.2098),(6565,2915,0.00136,-1.2089),(6565,2925,0.001336,-1.208),(6565,2935,0.001313,-1.2072),(6565,2945,0.001289,-1.2063),(6565,2955,0.001276,-1.2054),(6565,2965,0.001278,-1.2045),(6565,2975,0.00128,-1.2036),(6565,2985,0.001282,-1.2028),(6565,2995,0.001301,-1.2019),(6565,3005,0.001339,-1.2011),(6565,3015,0.001376,-1.2002),(6565,3025,0.001414,-1.1994),(6565,3035,0.00144,-1.1985),(6565,3045,0.001456,-1.1976),(6565,3055,0.001472,-1.1967),(6565,3065,0.001488,-1.1957),(6565,3075,0.001493,-1.1948),(6565,3085,0.00149,-1.1938),(6565,3095,0.001488,-1.1928),(6565,3105,0.001485,-1.1918),(6565,3115,0.001489,-1.1908),(6565,3125,0.001498,-1.1898),(6565,3135,0.001507,-1.1888),(6565,3145,0.001516,-1.1878),(6565,3155,0.001514,-1.1868),(6565,3165,0.001506,-1.1859),(6565,3175,0.001498,-1.1848),(6565,3185,0.001489,-1.1837),(6565,3195,0.001488,-1.1826),(6565,3205,0.001489,-1.1815),(6565,3215,0.00149,-1.1804),(6565,3225,0.001491,-1.1793),(6565,3235,0.001527,-1.1783),(6565,3245,0.001576,-1.1772),(6565,3255,0.001626,-1.1762),(6565,3265,0.001675,-1.1752),(6565,3275,0.001696,-1.1742),(6565,3285,0.001708,-1.1732),(6565,3295,0.00172,-1.1721),(6565,3305,0.001733,-1.1709),(6565,3315,0.001711,-1.1698),(6565,3325,0.001681,-1.1686),(6565,3335,0.001652,-1.1674),(6565,3345,0.001622,-1.1662),(6565,3355,0.001641,-1.165),(6565,3365,0.001668,-1.1637),(6565,3375,0.001695,-1.1626),(6565,3385,0.001722,-1.1615),(6565,3395,0.001769,-1.1604),(6565,3405,0.001819,-1.1592),(6565,3415,0.001868,-1.158),(6565,3425,0.001918,-1.1569),(6565,3435,0.001934,-1.1557),(6565,3445,0.001948,-1.1545),(6565,3455,0.001961,-1.1533),(6565,3465,0.001975,-1.152),(6565,3475,0.001995,-1.1508),(6565,3485,0.002015,-1.1495),(6565,3495,0.002036,-1.1483),(6565,3505,0.002056,-1.1471),(6565,3515,0.002103,-1.1459),(6565,3525,0.002151,-1.1447),(6565,3535,0.002198,-1.1435),(6565,3545,0.002246,-1.1423),(6565,3555,0.002295,-1.1411),(6565,3565,0.002345,-1.1399),(6565,3575,0.002395,-1.1387),(6565,3585,0.002444,-1.1374),(6565,3595,0.00248,-1.1361),(6565,3605,0.002517,-1.1349),(6565,3615,0.002554,-1.1336),(6565,3625,0.002598,-1.1323),(6565,3635,0.0027,-1.131),(6565,3645,0.002801,-1.1297),(6565,3655,0.002902,-1.1285),(6565,3665,0.003018,-1.1273),(6565,3675,0.003208,-1.1262),(6565,3685,0.003398,-1.125),(6565,3695,0.003588,-1.1239),(6565,3705,0.003793,-1.1228),(6565,3715,0.004058,-1.1216),(6565,3725,0.004322,-1.1205),(6565,3735,0.004586,-1.1195),(6565,3745,0.004887,-1.1184),(6565,3755,0.005303,-1.1174),(6565,3765,0.005718,-1.1163),(6565,3775,0.006134,-1.1154),(6565,3785,0.006628,-1.1145),(6565,3795,0.007321,-1.1136),(6565,3805,0.008013,-1.1127),(6565,3815,0.008706,-1.1121),(6565,3825,0.009604,-1.1114),(6565,3835,0.010936,-1.1108),(6565,3845,0.012267,-1.1103),(6565,3855,0.013599,-1.1102),(6565,3865,0.015406,-1.11),(6565,3875,0.018054,-1.1099),(6565,3885,0.020702,-1.1099),(6565,3895,0.02335,-1.1103),(6565,3905,0.027282,-1.1107),(6565,3915,0.033131,-1.1111),(6565,3925,0.03898,-1.1117),(6565,3935,0.044828,-1.1124),(6565,3945,0.053705,-1.113),(6565,3955,0.066426,-1.1137),(6565,3965,0.079147,-1.112),(6565,3975,0.091869,-1.1075),(6565,3985,0.10273,-1.1029),(6565,3995,0.11158,-1.0984),(6565,4005,0.12043,-1.0857),(6565,4015,0.12928,-1.0649),(6565,4025,0.17295,-1.0441),(6565,4035,0.22002,-1.0296),(6565,4045,0.2671,-1.0285),(6565,4055,0.31885,-1.0273),(6565,4065,0.37231,-1.026),(6565,4075,0.42577,-1.0241),(6565,4085,0.45002,-1.0221),(6565,4095,0.45081,-1.0202),(6565,4105,0.45161,-1.0183),(6565,4115,0.4524,-1.0163),(6565,4125,0.45318,-1.0144),(6565,4135,0.45397,-1.0124),(6565,4145,0.45475,-1.0105),(6565,4155,0.45554,-1.0086),(6565,4165,0.45632,-1.0067),(6565,4175,0.4571,-1.0047),(6565,4185,0.45787,-1.0028),(6565,4195,0.45864,-1.0008),(6565,4205,0.45942,-0.99879),(6565,4215,0.46018,-0.99672),(6565,4225,0.46094,-0.99466),(6565,4235,0.46171,-0.99259),(6565,4245,0.46248,-0.99051),(6565,4255,0.46327,-0.98844),(6565,4265,0.46405,-0.98638),(6565,4275,0.46486,-0.98432),(6565,4285,0.46568,-0.98226),(6565,4295,0.4665,-0.98016),(6565,4305,0.46734,-0.97805),(6565,4315,0.46821,-0.97595),(6565,4325,0.46907,-0.97379),(6565,4335,0.46994,-0.9716),(6565,4345,0.47085,-0.96941),(6565,4355,0.47175,-0.96721),(6565,4365,0.47265,-0.96498),(6565,4375,0.47358,-0.96275),(6565,4385,0.4745,-0.96049),(6565,4395,0.47543,-0.95817),(6565,4405,0.47638,-0.95585),(6565,4415,0.47733,-0.95352),(6565,4425,0.47828,-0.95116),(6565,4435,0.47926,-0.9488),(6565,4445,0.48025,-0.94643),(6565,4455,0.48125,-0.94402),(6565,4465,0.48227,-0.94161),(6565,4475,0.48331,-0.93921),(6565,4485,0.48436,-0.93673),(6565,4495,0.48542,-0.93423),(6565,4505,0.48652,-0.93174),(6565,4515,0.48761,-0.9292),(6565,4525,0.4887,-0.92664),(6565,4535,0.48983,-0.92407),(6565,4545,0.49095,-0.92147),(6565,4555,0.49207,-0.91883),(6565,4565,0.49321,-0.91618),(6565,4575,0.49435,-0.91352),(6565,4585,0.49549,-0.91082),(6565,4595,0.49665,-0.90812),(6565,4605,0.49781,-0.90541),(6565,4615,0.49898,-0.90262),(6565,4625,0.50016,-0.89984),(6565,4635,0.50135,-0.89705),(6565,4645,0.50254,-0.89417),(6565,4655,0.50375,-0.89128),(6565,4665,0.505,-0.8884),(6565,4675,0.50624,-0.88546),(6565,4685,0.50749,-0.8825),(6565,4695,0.50879,-0.87954),(6565,4705,0.5101,-0.87658),(6565,4715,0.5114,-0.8736),(6565,4725,0.51276,-0.87063),(6565,4735,0.51412,-0.86764),(6565,4745,0.51548,-0.86464),(6565,4755,0.51687,-0.86164),(6565,4765,0.51827,-0.85861),(6565,4775,0.51967,-0.85551),(6565,4785,0.52108,-0.85241),(6565,4795,0.52249,-0.8493),(6565,4805,0.52391,-0.84606),(6565,4815,0.52532,-0.84282),(6565,4825,0.52673,-0.83957),(6565,4835,0.52815,-0.83627),(6565,4845,0.52956,-0.83295),(6565,4855,0.53099,-0.82963),(6565,4865,0.53242,-0.82627),(6565,4875,0.53384,-0.8229),(6565,4885,0.53529,-0.81953),(6565,4895,0.53673,-0.81611),(6565,4905,0.53817,-0.81265),(6565,4915,0.53964,-0.80918),(6565,4925,0.54112,-0.8057),(6565,4935,0.54259,-0.80216),(6565,4945,0.54411,-0.79862),(6565,4955,0.54563,-0.79508),(6565,4965,0.54715,-0.79152),(6565,4975,0.5487,-0.78795),(6565,4985,0.55026,-0.78438),(6565,4995,0.55182,-0.78075),(6565,5005,0.55338,-0.77713),(6565,5015,0.55496,-0.7735),(6565,5025,0.55654,-0.7698),(6565,5035,0.55811,-0.76609),(6565,5045,0.55969,-0.76238),(6565,5055,0.56127,-0.75862),(6565,5065,0.56285,-0.75482),(6565,5075,0.56443,-0.75102),(6565,5085,0.56601,-0.7472),(6565,5095,0.56759,-0.74334),(6565,5105,0.56919,-0.73948),(6565,5115,0.57078,-0.73562),(6565,5125,0.57237,-0.73172),(6565,5135,0.57398,-0.72782),(6565,5145,0.5756,-0.72392),(6565,5155,0.57722,-0.71994),(6565,5165,0.57883,-0.71597),(6565,5175,0.58045,-0.71199),(6565,5185,0.58207,-0.70792),(6565,5195,0.58369,-0.70385),(6565,5205,0.5853,-0.69977),(6565,5215,0.58691,-0.69563),(6565,5225,0.58852,-0.69147),(6565,5235,0.59013,-0.68731),(6565,5245,0.59174,-0.68314),(6565,5255,0.59335,-0.67895),(6565,5265,0.59496,-0.67476),(6565,5275,0.59656,-0.67055),(6565,5285,0.59816,-0.66628),(6565,5295,0.59975,-0.66202),(6565,5305,0.60133,-0.65774),(6565,5315,0.6029,-0.6534),(6565,5325,0.60448,-0.64905),(6565,5335,0.60604,-0.64471),(6565,5345,0.60761,-0.64035),(6565,5355,0.60919,-0.63598),(6565,5365,0.61077,-0.63162),(6565,5375,0.61236,-0.62727),(6565,5385,0.61394,-0.62291),(6565,5395,0.61553,-0.61856),(6565,5405,0.61712,-0.61416),(6565,5415,0.61871,-0.60974),(6565,5425,0.62026,-0.60532),(6565,5435,0.62181,-0.60083),(6565,5445,0.62336,-0.59629),(6565,5455,0.62486,-0.59174),(6565,5465,0.62636,-0.58717),(6565,5475,0.62786,-0.58254),(6565,5485,0.62933,-0.57792),(6565,5495,0.63081,-0.57329),(6565,5505,0.63228,-0.56863),(6565,5515,0.63375,-0.56397),(6565,5525,0.63523,-0.5593),(6565,5535,0.63671,-0.5546),(6565,5545,0.6382,-0.5499),(6565,5555,0.63969,-0.54519),(6565,5565,0.64119,-0.54045),(6565,5575,0.64269,-0.5357),(6565,5585,0.64418,-0.53096),(6565,5595,0.64568,-0.52618),(6565,5605,0.64717,-0.52139),(6565,5615,0.64863,-0.51661),(6565,5625,0.65008,-0.51178),(6565,5635,0.65154,-0.50689),(6565,5645,0.65295,-0.502),(6565,5655,0.65436,-0.49709),(6565,5665,0.65576,-0.49211),(6565,5675,0.65716,-0.48713),(6565,5685,0.65855,-0.48215),(6565,5695,0.65993,-0.47717),(6565,5705,0.66132,-0.4722),(6565,5715,0.66271,-0.46722),(6565,5725,0.6641,-0.46227),(6565,5735,0.66548,-0.45733),(6565,5745,0.66685,-0.45239),(6565,5755,0.66822,-0.44741),(6565,5765,0.66958,-0.44242),(6565,5775,0.6709,-0.43742),(6565,5785,0.67222,-0.43238),(6565,5795,0.67354,-0.4273),(6565,5805,0.6748,-0.42222),(6565,5815,0.67606,-0.41713),(6565,5825,0.67731,-0.41203),(6565,5835,0.67853,-0.40693),(6565,5845,0.67974,-0.40183),(6565,5855,0.68094,-0.39667),(6565,5865,0.68212,-0.39151),(6565,5875,0.68327,-0.38635),(6565,5885,0.68442,-0.38112),(6565,5895,0.68557,-0.37589),(6565,5905,0.68669,-0.37065),(6565,5915,0.68781,-0.36541),(6565,5925,0.68893,-0.36017),(6565,5935,0.69004,-0.35492),(6565,5945,0.69115,-0.34969),(6565,5955,0.69225,-0.34446),(6565,5965,0.69332,-0.33923),(6565,5975,0.69439,-0.33397),(6565,5985,0.69546,-0.32869),(6565,5995,0.69647,-0.3234),(6565,6005,0.69748,-0.3181),(6565,6015,0.69849,-0.31278),(6565,6025,0.69946,-0.30745),(6565,6035,0.70042,-0.30212),(6565,6045,0.70137,-0.29677),(6565,6055,0.70231,-0.29142),(6565,6065,0.70322,-0.28607),(6565,6075,0.70414,-0.28066),(6565,6085,0.70505,-0.27524),(6565,6095,0.70593,-0.26982),(6565,6105,0.70682,-0.2644),(6565,6115,0.7077,-0.25899),(6565,6125,0.70855,-0.25357),(6565,6135,0.70939,-0.24818),(6565,6145,0.71024,-0.24282),(6565,6155,0.71103,-0.23745),(6565,6165,0.71181,-0.23204),(6565,6175,0.71259,-0.22656),(6565,6185,0.71332,-0.22108),(6565,6195,0.71403,-0.21559),(6565,6205,0.71475,-0.21003),(6565,6215,0.71544,-0.20448),(6565,6225,0.71612,-0.19893),(6565,6235,0.7168,-0.19344),(6565,6245,0.71746,-0.18794),(6565,6255,0.7181,-0.18245),(6565,6265,0.71874,-0.17696),(6565,6275,0.71936,-0.17148),(6565,6285,0.71995,-0.16599),(6565,6295,0.72053,-0.16052),(6565,6305,0.72111,-0.15505),(6565,6315,0.72163,-0.14959),(6565,6325,0.72215,-0.14412),(6565,6335,0.72266,-0.13866),(6565,6345,0.72311,-0.13319),(6565,6355,0.72356,-0.12765),(6565,6365,0.724,-0.12195),(6565,6375,0.72441,-0.11625),(6565,6385,0.72481,-0.11057),(6565,6395,0.72521,-0.10502),(6565,6405,0.7256,-0.09947),(6565,6415,0.72597,-0.093922),(6565,6425,0.72635,-0.088387),(6565,6435,0.72671,-0.082853),(6565,6445,0.72703,-0.077318),(6565,6455,0.72735,-0.071773),(6565,6465,0.72767,-0.066224),(6565,6475,0.72792,-0.060675),(6565,6485,0.72817,-0.055078),(6565,6495,0.72843,-0.049449),(6565,6505,0.72862,-0.04382),(6565,6515,0.72882,-0.038195),(6565,6525,0.72901,-0.032575),(6565,6535,0.72916,-0.026955),(6565,6545,0.72931,-0.021357),(6565,6555,0.72946,-0.015829),(6565,6565,0.72959,-0.0103),(6565,6575,0.7297,-0.004772),(6565,6585,0.72982,0.000752),(6565,6595,0.62077,0.006276),(6565,6605,0.39118,0.0118),(6565,6615,0.16159,0.012488),(6565,6625,0.00021,0.012555),(6565,6635,0.000258,0.012622),(6565,6645,0.000307,0.012641),(6565,6655,0.000355,0.012641),(6565,6665,0.000404,0.01264),(6565,6675,0.000452,0.012639),(6565,6685,0.000501,0.012637),(6565,6695,0.000549,0.012635),(6565,6705,0.000597,0.012632),(6565,6715,0.000645,0.012628),(6565,6725,0.000693,0.012624),(6565,6735,0.00074,0.01262),(6565,6745,0.000788,0.012614),(6565,6755,0.000835,0.012608),(6565,6765,0.000882,0.012602),(6565,6775,0.000929,0.012594),(6565,6785,0.000976,0.012587),(6565,6795,0.001023,0.012579),(6565,6805,0.001069,0.01257),(6565,6815,0.001115,0.01256),(6565,6825,0.001161,0.012551),(6565,6835,0.001207,0.01254),(6565,6845,0.001252,0.012529),(6565,6855,0.001297,0.012517),(6565,6865,0.001341,0.012505),(6565,6875,0.001386,0.012492),(6565,6885,0.00143,0.01248),(6565,6895,0.001474,0.012466),(6565,6905,0.001517,0.012452),(6565,6915,0.00156,0.012437),(6565,6925,0.001603,0.012422),(6565,6935,0.001646,0.012406),(6565,6945,0.001687,0.01239),(6565,6955,0.001729,0.012374),(6565,6965,0.00177,0.012357),(6565,6975,0.001811,0.01234),(6565,6985,0.001852,0.012322),(6575,5,-6e-06,-1.29),(6575,15,-1.7e-05,-1.2901),(6575,25,-1.6e-05,-1.2902),(6575,35,-4e-06,-1.2903),(6575,45,8e-06,-1.2903),(6575,55,2.1e-05,-1.2903),(6575,65,2.8e-05,-1.2903),(6575,75,3.1e-05,-1.2903),(6575,85,3.4e-05,-1.2903),(6575,95,3.7e-05,-1.2902),(6575,105,3.3e-05,-1.2902),(6575,115,2.4e-05,-1.2902),(6575,125,1.5e-05,-1.2901),(6575,135,6e-06,-1.29),(6575,145,2e-06,-1.2899),(6575,155,1e-06,-1.2898),(6575,165,0,-1.2897),(6575,175,-2e-06,-1.2896),(6575,185,1.5e-05,-1.2896),(6575,195,4e-05,-1.2895),(6575,205,6.5e-05,-1.2894),(6575,215,9e-05,-1.2892),(6575,225,7.9e-05,-1.2891),(6575,235,5.3e-05,-1.2889),(6575,245,2.7e-05,-1.2888),(6575,255,2e-06,-1.2886),(6575,265,-2.5e-05,-1.2885),(6575,275,-5.2e-05,-1.2883),(6575,285,-8e-05,-1.2881),(6575,295,-0.000107,-1.2879),(6575,305,-0.000114,-1.2877),(6575,315,-0.000117,-1.2875),(6575,325,-0.000119,-1.2873),(6575,335,-0.000122,-1.2872),(6575,345,-0.000123,-1.287),(6575,355,-0.000124,-1.2869),(6575,365,-0.000125,-1.2867),(6575,375,-0.000126,-1.2865),(6575,385,-0.000128,-1.2863),(6575,395,-0.000131,-1.2861),(6575,405,-0.000133,-1.2858),(6575,415,-0.000135,-1.2856),(6575,425,-0.000143,-1.2853),(6575,435,-0.000151,-1.285),(6575,445,-0.000158,-1.2848),(6575,455,-0.000166,-1.2846),(6575,465,-0.000147,-1.2844),(6575,475,-0.000126,-1.2841),(6575,485,-0.000105,-1.2839),(6575,495,-8.4e-05,-1.2836),(6575,505,-6e-05,-1.2834),(6575,515,-3.6e-05,-1.2831),(6575,525,-1.3e-05,-1.2828),(6575,535,1.1e-05,-1.2825),(6575,545,3.1e-05,-1.2823),(6575,555,5.1e-05,-1.282),(6575,565,7.2e-05,-1.2817),(6575,575,9.2e-05,-1.2815),(6575,585,0.000104,-1.2812),(6575,595,0.000117,-1.2809),(6575,605,0.00013,-1.2806),(6575,615,0.000141,-1.2803),(6575,625,0.000139,-1.28),(6575,635,0.000137,-1.2796),(6575,645,0.000134,-1.2793),(6575,655,0.000132,-1.2789),(6575,665,0.000126,-1.2786),(6575,675,0.000121,-1.2782),(6575,685,0.000116,-1.2778),(6575,695,0.000117,-1.2774),(6575,705,0.000146,-1.2771),(6575,715,0.000175,-1.2767),(6575,725,0.000205,-1.2764),(6575,735,0.000238,-1.2761),(6575,745,0.000288,-1.2757),(6575,755,0.000337,-1.2754),(6575,765,0.000387,-1.2751),(6575,775,0.000431,-1.2747),(6575,785,0.000462,-1.2743),(6575,795,0.000492,-1.274),(6575,805,0.000523,-1.2736),(6575,815,0.000555,-1.2732),(6575,825,0.000589,-1.2728),(6575,835,0.000623,-1.2724),(6575,845,0.000657,-1.272),(6575,855,0.000696,-1.2716),(6575,865,0.000741,-1.2712),(6575,875,0.000787,-1.2708),(6575,885,0.000832,-1.2704),(6575,895,0.000886,-1.27),(6575,905,0.000951,-1.2696),(6575,915,0.001016,-1.2692),(6575,925,0.001081,-1.2688),(6575,935,0.001166,-1.2684),(6575,945,0.001278,-1.268),(6575,955,0.001389,-1.2676),(6575,965,0.001501,-1.2673),(6575,975,0.00165,-1.2669),(6575,985,0.001841,-1.2665),(6575,995,0.002031,-1.2662),(6575,1005,0.002222,-1.266),(6575,1015,0.002466,-1.2657),(6575,1025,0.002759,-1.2655),(6575,1035,0.003053,-1.2652),(6575,1045,0.003347,-1.2651),(6575,1055,0.003721,-1.2649),(6575,1065,0.004161,-1.2647),(6575,1075,0.004601,-1.2645),(6575,1085,0.005041,-1.2644),(6575,1095,0.005667,-1.2643),(6575,1105,0.006423,-1.2642),(6575,1115,0.007179,-1.2643),(6575,1125,0.007935,-1.2645),(6575,1135,0.009136,-1.2647),(6575,1145,0.0106,-1.2649),(6575,1155,0.012065,-1.2655),(6575,1165,0.01353,-1.2663),(6575,1175,0.016067,-1.2671),(6575,1185,0.019136,-1.2679),(6575,1195,0.022206,-1.2692),(6575,1205,0.025275,-1.2707),(6575,1215,0.031161,-1.2722),(6575,1225,0.03821,-1.2737),(6575,1235,0.045259,-1.275),(6575,1245,0.052307,-1.2763),(6575,1255,0.065847,-1.2776),(6575,1265,0.081579,-1.2788),(6575,1275,0.097312,-1.2746),(6575,1285,0.11304,-1.2687),(6575,1295,0.11511,-1.2629),(6575,1305,0.11348,-1.257),(6575,1315,0.11185,-1.2434),(6575,1325,0.11023,-1.228),(6575,1335,0.067874,-1.2126),(6575,1345,0.016989,-1.1972),(6575,1355,-0.033897,-1.2067),(6575,1365,-0.084782,-1.2207),(6575,1375,-0.099433,-1.2347),(6575,1385,-0.10849,-1.2487),(6575,1395,-0.11755,-1.2566),(6575,1405,-0.12661,-1.2638),(6575,1415,-0.11129,-1.2709),(6575,1425,-0.093443,-1.2781),(6575,1435,-0.075592,-1.2768),(6575,1445,-0.057742,-1.2747),(6575,1455,-0.04945,-1.2727),(6575,1465,-0.041707,-1.2706),(6575,1475,-0.033965,-1.2689),(6575,1485,-0.026223,-1.2671),(6575,1495,-0.022867,-1.2654),(6575,1505,-0.019577,-1.2637),(6575,1515,-0.016286,-1.2623),(6575,1525,-0.01304,-1.2609),(6575,1535,-0.011517,-1.2595),(6575,1545,-0.009994,-1.2581),(6575,1555,-0.008471,-1.2576),(6575,1565,-0.006992,-1.257),(6575,1575,-0.006152,-1.2565),(6575,1585,-0.005311,-1.256),(6575,1595,-0.004471,-1.2555),(6575,1605,-0.003674,-1.255),(6575,1615,-0.003256,-1.2546),(6575,1625,-0.002838,-1.2542),(6575,1635,-0.00242,-1.254),(6575,1645,-0.002024,-1.2539),(6575,1655,-0.001759,-1.2537),(6575,1665,-0.001493,-1.2536),(6575,1675,-0.001228,-1.2534),(6575,1685,-0.000989,-1.2533),(6575,1695,-0.000866,-1.2531),(6575,1705,-0.000744,-1.253),(6575,1715,-0.000621,-1.2529),(6575,1725,-0.00051,-1.2527),(6575,1735,-0.000438,-1.2526),(6575,1745,-0.000365,-1.2525),(6575,1755,-0.000293,-1.2525),(6575,1765,-0.000223,-1.2524),(6575,1775,-0.000163,-1.2523),(6575,1785,-0.000102,-1.2523),(6575,1795,-4.2e-05,-1.2522),(6575,1805,1.2e-05,-1.2521),(6575,1815,5.3e-05,-1.2521),(6575,1825,9.3e-05,-1.252),(6575,1835,0.000134,-1.252),(6575,1845,0.000181,-1.2519),(6575,1855,0.00024,-1.2519),(6575,1865,0.0003,-1.2518),(6575,1875,0.000359,-1.2518),(6575,1885,0.000415,-1.2519),(6575,1895,0.000465,-1.2519),(6575,1905,0.000516,-1.2518),(6575,1915,0.000567,-1.2517),(6575,1925,0.000598,-1.2516),(6575,1935,0.000603,-1.2515),(6575,1945,0.000608,-1.2514),(6575,1955,0.000613,-1.2513),(6575,1965,0.0006,-1.2512),(6575,1975,0.000567,-1.2511),(6575,1985,0.000534,-1.251),(6575,1995,0.0005,-1.2508),(6575,2005,0.000474,-1.2506),(6575,2015,0.000454,-1.2504),(6575,2025,0.000434,-1.2502),(6575,2035,0.000415,-1.2501),(6575,2045,0.000405,-1.2499),(6575,2055,0.000403,-1.2498),(6575,2065,0.000401,-1.2496),(6575,2075,0.0004,-1.2494),(6575,2085,0.000391,-1.2493),(6575,2095,0.000377,-1.2491),(6575,2105,0.000364,-1.2489),(6575,2115,0.00035,-1.2487),(6575,2125,0.000354,-1.2484),(6575,2135,0.000367,-1.2482),(6575,2145,0.000381,-1.248),(6575,2155,0.000394,-1.2478),(6575,2165,0.000422,-1.2477),(6575,2175,0.000456,-1.2475),(6575,2185,0.000491,-1.2473),(6575,2195,0.000526,-1.2471),(6575,2205,0.000557,-1.2468),(6575,2215,0.000586,-1.2466),(6575,2225,0.000615,-1.2463),(6575,2235,0.000644,-1.246),(6575,2245,0.000665,-1.2458),(6575,2255,0.000683,-1.2455),(6575,2265,0.000702,-1.2452),(6575,2275,0.00072,-1.2449),(6575,2285,0.00072,-1.2446),(6575,2295,0.000715,-1.2443),(6575,2305,0.000711,-1.244),(6575,2315,0.000706,-1.2436),(6575,2325,0.000718,-1.2432),(6575,2335,0.000734,-1.2429),(6575,2345,0.00075,-1.2425),(6575,2355,0.000766,-1.2422),(6575,2365,0.000798,-1.2419),(6575,2375,0.000832,-1.2415),(6575,2385,0.000867,-1.2411),(6575,2395,0.000901,-1.2408),(6575,2405,0.0009,-1.2404),(6575,2415,0.000895,-1.24),(6575,2425,0.000889,-1.2395),(6575,2435,0.000884,-1.239),(6575,2445,0.000865,-1.2385),(6575,2455,0.000845,-1.238),(6575,2465,0.000825,-1.2375),(6575,2475,0.000805,-1.2371),(6575,2485,0.000797,-1.2366),(6575,2495,0.00079,-1.2361),(6575,2505,0.000783,-1.2357),(6575,2515,0.000777,-1.2352),(6575,2525,0.000779,-1.2347),(6575,2535,0.000782,-1.2342),(6575,2545,0.000784,-1.2336),(6575,2555,0.000788,-1.2331),(6575,2565,0.00082,-1.2325),(6575,2575,0.000853,-1.232),(6575,2585,0.000885,-1.2314),(6575,2595,0.000918,-1.2309),(6575,2605,0.000964,-1.2304),(6575,2615,0.001009,-1.2298),(6575,2625,0.001055,-1.2293),(6575,2635,0.001098,-1.2287),(6575,2645,0.001129,-1.2281),(6575,2655,0.00116,-1.2275),(6575,2665,0.001192,-1.2269),(6575,2675,0.001221,-1.2263),(6575,2685,0.00124,-1.2257),(6575,2695,0.00126,-1.2251),(6575,2705,0.00128,-1.2244),(6575,2715,0.001296,-1.2238),(6575,2725,0.001296,-1.2232),(6575,2735,0.001297,-1.2225),(6575,2745,0.001297,-1.2218),(6575,2755,0.001295,-1.2211),(6575,2765,0.001284,-1.2204),(6575,2775,0.001273,-1.2196),(6575,2785,0.001262,-1.2189),(6575,2795,0.001257,-1.2181),(6575,2805,0.001265,-1.2174),(6575,2815,0.001274,-1.2166),(6575,2825,0.001283,-1.2159),(6575,2835,0.001297,-1.2152),(6575,2845,0.001321,-1.2145),(6575,2855,0.001345,-1.2137),(6575,2865,0.001369,-1.213),(6575,2875,0.001386,-1.2122),(6575,2885,0.001392,-1.2114),(6575,2895,0.001397,-1.2107),(6575,2905,0.001402,-1.2098),(6575,2915,0.001398,-1.2089),(6575,2925,0.00138,-1.2081),(6575,2935,0.001363,-1.2072),(6575,2945,0.001345,-1.2063),(6575,2955,0.001336,-1.2054),(6575,2965,0.001336,-1.2045),(6575,2975,0.001336,-1.2036),(6575,2985,0.001336,-1.2028),(6575,2995,0.001353,-1.2019),(6575,3005,0.001389,-1.2011),(6575,3015,0.001426,-1.2002),(6575,3025,0.001462,-1.1993),(6575,3035,0.001489,-1.1985),(6575,3045,0.001509,-1.1976),(6575,3055,0.001528,-1.1967),(6575,3065,0.001548,-1.1957),(6575,3075,0.001554,-1.1948),(6575,3085,0.001548,-1.1938),(6575,3095,0.001543,-1.1928),(6575,3105,0.001538,-1.1918),(6575,3115,0.001539,-1.1908),(6575,3125,0.001545,-1.1898),(6575,3135,0.00155,-1.1888),(6575,3145,0.001555,-1.1878),(6575,3155,0.001553,-1.1868),(6575,3165,0.001546,-1.1859),(6575,3175,0.00154,-1.1848),(6575,3185,0.001534,-1.1837),(6575,3195,0.001532,-1.1826),(6575,3205,0.001531,-1.1815),(6575,3215,0.001531,-1.1804),(6575,3225,0.001531,-1.1793),(6575,3235,0.001571,-1.1782),(6575,3245,0.001626,-1.1772),(6575,3255,0.001682,-1.1762),(6575,3265,0.001738,-1.1752),(6575,3275,0.001774,-1.1742),(6575,3285,0.001804,-1.1732),(6575,3295,0.001834,-1.1721),(6575,3305,0.001864,-1.1709),(6575,3315,0.001844,-1.1698),(6575,3325,0.001812,-1.1686),(6575,3335,0.001779,-1.1674),(6575,3345,0.001747,-1.1662),(6575,3355,0.001748,-1.1649),(6575,3365,0.001755,-1.1637),(6575,3375,0.001762,-1.1626),(6575,3385,0.001769,-1.1614),(6575,3395,0.00181,-1.1603),(6575,3405,0.001856,-1.1592),(6575,3415,0.001901,-1.158),(6575,3425,0.001947,-1.1568),(6575,3435,0.001972,-1.1557),(6575,3445,0.001995,-1.1545),(6575,3455,0.002019,-1.1533),(6575,3465,0.002042,-1.152),(6575,3475,0.002068,-1.1508),(6575,3485,0.002093,-1.1495),(6575,3495,0.002119,-1.1483),(6575,3505,0.002145,-1.1471),(6575,3515,0.002192,-1.1459),(6575,3525,0.002238,-1.1447),(6575,3535,0.002285,-1.1435),(6575,3545,0.002332,-1.1423),(6575,3555,0.002389,-1.1411),(6575,3565,0.002445,-1.1399),(6575,3575,0.002501,-1.1386),(6575,3585,0.002557,-1.1374),(6575,3595,0.002605,-1.1361),(6575,3605,0.002652,-1.1349),(6575,3615,0.0027,-1.1335),(6575,3625,0.002755,-1.1322),(6575,3635,0.002861,-1.1309),(6575,3645,0.002968,-1.1296),(6575,3655,0.003075,-1.1284),(6575,3665,0.003198,-1.1272),(6575,3675,0.003405,-1.1261),(6575,3685,0.003612,-1.1249),(6575,3695,0.00382,-1.1238),(6575,3705,0.004044,-1.1226),(6575,3715,0.004338,-1.1215),(6575,3725,0.004632,-1.1204),(6575,3735,0.004926,-1.1193),(6575,3745,0.005261,-1.1182),(6575,3755,0.005724,-1.1172),(6575,3765,0.006187,-1.1161),(6575,3775,0.00665,-1.1151),(6575,3785,0.007196,-1.1142),(6575,3795,0.00795,-1.1132),(6575,3805,0.008704,-1.1123),(6575,3815,0.009458,-1.1116),(6575,3825,0.010425,-1.1108),(6575,3835,0.011841,-1.1101),(6575,3845,0.013257,-1.1095),(6575,3855,0.014673,-1.1092),(6575,3865,0.01656,-1.1088),(6575,3875,0.019283,-1.1085),(6575,3885,0.022005,-1.1083),(6575,3895,0.024727,-1.1082),(6575,3905,0.028618,-1.1081),(6575,3915,0.034254,-1.108),(6575,3925,0.03989,-1.1077),(6575,3935,0.045526,-1.1072),(6575,3945,0.053664,-1.1066),(6575,3955,0.064977,-1.1061),(6575,3965,0.076291,-1.103),(6575,3975,0.087605,-1.0968),(6575,3985,0.096548,-1.0907),(6575,3995,0.10293,-1.0846),(6575,4005,0.10931,-1.0734),(6575,4015,0.11568,-1.0572),(6575,4025,0.16253,-1.041),(6575,4035,0.21334,-1.0296),(6575,4045,0.26415,-1.0285),(6575,4055,0.31663,-1.0273),(6575,4065,0.36973,-1.026),(6575,4075,0.42282,-1.0241),(6575,4085,0.44691,-1.0222),(6575,4095,0.4477,-1.0202),(6575,4105,0.44849,-1.0183),(6575,4115,0.44928,-1.0164),(6575,4125,0.45007,-1.0144),(6575,4135,0.45085,-1.0125),(6575,4145,0.45163,-1.0105),(6575,4155,0.45241,-1.0086),(6575,4165,0.45319,-1.0067),(6575,4175,0.45397,-1.0048),(6575,4185,0.45474,-1.0029),(6575,4195,0.4555,-1.0009),(6575,4205,0.45627,-0.99886),(6575,4215,0.45703,-0.99681),(6575,4225,0.45778,-0.99475),(6575,4235,0.45854,-0.99267),(6575,4245,0.4593,-0.99059),(6575,4255,0.46007,-0.98852),(6575,4265,0.46084,-0.98645),(6575,4275,0.46163,-0.98438),(6575,4285,0.46243,-0.98231),(6575,4295,0.46324,-0.98021),(6575,4305,0.46405,-0.9781),(6575,4315,0.4649,-0.97598),(6575,4325,0.46575,-0.97382),(6575,4335,0.4666,-0.97163),(6575,4345,0.46748,-0.96944),(6575,4355,0.46837,-0.96723),(6575,4365,0.46925,-0.965),(6575,4375,0.47016,-0.96278),(6575,4385,0.47107,-0.96051),(6575,4395,0.47197,-0.95819),(6575,4405,0.4729,-0.95587),(6575,4415,0.47383,-0.95354),(6575,4425,0.47476,-0.95117),(6575,4435,0.47571,-0.9488),(6575,4445,0.47668,-0.94643),(6575,4455,0.47765,-0.94401),(6575,4465,0.47864,-0.9416),(6575,4475,0.47967,-0.93918),(6575,4485,0.48069,-0.93669),(6575,4495,0.48172,-0.93419),(6575,4505,0.48279,-0.93169),(6575,4515,0.48385,-0.92915),(6575,4525,0.48492,-0.92658),(6575,4535,0.48603,-0.92401),(6575,4545,0.48713,-0.92141),(6575,4555,0.48823,-0.91877),(6575,4565,0.48935,-0.91613),(6575,4575,0.49048,-0.91347),(6575,4585,0.49161,-0.91078),(6575,4595,0.49275,-0.90808),(6575,4605,0.49391,-0.90537),(6575,4615,0.49506,-0.90258),(6575,4625,0.49623,-0.89979),(6575,4635,0.49741,-0.897),(6575,4645,0.49858,-0.89411),(6575,4655,0.49978,-0.89121),(6575,4665,0.501,-0.88832),(6575,4675,0.50221,-0.88536),(6575,4685,0.50344,-0.88239),(6575,4695,0.50471,-0.87942),(6575,4705,0.50598,-0.87644),(6575,4715,0.50725,-0.87345),(6575,4725,0.50857,-0.87046),(6575,4735,0.5099,-0.86746),(6575,4745,0.51122,-0.86446),(6575,4755,0.51258,-0.86145),(6575,4765,0.51396,-0.85842),(6575,4775,0.51533,-0.85532),(6575,4785,0.51671,-0.85222),(6575,4795,0.51811,-0.84912),(6575,4805,0.5195,-0.84588),(6575,4815,0.5209,-0.84265),(6575,4825,0.52231,-0.83941),(6575,4835,0.52371,-0.8361),(6575,4845,0.52512,-0.83279),(6575,4855,0.52653,-0.82947),(6575,4865,0.52795,-0.82611),(6575,4875,0.52937,-0.82273),(6575,4885,0.5308,-0.81936),(6575,4895,0.53223,-0.81593),(6575,4905,0.53365,-0.81246),(6575,4915,0.53511,-0.80899),(6575,4925,0.53656,-0.80549),(6575,4935,0.53801,-0.80194),(6575,4945,0.53949,-0.79839),(6575,4955,0.54099,-0.79483),(6575,4965,0.54248,-0.79126),(6575,4975,0.54399,-0.78768),(6575,4985,0.54552,-0.7841),(6575,4995,0.54705,-0.78047),(6575,5005,0.54859,-0.77684),(6575,5015,0.55014,-0.77321),(6575,5025,0.55169,-0.76952),(6575,5035,0.55324,-0.76581),(6575,5045,0.5548,-0.7621),(6575,5055,0.55635,-0.75833),(6575,5065,0.55791,-0.75454),(6575,5075,0.55947,-0.75074),(6575,5085,0.56103,-0.74691),(6575,5095,0.56259,-0.74305),(6575,5105,0.56416,-0.73919),(6575,5115,0.56573,-0.73532),(6575,5125,0.5673,-0.73141),(6575,5135,0.56888,-0.7275),(6575,5145,0.57047,-0.72359),(6575,5155,0.57206,-0.71962),(6575,5165,0.57365,-0.71564),(6575,5175,0.57524,-0.71166),(6575,5185,0.57684,-0.70759),(6575,5195,0.57843,-0.70352),(6575,5205,0.58002,-0.69944),(6575,5215,0.58161,-0.6953),(6575,5225,0.5832,-0.69114),(6575,5235,0.58478,-0.68698),(6575,5245,0.58637,-0.68281),(6575,5255,0.58796,-0.67862),(6575,5265,0.58954,-0.67443),(6575,5275,0.59113,-0.67022),(6575,5285,0.59272,-0.66596),(6575,5295,0.59429,-0.6617),(6575,5305,0.59586,-0.65743),(6575,5315,0.59742,-0.65308),(6575,5325,0.59898,-0.64874),(6575,5335,0.60053,-0.64439),(6575,5345,0.60208,-0.64002),(6575,5355,0.60363,-0.63564),(6575,5365,0.60518,-0.63127),(6575,5375,0.60673,-0.62691),(6575,5385,0.60829,-0.62255),(6575,5395,0.60986,-0.61819),(6575,5405,0.61142,-0.6138),(6575,5415,0.61298,-0.60938),(6575,5425,0.61453,-0.60497),(6575,5435,0.61607,-0.6005),(6575,5445,0.61762,-0.59597),(6575,5455,0.61912,-0.59143),(6575,5465,0.62062,-0.58687),(6575,5475,0.62212,-0.58225),(6575,5485,0.62359,-0.57762),(6575,5495,0.62506,-0.57299),(6575,5505,0.62652,-0.56832),(6575,5515,0.62798,-0.56364),(6575,5525,0.62943,-0.55896),(6575,5535,0.63088,-0.55425),(6575,5545,0.63234,-0.54953),(6575,5555,0.6338,-0.54481),(6575,5565,0.63526,-0.54006),(6575,5575,0.63673,-0.53531),(6575,5585,0.63819,-0.53055),(6575,5595,0.63966,-0.52578),(6575,5605,0.64113,-0.521),(6575,5615,0.64257,-0.51622),(6575,5625,0.64401,-0.5114),(6575,5635,0.64545,-0.50652),(6575,5645,0.64686,-0.50164),(6575,5655,0.64825,-0.49674),(6575,5665,0.64964,-0.49175),(6575,5675,0.65102,-0.48676),(6575,5685,0.65238,-0.48177),(6575,5695,0.65375,-0.47679),(6575,5705,0.65511,-0.4718),(6575,5715,0.65647,-0.46682),(6575,5725,0.65784,-0.46187),(6575,5735,0.6592,-0.45692),(6575,5745,0.66054,-0.45197),(6575,5755,0.66189,-0.447),(6575,5765,0.66323,-0.44202),(6575,5775,0.66453,-0.43704),(6575,5785,0.66584,-0.43201),(6575,5795,0.66714,-0.42693),(6575,5805,0.6684,-0.42186),(6575,5815,0.66965,-0.41678),(6575,5825,0.6709,-0.41169),(6575,5835,0.67212,-0.4066),(6575,5845,0.67332,-0.4015),(6575,5855,0.67452,-0.39635),(6575,5865,0.67569,-0.39119),(6575,5875,0.67684,-0.38604),(6575,5885,0.67799,-0.38081),(6575,5895,0.67913,-0.37557),(6575,5905,0.68024,-0.37033),(6575,5915,0.68135,-0.36508),(6575,5925,0.68246,-0.35983),(6575,5935,0.68355,-0.35458),(6575,5945,0.68464,-0.34934),(6575,5955,0.68573,-0.34412),(6575,5965,0.68679,-0.33889),(6575,5975,0.68784,-0.33364),(6575,5985,0.68889,-0.32836),(6575,5995,0.6899,-0.32308),(6575,6005,0.69089,-0.3178),(6575,6015,0.69189,-0.31247),(6575,6025,0.69285,-0.30715),(6575,6035,0.69379,-0.30183),(6575,6045,0.69474,-0.29648),(6575,6055,0.69566,-0.29113),(6575,6065,0.69656,-0.28578),(6575,6075,0.69746,-0.28036),(6575,6085,0.69836,-0.27494),(6575,6095,0.69923,-0.26952),(6575,6105,0.7001,-0.2641),(6575,6115,0.70097,-0.25869),(6575,6125,0.70181,-0.25328),(6575,6135,0.70265,-0.24789),(6575,6145,0.70349,-0.24253),(6575,6155,0.70427,-0.23718),(6575,6165,0.70505,-0.23177),(6575,6175,0.70583,-0.2263),(6575,6185,0.70655,-0.22083),(6575,6195,0.70725,-0.21535),(6575,6205,0.70796,-0.20979),(6575,6215,0.70864,-0.20424),(6575,6225,0.7093,-0.19868),(6575,6235,0.70997,-0.19319),(6575,6245,0.71062,-0.1877),(6575,6255,0.71125,-0.18221),(6575,6265,0.71188,-0.17673),(6575,6275,0.7125,-0.17125),(6575,6285,0.71308,-0.16576),(6575,6295,0.71367,-0.1603),(6575,6305,0.71424,-0.15485),(6575,6315,0.71476,-0.14939),(6575,6325,0.71528,-0.14394),(6575,6335,0.7158,-0.13848),(6575,6345,0.71626,-0.13302),(6575,6355,0.7167,-0.12749),(6575,6365,0.71715,-0.12179),(6575,6375,0.71756,-0.11609),(6575,6385,0.71795,-0.11041),(6575,6395,0.71835,-0.10485),(6575,6405,0.71873,-0.099298),(6575,6415,0.71909,-0.093743),(6575,6425,0.71946,-0.088212),(6575,6435,0.71981,-0.082682),(6575,6445,0.72012,-0.077152),(6575,6455,0.72044,-0.071615),(6575,6465,0.72074,-0.066076),(6575,6475,0.72099,-0.060537),(6575,6485,0.72124,-0.054949),(6575,6495,0.72148,-0.049328),(6575,6505,0.72168,-0.043706),(6575,6515,0.72187,-0.038086),(6575,6525,0.72207,-0.032467),(6575,6535,0.72222,-0.026848),(6575,6545,0.72236,-0.02125),(6575,6555,0.72251,-0.015716),(6575,6565,0.72263,-0.010183),(6575,6575,0.72274,-0.00465),(6575,6585,0.72285,0.000867),(6575,6595,0.61484,0.006384),(6575,6605,0.38744,0.011901),(6575,6615,0.16005,0.012574),(6575,6625,0.000208,0.012624),(6575,6635,0.000257,0.012674),(6575,6645,0.000306,0.012689),(6575,6655,0.000355,0.012689),(6575,6665,0.000404,0.012688),(6575,6675,0.000453,0.012687),(6575,6685,0.000502,0.012685),(6575,6695,0.000551,0.012683),(6575,6705,0.0006,0.01268),(6575,6715,0.000648,0.012676),(6575,6725,0.000697,0.012672),(6575,6735,0.000745,0.012667),(6575,6745,0.000793,0.012661),(6575,6755,0.000841,0.012655),(6575,6765,0.000888,0.012649),(6575,6775,0.000936,0.012641),(6575,6785,0.000983,0.012633),(6575,6795,0.00103,0.012625),(6575,6805,0.001077,0.012616),(6575,6815,0.001124,0.012606),(6575,6825,0.00117,0.012596),(6575,6835,0.001216,0.012585),(6575,6845,0.001262,0.012573),(6575,6855,0.001308,0.012562),(6575,6865,0.001353,0.01255),(6575,6875,0.001398,0.012536),(6575,6885,0.001442,0.012523),(6575,6895,0.001486,0.012509),(6575,6905,0.00153,0.012495),(6575,6915,0.001574,0.01248),(6575,6925,0.001617,0.012465),(6575,6935,0.00166,0.012448),(6575,6945,0.001702,0.012432),(6575,6955,0.001744,0.012416),(6575,6965,0.001786,0.012398),(6575,6975,0.001828,0.01238),(6575,6985,0.001868,0.012362),(6585,5,-1.4e-05,-1.29),(6585,15,-4.1e-05,-1.2901),(6585,25,-5.1e-05,-1.2902),(6585,35,-4.6e-05,-1.2903),(6585,45,-4.1e-05,-1.2903),(6585,55,-3.6e-05,-1.2903),(6585,65,-2.8e-05,-1.2903),(6585,75,-1.9e-05,-1.2903),(6585,85,-9e-06,-1.2903),(6585,95,1e-06,-1.2902),(6585,105,7e-06,-1.2902),(6585,115,1e-05,-1.2902),(6585,125,1.3e-05,-1.2901),(6585,135,1.7e-05,-1.29),(6585,145,1.4e-05,-1.2899),(6585,155,8e-06,-1.2898),(6585,165,1e-06,-1.2897),(6585,175,-5e-06,-1.2896),(6585,185,1.1e-05,-1.2896),(6585,195,3.8e-05,-1.2895),(6585,205,6.5e-05,-1.2894),(6585,215,9.2e-05,-1.2892),(6585,225,8.9e-05,-1.2891),(6585,235,7.3e-05,-1.289),(6585,245,5.8e-05,-1.2888),(6585,255,4.2e-05,-1.2886),(6585,265,1.8e-05,-1.2885),(6585,275,-1e-05,-1.2883),(6585,285,-3.8e-05,-1.2881),(6585,295,-6.6e-05,-1.2879),(6585,305,-7.6e-05,-1.2877),(6585,315,-8.2e-05,-1.2875),(6585,325,-8.7e-05,-1.2873),(6585,335,-9.3e-05,-1.2872),(6585,345,-9.3e-05,-1.287),(6585,355,-9.3e-05,-1.2869),(6585,365,-9.2e-05,-1.2867),(6585,375,-9.2e-05,-1.2865),(6585,385,-9.3e-05,-1.2863),(6585,395,-9.6e-05,-1.2861),(6585,405,-9.8e-05,-1.2858),(6585,415,-0.0001,-1.2856),(6585,425,-0.000115,-1.2853),(6585,435,-0.000131,-1.285),(6585,445,-0.000148,-1.2848),(6585,455,-0.000165,-1.2846),(6585,465,-0.000155,-1.2844),(6585,475,-0.000144,-1.2841),(6585,485,-0.000134,-1.2839),(6585,495,-0.000123,-1.2836),(6585,505,-0.0001,-1.2833),(6585,515,-7.7e-05,-1.2831),(6585,525,-5.4e-05,-1.2828),(6585,535,-3.1e-05,-1.2825),(6585,545,-8e-06,-1.2822),(6585,555,1.5e-05,-1.282),(6585,565,3.8e-05,-1.2817),(6585,575,6e-05,-1.2814),(6585,585,7.5e-05,-1.2812),(6585,595,9e-05,-1.2809),(6585,605,0.000105,-1.2806),(6585,615,0.000118,-1.2803),(6585,625,0.000118,-1.28),(6585,635,0.000118,-1.2796),(6585,645,0.000118,-1.2793),(6585,655,0.000117,-1.2789),(6585,665,0.00011,-1.2786),(6585,675,0.000104,-1.2782),(6585,685,9.7e-05,-1.2778),(6585,695,9.7e-05,-1.2774),(6585,705,0.000119,-1.2771),(6585,715,0.000142,-1.2767),(6585,725,0.000165,-1.2764),(6585,735,0.000194,-1.276),(6585,745,0.000245,-1.2757),(6585,755,0.000296,-1.2754),(6585,765,0.000347,-1.275),(6585,775,0.000394,-1.2747),(6585,785,0.000431,-1.2743),(6585,795,0.000467,-1.2739),(6585,805,0.000504,-1.2735),(6585,815,0.000541,-1.2731),(6585,825,0.000579,-1.2727),(6585,835,0.000618,-1.2723),(6585,845,0.000656,-1.2719),(6585,855,0.000699,-1.2716),(6585,865,0.000748,-1.2712),(6585,875,0.000797,-1.2708),(6585,885,0.000846,-1.2704),(6585,895,0.000902,-1.27),(6585,905,0.00097,-1.2696),(6585,915,0.001037,-1.2692),(6585,925,0.001104,-1.2688),(6585,935,0.001192,-1.2684),(6585,945,0.001307,-1.268),(6585,955,0.001422,-1.2676),(6585,965,0.001538,-1.2672),(6585,975,0.001693,-1.2668),(6585,985,0.001894,-1.2664),(6585,995,0.002095,-1.2661),(6585,1005,0.002296,-1.2658),(6585,1015,0.002557,-1.2656),(6585,1025,0.002877,-1.2653),(6585,1035,0.003196,-1.2651),(6585,1045,0.003515,-1.2649),(6585,1055,0.003927,-1.2647),(6585,1065,0.004416,-1.2645),(6585,1075,0.004905,-1.2643),(6585,1085,0.005394,-1.2641),(6585,1095,0.006086,-1.264),(6585,1105,0.00692,-1.2638),(6585,1115,0.007754,-1.2638),(6585,1125,0.008588,-1.264),(6585,1135,0.0099,-1.2641),(6585,1145,0.011495,-1.2642),(6585,1155,0.01309,-1.2646),(6585,1165,0.014685,-1.2653),(6585,1175,0.017382,-1.2659),(6585,1185,0.020627,-1.2665),(6585,1195,0.023872,-1.2674),(6585,1205,0.027116,-1.2685),(6585,1215,0.032967,-1.2696),(6585,1225,0.039894,-1.2707),(6585,1235,0.04682,-1.2712),(6585,1245,0.053746,-1.2715),(6585,1255,0.065899,-1.2718),(6585,1265,0.079817,-1.2721),(6585,1275,0.093735,-1.2672),(6585,1285,0.10765,-1.2606),(6585,1295,0.10774,-1.254),(6585,1305,0.1041,-1.2474),(6585,1315,0.10045,-1.2357),(6585,1325,0.0968,-1.2227),(6585,1335,0.059638,-1.2098),(6585,1345,0.015452,-1.1968),(6585,1355,-0.028734,-1.2045),(6585,1365,-0.072921,-1.2159),(6585,1375,-0.087811,-1.2274),(6585,1385,-0.098182,-1.2388),(6585,1395,-0.10855,-1.247),(6585,1405,-0.11892,-1.2548),(6585,1415,-0.10576,-1.2626),(6585,1425,-0.090157,-1.2704),(6585,1435,-0.074553,-1.2701),(6585,1445,-0.058948,-1.2691),(6585,1455,-0.050967,-1.2681),(6585,1465,-0.043425,-1.2672),(6585,1475,-0.035883,-1.2659),(6585,1485,-0.028341,-1.2647),(6585,1495,-0.024788,-1.2634),(6585,1505,-0.021294,-1.2621),(6585,1515,-0.017801,-1.2609),(6585,1525,-0.014354,-1.2597),(6585,1535,-0.012694,-1.2585),(6585,1545,-0.011034,-1.2574),(6585,1555,-0.009374,-1.2569),(6585,1565,-0.007761,-1.2564),(6585,1575,-0.006828,-1.256),(6585,1585,-0.005895,-1.2555),(6585,1595,-0.004961,-1.2551),(6585,1605,-0.004076,-1.2547),(6585,1615,-0.003613,-1.2543),(6585,1625,-0.003151,-1.254),(6585,1635,-0.002688,-1.2538),(6585,1645,-0.00225,-1.2537),(6585,1655,-0.001963,-1.2536),(6585,1665,-0.001676,-1.2534),(6585,1675,-0.001389,-1.2533),(6585,1685,-0.00113,-1.2532),(6585,1695,-0.000994,-1.2531),(6585,1705,-0.000858,-1.2529),(6585,1715,-0.000722,-1.2528),(6585,1725,-0.000599,-1.2527),(6585,1735,-0.000522,-1.2526),(6585,1745,-0.000446,-1.2525),(6585,1755,-0.000369,-1.2524),(6585,1765,-0.000294,-1.2524),(6585,1775,-0.000225,-1.2523),(6585,1785,-0.000156,-1.2522),(6585,1795,-8.7e-05,-1.2522),(6585,1805,-2.4e-05,-1.2521),(6585,1815,2.4e-05,-1.2521),(6585,1825,7.2e-05,-1.252),(6585,1835,0.00012,-1.2519),(6585,1845,0.000172,-1.2519),(6585,1855,0.000231,-1.2518),(6585,1865,0.00029,-1.2518),(6585,1875,0.000349,-1.2518),(6585,1885,0.00041,-1.2518),(6585,1895,0.000472,-1.2518),(6585,1905,0.000535,-1.2518),(6585,1915,0.000598,-1.2517),(6585,1925,0.000644,-1.2516),(6585,1935,0.000667,-1.2515),(6585,1945,0.000689,-1.2514),(6585,1955,0.000711,-1.2513),(6585,1965,0.00071,-1.2512),(6585,1975,0.000681,-1.2511),(6585,1985,0.000653,-1.251),(6585,1995,0.000624,-1.2508),(6585,2005,0.000595,-1.2506),(6585,2015,0.000567,-1.2504),(6585,2025,0.000538,-1.2503),(6585,2035,0.00051,-1.2501),(6585,2045,0.000493,-1.2499),(6585,2055,0.000486,-1.2498),(6585,2065,0.000479,-1.2496),(6585,2075,0.000472,-1.2494),(6585,2085,0.00046,-1.2493),(6585,2095,0.000445,-1.2491),(6585,2105,0.00043,-1.2489),(6585,2115,0.000415,-1.2487),(6585,2125,0.000414,-1.2484),(6585,2135,0.000423,-1.2482),(6585,2145,0.000432,-1.248),(6585,2155,0.00044,-1.2478),(6585,2165,0.000466,-1.2477),(6585,2175,0.0005,-1.2475),(6585,2185,0.000535,-1.2473),(6585,2195,0.000569,-1.247),(6585,2205,0.000604,-1.2468),(6585,2215,0.00064,-1.2465),(6585,2225,0.000675,-1.2463),(6585,2235,0.000711,-1.246),(6585,2245,0.000738,-1.2457),(6585,2255,0.000761,-1.2454),(6585,2265,0.000785,-1.2452),(6585,2275,0.000809,-1.2449),(6585,2285,0.000805,-1.2446),(6585,2295,0.000792,-1.2444),(6585,2305,0.00078,-1.244),(6585,2315,0.000768,-1.2436),(6585,2325,0.000767,-1.2432),(6585,2335,0.000768,-1.2429),(6585,2345,0.00077,-1.2425),(6585,2355,0.000771,-1.2422),(6585,2365,0.000805,-1.2418),(6585,2375,0.000844,-1.2415),(6585,2385,0.000883,-1.2411),(6585,2395,0.000921,-1.2407),(6585,2405,0.000936,-1.2404),(6585,2415,0.000947,-1.24),(6585,2425,0.000959,-1.2395),(6585,2435,0.00097,-1.239),(6585,2445,0.000957,-1.2385),(6585,2455,0.000942,-1.238),(6585,2465,0.000927,-1.2375),(6585,2475,0.000912,-1.2371),(6585,2485,0.000899,-1.2366),(6585,2495,0.000886,-1.2362),(6585,2505,0.000873,-1.2357),(6585,2515,0.00086,-1.2352),(6585,2525,0.000851,-1.2347),(6585,2535,0.000842,-1.2342),(6585,2545,0.000833,-1.2336),(6585,2555,0.000826,-1.2331),(6585,2565,0.000846,-1.2325),(6585,2575,0.000866,-1.2319),(6585,2585,0.000887,-1.2314),(6585,2595,0.000909,-1.2309),(6585,2605,0.000952,-1.2303),(6585,2615,0.000996,-1.2298),(6585,2625,0.001039,-1.2292),(6585,2635,0.001081,-1.2287),(6585,2645,0.001119,-1.2281),(6585,2655,0.001156,-1.2275),(6585,2665,0.001193,-1.2269),(6585,2675,0.001229,-1.2263),(6585,2685,0.001259,-1.2257),(6585,2695,0.001289,-1.225),(6585,2705,0.001319,-1.2244),(6585,2715,0.001345,-1.2238),(6585,2725,0.001356,-1.2232),(6585,2735,0.001368,-1.2225),(6585,2745,0.001379,-1.2218),(6585,2755,0.001385,-1.2211),(6585,2765,0.001375,-1.2204),(6585,2775,0.001365,-1.2196),(6585,2785,0.001355,-1.2189),(6585,2795,0.001347,-1.2181),(6585,2805,0.001344,-1.2174),(6585,2815,0.001342,-1.2166),(6585,2825,0.001339,-1.2159),(6585,2835,0.001343,-1.2152),(6585,2845,0.001359,-1.2145),(6585,2855,0.001375,-1.2137),(6585,2865,0.001391,-1.213),(6585,2875,0.001405,-1.2122),(6585,2885,0.001415,-1.2114),(6585,2895,0.001424,-1.2106),(6585,2905,0.001434,-1.2098),(6585,2915,0.001435,-1.2089),(6585,2925,0.001424,-1.2081),(6585,2935,0.001413,-1.2072),(6585,2945,0.001402,-1.2063),(6585,2955,0.001395,-1.2054),(6585,2965,0.001393,-1.2045),(6585,2975,0.001391,-1.2036),(6585,2985,0.001389,-1.2028),(6585,2995,0.001405,-1.2019),(6585,3005,0.00144,-1.201),(6585,3015,0.001475,-1.2002),(6585,3025,0.001509,-1.1993),(6585,3035,0.001538,-1.1985),(6585,3045,0.001562,-1.1976),(6585,3055,0.001585,-1.1967),(6585,3065,0.001608,-1.1957),(6585,3075,0.001614,-1.1948),(6585,3085,0.001607,-1.1938),(6585,3095,0.001599,-1.1928),(6585,3105,0.001591,-1.1918),(6585,3115,0.001589,-1.1908),(6585,3125,0.001591,-1.1898),(6585,3135,0.001592,-1.1888),(6585,3145,0.001594,-1.1878),(6585,3155,0.001592,-1.1868),(6585,3165,0.001587,-1.1859),(6585,3175,0.001583,-1.1848),(6585,3185,0.001579,-1.1837),(6585,3195,0.001576,-1.1826),(6585,3205,0.001574,-1.1815),(6585,3215,0.001572,-1.1804),(6585,3225,0.00157,-1.1793),(6585,3235,0.001615,-1.1782),(6585,3245,0.001677,-1.1771),(6585,3255,0.001738,-1.1761),(6585,3265,0.0018,-1.1751),(6585,3275,0.001851,-1.1741),(6585,3285,0.001899,-1.1732),(6585,3295,0.001947,-1.1721),(6585,3305,0.001995,-1.1709),(6585,3315,0.001976,-1.1698),(6585,3325,0.001942,-1.1687),(6585,3335,0.001907,-1.1674),(6585,3345,0.001872,-1.1662),(6585,3355,0.001855,-1.165),(6585,3365,0.001842,-1.1637),(6585,3375,0.001829,-1.1626),(6585,3385,0.001815,-1.1614),(6585,3395,0.001851,-1.1603),(6585,3405,0.001893,-1.1591),(6585,3415,0.001935,-1.158),(6585,3425,0.001977,-1.1568),(6585,3435,0.00201,-1.1556),(6585,3445,0.002043,-1.1545),(6585,3455,0.002076,-1.1532),(6585,3465,0.002109,-1.152),(6585,3475,0.002141,-1.1508),(6585,3485,0.002171,-1.1495),(6585,3495,0.002202,-1.1483),(6585,3505,0.002233,-1.1471),(6585,3515,0.00228,-1.1459),(6585,3525,0.002326,-1.1447),(6585,3535,0.002372,-1.1435),(6585,3545,0.002419,-1.1423),(6585,3555,0.002482,-1.1411),(6585,3565,0.002545,-1.1399),(6585,3575,0.002608,-1.1386),(6585,3585,0.002671,-1.1374),(6585,3595,0.002729,-1.1361),(6585,3605,0.002787,-1.1348),(6585,3615,0.002846,-1.1335),(6585,3625,0.002911,-1.1322),(6585,3635,0.003023,-1.1308),(6585,3645,0.003135,-1.1295),(6585,3655,0.003247,-1.1283),(6585,3665,0.003378,-1.1271),(6585,3675,0.003602,-1.1259),(6585,3685,0.003827,-1.1247),(6585,3695,0.004051,-1.1236),(6585,3705,0.004295,-1.1225),(6585,3715,0.004619,-1.1213),(6585,3725,0.004942,-1.1202),(6585,3735,0.005266,-1.1191),(6585,3745,0.005635,-1.118),(6585,3755,0.006145,-1.1169),(6585,3765,0.006656,-1.1158),(6585,3775,0.007166,-1.1148),(6585,3785,0.007763,-1.1138),(6585,3795,0.008579,-1.1128),(6585,3805,0.009394,-1.1118),(6585,3815,0.01021,-1.111),(6585,3825,0.011246,-1.1101),(6585,3835,0.012746,-1.1093),(6585,3845,0.014246,-1.1085),(6585,3855,0.015746,-1.108),(6585,3865,0.017715,-1.1075),(6585,3875,0.020511,-1.107),(6585,3885,0.023307,-1.1065),(6585,3895,0.026103,-1.1059),(6585,3905,0.029953,-1.1054),(6585,3915,0.035377,-1.1049),(6585,3925,0.0408,-1.1041),(6585,3935,0.046224,-1.1028),(6585,3945,0.053622,-1.1015),(6585,3955,0.063528,-1.1002),(6585,3965,0.073434,-1.0964),(6585,3975,0.08334,-1.0898),(6585,3985,0.090367,-1.0832),(6585,3995,0.094275,-1.0765),(6585,4005,0.098184,-1.0664),(6585,4015,0.10209,-1.0528),(6585,4025,0.15212,-1.0392),(6585,4035,0.20666,-1.0296),(6585,4045,0.2612,-1.0284),(6585,4055,0.31442,-1.0273),(6585,4065,0.36714,-1.026),(6585,4075,0.41987,-1.0241),(6585,4085,0.4438,-1.0222),(6585,4095,0.44459,-1.0203),(6585,4105,0.44538,-1.0183),(6585,4115,0.44617,-1.0164),(6585,4125,0.44695,-1.0144),(6585,4135,0.44773,-1.0125),(6585,4145,0.44851,-1.0106),(6585,4155,0.44929,-1.0087),(6585,4165,0.45006,-1.0067),(6585,4175,0.45084,-1.0048),(6585,4185,0.4516,-1.0029),(6585,4195,0.45236,-1.001),(6585,4205,0.45313,-0.99894),(6585,4215,0.45388,-0.99689),(6585,4225,0.45462,-0.99484),(6585,4235,0.45537,-0.99277),(6585,4245,0.45612,-0.99069),(6585,4255,0.45688,-0.98862),(6585,4265,0.45763,-0.98655),(6585,4275,0.4584,-0.98447),(6585,4285,0.45918,-0.9824),(6585,4295,0.45997,-0.98029),(6585,4305,0.46077,-0.97817),(6585,4315,0.46159,-0.97605),(6585,4325,0.46242,-0.97388),(6585,4335,0.46325,-0.97168),(6585,4345,0.46412,-0.96949),(6585,4355,0.46498,-0.96728),(6585,4365,0.46585,-0.96505),(6585,4375,0.46674,-0.96282),(6585,4385,0.46763,-0.96056),(6585,4395,0.46852,-0.95824),(6585,4405,0.46942,-0.95593),(6585,4415,0.47033,-0.9536),(6585,4425,0.47123,-0.95122),(6585,4435,0.47216,-0.94885),(6585,4445,0.47311,-0.94647),(6585,4455,0.47406,-0.94405),(6585,4465,0.47502,-0.94163),(6585,4475,0.47602,-0.9392),(6585,4485,0.47701,-0.93671),(6585,4495,0.47801,-0.9342),(6585,4505,0.47906,-0.93169),(6585,4515,0.4801,-0.92913),(6585,4525,0.48114,-0.92656),(6585,4535,0.48222,-0.92399),(6585,4545,0.48331,-0.92138),(6585,4555,0.48439,-0.91874),(6585,4565,0.4855,-0.9161),(6585,4575,0.48661,-0.91344),(6585,4585,0.48772,-0.91073),(6585,4595,0.48885,-0.90803),(6585,4605,0.49,-0.90532),(6585,4615,0.49114,-0.90253),(6585,4625,0.4923,-0.89974),(6585,4635,0.49346,-0.89695),(6585,4645,0.49463,-0.89406),(6585,4655,0.4958,-0.89116),(6585,4665,0.497,-0.88826),(6585,4675,0.49819,-0.8853),(6585,4685,0.49939,-0.88233),(6585,4695,0.50062,-0.87935),(6585,4705,0.50186,-0.87636),(6585,4715,0.50309,-0.87336),(6585,4725,0.50438,-0.87036),(6585,4735,0.50567,-0.86735),(6585,4745,0.50696,-0.86433),(6585,4755,0.5083,-0.86131),(6585,4765,0.50964,-0.85827),(6585,4775,0.51098,-0.85517),(6585,4785,0.51235,-0.85206),(6585,4795,0.51373,-0.84895),(6585,4805,0.5151,-0.84572),(6585,4815,0.51649,-0.84248),(6585,4825,0.51788,-0.83924),(6585,4835,0.51927,-0.83594),(6585,4845,0.52067,-0.83262),(6585,4855,0.52207,-0.8293),(6585,4865,0.52348,-0.82594),(6585,4875,0.52489,-0.82256),(6585,4885,0.52631,-0.81919),(6585,4895,0.52772,-0.81576),(6585,4905,0.52914,-0.81229),(6585,4915,0.53057,-0.80881),(6585,4925,0.532,-0.80531),(6585,4935,0.53343,-0.80175),(6585,4945,0.53488,-0.79819),(6585,4955,0.53635,-0.79463),(6585,4965,0.53781,-0.79104),(6585,4975,0.53929,-0.78746),(6585,4985,0.54079,-0.78387),(6585,4995,0.54229,-0.78023),(6585,5005,0.5438,-0.7766),(6585,5015,0.54532,-0.77296),(6585,5025,0.54684,-0.76926),(6585,5035,0.54836,-0.76555),(6585,5045,0.5499,-0.76184),(6585,5055,0.55143,-0.75807),(6585,5065,0.55297,-0.75427),(6585,5075,0.55451,-0.75048),(6585,5085,0.55605,-0.74665),(6585,5095,0.55759,-0.74279),(6585,5105,0.55913,-0.73892),(6585,5115,0.56068,-0.73505),(6585,5125,0.56222,-0.73113),(6585,5135,0.56378,-0.72722),(6585,5145,0.56534,-0.7233),(6585,5155,0.5669,-0.71932),(6585,5165,0.56847,-0.71534),(6585,5175,0.57003,-0.71136),(6585,5185,0.5716,-0.70729),(6585,5195,0.57317,-0.70321),(6585,5205,0.57474,-0.69914),(6585,5215,0.5763,-0.695),(6585,5225,0.57787,-0.69083),(6585,5235,0.57943,-0.68667),(6585,5245,0.581,-0.68249),(6585,5255,0.58256,-0.6783),(6585,5265,0.58413,-0.67411),(6585,5275,0.5857,-0.66989),(6585,5285,0.58727,-0.66563),(6585,5295,0.58883,-0.66138),(6585,5305,0.59039,-0.6571),(6585,5315,0.59194,-0.65276),(6585,5325,0.59348,-0.64842),(6585,5335,0.59501,-0.64408),(6585,5345,0.59654,-0.63971),(6585,5355,0.59807,-0.63533),(6585,5365,0.59959,-0.63095),(6585,5375,0.60111,-0.62658),(6585,5385,0.60264,-0.62221),(6585,5395,0.60418,-0.61784),(6585,5405,0.60572,-0.61344),(6585,5415,0.60726,-0.60903),(6585,5425,0.6088,-0.60461),(6585,5435,0.61034,-0.60014),(6585,5445,0.61187,-0.59561),(6585,5455,0.61338,-0.59108),(6585,5465,0.61488,-0.58653),(6585,5475,0.61638,-0.58191),(6585,5485,0.61785,-0.57729),(6585,5495,0.6193,-0.57267),(6585,5505,0.62076,-0.568),(6585,5515,0.6222,-0.56332),(6585,5525,0.62363,-0.55865),(6585,5535,0.62506,-0.55393),(6585,5545,0.62649,-0.5492),(6585,5555,0.62791,-0.54447),(6585,5565,0.62934,-0.53972),(6585,5575,0.63076,-0.53495),(6585,5585,0.6322,-0.53019),(6585,5595,0.63364,-0.52541),(6585,5605,0.63508,-0.52063),(6585,5615,0.63651,-0.51584),(6585,5625,0.63794,-0.51102),(6585,5635,0.63937,-0.50615),(6585,5645,0.64076,-0.50127),(6585,5655,0.64214,-0.49637),(6585,5665,0.64352,-0.49139),(6585,5675,0.64488,-0.48641),(6585,5685,0.64622,-0.48142),(6585,5695,0.64756,-0.47643),(6585,5705,0.6489,-0.47144),(6585,5715,0.65024,-0.46644),(6585,5725,0.65157,-0.46149),(6585,5735,0.65291,-0.45654),(6585,5745,0.65423,-0.45159),(6585,5755,0.65555,-0.44661),(6585,5765,0.65687,-0.44163),(6585,5775,0.65816,-0.43665),(6585,5785,0.65945,-0.43162),(6585,5795,0.66075,-0.42655),(6585,5805,0.66199,-0.42149),(6585,5815,0.66324,-0.41641),(6585,5825,0.66449,-0.41132),(6585,5835,0.6657,-0.40624),(6585,5845,0.6669,-0.40114),(6585,5855,0.6681,-0.39599),(6585,5865,0.66927,-0.39085),(6585,5875,0.67042,-0.3857),(6585,5885,0.67156,-0.38047),(6585,5895,0.67269,-0.37524),(6585,5905,0.67379,-0.37),(6585,5915,0.6749,-0.36476),(6585,5925,0.67599,-0.3595),(6585,5935,0.67707,-0.35425),(6585,5945,0.67814,-0.34901),(6585,5955,0.67921,-0.34378),(6585,5965,0.68025,-0.33856),(6585,5975,0.68129,-0.33331),(6585,5985,0.68233,-0.32804),(6585,5995,0.68332,-0.32277),(6585,6005,0.68431,-0.31749),(6585,6015,0.68529,-0.31217),(6585,6025,0.68624,-0.30686),(6585,6035,0.68717,-0.30154),(6585,6045,0.6881,-0.29619),(6585,6055,0.68901,-0.29084),(6585,6065,0.6899,-0.2855),(6585,6075,0.69079,-0.28008),(6585,6085,0.69167,-0.27465),(6585,6095,0.69253,-0.26923),(6585,6105,0.69339,-0.26381),(6585,6115,0.69424,-0.25839),(6585,6125,0.69508,-0.25298),(6585,6135,0.69591,-0.2476),(6585,6145,0.69674,-0.24225),(6585,6155,0.69751,-0.23689),(6585,6165,0.69829,-0.2315),(6585,6175,0.69906,-0.22605),(6585,6185,0.69977,-0.22059),(6585,6195,0.70047,-0.21511),(6585,6205,0.70116,-0.20956),(6585,6215,0.70183,-0.204),(6585,6225,0.70249,-0.19845),(6585,6235,0.70315,-0.19296),(6585,6245,0.70379,-0.18746),(6585,6255,0.70441,-0.18197),(6585,6265,0.70503,-0.17649),(6585,6275,0.70564,-0.17101),(6585,6285,0.70622,-0.16553),(6585,6295,0.7068,-0.16007),(6585,6305,0.70738,-0.15462),(6585,6315,0.7079,-0.14918),(6585,6325,0.70842,-0.14373),(6585,6335,0.70894,-0.13828),(6585,6345,0.7094,-0.13284),(6585,6355,0.70985,-0.12732),(6585,6365,0.7103,-0.12162),(6585,6375,0.7107,-0.11593),(6585,6385,0.71109,-0.11025),(6585,6395,0.71148,-0.10469),(6585,6405,0.71186,-0.099137),(6585,6415,0.71221,-0.09358),(6585,6425,0.71257,-0.088054),(6585,6435,0.71291,-0.082529),(6585,6445,0.71321,-0.077004),(6585,6455,0.71352,-0.071473),(6585,6465,0.71381,-0.065941),(6585,6475,0.71405,-0.060408),(6585,6485,0.7143,-0.054825),(6585,6495,0.71454,-0.049207),(6585,6505,0.71474,-0.043589),(6585,6515,0.71493,-0.037972),(6585,6525,0.71512,-0.032358),(6585,6535,0.71528,-0.026744),(6585,6545,0.71542,-0.021149),(6585,6555,0.71556,-0.015617),(6585,6565,0.71567,-0.010084),(6585,6575,0.71577,-0.004553),(6585,6585,0.71587,0.000956),(6585,6595,0.6089,0.006466),(6585,6605,0.3837,0.011975),(6585,6615,0.1585,0.012641),(6585,6625,0.000206,0.012684),(6585,6635,0.000255,0.012726),(6585,6645,0.000305,0.012739),(6585,6655,0.000355,0.012738),(6585,6665,0.000405,0.012738),(6585,6675,0.000454,0.012737),(6585,6685,0.000504,0.012734),(6585,6695,0.000553,0.012732),(6585,6705,0.000602,0.012729),(6585,6715,0.000651,0.012725),(6585,6725,0.0007,0.012721),(6585,6735,0.000749,0.012716),(6585,6745,0.000798,0.01271),(6585,6755,0.000846,0.012703),(6585,6765,0.000895,0.012697),(6585,6775,0.000943,0.012689),(6585,6785,0.000991,0.012681),(6585,6795,0.001038,0.012673),(6585,6805,0.001086,0.012663),(6585,6815,0.001133,0.012653),(6585,6825,0.001179,0.012643),(6585,6835,0.001226,0.012631),(6585,6845,0.001273,0.01262),(6585,6855,0.001318,0.012608),(6585,6865,0.001364,0.012595),(6585,6875,0.00141,0.012582),(6585,6885,0.001454,0.012568),(6585,6895,0.001499,0.012554),(6585,6905,0.001544,0.012539),(6585,6915,0.001587,0.012524),(6585,6925,0.001631,0.012508),(6585,6935,0.001674,0.012491),(6585,6945,0.001717,0.012475),(6585,6955,0.00176,0.012458),(6585,6965,0.001802,0.01244),(6585,6975,0.001844,0.012422),(6585,6985,0.001885,0.012403),(6595,5,-2.1e-05,-1.2901),(6595,15,-6.4e-05,-1.2901),(6595,25,-8.6e-05,-1.2902),(6595,35,-8.8e-05,-1.2903),(6595,45,-9e-05,-1.2903),(6595,55,-9.2e-05,-1.2903),(6595,65,-8.4e-05,-1.2903),(6595,75,-6.8e-05,-1.2903),(6595,85,-5.2e-05,-1.2902),(6595,95,-3.5e-05,-1.2902),(6595,105,-2e-05,-1.2902),(6595,115,-4e-06,-1.2902),(6595,125,1.1e-05,-1.2901),(6595,135,2.7e-05,-1.29),(6595,145,2.5e-05,-1.2899),(6595,155,1.4e-05,-1.2898),(6595,165,3e-06,-1.2897),(6595,175,-9e-06,-1.2897),(6595,185,7e-06,-1.2896),(6595,195,3.6e-05,-1.2895),(6595,205,6.5e-05,-1.2894),(6595,215,9.4e-05,-1.2892),(6595,225,9.9e-05,-1.2891),(6595,235,9.4e-05,-1.289),(6595,245,8.9e-05,-1.2888),(6595,255,8.3e-05,-1.2887),(6595,265,6.1e-05,-1.2885),(6595,275,3.2e-05,-1.2883),(6595,285,4e-06,-1.2881),(6595,295,-2.5e-05,-1.2879),(6595,305,-3.8e-05,-1.2877),(6595,315,-4.6e-05,-1.2875),(6595,325,-5.5e-05,-1.2873),(6595,335,-6.4e-05,-1.2872),(6595,345,-6.3e-05,-1.287),(6595,355,-6.1e-05,-1.2869),(6595,365,-5.9e-05,-1.2867),(6595,375,-5.7e-05,-1.2865),(6595,385,-5.9e-05,-1.2863),(6595,395,-6.1e-05,-1.2861),(6595,405,-6.2e-05,-1.2859),(6595,415,-6.4e-05,-1.2856),(6595,425,-8.7e-05,-1.2853),(6595,435,-0.000112,-1.2851),(6595,445,-0.000138,-1.2848),(6595,455,-0.000163,-1.2846),(6595,465,-0.000164,-1.2844),(6595,475,-0.000163,-1.2841),(6595,485,-0.000163,-1.2839),(6595,495,-0.000163,-1.2836),(6595,505,-0.00014,-1.2833),(6595,515,-0.000118,-1.283),(6595,525,-9.6e-05,-1.2828),(6595,535,-7.3e-05,-1.2825),(6595,545,-4.8e-05,-1.2822),(6595,555,-2.2e-05,-1.2819),(6595,565,3e-06,-1.2817),(6595,575,2.8e-05,-1.2814),(6595,585,4.5e-05,-1.2811),(6595,595,6.3e-05,-1.2809),(6595,605,8e-05,-1.2806),(6595,615,9.5e-05,-1.2803),(6595,625,9.7e-05,-1.2799),(6595,635,9.9e-05,-1.2796),(6595,645,0.000101,-1.2793),(6595,655,0.000102,-1.2789),(6595,665,9.4e-05,-1.2786),(6595,675,8.6e-05,-1.2782),(6595,685,7.9e-05,-1.2778),(6595,695,7.6e-05,-1.2775),(6595,705,9.2e-05,-1.2771),(6595,715,0.000108,-1.2767),(6595,725,0.000125,-1.2763),(6595,735,0.000149,-1.276),(6595,745,0.000202,-1.2757),(6595,755,0.000255,-1.2753),(6595,765,0.000307,-1.275),(6595,775,0.000357,-1.2746),(6595,785,0.0004,-1.2743),(6595,795,0.000442,-1.2739),(6595,805,0.000484,-1.2735),(6595,815,0.000527,-1.2731),(6595,825,0.00057,-1.2727),(6595,835,0.000612,-1.2723),(6595,845,0.000655,-1.2719),(6595,855,0.000701,-1.2715),(6595,865,0.000754,-1.2711),(6595,875,0.000807,-1.2708),(6595,885,0.00086,-1.2704),(6595,895,0.000919,-1.27),(6595,905,0.000988,-1.2696),(6595,915,0.001058,-1.2692),(6595,925,0.001128,-1.2688),(6595,935,0.001218,-1.2683),(6595,945,0.001337,-1.2679),(6595,955,0.001456,-1.2675),(6595,965,0.001574,-1.2671),(6595,975,0.001736,-1.2667),(6595,985,0.001948,-1.2663),(6595,995,0.002159,-1.266),(6595,1005,0.00237,-1.2657),(6595,1015,0.002649,-1.2654),(6595,1025,0.002994,-1.2651),(6595,1035,0.003338,-1.2649),(6595,1045,0.003683,-1.2646),(6595,1055,0.004134,-1.2644),(6595,1065,0.004671,-1.2642),(6595,1075,0.005209,-1.264),(6595,1085,0.005747,-1.2638),(6595,1095,0.006505,-1.2636),(6595,1105,0.007417,-1.2634),(6595,1115,0.008329,-1.2633),(6595,1125,0.009241,-1.2634),(6595,1135,0.010664,-1.2634),(6595,1145,0.01239,-1.2634),(6595,1155,0.014115,-1.2637),(6595,1165,0.01584,-1.2641),(6595,1175,0.018698,-1.2645),(6595,1185,0.022118,-1.2649),(6595,1195,0.025538,-1.2655),(6595,1205,0.028957,-1.2662),(6595,1215,0.034773,-1.2668),(6595,1225,0.041577,-1.2675),(6595,1235,0.048381,-1.2673),(6595,1245,0.055186,-1.2669),(6595,1255,0.065951,-1.2666),(6595,1265,0.078054,-1.2662),(6595,1275,0.090158,-1.2609),(6595,1285,0.10226,-1.2542),(6595,1295,0.10038,-1.2475),(6595,1305,0.09471,-1.2408),(6595,1315,0.089042,-1.2304),(6595,1325,0.083375,-1.2191),(6595,1335,0.051402,-1.2079),(6595,1345,0.013915,-1.1966),(6595,1355,-0.023572,-1.2031),(6595,1365,-0.061059,-1.2128),(6595,1375,-0.07619,-1.2226),(6595,1385,-0.087872,-1.2323),(6595,1395,-0.099553,-1.2403),(6595,1405,-0.11124,-1.248),(6595,1415,-0.10023,-1.2558),(6595,1425,-0.086872,-1.2636),(6595,1435,-0.073513,-1.264),(6595,1445,-0.060154,-1.2639),(6595,1455,-0.052484,-1.2638),(6595,1465,-0.045142,-1.2636),(6595,1475,-0.037801,-1.2628),(6595,1485,-0.030459,-1.262),(6595,1495,-0.026709,-1.2612),(6595,1505,-0.023012,-1.2604),(6595,1515,-0.019316,-1.2594),(6595,1525,-0.015667,-1.2584),(6595,1535,-0.013871,-1.2575),(6595,1545,-0.012074,-1.2565),(6595,1555,-0.010278,-1.2562),(6595,1565,-0.008531,-1.2558),(6595,1575,-0.007504,-1.2554),(6595,1585,-0.006478,-1.255),(6595,1595,-0.005451,-1.2547),(6595,1605,-0.004479,-1.2544),(6595,1615,-0.003971,-1.254),(6595,1625,-0.003463,-1.2538),(6595,1635,-0.002955,-1.2536),(6595,1645,-0.002476,-1.2535),(6595,1655,-0.002168,-1.2534),(6595,1665,-0.001859,-1.2533),(6595,1675,-0.001551,-1.2532),(6595,1685,-0.001272,-1.2531),(6595,1695,-0.001122,-1.253),(6595,1705,-0.000972,-1.2529),(6595,1715,-0.000822,-1.2528),(6595,1725,-0.000688,-1.2527),(6595,1735,-0.000607,-1.2525),(6595,1745,-0.000526,-1.2524),(6595,1755,-0.000446,-1.2524),(6595,1765,-0.000365,-1.2523),(6595,1775,-0.000288,-1.2522),(6595,1785,-0.00021,-1.2522),(6595,1795,-0.000132,-1.2521),(6595,1805,-6.1e-05,-1.2521),(6595,1815,-5e-06,-1.252),(6595,1825,5.1e-05,-1.252),(6595,1835,0.000107,-1.2519),(6595,1845,0.000163,-1.2519),(6595,1855,0.000222,-1.2518),(6595,1865,0.000281,-1.2518),(6595,1875,0.000339,-1.2518),(6595,1885,0.000404,-1.2518),(6595,1895,0.00048,-1.2518),(6595,1905,0.000555,-1.2517),(6595,1915,0.00063,-1.2516),(6595,1925,0.00069,-1.2515),(6595,1935,0.00073,-1.2514),(6595,1945,0.00077,-1.2513),(6595,1955,0.00081,-1.2513),(6595,1965,0.000821,-1.2512),(6595,1975,0.000796,-1.2511),(6595,1985,0.000772,-1.251),(6595,1995,0.000747,-1.2508),(6595,2005,0.000717,-1.2507),(6595,2015,0.000679,-1.2505),(6595,2025,0.000642,-1.2503),(6595,2035,0.000604,-1.2501),(6595,2045,0.000581,-1.25),(6595,2055,0.000568,-1.2498),(6595,2065,0.000556,-1.2496),(6595,2075,0.000544,-1.2495),(6595,2085,0.000529,-1.2493),(6595,2095,0.000512,-1.2491),(6595,2105,0.000496,-1.2489),(6595,2115,0.000479,-1.2487),(6595,2125,0.000475,-1.2484),(6595,2135,0.000479,-1.2482),(6595,2145,0.000483,-1.248),(6595,2155,0.000486,-1.2478),(6595,2165,0.00051,-1.2476),(6595,2175,0.000544,-1.2475),(6595,2185,0.000578,-1.2472),(6595,2195,0.000612,-1.247),(6595,2205,0.000652,-1.2468),(6595,2215,0.000694,-1.2465),(6595,2225,0.000736,-1.2462),(6595,2235,0.000777,-1.246),(6595,2245,0.00081,-1.2457),(6595,2255,0.000839,-1.2454),(6595,2265,0.000869,-1.2452),(6595,2275,0.000898,-1.2449),(6595,2285,0.000889,-1.2446),(6595,2295,0.000869,-1.2444),(6595,2305,0.000849,-1.244),(6595,2315,0.00083,-1.2436),(6595,2325,0.000815,-1.2433),(6595,2335,0.000802,-1.2429),(6595,2345,0.000789,-1.2425),(6595,2355,0.000777,-1.2422),(6595,2365,0.000812,-1.2418),(6595,2375,0.000855,-1.2415),(6595,2385,0.000899,-1.2411),(6595,2395,0.000942,-1.2407),(6595,2405,0.000972,-1.2403),(6595,2415,0.001,-1.2399),(6595,2425,0.001028,-1.2395),(6595,2435,0.001056,-1.239),(6595,2445,0.001049,-1.2385),(6595,2455,0.001039,-1.238),(6595,2465,0.001029,-1.2376),(6595,2475,0.001019,-1.2371),(6595,2485,0.001,-1.2366),(6595,2495,0.000981,-1.2362),(6595,2505,0.000963,-1.2357),(6595,2515,0.000944,-1.2352),(6595,2525,0.000923,-1.2347),(6595,2535,0.000903,-1.2342),(6595,2545,0.000883,-1.2337),(6595,2555,0.000864,-1.2331),(6595,2565,0.000872,-1.2325),(6595,2575,0.00088,-1.2319),(6595,2585,0.000888,-1.2314),(6595,2595,0.0009,-1.2309),(6595,2605,0.000941,-1.2303),(6595,2615,0.000982,-1.2298),(6595,2625,0.001023,-1.2292),(6595,2635,0.001065,-1.2286),(6595,2645,0.001108,-1.228),(6595,2655,0.001152,-1.2275),(6595,2665,0.001195,-1.2268),(6595,2675,0.001239,-1.2262),(6595,2685,0.001278,-1.2256),(6595,2695,0.001318,-1.225),(6595,2705,0.001358,-1.2244),(6595,2715,0.001394,-1.2238),(6595,2725,0.001417,-1.2231),(6595,2735,0.001439,-1.2225),(6595,2745,0.001461,-1.2218),(6595,2755,0.001476,-1.2211),(6595,2765,0.001466,-1.2204),(6595,2775,0.001457,-1.2197),(6595,2785,0.001448,-1.2189),(6595,2795,0.001437,-1.2182),(6595,2805,0.001423,-1.2174),(6595,2815,0.001409,-1.2167),(6595,2825,0.001395,-1.2159),(6595,2835,0.001389,-1.2152),(6595,2845,0.001397,-1.2145),(6595,2855,0.001405,-1.2137),(6595,2865,0.001413,-1.2129),(6595,2875,0.001424,-1.2122),(6595,2885,0.001438,-1.2114),(6595,2895,0.001452,-1.2106),(6595,2905,0.001466,-1.2098),(6595,2915,0.001473,-1.2089),(6595,2925,0.001468,-1.2081),(6595,2935,0.001463,-1.2072),(6595,2945,0.001458,-1.2063),(6595,2955,0.001454,-1.2054),(6595,2965,0.00145,-1.2045),(6595,2975,0.001446,-1.2036),(6595,2985,0.001443,-1.2028),(6595,2995,0.001457,-1.2019),(6595,3005,0.001491,-1.201),(6595,3015,0.001524,-1.2001),(6595,3025,0.001557,-1.1993),(6595,3035,0.001587,-1.1984),(6595,3045,0.001615,-1.1976),(6595,3055,0.001642,-1.1967),(6595,3065,0.001669,-1.1957),(6595,3075,0.001675,-1.1948),(6595,3085,0.001665,-1.1938),(6595,3095,0.001655,-1.1928),(6595,3105,0.001644,-1.1918),(6595,3115,0.001639,-1.1908),(6595,3125,0.001637,-1.1898),(6595,3135,0.001635,-1.1888),(6595,3145,0.001633,-1.1878),(6595,3155,0.00163,-1.1868),(6595,3165,0.001628,-1.1859),(6595,3175,0.001625,-1.1848),(6595,3185,0.001623,-1.1837),(6595,3195,0.00162,-1.1826),(6595,3205,0.001617,-1.1815),(6595,3215,0.001613,-1.1804),(6595,3225,0.00161,-1.1793),(6595,3235,0.001658,-1.1782),(6595,3245,0.001726,-1.1771),(6595,3255,0.001795,-1.1761),(6595,3265,0.001863,-1.1751),(6595,3275,0.001929,-1.1741),(6595,3285,0.001995,-1.1731),(6595,3295,0.002061,-1.172),(6595,3305,0.002127,-1.1709),(6595,3315,0.002109,-1.1698),(6595,3325,0.002072,-1.1687),(6595,3335,0.002034,-1.1675),(6595,3345,0.001997,-1.1662),(6595,3355,0.001963,-1.165),(6595,3365,0.001929,-1.1638),(6595,3375,0.001896,-1.1626),(6595,3385,0.001862,-1.1614),(6595,3395,0.001892,-1.1603),(6595,3405,0.00193,-1.1591),(6595,3415,0.001968,-1.1579),(6595,3425,0.002006,-1.1568),(6595,3435,0.002048,-1.1556),(6595,3445,0.002091,-1.1544),(6595,3455,0.002134,-1.1532),(6595,3465,0.002177,-1.152),(6595,3475,0.002213,-1.1507),(6595,3485,0.00225,-1.1495),(6595,3495,0.002286,-1.1483),(6595,3505,0.002322,-1.1471),(6595,3515,0.002368,-1.1459),(6595,3525,0.002413,-1.1447),(6595,3535,0.002459,-1.1435),(6595,3545,0.002506,-1.1422),(6595,3555,0.002576,-1.141),(6595,3565,0.002645,-1.1398),(6595,3575,0.002714,-1.1386),(6595,3585,0.002784,-1.1373),(6595,3595,0.002853,-1.1361),(6595,3605,0.002923,-1.1348),(6595,3615,0.002992,-1.1335),(6595,3625,0.003067,-1.1321),(6595,3635,0.003185,-1.1308),(6595,3645,0.003302,-1.1295),(6595,3655,0.00342,-1.1282),(6595,3665,0.003558,-1.127),(6595,3675,0.003799,-1.1258),(6595,3685,0.004041,-1.1246),(6595,3695,0.004282,-1.1234),(6595,3705,0.004546,-1.1223),(6595,3715,0.004899,-1.1211),(6595,3725,0.005253,-1.1199),(6595,3735,0.005606,-1.1188),(6595,3745,0.006009,-1.1177),(6595,3755,0.006567,-1.1165),(6595,3765,0.007124,-1.1154),(6595,3775,0.007683,-1.1144),(6595,3785,0.00833,-1.1133),(6595,3795,0.009208,-1.1123),(6595,3805,0.010085,-1.1112),(6595,3815,0.010962,-1.1103),(6595,3825,0.012067,-1.1093),(6595,3835,0.013651,-1.1084),(6595,3845,0.015235,-1.1075),(6595,3855,0.01682,-1.1068),(6595,3865,0.018869,-1.106),(6595,3875,0.021739,-1.1053),(6595,3885,0.02461,-1.1046),(6595,3895,0.02748,-1.1037),(6595,3905,0.031289,-1.1028),(6595,3915,0.0365,-1.1019),(6595,3925,0.04171,-1.1006),(6595,3935,0.046921,-1.0988),(6595,3945,0.053581,-1.097),(6595,3955,0.062079,-1.0952),(6595,3965,0.070578,-1.0911),(6595,3975,0.079076,-1.0845),(6595,3985,0.084185,-1.0778),(6595,3995,0.085624,-1.0712),(6595,4005,0.087062,-1.0619),(6595,4015,0.088501,-1.0499),(6595,4025,0.14171,-1.038),(6595,4035,0.19998,-1.0296),(6595,4045,0.25826,-1.0284),(6595,4055,0.3122,-1.0273),(6595,4065,0.36456,-1.026),(6595,4075,0.41692,-1.0241),(6595,4085,0.44069,-1.0222),(6595,4095,0.44148,-1.0203),(6595,4105,0.44227,-1.0183),(6595,4115,0.44306,-1.0164),(6595,4125,0.44384,-1.0145),(6595,4135,0.44462,-1.0125),(6595,4145,0.44539,-1.0106),(6595,4155,0.44617,-1.0087),(6595,4165,0.44694,-1.0068),(6595,4175,0.44771,-1.0049),(6595,4185,0.44847,-1.003),(6595,4195,0.44922,-1.001),(6595,4205,0.44998,-0.99902),(6595,4215,0.45072,-0.99698),(6595,4225,0.45146,-0.99494),(6595,4235,0.4522,-0.99287),(6595,4245,0.45294,-0.9908),(6595,4255,0.45368,-0.98873),(6595,4265,0.45442,-0.98665),(6595,4275,0.45517,-0.98458),(6595,4285,0.45594,-0.98251),(6595,4295,0.4567,-0.98038),(6595,4305,0.45748,-0.97826),(6595,4315,0.45829,-0.97613),(6595,4325,0.45909,-0.97395),(6595,4335,0.45991,-0.97175),(6595,4345,0.46075,-0.96955),(6595,4355,0.4616,-0.96733),(6595,4365,0.46245,-0.96511),(6595,4375,0.46332,-0.96288),(6595,4385,0.46419,-0.96062),(6595,4395,0.46506,-0.95831),(6595,4405,0.46594,-0.95599),(6595,4415,0.46683,-0.95367),(6595,4425,0.46771,-0.95129),(6595,4435,0.46862,-0.94891),(6595,4445,0.46954,-0.94654),(6595,4455,0.47046,-0.94411),(6595,4465,0.4714,-0.94168),(6595,4475,0.47237,-0.93925),(6595,4485,0.47333,-0.93674),(6595,4495,0.47431,-0.93422),(6595,4505,0.47533,-0.9317),(6595,4515,0.47634,-0.92914),(6595,4525,0.47736,-0.92656),(6595,4535,0.47842,-0.92398),(6595,4545,0.47948,-0.92137),(6595,4555,0.48054,-0.91872),(6595,4565,0.48164,-0.91607),(6595,4575,0.48273,-0.9134),(6595,4585,0.48383,-0.9107),(6595,4595,0.48495,-0.90799),(6595,4605,0.48609,-0.90527),(6595,4615,0.48722,-0.90249),(6595,4625,0.48836,-0.8997),(6595,4635,0.48952,-0.89691),(6595,4645,0.49067,-0.89402),(6595,4655,0.49183,-0.89112),(6595,4665,0.493,-0.88823),(6595,4675,0.49417,-0.88526),(6595,4685,0.49534,-0.88228),(6595,4695,0.49654,-0.8793),(6595,4705,0.49774,-0.8763),(6595,4715,0.49894,-0.87329),(6595,4725,0.50019,-0.87028),(6595,4735,0.50145,-0.86726),(6595,4745,0.50271,-0.86423),(6595,4755,0.50401,-0.8612),(6595,4765,0.50532,-0.85815),(6595,4775,0.50664,-0.85503),(6595,4785,0.50798,-0.85191),(6595,4795,0.50934,-0.84879),(6595,4805,0.5107,-0.84555),(6595,4815,0.51207,-0.84231),(6595,4825,0.51345,-0.83908),(6595,4835,0.51483,-0.83577),(6595,4845,0.51622,-0.83245),(6595,4855,0.51762,-0.82912),(6595,4865,0.51901,-0.82577),(6595,4875,0.52041,-0.82239),(6595,4885,0.52182,-0.81902),(6595,4895,0.52322,-0.81559),(6595,4905,0.52462,-0.81212),(6595,4915,0.52603,-0.80865),(6595,4925,0.52744,-0.80514),(6595,4935,0.52885,-0.80158),(6595,4945,0.53027,-0.79802),(6595,4955,0.5317,-0.79445),(6595,4965,0.53314,-0.79085),(6595,4975,0.53459,-0.78725),(6595,4985,0.53606,-0.78365),(6595,4995,0.53752,-0.78001),(6595,5005,0.539,-0.77637),(6595,5015,0.5405,-0.77273),(6595,5025,0.54199,-0.76902),(6595,5035,0.54349,-0.7653),(6595,5045,0.545,-0.76158),(6595,5055,0.54652,-0.75782),(6595,5065,0.54803,-0.75402),(6595,5075,0.54955,-0.75022),(6595,5085,0.55107,-0.74639),(6595,5095,0.55259,-0.74253),(6595,5105,0.55411,-0.73867),(6595,5115,0.55563,-0.73479),(6595,5125,0.55714,-0.73087),(6595,5135,0.55867,-0.72695),(6595,5145,0.56021,-0.72303),(6595,5155,0.56174,-0.71904),(6595,5165,0.56328,-0.71506),(6595,5175,0.56483,-0.71107),(6595,5185,0.56637,-0.707),(6595,5195,0.56791,-0.70292),(6595,5205,0.56946,-0.69884),(6595,5215,0.571,-0.6947),(6595,5225,0.57254,-0.69054),(6595,5235,0.57408,-0.68637),(6595,5245,0.57562,-0.68219),(6595,5255,0.57716,-0.67799),(6595,5265,0.57872,-0.67378),(6595,5275,0.58027,-0.66956),(6595,5285,0.58183,-0.66531),(6595,5295,0.58337,-0.66105),(6595,5305,0.58492,-0.65678),(6595,5315,0.58646,-0.65245),(6595,5325,0.58798,-0.64811),(6595,5335,0.58949,-0.64378),(6595,5345,0.591,-0.6394),(6595,5355,0.5925,-0.63503),(6595,5365,0.594,-0.63065),(6595,5375,0.59549,-0.62627),(6595,5385,0.59699,-0.62189),(6595,5395,0.59851,-0.61751),(6595,5405,0.60002,-0.6131),(6595,5415,0.60154,-0.60867),(6595,5425,0.60307,-0.60425),(6595,5435,0.6046,-0.59977),(6595,5445,0.60613,-0.59524),(6595,5455,0.60763,-0.59072),(6595,5465,0.60914,-0.58617),(6595,5475,0.61064,-0.58156),(6595,5485,0.6121,-0.57695),(6595,5495,0.61355,-0.57234),(6595,5505,0.61501,-0.56768),(6595,5515,0.61643,-0.56301),(6595,5525,0.61783,-0.55835),(6595,5535,0.61923,-0.55363),(6595,5545,0.62063,-0.5489),(6595,5555,0.62202,-0.54417),(6595,5565,0.62341,-0.5394),(6595,5575,0.6248,-0.53462),(6595,5585,0.62621,-0.52984),(6595,5595,0.62762,-0.52505),(6595,5605,0.62903,-0.52026),(6595,5615,0.63045,-0.51546),(6595,5625,0.63187,-0.51063),(6595,5635,0.63328,-0.50577),(6595,5645,0.63466,-0.5009),(6595,5655,0.63603,-0.49601),(6595,5665,0.6374,-0.49103),(6595,5675,0.63874,-0.48605),(6595,5685,0.64006,-0.48108),(6595,5695,0.64138,-0.47608),(6595,5705,0.6427,-0.47108),(6595,5715,0.644,-0.46609),(6595,5725,0.64531,-0.46112),(6595,5735,0.64662,-0.45617),(6595,5745,0.64792,-0.45121),(6595,5755,0.64922,-0.44623),(6595,5765,0.65052,-0.44124),(6595,5775,0.6518,-0.43626),(6595,5785,0.65307,-0.43123),(6595,5795,0.65435,-0.42617),(6595,5805,0.65559,-0.4211),(6595,5815,0.65683,-0.41603),(6595,5825,0.65807,-0.41094),(6595,5835,0.65928,-0.40586),(6595,5845,0.66048,-0.40077),(6595,5855,0.66168,-0.39563),(6595,5865,0.66285,-0.39049),(6595,5875,0.66399,-0.38535),(6595,5885,0.66513,-0.38013),(6595,5895,0.66625,-0.3749),(6595,5905,0.66734,-0.36967),(6595,5915,0.66844,-0.36443),(6595,5925,0.66952,-0.35917),(6595,5935,0.67058,-0.35392),(6595,5945,0.67164,-0.34869),(6595,5955,0.67269,-0.34346),(6595,5965,0.67372,-0.33823),(6595,5975,0.67474,-0.33299),(6595,5985,0.67577,-0.32772),(6595,5995,0.67675,-0.32246),(6595,6005,0.67772,-0.31718),(6595,6015,0.67869,-0.31187),(6595,6025,0.67963,-0.30656),(6595,6035,0.68054,-0.30125),(6595,6045,0.68146,-0.2959),(6595,6055,0.68236,-0.29056),(6595,6065,0.68324,-0.28522),(6595,6075,0.68411,-0.2798),(6595,6085,0.68498,-0.27437),(6595,6095,0.68583,-0.26894),(6595,6105,0.68667,-0.26352),(6595,6115,0.68752,-0.2581),(6595,6125,0.68834,-0.25268),(6595,6135,0.68917,-0.2473),(6595,6145,0.68999,-0.24195),(6595,6155,0.69076,-0.23661),(6595,6165,0.69153,-0.23123),(6595,6175,0.69229,-0.22578),(6595,6185,0.693,-0.22034),(6595,6195,0.69368,-0.21487),(6595,6205,0.69437,-0.20932),(6595,6215,0.69503,-0.20377),(6595,6225,0.69568,-0.19822),(6595,6235,0.69632,-0.19273),(6595,6245,0.69695,-0.18723),(6595,6255,0.69756,-0.18174),(6595,6265,0.69818,-0.17625),(6595,6275,0.69878,-0.17077),(6595,6285,0.69936,-0.16529),(6595,6295,0.69993,-0.15984),(6595,6305,0.70051,-0.15439),(6595,6315,0.70103,-0.14895),(6595,6325,0.70156,-0.14351),(6595,6335,0.70208,-0.13808),(6595,6345,0.70254,-0.13264),(6595,6355,0.70299,-0.12713),(6595,6365,0.70345,-0.12145),(6595,6375,0.70385,-0.11576),(6595,6385,0.70423,-0.11009),(6595,6395,0.70462,-0.10454),(6595,6405,0.70499,-0.098981),(6595,6415,0.70533,-0.093425),(6595,6425,0.70568,-0.087904),(6595,6435,0.70601,-0.082384),(6595,6445,0.7063,-0.076865),(6595,6455,0.7066,-0.071339),(6595,6465,0.70688,-0.065811),(6595,6475,0.70712,-0.060284),(6595,6485,0.70736,-0.054703),(6595,6495,0.7076,-0.049087),(6595,6505,0.70779,-0.04347),(6595,6515,0.70799,-0.037857),(6595,6525,0.70818,-0.032249),(6595,6535,0.70833,-0.02664),(6595,6545,0.70847,-0.021051),(6595,6555,0.70861,-0.015523),(6595,6565,0.70872,-0.009994),(6595,6575,0.70881,-0.004467),(6595,6585,0.7089,0.001034),(6595,6595,0.60297,0.006536),(6595,6605,0.37996,0.012038),(6595,6615,0.15696,0.012699),(6595,6625,0.000204,0.012739),(6595,6635,0.000254,0.012778),(6595,6645,0.000304,0.012789),(6595,6655,0.000355,0.012789),(6595,6665,0.000405,0.012788),(6595,6675,0.000455,0.012787),(6595,6685,0.000505,0.012785),(6595,6695,0.000555,0.012782),(6595,6705,0.000605,0.012779),(6595,6715,0.000655,0.012775),(6595,6725,0.000704,0.01277),(6595,6735,0.000754,0.012765),(6595,6745,0.000803,0.012759),(6595,6755,0.000852,0.012752),(6595,6765,0.000901,0.012746),(6595,6775,0.000949,0.012738),(6595,6785,0.000998,0.012729),(6595,6795,0.001046,0.012721),(6595,6805,0.001094,0.012711),(6595,6815,0.001142,0.0127),(6595,6825,0.001189,0.01269),(6595,6835,0.001236,0.012679),(6595,6845,0.001283,0.012666),(6595,6855,0.001329,0.012654),(6595,6865,0.001375,0.012641),(6595,6875,0.001421,0.012627),(6595,6885,0.001467,0.012614),(6595,6895,0.001512,0.012599),(6595,6905,0.001557,0.012584),(6595,6915,0.001601,0.012568),(6595,6925,0.001645,0.012552),(6595,6935,0.001689,0.012535),(6595,6945,0.001732,0.012518),(6595,6955,0.001775,0.012501),(6595,6965,0.001818,0.012482),(6595,6975,0.00186,0.012464),(6595,6985,0.001901,0.012445),(6605,5,-2.1e-05,-1.2901),(6605,15,-6.3e-05,-1.2902),(6605,25,-8.7e-05,-1.2902),(6605,35,-9.2e-05,-1.2903),(6605,45,-9.8e-05,-1.2903),(6605,55,-0.000103,-1.2903),(6605,65,-9.9e-05,-1.2903),(6605,75,-8.7e-05,-1.2902),(6605,85,-7.5e-05,-1.2902),(6605,95,-6.3e-05,-1.2902),(6605,105,-4.6e-05,-1.2902),(6605,115,-2.6e-05,-1.2901),(6605,125,-6e-06,-1.2901),(6605,135,1.4e-05,-1.29),(6605,145,1.6e-05,-1.2899),(6605,155,9e-06,-1.2899),(6605,165,1e-06,-1.2898),(6605,175,-7e-06,-1.2897),(6605,185,1e-05,-1.2896),(6605,195,3.7e-05,-1.2895),(6605,205,6.5e-05,-1.2893),(6605,215,9.2e-05,-1.2892),(6605,225,0.000101,-1.2891),(6605,235,0.000102,-1.289),(6605,245,0.000103,-1.2888),(6605,255,0.000104,-1.2887),(6605,265,8.5e-05,-1.2885),(6605,275,6e-05,-1.2884),(6605,285,3.5e-05,-1.2882),(6605,295,1.1e-05,-1.2879),(6605,305,-4e-06,-1.2877),(6605,315,-1.6e-05,-1.2875),(6605,325,-2.8e-05,-1.2873),(6605,335,-4e-05,-1.2872),(6605,345,-4.1e-05,-1.287),(6605,355,-4e-05,-1.2869),(6605,365,-3.9e-05,-1.2867),(6605,375,-3.8e-05,-1.2865),(6605,385,-3.7e-05,-1.2863),(6605,395,-3.6e-05,-1.2861),(6605,405,-3.5e-05,-1.2859),(6605,415,-3.4e-05,-1.2856),(6605,425,-5.6e-05,-1.2854),(6605,435,-7.9e-05,-1.2851),(6605,445,-0.000103,-1.2849),(6605,455,-0.000127,-1.2846),(6605,465,-0.000134,-1.2844),(6605,475,-0.000141,-1.2841),(6605,485,-0.000148,-1.2839),(6605,495,-0.000155,-1.2836),(6605,505,-0.000141,-1.2833),(6605,515,-0.000128,-1.283),(6605,525,-0.000114,-1.2827),(6605,535,-0.000101,-1.2825),(6605,545,-7.8e-05,-1.2822),(6605,555,-5.5e-05,-1.2819),(6605,565,-3.2e-05,-1.2816),(6605,575,-1e-05,-1.2814),(6605,585,9e-06,-1.2811),(6605,595,2.8e-05,-1.2809),(6605,605,4.7e-05,-1.2805),(6605,615,6.4e-05,-1.2802),(6605,625,6.7e-05,-1.2799),(6605,635,7e-05,-1.2796),(6605,645,7.3e-05,-1.2793),(6605,655,7.5e-05,-1.2789),(6605,665,6.7e-05,-1.2786),(6605,675,6e-05,-1.2783),(6605,685,5.2e-05,-1.2779),(6605,695,4.8e-05,-1.2775),(6605,705,6.1e-05,-1.2771),(6605,715,7.4e-05,-1.2767),(6605,725,8.6e-05,-1.2763),(6605,735,0.000108,-1.276),(6605,745,0.000162,-1.2757),(6605,755,0.000215,-1.2753),(6605,765,0.000268,-1.275),(6605,775,0.000321,-1.2746),(6605,785,0.00037,-1.2742),(6605,795,0.00042,-1.2739),(6605,805,0.00047,-1.2735),(6605,815,0.000519,-1.2731),(6605,825,0.000568,-1.2727),(6605,835,0.000617,-1.2723),(6605,845,0.000666,-1.2719),(6605,855,0.000717,-1.2715),(6605,865,0.000774,-1.2711),(6605,875,0.000831,-1.2707),(6605,885,0.000887,-1.2703),(6605,895,0.000949,-1.27),(6605,905,0.00102,-1.2696),(6605,915,0.001091,-1.2692),(6605,925,0.001161,-1.2687),(6605,935,0.001252,-1.2683),(6605,945,0.001368,-1.2679),(6605,955,0.001484,-1.2674),(6605,965,0.0016,-1.267),(6605,975,0.001762,-1.2666),(6605,985,0.001975,-1.2662),(6605,995,0.002188,-1.2658),(6605,1005,0.0024,-1.2655),(6605,1015,0.002687,-1.2652),(6605,1025,0.003046,-1.2649),(6605,1035,0.003404,-1.2647),(6605,1045,0.003762,-1.2644),(6605,1055,0.004235,-1.2642),(6605,1065,0.004802,-1.2639),(6605,1075,0.005369,-1.2637),(6605,1085,0.005936,-1.2635),(6605,1095,0.006732,-1.2632),(6605,1105,0.007688,-1.263),(6605,1115,0.008644,-1.2629),(6605,1125,0.0096,-1.2628),(6605,1135,0.01107,-1.2627),(6605,1145,0.012845,-1.2626),(6605,1155,0.014619,-1.2628),(6605,1165,0.016393,-1.263),(6605,1175,0.019266,-1.2632),(6605,1185,0.022683,-1.2634),(6605,1195,0.026101,-1.2636),(6605,1205,0.029519,-1.2638),(6605,1215,0.035098,-1.264),(6605,1225,0.041568,-1.2643),(6605,1235,0.048039,-1.2635),(6605,1245,0.054509,-1.2624),(6605,1255,0.064159,-1.2613),(6605,1265,0.074884,-1.2602),(6605,1275,0.085608,-1.2547),(6605,1285,0.096332,-1.2478),(6605,1295,0.09362,-1.241),(6605,1305,0.087275,-1.2341),(6605,1315,0.080929,-1.2251),(6605,1325,0.074584,-1.2155),(6605,1335,0.045992,-1.2059),(6605,1345,0.012738,-1.1964),(6605,1355,-0.020517,-1.2017),(6605,1365,-0.053771,-1.2097),(6605,1375,-0.068424,-1.2178),(6605,1385,-0.080206,-1.2258),(6605,1395,-0.091989,-1.2336),(6605,1405,-0.10377,-1.2413),(6605,1415,-0.094258,-1.249),(6605,1425,-0.082534,-1.2568),(6605,1435,-0.070809,-1.258),(6605,1445,-0.059085,-1.2587),(6605,1455,-0.051897,-1.2594),(6605,1465,-0.04497,-1.2601),(6605,1475,-0.038043,-1.2597),(6605,1485,-0.031116,-1.2594),(6605,1495,-0.027379,-1.259),(6605,1505,-0.023689,-1.2586),(6605,1515,-0.019999,-1.2579),(6605,1525,-0.016355,-1.2572),(6605,1535,-0.014512,-1.2564),(6605,1545,-0.012669,-1.2557),(6605,1555,-0.010825,-1.2554),(6605,1565,-0.009032,-1.2551),(6605,1575,-0.00796,-1.2548),(6605,1585,-0.006889,-1.2545),(6605,1595,-0.005818,-1.2542),(6605,1605,-0.004801,-1.254),(6605,1615,-0.004251,-1.2538),(6605,1625,-0.003702,-1.2535),(6605,1635,-0.003153,-1.2534),(6605,1645,-0.002634,-1.2533),(6605,1655,-0.002301,-1.2533),(6605,1665,-0.001968,-1.2532),(6605,1675,-0.001635,-1.2531),(6605,1685,-0.001332,-1.253),(6605,1695,-0.001165,-1.2529),(6605,1705,-0.000998,-1.2528),(6605,1715,-0.000831,-1.2527),(6605,1725,-0.000682,-1.2526),(6605,1735,-0.000596,-1.2525),(6605,1745,-0.000511,-1.2524),(6605,1755,-0.000425,-1.2523),(6605,1765,-0.000343,-1.2523),(6605,1775,-0.000269,-1.2522),(6605,1785,-0.000194,-1.2521),(6605,1795,-0.00012,-1.2521),(6605,1805,-5.1e-05,-1.252),(6605,1815,5e-06,-1.252),(6605,1825,6.1e-05,-1.2519),(6605,1835,0.000117,-1.2519),(6605,1845,0.000174,-1.2518),(6605,1855,0.000231,-1.2518),(6605,1865,0.000288,-1.2517),(6605,1875,0.000345,-1.2517),(6605,1885,0.00041,-1.2517),(6605,1895,0.000486,-1.2517),(6605,1905,0.000562,-1.2517),(6605,1915,0.000638,-1.2516),(6605,1925,0.000702,-1.2515),(6605,1935,0.000752,-1.2514),(6605,1945,0.000801,-1.2513),(6605,1955,0.00085,-1.2513),(6605,1965,0.000871,-1.2512),(6605,1975,0.000858,-1.2512),(6605,1985,0.000845,-1.251),(6605,1995,0.000833,-1.2509),(6605,2005,0.00081,-1.2507),(6605,2015,0.000776,-1.2505),(6605,2025,0.000742,-1.2503),(6605,2035,0.000709,-1.2502),(6605,2045,0.000687,-1.25),(6605,2055,0.000674,-1.2498),(6605,2065,0.000662,-1.2496),(6605,2075,0.000649,-1.2495),(6605,2085,0.000632,-1.2493),(6605,2095,0.000612,-1.2492),(6605,2105,0.000593,-1.249),(6605,2115,0.000573,-1.2487),(6605,2125,0.000561,-1.2484),(6605,2135,0.000555,-1.2482),(6605,2145,0.000549,-1.248),(6605,2155,0.000542,-1.2478),(6605,2165,0.000555,-1.2476),(6605,2175,0.000578,-1.2474),(6605,2185,0.000601,-1.2472),(6605,2195,0.000624,-1.247),(6605,2205,0.000656,-1.2467),(6605,2215,0.000691,-1.2465),(6605,2225,0.000727,-1.2462),(6605,2235,0.000763,-1.2459),(6605,2245,0.0008,-1.2457),(6605,2255,0.000837,-1.2454),(6605,2265,0.000874,-1.2451),(6605,2275,0.000911,-1.2449),(6605,2285,0.000913,-1.2446),(6605,2295,0.000905,-1.2444),(6605,2305,0.000897,-1.2441),(6605,2315,0.000889,-1.2437),(6605,2325,0.000873,-1.2433),(6605,2335,0.000854,-1.2429),(6605,2345,0.000835,-1.2425),(6605,2355,0.000816,-1.2422),(6605,2365,0.00084,-1.2418),(6605,2375,0.000872,-1.2414),(6605,2385,0.000904,-1.241),(6605,2395,0.000936,-1.2407),(6605,2405,0.000966,-1.2403),(6605,2415,0.000996,-1.2399),(6605,2425,0.001026,-1.2395),(6605,2435,0.001057,-1.239),(6605,2445,0.001056,-1.2385),(6605,2455,0.001053,-1.238),(6605,2465,0.001049,-1.2376),(6605,2475,0.001046,-1.2371),(6605,2485,0.001032,-1.2367),(6605,2495,0.001018,-1.2362),(6605,2505,0.001004,-1.2357),(6605,2515,0.000989,-1.2352),(6605,2525,0.000969,-1.2347),(6605,2535,0.000948,-1.2342),(6605,2545,0.000928,-1.2337),(6605,2555,0.000908,-1.2331),(6605,2565,0.000911,-1.2325),(6605,2575,0.000913,-1.2319),(6605,2585,0.000915,-1.2314),(6605,2595,0.000921,-1.2308),(6605,2605,0.000957,-1.2303),(6605,2615,0.000994,-1.2297),(6605,2625,0.00103,-1.2291),(6605,2635,0.001068,-1.2286),(6605,2645,0.001111,-1.228),(6605,2655,0.001154,-1.2274),(6605,2665,0.001198,-1.2268),(6605,2675,0.001241,-1.2262),(6605,2685,0.001283,-1.2256),(6605,2695,0.001324,-1.225),(6605,2705,0.001366,-1.2244),(6605,2715,0.001405,-1.2237),(6605,2725,0.001434,-1.2231),(6605,2735,0.001462,-1.2225),(6605,2745,0.001491,-1.2218),(6605,2755,0.001512,-1.2211),(6605,2765,0.001512,-1.2204),(6605,2775,0.001512,-1.2197),(6605,2785,0.001512,-1.2189),(6605,2795,0.001509,-1.2182),(6605,2805,0.001498,-1.2174),(6605,2815,0.001487,-1.2167),(6605,2825,0.001476,-1.2159),(6605,2835,0.00147,-1.2152),(6605,2845,0.001474,-1.2145),(6605,2855,0.001478,-1.2137),(6605,2865,0.001482,-1.2129),(6605,2875,0.001489,-1.2122),(6605,2885,0.001501,-1.2114),(6605,2895,0.001512,-1.2106),(6605,2905,0.001524,-1.2098),(6605,2915,0.001529,-1.2089),(6605,2925,0.001525,-1.2081),(6605,2935,0.001521,-1.2072),(6605,2945,0.001516,-1.2063),(6605,2955,0.001511,-1.2054),(6605,2965,0.001504,-1.2045),(6605,2975,0.001498,-1.2037),(6605,2985,0.001491,-1.2028),(6605,2995,0.001504,-1.2019),(6605,3005,0.001535,-1.201),(6605,3015,0.001566,-1.2001),(6605,3025,0.001597,-1.1993),(6605,3035,0.001629,-1.1984),(6605,3045,0.001663,-1.1976),(6605,3055,0.001696,-1.1967),(6605,3065,0.00173,-1.1957),(6605,3075,0.001741,-1.1948),(6605,3085,0.001736,-1.1938),(6605,3095,0.001732,-1.1928),(6605,3105,0.001727,-1.1918),(6605,3115,0.001723,-1.1908),(6605,3125,0.001719,-1.1898),(6605,3135,0.001715,-1.1888),(6605,3145,0.001711,-1.1878),(6605,3155,0.001707,-1.1868),(6605,3165,0.001704,-1.1859),(6605,3175,0.0017,-1.1848),(6605,3185,0.001696,-1.1837),(6605,3195,0.001685,-1.1826),(6605,3205,0.001671,-1.1815),(6605,3215,0.001657,-1.1804),(6605,3225,0.001643,-1.1793),(6605,3235,0.001679,-1.1781),(6605,3245,0.001733,-1.177),(6605,3255,0.001788,-1.176),(6605,3265,0.001842,-1.175),(6605,3275,0.001912,-1.174),(6605,3285,0.001987,-1.173),(6605,3295,0.002062,-1.172),(6605,3305,0.002137,-1.1709),(6605,3315,0.002134,-1.1698),(6605,3325,0.002112,-1.1687),(6605,3335,0.00209,-1.1675),(6605,3345,0.002068,-1.1663),(6605,3355,0.002032,-1.1651),(6605,3365,0.001993,-1.1638),(6605,3375,0.001954,-1.1626),(6605,3385,0.001915,-1.1614),(6605,3395,0.001935,-1.1603),(6605,3405,0.001962,-1.1591),(6605,3415,0.00199,-1.1579),(6605,3425,0.002017,-1.1567),(6605,3435,0.002058,-1.1556),(6605,3445,0.0021,-1.1544),(6605,3455,0.002142,-1.1532),(6605,3465,0.002184,-1.152),(6605,3475,0.002229,-1.1507),(6605,3485,0.002274,-1.1495),(6605,3495,0.00232,-1.1483),(6605,3505,0.002365,-1.1471),(6605,3515,0.002418,-1.1459),(6605,3525,0.002472,-1.1446),(6605,3535,0.002525,-1.1434),(6605,3545,0.002579,-1.1422),(6605,3555,0.002655,-1.141),(6605,3565,0.002731,-1.1398),(6605,3575,0.002807,-1.1385),(6605,3585,0.002883,-1.1373),(6605,3595,0.002961,-1.136),(6605,3605,0.003039,-1.1348),(6605,3615,0.003116,-1.1334),(6605,3625,0.003199,-1.1321),(6605,3635,0.003315,-1.1307),(6605,3645,0.003431,-1.1294),(6605,3655,0.003547,-1.1281),(6605,3665,0.003684,-1.1269),(6605,3675,0.003927,-1.1256),(6605,3685,0.004171,-1.1244),(6605,3695,0.004414,-1.1232),(6605,3705,0.004682,-1.1221),(6605,3715,0.005048,-1.1209),(6605,3725,0.005413,-1.1197),(6605,3735,0.005778,-1.1185),(6605,3745,0.006196,-1.1174),(6605,3755,0.00678,-1.1162),(6605,3765,0.007364,-1.1151),(6605,3775,0.007948,-1.114),(6605,3785,0.008624,-1.1129),(6605,3795,0.009535,-1.1118),(6605,3805,0.010446,-1.1107),(6605,3815,0.011356,-1.1096),(6605,3825,0.012489,-1.1085),(6605,3835,0.014089,-1.1075),(6605,3845,0.01569,-1.1064),(6605,3855,0.01729,-1.1055),(6605,3865,0.019331,-1.1046),(6605,3875,0.022152,-1.1037),(6605,3885,0.024972,-1.1026),(6605,3895,0.027792,-1.1014),(6605,3905,0.031443,-1.1001),(6605,3915,0.036335,-1.0989),(6605,3925,0.041227,-1.0972),(6605,3935,0.046118,-1.0948),(6605,3945,0.052149,-1.0925),(6605,3955,0.059627,-1.0901),(6605,3965,0.067104,-1.0858),(6605,3975,0.074581,-1.0791),(6605,3985,0.078629,-1.0725),(6605,3995,0.078963,-1.0658),(6605,4005,0.079298,-1.0573),(6605,4015,0.079632,-1.0471),(6605,4025,0.13476,-1.0369),(6605,4035,0.19525,-1.0295),(6605,4045,0.25573,-1.0284),(6605,4055,0.31,-1.0273),(6605,4065,0.36199,-1.026),(6605,4075,0.41398,-1.0241),(6605,4085,0.43759,-1.0222),(6605,4095,0.43837,-1.0203),(6605,4105,0.43916,-1.0184),(6605,4115,0.43994,-1.0164),(6605,4125,0.44071,-1.0145),(6605,4135,0.44149,-1.0126),(6605,4145,0.44226,-1.0107),(6605,4155,0.44302,-1.0087),(6605,4165,0.44379,-1.0068),(6605,4175,0.44456,-1.0049),(6605,4185,0.44531,-1.0031),(6605,4195,0.44606,-1.0011),(6605,4205,0.44682,-0.99909),(6605,4215,0.44755,-0.99707),(6605,4225,0.44828,-0.99504),(6605,4235,0.44902,-0.99297),(6605,4245,0.44975,-0.99091),(6605,4255,0.45048,-0.98884),(6605,4265,0.45121,-0.98676),(6605,4275,0.45195,-0.98469),(6605,4285,0.4527,-0.98261),(6605,4295,0.45345,-0.98048),(6605,4305,0.45421,-0.97835),(6605,4315,0.455,-0.97621),(6605,4325,0.45578,-0.97403),(6605,4335,0.45658,-0.97182),(6605,4345,0.45741,-0.96961),(6605,4355,0.45823,-0.96739),(6605,4365,0.45906,-0.96516),(6605,4375,0.45991,-0.96293),(6605,4385,0.46077,-0.96068),(6605,4395,0.46162,-0.95837),(6605,4405,0.46249,-0.95606),(6605,4415,0.46335,-0.95374),(6605,4425,0.46422,-0.95136),(6605,4435,0.46511,-0.94898),(6605,4445,0.46601,-0.9466),(6605,4455,0.46691,-0.94416),(6605,4465,0.46782,-0.94173),(6605,4475,0.46877,-0.93929),(6605,4485,0.46971,-0.93678),(6605,4495,0.47066,-0.93425),(6605,4505,0.47165,-0.93172),(6605,4515,0.47264,-0.92915),(6605,4525,0.47363,-0.92656),(6605,4535,0.47467,-0.92397),(6605,4545,0.4757,-0.92135),(6605,4555,0.47673,-0.9187),(6605,4565,0.4778,-0.91604),(6605,4575,0.47887,-0.91337),(6605,4585,0.47995,-0.91066),(6605,4595,0.48105,-0.90795),(6605,4605,0.48216,-0.90523),(6605,4615,0.48328,-0.90244),(6605,4625,0.48441,-0.89965),(6605,4635,0.48554,-0.89687),(6605,4645,0.48668,-0.89398),(6605,4655,0.48782,-0.89108),(6605,4665,0.48898,-0.88819),(6605,4675,0.49013,-0.88522),(6605,4685,0.49129,-0.88224),(6605,4695,0.49247,-0.87926),(6605,4705,0.49365,-0.87625),(6605,4715,0.49482,-0.87323),(6605,4725,0.49605,-0.8702),(6605,4735,0.49728,-0.86717),(6605,4745,0.49851,-0.86412),(6605,4755,0.49978,-0.86108),(6605,4765,0.50107,-0.85802),(6605,4775,0.50235,-0.85489),(6605,4785,0.50367,-0.85176),(6605,4795,0.505,-0.84863),(6605,4805,0.50633,-0.84539),(6605,4815,0.50767,-0.84215),(6605,4825,0.50903,-0.83891),(6605,4835,0.51038,-0.8356),(6605,4845,0.51174,-0.83227),(6605,4855,0.51312,-0.82895),(6605,4865,0.5145,-0.82559),(6605,4875,0.51588,-0.82222),(6605,4885,0.51726,-0.81885),(6605,4895,0.51865,-0.81542),(6605,4905,0.52004,-0.81195),(6605,4915,0.52143,-0.80848),(6605,4925,0.52282,-0.80498),(6605,4935,0.52421,-0.80141),(6605,4945,0.52562,-0.79784),(6605,4955,0.52703,-0.79427),(6605,4965,0.52844,-0.79066),(6605,4975,0.52987,-0.78705),(6605,4985,0.53131,-0.78344),(6605,4995,0.53276,-0.77979),(6605,5005,0.53421,-0.77614),(6605,5015,0.53568,-0.77249),(6605,5025,0.53714,-0.76878),(6605,5035,0.53862,-0.76506),(6605,5045,0.54011,-0.76133),(6605,5055,0.5416,-0.75756),(6605,5065,0.54308,-0.75376),(6605,5075,0.54458,-0.74996),(6605,5085,0.54608,-0.74613),(6605,5095,0.54758,-0.74227),(6605,5105,0.54908,-0.73841),(6605,5115,0.55058,-0.73453),(6605,5125,0.55208,-0.73061),(6605,5135,0.55359,-0.72668),(6605,5145,0.5551,-0.72276),(6605,5155,0.55661,-0.71876),(6605,5165,0.55813,-0.71477),(6605,5175,0.55965,-0.71078),(6605,5185,0.56118,-0.70671),(6605,5195,0.5627,-0.70263),(6605,5205,0.56422,-0.69855),(6605,5215,0.56574,-0.6944),(6605,5225,0.56726,-0.69024),(6605,5235,0.56878,-0.68607),(6605,5245,0.5703,-0.68188),(6605,5255,0.57182,-0.67767),(6605,5265,0.57335,-0.67346),(6605,5275,0.57488,-0.66924),(6605,5285,0.57641,-0.66498),(6605,5295,0.57793,-0.66072),(6605,5305,0.57946,-0.65646),(6605,5315,0.58098,-0.65213),(6605,5325,0.58248,-0.6478),(6605,5335,0.58398,-0.64348),(6605,5345,0.58547,-0.6391),(6605,5355,0.58696,-0.63473),(6605,5365,0.58843,-0.63036),(6605,5375,0.58991,-0.62597),(6605,5385,0.59139,-0.62157),(6605,5395,0.59288,-0.61718),(6605,5405,0.59437,-0.61276),(6605,5415,0.59586,-0.60832),(6605,5425,0.59737,-0.60388),(6605,5435,0.59887,-0.5994),(6605,5445,0.60037,-0.59487),(6605,5455,0.60186,-0.59035),(6605,5465,0.60335,-0.5858),(6605,5475,0.60483,-0.58121),(6605,5485,0.60628,-0.57661),(6605,5495,0.60773,-0.57201),(6605,5505,0.60917,-0.56736),(6605,5515,0.61058,-0.5627),(6605,5525,0.61198,-0.55805),(6605,5535,0.61337,-0.55332),(6605,5545,0.61476,-0.54859),(6605,5555,0.61613,-0.54386),(6605,5565,0.6175,-0.53908),(6605,5575,0.61888,-0.53429),(6605,5585,0.62027,-0.5295),(6605,5595,0.62166,-0.52469),(6605,5605,0.62304,-0.51989),(6605,5615,0.62444,-0.51508),(6605,5625,0.62584,-0.51025),(6605,5635,0.62723,-0.50539),(6605,5645,0.6286,-0.50053),(6605,5655,0.62995,-0.49564),(6605,5665,0.63131,-0.49067),(6605,5675,0.63264,-0.4857),(6605,5685,0.63394,-0.48073),(6605,5695,0.63525,-0.47573),(6605,5705,0.63655,-0.47073),(6605,5715,0.63784,-0.46573),(6605,5725,0.63913,-0.46076),(6605,5735,0.64041,-0.45579),(6605,5745,0.64169,-0.45083),(6605,5755,0.64297,-0.44585),(6605,5765,0.64424,-0.44086),(6605,5775,0.6455,-0.43587),(6605,5785,0.64676,-0.43084),(6605,5795,0.64802,-0.42578),(6605,5805,0.64925,-0.42072),(6605,5815,0.65047,-0.41565),(6605,5825,0.65169,-0.41056),(6605,5835,0.65289,-0.40548),(6605,5845,0.65408,-0.40039),(6605,5855,0.65526,-0.39526),(6605,5865,0.65642,-0.39013),(6605,5875,0.65755,-0.385),(6605,5885,0.65869,-0.37978),(6605,5895,0.6598,-0.37456),(6605,5905,0.66088,-0.36934),(6605,5915,0.66196,-0.3641),(6605,5925,0.66303,-0.35885),(6605,5935,0.66407,-0.35359),(6605,5945,0.66512,-0.34836),(6605,5955,0.66616,-0.34313),(6605,5965,0.66717,-0.3379),(6605,5975,0.66819,-0.33266),(6605,5985,0.6692,-0.3274),(6605,5995,0.67017,-0.32215),(6605,6005,0.67113,-0.31687),(6605,6015,0.6721,-0.31157),(6605,6025,0.67303,-0.30627),(6605,6035,0.67394,-0.30096),(6605,6045,0.67485,-0.29562),(6605,6055,0.67574,-0.29028),(6605,6065,0.67661,-0.28494),(6605,6075,0.67748,-0.27951),(6605,6085,0.67834,-0.27408),(6605,6095,0.67917,-0.26865),(6605,6105,0.68001,-0.26323),(6605,6115,0.68085,-0.2578),(6605,6125,0.68166,-0.25238),(6605,6135,0.68248,-0.247),(6605,6145,0.6833,-0.24166),(6605,6155,0.68406,-0.23633),(6605,6165,0.68483,-0.23095),(6605,6175,0.68559,-0.22552),(6605,6185,0.68629,-0.22009),(6605,6195,0.68698,-0.21464),(6605,6205,0.68766,-0.20909),(6605,6215,0.68831,-0.20354),(6605,6225,0.68894,-0.19799),(6605,6235,0.68958,-0.19249),(6605,6245,0.69019,-0.187),(6605,6255,0.69079,-0.1815),(6605,6265,0.69139,-0.17602),(6605,6275,0.69198,-0.17054),(6605,6285,0.69255,-0.16505),(6605,6295,0.69312,-0.1596),(6605,6305,0.69368,-0.15416),(6605,6315,0.6942,-0.14873),(6605,6325,0.69472,-0.1433),(6605,6335,0.69524,-0.13787),(6605,6345,0.6957,-0.13245),(6605,6355,0.69615,-0.12695),(6605,6365,0.6966,-0.12127),(6605,6375,0.697,-0.1156),(6605,6385,0.69739,-0.10994),(6605,6395,0.69777,-0.10438),(6605,6405,0.69814,-0.098825),(6605,6415,0.69848,-0.093269),(6605,6425,0.69882,-0.087753),(6605,6435,0.69915,-0.082239),(6605,6445,0.69943,-0.076725),(6605,6455,0.69972,-0.071204),(6605,6465,0.7,-0.065682),(6605,6475,0.70024,-0.060159),(6605,6485,0.70047,-0.054581),(6605,6495,0.70071,-0.048966),(6605,6505,0.70091,-0.043352),(6605,6515,0.7011,-0.037742),(6605,6525,0.7013,-0.032139),(6605,6535,0.70145,-0.026537),(6605,6545,0.70159,-0.020953),(6605,6555,0.70172,-0.015429),(6605,6565,0.70183,-0.009904),(6605,6575,0.70191,-0.004382),(6605,6585,0.70199,0.001112),(6605,6595,0.59709,0.006606),(6605,6605,0.37626,0.0121),(6605,6615,0.15543,0.012758),(6605,6625,0.000202,0.012794),(6605,6635,0.000253,0.012829),(6605,6645,0.000304,0.01284),(6605,6655,0.000355,0.012839),(6605,6665,0.000405,0.012839),(6605,6675,0.000456,0.012837),(6605,6685,0.000507,0.012835),(6605,6695,0.000558,0.012832),(6605,6705,0.000608,0.012829),(6605,6715,0.000658,0.012824),(6605,6725,0.000709,0.01282),(6605,6735,0.000758,0.012815),(6605,6745,0.000808,0.012808),(6605,6755,0.000858,0.012802),(6605,6765,0.000907,0.012795),(6605,6775,0.000957,0.012786),(6605,6785,0.001006,0.012778),(6605,6795,0.001054,0.012769),(6605,6805,0.001103,0.012759),(6605,6815,0.001151,0.012748),(6605,6825,0.001199,0.012737),(6605,6835,0.001246,0.012726),(6605,6845,0.001294,0.012713),(6605,6855,0.001341,0.012701),(6605,6865,0.001388,0.012687),(6605,6875,0.001434,0.012673),(6605,6885,0.00148,0.012659),(6605,6895,0.001525,0.012644),(6605,6905,0.001571,0.012628),(6605,6915,0.001616,0.012612),(6605,6925,0.00166,0.012596),(6605,6935,0.001705,0.012579),(6605,6945,0.001748,0.012561),(6605,6955,0.001791,0.012544),(6605,6965,0.001835,0.012525),(6605,6975,0.001877,0.012506),(6605,6985,0.001919,0.012487),(6615,5,-1.8e-05,-1.2901),(6615,15,-5.3e-05,-1.2902),(6615,25,-7.4e-05,-1.2902),(6615,35,-8.2e-05,-1.2903),(6615,45,-9e-05,-1.2903),(6615,55,-9.8e-05,-1.2903),(6615,65,-9.9e-05,-1.2902),(6615,75,-9.5e-05,-1.2902),(6615,85,-9.1e-05,-1.2902),(6615,95,-8.7e-05,-1.2902),(6615,105,-7.3e-05,-1.2901),(6615,115,-5.1e-05,-1.2901),(6615,125,-3e-05,-1.2901),(6615,135,-8e-06,-1.29),(6615,145,0,-1.2899),(6615,155,-1e-06,-1.2899),(6615,165,-2e-06,-1.2898),(6615,175,-3e-06,-1.2897),(6615,185,1.4e-05,-1.2896),(6615,195,3.9e-05,-1.2895),(6615,205,6.4e-05,-1.2893),(6615,215,8.9e-05,-1.2892),(6615,225,0.0001,-1.2891),(6615,235,0.000105,-1.289),(6615,245,0.000111,-1.2888),(6615,255,0.000117,-1.2887),(6615,265,0.000103,-1.2885),(6615,275,8.4e-05,-1.2884),(6615,285,6.4e-05,-1.2882),(6615,295,4.4e-05,-1.288),(6615,305,2.8e-05,-1.2877),(6615,315,1.2e-05,-1.2875),(6615,325,-3e-06,-1.2874),(6615,335,-1.8e-05,-1.2872),(6615,345,-2.1e-05,-1.287),(6615,355,-2.2e-05,-1.2869),(6615,365,-2.2e-05,-1.2867),(6615,375,-2.3e-05,-1.2865),(6615,385,-1.9e-05,-1.2863),(6615,395,-1.5e-05,-1.2861),(6615,405,-1e-05,-1.2859),(6615,415,-6e-06,-1.2856),(6615,425,-2.2e-05,-1.2854),(6615,435,-4.1e-05,-1.2851),(6615,445,-5.9e-05,-1.2849),(6615,455,-7.8e-05,-1.2846),(6615,465,-9.1e-05,-1.2844),(6615,475,-0.000103,-1.2842),(6615,485,-0.000116,-1.2839),(6615,495,-0.000129,-1.2836),(6615,505,-0.000128,-1.2833),(6615,515,-0.000126,-1.283),(6615,525,-0.000125,-1.2827),(6615,535,-0.000123,-1.2824),(6615,545,-0.000105,-1.2822),(6615,555,-8.6e-05,-1.2819),(6615,565,-6.8e-05,-1.2816),(6615,575,-5e-05,-1.2814),(6615,585,-2.9e-05,-1.2811),(6615,595,-9e-06,-1.2808),(6615,605,1.2e-05,-1.2805),(6615,615,3.1e-05,-1.2802),(6615,625,3.4e-05,-1.2799),(6615,635,3.8e-05,-1.2796),(6615,645,4.1e-05,-1.2793),(6615,655,4.3e-05,-1.2789),(6615,665,3.6e-05,-1.2786),(6615,675,2.9e-05,-1.2783),(6615,685,2.2e-05,-1.2779),(6615,695,1.9e-05,-1.2775),(6615,705,2.8e-05,-1.2771),(6615,715,3.8e-05,-1.2767),(6615,725,4.8e-05,-1.2763),(6615,735,6.9e-05,-1.276),(6615,745,0.000122,-1.2756),(6615,755,0.000176,-1.2753),(6615,765,0.00023,-1.2749),(6615,775,0.000285,-1.2746),(6615,785,0.000342,-1.2742),(6615,795,0.000399,-1.2738),(6615,805,0.000457,-1.2734),(6615,815,0.000514,-1.273),(6615,825,0.000569,-1.2726),(6615,835,0.000625,-1.2722),(6615,845,0.000681,-1.2719),(6615,855,0.000738,-1.2715),(6615,865,0.000799,-1.2711),(6615,875,0.000859,-1.2707),(6615,885,0.00092,-1.2703),(6615,895,0.000985,-1.2699),(6615,905,0.001056,-1.2695),(6615,915,0.001128,-1.2691),(6615,925,0.001199,-1.2687),(6615,935,0.001288,-1.2683),(6615,945,0.001399,-1.2678),(6615,955,0.001511,-1.2674),(6615,965,0.001622,-1.267),(6615,975,0.00178,-1.2665),(6615,985,0.001992,-1.2661),(6615,995,0.002203,-1.2657),(6615,1005,0.002415,-1.2654),(6615,1015,0.002706,-1.2651),(6615,1025,0.003073,-1.2647),(6615,1035,0.003441,-1.2645),(6615,1045,0.003808,-1.2642),(6615,1055,0.004297,-1.2639),(6615,1065,0.004886,-1.2637),(6615,1075,0.005475,-1.2634),(6615,1085,0.006064,-1.2631),(6615,1095,0.006887,-1.2628),(6615,1105,0.007874,-1.2626),(6615,1115,0.008861,-1.2624),(6615,1125,0.009848,-1.2622),(6615,1135,0.011342,-1.262),(6615,1145,0.013135,-1.2619),(6615,1155,0.014928,-1.2618),(6615,1165,0.01672,-1.2618),(6615,1175,0.019554,-1.2618),(6615,1185,0.022903,-1.2618),(6615,1195,0.026253,-1.2617),(6615,1205,0.029602,-1.2615),(6615,1215,0.034869,-1.2613),(6615,1225,0.040926,-1.2611),(6615,1235,0.046984,-1.2597),(6615,1245,0.053041,-1.2578),(6615,1255,0.061678,-1.256),(6615,1265,0.071186,-1.2542),(6615,1275,0.080694,-1.2484),(6615,1285,0.090202,-1.2415),(6615,1295,0.087092,-1.2345),(6615,1305,0.08057,-1.2275),(6615,1315,0.074048,-1.2198),(6615,1325,0.067526,-1.2119),(6615,1335,0.04164,-1.204),(6615,1345,0.011695,-1.1961),(6615,1355,-0.018249,-1.2003),(6615,1365,-0.048194,-1.2067),(6615,1375,-0.062099,-1.213),(6615,1385,-0.07353,-1.2194),(6615,1395,-0.084961,-1.2269),(6615,1405,-0.096392,-1.2346),(6615,1415,-0.088119,-1.2423),(6615,1425,-0.077801,-1.25),(6615,1435,-0.067483,-1.2519),(6615,1445,-0.057165,-1.2535),(6615,1455,-0.050522,-1.255),(6615,1465,-0.04409,-1.2565),(6615,1475,-0.037659,-1.2566),(6615,1485,-0.031227,-1.2567),(6615,1495,-0.027581,-1.2568),(6615,1505,-0.023976,-1.2568),(6615,1515,-0.020371,-1.2564),(6615,1525,-0.016809,-1.2559),(6615,1535,-0.014953,-1.2554),(6615,1545,-0.013096,-1.2549),(6615,1555,-0.01124,-1.2547),(6615,1565,-0.009432,-1.2544),(6615,1575,-0.008334,-1.2542),(6615,1585,-0.007236,-1.254),(6615,1595,-0.006138,-1.2538),(6615,1605,-0.005093,-1.2536),(6615,1615,-0.004503,-1.2535),(6615,1625,-0.003914,-1.2533),(6615,1635,-0.003324,-1.2532),(6615,1645,-0.002767,-1.2532),(6615,1655,-0.002408,-1.2531),(6615,1665,-0.002049,-1.253),(6615,1675,-0.001689,-1.2529),(6615,1685,-0.001362,-1.2529),(6615,1695,-0.001176,-1.2528),(6615,1705,-0.00099,-1.2527),(6615,1715,-0.000805,-1.2526),(6615,1725,-0.00064,-1.2526),(6615,1735,-0.00055,-1.2525),(6615,1745,-0.00046,-1.2524),(6615,1755,-0.000369,-1.2523),(6615,1765,-0.000285,-1.2522),(6615,1775,-0.000219,-1.2521),(6615,1785,-0.000153,-1.2521),(6615,1795,-8.7e-05,-1.252),(6615,1805,-2.4e-05,-1.252),(6615,1815,3e-05,-1.252),(6615,1825,8.3e-05,-1.2519),(6615,1835,0.000137,-1.2518),(6615,1845,0.000191,-1.2518),(6615,1855,0.000247,-1.2517),(6615,1865,0.000302,-1.2517),(6615,1875,0.000357,-1.2517),(6615,1885,0.000419,-1.2517),(6615,1895,0.000492,-1.2517),(6615,1905,0.000564,-1.2516),(6615,1915,0.000636,-1.2515),(6615,1925,0.000702,-1.2514),(6615,1935,0.000757,-1.2513),(6615,1945,0.000812,-1.2513),(6615,1955,0.000868,-1.2512),(6615,1965,0.000898,-1.2512),(6615,1975,0.0009,-1.2512),(6615,1985,0.000902,-1.2511),(6615,1995,0.000904,-1.2509),(6615,2005,0.000892,-1.2507),(6615,2015,0.000867,-1.2506),(6615,2025,0.000842,-1.2504),(6615,2035,0.000817,-1.2502),(6615,2045,0.000799,-1.25),(6615,2055,0.000788,-1.2498),(6615,2065,0.000777,-1.2497),(6615,2075,0.000767,-1.2495),(6615,2085,0.000748,-1.2493),(6615,2095,0.000725,-1.2492),(6615,2105,0.000701,-1.249),(6615,2115,0.000677,-1.2487),(6615,2125,0.000657,-1.2485),(6615,2135,0.000639,-1.2482),(6615,2145,0.00062,-1.248),(6615,2155,0.000602,-1.2478),(6615,2165,0.000601,-1.2476),(6615,2175,0.000608,-1.2474),(6615,2185,0.000616,-1.2472),(6615,2195,0.000623,-1.2469),(6615,2205,0.000643,-1.2467),(6615,2215,0.000668,-1.2464),(6615,2225,0.000693,-1.2462),(6615,2235,0.000718,-1.2459),(6615,2245,0.000758,-1.2456),(6615,2255,0.000803,-1.2454),(6615,2265,0.000849,-1.2451),(6615,2275,0.000894,-1.2449),(6615,2285,0.000914,-1.2447),(6615,2295,0.000925,-1.2444),(6615,2305,0.000937,-1.2441),(6615,2315,0.000949,-1.2437),(6615,2325,0.000933,-1.2433),(6615,2335,0.000911,-1.2429),(6615,2345,0.000889,-1.2426),(6615,2355,0.000868,-1.2422),(6615,2365,0.000877,-1.2418),(6615,2375,0.000891,-1.2414),(6615,2385,0.000905,-1.241),(6615,2395,0.000919,-1.2406),(6615,2405,0.000945,-1.2403),(6615,2415,0.000971,-1.2399),(6615,2425,0.000998,-1.2394),(6615,2435,0.001025,-1.239),(6615,2445,0.001031,-1.2385),(6615,2455,0.001035,-1.238),(6615,2465,0.00104,-1.2376),(6615,2475,0.001044,-1.2371),(6615,2485,0.001039,-1.2367),(6615,2495,0.001032,-1.2362),(6615,2505,0.001026,-1.2357),(6615,2515,0.00102,-1.2352),(6615,2525,0.001004,-1.2348),(6615,2535,0.000987,-1.2343),(6615,2545,0.000971,-1.2337),(6615,2555,0.000955,-1.2331),(6615,2565,0.000954,-1.2325),(6615,2575,0.000952,-1.2319),(6615,2585,0.000951,-1.2314),(6615,2595,0.000953,-1.2308),(6615,2605,0.000984,-1.2302),(6615,2615,0.001014,-1.2297),(6615,2625,0.001045,-1.2291),(6615,2635,0.001078,-1.2285),(6615,2645,0.001118,-1.2279),(6615,2655,0.001159,-1.2274),(6615,2665,0.0012,-1.2268),(6615,2675,0.001241,-1.2261),(6615,2685,0.001281,-1.2255),(6615,2695,0.001322,-1.2249),(6615,2705,0.001362,-1.2243),(6615,2715,0.001401,-1.2237),(6615,2725,0.001435,-1.2231),(6615,2735,0.001468,-1.2225),(6615,2745,0.001501,-1.2218),(6615,2755,0.001529,-1.2211),(6615,2765,0.001541,-1.2204),(6615,2775,0.001553,-1.2197),(6615,2785,0.001566,-1.219),(6615,2795,0.001573,-1.2182),(6615,2805,0.001571,-1.2175),(6615,2815,0.001568,-1.2167),(6615,2825,0.001566,-1.216),(6615,2835,0.001565,-1.2152),(6615,2845,0.001566,-1.2145),(6615,2855,0.001568,-1.2137),(6615,2865,0.001569,-1.2129),(6615,2875,0.001572,-1.2122),(6615,2885,0.001579,-1.2114),(6615,2895,0.001585,-1.2106),(6615,2905,0.001591,-1.2098),(6615,2915,0.001593,-1.2089),(6615,2925,0.001587,-1.2081),(6615,2935,0.001581,-1.2072),(6615,2945,0.001575,-1.2063),(6615,2955,0.001567,-1.2054),(6615,2965,0.001558,-1.2045),(6615,2975,0.001548,-1.2037),(6615,2985,0.001538,-1.2028),(6615,2995,0.001548,-1.2019),(6615,3005,0.001576,-1.201),(6615,3015,0.001605,-1.2001),(6615,3025,0.001634,-1.1993),(6615,3035,0.001669,-1.1984),(6615,3045,0.001709,-1.1976),(6615,3055,0.00175,-1.1967),(6615,3065,0.001791,-1.1957),(6615,3075,0.00181,-1.1948),(6615,3085,0.001813,-1.1938),(6615,3095,0.001817,-1.1928),(6615,3105,0.00182,-1.1918),(6615,3115,0.001818,-1.1908),(6615,3125,0.001814,-1.1898),(6615,3135,0.001809,-1.1888),(6615,3145,0.001805,-1.1878),(6615,3155,0.001799,-1.1868),(6615,3165,0.001793,-1.1859),(6615,3175,0.001786,-1.1848),(6615,3185,0.001779,-1.1837),(6615,3195,0.001758,-1.1826),(6615,3205,0.00173,-1.1815),(6615,3215,0.001702,-1.1804),(6615,3225,0.001674,-1.1793),(6615,3235,0.001691,-1.1781),(6615,3245,0.001724,-1.177),(6615,3255,0.001757,-1.1759),(6615,3265,0.00179,-1.175),(6615,3275,0.00186,-1.174),(6615,3285,0.00194,-1.173),(6615,3295,0.002021,-1.1719),(6615,3305,0.002102,-1.1709),(6615,3315,0.002118,-1.1698),(6615,3325,0.002118,-1.1688),(6615,3335,0.002118,-1.1676),(6615,3345,0.002118,-1.1663),(6615,3355,0.002086,-1.1651),(6615,3365,0.002048,-1.1639),(6615,3375,0.002009,-1.1626),(6615,3385,0.001971,-1.1614),(6615,3395,0.001979,-1.1602),(6615,3405,0.001993,-1.159),(6615,3415,0.002008,-1.1579),(6615,3425,0.002022,-1.1567),(6615,3435,0.002057,-1.1555),(6615,3445,0.002095,-1.1544),(6615,3455,0.002132,-1.1532),(6615,3465,0.002169,-1.1519),(6615,3475,0.002224,-1.1507),(6615,3485,0.002279,-1.1495),(6615,3495,0.002335,-1.1483),(6615,3505,0.00239,-1.147),(6615,3515,0.002454,-1.1458),(6615,3525,0.002519,-1.1446),(6615,3535,0.002583,-1.1434),(6615,3545,0.002648,-1.1422),(6615,3555,0.00273,-1.141),(6615,3565,0.002812,-1.1397),(6615,3575,0.002894,-1.1385),(6615,3585,0.002977,-1.1372),(6615,3595,0.003062,-1.136),(6615,3605,0.003147,-1.1347),(6615,3615,0.003233,-1.1334),(6615,3625,0.003321,-1.132),(6615,3635,0.003433,-1.1307),(6615,3645,0.003546,-1.1293),(6615,3655,0.003658,-1.128),(6615,3665,0.003791,-1.1268),(6615,3675,0.00403,-1.1255),(6615,3685,0.00427,-1.1242),(6615,3695,0.004509,-1.123),(6615,3705,0.004776,-1.1219),(6615,3715,0.005146,-1.1207),(6615,3725,0.005517,-1.1195),(6615,3735,0.005888,-1.1183),(6615,3745,0.006315,-1.1171),(6615,3755,0.006916,-1.1159),(6615,3765,0.007518,-1.1147),(6615,3775,0.00812,-1.1135),(6615,3785,0.008816,-1.1124),(6615,3795,0.009749,-1.1113),(6615,3805,0.010683,-1.1101),(6615,3815,0.011616,-1.1089),(6615,3825,0.012762,-1.1077),(6615,3835,0.014353,-1.1066),(6615,3845,0.015944,-1.1054),(6615,3855,0.017535,-1.1043),(6615,3865,0.019536,-1.1032),(6615,3875,0.022259,-1.1021),(6615,3885,0.024982,-1.1007),(6615,3895,0.027706,-1.0991),(6615,3905,0.031155,-1.0975),(6615,3915,0.035688,-1.0959),(6615,3925,0.040221,-1.0937),(6615,3935,0.044754,-1.0909),(6615,3945,0.050198,-1.088),(6615,3955,0.056799,-1.0851),(6615,3965,0.063399,-1.0805),(6615,3975,0.07,-1.0738),(6615,3985,0.073306,-1.0671),(6615,3995,0.073047,-1.0604),(6615,4005,0.072788,-1.0528),(6615,4015,0.072529,-1.0442),(6615,4025,0.1291,-1.0357),(6615,4035,0.19124,-1.0295),(6615,4045,0.25337,-1.0284),(6615,4055,0.3078,-1.0273),(6615,4065,0.35943,-1.026),(6615,4075,0.41106,-1.0241),(6615,4085,0.43449,-1.0222),(6615,4095,0.43527,-1.0203),(6615,4105,0.43605,-1.0184),(6615,4115,0.43682,-1.0165),(6615,4125,0.43759,-1.0145),(6615,4135,0.43836,-1.0126),(6615,4145,0.43912,-1.0107),(6615,4155,0.43988,-1.0088),(6615,4165,0.44064,-1.0069),(6615,4175,0.4414,-1.005),(6615,4185,0.44214,-1.0031),(6615,4195,0.44289,-1.0012),(6615,4205,0.44364,-0.99917),(6615,4215,0.44437,-0.99716),(6615,4225,0.4451,-0.99514),(6615,4235,0.44582,-0.99308),(6615,4245,0.44655,-0.99101),(6615,4255,0.44727,-0.98895),(6615,4265,0.44799,-0.98687),(6615,4275,0.44872,-0.98479),(6615,4285,0.44946,-0.98271),(6615,4295,0.45019,-0.98058),(6615,4305,0.45094,-0.97844),(6615,4315,0.45171,-0.9763),(6615,4325,0.45248,-0.9741),(6615,4335,0.45326,-0.97189),(6615,4345,0.45406,-0.96968),(6615,4355,0.45487,-0.96745),(6615,4365,0.45568,-0.96522),(6615,4375,0.45651,-0.96299),(6615,4385,0.45735,-0.96073),(6615,4395,0.45819,-0.95843),(6615,4405,0.45904,-0.95613),(6615,4415,0.45989,-0.95381),(6615,4425,0.46074,-0.95143),(6615,4435,0.4616,-0.94905),(6615,4445,0.46249,-0.94666),(6615,4455,0.46337,-0.94422),(6615,4465,0.46427,-0.94178),(6615,4475,0.46519,-0.93934),(6615,4485,0.46611,-0.93682),(6615,4495,0.46704,-0.93428),(6615,4505,0.468,-0.93174),(6615,4515,0.46896,-0.92916),(6615,4525,0.46993,-0.92656),(6615,4535,0.47093,-0.92397),(6615,4545,0.47193,-0.92134),(6615,4555,0.47294,-0.91868),(6615,4565,0.47397,-0.91601),(6615,4575,0.47502,-0.91334),(6615,4585,0.47606,-0.91062),(6615,4595,0.47714,-0.9079),(6615,4605,0.47823,-0.90518),(6615,4615,0.47933,-0.90239),(6615,4625,0.48044,-0.89961),(6615,4635,0.48156,-0.89683),(6615,4645,0.48268,-0.89394),(6615,4655,0.48381,-0.89104),(6615,4665,0.48495,-0.88815),(6615,4675,0.4861,-0.88518),(6615,4685,0.48724,-0.8822),(6615,4695,0.4884,-0.87921),(6615,4705,0.48956,-0.8762),(6615,4715,0.49072,-0.87316),(6615,4725,0.49192,-0.87013),(6615,4735,0.49313,-0.86708),(6615,4745,0.49433,-0.86402),(6615,4755,0.49557,-0.86096),(6615,4765,0.49683,-0.85789),(6615,4775,0.49808,-0.85475),(6615,4785,0.49937,-0.85161),(6615,4795,0.50067,-0.84847),(6615,4805,0.50197,-0.84523),(6615,4815,0.50328,-0.84199),(6615,4825,0.5046,-0.83874),(6615,4835,0.50593,-0.83543),(6615,4845,0.50726,-0.8321),(6615,4855,0.50861,-0.82878),(6615,4865,0.50997,-0.82542),(6615,4875,0.51132,-0.82205),(6615,4885,0.51269,-0.81868),(6615,4895,0.51406,-0.81526),(6615,4905,0.51543,-0.81179),(6615,4915,0.51681,-0.80832),(6615,4925,0.51819,-0.80481),(6615,4935,0.51956,-0.80124),(6615,4945,0.52095,-0.79767),(6615,4955,0.52234,-0.79409),(6615,4965,0.52374,-0.79047),(6615,4975,0.52514,-0.78685),(6615,4985,0.52656,-0.78323),(6615,4995,0.52799,-0.77957),(6615,5005,0.52941,-0.77592),(6615,5015,0.53086,-0.77226),(6615,5025,0.5323,-0.76854),(6615,5035,0.53375,-0.76481),(6615,5045,0.53521,-0.76108),(6615,5055,0.53667,-0.75731),(6615,5065,0.53814,-0.7535),(6615,5075,0.53962,-0.7497),(6615,5085,0.5411,-0.74588),(6615,5095,0.54257,-0.74201),(6615,5105,0.54406,-0.73815),(6615,5115,0.54554,-0.73427),(6615,5125,0.54702,-0.73035),(6615,5135,0.54851,-0.72642),(6615,5145,0.55001,-0.72248),(6615,5155,0.5515,-0.71848),(6615,5165,0.553,-0.71449),(6615,5175,0.5545,-0.71049),(6615,5185,0.556,-0.70642),(6615,5195,0.5575,-0.70233),(6615,5205,0.559,-0.69825),(6615,5215,0.5605,-0.69411),(6615,5225,0.562,-0.68994),(6615,5235,0.5635,-0.68577),(6615,5245,0.565,-0.68157),(6615,5255,0.56649,-0.67736),(6615,5265,0.568,-0.67314),(6615,5275,0.5695,-0.66891),(6615,5285,0.571,-0.66465),(6615,5295,0.5725,-0.6604),(6615,5305,0.574,-0.65613),(6615,5315,0.5755,-0.65181),(6615,5325,0.57699,-0.64749),(6615,5335,0.57847,-0.64318),(6615,5345,0.57995,-0.6388),(6615,5355,0.58142,-0.63443),(6615,5365,0.58288,-0.63006),(6615,5375,0.58435,-0.62566),(6615,5385,0.58581,-0.62125),(6615,5395,0.58727,-0.61685),(6615,5405,0.58874,-0.61241),(6615,5415,0.5902,-0.60796),(6615,5425,0.59167,-0.60351),(6615,5435,0.59315,-0.59903),(6615,5445,0.59462,-0.5945),(6615,5455,0.59608,-0.58998),(6615,5465,0.59754,-0.58544),(6615,5475,0.599,-0.58086),(6615,5485,0.60043,-0.57627),(6615,5495,0.60187,-0.57168),(6615,5505,0.6033,-0.56704),(6615,5515,0.60471,-0.56239),(6615,5525,0.6061,-0.55775),(6615,5535,0.60749,-0.55302),(6615,5545,0.60888,-0.54829),(6615,5555,0.61024,-0.54355),(6615,5565,0.61161,-0.53876),(6615,5575,0.61297,-0.53396),(6615,5585,0.61434,-0.52915),(6615,5595,0.61571,-0.52434),(6615,5605,0.61707,-0.51952),(6615,5615,0.61845,-0.5147),(6615,5625,0.61982,-0.50987),(6615,5635,0.6212,-0.50501),(6615,5645,0.62255,-0.50016),(6615,5655,0.6239,-0.49528),(6615,5665,0.62524,-0.49031),(6615,5675,0.62655,-0.48535),(6615,5685,0.62785,-0.48039),(6615,5695,0.62914,-0.47538),(6615,5705,0.63043,-0.47038),(6615,5715,0.6317,-0.46537),(6615,5725,0.63297,-0.46039),(6615,5735,0.63423,-0.45542),(6615,5745,0.63549,-0.45045),(6615,5755,0.63675,-0.44546),(6615,5765,0.638,-0.44047),(6615,5775,0.63924,-0.43548),(6615,5785,0.64048,-0.43045),(6615,5795,0.64171,-0.42539),(6615,5805,0.64292,-0.42033),(6615,5815,0.64412,-0.41526),(6615,5825,0.64533,-0.41018),(6615,5835,0.64651,-0.4051),(6615,5845,0.64768,-0.40002),(6615,5855,0.64885,-0.3949),(6615,5865,0.64999,-0.38977),(6615,5875,0.65111,-0.38465),(6615,5885,0.65223,-0.37944),(6615,5895,0.65333,-0.37422),(6615,5905,0.6544,-0.36901),(6615,5915,0.65547,-0.36377),(6615,5925,0.65653,-0.35852),(6615,5935,0.65756,-0.35327),(6615,5945,0.65859,-0.34803),(6615,5955,0.65962,-0.3428),(6615,5965,0.66062,-0.33758),(6615,5975,0.66163,-0.33234),(6615,5985,0.66263,-0.32709),(6615,5995,0.66359,-0.32183),(6615,6005,0.66455,-0.31657),(6615,6015,0.66551,-0.31127),(6615,6025,0.66643,-0.30597),(6615,6035,0.66734,-0.30067),(6615,6045,0.66825,-0.29533),(6615,6055,0.66914,-0.28999),(6615,6065,0.67,-0.28466),(6615,6075,0.67086,-0.27923),(6615,6085,0.67171,-0.2738),(6615,6095,0.67254,-0.26836),(6615,6105,0.67337,-0.26293),(6615,6115,0.6742,-0.25751),(6615,6125,0.67501,-0.25208),(6615,6135,0.67582,-0.2467),(6615,6145,0.67663,-0.24137),(6615,6155,0.67739,-0.23604),(6615,6165,0.67815,-0.23068),(6615,6175,0.67892,-0.22526),(6615,6185,0.67962,-0.21985),(6615,6195,0.6803,-0.2144),(6615,6205,0.68098,-0.20886),(6615,6215,0.68162,-0.20331),(6615,6225,0.68224,-0.19776),(6615,6235,0.68286,-0.19226),(6615,6245,0.68347,-0.18677),(6615,6255,0.68405,-0.18127),(6615,6265,0.68463,-0.17578),(6615,6275,0.68521,-0.1703),(6615,6285,0.68576,-0.16482),(6615,6295,0.68631,-0.15937),(6615,6305,0.68686,-0.15393),(6615,6315,0.68737,-0.1485),(6615,6325,0.68789,-0.14308),(6615,6335,0.6884,-0.13767),(6615,6345,0.68886,-0.13225),(6615,6355,0.68931,-0.12676),(6615,6365,0.68976,-0.1211),(6615,6375,0.69016,-0.11543),(6615,6385,0.69055,-0.10978),(6615,6395,0.69093,-0.10422),(6615,6405,0.69129,-0.09867),(6615,6415,0.69164,-0.093114),(6615,6425,0.69198,-0.087603),(6615,6435,0.6923,-0.082095),(6615,6445,0.69258,-0.076586),(6615,6455,0.69287,-0.07107),(6615,6465,0.69314,-0.065552),(6615,6475,0.69338,-0.060034),(6615,6485,0.69361,-0.054459),(6615,6495,0.69384,-0.048846),(6615,6505,0.69404,-0.043233),(6615,6515,0.69424,-0.037627),(6615,6525,0.69443,-0.03203),(6615,6535,0.69458,-0.026433),(6615,6545,0.69472,-0.020855),(6615,6555,0.69486,-0.015334),(6615,6565,0.69496,-0.009814),(6615,6575,0.69503,-0.004296),(6615,6585,0.69511,0.00119),(6615,6595,0.59123,0.006677),(6615,6605,0.37257,0.012163),(6615,6615,0.1539,0.012816),(6615,6625,0.0002,0.012849),(6615,6635,0.000252,0.012881),(6615,6645,0.000303,0.01289),(6615,6655,0.000355,0.01289),(6615,6665,0.000406,0.012889),(6615,6675,0.000458,0.012888),(6615,6685,0.000509,0.012885),(6615,6695,0.00056,0.012882),(6615,6705,0.000611,0.012879),(6615,6715,0.000662,0.012874),(6615,6725,0.000713,0.012869),(6615,6735,0.000764,0.012864),(6615,6745,0.000814,0.012857),(6615,6755,0.000864,0.012851),(6615,6765,0.000914,0.012844),(6615,6775,0.000964,0.012835),(6615,6785,0.001014,0.012826),(6615,6795,0.001063,0.012817),(6615,6805,0.001112,0.012807),(6615,6815,0.001161,0.012796),(6615,6825,0.001209,0.012785),(6615,6835,0.001257,0.012773),(6615,6845,0.001306,0.01276),(6615,6855,0.001353,0.012747),(6615,6865,0.0014,0.012734),(6615,6875,0.001447,0.012719),(6615,6885,0.001494,0.012704),(6615,6895,0.00154,0.012689),(6615,6905,0.001586,0.012673),(6615,6915,0.001631,0.012657),(6615,6925,0.001676,0.01264),(6615,6935,0.001721,0.012622),(6615,6945,0.001765,0.012604),(6615,6955,0.001808,0.012586),(6615,6965,0.001852,0.012567),(6615,6975,0.001895,0.012548),(6615,6985,0.001937,0.012528),(6625,5,-1.4e-05,-1.2902),(6625,15,-4.3e-05,-1.2902),(6625,25,-6.2e-05,-1.2902),(6625,35,-7.2e-05,-1.2903),(6625,45,-8.2e-05,-1.2903),(6625,55,-9.2e-05,-1.2903),(6625,65,-9.9e-05,-1.2902),(6625,75,-0.000103,-1.2902),(6625,85,-0.000107,-1.2902),(6625,95,-0.000112,-1.2902),(6625,105,-0.0001,-1.2901),(6625,115,-7.6e-05,-1.2901),(6625,125,-5.3e-05,-1.2901),(6625,135,-3e-05,-1.29),(6625,145,-1.7e-05,-1.2899),(6625,155,-1.1e-05,-1.2899),(6625,165,-5e-06,-1.2898),(6625,175,1e-06,-1.2897),(6625,185,1.8e-05,-1.2896),(6625,195,4e-05,-1.2894),(6625,205,6.3e-05,-1.2893),(6625,215,8.5e-05,-1.2892),(6625,225,9.9e-05,-1.2891),(6625,235,0.000109,-1.289),(6625,245,0.000119,-1.2888),(6625,255,0.00013,-1.2887),(6625,265,0.000121,-1.2885),(6625,275,0.000107,-1.2884),(6625,285,9.2e-05,-1.2882),(6625,295,7.7e-05,-1.288),(6625,305,6e-05,-1.2878),(6625,315,4.1e-05,-1.2875),(6625,325,2.2e-05,-1.2874),(6625,335,4e-06,-1.2872),(6625,345,-1e-06,-1.287),(6625,355,-4e-06,-1.2869),(6625,365,-6e-06,-1.2867),(6625,375,-9e-06,-1.2865),(6625,385,-2e-06,-1.2863),(6625,395,6e-06,-1.2861),(6625,405,1.4e-05,-1.2859),(6625,415,2.2e-05,-1.2856),(6625,425,1.1e-05,-1.2854),(6625,435,-2e-06,-1.2851),(6625,445,-1.6e-05,-1.2849),(6625,455,-2.9e-05,-1.2847),(6625,465,-4.7e-05,-1.2844),(6625,475,-6.6e-05,-1.2842),(6625,485,-8.4e-05,-1.2839),(6625,495,-0.000103,-1.2836),(6625,505,-0.000114,-1.2833),(6625,515,-0.000124,-1.283),(6625,525,-0.000135,-1.2827),(6625,535,-0.000145,-1.2824),(6625,545,-0.000131,-1.2822),(6625,555,-0.000118,-1.2819),(6625,565,-0.000104,-1.2816),(6625,575,-9e-05,-1.2813),(6625,585,-6.8e-05,-1.2811),(6625,595,-4.6e-05,-1.2808),(6625,605,-2.3e-05,-1.2805),(6625,615,-3e-06,-1.2802),(6625,625,1e-06,-1.2799),(6625,635,5e-06,-1.2796),(6625,645,9e-06,-1.2793),(6625,655,1.2e-05,-1.2789),(6625,665,5e-06,-1.2786),(6625,675,-1e-06,-1.2783),(6625,685,-8e-06,-1.2779),(6625,695,-1.1e-05,-1.2775),(6625,705,-4e-06,-1.2771),(6625,715,3e-06,-1.2767),(6625,725,1.1e-05,-1.2763),(6625,735,2.9e-05,-1.276),(6625,745,8.3e-05,-1.2756),(6625,755,0.000137,-1.2752),(6625,765,0.000192,-1.2749),(6625,775,0.000249,-1.2745),(6625,785,0.000314,-1.2742),(6625,795,0.000379,-1.2738),(6625,805,0.000444,-1.2734),(6625,815,0.000508,-1.273),(6625,825,0.000571,-1.2726),(6625,835,0.000633,-1.2722),(6625,845,0.000695,-1.2718),(6625,855,0.000759,-1.2714),(6625,865,0.000823,-1.271),(6625,875,0.000888,-1.2707),(6625,885,0.000953,-1.2703),(6625,895,0.00102,-1.2699),(6625,905,0.001092,-1.2695),(6625,915,0.001165,-1.2691),(6625,925,0.001237,-1.2687),(6625,935,0.001324,-1.2682),(6625,945,0.00143,-1.2678),(6625,955,0.001537,-1.2673),(6625,965,0.001644,-1.2669),(6625,975,0.001799,-1.2665),(6625,985,0.002009,-1.266),(6625,995,0.002219,-1.2656),(6625,1005,0.002429,-1.2653),(6625,1015,0.002724,-1.2649),(6625,1025,0.003101,-1.2646),(6625,1035,0.003478,-1.2642),(6625,1045,0.003854,-1.2639),(6625,1055,0.00436,-1.2637),(6625,1065,0.00497,-1.2634),(6625,1075,0.005581,-1.2631),(6625,1085,0.006192,-1.2627),(6625,1095,0.007042,-1.2624),(6625,1105,0.00806,-1.2621),(6625,1115,0.009079,-1.2618),(6625,1125,0.010097,-1.2616),(6625,1135,0.011614,-1.2613),(6625,1145,0.013425,-1.261),(6625,1155,0.015237,-1.2608),(6625,1165,0.017048,-1.2607),(6625,1175,0.019842,-1.2605),(6625,1185,0.023123,-1.2603),(6625,1195,0.026404,-1.2599),(6625,1205,0.029685,-1.2593),(6625,1215,0.034639,-1.2588),(6625,1225,0.040284,-1.2583),(6625,1235,0.045929,-1.2565),(6625,1245,0.051573,-1.2543),(6625,1255,0.059197,-1.2521),(6625,1265,0.067489,-1.2499),(6625,1275,0.07578,-1.2442),(6625,1285,0.084072,-1.2374),(6625,1295,0.080564,-1.2306),(6625,1305,0.073866,-1.2238),(6625,1315,0.067167,-1.2169),(6625,1325,0.060469,-1.2099),(6625,1335,0.037288,-1.203),(6625,1345,0.010653,-1.196),(6625,1355,-0.015982,-1.1996),(6625,1365,-0.042617,-1.205),(6625,1375,-0.055775,-1.2105),(6625,1385,-0.066854,-1.2159),(6625,1395,-0.077933,-1.2231),(6625,1405,-0.089012,-1.2305),(6625,1415,-0.081981,-1.2379),(6625,1425,-0.073069,-1.2453),(6625,1435,-0.064157,-1.2477),(6625,1445,-0.055245,-1.2496),(6625,1455,-0.049147,-1.2516),(6625,1465,-0.043211,-1.2536),(6625,1475,-0.037275,-1.254),(6625,1485,-0.031339,-1.2544),(6625,1495,-0.027783,-1.2547),(6625,1505,-0.024263,-1.2551),(6625,1515,-0.020743,-1.2548),(6625,1525,-0.017263,-1.2546),(6625,1535,-0.015394,-1.2543),(6625,1545,-0.013524,-1.254),(6625,1555,-0.011654,-1.2539),(6625,1565,-0.009832,-1.2537),(6625,1575,-0.008708,-1.2536),(6625,1585,-0.007583,-1.2534),(6625,1595,-0.006458,-1.2533),(6625,1605,-0.005385,-1.2532),(6625,1615,-0.004755,-1.2531),(6625,1625,-0.004125,-1.253),(6625,1635,-0.003495,-1.253),(6625,1645,-0.0029,-1.2529),(6625,1655,-0.002515,-1.2529),(6625,1665,-0.002129,-1.2528),(6625,1675,-0.001744,-1.2528),(6625,1685,-0.001391,-1.2527),(6625,1695,-0.001187,-1.2527),(6625,1705,-0.000983,-1.2526),(6625,1715,-0.000779,-1.2526),(6625,1725,-0.000599,-1.2525),(6625,1735,-0.000504,-1.2524),(6625,1745,-0.000408,-1.2523),(6625,1755,-0.000313,-1.2523),(6625,1765,-0.000227,-1.2522),(6625,1775,-0.000169,-1.2521),(6625,1785,-0.000111,-1.2521),(6625,1795,-5.4e-05,-1.252),(6625,1805,2e-06,-1.252),(6625,1815,5.4e-05,-1.2519),(6625,1825,0.000105,-1.2519),(6625,1835,0.000157,-1.2518),(6625,1845,0.000209,-1.2518),(6625,1855,0.000262,-1.2517),(6625,1865,0.000316,-1.2517),(6625,1875,0.000369,-1.2516),(6625,1885,0.000429,-1.2516),(6625,1895,0.000498,-1.2516),(6625,1905,0.000566,-1.2516),(6625,1915,0.000635,-1.2515),(6625,1925,0.000701,-1.2514),(6625,1935,0.000762,-1.2513),(6625,1945,0.000824,-1.2512),(6625,1955,0.000885,-1.2512),(6625,1965,0.000926,-1.2512),(6625,1975,0.000942,-1.2512),(6625,1985,0.000959,-1.2511),(6625,1995,0.000975,-1.2509),(6625,2005,0.000975,-1.2507),(6625,2015,0.000958,-1.2506),(6625,2025,0.000942,-1.2504),(6625,2035,0.000925,-1.2502),(6625,2045,0.000912,-1.25),(6625,2055,0.000903,-1.2498),(6625,2065,0.000893,-1.2497),(6625,2075,0.000884,-1.2495),(6625,2085,0.000864,-1.2494),(6625,2095,0.000837,-1.2492),(6625,2105,0.000809,-1.249),(6625,2115,0.000782,-1.2487),(6625,2125,0.000753,-1.2485),(6625,2135,0.000722,-1.2482),(6625,2145,0.000692,-1.248),(6625,2155,0.000662,-1.2478),(6625,2165,0.000646,-1.2476),(6625,2175,0.000638,-1.2474),(6625,2185,0.000631,-1.2472),(6625,2195,0.000623,-1.2469),(6625,2205,0.00063,-1.2467),(6625,2215,0.000644,-1.2464),(6625,2225,0.000659,-1.2461),(6625,2235,0.000673,-1.2459),(6625,2245,0.000716,-1.2456),(6625,2255,0.00077,-1.2453),(6625,2265,0.000824,-1.2451),(6625,2275,0.000878,-1.2448),(6625,2285,0.000915,-1.2446),(6625,2295,0.000946,-1.2444),(6625,2305,0.000977,-1.2441),(6625,2315,0.001008,-1.2437),(6625,2325,0.000993,-1.2433),(6625,2335,0.000969,-1.243),(6625,2345,0.000944,-1.2426),(6625,2355,0.000919,-1.2422),(6625,2365,0.000913,-1.2418),(6625,2375,0.00091,-1.2414),(6625,2385,0.000906,-1.241),(6625,2395,0.000903,-1.2406),(6625,2405,0.000923,-1.2403),(6625,2415,0.000946,-1.2399),(6625,2425,0.00097,-1.2394),(6625,2435,0.000993,-1.2389),(6625,2445,0.001006,-1.2385),(6625,2455,0.001018,-1.238),(6625,2465,0.00103,-1.2376),(6625,2475,0.001043,-1.2371),(6625,2485,0.001045,-1.2367),(6625,2495,0.001047,-1.2362),(6625,2505,0.001049,-1.2357),(6625,2515,0.001051,-1.2353),(6625,2525,0.001039,-1.2348),(6625,2535,0.001027,-1.2343),(6625,2545,0.001014,-1.2337),(6625,2555,0.001003,-1.2331),(6625,2565,0.000997,-1.2325),(6625,2575,0.000992,-1.2319),(6625,2585,0.000987,-1.2314),(6625,2595,0.000985,-1.2308),(6625,2605,0.00101,-1.2302),(6625,2615,0.001035,-1.2297),(6625,2625,0.001061,-1.2291),(6625,2635,0.001088,-1.2285),(6625,2645,0.001126,-1.2279),(6625,2655,0.001164,-1.2273),(6625,2665,0.001202,-1.2267),(6625,2675,0.00124,-1.2261),(6625,2685,0.00128,-1.2255),(6625,2695,0.001319,-1.2249),(6625,2705,0.001358,-1.2243),(6625,2715,0.001398,-1.2237),(6625,2725,0.001435,-1.2231),(6625,2735,0.001474,-1.2224),(6625,2745,0.001512,-1.2218),(6625,2755,0.001546,-1.2211),(6625,2765,0.00157,-1.2204),(6625,2775,0.001595,-1.2197),(6625,2785,0.001619,-1.2189),(6625,2795,0.001638,-1.2182),(6625,2805,0.001644,-1.2175),(6625,2815,0.00165,-1.2167),(6625,2825,0.001656,-1.216),(6625,2835,0.001659,-1.2152),(6625,2845,0.001658,-1.2145),(6625,2855,0.001657,-1.2137),(6625,2865,0.001656,-1.2129),(6625,2875,0.001656,-1.2122),(6625,2885,0.001657,-1.2114),(6625,2895,0.001658,-1.2106),(6625,2905,0.001659,-1.2097),(6625,2915,0.001656,-1.2089),(6625,2925,0.001649,-1.2081),(6625,2935,0.001641,-1.2072),(6625,2945,0.001633,-1.2063),(6625,2955,0.001623,-1.2054),(6625,2965,0.001611,-1.2046),(6625,2975,0.001598,-1.2037),(6625,2985,0.001586,-1.2028),(6625,2995,0.001592,-1.2019),(6625,3005,0.001618,-1.201),(6625,3015,0.001644,-1.2001),(6625,3025,0.00167,-1.1992),(6625,3035,0.001708,-1.1984),(6625,3045,0.001756,-1.1975),(6625,3055,0.001804,-1.1966),(6625,3065,0.001852,-1.1957),(6625,3075,0.001879,-1.1947),(6625,3085,0.00189,-1.1938),(6625,3095,0.001902,-1.1928),(6625,3105,0.001913,-1.1918),(6625,3115,0.001914,-1.1908),(6625,3125,0.001909,-1.1898),(6625,3135,0.001904,-1.1888),(6625,3145,0.001899,-1.1878),(6625,3155,0.001891,-1.1869),(6625,3165,0.001881,-1.1859),(6625,3175,0.001872,-1.1848),(6625,3185,0.001863,-1.1838),(6625,3195,0.001831,-1.1827),(6625,3205,0.001789,-1.1816),(6625,3215,0.001747,-1.1805),(6625,3225,0.001705,-1.1793),(6625,3235,0.001703,-1.1781),(6625,3245,0.001715,-1.177),(6625,3255,0.001726,-1.1759),(6625,3265,0.001738,-1.1749),(6625,3275,0.001807,-1.1739),(6625,3285,0.001894,-1.1729),(6625,3295,0.00198,-1.1719),(6625,3305,0.002067,-1.1708),(6625,3315,0.002101,-1.1698),(6625,3325,0.002124,-1.1688),(6625,3335,0.002146,-1.1676),(6625,3345,0.002168,-1.1663),(6625,3355,0.00214,-1.1651),(6625,3365,0.002102,-1.1639),(6625,3375,0.002065,-1.1627),(6625,3385,0.002027,-1.1615),(6625,3395,0.002024,-1.1603),(6625,3405,0.002024,-1.1591),(6625,3415,0.002025,-1.1579),(6625,3425,0.002026,-1.1567),(6625,3435,0.002056,-1.1555),(6625,3445,0.002089,-1.1544),(6625,3455,0.002122,-1.1531),(6625,3465,0.002154,-1.1519),(6625,3475,0.002219,-1.1507),(6625,3485,0.002284,-1.1494),(6625,3495,0.00235,-1.1482),(6625,3505,0.002416,-1.147),(6625,3515,0.002491,-1.1458),(6625,3525,0.002566,-1.1446),(6625,3535,0.002641,-1.1433),(6625,3545,0.002716,-1.1421),(6625,3555,0.002805,-1.1409),(6625,3565,0.002893,-1.1397),(6625,3575,0.002982,-1.1384),(6625,3585,0.00307,-1.1372),(6625,3595,0.003163,-1.1359),(6625,3605,0.003256,-1.1347),(6625,3615,0.003349,-1.1333),(6625,3625,0.003444,-1.132),(6625,3635,0.003552,-1.1306),(6625,3645,0.00366,-1.1293),(6625,3655,0.003768,-1.128),(6625,3665,0.003897,-1.1267),(6625,3675,0.004133,-1.1254),(6625,3685,0.004369,-1.1241),(6625,3695,0.004604,-1.1229),(6625,3705,0.004869,-1.1217),(6625,3715,0.005245,-1.1205),(6625,3725,0.005621,-1.1192),(6625,3735,0.005997,-1.118),(6625,3745,0.006433,-1.1168),(6625,3755,0.007052,-1.1155),(6625,3765,0.007672,-1.1143),(6625,3775,0.008292,-1.1131),(6625,3785,0.009007,-1.1119),(6625,3795,0.009964,-1.1107),(6625,3805,0.01092,-1.1095),(6625,3815,0.011876,-1.1082),(6625,3825,0.013034,-1.1069),(6625,3835,0.014616,-1.1057),(6625,3845,0.016198,-1.1044),(6625,3855,0.01778,-1.1031),(6625,3865,0.01974,-1.1018),(6625,3875,0.022366,-1.1005),(6625,3885,0.024993,-1.099),(6625,3895,0.02762,-1.0972),(6625,3905,0.030867,-1.0953),(6625,3915,0.035041,-1.0934),(6625,3925,0.039216,-1.091),(6625,3935,0.04339,-1.0879),(6625,3945,0.048247,-1.0847),(6625,3955,0.053971,-1.0816),(6625,3965,0.059695,-1.0769),(6625,3975,0.065418,-1.0704),(6625,3985,0.067984,-1.0639),(6625,3995,0.067132,-1.0574),(6625,4005,0.066279,-1.0503),(6625,4015,0.065427,-1.0427),(6625,4025,0.12345,-1.035),(6625,4035,0.18723,-1.0295),(6625,4045,0.25101,-1.0284),(6625,4055,0.30561,-1.0272),(6625,4065,0.35687,-1.026),(6625,4075,0.40813,-1.0241),(6625,4085,0.43139,-1.0222),(6625,4095,0.43217,-1.0203),(6625,4105,0.43294,-1.0184),(6625,4115,0.43371,-1.0165),(6625,4125,0.43447,-1.0146),(6625,4135,0.43522,-1.0126),(6625,4145,0.43598,-1.0107),(6625,4155,0.43673,-1.0088),(6625,4165,0.43748,-1.0069),(6625,4175,0.43824,-1.005),(6625,4185,0.43898,-1.0032),(6625,4195,0.43972,-1.0012),(6625,4205,0.44046,-0.99924),(6625,4215,0.44119,-0.99724),(6625,4225,0.44191,-0.99522),(6625,4235,0.44263,-0.99317),(6625,4245,0.44335,-0.99112),(6625,4255,0.44406,-0.98907),(6625,4265,0.44478,-0.98699),(6625,4275,0.4455,-0.98491),(6625,4285,0.44622,-0.98284),(6625,4295,0.44694,-0.9807),(6625,4305,0.44767,-0.97855),(6625,4315,0.44842,-0.97641),(6625,4325,0.44918,-0.97421),(6625,4335,0.44993,-0.97199),(6625,4345,0.45072,-0.96977),(6625,4355,0.45151,-0.96754),(6625,4365,0.4523,-0.96531),(6625,4375,0.45312,-0.96307),(6625,4385,0.45394,-0.96081),(6625,4395,0.45476,-0.95851),(6625,4405,0.45559,-0.95621),(6625,4415,0.45642,-0.9539),(6625,4425,0.45725,-0.95151),(6625,4435,0.4581,-0.94913),(6625,4445,0.45897,-0.94675),(6625,4455,0.45983,-0.94431),(6625,4465,0.46071,-0.94186),(6625,4475,0.46161,-0.93942),(6625,4485,0.4625,-0.93689),(6625,4495,0.46341,-0.93435),(6625,4505,0.46435,-0.93181),(6625,4515,0.46528,-0.92922),(6625,4525,0.46622,-0.92662),(6625,4535,0.46719,-0.92402),(6625,4545,0.46816,-0.92138),(6625,4555,0.46914,-0.91871),(6625,4565,0.47015,-0.91605),(6625,4575,0.47116,-0.91336),(6625,4585,0.47218,-0.91063),(6625,4595,0.47323,-0.9079),(6625,4605,0.47431,-0.90517),(6625,4615,0.47538,-0.90238),(6625,4625,0.47647,-0.89959),(6625,4635,0.47758,-0.8968),(6625,4645,0.47869,-0.89391),(6625,4655,0.4798,-0.89101),(6625,4665,0.48093,-0.88812),(6625,4675,0.48206,-0.88515),(6625,4685,0.48319,-0.88217),(6625,4695,0.48433,-0.87918),(6625,4705,0.48548,-0.87617),(6625,4715,0.48662,-0.87312),(6625,4725,0.4878,-0.87008),(6625,4735,0.48897,-0.86703),(6625,4745,0.49015,-0.86396),(6625,4755,0.49137,-0.86089),(6625,4765,0.49259,-0.85781),(6625,4775,0.49382,-0.85466),(6625,4785,0.49507,-0.85152),(6625,4795,0.49634,-0.84837),(6625,4805,0.49761,-0.84512),(6625,4815,0.49889,-0.84187),(6625,4825,0.50018,-0.83863),(6625,4835,0.50148,-0.83531),(6625,4845,0.50278,-0.83197),(6625,4855,0.50411,-0.82864),(6625,4865,0.50543,-0.82528),(6625,4875,0.50676,-0.8219),(6625,4885,0.50812,-0.81852),(6625,4895,0.50947,-0.8151),(6625,4905,0.51083,-0.81163),(6625,4915,0.51219,-0.80816),(6625,4925,0.51355,-0.80465),(6625,4935,0.51491,-0.80108),(6625,4945,0.51629,-0.7975),(6625,4955,0.51766,-0.79392),(6625,4965,0.51903,-0.7903),(6625,4975,0.52042,-0.78667),(6625,4985,0.52182,-0.78305),(6625,4995,0.52321,-0.77938),(6625,5005,0.52462,-0.77572),(6625,5015,0.52604,-0.77206),(6625,5025,0.52746,-0.76834),(6625,5035,0.52888,-0.7646),(6625,5045,0.53032,-0.76086),(6625,5055,0.53175,-0.75708),(6625,5065,0.53319,-0.75328),(6625,5075,0.53465,-0.74947),(6625,5085,0.53611,-0.74564),(6625,5095,0.53757,-0.74177),(6625,5105,0.53903,-0.73791),(6625,5115,0.5405,-0.73402),(6625,5125,0.54197,-0.73009),(6625,5135,0.54344,-0.72616),(6625,5145,0.54491,-0.72222),(6625,5155,0.54638,-0.71822),(6625,5165,0.54786,-0.71422),(6625,5175,0.54934,-0.71022),(6625,5185,0.55082,-0.70615),(6625,5195,0.5523,-0.70206),(6625,5205,0.55378,-0.69797),(6625,5215,0.55526,-0.69383),(6625,5225,0.55675,-0.68966),(6625,5235,0.55822,-0.68549),(6625,5245,0.5597,-0.68129),(6625,5255,0.56117,-0.67707),(6625,5265,0.56264,-0.67286),(6625,5275,0.56412,-0.66862),(6625,5285,0.56559,-0.66436),(6625,5295,0.56707,-0.6601),(6625,5305,0.56854,-0.65583),(6625,5315,0.57002,-0.65151),(6625,5325,0.57149,-0.64719),(6625,5335,0.57295,-0.64287),(6625,5345,0.57442,-0.6385),(6625,5355,0.57588,-0.63413),(6625,5365,0.57733,-0.62975),(6625,5375,0.57878,-0.62535),(6625,5385,0.58023,-0.62095),(6625,5395,0.58167,-0.61654),(6625,5405,0.5831,-0.61211),(6625,5415,0.58454,-0.60765),(6625,5425,0.58598,-0.60319),(6625,5435,0.58742,-0.5987),(6625,5445,0.58886,-0.59418),(6625,5455,0.59029,-0.58965),(6625,5465,0.59173,-0.58511),(6625,5475,0.59316,-0.58052),(6625,5485,0.59459,-0.57593),(6625,5495,0.59601,-0.57133),(6625,5505,0.59743,-0.56669),(6625,5515,0.59883,-0.56205),(6625,5525,0.60023,-0.55741),(6625,5535,0.60162,-0.55269),(6625,5545,0.603,-0.54796),(6625,5555,0.60435,-0.54323),(6625,5565,0.60571,-0.53843),(6625,5575,0.60707,-0.53362),(6625,5585,0.60841,-0.52881),(6625,5595,0.60976,-0.52399),(6625,5605,0.6111,-0.51916),(6625,5615,0.61246,-0.51434),(6625,5625,0.61381,-0.5095),(6625,5635,0.61517,-0.50464),(6625,5645,0.6165,-0.49978),(6625,5655,0.61784,-0.4949),(6625,5665,0.61917,-0.48995),(6625,5675,0.62047,-0.48499),(6625,5685,0.62175,-0.48003),(6625,5695,0.62304,-0.47503),(6625,5705,0.62431,-0.47003),(6625,5715,0.62556,-0.46502),(6625,5725,0.62681,-0.46004),(6625,5735,0.62806,-0.45507),(6625,5745,0.62929,-0.45009),(6625,5755,0.63053,-0.4451),(6625,5765,0.63176,-0.44011),(6625,5775,0.63297,-0.43512),(6625,5785,0.63419,-0.43009),(6625,5795,0.6354,-0.42503),(6625,5805,0.63659,-0.41996),(6625,5815,0.63778,-0.4149),(6625,5825,0.63896,-0.40982),(6625,5835,0.64013,-0.40474),(6625,5845,0.64128,-0.39965),(6625,5855,0.64244,-0.39454),(6625,5865,0.64357,-0.38942),(6625,5875,0.64468,-0.3843),(6625,5885,0.64578,-0.3791),(6625,5895,0.64687,-0.37389),(6625,5905,0.64793,-0.36868),(6625,5915,0.64898,-0.36344),(6625,5925,0.65003,-0.35819),(6625,5935,0.65105,-0.35294),(6625,5945,0.65207,-0.34771),(6625,5955,0.65309,-0.34248),(6625,5965,0.65408,-0.33725),(6625,5975,0.65507,-0.33201),(6625,5985,0.65605,-0.32676),(6625,5995,0.65701,-0.32151),(6625,6005,0.65796,-0.31625),(6625,6015,0.65892,-0.31095),(6625,6025,0.65984,-0.30566),(6625,6035,0.66074,-0.30036),(6625,6045,0.66165,-0.29503),(6625,6055,0.66253,-0.28969),(6625,6065,0.66339,-0.28436),(6625,6075,0.66425,-0.27894),(6625,6085,0.66509,-0.27351),(6625,6095,0.66591,-0.26808),(6625,6105,0.66673,-0.26264),(6625,6115,0.66755,-0.25721),(6625,6125,0.66835,-0.25177),(6625,6135,0.66915,-0.2464),(6625,6145,0.66996,-0.24107),(6625,6155,0.67072,-0.23574),(6625,6165,0.67148,-0.23038),(6625,6175,0.67224,-0.22498),(6625,6185,0.67294,-0.21958),(6625,6195,0.67362,-0.21416),(6625,6205,0.67429,-0.20862),(6625,6215,0.67493,-0.20308),(6625,6225,0.67554,-0.19755),(6625,6235,0.67615,-0.19205),(6625,6245,0.67674,-0.18656),(6625,6255,0.67731,-0.18106),(6625,6265,0.67787,-0.17558),(6625,6275,0.67843,-0.17009),(6625,6285,0.67897,-0.1646),(6625,6295,0.67951,-0.15915),(6625,6305,0.68004,-0.15372),(6625,6315,0.68055,-0.14829),(6625,6325,0.68105,-0.14286),(6625,6335,0.68156,-0.13746),(6625,6345,0.68201,-0.13205),(6625,6355,0.68247,-0.12657),(6625,6365,0.68292,-0.12091),(6625,6375,0.68332,-0.11525),(6625,6385,0.6837,-0.10961),(6625,6395,0.68409,-0.10406),(6625,6405,0.68445,-0.098506),(6625,6415,0.68479,-0.092954),(6625,6425,0.68513,-0.087451),(6625,6435,0.68545,-0.08195),(6625,6445,0.68573,-0.07645),(6625,6455,0.68601,-0.070939),(6625,6465,0.68628,-0.065424),(6625,6475,0.68651,-0.05991),(6625,6485,0.68674,-0.054337),(6625,6495,0.68698,-0.048723),(6625,6505,0.68717,-0.043109),(6625,6515,0.68737,-0.037505),(6625,6525,0.68757,-0.031915),(6625,6535,0.68772,-0.026325),(6625,6545,0.68786,-0.020754),(6625,6555,0.688,-0.015246),(6625,6565,0.68809,-0.009739),(6625,6575,0.68816,-0.004232),(6625,6585,0.68823,0.001248),(6625,6595,0.58537,0.006728),(6625,6605,0.36888,0.012209),(6625,6615,0.15238,0.012863),(6625,6625,0.000198,0.012898),(6625,6635,0.00025,0.012933),(6625,6645,0.000303,0.012943),(6625,6655,0.000355,0.012942),(6625,6665,0.000407,0.012941),(6625,6675,0.000459,0.01294),(6625,6685,0.000511,0.012937),(6625,6695,0.000563,0.012934),(6625,6705,0.000614,0.012931),(6625,6715,0.000666,0.012926),(6625,6725,0.000717,0.012921),(6625,6735,0.000769,0.012916),(6625,6745,0.00082,0.012909),(6625,6755,0.000871,0.012901),(6625,6765,0.000921,0.012894),(6625,6775,0.000972,0.012885),(6625,6785,0.001022,0.012876),(6625,6795,0.001072,0.012867),(6625,6805,0.001121,0.012856),(6625,6815,0.001171,0.012845),(6625,6825,0.00122,0.012834),(6625,6835,0.001268,0.012821),(6625,6845,0.001317,0.012808),(6625,6855,0.001365,0.012795),(6625,6865,0.001413,0.012781),(6625,6875,0.00146,0.012766),(6625,6885,0.001507,0.012751),(6625,6895,0.001554,0.012736),(6625,6905,0.0016,0.012719),(6625,6915,0.001646,0.012703),(6625,6925,0.001691,0.012686),(6625,6935,0.001737,0.012667),(6625,6945,0.001781,0.012649),(6625,6955,0.001825,0.01263),(6625,6965,0.001869,0.012611),(6625,6975,0.001913,0.012591),(6625,6985,0.001955,0.012571),(6635,5,-1.1e-05,-1.2902),(6635,15,-3.2e-05,-1.2902),(6635,25,-4.9e-05,-1.2902),(6635,35,-6.1e-05,-1.2903),(6635,45,-7.4e-05,-1.2903),(6635,55,-8.6e-05,-1.2903),(6635,65,-9.8e-05,-1.2902),(6635,75,-0.000111,-1.2902),(6635,85,-0.000124,-1.2902),(6635,95,-0.000136,-1.2902),(6635,105,-0.000126,-1.2901),(6635,115,-0.000101,-1.2901),(6635,125,-7.6e-05,-1.29),(6635,135,-5.1e-05,-1.29),(6635,145,-3.4e-05,-1.2899),(6635,155,-2.1e-05,-1.2899),(6635,165,-8e-06,-1.2898),(6635,175,5e-06,-1.2897),(6635,185,2.2e-05,-1.2896),(6635,195,4.2e-05,-1.2894),(6635,205,6.1e-05,-1.2893),(6635,215,8.1e-05,-1.2892),(6635,225,9.7e-05,-1.2891),(6635,235,0.000113,-1.289),(6635,245,0.000128,-1.2888),(6635,255,0.000143,-1.2887),(6635,265,0.000139,-1.2886),(6635,275,0.00013,-1.2884),(6635,285,0.00012,-1.2882),(6635,295,0.000111,-1.288),(6635,305,9.1e-05,-1.2878),(6635,315,6.9e-05,-1.2876),(6635,325,4.7e-05,-1.2874),(6635,335,2.5e-05,-1.2872),(6635,345,1.8e-05,-1.287),(6635,355,1.4e-05,-1.2869),(6635,365,1e-05,-1.2867),(6635,375,6e-06,-1.2865),(6635,385,1.5e-05,-1.2863),(6635,395,2.7e-05,-1.2861),(6635,405,3.9e-05,-1.2859),(6635,415,5e-05,-1.2856),(6635,425,4.4e-05,-1.2854),(6635,435,3.6e-05,-1.2851),(6635,445,2.8e-05,-1.2849),(6635,455,2e-05,-1.2847),(6635,465,-4e-06,-1.2844),(6635,475,-2.8e-05,-1.2842),(6635,485,-5.3e-05,-1.2839),(6635,495,-7.7e-05,-1.2836),(6635,505,-0.0001,-1.2833),(6635,515,-0.000123,-1.283),(6635,525,-0.000146,-1.2827),(6635,535,-0.000167,-1.2824),(6635,545,-0.000158,-1.2822),(6635,555,-0.000149,-1.2819),(6635,565,-0.00014,-1.2816),(6635,575,-0.00013,-1.2813),(6635,585,-0.000106,-1.281),(6635,595,-8.3e-05,-1.2808),(6635,605,-5.9e-05,-1.2805),(6635,615,-3.7e-05,-1.2802),(6635,625,-3.2e-05,-1.2799),(6635,635,-2.7e-05,-1.2796),(6635,645,-2.3e-05,-1.2793),(6635,655,-2e-05,-1.2789),(6635,665,-2.6e-05,-1.2786),(6635,675,-3.2e-05,-1.2783),(6635,685,-3.7e-05,-1.2779),(6635,695,-4.1e-05,-1.2775),(6635,705,-3.7e-05,-1.2771),(6635,715,-3.2e-05,-1.2767),(6635,725,-2.7e-05,-1.2763),(6635,735,-1.1e-05,-1.2759),(6635,745,4.4e-05,-1.2756),(6635,755,9.9e-05,-1.2752),(6635,765,0.000153,-1.2748),(6635,775,0.000213,-1.2745),(6635,785,0.000286,-1.2741),(6635,795,0.000358,-1.2737),(6635,805,0.000431,-1.2733),(6635,815,0.000503,-1.2729),(6635,825,0.000572,-1.2725),(6635,835,0.000641,-1.2721),(6635,845,0.00071,-1.2718),(6635,855,0.00078,-1.2714),(6635,865,0.000848,-1.271),(6635,875,0.000917,-1.2706),(6635,885,0.000986,-1.2702),(6635,895,0.001056,-1.2699),(6635,905,0.001129,-1.2695),(6635,915,0.001202,-1.2691),(6635,925,0.001274,-1.2686),(6635,935,0.00136,-1.2682),(6635,945,0.001462,-1.2678),(6635,955,0.001564,-1.2673),(6635,965,0.001666,-1.2668),(6635,975,0.001818,-1.2664),(6635,985,0.002026,-1.2659),(6635,995,0.002235,-1.2655),(6635,1005,0.002443,-1.2651),(6635,1015,0.002742,-1.2648),(6635,1025,0.003128,-1.2644),(6635,1035,0.003514,-1.264),(6635,1045,0.0039,-1.2637),(6635,1055,0.004422,-1.2634),(6635,1065,0.005054,-1.2631),(6635,1075,0.005687,-1.2627),(6635,1085,0.00632,-1.2623),(6635,1095,0.007198,-1.262),(6635,1105,0.008247,-1.2616),(6635,1115,0.009296,-1.2612),(6635,1125,0.010345,-1.2609),(6635,1135,0.011885,-1.2605),(6635,1145,0.013715,-1.2602),(6635,1155,0.015546,-1.2598),(6635,1165,0.017376,-1.2595),(6635,1175,0.02013,-1.2591),(6635,1185,0.023343,-1.2587),(6635,1195,0.026555,-1.2581),(6635,1205,0.029768,-1.2573),(6635,1215,0.03441,-1.2564),(6635,1225,0.039642,-1.2556),(6635,1235,0.044874,-1.2536),(6635,1245,0.050106,-1.2511),(6635,1255,0.056716,-1.2487),(6635,1265,0.063791,-1.2462),(6635,1275,0.070866,-1.2406),(6635,1285,0.077942,-1.2341),(6635,1295,0.074036,-1.2275),(6635,1305,0.067161,-1.221),(6635,1315,0.060286,-1.2147),(6635,1325,0.053411,-1.2084),(6635,1335,0.032936,-1.2022),(6635,1345,0.009611,-1.1959),(6635,1355,-0.013715,-1.199),(6635,1365,-0.03704,-1.2038),(6635,1375,-0.049451,-1.2086),(6635,1385,-0.060178,-1.2134),(6635,1395,-0.070905,-1.2202),(6635,1405,-0.081633,-1.2272),(6635,1415,-0.075842,-1.2343),(6635,1425,-0.068336,-1.2413),(6635,1435,-0.060831,-1.2439),(6635,1445,-0.053325,-1.2462),(6635,1455,-0.047772,-1.2485),(6635,1465,-0.042331,-1.2508),(6635,1475,-0.03689,-1.2515),(6635,1485,-0.03145,-1.2521),(6635,1495,-0.027985,-1.2528),(6635,1505,-0.02455,-1.2534),(6635,1515,-0.021114,-1.2533),(6635,1525,-0.017718,-1.2533),(6635,1535,-0.015835,-1.2532),(6635,1545,-0.013952,-1.2531),(6635,1555,-0.012069,-1.2531),(6635,1565,-0.010233,-1.253),(6635,1575,-0.009081,-1.2529),(6635,1585,-0.00793,-1.2528),(6635,1595,-0.006778,-1.2528),(6635,1605,-0.005677,-1.2527),(6635,1615,-0.005007,-1.2527),(6635,1625,-0.004337,-1.2527),(6635,1635,-0.003666,-1.2527),(6635,1645,-0.003033,-1.2526),(6635,1655,-0.002622,-1.2526),(6635,1665,-0.00221,-1.2526),(6635,1675,-0.001798,-1.2526),(6635,1685,-0.001421,-1.2526),(6635,1695,-0.001198,-1.2526),(6635,1705,-0.000976,-1.2525),(6635,1715,-0.000753,-1.2525),(6635,1725,-0.000558,-1.2524),(6635,1735,-0.000457,-1.2523),(6635,1745,-0.000357,-1.2523),(6635,1755,-0.000257,-1.2522),(6635,1765,-0.00017,-1.2522),(6635,1775,-0.00012,-1.2521),(6635,1785,-7e-05,-1.252),(6635,1795,-2e-05,-1.252),(6635,1805,2.9e-05,-1.252),(6635,1815,7.8e-05,-1.2519),(6635,1825,0.000127,-1.2519),(6635,1835,0.000177,-1.2518),(6635,1845,0.000227,-1.2517),(6635,1855,0.000278,-1.2517),(6635,1865,0.00033,-1.2516),(6635,1875,0.000381,-1.2516),(6635,1885,0.000438,-1.2516),(6635,1895,0.000503,-1.2516),(6635,1905,0.000569,-1.2515),(6635,1915,0.000634,-1.2514),(6635,1925,0.0007,-1.2513),(6635,1935,0.000767,-1.2512),(6635,1945,0.000835,-1.2512),(6635,1955,0.000903,-1.2512),(6635,1965,0.000953,-1.2511),(6635,1975,0.000984,-1.2511),(6635,1985,0.001015,-1.251),(6635,1995,0.001046,-1.2509),(6635,2005,0.001058,-1.2507),(6635,2015,0.001049,-1.2506),(6635,2025,0.001041,-1.2504),(6635,2035,0.001033,-1.2502),(6635,2045,0.001025,-1.25),(6635,2055,0.001017,-1.2498),(6635,2065,0.001009,-1.2497),(6635,2075,0.001002,-1.2495),(6635,2085,0.00098,-1.2494),(6635,2095,0.000949,-1.2492),(6635,2105,0.000918,-1.249),(6635,2115,0.000886,-1.2488),(6635,2125,0.000848,-1.2485),(6635,2135,0.000806,-1.2483),(6635,2145,0.000764,-1.2481),(6635,2155,0.000721,-1.2479),(6635,2165,0.000692,-1.2476),(6635,2175,0.000669,-1.2474),(6635,2185,0.000645,-1.2472),(6635,2195,0.000622,-1.2469),(6635,2205,0.000618,-1.2467),(6635,2215,0.000621,-1.2464),(6635,2225,0.000624,-1.2461),(6635,2235,0.000628,-1.2458),(6635,2245,0.000675,-1.2456),(6635,2255,0.000737,-1.2453),(6635,2265,0.0008,-1.245),(6635,2275,0.000862,-1.2448),(6635,2285,0.000916,-1.2446),(6635,2295,0.000966,-1.2444),(6635,2305,0.001016,-1.244),(6635,2315,0.001067,-1.2437),(6635,2325,0.001054,-1.2434),(6635,2335,0.001026,-1.243),(6635,2345,0.000999,-1.2426),(6635,2355,0.000971,-1.2422),(6635,2365,0.000949,-1.2418),(6635,2375,0.000928,-1.2414),(6635,2385,0.000907,-1.241),(6635,2395,0.000886,-1.2406),(6635,2405,0.000902,-1.2402),(6635,2415,0.000921,-1.2399),(6635,2425,0.000941,-1.2394),(6635,2435,0.000961,-1.2389),(6635,2445,0.000981,-1.2385),(6635,2455,0.001001,-1.238),(6635,2465,0.001021,-1.2375),(6635,2475,0.001041,-1.2371),(6635,2485,0.001051,-1.2366),(6635,2495,0.001061,-1.2362),(6635,2505,0.001072,-1.2357),(6635,2515,0.001082,-1.2352),(6635,2525,0.001074,-1.2348),(6635,2535,0.001066,-1.2343),(6635,2545,0.001058,-1.2337),(6635,2555,0.00105,-1.2331),(6635,2565,0.001041,-1.2325),(6635,2575,0.001032,-1.232),(6635,2585,0.001023,-1.2314),(6635,2595,0.001017,-1.2308),(6635,2605,0.001036,-1.2302),(6635,2615,0.001056,-1.2296),(6635,2625,0.001076,-1.2291),(6635,2635,0.001098,-1.2285),(6635,2645,0.001133,-1.2279),(6635,2655,0.001169,-1.2273),(6635,2665,0.001204,-1.2267),(6635,2675,0.00124,-1.2261),(6635,2685,0.001278,-1.2255),(6635,2695,0.001316,-1.2249),(6635,2705,0.001355,-1.2242),(6635,2715,0.001394,-1.2236),(6635,2725,0.001436,-1.223),(6635,2735,0.001479,-1.2224),(6635,2745,0.001522,-1.2217),(6635,2755,0.001563,-1.221),(6635,2765,0.0016,-1.2204),(6635,2775,0.001636,-1.2197),(6635,2785,0.001672,-1.2189),(6635,2795,0.001702,-1.2182),(6635,2805,0.001717,-1.2174),(6635,2815,0.001731,-1.2167),(6635,2825,0.001745,-1.216),(6635,2835,0.001754,-1.2152),(6635,2845,0.00175,-1.2145),(6635,2855,0.001747,-1.2137),(6635,2865,0.001743,-1.2129),(6635,2875,0.001739,-1.2122),(6635,2885,0.001735,-1.2114),(6635,2895,0.00173,-1.2106),(6635,2905,0.001726,-1.2097),(6635,2915,0.00172,-1.2089),(6635,2925,0.00171,-1.2081),(6635,2935,0.001701,-1.2072),(6635,2945,0.001692,-1.2063),(6635,2955,0.00168,-1.2055),(6635,2965,0.001664,-1.2046),(6635,2975,0.001648,-1.2037),(6635,2985,0.001633,-1.2028),(6635,2995,0.001636,-1.2019),(6635,3005,0.00166,-1.201),(6635,3015,0.001683,-1.2001),(6635,3025,0.001707,-1.1992),(6635,3035,0.001747,-1.1983),(6635,3045,0.001803,-1.1975),(6635,3055,0.001858,-1.1966),(6635,3065,0.001913,-1.1956),(6635,3075,0.001948,-1.1947),(6635,3085,0.001967,-1.1938),(6635,3095,0.001987,-1.1928),(6635,3105,0.002006,-1.1918),(6635,3115,0.00201,-1.1908),(6635,3125,0.002004,-1.1898),(6635,3135,0.001998,-1.1888),(6635,3145,0.001992,-1.1878),(6635,3155,0.001982,-1.1869),(6635,3165,0.00197,-1.1859),(6635,3175,0.001958,-1.1849),(6635,3185,0.001946,-1.1838),(6635,3195,0.001904,-1.1827),(6635,3205,0.001848,-1.1816),(6635,3215,0.001792,-1.1805),(6635,3225,0.001737,-1.1793),(6635,3235,0.001715,-1.1782),(6635,3245,0.001705,-1.177),(6635,3255,0.001696,-1.1759),(6635,3265,0.001687,-1.1749),(6635,3275,0.001755,-1.1739),(6635,3285,0.001847,-1.1728),(6635,3295,0.001939,-1.1718),(6635,3305,0.002031,-1.1708),(6635,3315,0.002085,-1.1698),(6635,3325,0.00213,-1.1687),(6635,3335,0.002174,-1.1675),(6635,3345,0.002219,-1.1663),(6635,3355,0.002194,-1.1651),(6635,3365,0.002157,-1.1639),(6635,3375,0.00212,-1.1627),(6635,3385,0.002083,-1.1615),(6635,3395,0.002068,-1.1603),(6635,3405,0.002055,-1.1591),(6635,3415,0.002043,-1.1579),(6635,3425,0.00203,-1.1567),(6635,3435,0.002055,-1.1555),(6635,3445,0.002083,-1.1543),(6635,3455,0.002111,-1.1531),(6635,3465,0.002139,-1.1519),(6635,3475,0.002214,-1.1506),(6635,3485,0.002289,-1.1494),(6635,3495,0.002365,-1.1482),(6635,3505,0.002441,-1.1469),(6635,3515,0.002527,-1.1457),(6635,3525,0.002613,-1.1445),(6635,3535,0.002699,-1.1433),(6635,3545,0.002785,-1.1421),(6635,3555,0.00288,-1.1408),(6635,3565,0.002974,-1.1396),(6635,3575,0.003069,-1.1384),(6635,3585,0.003164,-1.1371),(6635,3595,0.003265,-1.1359),(6635,3605,0.003365,-1.1346),(6635,3615,0.003465,-1.1333),(6635,3625,0.003566,-1.1319),(6635,3635,0.003671,-1.1306),(6635,3645,0.003775,-1.1292),(6635,3655,0.003879,-1.1279),(6635,3665,0.004004,-1.1266),(6635,3675,0.004235,-1.1253),(6635,3685,0.004467,-1.1239),(6635,3695,0.004699,-1.1227),(6635,3705,0.004962,-1.1215),(6635,3715,0.005344,-1.1202),(6635,3725,0.005725,-1.119),(6635,3735,0.006107,-1.1177),(6635,3745,0.006551,-1.1164),(6635,3755,0.007189,-1.1151),(6635,3765,0.007827,-1.1139),(6635,3775,0.008464,-1.1126),(6635,3785,0.009199,-1.1114),(6635,3795,0.010178,-1.1101),(6635,3805,0.011157,-1.1089),(6635,3815,0.012137,-1.1075),(6635,3825,0.013307,-1.1061),(6635,3835,0.01488,-1.1048),(6635,3845,0.016452,-1.1034),(6635,3855,0.018025,-1.1019),(6635,3865,0.019944,-1.1005),(6635,3875,0.022474,-1.0991),(6635,3885,0.025003,-1.0974),(6635,3895,0.027533,-1.0953),(6635,3905,0.030579,-1.0932),(6635,3915,0.034395,-1.0911),(6635,3925,0.03821,-1.0885),(6635,3935,0.042026,-1.0852),(6635,3945,0.046296,-1.0819),(6635,3955,0.051143,-1.0786),(6635,3965,0.05599,-1.0739),(6635,3975,0.060837,-1.0676),(6635,3985,0.062662,-1.0613),(6635,3995,0.061216,-1.055),(6635,4005,0.05977,-1.0484),(6635,4015,0.058324,-1.0415),(6635,4025,0.11779,-1.0345),(6635,4035,0.18322,-1.0294),(6635,4045,0.24864,-1.0283),(6635,4055,0.30342,-1.0272),(6635,4065,0.35431,-1.026),(6635,4075,0.4052,-1.0241),(6635,4085,0.4283,-1.0222),(6635,4095,0.42906,-1.0204),(6635,4105,0.42983,-1.0184),(6635,4115,0.43059,-1.0165),(6635,4125,0.43134,-1.0146),(6635,4135,0.43209,-1.0127),(6635,4145,0.43284,-1.0108),(6635,4155,0.43359,-1.0088),(6635,4165,0.43433,-1.0069),(6635,4175,0.43508,-1.0051),(6635,4185,0.43581,-1.0032),(6635,4195,0.43655,-1.0013),(6635,4205,0.43729,-0.9993),(6635,4215,0.43801,-0.99731),(6635,4225,0.43873,-0.99531),(6635,4235,0.43944,-0.99327),(6635,4245,0.44015,-0.99122),(6635,4255,0.44086,-0.98918),(6635,4265,0.44156,-0.98711),(6635,4275,0.44227,-0.98504),(6635,4285,0.44298,-0.98296),(6635,4295,0.44369,-0.98083),(6635,4305,0.4444,-0.97868),(6635,4315,0.44514,-0.97653),(6635,4325,0.44587,-0.97433),(6635,4335,0.44661,-0.9721),(6635,4345,0.44738,-0.96988),(6635,4355,0.44815,-0.96764),(6635,4365,0.44892,-0.9654),(6635,4375,0.44972,-0.96316),(6635,4385,0.45052,-0.9609),(6635,4395,0.45132,-0.9586),(6635,4405,0.45214,-0.9563),(6635,4415,0.45295,-0.95399),(6635,4425,0.45377,-0.95161),(6635,4435,0.4546,-0.94922),(6635,4445,0.45545,-0.94684),(6635,4455,0.45629,-0.9444),(6635,4465,0.45715,-0.94195),(6635,4475,0.45802,-0.93951),(6635,4485,0.4589,-0.93698),(6635,4495,0.45978,-0.93443),(6635,4505,0.46069,-0.93189),(6635,4515,0.4616,-0.9293),(6635,4525,0.46251,-0.9267),(6635,4535,0.46345,-0.92409),(6635,4545,0.4644,-0.92145),(6635,4555,0.46534,-0.91877),(6635,4565,0.46632,-0.91609),(6635,4575,0.46731,-0.9134),(6635,4585,0.46829,-0.91066),(6635,4595,0.46933,-0.90791),(6635,4605,0.47038,-0.90517),(6635,4615,0.47143,-0.90237),(6635,4625,0.4725,-0.89957),(6635,4635,0.47359,-0.89677),(6635,4645,0.47469,-0.89388),(6635,4655,0.47579,-0.89098),(6635,4665,0.47691,-0.88808),(6635,4675,0.47802,-0.88512),(6635,4685,0.47914,-0.88214),(6635,4695,0.48027,-0.87916),(6635,4705,0.48139,-0.87614),(6635,4715,0.48252,-0.8731),(6635,4725,0.48367,-0.87005),(6635,4735,0.48482,-0.86699),(6635,4745,0.48597,-0.86392),(6635,4755,0.48716,-0.86084),(6635,4765,0.48836,-0.85775),(6635,4775,0.48955,-0.8546),(6635,4785,0.49077,-0.85144),(6635,4795,0.49201,-0.84829),(6635,4805,0.49324,-0.84503),(6635,4815,0.49449,-0.84178),(6635,4825,0.49576,-0.83853),(6635,4835,0.49702,-0.8352),(6635,4845,0.4983,-0.83186),(6635,4855,0.4996,-0.82852),(6635,4865,0.5009,-0.82515),(6635,4875,0.50221,-0.82176),(6635,4885,0.50354,-0.81838),(6635,4895,0.50488,-0.81495),(6635,4905,0.50622,-0.81147),(6635,4915,0.50757,-0.808),(6635,4925,0.50892,-0.8045),(6635,4935,0.51026,-0.80092),(6635,4945,0.51162,-0.79735),(6635,4955,0.51297,-0.79376),(6635,4965,0.51433,-0.79013),(6635,4975,0.51569,-0.7865),(6635,4985,0.51707,-0.78287),(6635,4995,0.51844,-0.77921),(6635,5005,0.51983,-0.77554),(6635,5015,0.52122,-0.77187),(6635,5025,0.52261,-0.76814),(6635,5035,0.52401,-0.7644),(6635,5045,0.52542,-0.76066),(6635,5055,0.52683,-0.75687),(6635,5065,0.52825,-0.75305),(6635,5075,0.52968,-0.74924),(6635,5085,0.53112,-0.7454),(6635,5095,0.53256,-0.74153),(6635,5105,0.53401,-0.73766),(6635,5115,0.53546,-0.73378),(6635,5125,0.53691,-0.72984),(6635,5135,0.53836,-0.72591),(6635,5145,0.53982,-0.72197),(6635,5155,0.54127,-0.71797),(6635,5165,0.54272,-0.71397),(6635,5175,0.54418,-0.70996),(6635,5185,0.54564,-0.70588),(6635,5195,0.5471,-0.70179),(6635,5205,0.54856,-0.6977),(6635,5215,0.55003,-0.69355),(6635,5225,0.55149,-0.68938),(6635,5235,0.55294,-0.68522),(6635,5245,0.55439,-0.68102),(6635,5255,0.55585,-0.6768),(6635,5265,0.55729,-0.67258),(6635,5275,0.55874,-0.66835),(6635,5285,0.56018,-0.66408),(6635,5295,0.56163,-0.65982),(6635,5305,0.56308,-0.65554),(6635,5315,0.56454,-0.65121),(6635,5325,0.56599,-0.64689),(6635,5335,0.56744,-0.64256),(6635,5345,0.5689,-0.63819),(6635,5355,0.57034,-0.63382),(6635,5365,0.57178,-0.62945),(6635,5375,0.57322,-0.62505),(6635,5385,0.57465,-0.62065),(6635,5395,0.57606,-0.61625),(6635,5405,0.57747,-0.61181),(6635,5415,0.57888,-0.60735),(6635,5425,0.58029,-0.60289),(6635,5435,0.5817,-0.5984),(6635,5445,0.5831,-0.59386),(6635,5455,0.58451,-0.58933),(6635,5465,0.58592,-0.58478),(6635,5475,0.58733,-0.58018),(6635,5485,0.58874,-0.57558),(6635,5495,0.59015,-0.57098),(6635,5505,0.59156,-0.56634),(6635,5515,0.59296,-0.5617),(6635,5525,0.59435,-0.55706),(6635,5535,0.59574,-0.55234),(6635,5545,0.59712,-0.54761),(6635,5555,0.59847,-0.54289),(6635,5565,0.59981,-0.5381),(6635,5575,0.60116,-0.53329),(6635,5585,0.60248,-0.52848),(6635,5595,0.60381,-0.52366),(6635,5605,0.60513,-0.51882),(6635,5615,0.60647,-0.51398),(6635,5625,0.6078,-0.50913),(6635,5635,0.60913,-0.50427),(6635,5645,0.61046,-0.49941),(6635,5655,0.61178,-0.49453),(6635,5665,0.61309,-0.48958),(6635,5675,0.61438,-0.48463),(6635,5685,0.61566,-0.47968),(6635,5695,0.61693,-0.47468),(6635,5705,0.61819,-0.46968),(6635,5715,0.61942,-0.46468),(6635,5725,0.62065,-0.4597),(6635,5735,0.62188,-0.45472),(6635,5745,0.62309,-0.44974),(6635,5755,0.62431,-0.44475),(6635,5765,0.62552,-0.43975),(6635,5775,0.62671,-0.43476),(6635,5785,0.6279,-0.42973),(6635,5795,0.6291,-0.42467),(6635,5805,0.63027,-0.4196),(6635,5815,0.63143,-0.41453),(6635,5825,0.6326,-0.40945),(6635,5835,0.63375,-0.40437),(6635,5845,0.63489,-0.39929),(6635,5855,0.63603,-0.39418),(6635,5865,0.63714,-0.38906),(6635,5875,0.63824,-0.38395),(6635,5885,0.63933,-0.37875),(6635,5895,0.64041,-0.37355),(6635,5905,0.64145,-0.36835),(6635,5915,0.6425,-0.36311),(6635,5925,0.64353,-0.35787),(6635,5935,0.64454,-0.35262),(6635,5945,0.64554,-0.34739),(6635,5955,0.64655,-0.34216),(6635,5965,0.64753,-0.33693),(6635,5975,0.6485,-0.33169),(6635,5985,0.64948,-0.32643),(6635,5995,0.65043,-0.32118),(6635,6005,0.65138,-0.31592),(6635,6015,0.65232,-0.31063),(6635,6025,0.65324,-0.30534),(6635,6035,0.65415,-0.30004),(6635,6045,0.65505,-0.29472),(6635,6055,0.65593,-0.28939),(6635,6065,0.65678,-0.28406),(6635,6075,0.65763,-0.27864),(6635,6085,0.65847,-0.27322),(6635,6095,0.65928,-0.26779),(6635,6105,0.66009,-0.26235),(6635,6115,0.6609,-0.25691),(6635,6125,0.66169,-0.25147),(6635,6135,0.66249,-0.24609),(6635,6145,0.66329,-0.24076),(6635,6155,0.66405,-0.23543),(6635,6165,0.66481,-0.23008),(6635,6175,0.66557,-0.2247),(6635,6185,0.66626,-0.21932),(6635,6195,0.66694,-0.2139),(6635,6205,0.66761,-0.20838),(6635,6215,0.66824,-0.20286),(6635,6225,0.66884,-0.19733),(6635,6235,0.66944,-0.19184),(6635,6245,0.67001,-0.18635),(6635,6255,0.67057,-0.18086),(6635,6265,0.67112,-0.17538),(6635,6275,0.67166,-0.16989),(6635,6285,0.67218,-0.1644),(6635,6295,0.67271,-0.15895),(6635,6305,0.67323,-0.15351),(6635,6315,0.67373,-0.14807),(6635,6325,0.67422,-0.14265),(6635,6335,0.67472,-0.13725),(6635,6345,0.67517,-0.13185),(6635,6355,0.67562,-0.12637),(6635,6365,0.67607,-0.12072),(6635,6375,0.67648,-0.11507),(6635,6385,0.67686,-0.10944),(6635,6395,0.67725,-0.10389),(6635,6405,0.67761,-0.098341),(6635,6415,0.67795,-0.092792),(6635,6425,0.67829,-0.087298),(6635,6435,0.6786,-0.081806),(6635,6445,0.67888,-0.076315),(6635,6455,0.67915,-0.070808),(6635,6465,0.67942,-0.065298),(6635,6475,0.67965,-0.059787),(6635,6485,0.67988,-0.054214),(6635,6495,0.68011,-0.048599),(6635,6505,0.68031,-0.042983),(6635,6515,0.68051,-0.037382),(6635,6525,0.6807,-0.031798),(6635,6535,0.68085,-0.026215),(6635,6545,0.68099,-0.020654),(6635,6555,0.68114,-0.01516),(6635,6565,0.68122,-0.009667),(6635,6575,0.68128,-0.004175),(6635,6585,0.68135,0.0013),(6635,6595,0.57952,0.006775),(6635,6605,0.36518,0.01225),(6635,6615,0.15085,0.012907),(6635,6625,0.000196,0.012946),(6635,6635,0.000249,0.012985),(6635,6645,0.000302,0.012996),(6635,6655,0.000355,0.012995),(6635,6665,0.000407,0.012994),(6635,6675,0.00046,0.012992),(6635,6685,0.000513,0.01299),(6635,6695,0.000565,0.012987),(6635,6705,0.000618,0.012983),(6635,6715,0.00067,0.012978),(6635,6725,0.000722,0.012973),(6635,6735,0.000774,0.012968),(6635,6745,0.000826,0.01296),(6635,6755,0.000877,0.012953),(6635,6765,0.000928,0.012946),(6635,6775,0.000979,0.012936),(6635,6785,0.00103,0.012927),(6635,6795,0.00108,0.012917),(6635,6805,0.001131,0.012906),(6635,6815,0.001181,0.012895),(6635,6825,0.00123,0.012883),(6635,6835,0.001279,0.012871),(6635,6845,0.001329,0.012857),(6635,6855,0.001377,0.012844),(6635,6865,0.001425,0.012829),(6635,6875,0.001473,0.012814),(6635,6885,0.001521,0.012799),(6635,6895,0.001568,0.012783),(6635,6905,0.001615,0.012766),(6635,6915,0.001661,0.012749),(6635,6925,0.001707,0.012731),(6635,6935,0.001753,0.012713),(6635,6945,0.001798,0.012694),(6635,6955,0.001842,0.012675),(6635,6965,0.001886,0.012655),(6635,6975,0.00193,0.012634),(6635,6985,0.001973,0.012614),(6645,5,-1e-05,-1.2902),(6645,15,-3e-05,-1.2902),(6645,25,-4.6e-05,-1.2902),(6645,35,-5.8e-05,-1.2903),(6645,45,-7.1e-05,-1.2903),(6645,55,-8.3e-05,-1.2903),(6645,65,-9.6e-05,-1.2903),(6645,75,-0.000111,-1.2902),(6645,85,-0.000125,-1.2902),(6645,95,-0.000139,-1.2902),(6645,105,-0.000132,-1.2901),(6645,115,-0.000112,-1.2901),(6645,125,-9.2e-05,-1.29),(6645,135,-7.2e-05,-1.29),(6645,145,-5.4e-05,-1.2899),(6645,155,-3.9e-05,-1.2899),(6645,165,-2.3e-05,-1.2898),(6645,175,-8e-06,-1.2897),(6645,185,1e-05,-1.2895),(6645,195,2.8e-05,-1.2894),(6645,205,4.7e-05,-1.2893),(6645,215,6.5e-05,-1.2892),(6645,225,8.2e-05,-1.2891),(6645,235,9.8e-05,-1.289),(6645,245,0.000115,-1.2888),(6645,255,0.000131,-1.2887),(6645,265,0.000131,-1.2886),(6645,275,0.000126,-1.2884),(6645,285,0.000121,-1.2882),(6645,295,0.000116,-1.288),(6645,305,9.9e-05,-1.2878),(6645,315,7.7e-05,-1.2876),(6645,325,5.6e-05,-1.2874),(6645,335,3.5e-05,-1.2872),(6645,345,2.3e-05,-1.287),(6645,355,1.4e-05,-1.2869),(6645,365,4e-06,-1.2867),(6645,375,-6e-06,-1.2865),(6645,385,-1e-06,-1.2863),(6645,395,7e-06,-1.2861),(6645,405,1.5e-05,-1.2859),(6645,415,2.2e-05,-1.2856),(6645,425,1.8e-05,-1.2854),(6645,435,1.3e-05,-1.2851),(6645,445,8e-06,-1.2849),(6645,455,3e-06,-1.2847),(6645,465,-1.5e-05,-1.2845),(6645,475,-3.3e-05,-1.2842),(6645,485,-5e-05,-1.2839),(6645,495,-6.8e-05,-1.2836),(6645,505,-9e-05,-1.2834),(6645,515,-0.000113,-1.2831),(6645,525,-0.000135,-1.2828),(6645,535,-0.000156,-1.2825),(6645,545,-0.000154,-1.2822),(6645,555,-0.000151,-1.2818),(6645,565,-0.000148,-1.2816),(6645,575,-0.000144,-1.2813),(6645,585,-0.000122,-1.281),(6645,595,-9.9e-05,-1.2807),(6645,605,-7.6e-05,-1.2804),(6645,615,-5.6e-05,-1.2802),(6645,625,-4.7e-05,-1.2799),(6645,635,-3.9e-05,-1.2796),(6645,645,-3.1e-05,-1.2793),(6645,655,-2.4e-05,-1.2789),(6645,665,-2.8e-05,-1.2786),(6645,675,-3.2e-05,-1.2783),(6645,685,-3.5e-05,-1.2779),(6645,695,-3.8e-05,-1.2775),(6645,705,-3.8e-05,-1.2771),(6645,715,-3.8e-05,-1.2767),(6645,725,-3.8e-05,-1.2763),(6645,735,-2.8e-05,-1.2759),(6645,745,1.6e-05,-1.2755),(6645,755,6.1e-05,-1.2752),(6645,765,0.000105,-1.2748),(6645,775,0.000156,-1.2744),(6645,785,0.000224,-1.2741),(6645,795,0.000293,-1.2737),(6645,805,0.000361,-1.2733),(6645,815,0.000431,-1.2729),(6645,825,0.000504,-1.2725),(6645,835,0.000577,-1.2721),(6645,845,0.00065,-1.2717),(6645,855,0.000725,-1.2713),(6645,865,0.000803,-1.271),(6645,875,0.000882,-1.2706),(6645,885,0.00096,-1.2702),(6645,895,0.001041,-1.2698),(6645,905,0.001127,-1.2695),(6645,915,0.001213,-1.269),(6645,925,0.001298,-1.2686),(6645,935,0.001394,-1.2682),(6645,945,0.001503,-1.2677),(6645,955,0.001611,-1.2673),(6645,965,0.00172,-1.2668),(6645,975,0.001874,-1.2663),(6645,985,0.002079,-1.2658),(6645,995,0.002284,-1.2654),(6645,1005,0.002489,-1.265),(6645,1015,0.002784,-1.2646),(6645,1025,0.003165,-1.2642),(6645,1035,0.003546,-1.2638),(6645,1045,0.003927,-1.2635),(6645,1055,0.004444,-1.2631),(6645,1065,0.005072,-1.2627),(6645,1075,0.005701,-1.2624),(6645,1085,0.00633,-1.2619),(6645,1095,0.007202,-1.2615),(6645,1105,0.008243,-1.2611),(6645,1115,0.009285,-1.2607),(6645,1125,0.010326,-1.2602),(6645,1135,0.011835,-1.2598),(6645,1145,0.013619,-1.2593),(6645,1155,0.015404,-1.2588),(6645,1165,0.017188,-1.2583),(6645,1175,0.019821,-1.2577),(6645,1185,0.022875,-1.2572),(6645,1195,0.025929,-1.2563),(6645,1205,0.028983,-1.2552),(6645,1215,0.033281,-1.2541),(6645,1225,0.038094,-1.253),(6645,1235,0.042906,-1.2507),(6645,1245,0.047718,-1.2479),(6645,1255,0.053606,-1.2452),(6645,1265,0.059857,-1.2425),(6645,1275,0.066109,-1.237),(6645,1285,0.07236,-1.2307),(6645,1295,0.068458,-1.2244),(6645,1305,0.061809,-1.2181),(6645,1315,0.055161,-1.2124),(6645,1325,0.048512,-1.2069),(6645,1335,0.029919,-1.2014),(6645,1345,0.008823,-1.1958),(6645,1355,-0.012274,-1.1985),(6645,1365,-0.03337,-1.2026),(6645,1375,-0.044966,-1.2068),(6645,1385,-0.055095,-1.2109),(6645,1395,-0.065224,-1.2173),(6645,1405,-0.075354,-1.224),(6645,1415,-0.070342,-1.2306),(6645,1425,-0.063759,-1.2373),(6645,1435,-0.057176,-1.2402),(6645,1445,-0.050593,-1.2428),(6645,1455,-0.045519,-1.2454),(6645,1465,-0.040532,-1.248),(6645,1475,-0.035545,-1.249),(6645,1485,-0.030558,-1.2499),(6645,1495,-0.027269,-1.2508),(6645,1505,-0.024005,-1.2517),(6645,1515,-0.020741,-1.2518),(6645,1525,-0.017512,-1.252),(6645,1535,-0.015675,-1.2521),(6645,1545,-0.013837,-1.2522),(6645,1555,-0.011999,-1.2522),(6645,1565,-0.010208,-1.2522),(6645,1575,-0.00908,-1.2522),(6645,1585,-0.007952,-1.2522),(6645,1595,-0.006825,-1.2523),(6645,1605,-0.005744,-1.2523),(6645,1615,-0.005073,-1.2523),(6645,1625,-0.004401,-1.2523),(6645,1635,-0.003729,-1.2524),(6645,1645,-0.003093,-1.2524),(6645,1655,-0.002669,-1.2524),(6645,1665,-0.002245,-1.2524),(6645,1675,-0.001822,-1.2524),(6645,1685,-0.001432,-1.2524),(6645,1695,-0.001193,-1.2524),(6645,1705,-0.000954,-1.2524),(6645,1715,-0.000715,-1.2524),(6645,1725,-0.000503,-1.2523),(6645,1735,-0.000386,-1.2523),(6645,1745,-0.000269,-1.2522),(6645,1755,-0.000153,-1.2522),(6645,1765,-5.2e-05,-1.2521),(6645,1775,4e-06,-1.2521),(6645,1785,5.9e-05,-1.252),(6645,1795,0.000115,-1.252),(6645,1805,0.000166,-1.2519),(6645,1815,0.000208,-1.2519),(6645,1825,0.00025,-1.2518),(6645,1835,0.000291,-1.2518),(6645,1845,0.000333,-1.2517),(6645,1855,0.000375,-1.2517),(6645,1865,0.000417,-1.2516),(6645,1875,0.000459,-1.2516),(6645,1885,0.000508,-1.2516),(6645,1895,0.000566,-1.2515),(6645,1905,0.000625,-1.2515),(6645,1915,0.000683,-1.2514),(6645,1925,0.000745,-1.2513),(6645,1935,0.000811,-1.2512),(6645,1945,0.000878,-1.2511),(6645,1955,0.000944,-1.2511),(6645,1965,0.000997,-1.2511),(6645,1975,0.001033,-1.2511),(6645,1985,0.001069,-1.251),(6645,1995,0.001105,-1.2509),(6645,2005,0.00112,-1.2507),(6645,2015,0.001113,-1.2506),(6645,2025,0.001105,-1.2504),(6645,2035,0.001098,-1.2502),(6645,2045,0.001091,-1.25),(6645,2055,0.001084,-1.2499),(6645,2065,0.001077,-1.2497),(6645,2075,0.001071,-1.2496),(6645,2085,0.001052,-1.2494),(6645,2095,0.001026,-1.2493),(6645,2105,0.001,-1.2491),(6645,2115,0.000974,-1.2488),(6645,2125,0.00094,-1.2486),(6645,2135,0.000901,-1.2483),(6645,2145,0.000862,-1.2481),(6645,2155,0.000823,-1.2479),(6645,2165,0.000795,-1.2477),(6645,2175,0.000773,-1.2475),(6645,2185,0.00075,-1.2472),(6645,2195,0.000728,-1.247),(6645,2205,0.000716,-1.2467),(6645,2215,0.000708,-1.2464),(6645,2225,0.0007,-1.2461),(6645,2235,0.000692,-1.2458),(6645,2245,0.000724,-1.2455),(6645,2255,0.00077,-1.2452),(6645,2265,0.000816,-1.245),(6645,2275,0.000862,-1.2447),(6645,2285,0.000914,-1.2445),(6645,2295,0.000967,-1.2443),(6645,2305,0.001021,-1.244),(6645,2315,0.001075,-1.2437),(6645,2325,0.001072,-1.2434),(6645,2335,0.001057,-1.243),(6645,2345,0.001041,-1.2427),(6645,2355,0.001026,-1.2423),(6645,2365,0.001004,-1.2419),(6645,2375,0.000981,-1.2415),(6645,2385,0.000957,-1.2411),(6645,2395,0.000934,-1.2406),(6645,2405,0.000943,-1.2402),(6645,2415,0.000955,-1.2398),(6645,2425,0.000968,-1.2394),(6645,2435,0.00098,-1.2389),(6645,2445,0.000997,-1.2384),(6645,2455,0.001015,-1.238),(6645,2465,0.001033,-1.2375),(6645,2475,0.001051,-1.2371),(6645,2485,0.001063,-1.2366),(6645,2495,0.001076,-1.2362),(6645,2505,0.001088,-1.2357),(6645,2515,0.001101,-1.2352),(6645,2525,0.001098,-1.2348),(6645,2535,0.001094,-1.2343),(6645,2545,0.001091,-1.2337),(6645,2555,0.001088,-1.2331),(6645,2565,0.001078,-1.2326),(6645,2575,0.001069,-1.232),(6645,2585,0.001059,-1.2314),(6645,2595,0.001051,-1.2308),(6645,2605,0.001065,-1.2302),(6645,2615,0.001078,-1.2296),(6645,2625,0.001092,-1.229),(6645,2635,0.001107,-1.2284),(6645,2645,0.001137,-1.2279),(6645,2655,0.001166,-1.2273),(6645,2665,0.001196,-1.2266),(6645,2675,0.001226,-1.226),(6645,2685,0.001259,-1.2254),(6645,2695,0.001291,-1.2248),(6645,2705,0.001324,-1.2242),(6645,2715,0.001358,-1.2236),(6645,2725,0.001396,-1.223),(6645,2735,0.001434,-1.2224),(6645,2745,0.001472,-1.2217),(6645,2755,0.00151,-1.221),(6645,2765,0.001548,-1.2203),(6645,2775,0.001585,-1.2196),(6645,2785,0.001623,-1.2189),(6645,2795,0.001656,-1.2182),(6645,2805,0.001678,-1.2174),(6645,2815,0.0017,-1.2167),(6645,2825,0.001723,-1.216),(6645,2835,0.001739,-1.2152),(6645,2845,0.001742,-1.2145),(6645,2855,0.001745,-1.2137),(6645,2865,0.001749,-1.2129),(6645,2875,0.001749,-1.2122),(6645,2885,0.001745,-1.2114),(6645,2895,0.001741,-1.2106),(6645,2905,0.001736,-1.2098),(6645,2915,0.001729,-1.2089),(6645,2925,0.001717,-1.2081),(6645,2935,0.001705,-1.2072),(6645,2945,0.001693,-1.2064),(6645,2955,0.001677,-1.2055),(6645,2965,0.001656,-1.2046),(6645,2975,0.001634,-1.2037),(6645,2985,0.001613,-1.2028),(6645,2995,0.001608,-1.2019),(6645,3005,0.001622,-1.2009),(6645,3015,0.001636,-1.2001),(6645,3025,0.001649,-1.1992),(6645,3035,0.001684,-1.1983),(6645,3045,0.001737,-1.1974),(6645,3055,0.001791,-1.1965),(6645,3065,0.001844,-1.1956),(6645,3075,0.001882,-1.1947),(6645,3085,0.001907,-1.1938),(6645,3095,0.001933,-1.1928),(6645,3105,0.001958,-1.1918),(6645,3115,0.001967,-1.1908),(6645,3125,0.001966,-1.1898),(6645,3135,0.001965,-1.1888),(6645,3145,0.001964,-1.1878),(6645,3155,0.001961,-1.1869),(6645,3165,0.001958,-1.1859),(6645,3175,0.001954,-1.1849),(6645,3185,0.00195,-1.1838),(6645,3195,0.001917,-1.1828),(6645,3205,0.001869,-1.1817),(6645,3215,0.001822,-1.1806),(6645,3225,0.001775,-1.1794),(6645,3235,0.001746,-1.1782),(6645,3245,0.001724,-1.177),(6645,3255,0.001702,-1.176),(6645,3265,0.00168,-1.1749),(6645,3275,0.001735,-1.1738),(6645,3285,0.001814,-1.1728),(6645,3295,0.001894,-1.1717),(6645,3305,0.001973,-1.1707),(6645,3315,0.002034,-1.1697),(6645,3325,0.002091,-1.1687),(6645,3335,0.002148,-1.1675),(6645,3345,0.002205,-1.1663),(6645,3355,0.002197,-1.1651),(6645,3365,0.002177,-1.164),(6645,3375,0.002157,-1.1627),(6645,3385,0.002136,-1.1615),(6645,3395,0.002126,-1.1603),(6645,3405,0.002117,-1.1591),(6645,3415,0.002107,-1.1579),(6645,3425,0.002098,-1.1567),(6645,3435,0.002115,-1.1555),(6645,3445,0.002133,-1.1543),(6645,3455,0.002152,-1.1531),(6645,3465,0.00217,-1.1518),(6645,3475,0.002237,-1.1506),(6645,3485,0.002305,-1.1493),(6645,3495,0.002374,-1.1481),(6645,3505,0.002442,-1.1469),(6645,3515,0.00253,-1.1457),(6645,3525,0.002617,-1.1445),(6645,3535,0.002705,-1.1432),(6645,3545,0.002793,-1.142),(6645,3555,0.00289,-1.1408),(6645,3565,0.002988,-1.1396),(6645,3575,0.003085,-1.1383),(6645,3585,0.003184,-1.1371),(6645,3595,0.003293,-1.1358),(6645,3605,0.003402,-1.1346),(6645,3615,0.003511,-1.1332),(6645,3625,0.003621,-1.1319),(6645,3635,0.003729,-1.1305),(6645,3645,0.003838,-1.1292),(6645,3655,0.003946,-1.1278),(6645,3665,0.004074,-1.1265),(6645,3675,0.004306,-1.1251),(6645,3685,0.004538,-1.1238),(6645,3695,0.00477,-1.1225),(6645,3705,0.005032,-1.1213),(6645,3715,0.005411,-1.12),(6645,3725,0.00579,-1.1188),(6645,3735,0.006169,-1.1174),(6645,3745,0.006608,-1.1161),(6645,3755,0.007235,-1.1148),(6645,3765,0.007862,-1.1134),(6645,3775,0.008488,-1.1122),(6645,3785,0.009211,-1.1109),(6645,3795,0.010177,-1.1096),(6645,3805,0.011143,-1.1082),(6645,3815,0.01211,-1.1068),(6645,3825,0.013254,-1.1053),(6645,3835,0.014772,-1.1038),(6645,3845,0.016291,-1.1023),(6645,3855,0.01781,-1.1007),(6645,3865,0.019642,-1.0992),(6645,3875,0.022026,-1.0976),(6645,3885,0.02441,-1.0957),(6645,3895,0.026795,-1.0934),(6645,3905,0.029619,-1.0911),(6645,3915,0.033099,-1.0888),(6645,3925,0.036579,-1.086),(6645,3935,0.040059,-1.0825),(6645,3945,0.043885,-1.0791),(6645,3955,0.048149,-1.0756),(6645,3965,0.052414,-1.0709),(6645,3975,0.056678,-1.0648),(6645,3985,0.058122,-1.0588),(6645,3995,0.056514,-1.0527),(6645,4005,0.054905,-1.0465),(6645,4015,0.053297,-1.0403),(6645,4025,0.11365,-1.034),(6645,4035,0.18007,-1.0294),(6645,4045,0.24649,-1.0283),(6645,4055,0.30126,-1.0272),(6645,4065,0.35179,-1.026),(6645,4075,0.40231,-1.0241),(6645,4085,0.42524,-1.0223),(6645,4095,0.42599,-1.0204),(6645,4105,0.42674,-1.0185),(6645,4115,0.42749,-1.0165),(6645,4125,0.42823,-1.0146),(6645,4135,0.42897,-1.0127),(6645,4145,0.42971,-1.0108),(6645,4155,0.43044,-1.0089),(6645,4165,0.43117,-1.007),(6645,4175,0.43191,-1.0051),(6645,4185,0.43263,-1.0033),(6645,4195,0.43336,-1.0013),(6645,4205,0.43409,-0.99936),(6645,4215,0.4348,-0.99738),(6645,4225,0.43551,-0.99539),(6645,4235,0.43622,-0.99336),(6645,4245,0.43692,-0.99133),(6645,4255,0.43761,-0.98929),(6645,4265,0.43831,-0.98723),(6645,4275,0.43901,-0.98516),(6645,4285,0.43971,-0.98309),(6645,4295,0.44041,-0.98095),(6645,4305,0.44111,-0.9788),(6645,4315,0.44183,-0.97665),(6645,4325,0.44255,-0.97445),(6645,4335,0.44327,-0.97221),(6645,4345,0.44402,-0.96998),(6645,4355,0.44477,-0.96774),(6645,4365,0.44552,-0.9655),(6645,4375,0.4463,-0.96325),(6645,4385,0.44708,-0.96099),(6645,4395,0.44787,-0.95869),(6645,4405,0.44866,-0.9564),(6645,4415,0.44946,-0.95408),(6645,4425,0.45026,-0.9517),(6645,4435,0.45107,-0.94932),(6645,4445,0.4519,-0.94693),(6645,4455,0.45273,-0.94449),(6645,4465,0.45357,-0.94204),(6645,4475,0.45443,-0.9396),(6645,4485,0.45528,-0.93707),(6645,4495,0.45615,-0.93452),(6645,4505,0.45704,-0.93197),(6645,4515,0.45793,-0.92938),(6645,4525,0.45882,-0.92677),(6645,4535,0.45974,-0.92416),(6645,4545,0.46066,-0.92151),(6645,4555,0.46158,-0.91883),(6645,4565,0.46253,-0.91614),(6645,4575,0.46349,-0.91344),(6645,4585,0.46445,-0.91068),(6645,4595,0.46545,-0.90793),(6645,4605,0.46647,-0.90517),(6645,4615,0.46749,-0.90236),(6645,4625,0.46854,-0.89955),(6645,4635,0.46961,-0.89674),(6645,4645,0.47068,-0.89385),(6645,4655,0.47176,-0.89095),(6645,4665,0.47285,-0.88805),(6645,4675,0.47395,-0.88509),(6645,4685,0.47504,-0.88211),(6645,4695,0.47615,-0.87914),(6645,4705,0.47726,-0.87612),(6645,4715,0.47836,-0.87307),(6645,4725,0.4795,-0.87002),(6645,4735,0.48063,-0.86696),(6645,4745,0.48177,-0.86387),(6645,4755,0.48294,-0.86079),(6645,4765,0.48411,-0.85769),(6645,4775,0.48529,-0.85453),(6645,4785,0.48649,-0.85137),(6645,4795,0.48771,-0.8482),(6645,4805,0.48892,-0.84494),(6645,4815,0.49015,-0.84168),(6645,4825,0.49139,-0.83843),(6645,4835,0.49263,-0.83509),(6645,4845,0.49389,-0.83174),(6645,4855,0.49516,-0.82839),(6645,4865,0.49644,-0.82501),(6645,4875,0.49771,-0.82162),(6645,4885,0.49902,-0.81823),(6645,4895,0.50033,-0.81479),(6645,4905,0.50165,-0.81132),(6645,4915,0.50297,-0.80785),(6645,4925,0.5043,-0.80434),(6645,4935,0.50562,-0.80076),(6645,4945,0.50696,-0.79719),(6645,4955,0.50829,-0.79361),(6645,4965,0.50962,-0.78997),(6645,4975,0.51097,-0.78633),(6645,4985,0.51232,-0.7827),(6645,4995,0.51367,-0.77903),(6645,5005,0.51503,-0.77535),(6645,5015,0.5164,-0.77168),(6645,5025,0.51777,-0.76795),(6645,5035,0.51915,-0.7642),(6645,5045,0.52053,-0.76045),(6645,5055,0.52192,-0.75666),(6645,5065,0.52331,-0.75283),(6645,5075,0.52472,-0.74901),(6645,5085,0.52613,-0.74516),(6645,5095,0.52754,-0.74129),(6645,5105,0.52896,-0.73742),(6645,5115,0.53039,-0.73353),(6645,5125,0.53182,-0.72959),(6645,5135,0.53325,-0.72566),(6645,5145,0.53469,-0.72172),(6645,5155,0.53612,-0.71771),(6645,5165,0.53756,-0.71371),(6645,5175,0.53899,-0.7097),(6645,5185,0.54043,-0.70562),(6645,5195,0.54187,-0.70152),(6645,5205,0.54331,-0.69742),(6645,5215,0.54475,-0.69327),(6645,5225,0.5462,-0.68911),(6645,5235,0.54763,-0.68494),(6645,5245,0.54907,-0.68075),(6645,5255,0.55051,-0.67653),(6645,5265,0.55194,-0.67231),(6645,5275,0.55336,-0.66807),(6645,5285,0.55479,-0.6638),(6645,5295,0.55622,-0.65953),(6645,5305,0.55765,-0.65525),(6645,5315,0.55908,-0.65091),(6645,5325,0.56051,-0.64658),(6645,5335,0.56194,-0.64225),(6645,5345,0.56337,-0.63788),(6645,5355,0.56479,-0.63351),(6645,5365,0.56621,-0.62915),(6645,5375,0.56763,-0.62475),(6645,5385,0.56904,-0.62035),(6645,5395,0.57045,-0.61595),(6645,5405,0.57185,-0.61151),(6645,5415,0.57326,-0.60705),(6645,5425,0.57465,-0.60259),(6645,5435,0.57605,-0.59809),(6645,5445,0.57744,-0.59355),(6645,5455,0.57883,-0.58901),(6645,5465,0.58022,-0.58445),(6645,5475,0.58161,-0.57984),(6645,5485,0.583,-0.57524),(6645,5495,0.58439,-0.57063),(6645,5505,0.58578,-0.56599),(6645,5515,0.58716,-0.56134),(6645,5525,0.58853,-0.5567),(6645,5535,0.5899,-0.55199),(6645,5545,0.59126,-0.54727),(6645,5555,0.59259,-0.54255),(6645,5565,0.59392,-0.53777),(6645,5575,0.59524,-0.53296),(6645,5585,0.59655,-0.52815),(6645,5595,0.59785,-0.52332),(6645,5605,0.59916,-0.51847),(6645,5615,0.60047,-0.51362),(6645,5625,0.60178,-0.50876),(6645,5635,0.6031,-0.5039),(6645,5645,0.6044,-0.49904),(6645,5655,0.6057,-0.49415),(6645,5665,0.60701,-0.48921),(6645,5675,0.60829,-0.48427),(6645,5685,0.60955,-0.47932),(6645,5695,0.61081,-0.47432),(6645,5705,0.61206,-0.46933),(6645,5715,0.61328,-0.46433),(6645,5725,0.61451,-0.45935),(6645,5735,0.61572,-0.45437),(6645,5745,0.61692,-0.44939),(6645,5755,0.61811,-0.4444),(6645,5765,0.61931,-0.4394),(6645,5775,0.62048,-0.4344),(6645,5785,0.62166,-0.42937),(6645,5795,0.62283,-0.42431),(6645,5805,0.62398,-0.41924),(6645,5815,0.62513,-0.41417),(6645,5825,0.62628,-0.40909),(6645,5835,0.62742,-0.40401),(6645,5845,0.62854,-0.39892),(6645,5855,0.62967,-0.39382),(6645,5865,0.63078,-0.38871),(6645,5875,0.63186,-0.3836),(6645,5885,0.63295,-0.37841),(6645,5895,0.63401,-0.37321),(6645,5905,0.63505,-0.36802),(6645,5915,0.63608,-0.36278),(6645,5925,0.63711,-0.35754),(6645,5935,0.63811,-0.3523),(6645,5945,0.6391,-0.34706),(6645,5955,0.64009,-0.34183),(6645,5965,0.64106,-0.3366),(6645,5975,0.64203,-0.33136),(6645,5985,0.64299,-0.32611),(6645,5995,0.64393,-0.32086),(6645,6005,0.64486,-0.3156),(6645,6015,0.6458,-0.31031),(6645,6025,0.6467,-0.30502),(6645,6035,0.6476,-0.29972),(6645,6045,0.64849,-0.2944),(6645,6055,0.64936,-0.28909),(6645,6065,0.6502,-0.28377),(6645,6075,0.65104,-0.27835),(6645,6085,0.65187,-0.27292),(6645,6095,0.65266,-0.2675),(6645,6105,0.65346,-0.26206),(6645,6115,0.65425,-0.25661),(6645,6125,0.65504,-0.25116),(6645,6135,0.65582,-0.24578),(6645,6145,0.6566,-0.24045),(6645,6155,0.65736,-0.23512),(6645,6165,0.65812,-0.22978),(6645,6175,0.65888,-0.22442),(6645,6185,0.65957,-0.21905),(6645,6195,0.66025,-0.21365),(6645,6205,0.66093,-0.20814),(6645,6215,0.66156,-0.20263),(6645,6225,0.66216,-0.19712),(6645,6235,0.66276,-0.19164),(6645,6245,0.66334,-0.18615),(6645,6255,0.66389,-0.18067),(6645,6265,0.66443,-0.17518),(6645,6275,0.66497,-0.16969),(6645,6285,0.66548,-0.1642),(6645,6295,0.666,-0.15874),(6645,6305,0.66651,-0.1533),(6645,6315,0.66699,-0.14786),(6645,6325,0.66748,-0.14244),(6645,6335,0.66796,-0.13704),(6645,6345,0.66841,-0.13164),(6645,6355,0.66886,-0.12617),(6645,6365,0.6693,-0.12053),(6645,6375,0.6697,-0.11489),(6645,6385,0.67009,-0.10927),(6645,6395,0.67047,-0.10372),(6645,6405,0.67083,-0.098175),(6645,6415,0.67117,-0.092629),(6645,6425,0.6715,-0.087144),(6645,6435,0.67182,-0.081662),(6645,6445,0.67209,-0.076179),(6645,6455,0.67236,-0.070678),(6645,6465,0.67262,-0.065171),(6645,6475,0.67285,-0.059664),(6645,6485,0.67308,-0.054091),(6645,6495,0.6733,-0.048475),(6645,6505,0.6735,-0.042858),(6645,6515,0.6737,-0.037258),(6645,6525,0.6739,-0.031682),(6645,6535,0.67405,-0.026105),(6645,6545,0.67419,-0.020553),(6645,6555,0.67434,-0.015074),(6645,6565,0.67442,-0.009596),(6645,6575,0.67448,-0.004118),(6645,6585,0.67454,0.001352),(6645,6595,0.57372,0.006821),(6645,6605,0.36153,0.01229),(6645,6615,0.14934,0.012951),(6645,6625,0.000194,0.012994),(6645,6635,0.000248,0.013037),(6645,6645,0.000301,0.013048),(6645,6655,0.000355,0.013048),(6645,6665,0.000408,0.013047),(6645,6675,0.000462,0.013045),(6645,6685,0.000515,0.013042),(6645,6695,0.000568,0.013039),(6645,6705,0.000621,0.013036),(6645,6715,0.000674,0.01303),(6645,6725,0.000727,0.013025),(6645,6735,0.000779,0.013019),(6645,6745,0.000832,0.013012),(6645,6755,0.000884,0.013004),(6645,6765,0.000936,0.012997),(6645,6775,0.000987,0.012987),(6645,6785,0.001039,0.012978),(6645,6795,0.00109,0.012968),(6645,6805,0.001141,0.012957),(6645,6815,0.001192,0.012945),(6645,6825,0.001241,0.012933),(6645,6835,0.001291,0.01292),(6645,6845,0.001341,0.012906),(6645,6855,0.00139,0.012892),(6645,6865,0.001439,0.012878),(6645,6875,0.001488,0.012862),(6645,6885,0.001535,0.012846),(6645,6895,0.001583,0.01283),(6645,6905,0.001631,0.012813),(6645,6915,0.001677,0.012795),(6645,6925,0.001724,0.012777),(6645,6935,0.00177,0.012758),(6645,6945,0.001816,0.012739),(6645,6955,0.00186,0.01272),(6645,6965,0.001905,0.012699),(6645,6975,0.00195,0.012678),(6645,6985,0.001993,0.012657),(6655,5,-1e-05,-1.2902),(6655,15,-2.9e-05,-1.2902),(6655,25,-4.5e-05,-1.2903),(6655,35,-5.7e-05,-1.2903),(6655,45,-6.9e-05,-1.2903),(6655,55,-8.1e-05,-1.2903),(6655,65,-9.4e-05,-1.2903),(6655,75,-0.000108,-1.2902),(6655,85,-0.000122,-1.2902),(6655,95,-0.000136,-1.2901),(6655,105,-0.000134,-1.2901),(6655,115,-0.00012,-1.29),(6655,125,-0.000106,-1.29),(6655,135,-9.2e-05,-1.2899),(6655,145,-7.6e-05,-1.2899),(6655,155,-5.9e-05,-1.2898),(6655,165,-4.2e-05,-1.2898),(6655,175,-2.5e-05,-1.2896),(6655,185,-7e-06,-1.2895),(6655,195,1.1e-05,-1.2894),(6655,205,2.8e-05,-1.2893),(6655,215,4.6e-05,-1.2892),(6655,225,6.3e-05,-1.2891),(6655,235,8e-05,-1.289),(6655,245,9.7e-05,-1.2888),(6655,255,0.000113,-1.2887),(6655,265,0.000117,-1.2886),(6655,275,0.000117,-1.2884),(6655,285,0.000116,-1.2882),(6655,295,0.000116,-1.288),(6655,305,0.0001,-1.2878),(6655,315,8.1e-05,-1.2876),(6655,325,6.1e-05,-1.2874),(6655,335,4.2e-05,-1.2872),(6655,345,2.5e-05,-1.287),(6655,355,9e-06,-1.2869),(6655,365,-8e-06,-1.2867),(6655,375,-2.4e-05,-1.2865),(6655,385,-2.5e-05,-1.2863),(6655,395,-2.3e-05,-1.2861),(6655,405,-2.1e-05,-1.2859),(6655,415,-1.9e-05,-1.2856),(6655,425,-2.1e-05,-1.2854),(6655,435,-2.4e-05,-1.2852),(6655,445,-2.7e-05,-1.2849),(6655,455,-3e-05,-1.2847),(6655,465,-3.8e-05,-1.2845),(6655,475,-4.7e-05,-1.2843),(6655,485,-5.5e-05,-1.284),(6655,495,-6.3e-05,-1.2837),(6655,505,-8.2e-05,-1.2834),(6655,515,-0.000101,-1.2831),(6655,525,-0.00012,-1.2828),(6655,535,-0.000138,-1.2825),(6655,545,-0.000142,-1.2822),(6655,555,-0.000146,-1.2818),(6655,565,-0.00015,-1.2816),(6655,575,-0.000152,-1.2813),(6655,585,-0.000131,-1.281),(6655,595,-0.000111,-1.2807),(6655,605,-9e-05,-1.2804),(6655,615,-7.1e-05,-1.2801),(6655,625,-5.8e-05,-1.2798),(6655,635,-4.5e-05,-1.2796),(6655,645,-3.3e-05,-1.2792),(6655,655,-2.2e-05,-1.2789),(6655,665,-2.3e-05,-1.2786),(6655,675,-2.5e-05,-1.2783),(6655,685,-2.6e-05,-1.2779),(6655,695,-2.8e-05,-1.2775),(6655,705,-3.3e-05,-1.2771),(6655,715,-3.8e-05,-1.2767),(6655,725,-4.3e-05,-1.2763),(6655,735,-4e-05,-1.2759),(6655,745,-8e-06,-1.2755),(6655,755,2.3e-05,-1.2751),(6655,765,5.5e-05,-1.2748),(6655,775,9.4e-05,-1.2744),(6655,785,0.000155,-1.274),(6655,795,0.000217,-1.2736),(6655,805,0.000278,-1.2732),(6655,815,0.000344,-1.2728),(6655,825,0.00042,-1.2724),(6655,835,0.000496,-1.272),(6655,845,0.000573,-1.2717),(6655,855,0.000653,-1.2713),(6655,865,0.000742,-1.2709),(6655,875,0.000831,-1.2705),(6655,885,0.00092,-1.2702),(6655,895,0.001014,-1.2698),(6655,905,0.001116,-1.2694),(6655,915,0.001218,-1.269),(6655,925,0.00132,-1.2686),(6655,935,0.001428,-1.2681),(6655,945,0.001546,-1.2677),(6655,955,0.001663,-1.2672),(6655,965,0.001781,-1.2667),(6655,975,0.001938,-1.2663),(6655,985,0.002139,-1.2658),(6655,995,0.002341,-1.2653),(6655,1005,0.002543,-1.2649),(6655,1015,0.002831,-1.2644),(6655,1025,0.003204,-1.264),(6655,1035,0.003576,-1.2636),(6655,1045,0.003948,-1.2632),(6655,1055,0.004456,-1.2628),(6655,1065,0.005075,-1.2624),(6655,1075,0.005694,-1.262),(6655,1085,0.006313,-1.2615),(6655,1095,0.007171,-1.2611),(6655,1105,0.008196,-1.2606),(6655,1115,0.009221,-1.2601),(6655,1125,0.010246,-1.2596),(6655,1135,0.01171,-1.259),(6655,1145,0.013434,-1.2585),(6655,1155,0.015157,-1.2578),(6655,1165,0.016881,-1.2571),(6655,1175,0.019374,-1.2564),(6655,1185,0.022248,-1.2556),(6655,1195,0.025122,-1.2545),(6655,1205,0.027996,-1.2531),(6655,1215,0.031944,-1.2517),(6655,1225,0.036335,-1.2503),(6655,1235,0.040726,-1.2478),(6655,1245,0.045117,-1.2447),(6655,1255,0.050351,-1.2417),(6655,1265,0.055869,-1.2387),(6655,1275,0.061388,-1.2334),(6655,1285,0.066906,-1.2273),(6655,1295,0.063099,-1.2213),(6655,1305,0.056771,-1.2153),(6655,1315,0.050442,-1.2102),(6655,1325,0.044113,-1.2054),(6655,1335,0.027211,-1.2006),(6655,1345,0.008093,-1.1957),(6655,1355,-0.011025,-1.198),(6655,1365,-0.030143,-1.2015),(6655,1375,-0.040906,-1.2049),(6655,1385,-0.050381,-1.2084),(6655,1395,-0.059855,-1.2144),(6655,1405,-0.069329,-1.2207),(6655,1415,-0.064991,-1.227),(6655,1425,-0.059219,-1.2333),(6655,1435,-0.053446,-1.2364),(6655,1445,-0.047673,-1.2394),(6655,1455,-0.043063,-1.2423),(6655,1465,-0.03852,-1.2452),(6655,1475,-0.033977,-1.2465),(6655,1485,-0.029434,-1.2476),(6655,1495,-0.026339,-1.2488),(6655,1505,-0.023267,-1.2499),(6655,1515,-0.020194,-1.2503),(6655,1525,-0.017154,-1.2507),(6655,1535,-0.015375,-1.251),(6655,1545,-0.013597,-1.2514),(6655,1555,-0.011818,-1.2514),(6655,1565,-0.010084,-1.2515),(6655,1575,-0.008992,-1.2516),(6655,1585,-0.0079,-1.2517),(6655,1595,-0.006808,-1.2518),(6655,1605,-0.00576,-1.2518),(6655,1615,-0.005096,-1.2519),(6655,1625,-0.004431,-1.252),(6655,1635,-0.003767,-1.2521),(6655,1645,-0.003135,-1.2521),(6655,1655,-0.002703,-1.2521),(6655,1665,-0.00227,-1.2522),(6655,1675,-0.001838,-1.2522),(6655,1685,-0.001438,-1.2523),(6655,1695,-0.001183,-1.2523),(6655,1705,-0.000928,-1.2523),(6655,1715,-0.000674,-1.2523),(6655,1725,-0.000445,-1.2523),(6655,1735,-0.000309,-1.2522),(6655,1745,-0.000173,-1.2522),(6655,1755,-3.7e-05,-1.2521),(6655,1765,8e-05,-1.2521),(6655,1775,0.000145,-1.252),(6655,1785,0.000209,-1.252),(6655,1795,0.000274,-1.252),(6655,1805,0.000329,-1.2519),(6655,1815,0.000362,-1.2519),(6655,1825,0.000395,-1.2518),(6655,1835,0.000428,-1.2518),(6655,1845,0.00046,-1.2517),(6655,1855,0.000491,-1.2516),(6655,1865,0.000522,-1.2516),(6655,1875,0.000553,-1.2516),(6655,1885,0.000591,-1.2515),(6655,1895,0.000642,-1.2515),(6655,1905,0.000693,-1.2515),(6655,1915,0.000745,-1.2513),(6655,1925,0.000801,-1.2512),(6655,1935,0.000864,-1.2511),(6655,1945,0.000928,-1.2511),(6655,1955,0.000991,-1.2511),(6655,1965,0.001044,-1.2511),(6655,1975,0.001083,-1.2511),(6655,1985,0.001122,-1.251),(6655,1995,0.001161,-1.2509),(6655,2005,0.001177,-1.2507),(6655,2015,0.001169,-1.2506),(6655,2025,0.001162,-1.2504),(6655,2035,0.001154,-1.2502),(6655,2045,0.001148,-1.25),(6655,2055,0.001141,-1.2499),(6655,2065,0.001135,-1.2497),(6655,2075,0.001128,-1.2496),(6655,2085,0.001115,-1.2494),(6655,2095,0.001095,-1.2493),(6655,2105,0.001076,-1.2491),(6655,2115,0.001057,-1.2489),(6655,2125,0.00103,-1.2486),(6655,2135,0.000998,-1.2484),(6655,2145,0.000966,-1.2481),(6655,2155,0.000935,-1.2479),(6655,2165,0.000912,-1.2477),(6655,2175,0.000894,-1.2475),(6655,2185,0.000876,-1.2472),(6655,2195,0.000858,-1.247),(6655,2205,0.000839,-1.2467),(6655,2215,0.00082,-1.2464),(6655,2225,0.000801,-1.2461),(6655,2235,0.000782,-1.2458),(6655,2245,0.000794,-1.2455),(6655,2255,0.000817,-1.2451),(6655,2265,0.000841,-1.2449),(6655,2275,0.000865,-1.2447),(6655,2285,0.000911,-1.2445),(6655,2295,0.000965,-1.2443),(6655,2305,0.001018,-1.244),(6655,2315,0.001071,-1.2437),(6655,2325,0.001081,-1.2434),(6655,2335,0.001081,-1.2431),(6655,2345,0.001081,-1.2427),(6655,2355,0.001081,-1.2423),(6655,2365,0.001063,-1.2419),(6655,2375,0.001041,-1.2415),(6655,2385,0.001019,-1.2411),(6655,2395,0.000997,-1.2407),(6655,2405,0.000999,-1.2402),(6655,2415,0.001003,-1.2398),(6655,2425,0.001007,-1.2394),(6655,2435,0.001011,-1.2389),(6655,2445,0.001024,-1.2384),(6655,2455,0.001037,-1.2379),(6655,2465,0.00105,-1.2375),(6655,2475,0.001063,-1.2371),(6655,2485,0.001077,-1.2366),(6655,2495,0.00109,-1.2362),(6655,2505,0.001104,-1.2357),(6655,2515,0.001117,-1.2352),(6655,2525,0.001119,-1.2348),(6655,2535,0.00112,-1.2343),(6655,2545,0.001122,-1.2337),(6655,2555,0.001123,-1.2331),(6655,2565,0.001114,-1.2326),(6655,2575,0.001105,-1.232),(6655,2585,0.001095,-1.2314),(6655,2595,0.001087,-1.2308),(6655,2605,0.001094,-1.2302),(6655,2615,0.0011,-1.2296),(6655,2625,0.001107,-1.229),(6655,2635,0.001116,-1.2284),(6655,2645,0.001139,-1.2278),(6655,2655,0.001162,-1.2272),(6655,2665,0.001185,-1.2266),(6655,2675,0.001209,-1.226),(6655,2685,0.001235,-1.2254),(6655,2695,0.001261,-1.2248),(6655,2705,0.001288,-1.2242),(6655,2715,0.001315,-1.2236),(6655,2725,0.001346,-1.223),(6655,2735,0.001377,-1.2223),(6655,2745,0.001409,-1.2217),(6655,2755,0.001441,-1.221),(6655,2765,0.001477,-1.2203),(6655,2775,0.001513,-1.2196),(6655,2785,0.001549,-1.2189),(6655,2795,0.001583,-1.2182),(6655,2805,0.001613,-1.2174),(6655,2815,0.001643,-1.2167),(6655,2825,0.001674,-1.216),(6655,2835,0.001698,-1.2152),(6655,2845,0.00171,-1.2145),(6655,2855,0.001723,-1.2137),(6655,2865,0.001736,-1.2129),(6655,2875,0.001742,-1.2122),(6655,2885,0.001739,-1.2114),(6655,2895,0.001736,-1.2106),(6655,2905,0.001734,-1.2098),(6655,2915,0.001726,-1.2089),(6655,2925,0.001711,-1.2081),(6655,2935,0.001696,-1.2072),(6655,2945,0.001682,-1.2064),(6655,2955,0.001661,-1.2055),(6655,2965,0.001633,-1.2046),(6655,2975,0.001605,-1.2037),(6655,2985,0.001577,-1.2028),(6655,2995,0.001564,-1.2019),(6655,3005,0.001566,-1.2009),(6655,3015,0.001568,-1.2),(6655,3025,0.00157,-1.1992),(6655,3035,0.001597,-1.1983),(6655,3045,0.001646,-1.1974),(6655,3055,0.001696,-1.1965),(6655,3065,0.001745,-1.1956),(6655,3075,0.001784,-1.1947),(6655,3085,0.001815,-1.1937),(6655,3095,0.001846,-1.1928),(6655,3105,0.001878,-1.1918),(6655,3115,0.001893,-1.1908),(6655,3125,0.001898,-1.1898),(6655,3135,0.001902,-1.1888),(6655,3145,0.001907,-1.1879),(6655,3155,0.001914,-1.1869),(6655,3165,0.001921,-1.1859),(6655,3175,0.001929,-1.1849),(6655,3185,0.001937,-1.1838),(6655,3195,0.001916,-1.1828),(6655,3205,0.001882,-1.1818),(6655,3215,0.001848,-1.1806),(6655,3225,0.001815,-1.1794),(6655,3235,0.001782,-1.1783),(6655,3245,0.001749,-1.1771),(6655,3255,0.001716,-1.176),(6655,3265,0.001683,-1.1749),(6655,3275,0.001723,-1.1738),(6655,3285,0.001785,-1.1727),(6655,3295,0.001847,-1.1717),(6655,3305,0.001909,-1.1707),(6655,3315,0.001975,-1.1696),(6655,3325,0.002043,-1.1686),(6655,3335,0.00211,-1.1675),(6655,3345,0.002178,-1.1663),(6655,3355,0.002188,-1.1652),(6655,3365,0.002188,-1.164),(6655,3375,0.002189,-1.1628),(6655,3385,0.002189,-1.1616),(6655,3395,0.002187,-1.1603),(6655,3405,0.002185,-1.1591),(6655,3415,0.002183,-1.1579),(6655,3425,0.002181,-1.1567),(6655,3435,0.002188,-1.1555),(6655,3445,0.002196,-1.1543),(6655,3455,0.002204,-1.1531),(6655,3465,0.002212,-1.1518),(6655,3475,0.002267,-1.1505),(6655,3485,0.002324,-1.1493),(6655,3495,0.00238,-1.1481),(6655,3505,0.002437,-1.1468),(6655,3515,0.002524,-1.1456),(6655,3525,0.002611,-1.1444),(6655,3535,0.002699,-1.1432),(6655,3545,0.002786,-1.1419),(6655,3555,0.002886,-1.1407),(6655,3565,0.002985,-1.1395),(6655,3575,0.003085,-1.1382),(6655,3585,0.003186,-1.137),(6655,3595,0.003304,-1.1358),(6655,3605,0.003423,-1.1345),(6655,3615,0.003541,-1.1332),(6655,3625,0.003659,-1.1318),(6655,3635,0.003774,-1.1305),(6655,3645,0.003889,-1.1291),(6655,3655,0.004003,-1.1278),(6655,3665,0.004137,-1.1264),(6655,3675,0.00437,-1.125),(6655,3685,0.004602,-1.1237),(6655,3695,0.004835,-1.1224),(6655,3705,0.005096,-1.1211),(6655,3715,0.005471,-1.1198),(6655,3725,0.005845,-1.1185),(6655,3735,0.00622,-1.1171),(6655,3745,0.006651,-1.1158),(6655,3755,0.00726,-1.1144),(6655,3765,0.007869,-1.113),(6655,3775,0.008478,-1.1117),(6655,3785,0.009182,-1.1103),(6655,3795,0.010127,-1.109),(6655,3805,0.011071,-1.1076),(6655,3815,0.012016,-1.106),(6655,3825,0.013125,-1.1045),(6655,3835,0.014579,-1.1029),(6655,3845,0.016034,-1.1013),(6655,3855,0.017488,-1.0996),(6655,3865,0.019222,-1.0978),(6655,3875,0.02145,-1.0961),(6655,3885,0.023678,-1.0941),(6655,3895,0.025905,-1.0915),(6655,3905,0.028503,-1.089),(6655,3915,0.031653,-1.0865),(6655,3925,0.034803,-1.0835),(6655,3935,0.037953,-1.0799),(6655,3945,0.041367,-1.0762),(6655,3955,0.045117,-1.0726),(6655,3965,0.048867,-1.0679),(6655,3975,0.052617,-1.062),(6655,3985,0.053763,-1.0562),(6655,3995,0.052093,-1.0503),(6655,4005,0.050422,-1.0446),(6655,4015,0.048751,-1.0391),(6655,4025,0.10987,-1.0335),(6655,4035,0.17713,-1.0294),(6655,4045,0.24438,-1.0283),(6655,4055,0.29911,-1.0272),(6655,4065,0.34927,-1.026),(6655,4075,0.39943,-1.0241),(6655,4085,0.42218,-1.0223),(6655,4095,0.42292,-1.0204),(6655,4105,0.42367,-1.0185),(6655,4115,0.4244,-1.0166),(6655,4125,0.42513,-1.0147),(6655,4135,0.42586,-1.0127),(6655,4145,0.42658,-1.0108),(6655,4155,0.4273,-1.0089),(6655,4165,0.42802,-1.007),(6655,4175,0.42874,-1.0052),(6655,4185,0.42945,-1.0033),(6655,4195,0.43017,-1.0014),(6655,4205,0.43088,-0.99942),(6655,4215,0.43158,-0.99746),(6655,4225,0.43228,-0.99548),(6655,4235,0.43298,-0.99345),(6655,4245,0.43367,-0.99143),(6655,4255,0.43436,-0.9894),(6655,4265,0.43505,-0.98734),(6655,4275,0.43574,-0.98528),(6655,4285,0.43643,-0.98322),(6655,4295,0.43712,-0.98108),(6655,4305,0.43781,-0.97893),(6655,4315,0.43851,-0.97678),(6655,4325,0.43922,-0.97456),(6655,4335,0.43992,-0.97232),(6655,4345,0.44065,-0.97009),(6655,4355,0.44139,-0.96784),(6655,4365,0.44212,-0.96559),(6655,4375,0.44288,-0.96334),(6655,4385,0.44364,-0.96108),(6655,4395,0.44441,-0.95878),(6655,4405,0.44518,-0.95649),(6655,4415,0.44596,-0.95418),(6655,4425,0.44674,-0.95179),(6655,4435,0.44754,-0.94941),(6655,4445,0.44835,-0.94703),(6655,4455,0.44916,-0.94458),(6655,4465,0.44998,-0.94213),(6655,4475,0.45082,-0.93969),(6655,4485,0.45166,-0.93715),(6655,4495,0.45251,-0.9346),(6655,4505,0.45338,-0.93205),(6655,4515,0.45426,-0.92946),(6655,4525,0.45513,-0.92684),(6655,4535,0.45603,-0.92423),(6655,4545,0.45693,-0.92158),(6655,4555,0.45782,-0.91889),(6655,4565,0.45875,-0.91619),(6655,4575,0.45968,-0.91348),(6655,4585,0.46062,-0.91071),(6655,4595,0.46159,-0.90794),(6655,4605,0.46258,-0.90516),(6655,4615,0.46357,-0.90235),(6655,4625,0.46458,-0.89953),(6655,4635,0.46563,-0.89672),(6655,4645,0.46667,-0.89382),(6655,4655,0.46772,-0.89092),(6655,4665,0.46879,-0.88802),(6655,4675,0.46986,-0.88506),(6655,4685,0.47093,-0.88209),(6655,4695,0.47202,-0.87911),(6655,4705,0.47311,-0.87609),(6655,4715,0.4742,-0.87304),(6655,4725,0.47531,-0.86999),(6655,4735,0.47643,-0.86692),(6655,4745,0.47755,-0.86383),(6655,4755,0.47871,-0.86074),(6655,4765,0.47987,-0.85763),(6655,4775,0.48103,-0.85446),(6655,4785,0.48222,-0.85129),(6655,4795,0.48341,-0.84812),(6655,4805,0.48461,-0.84485),(6655,4815,0.48582,-0.84159),(6655,4825,0.48704,-0.83832),(6655,4835,0.48826,-0.83498),(6655,4845,0.48949,-0.83163),(6655,4855,0.49074,-0.82827),(6655,4865,0.49198,-0.82488),(6655,4875,0.49324,-0.82148),(6655,4885,0.49452,-0.81808),(6655,4895,0.4958,-0.81464),(6655,4905,0.49708,-0.81116),(6655,4915,0.49838,-0.80769),(6655,4925,0.49969,-0.80418),(6655,4935,0.50099,-0.80061),(6655,4945,0.5023,-0.79703),(6655,4955,0.50361,-0.79345),(6655,4965,0.50492,-0.78981),(6655,4975,0.50624,-0.78616),(6655,4985,0.50757,-0.78252),(6655,4995,0.5089,-0.77885),(6655,5005,0.51024,-0.77517),(6655,5015,0.51159,-0.77149),(6655,5025,0.51293,-0.76776),(6655,5035,0.51429,-0.764),(6655,5045,0.51565,-0.76025),(6655,5055,0.51701,-0.75644),(6655,5065,0.51837,-0.75261),(6655,5075,0.51975,-0.74878),(6655,5085,0.52113,-0.74493),(6655,5095,0.52251,-0.74105),(6655,5105,0.52391,-0.73717),(6655,5115,0.52532,-0.73328),(6655,5125,0.52672,-0.72934),(6655,5135,0.52813,-0.72541),(6655,5145,0.52955,-0.72147),(6655,5155,0.53097,-0.71746),(6655,5165,0.53238,-0.71345),(6655,5175,0.5338,-0.70944),(6655,5185,0.53521,-0.70535),(6655,5195,0.53663,-0.70125),(6655,5205,0.53805,-0.69715),(6655,5215,0.53947,-0.693),(6655,5225,0.5409,-0.68883),(6655,5235,0.54232,-0.68467),(6655,5245,0.54374,-0.68047),(6655,5255,0.54516,-0.67625),(6655,5265,0.54658,-0.67203),(6655,5275,0.54799,-0.66779),(6655,5285,0.54941,-0.66352),(6655,5295,0.55082,-0.65924),(6655,5305,0.55223,-0.65495),(6655,5315,0.55363,-0.65062),(6655,5325,0.55503,-0.64628),(6655,5335,0.55644,-0.64194),(6655,5345,0.55784,-0.63758),(6655,5355,0.55924,-0.63321),(6655,5365,0.56064,-0.62884),(6655,5375,0.56204,-0.62445),(6655,5385,0.56344,-0.62005),(6655,5395,0.56484,-0.61565),(6655,5405,0.56623,-0.61121),(6655,5415,0.56763,-0.60675),(6655,5425,0.56902,-0.60229),(6655,5435,0.57041,-0.59779),(6655,5445,0.5718,-0.59324),(6655,5455,0.57318,-0.58869),(6655,5465,0.57456,-0.58412),(6655,5475,0.57593,-0.57951),(6655,5485,0.5773,-0.57489),(6655,5495,0.57866,-0.57028),(6655,5505,0.58003,-0.56563),(6655,5515,0.58138,-0.56099),(6655,5525,0.58272,-0.55635),(6655,5535,0.58407,-0.55164),(6655,5545,0.5854,-0.54693),(6655,5555,0.58671,-0.54222),(6655,5565,0.58802,-0.53743),(6655,5575,0.58933,-0.53263),(6655,5585,0.59061,-0.52782),(6655,5595,0.5919,-0.52298),(6655,5605,0.59318,-0.51812),(6655,5615,0.59447,-0.51326),(6655,5625,0.59576,-0.5084),(6655,5635,0.59706,-0.50353),(6655,5645,0.59834,-0.49866),(6655,5655,0.59963,-0.49378),(6655,5665,0.60092,-0.48884),(6655,5675,0.60219,-0.4839),(6655,5685,0.60344,-0.47896),(6655,5695,0.6047,-0.47397),(6655,5705,0.60593,-0.46898),(6655,5715,0.60715,-0.46399),(6655,5725,0.60836,-0.459),(6655,5735,0.60957,-0.45402),(6655,5745,0.61075,-0.44904),(6655,5755,0.61193,-0.44405),(6655,5765,0.61311,-0.43904),(6655,5775,0.61426,-0.43404),(6655,5785,0.61542,-0.42901),(6655,5795,0.61658,-0.42395),(6655,5805,0.61771,-0.41888),(6655,5815,0.61884,-0.41381),(6655,5825,0.61998,-0.40873),(6655,5835,0.6211,-0.40365),(6655,5845,0.62221,-0.39856),(6655,5855,0.62333,-0.39346),(6655,5865,0.62442,-0.38835),(6655,5875,0.6255,-0.38325),(6655,5885,0.62658,-0.37806),(6655,5895,0.62764,-0.37288),(6655,5905,0.62866,-0.36769),(6655,5915,0.62969,-0.36246),(6655,5925,0.63071,-0.35722),(6655,5935,0.63169,-0.35198),(6655,5945,0.63268,-0.34674),(6655,5955,0.63366,-0.34151),(6655,5965,0.63461,-0.33627),(6655,5975,0.63556,-0.33103),(6655,5985,0.63652,-0.32578),(6655,5995,0.63744,-0.32053),(6655,6005,0.63836,-0.31527),(6655,6015,0.63928,-0.30998),(6655,6025,0.64018,-0.3047),(6655,6035,0.64106,-0.29941),(6655,6045,0.64194,-0.29409),(6655,6055,0.64279,-0.28878),(6655,6065,0.64362,-0.28347),(6655,6075,0.64445,-0.27806),(6655,6085,0.64527,-0.27263),(6655,6095,0.64605,-0.26721),(6655,6105,0.64683,-0.26177),(6655,6115,0.64761,-0.25631),(6655,6125,0.64838,-0.25085),(6655,6135,0.64915,-0.24547),(6655,6145,0.64992,-0.24014),(6655,6155,0.65067,-0.23482),(6655,6165,0.65143,-0.22948),(6655,6175,0.65218,-0.22413),(6655,6185,0.65288,-0.21878),(6655,6195,0.65356,-0.2134),(6655,6205,0.65425,-0.2079),(6655,6215,0.65488,-0.20241),(6655,6225,0.65549,-0.19691),(6655,6235,0.6561,-0.19143),(6655,6245,0.65668,-0.18595),(6655,6255,0.65722,-0.18047),(6655,6265,0.65777,-0.17498),(6655,6275,0.6583,-0.16949),(6655,6285,0.65881,-0.16399),(6655,6295,0.65931,-0.15854),(6655,6305,0.65981,-0.15309),(6655,6315,0.66028,-0.14765),(6655,6325,0.66076,-0.14223),(6655,6335,0.66123,-0.13683),(6655,6345,0.66167,-0.13144),(6655,6355,0.66211,-0.12597),(6655,6365,0.66255,-0.12034),(6655,6375,0.66295,-0.11471),(6655,6385,0.66333,-0.10909),(6655,6395,0.66371,-0.10355),(6655,6405,0.66406,-0.098009),(6655,6415,0.6644,-0.092467),(6655,6425,0.66473,-0.086991),(6655,6435,0.66504,-0.081518),(6655,6445,0.66531,-0.076044),(6655,6455,0.66558,-0.070548),(6655,6465,0.66584,-0.065044),(6655,6475,0.66607,-0.059541),(6655,6485,0.66629,-0.053969),(6655,6495,0.66651,-0.04835),(6655,6505,0.66671,-0.042732),(6655,6515,0.66691,-0.037135),(6655,6525,0.66711,-0.031565),(6655,6535,0.66727,-0.025996),(6655,6545,0.66741,-0.020452),(6655,6555,0.66755,-0.014988),(6655,6565,0.66764,-0.009524),(6655,6575,0.66769,-0.00406),(6655,6585,0.66775,0.001404),(6655,6595,0.56795,0.006867),(6655,6605,0.35789,0.012331),(6655,6615,0.14784,0.012995),(6655,6625,0.000192,0.013042),(6655,6635,0.000247,0.013088),(6655,6645,0.000301,0.013101),(6655,6655,0.000355,0.013101),(6655,6665,0.000409,0.0131),(6655,6675,0.000464,0.013098),(6655,6685,0.000518,0.013095),(6655,6695,0.000571,0.013092),(6655,6705,0.000625,0.013088),(6655,6715,0.000679,0.013083),(6655,6725,0.000732,0.013077),(6655,6735,0.000785,0.013071),(6655,6745,0.000838,0.013064),(6655,6755,0.000891,0.013056),(6655,6765,0.000944,0.013048),(6655,6775,0.000996,0.013038),(6655,6785,0.001048,0.013028),(6655,6795,0.0011,0.013018),(6655,6805,0.001151,0.013007),(6655,6815,0.001203,0.012995),(6655,6825,0.001253,0.012982),(6655,6835,0.001304,0.012969),(6655,6845,0.001354,0.012955),(6655,6855,0.001403,0.012941),(6655,6865,0.001453,0.012926),(6655,6875,0.001502,0.01291),(6655,6885,0.001551,0.012894),(6655,6895,0.001599,0.012877),(6655,6905,0.001647,0.012859),(6655,6915,0.001694,0.012841),(6655,6925,0.001741,0.012823),(6655,6935,0.001788,0.012803),(6655,6945,0.001834,0.012784),(6655,6955,0.001879,0.012764),(6655,6965,0.001924,0.012743),(6655,6975,0.001969,0.012722),(6655,6985,0.002013,0.012701),(6665,5,-9e-06,-1.2902),(6665,15,-2.8e-05,-1.2902),(6665,25,-4.3e-05,-1.2903),(6665,35,-5.5e-05,-1.2903),(6665,45,-6.7e-05,-1.2903),(6665,55,-7.9e-05,-1.2903),(6665,65,-9.2e-05,-1.2903),(6665,75,-0.000106,-1.2902),(6665,85,-0.00012,-1.2902),(6665,95,-0.000134,-1.2901),(6665,105,-0.000135,-1.2901),(6665,115,-0.000127,-1.29),(6665,125,-0.000119,-1.29),(6665,135,-0.000112,-1.2899),(6665,145,-9.7e-05,-1.2899),(6665,155,-7.8e-05,-1.2898),(6665,165,-6e-05,-1.2897),(6665,175,-4.1e-05,-1.2896),(6665,185,-2.4e-05,-1.2895),(6665,195,-7e-06,-1.2894),(6665,205,1e-05,-1.2893),(6665,215,2.7e-05,-1.2892),(6665,225,4.4e-05,-1.2891),(6665,235,6.2e-05,-1.289),(6665,245,7.9e-05,-1.2888),(6665,255,9.6e-05,-1.2887),(6665,265,0.000103,-1.2886),(6665,275,0.000107,-1.2884),(6665,285,0.000111,-1.2882),(6665,295,0.000115,-1.288),(6665,305,0.000102,-1.2878),(6665,315,8.4e-05,-1.2876),(6665,325,6.7e-05,-1.2874),(6665,335,4.9e-05,-1.2873),(6665,345,2.7e-05,-1.2871),(6665,355,4e-06,-1.2869),(6665,365,-1.9e-05,-1.2867),(6665,375,-4.2e-05,-1.2865),(6665,385,-4.9e-05,-1.2863),(6665,395,-5.2e-05,-1.2861),(6665,405,-5.6e-05,-1.2859),(6665,415,-6e-05,-1.2856),(6665,425,-6.1e-05,-1.2854),(6665,435,-6.2e-05,-1.2852),(6665,445,-6.3e-05,-1.2849),(6665,455,-6.3e-05,-1.2847),(6665,465,-6.2e-05,-1.2845),(6665,475,-6.1e-05,-1.2842),(6665,485,-5.9e-05,-1.284),(6665,495,-5.8e-05,-1.2837),(6665,505,-7.3e-05,-1.2834),(6665,515,-8.9e-05,-1.2831),(6665,525,-0.000104,-1.2828),(6665,535,-0.000119,-1.2825),(6665,545,-0.00013,-1.2822),(6665,555,-0.00014,-1.2819),(6665,565,-0.000151,-1.2816),(6665,575,-0.000159,-1.2813),(6665,585,-0.000141,-1.281),(6665,595,-0.000123,-1.2807),(6665,605,-0.000104,-1.2804),(6665,615,-8.6e-05,-1.2801),(6665,625,-6.9e-05,-1.2798),(6665,635,-5.2e-05,-1.2795),(6665,645,-3.5e-05,-1.2792),(6665,655,-2e-05,-1.2789),(6665,665,-1.9e-05,-1.2786),(6665,675,-1.8e-05,-1.2783),(6665,685,-1.6e-05,-1.2779),(6665,695,-1.7e-05,-1.2775),(6665,705,-2.7e-05,-1.2771),(6665,715,-3.8e-05,-1.2767),(6665,725,-4.8e-05,-1.2763),(6665,735,-5.2e-05,-1.2759),(6665,745,-3.3e-05,-1.2755),(6665,755,-1.5e-05,-1.2751),(6665,765,4e-06,-1.2748),(6665,775,3.2e-05,-1.2744),(6665,785,8.6e-05,-1.274),(6665,795,0.000141,-1.2736),(6665,805,0.000195,-1.2732),(6665,815,0.000257,-1.2728),(6665,825,0.000336,-1.2724),(6665,835,0.000416,-1.272),(6665,845,0.000495,-1.2716),(6665,855,0.000581,-1.2712),(6665,865,0.000681,-1.2708),(6665,875,0.000781,-1.2705),(6665,885,0.00088,-1.2701),(6665,895,0.000987,-1.2697),(6665,905,0.001105,-1.2693),(6665,915,0.001223,-1.2689),(6665,925,0.001341,-1.2685),(6665,935,0.001463,-1.2681),(6665,945,0.001589,-1.2677),(6665,955,0.001716,-1.2672),(6665,965,0.001842,-1.2667),(6665,975,0.002002,-1.2662),(6665,985,0.0022,-1.2657),(6665,995,0.002398,-1.2652),(6665,1005,0.002596,-1.2648),(6665,1015,0.002878,-1.2643),(6665,1025,0.003242,-1.2638),(6665,1035,0.003606,-1.2634),(6665,1045,0.00397,-1.263),(6665,1055,0.004469,-1.2626),(6665,1065,0.005078,-1.2621),(6665,1075,0.005687,-1.2617),(6665,1085,0.006295,-1.2612),(6665,1095,0.00714,-1.2607),(6665,1105,0.008148,-1.2601),(6665,1115,0.009156,-1.2596),(6665,1125,0.010165,-1.2589),(6665,1135,0.011585,-1.2583),(6665,1145,0.013248,-1.2577),(6665,1155,0.014911,-1.2569),(6665,1165,0.016574,-1.2561),(6665,1175,0.018926,-1.2552),(6665,1185,0.021621,-1.2544),(6665,1195,0.024315,-1.253),(6665,1205,0.02701,-1.2515),(6665,1215,0.030607,-1.2499),(6665,1225,0.034577,-1.2483),(6665,1235,0.038546,-1.2457),(6665,1245,0.042516,-1.2425),(6665,1255,0.047095,-1.2394),(6665,1265,0.051881,-1.2363),(6665,1275,0.056666,-1.2311),(6665,1285,0.061452,-1.2253),(6665,1295,0.057741,-1.2195),(6665,1305,0.051732,-1.2137),(6665,1315,0.045724,-1.209),(6665,1325,0.039715,-1.2045),(6665,1335,0.024504,-1.2001),(6665,1345,0.007364,-1.1957),(6665,1355,-0.009775,-1.1977),(6665,1365,-0.026915,-1.2009),(6665,1375,-0.036847,-1.204),(6665,1385,-0.045666,-1.2072),(6665,1395,-0.054486,-1.2129),(6665,1405,-0.063305,-1.2188),(6665,1415,-0.05964,-1.2248),(6665,1425,-0.054678,-1.2307),(6665,1435,-0.049716,-1.234),(6665,1445,-0.044754,-1.2371),(6665,1455,-0.040607,-1.2401),(6665,1465,-0.036508,-1.2432),(6665,1475,-0.032409,-1.2446),(6665,1485,-0.02831,-1.2459),(6665,1495,-0.02541,-1.2472),(6665,1505,-0.022529,-1.2485),(6665,1515,-0.019648,-1.249),(6665,1525,-0.016795,-1.2495),(6665,1535,-0.015076,-1.25),(6665,1545,-0.013356,-1.2505),(6665,1555,-0.011637,-1.2507),(6665,1565,-0.00996,-1.2509),(6665,1575,-0.008904,-1.251),(6665,1585,-0.007847,-1.2512),(6665,1595,-0.006791,-1.2513),(6665,1605,-0.005776,-1.2514),(6665,1615,-0.005119,-1.2516),(6665,1625,-0.004462,-1.2517),(6665,1635,-0.003804,-1.2517),(6665,1645,-0.003178,-1.2518),(6665,1655,-0.002737,-1.2519),(6665,1665,-0.002295,-1.252),(6665,1675,-0.001854,-1.252),(6665,1685,-0.001444,-1.2521),(6665,1695,-0.001174,-1.2521),(6665,1705,-0.000903,-1.2522),(6665,1715,-0.000632,-1.2521),(6665,1725,-0.000388,-1.2521),(6665,1735,-0.000232,-1.2521),(6665,1745,-7.7e-05,-1.2521),(6665,1755,7.8e-05,-1.2521),(6665,1765,0.000212,-1.252),(6665,1775,0.000285,-1.252),(6665,1785,0.000359,-1.252),(6665,1795,0.000433,-1.2519),(6665,1805,0.000492,-1.2519),(6665,1815,0.000516,-1.2519),(6665,1825,0.00054,-1.2518),(6665,1835,0.000565,-1.2518),(6665,1845,0.000587,-1.2517),(6665,1855,0.000607,-1.2516),(6665,1865,0.000626,-1.2516),(6665,1875,0.000646,-1.2516),(6665,1885,0.000674,-1.2515),(6665,1895,0.000718,-1.2515),(6665,1905,0.000762,-1.2514),(6665,1915,0.000806,-1.2513),(6665,1925,0.000857,-1.2512),(6665,1935,0.000917,-1.2511),(6665,1945,0.000978,-1.251),(6665,1955,0.001039,-1.251),(6665,1965,0.001091,-1.251),(6665,1975,0.001133,-1.251),(6665,1985,0.001175,-1.251),(6665,1995,0.001217,-1.2508),(6665,2005,0.001234,-1.2507),(6665,2015,0.001226,-1.2506),(6665,2025,0.001218,-1.2504),(6665,2035,0.00121,-1.2502),(6665,2045,0.001204,-1.2501),(6665,2055,0.001198,-1.2499),(6665,2065,0.001192,-1.2497),(6665,2075,0.001186,-1.2496),(6665,2085,0.001177,-1.2495),(6665,2095,0.001165,-1.2493),(6665,2105,0.001153,-1.2491),(6665,2115,0.001141,-1.2489),(6665,2125,0.001121,-1.2486),(6665,2135,0.001096,-1.2484),(6665,2145,0.001071,-1.2482),(6665,2155,0.001046,-1.248),(6665,2165,0.001029,-1.2477),(6665,2175,0.001015,-1.2475),(6665,2185,0.001002,-1.2473),(6665,2195,0.000988,-1.247),(6665,2205,0.000963,-1.2467),(6665,2215,0.000932,-1.2465),(6665,2225,0.000902,-1.2462),(6665,2235,0.000871,-1.2458),(6665,2245,0.000864,-1.2455),(6665,2255,0.000865,-1.2452),(6665,2265,0.000866,-1.2449),(6665,2275,0.000868,-1.2447),(6665,2285,0.000909,-1.2444),(6665,2295,0.000962,-1.2442),(6665,2305,0.001015,-1.2439),(6665,2315,0.001068,-1.2436),(6665,2325,0.00109,-1.2434),(6665,2335,0.001106,-1.2431),(6665,2345,0.001121,-1.2427),(6665,2355,0.001137,-1.2423),(6665,2365,0.001122,-1.2419),(6665,2375,0.001101,-1.2415),(6665,2385,0.00108,-1.2411),(6665,2395,0.00106,-1.2407),(6665,2405,0.001054,-1.2403),(6665,2415,0.00105,-1.2398),(6665,2425,0.001046,-1.2394),(6665,2435,0.001042,-1.2389),(6665,2445,0.00105,-1.2384),(6665,2455,0.001058,-1.2379),(6665,2465,0.001067,-1.2375),(6665,2475,0.001076,-1.237),(6665,2485,0.00109,-1.2366),(6665,2495,0.001104,-1.2362),(6665,2505,0.001119,-1.2357),(6665,2515,0.001133,-1.2352),(6665,2525,0.00114,-1.2348),(6665,2535,0.001147,-1.2343),(6665,2545,0.001153,-1.2337),(6665,2555,0.001159,-1.2331),(6665,2565,0.00115,-1.2326),(6665,2575,0.001141,-1.232),(6665,2585,0.001131,-1.2314),(6665,2595,0.001123,-1.2308),(6665,2605,0.001123,-1.2302),(6665,2615,0.001123,-1.2296),(6665,2625,0.001122,-1.229),(6665,2635,0.001125,-1.2284),(6665,2645,0.001141,-1.2278),(6665,2655,0.001158,-1.2272),(6665,2665,0.001175,-1.2266),(6665,2675,0.001192,-1.226),(6665,2685,0.001212,-1.2254),(6665,2695,0.001231,-1.2248),(6665,2705,0.001251,-1.2242),(6665,2715,0.001272,-1.2235),(6665,2725,0.001296,-1.2229),(6665,2735,0.001321,-1.2223),(6665,2745,0.001345,-1.2216),(6665,2755,0.001372,-1.221),(6665,2765,0.001406,-1.2203),(6665,2775,0.001441,-1.2196),(6665,2785,0.001475,-1.2189),(6665,2795,0.00151,-1.2181),(6665,2805,0.001548,-1.2174),(6665,2815,0.001587,-1.2167),(6665,2825,0.001625,-1.2159),(6665,2835,0.001657,-1.2152),(6665,2845,0.001679,-1.2145),(6665,2855,0.001701,-1.2137),(6665,2865,0.001722,-1.2129),(6665,2875,0.001736,-1.2122),(6665,2885,0.001734,-1.2114),(6665,2895,0.001732,-1.2106),(6665,2905,0.001731,-1.2098),(6665,2915,0.001723,-1.2089),(6665,2925,0.001705,-1.2081),(6665,2935,0.001688,-1.2073),(6665,2945,0.00167,-1.2064),(6665,2955,0.001645,-1.2055),(6665,2965,0.00161,-1.2046),(6665,2975,0.001576,-1.2037),(6665,2985,0.001541,-1.2028),(6665,2995,0.001519,-1.2019),(6665,3005,0.00151,-1.201),(6665,3015,0.0015,-1.2001),(6665,3025,0.001491,-1.1992),(6665,3035,0.00151,-1.1983),(6665,3045,0.001555,-1.1974),(6665,3055,0.0016,-1.1965),(6665,3065,0.001646,-1.1956),(6665,3075,0.001686,-1.1946),(6665,3085,0.001723,-1.1937),(6665,3095,0.00176,-1.1928),(6665,3105,0.001797,-1.1918),(6665,3115,0.001818,-1.1908),(6665,3125,0.001829,-1.1898),(6665,3135,0.001839,-1.1888),(6665,3145,0.00185,-1.1878),(6665,3155,0.001866,-1.1869),(6665,3165,0.001885,-1.1859),(6665,3175,0.001904,-1.1849),(6665,3185,0.001923,-1.1838),(6665,3195,0.001915,-1.1828),(6665,3205,0.001895,-1.1818),(6665,3215,0.001875,-1.1807),(6665,3225,0.001855,-1.1795),(6665,3235,0.001817,-1.1783),(6665,3245,0.001774,-1.1771),(6665,3255,0.00173,-1.176),(6665,3265,0.001686,-1.1749),(6665,3275,0.001711,-1.1738),(6665,3285,0.001756,-1.1727),(6665,3295,0.0018,-1.1716),(6665,3305,0.001845,-1.1706),(6665,3315,0.001917,-1.1696),(6665,3325,0.001994,-1.1686),(6665,3335,0.002072,-1.1674),(6665,3345,0.00215,-1.1663),(6665,3355,0.002179,-1.1651),(6665,3365,0.0022,-1.164),(6665,3375,0.002221,-1.1628),(6665,3385,0.002242,-1.1615),(6665,3395,0.002249,-1.1603),(6665,3405,0.002253,-1.1591),(6665,3415,0.002258,-1.1579),(6665,3425,0.002263,-1.1567),(6665,3435,0.002261,-1.1555),(6665,3445,0.002259,-1.1543),(6665,3455,0.002256,-1.1531),(6665,3465,0.002254,-1.1518),(6665,3475,0.002297,-1.1505),(6665,3485,0.002342,-1.1493),(6665,3495,0.002387,-1.148),(6665,3505,0.002432,-1.1468),(6665,3515,0.002519,-1.1456),(6665,3525,0.002606,-1.1443),(6665,3535,0.002693,-1.1431),(6665,3545,0.00278,-1.1419),(6665,3555,0.002881,-1.1407),(6665,3565,0.002983,-1.1394),(6665,3575,0.003084,-1.1382),(6665,3585,0.003188,-1.1369),(6665,3595,0.003316,-1.1357),(6665,3605,0.003443,-1.1344),(6665,3615,0.003571,-1.1331),(6665,3625,0.003698,-1.1317),(6665,3635,0.003819,-1.1304),(6665,3645,0.003939,-1.1291),(6665,3655,0.00406,-1.1277),(6665,3665,0.0042,-1.1263),(6665,3675,0.004433,-1.1249),(6665,3685,0.004666,-1.1235),(6665,3695,0.0049,-1.1222),(6665,3705,0.005161,-1.1209),(6665,3715,0.005531,-1.1196),(6665,3725,0.005901,-1.1183),(6665,3735,0.006271,-1.1169),(6665,3745,0.006695,-1.1155),(6665,3755,0.007286,-1.1141),(6665,3765,0.007877,-1.1127),(6665,3775,0.008468,-1.1113),(6665,3785,0.009153,-1.1099),(6665,3795,0.010076,-1.1085),(6665,3805,0.010999,-1.107),(6665,3815,0.011922,-1.1054),(6665,3825,0.012996,-1.1038),(6665,3835,0.014386,-1.1021),(6665,3845,0.015776,-1.1004),(6665,3855,0.017167,-1.0986),(6665,3865,0.018803,-1.0967),(6665,3875,0.020874,-1.0949),(6665,3885,0.022945,-1.0928),(6665,3895,0.025016,-1.0901),(6665,3905,0.027387,-1.0875),(6665,3915,0.030206,-1.0849),(6665,3925,0.033026,-1.0818),(6665,3935,0.035846,-1.0781),(6665,3945,0.038849,-1.0744),(6665,3955,0.042084,-1.0706),(6665,3965,0.04532,-1.066),(6665,3975,0.048555,-1.0603),(6665,3985,0.049405,-1.0547),(6665,3995,0.047671,-1.049),(6665,4005,0.045938,-1.0436),(6665,4015,0.044205,-1.0384),(6665,4025,0.10608,-1.0332),(6665,4035,0.17418,-1.0294),(6665,4045,0.24228,-1.0283),(6665,4055,0.29696,-1.0272),(6665,4065,0.34675,-1.026),(6665,4075,0.39654,-1.0242),(6665,4085,0.41913,-1.0223),(6665,4095,0.41986,-1.0204),(6665,4105,0.42059,-1.0185),(6665,4115,0.42131,-1.0166),(6665,4125,0.42202,-1.0147),(6665,4135,0.42274,-1.0128),(6665,4145,0.42345,-1.0109),(6665,4155,0.42416,-1.009),(6665,4165,0.42486,-1.0071),(6665,4175,0.42557,-1.0052),(6665,4185,0.42627,-1.0034),(6665,4195,0.42697,-1.0015),(6665,4205,0.42767,-0.9995),(6665,4215,0.42836,-0.99754),(6665,4225,0.42905,-0.99556),(6665,4235,0.42974,-0.99355),(6665,4245,0.43043,-0.99153),(6665,4255,0.43111,-0.98951),(6665,4265,0.43179,-0.98746),(6665,4275,0.43247,-0.9854),(6665,4285,0.43315,-0.98335),(6665,4295,0.43383,-0.98121),(6665,4305,0.43451,-0.97907),(6665,4315,0.4352,-0.97692),(6665,4325,0.43589,-0.9747),(6665,4335,0.43658,-0.97246),(6665,4345,0.43729,-0.97022),(6665,4355,0.438,-0.96798),(6665,4365,0.43872,-0.96572),(6665,4375,0.43946,-0.96347),(6665,4385,0.4402,-0.9612),(6665,4395,0.44094,-0.95891),(6665,4405,0.4417,-0.95661),(6665,4415,0.44246,-0.9543),(6665,4425,0.44322,-0.95192),(6665,4435,0.444,-0.94953),(6665,4445,0.44479,-0.94714),(6665,4455,0.44559,-0.94469),(6665,4465,0.44639,-0.94224),(6665,4475,0.44722,-0.93979),(6665,4485,0.44804,-0.93726),(6665,4495,0.44888,-0.93471),(6665,4505,0.44973,-0.93215),(6665,4515,0.45058,-0.92956),(6665,4525,0.45144,-0.92695),(6665,4535,0.45232,-0.92433),(6665,4545,0.45319,-0.92168),(6665,4555,0.45407,-0.91899),(6665,4565,0.45497,-0.91629),(6665,4575,0.45588,-0.91358),(6665,4585,0.45678,-0.9108),(6665,4595,0.45772,-0.90802),(6665,4605,0.45868,-0.90523),(6665,4615,0.45964,-0.9024),(6665,4625,0.46063,-0.89958),(6665,4635,0.46164,-0.89675),(6665,4645,0.46265,-0.89385),(6665,4655,0.46368,-0.89094),(6665,4665,0.46473,-0.88804),(6665,4675,0.46577,-0.88508),(6665,4685,0.46682,-0.8821),(6665,4695,0.46789,-0.87912),(6665,4705,0.46896,-0.87609),(6665,4715,0.47003,-0.87304),(6665,4725,0.47113,-0.86998),(6665,4735,0.47224,-0.8669),(6665,4745,0.47334,-0.8638),(6665,4755,0.47448,-0.8607),(6665,4765,0.47562,-0.85758),(6665,4775,0.47677,-0.8544),(6665,4785,0.47794,-0.85123),(6665,4795,0.47912,-0.84805),(6665,4805,0.4803,-0.84479),(6665,4815,0.48149,-0.84152),(6665,4825,0.48269,-0.83825),(6665,4835,0.48389,-0.83491),(6665,4845,0.48509,-0.83155),(6665,4855,0.48631,-0.82819),(6665,4865,0.48753,-0.8248),(6665,4875,0.48876,-0.82139),(6665,4885,0.49001,-0.81798),(6665,4895,0.49126,-0.81454),(6665,4905,0.49252,-0.81105),(6665,4915,0.49379,-0.80757),(6665,4925,0.49507,-0.80406),(6665,4935,0.49635,-0.80048),(6665,4945,0.49764,-0.79691),(6665,4955,0.49893,-0.79332),(6665,4965,0.50022,-0.78967),(6665,4975,0.50151,-0.78603),(6665,4985,0.50282,-0.78238),(6665,4995,0.50413,-0.7787),(6665,5005,0.50545,-0.77502),(6665,5015,0.50677,-0.77134),(6665,5025,0.5081,-0.7676),(6665,5035,0.50942,-0.76384),(6665,5045,0.51076,-0.76008),(6665,5055,0.51209,-0.75628),(6665,5065,0.51343,-0.75244),(6665,5075,0.51478,-0.7486),(6665,5085,0.51613,-0.74474),(6665,5095,0.51749,-0.74086),(6665,5105,0.51886,-0.73697),(6665,5115,0.52024,-0.73306),(6665,5125,0.52162,-0.72912),(6665,5135,0.52301,-0.72518),(6665,5145,0.52441,-0.72123),(6665,5155,0.52581,-0.71722),(6665,5165,0.52721,-0.71321),(6665,5175,0.5286,-0.7092),(6665,5185,0.53,-0.70511),(6665,5195,0.53139,-0.701),(6665,5205,0.53279,-0.6969),(6665,5215,0.53419,-0.69274),(6665,5225,0.53559,-0.68857),(6665,5235,0.537,-0.6844),(6665,5245,0.53841,-0.6802),(6665,5255,0.53982,-0.67598),(6665,5265,0.54122,-0.67176),(6665,5275,0.54262,-0.66752),(6665,5285,0.54403,-0.66325),(6665,5295,0.54541,-0.65897),(6665,5305,0.5468,-0.65469),(6665,5315,0.54818,-0.65035),(6665,5325,0.54956,-0.64602),(6665,5335,0.55093,-0.64168),(6665,5345,0.5523,-0.6373),(6665,5355,0.55368,-0.63293),(6665,5365,0.55506,-0.62855),(6665,5375,0.55645,-0.62415),(6665,5385,0.55783,-0.61974),(6665,5395,0.55922,-0.61533),(6665,5405,0.56062,-0.61089),(6665,5415,0.56201,-0.60642),(6665,5425,0.56339,-0.60195),(6665,5435,0.56478,-0.59745),(6665,5445,0.56616,-0.59291),(6665,5455,0.56753,-0.58836),(6665,5465,0.56889,-0.5838),(6665,5475,0.57025,-0.57919),(6665,5485,0.57159,-0.57458),(6665,5495,0.57293,-0.56996),(6665,5505,0.57427,-0.56532),(6665,5515,0.5756,-0.56067),(6665,5525,0.57691,-0.55603),(6665,5535,0.57823,-0.55132),(6665,5545,0.57954,-0.54661),(6665,5555,0.58083,-0.5419),(6665,5565,0.58212,-0.53712),(6665,5575,0.58341,-0.53231),(6665,5585,0.58468,-0.52751),(6665,5595,0.58594,-0.52267),(6665,5605,0.58721,-0.5178),(6665,5615,0.58848,-0.51293),(6665,5625,0.58974,-0.50805),(6665,5635,0.59101,-0.50318),(6665,5645,0.59229,-0.4983),(6665,5655,0.59356,-0.49341),(6665,5665,0.59483,-0.48847),(6665,5675,0.59608,-0.48353),(6665,5685,0.59733,-0.47859),(6665,5695,0.59858,-0.4736),(6665,5705,0.5998,-0.46861),(6665,5715,0.60101,-0.46363),(6665,5725,0.60222,-0.45865),(6665,5735,0.60341,-0.45367),(6665,5745,0.60458,-0.4487),(6665,5755,0.60574,-0.4437),(6665,5765,0.60691,-0.4387),(6665,5775,0.60804,-0.4337),(6665,5785,0.60918,-0.42867),(6665,5795,0.61032,-0.4236),(6665,5805,0.61144,-0.41854),(6665,5815,0.61255,-0.41346),(6665,5825,0.61367,-0.40837),(6665,5835,0.61478,-0.40329),(6665,5845,0.61588,-0.3982),(6665,5855,0.61698,-0.39309),(6665,5865,0.61807,-0.38799),(6665,5875,0.61914,-0.38289),(6665,5885,0.62021,-0.37771),(6665,5895,0.62126,-0.37253),(6665,5905,0.62227,-0.36735),(6665,5915,0.62329,-0.36212),(6665,5925,0.6243,-0.35689),(6665,5935,0.62528,-0.35165),(6665,5945,0.62625,-0.34642),(6665,5955,0.62722,-0.34119),(6665,5965,0.62816,-0.33596),(6665,5975,0.6291,-0.33072),(6665,5985,0.63004,-0.32547),(6665,5995,0.63095,-0.32022),(6665,6005,0.63186,-0.31496),(6665,6015,0.63277,-0.30967),(6665,6025,0.63365,-0.30439),(6665,6035,0.63452,-0.2991),(6665,6045,0.63538,-0.29379),(6665,6055,0.63623,-0.28849),(6665,6065,0.63705,-0.28318),(6665,6075,0.63787,-0.27777),(6665,6085,0.63867,-0.27236),(6665,6095,0.63944,-0.26694),(6665,6105,0.64021,-0.26149),(6665,6115,0.64097,-0.25603),(6665,6125,0.64173,-0.25057),(6665,6135,0.64248,-0.24518),(6665,6145,0.64324,-0.23984),(6665,6155,0.64399,-0.23451),(6665,6165,0.64473,-0.22917),(6665,6175,0.64548,-0.22382),(6665,6185,0.64618,-0.21848),(6665,6195,0.64687,-0.21311),(6665,6205,0.64756,-0.20762),(6665,6215,0.64821,-0.20214),(6665,6225,0.64882,-0.19666),(6665,6235,0.64943,-0.19119),(6665,6245,0.65002,-0.18572),(6665,6255,0.65056,-0.18025),(6665,6265,0.65111,-0.17477),(6665,6275,0.65164,-0.16929),(6665,6285,0.65213,-0.16381),(6665,6295,0.65262,-0.15835),(6665,6305,0.65311,-0.1529),(6665,6315,0.65357,-0.14746),(6665,6325,0.65403,-0.14204),(6665,6335,0.6545,-0.13664),(6665,6345,0.65493,-0.13124),(6665,6355,0.65536,-0.12577),(6665,6365,0.65579,-0.12015),(6665,6375,0.65619,-0.11453),(6665,6385,0.65657,-0.10892),(6665,6395,0.65695,-0.10338),(6665,6405,0.6573,-0.09784),(6665,6415,0.65763,-0.092302),(6665,6425,0.65796,-0.086836),(6665,6435,0.65827,-0.081374),(6665,6445,0.65854,-0.075912),(6665,6455,0.6588,-0.07042),(6665,6465,0.65906,-0.06492),(6665,6475,0.65928,-0.05942),(6665,6485,0.6595,-0.053847),(6665,6495,0.65972,-0.048225),(6665,6505,0.65992,-0.042602),(6665,6515,0.66012,-0.037005),(6665,6525,0.66032,-0.031441),(6665,6535,0.66048,-0.025878),(6665,6545,0.66062,-0.020344),(6665,6555,0.66077,-0.014901),(6665,6565,0.66085,-0.009458),(6665,6575,0.66091,-0.004014),(6665,6585,0.66096,0.001445),(6665,6595,0.56217,0.006904),(6665,6605,0.35425,0.012363),(6665,6615,0.14634,0.013033),(6665,6625,0.000191,0.013087),(6665,6635,0.000246,0.013142),(6665,6645,0.000301,0.013157),(6665,6655,0.000356,0.013156),(6665,6665,0.00041,0.013155),(6665,6675,0.000465,0.013153),(6665,6685,0.00052,0.01315),(6665,6695,0.000574,0.013147),(6665,6705,0.000629,0.013143),(6665,6715,0.000683,0.013137),(6665,6725,0.000737,0.013131),(6665,6735,0.000791,0.013125),(6665,6745,0.000845,0.013117),(6665,6755,0.000898,0.01311),(6665,6765,0.000951,0.013102),(6665,6775,0.001004,0.013091),(6665,6785,0.001057,0.013081),(6665,6795,0.001109,0.013071),(6665,6805,0.001162,0.013059),(6665,6815,0.001213,0.013047),(6665,6825,0.001265,0.013034),(6665,6835,0.001316,0.01302),(6665,6845,0.001367,0.013006),(6665,6855,0.001417,0.012991),(6665,6865,0.001467,0.012976),(6665,6875,0.001517,0.012959),(6665,6885,0.001566,0.012943),(6665,6895,0.001614,0.012926),(6665,6905,0.001663,0.012908),(6665,6915,0.001711,0.012889),(6665,6925,0.001758,0.012871),(6665,6935,0.001805,0.01285),(6665,6945,0.001852,0.01283),(6665,6955,0.001898,0.01281),(6665,6965,0.001943,0.012789),(6665,6975,0.001989,0.012767),(6665,6985,0.002033,0.012745),(6675,5,-9e-06,-1.2902),(6675,15,-2.7e-05,-1.2902),(6675,25,-4.2e-05,-1.2903),(6675,35,-5.4e-05,-1.2903),(6675,45,-6.5e-05,-1.2903),(6675,55,-7.7e-05,-1.2903),(6675,65,-9e-05,-1.2903),(6675,75,-0.000103,-1.2902),(6675,85,-0.000117,-1.2902),(6675,95,-0.000131,-1.2901),(6675,105,-0.000136,-1.2901),(6675,115,-0.000134,-1.29),(6675,125,-0.000133,-1.29),(6675,135,-0.000132,-1.2899),(6675,145,-0.000118,-1.2899),(6675,155,-9.8e-05,-1.2898),(6675,165,-7.8e-05,-1.2897),(6675,175,-5.8e-05,-1.2896),(6675,185,-4e-05,-1.2895),(6675,195,-2.4e-05,-1.2894),(6675,205,-8e-06,-1.2893),(6675,215,9e-06,-1.2892),(6675,225,2.6e-05,-1.2891),(6675,235,4.3e-05,-1.289),(6675,245,6.1e-05,-1.2888),(6675,255,7.8e-05,-1.2887),(6675,265,8.9e-05,-1.2886),(6675,275,9.7e-05,-1.2884),(6675,285,0.000106,-1.2882),(6675,295,0.000114,-1.288),(6675,305,0.000103,-1.2878),(6675,315,8.8e-05,-1.2876),(6675,325,7.2e-05,-1.2874),(6675,335,5.6e-05,-1.2873),(6675,345,2.9e-05,-1.2871),(6675,355,-1e-06,-1.2869),(6675,365,-3.1e-05,-1.2867),(6675,375,-6e-05,-1.2865),(6675,385,-7.2e-05,-1.2863),(6675,395,-8.2e-05,-1.2861),(6675,405,-9.1e-05,-1.2859),(6675,415,-0.000101,-1.2856),(6675,425,-0.0001,-1.2854),(6675,435,-9.9e-05,-1.2852),(6675,445,-9.8e-05,-1.2849),(6675,455,-9.6e-05,-1.2847),(6675,465,-8.6e-05,-1.2845),(6675,475,-7.5e-05,-1.2842),(6675,485,-6.4e-05,-1.284),(6675,495,-5.3e-05,-1.2837),(6675,505,-6.5e-05,-1.2834),(6675,515,-7.7e-05,-1.2831),(6675,525,-8.9e-05,-1.2828),(6675,535,-0.000101,-1.2825),(6675,545,-0.000118,-1.2822),(6675,555,-0.000135,-1.2819),(6675,565,-0.000152,-1.2816),(6675,575,-0.000167,-1.2813),(6675,585,-0.000151,-1.281),(6675,595,-0.000134,-1.2807),(6675,605,-0.000118,-1.2804),(6675,615,-0.000101,-1.2801),(6675,625,-8e-05,-1.2798),(6675,635,-5.9e-05,-1.2795),(6675,645,-3.7e-05,-1.2792),(6675,655,-1.9e-05,-1.2789),(6675,665,-1.5e-05,-1.2786),(6675,675,-1.1e-05,-1.2783),(6675,685,-7e-06,-1.2779),(6675,695,-6e-06,-1.2775),(6675,705,-2.2e-05,-1.2771),(6675,715,-3.8e-05,-1.2767),(6675,725,-5.3e-05,-1.2763),(6675,735,-6.4e-05,-1.276),(6675,745,-5.8e-05,-1.2756),(6675,755,-5.2e-05,-1.2752),(6675,765,-4.6e-05,-1.2748),(6675,775,-2.9e-05,-1.2744),(6675,785,1.8e-05,-1.274),(6675,795,6.5e-05,-1.2736),(6675,805,0.000112,-1.2732),(6675,815,0.00017,-1.2728),(6675,825,0.000252,-1.2723),(6675,835,0.000335,-1.2719),(6675,845,0.000417,-1.2715),(6675,855,0.00051,-1.2712),(6675,865,0.00062,-1.2708),(6675,875,0.00073,-1.2704),(6675,885,0.000841,-1.27),(6675,895,0.00096,-1.2696),(6675,905,0.001094,-1.2693),(6675,915,0.001228,-1.2689),(6675,925,0.001362,-1.2684),(6675,935,0.001497,-1.268),(6675,945,0.001632,-1.2676),(6675,955,0.001768,-1.2671),(6675,965,0.001903,-1.2666),(6675,975,0.002067,-1.2661),(6675,985,0.002261,-1.2656),(6675,995,0.002455,-1.2651),(6675,1005,0.002649,-1.2646),(6675,1015,0.002926,-1.2642),(6675,1025,0.003281,-1.2637),(6675,1035,0.003636,-1.2632),(6675,1045,0.003992,-1.2628),(6675,1055,0.004481,-1.2623),(6675,1065,0.00508,-1.2619),(6675,1075,0.005679,-1.2614),(6675,1085,0.006278,-1.2608),(6675,1095,0.007109,-1.2602),(6675,1105,0.008101,-1.2597),(6675,1115,0.009092,-1.259),(6675,1125,0.010084,-1.2583),(6675,1135,0.01146,-1.2576),(6675,1145,0.013062,-1.2569),(6675,1155,0.014664,-1.256),(6675,1165,0.016267,-1.2551),(6675,1175,0.018479,-1.2541),(6675,1185,0.020994,-1.2531),(6675,1195,0.023508,-1.2516),(6675,1205,0.026023,-1.2499),(6675,1215,0.02927,-1.2482),(6675,1225,0.032818,-1.2465),(6675,1235,0.036366,-1.2437),(6675,1245,0.039915,-1.2405),(6675,1255,0.04384,-1.2373),(6675,1265,0.047893,-1.2341),(6675,1275,0.051945,-1.2291),(6675,1285,0.055998,-1.2235),(6675,1295,0.052383,-1.2179),(6675,1305,0.046694,-1.2123),(6675,1315,0.041005,-1.2079),(6675,1325,0.035316,-1.2038),(6675,1335,0.021796,-1.1997),(6675,1345,0.006635,-1.1956),(6675,1355,-0.008526,-1.1975),(6675,1365,-0.023688,-1.2004),(6675,1375,-0.032787,-1.2033),(6675,1385,-0.040952,-1.2062),(6675,1395,-0.049117,-1.2115),(6675,1405,-0.057281,-1.2172),(6675,1415,-0.054288,-1.2228),(6675,1425,-0.050137,-1.2285),(6675,1435,-0.045985,-1.2318),(6675,1445,-0.041834,-1.235),(6675,1455,-0.038152,-1.2381),(6675,1465,-0.034496,-1.2413),(6675,1475,-0.030841,-1.2428),(6675,1485,-0.027186,-1.2442),(6675,1495,-0.024481,-1.2457),(6675,1505,-0.021791,-1.2471),(6675,1515,-0.019101,-1.2478),(6675,1525,-0.016437,-1.2484),(6675,1535,-0.014776,-1.2491),(6675,1545,-0.013116,-1.2497),(6675,1555,-0.011456,-1.25),(6675,1565,-0.009836,-1.2502),(6675,1575,-0.008816,-1.2504),(6675,1585,-0.007795,-1.2507),(6675,1595,-0.006774,-1.2508),(6675,1605,-0.005792,-1.251),(6675,1615,-0.005142,-1.2512),(6675,1625,-0.004492,-1.2514),(6675,1635,-0.003842,-1.2514),(6675,1645,-0.00322,-1.2515),(6675,1655,-0.00277,-1.2516),(6675,1665,-0.00232,-1.2517),(6675,1675,-0.00187,-1.2518),(6675,1685,-0.00145,-1.2519),(6675,1695,-0.001164,-1.2519),(6675,1705,-0.000878,-1.252),(6675,1715,-0.000591,-1.252),(6675,1725,-0.00033,-1.252),(6675,1735,-0.000156,-1.252),(6675,1745,1.9e-05,-1.252),(6675,1755,0.000193,-1.252),(6675,1765,0.000343,-1.2519),(6675,1775,0.000426,-1.2519),(6675,1785,0.000509,-1.2519),(6675,1795,0.000592,-1.2519),(6675,1805,0.000655,-1.2519),(6675,1815,0.00067,-1.2519),(6675,1825,0.000686,-1.2518),(6675,1835,0.000701,-1.2518),(6675,1845,0.000714,-1.2517),(6675,1855,0.000723,-1.2517),(6675,1865,0.000731,-1.2516),(6675,1875,0.000739,-1.2516),(6675,1885,0.000758,-1.2515),(6675,1895,0.000794,-1.2515),(6675,1905,0.000831,-1.2514),(6675,1915,0.000867,-1.2513),(6675,1925,0.000913,-1.2512),(6675,1935,0.00097,-1.2511),(6675,1945,0.001028,-1.251),(6675,1955,0.001086,-1.251),(6675,1965,0.001138,-1.251),(6675,1975,0.001183,-1.251),(6675,1985,0.001228,-1.2509),(6675,1995,0.001273,-1.2508),(6675,2005,0.001291,-1.2507),(6675,2015,0.001283,-1.2506),(6675,2025,0.001275,-1.2504),(6675,2035,0.001266,-1.2502),(6675,2045,0.00126,-1.2501),(6675,2055,0.001254,-1.2499),(6675,2065,0.001249,-1.2497),(6675,2075,0.001244,-1.2496),(6675,2085,0.001239,-1.2495),(6675,2095,0.001234,-1.2493),(6675,2105,0.001229,-1.2491),(6675,2115,0.001224,-1.2489),(6675,2125,0.001211,-1.2487),(6675,2135,0.001193,-1.2484),(6675,2145,0.001175,-1.2482),(6675,2155,0.001158,-1.248),(6675,2165,0.001146,-1.2477),(6675,2175,0.001136,-1.2475),(6675,2185,0.001128,-1.2473),(6675,2195,0.001118,-1.247),(6675,2205,0.001087,-1.2468),(6675,2215,0.001045,-1.2465),(6675,2225,0.001003,-1.2462),(6675,2235,0.000961,-1.2459),(6675,2245,0.000934,-1.2455),(6675,2255,0.000913,-1.2452),(6675,2265,0.000892,-1.2449),(6675,2275,0.000871,-1.2447),(6675,2285,0.000907,-1.2444),(6675,2295,0.000959,-1.2442),(6675,2305,0.001011,-1.2439),(6675,2315,0.001064,-1.2436),(6675,2325,0.001099,-1.2433),(6675,2335,0.00113,-1.243),(6675,2345,0.001161,-1.2427),(6675,2355,0.001192,-1.2423),(6675,2365,0.00118,-1.2419),(6675,2375,0.001161,-1.2415),(6675,2385,0.001142,-1.2411),(6675,2395,0.001123,-1.2407),(6675,2405,0.00111,-1.2403),(6675,2415,0.001097,-1.2399),(6675,2425,0.001085,-1.2394),(6675,2435,0.001073,-1.2389),(6675,2445,0.001076,-1.2384),(6675,2455,0.00108,-1.2379),(6675,2465,0.001084,-1.2375),(6675,2475,0.001088,-1.237),(6675,2485,0.001103,-1.2366),(6675,2495,0.001119,-1.2361),(6675,2505,0.001134,-1.2357),(6675,2515,0.001149,-1.2352),(6675,2525,0.001161,-1.2348),(6675,2535,0.001173,-1.2343),(6675,2545,0.001184,-1.2337),(6675,2555,0.001195,-1.2331),(6675,2565,0.001186,-1.2326),(6675,2575,0.001176,-1.232),(6675,2585,0.001167,-1.2314),(6675,2595,0.001158,-1.2308),(6675,2605,0.001151,-1.2302),(6675,2615,0.001145,-1.2296),(6675,2625,0.001138,-1.229),(6675,2635,0.001133,-1.2284),(6675,2645,0.001144,-1.2278),(6675,2655,0.001154,-1.2272),(6675,2665,0.001164,-1.2266),(6675,2675,0.001175,-1.226),(6675,2685,0.001188,-1.2254),(6675,2695,0.001201,-1.2247),(6675,2705,0.001214,-1.2241),(6675,2715,0.001228,-1.2235),(6675,2725,0.001246,-1.2229),(6675,2735,0.001264,-1.2223),(6675,2745,0.001282,-1.2216),(6675,2755,0.001303,-1.2209),(6675,2765,0.001336,-1.2203),(6675,2775,0.001369,-1.2196),(6675,2785,0.001401,-1.2188),(6675,2795,0.001438,-1.2181),(6675,2805,0.001484,-1.2174),(6675,2815,0.00153,-1.2166),(6675,2825,0.001576,-1.2159),(6675,2835,0.001617,-1.2152),(6675,2845,0.001647,-1.2144),(6675,2855,0.001678,-1.2137),(6675,2865,0.001709,-1.2129),(6675,2875,0.001729,-1.2121),(6675,2885,0.001728,-1.2114),(6675,2895,0.001728,-1.2106),(6675,2905,0.001728,-1.2098),(6675,2915,0.00172,-1.2089),(6675,2925,0.001699,-1.2081),(6675,2935,0.001679,-1.2073),(6675,2945,0.001658,-1.2064),(6675,2955,0.001629,-1.2055),(6675,2965,0.001588,-1.2047),(6675,2975,0.001547,-1.2038),(6675,2985,0.001506,-1.2028),(6675,2995,0.001475,-1.2019),(6675,3005,0.001454,-1.201),(6675,3015,0.001433,-1.2001),(6675,3025,0.001412,-1.1992),(6675,3035,0.001424,-1.1983),(6675,3045,0.001464,-1.1974),(6675,3055,0.001505,-1.1964),(6675,3065,0.001546,-1.1955),(6675,3075,0.001588,-1.1946),(6675,3085,0.001631,-1.1937),(6675,3095,0.001674,-1.1927),(6675,3105,0.001717,-1.1917),(6675,3115,0.001744,-1.1908),(6675,3125,0.00176,-1.1898),(6675,3135,0.001777,-1.1888),(6675,3145,0.001793,-1.1878),(6675,3155,0.001818,-1.1868),(6675,3165,0.001849,-1.1859),(6675,3175,0.001879,-1.1848),(6675,3185,0.001909,-1.1838),(6675,3195,0.001914,-1.1828),(6675,3205,0.001907,-1.1818),(6675,3215,0.001901,-1.1807),(6675,3225,0.001894,-1.1795),(6675,3235,0.001853,-1.1784),(6675,3245,0.001799,-1.1772),(6675,3255,0.001744,-1.1761),(6675,3265,0.00169,-1.1749),(6675,3275,0.001698,-1.1738),(6675,3285,0.001726,-1.1727),(6675,3295,0.001754,-1.1716),(6675,3305,0.001781,-1.1706),(6675,3315,0.001858,-1.1695),(6675,3325,0.001946,-1.1685),(6675,3335,0.002034,-1.1674),(6675,3345,0.002122,-1.1662),(6675,3355,0.00217,-1.1651),(6675,3365,0.002212,-1.1639),(6675,3375,0.002253,-1.1627),(6675,3385,0.002295,-1.1615),(6675,3395,0.00231,-1.1603),(6675,3405,0.002322,-1.1591),(6675,3415,0.002333,-1.1579),(6675,3425,0.002345,-1.1567),(6675,3435,0.002334,-1.1555),(6675,3445,0.002321,-1.1544),(6675,3455,0.002308,-1.1531),(6675,3465,0.002295,-1.1518),(6675,3475,0.002327,-1.1505),(6675,3485,0.00236,-1.1492),(6675,3495,0.002393,-1.148),(6675,3505,0.002427,-1.1468),(6675,3515,0.002514,-1.1455),(6675,3525,0.0026,-1.1443),(6675,3535,0.002687,-1.1431),(6675,3545,0.002774,-1.1418),(6675,3555,0.002877,-1.1406),(6675,3565,0.002981,-1.1394),(6675,3575,0.003084,-1.1381),(6675,3585,0.00319,-1.1368),(6675,3595,0.003327,-1.1356),(6675,3605,0.003464,-1.1343),(6675,3615,0.003601,-1.133),(6675,3625,0.003736,-1.1317),(6675,3635,0.003863,-1.1303),(6675,3645,0.00399,-1.129),(6675,3655,0.004117,-1.1276),(6675,3665,0.004262,-1.1262),(6675,3675,0.004496,-1.1248),(6675,3685,0.00473,-1.1234),(6675,3695,0.004964,-1.1221),(6675,3705,0.005225,-1.1207),(6675,3715,0.005591,-1.1194),(6675,3725,0.005956,-1.1181),(6675,3735,0.006322,-1.1166),(6675,3745,0.006738,-1.1152),(6675,3755,0.007311,-1.1137),(6675,3765,0.007885,-1.1123),(6675,3775,0.008458,-1.1108),(6675,3785,0.009124,-1.1094),(6675,3795,0.010026,-1.1079),(6675,3805,0.010927,-1.1064),(6675,3815,0.011829,-1.1047),(6675,3825,0.012867,-1.103),(6675,3835,0.014193,-1.1014),(6675,3845,0.015519,-1.0996),(6675,3855,0.016845,-1.0976),(6675,3865,0.018384,-1.0957),(6675,3875,0.020298,-1.0938),(6675,3885,0.022212,-1.0915),(6675,3895,0.024126,-1.0888),(6675,3905,0.026271,-1.0861),(6675,3915,0.02876,-1.0833),(6675,3925,0.03125,-1.0802),(6675,3935,0.033739,-1.0764),(6675,3945,0.036331,-1.0727),(6675,3955,0.039052,-1.0689),(6675,3965,0.041773,-1.0643),(6675,3975,0.044494,-1.0588),(6675,3985,0.045046,-1.0533),(6675,3995,0.04325,-1.0478),(6675,4005,0.041454,-1.0427),(6675,4015,0.039659,-1.0378),(6675,4025,0.1023,-1.033),(6675,4035,0.17124,-1.0293),(6675,4045,0.24018,-1.0283),(6675,4055,0.29481,-1.0272),(6675,4065,0.34424,-1.026),(6675,4075,0.39366,-1.0242),(6675,4085,0.41608,-1.0223),(6675,4095,0.41679,-1.0205),(6675,4105,0.41751,-1.0186),(6675,4115,0.41822,-1.0167),(6675,4125,0.41892,-1.0148),(6675,4135,0.41962,-1.0129),(6675,4145,0.42032,-1.011),(6675,4155,0.42101,-1.009),(6675,4165,0.42171,-1.0072),(6675,4175,0.4224,-1.0053),(6675,4185,0.42309,-1.0034),(6675,4195,0.42377,-1.0015),(6675,4205,0.42446,-0.99958),(6675,4215,0.42515,-0.99762),(6675,4225,0.42583,-0.99565),(6675,4235,0.42651,-0.99364),(6675,4245,0.42718,-0.99163),(6675,4255,0.42786,-0.98961),(6675,4265,0.42853,-0.98757),(6675,4275,0.4292,-0.98552),(6675,4285,0.42987,-0.98348),(6675,4295,0.43054,-0.98135),(6675,4305,0.43121,-0.9792),(6675,4315,0.43188,-0.97706),(6675,4325,0.43256,-0.97485),(6675,4335,0.43323,-0.97261),(6675,4345,0.43393,-0.97037),(6675,4355,0.43462,-0.96812),(6675,4365,0.43531,-0.96586),(6675,4375,0.43604,-0.9636),(6675,4385,0.43676,-0.96133),(6675,4395,0.43748,-0.95904),(6675,4405,0.43822,-0.95675),(6675,4415,0.43896,-0.95443),(6675,4425,0.4397,-0.95204),(6675,4435,0.44047,-0.94965),(6675,4445,0.44124,-0.94726),(6675,4455,0.44202,-0.94481),(6675,4465,0.44281,-0.94235),(6675,4475,0.44362,-0.9399),(6675,4485,0.44442,-0.93737),(6675,4495,0.44524,-0.93481),(6675,4505,0.44608,-0.93226),(6675,4515,0.44691,-0.92967),(6675,4525,0.44775,-0.92705),(6675,4535,0.44861,-0.92444),(6675,4545,0.44946,-0.92179),(6675,4555,0.45032,-0.9191),(6675,4565,0.45119,-0.9164),(6675,4575,0.45207,-0.91368),(6675,4585,0.45295,-0.91089),(6675,4595,0.45386,-0.90811),(6675,4605,0.45479,-0.90531),(6675,4615,0.45571,-0.90247),(6675,4625,0.45667,-0.89963),(6675,4635,0.45766,-0.89679),(6675,4645,0.45864,-0.89389),(6675,4655,0.45964,-0.89097),(6675,4665,0.46066,-0.88806),(6675,4675,0.46169,-0.88509),(6675,4685,0.46271,-0.88211),(6675,4695,0.46376,-0.87913),(6675,4705,0.46482,-0.8761),(6675,4715,0.46587,-0.87303),(6675,4725,0.46695,-0.86997),(6675,4735,0.46804,-0.86689),(6675,4745,0.46912,-0.86377),(6675,4755,0.47025,-0.86066),(6675,4765,0.47138,-0.85753),(6675,4775,0.47251,-0.85435),(6675,4785,0.47367,-0.85117),(6675,4795,0.47483,-0.84799),(6675,4805,0.47599,-0.84472),(6675,4815,0.47716,-0.84146),(6675,4825,0.47834,-0.83819),(6675,4835,0.47952,-0.83484),(6675,4845,0.4807,-0.83148),(6675,4855,0.48189,-0.82812),(6675,4865,0.48308,-0.82472),(6675,4875,0.48428,-0.82131),(6675,4885,0.4855,-0.81789),(6675,4895,0.48673,-0.81444),(6675,4905,0.48795,-0.81095),(6675,4915,0.48921,-0.80746),(6675,4925,0.49046,-0.80394),(6675,4935,0.49171,-0.80037),(6675,4945,0.49298,-0.79679),(6675,4955,0.49424,-0.7932),(6675,4965,0.49551,-0.78955),(6675,4975,0.49679,-0.78589),(6675,4985,0.49807,-0.78224),(6675,4995,0.49936,-0.77856),(6675,5005,0.50065,-0.77487),(6675,5015,0.50196,-0.77118),(6675,5025,0.50326,-0.76744),(6675,5035,0.50456,-0.76368),(6675,5045,0.50587,-0.75993),(6675,5055,0.50718,-0.75612),(6675,5065,0.50849,-0.75228),(6675,5075,0.50981,-0.74843),(6675,5085,0.51114,-0.74457),(6675,5095,0.51246,-0.74067),(6675,5105,0.51381,-0.73677),(6675,5115,0.51517,-0.73285),(6675,5125,0.51652,-0.7289),(6675,5135,0.5179,-0.72495),(6675,5145,0.51927,-0.72099),(6675,5155,0.52065,-0.71699),(6675,5165,0.52203,-0.71298),(6675,5175,0.52341,-0.70897),(6675,5185,0.52478,-0.70487),(6675,5195,0.52616,-0.70076),(6675,5205,0.52753,-0.69665),(6675,5215,0.52891,-0.69249),(6675,5225,0.53029,-0.68831),(6675,5235,0.53169,-0.68413),(6675,5245,0.53308,-0.67993),(6675,5255,0.53447,-0.6757),(6675,5265,0.53586,-0.67148),(6675,5275,0.53725,-0.66724),(6675,5285,0.53864,-0.66297),(6675,5295,0.54001,-0.65871),(6675,5305,0.54137,-0.65443),(6675,5315,0.54273,-0.65009),(6675,5325,0.54409,-0.64576),(6675,5335,0.54543,-0.64142),(6675,5345,0.54677,-0.63704),(6675,5355,0.54813,-0.63265),(6675,5365,0.54949,-0.62826),(6675,5375,0.55085,-0.62385),(6675,5385,0.55222,-0.61942),(6675,5395,0.55361,-0.615),(6675,5405,0.555,-0.61055),(6675,5415,0.55639,-0.60608),(6675,5425,0.55777,-0.60161),(6675,5435,0.55915,-0.59711),(6675,5445,0.56053,-0.59257),(6675,5455,0.56188,-0.58804),(6675,5465,0.56322,-0.58348),(6675,5475,0.56457,-0.57887),(6675,5485,0.56589,-0.57426),(6675,5495,0.5672,-0.56965),(6675,5505,0.56851,-0.56501),(6675,5515,0.56981,-0.56036),(6675,5525,0.57111,-0.55572),(6675,5535,0.5724,-0.55101),(6675,5545,0.57369,-0.5463),(6675,5555,0.57496,-0.54159),(6675,5565,0.57623,-0.53681),(6675,5575,0.57749,-0.532),(6675,5585,0.57874,-0.5272),(6675,5595,0.57998,-0.52235),(6675,5605,0.58123,-0.51747),(6675,5615,0.58248,-0.51259),(6675,5625,0.58373,-0.50771),(6675,5635,0.58497,-0.50283),(6675,5645,0.58623,-0.49794),(6675,5655,0.58748,-0.49304),(6675,5665,0.58874,-0.4881),(6675,5675,0.58998,-0.48316),(6675,5685,0.59122,-0.47821),(6675,5695,0.59246,-0.47323),(6675,5705,0.59368,-0.46825),(6675,5715,0.59487,-0.46326),(6675,5725,0.59607,-0.45829),(6675,5735,0.59725,-0.45332),(6675,5745,0.59841,-0.44835),(6675,5755,0.59956,-0.44336),(6675,5765,0.60071,-0.43836),(6675,5775,0.60182,-0.43336),(6675,5785,0.60294,-0.42833),(6675,5795,0.60406,-0.42326),(6675,5805,0.60516,-0.41819),(6675,5815,0.60626,-0.41312),(6675,5825,0.60736,-0.40802),(6675,5835,0.60846,-0.40293),(6675,5845,0.60955,-0.39783),(6675,5855,0.61064,-0.39273),(6675,5865,0.61171,-0.38763),(6675,5875,0.61277,-0.38253),(6675,5885,0.61384,-0.37735),(6675,5895,0.61488,-0.37218),(6675,5905,0.61589,-0.36701),(6675,5915,0.6169,-0.36179),(6675,5925,0.6179,-0.35656),(6675,5935,0.61886,-0.35133),(6675,5945,0.61983,-0.3461),(6675,5955,0.62079,-0.34087),(6675,5965,0.62171,-0.33564),(6675,5975,0.62264,-0.3304),(6675,5985,0.62357,-0.32515),(6675,5995,0.62447,-0.3199),(6675,6005,0.62536,-0.31464),(6675,6015,0.62625,-0.30936),(6675,6025,0.62712,-0.30408),(6675,6035,0.62798,-0.2988),(6675,6045,0.62883,-0.29349),(6675,6055,0.62966,-0.28819),(6675,6065,0.63047,-0.28289),(6675,6075,0.63128,-0.27749),(6675,6085,0.63207,-0.27208),(6675,6095,0.63283,-0.26667),(6675,6105,0.63358,-0.26122),(6675,6115,0.63434,-0.25575),(6675,6125,0.63508,-0.25029),(6675,6135,0.63582,-0.24489),(6675,6145,0.63656,-0.23954),(6675,6155,0.6373,-0.23419),(6675,6165,0.63804,-0.22885),(6675,6175,0.63878,-0.22351),(6675,6185,0.63949,-0.21817),(6675,6195,0.64019,-0.21281),(6675,6205,0.64088,-0.20734),(6675,6215,0.64153,-0.20187),(6675,6225,0.64215,-0.1964),(6675,6235,0.64277,-0.19095),(6675,6245,0.64335,-0.18549),(6675,6255,0.6439,-0.18004),(6675,6265,0.64444,-0.17457),(6675,6275,0.64497,-0.16909),(6675,6285,0.64545,-0.16362),(6675,6295,0.64593,-0.15816),(6675,6305,0.64641,-0.15272),(6675,6315,0.64686,-0.14727),(6675,6325,0.64731,-0.14185),(6675,6335,0.64776,-0.13645),(6675,6345,0.64819,-0.13105),(6675,6355,0.64861,-0.12558),(6675,6365,0.64904,-0.11996),(6675,6375,0.64943,-0.11434),(6675,6385,0.64981,-0.10874),(6675,6395,0.65018,-0.1032),(6675,6405,0.65053,-0.09767),(6675,6415,0.65086,-0.092136),(6675,6425,0.65119,-0.086682),(6675,6435,0.6515,-0.081231),(6675,6445,0.65176,-0.07578),(6675,6455,0.65202,-0.070293),(6675,6465,0.65228,-0.064797),(6675,6475,0.6525,-0.0593),(6675,6485,0.65272,-0.053725),(6675,6495,0.65293,-0.048098),(6675,6505,0.65313,-0.042471),(6675,6515,0.65333,-0.036874),(6675,6525,0.65353,-0.031316),(6675,6535,0.65369,-0.025759),(6675,6545,0.65384,-0.020234),(6675,6555,0.65399,-0.014813),(6675,6565,0.65407,-0.009392),(6675,6575,0.65412,-0.003969),(6675,6585,0.65416,0.001485),(6675,6595,0.55639,0.006939),(6675,6605,0.35061,0.012393),(6675,6615,0.14483,0.013069),(6675,6625,0.000189,0.013132),(6675,6635,0.000245,0.013195),(6675,6645,0.0003,0.013213),(6675,6655,0.000356,0.013212),(6675,6665,0.000411,0.013211),(6675,6675,0.000467,0.013209),(6675,6685,0.000522,0.013205),(6675,6695,0.000578,0.013202),(6675,6705,0.000633,0.013198),(6675,6715,0.000688,0.013192),(6675,6725,0.000742,0.013186),(6675,6735,0.000797,0.01318),(6675,6745,0.000851,0.013172),(6675,6755,0.000905,0.013164),(6675,6765,0.000959,0.013155),(6675,6775,0.001013,0.013145),(6675,6785,0.001066,0.013134),(6675,6795,0.001119,0.013124),(6675,6805,0.001172,0.013112),(6675,6815,0.001224,0.013099),(6675,6825,0.001276,0.013086),(6675,6835,0.001328,0.013072),(6675,6845,0.00138,0.013057),(6675,6855,0.00143,0.013042),(6675,6865,0.001481,0.013026),(6675,6875,0.001531,0.013009),(6675,6885,0.001581,0.012993),(6675,6895,0.00163,0.012975),(6675,6905,0.001679,0.012956),(6675,6915,0.001727,0.012937),(6675,6925,0.001775,0.012918),(6675,6935,0.001823,0.012898),(6675,6945,0.00187,0.012877),(6675,6955,0.001916,0.012857),(6675,6965,0.001962,0.012834),(6675,6975,0.002008,0.012812),(6675,6985,0.002053,0.01279),(6685,5,-1e-05,-1.2902),(6685,15,-2.9e-05,-1.2902),(6685,25,-4.5e-05,-1.2903),(6685,35,-5.8e-05,-1.2903),(6685,45,-7.1e-05,-1.2903),(6685,55,-8.4e-05,-1.2903),(6685,65,-9.6e-05,-1.2903),(6685,75,-0.000108,-1.2903),(6685,85,-0.000119,-1.2902),(6685,95,-0.00013,-1.2901),(6685,105,-0.000136,-1.2901),(6685,115,-0.000138,-1.29),(6685,125,-0.000141,-1.29),(6685,135,-0.000143,-1.2899),(6685,145,-0.000133,-1.2898),(6685,155,-0.000117,-1.2898),(6685,165,-0.0001,-1.2897),(6685,175,-8.4e-05,-1.2896),(6685,185,-7e-05,-1.2895),(6685,195,-5.7e-05,-1.2894),(6685,205,-4.4e-05,-1.2893),(6685,215,-3.2e-05,-1.2892),(6685,225,-1.7e-05,-1.2891),(6685,235,0,-1.289),(6685,245,1.6e-05,-1.2888),(6685,255,3.2e-05,-1.2887),(6685,265,4.4e-05,-1.2886),(6685,275,5.6e-05,-1.2884),(6685,285,6.7e-05,-1.2882),(6685,295,7.8e-05,-1.288),(6685,305,7.5e-05,-1.2878),(6685,315,6.9e-05,-1.2876),(6685,325,6.3e-05,-1.2875),(6685,335,5.7e-05,-1.2873),(6685,345,3.8e-05,-1.2871),(6685,355,1.6e-05,-1.2869),(6685,365,-6e-06,-1.2867),(6685,375,-2.8e-05,-1.2865),(6685,385,-4.2e-05,-1.2863),(6685,395,-5.4e-05,-1.2861),(6685,405,-6.6e-05,-1.2859),(6685,415,-7.8e-05,-1.2856),(6685,425,-8.3e-05,-1.2854),(6685,435,-8.7e-05,-1.2851),(6685,445,-9.1e-05,-1.2849),(6685,455,-9.5e-05,-1.2847),(6685,465,-8.8e-05,-1.2845),(6685,475,-8e-05,-1.2842),(6685,485,-7.2e-05,-1.2839),(6685,495,-6.4e-05,-1.2837),(6685,505,-7.3e-05,-1.2834),(6685,515,-8.2e-05,-1.2831),(6685,525,-9.1e-05,-1.2828),(6685,535,-0.0001,-1.2825),(6685,545,-0.000117,-1.2822),(6685,555,-0.000133,-1.2819),(6685,565,-0.00015,-1.2816),(6685,575,-0.000164,-1.2813),(6685,585,-0.000152,-1.2809),(6685,595,-0.00014,-1.2806),(6685,605,-0.000128,-1.2803),(6685,615,-0.000115,-1.28),(6685,625,-9.3e-05,-1.2798),(6685,635,-7.2e-05,-1.2795),(6685,645,-5.1e-05,-1.2792),(6685,655,-3.2e-05,-1.2789),(6685,665,-2.4e-05,-1.2786),(6685,675,-1.7e-05,-1.2783),(6685,685,-9e-06,-1.2779),(6685,695,-5e-06,-1.2775),(6685,705,-1.7e-05,-1.2771),(6685,715,-2.9e-05,-1.2768),(6685,725,-4e-05,-1.2764),(6685,735,-4.9e-05,-1.276),(6685,745,-4.6e-05,-1.2756),(6685,755,-4.3e-05,-1.2752),(6685,765,-3.9e-05,-1.2748),(6685,775,-2.7e-05,-1.2744),(6685,785,1.1e-05,-1.274),(6685,795,4.9e-05,-1.2736),(6685,805,8.8e-05,-1.2731),(6685,815,0.000138,-1.2727),(6685,825,0.000214,-1.2723),(6685,835,0.000291,-1.2719),(6685,845,0.000367,-1.2715),(6685,855,0.000455,-1.2711),(6685,865,0.000562,-1.2707),(6685,875,0.00067,-1.2703),(6685,885,0.000778,-1.2699),(6685,895,0.000897,-1.2695),(6685,905,0.001035,-1.2692),(6685,915,0.001173,-1.2688),(6685,925,0.001311,-1.2684),(6685,935,0.00145,-1.2679),(6685,945,0.001593,-1.2675),(6685,955,0.001736,-1.2671),(6685,965,0.001878,-1.2666),(6685,975,0.002045,-1.2661),(6685,985,0.002238,-1.2655),(6685,995,0.002431,-1.265),(6685,1005,0.002624,-1.2645),(6685,1015,0.002895,-1.264),(6685,1025,0.003239,-1.2635),(6685,1035,0.003584,-1.263),(6685,1045,0.003929,-1.2626),(6685,1055,0.004401,-1.2621),(6685,1065,0.004978,-1.2616),(6685,1075,0.005555,-1.261),(6685,1085,0.006132,-1.2604),(6685,1095,0.006926,-1.2598),(6685,1105,0.007871,-1.2592),(6685,1115,0.008816,-1.2585),(6685,1125,0.009761,-1.2577),(6685,1135,0.01106,-1.2569),(6685,1145,0.012567,-1.2562),(6685,1155,0.014074,-1.2552),(6685,1165,0.015581,-1.2541),(6685,1175,0.017632,-1.253),(6685,1185,0.019954,-1.2518),(6685,1195,0.022275,-1.2502),(6685,1205,0.024596,-1.2484),(6685,1215,0.027536,-1.2465),(6685,1225,0.030731,-1.2446),(6685,1235,0.033927,-1.2417),(6685,1245,0.037122,-1.2385),(6685,1255,0.04059,-1.2352),(6685,1265,0.044151,-1.2319),(6685,1275,0.047712,-1.227),(6685,1285,0.051273,-1.2216),(6685,1295,0.047869,-1.2162),(6685,1305,0.04258,-1.2109),(6685,1315,0.037292,-1.2068),(6685,1325,0.032003,-1.2031),(6685,1335,0.019752,-1.1993),(6685,1345,0.006042,-1.1956),(6685,1355,-0.007669,-1.1973),(6685,1365,-0.021379,-1.1999),(6685,1375,-0.029714,-1.2025),(6685,1385,-0.03722,-1.2052),(6685,1395,-0.044725,-1.2102),(6685,1405,-0.052231,-1.2155),(6685,1415,-0.049642,-1.2209),(6685,1425,-0.046006,-1.2262),(6685,1435,-0.042369,-1.2296),(6685,1445,-0.038733,-1.2329),(6685,1455,-0.035422,-1.2361),(6685,1465,-0.03213,-1.2393),(6685,1475,-0.028838,-1.241),(6685,1485,-0.025545,-1.2425),(6685,1495,-0.023059,-1.2441),(6685,1505,-0.020585,-1.2457),(6685,1515,-0.018111,-1.2465),(6685,1525,-0.015659,-1.2473),(6685,1535,-0.01409,-1.2481),(6685,1545,-0.012521,-1.2489),(6685,1555,-0.010952,-1.2492),(6685,1565,-0.009422,-1.2495),(6685,1575,-0.008451,-1.2499),(6685,1585,-0.007481,-1.2502),(6685,1595,-0.006511,-1.2504),(6685,1605,-0.005577,-1.2506),(6685,1615,-0.004961,-1.2508),(6685,1625,-0.004345,-1.251),(6685,1635,-0.003729,-1.2511),(6685,1645,-0.003139,-1.2513),(6685,1655,-0.002709,-1.2514),(6685,1665,-0.002278,-1.2515),(6685,1675,-0.001848,-1.2516),(6685,1685,-0.001445,-1.2517),(6685,1695,-0.001167,-1.2518),(6685,1705,-0.00089,-1.2518),(6685,1715,-0.000612,-1.2518),(6685,1725,-0.000358,-1.2519),(6685,1735,-0.000186,-1.2519),(6685,1745,-1.5e-05,-1.2519),(6685,1755,0.000156,-1.2519),(6685,1765,0.000307,-1.2519),(6685,1775,0.000401,-1.2519),(6685,1785,0.000495,-1.2518),(6685,1795,0.000589,-1.2518),(6685,1805,0.000663,-1.2518),(6685,1815,0.000693,-1.2518),(6685,1825,0.000724,-1.2518),(6685,1835,0.000754,-1.2518),(6685,1845,0.000777,-1.2517),(6685,1855,0.000788,-1.2517),(6685,1865,0.000799,-1.2516),(6685,1875,0.00081,-1.2516),(6685,1885,0.000827,-1.2515),(6685,1895,0.000854,-1.2515),(6685,1905,0.00088,-1.2514),(6685,1915,0.000907,-1.2513),(6685,1925,0.000943,-1.2512),(6685,1935,0.00099,-1.251),(6685,1945,0.001038,-1.251),(6685,1955,0.001086,-1.251),(6685,1965,0.001134,-1.251),(6685,1975,0.001185,-1.251),(6685,1985,0.001235,-1.2509),(6685,1995,0.001286,-1.2508),(6685,2005,0.001312,-1.2507),(6685,2015,0.001314,-1.2506),(6685,2025,0.001316,-1.2504),(6685,2035,0.001318,-1.2503),(6685,2045,0.001317,-1.2501),(6685,2055,0.001313,-1.2499),(6685,2065,0.001309,-1.2497),(6685,2075,0.001305,-1.2496),(6685,2085,0.0013,-1.2495),(6685,2095,0.001294,-1.2493),(6685,2105,0.001288,-1.2491),(6685,2115,0.001282,-1.2489),(6685,2125,0.001264,-1.2487),(6685,2135,0.001239,-1.2484),(6685,2145,0.001215,-1.2482),(6685,2155,0.00119,-1.248),(6685,2165,0.001175,-1.2478),(6685,2175,0.001166,-1.2475),(6685,2185,0.001156,-1.2473),(6685,2195,0.001147,-1.247),(6685,2205,0.001123,-1.2468),(6685,2215,0.001092,-1.2465),(6685,2225,0.001061,-1.2462),(6685,2235,0.00103,-1.2459),(6685,2245,0.001007,-1.2456),(6685,2255,0.000985,-1.2452),(6685,2265,0.000964,-1.2449),(6685,2275,0.000943,-1.2447),(6685,2285,0.000973,-1.2444),(6685,2295,0.001018,-1.2441),(6685,2305,0.001062,-1.2439),(6685,2315,0.001107,-1.2436),(6685,2325,0.001146,-1.2433),(6685,2335,0.001184,-1.243),(6685,2345,0.001222,-1.2427),(6685,2355,0.00126,-1.2423),(6685,2365,0.001258,-1.2419),(6685,2375,0.001249,-1.2416),(6685,2385,0.00124,-1.2412),(6685,2395,0.001231,-1.2407),(6685,2405,0.001222,-1.2403),(6685,2415,0.001213,-1.2399),(6685,2425,0.001204,-1.2394),(6685,2435,0.001195,-1.2389),(6685,2445,0.001195,-1.2384),(6685,2455,0.001195,-1.2379),(6685,2465,0.001195,-1.2375),(6685,2475,0.001196,-1.237),(6685,2485,0.001202,-1.2366),(6685,2495,0.001208,-1.2361),(6685,2505,0.001214,-1.2357),(6685,2515,0.001221,-1.2352),(6685,2525,0.001226,-1.2347),(6685,2535,0.001231,-1.2343),(6685,2545,0.001236,-1.2337),(6685,2555,0.001241,-1.2331),(6685,2565,0.001231,-1.2326),(6685,2575,0.001222,-1.232),(6685,2585,0.001212,-1.2314),(6685,2595,0.001203,-1.2308),(6685,2605,0.001196,-1.2302),(6685,2615,0.001189,-1.2296),(6685,2625,0.001183,-1.229),(6685,2635,0.001178,-1.2284),(6685,2645,0.00119,-1.2278),(6685,2655,0.001201,-1.2272),(6685,2665,0.001213,-1.2266),(6685,2675,0.001224,-1.226),(6685,2685,0.001236,-1.2253),(6685,2695,0.001248,-1.2247),(6685,2705,0.00126,-1.2241),(6685,2715,0.001272,-1.2235),(6685,2725,0.001287,-1.2229),(6685,2735,0.001301,-1.2223),(6685,2745,0.001316,-1.2216),(6685,2755,0.001333,-1.2209),(6685,2765,0.001358,-1.2202),(6685,2775,0.001383,-1.2195),(6685,2785,0.001408,-1.2188),(6685,2795,0.001438,-1.2181),(6685,2805,0.00148,-1.2173),(6685,2815,0.001522,-1.2166),(6685,2825,0.001563,-1.2159),(6685,2835,0.001603,-1.2151),(6685,2845,0.00164,-1.2144),(6685,2855,0.001676,-1.2137),(6685,2865,0.001712,-1.2129),(6685,2875,0.001739,-1.2121),(6685,2885,0.00175,-1.2114),(6685,2895,0.00176,-1.2106),(6685,2905,0.001771,-1.2098),(6685,2915,0.001773,-1.2089),(6685,2925,0.001763,-1.2081),(6685,2935,0.001753,-1.2073),(6685,2945,0.001742,-1.2064),(6685,2955,0.00172,-1.2056),(6685,2965,0.001685,-1.2047),(6685,2975,0.001649,-1.2038),(6685,2985,0.001613,-1.2029),(6685,2995,0.001581,-1.202),(6685,3005,0.001553,-1.201),(6685,3015,0.001526,-1.2001),(6685,3025,0.001498,-1.1992),(6685,3035,0.001502,-1.1983),(6685,3045,0.001533,-1.1973),(6685,3055,0.001565,-1.1964),(6685,3065,0.001596,-1.1955),(6685,3075,0.001632,-1.1946),(6685,3085,0.001672,-1.1936),(6685,3095,0.001712,-1.1927),(6685,3105,0.001752,-1.1917),(6685,3115,0.001777,-1.1907),(6685,3125,0.001793,-1.1897),(6685,3135,0.001808,-1.1888),(6685,3145,0.001824,-1.1878),(6685,3155,0.001847,-1.1868),(6685,3165,0.001875,-1.1858),(6685,3175,0.001902,-1.1848),(6685,3185,0.00193,-1.1838),(6685,3195,0.001942,-1.1828),(6685,3205,0.001946,-1.1818),(6685,3215,0.001951,-1.1807),(6685,3225,0.001955,-1.1795),(6685,3235,0.001923,-1.1784),(6685,3245,0.001877,-1.1773),(6685,3255,0.001831,-1.1761),(6685,3265,0.001785,-1.175),(6685,3275,0.001787,-1.1738),(6685,3285,0.001803,-1.1727),(6685,3295,0.001818,-1.1716),(6685,3305,0.001834,-1.1705),(6685,3315,0.0019,-1.1695),(6685,3325,0.001977,-1.1684),(6685,3335,0.002054,-1.1673),(6685,3345,0.002131,-1.1662),(6685,3355,0.002179,-1.165),(6685,3365,0.002222,-1.1639),(6685,3375,0.002265,-1.1627),(6685,3385,0.002308,-1.1615),(6685,3395,0.002332,-1.1603),(6685,3405,0.002352,-1.1591),(6685,3415,0.002373,-1.1579),(6685,3425,0.002394,-1.1567),(6685,3435,0.002383,-1.1556),(6685,3445,0.00237,-1.1544),(6685,3455,0.002356,-1.1531),(6685,3465,0.002342,-1.1518),(6685,3475,0.002361,-1.1505),(6685,3485,0.00238,-1.1492),(6685,3495,0.0024,-1.148),(6685,3505,0.00242,-1.1467),(6685,3515,0.002496,-1.1455),(6685,3525,0.002572,-1.1442),(6685,3535,0.002648,-1.143),(6685,3545,0.002725,-1.1418),(6685,3555,0.002826,-1.1405),(6685,3565,0.002926,-1.1393),(6685,3575,0.003027,-1.138),(6685,3585,0.003131,-1.1368),(6685,3595,0.003273,-1.1355),(6685,3605,0.003414,-1.1342),(6685,3615,0.003555,-1.1329),(6685,3625,0.003695,-1.1316),(6685,3635,0.003823,-1.1303),(6685,3645,0.003951,-1.1289),(6685,3655,0.004079,-1.1275),(6685,3665,0.004224,-1.1261),(6685,3675,0.00445,-1.1247),(6685,3685,0.004677,-1.1232),(6685,3695,0.004903,-1.1219),(6685,3705,0.005156,-1.1205),(6685,3715,0.005515,-1.1192),(6685,3725,0.005874,-1.1178),(6685,3735,0.006232,-1.1164),(6685,3745,0.006637,-1.1149),(6685,3755,0.007184,-1.1134),(6685,3765,0.007732,-1.1119),(6685,3775,0.008279,-1.1104),(6685,3785,0.008914,-1.1089),(6685,3795,0.009772,-1.1074),(6685,3805,0.010629,-1.1058),(6685,3815,0.011487,-1.1041),(6685,3825,0.012469,-1.1023),(6685,3835,0.013712,-1.1006),(6685,3845,0.014955,-1.0987),(6685,3855,0.016199,-1.0967),(6685,3865,0.017631,-1.0947),(6685,3875,0.019396,-1.0926),(6685,3885,0.021161,-1.0903),(6685,3895,0.022927,-1.0875),(6685,3905,0.024881,-1.0846),(6685,3915,0.027118,-1.0818),(6685,3925,0.029355,-1.0786),(6685,3935,0.031591,-1.0748),(6685,3945,0.033894,-1.071),(6685,3955,0.036281,-1.0672),(6685,3965,0.038668,-1.0627),(6685,3975,0.041055,-1.0573),(6685,3985,0.041459,-1.052),(6685,3995,0.039716,-1.0467),(6685,4005,0.037973,-1.0418),(6685,4015,0.036229,-1.0372),(6685,4025,0.099323,-1.0327),(6685,4035,0.16876,-1.0293),(6685,4045,0.2382,-1.0282),(6685,4055,0.2927,-1.0272),(6685,4065,0.34176,-1.026),(6685,4075,0.39082,-1.0242),(6685,4085,0.41307,-1.0224),(6685,4095,0.41377,-1.0205),(6685,4105,0.41448,-1.0186),(6685,4115,0.41518,-1.0167),(6685,4125,0.41586,-1.0148),(6685,4135,0.41655,-1.0129),(6685,4145,0.41724,-1.011),(6685,4155,0.41792,-1.0091),(6685,4165,0.41859,-1.0072),(6685,4175,0.41927,-1.0054),(6685,4185,0.41994,-1.0035),(6685,4195,0.42061,-1.0016),(6685,4205,0.42128,-0.99965),(6685,4215,0.42194,-0.9977),(6685,4225,0.42261,-0.99574),(6685,4235,0.42327,-0.99373),(6685,4245,0.42393,-0.99173),(6685,4255,0.42459,-0.98972),(6685,4265,0.42525,-0.98768),(6685,4275,0.42591,-0.98564),(6685,4285,0.42657,-0.98361),(6685,4295,0.42723,-0.98148),(6685,4305,0.42788,-0.97934),(6685,4315,0.42854,-0.97721),(6685,4325,0.42921,-0.975),(6685,4335,0.42987,-0.97275),(6685,4345,0.43055,-0.97051),(6685,4355,0.43122,-0.96826),(6685,4365,0.4319,-0.966),(6685,4375,0.4326,-0.96374),(6685,4385,0.43331,-0.96146),(6685,4395,0.43401,-0.95917),(6685,4405,0.43473,-0.95688),(6685,4415,0.43545,-0.95456),(6685,4425,0.43618,-0.95217),(6685,4435,0.43692,-0.94977),(6685,4445,0.43767,-0.94738),(6685,4455,0.43843,-0.94492),(6685,4465,0.4392,-0.94247),(6685,4475,0.43999,-0.94001),(6685,4485,0.44078,-0.93747),(6685,4495,0.44157,-0.93492),(6685,4505,0.44239,-0.93236),(6685,4515,0.44321,-0.92977),(6685,4525,0.44403,-0.92716),(6685,4535,0.44487,-0.92455),(6685,4545,0.44571,-0.9219),(6685,4555,0.44654,-0.9192),(6685,4565,0.4474,-0.91651),(6685,4575,0.44826,-0.91379),(6685,4585,0.44912,-0.91099),(6685,4595,0.45002,-0.90819),(6685,4605,0.45092,-0.90539),(6685,4615,0.45183,-0.90254),(6685,4625,0.45276,-0.89969),(6685,4635,0.45372,-0.89684),(6685,4645,0.45468,-0.89392),(6685,4655,0.45565,-0.891),(6685,4665,0.45664,-0.88808),(6685,4675,0.45764,-0.88511),(6685,4685,0.45864,-0.88212),(6685,4695,0.45966,-0.87914),(6685,4705,0.46068,-0.8761),(6685,4715,0.46171,-0.87303),(6685,4725,0.46276,-0.86996),(6685,4735,0.46382,-0.86687),(6685,4745,0.46487,-0.86375),(6685,4755,0.46597,-0.86062),(6685,4765,0.46708,-0.85748),(6685,4775,0.46819,-0.8543),(6685,4785,0.46932,-0.85112),(6685,4795,0.47047,-0.84793),(6685,4805,0.47161,-0.84466),(6685,4815,0.47276,-0.84139),(6685,4825,0.47392,-0.83813),(6685,4835,0.47508,-0.83478),(6685,4845,0.47625,-0.83142),(6685,4855,0.47743,-0.82805),(6685,4865,0.47861,-0.82465),(6685,4875,0.47979,-0.82123),(6685,4885,0.48099,-0.8178),(6685,4895,0.4822,-0.81434),(6685,4905,0.48341,-0.81085),(6685,4915,0.48464,-0.80735),(6685,4925,0.48587,-0.80383),(6685,4935,0.4871,-0.80025),(6685,4945,0.48834,-0.79667),(6685,4955,0.48959,-0.79307),(6685,4965,0.49083,-0.78942),(6685,4975,0.49209,-0.78576),(6685,4985,0.49335,-0.78211),(6685,4995,0.49462,-0.77842),(6685,5005,0.49589,-0.77472),(6685,5015,0.49717,-0.77103),(6685,5025,0.49845,-0.76729),(6685,5035,0.49974,-0.76353),(6685,5045,0.50103,-0.75977),(6685,5055,0.50232,-0.75596),(6685,5065,0.50361,-0.75211),(6685,5075,0.50491,-0.74827),(6685,5085,0.50621,-0.74439),(6685,5095,0.50752,-0.74048),(6685,5105,0.50884,-0.73657),(6685,5115,0.51017,-0.73264),(6685,5125,0.51149,-0.72868),(6685,5135,0.51284,-0.72472),(6685,5145,0.51419,-0.72076),(6685,5155,0.51555,-0.71675),(6685,5165,0.5169,-0.71274),(6685,5175,0.51826,-0.70873),(6685,5185,0.51961,-0.70463),(6685,5195,0.52097,-0.70052),(6685,5205,0.52232,-0.6964),(6685,5215,0.52367,-0.69224),(6685,5225,0.52503,-0.68805),(6685,5235,0.52639,-0.68386),(6685,5245,0.52776,-0.67965),(6685,5255,0.52912,-0.67543),(6685,5265,0.53049,-0.6712),(6685,5275,0.53186,-0.66696),(6685,5285,0.53323,-0.6627),(6685,5295,0.53458,-0.65844),(6685,5305,0.53593,-0.65417),(6685,5315,0.53728,-0.64984),(6685,5325,0.53862,-0.6455),(6685,5335,0.53995,-0.64117),(6685,5345,0.54127,-0.63677),(6685,5355,0.5426,-0.63237),(6685,5365,0.54394,-0.62797),(6685,5375,0.54528,-0.62354),(6685,5385,0.54662,-0.61911),(6685,5395,0.54798,-0.61468),(6685,5405,0.54933,-0.61022),(6685,5415,0.55069,-0.60575),(6685,5425,0.55205,-0.60128),(6685,5435,0.55341,-0.59677),(6685,5445,0.55476,-0.59224),(6685,5455,0.5561,-0.58771),(6685,5465,0.55744,-0.58316),(6685,5475,0.55877,-0.57855),(6685,5485,0.56009,-0.57395),(6685,5495,0.5614,-0.56934),(6685,5505,0.56271,-0.56469),(6685,5515,0.56401,-0.56005),(6685,5525,0.56531,-0.5554),(6685,5535,0.5666,-0.5507),(6685,5545,0.56788,-0.54599),(6685,5555,0.56915,-0.54128),(6685,5565,0.57041,-0.53649),(6685,5575,0.57167,-0.53169),(6685,5585,0.5729,-0.52689),(6685,5595,0.57413,-0.52203),(6685,5605,0.57536,-0.51715),(6685,5615,0.57658,-0.51226),(6685,5625,0.5778,-0.50737),(6685,5635,0.57903,-0.50248),(6685,5645,0.58025,-0.49758),(6685,5655,0.58147,-0.49267),(6685,5665,0.5827,-0.48773),(6685,5675,0.58392,-0.48278),(6685,5685,0.58513,-0.47784),(6685,5695,0.58634,-0.47286),(6685,5705,0.58755,-0.46788),(6685,5715,0.58874,-0.4629),(6685,5725,0.58993,-0.45793),(6685,5735,0.5911,-0.45297),(6685,5745,0.59225,-0.44801),(6685,5755,0.59339,-0.44302),(6685,5765,0.59454,-0.43802),(6685,5775,0.59565,-0.43302),(6685,5785,0.59675,-0.42799),(6685,5795,0.59786,-0.42292),(6685,5805,0.59895,-0.41785),(6685,5815,0.60003,-0.41277),(6685,5825,0.60111,-0.40767),(6685,5835,0.60219,-0.40257),(6685,5845,0.60326,-0.39747),(6685,5855,0.60433,-0.39237),(6685,5865,0.60539,-0.38726),(6685,5875,0.60644,-0.38216),(6685,5885,0.60749,-0.377),(6685,5895,0.60851,-0.37183),(6685,5905,0.60951,-0.36666),(6685,5915,0.61051,-0.36145),(6685,5925,0.6115,-0.35622),(6685,5935,0.61245,-0.351),(6685,5945,0.6134,-0.34577),(6685,5955,0.61435,-0.34055),(6685,5965,0.61526,-0.33532),(6685,5975,0.61617,-0.33009),(6685,5985,0.61709,-0.32484),(6685,5995,0.61799,-0.31959),(6685,6005,0.61888,-0.31433),(6685,6015,0.61977,-0.30905),(6685,6025,0.62064,-0.30377),(6685,6035,0.6215,-0.29849),(6685,6045,0.62235,-0.29319),(6685,6055,0.62318,-0.2879),(6685,6065,0.62399,-0.2826),(6685,6075,0.6248,-0.27721),(6685,6085,0.62559,-0.2718),(6685,6095,0.62634,-0.2664),(6685,6105,0.62709,-0.26095),(6685,6115,0.62783,-0.25548),(6685,6125,0.62856,-0.25001),(6685,6135,0.62928,-0.2446),(6685,6145,0.63001,-0.23924),(6685,6155,0.63073,-0.23388),(6685,6165,0.63145,-0.22853),(6685,6175,0.63217,-0.2232),(6685,6185,0.63286,-0.21786),(6685,6195,0.63354,-0.2125),(6685,6205,0.63422,-0.20705),(6685,6215,0.63486,-0.2016),(6685,6225,0.63547,-0.19614),(6685,6235,0.63609,-0.1907),(6685,6245,0.63667,-0.18526),(6685,6255,0.63721,-0.17982),(6685,6265,0.63776,-0.17436),(6685,6275,0.63829,-0.1689),(6685,6285,0.63877,-0.16343),(6685,6295,0.63925,-0.15798),(6685,6305,0.63973,-0.15253),(6685,6315,0.64018,-0.14709),(6685,6325,0.64063,-0.14166),(6685,6335,0.64108,-0.13626),(6685,6345,0.6415,-0.13086),(6685,6355,0.64192,-0.12539),(6685,6365,0.64234,-0.11978),(6685,6375,0.64273,-0.11416),(6685,6385,0.6431,-0.10856),(6685,6395,0.64347,-0.10303),(6685,6405,0.64381,-0.0975),(6685,6415,0.64414,-0.09197),(6685,6425,0.64447,-0.086527),(6685,6435,0.64477,-0.081088),(6685,6445,0.64503,-0.075648),(6685,6455,0.64529,-0.070167),(6685,6465,0.64554,-0.064673),(6685,6475,0.64575,-0.05918),(6685,6485,0.64597,-0.053603),(6685,6495,0.64618,-0.047972),(6685,6505,0.64638,-0.042341),(6685,6515,0.64657,-0.036743),(6685,6525,0.64676,-0.031191),(6685,6535,0.64691,-0.02564),(6685,6545,0.64706,-0.020125),(6685,6555,0.6472,-0.014726),(6685,6565,0.64729,-0.009326),(6685,6575,0.64734,-0.003924),(6685,6585,0.64739,0.001525),(6685,6595,0.55063,0.006974),(6685,6605,0.34698,0.012422),(6685,6615,0.14333,0.013106),(6685,6625,0.000187,0.013177),(6685,6635,0.000244,0.013248),(6685,6645,0.0003,0.013268),(6685,6655,0.000357,0.013267),(6685,6665,0.000413,0.013266),(6685,6675,0.000469,0.013264),(6685,6685,0.000525,0.013261),(6685,6695,0.000581,0.013257),(6685,6705,0.000637,0.013253),(6685,6715,0.000693,0.013247),(6685,6725,0.000748,0.013241),(6685,6735,0.000803,0.013234),(6685,6745,0.000859,0.013226),(6685,6755,0.000913,0.013218),(6685,6765,0.000968,0.013209),(6685,6775,0.001022,0.013198),(6685,6785,0.001076,0.013188),(6685,6795,0.00113,0.013177),(6685,6805,0.001184,0.013164),(6685,6815,0.001237,0.013151),(6685,6825,0.001289,0.013138),(6685,6835,0.001342,0.013123),(6685,6845,0.001394,0.013108),(6685,6855,0.001445,0.013093),(6685,6865,0.001496,0.013077),(6685,6875,0.001547,0.013059),(6685,6885,0.001597,0.013042),(6685,6895,0.001647,0.013024),(6685,6905,0.001697,0.013005),(6685,6915,0.001746,0.012986),(6685,6925,0.001794,0.012966),(6685,6935,0.001842,0.012945),(6685,6945,0.00189,0.012924),(6685,6955,0.001936,0.012903),(6685,6965,0.001983,0.01288),(6685,6975,0.002029,0.012858),(6685,6985,0.002074,0.012835),(6695,5,-1e-05,-1.2902),(6695,15,-3e-05,-1.2903),(6695,25,-4.8e-05,-1.2903),(6695,35,-6.2e-05,-1.2903),(6695,45,-7.7e-05,-1.2903),(6695,55,-9.2e-05,-1.2903),(6695,65,-0.000104,-1.2903),(6695,75,-0.000112,-1.2903),(6695,85,-0.000121,-1.2902),(6695,95,-0.00013,-1.2901),(6695,105,-0.000137,-1.2901),(6695,115,-0.000142,-1.29),(6695,125,-0.000148,-1.2899),(6695,135,-0.000153,-1.2899),(6695,145,-0.000147,-1.2898),(6695,155,-0.000135,-1.2898),(6695,165,-0.000123,-1.2897),(6695,175,-0.000111,-1.2896),(6695,185,-0.000101,-1.2895),(6695,195,-9.2e-05,-1.2894),(6695,205,-8.3e-05,-1.2893),(6695,215,-7.5e-05,-1.2892),(6695,225,-6.2e-05,-1.2891),(6695,235,-4.7e-05,-1.289),(6695,245,-3.2e-05,-1.2888),(6695,255,-1.7e-05,-1.2887),(6695,265,-3e-06,-1.2886),(6695,275,1e-05,-1.2884),(6695,285,2.4e-05,-1.2883),(6695,295,3.7e-05,-1.2881),(6695,305,4.3e-05,-1.2879),(6695,315,4.8e-05,-1.2877),(6695,325,5.3e-05,-1.2875),(6695,335,5.7e-05,-1.2873),(6695,345,4.7e-05,-1.2871),(6695,355,3.5e-05,-1.287),(6695,365,2.2e-05,-1.2868),(6695,375,1e-05,-1.2865),(6695,385,-4e-06,-1.2863),(6695,395,-1.9e-05,-1.2861),(6695,405,-3.3e-05,-1.2859),(6695,415,-4.8e-05,-1.2856),(6695,425,-5.8e-05,-1.2854),(6695,435,-6.9e-05,-1.2851),(6695,445,-7.9e-05,-1.2849),(6695,455,-8.9e-05,-1.2847),(6695,465,-8.7e-05,-1.2844),(6695,475,-8.3e-05,-1.2842),(6695,485,-8e-05,-1.2839),(6695,495,-7.7e-05,-1.2837),(6695,505,-8.3e-05,-1.2834),(6695,515,-8.9e-05,-1.2831),(6695,525,-9.5e-05,-1.2828),(6695,535,-0.000101,-1.2825),(6695,545,-0.000116,-1.2822),(6695,555,-0.000131,-1.2819),(6695,565,-0.000147,-1.2816),(6695,575,-0.00016,-1.2813),(6695,585,-0.000152,-1.2809),(6695,595,-0.000145,-1.2806),(6695,605,-0.000137,-1.2803),(6695,615,-0.000128,-1.28),(6695,625,-0.000107,-1.2797),(6695,635,-8.7e-05,-1.2794),(6695,645,-6.6e-05,-1.2791),(6695,655,-4.7e-05,-1.2788),(6695,665,-3.5e-05,-1.2786),(6695,675,-2.4e-05,-1.2783),(6695,685,-1.3e-05,-1.2779),(6695,695,-5e-06,-1.2775),(6695,705,-1.2e-05,-1.2772),(6695,715,-1.9e-05,-1.2768),(6695,725,-2.6e-05,-1.2764),(6695,735,-3.1e-05,-1.276),(6695,745,-2.9e-05,-1.2756),(6695,755,-2.7e-05,-1.2752),(6695,765,-2.6e-05,-1.2748),(6695,775,-1.7e-05,-1.2744),(6695,785,1.2e-05,-1.274),(6695,795,4.1e-05,-1.2735),(6695,805,7e-05,-1.2731),(6695,815,0.000112,-1.2727),(6695,825,0.000181,-1.2722),(6695,835,0.000251,-1.2718),(6695,845,0.00032,-1.2714),(6695,855,0.000401,-1.271),(6695,865,0.000505,-1.2706),(6695,875,0.000608,-1.2702),(6695,885,0.000712,-1.2698),(6695,895,0.00083,-1.2695),(6695,905,0.00097,-1.2691),(6695,915,0.00111,-1.2687),(6695,925,0.00125,-1.2683),(6695,935,0.001395,-1.2679),(6695,945,0.001544,-1.2675),(6695,955,0.001694,-1.267),(6695,965,0.001843,-1.2665),(6695,975,0.002013,-1.266),(6695,985,0.002205,-1.2655),(6695,995,0.002398,-1.265),(6695,1005,0.00259,-1.2644),(6695,1015,0.002855,-1.2639),(6695,1025,0.003188,-1.2634),(6695,1035,0.003522,-1.2629),(6695,1045,0.003856,-1.2623),(6695,1055,0.00431,-1.2618),(6695,1065,0.004863,-1.2613),(6695,1075,0.005417,-1.2607),(6695,1085,0.00597,-1.26),(6695,1095,0.006725,-1.2594),(6695,1105,0.00762,-1.2587),(6695,1115,0.008516,-1.2579),(6695,1125,0.009411,-1.2571),(6695,1135,0.010628,-1.2562),(6695,1145,0.012036,-1.2554),(6695,1155,0.013444,-1.2543),(6695,1165,0.014851,-1.2531),(6695,1175,0.016739,-1.2518),(6695,1185,0.018866,-1.2506),(6695,1195,0.020992,-1.2488),(6695,1205,0.023119,-1.2468),(6695,1215,0.025757,-1.2448),(6695,1225,0.028607,-1.2428),(6695,1235,0.031457,-1.2398),(6695,1245,0.034306,-1.2364),(6695,1255,0.037341,-1.233),(6695,1265,0.040438,-1.2297),(6695,1275,0.043536,-1.2249),(6695,1285,0.046633,-1.2198),(6695,1295,0.043452,-1.2146),(6695,1305,0.038574,-1.2095),(6695,1315,0.033695,-1.2057),(6695,1325,0.028816,-1.2024),(6695,1335,0.017785,-1.199),(6695,1345,0.005464,-1.1956),(6695,1355,-0.006856,-1.197),(6695,1365,-0.019177,-1.1994),(6695,1375,-0.026755,-1.2018),(6695,1385,-0.033601,-1.2041),(6695,1395,-0.040447,-1.2089),(6695,1405,-0.047293,-1.2139),(6695,1415,-0.045078,-1.2189),(6695,1425,-0.041922,-1.224),(6695,1435,-0.038766,-1.2274),(6695,1445,-0.03561,-1.2308),(6695,1455,-0.03266,-1.2341),(6695,1465,-0.029722,-1.2374),(6695,1475,-0.026784,-1.2392),(6695,1485,-0.023845,-1.2409),(6695,1495,-0.021579,-1.2426),(6695,1505,-0.019324,-1.2443),(6695,1515,-0.017068,-1.2453),(6695,1525,-0.014832,-1.2462),(6695,1535,-0.013358,-1.2472),(6695,1545,-0.011885,-1.2481),(6695,1555,-0.010411,-1.2485),(6695,1565,-0.008973,-1.2489),(6695,1575,-0.008055,-1.2493),(6695,1585,-0.007137,-1.2497),(6695,1595,-0.006219,-1.2499),(6695,1605,-0.005336,-1.2502),(6695,1615,-0.004757,-1.2505),(6695,1625,-0.004178,-1.2507),(6695,1635,-0.003599,-1.2508),(6695,1645,-0.003044,-1.251),(6695,1655,-0.002636,-1.2511),(6695,1665,-0.002229,-1.2512),(6695,1675,-0.001821,-1.2513),(6695,1685,-0.001439,-1.2515),(6695,1695,-0.001172,-1.2516),(6695,1705,-0.000906,-1.2517),(6695,1715,-0.00064,-1.2517),(6695,1725,-0.000396,-1.2517),(6695,1735,-0.00023,-1.2517),(6695,1745,-6.4e-05,-1.2518),(6695,1755,0.000102,-1.2518),(6695,1765,0.000251,-1.2518),(6695,1775,0.000356,-1.2518),(6695,1785,0.000461,-1.2518),(6695,1795,0.000566,-1.2518),(6695,1805,0.000654,-1.2518),(6695,1815,0.000701,-1.2518),(6695,1825,0.000749,-1.2518),(6695,1835,0.000796,-1.2518),(6695,1845,0.000833,-1.2517),(6695,1855,0.000848,-1.2517),(6695,1865,0.000863,-1.2516),(6695,1875,0.000879,-1.2516),(6695,1885,0.000895,-1.2515),(6695,1895,0.000911,-1.2515),(6695,1905,0.000928,-1.2514),(6695,1915,0.000944,-1.2513),(6695,1925,0.000969,-1.2511),(6695,1935,0.001006,-1.251),(6695,1945,0.001043,-1.2509),(6695,1955,0.00108,-1.2509),(6695,1965,0.001125,-1.2509),(6695,1975,0.001182,-1.2509),(6695,1985,0.001238,-1.2509),(6695,1995,0.001294,-1.2508),(6695,2005,0.001328,-1.2507),(6695,2015,0.001342,-1.2506),(6695,2025,0.001355,-1.2505),(6695,2035,0.001369,-1.2503),(6695,2045,0.001374,-1.2501),(6695,2055,0.001371,-1.2499),(6695,2065,0.001369,-1.2497),(6695,2075,0.001367,-1.2496),(6695,2085,0.001361,-1.2495),(6695,2095,0.001352,-1.2493),(6695,2105,0.001344,-1.2492),(6695,2115,0.001336,-1.2489),(6695,2125,0.001312,-1.2487),(6695,2135,0.001279,-1.2485),(6695,2145,0.001246,-1.2482),(6695,2155,0.001213,-1.248),(6695,2165,0.001195,-1.2478),(6695,2175,0.001185,-1.2476),(6695,2185,0.001174,-1.2473),(6695,2195,0.001164,-1.2471),(6695,2205,0.001149,-1.2468),(6695,2215,0.001132,-1.2466),(6695,2225,0.001115,-1.2463),(6695,2235,0.001098,-1.2459),(6695,2245,0.00108,-1.2456),(6695,2255,0.001061,-1.2452),(6695,2265,0.001042,-1.2449),(6695,2275,0.001024,-1.2447),(6695,2285,0.001047,-1.2444),(6695,2295,0.001083,-1.2441),(6695,2305,0.001119,-1.2438),(6695,2315,0.001155,-1.2435),(6695,2325,0.001197,-1.2433),(6695,2335,0.001241,-1.243),(6695,2345,0.001285,-1.2427),(6695,2355,0.001329,-1.2423),(6695,2365,0.001337,-1.2419),(6695,2375,0.00134,-1.2416),(6695,2385,0.001342,-1.2412),(6695,2395,0.001345,-1.2407),(6695,2405,0.001341,-1.2403),(6695,2415,0.001336,-1.2399),(6695,2425,0.001332,-1.2394),(6695,2435,0.001327,-1.2389),(6695,2445,0.001324,-1.2384),(6695,2455,0.001321,-1.2379),(6695,2465,0.001318,-1.2375),(6695,2475,0.001314,-1.237),(6695,2485,0.00131,-1.2366),(6695,2495,0.001306,-1.2361),(6695,2505,0.001302,-1.2356),(6695,2515,0.001298,-1.2352),(6695,2525,0.001295,-1.2347),(6695,2535,0.001293,-1.2343),(6695,2545,0.001291,-1.2337),(6695,2555,0.001288,-1.2331),(6695,2565,0.001278,-1.2326),(6695,2575,0.001268,-1.232),(6695,2585,0.001258,-1.2314),(6695,2595,0.001249,-1.2308),(6695,2605,0.001243,-1.2302),(6695,2615,0.001237,-1.2296),(6695,2625,0.001231,-1.229),(6695,2635,0.001228,-1.2284),(6695,2645,0.001241,-1.2278),(6695,2655,0.001255,-1.2272),(6695,2665,0.001268,-1.2266),(6695,2675,0.001282,-1.2259),(6695,2685,0.001293,-1.2253),(6695,2695,0.001303,-1.2247),(6695,2705,0.001314,-1.2241),(6695,2715,0.001326,-1.2235),(6695,2725,0.001338,-1.2229),(6695,2735,0.00135,-1.2223),(6695,2745,0.001361,-1.2216),(6695,2755,0.001374,-1.2209),(6695,2765,0.001391,-1.2202),(6695,2775,0.001408,-1.2195),(6695,2785,0.001424,-1.2188),(6695,2795,0.001447,-1.2181),(6695,2805,0.001483,-1.2173),(6695,2815,0.001519,-1.2166),(6695,2825,0.001555,-1.2158),(6695,2835,0.001593,-1.2151),(6695,2845,0.001635,-1.2144),(6695,2855,0.001676,-1.2136),(6695,2865,0.001717,-1.2129),(6695,2875,0.001751,-1.2121),(6695,2885,0.001774,-1.2114),(6695,2895,0.001797,-1.2106),(6695,2905,0.00182,-1.2098),(6695,2915,0.001834,-1.2089),(6695,2925,0.001835,-1.2081),(6695,2935,0.001836,-1.2073),(6695,2945,0.001837,-1.2064),(6695,2955,0.001825,-1.2056),(6695,2965,0.001795,-1.2047),(6695,2975,0.001766,-1.2039),(6695,2985,0.001736,-1.2029),(6695,2995,0.001705,-1.202),(6695,3005,0.001671,-1.201),(6695,3015,0.001637,-1.2001),(6695,3025,0.001604,-1.1992),(6695,3035,0.001599,-1.1982),(6695,3045,0.00162,-1.1973),(6695,3055,0.001642,-1.1964),(6695,3065,0.001663,-1.1955),(6695,3075,0.001693,-1.1945),(6695,3085,0.001729,-1.1936),(6695,3095,0.001764,-1.1927),(6695,3105,0.0018,-1.1917),(6695,3115,0.001823,-1.1907),(6695,3125,0.001837,-1.1897),(6695,3135,0.001851,-1.1887),(6695,3145,0.001865,-1.1878),(6695,3155,0.001885,-1.1868),(6695,3165,0.001909,-1.1858),(6695,3175,0.001932,-1.1848),(6695,3185,0.001955,-1.1838),(6695,3195,0.001973,-1.1828),(6695,3205,0.001988,-1.1818),(6695,3215,0.002003,-1.1807),(6695,3225,0.002018,-1.1796),(6695,3235,0.001997,-1.1785),(6695,3245,0.001962,-1.1773),(6695,3255,0.001927,-1.1762),(6695,3265,0.001891,-1.175),(6695,3275,0.001887,-1.1738),(6695,3285,0.001891,-1.1727),(6695,3295,0.001896,-1.1716),(6695,3305,0.001901,-1.1705),(6695,3315,0.001953,-1.1694),(6695,3325,0.002017,-1.1683),(6695,3335,0.002081,-1.1672),(6695,3345,0.002144,-1.1661),(6695,3355,0.00219,-1.165),(6695,3365,0.002232,-1.1639),(6695,3375,0.002275,-1.1627),(6695,3385,0.002317,-1.1615),(6695,3395,0.002349,-1.1603),(6695,3405,0.002379,-1.1591),(6695,3415,0.002409,-1.1579),(6695,3425,0.002439,-1.1567),(6695,3435,0.002429,-1.1556),(6695,3445,0.002416,-1.1544),(6695,3455,0.002403,-1.1531),(6695,3465,0.00239,-1.1518),(6695,3475,0.002395,-1.1505),(6695,3485,0.0024,-1.1492),(6695,3495,0.002406,-1.148),(6695,3505,0.002412,-1.1467),(6695,3515,0.002476,-1.1454),(6695,3525,0.002541,-1.1442),(6695,3535,0.002605,-1.1429),(6695,3545,0.002671,-1.1417),(6695,3555,0.002769,-1.1405),(6695,3565,0.002866,-1.1392),(6695,3575,0.002964,-1.138),(6695,3585,0.003065,-1.1367),(6695,3595,0.00321,-1.1354),(6695,3605,0.003355,-1.1341),(6695,3615,0.003501,-1.1328),(6695,3625,0.003644,-1.1315),(6695,3635,0.003772,-1.1302),(6695,3645,0.003901,-1.1289),(6695,3655,0.00403,-1.1274),(6695,3665,0.004174,-1.126),(6695,3675,0.004391,-1.1245),(6695,3685,0.004609,-1.1231),(6695,3695,0.004827,-1.1217),(6695,3705,0.005072,-1.1204),(6695,3715,0.005423,-1.119),(6695,3725,0.005775,-1.1176),(6695,3735,0.006126,-1.1161),(6695,3745,0.006518,-1.1146),(6695,3755,0.007039,-1.1131),(6695,3765,0.00756,-1.1116),(6695,3775,0.00808,-1.11),(6695,3785,0.008683,-1.1084),(6695,3795,0.009494,-1.1069),(6695,3805,0.010305,-1.1053),(6695,3815,0.011117,-1.1034),(6695,3825,0.01204,-1.1016),(6695,3835,0.013198,-1.0998),(6695,3845,0.014356,-1.0979),(6695,3855,0.015515,-1.0957),(6695,3865,0.016839,-1.0936),(6695,3875,0.018457,-1.0915),(6695,3885,0.020074,-1.089),(6695,3895,0.021692,-1.0861),(6695,3905,0.02346,-1.0832),(6695,3915,0.025453,-1.0803),(6695,3925,0.027446,-1.077),(6695,3935,0.029438,-1.0731),(6695,3945,0.031467,-1.0693),(6695,3955,0.033541,-1.0654),(6695,3965,0.035615,-1.061),(6695,3975,0.037688,-1.0558),(6695,3985,0.037961,-1.0507),(6695,3995,0.036284,-1.0455),(6695,4005,0.034607,-1.0408),(6695,4015,0.03293,-1.0366),(6695,4025,0.096445,-1.0324),(6695,4035,0.16634,-1.0293),(6695,4045,0.23623,-1.0282),(6695,4055,0.29059,-1.0272),(6695,4065,0.33929,-1.026),(6695,4075,0.38799,-1.0242),(6695,4085,0.41007,-1.0224),(6695,4095,0.41076,-1.0206),(6695,4105,0.41145,-1.0187),(6695,4115,0.41214,-1.0168),(6695,4125,0.41281,-1.0149),(6695,4135,0.41349,-1.013),(6695,4145,0.41416,-1.0111),(6695,4155,0.41482,-1.0092),(6695,4165,0.41548,-1.0073),(6695,4175,0.41614,-1.0054),(6695,4185,0.41679,-1.0036),(6695,4195,0.41744,-1.0017),(6695,4205,0.4181,-0.99973),(6695,4215,0.41874,-0.99778),(6695,4225,0.41939,-0.99582),(6695,4235,0.42003,-0.99382),(6695,4245,0.42068,-0.99182),(6695,4255,0.42133,-0.98982),(6695,4265,0.42198,-0.98779),(6695,4275,0.42262,-0.98576),(6695,4285,0.42327,-0.98374),(6695,4295,0.42391,-0.98161),(6695,4305,0.42456,-0.97948),(6695,4315,0.4252,-0.97735),(6695,4325,0.42585,-0.97514),(6695,4335,0.4265,-0.9729),(6695,4345,0.42716,-0.97066),(6695,4355,0.42783,-0.9684),(6695,4365,0.42849,-0.96614),(6695,4375,0.42917,-0.96387),(6695,4385,0.42986,-0.9616),(6695,4395,0.43054,-0.9593),(6695,4405,0.43124,-0.95701),(6695,4415,0.43195,-0.95469),(6695,4425,0.43265,-0.95229),(6695,4435,0.43337,-0.94989),(6695,4445,0.4341,-0.94749),(6695,4455,0.43484,-0.94504),(6695,4465,0.43559,-0.94258),(6695,4475,0.43636,-0.94012),(6695,4485,0.43712,-0.93758),(6695,4495,0.4379,-0.93503),(6695,4505,0.4387,-0.93247),(6695,4515,0.4395,-0.92988),(6695,4525,0.4403,-0.92727),(6695,4535,0.44112,-0.92466),(6695,4545,0.44195,-0.92201),(6695,4555,0.44277,-0.91931),(6695,4565,0.44361,-0.91662),(6695,4575,0.44446,-0.91389),(6695,4585,0.4453,-0.91109),(6695,4595,0.44617,-0.90828),(6695,4605,0.44706,-0.90547),(6695,4615,0.44794,-0.90261),(6695,4625,0.44885,-0.89975),(6695,4635,0.44979,-0.89688),(6695,4645,0.45072,-0.89396),(6695,4655,0.45166,-0.89103),(6695,4665,0.45263,-0.88811),(6695,4675,0.4536,-0.88513),(6695,4685,0.45457,-0.88214),(6695,4695,0.45556,-0.87915),(6695,4705,0.45655,-0.87611),(6695,4715,0.45754,-0.87303),(6695,4725,0.45857,-0.86996),(6695,4735,0.45959,-0.86686),(6695,4745,0.46062,-0.86372),(6695,4755,0.46169,-0.86058),(6695,4765,0.46278,-0.85744),(6695,4775,0.46386,-0.85425),(6695,4785,0.46497,-0.85106),(6695,4795,0.46609,-0.84787),(6695,4805,0.46722,-0.8446),(6695,4815,0.46835,-0.84133),(6695,4825,0.4695,-0.83806),(6695,4835,0.47065,-0.83471),(6695,4845,0.4718,-0.83135),(6695,4855,0.47296,-0.82799),(6695,4865,0.47413,-0.82458),(6695,4875,0.47529,-0.82114),(6695,4885,0.47648,-0.81771),(6695,4895,0.47767,-0.81425),(6695,4905,0.47886,-0.81074),(6695,4915,0.48007,-0.80724),(6695,4925,0.48128,-0.80371),(6695,4935,0.48249,-0.80013),(6695,4945,0.48371,-0.79655),(6695,4955,0.48493,-0.79295),(6695,4965,0.48616,-0.78929),(6695,4975,0.48739,-0.78563),(6695,4985,0.48863,-0.78197),(6695,4995,0.48987,-0.77827),(6695,5005,0.49112,-0.77458),(6695,5015,0.49239,-0.77088),(6695,5025,0.49365,-0.76713),(6695,5035,0.49492,-0.76337),(6695,5045,0.49619,-0.75961),(6695,5055,0.49746,-0.7558),(6695,5065,0.49873,-0.75195),(6695,5075,0.50002,-0.7481),(6695,5085,0.5013,-0.74421),(6695,5095,0.50258,-0.74029),(6695,5105,0.50388,-0.73637),(6695,5115,0.50518,-0.73243),(6695,5125,0.50647,-0.72846),(6695,5135,0.50779,-0.7245),(6695,5145,0.50912,-0.72052),(6695,5155,0.51044,-0.71651),(6695,5165,0.51178,-0.71251),(6695,5175,0.51311,-0.7085),(6695,5185,0.51445,-0.70439),(6695,5195,0.51578,-0.70027),(6695,5205,0.51711,-0.69616),(6695,5215,0.51844,-0.69198),(6695,5225,0.51977,-0.68779),(6695,5235,0.5211,-0.68359),(6695,5245,0.52244,-0.67938),(6695,5255,0.52377,-0.67515),(6695,5265,0.52512,-0.67092),(6695,5275,0.52646,-0.66669),(6695,5285,0.52781,-0.66243),(6695,5295,0.52915,-0.65818),(6695,5305,0.53049,-0.65391),(6695,5315,0.53183,-0.64958),(6695,5325,0.53315,-0.64525),(6695,5335,0.53446,-0.64091),(6695,5345,0.53578,-0.6365),(6695,5355,0.53709,-0.63209),(6695,5365,0.53839,-0.62768),(6695,5375,0.5397,-0.62324),(6695,5385,0.54101,-0.61879),(6695,5395,0.54234,-0.61435),(6695,5405,0.54366,-0.60988),(6695,5415,0.54499,-0.60541),(6695,5425,0.54632,-0.60094),(6695,5435,0.54765,-0.59644),(6695,5445,0.54899,-0.59191),(6695,5455,0.55032,-0.58738),(6695,5465,0.55164,-0.58283),(6695,5475,0.55297,-0.57823),(6695,5485,0.55429,-0.57364),(6695,5495,0.5556,-0.56903),(6695,5505,0.55691,-0.56438),(6695,5515,0.55821,-0.55974),(6695,5525,0.55951,-0.55509),(6695,5535,0.56081,-0.55038),(6695,5545,0.56209,-0.54567),(6695,5555,0.56335,-0.54096),(6695,5565,0.56461,-0.53618),(6695,5575,0.56586,-0.53138),(6695,5585,0.56708,-0.52658),(6695,5595,0.56829,-0.52172),(6695,5605,0.56951,-0.51683),(6695,5615,0.5707,-0.51193),(6695,5625,0.5719,-0.50703),(6695,5635,0.57309,-0.50213),(6695,5645,0.57428,-0.49722),(6695,5655,0.57547,-0.4923),(6695,5665,0.57667,-0.48736),(6695,5675,0.57785,-0.48241),(6695,5685,0.57904,-0.47746),(6695,5695,0.58023,-0.47249),(6695,5705,0.58142,-0.46751),(6695,5715,0.5826,-0.46254),(6695,5725,0.58378,-0.45758),(6695,5735,0.58495,-0.45262),(6695,5745,0.58609,-0.44766),(6695,5755,0.58724,-0.44268),(6695,5765,0.58837,-0.43768),(6695,5775,0.58947,-0.43269),(6695,5785,0.59057,-0.42765),(6695,5795,0.59167,-0.42258),(6695,5805,0.59274,-0.41751),(6695,5815,0.5938,-0.41242),(6695,5825,0.59487,-0.40732),(6695,5835,0.59593,-0.40221),(6695,5845,0.59698,-0.3971),(6695,5855,0.59804,-0.392),(6695,5865,0.59908,-0.3869),(6695,5875,0.60011,-0.3818),(6695,5885,0.60114,-0.37664),(6695,5895,0.60216,-0.37148),(6695,5905,0.60314,-0.36632),(6695,5915,0.60412,-0.36111),(6695,5925,0.60509,-0.35589),(6695,5935,0.60603,-0.35067),(6695,5945,0.60697,-0.34545),(6695,5955,0.6079,-0.34023),(6695,5965,0.6088,-0.33501),(6695,5975,0.60971,-0.32977),(6695,5985,0.61061,-0.32453),(6695,5995,0.61151,-0.31928),(6695,6005,0.6124,-0.31402),(6695,6015,0.6133,-0.30874),(6695,6025,0.61417,-0.30346),(6695,6035,0.61502,-0.29819),(6695,6045,0.61588,-0.29289),(6695,6055,0.61672,-0.2876),(6695,6065,0.61752,-0.28231),(6695,6075,0.61833,-0.27692),(6695,6085,0.61912,-0.27153),(6695,6095,0.61987,-0.26613),(6695,6105,0.62061,-0.26068),(6695,6115,0.62135,-0.2552),(6695,6125,0.62206,-0.24973),(6695,6135,0.62276,-0.24431),(6695,6145,0.62347,-0.23894),(6695,6155,0.62417,-0.23357),(6695,6165,0.62487,-0.22822),(6695,6175,0.62556,-0.22289),(6695,6185,0.62623,-0.21756),(6695,6195,0.6269,-0.2122),(6695,6205,0.62756,-0.20676),(6695,6215,0.62819,-0.20132),(6695,6225,0.6288,-0.19589),(6695,6235,0.6294,-0.19046),(6695,6245,0.62998,-0.18503),(6695,6255,0.63053,-0.1796),(6695,6265,0.63108,-0.17415),(6695,6275,0.6316,-0.1687),(6695,6285,0.63209,-0.16324),(6695,6295,0.63257,-0.1578),(6695,6305,0.63304,-0.15235),(6695,6315,0.6335,-0.1469),(6695,6325,0.63395,-0.14147),(6695,6335,0.6344,-0.13607),(6695,6345,0.63482,-0.13066),(6695,6355,0.63524,-0.1252),(6695,6365,0.63565,-0.11959),(6695,6375,0.63603,-0.11398),(6695,6385,0.63639,-0.10838),(6695,6395,0.63676,-0.10286),(6695,6405,0.6371,-0.09733),(6695,6415,0.63742,-0.091805),(6695,6425,0.63775,-0.086372),(6695,6435,0.63805,-0.080944),(6695,6445,0.63831,-0.075516),(6695,6455,0.63856,-0.07004),(6695,6465,0.63881,-0.06455),(6695,6475,0.63902,-0.059059),(6695,6485,0.63923,-0.053482),(6695,6495,0.63943,-0.047846),(6695,6505,0.63962,-0.04221),(6695,6515,0.63981,-0.036612),(6695,6525,0.63999,-0.031066),(6695,6535,0.64014,-0.02552),(6695,6545,0.64028,-0.020015),(6695,6555,0.64042,-0.014638),(6695,6565,0.6405,-0.009261),(6695,6575,0.64056,-0.003879),(6695,6585,0.64061,0.001565),(6695,6595,0.54487,0.007008),(6695,6605,0.34335,0.012452),(6695,6615,0.14183,0.013143),(6695,6625,0.000185,0.013222),(6695,6635,0.000243,0.013302),(6695,6645,0.0003,0.013324),(6695,6655,0.000357,0.013323),(6695,6665,0.000414,0.013322),(6695,6675,0.000471,0.01332),(6695,6685,0.000528,0.013316),(6695,6695,0.000585,0.013312),(6695,6705,0.000641,0.013308),(6695,6715,0.000698,0.013302),(6695,6725,0.000754,0.013296),(6695,6735,0.00081,0.013289),(6695,6745,0.000866,0.01328),(6695,6755,0.000922,0.013272),(6695,6765,0.000977,0.013263),(6695,6775,0.001032,0.013252),(6695,6785,0.001087,0.013241),(6695,6795,0.001141,0.01323),(6695,6805,0.001195,0.013217),(6695,6815,0.001249,0.013203),(6695,6825,0.001302,0.01319),(6695,6835,0.001355,0.013175),(6695,6845,0.001408,0.013159),(6695,6855,0.00146,0.013144),(6695,6865,0.001512,0.013127),(6695,6875,0.001563,0.013109),(6695,6885,0.001614,0.013092),(6695,6895,0.001664,0.013073),(6695,6905,0.001715,0.013054),(6695,6915,0.001764,0.013034),(6695,6925,0.001813,0.013014),(6695,6935,0.001862,0.012992),(6695,6945,0.00191,0.012971),(6695,6955,0.001957,0.012949),(6695,6965,0.002004,0.012926),(6695,6975,0.002051,0.012903),(6695,6985,0.002096,0.01288),(6705,5,-1.1e-05,-1.2902),(6705,15,-3.2e-05,-1.2903),(6705,25,-5e-05,-1.2903),(6705,35,-6.7e-05,-1.2903),(6705,45,-8.4e-05,-1.2903),(6705,55,-0.0001,-1.2903),(6705,65,-0.000111,-1.2903),(6705,75,-0.000117,-1.2903),(6705,85,-0.000123,-1.2902),(6705,95,-0.000129,-1.2901),(6705,105,-0.000137,-1.2901),(6705,115,-0.000146,-1.29),(6705,125,-0.000155,-1.2899),(6705,135,-0.000163,-1.2899),(6705,145,-0.000161,-1.2898),(6705,155,-0.000153,-1.2898),(6705,165,-0.000145,-1.2897),(6705,175,-0.000138,-1.2896),(6705,185,-0.000132,-1.2895),(6705,195,-0.000127,-1.2894),(6705,205,-0.000122,-1.2893),(6705,215,-0.000118,-1.2892),(6705,225,-0.000107,-1.2891),(6705,235,-9.3e-05,-1.289),(6705,245,-8e-05,-1.2888),(6705,255,-6.6e-05,-1.2887),(6705,265,-5.1e-05,-1.2886),(6705,275,-3.5e-05,-1.2884),(6705,285,-1.9e-05,-1.2882),(6705,295,-4e-06,-1.288),(6705,305,1.2e-05,-1.2878),(6705,315,2.7e-05,-1.2876),(6705,325,4.2e-05,-1.2875),(6705,335,5.7e-05,-1.2873),(6705,345,5.7e-05,-1.2871),(6705,355,5.4e-05,-1.287),(6705,365,5.1e-05,-1.2868),(6705,375,4.8e-05,-1.2866),(6705,385,3.3e-05,-1.2863),(6705,395,1.6e-05,-1.2861),(6705,405,-1e-06,-1.2859),(6705,415,-1.7e-05,-1.2856),(6705,425,-3.4e-05,-1.2854),(6705,435,-5.1e-05,-1.2852),(6705,445,-6.7e-05,-1.2849),(6705,455,-8.4e-05,-1.2847),(6705,465,-8.6e-05,-1.2844),(6705,475,-8.7e-05,-1.2842),(6705,485,-8.9e-05,-1.2839),(6705,495,-9e-05,-1.2837),(6705,505,-9.3e-05,-1.2834),(6705,515,-9.6e-05,-1.2831),(6705,525,-9.9e-05,-1.2828),(6705,535,-0.000103,-1.2825),(6705,545,-0.000116,-1.2822),(6705,555,-0.00013,-1.2819),(6705,565,-0.000143,-1.2816),(6705,575,-0.000156,-1.2813),(6705,585,-0.000153,-1.2809),(6705,595,-0.00015,-1.2806),(6705,605,-0.000147,-1.2803),(6705,615,-0.000141,-1.28),(6705,625,-0.000121,-1.2797),(6705,635,-0.000101,-1.2794),(6705,645,-8.1e-05,-1.2791),(6705,655,-6.1e-05,-1.2788),(6705,665,-4.6e-05,-1.2785),(6705,675,-3.2e-05,-1.2782),(6705,685,-1.7e-05,-1.2779),(6705,695,-5e-06,-1.2775),(6705,705,-7e-06,-1.2772),(6705,715,-9e-06,-1.2768),(6705,725,-1.1e-05,-1.2764),(6705,735,-1.3e-05,-1.276),(6705,745,-1.2e-05,-1.2756),(6705,755,-1.2e-05,-1.2752),(6705,765,-1.2e-05,-1.2748),(6705,775,-7e-06,-1.2744),(6705,785,1.3e-05,-1.274),(6705,795,3.3e-05,-1.2736),(6705,805,5.3e-05,-1.2731),(6705,815,8.6e-05,-1.2727),(6705,825,0.000149,-1.2722),(6705,835,0.000211,-1.2718),(6705,845,0.000273,-1.2714),(6705,855,0.000348,-1.271),(6705,865,0.000448,-1.2706),(6705,875,0.000547,-1.2702),(6705,885,0.000646,-1.2698),(6705,895,0.000762,-1.2694),(6705,905,0.000905,-1.269),(6705,915,0.001048,-1.2686),(6705,925,0.00119,-1.2682),(6705,935,0.001339,-1.2678),(6705,945,0.001495,-1.2674),(6705,955,0.001652,-1.2669),(6705,965,0.001808,-1.2664),(6705,975,0.001981,-1.2659),(6705,985,0.002173,-1.2654),(6705,995,0.002365,-1.2649),(6705,1005,0.002557,-1.2643),(6705,1015,0.002815,-1.2638),(6705,1025,0.003138,-1.2632),(6705,1035,0.00346,-1.2627),(6705,1045,0.003783,-1.2622),(6705,1055,0.004219,-1.2616),(6705,1065,0.004749,-1.2611),(6705,1075,0.005278,-1.2604),(6705,1085,0.005808,-1.2597),(6705,1095,0.006524,-1.259),(6705,1105,0.007369,-1.2583),(6705,1115,0.008215,-1.2575),(6705,1125,0.00906,-1.2566),(6705,1135,0.010197,-1.2557),(6705,1145,0.011505,-1.2548),(6705,1155,0.012813,-1.2536),(6705,1165,0.014122,-1.2523),(6705,1175,0.015846,-1.251),(6705,1185,0.017778,-1.2497),(6705,1195,0.01971,-1.2478),(6705,1205,0.021641,-1.2458),(6705,1215,0.023978,-1.2437),(6705,1225,0.026482,-1.2416),(6705,1235,0.028986,-1.2386),(6705,1245,0.031491,-1.2352),(6705,1255,0.034092,-1.2318),(6705,1265,0.036726,-1.2284),(6705,1275,0.03936,-1.2238),(6705,1285,0.041993,-1.2188),(6705,1295,0.039036,-1.2138),(6705,1305,0.034567,-1.2088),(6705,1315,0.030098,-1.2052),(6705,1325,0.025629,-1.202),(6705,1335,0.015818,-1.1988),(6705,1345,0.004887,-1.1955),(6705,1355,-0.006044,-1.1969),(6705,1365,-0.016975,-1.1992),(6705,1375,-0.023796,-1.2014),(6705,1385,-0.029983,-1.2037),(6705,1395,-0.036169,-1.2082),(6705,1405,-0.042356,-1.2131),(6705,1415,-0.040514,-1.2179),(6705,1425,-0.037839,-1.2227),(6705,1435,-0.035163,-1.2262),(6705,1445,-0.032488,-1.2295),(6705,1455,-0.029899,-1.2328),(6705,1465,-0.027314,-1.2362),(6705,1475,-0.02473,-1.238),(6705,1485,-0.022145,-1.2398),(6705,1495,-0.0201,-1.2415),(6705,1505,-0.018063,-1.2433),(6705,1515,-0.016026,-1.2443),(6705,1525,-0.014005,-1.2454),(6705,1535,-0.012627,-1.2464),(6705,1545,-0.011249,-1.2474),(6705,1555,-0.00987,-1.2479),(6705,1565,-0.008525,-1.2484),(6705,1575,-0.007659,-1.2488),(6705,1585,-0.006793,-1.2493),(6705,1595,-0.005927,-1.2496),(6705,1605,-0.005094,-1.2499),(6705,1615,-0.004552,-1.2502),(6705,1625,-0.00401,-1.2505),(6705,1635,-0.003468,-1.2506),(6705,1645,-0.002949,-1.2508),(6705,1655,-0.002564,-1.2509),(6705,1665,-0.002179,-1.251),(6705,1675,-0.001794,-1.2512),(6705,1685,-0.001432,-1.2513),(6705,1695,-0.001177,-1.2514),(6705,1705,-0.000922,-1.2515),(6705,1715,-0.000667,-1.2516),(6705,1725,-0.000433,-1.2516),(6705,1735,-0.000273,-1.2517),(6705,1745,-0.000113,-1.2517),(6705,1755,4.7e-05,-1.2517),(6705,1765,0.000196,-1.2517),(6705,1775,0.000312,-1.2517),(6705,1785,0.000428,-1.2517),(6705,1795,0.000544,-1.2517),(6705,1805,0.000645,-1.2518),(6705,1815,0.000709,-1.2518),(6705,1825,0.000774,-1.2518),(6705,1835,0.000839,-1.2517),(6705,1845,0.000888,-1.2517),(6705,1855,0.000908,-1.2517),(6705,1865,0.000928,-1.2516),(6705,1875,0.000948,-1.2516),(6705,1885,0.000962,-1.2516),(6705,1895,0.000969,-1.2515),(6705,1905,0.000975,-1.2514),(6705,1915,0.000981,-1.2513),(6705,1925,0.000996,-1.2512),(6705,1935,0.001022,-1.251),(6705,1945,0.001048,-1.2509),(6705,1955,0.001074,-1.2509),(6705,1965,0.001116,-1.2509),(6705,1975,0.001178,-1.2509),(6705,1985,0.00124,-1.2508),(6705,1995,0.001302,-1.2507),(6705,2005,0.001345,-1.2506),(6705,2015,0.00137,-1.2506),(6705,2025,0.001395,-1.2504),(6705,2035,0.001419,-1.2502),(6705,2045,0.00143,-1.2501),(6705,2055,0.00143,-1.2499),(6705,2065,0.001429,-1.2497),(6705,2075,0.001428,-1.2496),(6705,2085,0.001422,-1.2495),(6705,2095,0.001411,-1.2494),(6705,2105,0.0014,-1.2492),(6705,2115,0.00139,-1.2489),(6705,2125,0.00136,-1.2487),(6705,2135,0.001319,-1.2485),(6705,2145,0.001278,-1.2483),(6705,2155,0.001236,-1.248),(6705,2165,0.001215,-1.2478),(6705,2175,0.001203,-1.2476),(6705,2185,0.001192,-1.2473),(6705,2195,0.001181,-1.2471),(6705,2205,0.001175,-1.2468),(6705,2215,0.001172,-1.2466),(6705,2225,0.001169,-1.2463),(6705,2235,0.001165,-1.2459),(6705,2245,0.001153,-1.2456),(6705,2255,0.001136,-1.2453),(6705,2265,0.00112,-1.245),(6705,2275,0.001104,-1.2447),(6705,2285,0.001122,-1.2444),(6705,2295,0.001149,-1.2441),(6705,2305,0.001176,-1.2438),(6705,2315,0.001204,-1.2435),(6705,2325,0.001249,-1.2432),(6705,2335,0.001299,-1.2429),(6705,2345,0.001348,-1.2426),(6705,2355,0.001397,-1.2423),(6705,2365,0.001417,-1.2419),(6705,2375,0.001431,-1.2416),(6705,2385,0.001445,-1.2412),(6705,2395,0.001459,-1.2407),(6705,2405,0.00146,-1.2403),(6705,2415,0.00146,-1.2399),(6705,2425,0.00146,-1.2394),(6705,2435,0.001459,-1.2389),(6705,2445,0.001453,-1.2384),(6705,2455,0.001447,-1.2379),(6705,2465,0.00144,-1.2375),(6705,2475,0.001433,-1.237),(6705,2485,0.001419,-1.2366),(6705,2495,0.001404,-1.2361),(6705,2505,0.00139,-1.2357),(6705,2515,0.001375,-1.2352),(6705,2525,0.001365,-1.2347),(6705,2535,0.001355,-1.2343),(6705,2545,0.001345,-1.2337),(6705,2555,0.001335,-1.2332),(6705,2565,0.001324,-1.2326),(6705,2575,0.001314,-1.232),(6705,2585,0.001304,-1.2314),(6705,2595,0.001294,-1.2308),(6705,2605,0.001289,-1.2302),(6705,2615,0.001284,-1.2296),(6705,2625,0.001279,-1.229),(6705,2635,0.001277,-1.2284),(6705,2645,0.001293,-1.2278),(6705,2655,0.001308,-1.2272),(6705,2665,0.001324,-1.2266),(6705,2675,0.001339,-1.2259),(6705,2685,0.001349,-1.2253),(6705,2695,0.001359,-1.2247),(6705,2705,0.001369,-1.2241),(6705,2715,0.001379,-1.2235),(6705,2725,0.001389,-1.2229),(6705,2735,0.001398,-1.2222),(6705,2745,0.001407,-1.2216),(6705,2755,0.001416,-1.2209),(6705,2765,0.001424,-1.2202),(6705,2775,0.001432,-1.2195),(6705,2785,0.00144,-1.2188),(6705,2795,0.001455,-1.218),(6705,2805,0.001486,-1.2173),(6705,2815,0.001517,-1.2166),(6705,2825,0.001547,-1.2158),(6705,2835,0.001583,-1.2151),(6705,2845,0.001629,-1.2144),(6705,2855,0.001676,-1.2136),(6705,2865,0.001722,-1.2128),(6705,2875,0.001764,-1.2121),(6705,2885,0.001799,-1.2113),(6705,2895,0.001834,-1.2105),(6705,2905,0.001868,-1.2097),(6705,2915,0.001894,-1.2089),(6705,2925,0.001907,-1.2081),(6705,2935,0.001919,-1.2073),(6705,2945,0.001932,-1.2064),(6705,2955,0.001929,-1.2056),(6705,2965,0.001906,-1.2047),(6705,2975,0.001883,-1.2039),(6705,2985,0.00186,-1.2029),(6705,2995,0.001829,-1.202),(6705,3005,0.001789,-1.2011),(6705,3015,0.001749,-1.2002),(6705,3025,0.001709,-1.1992),(6705,3035,0.001696,-1.1983),(6705,3045,0.001708,-1.1973),(6705,3055,0.001719,-1.1964),(6705,3065,0.00173,-1.1955),(6705,3075,0.001753,-1.1945),(6705,3085,0.001785,-1.1936),(6705,3095,0.001817,-1.1926),(6705,3105,0.001848,-1.1917),(6705,3115,0.001868,-1.1907),(6705,3125,0.001881,-1.1897),(6705,3135,0.001894,-1.1887),(6705,3145,0.001906,-1.1877),(6705,3155,0.001923,-1.1868),(6705,3165,0.001942,-1.1858),(6705,3175,0.001961,-1.1848),(6705,3185,0.00198,-1.1838),(6705,3195,0.002004,-1.1828),(6705,3205,0.00203,-1.1818),(6705,3215,0.002056,-1.1807),(6705,3225,0.002082,-1.1796),(6705,3235,0.002071,-1.1785),(6705,3245,0.002046,-1.1774),(6705,3255,0.002022,-1.1762),(6705,3265,0.001997,-1.175),(6705,3275,0.001987,-1.1739),(6705,3285,0.00198,-1.1727),(6705,3295,0.001974,-1.1716),(6705,3305,0.001967,-1.1705),(6705,3315,0.002007,-1.1694),(6705,3325,0.002057,-1.1683),(6705,3335,0.002107,-1.1672),(6705,3345,0.002158,-1.1661),(6705,3355,0.002201,-1.1649),(6705,3365,0.002243,-1.1638),(6705,3375,0.002284,-1.1626),(6705,3385,0.002326,-1.1614),(6705,3395,0.002366,-1.1602),(6705,3405,0.002405,-1.159),(6705,3415,0.002445,-1.1579),(6705,3425,0.002484,-1.1567),(6705,3435,0.002475,-1.1556),(6705,3445,0.002463,-1.1544),(6705,3455,0.00245,-1.1531),(6705,3465,0.002437,-1.1519),(6705,3475,0.002429,-1.1506),(6705,3485,0.00242,-1.1493),(6705,3495,0.002412,-1.148),(6705,3505,0.002404,-1.1467),(6705,3515,0.002457,-1.1454),(6705,3525,0.00251,-1.1442),(6705,3535,0.002562,-1.1429),(6705,3545,0.002617,-1.1417),(6705,3555,0.002711,-1.1404),(6705,3565,0.002806,-1.1392),(6705,3575,0.0029,-1.1379),(6705,3585,0.002999,-1.1366),(6705,3595,0.003148,-1.1353),(6705,3605,0.003297,-1.134),(6705,3615,0.003446,-1.1327),(6705,3625,0.003593,-1.1314),(6705,3635,0.003722,-1.1301),(6705,3645,0.003852,-1.1288),(6705,3655,0.003981,-1.1273),(6705,3665,0.004124,-1.1259),(6705,3675,0.004333,-1.1244),(6705,3685,0.004542,-1.123),(6705,3695,0.004751,-1.1216),(6705,3705,0.004988,-1.1202),(6705,3715,0.005332,-1.1188),(6705,3725,0.005676,-1.1174),(6705,3735,0.00602,-1.1159),(6705,3745,0.0064,-1.1143),(6705,3755,0.006894,-1.1128),(6705,3765,0.007388,-1.1113),(6705,3775,0.007881,-1.1097),(6705,3785,0.008452,-1.1081),(6705,3795,0.009217,-1.1065),(6705,3805,0.009981,-1.1048),(6705,3815,0.010746,-1.1029),(6705,3825,0.01161,-1.101),(6705,3835,0.012684,-1.0992),(6705,3845,0.013757,-1.0972),(6705,3855,0.014831,-1.095),(6705,3865,0.016047,-1.0928),(6705,3875,0.017517,-1.0906),(6705,3885,0.018987,-1.0882),(6705,3895,0.020457,-1.0852),(6705,3905,0.022038,-1.0823),(6705,3915,0.023787,-1.0793),(6705,3925,0.025537,-1.076),(6705,3935,0.027286,-1.0721),(6705,3945,0.02904,-1.0683),(6705,3955,0.0308,-1.0644),(6705,3965,0.032561,-1.0601),(6705,3975,0.034322,-1.055),(6705,3985,0.034463,-1.05),(6705,3995,0.032852,-1.0449),(6705,4005,0.031241,-1.0404),(6705,4015,0.02963,-1.0364),(6705,4025,0.093567,-1.0323),(6705,4035,0.16392,-1.0292),(6705,4045,0.23427,-1.0282),(6705,4055,0.28849,-1.0271),(6705,4065,0.33682,-1.026),(6705,4075,0.38515,-1.0242),(6705,4085,0.40706,-1.0224),(6705,4095,0.40774,-1.0206),(6705,4105,0.40842,-1.0187),(6705,4115,0.4091,-1.0169),(6705,4125,0.40976,-1.015),(6705,4135,0.41043,-1.0131),(6705,4145,0.41109,-1.0112),(6705,4155,0.41173,-1.0093),(6705,4165,0.41237,-1.0074),(6705,4175,0.41301,-1.0056),(6705,4185,0.41365,-1.0037),(6705,4195,0.41428,-1.0018),(6705,4205,0.41491,-0.99986),(6705,4215,0.41554,-0.99791),(6705,4225,0.41617,-0.99595),(6705,4235,0.4168,-0.99395),(6705,4245,0.41743,-0.99195),(6705,4255,0.41806,-0.98995),(6705,4265,0.4187,-0.98792),(6705,4275,0.41933,-0.9859),(6705,4285,0.41996,-0.98387),(6705,4295,0.4206,-0.98176),(6705,4305,0.42123,-0.97963),(6705,4315,0.42186,-0.97751),(6705,4325,0.4225,-0.9753),(6705,4335,0.42314,-0.97306),(6705,4345,0.42378,-0.97083),(6705,4355,0.42443,-0.96857),(6705,4365,0.42507,-0.96631),(6705,4375,0.42574,-0.96404),(6705,4385,0.42641,-0.96176),(6705,4395,0.42707,-0.95947),(6705,4405,0.42775,-0.95718),(6705,4415,0.42844,-0.95486),(6705,4425,0.42912,-0.95246),(6705,4435,0.42982,-0.95006),(6705,4445,0.43054,-0.94765),(6705,4455,0.43125,-0.94519),(6705,4465,0.43198,-0.94273),(6705,4475,0.43272,-0.94027),(6705,4485,0.43347,-0.93772),(6705,4495,0.43423,-0.93516),(6705,4505,0.43501,-0.9326),(6705,4515,0.43579,-0.93001),(6705,4525,0.43657,-0.9274),(6705,4535,0.43738,-0.92478),(6705,4545,0.43819,-0.92213),(6705,4555,0.439,-0.91944),(6705,4565,0.43982,-0.91675),(6705,4575,0.44065,-0.91402),(6705,4585,0.44148,-0.91121),(6705,4595,0.44233,-0.9084),(6705,4605,0.44319,-0.90559),(6705,4615,0.44406,-0.90272),(6705,4625,0.44494,-0.89985),(6705,4635,0.44585,-0.89698),(6705,4645,0.44676,-0.89405),(6705,4655,0.44768,-0.89112),(6705,4665,0.44862,-0.88819),(6705,4675,0.44955,-0.88521),(6705,4685,0.45049,-0.88222),(6705,4695,0.45146,-0.87922),(6705,4705,0.45242,-0.87618),(6705,4715,0.45338,-0.8731),(6705,4725,0.45438,-0.87002),(6705,4735,0.45537,-0.86691),(6705,4745,0.45636,-0.86376),(6705,4755,0.45741,-0.8606),(6705,4765,0.45847,-0.85744),(6705,4775,0.45953,-0.85424),(6705,4785,0.46062,-0.85104),(6705,4795,0.46172,-0.84783),(6705,4805,0.46283,-0.84456),(6705,4815,0.46394,-0.84128),(6705,4825,0.46508,-0.83801),(6705,4835,0.46621,-0.83465),(6705,4845,0.46735,-0.83129),(6705,4855,0.4685,-0.82792),(6705,4865,0.46965,-0.82451),(6705,4875,0.4708,-0.82108),(6705,4885,0.47197,-0.81764),(6705,4895,0.47314,-0.81417),(6705,4905,0.47431,-0.81067),(6705,4915,0.4755,-0.80716),(6705,4925,0.47669,-0.80363),(6705,4935,0.47788,-0.80004),(6705,4945,0.47908,-0.79646),(6705,4955,0.48028,-0.79286),(6705,4965,0.48148,-0.78919),(6705,4975,0.4827,-0.78553),(6705,4985,0.48391,-0.78186),(6705,4995,0.48513,-0.77816),(6705,5005,0.48636,-0.77446),(6705,5015,0.4876,-0.77075),(6705,5025,0.48885,-0.767),(6705,5035,0.49009,-0.76324),(6705,5045,0.49135,-0.75947),(6705,5055,0.4926,-0.75566),(6705,5065,0.49386,-0.7518),(6705,5075,0.49512,-0.74795),(6705,5085,0.49638,-0.74407),(6705,5095,0.49765,-0.74014),(6705,5105,0.49892,-0.73622),(6705,5115,0.50018,-0.73228),(6705,5125,0.50145,-0.7283),(6705,5135,0.50274,-0.72432),(6705,5145,0.50404,-0.72034),(6705,5155,0.50534,-0.71632),(6705,5165,0.50665,-0.7123),(6705,5175,0.50797,-0.70828),(6705,5185,0.50929,-0.70418),(6705,5195,0.5106,-0.70006),(6705,5205,0.5119,-0.69595),(6705,5215,0.51321,-0.69178),(6705,5225,0.51451,-0.68758),(6705,5235,0.51581,-0.68338),(6705,5245,0.51712,-0.67916),(6705,5255,0.51842,-0.67492),(6705,5265,0.51974,-0.67068),(6705,5275,0.52107,-0.66644),(6705,5285,0.52239,-0.66217),(6705,5295,0.52372,-0.65791),(6705,5305,0.52505,-0.65363),(6705,5315,0.52638,-0.64931),(6705,5325,0.52769,-0.64499),(6705,5335,0.52898,-0.64066),(6705,5345,0.53028,-0.63626),(6705,5355,0.53157,-0.63185),(6705,5365,0.53285,-0.62745),(6705,5375,0.53413,-0.623),(6705,5385,0.53541,-0.61854),(6705,5395,0.5367,-0.61409),(6705,5405,0.53799,-0.60961),(6705,5415,0.53928,-0.60512),(6705,5425,0.54059,-0.60064),(6705,5435,0.5419,-0.59612),(6705,5445,0.54321,-0.59158),(6705,5455,0.54453,-0.58704),(6705,5465,0.54585,-0.58248),(6705,5475,0.54717,-0.57788),(6705,5485,0.54848,-0.57327),(6705,5495,0.5498,-0.56866),(6705,5505,0.55111,-0.56401),(6705,5515,0.55242,-0.55937),(6705,5525,0.55371,-0.55472),(6705,5535,0.55501,-0.55002),(6705,5545,0.55629,-0.54531),(6705,5555,0.55755,-0.54061),(6705,5565,0.5588,-0.53584),(6705,5575,0.56005,-0.53105),(6705,5585,0.56125,-0.52626),(6705,5595,0.56245,-0.52141),(6705,5605,0.56365,-0.51653),(6705,5615,0.56482,-0.51164),(6705,5625,0.56599,-0.50674),(6705,5635,0.56715,-0.50183),(6705,5645,0.56831,-0.49692),(6705,5655,0.56947,-0.492),(6705,5665,0.57063,-0.48705),(6705,5675,0.57179,-0.48209),(6705,5685,0.57296,-0.47714),(6705,5695,0.57412,-0.47214),(6705,5705,0.57529,-0.46715),(6705,5715,0.57646,-0.46216),(6705,5725,0.57764,-0.4572),(6705,5735,0.5788,-0.45224),(6705,5745,0.57994,-0.44729),(6705,5755,0.58108,-0.44231),(6705,5765,0.58221,-0.43732),(6705,5775,0.5833,-0.43234),(6705,5785,0.58439,-0.42731),(6705,5795,0.58547,-0.42224),(6705,5805,0.58653,-0.41718),(6705,5815,0.58758,-0.4121),(6705,5825,0.58863,-0.40699),(6705,5835,0.58967,-0.40187),(6705,5845,0.5907,-0.39677),(6705,5855,0.59174,-0.39166),(6705,5865,0.59276,-0.38656),(6705,5875,0.59378,-0.38145),(6705,5885,0.5948,-0.3763),(6705,5895,0.5958,-0.37115),(6705,5905,0.59676,-0.36599),(6705,5915,0.59773,-0.36079),(6705,5925,0.59869,-0.35558),(6705,5935,0.59961,-0.35036),(6705,5945,0.60054,-0.34515),(6705,5955,0.60146,-0.33992),(6705,5965,0.60235,-0.3347),(6705,5975,0.60324,-0.32946),(6705,5985,0.60413,-0.3242),(6705,5995,0.60503,-0.31894),(6705,6005,0.60592,-0.31367),(6705,6015,0.60682,-0.30839),(6705,6025,0.60769,-0.30312),(6705,6035,0.60855,-0.29784),(6705,6045,0.60941,-0.29256),(6705,6055,0.61025,-0.28727),(6705,6065,0.61106,-0.28199),(6705,6075,0.61187,-0.27661),(6705,6085,0.61265,-0.27123),(6705,6095,0.61339,-0.26585),(6705,6105,0.61413,-0.26041),(6705,6115,0.61487,-0.25494),(6705,6125,0.61556,-0.24947),(6705,6135,0.61625,-0.24406),(6705,6145,0.61694,-0.23869),(6705,6155,0.61761,-0.23332),(6705,6165,0.61829,-0.22796),(6705,6175,0.61896,-0.22263),(6705,6185,0.61961,-0.21729),(6705,6195,0.62026,-0.21194),(6705,6205,0.6209,-0.2065),(6705,6215,0.62152,-0.20107),(6705,6225,0.62212,-0.19563),(6705,6235,0.62272,-0.19021),(6705,6245,0.6233,-0.18479),(6705,6255,0.62384,-0.17936),(6705,6265,0.62439,-0.17392),(6705,6275,0.62492,-0.16848),(6705,6285,0.6254,-0.16304),(6705,6295,0.62588,-0.15759),(6705,6305,0.62636,-0.15214),(6705,6315,0.62682,-0.14669),(6705,6325,0.62727,-0.14127),(6705,6335,0.62773,-0.13587),(6705,6345,0.62814,-0.13047),(6705,6355,0.62855,-0.12501),(6705,6365,0.62896,-0.11941),(6705,6375,0.62933,-0.11381),(6705,6385,0.62969,-0.10822),(6705,6395,0.63004,-0.10269),(6705,6405,0.63038,-0.097164),(6705,6415,0.63071,-0.091639),(6705,6425,0.63103,-0.086218),(6705,6435,0.63132,-0.080801),(6705,6445,0.63158,-0.075385),(6705,6455,0.63183,-0.069917),(6705,6465,0.63208,-0.064434),(6705,6475,0.63228,-0.058951),(6705,6485,0.63248,-0.053375),(6705,6495,0.63269,-0.047737),(6705,6505,0.63287,-0.042099),(6705,6515,0.63304,-0.036501),(6705,6525,0.63322,-0.03096),(6705,6535,0.63336,-0.025419),(6705,6545,0.6335,-0.019921),(6705,6555,0.63363,-0.014555),(6705,6565,0.63372,-0.00919),(6705,6575,0.63378,-0.003819),(6705,6585,0.63384,0.00163),(6705,6595,0.53911,0.007079),(6705,6605,0.33972,0.012528),(6705,6615,0.14033,0.013214),(6705,6625,0.000184,0.013288),(6705,6635,0.000242,0.013362),(6705,6645,0.0003,0.013383),(6705,6655,0.000358,0.013382),(6705,6665,0.000416,0.01338),(6705,6675,0.000473,0.013378),(6705,6685,0.000531,0.013374),(6705,6695,0.000589,0.013371),(6705,6705,0.000646,0.013366),(6705,6715,0.000703,0.013359),(6705,6725,0.00076,0.013353),(6705,6735,0.000817,0.013346),(6705,6745,0.000874,0.013337),(6705,6755,0.00093,0.013328),(6705,6765,0.000986,0.013319),(6705,6775,0.001042,0.013308),(6705,6785,0.001097,0.013297),(6705,6795,0.001152,0.013285),(6705,6805,0.001207,0.013272),(6705,6815,0.001261,0.013258),(6705,6825,0.001315,0.013244),(6705,6835,0.001369,0.013229),(6705,6845,0.001422,0.013213),(6705,6855,0.001475,0.013197),(6705,6865,0.001527,0.01318),(6705,6875,0.00158,0.013162),(6705,6885,0.001631,0.013143),(6705,6895,0.001682,0.013125),(6705,6905,0.001733,0.013104),(6705,6915,0.001782,0.013084),(6705,6925,0.001832,0.013064),(6705,6935,0.001881,0.013042),(6705,6945,0.00193,0.013019),(6705,6955,0.001977,0.012997),(6705,6965,0.002025,0.012974),(6705,6975,0.002072,0.01295),(6705,6985,0.002118,0.012926),(6715,5,-1.1e-05,-1.2903),(6715,15,-3.3e-05,-1.2903),(6715,25,-5.3e-05,-1.2903),(6715,35,-7.2e-05,-1.2903),(6715,45,-9e-05,-1.2903),(6715,55,-0.000109,-1.2903),(6715,65,-0.000119,-1.2903),(6715,75,-0.000122,-1.2903),(6715,85,-0.000125,-1.2902),(6715,95,-0.000129,-1.2901),(6715,105,-0.000137,-1.2901),(6715,115,-0.000149,-1.29),(6715,125,-0.000161,-1.29),(6715,135,-0.000173,-1.2899),(6715,145,-0.000175,-1.2898),(6715,155,-0.000172,-1.2898),(6715,165,-0.000168,-1.2897),(6715,175,-0.000164,-1.2896),(6715,185,-0.000163,-1.2895),(6715,195,-0.000162,-1.2894),(6715,205,-0.000161,-1.2893),(6715,215,-0.000161,-1.2892),(6715,225,-0.000152,-1.2891),(6715,235,-0.00014,-1.289),(6715,245,-0.000128,-1.2888),(6715,255,-0.000115,-1.2887),(6715,265,-9.9e-05,-1.2886),(6715,275,-8.1e-05,-1.2884),(6715,285,-6.2e-05,-1.2882),(6715,295,-4.4e-05,-1.288),(6715,305,-2e-05,-1.2878),(6715,315,6e-06,-1.2876),(6715,325,3.2e-05,-1.2875),(6715,335,5.7e-05,-1.2873),(6715,345,6.7e-05,-1.2871),(6715,355,7.3e-05,-1.287),(6715,365,8e-05,-1.2868),(6715,375,8.6e-05,-1.2866),(6715,385,7e-05,-1.2863),(6715,395,5.1e-05,-1.2861),(6715,405,3.2e-05,-1.2859),(6715,415,1.3e-05,-1.2857),(6715,425,-1e-05,-1.2854),(6715,435,-3.3e-05,-1.2852),(6715,445,-5.6e-05,-1.2849),(6715,455,-7.9e-05,-1.2847),(6715,465,-8.5e-05,-1.2844),(6715,475,-9.1e-05,-1.2842),(6715,485,-9.7e-05,-1.2839),(6715,495,-0.000103,-1.2837),(6715,505,-0.000103,-1.2834),(6715,515,-0.000103,-1.2831),(6715,525,-0.000103,-1.2828),(6715,535,-0.000104,-1.2825),(6715,545,-0.000116,-1.2822),(6715,555,-0.000128,-1.2819),(6715,565,-0.00014,-1.2816),(6715,575,-0.000152,-1.2813),(6715,585,-0.000153,-1.2809),(6715,595,-0.000154,-1.2806),(6715,605,-0.000156,-1.2803),(6715,615,-0.000155,-1.28),(6715,625,-0.000135,-1.2797),(6715,635,-0.000115,-1.2794),(6715,645,-9.6e-05,-1.2791),(6715,655,-7.6e-05,-1.2788),(6715,665,-5.8e-05,-1.2785),(6715,675,-3.9e-05,-1.2782),(6715,685,-2.1e-05,-1.2779),(6715,695,-5e-06,-1.2775),(6715,705,-2e-06,-1.2772),(6715,715,1e-06,-1.2768),(6715,725,4e-06,-1.2764),(6715,735,6e-06,-1.276),(6715,745,4e-06,-1.2756),(6715,755,3e-06,-1.2752),(6715,765,2e-06,-1.2748),(6715,775,4e-06,-1.2744),(6715,785,1.4e-05,-1.274),(6715,795,2.5e-05,-1.2736),(6715,805,3.6e-05,-1.2731),(6715,815,6.1e-05,-1.2727),(6715,825,0.000116,-1.2722),(6715,835,0.000171,-1.2717),(6715,845,0.000226,-1.2713),(6715,855,0.000295,-1.2709),(6715,865,0.00039,-1.2705),(6715,875,0.000485,-1.2701),(6715,885,0.000581,-1.2697),(6715,895,0.000695,-1.2693),(6715,905,0.00084,-1.2689),(6715,915,0.000985,-1.2685),(6715,925,0.00113,-1.2681),(6715,935,0.001283,-1.2677),(6715,945,0.001447,-1.2673),(6715,955,0.00161,-1.2668),(6715,965,0.001773,-1.2663),(6715,975,0.001949,-1.2658),(6715,985,0.00214,-1.2653),(6715,995,0.002331,-1.2648),(6715,1005,0.002523,-1.2642),(6715,1015,0.002775,-1.2637),(6715,1025,0.003087,-1.2631),(6715,1035,0.003398,-1.2625),(6715,1045,0.00371,-1.262),(6715,1055,0.004128,-1.2614),(6715,1065,0.004634,-1.2608),(6715,1075,0.00514,-1.2602),(6715,1085,0.005646,-1.2594),(6715,1095,0.006323,-1.2587),(6715,1105,0.007119,-1.2579),(6715,1115,0.007914,-1.2571),(6715,1125,0.00871,-1.2561),(6715,1135,0.009765,-1.2551),(6715,1145,0.010974,-1.2542),(6715,1155,0.012183,-1.2529),(6715,1165,0.013392,-1.2516),(6715,1175,0.014954,-1.2502),(6715,1185,0.01669,-1.2488),(6715,1195,0.018427,-1.2469),(6715,1205,0.020164,-1.2447),(6715,1215,0.022199,-1.2426),(6715,1225,0.024358,-1.2404),(6715,1235,0.026516,-1.2374),(6715,1245,0.028675,-1.234),(6715,1255,0.030843,-1.2306),(6715,1265,0.033013,-1.2273),(6715,1275,0.035183,-1.2227),(6715,1285,0.037354,-1.2179),(6715,1295,0.03462,-1.213),(6715,1305,0.030561,-1.2081),(6715,1315,0.026501,-1.2047),(6715,1325,0.022442,-1.2016),(6715,1335,0.01385,-1.1986),(6715,1345,0.004309,-1.1955),(6715,1355,-0.005232,-1.1969),(6715,1365,-0.014773,-1.199),(6715,1375,-0.020837,-1.2011),(6715,1385,-0.026364,-1.2032),(6715,1395,-0.031891,-1.2076),(6715,1405,-0.037418,-1.2122),(6715,1415,-0.03595,-1.2169),(6715,1425,-0.033755,-1.2216),(6715,1435,-0.031561,-1.225),(6715,1445,-0.029366,-1.2283),(6715,1455,-0.027137,-1.2316),(6715,1465,-0.024906,-1.235),(6715,1475,-0.022676,-1.2369),(6715,1485,-0.020445,-1.2387),(6715,1495,-0.01862,-1.2405),(6715,1505,-0.016802,-1.2424),(6715,1515,-0.014984,-1.2435),(6715,1525,-0.013179,-1.2446),(6715,1535,-0.011896,-1.2457),(6715,1545,-0.010612,-1.2468),(6715,1555,-0.009329,-1.2473),(6715,1565,-0.008076,-1.2478),(6715,1575,-0.007262,-1.2484),(6715,1585,-0.006449,-1.2489),(6715,1595,-0.005634,-1.2492),(6715,1605,-0.004853,-1.2496),(6715,1615,-0.004348,-1.2499),(6715,1625,-0.003843,-1.2502),(6715,1635,-0.003338,-1.2504),(6715,1645,-0.002854,-1.2506),(6715,1655,-0.002491,-1.2507),(6715,1665,-0.002129,-1.2509),(6715,1675,-0.001767,-1.251),(6715,1685,-0.001426,-1.2512),(6715,1695,-0.001182,-1.2513),(6715,1705,-0.000939,-1.2514),(6715,1715,-0.000695,-1.2515),(6715,1725,-0.000471,-1.2515),(6715,1735,-0.000317,-1.2516),(6715,1745,-0.000162,-1.2516),(6715,1755,-8e-06,-1.2516),(6715,1765,0.00014,-1.2516),(6715,1775,0.000267,-1.2516),(6715,1785,0.000395,-1.2516),(6715,1795,0.000522,-1.2516),(6715,1805,0.000636,-1.2517),(6715,1815,0.000717,-1.2517),(6715,1825,0.000799,-1.2517),(6715,1835,0.000881,-1.2517),(6715,1845,0.000943,-1.2517),(6715,1855,0.000968,-1.2517),(6715,1865,0.000992,-1.2516),(6715,1875,0.001016,-1.2516),(6715,1885,0.00103,-1.2516),(6715,1895,0.001026,-1.2515),(6715,1905,0.001022,-1.2515),(6715,1915,0.001019,-1.2513),(6715,1925,0.001023,-1.2512),(6715,1935,0.001038,-1.251),(6715,1945,0.001053,-1.2509),(6715,1955,0.001068,-1.2509),(6715,1965,0.001107,-1.2509),(6715,1975,0.001175,-1.2508),(6715,1985,0.001242,-1.2508),(6715,1995,0.00131,-1.2507),(6715,2005,0.001362,-1.2506),(6715,2015,0.001398,-1.2505),(6715,2025,0.001434,-1.2504),(6715,2035,0.00147,-1.2502),(6715,2045,0.001488,-1.25),(6715,2055,0.001488,-1.2499),(6715,2065,0.001489,-1.2497),(6715,2075,0.00149,-1.2496),(6715,2085,0.001483,-1.2495),(6715,2095,0.00147,-1.2494),(6715,2105,0.001457,-1.2492),(6715,2115,0.001444,-1.249),(6715,2125,0.001408,-1.2488),(6715,2135,0.001359,-1.2485),(6715,2145,0.001309,-1.2483),(6715,2155,0.00126,-1.2481),(6715,2165,0.001235,-1.2478),(6715,2175,0.001222,-1.2476),(6715,2185,0.00121,-1.2473),(6715,2195,0.001197,-1.2471),(6715,2205,0.001201,-1.2468),(6715,2215,0.001212,-1.2466),(6715,2225,0.001222,-1.2463),(6715,2235,0.001233,-1.2459),(6715,2245,0.001225,-1.2456),(6715,2255,0.001212,-1.2453),(6715,2265,0.001198,-1.245),(6715,2275,0.001185,-1.2447),(6715,2285,0.001196,-1.2444),(6715,2295,0.001215,-1.2441),(6715,2305,0.001234,-1.2438),(6715,2315,0.001252,-1.2435),(6715,2325,0.001301,-1.2432),(6715,2335,0.001356,-1.2429),(6715,2345,0.001411,-1.2426),(6715,2355,0.001466,-1.2422),(6715,2365,0.001496,-1.2419),(6715,2375,0.001521,-1.2416),(6715,2385,0.001547,-1.2412),(6715,2395,0.001572,-1.2407),(6715,2405,0.001579,-1.2403),(6715,2415,0.001583,-1.2399),(6715,2425,0.001587,-1.2394),(6715,2435,0.001592,-1.2389),(6715,2445,0.001582,-1.2384),(6715,2455,0.001572,-1.2379),(6715,2465,0.001562,-1.2375),(6715,2475,0.001552,-1.237),(6715,2485,0.001527,-1.2366),(6715,2495,0.001502,-1.2361),(6715,2505,0.001478,-1.2357),(6715,2515,0.001453,-1.2352),(6715,2525,0.001435,-1.2348),(6715,2535,0.001417,-1.2343),(6715,2545,0.001399,-1.2337),(6715,2555,0.001382,-1.2332),(6715,2565,0.001371,-1.2326),(6715,2575,0.00136,-1.232),(6715,2585,0.00135,-1.2314),(6715,2595,0.00134,-1.2308),(6715,2605,0.001336,-1.2303),(6715,2615,0.001332,-1.2297),(6715,2625,0.001327,-1.229),(6715,2635,0.001326,-1.2284),(6715,2645,0.001344,-1.2278),(6715,2655,0.001362,-1.2272),(6715,2665,0.001379,-1.2265),(6715,2675,0.001396,-1.2259),(6715,2685,0.001405,-1.2253),(6715,2695,0.001415,-1.2247),(6715,2705,0.001424,-1.2241),(6715,2715,0.001433,-1.2235),(6715,2725,0.00144,-1.2229),(6715,2735,0.001446,-1.2222),(6715,2745,0.001453,-1.2216),(6715,2755,0.001457,-1.2209),(6715,2765,0.001457,-1.2202),(6715,2775,0.001457,-1.2195),(6715,2785,0.001456,-1.2188),(6715,2795,0.001464,-1.218),(6715,2805,0.001489,-1.2173),(6715,2815,0.001514,-1.2166),(6715,2825,0.001539,-1.2158),(6715,2835,0.001573,-1.2151),(6715,2845,0.001624,-1.2143),(6715,2855,0.001675,-1.2136),(6715,2865,0.001727,-1.2128),(6715,2875,0.001776,-1.212),(6715,2885,0.001823,-1.2113),(6715,2895,0.00187,-1.2105),(6715,2905,0.001917,-1.2097),(6715,2915,0.001954,-1.2089),(6715,2925,0.001979,-1.2081),(6715,2935,0.002003,-1.2072),(6715,2945,0.002027,-1.2064),(6715,2955,0.002033,-1.2056),(6715,2965,0.002017,-1.2048),(6715,2975,0.002,-1.2039),(6715,2985,0.001984,-1.203),(6715,2995,0.001953,-1.202),(6715,3005,0.001907,-1.2011),(6715,3015,0.001861,-1.2002),(6715,3025,0.001815,-1.1992),(6715,3035,0.001794,-1.1983),(6715,3045,0.001795,-1.1973),(6715,3055,0.001796,-1.1964),(6715,3065,0.001797,-1.1955),(6715,3075,0.001814,-1.1945),(6715,3085,0.001841,-1.1936),(6715,3095,0.001869,-1.1926),(6715,3105,0.001897,-1.1917),(6715,3115,0.001914,-1.1907),(6715,3125,0.001925,-1.1897),(6715,3135,0.001936,-1.1887),(6715,3145,0.001948,-1.1877),(6715,3155,0.001961,-1.1867),(6715,3165,0.001976,-1.1858),(6715,3175,0.00199,-1.1848),(6715,3185,0.002005,-1.1838),(6715,3195,0.002035,-1.1827),(6715,3205,0.002071,-1.1817),(6715,3215,0.002108,-1.1807),(6715,3225,0.002145,-1.1796),(6715,3235,0.002145,-1.1785),(6715,3245,0.002131,-1.1774),(6715,3255,0.002117,-1.1762),(6715,3265,0.002103,-1.1751),(6715,3275,0.002087,-1.1739),(6715,3285,0.002069,-1.1727),(6715,3295,0.002051,-1.1716),(6715,3305,0.002034,-1.1705),(6715,3315,0.00206,-1.1694),(6715,3325,0.002097,-1.1683),(6715,3335,0.002134,-1.1672),(6715,3345,0.002171,-1.166),(6715,3355,0.002212,-1.1649),(6715,3365,0.002253,-1.1638),(6715,3375,0.002294,-1.1626),(6715,3385,0.002335,-1.1614),(6715,3395,0.002383,-1.1602),(6715,3405,0.002432,-1.159),(6715,3415,0.002481,-1.1579),(6715,3425,0.00253,-1.1567),(6715,3435,0.002522,-1.1556),(6715,3445,0.002509,-1.1544),(6715,3455,0.002497,-1.1532),(6715,3465,0.002485,-1.1519),(6715,3475,0.002463,-1.1506),(6715,3485,0.00244,-1.1493),(6715,3495,0.002418,-1.148),(6715,3505,0.002396,-1.1467),(6715,3515,0.002437,-1.1455),(6715,3525,0.002478,-1.1442),(6715,3535,0.00252,-1.1429),(6715,3545,0.002563,-1.1417),(6715,3555,0.002654,-1.1404),(6715,3565,0.002746,-1.1391),(6715,3575,0.002837,-1.1378),(6715,3585,0.002933,-1.1365),(6715,3595,0.003086,-1.1352),(6715,3605,0.003239,-1.1339),(6715,3615,0.003392,-1.1326),(6715,3625,0.003542,-1.1313),(6715,3635,0.003672,-1.13),(6715,3645,0.003802,-1.1287),(6715,3655,0.003932,-1.1273),(6715,3665,0.004073,-1.1258),(6715,3675,0.004274,-1.1243),(6715,3685,0.004475,-1.1229),(6715,3695,0.004675,-1.1214),(6715,3705,0.004903,-1.12),(6715,3715,0.00524,-1.1186),(6715,3725,0.005577,-1.1172),(6715,3735,0.005914,-1.1156),(6715,3745,0.006282,-1.1141),(6715,3755,0.006749,-1.1125),(6715,3765,0.007216,-1.111),(6715,3775,0.007683,-1.1093),(6715,3785,0.00822,-1.1077),(6715,3795,0.008939,-1.106),(6715,3805,0.009657,-1.1043),(6715,3815,0.010376,-1.1024),(6715,3825,0.011181,-1.1005),(6715,3835,0.01217,-1.0986),(6715,3845,0.013158,-1.0966),(6715,3855,0.014147,-1.0943),(6715,3865,0.015256,-1.0921),(6715,3875,0.016578,-1.0898),(6715,3885,0.0179,-1.0873),(6715,3895,0.019221,-1.0843),(6715,3905,0.020617,-1.0813),(6715,3915,0.022122,-1.0784),(6715,3925,0.023628,-1.075),(6715,3935,0.025133,-1.0712),(6715,3945,0.026613,-1.0674),(6715,3955,0.02806,-1.0635),(6715,3965,0.029507,-1.0592),(6715,3975,0.030955,-1.0543),(6715,3985,0.030965,-1.0493),(6715,3995,0.02942,-1.0444),(6715,4005,0.027876,-1.04),(6715,4015,0.026331,-1.0361),(6715,4025,0.090689,-1.0322),(6715,4035,0.1615,-1.0292),(6715,4045,0.2323,-1.0282),(6715,4055,0.28638,-1.0271),(6715,4065,0.33435,-1.026),(6715,4075,0.38232,-1.0242),(6715,4085,0.40406,-1.0224),(6715,4095,0.40473,-1.0206),(6715,4105,0.4054,-1.0188),(6715,4115,0.40606,-1.0169),(6715,4125,0.40671,-1.015),(6715,4135,0.40737,-1.0132),(6715,4145,0.40801,-1.0113),(6715,4155,0.40864,-1.0094),(6715,4165,0.40926,-1.0075),(6715,4175,0.40988,-1.0057),(6715,4185,0.4105,-1.0038),(6715,4195,0.41111,-1.0019),(6715,4205,0.41173,-0.99998),(6715,4215,0.41234,-0.99804),(6715,4225,0.41295,-0.99608),(6715,4235,0.41356,-0.99408),(6715,4245,0.41418,-0.99208),(6715,4255,0.4148,-0.99008),(6715,4265,0.41542,-0.98805),(6715,4275,0.41604,-0.98603),(6715,4285,0.41666,-0.98401),(6715,4295,0.41728,-0.9819),(6715,4305,0.4179,-0.97978),(6715,4315,0.41852,-0.97766),(6715,4325,0.41915,-0.97546),(6715,4335,0.41977,-0.97323),(6715,4345,0.4204,-0.97099),(6715,4355,0.42103,-0.96874),(6715,4365,0.42166,-0.96648),(6715,4375,0.42231,-0.96421),(6715,4385,0.42296,-0.96193),(6715,4395,0.4236,-0.95964),(6715,4405,0.42426,-0.95735),(6715,4415,0.42493,-0.95503),(6715,4425,0.42559,-0.95263),(6715,4435,0.42627,-0.95022),(6715,4445,0.42697,-0.94782),(6715,4455,0.42766,-0.94535),(6715,4465,0.42837,-0.94288),(6715,4475,0.42909,-0.94041),(6715,4485,0.42982,-0.93787),(6715,4495,0.43056,-0.9353),(6715,4505,0.43132,-0.93274),(6715,4515,0.43208,-0.93014),(6715,4525,0.43285,-0.92753),(6715,4535,0.43364,-0.92491),(6715,4545,0.43443,-0.92226),(6715,4555,0.43522,-0.91957),(6715,4565,0.43603,-0.91687),(6715,4575,0.43684,-0.91414),(6715,4585,0.43766,-0.91133),(6715,4595,0.43849,-0.90852),(6715,4605,0.43933,-0.90571),(6715,4615,0.44017,-0.90283),(6715,4625,0.44104,-0.89995),(6715,4635,0.44192,-0.89708),(6715,4645,0.4428,-0.89415),(6715,4655,0.44369,-0.89121),(6715,4665,0.4446,-0.88828),(6715,4675,0.44551,-0.8853),(6715,4685,0.44642,-0.8823),(6715,4695,0.44736,-0.8793),(6715,4705,0.44829,-0.87626),(6715,4715,0.44922,-0.87317),(6715,4725,0.45018,-0.87009),(6715,4735,0.45115,-0.86697),(6715,4745,0.45211,-0.8638),(6715,4755,0.45313,-0.86063),(6715,4765,0.45416,-0.85745),(6715,4775,0.4552,-0.85423),(6715,4785,0.45626,-0.85102),(6715,4795,0.45735,-0.8478),(6715,4805,0.45844,-0.84452),(6715,4815,0.45954,-0.84124),(6715,4825,0.46066,-0.83795),(6715,4835,0.46177,-0.8346),(6715,4845,0.4629,-0.83123),(6715,4855,0.46403,-0.82786),(6715,4865,0.46517,-0.82445),(6715,4875,0.46631,-0.82101),(6715,4885,0.46746,-0.81757),(6715,4895,0.46861,-0.8141),(6715,4905,0.46977,-0.81059),(6715,4915,0.47093,-0.80709),(6715,4925,0.4721,-0.80355),(6715,4935,0.47327,-0.79996),(6715,4945,0.47445,-0.79637),(6715,4955,0.47563,-0.79277),(6715,4965,0.47681,-0.7891),(6715,4975,0.478,-0.78543),(6715,4985,0.4792,-0.78176),(6715,4995,0.48039,-0.77805),(6715,5005,0.4816,-0.77434),(6715,5015,0.48282,-0.77063),(6715,5025,0.48404,-0.76687),(6715,5035,0.48527,-0.7631),(6715,5045,0.48651,-0.75934),(6715,5055,0.48775,-0.75552),(6715,5065,0.48898,-0.75166),(6715,5075,0.49023,-0.74781),(6715,5085,0.49147,-0.74392),(6715,5095,0.49271,-0.74),(6715,5105,0.49395,-0.73607),(6715,5115,0.49519,-0.73213),(6715,5125,0.49643,-0.72814),(6715,5135,0.49769,-0.72415),(6715,5145,0.49897,-0.72015),(6715,5155,0.50024,-0.71612),(6715,5165,0.50153,-0.71209),(6715,5175,0.50283,-0.70807),(6715,5185,0.50412,-0.70396),(6715,5195,0.50542,-0.69986),(6715,5205,0.50669,-0.69575),(6715,5215,0.50797,-0.69157),(6715,5225,0.50925,-0.68737),(6715,5235,0.51052,-0.68318),(6715,5245,0.5118,-0.67895),(6715,5255,0.51307,-0.6747),(6715,5265,0.51437,-0.67045),(6715,5275,0.51567,-0.66619),(6715,5285,0.51697,-0.66191),(6715,5295,0.51829,-0.65764),(6715,5305,0.51961,-0.65336),(6715,5315,0.52092,-0.64904),(6715,5325,0.52222,-0.64473),(6715,5335,0.5235,-0.64041),(6715,5345,0.52478,-0.63601),(6715,5355,0.52605,-0.63161),(6715,5365,0.5273,-0.62721),(6715,5375,0.52855,-0.62276),(6715,5385,0.5298,-0.61829),(6715,5395,0.53106,-0.61383),(6715,5405,0.53232,-0.60934),(6715,5415,0.53358,-0.60484),(6715,5425,0.53486,-0.60034),(6715,5435,0.53615,-0.59581),(6715,5445,0.53744,-0.59126),(6715,5455,0.53874,-0.5867),(6715,5465,0.54006,-0.58213),(6715,5475,0.54137,-0.57752),(6715,5485,0.54268,-0.57291),(6715,5495,0.54399,-0.56829),(6715,5505,0.54531,-0.56364),(6715,5515,0.54662,-0.55899),(6715,5525,0.54792,-0.55434),(6715,5535,0.54922,-0.54965),(6715,5545,0.5505,-0.54495),(6715,5555,0.55175,-0.54026),(6715,5565,0.553,-0.5355),(6715,5575,0.55424,-0.53073),(6715,5585,0.55542,-0.52595),(6715,5595,0.55661,-0.52111),(6715,5605,0.5578,-0.51623),(6715,5615,0.55894,-0.51135),(6715,5625,0.56008,-0.50646),(6715,5635,0.56122,-0.50155),(6715,5645,0.56234,-0.49663),(6715,5655,0.56347,-0.49171),(6715,5665,0.5646,-0.48674),(6715,5675,0.56573,-0.48178),(6715,5685,0.56687,-0.47681),(6715,5695,0.56801,-0.4718),(6715,5705,0.56916,-0.46679),(6715,5715,0.57032,-0.46178),(6715,5725,0.57149,-0.45682),(6715,5735,0.57265,-0.45186),(6715,5745,0.57378,-0.44691),(6715,5755,0.57492,-0.44194),(6715,5765,0.57604,-0.43696),(6715,5775,0.57712,-0.43199),(6715,5785,0.5782,-0.42697),(6715,5795,0.57928,-0.42191),(6715,5805,0.58032,-0.41685),(6715,5815,0.58135,-0.41177),(6715,5825,0.58238,-0.40665),(6715,5835,0.58341,-0.40154),(6715,5845,0.58442,-0.39643),(6715,5855,0.58544,-0.39132),(6715,5865,0.58645,-0.38621),(6715,5875,0.58745,-0.38111),(6715,5885,0.58845,-0.37596),(6715,5895,0.58944,-0.37081),(6715,5905,0.59039,-0.36566),(6715,5915,0.59135,-0.36047),(6715,5925,0.59229,-0.35526),(6715,5935,0.5932,-0.35005),(6715,5945,0.59411,-0.34484),(6715,5955,0.59501,-0.33962),(6715,5965,0.59589,-0.3344),(6715,5975,0.59677,-0.32915),(6715,5985,0.59765,-0.32387),(6715,5995,0.59855,-0.31859),(6715,6005,0.59944,-0.31331),(6715,6015,0.60034,-0.30804),(6715,6025,0.60121,-0.30277),(6715,6035,0.60208,-0.29749),(6715,6045,0.60294,-0.29221),(6715,6055,0.60378,-0.28694),(6715,6065,0.60459,-0.28166),(6715,6075,0.6054,-0.2763),(6715,6085,0.60618,-0.27094),(6715,6095,0.60692,-0.26557),(6715,6105,0.60765,-0.26014),(6715,6115,0.60838,-0.25468),(6715,6125,0.60905,-0.24922),(6715,6135,0.60973,-0.24381),(6715,6145,0.6104,-0.23844),(6715,6155,0.61105,-0.23306),(6715,6165,0.6117,-0.2277),(6715,6175,0.61235,-0.22237),(6715,6185,0.61299,-0.21704),(6715,6195,0.61361,-0.21168),(6715,6205,0.61424,-0.20624),(6715,6215,0.61485,-0.20081),(6715,6225,0.61544,-0.19537),(6715,6235,0.61603,-0.18996),(6715,6245,0.61661,-0.18454),(6715,6255,0.61716,-0.17912),(6715,6265,0.61771,-0.17369),(6715,6275,0.61824,-0.16826),(6715,6285,0.61872,-0.16284),(6715,6295,0.6192,-0.15739),(6715,6305,0.61968,-0.15194),(6715,6315,0.62014,-0.14648),(6715,6325,0.62059,-0.14106),(6715,6335,0.62105,-0.13567),(6715,6345,0.62146,-0.13027),(6715,6355,0.62186,-0.12482),(6715,6365,0.62227,-0.11923),(6715,6375,0.62263,-0.11363),(6715,6385,0.62298,-0.10805),(6715,6395,0.62333,-0.10252),(6715,6405,0.62367,-0.096998),(6715,6415,0.62399,-0.091473),(6715,6425,0.62431,-0.086063),(6715,6435,0.6246,-0.080658),(6715,6445,0.62485,-0.075253),(6715,6455,0.62511,-0.069794),(6715,6465,0.62535,-0.064319),(6715,6475,0.62554,-0.058843),(6715,6485,0.62574,-0.053269),(6715,6495,0.62594,-0.047629),(6715,6505,0.62611,-0.041989),(6715,6515,0.62628,-0.036392),(6715,6525,0.62645,-0.030856),(6715,6535,0.62659,-0.02532),(6715,6545,0.62672,-0.019827),(6715,6555,0.62685,-0.014473),(6715,6565,0.62693,-0.009118),(6715,6575,0.627,-0.003757),(6715,6585,0.62706,0.001697),(6715,6595,0.53335,0.007151),(6715,6605,0.33609,0.012606),(6715,6615,0.13883,0.013287),(6715,6625,0.000182,0.013355),(6715,6635,0.000241,0.013423),(6715,6645,0.0003,0.013441),(6715,6655,0.000358,0.01344),(6715,6665,0.000417,0.013439),(6715,6675,0.000476,0.013436),(6715,6685,0.000534,0.013433),(6715,6695,0.000592,0.013429),(6715,6705,0.00065,0.013424),(6715,6715,0.000708,0.013417),(6715,6725,0.000766,0.013411),(6715,6735,0.000824,0.013404),(6715,6745,0.000881,0.013394),(6715,6755,0.000938,0.013385),(6715,6765,0.000995,0.013376),(6715,6775,0.001051,0.013364),(6715,6785,0.001107,0.013353),(6715,6795,0.001163,0.013341),(6715,6805,0.001218,0.013327),(6715,6815,0.001274,0.013313),(6715,6825,0.001328,0.013299),(6715,6835,0.001383,0.013283),(6715,6845,0.001437,0.013267),(6715,6855,0.00149,0.01325),(6715,6865,0.001543,0.013233),(6715,6875,0.001596,0.013214),(6715,6885,0.001647,0.013195),(6715,6895,0.001699,0.013176),(6715,6905,0.00175,0.013155),(6715,6915,0.001801,0.013134),(6715,6925,0.001851,0.013114),(6715,6935,0.001901,0.013091),(6715,6945,0.00195,0.013068),(6715,6955,0.001998,0.013046),(6715,6965,0.002046,0.013021),(6715,6975,0.002094,0.012997),(6715,6985,0.00214,0.012973),(6725,5,-1.2e-05,-1.2903),(6725,15,-3.5e-05,-1.2903),(6725,25,-5.7e-05,-1.2903),(6725,35,-7.7e-05,-1.2903),(6725,45,-9.7e-05,-1.2903),(6725,55,-0.000117,-1.2903),(6725,65,-0.000128,-1.2903),(6725,75,-0.000132,-1.2902),(6725,85,-0.000136,-1.2902),(6725,95,-0.000141,-1.2901),(6725,105,-0.000148,-1.2901),(6725,115,-0.000157,-1.29),(6725,125,-0.000167,-1.29),(6725,135,-0.000177,-1.2899),(6725,145,-0.000176,-1.2898),(6725,155,-0.00017,-1.2898),(6725,165,-0.000164,-1.2897),(6725,175,-0.000158,-1.2896),(6725,185,-0.000156,-1.2895),(6725,195,-0.000156,-1.2894),(6725,205,-0.000156,-1.2893),(6725,215,-0.000156,-1.2892),(6725,225,-0.00015,-1.2891),(6725,235,-0.000142,-1.289),(6725,245,-0.000134,-1.2888),(6725,255,-0.000126,-1.2887),(6725,265,-0.000116,-1.2886),(6725,275,-0.000105,-1.2884),(6725,285,-9.4e-05,-1.2882),(6725,295,-8.3e-05,-1.288),(6725,305,-6.3e-05,-1.2878),(6725,315,-4e-05,-1.2876),(6725,325,-1.8e-05,-1.2874),(6725,335,5e-06,-1.2873),(6725,345,2.3e-05,-1.2871),(6725,355,4e-05,-1.287),(6725,365,5.7e-05,-1.2868),(6725,375,7.3e-05,-1.2866),(6725,385,6.7e-05,-1.2864),(6725,395,5.7e-05,-1.2862),(6725,405,4.7e-05,-1.2859),(6725,415,3.7e-05,-1.2857),(6725,425,1.7e-05,-1.2854),(6725,435,-4e-06,-1.2852),(6725,445,-2.5e-05,-1.2849),(6725,455,-4.6e-05,-1.2847),(6725,465,-5.9e-05,-1.2845),(6725,475,-7.2e-05,-1.2842),(6725,485,-8.5e-05,-1.2839),(6725,495,-9.8e-05,-1.2837),(6725,505,-0.000106,-1.2834),(6725,515,-0.000115,-1.2831),(6725,525,-0.000123,-1.2828),(6725,535,-0.000132,-1.2825),(6725,545,-0.000147,-1.2822),(6725,555,-0.000162,-1.2819),(6725,565,-0.000177,-1.2816),(6725,575,-0.000192,-1.2813),(6725,585,-0.000197,-1.2809),(6725,595,-0.000203,-1.2806),(6725,605,-0.000209,-1.2803),(6725,615,-0.000212,-1.28),(6725,625,-0.000194,-1.2796),(6725,635,-0.000175,-1.2793),(6725,645,-0.000156,-1.279),(6725,655,-0.000137,-1.2788),(6725,665,-0.000112,-1.2785),(6725,675,-8.8e-05,-1.2782),(6725,685,-6.3e-05,-1.2778),(6725,695,-4.1e-05,-1.2775),(6725,705,-2.8e-05,-1.2772),(6725,715,-1.6e-05,-1.2768),(6725,725,-3e-06,-1.2764),(6725,735,9e-06,-1.276),(6725,745,1.7e-05,-1.2757),(6725,755,2.5e-05,-1.2753),(6725,765,3.4e-05,-1.2748),(6725,775,4.1e-05,-1.2744),(6725,785,4.6e-05,-1.274),(6725,795,5e-05,-1.2736),(6725,805,5.4e-05,-1.2731),(6725,815,7.3e-05,-1.2726),(6725,825,0.000121,-1.2722),(6725,835,0.000169,-1.2717),(6725,845,0.000217,-1.2713),(6725,855,0.00028,-1.2709),(6725,865,0.000368,-1.2704),(6725,875,0.000456,-1.27),(6725,885,0.000544,-1.2696),(6725,895,0.000653,-1.2692),(6725,905,0.000794,-1.2688),(6725,915,0.000935,-1.2684),(6725,925,0.001076,-1.268),(6725,935,0.001228,-1.2676),(6725,945,0.001393,-1.2672),(6725,955,0.001558,-1.2667),(6725,965,0.001723,-1.2662),(6725,975,0.001899,-1.2657),(6725,985,0.002087,-1.2652),(6725,995,0.002274,-1.2647),(6725,1005,0.002461,-1.2641),(6725,1015,0.002701,-1.2635),(6725,1025,0.002991,-1.263),(6725,1035,0.003281,-1.2624),(6725,1045,0.003572,-1.2618),(6725,1055,0.003958,-1.2612),(6725,1065,0.004424,-1.2606),(6725,1075,0.004891,-1.2599),(6725,1085,0.005357,-1.2591),(6725,1095,0.005977,-1.2583),(6725,1105,0.006705,-1.2576),(6725,1115,0.007433,-1.2566),(6725,1125,0.008162,-1.2556),(6725,1135,0.009113,-1.2546),(6725,1145,0.010196,-1.2536),(6725,1155,0.011279,-1.2523),(6725,1165,0.012362,-1.2508),(6725,1175,0.013758,-1.2494),(6725,1185,0.015309,-1.2479),(6725,1195,0.016859,-1.2459),(6725,1205,0.01841,-1.2437),(6725,1215,0.020208,-1.2415),(6725,1225,0.022107,-1.2393),(6725,1235,0.024006,-1.2362),(6725,1245,0.025905,-1.2328),(6725,1255,0.027785,-1.2295),(6725,1265,0.029657,-1.2261),(6725,1275,0.03153,-1.2217),(6725,1285,0.033403,-1.2169),(6725,1295,0.030919,-1.2122),(6725,1305,0.027257,-1.2075),(6725,1315,0.023595,-1.2042),(6725,1325,0.019934,-1.2013),(6725,1335,0.012313,-1.1984),(6725,1345,0.003862,-1.1955),(6725,1355,-0.004588,-1.1968),(6725,1365,-0.013038,-1.1988),(6725,1375,-0.018423,-1.2008),(6725,1385,-0.023334,-1.2028),(6725,1395,-0.028245,-1.207),(6725,1405,-0.033157,-1.2114),(6725,1415,-0.031902,-1.2159),(6725,1425,-0.030007,-1.2204),(6725,1435,-0.028113,-1.2238),(6725,1445,-0.026218,-1.2271),(6725,1455,-0.024265,-1.2305),(6725,1465,-0.02231,-1.2338),(6725,1475,-0.020354,-1.2357),(6725,1485,-0.018399,-1.2376),(6725,1495,-0.016789,-1.2395),(6725,1505,-0.015184,-1.2414),(6725,1515,-0.013579,-1.2426),(6725,1525,-0.011986,-1.2438),(6725,1535,-0.010839,-1.2449),(6725,1545,-0.009692,-1.2461),(6725,1555,-0.008545,-1.2467),(6725,1565,-0.007424,-1.2473),(6725,1575,-0.006676,-1.2479),(6725,1585,-0.005928,-1.2485),(6725,1595,-0.00518,-1.2489),(6725,1605,-0.004462,-1.2492),(6725,1615,-0.003994,-1.2496),(6725,1625,-0.003526,-1.25),(6725,1635,-0.003059,-1.2502),(6725,1645,-0.00261,-1.2503),(6725,1655,-0.002277,-1.2505),(6725,1665,-0.001944,-1.2507),(6725,1675,-0.00161,-1.2508),(6725,1685,-0.001295,-1.251),(6725,1695,-0.001061,-1.2512),(6725,1705,-0.000828,-1.2513),(6725,1715,-0.000594,-1.2514),(6725,1725,-0.00038,-1.2514),(6725,1735,-0.000233,-1.2515),(6725,1745,-8.6e-05,-1.2515),(6725,1755,6e-05,-1.2515),(6725,1765,0.000198,-1.2515),(6725,1775,0.00031,-1.2515),(6725,1785,0.000422,-1.2515),(6725,1795,0.000535,-1.2516),(6725,1805,0.000636,-1.2516),(6725,1815,0.000712,-1.2516),(6725,1825,0.000788,-1.2517),(6725,1835,0.000864,-1.2516),(6725,1845,0.000926,-1.2516),(6725,1855,0.00096,-1.2516),(6725,1865,0.000994,-1.2516),(6725,1875,0.001028,-1.2516),(6725,1885,0.00105,-1.2516),(6725,1895,0.00105,-1.2516),(6725,1905,0.00105,-1.2515),(6725,1915,0.001051,-1.2513),(6725,1925,0.001054,-1.2512),(6725,1935,0.001061,-1.251),(6725,1945,0.001069,-1.2509),(6725,1955,0.001076,-1.2509),(6725,1965,0.001105,-1.2508),(6725,1975,0.001159,-1.2508),(6725,1985,0.001213,-1.2507),(6725,1995,0.001267,-1.2506),(6725,2005,0.001311,-1.2506),(6725,2015,0.001347,-1.2505),(6725,2025,0.001382,-1.2504),(6725,2035,0.001417,-1.2502),(6725,2045,0.001436,-1.25),(6725,2055,0.001442,-1.2499),(6725,2065,0.001447,-1.2497),(6725,2075,0.001452,-1.2496),(6725,2085,0.001453,-1.2495),(6725,2095,0.001452,-1.2494),(6725,2105,0.001451,-1.2492),(6725,2115,0.00145,-1.249),(6725,2125,0.001425,-1.2488),(6725,2135,0.001385,-1.2486),(6725,2145,0.001345,-1.2484),(6725,2155,0.001305,-1.2481),(6725,2165,0.001278,-1.2479),(6725,2175,0.001259,-1.2476),(6725,2185,0.00124,-1.2474),(6725,2195,0.001221,-1.2471),(6725,2205,0.00122,-1.2468),(6725,2215,0.001227,-1.2466),(6725,2225,0.001234,-1.2463),(6725,2235,0.001241,-1.2459),(6725,2245,0.001237,-1.2456),(6725,2255,0.001229,-1.2453),(6725,2265,0.001221,-1.245),(6725,2275,0.001213,-1.2447),(6725,2285,0.001219,-1.2444),(6725,2295,0.001228,-1.244),(6725,2305,0.001238,-1.2437),(6725,2315,0.001247,-1.2434),(6725,2325,0.001289,-1.2431),(6725,2335,0.001339,-1.2429),(6725,2345,0.001389,-1.2425),(6725,2355,0.001438,-1.2422),(6725,2365,0.001465,-1.2419),(6725,2375,0.001487,-1.2415),(6725,2385,0.00151,-1.2411),(6725,2395,0.001532,-1.2407),(6725,2405,0.001537,-1.2403),(6725,2415,0.001539,-1.2399),(6725,2425,0.001541,-1.2394),(6725,2435,0.001543,-1.2389),(6725,2445,0.00154,-1.2384),(6725,2455,0.001537,-1.238),(6725,2465,0.001533,-1.2375),(6725,2475,0.00153,-1.2371),(6725,2485,0.001515,-1.2366),(6725,2495,0.001499,-1.2362),(6725,2505,0.001484,-1.2357),(6725,2515,0.001468,-1.2352),(6725,2525,0.001452,-1.2348),(6725,2535,0.001436,-1.2343),(6725,2545,0.00142,-1.2337),(6725,2555,0.001404,-1.2332),(6725,2565,0.001391,-1.2326),(6725,2575,0.001378,-1.232),(6725,2585,0.001364,-1.2315),(6725,2595,0.001351,-1.2309),(6725,2605,0.001341,-1.2303),(6725,2615,0.00133,-1.2297),(6725,2625,0.00132,-1.229),(6725,2635,0.001314,-1.2284),(6725,2645,0.001332,-1.2278),(6725,2655,0.001351,-1.2271),(6725,2665,0.00137,-1.2265),(6725,2675,0.001385,-1.2259),(6725,2685,0.001387,-1.2253),(6725,2695,0.001389,-1.2247),(6725,2705,0.001391,-1.2241),(6725,2715,0.001396,-1.2235),(6725,2725,0.001411,-1.2229),(6725,2735,0.001427,-1.2222),(6725,2745,0.001443,-1.2216),(6725,2755,0.001457,-1.2209),(6725,2765,0.001463,-1.2202),(6725,2775,0.001469,-1.2195),(6725,2785,0.001475,-1.2188),(6725,2795,0.001486,-1.218),(6725,2805,0.001505,-1.2173),(6725,2815,0.001524,-1.2165),(6725,2825,0.001544,-1.2158),(6725,2835,0.00157,-1.215),(6725,2845,0.001611,-1.2143),(6725,2855,0.001652,-1.2135),(6725,2865,0.001692,-1.2128),(6725,2875,0.001733,-1.212),(6725,2885,0.001774,-1.2112),(6725,2895,0.001815,-1.2105),(6725,2905,0.001855,-1.2097),(6725,2915,0.00189,-1.2088),(6725,2925,0.001915,-1.208),(6725,2935,0.00194,-1.2072),(6725,2945,0.001965,-1.2064),(6725,2955,0.001975,-1.2056),(6725,2965,0.001966,-1.2048),(6725,2975,0.001957,-1.2039),(6725,2985,0.001948,-1.203),(6725,2995,0.001924,-1.2021),(6725,3005,0.001883,-1.2012),(6725,3015,0.001842,-1.2002),(6725,3025,0.001801,-1.1993),(6725,3035,0.001785,-1.1983),(6725,3045,0.00179,-1.1973),(6725,3055,0.001795,-1.1964),(6725,3065,0.0018,-1.1954),(6725,3075,0.001815,-1.1945),(6725,3085,0.001836,-1.1936),(6725,3095,0.001858,-1.1926),(6725,3105,0.00188,-1.1916),(6725,3115,0.001903,-1.1907),(6725,3125,0.001927,-1.1897),(6725,3135,0.001951,-1.1887),(6725,3145,0.001975,-1.1877),(6725,3155,0.001993,-1.1867),(6725,3165,0.002008,-1.1857),(6725,3175,0.002022,-1.1847),(6725,3185,0.002037,-1.1837),(6725,3195,0.002062,-1.1827),(6725,3205,0.002092,-1.1817),(6725,3215,0.002122,-1.1806),(6725,3225,0.002152,-1.1796),(6725,3235,0.00215,-1.1785),(6725,3245,0.002137,-1.1774),(6725,3255,0.002124,-1.1763),(6725,3265,0.002111,-1.1751),(6725,3275,0.002091,-1.1739),(6725,3285,0.002068,-1.1728),(6725,3295,0.002045,-1.1716),(6725,3305,0.002022,-1.1705),(6725,3315,0.002039,-1.1694),(6725,3325,0.002065,-1.1683),(6725,3335,0.00209,-1.1671),(6725,3345,0.002116,-1.166),(6725,3355,0.002147,-1.1649),(6725,3365,0.002178,-1.1638),(6725,3375,0.00221,-1.1626),(6725,3385,0.002241,-1.1614),(6725,3395,0.002298,-1.1602),(6725,3405,0.002357,-1.159),(6725,3415,0.002417,-1.1578),(6725,3425,0.002477,-1.1567),(6725,3435,0.002482,-1.1556),(6725,3445,0.002482,-1.1545),(6725,3455,0.002483,-1.1532),(6725,3465,0.002483,-1.1519),(6725,3475,0.002478,-1.1506),(6725,3485,0.002474,-1.1494),(6725,3495,0.002469,-1.1481),(6725,3505,0.002464,-1.1468),(6725,3515,0.002506,-1.1455),(6725,3525,0.002547,-1.1442),(6725,3535,0.002589,-1.1429),(6725,3545,0.002632,-1.1416),(6725,3555,0.002716,-1.1404),(6725,3565,0.002799,-1.1391),(6725,3575,0.002883,-1.1378),(6725,3585,0.002972,-1.1364),(6725,3595,0.00312,-1.1351),(6725,3605,0.003269,-1.1338),(6725,3615,0.003417,-1.1325),(6725,3625,0.003563,-1.1312),(6725,3635,0.003692,-1.13),(6725,3645,0.00382,-1.1287),(6725,3655,0.003949,-1.1272),(6725,3665,0.004086,-1.1257),(6725,3675,0.004266,-1.1242),(6725,3685,0.004446,-1.1227),(6725,3695,0.004626,-1.1213),(6725,3705,0.004832,-1.1199),(6725,3715,0.005142,-1.1184),(6725,3725,0.005452,-1.117),(6725,3735,0.005762,-1.1154),(6725,3745,0.006101,-1.1138),(6725,3755,0.006533,-1.1123),(6725,3765,0.006964,-1.1107),(6725,3775,0.007395,-1.109),(6725,3785,0.007891,-1.1073),(6725,3795,0.008552,-1.1056),(6725,3805,0.009213,-1.1038),(6725,3815,0.009874,-1.1019),(6725,3825,0.010606,-1.0999),(6725,3835,0.011487,-1.098),(6725,3845,0.012368,-1.0959),(6725,3855,0.013249,-1.0936),(6725,3865,0.014238,-1.0913),(6725,3875,0.015418,-1.089),(6725,3885,0.016599,-1.0864),(6725,3895,0.017779,-1.0834),(6725,3905,0.019019,-1.0804),(6725,3915,0.020349,-1.0774),(6725,3925,0.021679,-1.0741),(6725,3935,0.023008,-1.0703),(6725,3945,0.024305,-1.0664),(6725,3955,0.02556,-1.0626),(6725,3965,0.026814,-1.0583),(6725,3975,0.028069,-1.0535),(6725,3985,0.028032,-1.0487),(6725,3995,0.026598,-1.0438),(6725,4005,0.025163,-1.0396),(6725,4015,0.023729,-1.0358),(6725,4025,0.088315,-1.032),(6725,4035,0.15936,-1.0292),(6725,4045,0.23041,-1.0281),(6725,4055,0.28428,-1.0271),(6725,4065,0.3319,-1.026),(6725,4075,0.37951,-1.0242),(6725,4085,0.40109,-1.0224),(6725,4095,0.40175,-1.0206),(6725,4105,0.40241,-1.0188),(6725,4115,0.40306,-1.017),(6725,4125,0.40371,-1.0151),(6725,4135,0.40435,-1.0133),(6725,4145,0.40499,-1.0114),(6725,4155,0.4056,-1.0095),(6725,4165,0.4062,-1.0077),(6725,4175,0.40681,-1.0058),(6725,4185,0.40741,-1.0039),(6725,4195,0.408,-1.0021),(6725,4205,0.4086,-1.0001),(6725,4215,0.40919,-0.99817),(6725,4225,0.40978,-0.99621),(6725,4235,0.41037,-0.99421),(6725,4245,0.41096,-0.99221),(6725,4255,0.41156,-0.9902),(6725,4265,0.41216,-0.98819),(6725,4275,0.41276,-0.98617),(6725,4285,0.41336,-0.98415),(6725,4295,0.41397,-0.98204),(6725,4305,0.41457,-0.97993),(6725,4315,0.41517,-0.97782),(6725,4325,0.41578,-0.97562),(6725,4335,0.41638,-0.97339),(6725,4345,0.41699,-0.97116),(6725,4355,0.4176,-0.96891),(6725,4365,0.41821,-0.96665),(6725,4375,0.41884,-0.96438),(6725,4385,0.41947,-0.9621),(6725,4395,0.4201,-0.95981),(6725,4405,0.42075,-0.95752),(6725,4415,0.42139,-0.9552),(6725,4425,0.42204,-0.9528),(6725,4435,0.4227,-0.95039),(6725,4445,0.42338,-0.94798),(6725,4455,0.42405,-0.9455),(6725,4465,0.42474,-0.94303),(6725,4475,0.42544,-0.94056),(6725,4485,0.42615,-0.93801),(6725,4495,0.42687,-0.93544),(6725,4505,0.42761,-0.93287),(6725,4515,0.42835,-0.93027),(6725,4525,0.42909,-0.92766),(6725,4535,0.42986,-0.92504),(6725,4545,0.43063,-0.92239),(6725,4555,0.4314,-0.91969),(6725,4565,0.43219,-0.917),(6725,4575,0.43298,-0.91427),(6725,4585,0.43378,-0.91146),(6725,4595,0.43459,-0.90865),(6725,4605,0.43542,-0.90583),(6725,4615,0.43624,-0.90294),(6725,4625,0.43709,-0.90006),(6725,4635,0.43795,-0.89718),(6725,4645,0.43882,-0.89424),(6725,4655,0.4397,-0.89131),(6725,4665,0.44059,-0.88837),(6725,4675,0.44148,-0.88539),(6725,4685,0.44238,-0.88239),(6725,4695,0.44329,-0.87939),(6725,4705,0.44421,-0.87633),(6725,4715,0.44512,-0.87325),(6725,4725,0.44606,-0.87016),(6725,4735,0.44699,-0.86703),(6725,4745,0.44792,-0.86384),(6725,4755,0.44892,-0.86065),(6725,4765,0.44993,-0.85745),(6725,4775,0.45093,-0.85423),(6725,4785,0.45197,-0.851),(6725,4795,0.45302,-0.84777),(6725,4805,0.45408,-0.84448),(6725,4815,0.45515,-0.84119),(6725,4825,0.45623,-0.8379),(6725,4835,0.45732,-0.83454),(6725,4845,0.45842,-0.83117),(6725,4855,0.45953,-0.8278),(6725,4865,0.46065,-0.82438),(6725,4875,0.46176,-0.82094),(6725,4885,0.4629,-0.8175),(6725,4895,0.46403,-0.81403),(6725,4905,0.46517,-0.81052),(6725,4915,0.46632,-0.80701),(6725,4925,0.46747,-0.80347),(6725,4935,0.46862,-0.79988),(6725,4945,0.46978,-0.79628),(6725,4955,0.47094,-0.79268),(6725,4965,0.4721,-0.78901),(6725,4975,0.47327,-0.78533),(6725,4985,0.47444,-0.78166),(6725,4995,0.47562,-0.77794),(6725,5005,0.4768,-0.77422),(6725,5015,0.478,-0.7705),(6725,5025,0.4792,-0.76674),(6725,5035,0.4804,-0.76297),(6725,5045,0.48161,-0.7592),(6725,5055,0.48281,-0.75538),(6725,5065,0.48402,-0.75152),(6725,5075,0.48527,-0.74766),(6725,5085,0.48652,-0.74377),(6725,5095,0.48777,-0.73985),(6725,5105,0.48899,-0.73592),(6725,5115,0.49022,-0.73198),(6725,5125,0.49144,-0.72798),(6725,5135,0.49268,-0.72397),(6725,5145,0.49392,-0.71996),(6725,5155,0.49517,-0.71593),(6725,5165,0.49643,-0.71189),(6725,5175,0.49771,-0.70785),(6725,5185,0.49898,-0.70375),(6725,5195,0.50026,-0.69965),(6725,5205,0.50152,-0.69554),(6725,5215,0.50279,-0.69137),(6725,5225,0.50405,-0.68717),(6725,5235,0.50531,-0.68297),(6725,5245,0.50657,-0.67873),(6725,5255,0.50782,-0.67447),(6725,5265,0.50909,-0.67021),(6725,5275,0.51037,-0.66594),(6725,5285,0.51164,-0.66166),(6725,5295,0.51292,-0.65737),(6725,5305,0.51421,-0.65309),(6725,5315,0.5155,-0.64878),(6725,5325,0.51678,-0.64447),(6725,5335,0.51804,-0.64016),(6725,5345,0.51931,-0.63576),(6725,5355,0.52057,-0.63137),(6725,5365,0.52181,-0.62698),(6725,5375,0.52305,-0.62252),(6725,5385,0.5243,-0.61805),(6725,5395,0.52554,-0.61357),(6725,5405,0.52679,-0.60907),(6725,5415,0.52804,-0.60456),(6725,5425,0.5293,-0.60004),(6725,5435,0.53056,-0.5955),(6725,5445,0.53182,-0.59093),(6725,5455,0.5331,-0.58637),(6725,5465,0.53437,-0.58178),(6725,5475,0.53564,-0.57716),(6725,5485,0.53692,-0.57254),(6725,5495,0.5382,-0.56792),(6725,5505,0.53947,-0.56327),(6725,5515,0.54075,-0.55861),(6725,5525,0.54202,-0.55396),(6725,5535,0.5433,-0.54928),(6725,5545,0.54456,-0.54459),(6725,5555,0.54581,-0.53991),(6725,5565,0.54705,-0.53516),(6725,5575,0.54828,-0.5304),(6725,5585,0.54947,-0.52564),(6725,5595,0.55067,-0.52081),(6725,5605,0.55186,-0.51594),(6725,5615,0.553,-0.51106),(6725,5625,0.55414,-0.50617),(6725,5635,0.55528,-0.50126),(6725,5645,0.5564,-0.49634),(6725,5655,0.55752,-0.49141),(6725,5665,0.55863,-0.48644),(6725,5675,0.55973,-0.48147),(6725,5685,0.56083,-0.47649),(6725,5695,0.56192,-0.47146),(6725,5705,0.56305,-0.46643),(6725,5715,0.56421,-0.46139),(6725,5725,0.56538,-0.45643),(6725,5735,0.56653,-0.45148),(6725,5745,0.56764,-0.44653),(6725,5755,0.56876,-0.44157),(6725,5765,0.56987,-0.4366),(6725,5775,0.57093,-0.43164),(6725,5785,0.572,-0.42662),(6725,5795,0.57306,-0.42157),(6725,5805,0.57409,-0.41652),(6725,5815,0.57511,-0.41144),(6725,5825,0.57613,-0.40632),(6725,5835,0.57714,-0.40121),(6725,5845,0.57815,-0.39609),(6725,5855,0.57915,-0.39098),(6725,5865,0.58015,-0.38587),(6725,5875,0.58115,-0.38076),(6725,5885,0.58214,-0.37562),(6725,5895,0.58312,-0.37048),(6725,5905,0.58408,-0.36533),(6725,5915,0.58503,-0.36014),(6725,5925,0.58598,-0.35494),(6725,5935,0.58688,-0.34974),(6725,5945,0.58779,-0.34453),(6725,5955,0.58869,-0.33931),(6725,5965,0.58953,-0.3341),(6725,5975,0.59038,-0.32884),(6725,5985,0.59122,-0.32355),(6725,5995,0.59212,-0.31825),(6725,6005,0.59303,-0.31296),(6725,6015,0.59393,-0.30769),(6725,6025,0.5948,-0.30241),(6725,6035,0.59565,-0.29714),(6725,6045,0.59649,-0.29187),(6725,6055,0.59732,-0.2866),(6725,6065,0.59812,-0.28133),(6725,6075,0.59892,-0.27599),(6725,6085,0.5997,-0.27064),(6725,6095,0.60043,-0.26529),(6725,6105,0.60116,-0.25986),(6725,6115,0.60188,-0.25442),(6725,6125,0.60256,-0.24897),(6725,6135,0.60323,-0.24356),(6725,6145,0.6039,-0.23819),(6725,6155,0.60455,-0.23281),(6725,6165,0.6052,-0.22745),(6725,6175,0.60584,-0.22211),(6725,6185,0.60647,-0.21678),(6725,6195,0.60709,-0.21142),(6725,6205,0.60771,-0.20599),(6725,6215,0.6083,-0.20055),(6725,6225,0.60889,-0.19512),(6725,6235,0.60947,-0.1897),(6725,6245,0.61004,-0.18429),(6725,6255,0.61058,-0.17888),(6725,6265,0.61112,-0.17346),(6725,6275,0.61164,-0.16805),(6725,6285,0.6121,-0.16263),(6725,6295,0.61256,-0.15719),(6725,6305,0.61302,-0.15173),(6725,6315,0.6135,-0.14627),(6725,6325,0.61397,-0.14085),(6725,6335,0.61445,-0.13546),(6725,6345,0.61486,-0.13008),(6725,6355,0.61526,-0.12463),(6725,6365,0.61566,-0.11905),(6725,6375,0.61602,-0.11346),(6725,6385,0.61637,-0.10788),(6725,6395,0.61671,-0.10236),(6725,6405,0.61704,-0.096833),(6725,6415,0.61735,-0.091307),(6725,6425,0.61767,-0.085908),(6725,6435,0.61796,-0.080515),(6725,6445,0.61822,-0.075122),(6725,6455,0.61847,-0.069671),(6725,6465,0.61872,-0.064203),(6725,6475,0.61892,-0.058736),(6725,6485,0.61913,-0.053163),(6725,6495,0.61933,-0.047521),(6725,6505,0.61951,-0.041879),(6725,6515,0.61968,-0.036284),(6725,6525,0.61985,-0.030752),(6725,6535,0.61998,-0.02522),(6725,6545,0.6201,-0.019734),(6725,6555,0.62021,-0.01439),(6725,6565,0.62028,-0.009047),(6725,6575,0.62031,-0.003696),(6725,6585,0.62034,0.001764),(6725,6595,0.52762,0.007224),(6725,6605,0.33248,0.012684),(6725,6615,0.13734,0.01336),(6725,6625,0.00018,0.013422),(6725,6635,0.00024,0.013483),(6725,6645,0.0003,0.0135),(6725,6655,0.000359,0.013499),(6725,6665,0.000419,0.013498),(6725,6675,0.000478,0.013495),(6725,6685,0.000538,0.013491),(6725,6695,0.000597,0.013487),(6725,6705,0.000656,0.013482),(6725,6715,0.000714,0.013475),(6725,6725,0.000773,0.013468),(6725,6735,0.000831,0.013461),(6725,6745,0.000889,0.013452),(6725,6755,0.000947,0.013442),(6725,6765,0.001004,0.013433),(6725,6775,0.001062,0.013421),(6725,6785,0.001119,0.013409),(6725,6795,0.001175,0.013397),(6725,6805,0.001231,0.013382),(6725,6815,0.001288,0.013368),(6725,6825,0.001343,0.013353),(6725,6835,0.001398,0.013337),(6725,6845,0.001453,0.01332),(6725,6855,0.001506,0.013303),(6725,6865,0.00156,0.013285),(6725,6875,0.001614,0.013266),(6725,6885,0.001666,0.013247),(6725,6895,0.001718,0.013227),(6725,6905,0.00177,0.013206),(6725,6915,0.001821,0.013185),(6725,6925,0.001872,0.013163),(6725,6935,0.001922,0.01314),(6725,6945,0.001972,0.013117),(6725,6955,0.00202,0.013094),(6725,6965,0.002069,0.013069),(6725,6975,0.002117,0.013044),(6725,6985,0.002164,0.013019),(6735,5,-1.2e-05,-1.2903),(6735,15,-3.7e-05,-1.2903),(6735,25,-6.1e-05,-1.2903),(6735,35,-8.2e-05,-1.2903),(6735,45,-0.000104,-1.2903),(6735,55,-0.000126,-1.2903),(6735,65,-0.000138,-1.2903),(6735,75,-0.000143,-1.2902),(6735,85,-0.000148,-1.2902),(6735,95,-0.000152,-1.2901),(6735,105,-0.000159,-1.2901),(6735,115,-0.000166,-1.29),(6735,125,-0.000173,-1.29),(6735,135,-0.00018,-1.2899),(6735,145,-0.000177,-1.2898),(6735,155,-0.000168,-1.2898),(6735,165,-0.00016,-1.2897),(6735,175,-0.000151,-1.2896),(6735,185,-0.000149,-1.2895),(6735,195,-0.00015,-1.2894),(6735,205,-0.00015,-1.2893),(6735,215,-0.000151,-1.2892),(6735,225,-0.000148,-1.2891),(6735,235,-0.000144,-1.289),(6735,245,-0.00014,-1.2888),(6735,255,-0.000136,-1.2887),(6735,265,-0.000132,-1.2886),(6735,275,-0.000128,-1.2884),(6735,285,-0.000125,-1.2882),(6735,295,-0.000121,-1.288),(6735,305,-0.000106,-1.2878),(6735,315,-8.7e-05,-1.2876),(6735,325,-6.8e-05,-1.2874),(6735,335,-4.9e-05,-1.2873),(6735,345,-2.2e-05,-1.2871),(6735,355,5e-06,-1.287),(6735,365,3.3e-05,-1.2868),(6735,375,6e-05,-1.2866),(6735,385,6.3e-05,-1.2864),(6735,395,6.2e-05,-1.2862),(6735,405,6.2e-05,-1.2859),(6735,415,6.1e-05,-1.2857),(6735,425,4.4e-05,-1.2854),(6735,435,2.5e-05,-1.2852),(6735,445,6e-06,-1.285),(6735,455,-1.3e-05,-1.2847),(6735,465,-3.3e-05,-1.2845),(6735,475,-5.3e-05,-1.2842),(6735,485,-7.2e-05,-1.2839),(6735,495,-9.2e-05,-1.2837),(6735,505,-0.000109,-1.2834),(6735,515,-0.000126,-1.2831),(6735,525,-0.000143,-1.2828),(6735,535,-0.00016,-1.2825),(6735,545,-0.000179,-1.2823),(6735,555,-0.000197,-1.282),(6735,565,-0.000215,-1.2816),(6735,575,-0.000232,-1.2813),(6735,585,-0.000243,-1.2809),(6735,595,-0.000253,-1.2806),(6735,605,-0.000263,-1.2803),(6735,615,-0.00027,-1.2799),(6735,625,-0.000253,-1.2796),(6735,635,-0.000236,-1.2793),(6735,645,-0.000218,-1.279),(6735,655,-0.000199,-1.2787),(6735,665,-0.000168,-1.2784),(6735,675,-0.000137,-1.2781),(6735,685,-0.000107,-1.2778),(6735,695,-7.8e-05,-1.2775),(6735,705,-5.5e-05,-1.2771),(6735,715,-3.3e-05,-1.2768),(6735,725,-1e-05,-1.2764),(6735,735,1.1e-05,-1.276),(6735,745,3e-05,-1.2757),(6735,755,4.8e-05,-1.2753),(6735,765,6.6e-05,-1.2749),(6735,775,7.9e-05,-1.2745),(6735,785,7.7e-05,-1.274),(6735,795,7.5e-05,-1.2736),(6735,805,7.3e-05,-1.2731),(6735,815,8.5e-05,-1.2726),(6735,825,0.000126,-1.2722),(6735,835,0.000168,-1.2717),(6735,845,0.000209,-1.2713),(6735,855,0.000265,-1.2708),(6735,865,0.000346,-1.2704),(6735,875,0.000427,-1.27),(6735,885,0.000509,-1.2695),(6735,895,0.000612,-1.2691),(6735,905,0.000749,-1.2687),(6735,915,0.000885,-1.2683),(6735,925,0.001022,-1.2679),(6735,935,0.001172,-1.2675),(6735,945,0.001339,-1.2671),(6735,955,0.001507,-1.2666),(6735,965,0.001674,-1.2661),(6735,975,0.001849,-1.2656),(6735,985,0.002032,-1.2651),(6735,995,0.002216,-1.2646),(6735,1005,0.002399,-1.264),(6735,1015,0.002626,-1.2634),(6735,1025,0.002895,-1.2628),(6735,1035,0.003163,-1.2622),(6735,1045,0.003432,-1.2616),(6735,1055,0.003787,-1.261),(6735,1065,0.004213,-1.2604),(6735,1075,0.004639,-1.2596),(6735,1085,0.005065,-1.2588),(6735,1095,0.005628,-1.258),(6735,1105,0.006289,-1.2572),(6735,1115,0.006949,-1.2562),(6735,1125,0.007609,-1.2551),(6735,1135,0.008456,-1.2541),(6735,1145,0.009413,-1.253),(6735,1155,0.010369,-1.2516),(6735,1165,0.011326,-1.2501),(6735,1175,0.012556,-1.2485),(6735,1185,0.013921,-1.247),(6735,1195,0.015286,-1.245),(6735,1205,0.016652,-1.2427),(6735,1215,0.018212,-1.2404),(6735,1225,0.019854,-1.2382),(6735,1235,0.021495,-1.2351),(6735,1245,0.023136,-1.2317),(6735,1255,0.024731,-1.2283),(6735,1265,0.026309,-1.2249),(6735,1275,0.027888,-1.2206),(6735,1285,0.029466,-1.216),(6735,1295,0.027233,-1.2114),(6735,1305,0.023968,-1.2068),(6735,1315,0.020704,-1.2037),(6735,1325,0.017439,-1.201),(6735,1335,0.010784,-1.1982),(6735,1345,0.003419,-1.1955),(6735,1355,-0.003947,-1.1967),(6735,1365,-0.011313,-1.1986),(6735,1375,-0.016019,-1.2005),(6735,1385,-0.020316,-1.2023),(6735,1395,-0.024612,-1.2064),(6735,1405,-0.028909,-1.2106),(6735,1415,-0.027865,-1.2149),(6735,1425,-0.026266,-1.2192),(6735,1435,-0.024668,-1.2226),(6735,1445,-0.023069,-1.2259),(6735,1455,-0.021392,-1.2293),(6735,1465,-0.019709,-1.2326),(6735,1475,-0.018027,-1.2346),(6735,1485,-0.016345,-1.2366),(6735,1495,-0.01495,-1.2385),(6735,1505,-0.013558,-1.2404),(6735,1515,-0.012167,-1.2417),(6735,1525,-0.010785,-1.243),(6735,1535,-0.009776,-1.2442),(6735,1545,-0.008766,-1.2454),(6735,1555,-0.007756,-1.2461),(6735,1565,-0.006768,-1.2468),(6735,1575,-0.006086,-1.2474),(6735,1585,-0.005404,-1.2481),(6735,1595,-0.004723,-1.2485),(6735,1605,-0.004067,-1.2489),(6735,1615,-0.003637,-1.2494),(6735,1625,-0.003207,-1.2498),(6735,1635,-0.002777,-1.25),(6735,1645,-0.002364,-1.2501),(6735,1655,-0.00206,-1.2503),(6735,1665,-0.001756,-1.2505),(6735,1675,-0.001451,-1.2507),(6735,1685,-0.001161,-1.2509),(6735,1695,-0.000938,-1.251),(6735,1705,-0.000714,-1.2512),(6735,1715,-0.00049,-1.2512),(6735,1725,-0.000285,-1.2513),(6735,1735,-0.000146,-1.2514),(6735,1745,-8e-06,-1.2514),(6735,1755,0.000131,-1.2514),(6735,1765,0.000259,-1.2514),(6735,1775,0.000355,-1.2514),(6735,1785,0.000452,-1.2514),(6735,1795,0.000548,-1.2515),(6735,1805,0.000637,-1.2515),(6735,1815,0.000706,-1.2516),(6735,1825,0.000776,-1.2516),(6735,1835,0.000846,-1.2516),(6735,1845,0.000907,-1.2516),(6735,1855,0.000951,-1.2516),(6735,1865,0.000995,-1.2516),(6735,1875,0.001039,-1.2516),(6735,1885,0.001068,-1.2516),(6735,1895,0.001073,-1.2516),(6735,1905,0.001078,-1.2515),(6735,1915,0.001082,-1.2514),(6735,1925,0.001085,-1.2512),(6735,1935,0.001085,-1.2511),(6735,1945,0.001084,-1.2509),(6735,1955,0.001084,-1.2509),(6735,1965,0.001102,-1.2508),(6735,1975,0.001142,-1.2507),(6735,1985,0.001182,-1.2507),(6735,1995,0.001222,-1.2506),(6735,2005,0.001259,-1.2505),(6735,2015,0.001294,-1.2505),(6735,2025,0.001328,-1.2503),(6735,2035,0.001362,-1.2502),(6735,2045,0.001383,-1.25),(6735,2055,0.001393,-1.2499),(6735,2065,0.001402,-1.2497),(6735,2075,0.001411,-1.2496),(6735,2085,0.001422,-1.2495),(6735,2095,0.001433,-1.2494),(6735,2105,0.001444,-1.2492),(6735,2115,0.001455,-1.249),(6735,2125,0.001441,-1.2488),(6735,2135,0.001411,-1.2486),(6735,2145,0.00138,-1.2484),(6735,2155,0.00135,-1.2481),(6735,2165,0.001323,-1.2479),(6735,2175,0.001296,-1.2476),(6735,2185,0.00127,-1.2474),(6735,2195,0.001244,-1.2471),(6735,2205,0.001238,-1.2468),(6735,2215,0.001241,-1.2466),(6735,2225,0.001244,-1.2463),(6735,2235,0.001248,-1.2459),(6735,2245,0.001247,-1.2456),(6735,2255,0.001245,-1.2453),(6735,2265,0.001243,-1.245),(6735,2275,0.001241,-1.2447),(6735,2285,0.001241,-1.2443),(6735,2295,0.001241,-1.244),(6735,2305,0.001241,-1.2437),(6735,2315,0.001241,-1.2434),(6735,2325,0.001277,-1.2431),(6735,2335,0.001321,-1.2428),(6735,2345,0.001365,-1.2425),(6735,2355,0.001409,-1.2422),(6735,2365,0.001431,-1.2418),(6735,2375,0.00145,-1.2415),(6735,2385,0.00147,-1.2411),(6735,2395,0.001489,-1.2407),(6735,2405,0.001491,-1.2403),(6735,2415,0.001491,-1.2399),(6735,2425,0.001491,-1.2394),(6735,2435,0.001491,-1.2389),(6735,2445,0.001495,-1.2385),(6735,2455,0.001498,-1.238),(6735,2465,0.001502,-1.2375),(6735,2475,0.001505,-1.2371),(6735,2485,0.0015,-1.2366),(6735,2495,0.001494,-1.2362),(6735,2505,0.001488,-1.2357),(6735,2515,0.001482,-1.2353),(6735,2525,0.001468,-1.2348),(6735,2535,0.001454,-1.2343),(6735,2545,0.00144,-1.2337),(6735,2555,0.001427,-1.2332),(6735,2565,0.00141,-1.2326),(6735,2575,0.001394,-1.2321),(6735,2585,0.001378,-1.2315),(6735,2595,0.001362,-1.2309),(6735,2605,0.001345,-1.2303),(6735,2615,0.001328,-1.2297),(6735,2625,0.001311,-1.229),(6735,2635,0.0013,-1.2284),(6735,2645,0.001319,-1.2278),(6735,2655,0.001339,-1.2271),(6735,2665,0.001359,-1.2265),(6735,2675,0.001374,-1.2259),(6735,2685,0.001368,-1.2253),(6735,2695,0.001362,-1.2247),(6735,2705,0.001356,-1.2241),(6735,2715,0.001356,-1.2235),(6735,2725,0.001382,-1.2228),(6735,2735,0.001407,-1.2222),(6735,2745,0.001433,-1.2216),(6735,2755,0.001455,-1.2209),(6735,2765,0.001468,-1.2202),(6735,2775,0.001481,-1.2195),(6735,2785,0.001494,-1.2188),(6735,2795,0.001508,-1.218),(6735,2805,0.001521,-1.2173),(6735,2815,0.001535,-1.2165),(6735,2825,0.001549,-1.2158),(6735,2835,0.001568,-1.215),(6735,2845,0.001597,-1.2143),(6735,2855,0.001627,-1.2135),(6735,2865,0.001657,-1.2127),(6735,2875,0.001689,-1.212),(6735,2885,0.001723,-1.2112),(6735,2895,0.001758,-1.2104),(6735,2905,0.001792,-1.2096),(6735,2915,0.001823,-1.2088),(6735,2925,0.001849,-1.208),(6735,2935,0.001875,-1.2072),(6735,2945,0.0019,-1.2064),(6735,2955,0.001914,-1.2056),(6735,2965,0.001913,-1.2048),(6735,2975,0.001911,-1.2039),(6735,2985,0.00191,-1.203),(6735,2995,0.001892,-1.2021),(6735,3005,0.001856,-1.2012),(6735,3015,0.001821,-1.2003),(6735,3025,0.001785,-1.1993),(6735,3035,0.001773,-1.1983),(6735,3045,0.001783,-1.1974),(6735,3055,0.001792,-1.1964),(6735,3065,0.001802,-1.1954),(6735,3075,0.001815,-1.1945),(6735,3085,0.00183,-1.1935),(6735,3095,0.001846,-1.1926),(6735,3105,0.001861,-1.1916),(6735,3115,0.00189,-1.1907),(6735,3125,0.001928,-1.1897),(6735,3135,0.001965,-1.1887),(6735,3145,0.002003,-1.1877),(6735,3155,0.002026,-1.1867),(6735,3165,0.00204,-1.1857),(6735,3175,0.002054,-1.1847),(6735,3185,0.002069,-1.1837),(6735,3195,0.002089,-1.1827),(6735,3205,0.002112,-1.1817),(6735,3215,0.002134,-1.1806),(6735,3225,0.002157,-1.1796),(6735,3235,0.002154,-1.1785),(6735,3245,0.002142,-1.1774),(6735,3255,0.00213,-1.1763),(6735,3265,0.002117,-1.1751),(6735,3275,0.002093,-1.174),(6735,3285,0.002065,-1.1728),(6735,3295,0.002037,-1.1717),(6735,3305,0.00201,-1.1705),(6735,3315,0.002016,-1.1694),(6735,3325,0.002031,-1.1683),(6735,3335,0.002045,-1.1671),(6735,3345,0.00206,-1.166),(6735,3355,0.00208,-1.1649),(6735,3365,0.002102,-1.1637),(6735,3375,0.002124,-1.1625),(6735,3385,0.002146,-1.1613),(6735,3395,0.002211,-1.1601),(6735,3405,0.002281,-1.1589),(6735,3415,0.002352,-1.1578),(6735,3425,0.002423,-1.1567),(6735,3435,0.00244,-1.1556),(6735,3445,0.002454,-1.1545),(6735,3455,0.002467,-1.1532),(6735,3465,0.00248,-1.1519),(6735,3475,0.002494,-1.1507),(6735,3485,0.002507,-1.1494),(6735,3495,0.00252,-1.1481),(6735,3505,0.002533,-1.1468),(6735,3515,0.002576,-1.1455),(6735,3525,0.002618,-1.1442),(6735,3535,0.002661,-1.1429),(6735,3545,0.002704,-1.1416),(6735,3555,0.00278,-1.1403),(6735,3565,0.002855,-1.139),(6735,3575,0.002931,-1.1377),(6735,3585,0.003012,-1.1364),(6735,3595,0.003156,-1.135),(6735,3605,0.0033,-1.1337),(6735,3615,0.003444,-1.1324),(6735,3625,0.003586,-1.1312),(6735,3635,0.003713,-1.1299),(6735,3645,0.00384,-1.1286),(6735,3655,0.003968,-1.1271),(6735,3665,0.0041,-1.1256),(6735,3675,0.004259,-1.1241),(6735,3685,0.004418,-1.1226),(6735,3695,0.004577,-1.1211),(6735,3705,0.004761,-1.1197),(6735,3715,0.005044,-1.1182),(6735,3725,0.005326,-1.1167),(6735,3735,0.005609,-1.1152),(6735,3745,0.005919,-1.1136),(6735,3755,0.006315,-1.112),(6735,3765,0.00671,-1.1104),(6735,3775,0.007106,-1.1086),(6735,3785,0.00756,-1.1069),(6735,3795,0.008163,-1.1052),(6735,3805,0.008766,-1.1034),(6735,3815,0.009369,-1.1014),(6735,3825,0.010027,-1.0994),(6735,3835,0.010801,-1.0974),(6735,3845,0.011574,-1.0953),(6735,3855,0.012347,-1.0929),(6735,3865,0.013216,-1.0906),(6735,3875,0.014255,-1.0882),(6735,3885,0.015293,-1.0856),(6735,3895,0.016332,-1.0825),(6735,3905,0.017418,-1.0795),(6735,3915,0.018573,-1.0765),(6735,3925,0.019729,-1.0731),(6735,3935,0.020884,-1.0693),(6735,3945,0.022,-1.0655),(6735,3955,0.023064,-1.0617),(6735,3965,0.024128,-1.0574),(6735,3975,0.025192,-1.0527),(6735,3985,0.02511,-1.048),(6735,3995,0.023787,-1.0433),(6735,4005,0.022464,-1.0391),(6735,4015,0.021141,-1.0355),(6735,4025,0.085951,-1.0319),(6735,4035,0.15723,-1.0291),(6735,4045,0.22851,-1.0281),(6735,4055,0.28219,-1.0271),(6735,4065,0.32944,-1.0259),(6735,4075,0.3767,-1.0242),(6735,4085,0.39811,-1.0224),(6735,4095,0.39876,-1.0207),(6735,4105,0.39942,-1.0188),(6735,4115,0.40006,-1.017),(6735,4125,0.4007,-1.0152),(6735,4135,0.40134,-1.0133),(6735,4145,0.40197,-1.0115),(6735,4155,0.40256,-1.0096),(6735,4165,0.40314,-1.0078),(6735,4175,0.40373,-1.0059),(6735,4185,0.40431,-1.0041),(6735,4195,0.40489,-1.0022),(6735,4205,0.40547,-1.0002),(6735,4215,0.40604,-0.9983),(6735,4225,0.40661,-0.99634),(6735,4235,0.40717,-0.99434),(6735,4245,0.40775,-0.99234),(6735,4255,0.40833,-0.99033),(6735,4265,0.4089,-0.98832),(6735,4275,0.40948,-0.9863),(6735,4285,0.41007,-0.98429),(6735,4295,0.41065,-0.98219),(6735,4305,0.41123,-0.98008),(6735,4315,0.41182,-0.97798),(6735,4325,0.4124,-0.97578),(6735,4335,0.41299,-0.97356),(6735,4345,0.41358,-0.97133),(6735,4355,0.41418,-0.96909),(6735,4365,0.41477,-0.96682),(6735,4375,0.41538,-0.96455),(6735,4385,0.41599,-0.96227),(6735,4395,0.4166,-0.95998),(6735,4405,0.41723,-0.95769),(6735,4415,0.41786,-0.95538),(6735,4425,0.41849,-0.95296),(6735,4435,0.41913,-0.95055),(6735,4445,0.41979,-0.94814),(6735,4455,0.42044,-0.94566),(6735,4465,0.42111,-0.94319),(6735,4475,0.42179,-0.94071),(6735,4485,0.42248,-0.93815),(6735,4495,0.42317,-0.93558),(6735,4505,0.42389,-0.93301),(6735,4515,0.42461,-0.93041),(6735,4525,0.42533,-0.92779),(6735,4535,0.42608,-0.92517),(6735,4545,0.42682,-0.92251),(6735,4555,0.42757,-0.91982),(6735,4565,0.42834,-0.91713),(6735,4575,0.42912,-0.9144),(6735,4585,0.4299,-0.91158),(6735,4595,0.43069,-0.90877),(6735,4605,0.4315,-0.90595),(6735,4615,0.43231,-0.90306),(6735,4625,0.43314,-0.90017),(6735,4635,0.43399,-0.89727),(6735,4645,0.43484,-0.89434),(6735,4655,0.4357,-0.8914),(6735,4665,0.43658,-0.88846),(6735,4675,0.43746,-0.88548),(6735,4685,0.43834,-0.88247),(6735,4695,0.43923,-0.87947),(6735,4705,0.44013,-0.87641),(6735,4715,0.44103,-0.87332),(6735,4725,0.44193,-0.87023),(6735,4735,0.44284,-0.86709),(6735,4745,0.44374,-0.86388),(6735,4755,0.44471,-0.86067),(6735,4765,0.44569,-0.85746),(6735,4775,0.44667,-0.85422),(6735,4785,0.44768,-0.85098),(6735,4795,0.4487,-0.84774),(6735,4805,0.44972,-0.84444),(6735,4815,0.45075,-0.84115),(6735,4825,0.45181,-0.83785),(6735,4835,0.45287,-0.83449),(6735,4845,0.45394,-0.83111),(6735,4855,0.45503,-0.82774),(6735,4865,0.45612,-0.82432),(6735,4875,0.45721,-0.82088),(6735,4885,0.45833,-0.81743),(6735,4895,0.45945,-0.81395),(6735,4905,0.46057,-0.81044),(6735,4915,0.4617,-0.80693),(6735,4925,0.46283,-0.80339),(6735,4935,0.46397,-0.79979),(6735,4945,0.46511,-0.7962),(6735,4955,0.46625,-0.79259),(6735,4965,0.46739,-0.78891),(6735,4975,0.46854,-0.78524),(6735,4985,0.46969,-0.78156),(6735,4995,0.47084,-0.77783),(6735,5005,0.472,-0.7741),(6735,5015,0.47318,-0.77038),(6735,5025,0.47435,-0.76661),(6735,5035,0.47552,-0.76284),(6735,5045,0.4767,-0.75907),(6735,5055,0.47788,-0.75524),(6735,5065,0.47906,-0.75138),(6735,5075,0.48031,-0.74752),(6735,5085,0.48157,-0.74363),(6735,5095,0.48282,-0.7397),(6735,5105,0.48404,-0.73578),(6735,5115,0.48524,-0.73183),(6735,5125,0.48645,-0.72781),(6735,5135,0.48766,-0.7238),(6735,5145,0.48888,-0.71978),(6735,5155,0.4901,-0.71573),(6735,5165,0.49133,-0.71168),(6735,5175,0.49259,-0.70764),(6735,5185,0.49384,-0.70354),(6735,5195,0.49509,-0.69944),(6735,5205,0.49635,-0.69534),(6735,5215,0.4976,-0.69117),(6735,5225,0.49886,-0.68696),(6735,5235,0.5001,-0.68276),(6735,5245,0.50134,-0.67852),(6735,5255,0.50258,-0.67424),(6735,5265,0.50382,-0.66997),(6735,5275,0.50506,-0.66569),(6735,5285,0.5063,-0.6614),(6735,5295,0.50756,-0.65711),(6735,5305,0.50882,-0.65282),(6735,5315,0.51008,-0.64851),(6735,5325,0.51134,-0.64421),(6735,5335,0.51259,-0.6399),(6735,5345,0.51384,-0.63552),(6735,5355,0.51508,-0.63113),(6735,5365,0.51632,-0.62674),(6735,5375,0.51756,-0.62228),(6735,5385,0.5188,-0.6178),(6735,5395,0.52003,-0.61332),(6735,5405,0.52127,-0.6088),(6735,5415,0.5225,-0.60427),(6735,5425,0.52374,-0.59974),(6735,5435,0.52498,-0.59519),(6735,5445,0.52621,-0.59061),(6735,5455,0.52745,-0.58603),(6735,5465,0.52869,-0.58143),(6735,5475,0.52992,-0.57681),(6735,5485,0.53116,-0.57218),(6735,5495,0.5324,-0.56755),(6735,5505,0.53364,-0.56289),(6735,5515,0.53488,-0.55824),(6735,5525,0.53613,-0.55358),(6735,5535,0.53738,-0.54891),(6735,5545,0.53862,-0.54423),(6735,5555,0.53986,-0.53956),(6735,5565,0.5411,-0.53482),(6735,5575,0.54233,-0.53007),(6735,5585,0.54352,-0.52532),(6735,5595,0.54472,-0.5205),(6735,5605,0.54592,-0.51564),(6735,5615,0.54706,-0.51077),(6735,5625,0.54821,-0.50589),(6735,5635,0.54935,-0.50097),(6735,5645,0.55046,-0.49605),(6735,5655,0.55157,-0.49112),(6735,5665,0.55267,-0.48614),(6735,5675,0.55374,-0.48115),(6735,5685,0.55479,-0.47617),(6735,5695,0.55584,-0.47112),(6735,5705,0.55694,-0.46606),(6735,5715,0.5581,-0.46101),(6735,5725,0.55926,-0.45605),(6735,5735,0.56041,-0.45111),(6735,5745,0.5615,-0.44616),(6735,5755,0.5626,-0.4412),(6735,5765,0.56369,-0.43624),(6735,5775,0.56474,-0.43129),(6735,5785,0.5658,-0.42628),(6735,5795,0.56685,-0.42123),(6735,5805,0.56786,-0.41619),(6735,5815,0.56887,-0.41111),(6735,5825,0.56988,-0.40599),(6735,5835,0.57088,-0.40087),(6735,5845,0.57187,-0.39576),(6735,5855,0.57287,-0.39064),(6735,5865,0.57386,-0.38553),(6735,5875,0.57484,-0.38041),(6735,5885,0.57583,-0.37528),(6735,5895,0.57681,-0.37014),(6735,5905,0.57777,-0.365),(6735,5915,0.57872,-0.35982),(6735,5925,0.57967,-0.35463),(6735,5935,0.58057,-0.34943),(6735,5945,0.58147,-0.34422),(6735,5955,0.58236,-0.33901),(6735,5965,0.58317,-0.3338),(6735,5975,0.58398,-0.32854),(6735,5985,0.5848,-0.32322),(6735,5995,0.5857,-0.3179),(6735,6005,0.58661,-0.3126),(6735,6015,0.58752,-0.30733),(6735,6025,0.58838,-0.30206),(6735,6035,0.58922,-0.2968),(6735,6045,0.59005,-0.29153),(6735,6055,0.59086,-0.28627),(6735,6065,0.59165,-0.28101),(6735,6075,0.59244,-0.27568),(6735,6085,0.59321,-0.27034),(6735,6095,0.59394,-0.265),(6735,6105,0.59466,-0.25959),(6735,6115,0.59539,-0.25416),(6735,6125,0.59606,-0.24872),(6735,6135,0.59673,-0.24331),(6735,6145,0.59741,-0.23794),(6735,6155,0.59805,-0.23256),(6735,6165,0.59869,-0.2272),(6735,6175,0.59934,-0.22186),(6735,6185,0.59995,-0.21652),(6735,6195,0.60056,-0.21116),(6735,6205,0.60117,-0.20573),(6735,6215,0.60176,-0.20029),(6735,6225,0.60234,-0.19486),(6735,6235,0.60291,-0.18945),(6735,6245,0.60347,-0.18404),(6735,6255,0.60401,-0.17863),(6735,6265,0.60454,-0.17323),(6735,6275,0.60505,-0.16783),(6735,6285,0.60549,-0.16243),(6735,6295,0.60592,-0.15698),(6735,6305,0.60636,-0.15152),(6735,6315,0.60685,-0.14606),(6735,6325,0.60735,-0.14064),(6735,6335,0.60785,-0.13526),(6735,6345,0.60826,-0.12988),(6735,6355,0.60866,-0.12444),(6735,6365,0.60906,-0.11887),(6735,6375,0.60941,-0.11329),(6735,6385,0.60975,-0.10772),(6735,6395,0.61008,-0.10219),(6735,6405,0.61041,-0.096667),(6735,6415,0.61072,-0.091141),(6735,6425,0.61103,-0.085753),(6735,6435,0.61133,-0.080371),(6735,6445,0.61159,-0.07499),(6735,6455,0.61185,-0.069547),(6735,6465,0.6121,-0.064087),(6735,6475,0.61231,-0.058627),(6735,6485,0.61252,-0.053057),(6735,6495,0.61273,-0.047413),(6735,6505,0.6129,-0.041769),(6735,6515,0.61308,-0.036174),(6735,6525,0.61326,-0.030647),(6735,6535,0.61337,-0.025121),(6735,6545,0.61348,-0.019641),(6735,6555,0.61359,-0.014309),(6735,6565,0.61362,-0.008978),(6735,6575,0.61362,-0.003637),(6735,6585,0.61362,0.001829),(6735,6595,0.52189,0.007295),(6735,6605,0.32887,0.012762),(6735,6615,0.13585,0.013433),(6735,6625,0.000179,0.013489),(6735,6635,0.000239,0.013544),(6735,6645,0.0003,0.013559),(6735,6655,0.00036,0.013558),(6735,6665,0.00042,0.013556),(6735,6675,0.000481,0.013554),(6735,6685,0.000541,0.013549),(6735,6695,0.000601,0.013545),(6735,6705,0.000661,0.01354),(6735,6715,0.00072,0.013533),(6735,6725,0.00078,0.013526),(6735,6735,0.000839,0.013519),(6735,6745,0.000898,0.013509),(6735,6755,0.000956,0.013499),(6735,6765,0.001015,0.013489),(6735,6775,0.001073,0.013477),(6735,6785,0.00113,0.013465),(6735,6795,0.001187,0.013452),(6735,6805,0.001245,0.013438),(6735,6815,0.001301,0.013423),(6735,6825,0.001357,0.013408),(6735,6835,0.001413,0.013391),(6735,6845,0.001469,0.013374),(6735,6855,0.001523,0.013357),(6735,6865,0.001577,0.013338),(6735,6875,0.001632,0.013319),(6735,6885,0.001685,0.013299),(6735,6895,0.001737,0.013279),(6735,6905,0.00179,0.013257),(6735,6915,0.001842,0.013235),(6735,6925,0.001893,0.013213),(6735,6935,0.001944,0.01319),(6735,6945,0.001994,0.013166),(6735,6955,0.002043,0.013142),(6735,6965,0.002092,0.013117),(6735,6975,0.002141,0.013091),(6735,6985,0.002188,0.013066),(6745,5,-1.3e-05,-1.2903),(6745,15,-4e-05,-1.2903),(6745,25,-6.4e-05,-1.2904),(6745,35,-8.8e-05,-1.2904),(6745,45,-0.000111,-1.2904),(6745,55,-0.000135,-1.2903),(6745,65,-0.000148,-1.2903),(6745,75,-0.000153,-1.2902),(6745,85,-0.000159,-1.2902),(6745,95,-0.000164,-1.2901),(6745,105,-0.000169,-1.2901),(6745,115,-0.000174,-1.29),(6745,125,-0.000178,-1.29),(6745,135,-0.000182,-1.2899),(6745,145,-0.000177,-1.2898),(6745,155,-0.000166,-1.2898),(6745,165,-0.000155,-1.2897),(6745,175,-0.000144,-1.2896),(6745,185,-0.000141,-1.2895),(6745,195,-0.000143,-1.2894),(6745,205,-0.000144,-1.2893),(6745,215,-0.000146,-1.2892),(6745,225,-0.000146,-1.2891),(6745,235,-0.000146,-1.289),(6745,245,-0.000146,-1.2888),(6745,255,-0.000145,-1.2887),(6745,265,-0.000148,-1.2886),(6745,275,-0.000152,-1.2884),(6745,285,-0.000156,-1.2882),(6745,295,-0.00016,-1.288),(6745,305,-0.000149,-1.2878),(6745,315,-0.000133,-1.2876),(6745,325,-0.000118,-1.2874),(6745,335,-0.000102,-1.2873),(6745,345,-6.8e-05,-1.2871),(6745,355,-3e-05,-1.2869),(6745,365,8e-06,-1.2867),(6745,375,4.7e-05,-1.2865),(6745,385,5.9e-05,-1.2863),(6745,395,6.8e-05,-1.2862),(6745,405,7.6e-05,-1.2859),(6745,415,8.5e-05,-1.2857),(6745,425,7e-05,-1.2855),(6745,435,5.3e-05,-1.2852),(6745,445,3.7e-05,-1.285),(6745,455,2e-05,-1.2847),(6745,465,-6e-06,-1.2845),(6745,475,-3.3e-05,-1.2842),(6745,485,-6e-05,-1.284),(6745,495,-8.6e-05,-1.2837),(6745,505,-0.000112,-1.2834),(6745,515,-0.000138,-1.2832),(6745,525,-0.000163,-1.2829),(6745,535,-0.000189,-1.2826),(6745,545,-0.00021,-1.2823),(6745,555,-0.000231,-1.282),(6745,565,-0.000252,-1.2816),(6745,575,-0.000273,-1.2813),(6745,585,-0.000288,-1.281),(6745,595,-0.000303,-1.2806),(6745,605,-0.000317,-1.2803),(6745,615,-0.000329,-1.2799),(6745,625,-0.000312,-1.2796),(6745,635,-0.000296,-1.2793),(6745,645,-0.00028,-1.279),(6745,655,-0.00026,-1.2787),(6745,665,-0.000224,-1.2784),(6745,675,-0.000187,-1.2781),(6745,685,-0.00015,-1.2778),(6745,695,-0.000114,-1.2774),(6745,705,-8.2e-05,-1.2771),(6745,715,-5e-05,-1.2768),(6745,725,-1.8e-05,-1.2764),(6745,735,1.4e-05,-1.276),(6745,745,4.2e-05,-1.2756),(6745,755,7.1e-05,-1.2753),(6745,765,9.9e-05,-1.2749),(6745,775,0.000118,-1.2745),(6745,785,0.000109,-1.2741),(6745,795,0.000101,-1.2736),(6745,805,9.3e-05,-1.2731),(6745,815,9.8e-05,-1.2727),(6745,825,0.000132,-1.2722),(6745,835,0.000167,-1.2717),(6745,845,0.000201,-1.2713),(6745,855,0.00025,-1.2708),(6745,865,0.000324,-1.2704),(6745,875,0.000399,-1.2699),(6745,885,0.000473,-1.2695),(6745,895,0.00057,-1.2691),(6745,905,0.000703,-1.2686),(6745,915,0.000836,-1.2682),(6745,925,0.000968,-1.2678),(6745,935,0.001117,-1.2674),(6745,945,0.001286,-1.267),(6745,955,0.001455,-1.2665),(6745,965,0.001624,-1.266),(6745,975,0.001798,-1.2655),(6745,985,0.001978,-1.265),(6745,995,0.002158,-1.2645),(6745,1005,0.002338,-1.2639),(6745,1015,0.002551,-1.2633),(6745,1025,0.002799,-1.2627),(6745,1035,0.003046,-1.2621),(6745,1045,0.003292,-1.2615),(6745,1055,0.003616,-1.2608),(6745,1065,0.004001,-1.2602),(6745,1075,0.004387,-1.2594),(6745,1085,0.004772,-1.2586),(6745,1095,0.00528,-1.2578),(6745,1105,0.005872,-1.2569),(6745,1115,0.006464,-1.2559),(6745,1125,0.007057,-1.2548),(6745,1135,0.007799,-1.2537),(6745,1145,0.00863,-1.2526),(6745,1155,0.00946,-1.2512),(6745,1165,0.01029,-1.2496),(6745,1175,0.011354,-1.2481),(6745,1185,0.012534,-1.2465),(6745,1195,0.013713,-1.2444),(6745,1205,0.014893,-1.2421),(6745,1215,0.016217,-1.2398),(6745,1225,0.0176,-1.2375),(6745,1235,0.018984,-1.2345),(6745,1245,0.020367,-1.2311),(6745,1255,0.021677,-1.2277),(6745,1265,0.022961,-1.2244),(6745,1275,0.024245,-1.2201),(6745,1285,0.02553,-1.2156),(6745,1295,0.023546,-1.2111),(6745,1305,0.020679,-1.2066),(6745,1315,0.017812,-1.2035),(6745,1325,0.014945,-1.2009),(6745,1335,0.009255,-1.1982),(6745,1345,0.002975,-1.1955),(6745,1355,-0.003306,-1.1966),(6745,1365,-0.009587,-1.1985),(6745,1375,-0.013616,-1.2003),(6745,1385,-0.017298,-1.2021),(6745,1395,-0.020979,-1.2061),(6745,1405,-0.024661,-1.2103),(6745,1415,-0.023828,-1.2145),(6745,1425,-0.022525,-1.2187),(6745,1435,-0.021223,-1.222),(6745,1445,-0.01992,-1.2254),(6745,1455,-0.018518,-1.2287),(6745,1465,-0.017109,-1.232),(6745,1475,-0.015701,-1.234),(6745,1485,-0.014292,-1.236),(6745,1495,-0.013111,-1.238),(6745,1505,-0.011933,-1.2399),(6745,1515,-0.010755,-1.2412),(6745,1525,-0.009585,-1.2425),(6745,1535,-0.008712,-1.2438),(6745,1545,-0.00784,-1.2451),(6745,1555,-0.006967,-1.2457),(6745,1565,-0.006111,-1.2464),(6745,1575,-0.005496,-1.2471),(6745,1585,-0.004881,-1.2478),(6745,1595,-0.004266,-1.2482),(6745,1605,-0.003673,-1.2487),(6745,1615,-0.00328,-1.2492),(6745,1625,-0.002887,-1.2496),(6745,1635,-0.002495,-1.2498),(6745,1645,-0.002118,-1.25),(6745,1655,-0.001843,-1.2502),(6745,1665,-0.001568,-1.2504),(6745,1675,-0.001292,-1.2506),(6745,1685,-0.001028,-1.2507),(6745,1695,-0.000814,-1.2509),(6745,1705,-0.0006,-1.2511),(6745,1715,-0.000386,-1.2511),(6745,1725,-0.000191,-1.2512),(6745,1735,-6e-05,-1.2513),(6745,1745,7.1e-05,-1.2514),(6745,1755,0.000201,-1.2514),(6745,1765,0.000319,-1.2514),(6745,1775,0.0004,-1.2514),(6745,1785,0.000481,-1.2514),(6745,1795,0.000562,-1.2514),(6745,1805,0.000637,-1.2515),(6745,1815,0.000701,-1.2515),(6745,1825,0.000765,-1.2515),(6745,1835,0.000828,-1.2516),(6745,1845,0.000889,-1.2516),(6745,1855,0.000943,-1.2516),(6745,1865,0.000996,-1.2516),(6745,1875,0.00105,-1.2516),(6745,1885,0.001087,-1.2516),(6745,1895,0.001096,-1.2516),(6745,1905,0.001105,-1.2515),(6745,1915,0.001114,-1.2514),(6745,1925,0.001116,-1.2512),(6745,1935,0.001108,-1.2511),(6745,1945,0.0011,-1.251),(6745,1955,0.001093,-1.2509),(6745,1965,0.0011,-1.2508),(6745,1975,0.001126,-1.2508),(6745,1985,0.001152,-1.2507),(6745,1995,0.001178,-1.2506),(6745,2005,0.001208,-1.2505),(6745,2015,0.001241,-1.2504),(6745,2025,0.001274,-1.2503),(6745,2035,0.001307,-1.2501),(6745,2045,0.00133,-1.25),(6745,2055,0.001344,-1.2498),(6745,2065,0.001357,-1.2497),(6745,2075,0.001371,-1.2496),(6745,2085,0.00139,-1.2495),(6745,2095,0.001414,-1.2493),(6745,2105,0.001437,-1.2492),(6745,2115,0.001461,-1.249),(6745,2125,0.001457,-1.2488),(6745,2135,0.001437,-1.2487),(6745,2145,0.001416,-1.2484),(6745,2155,0.001396,-1.2482),(6745,2165,0.001367,-1.2479),(6745,2175,0.001334,-1.2477),(6745,2185,0.001301,-1.2474),(6745,2195,0.001267,-1.2471),(6745,2205,0.001257,-1.2469),(6745,2215,0.001256,-1.2466),(6745,2225,0.001255,-1.2463),(6745,2235,0.001254,-1.2459),(6745,2245,0.001257,-1.2456),(6745,2255,0.001261,-1.2453),(6745,2265,0.001265,-1.245),(6745,2275,0.001269,-1.2447),(6745,2285,0.001262,-1.2444),(6745,2295,0.001253,-1.244),(6745,2305,0.001244,-1.2437),(6745,2315,0.001234,-1.2434),(6745,2325,0.001264,-1.2431),(6745,2335,0.001302,-1.2428),(6745,2345,0.00134,-1.2425),(6745,2355,0.001379,-1.2422),(6745,2365,0.001398,-1.2418),(6745,2375,0.001414,-1.2415),(6745,2385,0.00143,-1.2411),(6745,2395,0.001446,-1.2407),(6745,2405,0.001445,-1.2403),(6745,2415,0.001443,-1.2399),(6745,2425,0.001441,-1.2394),(6745,2435,0.001439,-1.2389),(6745,2445,0.001449,-1.2384),(6745,2455,0.00146,-1.238),(6745,2465,0.00147,-1.2375),(6745,2475,0.001481,-1.2371),(6745,2485,0.001485,-1.2366),(6745,2495,0.001488,-1.2362),(6745,2505,0.001492,-1.2357),(6745,2515,0.001495,-1.2352),(6745,2525,0.001484,-1.2348),(6745,2535,0.001472,-1.2343),(6745,2545,0.001461,-1.2338),(6745,2555,0.001449,-1.2332),(6745,2565,0.00143,-1.2326),(6745,2575,0.001411,-1.2321),(6745,2585,0.001392,-1.2315),(6745,2595,0.001373,-1.2309),(6745,2605,0.001349,-1.2303),(6745,2615,0.001326,-1.2297),(6745,2625,0.001303,-1.229),(6745,2635,0.001286,-1.2284),(6745,2645,0.001306,-1.2277),(6745,2655,0.001327,-1.2271),(6745,2665,0.001348,-1.2265),(6745,2675,0.001362,-1.2259),(6745,2685,0.001348,-1.2253),(6745,2695,0.001334,-1.2247),(6745,2705,0.001321,-1.2241),(6745,2715,0.001317,-1.2234),(6745,2725,0.001352,-1.2228),(6745,2735,0.001387,-1.2222),(6745,2745,0.001422,-1.2215),(6745,2755,0.001454,-1.2209),(6745,2765,0.001473,-1.2202),(6745,2775,0.001493,-1.2195),(6745,2785,0.001513,-1.2188),(6745,2795,0.00153,-1.218),(6745,2805,0.001538,-1.2173),(6745,2815,0.001545,-1.2165),(6745,2825,0.001553,-1.2158),(6745,2835,0.001565,-1.215),(6745,2845,0.001584,-1.2143),(6745,2855,0.001603,-1.2135),(6745,2865,0.001622,-1.2127),(6745,2875,0.001644,-1.212),(6745,2885,0.001672,-1.2112),(6745,2895,0.0017,-1.2104),(6745,2905,0.001729,-1.2096),(6745,2915,0.001756,-1.2088),(6745,2925,0.001782,-1.208),(6745,2935,0.001809,-1.2072),(6745,2945,0.001835,-1.2064),(6745,2955,0.001853,-1.2055),(6745,2965,0.001859,-1.2047),(6745,2975,0.001865,-1.2039),(6745,2985,0.001872,-1.203),(6745,2995,0.00186,-1.2021),(6745,3005,0.00183,-1.2012),(6745,3015,0.001799,-1.2003),(6745,3025,0.001769,-1.1993),(6745,3035,0.001762,-1.1983),(6745,3045,0.001776,-1.1973),(6745,3055,0.00179,-1.1964),(6745,3065,0.001803,-1.1954),(6745,3075,0.001815,-1.1945),(6745,3085,0.001824,-1.1935),(6745,3095,0.001833,-1.1926),(6745,3105,0.001843,-1.1916),(6745,3115,0.001877,-1.1906),(6745,3125,0.001929,-1.1896),(6745,3135,0.001979,-1.1887),(6745,3145,0.002031,-1.1877),(6745,3155,0.002058,-1.1867),(6745,3165,0.002072,-1.1857),(6745,3175,0.002086,-1.1847),(6745,3185,0.002101,-1.1837),(6745,3195,0.002116,-1.1827),(6745,3205,0.002132,-1.1817),(6745,3215,0.002147,-1.1806),(6745,3225,0.002163,-1.1796),(6745,3235,0.002158,-1.1785),(6745,3245,0.002147,-1.1774),(6745,3255,0.002135,-1.1763),(6745,3265,0.002123,-1.1752),(6745,3275,0.002095,-1.174),(6745,3285,0.002063,-1.1729),(6745,3295,0.00203,-1.1717),(6745,3305,0.001997,-1.1706),(6745,3315,0.001993,-1.1694),(6745,3325,0.001997,-1.1683),(6745,3335,0.002,-1.1671),(6745,3345,0.002003,-1.166),(6745,3355,0.002014,-1.1649),(6745,3365,0.002026,-1.1637),(6745,3375,0.002038,-1.1625),(6745,3385,0.00205,-1.1613),(6745,3395,0.002124,-1.1601),(6745,3405,0.002205,-1.1588),(6745,3415,0.002286,-1.1577),(6745,3425,0.002368,-1.1566),(6745,3435,0.002399,-1.1555),(6745,3445,0.002425,-1.1544),(6745,3455,0.002451,-1.1532),(6745,3465,0.002478,-1.1519),(6745,3475,0.002509,-1.1506),(6745,3485,0.00254,-1.1494),(6745,3495,0.002572,-1.1481),(6745,3505,0.002603,-1.1468),(6745,3515,0.002646,-1.1455),(6745,3525,0.002689,-1.1441),(6745,3535,0.002732,-1.1429),(6745,3545,0.002776,-1.1416),(6745,3555,0.002844,-1.1403),(6745,3565,0.002912,-1.139),(6745,3575,0.002979,-1.1377),(6745,3585,0.003053,-1.1363),(6745,3595,0.003193,-1.135),(6745,3605,0.003332,-1.1336),(6745,3615,0.003471,-1.1323),(6745,3625,0.003609,-1.1311),(6745,3635,0.003734,-1.1298),(6745,3645,0.00386,-1.1285),(6745,3655,0.003986,-1.127),(6745,3665,0.004114,-1.1255),(6745,3675,0.004252,-1.124),(6745,3685,0.00439,-1.1225),(6745,3695,0.004528,-1.1211),(6745,3705,0.00469,-1.1196),(6745,3715,0.004945,-1.1181),(6745,3725,0.005201,-1.1166),(6745,3735,0.005457,-1.115),(6745,3745,0.005738,-1.1134),(6745,3755,0.006097,-1.1118),(6745,3765,0.006457,-1.1102),(6745,3775,0.006817,-1.1084),(6745,3785,0.007229,-1.1066),(6745,3795,0.007774,-1.1049),(6745,3805,0.008319,-1.103),(6745,3815,0.008865,-1.101),(6745,3825,0.009449,-1.099),(6745,3835,0.010114,-1.097),(6745,3845,0.01078,-1.0949),(6745,3855,0.011445,-1.0925),(6745,3865,0.012194,-1.0901),(6745,3875,0.013091,-1.0877),(6745,3885,0.013988,-1.0851),(6745,3895,0.014885,-1.082),(6745,3905,0.015816,-1.079),(6745,3915,0.016798,-1.076),(6745,3925,0.017779,-1.0726),(6745,3935,0.01876,-1.0688),(6745,3945,0.019694,-1.065),(6745,3955,0.020568,-1.0612),(6745,3965,0.021442,-1.057),(6745,3975,0.022316,-1.0524),(6745,3985,0.022188,-1.0477),(6745,3995,0.020976,-1.0431),(6745,4005,0.019765,-1.039),(6745,4015,0.018553,-1.0354),(6745,4025,0.083587,-1.0318),(6745,4035,0.1551,-1.0291),(6745,4045,0.22662,-1.0281),(6745,4055,0.2801,-1.0271),(6745,4065,0.32699,-1.0259),(6745,4075,0.37389,-1.0242),(6745,4085,0.39514,-1.0224),(6745,4095,0.39578,-1.0207),(6745,4105,0.39642,-1.0189),(6745,4115,0.39706,-1.017),(6745,4125,0.39769,-1.0152),(6745,4135,0.39832,-1.0134),(6745,4145,0.39894,-1.0116),(6745,4155,0.39952,-1.0097),(6745,4165,0.40009,-1.0079),(6745,4175,0.40066,-1.0061),(6745,4185,0.40122,-1.0042),(6745,4195,0.40178,-1.0023),(6745,4205,0.40234,-1.0004),(6745,4215,0.40289,-0.99848),(6745,4225,0.40343,-0.99653),(6745,4235,0.40398,-0.99452),(6745,4245,0.40453,-0.99252),(6745,4255,0.40509,-0.99052),(6745,4265,0.40564,-0.9885),(6745,4275,0.40621,-0.98648),(6745,4285,0.40677,-0.98447),(6745,4295,0.40733,-0.98237),(6745,4305,0.4079,-0.98027),(6745,4315,0.40847,-0.97817),(6745,4325,0.40903,-0.97598),(6745,4335,0.4096,-0.97376),(6745,4345,0.41018,-0.97154),(6745,4355,0.41075,-0.96929),(6745,4365,0.41132,-0.96702),(6745,4375,0.41192,-0.96476),(6745,4385,0.41251,-0.96248),(6745,4395,0.4131,-0.96019),(6745,4405,0.41371,-0.9579),(6745,4415,0.41432,-0.95558),(6745,4425,0.41494,-0.95317),(6745,4435,0.41556,-0.95076),(6745,4445,0.4162,-0.94834),(6745,4455,0.41683,-0.94586),(6745,4465,0.41748,-0.94338),(6745,4475,0.41814,-0.9409),(6745,4485,0.41881,-0.93834),(6745,4495,0.41948,-0.93577),(6745,4505,0.42018,-0.93319),(6745,4515,0.42087,-0.93058),(6745,4525,0.42157,-0.92796),(6745,4535,0.42229,-0.92534),(6745,4545,0.42302,-0.92268),(6745,4555,0.42375,-0.91998),(6745,4565,0.4245,-0.91729),(6745,4575,0.42526,-0.91455),(6745,4585,0.42601,-0.91173),(6745,4595,0.4268,-0.90892),(6745,4605,0.42759,-0.90609),(6745,4615,0.42838,-0.90319),(6745,4625,0.42919,-0.90029),(6745,4635,0.43002,-0.89739),(6745,4645,0.43086,-0.89445),(6745,4655,0.4317,-0.89151),(6745,4665,0.43257,-0.88857),(6745,4675,0.43343,-0.88558),(6745,4685,0.4343,-0.88257),(6745,4695,0.43517,-0.87957),(6745,4705,0.43605,-0.87652),(6745,4715,0.43693,-0.87344),(6745,4725,0.43781,-0.87036),(6745,4735,0.43868,-0.86722),(6745,4745,0.43956,-0.86399),(6745,4755,0.4405,-0.86076),(6745,4765,0.44145,-0.85752),(6745,4775,0.44241,-0.85428),(6745,4785,0.44338,-0.85104),(6745,4795,0.44437,-0.84779),(6745,4805,0.44536,-0.84448),(6745,4815,0.44636,-0.84117),(6745,4825,0.44739,-0.83787),(6745,4835,0.44842,-0.83449),(6745,4845,0.44946,-0.83111),(6745,4855,0.45053,-0.82772),(6745,4865,0.4516,-0.82429),(6745,4875,0.45267,-0.82084),(6745,4885,0.45377,-0.81739),(6745,4895,0.45487,-0.8139),(6745,4905,0.45597,-0.81039),(6745,4915,0.45708,-0.80687),(6745,4925,0.4582,-0.80333),(6745,4935,0.45931,-0.79973),(6745,4945,0.46043,-0.79614),(6745,4955,0.46156,-0.79253),(6745,4965,0.46268,-0.78885),(6745,4975,0.46381,-0.78517),(6745,4985,0.46494,-0.78149),(6745,4995,0.46607,-0.77776),(6745,5005,0.46721,-0.77402),(6745,5015,0.46835,-0.77029),(6745,5025,0.4695,-0.76653),(6745,5035,0.47065,-0.76277),(6745,5045,0.4718,-0.759),(6745,5055,0.47295,-0.75515),(6745,5065,0.4741,-0.75124),(6745,5075,0.47536,-0.74732),(6745,5085,0.47662,-0.74342),(6745,5095,0.47788,-0.73952),(6745,5105,0.47908,-0.73562),(6745,5115,0.48027,-0.7317),(6745,5125,0.48146,-0.72768),(6745,5135,0.48265,-0.72367),(6745,5145,0.48384,-0.71965),(6745,5155,0.48503,-0.71559),(6745,5165,0.48624,-0.71152),(6745,5175,0.48747,-0.70746),(6745,5185,0.4887,-0.70335),(6745,5195,0.48993,-0.69924),(6745,5205,0.49118,-0.69513),(6745,5215,0.49242,-0.69096),(6745,5225,0.49366,-0.68676),(6745,5235,0.49488,-0.68256),(6745,5245,0.49611,-0.67833),(6745,5255,0.49733,-0.67405),(6745,5265,0.49854,-0.66978),(6745,5275,0.49976,-0.6655),(6745,5285,0.50097,-0.6612),(6745,5295,0.5022,-0.6569),(6745,5305,0.50343,-0.6526),(6745,5315,0.50466,-0.64828),(6745,5325,0.50589,-0.64397),(6745,5335,0.50713,-0.63966),(6745,5345,0.50837,-0.63526),(6745,5355,0.5096,-0.63087),(6745,5365,0.51083,-0.62648),(6745,5375,0.51206,-0.62201),(6745,5385,0.51329,-0.61753),(6745,5395,0.51452,-0.61305),(6745,5405,0.51574,-0.60853),(6745,5415,0.51697,-0.60401),(6745,5425,0.51818,-0.59948),(6745,5435,0.51939,-0.59493),(6745,5445,0.52061,-0.59035),(6745,5455,0.52181,-0.58577),(6745,5465,0.523,-0.58118),(6745,5475,0.5242,-0.57654),(6745,5485,0.5254,-0.57191),(6745,5495,0.5266,-0.56727),(6745,5505,0.5278,-0.5626),(6745,5515,0.52901,-0.55793),(6745,5525,0.53024,-0.55325),(6745,5535,0.53146,-0.54856),(6745,5545,0.53269,-0.54387),(6745,5555,0.53392,-0.53918),(6745,5565,0.53515,-0.53445),(6745,5575,0.53637,-0.52969),(6745,5585,0.53757,-0.52494),(6745,5595,0.53877,-0.52013),(6745,5605,0.53997,-0.51527),(6745,5615,0.54112,-0.51042),(6745,5625,0.54227,-0.50554),(6745,5635,0.54342,-0.50064),(6745,5645,0.54452,-0.49573),(6745,5655,0.54562,-0.49082),(6745,5665,0.54671,-0.48588),(6745,5675,0.54774,-0.48094),(6745,5685,0.54875,-0.47599),(6745,5695,0.54975,-0.47085),(6745,5705,0.55083,-0.46572),(6745,5715,0.55199,-0.46059),(6745,5725,0.55315,-0.45565),(6745,5735,0.55428,-0.45072),(6745,5745,0.55536,-0.4458),(6745,5755,0.55644,-0.44086),(6745,5765,0.55752,-0.4359),(6745,5775,0.55855,-0.43095),(6745,5785,0.55959,-0.42595),(6745,5795,0.56063,-0.4209),(6745,5805,0.56163,-0.41586),(6745,5815,0.56263,-0.41079),(6745,5825,0.56363,-0.40567),(6745,5835,0.56461,-0.40055),(6745,5845,0.5656,-0.39542),(6745,5855,0.56658,-0.3903),(6745,5865,0.56756,-0.38517),(6745,5875,0.56854,-0.38005),(6745,5885,0.56952,-0.37491),(6745,5895,0.5705,-0.36977),(6745,5905,0.57145,-0.36463),(6745,5915,0.57241,-0.35946),(6745,5925,0.57336,-0.35427),(6745,5935,0.57425,-0.34909),(6745,5945,0.57515,-0.34392),(6745,5955,0.57604,-0.33875),(6745,5965,0.57681,-0.33359),(6745,5975,0.57759,-0.32832),(6745,5985,0.57837,-0.32292),(6745,5995,0.57927,-0.31752),(6745,6005,0.58019,-0.31217),(6745,6015,0.58112,-0.30694),(6745,6025,0.58197,-0.30171),(6745,6035,0.58279,-0.29647),(6745,6045,0.58361,-0.29121),(6745,6055,0.5844,-0.28595),(6745,6065,0.58518,-0.2807),(6745,6075,0.58596,-0.27537),(6745,6085,0.58672,-0.27004),(6745,6095,0.58744,-0.26471),(6745,6105,0.58817,-0.2593),(6745,6115,0.58889,-0.25387),(6745,6125,0.58956,-0.24844),(6745,6135,0.59024,-0.24304),(6745,6145,0.59091,-0.23767),(6745,6155,0.59155,-0.23229),(6745,6165,0.59219,-0.22693),(6745,6175,0.59283,-0.2216),(6745,6185,0.59344,-0.21627),(6745,6195,0.59404,-0.21091),(6745,6205,0.59464,-0.20548),(6745,6215,0.59522,-0.20005),(6745,6225,0.59578,-0.19462),(6745,6235,0.59635,-0.18921),(6745,6245,0.5969,-0.1838),(6745,6255,0.59743,-0.17839),(6745,6265,0.59796,-0.17303),(6745,6275,0.59846,-0.16767),(6745,6285,0.59887,-0.16231),(6745,6295,0.59928,-0.15683),(6745,6305,0.5997,-0.1513),(6745,6315,0.60021,-0.14577),(6745,6325,0.60073,-0.14033),(6745,6335,0.60125,-0.13499),(6745,6345,0.60166,-0.12966),(6745,6355,0.60206,-0.12425),(6745,6365,0.60246,-0.11869),(6745,6375,0.60281,-0.11313),(6745,6385,0.60313,-0.10757),(6745,6395,0.60346,-0.10204),(6745,6405,0.60378,-0.096509),(6745,6415,0.60409,-0.090979),(6745,6425,0.6044,-0.085594),(6745,6435,0.60469,-0.080215),(6745,6445,0.60495,-0.074836),(6745,6455,0.60522,-0.069398),(6745,6465,0.60547,-0.063943),(6745,6475,0.60569,-0.058487),(6745,6485,0.60591,-0.052922),(6745,6495,0.60612,-0.047282),(6745,6505,0.6063,-0.041642),(6745,6515,0.60648,-0.036058),(6745,6525,0.60666,-0.030551),(6745,6535,0.60677,-0.025045),(6745,6545,0.60686,-0.019591),(6745,6555,0.60696,-0.014304),(6745,6565,0.60697,-0.009016),(6745,6575,0.60694,-0.003714),(6745,6585,0.60691,0.001794),(6745,6595,0.51616,0.007302),(6745,6605,0.32526,0.01281),(6745,6615,0.13436,0.013489),(6745,6625,0.000177,0.013547),(6745,6635,0.000238,0.013605),(6745,6645,0.0003,0.013621),(6745,6655,0.000361,0.01362),(6745,6665,0.000422,0.013618),(6745,6675,0.000483,0.013615),(6745,6685,0.000545,0.013611),(6745,6695,0.000605,0.013607),(6745,6705,0.000666,0.013601),(6745,6715,0.000726,0.013594),(6745,6725,0.000787,0.013587),(6745,6735,0.000846,0.013579),(6745,6745,0.000906,0.013569),(6745,6755,0.000966,0.013559),(6745,6765,0.001025,0.013549),(6745,6775,0.001084,0.013536),(6745,6785,0.001142,0.013524),(6745,6795,0.0012,0.013511),(6745,6805,0.001258,0.013496),(6745,6815,0.001315,0.013481),(6745,6825,0.001372,0.013465),(6745,6835,0.001428,0.013448),(6745,6845,0.001485,0.01343),(6745,6855,0.00154,0.013412),(6745,6865,0.001594,0.013394),(6745,6875,0.001649,0.013373),(6745,6885,0.001703,0.013353),(6745,6895,0.001757,0.013333),(6745,6905,0.00181,0.01331),(6745,6915,0.001862,0.013288),(6745,6925,0.001914,0.013265),(6745,6935,0.001965,0.013241),(6745,6945,0.002016,0.013217),(6745,6955,0.002066,0.013192),(6745,6965,0.002115,0.013166),(6745,6975,0.002165,0.01314),(6745,6985,0.002212,0.013114),(6755,5,-1.4e-05,-1.2903),(6755,15,-4.1e-05,-1.2904),(6755,25,-6.8e-05,-1.2904),(6755,35,-9.2e-05,-1.2904),(6755,45,-0.000117,-1.2904),(6755,55,-0.000142,-1.2903),(6755,65,-0.000156,-1.2903),(6755,75,-0.000163,-1.2902),(6755,85,-0.000169,-1.2902),(6755,95,-0.000175,-1.2901),(6755,105,-0.000179,-1.2901),(6755,115,-0.000181,-1.29),(6755,125,-0.000183,-1.2899),(6755,135,-0.000185,-1.2899),(6755,145,-0.000178,-1.2898),(6755,155,-0.000164,-1.2897),(6755,165,-0.000151,-1.2897),(6755,175,-0.000137,-1.2896),(6755,185,-0.000134,-1.2895),(6755,195,-0.000136,-1.2894),(6755,205,-0.000138,-1.2893),(6755,215,-0.00014,-1.2892),(6755,225,-0.000143,-1.2891),(6755,235,-0.000146,-1.289),(6755,245,-0.000149,-1.2889),(6755,255,-0.000152,-1.2887),(6755,265,-0.000162,-1.2886),(6755,275,-0.000173,-1.2884),(6755,285,-0.000184,-1.2883),(6755,295,-0.000195,-1.288),(6755,305,-0.000188,-1.2878),(6755,315,-0.000177,-1.2876),(6755,325,-0.000166,-1.2874),(6755,335,-0.000155,-1.2872),(6755,345,-0.000113,-1.2871),(6755,355,-6.5e-05,-1.2869),(6755,365,-1.7e-05,-1.2867),(6755,375,3.1e-05,-1.2865),(6755,385,5.2e-05,-1.2863),(6755,395,6.9e-05,-1.2861),(6755,405,8.6e-05,-1.2859),(6755,415,0.000103,-1.2857),(6755,425,9.2e-05,-1.2855),(6755,435,7.8e-05,-1.2852),(6755,445,6.4e-05,-1.285),(6755,455,5e-05,-1.2847),(6755,465,1.8e-05,-1.2845),(6755,475,-1.4e-05,-1.2843),(6755,485,-4.7e-05,-1.284),(6755,495,-7.9e-05,-1.2837),(6755,505,-0.000113,-1.2835),(6755,515,-0.000147,-1.2832),(6755,525,-0.000181,-1.2829),(6755,535,-0.000214,-1.2826),(6755,545,-0.000239,-1.2823),(6755,555,-0.000263,-1.282),(6755,565,-0.000287,-1.2817),(6755,575,-0.000311,-1.2813),(6755,585,-0.00033,-1.281),(6755,595,-0.00035,-1.2806),(6755,605,-0.00037,-1.2803),(6755,615,-0.000385,-1.2799),(6755,625,-0.000371,-1.2796),(6755,635,-0.000357,-1.2793),(6755,645,-0.000342,-1.2789),(6755,655,-0.000323,-1.2786),(6755,665,-0.000281,-1.2783),(6755,675,-0.000239,-1.278),(6755,685,-0.000197,-1.2777),(6755,695,-0.000156,-1.2774),(6755,705,-0.000114,-1.2771),(6755,715,-7.3e-05,-1.2767),(6755,725,-3.1e-05,-1.2764),(6755,735,1e-05,-1.276),(6755,745,4.9e-05,-1.2756),(6755,755,8.9e-05,-1.2753),(6755,765,0.000129,-1.2749),(6755,775,0.000154,-1.2745),(6755,785,0.000139,-1.2741),(6755,795,0.000124,-1.2737),(6755,805,0.000109,-1.2732),(6755,815,0.000107,-1.2727),(6755,825,0.000136,-1.2722),(6755,835,0.000164,-1.2717),(6755,845,0.000192,-1.2712),(6755,855,0.000234,-1.2708),(6755,865,0.000302,-1.2703),(6755,875,0.000369,-1.2699),(6755,885,0.000437,-1.2694),(6755,895,0.000528,-1.269),(6755,905,0.000656,-1.2686),(6755,915,0.000784,-1.2681),(6755,925,0.000911,-1.2677),(6755,935,0.001058,-1.2673),(6755,945,0.001228,-1.2669),(6755,955,0.001399,-1.2664),(6755,965,0.00157,-1.2659),(6755,975,0.001743,-1.2654),(6755,985,0.001919,-1.265),(6755,995,0.002095,-1.2644),(6755,1005,0.002271,-1.2638),(6755,1015,0.002473,-1.2632),(6755,1025,0.002698,-1.2626),(6755,1035,0.002924,-1.262),(6755,1045,0.00315,-1.2613),(6755,1055,0.003441,-1.2607),(6755,1065,0.003785,-1.26),(6755,1075,0.00413,-1.2593),(6755,1085,0.004475,-1.2584),(6755,1095,0.004926,-1.2575),(6755,1105,0.005451,-1.2567),(6755,1115,0.005976,-1.2556),(6755,1125,0.006501,-1.2545),(6755,1135,0.007138,-1.2534),(6755,1145,0.00784,-1.2523),(6755,1155,0.008543,-1.2508),(6755,1165,0.009246,-1.2492),(6755,1175,0.010143,-1.2476),(6755,1185,0.011137,-1.2459),(6755,1195,0.012131,-1.2438),(6755,1205,0.013125,-1.2415),(6755,1215,0.014213,-1.2392),(6755,1225,0.015341,-1.2369),(6755,1235,0.016469,-1.2338),(6755,1245,0.017596,-1.2305),(6755,1255,0.018624,-1.2272),(6755,1265,0.019619,-1.2238),(6755,1275,0.020614,-1.2196),(6755,1285,0.021609,-1.2152),(6755,1295,0.019877,-1.2108),(6755,1305,0.017407,-1.2063),(6755,1315,0.014937,-1.2034),(6755,1325,0.012468,-1.2007),(6755,1335,0.007737,-1.1981),(6755,1345,0.002533,-1.1955),(6755,1355,-0.002671,-1.1966),(6755,1365,-0.007876,-1.1984),(6755,1375,-0.011231,-1.2002),(6755,1385,-0.014301,-1.202),(6755,1395,-0.017372,-1.2058),(6755,1405,-0.020442,-1.2099),(6755,1415,-0.019816,-1.214),(6755,1425,-0.018806,-1.2181),(6755,1435,-0.017795,-1.2215),(6755,1445,-0.016785,-1.2248),(6755,1455,-0.015655,-1.2281),(6755,1465,-0.014518,-1.2314),(6755,1475,-0.013381,-1.2334),(6755,1485,-0.012244,-1.2354),(6755,1495,-0.011274,-1.2374),(6755,1505,-0.010306,-1.2394),(6755,1515,-0.009339,-1.2408),(6755,1525,-0.008377,-1.2421),(6755,1535,-0.007642,-1.2434),(6755,1545,-0.006908,-1.2447),(6755,1555,-0.006173,-1.2454),(6755,1565,-0.005451,-1.2461),(6755,1575,-0.004903,-1.2468),(6755,1585,-0.004354,-1.2475),(6755,1595,-0.003806,-1.248),(6755,1605,-0.003278,-1.2485),(6755,1615,-0.002922,-1.249),(6755,1625,-0.002566,-1.2494),(6755,1635,-0.002211,-1.2496),(6755,1645,-0.001871,-1.2499),(6755,1655,-0.001625,-1.2501),(6755,1665,-0.001378,-1.2503),(6755,1675,-0.001132,-1.2505),(6755,1685,-0.000894,-1.2506),(6755,1695,-0.000691,-1.2508),(6755,1705,-0.000488,-1.251),(6755,1715,-0.000285,-1.2511),(6755,1725,-9.9e-05,-1.2511),(6755,1735,2.4e-05,-1.2512),(6755,1745,0.000147,-1.2513),(6755,1755,0.00027,-1.2513),(6755,1765,0.000379,-1.2513),(6755,1775,0.000445,-1.2513),(6755,1785,0.000512,-1.2514),(6755,1795,0.000578,-1.2514),(6755,1805,0.000642,-1.2514),(6755,1815,0.0007,-1.2515),(6755,1825,0.000758,-1.2515),(6755,1835,0.000816,-1.2515),(6755,1845,0.000876,-1.2515),(6755,1855,0.000939,-1.2515),(6755,1865,0.001003,-1.2515),(6755,1875,0.001067,-1.2515),(6755,1885,0.001111,-1.2516),(6755,1895,0.001123,-1.2516),(6755,1905,0.001135,-1.2515),(6755,1915,0.001147,-1.2514),(6755,1925,0.001148,-1.2512),(6755,1935,0.001133,-1.2511),(6755,1945,0.001119,-1.251),(6755,1955,0.001105,-1.2509),(6755,1965,0.001103,-1.2508),(6755,1975,0.001115,-1.2508),(6755,1985,0.001128,-1.2507),(6755,1995,0.00114,-1.2506),(6755,2005,0.001162,-1.2505),(6755,2015,0.001195,-1.2504),(6755,2025,0.001227,-1.2503),(6755,2035,0.001259,-1.2501),(6755,2045,0.001283,-1.25),(6755,2055,0.001301,-1.2498),(6755,2065,0.001319,-1.2497),(6755,2075,0.001336,-1.2496),(6755,2085,0.001364,-1.2494),(6755,2095,0.001399,-1.2493),(6755,2105,0.001434,-1.2492),(6755,2115,0.001469,-1.249),(6755,2125,0.001476,-1.2488),(6755,2135,0.001466,-1.2487),(6755,2145,0.001455,-1.2484),(6755,2155,0.001445,-1.2482),(6755,2165,0.001415,-1.248),(6755,2175,0.001376,-1.2477),(6755,2185,0.001336,-1.2474),(6755,2195,0.001297,-1.2472),(6755,2205,0.001281,-1.2469),(6755,2215,0.001276,-1.2466),(6755,2225,0.001271,-1.2463),(6755,2235,0.001266,-1.2459),(6755,2245,0.001272,-1.2456),(6755,2255,0.001282,-1.2453),(6755,2265,0.001291,-1.245),(6755,2275,0.001301,-1.2447),(6755,2285,0.001288,-1.2444),(6755,2295,0.001269,-1.2441),(6755,2305,0.001249,-1.2437),(6755,2315,0.001229,-1.2434),(6755,2325,0.001253,-1.2431),(6755,2335,0.001286,-1.2427),(6755,2345,0.00132,-1.2424),(6755,2355,0.001353,-1.2421),(6755,2365,0.00137,-1.2418),(6755,2375,0.001383,-1.2415),(6755,2385,0.001397,-1.2411),(6755,2395,0.001411,-1.2407),(6755,2405,0.001409,-1.2403),(6755,2415,0.001405,-1.2399),(6755,2425,0.001401,-1.2394),(6755,2435,0.001398,-1.2389),(6755,2445,0.001413,-1.2384),(6755,2455,0.00143,-1.2379),(6755,2465,0.001446,-1.2375),(6755,2475,0.001463,-1.2371),(6755,2485,0.001476,-1.2366),(6755,2495,0.001488,-1.2362),(6755,2505,0.001501,-1.2357),(6755,2515,0.001513,-1.2352),(6755,2525,0.001504,-1.2348),(6755,2535,0.001494,-1.2343),(6755,2545,0.001485,-1.2338),(6755,2555,0.001475,-1.2332),(6755,2565,0.001454,-1.2327),(6755,2575,0.001432,-1.2321),(6755,2585,0.001411,-1.2315),(6755,2595,0.001389,-1.2309),(6755,2605,0.001359,-1.2303),(6755,2615,0.001329,-1.2297),(6755,2625,0.001299,-1.2291),(6755,2635,0.001277,-1.2284),(6755,2645,0.0013,-1.2277),(6755,2655,0.001324,-1.2271),(6755,2665,0.001347,-1.2265),(6755,2675,0.001362,-1.2259),(6755,2685,0.001337,-1.2253),(6755,2695,0.001312,-1.2247),(6755,2705,0.001287,-1.2241),(6755,2715,0.001277,-1.2234),(6755,2725,0.001321,-1.2228),(6755,2735,0.001364,-1.2221),(6755,2745,0.001408,-1.2215),(6755,2755,0.001447,-1.2208),(6755,2765,0.001473,-1.2202),(6755,2775,0.001499,-1.2195),(6755,2785,0.001525,-1.2188),(6755,2795,0.001544,-1.218),(6755,2805,0.001547,-1.2173),(6755,2815,0.001549,-1.2165),(6755,2825,0.001552,-1.2158),(6755,2835,0.001556,-1.215),(6755,2845,0.001566,-1.2143),(6755,2855,0.001575,-1.2135),(6755,2865,0.001584,-1.2127),(6755,2875,0.001598,-1.212),(6755,2885,0.00162,-1.2112),(6755,2895,0.001642,-1.2104),(6755,2905,0.001664,-1.2096),(6755,2915,0.001689,-1.2088),(6755,2925,0.001716,-1.208),(6755,2935,0.001743,-1.2071),(6755,2945,0.001771,-1.2063),(6755,2955,0.001792,-1.2055),(6755,2965,0.001806,-1.2047),(6755,2975,0.00182,-1.2039),(6755,2985,0.001833,-1.203),(6755,2995,0.001828,-1.2021),(6755,3005,0.001802,-1.2013),(6755,3015,0.001776,-1.2003),(6755,3025,0.001749,-1.1993),(6755,3035,0.001748,-1.1983),(6755,3045,0.001767,-1.1973),(6755,3055,0.001787,-1.1964),(6755,3065,0.001806,-1.1954),(6755,3075,0.001815,-1.1945),(6755,3085,0.001815,-1.1935),(6755,3095,0.001814,-1.1926),(6755,3105,0.001814,-1.1916),(6755,3115,0.001853,-1.1906),(6755,3125,0.001918,-1.1896),(6755,3135,0.001982,-1.1886),(6755,3145,0.002047,-1.1876),(6755,3155,0.002079,-1.1867),(6755,3165,0.002094,-1.1857),(6755,3175,0.002109,-1.1847),(6755,3185,0.002124,-1.1837),(6755,3195,0.002135,-1.1827),(6755,3205,0.002144,-1.1817),(6755,3215,0.002154,-1.1806),(6755,3225,0.002163,-1.1796),(6755,3235,0.002158,-1.1785),(6755,3245,0.002147,-1.1775),(6755,3255,0.002136,-1.1763),(6755,3265,0.002125,-1.1752),(6755,3275,0.002095,-1.174),(6755,3285,0.002057,-1.1729),(6755,3295,0.002021,-1.1718),(6755,3305,0.001984,-1.1706),(6755,3315,0.001971,-1.1695),(6755,3325,0.001964,-1.1683),(6755,3335,0.001957,-1.1672),(6755,3345,0.00195,-1.166),(6755,3355,0.001951,-1.1649),(6755,3365,0.001953,-1.1637),(6755,3375,0.001956,-1.1625),(6755,3385,0.001958,-1.1612),(6755,3395,0.002041,-1.16),(6755,3405,0.002134,-1.1587),(6755,3415,0.002227,-1.1576),(6755,3425,0.002321,-1.1566),(6755,3435,0.00236,-1.1555),(6755,3445,0.002395,-1.1544),(6755,3455,0.002431,-1.1531),(6755,3465,0.002466,-1.1519),(6755,3475,0.002515,-1.1506),(6755,3485,0.002564,-1.1493),(6755,3495,0.002613,-1.148),(6755,3505,0.002662,-1.1467),(6755,3515,0.002706,-1.1454),(6755,3525,0.00275,-1.1441),(6755,3535,0.002794,-1.1429),(6755,3545,0.002838,-1.1416),(6755,3555,0.002898,-1.1403),(6755,3565,0.002958,-1.139),(6755,3575,0.003018,-1.1376),(6755,3585,0.003085,-1.1363),(6755,3595,0.003219,-1.1349),(6755,3605,0.003354,-1.1335),(6755,3615,0.003488,-1.1323),(6755,3625,0.003622,-1.131),(6755,3635,0.003746,-1.1297),(6755,3645,0.003871,-1.1284),(6755,3655,0.003996,-1.1269),(6755,3665,0.00412,-1.1255),(6755,3675,0.004238,-1.124),(6755,3685,0.004356,-1.1225),(6755,3695,0.004474,-1.121),(6755,3705,0.004614,-1.1195),(6755,3715,0.004842,-1.118),(6755,3725,0.00507,-1.1164),(6755,3735,0.005298,-1.1148),(6755,3745,0.005549,-1.1132),(6755,3755,0.005872,-1.1116),(6755,3765,0.006195,-1.11),(6755,3775,0.006518,-1.1082),(6755,3785,0.006888,-1.1064),(6755,3795,0.007377,-1.1046),(6755,3805,0.007866,-1.1027),(6755,3815,0.008355,-1.1007),(6755,3825,0.008865,-1.0987),(6755,3835,0.009421,-1.0967),(6755,3845,0.009978,-1.0945),(6755,3855,0.010534,-1.0921),(6755,3865,0.011162,-1.0897),(6755,3875,0.011918,-1.0872),(6755,3885,0.012674,-1.0846),(6755,3895,0.013429,-1.0815),(6755,3905,0.014206,-1.0785),(6755,3915,0.015014,-1.0754),(6755,3925,0.015823,-1.0721),(6755,3935,0.016631,-1.0683),(6755,3945,0.017385,-1.0646),(6755,3955,0.018072,-1.0608),(6755,3965,0.018758,-1.0566),(6755,3975,0.019444,-1.0521),(6755,3985,0.019273,-1.0475),(6755,3995,0.018175,-1.0429),(6755,4005,0.017077,-1.0388),(6755,4015,0.015979,-1.0353),(6755,4025,0.081233,-1.0318),(6755,4035,0.15298,-1.0291),(6755,4045,0.22472,-1.028),(6755,4055,0.278,-1.027),(6755,4065,0.32454,-1.0259),(6755,4075,0.37108,-1.0242),(6755,4085,0.39217,-1.0224),(6755,4095,0.3928,-1.0207),(6755,4105,0.39343,-1.0189),(6755,4115,0.39406,-1.0171),(6755,4125,0.39469,-1.0153),(6755,4135,0.39531,-1.0135),(6755,4145,0.39593,-1.0117),(6755,4155,0.39648,-1.0099),(6755,4165,0.39703,-1.008),(6755,4175,0.39758,-1.0062),(6755,4185,0.39813,-1.0044),(6755,4195,0.39867,-1.0025),(6755,4205,0.39921,-1.0006),(6755,4215,0.39974,-0.99866),(6755,4225,0.40026,-0.99671),(6755,4235,0.40079,-0.99471),(6755,4245,0.40132,-0.9927),(6755,4255,0.40185,-0.9907),(6755,4265,0.40239,-0.98868),(6755,4275,0.40293,-0.98666),(6755,4285,0.40348,-0.98465),(6755,4295,0.40402,-0.98256),(6755,4305,0.40457,-0.98046),(6755,4315,0.40512,-0.97836),(6755,4325,0.40567,-0.97618),(6755,4335,0.40622,-0.97396),(6755,4345,0.40677,-0.97174),(6755,4355,0.40733,-0.9695),(6755,4365,0.40788,-0.96723),(6755,4375,0.40845,-0.96496),(6755,4385,0.40903,-0.96269),(6755,4395,0.4096,-0.96039),(6755,4405,0.41019,-0.9581),(6755,4415,0.41079,-0.95579),(6755,4425,0.41138,-0.95337),(6755,4435,0.41199,-0.95096),(6755,4445,0.4126,-0.94855),(6755,4455,0.41322,-0.94606),(6755,4465,0.41385,-0.94357),(6755,4475,0.41449,-0.94109),(6755,4485,0.41514,-0.93853),(6755,4495,0.41579,-0.93595),(6755,4505,0.41646,-0.93337),(6755,4515,0.41713,-0.93076),(6755,4525,0.41781,-0.92814),(6755,4535,0.41851,-0.92551),(6755,4545,0.41922,-0.92284),(6755,4555,0.41992,-0.92014),(6755,4565,0.42066,-0.91744),(6755,4575,0.42139,-0.91471),(6755,4585,0.42213,-0.91189),(6755,4595,0.42289,-0.90906),(6755,4605,0.42367,-0.90623),(6755,4615,0.42444,-0.90333),(6755,4625,0.42524,-0.90042),(6755,4635,0.42605,-0.89751),(6755,4645,0.42687,-0.89457),(6755,4655,0.4277,-0.89162),(6755,4665,0.42855,-0.88868),(6755,4675,0.4294,-0.88568),(6755,4685,0.43025,-0.88268),(6755,4695,0.43111,-0.87967),(6755,4705,0.43197,-0.87663),(6755,4715,0.43283,-0.87356),(6755,4725,0.43368,-0.87049),(6755,4735,0.43452,-0.86735),(6755,4745,0.43537,-0.86409),(6755,4755,0.43629,-0.86084),(6755,4765,0.43722,-0.85759),(6755,4775,0.43815,-0.85434),(6755,4785,0.4391,-0.85109),(6755,4795,0.44005,-0.84784),(6755,4805,0.441,-0.84452),(6755,4815,0.44198,-0.8412),(6755,4825,0.44298,-0.83788),(6755,4835,0.44398,-0.8345),(6755,4845,0.44499,-0.8311),(6755,4855,0.44603,-0.82771),(6755,4865,0.44708,-0.82427),(6755,4875,0.44812,-0.8208),(6755,4885,0.44921,-0.81734),(6755,4895,0.45029,-0.81385),(6755,4905,0.45137,-0.81033),(6755,4915,0.45247,-0.80682),(6755,4925,0.45357,-0.80327),(6755,4935,0.45466,-0.79967),(6755,4945,0.45577,-0.79608),(6755,4955,0.45687,-0.79247),(6755,4965,0.45797,-0.78879),(6755,4975,0.45908,-0.78511),(6755,4985,0.46019,-0.78142),(6755,4995,0.4613,-0.77769),(6755,5005,0.46241,-0.77394),(6755,5015,0.46354,-0.7702),(6755,5025,0.46466,-0.76645),(6755,5035,0.46578,-0.7627),(6755,5045,0.46689,-0.75894),(6755,5055,0.46801,-0.75506),(6755,5065,0.46912,-0.75109),(6755,5075,0.47039,-0.74713),(6755,5085,0.47166,-0.74321),(6755,5095,0.47293,-0.73934),(6755,5105,0.47412,-0.73547),(6755,5115,0.47529,-0.73156),(6755,5125,0.47647,-0.72755),(6755,5135,0.47763,-0.72354),(6755,5145,0.47879,-0.71952),(6755,5155,0.47996,-0.71544),(6755,5165,0.48114,-0.71136),(6755,5175,0.48235,-0.70728),(6755,5185,0.48356,-0.70316),(6755,5195,0.48477,-0.69904),(6755,5205,0.486,-0.69492),(6755,5215,0.48723,-0.69075),(6755,5225,0.48846,-0.68656),(6755,5235,0.48967,-0.68237),(6755,5245,0.49087,-0.67813),(6755,5255,0.49208,-0.67386),(6755,5265,0.49326,-0.66959),(6755,5275,0.49445,-0.66531),(6755,5285,0.49564,-0.661),(6755,5295,0.49683,-0.65669),(6755,5305,0.49804,-0.65238),(6755,5315,0.49924,-0.64806),(6755,5325,0.50045,-0.64373),(6755,5335,0.50168,-0.63941),(6755,5345,0.5029,-0.63501),(6755,5355,0.50412,-0.63061),(6755,5365,0.50534,-0.62621),(6755,5375,0.50657,-0.62174),(6755,5385,0.50779,-0.61726),(6755,5395,0.509,-0.61277),(6755,5405,0.51021,-0.60826),(6755,5415,0.51143,-0.60374),(6755,5425,0.51262,-0.59921),(6755,5435,0.51381,-0.59466),(6755,5445,0.515,-0.59009),(6755,5455,0.51616,-0.58551),(6755,5465,0.51733,-0.58092),(6755,5475,0.51849,-0.57628),(6755,5485,0.51965,-0.57164),(6755,5495,0.52081,-0.567),(6755,5505,0.52197,-0.5623),(6755,5515,0.52316,-0.55761),(6755,5525,0.52435,-0.55292),(6755,5535,0.52555,-0.54822),(6755,5545,0.52676,-0.54351),(6755,5555,0.52798,-0.53881),(6755,5565,0.5292,-0.53407),(6755,5575,0.53042,-0.52932),(6755,5585,0.53163,-0.52456),(6755,5595,0.53283,-0.51976),(6755,5605,0.53404,-0.51491),(6755,5615,0.53519,-0.51006),(6755,5625,0.53634,-0.5052),(6755,5635,0.53749,-0.50031),(6755,5645,0.53859,-0.49542),(6755,5655,0.53967,-0.49052),(6755,5665,0.54075,-0.48562),(6755,5675,0.54175,-0.48072),(6755,5685,0.5427,-0.4758),(6755,5695,0.54365,-0.47059),(6755,5705,0.54471,-0.46538),(6755,5715,0.54587,-0.46017),(6755,5725,0.54704,-0.45524),(6755,5735,0.54817,-0.45034),(6755,5745,0.54923,-0.44544),(6755,5755,0.55029,-0.44051),(6755,5765,0.55134,-0.43556),(6755,5775,0.55237,-0.43061),(6755,5785,0.55339,-0.42561),(6755,5795,0.55442,-0.42057),(6755,5805,0.55541,-0.41554),(6755,5815,0.55639,-0.41047),(6755,5825,0.55738,-0.40534),(6755,5835,0.55835,-0.40022),(6755,5845,0.55932,-0.39509),(6755,5855,0.56029,-0.38996),(6755,5865,0.56126,-0.38482),(6755,5875,0.56224,-0.37969),(6755,5885,0.56321,-0.37455),(6755,5895,0.56418,-0.3694),(6755,5905,0.56514,-0.36426),(6755,5915,0.5661,-0.35909),(6755,5925,0.56704,-0.35392),(6755,5935,0.56794,-0.34875),(6755,5945,0.56883,-0.34361),(6755,5955,0.56972,-0.3385),(6755,5965,0.57045,-0.33338),(6755,5975,0.57118,-0.3281),(6755,5985,0.57192,-0.32262),(6755,5995,0.57283,-0.31715),(6755,6005,0.57377,-0.31175),(6755,6015,0.57471,-0.30655),(6755,6025,0.57556,-0.30135),(6755,6035,0.57636,-0.29615),(6755,6045,0.57716,-0.29089),(6755,6055,0.57795,-0.28564),(6755,6065,0.57871,-0.28038),(6755,6075,0.57948,-0.27506),(6755,6085,0.58023,-0.26974),(6755,6095,0.58095,-0.26441),(6755,6105,0.58168,-0.25901),(6755,6115,0.58239,-0.25359),(6755,6125,0.58306,-0.24816),(6755,6135,0.58374,-0.24277),(6755,6145,0.58441,-0.2374),(6755,6155,0.58505,-0.23203),(6755,6165,0.58569,-0.22667),(6755,6175,0.58632,-0.22134),(6755,6185,0.58692,-0.21601),(6755,6195,0.58751,-0.21066),(6755,6205,0.58811,-0.20523),(6755,6215,0.58868,-0.1998),(6755,6225,0.58923,-0.19437),(6755,6235,0.58979,-0.18896),(6755,6245,0.59034,-0.18356),(6755,6255,0.59086,-0.17815),(6755,6265,0.59139,-0.17282),(6755,6275,0.59188,-0.16751),(6755,6285,0.59225,-0.16219),(6755,6295,0.59263,-0.15668),(6755,6305,0.59302,-0.15108),(6755,6315,0.59356,-0.14547),(6755,6325,0.59411,-0.14002),(6755,6335,0.59466,-0.13473),(6755,6345,0.59507,-0.12944),(6755,6355,0.59546,-0.12406),(6755,6365,0.59586,-0.11851),(6755,6375,0.5962,-0.11297),(6755,6385,0.59652,-0.10742),(6755,6395,0.59684,-0.10189),(6755,6405,0.59715,-0.096352),(6755,6415,0.59746,-0.090817),(6755,6425,0.59776,-0.085434),(6755,6435,0.59805,-0.080058),(6755,6445,0.59832,-0.074682),(6755,6455,0.59859,-0.069249),(6755,6465,0.59885,-0.063798),(6755,6475,0.59907,-0.058348),(6755,6485,0.5993,-0.052786),(6755,6495,0.59952,-0.04715),(6755,6505,0.5997,-0.041514),(6755,6515,0.59988,-0.035941),(6755,6525,0.60006,-0.030455),(6755,6535,0.60017,-0.024969),(6755,6545,0.60025,-0.019542),(6755,6555,0.60034,-0.014298),(6755,6565,0.60033,-0.009055),(6755,6575,0.60026,-0.003791),(6755,6585,0.60019,0.001758),(6755,6595,0.51043,0.007308),(6755,6605,0.32165,0.012858),(6755,6615,0.13287,0.013544),(6755,6625,0.000175,0.013605),(6755,6635,0.000237,0.013667),(6755,6645,0.0003,0.013683),(6755,6655,0.000362,0.013682),(6755,6665,0.000424,0.01368),(6755,6675,0.000486,0.013677),(6755,6685,0.000548,0.013673),(6755,6695,0.00061,0.013668),(6755,6705,0.000671,0.013663),(6755,6715,0.000733,0.013655),(6755,6725,0.000793,0.013648),(6755,6735,0.000854,0.01364),(6755,6745,0.000915,0.013629),(6755,6755,0.000975,0.013619),(6755,6765,0.001035,0.013609),(6755,6775,0.001094,0.013596),(6755,6785,0.001154,0.013583),(6755,6795,0.001212,0.013569),(6755,6805,0.001271,0.013554),(6755,6815,0.001329,0.013538),(6755,6825,0.001386,0.013522),(6755,6835,0.001443,0.013505),(6755,6845,0.001501,0.013487),(6755,6855,0.001556,0.013468),(6755,6865,0.001612,0.013449),(6755,6875,0.001668,0.013428),(6755,6885,0.001722,0.013408),(6755,6895,0.001776,0.013386),(6755,6905,0.00183,0.013363),(6755,6915,0.001883,0.013341),(6755,6925,0.001935,0.013317),(6755,6935,0.001987,0.013293),(6755,6945,0.002038,0.013268),(6755,6955,0.002088,0.013243),(6755,6965,0.002139,0.013216),(6755,6975,0.002188,0.013189),(6755,6985,0.002237,0.013163),(6765,5,-1.3e-05,-1.2904),(6765,15,-4e-05,-1.2904),(6765,25,-6.4e-05,-1.2904),(6765,35,-8.5e-05,-1.2904),(6765,45,-0.000107,-1.2904),(6765,55,-0.000128,-1.2903),(6765,65,-0.000142,-1.2903),(6765,75,-0.000151,-1.2902),(6765,85,-0.00016,-1.2902),(6765,95,-0.000168,-1.2901),(6765,105,-0.000174,-1.2901),(6765,115,-0.000179,-1.29),(6765,125,-0.000183,-1.2899),(6765,135,-0.000187,-1.2899),(6765,145,-0.000179,-1.2898),(6765,155,-0.000165,-1.2897),(6765,165,-0.00015,-1.2897),(6765,175,-0.000136,-1.2896),(6765,185,-0.00013,-1.2895),(6765,195,-0.000127,-1.2894),(6765,205,-0.000125,-1.2893),(6765,215,-0.000123,-1.2892),(6765,225,-0.000122,-1.2891),(6765,235,-0.000122,-1.289),(6765,245,-0.000122,-1.2889),(6765,255,-0.000123,-1.2887),(6765,265,-0.000134,-1.2886),(6765,275,-0.000149,-1.2885),(6765,285,-0.000165,-1.2883),(6765,295,-0.00018,-1.288),(6765,305,-0.000185,-1.2878),(6765,315,-0.000188,-1.2876),(6765,325,-0.000191,-1.2874),(6765,335,-0.000194,-1.2872),(6765,345,-0.000157,-1.287),(6765,355,-0.000111,-1.2868),(6765,365,-6.6e-05,-1.2867),(6765,375,-2.1e-05,-1.2865),(6765,385,-4e-06,-1.2863),(6765,395,9e-06,-1.2861),(6765,405,2.3e-05,-1.2859),(6765,415,3.6e-05,-1.2857),(6765,425,3.7e-05,-1.2855),(6765,435,3.7e-05,-1.2852),(6765,445,3.7e-05,-1.285),(6765,455,3.7e-05,-1.2848),(6765,465,1.5e-05,-1.2845),(6765,475,-8e-06,-1.2843),(6765,485,-3.1e-05,-1.284),(6765,495,-5.3e-05,-1.2837),(6765,505,-8.8e-05,-1.2835),(6765,515,-0.000123,-1.2832),(6765,525,-0.000158,-1.2829),(6765,535,-0.000192,-1.2826),(6765,545,-0.000221,-1.2823),(6765,555,-0.000251,-1.282),(6765,565,-0.00028,-1.2817),(6765,575,-0.000309,-1.2813),(6765,585,-0.000337,-1.281),(6765,595,-0.000365,-1.2806),(6765,605,-0.000394,-1.2803),(6765,615,-0.000418,-1.2799),(6765,625,-0.000417,-1.2796),(6765,635,-0.000415,-1.2792),(6765,645,-0.000414,-1.2789),(6765,655,-0.000407,-1.2786),(6765,665,-0.000372,-1.2783),(6765,675,-0.000336,-1.278),(6765,685,-0.000301,-1.2777),(6765,695,-0.000264,-1.2773),(6765,705,-0.000222,-1.277),(6765,715,-0.00018,-1.2767),(6765,725,-0.000138,-1.2763),(6765,735,-9e-05,-1.276),(6765,745,-2.1e-05,-1.2756),(6765,755,4.8e-05,-1.2752),(6765,765,0.000117,-1.2749),(6765,775,0.00016,-1.2745),(6765,785,0.000135,-1.2741),(6765,795,0.00011,-1.2737),(6765,805,8.5e-05,-1.2732),(6765,815,7.7e-05,-1.2727),(6765,825,0.000107,-1.2722),(6765,835,0.000138,-1.2717),(6765,845,0.000168,-1.2712),(6765,855,0.000209,-1.2708),(6765,865,0.000268,-1.2703),(6765,875,0.000328,-1.2699),(6765,885,0.000387,-1.2694),(6765,895,0.000469,-1.2689),(6765,905,0.000585,-1.2685),(6765,915,0.000701,-1.268),(6765,925,0.000817,-1.2676),(6765,935,0.000954,-1.2672),(6765,945,0.001119,-1.2668),(6765,955,0.001283,-1.2663),(6765,965,0.001448,-1.2658),(6765,975,0.001617,-1.2653),(6765,985,0.001792,-1.2649),(6765,995,0.001967,-1.2643),(6765,1005,0.002142,-1.2637),(6765,1015,0.002334,-1.2631),(6765,1025,0.002542,-1.2625),(6765,1035,0.002751,-1.2619),(6765,1045,0.002959,-1.2612),(6765,1055,0.003216,-1.2606),(6765,1065,0.003511,-1.2599),(6765,1075,0.003806,-1.2591),(6765,1085,0.004102,-1.2582),(6765,1095,0.004497,-1.2573),(6765,1105,0.004962,-1.2564),(6765,1115,0.005428,-1.2554),(6765,1125,0.005893,-1.2542),(6765,1135,0.006413,-1.2531),(6765,1145,0.006966,-1.2519),(6765,1155,0.00752,-1.2504),(6765,1165,0.008073,-1.2488),(6765,1175,0.008797,-1.2471),(6765,1185,0.009605,-1.2454),(6765,1195,0.010414,-1.2433),(6765,1205,0.011223,-1.2409),(6765,1215,0.012095,-1.2386),(6765,1225,0.012995,-1.2363),(6765,1235,0.013894,-1.2332),(6765,1245,0.014793,-1.2299),(6765,1255,0.015597,-1.2266),(6765,1265,0.016368,-1.2233),(6765,1275,0.01714,-1.2192),(6765,1285,0.017912,-1.2148),(6765,1295,0.016449,-1.2104),(6765,1305,0.014381,-1.2061),(6765,1315,0.012314,-1.2032),(6765,1325,0.010247,-1.2006),(6765,1335,0.006376,-1.198),(6765,1345,0.002128,-1.1955),(6765,1355,-0.002121,-1.1966),(6765,1365,-0.00637,-1.1983),(6765,1375,-0.009112,-1.2),(6765,1385,-0.011621,-1.2018),(6765,1395,-0.014131,-1.2055),(6765,1405,-0.01664,-1.2095),(6765,1415,-0.016174,-1.2136),(6765,1425,-0.015399,-1.2176),(6765,1435,-0.014623,-1.2209),(6765,1445,-0.013848,-1.2242),(6765,1455,-0.012958,-1.2275),(6765,1465,-0.012062,-1.2307),(6765,1475,-0.011165,-1.2328),(6765,1485,-0.010269,-1.2349),(6765,1495,-0.009464,-1.2369),(6765,1505,-0.00866,-1.2389),(6765,1515,-0.007857,-1.2403),(6765,1525,-0.007058,-1.2416),(6765,1535,-0.006476,-1.243),(6765,1545,-0.005893,-1.2443),(6765,1555,-0.00531,-1.245),(6765,1565,-0.004734,-1.2458),(6765,1575,-0.004261,-1.2465),(6765,1585,-0.003788,-1.2472),(6765,1595,-0.003314,-1.2477),(6765,1605,-0.002857,-1.2482),(6765,1615,-0.00254,-1.2488),(6765,1625,-0.002222,-1.2493),(6765,1635,-0.001905,-1.2495),(6765,1645,-0.001602,-1.2497),(6765,1655,-0.001388,-1.2499),(6765,1665,-0.001174,-1.2502),(6765,1675,-0.00096,-1.2503),(6765,1685,-0.000752,-1.2505),(6765,1695,-0.000574,-1.2507),(6765,1705,-0.000396,-1.2509),(6765,1715,-0.000218,-1.251),(6765,1725,-5.2e-05,-1.2511),(6765,1735,7e-05,-1.2512),(6765,1745,0.000192,-1.2513),(6765,1755,0.000314,-1.2513),(6765,1765,0.000423,-1.2513),(6765,1775,0.000497,-1.2513),(6765,1785,0.000571,-1.2513),(6765,1795,0.000644,-1.2514),(6765,1805,0.000713,-1.2514),(6765,1815,0.000769,-1.2514),(6765,1825,0.000825,-1.2515),(6765,1835,0.000881,-1.2515),(6765,1845,0.000943,-1.2515),(6765,1855,0.00102,-1.2515),(6765,1865,0.001095,-1.2515),(6765,1875,0.001172,-1.2515),(6765,1885,0.001216,-1.2515),(6765,1895,0.001207,-1.2516),(6765,1905,0.001199,-1.2515),(6765,1915,0.001191,-1.2514),(6765,1925,0.001184,-1.2513),(6765,1935,0.001179,-1.2511),(6765,1945,0.001175,-1.251),(6765,1955,0.00117,-1.2509),(6765,1965,0.001171,-1.2509),(6765,1975,0.00118,-1.2508),(6765,1985,0.001188,-1.2507),(6765,1995,0.001196,-1.2506),(6765,2005,0.001215,-1.2505),(6765,2015,0.001246,-1.2504),(6765,2025,0.001277,-1.2503),(6765,2035,0.001307,-1.2501),(6765,2045,0.001331,-1.2499),(6765,2055,0.001349,-1.2498),(6765,2065,0.001367,-1.2497),(6765,2075,0.001386,-1.2495),(6765,2085,0.001415,-1.2494),(6765,2095,0.001453,-1.2493),(6765,2105,0.00149,-1.2491),(6765,2115,0.001528,-1.249),(6765,2125,0.001543,-1.2488),(6765,2135,0.001545,-1.2487),(6765,2145,0.001546,-1.2485),(6765,2155,0.001547,-1.2482),(6765,2165,0.001523,-1.248),(6765,2175,0.001487,-1.2477),(6765,2185,0.00145,-1.2475),(6765,2195,0.001414,-1.2472),(6765,2205,0.001391,-1.2469),(6765,2215,0.001374,-1.2466),(6765,2225,0.001357,-1.2463),(6765,2235,0.00134,-1.2459),(6765,2245,0.00135,-1.2456),(6765,2255,0.00137,-1.2453),(6765,2265,0.001389,-1.245),(6765,2275,0.001408,-1.2447),(6765,2285,0.001378,-1.2444),(6765,2295,0.001333,-1.2441),(6765,2305,0.001288,-1.2437),(6765,2315,0.001243,-1.2434),(6765,2325,0.001267,-1.2431),(6765,2335,0.001307,-1.2427),(6765,2345,0.001347,-1.2424),(6765,2355,0.001388,-1.2421),(6765,2365,0.001417,-1.2418),(6765,2375,0.001445,-1.2415),(6765,2385,0.001473,-1.2411),(6765,2395,0.001501,-1.2407),(6765,2405,0.001504,-1.2403),(6765,2415,0.001505,-1.2399),(6765,2425,0.001505,-1.2394),(6765,2435,0.001506,-1.2389),(6765,2445,0.001516,-1.2384),(6765,2455,0.001526,-1.2379),(6765,2465,0.001537,-1.2375),(6765,2475,0.001547,-1.237),(6765,2485,0.001557,-1.2366),(6765,2495,0.001567,-1.2361),(6765,2505,0.001577,-1.2357),(6765,2515,0.001587,-1.2352),(6765,2525,0.001579,-1.2348),(6765,2535,0.001572,-1.2343),(6765,2545,0.001564,-1.2338),(6765,2555,0.001556,-1.2332),(6765,2565,0.001539,-1.2327),(6765,2575,0.001521,-1.2321),(6765,2585,0.001504,-1.2315),(6765,2595,0.001484,-1.2309),(6765,2605,0.001445,-1.2304),(6765,2615,0.001407,-1.2298),(6765,2625,0.001368,-1.2291),(6765,2635,0.001342,-1.2284),(6765,2645,0.001393,-1.2277),(6765,2655,0.001444,-1.2271),(6765,2665,0.001495,-1.2265),(6765,2675,0.001523,-1.2259),(6765,2685,0.001442,-1.2253),(6765,2695,0.00136,-1.2247),(6765,2705,0.001279,-1.224),(6765,2715,0.001223,-1.2234),(6765,2725,0.001261,-1.2227),(6765,2735,0.001299,-1.2221),(6765,2745,0.001337,-1.2214),(6765,2755,0.00137,-1.2208),(6765,2765,0.001391,-1.2201),(6765,2775,0.001411,-1.2195),(6765,2785,0.001432,-1.2187),(6765,2795,0.001447,-1.218),(6765,2805,0.001451,-1.2173),(6765,2815,0.001455,-1.2165),(6765,2825,0.001459,-1.2158),(6765,2835,0.001466,-1.215),(6765,2845,0.001477,-1.2143),(6765,2855,0.001489,-1.2135),(6765,2865,0.001501,-1.2127),(6765,2875,0.001517,-1.212),(6765,2885,0.001543,-1.2112),(6765,2895,0.001568,-1.2104),(6765,2905,0.001593,-1.2096),(6765,2915,0.001621,-1.2087),(6765,2925,0.001652,-1.2079),(6765,2935,0.001682,-1.2071),(6765,2945,0.001713,-1.2063),(6765,2955,0.001739,-1.2055),(6765,2965,0.001757,-1.2047),(6765,2975,0.001775,-1.2039),(6765,2985,0.001793,-1.203),(6765,2995,0.001785,-1.2021),(6765,3005,0.00175,-1.2013),(6765,3015,0.001716,-1.2003),(6765,3025,0.001681,-1.1993),(6765,3035,0.00169,-1.1983),(6765,3045,0.001737,-1.1973),(6765,3055,0.001785,-1.1964),(6765,3065,0.001832,-1.1954),(6765,3075,0.001819,-1.1945),(6765,3085,0.001759,-1.1935),(6765,3095,0.0017,-1.1926),(6765,3105,0.001641,-1.1915),(6765,3115,0.001664,-1.1905),(6765,3125,0.00174,-1.1895),(6765,3135,0.001816,-1.1886),(6765,3145,0.001893,-1.1876),(6765,3155,0.001937,-1.1866),(6765,3165,0.001964,-1.1857),(6765,3175,0.001991,-1.1847),(6765,3185,0.002019,-1.1837),(6765,3195,0.002037,-1.1827),(6765,3205,0.002053,-1.1817),(6765,3215,0.002068,-1.1806),(6765,3225,0.002083,-1.1796),(6765,3235,0.002085,-1.1785),(6765,3245,0.002081,-1.1775),(6765,3255,0.002078,-1.1764),(6765,3265,0.002075,-1.1752),(6765,3275,0.002051,-1.1741),(6765,3285,0.002021,-1.173),(6765,3295,0.001991,-1.1718),(6765,3305,0.001961,-1.1706),(6765,3315,0.001954,-1.1695),(6765,3325,0.001952,-1.1683),(6765,3335,0.00195,-1.1672),(6765,3345,0.001947,-1.166),(6765,3355,0.00194,-1.1649),(6765,3365,0.001931,-1.1637),(6765,3375,0.001922,-1.1625),(6765,3385,0.001913,-1.1612),(6765,3395,0.002018,-1.1599),(6765,3405,0.002138,-1.1587),(6765,3415,0.002257,-1.1576),(6765,3425,0.002377,-1.1565),(6765,3435,0.00237,-1.1554),(6765,3445,0.002353,-1.1544),(6765,3455,0.002336,-1.1531),(6765,3465,0.002319,-1.1518),(6765,3475,0.002381,-1.1506),(6765,3485,0.002446,-1.1493),(6765,3495,0.002511,-1.148),(6765,3505,0.002576,-1.1467),(6765,3515,0.002623,-1.1454),(6765,3525,0.002669,-1.1441),(6765,3535,0.002715,-1.1428),(6765,3545,0.002762,-1.1416),(6765,3555,0.002816,-1.1403),(6765,3565,0.00287,-1.139),(6765,3575,0.002924,-1.1376),(6765,3585,0.002984,-1.1362),(6765,3595,0.00311,-1.1348),(6765,3605,0.003236,-1.1334),(6765,3615,0.003362,-1.1322),(6765,3625,0.003488,-1.1309),(6765,3635,0.003619,-1.1296),(6765,3645,0.00375,-1.1284),(6765,3655,0.003881,-1.1269),(6765,3665,0.004009,-1.1254),(6765,3675,0.004121,-1.1239),(6765,3685,0.004233,-1.1224),(6765,3695,0.004344,-1.1209),(6765,3705,0.004472,-1.1194),(6765,3715,0.004665,-1.1179),(6765,3725,0.004858,-1.1163),(6765,3735,0.005051,-1.1147),(6765,3745,0.005263,-1.1131),(6765,3755,0.005535,-1.1114),(6765,3765,0.005808,-1.1098),(6765,3775,0.00608,-1.1079),(6765,3785,0.006403,-1.1061),(6765,3795,0.006856,-1.1043),(6765,3805,0.007308,-1.1024),(6765,3815,0.007761,-1.1004),(6765,3825,0.008206,-1.0984),(6765,3835,0.008633,-1.0964),(6765,3845,0.00906,-1.0942),(6765,3855,0.009488,-1.0917),(6765,3865,0.009985,-1.0892),(6765,3875,0.010604,-1.0868),(6765,3885,0.011223,-1.0841),(6765,3895,0.011842,-1.081),(6765,3905,0.012474,-1.078),(6765,3915,0.013123,-1.0749),(6765,3925,0.013772,-1.0716),(6765,3935,0.014421,-1.0678),(6765,3945,0.015021,-1.0641),(6765,3955,0.01556,-1.0603),(6765,3965,0.016099,-1.0562),(6765,3975,0.016638,-1.0517),(6765,3985,0.01646,-1.0472),(6765,3995,0.015507,-1.0426),(6765,4005,0.014554,-1.0387),(6765,4015,0.013601,-1.0352),(6765,4025,0.079022,-1.0317),(6765,4035,0.15094,-1.029),(6765,4045,0.22285,-1.028),(6765,4055,0.27592,-1.027),(6765,4065,0.32211,-1.0259),(6765,4075,0.3683,-1.0241),(6765,4085,0.38922,-1.0224),(6765,4095,0.38983,-1.0207),(6765,4105,0.39045,-1.0189),(6765,4115,0.39107,-1.0171),(6765,4125,0.39171,-1.0153),(6765,4135,0.39234,-1.0135),(6765,4145,0.39296,-1.0118),(6765,4155,0.39348,-1.01),(6765,4165,0.394,-1.0082),(6765,4175,0.39452,-1.0064),(6765,4185,0.39505,-1.0045),(6765,4195,0.39558,-1.0027),(6765,4205,0.39611,-1.0008),(6765,4215,0.39663,-0.99884),(6765,4225,0.39713,-0.9969),(6765,4235,0.39764,-0.99489),(6765,4245,0.39815,-0.99289),(6765,4255,0.39867,-0.99088),(6765,4265,0.39918,-0.98886),(6765,4275,0.3997,-0.98684),(6765,4285,0.40022,-0.98483),(6765,4295,0.40075,-0.98274),(6765,4305,0.40127,-0.98064),(6765,4315,0.4018,-0.97855),(6765,4325,0.40233,-0.97637),(6765,4335,0.40286,-0.97416),(6765,4345,0.40339,-0.97195),(6765,4355,0.40392,-0.9697),(6765,4365,0.40445,-0.96744),(6765,4375,0.405,-0.96517),(6765,4385,0.40555,-0.96289),(6765,4395,0.40611,-0.9606),(6765,4405,0.40667,-0.95831),(6765,4415,0.40725,-0.95599),(6765,4425,0.40782,-0.95358),(6765,4435,0.4084,-0.95116),(6765,4445,0.40899,-0.94875),(6765,4455,0.40958,-0.94626),(6765,4465,0.41019,-0.94377),(6765,4475,0.41082,-0.94128),(6765,4485,0.41145,-0.93871),(6765,4495,0.41209,-0.93614),(6765,4505,0.41274,-0.93356),(6765,4515,0.41339,-0.93094),(6765,4525,0.41404,-0.92831),(6765,4535,0.41472,-0.92568),(6765,4545,0.4154,-0.92301),(6765,4555,0.41609,-0.92031),(6765,4565,0.4168,-0.9176),(6765,4575,0.41751,-0.91486),(6765,4585,0.41823,-0.91204),(6765,4595,0.41897,-0.90921),(6765,4605,0.41971,-0.90637),(6765,4615,0.42046,-0.90346),(6765,4625,0.42123,-0.90055),(6765,4635,0.42203,-0.89763),(6765,4645,0.42282,-0.89468),(6765,4655,0.42363,-0.89173),(6765,4665,0.42446,-0.88878),(6765,4675,0.42529,-0.88579),(6765,4685,0.42612,-0.88278),(6765,4695,0.42698,-0.87977),(6765,4705,0.42784,-0.87674),(6765,4715,0.4287,-0.87368),(6765,4725,0.42949,-0.87062),(6765,4735,0.43029,-0.86748),(6765,4745,0.43108,-0.8642),(6765,4755,0.43201,-0.86092),(6765,4765,0.43297,-0.85765),(6765,4775,0.43393,-0.8544),(6765,4785,0.43486,-0.85115),(6765,4795,0.43579,-0.84789),(6765,4805,0.43671,-0.84456),(6765,4815,0.43765,-0.84123),(6765,4825,0.43863,-0.8379),(6765,4835,0.4396,-0.8345),(6765,4845,0.44058,-0.8311),(6765,4855,0.44159,-0.82769),(6765,4865,0.44261,-0.82424),(6765,4875,0.44363,-0.82077),(6765,4885,0.44468,-0.8173),(6765,4895,0.44574,-0.8138),(6765,4905,0.4468,-0.81028),(6765,4915,0.44787,-0.80676),(6765,4925,0.44895,-0.80321),(6765,4935,0.45003,-0.79961),(6765,4945,0.45111,-0.79602),(6765,4955,0.4522,-0.79241),(6765,4965,0.45329,-0.78872),(6765,4975,0.45438,-0.78504),(6765,4985,0.45547,-0.78136),(6765,4995,0.45656,-0.77761),(6765,5005,0.45767,-0.77386),(6765,5015,0.45879,-0.77012),(6765,5025,0.45991,-0.76637),(6765,5035,0.46101,-0.76262),(6765,5045,0.46199,-0.75888),(6765,5055,0.46297,-0.75497),(6765,5065,0.46397,-0.75095),(6765,5075,0.46531,-0.74694),(6765,5085,0.46665,-0.743),(6765,5095,0.468,-0.73916),(6765,5105,0.46917,-0.73531),(6765,5115,0.47032,-0.73143),(6765,5125,0.47146,-0.72742),(6765,5135,0.47261,-0.72341),(6765,5145,0.47375,-0.71939),(6765,5155,0.4749,-0.7153),(6765,5165,0.47606,-0.7112),(6765,5175,0.47723,-0.7071),(6765,5185,0.47841,-0.70297),(6765,5195,0.4796,-0.69885),(6765,5205,0.4808,-0.69472),(6765,5215,0.48201,-0.69054),(6765,5225,0.48321,-0.68636),(6765,5235,0.4844,-0.68217),(6765,5245,0.48559,-0.67794),(6765,5255,0.48679,-0.67367),(6765,5265,0.48796,-0.66941),(6765,5275,0.48914,-0.66512),(6765,5285,0.49032,-0.6608),(6765,5295,0.4915,-0.65648),(6765,5305,0.49268,-0.65216),(6765,5315,0.49387,-0.64783),(6765,5325,0.49505,-0.64349),(6765,5335,0.49625,-0.63916),(6765,5345,0.49744,-0.63475),(6765,5355,0.49863,-0.63035),(6765,5365,0.49983,-0.62595),(6765,5375,0.50102,-0.62147),(6765,5385,0.50222,-0.61699),(6765,5395,0.50341,-0.6125),(6765,5405,0.5046,-0.60799),(6765,5415,0.5058,-0.60347),(6765,5425,0.50698,-0.59895),(6765,5435,0.50817,-0.5944),(6765,5445,0.50935,-0.58983),(6765,5455,0.51052,-0.58525),(6765,5465,0.51169,-0.58066),(6765,5475,0.51285,-0.57602),(6765,5485,0.51401,-0.57137),(6765,5495,0.51517,-0.56672),(6765,5505,0.51632,-0.56201),(6765,5515,0.51749,-0.5573),(6765,5525,0.51866,-0.55259),(6765,5535,0.51984,-0.54787),(6765,5545,0.52102,-0.54316),(6765,5555,0.52221,-0.53844),(6765,5565,0.5234,-0.53369),(6765,5575,0.52459,-0.52894),(6765,5585,0.52577,-0.52419),(6765,5595,0.52696,-0.51938),(6765,5605,0.52814,-0.51455),(6765,5615,0.52928,-0.50971),(6765,5625,0.53043,-0.50486),(6765,5635,0.53157,-0.49998),(6765,5645,0.53269,-0.4951),(6765,5655,0.5338,-0.49023),(6765,5665,0.53491,-0.48537),(6765,5675,0.5358,-0.48051),(6765,5685,0.53658,-0.47562),(6765,5695,0.53735,-0.47033),(6765,5705,0.53838,-0.46504),(6765,5715,0.53968,-0.45976),(6765,5725,0.54099,-0.45483),(6765,5735,0.54221,-0.44996),(6765,5745,0.54322,-0.44508),(6765,5755,0.54423,-0.44016),(6765,5765,0.54524,-0.43521),(6765,5775,0.54625,-0.43027),(6765,5785,0.54725,-0.42528),(6765,5795,0.54826,-0.42024),(6765,5805,0.54924,-0.41521),(6765,5815,0.55022,-0.41015),(6765,5825,0.55119,-0.40502),(6765,5835,0.55215,-0.39989),(6765,5845,0.55311,-0.39476),(6765,5855,0.55406,-0.38962),(6765,5865,0.55501,-0.38447),(6765,5875,0.55596,-0.37933),(6765,5885,0.55692,-0.37418),(6765,5895,0.55787,-0.36903),(6765,5905,0.55881,-0.36389),(6765,5915,0.55976,-0.35873),(6765,5925,0.5607,-0.35357),(6765,5935,0.56162,-0.34841),(6765,5945,0.56255,-0.34331),(6765,5955,0.56345,-0.33824),(6765,5965,0.564,-0.33317),(6765,5975,0.56455,-0.32788),(6765,5985,0.5651,-0.32233),(6765,5995,0.56614,-0.31677),(6765,6005,0.56725,-0.31132),(6765,6015,0.56836,-0.30616),(6765,6025,0.56924,-0.30099),(6765,6035,0.57,-0.29582),(6765,6045,0.57076,-0.29057),(6765,6055,0.57151,-0.28532),(6765,6065,0.57227,-0.28007),(6765,6075,0.57303,-0.27476),(6765,6085,0.57377,-0.26944),(6765,6095,0.57449,-0.26412),(6765,6105,0.5752,-0.25872),(6765,6115,0.57591,-0.2533),(6765,6125,0.57658,-0.24788),(6765,6135,0.57725,-0.24249),(6765,6145,0.57792,-0.23713),(6765,6155,0.57856,-0.23176),(6765,6165,0.57919,-0.22641),(6765,6175,0.57983,-0.22108),(6765,6185,0.58042,-0.21576),(6765,6195,0.58101,-0.21041),(6765,6205,0.58159,-0.20499),(6765,6215,0.58216,-0.19956),(6765,6225,0.58271,-0.19413),(6765,6235,0.58326,-0.18872),(6765,6245,0.58382,-0.18331),(6765,6255,0.58437,-0.17791),(6765,6265,0.58493,-0.17261),(6765,6275,0.5854,-0.16734),(6765,6285,0.58561,-0.16207),(6765,6295,0.58582,-0.15653),(6765,6305,0.58607,-0.15086),(6765,6315,0.58678,-0.14518),(6765,6325,0.58749,-0.13972),(6765,6335,0.5882,-0.13446),(6765,6345,0.5886,-0.12921),(6765,6355,0.58896,-0.12387),(6765,6365,0.58931,-0.11834),(6765,6375,0.58964,-0.11281),(6765,6385,0.58995,-0.10727),(6765,6395,0.59026,-0.10173),(6765,6405,0.59056,-0.096194),(6765,6415,0.59086,-0.090656),(6765,6425,0.59116,-0.085275),(6765,6435,0.59145,-0.079902),(6765,6445,0.59172,-0.074529),(6765,6455,0.59199,-0.069099),(6765,6465,0.59225,-0.063653),(6765,6475,0.59247,-0.058208),(6765,6485,0.5927,-0.05265),(6765,6495,0.59293,-0.047019),(6765,6505,0.59312,-0.041387),(6765,6515,0.59331,-0.035825),(6765,6525,0.5935,-0.030359),(6765,6535,0.59365,-0.024893),(6765,6545,0.59378,-0.019492),(6765,6555,0.59391,-0.014292),(6765,6565,0.59384,-0.009093),(6765,6575,0.59366,-0.003868),(6765,6585,0.59349,0.001723),(6765,6595,0.50469,0.007314),(6765,6605,0.31803,0.012906),(6765,6615,0.13137,0.013599),(6765,6625,0.000174,0.013664),(6765,6635,0.000237,0.013728),(6765,6645,0.0003,0.013746),(6765,6655,0.000363,0.013744),(6765,6665,0.000426,0.013742),(6765,6675,0.000489,0.013739),(6765,6685,0.000552,0.013734),(6765,6695,0.000615,0.01373),(6765,6705,0.000677,0.013724),(6765,6715,0.000739,0.013716),(6765,6725,0.000801,0.013709),(6765,6735,0.000863,0.0137),(6765,6745,0.000924,0.01369),(6765,6755,0.000986,0.013679),(6765,6765,0.001046,0.013668),(6765,6775,0.001107,0.013655),(6765,6785,0.001167,0.013641),(6765,6795,0.001226,0.013628),(6765,6805,0.001286,0.013612),(6765,6815,0.001345,0.013596),(6765,6825,0.001403,0.01358),(6765,6835,0.001461,0.013562),(6765,6845,0.001519,0.013543),(6765,6855,0.001575,0.013524),(6765,6865,0.001631,0.013504),(6765,6875,0.001688,0.013483),(6765,6885,0.001742,0.013462),(6765,6895,0.001797,0.01344),(6765,6905,0.001852,0.013417),(6765,6915,0.001905,0.013393),(6765,6925,0.001958,0.01337),(6765,6935,0.002011,0.013344),(6765,6945,0.002063,0.013318),(6765,6955,0.002113,0.013293),(6765,6965,0.002164,0.013266),(6765,6975,0.002214,0.013238),(6765,6985,0.002263,0.013211),(6775,5,-1.3e-05,-1.2904),(6775,15,-3.9e-05,-1.2904),(6775,25,-6e-05,-1.2904),(6775,35,-7.8e-05,-1.2904),(6775,45,-9.6e-05,-1.2904),(6775,55,-0.000114,-1.2903),(6775,65,-0.000129,-1.2903),(6775,75,-0.00014,-1.2902),(6775,85,-0.000151,-1.2902),(6775,95,-0.000162,-1.2901),(6775,105,-0.00017,-1.2901),(6775,115,-0.000176,-1.29),(6775,125,-0.000182,-1.2899),(6775,135,-0.000189,-1.2899),(6775,145,-0.000181,-1.2898),(6775,155,-0.000166,-1.2897),(6775,165,-0.00015,-1.2896),(6775,175,-0.000135,-1.2896),(6775,185,-0.000125,-1.2895),(6775,195,-0.000119,-1.2894),(6775,205,-0.000112,-1.2893),(6775,215,-0.000105,-1.2892),(6775,225,-0.000101,-1.2891),(6775,235,-9.8e-05,-1.289),(6775,245,-9.6e-05,-1.2889),(6775,255,-9.3e-05,-1.2887),(6775,265,-0.000107,-1.2886),(6775,275,-0.000126,-1.2885),(6775,285,-0.000145,-1.2883),(6775,295,-0.000164,-1.2881),(6775,305,-0.000182,-1.2878),(6775,315,-0.000199,-1.2876),(6775,325,-0.000216,-1.2874),(6775,335,-0.000233,-1.2872),(6775,345,-0.0002,-1.287),(6775,355,-0.000158,-1.2868),(6775,365,-0.000116,-1.2866),(6775,375,-7.4e-05,-1.2865),(6775,385,-6e-05,-1.2863),(6775,395,-5e-05,-1.2861),(6775,405,-4.1e-05,-1.2859),(6775,415,-3.1e-05,-1.2857),(6775,425,-1.8e-05,-1.2855),(6775,435,-4e-06,-1.2852),(6775,445,1e-05,-1.285),(6775,455,2.3e-05,-1.2848),(6775,465,1.2e-05,-1.2845),(6775,475,-1e-06,-1.2843),(6775,485,-1.4e-05,-1.284),(6775,495,-2.7e-05,-1.2838),(6775,505,-6.3e-05,-1.2835),(6775,515,-9.9e-05,-1.2832),(6775,525,-0.000135,-1.2829),(6775,535,-0.00017,-1.2826),(6775,545,-0.000204,-1.2823),(6775,555,-0.000239,-1.282),(6775,565,-0.000273,-1.2817),(6775,575,-0.000307,-1.2813),(6775,585,-0.000344,-1.281),(6775,595,-0.000381,-1.2807),(6775,605,-0.000417,-1.2803),(6775,615,-0.000451,-1.2799),(6775,625,-0.000462,-1.2796),(6775,635,-0.000474,-1.2792),(6775,645,-0.000485,-1.2789),(6775,655,-0.00049,-1.2786),(6775,665,-0.000462,-1.2783),(6775,675,-0.000433,-1.2779),(6775,685,-0.000405,-1.2776),(6775,695,-0.000373,-1.2773),(6775,705,-0.000331,-1.277),(6775,715,-0.000288,-1.2766),(6775,725,-0.000245,-1.2763),(6775,735,-0.00019,-1.2759),(6775,745,-9.2e-05,-1.2756),(6775,755,6e-06,-1.2752),(6775,765,0.000104,-1.2749),(6775,775,0.000166,-1.2745),(6775,785,0.000131,-1.2741),(6775,795,9.6e-05,-1.2737),(6775,805,6e-05,-1.2732),(6775,815,4.6e-05,-1.2727),(6775,825,7.9e-05,-1.2722),(6775,835,0.000111,-1.2717),(6775,845,0.000144,-1.2712),(6775,855,0.000183,-1.2708),(6775,865,0.000234,-1.2703),(6775,875,0.000286,-1.2698),(6775,885,0.000337,-1.2693),(6775,895,0.00041,-1.2689),(6775,905,0.000514,-1.2684),(6775,915,0.000618,-1.268),(6775,925,0.000723,-1.2675),(6775,935,0.00085,-1.2671),(6775,945,0.001009,-1.2667),(6775,955,0.001167,-1.2662),(6775,965,0.001326,-1.2657),(6775,975,0.001491,-1.2652),(6775,985,0.001665,-1.2648),(6775,995,0.001839,-1.2642),(6775,1005,0.002012,-1.2636),(6775,1015,0.002195,-1.263),(6775,1025,0.002386,-1.2624),(6775,1035,0.002578,-1.2618),(6775,1045,0.002769,-1.2611),(6775,1055,0.002991,-1.2604),(6775,1065,0.003237,-1.2597),(6775,1075,0.003482,-1.2589),(6775,1085,0.003729,-1.258),(6775,1095,0.004068,-1.2571),(6775,1105,0.004474,-1.2562),(6775,1115,0.004879,-1.2551),(6775,1125,0.005284,-1.2539),(6775,1135,0.005689,-1.2528),(6775,1145,0.006092,-1.2516),(6775,1155,0.006496,-1.2501),(6775,1165,0.0069,-1.2483),(6775,1175,0.00745,-1.2466),(6775,1185,0.008074,-1.2449),(6775,1195,0.008698,-1.2427),(6775,1205,0.009321,-1.2404),(6775,1215,0.009978,-1.238),(6775,1225,0.010648,-1.2357),(6775,1235,0.011319,-1.2327),(6775,1245,0.011989,-1.2294),(6775,1255,0.012569,-1.2261),(6775,1265,0.013118,-1.2228),(6775,1275,0.013666,-1.2187),(6775,1285,0.014215,-1.2144),(6775,1295,0.013021,-1.2102),(6775,1305,0.011356,-1.2059),(6775,1315,0.009691,-1.203),(6775,1325,0.008026,-1.2005),(6775,1335,0.005015,-1.198),(6775,1345,0.001722,-1.1955),(6775,1355,-0.001571,-1.1965),(6775,1365,-0.004864,-1.1982),(6775,1375,-0.006992,-1.1999),(6775,1385,-0.008941,-1.2016),(6775,1395,-0.01089,-1.2053),(6775,1405,-0.012838,-1.2092),(6775,1415,-0.012532,-1.2131),(6775,1425,-0.011992,-1.2171),(6775,1435,-0.011451,-1.2204),(6775,1445,-0.010911,-1.2236),(6775,1455,-0.010261,-1.2269),(6775,1465,-0.009605,-1.2302),(6775,1475,-0.00895,-1.2323),(6775,1485,-0.008294,-1.2343),(6775,1495,-0.007654,-1.2364),(6775,1505,-0.007014,-1.2385),(6775,1515,-0.006374,-1.2399),(6775,1525,-0.00574,-1.2412),(6775,1535,-0.005309,-1.2426),(6775,1545,-0.004878,-1.2439),(6775,1555,-0.004446,-1.2447),(6775,1565,-0.004017,-1.2455),(6775,1575,-0.003619,-1.2462),(6775,1585,-0.003221,-1.2469),(6775,1595,-0.002823,-1.2475),(6775,1605,-0.002437,-1.248),(6775,1615,-0.002158,-1.2486),(6775,1625,-0.001878,-1.2491),(6775,1635,-0.001599,-1.2493),(6775,1645,-0.001334,-1.2496),(6775,1655,-0.001152,-1.2498),(6775,1665,-0.00097,-1.2501),(6775,1675,-0.000788,-1.2502),(6775,1685,-0.000611,-1.2504),(6775,1695,-0.000458,-1.2506),(6775,1705,-0.000304,-1.2508),(6775,1715,-0.000151,-1.2509),(6775,1725,-5e-06,-1.251),(6775,1735,0.000115,-1.2511),(6775,1745,0.000236,-1.2512),(6775,1755,0.000357,-1.2512),(6775,1765,0.000467,-1.2512),(6775,1775,0.000548,-1.2513),(6775,1785,0.000629,-1.2513),(6775,1795,0.00071,-1.2513),(6775,1805,0.000783,-1.2514),(6775,1815,0.000837,-1.2514),(6775,1825,0.000892,-1.2514),(6775,1835,0.000946,-1.2514),(6775,1845,0.001011,-1.2514),(6775,1855,0.001099,-1.2514),(6775,1865,0.001188,-1.2514),(6775,1875,0.001276,-1.2515),(6775,1885,0.001319,-1.2515),(6775,1895,0.001291,-1.2515),(6775,1905,0.001263,-1.2515),(6775,1915,0.001235,-1.2514),(6775,1925,0.00122,-1.2513),(6775,1935,0.001226,-1.2512),(6775,1945,0.001231,-1.2511),(6775,1955,0.001236,-1.251),(6775,1965,0.00124,-1.2509),(6775,1975,0.001244,-1.2508),(6775,1985,0.001248,-1.2507),(6775,1995,0.001252,-1.2506),(6775,2005,0.001269,-1.2505),(6775,2015,0.001298,-1.2504),(6775,2025,0.001326,-1.2502),(6775,2035,0.001355,-1.2501),(6775,2045,0.001379,-1.2499),(6775,2055,0.001397,-1.2498),(6775,2065,0.001416,-1.2496),(6775,2075,0.001435,-1.2495),(6775,2085,0.001466,-1.2494),(6775,2095,0.001506,-1.2492),(6775,2105,0.001546,-1.2491),(6775,2115,0.001587,-1.249),(6775,2125,0.00161,-1.2488),(6775,2135,0.001623,-1.2487),(6775,2145,0.001636,-1.2485),(6775,2155,0.001649,-1.2482),(6775,2165,0.001631,-1.248),(6775,2175,0.001598,-1.2478),(6775,2185,0.001565,-1.2475),(6775,2195,0.001531,-1.2472),(6775,2205,0.001501,-1.2469),(6775,2215,0.001472,-1.2466),(6775,2225,0.001443,-1.2463),(6775,2235,0.001415,-1.246),(6775,2245,0.001428,-1.2456),(6775,2255,0.001458,-1.2453),(6775,2265,0.001486,-1.245),(6775,2275,0.001515,-1.2447),(6775,2285,0.001467,-1.2444),(6775,2295,0.001397,-1.2441),(6775,2305,0.001326,-1.2437),(6775,2315,0.001256,-1.2434),(6775,2325,0.001281,-1.243),(6775,2335,0.001328,-1.2427),(6775,2345,0.001375,-1.2424),(6775,2355,0.001422,-1.2421),(6775,2365,0.001465,-1.2418),(6775,2375,0.001507,-1.2415),(6775,2385,0.001549,-1.2411),(6775,2395,0.001591,-1.2407),(6775,2405,0.0016,-1.2403),(6775,2415,0.001605,-1.2399),(6775,2425,0.001609,-1.2394),(6775,2435,0.001614,-1.2389),(6775,2445,0.001618,-1.2384),(6775,2455,0.001623,-1.2379),(6775,2465,0.001627,-1.2375),(6775,2475,0.001631,-1.237),(6775,2485,0.001639,-1.2366),(6775,2495,0.001646,-1.2361),(6775,2505,0.001654,-1.2357),(6775,2515,0.001661,-1.2352),(6775,2525,0.001655,-1.2348),(6775,2535,0.001649,-1.2343),(6775,2545,0.001644,-1.2338),(6775,2555,0.001637,-1.2332),(6775,2565,0.001624,-1.2327),(6775,2575,0.00161,-1.2321),(6775,2585,0.001596,-1.2315),(6775,2595,0.001579,-1.231),(6775,2605,0.001532,-1.2304),(6775,2615,0.001484,-1.2298),(6775,2625,0.001437,-1.2291),(6775,2635,0.001406,-1.2284),(6775,2645,0.001485,-1.2278),(6775,2655,0.001564,-1.2271),(6775,2665,0.001643,-1.2265),(6775,2675,0.001685,-1.2259),(6775,2685,0.001547,-1.2253),(6775,2695,0.001409,-1.2247),(6775,2705,0.001271,-1.224),(6775,2715,0.001169,-1.2234),(6775,2725,0.001201,-1.2227),(6775,2735,0.001233,-1.222),(6775,2745,0.001265,-1.2214),(6775,2755,0.001293,-1.2208),(6775,2765,0.001308,-1.2201),(6775,2775,0.001323,-1.2195),(6775,2785,0.001338,-1.2187),(6775,2795,0.00135,-1.218),(6775,2805,0.001356,-1.2173),(6775,2815,0.001361,-1.2165),(6775,2825,0.001366,-1.2158),(6775,2835,0.001375,-1.215),(6775,2845,0.001389,-1.2143),(6775,2855,0.001403,-1.2135),(6775,2865,0.001418,-1.2127),(6775,2875,0.001437,-1.2119),(6775,2885,0.001466,-1.2112),(6775,2895,0.001494,-1.2104),(6775,2905,0.001522,-1.2095),(6775,2915,0.001553,-1.2087),(6775,2925,0.001587,-1.2079),(6775,2935,0.001621,-1.2071),(6775,2945,0.001656,-1.2063),(6775,2955,0.001685,-1.2055),(6775,2965,0.001708,-1.2047),(6775,2975,0.00173,-1.2038),(6775,2985,0.001752,-1.203),(6775,2995,0.001742,-1.2021),(6775,3005,0.001699,-1.2013),(6775,3015,0.001656,-1.2004),(6775,3025,0.001613,-1.1994),(6775,3035,0.001632,-1.1984),(6775,3045,0.001707,-1.1973),(6775,3055,0.001782,-1.1964),(6775,3065,0.001857,-1.1954),(6775,3075,0.001822,-1.1945),(6775,3085,0.001704,-1.1935),(6775,3095,0.001585,-1.1925),(6775,3105,0.001467,-1.1915),(6775,3115,0.001474,-1.1905),(6775,3125,0.001562,-1.1895),(6775,3135,0.00165,-1.1885),(6775,3145,0.001739,-1.1876),(6775,3155,0.001795,-1.1866),(6775,3165,0.001835,-1.1857),(6775,3175,0.001874,-1.1847),(6775,3185,0.001914,-1.1837),(6775,3195,0.00194,-1.1827),(6775,3205,0.001961,-1.1817),(6775,3215,0.001982,-1.1806),(6775,3225,0.002003,-1.1796),(6775,3235,0.002012,-1.1785),(6775,3245,0.002016,-1.1775),(6775,3255,0.00202,-1.1764),(6775,3265,0.002024,-1.1753),(6775,3275,0.002007,-1.1741),(6775,3285,0.001985,-1.173),(6775,3295,0.001962,-1.1718),(6775,3305,0.001939,-1.1707),(6775,3315,0.001937,-1.1695),(6775,3325,0.001939,-1.1683),(6775,3335,0.001942,-1.1672),(6775,3345,0.001945,-1.1661),(6775,3355,0.001928,-1.1649),(6775,3365,0.001908,-1.1638),(6775,3375,0.001888,-1.1625),(6775,3385,0.001868,-1.1612),(6775,3395,0.001995,-1.1599),(6775,3405,0.002141,-1.1586),(6775,3415,0.002287,-1.1575),(6775,3425,0.002433,-1.1564),(6775,3435,0.00238,-1.1554),(6775,3445,0.002311,-1.1543),(6775,3455,0.002241,-1.1531),(6775,3465,0.002172,-1.1518),(6775,3475,0.002248,-1.1505),(6775,3485,0.002329,-1.1493),(6775,3495,0.00241,-1.148),(6775,3505,0.002491,-1.1467),(6775,3515,0.002539,-1.1454),(6775,3525,0.002588,-1.1441),(6775,3535,0.002636,-1.1428),(6775,3545,0.002685,-1.1415),(6775,3555,0.002733,-1.1403),(6775,3565,0.002781,-1.139),(6775,3575,0.00283,-1.1376),(6775,3585,0.002884,-1.1362),(6775,3595,0.003001,-1.1347),(6775,3605,0.003118,-1.1334),(6775,3615,0.003235,-1.1321),(6775,3625,0.003354,-1.1308),(6775,3635,0.003492,-1.1296),(6775,3645,0.003629,-1.1283),(6775,3655,0.003766,-1.1268),(6775,3665,0.003898,-1.1253),(6775,3675,0.004004,-1.1239),(6775,3685,0.004109,-1.1224),(6775,3695,0.004215,-1.1208),(6775,3705,0.004331,-1.1193),(6775,3715,0.004489,-1.1177),(6775,3725,0.004646,-1.1162),(6775,3735,0.004803,-1.1145),(6775,3745,0.004977,-1.1129),(6775,3755,0.005198,-1.1113),(6775,3765,0.00542,-1.1096),(6775,3775,0.005642,-1.1077),(6775,3785,0.005919,-1.1059),(6775,3795,0.006335,-1.104),(6775,3805,0.006751,-1.1021),(6775,3815,0.007168,-1.1001),(6775,3825,0.007546,-1.0981),(6775,3835,0.007845,-1.096),(6775,3845,0.008143,-1.0938),(6775,3855,0.008442,-1.0913),(6775,3865,0.008807,-1.0888),(6775,3875,0.00929,-1.0863),(6775,3885,0.009772,-1.0836),(6775,3895,0.010255,-1.0805),(6775,3905,0.010741,-1.0775),(6775,3915,0.011231,-1.0744),(6775,3925,0.011721,-1.0711),(6775,3935,0.012211,-1.0674),(6775,3945,0.012657,-1.0637),(6775,3955,0.013049,-1.0599),(6775,3965,0.013441,-1.0559),(6775,3975,0.013832,-1.0514),(6775,3985,0.013648,-1.0469),(6775,3995,0.01284,-1.0424),(6775,4005,0.012031,-1.0385),(6775,4015,0.011223,-1.0351),(6775,4025,0.07681,-1.0316),(6775,4035,0.14889,-1.029),(6775,4045,0.22097,-1.028),(6775,4055,0.27383,-1.027),(6775,4065,0.31967,-1.0258),(6775,4075,0.36551,-1.0241),(6775,4085,0.38626,-1.0224),(6775,4095,0.38686,-1.0207),(6775,4105,0.38746,-1.0189),(6775,4115,0.38808,-1.0171),(6775,4125,0.38873,-1.0154),(6775,4135,0.38938,-1.0136),(6775,4145,0.38999,-1.0118),(6775,4155,0.39048,-1.0101),(6775,4165,0.39096,-1.0083),(6775,4175,0.39145,-1.0065),(6775,4185,0.39197,-1.0047),(6775,4195,0.3925,-1.0028),(6775,4205,0.39302,-1.0009),(6775,4215,0.39351,-0.99902),(6775,4225,0.394,-0.99708),(6775,4235,0.39449,-0.99508),(6775,4245,0.39499,-0.99307),(6775,4255,0.39548,-0.99107),(6775,4265,0.39597,-0.98905),(6775,4275,0.39647,-0.98703),(6775,4285,0.39697,-0.98501),(6775,4295,0.39748,-0.98293),(6775,4305,0.39798,-0.98084),(6775,4315,0.39849,-0.97875),(6775,4325,0.39899,-0.97657),(6775,4335,0.3995,-0.97436),(6775,4345,0.40001,-0.97216),(6775,4355,0.40052,-0.96992),(6775,4365,0.40103,-0.96765),(6775,4375,0.40155,-0.96538),(6775,4385,0.40208,-0.96311),(6775,4395,0.40261,-0.96081),(6775,4405,0.40315,-0.95852),(6775,4415,0.40371,-0.9562),(6775,4425,0.40426,-0.95379),(6775,4435,0.40482,-0.95137),(6775,4445,0.40538,-0.94895),(6775,4455,0.40595,-0.94646),(6775,4465,0.40654,-0.94397),(6775,4475,0.40715,-0.94147),(6775,4485,0.40777,-0.93891),(6775,4495,0.40839,-0.93633),(6775,4505,0.40901,-0.93374),(6775,4515,0.40964,-0.93113),(6775,4525,0.41027,-0.92849),(6775,4535,0.41093,-0.92585),(6775,4545,0.41159,-0.92318),(6775,4555,0.41225,-0.92047),(6775,4565,0.41294,-0.91777),(6775,4575,0.41363,-0.91502),(6775,4585,0.41432,-0.91219),(6775,4595,0.41504,-0.90936),(6775,4605,0.41576,-0.90652),(6775,4615,0.41648,-0.9036),(6775,4625,0.41723,-0.90068),(6775,4635,0.418,-0.89776),(6775,4645,0.41877,-0.8948),(6775,4655,0.41955,-0.89185),(6775,4665,0.42036,-0.88889),(6775,4675,0.42118,-0.88589),(6775,4685,0.42199,-0.88289),(6775,4695,0.42285,-0.87988),(6775,4705,0.42371,-0.87684),(6775,4715,0.42456,-0.87379),(6775,4725,0.42531,-0.87074),(6775,4735,0.42605,-0.86759),(6775,4745,0.4268,-0.8643),(6775,4755,0.42774,-0.86101),(6775,4765,0.42872,-0.85773),(6775,4775,0.42971,-0.85447),(6775,4785,0.43063,-0.85121),(6775,4795,0.43152,-0.84795),(6775,4805,0.43242,-0.8446),(6775,4815,0.43333,-0.84126),(6775,4825,0.43427,-0.83792),(6775,4835,0.43522,-0.83452),(6775,4845,0.43617,-0.8311),(6775,4855,0.43716,-0.82768),(6775,4865,0.43814,-0.82422),(6775,4875,0.43913,-0.82074),(6775,4885,0.44016,-0.81726),(6775,4895,0.44119,-0.81375),(6775,4905,0.44222,-0.81023),(6775,4915,0.44328,-0.8067),(6775,4925,0.44434,-0.80316),(6775,4935,0.4454,-0.79956),(6775,4945,0.44646,-0.79596),(6775,4955,0.44753,-0.79235),(6775,4965,0.4486,-0.78866),(6775,4975,0.44968,-0.78498),(6775,4985,0.45075,-0.78129),(6775,4995,0.45183,-0.77754),(6775,5005,0.45293,-0.77378),(6775,5015,0.45405,-0.77003),(6775,5025,0.45517,-0.76628),(6775,5035,0.45623,-0.76253),(6775,5045,0.45708,-0.75878),(6775,5055,0.45794,-0.75486),(6775,5065,0.45881,-0.75082),(6775,5075,0.46023,-0.74678),(6775,5085,0.46165,-0.74283),(6775,5095,0.46307,-0.739),(6775,5105,0.46423,-0.73517),(6775,5115,0.46535,-0.7313),(6775,5125,0.46646,-0.72729),(6775,5135,0.46758,-0.72328),(6775,5145,0.46871,-0.71927),(6775,5155,0.46984,-0.71515),(6775,5165,0.47097,-0.71104),(6775,5175,0.47212,-0.70693),(6775,5185,0.47327,-0.70279),(6775,5195,0.47442,-0.69865),(6775,5205,0.4756,-0.69451),(6775,5215,0.47678,-0.69034),(6775,5225,0.47796,-0.68616),(6775,5235,0.47914,-0.68197),(6775,5245,0.48032,-0.67774),(6775,5255,0.4815,-0.67348),(6775,5265,0.48266,-0.66922),(6775,5275,0.48383,-0.66493),(6775,5285,0.485,-0.6606),(6775,5295,0.48616,-0.65628),(6775,5305,0.48733,-0.65195),(6775,5315,0.48849,-0.6476),(6775,5325,0.48966,-0.64326),(6775,5335,0.49082,-0.63892),(6775,5345,0.49198,-0.63451),(6775,5355,0.49315,-0.6301),(6775,5365,0.49431,-0.62569),(6775,5375,0.49548,-0.62121),(6775,5385,0.49665,-0.61672),(6775,5395,0.49782,-0.61223),(6775,5405,0.49899,-0.60772),(6775,5415,0.50017,-0.6032),(6775,5425,0.50135,-0.59868),(6775,5435,0.50253,-0.59413),(6775,5445,0.50371,-0.58956),(6775,5455,0.50488,-0.58499),(6775,5465,0.50605,-0.5804),(6775,5475,0.50722,-0.57575),(6775,5485,0.50837,-0.5711),(6775,5495,0.50952,-0.56644),(6775,5505,0.51067,-0.56172),(6775,5515,0.51182,-0.55699),(6775,5525,0.51297,-0.55226),(6775,5535,0.51412,-0.54753),(6775,5545,0.51527,-0.5428),(6775,5555,0.51644,-0.53807),(6775,5565,0.5176,-0.53332),(6775,5575,0.51876,-0.52857),(6775,5585,0.51992,-0.52381),(6775,5595,0.52108,-0.51901),(6775,5605,0.52224,-0.51418),(6775,5615,0.52338,-0.50935),(6775,5625,0.52451,-0.50451),(6775,5635,0.52565,-0.49964),(6775,5645,0.52679,-0.49477),(6775,5655,0.52793,-0.48991),(6775,5665,0.52907,-0.48508),(6775,5675,0.52986,-0.48024),(6775,5685,0.53046,-0.47538),(6775,5695,0.53105,-0.47005),(6775,5705,0.53205,-0.46472),(6775,5715,0.5335,-0.4594),(6775,5725,0.53495,-0.45448),(6775,5735,0.53625,-0.44961),(6775,5745,0.53721,-0.44475),(6775,5755,0.53817,-0.43983),(6775,5765,0.53913,-0.43488),(6775,5775,0.54012,-0.42993),(6775,5785,0.54111,-0.42494),(6775,5795,0.54211,-0.41991),(6775,5805,0.54308,-0.41489),(6775,5815,0.54404,-0.40982),(6775,5825,0.54501,-0.40469),(6775,5835,0.54595,-0.39956),(6775,5845,0.54689,-0.39443),(6775,5855,0.54782,-0.38928),(6775,5865,0.54876,-0.38412),(6775,5875,0.54969,-0.37897),(6775,5885,0.55062,-0.37382),(6775,5895,0.55155,-0.36867),(6775,5905,0.55248,-0.36352),(6775,5915,0.55342,-0.35836),(6775,5925,0.55435,-0.35321),(6775,5935,0.55531,-0.34805),(6775,5945,0.55626,-0.34297),(6775,5955,0.55719,-0.33794),(6775,5965,0.55756,-0.3329),(6775,5975,0.55792,-0.32761),(6775,5985,0.55829,-0.32202),(6775,5995,0.55945,-0.31643),(6775,6005,0.56073,-0.31096),(6775,6015,0.56202,-0.30581),(6775,6025,0.56291,-0.30067),(6775,6035,0.56363,-0.29552),(6775,6045,0.56435,-0.29026),(6775,6055,0.56508,-0.28501),(6775,6065,0.56583,-0.27976),(6775,6075,0.56657,-0.27445),(6775,6085,0.56731,-0.26914),(6775,6095,0.56802,-0.26382),(6775,6105,0.56873,-0.25843),(6775,6115,0.56944,-0.25302),(6775,6125,0.5701,-0.24761),(6775,6135,0.57077,-0.24222),(6775,6145,0.57144,-0.23685),(6775,6155,0.57207,-0.23149),(6775,6165,0.5727,-0.22614),(6775,6175,0.57333,-0.22083),(6775,6185,0.57392,-0.21551),(6775,6195,0.5745,-0.21017),(6775,6205,0.57508,-0.20474),(6775,6215,0.57564,-0.19931),(6775,6225,0.57618,-0.19388),(6775,6235,0.57673,-0.18847),(6775,6245,0.5773,-0.18306),(6775,6255,0.57789,-0.17765),(6775,6265,0.57847,-0.17238),(6775,6275,0.57892,-0.16713),(6775,6285,0.57896,-0.16189),(6775,6295,0.57901,-0.15634),(6775,6305,0.57912,-0.15064),(6775,6315,0.58,-0.14494),(6775,6325,0.58087,-0.13947),(6775,6335,0.58175,-0.13424),(6775,6345,0.58212,-0.12901),(6775,6355,0.58245,-0.1237),(6775,6365,0.58277,-0.11817),(6775,6375,0.58307,-0.11265),(6775,6385,0.58337,-0.10713),(6775,6395,0.58367,-0.10158),(6775,6405,0.58397,-0.096038),(6775,6415,0.58427,-0.090495),(6775,6425,0.58456,-0.085116),(6775,6435,0.58485,-0.079745),(6775,6445,0.58512,-0.074374),(6775,6455,0.58538,-0.068949),(6775,6465,0.58564,-0.063507),(6775,6475,0.58588,-0.058066),(6775,6485,0.58611,-0.052512),(6775,6495,0.58634,-0.046884),(6775,6505,0.58654,-0.041255),(6775,6515,0.58674,-0.035702),(6775,6525,0.58694,-0.030252),(6775,6535,0.58712,-0.024802),(6775,6545,0.5873,-0.019419),(6775,6555,0.58748,-0.014245),(6775,6565,0.58735,-0.009071),(6775,6575,0.58707,-0.003869),(6775,6585,0.58679,0.001739),(6775,6595,0.49894,0.007347),(6775,6605,0.31441,0.012956),(6775,6615,0.12988,0.013654),(6775,6625,0.000172,0.013722),(6775,6635,0.000236,0.01379),(6775,6645,0.000301,0.013808),(6775,6655,0.000365,0.013806),(6775,6665,0.000429,0.013805),(6775,6675,0.000492,0.013801),(6775,6685,0.000556,0.013797),(6775,6695,0.00062,0.013792),(6775,6705,0.000683,0.013786),(6775,6715,0.000746,0.013778),(6775,6725,0.000809,0.01377),(6775,6735,0.000872,0.013761),(6775,6745,0.000934,0.01375),(6775,6755,0.000996,0.013739),(6775,6765,0.001058,0.013728),(6775,6775,0.001119,0.013715),(6775,6785,0.00118,0.013701),(6775,6795,0.00124,0.013687),(6775,6805,0.0013,0.013671),(6775,6815,0.00136,0.013654),(6775,6825,0.001419,0.013637),(6775,6835,0.001478,0.013619),(6775,6845,0.001536,0.0136),(6775,6855,0.001593,0.01358),(6775,6865,0.001651,0.01356),(6775,6875,0.001708,0.013538),(6775,6885,0.001763,0.013516),(6775,6895,0.001818,0.013494),(6775,6905,0.001874,0.01347),(6775,6915,0.001928,0.013446),(6775,6925,0.001981,0.013422),(6775,6935,0.002034,0.013396),(6775,6945,0.002087,0.01337),(6775,6955,0.002138,0.013343),(6775,6965,0.00219,0.013316),(6775,6975,0.00224,0.013288),(6775,6985,0.002289,0.01326),(6785,5,-1.2e-05,-1.2904),(6785,15,-3.7e-05,-1.2904),(6785,25,-5.7e-05,-1.2904),(6785,35,-7.1e-05,-1.2904),(6785,45,-8.6e-05,-1.2904);
INSERT INTO `ILD_00_Brho_Bz` VALUES (6785,55,-0.000101,-1.2903),(6785,65,-0.000115,-1.2903),(6785,75,-0.000128,-1.2902),(6785,85,-0.000142,-1.2902),(6785,95,-0.000155,-1.2901),(6785,105,-0.000166,-1.2901),(6785,115,-0.000174,-1.29),(6785,125,-0.000182,-1.2899),(6785,135,-0.00019,-1.2898),(6785,145,-0.000183,-1.2898),(6785,155,-0.000166,-1.2897),(6785,165,-0.00015,-1.2896),(6785,175,-0.000134,-1.2896),(6785,185,-0.000121,-1.2895),(6785,195,-0.00011,-1.2894),(6785,205,-9.9e-05,-1.2893),(6785,215,-8.8e-05,-1.2892),(6785,225,-8e-05,-1.2891),(6785,235,-7.5e-05,-1.289),(6785,245,-6.9e-05,-1.2889),(6785,255,-6.3e-05,-1.2888),(6785,265,-7.9e-05,-1.2886),(6785,275,-0.000103,-1.2885),(6785,285,-0.000126,-1.2883),(6785,295,-0.000149,-1.2881),(6785,305,-0.000179,-1.2879),(6785,315,-0.00021,-1.2876),(6785,325,-0.000241,-1.2874),(6785,335,-0.000272,-1.2872),(6785,345,-0.000244,-1.287),(6785,355,-0.000204,-1.2869),(6785,365,-0.000165,-1.2867),(6785,375,-0.000126,-1.2864),(6785,385,-0.000116,-1.2862),(6785,395,-0.00011,-1.286),(6785,405,-0.000104,-1.2858),(6785,415,-9.8e-05,-1.2856),(6785,425,-7.2e-05,-1.2854),(6785,435,-4.5e-05,-1.2852),(6785,445,-1.7e-05,-1.285),(6785,455,1e-05,-1.2847),(6785,465,8e-06,-1.2845),(6785,475,5e-06,-1.2843),(6785,485,2e-06,-1.284),(6785,495,-1e-06,-1.2838),(6785,505,-3.8e-05,-1.2835),(6785,515,-7.5e-05,-1.2833),(6785,525,-0.000112,-1.283),(6785,535,-0.000148,-1.2827),(6785,545,-0.000187,-1.2824),(6785,555,-0.000226,-1.2821),(6785,565,-0.000266,-1.2817),(6785,575,-0.000305,-1.2814),(6785,585,-0.00035,-1.281),(6785,595,-0.000396,-1.2807),(6785,605,-0.000441,-1.2803),(6785,615,-0.000484,-1.28),(6785,625,-0.000508,-1.2796),(6785,635,-0.000532,-1.2792),(6785,645,-0.000556,-1.2789),(6785,655,-0.000573,-1.2786),(6785,665,-0.000552,-1.2782),(6785,675,-0.00053,-1.2779),(6785,685,-0.000508,-1.2776),(6785,695,-0.000482,-1.2772),(6785,705,-0.000439,-1.2769),(6785,715,-0.000396,-1.2766),(6785,725,-0.000352,-1.2763),(6785,735,-0.00029,-1.2759),(6785,745,-0.000162,-1.2756),(6785,755,-3.5e-05,-1.2752),(6785,765,9.2e-05,-1.2749),(6785,775,0.000172,-1.2745),(6785,785,0.000127,-1.2741),(6785,795,8.2e-05,-1.2737),(6785,805,3.6e-05,-1.2732),(6785,815,1.6e-05,-1.2727),(6785,825,5e-05,-1.2722),(6785,835,8.5e-05,-1.2717),(6785,845,0.00012,-1.2712),(6785,855,0.000157,-1.2708),(6785,865,0.000201,-1.2703),(6785,875,0.000244,-1.2698),(6785,885,0.000288,-1.2693),(6785,895,0.00035,-1.2688),(6785,905,0.000443,-1.2684),(6785,915,0.000536,-1.2679),(6785,925,0.000628,-1.2675),(6785,935,0.000747,-1.267),(6785,945,0.000899,-1.2666),(6785,955,0.001051,-1.2661),(6785,965,0.001204,-1.2656),(6785,975,0.001366,-1.2651),(6785,985,0.001538,-1.2647),(6785,995,0.00171,-1.2641),(6785,1005,0.001883,-1.2635),(6785,1015,0.002056,-1.2629),(6785,1025,0.00223,-1.2623),(6785,1035,0.002405,-1.2617),(6785,1045,0.002579,-1.261),(6785,1055,0.002766,-1.2603),(6785,1065,0.002962,-1.2597),(6785,1075,0.003159,-1.2589),(6785,1085,0.003355,-1.258),(6785,1095,0.00364,-1.2571),(6785,1105,0.003985,-1.2562),(6785,1115,0.004331,-1.2551),(6785,1125,0.004676,-1.2539),(6785,1135,0.004964,-1.2526),(6785,1145,0.005218,-1.2514),(6785,1155,0.005473,-1.2499),(6785,1165,0.005727,-1.2482),(6785,1175,0.006104,-1.2465),(6785,1185,0.006542,-1.2447),(6785,1195,0.006981,-1.2426),(6785,1205,0.007419,-1.2402),(6785,1215,0.00786,-1.2379),(6785,1225,0.008302,-1.2355),(6785,1235,0.008744,-1.2325),(6785,1245,0.009186,-1.2293),(6785,1255,0.009541,-1.226),(6785,1265,0.009867,-1.2227),(6785,1275,0.010193,-1.2187),(6785,1285,0.010518,-1.2144),(6785,1295,0.009594,-1.2102),(6785,1305,0.008331,-1.2059),(6785,1315,0.007068,-1.203),(6785,1325,0.005805,-1.2005),(6785,1335,0.003654,-1.198),(6785,1345,0.001317,-1.1955),(6785,1355,-0.001021,-1.1965),(6785,1365,-0.003358,-1.1982),(6785,1375,-0.004873,-1.1999),(6785,1385,-0.006261,-1.2016),(6785,1395,-0.007649,-1.2053),(6785,1405,-0.009037,-1.2092),(6785,1415,-0.008891,-1.2131),(6785,1425,-0.008585,-1.217),(6785,1435,-0.00828,-1.2203),(6785,1445,-0.007974,-1.2236),(6785,1455,-0.007565,-1.2268),(6785,1465,-0.007149,-1.23),(6785,1475,-0.006734,-1.2322),(6785,1485,-0.006318,-1.2343),(6785,1495,-0.005844,-1.2364),(6785,1505,-0.005368,-1.2384),(6785,1515,-0.004893,-1.2398),(6785,1525,-0.004422,-1.2411),(6785,1535,-0.004142,-1.2424),(6785,1545,-0.003863,-1.2437),(6785,1555,-0.003583,-1.2445),(6785,1565,-0.003301,-1.2453),(6785,1575,-0.002978,-1.2461),(6785,1585,-0.002655,-1.2468),(6785,1595,-0.002331,-1.2474),(6785,1605,-0.002017,-1.2479),(6785,1615,-0.001776,-1.2485),(6785,1625,-0.001534,-1.249),(6785,1635,-0.001293,-1.2492),(6785,1645,-0.001065,-1.2495),(6785,1655,-0.000915,-1.2498),(6785,1665,-0.000765,-1.25),(6785,1675,-0.000615,-1.2502),(6785,1685,-0.000469,-1.2504),(6785,1695,-0.000341,-1.2505),(6785,1705,-0.000213,-1.2507),(6785,1715,-8.4e-05,-1.2508),(6785,1725,4.2e-05,-1.2509),(6785,1735,0.000161,-1.251),(6785,1745,0.000281,-1.2511),(6785,1755,0.0004,-1.2512),(6785,1765,0.000512,-1.2512),(6785,1775,0.0006,-1.2512),(6785,1785,0.000688,-1.2512),(6785,1795,0.000776,-1.2513),(6785,1805,0.000854,-1.2513),(6785,1815,0.000906,-1.2513),(6785,1825,0.000958,-1.2514),(6785,1835,0.001011,-1.2514),(6785,1845,0.001079,-1.2514),(6785,1855,0.001179,-1.2515),(6785,1865,0.00128,-1.2515),(6785,1875,0.00138,-1.2515),(6785,1885,0.001424,-1.2515),(6785,1895,0.001375,-1.2515),(6785,1905,0.001327,-1.2514),(6785,1915,0.001279,-1.2513),(6785,1925,0.001257,-1.2513),(6785,1935,0.001272,-1.2512),(6785,1945,0.001286,-1.2511),(6785,1955,0.001301,-1.251),(6785,1965,0.001309,-1.2509),(6785,1975,0.001309,-1.2508),(6785,1985,0.001308,-1.2507),(6785,1995,0.001308,-1.2506),(6785,2005,0.001321,-1.2505),(6785,2015,0.001349,-1.2503),(6785,2025,0.001376,-1.2502),(6785,2035,0.001404,-1.2501),(6785,2045,0.001427,-1.2499),(6785,2055,0.001446,-1.2497),(6785,2065,0.001465,-1.2496),(6785,2075,0.001484,-1.2495),(6785,2085,0.001517,-1.2493),(6785,2095,0.00156,-1.2492),(6785,2105,0.001603,-1.249),(6785,2115,0.001646,-1.2489),(6785,2125,0.001677,-1.2488),(6785,2135,0.001702,-1.2486),(6785,2145,0.001726,-1.2484),(6785,2155,0.001751,-1.2482),(6785,2165,0.001739,-1.248),(6785,2175,0.001709,-1.2478),(6785,2185,0.001679,-1.2475),(6785,2195,0.001649,-1.2472),(6785,2205,0.001611,-1.2469),(6785,2215,0.00157,-1.2467),(6785,2225,0.00153,-1.2463),(6785,2235,0.001489,-1.246),(6785,2245,0.001507,-1.2457),(6785,2255,0.001545,-1.2454),(6785,2265,0.001584,-1.2451),(6785,2275,0.001623,-1.2447),(6785,2285,0.001557,-1.2444),(6785,2295,0.001461,-1.2441),(6785,2305,0.001365,-1.2437),(6785,2315,0.001269,-1.2433),(6785,2325,0.001296,-1.243),(6785,2335,0.001349,-1.2426),(6785,2345,0.001403,-1.2423),(6785,2355,0.001457,-1.242),(6785,2365,0.001512,-1.2417),(6785,2375,0.001569,-1.2414),(6785,2385,0.001625,-1.2411),(6785,2395,0.001682,-1.2407),(6785,2405,0.001695,-1.2403),(6785,2415,0.001704,-1.2399),(6785,2425,0.001713,-1.2394),(6785,2435,0.001722,-1.2389),(6785,2445,0.001721,-1.2384),(6785,2455,0.001719,-1.2379),(6785,2465,0.001717,-1.2375),(6785,2475,0.001715,-1.237),(6785,2485,0.00172,-1.2366),(6785,2495,0.001725,-1.2361),(6785,2505,0.00173,-1.2357),(6785,2515,0.001735,-1.2352),(6785,2525,0.001731,-1.2348),(6785,2535,0.001727,-1.2343),(6785,2545,0.001723,-1.2338),(6785,2555,0.001719,-1.2332),(6785,2565,0.001709,-1.2327),(6785,2575,0.001699,-1.2321),(6785,2585,0.001689,-1.2315),(6785,2595,0.001675,-1.231),(6785,2605,0.001618,-1.2304),(6785,2615,0.001562,-1.2298),(6785,2625,0.001506,-1.2292),(6785,2635,0.001471,-1.2286),(6785,2645,0.001578,-1.2279),(6785,2655,0.001685,-1.2273),(6785,2665,0.001791,-1.2266),(6785,2675,0.001846,-1.2259),(6785,2685,0.001652,-1.2253),(6785,2695,0.001457,-1.2246),(6785,2705,0.001263,-1.224),(6785,2715,0.001115,-1.2233),(6785,2725,0.001142,-1.2227),(6785,2735,0.001168,-1.222),(6785,2745,0.001194,-1.2214),(6785,2755,0.001216,-1.2208),(6785,2765,0.001226,-1.2201),(6785,2775,0.001235,-1.2195),(6785,2785,0.001245,-1.2187),(6785,2795,0.001253,-1.218),(6785,2805,0.00126,-1.2173),(6785,2815,0.001267,-1.2165),(6785,2825,0.001273,-1.2158),(6785,2835,0.001284,-1.215),(6785,2845,0.001301,-1.2143),(6785,2855,0.001318,-1.2135),(6785,2865,0.001335,-1.2127),(6785,2875,0.001357,-1.2119),(6785,2885,0.001388,-1.2111),(6785,2895,0.001419,-1.2103),(6785,2905,0.00145,-1.2095),(6785,2915,0.001484,-1.2087),(6785,2925,0.001522,-1.2079),(6785,2935,0.001561,-1.2071),(6785,2945,0.001599,-1.2062),(6785,2955,0.001632,-1.2054),(6785,2965,0.001658,-1.2046),(6785,2975,0.001685,-1.2038),(6785,2985,0.001712,-1.203),(6785,2995,0.0017,-1.2021),(6785,3005,0.001648,-1.2013),(6785,3015,0.001596,-1.2004),(6785,3025,0.001544,-1.1995),(6785,3035,0.001574,-1.1985),(6785,3045,0.001677,-1.1976),(6785,3055,0.00178,-1.1966),(6785,3065,0.001883,-1.1955),(6785,3075,0.001826,-1.1945),(6785,3085,0.001648,-1.1934),(6785,3095,0.001471,-1.1924),(6785,3105,0.001293,-1.1914),(6785,3115,0.001285,-1.1904),(6785,3125,0.001385,-1.1894),(6785,3135,0.001485,-1.1884),(6785,3145,0.001585,-1.1875),(6785,3155,0.001653,-1.1866),(6785,3165,0.001705,-1.1856),(6785,3175,0.001757,-1.1846),(6785,3185,0.001808,-1.1836),(6785,3195,0.001843,-1.1826),(6785,3205,0.00187,-1.1816),(6785,3215,0.001896,-1.1806),(6785,3225,0.001923,-1.1796),(6785,3235,0.001939,-1.1785),(6785,3245,0.00195,-1.1775),(6785,3255,0.001962,-1.1764),(6785,3265,0.001973,-1.1753),(6785,3275,0.001964,-1.1741),(6785,3285,0.001948,-1.173),(6785,3295,0.001932,-1.1719),(6785,3305,0.001917,-1.1707),(6785,3315,0.00192,-1.1695),(6785,3325,0.001927,-1.1683),(6785,3335,0.001935,-1.1672),(6785,3345,0.001942,-1.1661),(6785,3355,0.001917,-1.1649),(6785,3365,0.001886,-1.1638),(6785,3375,0.001855,-1.1625),(6785,3385,0.001823,-1.1613),(6785,3395,0.001972,-1.1601),(6785,3405,0.002145,-1.1588),(6785,3415,0.002317,-1.1576),(6785,3425,0.002489,-1.1564),(6785,3435,0.002389,-1.1553),(6785,3445,0.002268,-1.1541),(6785,3455,0.002147,-1.1529),(6785,3465,0.002026,-1.1516),(6785,3475,0.002115,-1.1504),(6785,3485,0.002211,-1.1492),(6785,3495,0.002308,-1.1479),(6785,3505,0.002405,-1.1466),(6785,3515,0.002456,-1.1454),(6785,3525,0.002507,-1.1441),(6785,3535,0.002558,-1.1428),(6785,3545,0.002608,-1.1415),(6785,3555,0.002651,-1.1403),(6785,3565,0.002693,-1.139),(6785,3575,0.002735,-1.1375),(6785,3585,0.002783,-1.1361),(6785,3595,0.002891,-1.1347),(6785,3605,0.003,-1.1333),(6785,3615,0.003108,-1.132),(6785,3625,0.003221,-1.1307),(6785,3635,0.003364,-1.1295),(6785,3645,0.003508,-1.1282),(6785,3655,0.003651,-1.1267),(6785,3665,0.003787,-1.1252),(6785,3675,0.003887,-1.1238),(6785,3685,0.003986,-1.1223),(6785,3695,0.004086,-1.1208),(6785,3705,0.00419,-1.1192),(6785,3715,0.004312,-1.1177),(6785,3725,0.004434,-1.1161),(6785,3735,0.004556,-1.1145),(6785,3745,0.00469,-1.1128),(6785,3755,0.004862,-1.1112),(6785,3765,0.005033,-1.1095),(6785,3775,0.005204,-1.1077),(6785,3785,0.005434,-1.1058),(6785,3795,0.005814,-1.104),(6785,3805,0.006194,-1.1021),(6785,3815,0.006574,-1.1),(6785,3825,0.006887,-1.0979),(6785,3835,0.007057,-1.0958),(6785,3845,0.007226,-1.0936),(6785,3855,0.007396,-1.0911),(6785,3865,0.007629,-1.0886),(6785,3875,0.007976,-1.0861),(6785,3885,0.008322,-1.0835),(6785,3895,0.008668,-1.0804),(6785,3905,0.009008,-1.0774),(6785,3915,0.009339,-1.0743),(6785,3925,0.00967,-1.071),(6785,3935,0.01,-1.0673),(6785,3945,0.010293,-1.0636),(6785,3955,0.010538,-1.0599),(6785,3965,0.010782,-1.0558),(6785,3975,0.011027,-1.0513),(6785,3985,0.010835,-1.0469),(6785,3995,0.010172,-1.0424),(6785,4005,0.009509,-1.0385),(6785,4015,0.008845,-1.035),(6785,4025,0.074599,-1.0316),(6785,4035,0.14685,-1.029),(6785,4045,0.2191,-1.028),(6785,4055,0.27174,-1.0269),(6785,4065,0.31723,-1.0258),(6785,4075,0.36272,-1.0241),(6785,4085,0.38331,-1.0224),(6785,4095,0.38389,-1.0207),(6785,4105,0.38447,-1.019),(6785,4115,0.38508,-1.0172),(6785,4125,0.38574,-1.0155),(6785,4135,0.38641,-1.0137),(6785,4145,0.38703,-1.0119),(6785,4155,0.38748,-1.0101),(6785,4165,0.38793,-1.0084),(6785,4175,0.38838,-1.0066),(6785,4185,0.3889,-1.0048),(6785,4195,0.38941,-1.003),(6785,4205,0.38993,-1.0011),(6785,4215,0.3904,-0.99921),(6785,4225,0.39088,-0.99729),(6785,4235,0.39135,-0.99529),(6785,4245,0.39182,-0.99329),(6785,4255,0.39229,-0.99129),(6785,4265,0.39276,-0.98927),(6785,4275,0.39324,-0.98725),(6785,4285,0.39372,-0.98524),(6785,4295,0.3942,-0.98316),(6785,4305,0.39469,-0.98107),(6785,4315,0.39517,-0.97898),(6785,4325,0.39566,-0.97681),(6785,4335,0.39614,-0.97461),(6785,4345,0.39663,-0.97241),(6785,4355,0.39711,-0.97017),(6785,4365,0.3976,-0.96791),(6785,4375,0.3981,-0.96564),(6785,4385,0.39861,-0.96337),(6785,4395,0.39911,-0.96107),(6785,4405,0.39963,-0.95877),(6785,4415,0.40017,-0.95645),(6785,4425,0.4007,-0.95403),(6785,4435,0.40123,-0.95161),(6785,4445,0.40177,-0.94918),(6785,4455,0.40231,-0.9467),(6785,4465,0.40288,-0.94421),(6785,4475,0.40348,-0.94172),(6785,4485,0.40408,-0.93915),(6785,4495,0.40469,-0.93656),(6785,4505,0.40529,-0.93397),(6785,4515,0.4059,-0.93135),(6785,4525,0.4065,-0.92871),(6785,4535,0.40714,-0.92607),(6785,4545,0.40778,-0.92339),(6785,4555,0.40842,-0.92068),(6785,4565,0.40908,-0.91797),(6785,4575,0.40975,-0.91523),(6785,4585,0.41042,-0.91239),(6785,4595,0.41111,-0.90956),(6785,4605,0.41181,-0.90672),(6785,4615,0.41251,-0.90379),(6785,4625,0.41323,-0.90086),(6785,4635,0.41397,-0.89793),(6785,4645,0.41471,-0.89497),(6785,4655,0.41548,-0.892),(6785,4665,0.41627,-0.88903),(6785,4675,0.41706,-0.88602),(6785,4685,0.41787,-0.883),(6785,4695,0.41872,-0.87997),(6785,4705,0.41958,-0.87691),(6785,4715,0.42043,-0.87382),(6785,4725,0.42113,-0.87073),(6785,4735,0.42182,-0.8676),(6785,4745,0.42251,-0.86439),(6785,4755,0.42346,-0.86118),(6785,4765,0.42447,-0.85795),(6785,4775,0.42548,-0.85465),(6785,4785,0.4264,-0.85136),(6785,4795,0.42726,-0.84806),(6785,4805,0.42812,-0.84471),(6785,4815,0.42901,-0.84136),(6785,4825,0.42992,-0.838),(6785,4835,0.43084,-0.83459),(6785,4845,0.43176,-0.83116),(6785,4855,0.43272,-0.82774),(6785,4865,0.43367,-0.82426),(6785,4875,0.43463,-0.82076),(6785,4885,0.43564,-0.81727),(6785,4895,0.43664,-0.81375),(6785,4905,0.43764,-0.81022),(6785,4915,0.43868,-0.80668),(6785,4925,0.43972,-0.80312),(6785,4935,0.44076,-0.79952),(6785,4945,0.44181,-0.79592),(6785,4955,0.44286,-0.79231),(6785,4965,0.44392,-0.78862),(6785,4975,0.44497,-0.78493),(6785,4985,0.44604,-0.78125),(6785,4995,0.4471,-0.77748),(6785,5005,0.44818,-0.77371),(6785,5015,0.4493,-0.76994),(6785,5025,0.45042,-0.76612),(6785,5035,0.45146,-0.76229),(6785,5045,0.45218,-0.75845),(6785,5055,0.4529,-0.7546),(6785,5065,0.45365,-0.75072),(6785,5075,0.45515,-0.74685),(6785,5085,0.45664,-0.74296),(6785,5095,0.45813,-0.73905),(6785,5105,0.45928,-0.73514),(6785,5115,0.46037,-0.73121),(6785,5125,0.46146,-0.72719),(6785,5135,0.46256,-0.72318),(6785,5145,0.46367,-0.71916),(6785,5155,0.46478,-0.71504),(6785,5165,0.46589,-0.71093),(6785,5175,0.46701,-0.70682),(6785,5185,0.46812,-0.70267),(6785,5195,0.46925,-0.69851),(6785,5205,0.4704,-0.69436),(6785,5215,0.47156,-0.69017),(6785,5225,0.47271,-0.68598),(6785,5235,0.47388,-0.68178),(6785,5245,0.47504,-0.67755),(6785,5255,0.47621,-0.67328),(6785,5265,0.47736,-0.66902),(6785,5275,0.47852,-0.66473),(6785,5285,0.47968,-0.66041),(6785,5295,0.48083,-0.65608),(6785,5305,0.48197,-0.65175),(6785,5315,0.48312,-0.64741),(6785,5325,0.48426,-0.64307),(6785,5335,0.48539,-0.63873),(6785,5345,0.48653,-0.63431),(6785,5355,0.48766,-0.6299),(6785,5365,0.4888,-0.62548),(6785,5375,0.48993,-0.62099),(6785,5385,0.49108,-0.61649),(6785,5395,0.49223,-0.61199),(6785,5405,0.49338,-0.60747),(6785,5415,0.49453,-0.60293),(6785,5425,0.49571,-0.59839),(6785,5435,0.49689,-0.59383),(6785,5445,0.49807,-0.58925),(6785,5455,0.49924,-0.58468),(6785,5465,0.50041,-0.58008),(6785,5475,0.50158,-0.57544),(6785,5485,0.50273,-0.5708),(6785,5495,0.50387,-0.56614),(6785,5505,0.50501,-0.56142),(6785,5515,0.50615,-0.5567),(6785,5525,0.50727,-0.55197),(6785,5535,0.5084,-0.54724),(6785,5545,0.50953,-0.5425),(6785,5555,0.51066,-0.53777),(6785,5565,0.5118,-0.53301),(6785,5575,0.51293,-0.52824),(6785,5585,0.51407,-0.52348),(6785,5595,0.5152,-0.51867),(6785,5605,0.51634,-0.51384),(6785,5615,0.51747,-0.509),(6785,5625,0.5186,-0.50414),(6785,5635,0.51973,-0.49925),(6785,5645,0.52089,-0.49436),(6785,5655,0.52206,-0.48945),(6785,5665,0.52322,-0.4845),(6785,5675,0.52391,-0.47955),(6785,5685,0.52433,-0.47459),(6785,5695,0.52476,-0.46958),(6785,5705,0.52572,-0.46458),(6785,5715,0.52731,-0.45957),(6785,5725,0.5289,-0.45457),(6785,5735,0.53029,-0.44958),(6785,5745,0.5312,-0.44459),(6785,5755,0.53211,-0.4396),(6785,5765,0.53302,-0.43462),(6785,5775,0.534,-0.42964),(6785,5785,0.53497,-0.42463),(6785,5795,0.53595,-0.4196),(6785,5805,0.53691,-0.41456),(6785,5815,0.53787,-0.4095),(6785,5825,0.53882,-0.40438),(6785,5835,0.53975,-0.39925),(6785,5845,0.54067,-0.39413),(6785,5855,0.54159,-0.38897),(6785,5865,0.5425,-0.38382),(6785,5875,0.54341,-0.37866),(6785,5885,0.54432,-0.3735),(6785,5895,0.54523,-0.36833),(6785,5905,0.54615,-0.36316),(6785,5915,0.54707,-0.35798),(6785,5925,0.54801,-0.35279),(6785,5935,0.54899,-0.3476),(6785,5945,0.54998,-0.34242),(6785,5955,0.55093,-0.33725),(6785,5965,0.55111,-0.33208),(6785,5975,0.55129,-0.32688),(6785,5985,0.55147,-0.32164),(6785,5995,0.55275,-0.3164),(6785,6005,0.55421,-0.31115),(6785,6015,0.55567,-0.30587),(6785,6025,0.55659,-0.3006),(6785,6035,0.55727,-0.29533),(6785,6045,0.55794,-0.29004),(6785,6055,0.55865,-0.28475),(6785,6065,0.55938,-0.27947),(6785,6075,0.56012,-0.27415),(6785,6085,0.56084,-0.26883),(6785,6095,0.56155,-0.26352),(6785,6105,0.56226,-0.25813),(6785,6115,0.56296,-0.25273),(6785,6125,0.56362,-0.24732),(6785,6135,0.56428,-0.24193),(6785,6145,0.56495,-0.23657),(6785,6155,0.56558,-0.23121),(6785,6165,0.5662,-0.22587),(6785,6175,0.56683,-0.22056),(6785,6185,0.56742,-0.21525),(6785,6195,0.56799,-0.20992),(6785,6205,0.56856,-0.20449),(6785,6215,0.56912,-0.19906),(6785,6225,0.56966,-0.19364),(6785,6235,0.5702,-0.18818),(6785,6245,0.57078,-0.18273),(6785,6255,0.5714,-0.17728),(6785,6265,0.57201,-0.1719),(6785,6275,0.57244,-0.16654),(6785,6285,0.57232,-0.16117),(6785,6295,0.5722,-0.1558),(6785,6305,0.57217,-0.15043),(6785,6315,0.57321,-0.14506),(6785,6325,0.57425,-0.1397),(6785,6335,0.57529,-0.13436),(6785,6345,0.57565,-0.12903),(6785,6355,0.57594,-0.12363),(6785,6365,0.57622,-0.11809),(6785,6375,0.57651,-0.11255),(6785,6385,0.5768,-0.107),(6785,6395,0.57709,-0.10145),(6785,6405,0.57738,-0.095896),(6785,6415,0.57767,-0.090342),(6785,6425,0.57796,-0.084961),(6785,6435,0.57824,-0.079588),(6785,6445,0.57851,-0.074214),(6785,6455,0.57878,-0.068788),(6785,6465,0.57904,-0.063347),(6785,6475,0.57928,-0.057905),(6785,6485,0.57951,-0.05235),(6785,6495,0.57975,-0.046719),(6785,6505,0.57996,-0.041088),(6785,6515,0.58017,-0.035525),(6785,6525,0.58038,-0.030053),(6785,6535,0.5806,-0.024581),(6785,6545,0.58083,-0.01915),(6785,6555,0.58105,-0.013846),(6785,6565,0.58087,-0.008542),(6785,6575,0.58048,-0.00323),(6785,6585,0.58008,0.002188),(6785,6595,0.49319,0.007607),(6785,6605,0.31078,0.013025),(6785,6615,0.12838,0.013707),(6785,6625,0.000171,0.013781),(6785,6635,0.000236,0.013854),(6785,6645,0.000301,0.013874),(6785,6655,0.000366,0.013872),(6785,6665,0.000431,0.01387),(6785,6675,0.000496,0.013867),(6785,6685,0.000561,0.013862),(6785,6695,0.000625,0.013857),(6785,6705,0.000689,0.013851),(6785,6715,0.000753,0.013843),(6785,6725,0.000817,0.013834),(6785,6735,0.00088,0.013825),(6785,6745,0.000944,0.013814),(6785,6755,0.001007,0.013803),(6785,6765,0.001069,0.013792),(6785,6775,0.001131,0.013777),(6785,6785,0.001193,0.013763),(6785,6795,0.001254,0.013749),(6785,6805,0.001315,0.013732),(6785,6815,0.001376,0.013715),(6785,6825,0.001435,0.013698),(6785,6835,0.001495,0.013679),(6785,6845,0.001554,0.013659),(6785,6855,0.001612,0.013639),(6785,6865,0.00167,0.013618),(6785,6875,0.001728,0.013596),(6785,6885,0.001784,0.013574),(6785,6895,0.00184,0.013551),(6785,6905,0.001896,0.013526),(6785,6915,0.00195,0.013501),(6785,6925,0.002004,0.013476),(6785,6935,0.002058,0.013449),(6785,6945,0.002111,0.013423),(6785,6955,0.002163,0.013396),(6785,6965,0.002215,0.013367),(6785,6975,0.002266,0.013339),(6785,6985,0.002316,0.01331),(6795,5,-1.2e-05,-1.2904),(6795,15,-3.6e-05,-1.2904),(6795,25,-5.3e-05,-1.2904),(6795,35,-6.4e-05,-1.2904),(6795,45,-7.5e-05,-1.2904),(6795,55,-8.7e-05,-1.2904),(6795,65,-0.0001,-1.2903),(6795,75,-0.000116,-1.2902),(6795,85,-0.000131,-1.2902),(6795,95,-0.000146,-1.2901),(6795,105,-0.000159,-1.2901),(6795,115,-0.000169,-1.29),(6795,125,-0.000179,-1.2899),(6795,135,-0.00019,-1.2898),(6795,145,-0.000183,-1.2898),(6795,155,-0.000167,-1.2897),(6795,165,-0.000151,-1.2896),(6795,175,-0.000134,-1.2895),(6795,185,-0.000119,-1.2895),(6795,195,-0.000105,-1.2894),(6795,205,-9e-05,-1.2893),(6795,215,-7.6e-05,-1.2892),(6795,225,-6.5e-05,-1.2891),(6795,235,-5.6e-05,-1.289),(6795,245,-4.8e-05,-1.2889),(6795,255,-3.9e-05,-1.2888),(6795,265,-5.6e-05,-1.2886),(6795,275,-8.1e-05,-1.2885),(6795,285,-0.000106,-1.2883),(6795,295,-0.000132,-1.2881),(6795,305,-0.000171,-1.2879),(6795,315,-0.000213,-1.2877),(6795,325,-0.000256,-1.2875),(6795,335,-0.000299,-1.2873),(6795,345,-0.000278,-1.2871),(6795,355,-0.000246,-1.2869),(6795,365,-0.000213,-1.2867),(6795,375,-0.00018,-1.2864),(6795,385,-0.000173,-1.2862),(6795,395,-0.000169,-1.286),(6795,405,-0.000165,-1.2858),(6795,415,-0.000161,-1.2856),(6795,425,-0.000125,-1.2854),(6795,435,-8.6e-05,-1.2852),(6795,445,-4.7e-05,-1.285),(6795,455,-8e-06,-1.2847),(6795,465,0,-1.2845),(6795,475,7e-06,-1.2843),(6795,485,1.4e-05,-1.284),(6795,495,2.1e-05,-1.2838),(6795,505,-1.5e-05,-1.2835),(6795,515,-5e-05,-1.2833),(6795,525,-8.6e-05,-1.283),(6795,535,-0.000122,-1.2827),(6795,545,-0.000164,-1.2824),(6795,555,-0.000207,-1.2821),(6795,565,-0.00025,-1.2818),(6795,575,-0.000293,-1.2814),(6795,585,-0.000346,-1.2811),(6795,595,-0.000398,-1.2807),(6795,605,-0.000451,-1.2804),(6795,615,-0.000502,-1.28),(6795,625,-0.000539,-1.2796),(6795,635,-0.000575,-1.2793),(6795,645,-0.000612,-1.2789),(6795,655,-0.000641,-1.2786),(6795,665,-0.000627,-1.2782),(6795,675,-0.000614,-1.2779),(6795,685,-0.000601,-1.2775),(6795,695,-0.000582,-1.2772),(6795,705,-0.000538,-1.2769),(6795,715,-0.000495,-1.2765),(6795,725,-0.000451,-1.2762),(6795,735,-0.000384,-1.2759),(6795,745,-0.000237,-1.2756),(6795,755,-9.1e-05,-1.2753),(6795,765,5.6e-05,-1.2748),(6795,775,0.00015,-1.2744),(6795,785,0.000104,-1.274),(6795,795,5.8e-05,-1.2736),(6795,805,1.2e-05,-1.2731),(6795,815,-9e-06,-1.2727),(6795,825,2.6e-05,-1.2722),(6795,835,6.1e-05,-1.2717),(6795,845,9.6e-05,-1.2712),(6795,855,0.000131,-1.2708),(6795,865,0.000167,-1.2703),(6795,875,0.000203,-1.2698),(6795,885,0.000238,-1.2693),(6795,895,0.000292,-1.2688),(6795,905,0.000372,-1.2683),(6795,915,0.000453,-1.2678),(6795,925,0.000534,-1.2674),(6795,935,0.000643,-1.2669),(6795,945,0.000787,-1.2665),(6795,955,0.000932,-1.266),(6795,965,0.001077,-1.2655),(6795,975,0.001234,-1.265),(6795,985,0.001403,-1.2645),(6795,995,0.001573,-1.264),(6795,1005,0.001742,-1.2634),(6795,1015,0.001906,-1.2628),(6795,1025,0.002064,-1.2623),(6795,1035,0.002222,-1.2616),(6795,1045,0.00238,-1.2609),(6795,1055,0.002534,-1.2603),(6795,1065,0.002685,-1.2596),(6795,1075,0.002837,-1.2588),(6795,1085,0.002988,-1.2579),(6795,1095,0.003213,-1.257),(6795,1105,0.00349,-1.2561),(6795,1115,0.003767,-1.255),(6795,1125,0.004045,-1.2538),(6795,1135,0.00422,-1.2525),(6795,1145,0.004335,-1.2513),(6795,1155,0.004451,-1.2497),(6795,1165,0.004566,-1.248),(6795,1175,0.004772,-1.2463),(6795,1185,0.005022,-1.2446),(6795,1195,0.005273,-1.2424),(6795,1205,0.005523,-1.2401),(6795,1215,0.005746,-1.2377),(6795,1225,0.005959,-1.2354),(6795,1235,0.006171,-1.2324),(6795,1245,0.006384,-1.2291),(6795,1255,0.006514,-1.2259),(6795,1265,0.006617,-1.2226),(6795,1275,0.006719,-1.2186),(6795,1285,0.006822,-1.2144),(6795,1295,0.006166,-1.2101),(6795,1305,0.005306,-1.2059),(6795,1315,0.004445,-1.203),(6795,1325,0.003585,-1.2005),(6795,1335,0.002294,-1.198),(6795,1345,0.000913,-1.1955),(6795,1355,-0.000468,-1.1965),(6795,1365,-0.001849,-1.1982),(6795,1375,-0.002751,-1.1999),(6795,1385,-0.003578,-1.2016),(6795,1395,-0.004406,-1.2052),(6795,1405,-0.005234,-1.2092),(6795,1415,-0.005248,-1.2131),(6795,1425,-0.005178,-1.217),(6795,1435,-0.005108,-1.2203),(6795,1445,-0.005037,-1.2235),(6795,1455,-0.004868,-1.2267),(6795,1465,-0.004693,-1.2299),(6795,1475,-0.004519,-1.2321),(6795,1485,-0.004344,-1.2342),(6795,1495,-0.004044,-1.2363),(6795,1505,-0.003742,-1.2384),(6795,1515,-0.003441,-1.2397),(6795,1525,-0.003143,-1.241),(6795,1535,-0.003003,-1.2423),(6795,1545,-0.002863,-1.2435),(6795,1555,-0.002723,-1.2443),(6795,1565,-0.002576,-1.2451),(6795,1575,-0.00233,-1.2459),(6795,1585,-0.002084,-1.2467),(6795,1595,-0.001839,-1.2472),(6795,1605,-0.001597,-1.2478),(6795,1615,-0.001395,-1.2484),(6795,1625,-0.001192,-1.2489),(6795,1635,-0.00099,-1.2492),(6795,1645,-0.0008,-1.2494),(6795,1655,-0.000679,-1.2497),(6795,1665,-0.000559,-1.25),(6795,1675,-0.000438,-1.2501),(6795,1685,-0.000321,-1.2503),(6795,1695,-0.000216,-1.2505),(6795,1705,-0.000112,-1.2507),(6795,1715,-7e-06,-1.2508),(6795,1725,9.9e-05,-1.2509),(6795,1735,0.000214,-1.251),(6795,1745,0.000329,-1.2511),(6795,1755,0.000443,-1.2511),(6795,1765,0.000552,-1.2511),(6795,1775,0.000643,-1.2511),(6795,1785,0.000735,-1.2512),(6795,1795,0.000826,-1.2512),(6795,1805,0.000906,-1.2512),(6795,1815,0.000959,-1.2513),(6795,1825,0.001011,-1.2513),(6795,1835,0.001063,-1.2514),(6795,1845,0.001134,-1.2515),(6795,1855,0.00124,-1.2515),(6795,1865,0.001345,-1.2516),(6795,1875,0.001451,-1.2515),(6795,1885,0.001494,-1.2514),(6795,1895,0.001437,-1.2514),(6795,1905,0.001379,-1.2513),(6795,1915,0.001322,-1.2513),(6795,1925,0.001298,-1.2512),(6795,1935,0.00132,-1.2512),(6795,1945,0.001343,-1.2511),(6795,1955,0.001365,-1.251),(6795,1965,0.001375,-1.2509),(6795,1975,0.001371,-1.2508),(6795,1985,0.001367,-1.2507),(6795,1995,0.001362,-1.2506),(6795,2005,0.001372,-1.2505),(6795,2015,0.001397,-1.2503),(6795,2025,0.001421,-1.2502),(6795,2035,0.001446,-1.25),(6795,2045,0.001466,-1.2499),(6795,2055,0.001483,-1.2497),(6795,2065,0.001501,-1.2496),(6795,2075,0.001518,-1.2494),(6795,2085,0.00155,-1.2493),(6795,2095,0.001594,-1.2491),(6795,2105,0.001638,-1.249),(6795,2115,0.001682,-1.2489),(6795,2125,0.00172,-1.2487),(6795,2135,0.001755,-1.2486),(6795,2145,0.001791,-1.2484),(6795,2155,0.001826,-1.2482),(6795,2165,0.001821,-1.248),(6795,2175,0.001796,-1.2478),(6795,2185,0.00177,-1.2476),(6795,2195,0.001744,-1.2473),(6795,2205,0.001704,-1.247),(6795,2215,0.001656,-1.2467),(6795,2225,0.001609,-1.2464),(6795,2235,0.001562,-1.2461),(6795,2245,0.001581,-1.2458),(6795,2255,0.001624,-1.2455),(6795,2265,0.001667,-1.2452),(6795,2275,0.00171,-1.2448),(6795,2285,0.001632,-1.2444),(6795,2295,0.001521,-1.244),(6795,2305,0.001409,-1.2437),(6795,2315,0.001298,-1.2433),(6795,2325,0.001322,-1.243),(6795,2335,0.001376,-1.2426),(6795,2345,0.001431,-1.2423),(6795,2355,0.001485,-1.242),(6795,2365,0.00155,-1.2417),(6795,2375,0.001617,-1.2414),(6795,2385,0.001684,-1.241),(6795,2395,0.001751,-1.2407),(6795,2405,0.00177,-1.2403),(6795,2415,0.001783,-1.2399),(6795,2425,0.001797,-1.2394),(6795,2435,0.00181,-1.2389),(6795,2445,0.001805,-1.2384),(6795,2455,0.001798,-1.2379),(6795,2465,0.001792,-1.2375),(6795,2475,0.001785,-1.237),(6795,2485,0.001788,-1.2366),(6795,2495,0.00179,-1.2361),(6795,2505,0.001793,-1.2357),(6795,2515,0.001796,-1.2352),(6795,2525,0.001792,-1.2348),(6795,2535,0.001788,-1.2343),(6795,2545,0.001785,-1.2338),(6795,2555,0.001781,-1.2332),(6795,2565,0.001773,-1.2327),(6795,2575,0.001765,-1.2321),(6795,2585,0.001758,-1.2316),(6795,2595,0.001745,-1.231),(6795,2605,0.001685,-1.2304),(6795,2615,0.001625,-1.2299),(6795,2625,0.001565,-1.2293),(6795,2635,0.001529,-1.2287),(6795,2645,0.001648,-1.2281),(6795,2655,0.001766,-1.2275),(6795,2665,0.001885,-1.2268),(6795,2675,0.001944,-1.226),(6795,2685,0.001717,-1.2252),(6795,2695,0.001491,-1.2245),(6795,2705,0.001264,-1.2239),(6795,2715,0.00109,-1.2233),(6795,2725,0.001108,-1.2227),(6795,2735,0.001126,-1.2221),(6795,2745,0.001145,-1.2214),(6795,2755,0.001159,-1.2208),(6795,2765,0.001164,-1.2201),(6795,2775,0.001168,-1.2195),(6795,2785,0.001172,-1.2187),(6795,2795,0.001177,-1.218),(6795,2805,0.001185,-1.2173),(6795,2815,0.001193,-1.2165),(6795,2825,0.0012,-1.2158),(6795,2835,0.001211,-1.215),(6795,2845,0.00123,-1.2143),(6795,2855,0.001249,-1.2135),(6795,2865,0.001267,-1.2127),(6795,2875,0.001291,-1.2119),(6795,2885,0.001324,-1.2111),(6795,2895,0.001357,-1.2103),(6795,2905,0.00139,-1.2095),(6795,2915,0.001426,-1.2087),(6795,2925,0.001467,-1.2078),(6795,2935,0.001508,-1.207),(6795,2945,0.001549,-1.2062),(6795,2955,0.001586,-1.2054),(6795,2965,0.001617,-1.2046),(6795,2975,0.001649,-1.2038),(6795,2985,0.00168,-1.203),(6795,2995,0.00167,-1.2021),(6795,3005,0.001617,-1.2013),(6795,3015,0.001564,-1.2005),(6795,3025,0.001511,-1.1996),(6795,3035,0.001546,-1.1987),(6795,3045,0.001659,-1.1978),(6795,3055,0.001772,-1.1968),(6795,3065,0.001885,-1.1956),(6795,3075,0.001811,-1.1945),(6795,3085,0.001596,-1.1933),(6795,3095,0.001381,-1.1922),(6795,3105,0.001166,-1.1913),(6795,3115,0.001145,-1.1903),(6795,3125,0.001249,-1.1893),(6795,3135,0.001353,-1.1884),(6795,3145,0.001457,-1.1874),(6795,3155,0.001534,-1.1865),(6795,3165,0.001596,-1.1856),(6795,3175,0.001658,-1.1846),(6795,3185,0.00172,-1.1836),(6795,3195,0.001762,-1.1826),(6795,3205,0.001795,-1.1816),(6795,3215,0.001829,-1.1806),(6795,3225,0.001862,-1.1795),(6795,3235,0.001884,-1.1785),(6795,3245,0.001903,-1.1775),(6795,3255,0.001922,-1.1764),(6795,3265,0.001941,-1.1753),(6795,3275,0.001937,-1.1742),(6795,3285,0.001927,-1.173),(6795,3295,0.001917,-1.1719),(6795,3305,0.001907,-1.1707),(6795,3315,0.001914,-1.1695),(6795,3325,0.001925,-1.1683),(6795,3335,0.001935,-1.1672),(6795,3345,0.001946,-1.1661),(6795,3355,0.001916,-1.1649),(6795,3365,0.001879,-1.1638),(6795,3375,0.001842,-1.1626),(6795,3385,0.001805,-1.1614),(6795,3395,0.001959,-1.1602),(6795,3405,0.002138,-1.159),(6795,3415,0.002316,-1.1577),(6795,3425,0.002495,-1.1564),(6795,3435,0.002368,-1.1551),(6795,3445,0.002216,-1.1538),(6795,3455,0.002065,-1.1527),(6795,3465,0.001914,-1.1515),(6795,3475,0.002011,-1.1503),(6795,3485,0.002117,-1.1491),(6795,3495,0.002223,-1.1479),(6795,3505,0.002329,-1.1466),(6795,3515,0.002382,-1.1453),(6795,3525,0.002436,-1.1441),(6795,3535,0.00249,-1.1428),(6795,3545,0.002543,-1.1415),(6795,3555,0.00258,-1.1403),(6795,3565,0.002617,-1.139),(6795,3575,0.002654,-1.1375),(6795,3585,0.002697,-1.1361),(6795,3595,0.002794,-1.1347),(6795,3605,0.002892,-1.1332),(6795,3615,0.002989,-1.1319),(6795,3625,0.003093,-1.1307),(6795,3635,0.003239,-1.1294),(6795,3645,0.003386,-1.1281),(6795,3655,0.003532,-1.1266),(6795,3665,0.003669,-1.1252),(6795,3675,0.003763,-1.1237),(6795,3685,0.003857,-1.1223),(6795,3695,0.003951,-1.1207),(6795,3705,0.004044,-1.1192),(6795,3715,0.004133,-1.1176),(6795,3725,0.004222,-1.1161),(6795,3735,0.004311,-1.1144),(6795,3745,0.004409,-1.1128),(6795,3755,0.004533,-1.1111),(6795,3765,0.004657,-1.1094),(6795,3775,0.004781,-1.1076),(6795,3785,0.004962,-1.1058),(6795,3795,0.005289,-1.104),(6795,3805,0.005616,-1.1021),(6795,3815,0.005944,-1.0999),(6795,3825,0.006184,-1.0977),(6795,3835,0.006241,-1.0956),(6795,3845,0.006299,-1.0933),(6795,3855,0.006356,-1.0909),(6795,3865,0.006468,-1.0884),(6795,3875,0.006674,-1.086),(6795,3885,0.006881,-1.0833),(6795,3895,0.007087,-1.0803),(6795,3905,0.007279,-1.0772),(6795,3915,0.007449,-1.0742),(6795,3925,0.007619,-1.0709),(6795,3935,0.007789,-1.0672),(6795,3945,0.007926,-1.0635),(6795,3955,0.008021,-1.0598),(6795,3965,0.008116,-1.0557),(6795,3975,0.008211,-1.0513),(6795,3985,0.008011,-1.0468),(6795,3995,0.007491,-1.0423),(6795,4005,0.006972,-1.0384),(6795,4015,0.006452,-1.035),(6795,4025,0.072377,-1.0316),(6795,4035,0.1448,-1.0289),(6795,4045,0.21723,-1.0279),(6795,4055,0.26966,-1.0269),(6795,4065,0.3148,-1.0258),(6795,4075,0.35994,-1.0241),(6795,4085,0.38037,-1.0225),(6795,4095,0.38093,-1.0208),(6795,4105,0.3815,-1.0191),(6795,4115,0.3821,-1.0173),(6795,4125,0.38276,-1.0156),(6795,4135,0.38342,-1.0138),(6795,4145,0.38404,-1.012),(6795,4155,0.38447,-1.0102),(6795,4165,0.3849,-1.0084),(6795,4175,0.38533,-1.0067),(6795,4185,0.38583,-1.0049),(6795,4195,0.38633,-1.0031),(6795,4205,0.38683,-1.0013),(6795,4215,0.38729,-0.9994),(6795,4225,0.38775,-0.9975),(6795,4235,0.3882,-0.9955),(6795,4245,0.38865,-0.99351),(6795,4255,0.3891,-0.99151),(6795,4265,0.38955,-0.98949),(6795,4275,0.39001,-0.98748),(6795,4285,0.39047,-0.98546),(6795,4295,0.39093,-0.98338),(6795,4305,0.39139,-0.9813),(6795,4315,0.39186,-0.97922),(6795,4325,0.39232,-0.97705),(6795,4335,0.39278,-0.97486),(6795,4345,0.39325,-0.97266),(6795,4355,0.39371,-0.97043),(6795,4365,0.39418,-0.96816),(6795,4375,0.39465,-0.9659),(6795,4385,0.39513,-0.96363),(6795,4395,0.39561,-0.96133),(6795,4405,0.39612,-0.95903),(6795,4415,0.39663,-0.95671),(6795,4425,0.39714,-0.95427),(6795,4435,0.39765,-0.95184),(6795,4445,0.39817,-0.94941),(6795,4455,0.39868,-0.94693),(6795,4465,0.39923,-0.94445),(6795,4475,0.39981,-0.94197),(6795,4485,0.4004,-0.9394),(6795,4495,0.40098,-0.9368),(6795,4505,0.40156,-0.93421),(6795,4515,0.40215,-0.93158),(6795,4525,0.40273,-0.92893),(6795,4535,0.40335,-0.92628),(6795,4545,0.40397,-0.9236),(6795,4555,0.40458,-0.92089),(6795,4565,0.40522,-0.91818),(6795,4575,0.40587,-0.91543),(6795,4585,0.40651,-0.91259),(6795,4595,0.40718,-0.90976),(6795,4605,0.40786,-0.90691),(6795,4615,0.40853,-0.90398),(6795,4625,0.40923,-0.90104),(6795,4635,0.40995,-0.89811),(6795,4645,0.41066,-0.89513),(6795,4655,0.4114,-0.89215),(6795,4665,0.41217,-0.88918),(6795,4675,0.41295,-0.88615),(6795,4685,0.41373,-0.88311),(6795,4695,0.41458,-0.88007),(6795,4705,0.41542,-0.87698),(6795,4715,0.41627,-0.87386),(6795,4725,0.41693,-0.87073),(6795,4735,0.41759,-0.8676),(6795,4745,0.41826,-0.86447),(6795,4755,0.41921,-0.86134),(6795,4765,0.42022,-0.85817),(6795,4775,0.42124,-0.85484),(6795,4785,0.42214,-0.85151),(6795,4795,0.42297,-0.84818),(6795,4805,0.42381,-0.84481),(6795,4815,0.42467,-0.84145),(6795,4825,0.42556,-0.83808),(6795,4835,0.42645,-0.83466),(6795,4845,0.42735,-0.83122),(6795,4855,0.42827,-0.82779),(6795,4865,0.4292,-0.8243),(6795,4875,0.43013,-0.82079),(6795,4885,0.43111,-0.81728),(6795,4895,0.43209,-0.81375),(6795,4905,0.43307,-0.8102),(6795,4915,0.43408,-0.80666),(6795,4925,0.4351,-0.80309),(6795,4935,0.43612,-0.79949),(6795,4945,0.43716,-0.79588),(6795,4955,0.43819,-0.79226),(6795,4965,0.43923,-0.78858),(6795,4975,0.44027,-0.78489),(6795,4985,0.44131,-0.7812),(6795,4995,0.44236,-0.77742),(6795,5005,0.44343,-0.77363),(6795,5015,0.44454,-0.76985),(6795,5025,0.44564,-0.76596),(6795,5035,0.44665,-0.76204),(6795,5045,0.4473,-0.75812),(6795,5055,0.44794,-0.75433),(6795,5065,0.44861,-0.75062),(6795,5075,0.45013,-0.74692),(6795,5085,0.45165,-0.74308),(6795,5095,0.45317,-0.7391),(6795,5105,0.4543,-0.73512),(6795,5115,0.45537,-0.73112),(6795,5125,0.45644,-0.7271),(6795,5135,0.45752,-0.72308),(6795,5145,0.45862,-0.71905),(6795,5155,0.45971,-0.71493),(6795,5165,0.4608,-0.71082),(6795,5175,0.46189,-0.7067),(6795,5185,0.46298,-0.70254),(6795,5195,0.46409,-0.69837),(6795,5205,0.46521,-0.6942),(6795,5215,0.46634,-0.69001),(6795,5225,0.46747,-0.6858),(6795,5235,0.46862,-0.68159),(6795,5245,0.46977,-0.67735),(6795,5255,0.47092,-0.67308),(6795,5265,0.47207,-0.66882),(6795,5275,0.47322,-0.66453),(6795,5285,0.47436,-0.66021),(6795,5295,0.47549,-0.65588),(6795,5305,0.47662,-0.65156),(6795,5315,0.47775,-0.64722),(6795,5325,0.47886,-0.64288),(6795,5335,0.47997,-0.63853),(6795,5345,0.48108,-0.63412),(6795,5355,0.48219,-0.6297),(6795,5365,0.4833,-0.62528),(6795,5375,0.48441,-0.62078),(6795,5385,0.48552,-0.61626),(6795,5395,0.48666,-0.61175),(6795,5405,0.48779,-0.60721),(6795,5415,0.48892,-0.60265),(6795,5425,0.49009,-0.59809),(6795,5435,0.49126,-0.59352),(6795,5445,0.49242,-0.58894),(6795,5455,0.49359,-0.58436),(6795,5465,0.49476,-0.57976),(6795,5475,0.49593,-0.57513),(6795,5485,0.49707,-0.57049),(6795,5495,0.4982,-0.56585),(6795,5505,0.49934,-0.56113),(6795,5515,0.50046,-0.55641),(6795,5525,0.50156,-0.55168),(6795,5535,0.50267,-0.54694),(6795,5545,0.50377,-0.5422),(6795,5555,0.50488,-0.53746),(6795,5565,0.50599,-0.53269),(6795,5575,0.50709,-0.52792),(6795,5585,0.50821,-0.52314),(6795,5595,0.50932,-0.51833),(6795,5605,0.51044,-0.51349),(6795,5615,0.51156,-0.50864),(6795,5625,0.51268,-0.50377),(6795,5635,0.5138,-0.49885),(6795,5645,0.51497,-0.49394),(6795,5655,0.51615,-0.48899),(6795,5665,0.51733,-0.48392),(6795,5675,0.51796,-0.47885),(6795,5685,0.51829,-0.47381),(6795,5695,0.51861,-0.46912),(6795,5705,0.51955,-0.46443),(6795,5715,0.5212,-0.45974),(6795,5725,0.52286,-0.45467),(6795,5735,0.52428,-0.44955),(6795,5745,0.52515,-0.44443),(6795,5755,0.52603,-0.43938),(6795,5765,0.52691,-0.43436),(6795,5775,0.52787,-0.42934),(6795,5785,0.52883,-0.42431),(6795,5795,0.52979,-0.41928),(6795,5805,0.53074,-0.41424),(6795,5815,0.53169,-0.40918),(6795,5825,0.53264,-0.40406),(6795,5835,0.53355,-0.39895),(6795,5845,0.53446,-0.39382),(6795,5855,0.53536,-0.38866),(6795,5865,0.53626,-0.38351),(6795,5875,0.53714,-0.37835),(6795,5885,0.53803,-0.37317),(6795,5895,0.53892,-0.36799),(6795,5905,0.53983,-0.36281),(6795,5915,0.54074,-0.35759),(6795,5925,0.54166,-0.35236),(6795,5935,0.54266,-0.34714),(6795,5945,0.54366,-0.34186),(6795,5955,0.54462,-0.33656),(6795,5965,0.5447,-0.33126),(6795,5975,0.54479,-0.32615),(6795,5985,0.54487,-0.32126),(6795,5995,0.54621,-0.31637),(6795,6005,0.54775,-0.31134),(6795,6015,0.54929,-0.30594),(6795,6025,0.55022,-0.30053),(6795,6035,0.55087,-0.29514),(6795,6045,0.55152,-0.28982),(6795,6055,0.5522,-0.28449),(6795,6065,0.55293,-0.27917),(6795,6075,0.55365,-0.27385),(6795,6085,0.55437,-0.26853),(6795,6095,0.55508,-0.26322),(6795,6105,0.55578,-0.25783),(6795,6115,0.55647,-0.25243),(6795,6125,0.55713,-0.24703),(6795,6135,0.55779,-0.24165),(6795,6145,0.55845,-0.23629),(6795,6155,0.55908,-0.23093),(6795,6165,0.5597,-0.22559),(6795,6175,0.56033,-0.2203),(6795,6185,0.56091,-0.215),(6795,6195,0.56147,-0.20968),(6795,6205,0.56204,-0.20425),(6795,6215,0.56259,-0.19882),(6795,6225,0.56312,-0.19339),(6795,6235,0.56366,-0.1879),(6795,6245,0.56424,-0.18241),(6795,6255,0.56487,-0.17692),(6795,6265,0.5655,-0.17143),(6795,6275,0.56592,-0.16594),(6795,6285,0.56571,-0.16046),(6795,6295,0.56551,-0.15526),(6795,6305,0.56541,-0.15022),(6795,6315,0.56653,-0.14518),(6795,6325,0.56765,-0.13993),(6795,6335,0.56877,-0.13449),(6795,6345,0.56913,-0.12904),(6795,6355,0.56939,-0.12356),(6795,6365,0.56966,-0.118),(6795,6375,0.56994,-0.11244),(6795,6385,0.57022,-0.10688),(6795,6395,0.57051,-0.10132),(6795,6405,0.57079,-0.095755),(6795,6415,0.57108,-0.09019),(6795,6425,0.57137,-0.084806),(6795,6435,0.57165,-0.07943),(6795,6445,0.57192,-0.074055),(6795,6455,0.57218,-0.068628),(6795,6465,0.57244,-0.063186),(6795,6475,0.57268,-0.057744),(6795,6485,0.57292,-0.052188),(6795,6495,0.57316,-0.046555),(6795,6505,0.57338,-0.040922),(6795,6515,0.5736,-0.035347),(6795,6525,0.57381,-0.029854),(6795,6535,0.57406,-0.024361),(6795,6545,0.5743,-0.018882),(6795,6555,0.57455,-0.013447),(6795,6565,0.57435,-0.008013),(6795,6575,0.57391,-0.002592),(6795,6585,0.57347,0.002637),(6795,6595,0.48754,0.007866),(6795,6605,0.30723,0.013095),(6795,6615,0.12691,0.01376),(6795,6625,0.000169,0.013839),(6795,6635,0.000235,0.013918),(6795,6645,0.000301,0.01394),(6795,6655,0.000367,0.013938),(6795,6665,0.000433,0.013936),(6795,6675,0.000499,0.013932),(6795,6685,0.000565,0.013927),(6795,6695,0.00063,0.013922),(6795,6705,0.000695,0.013916),(6795,6715,0.00076,0.013907),(6795,6725,0.000825,0.013899),(6795,6735,0.000889,0.01389),(6795,6745,0.000954,0.013878),(6795,6755,0.001017,0.013866),(6795,6765,0.001081,0.013855),(6795,6775,0.001144,0.01384),(6795,6785,0.001206,0.013825),(6795,6795,0.001268,0.01381),(6795,6805,0.00133,0.013793),(6795,6815,0.001391,0.013776),(6795,6825,0.001452,0.013758),(6795,6835,0.001512,0.013739),(6795,6845,0.001572,0.013718),(6795,6855,0.001631,0.013698),(6795,6865,0.001689,0.013676),(6795,6875,0.001748,0.013653),(6795,6885,0.001805,0.013631),(6795,6895,0.001861,0.013607),(6795,6905,0.001918,0.013582),(6795,6915,0.001973,0.013556),(6795,6925,0.002028,0.013531),(6795,6935,0.002083,0.013503),(6795,6945,0.002136,0.013476),(6795,6955,0.002189,0.013448),(6795,6965,0.002241,0.013419),(6795,6975,0.002293,0.01339),(6795,6985,0.002343,0.01336),(6805,5,-1.2e-05,-1.2904),(6805,15,-3.6e-05,-1.2904),(6805,25,-5.1e-05,-1.2904),(6805,35,-5.8e-05,-1.2904),(6805,45,-6.5e-05,-1.2904),(6805,55,-7.2e-05,-1.2904),(6805,65,-8.3e-05,-1.2903),(6805,75,-9.7e-05,-1.2903),(6805,85,-0.000111,-1.2902),(6805,95,-0.000124,-1.2901),(6805,105,-0.000138,-1.2901),(6805,115,-0.000152,-1.29),(6805,125,-0.000166,-1.2899),(6805,135,-0.000179,-1.2898),(6805,145,-0.000178,-1.2897),(6805,155,-0.000167,-1.2897),(6805,165,-0.000157,-1.2896),(6805,175,-0.000147,-1.2895),(6805,185,-0.000135,-1.2895),(6805,195,-0.000122,-1.2894),(6805,205,-0.00011,-1.2893),(6805,215,-9.7e-05,-1.2892),(6805,225,-8.4e-05,-1.2891),(6805,235,-7.1e-05,-1.289),(6805,245,-5.8e-05,-1.2889),(6805,255,-4.5e-05,-1.2888),(6805,265,-5.4e-05,-1.2887),(6805,275,-7e-05,-1.2886),(6805,285,-8.6e-05,-1.2884),(6805,295,-0.000102,-1.2882),(6805,305,-0.000137,-1.2879),(6805,315,-0.000177,-1.2877),(6805,325,-0.000217,-1.2875),(6805,335,-0.000257,-1.2873),(6805,345,-0.000261,-1.2871),(6805,355,-0.000258,-1.2869),(6805,365,-0.000255,-1.2867),(6805,375,-0.000251,-1.2864),(6805,385,-0.00024,-1.2862),(6805,395,-0.000228,-1.2859),(6805,405,-0.000215,-1.2857),(6805,415,-0.000203,-1.2855),(6805,425,-0.000168,-1.2853),(6805,435,-0.00013,-1.2851),(6805,445,-9.3e-05,-1.2849),(6805,455,-5.5e-05,-1.2847),(6805,465,-3.5e-05,-1.2845),(6805,475,-1.6e-05,-1.2843),(6805,485,4e-06,-1.284),(6805,495,2.3e-05,-1.2838),(6805,505,0,-1.2836),(6805,515,-2.3e-05,-1.2833),(6805,525,-4.7e-05,-1.283),(6805,535,-7e-05,-1.2827),(6805,545,-0.000108,-1.2824),(6805,555,-0.000146,-1.2821),(6805,565,-0.000184,-1.2818),(6805,575,-0.000223,-1.2815),(6805,585,-0.000276,-1.2811),(6805,595,-0.000329,-1.2808),(6805,605,-0.000382,-1.2804),(6805,615,-0.000435,-1.28),(6805,625,-0.000482,-1.2797),(6805,635,-0.000528,-1.2793),(6805,645,-0.000575,-1.2789),(6805,655,-0.000616,-1.2786),(6805,665,-0.000621,-1.2782),(6805,675,-0.000626,-1.2778),(6805,685,-0.000631,-1.2775),(6805,695,-0.000627,-1.2771),(6805,705,-0.000586,-1.2768),(6805,715,-0.000546,-1.2765),(6805,725,-0.000505,-1.2762),(6805,735,-0.000448,-1.2759),(6805,745,-0.000338,-1.2756),(6805,755,-0.000229,-1.2753),(6805,765,-0.00012,-1.2748),(6805,775,-3.8e-05,-1.2744),(6805,785,-3e-05,-1.274),(6805,795,-2.1e-05,-1.2735),(6805,805,-1.3e-05,-1.2731),(6805,815,1e-06,-1.2726),(6805,825,2.7e-05,-1.2722),(6805,835,5.2e-05,-1.2717),(6805,845,7.8e-05,-1.2713),(6805,855,0.000104,-1.2708),(6805,865,0.000133,-1.2703),(6805,875,0.000161,-1.2698),(6805,885,0.000189,-1.2693),(6805,895,0.000234,-1.2688),(6805,905,0.000303,-1.2683),(6805,915,0.000372,-1.2678),(6805,925,0.000441,-1.2673),(6805,935,0.000536,-1.2669),(6805,945,0.000666,-1.2664),(6805,955,0.000795,-1.2659),(6805,965,0.000924,-1.2654),(6805,975,0.001067,-1.2649),(6805,985,0.001224,-1.2644),(6805,995,0.001382,-1.2639),(6805,1005,0.001539,-1.2633),(6805,1015,0.00169,-1.2627),(6805,1025,0.001836,-1.2622),(6805,1035,0.001981,-1.2615),(6805,1045,0.002127,-1.2609),(6805,1055,0.002264,-1.2602),(6805,1065,0.002393,-1.2595),(6805,1075,0.002523,-1.2587),(6805,1085,0.002653,-1.2579),(6805,1095,0.002801,-1.257),(6805,1105,0.002961,-1.2561),(6805,1115,0.003121,-1.255),(6805,1125,0.00328,-1.2537),(6805,1135,0.003363,-1.2524),(6805,1145,0.0034,-1.2511),(6805,1155,0.003436,-1.2495),(6805,1165,0.003473,-1.2478),(6805,1175,0.003517,-1.2461),(6805,1185,0.003564,-1.2444),(6805,1195,0.003612,-1.2423),(6805,1205,0.00366,-1.2399),(6805,1215,0.003658,-1.2376),(6805,1225,0.003635,-1.2352),(6805,1235,0.003612,-1.2323),(6805,1245,0.00359,-1.229),(6805,1255,0.003493,-1.2258),(6805,1265,0.003371,-1.2226),(6805,1275,0.003249,-1.2186),(6805,1285,0.003127,-1.2143),(6805,1295,0.002741,-1.2101),(6805,1305,0.002285,-1.2059),(6805,1315,0.001829,-1.2031),(6805,1325,0.001372,-1.2005),(6805,1335,0.000943,-1.198),(6805,1345,0.00052,-1.1955),(6805,1355,9.7e-05,-1.1965),(6805,1365,-0.000327,-1.1982),(6805,1375,-0.000616,-1.1999),(6805,1385,-0.000885,-1.2016),(6805,1395,-0.001154,-1.2052),(6805,1405,-0.001423,-1.2091),(6805,1415,-0.0016,-1.2131),(6805,1425,-0.001767,-1.217),(6805,1435,-0.001934,-1.2202),(6805,1445,-0.002102,-1.2234),(6805,1455,-0.002174,-1.2266),(6805,1465,-0.00224,-1.2298),(6805,1475,-0.002306,-1.2319),(6805,1485,-0.002373,-1.2341),(6805,1495,-0.002304,-1.2362),(6805,1505,-0.002233,-1.2384),(6805,1515,-0.002162,-1.2396),(6805,1525,-0.002091,-1.2409),(6805,1535,-0.002021,-1.2421),(6805,1545,-0.001952,-1.2433),(6805,1555,-0.001883,-1.2441),(6805,1565,-0.001808,-1.2449),(6805,1575,-0.001651,-1.2458),(6805,1585,-0.001495,-1.2465),(6805,1595,-0.001338,-1.2471),(6805,1605,-0.001181,-1.2477),(6805,1615,-0.001022,-1.2482),(6805,1625,-0.000862,-1.2488),(6805,1635,-0.000703,-1.2491),(6805,1645,-0.000551,-1.2494),(6805,1655,-0.000446,-1.2496),(6805,1665,-0.00034,-1.2499),(6805,1675,-0.000235,-1.2501),(6805,1685,-0.000133,-1.2503),(6805,1695,-4.5e-05,-1.2505),(6805,1705,4.2e-05,-1.2506),(6805,1715,0.000129,-1.2507),(6805,1725,0.000217,-1.2508),(6805,1735,0.000307,-1.2509),(6805,1745,0.000396,-1.251),(6805,1755,0.000485,-1.251),(6805,1765,0.00057,-1.251),(6805,1775,0.000641,-1.2511),(6805,1785,0.000713,-1.2511),(6805,1795,0.000784,-1.2511),(6805,1805,0.000853,-1.2512),(6805,1815,0.000918,-1.2512),(6805,1825,0.000982,-1.2513),(6805,1835,0.001047,-1.2514),(6805,1845,0.001114,-1.2515),(6805,1855,0.001185,-1.2516),(6805,1865,0.001257,-1.2516),(6805,1875,0.001329,-1.2515),(6805,1885,0.001372,-1.2514),(6805,1895,0.001368,-1.2513),(6805,1905,0.001364,-1.2512),(6805,1915,0.00136,-1.2512),(6805,1925,0.001365,-1.2512),(6805,1935,0.001384,-1.2512),(6805,1945,0.001402,-1.2511),(6805,1955,0.00142,-1.251),(6805,1965,0.001427,-1.2509),(6805,1975,0.001421,-1.2509),(6805,1985,0.001414,-1.2507),(6805,1995,0.001408,-1.2506),(6805,2005,0.001411,-1.2505),(6805,2015,0.001424,-1.2503),(6805,2025,0.001437,-1.2502),(6805,2035,0.00145,-1.25),(6805,2045,0.001458,-1.2499),(6805,2055,0.00146,-1.2497),(6805,2065,0.001463,-1.2495),(6805,2075,0.001466,-1.2494),(6805,2085,0.001486,-1.2492),(6805,2095,0.001519,-1.2491),(6805,2105,0.001552,-1.2489),(6805,2115,0.001585,-1.2488),(6805,2125,0.001623,-1.2487),(6805,2135,0.001664,-1.2485),(6805,2145,0.001706,-1.2484),(6805,2155,0.001747,-1.2482),(6805,2165,0.001753,-1.248),(6805,2175,0.001741,-1.2478),(6805,2185,0.001729,-1.2476),(6805,2195,0.001716,-1.2473),(6805,2205,0.001696,-1.247),(6805,2215,0.001672,-1.2467),(6805,2225,0.001648,-1.2465),(6805,2235,0.001624,-1.2462),(6805,2245,0.00163,-1.2459),(6805,2255,0.001647,-1.2456),(6805,2265,0.001664,-1.2452),(6805,2275,0.00168,-1.2448),(6805,2285,0.001629,-1.2444),(6805,2295,0.001557,-1.244),(6805,2305,0.001485,-1.2436),(6805,2315,0.001414,-1.2433),(6805,2325,0.001418,-1.2429),(6805,2335,0.001439,-1.2426),(6805,2345,0.00146,-1.2422),(6805,2355,0.001481,-1.2419),(6805,2365,0.001532,-1.2416),(6805,2375,0.001588,-1.2413),(6805,2385,0.001644,-1.241),(6805,2395,0.0017,-1.2406),(6805,2405,0.001723,-1.2403),(6805,2415,0.001744,-1.2399),(6805,2425,0.001764,-1.2394),(6805,2435,0.001783,-1.2389),(6805,2445,0.001782,-1.2385),(6805,2455,0.001779,-1.238),(6805,2465,0.001776,-1.2375),(6805,2475,0.001773,-1.237),(6805,2485,0.001774,-1.2366),(6805,2495,0.001775,-1.2361),(6805,2505,0.001776,-1.2357),(6805,2515,0.001776,-1.2352),(6805,2525,0.001765,-1.2348),(6805,2535,0.001754,-1.2343),(6805,2545,0.001743,-1.2338),(6805,2555,0.001732,-1.2332),(6805,2565,0.001717,-1.2327),(6805,2575,0.001703,-1.2321),(6805,2585,0.001689,-1.2316),(6805,2595,0.001672,-1.231),(6805,2605,0.001639,-1.2304),(6805,2615,0.001605,-1.2299),(6805,2625,0.001571,-1.2294),(6805,2635,0.001548,-1.2288),(6805,2645,0.001587,-1.2283),(6805,2655,0.001626,-1.2277),(6805,2665,0.001665,-1.2269),(6805,2675,0.001677,-1.226),(6805,2685,0.001558,-1.2252),(6805,2695,0.00144,-1.2244),(6805,2705,0.001321,-1.2238),(6805,2715,0.001227,-1.2232),(6805,2725,0.001225,-1.2227),(6805,2735,0.001223,-1.2221),(6805,2745,0.001221,-1.2214),(6805,2755,0.001219,-1.2208),(6805,2765,0.00122,-1.2201),(6805,2775,0.00122,-1.2195),(6805,2785,0.001221,-1.2187),(6805,2795,0.001222,-1.218),(6805,2805,0.001228,-1.2173),(6805,2815,0.001233,-1.2165),(6805,2825,0.001238,-1.2158),(6805,2835,0.001246,-1.215),(6805,2845,0.00126,-1.2142),(6805,2855,0.001274,-1.2135),(6805,2865,0.001288,-1.2127),(6805,2875,0.001307,-1.2119),(6805,2885,0.001335,-1.2111),(6805,2895,0.001363,-1.2103),(6805,2905,0.001391,-1.2095),(6805,2915,0.001423,-1.2086),(6805,2925,0.001463,-1.2078),(6805,2935,0.001503,-1.207),(6805,2945,0.001542,-1.2062),(6805,2955,0.001582,-1.2054),(6805,2965,0.001621,-1.2045),(6805,2975,0.001661,-1.2037),(6805,2985,0.0017,-1.2029),(6805,2995,0.001714,-1.2021),(6805,3005,0.001701,-1.2013),(6805,3015,0.001689,-1.2005),(6805,3025,0.001676,-1.1997),(6805,3035,0.001683,-1.1989),(6805,3045,0.001706,-1.198),(6805,3055,0.00173,-1.197),(6805,3065,0.001753,-1.1957),(6805,3075,0.001691,-1.1944),(6805,3085,0.001564,-1.1932),(6805,3095,0.001436,-1.1921),(6805,3105,0.001309,-1.1911),(6805,3115,0.001296,-1.1902),(6805,3125,0.001358,-1.1892),(6805,3135,0.001419,-1.1883),(6805,3145,0.001481,-1.1874),(6805,3155,0.001542,-1.1864),(6805,3165,0.001604,-1.1855),(6805,3175,0.001666,-1.1845),(6805,3185,0.001728,-1.1836),(6805,3195,0.001777,-1.1826),(6805,3205,0.001819,-1.1816),(6805,3215,0.001862,-1.1806),(6805,3225,0.001905,-1.1795),(6805,3235,0.001936,-1.1785),(6805,3245,0.001962,-1.1775),(6805,3255,0.001988,-1.1764),(6805,3265,0.002014,-1.1753),(6805,3275,0.002011,-1.1742),(6805,3285,0.001998,-1.1731),(6805,3295,0.001986,-1.1719),(6805,3305,0.001974,-1.1707),(6805,3315,0.001975,-1.1695),(6805,3325,0.001978,-1.1683),(6805,3335,0.001981,-1.1672),(6805,3345,0.001985,-1.1661),(6805,3355,0.001975,-1.1649),(6805,3365,0.001962,-1.1638),(6805,3375,0.001949,-1.1627),(6805,3385,0.001937,-1.1615),(6805,3395,0.001999,-1.1604),(6805,3405,0.00207,-1.1592),(6805,3415,0.002142,-1.1578),(6805,3425,0.002214,-1.1564),(6805,3435,0.002167,-1.155),(6805,3445,0.002111,-1.1536),(6805,3455,0.002055,-1.1525),(6805,3465,0.001999,-1.1513),(6805,3475,0.002074,-1.1502),(6805,3485,0.002153,-1.149),(6805,3495,0.002232,-1.1478),(6805,3505,0.00231,-1.1465),(6805,3515,0.002368,-1.1453),(6805,3525,0.002425,-1.1441),(6805,3535,0.002483,-1.1428),(6805,3545,0.00254,-1.1415),(6805,3555,0.002577,-1.1402),(6805,3565,0.002614,-1.139),(6805,3575,0.002651,-1.1375),(6805,3585,0.002691,-1.1361),(6805,3595,0.002766,-1.1346),(6805,3605,0.002841,-1.1332),(6805,3615,0.002916,-1.1319),(6805,3625,0.002998,-1.1306),(6805,3635,0.003127,-1.1293),(6805,3645,0.003257,-1.128),(6805,3655,0.003387,-1.1265),(6805,3665,0.00351,-1.1251),(6805,3675,0.003603,-1.1237),(6805,3685,0.003695,-1.1222),(6805,3695,0.003788,-1.1207),(6805,3705,0.003875,-1.1191),(6805,3715,0.003943,-1.1176),(6805,3725,0.00401,-1.116),(6805,3735,0.004078,-1.1144),(6805,3745,0.004152,-1.1127),(6805,3755,0.004248,-1.111),(6805,3765,0.004344,-1.1093),(6805,3775,0.004441,-1.1076),(6805,3785,0.00456,-1.1058),(6805,3795,0.004739,-1.104),(6805,3805,0.004918,-1.1021),(6805,3815,0.005097,-1.0999),(6805,3825,0.005232,-1.0976),(6805,3835,0.005272,-1.0953),(6805,3845,0.005312,-1.093),(6805,3855,0.005352,-1.0906),(6805,3865,0.005396,-1.0882),(6805,3875,0.005444,-1.0858),(6805,3885,0.005493,-1.0832),(6805,3895,0.005542,-1.0801),(6805,3905,0.005572,-1.0771),(6805,3915,0.005573,-1.074),(6805,3925,0.005573,-1.0707),(6805,3935,0.005574,-1.0671),(6805,3945,0.005545,-1.0634),(6805,3955,0.005477,-1.0597),(6805,3965,0.00541,-1.0557),(6805,3975,0.005342,-1.0512),(6805,3985,0.005122,-1.0468),(6805,3995,0.004738,-1.0423),(6805,4005,0.004353,-1.0384),(6805,4015,0.003968,-1.0349),(6805,4025,0.070097,-1.0315),(6805,4035,0.14273,-1.0289),(6805,4045,0.21537,-1.0279),(6805,4055,0.26761,-1.0269),(6805,4065,0.31241,-1.0258),(6805,4075,0.35721,-1.0242),(6805,4085,0.37748,-1.0225),(6805,4095,0.37805,-1.0208),(6805,4105,0.37861,-1.0191),(6805,4115,0.37918,-1.0174),(6805,4125,0.37978,-1.0157),(6805,4135,0.38037,-1.0139),(6805,4145,0.38093,-1.0121),(6805,4155,0.3814,-1.0102),(6805,4165,0.38187,-1.0085),(6805,4175,0.38233,-1.0068),(6805,4185,0.38281,-1.0051),(6805,4195,0.38328,-1.0033),(6805,4205,0.38376,-1.0014),(6805,4215,0.3842,-0.99959),(6805,4225,0.38463,-0.99771),(6805,4235,0.38506,-0.99572),(6805,4245,0.38549,-0.99373),(6805,4255,0.38592,-0.99173),(6805,4265,0.38635,-0.98972),(6805,4275,0.38678,-0.9877),(6805,4285,0.38722,-0.98568),(6805,4295,0.38766,-0.98361),(6805,4305,0.3881,-0.98153),(6805,4315,0.38854,-0.97945),(6805,4325,0.38899,-0.97729),(6805,4335,0.38943,-0.9751),(6805,4345,0.38988,-0.97291),(6805,4355,0.39032,-0.97068),(6805,4365,0.39076,-0.96842),(6805,4375,0.39122,-0.96616),(6805,4385,0.39168,-0.96389),(6805,4395,0.39213,-0.96158),(6805,4405,0.39261,-0.95928),(6805,4415,0.3931,-0.95696),(6805,4425,0.39358,-0.95452),(6805,4435,0.39407,-0.95208),(6805,4445,0.39458,-0.94964),(6805,4455,0.39508,-0.94716),(6805,4465,0.3956,-0.94469),(6805,4475,0.39615,-0.94222),(6805,4485,0.3967,-0.93964),(6805,4495,0.39726,-0.93704),(6805,4505,0.39782,-0.93444),(6805,4515,0.39838,-0.9318),(6805,4525,0.39895,-0.92915),(6805,4535,0.39955,-0.9265),(6805,4545,0.40014,-0.92381),(6805,4555,0.40074,-0.9211),(6805,4565,0.40136,-0.91838),(6805,4575,0.40199,-0.91563),(6805,4585,0.40261,-0.91279),(6805,4595,0.40326,-0.90996),(6805,4605,0.40391,-0.90711),(6805,4615,0.40457,-0.90417),(6805,4625,0.40524,-0.90122),(6805,4635,0.40593,-0.89828),(6805,4645,0.40662,-0.8953),(6805,4655,0.40733,-0.89231),(6805,4665,0.40807,-0.88932),(6805,4675,0.40881,-0.88628),(6805,4685,0.40956,-0.88322),(6805,4695,0.41036,-0.88017),(6805,4705,0.41115,-0.87705),(6805,4715,0.41195,-0.87389),(6805,4725,0.41269,-0.87072),(6805,4735,0.41342,-0.86761),(6805,4745,0.41416,-0.86456),(6805,4755,0.41503,-0.86151),(6805,4765,0.41594,-0.85839),(6805,4775,0.41685,-0.85502),(6805,4785,0.41771,-0.85166),(6805,4795,0.41856,-0.84829),(6805,4805,0.4194,-0.84491),(6805,4815,0.42026,-0.84154),(6805,4825,0.42114,-0.83816),(6805,4835,0.42201,-0.83473),(6805,4845,0.4229,-0.83128),(6805,4855,0.42381,-0.82784),(6805,4865,0.42472,-0.82434),(6805,4875,0.42563,-0.82082),(6805,4885,0.42658,-0.81729),(6805,4895,0.42753,-0.81375),(6805,4905,0.42849,-0.81019),(6805,4915,0.42948,-0.80663),(6805,4925,0.43047,-0.80306),(6805,4935,0.43146,-0.79945),(6805,4945,0.43247,-0.79584),(6805,4955,0.43349,-0.79222),(6805,4965,0.4345,-0.78853),(6805,4975,0.43552,-0.78485),(6805,4985,0.43654,-0.78116),(6805,4995,0.43757,-0.77736),(6805,5005,0.4386,-0.77356),(6805,5015,0.43965,-0.76976),(6805,5025,0.4407,-0.7658),(6805,5035,0.44171,-0.76179),(6805,5045,0.44255,-0.75779),(6805,5055,0.44339,-0.75407),(6805,5065,0.44424,-0.75053),(6805,5075,0.44549,-0.74698),(6805,5085,0.44675,-0.74321),(6805,5095,0.44801,-0.73915),(6805,5105,0.44912,-0.73509),(6805,5115,0.45021,-0.73104),(6805,5125,0.4513,-0.72701),(6805,5135,0.4524,-0.72298),(6805,5145,0.4535,-0.71894),(6805,5155,0.45461,-0.71482),(6805,5165,0.4557,-0.71071),(6805,5175,0.45679,-0.70659),(6805,5185,0.45788,-0.70241),(6805,5195,0.45898,-0.69823),(6805,5205,0.46009,-0.69405),(6805,5215,0.46119,-0.68984),(6805,5225,0.4623,-0.68562),(6805,5235,0.46343,-0.6814),(6805,5245,0.46455,-0.67716),(6805,5255,0.46568,-0.67289),(6805,5265,0.4668,-0.66862),(6805,5275,0.46792,-0.66433),(6805,5285,0.46905,-0.66001),(6805,5295,0.47017,-0.65569),(6805,5305,0.47128,-0.65136),(6805,5315,0.47239,-0.64702),(6805,5325,0.4735,-0.64269),(6805,5335,0.4746,-0.63834),(6805,5345,0.4757,-0.63392),(6805,5355,0.4768,-0.62949),(6805,5365,0.4779,-0.62507),(6805,5375,0.47899,-0.62056),(6805,5385,0.48009,-0.61603),(6805,5395,0.48119,-0.61151),(6805,5405,0.48229,-0.60695),(6805,5415,0.4834,-0.60238),(6805,5425,0.48452,-0.5978),(6805,5435,0.48565,-0.59322),(6805,5445,0.48678,-0.58863),(6805,5455,0.48792,-0.58405),(6805,5465,0.48905,-0.57945),(6805,5475,0.49019,-0.57482),(6805,5485,0.49131,-0.57019),(6805,5495,0.49242,-0.56555),(6805,5505,0.49354,-0.56083),(6805,5515,0.49465,-0.55611),(6805,5525,0.49574,-0.5514),(6805,5535,0.49684,-0.54665),(6805,5545,0.49794,-0.5419),(6805,5555,0.49903,-0.53715),(6805,5565,0.50013,-0.53238),(6805,5575,0.50123,-0.52759),(6805,5585,0.50233,-0.52281),(6805,5595,0.50343,-0.51799),(6805,5605,0.50453,-0.51314),(6805,5615,0.50562,-0.50829),(6805,5625,0.50672,-0.5034),(6805,5635,0.50781,-0.49846),(6805,5645,0.50892,-0.49352),(6805,5655,0.51002,-0.48852),(6805,5665,0.51113,-0.48334),(6805,5675,0.51197,-0.47816),(6805,5685,0.51267,-0.47303),(6805,5695,0.51336,-0.46865),(6805,5705,0.51432,-0.46428),(6805,5715,0.51558,-0.45991),(6805,5725,0.51683,-0.45477),(6805,5735,0.51799,-0.44952),(6805,5745,0.51891,-0.44428),(6805,5755,0.51982,-0.43916),(6805,5765,0.52074,-0.4341),(6805,5775,0.5217,-0.42904),(6805,5785,0.52266,-0.424),(6805,5795,0.52361,-0.41896),(6805,5805,0.52456,-0.41392),(6805,5815,0.5255,-0.40886),(6805,5825,0.52644,-0.40375),(6805,5835,0.52736,-0.39864),(6805,5845,0.52826,-0.39352),(6805,5855,0.52916,-0.38836),(6805,5865,0.53005,-0.3832),(6805,5875,0.53093,-0.37804),(6805,5885,0.53181,-0.37285),(6805,5895,0.53268,-0.36765),(6805,5905,0.53356,-0.36246),(6805,5915,0.53444,-0.35721),(6805,5925,0.53532,-0.35194),(6805,5935,0.53623,-0.34668),(6805,5945,0.53714,-0.34131),(6805,5955,0.53804,-0.33587),(6805,5965,0.53852,-0.33044),(6805,5975,0.53901,-0.32541),(6805,5985,0.53949,-0.32088),(6805,5995,0.54052,-0.31634),(6805,6005,0.54163,-0.31153),(6805,6015,0.54274,-0.306),(6805,6025,0.54358,-0.30047),(6805,6035,0.54428,-0.29495),(6805,6045,0.54498,-0.28959),(6805,6055,0.5457,-0.28423),(6805,6065,0.54643,-0.27888),(6805,6075,0.54715,-0.27355),(6805,6085,0.54787,-0.26823),(6805,6095,0.54857,-0.26291),(6805,6105,0.54927,-0.25754),(6805,6115,0.54996,-0.25214),(6805,6125,0.55061,-0.24674),(6805,6135,0.55126,-0.24137),(6805,6145,0.55191,-0.23601),(6805,6155,0.55254,-0.23065),(6805,6165,0.55316,-0.22532),(6805,6175,0.55378,-0.22003),(6805,6185,0.55435,-0.21475),(6805,6195,0.55491,-0.20943),(6805,6205,0.55548,-0.204),(6805,6215,0.55601,-0.19857),(6805,6225,0.55652,-0.19314),(6805,6235,0.55704,-0.18761),(6805,6245,0.55757,-0.18208),(6805,6255,0.55812,-0.17655),(6805,6265,0.55868,-0.17095),(6805,6275,0.55913,-0.16535),(6805,6285,0.55931,-0.15974),(6805,6295,0.55948,-0.15473),(6805,6305,0.5597,-0.15001),(6805,6315,0.56044,-0.1453),(6805,6325,0.56119,-0.14017),(6805,6335,0.56193,-0.13461),(6805,6345,0.56232,-0.12905),(6805,6355,0.56266,-0.12349),(6805,6365,0.563,-0.11791),(6805,6375,0.56332,-0.11234),(6805,6385,0.56362,-0.10676),(6805,6395,0.56393,-0.10119),(6805,6405,0.56423,-0.095613),(6805,6415,0.56452,-0.090038),(6805,6425,0.56481,-0.084651),(6805,6435,0.56509,-0.079273),(6805,6445,0.56536,-0.073895),(6805,6455,0.56562,-0.068467),(6805,6465,0.56588,-0.063025),(6805,6475,0.56612,-0.057584),(6805,6485,0.56636,-0.052026),(6805,6495,0.56659,-0.04639),(6805,6505,0.56679,-0.040755),(6805,6515,0.56698,-0.03517),(6805,6525,0.56717,-0.029655),(6805,6535,0.56735,-0.02414),(6805,6545,0.56752,-0.018613),(6805,6555,0.56769,-0.013048),(6805,6565,0.56765,-0.007484),(6805,6575,0.56751,-0.001953),(6805,6585,0.56736,0.003086),(6805,6595,0.48248,0.008125),(6805,6605,0.30403,0.013165),(6805,6615,0.12559,0.013813),(6805,6625,0.000168,0.013898),(6805,6635,0.000235,0.013982),(6805,6645,0.000302,0.014006),(6805,6655,0.000369,0.014004),(6805,6665,0.000436,0.014002),(6805,6675,0.000503,0.013998),(6805,6685,0.00057,0.013993),(6805,6695,0.000636,0.013987),(6805,6705,0.000702,0.013981),(6805,6715,0.000768,0.013972),(6805,6725,0.000834,0.013963),(6805,6735,0.000899,0.013954),(6805,6745,0.000965,0.013942),(6805,6755,0.001029,0.01393),(6805,6765,0.001093,0.013918),(6805,6775,0.001157,0.013903),(6805,6785,0.001221,0.013887),(6805,6795,0.001284,0.013872),(6805,6805,0.001347,0.013855),(6805,6815,0.001409,0.013837),(6805,6825,0.00147,0.013818),(6805,6835,0.001531,0.013798),(6805,6845,0.001592,0.013778),(6805,6855,0.001652,0.013757),(6805,6865,0.001711,0.013735),(6805,6875,0.00177,0.013711),(6805,6885,0.001828,0.013688),(6805,6895,0.001885,0.013663),(6805,6905,0.001942,0.013637),(6805,6915,0.001998,0.013611),(6805,6925,0.002054,0.013585),(6805,6935,0.002109,0.013557),(6805,6945,0.002163,0.013529),(6805,6955,0.002216,0.013501),(6805,6965,0.002269,0.013471),(6805,6975,0.002321,0.013441),(6805,6985,0.002372,0.013411),(6815,5,-1.2e-05,-1.2905),(6815,15,-3.7e-05,-1.2905),(6815,25,-5e-05,-1.2905),(6815,35,-5.2e-05,-1.2904),(6815,45,-5.5e-05,-1.2904),(6815,55,-5.7e-05,-1.2904),(6815,65,-6.5e-05,-1.2903),(6815,75,-7.8e-05,-1.2903),(6815,85,-9e-05,-1.2902),(6815,95,-0.000103,-1.2901),(6815,105,-0.000118,-1.2901),(6815,115,-0.000135,-1.29),(6815,125,-0.000152,-1.2899),(6815,135,-0.000169,-1.2898),(6815,145,-0.000172,-1.2897),(6815,155,-0.000168,-1.2896),(6815,165,-0.000164,-1.2896),(6815,175,-0.00016,-1.2895),(6815,185,-0.000151,-1.2895),(6815,195,-0.00014,-1.2894),(6815,205,-0.000129,-1.2893),(6815,215,-0.000118,-1.2892),(6815,225,-0.000103,-1.2891),(6815,235,-8.5e-05,-1.289),(6815,245,-6.8e-05,-1.2889),(6815,255,-5.1e-05,-1.2888),(6815,265,-5.2e-05,-1.2887),(6815,275,-5.9e-05,-1.2886),(6815,285,-6.6e-05,-1.2884),(6815,295,-7.3e-05,-1.2882),(6815,305,-0.000104,-1.288),(6815,315,-0.000141,-1.2878),(6815,325,-0.000178,-1.2876),(6815,335,-0.000215,-1.2874),(6815,345,-0.000243,-1.2872),(6815,355,-0.00027,-1.287),(6815,365,-0.000296,-1.2867),(6815,375,-0.000322,-1.2864),(6815,385,-0.000307,-1.2862),(6815,395,-0.000287,-1.2859),(6815,405,-0.000266,-1.2857),(6815,415,-0.000245,-1.2855),(6815,425,-0.00021,-1.2853),(6815,435,-0.000174,-1.2851),(6815,445,-0.000138,-1.2849),(6815,455,-0.000102,-1.2847),(6815,465,-7e-05,-1.2845),(6815,475,-3.8e-05,-1.2842),(6815,485,-7e-06,-1.284),(6815,495,2.5e-05,-1.2838),(6815,505,1.4e-05,-1.2836),(6815,515,4e-06,-1.2833),(6815,525,-7e-06,-1.283),(6815,535,-1.9e-05,-1.2827),(6815,545,-5.2e-05,-1.2825),(6815,555,-8.5e-05,-1.2822),(6815,565,-0.000118,-1.2818),(6815,575,-0.000153,-1.2815),(6815,585,-0.000206,-1.2812),(6815,595,-0.00026,-1.2808),(6815,605,-0.000313,-1.2805),(6815,615,-0.000367,-1.2801),(6815,625,-0.000425,-1.2797),(6815,635,-0.000482,-1.2793),(6815,645,-0.000539,-1.2789),(6815,655,-0.000591,-1.2786),(6815,665,-0.000614,-1.2782),(6815,675,-0.000638,-1.2778),(6815,685,-0.000661,-1.2775),(6815,695,-0.000673,-1.2771),(6815,705,-0.000634,-1.2768),(6815,715,-0.000596,-1.2764),(6815,725,-0.000558,-1.2761),(6815,735,-0.000512,-1.2759),(6815,745,-0.000439,-1.2756),(6815,755,-0.000367,-1.2753),(6815,765,-0.000295,-1.2748),(6815,775,-0.000226,-1.2744),(6815,785,-0.000163,-1.2739),(6815,795,-0.0001,-1.2735),(6815,805,-3.8e-05,-1.273),(6815,815,1e-05,-1.2726),(6815,825,2.7e-05,-1.2722),(6815,835,4.3e-05,-1.2717),(6815,845,5.9e-05,-1.2713),(6815,855,7.7e-05,-1.2708),(6815,865,9.8e-05,-1.2703),(6815,875,0.00012,-1.2698),(6815,885,0.000141,-1.2693),(6815,895,0.000176,-1.2688),(6815,905,0.000233,-1.2683),(6815,915,0.000291,-1.2678),(6815,925,0.000348,-1.2673),(6815,935,0.00043,-1.2668),(6815,945,0.000544,-1.2663),(6815,955,0.000658,-1.2658),(6815,965,0.000772,-1.2653),(6815,975,0.0009,-1.2648),(6815,985,0.001046,-1.2643),(6815,995,0.001191,-1.2638),(6815,1005,0.001336,-1.2632),(6815,1015,0.001475,-1.2627),(6815,1025,0.001608,-1.2621),(6815,1035,0.001741,-1.2615),(6815,1045,0.001874,-1.2608),(6815,1055,0.001994,-1.2601),(6815,1065,0.002102,-1.2594),(6815,1075,0.00221,-1.2587),(6815,1085,0.002318,-1.2578),(6815,1095,0.002388,-1.257),(6815,1105,0.002431,-1.2561),(6815,1115,0.002474,-1.255),(6815,1125,0.002517,-1.2536),(6815,1135,0.002506,-1.2523),(6815,1145,0.002464,-1.251),(6815,1155,0.002422,-1.2494),(6815,1165,0.00238,-1.2477),(6815,1175,0.002262,-1.246),(6815,1185,0.002107,-1.2444),(6815,1195,0.001952,-1.2422),(6815,1205,0.001796,-1.2399),(6815,1215,0.001569,-1.2375),(6815,1225,0.001311,-1.2352),(6815,1235,0.001054,-1.2322),(6815,1245,0.000796,-1.229),(6815,1255,0.000472,-1.2258),(6815,1265,0.000125,-1.2226),(6815,1275,-0.000222,-1.2186),(6815,1285,-0.000569,-1.2144),(6815,1295,-0.000684,-1.2102),(6815,1305,-0.000736,-1.206),(6815,1315,-0.000788,-1.2031),(6815,1325,-0.00084,-1.2006),(6815,1335,-0.000407,-1.198),(6815,1345,0.000127,-1.1955),(6815,1355,0.000661,-1.1965),(6815,1365,0.001196,-1.1982),(6815,1375,0.001518,-1.1999),(6815,1385,0.001808,-1.2016),(6815,1395,0.002098,-1.2053),(6815,1405,0.002388,-1.2092),(6815,1415,0.002048,-1.2131),(6815,1425,0.001644,-1.217),(6815,1435,0.001239,-1.2202),(6815,1445,0.000834,-1.2234),(6815,1455,0.000521,-1.2266),(6815,1465,0.000213,-1.2297),(6815,1475,-9.4e-05,-1.2319),(6815,1485,-0.000402,-1.2341),(6815,1495,-0.000564,-1.2362),(6815,1505,-0.000723,-1.2384),(6815,1515,-0.000883,-1.2396),(6815,1525,-0.001039,-1.2408),(6815,1535,-0.00104,-1.242),(6815,1545,-0.001041,-1.2432),(6815,1555,-0.001043,-1.244),(6815,1565,-0.001039,-1.2448),(6815,1575,-0.000972,-1.2457),(6815,1585,-0.000905,-1.2464),(6815,1595,-0.000838,-1.247),(6815,1605,-0.000765,-1.2476),(6815,1615,-0.000649,-1.2481),(6815,1625,-0.000532,-1.2487),(6815,1635,-0.000416,-1.249),(6815,1645,-0.000303,-1.2493),(6815,1655,-0.000212,-1.2496),(6815,1665,-0.000122,-1.2499),(6815,1675,-3.1e-05,-1.2501),(6815,1685,5.5e-05,-1.2502),(6815,1695,0.000126,-1.2504),(6815,1705,0.000196,-1.2506),(6815,1715,0.000266,-1.2507),(6815,1725,0.000335,-1.2508),(6815,1735,0.000399,-1.2509),(6815,1745,0.000463,-1.2509),(6815,1755,0.000527,-1.251),(6815,1765,0.000588,-1.251),(6815,1775,0.000639,-1.251),(6815,1785,0.00069,-1.251),(6815,1795,0.000741,-1.2511),(6815,1805,0.0008,-1.2511),(6815,1815,0.000877,-1.2512),(6815,1825,0.000953,-1.2512),(6815,1835,0.00103,-1.2514),(6815,1845,0.001093,-1.2515),(6815,1855,0.001131,-1.2516),(6815,1865,0.001169,-1.2516),(6815,1875,0.001207,-1.2515),(6815,1885,0.001249,-1.2514),(6815,1895,0.001299,-1.2512),(6815,1905,0.001348,-1.2512),(6815,1915,0.001398,-1.2512),(6815,1925,0.001433,-1.2512),(6815,1935,0.001447,-1.2512),(6815,1945,0.001461,-1.2511),(6815,1955,0.001476,-1.251),(6815,1965,0.001479,-1.251),(6815,1975,0.001471,-1.2509),(6815,1985,0.001462,-1.2508),(6815,1995,0.001453,-1.2506),(6815,2005,0.00145,-1.2505),(6815,2015,0.001452,-1.2503),(6815,2025,0.001454,-1.2502),(6815,2035,0.001455,-1.25),(6815,2045,0.00145,-1.2499),(6815,2055,0.001438,-1.2497),(6815,2065,0.001426,-1.2495),(6815,2075,0.001414,-1.2494),(6815,2085,0.001422,-1.2492),(6815,2095,0.001444,-1.249),(6815,2105,0.001466,-1.2489),(6815,2115,0.001489,-1.2488),(6815,2125,0.001526,-1.2486),(6815,2135,0.001573,-1.2485),(6815,2145,0.001621,-1.2484),(6815,2155,0.001668,-1.2482),(6815,2165,0.001685,-1.248),(6815,2175,0.001686,-1.2479),(6815,2185,0.001687,-1.2476),(6815,2195,0.001689,-1.2473),(6815,2205,0.001689,-1.247),(6815,2215,0.001688,-1.2468),(6815,2225,0.001687,-1.2465),(6815,2235,0.001686,-1.2462),(6815,2245,0.001679,-1.246),(6815,2255,0.00167,-1.2457),(6815,2265,0.001661,-1.2453),(6815,2275,0.001652,-1.2449),(6815,2285,0.001625,-1.2444),(6815,2295,0.001593,-1.244),(6815,2305,0.001561,-1.2436),(6815,2315,0.00153,-1.2432),(6815,2325,0.001514,-1.2429),(6815,2335,0.001501,-1.2425),(6815,2345,0.001488,-1.2422),(6815,2355,0.001476,-1.2419),(6815,2365,0.001513,-1.2416),(6815,2375,0.001558,-1.2413),(6815,2385,0.001604,-1.2409),(6815,2395,0.001649,-1.2406),(6815,2405,0.001677,-1.2403),(6815,2415,0.001704,-1.2399),(6815,2425,0.00173,-1.2394),(6815,2435,0.001757,-1.2389),(6815,2445,0.001759,-1.2385),(6815,2455,0.00176,-1.238),(6815,2465,0.001761,-1.2375),(6815,2475,0.001762,-1.237),(6815,2485,0.001761,-1.2366),(6815,2495,0.001759,-1.2361),(6815,2505,0.001758,-1.2357),(6815,2515,0.001757,-1.2352),(6815,2525,0.001738,-1.2348),(6815,2535,0.00172,-1.2343),(6815,2545,0.001701,-1.2338),(6815,2555,0.001683,-1.2332),(6815,2565,0.001662,-1.2327),(6815,2575,0.001641,-1.2321),(6815,2585,0.00162,-1.2316),(6815,2595,0.0016,-1.231),(6815,2605,0.001593,-1.2305),(6815,2615,0.001585,-1.2299),(6815,2625,0.001578,-1.2294),(6815,2635,0.001566,-1.2289),(6815,2645,0.001526,-1.2284),(6815,2655,0.001486,-1.2279),(6815,2665,0.001446,-1.227),(6815,2675,0.001411,-1.2261),(6815,2685,0.001399,-1.2252),(6815,2695,0.001388,-1.2243),(6815,2705,0.001377,-1.2238),(6815,2715,0.001363,-1.2232),(6815,2725,0.001341,-1.2227),(6815,2735,0.001319,-1.2221),(6815,2745,0.001297,-1.2214),(6815,2755,0.001279,-1.2208),(6815,2765,0.001276,-1.2201),(6815,2775,0.001272,-1.2195),(6815,2785,0.001269,-1.2187),(6815,2795,0.001267,-1.218),(6815,2805,0.00127,-1.2173),(6815,2815,0.001273,-1.2165),(6815,2825,0.001277,-1.2158),(6815,2835,0.001282,-1.215),(6815,2845,0.001291,-1.2142),(6815,2855,0.0013,-1.2135),(6815,2865,0.001309,-1.2127),(6815,2875,0.001323,-1.2119),(6815,2885,0.001346,-1.2111),(6815,2895,0.001369,-1.2103),(6815,2905,0.001391,-1.2094),(6815,2915,0.001421,-1.2086),(6815,2925,0.001459,-1.2078),(6815,2935,0.001497,-1.2069),(6815,2945,0.001536,-1.2061),(6815,2955,0.001578,-1.2053),(6815,2965,0.001625,-1.2045),(6815,2975,0.001672,-1.2037),(6815,2985,0.00172,-1.2029),(6815,2995,0.001757,-1.2021),(6815,3005,0.001785,-1.2013),(6815,3015,0.001814,-1.2005),(6815,3025,0.001842,-1.1997),(6815,3035,0.00182,-1.199),(6815,3045,0.001754,-1.1982),(6815,3055,0.001688,-1.1971),(6815,3065,0.001622,-1.1958),(6815,3075,0.001571,-1.1945),(6815,3085,0.001531,-1.1931),(6815,3095,0.001491,-1.192),(6815,3105,0.001451,-1.1911),(6815,3115,0.001447,-1.1901),(6815,3125,0.001466,-1.1892),(6815,3135,0.001485,-1.1883),(6815,3145,0.001504,-1.1873),(6815,3155,0.001551,-1.1864),(6815,3165,0.001612,-1.1855),(6815,3175,0.001674,-1.1845),(6815,3185,0.001736,-1.1835),(6815,3195,0.001791,-1.1825),(6815,3205,0.001843,-1.1815),(6815,3215,0.001896,-1.1805),(6815,3225,0.001948,-1.1795),(6815,3235,0.001987,-1.1785),(6815,3245,0.00202,-1.1774),(6815,3255,0.002053,-1.1764),(6815,3265,0.002087,-1.1753),(6815,3275,0.002083,-1.1742),(6815,3285,0.002069,-1.1731),(6815,3295,0.002055,-1.1719),(6815,3305,0.002041,-1.1707),(6815,3315,0.002035,-1.1695),(6815,3325,0.002031,-1.1683),(6815,3335,0.002027,-1.1672),(6815,3345,0.002024,-1.1661),(6815,3355,0.002033,-1.1649),(6815,3365,0.002045,-1.1638),(6815,3375,0.002057,-1.1627),(6815,3385,0.002069,-1.1616),(6815,3395,0.002039,-1.1605),(6815,3405,0.002003,-1.1594),(6815,3415,0.001968,-1.1579),(6815,3425,0.001932,-1.1564),(6815,3435,0.001966,-1.1549),(6815,3445,0.002006,-1.1535),(6815,3455,0.002046,-1.1523),(6815,3465,0.002086,-1.1512),(6815,3475,0.002137,-1.1501),(6815,3485,0.002189,-1.149),(6815,3495,0.00224,-1.1477),(6815,3505,0.002292,-1.1465),(6815,3515,0.002354,-1.1453),(6815,3525,0.002415,-1.144),(6815,3535,0.002476,-1.1428),(6815,3545,0.002537,-1.1415),(6815,3555,0.002574,-1.1402),(6815,3565,0.00261,-1.139),(6815,3575,0.002648,-1.1375),(6815,3585,0.002686,-1.136),(6815,3595,0.002738,-1.1346),(6815,3605,0.00279,-1.1331),(6815,3615,0.002843,-1.1318),(6815,3625,0.002902,-1.1305),(6815,3635,0.003015,-1.1292),(6815,3645,0.003128,-1.1279),(6815,3655,0.003241,-1.1264),(6815,3665,0.003351,-1.125),(6815,3675,0.003442,-1.1236),(6815,3685,0.003533,-1.1221),(6815,3695,0.003624,-1.1206),(6815,3705,0.003706,-1.1191),(6815,3715,0.003752,-1.1175),(6815,3725,0.003798,-1.116),(6815,3735,0.003845,-1.1143),(6815,3745,0.003896,-1.1126),(6815,3755,0.003964,-1.111),(6815,3765,0.004032,-1.1093),(6815,3775,0.0041,-1.1075),(6815,3785,0.004158,-1.1058),(6815,3795,0.004189,-1.104),(6815,3805,0.00422,-1.1021),(6815,3815,0.004251,-1.0998),(6815,3825,0.004279,-1.0975),(6815,3835,0.004302,-1.0952),(6815,3845,0.004325,-1.0929),(6815,3855,0.004348,-1.0905),(6815,3865,0.004324,-1.0881),(6815,3875,0.004215,-1.0858),(6815,3885,0.004106,-1.0831),(6815,3895,0.003997,-1.0801),(6815,3905,0.003864,-1.077),(6815,3915,0.003696,-1.074),(6815,3925,0.003527,-1.0707),(6815,3935,0.003359,-1.067),(6815,3945,0.003164,-1.0634),(6815,3955,0.002933,-1.0597),(6815,3965,0.002703,-1.0557),(6815,3975,0.002472,-1.0512),(6815,3985,0.002233,-1.0468),(6815,3995,0.001984,-1.0423),(6815,4005,0.001734,-1.0383),(6815,4015,0.001485,-1.0349),(6815,4025,0.067817,-1.0315),(6815,4035,0.14066,-1.0289),(6815,4045,0.21351,-1.0279),(6815,4055,0.26556,-1.0269),(6815,4065,0.31002,-1.0258),(6815,4075,0.35447,-1.0242),(6815,4085,0.3746,-1.0225),(6815,4095,0.37516,-1.0208),(6815,4105,0.37572,-1.0192),(6815,4115,0.37627,-1.0175),(6815,4125,0.37679,-1.0158),(6815,4135,0.37731,-1.014),(6815,4145,0.37783,-1.0122),(6815,4155,0.37833,-1.0103),(6815,4165,0.37884,-1.0086),(6815,4175,0.37934,-1.0069),(6815,4185,0.37979,-1.0052),(6815,4195,0.38023,-1.0035),(6815,4205,0.38068,-1.0016),(6815,4215,0.3811,-0.99979),(6815,4225,0.38151,-0.99792),(6815,4235,0.38192,-0.99593),(6815,4245,0.38233,-0.99395),(6815,4255,0.38274,-0.99196),(6815,4265,0.38314,-0.98995),(6815,4275,0.38355,-0.98793),(6815,4285,0.38397,-0.98592),(6815,4295,0.38439,-0.98385),(6815,4305,0.38481,-0.98177),(6815,4315,0.38523,-0.9797),(6815,4325,0.38565,-0.97754),(6815,4335,0.38608,-0.97536),(6815,4345,0.3865,-0.97317),(6815,4355,0.38693,-0.97095),(6815,4365,0.38735,-0.96869),(6815,4375,0.38779,-0.96643),(6815,4385,0.38822,-0.96415),(6815,4395,0.38866,-0.96185),(6815,4405,0.38911,-0.95955),(6815,4415,0.38956,-0.95722),(6815,4425,0.39002,-0.95477),(6815,4435,0.3905,-0.95233),(6815,4445,0.39099,-0.94988),(6815,4455,0.39148,-0.94741),(6815,4465,0.39198,-0.94494),(6815,4475,0.39249,-0.94247),(6815,4485,0.39301,-0.93989),(6815,4495,0.39353,-0.93728),(6815,4505,0.39407,-0.93467),(6815,4515,0.39462,-0.93203),(6815,4525,0.39517,-0.92938),(6815,4535,0.39574,-0.92672),(6815,4545,0.39632,-0.92403),(6815,4555,0.39689,-0.92131),(6815,4565,0.3975,-0.91859),(6815,4575,0.3981,-0.91584),(6815,4585,0.39871,-0.913),(6815,4595,0.39934,-0.91016),(6815,4605,0.39997,-0.90731),(6815,4615,0.4006,-0.90436),(6815,4625,0.40125,-0.90142),(6815,4635,0.40192,-0.89847),(6815,4645,0.40258,-0.89547),(6815,4655,0.40326,-0.89247),(6815,4665,0.40397,-0.88947),(6815,4675,0.40468,-0.88642),(6815,4685,0.40539,-0.88336),(6815,4695,0.40614,-0.88029),(6815,4705,0.40688,-0.87715),(6815,4715,0.40763,-0.87396),(6815,4725,0.40844,-0.87077),(6815,4735,0.40925,-0.86765),(6815,4745,0.41006,-0.86465),(6815,4755,0.41086,-0.86165),(6815,4765,0.41166,-0.85856),(6815,4775,0.41246,-0.85517),(6815,4785,0.41329,-0.85178),(6815,4795,0.41414,-0.8484),(6815,4805,0.41499,-0.84501),(6815,4815,0.41585,-0.84163),(6815,4825,0.41671,-0.83824),(6815,4835,0.41758,-0.8348),(6815,4845,0.41845,-0.83135),(6815,4855,0.41934,-0.82789),(6815,4865,0.42023,-0.82438),(6815,4875,0.42113,-0.82085),(6815,4885,0.42205,-0.81731),(6815,4895,0.42298,-0.81376),(6815,4905,0.4239,-0.81019),(6815,4915,0.42487,-0.80662),(6815,4925,0.42584,-0.80303),(6815,4935,0.4268,-0.79942),(6815,4945,0.42779,-0.79581),(6815,4955,0.42878,-0.79219),(6815,4965,0.42978,-0.7885),(6815,4975,0.43077,-0.78481),(6815,4985,0.43177,-0.78112),(6815,4995,0.43278,-0.77731),(6815,5005,0.43377,-0.7735),(6815,5015,0.43476,-0.76969),(6815,5025,0.43576,-0.76569),(6815,5035,0.43676,-0.76163),(6815,5045,0.43779,-0.75757),(6815,5055,0.43883,-0.75389),(6815,5065,0.43986,-0.75045),(6815,5075,0.44086,-0.747),(6815,5085,0.44185,-0.74325),(6815,5095,0.44285,-0.73914),(6815,5105,0.44394,-0.73502),(6815,5115,0.44506,-0.73093),(6815,5125,0.44617,-0.72689),(6815,5135,0.44728,-0.72286),(6815,5145,0.44839,-0.71882),(6815,5155,0.4495,-0.7147),(6815,5165,0.4506,-0.71058),(6815,5175,0.45169,-0.70647),(6815,5185,0.45278,-0.70228),(6815,5195,0.45387,-0.69809),(6815,5205,0.45496,-0.69389),(6815,5215,0.45605,-0.68967),(6815,5225,0.45714,-0.68545),(6815,5235,0.45823,-0.68122),(6815,5245,0.45933,-0.67697),(6815,5255,0.46043,-0.6727),(6815,5265,0.46153,-0.66842),(6815,5275,0.46263,-0.66413),(6815,5285,0.46374,-0.65981),(6815,5295,0.46484,-0.65549),(6815,5305,0.46594,-0.65117),(6815,5315,0.46704,-0.64683),(6815,5325,0.46814,-0.64249),(6815,5335,0.46923,-0.63815),(6815,5345,0.47033,-0.63372),(6815,5355,0.47142,-0.62929),(6815,5365,0.4725,-0.62487),(6815,5375,0.47358,-0.62035),(6815,5385,0.47466,-0.61581),(6815,5395,0.47573,-0.61128),(6815,5405,0.4768,-0.60671),(6815,5415,0.47787,-0.60212),(6815,5425,0.47896,-0.59753),(6815,5435,0.48005,-0.59294),(6815,5445,0.48114,-0.58834),(6815,5455,0.48224,-0.58375),(6815,5465,0.48334,-0.57915),(6815,5475,0.48444,-0.57452),(6815,5485,0.48554,-0.56989),(6815,5495,0.48664,-0.56526),(6815,5505,0.48774,-0.56054),(6815,5515,0.48884,-0.55582),(6815,5525,0.48993,-0.5511),(6815,5535,0.49101,-0.54635),(6815,5545,0.4921,-0.5416),(6815,5555,0.49319,-0.53684),(6815,5565,0.49427,-0.53206),(6815,5575,0.49536,-0.52727),(6815,5585,0.49644,-0.52248),(6815,5595,0.49753,-0.51765),(6815,5605,0.49862,-0.51279),(6815,5615,0.49968,-0.50794),(6815,5625,0.50075,-0.50304),(6815,5635,0.50182,-0.49809),(6815,5645,0.50287,-0.49313),(6815,5655,0.5039,-0.48811),(6815,5665,0.50494,-0.48286),(6815,5675,0.50599,-0.47761),(6815,5685,0.50705,-0.47243),(6815,5695,0.50811,-0.46825),(6815,5705,0.50908,-0.46408),(6815,5715,0.50995,-0.45991),(6815,5725,0.51081,-0.45472),(6815,5735,0.51171,-0.44939),(6815,5745,0.51266,-0.44407),(6815,5755,0.51362,-0.43891),(6815,5765,0.51458,-0.43382),(6815,5775,0.51553,-0.42874),(6815,5785,0.51649,-0.42368),(6815,5795,0.51744,-0.41864),(6815,5805,0.51838,-0.4136),(6815,5815,0.51931,-0.40853),(6815,5825,0.52025,-0.40343),(6815,5835,0.52116,-0.39832),(6815,5845,0.52206,-0.39321),(6815,5855,0.52296,-0.38805),(6815,5865,0.52384,-0.38289),(6815,5875,0.52471,-0.37773),(6815,5885,0.52558,-0.37253),(6815,5895,0.52644,-0.36732),(6815,5905,0.52729,-0.36212),(6815,5915,0.52814,-0.35685),(6815,5925,0.52898,-0.35156),(6815,5935,0.52981,-0.34627),(6815,5945,0.53063,-0.34084),(6815,5955,0.53145,-0.33533),(6815,5965,0.53234,-0.32981),(6815,5975,0.53323,-0.32484),(6815,5985,0.53411,-0.32052),(6815,5995,0.53483,-0.3162),(6815,6005,0.53551,-0.31153),(6815,6015,0.53619,-0.30592),(6815,6025,0.53693,-0.30031),(6815,6035,0.53769,-0.29472),(6815,6045,0.53845,-0.28934),(6815,6055,0.53919,-0.28396),(6815,6065,0.53992,-0.27857),(6815,6075,0.54066,-0.27325),(6815,6085,0.54137,-0.26793),(6815,6095,0.54207,-0.26261),(6815,6105,0.54276,-0.25724),(6815,6115,0.54344,-0.25185),(6815,6125,0.54409,-0.24645),(6815,6135,0.54473,-0.24108),(6815,6145,0.54538,-0.23573),(6815,6155,0.54599,-0.23037),(6815,6165,0.54661,-0.22505),(6815,6175,0.54723,-0.21977),(6815,6185,0.5478,-0.21449),(6815,6195,0.54836,-0.20919),(6815,6205,0.54891,-0.20376),(6815,6215,0.54943,-0.19834),(6815,6225,0.54993,-0.19291),(6815,6235,0.55042,-0.18735),(6815,6245,0.5509,-0.18179),(6815,6255,0.55138,-0.17623),(6815,6265,0.55185,-0.17057),(6815,6275,0.55235,-0.16489),(6815,6285,0.5529,-0.1592),(6815,6295,0.55345,-0.1543),(6815,6305,0.55398,-0.14979),(6815,6315,0.55435,-0.14528),(6815,6325,0.55472,-0.14022),(6815,6335,0.55509,-0.1346),(6815,6345,0.5555,-0.12897),(6815,6355,0.55592,-0.12336),(6815,6365,0.55634,-0.11778),(6815,6375,0.55669,-0.1122),(6815,6385,0.55702,-0.10662),(6815,6395,0.55735,-0.10104),(6815,6405,0.55766,-0.095462),(6815,6415,0.55796,-0.089881),(6815,6425,0.55825,-0.084493),(6815,6435,0.55853,-0.079114),(6815,6445,0.5588,-0.073735),(6815,6455,0.55906,-0.068307),(6815,6465,0.55932,-0.062865),(6815,6475,0.55955,-0.057424),(6815,6485,0.55979,-0.051867),(6815,6495,0.56002,-0.046234),(6815,6505,0.56019,-0.040601),(6815,6515,0.56037,-0.035014),(6815,6525,0.56054,-0.029491),(6815,6535,0.56064,-0.023967),(6815,6545,0.56074,-0.018414),(6815,6555,0.56083,-0.012769),(6815,6565,0.56096,-0.007124),(6815,6575,0.5611,-0.001525),(6815,6585,0.56124,0.003394),(6815,6595,0.47741,0.008313),(6815,6605,0.30084,0.013233),(6815,6615,0.12427,0.013871),(6815,6625,0.000166,0.013959),(6815,6635,0.000234,0.014048),(6815,6645,0.000302,0.014072),(6815,6655,0.000371,0.01407),(6815,6665,0.000439,0.014068),(6815,6675,0.000506,0.014064),(6815,6685,0.000574,0.014059),(6815,6695,0.000642,0.014053),(6815,6705,0.000709,0.014046),(6815,6715,0.000776,0.014037),(6815,6725,0.000843,0.014028),(6815,6735,0.000909,0.014019),(6815,6745,0.000976,0.014006),(6815,6755,0.001041,0.013994),(6815,6765,0.001106,0.013981),(6815,6775,0.001171,0.013966),(6815,6785,0.001236,0.01395),(6815,6795,0.0013,0.013935),(6815,6805,0.001363,0.013917),(6815,6815,0.001427,0.013898),(6815,6825,0.001489,0.013879),(6815,6835,0.00155,0.013859),(6815,6845,0.001612,0.013837),(6815,6855,0.001672,0.013816),(6815,6865,0.001733,0.013793),(6815,6875,0.001793,0.013769),(6815,6885,0.001851,0.013745),(6815,6895,0.001909,0.01372),(6815,6905,0.001967,0.013694),(6815,6915,0.002024,0.013667),(6815,6925,0.00208,0.01364),(6815,6935,0.002135,0.013611),(6815,6945,0.00219,0.013582),(6815,6955,0.002244,0.013553),(6815,6965,0.002297,0.013523),(6815,6975,0.00235,0.013492),(6815,6985,0.002401,0.013461),(6825,5,-1.2e-05,-1.2905),(6825,15,-3.7e-05,-1.2905),(6825,25,-4.8e-05,-1.2905),(6825,35,-4.6e-05,-1.2904),(6825,45,-4.4e-05,-1.2904),(6825,55,-4.2e-05,-1.2904),(6825,65,-4.8e-05,-1.2903),(6825,75,-5.9e-05,-1.2903),(6825,85,-7e-05,-1.2902),(6825,95,-8.1e-05,-1.2901),(6825,105,-9.7e-05,-1.2901),(6825,115,-0.000118,-1.29),(6825,125,-0.000138,-1.2899),(6825,135,-0.000158,-1.2898),(6825,145,-0.000166,-1.2897),(6825,155,-0.000168,-1.2896),(6825,165,-0.00017,-1.2896),(6825,175,-0.000172,-1.2895),(6825,185,-0.000167,-1.2894),(6825,195,-0.000157,-1.2894),(6825,205,-0.000148,-1.2893),(6825,215,-0.000139,-1.2892),(6825,225,-0.000121,-1.2891),(6825,235,-0.0001,-1.289),(6825,245,-7.9e-05,-1.2889),(6825,255,-5.8e-05,-1.2888),(6825,265,-5.1e-05,-1.2887),(6825,275,-4.8e-05,-1.2886),(6825,285,-4.6e-05,-1.2884),(6825,295,-4.4e-05,-1.2882),(6825,305,-7.1e-05,-1.288),(6825,315,-0.000105,-1.2878),(6825,325,-0.000139,-1.2876),(6825,335,-0.000174,-1.2874),(6825,345,-0.000226,-1.2872),(6825,355,-0.000282,-1.287),(6825,365,-0.000337,-1.2867),(6825,375,-0.000393,-1.2865),(6825,385,-0.000374,-1.2862),(6825,395,-0.000345,-1.2859),(6825,405,-0.000316,-1.2857),(6825,415,-0.000287,-1.2855),(6825,425,-0.000253,-1.2853),(6825,435,-0.000218,-1.2851),(6825,445,-0.000184,-1.2849),(6825,455,-0.000149,-1.2846),(6825,465,-0.000105,-1.2844),(6825,475,-6.1e-05,-1.2842),(6825,485,-1.7e-05,-1.284),(6825,495,2.7e-05,-1.2838),(6825,505,2.9e-05,-1.2835),(6825,515,3.1e-05,-1.2833),(6825,525,3.2e-05,-1.283),(6825,535,3.3e-05,-1.2827),(6825,545,4e-06,-1.2825),(6825,555,-2.4e-05,-1.2822),(6825,565,-5.3e-05,-1.2818),(6825,575,-8.3e-05,-1.2815),(6825,585,-0.000137,-1.2812),(6825,595,-0.000191,-1.2809),(6825,605,-0.000245,-1.2805),(6825,615,-0.0003,-1.2801),(6825,625,-0.000368,-1.2797),(6825,635,-0.000435,-1.2794),(6825,645,-0.000503,-1.279),(6825,655,-0.000566,-1.2786),(6825,665,-0.000608,-1.2782),(6825,675,-0.00065,-1.2779),(6825,685,-0.000692,-1.2775),(6825,695,-0.000718,-1.2771),(6825,705,-0.000683,-1.2767),(6825,715,-0.000647,-1.2764),(6825,725,-0.000611,-1.2761),(6825,735,-0.000575,-1.2758),(6825,745,-0.00054,-1.2754),(6825,755,-0.000506,-1.2751),(6825,765,-0.000471,-1.2747),(6825,775,-0.000414,-1.2743),(6825,785,-0.000297,-1.2739),(6825,795,-0.00018,-1.2735),(6825,805,-6.3e-05,-1.2731),(6825,815,2e-05,-1.2726),(6825,825,2.7e-05,-1.2722),(6825,835,3.4e-05,-1.2718),(6825,845,4.1e-05,-1.2713),(6825,855,5e-05,-1.2708),(6825,865,6.4e-05,-1.2703),(6825,875,7.8e-05,-1.2698),(6825,885,9.2e-05,-1.2693),(6825,895,0.000118,-1.2688),(6825,905,0.000164,-1.2683),(6825,915,0.00021,-1.2677),(6825,925,0.000255,-1.2672),(6825,935,0.000323,-1.2667),(6825,945,0.000422,-1.2662),(6825,955,0.00052,-1.2657),(6825,965,0.000619,-1.2652),(6825,975,0.000734,-1.2647),(6825,985,0.000867,-1.2642),(6825,995,0.001,-1.2637),(6825,1005,0.001133,-1.2631),(6825,1015,0.00126,-1.2626),(6825,1025,0.00138,-1.262),(6825,1035,0.001501,-1.2614),(6825,1045,0.001621,-1.2607),(6825,1055,0.001723,-1.2601),(6825,1065,0.00181,-1.2594),(6825,1075,0.001896,-1.2586),(6825,1085,0.001983,-1.2578),(6825,1095,0.001975,-1.2569),(6825,1105,0.001901,-1.2561),(6825,1115,0.001827,-1.255),(6825,1125,0.001752,-1.2537),(6825,1135,0.001649,-1.2525),(6825,1145,0.001528,-1.2512),(6825,1155,0.001408,-1.2497),(6825,1165,0.001287,-1.248),(6825,1175,0.001008,-1.2463),(6825,1185,0.000649,-1.2446),(6825,1195,0.000291,-1.2425),(6825,1205,-6.7e-05,-1.2402),(6825,1215,-0.00052,-1.2379),(6825,1225,-0.001013,-1.2355),(6825,1235,-0.001505,-1.2326),(6825,1245,-0.001998,-1.2294),(6825,1255,-0.002549,-1.2262),(6825,1265,-0.003121,-1.223),(6825,1275,-0.003692,-1.219),(6825,1285,-0.004264,-1.2147),(6825,1295,-0.004109,-1.2104),(6825,1305,-0.003757,-1.2062),(6825,1315,-0.003405,-1.2033),(6825,1325,-0.003053,-1.2007),(6825,1335,-0.001758,-1.1981),(6825,1345,-0.000266,-1.1955),(6825,1355,0.001226,-1.1966),(6825,1365,0.002718,-1.1983),(6825,1375,0.003653,-1.2001),(6825,1385,0.004502,-1.2018),(6825,1395,0.00535,-1.2056),(6825,1405,0.006199,-1.2095),(6825,1415,0.005697,-1.2135),(6825,1425,0.005054,-1.2175),(6825,1435,0.004412,-1.2207),(6825,1445,0.003769,-1.2239),(6825,1455,0.003215,-1.227),(6825,1465,0.002667,-1.2302),(6825,1475,0.002118,-1.2323),(6825,1485,0.001569,-1.2344),(6825,1495,0.001177,-1.2365),(6825,1505,0.000786,-1.2385),(6825,1515,0.000396,-1.2397),(6825,1525,1.4e-05,-1.241),(6825,1535,-5.8e-05,-1.2422),(6825,1545,-0.00013,-1.2434),(6825,1555,-0.000202,-1.2442),(6825,1565,-0.000271,-1.2449),(6825,1575,-0.000293,-1.2457),(6825,1585,-0.000315,-1.2465),(6825,1595,-0.000337,-1.247),(6825,1605,-0.000349,-1.2476),(6825,1615,-0.000276,-1.2481),(6825,1625,-0.000202,-1.2486),(6825,1635,-0.000128,-1.2489),(6825,1645,-5.5e-05,-1.2492),(6825,1655,2.1e-05,-1.2496),(6825,1665,9.7e-05,-1.2498),(6825,1675,0.000172,-1.25),(6825,1685,0.000244,-1.2502),(6825,1695,0.000297,-1.2504),(6825,1705,0.00035,-1.2506),(6825,1715,0.000403,-1.2507),(6825,1725,0.000453,-1.2508),(6825,1735,0.000491,-1.2509),(6825,1745,0.00053,-1.2509),(6825,1755,0.000569,-1.251),(6825,1765,0.000605,-1.251),(6825,1775,0.000636,-1.251),(6825,1785,0.000668,-1.2511),(6825,1795,0.000699,-1.2511),(6825,1805,0.000747,-1.2511),(6825,1815,0.000836,-1.2511),(6825,1825,0.000924,-1.2512),(6825,1835,0.001013,-1.2513),(6825,1845,0.001073,-1.2514),(6825,1855,0.001077,-1.2515),(6825,1865,0.001081,-1.2515),(6825,1875,0.001085,-1.2514),(6825,1885,0.001126,-1.2513),(6825,1895,0.00123,-1.2513),(6825,1905,0.001333,-1.2512),(6825,1915,0.001436,-1.2512),(6825,1925,0.001501,-1.2512),(6825,1935,0.001511,-1.2511),(6825,1945,0.001521,-1.2511),(6825,1955,0.001531,-1.251),(6825,1965,0.001531,-1.251),(6825,1975,0.001521,-1.2509),(6825,1985,0.00151,-1.2508),(6825,1995,0.001499,-1.2506),(6825,2005,0.001489,-1.2505),(6825,2015,0.001479,-1.2503),(6825,2025,0.00147,-1.2502),(6825,2035,0.00146,-1.25),(6825,2045,0.001442,-1.2499),(6825,2055,0.001415,-1.2497),(6825,2065,0.001388,-1.2496),(6825,2075,0.001362,-1.2494),(6825,2085,0.001357,-1.2492),(6825,2095,0.001369,-1.249),(6825,2105,0.00138,-1.2489),(6825,2115,0.001392,-1.2487),(6825,2125,0.001429,-1.2486),(6825,2135,0.001482,-1.2484),(6825,2145,0.001535,-1.2483),(6825,2155,0.001589,-1.2481),(6825,2165,0.001617,-1.248),(6825,2175,0.001631,-1.2478),(6825,2185,0.001646,-1.2476),(6825,2195,0.001661,-1.2473),(6825,2205,0.001681,-1.247),(6825,2215,0.001704,-1.2467),(6825,2225,0.001726,-1.2465),(6825,2235,0.001749,-1.2462),(6825,2245,0.001729,-1.2459),(6825,2255,0.001693,-1.2456),(6825,2265,0.001658,-1.2452),(6825,2275,0.001623,-1.2449),(6825,2285,0.001621,-1.2445),(6825,2295,0.001629,-1.2441),(6825,2305,0.001637,-1.2437),(6825,2315,0.001645,-1.2433),(6825,2325,0.001609,-1.243),(6825,2335,0.001563,-1.2426),(6825,2345,0.001517,-1.2422),(6825,2355,0.001471,-1.2419),(6825,2365,0.001494,-1.2416),(6825,2375,0.001529,-1.2412),(6825,2385,0.001563,-1.2409),(6825,2395,0.001598,-1.2406),(6825,2405,0.001631,-1.2402),(6825,2415,0.001664,-1.2399),(6825,2425,0.001697,-1.2394),(6825,2435,0.00173,-1.2389),(6825,2445,0.001737,-1.2385),(6825,2455,0.001741,-1.238),(6825,2465,0.001746,-1.2375),(6825,2475,0.00175,-1.2371),(6825,2485,0.001747,-1.2366),(6825,2495,0.001744,-1.2361),(6825,2505,0.001741,-1.2357),(6825,2515,0.001737,-1.2352),(6825,2525,0.001711,-1.2348),(6825,2535,0.001686,-1.2344),(6825,2545,0.00166,-1.2338),(6825,2555,0.001634,-1.2333),(6825,2565,0.001606,-1.2327),(6825,2575,0.001578,-1.2321),(6825,2585,0.001551,-1.2316),(6825,2595,0.001527,-1.231),(6825,2605,0.001546,-1.2305),(6825,2615,0.001565,-1.2299),(6825,2625,0.001584,-1.2294),(6825,2635,0.001585,-1.2288),(6825,2645,0.001465,-1.2283),(6825,2655,0.001346,-1.2277),(6825,2665,0.001226,-1.2269),(6825,2675,0.001144,-1.2261),(6825,2685,0.00124,-1.2253),(6825,2695,0.001337,-1.2245),(6825,2705,0.001433,-1.2239),(6825,2715,0.0015,-1.2233),(6825,2725,0.001458,-1.2227),(6825,2735,0.001415,-1.2221),(6825,2745,0.001373,-1.2214),(6825,2755,0.001339,-1.2208),(6825,2765,0.001332,-1.2201),(6825,2775,0.001324,-1.2195),(6825,2785,0.001317,-1.2187),(6825,2795,0.001312,-1.218),(6825,2805,0.001313,-1.2173),(6825,2815,0.001314,-1.2165),(6825,2825,0.001315,-1.2158),(6825,2835,0.001317,-1.215),(6825,2845,0.001321,-1.2142),(6825,2855,0.001326,-1.2135),(6825,2865,0.00133,-1.2127),(6825,2875,0.001339,-1.2119),(6825,2885,0.001357,-1.2111),(6825,2895,0.001375,-1.2103),(6825,2905,0.001392,-1.2094),(6825,2915,0.001418,-1.2086),(6825,2925,0.001455,-1.2078),(6825,2935,0.001492,-1.2069),(6825,2945,0.001529,-1.2061),(6825,2955,0.001574,-1.2053),(6825,2965,0.001629,-1.2045),(6825,2975,0.001684,-1.2036),(6825,2985,0.001739,-1.2028),(6825,2995,0.001801,-1.202),(6825,3005,0.00187,-1.2012),(6825,3015,0.001938,-1.2004),(6825,3025,0.002007,-1.1996),(6825,3035,0.001957,-1.1988),(6825,3045,0.001801,-1.198),(6825,3055,0.001646,-1.197),(6825,3065,0.00149,-1.1958),(6825,3075,0.00145,-1.1946),(6825,3085,0.001498,-1.1934),(6825,3095,0.001546,-1.1923),(6825,3105,0.001594,-1.1913),(6825,3115,0.001598,-1.1902),(6825,3125,0.001575,-1.1892),(6825,3135,0.001551,-1.1883),(6825,3145,0.001528,-1.1873),(6825,3155,0.001559,-1.1864),(6825,3165,0.001621,-1.1854),(6825,3175,0.001682,-1.1844),(6825,3185,0.001743,-1.1834),(6825,3195,0.001805,-1.1825),(6825,3205,0.001868,-1.1815),(6825,3215,0.00193,-1.1805),(6825,3225,0.001992,-1.1794),(6825,3235,0.002038,-1.1784),(6825,3245,0.002079,-1.1774),(6825,3255,0.002119,-1.1763),(6825,3265,0.002159,-1.1753),(6825,3275,0.002156,-1.1742),(6825,3285,0.00214,-1.1731),(6825,3295,0.002124,-1.172),(6825,3305,0.002108,-1.1708),(6825,3315,0.002096,-1.1696),(6825,3325,0.002085,-1.1684),(6825,3335,0.002074,-1.1672),(6825,3345,0.002063,-1.1661),(6825,3355,0.002092,-1.165),(6825,3365,0.002128,-1.1638),(6825,3375,0.002164,-1.1627),(6825,3385,0.002201,-1.1615),(6825,3395,0.002079,-1.1604),(6825,3405,0.001936,-1.1592),(6825,3415,0.001793,-1.1578),(6825,3425,0.001651,-1.1564),(6825,3435,0.001766,-1.155),(6825,3445,0.001901,-1.1536),(6825,3455,0.002036,-1.1525),(6825,3465,0.002172,-1.1513),(6825,3475,0.0022,-1.1501),(6825,3485,0.002224,-1.149),(6825,3495,0.002249,-1.1477),(6825,3505,0.002274,-1.1465),(6825,3515,0.002339,-1.1452),(6825,3525,0.002404,-1.144),(6825,3535,0.00247,-1.1427),(6825,3545,0.002534,-1.1415),(6825,3555,0.00257,-1.1402),(6825,3565,0.002607,-1.139),(6825,3575,0.002644,-1.1375),(6825,3585,0.00268,-1.1361),(6825,3595,0.00271,-1.1346),(6825,3605,0.00274,-1.1332),(6825,3615,0.002769,-1.1318),(6825,3625,0.002807,-1.1305),(6825,3635,0.002903,-1.1292),(6825,3645,0.003,-1.1278),(6825,3655,0.003096,-1.1264),(6825,3665,0.003191,-1.125),(6825,3675,0.003281,-1.1235),(6825,3685,0.003371,-1.1221),(6825,3695,0.003461,-1.1206),(6825,3705,0.003537,-1.119),(6825,3715,0.003562,-1.1175),(6825,3725,0.003587,-1.116),(6825,3735,0.003611,-1.1143),(6825,3745,0.00364,-1.1126),(6825,3755,0.00368,-1.111),(6825,3765,0.00372,-1.1093),(6825,3775,0.00376,-1.1075),(6825,3785,0.003756,-1.1057),(6825,3795,0.003639,-1.1039),(6825,3805,0.003521,-1.102),(6825,3815,0.003404,-1.0998),(6825,3825,0.003326,-1.0976),(6825,3835,0.003332,-1.0954),(6825,3845,0.003338,-1.0931),(6825,3855,0.003344,-1.0907),(6825,3865,0.003252,-1.0884),(6825,3875,0.002985,-1.086),(6825,3885,0.002718,-1.0834),(6825,3895,0.002451,-1.0804),(6825,3905,0.002156,-1.0773),(6825,3915,0.001819,-1.0743),(6825,3925,0.001482,-1.071),(6825,3935,0.001144,-1.0674),(6825,3945,0.000782,-1.0637),(6825,3955,0.000389,-1.0601),(6825,3965,-4e-06,-1.056),(6825,3975,-0.000397,-1.0515),(6825,3985,-0.000656,-1.047),(6825,3995,-0.00077,-1.0425),(6825,4005,-0.000884,-1.0385),(6825,4015,-0.000998,-1.035),(6825,4025,0.065538,-1.0315),(6825,4035,0.13859,-1.0288),(6825,4045,0.21165,-1.0279),(6825,4055,0.2635,-1.0269),(6825,4065,0.30762,-1.0258),(6825,4075,0.35174,-1.0242),(6825,4085,0.37171,-1.0225),(6825,4095,0.37227,-1.0209),(6825,4105,0.37283,-1.0192),(6825,4115,0.37335,-1.0175),(6825,4125,0.3738,-1.0159),(6825,4135,0.37426,-1.0141),(6825,4145,0.37472,-1.0123),(6825,4155,0.37527,-1.0105),(6825,4165,0.37581,-1.0088),(6825,4175,0.37634,-1.0071),(6825,4185,0.37677,-1.0054),(6825,4195,0.37719,-1.0037),(6825,4205,0.37761,-1.0018),(6825,4215,0.378,-1),(6825,4225,0.37839,-0.99816),(6825,4235,0.37878,-0.99618),(6825,4245,0.37917,-0.9942),(6825,4255,0.37955,-0.99222),(6825,4265,0.37994,-0.99021),(6825,4275,0.38033,-0.98819),(6825,4285,0.38072,-0.98618),(6825,4295,0.38112,-0.98411),(6825,4305,0.38151,-0.98204),(6825,4315,0.38192,-0.97997),(6825,4325,0.38232,-0.97782),(6825,4335,0.38273,-0.97564),(6825,4345,0.38313,-0.97346),(6825,4355,0.38353,-0.97124),(6825,4365,0.38394,-0.96898),(6825,4375,0.38435,-0.96673),(6825,4385,0.38476,-0.96446),(6825,4395,0.38518,-0.96215),(6825,4405,0.3856,-0.95985),(6825,4415,0.38603,-0.95753),(6825,4425,0.38647,-0.95508),(6825,4435,0.38692,-0.95264),(6825,4445,0.3874,-0.9502),(6825,4455,0.38788,-0.94771),(6825,4465,0.38836,-0.94523),(6825,4475,0.38884,-0.94275),(6825,4485,0.38932,-0.94016),(6825,4495,0.38981,-0.93756),(6825,4505,0.39033,-0.93495),(6825,4515,0.39085,-0.93231),(6825,4525,0.39138,-0.92964),(6825,4535,0.39194,-0.92698),(6825,4545,0.39249,-0.92429),(6825,4555,0.39305,-0.92156),(6825,4565,0.39363,-0.91884),(6825,4575,0.39422,-0.91608),(6825,4585,0.39481,-0.91324),(6825,4595,0.39541,-0.91039),(6825,4605,0.39603,-0.90754),(6825,4615,0.39664,-0.90459),(6825,4625,0.39727,-0.90165),(6825,4635,0.3979,-0.8987),(6825,4645,0.39854,-0.8957),(6825,4655,0.39919,-0.8927),(6825,4665,0.39987,-0.88969),(6825,4675,0.40054,-0.88664),(6825,4685,0.40122,-0.88357),(6825,4695,0.40192,-0.8805),(6825,4705,0.40262,-0.87737),(6825,4715,0.40332,-0.8742),(6825,4725,0.4042,-0.87102),(6825,4735,0.40508,-0.86788),(6825,4745,0.40597,-0.86479),(6825,4755,0.40669,-0.8617),(6825,4765,0.40738,-0.85855),(6825,4775,0.40807,-0.85519),(6825,4785,0.40886,-0.85183),(6825,4795,0.40972,-0.84847),(6825,4805,0.41058,-0.84508),(6825,4815,0.41143,-0.8417),(6825,4825,0.41229,-0.83832),(6825,4835,0.41315,-0.83488),(6825,4845,0.41401,-0.83142),(6825,4855,0.41488,-0.82797),(6825,4865,0.41575,-0.82446),(6825,4875,0.41662,-0.82092),(6825,4885,0.41752,-0.81738),(6825,4895,0.41842,-0.81381),(6825,4905,0.41932,-0.81023),(6825,4915,0.42026,-0.80665),(6825,4925,0.4212,-0.80305),(6825,4935,0.42214,-0.79943),(6825,4945,0.42311,-0.79581),(6825,4955,0.42408,-0.79218),(6825,4965,0.42505,-0.78848),(6825,4975,0.42603,-0.78479),(6825,4985,0.42701,-0.7811),(6825,4995,0.42798,-0.77731),(6825,5005,0.42895,-0.77352),(6825,5015,0.42988,-0.76973),(6825,5025,0.43081,-0.76579),(6825,5035,0.43181,-0.76181),(6825,5045,0.43304,-0.75784),(6825,5055,0.43427,-0.75406),(6825,5065,0.43549,-0.75042),(6825,5075,0.43622,-0.74677),(6825,5085,0.43696,-0.74294),(6825,5095,0.43769,-0.73887),(6825,5105,0.43877,-0.7348),(6825,5115,0.4399,-0.73074),(6825,5125,0.44103,-0.7267),(6825,5135,0.44216,-0.72267),(6825,5145,0.44328,-0.71863),(6825,5155,0.4444,-0.71452),(6825,5165,0.4455,-0.71042),(6825,5175,0.44659,-0.70631),(6825,5185,0.44768,-0.70213),(6825,5195,0.44876,-0.69794),(6825,5205,0.44983,-0.69375),(6825,5215,0.4509,-0.68954),(6825,5225,0.45197,-0.68531),(6825,5235,0.45304,-0.68108),(6825,5245,0.45411,-0.67682),(6825,5255,0.45518,-0.67254),(6825,5265,0.45626,-0.66826),(6825,5275,0.45734,-0.66396),(6825,5285,0.45843,-0.65963),(6825,5295,0.45951,-0.6553),(6825,5305,0.4606,-0.65097),(6825,5315,0.46169,-0.64663),(6825,5325,0.46278,-0.64228),(6825,5335,0.46386,-0.63794),(6825,5345,0.46495,-0.63351),(6825,5355,0.46603,-0.62909),(6825,5365,0.4671,-0.62466),(6825,5375,0.46816,-0.62015),(6825,5385,0.46922,-0.61562),(6825,5395,0.47026,-0.6111),(6825,5405,0.47131,-0.60652),(6825,5415,0.47235,-0.60193),(6825,5425,0.4734,-0.59733),(6825,5435,0.47445,-0.59273),(6825,5445,0.4755,-0.58813),(6825,5455,0.47656,-0.58352),(6825,5465,0.47763,-0.5789),(6825,5475,0.4787,-0.57426),(6825,5485,0.47978,-0.56962),(6825,5495,0.48086,-0.56497),(6825,5505,0.48195,-0.56025),(6825,5515,0.48303,-0.55552),(6825,5525,0.48411,-0.5508),(6825,5535,0.48519,-0.54604),(6825,5545,0.48627,-0.54129),(6825,5555,0.48734,-0.53653),(6825,5565,0.48842,-0.53174),(6825,5575,0.48949,-0.52695),(6825,5585,0.49056,-0.52215),(6825,5595,0.49163,-0.51733),(6825,5605,0.4927,-0.51247),(6825,5615,0.49375,-0.50762),(6825,5625,0.49479,-0.50274),(6825,5635,0.49584,-0.49782),(6825,5645,0.49681,-0.49289),(6825,5655,0.49778,-0.48792),(6825,5665,0.49874,-0.4828),(6825,5675,0.50001,-0.47768),(6825,5685,0.50144,-0.4726),(6825,5695,0.50287,-0.46812),(6825,5705,0.50385,-0.46365),(6825,5715,0.50432,-0.45917),(6825,5725,0.50479,-0.45406),(6825,5735,0.50542,-0.44885),(6825,5745,0.50642,-0.44364),(6825,5755,0.50742,-0.43853),(6825,5765,0.50842,-0.43346),(6825,5775,0.50937,-0.4284),(6825,5785,0.51031,-0.42335),(6825,5795,0.51126,-0.4183),(6825,5805,0.51219,-0.41326),(6825,5815,0.51313,-0.40819),(6825,5825,0.51406,-0.40309),(6825,5835,0.51496,-0.39799),(6825,5845,0.51586,-0.39288),(6825,5855,0.51676,-0.38772),(6825,5865,0.51763,-0.38257),(6825,5875,0.5185,-0.37742),(6825,5885,0.51936,-0.37222),(6825,5895,0.5202,-0.36703),(6825,5905,0.52102,-0.36184),(6825,5915,0.52184,-0.35659),(6825,5925,0.52264,-0.35134),(6825,5935,0.52338,-0.34608),(6825,5945,0.52411,-0.34075),(6825,5955,0.52487,-0.33536),(6825,5965,0.52616,-0.32998),(6825,5975,0.52745,-0.32492),(6825,5985,0.52873,-0.32025),(6825,5995,0.52913,-0.31559),(6825,6005,0.52939,-0.31071),(6825,6015,0.52965,-0.30523),(6825,6025,0.53028,-0.29976),(6825,6035,0.5311,-0.2943),(6825,6045,0.53191,-0.28894),(6825,6055,0.53268,-0.28359),(6825,6065,0.53342,-0.27823),(6825,6075,0.53416,-0.27292),(6825,6085,0.53487,-0.26761),(6825,6095,0.53556,-0.2623),(6825,6105,0.53625,-0.25693),(6825,6115,0.53693,-0.25155),(6825,6125,0.53757,-0.24617),(6825,6135,0.5382,-0.2408),(6825,6145,0.53884,-0.23544),(6825,6155,0.53945,-0.23009),(6825,6165,0.54006,-0.22477),(6825,6175,0.54067,-0.2195),(6825,6185,0.54124,-0.21423),(6825,6195,0.5418,-0.20894),(6825,6205,0.54235,-0.20354),(6825,6215,0.54286,-0.19814),(6825,6225,0.54333,-0.19273),(6825,6235,0.5438,-0.1872),(6825,6245,0.54423,-0.18167),(6825,6255,0.54463,-0.17614),(6825,6265,0.54503,-0.17058),(6825,6275,0.54556,-0.165),(6825,6285,0.54649,-0.15943),(6825,6295,0.54742,-0.15435),(6825,6305,0.54827,-0.14951),(6825,6315,0.54826,-0.14468),(6825,6325,0.54826,-0.13951),(6825,6335,0.54825,-0.13401),(6825,6345,0.54869,-0.12851),(6825,6355,0.54919,-0.123),(6825,6365,0.54968,-0.11747),(6825,6375,0.55007,-0.11194),(6825,6385,0.55042,-0.10641),(6825,6395,0.55077,-0.10084),(6825,6405,0.5511,-0.095272),(6825,6415,0.55139,-0.089704),(6825,6425,0.55169,-0.084321),(6825,6435,0.55198,-0.078947),(6825,6445,0.55224,-0.073573),(6825,6455,0.5525,-0.068148),(6825,6465,0.55275,-0.062707),(6825,6475,0.55299,-0.057267),(6825,6485,0.55322,-0.051725),(6825,6495,0.55345,-0.046115),(6825,6505,0.5536,-0.040504),(6825,6515,0.55375,-0.034951),(6825,6525,0.5539,-0.029475),(6825,6535,0.55394,-0.023999),(6825,6545,0.55396,-0.018514),(6825,6555,0.55397,-0.012998),(6825,6565,0.55426,-0.007482),(6825,6575,0.5547,-0.001992),(6825,6585,0.55513,0.003103),(6825,6595,0.47234,0.008198),(6825,6605,0.29764,0.013293),(6825,6615,0.12295,0.013949),(6825,6625,0.000164,0.014034),(6825,6635,0.000233,0.014119),(6825,6645,0.000303,0.014142),(6825,6655,0.000372,0.01414),(6825,6665,0.000441,0.014138),(6825,6675,0.00051,0.014134),(6825,6685,0.000579,0.014128),(6825,6695,0.000648,0.014122),(6825,6705,0.000716,0.014115),(6825,6715,0.000784,0.014106),(6825,6725,0.000852,0.014097),(6825,6735,0.000919,0.014087),(6825,6745,0.000986,0.014074),(6825,6755,0.001053,0.014061),(6825,6765,0.001119,0.014048),(6825,6775,0.001185,0.014032),(6825,6785,0.001251,0.014016),(6825,6795,0.001315,0.014),(6825,6805,0.00138,0.013981),(6825,6815,0.001444,0.013962),(6825,6825,0.001507,0.013943),(6825,6835,0.00157,0.013922),(6825,6845,0.001632,0.0139),(6825,6855,0.001693,0.013878),(6825,6865,0.001754,0.013854),(6825,6875,0.001815,0.01383),(6825,6885,0.001874,0.013805),(6825,6895,0.001933,0.013779),(6825,6905,0.001992,0.013752),(6825,6915,0.002049,0.013725),(6825,6925,0.002105,0.013697),(6825,6935,0.002162,0.013667),(6825,6945,0.002217,0.013638),(6825,6955,0.002271,0.013608),(6825,6965,0.002325,0.013577),(6825,6975,0.002379,0.013545),(6825,6985,0.00243,0.013514),(6835,5,-1.3e-05,-1.2905),(6835,15,-3.8e-05,-1.2905),(6835,25,-4.8e-05,-1.2905),(6835,35,-4.3e-05,-1.2904),(6835,45,-3.8e-05,-1.2904),(6835,55,-3.4e-05,-1.2903),(6835,65,-3.7e-05,-1.2903),(6835,75,-4.7e-05,-1.2903),(6835,85,-5.7e-05,-1.2902),(6835,95,-6.7e-05,-1.2901),(6835,105,-8.4e-05,-1.2901),(6835,115,-0.000107,-1.29),(6835,125,-0.000129,-1.2899),(6835,135,-0.000152,-1.2898),(6835,145,-0.000164,-1.2897),(6835,155,-0.000172,-1.2896),(6835,165,-0.000179,-1.2896),(6835,175,-0.000186,-1.2895),(6835,185,-0.000183,-1.2894),(6835,195,-0.000176,-1.2894),(6835,205,-0.000169,-1.2893),(6835,215,-0.000161,-1.2892),(6835,225,-0.000142,-1.289),(6835,235,-0.000118,-1.2889),(6835,245,-9.4e-05,-1.2888),(6835,255,-6.9e-05,-1.2887),(6835,265,-5.5e-05,-1.2887),(6835,275,-4.4e-05,-1.2886),(6835,285,-3.4e-05,-1.2884),(6835,295,-2.3e-05,-1.2882),(6835,305,-4.5e-05,-1.288),(6835,315,-7.5e-05,-1.2878),(6835,325,-0.000105,-1.2876),(6835,335,-0.000135,-1.2874),(6835,345,-0.000205,-1.2872),(6835,355,-0.000282,-1.287),(6835,365,-0.00036,-1.2867),(6835,375,-0.000437,-1.2865),(6835,385,-0.00042,-1.2862),(6835,395,-0.00039,-1.286),(6835,405,-0.00036,-1.2858),(6835,415,-0.00033,-1.2855),(6835,425,-0.0003,-1.2853),(6835,435,-0.00027,-1.2851),(6835,445,-0.000239,-1.2848),(6835,455,-0.000209,-1.2846),(6835,465,-0.000157,-1.2844),(6835,475,-0.000103,-1.2841),(6835,485,-5e-05,-1.2839),(6835,495,3e-06,-1.2837),(6835,505,1.8e-05,-1.2835),(6835,515,3.3e-05,-1.2833),(6835,525,4.7e-05,-1.283),(6835,535,6.1e-05,-1.2827),(6835,545,3.9e-05,-1.2825),(6835,555,1.8e-05,-1.2822),(6835,565,-3e-06,-1.2819),(6835,575,-2.6e-05,-1.2815),(6835,585,-7.7e-05,-1.2812),(6835,595,-0.000128,-1.2809),(6835,605,-0.00018,-1.2805),(6835,615,-0.000233,-1.2802),(6835,625,-0.000307,-1.2798),(6835,635,-0.00038,-1.2794),(6835,645,-0.000453,-1.279),(6835,655,-0.000524,-1.2787),(6835,665,-0.000581,-1.2783),(6835,675,-0.000638,-1.2779),(6835,685,-0.000694,-1.2775),(6835,695,-0.000735,-1.2771),(6835,705,-0.000708,-1.2767),(6835,715,-0.00068,-1.2764),(6835,725,-0.000653,-1.276),(6835,735,-0.00063,-1.2757),(6835,745,-0.000624,-1.2753),(6835,755,-0.000618,-1.275),(6835,765,-0.000612,-1.2746),(6835,775,-0.000565,-1.2742),(6835,785,-0.000409,-1.2739),(6835,795,-0.000254,-1.2735),(6835,805,-9.8e-05,-1.2731),(6835,815,1.1e-05,-1.2726),(6835,825,1.4e-05,-1.2722),(6835,835,1.7e-05,-1.2718),(6835,845,2e-05,-1.2713),(6835,855,2.6e-05,-1.2708),(6835,865,3.4e-05,-1.2703),(6835,875,4.3e-05,-1.2698),(6835,885,5.1e-05,-1.2693),(6835,895,7e-05,-1.2688),(6835,905,0.000104,-1.2682),(6835,915,0.000138,-1.2677),(6835,925,0.000172,-1.2672),(6835,935,0.000227,-1.2667),(6835,945,0.00031,-1.2662),(6835,955,0.000393,-1.2657),(6835,965,0.000476,-1.2652),(6835,975,0.000576,-1.2647),(6835,985,0.000696,-1.2642),(6835,995,0.000815,-1.2636),(6835,1005,0.000935,-1.2631),(6835,1015,0.001048,-1.2625),(6835,1025,0.001155,-1.2619),(6835,1035,0.001262,-1.2613),(6835,1045,0.001369,-1.2606),(6835,1055,0.001452,-1.26),(6835,1065,0.001515,-1.2593),(6835,1075,0.001578,-1.2586),(6835,1085,0.001641,-1.2577),(6835,1095,0.001566,-1.2569),(6835,1105,0.001394,-1.256),(6835,1115,0.001222,-1.255),(6835,1125,0.00105,-1.2538),(6835,1135,0.000854,-1.2526),(6835,1145,0.000646,-1.2514),(6835,1155,0.000437,-1.2499),(6835,1165,0.000228,-1.2483),(6835,1175,-0.000213,-1.2466),(6835,1185,-0.000769,-1.2449),(6835,1195,-0.001325,-1.2428),(6835,1205,-0.001881,-1.2405),(6835,1215,-0.002566,-1.2382),(6835,1225,-0.003302,-1.2359),(6835,1235,-0.004039,-1.2329),(6835,1245,-0.004776,-1.2297),(6835,1255,-0.005572,-1.2266),(6835,1265,-0.006389,-1.2234),(6835,1275,-0.007205,-1.2193),(6835,1285,-0.008021,-1.215),(6835,1295,-0.007601,-1.2107),(6835,1305,-0.006847,-1.2064),(6835,1315,-0.006093,-1.2034),(6835,1325,-0.00534,-1.2008),(6835,1335,-0.003158,-1.1981),(6835,1345,-0.000677,-1.1955),(6835,1355,0.001804,-1.1966),(6835,1365,0.004285,-1.1984),(6835,1375,0.005839,-1.2002),(6835,1385,0.00725,-1.202),(6835,1395,0.008661,-1.2058),(6835,1405,0.010072,-1.2099),(6835,1415,0.009394,-1.2139),(6835,1425,0.008498,-1.218),(6835,1435,0.007603,-1.2212),(6835,1445,0.006708,-1.2243),(6835,1455,0.005903,-1.2275),(6835,1465,0.005104,-1.2306),(6835,1475,0.004305,-1.2326),(6835,1485,0.003506,-1.2347),(6835,1495,0.002895,-1.2367),(6835,1505,0.002287,-1.2387),(6835,1515,0.001679,-1.2399),(6835,1525,0.001082,-1.2411),(6835,1535,0.000926,-1.2424),(6835,1545,0.00077,-1.2436),(6835,1555,0.000613,-1.2443),(6835,1565,0.00046,-1.2451),(6835,1575,0.000358,-1.2458),(6835,1585,0.000255,-1.2465),(6835,1595,0.000153,-1.247),(6835,1605,6.4e-05,-1.2476),(6835,1615,9.7e-05,-1.2481),(6835,1625,0.00013,-1.2486),(6835,1635,0.000164,-1.2489),(6835,1645,0.0002,-1.2492),(6835,1655,0.00026,-1.2495),(6835,1665,0.000319,-1.2498),(6835,1675,0.000378,-1.25),(6835,1685,0.000434,-1.2502),(6835,1695,0.000473,-1.2504),(6835,1705,0.000512,-1.2506),(6835,1715,0.000551,-1.2507),(6835,1725,0.000585,-1.2508),(6835,1735,0.000605,-1.2509),(6835,1745,0.000625,-1.251),(6835,1755,0.000646,-1.251),(6835,1765,0.000664,-1.251),(6835,1775,0.000678,-1.251),(6835,1785,0.000692,-1.2511),(6835,1795,0.000705,-1.2511),(6835,1805,0.000743,-1.2511),(6835,1815,0.000835,-1.2511),(6835,1825,0.000927,-1.2511),(6835,1835,0.001019,-1.2512),(6835,1845,0.001072,-1.2513),(6835,1855,0.001052,-1.2513),(6835,1865,0.001032,-1.2514),(6835,1875,0.001012,-1.2513),(6835,1885,0.001052,-1.2513),(6835,1895,0.001191,-1.2513),(6835,1905,0.00133,-1.2512),(6835,1915,0.001468,-1.2512),(6835,1925,0.001552,-1.2512),(6835,1935,0.00156,-1.2511),(6835,1945,0.001568,-1.2511),(6835,1955,0.001575,-1.251),(6835,1965,0.001574,-1.251),(6835,1975,0.001563,-1.2509),(6835,1985,0.001552,-1.2508),(6835,1995,0.001541,-1.2507),(6835,2005,0.001528,-1.2505),(6835,2015,0.001513,-1.2504),(6835,2025,0.001497,-1.2502),(6835,2035,0.001482,-1.2501),(6835,2045,0.001455,-1.2499),(6835,2055,0.001419,-1.2498),(6835,2065,0.001382,-1.2496),(6835,2075,0.001345,-1.2494),(6835,2085,0.00133,-1.2492),(6835,2095,0.001331,-1.249),(6835,2105,0.001331,-1.2489),(6835,2115,0.001332,-1.2487),(6835,2125,0.001367,-1.2485),(6835,2135,0.001424,-1.2484),(6835,2145,0.001481,-1.2482),(6835,2155,0.001538,-1.2481),(6835,2165,0.001574,-1.248),(6835,2175,0.001599,-1.2478),(6835,2185,0.001625,-1.2476),(6835,2195,0.00165,-1.2473),(6835,2205,0.001683,-1.247),(6835,2215,0.001718,-1.2467),(6835,2225,0.001754,-1.2464),(6835,2235,0.00179,-1.2461),(6835,2245,0.001761,-1.2458),(6835,2255,0.001708,-1.2455),(6835,2265,0.001654,-1.2452),(6835,2275,0.001601,-1.2449),(6835,2285,0.001618,-1.2445),(6835,2295,0.001655,-1.2442),(6835,2305,0.001692,-1.2438),(6835,2315,0.001729,-1.2434),(6835,2325,0.001677,-1.243),(6835,2335,0.001605,-1.2426),(6835,2345,0.001534,-1.2423),(6835,2355,0.001462,-1.2419),(6835,2365,0.001472,-1.2416),(6835,2375,0.001495,-1.2412),(6835,2385,0.001517,-1.2409),(6835,2395,0.00154,-1.2405),(6835,2405,0.001576,-1.2402),(6835,2415,0.001612,-1.2398),(6835,2425,0.001649,-1.2394),(6835,2435,0.001685,-1.2389),(6835,2445,0.001694,-1.2384),(6835,2455,0.001702,-1.238),(6835,2465,0.001709,-1.2375),(6835,2475,0.001716,-1.2371),(6835,2485,0.001714,-1.2366),(6835,2495,0.001711,-1.2361),(6835,2505,0.001708,-1.2357),(6835,2515,0.001705,-1.2353),(6835,2525,0.001677,-1.2348),(6835,2535,0.001649,-1.2344),(6835,2545,0.001621,-1.2338),(6835,2555,0.001593,-1.2333),(6835,2565,0.001562,-1.2327),(6835,2575,0.001531,-1.2322),(6835,2585,0.0015,-1.2316),(6835,2595,0.001475,-1.231),(6835,2605,0.00151,-1.2305),(6835,2615,0.001546,-1.2299),(6835,2625,0.001582,-1.2293),(6835,2635,0.00159,-1.2287),(6835,2645,0.001417,-1.2281),(6835,2655,0.001244,-1.2275),(6835,2665,0.001071,-1.2268),(6835,2675,0.000957,-1.2261),(6835,2685,0.001128,-1.2254),(6835,2695,0.001298,-1.2247),(6835,2705,0.001469,-1.224),(6835,2715,0.001591,-1.2234),(6835,2725,0.001536,-1.2228),(6835,2735,0.001481,-1.2221),(6835,2745,0.001426,-1.2215),(6835,2755,0.001382,-1.2208),(6835,2765,0.001371,-1.2201),(6835,2775,0.00136,-1.2195),(6835,2785,0.001349,-1.2187),(6835,2795,0.00134,-1.218),(6835,2805,0.001338,-1.2173),(6835,2815,0.001336,-1.2165),(6835,2825,0.001334,-1.2158),(6835,2835,0.001333,-1.215),(6835,2845,0.001333,-1.2142),(6835,2855,0.001333,-1.2135),(6835,2865,0.001333,-1.2127),(6835,2875,0.001337,-1.2119),(6835,2885,0.00135,-1.2111),(6835,2895,0.001362,-1.2103),(6835,2905,0.001375,-1.2094),(6835,2915,0.001397,-1.2086),(6835,2925,0.001432,-1.2077),(6835,2935,0.001466,-1.2069),(6835,2945,0.001501,-1.2061),(6835,2955,0.001547,-1.2052),(6835,2965,0.001607,-1.2044),(6835,2975,0.001666,-1.2036),(6835,2985,0.001726,-1.2028),(6835,2995,0.001804,-1.202),(6835,3005,0.001902,-1.2012),(6835,3015,0.002,-1.2004),(6835,3025,0.002097,-1.1995),(6835,3035,0.002031,-1.1987),(6835,3045,0.001821,-1.1979),(6835,3055,0.001609,-1.1969),(6835,3065,0.001398,-1.1958),(6835,3075,0.001369,-1.1947),(6835,3085,0.001477,-1.1936),(6835,3095,0.001585,-1.1925),(6835,3105,0.001693,-1.1914),(6835,3115,0.0017,-1.1904),(6835,3125,0.001643,-1.1893),(6835,3135,0.001586,-1.1883),(6835,3145,0.001529,-1.1873),(6835,3155,0.001546,-1.1863),(6835,3165,0.001603,-1.1854),(6835,3175,0.00166,-1.1844),(6835,3185,0.001717,-1.1834),(6835,3195,0.001782,-1.1824),(6835,3205,0.00185,-1.1814),(6835,3215,0.001918,-1.1804),(6835,3225,0.001987,-1.1794),(6835,3235,0.00204,-1.1784),(6835,3245,0.002089,-1.1774),(6835,3255,0.002137,-1.1763),(6835,3265,0.002185,-1.1753),(6835,3275,0.002186,-1.1742),(6835,3285,0.002172,-1.1731),(6835,3295,0.002159,-1.172),(6835,3305,0.002145,-1.1708),(6835,3315,0.00213,-1.1696),(6835,3325,0.002115,-1.1684),(6835,3335,0.002099,-1.1673),(6835,3345,0.002084,-1.1661),(6835,3355,0.002126,-1.165),(6835,3365,0.002178,-1.1638),(6835,3375,0.00223,-1.1626),(6835,3385,0.002283,-1.1614),(6835,3395,0.002098,-1.1602),(6835,3405,0.001884,-1.159),(6835,3415,0.001669,-1.1577),(6835,3425,0.001454,-1.1564),(6835,3435,0.00162,-1.1551),(6835,3445,0.001817,-1.1538),(6835,3455,0.002014,-1.1526),(6835,3465,0.00221,-1.1514),(6835,3475,0.002219,-1.1501),(6835,3485,0.002222,-1.1489),(6835,3495,0.002224,-1.1477),(6835,3505,0.002227,-1.1464),(6835,3515,0.002294,-1.1452),(6835,3525,0.002361,-1.1439),(6835,3535,0.002427,-1.1427),(6835,3545,0.002493,-1.1414),(6835,3555,0.002533,-1.1402),(6835,3565,0.002573,-1.139),(6835,3575,0.002613,-1.1375),(6835,3585,0.00265,-1.1361),(6835,3595,0.002663,-1.1346),(6835,3605,0.002676,-1.1332),(6835,3615,0.002689,-1.1318),(6835,3625,0.00271,-1.1305),(6835,3635,0.00279,-1.1291),(6835,3645,0.002869,-1.1278),(6835,3655,0.002949,-1.1263),(6835,3665,0.003029,-1.1249),(6835,3675,0.003116,-1.1235),(6835,3685,0.003201,-1.122),(6835,3695,0.003288,-1.1205),(6835,3705,0.003357,-1.119),(6835,3715,0.003363,-1.1175),(6835,3725,0.003369,-1.116),(6835,3735,0.003375,-1.1143),(6835,3745,0.003382,-1.1126),(6835,3755,0.003392,-1.111),(6835,3765,0.003402,-1.1093),(6835,3775,0.003411,-1.1075),(6835,3785,0.003351,-1.1057),(6835,3795,0.003113,-1.1039),(6835,3805,0.002874,-1.102),(6835,3815,0.002636,-1.0998),(6835,3825,0.002462,-1.0977),(6835,3835,0.002427,-1.0956),(6835,3845,0.002391,-1.0934),(6835,3855,0.002355,-1.091),(6835,3865,0.002181,-1.0886),(6835,3875,0.001764,-1.0863),(6835,3885,0.001346,-1.0837),(6835,3895,0.000928,-1.0806),(6835,3905,0.000473,-1.0776),(6835,3915,-3.7e-05,-1.0746),(6835,3925,-0.000548,-1.0713),(6835,3935,-0.001059,-1.0677),(6835,3945,-0.001594,-1.0641),(6835,3955,-0.002159,-1.0605),(6835,3965,-0.002725,-1.0564),(6835,3975,-0.003291,-1.0518),(6835,3985,-0.003578,-1.0472),(6835,3995,-0.003565,-1.0427),(6835,4005,-0.003551,-1.0386),(6835,4015,-0.003537,-1.0351),(6835,4025,0.06322,-1.0315),(6835,4035,0.13651,-1.0288),(6835,4045,0.20979,-1.0278),(6835,4055,0.26146,-1.0269),(6835,4065,0.30524,-1.0258),(6835,4075,0.34902,-1.0242),(6835,4085,0.36883,-1.0226),(6835,4095,0.36939,-1.0209),(6835,4105,0.36994,-1.0193),(6835,4115,0.37044,-1.0176),(6835,4125,0.37084,-1.0159),(6835,4135,0.37124,-1.0142),(6835,4145,0.37167,-1.0124),(6835,4155,0.37223,-1.0107),(6835,4165,0.37279,-1.009),(6835,4175,0.37334,-1.0073),(6835,4185,0.37374,-1.0056),(6835,4195,0.37414,-1.0039),(6835,4205,0.37453,-1.002),(6835,4215,0.37491,-1.0002),(6835,4225,0.37528,-0.99839),(6835,4235,0.37565,-0.99642),(6835,4245,0.37602,-0.99445),(6835,4255,0.37638,-0.99248),(6835,4265,0.37674,-0.99047),(6835,4275,0.37711,-0.98846),(6835,4285,0.37748,-0.98644),(6835,4295,0.37785,-0.98438),(6835,4305,0.37822,-0.98231),(6835,4315,0.3786,-0.98024),(6835,4325,0.37899,-0.97809),(6835,4335,0.37937,-0.97592),(6835,4345,0.37975,-0.97374),(6835,4355,0.38014,-0.97153),(6835,4365,0.38052,-0.96928),(6835,4375,0.38091,-0.96703),(6835,4385,0.3813,-0.96476),(6835,4395,0.38169,-0.96246),(6835,4405,0.38209,-0.96016),(6835,4415,0.3825,-0.95783),(6835,4425,0.38291,-0.95539),(6835,4435,0.38335,-0.95295),(6835,4445,0.38381,-0.95051),(6835,4455,0.38427,-0.94801),(6835,4465,0.38473,-0.94552),(6835,4475,0.38517,-0.94302),(6835,4485,0.38562,-0.94044),(6835,4495,0.38608,-0.93783),(6835,4505,0.38659,-0.93522),(6835,4515,0.38709,-0.93258),(6835,4525,0.3876,-0.92991),(6835,4535,0.38813,-0.92724),(6835,4545,0.38867,-0.92454),(6835,4555,0.3892,-0.92181),(6835,4565,0.38977,-0.91908),(6835,4575,0.39033,-0.91631),(6835,4585,0.3909,-0.91347),(6835,4595,0.39149,-0.91063),(6835,4605,0.39208,-0.90777),(6835,4615,0.39267,-0.90482),(6835,4625,0.39328,-0.90188),(6835,4635,0.39389,-0.89893),(6835,4645,0.39451,-0.89593),(6835,4655,0.39513,-0.89292),(6835,4665,0.39577,-0.88991),(6835,4675,0.39641,-0.88686),(6835,4685,0.39706,-0.88379),(6835,4695,0.39772,-0.88072),(6835,4705,0.39838,-0.87759),(6835,4715,0.39904,-0.87444),(6835,4725,0.39996,-0.87128),(6835,4735,0.40088,-0.86811),(6835,4745,0.40181,-0.86494),(6835,4755,0.40248,-0.86176),(6835,4765,0.40309,-0.85855),(6835,4775,0.40369,-0.85521),(6835,4785,0.40446,-0.85187),(6835,4795,0.40531,-0.84853),(6835,4805,0.40617,-0.84516),(6835,4815,0.40702,-0.84178),(6835,4825,0.40786,-0.8384),(6835,4835,0.40871,-0.83495),(6835,4845,0.40956,-0.8315),(6835,4855,0.41041,-0.82805),(6835,4865,0.41126,-0.82453),(6835,4875,0.41211,-0.82098),(6835,4885,0.41299,-0.81744),(6835,4895,0.41386,-0.81387),(6835,4905,0.41474,-0.81027),(6835,4915,0.41565,-0.80668),(6835,4925,0.41657,-0.80307),(6835,4935,0.41749,-0.79944),(6835,4945,0.41843,-0.79581),(6835,4955,0.41938,-0.79217),(6835,4965,0.42032,-0.78847),(6835,4975,0.42128,-0.78478),(6835,4985,0.42223,-0.78108),(6835,4995,0.42319,-0.77731),(6835,5005,0.42412,-0.77354),(6835,5015,0.42501,-0.76977),(6835,5025,0.42591,-0.7659),(6835,5035,0.4269,-0.762),(6835,5045,0.42826,-0.7581),(6835,5055,0.42962,-0.75423),(6835,5065,0.43095,-0.75039),(6835,5075,0.4315,-0.74654),(6835,5085,0.43205,-0.74262),(6835,5095,0.4326,-0.7386),(6835,5105,0.43365,-0.73458),(6835,5115,0.43479,-0.73055),(6835,5125,0.43592,-0.72652),(6835,5135,0.43705,-0.72248),(6835,5145,0.43816,-0.71844),(6835,5155,0.43928,-0.71435),(6835,5165,0.44038,-0.71025),(6835,5175,0.44146,-0.70615),(6835,5185,0.44255,-0.70198),(6835,5195,0.44362,-0.6978),(6835,5205,0.44467,-0.69362),(6835,5215,0.44573,-0.6894),(6835,5225,0.44678,-0.68517),(6835,5235,0.44783,-0.68094),(6835,5245,0.44888,-0.67668),(6835,5255,0.44993,-0.67239),(6835,5265,0.45099,-0.6681),(6835,5275,0.45205,-0.66379),(6835,5285,0.45312,-0.65945),(6835,5295,0.45419,-0.65512),(6835,5305,0.45526,-0.65078),(6835,5315,0.45633,-0.64643),(6835,5325,0.45741,-0.64208),(6835,5335,0.45848,-0.63772),(6835,5345,0.45956,-0.6333),(6835,5355,0.46063,-0.62888),(6835,5365,0.46168,-0.62446),(6835,5375,0.46274,-0.61996),(6835,5385,0.46378,-0.61544),(6835,5395,0.4648,-0.61092),(6835,5405,0.46582,-0.60634),(6835,5415,0.46684,-0.60174),(6835,5425,0.46785,-0.59714),(6835,5435,0.46887,-0.59253),(6835,5445,0.46989,-0.58791),(6835,5455,0.47093,-0.58329),(6835,5465,0.47197,-0.57866),(6835,5475,0.47301,-0.57401),(6835,5485,0.47407,-0.56935),(6835,5495,0.47513,-0.56469),(6835,5505,0.47619,-0.55996),(6835,5515,0.47726,-0.55523),(6835,5525,0.47833,-0.5505),(6835,5535,0.47939,-0.54574),(6835,5545,0.48046,-0.54098),(6835,5555,0.48152,-0.53621),(6835,5565,0.48258,-0.53142),(6835,5575,0.48364,-0.52663),(6835,5585,0.4847,-0.52183),(6835,5595,0.48575,-0.517),(6835,5605,0.4868,-0.51215),(6835,5615,0.48782,-0.50731),(6835,5625,0.48884,-0.50244),(6835,5635,0.48986,-0.49754),(6835,5645,0.4908,-0.49265),(6835,5655,0.49171,-0.48773),(6835,5665,0.49262,-0.48274),(6835,5675,0.49403,-0.47775),(6835,5685,0.4957,-0.47277),(6835,5695,0.49737,-0.46799),(6835,5705,0.49837,-0.46322),(6835,5715,0.49858,-0.45844),(6835,5725,0.49879,-0.45339),(6835,5735,0.49923,-0.4483),(6835,5745,0.50026,-0.44321),(6835,5755,0.50128,-0.43815),(6835,5765,0.5023,-0.4331),(6835,5775,0.50324,-0.42806),(6835,5785,0.50417,-0.42301),(6835,5795,0.50511,-0.41797),(6835,5805,0.50604,-0.41292),(6835,5815,0.50696,-0.40785),(6835,5825,0.50788,-0.40275),(6835,5835,0.50878,-0.39766),(6835,5845,0.50967,-0.39255),(6835,5855,0.51057,-0.3874),(6835,5865,0.51143,-0.38225),(6835,5875,0.51229,-0.3771),(6835,5885,0.51314,-0.37192),(6835,5895,0.51397,-0.36674),(6835,5905,0.51477,-0.36156),(6835,5915,0.51556,-0.35634),(6835,5925,0.51633,-0.35112),(6835,5935,0.51701,-0.3459),(6835,5945,0.51768,-0.34065),(6835,5955,0.51839,-0.3354),(6835,5965,0.51995,-0.33014),(6835,5975,0.5215,-0.325),(6835,5985,0.52305,-0.31999),(6835,5995,0.52324,-0.31498),(6835,6005,0.52321,-0.30989),(6835,6015,0.52318,-0.30455),(6835,6025,0.52375,-0.29921),(6835,6035,0.52459,-0.29387),(6835,6045,0.52544,-0.28855),(6835,6055,0.52623,-0.28322),(6835,6065,0.52696,-0.27789),(6835,6075,0.52769,-0.27259),(6835,6085,0.52841,-0.26729),(6835,6095,0.52909,-0.26199),(6835,6105,0.52977,-0.25663),(6835,6115,0.53044,-0.25126),(6835,6125,0.53107,-0.24588),(6835,6135,0.5317,-0.24052),(6835,6145,0.53233,-0.23516),(6835,6155,0.53294,-0.22981),(6835,6165,0.53355,-0.22449),(6835,6175,0.53415,-0.21923),(6835,6185,0.53472,-0.21397),(6835,6195,0.53527,-0.20869),(6835,6205,0.53583,-0.20331),(6835,6215,0.53632,-0.19794),(6835,6225,0.53678,-0.19256),(6835,6235,0.53723,-0.18706),(6835,6245,0.53764,-0.18155),(6835,6255,0.53798,-0.17605),(6835,6265,0.53833,-0.17058),(6835,6275,0.53889,-0.16512),(6835,6285,0.54006,-0.15966),(6835,6295,0.54124,-0.1544),(6835,6305,0.5423,-0.14924),(6835,6315,0.54204,-0.14407),(6835,6325,0.54178,-0.13881),(6835,6335,0.54152,-0.13343),(6835,6345,0.54199,-0.12805),(6835,6355,0.54253,-0.12264),(6835,6365,0.54307,-0.11716),(6835,6375,0.54349,-0.11168),(6835,6385,0.54386,-0.10619),(6835,6395,0.54422,-0.10064),(6835,6405,0.54455,-0.095082),(6835,6415,0.54486,-0.089527),(6835,6425,0.54516,-0.08415),(6835,6435,0.54544,-0.078781),(6835,6445,0.5457,-0.073411),(6835,6455,0.54596,-0.067988),(6835,6465,0.54621,-0.062549),(6835,6475,0.54644,-0.05711),(6835,6485,0.54667,-0.051583),(6835,6495,0.5469,-0.045995),(6835,6505,0.54703,-0.040408),(6835,6515,0.54716,-0.034887),(6835,6525,0.5473,-0.029459),(6835,6535,0.54729,-0.024031),(6835,6545,0.54726,-0.018613),(6835,6555,0.54723,-0.013226),(6835,6565,0.54763,-0.007839),(6835,6575,0.54826,-0.002459),(6835,6585,0.5489,0.002812),(6835,6595,0.46712,0.008082),(6835,6605,0.29436,0.013353),(6835,6615,0.12159,0.014026),(6835,6625,0.000162,0.014108),(6835,6635,0.000233,0.01419),(6835,6645,0.000303,0.014213),(6835,6655,0.000374,0.01421),(6835,6665,0.000444,0.014208),(6835,6675,0.000514,0.014204),(6835,6685,0.000584,0.014198),(6835,6695,0.000654,0.014192),(6835,6705,0.000723,0.014184),(6835,6715,0.000792,0.014175),(6835,6725,0.000861,0.014165),(6835,6735,0.000929,0.014155),(6835,6745,0.000998,0.014142),(6835,6755,0.001065,0.014128),(6835,6765,0.001132,0.014115),(6835,6775,0.0012,0.014099),(6835,6785,0.001266,0.014082),(6835,6795,0.001331,0.014065),(6835,6805,0.001397,0.014046),(6835,6815,0.001462,0.014026),(6835,6825,0.001526,0.014007),(6835,6835,0.001589,0.013985),(6835,6845,0.001653,0.013962),(6835,6855,0.001715,0.01394),(6835,6865,0.001776,0.013916),(6835,6875,0.001838,0.01389),(6835,6885,0.001898,0.013865),(6835,6895,0.001957,0.013838),(6835,6905,0.002017,0.01381),(6835,6915,0.002075,0.013782),(6835,6925,0.002132,0.013754),(6835,6935,0.002189,0.013724),(6835,6945,0.002245,0.013693),(6835,6955,0.002299,0.013663),(6835,6965,0.002354,0.013631),(6835,6975,0.002408,0.013598),(6835,6985,0.002461,0.013566),(6845,5,-1.4e-05,-1.2905),(6845,15,-4.2e-05,-1.2905),(6845,25,-5.4e-05,-1.2905),(6845,35,-5.1e-05,-1.2904),(6845,45,-4.8e-05,-1.2904),(6845,55,-4.4e-05,-1.2903),(6845,65,-4.8e-05,-1.2903),(6845,75,-5.8e-05,-1.2903),(6845,85,-6.7e-05,-1.2902),(6845,95,-7.7e-05,-1.2901),(6845,105,-9.4e-05,-1.2901),(6845,115,-0.000116,-1.29),(6845,125,-0.000138,-1.2899),(6845,135,-0.00016,-1.2898),(6845,145,-0.000174,-1.2897),(6845,155,-0.000184,-1.2896),(6845,165,-0.000194,-1.2896),(6845,175,-0.000203,-1.2895),(6845,185,-0.000203,-1.2894),(6845,195,-0.000198,-1.2894),(6845,205,-0.000193,-1.2893),(6845,215,-0.000188,-1.2892),(6845,225,-0.000169,-1.289),(6845,235,-0.000146,-1.2889),(6845,245,-0.000123,-1.2888),(6845,255,-9.9e-05,-1.2887),(6845,265,-8.1e-05,-1.2886),(6845,275,-6.4e-05,-1.2886),(6845,285,-4.7e-05,-1.2884),(6845,295,-3e-05,-1.2882),(6845,305,-4.3e-05,-1.288),(6845,315,-6.5e-05,-1.2879),(6845,325,-8.6e-05,-1.2877),(6845,335,-0.000107,-1.2874),(6845,345,-0.000172,-1.2872),(6845,355,-0.000246,-1.287),(6845,365,-0.00032,-1.2868),(6845,375,-0.000393,-1.2865),(6845,385,-0.000397,-1.2863),(6845,395,-0.000391,-1.286),(6845,405,-0.000385,-1.2858),(6845,415,-0.000378,-1.2855),(6845,425,-0.000362,-1.2853),(6845,435,-0.000345,-1.285),(6845,445,-0.000328,-1.2848),(6845,455,-0.000311,-1.2846),(6845,465,-0.00026,-1.2843),(6845,475,-0.000208,-1.2841),(6845,485,-0.000156,-1.2839),(6845,495,-0.000104,-1.2837),(6845,505,-7.5e-05,-1.2835),(6845,515,-4.7e-05,-1.2833),(6845,525,-1.8e-05,-1.283),(6845,535,9e-06,-1.2827),(6845,545,4e-06,-1.2825),(6845,555,0,-1.2822),(6845,565,-5e-06,-1.2819),(6845,575,-1.2e-05,-1.2816),(6845,585,-5e-05,-1.2813),(6845,595,-8.8e-05,-1.281),(6845,605,-0.000127,-1.2806),(6845,615,-0.000168,-1.2802),(6845,625,-0.000232,-1.2799),(6845,635,-0.000296,-1.2795),(6845,645,-0.00036,-1.2791),(6845,655,-0.000424,-1.2787),(6845,665,-0.000485,-1.2783),(6845,675,-0.000546,-1.278),(6845,685,-0.000607,-1.2775),(6845,695,-0.000657,-1.2771),(6845,705,-0.000657,-1.2767),(6845,715,-0.000656,-1.2763),(6845,725,-0.000656,-1.2759),(6845,735,-0.000655,-1.2756),(6845,745,-0.000651,-1.2752),(6845,755,-0.000646,-1.2748),(6845,765,-0.000641,-1.2745),(6845,775,-0.000598,-1.2742),(6845,785,-0.000454,-1.2739),(6845,795,-0.00031,-1.2735),(6845,805,-0.000166,-1.2731),(6845,815,-6.1e-05,-1.2727),(6845,825,-4.2e-05,-1.2722),(6845,835,-2.4e-05,-1.2718),(6845,845,-5e-06,-1.2713),(6845,855,1e-05,-1.2708),(6845,865,1.9e-05,-1.2703),(6845,875,2.8e-05,-1.2699),(6845,885,3.6e-05,-1.2693),(6845,895,5.1e-05,-1.2688),(6845,905,7.5e-05,-1.2682),(6845,915,9.8e-05,-1.2677),(6845,925,0.000122,-1.2672),(6845,935,0.000164,-1.2667),(6845,945,0.000231,-1.2661),(6845,955,0.000298,-1.2656),(6845,965,0.000365,-1.2651),(6845,975,0.000449,-1.2646),(6845,985,0.000551,-1.2641),(6845,995,0.000653,-1.2635),(6845,1005,0.000755,-1.263),(6845,1015,0.00085,-1.2624),(6845,1025,0.000939,-1.2618),(6845,1035,0.001029,-1.2612),(6845,1045,0.001118,-1.2606),(6845,1055,0.001177,-1.2599),(6845,1065,0.00121,-1.2593),(6845,1075,0.001244,-1.2585),(6845,1085,0.001277,-1.2577),(6845,1095,0.001169,-1.2568),(6845,1105,0.000962,-1.256),(6845,1115,0.000756,-1.255),(6845,1125,0.000549,-1.2539),(6845,1135,0.000265,-1.2528),(6845,1145,-6.4e-05,-1.2517),(6845,1155,-0.000393,-1.2502),(6845,1165,-0.000722,-1.2485),(6845,1175,-0.001323,-1.2468),(6845,1185,-0.00206,-1.2452),(6845,1195,-0.002798,-1.2431),(6845,1205,-0.003535,-1.2408),(6845,1215,-0.004467,-1.2385),(6845,1225,-0.00548,-1.2362),(6845,1235,-0.006493,-1.2333),(6845,1245,-0.007506,-1.2301),(6845,1255,-0.008603,-1.2269),(6845,1265,-0.009729,-1.2238),(6845,1275,-0.010855,-1.2197),(6845,1285,-0.011981,-1.2153),(6845,1295,-0.011317,-1.211),(6845,1305,-0.010168,-1.2066),(6845,1315,-0.00902,-1.2036),(6845,1325,-0.007871,-1.2009),(6845,1335,-0.004719,-1.1982),(6845,1345,-0.001146,-1.1955),(6845,1355,0.002426,-1.1967),(6845,1365,0.005998,-1.1985),(6845,1375,0.008195,-1.2004),(6845,1385,0.010181,-1.2022),(6845,1395,0.012166,-1.2061),(6845,1405,0.014151,-1.2102),(6845,1415,0.013252,-1.2144),(6845,1425,0.012053,-1.2185),(6845,1435,0.010855,-1.2217),(6845,1445,0.009657,-1.2248),(6845,1455,0.00857,-1.2279),(6845,1465,0.007491,-1.231),(6845,1475,0.006411,-1.233),(6845,1485,0.005332,-1.235),(6845,1495,0.004544,-1.2369),(6845,1505,0.003761,-1.2388),(6845,1515,0.002978,-1.2401),(6845,1525,0.002207,-1.2413),(6845,1535,0.00192,-1.2425),(6845,1545,0.001634,-1.2438),(6845,1555,0.001347,-1.2445),(6845,1565,0.001069,-1.2452),(6845,1575,0.000915,-1.2459),(6845,1585,0.000761,-1.2466),(6845,1595,0.000607,-1.2471),(6845,1605,0.000469,-1.2476),(6845,1615,0.00047,-1.2481),(6845,1625,0.00047,-1.2486),(6845,1635,0.000471,-1.2489),(6845,1645,0.000477,-1.2492),(6845,1655,0.000515,-1.2495),(6845,1665,0.000553,-1.2498),(6845,1675,0.000592,-1.25),(6845,1685,0.000629,-1.2502),(6845,1695,0.000664,-1.2504),(6845,1705,0.000699,-1.2506),(6845,1715,0.000734,-1.2507),(6845,1725,0.000767,-1.2508),(6845,1735,0.000791,-1.2509),(6845,1745,0.000815,-1.251),(6845,1755,0.000838,-1.251),(6845,1765,0.000857,-1.251),(6845,1775,0.000863,-1.2511),(6845,1785,0.000868,-1.2511),(6845,1795,0.000873,-1.251),(6845,1805,0.000897,-1.251),(6845,1815,0.000964,-1.251),(6845,1825,0.001031,-1.251),(6845,1835,0.001098,-1.2511),(6845,1845,0.001138,-1.2511),(6845,1855,0.001126,-1.2512),(6845,1865,0.001113,-1.2512),(6845,1875,0.0011,-1.2513),(6845,1885,0.001136,-1.2513),(6845,1895,0.001251,-1.2513),(6845,1905,0.001366,-1.2513),(6845,1915,0.001481,-1.2512),(6845,1925,0.001552,-1.2512),(6845,1935,0.001563,-1.2511),(6845,1945,0.001574,-1.2511),(6845,1955,0.001584,-1.251),(6845,1965,0.001588,-1.251),(6845,1975,0.001583,-1.2509),(6845,1985,0.001578,-1.2508),(6845,1995,0.001573,-1.2507),(6845,2005,0.001569,-1.2505),(6845,2015,0.001566,-1.2504),(6845,2025,0.001563,-1.2503),(6845,2035,0.00156,-1.2501),(6845,2045,0.001541,-1.2499),(6845,2055,0.001509,-1.2498),(6845,2065,0.001476,-1.2496),(6845,2075,0.001443,-1.2494),(6845,2085,0.001424,-1.2492),(6845,2095,0.001413,-1.249),(6845,2105,0.001402,-1.2488),(6845,2115,0.001391,-1.2487),(6845,2125,0.001419,-1.2485),(6845,2135,0.001473,-1.2483),(6845,2145,0.001526,-1.2482),(6845,2155,0.001579,-1.2481),(6845,2165,0.001615,-1.2479),(6845,2175,0.001641,-1.2478),(6845,2185,0.001668,-1.2476),(6845,2195,0.001694,-1.2473),(6845,2205,0.001714,-1.247),(6845,2215,0.001731,-1.2467),(6845,2225,0.001747,-1.2464),(6845,2235,0.001764,-1.2461),(6845,2245,0.001736,-1.2457),(6845,2255,0.001692,-1.2454),(6845,2265,0.001649,-1.2451),(6845,2275,0.001605,-1.2448),(6845,2285,0.001618,-1.2446),(6845,2295,0.001647,-1.2443),(6845,2305,0.001676,-1.2439),(6845,2315,0.001705,-1.2435),(6845,2325,0.001653,-1.2431),(6845,2335,0.001582,-1.2427),(6845,2345,0.001511,-1.2423),(6845,2355,0.00144,-1.2419),(6845,2365,0.001437,-1.2416),(6845,2375,0.001445,-1.2412),(6845,2385,0.001453,-1.2408),(6845,2395,0.001462,-1.2405),(6845,2405,0.001489,-1.2402),(6845,2415,0.001519,-1.2398),(6845,2425,0.001549,-1.2394),(6845,2435,0.001578,-1.2389),(6845,2445,0.001587,-1.2384),(6845,2455,0.001595,-1.238),(6845,2465,0.001602,-1.2375),(6845,2475,0.00161,-1.2371),(6845,2485,0.001615,-1.2366),(6845,2495,0.001621,-1.2362),(6845,2505,0.001626,-1.2357),(6845,2515,0.001632,-1.2353),(6845,2525,0.001619,-1.2349),(6845,2535,0.001606,-1.2344),(6845,2545,0.001593,-1.2339),(6845,2555,0.001579,-1.2333),(6845,2565,0.001555,-1.2328),(6845,2575,0.001532,-1.2322),(6845,2585,0.001508,-1.2316),(6845,2595,0.001488,-1.231),(6845,2605,0.001509,-1.2305),(6845,2615,0.00153,-1.2299),(6845,2625,0.001551,-1.2292),(6845,2635,0.00155,-1.2286),(6845,2645,0.001409,-1.228),(6845,2655,0.001269,-1.2274),(6845,2665,0.001128,-1.2267),(6845,2675,0.001035,-1.2261),(6845,2685,0.001169,-1.2255),(6845,2695,0.001303,-1.2248),(6845,2705,0.001437,-1.2242),(6845,2715,0.001533,-1.2235),(6845,2725,0.00149,-1.2228),(6845,2735,0.001447,-1.2221),(6845,2745,0.001404,-1.2215),(6845,2755,0.001368,-1.2208),(6845,2765,0.001353,-1.2201),(6845,2775,0.001339,-1.2195),(6845,2785,0.001324,-1.2187),(6845,2795,0.001312,-1.218),(6845,2805,0.001306,-1.2173),(6845,2815,0.0013,-1.2165),(6845,2825,0.001294,-1.2158),(6845,2835,0.001289,-1.215),(6845,2845,0.001285,-1.2143),(6845,2855,0.001281,-1.2135),(6845,2865,0.001277,-1.2127),(6845,2875,0.001277,-1.2119),(6845,2885,0.001284,-1.2111),(6845,2895,0.00129,-1.2103),(6845,2905,0.001298,-1.2094),(6845,2915,0.001314,-1.2086),(6845,2925,0.001343,-1.2077),(6845,2935,0.001372,-1.2069),(6845,2945,0.001401,-1.206),(6845,2955,0.001442,-1.2052),(6845,2965,0.001496,-1.2044),(6845,2975,0.00155,-1.2035),(6845,2985,0.001603,-1.2027),(6845,2995,0.001674,-1.2019),(6845,3005,0.001763,-1.2011),(6845,3015,0.001851,-1.2003),(6845,3025,0.00194,-1.1994),(6845,3035,0.0019,-1.1986),(6845,3045,0.001747,-1.1977),(6845,3055,0.001594,-1.1968),(6845,3065,0.00144,-1.1958),(6845,3075,0.001418,-1.1948),(6845,3085,0.001495,-1.1938),(6845,3095,0.001573,-1.1927),(6845,3105,0.00165,-1.1916),(6845,3115,0.001643,-1.1905),(6845,3125,0.001581,-1.1893),(6845,3135,0.001519,-1.1883),(6845,3145,0.001458,-1.1873),(6845,3155,0.001461,-1.1863),(6845,3165,0.0015,-1.1853),(6845,3175,0.001538,-1.1843),(6845,3185,0.001577,-1.1833),(6845,3195,0.001632,-1.1823),(6845,3205,0.001695,-1.1813),(6845,3215,0.001759,-1.1803),(6845,3225,0.001821,-1.1793),(6845,3235,0.001881,-1.1783),(6845,3245,0.001939,-1.1773),(6845,3255,0.001996,-1.1763),(6845,3265,0.002054,-1.1753),(6845,3275,0.002071,-1.1742),(6845,3285,0.002076,-1.1732),(6845,3295,0.00208,-1.172),(6845,3305,0.002085,-1.1708),(6845,3315,0.002077,-1.1696),(6845,3325,0.002067,-1.1685),(6845,3335,0.002057,-1.1673),(6845,3345,0.002047,-1.1661),(6845,3355,0.002079,-1.165),(6845,3365,0.002119,-1.1638),(6845,3375,0.00216,-1.1626),(6845,3385,0.0022,-1.1613),(6845,3395,0.002052,-1.1601),(6845,3405,0.001881,-1.1589),(6845,3415,0.001709,-1.1576),(6845,3425,0.001538,-1.1564),(6845,3435,0.001659,-1.1552),(6845,3445,0.001803,-1.154),(6845,3455,0.001948,-1.1527),(6845,3465,0.002093,-1.1515),(6845,3475,0.002095,-1.1502),(6845,3485,0.002091,-1.1489),(6845,3495,0.002087,-1.1476),(6845,3505,0.002084,-1.1464),(6845,3515,0.002145,-1.1451),(6845,3525,0.002207,-1.1438),(6845,3535,0.002268,-1.1426),(6845,3545,0.002329,-1.1414),(6845,3555,0.002382,-1.1402),(6845,3565,0.002436,-1.1389),(6845,3575,0.002489,-1.1375),(6845,3585,0.002539,-1.1361),(6845,3595,0.002555,-1.1346),(6845,3605,0.002572,-1.1332),(6845,3615,0.002588,-1.1318),(6845,3625,0.00261,-1.1305),(6845,3635,0.002671,-1.1291),(6845,3645,0.002733,-1.1277),(6845,3655,0.002795,-1.1263),(6845,3665,0.002858,-1.1248),(6845,3675,0.002933,-1.1234),(6845,3685,0.003008,-1.122),(6845,3695,0.003083,-1.1205),(6845,3705,0.003142,-1.119),(6845,3715,0.003137,-1.1175),(6845,3725,0.003133,-1.116),(6845,3735,0.003128,-1.1143),(6845,3745,0.003118,-1.1126),(6845,3755,0.00309,-1.111),(6845,3765,0.003062,-1.1092),(6845,3775,0.003034,-1.1074),(6845,3785,0.002937,-1.1056),(6845,3795,0.002666,-1.1038),(6845,3805,0.002395,-1.1019),(6845,3815,0.002125,-1.0999),(6845,3825,0.00189,-1.0978),(6845,3835,0.001731,-1.0958),(6845,3845,0.001573,-1.0936),(6845,3855,0.001414,-1.0912),(6845,3865,0.001116,-1.0889),(6845,3875,0.00057,-1.0865),(6845,3885,2.4e-05,-1.0839),(6845,3895,-0.000522,-1.0809),(6845,3905,-0.001129,-1.0779),(6845,3915,-0.001826,-1.0749),(6845,3925,-0.002524,-1.0717),(6845,3935,-0.003222,-1.068),(6845,3945,-0.003952,-1.0644),(6845,3955,-0.004723,-1.0608),(6845,3965,-0.005494,-1.0567),(6845,3975,-0.006265,-1.0521),(6845,3985,-0.00661,-1.0475),(6845,3995,-0.006494,-1.0429),(6845,4005,-0.006377,-1.0387),(6845,4015,-0.00626,-1.0351),(6845,4025,0.060779,-1.0315),(6845,4035,0.13436,-1.0288),(6845,4045,0.20795,-1.0278),(6845,4055,0.25945,-1.0269),(6845,4065,0.30289,-1.0258),(6845,4075,0.34633,-1.0242),(6845,4085,0.36599,-1.0226),(6845,4095,0.36652,-1.021),(6845,4105,0.36706,-1.0193),(6845,4115,0.36755,-1.0176),(6845,4125,0.36795,-1.0159),(6845,4135,0.36835,-1.0142),(6845,4145,0.36878,-1.0125),(6845,4155,0.3693,-1.0108),(6845,4165,0.36981,-1.0092),(6845,4175,0.37033,-1.0075),(6845,4185,0.37071,-1.0058),(6845,4195,0.3711,-1.004),(6845,4205,0.37148,-1.0023),(6845,4215,0.37184,-1.0005),(6845,4225,0.37219,-0.99862),(6845,4235,0.37255,-0.99666),(6845,4245,0.37289,-0.9947),(6845,4255,0.37323,-0.99274),(6845,4265,0.37356,-0.99073),(6845,4275,0.3739,-0.98872),(6845,4285,0.37425,-0.98671),(6845,4295,0.37459,-0.98464),(6845,4305,0.37494,-0.98258),(6845,4315,0.37529,-0.98051),(6845,4325,0.37564,-0.97837),(6845,4335,0.376,-0.9762),(6845,4345,0.37636,-0.97403),(6845,4355,0.37672,-0.97182),(6845,4365,0.37708,-0.96957),(6845,4375,0.37745,-0.96733),(6845,4385,0.37782,-0.96506),(6845,4395,0.37819,-0.96276),(6845,4405,0.37857,-0.96047),(6845,4415,0.37896,-0.95814),(6845,4425,0.37935,-0.9557),(6845,4435,0.37976,-0.95326),(6845,4445,0.3802,-0.95082),(6845,4455,0.38063,-0.94832),(6845,4465,0.38107,-0.94581),(6845,4475,0.3815,-0.9433),(6845,4485,0.38193,-0.94071),(6845,4495,0.38238,-0.9381),(6845,4505,0.38286,-0.9355),(6845,4515,0.38334,-0.93285),(6845,4525,0.38382,-0.93017),(6845,4535,0.38433,-0.9275),(6845,4545,0.38484,-0.92479),(6845,4555,0.38535,-0.92206),(6845,4565,0.38589,-0.91932),(6845,4575,0.38643,-0.91655),(6845,4585,0.38698,-0.91371),(6845,4595,0.38755,-0.91086),(6845,4605,0.38812,-0.908),(6845,4615,0.3887,-0.90506),(6845,4625,0.38928,-0.90211),(6845,4635,0.38988,-0.89916),(6845,4645,0.39048,-0.89615),(6845,4655,0.39108,-0.89314),(6845,4665,0.39171,-0.89013),(6845,4675,0.39233,-0.88708),(6845,4685,0.39296,-0.884),(6845,4695,0.39361,-0.88093),(6845,4705,0.39425,-0.87782),(6845,4715,0.39489,-0.87468),(6845,4725,0.39575,-0.87154),(6845,4735,0.3966,-0.86834),(6845,4745,0.39746,-0.86508),(6845,4755,0.39813,-0.86181),(6845,4765,0.39875,-0.85854),(6845,4775,0.39937,-0.85523),(6845,4785,0.40012,-0.85192),(6845,4795,0.40094,-0.8486),(6845,4805,0.40177,-0.84523),(6845,4815,0.40259,-0.84185),(6845,4825,0.40342,-0.83847),(6845,4835,0.40425,-0.83503),(6845,4845,0.40508,-0.83158),(6845,4855,0.40591,-0.82813),(6845,4865,0.40675,-0.8246),(6845,4875,0.40759,-0.82105),(6845,4885,0.40845,-0.8175),(6845,4895,0.4093,-0.81392),(6845,4905,0.41016,-0.81031),(6845,4915,0.41105,-0.80671),(6845,4925,0.41194,-0.80309),(6845,4935,0.41283,-0.79945),(6845,4945,0.41375,-0.79581),(6845,4955,0.41467,-0.79216),(6845,4965,0.41559,-0.78846),(6845,4975,0.41652,-0.78476),(6845,4985,0.41746,-0.78107),(6845,4995,0.41839,-0.77732),(6845,5005,0.41932,-0.77356),(6845,5015,0.42022,-0.76981),(6845,5025,0.42113,-0.766),(6845,5035,0.42211,-0.76218),(6845,5045,0.42337,-0.75836),(6845,5055,0.42463,-0.7544),(6845,5065,0.42588,-0.75036),(6845,5075,0.42651,-0.74632),(6845,5085,0.42713,-0.7423),(6845,5095,0.42776,-0.73833),(6845,5105,0.42876,-0.73435),(6845,5115,0.42982,-0.73036),(6845,5125,0.43089,-0.72633),(6845,5135,0.43196,-0.7223),(6845,5145,0.43303,-0.71826),(6845,5155,0.43411,-0.71417),(6845,5165,0.43518,-0.71008),(6845,5175,0.43625,-0.706),(6845,5185,0.43732,-0.70183),(6845,5195,0.43838,-0.69765),(6845,5205,0.43943,-0.69348),(6845,5215,0.44049,-0.68926),(6845,5225,0.44154,-0.68503),(6845,5235,0.44258,-0.6808),(6845,5245,0.44363,-0.67653),(6845,5255,0.44467,-0.67223),(6845,5265,0.44572,-0.66793),(6845,5275,0.44676,-0.66362),(6845,5285,0.44781,-0.65927),(6845,5295,0.44886,-0.65493),(6845,5305,0.44991,-0.65058),(6845,5315,0.45096,-0.64622),(6845,5325,0.45202,-0.64187),(6845,5335,0.45308,-0.63751),(6845,5345,0.45413,-0.63309),(6845,5355,0.45519,-0.62868),(6845,5365,0.45623,-0.62426),(6845,5375,0.45728,-0.61976),(6845,5385,0.45832,-0.61525),(6845,5395,0.45933,-0.61073),(6845,5405,0.46035,-0.60616),(6845,5415,0.46137,-0.60155),(6845,5425,0.46238,-0.59694),(6845,5435,0.4634,-0.59232),(6845,5445,0.46441,-0.58769),(6845,5455,0.46544,-0.58306),(6845,5465,0.46646,-0.57842),(6845,5475,0.46749,-0.57375),(6845,5485,0.46852,-0.56908),(6845,5495,0.46956,-0.56441),(6845,5505,0.4706,-0.55967),(6845,5515,0.47163,-0.55493),(6845,5525,0.47267,-0.55019),(6845,5535,0.47371,-0.54543),(6845,5545,0.47475,-0.54066),(6845,5555,0.47578,-0.5359),(6845,5565,0.47682,-0.5311),(6845,5575,0.47785,-0.5263),(6845,5585,0.47888,-0.5215),(6845,5595,0.47991,-0.51668),(6845,5605,0.48094,-0.51184),(6845,5615,0.48194,-0.50699),(6845,5625,0.48294,-0.50214),(6845,5635,0.48394,-0.49727),(6845,5645,0.48489,-0.49241),(6845,5655,0.48582,-0.48754),(6845,5665,0.48675,-0.48268),(6845,5675,0.48806,-0.47782),(6845,5685,0.48957,-0.47294),(6845,5695,0.49109,-0.46787),(6845,5705,0.49207,-0.46279),(6845,5715,0.49245,-0.45771),(6845,5725,0.49283,-0.45272),(6845,5735,0.49338,-0.44775),(6845,5745,0.49436,-0.44278),(6845,5755,0.49534,-0.43777),(6845,5765,0.49632,-0.43274),(6845,5775,0.49723,-0.42772),(6845,5785,0.49815,-0.42268),(6845,5795,0.49907,-0.41763),(6845,5805,0.49997,-0.41258),(6845,5815,0.50087,-0.40752),(6845,5825,0.50178,-0.40242),(6845,5835,0.50266,-0.39732),(6845,5845,0.50353,-0.39222),(6845,5855,0.50441,-0.38707),(6845,5865,0.50526,-0.38193),(6845,5875,0.50611,-0.37679),(6845,5885,0.50695,-0.37162),(6845,5895,0.50777,-0.36645),(6845,5905,0.50856,-0.36128),(6845,5915,0.50936,-0.35609),(6845,5925,0.51013,-0.3509),(6845,5935,0.51083,-0.34571),(6845,5945,0.51153,-0.34056),(6845,5955,0.51226,-0.33543),(6845,5965,0.51363,-0.3303),(6845,5975,0.515,-0.32507),(6845,5985,0.51637,-0.31973),(6845,5995,0.51668,-0.31438),(6845,6005,0.51683,-0.30907),(6845,6015,0.51698,-0.30386),(6845,6025,0.51757,-0.29866),(6845,6035,0.51837,-0.29345),(6845,6045,0.51916,-0.28815),(6845,6055,0.51992,-0.28285),(6845,6065,0.52063,-0.27755),(6845,6075,0.52134,-0.27226),(6845,6085,0.52204,-0.26697),(6845,6095,0.52271,-0.26168),(6845,6105,0.52338,-0.25633),(6845,6115,0.52405,-0.25096),(6845,6125,0.52467,-0.2456),(6845,6135,0.52529,-0.24024),(6845,6145,0.52592,-0.23488),(6845,6155,0.52652,-0.22952),(6845,6165,0.52713,-0.22421),(6845,6175,0.52773,-0.21896),(6845,6185,0.5283,-0.21371),(6845,6195,0.52886,-0.20844),(6845,6205,0.52942,-0.20309),(6845,6215,0.52992,-0.19774),(6845,6225,0.53039,-0.19238),(6845,6235,0.53085,-0.18691),(6845,6245,0.53128,-0.18144),(6845,6255,0.53166,-0.17596),(6845,6265,0.53204,-0.17059),(6845,6275,0.53257,-0.16524),(6845,6285,0.53357,-0.15989),(6845,6295,0.53458,-0.15444),(6845,6305,0.53549,-0.14896),(6845,6315,0.53539,-0.14347),(6845,6325,0.53528,-0.1381),(6845,6335,0.53518,-0.13284),(6845,6345,0.53562,-0.12759),(6845,6355,0.53613,-0.12228),(6845,6365,0.53663,-0.11685),(6845,6375,0.53703,-0.11142),(6845,6385,0.5374,-0.10597),(6845,6395,0.53776,-0.10043),(6845,6405,0.53809,-0.094892),(6845,6415,0.5384,-0.08935),(6845,6425,0.5387,-0.083978),(6845,6435,0.53899,-0.078614),(6845,6445,0.53924,-0.07325),(6845,6455,0.53949,-0.067829),(6845,6465,0.53974,-0.062391),(6845,6475,0.53996,-0.056954),(6845,6485,0.54018,-0.05144),(6845,6495,0.5404,-0.045876),(6845,6505,0.54053,-0.040311),(6845,6515,0.54067,-0.034824),(6845,6525,0.54081,-0.029444),(6845,6535,0.54084,-0.024064),(6845,6545,0.54086,-0.018713),(6845,6555,0.54087,-0.013455),(6845,6565,0.54121,-0.008197),(6845,6575,0.54174,-0.002926),(6845,6585,0.54226,0.00252),(6845,6595,0.46143,0.007967),(6845,6605,0.29077,0.013414),(6845,6615,0.12011,0.014104),(6845,6625,0.000161,0.014183),(6845,6635,0.000233,0.014261),(6845,6645,0.000304,0.014283),(6845,6655,0.000376,0.01428),(6845,6665,0.000447,0.014278),(6845,6675,0.000519,0.014273),(6845,6685,0.00059,0.014267),(6845,6695,0.00066,0.014261),(6845,6705,0.000731,0.014253),(6845,6715,0.000802,0.014243),(6845,6725,0.000871,0.014233),(6845,6735,0.000941,0.014223),(6845,6745,0.00101,0.014209),(6845,6755,0.001079,0.014196),(6845,6765,0.001147,0.014182),(6845,6775,0.001215,0.014165),(6845,6785,0.001283,0.014148),(6845,6795,0.001349,0.014131),(6845,6805,0.001416,0.014111),(6845,6815,0.001482,0.014091),(6845,6825,0.001546,0.01407),(6845,6835,0.001611,0.014048),(6845,6845,0.001675,0.014025),(6845,6855,0.001738,0.014001),(6845,6865,0.0018,0.013977),(6845,6875,0.001863,0.01395),(6845,6885,0.001923,0.013924),(6845,6895,0.001984,0.013897),(6845,6905,0.002044,0.013869),(6845,6915,0.002103,0.01384),(6845,6925,0.00216,0.013811),(6845,6935,0.002218,0.01378),(6845,6945,0.002275,0.013749),(6845,6955,0.00233,0.013718),(6845,6965,0.002386,0.013685),(6845,6975,0.00244,0.013651),(6845,6985,0.002493,0.013618),(6855,5,-1.5e-05,-1.2905),(6855,15,-4.6e-05,-1.2905),(6855,25,-6e-05,-1.2905),(6855,35,-5.9e-05,-1.2904),(6855,45,-5.7e-05,-1.2904),(6855,55,-5.5e-05,-1.2903),(6855,65,-6e-05,-1.2903),(6855,75,-6.9e-05,-1.2902),(6855,85,-7.8e-05,-1.2902),(6855,95,-8.7e-05,-1.2901),(6855,105,-0.000104,-1.2901),(6855,115,-0.000125,-1.29),(6855,125,-0.000147,-1.29),(6855,135,-0.000168,-1.2899),(6855,145,-0.000184,-1.2898),(6855,155,-0.000196,-1.2896),(6855,165,-0.000208,-1.2896),(6855,175,-0.000221,-1.2895),(6855,185,-0.000223,-1.2894),(6855,195,-0.00022,-1.2894),(6855,205,-0.000217,-1.2893),(6855,215,-0.000214,-1.2891),(6855,225,-0.000197,-1.289),(6855,235,-0.000174,-1.2889),(6855,245,-0.000152,-1.2888),(6855,255,-0.000129,-1.2887),(6855,265,-0.000106,-1.2886),(6855,275,-8.3e-05,-1.2885),(6855,285,-6e-05,-1.2884),(6855,295,-3.7e-05,-1.2882),(6855,305,-4.2e-05,-1.2881),(6855,315,-5.4e-05,-1.2879),(6855,325,-6.7e-05,-1.2877),(6855,335,-7.9e-05,-1.2875),(6855,345,-0.000139,-1.2873),(6855,355,-0.000209,-1.287),(6855,365,-0.000279,-1.2868),(6855,375,-0.000349,-1.2866),(6855,385,-0.000373,-1.2863),(6855,395,-0.000391,-1.2861),(6855,405,-0.000409,-1.2858),(6855,415,-0.000427,-1.2855),(6855,425,-0.000425,-1.2853),(6855,435,-0.000421,-1.285),(6855,445,-0.000417,-1.2848),(6855,455,-0.000413,-1.2845),(6855,465,-0.000364,-1.2843),(6855,475,-0.000313,-1.284),(6855,485,-0.000262,-1.2838),(6855,495,-0.000212,-1.2836),(6855,505,-0.000169,-1.2834),(6855,515,-0.000127,-1.2832),(6855,525,-8.4e-05,-1.283),(6855,535,-4.3e-05,-1.2827),(6855,545,-3.1e-05,-1.2824),(6855,555,-1.9e-05,-1.2822),(6855,565,-7e-06,-1.2819),(6855,575,2e-06,-1.2816),(6855,585,-2.4e-05,-1.2813),(6855,595,-4.9e-05,-1.281),(6855,605,-7.4e-05,-1.2806),(6855,615,-0.000102,-1.2803),(6855,625,-0.000157,-1.2799),(6855,635,-0.000213,-1.2795),(6855,645,-0.000268,-1.2792),(6855,655,-0.000324,-1.2788),(6855,665,-0.00039,-1.2784),(6855,675,-0.000455,-1.278),(6855,685,-0.00052,-1.2776),(6855,695,-0.000578,-1.2772),(6855,705,-0.000606,-1.2767),(6855,715,-0.000633,-1.2763),(6855,725,-0.00066,-1.2759),(6855,735,-0.000681,-1.2755),(6855,745,-0.000677,-1.2751),(6855,755,-0.000674,-1.2747),(6855,765,-0.00067,-1.2744),(6855,775,-0.000632,-1.2741),(6855,785,-0.000499,-1.2739),(6855,795,-0.000366,-1.2735),(6855,805,-0.000234,-1.2731),(6855,815,-0.000132,-1.2727),(6855,825,-9.8e-05,-1.2722),(6855,835,-6.4e-05,-1.2718),(6855,845,-3e-05,-1.2713),(6855,855,-5e-06,-1.2708),(6855,865,4e-06,-1.2704),(6855,875,1.3e-05,-1.2699),(6855,885,2.2e-05,-1.2693),(6855,895,3.2e-05,-1.2688),(6855,905,4.5e-05,-1.2682),(6855,915,5.9e-05,-1.2677),(6855,925,7.2e-05,-1.2672),(6855,935,0.000101,-1.2666),(6855,945,0.000153,-1.2661),(6855,955,0.000204,-1.2656),(6855,965,0.000255,-1.2651),(6855,975,0.000321,-1.2645),(6855,985,0.000406,-1.264),(6855,995,0.00049,-1.2635),(6855,1005,0.000574,-1.2629),(6855,1015,0.000652,-1.2623),(6855,1025,0.000723,-1.2618),(6855,1035,0.000795,-1.2612),(6855,1045,0.000866,-1.2605),(6855,1055,0.000901,-1.2599),(6855,1065,0.000905,-1.2593),(6855,1075,0.000909,-1.2585),(6855,1085,0.000913,-1.2577),(6855,1095,0.000773,-1.2568),(6855,1105,0.000531,-1.256),(6855,1115,0.000289,-1.255),(6855,1125,4.8e-05,-1.254),(6855,1135,-0.000324,-1.2529),(6855,1145,-0.000773,-1.2519),(6855,1155,-0.001222,-1.2505),(6855,1165,-0.001671,-1.2488),(6855,1175,-0.002433,-1.2472),(6855,1185,-0.003351,-1.2456),(6855,1195,-0.00427,-1.2435),(6855,1205,-0.005188,-1.2412),(6855,1215,-0.006369,-1.239),(6855,1225,-0.007658,-1.2367),(6855,1235,-0.008946,-1.2338),(6855,1245,-0.010235,-1.2307),(6855,1255,-0.011634,-1.2275),(6855,1265,-0.01307,-1.2244),(6855,1275,-0.014506,-1.2202),(6855,1285,-0.015942,-1.2158),(6855,1295,-0.015033,-1.2114),(6855,1305,-0.013489,-1.207),(6855,1315,-0.011946,-1.2039),(6855,1325,-0.010403,-1.2011),(6855,1335,-0.00628,-1.1983),(6855,1345,-0.001616,-1.1955),(6855,1355,0.003048,-1.1967),(6855,1365,0.007711,-1.1987),(6855,1375,0.010552,-1.2006),(6855,1385,0.013111,-1.2026),(6855,1395,0.01567,-1.2065),(6855,1405,0.01823,-1.2107),(6855,1415,0.01711,-1.2149),(6855,1425,0.015608,-1.2192),(6855,1435,0.014107,-1.2223),(6855,1445,0.012605,-1.2254),(6855,1455,0.011237,-1.2285),(6855,1465,0.009877,-1.2316),(6855,1475,0.008517,-1.2335),(6855,1485,0.007157,-1.2354),(6855,1495,0.006193,-1.2373),(6855,1505,0.005235,-1.2391),(6855,1515,0.004276,-1.2404),(6855,1525,0.003332,-1.2416),(6855,1535,0.002915,-1.2428),(6855,1545,0.002498,-1.244),(6855,1555,0.002081,-1.2446),(6855,1565,0.001678,-1.2453),(6855,1575,0.001472,-1.246),(6855,1585,0.001267,-1.2466),(6855,1595,0.001061,-1.2471),(6855,1605,0.000874,-1.2476),(6855,1615,0.000842,-1.2481),(6855,1625,0.00081,-1.2485),(6855,1635,0.000778,-1.2488),(6855,1645,0.000754,-1.2491),(6855,1655,0.000771,-1.2495),(6855,1665,0.000788,-1.2497),(6855,1675,0.000805,-1.25),(6855,1685,0.000825,-1.2502),(6855,1695,0.000856,-1.2504),(6855,1705,0.000887,-1.2506),(6855,1715,0.000918,-1.2507),(6855,1725,0.000948,-1.2508),(6855,1735,0.000976,-1.2509),(6855,1745,0.001004,-1.251),(6855,1755,0.001031,-1.251),(6855,1765,0.001051,-1.251),(6855,1775,0.001048,-1.2511),(6855,1785,0.001045,-1.2511),(6855,1795,0.001042,-1.251),(6855,1805,0.001052,-1.251),(6855,1815,0.001094,-1.251),(6855,1825,0.001136,-1.251),(6855,1835,0.001178,-1.251),(6855,1845,0.001204,-1.2511),(6855,1855,0.001199,-1.2511),(6855,1865,0.001194,-1.2511),(6855,1875,0.001189,-1.2512),(6855,1885,0.001221,-1.2512),(6855,1895,0.001312,-1.2513),(6855,1905,0.001402,-1.2513),(6855,1915,0.001493,-1.2512),(6855,1925,0.001551,-1.2512),(6855,1935,0.001566,-1.2511),(6855,1945,0.001579,-1.2511),(6855,1955,0.001594,-1.251),(6855,1965,0.001602,-1.251),(6855,1975,0.001602,-1.2509),(6855,1985,0.001603,-1.2508),(6855,1995,0.001604,-1.2507),(6855,2005,0.001609,-1.2506),(6855,2015,0.001619,-1.2504),(6855,2025,0.001628,-1.2503),(6855,2035,0.001638,-1.2501),(6855,2045,0.001627,-1.25),(6855,2055,0.001599,-1.2498),(6855,2065,0.00157,-1.2496),(6855,2075,0.001542,-1.2494),(6855,2085,0.001517,-1.2492),(6855,2095,0.001495,-1.249),(6855,2105,0.001472,-1.2488),(6855,2115,0.00145,-1.2487),(6855,2125,0.001472,-1.2485),(6855,2135,0.001522,-1.2483),(6855,2145,0.001571,-1.2481),(6855,2155,0.001621,-1.248),(6855,2165,0.001656,-1.2479),(6855,2175,0.001684,-1.2478),(6855,2185,0.001711,-1.2475),(6855,2195,0.001739,-1.2473),(6855,2205,0.001745,-1.247),(6855,2215,0.001743,-1.2467),(6855,2225,0.00174,-1.2464),(6855,2235,0.001737,-1.246),(6855,2245,0.001711,-1.2457),(6855,2255,0.001677,-1.2453),(6855,2265,0.001643,-1.2451),(6855,2275,0.00161,-1.2449),(6855,2285,0.001618,-1.2446),(6855,2295,0.001639,-1.2444),(6855,2305,0.00166,-1.244),(6855,2315,0.001681,-1.2436),(6855,2325,0.001628,-1.2432),(6855,2335,0.001558,-1.2428),(6855,2345,0.001489,-1.2424),(6855,2355,0.001419,-1.242),(6855,2365,0.001403,-1.2416),(6855,2375,0.001396,-1.2412),(6855,2385,0.001389,-1.2408),(6855,2395,0.001383,-1.2405),(6855,2405,0.001403,-1.2401),(6855,2415,0.001426,-1.2398),(6855,2425,0.001449,-1.2393),(6855,2435,0.001472,-1.2389),(6855,2445,0.00148,-1.2384),(6855,2455,0.001488,-1.238),(6855,2465,0.001496,-1.2375),(6855,2475,0.001503,-1.2371),(6855,2485,0.001517,-1.2366),(6855,2495,0.001531,-1.2362),(6855,2505,0.001544,-1.2357),(6855,2515,0.001558,-1.2353),(6855,2525,0.00156,-1.2349),(6855,2535,0.001562,-1.2344),(6855,2545,0.001564,-1.2339),(6855,2555,0.001566,-1.2333),(6855,2565,0.001549,-1.2328),(6855,2575,0.001532,-1.2322),(6855,2585,0.001516,-1.2316),(6855,2595,0.001501,-1.231),(6855,2605,0.001507,-1.2305),(6855,2615,0.001513,-1.2299),(6855,2625,0.001519,-1.2292),(6855,2635,0.00151,-1.2286),(6855,2645,0.001402,-1.2279),(6855,2655,0.001293,-1.2273),(6855,2665,0.001185,-1.2267),(6855,2675,0.001112,-1.2261),(6855,2685,0.00121,-1.2255),(6855,2695,0.001307,-1.225),(6855,2705,0.001405,-1.2243),(6855,2715,0.001475,-1.2236),(6855,2725,0.001444,-1.2229),(6855,2735,0.001413,-1.2222),(6855,2745,0.001382,-1.2215),(6855,2755,0.001354,-1.2208),(6855,2765,0.001336,-1.2202),(6855,2775,0.001318,-1.2195),(6855,2785,0.0013,-1.2187),(6855,2795,0.001284,-1.218),(6855,2805,0.001274,-1.2173),(6855,2815,0.001264,-1.2165),(6855,2825,0.001254,-1.2158),(6855,2835,0.001244,-1.215),(6855,2845,0.001236,-1.2143),(6855,2855,0.001228,-1.2135),(6855,2865,0.00122,-1.2127),(6855,2875,0.001216,-1.2119),(6855,2885,0.001217,-1.2111),(6855,2895,0.001218,-1.2103),(6855,2905,0.00122,-1.2094),(6855,2915,0.00123,-1.2085),(6855,2925,0.001254,-1.2077),(6855,2935,0.001278,-1.2068),(6855,2945,0.001302,-1.206),(6855,2955,0.001337,-1.2052),(6855,2965,0.001385,-1.2043),(6855,2975,0.001433,-1.2035),(6855,2985,0.001481,-1.2027),(6855,2995,0.001544,-1.2019),(6855,3005,0.001624,-1.201),(6855,3015,0.001703,-1.2002),(6855,3025,0.001783,-1.1993),(6855,3035,0.001769,-1.1985),(6855,3045,0.001673,-1.1976),(6855,3055,0.001578,-1.1967),(6855,3065,0.001482,-1.1958),(6855,3075,0.001467,-1.1949),(6855,3085,0.001514,-1.194),(6855,3095,0.00156,-1.1929),(6855,3105,0.001607,-1.1917),(6855,3115,0.001585,-1.1906),(6855,3125,0.001519,-1.1894),(6855,3135,0.001452,-1.1883),(6855,3145,0.001386,-1.1873),(6855,3155,0.001376,-1.1863),(6855,3165,0.001397,-1.1853),(6855,3175,0.001417,-1.1843),(6855,3185,0.001437,-1.1833),(6855,3195,0.001483,-1.1823),(6855,3205,0.001541,-1.1813),(6855,3215,0.001599,-1.1803),(6855,3225,0.001656,-1.1793),(6855,3235,0.001721,-1.1783),(6855,3245,0.001789,-1.1773),(6855,3255,0.001856,-1.1763),(6855,3265,0.001924,-1.1752),(6855,3275,0.001956,-1.1742),(6855,3285,0.001979,-1.1732),(6855,3295,0.002001,-1.172),(6855,3305,0.002024,-1.1709),(6855,3315,0.002024,-1.1697),(6855,3325,0.002019,-1.1685),(6855,3335,0.002014,-1.1673),(6855,3345,0.00201,-1.1661),(6855,3355,0.002033,-1.165),(6855,3365,0.002061,-1.1638),(6855,3375,0.002089,-1.1625),(6855,3385,0.002117,-1.1613),(6855,3395,0.002006,-1.16),(6855,3405,0.001878,-1.1588),(6855,3415,0.001749,-1.1576),(6855,3425,0.001621,-1.1565),(6855,3435,0.001697,-1.1553),(6855,3445,0.00179,-1.1542),(6855,3455,0.001883,-1.1529),(6855,3465,0.001975,-1.1515),(6855,3475,0.00197,-1.1502),(6855,3485,0.00196,-1.1489),(6855,3495,0.001951,-1.1476),(6855,3505,0.001942,-1.1463),(6855,3515,0.001997,-1.1451),(6855,3525,0.002053,-1.1438),(6855,3535,0.002108,-1.1426),(6855,3545,0.002164,-1.1414),(6855,3555,0.002231,-1.1401),(6855,3565,0.002298,-1.1389),(6855,3575,0.002365,-1.1375),(6855,3585,0.002428,-1.1361),(6855,3595,0.002447,-1.1346),(6855,3605,0.002467,-1.1332),(6855,3615,0.002486,-1.1318),(6855,3625,0.002509,-1.1304),(6855,3635,0.002553,-1.1291),(6855,3645,0.002597,-1.1277),(6855,3655,0.00264,-1.1262),(6855,3665,0.002687,-1.1248),(6855,3675,0.002751,-1.1233),(6855,3685,0.002815,-1.1219),(6855,3695,0.002879,-1.1204),(6855,3705,0.002926,-1.119),(6855,3715,0.002912,-1.1175),(6855,3725,0.002897,-1.116),(6855,3735,0.002882,-1.1143),(6855,3745,0.002855,-1.1127),(6855,3755,0.002789,-1.111),(6855,3765,0.002722,-1.1093),(6855,3775,0.002656,-1.1074),(6855,3785,0.002523,-1.1056),(6855,3795,0.00222,-1.1038),(6855,3805,0.001917,-1.1019),(6855,3815,0.001613,-1.1),(6855,3825,0.001317,-1.098),(6855,3835,0.001036,-1.096),(6855,3845,0.000754,-1.0939),(6855,3855,0.000473,-1.0915),(6855,3865,5e-05,-1.0892),(6855,3875,-0.000624,-1.0869),(6855,3885,-0.001298,-1.0843),(6855,3895,-0.001972,-1.0813),(6855,3905,-0.002731,-1.0783),(6855,3915,-0.003616,-1.0753),(6855,3925,-0.0045,-1.0721),(6855,3935,-0.005385,-1.0685),(6855,3945,-0.00631,-1.0649),(6855,3955,-0.007287,-1.0613),(6855,3965,-0.008263,-1.0572),(6855,3975,-0.00924,-1.0525),(6855,3985,-0.009642,-1.0478),(6855,3995,-0.009423,-1.0432),(6855,4005,-0.009203,-1.039),(6855,4015,-0.008984,-1.0353),(6855,4025,0.058337,-1.0316),(6855,4035,0.13222,-1.0287),(6855,4045,0.20611,-1.0278),(6855,4055,0.25744,-1.0269),(6855,4065,0.30054,-1.0259),(6855,4075,0.34365,-1.0243),(6855,4085,0.36314,-1.0226),(6855,4095,0.36366,-1.021),(6855,4105,0.36418,-1.0193),(6855,4115,0.36466,-1.0177),(6855,4125,0.36506,-1.016),(6855,4135,0.36547,-1.0143),(6855,4145,0.36589,-1.0127),(6855,4155,0.36636,-1.011),(6855,4165,0.36684,-1.0093),(6855,4175,0.36731,-1.0077),(6855,4185,0.36768,-1.006),(6855,4195,0.36805,-1.0042),(6855,4205,0.36843,-1.0025),(6855,4215,0.36877,-1.0007),(6855,4225,0.3691,-0.99887),(6855,4235,0.36944,-0.99692),(6855,4245,0.36976,-0.99496),(6855,4255,0.37007,-0.99301),(6855,4265,0.37039,-0.991),(6855,4275,0.3707,-0.98899),(6855,4285,0.37102,-0.98699),(6855,4295,0.37133,-0.98493),(6855,4305,0.37165,-0.98286),(6855,4315,0.37198,-0.98079),(6855,4325,0.3723,-0.97866),(6855,4335,0.37263,-0.97649),(6855,4345,0.37296,-0.97433),(6855,4355,0.3733,-0.97212),(6855,4365,0.37363,-0.96988),(6855,4375,0.37398,-0.96764),(6855,4385,0.37433,-0.96537),(6855,4395,0.37468,-0.96308),(6855,4405,0.37505,-0.96078),(6855,4415,0.37542,-0.95846),(6855,4425,0.37579,-0.95602),(6855,4435,0.37618,-0.95358),(6855,4445,0.37659,-0.95114),(6855,4455,0.377,-0.94862),(6855,4465,0.37741,-0.94611),(6855,4475,0.37783,-0.94359),(6855,4485,0.37825,-0.941),(6855,4495,0.37867,-0.93839),(6855,4505,0.37913,-0.93579),(6855,4515,0.37958,-0.93313),(6855,4525,0.38004,-0.93045),(6855,4535,0.38052,-0.92777),(6855,4545,0.38101,-0.92506),(6855,4555,0.38149,-0.92232),(6855,4565,0.38201,-0.91958),(6855,4575,0.38253,-0.9168),(6855,4585,0.38306,-0.91395),(6855,4595,0.3836,-0.9111),(6855,4605,0.38416,-0.90824),(6855,4615,0.38472,-0.90529),(6855,4625,0.38529,-0.90235),(6855,4635,0.38587,-0.8994),(6855,4645,0.38645,-0.89639),(6855,4655,0.38704,-0.89337),(6855,4665,0.38765,-0.89036),(6855,4675,0.38825,-0.8873),(6855,4685,0.38886,-0.88422),(6855,4695,0.38949,-0.88115),(6855,4705,0.39012,-0.87804),(6855,4715,0.39075,-0.87491),(6855,4725,0.39154,-0.87177),(6855,4735,0.39232,-0.86856),(6855,4745,0.39311,-0.86524),(6855,4755,0.39378,-0.86191),(6855,4765,0.39442,-0.85859),(6855,4775,0.39506,-0.85529),(6855,4785,0.39579,-0.85199),(6855,4795,0.39658,-0.84869),(6855,4805,0.39737,-0.84531),(6855,4815,0.39816,-0.84194),(6855,4825,0.39897,-0.83856),(6855,4835,0.39978,-0.83512),(6855,4845,0.4006,-0.83166),(6855,4855,0.40142,-0.82821),(6855,4865,0.40224,-0.82468),(6855,4875,0.40306,-0.82112),(6855,4885,0.4039,-0.81757),(6855,4895,0.40474,-0.81398),(6855,4905,0.40558,-0.81036),(6855,4915,0.40645,-0.80675),(6855,4925,0.40732,-0.80312),(6855,4935,0.40818,-0.79947),(6855,4945,0.40907,-0.79582),(6855,4955,0.40997,-0.79216),(6855,4965,0.41086,-0.78846),(6855,4975,0.41177,-0.78476),(6855,4985,0.41268,-0.78106),(6855,4995,0.41359,-0.77732),(6855,5005,0.41451,-0.77358),(6855,5015,0.41543,-0.76983),(6855,5025,0.41634,-0.76607),(6855,5035,0.41731,-0.76229),(6855,5045,0.41848,-0.75852),(6855,5055,0.41965,-0.7545),(6855,5065,0.42081,-0.75033),(6855,5075,0.42151,-0.74616),(6855,5085,0.42221,-0.74209),(6855,5095,0.42291,-0.73814),(6855,5105,0.42386,-0.7342),(6855,5115,0.42486,-0.73022),(6855,5125,0.42586,-0.72618),(6855,5135,0.42688,-0.72214),(6855,5145,0.42791,-0.7181),(6855,5155,0.42894,-0.71401),(6855,5165,0.42998,-0.70993),(6855,5175,0.43103,-0.70584),(6855,5185,0.43209,-0.70168),(6855,5195,0.43314,-0.6975),(6855,5205,0.43419,-0.69333),(6855,5215,0.43524,-0.68911),(6855,5225,0.43629,-0.68488),(6855,5235,0.43733,-0.68065),(6855,5245,0.43837,-0.67638),(6855,5255,0.43941,-0.67207),(6855,5265,0.44044,-0.66777),(6855,5275,0.44148,-0.66345),(6855,5285,0.44251,-0.6591),(6855,5295,0.44354,-0.65475),(6855,5305,0.44457,-0.65039),(6855,5315,0.44559,-0.64603),(6855,5325,0.44663,-0.64167),(6855,5335,0.44767,-0.6373),(6855,5345,0.44871,-0.63289),(6855,5355,0.44974,-0.62847),(6855,5365,0.45078,-0.62405),(6855,5375,0.45182,-0.61956),(6855,5385,0.45285,-0.61505),(6855,5395,0.45387,-0.61054),(6855,5405,0.45488,-0.60596),(6855,5415,0.4559,-0.60135),(6855,5425,0.45691,-0.59674),(6855,5435,0.45792,-0.59211),(6855,5445,0.45893,-0.58747),(6855,5455,0.45994,-0.58283),(6855,5465,0.46095,-0.57818),(6855,5475,0.46196,-0.5735),(6855,5485,0.46297,-0.56883),(6855,5495,0.46398,-0.56414),(6855,5505,0.465,-0.5594),(6855,5515,0.46601,-0.55465),(6855,5525,0.46702,-0.54991),(6855,5535,0.46802,-0.54514),(6855,5545,0.46903,-0.54037),(6855,5555,0.47004,-0.5356),(6855,5565,0.47105,-0.5308),(6855,5575,0.47206,-0.526),(6855,5585,0.47306,-0.52119),(6855,5595,0.47407,-0.51637),(6855,5605,0.47507,-0.51153),(6855,5615,0.47605,-0.50669),(6855,5625,0.47704,-0.50184),(6855,5635,0.47802,-0.49699),(6855,5645,0.47898,-0.49214),(6855,5655,0.47993,-0.48731),(6855,5665,0.48088,-0.48253),(6855,5675,0.48209,-0.47775),(6855,5685,0.48344,-0.47294),(6855,5695,0.4848,-0.46767),(6855,5705,0.48578,-0.46239),(6855,5715,0.48632,-0.45712),(6855,5725,0.48687,-0.45218),(6855,5735,0.48752,-0.44729),(6855,5745,0.48846,-0.4424),(6855,5755,0.4894,-0.43742),(6855,5765,0.49034,-0.4324),(6855,5775,0.49123,-0.42739),(6855,5785,0.49213,-0.42236),(6855,5795,0.49302,-0.4173),(6855,5805,0.4939,-0.41225),(6855,5815,0.49479,-0.40719),(6855,5825,0.49567,-0.40209),(6855,5835,0.49653,-0.397),(6855,5845,0.49739,-0.39189),(6855,5855,0.49825,-0.38676),(6855,5865,0.49909,-0.38162),(6855,5875,0.49993,-0.37648),(6855,5885,0.50076,-0.37132),(6855,5895,0.50157,-0.36615),(6855,5905,0.50236,-0.36099),(6855,5915,0.50315,-0.35583),(6855,5925,0.50392,-0.35066),(6855,5935,0.50465,-0.34549),(6855,5945,0.50538,-0.3404),(6855,5955,0.50613,-0.33535),(6855,5965,0.50731,-0.3303),(6855,5975,0.5085,-0.32502),(6855,5985,0.50969,-0.31945),(6855,5995,0.51013,-0.31387),(6855,6005,0.51045,-0.30842),(6855,6015,0.51078,-0.30331),(6855,6025,0.51139,-0.29819),(6855,6035,0.51214,-0.29306),(6855,6045,0.51289,-0.28779),(6855,6055,0.51361,-0.28251),(6855,6065,0.51431,-0.27723),(6855,6075,0.515,-0.27194),(6855,6085,0.51568,-0.26666),(6855,6095,0.51634,-0.26137),(6855,6105,0.517,-0.25603),(6855,6115,0.51765,-0.25067),(6855,6125,0.51827,-0.24531),(6855,6135,0.51889,-0.23995),(6855,6145,0.51951,-0.2346),(6855,6155,0.52011,-0.22924),(6855,6165,0.52071,-0.22392),(6855,6175,0.52131,-0.21868),(6855,6185,0.52188,-0.21344),(6855,6195,0.52244,-0.20819),(6855,6205,0.52301,-0.20285),(6855,6215,0.52352,-0.19752),(6855,6225,0.524,-0.19219),(6855,6235,0.52448,-0.18674),(6855,6245,0.52492,-0.18129),(6855,6255,0.52533,-0.17583),(6855,6265,0.52574,-0.17053),(6855,6275,0.52626,-0.16525),(6855,6285,0.52709,-0.15996),(6855,6295,0.52791,-0.1544),(6855,6305,0.52868,-0.1487),(6855,6315,0.52873,-0.14299),(6855,6325,0.52878,-0.13755),(6855,6335,0.52883,-0.13237),(6855,6345,0.52926,-0.12719),(6855,6355,0.52972,-0.12195),(6855,6365,0.53019,-0.11656),(6855,6375,0.53058,-0.11117),(6855,6385,0.53094,-0.10576),(6855,6395,0.5313,-0.10023),(6855,6405,0.53163,-0.094698),(6855,6415,0.53194,-0.089169),(6855,6425,0.53224,-0.083804),(6855,6435,0.53253,-0.078448),(6855,6445,0.53278,-0.073092),(6855,6455,0.53302,-0.067674),(6855,6465,0.53326,-0.062239),(6855,6475,0.53348,-0.056804),(6855,6485,0.53369,-0.051302),(6855,6495,0.5339,-0.045757),(6855,6505,0.53404,-0.040211),(6855,6515,0.53418,-0.03475),(6855,6525,0.53432,-0.029403),(6855,6535,0.53439,-0.024057),(6855,6545,0.53445,-0.018752),(6855,6555,0.53451,-0.013577),(6855,6565,0.5348,-0.008401),(6855,6575,0.53521,-0.0032),(6855,6585,0.53562,0.002359),(6855,6595,0.45573,0.007919),(6855,6605,0.28718,0.013479),(6855,6615,0.11863,0.01418),(6855,6625,0.00016,0.014257),(6855,6635,0.000233,0.014334),(6855,6645,0.000305,0.014354),(6855,6655,0.000378,0.014352),(6855,6665,0.000451,0.014349),(6855,6675,0.000523,0.014344),(6855,6685,0.000596,0.014338),(6855,6695,0.000667,0.014331),(6855,6705,0.000739,0.014324),(6855,6715,0.000811,0.014313),(6855,6725,0.000881,0.014303),(6855,6735,0.000952,0.014292),(6855,6745,0.001023,0.014278),(6855,6755,0.001092,0.014264),(6855,6765,0.001162,0.01425),(6855,6775,0.001231,0.014232),(6855,6785,0.001299,0.014215),(6855,6795,0.001367,0.014197),(6855,6805,0.001434,0.014177),(6855,6815,0.001501,0.014156),(6855,6825,0.001567,0.014135),(6855,6835,0.001632,0.014112),(6855,6845,0.001698,0.014088),(6855,6855,0.001761,0.014064),(6855,6865,0.001824,0.014039),(6855,6875,0.001888,0.014012),(6855,6885,0.001949,0.013985),(6855,6895,0.00201,0.013957),(6855,6905,0.002071,0.013928),(6855,6915,0.002131,0.013898),(6855,6925,0.002189,0.013869),(6855,6935,0.002248,0.013837),(6855,6945,0.002305,0.013805),(6855,6955,0.002361,0.013773),(6855,6965,0.002417,0.013739),(6855,6975,0.002472,0.013705),(6855,6985,0.002525,0.013671),(6865,5,-1.7e-05,-1.2906),(6865,15,-5e-05,-1.2905),(6865,25,-6.6e-05,-1.2905),(6865,35,-6.6e-05,-1.2904),(6865,45,-6.6e-05,-1.2904),(6865,55,-6.6e-05,-1.2903),(6865,65,-7.1e-05,-1.2903),(6865,75,-8e-05,-1.2902),(6865,85,-8.9e-05,-1.2902),(6865,95,-9.8e-05,-1.2901),(6865,105,-0.000114,-1.2901),(6865,115,-0.000135,-1.2901),(6865,125,-0.000155,-1.29),(6865,135,-0.000176,-1.2899),(6865,145,-0.000193,-1.2898),(6865,155,-0.000208,-1.2897),(6865,165,-0.000223,-1.2896),(6865,175,-0.000238,-1.2895),(6865,185,-0.000243,-1.2894),(6865,195,-0.000242,-1.2894),(6865,205,-0.000241,-1.2893),(6865,215,-0.00024,-1.2891),(6865,225,-0.000224,-1.289),(6865,235,-0.000202,-1.2889),(6865,245,-0.000181,-1.2888),(6865,255,-0.000159,-1.2887),(6865,265,-0.000131,-1.2886),(6865,275,-0.000102,-1.2885),(6865,285,-7.3e-05,-1.2884),(6865,295,-4.3e-05,-1.2882),(6865,305,-4e-05,-1.288),(6865,315,-4.4e-05,-1.2879),(6865,325,-4.7e-05,-1.2877),(6865,335,-5.1e-05,-1.2875),(6865,345,-0.000107,-1.2873),(6865,355,-0.000173,-1.2871),(6865,365,-0.000239,-1.2869),(6865,375,-0.000305,-1.2866),(6865,385,-0.00035,-1.2864),(6865,395,-0.000392,-1.2861),(6865,405,-0.000433,-1.2859),(6865,415,-0.000475,-1.2856),(6865,425,-0.000487,-1.2853),(6865,435,-0.000496,-1.2851),(6865,445,-0.000505,-1.2848),(6865,455,-0.000515,-1.2845),(6865,465,-0.000468,-1.2843),(6865,475,-0.000418,-1.284),(6865,485,-0.000369,-1.2838),(6865,495,-0.000319,-1.2836),(6865,505,-0.000263,-1.2834),(6865,515,-0.000206,-1.2832),(6865,525,-0.00015,-1.2829),(6865,535,-9.4e-05,-1.2827),(6865,545,-6.6e-05,-1.2824),(6865,555,-3.8e-05,-1.2821),(6865,565,-1e-05,-1.2818),(6865,575,1.5e-05,-1.2815),(6865,585,3e-06,-1.2813),(6865,595,-9e-06,-1.281),(6865,605,-2.1e-05,-1.2806),(6865,615,-3.7e-05,-1.2803),(6865,625,-8.3e-05,-1.2799),(6865,635,-0.000129,-1.2796),(6865,645,-0.000175,-1.2792),(6865,655,-0.000225,-1.2788),(6865,665,-0.000294,-1.2784),(6865,675,-0.000364,-1.2781),(6865,685,-0.000433,-1.2776),(6865,695,-0.0005,-1.2772),(6865,705,-0.000555,-1.2768),(6865,715,-0.000609,-1.2764),(6865,725,-0.000664,-1.276),(6865,735,-0.000706,-1.2755),(6865,745,-0.000704,-1.2751),(6865,755,-0.000701,-1.2747),(6865,765,-0.000699,-1.2744),(6865,775,-0.000665,-1.2741),(6865,785,-0.000544,-1.2738),(6865,795,-0.000423,-1.2734),(6865,805,-0.000302,-1.273),(6865,815,-0.000203,-1.2726),(6865,825,-0.000154,-1.2722),(6865,835,-0.000105,-1.2718),(6865,845,-5.6e-05,-1.2713),(6865,855,-2.1e-05,-1.2708),(6865,865,-1.2e-05,-1.2704),(6865,875,-2e-06,-1.2699),(6865,885,7e-06,-1.2693),(6865,895,1.3e-05,-1.2688),(6865,905,1.6e-05,-1.2683),(6865,915,1.9e-05,-1.2677),(6865,925,2.2e-05,-1.2672),(6865,935,3.9e-05,-1.2666),(6865,945,7.4e-05,-1.2661),(6865,955,0.000109,-1.2656),(6865,965,0.000144,-1.265),(6865,975,0.000194,-1.2645),(6865,985,0.000261,-1.264),(6865,995,0.000327,-1.2634),(6865,1005,0.000394,-1.2628),(6865,1015,0.000454,-1.2623),(6865,1025,0.000508,-1.2617),(6865,1035,0.000561,-1.2611),(6865,1045,0.000615,-1.2605),(6865,1055,0.000625,-1.2599),(6865,1065,0.0006,-1.2592),(6865,1075,0.000575,-1.2585),(6865,1085,0.00055,-1.2577),(6865,1095,0.000376,-1.2569),(6865,1105,0.0001,-1.2561),(6865,1115,-0.000177,-1.2552),(6865,1125,-0.000453,-1.2542),(6865,1135,-0.000914,-1.2532),(6865,1145,-0.001482,-1.2522),(6865,1155,-0.002051,-1.2509),(6865,1165,-0.00262,-1.2493),(6865,1175,-0.003543,-1.2478),(6865,1185,-0.004642,-1.2462),(6865,1195,-0.005742,-1.2442),(6865,1205,-0.006841,-1.242),(6865,1215,-0.00827,-1.2399),(6865,1225,-0.009835,-1.2377),(6865,1235,-0.0114,-1.2348),(6865,1245,-0.012965,-1.2317),(6865,1255,-0.014665,-1.2286),(6865,1265,-0.016411,-1.2254),(6865,1275,-0.018157,-1.2212),(6865,1285,-0.019902,-1.2167),(6865,1295,-0.018749,-1.2122),(6865,1305,-0.01681,-1.2077),(6865,1315,-0.014872,-1.2044),(6865,1325,-0.012934,-1.2014),(6865,1335,-0.007841,-1.1985),(6865,1345,-0.002086,-1.1955),(6865,1355,0.003669,-1.1968),(6865,1365,0.009424,-1.1989),(6865,1375,0.012908,-1.201),(6865,1385,0.016042,-1.2031),(6865,1395,0.019175,-1.2072),(6865,1405,0.022308,-1.2116),(6865,1415,0.020968,-1.2159),(6865,1425,0.019163,-1.2203),(6865,1435,0.017359,-1.2234),(6865,1445,0.015554,-1.2265),(6865,1455,0.013904,-1.2296),(6865,1465,0.012264,-1.2326),(6865,1475,0.010623,-1.2345),(6865,1485,0.008982,-1.2362),(6865,1495,0.007842,-1.238),(6865,1505,0.006708,-1.2398),(6865,1515,0.005575,-1.2409),(6865,1525,0.004456,-1.2421),(6865,1535,0.003909,-1.2432),(6865,1545,0.003362,-1.2443),(6865,1555,0.002815,-1.2449),(6865,1565,0.002286,-1.2455),(6865,1575,0.002029,-1.2461),(6865,1585,0.001773,-1.2467),(6865,1595,0.001516,-1.2472),(6865,1605,0.001279,-1.2477),(6865,1615,0.001215,-1.2481),(6865,1625,0.00115,-1.2486),(6865,1635,0.001086,-1.2489),(6865,1645,0.00103,-1.2492),(6865,1655,0.001026,-1.2495),(6865,1665,0.001022,-1.2497),(6865,1675,0.001019,-1.25),(6865,1685,0.00102,-1.2502),(6865,1695,0.001047,-1.2504),(6865,1705,0.001074,-1.2505),(6865,1715,0.001102,-1.2507),(6865,1725,0.00113,-1.2508),(6865,1735,0.001161,-1.2509),(6865,1745,0.001193,-1.251),(6865,1755,0.001224,-1.251),(6865,1765,0.001244,-1.251),(6865,1775,0.001233,-1.2511),(6865,1785,0.001221,-1.2511),(6865,1795,0.00121,-1.2511),(6865,1805,0.001207,-1.251),(6865,1815,0.001224,-1.251),(6865,1825,0.001241,-1.251),(6865,1835,0.001258,-1.251),(6865,1845,0.00127,-1.2511),(6865,1855,0.001273,-1.2511),(6865,1865,0.001276,-1.2511),(6865,1875,0.001278,-1.2512),(6865,1885,0.001305,-1.2512),(6865,1895,0.001372,-1.2512),(6865,1905,0.001439,-1.2512),(6865,1915,0.001505,-1.2512),(6865,1925,0.001551,-1.2511),(6865,1935,0.001568,-1.2511),(6865,1945,0.001586,-1.2511),(6865,1955,0.001603,-1.251),(6865,1965,0.001615,-1.251),(6865,1975,0.001622,-1.2509),(6865,1985,0.001628,-1.2508),(6865,1995,0.001635,-1.2507),(6865,2005,0.00165,-1.2505),(6865,2015,0.001672,-1.2504),(6865,2025,0.001693,-1.2502),(6865,2035,0.001716,-1.2501),(6865,2045,0.001713,-1.25),(6865,2055,0.001689,-1.2498),(6865,2065,0.001664,-1.2497),(6865,2075,0.001641,-1.2495),(6865,2085,0.001611,-1.2493),(6865,2095,0.001577,-1.2491),(6865,2105,0.001543,-1.2489),(6865,2115,0.001509,-1.2487),(6865,2125,0.001525,-1.2484),(6865,2135,0.001571,-1.2482),(6865,2145,0.001617,-1.2481),(6865,2155,0.001663,-1.248),(6865,2165,0.001698,-1.2478),(6865,2175,0.001726,-1.2477),(6865,2185,0.001755,-1.2475),(6865,2195,0.001783,-1.2473),(6865,2205,0.001777,-1.247),(6865,2215,0.001755,-1.2467),(6865,2225,0.001733,-1.2464),(6865,2235,0.00171,-1.2461),(6865,2245,0.001687,-1.2457),(6865,2255,0.001662,-1.2454),(6865,2265,0.001638,-1.2451),(6865,2275,0.001614,-1.2449),(6865,2285,0.001618,-1.2446),(6865,2295,0.001631,-1.2444),(6865,2305,0.001644,-1.244),(6865,2315,0.001657,-1.2436),(6865,2325,0.001604,-1.2432),(6865,2335,0.001535,-1.2428),(6865,2345,0.001466,-1.2424),(6865,2355,0.001397,-1.242),(6865,2365,0.001368,-1.2416),(6865,2375,0.001347,-1.2412),(6865,2385,0.001326,-1.2408),(6865,2395,0.001304,-1.2405),(6865,2405,0.001316,-1.2401),(6865,2415,0.001332,-1.2398),(6865,2425,0.001349,-1.2393),(6865,2435,0.001365,-1.2389),(6865,2445,0.001373,-1.2384),(6865,2455,0.001381,-1.238),(6865,2465,0.001389,-1.2375),(6865,2475,0.001397,-1.2371),(6865,2485,0.001419,-1.2366),(6865,2495,0.00144,-1.2361),(6865,2505,0.001462,-1.2357),(6865,2515,0.001484,-1.2353),(6865,2525,0.001501,-1.2348),(6865,2535,0.001519,-1.2344),(6865,2545,0.001536,-1.2339),(6865,2555,0.001552,-1.2333),(6865,2565,0.001543,-1.2328),(6865,2575,0.001533,-1.2322),(6865,2585,0.001524,-1.2316),(6865,2595,0.001515,-1.2311),(6865,2605,0.001506,-1.2305),(6865,2615,0.001497,-1.2299),(6865,2625,0.001488,-1.2292),(6865,2635,0.00147,-1.2286),(6865,2645,0.001394,-1.2279),(6865,2655,0.001318,-1.2273),(6865,2665,0.001242,-1.2267),(6865,2675,0.00119,-1.2261),(6865,2685,0.001251,-1.2255),(6865,2695,0.001312,-1.2249),(6865,2705,0.001373,-1.2242),(6865,2715,0.001416,-1.2235),(6865,2725,0.001397,-1.2229),(6865,2735,0.001378,-1.2222),(6865,2745,0.00136,-1.2215),(6865,2755,0.00134,-1.2208),(6865,2765,0.001318,-1.2202),(6865,2775,0.001297,-1.2195),(6865,2785,0.001275,-1.2188),(6865,2795,0.001256,-1.218),(6865,2805,0.001242,-1.2173),(6865,2815,0.001228,-1.2166),(6865,2825,0.001213,-1.2158),(6865,2835,0.0012,-1.215),(6865,2845,0.001188,-1.2143),(6865,2855,0.001176,-1.2135),(6865,2865,0.001164,-1.2127),(6865,2875,0.001155,-1.2119),(6865,2885,0.001151,-1.2111),(6865,2895,0.001146,-1.2103),(6865,2905,0.001142,-1.2094),(6865,2915,0.001147,-1.2085),(6865,2925,0.001166,-1.2077),(6865,2935,0.001184,-1.2068),(6865,2945,0.001202,-1.206),(6865,2955,0.001231,-1.2051),(6865,2965,0.001274,-1.2043),(6865,2975,0.001316,-1.2035),(6865,2985,0.001358,-1.2026),(6865,2995,0.001414,-1.2018),(6865,3005,0.001484,-1.201),(6865,3015,0.001555,-1.2001),(6865,3025,0.001625,-1.1993),(6865,3035,0.001638,-1.1984),(6865,3045,0.0016,-1.1976),(6865,3055,0.001562,-1.1967),(6865,3065,0.001524,-1.1958),(6865,3075,0.001516,-1.1949),(6865,3085,0.001532,-1.194),(6865,3095,0.001548,-1.1929),(6865,3105,0.001564,-1.1918),(6865,3115,0.001527,-1.1906),(6865,3125,0.001456,-1.1895),(6865,3135,0.001386,-1.1884),(6865,3145,0.001315,-1.1873),(6865,3155,0.001291,-1.1863),(6865,3165,0.001293,-1.1853),(6865,3175,0.001295,-1.1843),(6865,3185,0.001297,-1.1833),(6865,3195,0.001334,-1.1823),(6865,3205,0.001386,-1.1812),(6865,3215,0.001439,-1.1802),(6865,3225,0.001491,-1.1792),(6865,3235,0.001561,-1.1782),(6865,3245,0.001639,-1.1772),(6865,3255,0.001716,-1.1762),(6865,3265,0.001793,-1.1752),(6865,3275,0.001842,-1.1741),(6865,3285,0.001882,-1.1731),(6865,3295,0.001923,-1.172),(6865,3305,0.001963,-1.1708),(6865,3315,0.001971,-1.1697),(6865,3325,0.001972,-1.1685),(6865,3335,0.001972,-1.1673),(6865,3345,0.001973,-1.1661),(6865,3355,0.001986,-1.165),(6865,3365,0.002002,-1.1638),(6865,3375,0.002018,-1.1626),(6865,3385,0.002034,-1.1613),(6865,3395,0.00196,-1.1601),(6865,3405,0.001875,-1.1588),(6865,3415,0.001789,-1.1576),(6865,3425,0.001704,-1.1565),(6865,3435,0.001735,-1.1553),(6865,3445,0.001776,-1.1542),(6865,3455,0.001817,-1.1529),(6865,3465,0.001858,-1.1515),(6865,3475,0.001845,-1.1502),(6865,3485,0.001829,-1.1489),(6865,3495,0.001814,-1.1476),(6865,3505,0.001799,-1.1463),(6865,3515,0.001849,-1.145),(6865,3525,0.001899,-1.1437),(6865,3535,0.001949,-1.1425),(6865,3545,0.002,-1.1413),(6865,3555,0.00208,-1.1401),(6865,3565,0.002161,-1.1389),(6865,3575,0.002241,-1.1374),(6865,3585,0.002317,-1.136),(6865,3595,0.002339,-1.1346),(6865,3605,0.002362,-1.1332),(6865,3615,0.002385,-1.1318),(6865,3625,0.002408,-1.1305),(6865,3635,0.002434,-1.1291),(6865,3645,0.00246,-1.1277),(6865,3655,0.002486,-1.1262),(6865,3665,0.002517,-1.1248),(6865,3675,0.002569,-1.1233),(6865,3685,0.002622,-1.1219),(6865,3695,0.002674,-1.1204),(6865,3705,0.002711,-1.119),(6865,3715,0.002686,-1.1175),(6865,3725,0.002661,-1.116),(6865,3735,0.002635,-1.1144),(6865,3745,0.002591,-1.1127),(6865,3755,0.002487,-1.111),(6865,3765,0.002383,-1.1094),(6865,3775,0.002279,-1.1076),(6865,3785,0.002109,-1.1058),(6865,3795,0.001774,-1.104),(6865,3805,0.001438,-1.1022),(6865,3815,0.001102,-1.1002),(6865,3825,0.000745,-1.0982),(6865,3835,0.00034,-1.0963),(6865,3845,-6.4e-05,-1.0942),(6865,3855,-0.000468,-1.0919),(6865,3865,-0.001016,-1.0897),(6865,3875,-0.001818,-1.0874),(6865,3885,-0.00262,-1.0849),(6865,3895,-0.003423,-1.082),(6865,3905,-0.004333,-1.079),(6865,3915,-0.005405,-1.0761),(6865,3925,-0.006476,-1.0729),(6865,3935,-0.007548,-1.0693),(6865,3945,-0.008669,-1.0658),(6865,3955,-0.00985,-1.0622),(6865,3965,-0.011032,-1.0581),(6865,3975,-0.012214,-1.0533),(6865,3985,-0.012674,-1.0485),(6865,3995,-0.012351,-1.0437),(6865,4005,-0.012029,-1.0394),(6865,4015,-0.011707,-1.0355),(6865,4025,0.055896,-1.0316),(6865,4035,0.13008,-1.0287),(6865,4045,0.20426,-1.0278),(6865,4055,0.25543,-1.0269),(6865,4065,0.2982,-1.0259),(6865,4075,0.34096,-1.0243),(6865,4085,0.3603,-1.0227),(6865,4095,0.3608,-1.0211),(6865,4105,0.3613,-1.0194),(6865,4115,0.36177,-1.0178),(6865,4125,0.36218,-1.0161),(6865,4135,0.36259,-1.0145),(6865,4145,0.363,-1.0128),(6865,4155,0.36343,-1.0112),(6865,4165,0.36386,-1.0095),(6865,4175,0.36429,-1.0078),(6865,4185,0.36465,-1.0062),(6865,4195,0.36501,-1.0045),(6865,4205,0.36537,-1.0027),(6865,4215,0.3657,-1.0009),(6865,4225,0.36601,-0.99913),(6865,4235,0.36633,-0.99719),(6865,4245,0.36663,-0.99526),(6865,4255,0.36692,-0.99331),(6865,4265,0.36721,-0.99131),(6865,4275,0.3675,-0.98931),(6865,4285,0.36779,-0.98732),(6865,4295,0.36807,-0.98526),(6865,4305,0.36836,-0.98319),(6865,4315,0.36866,-0.98113),(6865,4325,0.36896,-0.97899),(6865,4335,0.36926,-0.97683),(6865,4345,0.36957,-0.97467),(6865,4355,0.36988,-0.97246),(6865,4365,0.37019,-0.97022),(6865,4375,0.37052,-0.96797),(6865,4385,0.37085,-0.96571),(6865,4395,0.37117,-0.96341),(6865,4405,0.37152,-0.96111),(6865,4415,0.37187,-0.95879),(6865,4425,0.37222,-0.95635),(6865,4435,0.3726,-0.95391),(6865,4445,0.37298,-0.95147),(6865,4455,0.37337,-0.94895),(6865,4465,0.37376,-0.94644),(6865,4475,0.37416,-0.94392),(6865,4485,0.37456,-0.94133),(6865,4495,0.37497,-0.93872),(6865,4505,0.37539,-0.93612),(6865,4515,0.37582,-0.93346),(6865,4525,0.37626,-0.93077),(6865,4535,0.37672,-0.92809),(6865,4545,0.37718,-0.92537),(6865,4555,0.37764,-0.92262),(6865,4565,0.37813,-0.91987),(6865,4575,0.37864,-0.91709),(6865,4585,0.37914,-0.91423),(6865,4595,0.37966,-0.91137),(6865,4605,0.3802,-0.90851),(6865,4615,0.38074,-0.90555),(6865,4625,0.38129,-0.9026),(6865,4635,0.38186,-0.89965),(6865,4645,0.38242,-0.89664),(6865,4655,0.38299,-0.89362),(6865,4665,0.38358,-0.89061),(6865,4675,0.38417,-0.88754),(6865,4685,0.38476,-0.88446),(6865,4695,0.38538,-0.88138),(6865,4705,0.38599,-0.87826),(6865,4715,0.38661,-0.87512),(6865,4725,0.38732,-0.87197),(6865,4735,0.38804,-0.86875),(6865,4745,0.38876,-0.86543),(6865,4755,0.38943,-0.8621),(6865,4765,0.39008,-0.85878),(6865,4775,0.39074,-0.85547),(6865,4785,0.39146,-0.85215),(6865,4795,0.39221,-0.84883),(6865,4805,0.39297,-0.84544),(6865,4815,0.39374,-0.84205),(6865,4825,0.39453,-0.83866),(6865,4835,0.39532,-0.83521),(6865,4845,0.39612,-0.83176),(6865,4855,0.39692,-0.8283),(6865,4865,0.39773,-0.82477),(6865,4875,0.39854,-0.82121),(6865,4885,0.39936,-0.81765),(6865,4895,0.40018,-0.81406),(6865,4905,0.401,-0.81044),(6865,4915,0.40184,-0.80682),(6865,4925,0.40269,-0.80319),(6865,4935,0.40353,-0.79953),(6865,4945,0.40439,-0.79588),(6865,4955,0.40526,-0.79221),(6865,4965,0.40613,-0.7885),(6865,4975,0.40701,-0.78479),(6865,4985,0.4079,-0.78108),(6865,4995,0.4088,-0.77732),(6865,5005,0.4097,-0.77356),(6865,5015,0.41063,-0.7698),(6865,5025,0.41156,-0.76601),(6865,5035,0.41252,-0.76221),(6865,5045,0.41359,-0.75842),(6865,5055,0.41467,-0.75443),(6865,5065,0.41573,-0.75032),(6865,5075,0.41651,-0.74621),(6865,5085,0.41729,-0.74216),(6865,5095,0.41806,-0.73819),(6865,5105,0.41897,-0.73421),(6865,5115,0.41989,-0.73022),(6865,5125,0.42082,-0.72615),(6865,5135,0.42179,-0.72209),(6865,5145,0.42278,-0.71802),(6865,5155,0.42376,-0.71391),(6865,5165,0.42478,-0.7098),(6865,5175,0.42582,-0.70569),(6865,5185,0.42686,-0.70151),(6865,5195,0.4279,-0.69733),(6865,5205,0.42895,-0.69315),(6865,5215,0.43,-0.68893),(6865,5225,0.43105,-0.6847),(6865,5235,0.43208,-0.68047),(6865,5245,0.43312,-0.6762),(6865,5255,0.43415,-0.6719),(6865,5265,0.43517,-0.6676),(6865,5275,0.43619,-0.66328),(6865,5285,0.43721,-0.65893),(6865,5295,0.43821,-0.65459),(6865,5305,0.43922,-0.65023),(6865,5315,0.44022,-0.64586),(6865,5325,0.44124,-0.64149),(6865,5335,0.44226,-0.63712),(6865,5345,0.44328,-0.63269),(6865,5355,0.4443,-0.62826),(6865,5365,0.44533,-0.62383),(6865,5375,0.44636,-0.61934),(6865,5385,0.44738,-0.61483),(6865,5395,0.4484,-0.61031),(6865,5405,0.44942,-0.60574),(6865,5415,0.45043,-0.60112),(6865,5425,0.45144,-0.59651),(6865,5435,0.45244,-0.59188),(6865,5445,0.45345,-0.58724),(6865,5455,0.45445,-0.58261),(6865,5465,0.45544,-0.57795),(6865,5475,0.45644,-0.57328),(6865,5485,0.45742,-0.5686),(6865,5495,0.45841,-0.56391),(6865,5505,0.4594,-0.55917),(6865,5515,0.46038,-0.55442),(6865,5525,0.46136,-0.54967),(6865,5535,0.46234,-0.5449),(6865,5545,0.46332,-0.54012),(6865,5555,0.4643,-0.53534),(6865,5565,0.46529,-0.53054),(6865,5575,0.46627,-0.52573),(6865,5585,0.46725,-0.52092),(6865,5595,0.46822,-0.51609),(6865,5605,0.4692,-0.51125),(6865,5615,0.47017,-0.5064),(6865,5625,0.47113,-0.50155),(6865,5635,0.4721,-0.49669),(6865,5645,0.47307,-0.49182),(6865,5655,0.47404,-0.48696),(6865,5665,0.47501,-0.48215),(6865,5675,0.47612,-0.47733),(6865,5685,0.47732,-0.47249),(6865,5695,0.47851,-0.4673),(6865,5705,0.47948,-0.46211),(6865,5715,0.48019,-0.45691),(6865,5725,0.48091,-0.45196),(6865,5735,0.48167,-0.44704),(6865,5745,0.48257,-0.44212),(6865,5755,0.48346,-0.43713),(6865,5765,0.48436,-0.43212),(6865,5775,0.48523,-0.4271),(6865,5785,0.4861,-0.42207),(6865,5795,0.48697,-0.41701),(6865,5805,0.48784,-0.41196),(6865,5815,0.4887,-0.40689),(6865,5825,0.48956,-0.40179),(6865,5835,0.49041,-0.39669),(6865,5845,0.49125,-0.39159),(6865,5855,0.49209,-0.38645),(6865,5865,0.49292,-0.38131),(6865,5875,0.49374,-0.37617),(6865,5885,0.49457,-0.37101),(6865,5895,0.49537,-0.36585),(6865,5905,0.49616,-0.3607),(6865,5915,0.49694,-0.35552),(6865,5925,0.49772,-0.35035),(6865,5935,0.49847,-0.34518),(6865,5945,0.49923,-0.34006),(6865,5955,0.5,-0.33497),(6865,5965,0.501,-0.32988),(6865,5975,0.502,-0.32461),(6865,5985,0.503,-0.31912),(6865,5995,0.50357,-0.31363),(6865,6005,0.50407,-0.30823),(6865,6015,0.50457,-0.30308),(6865,6025,0.50521,-0.29794),(6865,6035,0.50592,-0.29278),(6865,6045,0.50662,-0.2875),(6865,6055,0.50731,-0.28222),(6865,6065,0.50798,-0.27694),(6865,6075,0.50865,-0.27166),(6865,6085,0.50931,-0.26637),(6865,6095,0.50996,-0.26108),(6865,6105,0.51061,-0.25574),(6865,6115,0.51125,-0.25039),(6865,6125,0.51187,-0.24503),(6865,6135,0.51248,-0.23967),(6865,6145,0.51309,-0.23431),(6865,6155,0.51369,-0.22895),(6865,6165,0.51429,-0.22363),(6865,6175,0.51489,-0.21839),(6865,6185,0.51546,-0.21315),(6865,6195,0.51603,-0.2079),(6865,6205,0.5166,-0.20258),(6865,6215,0.51712,-0.19727),(6865,6225,0.51761,-0.19195),(6865,6235,0.5181,-0.1865),(6865,6245,0.51857,-0.18105),(6865,6255,0.51901,-0.1756),(6865,6265,0.51945,-0.17027),(6865,6275,0.51995,-0.16495),(6865,6285,0.5206,-0.15964),(6865,6295,0.52125,-0.15411),(6865,6305,0.52187,-0.14848),(6865,6315,0.52207,-0.14285),(6865,6325,0.52228,-0.13742),(6865,6335,0.52248,-0.1322),(6865,6345,0.52289,-0.12698),(6865,6355,0.52332,-0.12171),(6865,6365,0.52374,-0.11633),(6865,6375,0.52412,-0.11094),(6865,6385,0.52448,-0.10554),(6865,6395,0.52484,-0.10002),(6865,6405,0.52517,-0.094495),(6865,6415,0.52548,-0.088973),(6865,6425,0.52579,-0.083624),(6865,6435,0.52607,-0.078283),(6865,6445,0.52631,-0.072943),(6865,6455,0.52655,-0.067532),(6865,6465,0.52679,-0.062102),(6865,6475,0.52699,-0.056672),(6865,6485,0.5272,-0.051178),(6865,6495,0.5274,-0.045641),(6865,6505,0.52755,-0.040105),(6865,6515,0.52769,-0.034647),(6865,6525,0.52784,-0.029298),(6865,6535,0.52794,-0.023949),(6865,6545,0.52805,-0.018632),(6865,6555,0.52815,-0.013417),(6865,6565,0.52838,-0.008201),(6865,6575,0.52868,-0.002966),(6865,6585,0.52898,0.002541),(6865,6595,0.45003,0.008049),(6865,6605,0.28359,0.013557),(6865,6615,0.11714,0.014253),(6865,6625,0.000159,0.01433),(6865,6635,0.000233,0.014408),(6865,6645,0.000306,0.014429),(6865,6655,0.00038,0.014426),(6865,6665,0.000454,0.014423),(6865,6675,0.000528,0.014419),(6865,6685,0.000601,0.014412),(6865,6695,0.000674,0.014405),(6865,6705,0.000747,0.014397),(6865,6715,0.00082,0.014386),(6865,6725,0.000892,0.014376),(6865,6735,0.000963,0.014364),(6865,6745,0.001035,0.01435),(6865,6755,0.001106,0.014335),(6865,6765,0.001176,0.014321),(6865,6775,0.001246,0.014303),(6865,6785,0.001316,0.014285),(6865,6795,0.001385,0.014266),(6865,6805,0.001453,0.014245),(6865,6815,0.001521,0.014224),(6865,6825,0.001587,0.014202),(6865,6835,0.001654,0.014179),(6865,6845,0.00172,0.014154),(6865,6855,0.001785,0.014129),(6865,6865,0.001849,0.014103),(6865,6875,0.001913,0.014075),(6865,6885,0.001975,0.014048),(6865,6895,0.002037,0.014019),(6865,6905,0.002099,0.013989),(6865,6915,0.002159,0.013959),(6865,6925,0.002218,0.013928),(6865,6935,0.002277,0.013896),(6865,6945,0.002335,0.013863),(6865,6955,0.002391,0.01383),(6865,6965,0.002448,0.013795),(6865,6975,0.002504,0.01376),(6865,6985,0.002557,0.013726),(6875,5,-1.7e-05,-1.2906),(6875,15,-5.2e-05,-1.2905),(6875,25,-7e-05,-1.2905),(6875,35,-7.1e-05,-1.2904),(6875,45,-7.2e-05,-1.2904),(6875,55,-7.3e-05,-1.2903),(6875,65,-7.9e-05,-1.2903),(6875,75,-8.9e-05,-1.2902),(6875,85,-9.8e-05,-1.2902),(6875,95,-0.000107,-1.2902),(6875,105,-0.000123,-1.2901),(6875,115,-0.000143,-1.2901),(6875,125,-0.000164,-1.29),(6875,135,-0.000184,-1.2899),(6875,145,-0.000202,-1.2898),(6875,155,-0.00022,-1.2897),(6875,165,-0.000237,-1.2896),(6875,175,-0.000254,-1.2895),(6875,185,-0.00026,-1.2894),(6875,195,-0.00026,-1.2894),(6875,205,-0.00026,-1.2893),(6875,215,-0.00026,-1.2891),(6875,225,-0.000246,-1.289),(6875,235,-0.000225,-1.2889),(6875,245,-0.000205,-1.2888),(6875,255,-0.000185,-1.2887),(6875,265,-0.000155,-1.2886),(6875,275,-0.000122,-1.2885),(6875,285,-8.9e-05,-1.2883),(6875,295,-5.7e-05,-1.2882),(6875,305,-4.6e-05,-1.288),(6875,315,-4.1e-05,-1.2879),(6875,325,-3.6e-05,-1.2877),(6875,335,-3.1e-05,-1.2875),(6875,345,-7.9e-05,-1.2873),(6875,355,-0.000138,-1.2871),(6875,365,-0.000196,-1.2869),(6875,375,-0.000254,-1.2867),(6875,385,-0.000312,-1.2864),(6875,395,-0.00037,-1.2862),(6875,405,-0.000428,-1.2859),(6875,415,-0.000486,-1.2856),(6875,425,-0.000512,-1.2854),(6875,435,-0.000535,-1.2851),(6875,445,-0.000559,-1.2848),(6875,455,-0.000582,-1.2845),(6875,465,-0.000544,-1.2843),(6875,475,-0.000502,-1.284),(6875,485,-0.00046,-1.2838),(6875,495,-0.000419,-1.2835),(6875,505,-0.000356,-1.2833),(6875,515,-0.000294,-1.2831),(6875,525,-0.000232,-1.2829),(6875,535,-0.00017,-1.2826),(6875,545,-0.00013,-1.2823),(6875,555,-9e-05,-1.2821),(6875,565,-5e-05,-1.2818),(6875,575,-1.3e-05,-1.2815),(6875,585,-1.3e-05,-1.2812),(6875,595,-1.3e-05,-1.2809),(6875,605,-1.3e-05,-1.2806),(6875,615,-1.7e-05,-1.2803),(6875,625,-5.3e-05,-1.2799),(6875,635,-8.8e-05,-1.2796),(6875,645,-0.000124,-1.2792),(6875,655,-0.000165,-1.2788),(6875,665,-0.000233,-1.2785),(6875,675,-0.0003,-1.2781),(6875,685,-0.000368,-1.2777),(6875,695,-0.000436,-1.2773),(6875,705,-0.000509,-1.2769),(6875,715,-0.000581,-1.2764),(6875,725,-0.000654,-1.276),(6875,735,-0.00071,-1.2756),(6875,745,-0.000712,-1.2751),(6875,755,-0.000714,-1.2747),(6875,765,-0.000717,-1.2744),(6875,775,-0.000689,-1.274),(6875,785,-0.00058,-1.2737),(6875,795,-0.000471,-1.2734),(6875,805,-0.000362,-1.273),(6875,815,-0.000268,-1.2726),(6875,825,-0.000206,-1.2721),(6875,835,-0.000144,-1.2717),(6875,845,-8.3e-05,-1.2713),(6875,855,-3.9e-05,-1.2708),(6875,865,-2.7e-05,-1.2704),(6875,875,-1.6e-05,-1.2699),(6875,885,-5e-06,-1.2694),(6875,895,0,-1.2688),(6875,905,-6e-06,-1.2683),(6875,915,-1.1e-05,-1.2677),(6875,925,-1.7e-05,-1.2672),(6875,935,-1.2e-05,-1.2666),(6875,945,7e-06,-1.2661),(6875,955,2.6e-05,-1.2656),(6875,965,4.5e-05,-1.265),(6875,975,7.7e-05,-1.2645),(6875,985,0.000125,-1.2639),(6875,995,0.000173,-1.2634),(6875,1005,0.00022,-1.2628),(6875,1015,0.000261,-1.2622),(6875,1025,0.000296,-1.2617),(6875,1035,0.000331,-1.2611),(6875,1045,0.000366,-1.2605),(6875,1055,0.000353,-1.2598),(6875,1065,0.000302,-1.2592),(6875,1075,0.00025,-1.2585),(6875,1085,0.000198,-1.2578),(6875,1095,-4e-06,-1.257),(6875,1105,-0.000312,-1.2562),(6875,1115,-0.000619,-1.2554),(6875,1125,-0.000927,-1.2544),(6875,1135,-0.001463,-1.2535),(6875,1145,-0.002133,-1.2525),(6875,1155,-0.002804,-1.2513),(6875,1165,-0.003475,-1.2498),(6875,1175,-0.004547,-1.2483),(6875,1185,-0.005818,-1.2469),(6875,1195,-0.007088,-1.2449),(6875,1205,-0.008359,-1.2428),(6875,1215,-0.010042,-1.2407),(6875,1225,-0.011896,-1.2386),(6875,1235,-0.01375,-1.2358),(6875,1245,-0.015604,-1.2327),(6875,1255,-0.01765,-1.2296),(6875,1265,-0.01976,-1.2265),(6875,1275,-0.021869,-1.2223),(6875,1285,-0.023979,-1.2176),(6875,1295,-0.022608,-1.213),(6875,1305,-0.020295,-1.2083),(6875,1315,-0.017982,-1.2049),(6875,1325,-0.015669,-1.2018),(6875,1335,-0.009528,-1.1987),(6875,1345,-0.002584,-1.1956),(6875,1355,0.004359,-1.197),(6875,1365,0.011303,-1.1992),(6875,1375,0.015443,-1.2014),(6875,1385,0.01915,-1.2037),(6875,1395,0.022858,-1.2079),(6875,1405,0.026565,-1.2124),(6875,1415,0.024947,-1.2169),(6875,1425,0.022776,-1.2214),(6875,1435,0.020605,-1.2246),(6875,1445,0.018435,-1.2276),(6875,1455,0.016488,-1.2306),(6875,1465,0.014554,-1.2336),(6875,1475,0.012621,-1.2354),(6875,1485,0.010687,-1.2371),(6875,1495,0.009373,-1.2388),(6875,1505,0.008069,-1.2405),(6875,1515,0.006764,-1.2415),(6875,1525,0.005476,-1.2425),(6875,1535,0.004809,-1.2436),(6875,1545,0.004142,-1.2446),(6875,1555,0.003475,-1.2451),(6875,1565,0.002832,-1.2457),(6875,1575,0.002523,-1.2463),(6875,1585,0.002214,-1.2469),(6875,1595,0.001906,-1.2473),(6875,1605,0.001619,-1.2477),(6875,1615,0.001527,-1.2482),(6875,1625,0.001435,-1.2486),(6875,1635,0.001343,-1.2489),(6875,1645,0.001261,-1.2492),(6875,1655,0.001241,-1.2495),(6875,1665,0.001221,-1.2497),(6875,1675,0.001201,-1.2499),(6875,1685,0.001189,-1.2501),(6875,1695,0.001211,-1.2503),(6875,1705,0.001233,-1.2505),(6875,1715,0.001256,-1.2506),(6875,1725,0.00128,-1.2507),(6875,1735,0.001312,-1.2509),(6875,1745,0.001345,-1.2509),(6875,1755,0.001377,-1.251),(6875,1765,0.001396,-1.2511),(6875,1775,0.001378,-1.2511),(6875,1785,0.00136,-1.2511),(6875,1795,0.001342,-1.2511),(6875,1805,0.001329,-1.251),(6875,1815,0.001326,-1.251),(6875,1825,0.001322,-1.251),(6875,1835,0.001319,-1.251),(6875,1845,0.001319,-1.2511),(6875,1855,0.001325,-1.2511),(6875,1865,0.001332,-1.2511),(6875,1875,0.001338,-1.2511),(6875,1885,0.001361,-1.2512),(6875,1895,0.001412,-1.2512),(6875,1905,0.001463,-1.2512),(6875,1915,0.001513,-1.2512),(6875,1925,0.001552,-1.2511),(6875,1935,0.001574,-1.2511),(6875,1945,0.001596,-1.2511),(6875,1955,0.001618,-1.251),(6875,1965,0.001634,-1.251),(6875,1975,0.001642,-1.2509),(6875,1985,0.001651,-1.2508),(6875,1995,0.00166,-1.2507),(6875,2005,0.001679,-1.2505),(6875,2015,0.001708,-1.2504),(6875,2025,0.001736,-1.2502),(6875,2035,0.001765,-1.2501),(6875,2045,0.001768,-1.25),(6875,2055,0.001749,-1.2499),(6875,2065,0.00173,-1.2497),(6875,2075,0.001711,-1.2495),(6875,2085,0.001676,-1.2493),(6875,2095,0.001631,-1.2491),(6875,2105,0.001585,-1.2489),(6875,2115,0.001539,-1.2486),(6875,2125,0.001545,-1.2484),(6875,2135,0.001582,-1.2482),(6875,2145,0.00162,-1.248),(6875,2155,0.001657,-1.2479),(6875,2165,0.001691,-1.2478),(6875,2175,0.001723,-1.2477),(6875,2185,0.001755,-1.2475),(6875,2195,0.001786,-1.2473),(6875,2205,0.001774,-1.247),(6875,2215,0.001742,-1.2468),(6875,2225,0.001711,-1.2464),(6875,2235,0.001679,-1.2461),(6875,2245,0.001659,-1.2457),(6875,2255,0.001642,-1.2454),(6875,2265,0.001625,-1.2451),(6875,2275,0.001609,-1.2449),(6875,2285,0.001611,-1.2446),(6875,2295,0.001619,-1.2444),(6875,2305,0.001628,-1.244),(6875,2315,0.001636,-1.2436),(6875,2325,0.001583,-1.2433),(6875,2335,0.001516,-1.2429),(6875,2345,0.001449,-1.2425),(6875,2355,0.001383,-1.242),(6875,2365,0.001346,-1.2416),(6875,2375,0.001314,-1.2412),(6875,2385,0.001282,-1.2408),(6875,2395,0.00125,-1.2405),(6875,2405,0.001258,-1.2401),(6875,2415,0.001271,-1.2398),(6875,2425,0.001284,-1.2393),(6875,2435,0.001297,-1.2389),(6875,2445,0.001307,-1.2384),(6875,2455,0.001317,-1.238),(6875,2465,0.001327,-1.2375),(6875,2475,0.001337,-1.237),(6875,2485,0.001364,-1.2366),(6875,2495,0.001392,-1.2361),(6875,2505,0.001419,-1.2357),(6875,2515,0.001447,-1.2353),(6875,2525,0.001475,-1.2348),(6875,2535,0.001503,-1.2344),(6875,2545,0.001531,-1.2339),(6875,2555,0.001557,-1.2333),(6875,2565,0.001554,-1.2328),(6875,2575,0.001551,-1.2322),(6875,2585,0.001547,-1.2316),(6875,2595,0.001543,-1.2311),(6875,2605,0.001522,-1.2305),(6875,2615,0.001502,-1.2299),(6875,2625,0.001482,-1.2292),(6875,2635,0.001457,-1.2286),(6875,2645,0.001403,-1.228),(6875,2655,0.00135,-1.2273),(6875,2665,0.001296,-1.2267),(6875,2675,0.001257,-1.2261),(6875,2685,0.001289,-1.2255),(6875,2695,0.001321,-1.2249),(6875,2705,0.001353,-1.2242),(6875,2715,0.001377,-1.2235),(6875,2725,0.001368,-1.2229),(6875,2735,0.001359,-1.2222),(6875,2745,0.00135,-1.2215),(6875,2755,0.001338,-1.2209),(6875,2765,0.001316,-1.2202),(6875,2775,0.001295,-1.2195),(6875,2785,0.001273,-1.2188),(6875,2795,0.001253,-1.218),(6875,2805,0.001236,-1.2173),(6875,2815,0.00122,-1.2166),(6875,2825,0.001203,-1.2158),(6875,2835,0.001187,-1.2151),(6875,2845,0.001172,-1.2143),(6875,2855,0.001157,-1.2135),(6875,2865,0.001141,-1.2127),(6875,2875,0.001128,-1.2119),(6875,2885,0.001118,-1.2111),(6875,2895,0.001108,-1.2103),(6875,2905,0.001099,-1.2094),(6875,2915,0.001098,-1.2086),(6875,2925,0.00111,-1.2077),(6875,2935,0.001123,-1.2068),(6875,2945,0.001135,-1.206),(6875,2955,0.001159,-1.2051),(6875,2965,0.001195,-1.2043),(6875,2975,0.001231,-1.2034),(6875,2985,0.001267,-1.2026),(6875,2995,0.001315,-1.2017),(6875,3005,0.001375,-1.2009),(6875,3015,0.001435,-1.2001),(6875,3025,0.001496,-1.1992),(6875,3035,0.001526,-1.1984),(6875,3045,0.00153,-1.1975),(6875,3055,0.001534,-1.1967),(6875,3065,0.001538,-1.1958),(6875,3075,0.001538,-1.1949),(6875,3085,0.001535,-1.194),(6875,3095,0.001532,-1.1929),(6875,3105,0.001529,-1.1918),(6875,3115,0.001483,-1.1907),(6875,3125,0.001411,-1.1895),(6875,3135,0.001338,-1.1884),(6875,3145,0.001266,-1.1874),(6875,3155,0.00123,-1.1864),(6875,3165,0.001215,-1.1853),(6875,3175,0.0012,-1.1843),(6875,3185,0.001185,-1.1833),(6875,3195,0.00121,-1.1822),(6875,3205,0.001253,-1.1812),(6875,3215,0.001296,-1.1802),(6875,3225,0.001339,-1.1792),(6875,3235,0.00141,-1.1781),(6875,3245,0.001492,-1.1771),(6875,3255,0.001574,-1.1761),(6875,3265,0.001656,-1.1751),(6875,3275,0.001718,-1.1741),(6875,3285,0.001773,-1.1731),(6875,3295,0.001829,-1.172),(6875,3305,0.001884,-1.1708),(6875,3315,0.001901,-1.1697),(6875,3325,0.001907,-1.1685),(6875,3335,0.001914,-1.1673),(6875,3345,0.001921,-1.1662),(6875,3355,0.001929,-1.165),(6875,3365,0.001936,-1.1638),(6875,3375,0.001943,-1.1626),(6875,3385,0.00195,-1.1613),(6875,3395,0.001904,-1.1601),(6875,3405,0.001852,-1.1589),(6875,3415,0.0018,-1.1577),(6875,3425,0.001747,-1.1565),(6875,3435,0.001748,-1.1553),(6875,3445,0.001753,-1.1542),(6875,3455,0.001759,-1.1529),(6875,3465,0.001764,-1.1515),(6875,3475,0.001745,-1.1502),(6875,3485,0.001726,-1.1489),(6875,3495,0.001706,-1.1476),(6875,3505,0.001687,-1.1463),(6875,3515,0.001728,-1.145),(6875,3525,0.001769,-1.1437),(6875,3535,0.00181,-1.1425),(6875,3545,0.001853,-1.1412),(6875,3555,0.001939,-1.14),(6875,3565,0.002026,-1.1388),(6875,3575,0.002113,-1.1374),(6875,3585,0.002195,-1.136),(6875,3595,0.002223,-1.1346),(6875,3605,0.002251,-1.1332),(6875,3615,0.002279,-1.1318),(6875,3625,0.002305,-1.1305),(6875,3635,0.002319,-1.1291),(6875,3645,0.002332,-1.1277),(6875,3655,0.002346,-1.1262),(6875,3665,0.002364,-1.1248),(6875,3675,0.002403,-1.1233),(6875,3685,0.002442,-1.1218),(6875,3695,0.002482,-1.1204),(6875,3705,0.002505,-1.1189),(6875,3715,0.002468,-1.1175),(6875,3725,0.002431,-1.116),(6875,3735,0.002394,-1.1144),(6875,3745,0.002333,-1.1127),(6875,3755,0.002198,-1.1111),(6875,3765,0.002063,-1.1094),(6875,3775,0.001928,-1.1077),(6875,3785,0.001728,-1.106),(6875,3795,0.001363,-1.1042),(6875,3805,0.000998,-1.1024),(6875,3815,0.000633,-1.1005),(6875,3825,0.00022,-1.0985),(6875,3835,-0.000292,-1.0966),(6875,3845,-0.000805,-1.0945),(6875,3855,-0.001318,-1.0923),(6875,3865,-0.001982,-1.0901),(6875,3875,-0.002915,-1.088),(6875,3885,-0.003847,-1.0855),(6875,3895,-0.004779,-1.0826),(6875,3905,-0.005849,-1.0798),(6875,3915,-0.007125,-1.0769),(6875,3925,-0.008402,-1.0737),(6875,3935,-0.009678,-1.0702),(6875,3945,-0.011021,-1.0666),(6875,3955,-0.012448,-1.0631),(6875,3965,-0.013875,-1.0589),(6875,3975,-0.015302,-1.0541),(6875,3985,-0.015854,-1.0492),(6875,3995,-0.015457,-1.0443),(6875,4005,-0.015061,-1.0398),(6875,4015,-0.014665,-1.0358),(6875,4025,0.053288,-1.0317),(6875,4035,0.12785,-1.0287),(6875,4045,0.20241,-1.0278),(6875,4055,0.25343,-1.0269),(6875,4065,0.29586,-1.0259),(6875,4075,0.33829,-1.0243),(6875,4085,0.35747,-1.0228),(6875,4095,0.35795,-1.0212),(6875,4105,0.35844,-1.0196),(6875,4115,0.35889,-1.0179),(6875,4125,0.3593,-1.0162),(6875,4135,0.35971,-1.0146),(6875,4145,0.36011,-1.013),(6875,4155,0.36051,-1.0113),(6875,4165,0.3609,-1.0097),(6875,4175,0.36129,-1.008),(6875,4185,0.36164,-1.0064),(6875,4195,0.36198,-1.0047),(6875,4205,0.36233,-1.0029),(6875,4215,0.36263,-1.0012),(6875,4225,0.36293,-0.9994),(6875,4235,0.36323,-0.99747),(6875,4245,0.36351,-0.99555),(6875,4255,0.36378,-0.99362),(6875,4265,0.36405,-0.99163),(6875,4275,0.36431,-0.98963),(6875,4285,0.36457,-0.98764),(6875,4295,0.36483,-0.98559),(6875,4305,0.36509,-0.98352),(6875,4315,0.36536,-0.98146),(6875,4325,0.36563,-0.97933),(6875,4335,0.3659,-0.97717),(6875,4345,0.36619,-0.975),(6875,4355,0.36647,-0.9728),(6875,4365,0.36675,-0.97055),(6875,4375,0.36705,-0.96831),(6875,4385,0.36736,-0.96605),(6875,4395,0.36766,-0.96375),(6875,4405,0.36799,-0.96145),(6875,4415,0.36832,-0.95912),(6875,4425,0.36865,-0.95668),(6875,4435,0.36899,-0.95424),(6875,4445,0.36935,-0.95179),(6875,4455,0.36971,-0.94928),(6875,4465,0.37008,-0.94677),(6875,4475,0.37047,-0.94425),(6875,4485,0.37085,-0.94166),(6875,4495,0.37124,-0.93905),(6875,4505,0.37164,-0.93644),(6875,4515,0.37205,-0.93378),(6875,4525,0.37246,-0.9311),(6875,4535,0.3729,-0.92841),(6875,4545,0.37334,-0.92569),(6875,4555,0.37377,-0.92293),(6875,4565,0.37425,-0.92017),(6875,4575,0.37472,-0.91738),(6875,4585,0.3752,-0.91451),(6875,4595,0.37571,-0.91164),(6875,4605,0.37623,-0.90877),(6875,4615,0.37675,-0.90581),(6875,4625,0.37728,-0.90286),(6875,4635,0.37783,-0.8999),(6875,4645,0.37837,-0.89689),(6875,4655,0.37893,-0.89387),(6875,4665,0.3795,-0.89085),(6875,4675,0.38007,-0.88778),(6875,4685,0.38065,-0.8847),(6875,4695,0.38125,-0.88162),(6875,4705,0.38185,-0.87849),(6875,4715,0.38244,-0.87532),(6875,4725,0.38311,-0.87216),(6875,4735,0.38377,-0.86893),(6875,4745,0.38443,-0.86562),(6875,4755,0.38509,-0.8623),(6875,4765,0.38575,-0.85898),(6875,4775,0.38641,-0.85564),(6875,4785,0.38712,-0.85231),(6875,4795,0.38784,-0.84896),(6875,4805,0.38856,-0.84556),(6875,4815,0.38931,-0.84217),(6875,4825,0.39008,-0.83877),(6875,4835,0.39085,-0.83531),(6875,4845,0.39163,-0.83185),(6875,4855,0.39242,-0.82839),(6875,4865,0.39321,-0.82486),(6875,4875,0.39401,-0.8213),(6875,4885,0.39481,-0.81774),(6875,4895,0.39562,-0.81414),(6875,4905,0.39642,-0.81052),(6875,4915,0.39724,-0.80689),(6875,4925,0.39806,-0.80326),(6875,4935,0.39889,-0.79959),(6875,4945,0.39973,-0.79593),(6875,4955,0.40057,-0.79226),(6875,4965,0.40141,-0.78854),(6875,4975,0.40227,-0.78482),(6875,4985,0.40314,-0.7811),(6875,4995,0.40401,-0.77732),(6875,5005,0.40491,-0.77354),(6875,5015,0.40583,-0.76976),(6875,5025,0.40676,-0.76595),(6875,5035,0.4077,-0.76214),(6875,5045,0.4087,-0.75832),(6875,5055,0.4097,-0.75436),(6875,5065,0.41069,-0.75031),(6875,5075,0.41152,-0.74625),(6875,5085,0.41236,-0.74223),(6875,5095,0.41319,-0.73823),(6875,5105,0.41406,-0.73423),(6875,5115,0.41494,-0.73021),(6875,5125,0.41582,-0.72612),(6875,5135,0.41675,-0.72204),(6875,5145,0.4177,-0.71794),(6875,5155,0.41865,-0.71381),(6875,5165,0.41963,-0.70967),(6875,5175,0.42065,-0.70554),(6875,5185,0.42166,-0.70135),(6875,5195,0.42268,-0.69716),(6875,5205,0.42372,-0.69297),(6875,5215,0.42476,-0.68875),(6875,5225,0.42579,-0.68452),(6875,5235,0.42681,-0.68029),(6875,5245,0.42784,-0.67603),(6875,5255,0.42886,-0.67173),(6875,5265,0.42987,-0.66744),(6875,5275,0.43087,-0.66312),(6875,5285,0.43188,-0.65877),(6875,5295,0.43287,-0.65443),(6875,5305,0.43386,-0.65007),(6875,5315,0.43484,-0.64569),(6875,5325,0.43584,-0.64131),(6875,5335,0.43685,-0.63693),(6875,5345,0.43785,-0.63249),(6875,5355,0.43886,-0.62805),(6875,5365,0.43987,-0.62362),(6875,5375,0.44089,-0.61912),(6875,5385,0.4419,-0.6146),(6875,5395,0.44291,-0.61009),(6875,5405,0.44392,-0.60551),(6875,5415,0.44493,-0.6009),(6875,5425,0.44593,-0.59628),(6875,5435,0.44693,-0.59166),(6875,5445,0.44792,-0.58702),(6875,5455,0.44891,-0.58238),(6875,5465,0.44989,-0.57773),(6875,5475,0.45087,-0.57305),(6875,5485,0.45184,-0.56837),(6875,5495,0.45281,-0.56368),(6875,5505,0.45378,-0.55894),(6875,5515,0.45474,-0.55419),(6875,5525,0.4557,-0.54944),(6875,5535,0.45665,-0.54466),(6875,5545,0.45761,-0.53987),(6875,5555,0.45857,-0.53508),(6875,5565,0.45954,-0.53028),(6875,5575,0.4605,-0.52546),(6875,5585,0.46146,-0.52065),(6875,5595,0.46241,-0.51582),(6875,5605,0.46337,-0.51097),(6875,5615,0.46432,-0.50612),(6875,5625,0.46527,-0.50126),(6875,5635,0.46622,-0.49638),(6875,5645,0.46719,-0.4915),(6875,5655,0.46817,-0.48662),(6875,5665,0.46914,-0.48176),(6875,5675,0.47018,-0.47691),(6875,5685,0.47125,-0.47204),(6875,5695,0.47232,-0.46693),(6875,5705,0.47328,-0.46182),(6875,5715,0.47411,-0.45671),(6875,5725,0.47494,-0.45174),(6875,5735,0.47578,-0.44679),(6875,5745,0.47664,-0.44184),(6875,5755,0.47751,-0.43685),(6875,5765,0.47837,-0.43183),(6875,5775,0.47922,-0.42681),(6875,5785,0.48008,-0.42178),(6875,5795,0.48093,-0.41672),(6875,5805,0.48178,-0.41166),(6875,5815,0.48262,-0.40659),(6875,5825,0.48346,-0.40149),(6875,5835,0.48429,-0.39639),(6875,5845,0.48512,-0.39129),(6875,5855,0.48594,-0.38614),(6875,5865,0.48676,-0.381),(6875,5875,0.48757,-0.37586),(6875,5885,0.48838,-0.37071),(6875,5895,0.48918,-0.36555),(6875,5905,0.48996,-0.3604),(6875,5915,0.49074,-0.35522),(6875,5925,0.49152,-0.35005),(6875,5935,0.49229,-0.34487),(6875,5945,0.49306,-0.33972),(6875,5955,0.49383,-0.33459),(6875,5965,0.4947,-0.32946),(6875,5975,0.49556,-0.3242),(6875,5985,0.49643,-0.31879),(6875,5995,0.49709,-0.31339),(6875,6005,0.49772,-0.30804),(6875,6015,0.49834,-0.30286),(6875,6025,0.499,-0.29768),(6875,6035,0.49967,-0.2925),(6875,6045,0.50034,-0.28722),(6875,6055,0.50101,-0.28194),(6875,6065,0.50166,-0.27666),(6875,6075,0.50232,-0.27137),(6875,6085,0.50296,-0.26608),(6875,6095,0.5036,-0.26079),(6875,6105,0.50424,-0.25545),(6875,6115,0.50487,-0.2501),(6875,6125,0.50547,-0.24474),(6875,6135,0.50607,-0.23938),(6875,6145,0.50668,-0.23402),(6875,6155,0.50727,-0.22866),(6875,6165,0.50786,-0.22334),(6875,6175,0.50845,-0.2181),(6875,6185,0.50903,-0.21286),(6875,6195,0.5096,-0.20761),(6875,6205,0.51016,-0.20231),(6875,6215,0.51069,-0.19701),(6875,6225,0.51119,-0.19171),(6875,6235,0.51169,-0.18626),(6875,6245,0.51217,-0.18082),(6875,6255,0.51264,-0.17537),(6875,6265,0.51311,-0.17001),(6875,6275,0.51359,-0.16466),(6875,6285,0.51411,-0.15931),(6875,6295,0.51464,-0.15382),(6875,6305,0.51515,-0.14826),(6875,6315,0.51547,-0.1427),(6875,6325,0.51578,-0.13729),(6875,6335,0.5161,-0.13203),(6875,6345,0.51649,-0.12677),(6875,6355,0.51689,-0.12147),(6875,6365,0.51729,-0.11609),(6875,6375,0.51766,-0.11072),(6875,6385,0.51801,-0.10532),(6875,6395,0.51837,-0.099805),(6875,6405,0.5187,-0.094291),(6875,6415,0.51902,-0.088777),(6875,6425,0.51933,-0.083444),(6875,6435,0.51962,-0.078119),(6875,6445,0.51986,-0.072794),(6875,6455,0.5201,-0.067391),(6875,6465,0.52033,-0.061965),(6875,6475,0.52053,-0.056539),(6875,6485,0.52073,-0.051053),(6875,6495,0.52093,-0.045525),(6875,6505,0.52107,-0.039998),(6875,6515,0.52122,-0.034544),(6875,6525,0.52136,-0.029193),(6875,6535,0.5215,-0.023841),(6875,6545,0.52163,-0.018513),(6875,6555,0.52177,-0.013257),(6875,6565,0.52195,-0.008001),(6875,6575,0.52217,-0.002732),(6875,6585,0.52238,0.002724),(6875,6595,0.44438,0.008179),(6875,6605,0.28003,0.013635),(6875,6615,0.11567,0.014326),(6875,6625,0.000157,0.014404),(6875,6635,0.000232,0.014483),(6875,6645,0.000308,0.014503),(6875,6655,0.000383,0.014501),(6875,6665,0.000458,0.014498),(6875,6675,0.000532,0.014493),(6875,6685,0.000607,0.014486),(6875,6695,0.000681,0.014479),(6875,6705,0.000755,0.014471),(6875,6715,0.000829,0.01446),(6875,6725,0.000902,0.014449),(6875,6735,0.000975,0.014437),(6875,6745,0.001048,0.014422),(6875,6755,0.00112,0.014407),(6875,6765,0.001192,0.014392),(6875,6775,0.001263,0.014373),(6875,6785,0.001333,0.014354),(6875,6795,0.001403,0.014336),(6875,6805,0.001472,0.014314),(6875,6815,0.001541,0.014292),(6875,6825,0.001609,0.01427),(6875,6835,0.001676,0.014245),(6875,6845,0.001744,0.01422),(6875,6855,0.001809,0.014194),(6875,6865,0.001874,0.014168),(6875,6875,0.001939,0.014139),(6875,6885,0.002002,0.014111),(6875,6895,0.002064,0.014081),(6875,6905,0.002127,0.01405),(6875,6915,0.002188,0.014019),(6875,6925,0.002247,0.013988),(6875,6935,0.002307,0.013954),(6875,6945,0.002366,0.013921),(6875,6955,0.002423,0.013887),(6875,6965,0.00248,0.013851),(6875,6975,0.002537,0.013816),(6875,6985,0.002591,0.01378),(6885,5,-1.6e-05,-1.2906),(6885,15,-4.9e-05,-1.2906),(6885,25,-6.6e-05,-1.2905),(6885,35,-6.9e-05,-1.2904),(6885,45,-7.1e-05,-1.2904),(6885,55,-7.3e-05,-1.2903),(6885,65,-8.1e-05,-1.2903),(6885,75,-9.2e-05,-1.2902),(6885,85,-0.000103,-1.2902),(6885,95,-0.000114,-1.2902),(6885,105,-0.00013,-1.2901),(6885,115,-0.000151,-1.2901),(6885,125,-0.000171,-1.29),(6885,135,-0.000191,-1.2899),(6885,145,-0.00021,-1.2898),(6885,155,-0.000229,-1.2897),(6885,165,-0.000248,-1.2896),(6885,175,-0.000267,-1.2895),(6885,185,-0.000272,-1.2894),(6885,195,-0.000271,-1.2894),(6885,205,-0.000269,-1.2893),(6885,215,-0.000267,-1.2891),(6885,225,-0.000254,-1.289),(6885,235,-0.000237,-1.2888),(6885,245,-0.000219,-1.2887),(6885,255,-0.000202,-1.2886),(6885,265,-0.000174,-1.2885),(6885,275,-0.000144,-1.2884),(6885,285,-0.000113,-1.2883),(6885,295,-8.3e-05,-1.2882),(6885,305,-6.7e-05,-1.288),(6885,315,-5.5e-05,-1.2879),(6885,325,-4.3e-05,-1.2877),(6885,335,-3e-05,-1.2875),(6885,345,-6.3e-05,-1.2874),(6885,355,-0.000105,-1.2872),(6885,365,-0.000147,-1.287),(6885,375,-0.000188,-1.2867),(6885,385,-0.000244,-1.2865),(6885,395,-0.000301,-1.2862),(6885,405,-0.000358,-1.286),(6885,415,-0.000415,-1.2857),(6885,425,-0.000456,-1.2854),(6885,435,-0.000496,-1.2851),(6885,445,-0.000536,-1.2848),(6885,455,-0.000576,-1.2845),(6885,465,-0.000559,-1.2842),(6885,475,-0.000539,-1.2839),(6885,485,-0.00052,-1.2837),(6885,495,-0.0005,-1.2835),(6885,505,-0.00045,-1.2833),(6885,515,-0.0004,-1.283),(6885,525,-0.00035,-1.2828),(6885,535,-0.0003,-1.2825),(6885,545,-0.000257,-1.2823),(6885,555,-0.000214,-1.282),(6885,565,-0.000172,-1.2818),(6885,575,-0.000132,-1.2815),(6885,585,-0.000121,-1.2812),(6885,595,-0.000111,-1.2809),(6885,605,-0.000101,-1.2806),(6885,615,-9.4e-05,-1.2803),(6885,625,-0.000118,-1.2799),(6885,635,-0.000141,-1.2796),(6885,645,-0.000165,-1.2792),(6885,655,-0.000193,-1.2789),(6885,665,-0.000245,-1.2785),(6885,675,-0.000297,-1.2782),(6885,685,-0.000349,-1.2778),(6885,695,-0.000404,-1.2773),(6885,705,-0.000473,-1.2769),(6885,715,-0.000543,-1.2765),(6885,725,-0.000612,-1.276),(6885,735,-0.000668,-1.2756),(6885,745,-0.000681,-1.2751),(6885,755,-0.000695,-1.2747),(6885,765,-0.000708,-1.2743),(6885,775,-0.000692,-1.274),(6885,785,-0.000596,-1.2736),(6885,795,-0.0005,-1.2733),(6885,805,-0.000404,-1.2729),(6885,815,-0.000316,-1.2725),(6885,825,-0.000248,-1.2721),(6885,835,-0.000181,-1.2717),(6885,845,-0.000113,-1.2713),(6885,855,-6.2e-05,-1.2708),(6885,865,-4.4e-05,-1.2704),(6885,875,-2.6e-05,-1.2699),(6885,885,-8e-06,-1.2694),(6885,895,-1e-06,-1.2688),(6885,905,-1.1e-05,-1.2683),(6885,915,-2.1e-05,-1.2678),(6885,925,-3.1e-05,-1.2672),(6885,935,-3.6e-05,-1.2667),(6885,945,-3.4e-05,-1.2661),(6885,955,-3.2e-05,-1.2655),(6885,965,-3.1e-05,-1.265),(6885,975,-1.7e-05,-1.2644),(6885,985,9e-06,-1.2639),(6885,995,3.5e-05,-1.2633),(6885,1005,6.1e-05,-1.2627),(6885,1015,8.1e-05,-1.2622),(6885,1025,9.5e-05,-1.2616),(6885,1035,0.000109,-1.261),(6885,1045,0.000122,-1.2604),(6885,1055,8.9e-05,-1.2598),(6885,1065,1.7e-05,-1.2592),(6885,1075,-5.4e-05,-1.2585),(6885,1085,-0.000126,-1.2578),(6885,1095,-0.00035,-1.2571),(6885,1105,-0.00068,-1.2564),(6885,1115,-0.00101,-1.2555),(6885,1125,-0.00134,-1.2546),(6885,1135,-0.001925,-1.2538),(6885,1145,-0.002659,-1.2529),(6885,1155,-0.003394,-1.2516),(6885,1165,-0.004128,-1.2503),(6885,1175,-0.005321,-1.2489),(6885,1185,-0.006742,-1.2475),(6885,1195,-0.008163,-1.2457),(6885,1205,-0.009584,-1.2436),(6885,1215,-0.011536,-1.2416),(6885,1225,-0.013707,-1.2396),(6885,1235,-0.015879,-1.2368),(6885,1245,-0.01805,-1.2337),(6885,1255,-0.020534,-1.2307),(6885,1265,-0.023125,-1.2276),(6885,1275,-0.025716,-1.2233),(6885,1285,-0.028307,-1.2185),(6885,1295,-0.026776,-1.2137),(6885,1305,-0.024131,-1.209),(6885,1315,-0.021486,-1.2054),(6885,1325,-0.018841,-1.2021),(6885,1335,-0.011487,-1.1989),(6885,1345,-0.003146,-1.1956),(6885,1355,0.005196,-1.1971),(6885,1365,0.013537,-1.1995),(6885,1375,0.018361,-1.2019),(6885,1385,0.022642,-1.2042),(6885,1395,0.026924,-1.2086),(6885,1405,0.031205,-1.2133),(6885,1415,0.029187,-1.2179),(6885,1425,0.026514,-1.2226),(6885,1435,0.023841,-1.2257),(6885,1445,0.021169,-1.2287),(6885,1455,0.018892,-1.2317),(6885,1465,0.016638,-1.2347),(6885,1475,0.014384,-1.2363),(6885,1485,0.01213,-1.2379),(6885,1495,0.010652,-1.2395),(6885,1505,0.009186,-1.2412),(6885,1515,0.007719,-1.2421),(6885,1525,0.00627,-1.243),(6885,1535,0.005506,-1.244),(6885,1545,0.004742,-1.2449),(6885,1555,0.003979,-1.2454),(6885,1565,0.003241,-1.2459),(6885,1575,0.002879,-1.2465),(6885,1585,0.002518,-1.247),(6885,1595,0.002156,-1.2474),(6885,1605,0.001821,-1.2478),(6885,1615,0.00171,-1.2482),(6885,1625,0.0016,-1.2486),(6885,1635,0.00149,-1.2489),(6885,1645,0.001393,-1.2492),(6885,1655,0.001367,-1.2495),(6885,1665,0.001342,-1.2498),(6885,1675,0.001317,-1.2499),(6885,1685,0.001299,-1.2501),(6885,1695,0.001315,-1.2503),(6885,1705,0.00133,-1.2505),(6885,1715,0.001345,-1.2506),(6885,1725,0.001363,-1.2507),(6885,1735,0.00139,-1.2508),(6885,1745,0.001417,-1.2509),(6885,1755,0.001445,-1.251),(6885,1765,0.00146,-1.2511),(6885,1775,0.001439,-1.2511),(6885,1785,0.001419,-1.2512),(6885,1795,0.001399,-1.2511),(6885,1805,0.001381,-1.2511),(6885,1815,0.001367,-1.251),(6885,1825,0.001353,-1.251),(6885,1835,0.001339,-1.251),(6885,1845,0.00133,-1.2511),(6885,1855,0.001332,-1.2511),(6885,1865,0.001333,-1.2511),(6885,1875,0.001335,-1.2511),(6885,1885,0.001356,-1.2511),(6885,1895,0.001408,-1.2512),(6885,1905,0.00146,-1.2512),(6885,1915,0.001512,-1.2511),(6885,1925,0.001555,-1.2511),(6885,1935,0.001585,-1.2511),(6885,1945,0.001615,-1.251),(6885,1955,0.001646,-1.251),(6885,1965,0.001663,-1.251),(6885,1975,0.001666,-1.2509),(6885,1985,0.001668,-1.2508),(6885,1995,0.00167,-1.2507),(6885,2005,0.001683,-1.2505),(6885,2015,0.001707,-1.2504),(6885,2025,0.00173,-1.2502),(6885,2035,0.001754,-1.2501),(6885,2045,0.001758,-1.25),(6885,2055,0.001746,-1.2499),(6885,2065,0.001733,-1.2497),(6885,2075,0.00172,-1.2495),(6885,2085,0.001681,-1.2493),(6885,2095,0.001623,-1.2491),(6885,2105,0.001565,-1.2489),(6885,2115,0.001507,-1.2486),(6885,2125,0.001495,-1.2484),(6885,2135,0.001513,-1.2481),(6885,2145,0.001531,-1.248),(6885,2155,0.001549,-1.2479),(6885,2165,0.001581,-1.2478),(6885,2175,0.00162,-1.2477),(6885,2185,0.00166,-1.2475),(6885,2195,0.0017,-1.2473),(6885,2205,0.001698,-1.247),(6885,2215,0.001678,-1.2468),(6885,2225,0.001659,-1.2465),(6885,2235,0.001639,-1.2461),(6885,2245,0.001624,-1.2458),(6885,2255,0.001611,-1.2454),(6885,2265,0.001597,-1.2451),(6885,2275,0.001584,-1.2449),(6885,2285,0.001589,-1.2446),(6885,2295,0.001598,-1.2444),(6885,2305,0.001608,-1.244),(6885,2315,0.001617,-1.2437),(6885,2325,0.001569,-1.2433),(6885,2335,0.001508,-1.2429),(6885,2345,0.001447,-1.2425),(6885,2355,0.001386,-1.2421),(6885,2365,0.001349,-1.2417),(6885,2375,0.001315,-1.2412),(6885,2385,0.001282,-1.2409),(6885,2395,0.001249,-1.2405),(6885,2405,0.001261,-1.2401),(6885,2415,0.001278,-1.2397),(6885,2425,0.001296,-1.2393),(6885,2435,0.001313,-1.2389),(6885,2445,0.001329,-1.2384),(6885,2455,0.001345,-1.238),(6885,2465,0.001362,-1.2375),(6885,2475,0.001378,-1.237),(6885,2485,0.001405,-1.2366),(6885,2495,0.001432,-1.2361),(6885,2505,0.001459,-1.2357),(6885,2515,0.001487,-1.2352),(6885,2525,0.001516,-1.2348),(6885,2535,0.001546,-1.2344),(6885,2545,0.001575,-1.2338),(6885,2555,0.001603,-1.2333),(6885,2565,0.001603,-1.2328),(6885,2575,0.001603,-1.2322),(6885,2585,0.001603,-1.2316),(6885,2595,0.001601,-1.2311),(6885,2605,0.001577,-1.2305),(6885,2615,0.001554,-1.2299),(6885,2625,0.00153,-1.2292),(6885,2635,0.001502,-1.2286),(6885,2645,0.001449,-1.228),(6885,2655,0.001395,-1.2274),(6885,2665,0.001342,-1.2267),(6885,2675,0.001301,-1.2261),(6885,2685,0.001321,-1.2255),(6885,2695,0.001342,-1.2249),(6885,2705,0.001362,-1.2242),(6885,2715,0.001378,-1.2235),(6885,2725,0.001375,-1.2229),(6885,2735,0.001372,-1.2222),(6885,2745,0.001369,-1.2215),(6885,2755,0.001363,-1.2209),(6885,2765,0.001348,-1.2202),(6885,2775,0.001333,-1.2195),(6885,2785,0.001318,-1.2188),(6885,2795,0.001302,-1.2181),(6885,2805,0.001288,-1.2173),(6885,2815,0.001273,-1.2166),(6885,2825,0.001258,-1.2158),(6885,2835,0.001243,-1.2151),(6885,2845,0.001226,-1.2143),(6885,2855,0.001209,-1.2135),(6885,2865,0.001192,-1.2127),(6885,2875,0.001176,-1.2119),(6885,2885,0.00116,-1.2111),(6885,2895,0.001144,-1.2103),(6885,2905,0.001128,-1.2094),(6885,2915,0.001121,-1.2086),(6885,2925,0.001127,-1.2077),(6885,2935,0.001133,-1.2068),(6885,2945,0.00114,-1.206),(6885,2955,0.001156,-1.2051),(6885,2965,0.001185,-1.2042),(6885,2975,0.001213,-1.2034),(6885,2985,0.001242,-1.2025),(6885,2995,0.001281,-1.2017),(6885,3005,0.001329,-1.2008),(6885,3015,0.001378,-1.2),(6885,3025,0.001426,-1.1992),(6885,3035,0.001456,-1.1983),(6885,3045,0.001469,-1.1975),(6885,3055,0.001482,-1.1967),(6885,3065,0.001495,-1.1958),(6885,3075,0.001502,-1.1949),(6885,3085,0.001505,-1.194),(6885,3095,0.001509,-1.1929),(6885,3105,0.001512,-1.1918),(6885,3115,0.001471,-1.1907),(6885,3125,0.001402,-1.1896),(6885,3135,0.001333,-1.1885),(6885,3145,0.001264,-1.1875),(6885,3155,0.00122,-1.1864),(6885,3165,0.00119,-1.1853),(6885,3175,0.00116,-1.1843),(6885,3185,0.00113,-1.1832),(6885,3195,0.001138,-1.1822),(6885,3205,0.001164,-1.1812),(6885,3215,0.00119,-1.1801),(6885,3225,0.001216,-1.1791),(6885,3235,0.001278,-1.1781),(6885,3245,0.001354,-1.177),(6885,3255,0.001429,-1.176),(6885,3265,0.001505,-1.175),(6885,3275,0.001572,-1.174),(6885,3285,0.001637,-1.173),(6885,3295,0.001702,-1.1719),(6885,3305,0.001767,-1.1708),(6885,3315,0.001792,-1.1697),(6885,3325,0.001808,-1.1685),(6885,3335,0.001824,-1.1673),(6885,3345,0.001839,-1.1662),(6885,3355,0.001846,-1.165),(6885,3365,0.001851,-1.1638),(6885,3375,0.001857,-1.1626),(6885,3385,0.001862,-1.1614),(6885,3395,0.001826,-1.1601),(6885,3405,0.001786,-1.1589),(6885,3415,0.001745,-1.1577),(6885,3425,0.001705,-1.1565),(6885,3435,0.001706,-1.1554),(6885,3445,0.00171,-1.1542),(6885,3455,0.001715,-1.1529),(6885,3465,0.001719,-1.1516),(6885,3475,0.0017,-1.1502),(6885,3485,0.001679,-1.1489),(6885,3495,0.001659,-1.1476),(6885,3505,0.001639,-1.1463),(6885,3515,0.001664,-1.145),(6885,3525,0.00169,-1.1437),(6885,3535,0.001715,-1.1424),(6885,3545,0.001743,-1.1412),(6885,3555,0.00182,-1.14),(6885,3565,0.001898,-1.1387),(6885,3575,0.001975,-1.1373),(6885,3585,0.00205,-1.136),(6885,3595,0.002087,-1.1346),(6885,3605,0.002125,-1.1332),(6885,3615,0.002163,-1.1318),(6885,3625,0.002198,-1.1305),(6885,3635,0.00221,-1.1291),(6885,3645,0.002223,-1.1277),(6885,3655,0.002235,-1.1262),(6885,3665,0.002249,-1.1247),(6885,3675,0.002271,-1.1233),(6885,3685,0.002293,-1.1218),(6885,3695,0.002315,-1.1204),(6885,3705,0.002322,-1.1189),(6885,3715,0.002269,-1.1175),(6885,3725,0.002216,-1.116),(6885,3735,0.002163,-1.1144),(6885,3745,0.002086,-1.1128),(6885,3755,0.001936,-1.1112),(6885,3765,0.001785,-1.1095),(6885,3775,0.001634,-1.1078),(6885,3785,0.001417,-1.1061),(6885,3795,0.001029,-1.1045),(6885,3805,0.000641,-1.1027),(6885,3815,0.000253,-1.1008),(6885,3825,-0.0002,-1.0988),(6885,3835,-0.000791,-1.0969),(6885,3845,-0.001381,-1.0949),(6885,3855,-0.001972,-1.0927),(6885,3865,-0.002734,-1.0906),(6885,3875,-0.0038,-1.0885),(6885,3885,-0.004866,-1.0861),(6885,3895,-0.005933,-1.0833),(6885,3905,-0.00718,-1.0805),(6885,3915,-0.008699,-1.0777),(6885,3925,-0.010217,-1.0745),(6885,3935,-0.011736,-1.071),(6885,3945,-0.01336,-1.0675),(6885,3955,-0.015118,-1.064),(6885,3965,-0.016876,-1.0598),(6885,3975,-0.018634,-1.0548),(6885,3985,-0.019352,-1.0499),(6885,3995,-0.018945,-1.0449),(6885,4005,-0.018538,-1.0403),(6885,4015,-0.018131,-1.036),(6885,4025,0.050321,-1.0318),(6885,4035,0.12543,-1.0287),(6885,4045,0.20054,-1.0278),(6885,4055,0.25146,-1.0269),(6885,4065,0.29356,-1.0259),(6885,4075,0.33566,-1.0244),(6885,4085,0.35468,-1.0228),(6885,4095,0.35515,-1.0213),(6885,4105,0.35562,-1.0197),(6885,4115,0.35606,-1.018),(6885,4125,0.35645,-1.0164),(6885,4135,0.35685,-1.0147),(6885,4145,0.35723,-1.0131),(6885,4155,0.3576,-1.0115),(6885,4165,0.35797,-1.0098),(6885,4175,0.35833,-1.0082),(6885,4185,0.35866,-1.0066),(6885,4195,0.35898,-1.0049),(6885,4205,0.3593,-1.0032),(6885,4215,0.35959,-1.0014),(6885,4225,0.35987,-0.99966),(6885,4235,0.36015,-0.99775),(6885,4245,0.36041,-0.99584),(6885,4255,0.36066,-0.99392),(6885,4265,0.36091,-0.99194),(6885,4275,0.36116,-0.98995),(6885,4285,0.36139,-0.98797),(6885,4295,0.36163,-0.98592),(6885,4305,0.36186,-0.98386),(6885,4315,0.3621,-0.98179),(6885,4325,0.36234,-0.97966),(6885,4335,0.36258,-0.9775),(6885,4345,0.36283,-0.97534),(6885,4355,0.36308,-0.97314),(6885,4365,0.36333,-0.97089),(6885,4375,0.3636,-0.96865),(6885,4385,0.36387,-0.96638),(6885,4395,0.36414,-0.96408),(6885,4405,0.36443,-0.96178),(6885,4415,0.36473,-0.95945),(6885,4425,0.36503,-0.95701),(6885,4435,0.36535,-0.95457),(6885,4445,0.36569,-0.95212),(6885,4455,0.36602,-0.94961),(6885,4465,0.36637,-0.9471),(6885,4475,0.36673,-0.94458),(6885,4485,0.36709,-0.94199),(6885,4495,0.36746,-0.93938),(6885,4505,0.36785,-0.93677),(6885,4515,0.36824,-0.93411),(6885,4525,0.36863,-0.93142),(6885,4535,0.36905,-0.92873),(6885,4545,0.36947,-0.926),(6885,4555,0.36989,-0.92323),(6885,4565,0.37034,-0.92046),(6885,4575,0.37079,-0.91766),(6885,4585,0.37124,-0.91479),(6885,4595,0.37173,-0.91192),(6885,4605,0.37222,-0.90903),(6885,4615,0.37272,-0.90607),(6885,4625,0.37323,-0.90311),(6885,4635,0.37376,-0.90015),(6885,4645,0.37428,-0.89714),(6885,4655,0.37482,-0.89412),(6885,4665,0.37537,-0.8911),(6885,4675,0.37593,-0.88803),(6885,4685,0.37649,-0.88494),(6885,4695,0.37707,-0.88185),(6885,4705,0.37766,-0.87871),(6885,4715,0.37824,-0.87553),(6885,4725,0.37888,-0.87235),(6885,4735,0.37952,-0.86912),(6885,4745,0.38016,-0.86581),(6885,4755,0.3808,-0.8625),(6885,4765,0.38144,-0.85918),(6885,4775,0.38208,-0.85582),(6885,4785,0.38276,-0.85246),(6885,4795,0.38346,-0.8491),(6885,4805,0.38416,-0.84569),(6885,4815,0.38488,-0.84228),(6885,4825,0.38563,-0.83887),(6885,4835,0.38638,-0.83541),(6885,4845,0.38713,-0.83195),(6885,4855,0.38791,-0.82848),(6885,4865,0.38868,-0.82495),(6885,4875,0.38946,-0.82138),(6885,4885,0.39025,-0.81782),(6885,4895,0.39104,-0.81422),(6885,4905,0.39183,-0.8106),(6885,4915,0.39263,-0.80697),(6885,4925,0.39344,-0.80332),(6885,4935,0.39425,-0.79966),(6885,4945,0.39508,-0.79599),(6885,4955,0.39591,-0.79231),(6885,4965,0.39674,-0.78858),(6885,4975,0.39757,-0.78485),(6885,4985,0.39842,-0.78112),(6885,4995,0.39926,-0.77732),(6885,5005,0.40012,-0.77353),(6885,5015,0.40101,-0.76973),(6885,5025,0.4019,-0.7659),(6885,5035,0.40281,-0.76206),(6885,5045,0.40378,-0.75822),(6885,5055,0.40474,-0.75428),(6885,5065,0.40571,-0.75029),(6885,5075,0.40656,-0.7463),(6885,5085,0.40741,-0.74229),(6885,5095,0.40827,-0.73827),(6885,5105,0.40914,-0.73425),(6885,5115,0.41002,-0.73021),(6885,5125,0.41091,-0.72609),(6885,5135,0.41181,-0.72198),(6885,5145,0.41273,-0.71787),(6885,5155,0.41365,-0.71371),(6885,5165,0.4146,-0.70954),(6885,5175,0.41557,-0.70538),(6885,5185,0.41654,-0.70119),(6885,5195,0.41752,-0.69699),(6885,5205,0.41852,-0.69279),(6885,5215,0.41951,-0.68857),(6885,5225,0.42051,-0.68435),(6885,5235,0.42151,-0.68012),(6885,5245,0.42251,-0.67585),(6885,5255,0.42351,-0.67156),(6885,5265,0.4245,-0.66727),(6885,5275,0.4255,-0.66296),(6885,5285,0.42649,-0.65861),(6885,5295,0.42747,-0.65427),(6885,5305,0.42846,-0.64991),(6885,5315,0.42944,-0.64552),(6885,5325,0.43043,-0.64113),(6885,5335,0.43142,-0.63674),(6885,5345,0.43241,-0.63229),(6885,5355,0.43341,-0.62785),(6885,5365,0.43441,-0.6234),(6885,5375,0.4354,-0.6189),(6885,5385,0.4364,-0.61438),(6885,5395,0.43738,-0.60986),(6885,5405,0.43837,-0.60528),(6885,5415,0.43936,-0.60067),(6885,5425,0.44034,-0.59605),(6885,5435,0.44132,-0.59143),(6885,5445,0.4423,-0.58679),(6885,5455,0.44327,-0.58215),(6885,5465,0.44424,-0.5775),(6885,5475,0.44521,-0.57282),(6885,5485,0.44617,-0.56814),(6885,5495,0.44714,-0.56346),(6885,5505,0.4481,-0.55871),(6885,5515,0.44906,-0.55396),(6885,5525,0.45001,-0.5492),(6885,5535,0.45096,-0.54441),(6885,5545,0.45192,-0.53962),(6885,5555,0.45287,-0.53483),(6885,5565,0.45382,-0.53001),(6885,5575,0.45478,-0.5252),(6885,5585,0.45573,-0.52038),(6885,5595,0.45668,-0.51554),(6885,5605,0.45763,-0.51069),(6885,5615,0.45856,-0.50584),(6885,5625,0.4595,-0.50097),(6885,5635,0.46043,-0.49607),(6885,5645,0.46138,-0.49117),(6885,5655,0.46234,-0.48627),(6885,5665,0.46329,-0.48138),(6885,5675,0.46429,-0.47649),(6885,5685,0.46532,-0.47158),(6885,5695,0.46634,-0.46656),(6885,5705,0.46728,-0.46153),(6885,5715,0.46812,-0.4565),(6885,5725,0.46896,-0.45152),(6885,5735,0.4698,-0.44654),(6885,5745,0.47066,-0.44157),(6885,5755,0.47151,-0.43656),(6885,5765,0.47236,-0.43154),(6885,5775,0.47321,-0.42653),(6885,5785,0.47405,-0.42149),(6885,5795,0.4749,-0.41642),(6885,5805,0.47573,-0.41136),(6885,5815,0.47656,-0.40629),(6885,5825,0.47739,-0.40119),(6885,5835,0.4782,-0.39609),(6885,5845,0.47901,-0.39098),(6885,5855,0.47982,-0.38584),(6885,5865,0.48063,-0.3807),(6885,5875,0.48142,-0.37555),(6885,5885,0.48222,-0.3704),(6885,5895,0.48301,-0.36525),(6885,5905,0.48378,-0.3601),(6885,5915,0.48455,-0.35492),(6885,5925,0.48532,-0.34974),(6885,5935,0.48608,-0.34456),(6885,5945,0.48684,-0.33938),(6885,5955,0.4876,-0.33421),(6885,5965,0.48843,-0.32903),(6885,5975,0.48926,-0.32379),(6885,5985,0.49009,-0.31847),(6885,5995,0.49076,-0.31314),(6885,6005,0.49141,-0.30785),(6885,6015,0.49205,-0.30264),(6885,6025,0.49272,-0.29743),(6885,6035,0.49339,-0.29221),(6885,6045,0.49406,-0.28693),(6885,6055,0.49472,-0.28165),(6885,6065,0.49536,-0.27637),(6885,6075,0.49601,-0.27108),(6885,6085,0.49664,-0.26579),(6885,6095,0.49726,-0.2605),(6885,6105,0.49788,-0.25516),(6885,6115,0.4985,-0.24981),(6885,6125,0.49908,-0.24446),(6885,6135,0.49967,-0.2391),(6885,6145,0.50026,-0.23373),(6885,6155,0.50083,-0.22836),(6885,6165,0.50141,-0.22305),(6885,6175,0.50199,-0.21781),(6885,6185,0.50255,-0.21257),(6885,6195,0.50312,-0.20733),(6885,6205,0.50368,-0.20204),(6885,6215,0.50421,-0.19676),(6885,6225,0.50471,-0.19147),(6885,6235,0.50521,-0.18602),(6885,6245,0.50571,-0.18058),(6885,6255,0.50618,-0.17514),(6885,6265,0.50665,-0.16975),(6885,6275,0.50713,-0.16437),(6885,6285,0.50764,-0.15899),(6885,6295,0.50814,-0.15354),(6885,6305,0.50864,-0.14805),(6885,6315,0.50897,-0.14256),(6885,6325,0.50931,-0.13716),(6885,6335,0.50964,-0.13186),(6885,6345,0.51003,-0.12656),(6885,6355,0.51042,-0.12123),(6885,6365,0.51081,-0.11586),(6885,6375,0.51117,-0.11049),(6885,6385,0.51153,-0.1051),(6885,6395,0.51188,-0.099594),(6885,6405,0.51222,-0.094088),(6885,6415,0.51254,-0.088582),(6885,6425,0.51286,-0.083264),(6885,6435,0.51316,-0.077954),(6885,6445,0.51342,-0.072645),(6885,6455,0.51367,-0.067249),(6885,6465,0.51391,-0.061828),(6885,6475,0.51411,-0.056407),(6885,6485,0.51431,-0.050928),(6885,6495,0.5145,-0.045409),(6885,6505,0.51464,-0.039891),(6885,6515,0.51478,-0.034442),(6885,6525,0.51492,-0.029087),(6885,6535,0.51506,-0.023733),(6885,6545,0.5152,-0.018393),(6885,6555,0.51533,-0.013097),(6885,6565,0.5155,-0.0078),(6885,6575,0.51569,-0.002497),(6885,6585,0.51587,0.002906),(6885,6595,0.43883,0.008309),(6885,6605,0.27653,0.013713),(6885,6615,0.11423,0.014398),(6885,6625,0.000156,0.014478),(6885,6635,0.000232,0.014557),(6885,6645,0.000309,0.014578),(6885,6655,0.000385,0.014575),(6885,6665,0.000462,0.014572),(6885,6675,0.000538,0.014567),(6885,6685,0.000614,0.01456),(6885,6695,0.000689,0.014553),(6885,6705,0.000764,0.014544),(6885,6715,0.00084,0.014533),(6885,6725,0.000914,0.014521),(6885,6735,0.000988,0.014509),(6885,6745,0.001062,0.014494),(6885,6755,0.001136,0.014478),(6885,6765,0.001208,0.014463),(6885,6775,0.001281,0.014444),(6885,6785,0.001352,0.014424),(6885,6795,0.001423,0.014405),(6885,6805,0.001494,0.014383),(6885,6815,0.001564,0.01436),(6885,6825,0.001632,0.014337),(6885,6835,0.0017,0.014312),(6885,6845,0.001769,0.014286),(6885,6855,0.001835,0.01426),(6885,6865,0.001901,0.014232),(6885,6875,0.001967,0.014203),(6885,6885,0.002031,0.014174),(6885,6895,0.002094,0.014144),(6885,6905,0.002157,0.014112),(6885,6915,0.002219,0.01408),(6885,6925,0.002279,0.014047),(6885,6935,0.00234,0.014013),(6885,6945,0.002399,0.013978),(6885,6955,0.002457,0.013944),(6885,6965,0.002515,0.013908),(6885,6975,0.002572,0.013871),(6885,6985,0.002627,0.013834),(6895,5,-1.6e-05,-1.2907),(6895,15,-4.7e-05,-1.2906),(6895,25,-6.3e-05,-1.2905),(6895,35,-6.7e-05,-1.2904),(6895,45,-7e-05,-1.2904),(6895,55,-7.3e-05,-1.2903),(6895,65,-8.2e-05,-1.2903),(6895,75,-9.5e-05,-1.2902),(6895,85,-0.000108,-1.2902),(6895,95,-0.000121,-1.2902),(6895,105,-0.000138,-1.2901),(6895,115,-0.000158,-1.2901),(6895,125,-0.000178,-1.29),(6895,135,-0.000198,-1.2899),(6895,145,-0.000218,-1.2898),(6895,155,-0.000239,-1.2897),(6895,165,-0.00026,-1.2896),(6895,175,-0.00028,-1.2895),(6895,185,-0.000285,-1.2895),(6895,195,-0.000281,-1.2894),(6895,205,-0.000277,-1.2893),(6895,215,-0.000274,-1.2891),(6895,225,-0.000262,-1.289),(6895,235,-0.000248,-1.2888),(6895,245,-0.000233,-1.2887),(6895,255,-0.000219,-1.2886),(6895,265,-0.000194,-1.2885),(6895,275,-0.000166,-1.2884),(6895,285,-0.000137,-1.2883),(6895,295,-0.000109,-1.2881),(6895,305,-8.8e-05,-1.288),(6895,315,-6.8e-05,-1.2878),(6895,325,-4.9e-05,-1.2877),(6895,335,-2.9e-05,-1.2875),(6895,345,-4.7e-05,-1.2874),(6895,355,-7.2e-05,-1.2872),(6895,365,-9.7e-05,-1.287),(6895,375,-0.000122,-1.2868),(6895,385,-0.000175,-1.2865),(6895,395,-0.000232,-1.2863),(6895,405,-0.000288,-1.286),(6895,415,-0.000345,-1.2857),(6895,425,-0.000401,-1.2855),(6895,435,-0.000457,-1.2852),(6895,445,-0.000514,-1.2849),(6895,455,-0.00057,-1.2846),(6895,465,-0.000575,-1.2842),(6895,475,-0.000577,-1.2839),(6895,485,-0.000579,-1.2837),(6895,495,-0.000581,-1.2835),(6895,505,-0.000543,-1.2832),(6895,515,-0.000505,-1.283),(6895,525,-0.000467,-1.2828),(6895,535,-0.000429,-1.2825),(6895,545,-0.000384,-1.2822),(6895,555,-0.000339,-1.282),(6895,565,-0.000294,-1.2817),(6895,575,-0.00025,-1.2814),(6895,585,-0.00023,-1.2812),(6895,595,-0.000209,-1.2809),(6895,605,-0.000189,-1.2806),(6895,615,-0.000172,-1.2802),(6895,625,-0.000183,-1.2799),(6895,635,-0.000194,-1.2796),(6895,645,-0.000205,-1.2792),(6895,655,-0.00022,-1.2789),(6895,665,-0.000257,-1.2786),(6895,675,-0.000293,-1.2782),(6895,685,-0.00033,-1.2778),(6895,695,-0.000373,-1.2774),(6895,705,-0.000438,-1.277),(6895,715,-0.000504,-1.2766),(6895,725,-0.00057,-1.2761),(6895,735,-0.000626,-1.2756),(6895,745,-0.000651,-1.2752),(6895,755,-0.000676,-1.2747),(6895,765,-0.0007,-1.2743),(6895,775,-0.000696,-1.274),(6895,785,-0.000612,-1.2736),(6895,795,-0.000529,-1.2732),(6895,805,-0.000445,-1.2728),(6895,815,-0.000365,-1.2724),(6895,825,-0.000291,-1.2721),(6895,835,-0.000217,-1.2717),(6895,845,-0.000143,-1.2712),(6895,855,-8.6e-05,-1.2708),(6895,865,-6.1e-05,-1.2704),(6895,875,-3.7e-05,-1.2699),(6895,885,-1.2e-05,-1.2694),(6895,895,-2e-06,-1.2689),(6895,905,-1.7e-05,-1.2683),(6895,915,-3.1e-05,-1.2678),(6895,925,-4.5e-05,-1.2672),(6895,935,-6e-05,-1.2667),(6895,945,-7.5e-05,-1.2661),(6895,955,-9.1e-05,-1.2655),(6895,965,-0.000106,-1.265),(6895,975,-0.000112,-1.2644),(6895,985,-0.000107,-1.2639),(6895,995,-0.000102,-1.2633),(6895,1005,-9.7e-05,-1.2627),(6895,1015,-9.9e-05,-1.2621),(6895,1025,-0.000106,-1.2616),(6895,1035,-0.000114,-1.261),(6895,1045,-0.000122,-1.2604),(6895,1055,-0.000176,-1.2598),(6895,1065,-0.000267,-1.2592),(6895,1075,-0.000358,-1.2585),(6895,1085,-0.00045,-1.2579),(6895,1095,-0.000695,-1.2572),(6895,1105,-0.001048,-1.2565),(6895,1115,-0.001401,-1.2557),(6895,1125,-0.001754,-1.2549),(6895,1135,-0.002387,-1.254),(6895,1145,-0.003185,-1.2532),(6895,1155,-0.003983,-1.2521),(6895,1165,-0.004781,-1.2508),(6895,1175,-0.006096,-1.2495),(6895,1185,-0.007667,-1.2482),(6895,1195,-0.009239,-1.2465),(6895,1205,-0.01081,-1.2446),(6895,1215,-0.01303,-1.2427),(6895,1225,-0.015519,-1.2408),(6895,1235,-0.018007,-1.2381),(6895,1245,-0.020495,-1.2351),(6895,1255,-0.023419,-1.2321),(6895,1265,-0.026491,-1.2291),(6895,1275,-0.029563,-1.2246),(6895,1285,-0.032634,-1.2197),(6895,1295,-0.030945,-1.2149),(6895,1305,-0.027968,-1.21),(6895,1315,-0.024991,-1.2062),(6895,1325,-0.022014,-1.2027),(6895,1335,-0.013446,-1.1991),(6895,1345,-0.003707,-1.1956),(6895,1355,0.006032,-1.1973),(6895,1365,0.015771,-1.1999),(6895,1375,0.021279,-1.2025),(6895,1385,0.026135,-1.2051),(6895,1395,0.03099,-1.2097),(6895,1405,0.035845,-1.2145),(6895,1415,0.033426,-1.2193),(6895,1425,0.030252,-1.2241),(6895,1435,0.027077,-1.2272),(6895,1445,0.023903,-1.2301),(6895,1455,0.021296,-1.233),(6895,1465,0.018722,-1.2359),(6895,1475,0.016148,-1.2375),(6895,1485,0.013574,-1.2389),(6895,1495,0.011931,-1.2404),(6895,1505,0.010302,-1.2419),(6895,1515,0.008674,-1.2428),(6895,1525,0.007064,-1.2436),(6895,1535,0.006203,-1.2444),(6895,1545,0.005343,-1.2452),(6895,1555,0.004482,-1.2457),(6895,1565,0.00365,-1.2462),(6895,1575,0.003235,-1.2467),(6895,1585,0.002821,-1.2472),(6895,1595,0.002406,-1.2475),(6895,1605,0.002022,-1.2479),(6895,1615,0.001894,-1.2483),(6895,1625,0.001766,-1.2486),(6895,1635,0.001638,-1.2489),(6895,1645,0.001524,-1.2492),(6895,1655,0.001494,-1.2495),(6895,1665,0.001463,-1.2498),(6895,1675,0.001433,-1.2499),(6895,1685,0.00141,-1.2501),(6895,1695,0.001418,-1.2503),(6895,1705,0.001427,-1.2505),(6895,1715,0.001435,-1.2506),(6895,1725,0.001447,-1.2507),(6895,1735,0.001468,-1.2508),(6895,1745,0.00149,-1.2509),(6895,1755,0.001512,-1.251),(6895,1765,0.001522,-1.2511),(6895,1775,0.0015,-1.2512),(6895,1785,0.001478,-1.2512),(6895,1795,0.001456,-1.2511),(6895,1805,0.001433,-1.2511),(6895,1815,0.001409,-1.251),(6895,1825,0.001384,-1.251),(6895,1835,0.001359,-1.251),(6895,1845,0.001342,-1.2511),(6895,1855,0.001339,-1.2511),(6895,1865,0.001335,-1.2511),(6895,1875,0.001332,-1.2511),(6895,1885,0.00135,-1.2511),(6895,1895,0.001404,-1.2511),(6895,1905,0.001457,-1.2511),(6895,1915,0.00151,-1.2511),(6895,1925,0.001557,-1.2511),(6895,1935,0.001596,-1.251),(6895,1945,0.001635,-1.251),(6895,1955,0.001674,-1.251),(6895,1965,0.001693,-1.251),(6895,1975,0.001689,-1.2509),(6895,1985,0.001685,-1.2508),(6895,1995,0.00168,-1.2507),(6895,2005,0.001688,-1.2505),(6895,2015,0.001706,-1.2503),(6895,2025,0.001724,-1.2502),(6895,2035,0.001743,-1.2501),(6895,2045,0.001748,-1.25),(6895,2055,0.001742,-1.2499),(6895,2065,0.001736,-1.2497),(6895,2075,0.00173,-1.2495),(6895,2085,0.001686,-1.2494),(6895,2095,0.001616,-1.2492),(6895,2105,0.001545,-1.2489),(6895,2115,0.001474,-1.2487),(6895,2125,0.001446,-1.2484),(6895,2135,0.001444,-1.2481),(6895,2145,0.001442,-1.248),(6895,2155,0.00144,-1.2478),(6895,2165,0.001471,-1.2477),(6895,2175,0.001518,-1.2476),(6895,2185,0.001565,-1.2474),(6895,2195,0.001613,-1.2472),(6895,2205,0.001622,-1.247),(6895,2215,0.001614,-1.2468),(6895,2225,0.001607,-1.2465),(6895,2235,0.001599,-1.2461),(6895,2245,0.00159,-1.2458),(6895,2255,0.001579,-1.2454),(6895,2265,0.001569,-1.2451),(6895,2275,0.001559,-1.2449),(6895,2285,0.001566,-1.2446),(6895,2295,0.001577,-1.2444),(6895,2305,0.001588,-1.244),(6895,2315,0.001599,-1.2437),(6895,2325,0.001556,-1.2433),(6895,2335,0.0015,-1.243),(6895,2345,0.001445,-1.2426),(6895,2355,0.001389,-1.2421),(6895,2365,0.001351,-1.2417),(6895,2375,0.001317,-1.2413),(6895,2385,0.001282,-1.2409),(6895,2395,0.001248,-1.2405),(6895,2405,0.001264,-1.2401),(6895,2415,0.001285,-1.2397),(6895,2425,0.001307,-1.2393),(6895,2435,0.001329,-1.2388),(6895,2445,0.001351,-1.2384),(6895,2455,0.001374,-1.238),(6895,2465,0.001396,-1.2375),(6895,2475,0.001419,-1.237),(6895,2485,0.001446,-1.2366),(6895,2495,0.001473,-1.2361),(6895,2505,0.0015,-1.2357),(6895,2515,0.001527,-1.2352),(6895,2525,0.001558,-1.2348),(6895,2535,0.001589,-1.2343),(6895,2545,0.00162,-1.2338),(6895,2555,0.001649,-1.2333),(6895,2565,0.001653,-1.2328),(6895,2575,0.001656,-1.2322),(6895,2585,0.001659,-1.2316),(6895,2595,0.00166,-1.2311),(6895,2605,0.001633,-1.2305),(6895,2615,0.001605,-1.2299),(6895,2625,0.001578,-1.2293),(6895,2635,0.001548,-1.2287),(6895,2645,0.001494,-1.228),(6895,2655,0.001441,-1.2274),(6895,2665,0.001387,-1.2268),(6895,2675,0.001345,-1.2261),(6895,2685,0.001354,-1.2255),(6895,2695,0.001362,-1.2248),(6895,2705,0.001371,-1.2242),(6895,2715,0.001379,-1.2235),(6895,2725,0.001382,-1.2229),(6895,2735,0.001385,-1.2222),(6895,2745,0.001388,-1.2216),(6895,2755,0.001388,-1.2209),(6895,2765,0.00138,-1.2202),(6895,2775,0.001371,-1.2195),(6895,2785,0.001362,-1.2188),(6895,2795,0.001352,-1.2181),(6895,2805,0.001339,-1.2173),(6895,2815,0.001326,-1.2166),(6895,2825,0.001313,-1.2158),(6895,2835,0.001298,-1.2151),(6895,2845,0.00128,-1.2143),(6895,2855,0.001261,-1.2136),(6895,2865,0.001243,-1.2128),(6895,2875,0.001223,-1.212),(6895,2885,0.001201,-1.2112),(6895,2895,0.001179,-1.2103),(6895,2905,0.001157,-1.2094),(6895,2915,0.001144,-1.2086),(6895,2925,0.001144,-1.2077),(6895,2935,0.001144,-1.2068),(6895,2945,0.001144,-1.206),(6895,2955,0.001153,-1.2051),(6895,2965,0.001175,-1.2042),(6895,2975,0.001196,-1.2034),(6895,2985,0.001218,-1.2025),(6895,2995,0.001247,-1.2017),(6895,3005,0.001283,-1.2008),(6895,3015,0.00132,-1.2),(6895,3025,0.001356,-1.1991),(6895,3035,0.001385,-1.1983),(6895,3045,0.001407,-1.1975),(6895,3055,0.00143,-1.1966),(6895,3065,0.001452,-1.1957),(6895,3075,0.001467,-1.1948),(6895,3085,0.001476,-1.194),(6895,3095,0.001485,-1.1929),(6895,3105,0.001494,-1.1918),(6895,3115,0.001458,-1.1908),(6895,3125,0.001393,-1.1897),(6895,3135,0.001328,-1.1886),(6895,3145,0.001263,-1.1875),(6895,3155,0.00121,-1.1864),(6895,3165,0.001165,-1.1854),(6895,3175,0.00112,-1.1843),(6895,3185,0.001075,-1.1833),(6895,3195,0.001067,-1.1822),(6895,3205,0.001075,-1.1812),(6895,3215,0.001084,-1.1801),(6895,3225,0.001092,-1.1791),(6895,3235,0.001146,-1.178),(6895,3245,0.001215,-1.177),(6895,3255,0.001285,-1.176),(6895,3265,0.001355,-1.175),(6895,3275,0.001427,-1.174),(6895,3285,0.001501,-1.173),(6895,3295,0.001575,-1.1719),(6895,3305,0.001649,-1.1708),(6895,3315,0.001683,-1.1696),(6895,3325,0.001708,-1.1685),(6895,3335,0.001733,-1.1673),(6895,3345,0.001757,-1.1662),(6895,3355,0.001764,-1.165),(6895,3365,0.001767,-1.1638),(6895,3375,0.00177,-1.1626),(6895,3385,0.001774,-1.1614),(6895,3395,0.001749,-1.1602),(6895,3405,0.00172,-1.159),(6895,3415,0.001691,-1.1578),(6895,3425,0.001662,-1.1566),(6895,3435,0.001663,-1.1554),(6895,3445,0.001667,-1.1542),(6895,3455,0.00167,-1.1529),(6895,3465,0.001674,-1.1516),(6895,3475,0.001654,-1.1503),(6895,3485,0.001633,-1.149),(6895,3495,0.001612,-1.1476),(6895,3505,0.001592,-1.1463),(6895,3515,0.001601,-1.145),(6895,3525,0.001611,-1.1436),(6895,3535,0.00162,-1.1424),(6895,3545,0.001633,-1.1411),(6895,3555,0.001701,-1.1399),(6895,3565,0.001769,-1.1386),(6895,3575,0.001838,-1.1373),(6895,3585,0.001904,-1.1359),(6895,3595,0.001952,-1.1346),(6895,3605,0.002,-1.1332),(6895,3615,0.002048,-1.1318),(6895,3625,0.002091,-1.1305),(6895,3635,0.002102,-1.1291),(6895,3645,0.002113,-1.1277),(6895,3655,0.002124,-1.1262),(6895,3665,0.002134,-1.1247),(6895,3675,0.002139,-1.1232),(6895,3685,0.002143,-1.1218),(6895,3695,0.002148,-1.1204),(6895,3705,0.002138,-1.1189),(6895,3715,0.002069,-1.1175),(6895,3725,0.002001,-1.1161),(6895,3735,0.001932,-1.1145),(6895,3745,0.00184,-1.1128),(6895,3755,0.001674,-1.1112),(6895,3765,0.001507,-1.1096),(6895,3775,0.001341,-1.108),(6895,3785,0.001106,-1.1063),(6895,3795,0.000695,-1.1047),(6895,3805,0.000284,-1.103),(6895,3815,-0.000127,-1.101),(6895,3825,-0.000621,-1.0991),(6895,3835,-0.001289,-1.0972),(6895,3845,-0.001957,-1.0953),(6895,3855,-0.002625,-1.0932),(6895,3865,-0.003485,-1.0912),(6895,3875,-0.004686,-1.0892),(6895,3885,-0.005886,-1.0869),(6895,3895,-0.007086,-1.0841),(6895,3905,-0.008512,-1.0814),(6895,3915,-0.010272,-1.0786),(6895,3925,-0.012033,-1.0756),(6895,3935,-0.013794,-1.0721),(6895,3945,-0.015699,-1.0687),(6895,3955,-0.017788,-1.0652),(6895,3965,-0.019876,-1.061),(6895,3975,-0.021965,-1.0559),(6895,3985,-0.02285,-1.0508),(6895,3995,-0.022432,-1.0457),(6895,4005,-0.022015,-1.041),(6895,4015,-0.021597,-1.0365),(6895,4025,0.047355,-1.032),(6895,4035,0.12301,-1.0286),(6895,4045,0.19867,-1.0278),(6895,4055,0.24949,-1.0269),(6895,4065,0.29126,-1.026),(6895,4075,0.33302,-1.0244),(6895,4085,0.35188,-1.0229),(6895,4095,0.35234,-1.0214),(6895,4105,0.3528,-1.0198),(6895,4115,0.35323,-1.0182),(6895,4125,0.35361,-1.0165),(6895,4135,0.35398,-1.0149),(6895,4145,0.35435,-1.0133),(6895,4155,0.35469,-1.0116),(6895,4165,0.35503,-1.01),(6895,4175,0.35537,-1.0084),(6895,4185,0.35568,-1.0068),(6895,4195,0.35598,-1.0051),(6895,4205,0.35628,-1.0034),(6895,4215,0.35655,-1.0017),(6895,4225,0.35681,-0.99993),(6895,4235,0.35707,-0.99804),(6895,4245,0.35731,-0.99614),(6895,4255,0.35755,-0.99424),(6895,4265,0.35778,-0.99226),(6895,4275,0.358,-0.99029),(6895,4285,0.35821,-0.98831),(6895,4295,0.35842,-0.98627),(6895,4305,0.35863,-0.98421),(6895,4315,0.35884,-0.98215),(6895,4325,0.35905,-0.98002),(6895,4335,0.35926,-0.97787),(6895,4345,0.35947,-0.97571),(6895,4355,0.35969,-0.97351),(6895,4365,0.3599,-0.97126),(6895,4375,0.36014,-0.96902),(6895,4385,0.36037,-0.96675),(6895,4395,0.36061,-0.96445),(6895,4405,0.36088,-0.96214),(6895,4415,0.36115,-0.95981),(6895,4425,0.36142,-0.95736),(6895,4435,0.36171,-0.95492),(6895,4445,0.36202,-0.95247),(6895,4455,0.36233,-0.94995),(6895,4465,0.36265,-0.94744),(6895,4475,0.363,-0.94492),(6895,4485,0.36334,-0.94233),(6895,4495,0.36369,-0.93972),(6895,4505,0.36406,-0.93711),(6895,4515,0.36443,-0.93444),(6895,4525,0.36481,-0.93175),(6895,4535,0.3652,-0.92905),(6895,4545,0.3656,-0.92632),(6895,4555,0.366,-0.92355),(6895,4565,0.36643,-0.92078),(6895,4575,0.36686,-0.91797),(6895,4585,0.36729,-0.91509),(6895,4595,0.36775,-0.91221),(6895,4605,0.36822,-0.90931),(6895,4615,0.36869,-0.90635),(6895,4625,0.36918,-0.90338),(6895,4635,0.36968,-0.90042),(6895,4645,0.37019,-0.8974),(6895,4655,0.37071,-0.89437),(6895,4665,0.37125,-0.89135),(6895,4675,0.37179,-0.88828),(6895,4685,0.37233,-0.88519),(6895,4695,0.3729,-0.8821),(6895,4705,0.37347,-0.87895),(6895,4715,0.37404,-0.87575),(6895,4725,0.37465,-0.87256),(6895,4735,0.37527,-0.86932),(6895,4745,0.37588,-0.86602),(6895,4755,0.3765,-0.86271),(6895,4765,0.37713,-0.85938),(6895,4775,0.37775,-0.85601),(6895,4785,0.37841,-0.85264),(6895,4795,0.37908,-0.84926),(6895,4805,0.37976,-0.84584),(6895,4815,0.38045,-0.84241),(6895,4825,0.38118,-0.83899),(6895,4835,0.3819,-0.83552),(6895,4845,0.38264,-0.83205),(6895,4855,0.38339,-0.82858),(6895,4865,0.38415,-0.82504),(6895,4875,0.38491,-0.82148),(6895,4885,0.38568,-0.81791),(6895,4895,0.38646,-0.81431),(6895,4905,0.38723,-0.81068),(6895,4915,0.38803,-0.80704),(6895,4925,0.38882,-0.80339),(6895,4935,0.38962,-0.79972),(6895,4945,0.39043,-0.79605),(6895,4955,0.39124,-0.79236),(6895,4965,0.39206,-0.78863),(6895,4975,0.39287,-0.7849),(6895,4985,0.39369,-0.78116),(6895,4995,0.39451,-0.77735),(6895,5005,0.39534,-0.77354),(6895,5015,0.3962,-0.76973),(6895,5025,0.39705,-0.76587),(6895,5035,0.39792,-0.76201),(6895,5045,0.39886,-0.75815),(6895,5055,0.39979,-0.75423),(6895,5065,0.40072,-0.75027),(6895,5075,0.4016,-0.74631),(6895,5085,0.40247,-0.74232),(6895,5095,0.40334,-0.738281),(6895,5105,0.40422,-0.73425),(6895,5115,0.4051,-0.73019),(6895,5125,0.40599,-0.72606),(6895,5135,0.40687,-0.72194),(6895,5145,0.40777,-0.71781),(6895,5155,0.40866,-0.71363),(6895,5165,0.40957,-0.70945),(6895,5175,0.41049,-0.70528),(6895,5185,0.41142,-0.70107),(6895,5195,0.41236,-0.69686),(6895,5205,0.41331,-0.69265),(6895,5215,0.41427,-0.68843),(6895,5225,0.41523,-0.68419),(6895,5235,0.4162,-0.67996),(6895,5245,0.41718,-0.67569),(6895,5255,0.41816,-0.6714),(6895,5265,0.41914,-0.6671),(6895,5275,0.42012,-0.66279),(6895,5285,0.4211,-0.65845),(6895,5295,0.42208,-0.6541),(6895,5305,0.42306,-0.64974),(6895,5315,0.42403,-0.64534),(6895,5325,0.42501,-0.64095),(6895,5335,0.426,-0.63655),(6895,5345,0.42698,-0.6321),(6895,5355,0.42796,-0.62765),(6895,5365,0.42894,-0.6232),(6895,5375,0.42991,-0.61869),(6895,5385,0.43089,-0.61417),(6895,5395,0.43185,-0.60965),(6895,5405,0.43282,-0.60507),(6895,5415,0.43379,-0.60045),(6895,5425,0.43475,-0.59583),(6895,5435,0.43571,-0.59121),(6895,5445,0.43667,-0.58657),(6895,5455,0.43763,-0.58193),(6895,5465,0.43859,-0.57727),(6895,5475,0.43955,-0.57259),(6895,5485,0.44051,-0.56791),(6895,5495,0.44147,-0.56322),(6895,5505,0.44243,-0.55847),(6895,5515,0.44338,-0.55371),(6895,5525,0.44433,-0.54896),(6895,5535,0.44527,-0.54416),(6895,5545,0.44622,-0.53937),(6895,5555,0.44717,-0.53457),(6895,5565,0.44811,-0.52975),(6895,5575,0.44906,-0.52493),(6895,5585,0.45,-0.5201),(6895,5595,0.45094,-0.51526),(6895,5605,0.45188,-0.51041),(6895,5615,0.4528,-0.50556),(6895,5625,0.45373,-0.50069),(6895,5635,0.45465,-0.49577),(6895,5645,0.45558,-0.49086),(6895,5655,0.45651,-0.48595),(6895,5665,0.45744,-0.48103),(6895,5675,0.4584,-0.47611),(6895,5685,0.45938,-0.47118),(6895,5695,0.46036,-0.46621),(6895,5705,0.46128,-0.46124),(6895,5715,0.46213,-0.45627),(6895,5725,0.46297,-0.45128),(6895,5735,0.46382,-0.44628),(6895,5745,0.46467,-0.44129),(6895,5755,0.46551,-0.43628),(6895,5765,0.46636,-0.43126),(6895,5775,0.46719,-0.42624),(6895,5785,0.46803,-0.4212),(6895,5795,0.46886,-0.41614),(6895,5805,0.46968,-0.41107),(6895,5815,0.47049,-0.406),(6895,5825,0.47131,-0.4009),(6895,5835,0.47211,-0.3958),(6895,5845,0.47291,-0.39069),(6895,5855,0.4737,-0.38554),(6895,5865,0.47449,-0.3804),(6895,5875,0.47527,-0.37525),(6895,5885,0.47606,-0.3701),(6895,5895,0.47683,-0.36495),(6895,5905,0.47759,-0.3598),(6895,5915,0.47836,-0.35462),(6895,5925,0.47912,-0.34944),(6895,5935,0.47987,-0.34425),(6895,5945,0.48062,-0.33905),(6895,5955,0.48137,-0.33385),(6895,5965,0.48217,-0.32865),(6895,5975,0.48296,-0.32342),(6895,5985,0.48376,-0.31815),(6895,5995,0.48444,-0.31288),(6895,6005,0.4851,-0.30762),(6895,6015,0.48576,-0.30239),(6895,6025,0.48643,-0.29716),(6895,6035,0.4871,-0.29193),(6895,6045,0.48777,-0.28665),(6895,6055,0.48842,-0.28137),(6895,6065,0.48906,-0.27609),(6895,6075,0.4897,-0.2708),(6895,6085,0.49032,-0.26551),(6895,6095,0.49092,-0.26022),(6895,6105,0.49153,-0.25489),(6895,6115,0.49212,-0.24954),(6895,6125,0.49269,-0.24419),(6895,6135,0.49326,-0.23883),(6895,6145,0.49383,-0.23346),(6895,6155,0.4944,-0.22809),(6895,6165,0.49496,-0.22277),(6895,6175,0.49552,-0.21753),(6895,6185,0.49608,-0.21229),(6895,6195,0.49664,-0.20704),(6895,6205,0.49719,-0.20176),(6895,6215,0.49772,-0.19649),(6895,6225,0.49823,-0.19121),(6895,6235,0.49874,-0.18577),(6895,6245,0.49924,-0.18033),(6895,6255,0.49972,-0.17489),(6895,6265,0.5002,-0.16949),(6895,6275,0.50068,-0.16409),(6895,6285,0.50116,-0.15869),(6895,6295,0.50165,-0.15326),(6895,6305,0.50212,-0.14782),(6895,6315,0.50247,-0.14239),(6895,6325,0.50283,-0.137),(6895,6335,0.50318,-0.13167),(6895,6345,0.50356,-0.12634),(6895,6355,0.50394,-0.121),(6895,6365,0.50433,-0.11563),(6895,6375,0.50469,-0.11026),(6895,6385,0.50504,-0.10488),(6895,6395,0.5054,-0.099376),(6895,6405,0.50574,-0.093874),(6895,6415,0.50607,-0.088371),(6895,6425,0.5064,-0.083067),(6895,6435,0.50671,-0.077771),(6895,6445,0.50697,-0.072476),(6895,6455,0.50724,-0.067092),(6895,6465,0.50749,-0.061682),(6895,6475,0.50769,-0.056272),(6895,6485,0.50788,-0.050804),(6895,6495,0.50808,-0.045296),(6895,6505,0.50821,-0.039789),(6895,6515,0.50835,-0.034343),(6895,6525,0.50848,-0.028983),(6895,6535,0.50862,-0.023622),(6895,6545,0.50876,-0.018271),(6895,6555,0.5089,-0.012951),(6895,6565,0.50905,-0.00763),(6895,6575,0.5092,-0.002308),(6895,6585,0.50936,0.00305),(6895,6595,0.43328,0.008407),(6895,6605,0.27303,0.013764),(6895,6615,0.11278,0.014453),(6895,6625,0.000154,0.014542),(6895,6635,0.000232,0.014631),(6895,6645,0.00031,0.014655),(6895,6655,0.000388,0.014652),(6895,6665,0.000465,0.014649),(6895,6675,0.000543,0.014643),(6895,6685,0.00062,0.014636),(6895,6695,0.000697,0.014628),(6895,6705,0.000774,0.014619),(6895,6715,0.00085,0.014608),(6895,6725,0.000926,0.014596),(6895,6735,0.001001,0.014583),(6895,6745,0.001077,0.014567),(6895,6755,0.001151,0.014551),(6895,6765,0.001225,0.014535),(6895,6775,0.001298,0.014516),(6895,6785,0.001371,0.014496),(6895,6795,0.001443,0.014476),(6895,6805,0.001515,0.014453),(6895,6815,0.001586,0.014429),(6895,6825,0.001655,0.014406),(6895,6835,0.001725,0.01438),(6895,6845,0.001794,0.014353),(6895,6855,0.001861,0.014326),(6895,6865,0.001928,0.014298),(6895,6875,0.001995,0.014268),(6895,6885,0.002059,0.014238),(6895,6895,0.002124,0.014207),(6895,6905,0.002188,0.014174),(6895,6915,0.00225,0.014141),(6895,6925,0.002312,0.014108),(6895,6935,0.002373,0.014073),(6895,6945,0.002433,0.014037),(6895,6955,0.002491,0.014002),(6895,6965,0.00255,0.013965),(6895,6975,0.002607,0.013927),(6895,6985,0.002662,0.01389),(6905,5,-1.5e-05,-1.2907),(6905,15,-4.4e-05,-1.2906),(6905,25,-6e-05,-1.2905),(6905,35,-6.5e-05,-1.2904),(6905,45,-6.9e-05,-1.2904),(6905,55,-7.3e-05,-1.2903),(6905,65,-8.3e-05,-1.2903),(6905,75,-9.8e-05,-1.2902),(6905,85,-0.000113,-1.2902),(6905,95,-0.000127,-1.2902),(6905,105,-0.000145,-1.2901),(6905,115,-0.000165,-1.2901),(6905,125,-0.000185,-1.29),(6905,135,-0.000205,-1.2899),(6905,145,-0.000226,-1.2898),(6905,155,-0.000249,-1.2897),(6905,165,-0.000271,-1.2896),(6905,175,-0.000293,-1.2895),(6905,185,-0.000297,-1.2895),(6905,195,-0.000291,-1.2894),(6905,205,-0.000286,-1.2892),(6905,215,-0.000281,-1.2891),(6905,225,-0.000271,-1.289),(6905,235,-0.000259,-1.2888),(6905,245,-0.000248,-1.2887),(6905,255,-0.000236,-1.2886),(6905,265,-0.000213,-1.2885),(6905,275,-0.000187,-1.2884),(6905,285,-0.000161,-1.2883),(6905,295,-0.000136,-1.2881),(6905,305,-0.000109,-1.288),(6905,315,-8.2e-05,-1.2878),(6905,325,-5.5e-05,-1.2877),(6905,335,-2.8e-05,-1.2875),(6905,345,-3.1e-05,-1.2874),(6905,355,-4e-05,-1.2872),(6905,365,-4.8e-05,-1.287),(6905,375,-5.7e-05,-1.2868),(6905,385,-0.000107,-1.2866),(6905,395,-0.000162,-1.2864),(6905,405,-0.000218,-1.2861),(6905,415,-0.000274,-1.2858),(6905,425,-0.000346,-1.2855),(6905,435,-0.000418,-1.2853),(6905,445,-0.000491,-1.2849),(6905,455,-0.000564,-1.2846),(6905,465,-0.00059,-1.2843),(6905,475,-0.000615,-1.284),(6905,485,-0.000639,-1.2837),(6905,495,-0.000663,-1.2835),(6905,505,-0.000637,-1.2832),(6905,515,-0.000611,-1.283),(6905,525,-0.000585,-1.2827),(6905,535,-0.000558,-1.2825),(6905,545,-0.00051,-1.2822),(6905,555,-0.000463,-1.2819),(6905,565,-0.000415,-1.2817),(6905,575,-0.000369,-1.2814),(6905,585,-0.000338,-1.2811),(6905,595,-0.000307,-1.2808),(6905,605,-0.000277,-1.2805),(6905,615,-0.000249,-1.2802),(6905,625,-0.000248,-1.2799),(6905,635,-0.000247,-1.2796),(6905,645,-0.000245,-1.2792),(6905,655,-0.000247,-1.2789),(6905,665,-0.000269,-1.2785),(6905,675,-0.00029,-1.2782),(6905,685,-0.000312,-1.2778),(6905,695,-0.000341,-1.2774),(6905,705,-0.000403,-1.277),(6905,715,-0.000465,-1.2766),(6905,725,-0.000528,-1.2761),(6905,735,-0.000584,-1.2757),(6905,745,-0.00062,-1.2752),(6905,755,-0.000656,-1.2748),(6905,765,-0.000692,-1.2744),(6905,775,-0.000699,-1.274),(6905,785,-0.000629,-1.2736),(6905,795,-0.000558,-1.2732),(6905,805,-0.000487,-1.2728),(6905,815,-0.000414,-1.2724),(6905,825,-0.000333,-1.272),(6905,835,-0.000253,-1.2716),(6905,845,-0.000173,-1.2712),(6905,855,-0.00011,-1.2708),(6905,865,-7.9e-05,-1.2704),(6905,875,-4.7e-05,-1.2699),(6905,885,-1.5e-05,-1.2694),(6905,895,-3e-06,-1.2689),(6905,905,-2.2e-05,-1.2684),(6905,915,-4.1e-05,-1.2678),(6905,925,-5.9e-05,-1.2673),(6905,935,-8.4e-05,-1.2667),(6905,945,-0.000116,-1.2662),(6905,955,-0.000149,-1.2656),(6905,965,-0.000181,-1.265),(6905,975,-0.000206,-1.2645),(6905,985,-0.000223,-1.2639),(6905,995,-0.000239,-1.2633),(6905,1005,-0.000256,-1.2627),(6905,1015,-0.000279,-1.2622),(6905,1025,-0.000308,-1.2616),(6905,1035,-0.000337,-1.261),(6905,1045,-0.000366,-1.2604),(6905,1055,-0.00044,-1.2598),(6905,1065,-0.000551,-1.2592),(6905,1075,-0.000663,-1.2586),(6905,1085,-0.000774,-1.2579),(6905,1095,-0.001041,-1.2573),(6905,1105,-0.001417,-1.2566),(6905,1115,-0.001792,-1.2559),(6905,1125,-0.002168,-1.2551),(6905,1135,-0.002849,-1.2544),(6905,1145,-0.003711,-1.2536),(6905,1155,-0.004572,-1.2526),(6905,1165,-0.005434,-1.2514),(6905,1175,-0.00687,-1.2503),(6905,1185,-0.008592,-1.2492),(6905,1195,-0.010314,-1.2476),(6905,1205,-0.012036,-1.2459),(6905,1215,-0.014524,-1.2441),(6905,1225,-0.01733,-1.2424),(6905,1235,-0.020135,-1.2398),(6905,1245,-0.02294,-1.237),(6905,1255,-0.026304,-1.2341),(6905,1265,-0.029857,-1.2312),(6905,1275,-0.033409,-1.2267),(6905,1285,-0.036962,-1.2216),(6905,1295,-0.035114,-1.2166),(6905,1305,-0.031804,-1.2115),(6905,1315,-0.028495,-1.2074),(6905,1325,-0.025186,-1.2035),(6905,1335,-0.015405,-1.1996),(6905,1345,-0.004268,-1.1957),(6905,1355,0.006869,-1.1976),(6905,1365,0.018006,-1.2006),(6905,1375,0.024198,-1.2035),(6905,1385,0.029627,-1.2065),(6905,1395,0.035056,-1.2113),(6905,1405,0.040485,-1.2163),(6905,1415,0.037665,-1.2213),(6905,1425,0.033989,-1.2264),(6905,1435,0.030313,-1.2293),(6905,1445,0.026637,-1.2321),(6905,1455,0.0237,-1.2348),(6905,1465,0.020805,-1.2376),(6905,1475,0.017911,-1.2389),(6905,1485,0.015017,-1.2403),(6905,1495,0.01321,-1.2416),(6905,1505,0.011419,-1.2429),(6905,1515,0.009628,-1.2436),(6905,1525,0.007858,-1.2443),(6905,1535,0.0069,-1.245),(6905,1545,0.005943,-1.2457),(6905,1555,0.004985,-1.2462),(6905,1565,0.004059,-1.2466),(6905,1575,0.003591,-1.247),(6905,1585,0.003124,-1.2474),(6905,1595,0.002657,-1.2477),(6905,1605,0.002223,-1.248),(6905,1615,0.002077,-1.2484),(6905,1625,0.001932,-1.2487),(6905,1635,0.001786,-1.2489),(6905,1645,0.001656,-1.2492),(6905,1655,0.00162,-1.2495),(6905,1665,0.001585,-1.2497),(6905,1675,0.001549,-1.2499),(6905,1685,0.00152,-1.2501),(6905,1695,0.001522,-1.2503),(6905,1705,0.001523,-1.2505),(6905,1715,0.001525,-1.2506),(6905,1725,0.00153,-1.2507),(6905,1735,0.001546,-1.2508),(6905,1745,0.001563,-1.2509),(6905,1755,0.001579,-1.251),(6905,1765,0.001585,-1.2511),(6905,1775,0.001561,-1.2512),(6905,1785,0.001537,-1.2512),(6905,1795,0.001513,-1.2512),(6905,1805,0.001486,-1.2511),(6905,1815,0.00145,-1.2511),(6905,1825,0.001415,-1.2511),(6905,1835,0.00138,-1.2511),(6905,1845,0.001354,-1.2511),(6905,1855,0.001345,-1.2511),(6905,1865,0.001337,-1.2511),(6905,1875,0.001329,-1.2511),(6905,1885,0.001344,-1.2511),(6905,1895,0.001399,-1.2511),(6905,1905,0.001454,-1.2511),(6905,1915,0.001509,-1.251),(6905,1925,0.00156,-1.251),(6905,1935,0.001607,-1.251),(6905,1945,0.001655,-1.251),(6905,1955,0.001702,-1.251),(6905,1965,0.001723,-1.251),(6905,1975,0.001712,-1.2509),(6905,1985,0.001701,-1.2509),(6905,1995,0.001691,-1.2507),(6905,2005,0.001692,-1.2505),(6905,2015,0.001705,-1.2503),(6905,2025,0.001718,-1.2502),(6905,2035,0.001732,-1.2501),(6905,2045,0.001738,-1.25),(6905,2055,0.001739,-1.2499),(6905,2065,0.001739,-1.2497),(6905,2075,0.001739,-1.2496),(6905,2085,0.001692,-1.2494),(6905,2095,0.001608,-1.2493),(6905,2105,0.001525,-1.249),(6905,2115,0.001442,-1.2487),(6905,2125,0.001397,-1.2484),(6905,2135,0.001375,-1.2482),(6905,2145,0.001353,-1.248),(6905,2155,0.001332,-1.2478),(6905,2165,0.00136,-1.2477),(6905,2175,0.001416,-1.2476),(6905,2185,0.001471,-1.2474),(6905,2195,0.001526,-1.2472),(6905,2205,0.001546,-1.247),(6905,2215,0.00155,-1.2468),(6905,2225,0.001554,-1.2465),(6905,2235,0.001559,-1.2461),(6905,2245,0.001555,-1.2458),(6905,2255,0.001548,-1.2454),(6905,2265,0.001541,-1.2452),(6905,2275,0.001535,-1.2449),(6905,2285,0.001543,-1.2446),(6905,2295,0.001556,-1.2444),(6905,2305,0.001568,-1.244),(6905,2315,0.001581,-1.2437),(6905,2325,0.001542,-1.2434),(6905,2335,0.001492,-1.243),(6905,2345,0.001442,-1.2426),(6905,2355,0.001392,-1.2422),(6905,2365,0.001354,-1.2417),(6905,2375,0.001318,-1.2413),(6905,2385,0.001283,-1.2409),(6905,2395,0.001247,-1.2405),(6905,2405,0.001267,-1.2401),(6905,2415,0.001293,-1.2397),(6905,2425,0.001319,-1.2393),(6905,2435,0.001345,-1.2388),(6905,2445,0.001373,-1.2384),(6905,2455,0.001402,-1.2379),(6905,2465,0.001431,-1.2375),(6905,2475,0.001459,-1.237),(6905,2485,0.001486,-1.2365),(6905,2495,0.001513,-1.2361),(6905,2505,0.00154,-1.2356),(6905,2515,0.001567,-1.2352),(6905,2525,0.001599,-1.2348),(6905,2535,0.001632,-1.2343),(6905,2545,0.001664,-1.2338),(6905,2555,0.001695,-1.2333),(6905,2565,0.001702,-1.2328),(6905,2575,0.001709,-1.2322),(6905,2585,0.001715,-1.2316),(6905,2595,0.001719,-1.2311),(6905,2605,0.001688,-1.2305),(6905,2615,0.001657,-1.2299),(6905,2625,0.001627,-1.2293),(6905,2635,0.001593,-1.2287),(6905,2645,0.00154,-1.2281),(6905,2655,0.001486,-1.2275),(6905,2665,0.001433,-1.2268),(6905,2675,0.001388,-1.2261),(6905,2685,0.001386,-1.2255),(6905,2695,0.001383,-1.2248),(6905,2705,0.00138,-1.2242),(6905,2715,0.00138,-1.2235),(6905,2725,0.001389,-1.2229),(6905,2735,0.001398,-1.2222),(6905,2745,0.001407,-1.2215),(6905,2755,0.001413,-1.2209),(6905,2765,0.001411,-1.2202),(6905,2775,0.001409,-1.2195),(6905,2785,0.001407,-1.2188),(6905,2795,0.001402,-1.2181),(6905,2805,0.001391,-1.2173),(6905,2815,0.001379,-1.2166),(6905,2825,0.001368,-1.2159),(6905,2835,0.001354,-1.2151),(6905,2845,0.001334,-1.2143),(6905,2855,0.001313,-1.2136),(6905,2865,0.001293,-1.2128),(6905,2875,0.00127,-1.212),(6905,2885,0.001242,-1.2112),(6905,2895,0.001214,-1.2104),(6905,2905,0.001186,-1.2095),(6905,2915,0.001167,-1.2086),(6905,2925,0.00116,-1.2077),(6905,2935,0.001154,-1.2068),(6905,2945,0.001148,-1.206),(6905,2955,0.001151,-1.2051),(6905,2965,0.001165,-1.2042),(6905,2975,0.001179,-1.2034),(6905,2985,0.001193,-1.2025),(6905,2995,0.001213,-1.2016),(6905,3005,0.001237,-1.2008),(6905,3015,0.001262,-1.1999),(6905,3025,0.001287,-1.1991),(6905,3035,0.001315,-1.1983),(6905,3045,0.001346,-1.1974),(6905,3055,0.001377,-1.1966),(6905,3065,0.001408,-1.1957),(6905,3075,0.001431,-1.1948),(6905,3085,0.001446,-1.1939),(6905,3095,0.001462,-1.1929),(6905,3105,0.001477,-1.1919),(6905,3115,0.001446,-1.1908),(6905,3125,0.001384,-1.1897),(6905,3135,0.001323,-1.1886),(6905,3145,0.001261,-1.1876),(6905,3155,0.0012,-1.1865),(6905,3165,0.00114,-1.1854),(6905,3175,0.00108,-1.1844),(6905,3185,0.00102,-1.1833),(6905,3195,0.000996,-1.1822),(6905,3205,0.000987,-1.1812),(6905,3215,0.000978,-1.1801),(6905,3225,0.000969,-1.1791),(6905,3235,0.001013,-1.178),(6905,3245,0.001077,-1.1769),(6905,3255,0.00114,-1.1759),(6905,3265,0.001204,-1.1749),(6905,3275,0.001282,-1.1739),(6905,3285,0.001365,-1.1729),(6905,3295,0.001448,-1.1718),(6905,3305,0.001531,-1.1707),(6905,3315,0.001574,-1.1696),(6905,3325,0.001608,-1.1685),(6905,3335,0.001641,-1.1673),(6905,3345,0.001675,-1.1661),(6905,3355,0.001682,-1.165),(6905,3365,0.001683,-1.1638),(6905,3375,0.001684,-1.1626),(6905,3385,0.001686,-1.1614),(6905,3395,0.001671,-1.1602),(6905,3405,0.001654,-1.159),(6905,3415,0.001637,-1.1578),(6905,3425,0.00162,-1.1566),(6905,3435,0.001621,-1.1554),(6905,3445,0.001624,-1.1542),(6905,3455,0.001627,-1.1529),(6905,3465,0.00163,-1.1516),(6905,3475,0.001609,-1.1503),(6905,3485,0.001587,-1.149),(6905,3495,0.001566,-1.1476),(6905,3505,0.001544,-1.1463),(6905,3515,0.001538,-1.145),(6905,3525,0.001532,-1.1437),(6905,3535,0.001526,-1.1424),(6905,3545,0.001523,-1.1411),(6905,3555,0.001582,-1.1399),(6905,3565,0.001641,-1.1386),(6905,3575,0.0017,-1.1372),(6905,3585,0.001759,-1.1359),(6905,3595,0.001816,-1.1345),(6905,3605,0.001874,-1.1332),(6905,3615,0.001932,-1.1318),(6905,3625,0.001984,-1.1304),(6905,3635,0.001994,-1.1291),(6905,3645,0.002003,-1.1277),(6905,3655,0.002013,-1.1262),(6905,3665,0.002019,-1.1247),(6905,3675,0.002007,-1.1233),(6905,3685,0.001994,-1.1218),(6905,3695,0.001981,-1.1204),(6905,3705,0.001954,-1.119),(6905,3715,0.00187,-1.1176),(6905,3725,0.001785,-1.1161),(6905,3735,0.001701,-1.1145),(6905,3745,0.001593,-1.1129),(6905,3755,0.001411,-1.1113),(6905,3765,0.001229,-1.1097),(6905,3775,0.001048,-1.1081),(6905,3785,0.000795,-1.1065),(6905,3795,0.000361,-1.1049),(6905,3805,-7.3e-05,-1.1033),(6905,3815,-0.000507,-1.1014),(6905,3825,-0.001041,-1.0995),(6905,3835,-0.001787,-1.0977),(6905,3845,-0.002533,-1.0958),(6905,3855,-0.003278,-1.0939),(6905,3865,-0.004237,-1.0919),(6905,3875,-0.005571,-1.09),(6905,3885,-0.006906,-1.0878),(6905,3895,-0.00824,-1.0852),(6905,3905,-0.009843,-1.0826),(6905,3915,-0.011846,-1.08),(6905,3925,-0.013849,-1.0771),(6905,3935,-0.015852,-1.0737),(6905,3945,-0.018038,-1.0703),(6905,3955,-0.020458,-1.0669),(6905,3965,-0.022877,-1.0627),(6905,3975,-0.025297,-1.0575),(6905,3985,-0.026349,-1.0523),(6905,3995,-0.02592,-1.0471),(6905,4005,-0.025491,-1.0421),(6905,4015,-0.025063,-1.0371),(6905,4025,0.044388,-1.0322),(6905,4035,0.12059,-1.0286),(6905,4045,0.19679,-1.0278),(6905,4055,0.24752,-1.0269),(6905,4065,0.28895,-1.026),(6905,4075,0.33039,-1.0245),(6905,4085,0.34909,-1.023),(6905,4095,0.34954,-1.0215),(6905,4105,0.34998,-1.0199),(6905,4115,0.3504,-1.0183),(6905,4125,0.35076,-1.0167),(6905,4135,0.35112,-1.0151),(6905,4145,0.35147,-1.0135),(6905,4155,0.35179,-1.0118),(6905,4165,0.3521,-1.0102),(6905,4175,0.35242,-1.0086),(6905,4185,0.35269,-1.007),(6905,4195,0.35297,-1.0054),(6905,4205,0.35325,-1.0037),(6905,4215,0.3535,-1.002),(6905,4225,0.35375,-1.0002),(6905,4235,0.35399,-0.99834),(6905,4245,0.35422,-0.99646),(6905,4255,0.35443,-0.99457),(6905,4265,0.35464,-0.99261),(6905,4275,0.35484,-0.99065),(6905,4285,0.35503,-0.98869),(6905,4295,0.35522,-0.98665),(6905,4305,0.3554,-0.9846),(6905,4315,0.35558,-0.98256),(6905,4325,0.35576,-0.98044),(6905,4335,0.35593,-0.97829),(6905,4345,0.35612,-0.97613),(6905,4355,0.3563,-0.97393),(6905,4365,0.35648,-0.97169),(6905,4375,0.35668,-0.96944),(6905,4385,0.35688,-0.96717),(6905,4395,0.35709,-0.96486),(6905,4405,0.35732,-0.96255),(6905,4415,0.35756,-0.96021),(6905,4425,0.3578,-0.95776),(6905,4435,0.35807,-0.95531),(6905,4445,0.35835,-0.95285),(6905,4455,0.35863,-0.95033),(6905,4465,0.35893,-0.9478),(6905,4475,0.35926,-0.94528),(6905,4485,0.35959,-0.94268),(6905,4495,0.35992,-0.94007),(6905,4505,0.36027,-0.93746),(6905,4515,0.36063,-0.9348),(6905,4525,0.36098,-0.9321),(6905,4535,0.36136,-0.9294),(6905,4545,0.36174,-0.92667),(6905,4555,0.36211,-0.9239),(6905,4565,0.36252,-0.92112),(6905,4575,0.36292,-0.91831),(6905,4585,0.36333,-0.91542),(6905,4595,0.36377,-0.91253),(6905,4605,0.36421,-0.90963),(6905,4615,0.36466,-0.90666),(6905,4625,0.36513,-0.90368),(6905,4635,0.36561,-0.90071),(6905,4645,0.3661,-0.89768),(6905,4655,0.3666,-0.89465),(6905,4665,0.36712,-0.89162),(6905,4675,0.36764,-0.88854),(6905,4685,0.36817,-0.88544),(6905,4695,0.36873,-0.88235),(6905,4705,0.36928,-0.87919),(6905,4715,0.36983,-0.87599),(6905,4725,0.37042,-0.8728),(6905,4735,0.37101,-0.86955),(6905,4745,0.3716,-0.86624),(6905,4755,0.37221,-0.86293),(6905,4765,0.37282,-0.85961),(6905,4775,0.37342,-0.85622),(6905,4785,0.37406,-0.85284),(6905,4795,0.3747,-0.84945),(6905,4805,0.37535,-0.84601),(6905,4815,0.37603,-0.84258),(6905,4825,0.37673,-0.83914),(6905,4835,0.37743,-0.83566),(6905,4845,0.37814,-0.83218),(6905,4855,0.37888,-0.8287),(6905,4865,0.37962,-0.82515),(6905,4875,0.38036,-0.82158),(6905,4885,0.38112,-0.81801),(6905,4895,0.38188,-0.8144),(6905,4905,0.38264,-0.81076),(6905,4915,0.38342,-0.80712),(6905,4925,0.3842,-0.80347),(6905,4935,0.38499,-0.79979),(6905,4945,0.38578,-0.79611),(6905,4955,0.38658,-0.79243),(6905,4965,0.38738,-0.7887),(6905,4975,0.38817,-0.78497),(6905,4985,0.38897,-0.78124),(6905,4995,0.38976,-0.77742),(6905,5005,0.39056,-0.7736),(6905,5015,0.39138,-0.76978),(6905,5025,0.3922,-0.7659),(6905,5035,0.39304,-0.76202),(6905,5045,0.39394,-0.75813),(6905,5055,0.39484,-0.75419),(6905,5065,0.39574,-0.75022),(6905,5075,0.39663,-0.74626),(6905,5085,0.39752,-0.74226),(6905,5095,0.39842,-0.73823),(6905,5105,0.3993,-0.7342),(6905,5115,0.40018,-0.73015),(6905,5125,0.40107,-0.72603),(6905,5135,0.40194,-0.72192),(6905,5145,0.4028,-0.7178),(6905,5155,0.40366,-0.71361),(6905,5165,0.40454,-0.70943),(6905,5175,0.40542,-0.70525),(6905,5185,0.4063,-0.70103),(6905,5195,0.40719,-0.6968),(6905,5205,0.40811,-0.69258),(6905,5215,0.40903,-0.68834),(6905,5225,0.40995,-0.68409),(6905,5235,0.4109,-0.67984),(6905,5245,0.41185,-0.67555),(6905,5255,0.4128,-0.67125),(6905,5265,0.41377,-0.66694),(6905,5275,0.41475,-0.66262),(6905,5285,0.41572,-0.65827),(6905,5295,0.41669,-0.65392),(6905,5305,0.41766,-0.64956),(6905,5315,0.41863,-0.64516),(6905,5325,0.4196,-0.64075),(6905,5335,0.42057,-0.63635),(6905,5345,0.42154,-0.6319),(6905,5355,0.42251,-0.62745),(6905,5365,0.42347,-0.62301),(6905,5375,0.42443,-0.6185),(6905,5385,0.42538,-0.61398),(6905,5395,0.42633,-0.60946),(6905,5405,0.42727,-0.60488),(6905,5415,0.42822,-0.60026),(6905,5425,0.42916,-0.59563),(6905,5435,0.4301,-0.591),(6905,5445,0.43104,-0.58635),(6905,5455,0.43199,-0.5817),(6905,5465,0.43294,-0.57704),(6905,5475,0.43389,-0.57235),(6905,5485,0.43485,-0.56766),(6905,5495,0.4358,-0.56296),(6905,5505,0.43676,-0.55821),(6905,5515,0.4377,-0.55346),(6905,5525,0.43864,-0.5487),(6905,5535,0.43958,-0.5439),(6905,5545,0.44052,-0.5391),(6905,5555,0.44146,-0.5343),(6905,5565,0.4424,-0.52948),(6905,5575,0.44333,-0.52465),(6905,5585,0.44427,-0.51982),(6905,5595,0.4452,-0.51498),(6905,5605,0.44613,-0.51013),(6905,5615,0.44704,-0.50528),(6905,5625,0.44796,-0.50041),(6905,5635,0.44887,-0.4955),(6905,5645,0.44977,-0.49058),(6905,5655,0.45068,-0.48566),(6905,5665,0.45159,-0.48073),(6905,5675,0.45251,-0.4758),(6905,5685,0.45345,-0.47087),(6905,5695,0.45438,-0.46591),(6905,5705,0.45528,-0.46094),(6905,5715,0.45613,-0.45598),(6905,5725,0.45699,-0.45099),(6905,5735,0.45784,-0.446),(6905,5745,0.45868,-0.44101),(6905,5755,0.45952,-0.436),(6905,5765,0.46035,-0.43098),(6905,5775,0.46118,-0.42596),(6905,5785,0.462,-0.42091),(6905,5795,0.46282,-0.41585),(6905,5805,0.46363,-0.41079),(6905,5815,0.46443,-0.40572),(6905,5825,0.46523,-0.40062),(6905,5835,0.46602,-0.39552),(6905,5845,0.4668,-0.39041),(6905,5855,0.46758,-0.38526),(6905,5865,0.46836,-0.38011),(6905,5875,0.46912,-0.37497),(6905,5885,0.46989,-0.36981),(6905,5895,0.47066,-0.36466),(6905,5905,0.47141,-0.3595),(6905,5915,0.47217,-0.35432),(6905,5925,0.47292,-0.34913),(6905,5935,0.47366,-0.34395),(6905,5945,0.4744,-0.33875),(6905,5955,0.47515,-0.33354),(6905,5965,0.4759,-0.32833),(6905,5975,0.47666,-0.32309),(6905,5985,0.47742,-0.31783),(6905,5995,0.47811,-0.31257),(6905,6005,0.47879,-0.30732),(6905,6015,0.47947,-0.30209),(6905,6025,0.48015,-0.29686),(6905,6035,0.48082,-0.29163),(6905,6045,0.48148,-0.28636),(6905,6055,0.48213,-0.28109),(6905,6065,0.48276,-0.27581),(6905,6075,0.48339,-0.27053),(6905,6085,0.484,-0.26525),(6905,6095,0.48459,-0.25997),(6905,6105,0.48517,-0.25464),(6905,6115,0.48575,-0.2493),(6905,6125,0.48631,-0.24395),(6905,6135,0.48686,-0.23859),(6905,6145,0.48741,-0.23321),(6905,6155,0.48796,-0.22783),(6905,6165,0.48851,-0.2225),(6905,6175,0.48906,-0.21726),(6905,6185,0.48961,-0.21201),(6905,6195,0.49016,-0.20675),(6905,6205,0.49071,-0.20148),(6905,6215,0.49124,-0.19621),(6905,6225,0.49175,-0.19093),(6905,6235,0.49227,-0.1855),(6905,6245,0.49277,-0.18006),(6905,6255,0.49326,-0.17462),(6905,6265,0.49374,-0.16922),(6905,6275,0.49422,-0.16382),(6905,6285,0.49469,-0.15843),(6905,6295,0.49515,-0.15301),(6905,6305,0.49561,-0.1476),(6905,6315,0.49598,-0.14218),(6905,6325,0.49635,-0.1368),(6905,6335,0.49672,-0.13146),(6905,6345,0.49709,-0.12612),(6905,6355,0.49747,-0.12078),(6905,6365,0.49785,-0.11541),(6905,6375,0.4982,-0.11004),(6905,6385,0.49856,-0.10466),(6905,6395,0.49891,-0.099148),(6905,6405,0.49925,-0.09364),(6905,6415,0.4996,-0.088132),(6905,6425,0.49994,-0.082839),(6905,6435,0.50025,-0.077556),(6905,6445,0.50053,-0.072274),(6905,6455,0.50081,-0.066909),(6905,6465,0.50107,-0.061521),(6905,6475,0.50126,-0.056132),(6905,6485,0.50146,-0.050681),(6905,6495,0.50165,-0.045189),(6905,6505,0.50178,-0.039696),(6905,6515,0.50191,-0.034253),(6905,6525,0.50204,-0.02888),(6905,6535,0.50218,-0.023506),(6905,6545,0.50232,-0.018146),(6905,6555,0.50247,-0.012831),(6905,6565,0.5026,-0.007515),(6905,6575,0.50272,-0.002198),(6905,6585,0.50285,0.003124),(6905,6595,0.42773,0.008446),(6905,6605,0.26953,0.013768),(6905,6615,0.11134,0.014476),(6905,6625,0.000153,0.01459),(6905,6635,0.000232,0.014704),(6905,6645,0.000311,0.014735),(6905,6655,0.000391,0.014731),(6905,6665,0.000469,0.014728),(6905,6675,0.000548,0.014723),(6905,6685,0.000627,0.014715),(6905,6695,0.000705,0.014707),(6905,6705,0.000783,0.014698),(6905,6715,0.000861,0.014686),(6905,6725,0.000938,0.014673),(6905,6735,0.001014,0.01466),(6905,6745,0.001091,0.014644),(6905,6755,0.001166,0.014628),(6905,6765,0.001241,0.014611),(6905,6775,0.001316,0.01459),(6905,6785,0.00139,0.01457),(6905,6795,0.001463,0.014549),(6905,6805,0.001536,0.014526),(6905,6815,0.001608,0.014501),(6905,6825,0.001679,0.014477),(6905,6835,0.001749,0.01445),(6905,6845,0.001819,0.014423),(6905,6855,0.001887,0.014395),(6905,6865,0.001955,0.014366),(6905,6875,0.002023,0.014335),(6905,6885,0.002088,0.014304),(6905,6895,0.002153,0.014272),(6905,6905,0.002218,0.014238),(6905,6915,0.002281,0.014204),(6905,6925,0.002343,0.01417),(6905,6935,0.002406,0.014134),(6905,6945,0.002466,0.014098),(6905,6955,0.002525,0.014061),(6905,6965,0.002584,0.014023),(6905,6975,0.002642,0.013985),(6905,6985,0.002698,0.013946),(6915,5,-1.4e-05,-1.2907),(6915,15,-4.1e-05,-1.2906),(6915,25,-5.6e-05,-1.2905),(6915,35,-6.1e-05,-1.2904),(6915,45,-6.6e-05,-1.2904),(6915,55,-7e-05,-1.2903),(6915,65,-8.2e-05,-1.2903),(6915,75,-9.8e-05,-1.2903),(6915,85,-0.000114,-1.2902),(6915,95,-0.000131,-1.2902),(6915,105,-0.000149,-1.2901),(6915,115,-0.000167,-1.2901),(6915,125,-0.000186,-1.29),(6915,135,-0.000204,-1.2899),(6915,145,-0.000226,-1.2898),(6915,155,-0.00025,-1.2897),(6915,165,-0.000273,-1.2896),(6915,175,-0.000297,-1.2895),(6915,185,-0.000302,-1.2894),(6915,195,-0.000298,-1.2894),(6915,205,-0.000294,-1.2892),(6915,215,-0.00029,-1.2891),(6915,225,-0.000283,-1.289),(6915,235,-0.000276,-1.2888),(6915,245,-0.000268,-1.2887),(6915,255,-0.00026,-1.2886),(6915,265,-0.000241,-1.2885),(6915,275,-0.000218,-1.2884),(6915,285,-0.000194,-1.2882),(6915,295,-0.000171,-1.2881),(6915,305,-0.000142,-1.2879),(6915,315,-0.000112,-1.2878),(6915,325,-8.2e-05,-1.2876),(6915,335,-5.2e-05,-1.2875),(6915,345,-4.3e-05,-1.2873),(6915,355,-3.8e-05,-1.2872),(6915,365,-3.3e-05,-1.287),(6915,375,-2.8e-05,-1.2868),(6915,385,-7e-05,-1.2866),(6915,395,-0.000119,-1.2864),(6915,405,-0.000168,-1.2861),(6915,415,-0.000217,-1.2859),(6915,425,-0.000295,-1.2856),(6915,435,-0.000375,-1.2853),(6915,445,-0.000456,-1.285),(6915,455,-0.000537,-1.2847),(6915,465,-0.000579,-1.2844),(6915,475,-0.00062,-1.284),(6915,485,-0.000661,-1.2838),(6915,495,-0.000702,-1.2835),(6915,505,-0.000689,-1.2833),(6915,515,-0.000677,-1.283),(6915,525,-0.000664,-1.2827),(6915,535,-0.000651,-1.2824),(6915,545,-0.000607,-1.2822),(6915,555,-0.000563,-1.2819),(6915,565,-0.000519,-1.2816),(6915,575,-0.000476,-1.2813),(6915,585,-0.000439,-1.2811),(6915,595,-0.000402,-1.2808),(6915,605,-0.000365,-1.2805),(6915,615,-0.000331,-1.2802),(6915,625,-0.00032,-1.2798),(6915,635,-0.000309,-1.2795),(6915,645,-0.000298,-1.2792),(6915,655,-0.00029,-1.2788),(6915,665,-0.000299,-1.2785),(6915,675,-0.000308,-1.2782),(6915,685,-0.000317,-1.2778),(6915,695,-0.000335,-1.2774),(6915,705,-0.000392,-1.277),(6915,715,-0.000448,-1.2766),(6915,725,-0.000505,-1.2762),(6915,735,-0.000559,-1.2757),(6915,745,-0.000604,-1.2752),(6915,755,-0.000648,-1.2748),(6915,765,-0.000693,-1.2744),(6915,775,-0.00071,-1.274),(6915,785,-0.000653,-1.2735),(6915,795,-0.000596,-1.2731),(6915,805,-0.000539,-1.2727),(6915,815,-0.000474,-1.2723),(6915,825,-0.000392,-1.272),(6915,835,-0.000311,-1.2716),(6915,845,-0.000229,-1.2712),(6915,855,-0.000163,-1.2707),(6915,865,-0.000126,-1.2703),(6915,875,-8.8e-05,-1.2699),(6915,885,-5.1e-05,-1.2694),(6915,895,-3.6e-05,-1.2689),(6915,905,-5.4e-05,-1.2684),(6915,915,-7.2e-05,-1.2679),(6915,925,-9.1e-05,-1.2673),(6915,935,-0.00012,-1.2668),(6915,945,-0.000164,-1.2662),(6915,955,-0.000207,-1.2656),(6915,965,-0.000251,-1.2651),(6915,975,-0.00029,-1.2645),(6915,985,-0.000325,-1.2639),(6915,995,-0.000359,-1.2633),(6915,1005,-0.000394,-1.2627),(6915,1015,-0.000436,-1.2622),(6915,1025,-0.000485,-1.2616),(6915,1035,-0.000534,-1.261),(6915,1045,-0.000583,-1.2604),(6915,1055,-0.000676,-1.2598),(6915,1065,-0.000806,-1.2592),(6915,1075,-0.000936,-1.2586),(6915,1085,-0.001065,-1.258),(6915,1095,-0.001349,-1.2574),(6915,1105,-0.001741,-1.2568),(6915,1115,-0.002133,-1.2561),(6915,1125,-0.002525,-1.2554),(6915,1135,-0.00324,-1.2547),(6915,1145,-0.004144,-1.254),(6915,1155,-0.005049,-1.2531),(6915,1165,-0.005954,-1.2521),(6915,1175,-0.007486,-1.2511),(6915,1185,-0.009328,-1.2501),(6915,1195,-0.011171,-1.2487),(6915,1205,-0.013014,-1.2471),(6915,1215,-0.015762,-1.2455),(6915,1225,-0.018884,-1.244),(6915,1235,-0.022006,-1.2416),(6915,1245,-0.025127,-1.2388),(6915,1255,-0.029025,-1.2361),(6915,1265,-0.033185,-1.2334),(6915,1275,-0.037345,-1.2287),(6915,1285,-0.041505,-1.2235),(6915,1295,-0.039604,-1.2183),(6915,1305,-0.036065,-1.2131),(6915,1315,-0.032526,-1.2086),(6915,1325,-0.028986,-1.2043),(6915,1335,-0.017758,-1.2),(6915,1345,-0.004918,-1.1957),(6915,1355,0.007922,-1.1979),(6915,1365,0.020762,-1.2012),(6915,1375,0.027635,-1.2046),(6915,1385,0.033587,-1.2079),(6915,1395,0.039539,-1.2129),(6915,1405,0.045491,-1.2182),(6915,1415,0.042131,-1.2234),(6915,1425,0.037805,-1.2286),(6915,1435,0.033479,-1.2314),(6915,1445,0.029152,-1.234),(6915,1455,0.02586,-1.2366),(6915,1465,0.022627,-1.2392),(6915,1475,0.019394,-1.2404),(6915,1485,0.016161,-1.2416),(6915,1495,0.014213,-1.2427),(6915,1505,0.012286,-1.2439),(6915,1515,0.010358,-1.2445),(6915,1525,0.008452,-1.2451),(6915,1535,0.007432,-1.2457),(6915,1545,0.006411,-1.2462),(6915,1555,0.005391,-1.2466),(6915,1565,0.004403,-1.247),(6915,1575,0.003899,-1.2473),(6915,1585,0.003395,-1.2476),(6915,1595,0.00289,-1.2479),(6915,1605,0.002421,-1.2482),(6915,1615,0.002254,-1.2485),(6915,1625,0.002088,-1.2487),(6915,1635,0.001921,-1.249),(6915,1645,0.001772,-1.2492),(6915,1655,0.001727,-1.2495),(6915,1665,0.001682,-1.2497),(6915,1675,0.001637,-1.2499),(6915,1685,0.0016,-1.2501),(6915,1695,0.001595,-1.2503),(6915,1705,0.001591,-1.2505),(6915,1715,0.001587,-1.2506),(6915,1725,0.001586,-1.2507),(6915,1735,0.001601,-1.2508),(6915,1745,0.001616,-1.2509),(6915,1755,0.00163,-1.251),(6915,1765,0.001636,-1.2511),(6915,1775,0.001614,-1.2512),(6915,1785,0.001593,-1.2513),(6915,1795,0.001572,-1.2512),(6915,1805,0.001545,-1.2512),(6915,1815,0.001505,-1.2511),(6915,1825,0.001466,-1.2511),(6915,1835,0.001426,-1.2511),(6915,1845,0.001394,-1.2511),(6915,1855,0.001376,-1.2511),(6915,1865,0.001358,-1.2511),(6915,1875,0.00134,-1.2511),(6915,1885,0.001347,-1.2511),(6915,1895,0.001392,-1.251),(6915,1905,0.001437,-1.251),(6915,1915,0.001483,-1.251),(6915,1925,0.001531,-1.251),(6915,1935,0.001584,-1.2509),(6915,1945,0.001636,-1.2509),(6915,1955,0.001688,-1.2509),(6915,1965,0.001711,-1.2509),(6915,1975,0.0017,-1.251),(6915,1985,0.001688,-1.2509),(6915,1995,0.001676,-1.2507),(6915,2005,0.001674,-1.2505),(6915,2015,0.00168,-1.2503),(6915,2025,0.001686,-1.2502),(6915,2035,0.001693,-1.2501),(6915,2045,0.001699,-1.25),(6915,2055,0.001707,-1.2499),(6915,2065,0.001714,-1.2498),(6915,2075,0.001721,-1.2496),(6915,2085,0.001675,-1.2495),(6915,2095,0.001591,-1.2493),(6915,2105,0.001507,-1.2491),(6915,2115,0.001423,-1.2488),(6915,2125,0.001368,-1.2485),(6915,2135,0.00133,-1.2482),(6915,2145,0.001293,-1.248),(6915,2155,0.001256,-1.2478),(6915,2165,0.00128,-1.2477),(6915,2175,0.001336,-1.2475),(6915,2185,0.001391,-1.2473),(6915,2195,0.001447,-1.2472),(6915,2205,0.001473,-1.247),(6915,2215,0.001487,-1.2468),(6915,2225,0.001501,-1.2465),(6915,2235,0.001515,-1.2461),(6915,2245,0.001518,-1.2458),(6915,2255,0.001516,-1.2455),(6915,2265,0.001514,-1.2452),(6915,2275,0.001512,-1.2449),(6915,2285,0.001526,-1.2446),(6915,2295,0.001545,-1.2443),(6915,2305,0.001563,-1.244),(6915,2315,0.001581,-1.2437),(6915,2325,0.001551,-1.2434),(6915,2335,0.001509,-1.2431),(6915,2345,0.001468,-1.2426),(6915,2355,0.001426,-1.2422),(6915,2365,0.001386,-1.2418),(6915,2375,0.001347,-1.2413),(6915,2385,0.001308,-1.2409),(6915,2395,0.001269,-1.2405),(6915,2405,0.001284,-1.2401),(6915,2415,0.001306,-1.2397),(6915,2425,0.001329,-1.2392),(6915,2435,0.001351,-1.2388),(6915,2445,0.001378,-1.2383),(6915,2455,0.001406,-1.2379),(6915,2465,0.001435,-1.2374),(6915,2475,0.001463,-1.237),(6915,2485,0.001486,-1.2365),(6915,2495,0.001509,-1.2361),(6915,2505,0.001533,-1.2356),(6915,2515,0.001556,-1.2352),(6915,2525,0.001587,-1.2347),(6915,2535,0.001617,-1.2343),(6915,2545,0.001648,-1.2338),(6915,2555,0.001677,-1.2333),(6915,2565,0.001687,-1.2327),(6915,2575,0.001698,-1.2322),(6915,2585,0.001708,-1.2316),(6915,2595,0.001715,-1.2311),(6915,2605,0.001687,-1.2305),(6915,2615,0.00166,-1.2299),(6915,2625,0.001632,-1.2293),(6915,2635,0.001601,-1.2287),(6915,2645,0.001551,-1.2281),(6915,2655,0.0015,-1.2275),(6915,2665,0.00145,-1.2268),(6915,2675,0.001406,-1.2262),(6915,2685,0.001393,-1.2255),(6915,2695,0.001379,-1.2248),(6915,2705,0.001366,-1.2242),(6915,2715,0.001358,-1.2235),(6915,2725,0.001368,-1.2229),(6915,2735,0.001378,-1.2222),(6915,2745,0.001388,-1.2215),(6915,2755,0.001396,-1.2209),(6915,2765,0.001397,-1.2202),(6915,2775,0.001399,-1.2195),(6915,2785,0.001401,-1.2188),(6915,2795,0.0014,-1.2181),(6915,2805,0.001391,-1.2174),(6915,2815,0.001383,-1.2166),(6915,2825,0.001375,-1.2159),(6915,2835,0.001363,-1.2151),(6915,2845,0.001345,-1.2144),(6915,2855,0.001327,-1.2136),(6915,2865,0.001308,-1.2128),(6915,2875,0.001285,-1.212),(6915,2885,0.001253,-1.2112),(6915,2895,0.001221,-1.2104),(6915,2905,0.001189,-1.2095),(6915,2915,0.001164,-1.2086),(6915,2925,0.001151,-1.2077),(6915,2935,0.001137,-1.2068),(6915,2945,0.001124,-1.206),(6915,2955,0.00112,-1.2051),(6915,2965,0.001128,-1.2042),(6915,2975,0.001136,-1.2034),(6915,2985,0.001143,-1.2025),(6915,2995,0.001155,-1.2016),(6915,3005,0.001171,-1.2008),(6915,3015,0.001186,-1.1999),(6915,3025,0.001202,-1.1991),(6915,3035,0.001228,-1.1982),(6915,3045,0.001262,-1.1974),(6915,3055,0.001297,-1.1965),(6915,3065,0.001332,-1.1957),(6915,3075,0.00136,-1.1948),(6915,3085,0.001382,-1.1939),(6915,3095,0.001404,-1.1929),(6915,3105,0.001427,-1.1919),(6915,3115,0.001404,-1.1908),(6915,3125,0.001354,-1.1898),(6915,3135,0.001303,-1.1887),(6915,3145,0.001252,-1.1876),(6915,3155,0.001191,-1.1866),(6915,3165,0.001125,-1.1855),(6915,3175,0.00106,-1.1844),(6915,3185,0.000994,-1.1834),(6915,3195,0.000957,-1.1823),(6915,3205,0.000932,-1.1812),(6915,3215,0.000907,-1.1801),(6915,3225,0.000882,-1.179),(6915,3235,0.000911,-1.178),(6915,3245,0.00096,-1.1769),(6915,3255,0.00101,-1.1759),(6915,3265,0.00106,-1.1748),(6915,3275,0.001135,-1.1738),(6915,3285,0.001218,-1.1728),(6915,3295,0.001301,-1.1717),(6915,3305,0.001384,-1.1706),(6915,3315,0.001434,-1.1695),(6915,3325,0.001476,-1.1684),(6915,3335,0.001518,-1.1673),(6915,3345,0.00156,-1.1661),(6915,3355,0.001572,-1.165),(6915,3365,0.001578,-1.1638),(6915,3375,0.001584,-1.1626),(6915,3385,0.00159,-1.1614),(6915,3395,0.001584,-1.1602),(6915,3405,0.001577,-1.159),(6915,3415,0.001569,-1.1578),(6915,3425,0.001562,-1.1566),(6915,3435,0.001562,-1.1554),(6915,3445,0.001562,-1.1542),(6915,3455,0.001563,-1.1529),(6915,3465,0.001563,-1.1516),(6915,3475,0.001541,-1.1503),(6915,3485,0.001519,-1.149),(6915,3495,0.001496,-1.1477),(6915,3505,0.001474,-1.1463),(6915,3515,0.001458,-1.145),(6915,3525,0.001442,-1.1437),(6915,3535,0.001426,-1.1424),(6915,3545,0.001413,-1.1411),(6915,3555,0.00146,-1.1398),(6915,3565,0.001508,-1.1386),(6915,3575,0.001555,-1.1372),(6915,3585,0.001604,-1.1358),(6915,3595,0.001665,-1.1345),(6915,3605,0.001726,-1.1331),(6915,3615,0.001787,-1.1318),(6915,3625,0.001842,-1.1304),(6915,3635,0.001855,-1.1291),(6915,3645,0.001869,-1.1277),(6915,3655,0.001882,-1.1262),(6915,3665,0.001889,-1.1248),(6915,3675,0.001867,-1.1233),(6915,3685,0.001844,-1.1218),(6915,3695,0.001821,-1.1204),(6915,3705,0.001783,-1.119),(6915,3715,0.001686,-1.1176),(6915,3725,0.001589,-1.1162),(6915,3735,0.001492,-1.1146),(6915,3745,0.001371,-1.113),(6915,3755,0.001174,-1.1114),(6915,3765,0.000977,-1.1098),(6915,3775,0.00078,-1.1083),(6915,3785,0.000512,-1.1067),(6915,3795,6.1e-05,-1.1052),(6915,3805,-0.000389,-1.1036),(6915,3815,-0.00084,-1.1017),(6915,3825,-0.001404,-1.0999),(6915,3835,-0.002207,-1.0981),(6915,3845,-0.003011,-1.0963),(6915,3855,-0.003814,-1.0945),(6915,3865,-0.004851,-1.0927),(6915,3875,-0.006298,-1.0909),(6915,3885,-0.007746,-1.0888),(6915,3895,-0.009193,-1.0863),(6915,3905,-0.010965,-1.0838),(6915,3915,-0.013221,-1.0814),(6915,3925,-0.015477,-1.0785),(6915,3935,-0.017733,-1.0752),(6915,3945,-0.020244,-1.072),(6915,3955,-0.023079,-1.0687),(6915,3965,-0.025915,-1.0645),(6915,3975,-0.02875,-1.0591),(6915,3985,-0.030069,-1.0538),(6915,3995,-0.029746,-1.0485),(6915,4005,-0.029423,-1.0432),(6915,4015,-0.0291,-1.0378),(6915,4025,0.041012,-1.0325),(6915,4035,0.11795,-1.0286),(6915,4045,0.19489,-1.0277),(6915,4055,0.24557,-1.0269),(6915,4065,0.28667,-1.026),(6915,4075,0.32777,-1.0245),(6915,4085,0.34633,-1.0231),(6915,4095,0.34676,-1.0216),(6915,4105,0.34719,-1.02),(6915,4115,0.34759,-1.0184),(6915,4125,0.34794,-1.0169),(6915,4135,0.34828,-1.0153),(6915,4145,0.34861,-1.0137),(6915,4155,0.3489,-1.012),(6915,4165,0.34919,-1.0104),(6915,4175,0.34948,-1.0088),(6915,4185,0.34973,-1.0072),(6915,4195,0.34999,-1.0056),(6915,4205,0.35024,-1.0039),(6915,4215,0.35047,-1.0022),(6915,4225,0.35069,-1.0005),(6915,4235,0.35092,-0.99864),(6915,4245,0.35112,-0.99677),(6915,4255,0.35131,-0.9949),(6915,4265,0.3515,-0.99295),(6915,4275,0.35168,-0.99101),(6915,4285,0.35185,-0.98906),(6915,4295,0.35202,-0.98704),(6915,4305,0.35218,-0.985),(6915,4315,0.35233,-0.98296),(6915,4325,0.35248,-0.98085),(6915,4335,0.35263,-0.9787),(6915,4345,0.35278,-0.97656),(6915,4355,0.35293,-0.97436),(6915,4365,0.35309,-0.97211),(6915,4375,0.35326,-0.96987),(6915,4385,0.35343,-0.96759),(6915,4395,0.3536,-0.96528),(6915,4405,0.3538,-0.96296),(6915,4415,0.35401,-0.96062),(6915,4425,0.35422,-0.95816),(6915,4435,0.35446,-0.95569),(6915,4445,0.35471,-0.95323),(6915,4455,0.35496,-0.9507),(6915,4465,0.35523,-0.94817),(6915,4475,0.35553,-0.94564),(6915,4485,0.35584,-0.94304),(6915,4495,0.35614,-0.94043),(6915,4505,0.35648,-0.93781),(6915,4515,0.35681,-0.93515),(6915,4525,0.35714,-0.93245),(6915,4535,0.3575,-0.92975),(6915,4545,0.35786,-0.92702),(6915,4555,0.35822,-0.92424),(6915,4565,0.3586,-0.92146),(6915,4575,0.35898,-0.91865),(6915,4585,0.35937,-0.91576),(6915,4595,0.35978,-0.91286),(6915,4605,0.3602,-0.90995),(6915,4615,0.36063,-0.90697),(6915,4625,0.36107,-0.90399),(6915,4635,0.36154,-0.901),(6915,4645,0.362,-0.89797),(6915,4655,0.36248,-0.89493),(6915,4665,0.36299,-0.89189),(6915,4675,0.36349,-0.8888),(6915,4685,0.364,-0.8857),(6915,4695,0.36453,-0.8826),(6915,4705,0.36507,-0.87944),(6915,4715,0.36561,-0.87623),(6915,4725,0.36618,-0.87303),(6915,4735,0.36674,-0.86978),(6915,4745,0.36731,-0.86647),(6915,4755,0.3679,-0.86316),(6915,4765,0.36849,-0.85983),(6915,4775,0.36908,-0.85643),(6915,4785,0.36969,-0.85304),(6915,4795,0.37032,-0.84964),(6915,4805,0.37094,-0.84619),(6915,4815,0.37159,-0.84274),(6915,4825,0.37227,-0.83929),(6915,4835,0.37294,-0.8358),(6915,4845,0.37363,-0.83231),(6915,4855,0.37435,-0.82881),(6915,4865,0.37507,-0.82526),(6915,4875,0.3758,-0.82169),(6915,4885,0.37654,-0.81811),(6915,4895,0.37728,-0.8145),(6915,4905,0.37803,-0.81085),(6915,4915,0.37879,-0.8072),(6915,4925,0.37956,-0.80354),(6915,4935,0.38033,-0.79986),(6915,4945,0.38111,-0.79618),(6915,4955,0.38189,-0.79249),(6915,4965,0.38268,-0.78877),(6915,4975,0.38346,-0.78504),(6915,4985,0.38423,-0.78132),(6915,4995,0.38501,-0.77749),(6915,5005,0.38579,-0.77366),(6915,5015,0.38658,-0.76983),(6915,5025,0.38738,-0.76594),(6915,5035,0.38819,-0.76202),(6915,5045,0.38905,-0.75811),(6915,5055,0.38992,-0.75416),(6915,5065,0.39078,-0.75018),(6915,5075,0.39167,-0.74621),(6915,5085,0.39256,-0.74221),(6915,5095,0.39345,-0.73818),(6915,5105,0.39433,-0.73415),(6915,5115,0.39521,-0.7301),(6915,5125,0.39608,-0.726),(6915,5135,0.39694,-0.7219),(6915,5145,0.39779,-0.71779),(6915,5155,0.39864,-0.7136),(6915,5165,0.39949,-0.70941),(6915,5175,0.40034,-0.70522),(6915,5185,0.4012,-0.70098),(6915,5195,0.40206,-0.69675),(6915,5205,0.40295,-0.69251),(6915,5215,0.40384,-0.68825),(6915,5225,0.40473,-0.68398),(6915,5235,0.40566,-0.67971),(6915,5245,0.40659,-0.67542),(6915,5255,0.40751,-0.6711),(6915,5265,0.40846,-0.66678),(6915,5275,0.40941,-0.66245),(6915,5285,0.41037,-0.65809),(6915,5295,0.41132,-0.65374),(6915,5305,0.41227,-0.64937),(6915,5315,0.41323,-0.64497),(6915,5325,0.41419,-0.64056),(6915,5335,0.41514,-0.63616),(6915,5345,0.4161,-0.63171),(6915,5355,0.41705,-0.62726),(6915,5365,0.41799,-0.62282),(6915,5375,0.41894,-0.61831),(6915,5385,0.41988,-0.61379),(6915,5395,0.42081,-0.60927),(6915,5405,0.42174,-0.60468),(6915,5415,0.42267,-0.60006),(6915,5425,0.42359,-0.59543),(6915,5435,0.42452,-0.59079),(6915,5445,0.42544,-0.58613),(6915,5455,0.42638,-0.58147),(6915,5465,0.42732,-0.5768),(6915,5475,0.42826,-0.57211),(6915,5485,0.4292,-0.56741),(6915,5495,0.43015,-0.56271),(6915,5505,0.43109,-0.55795),(6915,5515,0.43203,-0.5532),(6915,5525,0.43296,-0.54845),(6915,5535,0.43389,-0.54364),(6915,5545,0.43482,-0.53884),(6915,5555,0.43574,-0.53403),(6915,5565,0.43667,-0.5292),(6915,5575,0.43759,-0.52437),(6915,5585,0.43851,-0.51954),(6915,5595,0.43944,-0.5147),(6915,5605,0.44036,-0.50986),(6915,5615,0.44126,-0.50501),(6915,5625,0.44216,-0.50013),(6915,5635,0.44305,-0.49522),(6915,5645,0.44394,-0.4903),(6915,5655,0.44483,-0.48538),(6915,5665,0.44572,-0.48044),(6915,5675,0.44662,-0.4755),(6915,5685,0.44751,-0.47056),(6915,5695,0.44841,-0.4656),(6915,5705,0.44929,-0.46065),(6915,5715,0.45015,-0.45569),(6915,5725,0.45101,-0.45071),(6915,5735,0.45186,-0.44572),(6915,5745,0.45269,-0.44073),(6915,5755,0.45352,-0.43572),(6915,5765,0.45435,-0.4307),(6915,5775,0.45516,-0.42567),(6915,5785,0.45598,-0.42063),(6915,5795,0.45679,-0.41557),(6915,5805,0.45759,-0.41051),(6915,5815,0.45838,-0.40544),(6915,5825,0.45917,-0.40034),(6915,5835,0.45995,-0.39524),(6915,5845,0.46072,-0.39013),(6915,5855,0.46149,-0.38498),(6915,5865,0.46225,-0.37983),(6915,5875,0.46301,-0.37468),(6915,5885,0.46376,-0.36952),(6915,5895,0.46451,-0.36436),(6915,5905,0.46526,-0.35921),(6915,5915,0.466,-0.35402),(6915,5925,0.46675,-0.34883),(6915,5935,0.46747,-0.34364),(6915,5945,0.4682,-0.33844),(6915,5955,0.46893,-0.33322),(6915,5965,0.46966,-0.328),(6915,5975,0.47039,-0.32277),(6915,5985,0.47112,-0.31752),(6915,5995,0.47181,-0.31227),(6915,6005,0.4725,-0.30702),(6915,6015,0.47319,-0.30179),(6915,6025,0.47386,-0.29656),(6915,6035,0.47453,-0.29133),(6915,6045,0.4752,-0.28607),(6915,6055,0.47584,-0.2808),(6915,6065,0.47646,-0.27554),(6915,6075,0.47709,-0.27027),(6915,6085,0.4777,-0.26499),(6915,6095,0.47828,-0.25972),(6915,6105,0.47885,-0.2544),(6915,6115,0.47943,-0.24906),(6915,6125,0.47997,-0.24371),(6915,6135,0.48051,-0.23835),(6915,6145,0.48105,-0.23296),(6915,6155,0.48159,-0.22758),(6915,6165,0.48212,-0.22224),(6915,6175,0.48266,-0.21698),(6915,6185,0.48321,-0.21173),(6915,6195,0.48376,-0.20647),(6915,6205,0.4843,-0.2012),(6915,6215,0.48483,-0.19593),(6915,6225,0.48535,-0.19066),(6915,6235,0.48587,-0.18522),(6915,6245,0.48637,-0.17978),(6915,6255,0.48686,-0.17434),(6915,6265,0.48735,-0.16895),(6915,6275,0.48783,-0.16356),(6915,6285,0.48829,-0.15817),(6915,6295,0.48874,-0.15277),(6915,6305,0.48918,-0.14737),(6915,6315,0.48956,-0.14196),(6915,6325,0.48994,-0.13659),(6915,6335,0.49032,-0.13125),(6915,6345,0.49069,-0.12591),(6915,6355,0.49105,-0.12056),(6915,6365,0.49142,-0.11519),(6915,6375,0.49177,-0.10982),(6915,6385,0.49211,-0.10443),(6915,6395,0.49246,-0.098919),(6915,6405,0.4928,-0.093406),(6915,6415,0.49313,-0.087892),(6915,6425,0.49347,-0.082611),(6915,6435,0.49379,-0.077341),(6915,6445,0.49407,-0.072071),(6915,6455,0.49435,-0.066726),(6915,6465,0.49462,-0.061359),(6915,6475,0.49481,-0.055992),(6915,6485,0.49501,-0.050559),(6915,6495,0.4952,-0.045081),(6915,6505,0.49533,-0.039602),(6915,6515,0.49546,-0.034163),(6915,6525,0.49559,-0.028776),(6915,6535,0.49574,-0.02339),(6915,6545,0.49589,-0.018022),(6915,6555,0.49603,-0.01271),(6915,6565,0.49616,-0.007399),(6915,6575,0.49627,-0.002089),(6915,6585,0.49637,0.003198),(6915,6595,0.42222,0.008485),(6915,6605,0.26606,0.013773),(6915,6615,0.1099,0.014498),(6915,6625,0.000152,0.014637),(6915,6635,0.000232,0.014776),(6915,6645,0.000313,0.014815),(6915,6655,0.000394,0.014811),(6915,6665,0.000474,0.014808),(6915,6675,0.000554,0.014802),(6915,6685,0.000634,0.014794),(6915,6695,0.000713,0.014786),(6915,6705,0.000793,0.014776),(6915,6715,0.000872,0.014764),(6915,6725,0.00095,0.014751),(6915,6735,0.001028,0.014738),(6915,6745,0.001106,0.014721),(6915,6755,0.001183,0.014704),(6915,6765,0.001259,0.014687),(6915,6775,0.001335,0.014665),(6915,6785,0.00141,0.014644),(6915,6795,0.001484,0.014623),(6915,6805,0.001558,0.014599),(6915,6815,0.001631,0.014573),(6915,6825,0.001703,0.014548),(6915,6835,0.001775,0.014521),(6915,6845,0.001846,0.014492),(6915,6855,0.001915,0.014464),(6915,6865,0.001983,0.014434),(6915,6875,0.002052,0.014402),(6915,6885,0.002119,0.01437),(6915,6895,0.002184,0.014337),(6915,6905,0.00225,0.014303),(6915,6915,0.002314,0.014268),(6915,6925,0.002377,0.014233),(6915,6935,0.00244,0.014196),(6915,6945,0.002501,0.014158),(6915,6955,0.002561,0.014121),(6915,6965,0.00262,0.014082),(6915,6975,0.002679,0.014042),(6915,6985,0.002735,0.014003),(6925,5,-1.2e-05,-1.2907),(6925,15,-3.7e-05,-1.2906),(6925,25,-5.1e-05,-1.2905),(6925,35,-5.5e-05,-1.2904),(6925,45,-6e-05,-1.2904),(6925,55,-6.4e-05,-1.2903),(6925,65,-7.6e-05,-1.2903),(6925,75,-9.4e-05,-1.2903),(6925,85,-0.000112,-1.2902),(6925,95,-0.00013,-1.2902),(6925,105,-0.000146,-1.2901),(6925,115,-0.000162,-1.2901),(6925,125,-0.000177,-1.29),(6925,135,-0.000193,-1.2899),(6925,145,-0.000214,-1.2898),(6925,155,-0.000238,-1.2897),(6925,165,-0.000262,-1.2896),(6925,175,-0.000287,-1.2895),(6925,185,-0.000296,-1.2894),(6925,195,-0.000298,-1.2894),(6925,205,-0.0003,-1.2892),(6925,215,-0.000303,-1.2891),(6925,225,-0.000302,-1.2889),(6925,235,-0.0003,-1.2888),(6925,245,-0.000298,-1.2887),(6925,255,-0.000296,-1.2886),(6925,265,-0.00028,-1.2885),(6925,275,-0.00026,-1.2883),(6925,285,-0.00024,-1.2882),(6925,295,-0.00022,-1.288),(6925,305,-0.000194,-1.2879),(6925,315,-0.000167,-1.2877),(6925,325,-0.00014,-1.2876),(6925,335,-0.000113,-1.2875),(6925,345,-9.7e-05,-1.2873),(6925,355,-8.3e-05,-1.2872),(6925,365,-7e-05,-1.287),(6925,375,-5.6e-05,-1.2868),(6925,385,-8.2e-05,-1.2866),(6925,395,-0.000115,-1.2865),(6925,405,-0.000147,-1.2862),(6925,415,-0.000179,-1.2859),(6925,425,-0.000251,-1.2857),(6925,435,-0.000326,-1.2854),(6925,445,-0.000401,-1.2851),(6925,455,-0.000477,-1.2848),(6925,465,-0.000528,-1.2844),(6925,475,-0.000578,-1.2841),(6925,485,-0.000627,-1.2838),(6925,495,-0.000677,-1.2835),(6925,505,-0.000681,-1.2833),(6925,515,-0.000684,-1.283),(6925,525,-0.000687,-1.2827),(6925,535,-0.000689,-1.2824),(6925,545,-0.000658,-1.2821),(6925,555,-0.000627,-1.2818),(6925,565,-0.000596,-1.2816),(6925,575,-0.000565,-1.2813),(6925,585,-0.000528,-1.281),(6925,595,-0.000491,-1.2807),(6925,605,-0.000455,-1.2804),(6925,615,-0.00042,-1.2801),(6925,625,-0.000403,-1.2798),(6925,635,-0.000386,-1.2795),(6925,645,-0.000369,-1.2792),(6925,655,-0.000355,-1.2788),(6925,665,-0.000356,-1.2785),(6925,675,-0.000357,-1.2782),(6925,685,-0.000358,-1.2778),(6925,695,-0.000368,-1.2774),(6925,705,-0.000416,-1.2771),(6925,715,-0.000464,-1.2767),(6925,725,-0.000512,-1.2762),(6925,735,-0.00056,-1.2758),(6925,745,-0.000609,-1.2753),(6925,755,-0.000658,-1.2748),(6925,765,-0.000707,-1.2744),(6925,775,-0.000732,-1.2739),(6925,785,-0.000689,-1.2735),(6925,795,-0.000647,-1.2731),(6925,805,-0.000604,-1.2727),(6925,815,-0.000551,-1.2723),(6925,825,-0.000475,-1.2719),(6925,835,-0.000399,-1.2715),(6925,845,-0.000323,-1.2711),(6925,855,-0.000259,-1.2707),(6925,865,-0.000218,-1.2703),(6925,875,-0.000176,-1.2699),(6925,885,-0.000135,-1.2694),(6925,895,-0.000114,-1.2689),(6925,905,-0.000125,-1.2684),(6925,915,-0.000137,-1.2679),(6925,925,-0.000148,-1.2673),(6925,935,-0.000175,-1.2668),(6925,945,-0.00022,-1.2662),(6925,955,-0.000266,-1.2657),(6925,965,-0.000311,-1.2651),(6925,975,-0.000358,-1.2645),(6925,985,-0.000406,-1.2639),(6925,995,-0.000454,-1.2633),(6925,1005,-0.000502,-1.2628),(6925,1015,-0.000559,-1.2622),(6925,1025,-0.000626,-1.2616),(6925,1035,-0.000693,-1.261),(6925,1045,-0.00076,-1.2604),(6925,1055,-0.00087,-1.2598),(6925,1065,-0.001016,-1.2592),(6925,1075,-0.001162,-1.2586),(6925,1085,-0.001308,-1.2581),(6925,1095,-0.001603,-1.2575),(6925,1105,-0.002001,-1.2569),(6925,1115,-0.0024,-1.2563),(6925,1125,-0.002799,-1.2557),(6925,1135,-0.003524,-1.255),(6925,1145,-0.004441,-1.2544),(6925,1155,-0.005359,-1.2536),(6925,1165,-0.006277,-1.2527),(6925,1175,-0.007864,-1.2518),(6925,1185,-0.009783,-1.251),(6925,1195,-0.011702,-1.2497),(6925,1205,-0.013621,-1.2483),(6925,1215,-0.016616,-1.247),(6925,1225,-0.020054,-1.2456),(6925,1235,-0.023492,-1.2433),(6925,1245,-0.02693,-1.2407),(6925,1255,-0.031503,-1.2381),(6925,1265,-0.036458,-1.2355),(6925,1275,-0.041414,-1.2308),(6925,1285,-0.046369,-1.2254),(6925,1295,-0.044577,-1.22),(6925,1305,-0.040959,-1.2146),(6925,1315,-0.037342,-1.2098),(6925,1325,-0.033724,-1.2051),(6925,1335,-0.020698,-1.2004),(6925,1345,-0.005699,-1.1958),(6925,1355,0.009299,-1.1982),(6925,1365,0.024297,-1.2019),(6925,1375,0.031846,-1.2056),(6925,1385,0.038244,-1.2093),(6925,1395,0.044643,-1.2145),(6925,1405,0.051042,-1.22),(6925,1415,0.046935,-1.2254),(6925,1425,0.041737,-1.2309),(6925,1435,0.03654,-1.2336),(6925,1445,0.031342,-1.236),(6925,1455,0.027656,-1.2385),(6925,1465,0.024056,-1.2409),(6925,1475,0.020457,-1.2419),(6925,1485,0.016857,-1.2429),(6925,1495,0.014806,-1.2439),(6925,1505,0.012779,-1.2448),(6925,1515,0.010751,-1.2453),(6925,1525,0.008748,-1.2458),(6925,1535,0.007716,-1.2463),(6925,1545,0.006684,-1.2468),(6925,1555,0.005651,-1.247),(6925,1565,0.004652,-1.2473),(6925,1575,0.004134,-1.2476),(6925,1585,0.003616,-1.2479),(6925,1595,0.003098,-1.2481),(6925,1605,0.002614,-1.2483),(6925,1615,0.002422,-1.2485),(6925,1625,0.002231,-1.2488),(6925,1635,0.002039,-1.249),(6925,1645,0.001866,-1.2493),(6925,1655,0.001805,-1.2495),(6925,1665,0.001744,-1.2497),(6925,1675,0.001684,-1.2499),(6925,1685,0.001633,-1.2501),(6925,1695,0.001624,-1.2503),(6925,1705,0.001615,-1.2505),(6925,1715,0.001606,-1.2506),(6925,1725,0.001603,-1.2507),(6925,1735,0.001621,-1.2508),(6925,1745,0.001638,-1.2509),(6925,1755,0.001656,-1.251),(6925,1765,0.001667,-1.2511),(6925,1775,0.001656,-1.2512),(6925,1785,0.001645,-1.2513),(6925,1795,0.001634,-1.2513),(6925,1805,0.001616,-1.2512),(6925,1815,0.001581,-1.2512),(6925,1825,0.001546,-1.2511),(6925,1835,0.001511,-1.2511),(6925,1845,0.001476,-1.2511),(6925,1855,0.001442,-1.2511),(6925,1865,0.001408,-1.2511),(6925,1875,0.001374,-1.2511),(6925,1885,0.001361,-1.251),(6925,1895,0.001381,-1.251),(6925,1905,0.001401,-1.2509),(6925,1915,0.001421,-1.2509),(6925,1925,0.001455,-1.2509),(6925,1935,0.001507,-1.2509),(6925,1945,0.00156,-1.2509),(6925,1955,0.001613,-1.2509),(6925,1965,0.001639,-1.2509),(6925,1975,0.001635,-1.251),(6925,1985,0.00163,-1.2509),(6925,1995,0.001625,-1.2507),(6925,2005,0.001621,-1.2505),(6925,2015,0.001618,-1.2503),(6925,2025,0.001615,-1.2502),(6925,2035,0.001612,-1.2501),(6925,2045,0.001618,-1.25),(6925,2055,0.001632,-1.2499),(6925,2065,0.001647,-1.2498),(6925,2075,0.001661,-1.2496),(6925,2085,0.001628,-1.2495),(6925,2095,0.00156,-1.2494),(6925,2105,0.001492,-1.2492),(6925,2115,0.001424,-1.2488),(6925,2125,0.001369,-1.2485),(6925,2135,0.001323,-1.2482),(6925,2145,0.001276,-1.248),(6925,2155,0.00123,-1.2478),(6925,2165,0.001244,-1.2476),(6925,2175,0.001289,-1.2475),(6925,2185,0.001334,-1.2473),(6925,2195,0.001379,-1.2471),(6925,2205,0.001407,-1.2469),(6925,2215,0.001427,-1.2468),(6925,2225,0.001447,-1.2465),(6925,2235,0.001466,-1.2461),(6925,2245,0.001476,-1.2458),(6925,2255,0.001482,-1.2455),(6925,2265,0.001488,-1.2452),(6925,2275,0.001494,-1.2449),(6925,2285,0.001519,-1.2446),(6925,2295,0.001549,-1.2443),(6925,2305,0.001579,-1.244),(6925,2315,0.00161,-1.2437),(6925,2325,0.001592,-1.2434),(6925,2335,0.001564,-1.2431),(6925,2345,0.001535,-1.2427),(6925,2355,0.001507,-1.2422),(6925,2365,0.001463,-1.2418),(6925,2375,0.001417,-1.2413),(6925,2385,0.00137,-1.2409),(6925,2395,0.001324,-1.2405),(6925,2405,0.001324,-1.2401),(6925,2415,0.00133,-1.2396),(6925,2425,0.001335,-1.2392),(6925,2435,0.001341,-1.2387),(6925,2445,0.001357,-1.2383),(6925,2455,0.001375,-1.2379),(6925,2465,0.001392,-1.2374),(6925,2475,0.00141,-1.237),(6925,2485,0.001425,-1.2365),(6925,2495,0.001439,-1.236),(6925,2505,0.001454,-1.2356),(6925,2515,0.001469,-1.2352),(6925,2525,0.001492,-1.2347),(6925,2535,0.001516,-1.2343),(6925,2545,0.00154,-1.2338),(6925,2555,0.001563,-1.2332),(6925,2565,0.001578,-1.2327),(6925,2575,0.001592,-1.2322),(6925,2585,0.001607,-1.2316),(6925,2595,0.001619,-1.2311),(6925,2605,0.001604,-1.2305),(6925,2615,0.001589,-1.23),(6925,2625,0.001573,-1.2293),(6925,2635,0.001554,-1.2287),(6925,2645,0.001511,-1.2281),(6925,2655,0.001467,-1.2275),(6925,2665,0.001423,-1.2269),(6925,2675,0.001383,-1.2262),(6925,2685,0.001362,-1.2255),(6925,2695,0.00134,-1.2249),(6925,2705,0.001319,-1.2242),(6925,2715,0.001303,-1.2235),(6925,2725,0.001305,-1.2228),(6925,2735,0.001308,-1.2222),(6925,2745,0.001311,-1.2215),(6925,2755,0.001313,-1.2209),(6925,2765,0.001315,-1.2202),(6925,2775,0.001318,-1.2195),(6925,2785,0.00132,-1.2188),(6925,2795,0.00132,-1.2181),(6925,2805,0.001317,-1.2174),(6925,2815,0.001314,-1.2166),(6925,2825,0.001311,-1.2159),(6925,2835,0.001305,-1.2151),(6925,2845,0.001293,-1.2144),(6925,2855,0.001282,-1.2136),(6925,2865,0.00127,-1.2128),(6925,2875,0.00125,-1.212),(6925,2885,0.001218,-1.2113),(6925,2895,0.001185,-1.2104),(6925,2905,0.001152,-1.2095),(6925,2915,0.001124,-1.2086),(6925,2925,0.001102,-1.2078),(6925,2935,0.001079,-1.2069),(6925,2945,0.001057,-1.206),(6925,2955,0.001046,-1.2051),(6925,2965,0.001049,-1.2042),(6925,2975,0.001052,-1.2033),(6925,2985,0.001055,-1.2025),(6925,2995,0.001062,-1.2016),(6925,3005,0.001073,-1.2007),(6925,3015,0.001084,-1.1999),(6925,3025,0.001094,-1.199),(6925,3035,0.001115,-1.1982),(6925,3045,0.001146,-1.1974),(6925,3055,0.001176,-1.1965),(6925,3065,0.001207,-1.1956),(6925,3075,0.001237,-1.1947),(6925,3085,0.001267,-1.1939),(6925,3095,0.001297,-1.1929),(6925,3105,0.001327,-1.1919),(6925,3115,0.00132,-1.1908),(6925,3125,0.00129,-1.1898),(6925,3135,0.00126,-1.1888),(6925,3145,0.00123,-1.1877),(6925,3155,0.001183,-1.1866),(6925,3165,0.001125,-1.1856),(6925,3175,0.001068,-1.1845),(6925,3185,0.001011,-1.1834),(6925,3195,0.000966,-1.1823),(6925,3205,0.000926,-1.1812),(6925,3215,0.000887,-1.1801),(6925,3225,0.000847,-1.179),(6925,3235,0.000854,-1.1779),(6925,3245,0.000878,-1.1768),(6925,3255,0.000901,-1.1758),(6925,3265,0.000925,-1.1748),(6925,3275,0.000984,-1.1738),(6925,3285,0.001053,-1.1727),(6925,3295,0.001123,-1.1717),(6925,3305,0.001192,-1.1706),(6925,3315,0.001246,-1.1695),(6925,3325,0.001296,-1.1684),(6925,3335,0.001346,-1.1673),(6925,3345,0.001396,-1.1661),(6925,3355,0.001421,-1.165),(6925,3365,0.001442,-1.1638),(6925,3375,0.001462,-1.1626),(6925,3385,0.001483,-1.1614),(6925,3395,0.001484,-1.1602),(6925,3405,0.001484,-1.159),(6925,3415,0.001483,-1.1578),(6925,3425,0.001482,-1.1566),(6925,3435,0.001478,-1.1554),(6925,3445,0.001473,-1.1542),(6925,3455,0.001468,-1.1529),(6925,3465,0.001464,-1.1516),(6925,3475,0.001441,-1.1503),(6925,3485,0.001417,-1.149),(6925,3495,0.001394,-1.1477),(6925,3505,0.00137,-1.1464),(6925,3515,0.001353,-1.145),(6925,3525,0.001336,-1.1437),(6925,3535,0.001318,-1.1424),(6925,3545,0.001303,-1.1411),(6925,3555,0.001335,-1.1398),(6925,3565,0.001368,-1.1385),(6925,3575,0.0014,-1.1371),(6925,3585,0.001434,-1.1358),(6925,3595,0.001489,-1.1344),(6925,3605,0.001544,-1.1331),(6925,3615,0.001599,-1.1317),(6925,3625,0.00165,-1.1304),(6925,3635,0.001674,-1.1291),(6925,3645,0.001697,-1.1277),(6925,3655,0.001721,-1.1262),(6925,3665,0.001737,-1.1248),(6925,3675,0.001715,-1.1233),(6925,3685,0.001692,-1.1218),(6925,3695,0.001669,-1.1204),(6925,3705,0.00163,-1.1191),(6925,3715,0.001526,-1.1177),(6925,3725,0.001421,-1.1162),(6925,3735,0.001317,-1.1147),(6925,3745,0.001186,-1.1131),(6925,3755,0.000975,-1.1115),(6925,3765,0.000764,-1.1099),(6925,3775,0.000552,-1.1084),(6925,3785,0.000271,-1.1069),(6925,3795,-0.000187,-1.1054),(6925,3805,-0.000644,-1.1038),(6925,3815,-0.001102,-1.1021),(6925,3825,-0.00168,-1.1003),(6925,3835,-0.002512,-1.0986),(6925,3845,-0.003344,-1.0969),(6925,3855,-0.004175,-1.0952),(6925,3865,-0.005259,-1.0934),(6925,3875,-0.006788,-1.0917),(6925,3885,-0.008318,-1.0898),(6925,3895,-0.009847,-1.0874),(6925,3905,-0.011775,-1.0851),(6925,3915,-0.0143,-1.0827),(6925,3925,-0.016825,-1.08),(6925,3935,-0.01935,-1.0768),(6925,3945,-0.022251,-1.0736),(6925,3955,-0.025629,-1.0704),(6925,3965,-0.029007,-1.0662),(6925,3975,-0.032385,-1.0608),(6925,3985,-0.03412,-1.0553),(6925,3995,-0.034077,-1.0499),(6925,4005,-0.034034,-1.0443),(6925,4015,-0.033991,-1.0385),(6925,4025,0.037023,-1.0327),(6925,4035,0.11498,-1.0285),(6925,4045,0.19294,-1.0277),(6925,4055,0.24365,-1.0269),(6925,4065,0.28442,-1.026),(6925,4075,0.3252,-1.0246),(6925,4085,0.3436,-1.0231),(6925,4095,0.34401,-1.0217),(6925,4105,0.34443,-1.0201),(6925,4115,0.34482,-1.0186),(6925,4125,0.34514,-1.017),(6925,4135,0.34547,-1.0154),(6925,4145,0.34579,-1.0138),(6925,4155,0.34605,-1.0122),(6925,4165,0.34631,-1.0106),(6925,4175,0.34657,-1.0091),(6925,4185,0.3468,-1.0075),(6925,4195,0.34702,-1.0058),(6925,4205,0.34725,-1.0042),(6925,4215,0.34745,-1.0025),(6925,4225,0.34764,-1.0008),(6925,4235,0.34784,-0.99894),(6925,4245,0.34802,-0.99709),(6925,4255,0.34819,-0.99523),(6925,4265,0.34836,-0.9933),(6925,4275,0.34852,-0.99137),(6925,4285,0.34867,-0.98944),(6925,4295,0.34882,-0.98742),(6925,4305,0.34896,-0.98539),(6925,4315,0.3491,-0.98337),(6925,4325,0.34923,-0.98126),(6925,4335,0.34936,-0.97912),(6925,4345,0.34949,-0.97698),(6925,4355,0.34962,-0.97479),(6925,4365,0.34975,-0.97254),(6925,4375,0.34989,-0.97029),(6925,4385,0.35003,-0.96802),(6925,4395,0.35017,-0.96569),(6925,4405,0.35034,-0.96337),(6925,4415,0.35051,-0.96102),(6925,4425,0.35069,-0.95855),(6925,4435,0.35089,-0.95608),(6925,4445,0.3511,-0.95361),(6925,4455,0.35132,-0.95108),(6925,4465,0.35155,-0.94854),(6925,4475,0.35182,-0.946),(6925,4485,0.35209,-0.9434),(6925,4495,0.35236,-0.94078),(6925,4505,0.35267,-0.93816),(6925,4515,0.35297,-0.9355),(6925,4525,0.35328,-0.9328),(6925,4535,0.35362,-0.9301),(6925,4545,0.35396,-0.92737),(6925,4555,0.3543,-0.92459),(6925,4565,0.35466,-0.92181),(6925,4575,0.35503,-0.91899),(6925,4585,0.3554,-0.91609),(6925,4595,0.35579,-0.91318),(6925,4605,0.35619,-0.91027),(6925,4615,0.35659,-0.90728),(6925,4625,0.35702,-0.90429),(6925,4635,0.35746,-0.9013),(6925,4645,0.3579,-0.89825),(6925,4655,0.35835,-0.89521),(6925,4665,0.35883,-0.89216),(6925,4675,0.35931,-0.88907),(6925,4685,0.3598,-0.88596),(6925,4695,0.36031,-0.88285),(6925,4705,0.36083,-0.87968),(6925,4715,0.36134,-0.87647),(6925,4725,0.3619,-0.87327),(6925,4735,0.36245,-0.87002),(6925,4745,0.363,-0.8667),(6925,4755,0.36357,-0.86338),(6925,4765,0.36414,-0.86005),(6925,4775,0.36472,-0.85664),(6925,4785,0.36531,-0.85324),(6925,4795,0.36592,-0.84984),(6925,4805,0.36652,-0.84637),(6925,4815,0.36715,-0.84291),(6925,4825,0.3678,-0.83944),(6925,4835,0.36845,-0.83594),(6925,4845,0.36911,-0.83244),(6925,4855,0.36981,-0.82893),(6925,4865,0.37051,-0.82537),(6925,4875,0.37121,-0.82179),(6925,4885,0.37193,-0.81821),(6925,4895,0.37266,-0.81459),(6925,4905,0.37338,-0.81093),(6925,4915,0.37413,-0.80728),(6925,4925,0.37488,-0.80361),(6925,4935,0.37563,-0.79993),(6925,4945,0.37639,-0.79624),(6925,4955,0.37717,-0.79256),(6925,4965,0.37795,-0.78884),(6925,4975,0.37872,-0.78512),(6925,4985,0.37949,-0.7814),(6925,4995,0.38026,-0.77756),(6925,5005,0.38104,-0.77372),(6925,5015,0.38182,-0.76989),(6925,5025,0.3826,-0.76597),(6925,5035,0.38338,-0.76203),(6925,5045,0.38421,-0.75809),(6925,5055,0.38503,-0.75412),(6925,5065,0.38586,-0.75014),(6925,5075,0.38671,-0.74616),(6925,5085,0.38756,-0.74216),(6925,5095,0.38841,-0.73813),(6925,5105,0.38928,-0.73411),(6925,5115,0.39014,-0.73006),(6925,5125,0.39101,-0.72597),(6925,5135,0.39186,-0.72187),(6925,5145,0.39271,-0.71777),(6925,5155,0.39356,-0.71358),(6925,5165,0.39442,-0.70938),(6925,5175,0.39527,-0.70519),(6925,5185,0.39613,-0.70094),(6925,5195,0.39699,-0.69669),(6925,5205,0.39786,-0.69243),(6925,5215,0.39874,-0.68816),(6925,5225,0.39962,-0.68387),(6925,5235,0.40052,-0.67959),(6925,5245,0.40142,-0.67528),(6925,5255,0.40232,-0.67095),(6925,5265,0.40323,-0.66662),(6925,5275,0.40415,-0.66228),(6925,5285,0.40506,-0.65792),(6925,5295,0.40598,-0.65356),(6925,5305,0.40691,-0.64919),(6925,5315,0.40783,-0.64478),(6925,5325,0.40877,-0.64037),(6925,5335,0.4097,-0.63596),(6925,5345,0.41064,-0.63152),(6925,5355,0.41158,-0.62707),(6925,5365,0.41251,-0.62263),(6925,5375,0.41344,-0.61812),(6925,5385,0.41438,-0.6136),(6925,5395,0.4153,-0.60908),(6925,5405,0.41623,-0.60449),(6925,5415,0.41715,-0.59986),(6925,5425,0.41807,-0.59523),(6925,5435,0.41898,-0.59059),(6925,5445,0.4199,-0.58592),(6925,5455,0.42082,-0.58125),(6925,5465,0.42174,-0.57657),(6925,5475,0.42267,-0.57186),(6925,5485,0.42359,-0.56716),(6925,5495,0.42452,-0.56245),(6925,5505,0.42545,-0.5577),(6925,5515,0.42636,-0.55294),(6925,5525,0.42728,-0.54819),(6925,5535,0.42819,-0.54338),(6925,5545,0.4291,-0.53857),(6925,5555,0.43001,-0.53376),(6925,5565,0.43091,-0.52893),(6925,5575,0.43182,-0.5241),(6925,5585,0.43273,-0.51926),(6925,5595,0.43363,-0.51442),(6925,5605,0.43454,-0.50958),(6925,5615,0.43542,-0.50473),(6925,5625,0.43631,-0.49986),(6925,5635,0.4372,-0.49494),(6925,5645,0.43808,-0.49002),(6925,5655,0.43895,-0.48509),(6925,5665,0.43983,-0.48014),(6925,5675,0.44071,-0.47519),(6925,5685,0.44158,-0.47025),(6925,5695,0.44246,-0.4653),(6925,5705,0.44333,-0.46035),(6925,5715,0.44418,-0.4554),(6925,5725,0.44503,-0.45042),(6925,5735,0.44588,-0.44544),(6925,5745,0.4467,-0.44045),(6925,5755,0.44752,-0.43544),(6925,5765,0.44834,-0.43042),(6925,5775,0.44915,-0.42539),(6925,5785,0.44996,-0.42035),(6925,5795,0.45076,-0.41529),(6925,5805,0.45155,-0.41023),(6925,5815,0.45234,-0.40516),(6925,5825,0.45313,-0.40006),(6925,5835,0.4539,-0.39496),(6925,5845,0.45467,-0.38985),(6925,5855,0.45543,-0.3847),(6925,5865,0.45619,-0.37955),(6925,5875,0.45693,-0.37439),(6925,5885,0.45768,-0.36923),(6925,5895,0.45842,-0.36407),(6925,5905,0.45915,-0.35891),(6925,5915,0.45988,-0.35372),(6925,5925,0.46061,-0.34853),(6925,5935,0.46132,-0.34334),(6925,5945,0.46203,-0.33813),(6925,5955,0.46274,-0.33291),(6925,5965,0.46345,-0.32768),(6925,5975,0.46416,-0.32245),(6925,5985,0.46487,-0.31721),(6925,5995,0.46555,-0.31197),(6925,6005,0.46623,-0.30673),(6925,6015,0.46691,-0.3015),(6925,6025,0.46758,-0.29626),(6925,6035,0.46824,-0.29103),(6925,6045,0.4689,-0.28577),(6925,6055,0.46955,-0.28052),(6925,6065,0.47018,-0.27526),(6925,6075,0.4708,-0.27),(6925,6085,0.47142,-0.26473),(6925,6095,0.472,-0.25947),(6925,6105,0.47259,-0.25415),(6925,6115,0.47316,-0.24881),(6925,6125,0.4737,-0.24348),(6925,6135,0.47424,-0.23811),(6925,6145,0.47478,-0.23272),(6925,6155,0.47531,-0.22732),(6925,6165,0.47585,-0.22198),(6925,6175,0.47638,-0.21671),(6925,6185,0.47692,-0.21145),(6925,6195,0.47747,-0.20618),(6925,6205,0.47801,-0.20091),(6925,6215,0.47854,-0.19565),(6925,6225,0.47906,-0.19038),(6925,6235,0.47958,-0.18494),(6925,6245,0.48008,-0.1795),(6925,6255,0.48057,-0.17407),(6925,6265,0.48106,-0.16868),(6925,6275,0.48154,-0.16329),(6925,6285,0.48199,-0.1579),(6925,6295,0.48244,-0.15252),(6925,6305,0.48288,-0.14714),(6925,6315,0.48326,-0.14175),(6925,6325,0.48364,-0.13639),(6925,6335,0.48401,-0.13104),(6925,6345,0.48437,-0.12569),(6925,6355,0.48472,-0.12033),(6925,6365,0.48508,-0.11497),(6925,6375,0.48541,-0.1096),(6925,6385,0.48573,-0.10421),(6925,6395,0.48605,-0.098691),(6925,6405,0.48637,-0.093172),(6925,6415,0.48669,-0.087653),(6925,6425,0.48701,-0.082384),(6925,6435,0.48731,-0.077126),(6925,6445,0.48759,-0.071868),(6925,6455,0.48786,-0.066543),(6925,6465,0.48812,-0.061198),(6925,6475,0.48832,-0.055853),(6925,6485,0.48851,-0.050437),(6925,6495,0.48871,-0.044973),(6925,6505,0.48885,-0.039509),(6925,6515,0.48898,-0.034072),(6925,6525,0.48912,-0.028673),(6925,6535,0.48928,-0.023274),(6925,6545,0.48944,-0.017897),(6925,6555,0.4896,-0.01259),(6925,6565,0.48973,-0.007283),(6925,6575,0.48984,-0.001979),(6925,6585,0.48996,0.003273),(6925,6595,0.41676,0.008525),(6925,6605,0.26262,0.013777),(6925,6615,0.10848,0.01452),(6925,6625,0.00015,0.014685),(6925,6635,0.000233,0.014849),(6925,6645,0.000315,0.014895),(6925,6655,0.000397,0.014891),(6925,6665,0.000479,0.014888),(6925,6675,0.00056,0.014881),(6925,6685,0.000642,0.014873),(6925,6695,0.000723,0.014865),(6925,6705,0.000803,0.014855),(6925,6715,0.000884,0.014842),(6925,6725,0.000964,0.014829),(6925,6735,0.001043,0.014815),(6925,6745,0.001122,0.014797),(6925,6755,0.0012,0.01478),(6925,6765,0.001278,0.014762),(6925,6775,0.001355,0.01474),(6925,6785,0.001432,0.014718),(6925,6795,0.001507,0.014697),(6925,6805,0.001582,0.014671),(6925,6815,0.001657,0.014646),(6925,6825,0.001729,0.01462),(6925,6835,0.001802,0.014592),(6925,6845,0.001874,0.014562),(6925,6855,0.001944,0.014533),(6925,6865,0.002014,0.014502),(6925,6875,0.002084,0.014469),(6925,6885,0.002151,0.014436),(6925,6895,0.002218,0.014403),(6925,6905,0.002284,0.014367),(6925,6915,0.002349,0.014331),(6925,6925,0.002413,0.014295),(6925,6935,0.002476,0.014257),(6925,6945,0.002538,0.014219),(6925,6955,0.002598,0.01418),(6925,6965,0.002659,0.01414),(6925,6975,0.002718,0.0141),(6925,6985,0.002775,0.014059),(6935,5,-1.1e-05,-1.2908),(6935,15,-3.3e-05,-1.2907),(6935,25,-4.5e-05,-1.2905),(6935,35,-4.9e-05,-1.2904),(6935,45,-5.4e-05,-1.2904),(6935,55,-5.8e-05,-1.2903),(6935,65,-7e-05,-1.2903),(6935,75,-9e-05,-1.2903),(6935,85,-0.000109,-1.2902),(6935,95,-0.000128,-1.2902),(6935,105,-0.000144,-1.2901),(6935,115,-0.000156,-1.2901),(6935,125,-0.000168,-1.29),(6935,135,-0.000181,-1.2899),(6935,145,-0.000201,-1.2898),(6935,155,-0.000226,-1.2897),(6935,165,-0.000251,-1.2896),(6935,175,-0.000276,-1.2896),(6935,185,-0.00029,-1.2895),(6935,195,-0.000299,-1.2894),(6935,205,-0.000307,-1.2892),(6935,215,-0.000315,-1.2891),(6935,225,-0.00032,-1.2889),(6935,235,-0.000324,-1.2888),(6935,245,-0.000328,-1.2887),(6935,255,-0.000331,-1.2886),(6935,265,-0.00032,-1.2884),(6935,275,-0.000303,-1.2883),(6935,285,-0.000286,-1.2882),(6935,295,-0.000269,-1.288),(6935,305,-0.000246,-1.2879),(6935,315,-0.000222,-1.2877),(6935,325,-0.000198,-1.2876),(6935,335,-0.000174,-1.2874),(6935,345,-0.000151,-1.2873),(6935,355,-0.000129,-1.2872),(6935,365,-0.000106,-1.287),(6935,375,-8.3e-05,-1.2868),(6935,385,-9.4e-05,-1.2867),(6935,395,-0.00011,-1.2865),(6935,405,-0.000126,-1.2862),(6935,415,-0.000141,-1.286),(6935,425,-0.000207,-1.2858),(6935,435,-0.000277,-1.2855),(6935,445,-0.000347,-1.2852),(6935,455,-0.000417,-1.2848),(6935,465,-0.000476,-1.2845),(6935,475,-0.000535,-1.2841),(6935,485,-0.000594,-1.2839),(6935,495,-0.000653,-1.2836),(6935,505,-0.000672,-1.2833),(6935,515,-0.000691,-1.283),(6935,525,-0.000709,-1.2827),(6935,535,-0.000727,-1.2824),(6935,545,-0.000709,-1.2821),(6935,555,-0.000691,-1.2818),(6935,565,-0.000673,-1.2815),(6935,575,-0.000654,-1.2813),(6935,585,-0.000617,-1.281),(6935,595,-0.000581,-1.2807),(6935,605,-0.000544,-1.2804),(6935,615,-0.000509,-1.2801),(6935,625,-0.000486,-1.2798),(6935,635,-0.000463,-1.2794),(6935,645,-0.00044,-1.2791),(6935,655,-0.000419,-1.2788),(6935,665,-0.000413,-1.2785),(6935,675,-0.000406,-1.2781),(6935,685,-0.000399,-1.2778),(6935,695,-0.000401,-1.2774),(6935,705,-0.00044,-1.2771),(6935,715,-0.00048,-1.2767),(6935,725,-0.000519,-1.2763),(6935,735,-0.000562,-1.2758),(6935,745,-0.000615,-1.2753),(6935,755,-0.000668,-1.2749),(6935,765,-0.000722,-1.2744),(6935,775,-0.000753,-1.274),(6935,785,-0.000725,-1.2735),(6935,795,-0.000698,-1.2731),(6935,805,-0.00067,-1.2727),(6935,815,-0.000629,-1.2723),(6935,825,-0.000558,-1.2719),(6935,835,-0.000488,-1.2715),(6935,845,-0.000417,-1.2711),(6935,855,-0.000356,-1.2707),(6935,865,-0.00031,-1.2703),(6935,875,-0.000264,-1.2699),(6935,885,-0.000218,-1.2694),(6935,895,-0.000192,-1.2689),(6935,905,-0.000197,-1.2684),(6935,915,-0.000201,-1.2679),(6935,925,-0.000206,-1.2674),(6935,935,-0.000229,-1.2668),(6935,945,-0.000276,-1.2663),(6935,955,-0.000324,-1.2657),(6935,965,-0.000371,-1.2651),(6935,975,-0.000425,-1.2646),(6935,985,-0.000487,-1.264),(6935,995,-0.000548,-1.2634),(6935,1005,-0.000609,-1.2628),(6935,1015,-0.000683,-1.2622),(6935,1025,-0.000767,-1.2616),(6935,1035,-0.000852,-1.261),(6935,1045,-0.000937,-1.2604),(6935,1055,-0.001064,-1.2599),(6935,1065,-0.001226,-1.2593),(6935,1075,-0.001388,-1.2587),(6935,1085,-0.001551,-1.2582),(6935,1095,-0.001856,-1.2576),(6935,1105,-0.002261,-1.257),(6935,1115,-0.002667,-1.2565),(6935,1125,-0.003072,-1.2559),(6935,1135,-0.003808,-1.2554),(6935,1145,-0.004738,-1.2548),(6935,1155,-0.005669,-1.2541),(6935,1165,-0.0066,-1.2534),(6935,1175,-0.008242,-1.2526),(6935,1185,-0.010238,-1.2519),(6935,1195,-0.012234,-1.2509),(6935,1205,-0.014229,-1.2497),(6935,1215,-0.01747,-1.2485),(6935,1225,-0.021224,-1.2474),(6935,1235,-0.024979,-1.2454),(6935,1245,-0.028733,-1.2431),(6935,1255,-0.03398,-1.2407),(6935,1265,-0.039731,-1.2384),(6935,1275,-0.045482,-1.2336),(6935,1285,-0.051234,-1.2282),(6935,1295,-0.049549,-1.2227),(6935,1305,-0.045854,-1.2172),(6935,1315,-0.042158,-1.2118),(6935,1325,-0.038463,-1.2065),(6935,1335,-0.023638,-1.2012),(6935,1345,-0.006481,-1.1958),(6935,1355,0.010676,-1.1987),(6935,1365,0.027833,-1.203),(6935,1375,0.036057,-1.2074),(6935,1385,0.042902,-1.2117),(6935,1395,0.049747,-1.2172),(6935,1405,0.056592,-1.2228),(6935,1415,0.051738,-1.2284),(6935,1425,0.04567,-1.234),(6935,1435,0.039601,-1.2364),(6935,1445,0.033532,-1.2385),(6935,1455,0.029452,-1.2407),(6935,1465,0.025486,-1.2429),(6935,1475,0.02152,-1.2436),(6935,1485,0.017554,-1.2444),(6935,1495,0.015399,-1.2451),(6935,1505,0.013272,-1.2458),(6935,1515,0.011144,-1.2462),(6935,1525,0.009044,-1.2465),(6935,1535,0.008,-1.2469),(6935,1545,0.006956,-1.2472),(6935,1555,0.005912,-1.2475),(6935,1565,0.004901,-1.2477),(6935,1575,0.00437,-1.2479),(6935,1585,0.003838,-1.2481),(6935,1595,0.003306,-1.2483),(6935,1605,0.002807,-1.2485),(6935,1615,0.00259,-1.2487),(6935,1625,0.002373,-1.2488),(6935,1635,0.002156,-1.2491),(6935,1645,0.00196,-1.2493),(6935,1655,0.001883,-1.2495),(6935,1665,0.001807,-1.2498),(6935,1675,0.00173,-1.2499),(6935,1685,0.001666,-1.2501),(6935,1695,0.001652,-1.2503),(6935,1705,0.001639,-1.2505),(6935,1715,0.001626,-1.2506),(6935,1725,0.00162,-1.2507),(6935,1735,0.001641,-1.2508),(6935,1745,0.001661,-1.2509),(6935,1755,0.001682,-1.251),(6935,1765,0.001698,-1.2511),(6935,1775,0.001697,-1.2512),(6935,1785,0.001697,-1.2513),(6935,1795,0.001697,-1.2513),(6935,1805,0.001687,-1.2512),(6935,1815,0.001657,-1.2512),(6935,1825,0.001626,-1.2512),(6935,1835,0.001596,-1.2512),(6935,1845,0.001559,-1.2512),(6935,1855,0.001509,-1.2512),(6935,1865,0.001458,-1.2512),(6935,1875,0.001408,-1.2511),(6935,1885,0.001375,-1.251),(6935,1895,0.00137,-1.251),(6935,1905,0.001364,-1.2509),(6935,1915,0.001359,-1.2509),(6935,1925,0.001378,-1.2509),(6935,1935,0.001431,-1.2508),(6935,1945,0.001484,-1.2509),(6935,1955,0.001538,-1.2509),(6935,1965,0.001567,-1.2509),(6935,1975,0.001569,-1.251),(6935,1985,0.001571,-1.2509),(6935,1995,0.001574,-1.2507),(6935,2005,0.001568,-1.2505),(6935,2015,0.001556,-1.2503),(6935,2025,0.001543,-1.2502),(6935,2035,0.001531,-1.2501),(6935,2045,0.001537,-1.25),(6935,2055,0.001558,-1.2499),(6935,2065,0.001579,-1.2498),(6935,2075,0.001601,-1.2497),(6935,2085,0.00158,-1.2495),(6935,2095,0.001528,-1.2494),(6935,2105,0.001476,-1.2492),(6935,2115,0.001425,-1.2489),(6935,2125,0.001371,-1.2486),(6935,2135,0.001315,-1.2483),(6935,2145,0.001259,-1.248),(6935,2155,0.001203,-1.2478),(6935,2165,0.001207,-1.2476),(6935,2175,0.001242,-1.2474),(6935,2185,0.001277,-1.2472),(6935,2195,0.001312,-1.2471),(6935,2205,0.00134,-1.2469),(6935,2215,0.001366,-1.2468),(6935,2225,0.001392,-1.2465),(6935,2235,0.001417,-1.2461),(6935,2245,0.001434,-1.2458),(6935,2255,0.001448,-1.2455),(6935,2265,0.001461,-1.2452),(6935,2275,0.001475,-1.2449),(6935,2285,0.001511,-1.2446),(6935,2295,0.001553,-1.2443),(6935,2305,0.001596,-1.244),(6935,2315,0.001639,-1.2437),(6935,2325,0.001634,-1.2434),(6935,2335,0.001618,-1.2431),(6935,2345,0.001603,-1.2427),(6935,2355,0.001587,-1.2423),(6935,2365,0.001539,-1.2418),(6935,2375,0.001486,-1.2414),(6935,2385,0.001433,-1.2409),(6935,2395,0.00138,-1.2405),(6935,2405,0.001364,-1.2401),(6935,2415,0.001353,-1.2396),(6935,2425,0.001342,-1.2392),(6935,2435,0.001331,-1.2387),(6935,2445,0.001337,-1.2383),(6935,2455,0.001343,-1.2379),(6935,2465,0.00135,-1.2374),(6935,2475,0.001357,-1.2369),(6935,2485,0.001363,-1.2365),(6935,2495,0.001369,-1.236),(6935,2505,0.001375,-1.2356),(6935,2515,0.001381,-1.2351),(6935,2525,0.001398,-1.2347),(6935,2535,0.001415,-1.2343),(6935,2545,0.001432,-1.2337),(6935,2555,0.001449,-1.2332),(6935,2565,0.001468,-1.2327),(6935,2575,0.001487,-1.2322),(6935,2585,0.001505,-1.2316),(6935,2595,0.001522,-1.2311),(6935,2605,0.00152,-1.2305),(6935,2615,0.001517,-1.23),(6935,2625,0.001515,-1.2294),(6935,2635,0.001508,-1.2288),(6935,2645,0.001471,-1.2282),(6935,2655,0.001433,-1.2276),(6935,2665,0.001396,-1.2269),(6935,2675,0.00136,-1.2262),(6935,2685,0.001331,-1.2255),(6935,2695,0.001301,-1.2249),(6935,2705,0.001271,-1.2242),(6935,2715,0.001247,-1.2235),(6935,2725,0.001243,-1.2229),(6935,2735,0.001238,-1.2222),(6935,2745,0.001234,-1.2215),(6935,2755,0.001231,-1.2209),(6935,2765,0.001234,-1.2202),(6935,2775,0.001236,-1.2195),(6935,2785,0.001238,-1.2188),(6935,2795,0.001241,-1.2181),(6935,2805,0.001243,-1.2174),(6935,2815,0.001245,-1.2166),(6935,2825,0.001247,-1.2159),(6935,2835,0.001247,-1.2151),(6935,2845,0.001242,-1.2144),(6935,2855,0.001237,-1.2136),(6935,2865,0.001232,-1.2128),(6935,2875,0.001216,-1.2121),(6935,2885,0.001182,-1.2113),(6935,2895,0.001149,-1.2105),(6935,2905,0.001116,-1.2096),(6935,2915,0.001083,-1.2087),(6935,2925,0.001052,-1.2078),(6935,2935,0.001022,-1.2069),(6935,2945,0.000991,-1.206),(6935,2955,0.000973,-1.2051),(6935,2965,0.000971,-1.2042),(6935,2975,0.000969,-1.2034),(6935,2985,0.000967,-1.2025),(6935,2995,0.000969,-1.2016),(6935,3005,0.000975,-1.2007),(6935,3015,0.000981,-1.1999),(6935,3025,0.000987,-1.199),(6935,3035,0.001003,-1.1982),(6935,3045,0.001029,-1.1973),(6935,3055,0.001055,-1.1965),(6935,3065,0.001081,-1.1956),(6935,3075,0.001114,-1.1947),(6935,3085,0.001152,-1.1938),(6935,3095,0.001189,-1.1929),(6935,3105,0.001227,-1.1919),(6935,3115,0.001236,-1.1908),(6935,3125,0.001227,-1.1898),(6935,3135,0.001218,-1.1888),(6935,3145,0.001209,-1.1877),(6935,3155,0.001174,-1.1867),(6935,3165,0.001125,-1.1856),(6935,3175,0.001076,-1.1846),(6935,3185,0.001027,-1.1835),(6935,3195,0.000975,-1.1824),(6935,3205,0.000921,-1.1813),(6935,3215,0.000867,-1.1802),(6935,3225,0.000813,-1.1791),(6935,3235,0.000797,-1.1779),(6935,3245,0.000795,-1.1768),(6935,3255,0.000793,-1.1758),(6935,3265,0.000791,-1.1747),(6935,3275,0.000833,-1.1737),(6935,3285,0.000889,-1.1727),(6935,3295,0.000944,-1.1716),(6935,3305,0.001,-1.1705),(6935,3315,0.001058,-1.1694),(6935,3325,0.001116,-1.1684),(6935,3335,0.001174,-1.1672),(6935,3345,0.001233,-1.1661),(6935,3355,0.001271,-1.165),(6935,3365,0.001306,-1.1638),(6935,3375,0.00134,-1.1626),(6935,3385,0.001375,-1.1614),(6935,3395,0.001384,-1.1602),(6935,3405,0.00139,-1.159),(6935,3415,0.001396,-1.1578),(6935,3425,0.001402,-1.1566),(6935,3435,0.001393,-1.1554),(6935,3445,0.001384,-1.1542),(6935,3455,0.001374,-1.1529),(6935,3465,0.001365,-1.1516),(6935,3475,0.00134,-1.1503),(6935,3485,0.001316,-1.149),(6935,3495,0.001291,-1.1477),(6935,3505,0.001267,-1.1464),(6935,3515,0.001248,-1.145),(6935,3525,0.001229,-1.1437),(6935,3535,0.00121,-1.1424),(6935,3545,0.001193,-1.1411),(6935,3555,0.00121,-1.1398),(6935,3565,0.001227,-1.1385),(6935,3575,0.001244,-1.1371),(6935,3585,0.001264,-1.1358),(6935,3595,0.001313,-1.1344),(6935,3605,0.001362,-1.133),(6935,3615,0.00141,-1.1317),(6935,3625,0.001457,-1.1304),(6935,3635,0.001491,-1.1291),(6935,3645,0.001526,-1.1277),(6935,3655,0.00156,-1.1262),(6935,3665,0.001585,-1.1248),(6935,3675,0.001562,-1.1233),(6935,3685,0.00154,-1.1219),(6935,3695,0.001518,-1.1205),(6935,3705,0.001478,-1.1191),(6935,3715,0.001365,-1.1177),(6935,3725,0.001253,-1.1163),(6935,3735,0.001141,-1.1147),(6935,3745,0.001001,-1.1132),(6935,3755,0.000775,-1.1116),(6935,3765,0.00055,-1.1101),(6935,3775,0.000324,-1.1086),(6935,3785,3.1e-05,-1.1071),(6935,3795,-0.000435,-1.1057),(6935,3805,-0.0009,-1.1041),(6935,3815,-0.001365,-1.1025),(6935,3825,-0.001957,-1.1008),(6935,3835,-0.002817,-1.0991),(6935,3845,-0.003676,-1.0974),(6935,3855,-0.004536,-1.0958),(6935,3865,-0.005667,-1.0942),(6935,3875,-0.007278,-1.0927),(6935,3885,-0.008889,-1.0908),(6935,3895,-0.0105,-1.0887),(6935,3905,-0.012586,-1.0865),(6935,3915,-0.01538,-1.0843),(6935,3925,-0.018174,-1.0818),(6935,3935,-0.020968,-1.0788),(6935,3945,-0.024258,-1.0758),(6935,3955,-0.028178,-1.0727),(6935,3965,-0.032099,-1.0686),(6935,3975,-0.036019,-1.0631),(6935,3985,-0.038171,-1.0576),(6935,3995,-0.038408,-1.0521),(6935,4005,-0.038645,-1.0461),(6935,4015,-0.038882,-1.0396),(6935,4025,0.033035,-1.0332),(6935,4035,0.11201,-1.0285),(6935,4045,0.19099,-1.0277),(6935,4055,0.24173,-1.0269),(6935,4065,0.28218,-1.0261),(6935,4075,0.32262,-1.0246),(6935,4085,0.34087,-1.0232),(6935,4095,0.34127,-1.0218),(6935,4105,0.34167,-1.0203),(6935,4115,0.34204,-1.0187),(6935,4125,0.34235,-1.0172),(6935,4135,0.34266,-1.0156),(6935,4145,0.34296,-1.0141),(6935,4155,0.34319,-1.0125),(6935,4165,0.34343,-1.0109),(6935,4175,0.34367,-1.0093),(6935,4185,0.34386,-1.0077),(6935,4195,0.34406,-1.0061),(6935,4205,0.34425,-1.0045),(6935,4215,0.34443,-1.0028),(6935,4225,0.3446,-1.0011),(6935,4235,0.34477,-0.99926),(6935,4245,0.34492,-0.99742),(6935,4255,0.34507,-0.99557),(6935,4265,0.34522,-0.99365),(6935,4275,0.34536,-0.99174),(6935,4285,0.34549,-0.98982),(6935,4295,0.34562,-0.98781),(6935,4305,0.34575,-0.9858),(6935,4315,0.34586,-0.98378),(6935,4325,0.34598,-0.98169),(6935,4335,0.34609,-0.97956),(6935,4345,0.3462,-0.97743),(6935,4355,0.3463,-0.97523),(6935,4365,0.34641,-0.97299),(6935,4375,0.34652,-0.97074),(6935,4385,0.34663,-0.96847),(6935,4395,0.34674,-0.96614),(6935,4405,0.34688,-0.96382),(6935,4415,0.34702,-0.96146),(6935,4425,0.34716,-0.95899),(6935,4435,0.34732,-0.95652),(6935,4445,0.3475,-0.95404),(6935,4455,0.34767,-0.95149),(6935,4465,0.34787,-0.94894),(6935,4475,0.34811,-0.94639),(6935,4485,0.34834,-0.94379),(6935,4495,0.34858,-0.94116),(6935,4505,0.34886,-0.93854),(6935,4515,0.34914,-0.93587),(6935,4525,0.34942,-0.93317),(6935,4535,0.34974,-0.93047),(6935,4545,0.35006,-0.92773),(6935,4555,0.35038,-0.92495),(6935,4565,0.35073,-0.92216),(6935,4575,0.35108,-0.91935),(6935,4585,0.35143,-0.91644),(6935,4595,0.3518,-0.91353),(6935,4605,0.35218,-0.91061),(6935,4615,0.35256,-0.90761),(6935,4625,0.35296,-0.90461),(6935,4635,0.35338,-0.90161),(6935,4645,0.35379,-0.89856),(6935,4655,0.35423,-0.89551),(6935,4665,0.35468,-0.89245),(6935,4675,0.35514,-0.88935),(6935,4685,0.3556,-0.88624),(6935,4695,0.35609,-0.88312),(6935,4705,0.35659,-0.87995),(6935,4715,0.35708,-0.87673),(6935,4725,0.35762,-0.87351),(6935,4735,0.35815,-0.87026),(6935,4745,0.35869,-0.86693),(6935,4755,0.35924,-0.86361),(6935,4765,0.3598,-0.86027),(6935,4775,0.36036,-0.85687),(6935,4785,0.36093,-0.85346),(6935,4795,0.36152,-0.85005),(6935,4805,0.3621,-0.84657),(6935,4815,0.3627,-0.84309),(6935,4825,0.36333,-0.83962),(6935,4835,0.36395,-0.8361),(6935,4845,0.36459,-0.83259),(6935,4855,0.36527,-0.82907),(6935,4865,0.36594,-0.8255),(6935,4875,0.36662,-0.82191),(6935,4885,0.36733,-0.81832),(6935,4895,0.36803,-0.81469),(6935,4905,0.36873,-0.81103),(6935,4915,0.36946,-0.80737),(6935,4925,0.37019,-0.8037),(6935,4935,0.37092,-0.8),(6935,4945,0.37168,-0.79631),(6935,4955,0.37245,-0.79262),(6935,4965,0.37321,-0.7889),(6935,4975,0.37398,-0.78518),(6935,4985,0.37475,-0.78146),(6935,4995,0.37552,-0.77762),(6935,5005,0.37629,-0.77378),(6935,5015,0.37705,-0.76994),(6935,5025,0.37781,-0.76602),(6935,5035,0.37858,-0.76206),(6935,5045,0.37936,-0.75811),(6935,5055,0.38015,-0.75413),(6935,5065,0.38093,-0.75014),(6935,5075,0.38175,-0.74615),(6935,5085,0.38256,-0.74214),(6935,5095,0.38338,-0.73811),(6935,5105,0.38423,-0.73407),(6935,5115,0.38508,-0.73002),(6935,5125,0.38593,-0.72593),(6935,5135,0.38678,-0.72183),(6935,5145,0.38764,-0.71773),(6935,5155,0.38849,-0.71353),(6935,5165,0.38935,-0.70934),(6935,5175,0.3902,-0.70514),(6935,5185,0.39105,-0.70088),(6935,5195,0.39191,-0.69662),(6935,5205,0.39277,-0.69236),(6935,5215,0.39363,-0.68807),(6935,5225,0.3945,-0.68378),(6935,5235,0.39537,-0.67949),(6935,5245,0.39625,-0.67517),(6935,5255,0.39712,-0.67083),(6935,5265,0.398,-0.66649),(6935,5275,0.39888,-0.66214),(6935,5285,0.39976,-0.65778),(6935,5295,0.40065,-0.65341),(6935,5305,0.40154,-0.64903),(6935,5315,0.40244,-0.64461),(6935,5325,0.40335,-0.6402),(6935,5335,0.40426,-0.63578),(6935,5345,0.40518,-0.63133),(6935,5355,0.4061,-0.62688),(6935,5365,0.40703,-0.62243),(6935,5375,0.40795,-0.61792),(6935,5385,0.40888,-0.6134),(6935,5395,0.4098,-0.60888),(6935,5405,0.41072,-0.60429),(6935,5415,0.41164,-0.59966),(6935,5425,0.41254,-0.59503),(6935,5435,0.41345,-0.59038),(6935,5445,0.41435,-0.5857),(6935,5455,0.41526,-0.58103),(6935,5465,0.41616,-0.57634),(6935,5475,0.41707,-0.57163),(6935,5485,0.41798,-0.56692),(6935,5495,0.41889,-0.56221),(6935,5505,0.4198,-0.55745),(6935,5515,0.4207,-0.5527),(6935,5525,0.4216,-0.54794),(6935,5535,0.42249,-0.54313),(6935,5545,0.42339,-0.53832),(6935,5555,0.42427,-0.53351),(6935,5565,0.42516,-0.52867),(6935,5575,0.42605,-0.52383),(6935,5585,0.42694,-0.51899),(6935,5595,0.42783,-0.51415),(6935,5605,0.42871,-0.5093),(6935,5615,0.42959,-0.50446),(6935,5625,0.43047,-0.49958),(6935,5635,0.43135,-0.49466),(6935,5645,0.43221,-0.48974),(6935,5655,0.43307,-0.48481),(6935,5665,0.43394,-0.47986),(6935,5675,0.4348,-0.4749),(6935,5685,0.43565,-0.46995),(6935,5695,0.43651,-0.465),(6935,5705,0.43736,-0.46006),(6935,5715,0.43821,-0.45511),(6935,5725,0.43906,-0.45013),(6935,5735,0.43989,-0.44515),(6935,5745,0.44071,-0.44017),(6935,5755,0.44152,-0.43516),(6935,5765,0.44233,-0.43013),(6935,5775,0.44313,-0.4251),(6935,5785,0.44394,-0.42006),(6935,5795,0.44474,-0.415),(6935,5805,0.44552,-0.40994),(6935,5815,0.4463,-0.40487),(6935,5825,0.44708,-0.39977),(6935,5835,0.44785,-0.39467),(6935,5845,0.44861,-0.38957),(6935,5855,0.44938,-0.38442),(6935,5865,0.45012,-0.37926),(6935,5875,0.45086,-0.37411),(6935,5885,0.4516,-0.36895),(6935,5895,0.45233,-0.36379),(6935,5905,0.45304,-0.35862),(6935,5915,0.45376,-0.35344),(6935,5925,0.45447,-0.34825),(6935,5935,0.45517,-0.34306),(6935,5945,0.45586,-0.33784),(6935,5955,0.45656,-0.33261),(6935,5965,0.45724,-0.32738),(6935,5975,0.45793,-0.32215),(6935,5985,0.45862,-0.31691),(6935,5995,0.45929,-0.31167),(6935,6005,0.45996,-0.30643),(6935,6015,0.46063,-0.3012),(6935,6025,0.46129,-0.29596),(6935,6035,0.46195,-0.29073),(6935,6045,0.46261,-0.28548),(6935,6055,0.46325,-0.28022),(6935,6065,0.46389,-0.27497),(6935,6075,0.46452,-0.26971),(6935,6085,0.46514,-0.26445),(6935,6095,0.46573,-0.2592),(6935,6105,0.46632,-0.25389),(6935,6115,0.4669,-0.24856),(6935,6125,0.46743,-0.24323),(6935,6135,0.46797,-0.23786),(6935,6145,0.4685,-0.23247),(6935,6155,0.46904,-0.22707),(6935,6165,0.46957,-0.22172),(6935,6175,0.4701,-0.21644),(6935,6185,0.47064,-0.21116),(6935,6195,0.47118,-0.20589),(6935,6205,0.47173,-0.20062),(6935,6215,0.47226,-0.19536),(6935,6225,0.47277,-0.19009),(6935,6235,0.47329,-0.18466),(6935,6245,0.47379,-0.17922),(6935,6255,0.47428,-0.17379),(6935,6265,0.47477,-0.1684),(6935,6275,0.47525,-0.16302),(6935,6285,0.47569,-0.15764),(6935,6295,0.47614,-0.15227),(6935,6305,0.47658,-0.1469),(6935,6315,0.47696,-0.14154),(6935,6325,0.47733,-0.13618),(6935,6335,0.47771,-0.13083),(6935,6345,0.47805,-0.12549),(6935,6355,0.47839,-0.12013),(6935,6365,0.47873,-0.11477),(6935,6375,0.47904,-0.1094),(6935,6385,0.47935,-0.10402),(6935,6395,0.47965,-0.098493),(6935,6405,0.47995,-0.092969),(6935,6415,0.48025,-0.087446),(6935,6425,0.48054,-0.082181),(6935,6435,0.48083,-0.076928),(6935,6445,0.4811,-0.071675),(6935,6455,0.48137,-0.066364),(6935,6465,0.48163,-0.061037),(6935,6475,0.48182,-0.05571),(6935,6485,0.48202,-0.050307),(6935,6495,0.48222,-0.044855),(6935,6505,0.48236,-0.039402),(6935,6515,0.48251,-0.033966),(6935,6525,0.48265,-0.028552),(6935,6535,0.48282,-0.023138),(6935,6545,0.483,-0.017752),(6935,6555,0.48317,-0.012454),(6935,6565,0.4833,-0.007156),(6935,6575,0.48342,-0.001862),(6935,6585,0.48354,0.003367),(6935,6595,0.41131,0.008596),(6935,6605,0.25918,0.013824),(6935,6615,0.10706,0.014576),(6935,6625,0.000149,0.014752),(6935,6635,0.000233,0.014928),(6935,6645,0.000317,0.014977),(6935,6655,0.0004,0.014973),(6935,6665,0.000483,0.01497),(6935,6675,0.000567,0.014963),(6935,6685,0.00065,0.014955),(6935,6695,0.000732,0.014946),(6935,6705,0.000814,0.014936),(6935,6715,0.000896,0.014922),(6935,6725,0.000977,0.014909),(6935,6735,0.001058,0.014895),(6935,6745,0.001138,0.014876),(6935,6755,0.001218,0.014858),(6935,6765,0.001297,0.01484),(6935,6775,0.001375,0.014817),(6935,6785,0.001453,0.014795),(6935,6795,0.00153,0.014772),(6935,6805,0.001606,0.014746),(6935,6815,0.001682,0.01472),(6935,6825,0.001755,0.014693),(6935,6835,0.001829,0.014664),(6935,6845,0.001903,0.014634),(6935,6855,0.001974,0.014603),(6935,6865,0.002044,0.014571),(6935,6875,0.002115,0.014538),(6935,6885,0.002183,0.014504),(6935,6895,0.002251,0.014469),(6935,6905,0.002318,0.014433),(6935,6915,0.002384,0.014396),(6935,6925,0.002448,0.014359),(6935,6935,0.002513,0.01432),(6935,6945,0.002575,0.01428),(6935,6955,0.002636,0.014241),(6935,6965,0.002697,0.0142),(6935,6975,0.002757,0.014158),(6935,6985,0.002815,0.014117),(6945,5,-9e-06,-1.2908),(6945,15,-2.8e-05,-1.2907),(6945,25,-4e-05,-1.2906),(6945,35,-4.4e-05,-1.2905),(6945,45,-4.8e-05,-1.2904),(6945,55,-5.1e-05,-1.2903),(6945,65,-6.5e-05,-1.2903),(6945,75,-8.6e-05,-1.2903),(6945,85,-0.000106,-1.2902),(6945,95,-0.000127,-1.2902),(6945,105,-0.000141,-1.2901),(6945,115,-0.00015,-1.2901),(6945,125,-0.00016,-1.29),(6945,135,-0.000169,-1.2899),(6945,145,-0.000189,-1.2898),(6945,155,-0.000215,-1.2898),(6945,165,-0.00024,-1.2897),(6945,175,-0.000266,-1.2896),(6945,185,-0.000284,-1.2895),(6945,195,-0.000299,-1.2894),(6945,205,-0.000314,-1.2892),(6945,215,-0.000328,-1.2891),(6945,225,-0.000339,-1.289),(6945,235,-0.000348,-1.2888),(6945,245,-0.000358,-1.2887),(6945,255,-0.000367,-1.2886),(6945,265,-0.000359,-1.2884),(6945,275,-0.000345,-1.2883),(6945,285,-0.000332,-1.2882),(6945,295,-0.000318,-1.288),(6945,305,-0.000299,-1.2878),(6945,315,-0.000278,-1.2877),(6945,325,-0.000257,-1.2875),(6945,335,-0.000235,-1.2874),(6945,345,-0.000206,-1.2873),(6945,355,-0.000174,-1.2871),(6945,365,-0.000142,-1.287),(6945,375,-0.000111,-1.2868),(6945,385,-0.000106,-1.2866),(6945,395,-0.000105,-1.2865),(6945,405,-0.000104,-1.2862),(6945,415,-0.000103,-1.286),(6945,425,-0.000163,-1.2858),(6945,435,-0.000227,-1.2856),(6945,445,-0.000292,-1.2852),(6945,455,-0.000357,-1.2849),(6945,465,-0.000425,-1.2846),(6945,475,-0.000493,-1.2842),(6945,485,-0.000561,-1.2839),(6945,495,-0.000628,-1.2836),(6945,505,-0.000663,-1.2833),(6945,515,-0.000697,-1.2831),(6945,525,-0.000732,-1.2827),(6945,535,-0.000765,-1.2824),(6945,545,-0.00076,-1.2821),(6945,555,-0.000755,-1.2818),(6945,565,-0.000751,-1.2815),(6945,575,-0.000743,-1.2812),(6945,585,-0.000707,-1.2809),(6945,595,-0.00067,-1.2807),(6945,605,-0.000633,-1.2803),(6945,615,-0.000597,-1.28),(6945,625,-0.000569,-1.2797),(6945,635,-0.00054,-1.2794),(6945,645,-0.000511,-1.2791),(6945,655,-0.000484,-1.2787),(6945,665,-0.000469,-1.2784),(6945,675,-0.000455,-1.2781),(6945,685,-0.00044,-1.2777),(6945,695,-0.000434,-1.2774),(6945,705,-0.000465,-1.2771),(6945,715,-0.000495,-1.2767),(6945,725,-0.000526,-1.2763),(6945,735,-0.000563,-1.2758),(6945,745,-0.000621,-1.2754),(6945,755,-0.000678,-1.2749),(6945,765,-0.000736,-1.2745),(6945,775,-0.000775,-1.274),(6945,785,-0.000762,-1.2735),(6945,795,-0.000749,-1.2731),(6945,805,-0.000736,-1.2727),(6945,815,-0.000706,-1.2722),(6945,825,-0.000642,-1.2718),(6945,835,-0.000577,-1.2714),(6945,845,-0.000512,-1.271),(6945,855,-0.000452,-1.2706),(6945,865,-0.000402,-1.2703),(6945,875,-0.000352,-1.2698),(6945,885,-0.000302,-1.2694),(6945,895,-0.00027,-1.2689),(6945,905,-0.000268,-1.2684),(6945,915,-0.000266,-1.2679),(6945,925,-0.000263,-1.2674),(6945,935,-0.000283,-1.2669),(6945,945,-0.000333,-1.2663),(6945,955,-0.000382,-1.2658),(6945,965,-0.000432,-1.2652),(6945,975,-0.000493,-1.2646),(6945,985,-0.000568,-1.264),(6945,995,-0.000642,-1.2634),(6945,1005,-0.000717,-1.2629),(6945,1015,-0.000806,-1.2623),(6945,1025,-0.000908,-1.2617),(6945,1035,-0.001011,-1.2611),(6945,1045,-0.001113,-1.2605),(6945,1055,-0.001258,-1.2599),(6945,1065,-0.001436,-1.2593),(6945,1075,-0.001615,-1.2588),(6945,1085,-0.001793,-1.2583),(6945,1095,-0.002109,-1.2577),(6945,1105,-0.002521,-1.2572),(6945,1115,-0.002933,-1.2567),(6945,1125,-0.003345,-1.2562),(6945,1135,-0.004091,-1.2557),(6945,1145,-0.005035,-1.2552),(6945,1155,-0.005979,-1.2546),(6945,1165,-0.006922,-1.254),(6945,1175,-0.00862,-1.2534),(6945,1185,-0.010692,-1.2528),(6945,1195,-0.012765,-1.2521),(6945,1205,-0.014837,-1.2512),(6945,1215,-0.018324,-1.2504),(6945,1225,-0.022395,-1.2495),(6945,1235,-0.026465,-1.2479),(6945,1245,-0.030536,-1.246),(6945,1255,-0.036457,-1.2441),(6945,1265,-0.043004,-1.2422),(6945,1275,-0.049551,-1.2375),(6945,1285,-0.056098,-1.232),(6945,1295,-0.054522,-1.2265),(6945,1305,-0.050748,-1.2211),(6945,1315,-0.046974,-1.2149),(6945,1325,-0.043201,-1.2086),(6945,1335,-0.026578,-1.2023),(6945,1345,-0.007263,-1.196),(6945,1355,0.012053,-1.1995),(6945,1365,0.031369,-1.2048),(6945,1375,0.040268,-1.2101),(6945,1385,0.04756,-1.2154),(6945,1395,0.054852,-1.221),(6945,1405,0.062143,-1.2267),(6945,1415,0.056542,-1.2324),(6945,1425,0.049602,-1.2381),(6945,1435,0.042662,-1.2401),(6945,1445,0.035722,-1.2418),(6945,1455,0.031248,-1.2435),(6945,1465,0.026915,-1.2452),(6945,1475,0.022582,-1.2457),(6945,1485,0.01825,-1.2461),(6945,1495,0.015992,-1.2465),(6945,1505,0.013765,-1.2469),(6945,1515,0.011538,-1.2471),(6945,1525,0.00934,-1.2473),(6945,1535,0.008284,-1.2475),(6945,1545,0.007228,-1.2477),(6945,1555,0.006173,-1.2479),(6945,1565,0.00515,-1.2481),(6945,1575,0.004605,-1.2482),(6945,1585,0.004059,-1.2484),(6945,1595,0.003514,-1.2486),(6945,1605,0.003,-1.2487),(6945,1615,0.002758,-1.2488),(6945,1625,0.002516,-1.249),(6945,1635,0.002274,-1.2492),(6945,1645,0.002054,-1.2494),(6945,1655,0.001961,-1.2496),(6945,1665,0.001869,-1.2498),(6945,1675,0.001777,-1.25),(6945,1685,0.001698,-1.2501),(6945,1695,0.001681,-1.2503),(6945,1705,0.001663,-1.2505),(6945,1715,0.001645,-1.2506),(6945,1725,0.001637,-1.2506),(6945,1735,0.001661,-1.2507),(6945,1745,0.001684,-1.2508),(6945,1755,0.001708,-1.251),(6945,1765,0.001728,-1.2511),(6945,1775,0.001739,-1.2512),(6945,1785,0.001749,-1.2513),(6945,1795,0.001759,-1.2513),(6945,1805,0.001758,-1.2512),(6945,1815,0.001732,-1.2512),(6945,1825,0.001707,-1.2512),(6945,1835,0.001681,-1.2512),(6945,1845,0.001641,-1.2512),(6945,1855,0.001575,-1.2512),(6945,1865,0.001508,-1.2512),(6945,1875,0.001442,-1.2512),(6945,1885,0.001389,-1.2511),(6945,1895,0.001358,-1.251),(6945,1905,0.001328,-1.251),(6945,1915,0.001297,-1.2509),(6945,1925,0.001302,-1.2509),(6945,1935,0.001355,-1.2508),(6945,1945,0.001409,-1.2508),(6945,1955,0.001462,-1.2509),(6945,1965,0.001495,-1.2509),(6945,1975,0.001504,-1.2509),(6945,1985,0.001513,-1.2509),(6945,1995,0.001522,-1.2507),(6945,2005,0.001516,-1.2505),(6945,2015,0.001494,-1.2504),(6945,2025,0.001472,-1.2502),(6945,2035,0.00145,-1.2501),(6945,2045,0.001455,-1.25),(6945,2055,0.001484,-1.2498),(6945,2065,0.001512,-1.2497),(6945,2075,0.001541,-1.2496),(6945,2085,0.001532,-1.2495),(6945,2095,0.001497,-1.2495),(6945,2105,0.001461,-1.2492),(6945,2115,0.001426,-1.2489),(6945,2125,0.001372,-1.2486),(6945,2135,0.001307,-1.2483),(6945,2145,0.001242,-1.2481),(6945,2155,0.001177,-1.2478),(6945,2165,0.001171,-1.2476),(6945,2175,0.001195,-1.2474),(6945,2185,0.00122,-1.2472),(6945,2195,0.001244,-1.247),(6945,2205,0.001274,-1.2469),(6945,2215,0.001305,-1.2467),(6945,2225,0.001337,-1.2464),(6945,2235,0.001369,-1.2461),(6945,2245,0.001392,-1.2458),(6945,2255,0.001414,-1.2454),(6945,2265,0.001435,-1.2451),(6945,2275,0.001456,-1.2448),(6945,2285,0.001503,-1.2445),(6945,2295,0.001558,-1.2443),(6945,2305,0.001613,-1.244),(6945,2315,0.001667,-1.2437),(6945,2325,0.001675,-1.2434),(6945,2335,0.001673,-1.2431),(6945,2345,0.00167,-1.2427),(6945,2355,0.001668,-1.2423),(6945,2365,0.001616,-1.2419),(6945,2375,0.001556,-1.2414),(6945,2385,0.001496,-1.241),(6945,2395,0.001436,-1.2405),(6945,2405,0.001404,-1.2401),(6945,2415,0.001377,-1.2396),(6945,2425,0.001349,-1.2392),(6945,2435,0.001321,-1.2388),(6945,2445,0.001316,-1.2383),(6945,2455,0.001312,-1.2379),(6945,2465,0.001308,-1.2374),(6945,2475,0.001305,-1.237),(6945,2485,0.001302,-1.2365),(6945,2495,0.001299,-1.236),(6945,2505,0.001296,-1.2356),(6945,2515,0.001294,-1.2352),(6945,2525,0.001304,-1.2347),(6945,2535,0.001314,-1.2343),(6945,2545,0.001325,-1.2337),(6945,2555,0.001336,-1.2332),(6945,2565,0.001358,-1.2327),(6945,2575,0.001381,-1.2322),(6945,2585,0.001404,-1.2316),(6945,2595,0.001426,-1.2311),(6945,2605,0.001436,-1.2305),(6945,2615,0.001446,-1.2299),(6945,2625,0.001456,-1.2293),(6945,2635,0.001461,-1.2288),(6945,2645,0.00143,-1.2282),(6945,2655,0.0014,-1.2276),(6945,2665,0.001369,-1.2269),(6945,2675,0.001338,-1.2262),(6945,2685,0.0013,-1.2256),(6945,2695,0.001262,-1.2249),(6945,2705,0.001224,-1.2242),(6945,2715,0.001192,-1.2235),(6945,2725,0.00118,-1.2229),(6945,2735,0.001169,-1.2222),(6945,2745,0.001157,-1.2215),(6945,2755,0.001149,-1.2209),(6945,2765,0.001152,-1.2202),(6945,2775,0.001154,-1.2195),(6945,2785,0.001157,-1.2188),(6945,2795,0.001161,-1.2181),(6945,2805,0.001169,-1.2173),(6945,2815,0.001176,-1.2166),(6945,2825,0.001183,-1.2159),(6945,2835,0.001188,-1.2151),(6945,2845,0.00119,-1.2144),(6945,2855,0.001192,-1.2136),(6945,2865,0.001193,-1.2129),(6945,2875,0.001182,-1.2121),(6945,2885,0.001147,-1.2113),(6945,2895,0.001113,-1.2105),(6945,2905,0.001079,-1.2096),(6945,2915,0.001043,-1.2087),(6945,2925,0.001003,-1.2078),(6945,2935,0.000964,-1.2069),(6945,2945,0.000924,-1.206),(6945,2955,0.000899,-1.2051),(6945,2965,0.000893,-1.2042),(6945,2975,0.000886,-1.2034),(6945,2985,0.000879,-1.2025),(6945,2995,0.000876,-1.2016),(6945,3005,0.000877,-1.2007),(6945,3015,0.000878,-1.1999),(6945,3025,0.000879,-1.199),(6945,3035,0.000891,-1.1982),(6945,3045,0.000913,-1.1973),(6945,3055,0.000934,-1.1964),(6945,3065,0.000956,-1.1955),(6945,3075,0.000991,-1.1947),(6945,3085,0.001036,-1.1938),(6945,3095,0.001082,-1.1928),(6945,3105,0.001127,-1.1918),(6945,3115,0.001152,-1.1908),(6945,3125,0.001164,-1.1898),(6945,3135,0.001176,-1.1888),(6945,3145,0.001188,-1.1877),(6945,3155,0.001166,-1.1867),(6945,3165,0.001125,-1.1857),(6945,3175,0.001085,-1.1846),(6945,3185,0.001044,-1.1835),(6945,3195,0.000984,-1.1824),(6945,3205,0.000916,-1.1814),(6945,3215,0.000848,-1.1802),(6945,3225,0.000779,-1.1791),(6945,3235,0.00074,-1.178),(6945,3245,0.000712,-1.1769),(6945,3255,0.000684,-1.1758),(6945,3265,0.000656,-1.1748),(6945,3275,0.000682,-1.1737),(6945,3285,0.000724,-1.1727),(6945,3295,0.000766,-1.1716),(6945,3305,0.000809,-1.1705),(6945,3315,0.00087,-1.1694),(6945,3325,0.000936,-1.1683),(6945,3335,0.001002,-1.1672),(6945,3345,0.001069,-1.166),(6945,3355,0.00112,-1.1649),(6945,3365,0.00117,-1.1638),(6945,3375,0.001219,-1.1626),(6945,3385,0.001268,-1.1614),(6945,3395,0.001285,-1.1602),(6945,3405,0.001297,-1.159),(6945,3415,0.001309,-1.1578),(6945,3425,0.001322,-1.1566),(6945,3435,0.001309,-1.1554),(6945,3445,0.001295,-1.1542),(6945,3455,0.00128,-1.1529),(6945,3465,0.001265,-1.1516),(6945,3475,0.00124,-1.1504),(6945,3485,0.001215,-1.1491),(6945,3495,0.001189,-1.1477),(6945,3505,0.001163,-1.1464),(6945,3515,0.001143,-1.1451),(6945,3525,0.001123,-1.1437),(6945,3535,0.001102,-1.1424),(6945,3545,0.001083,-1.1411),(6945,3555,0.001085,-1.1398),(6945,3565,0.001087,-1.1385),(6945,3575,0.001089,-1.1371),(6945,3585,0.001094,-1.1357),(6945,3595,0.001137,-1.1344),(6945,3605,0.001179,-1.133),(6945,3615,0.001222,-1.1317),(6945,3625,0.001265,-1.1303),(6945,3635,0.001309,-1.129),(6945,3645,0.001354,-1.1277),(6945,3655,0.001399,-1.1262),(6945,3665,0.001432,-1.1248),(6945,3675,0.00141,-1.1233),(6945,3685,0.001388,-1.1219),(6945,3695,0.001367,-1.1205),(6945,3705,0.001325,-1.1191),(6945,3715,0.001205,-1.1178),(6945,3725,0.001085,-1.1164),(6945,3735,0.000965,-1.1148),(6945,3745,0.000816,-1.1133),(6945,3755,0.000576,-1.1117),(6945,3765,0.000336,-1.1102),(6945,3775,9.6e-05,-1.1088),(6945,3785,-0.00021,-1.1074),(6945,3795,-0.000682,-1.1059),(6945,3805,-0.001155,-1.1044),(6945,3815,-0.001628,-1.1028),(6945,3825,-0.002234,-1.1012),(6945,3835,-0.003121,-1.0996),(6945,3845,-0.004009,-1.098),(6945,3855,-0.004897,-1.0966),(6945,3865,-0.006075,-1.0951),(6945,3875,-0.007768,-1.0936),(6945,3885,-0.009461,-1.092),(6945,3895,-0.011154,-1.0901),(6945,3905,-0.013396,-1.0882),(6945,3915,-0.016459,-1.0863),(6945,3925,-0.019522,-1.084),(6945,3935,-0.022585,-1.0813),(6945,3945,-0.026265,-1.0785),(6945,3955,-0.030728,-1.0758),(6945,3965,-0.035191,-1.0718),(6945,3975,-0.039654,-1.0663),(6945,3985,-0.042222,-1.0608),(6945,3995,-0.042739,-1.0553),(6945,4005,-0.043256,-1.0488),(6945,4015,-0.043773,-1.0413),(6945,4025,0.029046,-1.0338),(6945,4035,0.10904,-1.0285),(6945,4045,0.18903,-1.0277),(6945,4055,0.23981,-1.0269),(6945,4065,0.27993,-1.0261),(6945,4075,0.32004,-1.0247),(6945,4085,0.33813,-1.0233),(6945,4095,0.33853,-1.0219),(6945,4105,0.33892,-1.0204),(6945,4115,0.33927,-1.0189),(6945,4125,0.33956,-1.0174),(6945,4135,0.33985,-1.0159),(6945,4145,0.34013,-1.0143),(6945,4155,0.34034,-1.0127),(6945,4165,0.34055,-1.0112),(6945,4175,0.34076,-1.0096),(6945,4185,0.34093,-1.008),(6945,4195,0.34109,-1.0064),(6945,4205,0.34126,-1.0048),(6945,4215,0.3414,-1.0031),(6945,4225,0.34155,-1.0014),(6945,4235,0.34169,-0.9996),(6945,4245,0.34182,-0.99777),(6945,4255,0.34195,-0.99593),(6945,4265,0.34208,-0.99402),(6945,4275,0.3422,-0.99212),(6945,4285,0.34231,-0.99021),(6945,4295,0.34243,-0.98821),(6945,4305,0.34254,-0.98621),(6945,4315,0.34263,-0.98421),(6945,4325,0.34273,-0.98212),(6945,4335,0.34282,-0.98001),(6945,4345,0.34291,-0.97789),(6945,4355,0.34299,-0.97571),(6945,4365,0.34307,-0.97347),(6945,4375,0.34315,-0.97123),(6945,4385,0.34323,-0.96896),(6945,4395,0.34332,-0.96664),(6945,4405,0.34342,-0.96431),(6945,4415,0.34352,-0.96196),(6945,4425,0.34362,-0.95948),(6945,4435,0.34375,-0.95701),(6945,4445,0.34389,-0.95453),(6945,4455,0.34403,-0.95197),(6945,4465,0.34419,-0.9494),(6945,4475,0.34439,-0.94684),(6945,4485,0.34459,-0.94422),(6945,4495,0.3448,-0.94159),(6945,4505,0.34506,-0.93895),(6945,4515,0.34531,-0.93627),(6945,4525,0.34557,-0.93356),(6945,4535,0.34587,-0.93085),(6945,4545,0.34616,-0.9281),(6945,4555,0.34646,-0.92532),(6945,4565,0.34679,-0.92253),(6945,4575,0.34712,-0.91971),(6945,4585,0.34745,-0.9168),(6945,4595,0.34781,-0.91389),(6945,4605,0.34816,-0.91097),(6945,4615,0.34852,-0.90796),(6945,4625,0.3489,-0.90496),(6945,4635,0.3493,-0.90196),(6945,4645,0.34969,-0.8989),(6945,4655,0.3501,-0.89584),(6945,4665,0.35053,-0.89277),(6945,4675,0.35096,-0.88967),(6945,4685,0.3514,-0.88654),(6945,4695,0.35187,-0.88342),(6945,4705,0.35235,-0.88023),(6945,4715,0.35282,-0.877),(6945,4725,0.35333,-0.87377),(6945,4735,0.35385,-0.87051),(6945,4745,0.35437,-0.86718),(6945,4755,0.35491,-0.86386),(6945,4765,0.35545,-0.86051),(6945,4775,0.356,-0.8571),(6945,4785,0.35655,-0.85369),(6945,4795,0.35712,-0.85028),(6945,4805,0.35768,-0.84679),(6945,4815,0.35826,-0.84331),(6945,4825,0.35886,-0.83982),(6945,4835,0.35945,-0.8363),(6945,4845,0.36007,-0.83276),(6945,4855,0.36072,-0.82923),(6945,4865,0.36138,-0.82565),(6945,4875,0.36203,-0.82205),(6945,4885,0.36272,-0.81845),(6945,4895,0.3634,-0.81482),(6945,4905,0.36409,-0.81115),(6945,4915,0.3648,-0.80748),(6945,4925,0.36551,-0.8038),(6945,4935,0.36622,-0.80009),(6945,4945,0.36697,-0.79638),(6945,4955,0.36772,-0.79267),(6945,4965,0.36848,-0.78895),(6945,4975,0.36924,-0.78522),(6945,4985,0.37001,-0.7815),(6945,4995,0.37077,-0.77767),(6945,5005,0.37154,-0.77384),(6945,5015,0.37228,-0.77001),(6945,5025,0.37303,-0.76608),(6945,5035,0.37378,-0.76214),(6945,5045,0.37452,-0.75819),(6945,5055,0.37526,-0.75421),(6945,5065,0.37601,-0.7502),(6945,5075,0.37679,-0.74619),(6945,5085,0.37757,-0.74216),(6945,5095,0.37835,-0.73811),(6945,5105,0.37918,-0.73405),(6945,5115,0.38001,-0.72998),(6945,5125,0.38085,-0.72588),(6945,5135,0.3817,-0.72177),(6945,5145,0.38256,-0.71766),(6945,5155,0.38342,-0.71346),(6945,5165,0.38427,-0.70926),(6945,5175,0.38513,-0.70507),(6945,5185,0.38598,-0.70081),(6945,5195,0.38683,-0.69655),(6945,5205,0.38768,-0.69229),(6945,5215,0.38853,-0.688),(6945,5225,0.38938,-0.6837),(6945,5235,0.39023,-0.67941),(6945,5245,0.39108,-0.67509),(6945,5255,0.39192,-0.67075),(6945,5265,0.39277,-0.66641),(6945,5275,0.39361,-0.66206),(6945,5285,0.39446,-0.65768),(6945,5295,0.39532,-0.65331),(6945,5305,0.39618,-0.64892),(6945,5315,0.39704,-0.64448),(6945,5325,0.39793,-0.64005),(6945,5335,0.39882,-0.63561),(6945,5345,0.39972,-0.63115),(6945,5355,0.40063,-0.62669),(6945,5365,0.40154,-0.62223),(6945,5375,0.40246,-0.61772),(6945,5385,0.40338,-0.61319),(6945,5395,0.40429,-0.60867),(6945,5405,0.40521,-0.60407),(6945,5415,0.40612,-0.59945),(6945,5425,0.40702,-0.59482),(6945,5435,0.40791,-0.59017),(6945,5445,0.4088,-0.58549),(6945,5455,0.4097,-0.58081),(6945,5465,0.41059,-0.57612),(6945,5475,0.41148,-0.57141),(6945,5485,0.41237,-0.5667),(6945,5495,0.41326,-0.56198),(6945,5505,0.41415,-0.55722),(6945,5515,0.41504,-0.55247),(6945,5525,0.41591,-0.54771),(6945,5535,0.41679,-0.5429),(6945,5545,0.41767,-0.53808),(6945,5555,0.41854,-0.53327),(6945,5565,0.41941,-0.52843),(6945,5575,0.42028,-0.52358),(6945,5585,0.42115,-0.51874),(6945,5595,0.42202,-0.51389),(6945,5605,0.42289,-0.50904),(6945,5615,0.42376,-0.50419),(6945,5625,0.42463,-0.49931),(6945,5635,0.42549,-0.49439),(6945,5645,0.42635,-0.48947),(6945,5655,0.42719,-0.48454),(6945,5665,0.42804,-0.47958),(6945,5675,0.42889,-0.47463),(6945,5685,0.42972,-0.46968),(6945,5695,0.43056,-0.46472),(6945,5705,0.4314,-0.45977),(6945,5715,0.43224,-0.45481),(6945,5725,0.43308,-0.44984),(6945,5735,0.43391,-0.44486),(6945,5745,0.43471,-0.43989),(6945,5755,0.43552,-0.43487),(6945,5765,0.43633,-0.42984),(6945,5775,0.43712,-0.42481),(6945,5785,0.43792,-0.41977),(6945,5795,0.43871,-0.41471),(6945,5805,0.43949,-0.40965),(6945,5815,0.44027,-0.40458),(6945,5825,0.44104,-0.39948),(6945,5835,0.44181,-0.39438),(6945,5845,0.44256,-0.38927),(6945,5855,0.44332,-0.38413),(6945,5865,0.44406,-0.37898),(6945,5875,0.44479,-0.37383),(6945,5885,0.44552,-0.36867),(6945,5895,0.44623,-0.36351),(6945,5905,0.44694,-0.35835),(6945,5915,0.44764,-0.35317),(6945,5925,0.44834,-0.34798),(6945,5935,0.44901,-0.34279),(6945,5945,0.44969,-0.33757),(6945,5955,0.45037,-0.33234),(6945,5965,0.45104,-0.32711),(6945,5975,0.45171,-0.32187),(6945,5985,0.45238,-0.31663),(6945,5995,0.45304,-0.31139),(6945,6005,0.45369,-0.30614),(6945,6015,0.45435,-0.3009),(6945,6025,0.45501,-0.29566),(6945,6035,0.45566,-0.29042),(6945,6045,0.45631,-0.28517),(6945,6055,0.45696,-0.27991),(6945,6065,0.4576,-0.27465),(6945,6075,0.45824,-0.2694),(6945,6085,0.45886,-0.26415),(6945,6095,0.45945,-0.2589),(6945,6105,0.46005,-0.25361),(6945,6115,0.46063,-0.24829),(6945,6125,0.46117,-0.24298),(6945,6135,0.4617,-0.23761),(6945,6145,0.46223,-0.23221),(6945,6155,0.46276,-0.22681),(6945,6165,0.46329,-0.22145),(6945,6175,0.46381,-0.21616),(6945,6185,0.46435,-0.21087),(6945,6195,0.4649,-0.20559),(6945,6205,0.46544,-0.20033),(6945,6215,0.46597,-0.19506),(6945,6225,0.46648,-0.1898),(6945,6235,0.467,-0.18437),(6945,6245,0.46751,-0.17894),(6945,6255,0.46799,-0.17351),(6945,6265,0.46848,-0.16812),(6945,6275,0.46895,-0.16275),(6945,6285,0.4694,-0.15738),(6945,6295,0.46984,-0.15202),(6945,6305,0.47028,-0.14667),(6945,6315,0.47066,-0.14132),(6945,6325,0.47103,-0.13597),(6945,6335,0.47141,-0.13064),(6945,6345,0.47174,-0.1253),(6945,6355,0.47206,-0.11996),(6945,6365,0.47239,-0.1146),(6945,6375,0.47268,-0.10924),(6945,6385,0.47297,-0.10386),(6945,6395,0.47325,-0.098334),(6945,6405,0.47353,-0.092806),(6945,6415,0.47381,-0.087279),(6945,6425,0.47408,-0.08201),(6945,6435,0.47435,-0.076752),(6945,6445,0.47462,-0.071495),(6945,6455,0.47488,-0.066193),(6945,6465,0.47513,-0.060878),(6945,6475,0.47533,-0.055562),(6945,6485,0.47553,-0.050169),(6945,6495,0.47573,-0.044724),(6945,6505,0.47588,-0.039278),(6945,6515,0.47603,-0.033839),(6945,6525,0.47619,-0.028408),(6945,6535,0.47637,-0.022977),(6945,6545,0.47655,-0.017582),(6945,6555,0.47673,-0.012298),(6945,6565,0.47688,-0.007014),(6945,6575,0.477,-0.001734),(6945,6585,0.47712,0.003486),(6945,6595,0.40585,0.008707),(6945,6605,0.25575,0.013927),(6945,6615,0.10564,0.014673),(6945,6625,0.000148,0.014845),(6945,6635,0.000233,0.015016),(6945,6645,0.000318,0.015063),(6945,6655,0.000403,0.015059),(6945,6665,0.000488,0.015055),(6945,6675,0.000573,0.015049),(6945,6685,0.000657,0.01504),(6945,6695,0.000741,0.015031),(6945,6705,0.000825,0.01502),(6945,6715,0.000908,0.015006),(6945,6725,0.000991,0.014992),(6945,6735,0.001073,0.014977),(6945,6745,0.001155,0.014958),(6945,6755,0.001236,0.01494),(6945,6765,0.001316,0.014921),(6945,6775,0.001396,0.014897),(6945,6785,0.001475,0.014874),(6945,6795,0.001552,0.014851),(6945,6805,0.00163,0.014824),(6945,6815,0.001707,0.014796),(6945,6825,0.001782,0.014769),(6945,6835,0.001857,0.014739),(6945,6845,0.001931,0.014707),(6945,6855,0.002003,0.014676),(6945,6865,0.002075,0.014643),(6945,6875,0.002147,0.014608),(6945,6885,0.002216,0.014574),(6945,6895,0.002284,0.014538),(6945,6905,0.002353,0.0145),(6945,6915,0.002419,0.014462),(6945,6925,0.002484,0.014424),(6945,6935,0.002549,0.014384),(6945,6945,0.002612,0.014344),(6945,6955,0.002674,0.014303),(6945,6965,0.002736,0.014261),(6945,6975,0.002796,0.014218),(6945,6985,0.002854,0.014175),(6955,5,-9e-06,-1.2908),(6955,15,-2.6e-05,-1.2907),(6955,25,-3.6e-05,-1.2906),(6955,35,-4.1e-05,-1.2905),(6955,45,-4.5e-05,-1.2904),(6955,55,-5e-05,-1.2904),(6955,65,-6.5e-05,-1.2903),(6955,75,-8.8e-05,-1.2903),(6955,85,-0.000111,-1.2902),(6955,95,-0.000134,-1.2902),(6955,105,-0.000147,-1.2901),(6955,115,-0.000154,-1.2901),(6955,125,-0.000161,-1.29),(6955,135,-0.000167,-1.2899),(6955,145,-0.000184,-1.2899),(6955,155,-0.000207,-1.2898),(6955,165,-0.000229,-1.2897),(6955,175,-0.000252,-1.2896),(6955,185,-0.00027,-1.2895),(6955,195,-0.000286,-1.2894),(6955,205,-0.000301,-1.2893),(6955,215,-0.000317,-1.2891),(6955,225,-0.000332,-1.289),(6955,235,-0.000346,-1.2888),(6955,245,-0.000361,-1.2887),(6955,255,-0.000375,-1.2886),(6955,265,-0.000373,-1.2884),(6955,275,-0.000365,-1.2883),(6955,285,-0.000358,-1.2882),(6955,295,-0.00035,-1.288),(6955,305,-0.000337,-1.2878),(6955,315,-0.000322,-1.2877),(6955,325,-0.000307,-1.2875),(6955,335,-0.000293,-1.2874),(6955,345,-0.000262,-1.2872),(6955,355,-0.000229,-1.2871),(6955,365,-0.000196,-1.2869),(6955,375,-0.000163,-1.2868),(6955,385,-0.000147,-1.2866),(6955,395,-0.000132,-1.2864),(6955,405,-0.000118,-1.2862),(6955,415,-0.000104,-1.286),(6955,425,-0.000151,-1.2858),(6955,435,-0.000205,-1.2856),(6955,445,-0.000259,-1.2853),(6955,455,-0.000312,-1.285),(6955,465,-0.00038,-1.2846),(6955,475,-0.000449,-1.2843),(6955,485,-0.000518,-1.284),(6955,495,-0.000587,-1.2837),(6955,505,-0.000631,-1.2834),(6955,515,-0.000674,-1.2831),(6955,525,-0.000717,-1.2828),(6955,535,-0.000759,-1.2825),(6955,545,-0.000768,-1.2822),(6955,555,-0.000777,-1.2818),(6955,565,-0.000786,-1.2815),(6955,575,-0.000792,-1.2812),(6955,585,-0.000763,-1.2809),(6955,595,-0.000735,-1.2806),(6955,605,-0.000707,-1.2803),(6955,615,-0.000679,-1.28),(6955,625,-0.00065,-1.2797),(6955,635,-0.000622,-1.2793),(6955,645,-0.000593,-1.279),(6955,655,-0.000566,-1.2787),(6955,665,-0.000544,-1.2784),(6955,675,-0.000523,-1.278),(6955,685,-0.000502,-1.2777),(6955,695,-0.000488,-1.2774),(6955,705,-0.000508,-1.2771),(6955,715,-0.000527,-1.2767),(6955,725,-0.000547,-1.2763),(6955,735,-0.000575,-1.2759),(6955,745,-0.000633,-1.2754),(6955,755,-0.000691,-1.275),(6955,765,-0.000748,-1.2745),(6955,775,-0.00079,-1.274),(6955,785,-0.00079,-1.2735),(6955,795,-0.00079,-1.2731),(6955,805,-0.00079,-1.2726),(6955,815,-0.000772,-1.2722),(6955,825,-0.000714,-1.2718),(6955,835,-0.000656,-1.2714),(6955,845,-0.000598,-1.271),(6955,855,-0.000542,-1.2706),(6955,865,-0.000489,-1.2702),(6955,875,-0.000437,-1.2698),(6955,885,-0.000384,-1.2693),(6955,895,-0.000349,-1.2689),(6955,905,-0.00034,-1.2684),(6955,915,-0.000331,-1.2679),(6955,925,-0.000322,-1.2674),(6955,935,-0.000337,-1.2669),(6955,945,-0.000384,-1.2664),(6955,955,-0.000431,-1.2658),(6955,965,-0.000478,-1.2652),(6955,975,-0.000541,-1.2647),(6955,985,-0.000623,-1.2641),(6955,995,-0.000705,-1.2635),(6955,1005,-0.000787,-1.2629),(6955,1015,-0.000885,-1.2623),(6955,1025,-0.000998,-1.2617),(6955,1035,-0.001111,-1.2612),(6955,1045,-0.001225,-1.2606),(6955,1055,-0.001379,-1.26),(6955,1065,-0.001566,-1.2594),(6955,1075,-0.001753,-1.2589),(6955,1085,-0.00194,-1.2584),(6955,1095,-0.002257,-1.2578),(6955,1105,-0.002664,-1.2573),(6955,1115,-0.003071,-1.2569),(6955,1125,-0.003478,-1.2564),(6955,1135,-0.004212,-1.256),(6955,1145,-0.005139,-1.2555),(6955,1155,-0.006066,-1.2551),(6955,1165,-0.006992,-1.2547),(6955,1175,-0.008691,-1.2542),(6955,1185,-0.010774,-1.2538),(6955,1195,-0.012856,-1.2533),(6955,1205,-0.014938,-1.2527),(6955,1215,-0.018597,-1.2522),(6955,1225,-0.022907,-1.2516),(6955,1235,-0.027216,-1.2504),(6955,1245,-0.031526,-1.2489),(6955,1255,-0.038237,-1.2474),(6955,1265,-0.04576,-1.246),(6955,1275,-0.053282,-1.2414),(6955,1285,-0.060805,-1.2359),(6955,1295,-0.059767,-1.2304),(6955,1305,-0.056415,-1.2249),(6955,1315,-0.053063,-1.218),(6955,1325,-0.04971,-1.2107),(6955,1335,-0.030612,-1.2034),(6955,1345,-0.008215,-1.1961),(6955,1355,0.014183,-1.2003),(6955,1365,0.036581,-1.2065),(6955,1375,0.045915,-1.2128),(6955,1385,0.053233,-1.219),(6955,1395,0.060552,-1.2249),(6955,1405,0.067871,-1.2307),(6955,1415,0.061248,-1.2365),(6955,1425,0.053179,-1.2422),(6955,1435,0.045109,-1.2438),(6955,1445,0.037039,-1.245),(6955,1455,0.032225,-1.2463),(6955,1465,0.027598,-1.2475),(6955,1475,0.022971,-1.2477),(6955,1485,0.018344,-1.2478),(6955,1495,0.01605,-1.2479),(6955,1505,0.01379,-1.248),(6955,1515,0.011531,-1.248),(6955,1525,0.009302,-1.2481),(6955,1535,0.008264,-1.2481),(6955,1545,0.007227,-1.2482),(6955,1555,0.006189,-1.2483),(6955,1565,0.005183,-1.2484),(6955,1575,0.00465,-1.2486),(6955,1585,0.004117,-1.2487),(6955,1595,0.003584,-1.2488),(6955,1605,0.00308,-1.2489),(6955,1615,0.002834,-1.249),(6955,1625,0.002588,-1.2491),(6955,1635,0.002341,-1.2493),(6955,1645,0.002116,-1.2495),(6955,1655,0.002019,-1.2497),(6955,1665,0.001922,-1.2499),(6955,1675,0.001824,-1.25),(6955,1685,0.001741,-1.2502),(6955,1695,0.001718,-1.2503),(6955,1705,0.001696,-1.2505),(6955,1715,0.001674,-1.2505),(6955,1725,0.001662,-1.2506),(6955,1735,0.001683,-1.2507),(6955,1745,0.001704,-1.2508),(6955,1755,0.001726,-1.2509),(6955,1765,0.001745,-1.2511),(6955,1775,0.001758,-1.2512),(6955,1785,0.001772,-1.2513),(6955,1795,0.001785,-1.2513),(6955,1805,0.001789,-1.2512),(6955,1815,0.00177,-1.2512),(6955,1825,0.001751,-1.2512),(6955,1835,0.001731,-1.2513),(6955,1845,0.001695,-1.2513),(6955,1855,0.001627,-1.2513),(6955,1865,0.001559,-1.2513),(6955,1875,0.001491,-1.2512),(6955,1885,0.00143,-1.2511),(6955,1895,0.00138,-1.2511),(6955,1905,0.001331,-1.251),(6955,1915,0.001281,-1.2509),(6955,1925,0.001272,-1.2508),(6955,1935,0.001318,-1.2508),(6955,1945,0.001364,-1.2508),(6955,1955,0.00141,-1.2508),(6955,1965,0.001445,-1.2509),(6955,1975,0.001464,-1.2509),(6955,1985,0.001484,-1.2509),(6955,1995,0.001504,-1.2507),(6955,2005,0.001504,-1.2506),(6955,2015,0.001482,-1.2504),(6955,2025,0.001461,-1.2502),(6955,2035,0.00144,-1.2501),(6955,2045,0.001447,-1.25),(6955,2055,0.00148,-1.2498),(6955,2065,0.001512,-1.2497),(6955,2075,0.001545,-1.2496),(6955,2085,0.001546,-1.2496),(6955,2095,0.001526,-1.2495),(6955,2105,0.001505,-1.2493),(6955,2115,0.001484,-1.249),(6955,2125,0.001435,-1.2487),(6955,2135,0.001367,-1.2484),(6955,2145,0.001299,-1.2481),(6955,2155,0.001232,-1.2479),(6955,2165,0.001218,-1.2476),(6955,2175,0.001233,-1.2474),(6955,2185,0.001247,-1.2472),(6955,2195,0.001262,-1.247),(6955,2205,0.001288,-1.2469),(6955,2215,0.001319,-1.2467),(6955,2225,0.001351,-1.2464),(6955,2235,0.001382,-1.2461),(6955,2245,0.001403,-1.2457),(6955,2255,0.001421,-1.2454),(6955,2265,0.001439,-1.2451),(6955,2275,0.001457,-1.2448),(6955,2285,0.001502,-1.2445),(6955,2295,0.001555,-1.2442),(6955,2305,0.001607,-1.2439),(6955,2315,0.00166,-1.2436),(6955,2325,0.001673,-1.2434),(6955,2335,0.001677,-1.2431),(6955,2345,0.00168,-1.2427),(6955,2355,0.001684,-1.2423),(6955,2365,0.001632,-1.2419),(6955,2375,0.00157,-1.2415),(6955,2385,0.001508,-1.241),(6955,2395,0.001447,-1.2406),(6955,2405,0.001407,-1.2401),(6955,2415,0.00137,-1.2397),(6955,2425,0.001332,-1.2392),(6955,2435,0.001295,-1.2388),(6955,2445,0.001286,-1.2383),(6955,2455,0.001279,-1.2379),(6955,2465,0.001272,-1.2374),(6955,2475,0.001264,-1.237),(6955,2485,0.00126,-1.2365),(6955,2495,0.001257,-1.2361),(6955,2505,0.001253,-1.2356),(6955,2515,0.001249,-1.2352),(6955,2525,0.001254,-1.2347),(6955,2535,0.001259,-1.2343),(6955,2545,0.001264,-1.2337),(6955,2555,0.00127,-1.2332),(6955,2565,0.00129,-1.2327),(6955,2575,0.001309,-1.2322),(6955,2585,0.001328,-1.2316),(6955,2595,0.001347,-1.231),(6955,2605,0.001362,-1.2305),(6955,2615,0.001378,-1.2299),(6955,2625,0.001393,-1.2293),(6955,2635,0.001403,-1.2288),(6955,2645,0.00138,-1.2282),(6955,2655,0.001358,-1.2276),(6955,2665,0.001336,-1.2269),(6955,2675,0.00131,-1.2263),(6955,2685,0.001271,-1.2256),(6955,2695,0.001232,-1.2249),(6955,2705,0.001193,-1.2243),(6955,2715,0.001159,-1.2236),(6955,2725,0.001143,-1.2229),(6955,2735,0.001127,-1.2222),(6955,2745,0.001111,-1.2215),(6955,2755,0.001099,-1.2209),(6955,2765,0.001099,-1.2202),(6955,2775,0.001099,-1.2195),(6955,2785,0.001099,-1.2188),(6955,2795,0.001101,-1.2181),(6955,2805,0.001108,-1.2173),(6955,2815,0.001115,-1.2166),(6955,2825,0.001122,-1.2159),(6955,2835,0.001129,-1.2151),(6955,2845,0.001136,-1.2144),(6955,2855,0.001142,-1.2136),(6955,2865,0.001149,-1.2129),(6955,2875,0.001142,-1.2121),(6955,2885,0.001112,-1.2113),(6955,2895,0.001082,-1.2105),(6955,2905,0.001053,-1.2096),(6955,2915,0.001017,-1.2088),(6955,2925,0.000974,-1.2079),(6955,2935,0.000931,-1.207),(6955,2945,0.000888,-1.2061),(6955,2955,0.00086,-1.2052),(6955,2965,0.000849,-1.2043),(6955,2975,0.000839,-1.2034),(6955,2985,0.000828,-1.2025),(6955,2995,0.000823,-1.2016),(6955,3005,0.000822,-1.2007),(6955,3015,0.000821,-1.1999),(6955,3025,0.00082,-1.199),(6955,3035,0.000828,-1.1982),(6955,3045,0.000845,-1.1973),(6955,3055,0.000861,-1.1964),(6955,3065,0.000877,-1.1955),(6955,3075,0.000908,-1.1946),(6955,3085,0.00095,-1.1937),(6955,3095,0.000992,-1.1928),(6955,3105,0.001034,-1.1918),(6955,3115,0.001064,-1.1908),(6955,3125,0.001084,-1.1898),(6955,3135,0.001105,-1.1888),(6955,3145,0.001126,-1.1877),(6955,3155,0.001114,-1.1867),(6955,3165,0.001084,-1.1857),(6955,3175,0.001054,-1.1846),(6955,3185,0.001024,-1.1836),(6955,3195,0.000967,-1.1825),(6955,3205,0.000898,-1.1814),(6955,3215,0.00083,-1.1803),(6955,3225,0.000761,-1.1792),(6955,3235,0.000712,-1.178),(6955,3245,0.00067,-1.1769),(6955,3255,0.000628,-1.1758),(6955,3265,0.000587,-1.1748),(6955,3275,0.000599,-1.1737),(6955,3285,0.000627,-1.1726),(6955,3295,0.000655,-1.1715),(6955,3305,0.000683,-1.1704),(6955,3315,0.000739,-1.1693),(6955,3325,0.000802,-1.1682),(6955,3335,0.000865,-1.1671),(6955,3345,0.000928,-1.166),(6955,3355,0.000985,-1.1648),(6955,3365,0.001041,-1.1637),(6955,3375,0.001097,-1.1625),(6955,3385,0.001153,-1.1614),(6955,3395,0.00118,-1.1602),(6955,3405,0.001203,-1.159),(6955,3415,0.001226,-1.1578),(6955,3425,0.001249,-1.1566),(6955,3435,0.001241,-1.1554),(6955,3445,0.00123,-1.1542),(6955,3455,0.001219,-1.153),(6955,3465,0.001208,-1.1517),(6955,3475,0.001181,-1.1504),(6955,3485,0.001154,-1.1491),(6955,3495,0.001127,-1.1478),(6955,3505,0.0011,-1.1464),(6955,3515,0.001078,-1.1451),(6955,3525,0.001056,-1.1437),(6955,3535,0.001033,-1.1424),(6955,3545,0.001011,-1.1411),(6955,3555,0.001001,-1.1398),(6955,3565,0.000991,-1.1385),(6955,3575,0.000981,-1.1371),(6955,3585,0.000974,-1.1357),(6955,3595,0.001004,-1.1343),(6955,3605,0.001034,-1.133),(6955,3615,0.001064,-1.1316),(6955,3625,0.001097,-1.1303),(6955,3635,0.001143,-1.129),(6955,3645,0.00119,-1.1276),(6955,3655,0.001238,-1.1262),(6955,3665,0.001274,-1.1247),(6955,3675,0.001256,-1.1233),(6955,3685,0.001238,-1.1219),(6955,3695,0.00122,-1.1205),(6955,3705,0.001182,-1.1192),(6955,3715,0.001064,-1.1179),(6955,3725,0.000946,-1.1165),(6955,3735,0.000828,-1.1149),(6955,3745,0.000678,-1.1134),(6955,3755,0.000432,-1.1119),(6955,3765,0.000186,-1.1104),(6955,3775,-6.1e-05,-1.109),(6955,3785,-0.000371,-1.1076),(6955,3795,-0.000843,-1.1062),(6955,3805,-0.001315,-1.1047),(6955,3815,-0.001787,-1.1032),(6955,3825,-0.002395,-1.1016),(6955,3835,-0.00329,-1.1001),(6955,3845,-0.004185,-1.0986),(6955,3855,-0.00508,-1.0973),(6955,3865,-0.006275,-1.096),(6955,3875,-0.008001,-1.0946),(6955,3885,-0.009726,-1.0932),(6955,3895,-0.011452,-1.0915),(6955,3905,-0.013805,-1.0899),(6955,3915,-0.017095,-1.0882),(6955,3925,-0.020384,-1.0862),(6955,3935,-0.023674,-1.0837),(6955,3945,-0.027796,-1.0813),(6955,3955,-0.032974,-1.0788),(6955,3965,-0.038151,-1.0749),(6955,3975,-0.043329,-1.0695),(6955,3985,-0.046647,-1.064),(6955,3995,-0.047951,-1.0585),(6955,4005,-0.049255,-1.0515),(6955,4015,-0.050559,-1.043),(6955,4025,0.02368,-1.0345),(6955,4035,0.10531,-1.0284),(6955,4045,0.18694,-1.0277),(6955,4055,0.23791,-1.0269),(6955,4065,0.27771,-1.0261),(6955,4075,0.3175,-1.0247),(6955,4085,0.33543,-1.0234),(6955,4095,0.33581,-1.022),(6955,4105,0.33618,-1.0206),(6955,4115,0.33652,-1.0191),(6955,4125,0.33679,-1.0176),(6955,4135,0.33707,-1.0161),(6955,4145,0.33732,-1.0145),(6955,4155,0.33751,-1.013),(6955,4165,0.3377,-1.0115),(6955,4175,0.33788,-1.0099),(6955,4185,0.33802,-1.0084),(6955,4195,0.33815,-1.0068),(6955,4205,0.33829,-1.0051),(6955,4215,0.3384,-1.0035),(6955,4225,0.33851,-1.0018),(6955,4235,0.33863,-0.99995),(6955,4245,0.33873,-0.99812),(6955,4255,0.33883,-0.99629),(6955,4265,0.33893,-0.99439),(6955,4275,0.33902,-0.9925),(6955,4285,0.33911,-0.9906),(6955,4295,0.3392,-0.98862),(6955,4305,0.33928,-0.98663),(6955,4315,0.33936,-0.98463),(6955,4325,0.33943,-0.98256),(6955,4335,0.3395,-0.98046),(6955,4345,0.33956,-0.97835),(6955,4355,0.33962,-0.97618),(6955,4365,0.33968,-0.97395),(6955,4375,0.33974,-0.97172),(6955,4385,0.3398,-0.96946),(6955,4395,0.33986,-0.96714),(6955,4405,0.33994,-0.96481),(6955,4415,0.34001,-0.96246),(6955,4425,0.34009,-0.95998),(6955,4435,0.34019,-0.95749),(6955,4445,0.3403,-0.95501),(6955,4455,0.34041,-0.95244),(6955,4465,0.34054,-0.94986),(6955,4475,0.3407,-0.94729),(6955,4485,0.34087,-0.94466),(6955,4495,0.34105,-0.94201),(6955,4505,0.34127,-0.93937),(6955,4515,0.34149,-0.93667),(6955,4525,0.34172,-0.93395),(6955,4535,0.34199,-0.93123),(6955,4545,0.34226,-0.92848),(6955,4555,0.34254,-0.92569),(6955,4565,0.34285,-0.9229),(6955,4575,0.34316,-0.92008),(6955,4585,0.34347,-0.91716),(6955,4595,0.3438,-0.91425),(6955,4605,0.34414,-0.91133),(6955,4615,0.34448,-0.90832),(6955,4625,0.34484,-0.90531),(6955,4635,0.34521,-0.9023),(6955,4645,0.34559,-0.89924),(6955,4655,0.34597,-0.89617),(6955,4665,0.34638,-0.8931),(6955,4675,0.34679,-0.88998),(6955,4685,0.34721,-0.88684),(6955,4695,0.34766,-0.88371),(6955,4705,0.34811,-0.88052),(6955,4715,0.34856,-0.87727),(6955,4725,0.34906,-0.87403),(6955,4735,0.34956,-0.87076),(6955,4745,0.35005,-0.86743),(6955,4755,0.35058,-0.8641),(6955,4765,0.3511,-0.86075),(6955,4775,0.35163,-0.85734),(6955,4785,0.35217,-0.85392),(6955,4795,0.35271,-0.85051),(6955,4805,0.35326,-0.84702),(6955,4815,0.35382,-0.84352),(6955,4825,0.35439,-0.84003),(6955,4835,0.35497,-0.83649),(6955,4845,0.35556,-0.83294),(6955,4855,0.35619,-0.82938),(6955,4865,0.35682,-0.8258),(6955,4875,0.35745,-0.82219),(6955,4885,0.35811,-0.81859),(6955,4895,0.35878,-0.81494),(6955,4905,0.35944,-0.81126),(6955,4915,0.36013,-0.80759),(6955,4925,0.36082,-0.80389),(6955,4935,0.36151,-0.80017),(6955,4945,0.36224,-0.79645),(6955,4955,0.36297,-0.79273),(6955,4965,0.36371,-0.789),(6955,4975,0.36446,-0.78527),(6955,4985,0.36522,-0.78153),(6955,4995,0.36598,-0.77771),(6955,5005,0.36673,-0.77389),(6955,5015,0.36747,-0.77007),(6955,5025,0.36822,-0.76615),(6955,5035,0.36895,-0.76221),(6955,5045,0.36968,-0.75827),(6955,5055,0.3704,-0.75428),(6955,5065,0.37112,-0.75026),(6955,5075,0.37188,-0.74624),(6955,5085,0.37263,-0.74219),(6955,5095,0.37339,-0.73811),(6955,5105,0.37419,-0.73403),(6955,5115,0.375,-0.72994),(6955,5125,0.37581,-0.72582),(6955,5135,0.37665,-0.72171),(6955,5145,0.37749,-0.71758),(6955,5155,0.37834,-0.71338),(6955,5165,0.37918,-0.70919),(6955,5175,0.38002,-0.70499),(6955,5185,0.38085,-0.70073),(6955,5195,0.38169,-0.69647),(6955,5205,0.38252,-0.69221),(6955,5215,0.38336,-0.68792),(6955,5225,0.38419,-0.68363),(6955,5235,0.38502,-0.67933),(6955,5245,0.38585,-0.67501),(6955,5255,0.38668,-0.67067),(6955,5265,0.38751,-0.66633),(6955,5275,0.38834,-0.66198),(6955,5285,0.38916,-0.65759),(6955,5295,0.39,-0.6532),(6955,5305,0.39084,-0.6488),(6955,5315,0.39169,-0.64435),(6955,5325,0.39255,-0.6399),(6955,5335,0.39343,-0.63545),(6955,5345,0.3943,-0.63098),(6955,5355,0.39519,-0.6265),(6955,5365,0.39609,-0.62203),(6955,5375,0.39699,-0.61751),(6955,5385,0.39789,-0.61298),(6955,5395,0.3988,-0.60845),(6955,5405,0.3997,-0.60386),(6955,5415,0.4006,-0.59924),(6955,5425,0.40148,-0.59462),(6955,5435,0.40236,-0.58997),(6955,5445,0.40324,-0.58528),(6955,5455,0.40412,-0.5806),(6955,5465,0.405,-0.57591),(6955,5475,0.40587,-0.57119),(6955,5485,0.40675,-0.56647),(6955,5495,0.40762,-0.56175),(6955,5505,0.4085,-0.55699),(6955,5515,0.40937,-0.55224),(6955,5525,0.41024,-0.54748),(6955,5535,0.4111,-0.54267),(6955,5545,0.41197,-0.53785),(6955,5555,0.41282,-0.53303),(6955,5565,0.41368,-0.52819),(6955,5575,0.41453,-0.52333),(6955,5585,0.41539,-0.51848),(6955,5595,0.41625,-0.51363),(6955,5605,0.4171,-0.50877),(6955,5615,0.41796,-0.50392),(6955,5625,0.41881,-0.49904),(6955,5635,0.41967,-0.49412),(6955,5645,0.4205,-0.4892),(6955,5655,0.42134,-0.48427),(6955,5665,0.42217,-0.47931),(6955,5675,0.423,-0.47436),(6955,5685,0.42382,-0.4694),(6955,5695,0.42464,-0.46444),(6955,5705,0.42546,-0.45948),(6955,5715,0.42629,-0.45452),(6955,5725,0.42711,-0.44955),(6955,5735,0.42793,-0.44457),(6955,5745,0.42873,-0.4396),(6955,5755,0.42952,-0.43459),(6955,5765,0.43032,-0.42955),(6955,5775,0.4311,-0.42452),(6955,5785,0.43188,-0.41948),(6955,5795,0.43267,-0.41442),(6955,5805,0.43343,-0.40936),(6955,5815,0.4342,-0.40428),(6955,5825,0.43497,-0.39919),(6955,5835,0.43572,-0.39409),(6955,5845,0.43647,-0.38898),(6955,5855,0.43722,-0.38384),(6955,5865,0.43795,-0.3787),(6955,5875,0.43867,-0.37355),(6955,5885,0.43939,-0.3684),(6955,5895,0.4401,-0.36324),(6955,5905,0.4408,-0.35808),(6955,5915,0.44149,-0.3529),(6955,5925,0.44218,-0.34771),(6955,5935,0.44285,-0.34252),(6955,5945,0.44352,-0.33731),(6955,5955,0.44419,-0.33207),(6955,5965,0.44485,-0.32684),(6955,5975,0.4455,-0.3216),(6955,5985,0.44616,-0.31635),(6955,5995,0.44681,-0.3111),(6955,6005,0.44746,-0.30586),(6955,6015,0.44811,-0.30061),(6955,6025,0.44876,-0.29536),(6955,6035,0.44941,-0.29012),(6955,6045,0.45006,-0.28486),(6955,6055,0.4507,-0.2796),(6955,6065,0.45134,-0.27434),(6955,6075,0.45198,-0.26909),(6955,6085,0.45261,-0.26385),(6955,6095,0.45321,-0.25861),(6955,6105,0.45381,-0.25332),(6955,6115,0.45439,-0.24802),(6955,6125,0.45493,-0.24272),(6955,6135,0.45546,-0.23736),(6955,6145,0.45599,-0.23196),(6955,6155,0.45651,-0.22655),(6955,6165,0.45703,-0.22119),(6955,6175,0.45755,-0.21588),(6955,6185,0.45808,-0.21058),(6955,6195,0.45861,-0.20529),(6955,6205,0.45914,-0.20003),(6955,6215,0.45966,-0.19477),(6955,6225,0.46017,-0.1895),(6955,6235,0.46068,-0.18407),(6955,6245,0.46118,-0.17865),(6955,6255,0.46166,-0.17322),(6955,6265,0.46214,-0.16785),(6955,6275,0.46261,-0.16248),(6955,6285,0.46305,-0.15711),(6955,6295,0.4635,-0.15177),(6955,6305,0.46394,-0.14643),(6955,6315,0.46431,-0.14109),(6955,6325,0.46469,-0.13576),(6955,6335,0.46507,-0.13044),(6955,6345,0.46539,-0.12511),(6955,6355,0.46571,-0.11978),(6955,6365,0.46604,-0.11443),(6955,6375,0.46632,-0.10908),(6955,6385,0.4666,-0.10371),(6955,6395,0.46688,-0.098175),(6955,6405,0.46715,-0.092643),(6955,6415,0.46742,-0.087112),(6955,6425,0.46769,-0.081838),(6955,6435,0.46795,-0.076576),(6955,6445,0.46821,-0.071315),(6955,6455,0.46847,-0.066021),(6955,6465,0.46871,-0.060718),(6955,6475,0.46891,-0.055415),(6955,6485,0.46911,-0.050031),(6955,6495,0.46931,-0.044593),(6955,6505,0.46947,-0.039155),(6955,6515,0.46963,-0.033712),(6955,6525,0.46979,-0.028264),(6955,6535,0.46998,-0.022817),(6955,6545,0.47017,-0.017412),(6955,6555,0.47036,-0.012142),(6955,6565,0.4705,-0.006873),(6955,6575,0.47062,-0.001607),(6955,6585,0.47074,0.003606),(6955,6595,0.40042,0.008818),(6955,6605,0.25232,0.01403),(6955,6615,0.10423,0.014771),(6955,6625,0.000147,0.014937),(6955,6635,0.000234,0.015103),(6955,6645,0.00032,0.015149),(6955,6655,0.000407,0.015145),(6955,6665,0.000493,0.015141),(6955,6675,0.00058,0.015134),(6955,6685,0.000666,0.015125),(6955,6695,0.000751,0.015115),(6955,6705,0.000836,0.015104),(6955,6715,0.000921,0.01509),(6955,6725,0.001005,0.015075),(6955,6735,0.001089,0.01506),(6955,6745,0.001172,0.01504),(6955,6755,0.001254,0.015021),(6955,6765,0.001336,0.015001),(6955,6775,0.001417,0.014977),(6955,6785,0.001498,0.014953),(6955,6795,0.001577,0.014929),(6955,6805,0.001656,0.014901),(6955,6815,0.001734,0.014873),(6955,6825,0.00181,0.014844),(6955,6835,0.001886,0.014814),(6955,6845,0.001962,0.014781),(6955,6855,0.002034,0.014749),(6955,6865,0.002107,0.014715),(6955,6875,0.00218,0.014679),(6955,6885,0.00225,0.014643),(6955,6895,0.002319,0.014607),(6955,6905,0.002389,0.014568),(6955,6915,0.002456,0.014529),(6955,6925,0.002522,0.01449),(6955,6935,0.002588,0.014448),(6955,6945,0.002652,0.014407),(6955,6955,0.002714,0.014365),(6955,6965,0.002776,0.014322),(6955,6975,0.002837,0.014278),(6955,6985,0.002896,0.014234),(6965,5,-8e-06,-1.2908),(6965,15,-2.4e-05,-1.2907),(6965,25,-3.5e-05,-1.2906),(6965,35,-4.1e-05,-1.2905),(6965,45,-4.7e-05,-1.2904),(6965,55,-5.3e-05,-1.2904),(6965,65,-7e-05,-1.2903),(6965,75,-9.6e-05,-1.2903),(6965,85,-0.000122,-1.2903),(6965,95,-0.000148,-1.2902),(6965,105,-0.000162,-1.2901),(6965,115,-0.000167,-1.2901),(6965,125,-0.000172,-1.29),(6965,135,-0.000177,-1.2899),(6965,145,-0.000188,-1.2899),(6965,155,-0.000203,-1.2898),(6965,165,-0.000218,-1.2897),(6965,175,-0.000233,-1.2896),(6965,185,-0.000246,-1.2895),(6965,195,-0.000257,-1.2894),(6965,205,-0.000269,-1.2893),(6965,215,-0.00028,-1.2891),(6965,225,-0.000297,-1.289),(6965,235,-0.000317,-1.2888),(6965,245,-0.000336,-1.2887),(6965,255,-0.000355,-1.2886),(6965,265,-0.00036,-1.2884),(6965,275,-0.000362,-1.2883),(6965,285,-0.000363,-1.2881),(6965,295,-0.000364,-1.288),(6965,305,-0.00036,-1.2878),(6965,315,-0.000355,-1.2876),(6965,325,-0.00035,-1.2875),(6965,335,-0.000345,-1.2873),(6965,345,-0.000322,-1.2872),(6965,355,-0.000296,-1.287),(6965,365,-0.000269,-1.2869),(6965,375,-0.000242,-1.2867),(6965,385,-0.000217,-1.2866),(6965,395,-0.000193,-1.2864),(6965,405,-0.000169,-1.2862),(6965,415,-0.000144,-1.2861),(6965,425,-0.000175,-1.2859),(6965,435,-0.000211,-1.2857),(6965,445,-0.000247,-1.2854),(6965,455,-0.000283,-1.285),(6965,465,-0.000344,-1.2847),(6965,475,-0.000405,-1.2844),(6965,485,-0.000467,-1.2841),(6965,495,-0.000528,-1.2838),(6965,505,-0.000573,-1.2835),(6965,515,-0.000618,-1.2832),(6965,525,-0.000663,-1.2828),(6965,535,-0.000707,-1.2825),(6965,545,-0.00073,-1.2822),(6965,555,-0.000753,-1.2818),(6965,565,-0.000776,-1.2815),(6965,575,-0.000797,-1.2812),(6965,585,-0.000786,-1.2809),(6965,595,-0.000775,-1.2806),(6965,605,-0.000764,-1.2802),(6965,615,-0.000752,-1.2799),(6965,625,-0.000731,-1.2796),(6965,635,-0.000709,-1.2793),(6965,645,-0.000687,-1.279),(6965,655,-0.000665,-1.2786),(6965,665,-0.000638,-1.2783),(6965,675,-0.000612,-1.278),(6965,685,-0.000586,-1.2777),(6965,695,-0.000566,-1.2774),(6965,705,-0.000571,-1.2771),(6965,715,-0.000577,-1.2767),(6965,725,-0.000583,-1.2763),(6965,735,-0.0006,-1.2759),(6965,745,-0.000653,-1.2755),(6965,755,-0.000706,-1.275),(6965,765,-0.000759,-1.2745),(6965,775,-0.0008,-1.274),(6965,785,-0.000811,-1.2736),(6965,795,-0.000822,-1.2731),(6965,805,-0.000834,-1.2726),(6965,815,-0.000826,-1.2722),(6965,825,-0.000776,-1.2718),(6965,835,-0.000726,-1.2713),(6965,845,-0.000676,-1.271),(6965,855,-0.000625,-1.2706),(6965,865,-0.000572,-1.2702),(6965,875,-0.000519,-1.2698),(6965,885,-0.000466,-1.2693),(6965,895,-0.000427,-1.2689),(6965,905,-0.000412,-1.2684),(6965,915,-0.000398,-1.2679),(6965,925,-0.000383,-1.2674),(6965,935,-0.000391,-1.2669),(6965,945,-0.000431,-1.2664),(6965,955,-0.00047,-1.2659),(6965,965,-0.00051,-1.2653),(6965,975,-0.000569,-1.2647),(6965,985,-0.000652,-1.2642),(6965,995,-0.000734,-1.2636),(6965,1005,-0.000816,-1.263),(6965,1015,-0.000916,-1.2624),(6965,1025,-0.001033,-1.2618),(6965,1035,-0.00115,-1.2612),(6965,1045,-0.001267,-1.2606),(6965,1055,-0.001422,-1.2601),(6965,1065,-0.00161,-1.2595),(6965,1075,-0.001798,-1.2589),(6965,1085,-0.001986,-1.2585),(6965,1095,-0.002293,-1.258),(6965,1105,-0.002683,-1.2575),(6965,1115,-0.003073,-1.2571),(6965,1125,-0.003462,-1.2567),(6965,1135,-0.004159,-1.2563),(6965,1145,-0.005038,-1.2559),(6965,1155,-0.005916,-1.2556),(6965,1165,-0.006795,-1.2553),(6965,1175,-0.008438,-1.255),(6965,1185,-0.010459,-1.2547),(6965,1195,-0.012481,-1.2545),(6965,1205,-0.014502,-1.2542),(6965,1215,-0.018255,-1.254),(6965,1225,-0.022721,-1.2537),(6965,1235,-0.027187,-1.2529),(6965,1245,-0.031653,-1.2518),(6965,1255,-0.039276,-1.2508),(6965,1265,-0.047966,-1.2497),(6965,1275,-0.056655,-1.2453),(6965,1285,-0.065344,-1.2398),(6965,1295,-0.065304,-1.2343),(6965,1305,-0.062902,-1.2288),(6965,1315,-0.060501,-1.221),(6965,1325,-0.058099,-1.2128),(6965,1335,-0.035808,-1.2045),(6965,1345,-0.009348,-1.1962),(6965,1355,0.017112,-1.2011),(6965,1365,0.043572,-1.2083),(6965,1375,0.053086,-1.2155),(6965,1385,0.059986,-1.2227),(6965,1395,0.066885,-1.2287),(6965,1405,0.073785,-1.2346),(6965,1415,0.065851,-1.2405),(6965,1425,0.056377,-1.2464),(6965,1435,0.046903,-1.2475),(6965,1445,0.037429,-1.2483),(6965,1455,0.032333,-1.2491),(6965,1465,0.027488,-1.2498),(6965,1475,0.022643,-1.2497),(6965,1485,0.017799,-1.2495),(6965,1495,0.01554,-1.2492),(6965,1505,0.01332,-1.249),(6965,1515,0.0111,-1.2489),(6965,1525,0.008911,-1.2488),(6965,1535,0.007922,-1.2487),(6965,1545,0.006934,-1.2486),(6965,1555,0.005945,-1.2487),(6965,1565,0.004988,-1.2488),(6965,1575,0.004494,-1.2489),(6965,1585,0.004,-1.249),(6965,1595,0.003507,-1.249),(6965,1605,0.00304,-1.2491),(6965,1615,0.002812,-1.2492),(6965,1625,0.002583,-1.2492),(6965,1635,0.002355,-1.2494),(6965,1645,0.002146,-1.2496),(6965,1655,0.002055,-1.2497),(6965,1665,0.001963,-1.2499),(6965,1675,0.001872,-1.25),(6965,1685,0.001792,-1.2502),(6965,1695,0.001766,-1.2503),(6965,1705,0.00174,-1.2505),(6965,1715,0.001714,-1.2505),(6965,1725,0.001696,-1.2506),(6965,1735,0.001709,-1.2507),(6965,1745,0.001721,-1.2508),(6965,1755,0.001734,-1.2509),(6965,1765,0.001746,-1.251),(6965,1775,0.001755,-1.2512),(6965,1785,0.001765,-1.2513),(6965,1795,0.001775,-1.2513),(6965,1805,0.001778,-1.2513),(6965,1815,0.001767,-1.2512),(6965,1825,0.001756,-1.2513),(6965,1835,0.001745,-1.2513),(6965,1845,0.001719,-1.2513),(6965,1855,0.001665,-1.2514),(6965,1865,0.00161,-1.2514),(6965,1875,0.001556,-1.2513),(6965,1885,0.001499,-1.2512),(6965,1895,0.001437,-1.2511),(6965,1905,0.001376,-1.251),(6965,1915,0.001314,-1.2509),(6965,1925,0.001291,-1.2508),(6965,1935,0.001322,-1.2507),(6965,1945,0.001353,-1.2507),(6965,1955,0.001384,-1.2508),(6965,1965,0.001417,-1.2508),(6965,1975,0.001452,-1.2509),(6965,1985,0.001486,-1.2509),(6965,1995,0.001521,-1.2507),(6965,2005,0.001534,-1.2506),(6965,2015,0.001524,-1.2504),(6965,2025,0.001514,-1.2503),(6965,2035,0.001504,-1.2501),(6965,2045,0.001517,-1.2499),(6965,2055,0.00155,-1.2498),(6965,2065,0.001584,-1.2497),(6965,2075,0.001617,-1.2496),(6965,2085,0.001626,-1.2496),(6965,2095,0.001619,-1.2495),(6965,2105,0.001611,-1.2493),(6965,2115,0.001604,-1.249),(6965,2125,0.001562,-1.2487),(6965,2135,0.001499,-1.2484),(6965,2145,0.001435,-1.2481),(6965,2155,0.001372,-1.2479),(6965,2165,0.001354,-1.2476),(6965,2175,0.001359,-1.2474),(6965,2185,0.001364,-1.2472),(6965,2195,0.001369,-1.247),(6965,2205,0.001388,-1.2468),(6965,2215,0.001412,-1.2467),(6965,2225,0.001437,-1.2464),(6965,2235,0.001461,-1.2461),(6965,2245,0.00147,-1.2457),(6965,2255,0.001473,-1.2454),(6965,2265,0.001476,-1.2451),(6965,2275,0.00148,-1.2448),(6965,2285,0.001508,-1.2445),(6965,2295,0.001543,-1.2441),(6965,2305,0.001578,-1.2439),(6965,2315,0.001614,-1.2436),(6965,2325,0.001623,-1.2434),(6965,2335,0.001626,-1.2431),(6965,2345,0.00163,-1.2427),(6965,2355,0.001633,-1.2423),(6965,2365,0.001584,-1.2419),(6965,2375,0.001526,-1.2415),(6965,2385,0.001468,-1.2411),(6965,2395,0.00141,-1.2406),(6965,2405,0.001369,-1.2402),(6965,2415,0.00133,-1.2397),(6965,2425,0.001292,-1.2392),(6965,2435,0.001253,-1.2388),(6965,2445,0.001247,-1.2383),(6965,2455,0.001244,-1.2379),(6965,2465,0.001241,-1.2374),(6965,2475,0.001237,-1.237),(6965,2485,0.00124,-1.2365),(6965,2495,0.001243,-1.2361),(6965,2505,0.001246,-1.2356),(6965,2515,0.001249,-1.2352),(6965,2525,0.001251,-1.2347),(6965,2535,0.001252,-1.2343),(6965,2545,0.001254,-1.2337),(6965,2555,0.001257,-1.2332),(6965,2565,0.001264,-1.2327),(6965,2575,0.001272,-1.2321),(6965,2585,0.00128,-1.2316),(6965,2595,0.001288,-1.231),(6965,2605,0.0013,-1.2304),(6965,2615,0.001312,-1.2299),(6965,2625,0.001324,-1.2293),(6965,2635,0.001332,-1.2288),(6965,2645,0.00132,-1.2282),(6965,2655,0.001307,-1.2276),(6965,2665,0.001294,-1.2269),(6965,2675,0.001278,-1.2263),(6965,2685,0.001245,-1.2256),(6965,2695,0.001213,-1.225),(6965,2705,0.001181,-1.2243),(6965,2715,0.001151,-1.2236),(6965,2725,0.001133,-1.2229),(6965,2735,0.001115,-1.2222),(6965,2745,0.001097,-1.2216),(6965,2755,0.001083,-1.2209),(6965,2765,0.001077,-1.2202),(6965,2775,0.001071,-1.2195),(6965,2785,0.001066,-1.2188),(6965,2795,0.001062,-1.2181),(6965,2805,0.001063,-1.2173),(6965,2815,0.001064,-1.2166),(6965,2825,0.001065,-1.2158),(6965,2835,0.001069,-1.2151),(6965,2845,0.001079,-1.2144),(6965,2855,0.001088,-1.2136),(6965,2865,0.001097,-1.2129),(6965,2875,0.001096,-1.2121),(6965,2885,0.001076,-1.2114),(6965,2895,0.001056,-1.2106),(6965,2905,0.001037,-1.2097),(6965,2915,0.001008,-1.2088),(6965,2925,0.000967,-1.2079),(6965,2935,0.000926,-1.207),(6965,2945,0.000884,-1.2061),(6965,2955,0.000856,-1.2052),(6965,2965,0.000843,-1.2043),(6965,2975,0.00083,-1.2034),(6965,2985,0.000817,-1.2025),(6965,2995,0.00081,-1.2016),(6965,3005,0.000811,-1.2007),(6965,3015,0.000812,-1.1999),(6965,3025,0.000812,-1.199),(6965,3035,0.000818,-1.1981),(6965,3045,0.000828,-1.1973),(6965,3055,0.000838,-1.1964),(6965,3065,0.000847,-1.1955),(6965,3075,0.000867,-1.1946),(6965,3085,0.000894,-1.1937),(6965,3095,0.000922,-1.1927),(6965,3105,0.000949,-1.1917),(6965,3115,0.00097,-1.1907),(6965,3125,0.000987,-1.1897),(6965,3135,0.001005,-1.1887),(6965,3145,0.001022,-1.1877),(6965,3155,0.001017,-1.1867),(6965,3165,0.001,-1.1857),(6965,3175,0.000983,-1.1847),(6965,3185,0.000966,-1.1836),(6965,3195,0.000923,-1.1826),(6965,3205,0.000868,-1.1815),(6965,3215,0.000813,-1.1804),(6965,3225,0.000758,-1.1792),(6965,3235,0.000713,-1.1781),(6965,3245,0.000671,-1.177),(6965,3255,0.000629,-1.1759),(6965,3265,0.000587,-1.1748),(6965,3275,0.000587,-1.1737),(6965,3285,0.000601,-1.1726),(6965,3295,0.000615,-1.1715),(6965,3305,0.000629,-1.1704),(6965,3315,0.00067,-1.1693),(6965,3325,0.000717,-1.1682),(6965,3335,0.000765,-1.167),(6965,3345,0.000812,-1.1659),(6965,3355,0.000866,-1.1648),(6965,3365,0.000921,-1.1637),(6965,3375,0.000976,-1.1625),(6965,3385,0.001031,-1.1613),(6965,3395,0.001071,-1.1602),(6965,3405,0.001109,-1.159),(6965,3415,0.001147,-1.1578),(6965,3425,0.001185,-1.1566),(6965,3435,0.001189,-1.1554),(6965,3445,0.00119,-1.1543),(6965,3455,0.001192,-1.153),(6965,3465,0.001193,-1.1517),(6965,3475,0.001166,-1.1504),(6965,3485,0.001138,-1.1491),(6965,3495,0.001109,-1.1478),(6965,3505,0.001081,-1.1464),(6965,3515,0.001056,-1.1451),(6965,3525,0.00103,-1.1438),(6965,3535,0.001005,-1.1424),(6965,3545,0.00098,-1.1411),(6965,3555,0.000961,-1.1398),(6965,3565,0.000942,-1.1385),(6965,3575,0.000923,-1.1371),(6965,3585,0.000907,-1.1357),(6965,3595,0.000918,-1.1343),(6965,3605,0.000929,-1.1329),(6965,3615,0.000939,-1.1316),(6965,3625,0.000954,-1.1303),(6965,3635,0.000995,-1.1289),(6965,3645,0.001036,-1.1276),(6965,3655,0.001077,-1.1262),(6965,3665,0.001109,-1.1247),(6965,3675,0.001099,-1.1233),(6965,3685,0.001089,-1.1219),(6965,3695,0.001079,-1.1206),(6965,3705,0.001049,-1.1192),(6965,3715,0.000943,-1.1179),(6965,3725,0.000837,-1.1165),(6965,3735,0.000731,-1.115),(6965,3745,0.000591,-1.1135),(6965,3755,0.000347,-1.112),(6965,3765,0.000103,-1.1105),(6965,3775,-0.000141,-1.1092),(6965,3785,-0.000447,-1.1078),(6965,3795,-0.00091,-1.1064),(6965,3805,-0.001374,-1.105),(6965,3815,-0.001837,-1.1036),(6965,3825,-0.002434,-1.1021),(6965,3835,-0.003314,-1.1006),(6965,3845,-0.004194,-1.0992),(6965,3855,-0.005074,-1.098),(6965,3865,-0.006253,-1.0968),(6965,3875,-0.00796,-1.0956),(6965,3885,-0.009667,-1.0944),(6965,3895,-0.011374,-1.093),(6965,3905,-0.013788,-1.0916),(6965,3915,-0.01726,-1.0901),(6965,3925,-0.020731,-1.0884),(6965,3935,-0.024202,-1.0862),(6965,3945,-0.028821,-1.084),(6965,3955,-0.034897,-1.0818),(6965,3965,-0.040972,-1.0781),(6965,3975,-0.047048,-1.0727),(6965,3985,-0.051469,-1.0672),(6965,3995,-0.054097,-1.0618),(6965,4005,-0.056726,-1.0543),(6965,4015,-0.059355,-1.0447),(6965,4025,0.016853,-1.0351),(6965,4035,0.10077,-1.0284),(6965,4045,0.18469,-1.0277),(6965,4055,0.23604,-1.0269),(6965,4065,0.27551,-1.0261),(6965,4075,0.31498,-1.0248),(6965,4085,0.33277,-1.0235),(6965,4095,0.33312,-1.0221),(6965,4105,0.33348,-1.0207),(6965,4115,0.3338,-1.0192),(6965,4125,0.33405,-1.0178),(6965,4135,0.33431,-1.0163),(6965,4145,0.33454,-1.0148),(6965,4155,0.33471,-1.0133),(6965,4165,0.33487,-1.0117),(6965,4175,0.33503,-1.0102),(6965,4185,0.33513,-1.0087),(6965,4195,0.33524,-1.0071),(6965,4205,0.33534,-1.0054),(6965,4215,0.33542,-1.0038),(6965,4225,0.3355,-1.0021),(6965,4235,0.33557,-1.0003),(6965,4245,0.33564,-0.99848),(6965,4255,0.3357,-0.99665),(6965,4265,0.33576,-0.99477),(6965,4275,0.33582,-0.99288),(6965,4285,0.33587,-0.99099),(6965,4295,0.33593,-0.98902),(6965,4305,0.33598,-0.98704),(6965,4315,0.33603,-0.98506),(6965,4325,0.33608,-0.983),(6965,4335,0.33613,-0.98091),(6965,4345,0.33617,-0.97882),(6965,4355,0.33621,-0.97666),(6965,4365,0.33625,-0.97444),(6965,4375,0.3363,-0.97221),(6965,4385,0.33634,-0.96995),(6965,4395,0.33638,-0.96763),(6965,4405,0.33644,-0.96531),(6965,4415,0.3365,-0.96295),(6965,4425,0.33656,-0.96047),(6965,4435,0.33663,-0.95798),(6965,4445,0.33672,-0.9555),(6965,4455,0.3368,-0.95291),(6965,4465,0.3369,-0.95032),(6965,4475,0.33703,-0.94774),(6965,4485,0.33717,-0.94509),(6965,4495,0.33731,-0.94244),(6965,4505,0.3375,-0.93978),(6965,4515,0.33769,-0.93708),(6965,4525,0.33788,-0.93435),(6965,4535,0.33812,-0.93162),(6965,4545,0.33836,-0.92886),(6965,4555,0.33861,-0.92607),(6965,4565,0.33889,-0.92327),(6965,4575,0.33918,-0.92044),(6965,4585,0.33947,-0.91753),(6965,4595,0.33979,-0.91461),(6965,4605,0.34011,-0.91169),(6965,4615,0.34043,-0.90867),(6965,4625,0.34077,-0.90566),(6965,4635,0.34113,-0.90265),(6965,4645,0.34148,-0.89957),(6965,4655,0.34185,-0.8965),(6965,4665,0.34224,-0.89342),(6965,4675,0.34263,-0.89029),(6965,4685,0.34303,-0.88715),(6965,4695,0.34346,-0.88401),(6965,4705,0.34389,-0.8808),(6965,4715,0.34432,-0.87755),(6965,4725,0.34479,-0.8743),(6965,4735,0.34526,-0.87101),(6965,4745,0.34573,-0.86767),(6965,4755,0.34624,-0.86434),(6965,4765,0.34675,-0.86099),(6965,4775,0.34726,-0.85757),(6965,4785,0.34778,-0.85416),(6965,4795,0.34831,-0.85074),(6965,4805,0.34884,-0.84724),(6965,4815,0.34938,-0.84374),(6965,4825,0.34993,-0.84024),(6965,4835,0.35048,-0.83668),(6965,4845,0.35105,-0.83311),(6965,4855,0.35165,-0.82954),(6965,4865,0.35226,-0.82594),(6965,4875,0.35286,-0.82233),(6965,4885,0.35351,-0.81872),(6965,4895,0.35415,-0.81507),(6965,4905,0.35479,-0.81138),(6965,4915,0.35546,-0.80769),(6965,4925,0.35613,-0.80399),(6965,4935,0.35679,-0.80025),(6965,4945,0.35749,-0.79652),(6965,4955,0.3582,-0.79278),(6965,4965,0.35891,-0.78905),(6965,4975,0.35964,-0.78531),(6965,4985,0.36038,-0.78157),(6965,4995,0.36113,-0.77776),(6965,5005,0.36187,-0.77395),(6965,5015,0.36261,-0.77013),(6965,5025,0.36336,-0.76622),(6965,5035,0.3641,-0.76229),(6965,5045,0.36483,-0.75835),(6965,5055,0.36555,-0.75436),(6965,5065,0.36628,-0.75032),(6965,5075,0.36702,-0.74628),(6965,5085,0.36776,-0.74222),(6965,5095,0.3685,-0.73812),(6965,5105,0.36927,-0.73401),(6965,5115,0.37005,-0.7299),(6965,5125,0.37083,-0.72577),(6965,5135,0.37163,-0.72164),(6965,5145,0.37244,-0.7175),(6965,5155,0.37324,-0.71331),(6965,5165,0.37405,-0.70911),(6965,5175,0.37486,-0.70491),(6965,5185,0.37567,-0.70066),(6965,5195,0.37648,-0.6964),(6965,5205,0.37729,-0.69214),(6965,5215,0.3781,-0.68785),(6965,5225,0.37892,-0.68355),(6965,5235,0.37974,-0.67926),(6965,5245,0.38057,-0.67494),(6965,5255,0.3814,-0.6706),(6965,5265,0.38222,-0.66625),(6965,5275,0.38305,-0.66189),(6965,5285,0.38387,-0.6575),(6965,5295,0.3847,-0.6531),(6965,5305,0.38554,-0.64869),(6965,5315,0.38637,-0.64422),(6965,5325,0.38722,-0.63975),(6965,5335,0.38808,-0.63528),(6965,5345,0.38893,-0.6308),(6965,5355,0.3898,-0.62631),(6965,5365,0.39067,-0.62183),(6965,5375,0.39155,-0.61731),(6965,5385,0.39243,-0.61277),(6965,5395,0.39331,-0.60824),(6965,5405,0.39419,-0.60365),(6965,5415,0.39507,-0.59903),(6965,5425,0.39594,-0.59441),(6965,5435,0.3968,-0.58976),(6965,5445,0.39767,-0.58507),(6965,5455,0.39853,-0.58039),(6965,5465,0.39939,-0.57569),(6965,5475,0.40025,-0.57097),(6965,5485,0.40112,-0.56625),(6965,5495,0.40198,-0.56152),(6965,5505,0.40285,-0.55676),(6965,5515,0.40371,-0.55201),(6965,5525,0.40457,-0.54725),(6965,5535,0.40543,-0.54243),(6965,5545,0.40628,-0.53761),(6965,5555,0.40713,-0.53279),(6965,5565,0.40798,-0.52794),(6965,5575,0.40882,-0.52309),(6965,5585,0.40966,-0.51823),(6965,5595,0.4105,-0.51337),(6965,5605,0.41134,-0.50851),(6965,5615,0.41218,-0.50365),(6965,5625,0.41302,-0.49876),(6965,5635,0.41386,-0.49385),(6965,5645,0.41469,-0.48893),(6965,5655,0.41551,-0.484),(6965,5665,0.41633,-0.47904),(6965,5675,0.41714,-0.47408),(6965,5685,0.41794,-0.46913),(6965,5695,0.41875,-0.46416),(6965,5705,0.41955,-0.45919),(6965,5715,0.42036,-0.45422),(6965,5725,0.42117,-0.44925),(6965,5735,0.42196,-0.44428),(6965,5745,0.42275,-0.43931),(6965,5755,0.42353,-0.4343),(6965,5765,0.42431,-0.42927),(6965,5775,0.42507,-0.42423),(6965,5785,0.42584,-0.41918),(6965,5795,0.42661,-0.41412),(6965,5805,0.42736,-0.40906),(6965,5815,0.42811,-0.40399),(6965,5825,0.42886,-0.39889),(6965,5835,0.4296,-0.39379),(6965,5845,0.43033,-0.38869),(6965,5855,0.43107,-0.38355),(6965,5865,0.43179,-0.37841),(6965,5875,0.43251,-0.37327),(6965,5885,0.43322,-0.36812),(6965,5895,0.43393,-0.36296),(6965,5905,0.43463,-0.35781),(6965,5915,0.43532,-0.35263),(6965,5925,0.43601,-0.34745),(6965,5935,0.43668,-0.34226),(6965,5945,0.43735,-0.33704),(6965,5955,0.43802,-0.3318),(6965,5965,0.43867,-0.32656),(6965,5975,0.43932,-0.32132),(6965,5985,0.43998,-0.31607),(6965,5995,0.44063,-0.31082),(6965,6005,0.44128,-0.30557),(6965,6015,0.44192,-0.30031),(6965,6025,0.44257,-0.29506),(6965,6035,0.44321,-0.28981),(6965,6045,0.44386,-0.28455),(6965,6055,0.4445,-0.27928),(6965,6065,0.44513,-0.27402),(6965,6075,0.44577,-0.26878),(6965,6085,0.44639,-0.26355),(6965,6095,0.44699,-0.25831),(6965,6105,0.44759,-0.25304),(6965,6115,0.44818,-0.24775),(6965,6125,0.44872,-0.24247),(6965,6135,0.44925,-0.23711),(6965,6145,0.44978,-0.2317),(6965,6155,0.45029,-0.22629),(6965,6165,0.45079,-0.22092),(6965,6175,0.45129,-0.21561),(6965,6185,0.4518,-0.21029),(6965,6195,0.45232,-0.20499),(6965,6205,0.45283,-0.19973),(6965,6215,0.45333,-0.19447),(6965,6225,0.45383,-0.18921),(6965,6235,0.45432,-0.18378),(6965,6245,0.45481,-0.17836),(6965,6255,0.45528,-0.17294),(6965,6265,0.45575,-0.16757),(6965,6275,0.45622,-0.16221),(6965,6285,0.45666,-0.15685),(6965,6295,0.4571,-0.15151),(6965,6305,0.45754,-0.14619),(6965,6315,0.45792,-0.14087),(6965,6325,0.4583,-0.13556),(6965,6335,0.45869,-0.13024),(6965,6345,0.45902,-0.12493),(6965,6355,0.45935,-0.1196),(6965,6365,0.45967,-0.11426),(6965,6375,0.45997,-0.10892),(6965,6385,0.46026,-0.10355),(6965,6395,0.46055,-0.098016),(6965,6405,0.46083,-0.09248),(6965,6415,0.4611,-0.086944),(6965,6425,0.46137,-0.081666),(6965,6435,0.46163,-0.076401),(6965,6445,0.46189,-0.071135),(6965,6455,0.46214,-0.065849),(6965,6465,0.46239,-0.060559),(6965,6475,0.46258,-0.055268),(6965,6485,0.46278,-0.049893),(6965,6495,0.46297,-0.044462),(6965,6505,0.46314,-0.039031),(6965,6515,0.46331,-0.033586),(6965,6525,0.46348,-0.028121),(6965,6535,0.46367,-0.022656),(6965,6545,0.46385,-0.017242),(6965,6555,0.46404,-0.011986),(6965,6565,0.46418,-0.006731),(6965,6575,0.46428,-0.001479),(6965,6585,0.46439,0.003725),(6965,6595,0.39501,0.008929),(6965,6605,0.24892,0.014133),(6965,6615,0.10282,0.014868),(6965,6625,0.000146,0.015029),(6965,6635,0.000234,0.015191),(6965,6645,0.000323,0.015235),(6965,6655,0.000411,0.015231),(6965,6665,0.000499,0.015226),(6965,6675,0.000587,0.015219),(6965,6685,0.000675,0.01521),(6965,6695,0.000762,0.0152),(6965,6705,0.000849,0.015188),(6965,6715,0.000935,0.015173),(6965,6725,0.001021,0.015158),(6965,6735,0.001106,0.015142),(6965,6745,0.001191,0.015122),(6965,6755,0.001275,0.015102),(6965,6765,0.001358,0.015082),(6965,6775,0.00144,0.015057),(6965,6785,0.001522,0.015032),(6965,6795,0.001602,0.015007),(6965,6805,0.001683,0.014979),(6965,6815,0.001762,0.01495),(6965,6825,0.001839,0.01492),(6965,6835,0.001917,0.014888),(6965,6845,0.001994,0.014855),(6965,6855,0.002068,0.014822),(6965,6865,0.002142,0.014787),(6965,6875,0.002216,0.01475),(6965,6885,0.002286,0.014713),(6965,6895,0.002357,0.014675),(6965,6905,0.002427,0.014635),(6965,6915,0.002495,0.014595),(6965,6925,0.002562,0.014555),(6965,6935,0.002628,0.014513),(6965,6945,0.002693,0.01447),(6965,6955,0.002756,0.014427),(6965,6965,0.002819,0.014382),(6965,6975,0.002881,0.014338),(6965,6985,0.00294,0.014293),(6975,5,-8e-06,-1.2908),(6975,15,-2.3e-05,-1.2907),(6975,25,-3.4e-05,-1.2906),(6975,35,-4.2e-05,-1.2905),(6975,45,-4.9e-05,-1.2904),(6975,55,-5.7e-05,-1.2904),(6975,65,-7.6e-05,-1.2903),(6975,75,-0.000105,-1.2903),(6975,85,-0.000134,-1.2903),(6975,95,-0.000163,-1.2902),(6975,105,-0.000176,-1.2901),(6975,115,-0.000179,-1.2901),(6975,125,-0.000183,-1.29),(6975,135,-0.000186,-1.2899),(6975,145,-0.000192,-1.2899),(6975,155,-0.000199,-1.2898),(6975,165,-0.000207,-1.2897),(6975,175,-0.000214,-1.2896),(6975,185,-0.000222,-1.2895),(6975,195,-0.000229,-1.2894),(6975,205,-0.000236,-1.2893),(6975,215,-0.000244,-1.2891),(6975,225,-0.000263,-1.289),(6975,235,-0.000287,-1.2889),(6975,245,-0.000311,-1.2887),(6975,255,-0.000334,-1.2886),(6975,265,-0.000348,-1.2884),(6975,275,-0.000358,-1.2883),(6975,285,-0.000368,-1.2881),(6975,295,-0.000378,-1.288),(6975,305,-0.000383,-1.2878),(6975,315,-0.000388,-1.2876),(6975,325,-0.000393,-1.2875),(6975,335,-0.000398,-1.2873),(6975,345,-0.000382,-1.2872),(6975,355,-0.000362,-1.287),(6975,365,-0.000341,-1.2869),(6975,375,-0.000321,-1.2867),(6975,385,-0.000288,-1.2865),(6975,395,-0.000254,-1.2864),(6975,405,-0.000219,-1.2862),(6975,415,-0.000185,-1.286),(6975,425,-0.000199,-1.2859),(6975,435,-0.000217,-1.2857),(6975,445,-0.000236,-1.2854),(6975,455,-0.000254,-1.2851),(6975,465,-0.000307,-1.2848),(6975,475,-0.000361,-1.2844),(6975,485,-0.000415,-1.2841),(6975,495,-0.000469,-1.2838),(6975,505,-0.000515,-1.2835),(6975,515,-0.000562,-1.2832),(6975,525,-0.000609,-1.2829),(6975,535,-0.000655,-1.2825),(6975,545,-0.000692,-1.2822),(6975,555,-0.000729,-1.2819),(6975,565,-0.000767,-1.2816),(6975,575,-0.000802,-1.2812),(6975,585,-0.000808,-1.2809),(6975,595,-0.000815,-1.2806),(6975,605,-0.000822,-1.2802),(6975,615,-0.000826,-1.2799),(6975,625,-0.000811,-1.2796),(6975,635,-0.000796,-1.2793),(6975,645,-0.000781,-1.2789),(6975,655,-0.000764,-1.2786),(6975,665,-0.000733,-1.2783),(6975,675,-0.000701,-1.2779),(6975,685,-0.00067,-1.2776),(6975,695,-0.000643,-1.2773),(6975,705,-0.000635,-1.277),(6975,715,-0.000627,-1.2767),(6975,725,-0.000619,-1.2763),(6975,735,-0.000624,-1.2759),(6975,745,-0.000673,-1.2755),(6975,755,-0.000721,-1.2751),(6975,765,-0.000769,-1.2746),(6975,775,-0.00081,-1.2741),(6975,785,-0.000832,-1.2736),(6975,795,-0.000854,-1.2731),(6975,805,-0.000877,-1.2726),(6975,815,-0.000879,-1.2722),(6975,825,-0.000837,-1.2717),(6975,835,-0.000796,-1.2713),(6975,845,-0.000754,-1.2709),(6975,855,-0.000708,-1.2705),(6975,865,-0.000654,-1.2702),(6975,875,-0.000601,-1.2697),(6975,885,-0.000547,-1.2693),(6975,895,-0.000506,-1.2688),(6975,905,-0.000485,-1.2684),(6975,915,-0.000464,-1.2679),(6975,925,-0.000443,-1.2674),(6975,935,-0.000445,-1.2669),(6975,945,-0.000477,-1.2664),(6975,955,-0.000509,-1.2659),(6975,965,-0.000542,-1.2653),(6975,975,-0.000598,-1.2648),(6975,985,-0.00068,-1.2642),(6975,995,-0.000763,-1.2636),(6975,1005,-0.000846,-1.2631),(6975,1015,-0.000948,-1.2625),(6975,1025,-0.001068,-1.2619),(6975,1035,-0.001188,-1.2613),(6975,1045,-0.001308,-1.2607),(6975,1055,-0.001466,-1.2601),(6975,1065,-0.001654,-1.2596),(6975,1075,-0.001843,-1.259),(6975,1085,-0.002032,-1.2586),(6975,1095,-0.002329,-1.2581),(6975,1105,-0.002701,-1.2576),(6975,1115,-0.003074,-1.2572),(6975,1125,-0.003446,-1.2569),(6975,1135,-0.004107,-1.2566),(6975,1145,-0.004937,-1.2562),(6975,1155,-0.005767,-1.256),(6975,1165,-0.006598,-1.2559),(6975,1175,-0.008184,-1.2557),(6975,1185,-0.010144,-1.2556),(6975,1195,-0.012105,-1.2556),(6975,1205,-0.014066,-1.2556),(6975,1215,-0.017912,-1.2557),(6975,1225,-0.022535,-1.2558),(6975,1235,-0.027158,-1.2555),(6975,1245,-0.031781,-1.2552),(6975,1255,-0.040316,-1.2548),(6975,1265,-0.050172,-1.2545),(6975,1275,-0.060028,-1.2506),(6975,1285,-0.069884,-1.2457),(6975,1295,-0.07084,-1.2408),(6975,1305,-0.069389,-1.2359),(6975,1315,-0.067939,-1.2268),(6975,1325,-0.066488,-1.2167),(6975,1335,-0.041003,-1.2066),(6975,1345,-0.010481,-1.1965),(6975,1355,0.020041,-1.2027),(6975,1365,0.050563,-1.2118),(6975,1375,0.060257,-1.2209),(6975,1385,0.066738,-1.23),(6975,1395,0.073219,-1.2358),(6975,1405,0.079699,-1.2411),(6975,1415,0.070454,-1.2464),(6975,1425,0.059576,-1.2518),(6975,1435,0.048698,-1.2522),(6975,1445,0.03782,-1.2522),(6975,1455,0.032441,-1.2522),(6975,1465,0.027378,-1.2522),(6975,1475,0.022316,-1.2516),(6975,1485,0.017254,-1.2511),(6975,1495,0.01503,-1.2505),(6975,1505,0.01285,-1.25),(6975,1515,0.010669,-1.2498),(6975,1525,0.008519,-1.2495),(6975,1535,0.00758,-1.2493),(6975,1545,0.00664,-1.2491),(6975,1555,0.005701,-1.2491),(6975,1565,0.004793,-1.2491),(6975,1575,0.004338,-1.2492),(6975,1585,0.003884,-1.2492),(6975,1595,0.003429,-1.2492),(6975,1605,0.003,-1.2493),(6975,1615,0.00279,-1.2493),(6975,1625,0.002579,-1.2493),(6975,1635,0.002369,-1.2495),(6975,1645,0.002176,-1.2496),(6975,1655,0.002091,-1.2498),(6975,1665,0.002005,-1.2499),(6975,1675,0.00192,-1.2501),(6975,1685,0.001844,-1.2502),(6975,1695,0.001814,-1.2503),(6975,1705,0.001783,-1.2505),(6975,1715,0.001753,-1.2505),(6975,1725,0.00173,-1.2506),(6975,1735,0.001734,-1.2507),(6975,1745,0.001738,-1.2508),(6975,1755,0.001742,-1.2509),(6975,1765,0.001747,-1.251),(6975,1775,0.001752,-1.2512),(6975,1785,0.001758,-1.2513),(6975,1795,0.001764,-1.2513),(6975,1805,0.001767,-1.2513),(6975,1815,0.001765,-1.2512),(6975,1825,0.001762,-1.2513),(6975,1835,0.001759,-1.2513),(6975,1845,0.001743,-1.2514),(6975,1855,0.001702,-1.2514),(6975,1865,0.001661,-1.2514),(6975,1875,0.001621,-1.2513),(6975,1885,0.001568,-1.2513),(6975,1895,0.001494,-1.2512),(6975,1905,0.001421,-1.2511),(6975,1915,0.001347,-1.251),(6975,1925,0.001311,-1.2508),(6975,1935,0.001326,-1.2507),(6975,1945,0.001342,-1.2507),(6975,1955,0.001357,-1.2507),(6975,1965,0.001389,-1.2508),(6975,1975,0.001439,-1.2509),(6975,1985,0.001489,-1.2508),(6975,1995,0.001538,-1.2507),(6975,2005,0.001564,-1.2506),(6975,2015,0.001565,-1.2504),(6975,2025,0.001567,-1.2503),(6975,2035,0.001568,-1.2501),(6975,2045,0.001587,-1.2499),(6975,2055,0.001621,-1.2498),(6975,2065,0.001655,-1.2496),(6975,2075,0.001689,-1.2496),(6975,2085,0.001707,-1.2495),(6975,2095,0.001712,-1.2495),(6975,2105,0.001718,-1.2493),(6975,2115,0.001723,-1.249),(6975,2125,0.001689,-1.2487),(6975,2135,0.00163,-1.2485),(6975,2145,0.001571,-1.2482),(6975,2155,0.001512,-1.2479),(6975,2165,0.001489,-1.2476),(6975,2175,0.001485,-1.2473),(6975,2185,0.001481,-1.2471),(6975,2195,0.001476,-1.247),(6975,2205,0.001487,-1.2468),(6975,2215,0.001505,-1.2466),(6975,2225,0.001523,-1.2464),(6975,2235,0.00154,-1.246),(6975,2245,0.001537,-1.2457),(6975,2255,0.001525,-1.2454),(6975,2265,0.001514,-1.2451),(6975,2275,0.001502,-1.2448),(6975,2285,0.001514,-1.2444),(6975,2295,0.001532,-1.2441),(6975,2305,0.00155,-1.2439),(6975,2315,0.001568,-1.2436),(6975,2325,0.001573,-1.2433),(6975,2335,0.001576,-1.2431),(6975,2345,0.001579,-1.2427),(6975,2355,0.001582,-1.2423),(6975,2365,0.001536,-1.242),(6975,2375,0.001482,-1.2416),(6975,2385,0.001428,-1.2411),(6975,2395,0.001373,-1.2407),(6975,2405,0.001332,-1.2402),(6975,2415,0.001291,-1.2397),(6975,2425,0.001251,-1.2393),(6975,2435,0.001211,-1.2388),(6975,2445,0.001209,-1.2383),(6975,2455,0.001209,-1.2379),(6975,2465,0.00121,-1.2374),(6975,2475,0.00121,-1.237),(6975,2485,0.00122,-1.2365),(6975,2495,0.001229,-1.2361),(6975,2505,0.001239,-1.2356),(6975,2515,0.001249,-1.2352),(6975,2525,0.001247,-1.2347),(6975,2535,0.001246,-1.2343),(6975,2545,0.001244,-1.2337),(6975,2555,0.001243,-1.2332),(6975,2565,0.001239,-1.2327),(6975,2575,0.001236,-1.2321),(6975,2585,0.001232,-1.2316),(6975,2595,0.00123,-1.231),(6975,2605,0.001238,-1.2304),(6975,2615,0.001247,-1.2299),(6975,2625,0.001255,-1.2293),(6975,2635,0.001262,-1.2287),(6975,2645,0.001259,-1.2282),(6975,2655,0.001256,-1.2276),(6975,2665,0.001252,-1.227),(6975,2675,0.001245,-1.2263),(6975,2685,0.001219,-1.2256),(6975,2695,0.001194,-1.225),(6975,2705,0.001168,-1.2243),(6975,2715,0.001143,-1.2236),(6975,2725,0.001123,-1.2229),(6975,2735,0.001104,-1.2222),(6975,2745,0.001084,-1.2216),(6975,2755,0.001066,-1.2209),(6975,2765,0.001055,-1.2202),(6975,2775,0.001044,-1.2195),(6975,2785,0.001032,-1.2188),(6975,2795,0.001023,-1.2181),(6975,2805,0.001018,-1.2173),(6975,2815,0.001013,-1.2166),(6975,2825,0.001008,-1.2158),(6975,2835,0.001009,-1.2151),(6975,2845,0.001021,-1.2144),(6975,2855,0.001034,-1.2136),(6975,2865,0.001046,-1.2129),(6975,2875,0.00105,-1.2121),(6975,2885,0.00104,-1.2114),(6975,2895,0.00103,-1.2106),(6975,2905,0.00102,-1.2097),(6975,2915,0.000999,-1.2088),(6975,2925,0.000959,-1.208),(6975,2935,0.00092,-1.2071),(6975,2945,0.000881,-1.2061),(6975,2955,0.000852,-1.2052),(6975,2965,0.000836,-1.2043),(6975,2975,0.000821,-1.2034),(6975,2985,0.000805,-1.2025),(6975,2995,0.000798,-1.2016),(6975,3005,0.0008,-1.2008),(6975,3015,0.000802,-1.1999),(6975,3025,0.000805,-1.199),(6975,3035,0.000807,-1.1981),(6975,3045,0.000811,-1.1973),(6975,3055,0.000814,-1.1964),(6975,3065,0.000818,-1.1955),(6975,3075,0.000826,-1.1945),(6975,3085,0.000839,-1.1936),(6975,3095,0.000851,-1.1927),(6975,3105,0.000864,-1.1917),(6975,3115,0.000877,-1.1907),(6975,3125,0.00089,-1.1897),(6975,3135,0.000904,-1.1887),(6975,3145,0.000917,-1.1877),(6975,3155,0.000919,-1.1867),(6975,3165,0.000915,-1.1857),(6975,3175,0.000911,-1.1847),(6975,3185,0.000907,-1.1837),(6975,3195,0.000878,-1.1826),(6975,3205,0.000837,-1.1816),(6975,3215,0.000797,-1.1804),(6975,3225,0.000756,-1.1793),(6975,3235,0.000714,-1.1781),(6975,3245,0.000672,-1.177),(6975,3255,0.000629,-1.1759),(6975,3265,0.000586,-1.1748),(6975,3275,0.000576,-1.1737),(6975,3285,0.000575,-1.1726),(6975,3295,0.000575,-1.1715),(6975,3305,0.000574,-1.1704),(6975,3315,0.0006,-1.1693),(6975,3325,0.000632,-1.1681),(6975,3335,0.000664,-1.167),(6975,3345,0.000696,-1.1659),(6975,3355,0.000747,-1.1647),(6975,3365,0.000801,-1.1636),(6975,3375,0.000854,-1.1624),(6975,3385,0.000908,-1.1613),(6975,3395,0.000961,-1.1601),(6975,3405,0.001014,-1.159),(6975,3415,0.001067,-1.1578),(6975,3425,0.00112,-1.1566),(6975,3435,0.001137,-1.1554),(6975,3445,0.001151,-1.1542),(6975,3455,0.001165,-1.153),(6975,3465,0.001179,-1.1517),(6975,3475,0.001151,-1.1504),(6975,3485,0.001121,-1.1491),(6975,3495,0.001091,-1.1478),(6975,3505,0.001061,-1.1465),(6975,3515,0.001033,-1.1451),(6975,3525,0.001005,-1.1438),(6975,3535,0.000977,-1.1425),(6975,3545,0.000949,-1.1411),(6975,3555,0.000921,-1.1398),(6975,3565,0.000894,-1.1385),(6975,3575,0.000866,-1.1371),(6975,3585,0.00084,-1.1357),(6975,3595,0.000831,-1.1343),(6975,3605,0.000823,-1.1329),(6975,3615,0.000814,-1.1316),(6975,3625,0.000811,-1.1302),(6975,3635,0.000846,-1.1289),(6975,3645,0.000881,-1.1276),(6975,3655,0.000916,-1.1261),(6975,3665,0.000945,-1.1247),(6975,3675,0.000942,-1.1233),(6975,3685,0.00094,-1.1219),(6975,3695,0.000938,-1.1206),(6975,3705,0.000917,-1.1193),(6975,3715,0.000822,-1.118),(6975,3725,0.000728,-1.1166),(6975,3735,0.000634,-1.1151),(6975,3745,0.000504,-1.1136),(6975,3755,0.000262,-1.1121),(6975,3765,2e-05,-1.1107),(6975,3775,-0.000222,-1.1094),(6975,3785,-0.000524,-1.108),(6975,3795,-0.000978,-1.1067),(6975,3805,-0.001432,-1.1053),(6975,3815,-0.001887,-1.1039),(6975,3825,-0.002473,-1.1025),(6975,3835,-0.003338,-1.1011),(6975,3845,-0.004203,-1.0997),(6975,3855,-0.005068,-1.0987),(6975,3865,-0.00623,-1.0976),(6975,3875,-0.007919,-1.0966),(6975,3885,-0.009607,-1.0955),(6975,3895,-0.011296,-1.0944),(6975,3905,-0.013772,-1.0933),(6975,3915,-0.017425,-1.0922),(6975,3925,-0.021078,-1.0909),(6975,3935,-0.02473,-1.0892),(6975,3945,-0.029846,-1.0875),(6975,3955,-0.03682,-1.0858),(6975,3965,-0.043793,-1.0826),(6975,3975,-0.050767,-1.0777),(6975,3985,-0.05629,-1.0727),(6975,3995,-0.060244,-1.0677),(6975,4005,-0.064198,-1.0595),(6975,4015,-0.068151,-1.048),(6975,4025,0.010025,-1.0364),(6975,4035,0.096236,-1.0284),(6975,4045,0.18245,-1.0277),(6975,4055,0.23417,-1.0269),(6975,4065,0.27332,-1.0261),(6975,4075,0.31247,-1.0248),(6975,4085,0.3301,-1.0235),(6975,4095,0.33044,-1.0222),(6975,4105,0.33078,-1.0208),(6975,4115,0.33108,-1.0194),(6975,4125,0.33131,-1.018),(6975,4135,0.33155,-1.0165),(6975,4145,0.33176,-1.015),(6975,4155,0.3319,-1.0136),(6975,4165,0.33204,-1.012),(6975,4175,0.33218,-1.0105),(6975,4185,0.33225,-1.009),(6975,4195,0.33233,-1.0074),(6975,4205,0.3324,-1.0058),(6975,4215,0.33244,-1.0042),(6975,4225,0.33248,-1.0025),(6975,4235,0.33252,-1.0007),(6975,4245,0.33255,-0.99888),(6975,4255,0.33257,-0.99707),(6975,4265,0.33259,-0.99518),(6975,4275,0.33262,-0.9933),(6975,4285,0.33264,-0.99142),(6975,4295,0.33266,-0.98946),(6975,4305,0.33268,-0.98748),(6975,4315,0.33271,-0.98551),(6975,4325,0.33273,-0.98346),(6975,4335,0.33275,-0.98138),(6975,4345,0.33278,-0.9793),(6975,4355,0.3328,-0.97714),(6975,4365,0.33282,-0.97493),(6975,4375,0.33285,-0.97271),(6975,4385,0.33288,-0.97046),(6975,4395,0.33291,-0.96814),(6975,4405,0.33294,-0.96582),(6975,4415,0.33299,-0.96346),(6975,4425,0.33303,-0.96098),(6975,4435,0.33308,-0.9585),(6975,4445,0.33314,-0.95601),(6975,4455,0.33319,-0.95342),(6975,4465,0.33327,-0.95082),(6975,4475,0.33337,-0.94823),(6975,4485,0.33346,-0.94558),(6975,4495,0.33357,-0.94291),(6975,4505,0.33373,-0.94024),(6975,4515,0.33388,-0.93753),(6975,4525,0.33404,-0.93479),(6975,4535,0.33425,-0.93205),(6975,4545,0.33446,-0.92927),(6975,4555,0.33467,-0.92647),(6975,4565,0.33494,-0.92367),(6975,4575,0.33521,-0.92083),(6975,4585,0.33547,-0.91791),(6975,4595,0.33577,-0.91499),(6975,4605,0.33607,-0.91206),(6975,4615,0.33638,-0.90904),(6975,4625,0.3367,-0.90602),(6975,4635,0.33704,-0.903),(6975,4645,0.33738,-0.89993),(6975,4655,0.33773,-0.89684),(6975,4665,0.3381,-0.89376),(6975,4675,0.33847,-0.89063),(6975,4685,0.33885,-0.88748),(6975,4695,0.33926,-0.88433),(6975,4705,0.33966,-0.88111),(6975,4715,0.34007,-0.87785),(6975,4725,0.34052,-0.87458),(6975,4735,0.34097,-0.87129),(6975,4745,0.34141,-0.86794),(6975,4755,0.3419,-0.8646),(6975,4765,0.34239,-0.86123),(6975,4775,0.34288,-0.85782),(6975,4785,0.34339,-0.8544),(6975,4795,0.34391,-0.85098),(6975,4805,0.34442,-0.84747),(6975,4815,0.34494,-0.84397),(6975,4825,0.34547,-0.84046),(6975,4835,0.346,-0.83689),(6975,4845,0.34655,-0.83331),(6975,4855,0.34712,-0.82973),(6975,4865,0.3477,-0.82612),(6975,4875,0.34828,-0.8225),(6975,4885,0.3489,-0.81887),(6975,4895,0.34952,-0.81521),(6975,4905,0.35014,-0.81152),(6975,4915,0.35078,-0.80782),(6975,4925,0.35143,-0.80411),(6975,4935,0.35208,-0.80036),(6975,4945,0.35275,-0.79662),(6975,4955,0.35343,-0.79287),(6975,4965,0.35411,-0.78912),(6975,4975,0.35482,-0.78537),(6975,4985,0.35555,-0.78162),(6975,4995,0.35627,-0.7778),(6975,5005,0.35701,-0.77399),(6975,5015,0.35776,-0.77017),(6975,5025,0.3585,-0.76626),(6975,5035,0.35925,-0.76233),(6975,5045,0.35998,-0.7584),(6975,5055,0.36071,-0.7544),(6975,5065,0.36144,-0.75036),(6975,5075,0.36216,-0.74632),(6975,5085,0.36289,-0.74225),(6975,5095,0.36361,-0.73814),(6975,5105,0.36435,-0.73403),(6975,5115,0.3651,-0.72991),(6975,5125,0.36584,-0.72577),(6975,5135,0.36661,-0.72162),(6975,5145,0.36738,-0.71748),(6975,5155,0.36815,-0.71328),(6975,5165,0.36893,-0.70907),(6975,5175,0.36971,-0.70487),(6975,5185,0.37048,-0.70061),(6975,5195,0.37127,-0.69635),(6975,5205,0.37206,-0.69208),(6975,5215,0.37285,-0.68779),(6975,5225,0.37365,-0.68348),(6975,5235,0.37447,-0.67917),(6975,5245,0.37529,-0.67485),(6975,5255,0.37611,-0.6705),(6975,5265,0.37693,-0.66615),(6975,5275,0.37776,-0.66179),(6975,5285,0.37858,-0.65739),(6975,5295,0.37941,-0.65298),(6975,5305,0.38023,-0.64857),(6975,5315,0.38106,-0.64409),(6975,5325,0.38189,-0.63961),(6975,5335,0.38273,-0.63514),(6975,5345,0.38356,-0.63064),(6975,5355,0.3844,-0.62615),(6975,5365,0.38525,-0.62166),(6975,5375,0.3861,-0.61712),(6975,5385,0.38696,-0.61258),(6975,5395,0.38782,-0.60804),(6975,5405,0.38868,-0.60345),(6975,5415,0.38954,-0.59883),(6975,5425,0.39039,-0.59421),(6975,5435,0.39124,-0.58956),(6975,5445,0.39209,-0.58487),(6975,5455,0.39294,-0.58018),(6975,5465,0.39379,-0.57548),(6975,5475,0.39463,-0.57075),(6975,5485,0.39549,-0.56603),(6975,5495,0.39634,-0.5613),(6975,5505,0.39719,-0.55653),(6975,5515,0.39804,-0.55177),(6975,5525,0.3989,-0.54701),(6975,5535,0.39975,-0.54219),(6975,5545,0.40059,-0.53737),(6975,5555,0.40143,-0.53255),(6975,5565,0.40227,-0.5277),(6975,5575,0.40311,-0.52284),(6975,5585,0.40393,-0.51798),(6975,5595,0.40476,-0.51312),(6975,5605,0.40559,-0.50825),(6975,5615,0.40641,-0.50339),(6975,5625,0.40723,-0.4985),(6975,5635,0.40806,-0.49358),(6975,5645,0.40887,-0.48867),(6975,5655,0.40967,-0.48374),(6975,5665,0.41048,-0.47878),(6975,5675,0.41128,-0.47382),(6975,5685,0.41207,-0.46886),(6975,5695,0.41286,-0.46389),(6975,5705,0.41364,-0.45892),(6975,5715,0.41443,-0.45395),(6975,5725,0.41522,-0.44898),(6975,5735,0.416,-0.44401),(6975,5745,0.41676,-0.43904),(6975,5755,0.41753,-0.43403),(6975,5765,0.4183,-0.42899),(6975,5775,0.41905,-0.42396),(6975,5785,0.4198,-0.41891),(6975,5795,0.42054,-0.41385),(6975,5805,0.42128,-0.40879),(6975,5815,0.42201,-0.40371),(6975,5825,0.42275,-0.39861),(6975,5835,0.42347,-0.39351),(6975,5845,0.42419,-0.38841),(6975,5855,0.42491,-0.38327),(6975,5865,0.42563,-0.37813),(6975,5875,0.42634,-0.37299),(6975,5885,0.42705,-0.36783),(6975,5895,0.42776,-0.36268),(6975,5905,0.42845,-0.35752),(6975,5915,0.42915,-0.35234),(6975,5925,0.42984,-0.34716),(6975,5935,0.43051,-0.34198),(6975,5945,0.43118,-0.33676),(6975,5955,0.43185,-0.33152),(6975,5965,0.4325,-0.32628),(6975,5975,0.43315,-0.32104),(6975,5985,0.43379,-0.31578),(6975,5995,0.43444,-0.31053),(6975,6005,0.43509,-0.30527),(6975,6015,0.43573,-0.30001),(6975,6025,0.43637,-0.29476),(6975,6035,0.43701,-0.2895),(6975,6045,0.43765,-0.28423),(6975,6055,0.43829,-0.27897),(6975,6065,0.43892,-0.2737),(6975,6075,0.43955,-0.26847),(6975,6085,0.44017,-0.26323),(6975,6095,0.44077,-0.258),(6975,6105,0.44138,-0.25274),(6975,6115,0.44197,-0.24747),(6975,6125,0.4425,-0.2422),(6975,6135,0.44304,-0.23685),(6975,6145,0.44357,-0.23145),(6975,6155,0.44406,-0.22605),(6975,6165,0.44455,-0.22067),(6975,6175,0.44504,-0.21535),(6975,6185,0.44553,-0.21003),(6975,6195,0.44602,-0.20472),(6975,6205,0.44652,-0.19946),(6975,6215,0.447,-0.1942),(6975,6225,0.44748,-0.18893),(6975,6235,0.44796,-0.18351),(6975,6245,0.44844,-0.17809),(6975,6255,0.4489,-0.17266),(6975,6265,0.44936,-0.16729),(6975,6275,0.44982,-0.16194),(6975,6285,0.45026,-0.15658),(6975,6295,0.45071,-0.15125),(6975,6305,0.45115,-0.14594),(6975,6315,0.45153,-0.14064),(6975,6325,0.45192,-0.13533),(6975,6335,0.45231,-0.13003),(6975,6345,0.45265,-0.12472),(6975,6355,0.45298,-0.11941),(6975,6365,0.45331,-0.11407),(6975,6375,0.45362,-0.10874),(6975,6385,0.45392,-0.10337),(6975,6395,0.45421,-0.097839),(6975,6405,0.4545,-0.092302),(6975,6415,0.45477,-0.086766),(6975,6425,0.45505,-0.081488),(6975,6435,0.45531,-0.076222),(6975,6445,0.45556,-0.070956),(6975,6455,0.45582,-0.06568),(6975,6465,0.45606,-0.060402),(6975,6475,0.45625,-0.055124),(6975,6485,0.45644,-0.049754),(6975,6495,0.45664,-0.044324),(6975,6505,0.45681,-0.038893),(6975,6515,0.45699,-0.033443),(6975,6525,0.45717,-0.027968),(6975,6535,0.45735,-0.022492),(6975,6545,0.45754,-0.017076),(6975,6555,0.45773,-0.011842),(6975,6565,0.45785,-0.006609),(6975,6575,0.45794,-0.001377),(6975,6585,0.45804,0.003839),(6975,6595,0.3896,0.009055),(6975,6605,0.24551,0.014272),(6975,6615,0.10141,0.014994),(6975,6625,0.000144,0.01514),(6975,6635,0.000235,0.015285),(6975,6645,0.000325,0.015324),(6975,6655,0.000415,0.01532),(6975,6665,0.000505,0.015315),(6975,6675,0.000594,0.015308),(6975,6685,0.000684,0.015298),(6975,6695,0.000773,0.015288),(6975,6705,0.000861,0.015276),(6975,6715,0.000949,0.01526),(6975,6725,0.001037,0.015245),(6975,6735,0.001123,0.015228),(6975,6745,0.00121,0.015207),(6975,6755,0.001295,0.015187),(6975,6765,0.001379,0.015166),(6975,6775,0.001464,0.01514),(6975,6785,0.001547,0.015114),(6975,6795,0.001628,0.015089),(6975,6805,0.00171,0.015059),(6975,6815,0.001791,0.015029),(6975,6825,0.001869,0.014998),(6975,6835,0.001948,0.014966),(6975,6845,0.002026,0.014931),(6975,6855,0.002101,0.014897),(6975,6865,0.002176,0.014861),(6975,6875,0.002251,0.014823),(6975,6885,0.002323,0.014785),(6975,6895,0.002394,0.014746),(6975,6905,0.002465,0.014705),(6975,6915,0.002534,0.014664),(6975,6925,0.002602,0.014622),(6975,6935,0.002669,0.014578),(6975,6945,0.002735,0.014535),(6975,6955,0.002798,0.014491),(6975,6965,0.002862,0.014445),(6975,6975,0.002924,0.014399),(6975,6985,0.002984,0.014352),(6985,5,-7e-06,-1.2908),(6985,15,-2.1e-05,-1.2907),(6985,25,-3.3e-05,-1.2906),(6985,35,-4.2e-05,-1.2905),(6985,45,-5.1e-05,-1.2904),(6985,55,-6e-05,-1.2904),(6985,65,-8.2e-05,-1.2904),(6985,75,-0.000114,-1.2903),(6985,85,-0.000146,-1.2903),(6985,95,-0.000177,-1.2902),(6985,105,-0.000191,-1.2901),(6985,115,-0.000192,-1.2901),(6985,125,-0.000194,-1.29),(6985,135,-0.000195,-1.2899),(6985,145,-0.000195,-1.2898),(6985,155,-0.000195,-1.2898),(6985,165,-0.000195,-1.2897),(6985,175,-0.000195,-1.2896),(6985,185,-0.000198,-1.2895),(6985,195,-0.000201,-1.2894),(6985,205,-0.000204,-1.2893),(6985,215,-0.000207,-1.2891),(6985,225,-0.000229,-1.289),(6985,235,-0.000257,-1.2889),(6985,245,-0.000286,-1.2888),(6985,255,-0.000314,-1.2886),(6985,265,-0.000335,-1.2885),(6985,275,-0.000354,-1.2883),(6985,285,-0.000373,-1.2882),(6985,295,-0.000391,-1.288),(6985,305,-0.000407,-1.2878),(6985,315,-0.000422,-1.2876),(6985,325,-0.000436,-1.2875),(6985,335,-0.000451,-1.2873),(6985,345,-0.000442,-1.2872),(6985,355,-0.000428,-1.287),(6985,365,-0.000414,-1.2868),(6985,375,-0.0004,-1.2867),(6985,385,-0.000359,-1.2865),(6985,395,-0.000315,-1.2863),(6985,405,-0.00027,-1.2862),(6985,415,-0.000226,-1.286),(6985,425,-0.000223,-1.2858),(6985,435,-0.000224,-1.2857),(6985,445,-0.000224,-1.2854),(6985,455,-0.000225,-1.2851),(6985,465,-0.00027,-1.2848),(6985,475,-0.000317,-1.2845),(6985,485,-0.000363,-1.2842),(6985,495,-0.00041,-1.2839),(6985,505,-0.000458,-1.2836),(6985,515,-0.000506,-1.2833),(6985,525,-0.000554,-1.2829),(6985,535,-0.000603,-1.2826),(6985,545,-0.000654,-1.2823),(6985,555,-0.000706,-1.2819),(6985,565,-0.000757,-1.2816),(6985,575,-0.000806,-1.2813),(6985,585,-0.000831,-1.2809),(6985,595,-0.000855,-1.2806),(6985,605,-0.000879,-1.2803),(6985,615,-0.000899,-1.2799),(6985,625,-0.000892,-1.2796),(6985,635,-0.000884,-1.2792),(6985,645,-0.000876,-1.2789),(6985,655,-0.000863,-1.2785),(6985,665,-0.000827,-1.2782),(6985,675,-0.00079,-1.2779),(6985,685,-0.000754,-1.2776),(6985,695,-0.00072,-1.2773),(6985,705,-0.000699,-1.277),(6985,715,-0.000677,-1.2766),(6985,725,-0.000655,-1.2763),(6985,735,-0.000649,-1.2759),(6985,745,-0.000692,-1.2755),(6985,755,-0.000736,-1.2751),(6985,765,-0.000779,-1.2746),(6985,775,-0.00082,-1.2741),(6985,785,-0.000853,-1.2736),(6985,795,-0.000886,-1.2731),(6985,805,-0.00092,-1.2727),(6985,815,-0.000932,-1.2722),(6985,825,-0.000899,-1.2717),(6985,835,-0.000865,-1.2713),(6985,845,-0.000832,-1.2709),(6985,855,-0.000791,-1.2705),(6985,865,-0.000737,-1.2701),(6985,875,-0.000683,-1.2697),(6985,885,-0.000628,-1.2693),(6985,895,-0.000585,-1.2688),(6985,905,-0.000558,-1.2684),(6985,915,-0.000531,-1.2679),(6985,925,-0.000503,-1.2674),(6985,935,-0.000499,-1.2669),(6985,945,-0.000524,-1.2664),(6985,955,-0.000548,-1.2659),(6985,965,-0.000573,-1.2654),(6985,975,-0.000626,-1.2648),(6985,985,-0.000709,-1.2643),(6985,995,-0.000792,-1.2637),(6985,1005,-0.000876,-1.2631),(6985,1015,-0.000979,-1.2625),(6985,1025,-0.001103,-1.262),(6985,1035,-0.001226,-1.2614),(6985,1045,-0.00135,-1.2608),(6985,1055,-0.00151,-1.2602),(6985,1065,-0.001699,-1.2597),(6985,1075,-0.001888,-1.2591),(6985,1085,-0.002077,-1.2587),(6985,1095,-0.002364,-1.2582),(6985,1105,-0.00272,-1.2578),(6985,1115,-0.003075,-1.2574),(6985,1125,-0.00343,-1.2571),(6985,1135,-0.004054,-1.2568),(6985,1145,-0.004836,-1.2565),(6985,1155,-0.005618,-1.2564),(6985,1165,-0.0064,-1.2563),(6985,1175,-0.00793,-1.2563),(6985,1185,-0.00983,-1.2563),(6985,1195,-0.01173,-1.2565),(6985,1205,-0.01363,-1.2569),(6985,1215,-0.017569,-1.2573),(6985,1225,-0.022349,-1.2578),(6985,1235,-0.027129,-1.2583),(6985,1245,-0.031908,-1.2589),(6985,1255,-0.041355,-1.2594),(6985,1265,-0.052378,-1.26),(6985,1275,-0.0634,-1.2573),(6985,1285,-0.074423,-1.2535),(6985,1295,-0.076376,-1.2498),(6985,1305,-0.075876,-1.246),(6985,1315,-0.075377,-1.235),(6985,1325,-0.074877,-1.2223),(6985,1335,-0.046198,-1.2096),(6985,1345,-0.011614,-1.1969),(6985,1355,0.02297,-1.205),(6985,1365,0.057554,-1.2169),(6985,1375,0.067428,-1.2288),(6985,1385,0.07349,-1.2406),(6985,1395,0.079552,-1.2457),(6985,1405,0.085614,-1.2499),(6985,1415,0.075057,-1.2541),(6985,1425,0.062774,-1.2583),(6985,1435,0.050492,-1.2576),(6985,1445,0.03821,-1.2566),(6985,1455,0.032548,-1.2556),(6985,1465,0.027268,-1.2545),(6985,1475,0.021988,-1.2536),(6985,1485,0.016708,-1.2527),(6985,1495,0.014521,-1.2518),(6985,1505,0.012379,-1.2509),(6985,1515,0.010238,-1.2505),(6985,1525,0.008128,-1.2501),(6985,1535,0.007238,-1.2498),(6985,1545,0.006347,-1.2494),(6985,1555,0.005457,-1.2494),(6985,1565,0.004598,-1.2494),(6985,1575,0.004182,-1.2494),(6985,1585,0.003767,-1.2494),(6985,1595,0.003352,-1.2494),(6985,1605,0.00296,-1.2494),(6985,1615,0.002768,-1.2494),(6985,1625,0.002575,-1.2494),(6985,1635,0.002383,-1.2496),(6985,1645,0.002206,-1.2497),(6985,1655,0.002127,-1.2498),(6985,1665,0.002047,-1.25),(6985,1675,0.001967,-1.2501),(6985,1685,0.001896,-1.2502),(6985,1695,0.001861,-1.2504),(6985,1705,0.001827,-1.2505),(6985,1715,0.001792,-1.2506),(6985,1725,0.001764,-1.2506),(6985,1735,0.00176,-1.2507),(6985,1745,0.001755,-1.2508),(6985,1755,0.00175,-1.2509),(6985,1765,0.001747,-1.251),(6985,1775,0.001749,-1.2512),(6985,1785,0.001752,-1.2513),(6985,1795,0.001754,-1.2513),(6985,1805,0.001757,-1.2512),(6985,1815,0.001762,-1.2512),(6985,1825,0.001767,-1.2513),(6985,1835,0.001773,-1.2513),(6985,1845,0.001767,-1.2514),(6985,1855,0.00174,-1.2514),(6985,1865,0.001713,-1.2514),(6985,1875,0.001686,-1.2514),(6985,1885,0.001636,-1.2513),(6985,1895,0.001551,-1.2513),(6985,1905,0.001466,-1.2512),(6985,1915,0.00138,-1.251),(6985,1925,0.001331,-1.2509),(6985,1935,0.001331,-1.2507),(6985,1945,0.001331,-1.2507),(6985,1955,0.001331,-1.2507),(6985,1965,0.001361,-1.2508),(6985,1975,0.001426,-1.2508),(6985,1985,0.001491,-1.2508),(6985,1995,0.001556,-1.2507),(6985,2005,0.001594,-1.2505),(6985,2015,0.001607,-1.2504),(6985,2025,0.00162,-1.2502),(6985,2035,0.001632,-1.2501),(6985,2045,0.001657,-1.2499),(6985,2055,0.001692,-1.2497),(6985,2065,0.001726,-1.2496),(6985,2075,0.001761,-1.2496),(6985,2085,0.001787,-1.2495),(6985,2095,0.001805,-1.2494),(6985,2105,0.001824,-1.2493),(6985,2115,0.001843,-1.249),(6985,2125,0.001816,-1.2488),(6985,2135,0.001762,-1.2485),(6985,2145,0.001707,-1.2482),(6985,2155,0.001653,-1.2479),(6985,2165,0.001625,-1.2476),(6985,2175,0.001611,-1.2474),(6985,2185,0.001597,-1.2471),(6985,2195,0.001584,-1.247),(6985,2205,0.001587,-1.2468),(6985,2215,0.001598,-1.2466),(6985,2225,0.001609,-1.2464),(6985,2235,0.00162,-1.2461),(6985,2245,0.001603,-1.2457),(6985,2255,0.001577,-1.2454),(6985,2265,0.001551,-1.2451),(6985,2275,0.001525,-1.2448),(6985,2285,0.00152,-1.2445),(6985,2295,0.00152,-1.2441),(6985,2305,0.001521,-1.2439),(6985,2315,0.001522,-1.2436),(6985,2325,0.001524,-1.2433),(6985,2335,0.001526,-1.2431),(6985,2345,0.001529,-1.2427),(6985,2355,0.001531,-1.2424),(6985,2365,0.001488,-1.242),(6985,2375,0.001438,-1.2416),(6985,2385,0.001387,-1.2412),(6985,2395,0.001337,-1.2407),(6985,2405,0.001294,-1.2402),(6985,2415,0.001252,-1.2398),(6985,2425,0.00121,-1.2393),(6985,2435,0.001169,-1.2388),(6985,2445,0.00117,-1.2383),(6985,2455,0.001175,-1.2379),(6985,2465,0.001179,-1.2374),(6985,2475,0.001184,-1.237),(6985,2485,0.0012,-1.2365),(6985,2495,0.001216,-1.2361),(6985,2505,0.001232,-1.2356),(6985,2515,0.001248,-1.2352),(6985,2525,0.001244,-1.2347),(6985,2535,0.001239,-1.2343),(6985,2545,0.001234,-1.2338),(6985,2555,0.001229,-1.2332),(6985,2565,0.001214,-1.2327),(6985,2575,0.001199,-1.2322),(6985,2585,0.001184,-1.2316),(6985,2595,0.001171,-1.231),(6985,2605,0.001176,-1.2304),(6985,2615,0.001182,-1.2299),(6985,2625,0.001187,-1.2293),(6985,2635,0.001192,-1.2287),(6985,2645,0.001198,-1.2282),(6985,2655,0.001205,-1.2276),(6985,2665,0.001211,-1.2269),(6985,2675,0.001213,-1.2263),(6985,2685,0.001193,-1.2256),(6985,2695,0.001174,-1.225),(6985,2705,0.001155,-1.2243),(6985,2715,0.001135,-1.2236),(6985,2725,0.001114,-1.2229),(6985,2735,0.001092,-1.2223),(6985,2745,0.001071,-1.2216),(6985,2755,0.00105,-1.2209),(6985,2765,0.001033,-1.2202),(6985,2775,0.001016,-1.2196),(6985,2785,0.000999,-1.2188),(6985,2795,0.000984,-1.2181),(6985,2805,0.000973,-1.2173),(6985,2815,0.000962,-1.2166),(6985,2825,0.000951,-1.2158),(6985,2835,0.000949,-1.2151),(6985,2845,0.000964,-1.2143),(6985,2855,0.000979,-1.2136),(6985,2865,0.000994,-1.2129),(6985,2875,0.001004,-1.2121),(6985,2885,0.001004,-1.2114),(6985,2895,0.001004,-1.2106),(6985,2905,0.001004,-1.2097),(6985,2915,0.000989,-1.2089),(6985,2925,0.000952,-1.208),(6985,2935,0.000914,-1.2071),(6985,2945,0.000877,-1.2062),(6985,2955,0.000848,-1.2053),(6985,2965,0.00083,-1.2043),(6985,2975,0.000812,-1.2034),(6985,2985,0.000793,-1.2025),(6985,2995,0.000786,-1.2016),(6985,3005,0.000789,-1.2008),(6985,3015,0.000793,-1.1999),(6985,3025,0.000797,-1.199),(6985,3035,0.000797,-1.1981),(6985,3045,0.000794,-1.1973),(6985,3055,0.000791,-1.1964),(6985,3065,0.000788,-1.1955),(6985,3075,0.000786,-1.1946),(6985,3085,0.000783,-1.1936),(6985,3095,0.000781,-1.1927),(6985,3105,0.000778,-1.1917),(6985,3115,0.000783,-1.1907),(6985,3125,0.000793,-1.1897),(6985,3135,0.000803,-1.1887),(6985,3145,0.000813,-1.1877),(6985,3155,0.000822,-1.1867),(6985,3165,0.000831,-1.1857),(6985,3175,0.00084,-1.1847),(6985,3185,0.000849,-1.1837),(6985,3195,0.000834,-1.1826),(6985,3205,0.000807,-1.1816),(6985,3215,0.00078,-1.1805),(6985,3225,0.000754,-1.1793),(6985,3235,0.000715,-1.1782),(6985,3245,0.000672,-1.177),(6985,3255,0.000629,-1.1759),(6985,3265,0.000586,-1.1748),(6985,3275,0.000565,-1.1737),(6985,3285,0.000549,-1.1726),(6985,3295,0.000534,-1.1715),(6985,3305,0.000519,-1.1704),(6985,3315,0.00053,-1.1693),(6985,3325,0.000547,-1.1681),(6985,3335,0.000564,-1.167),(6985,3345,0.00058,-1.1659),(6985,3355,0.000628,-1.1647),(6985,3365,0.00068,-1.1636),(6985,3375,0.000733,-1.1624),(6985,3385,0.000786,-1.1612),(6985,3395,0.000852,-1.1601),(6985,3405,0.00092,-1.1589),(6985,3415,0.000988,-1.1577),(6985,3425,0.001056,-1.1566),(6985,3435,0.001085,-1.1554),(6985,3445,0.001112,-1.1542),(6985,3455,0.001139,-1.153),(6985,3465,0.001165,-1.1517),(6985,3475,0.001136,-1.1504),(6985,3485,0.001105,-1.1492),(6985,3495,0.001073,-1.1478),(6985,3505,0.001042,-1.1465),(6985,3515,0.001011,-1.1451),(6985,3525,0.00098,-1.1438),(6985,3535,0.000949,-1.1425),(6985,3545,0.000918,-1.1412),(6985,3555,0.000881,-1.1399),(6985,3565,0.000845,-1.1386),(6985,3575,0.000808,-1.1372),(6985,3585,0.000772,-1.1358),(6985,3595,0.000745,-1.1344),(6985,3605,0.000717,-1.133),(6985,3615,0.000689,-1.1316),(6985,3625,0.000668,-1.1303),(6985,3635,0.000697,-1.1289),(6985,3645,0.000726,-1.1275),(6985,3655,0.000755,-1.1261),(6985,3665,0.00078,-1.1247),(6985,3675,0.000785,-1.1233),(6985,3685,0.000791,-1.1219),(6985,3695,0.000796,-1.1206),(6985,3705,0.000784,-1.1193),(6985,3715,0.000702,-1.118),(6985,3725,0.000619,-1.1167),(6985,3735,0.000537,-1.1152),(6985,3745,0.000416,-1.1137),(6985,3755,0.000177,-1.1123),(6985,3765,-6.3e-05,-1.1108),(6985,3775,-0.000302,-1.1096),(6985,3785,-0.0006,-1.1083),(6985,3795,-0.001045,-1.107),(6985,3805,-0.001491,-1.1056),(6985,3815,-0.001937,-1.1043),(6985,3825,-0.002512,-1.1029),(6985,3835,-0.003362,-1.1015),(6985,3845,-0.004212,-1.1003),(6985,3855,-0.005062,-1.0993),(6985,3865,-0.006208,-1.0984),(6985,3875,-0.007878,-1.0974),(6985,3885,-0.009548,-1.0966),(6985,3895,-0.011217,-1.0958),(6985,3905,-0.013755,-1.0951),(6985,3915,-0.01759,-1.0944),(6985,3925,-0.021424,-1.0935),(6985,3935,-0.025259,-1.0926),(6985,3945,-0.030872,-1.0916),(6985,3955,-0.038743,-1.0907),(6985,3965,-0.046614,-1.0883),(6985,3975,-0.054486,-1.0843),(6985,3985,-0.061112,-1.0802),(6985,3995,-0.066391,-1.0762),(6985,4005,-0.071669,-1.067),(6985,4015,-0.076947,-1.0526),(6985,4025,0.003197,-1.0383),(6985,4035,0.091699,-1.0283),(6985,4045,0.1802,-1.0276),(6985,4055,0.2323,-1.0269),(6985,4065,0.27113,-1.0262),(6985,4075,0.30995,-1.0249),(6985,4085,0.32743,-1.0236),(6985,4095,0.32775,-1.0223),(6985,4105,0.32807,-1.021),(6985,4115,0.32836,-1.0196),(6985,4125,0.32857,-1.0182),(6985,4135,0.32879,-1.0168),(6985,4145,0.32898,-1.0153),(6985,4155,0.3291,-1.0139),(6985,4165,0.32921,-1.0124),(6985,4175,0.32933,-1.0109),(6985,4185,0.32937,-1.0094),(6985,4195,0.32941,-1.0078),(6985,4205,0.32946,-1.0062),(6985,4215,0.32946,-1.0046),(6985,4225,0.32946,-1.0029),(6985,4235,0.32946,-1.0011),(6985,4245,0.32945,-0.99934),(6985,4255,0.32944,-0.99753),(6985,4265,0.32943,-0.99565),(6985,4275,0.32941,-0.99377),(6985,4285,0.3294,-0.99189),(6985,4295,0.32939,-0.98993),(6985,4305,0.32938,-0.98796),(6985,4315,0.32938,-0.98599),(6985,4325,0.32938,-0.98394),(6985,4335,0.32938,-0.98186),(6985,4345,0.32938,-0.97979),(6985,4355,0.32939,-0.97764),(6985,4365,0.32939,-0.97543),(6985,4375,0.3294,-0.97321),(6985,4385,0.32942,-0.97097),(6985,4395,0.32943,-0.96865),(6985,4405,0.32945,-0.96633),(6985,4415,0.32947,-0.96399),(6985,4425,0.32949,-0.96151),(6985,4435,0.32952,-0.95903),(6985,4445,0.32956,-0.95655),(6985,4455,0.32959,-0.95395),(6985,4465,0.32963,-0.95136),(6985,4475,0.3297,-0.94877),(6985,4485,0.32976,-0.9461),(6985,4495,0.32984,-0.94342),(6985,4505,0.32996,-0.94075),(6985,4515,0.33007,-0.93802),(6985,4525,0.3302,-0.93526),(6985,4535,0.33038,-0.93251),(6985,4545,0.33056,-0.92972),(6985,4555,0.33074,-0.9269),(6985,4565,0.33098,-0.92408),(6985,4575,0.33123,-0.92123),(6985,4585,0.33148,-0.91831),(6985,4595,0.33175,-0.91538),(6985,4605,0.33204,-0.91244),(6985,4615,0.33233,-0.90942),(6985,4625,0.33263,-0.9064),(6985,4635,0.33295,-0.90337),(6985,4645,0.33328,-0.90029),(6985,4655,0.33361,-0.8972),(6985,4665,0.33396,-0.89412),(6985,4675,0.33431,-0.89098),(6985,4685,0.33467,-0.88782),(6985,4695,0.33506,-0.88467),(6985,4705,0.33544,-0.88144),(6985,4715,0.33582,-0.87817),(6985,4725,0.33625,-0.8749),(6985,4735,0.33667,-0.87159),(6985,4745,0.33709,-0.86823),(6985,4755,0.33756,-0.86487),(6985,4765,0.33803,-0.8615),(6985,4775,0.33851,-0.85807),(6985,4785,0.339,-0.85465),(6985,4795,0.3395,-0.85122),(6985,4805,0.34,-0.84772),(6985,4815,0.3405,-0.84421),(6985,4825,0.34101,-0.84071),(6985,4835,0.34152,-0.83713),(6985,4845,0.34204,-0.83354),(6985,4855,0.34259,-0.82995),(6985,4865,0.34314,-0.82633),(6985,4875,0.34369,-0.82269),(6985,4885,0.34429,-0.81905),(6985,4895,0.34489,-0.81537),(6985,4905,0.34549,-0.81167),(6985,4915,0.34611,-0.80797),(6985,4925,0.34673,-0.80425),(6985,4935,0.34736,-0.8005),(6985,4945,0.348,-0.79674),(6985,4955,0.34866,-0.79299),(6985,4965,0.34931,-0.78922),(6985,4975,0.35,-0.78545),(6985,4985,0.35071,-0.78168),(6985,4995,0.35142,-0.77785),(6985,5005,0.35215,-0.77401),(6985,5015,0.3529,-0.77018),(6985,5025,0.35365,-0.76627),(6985,5035,0.35439,-0.76235),(6985,5045,0.35513,-0.75842),(6985,5055,0.35586,-0.75443),(6985,5065,0.35659,-0.7504),(6985,5075,0.3573,-0.74637),(6985,5085,0.35801,-0.7423),(6985,5095,0.35873,-0.73819),(6985,5105,0.35944,-0.73408),(6985,5115,0.36015,-0.72996),(6985,5125,0.36086,-0.7258),(6985,5135,0.36159,-0.72165),(6985,5145,0.36232,-0.71749),(6985,5155,0.36306,-0.71328),(6985,5165,0.3638,-0.70908),(6985,5175,0.36455,-0.70487),(6985,5185,0.3653,-0.7006),(6985,5195,0.36605,-0.69632),(6985,5205,0.36683,-0.69204),(6985,5215,0.3676,-0.68773),(6985,5225,0.36838,-0.6834),(6985,5235,0.36919,-0.67908),(6985,5245,0.37001,-0.67474),(6985,5255,0.37082,-0.67039),(6985,5265,0.37165,-0.66603),(6985,5275,0.37247,-0.66166),(6985,5285,0.3733,-0.65726),(6985,5295,0.37411,-0.65286),(6985,5305,0.37493,-0.64844),(6985,5315,0.37575,-0.64397),(6985,5325,0.37656,-0.63949),(6985,5335,0.37737,-0.63501),(6985,5345,0.37819,-0.63051),(6985,5355,0.37901,-0.62601),(6985,5365,0.37983,-0.62151),(6985,5375,0.38066,-0.61697),(6985,5385,0.38149,-0.61242),(6985,5395,0.38233,-0.60786),(6985,5405,0.38317,-0.60327),(6985,5415,0.38402,-0.59865),(6985,5425,0.38485,-0.59403),(6985,5435,0.38568,-0.58937),(6985,5445,0.38651,-0.58468),(6985,5455,0.38735,-0.57998),(6985,5465,0.38818,-0.57528),(6985,5475,0.38902,-0.57054),(6985,5485,0.38985,-0.56581),(6985,5495,0.3907,-0.56107),(6985,5505,0.39154,-0.5563),(6985,5515,0.39238,-0.55153),(6985,5525,0.39322,-0.54677),(6985,5535,0.39407,-0.54195),(6985,5545,0.39491,-0.53713),(6985,5555,0.39574,-0.53231),(6985,5565,0.39657,-0.52746),(6985,5575,0.3974,-0.5226),(6985,5585,0.39821,-0.51774),(6985,5595,0.39902,-0.51288),(6985,5605,0.39983,-0.50801),(6985,5615,0.40064,-0.50314),(6985,5625,0.40145,-0.49825),(6985,5635,0.40225,-0.49333),(6985,5645,0.40305,-0.48841),(6985,5655,0.40384,-0.48349),(6985,5665,0.40463,-0.47853),(6985,5675,0.40541,-0.47357),(6985,5685,0.40619,-0.46861),(6985,5695,0.40696,-0.46364),(6985,5705,0.40773,-0.45866),(6985,5715,0.4085,-0.45369),(6985,5725,0.40927,-0.44872),(6985,5735,0.41003,-0.44375),(6985,5745,0.41078,-0.43878),(6985,5755,0.41154,-0.43376),(6985,5765,0.41229,-0.42873),(6985,5775,0.41302,-0.4237),(6985,5785,0.41375,-0.41865),(6985,5795,0.41448,-0.41359),(6985,5805,0.4152,-0.40853),(6985,5815,0.41592,-0.40345),(6985,5825,0.41664,-0.39835),(6985,5835,0.41735,-0.39324),(6985,5845,0.41805,-0.38813),(6985,5855,0.41876,-0.38299),(6985,5865,0.41947,-0.37784),(6985,5875,0.42017,-0.3727),(6985,5885,0.42088,-0.36754),(6985,5895,0.42158,-0.36238),(6985,5905,0.42228,-0.35722),(6985,5915,0.42298,-0.35204),(6985,5925,0.42367,-0.34686),(6985,5935,0.42434,-0.34169),(6985,5945,0.42501,-0.33647),(6985,5955,0.42568,-0.33124),(6985,5965,0.42632,-0.326),(6985,5975,0.42697,-0.32075),(6985,5985,0.42761,-0.31549),(6985,5995,0.42826,-0.31023),(6985,6005,0.4289,-0.30497),(6985,6015,0.42954,-0.29971),(6985,6025,0.43018,-0.29445),(6985,6035,0.43081,-0.28919),(6985,6045,0.43145,-0.28392),(6985,6055,0.43208,-0.27865),(6985,6065,0.4327,-0.27338),(6985,6075,0.43333,-0.26814),(6985,6085,0.43395,-0.26291),(6985,6095,0.43456,-0.25768),(6985,6105,0.43516,-0.25243),(6985,6115,0.43576,-0.24718),(6985,6125,0.43629,-0.24192),(6985,6135,0.43683,-0.23659),(6985,6145,0.43736,-0.2312),(6985,6155,0.43783,-0.22582),(6985,6165,0.43831,-0.22045),(6985,6175,0.43878,-0.21512),(6985,6185,0.43926,-0.2098),(6985,6195,0.43973,-0.20448),(6985,6205,0.4402,-0.19922),(6985,6215,0.44067,-0.19395),(6985,6225,0.44114,-0.18868),(6985,6235,0.4416,-0.18325),(6985,6245,0.44207,-0.17783),(6985,6255,0.44252,-0.1724),(6985,6265,0.44298,-0.16703),(6985,6275,0.44343,-0.16166),(6985,6285,0.44387,-0.1563),(6985,6295,0.44431,-0.15098),(6985,6305,0.44475,-0.14568),(6985,6315,0.44514,-0.14039),(6985,6325,0.44554,-0.13509),(6985,6335,0.44593,-0.1298),(6985,6345,0.44627,-0.1245),(6985,6355,0.44661,-0.1192),(6985,6365,0.44695,-0.11387),(6985,6375,0.44727,-0.10853),(6985,6385,0.44758,-0.10318),(6985,6395,0.44788,-0.097643),(6985,6405,0.44817,-0.092111),(6985,6415,0.44845,-0.086579),(6985,6425,0.44872,-0.081304),(6985,6435,0.44899,-0.076041),(6985,6445,0.44924,-0.070779),(6985,6455,0.44949,-0.065514),(6985,6465,0.44973,-0.060248),(6985,6475,0.44992,-0.054983),(6985,6485,0.45011,-0.049615),(6985,6495,0.4503,-0.044178),(6985,6505,0.45049,-0.038742),(6985,6515,0.45067,-0.033287),(6985,6525,0.45086,-0.027807),(6985,6535,0.45104,-0.022326),(6985,6545,0.45123,-0.016913),(6985,6555,0.45141,-0.011709),(6985,6565,0.45153,-0.006505),(6985,6575,0.45161,-0.001299),(6985,6585,0.45169,0.003949),(6985,6595,0.3842,0.009196),(6985,6605,0.2421,0.014444),(6985,6615,0.10001,0.015147),(6985,6625,0.000143,0.015266),(6985,6635,0.000235,0.015385),(6985,6645,0.000327,0.015417),(6985,6655,0.000419,0.015412),(6985,6665,0.000511,0.015408),(6985,6675,0.000602,0.0154),(6985,6685,0.000693,0.015389),(6985,6695,0.000783,0.015379),(6985,6705,0.000873,0.015367),(6985,6715,0.000964,0.01535),(6985,6725,0.001052,0.015334),(6985,6735,0.00114,0.015317),(6985,6745,0.001229,0.015295),(6985,6755,0.001315,0.015274),(6985,6765,0.001401,0.015252),(6985,6775,0.001487,0.015226),(6985,6785,0.001571,0.015199),(6985,6795,0.001654,0.015172),(6985,6805,0.001737,0.015142),(6985,6815,0.001819,0.01511),(6985,6825,0.001899,0.015079),(6985,6835,0.001979,0.015045),(6985,6845,0.002058,0.01501),(6985,6855,0.002134,0.014974),(6985,6865,0.00221,0.014937),(6985,6875,0.002286,0.014898),(6985,6885,0.002359,0.014858),(6985,6895,0.002432,0.014818),(6985,6905,0.002504,0.014776),(6985,6915,0.002573,0.014733),(6985,6925,0.002642,0.014691),(6985,6935,0.00271,0.014646),(6985,6945,0.002776,0.0146),(6985,6955,0.002841,0.014555),(6985,6965,0.002905,0.014508),(6985,6975,0.002968,0.014461),(6985,6985,0.003028,0.014413);
UNLOCK TABLES;

--
-- Table structure for table `ILD_00_Brho_Bz_Desc`
--

DROP TABLE IF EXISTS `ILD_00_Brho_Bz_Desc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ILD_00_Brho_Bz_Desc` (
  `rhoMin` double default NULL,
  `rhoMax` double default NULL,
  `drho` double default NULL,
  `zMin` double default NULL,
  `zMax` double default NULL,
  `dz` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ILD_00_Brho_Bz_Desc`
--

LOCK TABLES `ILD_00_Brho_Bz_Desc` WRITE;
INSERT INTO `ILD_00_Brho_Bz_Desc` VALUES (5,6985,10,5,6985,10);
UNLOCK TABLES;

--
-- Table structure for table `LDCv1_z_Bz`
--

DROP TABLE IF EXISTS `LDCv1_z_Bz`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDCv1_z_Bz` (
  `z` double default NULL,
  `B` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDCv1_z_Bz`
--

LOCK TABLES `LDCv1_z_Bz` WRITE;
INSERT INTO `LDCv1_z_Bz` VALUES (0,4),(0.01,4),(0.02,4),(0.03,4),(0.04,4),(0.05,4),(0.06,4),(0.07,4),(0.08,4),(0.09,4),(0.1,4),(0.11,4),(0.12,4),(0.13,4),(0.14,4),(0.15,4),(0.16,4),(0.17,4),(0.18,4),(0.19,4),(0.2,4),(0.21,4),(0.22,4),(0.23,4),(0.24,4),(0.25,4),(0.26,4),(0.27,4),(0.28,4),(0.29,4),(0.3,4),(0.31,4),(0.32,4),(0.33,4),(0.34,4),(0.35,4),(0.36,4),(0.37,4),(0.38,4),(0.39,4),(0.4,4),(0.41,4),(0.42,4),(0.43,4),(0.44,4),(0.45,4),(0.46,4),(0.47,4),(0.48,4),(0.49,4),(0.5,4),(0.51,4),(0.52,4),(0.53,4),(0.54,4),(0.55,4),(0.56,4),(0.57,4),(0.58,4),(0.59,4),(0.6,4),(0.61,4),(0.62,4),(0.63,4),(0.64,4),(0.65,4),(0.66,4),(0.67,4),(0.68,4),(0.69,4),(0.7,4),(0.71,4),(0.72,4),(0.73,4),(0.74,4),(0.75,4),(0.76,4),(0.77,4),(0.78,4),(0.79,4),(0.8,4),(0.81,4),(0.82,4),(0.83,4),(0.84,4),(0.85,4),(0.86,4),(0.87,4),(0.88,4),(0.89,4),(0.9,4),(0.91,4),(0.92,4),(0.93,4),(0.94,4),(0.95,4),(0.96,4),(0.97,4),(0.98,4),(0.99,4),(1,4),(1.01,4),(1.02,4),(1.03,4),(1.04,4),(1.05,4),(1.06,4),(1.07,4),(1.08,4),(1.09,4),(1.1,4),(1.11,4),(1.12,4),(1.13,4),(1.14,4),(1.15,4),(1.16,4),(1.17,4),(1.18,4),(1.19,4),(1.2,4),(1.21,4),(1.22,4),(1.23,4),(1.24,4),(1.25,4),(1.26,4),(1.27,4),(1.28,4),(1.29,4),(1.3,4),(1.31,4),(1.32,4),(1.33,4),(1.34,4),(1.35,4),(1.36,4),(1.37,4),(1.38,4),(1.39,4),(1.4,4),(1.41,4),(1.42,4),(1.43,4),(1.44,4),(1.45,4),(1.46,4),(1.47,4),(1.48,4),(1.49,4),(1.5,4),(1.51,4),(1.52,4),(1.53,4),(1.54,4),(1.55,4),(1.56,4),(1.57,4),(1.58,4),(1.59,4),(1.6,4),(1.61,4.0000001),(1.62,4.0000002),(1.63,4.0000003),(1.64,4.0000005),(1.65,4.0000006),(1.66,4.0000008),(1.67,4.000001),(1.68,4.0000011),(1.69,4.0000012),(1.7,4.0000012),(1.71,4.0000011),(1.72,4.0000009),(1.73,4.0000006),(1.74,4.0000002),(1.75,3.9999998),(1.76,3.9999995),(1.77,3.9999993),(1.78,3.9999993),(1.79,3.9999997),(1.8,4.0000005),(1.81,4.0000017),(1.82,4.0000033),(1.83,4.0000051),(1.84,4.0000069),(1.85,4.0000084),(1.86,4.0000094),(1.87,4.0000095),(1.88,4.0000083),(1.89,4.0000056),(1.9,4.0000013),(1.91,3.9999956),(1.92,3.9999889),(1.93,3.9999819),(1.94,3.9999757),(1.95,3.9999714),(1.96,3.9999704),(1.97,3.999974),(1.98,3.999983),(1.99,3.9999978),(2,4.0000182),(2.01,4.0000425),(2.02,4.0000683),(2.03,4.0000918),(2.04,4.0001084),(2.05,4.0001124),(2.06,4.0000978),(2.07,4.0000586),(2.08,3.9999897),(2.09,3.9998867),(2.1,3.9997473),(2.11,3.9995709),(2.12,3.999359),(2.13,3.9991148),(2.14,3.9988432),(2.15,3.9985498),(2.16,3.998241),(2.17,3.9979228),(2.18,3.9976008),(2.19,3.9972795),(2.2,3.9969624),(2.21,3.9966513),(2.22,3.9963472),(2.23,3.9960495),(2.24,3.9957567),(2.25,3.9954666),(2.26,3.9951765),(2.27,3.9948839),(2.28,3.9945867),(2.29,3.9942835),(2.3,3.993974),(2.31,3.9936594),(2.32,3.9933421),(2.33,3.9930259),(2.34,3.9927159),(2.35,3.9924179),(2.36,3.9921382),(2.37,3.9918828),(2.38,3.9916572),(2.39,3.9914655),(2.4,3.9913102),(2.41,3.9911917),(2.42,3.9911087),(2.43,3.9910578),(2.44,3.9910344),(2.45,3.991033),(2.46,3.9910476),(2.47,3.9910725),(2.48,3.9911024),(2.49,3.9911332),(2.5,3.9911616),(2.51,3.9911855),(2.52,3.9912038),(2.53,3.9912162),(2.54,3.9912234),(2.55,3.9912262),(2.56,3.9912259),(2.57,3.9912235),(2.58,3.9912201),(2.59,3.9912163),(2.6,3.9912126),(2.61,3.9912089),(2.62,3.9912052),(2.63,3.9912011),(2.64,3.9911965),(2.65,3.9911911),(2.66,3.9911853),(2.67,3.9911794),(2.68,3.9911742),(2.69,3.9911704),(2.7,3.9911691),(2.71,3.9911709),(2.72,3.9911762),(2.73,3.9911843),(2.74,3.9911936),(2.75,3.9912015),(2.76,3.9912038),(2.77,3.9911957),(2.78,3.9911715),(2.79,3.9911259),(2.8,3.9910537),(2.81,3.9909512),(2.82,3.9908163),(2.83,3.9906485),(2.84,3.9904497),(2.85,3.9902231),(2.86,3.9899737),(2.87,3.989707),(2.88,3.9894287),(2.89,3.9891443),(2.9,3.9888578),(2.91,3.9885722),(2.92,3.9882882),(2.93,3.9880052),(2.94,3.9877205),(2.95,3.9874299),(2.96,3.9871285),(2.97,3.9868102),(2.98,3.9864691),(2.99,3.9860996),(3,3.985697),(3.01,3.9852575),(3.02,3.9847792),(3.03,3.9842615),(3.04,3.9837059),(3.05,3.9831151),(3.06,3.982493),(3.07,3.9818442),(3.08,3.981173),(3.09,3.9804827),(3.1,3.9797753),(3.11,3.9790503),(3.12,3.9783052),(3.13,3.977535),(3.14,3.9767324),(3.15,3.9758887),(3.16,3.9749944),(3.17,3.9740396),(3.18,3.9730153),(3.19,3.9719139),(3.2,3.97073),(3.21,3.9694612),(3.22,3.968108),(3.23,3.9666744),(3.24,3.9651676),(3.25,3.9635971),(3.26,3.9619749),(3.27,3.9603137),(3.28,3.9586262),(3.29,3.956924),(3.3,3.9552166),(3.31,3.9535106),(3.32,3.9518096),(3.33,3.9501137),(3.34,3.9484204),(3.35,3.9467247),(3.36,3.9450199),(3.37,3.9432993),(3.38,3.9415565),(3.39,3.9397865),(3.4,3.9379866),(3.41,3.9361564),(3.42,3.934298),(3.43,3.9324154),(3.44,3.930514),(3.45,3.9286),(3.46,3.9266796),(3.47,3.9247583),(3.48,3.9228405),(3.49,3.9209286),(3.5,3.919023),(3.51,3.9171212),(3.52,3.9152179),(3.53,3.9133037),(3.54,3.9113659),(3.55,3.9093878),(3.56,3.9073497),(3.57,3.9052299),(3.58,3.9030061),(3.59,3.9006577),(3.6,3.8981681),(3.61,3.8955265),(3.62,3.8927288),(3.63,3.8897781),(3.64,3.8866832),(3.65,3.8834561),(3.66,3.8801091),(3.67,3.8766516),(3.68,3.8730874),(3.69,3.8694141),(3.7,3.8656227),(3.71,3.8617006),(3.72,3.8576337),(3.73,3.8534095),(3.74,3.849019),(3.75,3.8444565),(3.76,3.8397179),(3.77,3.834796),(3.78,3.8296767),(3.79,3.8243354),(3.8,3.8187384),(3.81,3.8128472),(3.82,3.8066272),(3.83,3.8000569),(3.84,3.7931326),(3.85,3.7858665),(3.86,3.7782784),(3.87,3.7703828),(3.88,3.7621789),(3.89,3.7536477),(3.9,3.7447589),(3.91,3.7354839),(3.92,3.7258075),(3.93,3.7157333),(3.94,3.7052785),(3.95,3.6944623),(3.96,3.683293),(3.97,3.6717616),(3.98,3.6598438),(3.99,3.6475101),(4,3.6347365),(4.01,3.6215129),(4.02,3.6078462),(4.03,3.5937572),(4.04,3.5792763),(4.05,3.5644392),(4.06,3.5492842),(4.07,3.5338517),(4.08,3.5181828),(4.09,3.5023176),(4.1,3.4862904),(4.11,3.4701226),(4.12,3.4538159),(4.13,3.4373468),(4.14,3.4206679),(4.15,3.4037161),(4.16,3.3864272),(4.17,3.3687522),(4.18,3.3506687),(4.19,3.3321829),(4.2,3.3133194),(4.21,3.2941052),(4.22,3.2745535),(4.23,3.2546574),(4.24,3.2343938),(4.25,3.2137374),(4.26,3.1926753),(4.27,3.1712173),(4.28,3.1493989),(4.29,3.1272771),(4.3,3.1049225),(4.31,3.0824096),(4.32,3.0598038),(4.33,3.0371462),(4.34,3.0144393),(4.35,2.9916403),(4.36,2.9686666),(4.37,2.9454165),(4.38,2.9217964),(4.39,2.8977461),(4.4,2.8732516),(4.41,2.8483428),(4.42,2.8230783),(4.43,2.7975265),(4.44,2.771748),(4.45,2.7457875),(4.46,2.7196741),(4.47,2.6934309),(4.48,2.667089),(4.49,2.6406996),(4.5,2.6143399),(4.51,2.5881104),(4.52,2.5621246),(4.53,2.5364955),(4.54,2.5113238),(4.55,2.48669),(4.56,2.4626511),(4.57,2.4392388),(4.58,2.4164593),(4.59,2.3942917),(4.6,2.3726886),(4.61,2.3515829),(4.62,2.3309016),(4.63,2.310587),(4.64,2.2906184),(4.65,2.2710237),(4.66,2.2518749),(4.67,2.2332674),(4.68,2.2152905),(4.69,2.1980023),(4.7,2.1814179),(4.71,2.1655153),(4.72,2.1502516),(4.73,2.1355848),(4.74,2.1214896),(4.75,2.1079639),(4.76,2.095024),(4.77,2.0826909),(4.78,2.070973),(4.79,2.0598515),(4.8,2.0492738),(4.81,2.0391576),(4.82,2.0294023),(4.83,2.0199038),(4.84,2.010568),(4.85,2.0013191),(4.86,1.9921033),(4.87,1.9828889),(4.88,1.9736642),(4.89,1.9644334),(4.9,1.9552118),(4.91,1.9460192),(4.92,1.9368734),(4.93,1.9277839),(4.94,1.9187488),(4.95,1.909755),(4.96,1.9007818),(4.97,1.8918076),(4.98,1.8828168),(4.99,1.8738058),(5,1.8647852),(5.01,1.8557793),(5.02,1.8468217),(5.03,1.8379497),(5.04,1.8291984),(5.05,1.8205957),(5.06,1.8121595),(5.07,1.8038974),(5.08,1.7958079),(5.09,1.7878831),(5.1,1.7801109),(5.11,1.7724786),(5.12,1.7649743),(5.13,1.7575885),(5.14,1.7503146),(5.15,1.7431484),(5.16,1.7360876),(5.17,1.7291304),(5.18,1.7222749),(5.19,1.7155176),(5.2,1.7088533),(5.21,1.7022746),(5.22,1.6957728),(5.23,1.6893385),(5.24,1.6829627),(5.25,1.676638),(5.26,1.6703593),(5.27,1.6641242),(5.28,1.6579323),(5.29,1.651784),(5.3,1.6456794),(5.31,1.6396165),(5.32,1.6335903),(5.33,1.6275931),(5.34,1.6216147),(5.35,1.6156443),(5.36,1.6096727),(5.37,1.6036934),(5.38,1.5977049),(5.39,1.5917103),(5.4,1.5857169),(5.41,1.5797347),(5.42,1.5737737),(5.43,1.5678429),(5.44,1.5619476),(5.45,1.5560897),(5.46,1.5502678),(5.47,1.5444784),(5.48,1.538718),(5.49,1.5329847),(5.5,1.5272791),(5.51,1.5216059),(5.52,1.5159728),(5.53,1.5103899),(5.54,1.5048686),(5.55,1.4994193),(5.56,1.4940511),(5.57,1.4887703),(5.58,1.4835803),(5.59,1.4784822),(5.6,1.4734751),(5.61,1.4685565),(5.62,1.4637228),(5.63,1.458969),(5.64,1.4542883),(5.65,1.4496712),(5.66,1.4451052),(5.67,1.4405745),(5.68,1.436061),(5.69,1.4315448),(5.7,1.4270069),(5.71,1.4224303),(5.72,1.417802),(5.73,1.4131134),(5.74,1.4083602),(5.75,1.4035413),(5.76,1.3986576),(5.77,1.3937105),(5.78,1.3887001),(5.79,1.3836253),(5.8,1.378483),(5.81,1.3732687),(5.82,1.3679771),(5.83,1.3626026),(5.84,1.35714),(5.85,1.3515846),(5.86,1.3459324),(5.87,1.3401798),(5.88,1.3343238),(5.89,1.3283623),(5.9,1.3222944),(5.91,1.316121),(5.92,1.3098451),(5.93,1.303472),(5.94,1.2970088),(5.95,1.2904638),(5.96,1.2838453),(5.97,1.2771612),(5.98,1.2704178),(5.99,1.2636197),(6,1.2567701),(6.01,1.2498715),(6.02,1.2429263),(6.03,1.2359378),(6.04,1.2289104),(6.05,1.2218497),(6.06,1.2147625),(6.07,1.2076557),(6.08,1.2005364),(6.09,1.1934107),(6.1,1.1862834),(6.11,1.1791574),(6.12,1.1720333),(6.13,1.1649083),(6.14,1.1577768),(6.15,1.1506291),(6.16,1.1434521),(6.17,1.1362296),(6.18,1.128943),(6.19,1.1215727),(6.2,1.114099),(6.21,1.1065042),(6.22,1.0987737),(6.23,1.0908979),(6.24,1.0828726),(6.25,1.0746999),(6.26,1.066388),(6.27,1.0579503),(6.28,1.049404),(6.29,1.0407685),(6.3,1.0320633),(6.31,1.0233065),(6.32,1.0145137),(6.33,1.005697),(6.34,0.99686496),(6.35,0.9880219),(6.36,0.97916737),(6.37,0.97029549),(6.38,0.96139461),(6.39,0.9524481),(6.4,0.94343647),(6.41,0.93434104),(6.42,0.92514824),(6.43,0.91585318),(6.44,0.90646129),(6.45,0.89698691),(6.46,0.88744945),(6.47,0.87786807),(6.48,0.86825716),(6.49,0.85862416),(6.5,0.84897065),(6.51,0.83929599),(6.52,0.82960208),(6.53,0.81989678),(6.54,0.81019474),(6.55,0.80051485),(6.56,0.79087516),(6.57,0.78128717),(6.58,0.77175128),(6.59,0.76225511),(6.6,0.7527751),(6.61,0.74328089),(6.62,0.73374126),(6.63,0.72412996),(6.64,0.71443014),(6.65,0.70463669),(6.66,0.69475643),(6.67,0.68480657),(6.68,0.6748121),(6.69,0.66480241),(6.7,0.65480759),(6.71,0.64485463),(6.72,0.63496379),(6.73,0.62514619),(6.74,0.61540291),(6.75,0.60572648),(6.76,0.59610419),(6.77,0.58652243),(6.78,0.57697073),(6.79,0.56744404),(6.8,0.55794304),(6.81,0.54847238),(6.82,0.53903833),(6.83,0.52964681),(6.84,0.52030282),(6.85,0.51101138),(6.86,0.5017793),(6.87,0.49261658),(6.88,0.48353666),(6.89,0.47455489),(6.9,0.46568574),(6.91,0.45693966),(6.92,0.44832083),(6.93,0.43982674),(6.94,0.43144989),(6.95,0.42318099),(6.96,0.41501254),(6.97,0.40694163),(6.98,0.39897091),(6.99,0.39110763),(7,0.38336112),(7.01,0.37573994),(7.02,0.36824947),(7.03,0.36089101),(7.04,0.3536626),(7.05,0.34656116),(7.06,0.33958525),(7.07,0.33273735),(7.08,0.32602476),(7.09,0.31945844),(7.1,0.31304996),(7.11,0.30680717),(7.12,0.30072979),(7.13,0.29480634),(7.14,0.28901342),(7.15,0.2833181),(7.16,0.27768292),(7.17,0.27207268),(7.18,0.26646117),(7.19,0.26083638),(7.2,0.25520268),(7.21,0.24957928),(7.22,0.24399548),(7.23,0.23848366),(7.24,0.23307208),(7.25,0.22777895),(7.26,0.2226095),(7.27,0.21755616),(7.28,0.21260174),(7.29,0.20772433),(7.3,0.20290252),(7.31,0.19811979),(7.32,0.19336711),(7.33,0.18864345),(7.34,0.18395462),(7.35,0.17931078),(7.36,0.17472361),(7.37,0.1702036),(7.38,0.16575825),(7.39,0.1613911),(7.4,0.15710203),(7.41,0.15288827),(7.42,0.1487459),(7.43,0.14467152),(7.44,0.1406634),(7.45,0.13672203),(7.46,0.1328496),(7.47,0.1290488),(7.48,0.12532094),(7.49,0.12166416),(7.5,0.1180722),(7.51,0.11453426),(7.52,0.11103591),(7.53,0.10756112),(7.54,0.10409467),(7.55,0.10062456),(7.56,0.097143811),(7.57,0.0936513),(7.58,0.090151637),(7.59,0.08665407),(7.6,0.083170733),(7.61,0.07971459),(7.62,0.076297478),(7.63,0.072928608),(7.64,0.069613761),(7.65,0.066355299),(7.66,0.063152876),(7.67,0.060004664),(7.68,0.056908779),(7.69,0.053864625),(7.7,0.0508739),(7.71,0.047941124),(7.72,0.045073636),(7.73,0.042281122),(7.74,0.039574778),(7.75,0.036966308),(7.76,0.034466909),(7.77,0.032086425),(7.78,0.029832752),(7.79,0.027711545),(7.8,0.025726181),(7.81,0.023877912),(7.82,0.022166116),(7.83,0.020588577),(7.84,0.019141717),(7.85,0.017820787),(7.86,0.016620001),(7.87,0.015532643),(7.88,0.014551189),(7.89,0.013667447),(7.9,0.012872753),(7.91,0.012158191),(7.92,0.011514837),(7.93,0.01093398),(7.94,0.010407312),(7.95,0.0099270638),(7.96,0.0094860915),(7.97,0.0090779201),(7.98,0.0086967562),(7.99,0.0083374818),(8,0.0079956367),(8.01,0.0076673963),(8.02,0.007349547),(8.03,0.0070394638),(8.04,0.0067350908),(8.05,0.0064349239),(8.06,0.0061379932),(8.07,0.0058438376),(8.08,0.0055524653),(8.09,0.0052642951),(8.1,0.0049800769),(8.11,0.0047007963),(8.12,0.0044275741),(8.13,0.0041615711),(8.14,0.0039039084),(8.15,0.0036556103),(8.16,0.0034175673),(8.17,0.0031905175),(8.18,0.0029750413),(8.19,0.0027715625),(8.2,0.0025803554),(8.21,0.0024015526),(8.22,0.0022351544),(8.23,0.002081037),(8.24,0.0019389599),(8.25,0.0018085714),(8.26,0.0016894141),(8.27,0.0015809319),(8.28,0.0014824792),(8.29,0.0013933355),(8.3,0.0013127236),(8.31,0.0012398328),(8.32,0.0011738426),(8.33,0.0011139452),(8.34,0.0010593646),(8.35,0.0010093701),(8.36,0.00096328525),(8.37,0.00092049201),(8.38,0.00088043274),(8.39,0.00084260986),(8.4,0.00080658485),(8.41,0.00077197679),(8.42,0.00073846076),(8.43,0.00070576643),(8.44,0.00067367675),(8.45,0.0006420268),(8.46,0.00061070242),(8.47,0.00057963809),(8.48,0.00054881354),(8.49,0.00051824857),(8.5,0.00048799605),(8.51,0.00045813359),(8.52,0.00042875464),(8.53,0.00039996014),(8.54,0.00037185152),(8.55,0.00034452563),(8.56,0.00031807142),(8.57,0.00029256826),(8.58,0.0002680851),(8.59,0.00024468033),(8.6,0.00022240183),(8.61,0.00020128708),(8.62,0.00018136336),(8.63,0.00016264784),(8.64,0.00014514777),(8.65,0.00012886053),(8.66,0.0001137739),(8.67,9.9866356e-05),(8.68,8.7107665e-05),(8.69,7.5459774e-05),(8.7,6.4878025e-05),(8.71,5.5312606e-05),(8.72,4.6710093e-05),(8.73,3.9014901e-05),(8.74,3.21705e-05),(8.75,2.6120306e-05),(8.76,2.0808277e-05),(8.77,1.6179269e-05),(8.78,1.2179273e-05),(8.79,0),(8.8,0),(8.81,0),(8.82,0),(8.83,0),(8.84,0),(8.85,0),(8.86,0),(8.87,0),(8.88,0),(8.89,0),(8.9,0),(8.91,0),(8.92,0),(8.93,0),(8.94,0),(8.95,0),(8.96,0),(8.97,0),(8.98,0),(8.99,0),(9,0),(9.01,0),(9.02,0),(9.03,0),(9.04,0),(9.05,0),(9.06,0),(9.07,0),(9.08,0),(9.09,0),(9.1,0),(9.11,0),(9.12,0),(9.13,0),(9.14,0),(9.15,0),(9.16,0),(9.17,0),(9.18,0),(9.19,0),(9.2,0),(9.21,0),(9.22,0),(9.23,0),(9.24,0),(9.25,0),(9.26,0),(9.27,0),(9.28,0),(9.29,0),(9.3,0),(9.31,0),(9.32,0),(9.33,0),(9.34,0),(9.35,0),(9.36,0),(9.37,0),(9.38,0),(9.39,0),(9.4,0),(9.41,0),(9.42,0),(9.43,0),(9.44,0),(9.45,0),(9.46,0),(9.47,0),(9.48,0),(9.49,0),(9.5,0),(9.51,0),(9.52,0),(9.53,0),(9.54,0),(9.55,0),(9.56,0),(9.57,0),(9.58,0),(9.59,0),(9.6,0),(9.61,0),(9.62,0),(9.63,0),(9.64,0),(9.65,0),(9.66,0),(9.67,0),(9.68,0),(9.69,0),(9.7,0),(9.71,0),(9.72,0),(9.73,0),(9.74,0),(9.75,0),(9.76,0),(9.77,0),(9.78,0),(9.79,0),(9.8,0),(9.81,0),(9.82,0),(9.83,0),(9.84,0),(9.85,0),(9.86,0),(9.87,0),(9.88,0),(9.89,0),(9.9,0),(9.91,0),(9.92,0),(9.93,0),(9.94,0),(9.95,0),(9.96,0),(9.97,0),(9.98,0),(9.99,0),(10,0);
UNLOCK TABLES;

--
-- Table structure for table `LDCv2_z_Bz`
--

DROP TABLE IF EXISTS `LDCv2_z_Bz`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `LDCv2_z_Bz` (
  `z` double default NULL,
  `B` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `LDCv2_z_Bz`
--

LOCK TABLES `LDCv2_z_Bz` WRITE;
INSERT INTO `LDCv2_z_Bz` VALUES (0,4.01350262066494),(0.01,4.01350476681617),(0.02,4.0135069129674),(0.03,4.01350905911863),(0.04,4.0135146527397),(0.05,4.01352074731737),(0.06,4.01352684189505),(0.07,4.01353560646019),(0.08,4.01354527891052),(0.09,4.01355495136085),(0.1,4.01356679916298),(0.11,4.01357998378576),(0.12,4.01359316840853),(0.13,4.01360803819048),(0.14,4.01362464445623),(0.15,4.01364125072199),(0.16,4.01365906573181),(0.17,4.01367897796424),(0.18,4.01369889019668),(0.19,4.01371955801348),(0.2,4.01374263499718),(0.21,4.01376571198088),(0.22,4.01378912431),(0.23,4.01381519879466),(0.24,4.01384127327931),(0.25,4.01386734776397),(0.26,4.01389618383059),(0.27,4.01392506195176),(0.28,4.01395394007293),(0.29,4.01398503428391),(0.3,4.01401649488409),(0.31,4.01404795548428),(0.32,4.01408112227103),(0.33,4.01411491611781),(0.34,4.01414870996459),(0.35,4.0141837458335),(0.36,4.01421959473242),(0.37,4.01425544363134),(0.38,4.01429212667501),(0.39,4.01432972247391),(0.4,4.01436731827282),(0.41,4.01440540763506),(0.42,4.01444441110121),(0.43,4.01448341456736),(0.44,4.01452264986312),(0.45,4.01456268943923),(0.46,4.01460272901535),(0.47,4.01464282970431),(0.48,4.01468350012272),(0.49,4.01472417054113),(0.5,4.01476484095955),(0.51,4.01480569599794),(0.52,4.01484655674622),(0.53,4.01488741749451),(0.54,4.01492803616303),(0.55,4.01496860978929),(0.56,4.01500918341554),(0.57,4.01504918161165),(0.58,4.01508895184502),(0.59,4.0151287220784),(0.6,4.01516769043524),(0.61,4.0152061001146),(0.62,4.01524450979395),(0.63,4.015282012561),(0.64,4.01531846134888),(0.65,4.01535491013676),(0.66,4.0153904839691),(0.67,4.01542432581309),(0.68,4.01545816765708),(0.69,4.01549132031052),(0.7,4.01552186064292),(0.71,4.01555240097532),(0.72,4.01558260990205),(0.73,4.0156091025316),(0.74,4.01563559516115),(0.75,4.01566208779069),(0.76,4.01568394965523),(0.77,4.01570559331617),(0.78,4.01572723697712),(0.79,4.01574415274834),(0.8,4.01576008725943),(0.81,4.01577602177052),(0.82,4.01578730521955),(0.83,4.01579660720008),(0.84,4.0158059091806),(0.85,4.01581083218648),(0.86,4.01581251027206),(0.87,4.01581418835765),(0.88,4.01581197829107),(0.89,4.01580496776845),(0.9,4.01579795724584),(0.91,4.01578779411264),(0.92,4.01577095088642),(0.93,4.0157541076602),(0.94,4.0157351209841),(0.95,4.01570721479072),(0.96,4.01567930859734),(0.97,4.01565057401768),(0.98,4.01561028073979),(0.99,4.01556998746191),(1,4.01552969418402),(1.01,4.01547641597338),(1.02,4.01542230893723),(1.03,4.01536820190109),(1.04,4.01530161104574),(1.05,4.01523215111896),(1.06,4.01516269119217),(1.07,4.01508155419396),(1.08,4.01499507849824),(1.09,4.01490860280253),(1.1,4.01481160228624),(1.11,4.01470631126884),(1.12,4.01460102025144),(1.13,4.01448674777243),(1.14,4.01436069036982),(1.15,4.01423463296721),(1.16,4.01410158101557),(1.17,4.01395263756297),(1.18,4.01380369411036),(1.19,4.01365024721785),(1.2,4.01347610969584),(1.21,4.01330197217383),(1.22,4.01312639702204),(1.23,4.01292454615502),(1.24,4.012722695288),(1.25,4.01252084442098),(1.26,4.01229080832877),(1.27,4.01205848694803),(1.28,4.01182616556729),(1.29,4.01156710964229),(1.3,4.01130129157337),(1.31,4.01103547350445),(1.32,4.01074493444771),(1.33,4.01044228809154),(1.34,4.01013964173536),(1.35,4.0098149437644),(1.36,4.00947178927544),(1.37,4.00912863478648),(1.38,4.00876686534179),(1.39,4.00837912413252),(1.4,4.00799138292325),(1.41,4.00758936510522),(1.42,4.00715250008087),(1.43,4.00671563505651),(1.44,4.00626989635391),(1.45,4.00577884092808),(1.46,4.00528778550225),(1.47,4.00479452233013),(1.48,4.00424359581866),(1.49,4.00369266930718),(1.5,4.0031417427957),(1.51,4.00253051323359),(1.52,4.0019133196335),(1.53,4.00129612603341),(1.54,4.00062137281882),(1.55,3.99993067931196),(1.56,3.99923998580509),(1.57,3.99849566620493),(1.58,3.99772325674639),(1.59,3.99695084728784),(1.6,3.99613021587291),(1.61,3.99526671417089),(1.62,3.99440321246887),(1.63,3.99349871871941),(1.64,3.99253337342125),(1.65,3.9915680281231),(1.66,3.99057119774325),(1.67,3.98949162085615),(1.68,3.98841204396905),(1.69,3.98731334143332),(1.7,3.98610518875709),(1.71,3.98489703608086),(1.72,3.98368570567065),(1.73,3.98233228515502),(1.74,3.98097886463939),(1.75,3.97962544412376),(1.76,3.9781245373867),(1.77,3.97660632779684),(1.78,3.97508811820699),(1.79,3.97342570661869),(1.8,3.97171976456543),(1.81,3.97001382251217),(1.82,3.96817012083413),(1.83,3.96624934895664),(1.84,3.96432857707915),(1.85,3.96228076218757),(1.86,3.96011300510651),(1.87,3.95794524802544),(1.88,3.95566693130952),(1.89,3.95321385904173),(1.9,3.95076078677394),(1.91,3.94822139645715),(1.92,3.94543712783829),(1.93,3.94265285921942),(1.94,3.93981692045533),(1.95,3.93664633299362),(1.96,3.93347574553192),(1.97,3.93030204546529),(1.98,3.92667871546951),(1.99,3.92305538547373),(2,3.91943205547795),(2.01,3.91533973166205),(2.02,3.9111834541434),(2.03,3.90702717662475),(2.04,3.90239653418998),(2.05,3.89761039454205),(2.06,3.89282425489412),(2.07,3.88757040836922),(2.08,3.8820374313928),(2.09,3.87650445441638),(2.1,3.87052827569553),(2.11,3.86410778583915),(2.12,3.85768729598276),(2.13,3.850873637952),(2.14,3.84339766306376),(2.15,3.8359216881755),(2.16,3.82813778877193),(2.17,3.81940817718008),(2.18,3.81067856558823),(2.19,3.8017728554766),(2.2,3.79156030898129),(2.21,3.78134776248598),(2.22,3.77113521599067),(2.23,3.75919634764671),(2.24,3.74724333803998),(2.25,3.73529032843325),(2.26,3.7215930415159),(2.27,3.70762352634777),(2.28,3.69365401117964),(2.29,3.67799361423701),(2.3,3.66173331935743),(2.31,3.64547302447786),(2.32,3.62766706828136),(2.33,3.60887808413074),(2.34,3.59008909998012),(2.35,3.57000183207175),(2.36,3.54853252016321),(2.37,3.52706320825467),(2.38,3.50463194591098),(2.39,3.48047186355448),(2.4,3.45631178119797),(2.41,3.43156009755481),(2.42,3.4048348063673),(2.43,3.37810951517978),(2.44,3.35108923733915),(2.45,3.32152070130228),(2.46,3.29195216526541),(2.47,3.26238362922854),(2.48,3.23510034968474),(2.49,3.20787116770346),(2.5,3.18064198572219),(2.51,3.15317608510303),(2.52,3.12566841060659),(2.53,3.09816073611015),(2.54,3.07065306161372),(2.55,3.04319305496557),(2.56,3.01573417673099),(2.57,2.9882752984964),(2.58,2.96118096744186),(2.59,2.93723579696679),(2.6,2.91329062649173),(2.61,2.88934545601666),(2.62,2.86497249864806),(2.63,2.83917242565361),(2.64,2.81337235265917),(2.65,2.78757227966472),(2.66,2.76370097898708),(2.67,2.74329607331236),(2.68,2.72289116763764),(2.69,2.70248626196292),(2.7,2.68232282615579),(2.71,2.66241643891738),(2.72,2.64251005167897),(2.73,2.62260366444056),(2.74,2.60553215214014),(2.75,2.59026359711113),(2.76,2.57499504208212),(2.77,2.5597264870531),(2.78,2.54661127295714),(2.79,2.53426002994581),(2.8,2.52190878693449),(2.81,2.50955754392316),(2.82,2.4970430771909),(2.83,2.48450313623631),(2.84,2.47196319528172),(2.85,2.45942325432713),(2.86,2.44878252619892),(2.87,2.43815735557968),(2.88,2.42753218496044),(2.89,2.41710984911532),(2.9,2.40819276080442),(2.91,2.39927567249353),(2.92,2.39035858418263),(2.93,2.38164438461902),(2.94,2.37355330647522),(2.95,2.36546222833141),(2.96,2.3573711501876),(2.97,2.34938448228657),(2.98,2.34157370009652),(2.99,2.33376291790647),(3,2.32595213571642),(3.01,2.31852444289471),(3.02,2.31148079836342),(3.03,2.30443715383212),(3.04,2.29739350930082),(3.05,2.29052337037096),(3.06,2.28375678069225),(3.07,2.27699019101353),(3.08,2.27022360133482),(3.09,2.26350373547852),(3.1,2.25679918572999),(3.11,2.25009463598145),(3.12,2.24339008623292),(3.13,2.23723035941177),(3.14,2.23114492662618),(3.15,2.22505949384059),(3.16,2.21897462750474),(3.17,2.21297158740813),(3.18,2.20696854731152),(3.19,2.20096550721491),(3.2,2.19491467708554),(3.21,2.18855432833281),(3.22,2.18219397958007),(3.23,2.17583363082733),(3.24,2.16929993323493),(3.25,2.16227445703983),(3.26,2.15524898084473),(3.27,2.14822350464963),(3.28,2.14165434799522),(3.29,2.13580647061478),(3.3,2.12995859323434),(3.31,2.1241107158539),(3.32,2.11864958516865),(3.33,2.11355358471689),(3.34,2.10845758426512),(3.35,2.10336158381336),(3.36,2.09719278158428),(3.37,2.09042379590474),(3.38,2.08365481022519),(3.39,2.07688582454565),(3.4,2.06978598105934),(3.41,2.06258626105042),(3.42,2.05538654104149),(3.43,2.04818682103256),(3.44,2.04142068554956),(3.45,2.0347054175249),(3.46,2.02799014950025),(3.47,2.02127780870283),(3.48,2.01469635678071),(3.49,2.00811490485859),(3.5,2.00153345293646),(3.51,1.99490593884035),(3.52,1.98801482524432),(3.53,1.9811237116483),(3.54,1.97423259805228),(3.55,1.96715780797103),(3.56,1.95960029442861),(3.57,1.95204278088619),(3.58,1.94448526734377),(3.59,1.93719491549385),(3.6,1.93030115770921),(3.61,1.92340739992457),(3.62,1.91651364213992),(3.63,1.90984500040172),(3.64,1.90337649134707),(3.65,1.89690798229241),(3.66,1.89043947323776),(3.67,1.88254098819931),(3.68,1.87389346812172),(3.69,1.86524594804413),(3.7,1.85659842796654),(3.71,1.84964171168557),(3.72,1.8431532387545),(3.73,1.83666476582343),(3.74,1.83017629289236),(3.75,1.82388979355871),(3.76,1.8176232696358),(3.77,1.81135674571288),(3.78,1.80510433467585),(3.79,1.79922053308192),(3.8,1.793336731488),(3.81,1.78745292989407),(3.82,1.78181833817148),(3.83,1.77745642892154),(3.84,1.7730945196716),(3.85,1.76873261042167),(3.86,1.7642621333983),(3.87,1.75952665761615),(3.88,1.75479118183399),(3.89,1.75005570605184),(3.9,1.74534648217782),(3.91,1.74067388521755),(3.92,1.73600128825728),(3.93,1.73132869129701),(3.94,1.72666126110762),(3.95,1.7219981553453),(3.96,1.71733504958298),(3.97,1.71267194382066),(3.98,1.70814713275609),(3.99,1.70369005261427),(4,1.69923297247244),(4.01,1.69477589233062),(4.02,1.68965280470703),(4.03,1.68436125943535),(4.04,1.67906971416368),(4.05,1.673778168892),(4.06,1.66857089796518),(4.07,1.66337046009335),(4.08,1.65817002222152),(4.09,1.65293046952246),(4.1,1.64697601088475),(4.11,1.64102155224704),(4.12,1.63506709360933),(4.13,1.62890709563997),(4.14,1.62180276661538),(4.15,1.61469843759079),(4.16,1.60759410856621),(4.17,1.60091488201497),(4.18,1.59520148132853),(4.19,1.58948808064208),(4.2,1.58377467995564),(4.21,1.57729325190566),(4.22,1.56980406540757),(4.23,1.56231487890948),(4.24,1.55482569241139),(4.25,1.54759491467476),(4.26,1.54056768797368),(4.27,1.5335404612726),(4.28,1.52651323457152),(4.29,1.51965718331529),(4.3,1.5128793925994),(4.31,1.50610160188352),(4.32,1.49932381116764),(4.33,1.49126066137666),(4.34,1.48290210623331),(4.35,1.47454355108995),(4.36,1.4661849959466),(4.37,1.45875314709513),(4.38,1.4513804497091),(4.39,1.44400775232307),(4.4,1.43660319529973),(4.41,1.42875409212211),(4.42,1.42090498894449),(4.43,1.41305588576688),(4.44,1.40548441919597),(4.45,1.39906827914976),(4.46,1.39265213910355),(4.47,1.38623599905734),(4.48,1.37927315786012),(4.49,1.37115190701153),(4.5,1.36303065616294),(4.51,1.35490940531435),(4.52,1.34675157610682),(4.53,1.33854858590864),(4.54,1.33034559571046),(4.55,1.32214260551228),(4.56,1.31392892838303),(4.57,1.30570733199365),(4.58,1.29748573560427),(4.59,1.28926413921489),(4.6,1.28067837405487),(4.61,1.27193746391057),(4.62,1.26319655376628),(4.63,1.25445564362198),(4.64,1.24661418985946),(4.65,1.23895941572335),(4.66,1.23130464158725),(4.67,1.22364986745114),(4.68,1.21555160947032),(4.69,1.20743245434499),(4.7,1.19931329921966),(4.71,1.1911548983281),(4.72,1.18255640560003),(4.73,1.17395791287195),(4.74,1.16535942014387),(4.75,1.15653850654252),(4.76,1.14687452460113),(4.77,1.13721054265973),(4.78,1.12754656071834),(4.79,1.11798307647888),(4.8,1.10861852903112),(4.81,1.09925398158337),(4.82,1.08988943413561),(4.83,1.08046740725105),(4.84,1.07097857993991),(4.85,1.06148975262878),(4.86,1.05200092531764),(4.87,1.0410413822449),(4.88,1.02905717294163),(4.89,1.01707296363837),(4.9,1.0050887543351),(4.91,0.994799850719009),(4.92,0.985182560350714),(4.93,0.975565269982419),(4.94,0.965947979614124),(4.95,0.955217214768062),(4.96,0.944279272684106),(4.97,0.933341330600149),(4.98,0.922403388516191),(4.99,0.909655114074955),(5,0.896850849973183),(5.01,0.88404658587141),(5.02,0.871200188768336),(5.03,0.857961003362806),(5.04,0.844721817957275),(5.05,0.831482632551744),(5.06,0.81798371730758),(5.07,0.803583728153973),(5.08,0.789183739000365),(5.09,0.774783749846758),(5.1,0.760475327309034),(5.11,0.746336490714101),(5.12,0.732197654119169),(5.13,0.718058817524235),(5.14,0.70344922920758),(5.15,0.688324525132602),(5.16,0.673199821057623),(5.17,0.658075116982644),(5.18,0.641974363741045),(5.19,0.625234686898131),(5.2,0.608495010055218),(5.21,0.591755333212305),(5.22,0.576697691607451),(5.23,0.562258233893509),(5.24,0.547818776179566),(5.25,0.533379318465624),(5.26,0.518057234963934),(5.27,0.502589225712922),(5.28,0.487121216461911),(5.29,0.471653207210899),(5.3,0.45523756407977),(5.31,0.438807489975848),(5.32,0.422377415871926),(5.33,0.406181597705347),(5.34,0.391845431421255),(5.35,0.377509265137163),(5.36,0.363173098853071),(5.37,0.349106383741632),(5.38,0.335898808756611),(5.39,0.322691233771589),(5.4,0.309483658786567),(5.41,0.296893334830704),(5.42,0.28537396778868),(5.43,0.273854600746656),(5.44,0.262335233704632),(5.45,0.251851477844124),(5.46,0.242434874622438),(5.47,0.233018271400752),(5.48,0.223601668179067),(5.49,0.214887289945164),(5.5,0.206604450578627),(5.51,0.198321611212091),(5.52,0.190038771845554),(5.53,0.181888427684009),(5.54,0.173783136330862),(5.55,0.165677844977715),(5.56,0.157572553624567),(5.57,0.150792776495808),(5.58,0.144205611670235),(5.59,0.137618446844662),(5.6,0.131031282019089),(5.61,0.124884976890624),(5.62,0.11873867176216),(5.63,0.112592366633696),(5.64,0.106446061505232),(5.65,0.10258737192862),(5.66,0.098728682352007),(5.67,0.0948699927753945),(5.68,0.091011303198782),(5.69,0.0880577862399125),(5.7,0.085104269281043),(5.71,0.0821507523221735),(5.72,0.0791972353633041),(5.73,0.0769651032323792),(5.74,0.0747329711014543),(5.75,0.0725008389705295),(5.76,0.0702687068396046),(5.77,0.0686265065912751),(5.78,0.0669843063429456),(5.79,0.0653421060946162),(5.8,0.0636999058462867),(5.81,0.0625419107476858),(5.82,0.061383915649085),(5.83,0.0602259205504841),(5.84,0.0590679254518833),(5.85,0.0583077409975752),(5.86,0.0575475565432672),(5.87,0.0567873720889591),(5.88,0.0560271876346511),(5.89,0.055593954771201),(5.9,0.055160721907751),(5.91,0.054727489044301),(5.92,0.0542942561808509),(5.93,0.0541292176448753),(5.94,0.0539641791088996),(5.95,0.053799140572924),(5.96,0.0536341020369483),(5.97,0.053687522395779),(5.98,0.0537409427546096),(5.99,0.0537943631134403),(6,0.053847783472271),(6.01,0.0540764419308159),(6.02,0.0543051003893607),(6.03,0.0545337588479056),(6.04,0.0547624173064505),(6.05,0.0551278218119262),(6.06,0.0554932263174019),(6.07,0.0558586308228775),(6.08,0.0562240353283532),(6.09,0.0566914436375221),(6.1,0.0571588519466911),(6.11,0.05762626025586),(6.12,0.058093668565029),(6.13,0.0586320702230947),(6.14,0.0591704718811604),(6.15,0.0597088735392261),(6.16,0.0602472751972918),(6.17,0.06066762026826),(6.18,0.0610879653392281),(6.19,0.0615083104101962),(6.2,0.0619286554811644),(6.21,0.0624963326750671),(6.22,0.0630640098689699),(6.23,0.0636316870628727),(6.24,0.0641993642567755),(6.25,0.0647670414506783),(6.26,0.0653347186445811),(6.27,0.0659023958384839),(6.28,0.0664700730323867),(6.29,0.0670377502262895),(6.3,0.0676054274201923),(6.31,0.068173104614095),(6.32,0.0687407818079978),(6.33,0.0693084590019006),(6.34,0.0698761361958034),(6.35,0.0704438133897062),(6.36,0.071011490583609),(6.37,0.0715791677775118),(6.38,0.072091790749782),(6.39,0.0725218323896033),(6.4,0.0729518740294246),(6.41,0.073381915669246),(6.42,0.0738119573090673),(6.43,0.0742419989488886),(6.44,0.0746720405887099),(6.45,0.0751020822285313),(6.46,0.0755321238683526),(6.47,0.0759621655081739),(6.48,0.0763922071479952),(6.49,0.0768222487878165),(6.5,0.0772522904276379),(6.51,0.0776823320674592),(6.52,0.0781123737072805),(6.53,0.0785424153471018),(6.54,0.0789724569869232),(6.55,0.0794024986267445),(6.56,0.0796536422535673),(6.57,0.0798600613771406),(6.58,0.0800664805007138),(6.59,0.080272899624287),(6.6,0.0804793187478603),(6.61,0.0806857378714335),(6.62,0.0808921569950067),(6.63,0.0810985761185799),(6.64,0.0813049952421531),(6.65,0.0815114143657264),(6.66,0.0817178334892996),(6.67,0.0819242526128728),(6.68,0.0821306717364461),(6.69,0.0823370908600193),(6.7,0.0825435099835925),(6.71,0.0827499291071657),(6.72,0.082956348230739),(6.73,0.0831290818128615),(6.74,0.083167073229181),(6.75,0.0832050646455006),(6.76,0.0832430560618202),(6.77,0.0832810474781397),(6.78,0.0833190388944593),(6.79,0.0833570303107789),(6.8,0.0833950217270985),(6.81,0.083433013143418),(6.82,0.0834710045597376),(6.83,0.0835089959760571),(6.84,0.0835469873923767),(6.85,0.0835849788086963),(6.86,0.0836229702250158),(6.87,0.0836609616413354),(6.88,0.083698953057655),(6.89,0.0837369444739745),(6.9,0.0837749358902941),(6.91,0.0837498199671501),(6.92,0.0836826324843636),(6.93,0.0836154450015772),(6.94,0.0835482575187907),(6.95,0.0834810700360043),(6.96,0.0834138825532179),(6.97,0.0833466950704314),(6.98,0.083279507587645),(6.99,0.0832123201048586),(7,0.0831451326220721),(7.01,0.0830779451392857),(7.02,0.0830107576564992),(7.03,0.0829435701737128),(7.04,0.0828763826909264),(7.05,0.0828091952081399),(7.06,0.0827420077253535),(7.07,0.0826748202425671),(7.08,0.0826076327597806),(7.09,0.0824801908150374),(7.1,0.0823527488702941),(7.11,0.0822253069255508),(7.12,0.0820978649808076),(7.13,0.0819704230360643),(7.14,0.081842981091321),(7.15,0.0817155391465777),(7.16,0.0815880972018345),(7.17,0.0814606552570912),(7.18,0.0813332133123479),(7.19,0.0812057713676046),(7.2,0.0810783294228613),(7.21,0.0809508874781181),(7.22,0.0808234455333748),(7.23,0.0806960035886315),(7.24,0.0805685616438883),(7.25,0.080441119699145),(7.26,0.0803009403274701),(7.27,0.0801416548153979),(7.28,0.0799823693033256),(7.29,0.0798230837912533),(7.3,0.079663798279181),(7.31,0.0795045127671087),(7.32,0.0793452272550364),(7.33,0.0791859417429642),(7.34,0.0790266562308919),(7.35,0.0788673707188196),(7.36,0.0787080852067473),(7.37,0.078548799694675),(7.38,0.0783895141826028),(7.39,0.0782302286705305),(7.4,0.0780709431584582),(7.41,0.0779116576463859),(7.42,0.0777523721343136),(7.43,0.0775930866222413),(7.44,0.0774222460544806),(7.45,0.0772485167227978),(7.46,0.0770747873911149),(7.47,0.076901058059432),(7.48,0.0767273287277492),(7.49,0.0765535993960663),(7.5,0.0763798700643835),(7.51,0.0762061407327006),(7.52,0.0760324114010177),(7.53,0.0758586820693349),(7.54,0.075684952737652),(7.55,0.0755112234059691),(7.56,0.0753374940742863),(7.57,0.0751637647426034),(7.58,0.0749900354109206),(7.59,0.0748163060792377),(7.6,0.0746425767475549),(7.61,0.0744680409383711),(7.62,0.0742902792191835),(7.63,0.074112517499996),(7.64,0.0739347557808084),(7.65,0.0737569940616209),(7.66,0.0735792323424333),(7.67,0.0734014706232458),(7.68,0.0732237089040582),(7.69,0.0730459471848707),(7.7,0.0728681854656831),(7.71,0.0726904237464956),(7.72,0.072512662027308),(7.73,0.0723349003081205),(7.74,0.0721571385889329),(7.75,0.0719793768697454),(7.76,0.0718016151505578),(7.77,0.0716238534313703),(7.78,0.0714460917121827),(7.79,0.0712693300826971),(7.8,0.0710932351796794),(7.81,0.0709171402766616),(7.82,0.0707410453736439),(7.83,0.0705649504706262),(7.84,0.0703888555676084),(7.85,0.0702127606645907),(7.86,0.070036665761573),(7.87,0.0698605708585552),(7.88,0.0696844759555375),(7.89,0.0695083810525198),(7.9,0.0693322861495021),(7.91,0.0691561912464843),(7.92,0.0689800963434666),(7.93,0.0688040014404488),(7.94,0.0686279065374311),(7.95,0.0684518116344134),(7.96,0.0682757167313957),(7.97,0.0681043932204661),(7.98,0.0679330697095366),(7.99,0.0677617461986071),(8,0.0675904226876776),(8.01,0.067419099176748),(8.02,0.0672477756658185),(8.03,0.067076452154889),(8.04,0.0669051286439595),(8.05,0.0667338051330299),(8.06,0.0665624816221004),(8.07,0.0663911581111709),(8.08,0.0662198346002414),(8.09,0.0660485110893119),(8.1,0.0658771875783823),(8.11,0.0657058640674528),(8.12,0.0655345405565233),(8.13,0.0653632170455938),(8.14,0.0651946757495841),(8.15,0.0650303077759541),(8.16,0.0648659398023242),(8.17,0.0647015718286942),(8.18,0.0645372038550642),(8.19,0.0643728358814343),(8.2,0.0642084679078043),(8.21,0.0640440999341743),(8.22,0.0638797319605444),(8.23,0.0637153639869144),(8.24,0.0635509960132845),(8.25,0.0633866280396545),(8.26,0.0632222600660245),(8.27,0.0630578920923946),(8.28,0.0628935241187646),(8.29,0.0627291561451346),(8.3,0.0625647881715047),(8.31,0.0624004201978747),(8.32,0.062242171122734),(8.33,0.0620854517722155),(8.34,0.0619287324216971),(8.35,0.0617720130711786),(8.36,0.0616152937206602),(8.37,0.0614585743701417),(8.38,0.0613018550196233),(8.39,0.0611451356691049),(8.4,0.0609884163185864),(8.41,0.060831696968068),(8.42,0.0606749776175495),(8.43,0.0605182582670311),(8.44,0.0603615389165127),(8.45,0.0602048195659942),(8.46,0.0600481002154758),(8.47,0.0598913808649573),(8.48,0.0597346615144389),(8.49,0.059579467854665),(8.5,0.0594303769578692),(8.51,0.0592812860610735),(8.52,0.0591321951642777),(8.53,0.058983104267482),(8.54,0.0588340133706861),(8.55,0.0586849224738904),(8.56,0.0585358315770946),(8.57,0.0583867406802989),(8.58,0.0582376497835031),(8.59,0.0580885588867074),(8.6,0.0579394679899116),(8.61,0.0577903770931158),(8.62,0.0576412861963201),(8.63,0.0574921952995243),(8.64,0.0573431044027285),(8.65,0.0571940135059328),(8.66,0.057044922609137),(8.67,0.056900495152446),(8.68,0.0567591766558247),(8.69,0.0566178581592035),(8.7,0.0564765396625822),(8.71,0.056335221165961),(8.72,0.0561939026693397),(8.73,0.0560525841727185),(8.74,0.0559112656760973),(8.75,0.055769947179476),(8.76,0.0556286286828548),(8.77,0.0554873101862335),(8.78,0.0553459916896123),(8.79,0.055204673192991),(8.8,0.0550633546963698),(8.81,0.0549220361997486),(8.82,0.0547807177031273),(8.83,0.0546393992065061),(8.84,0.0544980807098848),(8.85,0.0543639454807906),(8.86,0.0542298102516963),(8.87,0.054095675022602),(8.88,0.0539615397935077),(8.89,0.0538274045644134),(8.9,0.0536932693353192),(8.91,0.0535591341062249),(8.92,0.0534249988771306),(8.93,0.0532908636480363),(8.94,0.0531567284189421),(8.95,0.0530225931898478),(8.96,0.0528884579607535),(8.97,0.0527543227316592),(8.98,0.052620187502565),(8.99,0.0524860522734707),(9,0.0523519170443764),(9.01,0.0522177818152821),(9.02,0.052086327089029),(9.03,0.0519588931170376),(9.04,0.0518314591450461),(9.05,0.0517040251730547),(9.06,0.0515765912010633),(9.07,0.0514491572290718),(9.08,0.0513217232570804),(9.09,0.051194289285089),(9.1,0.0510668553130975),(9.11,0.0509394213411061),(9.12,0.0508119873691147),(9.13,0.0506845533971232),(9.14,0.0505571194251318),(9.15,0.0504296854531404),(9.16,0.050302251481149),(9.17,0.0501748175091575),(9.18,0.0500473835371661),(9.19,0.0499199495651747),(9.2,0.049797755220558),(9.21,0.0496768707827851),(9.22,0.0495559863450121),(9.23,0.0494351019072392),(9.24,0.0493142174694663),(9.25,0.0491933330316933),(9.26,0.0490724485939204),(9.27,0.0489515641561474),(9.28,0.0488306797183745),(9.29,0.0487097952806015),(9.3,0.0485889108428286),(9.31,0.0484680264050556),(9.32,0.0483471419672827),(9.33,0.0482262575295097),(9.34,0.0481053730917368),(9.35,0.0479844886539639),(9.36,0.0478636042161909),(9.37,0.0477439494709938),(9.38,0.0476292134960999),(9.39,0.047514477521206),(9.4,0.0473997415463121),(9.41,0.0472850055714182),(9.42,0.0471702695965244),(9.43,0.0470555336216305),(9.44,0.0469407976467366),(9.45,0.0468260616718427),(9.46,0.0467113256969488),(9.47,0.0465965897220549),(9.48,0.0464818537471611),(9.49,0.0463671177722672),(9.5,0.0462523817973733),(9.51,0.0461376458224794),(9.52,0.0460229098475855),(9.53,0.0459081738726916),(9.54,0.0457934378977977),(9.55,0.0456822451360578),(9.56,0.0455734145164204),(9.57,0.0454645838967831),(9.58,0.0453557532771457),(9.59,0.0452469226575084),(9.6,0.045138092037871),(9.61,0.0450292614182336),(9.62,0.0449204307985963),(9.63,0.0448116001789589),(9.64,0.0447027695593216),(9.65,0.0445939389396842),(9.66,0.0444851083200469),(9.67,0.0443762777004095),(9.68,0.0442674470807722),(9.69,0.0441586164611348),(9.7,0.0440497858414975),(9.71,0.0439409552218601),(9.72,0.0438321246022228),(9.73,0.0437287396707433),(9.74,0.0436253547392638),(9.75,0.0435219698077843),(9.76,0.0434185848763048),(9.77,0.0433151999448253),(9.78,0.0432118150133458),(9.79,0.0431084300818663),(9.8,0.0430050451503868),(9.81,0.0429016602189073),(9.82,0.0427982752874278),(9.83,0.0426948903559484),(9.84,0.0425915054244689),(9.85,0.0424881204929894),(9.86,0.0423847355615099),(9.87,0.0422813506300304),(9.88,0.0421779656985509),(9.89,0.0420745807670714),(9.9,0.0419731512355058),(9.91,0.0418746548038111),(9.92,0.0417761583721164),(9.93,0.0416776619404217),(9.94,0.041579165508727),(9.95,0.0414806690770322),(9.96,0.0413821726453375),(9.97,0.0412836762136428),(9.98,0.0411851797819481),(9.99,0.0410866833502534),(10,0.0409881869185586);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:54
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd00`;
USE ftd00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,200,29,140),(2,320,32,140),(3,440,35,210),(4,550,51,270),(5,800,72,290),(6,1050,93,290),(7,1300,113,290);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:55
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd01`;
USE ftd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,200,38,140),(2,320,48,140),(3,440,59,210),(4,550,68,270),(5,800,90,290),(6,1050,111,290),(7,1300,132,290);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:56
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd02`;
USE ftd02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,220,29,140),(2,350,32,140),(3,500,35,210),(4,850,51,270),(5,1200,72,290),(6,1550,93,290),(7,1900,113,290);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:57
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd03`;
USE ftd03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `Si_thickness_2` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.05,0.275,1,4,2,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,200,29,140),(2,320,32,140),(3,440,35,210),(4,550,51,270),(5,800,72,290),(6,1050,93,290),(7,1300,113,290);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:58
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd04`;
USE ftd04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `Si_thickness_2` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.05,0.275,1,4,2,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,220,29,140),(2,350,32,140),(3,500,35,210),(4,850,51,270),(5,1200,72,290),(6,1550,93,290),(7,1900,113,290);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:59
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd05`;
USE ftd05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` int(11) default NULL,
  `outer_cylinder_total_thickness` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `beamtube_clearance` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,1,0.08,0.1,8);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `outer_radius` double default NULL,
  `disk_si_thickness` double default NULL,
  `disk_support_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0.1,140,0.05,1),(2,0.16,140,0.05,1),(3,0.23,210,0.05,1),(4,0.4,270,0.275,1.5),(5,0.55,290,0.275,1.5),(6,0.7,290,0.275,1.5),(7,0.85,290,0.275,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:47:59
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd06`;
USE ftd06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` int(11) default NULL,
  `outer_cylinder_total_thickness` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `beamtube_clearance` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,1,0.08,0.1,5);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `outer_radius` double default NULL,
  `disk_si_thickness` double default NULL,
  `disk_support_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0.1,140,0.05,1),(2,0.16,140,0.05,1),(3,0.23,210,0.05,1),(4,0.4,270,0.275,1.5),(5,0.55,280,0.275,1.5),(6,0.7,280,0.275,1.5),(7,0.85,280,0.275,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:00
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd07`;
USE ftd07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `ftd1_vtx3_distance_z` double default NULL,
  `ftd7_ecal_distance_z` double default NULL,
  `ftd1_sit1_radial_diff` double default NULL,
  `ftd2_sit1_radial_diff` double default NULL,
  `ftd3_sit2_radial_diff` double default NULL,
  `ftd4to7_tpc_radial_gap` double default NULL,
  `beamtube_clearance` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `outer_cylinder_total_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (95,200,-1,-1,-1,20,15,0.08,0.1,1);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `disk_si_thickness` double default NULL,
  `disk_support_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0,0.025,0.5),(2,0.158004,0.025,0.5),(3,0.274428,0.025,0.5),(4,0.445156,0.275,1.5),(5,0.615884,0.275,1.5),(6,0.786611,0.275,1.5),(7,0,0.275,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:01
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd08`;
USE ftd08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `ftd1_vtx3_distance_z` double default NULL,
  `ftd7_ecal_distance_z` double default NULL,
  `ftd1_sit1_radial_diff` double default NULL,
  `ftd2_sit1_radial_diff` double default NULL,
  `ftd3_sit2_radial_diff` double default NULL,
  `ftd4to7_tpc_radial_gap` double default NULL,
  `beamtube_clearance` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `outer_cylinder_total_thickness` double default NULL,
  `petal_half_angle_support` double default '11.25',
  `petal_wings_length` double default '5',
  `petal_wings_thickness` double default '0.8',
  `petal_y_ratio` double default '0.5015',
  `chip_strips_thickness` double default '0.05',
  `chip_strips_width` double default '10',
  `chip_strips_length` double default '12'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (95,200,-1,-1,-1,20,15,0.08,0.1,1,11.25,5,0.8,0.5015,0.05,10,12);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `disk_si_thickness` double default NULL,
  `petal_cp_support_dxMax` double default '122.49',
  `petal_cp_holes_separation` double default NULL,
  `petal_cp_holes_edges_separation` double default NULL,
  `petal_cp_holes_width_support` double default '6',
  `padUp_Si_dxMax` double default '118.46',
  `petal_cp_support_thickness` double default '2',
  `petal_inclination_angle_support` double default '4',
  `kapton_petal_thickness` double default '0.1',
  `kapton_petal_interspace` double default '2',
  `petal_support_zoffset` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0,0.02,76.67,10,5,6,118.46,1,6,0.1,2,0),(2,0.158004,0.02,76.67,10,5,6,118.46,1,6,0.1,2,0),(3,0.274428,0.025,122.49,10,5,6,118.46,2,4,0.1,2,0),(4,0.445156,0.275,122.49,10,5,6,118.46,2,4,0.1,2,0),(5,0.615884,0.275,122.49,10,5,6,118.46,2,4,0.1,2,0),(6,0.786611,0.275,122.49,10,5,6,118.46,2,4,0.1,2,0),(7,0,0.275,122.49,10,5,6,118.46,2,4,0.1,2,0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd09`;
USE ftd09;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd09
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `ftd1_vtx3_distance_z` double default NULL,
  `ftd7_ecal_distance_z` double default NULL,
  `ftd1_sit1_radial_diff` double default NULL,
  `ftd2_sit1_radial_diff` double default NULL,
  `ftd3_sit2_radial_diff` double default NULL,
  `ftd4to7_tpc_radial_gap` double default NULL,
  `beamtube_clearance` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `outer_cylinder_total_thickness` double default NULL,
  `petal_half_angle_support` double default '11.25',
  `petal_wings_length` double default '5',
  `petal_wings_thickness` double default '0.8',
  `petal_y_ratio` double default '0.5015',
  `chip_strips_thickness` double default '0.05',
  `chip_strips_width` double default '10',
  `chip_strips_length` double default '12'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (95,200,-1,-1,-1,20,15,0.08,0.1,1,11.25,5,0.8,0.5015,0.05,10,12);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `disk_si_thickness` double default NULL,
  `petal_cp_support_dxMax` double default '122.49',
  `petal_cp_holes_separation` double default NULL,
  `petal_cp_holes_edges_separation` double default NULL,
  `petal_cp_holes_width_support` double default '6',
  `padUp_Si_dxMax` double default '118.46',
  `petal_cp_support_thickness` double default '2',
  `petal_inclination_angle_support` double default '4',
  `kapton_petal_thickness` double default '0.1',
  `kapton_petal_interspace` double default '2',
  `petal_support_zoffset` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0,0.02,76.67,10,5,6,118.46,1,0,0.1,2,1.5),(2,0.158004,0.02,76.67,10,5,6,118.46,1,0,0.1,2,1.5),(3,0.274428,0.2,122.49,10,5,6,118.46,2,0,0.1,2,1.5),(4,0.445156,0.2,122.49,10,5,6,118.46,2,0,0.1,2,1.5),(5,0.615884,0.2,122.49,10,5,6,118.46,2,0,0.1,2,1.5),(6,0.786611,0.2,122.49,10,5,6,118.46,2,0,0.1,2,1.5),(7,0,0.2,122.49,10,5,6,118.46,2,0,0.1,2,1.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:03
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftdSiD00`;
USE ftdSiD00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftdSiD00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `Si_thickness` float NOT NULL default '0',
  `inner_support_thickness` float NOT NULL default '0',
  `inner_support_length` float NOT NULL default '0',
  `outer_support_thickness` float NOT NULL default '0',
  `outer_support_length` float NOT NULL default '0',
  `outer_cylinder_total_thichness` float NOT NULL default '0',
  `cables_thichness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (0,0.3,2,4,10,4,1,0.08);
UNLOCK TABLES;

--
-- Table structure for table `disk`
--

DROP TABLE IF EXISTS `disk`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disk` (
  `disk_number` tinyint(4) NOT NULL default '0',
  `z_position` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `outer_radious` float NOT NULL default '0',
  PRIMARY KEY  (`disk_number`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disk`
--

LOCK TABLES `disk` WRITE;
INSERT INTO `disk` VALUES (1,70,14,70),(4,95,16,70),(5,120,18,70),(7,170,20,70);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:03
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ftd_simple_staggered`;
USE ftd_simple_staggered;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: ftd_simple_staggered
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `common_parameters`
--

DROP TABLE IF EXISTS `common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `common_parameters` (
  `ftd1_vtx3_distance_z` double default NULL,
  `ftd7_ecal_distance_z` double default NULL,
  `ftd1_sit1_radial_diff` double default NULL,
  `ftd2_sit1_radial_diff` double default NULL,
  `ftd3_sit2_radial_diff` double default NULL,
  `ftd4to7_tpc_radial_gap` double default NULL,
  `beamtube_clearance` double default NULL,
  `cables_thickness` double default NULL,
  `cable_shield_thickness` double default NULL,
  `outer_cylinder_total_thickness` double default NULL,
  `petal_half_angle_support` double default NULL,
  `petal_y_ratio` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `common_parameters`
--

LOCK TABLES `common_parameters` WRITE;
INSERT INTO `common_parameters` VALUES (95,200,-1,-1,-1,20,15,0.08,0.1,1,11.25,0.5015);
UNLOCK TABLES;

--
-- Table structure for table `disks`
--

DROP TABLE IF EXISTS `disks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `disks` (
  `disk_number` int(11) default NULL,
  `z_position_ReltoTPCLength` double default NULL,
  `disk_si_thickness` double default NULL,
  `petal_cp_support_dxMax` double default NULL,
  `padUp_Si_dxMax` double default NULL,
  `petal_cp_support_thickness` double default NULL,
  `petal_support_zoffset` double default NULL,
  `sensor_is_pixel` int(11) default NULL,
  `double_sided` int(11) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `disks`
--

LOCK TABLES `disks` WRITE;
INSERT INTO `disks` VALUES (1,0,0.02,76.67,118.46,1,1.5,1,0),(2,0.158004,0.02,76.67,118.46,1,1.5,1,0),(3,0.274428,0.2,122.49,118.46,2,1.5,0,1),(4,0.445156,0.2,122.49,118.46,2,1.5,0,1),(5,0.615884,0.2,122.49,118.46,2,1.5,0,1),(6,0.786611,0.2,122.49,118.46,2,1.5,0,1),(7,0,0.2,122.49,118.46,2,1.5,0,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:04
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal01`;
USE hcal01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3549,0),(2,-3549,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:08
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal02`;
USE hcal02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:11
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal03`;
USE hcal03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,860,0),(2,860,0),(3,860,0),(4,860,0),(5,860,0),(6,860,0),(7,890,15),(8,920,30),(9,950,45),(10,980,60),(11,1010,75),(12,1040,90),(13,1070,105),(14,1100,120),(15,1130,135),(16,1160,150),(17,1160,150),(18,1160,150),(19,1160,150),(20,1160,150),(21,1160,150),(22,1160,150),(23,1160,150),(24,1160,150),(25,1160,150),(26,1160,150),(27,1160,150),(28,1160,150),(29,1160,150),(30,1160,150),(31,1160,150),(32,1160,150),(33,1160,150),(34,1160,150),(35,1160,150),(36,1160,150),(37,1160,150),(38,1160,150),(39,1160,150),(40,1160,150);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,245.372,629.828,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-1764),(2,1,-882),(3,1,0),(4,1,882),(5,2,1764);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (880,860);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3023,0),(2,-3023,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:15
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal04`;
USE hcal04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `module_length` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1087),(1811),(2173),(2536),(2536),(2898),(2898),(2536),(2536),(2898),(2898),(2536),(2536),(2173),(1811),(1087);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:15
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal04scint`;
USE hcal04scint;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal04scint
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL,
  `fiber_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5,1.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'scintillator');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:20
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcal20`;
USE hcal20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcal20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1860,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1537.87,2197.39,1164.58,796.1,213.9,2365,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1550),(2,-459.25,1570),(3,-434.75,1590),(4,-410.25,1610),(5,-385.75,1630),(6,-361.25,1650),(7,-336.75,1670),(8,-312.25,1690),(9,-287.75,1710),(10,-263.25,1730),(11,-238.75,1750),(12,-214.25,1770),(13,-189.75,1790),(14,-165.25,1810),(15,-140.75,1830),(16,-116.25,1850),(17,-91.75,1870),(18,-67.25,1890),(19,-42.75,1910),(20,-18.25,1930),(21,6.25,1950),(22,30.75,1970),(23,55.25,1990),(24,79.75,2010),(25,104.25,2030),(26,128.75,2060),(27,153.25,2080),(28,177.75,2100),(29,202.25,2120),(30,226.75,2140),(31,251.25,2160),(32,275.75,2180),(33,300.25,2070),(34,324.75,1950),(35,349.25,1840),(36,373.75,1720),(37,398.25,1600),(38,422.75,1480),(39,447.25,1360),(40,471.75,1240);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcalFeRPC1`;
USE hcalFeRPC1;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcalFeRPC1
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'RPC1');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:28
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcalFeScintillator`;
USE hcalFeScintillator;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcalFeScintillator
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'Iron');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'scintillator');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hcalWModRPC1`;
USE hcalWModRPC1;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hcalWModRPC1
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1910,3,2);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_layer`
--

DROP TABLE IF EXISTS `barrel_end_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_dim_z` float default NULL,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_layer`
--

LOCK TABLES `barrel_end_layer` WRITE;
INSERT INTO `barrel_end_layer` VALUES (1,1060,0),(2,1060,0),(3,1060,0),(4,1060,0),(5,1060,0),(6,1060,0),(7,1090,15),(8,1120,30),(9,1160,50),(10,1160,50),(11,1160,50),(12,1160,50),(13,1160,50),(14,1160,50),(15,1160,50),(16,1160,50),(17,1160,50),(18,1160,50),(19,1160,50),(20,1160,50),(21,1160,50),(22,1160,50),(23,1160,50),(24,1160,50),(25,1160,50),(26,1160,50),(27,1160,50),(28,1160,50),(29,1160,50),(30,1160,50),(31,1160,50),(32,1160,50),(33,1160,50),(34,1160,50),(35,1160,50),(36,1160,50),(37,1160,50),(38,1160,50),(39,1160,50),(40,1160,50);
UNLOCK TABLES;

--
-- Table structure for table `barrel_end_module`
--

DROP TABLE IF EXISTS `barrel_end_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_end_module` (
  `y_dim1_for_z` float default NULL,
  `y_dim2_for_z` float default NULL,
  `y_dim3_for_z` float default NULL,
  `top_end_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_end_module`
--

LOCK TABLES `barrel_end_module` WRITE;
INSERT INTO `barrel_end_module` VALUES (134.8,81.7908,793.409,1180);
UNLOCK TABLES;

--
-- Table structure for table `barrel_module`
--

DROP TABLE IF EXISTS `barrel_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_module` (
  `bottom_dim_x` float default NULL,
  `midle_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `y_dim1_for_x` float default NULL,
  `y_dim2_for_x` float default NULL,
  `module_y_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_module`
--

LOCK TABLES `barrel_module` WRITE;
INSERT INTO `barrel_module` VALUES (1579.3,2238.81,1206.01,796.1,213.9,2415,10,10);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_type` tinyint(1) default NULL,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,2,-2164),(2,1,-1082),(3,1,0),(4,1,1082),(5,2,2164);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_layer`
--

DROP TABLE IF EXISTS `barrel_regular_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `chamber_y_offset` float default NULL,
  `chamber_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_layer`
--

LOCK TABLES `barrel_regular_layer` WRITE;
INSERT INTO `barrel_regular_layer` VALUES (1,-483.75,1590),(2,-459.25,1610),(3,-434.75,1630),(4,-410.25,1650),(5,-385.75,1670),(6,-361.25,1690),(7,-336.75,1710),(8,-312.25,1730),(9,-287.75,1750),(10,-263.25,1770),(11,-238.75,1790),(12,-214.25,1810),(13,-189.75,1830),(14,-165.25,1850),(15,-140.75,1870),(16,-116.25,1890),(17,-91.75,1910),(18,-67.25,1930),(19,-42.75,1950),(20,-18.25,1970),(21,6.25,2000),(22,30.75,2020),(23,55.25,2040),(24,79.75,2060),(25,104.25,2080),(26,128.75,2100),(27,153.25,2120),(28,177.75,2140),(29,202.25,2160),(30,226.75,2180),(31,251.25,2200),(32,275.75,2220),(33,300.25,2110),(34,324.75,2000),(35,349.25,1880),(36,373.75,1760),(37,398.25,1640),(38,422.75,1520),(39,447.25,1400),(40,471.75,1290);
UNLOCK TABLES;

--
-- Table structure for table `barrel_regular_module`
--

DROP TABLE IF EXISTS `barrel_regular_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_regular_module` (
  `module_dim_z` float default NULL,
  `chamber_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_regular_module`
--

LOCK TABLES `barrel_regular_module` WRITE;
INSERT INTO `barrel_regular_module` VALUES (1080,1060);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,3523,0),(2,-3523,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `chamber_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=41;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-483.75),(2,-459.25),(3,-434.75),(4,-410.25),(5,-385.75),(6,-361.25),(7,-336.75),(8,-312.25),(9,-287.75),(10,-263.25),(11,-238.75),(12,-214.25),(13,-189.75),(14,-165.25),(15,-140.75),(16,-116.25),(17,-91.75),(18,-67.25),(19,-42.75),(20,-18.25),(21,6.25),(22,30.75),(23,55.25),(24,79.75),(25,104.25),(26,128.75),(27,153.25),(28,177.75),(29,202.25),(30,226.75),(31,251.25),(32,275.75),(33,300.25),(34,324.75),(35,349.25),(36,373.75),(37,398.25),(38,422.75),(39,447.25),(40,471.75);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_radius` float default NULL,
  `module_dim_z` float default NULL,
  `chamber_radius` float default NULL,
  `center_box_size` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2900,1010,2890,600);
UNLOCK TABLES;

--
-- Table structure for table `hcal`
--

DROP TABLE IF EXISTS `hcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hcal` (
  `chamber_boundary_tickness` float default NULL,
  `chamber_tickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hcal`
--

LOCK TABLES `hcal` WRITE;
INSERT INTO `hcal` VALUES (10,6.5);
UNLOCK TABLES;

--
-- Table structure for table `radiator`
--

DROP TABLE IF EXISTS `radiator`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radiator` (
  `id` tinyint(4) NOT NULL default '0',
  `material` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radiator`
--

LOCK TABLES `radiator` WRITE;
INSERT INTO `radiator` VALUES (1,'WMod');
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `id` tinyint(2) NOT NULL default '0',
  `g10_thickness` float NOT NULL default '0',
  `glass_thickness` float NOT NULL default '0',
  `gas_thickness` float NOT NULL default '0',
  `spacer_thickness` float NOT NULL default '0',
  `spacer_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES (1,1,1,1.2,0.6,50);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
INSERT INTO `sensitive` VALUES (1,'RPC1');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope00`;
USE hodoscope00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `fiber_tickness` float NOT NULL default '0',
  `cladding_percent` float NOT NULL default '0',
  `n_fibers` smallint(3) NOT NULL default '0',
  `hodos_depth` double NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES (1,2,128,300);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope01`;
USE hodoscope01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_dim_x2` double NOT NULL default '0',
  `sci_dim_y2` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  `z_place3` double NOT NULL default '0',
  `z_place4` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,50,50,120,120,5,-2192.5,-2186.5,-423.5,-3596.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope02`;
USE hodoscope02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_dim_x2` double NOT NULL default '0',
  `sci_dim_y2` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  `z_place3` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,200,200,120,120,8,-4344,-1056,-604);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope02_01`;
USE hodoscope02_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope02_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_dim_x2` double NOT NULL default '0',
  `sci_dim_y2` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  `z_place3` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,200,200,120,120,8,-3734,-446,6);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope03`;
USE hodoscope03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,8,-1495,-730);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope03_01`;
USE hodoscope03_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope03_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,8,-735,30);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope04`;
USE hodoscope04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,8,-4648,-2017);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope04_01`;
USE hodoscope04_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope04_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,8,-2593,38);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `hodoscope05`;
USE hodoscope05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: hodoscope05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_dim_x2` double NOT NULL default '0',
  `sci_dim_y2` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  `z_place3` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,200,200,8,-2631,-2417.5,-847);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mask00`;
USE mask00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mask00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mask`
--

DROP TABLE IF EXISTS `mask`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mask` (
  `begin_z` float default NULL,
  `end_z` float default NULL,
  `out_angle` float default NULL,
  `inner_angle` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mask`
--

LOCK TABLES `mask` WRITE;
INSERT INTO `mask` VALUES (1400,2800,0.08,0.03);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:42
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mask01`;
USE mask01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mask01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mask`
--

DROP TABLE IF EXISTS `mask`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mask` (
  `begin_z` float default NULL,
  `end_z` float default NULL,
  `out_angle` float default NULL,
  `inner_angle` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mask`
--

LOCK TABLES `mask` WRITE;
INSERT INTO `mask` VALUES (1900,3300,0.08,0.03);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:42
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mask02`;
USE mask02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mask02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mask`
--

DROP TABLE IF EXISTS `mask`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mask` (
  `id` tinyint(4) NOT NULL default '0',
  `begin_z` float default NULL,
  `end_z` float default NULL,
  `out_angle` float default NULL,
  `inner_angle` float default NULL,
  `electronics_start_z` float NOT NULL default '0',
  `electronics_stop_z` float NOT NULL default '0',
  `electronics_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mask`
--

LOCK TABLES `mask` WRITE;
INSERT INTO `mask` VALUES (0,2800,3800,0.0743,0.0357,2800,3300,10);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mask03`;
USE mask03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mask03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mask`
--

DROP TABLE IF EXISTS `mask`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mask` (
  `id` tinyint(4) NOT NULL default '0',
  `lat_inner_angle` float default NULL,
  `lat_out_angle` float default NULL,
  `lcal_out_angle` float default NULL,
  `lat_begin_z` float default NULL,
  `w1_begin_z` float default NULL,
  `w2_begin_z` float default NULL,
  `w2_inner_radius` float default NULL,
  `w2_out_radius` float default NULL,
  `w2_end_z` float default NULL,
  `w3_begin_z` float default NULL,
  `w3_end_z` float default NULL,
  `c_begin_z` float default NULL,
  `c_inner_radius` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mask`
--

LOCK TABLES `mask` WRITE;
INSERT INTO `mask` VALUES (1,0.0275,0.0831,0.03,3000,3200,3350,180,270,5400,4300,4400,4100,11);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mask04`;
USE mask04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mask04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mask`
--

DROP TABLE IF EXISTS `mask`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mask` (
  `id` tinyint(4) NOT NULL default '0',
  `mask1_z1` double default NULL,
  `mask1_z2` double default NULL,
  `mask1_rmin` double default NULL,
  `mask1_rout` double default NULL,
  `mask2_z2` double default NULL,
  `mask2_rmin` double default NULL,
  `mask2_rout` double default NULL,
  `mask3_z2` double default NULL,
  `mask4_z2` double default NULL,
  `mask4_rmin` double default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mask`
--

LOCK TABLES `mask` WRITE;
INSERT INTO `mask` VALUES (0,3260,3340,75,160,3510,210,240,3580,7000,170);
UNLOCK TABLES;

--
-- Table structure for table `quadrupole`
--

DROP TABLE IF EXISTS `quadrupole`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `quadrupole` (
  `id` tinyint(4) NOT NULL default '0',
  `yoke_z0` double default NULL,
  `yoke_rmin` double default NULL,
  `coil_z0` double default NULL,
  `coil_rmin` double default NULL,
  `coil_rmax` double default NULL,
  `quad_end` double default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `quadrupole`
--

LOCK TABLES `quadrupole` WRITE;
INSERT INTO `quadrupole` VALUES (0,3960,23,4050,14,120,7000);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:44
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX00LDCv2`;
USE maskX00LDCv2;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX00LDCv2
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` char(1) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('lhcal',0.8,0.2,0.2,'-'),('beamcal',0.2,0.4,1,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'-'),('electro',0.8,0.8,0,'-'),('vacuum',0.7,0.7,1,'-'),('cryostat',0.8,0.8,0.8,'-'),('cryocore',0,0,0.5,'i'),('magnet',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_parameters`
--

DROP TABLE IF EXISTS `_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_parameters`
--

LOCK TABLES `_parameters` WRITE;
INSERT INTO `_parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (0,3650,3850,13,13,120,120,'tungsten_19.3gccm','beamcal');
UNLOCK TABLES;

--
-- Table structure for table `beamcalX`
--

DROP TABLE IF EXISTS `beamcalX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcalX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcalX`
--

LOCK TABLES `beamcalX` WRITE;
INSERT INTO `beamcalX` VALUES (3,3650,3850,13,25,120,120,'tungsten_19.3gccm','beamcal');
UNLOCK TABLES;

--
-- Table structure for table `cryocore`
--

DROP TABLE IF EXISTS `cryocore`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryocore` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryocore`
--

LOCK TABLES `cryocore` WRITE;
INSERT INTO `cryocore` VALUES (0,3970,4050,25,25,167,167,'beam','cryocore_1'),(0,4050,5750,125,125,167,167,'beam','cryocore_2'),(0,5750,6750,25,25,167,167,'beam','cryocore_3'),(0,6750,7800,125,125,167,167,'beam','cryocore_4'),(0,7800,7990,25,25,167,167,'beam','cryocore_5');
UNLOCK TABLES;

--
-- Table structure for table `cryocoreX`
--

DROP TABLE IF EXISTS `cryocoreX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryocoreX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryocoreX`
--

LOCK TABLES `cryocoreX` WRITE;
INSERT INTO `cryocoreX` VALUES (1,3961,4050,25,25,44,44,'beam','cryocore_1'),(1,4050,5750,40,40,44,44,'beam','cryocore_2'),(1,5750,6750,25,25,44,44,'beam','cryocore_3'),(1,6750,7800,40,40,44,44,'beam','cryocore_4'),(1,7800,7999,25,25,44,44,'beam','cryocore_5');
UNLOCK TABLES;

--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (0,3960,3970,25,25,177.5,177.5,'iron','cryostat_front'),(0,3970,7990,167,167,177.5,177.5,'iron','cryostat_outer'),(0,7990,8000,25,25,177.5,177.5,'iron','cryostat_back');
UNLOCK TABLES;

--
-- Table structure for table `cryostatX`
--

DROP TABLE IF EXISTS `cryostatX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostatX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostatX`
--

LOCK TABLES `cryostatX` WRITE;
INSERT INTO `cryostatX` VALUES (1,3960,3961,25,25,45,45,'iron','cryostat_front'),(1,3961,7999,44,44,45,45,'iron','cryostat_outer'),(1,7999,8000,25,25,45,45,'iron','cryostat_back');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
INSERT INTO `electro` VALUES (0,3650,3850,120,120,180,180,'silicon_2.33gccm','electro_beamcal');
UNLOCK TABLES;

--
-- Table structure for table `electroX`
--

DROP TABLE IF EXISTS `electroX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electroX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electroX`
--

LOCK TABLES `electroX` WRITE;
INSERT INTO `electroX` VALUES (0,3650,3850,120,120,180,180,'silicon_2.33gccm','electro_beamcal');
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (0,3600,3650,13,13,180,180,'graphite','absorber');
UNLOCK TABLES;

--
-- Table structure for table `graphiteX`
--

DROP TABLE IF EXISTS `graphiteX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphiteX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphiteX`
--

LOCK TABLES `graphiteX` WRITE;
INSERT INTO `graphiteX` VALUES (3,3600,3650,13,25,180,180,'graphite','absorber');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,80,80,290,290,'tungsten_19.3gccm','lhcal');
UNLOCK TABLES;

--
-- Table structure for table `lhcalX`
--

DROP TABLE IF EXISTS `lhcalX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcalX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcalX`
--

LOCK TABLES `lhcalX` WRITE;
INSERT INTO `lhcalX` VALUES (0,2500,2950,80,80,290,290,'tungsten_19.3gccm','lhcal');
UNLOCK TABLES;

--
-- Table structure for table `magnet`
--

DROP TABLE IF EXISTS `magnet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnet` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnet`
--

LOCK TABLES `magnet` WRITE;
INSERT INTO `magnet` VALUES (0,4050,5750,25,25,125,125,'iron','magnet_QFD2'),(0,6750,7800,25,25,125,125,'iron','magnet_QFF2');
UNLOCK TABLES;

--
-- Table structure for table `magnetX`
--

DROP TABLE IF EXISTS `magnetX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnetX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnetX`
--

LOCK TABLES `magnetX` WRITE;
INSERT INTO `magnetX` VALUES (1,4050,5750,25,25,40,40,'iron','magnet_QFD2'),(1,6750,7800,25,25,40,40,'iron','magnet_QFF2');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3340,3510,210,210,250,250,'tungsten_19.3gccm','support_pump_1'),(0,3510,3580,100,100,250,250,'tungsten_19.3gccm','support_pump_2'),(0,3580,8000,180,180,250,250,'tungsten_19.3gccm','support_main');
UNLOCK TABLES;

--
-- Table structure for table `supportX`
--

DROP TABLE IF EXISTS `supportX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `supportX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `supportX`
--

LOCK TABLES `supportX` WRITE;
INSERT INTO `supportX` VALUES (0,3340,3510,210,210,250,250,'tungsten_19.3gccm','support_pump_1'),(0,3510,3580,100,100,250,250,'tungsten_19.3gccm','support_pump_2'),(0,3580,8000,180,180,250,250,'tungsten_19.3gccm','support_main');
UNLOCK TABLES;

--
-- Table structure for table `vacuum`
--

DROP TABLE IF EXISTS `vacuum`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacuum` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacuum`
--

LOCK TABLES `vacuum` WRITE;
INSERT INTO `vacuum` VALUES (0,3345,3355,100,100,205,205,'iron','pump_front'),(0,3495,3505,100,100,205,205,'iron','pump_back'),(0,3355,3495,195,195,205,205,'iron','pump_outer'),(0,3355,3495,100,100,110,110,'iron','pump_inner'),(0,3870,3940,20,20,130,130,'iron','valve');
UNLOCK TABLES;

--
-- Table structure for table `vacuumX`
--

DROP TABLE IF EXISTS `vacuumX`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacuumX` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacuumX`
--

LOCK TABLES `vacuumX` WRITE;
INSERT INTO `vacuumX` VALUES (0,3345,3355,100,100,205,205,'iron','pump_front'),(0,3495,3505,100,100,205,205,'iron','pump_back'),(0,3355,3495,195,195,205,205,'iron','pump_outer'),(0,3355,3495,100,100,110,110,'iron','pump_inner'),(3,3870,3940,20,25,130,130,'iron','valve');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX00Stahl`;
USE maskX00Stahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX00Stahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` char(1) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('lumcal',0.8,0.2,0.2,'-'),('beamcal',0.2,0.4,1,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'-'),('electro',0.8,0.8,0,'-'),('vacuum',0.7,0.7,1,'-'),('cryostat',0.8,0.8,0.8,'-'),('cryocore',0,0,0.5,'i'),('magnet',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_parameters`
--

DROP TABLE IF EXISTS `_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_parameters`
--

LOCK TABLES `_parameters` WRITE;
INSERT INTO `_parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (0,3650,3850,13,13,120,120,'tungsten_19.3gccm','beamcal');
UNLOCK TABLES;

--
-- Table structure for table `cryocore`
--

DROP TABLE IF EXISTS `cryocore`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryocore` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryocore`
--

LOCK TABLES `cryocore` WRITE;
INSERT INTO `cryocore` VALUES (0,3970,4050,25,25,167,167,'beam','cryocore_1'),(0,4050,5750,125,125,167,167,'beam','cryocore_2'),(0,5750,6750,25,25,167,167,'beam','cryocore_3'),(0,6750,7800,125,125,167,167,'beam','cryocore_4'),(0,7800,7990,25,25,167,167,'beam','cryocore_5');
UNLOCK TABLES;

--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (0,3960,3970,25,25,177.5,177.5,'iron','cryostat_front'),(0,3970,7990,167,167,177.5,177.5,'iron','cryostat_outer'),(0,7990,8000,25,25,177.5,177.5,'iron','cryostat_back');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
INSERT INTO `electro` VALUES (0,3050,3250,280,280,300,300,'silicon_2.33gccm','electro_lumcal_1'),(0,3250,3300,250,250,300,300,'silicon_2.33gccm','electro_lumcal_2'),(0,3250,3330,160,160,250,250,'silicon_2.33gccm','electro_lumcal_3'),(0,3650,3850,120,120,180,180,'silicon_2.33gccm','electro_beamcal');
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (0,3600,3650,13,13,180,180,'graphite','absorber');
UNLOCK TABLES;

--
-- Table structure for table `lumcal`
--

DROP TABLE IF EXISTS `lumcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumcal`
--

LOCK TABLES `lumcal` WRITE;
INSERT INTO `lumcal` VALUES (0,3050,3250,80,80,280,280,'tungsten_19.3gccm','lumcal');
UNLOCK TABLES;

--
-- Table structure for table `magnet`
--

DROP TABLE IF EXISTS `magnet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnet` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnet`
--

LOCK TABLES `magnet` WRITE;
INSERT INTO `magnet` VALUES (0,4050,5750,25,25,125,125,'iron','magnet_QFD2'),(0,6750,7800,25,25,125,125,'iron','magnet_QFF2');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3250,3340,110,110,160,160,'tungsten_19.3gccm','support_lumcal'),(0,3340,3510,210,210,250,250,'tungsten_19.3gccm','support_pump_1'),(0,3510,3580,100,100,250,250,'tungsten_19.3gccm','support_pump_2'),(0,3580,8000,180,180,250,250,'tungsten_19.3gccm','support_main');
UNLOCK TABLES;

--
-- Table structure for table `vacuum`
--

DROP TABLE IF EXISTS `vacuum`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacuum` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacuum`
--

LOCK TABLES `vacuum` WRITE;
INSERT INTO `vacuum` VALUES (0,3345,3355,100,100,205,205,'iron','pump_front'),(0,3495,3505,100,100,205,205,'iron','pump_back'),(0,3355,3495,195,195,205,205,'iron','pump_outer'),(0,3355,3495,100,100,110,110,'iron','pump_inner'),(0,3870,3940,20,20,130,130,'iron','valve');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX00TDR`;
USE maskX00TDR;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX00TDR
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` char(1) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('lat',0.8,0.2,0.2,'-'),('lcal',0.2,0.4,1,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'-'),('cryostat',0.8,0.8,0.8,'-'),('cryocore',0,0,0.5,'i'),('magnet',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_parameters`
--

DROP TABLE IF EXISTS `_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_parameters`
--

LOCK TABLES `_parameters` WRITE;
INSERT INTO `_parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `cryocore`
--

DROP TABLE IF EXISTS `cryocore`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryocore` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryocore`
--

LOCK TABLES `cryocore` WRITE;
INSERT INTO `cryocore` VALUES (0,2760,3000,25,25,137,137,'beam','cryocore_1'),(0,3000,4700,125,125,137,137,'beam','cryocore_2'),(0,4700,5700,25,25,137,137,'beam','cryocore_3'),(0,5700,6750,125,125,137,137,'beam','cryocore_4'),(0,6750,6940,25,25,137,137,'beam','cryocore_5');
UNLOCK TABLES;

--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (0,2750,2760,25,25,147.5,147.5,'iron','cryostat_front'),(0,2760,6940,137,137,147.5,147.5,'iron','cryostat_outer'),(0,6940,6950,25,25,147.5,147.5,'iron','cryostat_back');
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (0,2100,2200,12,12,116.6,122.2,'graphite','absorber_1'),(0,2200,2300,60.5,63.3,122.2,127.7,'graphite','absorber_2');
UNLOCK TABLES;

--
-- Table structure for table `lat`
--

DROP TABLE IF EXISTS `lat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lat` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lat`
--

LOCK TABLES `lat` WRITE;
INSERT INTO `lat` VALUES (0,1400,1800,116.5,49.5,116.6,149.9,'tungsten_19.3gccm','lat_1'),(0,1800,2100,49.5,57.8,100,116.6,'tungsten_19.3gccm','lat_2');
UNLOCK TABLES;

--
-- Table structure for table `lcal`
--

DROP TABLE IF EXISTS `lcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lcal`
--

LOCK TABLES `lcal` WRITE;
INSERT INTO `lcal` VALUES (0,2200,2400,12,13,60.5,66,'tungsten_19.3gccm','lcal');
UNLOCK TABLES;

--
-- Table structure for table `magnet`
--

DROP TABLE IF EXISTS `magnet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnet` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnet`
--

LOCK TABLES `magnet` WRITE;
INSERT INTO `magnet` VALUES (0,3000,4700,25,25,125,125,'iron','magnet_QFD2'),(0,5700,6750,25,25,125,125,'iron','magnet_QFF2');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,1800,2700,100,150,149.9,224.9,'tungsten_19.3gccm','support_lat'),(0,2300,2400,63.3,66,127.7,133.3,'tungsten_19.3gccm','support_lcal'),(0,2700,8000,150,150,224.9,224.9,'tungsten_19.3gccm','support_main');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:56
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX00XStahl`;
USE maskX00XStahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX00XStahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` char(1) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('lumcal',0.8,0.2,0.2,'-'),('beamcal',0.2,0.4,1,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'-'),('electro',0.8,0.8,0,'-'),('vacuum',0.7,0.7,1,'-'),('cryostat',0.8,0.8,0.8,'-'),('cryocore',0,0,0.5,'i'),('magnet',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_parameters`
--

DROP TABLE IF EXISTS `_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_parameters`
--

LOCK TABLES `_parameters` WRITE;
INSERT INTO `_parameters` VALUES ('crossingAngle',20);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (3,3650,3850,13,25,120,120,'tungsten_19.3gccm','beamcal');
UNLOCK TABLES;

--
-- Table structure for table `cryocore`
--

DROP TABLE IF EXISTS `cryocore`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryocore` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryocore`
--

LOCK TABLES `cryocore` WRITE;
INSERT INTO `cryocore` VALUES (1,3961,4050,25,25,44,44,'beam','cryocore_1'),(1,4050,5750,40,40,44,44,'beam','cryocore_2'),(1,5750,6750,25,25,44,44,'beam','cryocore_3'),(1,6750,7800,40,40,44,44,'beam','cryocore_4'),(1,7800,7999,25,25,44,44,'beam','cryocore_5');
UNLOCK TABLES;

--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,3960,3961,25,25,45,45,'iron','cryostat_front'),(1,3961,7999,44,44,45,45,'iron','cryostat_outer'),(1,7999,8000,25,25,45,45,'iron','cryostat_back');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
INSERT INTO `electro` VALUES (0,3050,3250,280,280,300,300,'silicon_2.33gccm','electro_lumcal_1'),(0,3250,3300,250,250,300,300,'silicon_2.33gccm','electro_lumcal_2'),(0,3250,3330,160,160,250,250,'silicon_2.33gccm','electro_lumcal_3'),(0,3650,3850,120,120,180,180,'silicon_2.33gccm','electro_beamcal');
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (3,3600,3650,13,25,180,180,'graphite','absorber');
UNLOCK TABLES;

--
-- Table structure for table `lumcal`
--

DROP TABLE IF EXISTS `lumcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lumcal` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lumcal`
--

LOCK TABLES `lumcal` WRITE;
INSERT INTO `lumcal` VALUES (0,3050,3250,80,80,280,280,'tungsten_19.3gccm','lumcal');
UNLOCK TABLES;

--
-- Table structure for table `magnet`
--

DROP TABLE IF EXISTS `magnet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnet` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnet`
--

LOCK TABLES `magnet` WRITE;
INSERT INTO `magnet` VALUES (1,4050,5750,25,25,40,40,'iron','magnet_QFD2'),(1,6750,7800,25,25,40,40,'iron','magnet_QFF2');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3250,3340,110,110,160,160,'tungsten_19.3gccm','support_lumcal'),(0,3340,3510,210,210,250,250,'tungsten_19.3gccm','support_pump_1'),(0,3510,3580,100,100,250,250,'tungsten_19.3gccm','support_pump_2'),(0,3580,8000,180,180,250,250,'tungsten_19.3gccm','support_main');
UNLOCK TABLES;

--
-- Table structure for table `vacuum`
--

DROP TABLE IF EXISTS `vacuum`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacuum` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacuum`
--

LOCK TABLES `vacuum` WRITE;
INSERT INTO `vacuum` VALUES (0,3345,3355,100,100,205,205,'iron','pump_front'),(0,3495,3505,100,100,205,205,'iron','pump_back'),(0,3355,3495,195,195,205,205,'iron','pump_outer'),(0,3355,3495,100,100,110,110,'iron','pump_inner'),(3,3870,3940,20,25,130,130,'iron','valve');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:48:59
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX01_02`;
USE maskX01_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX01_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('beamcal',0.2,0.4,1,'-'),('lhcal',0.2,1,0.2,'-'),('electro',0.8,0.8,0,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (2,3550,3750,20,20,100,100,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (2,3500,3550,20,20,100,100,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,80,80,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (0,4050,6550,35,35,85,85,'iron','QD0','','','','','',''),(0,7645,7745,10,10,138,138,'iron','OC0','','','','','',''),(0,7745,11545,88,88,138,138,'iron','SD0','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,2950,10000,220,220,290,290,'tungsten','SupportMain','ecalEnd','','','','',''),(3,3500,3750,0,100,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX01_14`;
USE maskX01_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX01_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('beamcal',0.2,0.4,1,'-'),('lhcal',0.2,1,0.2,'-'),('electro',0.8,0.8,0,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (5,3550,3750,15,20,165,165,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (5,3500,3550,15,20,165,165,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,130,130,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,2950,10000,220,220,290,290,'tungsten','SupportMain','ecalEnd','','','','',''),(3,3500,3750,0,165,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:04
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX01_20`;
USE maskX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (5,3550,3750,15,20,180,180,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (5,3500,3550,15,20,180,180,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,150,150,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,2950,10000,220,220,290,290,'tungsten','SupportMain','ecalEnd','','','','',''),(3,3500,3750,0,180,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:06
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX02_02`;
USE maskX02_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX02_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (2,3550,3750,20,20,100,100,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (2,3500,3550,20,20,100,100,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,80,80,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (0,4050,6550,35,35,85,85,'iron','QD0','','','','','',''),(0,7645,7745,10,10,138,138,'iron','OC0','','','','','',''),(0,7745,11545,88,88,138,138,'iron','SD0','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3125,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,100,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:09
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX02_14`;
USE maskX02_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX02_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (5,3550,3750,15,20,165,165,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (5,3500,3550,15,20,165,165,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,130,130,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3125,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,165,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:11
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX02_20`;
USE maskX02_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX02_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('beamcal',0.2,0.4,1,'-'),('electro',0.8,0.8,0,'-'),('graphite',0.3,0.3,0.3,'-'),('support',0.2,0.6,0.2,'w'),('magnets',1,0.5,0.2,'-');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `beamcal`
--

DROP TABLE IF EXISTS `beamcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beamcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `beamcal`
--

LOCK TABLES `beamcal` WRITE;
INSERT INTO `beamcal` VALUES (5,3550,3750,15,20,180,180,'tungsten','BeamCalBlock','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `graphite`
--

DROP TABLE IF EXISTS `graphite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `graphite` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `graphite`
--

LOCK TABLES `graphite` WRITE;
INSERT INTO `graphite` VALUES (5,3500,3550,15,20,180,180,'graphite','GraphiteAbsorber','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `lhcal`
--

DROP TABLE IF EXISTS `lhcal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lhcal` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lhcal`
--

LOCK TABLES `lhcal` WRITE;
INSERT INTO `lhcal` VALUES (0,2500,2950,150,150,290,290,'tungsten','LHCALBlock','ecalEnd','ecalEnd','','','','');
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (0,3125,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,180,220,220,'tungsten','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:14
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX03_02`;
USE maskX03_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX03_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('magnets',1,0.5,0.2,'-'),('pumps',0.8,0.8,0.8,'w'),('support',0.2,0.6,0.2,'w');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_inner_radius','lhcalInnerR',95),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (0,4050,6550,35,35,85,85,'iron','QD0','','','','','',''),(0,7645,7745,10,10,138,138,'iron','OC0','','','','','',''),(0,7745,11545,88,88,138,138,'iron','SD0','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `pumps`
--

DROP TABLE IF EXISTS `pumps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pumps` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pumps`
--

LOCK TABLES `pumps` WRITE;
INSERT INTO `pumps` VALUES (2,3180,3280,85,85,105,105,'iron','pumpStation1','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,105,105,125,125,'iron','pumpStation2','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,125,125,145,145,'iron','pumpStation3','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,145,145,165,165,'iron','pumpStation4','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,165,165,190,190,'iron','pumpStation5','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (2,2200,2530,225,225,240,240,'iron','SupportLcalOuter','ecalEnd','lhcalEnd','','','',''),(3,2535,2565,0,90,330,330,'iron','SupportLhcalFront','lhcalEnd','lhcalEnd','','','',''),(3,3115,3165,0,80,290,290,'iron','SupportLhcalEnd','lhcalEnd','lhcalEnd','','','',''),(0,3165,10000,220,220,290,290,'tungsten_19.3gccm  	','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,100,220,220,'iron','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:16
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX03_14`;
USE maskX03_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX03_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('magnets',1,0.5,0.2,'-'),('pumps',0.8,0.8,0.8,'w'),('support',0.2,0.6,0.2,'w');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_inner_radius','lhcalInnerR',95),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `pumps`
--

DROP TABLE IF EXISTS `pumps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pumps` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pumps`
--

LOCK TABLES `pumps` WRITE;
INSERT INTO `pumps` VALUES (2,3180,3280,85,85,105,105,'iron','pumpStation1','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,105,105,125,125,'iron','pumpStation2','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,125,125,145,145,'iron','pumpStation3','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,145,145,165,165,'iron','pumpStation4','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,165,165,190,190,'iron','pumpStation5','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (3,2535,2565,0,95,330,330,'iron','SupportLhcalFront','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(3,3115,3165,0,95,290,290,'iron','SupportLhcalEnd','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(0,3165,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,165,220,220,'iron','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:17
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `maskX03_20`;
USE maskX03_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: maskX03_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_components`
--

DROP TABLE IF EXISTS `_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_components` (
  `name` varchar(32) default NULL,
  `colorR` double default NULL,
  `colorG` double default NULL,
  `colorB` double default NULL,
  `visAttrib` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_components`
--

LOCK TABLES `_components` WRITE;
INSERT INTO `_components` VALUES ('electro',0.8,0.8,0,'-'),('magnets',1,0.5,0.2,'-'),('pumps',0.8,0.8,0.8,'w'),('support',0.2,0.6,0.2,'w');
UNLOCK TABLES;

--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('LHcal_inner_radius','lhcalInnerR',95),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `electro`
--

DROP TABLE IF EXISTS `electro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `electro` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `electro`
--

LOCK TABLES `electro` WRITE;
UNLOCK TABLES;

--
-- Table structure for table `magnets`
--

DROP TABLE IF EXISTS `magnets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `magnets` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `magnets`
--

LOCK TABLES `magnets` WRITE;
INSERT INTO `magnets` VALUES (1,4050,6250,10,10,30,30,'iron','QD0','','','','','',''),(1,6300,6400,10,10,30,30,'iron','OC0','','','','','',''),(1,6400,7000,10,10,30,30,'iron','SD0','','','','','',''),(1,8350,10350,10,10,30,30,'iron','QF1','','','','','',''),(1,10500,10800,10,10,30,30,'iron','SF1','','','','','',''),(1,11100,11400,10,10,30,30,'iron','OC1','','','','','',''),(2,6000,7640,18,18,40,40,'iron','QDEX1A','','','','','',''),(2,7940,9580,24,24,50,50,'iron','QDEX1B','','','','','',''),(2,9880,11500,30,30,60,60,'iron','QFEX2A','','','','','','');
UNLOCK TABLES;

--
-- Table structure for table `pumps`
--

DROP TABLE IF EXISTS `pumps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `pumps` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `pumps`
--

LOCK TABLES `pumps` WRITE;
INSERT INTO `pumps` VALUES (2,3180,3280,90,90,105,105,'iron','pumpStation1','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,105,105,125,125,'iron','pumpStation2','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,125,125,145,145,'iron','pumpStation3','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,145,145,165,165,'iron','pumpStation4','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(2,3180,3280,165,165,185,185,'iron','pumpStation5','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR');
UNLOCK TABLES;

--
-- Table structure for table `support`
--

DROP TABLE IF EXISTS `support`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support`
--

LOCK TABLES `support` WRITE;
INSERT INTO `support` VALUES (3,2535,2565,0,95,330,330,'iron','SupportLhcalFront','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(3,3115,3165,0,95,290,290,'iron','SupportLhcalEnd','lhcalEnd','lhcalEnd','','lhcalInnerR','',''),(0,3165,10000,220,220,290,290,'tungsten','SupportMain','lhcalEnd','','','','',''),(3,3500,3750,0,165,220,220,'iron','SupportBeamCal','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:19
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `materials00`;
USE materials00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: materials00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `element`
--

DROP TABLE IF EXISTS `element`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `element` (
  `name` varchar(80) NOT NULL default '',
  `symbol` varchar(10) NOT NULL default '',
  `z` double NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `element`
--

LOCK TABLES `element` WRITE;
INSERT INTO `element` VALUES ('hydrogen','H',1,1.01),('carbon','C',6,12.01),('nitrogen','N',7,14.01),('oxigen','O',8,16),('chlorine','Cl',17,35.45),('silicon','Si',14,28.09),('B','B',0,0),('sodium','Na',11,22.99),('fluorine','F',9,18.998),('chromium','Cr',24,51.9961),('nickel','Ni',28,58.6934),('Fe','Fe',26,55.845);
UNLOCK TABLES;

--
-- Table structure for table `element_composition`
--

DROP TABLE IF EXISTS `element_composition`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `element_composition` (
  `id` int(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `isotope` varchar(40) NOT NULL default '',
  `abundance` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `element_composition`
--

LOCK TABLES `element_composition` WRITE;
INSERT INTO `element_composition` VALUES (1,'B','B10',20),(2,'B','B11',80);
UNLOCK TABLES;

--
-- Table structure for table `isotope`
--

DROP TABLE IF EXISTS `isotope`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `isotope` (
  `name` varchar(40) NOT NULL default '',
  `z` tinyint(4) NOT NULL default '0',
  `n` tinyint(4) NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `isotope`
--

LOCK TABLES `isotope` WRITE;
INSERT INTO `isotope` VALUES ('B10',5,10,10),('B11',5,11,11);
UNLOCK TABLES;

--
-- Table structure for table `material`
--

DROP TABLE IF EXISTS `material`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `material` (
  `name` char(80) NOT NULL default '',
  `density` double NOT NULL default '0',
  `state` char(80) NOT NULL default '',
  `temperature` char(80) NOT NULL default '',
  `pressure` double NOT NULL default '0',
  `z` double NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `material`
--

LOCK TABLES `material` WRITE;
INSERT INTO `material` VALUES ('tungsten_19.3gccm',19.3,'','',0,74,183.84),('tungsten_11gccm',11,'','',0,74,183.84),('copper',8.96,'','',0,29,63.546),('silicon_2.33gccm',2.33,'','',0,14,28.09),('silicon_8.72gccm',8.72,'','',0,14,28.09),('iron',7.87,'','',0,26,55.85),('aluminium',2.7,'','',0,13,26.98),('beryllium',1.848,'','',0,4,9.012182),('argon',0.00178,'','',0,18,39.95),('air',0.00129,'','',0,0,0),('beam',1e-05,'gas','STP',0.02,0,0),('quartz',2.2,'','',0,0,0),('epoxy',1.3,'','',0,0,0),('g10',1.7,'','',0,0,0),('kapton',1.42,'','',0,0,0),('polystyrene',1.032,'','',0,0,0),('boron',2.34,'','',0,0,0),('boric_oxide',2.34,'','',0,0,0),('soda',2.3,'','',0,0,0),('pyrex',2.23,'','',0,0,0),('tetra_fluoro_ethane',0.00455,'','',0,0,0),('isobutane',0.00267,'','',0,0,0),('RPCGAS1',0.004032,'','',0,0,0),('styropor',0.025,'','',0,0,0),('graphite',2.265,'','',0,6,12.01),('stainless_steel',7.87,'','',0,0,0),('tyvek',0.92,'','',0,0,0),('lead',11.35,'','',0,82,207.2);
UNLOCK TABLES;

--
-- Table structure for table `material_composition`
--

DROP TABLE IF EXISTS `material_composition`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `material_composition` (
  `id` int(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `component` varchar(80) NOT NULL default '',
  `n_atoms` tinyint(4) NOT NULL default '0',
  `fraction` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=40;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `material_composition`
--

LOCK TABLES `material_composition` WRITE;
INSERT INTO `material_composition` VALUES (1,'air','nitrogen',0,0.7),(2,'air','oxigen',0,0.3),(3,'beam','air',0,1),(4,'quartz','silicon',1,0),(5,'quartz','oxigen',2,0),(6,'epoxy','hydrogen',44,0),(7,'epoxy','carbon',15,0),(8,'epoxy','oxigen',7,0),(9,'g10','chlorine',0,0.08),(10,'g10','quartz',0,0.773),(11,'g10','epoxy',0,0.147),(12,'kapton','carbon',5,0),(13,'kapton','hydrogen',8,0),(14,'kapton','oxigen',2,0),(15,'polystyrene','carbon',19,0),(16,'polystyrene','hydrogen',21,0),(17,'boron','B',1,0),(18,'boric_oxide','B',2,0),(19,'boric_oxide','oxigen',3,0),(20,'soda','sodium',2,0),(21,'soda','oxigen',1,0),(22,'pyrex','quartz',0,0.8),(23,'pyrex','boric_oxide',0,0.12),(24,'pyrex','soda',0,0.08),(25,'tetra_fluoro_ethane','fluorine',4,0),(26,'tetra_fluoro_ethane','carbon',2,0),(27,'tetra_fluoro_ethane','hydrogen',2,0),(28,'isobutane','carbon',4,0),(29,'isobutane','hydrogen',10,0),(30,'RPCGAS1','tetra_fluoro_ethane',0,0.8),(31,'RPCGAS1','nitrogen',0,0.1),(32,'RPCGAS1','isobutane',0,0.1),(33,'styropor','carbon',8,0),(34,'styropor','hydrogen',8,0),(35,'stainless_steel','Fe',0,0.70611323344803),(36,'stainless_steel','chromium',0,0.187842170383014),(37,'stainless_steel','nickel',0,0.106044596168956),(38,'tyvek','carbon',2,0),(39,'tyvek','hydrogen',4,0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:21
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `materials01`;
USE materials01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: materials01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `element`
--

DROP TABLE IF EXISTS `element`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `element` (
  `name` varchar(80) NOT NULL default '',
  `symbol` varchar(10) NOT NULL default '',
  `z` double NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `element`
--

LOCK TABLES `element` WRITE;
INSERT INTO `element` VALUES ('hydrogen','H',1,1.01),('carbon','C',6,12.01),('nitrogen','N',7,14.01),('oxigen','O',8,16),('chlorine','Cl',17,35.45),('silicon','Si',14,28.09),('B','B',0,0),('sodium','Na',11,22.99),('fluorine','F',9,18.998),('chromium','Cr',24,51.9961),('nickel','Ni',28,58.6934),('Fe','Fe',26,55.845);
UNLOCK TABLES;

--
-- Table structure for table `element_composition`
--

DROP TABLE IF EXISTS `element_composition`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `element_composition` (
  `id` int(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `isotope` varchar(40) NOT NULL default '',
  `abundance` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `element_composition`
--

LOCK TABLES `element_composition` WRITE;
INSERT INTO `element_composition` VALUES (1,'B','B10',20),(2,'B','B11',80);
UNLOCK TABLES;

--
-- Table structure for table `isotope`
--

DROP TABLE IF EXISTS `isotope`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `isotope` (
  `name` varchar(40) NOT NULL default '',
  `z` tinyint(4) NOT NULL default '0',
  `n` tinyint(4) NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `isotope`
--

LOCK TABLES `isotope` WRITE;
INSERT INTO `isotope` VALUES ('B10',5,10,10),('B11',5,11,11);
UNLOCK TABLES;

--
-- Table structure for table `material`
--

DROP TABLE IF EXISTS `material`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `material` (
  `name` char(80) NOT NULL default '',
  `density` double NOT NULL default '0',
  `state` char(80) NOT NULL default '',
  `temperature` char(80) NOT NULL default '',
  `pressure` double NOT NULL default '0',
  `z` double NOT NULL default '0',
  `a` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `material`
--

LOCK TABLES `material` WRITE;
INSERT INTO `material` VALUES ('tungsten_19.3gccm',19.3,'','',0,74,183.84),('tungsten_11gccm',11,'','',0,74,183.84),('copper',8.96,'','',0,29,63.546),('silicon_2.33gccm',2.33,'','',0,14,28.09),('silicon_8.72gccm',8.72,'','',0,14,28.09),('iron',7.87,'','',0,26,55.85),('aluminium',2.7,'','',0,13,26.98),('beryllium',1.848,'','',0,4,9.012182),('argon',0.00178,'','',0,18,39.95),('air',0.00129,'','',0,0,0),('H2',9e-05,'','',0,0,0),('quartz',2.2,'','',0,0,0),('epoxy',1.3,'','',0,0,0),('g10',1.7,'','',0,0,0),('kapton',1.42,'','',0,0,0),('polystyrene',1.032,'','',0,0,0),('boron',2.34,'','',0,0,0),('boric_oxide',2.34,'','',0,0,0),('soda',2.3,'','',0,0,0),('pyrex',2.23,'','',0,0,0),('tetra_fluoro_ethane',0.00455,'','',0,0,0),('isobutane',0.00267,'','',0,0,0),('RPCGAS1',0.004032,'','',0,0,0),('styropor',0.025,'','',0,0,0),('graphite',2.265,'','',0,6,12.01),('stainless_steel',7.87,'','',0,0,0),('tyvek',0.92,'','',0,0,0),('lead',11.35,'','',0,82,207.2),('N2',0.00125,'','',0,0,0),('CO',0.001249,'','',0,0,0),('beam',1.7e-14,'gas','STP',6.25e-11,0,0),('CO2',0.001973,'','',0,0,0),('CH4',0.000717,'','',0,0,0),('CF4',0.003924,'','',0,0,0),('P5_gas',0.001727,'','',0,0,0),('P10_gas',0.001674,'','',0,0,0),('TDR_gas',0.001731,'','',0,0,0),('mylar',1.397,'','',0,0,0),('foam',0.1,'','',0,0,0);
UNLOCK TABLES;

--
-- Table structure for table `material_composition`
--

DROP TABLE IF EXISTS `material_composition`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `material_composition` (
  `id` int(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `component` varchar(80) NOT NULL default '',
  `n_atoms` tinyint(4) NOT NULL default '0',
  `fraction` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=65;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `material_composition`
--

LOCK TABLES `material_composition` WRITE;
INSERT INTO `material_composition` VALUES (1,'air','nitrogen',0,0.7),(2,'air','oxigen',0,0.3),(40,'H2','hydrogen',2,0),(4,'quartz','silicon',1,0),(5,'quartz','oxigen',2,0),(6,'epoxy','hydrogen',44,0),(7,'epoxy','carbon',15,0),(8,'epoxy','oxigen',7,0),(9,'g10','chlorine',0,0.08),(10,'g10','quartz',0,0.773),(11,'g10','epoxy',0,0.147),(12,'kapton','carbon',5,0),(13,'kapton','hydrogen',8,0),(14,'kapton','oxigen',2,0),(15,'polystyrene','carbon',19,0),(16,'polystyrene','hydrogen',21,0),(17,'boron','B',1,0),(18,'boric_oxide','B',2,0),(19,'boric_oxide','oxigen',3,0),(20,'soda','sodium',2,0),(21,'soda','oxigen',1,0),(22,'pyrex','quartz',0,0.8),(23,'pyrex','boric_oxide',0,0.12),(24,'pyrex','soda',0,0.08),(25,'tetra_fluoro_ethane','fluorine',4,0),(26,'tetra_fluoro_ethane','carbon',2,0),(27,'tetra_fluoro_ethane','hydrogen',2,0),(28,'isobutane','carbon',4,0),(29,'isobutane','hydrogen',10,0),(30,'RPCGAS1','tetra_fluoro_ethane',0,0.8),(31,'RPCGAS1','nitrogen',0,0.1),(32,'RPCGAS1','isobutane',0,0.1),(33,'styropor','carbon',8,0),(34,'styropor','hydrogen',8,0),(35,'stainless_steel','Fe',0,0.70611323344803),(36,'stainless_steel','chromium',0,0.187842170383014),(37,'stainless_steel','nickel',0,0.106044596168956),(38,'tyvek','carbon',2,0),(39,'tyvek','hydrogen',4,0),(41,'N2','nitrogen',2,0),(42,'CO','carbon',1,0),(43,'CO','oxigen',1,0),(44,'beam','H2',0,0.36264),(45,'beam','N2',0,0.36276),(46,'beam','CO',0,0.2746),(47,'CO2','carbon',1,0),(48,'CO2','oxigen',2,0),(49,'CH4','carbon',1,0),(50,'CH4','hydrogen',4,0),(51,'CF4','carbon',1,0),(52,'CF4','fluorine',4,0),(53,'P5_gas','argon',0,0.979293),(54,'P5_gas','CH4',0,0.020707),(55,'P10_gas','argon',0,0.957268),(56,'P10_gas','CH4',0,0.042732),(57,'TDR_gas','argon',0,0.956672),(58,'TDR_gas','CH4',0,0.020664),(59,'TDR_gas','CO2',0,0.022664),(60,'mylar','carbon',0,0.625),(61,'mylar','hydrogen',0,0.042),(62,'mylar','oxigen',0,0.333),(63,'foam','carbon',0,0.85628451),(64,'foam','hydrogen',0,0.14371549);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `materials02`;
USE materials02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: materials02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `components`
--

DROP TABLE IF EXISTS `components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `components` (
  `material` varchar(80) default NULL,
  `component` varchar(80) default NULL,
  `nAtoms` int(11) default NULL,
  `fraction` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `components`
--

LOCK TABLES `components` WRITE;
INSERT INTO `components` VALUES ('epoxy','H',44,0),('epoxy','C',15,0),('epoxy','O',7,0),('g10','Cl',0,0.08),('g10','quartz',0,0.773),('g10','epoxy',0,0.147),('tetra_fluoro_ethane','F',4,0),('tetra_fluoro_ethane','C',2,0),('tetra_fluoro_ethane','H',2,0),('isobutane','C',4,0),('isobutane','H',10,0),('RPCGAS1','tetra_fluoro_ethane',0,0.8),('RPCGAS1','N',0,0.1),('RPCGAS1','isobutane',0,0.1),('styropor','C',8,0),('styropor','H',8,0),('stainless_steel','Fe',0,0.70611),('stainless_steel','Cr',0,0.18784),('stainless_steel','Ni',0,0.10605),('tyvek','C',2,0),('tyvek','H',4,0),('CO','C',1,0),('CO','O',1,0),('beam','H2',0,0.36264),('beam','N2',0,0.36276),('beam','CO',0,0.2746),('CF4','C',1,0),('CF4','F',4,0),('P5_gas','Ar',0,0.97929),('P5_gas','CH4',0,0.02071),('P10_gas','Ar',0,0.95727),('P10_gas','CH4',0,0.04273),('TDR_gas','Ar',0,0.95667),('TDR_gas','CH4',0,0.02066),('TDR_gas','CO2',0,0.02267),('tungsten_11gccm','W',1,0),('silicon_8.72gccm','Si',1,0),('RPCGAS2','isobutane',0,0.05),('RPCGAS2','tetra_fluoro_ethane',0,0.93),('RPCGAS2','SF6',0,0.02),('SF6','S',1,0),('SF6','F',6,0),('nylon','C',12,0),('nylon','H',22,0),('nylon','N',2,0),('nylon','O',2,0),('PEEK','C',19,0),('PEEK','H',12,0),('PEEK','O',3,0),('PEEK-GF30','PEEK',0,0.7),('PEEK-GF30','Si',0,0.3),('NaO2','Na',1,0),('NaO2','O',2,0),('CaO','Ca',1,0),('CaO','O',1,0),('MgO','Mg',1,0),('MgO','O',1,0),('FloatGlass','soda',0,0.14),('FloatGlass','CaO',0,0.09),('FloatGlass','MgO',0,0.04),('FloatGlass','quartz',0,0.73),('soda','O',1,0),('soda','Na',2,0),('diamond','C',1,0),('g10_2.64gccm','copper',0,0.4276),('g10_2.64gccm','g10',0,0.5724),('TungstenDens24','W',0,0.93),('TungstenDens24','Ni',0,0.061),('TungstenDens24','Fe',0,0.009),('S235','iron',0,0.9843),('S235','graphite',0,0.0017),('S235','manganese',0,0.014),('PCB','silicon_2.33gccm',0,0.180774),('PCB','O',0,0.405633),('PCB','graphite',0,0.278042),('PCB','H',0,0.0684428),('PCB','Br',0,0.0671091),('SiC_foam','C',1,0),('SiC_foam','Si',1,0);
UNLOCK TABLES;

--
-- Table structure for table `materials`
--

DROP TABLE IF EXISTS `materials`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `materials` (
  `name` varchar(80) default NULL,
  `nistName` varchar(80) default NULL,
  `density` double default NULL,
  `temperature` double default NULL,
  `pressure` double default NULL,
  `state` enum('','undefined','solid','liquid','gas') default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `materials`
--

LOCK TABLES `materials` WRITE;
INSERT INTO `materials` VALUES ('mylar','G4_MYLAR',NULL,NULL,NULL,NULL),('tungsten','G4_W',NULL,NULL,NULL,NULL),('tungsten_19.3gccm','G4_W',NULL,NULL,NULL,NULL),('silicon','G4_Si',NULL,NULL,NULL,NULL),('silicon_2.33gccm','G4_Si',NULL,NULL,NULL,NULL),('copper','G4_Cu',NULL,NULL,NULL,NULL),('iron','G4_Fe',NULL,NULL,NULL,NULL),('aluminium','G4_Al',NULL,NULL,NULL,NULL),('beryllium','G4_Be',NULL,NULL,NULL,NULL),('argon','G4_Ar',NULL,NULL,NULL,NULL),('lead','G4_Pb',NULL,NULL,NULL,NULL),('boron','G4_B',NULL,NULL,NULL,NULL),('H2','G4_H',NULL,NULL,NULL,NULL),('N2','G4_N',NULL,NULL,NULL,NULL),('air','G4_AIR',NULL,NULL,NULL,NULL),('quartz','G4_SILICON_DIOXIDE',NULL,NULL,NULL,NULL),('kapton','G4_KAPTON',NULL,NULL,NULL,NULL),('polystyrene','G4_POLYSTYRENE',NULL,NULL,NULL,NULL),('boric_oxide','G4_BORON_OXIDE',NULL,NULL,NULL,NULL),('pyrex','G4_Pyrex_Glass',NULL,NULL,NULL,NULL),('graphite','G4_GRAPHITE',NULL,NULL,NULL,NULL),('CO2','G4_CARBON_DIOXIDE',NULL,NULL,NULL,NULL),('CH4','G4_METHANE',NULL,NULL,NULL,NULL),('tungsten_11gccm','',11,0,0,''),('silicon_8.72gccm','',8.72,0,0,''),('stainless_steel','',7.87,0,0,''),('tyvek','',0.92,0,0,''),('epoxy','',1.3,0,0,''),('g10','',1.7,0,0,''),('styropor','',0.025,0,0,'solid'),('tetra_fluoro_ethane','',0.00455,0,0,'gas'),('isobutane','',0.00267,0,0,'gas'),('RPCGAS1','',0.004032,0,0,'gas'),('CO','',0.001249,0,0,'gas'),('beam','',1.7e-14,0,6.25e-11,'gas'),('CF4','',0.003924,0,0,'gas'),('P5_gas','',0.001727,0,0,'gas'),('P10_gas','',0.001674,0,0,'gas'),('TDR_gas','',0.001731,0,0,'gas'),('manganese','G4_Mn',NULL,NULL,NULL,NULL),('carbon','G4_C',0,0,0,''),('SF6','',0.00608,0,0,'gas'),('RPCGAS2','',0.00449,0,0,'gas'),('sulfur','G4_S',NULL,NULL,NULL,NULL),('fluor','G4_F',NULL,NULL,NULL,NULL),('nylon','',1.14,0,0,'solid'),('PEEK','',1.29,0,0,'solid'),('PEEK-GF30','',1.51,0,0,'solid'),('FloatGlass','',2.44,0,0,''),('soda','',2.3,0,0,''),('MgO','G4_MAGNESIUM_OXIDE',NULL,NULL,NULL,NULL),('CaO','G4_CALCIUM_OXIDE',NULL,NULL,NULL,NULL),('gold','G4_Au',NULL,NULL,NULL,NULL),('diamond','',3.51,0,0,''),('g10_2.64gccm','',2.64,0,0,''),('TungstenDens24','',17.8,0,0,''),('polyethylene','G4_POLYETHYLENE',NULL,NULL,NULL,NULL),('S235','',7.87,0,0,''),('PCB','',1.7,0,0,''),('water','G4_WATER',NULL,NULL,NULL,NULL),('titanium','G4_Ti',NULL,NULL,NULL,NULL),('SiC_foam','',0.19,0,0,'solid'),('oxygen','G4_O',NULL,NULL,NULL,NULL);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc00`;
USE mc00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_dim_x2` double NOT NULL default '0',
  `mc_dim_y2` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,1000,1000,7.5,1,1855.75,3967.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:24
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc00_01`;
USE mc00_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc00_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_dim_x2` double NOT NULL default '0',
  `mc_dim_y2` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,1000,1000,7.5,1,2816.75,4928.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:24
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc01`;
USE mc01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_dim_x2` double NOT NULL default '0',
  `mc_dim_y2` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,1000,1000,7.5,1,2667.75,3404);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc01_01`;
USE mc01_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc01_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_dim_x2` double NOT NULL default '0',
  `mc_dim_y2` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,1000,1000,7.5,1,4923.75,6404);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc02`;
USE mc02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,8,1,64.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:26
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mc03`;
USE mc03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: mc03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `mc_virt`
--

DROP TABLE IF EXISTS `mc_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mc_virt` (
  `id` int(11) NOT NULL auto_increment,
  `mc_dim_x1` double NOT NULL default '0',
  `mc_dim_y1` double NOT NULL default '0',
  `mc_dim_x2` double NOT NULL default '0',
  `mc_dim_y2` double NOT NULL default '0',
  `mc_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mc_virt`
--

LOCK TABLES `mc_virt` WRITE;
INSERT INTO `mc_virt` VALUES (1,1000,1000,1000,1000,18,1,-4041,4747);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:26
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `models00`;
USE models00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: models00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ingredients` (
  `id` int(4) NOT NULL auto_increment,
  `model` char(80) NOT NULL default '',
  `sub_detector` char(80) NOT NULL default '',
  `build_order` bigint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=303;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
INSERT INTO `ingredients` VALUES (1,'TDR','ecal02',0),(2,'TDR','hcal02',0),(3,'TDR','mask00',0),(4,'TDR','field00',0),(5,'D08','ecal02',0),(6,'D08','hcal02',0),(7,'D08','mask00',0),(8,'D08','field01',0),(9,'P55','P55',0),(10,'P55INC','P55INC',0),(11,'P55EcalLike','P55EcalLike',0),(12,'D08','tpc00',0),(13,'D20','ecal20',0),(14,'D20','hcal20',0),(15,'D08','yoke00',0),(16,'D08','coil00',0),(17,'D20','mask00',0),(18,'D20','field01',0),(19,'D20','tpc00',0),(20,'D20','yoke00',0),(21,'D20','coil00',0),(22,'HcalWMod','ecal02',0),(23,'HcalWMod','mask00',0),(24,'HcalWMod','field01',0),(25,'HcalWMod','tpc00',0),(26,'HcalWMod','yoke00',0),(27,'HcalWMod','coil00',0),(28,'HcalWMod','HcalWMod',0),(29,'D08SET','hcal02',0),(30,'D08M1','ecal02',0),(31,'D08M1','hcal02',0),(32,'D08M1','mask01',0),(33,'D08M1','field01',0),(34,'D08M1','tpc00',0),(35,'D08M1','yoke00',0),(36,'D08M1','coil00',0),(37,'D08M2','tpc01',0),(38,'D08M2','hcal03',0),(39,'D08M2','ecal03',0),(40,'D08M2','mask00',0),(41,'D08M2','field01',0),(42,'D08M2','yoke00',0),(43,'D08M2','coil00',0),(44,'D08M3','tpc01',0),(45,'D08M3','hcal03',0),(46,'D08M3','ecal03',0),(47,'D08M3','mask01',0),(48,'D08M3','field01',0),(49,'D08M3','yoke00',0),(50,'D08M3','coil00',0),(51,'D08SET','ecal02',0),(52,'D08SET','tpc02',0),(53,'D08SET','mask00',0),(54,'D08SET','field01',0),(55,'D08SET','yoke00',0),(56,'D08SET','coil00',0),(57,'D08SET','set00',0),(58,'D08WModRPC1','ecal02',0),(59,'D08WModRPC1','mask00',0),(60,'D08WModRPC1','field01',0),(61,'D08WModRPC1','tpc00',0),(62,'D08WModRPC1','yoke00',0),(63,'D08WModRPC1','coil00',0),(64,'D08WModRPC1','hcalWModRPC1',0),(65,'D08FeRPC1','ecal02',0),(66,'D08FeRPC1','mask00',0),(67,'D08FeRPC1','field01',0),(68,'D08FeRPC1','tpc00',0),(69,'D08FeRPC1','yoke00',0),(70,'D08FeRPC1','coil00',0),(71,'D08FeRPC1','hcalFeRPC1',0),(72,'D08FeScintillator','ecal02',0),(73,'D08FeScintillator','mask00',0),(74,'D08FeScintillator','field01',0),(75,'D08FeScintillator','tpc00',0),(76,'D08FeScintillator','yoke00',0),(77,'D08FeScintillator','coil00',0),(78,'D08FeScintillator','hcalFeScintillator',0),(79,'inner_detectors','vxd00',0),(80,'inner_detectors','tube00',0),(81,'inner_detectors','mask02',0),(82,'D09','ecal02',0),(83,'D09','hcalFeRPC1',0),(84,'D09','mask02',0),(85,'D09','field01',0),(86,'D09','tpc03',0),(96,'D09','yoke00',0),(88,'D09','coil00',0),(89,'D09','vxd00',0),(90,'D09','tube00',0),(91,'D09','sit00',0),(92,'inner_detectors','tpc00',0),(93,'inner_detectors','sit00',0),(94,'inner_detectors','ftd00',0),(95,'D09','ftd00',0),(109,'ProtoEcalHcalRPC','P66WNominal',0),(108,'ProtoEcalHcalRPC','SinglehcalFeRPC1',0),(110,'ProtoEcalHcalRPC_45','P66WNominal_45',0),(111,'ProtoEcalHcalRPC_45','SinglehcalFeRPC1',0),(112,'ProtoEcalHcalScintillator','P66WNominal',0),(113,'ProtoEcalHcalScintillator','SinglehcalFeScintillator',0),(114,'ProtoEcalHcalScintillator_45','P66WNominal_45',0),(115,'ProtoEcalHcalScintillator_45','SinglehcalFeScintillator',0),(117,'D09M1','ftd00',0),(118,'D09M1','tube00',0),(119,'D09M1','sit00',0),(120,'D09M1','ecal02',0),(121,'D09M1','hcalFeRPC1',0),(122,'D09M1','mask03',0),(123,'D09M1','field01',0),(124,'D09M1','tpc03',0),(125,'D09M1','yoke00',0),(126,'D09M1','coil00',0),(127,'D09M1','vxd00',0),(128,'ProtoEH_RPC','P66HV14',0),(129,'ProtoEH_RPC','P66HV28',0),(130,'ProtoEH_RPC','P66HV42',0),(131,'ProtoEH_RPC','SinglehcalFeRPC2',0),(132,'TB00','TBhcal00',0),(133,'TB00','TBecal00',0),(134,'TB00','TBcatcher00',0),(135,'TB01','TBecal00',0),(136,'TB01','TBhcal01',0),(137,'TB01','TBcatcher00',0),(138,'TB02','TBhcal02',0),(139,'TB02','TBecal02',0),(140,'TB02','TBcatcher02',0),(171,'CaliceEcalHcalRPC','Proto03',0),(172,'CaliceEcalHcalRPC','HcalRPC',0),(202,'D10','sit00',0),(201,'D10','tube00',0),(200,'D10','vxd00',0),(199,'D10','coil00',0),(198,'D10','yoke00',0),(197,'D10','tpc04',0),(196,'D10','field01',0),(195,'D10','mask02',0),(194,'D10','hcalFeRPC1',0),(193,'D10','ecal02',0),(179,'TB03_hcalcatch','TBhcal03',0),(178,'TB03_hcalcatch','TBcatcher03',0),(168,'TB03','TBhcal03',0),(167,'TB03','TBcatcher03',0),(169,'TB03','Proto03',0),(203,'D10','ftd00',0),(204,'D10scint','ecal02',0),(205,'D10scint','hcalFeScintillator',0),(206,'D10scint','mask02',0),(207,'D10scint','field01',0),(208,'D10scint','tpc04',0),(209,'D10scint','yoke00',0),(210,'D10scint','coil00',0),(211,'D10scint','vxd00',0),(212,'D10scint','tube00',0),(213,'D10scint','sit00',0),(214,'D10scint','ftd00',0),(215,'WSCal','wscal',0),(294,'D11','vxd00',0),(293,'D11','coil00',0),(292,'D11','yoke00',0),(291,'D11','tpc04',0),(290,'D11','field01',0),(289,'D11','mask03',0),(288,'D11','hcalFeRPC1',0),(287,'D11','ecal04',0),(286,'D11','sit00',0),(285,'D11','tube00',0),(284,'D11','ftd00',0),(302,'ProtoDesy0205','ProtoDesy0205',0),(301,'CaliceEcal03','Proto03',0);
UNLOCK TABLES;

--
-- Table structure for table `model`
--

DROP TABLE IF EXISTS `model`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `model` (
  `name` varchar(80) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `world_box_hx` double NOT NULL default '0',
  `world_box_hy` double NOT NULL default '0',
  `world_box_hz` double NOT NULL default '0',
  `tracker_region_rmax` double NOT NULL default '0',
  `tracker_region_zmax` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `model`
--

LOCK TABLES `model` WRITE;
INSERT INTO `model` VALUES ('TDR','Detector Model exploited before Tesla TDR',6000,6000,6000,1700,2500),('D08','Detector Model exploited Tesla TDR plus a new field definition, TPC, etc',7500,7500,7500,1700,2500),('P55','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in vertical',1000,6000,600,0,0),('P55INC','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in 45 degrees, as the TDR Ecal',1000,6000,600,0,0),('P55EcalLike','Ecal prototype as the TDR Ecal (40 layers and so on)',1000,6000,600,0,0),('D20','Ecal with W 20 layers',7500,7500,7500,0,0),('HcalWMod','The same as D08 but with a W modified density replacing the Fe in the Hcal',7500,7500,7500,0,0),('D08M1','The same as D08 but with the masks 50cm off',7500,7500,7500,0,0),('D08M2','Like D08, but with the TPC, the Ecal and the Hcal 50cm shorter in Z.',7500,7500,7500,0,0),('D08M3','Like D08M2 but with the mask 50cm off in Z.',7500,7500,7500,0,0),('D08SET','D08 with the SET',7500,7500,7500,0,0),('D08WModRPC1','As D08 but with hcal with WMod as material and RPCs as sensitive',7500,7500,7500,0,0),('D08FeRPC1','As D08 but hcal with RPCs as sensitive',7500,7500,7500,0,0),('D08FeScintillator','The same as  D08, but with the new hcal03 driver',7500,7500,7500,0,0),('inner_detectors','The VXD and the tube for the moment',7500,7500,7500,0,0),('D09','D08 + VXD + tubes + new masks, etc',7500,7500,7500,1700,2500),('ProtoEcalHcalRPC','The Ecal prototype and a single Hcal RPC module as Hcal prototype',6000,6000,6000,0,0),('ProtoEcalHcalRPC_45','The Ecal prototype and a single Hcal RPC module as Hcal prototype, to fire with 45 degres',6000,6000,6000,0,0),('ProtoEcalHcalScintillator','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype',6000,6000,6000,0,0),('ProtoEcalHcalScintillator_45','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype, to fire with 45 degres',6000,6000,6000,0,0),('D09M1','D09 + new masks',7500,7500,7500,1700,2500),('ProtoEH_RPC','Ecal Prototype close to the real device + Hcal prototype not so close...',6000,6000,6000,0,0),('TB00','Calice-DESY-NICADD Test Beam, including HCal, ECal and Catcher.',2000,2000,2000,0,0),('TB01','TB00-based with virtual readout',2000,2000,2000,0,0),('TB02','TB with virtual cells, R. Poeschl',2000,2000,2000,0,0),('CaliceEcal03','The Calice Ecal prototype',60000,60000,60000,0,0),('CaliceEcalHcalRPC','The Calice Ecal prototype And RPC Hcal',60000,60000,60000,0,0),('ProtoDesy0205','The Calice Ecal prototype with all slabs allingned',60000,60000,60000,0,0),('D11','D09M1+tpc04+ecal04',7500,7500,7500,1700,2500),('WSCal','Model comprising only simple Calorimeter for\r\ndemonstration purposes in LC Sim. Workshop Dec. 2004 at\r\nDESY',4000,4000,4000,0,0),('D10scint','D09hcalscint + tpc04',7500,7500,7500,1700,2500),('D10','D09 + tpc04',7500,7500,7500,1700,2500),('TB03','Detector model for test beam submitted by Jeremy McCormick',10000,10000,10000,0,0),('TB03_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from steering',10000,10000,10000,0,0);
UNLOCK TABLES;

--
-- Table structure for table `sub_detector`
--

DROP TABLE IF EXISTS `sub_detector`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sub_detector` (
  `id` tinyint(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `db` varchar(80) NOT NULL default '',
  `driver` varchar(20) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=83;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sub_detector`
--

LOCK TABLES `sub_detector` WRITE;
INSERT INTO `sub_detector` VALUES (1,'ecal02','ecal02','ecal02','Ecal exploited for the Tesla TDR'),(2,'hcal02','hcal02','hcal02','Hcal exploited for the Tesla TDR'),(3,'mask00','mask00','mask00','Mask exploited for the Tesla TDR'),(4,'field00','field00','field00','Magnetic field simulated for the Tesla TDR'),(5,'field01','field01','field00','Magnetic field with 4 tesla inside the solenoidal zone and -2.515625 tesla in the barrel yoke'),(6,'P55','P55','proto00','Ecal prototype with 30 layers (10 x 2.8 mm, 10 x 2.8 mm and 10 x 4.2 mm) in vertical, 5 x 5 cells per wafer'),(7,'P55INC','P55INC','proto00','The same as the P55 but with shifted slabs'),(8,'P55EcalLike','P55EcalLike','proto00','The same as the P55 but with the same Ecal W layers configuration'),(9,'tpc00','tpc00','tpc00','A very simple TPC to have material inside the Ecal and to keep track of charged particles'),(10,'coil00','coil00','coil00','A simple Al tube as Coil'),(11,'yoke00','yoke00','yoke00','The yoke as massive Fe volumes'),(12,'ecal20','ecal20','ecal02','Ecal with 20 W layers'),(13,'hcal20','hcal20','hcal02','Modified Digital Hcal to be closed to the Ecal with 20 layers'),(14,'HcalWMod','hcal02','HcalWMod','Fe replaced by modified W density'),(15,'hodoscope','hodoscope00','hodoscope00','Hodoscope'),(16,'mask01','mask01','mask00','Mask exploited for the Tesla TDR but 50cm off in Z.'),(17,'ecal03','ecal03','ecal02','The same as ecal02 but 50cm shorter in Z.'),(18,'tpc01','tpc01','tpc00','As tpc00 but 50 cm shorter in Z.'),(19,'hcal03','hcal03','hcal02','As hcal02 but 50cm shorter in Z.'),(20,'ecal01j','ecal01j','ecal02','just to export Ecal for Brahms, for J. Boehme'),(21,'ecal02j','ecal02j','ecal02','changes for Jenny'),(22,'P66','P66S','proto00','As P55 but 6x6 cells per wafer'),(23,'P66Wshape','P66Wshape','proto01','Ecal prototype driver with mesured W  thickness'),(24,'P66WNominal','P66WNominal','proto01','Ecal prototype driver  with W  ideal thickness (reference)'),(25,'set00','SET00','set00','Silicon External Tracker'),(26,'tpc02','tpc02','tpc00','TPC shorter in radius because the SET'),(27,'hcalWModRPC1','hcalWModRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs and WMod'),(28,'hcalFeRPC1','hcalFeRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs'),(29,'hcalFeScintillator','hcalFeScintillator','hcal03','As the Hcal exploited for the Tesla TDR.'),(30,'vxd00','vxd00','vxd00','The VXD'),(31,'tube00','tube00','tube00','Complete beam tube (vacum, Be and Fe, eletronics) to cowork with vxd00'),(32,'mask02','mask02','mask01','The masks with Brahms parameters and the VXD electronics'),(33,'sit00','sit00','sit00','The SIT as described in Brahms'),(34,'ftd00','ftd00','ftd00','The Foward Tracking Detector as described in TDR and Brahms'),(35,'tpc03','tpc03','tpc01','The TDR TPC with improvements in simulation (Si in FCH, ~1cm Ar thick layers, standard tracking Hit\'s format)'),(36,'P66micro','P66micro','proto01','tests with transistors'),(37,'SinglehcalFeRPC1','SinglehcalFeRPC1','hcal03','Single module Hcal Fe & RPC as prototype'),(38,'P66WNominal_45','P66WNominal_45','proto01','Ecal prototype driver with W ideal thickness , shifted slab to 45 degres shoots (reference)'),(39,'SinglehcalFeScintillator','SinglehcalFeScintillator','hcal03','Single module Hcal Fe with scintillator as prototype'),(40,'mask03','mask03','mask02','Mask defined by Karsten Buesser on Thu, 23 Jan 2003'),(41,'P66HV14','P66HV14','proto02','1th Proto module for the P66HV set'),(42,'P66HV28','P66HV28','proto02','2th Proto module for the P66HV set'),(43,'P66HV42','P66HV42','proto02','3th Proto module for the P66HV set'),(44,'SinglehcalFeRPC2','SinglehcalFeRPC2','hcal03','Single Hcal module with RPC for ProtoEH_RPC series'),(48,'TBhcal00','TBhcal00','TBhcal00','HCal for TB00 Test Beam model'),(49,'TBecal00','TBecal00','TBecal00','ECal for TB00 Test Beam model'),(50,'TBcatcher00','TBcatcher00','TBcatcher00','Tail Catcher for TB00 Test Beam model'),(51,'TBhcal01','TBhcal00','TBhcal01','HCal with virtual RO'),(52,'TBhcal02','TBhcal02','TBhcal02','HCal with virtual cells, simple version'),(53,'TBecal02','TBecal02','TBecal02','ECal with virtual cells, J. McCormick'),(54,'TBcatcher02','TBcatcher02','TBcatcher02','Tail Catcher with virtual cells, J. McCormick'),(73,'tpc04','tpc04','tpc02','TPC improved'),(71,'HcalRPC','HcalFeRPC','hcalrpc','RPC Hcal prototype'),(82,'ProtoDesy0205','ProtoDesy0205','proto03','Calice Ecal prototype'),(76,'ecal04','ecal04','ecal03','ecal02 with silicon divided into wafers and cells'),(81,'Proto03','CaliceEcal03','proto03','Calice Ecal prototype'),(74,'wscal','wscal','wscal','Simple\r\nCalorimeter for demonstration of in LC Sim. Workshop'),(69,'TBhcal03','TBhcalcatch03','TBhcal03','HCal with virtual cells for TB03 Test Beam Models'),(68,'TBcatcher03','TBhcalcatch03','TBcatcher03','Tail Catcher with updated layering, J. McCormick 10/04');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:28
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `models01`;
USE models01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: models01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `detector_concept`
--

DROP TABLE IF EXISTS `detector_concept`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `detector_concept` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  `world_box_hx` double NOT NULL default '0',
  `world_box_hy` double NOT NULL default '0',
  `world_box_hz` double NOT NULL default '0',
  `tracker_region_rmax` double NOT NULL default '0',
  `tracker_region_zmax` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `detector_concept`
--

LOCK TABLES `detector_concept` WRITE;
INSERT INTO `detector_concept` VALUES ('Tesla TDR','Detector as defined for the Tesla TDR',7500,7500,7500,1700,2500),('Test Beam Calice','Test beam with Ecal and Hcal prototypes',10000,10000,10000,0,0),('Old prototypes','First prototype simulations',6000,6000,6000,0,0);
UNLOCK TABLES;

--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ingredients` (
  `id` int(4) NOT NULL auto_increment,
  `model` char(80) NOT NULL default '',
  `sub_detector` char(80) NOT NULL default '',
  `build_order` bigint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=333;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
INSERT INTO `ingredients` VALUES (1,'TDR','ecal02',0),(2,'TDR','hcal02',0),(3,'TDR','mask00',0),(4,'TDR','field00',0),(5,'D08','ecal02',0),(6,'D08','hcal02',0),(7,'D08','mask00',0),(8,'D08','field01',0),(9,'P55','P55',0),(10,'P55INC','P55INC',0),(11,'P55EcalLike','P55EcalLike',0),(12,'D08','tpc00',0),(13,'D20','ecal20',0),(14,'D20','hcal20',0),(15,'D08','yoke00',0),(16,'D08','coil00',0),(17,'D20','mask00',0),(18,'D20','field01',0),(19,'D20','tpc00',0),(20,'D20','yoke00',0),(21,'D20','coil00',0),(22,'HcalWMod','ecal02',0),(23,'HcalWMod','mask00',0),(24,'HcalWMod','field01',0),(25,'HcalWMod','tpc00',0),(26,'HcalWMod','yoke00',0),(27,'HcalWMod','coil00',0),(28,'HcalWMod','HcalWMod',0),(29,'D08SET','hcal02',0),(30,'D08M1','ecal02',0),(31,'D08M1','hcal02',0),(32,'D08M1','mask01',0),(33,'D08M1','field01',0),(34,'D08M1','tpc00',0),(35,'D08M1','yoke00',0),(36,'D08M1','coil00',0),(37,'D08M2','tpc01',0),(38,'D08M2','hcal03',0),(39,'D08M2','ecal03',0),(40,'D08M2','mask00',0),(41,'D08M2','field01',0),(42,'D08M2','yoke00',0),(43,'D08M2','coil00',0),(44,'D08M3','tpc01',0),(45,'D08M3','hcal03',0),(46,'D08M3','ecal03',0),(47,'D08M3','mask01',0),(48,'D08M3','field01',0),(49,'D08M3','yoke00',0),(50,'D08M3','coil00',0),(51,'D08SET','ecal02',0),(52,'D08SET','tpc02',0),(53,'D08SET','mask00',0),(54,'D08SET','field01',0),(55,'D08SET','yoke00',0),(56,'D08SET','coil00',0),(57,'D08SET','set00',0),(58,'D08WModRPC1','ecal02',0),(59,'D08WModRPC1','mask00',0),(60,'D08WModRPC1','field01',0),(61,'D08WModRPC1','tpc00',0),(62,'D08WModRPC1','yoke00',0),(63,'D08WModRPC1','coil00',0),(64,'D08WModRPC1','hcalWModRPC1',0),(65,'D08FeRPC1','ecal02',0),(66,'D08FeRPC1','mask00',0),(67,'D08FeRPC1','field01',0),(68,'D08FeRPC1','tpc00',0),(69,'D08FeRPC1','yoke00',0),(70,'D08FeRPC1','coil00',0),(71,'D08FeRPC1','hcalFeRPC1',0),(72,'D08FeScintillator','ecal02',0),(73,'D08FeScintillator','mask00',0),(74,'D08FeScintillator','field01',0),(75,'D08FeScintillator','tpc00',0),(76,'D08FeScintillator','yoke00',0),(77,'D08FeScintillator','coil00',0),(78,'D08FeScintillator','hcalFeScintillator',0),(79,'inner_detectors','vxd00',0),(80,'inner_detectors','tube00',0),(81,'inner_detectors','mask02',0),(82,'D09','ecal02',0),(83,'D09','hcalFeRPC1',0),(84,'D09','mask02',0),(85,'D09','field01',0),(86,'D09','tpc03',0),(96,'D09','yoke00',0),(88,'D09','coil00',0),(89,'D09','vxd00',0),(90,'D09','tube00',0),(91,'D09','sit00',0),(92,'inner_detectors','tpc00',0),(93,'inner_detectors','sit00',0),(94,'inner_detectors','ftd00',0),(95,'D09','ftd00',0),(109,'ProtoEcalHcalRPC','P66WNominal',0),(108,'ProtoEcalHcalRPC','SinglehcalFeRPC1',0),(110,'ProtoEcalHcalRPC_45','P66WNominal_45',0),(111,'ProtoEcalHcalRPC_45','SinglehcalFeRPC1',0),(112,'ProtoEcalHcalScintillator','P66WNominal',0),(113,'ProtoEcalHcalScintillator','SinglehcalFeScintillator',0),(114,'ProtoEcalHcalScintillator_45','P66WNominal_45',0),(115,'ProtoEcalHcalScintillator_45','SinglehcalFeScintillator',0),(117,'D09M1','ftd00',0),(118,'D09M1','tube00',0),(119,'D09M1','sit00',0),(120,'D09M1','ecal02',0),(121,'D09M1','hcalFeRPC1',0),(122,'D09M1','mask03',0),(123,'D09M1','field01',0),(124,'D09M1','tpc03',0),(125,'D09M1','yoke00',0),(126,'D09M1','coil00',0),(127,'D09M1','vxd00',0),(128,'ProtoEH_RPC','P66HV14',0),(129,'ProtoEH_RPC','P66HV28',0),(130,'ProtoEH_RPC','P66HV42',0),(131,'ProtoEH_RPC','SinglehcalFeRPC2',0),(132,'TB00','TBhcal00',0),(133,'TB00','TBecal00',0),(134,'TB00','TBcatcher00',0),(135,'TB01','TBecal00',0),(136,'TB01','TBhcal01',0),(137,'TB01','TBcatcher00',0),(138,'TB02','TBhcal02',0),(139,'TB02','TBecal02',0),(140,'TB02','TBcatcher02',0),(171,'CaliceEcalHcalRPC','Proto03',0),(172,'CaliceEcalHcalRPC','HcalRPC',0),(217,'CaliceEcal03','Proto03',0),(202,'D10','sit00',0),(201,'D10','tube00',0),(200,'D10','vxd00',0),(199,'D10','coil00',0),(198,'D10','yoke00',0),(197,'D10','tpc04',0),(196,'D10','field01',0),(195,'D10','mask02',0),(194,'D10','hcalFeRPC1',0),(193,'D10','ecal02',0),(179,'TB03_hcalcatch','TBhcal03',0),(178,'TB03_hcalcatch','TBcatcher03',0),(168,'TB03','TBhcal03',0),(167,'TB03','TBcatcher03',0),(169,'TB03','Proto03',0),(203,'D10','ftd00',0),(204,'D10scint','ecal02',0),(205,'D10scint','hcalFeScintillator',0),(206,'D10scint','mask02',0),(207,'D10scint','field01',0),(208,'D10scint','tpc04',0),(209,'D10scint','yoke00',0),(210,'D10scint','coil00',0),(211,'D10scint','vxd00',0),(212,'D10scint','tube00',0),(213,'D10scint','sit00',0),(214,'D10scint','ftd00',0),(215,'WSCal','wscal',0),(272,'D11','vxd00',0),(271,'D11','coil00',0),(270,'D11','yoke00',0),(269,'D11','tpc04',0),(268,'D11','field01',0),(267,'D11','mask03',0),(266,'D11','hcalFeRPC1',0),(265,'D11','ecal04',0),(264,'D11','sit00',0),(263,'D11','tube00',0),(262,'D11','ftd00',0),(275,'ProtoDesy0205','ProtoDesy0205',0),(293,'TB04_hcal','TBhcal04',0),(292,'TB04_hcalcatch','TBcatcher04',0),(291,'TB04_hcalcatch','TBhcal04',0),(290,'TB04','TBcatcher04',0),(289,'TB04','Proto03',0),(288,'TB04','TBhcal04',0),(294,'D12','vxd00',0),(295,'D12','coil00',0),(296,'D12','yoke00',0),(297,'D12','tpc04',0),(298,'D12','field01',0),(299,'D12','LumiCalS',0),(300,'D12','hcalFeRPC1',0),(301,'D12','ecal02',0),(302,'D12','sit00',0),(303,'D12','tube01',0),(304,'D12','ftd01',0),(306,'D12','mask04',0),(332,'D09Scint','ecal02',0),(331,'D09Scint','hcalFeScintillator',0),(330,'D09Scint','mask02',0),(329,'D09Scint','field01',0),(328,'D09Scint','tpc03',0),(327,'D09Scint','yoke00',0),(326,'D09Scint','coil00',0),(325,'D09Scint','vxd00',0),(324,'D09Scint','tube00',0),(323,'D09Scint','sit00',0),(322,'D09Scint','ftd00',0);
UNLOCK TABLES;

--
-- Table structure for table `model`
--

DROP TABLE IF EXISTS `model`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `model` (
  `name` varchar(80) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `detector_concept` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `model`
--

LOCK TABLES `model` WRITE;
INSERT INTO `model` VALUES ('TDR','Detector Model exploited before Tesla TDR','Tesla TDR'),('D08','Detector Model exploited Tesla TDR plus a new field definition, TPC, etc','Tesla TDR'),('P55','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in vertical','Old prototypes'),('P55INC','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in 45 degrees, as the TDR Ecal','Old prototypes'),('P55EcalLike','Ecal prototype as the TDR Ecal (40 layers and so on)','Old prototypes'),('D20','Ecal with W 20 layers','Tesla TDR'),('HcalWMod','The same as D08 but with a W modified density replacing the Fe in the Hcal','Tesla TDR'),('D08M1','The same as D08 but with the masks 50cm off','Tesla TDR'),('D08M2','Like D08, but with the TPC, the Ecal and the Hcal 50cm shorter in Z.','Tesla TDR'),('D08M3','Like D08M2 but with the mask 50cm off in Z.','Tesla TDR'),('D08SET','D08 with the SET','Tesla TDR'),('D08WModRPC1','As D08 but with hcal with WMod as material and RPCs as sensitive','Tesla TDR'),('D08FeRPC1','As D08 but hcal with RPCs as sensitive','Tesla TDR'),('D08FeScintillator','The same as  D08, but with the new hcal03 driver','Tesla TDR'),('inner_detectors','The VXD and the tube for the moment','Tesla TDR'),('D09','D08 + VXD + tubes + new masks, etc','Tesla TDR'),('ProtoEcalHcalRPC','The Ecal prototype and a single Hcal RPC module as Hcal prototype','Old prototypes'),('ProtoEcalHcalRPC_45','The Ecal prototype and a single Hcal RPC module as Hcal prototype, to fire with 45 degres','Old prototypes'),('ProtoEcalHcalScintillator','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype','Old prototypes'),('ProtoEcalHcalScintillator_45','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype, to fire with 45 degres','Old prototypes'),('D09M1','D09 + new masks','Tesla TDR'),('ProtoEH_RPC','Ecal Prototype close to the real device + Hcal prototype not so close...','Old prototypes'),('TB00','Calice-DESY-NICADD Test Beam, including HCal, ECal and Catcher.','Test Beam Calice'),('TB01','TB00-based with virtual readout','Test Beam Calice'),('TB02','TB with virtual cells, R. Poeschl','Test Beam Calice'),('CaliceEcal03','The Calice Ecal prototype','Test Beam Calice'),('CaliceEcalHcalRPC','The Calice Ecal prototype And RPC Hcal','Test Beam Calice'),('D11','D09M1+tpc04+ecal04','Tesla TDR'),('D10scint','D09hcalscint + tpc04','Tesla TDR'),('D10','D09 + tpc04','Tesla TDR'),('TB03','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice'),('TB03_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from steering','Test Beam Calice'),('ProtoDesy0205','The Calice Ecal prototype with all slabs allingned','Test Beam Calice'),('TB04_hcal','TB with virtual, cells simple geometry, hcal only','Test Beam Calice'),('TB04_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from sharing table','Test Beam Calice'),('TB04','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice'),('D12','D11+LumiCal,new conical beam pipe, new cylindrical mask','Tesla TDR'),('D09Scint','The D09 model but with the Scintillator Hcal','Tesla TDR');
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('configuration_angle','Test Beam configuration angle for the Calice test beam.');
UNLOCK TABLES;

--
-- Table structure for table `setup`
--

DROP TABLE IF EXISTS `setup`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup`
--

LOCK TABLES `setup` WRITE;
INSERT INTO `setup` VALUES ('TB30','Calice Test Beam with 30 degrees as setup angle'),('TB00','Calice Test Beam with setup angle of 0 degrees'),('TB10','Calice Test Beam with setup angle of 10 degrees'),('TB20','Calice Test Beam with setup angle of 20 degrees'),('TB40','Calice Test Beam with setup angle of 40 degrees');
UNLOCK TABLES;

--
-- Table structure for table `setup_parameters`
--

DROP TABLE IF EXISTS `setup_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup_parameters` (
  `setup` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `value` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`setup`,`value`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup_parameters`
--

LOCK TABLES `setup_parameters` WRITE;
INSERT INTO `setup_parameters` VALUES ('TB30','configuration_angle','30.0'),('TB10','configuration_angle','10.0'),('TB00','configuration_angle','0.0'),('TB40','configuration_angle','40.0'),('TB20','configuration_angle','20.0');
UNLOCK TABLES;

--
-- Table structure for table `sharing`
--

DROP TABLE IF EXISTS `sharing`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sharing` (
  `driver` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `default` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`parameter`,`driver`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sharing`
--

LOCK TABLES `sharing` WRITE;
INSERT INTO `sharing` VALUES ('TBcatcher04','configuration_angle','0.0'),('proto03','configuration_angle','0.0'),('TBhcal04','configuration_angle','0.0');
UNLOCK TABLES;

--
-- Table structure for table `sub_detector`
--

DROP TABLE IF EXISTS `sub_detector`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sub_detector` (
  `id` tinyint(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `db` varchar(80) NOT NULL default '',
  `driver` varchar(20) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=86;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sub_detector`
--

LOCK TABLES `sub_detector` WRITE;
INSERT INTO `sub_detector` VALUES (1,'ecal02','ecal02','ecal02','Ecal exploited for the Tesla TDR'),(2,'hcal02','hcal02','hcal02','Hcal exploited for the Tesla TDR'),(3,'mask00','mask00','mask00','Mask exploited for the Tesla TDR'),(4,'field00','field00','field00','Magnetic field simulated for the Tesla TDR'),(5,'field01','field01','field00','Magnetic field with 4 tesla inside the solenoidal zone and -2.515625 tesla in the barrel yoke'),(6,'P55','P55','proto00','Ecal prototype with 30 layers (10 x 2.8 mm, 10 x 2.8 mm and 10 x 4.2 mm) in vertical, 5 x 5 cells per wafer'),(7,'P55INC','P55INC','proto00','The same as the P55 but with shifted slabs'),(8,'P55EcalLike','P55EcalLike','proto00','The same as the P55 but with the same Ecal W layers configuration'),(9,'tpc00','tpc00','tpc00','A very simple TPC to have material inside the Ecal and to keep track of charged particles'),(10,'coil00','coil00','coil00','A simple Al tube as Coil'),(11,'yoke00','yoke00','yoke00','The yoke as massive Fe volumes'),(12,'ecal20','ecal20','ecal02','Ecal with 20 W layers'),(13,'hcal20','hcal20','hcal02','Modified Digital Hcal to be closed to the Ecal with 20 layers'),(14,'HcalWMod','hcal02','HcalWMod','Fe replaced by modified W density'),(15,'hodoscope','hodoscope00','hodoscope00','Hodoscope'),(16,'mask01','mask01','mask00','Mask exploited for the Tesla TDR but 50cm off in Z.'),(17,'ecal03','ecal03','ecal02','The same as ecal02 but 50cm shorter in Z.'),(18,'tpc01','tpc01','tpc00','As tpc00 but 50 cm shorter in Z.'),(19,'hcal03','hcal03','hcal02','As hcal02 but 50cm shorter in Z.'),(20,'ecal01j','ecal01j','ecal02','just to export Ecal for Brahms, for J. Boehme'),(21,'ecal02j','ecal02j','ecal02','changes for Jenny'),(22,'P66','P66S','proto00','As P55 but 6x6 cells per wafer'),(23,'P66Wshape','P66Wshape','proto01','Ecal prototype driver with mesured W  thickness'),(24,'P66WNominal','P66WNominal','proto01','Ecal prototype driver  with W  ideal thickness (reference)'),(25,'set00','SET00','set00','Silicon External Tracker'),(26,'tpc02','tpc02','tpc00','TPC shorter in radius because the SET'),(27,'hcalWModRPC1','hcalWModRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs and WMod'),(28,'hcalFeRPC1','hcalFeRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs'),(29,'hcalFeScintillator','hcalFeScintillator','hcal03','As the Hcal exploited for the Tesla TDR.'),(30,'vxd00','vxd00','vxd00','The VXD'),(31,'tube00','tube00','tube00','Complete beam tube (vacum, Be and Fe, eletronics) to cowork with vxd00'),(32,'mask02','mask02','mask01','The masks with Brahms parameters and the VXD electronics'),(33,'sit00','sit00','sit00','The SIT as described in Brahms'),(34,'ftd00','ftd00','ftd00','The Foward Tracking Detector as described in TDR and Brahms'),(35,'tpc03','tpc03','tpc01','The TDR TPC with improvements in simulation (Si in FCH, ~1cm Ar thick layers, standard tracking Hit\'s format)'),(36,'P66micro','P66micro','proto01','tests with transistors'),(37,'SinglehcalFeRPC1','SinglehcalFeRPC1','hcal03','Single module Hcal Fe & RPC as prototype'),(38,'P66WNominal_45','P66WNominal_45','proto01','Ecal prototype driver with W ideal thickness , shifted slab to 45 degres shoots (reference)'),(39,'SinglehcalFeScintillator','SinglehcalFeScintillator','hcal03','Single module Hcal Fe with scintillator as prototype'),(40,'mask03','mask03','mask02','Mask defined by Karsten Buesser on Thu, 23 Jan 2003'),(41,'P66HV14','P66HV14','proto02','1th Proto module for the P66HV set'),(42,'P66HV28','P66HV28','proto02','2th Proto module for the P66HV set'),(43,'P66HV42','P66HV42','proto02','3th Proto module for the P66HV set'),(44,'SinglehcalFeRPC2','SinglehcalFeRPC2','hcal03','Single Hcal module with RPC for ProtoEH_RPC series'),(48,'TBhcal00','TBhcal00','TBhcal00','HCal for TB00 Test Beam model'),(49,'TBecal00','TBecal00','TBecal00','ECal for TB00 Test Beam model'),(50,'TBcatcher00','TBcatcher00','TBcatcher00','Tail Catcher for TB00 Test Beam model'),(51,'TBhcal01','TBhcal00','TBhcal01','HCal with virtual RO'),(52,'TBhcal02','TBhcal02','TBhcal02','HCal with virtual cells, simple version'),(53,'TBecal02','TBecal02','TBecal02','ECal with virtual cells, J. McCormick'),(54,'TBcatcher02','TBcatcher02','TBcatcher02','Tail Catcher with virtual cells, J. McCormick'),(73,'tpc04','tpc04','tpc02','TPC improved'),(71,'HcalRPC','HcalFeRPC','hcalrpc','RPC Hcal prototype'),(76,'ecal04','ecal04','ecal03','ecal02 with silicon divided into wafers and cells'),(75,'Proto03','CaliceEcal03','proto03','Calice Ecal prototype'),(74,'wscal','wscal','wscal','Simple\r\nCalorimeter for demonstration of in LC Sim. Workshop'),(69,'TBhcal03','TBhcalcatch03','TBhcal03','HCal with virtual cells for TB03 Test Beam Models'),(68,'TBcatcher03','TBhcalcatch03','TBcatcher03','Tail Catcher with updated layering, J. McCormick 10/04'),(77,'ProtoDesy0205','ProtoDesy0205','proto03','Calice Ecal prototype'),(78,'ecal05','ecal05','ecal03','ecal04 with cells 1 mm2'),(80,'TBcatcher04','TBhcalcatch04','TBcatcher04','Tail Catcher with virtual cells for TB04 CALICE Test Beam Models'),(79,'TBhcal04','TBhcalcatch04','TBhcal04','HCal with virtual cells for TB04 CALICE Test Beam Models'),(81,'ftd01','ftd01','ftd00','The Foward Tracking Detector as described in TDR and Brahms'),(82,'mask04','mask04','mask04','New cylindrical shielding mask Feb.2005 B.Pawlik'),(83,'LumiCalS','LumiCalS00','LumiCal','Test of initial version of strip LumiCal'),(84,'tube01','tube01','tube01','New conical beam tube (vacum, Be and Fe, eletronics)'),(85,'LumiCalP','LumiCalP00','LumiCal','Initial version of padded LumiCal');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `models02`;
USE models02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: models02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `detector_concept`
--

DROP TABLE IF EXISTS `detector_concept`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `detector_concept` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  `world_box_hx` double NOT NULL default '0',
  `world_box_hy` double NOT NULL default '0',
  `world_box_hz` double NOT NULL default '0',
  `tracker_region_rmax` double NOT NULL default '0',
  `tracker_region_zmax` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `detector_concept`
--

LOCK TABLES `detector_concept` WRITE;
INSERT INTO `detector_concept` VALUES ('Tesla TDR','Detector as defined for the Tesla TDR',7500,7500,7500,1700,2500),('Test Beam Calice','Test beam with Ecal and Hcal prototypes',10000,10000,10000,0,0),('Old prototypes','First prototype simulations',6000,6000,6000,0,0);
UNLOCK TABLES;

--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ingredients` (
  `id` bigint(4) NOT NULL auto_increment,
  `model` char(80) NOT NULL default '',
  `sub_detector` char(80) NOT NULL default '',
  `build_order` bigint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=361;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
INSERT INTO `ingredients` VALUES (1,'TDR','ecal02',0),(2,'TDR','hcal02',0),(3,'TDR','mask00',0),(4,'TDR','field00',0),(5,'D08','ecal02',0),(6,'D08','hcal02',0),(7,'D08','mask00',0),(8,'D08','field01',0),(9,'P55','P55',0),(10,'P55INC','P55INC',0),(11,'P55EcalLike','P55EcalLike',0),(12,'D08','tpc00',0),(13,'D20','ecal20',0),(14,'D20','hcal20',0),(15,'D08','yoke00',0),(16,'D08','coil00',0),(17,'D20','mask00',0),(18,'D20','field01',0),(19,'D20','tpc00',0),(20,'D20','yoke00',0),(21,'D20','coil00',0),(22,'HcalWMod','ecal02',0),(23,'HcalWMod','mask00',0),(24,'HcalWMod','field01',0),(25,'HcalWMod','tpc00',0),(26,'HcalWMod','yoke00',0),(27,'HcalWMod','coil00',0),(28,'HcalWMod','HcalWMod',0),(29,'D08SET','hcal02',0),(30,'D08M1','ecal02',0),(31,'D08M1','hcal02',0),(32,'D08M1','mask01',0),(33,'D08M1','field01',0),(34,'D08M1','tpc00',0),(35,'D08M1','yoke00',0),(36,'D08M1','coil00',0),(37,'D08M2','tpc01',0),(38,'D08M2','hcal03',0),(39,'D08M2','ecal03',0),(40,'D08M2','mask00',0),(41,'D08M2','field01',0),(42,'D08M2','yoke00',0),(43,'D08M2','coil00',0),(44,'D08M3','tpc01',0),(45,'D08M3','hcal03',0),(46,'D08M3','ecal03',0),(47,'D08M3','mask01',0),(48,'D08M3','field01',0),(49,'D08M3','yoke00',0),(50,'D08M3','coil00',0),(51,'D08SET','ecal02',0),(52,'D08SET','tpc02',0),(53,'D08SET','mask00',0),(54,'D08SET','field01',0),(55,'D08SET','yoke00',0),(56,'D08SET','coil00',0),(57,'D08SET','set00',0),(58,'D08WModRPC1','ecal02',0),(59,'D08WModRPC1','mask00',0),(60,'D08WModRPC1','field01',0),(61,'D08WModRPC1','tpc00',0),(62,'D08WModRPC1','yoke00',0),(63,'D08WModRPC1','coil00',0),(64,'D08WModRPC1','hcalWModRPC1',0),(65,'D08FeRPC1','ecal02',0),(66,'D08FeRPC1','mask00',0),(67,'D08FeRPC1','field01',0),(68,'D08FeRPC1','tpc00',0),(69,'D08FeRPC1','yoke00',0),(70,'D08FeRPC1','coil00',0),(71,'D08FeRPC1','hcalFeRPC1',0),(72,'D08FeScintillator','ecal02',0),(73,'D08FeScintillator','mask00',0),(74,'D08FeScintillator','field01',0),(75,'D08FeScintillator','tpc00',0),(76,'D08FeScintillator','yoke00',0),(77,'D08FeScintillator','coil00',0),(78,'D08FeScintillator','hcalFeScintillator',0),(79,'inner_detectors','vxd00',0),(80,'inner_detectors','tube00',0),(81,'inner_detectors','mask02',0),(82,'D09','ecal02',0),(83,'D09','hcalFeRPC1',0),(84,'D09','mask02',0),(85,'D09','field01',0),(86,'D09','tpc03',0),(96,'D09','yoke00',0),(88,'D09','coil00',0),(89,'D09','vxd00',0),(90,'D09','tube00',0),(91,'D09','sit00',0),(92,'inner_detectors','tpc00',0),(93,'inner_detectors','sit00',0),(94,'inner_detectors','ftd00',0),(95,'D09','ftd00',0),(109,'ProtoEcalHcalRPC','P66WNominal',0),(108,'ProtoEcalHcalRPC','SinglehcalFeRPC1',0),(110,'ProtoEcalHcalRPC_45','P66WNominal_45',0),(111,'ProtoEcalHcalRPC_45','SinglehcalFeRPC1',0),(112,'ProtoEcalHcalScintillator','P66WNominal',0),(113,'ProtoEcalHcalScintillator','SinglehcalFeScintillator',0),(114,'ProtoEcalHcalScintillator_45','P66WNominal_45',0),(115,'ProtoEcalHcalScintillator_45','SinglehcalFeScintillator',0),(117,'D09M1','ftd00',0),(118,'D09M1','tube00',0),(119,'D09M1','sit00',0),(120,'D09M1','ecal02',0),(121,'D09M1','hcalFeRPC1',0),(122,'D09M1','mask03',0),(123,'D09M1','field01',0),(124,'D09M1','tpc03',0),(125,'D09M1','yoke00',0),(126,'D09M1','coil00',0),(127,'D09M1','vxd00',0),(128,'ProtoEH_RPC','P66HV14',0),(129,'ProtoEH_RPC','P66HV28',0),(130,'ProtoEH_RPC','P66HV42',0),(131,'ProtoEH_RPC','SinglehcalFeRPC2',0),(132,'TB00','TBhcal00',0),(133,'TB00','TBecal00',0),(134,'TB00','TBcatcher00',0),(135,'TB01','TBecal00',0),(136,'TB01','TBhcal01',0),(137,'TB01','TBcatcher00',0),(138,'TB02','TBhcal02',0),(139,'TB02','TBecal02',0),(140,'TB02','TBcatcher02',0),(171,'CaliceEcalHcalRPC','Proto03',0),(172,'CaliceEcalHcalRPC','HcalRPC',0),(217,'CaliceEcal03','Proto03',0),(202,'D10','sit00',0),(201,'D10','tube00',0),(200,'D10','vxd00',0),(199,'D10','coil00',0),(198,'D10','yoke00',0),(197,'D10','tpc04',0),(196,'D10','field01',0),(195,'D10','mask02',0),(194,'D10','hcalFeRPC1',0),(193,'D10','ecal02',0),(179,'TB03_hcalcatch','TBhcal03',0),(178,'TB03_hcalcatch','TBcatcher03',0),(168,'TB03','TBhcal03',0),(167,'TB03','TBcatcher03',0),(169,'TB03','Proto03',0),(203,'D10','ftd00',0),(204,'D10scint','ecal02',0),(205,'D10scint','hcalFeScintillator',0),(206,'D10scint','mask02',0),(207,'D10scint','field01',0),(208,'D10scint','tpc04',0),(209,'D10scint','yoke00',0),(210,'D10scint','coil00',0),(211,'D10scint','vxd00',0),(212,'D10scint','tube00',0),(213,'D10scint','sit00',0),(214,'D10scint','ftd00',0),(215,'WSCal','wscal',0),(272,'D11','vxd00',0),(271,'D11','coil00',0),(270,'D11','yoke00',0),(269,'D11','tpc04',0),(268,'D11','field01',0),(267,'D11','mask03',0),(266,'D11','hcalFeRPC1',0),(265,'D11','ecal04',0),(264,'D11','sit00',0),(263,'D11','tube00',0),(262,'D11','ftd00',0),(275,'ProtoDesy0205','ProtoDesy0205',0),(293,'TB04_hcal','TBhcal04',0),(292,'TB04_hcalcatch','TBcatcher04',0),(291,'TB04_hcalcatch','TBhcal04',0),(290,'TB04','TBcatcher04',0),(289,'TB04','Proto03',0),(288,'TB04','TBhcal04',0),(294,'D12','vxd00',0),(295,'D12','coil00',0),(296,'D12','yoke00',0),(297,'D12','tpc04',0),(298,'D12','field01',0),(299,'D12','LumiCalS',0),(300,'D12','hcalFeRPC1',0),(301,'D12','ecal02',0),(302,'D12','sit00',0),(303,'D12','tube01',0),(304,'D12','ftd01',0),(306,'D12','mask04',0),(307,'EcalTPC','ecal05',0),(308,'EcalTPC','tpc03',0),(332,'D09Scint','ecal02',0),(331,'D09Scint','hcalFeScintillator',0),(330,'D09Scint','mask02',0),(329,'D09Scint','field01',0),(328,'D09Scint','tpc03',0),(327,'D09Scint','yoke00',0),(326,'D09Scint','coil00',0),(325,'D09Scint','vxd00',0),(324,'D09Scint','tube00',0),(323,'D09Scint','sit00',0),(322,'D09Scint','ftd00',0),(333,'TB05','TBdch01',0),(334,'TB05','Proto03',0),(335,'TB05','TBhcal04',0),(336,'TB05','TBcatcher04',0),(337,'TBDesy0205','TBdch01',0),(338,'TBDesy0205','Proto03',0),(339,'Ecalk1TPC','ecal06',0),(340,'Ecalk1TPC','tpc03',0),(341,'EcalPbk1TPC','ecalpbk1',0),(342,'EcalPbk1TPC','tpc03',0),(343,'HcalFeRPCFieldCoil','hcalFeRPC1',0),(344,'HcalFeRPCFieldCoil','coil00',0),(345,'HcalFeRPCFieldCoil','field01',0),(346,'HcalWModRPCFieldCoil','coil00',0),(347,'HcalWModRPCFieldCoil','field01',0),(348,'HcalWModRPCFieldCoil','hcalWModRPC1',0),(349,'D12scint','vxd00',0),(350,'D12scint','coil00',0),(351,'D12scint','yoke00',0),(352,'D12scint','tpc04',0),(353,'D12scint','field01',0),(354,'D12scint','LumiCalS',0),(355,'D12scint','hcalFeScintillator',0),(356,'D12scint','ecal02',0),(357,'D12scint','sit00',0),(358,'D12scint','tube01',0),(359,'D12scint','ftd01',0),(360,'D12scint','mask04',0);
UNLOCK TABLES;

--
-- Table structure for table `model`
--

DROP TABLE IF EXISTS `model`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `model` (
  `name` varchar(80) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `detector_concept` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `model`
--

LOCK TABLES `model` WRITE;
INSERT INTO `model` VALUES ('TDR','Detector Model exploited before Tesla TDR','Tesla TDR'),('D08','Detector Model exploited Tesla TDR plus a new field definition, TPC, etc','Tesla TDR'),('P55','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in vertical','Old prototypes'),('P55INC','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in 45 degrees, as the TDR Ecal','Old prototypes'),('P55EcalLike','Ecal prototype as the TDR Ecal (40 layers and so on)','Old prototypes'),('D20','Ecal with W 20 layers','Tesla TDR'),('HcalWMod','The same as D08 but with a W modified density replacing the Fe in the Hcal','Tesla TDR'),('D08M1','The same as D08 but with the masks 50cm off','Tesla TDR'),('D08M2','Like D08, but with the TPC, the Ecal and the Hcal 50cm shorter in Z.','Tesla TDR'),('D08M3','Like D08M2 but with the mask 50cm off in Z.','Tesla TDR'),('D08SET','D08 with the SET','Tesla TDR'),('D08WModRPC1','As D08 but with hcal with WMod as material and RPCs as sensitive','Tesla TDR'),('D08FeRPC1','As D08 but hcal with RPCs as sensitive','Tesla TDR'),('D08FeScintillator','The same as  D08, but with the new hcal03 driver','Tesla TDR'),('inner_detectors','The VXD and the tube for the moment','Tesla TDR'),('D09','D08 + VXD + tubes + new masks, etc','Tesla TDR'),('ProtoEcalHcalRPC','The Ecal prototype and a single Hcal RPC module as Hcal prototype','Old prototypes'),('ProtoEcalHcalRPC_45','The Ecal prototype and a single Hcal RPC module as Hcal prototype, to fire with 45 degres','Old prototypes'),('ProtoEcalHcalScintillator','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype','Old prototypes'),('ProtoEcalHcalScintillator_45','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype, to fire with 45 degres','Old prototypes'),('D09M1','D09 + new masks','Tesla TDR'),('ProtoEH_RPC','Ecal Prototype close to the real device + Hcal prototype not so close...','Old prototypes'),('TB00','Calice-DESY-NICADD Test Beam, including HCal, ECal and Catcher.','Test Beam Calice'),('TB01','TB00-based with virtual readout','Test Beam Calice'),('TB02','TB with virtual cells, R. Poeschl','Test Beam Calice'),('CaliceEcal03','The Calice Ecal prototype','Test Beam Calice'),('CaliceEcalHcalRPC','The Calice Ecal prototype And RPC Hcal','Test Beam Calice'),('D11','D09M1+tpc04+ecal04','Tesla TDR'),('D10scint','D09hcalscint + tpc04','Tesla TDR'),('D10','D09 + tpc04','Tesla TDR'),('TB03','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice'),('TB03_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from steering','Test Beam Calice'),('ProtoDesy0205','The Calice Ecal prototype with all slabs allingned','Test Beam Calice'),('TB04_hcal','TB with virtual, cells simple geometry, hcal only','Test Beam Calice'),('TB04_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from sharing table','Test Beam Calice'),('TB04','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice'),('D12','D11+LumiCal,new conical beam pipe, new cylindrical mask','Tesla TDR'),('EcalTPC','Ecal with 1mm2 cells and TPC','Tesla TDR'),('D09Scint','The D09 model but with the Scintillator Hcal','Tesla TDR'),('TB05','Detector model for Test Beam submitted by Gabriel Musat','Test Beam Calice'),('TBDesy0205','Ecal and Drift Chambers used during shifts at Desy in February 2005','Test Beam Calice'),('Ecalk1TPC','First compact Ecalk1 with 1mm2 and TPC for fisrt studies','Tesla TDR'),('EcalPbk1TPC','First compact EcalPbk1 with radiator Pb and 1mm2 cells and TPC for first studies','Tesla TDR'),('HcalFeRPCFieldCoil','HcalFeRPC1+Field+coil','Tesla TDR'),('HcalWModRPCFieldCoil','HcalWModRPC1+Field+Coil','Tesla TDR'),('D12scint','D12 with hcalFeScintillator','Tesla TDR');
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('configuration_angle','Test Beam configuration angle for the Calice test beam.');
UNLOCK TABLES;

--
-- Table structure for table `setup`
--

DROP TABLE IF EXISTS `setup`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup`
--

LOCK TABLES `setup` WRITE;
INSERT INTO `setup` VALUES ('TB30','Calice Test Beam with 30 degrees as setup angle'),('TB00','Calice Test Beam with setup angle of 0 degrees'),('TB10','Calice Test Beam with setup angle of 10 degrees'),('TB20','Calice Test Beam with setup angle of 20 degrees'),('TB40','Calice Test Beam with setup angle of 40 degrees');
UNLOCK TABLES;

--
-- Table structure for table `setup_parameters`
--

DROP TABLE IF EXISTS `setup_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup_parameters` (
  `setup` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `value` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`setup`,`value`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup_parameters`
--

LOCK TABLES `setup_parameters` WRITE;
INSERT INTO `setup_parameters` VALUES ('TB30','configuration_angle','30.0'),('TB10','configuration_angle','10.0'),('TB00','configuration_angle','0.0'),('TB40','configuration_angle','40.0'),('TB20','configuration_angle','20.0');
UNLOCK TABLES;

--
-- Table structure for table `sharing`
--

DROP TABLE IF EXISTS `sharing`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sharing` (
  `driver` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `default_value` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`parameter`,`driver`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sharing`
--

LOCK TABLES `sharing` WRITE;
INSERT INTO `sharing` VALUES ('TBcatcher04','configuration_angle','0.0'),('proto03','configuration_angle','0.0'),('TBhcal04','configuration_angle','0.0'),('TBdch01','ecal_begin_z','-202.7'),('TBdch01','configuration_angle','0.0');
UNLOCK TABLES;

--
-- Table structure for table `sub_detector`
--

DROP TABLE IF EXISTS `sub_detector`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sub_detector` (
  `id` tinyint(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `db` varchar(80) NOT NULL default '',
  `driver` varchar(20) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `subdriver` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=89;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sub_detector`
--

LOCK TABLES `sub_detector` WRITE;
INSERT INTO `sub_detector` VALUES (1,'ecal02','ecal02','ecal02','Ecal exploited for the Tesla TDR',''),(2,'hcal02','hcal02','hcal02','Hcal exploited for the Tesla TDR',''),(3,'mask00','mask00','mask00','Mask exploited for the Tesla TDR',''),(4,'field00','field00','field00','Magnetic field simulated for the Tesla TDR',''),(5,'field01','field01','field00','Magnetic field with 4 tesla inside the solenoidal zone and -2.515625 tesla in the barrel yoke',''),(6,'P55','P55','proto00','Ecal prototype with 30 layers (10 x 2.8 mm, 10 x 2.8 mm and 10 x 4.2 mm) in vertical, 5 x 5 cells per wafer',''),(7,'P55INC','P55INC','proto00','The same as the P55 but with shifted slabs',''),(8,'P55EcalLike','P55EcalLike','proto00','The same as the P55 but with the same Ecal W layers configuration',''),(9,'tpc00','tpc00','tpc00','A very simple TPC to have material inside the Ecal and to keep track of charged particles',''),(10,'coil00','coil00','coil00','A simple Al tube as Coil',''),(11,'yoke00','yoke00','yoke00','The yoke as massive Fe volumes',''),(12,'ecal20','ecal20','ecal02','Ecal with 20 W layers',''),(13,'hcal20','hcal20','hcal02','Modified Digital Hcal to be closed to the Ecal with 20 layers',''),(14,'HcalWMod','hcal02','HcalWMod','Fe replaced by modified W density',''),(15,'hodoscope','hodoscope00','hodoscope00','Hodoscope',''),(16,'mask01','mask01','mask00','Mask exploited for the Tesla TDR but 50cm off in Z.',''),(17,'ecal03','ecal03','ecal02','The same as ecal02 but 50cm shorter in Z.',''),(18,'tpc01','tpc01','tpc00','As tpc00 but 50 cm shorter in Z.',''),(19,'hcal03','hcal03','hcal02','As hcal02 but 50cm shorter in Z.',''),(20,'ecal01j','ecal01j','ecal02','just to export Ecal for Brahms, for J. Boehme',''),(21,'ecal02j','ecal02j','ecal02','changes for Jenny',''),(22,'P66','P66S','proto00','As P55 but 6x6 cells per wafer',''),(23,'P66Wshape','P66Wshape','proto01','Ecal prototype driver with mesured W  thickness',''),(24,'P66WNominal','P66WNominal','proto01','Ecal prototype driver  with W  ideal thickness (reference)',''),(25,'set00','SET00','set00','Silicon External Tracker',''),(26,'tpc02','tpc02','tpc00','TPC shorter in radius because the SET',''),(27,'hcalWModRPC1','hcalWModRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs and WMod',''),(28,'hcalFeRPC1','hcalFeRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs',''),(29,'hcalFeScintillator','hcalFeScintillator','hcal03','As the Hcal exploited for the Tesla TDR.',''),(30,'vxd00','vxd00','vxd00','The VXD',''),(31,'tube00','tube00','tube00','Complete beam tube (vacum, Be and Fe, eletronics) to cowork with vxd00',''),(32,'mask02','mask02','mask01','The masks with Brahms parameters and the VXD electronics',''),(33,'sit00','sit00','sit00','The SIT as described in Brahms',''),(34,'ftd00','ftd00','ftd00','The Foward Tracking Detector as described in TDR and Brahms',''),(35,'tpc03','tpc03','tpc01','The TDR TPC with improvements in simulation (Si in FCH, ~1cm Ar thick layers, standard tracking Hit\'s format)',''),(36,'P66micro','P66micro','proto01','tests with transistors',''),(37,'SinglehcalFeRPC1','SinglehcalFeRPC1','hcal03','Single module Hcal Fe & RPC as prototype',''),(38,'P66WNominal_45','P66WNominal_45','proto01','Ecal prototype driver with W ideal thickness , shifted slab to 45 degres shoots (reference)',''),(39,'SinglehcalFeScintillator','SinglehcalFeScintillator','hcal03','Single module Hcal Fe with scintillator as prototype',''),(40,'mask03','mask03','mask02','Mask defined by Karsten Buesser on Thu, 23 Jan 2003',''),(41,'P66HV14','P66HV14','proto02','1th Proto module for the P66HV set',''),(42,'P66HV28','P66HV28','proto02','2th Proto module for the P66HV set',''),(43,'P66HV42','P66HV42','proto02','3th Proto module for the P66HV set',''),(44,'SinglehcalFeRPC2','SinglehcalFeRPC2','hcal03','Single Hcal module with RPC for ProtoEH_RPC series',''),(48,'TBhcal00','TBhcal00','TBhcal00','HCal for TB00 Test Beam model',''),(49,'TBecal00','TBecal00','TBecal00','ECal for TB00 Test Beam model',''),(50,'TBcatcher00','TBcatcher00','TBcatcher00','Tail Catcher for TB00 Test Beam model',''),(51,'TBhcal01','TBhcal00','TBhcal01','HCal with virtual RO',''),(52,'TBhcal02','TBhcal02','TBhcal02','HCal with virtual cells, simple version',''),(53,'TBecal02','TBecal02','TBecal02','ECal with virtual cells, J. McCormick',''),(54,'TBcatcher02','TBcatcher02','TBcatcher02','Tail Catcher with virtual cells, J. McCormick',''),(73,'tpc04','tpc04','tpc02','TPC improved',''),(71,'HcalRPC','HcalFeRPC','hcalrpc','RPC Hcal prototype',''),(76,'ecal04','ecal04','ecal03','ecal02 with silicon divided into wafers and cells',''),(75,'Proto03','CaliceEcal03','proto03','Calice Ecal prototype',''),(74,'wscal','wscal','wscal','Simple\r\nCalorimeter for demonstration of in LC Sim. Workshop',''),(69,'TBhcal03','TBhcalcatch03','TBhcal03','HCal with virtual cells for TB03 Test Beam Models',''),(68,'TBcatcher03','TBhcalcatch03','TBcatcher03','Tail Catcher with updated layering, J. McCormick 10/04',''),(77,'ProtoDesy0205','ProtoDesy0205','proto03','Calice Ecal prototype',''),(78,'ecal05','ecal05','ecal02','ecal04 with cells 1 mm2',''),(80,'TBcatcher04','TBhcalcatch04','TBcatcher04','Tail Catcher with virtual cells for TB04 CALICE Test Beam Models',''),(79,'TBhcal04','TBhcalcatch04','TBhcal04','HCal with virtual cells for TB04 CALICE Test Beam Models',''),(81,'ftd01','ftd01','ftd00','The Foward Tracking Detector as described in TDR and Brahms',''),(82,'mask04','mask04','mask04','New cylindrical shielding mask Feb.2005 B.Pawlik',''),(83,'LumiCalS','LumiCalS00','LumiCal','Test of initial version of strip LumiCal',''),(84,'tube01','tube01','tube01','New conical beam tube (vacum, Be and Fe, eletronics)',''),(85,'LumiCalP','LumiCalP00','LumiCal','Initial version of padded LumiCal',''),(86,'ecal06','ecal06','ecal02','first approach for a most compact Ecal, with 1mm2 cells for studies',''),(87,'TBdch01','dch00','TBdch01','Drift chambers submitted by Fabrizio Salvatore',''),(88,'ecalpbk1','ecal07','ecal02','first approach for a most compact Ecal, with radiator lead and 1mm2 cells for studies','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:33
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `models03`;
USE models03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: models03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `detector_concept`
--

DROP TABLE IF EXISTS `detector_concept`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `detector_concept` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  `world_box_hx` double NOT NULL default '0',
  `world_box_hy` double NOT NULL default '0',
  `world_box_hz` double NOT NULL default '0',
  `tracker_region_rmax` double NOT NULL default '0',
  `tracker_region_zmax` double NOT NULL default '0',
  `calorimeter_region_rmax` double NOT NULL default '0',
  `calorimeter_region_zmax` double NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `detector_concept`
--

LOCK TABLES `detector_concept` WRITE;
INSERT INTO `detector_concept` VALUES ('Tesla TDR','Detector as defined for the Tesla TDR',7500,7500,7500,1700,2500,2910,4030),('Test Beam Calice','Test beam with Ecal and Hcal prototypes',10000,10000,10000,0,0,0,0),('Old prototypes','First prototype simulations',6000,6000,6000,0,0,0,0),('LDC','The LDC detector concept',7500,7500,7500,1700,2500,2854.85521187,3415.5),('SiD','Si Detector, a compact detector with a Si tracker instead a TPC and 5 Tesla field.',8000,8000,8000,1237,1650,2500,2770),('Tesla TDR Extended','Detector as defined for the Tesla TDR, extended for further studies',7500,7500,15000,1700,2500,2910,4030),('Test Beam Cern','Test beam setup at Cern August 2006',60000,60000,60000,0,0,0,0),('Tesla TDR 2','Detector as defined for the Tesla TDR with a larger world volume on Z',7500,7500,9000,1700,2500,2910,4030),('LDC Extended','The LDC detector concept, extended in length',7500,7500,12600,1700,2500,2854.85521187,3415.5),('ILD','The ILD detector concept',7500,7500,14000,1842,2500,3490,4044),('CILD','The ILDish CLIC detector concept',7500,7500,14000,1842,2500,3490,4044),('Biomed','first simulator for biomed',10000,10000,10000,300,300,500,500);
UNLOCK TABLES;

--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ingredients` (
  `id` bigint(4) NOT NULL auto_increment,
  `model` char(80) NOT NULL default '',
  `sub_detector` char(80) NOT NULL default '',
  `build_order` bigint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=1389;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
INSERT INTO `ingredients` VALUES (1,'TDR','ecal02',0),(2,'TDR','hcal02',0),(3,'TDR','mask00',0),(4,'TDR','field00',0),(5,'D08','ecal02',0),(6,'D08','hcal02',0),(7,'D08','mask00',0),(8,'D08','field01',0),(9,'P55','P55',0),(10,'P55INC','P55INC',0),(11,'P55EcalLike','P55EcalLike',0),(12,'D08','tpc00',0),(13,'D20','ecal20',0),(14,'D20','hcal20',0),(15,'D08','yoke00',0),(16,'D08','coil00',0),(17,'D20','mask00',0),(18,'D20','field01',0),(19,'D20','tpc00',0),(20,'D20','yoke00',0),(21,'D20','coil00',0),(22,'HcalWMod','ecal02',0),(23,'HcalWMod','mask00',0),(24,'HcalWMod','field01',0),(25,'HcalWMod','tpc00',0),(26,'HcalWMod','yoke00',0),(27,'HcalWMod','coil00',0),(28,'HcalWMod','HcalWMod',0),(29,'D08SET','hcal02',0),(30,'D08M1','ecal02',0),(31,'D08M1','hcal02',0),(32,'D08M1','mask01',0),(33,'D08M1','field01',0),(34,'D08M1','tpc00',0),(35,'D08M1','yoke00',0),(36,'D08M1','coil00',0),(37,'D08M2','tpc01',0),(38,'D08M2','hcal03',0),(39,'D08M2','ecal03',0),(40,'D08M2','mask00',0),(41,'D08M2','field01',0),(42,'D08M2','yoke00',0),(43,'D08M2','coil00',0),(44,'D08M3','tpc01',0),(45,'D08M3','hcal03',0),(46,'D08M3','ecal03',0),(47,'D08M3','mask01',0),(48,'D08M3','field01',0),(49,'D08M3','yoke00',0),(50,'D08M3','coil00',0),(51,'D08SET','ecal02',0),(52,'D08SET','tpc02',0),(53,'D08SET','mask00',0),(54,'D08SET','field01',0),(55,'D08SET','yoke00',0),(56,'D08SET','coil00',0),(57,'D08SET','set00',0),(58,'D08WModRPC1','ecal02',0),(59,'D08WModRPC1','mask00',0),(60,'D08WModRPC1','field01',0),(61,'D08WModRPC1','tpc00',0),(62,'D08WModRPC1','yoke00',0),(63,'D08WModRPC1','coil00',0),(64,'D08WModRPC1','hcalWModRPC1',0),(65,'D08FeRPC1','ecal02',0),(66,'D08FeRPC1','mask00',0),(67,'D08FeRPC1','field01',0),(68,'D08FeRPC1','tpc00',0),(69,'D08FeRPC1','yoke00',0),(70,'D08FeRPC1','coil00',0),(71,'D08FeRPC1','hcalFeRPC1',0),(72,'D08FeScintillator','ecal02',0),(73,'D08FeScintillator','mask00',0),(74,'D08FeScintillator','field01',0),(75,'D08FeScintillator','tpc00',0),(76,'D08FeScintillator','yoke00',0),(77,'D08FeScintillator','coil00',0),(78,'D08FeScintillator','hcalFeScintillator',0),(79,'inner_detectors','vxd00',0),(80,'inner_detectors','tube00',0),(81,'inner_detectors','mask02',0),(82,'D09','ecal02',0),(83,'D09','hcalFeRPC1',0),(84,'D09','mask02',0),(85,'D09','field01',0),(86,'D09','tpc03',0),(96,'D09','yoke00',0),(88,'D09','coil00',0),(89,'D09','vxd00',0),(90,'D09','tube00',0),(91,'D09','sit00',0),(92,'inner_detectors','tpc00',0),(93,'inner_detectors','sit00',0),(94,'inner_detectors','ftd00',0),(95,'D09','ftd00',0),(109,'ProtoEcalHcalRPC','P66WNominal',0),(108,'ProtoEcalHcalRPC','SinglehcalFeRPC1',0),(110,'ProtoEcalHcalRPC_45','P66WNominal_45',0),(111,'ProtoEcalHcalRPC_45','SinglehcalFeRPC1',0),(112,'ProtoEcalHcalScintillator','P66WNominal',0),(113,'ProtoEcalHcalScintillator','SinglehcalFeScintillator',0),(114,'ProtoEcalHcalScintillator_45','P66WNominal_45',0),(115,'ProtoEcalHcalScintillator_45','SinglehcalFeScintillator',0),(117,'D09M1','ftd00',0),(118,'D09M1','tube00',0),(119,'D09M1','sit00',0),(120,'D09M1','ecal02',0),(121,'D09M1','hcalFeRPC1',0),(122,'D09M1','mask03',0),(123,'D09M1','field01',0),(124,'D09M1','tpc03',0),(125,'D09M1','yoke00',0),(126,'D09M1','coil00',0),(127,'D09M1','vxd00',0),(128,'ProtoEH_RPC','P66HV14',0),(129,'ProtoEH_RPC','P66HV28',0),(130,'ProtoEH_RPC','P66HV42',0),(131,'ProtoEH_RPC','SinglehcalFeRPC2',0),(132,'TB00','TBhcal00',0),(133,'TB00','TBecal00',0),(134,'TB00','TBcatcher00',0),(135,'TB01','TBecal00',0),(136,'TB01','TBhcal01',0),(137,'TB01','TBcatcher00',0),(138,'TB02','TBhcal02',0),(139,'TB02','TBecal02',0),(140,'TB02','TBcatcher02',0),(171,'CaliceEcalHcalRPC','Proto03',0),(172,'CaliceEcalHcalRPC','HcalRPC',0),(217,'CaliceEcal03','Proto03',0),(202,'D10','sit00',0),(201,'D10','tube00',0),(200,'D10','vxd00',0),(199,'D10','coil00',0),(198,'D10','yoke00',0),(197,'D10','tpc04',0),(196,'D10','field01',0),(195,'D10','mask02',0),(194,'D10','hcalFeRPC1',0),(193,'D10','ecal02',0),(179,'TB03_hcalcatch','TBhcal03',0),(178,'TB03_hcalcatch','TBcatcher03',0),(168,'TB03','TBhcal03',0),(167,'TB03','TBcatcher03',0),(169,'TB03','Proto03',0),(203,'D10','ftd00',0),(204,'D10scint','ecal02',0),(205,'D10scint','hcalFeScintillator',0),(206,'D10scint','mask02',0),(207,'D10scint','field01',0),(208,'D10scint','tpc04',0),(209,'D10scint','yoke00',0),(210,'D10scint','coil00',0),(211,'D10scint','vxd00',0),(212,'D10scint','tube00',0),(213,'D10scint','sit00',0),(214,'D10scint','ftd00',0),(215,'WSCal','wscal',0),(272,'D11','vxd00',0),(271,'D11','coil00',0),(270,'D11','yoke00',0),(269,'D11','tpc04',0),(268,'D11','field01',0),(267,'D11','mask03',0),(266,'D11','hcalFeRPC1',0),(265,'D11','ecal04',0),(264,'D11','sit00',0),(263,'D11','tube00',0),(262,'D11','ftd00',0),(275,'ProtoDesy0205','ProtoDesy0205',0),(293,'TB04_hcal','TBhcal04',0),(292,'TB04_hcalcatch','TBcatcher04',0),(291,'TB04_hcalcatch','TBhcal04',0),(290,'TB04','TBcatcher04',0),(289,'TB04','Proto03',0),(288,'TB04','TBhcal04',0),(294,'D12','vxd00',0),(295,'D12','coil00',0),(296,'D12','yoke00',0),(297,'D12','tpc04',0),(298,'D12','field01',0),(299,'D12','LumiCalS',0),(300,'D12','hcalFeRPC1',0),(301,'D12','ecal02',0),(302,'D12','sit00',0),(303,'D12','tube01',0),(304,'D12','ftd01',0),(306,'D12','mask04',0),(307,'EcalTPC','ecal05',0),(308,'EcalTPC','tpc03',0),(332,'D09Scint','ecal02',0),(331,'D09Scint','hcalFeScintillator',0),(330,'D09Scint','mask02',0),(329,'D09Scint','field01',0),(328,'D09Scint','tpc03',0),(327,'D09Scint','yoke00',0),(326,'D09Scint','coil00',0),(325,'D09Scint','vxd00',0),(324,'D09Scint','tube00',0),(323,'D09Scint','sit00',0),(322,'D09Scint','ftd00',0),(333,'TB05','TBdch01',0),(334,'TB05','Proto03',0),(335,'TB05','TBhcal04',0),(336,'TB05','TBcatcher04',0),(337,'TBDesy0205','TBdch01',0),(338,'TBDesy0205','ProtoDesy0205',0),(339,'Ecalk1TPC','ecal06',0),(340,'Ecalk1TPC','tpc03',0),(341,'EcalPbk1TPC','ecalpbk1',0),(342,'EcalPbk1TPC','tpc03',0),(343,'HcalFeRPCFieldCoil','hcalFeRPC1',0),(344,'HcalFeRPCFieldCoil','coil00',0),(345,'HcalFeRPCFieldCoil','field01',0),(346,'HcalWModRPCFieldCoil','coil00',0),(347,'HcalWModRPCFieldCoil','field01',0),(348,'HcalWModRPCFieldCoil','hcalWModRPC1',0),(349,'D12scint','vxd00',0),(350,'D12scint','coil00',0),(351,'D12scint','yoke00',0),(352,'D12scint','tpc04',0),(353,'D12scint','field01',0),(354,'D12scint','LumiCalS',0),(355,'D12scint','hcalFeScintillator',0),(356,'D12scint','ecal02',0),(357,'D12scint','sit00',0),(358,'D12scint','tube01',0),(359,'D12scint','ftd01',0),(360,'D12scint','mask04',0),(361,'LDC01','SEcal01',200),(362,'LDC01','SHcal01',300),(363,'LDC01','SCoil01',400),(364,'LDC01','SYoke01',500),(365,'LDC01','STpc01',100),(366,'LDC01','mask04',60),(367,'LDC01','ftd01',40),(368,'LDC01','tube01',0),(369,'LDC01','sit00',30),(370,'LDC01','LumiCalS',50),(371,'LDC01','vxd00',20),(374,'LDC01','SField01',1000),(375,'LDC01Sc','SEcal01',200),(376,'LDC01Sc','SHcal01',300),(377,'LDC01Sc','SCoil01',400),(378,'LDC01Sc','SYoke01',500),(379,'LDC01Sc','STpc01',100),(380,'LDC01Sc','mask04',60),(381,'LDC01Sc','ftd01',40),(382,'LDC01Sc','tube01',0),(383,'LDC01Sc','sit00',30),(384,'LDC01Sc','LumiCalS',50),(385,'LDC01Sc','vxd00',20),(386,'LDC01Sc','SField01',1000),(387,'SiD01','SEcal01',200),(388,'SiD01','SHcal01',300),(389,'SiD01','SCoil01',400),(390,'SiD01','SYoke01',500),(391,'SiD01','SField01',1000),(392,'SiD02','SEcal01',200),(393,'SiD02','SHcal01',300),(394,'SiD02','SCoil01',400),(395,'SiD02','SYoke01',500),(396,'SiD02','SField01',1000),(397,'SiDTracker','SiDFwd00',0),(398,'SiDTracker','SiDBar00',0),(399,'SiD01','SiDFwd00',0),(400,'SiD02','SiDFwd00',0),(401,'SiD01','SiDBar00',0),(402,'SiD02','SiDBar00',0),(403,'SiDTracker','tubeSiD01',0),(404,'SiD01','tubeSiD01',0),(405,'SiD02','tubeSiD01',0),(406,'SiDTracker','vxdSiD00',0),(407,'SiD01','vxdSiD00',0),(408,'SiD02','vxdSiD00',0),(409,'SiDTracker','ftdSiD00',0),(410,'SiD01','ftdSiD00',0),(411,'SiD02','ftdSiD00',0),(412,'LDC00','SEcal01',200),(413,'LDC00','SHcal01',300),(414,'LDC00','SCoil01',400),(415,'LDC00','SYoke01',500),(416,'LDC00','STpc01',100),(417,'LDC00','mask04',60),(418,'LDC00','ftd01',40),(419,'LDC00','tube01',0),(420,'LDC00','sit00',30),(421,'LDC00','LumiCalS',50),(422,'LDC00','vxd00',20),(423,'LDC00','SField01',1000),(424,'LDC00Sc','SEcal01',200),(425,'LDC00Sc','SHcal01',300),(426,'LDC00Sc','SCoil01',400),(427,'LDC00Sc','SYoke01',500),(428,'LDC00Sc','STpc01',100),(429,'LDC00Sc','mask04',60),(430,'LDC00Sc','ftd01',40),(431,'LDC00Sc','tube01',0),(432,'LDC00Sc','sit00',30),(433,'LDC00Sc','LumiCalS',50),(434,'LDC00Sc','vxd00',20),(435,'LDC00Sc','SField01',1000),(436,'TB06','ProtoDesy0205',0),(437,'TB06','TBdch01',0),(438,'TB06','TBhcal04',0),(439,'TB06','TBcatcher04',0),(440,'D14','vxd01',0),(441,'D14','coil00',0),(442,'D14','yoke00',0),(443,'D14','tpc04',0),(444,'D14','field01',0),(445,'D14','LumiCalS',0),(446,'D14','hcalFeRPC1',0),(447,'D14','ecal02',0),(448,'D14','sit00',0),(449,'D14','tube02',0),(450,'D14','ftd01',0),(451,'D14','mask04',0),(452,'D14_CMOSVTX','vxd02',0),(453,'D14_CMOSVTX','coil00',0),(454,'D14_CMOSVTX','yoke00',0),(455,'D14_CMOSVTX','tpc04',0),(456,'D14_CMOSVTX','field01',0),(457,'D14_CMOSVTX','LumiCalS',0),(458,'D14_CMOSVTX','hcalFeRPC1',0),(459,'D14_CMOSVTX','ecal02',0),(460,'D14_CMOSVTX','sit00',0),(461,'D14_CMOSVTX','tube02',0),(462,'D14_CMOSVTX','ftd01',0),(463,'D14_CMOSVTX','mask04',0),(464,'D13TDR','coil00',0),(465,'D13TDR','ecal02',0),(466,'D13TDR','ftd01',0),(467,'D13TDR','hcalFeRPC1',0),(468,'D13TDR','sit00',0),(469,'D13TDR','vxd01',0),(470,'D13TDR','tubeX00TDR',0),(471,'D13TDR','maskX00TDR',0),(472,'D13TDR','fieldX00TDR',0),(473,'D13TDR','tpc05',0),(474,'D13TDR','yoke01TDR',0),(475,'D13Stahl','coil00',0),(476,'D13Stahl','ecal02',0),(477,'D13Stahl','ftd01',0),(478,'D13Stahl','hcalFeRPC1',0),(479,'D13Stahl','sit00',0),(480,'D13Stahl','vxd01',0),(481,'D13Stahl','tubeX00Stahl',0),(482,'D13Stahl','maskX00Stahl',0),(483,'D13Stahl','fieldX00Stahl',0),(484,'D13Stahl','tpc05',0),(485,'D13Stahl','yoke01Stahl',0),(486,'D13XStahl','coil00',0),(487,'D13XStahl','ecal02',0),(488,'D13XStahl','ftd01',0),(489,'D13XStahl','hcalFeRPC1',0),(490,'D13XStahl','sit00',0),(491,'D13XStahl','vxd01',0),(492,'D13XStahl','tubeX00XStahl',0),(493,'D13XStahl','maskX00XStahl',0),(494,'D13XStahl','fieldX00XStahl',0),(495,'D13XStahl','tpc05',0),(496,'D13XStahl','yoke01XStahl',0),(497,'TB07','TBscint01',0),(498,'TB07','ProtoDesy0205',0),(499,'TB07','TBdch01',0),(500,'TB07','TBhcal04',0),(501,'TB07','TBcatcher04',0),(502,'TBDesy0205_2','TBdch01',0),(503,'TBDesy0205_2','ProtoDesy0205',0),(504,'TBDesy0205_2','TBscint01',0),(505,'LDC01_01Sc','SEcal01',200),(506,'LDC01_01Sc','SHcal02',300),(507,'LDC01_01Sc','SCoil01',400),(508,'LDC01_01Sc','yoke02',500),(509,'LDC01_01Sc','STpc01',100),(510,'LDC01_01Sc','mask04',60),(511,'LDC01_01Sc','ftd01',40),(512,'LDC01_01Sc','tube01',0),(513,'LDC01_01Sc','sit00',30),(514,'LDC01_01Sc','LumiCalS',50),(515,'LDC01_01Sc','vxd00',20),(516,'LDC01_01Sc','SField01',1000),(518,'LDC01_01Rp','SEcal01',200),(519,'LDC01_01Rp','SHcal02',300),(520,'LDC01_01Rp','SCoil01',400),(521,'LDC01_01Rp','yoke02',500),(522,'LDC01_01Rp','STpc01',100),(523,'LDC01_01Rp','mask04',60),(524,'LDC01_01Rp','ftd01',40),(525,'LDC01_01Rp','tube01',0),(526,'LDC01_01Rp','sit00',30),(527,'LDC01_01Rp','LumiCalS',50),(528,'LDC01_01Rp','vxd00',20),(529,'LDC01_01Rp','SField01',1000),(531,'LDC00_01Rp','SEcal01',200),(532,'LDC00_01Rp','SHcal02',300),(533,'LDC00_01Rp','SCoil01',400),(534,'LDC00_01Rp','yoke02',500),(535,'LDC00_01Rp','STpc01',100),(536,'LDC00_01Rp','mask04',60),(537,'LDC00_01Rp','ftd01',40),(538,'LDC00_01Rp','tube01',0),(539,'LDC00_01Rp','sit00',30),(540,'LDC00_01Rp','LumiCalS',50),(541,'LDC00_01Rp','vxd00',20),(542,'LDC00_01Rp','SField01',1000),(544,'LDC00_01Sc','SEcal01',200),(545,'LDC00_01Sc','SHcal02',300),(546,'LDC00_01Sc','SCoil01',400),(547,'LDC00_01Sc','yoke02',500),(548,'LDC00_01Sc','STpc01',100),(549,'LDC00_01Sc','mask04',60),(550,'LDC00_01Sc','ftd01',40),(551,'LDC00_01Sc','tube01',0),(552,'LDC00_01Sc','sit00',30),(553,'LDC00_01Sc','LumiCalS',50),(554,'LDC00_01Sc','vxd00',20),(555,'LDC00_01Sc','SField01',1000),(559,'TBDesy0506','TBfingcount01',0),(558,'TBDesy0506','TBscint02',0),(557,'TBDesy0506','ProtoDesy0506',0),(556,'TBDesy0506','TBdch02',0),(560,'TBCern0806','TBscint03',0),(561,'TBCern0806','TBfingcount02',0),(562,'TBCern0806','TBdch03',0),(563,'TBCern0806','TBhcal05',0),(564,'TBCern0806','TBcatcher05',0),(565,'TBCern0806','ProtoDesy0506',0),(566,'TBCern0806','TBmuoncount01',0),(567,'TBCern0806','TBcerenkov01',0),(568,'ProtoDesy0506','ProtoDesy0506',0),(569,'TBCern1006','TBscint04',0),(570,'TBCern1006','TBfingcount03',0),(571,'TBCern1006','TBdch04',0),(572,'TBCern1006','TBhcal06',0),(573,'TBCern1006','TBcatcher06',0),(574,'TBCern1006','ProtoDesy0506',0),(575,'TBCern1006','TBmuoncount02',0),(576,'TBCern1006','TBcerenkov02',0),(577,'TBDesy0506_01','TBfingcount01_01',0),(578,'TBDesy0506_01','TBscint02_01',0),(579,'TBDesy0506_01','ProtoDesy0506_01',0),(580,'TBDesy0506_01','TBdch02_01',0),(581,'TBCern0806_01','TBscint03_01',0),(582,'TBCern0806_01','TBfingcount02_01',0),(583,'TBCern0806_01','TBdch03_01',0),(584,'TBCern0806_01','TBhcal05_01',0),(585,'TBCern0806_01','TBcatcher05_01',0),(586,'TBCern0806_01','ProtoCern0806_01',0),(587,'TBCern0806_01','TBmuoncount01_01',0),(588,'TBCern0806_01','TBcerenkov01_01',0),(589,'ProtoDesy0506_01','ProtoDesy0506_01',0),(590,'TBCern1006_01','TBscint04_01',0),(591,'TBCern1006_01','TBfingcount03_01',0),(592,'TBCern1006_01','TBdch04_01',0),(593,'TBCern1006_01','TBhcal06_01',0),(594,'TBCern1006_01','TBcatcher06_01',0),(595,'TBCern1006_01','ProtoCern1006_01',0),(596,'TBCern1006_01','TBmuoncount02_01',0),(597,'TBCern1006_01','TBcerenkov02_01',0),(598,'TM06','TmagField',0),(599,'TM06','MidiTPC',0),(600,'TM06','Tmag06',0),(601,'LDC00_02Sc','tube02',0),(602,'LDC00_02Sc','vxd01',20),(603,'LDC00_02Sc','sit00',30),(604,'LDC00_02Sc','ftd01',40),(605,'LDC00_02Sc','mask04',60),(606,'LDC00_02Sc','tpc07',100),(607,'LDC00_02Sc','SEcal01',200),(608,'LDC00_02Sc','SHcal02',300),(609,'LDC00_02Sc','SCoil01',400),(610,'LDC00_02Sc','yoke03',500),(611,'LDC00_02Sc','SField01',1000),(612,'LDC01_02Sc','SEcal01',200),(613,'LDC01_02Sc','SHcal02',300),(614,'LDC01_02Sc','SCoil01',400),(615,'LDC01_02Sc','yoke03',500),(616,'LDC01_02Sc','tpc07',100),(617,'LDC01_02Sc','mask04',60),(618,'LDC01_02Sc','ftd01',40),(619,'LDC01_02Sc','tube02',0),(620,'LDC01_02Sc','sit00',30),(621,'LDC01_02Sc','LumiCalS',50),(622,'LDC01_02Sc','vxd01',20),(623,'LDC01_02Sc','SField01',1000),(624,'TBCern0806_01','TBvacpipe00_01',0),(625,'TBCern1006_01','TBvacpipe01_01',0),(626,'LDC00_03Rp','SEcal01',200),(627,'LDC00_03Rp','SHcal02',300),(628,'LDC00_03Rp','SCoil01',400),(629,'LDC00_03Rp','yoke03',500),(630,'LDC00_03Rp','tpc07',100),(631,'LDC00_03Rp','SMaskX00',60),(632,'LDC00_03Rp','SFtd01',40),(633,'LDC00_03Rp','STubeX00',0),(634,'LDC00_03Rp','sit00',30),(635,'LDC00_03Rp','SLcal01',600),(636,'LDC00_03Rp','vxd01',20),(637,'LDC00_03Rp','SFieldX00',1000),(638,'TBDesy0506_dchxy','TBfingcount01',0),(639,'TBDesy0506_dchxy','TBscint02',0),(640,'TBDesy0506_dchxy','ProtoDesy0506',0),(641,'TBDesy0506_dchxy','TBdchX02',0),(642,'TBDesy0506_dchxy','TBdchY02',0),(643,'TBDesy0506_01_dchxy','TBfingcount01_01',0),(644,'TBDesy0506_01_dchxy','TBscint02_01',0),(645,'TBDesy0506_01_dchxy','ProtoDesy0506_01',0),(646,'TBDesy0506_01_dchxy','TBdchX02_01',0),(647,'TBDesy0506_01_dchxy','TBdchY02_01',0),(648,'TBDesy0506_dchxy_new','TBfingcount01',0),(649,'TBDesy0506_dchxy_new','TBscint02',0),(650,'TBDesy0506_dchxy_new','ProtoDesy0506',0),(651,'TBDesy0506_dchxy_new','TBdchXY02',0),(652,'TBDesy0506_01_dchxy_new','TBfingcount01_01',0),(653,'TBDesy0506_01_dchxy_new','TBscint02_01',0),(654,'TBDesy0506_01_dchxy_new','ProtoDesy0506_01',0),(655,'TBDesy0506_01_dchxy_new','TBdchXY02_01',0),(656,'TBCern0806_dchxy_new','TBfingcount02',0),(657,'TBCern0806_dchxy_new','TBscint03',0),(658,'TBCern0806_dchxy_new','TBdchXY03',0),(659,'TBCern0806_dchxy_new','TBhcal05',0),(660,'TBCern0806_dchxy_new','TBcatcher05',0),(661,'TBCern0806_dchxy_new','ProtoDesy0506',0),(662,'TBCern0806_dchxy_new','TBmuoncount01',0),(663,'TBCern0806_dchxy_new','TBcerenkov01',0),(664,'TBCern0806_01_dchxy_new','TBfingcount02_01',0),(665,'TBCern0806_01_dchxy_new','TBscint03_01',0),(666,'TBCern0806_01_dchxy_new','TBdchXY03_01',0),(667,'TBCern0806_01_dchxy_new','TBhcal05_01',0),(668,'TBCern0806_01_dchxy_new','TBcatcher05_01',0),(669,'TBCern0806_01_dchxy_new','ProtoCern0806_01',0),(670,'TBCern0806_01_dchxy_new','TBmuoncount01_01',0),(671,'TBCern0806_01_dchxy_new','TBvacpipe00_01',0),(672,'TBCern0806_01_dchxy_new','TBcerenkov01_01',0),(673,'TBCern1006_dchxy_new','TBfingcount03',0),(674,'TBCern1006_dchxy_new','TBscint04',0),(675,'TBCern1006_dchxy_new','TBdchXY04',0),(676,'TBCern1006_dchxy_new','TBhcal06',0),(677,'TBCern1006_dchxy_new','TBcatcher06',0),(678,'TBCern1006_dchxy_new','ProtoDesy0506',0),(679,'TBCern1006_dchxy_new','TBmuoncount02',0),(680,'TBCern1006_dchxy_new','TBcerenkov02',0),(681,'TBCern1006_01_dchxy_new','TBfingcount03_01',0),(682,'TBCern1006_01_dchxy_new','TBscint04_01',0),(683,'TBCern1006_01_dchxy_new','TBdchXY04_01',0),(684,'TBCern1006_01_dchxy_new','TBhcal06_01',0),(685,'TBCern1006_01_dchxy_new','TBcatcher06_01',0),(686,'TBCern1006_01_dchxy_new','ProtoCern1006_01',0),(687,'TBCern1006_01_dchxy_new','TBmuoncount02_01',0),(688,'TBCern1006_01_dchxy_new','TBvacpipe01_01',0),(689,'TBCern1006_01_dchxy_new','TBcerenkov02_01',0),(690,'LDC00_03Sc','SEcal01',200),(691,'LDC00_03Sc','SHcal02',300),(692,'LDC00_03Sc','SCoil01',400),(693,'LDC00_03Sc','yoke03',500),(694,'LDC00_03Sc','tpc07',100),(695,'LDC00_03Sc','SMaskX00',60),(696,'LDC00_03Sc','SFtd01',40),(697,'LDC00_03Sc','STubeX00',0),(698,'LDC00_03Sc','sit00',30),(699,'LDC00_03Sc','SLcal01',600),(700,'LDC00_03Sc','vxd01',20),(701,'LDC00_03Sc','SFieldX00',1000),(702,'TBCern07','TBcerenkov03',10),(703,'TBCern07','TBscint05',20),(704,'TBCern07','TBdch05',30),(705,'TBCern07','TBmuoncount03',100),(706,'TBCern07','TBveto01',40),(707,'TBCern07','ProtoCern07',50),(708,'LDC01_05Sc','vxd01',20),(739,'LDC01_05Sc','maskX01',120),(710,'LDC01_05Sc','tpc08',200),(711,'LDC01_05Sc','sit01',30),(712,'TBCern07','TBcatcher07',90),(713,'LDC01_05Sc','SEcal02',90),(714,'LDC01_05Sc','SHcal03',300),(715,'TBCern0707','TBcerenkov03',10),(716,'TBCern0707','TBscint05',20),(717,'TBCern0707','TBdch05',30),(718,'TBCern0707','TBmuoncount03',100),(719,'TBCern0707','TBveto01',40),(720,'TBCern0707','ProtoCern07',50),(721,'TBCern0707','TBcatcher07',90),(722,'TBCern0807','TBcerenkov03',10),(723,'TBCern0807','TBscint05',20),(724,'TBCern0807','TBdch05',30),(725,'TBCern0807','TBmuoncount03',100),(726,'TBCern0807','TBveto01',40),(727,'TBCern0807','ProtoCern07',50),(728,'TBCern0807','TBcatcher07',90),(729,'LDC01_05Sc','SCoil01',400),(730,'LDC01_05Sc','yoke03',500),(731,'TBCern07','TBhcal07',80),(732,'TBCern0707','TBhcal07',80),(733,'TBCern0807','TBhcal07',80),(741,'LDC01_05Sc','SLcal01',600),(738,'LDC01_05Sc','tubeX01',100),(736,'LDC01_05Sc','SFtd02',40),(740,'LDC01_05Sc','SField01',1000),(742,'LDC01_05Sc','etd00',250),(743,'LDCPrime_01Sc','vxd01',20),(744,'LDCPrime_01Sc','maskX01',120),(745,'LDCPrime_01Sc','tpc08',200),(746,'LDCPrime_01Sc','sit01',30),(747,'LDCPrime_01Sc','SEcal02',90),(748,'LDCPrime_01Sc','SHcal03',300),(749,'LDCPrime_01Sc','SCoil01',400),(750,'LDCPrime_01Sc','yoke03',500),(751,'LDCPrime_01Sc','SLcal01',600),(752,'LDCPrime_01Sc','tubeX01',100),(753,'LDCPrime_01Sc','SFtd02',40),(754,'LDCPrime_01Sc','SField01',1000),(755,'LDCPrime_01Sc','etd00',250),(772,'LDC01_06Sc_p01','SEtd01',250),(757,'LDC01_06Sc_p01','maskX01',120),(758,'LDC01_06Sc_p01','tpc08',200),(771,'LDC01_06Sc_p01','SFtd04',220),(760,'LDC01_06Sc_p01','SEcal03',90),(761,'LDC01_06Sc_p01','SHcalSc01',300),(762,'LDC01_06Sc_p01','SCoil01',400),(763,'LDC01_06Sc_p01','yoke03',500),(764,'LDC01_06Sc_p01','SLcal01',600),(765,'LDC01_06Sc_p01','tubeX01',100),(770,'LDC01_06Sc_p01','SSit02',210),(767,'LDC01_06Sc_p01','SField01',1000),(769,'LDC01_06Sc_p01','vxd03',20),(773,'LDCPrime_02Sc_p01','SEtd01',250),(774,'LDCPrime_02Sc_p01','maskX01',120),(775,'LDCPrime_02Sc_p01','tpc08',200),(776,'LDCPrime_02Sc_p01','SFtd04',220),(777,'LDCPrime_02Sc_p01','SEcal03',90),(778,'LDCPrime_02Sc_p01','SHcalSc01',300),(779,'LDCPrime_02Sc_p01','SCoil01',400),(780,'LDCPrime_02Sc_p01','yoke03',500),(781,'LDCPrime_02Sc_p01','SLcal01',600),(782,'LDCPrime_02Sc_p01','tubeX01',100),(783,'LDCPrime_02Sc_p01','SSit02',210),(784,'LDCPrime_02Sc_p01','SField01',1000),(785,'LDCPrime_02Sc_p01','vxd03',20),(786,'LDC01_06Sc_p01','SSet01',230),(787,'LDCPrime_02Sc_p01','SSet01',230),(788,'LDC01_06Sc_p02','SEtd01',250),(789,'LDC01_06Sc_p02','maskX01',120),(790,'LDC01_06Sc_p02','tpc08',200),(791,'LDC01_06Sc_p02','SFtd05',220),(792,'LDC01_06Sc_p02','SEcal03',90),(793,'LDC01_06Sc_p02','SHcalSc01',300),(794,'LDC01_06Sc_p02','SCoil01',400),(795,'LDC01_06Sc_p02','yoke03',500),(796,'LDC01_06Sc_p02','SLcal01',600),(797,'LDC01_06Sc_p02','tubeX01',100),(798,'LDC01_06Sc_p02','SSit02',210),(799,'LDC01_06Sc_p02','SField01',1000),(800,'LDC01_06Sc_p02','vxd03',20),(801,'LDCPrime_02Sc_p02','SEtd01',250),(802,'LDCPrime_02Sc_p02','maskX01',120),(803,'LDCPrime_02Sc_p02','tpc08',200),(804,'LDCPrime_02Sc_p02','SFtd05',220),(805,'LDCPrime_02Sc_p02','SEcal03',90),(806,'LDCPrime_02Sc_p02','SHcalSc01',300),(807,'LDCPrime_02Sc_p02','SCoil01',400),(808,'LDCPrime_02Sc_p02','yoke03',500),(809,'LDCPrime_02Sc_p02','SLcal01',600),(810,'LDCPrime_02Sc_p02','tubeX01',100),(811,'LDCPrime_02Sc_p02','SSit02',210),(812,'LDCPrime_02Sc_p02','SField01',1000),(813,'LDCPrime_02Sc_p02','vxd03',20),(814,'LDC01_06Sc_p02','SSet01',230),(815,'LDCPrime_02Sc_p02','SSet01',230),(816,'LDC01_06Sc','SEtd01',250),(817,'LDC01_06Sc','maskX01',120),(818,'LDC01_06Sc','tpc08',200),(819,'LDC01_06Sc','SFtd06',220),(820,'LDC01_06Sc','SEcal03',90),(821,'LDC01_06Sc','SHcalSc01',300),(822,'LDC01_06Sc','SCoil01',400),(823,'LDC01_06Sc','yoke03',500),(824,'LDC01_06Sc','SLcal01',600),(825,'LDC01_06Sc','tubeX01',100),(826,'LDC01_06Sc','SSit02',210),(827,'LDC01_06Sc','SField01',1000),(828,'LDC01_06Sc','vxd03',20),(829,'LDCPrime_02Sc','SEtd01',250),(830,'LDCPrime_02Sc','maskX01',120),(831,'LDCPrime_02Sc','tpc08',200),(832,'LDCPrime_02Sc','SFtd06',220),(833,'LDCPrime_02Sc','SEcal03',90),(834,'LDCPrime_02Sc','SHcalSc01',300),(835,'LDCPrime_02Sc','SCoil01',400),(836,'LDCPrime_02Sc','yoke03',500),(837,'LDCPrime_02Sc','SLcal01',600),(838,'LDCPrime_02Sc','tubeX01',100),(839,'LDCPrime_02Sc','SSit02',210),(840,'LDCPrime_02Sc','SField01',1000),(841,'LDCPrime_02Sc','vxd03',20),(842,'LDC01_06Sc','SSet01',230),(843,'LDCPrime_02Sc','SSet01',230),(844,'TBCern07_01','TBcerenkov03',10),(845,'TBCern07_01','TBscint05',20),(846,'TBCern07_01','TBdch05',30),(847,'TBCern07_01','TBmuoncount03',100),(848,'TBCern07_01','TBveto01',40),(849,'TBCern07_01','ProtoCern07',50),(850,'TBCern07_01','TBcatcher07',90),(851,'TBCern0707_01','TBcerenkov03',10),(852,'TBCern0707_01','TBscint05',20),(853,'TBCern0707_01','TBdch05',30),(854,'TBCern0707_01','TBmuoncount03',100),(855,'TBCern0707_01','TBveto01',40),(856,'TBCern0707_01','ProtoCern07',50),(857,'TBCern0707_01','TBcatcher07',90),(858,'TBCern0807_01','TBcerenkov03',10),(859,'TBCern0807_01','TBscint05',20),(860,'TBCern0807_01','TBdch05',30),(861,'TBCern0807_01','TBmuoncount03',100),(862,'TBCern0807_01','TBveto01',40),(863,'TBCern0807_01','ProtoCern07',50),(864,'TBCern0807_01','TBcatcher07',90),(865,'TBCern07_01','TBhcal07',80),(866,'TBCern0707_01','TBhcal07',80),(867,'TBCern0807_01','TBhcal07',80),(868,'TBCern07_01','TBvacpipe02_01',15),(869,'TBCern0707_01','TBvacpipe02_01',15),(870,'TBCern0807_01','TBvacpipe02_01',15),(871,'LDC_GLD_01Sc','SEtd01',250),(872,'LDC_GLD_01Sc','maskX01',120),(873,'LDC_GLD_01Sc','tpc08',200),(874,'LDC_GLD_01Sc','SFtd06',220),(875,'LDC_GLD_01Sc','SEcal03',90),(876,'LDC_GLD_01Sc','SHcalSc01',300),(877,'LDC_GLD_01Sc','SCoil01',400),(878,'LDC_GLD_01Sc','yoke03',500),(879,'LDC_GLD_01Sc','SLcal01',600),(880,'LDC_GLD_01Sc','tubeX01',100),(881,'LDC_GLD_01Sc','SSit02',210),(882,'LDC_GLD_01Sc','SField01',1000),(883,'LDC_GLD_01Sc','vxd03',20),(884,'LDC_GLD_01Sc','SSet01',230),(885,'TBCern07_dchxy_01','TBcerenkov03',10),(886,'TBCern07_dchxy_01','TBscint05',20),(887,'TBCern07_dchxy_01','TBdchXY05_01',30),(888,'TBCern07_dchxy_01','TBmuoncount03',100),(889,'TBCern07_dchxy_01','TBveto01',40),(890,'TBCern07_dchxy_01','ProtoCern07',50),(891,'TBCern07_dchxy_01','TBcatcher07',90),(892,'TBCern07_dchxy_01','TBhcal07',80),(893,'TBCern07_dchxy_01','TBvacpipe02_01',15),(894,'TBCern0707_dchxy_01','TBcerenkov03',10),(895,'TBCern0707_dchxy_01','TBscint05',20),(896,'TBCern0707_dchxy_01','TBdchXY05_01',30),(897,'TBCern0707_dchxy_01','TBmuoncount03',100),(898,'TBCern0707_dchxy_01','TBveto01',40),(899,'TBCern0707_dchxy_01','ProtoCern07',50),(900,'TBCern0707_dchxy_01','TBcatcher07',90),(901,'TBCern0707_dchxy_01','TBhcal07',80),(902,'TBCern0707_dchxy_01','TBvacpipe02_01',15),(903,'TBCern0807_dchxy_01','TBcerenkov03',10),(904,'TBCern0807_dchxy_01','TBscint05',20),(905,'TBCern0807_dchxy_01','TBdchXY05_01',30),(906,'TBCern0807_dchxy_01','TBmuoncount03',100),(907,'TBCern0807_dchxy_01','TBveto01',40),(908,'TBCern0807_dchxy_01','ProtoCern07',50),(909,'TBCern0807_dchxy_01','TBcatcher07',90),(910,'TBCern0807_dchxy_01','TBhcal07',80),(911,'TBCern0807_dchxy_01','TBvacpipe02_01',15),(912,'TBFnal0508','TBscint06',20),(913,'TBFnal0508','TBdchXY06_01',30),(914,'TBFnal0508','TBmuoncount04_01',100),(915,'TBFnal0508','TBveto02',40),(916,'TBFnal0508','ProtoFnal08',50),(917,'TBFnal0508','TBcatcher08',90),(918,'TBFnal0508','TBhcal08',80),(919,'ILD_00','SEtd02',250),(933,'ILD_00','LHcal01',120),(921,'ILD_00','tpc08',200),(922,'ILD_00','SFtd07',220),(923,'ILD_00','SEcal03',90),(924,'ILD_00','SHcalSc02',110),(925,'ILD_00','SCoil02',400),(926,'ILD_00','yoke04',500),(927,'ILD_00','SLcal02',100),(928,'ILD_00','tubeX02',150),(929,'ILD_00','SSit03',210),(930,'ILD_00','SField01',1000),(931,'ILD_00','vxd05',20),(932,'ILD_00','SSet02',230),(934,'ILD_00','maskX02',160),(935,'ILD_00','BeamCal01',650),(936,'ILD_00fw','SEtd02',250),(937,'ILD_00fw','LHcal01',120),(938,'ILD_00fw','tpc08',200),(939,'ILD_00fw','SFtd07',220),(940,'ILD_00fw','SEcal03',90),(941,'ILD_00fw','SHcalSc02',110),(942,'ILD_00fw','SCoil02',400),(943,'ILD_00fw','yoke04',500),(944,'ILD_00fw','SLcal02',100),(945,'ILD_00fw','tubeX04',150),(946,'ILD_00fw','SSit03',210),(947,'ILD_00fw','fieldX02',1000),(948,'ILD_00fw','vxd05',20),(949,'ILD_00fw','SSet02',230),(950,'ILD_00fw','maskX03',160),(951,'ILD_00fw','BeamCal01',650),(983,'ILD_00Dhcal','SEtd02',250),(952,'ILD_00Dhcal','LHcal01',120),(953,'ILD_00Dhcal','tpc08',200),(954,'ILD_00Dhcal','SFtd07',220),(955,'ILD_00Dhcal','SEcal03',90),(956,'ILD_00Dhcal','SHcal04',110),(957,'ILD_00Dhcal','SCoil02',400),(958,'ILD_00Dhcal','yoke04',500),(959,'ILD_00Dhcal','SLcal02',100),(960,'ILD_00Dhcal','tubeX02',150),(961,'ILD_00Dhcal','SSit03',210),(962,'ILD_00Dhcal','SField01',1000),(963,'ILD_00Dhcal','vxd05',20),(964,'ILD_00Dhcal','SSet02',230),(965,'ILD_00Dhcal','maskX02',160),(966,'ILD_00Dhcal','BeamCal01',650),(967,'ILD_00fw_Dhcal','SEtd02',250),(968,'ILD_00fw_Dhcal','LHcal01',120),(969,'ILD_00fw_Dhcal','tpc08',200),(970,'ILD_00fw_Dhcal','SFtd07',220),(971,'ILD_00fw_Dhcal','SEcal03',90),(972,'ILD_00fw_Dhcal','SHcal04',110),(973,'ILD_00fw_Dhcal','SCoil02',400),(974,'ILD_00fw_Dhcal','yoke04',500),(975,'ILD_00fw_Dhcal','SLcal02',100),(976,'ILD_00fw_Dhcal','tubeX04',150),(977,'ILD_00fw_Dhcal','SSit03',210),(978,'ILD_00fw_Dhcal','fieldX02',1000),(979,'ILD_00fw_Dhcal','vxd05',20),(980,'ILD_00fw_Dhcal','SSet02',230),(981,'ILD_00fw_Dhcal','maskX03',160),(982,'ILD_00fw_Dhcal','BeamCal01',650),(1015,'CILD_00','BeamCal01',650),(1014,'CILD_00','maskX03',160),(1013,'CILD_00','SSet02',230),(1012,'CILD_00','vxd05',20),(1011,'CILD_00','SField01',1000),(1010,'CILD_00','SSit03',210),(1009,'CILD_00','tubeX04',150),(1008,'CILD_00','SLcal02',100),(1007,'CILD_00','yoke04',500),(1006,'CILD_00','SCoil02',400),(1005,'CILD_00','SHcalSc02',110),(1004,'CILD_00','SEcal03',90),(1003,'CILD_00','SFtd07',220),(1002,'CILD_00','tpc08',200),(1001,'CILD_00','LHcal01',120),(1000,'CILD_00','SEtd02',250),(1016,'CILD_00fw','SEtd02',250),(1017,'CILD_00fw','LHcal01',120),(1018,'CILD_00fw','tpc08',200),(1019,'CILD_00fw','SFtd07',220),(1020,'CILD_00fw','SEcal03',90),(1021,'CILD_00fw','SHcalSc02',110),(1022,'CILD_00fw','SCoil02',400),(1023,'CILD_00fw','yoke04',500),(1024,'CILD_00fw','SLcal02',100),(1025,'CILD_00fw','tubeX04',150),(1026,'CILD_00fw','SSit03',210),(1027,'CILD_00fw','fieldX02',1000),(1028,'CILD_00fw','vxd05',20),(1029,'CILD_00fw','SSet02',230),(1030,'CILD_00fw','maskX03',160),(1031,'CILD_00fw','BeamCal01',650),(1032,'ILD_00fwp01','SEtd02',250),(1033,'ILD_00fwp01','LHcal01',120),(1034,'ILD_00fwp01','tpc09',200),(1035,'ILD_00fwp01','SFtd08',220),(1036,'ILD_00fwp01','SEcal03',90),(1037,'ILD_00fwp01','SHcalSc02',110),(1038,'ILD_00fwp01','SCoil02',400),(1039,'ILD_00fwp01','yoke04',500),(1040,'ILD_00fwp01','SLcal02',100),(1041,'ILD_00fwp01','tubeX05',150),(1042,'ILD_00fwp01','SSit03',210),(1043,'ILD_00fwp01','fieldX03',1000),(1044,'ILD_00fwp01','vxd05',20),(1045,'ILD_00fwp01','SSet02',230),(1046,'ILD_00fwp01','maskX03',160),(1047,'ILD_00fwp01','BeamCal01',650),(1048,'TBCern0806_p0709','TBfingcount02_01',0),(1049,'TBCern0806_p0709','TBscint03_01',0),(1050,'TBCern0806_p0709','TBdchXY03_01',0),(1051,'TBCern0806_p0709','TBhcal05_02',0),(1052,'TBCern0806_p0709','TBcatcher05_02',0),(1053,'TBCern0806_p0709','ProtoCern0806_01',0),(1054,'TBCern0806_p0709','TBmuoncount01_01',0),(1055,'TBCern0806_p0709','TBvacpipe00_01',0),(1056,'TBCern0806_p0709','TBcerenkov01_01',0),(1057,'TBCern1006_p0709','TBfingcount03_01',0),(1058,'TBCern1006_p0709','TBscint04_01',0),(1059,'TBCern1006_p0709','TBdchXY04_01',0),(1060,'TBCern1006_p0709','TBhcal06_02',0),(1061,'TBCern1006_p0709','TBcatcher06_02',0),(1062,'TBCern1006_p0709','ProtoCern1006_01',0),(1063,'TBCern1006_p0709','TBmuoncount02_01',0),(1064,'TBCern1006_p0709','TBvacpipe01_01',0),(1065,'TBCern1006_p0709','TBcerenkov02_01',0),(1066,'TBCern07_p0709','TBcerenkov03',10),(1067,'TBCern07_p0709','TBscint05',20),(1068,'TBCern07_p0709','TBdchXY05_01',30),(1069,'TBCern07_p0709','TBmuoncount03',100),(1070,'TBCern07_p0709','TBveto01',40),(1071,'TBCern07_p0709','ProtoCern07',50),(1072,'TBCern07_p0709','TBcatcher07_02',90),(1073,'TBCern07_p0709','TBhcal07_02',80),(1074,'TBCern07_p0709','TBvacpipe02_01',15),(1075,'TBCern0707_p0709','TBcerenkov03',10),(1076,'TBCern0707_p0709','TBscint05',20),(1077,'TBCern0707_p0709','TBdchXY05_01',30),(1078,'TBCern0707_p0709','TBmuoncount03',100),(1079,'TBCern0707_p0709','TBveto01',40),(1080,'TBCern0707_p0709','ProtoCern07',50),(1081,'TBCern0707_p0709','TBcatcher07_02',90),(1082,'TBCern0707_p0709','TBhcal07_02',80),(1083,'TBCern0707_p0709','TBvacpipe02_01',15),(1084,'TBCern0807_p0709','TBcerenkov03',10),(1085,'TBCern0807_p0709','TBscint05',20),(1086,'TBCern0807_p0709','TBdchXY05_01',30),(1087,'TBCern0807_p0709','TBmuoncount03',100),(1088,'TBCern0807_p0709','TBveto01',40),(1089,'TBCern0807_p0709','ProtoCern07',50),(1090,'TBCern0807_p0709','TBcatcher07_02',90),(1091,'TBCern0807_p0709','TBhcal07_02',80),(1092,'TBCern0807_p0709','TBvacpipe02_01',15),(1093,'TBFnal0508_p0709','TBscint06',20),(1094,'TBFnal0508_p0709','TBdchXY06_01',30),(1095,'TBFnal0508_p0709','TBmuoncount04_01',100),(1096,'TBFnal0508_p0709','TBveto02',40),(1097,'TBFnal0508_p0709','ProtoFnal08',50),(1098,'TBFnal0508_p0709','TBcatcher08_02',90),(1099,'TBFnal0508_p0709','TBhcal08_02',80),(1100,'ILD_00_EcalSc01','SEtd02',250),(1101,'ILD_00_EcalSc01','LHcal01',120),(1102,'ILD_00_EcalSc01','tpc08',200),(1103,'ILD_00_EcalSc01','SFtd07',220),(1104,'ILD_00_EcalSc01','SEcal03',90),(1105,'ILD_00_EcalSc01','SHcalSc02',110),(1106,'ILD_00_EcalSc01','SCoil02',400),(1107,'ILD_00_EcalSc01','yoke04',500),(1108,'ILD_00_EcalSc01','SLcal02',100),(1109,'ILD_00_EcalSc01','tubeX02',150),(1110,'ILD_00_EcalSc01','SSit03',210),(1111,'ILD_00_EcalSc01','SField01',1000),(1112,'ILD_00_EcalSc01','vxd05',20),(1113,'ILD_00_EcalSc01','SSet02',230),(1114,'ILD_00_EcalSc01','maskX02',160),(1115,'ILD_00_EcalSc01','BeamCal01',650),(1116,'CLIC01_ILD','SEtd02',250),(1117,'CLIC01_ILD','LHcal01',120),(1118,'CLIC01_ILD','tpc08',200),(1119,'CLIC01_ILD','SFtd07',220),(1120,'CLIC01_ILD','SEcal03',90),(1121,'CLIC01_ILD','SHcalSc02',110),(1122,'CLIC01_ILD','SCoil02',400),(1123,'CLIC01_ILD','yoke04',500),(1124,'CLIC01_ILD','SLcal02',100),(1125,'CLIC01_ILD','clic_tubeX05',150),(1126,'CLIC01_ILD','SSit03',210),(1127,'CLIC01_ILD','SField01',1000),(1128,'CLIC01_ILD','clic_vxd06',20),(1129,'CLIC01_ILD','SSet02',230),(1130,'CLIC01_ILD','clic_maskX04',160),(1131,'CLIC01_ILD','BeamCal01',650),(1132,'ILD_00_EcalSc02','SEtd02',250),(1133,'ILD_00_EcalSc02','LHcal01',120),(1134,'ILD_00_EcalSc02','tpc08',200),(1135,'ILD_00_EcalSc02','SFtd07',220),(1136,'ILD_00_EcalSc02','SEcal03p01',90),(1137,'ILD_00_EcalSc02','SHcalSc02',110),(1138,'ILD_00_EcalSc02','SCoil02',400),(1139,'ILD_00_EcalSc02','yoke04',500),(1140,'ILD_00_EcalSc02','SLcal02',100),(1141,'ILD_00_EcalSc02','tubeX02',150),(1142,'ILD_00_EcalSc02','SSit03',210),(1143,'ILD_00_EcalSc02','SField01',1000),(1144,'ILD_00_EcalSc02','vxd05',20),(1145,'ILD_00_EcalSc02','SSet02',230),(1146,'ILD_00_EcalSc02','maskX02',160),(1147,'ILD_00_EcalSc02','BeamCal01',650),(1148,'ILD_01pre00','SEtd03',250),(1149,'ILD_01pre00','LHcal01',120),(1150,'ILD_01pre00','tpc10_01',200),(1151,'ILD_01pre00','SFtd09',220),(1152,'ILD_01pre00','SEcal03p01',90),(1153,'ILD_01pre00','SHcalSc03',110),(1154,'ILD_01pre00','SCoil03',400),(1155,'ILD_01pre00','yoke05',500),(1156,'ILD_01pre00','SLcal03',100),(1157,'ILD_01pre00','tubeX02',150),(1158,'ILD_01pre00','SSit04',210),(1159,'ILD_01pre00','SField01',1000),(1160,'ILD_01pre00','vxd05',20),(1161,'ILD_01pre00','SSet03',230),(1162,'ILD_01pre00','maskX02',160),(1163,'ILD_01pre00','BeamCal08',650),(1164,'ILD_01pre00','SServices00',1200),(1210,'CLIC_ILD_CDR','BeamCal08',650),(1209,'CLIC_ILD_CDR','clicmaskX01',160),(1208,'CLIC_ILD_CDR','SSet02',230),(1207,'CLIC_ILD_CDR','ClicVxd01',20),(1206,'CLIC_ILD_CDR','SField01',1000),(1205,'CLIC_ILD_CDR','SSit03',210),(1204,'CLIC_ILD_CDR','ClicTubeX01',150),(1203,'CLIC_ILD_CDR','clicyoke01',500),(1202,'CLIC_ILD_CDR','SCoil02',400),(1201,'CLIC_ILD_CDR','SHcalSc02',110),(1200,'CLIC_ILD_CDR','SEcal03',90),(1199,'CLIC_ILD_CDR','SLcal02',89),(1198,'CLIC_ILD_CDR','ClicSFtd01',220),(1197,'CLIC_ILD_CDR','clictpc01',200),(1196,'CLIC_ILD_CDR','SEtd02',250),(1211,'TBCern2010','TBscint07',10),(1212,'TBCern2010','TBdchXY07',20),(1213,'TBCern2010','TBhcal09',30),(1214,'ILD_01pre01fw','SEtd03',250),(1215,'ILD_01pre01fw','LHcal01',120),(1216,'ILD_01pre01fw','tpc10_01',200),(1217,'ILD_01pre01fw','SFtd09',220),(1218,'ILD_01pre01fw','SEcal03p01',90),(1219,'ILD_01pre01fw','SHcalSc03',110),(1220,'ILD_01pre01fw','SCoil03',400),(1221,'ILD_01pre01fw','yoke05',500),(1222,'ILD_01pre01fw','LumiCalV',100),(1223,'ILD_01pre01fw','tubeX05',150),(1224,'ILD_01pre01fw','SSit04',210),(1225,'ILD_01pre01fw','fieldX03',1000),(1226,'ILD_01pre01fw','vxd05',20),(1227,'ILD_01pre01fw','SSet03',230),(1228,'ILD_01pre01fw','maskX03',160),(1229,'ILD_01pre01fw','BeamCal08',650),(1230,'ILD_01pre01fw','SServices00',1200),(1231,'ILD_01pre01','SEtd03',250),(1232,'ILD_01pre01','LHcal01',120),(1233,'ILD_01pre01','tpc10_01',200),(1234,'ILD_01pre01','SFtd09',220),(1235,'ILD_01pre01','SEcal03p01',90),(1236,'ILD_01pre01','SHcalSc03',110),(1237,'ILD_01pre01','SCoil03',400),(1238,'ILD_01pre01','yoke05',500),(1239,'ILD_01pre01','LumiCalV',100),(1240,'ILD_01pre01','tubeX05',150),(1241,'ILD_01pre01','SSit04',210),(1242,'ILD_01pre01','SField01',1000),(1243,'ILD_01pre01','vxd05',20),(1244,'ILD_01pre01','SSet03',230),(1245,'ILD_01pre01','maskX03',160),(1246,'ILD_01pre01','BeamCal08',650),(1247,'ILD_01pre01','SServices00',1200),(1248,'Phantom01','Phantom01',1),(1249,'Phantom01','TEPDetector01',2),(1250,'CLIC_ILD_CDR500','SEtd02',250),(1251,'CLIC_ILD_CDR500','clictpc01',200),(1252,'CLIC_ILD_CDR500','ClicSFtd01',220),(1253,'CLIC_ILD_CDR500','SLcal02',89),(1254,'CLIC_ILD_CDR500','SEcal03',90),(1255,'CLIC_ILD_CDR500','SHcalSc02',110),(1256,'CLIC_ILD_CDR500','SCoil02',400),(1257,'CLIC_ILD_CDR500','clicyoke01',500),(1258,'CLIC_ILD_CDR500','Clic500TubeX01',150),(1259,'CLIC_ILD_CDR500','SSit03',210),(1260,'CLIC_ILD_CDR500','SField01',1000),(1261,'CLIC_ILD_CDR500','Clic500Vxd01',20),(1262,'CLIC_ILD_CDR500','SSet02',230),(1263,'CLIC_ILD_CDR500','clicmaskX01',160),(1264,'CLIC_ILD_CDR500','BeamCal08',650),(1265,'ILD_01pre02','SEtd03',250),(1266,'ILD_01pre02','LHcal01',120),(1267,'ILD_01pre02','tpc10_01',200),(1268,'ILD_01pre02','SFtd10',220),(1269,'ILD_01pre02','SEcal03p01',90),(1270,'ILD_01pre02','SHcalSc03',110),(1271,'ILD_01pre02','SCoil03',400),(1272,'ILD_01pre02','yoke05',500),(1273,'ILD_01pre02','LumiCalV',100),(1274,'ILD_01pre02','tubeX05',150),(1275,'ILD_01pre02','SSit04',210),(1276,'ILD_01pre02','SField01',1000),(1277,'ILD_01pre02','vxd05',20),(1278,'ILD_01pre02','SSet03',230),(1279,'ILD_01pre02','maskX03',160),(1280,'ILD_01pre02','BeamCal08',650),(1281,'ILD_01pre02','SServices00',1200),(1282,'ILD_01_SDH_pre00','SEtd03',250),(1283,'ILD_01_SDH_pre00','LHcal01',120),(1284,'ILD_01_SDH_pre00','tpc10_01',200),(1285,'ILD_01_SDH_pre00','SFtd10',220),(1286,'ILD_01_SDH_pre00','SEcal03p01',90),(1287,'ILD_01_SDH_pre00','SHcalRpc01',110),(1288,'ILD_01_SDH_pre00','SCoil03',400),(1289,'ILD_01_SDH_pre00','yoke05',500),(1290,'ILD_01_SDH_pre00','LumiCalV',100),(1291,'ILD_01_SDH_pre00','tubeX05',150),(1292,'ILD_01_SDH_pre00','SSit04',210),(1293,'ILD_01_SDH_pre00','SField01',1000),(1294,'ILD_01_SDH_pre00','vxd05',20),(1295,'ILD_01_SDH_pre00','SSet03',230),(1296,'ILD_01_SDH_pre00','maskX03',160),(1297,'ILD_01_SDH_pre00','BeamCal08',650),(1298,'ILD_01_SDH_pre00','SServices00',1200),(1299,'ILD_01_SciW_pre00','SEtd03',250),(1300,'ILD_01_SciW_pre00','LHcal01',120),(1301,'ILD_01_SciW_pre00','tpc10_01',200),(1302,'ILD_01_SciW_pre00','SFtd10',220),(1303,'ILD_01_SciW_pre00','SEcal03p01',90),(1304,'ILD_01_SciW_pre00','SHcalSc03',110),(1305,'ILD_01_SciW_pre00','SCoil03',400),(1306,'ILD_01_SciW_pre00','yoke05',500),(1307,'ILD_01_SciW_pre00','LumiCalV',100),(1308,'ILD_01_SciW_pre00','tubeX05',150),(1309,'ILD_01_SciW_pre00','SSit04',210),(1310,'ILD_01_SciW_pre00','SField01',1000),(1311,'ILD_01_SciW_pre00','vxd05',20),(1312,'ILD_01_SciW_pre00','SSet03',230),(1313,'ILD_01_SciW_pre00','maskX03',160),(1314,'ILD_01_SciW_pre00','BeamCal08',650),(1315,'ILD_01_SciW_pre00','SServices00',1200),(1316,'ILD_01_dev','LHcal01',120),(1317,'ILD_01_dev','tpc10_01',200),(1318,'ILD_01_dev','ftd_simple_staggered',220),(1319,'ILD_01_dev','SEcal03p01',90),(1320,'ILD_01_dev','SHcalSc03',110),(1321,'ILD_01_dev','SCoil03',400),(1322,'ILD_01_dev','yoke05',500),(1323,'ILD_01_dev','LumiCalV',100),(1324,'ILD_01_dev','tubeX05',150),(1325,'ILD_01_dev','sit_simple_planar',210),(1326,'ILD_01_dev','SField01',1000),(1327,'ILD_01_dev','vxd05',20),(1328,'ILD_01_dev','set_simple_planar',230),(1329,'ILD_01_dev','maskX03',160),(1330,'ILD_01_dev','BeamCal08',650),(1331,'ILD_01_dev','SServices00',1200),(1332,'TBFnal0508_p1211','TBscint06',20),(1333,'TBFnal0508_p1211','TBdchXY06_01',30),(1334,'TBFnal0508_p1211','TBmuoncount04_01',100),(1335,'TBFnal0508_p1211','TBveto02',40),(1336,'TBFnal0508_p1211','ProtoFnal08',50),(1337,'TBFnal0508_p1211','TBcatcher08_03',90),(1338,'TBFnal0508_p1211','TBhcal08_02',80),(1340,'ILD_O3_v01','LHcal01',120),(1341,'ILD_O3_v01','tpc10_01',200),(1342,'ILD_O3_v01','ftd_simple_staggered',220),(1343,'ILD_O3_v01','SEcal03p01',90),(1344,'ILD_O3_v01','SHcalSc03',110),(1345,'ILD_O3_v01','SCoil03',400),(1346,'ILD_O3_v01','yoke05',500),(1347,'ILD_O3_v01','LumiCalV',100),(1348,'ILD_O3_v01','tubeX05',150),(1349,'ILD_O3_v01','sit_simple_planar',210),(1350,'ILD_O3_v01','SField01',1000),(1351,'ILD_O3_v01','vxd07',20),(1352,'ILD_O3_v01','set_simple_planar',230),(1353,'ILD_O3_v01','maskX03',160),(1354,'ILD_O3_v01','BeamCal08',650),(1355,'ILD_O3_v01','SServices00',1200),(1356,'ILD_O1_v01','LHcal01',120),(1357,'ILD_O1_v01','tpc10_01',200),(1358,'ILD_O1_v01','ftd_simple_staggered',220),(1359,'ILD_O1_v01','SEcal03p01',90),(1360,'ILD_O1_v01','SHcalSc03',110),(1361,'ILD_O1_v01','SCoil03',400),(1362,'ILD_O1_v01','yoke05',500),(1363,'ILD_O1_v01','LumiCalV',100),(1364,'ILD_O1_v01','tubeX05',150),(1365,'ILD_O1_v01','sit_simple_planar',210),(1366,'ILD_O1_v01','SField01',1000),(1367,'ILD_O1_v01','vxd07',20),(1368,'ILD_O1_v01','set_simple_planar',230),(1369,'ILD_O1_v01','maskX03',160),(1370,'ILD_O1_v01','BeamCal08',650),(1371,'ILD_O1_v01','SServices00',1200),(1373,'ILD_O2_v01','LHcal01',120),(1374,'ILD_O2_v01','tpc10_01',200),(1375,'ILD_O2_v01','ftd_simple_staggered',220),(1376,'ILD_O2_v01','SEcal03p01',90),(1377,'ILD_O2_v01','SHcalRpc01',110),(1378,'ILD_O2_v01','SCoil03',400),(1379,'ILD_O2_v01','yoke05',500),(1380,'ILD_O2_v01','LumiCalV',100),(1381,'ILD_O2_v01','tubeX05',150),(1382,'ILD_O2_v01','sit_simple_planar',210),(1383,'ILD_O2_v01','SField01',1000),(1384,'ILD_O2_v01','vxd07',20),(1385,'ILD_O2_v01','set_simple_planar',230),(1386,'ILD_O2_v01','maskX03',160),(1387,'ILD_O2_v01','BeamCal08',650),(1388,'ILD_O2_v01','SServices00',1200);
UNLOCK TABLES;

--
-- Table structure for table `model`
--

DROP TABLE IF EXISTS `model`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `model` (
  `name` varchar(80) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `detector_concept` varchar(100) NOT NULL default '',
  `model_status` enum('unstable','frozen') NOT NULL default 'unstable',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `model`
--

LOCK TABLES `model` WRITE;
INSERT INTO `model` VALUES ('TDR','Detector Model exploited before Tesla TDR','Tesla TDR','frozen'),('D08','Detector Model exploited Tesla TDR plus a new field definition, TPC, etc','Tesla TDR','frozen'),('P55','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in vertical','Old prototypes','frozen'),('P55INC','Ecal prototype with 30 layers (10 X 1.4 mm, 10 X 2.8 mm and 10 X 4.2 mm) in 45 degrees, as the TDR Ecal','Old prototypes','frozen'),('P55EcalLike','Ecal prototype as the TDR Ecal (40 layers and so on)','Old prototypes','frozen'),('D20','Ecal with W 20 layers','Tesla TDR','frozen'),('HcalWMod','The same as D08 but with a W modified density replacing the Fe in the Hcal','Tesla TDR','frozen'),('D08M1','The same as D08 but with the masks 50cm off','Tesla TDR','frozen'),('D08M2','Like D08, but with the TPC, the Ecal and the Hcal 50cm shorter in Z.','Tesla TDR','frozen'),('D08M3','Like D08M2 but with the mask 50cm off in Z.','Tesla TDR','frozen'),('D08SET','D08 with the SET','Tesla TDR','frozen'),('D08WModRPC1','As D08 but with hcal with WMod as material and RPCs as sensitive','Tesla TDR','frozen'),('D08FeRPC1','As D08 but hcal with RPCs as sensitive','Tesla TDR','frozen'),('D08FeScintillator','The same as  D08, but with the new hcal03 driver','Tesla TDR','frozen'),('inner_detectors','The VXD and the tube for the moment','Tesla TDR','frozen'),('D09','D08 + VXD + tubes + new masks, etc','Tesla TDR','frozen'),('ProtoEcalHcalRPC','The Ecal prototype and a single Hcal RPC module as Hcal prototype','Old prototypes','frozen'),('ProtoEcalHcalRPC_45','The Ecal prototype and a single Hcal RPC module as Hcal prototype, to fire with 45 degres','Old prototypes','frozen'),('ProtoEcalHcalScintillator','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype','Old prototypes','frozen'),('ProtoEcalHcalScintillator_45','The Ecal prototype and a single Hcal/scintillators module as Hcal prototype, to fire with 45 degres','Old prototypes','frozen'),('D09M1','D09 + new masks','Tesla TDR','frozen'),('ProtoEH_RPC','Ecal Prototype close to the real device + Hcal prototype not so close...','Old prototypes','frozen'),('TB00','Calice-DESY-NICADD Test Beam, including HCal, ECal and Catcher.','Test Beam Calice','frozen'),('TB01','TB00-based with virtual readout','Test Beam Calice','frozen'),('TB02','TB with virtual cells, R. Poeschl','Test Beam Calice','frozen'),('CaliceEcal03','The Calice Ecal prototype','Test Beam Calice','frozen'),('CaliceEcalHcalRPC','The Calice Ecal prototype And RPC Hcal','Test Beam Calice','frozen'),('D11','D09M1+tpc04+ecal04','Tesla TDR','frozen'),('D10scint','D09hcalscint + tpc04','Tesla TDR','frozen'),('D10','D09 + tpc04','Tesla TDR','frozen'),('TB03','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice','frozen'),('TB03_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from steering','Test Beam Calice','frozen'),('ProtoDesy0205','The Calice Ecal prototype with all slabs allingned','Test Beam Calice','frozen'),('TB04_hcal','TB with virtual, cells simple geometry, hcal only','Test Beam Calice','frozen'),('TB04_hcalcatch','TB with virtual cells, hcal and catcher only, conf. angle from sharing table','Test Beam Calice','frozen'),('TB04','Detector model for test beam submitted by Jeremy McCormick','Test Beam Calice','frozen'),('D12','D11+LumiCal,new conical beam pipe, new cylindrical mask','Tesla TDR','frozen'),('EcalTPC','Ecal with 1mm2 cells and TPC','Tesla TDR','frozen'),('D09Scint','The D09 model but with the Scintillator Hcal','Tesla TDR','frozen'),('TB05','Detector model for Test Beam submitted by Gabriel Musat','Test Beam Calice','frozen'),('TBDesy0205','Ecal and Drift Chambers used during shifts at Desy in February 2005','Test Beam Calice','frozen'),('Ecalk1TPC','First compact Ecalk1 with 1mm2 and TPC for fisrt studies','Tesla TDR','frozen'),('EcalPbk1TPC','First compact EcalPbk1 with radiator Pb and 1mm2 cells and TPC for first studies','Tesla TDR','frozen'),('HcalFeRPCFieldCoil','HcalFeRPC1+Field+coil','Tesla TDR','frozen'),('HcalWModRPCFieldCoil','HcalWModRPC1+Field+Coil','Tesla TDR','frozen'),('D12scint','D12 with hcalFeScintillator','Tesla TDR','frozen'),('LDC01','A first LDC model using superdrivers.','LDC','frozen'),('LDC01Sc','First LDC scalling model, Henry like proposal, scintillator Hcal mode.','LDC','frozen'),('SiD01','The SiD detector concept using the calorimeters and so on from LDC, but with all the parameters adapted the best possible to agree with all the current SiD proposal.','SiD','frozen'),('SiD02','The SiD detector concept using the calorimeters and so on from LDC, but without modifications except the calorimeter inner radius to agree with the Si tracker device.','SiD','frozen'),('SiDTracker','Barrel and endcaps of the SiD Si tracker device','LDC','frozen'),('LDC00','D12 like model build with super drivers to enable scaling','Tesla TDR','frozen'),('LDC00Sc','D12 version Hcal scintillator build with super drivers to enable scaling','Tesla TDR','frozen'),('TB06','Detector model for Test Beam using configuration at Desy in February 2005','Test Beam Calice','frozen'),('D14','D12+ real vertex detector geometry based on TESLA TDR','Tesla TDR','frozen'),('D14_CMOSVTX','D12+ real vertex detector using the CMOS technology','Tesla TDR','frozen'),('D13TDR','D10 with improved forward region and beam line, TDR layout','Tesla TDR Extended','frozen'),('D13Stahl','D10 with improved forward region and beam line, Stahl layout','Tesla TDR Extended','frozen'),('D13XStahl','D10 with improved forward region and beam line, Stahl layout with 20 mrad crossing angle','Tesla TDR Extended','frozen'),('TB07','TB06 with additional scintillator hodoscope made by Fabrizio Salvatore','Test Beam Calice','frozen'),('TBDesy0205_2','Ecal, Drift Chambers and Scintillator used during shifts at Desy in February 2005','Test Beam Calice','frozen'),('LDC01_01Sc','LDC scalling model, Henry like proposal, with TPC, EDT, Hcal and YOKE improvements, scintillator Hcal mode.','LDC','frozen'),('LDC01_01Rp','LDC scalling model, Henry like proposal, with TPC, EDT, Hcal and YOKE improvements, RPC Hcal mode.','LDC','frozen'),('LDC00_01Rp','Tesla like model, scalable, with tpc, EDT, Hcal and yoke improvements. RPC Hcal mode.','Tesla TDR','frozen'),('LDC00_01Sc','Tesla like model, scalable, with tpc, EDT, Hcal and yoke improvements. Scintillator Hcal mode.','Tesla TDR','frozen'),('TBDesy0506','Ecal, Drift Chambers, Scintillator and Finger Counters used during shifts at Desy in May 2006','Test Beam Calice','frozen'),('TBCern0806','Detector model for the Test Beam setup used during shifts at Cern in August - September 2006','Test Beam Cern','frozen'),('ProtoDesy0506','Calice Desy 05 2006 Test Beam with only Ecal','Test Beam Cern','frozen'),('TBCern1006','Detector model for the Test Beam setup used during shifts at Cern in October 2006','Test Beam Cern','frozen'),('TBDesy0506_01','Ecal, Drift Chambers, Scintillator and Finger Counters used during shifts at Desy in May 2006 with the new coordinate system','Test Beam Calice','frozen'),('TBCern0806_01','Detector model for the Test Beam setup used during shifts at Cern in August - September 2006 with the new coordinate system','Test Beam Cern','frozen'),('ProtoDesy0506_01','Calice Desy 05 2006 Test Beam with only Ecal with the new coordinate system','Test Beam Cern','frozen'),('TBCern1006_01','Detector model for the Test Beam setup used during shifts at Cern in October 2006 with the new coordinate system','Test Beam Cern','frozen'),('TM06','DESY 5T magnet TPC prototype \nsetup','Tesla TDR','frozen'),('LDC00_02Sc','Tesla like model, scalable, with new tpc, EDT, Hcal and yoke improvements. Scintillator Hcal mode. Realistic vertex.','Tesla TDR','frozen'),('LDC01_02Sc','LDC-DOD like like model, scalable, with new tpc, EDT, Hcal and yoke improvements. Scintillator Hcal mode. Realistic vertex.','LDC','frozen'),('LDC00_03Rp','A version 2 LDC detector model using new superdrivers','Tesla TDR 2','frozen'),('TBDesy0506_dchxy','TBDesy0506 with Drift Chambers having separate sensitivity in X and Y','Test Beam Calice','frozen'),('TBDesy0506_01_dchxy','TBDesy0506_01 with Drift Chambers having separate sensitivity in X and Y','Test Beam Calice','frozen'),('TBDesy0506_dchxy_new','TBDesy0506_dchxy with Drift Chambers having separate sensitivity in X and Y built by the same driver','Test Beam Calice','frozen'),('TBDesy0506_01_dchxy_new','TBDesy0506_01_dchxy with Drift Chambers having separate sensitivity in X and Y built by the same driver','Test Beam Calice','frozen'),('TBCern0806_dchxy_new','TBCern0806 with Drift Chambers having separate sensitivity in X and Y built by the same driver','Test Beam Cern','frozen'),('TBCern0806_01_dchxy_new','TBCern0806_01 with Drift Chambers having separate sensitivity in X and Y built by the same driver','Test Beam Cern','frozen'),('TBCern1006_dchxy_new','TBCern1006 with Drift Chambers having separate sensitivity in X and Y built by the same driver','Test Beam Cern','frozen'),('TBCern1006_01_dchxy_new','TBCern1006_01 with Drift Chambers having only one hits collection','Test Beam Cern','frozen'),('LDC00_03Sc',' A version 2 LDC detector model using new superdrivers (scintillators in Hcal)','Tesla TDR 2','frozen'),('TBCern07','Test Beam model implementation for the Cern 2007 setup with a fully instrumented Ecal','Test Beam Cern','unstable'),('LDC01_05Sc','LDC baseline version 5 (bad hits in Ecal end caps!)','LDC Extended','frozen'),('TBCern0707','Test Beam model implementation for the Cern Jully 2007 setup with a partly instrumented Ecal: bottom front 6 slabs missing','Test Beam Cern','unstable'),('TBCern0807','Test Beam model implementation for the Cern August 2007 setup with a partly instrumented Ecal: bottom front 3 slabs replaced with W','Test Beam Cern','unstable'),('LDCPrime_01Sc','LDC v.5 adapted to have the LDC prime dimensions (bad hits in Ecal end caps!)','LDC Extended','frozen'),('LDC01_06Sc_p01','LDC baseline version 5 with fixed Ecal and Silc Si inner tracking devices','LDC Extended','unstable'),('LDCPrime_02Sc_p01','LDC v.5 adapted to have the LDC prime dimensions, with several fixes and improvements.','LDC Extended','unstable'),('LDC01_06Sc_p02','LDC baseline version 5 with fixed Ecal and Silc Si inner tracking devices','LDC Extended','unstable'),('LDCPrime_02Sc_p02','LDC v.5 adapted to have the LDC prime dimensions, with several fixes and improvements.','LDC Extended','unstable'),('LDC01_06Sc','LDC baseline version 5 with fixed Ecal and Silc Si inner tracking devices','LDC Extended','frozen'),('LDCPrime_02Sc','LDC v.5 adapted to have the LDC prime dimensions, with several fixes and improvements.','LDC Extended','frozen'),('TBCern07_01','TBCern07 plus vacuum pipe','Test Beam Cern','unstable'),('TBCern0707_01','TBCern0707 plus vacuum pipe','Test Beam Cern','unstable'),('TBCern0807_01','TBCern0807 plus vacuum pipe','Test Beam Cern','unstable'),('LDC_GLD_01Sc','LDC GLD-like v.1','LDC Extended','unstable'),('TBCern07_dchxy_01','TBCern07_01 with XY separate sensitivity DCHs','Test Beam Cern','unstable'),('TBCern0707_dchxy_01','TBCern0707_01 with XY separate sensitivity DCHs','Test Beam Cern','unstable'),('TBCern0807_dchxy_01','TBCern0807_01 with XY separate sensitivity DCHs','Test Beam Cern','unstable'),('TBFnal0508','First model for FNAL May-Jully 2008 TB setup','Test Beam Cern','unstable'),('ILD_00','ILD simulation reference Model for LOI','ILD','frozen'),('ILD_00fw','ILD Model for LOI with improved forward region','ILD','frozen'),('ILD_00Dhcal','Digital Hcal ILD simulation reference Model for LOI','ILD','unstable'),('ILD_00fw_Dhcal','Digital Hcal ILD Model for LOI with improved forward region','ILD','unstable'),('CILD_00','ILDish CLIC Detector Concept','CILD','frozen'),('CILD_00fw','ILDish CLIC Detector Concept with anti-DID field','CILD','frozen'),('ILD_00fwp01','ILD Model for LOI with improved forward region','ILD','frozen'),('TBCern0806_p0709','TBCern0806_01_dchxy_new with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('TBCern1006_p0709','TBCern1006_01_dchxy_new with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('TBCern07_p0709','TBCern07_dchxy_01 with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('TBCern0707_p0709','TBCern0707_dchxy_01 with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('TBCern0807_p0709','TBCern0807_dchxy_01 with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('TBFnal0508_p0709','TBFnal0508 with new Hcal driver TBhcal07','Test Beam Cern','unstable'),('ILD_00_EcalSc01','ILD simulation reference Model for LOI, but Ecal with scintilator','ILD','unstable'),('CLIC01_ILD','CILD with larger vertex beampipe and outgoing quadrupole','CILD','frozen'),('ILD_00_EcalSc02','ILD simulation reference model for LOI, but using new Hybrid Ecal implementation; by default, it is made only of silicon layers','ILD','unstable'),('ILD_01pre00','ILD simulation reference Model for DBD','ILD','unstable'),('CLIC_ILD_CDR','CLIC_ILD_CDR','CILD','frozen'),('TBCern2010','Cern TB model from Angela and Jacopo','Test Beam Cern','unstable'),('ILD_01pre01fw','ILD simulation reference Model for DBD ILD_01pre00 with fw region updated ','ILD','unstable'),('ILD_01pre01','ILD simulation reference Model for DBD ILD_01pre00 with fw region updated ','ILD','unstable'),('Phantom01','first model made of a single phantom','Biomed','unstable'),('CLIC_ILD_CDR500','CLIC_ILD_CDR500','CILD','frozen'),('ILD_01pre02','ILD simulation reference Model for DBD: ILD_01pre01 with new sub_detector implementations for FTD,etc ','ILD','unstable'),('ILD_01_SDH_pre00','ILD simulation reference Model for DBD: ILD_01pre02 with SDHcal ','ILD','unstable'),('ILD_01_SciW_pre00','ILD simulation reference Model for DBD: ILD_01pre01 with SciW Ecal and new sub_detector implementations for FTD,etc ','ILD','unstable'),('ILD_01_dev','based on ILD_01pre02 with sit_simple_planar instead of SSit04, ftd_simple_staggered instead of SFtd10\r\n set_simple_planar instead of SSet03 and SEtd03 removed ','ILD','unstable'),('TBFnal0508_p1211','TBFnal0508_p0709 with new Tail Catcher driver TBcatcher07','Test Beam Cern','frozen'),('ILD_O3_v01','ILD simulation reference Model for DBD using SciW Ecal and Analog HCal ','ILD','unstable'),('ILD_O1_v01','ILD simulation reference Model for DBD using Analog HCal','ILD','unstable'),('ILD_O2_v01','ILD simulation reference Model for DBD using SD HCal','ILD','unstable');
UNLOCK TABLES;

--
-- Table structure for table `model_parameters`
--

DROP TABLE IF EXISTS `model_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `model_parameters` (
  `model` varchar(80) NOT NULL default '0',
  `parameter` varchar(80) NOT NULL default '0',
  `default_value` varchar(80) NOT NULL default '0',
  PRIMARY KEY  (`model`,`parameter`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `model_parameters`
--

LOCK TABLES `model_parameters` WRITE;
INSERT INTO `model_parameters` VALUES ('LDC01Sc','Hcal_sensitive_model','scintillator'),('SiD01','TPC_outer_radius','1270'),('SiD01','TPC_Ecal_Hcal_barrel_halfZ','1682.5'),('SiD01','Ecal_Tpc_gap','1.0'),('SiD01','Ecal_cables_gap','1.0'),('SiD01','Ecal_endcap_center_box_size','200'),('SiD01','Ecal_Si_thickness','0.320'),('SiD01','Ecal_radiator_layers_set1_thickness','2.5'),('SiD01','Ecal_radiator_layers_set2_thickness','2.5'),('SiD01','Ecal_total_alveolus_thickness','1.25'),('SiD01','Ecal_fiber_thickness','0.01'),('SiD01','Hcal_Ecal_gap','0.3'),('SiD01','Hcal_back_plate_thickness','114'),('SiD01','Hcal_endcap_cables_gap','115'),('SiD01','Hcal_endcap_center_box_size','200'),('SiD01','Hcal_nlayers','34'),('SiD01','Hcal_radiator_thickness','20'),('SiD01','Coil_thickness','830'),('SiD01','Coil_extra_size','1087.5'),('SiD01','Field_nominal_value','5.0'),('LDC00','TPC_outer_radius','1690'),('SiD02','TPC_Ecal_Hcal_barrel_halfZ','1682.5'),('SiD02','TPC_outer_radius','1270'),('SiD02','Field_nominal_value','5.0'),('LDC00','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00','Ecal_Tpc_gap','10'),('LDC00','Ecal_cables_gap','100'),('LDC00','Ecal_endcap_center_box_size','600'),('LDC00','Ecal_Si_thickness','0.5'),('LDC00','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00','Ecal_total_alveolus_thickness','2.1'),('LDC00','Ecal_fiber_thickness','0.1'),('LDC00','Hcal_Ecal_gap','26'),('LDC00','Hcal_back_plate_thickness','30'),('LDC00','Hcal_endcap_cables_gap','214'),('LDC00','Hcal_endcap_center_box_size','600'),('LDC00','Hcal_nlayers','40'),('LDC00','Hcal_radiator_thickness','18'),('LDC00','Coil_thickness','850'),('LDC00','Coil_extra_size','2520'),('LDC00','Hcal_barrel_end_module_type','2'),('LDC00','TPC_inner_radius','320.0'),('LDC00','Ecal_nlayers1','30'),('LDC00Sc','Coil_extra_size','2520'),('LDC00Sc','Coil_thickness','850'),('LDC00Sc','Ecal_cables_gap','100'),('LDC00Sc','Ecal_endcap_center_box_size','600'),('LDC00Sc','Ecal_fiber_thickness','0.1'),('LDC00Sc','Ecal_nlayers1','30'),('LDC00Sc','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00Sc','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00Sc','Ecal_Si_thickness','0.5'),('LDC00Sc','Ecal_total_alveolus_thickness','2.1'),('LDC00Sc','Ecal_Tpc_gap','10'),('LDC00Sc','Hcal_back_plate_thickness','30'),('LDC00Sc','Hcal_barrel_end_module_type','2'),('LDC00Sc','Hcal_Ecal_gap','26'),('LDC00Sc','Hcal_endcap_cables_gap','214'),('LDC00Sc','Hcal_endcap_center_box_size','600'),('LDC00Sc','Hcal_nlayers','40'),('LDC00Sc','Hcal_radiator_thickness','18'),('LDC00Sc','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00Sc','TPC_inner_radius','320.0'),('LDC00Sc','TPC_outer_radius','1690'),('LDC00Sc','Hcal_sensitive_model','scintillator'),('LDC02sc','Hcal_nlayers','38'),('LDC01_01Sc','Hcal_radiator_thickness','20.0'),('LDC01_01Sc','Hcal_sensitive_model','scintillator'),('LDC01_01Rp','Hcal_radiator_thickness','20.0'),('LDC00_01Rp','Coil_extra_size','2520'),('LDC00_01Rp','Coil_thickness','850'),('LDC00_01Rp','Ecal_cables_gap','100'),('LDC00_01Rp','Ecal_endcap_center_box_size','600'),('LDC00_01Rp','Ecal_fiber_thickness','0.1'),('LDC00_01Rp','Ecal_nlayers1','30'),('LDC00_01Rp','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00_01Rp','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00_01Rp','Ecal_Si_thickness','0.5'),('LDC00_01Rp','Ecal_total_alveolus_thickness','2.1'),('LDC00_01Rp','Ecal_Tpc_gap','10'),('LDC00_01Rp','Hcal_back_plate_thickness','30'),('LDC00_01Rp','Hcal_barrel_end_module_type','2'),('LDC00_01Rp','Hcal_Ecal_gap','26'),('LDC00_01Rp','Hcal_endcap_cables_gap','214'),('LDC00_01Rp','Hcal_endcap_center_box_size','600'),('LDC00_01Rp','Hcal_nlayers','38'),('LDC00_01Rp','Hcal_radiator_thickness','20.0'),('LDC00_01Rp','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00_01Rp','TPC_inner_radius','320.0'),('LDC00_01Rp','TPC_outer_radius','1690'),('LDC00_01Sc','Coil_extra_size','2520'),('LDC00_01Sc','Coil_thickness','850'),('LDC00_01Sc','Ecal_cables_gap','100'),('LDC00_01Sc','Ecal_endcap_center_box_size','600'),('LDC00_01Sc','Ecal_fiber_thickness','0.1'),('LDC00_01Sc','Ecal_nlayers1','30'),('LDC00_01Sc','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00_01Sc','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00_01Sc','Ecal_Si_thickness','0.5'),('LDC00_01Sc','Ecal_total_alveolus_thickness','2.1'),('LDC00_01Sc','Ecal_Tpc_gap','10'),('LDC00_01Sc','Hcal_back_plate_thickness','30'),('LDC00_01Sc','Hcal_barrel_end_module_type','2'),('LDC00_01Sc','Hcal_Ecal_gap','26'),('LDC00_01Sc','Hcal_endcap_cables_gap','214'),('LDC00_01Sc','Hcal_endcap_center_box_size','600'),('LDC00_01Sc','Hcal_nlayers','38'),('LDC00_01Sc','Hcal_radiator_thickness','20.0'),('LDC00_01Sc','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00_01Sc','TPC_inner_radius','320.0'),('LDC00_01Sc','TPC_outer_radius','1690'),('LDC00_01Sc','Hcal_sensitive_model','scintillator'),('TBCern0806','Hcal_layer_pattern','10101010101010101010101010101000000'),('TBCern1006','Hcal_layer_pattern','111111111111111110101010101010'),('TBCern0806','Tcmt_layer_pattern','1101101101100000'),('TBCern1006','Tcmt_layer_pattern','1111111111111111'),('TBCern0806_01','Hcal_layer_pattern','10101010101010101010101010101000000'),('TBCern1006_01','Hcal_layer_pattern','111111111111111110101010101010'),('TBCern0806_01','Tcmt_layer_pattern','1101101101100000'),('TBCern1006_01','Tcmt_layer_pattern','1111111111111111'),('LDC00_02Sc','Coil_thickness','850'),('LDC00_02Sc','Coil_extra_size','2520'),('LDC00_02Sc','Ecal_cables_gap','100'),('LDC00_02Sc','Ecal_endcap_center_box_size','600'),('LDC00_02Sc','Ecal_fiber_thickness','0.1'),('LDC00_02Sc','Ecal_nlayers1','30'),('LDC00_02Sc','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00_02Sc','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00_02Sc','Ecal_Si_thickness','0.5'),('LDC00_02Sc','Ecal_total_alveolus_thickness','2.1'),('LDC00_02Sc','Ecal_Tpc_gap','10'),('LDC00_02Sc','Hcal_back_plate_thickness','30'),('LDC00_02Sc','Hcal_barrel_end_module_type','2'),('LDC00_02Sc','Hcal_Ecal_gap','26'),('LDC00_02Sc','Hcal_endcap_cables_gap','214'),('LDC00_02Sc','Hcal_endcap_center_box_size','600'),('LDC00_02Sc','Hcal_nlayers','38'),('LDC00_02Sc','Hcal_radiator_thickness','20.0'),('LDC00_02Sc','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00_02Sc','TPC_inner_radius','320.0'),('LDC00_02Sc','TPC_outer_radius','1690'),('LDC00_02Sc','Hcal_sensitive_model','scintillator'),('LDC00_02Sc','TPC_electronics_backend_thickness','160.00'),('LDC00_02Sc','Yoke_endcap_inner_radius','300.00'),('LDC01_02Sc','TPC_electronics_backend_thickness','160.00'),('LDC01_02Sc','Yoke_endcap_inner_radius','300.00'),('LDC01_02Sc','Yoke_with_plug','false'),('LDC00_03Rp','Coil_extra_size','2520'),('LDC00_03Rp','Coil_thickness','850'),('LDC00_03Rp','Ecal_cables_gap','100'),('LDC00_03Rp','Ecal_endcap_center_box_size','600'),('LDC00_03Rp','Ecal_fiber_thickness','0.1'),('LDC00_03Rp','Ecal_nlayers1','30'),('LDC00_03Rp','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00_03Rp','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00_03Rp','Ecal_Si_thickness','0.5'),('LDC00_03Rp','Ecal_total_alveolus_thickness','2.1'),('LDC00_03Rp','Ecal_Tpc_gap','10'),('LDC00_03Rp','Hcal_back_plate_thickness','30'),('LDC00_03Rp','Hcal_barrel_end_module_type','2'),('LDC00_03Rp','Hcal_Ecal_gap','26'),('LDC00_03Rp','Hcal_endcap_cables_gap','214'),('LDC00_03Rp','Hcal_endcap_center_box_size','600'),('LDC00_03Rp','Hcal_nlayers','40'),('LDC00_03Rp','Hcal_radiator_thickness','18'),('LDC00_03Rp','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00_03Rp','TPC_inner_radius','320.0'),('LDC00_03Rp','TPC_outer_radius','1690'),('TBCern0806_dchxy_new','Hcal_layer_pattern','10101010101010101010101010101000000'),('TBCern1006_dchxy_new','Hcal_layer_pattern','111111111111111110101010101010'),('TBCern0806_dchxy_new','Tcmt_layer_pattern','1101101101100000'),('TBCern1006_dchxy_new','Tcmt_layer_pattern','1111111111111111'),('TBCern0806_01_dchxy_new','Hcal_layer_pattern','10101010101010101010101010101000000'),('TBCern1006_01_dchxy_new','Hcal_layer_pattern','111111111111111110101010101010'),('TBCern0806_01_dchxy_new','Tcmt_layer_pattern','1101101101100000'),('TBCern1006_01_dchxy_new','Tcmt_layer_pattern','1111111111111111'),('LDC01_02Sc','Hcal_radiator_thickness','20.0'),('LDC01_02Sc','Hcal_sensitive_model','scintillator'),('LDC00_03Sc','Coil_extra_size','2520'),('LDC00_03Sc','Coil_thickness','850'),('LDC00_03Sc','Ecal_cables_gap','100'),('LDC00_03Sc','Ecal_endcap_center_box_size','600'),('LDC00_03Sc','Ecal_fiber_thickness','0.1'),('LDC00_03Sc','Ecal_nlayers1','30'),('LDC00_03Sc','Ecal_radiator_layers_set1_thickness','1.4'),('LDC00_03Sc','Ecal_radiator_layers_set2_thickness','4.2'),('LDC00_03Sc','Ecal_Si_thickness','0.5'),('LDC00_03Sc','Ecal_total_alveolus_thickness','2.1'),('LDC00_03Sc','Ecal_Tpc_gap','10'),('LDC00_03Sc','Hcal_back_plate_thickness','30'),('LDC00_03Sc','Hcal_barrel_end_module_type','2'),('LDC00_03Sc','Hcal_Ecal_gap','26'),('LDC00_03Sc','Hcal_endcap_cables_gap','214'),('LDC00_03Sc','Hcal_endcap_center_box_size','600'),('LDC00_03Sc','Hcal_nlayers','40'),('LDC00_03Sc','Hcal_radiator_thickness','18'),('LDC00_03Sc','TPC_Ecal_Hcal_barrel_halfZ','2730'),('LDC00_03Sc','TPC_inner_radius','320.0'),('LDC00_03Sc','TPC_outer_radius','1690'),('LDC00_03Sc','Hcal_sensitive_model','scintillator'),('TBCern0707','Ecal_slab_pattern','222222222222222000000222222222'),('TBCern0807','Ecal_slab_pattern','222222222222222111222222222222'),('LDC01_05Sc','Coil_extra_size','1500'),('LDC01_05Sc','Hcal_Ecal_gap','14.7'),('LDC01_05Sc','Lcal_z_begin','2388'),('LDC01_05Sc','Lcal_inner_radius','80'),('LDC01_05Sc','Lcal_outer_radius','195.2'),('LDC01_05Sc','Lcal_nstrips_phi','48'),('LDC01_05Sc','Lcal_nstrips_theta','96'),('LDC01_05Sc','Lcal_layer_gap','1'),('LDC01_05Sc','Lcal_silicon_thickness','0.3'),('LDC01_05Sc','Lcal_support_thickness','0.2'),('LDC01_05Sc','Lcal_tungsten_thickness','3.5'),('LDC01_05Sc','TUBE_crossing_angle','14.'),('xyz20','Ecal_endcap_center_box_size','760'),('xyz14','Ecal_endcap_center_box_size','740'),('xyz02','Ecal_endcap_center_box_size','720'),('xyz20','Hcal_sensitive_model','scintillator'),('xyz14','Hcal_sensitive_model','scintillator'),('xyz02','Hcal_sensitive_model','scintillator'),('xyz20','Hcal_radiator_thickness','20'),('xyz14','Hcal_radiator_thickness','20'),('xyz02','Hcal_radiator_thickness','20'),('xyz20','Hcal_endcap_cables_gap','299.5'),('xyz14','Hcal_endcap_cables_gap','299.5'),('xyz02','Hcal_endcap_cables_gap','299.5'),('xyz20','Yoke_endcap_inner_radius','300'),('xyz14','Yoke_endcap_inner_radius','300'),('xyz02','Yoke_endcap_inner_radius','300'),('xyz20','ILC_Main_Crossing_Angle','20'),('xyz14','ILC_Main_Crossing_Angle','14'),('xyz02','ILC_Main_Crossing_Angle','02'),('LDC01_05Sc','ILC_Main_Crossing_Angle','14'),('LDC01_05Sc','Yoke_endcap_inner_radius','300.'),('LDC01_05Sc','Hcal_nlayers','48'),('LDC01_05Sc','Hcal_sensitive_model','scintillator'),('LDC01_05Sc','Hcal_back_plate_thickness','2'),('LDCPrime_01Sc','Coil_extra_size','1500'),('LDCPrime_01Sc','Hcal_back_plate_thickness','2'),('LDCPrime_01Sc','Hcal_Ecal_gap','14.7'),('LDCPrime_01Sc','Hcal_nlayers','48'),('LDCPrime_01Sc','Hcal_sensitive_model','scintillator'),('LDCPrime_01Sc','ILC_Main_Crossing_Angle','14'),('LDCPrime_01Sc','Lcal_inner_radius','80'),('LDCPrime_01Sc','Lcal_layer_gap','1'),('LDCPrime_01Sc','Lcal_nstrips_phi','48'),('LDCPrime_01Sc','Lcal_nstrips_theta','96'),('LDCPrime_01Sc','Lcal_outer_radius','195.2'),('LDCPrime_01Sc','Lcal_silicon_thickness','0.3'),('LDCPrime_01Sc','Lcal_support_thickness','0.2'),('LDCPrime_01Sc','Lcal_tungsten_thickness','3.5'),('LDCPrime_01Sc','Lcal_z_begin','2388'),('LDCPrime_01Sc','TUBE_crossing_angle','14.'),('LDCPrime_01Sc','Yoke_endcap_inner_radius','300.'),('LDCPrime_01Sc','TPC_outer_radius','1800'),('LDCPrime_01Sc','VXD_inner_radius','18'),('LDCPrime_01Sc','Ecal_Barrel_halfZ','2350'),('LDCPrime_01Sc','Field_nominal_value','3.5'),('LDCPrime_01Sc','Ecal_endcap_extra_size','83.5'),('LDC01_06Sc_p01','Coil_extra_size','1500'),('LDC01_06Sc_p01','Hcal_back_plate_thickness','2'),('LDC01_06Sc_p01','Hcal_Ecal_gap','14.7'),('LDC01_06Sc_p01','Hcal_nlayers','48'),('LDC01_06Sc_p01','ILC_Main_Crossing_Angle','14'),('LDC01_06Sc_p01','Lcal_inner_radius','80'),('LDC01_06Sc_p01','Lcal_layer_gap','1'),('LDC01_06Sc_p01','Lcal_nstrips_phi','48'),('LDC01_06Sc_p01','Lcal_nstrips_theta','96'),('LDC01_06Sc_p01','Lcal_outer_radius','195.2'),('LDC01_06Sc_p01','Lcal_silicon_thickness','0.3'),('LDC01_06Sc_p01','Lcal_support_thickness','0.2'),('LDC01_06Sc_p01','Lcal_tungsten_thickness','3.5'),('LDC01_06Sc_p01','Lcal_z_begin','2388'),('LDC01_06Sc_p01','TUBE_crossing_angle','14.'),('LDC01_06Sc_p01','Yoke_endcap_inner_radius','300.'),('LDCPrime_02Sc_p01','Coil_extra_size','1500'),('LDCPrime_02Sc_p01','Ecal_Barrel_halfZ','2350'),('LDCPrime_02Sc_p01','Ecal_endcap_extra_size','78.1'),('LDCPrime_02Sc_p01','Field_nominal_value','3.5'),('LDCPrime_02Sc_p01','Hcal_back_plate_thickness','2'),('LDCPrime_02Sc_p01','Hcal_Ecal_gap','14.7'),('LDCPrime_02Sc_p01','Hcal_nlayers','48'),('LDCPrime_02Sc_p01','Hcal_sensitive_model','scintillator'),('LDCPrime_02Sc_p01','ILC_Main_Crossing_Angle','14'),('LDCPrime_02Sc_p01','Lcal_inner_radius','80'),('LDCPrime_02Sc_p01','Lcal_layer_gap','1'),('LDCPrime_02Sc_p01','Lcal_nstrips_phi','48'),('LDCPrime_02Sc_p01','Lcal_nstrips_theta','96'),('LDCPrime_02Sc_p01','Lcal_outer_radius','195.2'),('LDCPrime_02Sc_p01','Lcal_silicon_thickness','0.3'),('LDCPrime_02Sc_p01','Lcal_support_thickness','0.2'),('LDCPrime_02Sc_p01','Lcal_tungsten_thickness','3.5'),('LDCPrime_02Sc_p01','Lcal_z_begin','2388'),('LDCPrime_02Sc_p01','TPC_outer_radius','1800'),('LDCPrime_02Sc_p01','TUBE_crossing_angle','14.'),('LDCPrime_02Sc_p01','VXD_inner_radius','15'),('LDCPrime_02Sc_p01','Yoke_endcap_inner_radius','300.'),('LDC01_06Sc_p01','VXD_support_ladder_thickness','0.134'),('LDC01_06Sc_p01','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc_p01','VXD_support_ladder_thickness','0.134'),('LDCPrime_02Sc_p01','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc_p01','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc_p01','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc_p01','TPC_max_step_length','100000'),('LDCPrime_02Sc_p01','TPC_max_step_length','100000'),('LDC01_06Sc_p01','VXD_inner_radius','14'),('LDC01_06Sc_p01','VXD_radius_r2','26'),('LDCPrime_02Sc_p01','VXD_radius_r2','26'),('LDC01_06Sc_p01','Hcal_endcap_sensitive_center_box','0.0'),('LDCPrime_02Sc_p01','Hcal_endcap_sensitive_center_box','0.0'),('LDC01_06Sc_p02','Coil_extra_size','1500'),('LDC01_06Sc_p02','Hcal_back_plate_thickness','2'),('LDC01_06Sc_p02','Hcal_Ecal_gap','14.7'),('LDC01_06Sc_p02','Hcal_nlayers','48'),('LDC01_06Sc_p02','ILC_Main_Crossing_Angle','14'),('LDC01_06Sc_p02','Lcal_inner_radius','80'),('LDC01_06Sc_p02','Lcal_layer_gap','1'),('LDC01_06Sc_p02','Lcal_nstrips_phi','48'),('LDC01_06Sc_p02','Lcal_nstrips_theta','96'),('LDC01_06Sc_p02','Lcal_outer_radius','195.2'),('LDC01_06Sc_p02','Lcal_silicon_thickness','0.3'),('LDC01_06Sc_p02','Lcal_support_thickness','0.2'),('LDC01_06Sc_p02','Lcal_tungsten_thickness','3.5'),('LDC01_06Sc_p02','Lcal_z_begin','2388'),('LDC01_06Sc_p02','TUBE_crossing_angle','14.'),('LDC01_06Sc_p02','Yoke_endcap_inner_radius','300.'),('LDCPrime_02Sc_p02','Coil_extra_size','1500'),('LDCPrime_02Sc_p02','Ecal_Barrel_halfZ','2350'),('LDCPrime_02Sc_p02','Ecal_endcap_extra_size','78.1'),('LDCPrime_02Sc_p02','Field_nominal_value','3.5'),('LDCPrime_02Sc_p02','Hcal_back_plate_thickness','2'),('LDCPrime_02Sc_p02','Hcal_Ecal_gap','14.7'),('LDCPrime_02Sc_p02','Hcal_nlayers','48'),('LDCPrime_02Sc_p02','Hcal_sensitive_model','scintillator'),('LDCPrime_02Sc_p02','ILC_Main_Crossing_Angle','14'),('LDCPrime_02Sc_p02','Lcal_inner_radius','80'),('LDCPrime_02Sc_p02','Lcal_layer_gap','1'),('LDCPrime_02Sc_p02','Lcal_nstrips_phi','48'),('LDCPrime_02Sc_p02','Lcal_nstrips_theta','96'),('LDCPrime_02Sc_p02','Lcal_outer_radius','195.2'),('LDCPrime_02Sc_p02','Lcal_silicon_thickness','0.3'),('LDCPrime_02Sc_p02','Lcal_support_thickness','0.2'),('LDCPrime_02Sc_p02','Lcal_tungsten_thickness','3.5'),('LDCPrime_02Sc_p02','Lcal_z_begin','2388'),('LDCPrime_02Sc_p02','TPC_outer_radius','1800'),('LDCPrime_02Sc_p02','TUBE_crossing_angle','14.'),('LDCPrime_02Sc_p02','VXD_inner_radius','15'),('LDCPrime_02Sc_p02','Yoke_endcap_inner_radius','300.'),('LDC01_06Sc_p02','VXD_support_ladder_thickness','0.134'),('LDC01_06Sc_p02','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc_p02','VXD_support_ladder_thickness','0.134'),('LDCPrime_02Sc_p02','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc_p02','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc_p02','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc_p02','TPC_max_step_length','100000'),('LDCPrime_02Sc_p02','TPC_max_step_length','100000'),('LDC01_06Sc_p02','VXD_inner_radius','14'),('LDC01_06Sc_p02','VXD_radius_r2','26'),('LDCPrime_02Sc_p02','VXD_radius_r2','26'),('LDC01_06Sc_p02','Hcal_endcap_sensitive_center_box','0.0'),('LDCPrime_02Sc_p02','Hcal_endcap_sensitive_center_box','0.0'),('LDC01_06Sc_p02','TUBE_opening_angle','0.07876'),('LDCPrime_02Sc_p02','TUBE_opening_angle','0.07876'),('LDC01_06Sc','Coil_extra_size','1500'),('LDC01_06Sc','Hcal_back_plate_thickness','2'),('LDC01_06Sc','Hcal_Ecal_gap','14.7'),('LDC01_06Sc','Hcal_nlayers','48'),('LDC01_06Sc','ILC_Main_Crossing_Angle','14'),('LDC01_06Sc','Lcal_inner_radius','80'),('LDC01_06Sc','Lcal_layer_gap','1'),('LDC01_06Sc','Lcal_nstrips_phi','48'),('LDC01_06Sc','Lcal_nstrips_theta','96'),('LDC01_06Sc','Lcal_outer_radius','195.2'),('LDC01_06Sc','Lcal_silicon_thickness','0.3'),('LDC01_06Sc','Lcal_support_thickness','0.2'),('LDC01_06Sc','Lcal_tungsten_thickness','3.5'),('LDC01_06Sc','Lcal_z_begin','2388'),('LDC01_06Sc','TUBE_crossing_angle','14.'),('LDC01_06Sc','Yoke_endcap_inner_radius','300.'),('LDCPrime_02Sc','Coil_extra_size','1500'),('LDCPrime_02Sc','Ecal_Barrel_halfZ','2350'),('LDCPrime_02Sc','Ecal_endcap_extra_size','78.1'),('LDCPrime_02Sc','Field_nominal_value','3.5'),('LDCPrime_02Sc','Hcal_back_plate_thickness','2'),('LDCPrime_02Sc','Hcal_Ecal_gap','14.7'),('LDCPrime_02Sc','Hcal_nlayers','48'),('LDCPrime_02Sc','Hcal_sensitive_model','scintillator'),('LDCPrime_02Sc','ILC_Main_Crossing_Angle','14'),('LDCPrime_02Sc','Lcal_inner_radius','80'),('LDCPrime_02Sc','Lcal_layer_gap','1'),('LDCPrime_02Sc','Lcal_nstrips_phi','48'),('LDCPrime_02Sc','Lcal_nstrips_theta','96'),('LDCPrime_02Sc','Lcal_outer_radius','195.2'),('LDCPrime_02Sc','Lcal_silicon_thickness','0.3'),('LDCPrime_02Sc','Lcal_support_thickness','0.2'),('LDCPrime_02Sc','Lcal_tungsten_thickness','3.5'),('LDCPrime_02Sc','Lcal_z_begin','2388'),('LDCPrime_02Sc','TPC_outer_radius','1800'),('LDCPrime_02Sc','TUBE_crossing_angle','14.'),('LDCPrime_02Sc','VXD_inner_radius','15'),('LDCPrime_02Sc','Yoke_endcap_inner_radius','300.'),('LDC01_06Sc','VXD_support_ladder_thickness','0.134'),('LDC01_06Sc','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc','VXD_support_ladder_thickness','0.134'),('LDCPrime_02Sc','VXD_support_ladder_material','\"graphite\"'),('LDCPrime_02Sc','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc','VXD_active_silicon_thickness','0.05'),('LDC01_06Sc','TPC_max_step_length','10.'),('LDCPrime_02Sc','TPC_max_step_length','10.'),('LDC01_06Sc','VXD_inner_radius','14'),('LDC01_06Sc','VXD_radius_r2','26'),('LDCPrime_02Sc','VXD_radius_r2','26'),('LDC01_06Sc','Hcal_endcap_sensitive_center_box','0.0'),('LDCPrime_02Sc','Hcal_endcap_sensitive_center_box','0.0'),('LDC01_06Sc','TUBE_opening_angle','0.07876'),('LDCPrime_02Sc','TUBE_opening_angle','0.07876'),('TBCern0707_01','Ecal_slab_pattern','222222222222222000000222222222'),('TBCern0807_01','Ecal_slab_pattern','222222222222222111222222222222'),('LDC_GLD_01Sc','Coil_extra_size','1500'),('LDC_GLD_01Sc','Ecal_Barrel_halfZ','2600.0'),('LDC_GLD_01Sc','Ecal_endcap_extra_size','78.1'),('LDC_GLD_01Sc','Field_nominal_value','3.0'),('LDC_GLD_01Sc','Hcal_back_plate_thickness','2'),('LDC_GLD_01Sc','Hcal_Ecal_gap','14.7'),('LDC_GLD_01Sc','Hcal_nlayers','48'),('LDC_GLD_01Sc','Hcal_sensitive_model','scintillator'),('LDC_GLD_01Sc','ILC_Main_Crossing_Angle','14'),('LDC_GLD_01Sc','Lcal_inner_radius','80'),('LDC_GLD_01Sc','Lcal_layer_gap','1'),('LDC_GLD_01Sc','Lcal_nstrips_phi','48'),('LDC_GLD_01Sc','Lcal_nstrips_theta','96'),('LDC_GLD_01Sc','Lcal_outer_radius','195.2'),('LDC_GLD_01Sc','Lcal_silicon_thickness','0.3'),('LDC_GLD_01Sc','Lcal_support_thickness','0.2'),('LDC_GLD_01Sc','Lcal_tungsten_thickness','3.5'),('LDC_GLD_01Sc','Lcal_z_begin','2388'),('LDC_GLD_01Sc','TPC_outer_radius','2000.0'),('LDC_GLD_01Sc','TUBE_crossing_angle','14.'),('LDC_GLD_01Sc','VXD_inner_radius','16.5'),('LDC_GLD_01Sc','Yoke_endcap_inner_radius','300.'),('LDC_GLD_01Sc','VXD_support_ladder_thickness','0.134'),('LDC_GLD_01Sc','VXD_support_ladder_material','\"graphite\"'),('LDC_GLD_01Sc','VXD_active_silicon_thickness','0.05'),('LDC_GLD_01Sc','TPC_max_step_length','10.'),('LDC_GLD_01Sc','VXD_radius_r2','26'),('LDC_GLD_01Sc','Hcal_endcap_sensitive_center_box','0.0'),('LDC_GLD_01Sc','TUBE_opening_angle','0.07876'),('TBCern0707_dchxy_01','Ecal_slab_pattern','222222222222222000000222222222'),('TBCern0807_dchxy_01','Ecal_slab_pattern','222222222222222111222222222222'),('ILD_00','Coil_extra_size','1522'),('ILD_00','Hcal_Coil_additional_gap','29.5'),('ILD_00','Ecal_Barrel_halfZ','2350'),('ILD_00','TPC_inner_radius','329'),('ILD_00','TPC_outer_radius','1808'),('ILD_00','Lcal_outer_radius','195.2'),('ILD_00','Ecal_endcap_extra_size','60.8'),('ILD_00','Field_nominal_value','3.5'),('ILD_00','Hcal_back_plate_thickness','15'),('ILD_00','Hcal_Ecal_gap','30'),('ILD_00','Hcal_endcap_sensitive_center_box','0.0'),('ILD_00','Hcal_nlayers','48'),('ILD_00','Hcal_sensitive_model','scintillator'),('ILD_00','ILC_Main_Crossing_Angle','14'),('ILD_00','Hcal_endcap_zmin','2670.7'),('ILD_00','Lcal_inner_radius','80.0'),('ILD_00','Lcal_z_thickness','135.6'),('ILD_00','Lcal_z_begin','2505.0'),('ILD_00','VXD_side_band_electronics_width','0.5'),('ILD_00','TUBE_crossing_angle','14'),('ILD_00','TUBE_opening_angle','0.07876'),('ILD_00','VXD_active_silicon_thickness','0.05'),('ILD_00','TPC_ECal_gap','25.0'),('ILD_00','VXD_support_ladder_material','\"graphite\"'),('ILD_00','VXD_support_ladder_thickness','0.134'),('ILD_00','Yoke_endcap_inner_radius','300'),('ILD_00','Coil_Yoke_radial_clearance','250'),('ILD_00','VXD_inner_radius','16'),('ILD_00','VXD_radius_r1','16'),('ILD_00','VXD_radius_r3','37'),('ILD_00','VXD_radius_r5','58'),('ILD_00','VXD_length_r1','62.5'),('ILD_00','Hcal_endcap_center_box_size','700.0'),('ILD_00','Ecal_Tpc_gap','35'),('ILD_00','Ecal_support_thickness','9.3'),('ILD_00','Yoke_thickness','2550'),('ILD_00','Hcal_endcap_ecal_gap','15'),('ILD_00fw','Coil_extra_size','1522'),('ILD_00fw','Coil_Yoke_radial_clearance','250'),('ILD_00fw','Ecal_Barrel_halfZ','2350'),('ILD_00fw','Ecal_endcap_extra_size','60.8'),('ILD_00fw','Ecal_support_thickness','9.3'),('ILD_00fw','Ecal_Tpc_gap','35'),('ILD_00fw','Field_nominal_value','3.5'),('ILD_00fw','Hcal_back_plate_thickness','15'),('ILD_00fw','Hcal_Coil_additional_gap','29.5'),('ILD_00fw','Hcal_Ecal_gap','30'),('ILD_00fw','Hcal_endcap_center_box_size','700.0'),('ILD_00fw','Hcal_endcap_ecal_gap','15'),('ILD_00fw','Hcal_endcap_sensitive_center_box','0.0'),('ILD_00fw','Hcal_endcap_zmin','2670.7'),('ILD_00fw','Hcal_nlayers','48'),('ILD_00fw','Hcal_sensitive_model','scintillator'),('ILD_00fw','ILC_Main_Crossing_Angle','14'),('ILD_00fw','Lcal_inner_radius','80.0'),('ILD_00fw','Lcal_outer_radius','195.2'),('ILD_00fw','Lcal_z_begin','2505.0'),('ILD_00fw','Lcal_z_thickness','135.6'),('ILD_00fw','TPC_ECal_gap','25.0'),('ILD_00fw','TPC_inner_radius','329'),('ILD_00fw','TPC_outer_radius','1808'),('ILD_00fw','TUBE_crossing_angle','14'),('ILD_00fw','TUBE_opening_angle','0.07876'),('ILD_00fw','VXD_active_silicon_thickness','0.05'),('ILD_00fw','VXD_inner_radius','16'),('ILD_00fw','VXD_length_r1','62.5'),('ILD_00fw','VXD_radius_r1','16'),('ILD_00fw','VXD_radius_r3','37'),('ILD_00fw','VXD_radius_r5','58'),('ILD_00fw','VXD_side_band_electronics_width','0.5'),('ILD_00fw','VXD_support_ladder_material','\"graphite\"'),('ILD_00fw','VXD_support_ladder_thickness','0.134'),('ILD_00fw','Yoke_endcap_inner_radius','300'),('ILD_00fw','Yoke_thickness','2550'),('ILD_00Dhcal','Coil_extra_size','1522'),('ILD_00Dhcal','Hcal_Coil_additional_gap','29.5'),('ILD_00Dhcal','Ecal_Barrel_halfZ','2350'),('ILD_00Dhcal','TPC_inner_radius','329'),('ILD_00Dhcal','TPC_outer_radius','1808'),('ILD_00Dhcal','Lcal_outer_radius','195.2'),('ILD_00Dhcal','Ecal_endcap_extra_size','60.8'),('ILD_00Dhcal','Field_nominal_value','3.5'),('ILD_00Dhcal','Hcal_Ecal_gap','30'),('ILD_00Dhcal','Hcal_nlayers','48'),('ILD_00Dhcal','ILC_Main_Crossing_Angle','14'),('ILD_00Dhcal','Hcal_endcap_zmin','2670.7'),('ILD_00Dhcal','Lcal_inner_radius','80.0'),('ILD_00Dhcal','Lcal_z_thickness','135.6'),('ILD_00Dhcal','Lcal_z_begin','2505.0'),('ILD_00Dhcal','VXD_side_band_electronics_width','0.5'),('ILD_00Dhcal','TUBE_crossing_angle','14'),('ILD_00Dhcal','TUBE_opening_angle','0.07876'),('ILD_00Dhcal','VXD_active_silicon_thickness','0.05'),('ILD_00Dhcal','TPC_ECal_gap','25.0'),('ILD_00Dhcal','VXD_support_ladder_material','\"graphite\"'),('ILD_00Dhcal','VXD_support_ladder_thickness','0.134'),('ILD_00Dhcal','Yoke_endcap_inner_radius','300'),('ILD_00Dhcal','Coil_Yoke_radial_clearance','250'),('ILD_00Dhcal','VXD_inner_radius','16'),('ILD_00Dhcal','VXD_radius_r1','16'),('ILD_00Dhcal','VXD_radius_r3','37'),('ILD_00Dhcal','VXD_radius_r5','58'),('ILD_00Dhcal','VXD_length_r1','62.5'),('ILD_00Dhcal','Hcal_endcap_center_box_size','700.0'),('ILD_00Dhcal','Ecal_Tpc_gap','35'),('ILD_00Dhcal','Ecal_support_thickness','9.3'),('ILD_00Dhcal','Yoke_thickness','2550'),('ILD_00Dhcal','Hcal_endcap_ecal_gap','15'),('ILD_00fw_Dhcal','Coil_extra_size','1522'),('ILD_00fw_Dhcal','Coil_Yoke_radial_clearance','250'),('ILD_00fw_Dhcal','Ecal_Barrel_halfZ','2350'),('ILD_00fw_Dhcal','Ecal_endcap_extra_size','60.8'),('ILD_00fw_Dhcal','Ecal_support_thickness','9.3'),('ILD_00fw_Dhcal','Ecal_Tpc_gap','35'),('ILD_00fw_Dhcal','Field_nominal_value','3.5'),('ILD_00fw_Dhcal','Hcal_Coil_additional_gap','29.5'),('ILD_00fw_Dhcal','Hcal_Ecal_gap','30'),('ILD_00fw_Dhcal','Hcal_endcap_center_box_size','700.0'),('ILD_00fw_Dhcal','Hcal_endcap_ecal_gap','15'),('ILD_00fw_Dhcal','Hcal_endcap_zmin','2670.7'),('ILD_00fw_Dhcal','Hcal_nlayers','48'),('ILD_00fw_Dhcal','ILC_Main_Crossing_Angle','14'),('ILD_00fw_Dhcal','Lcal_inner_radius','80.0'),('ILD_00fw_Dhcal','Lcal_outer_radius','195.2'),('ILD_00fw_Dhcal','Lcal_z_begin','2505.0'),('ILD_00fw_Dhcal','Lcal_z_thickness','135.6'),('ILD_00fw_Dhcal','TPC_ECal_gap','25.0'),('ILD_00fw_Dhcal','TPC_inner_radius','329'),('ILD_00fw_Dhcal','TPC_outer_radius','1808'),('ILD_00fw_Dhcal','TUBE_crossing_angle','14'),('ILD_00fw_Dhcal','TUBE_opening_angle','0.07876'),('ILD_00fw_Dhcal','VXD_active_silicon_thickness','0.05'),('ILD_00fw_Dhcal','VXD_inner_radius','16'),('ILD_00fw_Dhcal','VXD_length_r1','62.5'),('ILD_00fw_Dhcal','VXD_radius_r1','16'),('ILD_00fw_Dhcal','VXD_radius_r3','37'),('ILD_00fw_Dhcal','VXD_radius_r5','58'),('ILD_00fw_Dhcal','VXD_side_band_electronics_width','0.5'),('ILD_00fw_Dhcal','VXD_support_ladder_material','\"graphite\"'),('ILD_00fw_Dhcal','VXD_support_ladder_thickness','0.134'),('ILD_00fw_Dhcal','Yoke_endcap_inner_radius','300'),('ILD_00fw_Dhcal','Yoke_thickness','2550'),('CILD_00','Coil_extra_size','1522'),('CILD_00','Coil_Yoke_radial_clearance','250'),('CILD_00','Ecal_Barrel_halfZ','2350'),('CILD_00','Ecal_endcap_extra_size','60.8'),('CILD_00','Ecal_support_thickness','9.3'),('CILD_00','Ecal_Tpc_gap','35'),('CILD_00','Field_nominal_value','5'),('CILD_00','Hcal_back_plate_thickness','15'),('CILD_00','Hcal_Coil_additional_gap','29.5'),('CILD_00','Hcal_Ecal_gap','30'),('CILD_00','Hcal_endcap_center_box_size','700.0'),('CILD_00','Hcal_endcap_ecal_gap','15'),('CILD_00','Hcal_endcap_sensitive_center_box','0.0'),('CILD_00','Hcal_endcap_zmin','2670.7'),('CILD_00','Hcal_nlayers','48'),('CILD_00','Hcal_sensitive_model','scintillator'),('CILD_00','ILC_Main_Crossing_Angle','20'),('CILD_00','Lcal_inner_radius','85'),('CILD_00','Lcal_outer_radius','195.2'),('CILD_00','Lcal_z_begin','2505.0'),('CILD_00','Lcal_z_thickness','135.6'),('CILD_00','TPC_ECal_gap','25.0'),('CILD_00','TPC_inner_radius','329'),('CILD_00','TPC_outer_radius','1808'),('CILD_00','TUBE_crossing_angle','20'),('CILD_00','TUBE_opening_angle','0.07876'),('CILD_00','VXD_active_silicon_thickness','0.05'),('CILD_00','VXD_inner_radius','16'),('CILD_00','VXD_length_r1','62.5'),('CILD_00','VXD_radius_r1','16'),('CILD_00','VXD_radius_r3','37'),('CILD_00','VXD_radius_r5','58'),('CILD_00','VXD_side_band_electronics_width','0.5'),('CILD_00','VXD_support_ladder_material','\"graphite\"'),('CILD_00','VXD_support_ladder_thickness','0.134'),('CILD_00','Yoke_endcap_inner_radius','300'),('CILD_00','Yoke_thickness','2550'),('CILD_00fw','Coil_extra_size','1522'),('CILD_00fw','Coil_Yoke_radial_clearance','250'),('CILD_00fw','Ecal_Barrel_halfZ','2350'),('CILD_00fw','Ecal_endcap_extra_size','60.8'),('CILD_00fw','Ecal_support_thickness','9.3'),('CILD_00fw','Ecal_Tpc_gap','35'),('CILD_00fw','Field_nominal_value','5'),('CILD_00fw','Hcal_back_plate_thickness','15'),('CILD_00fw','Hcal_Coil_additional_gap','29.5'),('CILD_00fw','Hcal_Ecal_gap','30'),('CILD_00fw','Hcal_endcap_center_box_size','700.0'),('CILD_00fw','Hcal_endcap_ecal_gap','15'),('CILD_00fw','Hcal_endcap_sensitive_center_box','0.0'),('CILD_00fw','Hcal_endcap_zmin','2670.7'),('CILD_00fw','Hcal_nlayers','48'),('CILD_00fw','Hcal_sensitive_model','scintillator'),('CILD_00fw','ILC_Main_Crossing_Angle','20'),('CILD_00fw','Lcal_inner_radius','85'),('CILD_00fw','Lcal_outer_radius','195.2'),('CILD_00fw','Lcal_z_begin','2505.0'),('CILD_00fw','Lcal_z_thickness','135.6'),('CILD_00fw','TPC_ECal_gap','25.0'),('CILD_00fw','TPC_inner_radius','329'),('CILD_00fw','TPC_outer_radius','1808'),('CILD_00fw','TUBE_crossing_angle','20'),('CILD_00fw','TUBE_opening_angle','0.07876'),('CILD_00fw','VXD_active_silicon_thickness','0.05'),('CILD_00fw','VXD_inner_radius','16'),('CILD_00fw','VXD_length_r1','62.5'),('CILD_00fw','VXD_radius_r1','16'),('CILD_00fw','VXD_radius_r3','37'),('CILD_00fw','VXD_radius_r5','58'),('CILD_00fw','VXD_side_band_electronics_width','0.5'),('CILD_00fw','VXD_support_ladder_material','\"graphite\"'),('CILD_00fw','VXD_support_ladder_thickness','0.134'),('CILD_00fw','Yoke_endcap_inner_radius','300'),('CILD_00fw','Yoke_thickness','2550'),('ILD_00fwp01','Coil_extra_size','1522'),('ILD_00fwp01','Coil_Yoke_radial_clearance','250'),('ILD_00fwp01','Ecal_Barrel_halfZ','2350'),('ILD_00fwp01','Ecal_endcap_extra_size','60.8'),('ILD_00fwp01','Ecal_support_thickness','9.3'),('ILD_00fwp01','Ecal_Tpc_gap','35'),('ILD_00fwp01','Field_nominal_value','3.5'),('ILD_00fwp01','Hcal_back_plate_thickness','15'),('ILD_00fwp01','Hcal_Coil_additional_gap','29.5'),('ILD_00fwp01','Hcal_Ecal_gap','30'),('ILD_00fwp01','Hcal_endcap_center_box_size','700.0'),('ILD_00fwp01','Hcal_endcap_ecal_gap','15'),('ILD_00fwp01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_00fwp01','Hcal_endcap_zmin','2670.7'),('ILD_00fwp01','Hcal_nlayers','48'),('ILD_00fwp01','Hcal_sensitive_model','scintillator'),('ILD_00fwp01','ILC_Main_Crossing_Angle','14'),('ILD_00fwp01','Lcal_inner_radius','80.0'),('ILD_00fwp01','Lcal_outer_radius','195.2'),('ILD_00fwp01','Lcal_z_begin','2505.0'),('ILD_00fwp01','Lcal_z_thickness','135.6'),('ILD_00fwp01','TPC_ECal_gap','25.0'),('ILD_00fwp01','TPC_inner_radius','329'),('ILD_00fwp01','TPC_outer_radius','1808'),('ILD_00fwp01','TUBE_crossing_angle','14'),('ILD_00fwp01','TUBE_opening_angle','0.07876'),('ILD_00fwp01','VXD_active_silicon_thickness','0.05'),('ILD_00fwp01','VXD_inner_radius','16'),('ILD_00fwp01','VXD_length_r1','62.5'),('ILD_00fwp01','VXD_radius_r1','16'),('ILD_00fwp01','VXD_radius_r3','37'),('ILD_00fwp01','VXD_radius_r5','58'),('ILD_00fwp01','VXD_side_band_electronics_width','0.5'),('ILD_00fwp01','VXD_support_ladder_material','\"graphite\"'),('ILD_00fwp01','VXD_support_ladder_thickness','0.134'),('ILD_00fwp01','Yoke_endcap_inner_radius','300'),('ILD_00fwp01','Yoke_thickness','2550'),('TBCern0806_p0709','Hcal_layer_pattern','10101010101010101010101010101000000'),('TBCern0806_p0709','Tcmt_layer_pattern','1101101101100000'),('TBCern1006_p0709','Hcal_layer_pattern','111111111111111110101010101010'),('TBCern1006_p0709','Tcmt_layer_pattern','1111111111111111'),('TBCern0707_p0709','Ecal_slab_pattern','222222222222222000000222222222'),('TBCern0807_p0709','Ecal_slab_pattern','222222222222222111222222222222'),('ILD_00_EcalSc01','Coil_extra_size','1522'),('ILD_00_EcalSc01','Coil_Yoke_radial_clearance','250'),('ILD_00_EcalSc01','Ecal_Barrel_halfZ','2350'),('ILD_00_EcalSc01','Ecal_endcap_extra_size','60.8'),('ILD_00_EcalSc01','Ecal_support_thickness','9.3'),('ILD_00_EcalSc01','Ecal_Tpc_gap','35'),('ILD_00_EcalSc01','Field_nominal_value','3.5'),('ILD_00_EcalSc01','Hcal_back_plate_thickness','15'),('ILD_00_EcalSc01','Hcal_Coil_additional_gap','29.5'),('ILD_00_EcalSc01','Hcal_Ecal_gap','30'),('ILD_00_EcalSc01','Hcal_endcap_center_box_size','700.0'),('ILD_00_EcalSc01','Hcal_endcap_ecal_gap','15'),('ILD_00_EcalSc01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_00_EcalSc01','Hcal_endcap_zmin','2670.7'),('ILD_00_EcalSc01','Hcal_nlayers','48'),('ILD_00_EcalSc01','Hcal_sensitive_model','scintillator'),('ILD_00_EcalSc01','ILC_Main_Crossing_Angle','14'),('ILD_00_EcalSc01','Lcal_inner_radius','80.0'),('ILD_00_EcalSc01','Lcal_outer_radius','195.2'),('ILD_00_EcalSc01','Lcal_z_begin','2505.0'),('ILD_00_EcalSc01','Lcal_z_thickness','135.6'),('ILD_00_EcalSc01','TPC_ECal_gap','25.0'),('ILD_00_EcalSc01','TPC_inner_radius','329'),('ILD_00_EcalSc01','TPC_outer_radius','1808'),('ILD_00_EcalSc01','TUBE_crossing_angle','14'),('ILD_00_EcalSc01','TUBE_opening_angle','0.07876'),('ILD_00_EcalSc01','VXD_active_silicon_thickness','0.05'),('ILD_00_EcalSc01','VXD_inner_radius','16'),('ILD_00_EcalSc01','VXD_length_r1','62.5'),('ILD_00_EcalSc01','VXD_radius_r1','16'),('ILD_00_EcalSc01','VXD_radius_r3','37'),('ILD_00_EcalSc01','VXD_radius_r5','58'),('ILD_00_EcalSc01','VXD_side_band_electronics_width','0.5'),('ILD_00_EcalSc01','VXD_support_ladder_material','\"graphite\"'),('ILD_00_EcalSc01','VXD_support_ladder_thickness','0.134'),('ILD_00_EcalSc01','Yoke_endcap_inner_radius','300'),('ILD_00_EcalSc01','Yoke_thickness','2550'),('ILD_00_EcalSc01','Ecal_sensitive_material','polystyrene'),('ILD_00_EcalSc01','Ecal_nlayers1','14'),('ILD_00_EcalSc01','Ecal_nlayers2','13'),('ILD_00_EcalSc01','Ecal_Si_thickness','2.'),('ILD_00_EcalSc01','Ecal_radiator_layers_set1_thickness','3.0'),('ILD_00_EcalSc01','Ecal_radiator_layers_set2_thickness','3.0'),('ILD_00_EcalSc01','Ecal_guard_ring_size','0.010'),('CLIC01_ILD','Coil_extra_size','1522'),('CLIC01_ILD','Coil_Yoke_radial_clearance','250'),('CLIC01_ILD','Ecal_Barrel_halfZ','2350'),('CLIC01_ILD','Ecal_endcap_extra_size','60.8'),('CLIC01_ILD','Ecal_support_thickness','9.3'),('CLIC01_ILD','Ecal_Tpc_gap','35'),('CLIC01_ILD','Field_nominal_value','4.0'),('CLIC01_ILD','Hcal_back_plate_thickness','15'),('CLIC01_ILD','Hcal_Coil_additional_gap','29.5'),('CLIC01_ILD','Hcal_Ecal_gap','30'),('CLIC01_ILD','Hcal_endcap_center_box_size','700.0'),('CLIC01_ILD','Hcal_endcap_ecal_gap','15'),('CLIC01_ILD','Hcal_endcap_sensitive_center_box','0.0'),('CLIC01_ILD','Hcal_endcap_zmin','2670.7'),('CLIC01_ILD','Hcal_nlayers','77'),('CLIC01_ILD','Hcal_radiator_material','TungstenDens24'),('CLIC01_ILD','Hcal_radiator_thickness','10'),('CLIC01_ILD','Hcal_sensitive_model','scintillator'),('CLIC01_ILD','ILC_Main_Crossing_Angle','20'),('CLIC01_ILD','Lcal_inner_radius','85.0'),('CLIC01_ILD','Lcal_outer_radius','195.2'),('CLIC01_ILD','Lcal_z_begin','2505.0'),('CLIC01_ILD','Lcal_z_thickness','135.6'),('CLIC01_ILD','TPC_ECal_gap','25.0'),('CLIC01_ILD','TPC_inner_radius','329'),('CLIC01_ILD','TPC_outer_radius','1808'),('CLIC01_ILD','TUBE_crossing_angle','20'),('CLIC01_ILD','TUBE_opening_angle','0.07876'),('CLIC01_ILD','VXD_active_silicon_thickness','0.05'),('CLIC01_ILD','VXD_inner_radius','31'),('CLIC01_ILD','VXD_length_r1','125'),('CLIC01_ILD','VXD_radius_r1','31'),('CLIC01_ILD','VXD_radius_r3','44'),('CLIC01_ILD','VXD_radius_r5','58'),('CLIC01_ILD','VXD_side_band_electronics_width','0.5'),('CLIC01_ILD','VXD_support_ladder_material','\"graphite\"'),('CLIC01_ILD','VXD_support_ladder_thickness','0.134'),('CLIC01_ILD','Yoke_endcap_inner_radius','300'),('CLIC01_ILD','Yoke_thickness','2550'),('CLIC01_ILD','Hcal_endcap_nlayers','77'),('CLIC01_ILD','Hcal_endcap_radiator_material','TungstenDens24'),('CLIC01_ILD','Hcal_endcap_radiator_thickness','10'),('ILD_00_EcalSc02','Coil_extra_size','1522'),('ILD_00_EcalSc02','Hcal_Coil_additional_gap','29.5'),('ILD_00_EcalSc02','Ecal_Barrel_halfZ','2350'),('ILD_00_EcalSc02','TPC_inner_radius','329'),('ILD_00_EcalSc02','TPC_outer_radius','1808'),('ILD_00_EcalSc02','Lcal_outer_radius','195.2'),('ILD_00_EcalSc02','Ecal_endcap_extra_size','60.8'),('ILD_00_EcalSc02','Field_nominal_value','3.5'),('ILD_00_EcalSc02','Hcal_back_plate_thickness','15'),('ILD_00_EcalSc02','Hcal_Ecal_gap','30'),('ILD_00_EcalSc02','Hcal_endcap_sensitive_center_box','0.0'),('ILD_00_EcalSc02','Hcal_nlayers','48'),('ILD_00_EcalSc02','Hcal_sensitive_model','scintillator'),('ILD_00_EcalSc02','ILC_Main_Crossing_Angle','14'),('ILD_00_EcalSc02','Hcal_endcap_zmin','2670.7'),('ILD_00_EcalSc02','Lcal_inner_radius','80.0'),('ILD_00_EcalSc02','Lcal_z_thickness','135.6'),('ILD_00_EcalSc02','Lcal_z_begin','2505.0'),('ILD_00_EcalSc02','VXD_side_band_electronics_width','0.5'),('ILD_00_EcalSc02','TUBE_crossing_angle','14'),('ILD_00_EcalSc02','TUBE_opening_angle','0.07876'),('ILD_00_EcalSc02','VXD_active_silicon_thickness','0.05'),('ILD_00_EcalSc02','TPC_ECal_gap','25.0'),('ILD_00_EcalSc02','VXD_support_ladder_material','\"graphite\"'),('ILD_00_EcalSc02','VXD_support_ladder_thickness','0.134'),('ILD_00_EcalSc02','Yoke_endcap_inner_radius','300'),('ILD_00_EcalSc02','Coil_Yoke_radial_clearance','250'),('ILD_00_EcalSc02','VXD_inner_radius','16'),('ILD_00_EcalSc02','VXD_radius_r1','16'),('ILD_00_EcalSc02','VXD_radius_r3','37'),('ILD_00_EcalSc02','VXD_radius_r5','58'),('ILD_00_EcalSc02','VXD_length_r1','62.5'),('ILD_00_EcalSc02','Hcal_endcap_center_box_size','700.0'),('ILD_00_EcalSc02','Ecal_Tpc_gap','35'),('ILD_00_EcalSc02','Ecal_support_thickness','9.3'),('ILD_00_EcalSc02','Yoke_thickness','2550'),('ILD_00_EcalSc02','Hcal_endcap_ecal_gap','15'),('ILD_01pre00','Coil_extra_size','1522'),('ILD_01pre00','Coil_Yoke_radial_clearance','250'),('ILD_01pre00','Ecal_Barrel_halfZ','2350'),('ILD_01pre00','Ecal_endcap_extra_size','60.8'),('ILD_01pre00','Ecal_support_thickness','9.3'),('ILD_01pre00','Ecal_Tpc_gap','35'),('ILD_01pre00','Field_nominal_value','3.5'),('ILD_01pre00','Hcal_back_plate_thickness','15'),('ILD_01pre00','Hcal_Coil_additional_gap','29.5'),('ILD_01pre00','Hcal_Ecal_gap','30'),('ILD_01pre00','Hcal_endcap_center_box_size','700.0'),('ILD_01pre00','Hcal_endcap_ecal_gap','15'),('ILD_01pre00','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01pre00','Hcal_endcap_zmin','2670.7'),('ILD_01pre00','Hcal_nlayers','48'),('ILD_01pre00','Hcal_sensitive_model','scintillator'),('ILD_01pre00','ILC_Main_Crossing_Angle','14'),('ILD_01pre00','Lcal_inner_radius','80.0'),('ILD_01pre00','Lcal_outer_radius','195.2'),('ILD_01pre00','Lcal_z_begin','2505.0'),('ILD_01pre00','Lcal_z_thickness','135.6'),('ILD_01pre00','TPC_ECal_gap','25.0'),('ILD_01pre00','TPC_inner_radius','329'),('ILD_01pre00','TPC_outer_radius','1808'),('ILD_01pre00','TUBE_crossing_angle','14'),('ILD_01pre00','TUBE_opening_angle','0.07876'),('ILD_01pre00','VXD_active_silicon_thickness','0.05'),('ILD_01pre00','VXD_inner_radius','16'),('ILD_01pre00','VXD_length_r1','62.5'),('ILD_01pre00','VXD_radius_r1','16'),('ILD_01pre00','VXD_radius_r3','37'),('ILD_01pre00','VXD_radius_r5','58'),('ILD_01pre00','VXD_side_band_electronics_width','0.5'),('ILD_01pre00','VXD_support_ladder_material','\"graphite\"'),('ILD_01pre00','VXD_support_ladder_thickness','0.134'),('ILD_01pre00','Yoke_endcap_inner_radius','300'),('ILD_01pre00','Yoke_thickness','2550'),('CLIC_ILD_CDR','Lcal_z_begin','2800'),('CLIC_ILD_CDR','Lcal_inner_radius','100.0'),('CLIC_ILD_CDR','Lcal_outer_radius','290'),('CLIC_ILD_CDR','Hcal_endcap_center_box_size','800'),('CLIC_ILD_CDR','Ecal_endcap_center_box_size','800'),('CLIC_ILD_CDR','Lcal_n_layers','40'),('CLIC_ILD_CDR','Lcal_z_thickness','135.6'),('CLIC_ILD_CDR','LHcal_zend','2600'),('CLIC_ILD_CDR','BCal_TubeIncomingRadius','3.7'),('CLIC_ILD_CDR','BCal_rInner','32'),('CLIC_ILD_CDR','BCal_rOuter','150'),('CLIC_ILD_CDR','BCal_nLayers','40'),('CLIC_ILD_CDR','BCal_PairMonitor','0'),('CLIC_ILD_CDR','BCal_dAbsorber','3.5'),('CLIC_ILD_CDR','VXD_radius_r3','44'),('CLIC_ILD_CDR','VXD_radius_r5','58'),('CLIC_ILD_CDR','VXD_side_band_electronics_width','0.5'),('CLIC_ILD_CDR','VXD_support_ladder_material','\"graphite\"'),('CLIC_ILD_CDR','VXD_support_ladder_thickness','0.134'),('CLIC_ILD_CDR','Yoke_endcap_inner_radius','690'),('CLIC_ILD_CDR','Yoke_thickness','2550'),('CLIC_ILD_CDR','TPC_Ecal_Hcal_barrel_halfZ','2350'),('CLIC_ILD_CDR','VXD_cryostat_option','0'),('CLIC_ILD_CDR','VXD_end_ladd_electronics_option','1'),('CLIC_ILD_CDR','SIT1_Radius','165'),('CLIC_ILD_CDR','SIT2_Radius','309'),('CLIC_ILD_CDR','VXD_end_ladd_electronics_half_length','1'),('CLIC_ILD_CDR','VXD_end_ladd_electronics_thickness','0.000001'),('CLIC_ILD_CDR','Ecal_endcap_plug_rmin','290'),('CLIC_ILD_CDR','Ecal_Lcal_ring_gap','-48'),('CLIC_ILD_CDR','Ecal_endcap_zmax','2825'),('CLIC_ILD_CDR','Coil_extra_size','1906'),('CLIC_ILD_CDR','Coil_Yoke_radial_clearance','250'),('CLIC_ILD_CDR','Coil_Yoke_lateral_clearance','280'),('CLIC_ILD_CDR','Yoke_Z_start_endcaps','4536'),('CLIC_ILD_CDR','Hcal_R_max','3088.99'),('CLIC_ILD_CDR','Ecal_Barrel_halfZ','2350'),('CLIC_ILD_CDR','Ecal_endcap_extra_size','60.8'),('CLIC_ILD_CDR','Ecal_support_thickness','9.3'),('CLIC_ILD_CDR','Ecal_Tpc_gap','35'),('CLIC_ILD_CDR','Field_nominal_value','4.0'),('CLIC_ILD_CDR','Yoke_BField_cutoff','1.5'),('CLIC_ILD_CDR','FieldPropagator_LargestAcceptableStep','10'),('CLIC_ILD_CDR','Hcal_back_plate_thickness','15'),('CLIC_ILD_CDR','Hcal_Coil_additional_gap','20.0'),('CLIC_ILD_CDR','Hcal_Ecal_gap','30'),('CLIC_ILD_CDR','Hcal_endcap_ecal_gap','15'),('CLIC_ILD_CDR','Hcal_endcap_sensitive_center_box','0.0'),('CLIC_ILD_CDR','Hcal_endcap_zmin','2670.7'),('CLIC_ILD_CDR','Hcal_nlayers','75'),('CLIC_ILD_CDR','Hcal_radiator_material','TungstenDens24'),('CLIC_ILD_CDR','Hcal_radiator_thickness','10'),('CLIC_ILD_CDR','Hcal_endcap_nlayers','60'),('CLIC_ILD_CDR','Hcal_endcap_radiator_material','Iron'),('CLIC_ILD_CDR','Hcal_endcap_radiator_thickness','20'),('CLIC_ILD_CDR','Hcal_sensitive_model','scintillator'),('CLIC_ILD_CDR','ILC_Main_Crossing_Angle','20'),('CLIC_ILD_CDR','TPC_ECal_gap','25.0'),('CLIC_ILD_CDR','TPC_inner_radius','329'),('CLIC_ILD_CDR','TPC_outer_radius','1808'),('CLIC_ILD_CDR','TUBE_crossing_angle','0'),('CLIC_ILD_CDR','TUBE_opening_angle','0.07876'),('CLIC_ILD_CDR','VXD_active_silicon_thickness','0.05'),('CLIC_ILD_CDR','VXD_inner_radius','31'),('CLIC_ILD_CDR','VXD_length_r1','130'),('CLIC_ILD_CDR','VXD_length_r3','130'),('CLIC_ILD_CDR','VXD_length_r5','130'),('CLIC_ILD_CDR','VXD_radius_r1','31'),('CLIC_ILD_CDR','BCal_dGraphite','100'),('CLIC_ILD_CDR','BCal_rSegmentation','8'),('CLIC_ILD_CDR','BCal_nWafers','8'),('CLIC_ILD_CDR','BCal_SpanningPhi','350'),('CLIC_ILD_CDR','LHcal_BCal_clearance','690'),('ILD_01pre01fw','Coil_extra_size','1522'),('ILD_01pre01fw','Coil_Yoke_radial_clearance','250'),('ILD_01pre01fw','Ecal_Barrel_halfZ','2350'),('ILD_01pre01fw','Ecal_endcap_extra_size','60.8'),('ILD_01pre01fw','Ecal_support_thickness','9.3'),('ILD_01pre01fw','Ecal_Tpc_gap','35'),('ILD_01pre01fw','Field_nominal_value','3.5'),('ILD_01pre01fw','Hcal_back_plate_thickness','15'),('ILD_01pre01fw','Hcal_Coil_additional_gap','29.5'),('ILD_01pre01fw','Hcal_Ecal_gap','30'),('ILD_01pre01fw','Hcal_endcap_center_box_size','700.0'),('ILD_01pre01fw','Hcal_endcap_ecal_gap','15'),('ILD_01pre01fw','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01pre01fw','Hcal_endcap_zmin','2670.7'),('ILD_01pre01fw','Hcal_nlayers','48'),('ILD_01pre01fw','Hcal_sensitive_model','scintillator'),('ILD_01pre01fw','ILC_Main_Crossing_Angle','14'),('ILD_01pre01fw','Lcal_inner_radius','80.0'),('ILD_01pre01fw','Lcal_outer_radius','195.2'),('ILD_01pre01fw','Lcal_z_begin','2505.0'),('ILD_01pre01fw','Lcal_z_thickness','135.6'),('ILD_01pre01fw','TPC_ECal_gap','25.0'),('ILD_01pre01fw','TPC_inner_radius','329'),('ILD_01pre01fw','TPC_outer_radius','1808'),('ILD_01pre01fw','TUBE_crossing_angle','14'),('ILD_01pre01fw','TUBE_opening_angle','0.07876'),('ILD_01pre01fw','VXD_active_silicon_thickness','0.05'),('ILD_01pre01fw','VXD_inner_radius','16'),('ILD_01pre01fw','VXD_length_r1','62.5'),('ILD_01pre01fw','VXD_radius_r1','16'),('ILD_01pre01fw','VXD_radius_r3','37'),('ILD_01pre01fw','VXD_radius_r5','58'),('ILD_01pre01fw','VXD_side_band_electronics_width','0.5'),('ILD_01pre01fw','VXD_support_ladder_material','\"graphite\"'),('ILD_01pre01fw','VXD_support_ladder_thickness','0.134'),('ILD_01pre01fw','Yoke_endcap_inner_radius','300'),('ILD_01pre01fw','Yoke_thickness','2550'),('ILD_01pre01','Coil_extra_size','1522'),('ILD_01pre01','Coil_Yoke_radial_clearance','250'),('ILD_01pre01','Ecal_Barrel_halfZ','2350'),('ILD_01pre01','Ecal_endcap_extra_size','60.8'),('ILD_01pre01','Ecal_support_thickness','9.3'),('ILD_01pre01','Ecal_Tpc_gap','35'),('ILD_01pre01','Field_nominal_value','3.5'),('ILD_01pre01','Hcal_back_plate_thickness','15'),('ILD_01pre01','Hcal_Coil_additional_gap','29.5'),('ILD_01pre01','Hcal_Ecal_gap','30'),('ILD_01pre01','Hcal_endcap_center_box_size','700.0'),('ILD_01pre01','Hcal_endcap_ecal_gap','15'),('ILD_01pre01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01pre01','Hcal_endcap_zmin','2670.7'),('ILD_01pre01','Hcal_nlayers','48'),('ILD_01pre01','Hcal_sensitive_model','scintillator'),('ILD_01pre01','ILC_Main_Crossing_Angle','14'),('ILD_01pre01','Lcal_inner_radius','80.0'),('ILD_01pre01','Lcal_outer_radius','195.2'),('ILD_01pre01','Lcal_z_begin','2505.0'),('ILD_01pre01','Lcal_z_thickness','135.6'),('ILD_01pre01','TPC_ECal_gap','25.0'),('ILD_01pre01','TPC_inner_radius','329'),('ILD_01pre01','TPC_outer_radius','1808'),('ILD_01pre01','TUBE_crossing_angle','14'),('ILD_01pre01','TUBE_opening_angle','0.07876'),('ILD_01pre01','VXD_active_silicon_thickness','0.05'),('ILD_01pre01','VXD_inner_radius','16'),('ILD_01pre01','VXD_length_r1','62.5'),('ILD_01pre01','VXD_radius_r1','16'),('ILD_01pre01','VXD_radius_r3','37'),('ILD_01pre01','VXD_radius_r5','58'),('ILD_01pre01','VXD_side_band_electronics_width','0.5'),('ILD_01pre01','VXD_support_ladder_material','\"graphite\"'),('ILD_01pre01','VXD_support_ladder_thickness','0.134'),('ILD_01pre01','Yoke_endcap_inner_radius','300'),('ILD_01pre01','Yoke_thickness','2550'),('CLIC_ILD_CDR500','Coil_extra_size','1906'),('CLIC_ILD_CDR500','Coil_Yoke_radial_clearance','250'),('CLIC_ILD_CDR500','Coil_Yoke_lateral_clearance','280'),('CLIC_ILD_CDR500','Yoke_Z_start_endcaps','4536'),('CLIC_ILD_CDR500','Hcal_R_max','3088.99'),('CLIC_ILD_CDR500','Ecal_Barrel_halfZ','2350'),('CLIC_ILD_CDR500','Ecal_endcap_extra_size','60.8'),('CLIC_ILD_CDR500','Ecal_support_thickness','9.3'),('CLIC_ILD_CDR500','Ecal_Tpc_gap','35'),('CLIC_ILD_CDR500','Field_nominal_value','4.0'),('CLIC_ILD_CDR500','Yoke_BField_cutoff','1.5'),('CLIC_ILD_CDR500','FieldPropagator_LargestAcceptableStep','10'),('CLIC_ILD_CDR500','Hcal_back_plate_thickness','15'),('CLIC_ILD_CDR500','Hcal_Coil_additional_gap','20.0'),('CLIC_ILD_CDR500','Hcal_Ecal_gap','30'),('CLIC_ILD_CDR500','Hcal_endcap_ecal_gap','15'),('CLIC_ILD_CDR500','Hcal_endcap_sensitive_center_box','0.0'),('CLIC_ILD_CDR500','Hcal_endcap_zmin','2670.7'),('CLIC_ILD_CDR500','Hcal_nlayers','75'),('CLIC_ILD_CDR500','Hcal_radiator_material','TungstenDens24'),('CLIC_ILD_CDR500','Hcal_radiator_thickness','10'),('CLIC_ILD_CDR500','Hcal_endcap_nlayers','60'),('CLIC_ILD_CDR500','Hcal_endcap_radiator_material','Iron'),('CLIC_ILD_CDR500','Hcal_endcap_radiator_thickness','20'),('CLIC_ILD_CDR500','Hcal_sensitive_model','scintillator'),('CLIC_ILD_CDR500','ILC_Main_Crossing_Angle','20'),('CLIC_ILD_CDR500','TPC_ECal_gap','25.0'),('CLIC_ILD_CDR500','TPC_inner_radius','329'),('CLIC_ILD_CDR500','TPC_outer_radius','1808'),('CLIC_ILD_CDR500','TUBE_crossing_angle','0'),('CLIC_ILD_CDR500','TUBE_opening_angle','0.07876'),('CLIC_ILD_CDR500','VXD_active_silicon_thickness','0.05'),('CLIC_ILD_CDR500','VXD_inner_radius','25'),('CLIC_ILD_CDR500','VXD_length_r1','130'),('CLIC_ILD_CDR500','VXD_length_r3','130'),('CLIC_ILD_CDR500','VXD_length_r5','130'),('CLIC_ILD_CDR500','VXD_radius_r1','25'),('CLIC_ILD_CDR500','VXD_radius_r3','42'),('CLIC_ILD_CDR500','VXD_radius_r5','58'),('CLIC_ILD_CDR500','VXD_side_band_electronics_width','0.5'),('CLIC_ILD_CDR500','VXD_support_ladder_material','\"graphite\"'),('CLIC_ILD_CDR500','VXD_support_ladder_thickness','0.134'),('CLIC_ILD_CDR500','Yoke_endcap_inner_radius','690'),('CLIC_ILD_CDR500','Yoke_thickness','2550'),('CLIC_ILD_CDR500','TPC_Ecal_Hcal_barrel_halfZ','2350'),('CLIC_ILD_CDR500','VXD_cryostat_option','0'),('CLIC_ILD_CDR500','VXD_end_ladd_electronics_option','1'),('CLIC_ILD_CDR500','SIT1_Radius','165'),('CLIC_ILD_CDR500','SIT2_Radius','309'),('CLIC_ILD_CDR500','VXD_end_ladd_electronics_half_length','1'),('CLIC_ILD_CDR500','VXD_end_ladd_electronics_thickness','0.000001'),('CLIC_ILD_CDR500','Ecal_endcap_plug_rmin','290'),('CLIC_ILD_CDR500','Ecal_Lcal_ring_gap','-48'),('CLIC_ILD_CDR500','Ecal_endcap_zmax','2825'),('CLIC_ILD_CDR500','Lcal_z_begin','2800'),('CLIC_ILD_CDR500','Lcal_inner_radius','100.0'),('CLIC_ILD_CDR500','Lcal_outer_radius','290'),('CLIC_ILD_CDR500','Hcal_endcap_center_box_size','800'),('CLIC_ILD_CDR500','Ecal_endcap_center_box_size','800'),('CLIC_ILD_CDR500','Lcal_n_layers','40'),('CLIC_ILD_CDR500','Lcal_z_thickness','135.6'),('CLIC_ILD_CDR500','LHcal_zend','2600'),('CLIC_ILD_CDR500','BCal_TubeIncomingRadius','3.7'),('CLIC_ILD_CDR500','BCal_rInner','32'),('CLIC_ILD_CDR500','BCal_rOuter','150'),('CLIC_ILD_CDR500','BCal_nLayers','40'),('CLIC_ILD_CDR500','BCal_PairMonitor','0'),('CLIC_ILD_CDR500','BCal_dAbsorber','3.5'),('CLIC_ILD_CDR500','BCal_dGraphite','100'),('CLIC_ILD_CDR500','BCal_rSegmentation','8'),('CLIC_ILD_CDR500','BCal_nWafers','8'),('CLIC_ILD_CDR500','BCal_SpanningPhi','350'),('CLIC_ILD_CDR500','LHcal_BCal_clearance','690'),('ILD_01pre02','Coil_extra_size','1522'),('ILD_01pre02','Coil_Yoke_radial_clearance','250'),('ILD_01pre02','Ecal_Barrel_halfZ','2350'),('ILD_01pre02','Ecal_endcap_extra_size','60.8'),('ILD_01pre02','Ecal_support_thickness','9.3'),('ILD_01pre02','Ecal_Tpc_gap','35'),('ILD_01pre02','Field_nominal_value','3.5'),('ILD_01pre02','Hcal_back_plate_thickness','15'),('ILD_01pre02','Hcal_Coil_additional_gap','29.5'),('ILD_01pre02','Hcal_Ecal_gap','30'),('ILD_01pre02','Hcal_endcap_center_box_size','700.0'),('ILD_01pre02','Hcal_endcap_ecal_gap','15'),('ILD_01pre02','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01pre02','Hcal_endcap_zmin','2670.7'),('ILD_01pre02','Hcal_nlayers','48'),('ILD_01pre02','Hcal_sensitive_model','scintillator'),('ILD_01pre02','ILC_Main_Crossing_Angle','14'),('ILD_01pre02','Lcal_inner_radius','80.0'),('ILD_01pre02','Lcal_outer_radius','195.2'),('ILD_01pre02','Lcal_z_begin','2505.0'),('ILD_01pre02','Lcal_z_thickness','135.6'),('ILD_01pre02','TPC_ECal_gap','25.0'),('ILD_01pre02','TPC_inner_radius','329'),('ILD_01pre02','TPC_outer_radius','1808'),('ILD_01pre02','TUBE_crossing_angle','14'),('ILD_01pre02','TUBE_opening_angle','0.07876'),('ILD_01pre02','VXD_active_silicon_thickness','0.05'),('ILD_01pre02','VXD_inner_radius','16'),('ILD_01pre02','VXD_length_r1','62.5'),('ILD_01pre02','VXD_radius_r1','16'),('ILD_01pre02','VXD_radius_r3','37'),('ILD_01pre02','VXD_radius_r5','58'),('ILD_01pre02','VXD_side_band_electronics_width','0.5'),('ILD_01pre02','VXD_support_ladder_material','\"graphite\"'),('ILD_01pre02','VXD_support_ladder_thickness','0.134'),('ILD_01pre02','Yoke_endcap_inner_radius','300'),('ILD_01pre02','Yoke_thickness','2550'),('ILD_01_SDH_pre00','Coil_extra_size','1522'),('ILD_01_SDH_pre00','Coil_Yoke_radial_clearance','250'),('ILD_01_SDH_pre00','Ecal_Barrel_halfZ','2350'),('ILD_01_SDH_pre00','Ecal_endcap_extra_size','60.8'),('ILD_01_SDH_pre00','Ecal_support_thickness','9.3'),('ILD_01_SDH_pre00','Ecal_Tpc_gap','35'),('ILD_01_SDH_pre00','Field_nominal_value','3.5'),('ILD_01_SDH_pre00','Hcal_back_plate_thickness','15'),('ILD_01_SDH_pre00','Hcal_Coil_additional_gap','29.5'),('ILD_01_SDH_pre00','Hcal_Ecal_gap','30'),('ILD_01_SDH_pre00','Hcal_endcap_center_box_size','700.0'),('ILD_01_SDH_pre00','Hcal_endcap_ecal_gap','15'),('ILD_01_SDH_pre00','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01_SDH_pre00','Hcal_endcap_zmin','2670.7'),('ILD_01_SDH_pre00','Hcal_nlayers','48'),('ILD_01_SDH_pre00','Hcal_sensitive_model','RPC2'),('ILD_01_SDH_pre00','ILC_Main_Crossing_Angle','14'),('ILD_01_SDH_pre00','Lcal_inner_radius','80.0'),('ILD_01_SDH_pre00','Lcal_outer_radius','195.2'),('ILD_01_SDH_pre00','Lcal_z_begin','2505.0'),('ILD_01_SDH_pre00','Lcal_z_thickness','135.6'),('ILD_01_SDH_pre00','TPC_ECal_gap','25.0'),('ILD_01_SDH_pre00','TPC_inner_radius','329'),('ILD_01_SDH_pre00','TPC_outer_radius','1808'),('ILD_01_SDH_pre00','TUBE_crossing_angle','14'),('ILD_01_SDH_pre00','TUBE_opening_angle','0.07876'),('ILD_01_SDH_pre00','VXD_active_silicon_thickness','0.05'),('ILD_01_SDH_pre00','VXD_inner_radius','16'),('ILD_01_SDH_pre00','VXD_length_r1','62.5'),('ILD_01_SDH_pre00','VXD_radius_r1','16'),('ILD_01_SDH_pre00','VXD_radius_r3','37'),('ILD_01_SDH_pre00','VXD_radius_r5','58'),('ILD_01_SDH_pre00','VXD_side_band_electronics_width','0.5'),('ILD_01_SDH_pre00','VXD_support_ladder_material','\"graphite\"'),('ILD_01_SDH_pre00','VXD_support_ladder_thickness','0.134'),('ILD_01_SDH_pre00','Yoke_endcap_inner_radius','300'),('ILD_01_SDH_pre00','Yoke_thickness','2550'),('ILD_01_SciW_pre00','Coil_extra_size','1522'),('ILD_01_SciW_pre00','Coil_Yoke_radial_clearance','250'),('ILD_01_SciW_pre00','Ecal_Barrel_halfZ','2350'),('ILD_01_SciW_pre00','Ecal_endcap_extra_size','60.8'),('ILD_01_SciW_pre00','Ecal_support_thickness','9.3'),('ILD_01_SciW_pre00','Ecal_Tpc_gap','35'),('ILD_01_SciW_pre00','Field_nominal_value','3.5'),('ILD_01_SciW_pre00','Hcal_back_plate_thickness','15'),('ILD_01_SciW_pre00','Hcal_Coil_additional_gap','29.5'),('ILD_01_SciW_pre00','Hcal_Ecal_gap','30'),('ILD_01_SciW_pre00','Hcal_endcap_center_box_size','700.0'),('ILD_01_SciW_pre00','Hcal_endcap_ecal_gap','15'),('ILD_01_SciW_pre00','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01_SciW_pre00','Hcal_endcap_zmin','2670.7'),('ILD_01_SciW_pre00','Hcal_nlayers','48'),('ILD_01_SciW_pre00','Hcal_sensitive_model','scintillator'),('ILD_01_SciW_pre00','ILC_Main_Crossing_Angle','14'),('ILD_01_SciW_pre00','Lcal_inner_radius','80.0'),('ILD_01_SciW_pre00','Lcal_outer_radius','195.2'),('ILD_01_SciW_pre00','Lcal_z_begin','2505.0'),('ILD_01_SciW_pre00','Lcal_z_thickness','135.6'),('ILD_01_SciW_pre00','TPC_ECal_gap','25.0'),('ILD_01_SciW_pre00','TPC_inner_radius','329'),('ILD_01_SciW_pre00','TPC_outer_radius','1808'),('ILD_01_SciW_pre00','TUBE_crossing_angle','14'),('ILD_01_SciW_pre00','TUBE_opening_angle','0.07876'),('ILD_01_SciW_pre00','VXD_active_silicon_thickness','0.05'),('ILD_01_SciW_pre00','VXD_inner_radius','16'),('ILD_01_SciW_pre00','VXD_length_r1','62.5'),('ILD_01_SciW_pre00','VXD_radius_r1','16'),('ILD_01_SciW_pre00','VXD_radius_r3','37'),('ILD_01_SciW_pre00','VXD_radius_r5','58'),('ILD_01_SciW_pre00','VXD_side_band_electronics_width','0.5'),('ILD_01_SciW_pre00','VXD_support_ladder_material','\"graphite\"'),('ILD_01_SciW_pre00','VXD_support_ladder_thickness','0.134'),('ILD_01_SciW_pre00','Yoke_endcap_inner_radius','300'),('ILD_01_SciW_pre00','Yoke_thickness','2550'),('ILD_01_SciW_pre00','Ecal_Sc_Si_mix','333333333333333'),('ILD_01_dev','Coil_extra_size','1522'),('ILD_01_dev','Coil_Yoke_radial_clearance','250'),('ILD_01_dev','Ecal_Barrel_halfZ','2350'),('ILD_01_dev','Ecal_endcap_extra_size','60.8'),('ILD_01_dev','Ecal_support_thickness','9.3'),('ILD_01_dev','Ecal_Tpc_gap','35'),('ILD_01_dev','Field_nominal_value','3.5'),('ILD_01_dev','Hcal_back_plate_thickness','15'),('ILD_01_dev','Hcal_Coil_additional_gap','29.5'),('ILD_01_dev','Hcal_Ecal_gap','30'),('ILD_01_dev','Hcal_endcap_center_box_size','700.0'),('ILD_01_dev','Hcal_endcap_ecal_gap','15'),('ILD_01_dev','Hcal_endcap_sensitive_center_box','0.0'),('ILD_01_dev','Hcal_endcap_zmin','2670.7'),('ILD_01_dev','Hcal_nlayers','48'),('ILD_01_dev','Hcal_sensitive_model','scintillator'),('ILD_01_dev','ILC_Main_Crossing_Angle','14'),('ILD_01_dev','Lcal_inner_radius','80.0'),('ILD_01_dev','Lcal_outer_radius','195.2'),('ILD_01_dev','Lcal_z_begin','2505.0'),('ILD_01_dev','Lcal_z_thickness','135.6'),('ILD_01_dev','TPC_ECal_gap','25.0'),('ILD_01_dev','TPC_inner_radius','329'),('ILD_01_dev','TPC_outer_radius','1808'),('ILD_01_dev','TUBE_crossing_angle','14'),('ILD_01_dev','TUBE_opening_angle','0.07876'),('ILD_01_dev','VXD_active_silicon_thickness','0.05'),('ILD_01_dev','VXD_inner_radius','16'),('ILD_01_dev','VXD_length_r1','62.5'),('ILD_01_dev','VXD_radius_r1','16'),('ILD_01_dev','VXD_radius_r3','37'),('ILD_01_dev','VXD_radius_r5','58'),('ILD_01_dev','VXD_side_band_electronics_width','0.5'),('ILD_01_dev','VXD_support_ladder_material','\"graphite\"'),('ILD_01_dev','VXD_support_ladder_thickness','0.134'),('ILD_01_dev','Yoke_endcap_inner_radius','300'),('ILD_01_dev','Yoke_thickness','2550'),('ILD_O3_v01','Coil_extra_size','1522'),('ILD_O3_v01','Coil_Yoke_radial_clearance','250'),('ILD_O3_v01','Ecal_Barrel_halfZ','2350'),('ILD_O3_v01','Ecal_endcap_extra_size','60.8'),('ILD_O3_v01','Ecal_Sc_Si_mix','333333333333333'),('ILD_O3_v01','Ecal_support_thickness','9.3'),('ILD_O3_v01','Ecal_Tpc_gap','35'),('ILD_O3_v01','Field_nominal_value','3.5'),('ILD_O3_v01','Hcal_back_plate_thickness','15'),('ILD_O3_v01','Hcal_Coil_additional_gap','29.5'),('ILD_O3_v01','Hcal_Ecal_gap','30'),('ILD_O3_v01','Hcal_endcap_center_box_size','700.0'),('ILD_O3_v01','Hcal_endcap_ecal_gap','15'),('ILD_O3_v01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_O3_v01','Hcal_endcap_zmin','2670.7'),('ILD_O3_v01','Hcal_nlayers','48'),('ILD_O3_v01','Hcal_sensitive_model','scintillator'),('ILD_O3_v01','ILC_Main_Crossing_Angle','14'),('ILD_O3_v01','Lcal_inner_radius','80.0'),('ILD_O3_v01','Lcal_outer_radius','195.2'),('ILD_O3_v01','Lcal_z_begin','2505.0'),('ILD_O3_v01','Lcal_z_thickness','135.6'),('ILD_O3_v01','TPC_inner_radius','329'),('ILD_O3_v01','TPC_outer_radius','1808'),('ILD_O3_v01','TUBE_crossing_angle','14'),('ILD_O3_v01','TUBE_opening_angle','0.07876'),('ILD_O3_v01','VXD_active_silicon_thickness','0.05'),('ILD_O3_v01','VXD_inner_radius','16'),('ILD_O3_v01','VXD_length_r1','62.5'),('ILD_O3_v01','VXD_radius_r1','16'),('ILD_O3_v01','VXD_radius_r3','37'),('ILD_O3_v01','VXD_radius_r5','58'),('ILD_O3_v01','VXD_side_band_electronics_width','0.5'),('ILD_O3_v01','VXD_support_ladder_material','\"graphite\"'),('ILD_O3_v01','VXD_support_ladder_thickness','0.134'),('ILD_O3_v01','Yoke_endcap_inner_radius','300'),('ILD_O3_v01','Yoke_thickness','2550'),('ILD_O1_v01','Coil_extra_size','1522'),('ILD_O1_v01','Coil_Yoke_radial_clearance','250'),('ILD_O1_v01','Ecal_Barrel_halfZ','2350'),('ILD_O1_v01','Ecal_endcap_extra_size','60.8'),('ILD_O1_v01','Ecal_support_thickness','9.3'),('ILD_O1_v01','Ecal_Tpc_gap','35'),('ILD_O1_v01','Field_nominal_value','3.5'),('ILD_O1_v01','Hcal_back_plate_thickness','15'),('ILD_O1_v01','Hcal_Coil_additional_gap','29.5'),('ILD_O1_v01','Hcal_Ecal_gap','30'),('ILD_O1_v01','Hcal_endcap_center_box_size','700.0'),('ILD_O1_v01','Hcal_endcap_ecal_gap','15'),('ILD_O1_v01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_O1_v01','Hcal_endcap_zmin','2670.7'),('ILD_O1_v01','Hcal_nlayers','48'),('ILD_O1_v01','Hcal_sensitive_model','scintillator'),('ILD_O1_v01','ILC_Main_Crossing_Angle','14'),('ILD_O1_v01','Lcal_inner_radius','80.0'),('ILD_O1_v01','Lcal_outer_radius','195.2'),('ILD_O1_v01','Lcal_z_begin','2505.0'),('ILD_O1_v01','Lcal_z_thickness','135.6'),('ILD_O1_v01','TPC_inner_radius','329'),('ILD_O1_v01','TPC_outer_radius','1808'),('ILD_O1_v01','TUBE_crossing_angle','14'),('ILD_O1_v01','TUBE_opening_angle','0.07876'),('ILD_O1_v01','VXD_active_silicon_thickness','0.05'),('ILD_O1_v01','VXD_inner_radius','16'),('ILD_O1_v01','VXD_length_r1','62.5'),('ILD_O1_v01','VXD_radius_r1','16'),('ILD_O1_v01','VXD_radius_r3','37'),('ILD_O1_v01','VXD_radius_r5','58'),('ILD_O1_v01','VXD_side_band_electronics_width','0.5'),('ILD_O1_v01','VXD_support_ladder_material','\"graphite\"'),('ILD_O1_v01','VXD_support_ladder_thickness','0.134'),('ILD_O1_v01','Yoke_endcap_inner_radius','300'),('ILD_O1_v01','Yoke_thickness','2550'),('ILD_O2_v01','Coil_extra_size','1522'),('ILD_O2_v01','Coil_Yoke_radial_clearance','250'),('ILD_O2_v01','Ecal_Barrel_halfZ','2350'),('ILD_O2_v01','Ecal_endcap_extra_size','60.8'),('ILD_O2_v01','Ecal_support_thickness','9.3'),('ILD_O2_v01','Ecal_Tpc_gap','35'),('ILD_O2_v01','Field_nominal_value','3.5'),('ILD_O2_v01','Hcal_back_plate_thickness','15'),('ILD_O2_v01','Hcal_Coil_additional_gap','29.5'),('ILD_O2_v01','Hcal_Ecal_gap','30'),('ILD_O2_v01','Hcal_endcap_center_box_size','700.0'),('ILD_O2_v01','Hcal_endcap_ecal_gap','15'),('ILD_O2_v01','Hcal_endcap_sensitive_center_box','0.0'),('ILD_O2_v01','Hcal_endcap_zmin','2670.7'),('ILD_O2_v01','Hcal_nlayers','48'),('ILD_O2_v01','Hcal_sensitive_model','RPC2'),('ILD_O2_v01','ILC_Main_Crossing_Angle','14'),('ILD_O2_v01','Lcal_inner_radius','80.0'),('ILD_O2_v01','Lcal_outer_radius','195.2'),('ILD_O2_v01','Lcal_z_begin','2505.0'),('ILD_O2_v01','Lcal_z_thickness','135.6'),('ILD_O2_v01','TPC_inner_radius','329'),('ILD_O2_v01','TPC_outer_radius','1808'),('ILD_O2_v01','TUBE_crossing_angle','14'),('ILD_O2_v01','TUBE_opening_angle','0.07876'),('ILD_O2_v01','VXD_active_silicon_thickness','0.05'),('ILD_O2_v01','VXD_inner_radius','16'),('ILD_O2_v01','VXD_length_r1','62.5'),('ILD_O2_v01','VXD_radius_r1','16'),('ILD_O2_v01','VXD_radius_r3','37'),('ILD_O2_v01','VXD_radius_r5','58'),('ILD_O2_v01','VXD_side_band_electronics_width','0.5'),('ILD_O2_v01','VXD_support_ladder_material','\"graphite\"'),('ILD_O2_v01','VXD_support_ladder_thickness','0.134'),('ILD_O2_v01','Yoke_endcap_inner_radius','300'),('ILD_O2_v01','Yoke_thickness','2550');
UNLOCK TABLES;

--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(200) NOT NULL default '',
  `default_value` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('z_end_tcmt','Z coordinate of the exit face of the TCMT','10000.0'),('Coil_extra_size','How more long the coil has to be after the Hcal barrel end to insure a good field inside the TPC region.','1100.'),('Hcal_R_max','Minimum radius limit to start the Coil','2900.'),('ecal_begin_z','Calice test beam parameter: the begin Z coodinate for the Ecal prototype to be used by the drift chamber.','-202.7'),('Coil_thickness','Coil thichness','750.0'),('configuration_angle','Test Beam configuration angle for the Calice test beam.','0.0'),('Ecal_cables_gap','The gap between the barrel and the endcap.','100.'),('Ecal_cells_size','The cell dimension in the X direction. For z direction it\'ll be adjusted, depending on the radiator plate size in Z direction.','10.'),('Ecal_endcap_center_box_size','The size of the central box whole in the Ecal endcaps','600.'),('Ecal_fiber_thickness','Wall fiber thickness for the Ecal structure','0.2'),('Hcal_Ecal_gap','Gap between the Ecal and Hcal barrels, it\'s used to modifie the Hcal inner radius depending on the Ecal outer radius.','29'),('Ecal_Tpc_gap','Gap between the TPC and the Ecal, used by the Ecal super driver.','20.0'),('Ecal_radiator_layers_set1_thickness','Ecal radiator thickness of the first Ecal_nlayers1 layers','2.1'),('Ecal_radiator_layers_set2_thickness','Ecal radiator thickness of the Ecal_nlayers2 layers','4.2'),('Ecal_radiator_material','Radiator material for the Ecal (tungsten or lead)','tungsten'),('Ecal_Si_thickness','Sensitive Si layer thickness','0.5'),('Ecal_total_alveolus_thickness','Total alveolus thickness which will be filled by the Si sensitive layer embeed into  G10','2.1'),('FCH_thickness','Forward chambers thickness','0.30'),('Hcal_back_plate_thickness','Back plate support for the Hcal structure','20'),('Hcal_cells_size','The cell size in x and z directions','10'),('use_tracker','use tracker in front of proto03 to save momentum at the entrance of proto','false'),('Hcal_endcap_cables_gap','The gap between the barrel and the endcap','214'),('Hcal_endcap_center_box_size','The size of the central box whole in the hcal endcaps','600'),('Hcal_outer_radius','The Hcal outer radius, used by the Coil super driver.','3000.'),('Hcal_lateral_structure_thickness','Lateral support plate thickness','10'),('Hcal_modules_gap','Gap between the hcal modules in a stave','2'),('Ecal_outer_radius','Ecal outer radius','1910'),('Hcal_nlayers','Number of layers for the Hcal','40'),('Hcal_radiator_material','Radiator material for the Hcal (Iron or WMod)','Iron'),('Hcal_radiator_thickness','Radiator thickness of the Hcal layers','18'),('Hcal_sensitive_model','The sensitive model (RPC1 or scintillator)','RPC1'),('Hcal_stave_gaps','Gap thickness between the hcal staves','3'),('TPC_Ecal_Hcal_barrel_halfZ','The Z half length of the TPC central chamber plus the electronics at the botton. It\'s also the Ecal barrel size.','2200.00'),('TPC_electronics_air_percent','How many Air in the TPC electronics (percent).','86.00'),('TPC_electronics_backend_thickness','The size in Z of the electronics at the end of the TPC chamber.','230.00'),('TPC_electronics_cu_percent','How many Cu in the TPC electronics (percent).','1.56'),('TPC_electronics_kapton_percent','How many kapton in the TPC electronics (percent).','12.4400'),('TPC_inner_radius','The TPC inner radius','305.00'),('TPC_inner_wall_thickness','TPC inner wall thickness (starting from inner radius).','1.16'),('TPC_outer_radius','The TPC outer radius, used also by the Ecal as inner radius.','1580.00'),('TPC_outer_wall_thickness','The TPC outer wall thickness (inside the tpc outer radius)','1.51'),('Yoke_Barrel_Half_Z','Size in Z direction for the yoke barrel','7200.00  	'),('Yoke_barrel_inner_radius','Yoke inner radius, should depend on the Coil dimensions.','4450.00'),('Yoke_endcap_inner_radius','Yoke endcaps inner radius.','240.50'),('Yoke_thickness','Yoke barrel thickness','2000.'),('Yoke_Z_start_endcaps','The Z position where the yoke endcap starts','6625'),('Field_nominal_value','The magnetic field inside the tracker region (in Tesla)','4.0'),('Ecal_nlayers1','Number of layers for the first set of layers (near TPC) for the Ecal.','20'),('Ecal_nlayers2','Number of layers for the middle set of layers for the Ecal.','10'),('Hcal_barrel_end_module_type','The Tesla model has a special shape for barrel end modules. 1 = no special shape, 2 = special shape','1'),('VXD_inner_radius','radius of first layer detector','15'),('VXD_outer_radius','radius of last vertex detector layer','60.'),('VXD_support_ladder_thickness','thickness of the ladder support','0.28224'),('VXD_active_silicon_thickness','thickness of the active silicon part','0.03744'),('VXD_end_electronics_thickness','thickness of the end elctronics','0.19656'),('VXD_cryostat_option','the VTX use or not a cryostat','1'),('TUBE_central_inner_radius','radius of the beampipe central part','14.'),('TUBE_central_thickness','thickness of the beampipe central part','0.5'),('VXD_support_ladder_material','material of the support ladder','\"beryllium\"'),('TranslateY','Y translation of TB upstream detectors','0'),('TranslateX','X translation of TB upstream detectors','0'),('Ecal_endcap_zmax','Z boundary of the Ecal endcap to avoid overlap with the Hcal one.','2500.'),('Hcal_fiber_gap','The gap (mm) between the scintilator and the next absorber.','1.5'),('Ecal_nlayers3','Number of layers for the last set of layers (near Hcal) for the Ecal.','0'),('Ecal_radiator_layers_set3_thickness','Ecal radiator thickness of the last Ecal_nlayers3 layers','0'),('Yoke_with_plug','Additional parameter for yoke-muon implemented by Predrag','true'),('Hcal_layer_pattern','pattern reflecting the sensitive layers in the HCAL, e.g. 1111...11\nfor a fully equipped HCAL, or 10101010..10 for an alternating setup etc.','11111111111111111111111111111111111111'),('Ecal_endcap_extra_size','How long is the Ecal endcap over the Barrel limits.','76.62'),('Ecal_Alveolus_Air_Gap','Free space in alveolus','0.25'),('Ecal_Slab_shielding','Slab shielding','0.15'),('Ecal_Slab_copper_thickness','PCB Copper ','0.2'),('Ecal_Slab_PCB_thickness','Slab PCB','0.8'),('Ecal_Slab_glue_gap','Space between Si and PCB for glue','0.1'),('Ecal_Slab_ground_thickness','Ground plane behind the Si wafer','0.05'),('Ecal_Slab_H_fiber_thickness','H wall fiber thickness','.30'),('Tcmt_layer_pattern','pattern reflecting the sensitive layers in TCMT, like 111...11 for a fully equipped TCMT, or 1010...10 for an alternating setup','1111111111111111'),('Ecal_lateral_face_thickness','Module lateral fiber thickness','2'),('Ecal_support_thickness','Barrel upper fiber face thickness','15'),('Ecal_front_face_thickness','Barrel entry face fiber thickness','3'),('Ecal_guard_ring_size','Guard ring region size in the Si wafers','1'),('Ecal_Barrel_halfZ','The half Z size of Ecal barrel. It\'s a master parameter for LDCxx_02yy. ','2206.25'),('Ecal_barrel_number_of_towers','Number of slab towers in barrel modules','7'),('shift_module1','X shift of module 1 of the Ecal prototype built by driver proto04','0.0'),('shift_module3','X shift of module 3 of the Ecal prototype built by driver proto04','0.0'),('EcalRotationAngle','TB Ecal Rotation angle','0.0'),('EcalTranslateX','TB Ecal X Translation','0.0'),('EcalTranslateY','TB Ecal Y Translation','0.0'),('HcalRotationAngle','TB Hcal Rotation angle','0.0'),('HcalTranslateX','TB Hcal X Translation','0.0'),('HcalTranslateY','TB Hcal Y Translation','0.0'),('TCMTRotationAngle','TB TCMT Rotation angle','0.0'),('TCMTTranslateX','TB TCMT X Translation','0.0'),('TCMTTranslateY','TB TCMT Y Translation','0.0'),('Lcal_layer_gap','LumiCal layer gap','0.25'),('Lcal_silicon_thickness','LumiCal silicon thickness','0.32'),('Lcal_support_thickness','LumiCal support thickness','0.2'),('Lcal_tungsten_thickness','LumiCal tungsten thickness','3.5'),('Lcal_phi_offset','LumiCal phi offset','0'),('Lcal_z_begin','LumiCal z begin','3050'),('Lcal_n_layers','LumiCal number of layers','30'),('Lcal_nstrips_phi','LumiCal nstrips phi','48'),('Lcal_nstrips_theta','LumiCal nstrips theta','64'),('Lcal_type','LumiCal type','pad'),('Lcal_inner_radius','LumiCal calorimeter inner radius','80.0'),('Lcal_outer_radius','LumiCal calorimeter outer radius','195.2'),('TUBE_opening_angle','Lateral tube opening angle tangent','0.0868486'),('TUBE_crossing_angle','Lateral tubes crossing angle','0.0'),('Hcal_ring','0 = no rings; 1 = LDC like rings like Tesla TDR.','1'),('Hcal_endcap_ecal_gap','Gap between the Ecal and the Hcal endcaps','30'),('Ecal_endcap_zmin','Starting Z for Ecal endcap, used by Hcal rings','2329'),('Ecal_endcap_outer_radius','The Ecal endcap outer radius, used by Hcal rings to avoid overlaps','1926.1'),('Hcal_radial_ring_inner_gap','The radial gap between the Hcal ring and the Ecal endcap','50'),('cherenGasType','Cern 2007 Cerenkov detector gas type: 1=He, 2=N2','1'),('cherenPressure','Cern 2007 Cerenkov detector gas pressure','0.02'),('Ecal_slab_pattern','Cern 2007 Ecal slab pattern: 2=instrumented; 1=W only; 0=air','222222222222222222222222222222'),('ILC_Main_Crossing_Angle','Crossing angle between the incoming and outgoing main beams, in mrad','0'),('TPC_max_step_length','Maximum Geant4 step length in the TPC sensitive volume, in mm','10'),('TPC_pad_height','Pad height in the TPC, in mm','6'),('TPC_pad_width','Pad width in the TPC, in mm','1'),('Hcal_digitization_tile_size','Default HCAL tile size proposed for digitalization (no meaning in simulation)','30'),('Ecal_Lcal_ring_gap','Gap between the Lcal and the Ecal ring in end caps','54.8'),('dist_hcal_tcmt','Separation between Hcal and TCMT in the Calice TB prototype','333'),('VXD_width_r1','width of the layer 1','5.5'),('VXD_width_r2','width of the layer 2','7.5'),('VXD_width_r3','width of the layer 3','11'),('VXD_width_r4','width of the layer 4','11'),('VXD_width_r5','width of the layer 5','11'),('VXD_length_r1','length of the layer 1','50'),('VXD_length_r2','length of the layer 2','125'),('VXD_length_r3','length of the layer 3','125'),('VXD_length_r4','length of the layer 4','125'),('VXD_length_r5','length of the layer 5','125'),('VXD_radius_r1','radius of the layer 1','15'),('VXD_radius_r2','radius of the layer 2','25'),('VXD_radius_r3','radius of the layer 3','37'),('VXD_radius_r4','radius of the layer 4','48'),('VXD_radius_r5','radius of the layer 5','60'),('VXD_side_band_electronics_thickness','thickness of the side band electronic','0.05'),('VXD_side_band_electronics_width','width of the side band electronic','1.0'),('VXD_side_band_electronics_option','side band electronic option','1'),('VXD_end_ladd_electronics_option','ladder end electronic option','1'),('VXD_end_ladd_electronics_half_length','length of the ladder end electronic','5'),('VXD_end_ladd_electronics_thickness','thickness of the ladder end electronic','0.1'),('VXD_active_side_band_electronics_option','option to have side band electronic sensitive or not','0'),('VXD_layer_gap','gap between layers in the double layer geometry','2.0'),('Hcal_chamber_thickness','Thickness of the HCAL chambers, in mm','6.5'),('Hcal_barrel_number_modules','Number of DHcal barrel modules','5'),('PCB_Thickness','Thickess of PCB','0.8'),('mylar_ThicknessAnode','Thickess of mylar anode','0.05'),('mylar_ThicknessCathode','Thickess of mylar cathode','0.2'),('Graphite_ThicknessAnode','Thickess of graphite anode','0.05'),('Graphite_ThicknessCathode','Thickess of graphite cathode','0.1'),('ThinGlass','Thickess of glass on the anode side','0.7'),('Gap_Thickness','Thickess of RPC gap','1.2'),('ThickGlass','Thickess of glass on the cathode side','1.1'),('EdgeWidth','Width of frame','1.0'),('GazInletInnerRadius','Inner radius of gas input/output','0.4'),('GazInletOuterRadius','Outer radius of gas inp\nut/output','0.5'),('GazInletLength','Length of gas input/output','3.0'),('ChipPackageThickness','Thickess of ASIC','1.4'),('PadSeparation','Gap between pads in DHcal barrel','0.408'),('Hcal_layer_support_length','x-length pf the HCAL layer support in barrel, in mm','5'),('Hcal_layer_air_gap','Gap between the layer support and scintillator in the HCAL barrel, in mm','2'),('Hcal_middle_stave_gaps','Gap in the middle of the HCAL barrel staves, in mm','3'),('Hcal_apply_Birks_law','=1 apply Birks law to the HCAL scintillator response, =0 do not apply Birks law','1'),('Hcal_endcap_sensitive_center_box','Dimension of the HCAL endcap sensitive center box, in mm','300'),('Coil_Yoke_radial_clearance','clearance between Coil cryostate and Yoke','30.'),('Coil_Yoke_lateral_clearance','clearance between Coil cryostate and Yoke','200.0'),('Hcal_Coil_additional_gap','additional gap between Hcal barrel and Coil cryopstate','0.0'),('Hcal_endcap_zmin','Z value for the Hcal end cap front face comming from IP','2530'),('LHcal_zmin_displacement','Z displacement for the LHcal front face from the Hcal EC one.','30'),('LHcal_radiator_thickness','Radiator thickness for the LHcal plates','10'),('LHcal_cell_size','Si cell size for the squared pad in Si wafers.','10'),('LHcal_inner_radius','Inner radius for the LHcal (should be connected with tube driver in the future).','93'),('LHcal_nlayers','Number of W/Si pairs in LHcal','40'),('LHcal_Electronics_space','Space between LHcal and Hcal EC to place electronics.','19.4'),('LHcal_lateral_face_thickness','The fiber thickness for the 4 lateral faces supporting the LHcal structure','10'),('Ecal_EC_Ring_gap','Space between the Ecal end cap and the ring boundaries.','10'),('TPC_ECal_gap','The minimum distance between the outer radius of the TPC central chamber and the inner face of the ECAL.','20.00'),('SIT1_Radius','Radius of inner SIT Layer set at runtime','0.0'),('SIT2_Radius','Radius of outer SIT Layer set at runtime','0.0'),('SIT1_Half_Length_Z','Half length of inner SIT Layer set at runtime','0.0'),('SIT2_Half_Length_Z','Half length of outer SIT Layer set at runtime','0.0'),('TUBE_IPOuterTube_start_z','start z of beampipe outertube set at runtime','0.0'),('TUBE_IPOuterTube_end_z','end z of beampipe outertube set at runtime','0.0'),('TUBE_IPOuterBulge_end_z','end z of beampipe outerbulge set at runtime','0.0'),('TUBE_IPOuterTube_start_radius','starting radius of beampipe outertube set at runtime','0.0'),('TUBE_IPOuterTube_end_radius','ending radius of beampipe outertube set at runtime','0.0'),('TUBE_IPOuterBulge_end_radius','ending radius of beampipe outerbulge set at runtime','0.0'),('LHcal_zend','The Zmax for the LHcal','3085'),('Ecal_endcap_plug_rmin','Inner radius ECAL endcap PLUG to hold LCAL','250.0'),('Lcal_beam_pipe_clearance','LCAL to inner beam pipe distance ','0.5'),('Lcal_z_thickness','LCAL default thickness ','135.6'),('Hcal_MinNumCellsInTransvPlane','minimum number of cells in DHcal chambers in transversal plane','32'),('g10MaterialName','name of G10 material; aimed to be changed only for Calice Ecal proto','g10'),('DHcal_max_step','Max step limit for ILD GRPC DHcal','10.0'),('Hcal_time_cut','Time cut for HCAL hits','150'),('Ecal_sensitive_material','Sensitive material placed as wafers','silicon_2.33gccm'),('Lcal_n_tiles','Number of tiles in sensor','12'),('Lcal_extra_size','Space for support and FE electronics','26'),('Lcal_tile_gap','Dead space between sensor tiles','1.2'),('Lcal_sensor_phi_offset','Azimuthal angle offset between two consecutive LumiCal planes','3.75'),('Hcal_endcap_radiator_thickness','Radiator thickness of the Hcal endcap layers','20'),('Hcal_endcap_radiator_material','Radiator material of the Hcal endcap','Iron'),('Hcal_endcap_nlayers','Hcal endcap layers','48'),('Ecal_Slab_Sc_PCB_thickness','PCB thickness of the scintillator layers of the Mix Ecal','0.8'),('Ecal_Sc_thickness','Scintillator thickness of the Mix Ecal','2.0'),('Ecal_Sc_reflector_thickness','Reflector thickness of the scintillator layers of the Mix Ecal','0.057'),('Ecal_MPPC_size','MPPC size of the scintillator layers of the Mix Ecal','0.91'),('Ecal_Sc_MPPC_breadth','MPPC breadth of the scintillator layers of the Mix Ecal','2.5'),('Ecal_Sc_N_strips_across_module','Number of scintillator strips across module in the Mix Ecal','4'),('Ecal_Sc_Si_mix','Pattern of Silicon (0) / Scintillator (1-4) layers in the Mix Ecal','000000000000000'),('Ecal_Sc_number_of_virtual_cells','Number of virtual cells per scintillator strip in the Mix Ecal','9'),('BCal_TubeIncomingRadius','Radius of the incomming beampipe in mm','15'),('BCal_rInner','Inner Radius (outgoing Beampipe) in mm','20'),('BCal_rOuter','Outer Radius in mm','150'),('BCal_nLayers','Number of Layers','30'),('BCal_PairMonitor','Turn PairMonitor On(1) or Off(0)','1'),('BCal_dAbsorber','Absorber Thickness in mm','3.5'),('BCal_dGraphite','Graphite thickness in mm','100'),('BCal_SpanningPhi','Spanning Angle of Full BeamCal in degrees','320'),('BCal_rSegmentation','Size of Radial Segmentation','8'),('BCal_nWafers','Number of wafers','8'),('LHcal_BCal_clearance','Distance between LHCal_zend and BeamCal start','390'),('FieldPropagator_LargestAcceptableStep','maximum acceptable step in the magnetic field','-1'),('Yoke_BField_cutoff','cutoff for the magnetic field in the Yoke (in Tesla)','1.5'),('tpcEndplateServicesRing1_R','Swept radius (in mm) of torus modelling ring 1','450'),('tpcEndplateServicesRing2_R','Swept radius (in mm) of torus modelling ring 2','650'),('tpcEndplateServicesRing3_R','Swept radius (in mm) of torus modelling ring 3','850'),('tpcEndplateServicesRing4_R','Swept radius (in mm) of torus modelling ring 4','1050'),('tpcEndplateServicesRing5_R','Swept radius (in mm) of torus modelling ring 5','1250'),('tpcEndplateServicesRing6_R','Swept radius (in mm) of torus modelling ring 6','1450'),('tpcEndplateServicesRing7_R','Swept radius (in mm) of torus modelling ring 7','1650'),('tpcEndplateServicesRing8_R','Swept radius (in mm) of torus modelling ring 8','1750'),('tpcEndplateServicesRing1_ro','Outside radius (in mm) of torus modelling ring 1','1.555'),('tpcEndplateServicesRing2_ro','Outside radius (in mm) of torus modelling ring 2','1.555'),('tpcEndplateServicesRing3_ro','Outside radius (in mm) of torus modelling ring 3','1.555'),('tpcEndplateServicesRing4_ro','Outside radius (in mm) of torus modelling ring 4','1.555'),('tpcEndplateServicesRing5_ro','Outside radius (in mm) of torus modelling ring 5','1.555'),('tpcEndplateServicesRing6_ro','Outside radius (in mm) of torus modelling ring 6','1.555'),('tpcEndplateServicesRing7_ro','Outside radius (in mm) of torus modelling ring 7','2.985'),('tpcEndplateServicesRing8_ro','Outside radius (in mm) of torus modelling ring 8','2.453'),('EcalBarrelServices_RailDistanceToRight','Ecal Barrel rail position w.r.t. the right','166.5'),('EcalBarrelServices_RailSeparation','Ecal Barrel inter-rail distance','380.0'),('EcalBarrelServices_RailWidth','Ecal Barrel rail width','103.25'),('EcalBarrelServices_RailHeight','Ecal Barrel rail height','30.0'),('EcalBarrelServices_ZMinus_FirstInterrail_PE_Thickness','Polyethylene thickness in the first interrail space at Z-','4.5'),('EcalBarrelServices_ZMinus_FirstInterrail_Cu_Thickness','Cu thickness in the first interrail space at Z-','1.8'),('EcalBarrelServices_ZMinus_SecondInterrail_Cu_Thickness','Cu thickness in the second interrail space at Z-','0.9'),('EcalBarrelServices_ZPlus_FirstInterrail_PE_Thickness','Polyethylene thickness in the first interrail space at Z+','2.67'),('EcalBarrelServices_ZPlus_FirstInterrail_Cu_Thickness','Cu thickness in the first interrail space at Z+','1.09'),('EcalBarrelServices_ZPlus_SecondInterrail_Cu_Thickness','Cu thickness in the second interrail space at Z+','0.61'),('Hcal_steel_cassette_thickness','Thickness of the steel cassette inside the Hcal modules','0.5'),('Hcal_Cu_thickness','Thickness of the Cu layer inside the Hcal modules','0.1'),('Hcal_PCB_thickness','Thickness of the PCB inside the Hcal modules','0.7'),('Hcal_scintillator_thickness','Thickness of the scintillator inside the Hcal modules','3.0'),('EcalBarrel_EndCapServices_ZMinus_PE_Thickness','Polyethylene thickness at the Ecal Barrel-EndCap gap at ZMinus','12.4'),('EcalBarrel_EndCapServices_ZMinus_Cu_Thickness','Cu thickness at the Ecal Barrel-EndCap gap at ZMinus','5.2'),('EcalBarrel_EndCapServices_ZPlus_PE_Thickness','Polyethylene thickness at the Ecal Barrel-EndCap gap at ZPlus','8.3'),('EcalBarrel_EndCapServices_ZPlus_Cu_Thickness','Cu thickness at the Ecal Barrel-EndCap gap at ZPlus','3.5'),('HcalServicesModule_InnerServicesWidth','Width of services coming from Ecal and TPC and that are included in the Hcal services module','200.0'),('HcalServicesModule_ZMinus_StainlessSteel_Thickness','Thickness of StainlessSteel layer of services coming from Ecal and TPC and that are included in the Hcal services module at -Z','15.0'),('HcalServicesModule_ZMinus_PE_Thickness','Thickness of polyethylene layer of services coming from Ecal and TPC and that are included in the Hcal services module at -Z','27.5'),('HcalServicesModule_ZMinus_Cu_Thickness','Thickness of Cu layer of services coming from Ecal and TPC and that are included in the Hcal services module at -Z','8.2'),('HcalServicesModule_ZPlus_Cu_Thickness','Thickness of Cu layer of services coming from Ecal and TPC and that are included in the Hcal services module at +Z','7.4'),('etd_sensor_x_dimensions','','96;96;96'),('etd_sensor_y_dimensions','','96;96;96'),('etd_endcap_support_mousse_thickness','','3.9'),('etd_module_support_standoff_from_edge','','5'),('etd_endcap_support_carbon_thickness','','0.8'),('etd_endcap_support_reinforcement_thickness','','10.0'),('etd_accuracy_zones','','19;28;60'),('etd_sensor_technologies','','strip;strip;strip'),('etd_module_support_width','','10'),('etd_module_support_thickness','','1.5'),('etd_radial_border_width','','20'),('etd_layer_types','','XUV;XUV;XUV'),('etd_layer_positions','','10;26;42'),('etd_layer_rotations','','0;60;-60'),('etd_inner_radius','','400'),('etd_outer_radius','','1843'),('etd_plane_border_width','','20'),('sit_barrel_shape','','cylinder;cylinder'),('sit_barrel_nb_face','','0;0'),('sit_barrel_radius','','179.2;287.7'),('sit_barrel_length','','736; 1356'),('sit_barrel_nb_layers','','2;2'),('sit_barrel_radial_adjust','','expand;shrink'),('sit_barrel_longitudinal_adjust','','expand;expand'),('sit_barrel_type','',' DoubleLayer;DoubleLayer'),('sit_barrel_nb_sections','','1;1'),('sit_barrel_symetry','','true;true'),('sit_barrel_z_position','','0;0'),('sit_barrel_support_enable','','true;true'),('sit_barrel_support_type','','sit_ild01;sit_ild01'),('sit_barrel_sensor_technology','','SD;SD;SD;SD'),('sit_barrel_sensor_nb_channels_x','','1;1;1;1'),('sit_barrel_sensor_nb_channels_y','','2048;2048;2048;2048'),('sit_barrel_sensor_pitch_x','','0;0;0;0'),('sit_barrel_sensor_pitch_y','','0.05;0.05;0.05;0.05'),('sit_barrel_sensor_width_x','','96;96;96;96'),('sit_barrel_sensor_width_y','','0.0125;0.0125;0.0125;0.0125'),('sit_barrel_sensor_dim_x','','96;96;96;96'),('sit_barrel_sensor_dim_y','','96;96;96;96'),('sit_barrel_sensor_dim_z','','0.015;0.015;0.015;0.015'),('sit_barrel_nb_chips','','16;16;16;16'),('sit_barrel_chip_nb_channels','','128;128;128;128'),('sit_barrel_chips_per_row','','4;4;4;4'),('sit_barrel_chip_x_dimension','','10;10;10;10'),('sit_barrel_chip_y_dimension','','5;5;5;5'),('sit_barrel_chip_z_dimension','','0.03;0.03;0.03;0.03'),('sit_barrel_module_nb_x_sensors','','1;2;1;2'),('sit_barrel_module_nb_y_sensors','','1;1;1;1'),('sit_barrel_module_gaps_x','','0.05;0.05;0.05;0.05'),('sit_barrel_module_gaps_y','','0.05;0.05;0.05;0.05'),('sit_barrel_module_support_enable','','true;true;true;true'),('sit_barrel_module_support_type','','sit_ild01;sit_ild01;sit_ild01;sit_ild01'),('set_barrel_shape','','polygon'),('set_barrel_nb_face','','24'),('set_barrel_radius','','1843'),('set_barrel_length','','4802'),('set_barrel_nb_layers','','2'),('set_barrel_radial_adjust','','expand'),('set_barrel_longitudinal_adjust','','expand'),('set_barrel_type','','DoubleLayer'),('set_barrel_nb_sections','','1'),('set_barrel_symetry','','true'),('set_barrel_z_position','','0'),('set_barrel_support_enable','','true'),('set_barrel_support_type','','set_ild01'),('set_barrel_sensor_technology','','SD;SD'),('set_barrel_sensor_nb_channels_x','','1;1'),('set_barrel_sensor_nb_channels_y','','2048;2048'),('set_barrel_sensor_pitch_x','','0;0'),('set_barrel_sensor_pitch_y','','0.05;0.05'),('set_barrel_sensor_width_x','','96;96'),('set_barrel_sensor_width_y','','0.0125;0.0125'),('set_barrel_sensor_dim_x','','96;96'),('set_barrel_sensor_dim_y','','96;96'),('set_barrel_sensor_dim_z','','0.015;0.015'),('set_barrel_nb_chips','','16;16'),('set_barrel_chip_nb_channels','','128;128'),('set_barrel_chips_per_row','','4;4'),('set_barrel_chip_x_dimension','','10;10'),('set_barrel_chip_y_dimension','','5;5'),('set_barrel_chip_z_dimension','','0.03;0.03'),('set_barrel_module_nb_x_sensors','','5;5'),('set_barrel_module_nb_y_sensors','','1;1'),('set_barrel_module_gaps_x','','0.05;0.05'),('set_barrel_module_gaps_y','','0.05;0.05'),('set_barrel_module_support_enable','','true;true'),('set_barrel_module_support_type','','set_ild01;set_ild01'),('HcalServicesModule_ZPlus_PE_Thickness','Thickness of polyethylene layer of services coming from Ecal and TPC and that are included in the Hcal services module at +Z','25.6'),('HcalServicesModule_ZPlus_StainlessSteel_Thickness','Thickness of StainlessSteel layer of services coming from Ecal and TPC and that are included in the Hcal services module at +Z','15.0'),('HcalServices_outer_FR4_thickness','Thickness of FR4 layer of the Hcal electronics interface','2.8'),('HcalServices_outer_Cu_thickness','Thickness of Cu layer of the Hcal electronics interface','0.4'),('BuildHcalElectronicsInterface','Flag to build the Hcal electronics interface','true'),('sit_barrel_module_support_thickness','','2;2;2;2'),('sit_barrel_module_support_width','','10;10;10;10'),('sit_barrel_module_support_edge','','5;5;5;5'),('sit_barrel_module_direction_angle','','90;0;90;0'),('sit_barrel_module_direction_face','','0;180;0;180'),('sit_barrel_module_rotation_psi','','0;0;0;0'),('sit_barrel_module_rotation_theta','','0;0;0;0'),('sit_barrel_module_rotation_phi','','0;0;0;0'),('sit_barrel_module_shifting_x','','-0.05;-0.05;-0.05;-0.05'),('sit_barrel_module_shifting_y','','-0.05;-0.05;-0.05;-0.05'),('sit_barrel_module_shifting_z','','0;0;0;0'),('set_barrel_module_support_thickness','','2;2'),('set_barrel_module_support_width','','10;10'),('set_barrel_module_support_edge','','5;5'),('set_barrel_module_direction_angle','','90;0'),('set_barrel_module_direction_face','','0;180'),('set_barrel_module_rotation_psi','','0;0'),('set_barrel_module_rotation_theta','','0;0'),('set_barrel_module_rotation_phi','','0;0'),('set_barrel_module_shifting_x','','-0.05;-0.05'),('set_barrel_module_shifting_y','','-0.05;-0.05'),('set_barrel_module_shifting_z','','0;0'),('etd_sensor_z_dimensions','','0.15;0.15;0.15'),('etd_sensors_per_module','','1;2;3'),('etd_chips_per_row','','4;4;4'),('etd_chips_per_column','','4;4;4'),('etd_chip_x_dimensions','','10;10;10'),('etd_chip_y_dimensions','','5;5;5'),('etd_chip_z_dimensions','','0.3;0.3;0.3'),('etd_chip_channels','','128;128;128'),('HCAL_configuration_angle','Configuration Angle for Cern TB hcal','0'),('Hcal_spacer_thickness','Thickness of RPC spacers of the GRPC Hcal','8'),('Hcal_spacer_separation','Separation between RPC spacers of the GRPC Hcal','100'),('VXD_foam_spacer_thickness','thickness of the foam spacer of the VXD','0.94'),('VXD_foam_spacer_material','material of the foam spacer of the VXD','\"SiC_foam\"'),('VXD_flex_cable_thickness','thickness of the flex cable of the VXD support','0.05'),('VXD_metal_traces_thickness','thickness of the metal traces of the VXD support','0.01'),('VXD_flex_cable_material','material of the flex cable of the VXD support','\"kapton\"'),('VXD_metal_traces_material','material of the metal traces of the VXD support','\"aluminium\"'),('Hcal_endcap_module_width','AHCAL endcap module width','375.0'),('Hcal_endcap_module_number','AHCAL endcap module number','16'),('Hcal_endcap_lateral_structure_thickness','AHCAL endcap lateral wall thickness','5.0'),('Hcal_endcap_layer_air_gap','AHCAL endcap layer air gap','2.5'),('Hcal_endcap_services_module_width','AHCAL endcap front end electronic width','100.0');
UNLOCK TABLES;

--
-- Table structure for table `scripts`
--

DROP TABLE IF EXISTS `scripts`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `scripts` (
  `name` varchar(100) NOT NULL default '',
  `script` mediumtext NOT NULL,
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `scripts`
--

LOCK TABLES `scripts` WRITE;
INSERT INTO `scripts` VALUES ('SHcal01','\n#\n# Table structure for table \'radiator\'\n#\n\nCREATE TABLE radiator (\n  id tinyint(4) NOT NULL ,\n  material varchar(20) NOT NULL default \'\',\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'sensitive\'\n#\n\nCREATE TABLE `sensitive` (\n  id tinyint(4) NOT NULL ,\n  Model varchar(20) NOT NULL default \'\',\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'rpc1\'\n#\n\nCREATE TABLE rpc1 (\n  id tinyint(2) NOT NULL ,\n  g10_thickness float NOT NULL ,\n  glass_thickness float NOT NULL ,\n  gas_thickness float NOT NULL ,\n  spacer_thickness float NOT NULL ,\n  spacer_gap float NOT NULL ,\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'hcal\'\n#\nCREATE TABLE hcal (\n  chamber_boundary_tickness float(10,4),\n  chamber_tickness float(10,4)\n);\n\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float(10,4),\n  inner_radius float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4)\n\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_type tinyint(1),\n  module_z_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_module\'\n#\nCREATE TABLE barrel_module (\n  bottom_dim_x float(10,4),\n  midle_dim_x float(10,4),\n  top_dim_x float(10,4),\n  y_dim1_for_x float(10,4),\n  y_dim2_for_x float(10,4),\n  module_y_offset float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float(10,4),\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_regular_module\'\n#\nCREATE TABLE barrel_regular_module (\n  module_dim_z float(10,4),\n  chamber_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_end_module\'\n#\nCREATE TABLE barrel_end_module (\n  y_dim1_for_z float (10,4),\n  y_dim2_for_z float (10,4),\n  y_dim3_for_z float (10,4),\n  top_end_dim_z float (10,4)\n);\n\n#\n# Table structure for table \'barrel_regular_layer\'\n#\nCREATE TABLE barrel_regular_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_y_offset float(10,4),\n  chamber_dim_x float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'barrel_end_layer\'\n#\nCREATE TABLE barrel_end_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_dim_z	   float(10,4),\n  chamber_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float(10,4),\n  endcap_phi_offset float(10,4),\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  chamber_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_radius float(10,4),\n  module_dim_z float(10,4),\n  chamber_radius float(10,4),\n  center_box_size float(10,4)\n);\n\n\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n# tables parameters  pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters;\ncreate table parameters \n (fe_dim_y FLOAT (10,4),\n  chamber_tickness FLOAT(10,4),\n  back_plate_thickness FLOAT(10,4),\n  nlayers FLOAT(10,4),\n  total_dim_y FLOAT(10,4),\n  inner_radius FLOAT(10,4),\n  bottom_dim_x float(10,4),\n  top_dim_x   float(10,4),\n  midle_dim_x float(10,4),\n  y_dim1_for_x float(10,4),\n  y_dim2_for_x float(10,4),\n  y_dim1_for_z float(10,4),\n  y_dim2_for_z float(10,4),\n  y_dim3_for_z float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4),\n  normal_dim_z float(10,4),\n  top_end_dim_z float(10,4),\n  lateral_plate_thickness float(10,4),\n  regular_chamber_dim_z float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\ninsert parameters set \n  fe_dim_y = @fe_dim_y,\n  chamber_tickness = @chamber_tickness,\n  back_plate_thickness = @back_plate_thickness,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap,\n  nlayers = @nlayers,\n  total_dim_y = @total_dim_y,\n  inner_radius = @inner_radius,\n  y_dim2_for_x = @y_dim2_for_x,\n  y_dim1_for_x = @y_dim1_for_x,\n  bottom_dim_x = @bottom_dim_x,\n  midle_dim_x = @midle_dim_x,\n  top_dim_x = @top_dim_x,\n  normal_dim_z = @normal_dim_z,\n  lateral_plate_thickness = @lateral_plate_thickness,\n  y_dim1_for_z = @y_dim1_for_z,\n  top_end_dim_z = @top_end_dim_z,\n  y_dim2_for_z = @y_dim2_for_z,\n  y_dim3_for_z = @y_dim3_for_z,\n  regular_chamber_dim_z = @regular_chamber_dim_z,\n  cell_dim_x = @cell_dim_x,\n  cell_dim_z =  @cell_dim_z;\n\n\n# data for table \'sensitive\'\nINSERT INTO `sensitive` \n  set Model = @SensitiveModel;\n\nINSERT INTO radiator \n  set material = @RadiatorMaterial;\n\nINSERT INTO rpc1 VALUES (1,1,1,1.2,0.6,50);\n\n#\n# hcal\ndelete from hcal;\ninsert hcal select \n  lateral_plate_thickness as chamber_boundary_tickness,\n  parameters.chamber_tickness as chamber_tickness\n  from parameters;\n\n#\n# barrel\ndelete from barrel;\ninsert barrel select\n  0. AS barrel_phi_offset,\n  inner_radius,\n  staves_gap,\n  modules_gap \n from parameters;\n\n#\n#  barrel_regular_layer\n#\ndelete from barrel_regular_layer;\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (bottom_dim_x + 2*(id*fe_dim_y + (id-1)* chamber_tickness)*TAN(PI()/8.))\n         / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_x;\n\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (midle_dim_x - 2*((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_x)\n          / TAN(PI()/8.)\n          - 2*chamber_tickness/TAN(PI()/8.) \n          - 2* back_plate_thickness)\n        / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) > y_dim1_for_x;\n\n#update barrel_regular_layer set\n#  chamber_dim_x = FLOOR(chamber_dim_x/10.) * 10.;	  \n\n#\n#  barrel_end_layer\n#\ndelete from barrel_end_layer;\ninsert barrel_end_layer select\n  id AS layer_id, \n  regular_chamber_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (normal_dim_z - 2*lateral_plate_thickness + \n          ((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_z)*\n          (top_end_dim_z-normal_dim_z)/\n          y_dim2_for_z)\n       / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z AND  \n         id*(fe_dim_y+chamber_tickness)< y_dim1_for_z+ y_dim2_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (top_end_dim_z - 2*lateral_plate_thickness)\n     / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z + y_dim2_for_z;\n\nupdate barrel_end_layer set \n       chamber_z_offset =  (chamber_dim_z - chamber_z_offset)/2.;\n\n#\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n#\n# barrel_module\ndelete from barrel_module;\ninsert barrel_module \n select\n   bottom_dim_x,\n   midle_dim_x,\n   top_dim_x,\n   y_dim1_for_x,\n   y_dim2_for_x,\n   inner_radius + total_dim_y/2. AS module_y_offset,\n   cell_dim_x,\n   cell_dim_z \n from parameters;\n\n#\n# barrel_regular_module\ndelete from barrel_regular_module;\ninsert barrel_regular_module select\n  normal_dim_z AS module_dim_z,\n  regular_chamber_dim_z AS chamber_dim_z\n from parameters;\n\n#\n# barrel_end_module\ndelete from barrel_end_module;\ninsert barrel_end_module select\n  y_dim1_for_z,\n  y_dim2_for_z,\n  y_dim3_for_z,\n  top_end_dim_z\n from parameters;\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id AS module_id,\n 1 AS  module_type,\n (2*id-6)*(module_dim_z+modules_gap)/2. AS module_z_offset \nfrom scratch,barrel,barrel_regular_module  where id<6;\n\n# We don\'t use anymore the special barrel end modules in LDC\n# update barrel_modules set\n#        module_type = 2 where module_id = 1 OR module_id = 5;\n\n\nDROP TABLE IF EXISTS scratch;\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n# tables parameters_endcaps pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters_endcaps;\ncreate table parameters_endcaps \n (back_plate_thickness FLOAT(10,4),\n  chamber_boundary_tickness float(10,4),\n  module_radius FLOAT (10,4),\n  chamber_radius FLOAT (10,4),\n  center_box_size FLOAT (10,4),\n  cables_gap FLOAT (10,4),\n  nlayers FLOAT(10,4),\n  chamber_dim_z FLOAT (10,4),\n  fe_dim_z FLOAT (10,4),\n  total_dim_z FLOAT (10,4),\n  start_z FLOAT (10,4));\n\ninsert parameters_endcaps select\n  back_plate_thickness as back_plate_thickness,\n  chamber_boundary_tickness as chamber_boundary_tickness,\n  @module_radius as module_radius,\n  0. as chamber_radius,\n  @center_box_size as center_box_size,\n  @cables_gap as cables_gap,\n  nlayers as nlayers,\n  hcal.chamber_tickness as chamber_dim_z,\n  fe_dim_y as fe_dim_z,\n  0. as total_dim_z ,\n  @start_z AS start_z\n  from parameters,hcal;\n\nupdate parameters_endcaps set\n  total_dim_z=nlayers*(fe_dim_z+chamber_dim_z)+back_plate_thickness,\n  chamber_radius = module_radius - chamber_boundary_tickness;\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	start_z+total_dim_z/2. AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\ninsert endcap \n select 2 AS endcap_id,\n 	-(start_z+total_dim_z/2.) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select\n  module_radius as module_radius,\n  total_dim_z as module_dim_z,\n  chamber_radius as chamber_radius,\n  center_box_size as center_box_size\n  from parameters_endcaps;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	chamber_y_offset as chamber_z_offset	\n from barrel_regular_layer;\n\nDROP TABLE IF EXISTS parameters_endcaps;\nDROP TABLE IF EXISTS parameters;\n'),('SEcal01','\n#########################################\n#\n# ECAL BARREL\n#\n#########################################\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float(10,4),\n  inner_radius float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4)\n);\n\n#\n# Table structure for table \'barrel_alveolus\'\n#\nCREATE TABLE barrel_alveolus (\n  alveolus_z_offset float(10,2)\n);\n\n#\n# Table structure for table \'barrel_layer\'\n#\nCREATE TABLE barrel_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  alveolus_y_offset float(10,4),\n  alveolus_dim_x float(10,4),\n  w_y_offset float(10,4),\n  w_z_offset float(10,4),\n  w_dim_y float(10,4),\n  pads_x_offset float(10,4),\n  pads_dim_x float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_z_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_standard_module\'\n#\nCREATE TABLE barrel_standard_module (\n  bottom_dim_x float(10,4),\n  top_dim_x float(10,4),\n  module_dim_y float(10,4),\n  module_dim_z float(10,4),\n  module_x_offset float(10,4),\n  module_y_offset float(10,4),\n  w_dim_z float(10,4),\n  alveolus_dim_y float(10,4),\n  alveolus_dim_z float(10,4),\n  alveolus_x_offset float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float(10,4),\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_w_plate\'\n#\nCREATE TABLE barrel_w_plate (\n  w_x_offset float(10,4),\n  layer_id tinyint(3),\n  shape_id tinyint(3)\n);\n\n#\n# Table structure for table \'barrel_w_plate_shape\'\n#\nCREATE TABLE barrel_w_plate_shape (\n  shape_id tinyint(3) unsigned  NOT NULL auto_increment,\n  w_dim_x float(10,4),\n  PRIMARY KEY (shape_id)\n);\n\n#\n# Table structure for table \'ecal\'\n#\nCREATE TABLE ecal (\n  fiber_thickness float(10,4),\n  si_thickness float(10,4),\n  pcb_thickness float(10,4),\n  nmax_cell_x tinyint(3),\n  nmax_cell_z tinyint(3),\n  guard_ring_size float(10,4),\n  inter_wafer_gap float(10,4),\n  n_guard_ring_zones tinyint(3),\n  radiator  varchar(20)\n);\n\n##########################################\n#\n# ECAL ENDCAPS\n#\n##########################################\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float(10,4),\n  endcap_phi_offset float(10,4),\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  w_z_offset float(10,4),\n  w_dim_z float(10,4),\n  alveolus_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'endcap_modules\'\n#\nCREATE TABLE endcap_modules (\n  module_id tinyint(3)  NOT NULL auto_increment,\n  module_phi_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_dim_x float(10,4),\n  module_dim_y float(10,4),\n  module_dim_z float(10,4),\n  module_x_offset float(10,4),\n  module_y_offset float(10,4),\n  cut_shape_b float(10,4),\n  cut_shape_h float(10,4),\n  alveolus_dim_x float(10,4),\n  alveolus_dim_y float(10,4),\n  alveolus_dim_z float(10,4),\n  w_dim_x float(10,4),\n  w_dim_y float(10,4),\n  modules_gap float(10,4),\n  al_plates_center_dim_xy float(10,4),\n  pads_dim_x float(10,4),\n  pads_dim_y float(10,4),\n  pads_x_offset float(10,4),\n  pads_y_offset float(10,4)\n);\n\n#\n# initialisation des tables\n#\ndelete from ecal;\ninsert ecal set \n   fiber_thickness = @fiber_thickness,\n   si_thickness = @si_thickness,\n   pcb_thickness = @pcb_thickness,\n   nmax_cell_x = @nmax_cell_x,\n   nmax_cell_z = @nmax_cell_z,\n   guard_ring_size = @guard_ring_size,\n   inter_wafer_gap = @inter_wafer_gap,\n   n_guard_ring_zones = @n_guard_ring_zones,\n   radiator = @radiator;\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n#\n# barrel\ndelete from barrel;\ninsert barrel set\n  barrel_phi_offset = 0.,\n  inner_radius = @inner_radius,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap;\n\n# tables scratch pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS scratch;\ncreate table scratch \n (id TINYINT NOT NULL AUTO_INCREMENT PRIMARY KEY,\n  w_thickness FLOAT (10,4),\n  w_thick1 FLOAT (10,4),\n  w_thick2 FLOAT (10,4),\n  module_dim_z FLOAT (10,4));\n\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness1;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\ninsert scratch set w_thickness = @w_thickness2;\n\nupdate scratch set \n  w_thick1=@w_thickness1, \n  w_thick2=@w_thickness2,\n  module_dim_z = @module_dim_z;\n\nDROP TABLE IF EXISTS scratch2;\ncreate table scratch2\n (dim_y_envelope FLOAT (10,4));\ninsert scratch2 select @module_thickness:=(SUM(w_thickness+4. * @fiber_thickness + @alveolus_thickness)) from scratch;\n\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id,\n (2*id-6)*(module_dim_z+modules_gap)/2.\nfrom scratch,barrel  where id<6;\n\n#\n# barrel_standard_module\ndelete from barrel_standard_module;\ninsert barrel_standard_module \n select\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) AS bottom_dim_x,\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) - \n     2*dim_y_envelope AS top_dim_x,\n    dim_y_envelope AS module_dim_y,\n    module_dim_z AS module_dim_z,\n    (dim_y_envelope + staves_gap)*SIN(RADIANS(45.)) AS module_x_offset,\n    inner_radius + dim_y_envelope/2. AS module_y_offset,\n    module_dim_z-2.*fiber_thickness AS w_dim_z,\n    si_thickness+2*pcb_thickness AS  alveolus_dim_y,\n    module_dim_z-2.*fiber_thickness AS alveolus_dim_z,\n    0. AS alveolus_x_offset,\n    @cell_size AS cell_dim_x,\n    0. AS cell_dim_z\nfrom ecal,barrel,scratch2,scratch where id=1;\n\nupdate barrel_standard_module set\n cell_dim_z = alveolus_dim_z / FLOOR(alveolus_dim_z/cell_dim_x); \n\n#\n#  barrel_layer\n#\ndelete from barrel_layer;\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) + \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id - 1) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * id - 2. * fiber_thickness AS alveolus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +  \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id-1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id < 21;\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) *20 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * (id - 21) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. *20. - \n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * (id - 20)  - 2. * fiber_thickness AS alveolusus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) *20 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - 21) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > 20;\n\nupdate barrel_layer set \n  pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n  pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.;\n\n#\n# barrel_w_plate\n#\ndelete from barrel_w_plate;\ninsert barrel_w_plate \n  select 0. AS w_x_offset,\n         id AS layer_id,\n         id AS shape_id\n  from scratch;\n\n#\n# barrel_w_plate_shape\n#\ndelete from barrel_w_plate_shape;\ninsert barrel_w_plate_shape \n  select layer_id AS shape_id,\n         alveolus_dim_x + \n          (alveolus_dim_y+2.*fiber_thickness) * 2. AS w_dim_x\n  from barrel_layer,barrel_standard_module,ecal;\n\n#\n# barrel_alveolus\n#\ndelete from barrel_alveolus;\ninsert barrel_alveolus set alveolus_z_offset =0.;\n\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n#\n#\n# scratch3 = endcap reference parameters\n#\nDROP TABLE IF EXISTS scratch3;\ncreate table scratch3\n ( endcap_module_dim_x FLOAT (10,4),\n   endcap_module_dim_y FLOAT (10,4),\n   dist_barrel_endcap FLOAT (10,4),\n   al_plates_center_dim_xy FLOAT (10,4));\n# @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + 1\n# 2185.0\ninsert scratch3 set\n      	endcap_module_dim_x = @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + @modules_gap,\n      	endcap_module_dim_y = @inner_radius + @module_thickness - @al_plates_center_dim_xy/2 + @modules_gap,\n	dist_barrel_endcap = @dist_barrel_endcap,\n	al_plates_center_dim_xy = @al_plates_center_dim_xy;\n\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2 AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\ninsert endcap \n select 2 AS endcap_id,\n 	-(module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\n\n\n#\n# endcap_modules\n#\ndelete from endcap_modules;\ninsert endcap_modules set module_phi_offset = 0.;\ninsert endcap_modules set module_phi_offset = 90.;\ninsert endcap_modules set module_phi_offset = 180;\ninsert endcap_modules set module_phi_offset = 270.;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select  endcap_module_dim_x,\n	  endcap_module_dim_y,\n	  dim_y_envelope AS module_dim_z,\n          0. AS module_x_offset,\n          0. AS module_y_offset,\n	  0. AS cut_shape_b,\n	  NULL AS cut_shape_h,\n	  endcap_module_dim_x - 2.*fiber_thickness AS alveolus_dim_x,\n	  endcap_module_dim_y - 2. * fiber_thickness AS alveolus_dim_y,\n	  barrel_standard_module.alveolus_dim_y AS alveolus_dim_z,\n          endcap_module_dim_x - 2.*fiber_thickness   AS w__dim_x,\n          endcap_module_dim_y - 2. * fiber_thickness AS w__dim_y,\n	  @modules_gap AS modules_gap,\n	  al_plates_center_dim_xy,\n	  0. AS pads_dim_x,\n	  0. AS pads_dim_y,\n	  0. AS pads_x_offset,\n	  0. AS pads_y_offset\n from scratch2, scratch3,ecal,endcap,barrel_standard_module where endcap_id = 1;\n\nupdate endcap_standard_module set\n	cut_shape_b = \n          (al_plates_center_dim_xy/2.+module_dim_y+modules_gap)*\n	  TAN(RADIANS(22.5))*2.,\n	cut_shape_h = cut_shape_b / 2.,\n	module_x_offset = module_dim_x/2.-\n           al_plates_center_dim_xy/2. + modules_gap/2.,\n	module_y_offset = module_dim_y/2.+\n	   al_plates_center_dim_xy/2. + modules_gap/2.,\n	pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n	pads_dim_y = FLOOR(alveolus_dim_y/10) * 10.,\n	pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.,\n	pads_y_offset = -(alveolus_dim_y - pads_dim_y)/2.;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	barrel_layer.w_y_offset AS w_z_offset,\n	barrel_layer.w_dim_y  AS w_dim_z,\n	barrel_layer.alveolus_y_offset AS alveolus_z_offset\n from barrel_layer;\n'),('SEcal01v1','\n#########################################\n#\n# ECAL BARREL\n#\n#########################################\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float(10,4),\n  inner_radius float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4)\n);\n\n#\n# Table structure for table \'barrel_alveolus\'\n#\nCREATE TABLE barrel_alveolus (\n  alveolus_z_offset float(10,2)\n);\n\n#\n# Table structure for table \'barrel_layer\'\n#\nCREATE TABLE barrel_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  alveolus_y_offset float(10,4),\n  alveolus_dim_x float(10,4),\n  w_y_offset float(10,4),\n  w_z_offset float(10,4),\n  w_dim_y float(10,4),\n  pads_x_offset float(10,4),\n  pads_dim_x float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_z_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_standard_module\'\n#\nCREATE TABLE barrel_standard_module (\n  bottom_dim_x float(10,4),\n  top_dim_x float(10,4),\n  module_dim_y float(10,4),\n  module_dim_z float(10,4),\n  module_x_offset float(10,4),\n  module_y_offset float(10,4),\n  w_dim_z float(10,4),\n  alveolus_dim_y float(10,4),\n  alveolus_dim_z float(10,4),\n  alveolus_x_offset float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float(10,4),\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_w_plate\'\n#\nCREATE TABLE barrel_w_plate (\n  w_x_offset float(10,4),\n  layer_id tinyint(3),\n  shape_id tinyint(3)\n);\n\n#\n# Table structure for table \'barrel_w_plate_shape\'\n#\nCREATE TABLE barrel_w_plate_shape (\n  shape_id tinyint(3) unsigned  NOT NULL auto_increment,\n  w_dim_x float(10,4),\n  PRIMARY KEY (shape_id)\n);\n\n#\n# Table structure for table \'ecal\'\n#\nCREATE TABLE ecal (\n  fiber_thickness float(10,4),\n  si_thickness float(10,4),\n  pcb_thickness float(10,4),\n  nmax_cell_x tinyint(3),\n  nmax_cell_z tinyint(3),\n  guard_ring_size float(10,4),\n  inter_wafer_gap float(10,4),\n  n_guard_ring_zones tinyint(3),\n  radiator  varchar(20)\n);\n\n##########################################\n#\n# ECAL ENDCAPS\n#\n##########################################\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float(10,4),\n  endcap_phi_offset float(10,4),\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  w_z_offset float(10,4),\n  w_dim_z float(10,4),\n  alveolus_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'endcap_modules\'\n#\nCREATE TABLE endcap_modules (\n  module_id tinyint(3)  NOT NULL auto_increment,\n  module_phi_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_dim_x float(10,4),\n  module_dim_y float(10,4),\n  module_dim_z float(10,4),\n  module_x_offset float(10,4),\n  module_y_offset float(10,4),\n  cut_shape_b float(10,4),\n  cut_shape_h float(10,4),\n  alveolus_dim_x float(10,4),\n  alveolus_dim_y float(10,4),\n  alveolus_dim_z float(10,4),\n  w_dim_x float(10,4),\n  w_dim_y float(10,4),\n  modules_gap float(10,4),\n  al_plates_center_dim_xy float(10,4),\n  pads_dim_x float(10,4),\n  pads_dim_y float(10,4),\n  pads_x_offset float(10,4),\n  pads_y_offset float(10,4)\n);\n\n#\n# initialisation des tables\n#\ndelete from ecal;\ninsert ecal set \n   fiber_thickness = @fiber_thickness,\n   si_thickness = @si_thickness,\n   pcb_thickness = @pcb_thickness,\n   nmax_cell_x = @nmax_cell_x,\n   nmax_cell_z = @nmax_cell_z,\n   guard_ring_size = @guard_ring_size,\n   inter_wafer_gap = @inter_wafer_gap,\n   n_guard_ring_zones = @n_guard_ring_zones,\n   radiator = @radiator;\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n#\n# barrel\ndelete from barrel;\ninsert barrel set\n  barrel_phi_offset = 0.,\n  inner_radius = @inner_radius,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap;\n\n# tables scratch pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les constantes sont lÃƒÂ )\n#\n#DROP TABLE IF EXISTS scratch;\n#create table scratch \n# (id TINYINT NOT NULL AUTO_INCREMENT PRIMARY KEY,\n#  w_thickness FLOAT (10,4),\n#  w_thick1 FLOAT (10,4),\n#  w_thick2 FLOAT (10,4),\n#  module_dim_z FLOAT (10,4));\n\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n\nupdate scratch set \n  w_thick1=@w_thickness1, \n  w_thick2=@w_thickness2,\n  module_dim_z = @module_dim_z;\n\nDROP TABLE IF EXISTS scratch2;\ncreate table scratch2\n (dim_y_envelope FLOAT (10,4));\ninsert scratch2 select @module_thickness:=(SUM(w_thickness+4. * @fiber_thickness + @alveolus_thickness)) from scratch;\n\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id,\n (2*id-6)*(module_dim_z+modules_gap)/2.\nfrom scratch,barrel  where id<6;\n\n#\n# barrel_standard_module\ndelete from barrel_standard_module;\ninsert barrel_standard_module \n select\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) AS bottom_dim_x,\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) - \n     2*dim_y_envelope AS top_dim_x,\n    dim_y_envelope AS module_dim_y,\n    module_dim_z AS module_dim_z,\n    (dim_y_envelope + staves_gap)*SIN(RADIANS(45.)) AS module_x_offset,\n    inner_radius + dim_y_envelope/2. AS module_y_offset,\n    module_dim_z-2.*fiber_thickness AS w_dim_z,\n    si_thickness+2*pcb_thickness AS  alveolus_dim_y,\n    module_dim_z-2.*fiber_thickness AS alveolus_dim_z,\n    0. AS alveolus_x_offset,\n    @cell_size AS cell_dim_x,\n    0. AS cell_dim_z\nfrom ecal,barrel,scratch2,scratch where id=1;\n\nupdate barrel_standard_module set\n cell_dim_z = alveolus_dim_z / FLOOR(alveolus_dim_z/cell_dim_x); \n\n#\n#  barrel_layer\n#\ndelete from barrel_layer;\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) + \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id - 1) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * id - 2. * fiber_thickness AS alveolus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +  \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id-1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id < ( @N_Layers1 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * (id - @N_Layers1 -1 ) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * (id - @N_Layers1 )  - 2. * fiber_thickness AS alveolusus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - 1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1;\n\nupdate barrel_layer set \n  pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n  pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.;\n\n#\n# barrel_w_plate\n#\ndelete from barrel_w_plate;\ninsert barrel_w_plate \n  select 0. AS w_x_offset,\n         id AS layer_id,\n         id AS shape_id\n  from scratch;\n\n#\n# barrel_w_plate_shape\n#\ndelete from barrel_w_plate_shape;\ninsert barrel_w_plate_shape \n  select layer_id AS shape_id,\n         alveolus_dim_x + \n          (alveolus_dim_y+2.*fiber_thickness) * 2. AS w_dim_x\n  from barrel_layer,barrel_standard_module,ecal;\n\n#\n# barrel_alveolus\n#\ndelete from barrel_alveolus;\ninsert barrel_alveolus set alveolus_z_offset =0.;\n\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n#\n#\n# scratch3 = endcap reference parameters\n#\nDROP TABLE IF EXISTS scratch3;\ncreate table scratch3\n ( endcap_module_dim_x FLOAT (10,4),\n   endcap_module_dim_y FLOAT (10,4),\n   dist_barrel_endcap FLOAT (10,4),\n   al_plates_center_dim_xy FLOAT (10,4));\n# @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + 1\n# 2185.0\ninsert scratch3 set\n      	endcap_module_dim_x = @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + @modules_gap,\n      	endcap_module_dim_y = @inner_radius + @module_thickness - @al_plates_center_dim_xy/2 + @modules_gap,\n	dist_barrel_endcap = @dist_barrel_endcap,\n	al_plates_center_dim_xy = @al_plates_center_dim_xy;\n\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2 AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\ninsert endcap \n select 2 AS endcap_id,\n 	-(module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\n\n\n#\n# endcap_modules\n#\ndelete from endcap_modules;\ninsert endcap_modules set module_phi_offset = 0.;\ninsert endcap_modules set module_phi_offset = 90.;\ninsert endcap_modules set module_phi_offset = 180;\ninsert endcap_modules set module_phi_offset = 270.;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select  endcap_module_dim_x,\n	  endcap_module_dim_y,\n	  dim_y_envelope AS module_dim_z,\n          0. AS module_x_offset,\n          0. AS module_y_offset,\n	  0. AS cut_shape_b,\n	  NULL AS cut_shape_h,\n	  endcap_module_dim_x - 2.*fiber_thickness AS alveolus_dim_x,\n	  endcap_module_dim_y - 2. * fiber_thickness AS alveolus_dim_y,\n	  barrel_standard_module.alveolus_dim_y AS alveolus_dim_z,\n          endcap_module_dim_x - 2.*fiber_thickness   AS w__dim_x,\n          endcap_module_dim_y - 2. * fiber_thickness AS w__dim_y,\n	  @modules_gap AS modules_gap,\n	  al_plates_center_dim_xy,\n	  0. AS pads_dim_x,\n	  0. AS pads_dim_y,\n	  0. AS pads_x_offset,\n	  0. AS pads_y_offset\n from scratch2, scratch3,ecal,endcap,barrel_standard_module where endcap_id = 1;\n\nupdate endcap_standard_module set\n	cut_shape_b = \n          (al_plates_center_dim_xy/2.+module_dim_y+modules_gap)*\n	  TAN(RADIANS(22.5))*2.,\n	cut_shape_h = cut_shape_b / 2.,\n	module_x_offset = module_dim_x/2.-\n           al_plates_center_dim_xy/2. + modules_gap/2.,\n	module_y_offset = module_dim_y/2.+\n	   al_plates_center_dim_xy/2. + modules_gap/2.,\n	pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n	pads_dim_y = FLOOR(alveolus_dim_y/10) * 10.,\n	pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.,\n	pads_y_offset = -(alveolus_dim_y - pads_dim_y)/2.;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	barrel_layer.w_y_offset AS w_z_offset,\n	barrel_layer.w_dim_y  AS w_dim_z,\n	barrel_layer.alveolus_y_offset AS alveolus_z_offset\n from barrel_layer;\n'),('SEcal01v2','\n#########################################\n#\n# ECAL BARREL\n#\n#########################################\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float,\n  inner_radius float,\n  staves_gap float,\n  modules_gap float\n);\n\n#\n# Table structure for table \'barrel_alveolus\'\n#\nCREATE TABLE barrel_alveolus (\n  alveolus_z_offset float\n);\n\n#\n# Table structure for table \'barrel_layer\'\n#\nCREATE TABLE barrel_layer (\n  layer_id tinyint(3) unsigned NOT NULL auto_increment,\n  alveolus_y_offset float,\n  alveolus_dim_x float,\n  w_y_offset float,\n  w_z_offset float,\n  w_dim_y float,\n  pads_x_offset float,\n  pads_dim_x float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned NOT NULL auto_increment,\n  module_z_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_standard_module\'\n#\nCREATE TABLE barrel_standard_module (\n  bottom_dim_x float,\n  top_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  w_dim_z float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  alveolus_x_offset float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned NOT NULL auto_increment,\n  stave_phi_offset float,\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_w_plate\'\n#\nCREATE TABLE barrel_w_plate (\n  w_x_offset float,\n  layer_id tinyint(3),\n  shape_id tinyint(3)\n);\n\n#\n# Table structure for table \'barrel_w_plate_shape\'\n#\nCREATE TABLE barrel_w_plate_shape (\n  shape_id tinyint(3) unsigned NOT NULL auto_increment,\n  w_dim_x float,\n  PRIMARY KEY (shape_id)\n);\n\n#\n# Table structure for table \'ecal\'\n#\nCREATE TABLE ecal (\n  fiber_thickness float,\n  si_thickness float,\n  pcb_thickness float,\n  nmax_cell_x tinyint(3),\n  nmax_cell_z tinyint(3),\n  guard_ring_size float,\n  inter_wafer_gap float,\n  n_guard_ring_zones tinyint(3),\n  radiator  varchar(20)\n);\n\n##########################################\n#\n# ECAL ENDCAPS\n#\n##########################################\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3) NOT NULL auto_increment,\n  endcap_z_offset float,\n  endcap_phi_offset float,\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3) NOT NULL auto_increment,\n  w_z_offset float,\n  w_dim_z float,\n  alveolus_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'endcap_modules\'\n#\nCREATE TABLE endcap_modules (\n  module_id tinyint(3) NOT NULL auto_increment,\n  module_phi_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  cut_shape_b float,\n  cut_shape_h float,\n  alveolus_dim_x float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  w_dim_x float,\n  w_dim_y float,\n  modules_gap float,\n  al_plates_center_dim_xy float,\n  pads_dim_x float,\n  pads_dim_y float,\n  pads_x_offset float,\n  pads_y_offset float\n);\n\n#\n# initialisation des tables\n#\ndelete from ecal;\ninsert ecal set \n   fiber_thickness = @fiber_thickness,\n   si_thickness = @si_thickness,\n   pcb_thickness = @pcb_thickness,\n   nmax_cell_x = @nmax_cell_x,\n   nmax_cell_z = @nmax_cell_z,\n   guard_ring_size = @guard_ring_size,\n   inter_wafer_gap = @inter_wafer_gap,\n   n_guard_ring_zones = @n_guard_ring_zones,\n   radiator = @radiator;\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n#\n# barrel\ndelete from barrel;\ninsert barrel set\n  barrel_phi_offset = 0.,\n  inner_radius = @inner_radius,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap;\n\n# tables scratch pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les constantes sont lÃƒÂ )\n#\n#DROP TABLE IF EXISTS scratch;\n#create table scratch \n# (id TINYINT NOT NULL AUTO_INCREMENT PRIMARY KEY,\n#  w_thickness FLOAT,\n#  w_thick1 FLOAT,\n#  w_thick2 FLOAT,\n#  module_dim_z FLOAT);\n\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness1;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n#insert scratch set w_thickness = @w_thickness2;\n\nupdate scratch set \n  w_thick1=@w_thickness1, \n  w_thick2=@w_thickness2,\n  module_dim_z = @module_dim_z;\n\nDROP TABLE IF EXISTS scratch2;\ncreate table scratch2\n (dim_y_envelope FLOAT);\ninsert scratch2 select @module_thickness:=(SUM(w_thickness+4. * @fiber_thickness + @alveolus_thickness)) from scratch;\n\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id,\n (2*id-6)*(module_dim_z+modules_gap)/2.\nfrom scratch,barrel  where id<6;\n\n#\n# barrel_standard_module\ndelete from barrel_standard_module;\ninsert barrel_standard_module \n select\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) AS bottom_dim_x,\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) - \n     2*dim_y_envelope AS top_dim_x,\n    dim_y_envelope AS module_dim_y,\n    module_dim_z AS module_dim_z,\n    (dim_y_envelope + staves_gap)*SIN(RADIANS(45.)) AS module_x_offset,\n    inner_radius + dim_y_envelope/2. AS module_y_offset,\n    module_dim_z-2.*fiber_thickness AS w_dim_z,\n    si_thickness+2*pcb_thickness AS  alveolus_dim_y,\n    module_dim_z-2.*fiber_thickness AS alveolus_dim_z,\n    0. AS alveolus_x_offset,\n    @cell_size AS cell_dim_x,\n    0. AS cell_dim_z\nfrom ecal,barrel,scratch2,scratch where id=1;\n\nupdate barrel_standard_module set\n cell_dim_z = alveolus_dim_z / FLOOR(alveolus_dim_z/cell_dim_x); \n\n#\n#  barrel_layer\n#\ndelete from barrel_layer;\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) + \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id - 1) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * id - 2. * fiber_thickness AS alveolus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +  \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id-1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id < ( @N_Layers1 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * (id - @N_Layers1 -1 ) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * (id - @N_Layers1 )  - 2. * fiber_thickness AS alveolusus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - 1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1;\n\nupdate barrel_layer set \n  pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n  pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.;\n\n#\n# barrel_w_plate\n#\ndelete from barrel_w_plate;\ninsert barrel_w_plate \n  select 0. AS w_x_offset,\n         id AS layer_id,\n         id AS shape_id\n  from scratch;\n\n#\n# barrel_w_plate_shape\n#\ndelete from barrel_w_plate_shape;\ninsert barrel_w_plate_shape \n  select layer_id AS shape_id,\n         alveolus_dim_x + \n          (alveolus_dim_y+2.*fiber_thickness) * 2. AS w_dim_x\n  from barrel_layer,barrel_standard_module,ecal;\n\n#\n# barrel_alveolus\n#\ndelete from barrel_alveolus;\ninsert barrel_alveolus set alveolus_z_offset =0.;\n\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n#\n#\n# scratch3 = endcap reference parameters\n#\nDROP TABLE IF EXISTS scratch3;\ncreate table scratch3\n ( endcap_module_dim_x FLOAT,\n   endcap_module_dim_y FLOAT,\n   dist_barrel_endcap FLOAT,\n   al_plates_center_dim_xy FLOAT);\n# @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + 1\n# 2185.0\ninsert scratch3 set\n      	endcap_module_dim_x = @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + @modules_gap,\n      	endcap_module_dim_y = @inner_radius + @module_thickness - @al_plates_center_dim_xy/2 + @modules_gap,\n	dist_barrel_endcap = @dist_barrel_endcap,\n	al_plates_center_dim_xy = @al_plates_center_dim_xy;\n\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2 AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\ninsert endcap \n select 2 AS endcap_id,\n 	-(module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\n\n\n#\n# endcap_modules\n#\ndelete from endcap_modules;\ninsert endcap_modules set module_phi_offset = 0.;\ninsert endcap_modules set module_phi_offset = 90.;\ninsert endcap_modules set module_phi_offset = 180;\ninsert endcap_modules set module_phi_offset = 270.;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select  endcap_module_dim_x,\n	  endcap_module_dim_y,\n	  dim_y_envelope AS module_dim_z,\n          0. AS module_x_offset,\n          0. AS module_y_offset,\n	  0. AS cut_shape_b,\n	  NULL AS cut_shape_h,\n	  endcap_module_dim_x - 2.*fiber_thickness AS alveolus_dim_x,\n	  endcap_module_dim_y - 2. * fiber_thickness AS alveolus_dim_y,\n	  barrel_standard_module.alveolus_dim_y AS alveolus_dim_z,\n          endcap_module_dim_x - 2.*fiber_thickness   AS w__dim_x,\n          endcap_module_dim_y - 2. * fiber_thickness AS w__dim_y,\n	  @modules_gap AS modules_gap,\n	  al_plates_center_dim_xy,\n	  0. AS pads_dim_x,\n	  0. AS pads_dim_y,\n	  0. AS pads_x_offset,\n	  0. AS pads_y_offset\n from scratch2, scratch3,ecal,endcap,barrel_standard_module where endcap_id = 1;\n\nupdate endcap_standard_module set\n	cut_shape_b = \n          (al_plates_center_dim_xy/2.+module_dim_y+modules_gap)*\n	  TAN(RADIANS(22.5))*2.,\n	cut_shape_h = cut_shape_b / 2.,\n	module_x_offset = module_dim_x/2.-\n           al_plates_center_dim_xy/2. + modules_gap/2.,\n	module_y_offset = module_dim_y/2.+\n	   al_plates_center_dim_xy/2. + modules_gap/2.,\n	pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n	pads_dim_y = FLOOR(alveolus_dim_y/10) * 10.,\n	pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.,\n	pads_y_offset = -(alveolus_dim_y - pads_dim_y)/2.;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	barrel_layer.w_y_offset AS w_z_offset,\n	barrel_layer.w_dim_y  AS w_dim_z,\n	barrel_layer.alveolus_y_offset AS alveolus_z_offset\n from barrel_layer;\n'),('SHcal01v2','\n#\n# Table structure for table \'radiator\'\n#\n\nCREATE TABLE radiator (\n  id tinyint(4) NOT NULL ,\n  material varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'sensitive\'\n#\n\nCREATE TABLE `sensitive` (\n  id tinyint(4) NOT NULL ,\n  Model varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'rpc1\'\n#\n\nCREATE TABLE rpc1 (\n  id tinyint(2) NOT NULL ,\n  g10_thickness float NOT NULL ,\n  glass_thickness float NOT NULL ,\n  gas_thickness float NOT NULL ,\n  spacer_thickness float NOT NULL ,\n  spacer_gap float NOT NULL ,\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'hcal\'\n#\nCREATE TABLE hcal (\n  chamber_boundary_tickness float,\n  chamber_tickness float\n);\n\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float,\n  inner_radius float,\n  staves_gap float,\n  modules_gap float\n\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_type tinyint(1),\n  module_z_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_module\'\n#\nCREATE TABLE barrel_module (\n  bottom_dim_x float,\n  midle_dim_x float,\n  top_dim_x float,\n  y_dim1_for_x float,\n  y_dim2_for_x float,\n  module_y_offset float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float,\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_regular_module\'\n#\nCREATE TABLE barrel_regular_module (\n  module_dim_z float,\n  chamber_dim_z float\n);\n\n#\n# Table structure for table \'barrel_end_module\'\n#\nCREATE TABLE barrel_end_module (\n  y_dim1_for_z float,\n  y_dim2_for_z float,\n  y_dim3_for_z float,\n  top_end_dim_z float\n);\n\n#\n# Table structure for table \'barrel_regular_layer\'\n#\nCREATE TABLE barrel_regular_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_y_offset float,\n  chamber_dim_x float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'barrel_end_layer\'\n#\nCREATE TABLE barrel_end_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_dim_z	   float,\n  chamber_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float,\n  endcap_phi_offset float,\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  chamber_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_radius float,\n  module_dim_z float,\n  chamber_radius float,\n  center_box_size float\n);\n\n\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n# tables parameters  pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters;\ncreate table parameters \n (fe_dim_y FLOAT,\n  chamber_tickness FLOAT,\n  back_plate_thickness FLOAT,\n  nlayers FLOAT,\n  total_dim_y FLOAT,\n  inner_radius FLOAT,\n  bottom_dim_x float,\n  top_dim_x   float,\n  midle_dim_x float,\n  y_dim1_for_x float,\n  y_dim2_for_x float,\n  y_dim1_for_z float,\n  y_dim2_for_z float,\n  y_dim3_for_z float,\n  staves_gap float,\n  modules_gap float,\n  normal_dim_z float,\n  top_end_dim_z float,\n  lateral_plate_thickness float,\n  regular_chamber_dim_z float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\ninsert parameters set \n  fe_dim_y = @fe_dim_y,\n  chamber_tickness = @chamber_tickness,\n  back_plate_thickness = @back_plate_thickness,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap,\n  nlayers = @nlayers,\n  total_dim_y = @total_dim_y,\n  inner_radius = @inner_radius,\n  y_dim2_for_x = @y_dim2_for_x,\n  y_dim1_for_x = @y_dim1_for_x,\n  bottom_dim_x = @bottom_dim_x,\n  midle_dim_x = @midle_dim_x,\n  top_dim_x = @top_dim_x,\n  normal_dim_z = @normal_dim_z,\n  lateral_plate_thickness = @lateral_plate_thickness,\n  y_dim1_for_z = @y_dim1_for_z,\n  top_end_dim_z = @top_end_dim_z,\n  y_dim2_for_z = @y_dim2_for_z,\n  y_dim3_for_z = @y_dim3_for_z,\n  regular_chamber_dim_z = @regular_chamber_dim_z,\n  cell_dim_x = @cell_dim_x,\n  cell_dim_z =  @cell_dim_z;\n\n\n# data for table \'sensitive\'\nINSERT INTO `sensitive` \n  set Model = @SensitiveModel;\n\nINSERT INTO radiator \n  set material = @RadiatorMaterial;\n\nINSERT INTO rpc1 VALUES (1,1,1,1.2,0.6,50);\n\n#\n# hcal\ndelete from hcal;\ninsert hcal select \n  lateral_plate_thickness as chamber_boundary_tickness,\n  parameters.chamber_tickness as chamber_tickness\n  from parameters;\n\n#\n# barrel\ndelete from barrel;\ninsert barrel select\n  0. AS barrel_phi_offset,\n  inner_radius,\n  staves_gap,\n  modules_gap \n from parameters;\n\n#\n#  barrel_regular_layer\n#\ndelete from barrel_regular_layer;\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (bottom_dim_x + 2*(id*fe_dim_y + (id-1)* chamber_tickness)*TAN(PI()/8.))\n         / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_x;\n\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (midle_dim_x - 2*((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_x)\n          / TAN(PI()/8.)\n          - 2*chamber_tickness/TAN(PI()/8.) \n          - 2* back_plate_thickness)\n        / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) > y_dim1_for_x;\n\n#update barrel_regular_layer set\n#  chamber_dim_x = FLOOR(chamber_dim_x/10.) * 10.;	  \n\n#\n#  barrel_end_layer\n#\ndelete from barrel_end_layer;\ninsert barrel_end_layer select\n  id AS layer_id, \n  regular_chamber_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (normal_dim_z - 2*lateral_plate_thickness + \n          ((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_z)*\n          (top_end_dim_z-normal_dim_z)/\n          y_dim2_for_z)\n       / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z AND  \n         id*(fe_dim_y+chamber_tickness)< y_dim1_for_z+ y_dim2_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (top_end_dim_z - 2*lateral_plate_thickness)\n     / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z + y_dim2_for_z;\n\nupdate barrel_end_layer set \n       chamber_z_offset =  (chamber_dim_z - chamber_z_offset)/2.;\n\n#\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n#\n# barrel_module\ndelete from barrel_module;\ninsert barrel_module \n select\n   bottom_dim_x,\n   midle_dim_x,\n   top_dim_x,\n   y_dim1_for_x,\n   y_dim2_for_x,\n   inner_radius + total_dim_y/2. AS module_y_offset,\n   cell_dim_x,\n   cell_dim_z \n from parameters;\n\n#\n# barrel_regular_module\ndelete from barrel_regular_module;\ninsert barrel_regular_module select\n  normal_dim_z AS module_dim_z,\n  regular_chamber_dim_z AS chamber_dim_z\n from parameters;\n\n#\n# barrel_end_module\ndelete from barrel_end_module;\ninsert barrel_end_module select\n  y_dim1_for_z,\n  y_dim2_for_z,\n  y_dim3_for_z,\n  top_end_dim_z\n from parameters;\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id AS module_id,\n 1 AS  module_type,\n (2*id-6)*(module_dim_z+modules_gap)/2. AS module_z_offset \nfrom scratch,barrel,barrel_regular_module  where id<6;\n\n# We don\'t use anymore the special barrel end modules in LDC\n# but it could still be useful for old models\n# 1 = no special modules, 2 = yes\nupdate barrel_modules set\n module_type = @barrel_end_module_type where module_id = 1 OR module_id = 5;\n\n\nDROP TABLE IF EXISTS scratch;\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n# tables parameters_endcaps pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters_endcaps;\ncreate table parameters_endcaps \n (back_plate_thickness FLOAT,\n  chamber_boundary_tickness float,\n  module_radius FLOAT,\n  chamber_radius FLOAT,\n  center_box_size FLOAT,\n  cables_gap FLOAT,\n  nlayers FLOAT,\n  chamber_dim_z FLOAT,\n  fe_dim_z FLOAT,\n  total_dim_z FLOAT,\n  start_z FLOAT);\n\ninsert parameters_endcaps select\n  back_plate_thickness as back_plate_thickness,\n  chamber_boundary_tickness as chamber_boundary_tickness,\n  @module_radius as module_radius,\n  0. as chamber_radius,\n  @center_box_size as center_box_size,\n  @cables_gap as cables_gap,\n  nlayers as nlayers,\n  hcal.chamber_tickness as chamber_dim_z,\n  fe_dim_y as fe_dim_z,\n  0. as total_dim_z ,\n  @start_z AS start_z\n  from parameters,hcal;\n\nupdate parameters_endcaps set\n  total_dim_z=nlayers*(fe_dim_z+chamber_dim_z)+back_plate_thickness,\n  chamber_radius = module_radius - chamber_boundary_tickness;\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	start_z+total_dim_z/2. AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\ninsert endcap \n select 2 AS endcap_id,\n 	-(start_z+total_dim_z/2.) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select\n  module_radius as module_radius,\n  total_dim_z as module_dim_z,\n  chamber_radius as chamber_radius,\n  center_box_size as center_box_size\n  from parameters_endcaps;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	chamber_y_offset as chamber_z_offset	\n from barrel_regular_layer;\n\nDROP TABLE IF EXISTS parameters_endcaps;\nDROP TABLE IF EXISTS parameters;\n'),('SHcal01v1','\n#\n# Table structure for table \'radiator\'\n#\n\nCREATE TABLE radiator (\n  id tinyint(4) NOT NULL ,\n  material varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'sensitive\'\n#\n\nCREATE TABLE `sensitive` (\n  id tinyint(4) NOT NULL ,\n  Model varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'rpc1\'\n#\n\nCREATE TABLE rpc1 (\n  id tinyint(2) NOT NULL ,\n  g10_thickness float NOT NULL ,\n  glass_thickness float NOT NULL ,\n  gas_thickness float NOT NULL ,\n  spacer_thickness float NOT NULL ,\n  spacer_gap float NOT NULL ,\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'hcal\'\n#\nCREATE TABLE hcal (\n  chamber_boundary_tickness float(10,4),\n  chamber_tickness float(10,4)\n);\n\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float(10,4),\n  inner_radius float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4)\n\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_type tinyint(1),\n  module_z_offset float(10,4),\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_module\'\n#\nCREATE TABLE barrel_module (\n  bottom_dim_x float(10,4),\n  midle_dim_x float(10,4),\n  top_dim_x float(10,4),\n  y_dim1_for_x float(10,4),\n  y_dim2_for_x float(10,4),\n  module_y_offset float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float(10,4),\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_regular_module\'\n#\nCREATE TABLE barrel_regular_module (\n  module_dim_z float(10,4),\n  chamber_dim_z float(10,4)\n);\n\n#\n# Table structure for table \'barrel_end_module\'\n#\nCREATE TABLE barrel_end_module (\n  y_dim1_for_z float (10,4),\n  y_dim2_for_z float (10,4),\n  y_dim3_for_z float (10,4),\n  top_end_dim_z float (10,4)\n);\n\n#\n# Table structure for table \'barrel_regular_layer\'\n#\nCREATE TABLE barrel_regular_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_y_offset float(10,4),\n  chamber_dim_x float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'barrel_end_layer\'\n#\nCREATE TABLE barrel_end_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_dim_z	   float(10,4),\n  chamber_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float(10,4),\n  endcap_phi_offset float(10,4),\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  chamber_z_offset float(10,4),\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_radius float(10,4),\n  module_dim_z float(10,4),\n  chamber_radius float(10,4),\n  center_box_size float(10,4)\n);\n\n\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n# tables parameters  pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters;\ncreate table parameters \n (fe_dim_y FLOAT (10,4),\n  chamber_tickness FLOAT(10,4),\n  back_plate_thickness FLOAT(10,4),\n  nlayers FLOAT(10,4),\n  total_dim_y FLOAT(10,4),\n  inner_radius FLOAT(10,4),\n  bottom_dim_x float(10,4),\n  top_dim_x   float(10,4),\n  midle_dim_x float(10,4),\n  y_dim1_for_x float(10,4),\n  y_dim2_for_x float(10,4),\n  y_dim1_for_z float(10,4),\n  y_dim2_for_z float(10,4),\n  y_dim3_for_z float(10,4),\n  staves_gap float(10,4),\n  modules_gap float(10,4),\n  normal_dim_z float(10,4),\n  top_end_dim_z float(10,4),\n  lateral_plate_thickness float(10,4),\n  regular_chamber_dim_z float(10,4),\n  cell_dim_x float(10,4),\n  cell_dim_z float(10,4)\n);\n\ninsert parameters set \n  fe_dim_y = @fe_dim_y,\n  chamber_tickness = @chamber_tickness,\n  back_plate_thickness = @back_plate_thickness,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap,\n  nlayers = @nlayers,\n  total_dim_y = @total_dim_y,\n  inner_radius = @inner_radius,\n  y_dim2_for_x = @y_dim2_for_x,\n  y_dim1_for_x = @y_dim1_for_x,\n  bottom_dim_x = @bottom_dim_x,\n  midle_dim_x = @midle_dim_x,\n  top_dim_x = @top_dim_x,\n  normal_dim_z = @normal_dim_z,\n  lateral_plate_thickness = @lateral_plate_thickness,\n  y_dim1_for_z = @y_dim1_for_z,\n  top_end_dim_z = @top_end_dim_z,\n  y_dim2_for_z = @y_dim2_for_z,\n  y_dim3_for_z = @y_dim3_for_z,\n  regular_chamber_dim_z = @regular_chamber_dim_z,\n  cell_dim_x = @cell_dim_x,\n  cell_dim_z =  @cell_dim_z;\n\n\n# data for table \'sensitive\'\nINSERT INTO `sensitive` \n  set Model = @SensitiveModel;\n\nINSERT INTO radiator \n  set material = @RadiatorMaterial;\n\nINSERT INTO rpc1 VALUES (1,1,1,1.2,0.6,50);\n\n#\n# hcal\ndelete from hcal;\ninsert hcal select \n  lateral_plate_thickness as chamber_boundary_tickness,\n  parameters.chamber_tickness as chamber_tickness\n  from parameters;\n\n#\n# barrel\ndelete from barrel;\ninsert barrel select\n  0. AS barrel_phi_offset,\n  inner_radius,\n  staves_gap,\n  modules_gap \n from parameters;\n\n#\n#  barrel_regular_layer\n#\ndelete from barrel_regular_layer;\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (bottom_dim_x + 2*(id*fe_dim_y + (id-1)* chamber_tickness)*TAN(PI()/8.))\n         / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_x;\n\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (midle_dim_x - 2*((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_x)\n          / TAN(PI()/8.)\n          - 2*chamber_tickness/TAN(PI()/8.) \n          - 2* back_plate_thickness)\n        / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) > y_dim1_for_x;\n\n#update barrel_regular_layer set\n#  chamber_dim_x = FLOOR(chamber_dim_x/10.) * 10.;	  \n\n#\n#  barrel_end_layer\n#\ndelete from barrel_end_layer;\ninsert barrel_end_layer select\n  id AS layer_id, \n  regular_chamber_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (normal_dim_z - 2*lateral_plate_thickness + \n          ((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_z)*\n          (top_end_dim_z-normal_dim_z)/\n          y_dim2_for_z)\n       / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z AND  \n         id*(fe_dim_y+chamber_tickness)< y_dim1_for_z+ y_dim2_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (top_end_dim_z - 2*lateral_plate_thickness)\n     / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z + y_dim2_for_z;\n\nupdate barrel_end_layer set \n       chamber_z_offset =  (chamber_dim_z - chamber_z_offset)/2.;\n\n#\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n#\n# barrel_module\ndelete from barrel_module;\ninsert barrel_module \n select\n   bottom_dim_x,\n   midle_dim_x,\n   top_dim_x,\n   y_dim1_for_x,\n   y_dim2_for_x,\n   inner_radius + total_dim_y/2. AS module_y_offset,\n   cell_dim_x,\n   cell_dim_z \n from parameters;\n\n#\n# barrel_regular_module\ndelete from barrel_regular_module;\ninsert barrel_regular_module select\n  normal_dim_z AS module_dim_z,\n  regular_chamber_dim_z AS chamber_dim_z\n from parameters;\n\n#\n# barrel_end_module\ndelete from barrel_end_module;\ninsert barrel_end_module select\n  y_dim1_for_z,\n  y_dim2_for_z,\n  y_dim3_for_z,\n  top_end_dim_z\n from parameters;\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id AS module_id,\n 1 AS  module_type,\n (2*id-6)*(module_dim_z+modules_gap)/2. AS module_z_offset \nfrom scratch,barrel,barrel_regular_module  where id<6;\n\n# We don\'t use anymore the special barrel end modules in LDC\n# but it could still be useful for old models\n# 1 = no special modules, 2 = yes\nupdate barrel_modules set\n module_type = @barrel_end_module_type where module_id = 1 OR module_id = 5;\n\n\nDROP TABLE IF EXISTS scratch;\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n# tables parameters_endcaps pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters_endcaps;\ncreate table parameters_endcaps \n (back_plate_thickness FLOAT(10,4),\n  chamber_boundary_tickness float(10,4),\n  module_radius FLOAT (10,4),\n  chamber_radius FLOAT (10,4),\n  center_box_size FLOAT (10,4),\n  cables_gap FLOAT (10,4),\n  nlayers FLOAT(10,4),\n  chamber_dim_z FLOAT (10,4),\n  fe_dim_z FLOAT (10,4),\n  total_dim_z FLOAT (10,4),\n  start_z FLOAT (10,4));\n\ninsert parameters_endcaps select\n  back_plate_thickness as back_plate_thickness,\n  chamber_boundary_tickness as chamber_boundary_tickness,\n  @module_radius as module_radius,\n  0. as chamber_radius,\n  @center_box_size as center_box_size,\n  @cables_gap as cables_gap,\n  nlayers as nlayers,\n  hcal.chamber_tickness as chamber_dim_z,\n  fe_dim_y as fe_dim_z,\n  0. as total_dim_z ,\n  @start_z AS start_z\n  from parameters,hcal;\n\nupdate parameters_endcaps set\n  total_dim_z=nlayers*(fe_dim_z+chamber_dim_z)+back_plate_thickness,\n  chamber_radius = module_radius - chamber_boundary_tickness;\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	start_z+total_dim_z/2. AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\ninsert endcap \n select 2 AS endcap_id,\n 	-(start_z+total_dim_z/2.) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select\n  module_radius as module_radius,\n  total_dim_z as module_dim_z,\n  chamber_radius as chamber_radius,\n  center_box_size as center_box_size\n  from parameters_endcaps;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	chamber_y_offset as chamber_z_offset	\n from barrel_regular_layer;\n\nDROP TABLE IF EXISTS parameters_endcaps;\nDROP TABLE IF EXISTS parameters;\n'),('SHcal01v3','\n#\n# Table structure for table \'radiator\'\n#\n\nCREATE TABLE radiator (\n  id tinyint(4) NOT NULL ,\n  material varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'sensitive\'\n#\n\nCREATE TABLE `sensitive` (\n  id tinyint(4) NOT NULL ,\n  Model varchar(20),\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'rpc1\'\n#\n\nCREATE TABLE rpc1 (\n  id tinyint(2) NOT NULL ,\n  g10_thickness float NOT NULL ,\n  glass_thickness float NOT NULL ,\n  gas_thickness float NOT NULL ,\n  spacer_thickness float NOT NULL ,\n  spacer_gap float NOT NULL ,\n  PRIMARY KEY  (id)\n);\n\n#\n# Table structure for table \'hcal\'\n#\nCREATE TABLE hcal (\n  chamber_boundary_tickness float,\n  chamber_tickness float,\n  fiber_gap float\n);\n\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float,\n  inner_radius float,\n  staves_gap float,\n  modules_gap float\n\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned  NOT NULL auto_increment,\n  module_type tinyint(1),\n  module_z_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_module\'\n#\nCREATE TABLE barrel_module (\n  bottom_dim_x float,\n  midle_dim_x float,\n  top_dim_x float,\n  y_dim1_for_x float,\n  y_dim2_for_x float,\n  module_y_offset float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned  NOT NULL auto_increment,\n  stave_phi_offset float,\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_regular_module\'\n#\nCREATE TABLE barrel_regular_module (\n  module_dim_z float,\n  chamber_dim_z float\n);\n\n#\n# Table structure for table \'barrel_end_module\'\n#\nCREATE TABLE barrel_end_module (\n  y_dim1_for_z float,\n  y_dim2_for_z float,\n  y_dim3_for_z float,\n  top_end_dim_z float\n);\n\n#\n# Table structure for table \'barrel_regular_layer\'\n#\nCREATE TABLE barrel_regular_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_y_offset float,\n  chamber_dim_x float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'barrel_end_layer\'\n#\nCREATE TABLE barrel_end_layer (\n  layer_id tinyint(3) unsigned  NOT NULL auto_increment,\n  chamber_dim_z	   float,\n  chamber_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3)  NOT NULL auto_increment,\n  endcap_z_offset float,\n  endcap_phi_offset float,\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3)  NOT NULL auto_increment,\n  chamber_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_radius float,\n  module_dim_z float,\n  chamber_radius float,\n  center_box_size float\n);\n\n\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n# tables parameters  pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters;\ncreate table parameters \n (fe_dim_y FLOAT,\n  chamber_tickness FLOAT,\n  back_plate_thickness FLOAT,\n  nlayers FLOAT,\n  total_dim_y FLOAT,\n  inner_radius FLOAT,\n  bottom_dim_x float,\n  top_dim_x   float,\n  midle_dim_x float,\n  y_dim1_for_x float,\n  y_dim2_for_x float,\n  y_dim1_for_z float,\n  y_dim2_for_z float,\n  y_dim3_for_z float,\n  staves_gap float,\n  modules_gap float,\n  normal_dim_z float,\n  top_end_dim_z float,\n  lateral_plate_thickness float,\n  regular_chamber_dim_z float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\ninsert parameters set \n  fe_dim_y = @fe_dim_y,\n  chamber_tickness = @chamber_tickness,\n  back_plate_thickness = @back_plate_thickness,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap,\n  nlayers = @nlayers,\n  total_dim_y = @total_dim_y,\n  inner_radius = @inner_radius,\n  y_dim2_for_x = @y_dim2_for_x,\n  y_dim1_for_x = @y_dim1_for_x,\n  bottom_dim_x = @bottom_dim_x,\n  midle_dim_x = @midle_dim_x,\n  top_dim_x = @top_dim_x,\n  normal_dim_z = @normal_dim_z,\n  lateral_plate_thickness = @lateral_plate_thickness,\n  y_dim1_for_z = @y_dim1_for_z,\n  top_end_dim_z = @top_end_dim_z,\n  y_dim2_for_z = @y_dim2_for_z,\n  y_dim3_for_z = @y_dim3_for_z,\n  regular_chamber_dim_z = @regular_chamber_dim_z,\n  cell_dim_x = @cell_dim_x,\n  cell_dim_z =  @cell_dim_z;\n\n\n# data for table \'sensitive\'\nINSERT INTO `sensitive` \n  set Model = @SensitiveModel;\n\nINSERT INTO radiator \n  set material = @RadiatorMaterial;\n\nINSERT INTO rpc1 VALUES (1,1,1,1.2,0.6,50);\n\n#\n# hcal\ndelete from hcal;\ninsert hcal select \n  lateral_plate_thickness as chamber_boundary_tickness,\n  parameters.chamber_tickness as chamber_tickness,\n  @fiber_gap as fiber_gap\n  from parameters;\n\n#\n# barrel\ndelete from barrel;\ninsert barrel select\n  0. AS barrel_phi_offset,\n  inner_radius,\n  staves_gap,\n  modules_gap \n from parameters;\n\n#\n#  barrel_regular_layer\n#\ndelete from barrel_regular_layer;\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (bottom_dim_x + 2*(id*fe_dim_y + (id-1)* chamber_tickness)*TAN(PI()/8.))\n         / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_x;\n\ninsert barrel_regular_layer select\n  id AS layer_id, \n  -total_dim_y/2. + (id-1)*(chamber_tickness+fe_dim_y)+fe_dim_y+chamber_tickness/2. \n    AS chamber_y_offset,\n  FLOOR( (midle_dim_x - 2*((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_x)\n          / TAN(PI()/8.)\n          - 2*chamber_tickness/TAN(PI()/8.) \n          - 2* back_plate_thickness)\n        / cell_dim_x) *  cell_dim_x  AS chamber_dim_x\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) > y_dim1_for_x;\n\n#update barrel_regular_layer set\n#  chamber_dim_x = FLOOR(chamber_dim_x/10.) * 10.;	  \n\n#\n#  barrel_end_layer\n#\ndelete from barrel_end_layer;\ninsert barrel_end_layer select\n  id AS layer_id, \n  regular_chamber_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters where id*(fe_dim_y+chamber_tickness) < y_dim1_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (normal_dim_z - 2*lateral_plate_thickness + \n          ((id*fe_dim_y + (id-1)* chamber_tickness)-y_dim1_for_z)*\n          (top_end_dim_z-normal_dim_z)/\n          y_dim2_for_z)\n       / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z AND  \n         id*(fe_dim_y+chamber_tickness)< y_dim1_for_z+ y_dim2_for_z;\n\ninsert barrel_end_layer select\n  id AS layer_id, \n  FLOOR( (top_end_dim_z - 2*lateral_plate_thickness)\n     / cell_dim_z) *  cell_dim_z AS chamber_dim_z,\n  normal_dim_z - 2*lateral_plate_thickness AS chamber_z_offset\n from scratch,parameters \n   where id*(fe_dim_y+chamber_tickness) > y_dim1_for_z + y_dim2_for_z;\n\nupdate barrel_end_layer set \n       chamber_z_offset =  (chamber_dim_z - chamber_z_offset)/2.;\n\n#\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n#\n# barrel_module\ndelete from barrel_module;\ninsert barrel_module \n select\n   bottom_dim_x,\n   midle_dim_x,\n   top_dim_x,\n   y_dim1_for_x,\n   y_dim2_for_x,\n   inner_radius + total_dim_y/2. AS module_y_offset,\n   cell_dim_x,\n   cell_dim_z \n from parameters;\n\n#\n# barrel_regular_module\ndelete from barrel_regular_module;\ninsert barrel_regular_module select\n  normal_dim_z AS module_dim_z,\n  regular_chamber_dim_z AS chamber_dim_z\n from parameters;\n\n#\n# barrel_end_module\ndelete from barrel_end_module;\ninsert barrel_end_module select\n  y_dim1_for_z,\n  y_dim2_for_z,\n  y_dim3_for_z,\n  top_end_dim_z\n from parameters;\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id AS module_id,\n 1 AS  module_type,\n (2*id-6)*(module_dim_z+modules_gap)/2. AS module_z_offset \nfrom scratch,barrel,barrel_regular_module  where id<6;\n\n# We don\'t use anymore the special barrel end modules in LDC\n# but it could still be useful for old models\n# 1 = no special modules, 2 = yes\nupdate barrel_modules set\n module_type = @barrel_end_module_type where module_id = 1 OR module_id = 5;\n\n\nDROP TABLE IF EXISTS scratch;\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n# tables parameters_endcaps pour parametrer les inserts aprÃƒÂ¨s\n# (toutes les autres constantes sont lÃƒÂ )\n#\nDROP TABLE IF EXISTS parameters_endcaps;\ncreate table parameters_endcaps \n (back_plate_thickness FLOAT,\n  chamber_boundary_tickness float,\n  module_radius FLOAT,\n  chamber_radius FLOAT,\n  center_box_size FLOAT,\n  cables_gap FLOAT,\n  nlayers FLOAT,\n  chamber_dim_z FLOAT,\n  fe_dim_z FLOAT,\n  total_dim_z FLOAT,\n  start_z FLOAT);\n\ninsert parameters_endcaps select\n  back_plate_thickness as back_plate_thickness,\n  chamber_boundary_tickness as chamber_boundary_tickness,\n  @module_radius as module_radius,\n  0. as chamber_radius,\n  @center_box_size as center_box_size,\n  @cables_gap as cables_gap,\n  nlayers as nlayers,\n  hcal.chamber_tickness as chamber_dim_z,\n  fe_dim_y as fe_dim_z,\n  0. as total_dim_z ,\n  @start_z AS start_z\n  from parameters,hcal;\n\nupdate parameters_endcaps set\n  total_dim_z=nlayers*(fe_dim_z+chamber_dim_z)+back_plate_thickness,\n  chamber_radius = module_radius - chamber_boundary_tickness;\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	start_z+total_dim_z/2. AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\ninsert endcap \n select 2 AS endcap_id,\n 	-(start_z+total_dim_z/2.) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from parameters,parameters_endcaps;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select\n  module_radius as module_radius,\n  total_dim_z as module_dim_z,\n  chamber_radius as chamber_radius,\n  center_box_size as center_box_size\n  from parameters_endcaps;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	chamber_y_offset as chamber_z_offset	\n from barrel_regular_layer;\n\nDROP TABLE IF EXISTS parameters_endcaps;\nDROP TABLE IF EXISTS parameters;\n'),('SEcal01v3','\n#########################################\n#\n# ECAL BARREL\n#\n#########################################\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float,\n  inner_radius float,\n  staves_gap float,\n  modules_gap float\n);\n\n#\n# Table structure for table \'barrel_alveolus\'\n#\nCREATE TABLE barrel_alveolus (\n  alveolus_z_offset float\n);\n\n#\n# Table structure for table \'barrel_layer\'\n#\nCREATE TABLE barrel_layer (\n  layer_id tinyint(3) unsigned NOT NULL auto_increment,\n  alveolus_y_offset float,\n  alveolus_dim_x float,\n  w_y_offset float,\n  w_z_offset float,\n  w_dim_y float,\n  pads_x_offset float,\n  pads_dim_x float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned NOT NULL auto_increment,\n  module_z_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_standard_module\'\n#\nCREATE TABLE barrel_standard_module (\n  bottom_dim_x float,\n  top_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  w_dim_z float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  alveolus_x_offset float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned NOT NULL auto_increment,\n  stave_phi_offset float,\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_w_plate\'\n#\nCREATE TABLE barrel_w_plate (\n  w_x_offset float,\n  layer_id tinyint(3),\n  shape_id tinyint(3)\n);\n\n#\n# Table structure for table \'barrel_w_plate_shape\'\n#\nCREATE TABLE barrel_w_plate_shape (\n  shape_id tinyint(3) unsigned NOT NULL auto_increment,\n  w_dim_x float,\n  PRIMARY KEY (shape_id)\n);\n\n#\n# Table structure for table \'ecal\'\n#\nCREATE TABLE ecal (\n  fiber_thickness float,\n  si_thickness float,\n  pcb_thickness float,\n  nmax_cell_x tinyint(3),\n  nmax_cell_z tinyint(3),\n  guard_ring_size float,\n  inter_wafer_gap float,\n  n_guard_ring_zones tinyint(3),\n  radiator  varchar(20)\n);\n\n##########################################\n#\n# ECAL ENDCAPS\n#\n##########################################\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3) NOT NULL auto_increment,\n  endcap_z_offset float,\n  endcap_phi_offset float,\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3) NOT NULL auto_increment,\n  w_z_offset float,\n  w_dim_z float,\n  alveolus_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'endcap_modules\'\n#\nCREATE TABLE endcap_modules (\n  module_id tinyint(3) NOT NULL auto_increment,\n  module_phi_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  cut_shape_b float,\n  cut_shape_h float,\n  alveolus_dim_x float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  w_dim_x float,\n  w_dim_y float,\n  modules_gap float,\n  al_plates_center_dim_xy float,\n  pads_dim_x float,\n  pads_dim_y float,\n  pads_x_offset float,\n  pads_y_offset float\n);\n\n#\n# initialisation des tables\n#\ndelete from ecal;\ninsert ecal set \n   fiber_thickness = @fiber_thickness,\n   si_thickness = @si_thickness,\n   pcb_thickness = @pcb_thickness,\n   nmax_cell_x = @nmax_cell_x,\n   nmax_cell_z = @nmax_cell_z,\n   guard_ring_size = @guard_ring_size,\n   inter_wafer_gap = @inter_wafer_gap,\n   n_guard_ring_zones = @n_guard_ring_zones,\n   radiator = @radiator;\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n#\n# barrel\ndelete from barrel;\ninsert barrel set\n  barrel_phi_offset = 0.,\n  inner_radius = @inner_radius,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap;\n\n# tables scratch pour parametrer les inserts\n# \n\n# update the existing scratch table, created by the\n# superdriver with the good number of layers and their\n# W thickness\n#\nupdate scratch set \n  w_thick1=@w_thickness1, \n  w_thick2=@w_thickness2,\n  w_thick3=@w_thickness3,\n  module_dim_z = @module_dim_z;\n\nDROP TABLE IF EXISTS scratch2;\ncreate table scratch2\n (dim_y_envelope FLOAT);\ninsert scratch2 select @module_thickness:=(SUM(w_thickness+4. * @fiber_thickness + @alveolus_thickness)) from scratch;\n\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id,\n (2*id-6)*(module_dim_z+modules_gap)/2.\nfrom scratch,barrel  where id<6;\n\n#\n# barrel_standard_module\ndelete from barrel_standard_module;\ninsert barrel_standard_module \n select\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) AS bottom_dim_x,\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) - \n     2*dim_y_envelope AS top_dim_x,\n    dim_y_envelope AS module_dim_y,\n    module_dim_z AS module_dim_z,\n    (dim_y_envelope + staves_gap)*SIN(RADIANS(45.)) AS module_x_offset,\n    inner_radius + dim_y_envelope/2. AS module_y_offset,\n    module_dim_z-2.*fiber_thickness AS w_dim_z,\n    si_thickness+2*pcb_thickness AS  alveolus_dim_y,\n    module_dim_z-2.*fiber_thickness AS alveolus_dim_z,\n    0. AS alveolus_x_offset,\n    @cell_size AS cell_dim_x,\n    0. AS cell_dim_z\nfrom ecal,barrel,scratch2,scratch where id=1;\n\nupdate barrel_standard_module set\n cell_dim_z = alveolus_dim_z / FLOOR(alveolus_dim_z/cell_dim_x); \n\n#\n#  barrel_layer\n#\n\n\ndelete from barrel_layer;\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) + \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id - 1) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * id - 2. * fiber_thickness AS alveolus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +  \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id-1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id < ( @N_Layers1 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * (id - @N_Layers1 -1 ) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * (id - @N_Layers1 )  - 2. * fiber_thickness AS alveolusus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - 1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1 and \nid < ( @N_Layers1 + @N_Layers2 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * @N_Layers2 +\n          (4.*fiber_thickness+w_thick3+alveolus_dim_y) * (id - @N_Layers1 - @N_Layers2 -1 ) -\n           module_dim_y / 2.               AS alveolus_y_offset,\n\n	bottom_dim_x-\n          (w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thick2+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers2 -\n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) * 2. * (id - @N_Layers1 - @N_Layers2) - \n           2. * fiber_thickness            AS alveolusus_dim_x,\n\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * @N_Layers2 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - @N_Layers2 - 1) - \n          module_dim_y / 2. AS w_y_offset,\n\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1 + @N_Layers2;\n\nupdate barrel_layer set \n  pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n  pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.;\n\n#\n# barrel_w_plate\n#\ndelete from barrel_w_plate;\ninsert barrel_w_plate \n  select 0. AS w_x_offset,\n         id AS layer_id,\n         id AS shape_id\n  from scratch;\n\n#\n# barrel_w_plate_shape\n#\ndelete from barrel_w_plate_shape;\ninsert barrel_w_plate_shape \n  select layer_id AS shape_id,\n         alveolus_dim_x + \n          (alveolus_dim_y+2.*fiber_thickness) * 2. AS w_dim_x\n  from barrel_layer,barrel_standard_module,ecal;\n\n#\n# barrel_alveolus\n#\ndelete from barrel_alveolus;\ninsert barrel_alveolus set alveolus_z_offset =0.;\n\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n#\n#\n# scratch3 = endcap reference parameters\n#\nDROP TABLE IF EXISTS scratch3;\ncreate table scratch3\n ( endcap_module_dim_x FLOAT,\n   endcap_module_dim_y FLOAT,\n   dist_barrel_endcap FLOAT,\n   al_plates_center_dim_xy FLOAT);\n# @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + 1\n# 2185.0\ninsert scratch3 set\n      	endcap_module_dim_x = @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + @modules_gap,\n      	endcap_module_dim_y = @inner_radius + @module_thickness - @al_plates_center_dim_xy/2 + @modules_gap,\n	dist_barrel_endcap = @dist_barrel_endcap,\n	al_plates_center_dim_xy = @al_plates_center_dim_xy;\n\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2 AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\ninsert endcap \n select 2 AS endcap_id,\n 	-(module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\n\n\n#\n# endcap_modules\n#\ndelete from endcap_modules;\ninsert endcap_modules set module_phi_offset = 0.;\ninsert endcap_modules set module_phi_offset = 90.;\ninsert endcap_modules set module_phi_offset = 180;\ninsert endcap_modules set module_phi_offset = 270.;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select  endcap_module_dim_x,\n	  endcap_module_dim_y,\n	  dim_y_envelope AS module_dim_z,\n          0. AS module_x_offset,\n          0. AS module_y_offset,\n	  0. AS cut_shape_b,\n	  NULL AS cut_shape_h,\n	  endcap_module_dim_x - 2.*fiber_thickness AS alveolus_dim_x,\n	  endcap_module_dim_y - 2. * fiber_thickness AS alveolus_dim_y,\n	  barrel_standard_module.alveolus_dim_y AS alveolus_dim_z,\n          endcap_module_dim_x - 2.*fiber_thickness   AS w__dim_x,\n          endcap_module_dim_y - 2. * fiber_thickness AS w__dim_y,\n	  @modules_gap AS modules_gap,\n	  al_plates_center_dim_xy,\n	  0. AS pads_dim_x,\n	  0. AS pads_dim_y,\n	  0. AS pads_x_offset,\n	  0. AS pads_y_offset\n from scratch2, scratch3,ecal,endcap,barrel_standard_module where endcap_id = 1;\n\nupdate endcap_standard_module set\n	cut_shape_b = \n          (al_plates_center_dim_xy/2.+module_dim_y+modules_gap)*\n	  TAN(RADIANS(22.5))*2.,\n	cut_shape_h = cut_shape_b / 2.,\n	module_x_offset = module_dim_x/2.-\n           al_plates_center_dim_xy/2. + modules_gap/2.,\n	module_y_offset = module_dim_y/2.+\n	   al_plates_center_dim_xy/2. + modules_gap/2.,\n	pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n	pads_dim_y = FLOOR(alveolus_dim_y/10) * 10.,\n	pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.,\n	pads_y_offset = -(alveolus_dim_y - pads_dim_y)/2.;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	barrel_layer.w_y_offset AS w_z_offset,\n	barrel_layer.w_dim_y  AS w_dim_z,\n	barrel_layer.alveolus_y_offset AS alveolus_z_offset\n from barrel_layer;\n'),('SEcal01v4','\n#########################################\n#\n# ECAL BARREL\n#\n#########################################\n#\n# Table structure for table \'barrel\'\n#\nCREATE TABLE barrel (\n  barrel_phi_offset float,\n  inner_radius float,\n  staves_gap float,\n  modules_gap float\n);\n\n#\n# Table structure for table \'barrel_alveolus\'\n#\nCREATE TABLE barrel_alveolus (\n  alveolus_z_offset float\n);\n\n#\n# Table structure for table \'barrel_layer\'\n#\nCREATE TABLE barrel_layer (\n  layer_id tinyint(3) unsigned NOT NULL auto_increment,\n  alveolus_y_offset float,\n  alveolus_dim_x float,\n  w_y_offset float,\n  w_z_offset float,\n  w_dim_y float,\n  pads_x_offset float,\n  pads_dim_x float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'barrel_modules\'\n#\nCREATE TABLE barrel_modules (\n  module_id tinyint(3) unsigned NOT NULL auto_increment,\n  module_z_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'barrel_standard_module\'\n#\nCREATE TABLE barrel_standard_module (\n  bottom_dim_x float,\n  top_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  w_dim_z float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  alveolus_x_offset float,\n  cell_dim_x float,\n  cell_dim_z float\n);\n\n#\n# Table structure for table \'barrel_stave\'\n#\nCREATE TABLE barrel_stave (\n  stave_id tinyint(3) unsigned NOT NULL auto_increment,\n  stave_phi_offset float,\n  PRIMARY KEY (stave_id)\n);\n\n#\n# Table structure for table \'barrel_w_plate\'\n#\nCREATE TABLE barrel_w_plate (\n  w_x_offset float,\n  layer_id tinyint(3),\n  shape_id tinyint(3)\n);\n\n#\n# Table structure for table \'barrel_w_plate_shape\'\n#\nCREATE TABLE barrel_w_plate_shape (\n  shape_id tinyint(3) unsigned NOT NULL auto_increment,\n  w_dim_x float,\n  PRIMARY KEY (shape_id)\n);\n\n#\n# Table structure for table \'ecal\'\n#\nCREATE TABLE ecal (\n  fiber_thickness float,\n  si_thickness float,\n  pcb_thickness float,\n  nmax_cell_x tinyint(3),\n  nmax_cell_z tinyint(3),\n  guard_ring_size float,\n  inter_wafer_gap float,\n  n_guard_ring_zones tinyint(3),\n  radiator  varchar(20),\n  si_insensitive_thickness float\n);\n\n##########################################\n#\n# ECAL ENDCAPS\n#\n##########################################\n#\n# Table structure for table \'endcap\'\n#\nCREATE TABLE endcap (\n  endcap_id tinyint(3) NOT NULL auto_increment,\n  endcap_z_offset float,\n  endcap_phi_offset float,\n  PRIMARY KEY (endcap_id)\n);\n\n#\n# Table structure for table \'endcap_layer\'\n#\nCREATE TABLE endcap_layer (\n  layer_id tinyint(3) NOT NULL auto_increment,\n  w_z_offset float,\n  w_dim_z float,\n  alveolus_z_offset float,\n  PRIMARY KEY (layer_id)\n);\n\n#\n# Table structure for table \'endcap_modules\'\n#\nCREATE TABLE endcap_modules (\n  module_id tinyint(3) NOT NULL auto_increment,\n  module_phi_offset float,\n  PRIMARY KEY (module_id)\n);\n\n#\n# Table structure for table \'endcap_standard_module\'\n#\nCREATE TABLE endcap_standard_module (\n  module_dim_x float,\n  module_dim_y float,\n  module_dim_z float,\n  module_x_offset float,\n  module_y_offset float,\n  cut_shape_b float,\n  cut_shape_h float,\n  alveolus_dim_x float,\n  alveolus_dim_y float,\n  alveolus_dim_z float,\n  w_dim_x float,\n  w_dim_y float,\n  modules_gap float,\n  al_plates_center_dim_xy float,\n  pads_dim_x float,\n  pads_dim_y float,\n  pads_x_offset float,\n  pads_y_offset float\n);\n\n#\n# initialisation des tables\n#\ndelete from ecal;\ninsert ecal set \n   fiber_thickness = @fiber_thickness,\n   si_thickness = @si_thickness,\n   pcb_thickness = @pcb_thickness,\n   nmax_cell_x = @nmax_cell_x,\n   nmax_cell_z = @nmax_cell_z,\n   guard_ring_size = @guard_ring_size,\n   inter_wafer_gap = @inter_wafer_gap,\n   n_guard_ring_zones = @n_guard_ring_zones,\n   radiator = @radiator,\n   si_insensitive_thickness = @si_insensitive_thickness;\n\n######################################################\n#\n#           BARREL\n#\n######################################################           \n\n#\n# barrel\ndelete from barrel;\ninsert barrel set\n  barrel_phi_offset = 0.,\n  inner_radius = @inner_radius,\n  staves_gap = @staves_gap,\n  modules_gap = @modules_gap;\n\n# tables scratch pour parametrer les inserts\n# \n\n# update the existing scratch table, created by the\n# superdriver with the good number of layers and their\n# W thickness\n#\nupdate scratch set \n  w_thick1=@w_thickness1, \n  w_thick2=@w_thickness2,\n  w_thick3=@w_thickness3,\n  module_dim_z = @module_dim_z;\n\nDROP TABLE IF EXISTS scratch2;\ncreate table scratch2\n (dim_y_envelope FLOAT);\ninsert scratch2 select @module_thickness:=(SUM(w_thickness+4. * @fiber_thickness + @alveolus_thickness)) from scratch;\n\n#\n# barrel_stave\ndelete from barrel_stave;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\ninsert barrel_stave set stave_phi_offset = 0.;\n\nupdate barrel_stave set stave_phi_offset = 45. * (stave_id-1);\n\n\n#\n# barrel_modules\n#\ndelete from barrel_modules;\ninsert barrel_modules \n select id,\n (2*id-6)*(module_dim_z+modules_gap)/2.\nfrom scratch,barrel  where id<6;\n\n#\n# barrel_standard_module\ndelete from barrel_standard_module;\ninsert barrel_standard_module \n select\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) AS bottom_dim_x,\n   (TAN(RADIANS(22.5))*inner_radius - staves_gap) * 2. +\n     dim_y_envelope/SIN(RADIANS(45.)) - \n     2*dim_y_envelope AS top_dim_x,\n    dim_y_envelope AS module_dim_y,\n    module_dim_z AS module_dim_z,\n    (dim_y_envelope + staves_gap)*SIN(RADIANS(45.)) AS module_x_offset,\n    inner_radius + dim_y_envelope/2. AS module_y_offset,\n    module_dim_z-2.*fiber_thickness AS w_dim_z,\n    si_thickness+2*pcb_thickness AS  alveolus_dim_y,\n    module_dim_z-2.*fiber_thickness AS alveolus_dim_z,\n    0. AS alveolus_x_offset,\n    @cell_size AS cell_dim_x,\n    0. AS cell_dim_z\nfrom ecal,barrel,scratch2,scratch where id=1;\n\nupdate barrel_standard_module set\n cell_dim_z = alveolus_dim_z / FLOOR(alveolus_dim_z/cell_dim_x); \n\n#\n#  barrel_layer\n#\n\n\ndelete from barrel_layer;\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) + \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id - 1) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * id - 2. * fiber_thickness AS alveolus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +  \n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * (id-1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id < ( @N_Layers1 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * (id - @N_Layers1 -1 ) \n          - module_dim_y / 2. AS alveolus_y_offset,\n	bottom_dim_x-(w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) \n          * 2. * (id - @N_Layers1 )  - 2. * fiber_thickness AS alveolusus_dim_x,\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - 1) \n          - module_dim_y / 2. AS w_y_offset,\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1 and \nid < ( @N_Layers1 + @N_Layers2 + 1 );\n\ninsert barrel_layer \n select id AS layer_id,\n	w_thickness + 3.*fiber_thickness + \n          (alveolus_dim_y / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * @N_Layers2 +\n          (4.*fiber_thickness+w_thick3+alveolus_dim_y) * (id - @N_Layers1 - @N_Layers2 -1 ) -\n           module_dim_y / 2.               AS alveolus_y_offset,\n\n	bottom_dim_x-\n          (w_thick1+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers1 - \n          (w_thick2+alveolus_dim_y+4.*fiber_thickness) * 2. * @N_Layers2 -\n          (w_thickness+alveolus_dim_y+4.*fiber_thickness) * 2. * (id - @N_Layers1 - @N_Layers2) - \n           2. * fiber_thickness            AS alveolusus_dim_x,\n\n	fiber_thickness + (w_thickness / 2.) +\n          (4.*fiber_thickness+w_thick1+alveolus_dim_y) * @N_Layers1 +\n          (4.*fiber_thickness+w_thick2+alveolus_dim_y) * @N_Layers2 +\n          (4.*fiber_thickness+w_thickness+alveolus_dim_y) * (id - @N_Layers1 - @N_Layers2 - 1) - \n          module_dim_y / 2. AS w_y_offset,\n\n	0. AS w_z_offset,\n	w_thickness AS w_dim_y,\n	0 AS pads_x_offset,\n	0 AS pads_dim_x\nfrom scratch,scratch2,ecal,barrel_standard_module  where id > @N_Layers1 + @N_Layers2;\n\nupdate barrel_layer set \n  pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n  pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.;\n\n#\n# barrel_w_plate\n#\ndelete from barrel_w_plate;\ninsert barrel_w_plate \n  select 0. AS w_x_offset,\n         id AS layer_id,\n         id AS shape_id\n  from scratch;\n\n#\n# barrel_w_plate_shape\n#\ndelete from barrel_w_plate_shape;\ninsert barrel_w_plate_shape \n  select layer_id AS shape_id,\n         alveolus_dim_x + \n          (alveolus_dim_y+2.*fiber_thickness) * 2. AS w_dim_x\n  from barrel_layer,barrel_standard_module,ecal;\n\n#\n# barrel_alveolus\n#\ndelete from barrel_alveolus;\ninsert barrel_alveolus set alveolus_z_offset =0.;\n\n\n######################################################\n#\n#           ENDCAPS\n#\n######################################################           \n#\n#\n# scratch3 = endcap reference parameters\n#\nDROP TABLE IF EXISTS scratch3;\ncreate table scratch3\n ( endcap_module_dim_x FLOAT,\n   endcap_module_dim_y FLOAT,\n   dist_barrel_endcap FLOAT,\n   al_plates_center_dim_xy FLOAT);\n# @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + 1\n# 2185.0\ninsert scratch3 set\n      	endcap_module_dim_x = @al_plates_center_dim_xy/2 + @inner_radius + @module_thickness + @endcap_extra_size + @modules_gap,\n      	endcap_module_dim_y = @inner_radius + @module_thickness - @al_plates_center_dim_xy/2  + @endcap_extra_size + @modules_gap,\n	dist_barrel_endcap = @dist_barrel_endcap,\n	al_plates_center_dim_xy = @al_plates_center_dim_xy;\n\n\n# endcap\ndelete from endcap;\n#\ninsert endcap \n select 1 AS endcap_id,\n 	module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2 AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\ninsert endcap \n select 2 AS endcap_id,\n 	-(module_dim_z*2.5+ \n        2*modules_gap + \n        dist_barrel_endcap + \n        dim_y_envelope/2) AS endcap_z_offset,\n	0. AS endcap_phi_offset\n from barrel_standard_module,barrel,scratch2,scratch3;\n\n\n#\n# endcap_modules\n#\ndelete from endcap_modules;\ninsert endcap_modules set module_phi_offset = 0.;\ninsert endcap_modules set module_phi_offset = 90.;\ninsert endcap_modules set module_phi_offset = 180;\ninsert endcap_modules set module_phi_offset = 270.;\n\n#\n# endcap_standard_module\n#\ndelete from endcap_standard_module;\ninsert endcap_standard_module \n  select  endcap_module_dim_x,\n	  endcap_module_dim_y,\n	  dim_y_envelope AS module_dim_z,\n          0. AS module_x_offset,\n          0. AS module_y_offset,\n	  0. AS cut_shape_b,\n	  NULL AS cut_shape_h,\n	  endcap_module_dim_x - 2.*fiber_thickness AS alveolus_dim_x,\n	  endcap_module_dim_y - 2. * fiber_thickness AS alveolus_dim_y,\n	  barrel_standard_module.alveolus_dim_y AS alveolus_dim_z,\n          endcap_module_dim_x - 2.*fiber_thickness   AS w__dim_x,\n          endcap_module_dim_y - 2. * fiber_thickness AS w__dim_y,\n	  @modules_gap AS modules_gap,\n	  al_plates_center_dim_xy,\n	  0. AS pads_dim_x,\n	  0. AS pads_dim_y,\n	  0. AS pads_x_offset,\n	  0. AS pads_y_offset\n from scratch2, scratch3,ecal,endcap,barrel_standard_module where endcap_id = 1;\n\nupdate endcap_standard_module set\n	cut_shape_b = \n          (al_plates_center_dim_xy/2.+module_dim_y+modules_gap)*\n	  TAN(RADIANS(22.5))*2.,\n	cut_shape_h = cut_shape_b / 2.,\n	module_x_offset = module_dim_x/2.-\n           al_plates_center_dim_xy/2. + modules_gap/2.,\n	module_y_offset = module_dim_y/2.+\n	   al_plates_center_dim_xy/2. + modules_gap/2.,\n	pads_dim_x = FLOOR(alveolus_dim_x/10) * 10.,\n	pads_dim_y = FLOOR(alveolus_dim_y/10) * 10.,\n	pads_x_offset = -(alveolus_dim_x - pads_dim_x)/2.,\n	pads_y_offset = -(alveolus_dim_y - pads_dim_y)/2.;\n\n#\n# endcap_layer\n#\ndelete from endcap_layer;\ninsert endcap_layer\n select layer_id,\n	barrel_layer.w_y_offset AS w_z_offset,\n	barrel_layer.w_dim_y  AS w_dim_z,\n	barrel_layer.alveolus_y_offset AS alveolus_z_offset\n from barrel_layer;\n');
UNLOCK TABLES;

--
-- Table structure for table `setup`
--

DROP TABLE IF EXISTS `setup`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup` (
  `name` varchar(100) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup`
--

LOCK TABLES `setup` WRITE;
INSERT INTO `setup` VALUES ('TB30','Calice Test Beam with setup angle of 30 degrees'),('TB00','Calice Test Beam with setup angle of 0 degrees'),('TB10','Calice Test Beam with setup angle of 10 degrees'),('TB20','Calice Test Beam with setup angle of 20 degrees'),('TB40','Calice Test Beam with setup angle of 40 degrees'),('TB45','Calice Test Beam with setup angle of 45 degrees');
UNLOCK TABLES;

--
-- Table structure for table `setup_parameters`
--

DROP TABLE IF EXISTS `setup_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `setup_parameters` (
  `setup` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `value` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`setup`,`parameter`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `setup_parameters`
--

LOCK TABLES `setup_parameters` WRITE;
INSERT INTO `setup_parameters` VALUES ('TB30','configuration_angle','30.0'),('TB10','configuration_angle','10.0'),('TB00','configuration_angle','0.0'),('TB40','configuration_angle','40.0'),('TB20','configuration_angle','20.0'),('TB45','configuration_angle','45.0'),('TB00','shift_module1','0.0'),('TB00','shift_module3','0.0'),('TB10','shift_module1','-9.7'),('TB10','shift_module3','12.15'),('TB20','shift_module1','-19.95'),('TB20','shift_module3','25.05'),('TB30','shift_module1','-31.65'),('TB30','shift_module3','39.7'),('TB40','shift_module1','-46.0'),('TB40','shift_module3','57.75'),('TB45','shift_module1','-54.8'),('TB45','shift_module3','68.8'),('TB00','dist_hcal_tcmt','333'),('TB10','dist_hcal_tcmt','125'),('TB20','dist_hcal_tcmt','125'),('TB30','dist_hcal_tcmt','125'),('TB40','dist_hcal_tcmt','125'),('TB45','dist_hcal_tcmt','125');
UNLOCK TABLES;

--
-- Table structure for table `sharing`
--

DROP TABLE IF EXISTS `sharing`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sharing` (
  `driver` varchar(100) NOT NULL default '',
  `parameter` varchar(100) NOT NULL default '',
  `driver_default_value` varchar(100) default NULL,
  PRIMARY KEY  (`parameter`,`driver`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sharing`
--

LOCK TABLES `sharing` WRITE;
INSERT INTO `sharing` VALUES ('TBmuoncount03','z_end_tcmt',NULL),('SCoil01','Coil_extra_size',NULL),('SField01','Coil_extra_size',NULL),('SCoil01','Coil_inner_radius',NULL),('SCoil01','Coil_thickness',NULL),('SField01','Coil_thickness',NULL),('proto03','configuration_angle',NULL),('TBcatcher04','configuration_angle',NULL),('TBdch01','configuration_angle',NULL),('TBhcal04','configuration_angle',NULL),('TBscint01','configuration_angle',NULL),('TBdch01','ecal_begin_z',NULL),('TBscint01','ecal_begin_z',NULL),('etd00','Ecal_cables_gap',NULL),('SEcal01','Ecal_cables_gap',NULL),('SEcal01','Ecal_cells_size',NULL),('SEcal01','Ecal_endcap_center_box_size',NULL),('SEcal01','Ecal_endcap_zmax',NULL),('SHcal01','Ecal_endcap_zmax',NULL),('SEcal01','Ecal_fiber_thickness',NULL),('SEcal01','Ecal_Hcal_gap',NULL),('SEcal01','Ecal_nlayers1',NULL),('SEcal01','Ecal_nlayers2',NULL),('SEcal01','Ecal_outer_radius',NULL),('SHcal01','Ecal_outer_radius',NULL),('SEcal01','Ecal_radiator_layers_set1_thickness',NULL),('SEcal01','Ecal_radiator_layers_set2_thickness',NULL),('SEcal01','Ecal_radiator_material',NULL),('SEcal01','Ecal_Si_thickness',NULL),('SEcal01','Ecal_total_alveolus_thickness',NULL),('SEcal01','Ecal_Tpc_gap',NULL),('etd00','FCH_thickness',NULL),('STpc01','FCH_thickness',NULL),('SField01','Field_nominal_value',NULL),('SHcal01','Hcal_back_plate_thickness',NULL),('SHcal01','Hcal_barrel_end_module_type',NULL),('SHcal01','Hcal_cells_size',NULL),('SHcal01','Hcal_Ecal_gap',NULL),('SHcal01','Hcal_endcap_cables_gap',NULL),('SHcal01','Hcal_endcap_center_box_size',NULL),('SHcal01','Hcal_fiber_gap',NULL),('SHcal01','Hcal_lateral_structure_thickness',NULL),('SHcal01','Hcal_modules_gap',NULL),('SHcal01','Hcal_nlayers',NULL),('SHcal01','Hcal_outer_radius',NULL),('SHcal01','Hcal_radiator_material',NULL),('SHcal01','Hcal_radiator_thickness',NULL),('SCoil01','Hcal_R_max',NULL),('SField01','Hcal_R_max',NULL),('SHcal01','Hcal_R_max',NULL),('SHcal01','Hcal_sensitive_model',NULL),('SHcal01','Hcal_stave_gaps',NULL),('etd00','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SCoil01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SEcal01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SField01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcal01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('STpc01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc04','TPC_Ecal_Hcal_barrel_halfZ',NULL),('STpc01','TPC_electronics_air_percent',NULL),('STpc01','TPC_electronics_backend_thickness',NULL),('tpc04','TPC_electronics_backend_thickness',NULL),('STpc01','TPC_electronics_cu_percent',NULL),('STpc01','TPC_electronics_kapton_percent',NULL),('etd00','TPC_inner_radius',NULL),('STpc01','TPC_inner_radius',NULL),('tpc04','TPC_inner_radius',NULL),('STpc01','TPC_inner_wall_thickness',NULL),('tpc04','TPC_inner_wall_thickness',NULL),('etd00','TPC_outer_radius',NULL),('SEcal01','TPC_outer_radius',NULL),('STpc01','TPC_outer_radius',NULL),('tpc04','TPC_outer_radius',NULL),('STpc01','TPC_outer_wall_thickness',NULL),('tpc04','TPC_outer_wall_thickness',NULL),('TBdch01','TranslateX',NULL),('TBscint01','TranslateX',NULL),('TBdch01','TranslateY',NULL),('TBscint01','TranslateY',NULL),('SVxd01','TUBE_central_inner_radius',NULL),('STube01','TUBE_central_thickness',NULL),('SVxd01','TUBE_central_thickness',NULL),('proto03','use_tracker',NULL),('SVxd01','VXD_active_silicon_thickness',NULL),('SVxd01','VXD_cryostat_option',NULL),('SVxd01','VXD_end_electronics_thickness',NULL),('STube01','VXD_inner_radius',NULL),('SVxd01','VXD_inner_radius',NULL),('SVxd01','VXD_ladder_number',NULL),('SVxd01','VXD_outer_radius',NULL),('SVxd01','VXD_support_ladder_material',NULL),('SVxd01','VXD_support_ladder_thickness',NULL),('SYoke01','Yoke_Barrel_Half_Z',NULL),('yoke02','Yoke_Barrel_half_z',NULL),('SField01','Yoke_barrel_inner_radius',NULL),('SYoke01','Yoke_barrel_inner_radius',NULL),('yoke02','Yoke_barrel_inner_radius',NULL),('SYoke01','Yoke_endcap_inner_radius',NULL),('yoke02','Yoke_endcap_inner_radius',NULL),('SField01','Yoke_thickness',NULL),('SYoke01','Yoke_thickness',NULL),('yoke02','Yoke_thickness',NULL),('SYoke01','Yoke_Z_start_endcaps',NULL),('yoke02','Yoke_Z_start_endcaps',NULL),('TBfingcount01','configuration_angle',NULL),('TBfingcount01','ecal_begin_z',NULL),('TBfingcount01','TranslateX',NULL),('TBfingcount01','TranslateY',NULL),('TBdch02','configuration_angle',NULL),('TBdch02','ecal_begin_z',NULL),('TBdch02','TranslateX',NULL),('TBdch02','TranslateY',NULL),('TBscint02','configuration_angle',NULL),('TBscint02','ecal_begin_z',NULL),('TBscint02','TranslateX',NULL),('TBscint02','TranslateY',NULL),('SEcal01','Ecal_nlayers3',NULL),('SEcal01','Ecal_radiator_layers_set3_thickness',NULL),('TBdch03','configuration_angle',NULL),('TBfingcount02','configuration_angle',NULL),('TBscint03','configuration_angle',NULL),('TBdch03','ecal_begin_z',NULL),('TBfingcount02','ecal_begin_z',NULL),('TBscint03','ecal_begin_z',NULL),('TBdch03','TranslateX',NULL),('TBfingcount02','TranslateX',NULL),('TBscint03','TranslateX',NULL),('TBdch03','TranslateY',NULL),('TBfingcount02','TranslateY',NULL),('TBscint03','TranslateY',NULL),('tpc05','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc05','TPC_electronics_backend_thickness',NULL),('tpc05','TPC_inner_radius',NULL),('tpc05','TPC_inner_wall_thickness',NULL),('tpc05','TPC_outer_radius',NULL),('tpc05','TPC_outer_wall_thickness',NULL),('yoke03','Yoke_Barrel_Half_Z',NULL),('yoke03','Yoke_barrel_inner_radius',NULL),('yoke03','Yoke_endcap_inner_radius',NULL),('yoke03','Yoke_thickness',NULL),('yoke03','Yoke_Z_start_endcaps',NULL),('yoke03','Yoke_with_plug',NULL),('TBmuoncount01','configuration_angle',NULL),('TBmuoncount01','TranslateX',NULL),('TBmuoncount01','TranslateY',NULL),('TBcerenkov01','ecal_begin_z',NULL),('TBcerenkov01','configuration_angle',NULL),('TBcerenkov01','TranslateX',NULL),('TBcerenkov01','TranslateY',NULL),('TBhcal06','Hcal_layer_pattern',NULL),('TBcatcher05','configuration_angle',NULL),('SEcal02','Ecal_Alveolus_Air_Gap','0.5'),('SEcal02','Ecal_Slab_shielding','0.1'),('SEcal02','Ecal_Slab_copper_thickness','0.4'),('SEcal02','Ecal_Slab_PCB_thickness','0.8'),('SEcal02','Ecal_Slab_glue_gap','0.1'),('SEcal02','Ecal_Slab_ground_thickness','0.1'),('TBhcal04','Hcal_layer_pattern',NULL),('SEcal02','Ecal_barrel_number_of_towers','5'),('SEcal02','Ecal_Barrel_halfZ','2288'),('SEcal02','Ecal_guard_ring_size','1'),('SEcal02','Ecal_front_face_thickness','2'),('SEcal02','Ecal_support_thickness','15'),('SEcal02','Ecal_lateral_face_thickness','2'),('SEcal02','Ecal_fiber_thickness','.15'),('SEcal02','Ecal_Si_thickness','.32'),('SEcal02','Ecal_radiator_material',NULL),('SEcal02','TPC_outer_radius',NULL),('SEcal02','Ecal_Tpc_gap',NULL),('SEcal02','Ecal_radiator_layers_set1_thickness',NULL),('SEcal02','Ecal_radiator_layers_set2_thickness',NULL),('SEcal02','Ecal_radiator_layers_set3_thickness',NULL),('SEcal02','Ecal_cells_size','4.888888'),('SEcal02','Ecal_cables_gap',NULL),('SEcal02','Ecal_endcap_center_box_size','800.0'),('SEcal02','Ecal_endcap_extra_size',NULL),('SEcal02','Ecal_nlayers1',NULL),('SEcal02','Ecal_nlayers2','9'),('SEcal02','Ecal_nlayers3',NULL),('SEcal02','Ecal_Slab_H_fiber_thickness','0.55'),('TBhcal05','Hcal_layer_pattern',NULL),('TBhcal05','configuration_angle',NULL),('TBcatcher05','Tcmt_layer_pattern',NULL),('TBmuoncount02','configuration_angle',NULL),('TBmuoncount02','TranslateX',NULL),('TBmuoncount02','TranslateY',NULL),('proto04','shift_module1',NULL),('proto04','shift_module3',NULL),('proto04','use_tracker',NULL),('TBfingcount01_01','TranslateX',NULL),('TBfingcount01_01','TranslateY',NULL),('TBdch02_01','TranslateX',NULL),('TBdch02_01','TranslateY',NULL),('TBscint02_01','TranslateX',NULL),('TBscint02_01','TranslateY',NULL),('TBdch03_01','TranslateX',NULL),('TBfingcount02_01','TranslateX',NULL),('TBscint03_01','TranslateX',NULL),('TBdch03_01','TranslateY',NULL),('TBfingcount02_01','TranslateY',NULL),('TBscint03_01','TranslateY',NULL),('TBmuoncount01_01','TranslateX',NULL),('TBmuoncount01_01','TranslateY',NULL),('TBcerenkov01_01','TranslateX',NULL),('TBcerenkov01_01','TranslateY',NULL),('TBcatcher05_01','configuration_angle',NULL),('TBhcal05_01','Hcal_layer_pattern',NULL),('TBcatcher05_01','Tcmt_layer_pattern',NULL),('TBmuoncount02_01','TranslateX',NULL),('TBmuoncount02_01','TranslateY',NULL),('proto04_01','shift_module1',NULL),('proto04_01','shift_module3',NULL),('proto04_01','use_tracker',NULL),('proto04_01','configuration_angle',NULL),('proto04_01','EcalRotationAngle',NULL),('proto04_01','EcalTranslateX',NULL),('proto04_01','EcalTranslateY',NULL),('TBhcal05_01','HcalRotationAngle',NULL),('TBhcal05_01','HcalTranslateX',NULL),('TBhcal05_01','HcalTranslateY',NULL),('TBcatcher05_01','TCMTRotationAngle',NULL),('TBcatcher05_01','TCMTTranslateX',NULL),('TBcatcher05_01','TCMTTranslateY',NULL),('SLcal01','Lcal_layer_gap',NULL),('SLcal01','Lcal_silicon_thickness',NULL),('SLcal01','Lcal_support_thickness',NULL),('SLcal01','Lcal_tungsten_thickness',NULL),('SLcal01','Lcal_phi_offset',NULL),('SLcal01','Lcal_z_begin',NULL),('SLcal01','Lcal_n_layers',NULL),('SLcal01','Lcal_nstrips_phi',NULL),('SLcal01','Lcal_nstrips_theta',NULL),('SLcal01','Lcal_outer_radius',NULL),('SLcal01','Lcal_inner_radius',NULL),('SLcal01','Lcal_type',NULL),('STube01','Lcal_silicon_thickness',NULL),('STube01','Lcal_tungsten_thickness',NULL),('STube01','Lcal_phi_offset',NULL),('STube01','Lcal_z_begin',NULL),('STube01','Lcal_n_layers',NULL),('STube01','Lcal_nstrips_phi',NULL),('STube01','Lcal_nstrips_theta',NULL),('STube01','Lcal_outer_radius',NULL),('STube01','Lcal_inner_radius',NULL),('STube01','Lcal_type',NULL),('STube01','TUBE_opening_angle',NULL),('SFtd01','TUBE_opening_angle',NULL),('STubeX00','Coil_extra_size',NULL),('STubeX00','Lcal_layer_gap',NULL),('STubeX00','Lcal_support_thickness',NULL),('STubeX00','Lcal_silicon_thickness',NULL),('STubeX00','Lcal_tungsten_thickness',NULL),('STubeX00','Lcal_phi_offset',NULL),('STubeX00','Lcal_z_begin',NULL),('STubeX00','Lcal_n_layers',NULL),('STubeX00','Lcal_nstrips_phi',NULL),('STubeX00','Lcal_nstrips_theta',NULL),('STubeX00','Lcal_outer_radius',NULL),('STubeX00','Lcal_inner_radius',NULL),('STubeX00','Lcal_type',NULL),('STubeX00','TUBE_opening_angle',NULL),('STubeX00','VXD_inner_radius',NULL),('STubeX00','TUBE_central_thickness',NULL),('STubeX00','TUBE_crossing_angle',NULL),('SLcal01','TUBE_crossing_angle',NULL),('SFieldX00','TUBE_crossing_angle',NULL),('SMaskX00','Lcal_z_begin',NULL),('SMaskX00','Lcal_n_layers',NULL),('SMaskX00','Lcal_layer_gap',NULL),('SMaskX00','TUBE_crossing_angle',NULL),('SMaskX00','Lcal_silicon_thickness',NULL),('SMaskX00','Lcal_tungsten_thickness',NULL),('SMaskX00','Lcal_support_thickness',NULL),('TBdchX02','configuration_angle',NULL),('TBdchX02','ecal_begin_z',NULL),('TBdchX02','TranslateX',NULL),('TBdchX02','TranslateY',NULL),('TBdchY02','configuration_angle',NULL),('TBdchY02','ecal_begin_z',NULL),('TBdchY02','TranslateX',NULL),('TBdchY02','TranslateY',NULL),('TBdchXY02','configuration_angle',NULL),('TBdchXY02','ecal_begin_z',NULL),('TBdchXY02','TranslateX',NULL),('TBdchXY02','TranslateY',NULL),('TBdchXY03','configuration_angle',NULL),('TBdchXY03','ecal_begin_z',NULL),('TBdchXY03','TranslateX',NULL),('TBdchXY03','TranslateY',NULL),('SHcal03','Ecal_endcap_zmax',NULL),('SHcal03','Ecal_outer_radius',NULL),('SHcal03','Hcal_back_plate_thickness','47'),('SHcal03','Hcal_barrel_end_module_type',NULL),('SHcal03','Hcal_cells_size',NULL),('SHcal03','Hcal_Ecal_gap',NULL),('SHcal03','Hcal_endcap_cables_gap',NULL),('SHcal03','Hcal_endcap_center_box_size',NULL),('SHcal03','Hcal_fiber_gap',NULL),('SHcal03','Hcal_lateral_structure_thickness',NULL),('SHcal03','Hcal_modules_gap',NULL),('SHcal03','Hcal_nlayers','42'),('SHcal03','Hcal_outer_radius',NULL),('SHcal03','Hcal_radiator_material',NULL),('SHcal03','Hcal_radiator_thickness','20'),('SHcal03','Hcal_R_max',NULL),('SHcal03','Hcal_sensitive_model',NULL),('SHcal03','Hcal_stave_gaps',NULL),('SHcal03','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcal03','Hcal_ring',NULL),('SHcal03','Hcal_endcap_ecal_gap',NULL),('SHcal03','Ecal_endcap_zmin',NULL),('SHcal03','Ecal_endcap_outer_radius',NULL),('SHcal03','Hcal_radial_ring_inner_gap',NULL),('TBcerenkov02','cherenPressure',NULL),('TBcerenkov02','cherenGasType',NULL),('proto05','Ecal_slab_pattern',NULL),('proto05','EcalTranslateY',NULL),('proto05','EcalRotationAngle',NULL),('proto05','EcalTranslateX',NULL),('proto05','shift_module1',NULL),('proto05','shift_module3',NULL),('proto05','use_tracker',NULL),('TBcatcher06','Tcmt_layer_pattern',NULL),('TBcatcher06','TCMTRotationAngle',NULL),('TBcatcher06','TCMTTranslateX',NULL),('TBcatcher06','TCMTTranslateY',NULL),('TBhcal06','HcalRotationAngle',NULL),('TBhcal06','HcalTranslateX',NULL),('TBhcal06','HcalTranslateY',NULL),('TBhcal06','configuration_angle',NULL),('tubeX01','VXD_inner_radius',NULL),('tubeX01','Ecal_endcap_zmax',NULL),('tubeX01','ILC_Main_Crossing_Angle',NULL),('maskX01','Ecal_endcap_zmax',NULL),('maskX01','ILC_Main_Crossing_Angle',NULL),('fieldX01','ILC_Main_Crossing_Angle',NULL),('proto05','configuration_angle',NULL),('SFtd02','TUBE_opening_angle',NULL),('tpc06','TPC_outer_wall_thickness','1.78'),('tpc06','TPC_outer_radius',NULL),('tpc06','TPC_inner_wall_thickness',NULL),('tpc06','TPC_inner_radius',NULL),('tpc06','TPC_electronics_backend_thickness','100'),('tpc06','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc06','TPC_max_step_length',NULL),('tpc06','TPC_pad_height',NULL),('tpc06','TPC_pad_width',NULL),('SHcal03','Hcal_digitization_tile_size',NULL),('SEcal02','Lcal_outer_radius',NULL),('SEcal02','Ecal_Lcal_ring_gap',NULL),('SEcal02','TUBE_crossing_angle',''),('TBcatcher06','configuration_angle',NULL),('TBcatcher06','dist_hcal_tcmt',NULL),('SVxd02','VXD_width_r1',NULL),('SVxd02','VXD_width_r2',NULL),('SVxd02','VXD_width_r3',NULL),('SVxd02','VXD_width_r4',NULL),('SVxd02','VXD_width_r5',NULL),('SVxd02','VXD_length_r1',NULL),('SVxd02','VXD_length_r2',NULL),('SVxd02','VXD_length_r3',NULL),('SVxd02','VXD_length_r4',NULL),('SVxd02','VXD_length_r5',NULL),('SVxd02','VXD_inner_radius',NULL),('SVxd02','VXD_radius_r2',NULL),('SVxd02','VXD_radius_r3',NULL),('SVxd02','VXD_radius_r4',NULL),('SVxd02','VXD_radius_r5',NULL),('STube01','VXD_length_r1',NULL),('STube01','VXD_radius_r1',NULL),('tubeX01','VXD_radius_r1',NULL),('STubeX00','VXD_radius_r1',NULL),('SVxd02','VXD_side_band_electronics_thickness',NULL),('SVxd02','VXD_side_band_electronics_width',NULL),('SVxd02','VXD_side_band_electronics_option',NULL),('SVxd02','VXD_end_ladd_electronics_option',NULL),('SVxd02','VXD_end_ladd_electronics_half_length',NULL),('SVxd02','VXD_end_ladd_electronics_thickness',NULL),('SVxd02','VXD_support_ladder_material',NULL),('SVxd02','VXD_support_ladder_thickness',NULL),('SVxd02','VXD_active_silicon_thickness',NULL),('SVxd02','VXD_cryostat_option',NULL),('SVxd02','VXD_radius_r1',NULL),('SEcal03','Ecal_Alveolus_Air_Gap','0.5'),('SEcal03','Ecal_Slab_shielding','0.1'),('SEcal03','Ecal_Slab_copper_thickness','0.4'),('SEcal03','Ecal_Slab_PCB_thickness','0.8'),('SEcal03','Ecal_Slab_glue_gap','0.1'),('SEcal03','Ecal_Slab_ground_thickness','0.1'),('SEcal03','Ecal_barrel_number_of_towers','5'),('SEcal03','Ecal_Barrel_halfZ','2288'),('SEcal03','Ecal_guard_ring_size','0.5'),('SEcal03','Ecal_front_face_thickness','2'),('SEcal03','Ecal_support_thickness',NULL),('SEcal03','Ecal_lateral_face_thickness','2'),('SEcal03','Ecal_fiber_thickness','.15'),('SEcal03','Ecal_Si_thickness','.5'),('SEcal03','Ecal_radiator_material',NULL),('SEcal03','TPC_outer_radius',NULL),('SEcal03','Ecal_Tpc_gap',NULL),('SEcal03','Ecal_radiator_layers_set1_thickness',NULL),('SEcal03','Ecal_radiator_layers_set2_thickness',NULL),('SEcal03','Ecal_radiator_layers_set3_thickness',NULL),('SEcal03','Ecal_cells_size','4.9'),('SEcal03','Ecal_cables_gap',NULL),('SEcal03','Ecal_endcap_center_box_size','800.0'),('SEcal03','Ecal_endcap_extra_size','71.22'),('SEcal03','Ecal_nlayers1',NULL),('SEcal03','Ecal_nlayers2','9'),('SEcal03','Ecal_nlayers3',NULL),('SEcal03','Ecal_Slab_H_fiber_thickness','0.55'),('SEcal03','Lcal_outer_radius',NULL),('SEcal03','Ecal_Lcal_ring_gap',NULL),('SEcal03','TUBE_crossing_angle',''),('SVxd02','VXD_active_side_band_electronics_option',NULL),('SVxd03','VXD_width_r1',NULL),('SVxd03','VXD_width_r3',NULL),('SVxd03','VXD_width_r5',NULL),('SVxd03','VXD_length_r1',NULL),('SVxd03','VXD_length_r3',NULL),('SVxd03','VXD_length_r5',NULL),('SVxd03','VXD_inner_radius',NULL),('SVxd03','VXD_radius_r3',NULL),('SVxd03','VXD_radius_r5',NULL),('SVxd03','VXD_side_band_electronics_thickness',NULL),('SVxd03','VXD_side_band_electronics_width',NULL),('SVxd03','VXD_side_band_electronics_option',NULL),('SVxd03','VXD_end_ladd_electronics_option',NULL),('SVxd03','VXD_end_ladd_electronics_half_length',NULL),('SVxd03','VXD_end_ladd_electronics_thickness',NULL),('SVxd03','VXD_radius_r1',NULL),('SVxd03','VXD_support_ladder_thickness',NULL),('SVxd03','VXD_support_ladder_material',NULL),('SVxd03','VXD_active_silicon_thickness',NULL),('SVxd03','VXD_cryostat_option',NULL),('SVxd03','VXD_layer_gap',NULL),('SVxd03','VXD_active_side_band_electronics_option',NULL),('SHcal04','Ecal_endcap_zmax',NULL),('SHcal04','Ecal_outer_radius',NULL),('SHcal04','Hcal_cells_size','10'),('SHcal04','Hcal_Ecal_gap',NULL),('SHcal04','Hcal_endcap_cables_gap',NULL),('SHcal04','Hcal_endcap_center_box_size',NULL),('SHcal04','Hcal_fiber_gap',NULL),('SHcal04','Hcal_lateral_structure_thickness',NULL),('SHcal04','Hcal_modules_gap',NULL),('SHcal04','Hcal_nlayers','48'),('SHcal04','Hcal_outer_radius',NULL),('SHcal04','Hcal_radiator_material','stainless_steel'),('SHcal04','Hcal_radiator_thickness','20'),('SHcal04','Hcal_R_max',NULL),('SHcal04','Hcal_stave_gaps',NULL),('SHcal04','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcal04','Hcal_ring',NULL),('SHcal04','Hcal_endcap_ecal_gap',NULL),('SHcal04','Ecal_endcap_zmin',NULL),('SHcal04','Ecal_endcap_outer_radius',NULL),('SHcal04','Hcal_radial_ring_inner_gap',NULL),('SHcal04','Hcal_chamber_thickness','6.5'),('SHcal04','PCB_Thickness',NULL),('SHcal04','mylar_ThicknessAnode',NULL),('SHcal04','mylar_ThicknessCathode',NULL),('SHcal04','Graphite_ThicknessAnode',NULL),('SHcal04','Graphite_ThicknessCathode',NULL),('SHcal04','ThinGlass',NULL),('SHcal04','Gap_Thickness',NULL),('SHcal04','ThickGlass',NULL),('SHcal04','EdgeWidth','1.0'),('SHcal04','GazInletInnerRadius',NULL),('SHcal04','GazInletOuterRadius',NULL),('SHcal04','GazInletLength',NULL),('SHcal04','ChipPackageThickness',NULL),('SHcal04','Hcal_barrel_number_modules',NULL),('SHcal04','PadSeparation','0.408'),('proto04_02','shift_module1',NULL),('proto04_02','shift_module3',NULL),('proto04_02','use_tracker',NULL),('proto04_02','EcalRotationAngle',NULL),('proto04_02','EcalTranslateX',NULL),('proto04_02','EcalTranslateY',NULL),('SHcalSc01','Hcal_layer_support_length','5'),('SHcalSc01','Hcal_layer_air_gap','2'),('SHcalSc01','Hcal_middle_stave_gaps','6'),('SHcalSc01','Hcal_apply_Birks_law','1'),('SHcalSc01','Hcal_chamber_thickness','6.5'),('SHcalSc01','Ecal_endcap_zmax',NULL),('SHcalSc01','Ecal_outer_radius',NULL),('SHcalSc01','Hcal_back_plate_thickness','2'),('SHcalSc01','Hcal_barrel_end_module_type',NULL),('SHcalSc01','Hcal_cells_size','30'),('SHcalSc01','Hcal_Ecal_gap','14.7'),('SHcalSc01','Hcal_endcap_cables_gap',NULL),('SHcalSc01','Hcal_endcap_center_box_size',NULL),('SHcalSc01','Hcal_fiber_gap',NULL),('SHcalSc01','Hcal_lateral_structure_thickness',NULL),('SHcalSc01','Hcal_modules_gap',NULL),('SHcalSc01','Hcal_nlayers','48'),('SHcalSc01','Hcal_outer_radius',NULL),('SHcalSc01','Hcal_radiator_material',NULL),('SHcalSc01','Hcal_radiator_thickness','20'),('SHcalSc01','Hcal_R_max',NULL),('SHcalSc01','Hcal_sensitive_model','scintillator'),('SHcalSc01','Hcal_stave_gaps','6'),('SHcalSc01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcalSc01','Hcal_ring',NULL),('SHcalSc01','Hcal_endcap_ecal_gap',NULL),('SHcalSc01','Ecal_endcap_zmin',NULL),('SHcalSc01','Ecal_endcap_outer_radius',NULL),('SHcalSc01','Hcal_radial_ring_inner_gap',NULL),('SHcalSc01','Hcal_digitization_tile_size',NULL),('SSit02','VXD_outer_radius',NULL),('SFtd03','TUBE_opening_angle',NULL),('SSit02','VXD_length_r5',NULL),('SFtd03','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SEtd01','TPC_inner_radius',NULL),('SEtd01','TPC_outer_radius',NULL),('SEtd01','Ecal_endcap_zmin',NULL),('SSet01','TPC_outer_radius',NULL),('SSet01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SSet01','TPC_ECal_gap',NULL),('SSet01','TPC_inner_radius',NULL),('SHcalSc01','Hcal_endcap_sensitive_center_box','300'),('SFtd02','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc06','Ecal_Tpc_gap',NULL),('BeamCal00','ILC_Main_Crossing_Angle',NULL),('SCoil02','Coil_Yoke_radial_clearance',NULL),('SCoil02','Coil_Yoke_lateral_clearance',NULL),('SCoil02','Hcal_Coil_additional_gap',NULL),('SCoil02','Coil_extra_size',NULL),('SField02','Coil_extra_size',NULL),('SCoil02','Coil_inner_radius',NULL),('SCoil02','Coil_thickness',NULL),('SCoil02','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SCoil02','Hcal_R_max',NULL),('yoke04','Yoke_barrel_inner_radius',NULL),('yoke04','Yoke_Z_start_endcaps',NULL),('yoke04','Yoke_endcap_inner_radius',NULL),('yoke04','Yoke_thickness',NULL),('yoke04','Yoke_with_plug',NULL),('SLHcal01','Ecal_fiber_thickness',NULL),('SLHcal01','Ecal_Alveolus_Air_Gap',NULL),('SLHcal01','Ecal_Slab_shielding',NULL),('SLHcal01','Ecal_Slab_copper_thickness',NULL),('SLHcal01','Ecal_Slab_PCB_thickness',NULL),('SLHcal01','Ecal_Slab_glue_gap',NULL),('SLHcal01','Ecal_Slab_ground_thickness',NULL),('SLHcal01','Ecal_Si_thickness',NULL),('SLHcal01','Hcal_endcap_center_box_size',NULL),('SLHcal01','Hcal_endcap_zmin',NULL),('SLHcal01','LHcal_zmin_displacement',NULL),('SLHcal01','LHcal_radiator_thickness',NULL),('SLHcal01','LHcal_cell_size',NULL),('SLHcal01','LHcal_inner_radius',NULL),('SLHcal01','TUBE_crossing_angle',NULL),('SLHcal01','LHcal_nlayers',NULL),('SLHcal01','LHcal_lateral_face_thickness',NULL),('SHcalSc01','Hcal_endcap_zmin',NULL),('SLHcal01','LHcal_Electronics_space',NULL),('SHcalSc02','Hcal_layer_support_length','5'),('SHcalSc02','Hcal_layer_air_gap','2'),('SHcalSc02','Hcal_middle_stave_gaps','6'),('SHcalSc02','Hcal_apply_Birks_law','1'),('SHcalSc02','Hcal_chamber_thickness','6.5'),('SHcalSc02','Ecal_endcap_zmax',NULL),('SHcalSc02','Ecal_outer_radius',NULL),('SHcalSc02','Hcal_back_plate_thickness','2'),('SHcalSc02','Hcal_barrel_end_module_type',NULL),('SHcalSc02','Hcal_cells_size','30'),('SHcalSc02','Hcal_Ecal_gap','14.7'),('SHcalSc02','Hcal_endcap_cables_gap',NULL),('SHcalSc02','Hcal_endcap_center_box_size','700'),('SHcalSc02','Hcal_fiber_gap',NULL),('SHcalSc02','Hcal_lateral_structure_thickness',NULL),('SHcalSc02','Hcal_modules_gap',NULL),('SHcalSc02','Hcal_nlayers','48'),('SHcalSc02','Hcal_outer_radius',NULL),('SHcalSc02','Hcal_radiator_material',NULL),('SHcalSc02','Hcal_radiator_thickness','20'),('SHcalSc02','Hcal_R_max',NULL),('SHcalSc02','Hcal_sensitive_model','scintillator'),('SHcalSc02','Hcal_stave_gaps','6'),('SHcalSc02','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcalSc02','Hcal_ring',NULL),('SHcalSc02','Hcal_endcap_ecal_gap',NULL),('SHcalSc02','Ecal_endcap_zmin',NULL),('SHcalSc02','Ecal_endcap_outer_radius',NULL),('SHcalSc02','Hcal_radial_ring_inner_gap',NULL),('SHcalSc02','Hcal_digitization_tile_size',NULL),('SHcalSc02','Hcal_endcap_sensitive_center_box','300'),('SHcalSc02','Hcal_endcap_zmin',NULL),('SEcal03','Ecal_EC_Ring_gap',NULL),('SSit03','TPC_inner_radius',NULL),('SSit03','VXD_outer_radius',NULL),('SSit03','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SFtd04','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SFtd04','TPC_inner_radius',NULL),('SFtd04','Ecal_endcap_zmin',NULL),('SFtd04','VXD_length_r3',NULL),('SFtd04','TUBE_IPOuterTube_start_z',NULL),('SFtd04','TUBE_IPOuterTube_end_z',NULL),('SFtd04','TUBE_IPOuterBulge_end_z',NULL),('SFtd04','TUBE_IPOuterTube_start_radius',NULL),('SFtd04','TUBE_IPOuterTube_end_radius',NULL),('SFtd04','TUBE_IPOuterBulge_end_radius',NULL),('SFtd04','SIT1_Radius',NULL),('SFtd04','SIT2_Radius',NULL),('SFtd04','SIT1_Half_Length_Z',NULL),('SFtd04','SIT2_Half_Length_Z',NULL),('SSit03','SIT1_Radius',NULL),('SSit03','SIT2_Radius',NULL),('SSit03','SIT1_Half_Length_Z',NULL),('SSit03','SIT2_Half_Length_Z',NULL),('tubeX01','TUBE_IPOuterTube_start_z',NULL),('tubeX01','TUBE_IPOuterTube_end_z',NULL),('tubeX01','TUBE_IPOuterBulge_end_z',NULL),('tubeX01','TUBE_IPOuterTube_start_radius',NULL),('tubeX01','TUBE_IPOuterTube_end_radius',NULL),('tubeX01','TUBE_IPOuterBulge_end_radius',NULL),('SEtd02','TPC_outer_radius',NULL),('SEtd02','Ecal_endcap_zmin',NULL),('SEtd02','Ecal_endcap_center_box_size',NULL),('SSet02','TPC_outer_radius',NULL),('SSet02','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcal04','Hcal_MinNumCellsInTransvPlane','16'),('SLcal02','Ecal_Lcal_ring_gap',NULL),('SLcal02','Ecal_endcap_zmax',NULL),('SLcal02','Ecal_endcap_zmin',NULL),('SLcal02','Ecal_endcap_plug_rmin',NULL),('SLcal02','Lcal_layer_gap',NULL),('SLcal02','Lcal_silicon_thickness',NULL),('SLcal02','Lcal_support_thickness',NULL),('SLcal02','Lcal_tungsten_thickness',NULL),('SLcal02','Lcal_phi_offset',NULL),('SLcal02','Lcal_z_begin',NULL),('SLcal02','Lcal_z_thickness',NULL),('SLcal02','Lcal_n_layers',NULL),('SLcal02','Lcal_nstrips_phi',NULL),('SLcal02','Lcal_nstrips_theta',NULL),('SLcal02','Lcal_outer_radius',NULL),('SLcal02','Lcal_inner_radius',NULL),('SLcal02','Lcal_beam_pipe_clearance',NULL),('SLcal02','Lcal_type',NULL),('SLcal02','ILC_Main_Crossing_Angle',NULL),('tubeX01','Lcal_z_begin',NULL),('tubeX01','Lcal_inner_radius',NULL),('tubeX01','Lcal_outer_radius',NULL),('tubeX01','Lcal_beam_pipe_clearance',NULL),('tubeX01','LHcal_inner_radius',NULL),('tubeX01','LHcal_zend',NULL),('masxX01','LHcal_zend',NULL),('maskX02','LHcal_zend',NULL),('maskX01','LHcal_zend',NULL),('SBcal01','LHcal_zend',NULL),('SBcal01','ILC_Main_Crossing_Angle',NULL),('SSet02','Ecal_Tpc_gap',NULL),('maskX01','LHcal_inner_radius',NULL),('proto03','g10MaterialName','g10_2.64gccm'),('proto04','g10MaterialName','g10_2.64gccm'),('proto04_01','g10MaterialName','g10_2.64gccm'),('proto04_02','g10MaterialName','g10_2.64gccm'),('proto05','g10MaterialName','g10_2.64gccm'),('fieldX02','Field_nominal_value','4'),('fieldX02','ILC_Main_Crossing_Angle',NULL),('SHcal04','DHcal_max_step','10.0'),('TBhcal06','Hcal_time_cut','150'),('TBhcal06','Hcal_apply_Birks_law','1'),('SEcal04','Ecal_Alveolus_Air_Gap','0.5'),('SEcal04','Ecal_Slab_shielding','0.1'),('SEcal04','Ecal_Slab_copper_thickness','0.4'),('SEcal04','Ecal_Slab_PCB_thickness','0.8'),('SEcal04','Ecal_Slab_glue_gap','0.1'),('SEcal04','Ecal_Slab_ground_thickness','0.1'),('SEcal04','Ecal_barrel_number_of_towers','5'),('SEcal04','Ecal_Barrel_halfZ','2288'),('SEcal04','Ecal_guard_ring_size','0.5'),('SEcal04','Ecal_front_face_thickness','2'),('SEcal04','Ecal_support_thickness',NULL),('SEcal04','Ecal_lateral_face_thickness','2'),('SEcal04','Ecal_fiber_thickness','.15'),('SEcal04','Ecal_Si_thickness','.5'),('SEcal04','Ecal_radiator_material',NULL),('SEcal04','TPC_outer_radius',NULL),('SEcal04','Ecal_Tpc_gap',NULL),('SEcal04','Ecal_radiator_layers_set1_thickness',NULL),('SEcal04','Ecal_radiator_layers_set2_thickness',NULL),('SEcal04','Ecal_radiator_layers_set3_thickness',NULL),('SEcal04','Ecal_cells_size','4.9'),('SEcal04','Ecal_cables_gap',NULL),('SEcal04','Ecal_endcap_center_box_size','800.0'),('SEcal04','Ecal_endcap_extra_size','71.22'),('SEcal04','Ecal_nlayers1',NULL),('SEcal04','Ecal_nlayers2','9'),('SEcal04','Ecal_nlayers3',NULL),('SEcal04','Ecal_Slab_H_fiber_thickness','0.55'),('SEcal04','Lcal_outer_radius',NULL),('SEcal04','Ecal_Lcal_ring_gap',NULL),('SEcal04','TUBE_crossing_angle',''),('SEcal04','Ecal_EC_Ring_gap',NULL),('tpc07','TPC_outer_wall_thickness',NULL),('tpc07','TPC_outer_radius',NULL),('tpc07','TPC_inner_wall_thickness',NULL),('tpc07','TPC_inner_radius',NULL),('tpc07','TPC_electronics_backend_thickness',NULL),('tpc07','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc07','TPC_max_step_length',NULL),('tpc07','TPC_pad_height',NULL),('tpc07','TPC_pad_width',NULL),('tpc07','Ecal_Tpc_gap',NULL),('fieldX03','Field_nominal_value','3.5'),('fieldX03','ILC_Main_Crossing_Angle',NULL),('SFtd05','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SFtd05','TPC_inner_radius',NULL),('SFtd05','Ecal_endcap_zmin',NULL),('SFtd05','VXD_length_r3',NULL),('SFtd05','TUBE_IPOuterTube_start_z',NULL),('SFtd05','TUBE_IPOuterTube_end_z',NULL),('SFtd05','TUBE_IPOuterBulge_end_z',NULL),('SFtd05','TUBE_IPOuterTube_start_radius',NULL),('SFtd05','TUBE_IPOuterTube_end_radius',NULL),('SFtd05','TUBE_IPOuterBulge_end_radius',NULL),('SFtd05','SIT1_Radius',NULL),('SFtd05','SIT2_Radius',NULL),('SFtd05','SIT1_Half_Length_Z',NULL),('SFtd05','SIT2_Half_Length_Z',NULL),('SEcal04Gas','Ecal_Alveolus_Air_Gap','0.5'),('SEcal04Gas','Ecal_Slab_shielding','0.1'),('SEcal04Gas','Ecal_Slab_copper_thickness','0.4'),('SEcal04Gas','Ecal_Slab_PCB_thickness','0.8'),('SEcal04Gas','Ecal_Slab_glue_gap','0.1'),('SEcal04Gas','Ecal_Slab_ground_thickness','0.1'),('SEcal04Gas','Ecal_barrel_number_of_towers','5'),('SEcal04Gas','Ecal_Barrel_halfZ','2288'),('SEcal04Gas','Ecal_guard_ring_size','0.5'),('SEcal04Gas','Ecal_front_face_thickness','2'),('SEcal04Gas','Ecal_support_thickness',NULL),('SEcal04Gas','Ecal_lateral_face_thickness','2'),('SEcal04Gas','Ecal_fiber_thickness','.15'),('SEcal04Gas','Ecal_Si_thickness','.5'),('SEcal04Gas','Ecal_radiator_material',NULL),('SEcal04Gas','TPC_outer_radius',NULL),('SEcal04Gas','Ecal_Tpc_gap',NULL),('SEcal04Gas','Ecal_radiator_layers_set1_thickness',NULL),('SEcal04Gas','Ecal_radiator_layers_set2_thickness',NULL),('SEcal04Gas','Ecal_radiator_layers_set3_thickness',NULL),('SEcal04Gas','Ecal_cells_size','4.9'),('SEcal04Gas','Ecal_cables_gap',NULL),('SEcal04Gas','Ecal_endcap_center_box_size','800.0'),('SEcal04Gas','Ecal_endcap_extra_size','71.22'),('SEcal04Gas','Ecal_nlayers1',NULL),('SEcal04Gas','Ecal_nlayers2','9'),('SEcal04Gas','Ecal_nlayers3',NULL),('SEcal04Gas','Ecal_Slab_H_fiber_thickness','0.55'),('SEcal04Gas','Lcal_outer_radius',NULL),('SEcal04Gas','Ecal_Lcal_ring_gap',NULL),('SEcal04Gas','TUBE_crossing_angle',''),('SEcal04Gas','Ecal_EC_Ring_gap',NULL),('TBhcal07','Hcal_layer_pattern',NULL),('TBhcal07','HcalRotationAngle',NULL),('TBhcal07','HcalTranslateX',NULL),('TBhcal07','HcalTranslateY',NULL),('TBhcal07','configuration_angle',NULL),('TBhcal07','Hcal_time_cut','150'),('TBhcal07','Hcal_apply_Birks_law','1'),('SEcal03','Ecal_sensitive_material',NULL),('SLcal03','Ecal_Lcal_ring_gap',NULL),('SLcal03','Ecal_endcap_zmax',NULL),('SLcal03','Ecal_endcap_zmin',NULL),('SLcal03','Ecal_endcap_plug_rmin',NULL),('SLcal03','Lcal_layer_gap',NULL),('SLcal03','Lcal_silicon_thickness',NULL),('SLcal03','Lcal_support_thickness',NULL),('SLcal03','Lcal_tungsten_thickness',NULL),('SLcal03','Lcal_phi_offset',NULL),('SLcal03','Lcal_z_begin',NULL),('SLcal03','Lcal_z_thickness',NULL),('SLcal03','Lcal_n_layers',NULL),('SLcal03','Lcal_nstrips_phi',NULL),('SLcal03','Lcal_nstrips_theta',NULL),('SLcal03','Lcal_outer_radius',NULL),('SLcal03','Lcal_inner_radius',NULL),('SLcal03','Lcal_beam_pipe_clearance',NULL),('SLcal03','Lcal_type',NULL),('SLcal03','ILC_Main_Crossing_Angle',NULL),('SLcal03','Lcal_n_tiles',NULL),('SLcal03','Lcal_tile_gap',NULL),('SLcal03','Lcal_extra_size',NULL),('SLcal03','Lcal_sensor_phi_offset',NULL),('SHcalSc02','Hcal_endcap_radiator_thickness','20'),('SHcalSc02','Hcal_endcap_radiator_material','Iron'),('SHcalSc02','Hcal_endcap_nlayers','48'),('etd','Ecal_endcap_zmin',NULL),('SEcal04','Ecal_Slab_Sc_PCB_thickness',NULL),('SEcal04','Ecal_Sc_thickness',NULL),('SEcal04','Ecal_Sc_reflector_thickness',NULL),('SEcal04','Ecal_MPPC_size',NULL),('SEcal04','Ecal_Sc_MPPC_breadth',NULL),('SEcal04','Ecal_Sc_N_strips_across_module',NULL),('SEcal04','Ecal_Sc_Si_mix',NULL),('SEcal04','Ecal_Sc_number_of_virtual_cells',NULL),('BeamCal01','ILC_Main_Crossing_Angle',NULL),('BeamCal01','LHcal_zend','3085'),('BeamCal01','BCal_TubeIncomingRadius','15'),('BeamCal01','BCal_rInner','20'),('BeamCal01','BCal_rOuter','150'),('BeamCal01','BCal_nLayers','30'),('BeamCal01','BCal_PairMonitor','1'),('BeamCal01','BCal_dAbsorber','3.5'),('BeamCal01','BCal_dGraphite','100'),('BeamCal01','BCal_rSegmentation','8'),('BeamCal01','BCal_nWafers','8'),('BeamCal01','BCal_SpanningPhi','320'),('BeamCal01','LHcal_BCal_clearance','390'),('fieldX03','FieldPropagator_LargestAcceptableStep',NULL),('SField01','FieldPropagator_LargestAcceptableStep',NULL),('SField01','Yoke_BField_cutoff',NULL),('SServices00','tpcEndplateServicesRing1_ro',NULL),('SServices00','tpcEndplateServicesRing2_ro',NULL),('SServices00','tpcEndplateServicesRing3_ro',NULL),('SServices00','tpcEndplateServicesRing4_ro',NULL),('SServices00','tpcEndplateServicesRing5_ro',NULL),('SServices00','tpcEndplateServicesRing6_ro',NULL),('SServices00','tpcEndplateServicesRing7_ro',NULL),('SServices00','tpcEndplateServicesRing8_ro',NULL),('SServices00','tpcEndplateServicesRing1_R',NULL),('SServices00','tpcEndplateServicesRing2_R',NULL),('SServices00','tpcEndplateServicesRing3_R',NULL),('SServices00','tpcEndplateServicesRing4_R',NULL),('SServices00','tpcEndplateServicesRing5_R',NULL),('SServices00','tpcEndplateServicesRing6_R',NULL),('SServices00','tpcEndplateServicesRing7_R',NULL),('SServices00','tpcEndplateServicesRing8_R',NULL),('SServices00','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SServices00','TPC_outer_radius',NULL),('SServices00','Ecal_cables_gap',NULL),('SServices00','Ecal_Tpc_gap',NULL),('SServices00','Ecal_outer_radius',NULL),('SServices00','EcalBarrelServices_RailDistanceToRight',NULL),('SServices00','EcalBarrelServices_RailSeparation',NULL),('SServices00','EcalBarrelServices_RailWidth',NULL),('SServices00','EcalBarrelServices_RailHeight',NULL),('SServices00','Hcal_Ecal_gap',NULL),('SServices00','EcalBarrelServices_ZMinus_SecondInterrail_Cu_Thickness',NULL),('SServices00','EcalBarrelServices_ZMinus_FirstInterrail_Cu_Thickness',NULL),('SServices00','EcalBarrelServices_ZMinus_FirstInterrail_PE_Thickness',NULL),('SServices00','EcalBarrelServices_ZPlus_SecondInterrail_Cu_Thickness',NULL),('SServices00','EcalBarrelServices_ZPlus_FirstInterrail_Cu_Thickness',NULL),('SServices00','EcalBarrelServices_ZPlus_FirstInterrail_PE_Thickness',NULL),('SHcalSc03','Hcal_scintillator_thickness',NULL),('SHcalSc03','Hcal_PCB_thickness',NULL),('SHcalSc03','Hcal_Cu_thickness',NULL),('SHcalSc03','Hcal_steel_cassette_thickness',NULL),('SHcalSc03','Ecal_endcap_outer_radius',NULL),('SHcalSc03','Ecal_endcap_zmax',NULL),('SHcalSc03','Ecal_endcap_zmin',NULL),('SHcalSc03','Ecal_outer_radius',NULL),('SHcalSc03','Hcal_Ecal_gap','30'),('SHcalSc03','Hcal_R_max',NULL),('SHcalSc03','Hcal_apply_Birks_law','1'),('SHcalSc03','Hcal_back_plate_thickness','15'),('SHcalSc03','Hcal_barrel_end_module_type',NULL),('SHcalSc03','Hcal_cells_size','30'),('SHcalSc03','Hcal_endcap_nlayers','48'),('SHcalSc03','Hcal_digitization_tile_size',NULL),('SHcalSc03','Hcal_endcap_cables_gap',NULL),('SHcalSc03','Hcal_endcap_center_box_size','700.0'),('SHcalSc03','Hcal_endcap_ecal_gap',NULL),('SHcalSc03','Hcal_endcap_radiator_material','Iron'),('SHcalSc03','Hcal_endcap_radiator_thickness','20'),('SHcalSc03','Hcal_endcap_sensitive_center_box','0.0'),('SHcalSc03','Hcal_endcap_zmin',NULL),('SHcalSc03','Hcal_lateral_structure_thickness','15'),('SHcalSc03','Hcal_layer_air_gap','2'),('SHcalSc03','Hcal_layer_support_length','0'),('SHcalSc03','Hcal_middle_stave_gaps','10'),('SHcalSc03','Hcal_modules_gap','0'),('SHcalSc03','Hcal_nlayers','48'),('SServices00','Hcal_stave_gaps',NULL),('SHcalSc03','Hcal_radial_ring_inner_gap',NULL),('SHcalSc03','Hcal_radiator_material',NULL),('SHcalSc03','Hcal_radiator_thickness','20'),('SHcalSc03','Hcal_ring',NULL),('SHcalSc03','Hcal_sensitive_model','scintillator'),('SHcalSc03','Hcal_stave_gaps','10'),('SHcalSc03','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SServices00','EcalBarrel_EndCapServices_ZPlus_Cu_Thickness',NULL),('SServices00','EcalBarrel_EndCapServices_ZPlus_PE_Thickness',NULL),('SServices00','EcalBarrel_EndCapServices_ZMinus_Cu_Thickness',NULL),('SServices00','EcalBarrel_EndCapServices_ZMinus_PE_Thickness',NULL),('SFtd06','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SFtd06','TPC_inner_radius',NULL),('SFtd06','Ecal_endcap_zmin',NULL),('SFtd06','VXD_length_r3',NULL),('SFtd06','TUBE_IPOuterTube_start_z',NULL),('SFtd06','TUBE_IPOuterTube_end_z',NULL),('SFtd06','TUBE_IPOuterBulge_end_z',NULL),('SFtd06','TUBE_IPOuterTube_start_radius',NULL),('SFtd06','TUBE_IPOuterTube_end_radius',NULL),('SFtd06','TUBE_IPOuterBulge_end_radius',NULL),('SFtd06','SIT1_Radius',NULL),('SFtd06','SIT2_Radius',NULL),('SFtd06','SIT1_Half_Length_Z',NULL),('SFtd06','SIT2_Half_Length_Z',NULL),('SServices00','Hcal_R_max',NULL),('yoke05','Yoke_barrel_inner_radius',NULL),('yoke05','Yoke_Z_start_endcaps',NULL),('yoke05','Yoke_endcap_inner_radius',NULL),('yoke05','Yoke_thickness',NULL),('yoke05','Yoke_with_plug',NULL),('etd','etd_layer_types',NULL),('etd','etd_layer_positions',NULL),('etd','etd_layer_rotations',NULL),('etd','etd_inner_radius',NULL),('etd','etd_outer_radius',NULL),('etd','etd_plane_border_width',NULL),('etd','etd_radial_border_width',NULL),('etd','etd_module_support_thickness',NULL),('etd','etd_module_support_width',NULL),('etd','etd_module_support_standoff_from_edge',NULL),('etd','etd_endcap_support_mousse_thickness',NULL),('etd','etd_endcap_support_carbon_thickness',NULL),('etd','etd_endcap_support_reinforcement_thickness',NULL),('etd','etd_accuracy_zones',NULL),('etd','etd_sensor_technologies',NULL),('etd','etd_sensor_x_dimensions',NULL),('etd','etd_sensor_y_dimensions',NULL),('etd','etd_sensor_z_dimensions',NULL),('etd','etd_sensors_per_module',NULL),('etd','etd_chips_per_row',NULL),('etd','etd_chips_per_column',NULL),('etd','etd_chip_x_dimensions',NULL),('etd','etd_chip_y_dimensions',NULL),('etd','etd_chip_z_dimensions',NULL),('etd','etd_chip_channels',NULL),('sit','sit_barrel_type',NULL),('sit','sit_barrel_shape',NULL),('sit','sit_barrel_nb_face',NULL),('sit','sit_barrel_radius',NULL),('sit','sit_barrel_length',NULL),('sit','sit_barrel_nb_layers',NULL),('sit','sit_barrel_longitudinal_adjust',NULL),('sit','sit_barrel_nb_sections',NULL),('sit','sit_barrel_symetry',NULL),('sit','sit_barrel_z_position',NULL),('sit','sit_barrel_support_enable',NULL),('sit','sit_barrel_support_type',NULL),('sit','sit_barrel_sensor_technology',NULL),('sit','sit_barrel_sensor_nb_channels_x',NULL),('sit','sit_barrel_sensor_nb_channels_y',NULL),('sit','sit_barrel_sensor_pitch_x',NULL),('sit','sit_barrel_sensor_pitch_y',NULL),('sit','sit_barrel_sensor_width_x',NULL),('sit','sit_barrel_sensor_width_y',NULL),('sit','sit_barrel_sensor_dim_x',NULL),('sit','sit_barrel_sensor_dim_y',NULL),('sit','sit_barrel_sensor_dim_z',NULL),('sit','sit_barrel_nb_chips',NULL),('sit','sit_barrel_chip_nb_channels',NULL),('sit','sit_barrel_chips_per_row',NULL),('sit','sit_barrel_chip_x_dimension',NULL),('sit','sit_barrel_chip_y_dimension',NULL),('sit','sit_barrel_chip_z_dimension',NULL),('sit','sit_barrel_module_nb_x_sensors',NULL),('sit','sit_barrel_module_nb_y_sensors',NULL),('sit','sit_barrel_module_gaps_x',NULL),('sit','sit_barrel_module_gaps_y',NULL),('sit','sit_barrel_module_support_enable',NULL),('sit','sit_barrel_module_support_type',NULL),('sit','sit_barrel_module_support_thickness',NULL),('sit','sit_barrel_module_support_width',NULL),('sit','sit_barrel_module_support_edge',NULL),('sit','sit_barrel_module_direction_angle',NULL),('sit','sit_barrel_module_direction_face',NULL),('sit','sit_barrel_module_rotation_psi',NULL),('sit','sit_barrel_module_rotation_theta',NULL),('sit','sit_barrel_module_rotation_phi',NULL),('sit','sit_barrel_module_shifting_x',NULL),('sit','sit_barrel_module_shifting_y',NULL),('sit','sit_barrel_module_shifting_z',NULL),('set','set_barrel_type',NULL),('set','set_barrel_shape',NULL),('set','set_barrel_nb_face',NULL),('set','set_barrel_radius',NULL),('set','set_barrel_length',NULL),('set','set_barrel_nb_layers',NULL),('set','set_barrel_radial_adjust',NULL),('set','set_barrel_longitudinal_adjust',NULL),('set','set_barrel_nb_sections',NULL),('set','set_barrel_symetry',NULL),('set','set_barrel_z_position',NULL),('set','set_barrel_support_enable',NULL),('set','set_barrel_support_type',NULL),('set','set_barrel_sensor_technology',NULL),('set','set_barrel_sensor_nb_channels_x',NULL),('set','set_barrel_sensor_nb_channels_y',NULL),('set','set_barrel_sensor_pitch_x',NULL),('set','set_barrel_sensor_pitch_y',NULL),('set','set_barrel_sensor_width_x',NULL),('set','set_barrel_sensor_width_y',NULL),('set','set_barrel_sensor_dim_x',NULL),('set','set_barrel_sensor_dim_y',NULL),('set','set_barrel_sensor_dim_z',NULL),('set','set_barrel_nb_chips',NULL),('set','set_barrel_chip_nb_channels',NULL),('set','set_barrel_chips_per_row',NULL),('set','set_barrel_chip_x_dimension',NULL),('set','set_barrel_chip_y_dimension',NULL),('set','set_barrel_chip_z_dimension',NULL),('set','set_barrel_module_nb_x_sensors',NULL),('set','set_barrel_module_nb_y_sensors',NULL),('set','set_barrel_module_gaps_x',NULL),('set','set_barrel_module_gaps_y',NULL),('set','set_barrel_module_support_enable',NULL),('set','set_barrel_module_support_type',NULL),('set','set_barrel_module_support_thickness',NULL),('set','set_barrel_module_support_width',NULL),('set','set_barrel_module_support_edge',NULL),('set','set_barrel_module_direction_angle',NULL),('set','set_barrel_module_direction_face',NULL),('set','set_barrel_module_rotation_psi',NULL),('set','set_barrel_module_rotation_theta',NULL),('set','set_barrel_module_rotation_phi',NULL),('set','set_barrel_module_shifting_x',NULL),('set','set_barrel_module_shifting_y',NULL),('set','set_barrel_module_shifting_z',NULL),('sit','sit_barrel_radial_adjust',NULL),('SServices00','HcalServicesModule_ZPlus_StainlessSteel_Thickness',NULL),('SServices00','HcalServicesModule_ZPlus_PE_Thickness',NULL),('SServices00','HcalServicesModule_ZPlus_Cu_Thickness',NULL),('SServices00','HcalServicesModule_InnerServicesWidth',NULL),('SServices00','HcalServicesModule_ZMinus_PE_Thickness',NULL),('SServices00','HcalServicesModule_ZMinus_Cu_Thickness',NULL),('SServices00','HcalServicesModule_ZMinus_StainlessSteel_Thickness',NULL),('set','TPC_Ecal_Hcal_barrel_halfZ',NULL),('set','TPC_outer_radius',NULL),('set','Ecal_Tpc_gap',NULL),('tpc10','TPC_inner_radius',NULL),('etd','TPC_outer_radius',NULL),('etd','Ecal_endcap_center_box_size',NULL),('clicyoke01','Yoke_barrel_inner_radius',NULL),('clicyoke01','Yoke_Z_start_endcaps',NULL),('clicyoke01','Yoke_endcap_inner_radius',NULL),('clicyoke01','Yoke_thickness',NULL),('clicyoke01','Hcal_R_max',NULL),('clicyoke01','Yoke_with_plug','true'),('SServices00','Hcal_steel_cassette_thickness',NULL),('SServices00','Hcal_back_plate_thickness',NULL),('SServices00','Hcal_nlayers',NULL),('SServices00','Hcal_radiator_thickness','20.0'),('SServices00','HcalServices_outer_Cu_thickness',NULL),('SServices00','HcalServices_outer_FR4_thickness',NULL),('SServices00','BuildHcalElectronicsInterface',NULL),('tpc10','TPC_outer_radius',NULL),('tpc10','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc10','Ecal_Tpc_gap',NULL),('tpc10','TPC_max_step_length',NULL),('tpc10','TPC_pad_height',NULL),('tpc10','TPC_pad_width',NULL),('TBhcal08','HCAL_configuration_angle','0'),('TBhcal08','HcalTranslateX','0'),('TBhcal08','HcalTranslateY','0'),('TBhcal08','HcalRotationAngle','0'),('TBhcal08','Hcal_apply_Birks_law','1'),('TBhcal08','Hcal_time_cut','150'),('SHcalRpc01','Ecal_endcap_zmax',NULL),('SHcalRpc01','Ecal_outer_radius',NULL),('SHcalRpc01','Hcal_cells_size','10'),('SHcalRpc01','Hcal_Ecal_gap',NULL),('SHcalRpc01','Hcal_endcap_cables_gap',NULL),('SHcalRpc01','Hcal_endcap_center_box_size',NULL),('SHcalRpc01','Hcal_fiber_gap',NULL),('SHcalRpc01','Hcal_lateral_structure_thickness',NULL),('SHcalRpc01','Hcal_modules_gap',NULL),('SHcalRpc01','Hcal_nlayers','48'),('SHcalRpc01','Hcal_outer_radius',NULL),('SHcalRpc01','Hcal_radiator_material','stainless_steel'),('SHcalRpc01','Hcal_radiator_thickness','20'),('SHcalRpc01','Hcal_R_max',NULL),('SHcalRpc01','Hcal_stave_gaps',NULL),('SHcalRpc01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcalRpc01','Hcal_ring',NULL),('SHcalRpc01','Hcal_endcap_ecal_gap',NULL),('SHcalRpc01','Ecal_endcap_zmin',NULL),('SHcalRpc01','Ecal_endcap_outer_radius',NULL),('SHcalRpc01','Hcal_radial_ring_inner_gap',NULL),('SHcalRpc01','Hcal_chamber_thickness','6.5'),('SHcalRpc01','PCB_Thickness','1.2'),('SHcalRpc01','mylar_ThicknessAnode',NULL),('SHcalRpc01','mylar_ThicknessCathode','0.18'),('SHcalRpc01','Graphite_ThicknessAnode',NULL),('SHcalRpc01','Graphite_ThicknessCathode','0.05'),('SHcalRpc01','ThinGlass',NULL),('SHcalRpc01','Gap_Thickness',NULL),('SHcalRpc01','ThickGlass',NULL),('SHcalRpc01','EdgeWidth','1.0'),('SHcalRpc01','GazInletInnerRadius',NULL),('SHcalRpc01','GazInletOuterRadius',NULL),('SHcalRpc01','GazInletLength',NULL),('SHcalRpc01','ChipPackageThickness','1.6'),('SHcalRpc01','Hcal_barrel_number_modules',NULL),('SHcalRpc01','PadSeparation','0.408'),('SHcalRpc01','Hcal_MinNumCellsInTransvPlane','16'),('SHcalRpc01','DHcal_max_step','10.0'),('SHcalRpc01','Hcal_back_plate_thickness','15'),('SHcalRpc01','Hcal_spacer_separation',NULL),('SHcalRpc01','Hcal_spacer_thickness',NULL),('SHcalRpc02','Hcal_scintillator_thickness',NULL),('SHcalRpc02','Hcal_PCB_thickness',NULL),('SHcalRpc02','Hcal_Cu_thickness',NULL),('SHcalRpc02','Hcal_steel_cassette_thickness',NULL),('SHcalRpc02','Ecal_endcap_outer_radius',NULL),('SHcalRpc02','Ecal_endcap_zmax',NULL),('SHcalRpc02','Ecal_endcap_zmin',NULL),('SHcalRpc02','Ecal_outer_radius',NULL),('SHcalRpc02','Hcal_Ecal_gap','30'),('SHcalRpc02','Hcal_R_max',NULL),('SHcalRpc02','Hcal_apply_Birks_law','1'),('SHcalRpc02','Hcal_back_plate_thickness','15'),('SHcalRpc02','Hcal_barrel_end_module_type',NULL),('SHcalRpc02','Hcal_cells_size','30'),('SHcalRpc02','Hcal_endcap_nlayers','48'),('SHcalRpc02','Hcal_digitization_tile_size',NULL),('SHcalRpc02','Hcal_endcap_cables_gap',NULL),('SHcalRpc02','Hcal_endcap_center_box_size','700.0'),('SHcalRpc02','Hcal_endcap_ecal_gap',NULL),('SHcalRpc02','Hcal_endcap_radiator_material','Iron'),('SHcalRpc02','Hcal_endcap_radiator_thickness','20'),('SHcalRpc02','Hcal_endcap_sensitive_center_box','0.0'),('SHcalRpc02','Hcal_endcap_zmin',NULL),('SHcalRpc02','Hcal_lateral_structure_thickness',NULL),('SHcalRpc02','Hcal_layer_air_gap','2'),('SHcalRpc02','Hcal_layer_support_length','5'),('SHcalRpc02','Hcal_middle_stave_gaps','6'),('SHcalRpc02','Hcal_modules_gap',NULL),('SHcalRpc02','Hcal_nlayers','48'),('SHcalRpc02','Hcal_radial_ring_inner_gap',NULL),('SHcalRpc02','Hcal_radiator_material',NULL),('SHcalRpc02','Hcal_radiator_thickness','20'),('SHcalRpc02','Hcal_ring',NULL),('SHcalRpc02','Hcal_sensitive_model','scintillator'),('SHcalRpc02','Hcal_stave_gaps','6'),('SHcalRpc02','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcalRpc02','PCB_Thickness','1.2'),('SHcalRpc02','mylar_ThicknessAnode',NULL),('SHcalRpc02','PadSeparation','0.408'),('SHcalRpc02','mylar_ThicknessCathode','0.18'),('SHcalRpc02','Graphite_ThicknessAnode',NULL),('SHcalRpc02','Graphite_ThicknessCathode','0.05'),('SHcalRpc02','ThinGlass',NULL),('SHcalRpc02','Gap_Thickness',NULL),('SHcalRpc02','ThickGlass',NULL),('SHcalRpc02','EdgeWidth','1'),('SHcalRpc02','GazInletInnerRadius',NULL),('SHcalRpc02','GazInletOuterRadius',NULL),('SHcalRpc02','GazInletLength',NULL),('SHcalRpc02','ChipPackageThickness','1.6'),('SHcalRpc02','Hcal_spacer_thickness',NULL),('SHcalRpc02','Hcal_spacer_separation',NULL),('SHcalRpc02','Hcal_chamber_thickness','6.5'),('TEPDetector01','Ecal_Si_thickness','0.05'),('TEPDetector01','Ecal_radiator_layers_set1_thickness','0.05'),('TEPDetector01','Ecal_nlayers1','10'),('TEPDetector01','Ecal_cells_size','1.0'),('TEPDetector01','Ecal_radiator_material','Iron'),('FieldMap4TNoQuad','ILC_Main_Crossing_Angle',NULL),('SHcalSc03','Hcal_fiber_gap','1.7'),('SVxd04','VXD_width_r1',NULL),('SVxd04','VXD_width_r3',NULL),('SVxd04','VXD_width_r5',NULL),('SVxd04','VXD_length_r1',NULL),('SVxd04','VXD_length_r3',NULL),('SVxd04','VXD_length_r5',NULL),('SVxd04','VXD_inner_radius',NULL),('SVxd04','VXD_radius_r3',NULL),('SVxd04','VXD_radius_r5',NULL),('SVxd04','VXD_side_band_electronics_thickness',NULL),('SVxd04','VXD_side_band_electronics_width',NULL),('SVxd04','VXD_side_band_electronics_option',NULL),('SVxd04','VXD_end_ladd_electronics_option',NULL),('SVxd04','VXD_end_ladd_electronics_half_length',NULL),('SVxd04','VXD_end_ladd_electronics_thickness',NULL),('SVxd04','VXD_radius_r1',NULL),('SVxd04','VXD_foam_spacer_thickness',NULL),('SVxd04','VXD_flex_cable_thickness',NULL),('SVxd04','VXD_metal_traces_thickness',NULL),('SVxd04','VXD_foam_spacer_material',NULL),('SVxd04','VXD_active_silicon_thickness',NULL),('SVxd04','VXD_cryostat_option',NULL),('SVxd04','VXD_layer_gap',NULL),('SVxd04','VXD_active_side_band_electronics_option',NULL),('tpc09','TPC_outer_radius',NULL),('FTD_Simple_Staggered','VXD_length_r3','125'),('tpc09','TPC_outer_wall_thickness',NULL),('FTD_Simple_Staggered','TUBE_IPOuterTube_end_z','230'),('FTD_Simple_Staggered','TUBE_IPOuterTube_start_radius','24'),('FTD_Simple_Staggered','TUBE_IPOuterTube_start_z','150'),('FTD_Simple_Staggered','TUBE_IPOuterBulge_end_z','2364.5'),('FTD_Simple_Staggered','TUBE_IPOuterTube_end_radius','24'),('FTD_Simple_Staggered','TUBE_IPOuterBulge_end_radius','184'),('FTD_Simple_Staggered','TPC_inner_radius','329'),('FTD_Simple_Staggered','TPC_Ecal_Hcal_barrel_halfZ','2350'),('FTD_Simple_Staggered','SIT1_Radius','179.232'),('FTD_Simple_Staggered','SIT2_Half_Length_Z','672.35'),('FTD_Simple_Staggered','SIT2_Radius','272.363'),('SHcalScV01','Hcal_fiber_gap','1.7'),('SHcalScV01','Hcal_scintillator_thickness',NULL),('SHcalScV01','Hcal_PCB_thickness',NULL),('SHcalScV01','Hcal_Cu_thickness',NULL),('SHcalScV01','Hcal_steel_cassette_thickness',NULL),('SHcalScV01','Ecal_endcap_outer_radius',NULL),('SHcalScV01','Ecal_endcap_zmax',NULL),('SHcalScV01','Ecal_endcap_zmin',NULL),('SHcalScV01','Ecal_outer_radius',NULL),('SHcalScV01','Hcal_Ecal_gap','30'),('SHcalScV01','Hcal_R_max',NULL),('SHcalScV01','Hcal_apply_Birks_law','1'),('SHcalScV01','Hcal_back_plate_thickness','15'),('SHcalScV01','Hcal_barrel_end_module_type',NULL),('SHcalScV01','Hcal_cells_size','30'),('SHcalScV01','Hcal_endcap_nlayers','48'),('SHcalScV01','Hcal_endcap_cables_gap',NULL),('SHcalScV01','Hcal_endcap_center_box_size','700.0'),('SHcalScV01','Hcal_endcap_ecal_gap',NULL),('SHcalScV01','Hcal_endcap_radiator_material','Iron'),('SHcalScV01','Hcal_endcap_radiator_thickness','20'),('SHcalScV01','Hcal_endcap_sensitive_center_box','0.0'),('SHcalScV01','Hcal_endcap_zmin',NULL),('SHcalScV01','Hcal_modules_gap',NULL),('SHcalScV01','Hcal_nlayers','48'),('SHcalScV01','Hcal_radial_ring_inner_gap',NULL),('SHcalScV01','Hcal_radiator_material',NULL),('SHcalScV01','Hcal_radiator_thickness','20'),('SHcalScV01','Hcal_ring',NULL),('SHcalScV01','Hcal_sensitive_model','scintillator'),('SHcalScV01','Hcal_stave_gaps',NULL),('SHcalScV01','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SHcalScV01','Hcal_chamber_thickness','6.5'),('SHcalScV01','Hcal_barrel_number_modules',NULL),('SHcalScV01','Hcal_lateral_structure_thickness','15'),('SET_Simple_Planar','TPC_Ecal_Hcal_barrel_halfZ',NULL),('SET_Simple_Planar','TPC_outer_radius',NULL),('SET_Simple_Planar','Ecal_Tpc_gap',NULL),('SHcalScV01','Hcal_endcap_module_width',NULL),('SHcalScV01','Hcal_endcap_module_number',NULL),('SHcalScV01','Hcal_endcap_lateral_structure_thickness',NULL),('SHcalScV01','Hcal_endcap_layer_air_gap',NULL),('SHcalScV01','Hcal_endcap_services_module_width',NULL),('SHcalScV01','HcalServices_outer_FR4_thickness',NULL),('SHcalScV01','HcalServices_outer_Cu_thickness',NULL),('SHcalSc03','Hcal_endcap_module_width',NULL),('SHcalSc03','Hcal_endcap_module_number',NULL),('SHcalSc03','Hcal_endcap_lateral_structure_thickness',NULL),('SHcalSc03','Hcal_endcap_layer_air_gap',NULL),('SHcalSc03','Hcal_endcap_services_module_width',NULL),('SHcalSc03','HcalServices_outer_FR4_thickness',NULL),('SHcalSc03','HcalServices_outer_Cu_thickness',NULL),('FTD_Simple_Staggered','Ecal_endcap_zmin','2450.0'),('FTD_Simple_Staggered','SIT1_Half_Length_Z','384.2'),('tpc09','TPC_inner_wall_thickness',NULL),('tpc09','TPC_inner_radius',NULL),('tpc09','TPC_electronics_backend_thickness',NULL),('tpc09','TPC_Ecal_Hcal_barrel_halfZ',NULL),('tpc09','TPC_max_step_length',NULL),('tpc09','TPC_pad_height',NULL),('tpc09','TPC_pad_width',NULL),('tpc09','Ecal_Tpc_gap',NULL),('TBcatcher07','dist_hcal_tcmt',NULL),('TBcatcher07','configuration_angle',NULL),('TBcatcher07','TCMTTranslateY',NULL),('TBcatcher07','TCMTTranslateX',NULL),('TBcatcher07','TCMTRotationAngle',NULL),('TBcatcher07','Tcmt_layer_pattern',NULL);
UNLOCK TABLES;

--
-- Table structure for table `sub_detector`
--

DROP TABLE IF EXISTS `sub_detector`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sub_detector` (
  `id` int(4) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `db` varchar(80) NOT NULL default '',
  `driver` varchar(20) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `subdriver` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=333;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sub_detector`
--

LOCK TABLES `sub_detector` WRITE;
INSERT INTO `sub_detector` VALUES (1,'ecal02','ecal02','ecal02','Ecal exploited for the Tesla TDR',''),(2,'hcal02','hcal02','hcal02','Hcal exploited for the Tesla TDR',''),(3,'mask00','mask00','mask00','Mask exploited for the Tesla TDR',''),(4,'field00','field00','field00','Magnetic field simulated for the Tesla TDR',''),(5,'field01','field01','field00','Magnetic field with 4 tesla inside the solenoidal zone and -2.515625 tesla in the barrel yoke',''),(6,'P55','P55','proto00','Ecal prototype with 30 layers (10 x 2.8 mm, 10 x 2.8 mm and 10 x 4.2 mm) in vertical, 5 x 5 cells per wafer',''),(7,'P55INC','P55INC','proto00','The same as the P55 but with shifted slabs',''),(8,'P55EcalLike','P55EcalLike','proto00','The same as the P55 but with the same Ecal W layers configuration',''),(9,'tpc00','tpc00','tpc00','A very simple TPC to have material inside the Ecal and to keep track of charged particles',''),(10,'coil00','coil00','coil00','A simple Al tube as Coil',''),(11,'yoke00','yoke00','yoke00','The yoke as massive Fe volumes',''),(12,'ecal20','ecal20','ecal02','Ecal with 20 W layers',''),(13,'hcal20','hcal20','hcal02','Modified Digital Hcal to be closed to the Ecal with 20 layers',''),(14,'HcalWMod','hcal02','HcalWMod','Fe replaced by modified W density',''),(15,'hodoscope','hodoscope00','hodoscope00','Hodoscope',''),(16,'mask01','mask01','mask00','Mask exploited for the Tesla TDR but 50cm off in Z.',''),(17,'ecal03','ecal03','ecal02','The same as ecal02 but 50cm shorter in Z.',''),(18,'tpc01','tpc01','tpc00','As tpc00 but 50 cm shorter in Z.',''),(19,'hcal03','hcal03','hcal02','As hcal02 but 50cm shorter in Z.',''),(20,'ecal01j','ecal01j','ecal02','just to export Ecal for Brahms, for J. Boehme',''),(21,'ecal02j','ecal02j','ecal02','changes for Jenny',''),(22,'P66','P66S','proto00','As P55 but 6x6 cells per wafer',''),(23,'P66Wshape','P66Wshape','proto01','Ecal prototype driver with mesured W  thickness',''),(24,'P66WNominal','P66WNominal','proto01','Ecal prototype driver  with W  ideal thickness (reference)',''),(25,'set00','SET00','set00','Silicon External Tracker',''),(26,'tpc02','tpc02','tpc00','TPC shorter in radius because the SET',''),(27,'hcalWModRPC1','hcalWModRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs and WMod',''),(28,'hcalFeRPC1','hcalFeRPC1','hcal03','As the Hcal exploited for the Tesla TDR, but with RPCs',''),(29,'hcalFeScintillator','hcalFeScintillator','hcal03','As the Hcal exploited for the Tesla TDR.',''),(30,'vxd00','vxd00','vxd00','The VXD',''),(31,'tube00','tube00','tube00','Complete beam tube (vacum, Be and Fe, eletronics) to cowork with vxd00',''),(32,'mask02','mask02','mask01','The masks with Brahms parameters and the VXD electronics',''),(33,'sit00','sit00','sit00','The SIT as described in Brahms',''),(34,'ftd00','ftd00','ftd00','The Foward Tracking Detector as described in TDR and Brahms',''),(35,'tpc03','tpc03','tpc01','The TDR TPC with improvements in simulation (Si in FCH, ~1cm Ar thick layers, standard tracking Hit\'s format)',''),(36,'P66micro','P66micro','proto01','tests with transistors',''),(37,'SinglehcalFeRPC1','SinglehcalFeRPC1','hcal03','Single module Hcal Fe & RPC as prototype',''),(38,'P66WNominal_45','P66WNominal_45','proto01','Ecal prototype driver with W ideal thickness , shifted slab to 45 degres shoots (reference)',''),(39,'SinglehcalFeScintillator','SinglehcalFeScintillator','hcal03','Single module Hcal Fe with scintillator as prototype',''),(40,'mask03','mask03','mask02','Mask defined by Karsten Buesser on Thu, 23 Jan 2003',''),(41,'P66HV14','P66HV14','proto02','1th Proto module for the P66HV set',''),(42,'P66HV28','P66HV28','proto02','2th Proto module for the P66HV set',''),(43,'P66HV42','P66HV42','proto02','3th Proto module for the P66HV set',''),(44,'SinglehcalFeRPC2','SinglehcalFeRPC2','hcal03','Single Hcal module with RPC for ProtoEH_RPC series',''),(48,'TBhcal00','TBhcal00','TBhcal00','HCal for TB00 Test Beam model',''),(49,'TBecal00','TBecal00','TBecal00','ECal for TB00 Test Beam model',''),(50,'TBcatcher00','TBcatcher00','TBcatcher00','Tail Catcher for TB00 Test Beam model',''),(51,'TBhcal01','TBhcal00','TBhcal01','HCal with virtual RO',''),(52,'TBhcal02','TBhcal02','TBhcal02','HCal with virtual cells, simple version',''),(53,'TBecal02','TBecal02','TBecal02','ECal with virtual cells, J. McCormick',''),(54,'TBcatcher02','TBcatcher02','TBcatcher02','Tail Catcher with virtual cells, J. McCormick',''),(73,'tpc04','tpc04','tpc02','TPC improved',''),(71,'HcalRPC','HcalFeRPC','hcalrpc','RPC Hcal prototype',''),(76,'ecal04','ecal04','ecal03','ecal02 with silicon divided into wafers and cells',''),(75,'Proto03','CaliceEcal03','proto03','Calice Ecal prototype',''),(74,'wscal','wscal','wscal','Simple\r\nCalorimeter for demonstration of in LC Sim. Workshop',''),(69,'TBhcal03','TBhcalcatch03','TBhcal03','HCal with virtual cells for TB03 Test Beam Models',''),(68,'TBcatcher03','TBhcalcatch03','TBcatcher03','Tail Catcher with updated layering, J. McCormick 10/04',''),(77,'ProtoDesy0205','ProtoDesy0205','proto03','Calice Ecal prototype',''),(78,'ecal05','ecal05','ecal02','ecal04 with cells 1 mm2',''),(80,'TBcatcher04','TBhcalcatch04','TBcatcher04','Tail Catcher with virtual cells for TB04 CALICE Test Beam Models',''),(79,'TBhcal04','TBhcalcatch04','TBhcal04','HCal with virtual cells for TB04 CALICE Test Beam Models',''),(81,'ftd01','ftd01','ftd00','The Foward Tracking Detector as described in TDR and Brahms',''),(82,'mask04','mask04','mask04','New cylindrical shielding mask Feb.2005 B.Pawlik',''),(83,'LumiCalS','LumiCalS00','LumiCal','Test of initial version of strip LumiCal',''),(84,'tube01','tube01','tube01','New conical beam tube (vacum, Be and Fe, eletronics)',''),(85,'LumiCalP','LumiCalP00','LumiCal','Initial version of padded LumiCal',''),(86,'ecal06','ecal06','ecal02','first approach for a most compact Ecal, with 1mm2 cells for studies',''),(87,'TBdch01','dch00','TBdch01','Drift chambers submitted by Fabrizio Salvatore',''),(88,'ecalpbk1','ecal07','ecal02','first approach for a most compact Ecal, with radiator lead and 1mm2 cells for studies',''),(89,'SHcal01','VOID','SHcal01','Hcal super driver using hcal03 subdriver','hcal03'),(90,'SCoil01','VOID','SCoil01','Super coil to follow inner detector changes.','coil00'),(91,'SEcal01','VOID','SEcal01','Super Si/W Ecal','ecal02'),(92,'STpc01','VOID','STpc01','Super TPC using the old Tesla one','tpc02'),(93,'SYoke01','VOID','SYoke01','The super yoke detector driver','yoke00'),(94,'SField01','VOID','SField01','A super field depending on the coil and yoke parameters.','field00'),(104,'SiDBar00','SiDBar00','SiDBar00','SiD Si Central Tracket , SILC, V.Saveliev 05/05',''),(105,'SiDFwd00','SiDFwd00','SiDFwd00','...Ext Forward Si Tracker, SILC, V.Saveliev 05/05',''),(106,'SiIntBar00','SiIntBar00','SiIntBar00','Intermedia Tracker, SILC, V.Saveliev 05/05',''),(102,'SiExtFwd00','SiExtFwd00','SiExtFwd00','Ext Forward Si Tracker, SILC, V.Saveliev 05/05',''),(107,'SiEnvTPC01','SiEnvTPC01','SiEnvTPC01','tpc04 rmax=1600, length/2=225 , SILC, V.Saveliev 05/05',''),(108,'SiExtBar00','SiExtBar00','SiExtBar00','...Ext Forward Si Tracker, SILC, V.Saveliev 05/05',''),(109,'tubeSiD01','tubeSiD01','tube01','LDC tube adapted for the SiD dimensions.',''),(110,'vxdSiD00','vxdSiD00','vxd00','The LDC VXD adapted to the SiD dimensions.',''),(111,'ftdSiD00','ftdSiD00','ftd00','The LDC FTD device adapted as the SiD VXD forward disks.',''),(112,'vxd01','vxd01','SVxd01','The realistic vertex detector geometry based on TESLA TDR','vxd01'),(113,'tube02','tube02','STube01','same as tube01 but with a inner radius of the central tube of 14 mm','tube01'),(114,'vxd02','vxd02','SVxd01','The realistic vertex detector using CMOS technology','vxd01'),(115,'tpc05','tpc05','tpc03','\"tpc04\" with a customisable chamber gas',''),(116,'tubeX00TDR','tubeX00TDR','tubeX00','Beam pipe up to the electrostatic separators, TDR layout',''),(117,'maskX00TDR','maskX00TDR','maskX00','Mask around the beam pipe including forward calorimeters, TDR layout',''),(118,'fieldX00TDR','fieldX00TDR','fieldX00','Magnetic fields of solenoid and quadupoles, TDR layout',''),(119,'yoke01TDR','yoke01TDR','yoke01','\"yoke00\" octagonal and with an adjusted inner radius, TDR layout',''),(120,'tubeX00Stahl','tubeX00Stahl','tubeX00','Beam pipe up to the electrostatic separators, Stahl layout',''),(121,'maskX00Stahl','maskX00Stahl','maskX00','Mask around the beam pipe including forward calorimeters, Stahl layout',''),(122,'fieldX00Stahl','fieldX00Stahl','fieldX00','Magnetic fields of solenoid and quadupoles, Stahl layout',''),(123,'yoke01Stahl','yoke01Stahl','yoke01','\"yoke00\" octagonal and with an adjusted inner radius, Stahl layout',''),(124,'tubeX00XStahl','tubeX00XStahl','tubeX00','Beam pipe up to the electrostatic separators, Stahl layout with 20 mrad crossing angle',''),(125,'maskX00XStahl','maskX00XStahl','maskX00','Mask around the beam pipe including forward calorimeters, Stahl layout with 20 mrad crossing angle',''),(126,'fieldX00XStahl','fieldX00XStahl','fieldX00','Magnetic fields of solenoid, DID, and quadupoles, Stahl layout with 20 mrad crossing angle',''),(127,'yoke01XStahl','yoke01XStahl','yoke01','\"yoke00\" octagonal and with an adjusted inner radius, Stahl layout with 20 mrad crossing angle',''),(128,'TBscint01','hodoscope01','TBscint01','Scintillator hodoscope implemented by Fabrizio Salvatore',''),(129,'ecal07','ecal08','ecal02','Ecal with 3x3mm cells',''),(130,'tpc06','tpc06','tpc04','TPC with limited step length',''),(131,'etd00','etd00','etd00','Simple stand-alone ETD, same as the FCH included in the old TPC drivers',''),(132,'hcal04scint','hcal04scint','hcal04','Hcal driver with fiber gap',''),(133,'SHcal02','VOID','SHcal01','Hcal super driver using hcal04 subdriver','hcal04'),(134,'yoke02','yoke02','yoke02','Simple yoke made of massive iron blocks',''),(137,'TBscint02','hodoscope02','TBscint02','Scintillators for TBDesy0506 Test Beam model',''),(136,'TBfingcount01','fc00','TBfingcount01','Finger Counters for TBDesy0506 Test Beam model',''),(135,'TBdch02','dch01','TBdch02','Drift Chambers for TBDesy0506 Test Beam model',''),(138,'ProtoDesy0506','ProtoDesy0506','proto04','Ecal Prototype with slab shifts as set in May 2006 Desy Test Beam setup',''),(139,'TBscint03','hodoscope03','TBscint03','Scintillators for TBCern0806 Test Beam model',''),(140,'TBfingcount02','fc01','TBfingcount02','Finger Counters for TBCern0806 Test Beam model',''),(141,'TBdch03','dch02','TBdch03','Drift Chambers for TBCern0506 Test Beam model',''),(142,'tpc07','tpc07','tpc05','TPC with limited step length',''),(143,'yoke03','yoke03','yoke03','yoke and muon chamber implemented by Predrag',''),(144,'TBcatcher05','TBhcalcatch05','TBcatcher05','Tail Catcher with virtual cells for TBCern0806 CALICE Test Beam Model',''),(145,'TBhcal05','TBhcalcatch05','TBhcal05','HCal with virtual cells for TBCern0806 CALICE Test Beam Model',''),(146,'TBmuoncount01','mc00','TBmuoncount01','muon counters implemented by Fabrizio',''),(147,'TBcerenkov01','tcherenkov00','TBcerenkov01','Tcherenkov implemented by Fabrizio for TBCern0806',''),(148,'SEcal02','VOID','SEcal02','A scalable LDC Ecal driver without database, just parameters. (BAD HITS IN END CAPS!)',''),(149,'TBscint04','hodoscope04','TBscint03','Scintillators for TBCern1006 Test Beam model',''),(150,'TBfingcount03','fc02','TBfingcount02','Finger Counters for TBCern1006 Test Beam model',''),(151,'TBdch04','dch03','TBdch03','Drift Chambers for TBCern1006 Test Beam model',''),(152,'TBcatcher06','TBhcalcatch06','TBcatcher05','Tail Catcher with virtual cells for TBCern1006 CALICE Test Beam Model',''),(153,'TBhcal06','TBhcalcatch06','TBhcal05','HCal with virtual cells for TBCern1006 CALICE Test Beam Model',''),(154,'TBmuoncount02','mc01','TBmuoncount02','muon counters implemented by Fabrizio',''),(155,'TBcerenkov02','tcherenkov01','TBcerenkov01','Tcherenkov implemented by Fabrizio for TBCern1006',''),(156,'ProtoDesy0506_2','ProtoDesy0506','proto04','Ecal prototype with slab shifts and module shifts as set in the May 2006 DESY TB setup',''),(157,'TBscint02_01','hodoscope02_01','TBscint02_01','Scintillators for TBDesy0506_01 Test Beam model',''),(158,'TBfingcount01_01','fc00_01','TBfingcount01_01','Finger Counters for TBDesy0506_01 Test Beam model',''),(159,'TBdch02_01','dch01_01','TBdch02_01','Drift Chambers for TBDesy0506_01 Test Beam model',''),(161,'TBscint03_01','hodoscope03_01','TBscint03_01','Scintillators for TBCern0806_01 Test Beam model',''),(162,'TBfingcount02_01','fc01_01','TBfingcount02_01','Finger Counters for TBCern0806_01 Test Beam model',''),(163,'TBdch03_01','dch02_01','TBdch03_01','Drift Chambers for TBCern0806_01 Test Beam model',''),(166,'TBmuoncount01_01','mc00_01','TBmuoncount01_01','muon counters implemented by Fabrizio for TBCern0806_01',''),(167,'TBcerenkov01_01','tcherenkov00_01','TBcerenkov01_01','Tcherenkov implemented by Fabrizio for TBCern0806_01',''),(168,'TBscint04_01','hodoscope04_01','TBscint03_01','Scintillators for TBCern1006_01 Test Beam model',''),(169,'TBfingcount03_01','fc02_01','TBfingcount02_01','Finger Counters for TBCern1006_01 Test Beam model',''),(170,'TBdch04_01','dch03_01','TBdch03_01','Drift Chambers for TBCern1006_01 Test Beam model',''),(172,'TBmuoncount02_01','mc01_01','TBmuoncount02_01','muon counters implemented by Fabrizio for TBCern1006_01',''),(173,'TBcerenkov02_01','tcherenkov01_01','TBcerenkov01_01','Tcherenkov implemented by Fabrizio for TBCern1006_01',''),(160,'ProtoDesy0506_01','ProtoDesy0506_01','proto04_01','Ecal Prototype with slab shifts as set in May 2006 Desy Test Beam setup',''),(164,'TBcatcher05_01','TBhcalcatch05_01','TBcatcher05_01','Tail Catcher with virtual cells for TBCern0806_01 CALICE Test Beam Model',''),(165,'TBhcal05_01','TBhcalcatch05_01','TBhcal05_01','HCal with virtual cells for TBCern0806_01 CALICE Test Beam Model',''),(171,'TBcatcher06_01','TBhcalcatch06_01','TBcatcher05_01','Tail Catcher with virtual cells for TBCern1006_01 CALICE Test Beam Model',''),(174,'TBhcal06_01','TBhcalcatch06_01','TBhcal05_01','HCal with virtual cells for TBCern1006_01 CALICE Test Beam Model',''),(175,'ProtoCern0806_01','ProtoCern0806_01','proto04_01','Ecal Prototype with slab shifts as set in August 2006 Cern Test Beam setup',''),(176,'ProtoCern1006_01','ProtoCern1006_01','proto04_01','Ecal Prototype with slab shifts as set in October 2006 Cern Test Beam setup',''),(177,'TmagField','TmagField','TmagField','fields for test magnet',''),(178,'MidiTPC','MidiTPC','MidiTPC','DESY tpc',''),(179,'Tmag06','Tmag06','Tmag06','test magnet',''),(180,'TBvacpipe00_01','vp00_01','TBvacpipe01_01','Vacuum pipe implemented by Fabrizio for TBCern0806_01',''),(181,'TBvacpipe01_01','vp01_01','TBvacpipe01_01','Vacuum pipe implemented by Fabrizio for TBCern1006_01',''),(182,'SFtd01','ftd00','SFtd01','FTD super driver','ftd00'),(183,'SLcal01','VOID','SLcal01','LumiCal super driver','LumiCalX'),(184,'STube01','tube01','STube01','Tube super driver','tube01'),(185,'STubeX00','tubeX00LDCv2','STubeX00','Tube super driver with crossing angle support','tubeX00'),(186,'SFieldX00','fieldX00LDCv2','SFieldX00','Magnetic fields for LDC00_03Rp','fieldX00'),(187,'SMaskX00','maskX00LDCv2','SMaskX00','Mask superdriver for LDC00_03Rp','maskX00'),(188,'TBdchX02','dch01_XY','TBdchX02','Drift Chambers with X sensitivity for TBDesy0506_dchxy Test Beam model',''),(189,'TBdchY02','dch01_XY','TBdchY02','Drift Chambers with Y sensitivity for TBDesy0506_dchxy Test Beam model',''),(190,'TBdchX02_01','dch01_01_XY','TBdchX02_01','Drift Chambers with X sensitivity for TBDesy0506_01_dchxy Test Beam model',''),(191,'TBdchY02_01','dch01_01_XY','TBdchY02_01','Drift Chambers with Y sensitivity for TBDesy0506_01_dchxy Test Beam model',''),(192,'TBdchXY02','dch01_XY','TBdchXY02','Drift Chambers with X and Y sensitivity implemented by the same driver for TBDesy0506_dchxy_new Test Beam model',''),(193,'TBdchXY02_01','dch01_01_XY','TBdchXY02_01','Drift Chambers with X and Y sensitivity implemented by the same driver for TBDesy0506_01_dchxy_new Test Beam model',''),(194,'TBdchXY03','dch02','TBdchXY03','Drift Chambers with X and Y sensitivity implemented by the same driver for TBCern0806_dchxy_new Test Beam model',''),(195,'TBdchXY03_01','dch02_01','TBdchXY03_01','Drift Chambers with X and Y sensitivity implemented by the same driver for TBCern0806_01_dchxy_new Test Beam model',''),(196,'TBdchXY04','dch03','TBdchXY03','Drift Chambers with X and Y sensitivity implemented by the same driver for TBCern1006_dchxy_new Test Beam model',''),(197,'TBdchXY04_01','dch03_01','TBdchXY03_01','Drift Chambers with only one hits collection for TBCern1006_01_dchxy_new Test Beam model',''),(198,'SHcal03','VOID','SHcal03','New super driver without tmp database for ILC',''),(199,'sit01','sit01','sit01','New sit implementation by Hengne Li from LAL',''),(200,'TBcerenkov03','tcherenkov02','TBcerenkov02','Implementation by Fabrizio Salvatore of the Cerenkov detector used at Cern in 2007',''),(201,'TBscint05','hodoscope05','TBscint04','Implementation by Fabrizio Salvatore of the scintillator detectors used at Cern in 2007',''),(202,'TBdch05','dch04','TBdch04','Implementation by Fabrizio Salvatore of the drift chambers used at Cern in 2007',''),(203,'TBmuoncount03','mc02','TBmuoncount03','Implementation by Fabrizio Salvatore of the muon counter used at Cern in 2007',''),(204,'TBveto01','veto01','TBveto01','Implementation by Fabrizio Salvatore of the veto detector used at Cern in 2007',''),(205,'ProtoCern07','ProtoCern07','proto05','Implementation of the fully instrumented Ecal for the Cern 2007 setup',''),(206,'TBcatcher07','TBhcalcatch07','TBcatcher06','Implementation by Guilherme Lima of the TCMT used at Cern in 2007',''),(207,'TBhcal07','TBhcalcatch07','TBhcal06','HCal with virtual cells and rotation/staggering for the CALICE Test Beams in 2007 at CERN, i.e. the models TBCern07, TBCern0707, TBCern0807',''),(208,'maskX01','maskX01','maskX01','Forward mask for the LDC',''),(209,'tubeX01','tubeX01','tubeX01','Beam tube for the LDC',''),(260,'tubeX05','tubeX05','tubeX01','Beam tube for the ILD with FW without overlaps',''),(211,'SFtd02','ftd02','SFtd01','FTD super driver with new z positions','ftd00'),(212,'tpc08','tpc08','tpc06','Pad-row-based TPC with limited step length',''),(213,'vxd03','vxd03','SVxd02',' 5 single layer LOI vertex detector geometry','vxd02'),(214,'etd01','etd01','etd01','sub_detector submitted by Valeri Saveliev',''),(215,'ftd02','ftd03','ftd01','sub_detector submitted by Valeri Saveliev',''),(216,'set01','SET01','set01','sub_detector submitted by Valeri Saveliev',''),(217,'sit02','sit02','sit02','Sit basic driver implemented by SILC collaboration',''),(218,'SEcal03','VOID','SEcal03','A scalable LDC Ecal driver without database, just parameters.',''),(219,'vxd04','vxd04','SVxd03',' 3 double layer LOI vertex detector geometry','vxd03'),(221,'vxd03_sensin','vxd03_sensin','SVxd02',' 5 single layer LOI vertex detector geometry with sensors inside','vxd022'),(220,'SHcal04','VOID','SHcal04','New super driver without tmp database for ILC',''),(222,'ProtoCern0806_02','ProtoCern0806_02','proto04_02','Ecal prototype with Y shifts for August 2006 Cern Test Beam model',''),(223,'ProtoCern1006_02','ProtoCern1006_02','proto04_02','Ecal prototype with Y shifts for October 2006 Cern Test Beam model',''),(224,'SHcalSc01','VOID','SHcalSc01','New super driver for a scintillator HCAL',''),(225,'SSit02','sit02','SSit02','Sit super driver implemented by SILC collaboration','sit02'),(227,'SFtd03','ftd04','SFtd02','FTD super driver implemented by SILC','ftd01'),(226,'SEtd01','etd01','SEtd01','ETD super-driver implemented by SILC collaboration','etd01'),(229,'SSet01','SET01','SSet01','SET super-driver implemented by SILC collaboration','set01'),(228,'SFtd04','ftd04','SFtd02','FTD super-driver implemented by SILC collaboration','ftd01'),(230,'SFtd05','ftd05','SFtd03','Self Scaling FTD',''),(231,'SFtd06','ftd06','SFtd03','Self Scaling FTD',''),(232,'BeamCal','beamcalX01','BeamCal00','Beam calorimeter',''),(233,'TBvacpipe02_01','vp02_01','TBvacpipe01_01','Vacuum pipe implemented for TBCern 2007 _01 models',''),(234,'TBdchXY05_01','dch05','TBdchXY04_01','Drift Chambers with X and Y sensitivity implemented by the same driver for TBCern_..07_dchxy_01 Test Beam models',''),(235,'TBdchXY06_01','dch06','TBdchXY05_01','Drift Chambers with X and Y sensitivity implemented by the same driver for TBFnal 2008 Test Beam models',''),(236,'TBscint06','scint06','TBscint04','Scintillators for for TBFnal 2008 Test Beam models',''),(237,'TBveto02','veto02','TBveto01','veto detector for TBFnal0508 model',''),(238,'TBmuoncount04_01','mc03','TBmuoncount04_01','muon counter for TBFnal0508 model',''),(239,'ProtoFnal08','ProtoFnal08','proto05','SiW Ecal prototype for FNAL 2008 TB setup',''),(240,'TBcatcher08','TBhcalcatch08','TBcatcher06','TCMT for FNAL May-Jully 2008 TB model',''),(241,'TBhcal08','TBhcalcatch08','TBhcal06','Hcal for FNAL May-Jully 2008 TB model',''),(242,'yoke04','yoke04','yoke04','yoke with barrel_encap_gap and gear params',''),(243,'SCoil02','VOID','SCoil02','Super coil to follow inner detector changes.','coil00'),(244,'LHcal01','VOID','SLHcal01','A first LHcal implementation, as a W/Si calorimeter',''),(246,'SSit03','sit03','SSit03','Self Scaling SIT',''),(247,'SSet02','set02','SSet02','Self Scaling SET',''),(248,'SEtd02','etd03','SEtd02','Self Scaling ETD',''),(249,'SFtd07','ftd07','SFtd04','Self Scaling FTD',''),(250,'tubeX02','tubeX03','tubeX01','Beam tube for the ILD',''),(255,'SHcalSc02','VOID','SHcalSc02','Super driver for a scintillator HCAL (with a s\nquare hole in the middle of endcaps)',''),(252,'vxd05','vxd05','SVxd03','VXD for ILD','vxd03'),(253,'SLcal02','VOID','SLcal02','LumiCal super driver, no database only parameters','LumiCalX'),(254,'maskX02','maskX02','maskX01','Forward mask for the ILD',''),(256,'BeamCal01','beamcalX02','SBcal01','Scaling Beam calorimeter','BeamCal00'),(257,'tubeX04','tubeX04','tubeX01','Beam tube for the ILD with FW',''),(258,'maskX03','maskX03','maskX01','Forward mask for the ILD for background studies',''),(259,'fieldX02','fieldX01','fieldX02','Magnetic fields for the LDC background studies',''),(261,'SEcal03p01','VOID','SEcal04','A scalable ILD Ecal mixing Si and/or scintillator',''),(262,'tpc09','tpc08','tpc07','Pad-row-based TPC with pt determined limited step length',''),(263,'fieldX03','fieldX02','fieldX03','B-Field using 2D Solenoidal Field Map and Flat DID',''),(264,'SFtd08','ftd07','SFtd05','Self Scaling FTD',''),(265,'SEcal03p01Gas','VOID','SEcal04Gas','SEcal04 with sensitive volume gas',''),(266,'TBhcal05_02','TBhcalcatch05_02','TBhcal07','HCal with measured thicknesses of absorber layers for the TBCern0806_p0709 CALICE Test Beam Model',''),(267,'TBcatcher05_02','TBhcalcatch05_02','TBcatcher05_01','Tail Catcher with virtual cells for TBCern0806_p0709 CALICE Test Beam Model',''),(268,'TBcatcher06_02','TBhcalcatch06_02','TBcatcher05_01','Tail Catcher with virtual cells for TBCern1006_p0709 CALICE Test Beam Model',''),(269,'TBhcal06_02','TBhcalcatch06_02','TBhcal07','HCal with measured thicknesses of absorber layers for the TBCern1006_p0709 CALICE Test Beam Model',''),(270,'TBcatcher07_02','TBhcalcatch07_02','TBcatcher06','Implementation by Guilherme Lima of the TCMT used at Cern in 2007',''),(271,'TBhcal07_02','TBhcalcatch07_02','TBhcal07','TB Hcal with measured thicknesses of absorber layers for the TBCern07_p0709, TBCern0707_p0709 and TBCern0807_p0709 CALICE Test Beam Models',''),(272,'TBcatcher08_02','TBhcalcatch08_02','TBcatcher06','TCMT for FNAL May-Jully 2008 TB model',''),(273,'TBhcal08_02','TBhcalcatch08_02','TBhcal07','Hcal with measured thicknesses of absorber layers for FNAL May-Jully 2008 TB model',''),(275,'TBfield00','TBfield00','TBfield00','Magnetic field for TBCern07_dchxy_01',''),(277,'SLcal03','VOID','SLcal03','LumiCal improved geometry driver','LumiCalX01'),(278,'clic_tubeX05','clic_tubeX05','tubeX01','Beamtube for CLIC01_ILD, with larger Vertex',''),(279,'clic_vxd06','clic_vxd06','SVxd03','VertexDetector for CLIC01_ILD, with larger Vertex','vxd03'),(280,'clic_maskX04','clic_maskX04','maskX01','Mask For CLIC01_ILD',''),(281,'tpc_EP_X0_30','tpc_EP_X0_30','tpc06','Pad-row-based TPC with Endplate of 30 percent X0',''),(282,'tpc_EP_X0_45','tpc_EP_X0_45','tpc06','Pad-row-based TPC with Endplate of 45 percent X0',''),(283,'tpc_EP_X0_60','tpc_EP_X0_60','tpc06','Pad-row-based TPC with Endplate of 60 percent X0',''),(284,'LumiCalV','VOID','SLcal03','LumiCal model with virtual cells','LumiCalV00'),(285,'BeamCal08','beamcalX08','BeamCal01','New BeamCal driver by Andre Sailer',''),(286,'SServices00','VOID','SServices00','Driver implementing services (cables, cooling, etc) for ILD models',''),(274,'SHcalSc03','VOID','SHcalSc03','SHcalSc02 with electronics inside',''),(287,'SFtd09','ftd08','SFtd06','First mechanical design with micro-strips (disks 3,4,5,6,7) and pixel (disks 1,2) technologies by Jordi Duarte.',''),(288,'yoke05','yoke04','yoke05','new Muon System by Saveliev',''),(289,'coil01','coil00','coil01','Superconducting Coil Cryostat with detector instrumentation by Saveliev',''),(290,'SCoil03','VOID','SCoil02','Coil using Coil Cryostat with detector instrumentation by Saveliev','coil01'),(291,'SSit04','VOID','sit','Sit from SiLC',''),(292,'SSet03','VOID','set','Self Scaling SET from SiLC',''),(293,'SEtd03','VOID','etd','ETD by SiLC',''),(299,'ClicSFtd01','clicftd01','SFtd05','More FTDs',''),(305,'clicmaskX01','clicmaskX01','maskX01','Mask for CLIC with cylinder QD0',''),(301,'clictpc01','clictpc01','tpc06','TPC with small cathode',''),(306,'ClicTubeX01','ClicTubeX01','tubeX01','Tube for CLIC_ILD_CDR',''),(303,'ClicVxd01','ClicVxd01','SVxd03','VertexDetector for CLIC_ILD_CDR, no endelectronics','vxd03'),(304,'clicyoke01','clicyoke01','ClicYoke01','Driver for CLIC_CDR yoke',''),(307,'tpc10_01','tpc10_01','tpc10','Pad-row-based TPC with Endplate of 25 percent X0',''),(309,'TBhcal09','TBhcal03','TBhcal08','W Hcal for Angela and Jacopo',''),(310,'TBscint07','scint07','TBscint05','Scintillators for TB model of Angela and Jacopo',''),(311,'TBdchXY07','dch07','TBdchXY06','Wire chambers for TB model of Angela and Jacopo',''),(312,'SHcalRpc01','VOID','SHcalRpc01','New Digital Hcal super driver without tmp database for ILC',''),(313,'SHcalRpc02','VOID','SHcalRpc02','Old AHcal driver SHcalSc03 with scintillators replaced by GRPCs',''),(302,'Phantom01','VOID','Phantom01','simple phantom made of 2 concentric spheres',''),(300,'TEPDetector01','VOID','TEPDetector01','Simple TEP detector with Si virtual cells',''),(314,'Clic500TubeX01','Clic500TubeX01','tubeX01','Tube for 500GeV CLIC_ILD_CDR',''),(315,'Clic500Vxd01','Clic500Vxd01','SVxd03','VertexDetector for 500Gev CLIC_ILD_CDR, no endelectronics','vxd03'),(316,'FieldMap4TNoQuad','CLICFieldMap4TeslaNoQuad','fieldX03','4 Tesla Field Map',''),(317,'SFtd10','ftd09','SFtd06','Self Scaling FTD (staggered design)',''),(325,'sit_simple_planar','sit_simple_planar','SIT_Simple_Planar','Simple planar based SIT',''),(321,'vxd07','vxd07','SVxd04','vxd dl update','vxd04'),(330,'ftd_simple_staggered','ftd_simple_staggered','FTD_Simple_Staggered','Simple staggered petal based FTD',''),(324,'SHcalScV01','VOID','SHcalScV01','New super driver for a Scintillator HCAL Barrel, Change the Barrel HCAL to Videau geometry from SHcalSc03',''),(327,'set_simple_planar','set_simple_planar','SET_Simple_Planar','Simple planar based SET',''),(331,'clictpc01swl','clictpc01','tpc09','clictpc01 sub-detector model with step width limit (swl, driver tpc09)',''),(332,'TBcatcher08_03','TBhcalcatch08_02','TBcatcher07','TCMT for FNAL May-Jully 2008 TB model; y shift fixed by Shaojun, December 20, 2011','');
UNLOCK TABLES;

--
-- Table structure for table `tmp_databases`
--

DROP TABLE IF EXISTS `tmp_databases`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tmp_databases` (
  `name` varchar(200) NOT NULL default '',
  `connection` int(11) NOT NULL default '0',
  `time_stamp` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`name`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tmp_databases`
--

LOCK TABLES `tmp_databases` WRITE;
INSERT INTO `tmp_databases` VALUES ('TMP_DB00',0,0),('TMP_DB01',1272525,1327074570),('TMP_DB02',0,0),('TMP_DB03',0,0),('TMP_DB04',0,0),('TMP_DB05',0,0),('TMP_DB06',0,0),('TMP_DB07',0,0),('TMP_DB08',0,0),('TMP_DB09',0,0),('TMP_DB10',0,0),('TMP_DB11',0,0),('TMP_DB12',0,0),('TMP_DB13',0,0),('TMP_DB14',0,0),('TMP_DB15',856295,1326374102),('TMP_DB16',856312,1326374103),('TMP_DB17',856329,1326374103),('TMP_DB18',856348,1326374103),('TMP_DB19',856367,1326374104),('TMP_DB20',856386,1326374104),('TMP_DB21',856405,1326374105),('TMP_DB22',856424,1326374105),('TMP_DB23',856443,1326374105),('TMP_DB24',909738,1326385260),('TMP_DB25',909757,1326385260),('TMP_DB26',440609,1295976645),('TMP_DB27',441682,1295976663),('TMP_DB28',440604,1295976645),('TMP_DB29',440741,1295976648),('TMP_DB30',441613,1295976663),('TMP_DB31',441611,1295976663),('TMP_DB32',441696,1295976664),('TMP_DB33',475987,1296126822),('TMP_DB34',440771,1295976649),('TMP_DB35',681176,1297084999),('TMP_DB36',711927,1297193322),('TMP_DB37',1217327,1299171500),('TMP_DB38',1254596,1299279617),('TMP_DB39',681193,1297085000),('TMP_DB40',440790,1295976649),('TMP_DB41',681194,1297085000),('TMP_DB42',489003,1296233491),('TMP_DB43',1254600,1299279651),('TMP_DB44',364151,1320078397),('TMP_DB45',488961,1296233491),('TMP_DB46',365394,1320157210),('TMP_DB47',909776,1326385260),('TMP_DB48',488991,1296233491),('TMP_DB49',909797,1326385261);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `scint06`;
USE scint06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: scint06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sci_virt`
--

DROP TABLE IF EXISTS `sci_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sci_virt` (
  `id` int(11) NOT NULL auto_increment,
  `sci_dim_x1` double NOT NULL default '0',
  `sci_dim_y1` double NOT NULL default '0',
  `sci_dim_x2` double NOT NULL default '0',
  `sci_dim_y2` double NOT NULL default '0',
  `sci_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  `z_place2` double NOT NULL default '0',
  `z_place3` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sci_virt`
--

LOCK TABLES `sci_virt` WRITE;
INSERT INTO `sci_virt` VALUES (1,100,100,200,200,8,-3233,-1230,-782);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `scint07`;
USE scint07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: scint07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `scint_betweenHCAlAndwch_cern_2010_virt`
--

DROP TABLE IF EXISTS `scint_betweenHCAlAndwch_cern_2010_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `scint_betweenHCAlAndwch_cern_2010_virt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `Scintillator_betweenHCAL_And_WireChamber_X` float default '0',
  `Scintillator_betweenHCAL_And_WireChamber_Y` float default '0',
  `Scintillator_betweenHCAL_And_WireChamber_thickness` float default '0',
  `1st_Scintillator_betweenHCAL_And_WireChamber_z_position` float default '0',
  `2nd_Scintillator_betweenHCAL_And_WireChamber_z_position` float default '0',
  `scintillator_betweenHCAL_And_WireChamber_density` float default '0',
  `scintillator_betweenHCAL_And_WireChamber_polystyrene_fraction` float default '0',
  `scintillator_betweenHCAL_And_WireChamber_polypropylene_fraction` float default '0',
  `scintillator_betweenHCAL_And_WireChamber_aluminium_fraction` float default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `scint_betweenHCAlAndwch_cern_2010_virt`
--

LOCK TABLES `scint_betweenHCAlAndwch_cern_2010_virt` WRITE;
INSERT INTO `scint_betweenHCAlAndwch_cern_2010_virt` VALUES (1,100,100,10,-142,-722,1.116,0.9,0.06,0.04);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:37
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `set02`;
USE set02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: set02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `SSET`
--

DROP TABLE IF EXISTS `SSET`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `SSET` (
  `distance_set2_ecal_barrel` float NOT NULL default '0',
  `set_layer_radial_diff` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `SSET`
--

LOCK TABLES `SSET` WRITE;
INSERT INTO `SSET` VALUES (8,2,0.275,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:38
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `set_simple_planar`;
USE set_simple_planar;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: set_simple_planar
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `global`
--

DROP TABLE IF EXISTS `global`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `global` (
  `sensitive_thickness` double default NULL,
  `support_thickness` double default NULL,
  `sensitive_mat` varchar(40) default NULL,
  `support_mat` varchar(40) default NULL,
  `sensitive_threshold_KeV` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `global`
--

LOCK TABLES `global` WRITE;
INSERT INTO `global` VALUES (0.15,1,'silicon','carbon',64);
UNLOCK TABLES;

--
-- Table structure for table `set_layers`
--

DROP TABLE IF EXISTS `set_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `set_layers` (
  `layer_id` int(11) default NULL,
  `sensitive_distance_from_tpc` double default NULL,
  `coverage_of_TPC_Ecal_Hcal_barrel` double default NULL,
  `n_ladders` int(11) default NULL,
  `ladder_clearance` double default NULL,
  `faces_IP` int(11) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `set_layers`
--

LOCK TABLES `set_layers` WRITE;
INSERT INTO `set_layers` VALUES (1,3,0.98,24,0.1,1),(2,5.5,0.98,24,0.1,0);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sit00`;
USE sit00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: sit00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sit`
--

DROP TABLE IF EXISTS `sit`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit`
--

LOCK TABLES `sit` WRITE;
INSERT INTO `sit` VALUES (1,160,380,0.3),(2,300,660,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:39
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sit01`;
USE sit01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: sit01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sit`
--

DROP TABLE IF EXISTS `sit`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit`
--

LOCK TABLES `sit` WRITE;
INSERT INTO `sit` VALUES (1,160,380,0.2,1.01),(2,270,660,0.2,1.01);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sit02`;
USE sit02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: sit02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sit`
--

DROP TABLE IF EXISTS `sit`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit`
--

LOCK TABLES `sit` WRITE;
INSERT INTO `sit` VALUES (1,160,380,0.275,1),(2,270,660,0.275,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:40
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sit03`;
USE sit03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: sit03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `sit`
--

DROP TABLE IF EXISTS `sit`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit` (
  `sit2_tpc_gap` float NOT NULL default '0',
  `sit1_sit2_relative_gap` float NOT NULL default '0',
  `sensitive_thickness` float NOT NULL default '0',
  `support_thickness` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit`
--

LOCK TABLES `sit` WRITE;
INSERT INTO `sit` VALUES (20,0.421687,0.275,1);
UNLOCK TABLES;

--
-- Table structure for table `sit_layers`
--

DROP TABLE IF EXISTS `sit_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit_layers` (
  `layer_id` tinyint(4) NOT NULL auto_increment,
  `relative_half_z` float NOT NULL default '0',
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit_layers`
--

LOCK TABLES `sit_layers` WRITE;
INSERT INTO `sit_layers` VALUES (1,0.158004),(2,0.274428);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:41
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sit_simple_planar`;
USE sit_simple_planar;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: sit_simple_planar
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `global`
--

DROP TABLE IF EXISTS `global`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `global` (
  `sensitive_thickness` double default NULL,
  `support_thickness` double default NULL,
  `sensitive_mat` varchar(40) default NULL,
  `support_mat` varchar(40) default NULL,
  `sensitive_threshold_KeV` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `global`
--

LOCK TABLES `global` WRITE;
INSERT INTO `global` VALUES (0.2,1,'silicon','carbon',64);
UNLOCK TABLES;

--
-- Table structure for table `sit_layers`
--

DROP TABLE IF EXISTS `sit_layers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sit_layers` (
  `layer_id` int(11) default NULL,
  `sensitive_radius` double default NULL,
  `half_z` double default NULL,
  `n_ladders` int(11) default NULL,
  `ladder_clearance` double default NULL,
  `faces_IP` int(11) default NULL,
  `is_SIT1` int(11) default NULL,
  `is_SIT2` int(11) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sit_layers`
--

LOCK TABLES `sit_layers` WRITE;
INSERT INTO `sit_layers` VALUES (1,153,371,10,0.1,1,1,0),(2,155.5,371,10,0.1,0,0,0),(3,300,645,19,0.1,1,0,1),(4,302.5,645,19,0.1,0,0,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:42
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tcherenkov00`;
USE tcherenkov00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tcherenkov00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ceren_virt`
--

DROP TABLE IF EXISTS `ceren_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ceren_virt` (
  `id` int(11) NOT NULL auto_increment,
  `ceren_dim_x` double NOT NULL default '0',
  `ceren_dim_y` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ceren_virt`
--

LOCK TABLES `ceren_virt` WRITE;
INSERT INTO `ceren_virt` VALUES (1,100,100,-34380);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` int(11) NOT NULL auto_increment,
  `winfront_thickness` double NOT NULL default '0',
  `winback_thickness` double NOT NULL default '0',
  `ceren_thickness` double NOT NULL default '0',
  `gas_pressure` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.18,0.18,11000,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tcherenkov00_01`;
USE tcherenkov00_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tcherenkov00_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ceren_virt`
--

DROP TABLE IF EXISTS `ceren_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ceren_virt` (
  `id` int(11) NOT NULL auto_increment,
  `ceren_dim_x` double NOT NULL default '0',
  `ceren_dim_y` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ceren_virt`
--

LOCK TABLES `ceren_virt` WRITE;
INSERT INTO `ceren_virt` VALUES (1,100,100,-33620);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` int(11) NOT NULL auto_increment,
  `winfront_thickness` double NOT NULL default '0',
  `winback_thickness` double NOT NULL default '0',
  `ceren_thickness` double NOT NULL default '0',
  `gas_pressure` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.18,0.18,11000,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:43
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tcherenkov01`;
USE tcherenkov01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tcherenkov01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ceren_virt`
--

DROP TABLE IF EXISTS `ceren_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ceren_virt` (
  `id` int(11) NOT NULL auto_increment,
  `ceren_dim_x` double NOT NULL default '0',
  `ceren_dim_y` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ceren_virt`
--

LOCK TABLES `ceren_virt` WRITE;
INSERT INTO `ceren_virt` VALUES (1,100,100,-35152);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` int(11) NOT NULL auto_increment,
  `winfront_thickness` double NOT NULL default '0',
  `winback_thickness` double NOT NULL default '0',
  `ceren_thickness` double NOT NULL default '0',
  `gas_pressure` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.18,0.18,11000,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:44
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tcherenkov01_01`;
USE tcherenkov01_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tcherenkov01_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ceren_virt`
--

DROP TABLE IF EXISTS `ceren_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ceren_virt` (
  `id` int(11) NOT NULL auto_increment,
  `ceren_dim_x` double NOT NULL default '0',
  `ceren_dim_y` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ceren_virt`
--

LOCK TABLES `ceren_virt` WRITE;
INSERT INTO `ceren_virt` VALUES (1,100,100,-33097);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` int(11) NOT NULL auto_increment,
  `winfront_thickness` double NOT NULL default '0',
  `winback_thickness` double NOT NULL default '0',
  `ceren_thickness` double NOT NULL default '0',
  `gas_pressure` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.18,0.18,11000,1);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:45
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tcherenkov02`;
USE tcherenkov02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tcherenkov02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `ceren_virt`
--

DROP TABLE IF EXISTS `ceren_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ceren_virt` (
  `id` int(11) NOT NULL auto_increment,
  `ceren_dim_x` double NOT NULL default '0',
  `ceren_dim_y` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ceren_virt`
--

LOCK TABLES `ceren_virt` WRITE;
INSERT INTO `ceren_virt` VALUES (1,100,100,-33135);
UNLOCK TABLES;

--
-- Table structure for table `layer_thickness`
--

DROP TABLE IF EXISTS `layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer_thickness` (
  `id` int(11) NOT NULL auto_increment,
  `winfront_thickness` double NOT NULL default '0',
  `winback_thickness` double NOT NULL default '0',
  `ceren_thickness` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer_thickness`
--

LOCK TABLES `layer_thickness` WRITE;
INSERT INTO `layer_thickness` VALUES (1,0.18,0.18,11000);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:46
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tmp`;
USE tmp;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tmp
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `barrel_phi_offset` float default NULL,
  `inner_radius` float default NULL,
  `staves_gap` float default NULL,
  `modules_gap` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (0,1700,2,1);
UNLOCK TABLES;

--
-- Table structure for table `barrel_alveolus`
--

DROP TABLE IF EXISTS `barrel_alveolus`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_alveolus` (
  `alveolus_z_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_alveolus`
--

LOCK TABLES `barrel_alveolus` WRITE;
INSERT INTO `barrel_alveolus` VALUES (0);
UNLOCK TABLES;

--
-- Table structure for table `barrel_layer`
--

DROP TABLE IF EXISTS `barrel_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_layer` (
  `layer_id` tinyint(3) unsigned NOT NULL auto_increment,
  `alveolus_y_offset` float default NULL,
  `alveolus_dim_x` float default NULL,
  `w_y_offset` float default NULL,
  `w_z_offset` float default NULL,
  `w_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_dim_x` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_layer`
--

LOCK TABLES `barrel_layer` WRITE;
INSERT INTO `barrel_layer` VALUES (1,-70.25,1603.62,-72.35,0,2.1,-1.8077,1600),(2,-66.05,1595.22,-68.15,0,2.1,-2.6077,1590),(3,-61.85,1586.82,-63.95,0,2.1,-3.4078,1580),(4,-57.65,1578.42,-59.75,0,2.1,-4.2078,1570),(5,-53.45,1570.02,-55.55,0,2.1,-0.0078,1570),(6,-49.25,1561.62,-51.35,0,2.1,-0.8077,1560),(7,-45.05,1553.22,-47.15,0,2.1,-1.6077,1550),(8,-40.85,1544.82,-42.95,0,2.1,-2.4078,1540),(9,-36.65,1536.42,-38.75,0,2.1,-3.2078,1530),(10,-32.45,1528.02,-34.55,0,2.1,-4.0078,1520),(11,-28.25,1519.62,-30.35,0,2.1,-4.8077,1510),(12,-24.05,1511.22,-26.15,0,2.1,-0.6077,1510),(13,-19.85,1502.82,-21.95,0,2.1,-1.4078,1500),(14,-15.65,1494.42,-17.75,0,2.1,-2.2078,1490),(15,-11.45,1486.02,-13.55,0,2.1,-3.0078,1480),(16,-7.25,1477.62,-9.35,0,2.1,-3.8077,1470),(17,-3.05,1469.22,-5.15,0,2.1,-4.6077,1460),(18,1.15,1460.82,-0.95,0,2.1,-0.4078,1460),(19,5.35,1452.42,3.25,0,2.1,-1.2078,1450),(20,9.55,1444.02,7.45,0,2.1,-2.0078,1440),(21,15.85,1431.42,12.7,0,4.2,-0.7078,1430),(22,22.15,1418.82,19,0,4.2,-4.4078,1410),(23,28.45,1406.22,25.3,0,4.2,-3.1077,1400),(24,34.75,1393.62,31.6,0,4.2,-1.8077,1390),(25,41.05,1381.02,37.9,0,4.2,-0.5078,1380),(26,47.35,1368.42,44.2,0,4.2,-4.2078,1360),(27,53.65,1355.82,50.5,0,4.2,-2.9078,1350),(28,59.95,1343.22,56.8,0,4.2,-1.6077,1340),(29,66.25,1330.62,63.1,0,4.2,-0.3077,1330),(30,72.55,1318.02,69.4,0,4.2,-4.0078,1310);
UNLOCK TABLES;

--
-- Table structure for table `barrel_modules`
--

DROP TABLE IF EXISTS `barrel_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_modules` (
  `module_id` tinyint(3) unsigned NOT NULL auto_increment,
  `module_z_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=6;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_modules`
--

LOCK TABLES `barrel_modules` WRITE;
INSERT INTO `barrel_modules` VALUES (1,-2186),(2,-1093),(3,0),(4,1093),(5,2186);
UNLOCK TABLES;

--
-- Table structure for table `barrel_standard_module`
--

DROP TABLE IF EXISTS `barrel_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_standard_module` (
  `bottom_dim_x` float default NULL,
  `top_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `alveolus_x_offset` float default NULL,
  `cell_dim_x` float default NULL,
  `cell_dim_z` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_standard_module`
--

LOCK TABLES `barrel_standard_module` WRITE;
INSERT INTO `barrel_standard_module` VALUES (1612.22,1318.22,147,1092,105.359,1773.5,1091.8,1.7,1091.8,0,1,1.0007);
UNLOCK TABLES;

--
-- Table structure for table `barrel_stave`
--

DROP TABLE IF EXISTS `barrel_stave`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_stave` (
  `stave_id` tinyint(3) unsigned NOT NULL auto_increment,
  `stave_phi_offset` float default NULL,
  PRIMARY KEY  (`stave_id`)
) AUTO_INCREMENT=9;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_stave`
--

LOCK TABLES `barrel_stave` WRITE;
INSERT INTO `barrel_stave` VALUES (1,0),(2,45),(3,90),(4,135),(5,180),(6,225),(7,270),(8,315);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate`
--

DROP TABLE IF EXISTS `barrel_w_plate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate` (
  `w_x_offset` float default NULL,
  `layer_id` tinyint(3) default NULL,
  `shape_id` tinyint(3) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate`
--

LOCK TABLES `barrel_w_plate` WRITE;
INSERT INTO `barrel_w_plate` VALUES (0,1,1),(0,2,2),(0,3,3),(0,4,4),(0,5,5),(0,6,6),(0,7,7),(0,8,8),(0,9,9),(0,10,10),(0,11,11),(0,12,12),(0,13,13),(0,14,14),(0,15,15),(0,16,16),(0,17,17),(0,18,18),(0,19,19),(0,20,20),(0,21,21),(0,22,22),(0,23,23),(0,24,24),(0,25,25),(0,26,26),(0,27,27),(0,28,28),(0,29,29),(0,30,30);
UNLOCK TABLES;

--
-- Table structure for table `barrel_w_plate_shape`
--

DROP TABLE IF EXISTS `barrel_w_plate_shape`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel_w_plate_shape` (
  `shape_id` tinyint(3) unsigned NOT NULL auto_increment,
  `w_dim_x` float default NULL,
  PRIMARY KEY  (`shape_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel_w_plate_shape`
--

LOCK TABLES `barrel_w_plate_shape` WRITE;
INSERT INTO `barrel_w_plate_shape` VALUES (1,1607.42),(2,1599.02),(3,1590.62),(4,1582.22),(5,1573.82),(6,1565.42),(7,1557.02),(8,1548.62),(9,1540.22),(10,1531.82),(11,1523.42),(12,1515.02),(13,1506.62),(14,1498.22),(15,1489.82),(16,1481.42),(17,1473.02),(18,1464.62),(19,1456.22),(20,1447.82),(21,1435.22),(22,1422.62),(23,1410.02),(24,1397.42),(25,1384.82),(26,1372.22),(27,1359.62),(28,1347.02),(29,1334.42),(30,1321.82);
UNLOCK TABLES;

--
-- Table structure for table `ecal`
--

DROP TABLE IF EXISTS `ecal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ecal` (
  `fiber_thickness` float default NULL,
  `si_thickness` float default NULL,
  `pcb_thickness` float default NULL,
  `nmax_cell_x` tinyint(3) default NULL,
  `nmax_cell_z` tinyint(3) default NULL,
  `guard_ring_size` float default NULL,
  `inter_wafer_gap` float default NULL,
  `n_guard_ring_zones` tinyint(3) default NULL,
  `radiator` varchar(20) NOT NULL default ''
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ecal`
--

LOCK TABLES `ecal` WRITE;
INSERT INTO `ecal` VALUES (0.1,0.5,0.6,6,6,1,0.15,3,'tungsten');
UNLOCK TABLES;

--
-- Table structure for table `endcap`
--

DROP TABLE IF EXISTS `endcap`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap` (
  `endcap_id` tinyint(3) NOT NULL auto_increment,
  `endcap_z_offset` float default NULL,
  `endcap_phi_offset` float default NULL,
  PRIMARY KEY  (`endcap_id`)
) AUTO_INCREMENT=3;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap`
--

LOCK TABLES `endcap` WRITE;
INSERT INTO `endcap` VALUES (1,2905.5,0),(2,-2905.5,0);
UNLOCK TABLES;

--
-- Table structure for table `endcap_layer`
--

DROP TABLE IF EXISTS `endcap_layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_layer` (
  `layer_id` tinyint(3) NOT NULL auto_increment,
  `w_z_offset` float default NULL,
  `w_dim_z` float default NULL,
  `alveolus_z_offset` float default NULL,
  PRIMARY KEY  (`layer_id`)
) AUTO_INCREMENT=31;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_layer`
--

LOCK TABLES `endcap_layer` WRITE;
INSERT INTO `endcap_layer` VALUES (1,-72.35,2.1,-70.25),(2,-68.15,2.1,-66.05),(3,-63.95,2.1,-61.85),(4,-59.75,2.1,-57.65),(5,-55.55,2.1,-53.45),(6,-51.35,2.1,-49.25),(7,-47.15,2.1,-45.05),(8,-42.95,2.1,-40.85),(9,-38.75,2.1,-36.65),(10,-34.55,2.1,-32.45),(11,-30.35,2.1,-28.25),(12,-26.15,2.1,-24.05),(13,-21.95,2.1,-19.85),(14,-17.75,2.1,-15.65),(15,-13.55,2.1,-11.45),(16,-9.35,2.1,-7.25),(17,-5.15,2.1,-3.05),(18,-0.95,2.1,1.15),(19,3.25,2.1,5.35),(20,7.45,2.1,9.55),(21,12.7,4.2,15.85),(22,19,4.2,22.15),(23,25.3,4.2,28.45),(24,31.6,4.2,34.75),(25,37.9,4.2,41.05),(26,44.2,4.2,47.35),(27,50.5,4.2,53.65),(28,56.8,4.2,59.95),(29,63.1,4.2,66.25),(30,69.4,4.2,72.55);
UNLOCK TABLES;

--
-- Table structure for table `endcap_modules`
--

DROP TABLE IF EXISTS `endcap_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_modules` (
  `module_id` tinyint(3) NOT NULL auto_increment,
  `module_phi_offset` float default NULL,
  PRIMARY KEY  (`module_id`)
) AUTO_INCREMENT=5;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_modules`
--

LOCK TABLES `endcap_modules` WRITE;
INSERT INTO `endcap_modules` VALUES (1,0),(2,90),(3,180),(4,270);
UNLOCK TABLES;

--
-- Table structure for table `endcap_standard_module`
--

DROP TABLE IF EXISTS `endcap_standard_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endcap_standard_module` (
  `module_dim_x` float default NULL,
  `module_dim_y` float default NULL,
  `module_dim_z` float default NULL,
  `module_x_offset` float default NULL,
  `module_y_offset` float default NULL,
  `cut_shape_b` float default NULL,
  `cut_shape_h` float default NULL,
  `alveolus_dim_x` float default NULL,
  `alveolus_dim_y` float default NULL,
  `alveolus_dim_z` float default NULL,
  `w_dim_x` float default NULL,
  `w_dim_y` float default NULL,
  `modules_gap` float default NULL,
  `al_plates_center_dim_xy` float default NULL,
  `pads_dim_x` float default NULL,
  `pads_dim_y` float default NULL,
  `pads_x_offset` float default NULL,
  `pads_y_offset` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endcap_standard_module`
--

LOCK TABLES `endcap_standard_module` WRITE;
INSERT INTO `endcap_standard_module` VALUES (2185,1585,147,793,1093,1562.41,781.207,2184.8,1584.8,1.7,2184.8,1584.8,1,600,2180,1580,-2.4,-2.4);
UNLOCK TABLES;

--
-- Table structure for table `sensitive`
--

DROP TABLE IF EXISTS `sensitive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sensitive` (
  `id` tinyint(4) NOT NULL default '0',
  `Model` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sensitive`
--

LOCK TABLES `sensitive` WRITE;
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc00`;
USE tpc00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (320,1700,2500,1.16,1.51,20,230,12.44,1.56,86,320,1600,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:50
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc01`;
USE tpc01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (320,1700,2000,1.16,1.51,20,230,12.44,1.56,86,320,1600,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc02`;
USE tpc02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `id` int(4) NOT NULL default '0',
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (0,320,1600,2500,1.16,1.51,20,230,12.44,1.56,86,320,1600,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:51
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc03`;
USE tpc03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `id` int(4) NOT NULL default '0',
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (0,320,1700,2500,1.16,1.51,137,230,12.44,1.56,86,320,1600,0.3);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc04`;
USE tpc04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `id` int(4) NOT NULL default '0',
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL,
  `inner_sensitive_radius` float default NULL,
  `outer_sensitive_radius` float default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (0,320,1690,2500,1.16,1.51,200,230,12.44,1.56,86,320,1600,0.3,386,1626);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:52
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc05`;
USE tpc05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `tpc`
--

DROP TABLE IF EXISTS `tpc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tpc` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radius` float default NULL,
  `outer_radius` float default NULL,
  `z_half_length` float default NULL,
  `inner_wall_thickness` float default NULL,
  `outer_wall_thickness` float default NULL,
  `number_of_layers` int(4) default NULL,
  `endplate_thickness` float default NULL,
  `endplate_kapton_percent` float default NULL,
  `endplate_cu_percent` float default NULL,
  `endplate_air_percent` float default NULL,
  `fch_inner_radius` float default NULL,
  `fch_outer_radius` float default NULL,
  `fch_thickness` float default NULL,
  `inner_sensitive_radius` float default NULL,
  `outer_sensitive_radius` float default NULL,
  `chamber_gas` varchar(80) default NULL,
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tpc`
--

LOCK TABLES `tpc` WRITE;
INSERT INTO `tpc` VALUES (0,320,1690,2500,1.16,1.51,200,230,12.44,1.56,86,320,1600,0.3,386,1626,'TDR_gas');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:53
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc06`;
USE tpc06;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc06
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,0.1,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(3.964,'TDR_gas'),(0.05,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'copper'),(1,'kapton'),(3,'aluminium');
UNLOCK TABLES;

--
-- Table structure for table `userLimits`
--

DROP TABLE IF EXISTS `userLimits`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `userLimits` (
  `maxStep` double default NULL,
  `maxTrack` double default NULL,
  `maxTime` double default NULL,
  `minEkine` double default NULL,
  `minRange` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `userLimits`
--

LOCK TABLES `userLimits` WRITE;
INSERT INTO `userLimits` VALUES (5,NULL,NULL,NULL,NULL);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:54
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc07`;
USE tpc07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default '0',
  `cathode_cupper` double default '0',
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,5,0.15,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(3.964,'TDR_gas'),(0.05,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'copper'),(1,'kapton'),(3,'aluminium');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default '0',
  `endplate_end_g10_percent` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;

--
-- Table structure for table `userLimits`
--

DROP TABLE IF EXISTS `userLimits`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `userLimits` (
  `maxStep` double default NULL,
  `maxTrack` double default NULL,
  `maxTime` double default NULL,
  `minEkine` double default NULL,
  `minRange` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `userLimits`
--

LOCK TABLES `userLimits` WRITE;
INSERT INTO `userLimits` VALUES (5,NULL,NULL,NULL,NULL);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:55
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc08`;
USE tpc08;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc08
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default NULL,
  `cathode_cupper` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,5,0.15,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(1.964,'TDR_gas'),(0.003,'copper'),(0.03,'kapton'),(0.003,'copper'),(3.964,'TDR_gas'),(0.05,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'aluminium'),(1,'kapton'),(3,'carbon');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default NULL,
  `endplate_end_g10_percent` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:56
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc10_01`;
USE tpc10_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc10_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cathode`
--

DROP TABLE IF EXISTS `cathode`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cathode` (
  `dz_Cathode_Insulator` double default NULL,
  `dz_Cathode_Conductor` double default NULL,
  `material_Cathode_Insulator` varchar(40) default NULL,
  `material_Cathode_Conductor` varchar(40) default NULL,
  `dr_Cathode_Grip` double default NULL,
  `dz_Cathode_Grip` double default NULL,
  `material_Cathode_Grip` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cathode`
--

LOCK TABLES `cathode` WRITE;
INSERT INTO `cathode` VALUES (0.0275,0.0025,'kapton','copper',30,15,'carbon');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `material` varchar(40) default NULL,
  `percentage` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES ('air',74),('g10',12),('aluminium',14);
UNLOCK TABLES;

--
-- Table structure for table `global`
--

DROP TABLE IF EXISTS `global`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `global` (
  `dr_InnerWall` double default NULL,
  `dr_InnerServiceArea` double default NULL,
  `dr_OuterServiceArea` double default NULL,
  `dr_OuterWall` double default NULL,
  `dz_Cathode` double default NULL,
  `dz_Readout` double default NULL,
  `dz_Endplate` double default NULL,
  `chamber_Gas` varchar(40) default NULL,
  `sensitive_threshold_eV` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `global`
--

LOCK TABLES `global` WRITE;
INSERT INTO `global` VALUES (25,30,30,60,0.06,25,100,'TDR_gas',32);
UNLOCK TABLES;

--
-- Table structure for table `innerWall`
--

DROP TABLE IF EXISTS `innerWall`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `innerWall` (
  `dr` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `innerWall`
--

LOCK TABLES `innerWall` WRITE;
INSERT INTO `innerWall` VALUES (0.01,'aluminium'),(0.05,'kapton'),(0.3,'g10'),(24.22,'air'),(0.3,'g10'),(0.05,'kapton'),(0.07,'copper');
UNLOCK TABLES;

--
-- Table structure for table `outerWall`
--

DROP TABLE IF EXISTS `outerWall`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `outerWall` (
  `dr` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `outerWall`
--

LOCK TABLES `outerWall` WRITE;
INSERT INTO `outerWall` VALUES (0.07,'copper'),(0.05,'kapton'),(0.3,'g10'),(59.22,'air'),(0.3,'g10'),(0.05,'kapton'),(0.01,'aluminium');
UNLOCK TABLES;

--
-- Table structure for table `readout`
--

DROP TABLE IF EXISTS `readout`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `readout` (
  `dz` double default NULL,
  `material` varchar(40) default NULL,
  `comment` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `readout`
--

LOCK TABLES `readout` WRITE;
INSERT INTO `readout` VALUES (0.003,'copper','gating'),(0.03,'kapton','gating'),(0.003,'copper','gating'),(4.447,'TDR_gas','gating'),(0.003,'copper','mpgd'),(0.03,'kapton','mpgd'),(0.003,'copper','mpgd'),(4.447,'TDR_gas','mpgd'),(0.003,'copper','mpgd'),(0.03,'kapton','mpgd'),(0.003,'copper','mpgd'),(4.447,'TDR_gas','mpgd'),(0.05,'copper','pads'),(2,'g10','structural'),(0.5,'silicon_2.33gccm','electronics'),(2,'epoxy','structural'),(1,'kapton','structural'),(2,'aluminium','Cooling'),(1,'kapton','structural'),(3,'carbon','structural');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:58
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc_EP_X0_30`;
USE tpc_EP_X0_30;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc_EP_X0_30
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default NULL,
  `cathode_cupper` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,5,0.15,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.3,'copper'),(0.03,'kapton'),(0.3,'copper'),(1.964,'TDR_gas'),(0.3,'copper'),(0.03,'kapton'),(0.3,'copper'),(1.964,'TDR_gas'),(0.3,'copper'),(0.03,'kapton'),(0.3,'copper'),(3.964,'TDR_gas'),(0.489,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'aluminium'),(1,'kapton'),(3,'carbon');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default NULL,
  `endplate_end_g10_percent` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:49:59
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc_EP_X0_45`;
USE tpc_EP_X0_45;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc_EP_X0_45
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default NULL,
  `cathode_cupper` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,5,0.15,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.6,'copper'),(0.03,'kapton'),(0.6,'copper'),(1.964,'TDR_gas'),(0.6,'copper'),(0.03,'kapton'),(0.6,'copper'),(1.964,'TDR_gas'),(0.6,'copper'),(0.03,'kapton'),(0.6,'copper'),(3.964,'TDR_gas'),(0.871,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'aluminium'),(1,'kapton'),(3,'carbon');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default NULL,
  `endplate_end_g10_percent` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:00
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tpc_EP_X0_60`;
USE tpc_EP_X0_60;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tpc_EP_X0_60
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `barrel`
--

DROP TABLE IF EXISTS `barrel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `barrel` (
  `drInnerInsensitive` double default NULL,
  `drOuterInsensitive` double default NULL,
  `dzCathode` double default NULL,
  `cathode_mylar` double default NULL,
  `cathode_cupper` double default NULL,
  `chamberGas` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `barrel`
--

LOCK TABLES `barrel` WRITE;
INSERT INTO `barrel` VALUES (66,64,5,0.15,0.01,'TDR_gas');
UNLOCK TABLES;

--
-- Table structure for table `endplate`
--

DROP TABLE IF EXISTS `endplate`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate` (
  `dz` double default NULL,
  `material` varchar(40) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate`
--

LOCK TABLES `endplate` WRITE;
INSERT INTO `endplate` VALUES (0.9,'copper'),(0.03,'kapton'),(0.9,'copper'),(1.964,'TDR_gas'),(0.9,'copper'),(0.03,'kapton'),(0.9,'copper'),(1.964,'TDR_gas'),(0.9,'copper'),(0.03,'kapton'),(0.9,'copper'),(3.964,'TDR_gas'),(1.255,'copper'),(2,'g10'),(0.5,'silicon_2.33gccm'),(2,'epoxy'),(1,'kapton'),(2,'aluminium'),(1,'kapton'),(3,'carbon');
UNLOCK TABLES;

--
-- Table structure for table `endplate_mixture`
--

DROP TABLE IF EXISTS `endplate_mixture`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `endplate_mixture` (
  `endplate_end_air_percent` double default NULL,
  `endplate_end_g10_percent` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `endplate_mixture`
--

LOCK TABLES `endplate_mixture` WRITE;
INSERT INTO `endplate_mixture` VALUES (85,15);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tube00`;
USE tube00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tube00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `central_tube`
--

DROP TABLE IF EXISTS `central_tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `central_tube` (
  `id` tinyint(4) NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `central_tube`
--

LOCK TABLES `central_tube` WRITE;
INSERT INTO `central_tube` VALUES (0,61,10,0.5);
UNLOCK TABLES;

--
-- Table structure for table `lateral_tubes`
--

DROP TABLE IF EXISTS `lateral_tubes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lateral_tubes` (
  `id` tinyint(4) NOT NULL default '0',
  `inners_start_z` float NOT NULL default '0',
  `inners_thickness` float NOT NULL default '0',
  `ends_start_z` float NOT NULL default '0',
  `ends_stop_z` float NOT NULL default '0',
  `ends_thickness` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `striplines_gap` float NOT NULL default '0',
  `striplines_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lateral_tubes`
--

LOCK TABLES `lateral_tubes` WRITE;
INSERT INTO `lateral_tubes` VALUES (0,150,1,264.132,3550,1,20,1,0.755);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:02
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tube01`;
USE tube01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tube01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `central_tube`
--

DROP TABLE IF EXISTS `central_tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `central_tube` (
  `id` tinyint(4) NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `central_tube`
--

LOCK TABLES `central_tube` WRITE;
INSERT INTO `central_tube` VALUES (0,61,10,0.5);
UNLOCK TABLES;

--
-- Table structure for table `lateral_tubes`
--

DROP TABLE IF EXISTS `lateral_tubes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lateral_tubes` (
  `id` tinyint(4) NOT NULL default '0',
  `inners_start_z` float NOT NULL default '0',
  `inners_thickness` float NOT NULL default '0',
  `ends_start_z` float NOT NULL default '0',
  `ends_stop_z` float NOT NULL default '0',
  `ends_thickness` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `striplines_gap` float NOT NULL default '0',
  `striplines_thickness` float NOT NULL default '0',
  `endtube_z1` float NOT NULL default '0',
  `endtube_r1` float NOT NULL default '0',
  `endtube_z2` float NOT NULL default '0',
  `endtube_r2` float NOT NULL default '0',
  `endtube_z3` float NOT NULL default '0',
  `endtube_r3` float NOT NULL default '0',
  `endtube_z4` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lateral_tubes`
--

LOCK TABLES `lateral_tubes` WRITE;
INSERT INTO `lateral_tubes` VALUES (0,150,1,233.372,3550,1,20,1,0.755,2850,244.245,3040,70,3620,12,7000);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:03
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tube02`;
USE tube02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tube02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `central_tube`
--

DROP TABLE IF EXISTS `central_tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `central_tube` (
  `id` tinyint(4) NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `central_tube`
--

LOCK TABLES `central_tube` WRITE;
INSERT INTO `central_tube` VALUES (0,61,14,0.5);
UNLOCK TABLES;

--
-- Table structure for table `lateral_tubes`
--

DROP TABLE IF EXISTS `lateral_tubes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lateral_tubes` (
  `id` tinyint(4) NOT NULL default '0',
  `inners_start_z` float NOT NULL default '0',
  `inners_thickness` float NOT NULL default '0',
  `ends_start_z` float NOT NULL default '0',
  `ends_stop_z` float NOT NULL default '0',
  `ends_thickness` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `striplines_gap` float NOT NULL default '0',
  `striplines_thickness` float NOT NULL default '0',
  `endtube_z1` float NOT NULL default '0',
  `endtube_r1` float NOT NULL default '0',
  `endtube_z2` float NOT NULL default '0',
  `endtube_r2` float NOT NULL default '0',
  `endtube_z3` float NOT NULL default '0',
  `endtube_r3` float NOT NULL default '0',
  `endtube_z4` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lateral_tubes`
--

LOCK TABLES `lateral_tubes` WRITE;
INSERT INTO `lateral_tubes` VALUES (0,150,1,233.372,3550,1,20,1,0.755,2850,244.245,3040,70,3620,12,7000);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:04
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeSiD01`;
USE tubeSiD01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeSiD01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `central_tube`
--

DROP TABLE IF EXISTS `central_tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `central_tube` (
  `id` tinyint(4) NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `central_tube`
--

LOCK TABLES `central_tube` WRITE;
INSERT INTO `central_tube` VALUES (0,62.51,12,0.25);
UNLOCK TABLES;

--
-- Table structure for table `lateral_tubes`
--

DROP TABLE IF EXISTS `lateral_tubes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `lateral_tubes` (
  `id` tinyint(4) NOT NULL default '0',
  `inners_start_z` float NOT NULL default '0',
  `inners_thickness` float NOT NULL default '0',
  `ends_start_z` float NOT NULL default '0',
  `ends_stop_z` float NOT NULL default '0',
  `ends_thickness` float NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `striplines_gap` float NOT NULL default '0',
  `striplines_thickness` float NOT NULL default '0',
  `endtube_z1` float NOT NULL default '0',
  `endtube_r1` float NOT NULL default '0',
  `endtube_z2` float NOT NULL default '0',
  `endtube_r2` float NOT NULL default '0',
  `endtube_z3` float NOT NULL default '0',
  `endtube_r3` float NOT NULL default '0',
  `endtube_z4` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `lateral_tubes`
--

LOCK TABLES `lateral_tubes` WRITE;
INSERT INTO `lateral_tubes` VALUES (0,150,1,266.7,3550,1,81.3,1,0.755,2850,90,3040,70,3620,12,7000);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:05
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX00LDCv2`;
USE tubeX00LDCv2;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX00LDCv2
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','ip_inner_parallel'),(0,61,172,14,22,14.5,23,'beryllium','ip_inner_bulge'),(0,172,264.1,22,22,23,23,'beryllium','ip_outer_parallel'),(0,264.1,2800,22,234,23,235,'beryllium','ip_outer_bulge'),(0,3039,3040,69,69,235,235,'beryllium','lumcal_front'),(0,3040,3260,69,69,70,70,'iron','lumcal_wall'),(0,3260,3290,69,69,100,100,'iron','lumcal_back'),(0,3290,3346,99,99,100,100,'iron','pump_front'),(0,3504,3599,99,99,100,100,'iron','pump_back'),(0,3599,3600,12,12,100,100,'iron','beamcal_front'),(0,3600,3859,12,12,13,13,'iron','beamcal_wall'),(0,3859,3860,12,12,20,20,'iron','beamcal_back'),(0,3860,3960,19,19,20,20,'iron','valve_wall'),(0,3960,3961,19,19,25,25,'iron','valve_back'),(0,3961,10000,24,24,25,25,'iron','main');
UNLOCK TABLES;

--
-- Table structure for table `tube2`
--

DROP TABLE IF EXISTS `tube2`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube2` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube2`
--

LOCK TABLES `tube2` WRITE;
INSERT INTO `tube2` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','ip_inner_parallel'),(0,61,172,14,22,14.5,23,'beryllium','ip_inner_bulge'),(0,172,264.1,22,22,23,23,'beryllium','ip_outer_parallel'),(0,264.1,2800,22,234,23,235,'beryllium','ip_outer_bulge'),(0,3039,3040,69,69,235,235,'beryllium','lumcal_front'),(0,3040,3260,69,69,70,70,'iron','lumcal_wall'),(0,3260,3290,69,69,100,100,'iron','lumcal_back'),(0,3290,3346,99,99,100,100,'iron','pump_front'),(0,3504,3599,99,99,100,100,'iron','pump_back'),(3,3599,3600,12,24,100,100,'iron','beamcal_front'),(4,3600,3859,12,12,13,13,'iron','beamcal_wall'),(1,3859,3860,12,12,20,20,'iron','beamcal_back'),(1,3860,3960,19,19,20,20,'iron','valve_wall'),(1,3960,3961,19,19,25,25,'iron','valve_back'),(1,3961,10000,24,24,25,25,'iron','main_upstream'),(5,3600,10000,24,24,25,25,'iron','main_downstream');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:06
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX00Stahl`;
USE tubeX00Stahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX00Stahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','ip_inner_parallel'),(0,61,172,14,22,14.5,23,'beryllium','ip_inner_bulge'),(0,172,264.1,22,22,23,23,'beryllium','ip_outer_parallel'),(0,264.1,2800,22,234,23,235,'beryllium','ip_outer_bulge'),(0,2800,3039,234,234,235,235,'beryllium','ecal_wall'),(0,3039,3040,69,69,235,235,'beryllium','lumcal_front'),(0,3040,3260,69,69,70,70,'iron','lumcal_wall'),(0,3260,3290,69,69,100,100,'iron','lumcal_back'),(0,3290,3346,99,99,100,100,'iron','pump_front'),(0,3504,3599,99,99,100,100,'iron','pump_back'),(0,3599,3600,12,12,100,100,'iron','beamcal_front'),(0,3600,3859,12,12,13,13,'iron','beamcal_wall'),(0,3859,3860,12,12,20,20,'iron','beamcal_back'),(0,3860,3960,19,19,20,20,'iron','valve_wall'),(0,3960,3961,19,19,25,25,'iron','valve_back'),(0,3961,10000,24,24,25,25,'iron','main');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:07
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX00TDR`;
USE tubeX00TDR;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX00TDR
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',0);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','ip_inner_parallel'),(0,61,172,14,22,14.5,23,'beryllium','ip_inner_bulge'),(0,172,264.1,22,22,23,23,'beryllium','ip_outer_parallel'),(0,264.1,1395.8,22,116.2,23,117.2,'beryllium','ip_outer_bulge'),(0,1395.8,1800,116.2,48.5,117.2,49.5,'iron','lat_front'),(0,1800,2099,48.5,56.7,49.5,57.7,'iron','lat_wall'),(0,2099,2100,11,11,57.7,57.7,'iron','absorber_front'),(0,2100,2200,11,11,12,12,'iron','absorber_wall'),(0,2200,2400,11,12,12,13,'iron','lcal_wall'),(0,2400,2401,12,12,25,25,'iron','lcal_back'),(0,2401,10000,24,24,25,25,'iron','main');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:07
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX00XStahl`;
USE tubeX00XStahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX00XStahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `parameters`
--

DROP TABLE IF EXISTS `parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `parameters` (
  `name` varchar(32) default NULL,
  `value` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `parameters`
--

LOCK TABLES `parameters` WRITE;
INSERT INTO `parameters` VALUES ('crossingAngle',20);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` tinyint(4) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(32) default NULL,
  `name` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','ip_inner_parallel'),(0,61,172,14,22,14.5,23,'beryllium','ip_inner_bulge'),(0,172,264.1,22,22,23,23,'beryllium','ip_outer_parallel'),(0,264.1,2800,22,234,23,235,'beryllium','ip_outer_bulge'),(0,2800,3039,234,234,235,235,'beryllium','ecal_wall'),(0,3039,3040,69,69,235,235,'beryllium','lumcal_front'),(0,3040,3260,69,69,70,70,'iron','lumcal_wall'),(0,3260,3290,69,69,100,100,'iron','lumcal_back'),(0,3290,3346,99,99,100,100,'iron','pump_front'),(0,3504,3599,99,99,100,100,'iron','pump_back'),(3,3599,3600,12,24,100,100,'iron','beamcal_front'),(4,3600,3859,12,12,13,13,'iron','beamcal_wall'),(1,3859,3860,12,12,20,20,'iron','beamcal_back'),(1,3860,3960,19,19,20,20,'iron','valve_wall'),(1,3960,3961,19,19,25,25,'iron','valve_back'),(1,3961,10000,24,24,25,25,'iron','main_upstream'),(5,3600,10000,24,24,25,25,'iron','main_downstream');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:08
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX01_02`;
USE tubeX01_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX01_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',15),('Lcal_inner_radius','lcalInnerR',80),('Lcal_outer_radius','lcalOuterR',195.2),('LHcal_inner_radius','lhcalInnerR',130),('LHcal_zend','lhcalZend',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,61,172,14,22,14.5,23,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,172,264,22,22,23,23,'beryllium','IPOuterTube','','','','','',''),(0,264,2200,22,183,23,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,90,90,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,89,89,90,90,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(0,2499,2500,79,79,90,90,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(0,2500,3120,79,79,80,80,'iron','LHCALInner','ecalEnd','lhcalZend','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(0,3120,3121,79,79,210,210,'iron','LHCALBack','lhcalZend','lhcalZend','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalZend','','','','',''),(3,3489,3490,0,19,210,210,'iron','BeamCalFront','','','','','',''),(11,3490,3800,19,19,20,20,'iron','BeamCalInner','','','','','',''),(3,3800,3801,0,19,35,35,'iron','BeamCalBack','','','','','',''),(0,3801,7644,34,34,35,35,'iron','QD0Inner','','','','','',''),(0,7644,7645,9,9,35,35,'iron','OC0Front','','','','','',''),(0,7645,7745,9,9,10,10,'iron','OC0Inner','','','','','',''),(0,7745,7746,9,9,88,88,'iron','OC0Back','','','','','',''),(0,7746,12500,87,87,88,88,'iron','SD0Inner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:09
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX01_14`;
USE tubeX01_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX01_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',15),('Lcal_inner_radius','lcalInnerR',80),('Lcal_outer_radius','lcalOuterR',195.2),('LHcal_inner_radius','lhcalInnerR',130),('LHcal_zend','lhcalZend',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,61,172,14,22,14.5,23,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,172,264,22,22,23,23,'beryllium','IPOuterTube','','','','','',''),(0,264,2200,22,183,23,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,140,140,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,139,139,140,140,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(0,2499,2500,129,129,140,140,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(0,2500,3120,129,129,130,130,'iron','LHCALInner','ecalEnd','lhcalZend','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(0,3120,3121,129,129,210,210,'iron','LHCALBack','lhcalZend','lhcalZend','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalZend','','','','',''),(3,3489,3490,14,19,210,210,'iron','BeamCalFront','','','','','',''),(6,3490,3500,14,14,15,15,'iron','BeamCalLinkUpstream','','','','','',''),(1,3500,4049,14,14,15,15,'iron','BeamCalInnerUpstream','','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3490,3500,19,19,20,20,'iron','BeamCalLinkDnstream','','','','','',''),(2,3500,5999,19,19,20,20,'iron','BeamCalInnerDnstream','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:10
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX01_20`;
USE tubeX01_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX01_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',15),('Lcal_inner_radius','lcalInnerR',80),('Lcal_outer_radius','lcalOuterR',195.2),('LHcal_inner_radius','lhcalInnerR',130),('LHcal_zend','lhcalZend',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,61,14,14,14.5,14.5,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,61,172,14,22,14.5,23,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,172,264,22,22,23,23,'beryllium','IPOuterTube','','','','','',''),(0,264,2200,22,183,23,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,160,160,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,159,159,160,160,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(0,2499,2500,149,149,160,160,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(0,2500,3120,149,149,150,150,'iron','LHCALInner','ecalEnd','lhcalZend','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(0,3120,3121,149,149,210,210,'iron','LHCALBack','lhcalZend','lhcalZend','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalZend','','','','',''),(3,3489,3490,14,19,210,210,'iron','BeamCalFront','','','','','',''),(6,3490,3500,14,14,15,15,'iron','BeamCalLinkUpstream','','','','','',''),(1,3500,4049,14,14,15,15,'iron','BeamCalInnerUpstream','','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3490,3500,19,19,20,20,'iron','BeamCalLinkDnstream','','','','','',''),(2,3500,5999,19,19,20,20,'iron','BeamCalInnerDnstream','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:11
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX02_02`;
USE tubeX02_02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX02_02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',81),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,90,90,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,89,89,90,90,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(0,2499,2500,79,79,90,90,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(0,2500,3120,79,79,80,80,'iron','LHCALInner','ecalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(0,3120,3121,79,79,210,210,'iron','LHCALBack','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalEnd','','','','',''),(3,3489,3490,0,19,210,210,'iron','BeamCalFront','','','','','',''),(11,3490,3800,19,19,20,20,'iron','BeamCalInner','','','','','',''),(3,3800,3801,0,19,35,35,'iron','BeamCalBack','','','','','',''),(0,3801,7644,34,34,35,35,'iron','QD0Inner','','','','','',''),(0,7644,7645,9,9,35,35,'iron','OC0Front','','','','','',''),(0,7645,7745,9,9,10,10,'iron','OC0Inner','','','','','',''),(0,7745,7746,9,9,88,88,'iron','OC0Back','','','','','',''),(0,7746,12500,87,87,88,88,'iron','SD0Inner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:12
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX02_14`;
USE tubeX02_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX02_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,140,140,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,139,139,140,140,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(3,2499,2500,129,129,140,140,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(11,2500,3120,129,129,130,130,'iron','LHCALInner','ecalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(3,3120,3121,129,129,210,210,'iron','LHCALBack','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalEnd','','','','',''),(3,3489,3490,14,19,210,210,'iron','BeamCalFront','','','','','',''),(6,3490,3500,14,14,15,15,'iron','BeamCalLinkUpstream','','','','','',''),(1,3500,4049,14,14,15,15,'iron','BeamCalInnerUpstream','','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3490,3500,19,19,20,20,'iron','BeamCalLinkDnstream','','','','','',''),(2,3500,5999,19,19,20,20,'iron','BeamCalInnerDnstream','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:12
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX02_20`;
USE tubeX02_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX02_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',152),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,200,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,200,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,2480,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','ecalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(3,2480,2481,0,78.5,160,160,'iron','LumiCalBack','ecalEnd','ecalEnd','','lcalInnerR','',''),(0,2481,2499,159,159,160,160,'iron','LumiCalLink','ecalEnd','ecalEnd','','','',''),(3,2499,2500,149,149,160,160,'iron','LHCALFront','ecalEnd','ecalEnd','lhcalInnerR','lhcalInnerR','',''),(11,2500,3120,149,149,150,150,'iron','LHCALInner','ecalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','lhcalInnerR','lhcalInnerR'),(3,3120,3121,149,149,210,210,'iron','LHCALBack','lhcalEnd','lhcalEnd','lhcalInnerR','lhcalInnerR','',''),(0,3121,3489,209,209,210,210,'iron','LHCALLink','lhcalEnd','','','','',''),(3,3489,3490,14,19,210,210,'iron','BeamCalFront','','','','','',''),(6,3490,3500,14,14,15,15,'iron','BeamCalLinkUpstream','','','','','',''),(1,3500,4049,14,14,15,15,'iron','BeamCalInnerUpstream','','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3490,3500,19,19,20,20,'iron','BeamCalLinkDnstream','','','','','',''),(2,3500,5999,19,19,20,20,'iron','BeamCalInnerDnstream','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:13
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX03_14`;
USE tubeX03_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX03_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,3289,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(5,3289,3290,14,19,79.5,79.5,'iron','BeamCalFront','','','','','',''),(6,3290,3300,14,14,15,15,'iron','BeamCalLinkUpstream','','','','','',''),(1,3300,4049,14,14,15,15,'iron','BeamCalInnerUpstream','','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3290,3300,19,19,20,20,'iron','BeamCalLinkDnstream','','','','','',''),(2,3300,5999,19,19,20,20,'iron','BeamCalInnerDnstream','','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:14
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX04_14`;
USE tubeX04_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX04_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100),('Lcal_z_begin','lcalBegin',2342.4);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(11,2260,3369,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','lhcalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(5,3369,3370,14,19,79.5,79.5,'iron','BeamCalFront','lhcalEnd','lhcalEnd','','','lcalInnerR','lcalInnerR'),(6,3370,3380,14,14,15,15,'iron','BeamCalLinkUpstream','lhcalEnd','lhcalEnd','','','',''),(1,3380,4049,14,14,15,15,'iron','BeamCalInnerUpstream','lhcalEnd','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(7,3370,3380,17,17,18,18,'iron','BeamCalLinkDnstream','lhcalEnd','lhcalEnd','','','',''),(2,3380,5999,17,17,18,18,'iron','BeamCalInnerDnstream','lhcalEnd','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:15
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX04_20`;
USE tubeX04_20;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX04_20
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100),('Lcal_z_begin','lcalBegin',2342.4);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,0,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(7,2260,3369,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','lhcalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(5,3369,3370,14,17,79.5,79.5,'iron','BeamCalFront','lhcalEnd','lhcalEnd','','','lcalInnerR','lcalInnerR'),(12,3370,4049,14,14,15,15,'iron','BeamCalInnerUpstream','lhcalEnd','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(2,3370,5999,17,17,18,18,'iron','BeamCalInnerDnstream','lhcalEnd','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:16
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tubeX05_14`;
USE tubeX05_14;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: tubeX05_14
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `_references`
--

DROP TABLE IF EXISTS `_references`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `_references` (
  `globalName` varchar(80) default NULL,
  `localName` varchar(32) default NULL,
  `assumption` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `_references`
--

LOCK TABLES `_references` WRITE;
INSERT INTO `_references` VALUES ('Ecal_endcap_zmax','ecalEnd',2470.5),('VXD_inner_radius','vtxInnerR',16),('LHcal_inner_radius','lhcalInnerR',132),('Lcal_outer_radius','lcalOuterR',195.2),('Lcal_inner_radius','lcalInnerR',80),('LHcal_zend','lhcalEnd',3100),('Lcal_z_begin','lcalBegin',2342.4);
UNLOCK TABLES;

--
-- Table structure for table `tube`
--

DROP TABLE IF EXISTS `tube`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tube` (
  `crossType` int(11) default NULL,
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `material` varchar(80) default NULL,
  `name` varchar(32) default NULL,
  `zStartRef` varchar(32) default NULL,
  `zEndRef` varchar(32) default NULL,
  `rInnerStartRef` varchar(32) default NULL,
  `rInnerEndRef` varchar(32) default NULL,
  `rOuterStartRef` varchar(32) default NULL,
  `rOuterEndRef` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `tube`
--

LOCK TABLES `tube` WRITE;
INSERT INTO `tube` VALUES (0,0,80,14.5,14.5,15,15,'beryllium','IPInnerTube','','','vtxInnerR','vtxInnerR','vtxInnerR','vtxInnerR'),(0,80,150,14.5,23,15,24,'beryllium','IPInnerBulge','','','vtxInnerR','','vtxInnerR',''),(0,150,230,23,23,24,24,'beryllium','IPOuterTube','','','','','',''),(0,230,2200,23,183,24,184,'beryllium','IPOuterBulge','','ecalEnd','','lcalOuterR','','lcalOuterR'),(0,2200,2259,183,183,184,184,'beryllium','IPOuterLink','ecalEnd','ecalEnd','lcalOuterR','lcalOuterR','lcalOuterR','lcalOuterR'),(3,2259,2260,78.5,78.5,184,184,'beryllium','LumiCalFront','ecalEnd','ecalEnd','','lcalInnerR','lcalOuterR','lcalOuterR'),(7,2260,3369,78.5,78.5,79.5,79.5,'iron','LumiCalInner','ecalEnd','lhcalEnd','lcalInnerR','lcalInnerR','lcalInnerR','lcalInnerR'),(5,3369,3370,14,17,79.5,79.5,'iron','BeamCalFront','lhcalEnd','lhcalEnd','','','lcalInnerR','lcalInnerR'),(12,3370,3380,14,14,15,15,'iron','BeamCalLinkUpstream','lhcalEnd','lhcalEnd','','','',''),(1,3380,4049,14,14,15,15,'iron','BeamCalInnerUpstream','lhcalEnd','','','','',''),(1,4049,4050,9,9,15,15,'iron','QD0Front','','','','','',''),(1,4050,12500,9,9,10,10,'iron','MainUpstream','','','','','',''),(2,3370,3380,17,17,18,18,'iron','BeamCalLinkDnstream','lhcalEnd','lhcalEnd','','','',''),(2,3380,5999,17,17,18,18,'iron','BeamCalInnerDnstream','lhcalEnd','','','','',''),(2,5999,6000,17,17,20,20,'iron','QDEX1AFront','','','','','',''),(2,6000,7741,17,17,18,18,'iron','QDEX1AInner','','','','','',''),(2,7741,7839,17,23,18,24,'iron','QDEX1ALink','','','','','',''),(2,7839,9681,23,23,24,24,'iron','QDEX1BInner','','','','','',''),(2,9681,9779,23,29,24,30,'iron','QDEX1BLink','','','','','',''),(2,9779,12500,29,29,30,30,'iron','QFEX2AInner','','','','','','');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:16
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `veto01`;
USE veto01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: veto01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `veto_virt`
--

DROP TABLE IF EXISTS `veto_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `veto_virt` (
  `id` int(11) NOT NULL auto_increment,
  `veto_dim_x1` double NOT NULL default '0',
  `veto_dim_y1` double NOT NULL default '0',
  `veto_dim_x2` double NOT NULL default '0',
  `veto_dim_y2` double NOT NULL default '0',
  `veto_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `veto_virt`
--

LOCK TABLES `veto_virt` WRITE;
INSERT INTO `veto_virt` VALUES (1,1000,400,400,200,27,1,-2272.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:17
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `veto02`;
USE veto02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: veto02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `veto_virt`
--

DROP TABLE IF EXISTS `veto_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `veto_virt` (
  `id` int(11) NOT NULL auto_increment,
  `veto_dim_x1` double NOT NULL default '0',
  `veto_dim_y1` double NOT NULL default '0',
  `veto_dim_x2` double NOT NULL default '0',
  `veto_dim_y2` double NOT NULL default '0',
  `veto_thickness` double NOT NULL default '0',
  `steel_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `veto_virt`
--

LOCK TABLES `veto_virt` WRITE;
INSERT INTO `veto_virt` VALUES (1,1000,1000,200,200,27,1,-3686.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:17
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vp00_01`;
USE vp00_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vp00_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `vacpipe_virt`
--

DROP TABLE IF EXISTS `vacpipe_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacpipe_virt` (
  `id` int(11) NOT NULL auto_increment,
  `vacpipe_dim_x` double NOT NULL default '0',
  `vacpipe_dim_y` double NOT NULL default '0',
  `vacpipe_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacpipe_virt`
--

LOCK TABLES `vacpipe_virt` WRITE;
INSERT INTO `vacpipe_virt` VALUES (1,100,100,9000,-23620);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:18
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vp01_01`;
USE vp01_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vp01_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `vacpipe_virt`
--

DROP TABLE IF EXISTS `vacpipe_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacpipe_virt` (
  `id` int(11) NOT NULL auto_increment,
  `vacpipe_dim_x` double NOT NULL default '0',
  `vacpipe_dim_y` double NOT NULL default '0',
  `vacpipe_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacpipe_virt`
--

LOCK TABLES `vacpipe_virt` WRITE;
INSERT INTO `vacpipe_virt` VALUES (1,100,100,9000,-23097);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:19
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vp02_01`;
USE vp02_01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vp02_01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `vacpipe_virt`
--

DROP TABLE IF EXISTS `vacpipe_virt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `vacpipe_virt` (
  `id` int(11) NOT NULL auto_increment,
  `vacpipe_dim_x` double NOT NULL default '0',
  `vacpipe_dim_y` double NOT NULL default '0',
  `vacpipe_thickness` double NOT NULL default '0',
  `z_place1` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `vacpipe_virt`
--

LOCK TABLES `vacpipe_virt` WRITE;
INSERT INTO `vacpipe_virt` VALUES (1,100,100,9000,-23135);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:19
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd00`;
USE vxd00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radios` float NOT NULL default '0',
  `ladder_dim_z` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,15.5,50,0,136),(2,27,125,0.04,136),(3,38,125,0.04,140),(4,49,125,0.04,145),(5,60,125,0.04,150);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.28224,0.19656,0.03744,0.09438,0.49392,5,23);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,135,0.49392,23.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:20
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd01`;
USE vxd01;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd01
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0.28224',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,15,50,6.5,8,0,136,6.5),(2,26,125,11,8,0.04,136,11),(3,38,125,11,12,0.04,140,11),(4,49,125,11,16,0.04,145,11),(5,60,125,11,20,0.04,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.28224,0.19656,0.03744,0.09438,0.49392,5,23,0,'beryllium');
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '14.5',
  `endplate_outer_radius_L1` float NOT NULL default '18',
  `offset_ladder_block` float NOT NULL default '0.28224',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,135,0.49392,23.2,14.5,18,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:22
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd02`;
USE vxd02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2,0);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,15,50,2.5,20,0,150,1),(2,25,125,6.5,13,0,150,1),(3,37,125,11,12,0,150,1),(4,48,125,11,16,0,150,1),(5,60,125,11,20,0,150,1);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.05,0.05,0.05,0.09438,0.49392,0,23,1,'graphite');
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,125,0.49392,23.2,14.5,18,0,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:23
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd03`;
USE vxd03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,15,62.5,5.5,9,0,150),(2,26,125,7.5,11,0,150),(3,37,125,11,12,0,150),(4,48,125,11,16,0,150),(5,60,125,11,20,0,150);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,23,1,'graphite',1,1.5,0.05,0);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,135,0.49392,23.2,14.5,18,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:25
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd03_sensin`;
USE vxd03_sensin;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd03_sensin
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,15,62.5,5.5,9,0,150),(2,26,125,7.5,11,0,150),(3,37,125,11,12,0,150),(4,48,125,11,16,0,150),(5,60,125,11,20,0,150);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.134,0.1,0.05,0.09438,0.49392,5,23,1,'graphite',1,1,0.05,0);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,135,0.49392,23.2,14.5,18,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:26
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd04`;
USE vxd04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,23,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,23.2,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:27
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd05`;
USE vxd05;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd05
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,24.2,1);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5),(2,16,62.5,5.5,10,0,150,5.5),(3,37,125,11,12,0,150,11),(4,37,125,11,12,0,150,11),(5,58,125,11,20,0,150,11),(6,58,125,11,20,0,150,11);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `ladder_support_material` varchar(80) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.067,0.1,0.05,0.09438,0.49392,5,24.3,1,'graphite',1,0.5,0.05,0,2);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,24.3,14.5,40,0.28224,5,0.25);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:29
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxd07`;
USE vxd07;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxd07
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `cryostat_option` int(11) NOT NULL default '0',
  `cryostat_apperture` float NOT NULL,
  `cryostat_apperture_radius` float NOT NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,166.6,24.2,1,30,1.5);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radius` float NOT NULL default '0',
  `ladder_length` float NOT NULL default '0',
  `ladder_width` float NOT NULL default '0',
  `nb_ladder` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  `end_electronics_width` float NOT NULL default '0',
  `initial_kapton_striplines_thickness` float NOT NULL,
  `final_kapton_striplines_thickness` float NOT NULL,
  `initial_metal_striplines_thickness` float NOT NULL,
  `final_metal_striplines_thickness` float NOT NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,16,62.5,5.5,10,0,150,5.5,0.04566,0.02435,0.00806,0.0043),(2,16,62.5,5.5,10,0,150,5.5,0.04566,0.02435,0.00806,0.0043),(3,37,125,11,12,0,150,11,0.04102,0.05059,0.00724,0.00893),(4,37,125,11,12,0,150,11,0.04102,0.05059,0.00724,0.00893),(5,58,125,11,20,0,150,11,0.04044,0.07819,0.00714,0.0138),(6,58,125,11,20,0,150,11,0.04044,0.07819,0.00714,0.0138);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  `side_band_electronics_option` int(11) NOT NULL default '0',
  `end_ladd_electronics_option` int(11) NOT NULL default '0',
  `side_band_electronics_width` float NOT NULL default '0',
  `side_band_electronics_thickness` float NOT NULL default '0',
  `active_side_band_electronics_option` int(11) NOT NULL default '0',
  `layer_gap` float NOT NULL default '0',
  `flex_cable_material` varchar(80) NOT NULL,
  `flex_cable_thickness` float NOT NULL,
  `foam_spacer_material` varchar(80) NOT NULL,
  `foam_spacer_thickness` float NOT NULL,
  `metal_traces_material` varchar(80) NOT NULL,
  `metal_traces_thickness` float NOT NULL,
  `cool_pipe_material` varchar(80) NOT NULL,
  `cool_pipe_inner_radius` float NOT NULL,
  `cool_pipe_outer_radius` float NOT NULL,
  `external_kapton_thickness` float NOT NULL,
  `external_metal_thickness` float NOT NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.1,0.05,0.49392,5,24.3,1,1,0.5,0.05,0,2,'kapton',0.05,'SiC_foam',0.94,'aluminium',0.01,'titanium',0.75,1,0.05,0.009);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  `endplate_inner_radius_L1` float NOT NULL default '0',
  `endplate_outer_radius_L1` float NOT NULL default '0',
  `offset_ladder_block` float NOT NULL default '0',
  `beryllium_ladder_block_length` float NOT NULL default '0',
  `beryllium_ladder_block_thickness` float NOT NULL default '0',
  `shell_endplate_thickness` float NOT NULL,
  `forward_shell_half_z` float NOT NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,80,145,0.49392,30,14.5,40,0.28224,5,0.25,2,6.5);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:30
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vxdSiD00`;
USE vxdSiD00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: vxdSiD00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `cryostat`
--

DROP TABLE IF EXISTS `cryostat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cryostat` (
  `id` tinyint(4) NOT NULL default '0',
  `alu_skin_inner_radious` float NOT NULL default '0',
  `alu_skin_tickness` float NOT NULL default '0',
  `foam_inner_radious` float NOT NULL default '0',
  `foam_tickness` float NOT NULL default '0',
  `foam_half_z` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cryostat`
--

LOCK TABLES `cryostat` WRITE;
INSERT INTO `cryostat` VALUES (1,100,0.5,90,10,160,23.2);
UNLOCK TABLES;

--
-- Table structure for table `layer`
--

DROP TABLE IF EXISTS `layer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layer` (
  `id` tinyint(4) NOT NULL default '0',
  `layer_radios` float NOT NULL default '0',
  `ladder_dim_z` float NOT NULL default '0',
  `ladder_gap` float NOT NULL default '0',
  `strip_line_final_z` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layer`
--

LOCK TABLES `layer` WRITE;
INSERT INTO `layer` VALUES (1,14,120,0,136),(2,26,121,0.04,136),(3,37,122,0.04,140),(4,48,123,0.04,145),(5,60,124,0.04,150);
UNLOCK TABLES;

--
-- Table structure for table `layers_common_parameters`
--

DROP TABLE IF EXISTS `layers_common_parameters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `layers_common_parameters` (
  `id` tinyint(4) NOT NULL default '0',
  `support_structure_thickness` float NOT NULL default '0',
  `electronics_structure_thickness` float NOT NULL default '0',
  `active_silicon_thickness` float NOT NULL default '0',
  `strip_lines_thickness` float NOT NULL default '0',
  `support_structure_radial_thickness` float NOT NULL default '0',
  `end_electronics_half_z` float NOT NULL default '0',
  `strip_final_beampipe_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `layers_common_parameters`
--

LOCK TABLES `layers_common_parameters` WRITE;
INSERT INTO `layers_common_parameters` VALUES (1,0.28224,0.08,0.02,0.09438,0.49392,5,81.3);
UNLOCK TABLES;

--
-- Table structure for table `support_shell`
--

DROP TABLE IF EXISTS `support_shell`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `support_shell` (
  `id` tinyint(4) NOT NULL default '0',
  `inner_radious` float NOT NULL default '0',
  `half_z` float NOT NULL default '0',
  `thickess` float NOT NULL default '0',
  `endplate_inner_radious` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `support_shell`
--

LOCK TABLES `support_shell` WRITE;
INSERT INTO `support_shell` VALUES (0,65,135,0.49392,23.2);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:31
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `wscal`;
USE wscal;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: wscal
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `wscal`
--

DROP TABLE IF EXISTS `wscal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `wscal` (
  `n_layers` int(3) default NULL,
  `ncell_x` int(3) default NULL,
  `ncell_y` int(3) default NULL,
  `cell_size` double default NULL,
  `z_begin` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `wscal`
--

LOCK TABLES `wscal` WRITE;
INSERT INTO `wscal` VALUES (20,5,5,50,0);
UNLOCK TABLES;

--
-- Table structure for table `wscal_layer_thickness`
--

DROP TABLE IF EXISTS `wscal_layer_thickness`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `wscal_layer_thickness` (
  `poly_thickness` double default NULL,
  `steel_thickness` double default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `wscal_layer_thickness`
--

LOCK TABLES `wscal_layer_thickness` WRITE;
INSERT INTO `wscal_layer_thickness` VALUES (5,16);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:32
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke00`;
USE yoke00;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke00
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `outer_radius` float default NULL,
  `barrel_inner_radius` float default NULL,
  `endcap_inner_radius` float default NULL,
  `barrel_half_z` float default NULL,
  `ye1_outer_radius` float default NULL,
  `ye1_half_z` float default NULL,
  `ye1_z_center` float default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (6450,4450,235,7200,2900,575,4825);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:33
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke01Stahl`;
USE yoke01Stahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke01Stahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `partName` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (0,7200,4450,4450,6450,6450,'barrel'),(4250,5400,260,260,2770,2770,'inner_endcap'),(5400,7200,260,260,4450,4450,'outer_endcap');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:33
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke01TDR`;
USE yoke01TDR;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke01TDR
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `partName` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (0,7200,4450,4450,6450,6450,'barrel'),(4250,5400,235,235,2770,2770,'inner_endcap'),(5400,7200,235,235,4450,4450,'outer_endcap');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:34
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke01XStahl`;
USE yoke01XStahl;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke01XStahl
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `zStart` double default NULL,
  `zEnd` double default NULL,
  `rInnerStart` double default NULL,
  `rInnerEnd` double default NULL,
  `rOuterStart` double default NULL,
  `rOuterEnd` double default NULL,
  `partName` varchar(32) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (0,7200,4450,4450,6450,6450,'barrel'),(4250,5400,260,260,2770,2770,'inner_endcap'),(5400,7200,260,260,4450,4450,'outer_endcap');
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:34
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke02`;
USE yoke02;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke02
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `symmetry` int(11) default NULL
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (8);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:35
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke03`;
USE yoke03;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke03
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `muon`
--

DROP TABLE IF EXISTS `muon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `muon` (
  `cell_size` float NOT NULL default '0',
  `Hcal_plug_gap` float NOT NULL default '0',
  `iron_thickness` float NOT NULL default '0',
  `layer_thickness` float NOT NULL default '0',
  `number_of_layers` int(11) NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `muon`
--

LOCK TABLES `muon` WRITE;
INSERT INTO `muon` VALUES (30,45,100,40,10);
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `materials` varchar(100) default '',
  `thickness` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES ('copper',0.5),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05),('mylar',0.2),('pyrex',2),('RPCGAS1',2),('pyrex',2),('mylar',0.2),('copper',0.05),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05);
UNLOCK TABLES;

--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `symmetry` int(11) default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (8);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:36
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `yoke04`;
USE yoke04;

-- MySQL dump 10.11
--
-- Host: polui01.in2p3.fr    Database: yoke04
-- ------------------------------------------------------
-- Server version	5.0.77-log


--
-- Table structure for table `muon`
--

DROP TABLE IF EXISTS `muon`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `muon` (
  `cell_size` float NOT NULL default '0',
  `Hcal_plug_gap` float NOT NULL default '0',
  `iron_thickness` float NOT NULL default '0',
  `layer_thickness` float NOT NULL default '0',
  `number_of_layers` int(11) NOT NULL default '0',
  `barrel_endcap_gap` float NOT NULL default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `muon`
--

LOCK TABLES `muon` WRITE;
INSERT INTO `muon` VALUES (30,45,100,40,10,25);
UNLOCK TABLES;

--
-- Table structure for table `rpc1`
--

DROP TABLE IF EXISTS `rpc1`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rpc1` (
  `materials` varchar(100) default '',
  `thickness` double default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rpc1`
--

LOCK TABLES `rpc1` WRITE;
INSERT INTO `rpc1` VALUES ('copper',0.5),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05),('mylar',0.2),('pyrex',2),('RPCGAS1',2),('pyrex',2),('mylar',0.2),('copper',0.05),('polystyrene',0.2),('styropor',2),('polystyrene',0.2),('copper',0.05);
UNLOCK TABLES;

--
-- Table structure for table `yoke`
--

DROP TABLE IF EXISTS `yoke`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `yoke` (
  `symmetry` int(11) default '0'
);
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `yoke`
--

LOCK TABLES `yoke` WRITE;
INSERT INTO `yoke` VALUES (12);
UNLOCK TABLES;


-- Dump completed on 2012-01-20 15:50:37
